#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 4139
#define LARGE_STATE_COUNT 2427
#define SYMBOL_COUNT 476
#define ALIAS_COUNT 10
#define TOKEN_COUNT 291
#define EXTERNAL_TOKEN_COUNT 39
#define FIELD_COUNT 43
#define MAX_ALIAS_SEQUENCE_LENGTH 9
#define PRODUCTION_ID_COUNT 152

enum ts_symbol_identifiers {
  sym__identifier = 1,
  anon_sym_LBRACE = 2,
  anon_sym_RBRACE = 3,
  anon_sym_COLON = 4,
  anon_sym_SEMI = 5,
  anon_sym_package = 6,
  anon_sym_class = 7,
  anon_sym_role = 8,
  anon_sym_BUILD = 9,
  anon_sym_ADJUST = 10,
  anon_sym_DOLLAR = 11,
  anon_sym_EQ = 12,
  anon_sym_PIPE_PIPE_EQ = 13,
  anon_sym_SLASH_SLASH_EQ = 14,
  anon_sym_AT = 15,
  anon_sym_COMMA = 16,
  anon_sym_RPAREN = 17,
  anon_sym_my = 18,
  anon_sym_extended = 19,
  anon_sym_async = 20,
  anon_sym_sub = 21,
  anon_sym_method = 22,
  anon_sym_LPAREN = 23,
  anon_sym_continue = 24,
  anon_sym_state = 25,
  anon_sym_our = 26,
  anon_sym_try = 27,
  anon_sym_catch = 28,
  anon_sym_finally = 29,
  anon_sym_defer = 30,
  anon_sym_DOT_DOT_DOT = 31,
  anon_sym_else = 32,
  anon_sym_elsif = 33,
  anon_sym_and = 34,
  anon_sym_or = 35,
  anon_sym_xor = 36,
  anon_sym_LBRACK = 37,
  anon_sym_RBRACK = 38,
  anon_sym_DASH_GT = 39,
  anon_sym_PERCENT = 40,
  anon_sym_GT = 41,
  anon_sym_LT_LT = 42,
  anon_sym_GT_GT = 43,
  anon_sym_STAR_STAR_EQ = 44,
  anon_sym_PLUS_EQ = 45,
  anon_sym_DASH_EQ = 46,
  anon_sym_DOT_EQ = 47,
  anon_sym_STAR_EQ = 48,
  anon_sym_SLASH_EQ = 49,
  anon_sym_PERCENT_EQ = 50,
  anon_sym_x_EQ = 51,
  anon_sym_AMP_EQ = 52,
  anon_sym_PIPE_EQ = 53,
  anon_sym_CARET_EQ = 54,
  anon_sym_LT_LT_EQ = 55,
  anon_sym_GT_GT_EQ = 56,
  anon_sym_AMP_AMP_EQ = 57,
  anon_sym_DOT_DOT = 58,
  anon_sym_STAR_STAR = 59,
  anon_sym_PIPE_PIPE = 60,
  anon_sym_SLASH_SLASH = 61,
  anon_sym_CARET_CARET = 62,
  anon_sym_AMP_AMP = 63,
  anon_sym_PIPE = 64,
  anon_sym_CARET = 65,
  anon_sym_AMP = 66,
  anon_sym_GT_GT2 = 67,
  anon_sym_PLUS = 68,
  anon_sym_DASH = 69,
  anon_sym_DOT = 70,
  anon_sym_STAR = 71,
  anon_sym_SLASH = 72,
  anon_sym_x = 73,
  anon_sym_EQ_TILDE = 74,
  anon_sym_BANG_TILDE = 75,
  anon_sym_EQ_EQ = 76,
  anon_sym_BANG_EQ = 77,
  anon_sym_eq = 78,
  anon_sym_EQ_EQ_EQ = 79,
  anon_sym_equ = 80,
  anon_sym_eqr = 81,
  anon_sym_ne = 82,
  anon_sym_LT_EQ_GT = 83,
  anon_sym_cmp = 84,
  anon_sym_TILDE_TILDE = 85,
  anon_sym_LT = 86,
  anon_sym_LT_EQ = 87,
  anon_sym_GT_EQ = 88,
  anon_sym_lt = 89,
  anon_sym_le = 90,
  anon_sym_ge = 91,
  anon_sym_gt = 92,
  anon_sym_isa = 93,
  anon_sym_TILDE = 94,
  anon_sym_BANG = 95,
  anon_sym_PLUS_PLUS = 96,
  anon_sym_DASH_DASH = 97,
  anon_sym_QMARK = 98,
  anon_sym_BSLASH = 99,
  anon_sym_do = 100,
  anon_sym_eval = 101,
  anon_sym_await = 102,
  anon_sym_field = 103,
  anon_sym_local = 104,
  anon_sym_dynamically = 105,
  anon_sym_DOLLAR_POUND = 106,
  anon_sym_require = 107,
  anon_sym_map = 108,
  anon_sym_grep = 109,
  anon_sym_sort = 110,
  anon_sym_goto = 111,
  anon_sym_return = 112,
  anon_sym_undef = 113,
  anon_sym_PERCENT2 = 114,
  anon_sym_AMP2 = 115,
  anon_sym_STAR2 = 116,
  aux_sym__var_indirob_autoquote_token1 = 117,
  anon_sym_EQ_GT = 118,
  anon_sym_use = 119,
  anon_sym_no = 120,
  anon_sym_for = 121,
  anon_sym_foreach = 122,
  anon_sym_last = 123,
  anon_sym_next = 124,
  anon_sym_redo = 125,
  anon_sym_BEGIN = 126,
  anon_sym_INIT = 127,
  anon_sym_CHECK = 128,
  anon_sym_UNITCHECK = 129,
  anon_sym_END = 130,
  anon_sym___FILE__ = 131,
  anon_sym___LINE__ = 132,
  anon_sym___PACKAGE__ = 133,
  anon_sym___SUB__ = 134,
  anon_sym_break = 135,
  anon_sym_fork = 136,
  anon_sym_getppid = 137,
  anon_sym_time = 138,
  anon_sym_times = 139,
  anon_sym_wait = 140,
  anon_sym_wantarray = 141,
  anon_sym_abs = 142,
  anon_sym_alarm = 143,
  anon_sym_chop = 144,
  anon_sym_chdir = 145,
  anon_sym_close = 146,
  anon_sym_closedir = 147,
  anon_sym_caller = 148,
  anon_sym_chomp = 149,
  anon_sym_chr = 150,
  anon_sym_cos = 151,
  anon_sym_chroot = 152,
  anon_sym_defined = 153,
  anon_sym_delete = 154,
  anon_sym_dbmclose = 155,
  anon_sym_exists = 156,
  anon_sym_exit = 157,
  anon_sym_eof = 158,
  anon_sym_exp = 159,
  anon_sym_each = 160,
  anon_sym_fc = 161,
  anon_sym_fileno = 162,
  anon_sym_gmtime = 163,
  anon_sym_getc = 164,
  anon_sym_getpgrp = 165,
  anon_sym_getprotobyname = 166,
  anon_sym_getpwname = 167,
  anon_sym_getpwuid = 168,
  anon_sym_getpeername = 169,
  anon_sym_getnetbyname = 170,
  anon_sym_getsockname = 171,
  anon_sym_getgrnam = 172,
  anon_sym_getgrgid = 173,
  anon_sym_hex = 174,
  anon_sym_int = 175,
  anon_sym_keys = 176,
  anon_sym_lc = 177,
  anon_sym_lcfirst = 178,
  anon_sym_length = 179,
  anon_sym_localtime = 180,
  anon_sym_log = 181,
  anon_sym_lock = 182,
  anon_sym_lstat = 183,
  anon_sym_oct = 184,
  anon_sym_ord = 185,
  anon_sym_prototype = 186,
  anon_sym_pop = 187,
  anon_sym_pos = 188,
  anon_sym_quotemeta = 189,
  anon_sym_reset = 190,
  anon_sym_rand = 191,
  anon_sym_rmdir = 192,
  anon_sym_readdir = 193,
  anon_sym_readline = 194,
  anon_sym_readpipe = 195,
  anon_sym_rewinddir = 196,
  anon_sym_readlink = 197,
  anon_sym_ref = 198,
  anon_sym_scalar = 199,
  anon_sym_shift = 200,
  anon_sym_sin = 201,
  anon_sym_sleep = 202,
  anon_sym_sqrt = 203,
  anon_sym_srand = 204,
  anon_sym_stat = 205,
  anon_sym_study = 206,
  anon_sym_tell = 207,
  anon_sym_telldir = 208,
  anon_sym_tied = 209,
  anon_sym_uc = 210,
  anon_sym_ucfirst = 211,
  anon_sym_untie = 212,
  anon_sym_umask = 213,
  anon_sym_values = 214,
  anon_sym_write = 215,
  sym_comment = 216,
  anon_sym___DATA__ = 217,
  anon_sym___END__ = 218,
  aux_sym___DATA___token1 = 219,
  anon_sym_EOT = 220,
  anon_sym_q = 221,
  anon_sym_qq = 222,
  anon_sym_DASH_GT2 = 223,
  anon_sym_LBRACK2 = 224,
  anon_sym_LBRACE2 = 225,
  anon_sym_DOLLAR_STAR = 226,
  anon_sym_AT_STAR = 227,
  aux_sym__interpolation_fallbacks_token1 = 228,
  aux_sym__interpolation_fallbacks_token2 = 229,
  anon_sym_qw = 230,
  anon_sym_qx = 231,
  anon_sym_qr = 232,
  anon_sym_m = 233,
  anon_sym_s = 234,
  sym_quoted_regexp_modifiers = 235,
  sym_match_regexp_modifiers = 236,
  sym_substitution_regexp_modifiers = 237,
  sym_transliteration_modifiers = 238,
  aux_sym__interpolated_transliteration_content_token1 = 239,
  anon_sym_tr = 240,
  anon_sym_y = 241,
  sym_version = 242,
  anon_sym_if = 243,
  anon_sym_unless = 244,
  anon_sym_while = 245,
  anon_sym_until = 246,
  aux_sym__ident_special_token1 = 247,
  aux_sym__bareword_token1 = 248,
  sym_number = 249,
  anon_sym_true = 250,
  anon_sym_false = 251,
  sym__single_quote = 252,
  sym__double_quote = 253,
  sym__backtick_quote = 254,
  sym__search_slash_quote = 255,
  sym__no_search_slash_plz = 256,
  sym__open_readline_bracket = 257,
  sym__open_fileglob_bracket = 258,
  sym__PERLY_SEMICOLON = 259,
  sym__PERLY_HEREDOC = 260,
  sym__ctrl_z_hack = 261,
  sym__quotelike_begin_quote = 262,
  sym__quotelike_middle_close_quote = 263,
  sym__quotelike_middle_skip = 264,
  sym__quotelike_end_zw = 265,
  sym__quotelike_end_quote = 266,
  sym__q_string_content = 267,
  sym__qq_string_content = 268,
  sym_escape_sequence = 269,
  sym_escaped_delimiter = 270,
  sym__dollar_in_regexp = 271,
  sym_pod = 272,
  sym__gobbled_content = 273,
  sym__attribute_value_begin = 274,
  sym_attribute_value = 275,
  sym_prototype = 276,
  sym__signature_start = 277,
  sym__heredoc_delimiter = 278,
  sym__command_heredoc_delimiter = 279,
  sym__heredoc_start = 280,
  sym__heredoc_middle = 281,
  sym_heredoc_end = 282,
  sym__fat_comma_autoquoted = 283,
  sym__filetest = 284,
  sym__brace_autoquoted_token = 285,
  sym__brace_end_zw = 286,
  sym__dollar_ident_zw = 287,
  sym__no_interp_whitespace_zw = 288,
  sym__NONASSOC = 289,
  sym__ERROR = 290,
  sym_source_file = 291,
  sym__PERLY_BRACE_OPEN = 292,
  sym_block = 293,
  sym__fullstmt = 294,
  sym_statement_label = 295,
  sym__semicolon = 296,
  sym__barestmt = 297,
  sym_package_statement = 298,
  sym_class_statement = 299,
  sym_role_statement = 300,
  sym_class_phaser_statement = 301,
  sym_use_version_statement = 302,
  sym_use_statement = 303,
  sym_mandatory_parameter = 304,
  sym_optional_parameter = 305,
  sym_named_parameter = 306,
  sym_slurpy_parameter = 307,
  sym__signature_vars = 308,
  sym_signature = 309,
  sym_subroutine_declaration_statement = 310,
  sym_method_declaration_statement = 311,
  sym_phaser_statement = 312,
  sym_conditional_statement = 313,
  sym__loop_body = 314,
  sym_loop_statement = 315,
  sym_cstyle_for_statement = 316,
  sym__for_initializer = 317,
  sym_for_statement = 318,
  sym_try_statement = 319,
  sym_defer_statement = 320,
  sym_expression_statement = 321,
  sym__postfix_expressions = 322,
  sym_postfix_conditional_expression = 323,
  sym_postfix_loop_expression = 324,
  sym_postfix_for_expression = 325,
  sym_yadayada = 326,
  sym__else = 327,
  sym_else = 328,
  sym_elsif = 329,
  sym__expr = 330,
  sym_lowprec_logical_expression = 331,
  sym__listexpr = 332,
  sym__term_rightward = 333,
  sym_list_expression = 334,
  sym__subscripted = 335,
  sym_container_variable = 336,
  sym_array_element_expression = 337,
  sym__hash_key = 338,
  sym_hash_element_expression = 339,
  sym_coderef_call_expression = 340,
  sym_anonymous_slice_expression = 341,
  sym_slice_container_variable = 342,
  sym_slice_expression = 343,
  sym_keyval_container_variable = 344,
  sym_keyval_expression = 345,
  sym__term = 346,
  sym_readline_expression = 347,
  sym_fileglob_expression = 348,
  sym_assignment_expression = 349,
  sym_binary_expression = 350,
  sym_equality_expression = 351,
  sym_relational_expression = 352,
  sym_unary_expression = 353,
  sym_preinc_expression = 354,
  sym_postinc_expression = 355,
  sym_conditional_expression = 356,
  sym_refgen_expression = 357,
  sym_anonymous_array_expression = 358,
  sym__tricky_list = 359,
  sym_anonymous_hash_expression = 360,
  sym_anonymous_subroutine_expression = 361,
  sym_anonymous_method_expression = 362,
  sym_do_expression = 363,
  sym_eval_expression = 364,
  sym_await_expression = 365,
  sym__declared_vars = 366,
  sym_variable_declaration = 367,
  sym__decl_variable_list = 368,
  sym_localization_expression = 369,
  sym_stub_expression = 370,
  sym_scalar_deref_expression = 371,
  sym_array_deref_expression = 372,
  sym_arraylen_deref_expression = 373,
  sym_hash_deref_expression = 374,
  sym_amper_deref_expression = 375,
  sym_glob_deref_expression = 376,
  sym_require_expression = 377,
  sym_require_version_expression = 378,
  sym_func0op_call_expression = 379,
  sym_func1op_call_expression = 380,
  sym_map_grep_expression = 381,
  sym__sort_routine = 382,
  sym_sort_expression = 383,
  sym__label_arg = 384,
  sym_loopex_expression = 385,
  sym_goto_expression = 386,
  sym_return_expression = 387,
  sym_undef_expression = 388,
  sym__listop = 389,
  sym_indirect_object = 390,
  sym_function_call_expression = 391,
  sym__tricky_indirob_hashref = 392,
  sym_ambiguous_function_call_expression = 393,
  sym_function = 394,
  sym_method_call_expression = 395,
  sym_method = 396,
  sym__signature_varname = 397,
  sym_scalar = 398,
  sym__declare_scalar = 399,
  sym__signature_scalar = 400,
  sym_array = 401,
  sym__declare_array = 402,
  sym__signature_array = 403,
  sym__SUB_AMPER = 404,
  sym__GLOB_STAR = 405,
  sym_hash = 406,
  sym__declare_hash = 407,
  sym__signature_hash = 408,
  sym_arraylen = 409,
  sym_amper_sub = 410,
  sym_glob = 411,
  sym_glob_slot_expression = 412,
  sym__indirob = 413,
  sym_varname = 414,
  sym__var_indirob_autoquote = 415,
  sym__var_indirob = 416,
  sym_attrlist = 417,
  sym_attribute = 418,
  sym_attribute_name = 419,
  sym___DATA__ = 420,
  sym__literal = 421,
  sym__apostrophe = 422,
  sym__quotation_mark = 423,
  sym__backtick = 424,
  sym__search_slash = 425,
  sym__quotelike_begin = 426,
  sym__quotelike_middle_close = 427,
  sym__quotelike_end = 428,
  sym__quotelike_middle = 429,
  sym_string_literal = 430,
  sym_interpolated_string_literal = 431,
  sym__subscripted_interpolations = 432,
  sym__braced_scalar = 433,
  sym__braced_array = 434,
  sym__interp_arrow = 435,
  sym__array_element_interpolation = 436,
  sym__hash_element_interpolation = 437,
  sym__slice_expression_interpolation = 438,
  sym__scalar_deref_interpolation = 439,
  sym__array_deref_interpolation = 440,
  sym__interpolations = 441,
  aux_sym__noninterpolated_string_content = 442,
  sym__interpolation_fallbacks = 443,
  sym__nonvar_interpolation_fallbacks = 444,
  aux_sym__interpolated_string_content = 445,
  sym_quoted_word_list = 446,
  sym_command_string = 447,
  sym_quoted_regexp = 448,
  sym_match_regexp = 449,
  sym_substitution_regexp = 450,
  aux_sym__interpolated_regexp_content = 451,
  aux_sym__interpolated_transliteration_content = 452,
  sym_transliteration_expression = 453,
  sym_heredoc_token = 454,
  sym_command_heredoc_token = 455,
  sym_heredoc_content = 456,
  sym_package = 457,
  sym__version = 458,
  sym__conditionals = 459,
  sym__loops = 460,
  sym_autoquoted_bareword = 461,
  sym__brace_autoquoted = 462,
  sym_identifier = 463,
  sym__ident_special = 464,
  sym_bareword = 465,
  sym_primitive = 466,
  sym_boolean = 467,
  aux_sym_source_file_repeat1 = 468,
  aux_sym_signature_repeat1 = 469,
  aux_sym_subroutine_declaration_statement_repeat1 = 470,
  aux_sym__for_initializer_repeat1 = 471,
  aux_sym__term_rightward_repeat1 = 472,
  aux_sym__decl_variable_list_repeat1 = 473,
  aux_sym_attrlist_repeat1 = 474,
  aux_sym_heredoc_content_repeat1 = 475,
  alias_sym_block_statement = 476,
  alias_sym_data_section = 477,
  alias_sym_filehandle = 478,
  alias_sym_filename = 479,
  alias_sym_label = 480,
  anon_alias_sym_not_DASHinterpolated = 481,
  alias_sym_regexp_content = 482,
  alias_sym_replacement = 483,
  alias_sym_string_content = 484,
  alias_sym_transliteration_content = 485,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym__identifier] = "_identifier",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_COLON] = ":",
  [anon_sym_SEMI] = ";",
  [anon_sym_package] = "package",
  [anon_sym_class] = "class",
  [anon_sym_role] = "role",
  [anon_sym_BUILD] = "BUILD",
  [anon_sym_ADJUST] = "ADJUST",
  [anon_sym_DOLLAR] = "$",
  [anon_sym_EQ] = "=",
  [anon_sym_PIPE_PIPE_EQ] = "||=",
  [anon_sym_SLASH_SLASH_EQ] = "//=",
  [anon_sym_AT] = "@",
  [anon_sym_COMMA] = ",",
  [anon_sym_RPAREN] = ")",
  [anon_sym_my] = "my",
  [anon_sym_extended] = "extended",
  [anon_sym_async] = "async",
  [anon_sym_sub] = "sub",
  [anon_sym_method] = "method",
  [anon_sym_LPAREN] = "(",
  [anon_sym_continue] = "continue",
  [anon_sym_state] = "state",
  [anon_sym_our] = "our",
  [anon_sym_try] = "try",
  [anon_sym_catch] = "catch",
  [anon_sym_finally] = "finally",
  [anon_sym_defer] = "defer",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_else] = "else",
  [anon_sym_elsif] = "elsif",
  [anon_sym_and] = "and",
  [anon_sym_or] = "or",
  [anon_sym_xor] = "xor",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_PERCENT] = "%",
  [anon_sym_GT] = ">",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_STAR_STAR_EQ] = "**=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_DOT_EQ] = ".=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_x_EQ] = "x=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_AMP_AMP_EQ] = "&&=",
  [anon_sym_DOT_DOT] = "..",
  [anon_sym_STAR_STAR] = "**",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_SLASH_SLASH] = "//",
  [anon_sym_CARET_CARET] = "^^",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE] = "|",
  [anon_sym_CARET] = "^",
  [anon_sym_AMP] = "&",
  [anon_sym_GT_GT2] = ">>",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_DOT] = ".",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_x] = "x",
  [anon_sym_EQ_TILDE] = "=~",
  [anon_sym_BANG_TILDE] = "!~",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_eq] = "eq",
  [anon_sym_EQ_EQ_EQ] = "===",
  [anon_sym_equ] = "equ",
  [anon_sym_eqr] = "eqr",
  [anon_sym_ne] = "ne",
  [anon_sym_LT_EQ_GT] = "<=>",
  [anon_sym_cmp] = "cmp",
  [anon_sym_TILDE_TILDE] = "~~",
  [anon_sym_LT] = "<",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_lt] = "lt",
  [anon_sym_le] = "le",
  [anon_sym_ge] = "ge",
  [anon_sym_gt] = "gt",
  [anon_sym_isa] = "isa",
  [anon_sym_TILDE] = "~",
  [anon_sym_BANG] = "!",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_QMARK] = "\?",
  [anon_sym_BSLASH] = "\\",
  [anon_sym_do] = "do",
  [anon_sym_eval] = "eval",
  [anon_sym_await] = "await",
  [anon_sym_field] = "field",
  [anon_sym_local] = "local",
  [anon_sym_dynamically] = "dynamically",
  [anon_sym_DOLLAR_POUND] = "$#",
  [anon_sym_require] = "require",
  [anon_sym_map] = "map",
  [anon_sym_grep] = "grep",
  [anon_sym_sort] = "sort",
  [anon_sym_goto] = "goto",
  [anon_sym_return] = "return",
  [anon_sym_undef] = "undef",
  [anon_sym_PERCENT2] = "%",
  [anon_sym_AMP2] = "&",
  [anon_sym_STAR2] = "*",
  [aux_sym__var_indirob_autoquote_token1] = "varname",
  [anon_sym_EQ_GT] = "=>",
  [anon_sym_use] = "use",
  [anon_sym_no] = "no",
  [anon_sym_for] = "for",
  [anon_sym_foreach] = "foreach",
  [anon_sym_last] = "last",
  [anon_sym_next] = "next",
  [anon_sym_redo] = "redo",
  [anon_sym_BEGIN] = "BEGIN",
  [anon_sym_INIT] = "INIT",
  [anon_sym_CHECK] = "CHECK",
  [anon_sym_UNITCHECK] = "UNITCHECK",
  [anon_sym_END] = "END",
  [anon_sym___FILE__] = "__FILE__",
  [anon_sym___LINE__] = "__LINE__",
  [anon_sym___PACKAGE__] = "__PACKAGE__",
  [anon_sym___SUB__] = "__SUB__",
  [anon_sym_break] = "break",
  [anon_sym_fork] = "fork",
  [anon_sym_getppid] = "getppid",
  [anon_sym_time] = "time",
  [anon_sym_times] = "times",
  [anon_sym_wait] = "wait",
  [anon_sym_wantarray] = "wantarray",
  [anon_sym_abs] = "abs",
  [anon_sym_alarm] = "alarm",
  [anon_sym_chop] = "chop",
  [anon_sym_chdir] = "chdir",
  [anon_sym_close] = "close",
  [anon_sym_closedir] = "closedir",
  [anon_sym_caller] = "caller",
  [anon_sym_chomp] = "chomp",
  [anon_sym_chr] = "chr",
  [anon_sym_cos] = "cos",
  [anon_sym_chroot] = "chroot",
  [anon_sym_defined] = "defined",
  [anon_sym_delete] = "delete",
  [anon_sym_dbmclose] = "dbmclose",
  [anon_sym_exists] = "exists",
  [anon_sym_exit] = "exit",
  [anon_sym_eof] = "eof",
  [anon_sym_exp] = "exp",
  [anon_sym_each] = "each",
  [anon_sym_fc] = "fc",
  [anon_sym_fileno] = "fileno",
  [anon_sym_gmtime] = "gmtime",
  [anon_sym_getc] = "getc",
  [anon_sym_getpgrp] = "getpgrp",
  [anon_sym_getprotobyname] = "getprotobyname",
  [anon_sym_getpwname] = "getpwname",
  [anon_sym_getpwuid] = "getpwuid",
  [anon_sym_getpeername] = "getpeername",
  [anon_sym_getnetbyname] = "getnetbyname",
  [anon_sym_getsockname] = "getsockname",
  [anon_sym_getgrnam] = "getgrnam",
  [anon_sym_getgrgid] = "getgrgid",
  [anon_sym_hex] = "hex",
  [anon_sym_int] = "int",
  [anon_sym_keys] = "keys",
  [anon_sym_lc] = "lc",
  [anon_sym_lcfirst] = "lcfirst",
  [anon_sym_length] = "length",
  [anon_sym_localtime] = "localtime",
  [anon_sym_log] = "log",
  [anon_sym_lock] = "lock",
  [anon_sym_lstat] = "lstat",
  [anon_sym_oct] = "oct",
  [anon_sym_ord] = "ord",
  [anon_sym_prototype] = "prototype",
  [anon_sym_pop] = "pop",
  [anon_sym_pos] = "pos",
  [anon_sym_quotemeta] = "quotemeta",
  [anon_sym_reset] = "reset",
  [anon_sym_rand] = "rand",
  [anon_sym_rmdir] = "rmdir",
  [anon_sym_readdir] = "readdir",
  [anon_sym_readline] = "readline",
  [anon_sym_readpipe] = "readpipe",
  [anon_sym_rewinddir] = "rewinddir",
  [anon_sym_readlink] = "readlink",
  [anon_sym_ref] = "ref",
  [anon_sym_scalar] = "scalar",
  [anon_sym_shift] = "shift",
  [anon_sym_sin] = "sin",
  [anon_sym_sleep] = "sleep",
  [anon_sym_sqrt] = "sqrt",
  [anon_sym_srand] = "srand",
  [anon_sym_stat] = "stat",
  [anon_sym_study] = "study",
  [anon_sym_tell] = "tell",
  [anon_sym_telldir] = "telldir",
  [anon_sym_tied] = "tied",
  [anon_sym_uc] = "uc",
  [anon_sym_ucfirst] = "ucfirst",
  [anon_sym_untie] = "untie",
  [anon_sym_umask] = "umask",
  [anon_sym_values] = "values",
  [anon_sym_write] = "write",
  [sym_comment] = "comment",
  [anon_sym___DATA__] = "eof_marker",
  [anon_sym___END__] = "eof_marker",
  [aux_sym___DATA___token1] = "__DATA___token1",
  [anon_sym_EOT] = "eof_marker",
  [anon_sym_q] = "q",
  [anon_sym_qq] = "qq",
  [anon_sym_DASH_GT2] = "->",
  [anon_sym_LBRACK2] = "[",
  [anon_sym_LBRACE2] = "{",
  [anon_sym_DOLLAR_STAR] = "$*",
  [anon_sym_AT_STAR] = "@*",
  [aux_sym__interpolation_fallbacks_token1] = "_interpolation_fallbacks_token1",
  [aux_sym__interpolation_fallbacks_token2] = "_interpolation_fallbacks_token2",
  [anon_sym_qw] = "qw",
  [anon_sym_qx] = "qx",
  [anon_sym_qr] = "qr",
  [anon_sym_m] = "m",
  [anon_sym_s] = "s",
  [sym_quoted_regexp_modifiers] = "quoted_regexp_modifiers",
  [sym_match_regexp_modifiers] = "match_regexp_modifiers",
  [sym_substitution_regexp_modifiers] = "substitution_regexp_modifiers",
  [sym_transliteration_modifiers] = "transliteration_modifiers",
  [aux_sym__interpolated_transliteration_content_token1] = "_interpolated_transliteration_content_token1",
  [anon_sym_tr] = "tr",
  [anon_sym_y] = "y",
  [sym_version] = "version",
  [anon_sym_if] = "if",
  [anon_sym_unless] = "unless",
  [anon_sym_while] = "while",
  [anon_sym_until] = "until",
  [aux_sym__ident_special_token1] = "_ident_special_token1",
  [aux_sym__bareword_token1] = "_bareword_token1",
  [sym_number] = "number",
  [anon_sym_true] = "true",
  [anon_sym_false] = "false",
  [sym__single_quote] = "'",
  [sym__double_quote] = "'",
  [sym__backtick_quote] = "'",
  [sym__search_slash_quote] = "'",
  [sym__no_search_slash_plz] = "_no_search_slash_plz",
  [sym__open_readline_bracket] = "<",
  [sym__open_fileglob_bracket] = "<",
  [sym__PERLY_SEMICOLON] = "_PERLY_SEMICOLON",
  [sym__PERLY_HEREDOC] = "_PERLY_HEREDOC",
  [sym__ctrl_z_hack] = "eof_marker",
  [sym__quotelike_begin_quote] = "'",
  [sym__quotelike_middle_close_quote] = "'",
  [sym__quotelike_middle_skip] = "_quotelike_middle_skip",
  [sym__quotelike_end_zw] = "_quotelike_end_zw",
  [sym__quotelike_end_quote] = "'",
  [sym__q_string_content] = "_q_string_content",
  [sym__qq_string_content] = "_qq_string_content",
  [sym_escape_sequence] = "escape_sequence",
  [sym_escaped_delimiter] = "escaped_delimiter",
  [sym__dollar_in_regexp] = "_dollar_in_regexp",
  [sym_pod] = "pod",
  [sym__gobbled_content] = "_gobbled_content",
  [sym__attribute_value_begin] = "_attribute_value_begin",
  [sym_attribute_value] = "attribute_value",
  [sym_prototype] = "prototype",
  [sym__signature_start] = "(",
  [sym__heredoc_delimiter] = "_heredoc_delimiter",
  [sym__command_heredoc_delimiter] = "_command_heredoc_delimiter",
  [sym__heredoc_start] = "_heredoc_start",
  [sym__heredoc_middle] = "_heredoc_middle",
  [sym_heredoc_end] = "heredoc_end",
  [sym__fat_comma_autoquoted] = "_fat_comma_autoquoted",
  [sym__filetest] = "-x",
  [sym__brace_autoquoted_token] = "varname",
  [sym__brace_end_zw] = "_brace_end_zw",
  [sym__dollar_ident_zw] = "_dollar_ident_zw",
  [sym__no_interp_whitespace_zw] = "_no_interp_whitespace_zw",
  [sym__NONASSOC] = "_NONASSOC",
  [sym__ERROR] = "_ERROR",
  [sym_source_file] = "source_file",
  [sym__PERLY_BRACE_OPEN] = "_PERLY_BRACE_OPEN",
  [sym_block] = "block",
  [sym__fullstmt] = "_fullstmt",
  [sym_statement_label] = "statement_label",
  [sym__semicolon] = "_semicolon",
  [sym__barestmt] = "_barestmt",
  [sym_package_statement] = "package_statement",
  [sym_class_statement] = "class_statement",
  [sym_role_statement] = "role_statement",
  [sym_class_phaser_statement] = "class_phaser_statement",
  [sym_use_version_statement] = "use_version_statement",
  [sym_use_statement] = "use_statement",
  [sym_mandatory_parameter] = "mandatory_parameter",
  [sym_optional_parameter] = "optional_parameter",
  [sym_named_parameter] = "named_parameter",
  [sym_slurpy_parameter] = "slurpy_parameter",
  [sym__signature_vars] = "_signature_vars",
  [sym_signature] = "signature",
  [sym_subroutine_declaration_statement] = "subroutine_declaration_statement",
  [sym_method_declaration_statement] = "method_declaration_statement",
  [sym_phaser_statement] = "phaser_statement",
  [sym_conditional_statement] = "conditional_statement",
  [sym__loop_body] = "_loop_body",
  [sym_loop_statement] = "loop_statement",
  [sym_cstyle_for_statement] = "cstyle_for_statement",
  [sym__for_initializer] = "_for_initializer",
  [sym_for_statement] = "for_statement",
  [sym_try_statement] = "try_statement",
  [sym_defer_statement] = "defer_statement",
  [sym_expression_statement] = "expression_statement",
  [sym__postfix_expressions] = "_postfix_expressions",
  [sym_postfix_conditional_expression] = "postfix_conditional_expression",
  [sym_postfix_loop_expression] = "postfix_loop_expression",
  [sym_postfix_for_expression] = "postfix_for_expression",
  [sym_yadayada] = "yadayada",
  [sym__else] = "_else",
  [sym_else] = "else",
  [sym_elsif] = "elsif",
  [sym__expr] = "_expr",
  [sym_lowprec_logical_expression] = "lowprec_logical_expression",
  [sym__listexpr] = "_listexpr",
  [sym__term_rightward] = "_term_rightward",
  [sym_list_expression] = "list_expression",
  [sym__subscripted] = "_subscripted",
  [sym_container_variable] = "container_variable",
  [sym_array_element_expression] = "array_element_expression",
  [sym__hash_key] = "_hash_key",
  [sym_hash_element_expression] = "hash_element_expression",
  [sym_coderef_call_expression] = "coderef_call_expression",
  [sym_anonymous_slice_expression] = "anonymous_slice_expression",
  [sym_slice_container_variable] = "slice_container_variable",
  [sym_slice_expression] = "slice_expression",
  [sym_keyval_container_variable] = "keyval_container_variable",
  [sym_keyval_expression] = "keyval_expression",
  [sym__term] = "_term",
  [sym_readline_expression] = "readline_expression",
  [sym_fileglob_expression] = "fileglob_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_equality_expression] = "equality_expression",
  [sym_relational_expression] = "relational_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_preinc_expression] = "preinc_expression",
  [sym_postinc_expression] = "postinc_expression",
  [sym_conditional_expression] = "conditional_expression",
  [sym_refgen_expression] = "refgen_expression",
  [sym_anonymous_array_expression] = "anonymous_array_expression",
  [sym__tricky_list] = "list_expression",
  [sym_anonymous_hash_expression] = "anonymous_hash_expression",
  [sym_anonymous_subroutine_expression] = "anonymous_subroutine_expression",
  [sym_anonymous_method_expression] = "anonymous_method_expression",
  [sym_do_expression] = "do_expression",
  [sym_eval_expression] = "eval_expression",
  [sym_await_expression] = "await_expression",
  [sym__declared_vars] = "_declared_vars",
  [sym_variable_declaration] = "variable_declaration",
  [sym__decl_variable_list] = "_decl_variable_list",
  [sym_localization_expression] = "localization_expression",
  [sym_stub_expression] = "stub_expression",
  [sym_scalar_deref_expression] = "scalar_deref_expression",
  [sym_array_deref_expression] = "array_deref_expression",
  [sym_arraylen_deref_expression] = "arraylen_deref_expression",
  [sym_hash_deref_expression] = "hash_deref_expression",
  [sym_amper_deref_expression] = "amper_deref_expression",
  [sym_glob_deref_expression] = "glob_deref_expression",
  [sym_require_expression] = "require_expression",
  [sym_require_version_expression] = "require_version_expression",
  [sym_func0op_call_expression] = "func0op_call_expression",
  [sym_func1op_call_expression] = "func1op_call_expression",
  [sym_map_grep_expression] = "map_grep_expression",
  [sym__sort_routine] = "_sort_routine",
  [sym_sort_expression] = "sort_expression",
  [sym__label_arg] = "_label_arg",
  [sym_loopex_expression] = "loopex_expression",
  [sym_goto_expression] = "goto_expression",
  [sym_return_expression] = "return_expression",
  [sym_undef_expression] = "undef_expression",
  [sym__listop] = "_listop",
  [sym_indirect_object] = "indirect_object",
  [sym_function_call_expression] = "function_call_expression",
  [sym__tricky_indirob_hashref] = "anonymous_hash_expression",
  [sym_ambiguous_function_call_expression] = "ambiguous_function_call_expression",
  [sym_function] = "function",
  [sym_method_call_expression] = "method_call_expression",
  [sym_method] = "method",
  [sym__signature_varname] = "_signature_varname",
  [sym_scalar] = "scalar",
  [sym__declare_scalar] = "scalar",
  [sym__signature_scalar] = "scalar",
  [sym_array] = "array",
  [sym__declare_array] = "array",
  [sym__signature_array] = "array",
  [sym__SUB_AMPER] = "_SUB_AMPER",
  [sym__GLOB_STAR] = "_GLOB_STAR",
  [sym_hash] = "hash",
  [sym__declare_hash] = "hash",
  [sym__signature_hash] = "hash",
  [sym_arraylen] = "arraylen",
  [sym_amper_sub] = "function",
  [sym_glob] = "glob",
  [sym_glob_slot_expression] = "glob_slot_expression",
  [sym__indirob] = "varname",
  [sym_varname] = "varname",
  [sym__var_indirob_autoquote] = "_var_indirob_autoquote",
  [sym__var_indirob] = "_var_indirob",
  [sym_attrlist] = "attrlist",
  [sym_attribute] = "attribute",
  [sym_attribute_name] = "attribute_name",
  [sym___DATA__] = "__DATA__",
  [sym__literal] = "_literal",
  [sym__apostrophe] = "_apostrophe",
  [sym__quotation_mark] = "_quotation_mark",
  [sym__backtick] = "_backtick",
  [sym__search_slash] = "_search_slash",
  [sym__quotelike_begin] = "_quotelike_begin",
  [sym__quotelike_middle_close] = "_quotelike_middle_close",
  [sym__quotelike_end] = "_quotelike_end",
  [sym__quotelike_middle] = "_quotelike_middle",
  [sym_string_literal] = "string_literal",
  [sym_interpolated_string_literal] = "interpolated_string_literal",
  [sym__subscripted_interpolations] = "_subscripted_interpolations",
  [sym__braced_scalar] = "scalar",
  [sym__braced_array] = "array",
  [sym__interp_arrow] = "_interp_arrow",
  [sym__array_element_interpolation] = "array_element_expression",
  [sym__hash_element_interpolation] = "hash_element_expression",
  [sym__slice_expression_interpolation] = "slice_expression",
  [sym__scalar_deref_interpolation] = "scalar_deref_expression",
  [sym__array_deref_interpolation] = "array_deref_expression",
  [sym__interpolations] = "_interpolations",
  [aux_sym__noninterpolated_string_content] = "_noninterpolated_string_content",
  [sym__interpolation_fallbacks] = "_interpolation_fallbacks",
  [sym__nonvar_interpolation_fallbacks] = "_nonvar_interpolation_fallbacks",
  [aux_sym__interpolated_string_content] = "_interpolated_string_content",
  [sym_quoted_word_list] = "quoted_word_list",
  [sym_command_string] = "command_string",
  [sym_quoted_regexp] = "quoted_regexp",
  [sym_match_regexp] = "match_regexp",
  [sym_substitution_regexp] = "substitution_regexp",
  [aux_sym__interpolated_regexp_content] = "_interpolated_regexp_content",
  [aux_sym__interpolated_transliteration_content] = "_interpolated_transliteration_content",
  [sym_transliteration_expression] = "transliteration_expression",
  [sym_heredoc_token] = "heredoc_token",
  [sym_command_heredoc_token] = "command_heredoc_token",
  [sym_heredoc_content] = "heredoc_content",
  [sym_package] = "package",
  [sym__version] = "_version",
  [sym__conditionals] = "_conditionals",
  [sym__loops] = "_loops",
  [sym_autoquoted_bareword] = "autoquoted_bareword",
  [sym__brace_autoquoted] = "_brace_autoquoted",
  [sym_identifier] = "identifier",
  [sym__ident_special] = "_ident_special",
  [sym_bareword] = "bareword",
  [sym_primitive] = "primitive",
  [sym_boolean] = "boolean",
  [aux_sym_source_file_repeat1] = "source_file_repeat1",
  [aux_sym_signature_repeat1] = "signature_repeat1",
  [aux_sym_subroutine_declaration_statement_repeat1] = "subroutine_declaration_statement_repeat1",
  [aux_sym__for_initializer_repeat1] = "_for_initializer_repeat1",
  [aux_sym__term_rightward_repeat1] = "_term_rightward_repeat1",
  [aux_sym__decl_variable_list_repeat1] = "_decl_variable_list_repeat1",
  [aux_sym_attrlist_repeat1] = "attrlist_repeat1",
  [aux_sym_heredoc_content_repeat1] = "heredoc_content_repeat1",
  [alias_sym_block_statement] = "block_statement",
  [alias_sym_data_section] = "data_section",
  [alias_sym_filehandle] = "filehandle",
  [alias_sym_filename] = "filename",
  [alias_sym_label] = "label",
  [anon_alias_sym_not_DASHinterpolated] = "not-interpolated",
  [alias_sym_regexp_content] = "regexp_content",
  [alias_sym_replacement] = "replacement",
  [alias_sym_string_content] = "string_content",
  [alias_sym_transliteration_content] = "transliteration_content",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym__identifier] = sym__identifier,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_package] = anon_sym_package,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_role] = anon_sym_role,
  [anon_sym_BUILD] = anon_sym_BUILD,
  [anon_sym_ADJUST] = anon_sym_ADJUST,
  [anon_sym_DOLLAR] = anon_sym_DOLLAR,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_PIPE_PIPE_EQ] = anon_sym_PIPE_PIPE_EQ,
  [anon_sym_SLASH_SLASH_EQ] = anon_sym_SLASH_SLASH_EQ,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_my] = anon_sym_my,
  [anon_sym_extended] = anon_sym_extended,
  [anon_sym_async] = anon_sym_async,
  [anon_sym_sub] = anon_sym_sub,
  [anon_sym_method] = anon_sym_method,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_state] = anon_sym_state,
  [anon_sym_our] = anon_sym_our,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_catch] = anon_sym_catch,
  [anon_sym_finally] = anon_sym_finally,
  [anon_sym_defer] = anon_sym_defer,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_elsif] = anon_sym_elsif,
  [anon_sym_and] = anon_sym_and,
  [anon_sym_or] = anon_sym_or,
  [anon_sym_xor] = anon_sym_xor,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_STAR_STAR_EQ] = anon_sym_STAR_STAR_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_DOT_EQ] = anon_sym_DOT_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_x_EQ] = anon_sym_x_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_AMP_AMP_EQ] = anon_sym_AMP_AMP_EQ,
  [anon_sym_DOT_DOT] = anon_sym_DOT_DOT,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_SLASH_SLASH] = anon_sym_SLASH_SLASH,
  [anon_sym_CARET_CARET] = anon_sym_CARET_CARET,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_GT_GT2] = anon_sym_GT_GT,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_x] = anon_sym_x,
  [anon_sym_EQ_TILDE] = anon_sym_EQ_TILDE,
  [anon_sym_BANG_TILDE] = anon_sym_BANG_TILDE,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_eq] = anon_sym_eq,
  [anon_sym_EQ_EQ_EQ] = anon_sym_EQ_EQ_EQ,
  [anon_sym_equ] = anon_sym_equ,
  [anon_sym_eqr] = anon_sym_eqr,
  [anon_sym_ne] = anon_sym_ne,
  [anon_sym_LT_EQ_GT] = anon_sym_LT_EQ_GT,
  [anon_sym_cmp] = anon_sym_cmp,
  [anon_sym_TILDE_TILDE] = anon_sym_TILDE_TILDE,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_lt] = anon_sym_lt,
  [anon_sym_le] = anon_sym_le,
  [anon_sym_ge] = anon_sym_ge,
  [anon_sym_gt] = anon_sym_gt,
  [anon_sym_isa] = anon_sym_isa,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_BSLASH] = anon_sym_BSLASH,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_eval] = anon_sym_eval,
  [anon_sym_await] = anon_sym_await,
  [anon_sym_field] = anon_sym_field,
  [anon_sym_local] = anon_sym_local,
  [anon_sym_dynamically] = anon_sym_dynamically,
  [anon_sym_DOLLAR_POUND] = anon_sym_DOLLAR_POUND,
  [anon_sym_require] = anon_sym_require,
  [anon_sym_map] = anon_sym_map,
  [anon_sym_grep] = anon_sym_grep,
  [anon_sym_sort] = anon_sym_sort,
  [anon_sym_goto] = anon_sym_goto,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_undef] = anon_sym_undef,
  [anon_sym_PERCENT2] = anon_sym_PERCENT,
  [anon_sym_AMP2] = anon_sym_AMP,
  [anon_sym_STAR2] = anon_sym_STAR,
  [aux_sym__var_indirob_autoquote_token1] = sym_varname,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [anon_sym_use] = anon_sym_use,
  [anon_sym_no] = anon_sym_no,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_foreach] = anon_sym_foreach,
  [anon_sym_last] = anon_sym_last,
  [anon_sym_next] = anon_sym_next,
  [anon_sym_redo] = anon_sym_redo,
  [anon_sym_BEGIN] = anon_sym_BEGIN,
  [anon_sym_INIT] = anon_sym_INIT,
  [anon_sym_CHECK] = anon_sym_CHECK,
  [anon_sym_UNITCHECK] = anon_sym_UNITCHECK,
  [anon_sym_END] = anon_sym_END,
  [anon_sym___FILE__] = anon_sym___FILE__,
  [anon_sym___LINE__] = anon_sym___LINE__,
  [anon_sym___PACKAGE__] = anon_sym___PACKAGE__,
  [anon_sym___SUB__] = anon_sym___SUB__,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_fork] = anon_sym_fork,
  [anon_sym_getppid] = anon_sym_getppid,
  [anon_sym_time] = anon_sym_time,
  [anon_sym_times] = anon_sym_times,
  [anon_sym_wait] = anon_sym_wait,
  [anon_sym_wantarray] = anon_sym_wantarray,
  [anon_sym_abs] = anon_sym_abs,
  [anon_sym_alarm] = anon_sym_alarm,
  [anon_sym_chop] = anon_sym_chop,
  [anon_sym_chdir] = anon_sym_chdir,
  [anon_sym_close] = anon_sym_close,
  [anon_sym_closedir] = anon_sym_closedir,
  [anon_sym_caller] = anon_sym_caller,
  [anon_sym_chomp] = anon_sym_chomp,
  [anon_sym_chr] = anon_sym_chr,
  [anon_sym_cos] = anon_sym_cos,
  [anon_sym_chroot] = anon_sym_chroot,
  [anon_sym_defined] = anon_sym_defined,
  [anon_sym_delete] = anon_sym_delete,
  [anon_sym_dbmclose] = anon_sym_dbmclose,
  [anon_sym_exists] = anon_sym_exists,
  [anon_sym_exit] = anon_sym_exit,
  [anon_sym_eof] = anon_sym_eof,
  [anon_sym_exp] = anon_sym_exp,
  [anon_sym_each] = anon_sym_each,
  [anon_sym_fc] = anon_sym_fc,
  [anon_sym_fileno] = anon_sym_fileno,
  [anon_sym_gmtime] = anon_sym_gmtime,
  [anon_sym_getc] = anon_sym_getc,
  [anon_sym_getpgrp] = anon_sym_getpgrp,
  [anon_sym_getprotobyname] = anon_sym_getprotobyname,
  [anon_sym_getpwname] = anon_sym_getpwname,
  [anon_sym_getpwuid] = anon_sym_getpwuid,
  [anon_sym_getpeername] = anon_sym_getpeername,
  [anon_sym_getnetbyname] = anon_sym_getnetbyname,
  [anon_sym_getsockname] = anon_sym_getsockname,
  [anon_sym_getgrnam] = anon_sym_getgrnam,
  [anon_sym_getgrgid] = anon_sym_getgrgid,
  [anon_sym_hex] = anon_sym_hex,
  [anon_sym_int] = anon_sym_int,
  [anon_sym_keys] = anon_sym_keys,
  [anon_sym_lc] = anon_sym_lc,
  [anon_sym_lcfirst] = anon_sym_lcfirst,
  [anon_sym_length] = anon_sym_length,
  [anon_sym_localtime] = anon_sym_localtime,
  [anon_sym_log] = anon_sym_log,
  [anon_sym_lock] = anon_sym_lock,
  [anon_sym_lstat] = anon_sym_lstat,
  [anon_sym_oct] = anon_sym_oct,
  [anon_sym_ord] = anon_sym_ord,
  [anon_sym_prototype] = anon_sym_prototype,
  [anon_sym_pop] = anon_sym_pop,
  [anon_sym_pos] = anon_sym_pos,
  [anon_sym_quotemeta] = anon_sym_quotemeta,
  [anon_sym_reset] = anon_sym_reset,
  [anon_sym_rand] = anon_sym_rand,
  [anon_sym_rmdir] = anon_sym_rmdir,
  [anon_sym_readdir] = anon_sym_readdir,
  [anon_sym_readline] = anon_sym_readline,
  [anon_sym_readpipe] = anon_sym_readpipe,
  [anon_sym_rewinddir] = anon_sym_rewinddir,
  [anon_sym_readlink] = anon_sym_readlink,
  [anon_sym_ref] = anon_sym_ref,
  [anon_sym_scalar] = anon_sym_scalar,
  [anon_sym_shift] = anon_sym_shift,
  [anon_sym_sin] = anon_sym_sin,
  [anon_sym_sleep] = anon_sym_sleep,
  [anon_sym_sqrt] = anon_sym_sqrt,
  [anon_sym_srand] = anon_sym_srand,
  [anon_sym_stat] = anon_sym_stat,
  [anon_sym_study] = anon_sym_study,
  [anon_sym_tell] = anon_sym_tell,
  [anon_sym_telldir] = anon_sym_telldir,
  [anon_sym_tied] = anon_sym_tied,
  [anon_sym_uc] = anon_sym_uc,
  [anon_sym_ucfirst] = anon_sym_ucfirst,
  [anon_sym_untie] = anon_sym_untie,
  [anon_sym_umask] = anon_sym_umask,
  [anon_sym_values] = anon_sym_values,
  [anon_sym_write] = anon_sym_write,
  [sym_comment] = sym_comment,
  [anon_sym___DATA__] = sym__ctrl_z_hack,
  [anon_sym___END__] = sym__ctrl_z_hack,
  [aux_sym___DATA___token1] = aux_sym___DATA___token1,
  [anon_sym_EOT] = sym__ctrl_z_hack,
  [anon_sym_q] = anon_sym_q,
  [anon_sym_qq] = anon_sym_qq,
  [anon_sym_DASH_GT2] = anon_sym_DASH_GT,
  [anon_sym_LBRACK2] = anon_sym_LBRACK,
  [anon_sym_LBRACE2] = anon_sym_LBRACE,
  [anon_sym_DOLLAR_STAR] = anon_sym_DOLLAR_STAR,
  [anon_sym_AT_STAR] = anon_sym_AT_STAR,
  [aux_sym__interpolation_fallbacks_token1] = aux_sym__interpolation_fallbacks_token1,
  [aux_sym__interpolation_fallbacks_token2] = aux_sym__interpolation_fallbacks_token2,
  [anon_sym_qw] = anon_sym_qw,
  [anon_sym_qx] = anon_sym_qx,
  [anon_sym_qr] = anon_sym_qr,
  [anon_sym_m] = anon_sym_m,
  [anon_sym_s] = anon_sym_s,
  [sym_quoted_regexp_modifiers] = sym_quoted_regexp_modifiers,
  [sym_match_regexp_modifiers] = sym_match_regexp_modifiers,
  [sym_substitution_regexp_modifiers] = sym_substitution_regexp_modifiers,
  [sym_transliteration_modifiers] = sym_transliteration_modifiers,
  [aux_sym__interpolated_transliteration_content_token1] = aux_sym__interpolated_transliteration_content_token1,
  [anon_sym_tr] = anon_sym_tr,
  [anon_sym_y] = anon_sym_y,
  [sym_version] = sym_version,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_unless] = anon_sym_unless,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_until] = anon_sym_until,
  [aux_sym__ident_special_token1] = aux_sym__ident_special_token1,
  [aux_sym__bareword_token1] = aux_sym__bareword_token1,
  [sym_number] = sym_number,
  [anon_sym_true] = anon_sym_true,
  [anon_sym_false] = anon_sym_false,
  [sym__single_quote] = sym__single_quote,
  [sym__double_quote] = sym__single_quote,
  [sym__backtick_quote] = sym__single_quote,
  [sym__search_slash_quote] = sym__single_quote,
  [sym__no_search_slash_plz] = sym__no_search_slash_plz,
  [sym__open_readline_bracket] = anon_sym_LT,
  [sym__open_fileglob_bracket] = anon_sym_LT,
  [sym__PERLY_SEMICOLON] = sym__PERLY_SEMICOLON,
  [sym__PERLY_HEREDOC] = sym__PERLY_HEREDOC,
  [sym__ctrl_z_hack] = sym__ctrl_z_hack,
  [sym__quotelike_begin_quote] = sym__single_quote,
  [sym__quotelike_middle_close_quote] = sym__single_quote,
  [sym__quotelike_middle_skip] = sym__quotelike_middle_skip,
  [sym__quotelike_end_zw] = sym__quotelike_end_zw,
  [sym__quotelike_end_quote] = sym__single_quote,
  [sym__q_string_content] = sym__q_string_content,
  [sym__qq_string_content] = sym__qq_string_content,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_escaped_delimiter] = sym_escaped_delimiter,
  [sym__dollar_in_regexp] = sym__dollar_in_regexp,
  [sym_pod] = sym_pod,
  [sym__gobbled_content] = sym__gobbled_content,
  [sym__attribute_value_begin] = sym__attribute_value_begin,
  [sym_attribute_value] = sym_attribute_value,
  [sym_prototype] = sym_prototype,
  [sym__signature_start] = anon_sym_LPAREN,
  [sym__heredoc_delimiter] = sym__heredoc_delimiter,
  [sym__command_heredoc_delimiter] = sym__command_heredoc_delimiter,
  [sym__heredoc_start] = sym__heredoc_start,
  [sym__heredoc_middle] = sym__heredoc_middle,
  [sym_heredoc_end] = sym_heredoc_end,
  [sym__fat_comma_autoquoted] = sym__fat_comma_autoquoted,
  [sym__filetest] = sym__filetest,
  [sym__brace_autoquoted_token] = sym_varname,
  [sym__brace_end_zw] = sym__brace_end_zw,
  [sym__dollar_ident_zw] = sym__dollar_ident_zw,
  [sym__no_interp_whitespace_zw] = sym__no_interp_whitespace_zw,
  [sym__NONASSOC] = sym__NONASSOC,
  [sym__ERROR] = sym__ERROR,
  [sym_source_file] = sym_source_file,
  [sym__PERLY_BRACE_OPEN] = sym__PERLY_BRACE_OPEN,
  [sym_block] = sym_block,
  [sym__fullstmt] = sym__fullstmt,
  [sym_statement_label] = sym_statement_label,
  [sym__semicolon] = sym__semicolon,
  [sym__barestmt] = sym__barestmt,
  [sym_package_statement] = sym_package_statement,
  [sym_class_statement] = sym_class_statement,
  [sym_role_statement] = sym_role_statement,
  [sym_class_phaser_statement] = sym_class_phaser_statement,
  [sym_use_version_statement] = sym_use_version_statement,
  [sym_use_statement] = sym_use_statement,
  [sym_mandatory_parameter] = sym_mandatory_parameter,
  [sym_optional_parameter] = sym_optional_parameter,
  [sym_named_parameter] = sym_named_parameter,
  [sym_slurpy_parameter] = sym_slurpy_parameter,
  [sym__signature_vars] = sym__signature_vars,
  [sym_signature] = sym_signature,
  [sym_subroutine_declaration_statement] = sym_subroutine_declaration_statement,
  [sym_method_declaration_statement] = sym_method_declaration_statement,
  [sym_phaser_statement] = sym_phaser_statement,
  [sym_conditional_statement] = sym_conditional_statement,
  [sym__loop_body] = sym__loop_body,
  [sym_loop_statement] = sym_loop_statement,
  [sym_cstyle_for_statement] = sym_cstyle_for_statement,
  [sym__for_initializer] = sym__for_initializer,
  [sym_for_statement] = sym_for_statement,
  [sym_try_statement] = sym_try_statement,
  [sym_defer_statement] = sym_defer_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym__postfix_expressions] = sym__postfix_expressions,
  [sym_postfix_conditional_expression] = sym_postfix_conditional_expression,
  [sym_postfix_loop_expression] = sym_postfix_loop_expression,
  [sym_postfix_for_expression] = sym_postfix_for_expression,
  [sym_yadayada] = sym_yadayada,
  [sym__else] = sym__else,
  [sym_else] = sym_else,
  [sym_elsif] = sym_elsif,
  [sym__expr] = sym__expr,
  [sym_lowprec_logical_expression] = sym_lowprec_logical_expression,
  [sym__listexpr] = sym__listexpr,
  [sym__term_rightward] = sym__term_rightward,
  [sym_list_expression] = sym_list_expression,
  [sym__subscripted] = sym__subscripted,
  [sym_container_variable] = sym_container_variable,
  [sym_array_element_expression] = sym_array_element_expression,
  [sym__hash_key] = sym__hash_key,
  [sym_hash_element_expression] = sym_hash_element_expression,
  [sym_coderef_call_expression] = sym_coderef_call_expression,
  [sym_anonymous_slice_expression] = sym_anonymous_slice_expression,
  [sym_slice_container_variable] = sym_slice_container_variable,
  [sym_slice_expression] = sym_slice_expression,
  [sym_keyval_container_variable] = sym_keyval_container_variable,
  [sym_keyval_expression] = sym_keyval_expression,
  [sym__term] = sym__term,
  [sym_readline_expression] = sym_readline_expression,
  [sym_fileglob_expression] = sym_fileglob_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_equality_expression] = sym_equality_expression,
  [sym_relational_expression] = sym_relational_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_preinc_expression] = sym_preinc_expression,
  [sym_postinc_expression] = sym_postinc_expression,
  [sym_conditional_expression] = sym_conditional_expression,
  [sym_refgen_expression] = sym_refgen_expression,
  [sym_anonymous_array_expression] = sym_anonymous_array_expression,
  [sym__tricky_list] = sym_list_expression,
  [sym_anonymous_hash_expression] = sym_anonymous_hash_expression,
  [sym_anonymous_subroutine_expression] = sym_anonymous_subroutine_expression,
  [sym_anonymous_method_expression] = sym_anonymous_method_expression,
  [sym_do_expression] = sym_do_expression,
  [sym_eval_expression] = sym_eval_expression,
  [sym_await_expression] = sym_await_expression,
  [sym__declared_vars] = sym__declared_vars,
  [sym_variable_declaration] = sym_variable_declaration,
  [sym__decl_variable_list] = sym__decl_variable_list,
  [sym_localization_expression] = sym_localization_expression,
  [sym_stub_expression] = sym_stub_expression,
  [sym_scalar_deref_expression] = sym_scalar_deref_expression,
  [sym_array_deref_expression] = sym_array_deref_expression,
  [sym_arraylen_deref_expression] = sym_arraylen_deref_expression,
  [sym_hash_deref_expression] = sym_hash_deref_expression,
  [sym_amper_deref_expression] = sym_amper_deref_expression,
  [sym_glob_deref_expression] = sym_glob_deref_expression,
  [sym_require_expression] = sym_require_expression,
  [sym_require_version_expression] = sym_require_version_expression,
  [sym_func0op_call_expression] = sym_func0op_call_expression,
  [sym_func1op_call_expression] = sym_func1op_call_expression,
  [sym_map_grep_expression] = sym_map_grep_expression,
  [sym__sort_routine] = sym__sort_routine,
  [sym_sort_expression] = sym_sort_expression,
  [sym__label_arg] = sym__label_arg,
  [sym_loopex_expression] = sym_loopex_expression,
  [sym_goto_expression] = sym_goto_expression,
  [sym_return_expression] = sym_return_expression,
  [sym_undef_expression] = sym_undef_expression,
  [sym__listop] = sym__listop,
  [sym_indirect_object] = sym_indirect_object,
  [sym_function_call_expression] = sym_function_call_expression,
  [sym__tricky_indirob_hashref] = sym_anonymous_hash_expression,
  [sym_ambiguous_function_call_expression] = sym_ambiguous_function_call_expression,
  [sym_function] = sym_function,
  [sym_method_call_expression] = sym_method_call_expression,
  [sym_method] = sym_method,
  [sym__signature_varname] = sym__signature_varname,
  [sym_scalar] = sym_scalar,
  [sym__declare_scalar] = sym_scalar,
  [sym__signature_scalar] = sym_scalar,
  [sym_array] = sym_array,
  [sym__declare_array] = sym_array,
  [sym__signature_array] = sym_array,
  [sym__SUB_AMPER] = sym__SUB_AMPER,
  [sym__GLOB_STAR] = sym__GLOB_STAR,
  [sym_hash] = sym_hash,
  [sym__declare_hash] = sym_hash,
  [sym__signature_hash] = sym_hash,
  [sym_arraylen] = sym_arraylen,
  [sym_amper_sub] = sym_function,
  [sym_glob] = sym_glob,
  [sym_glob_slot_expression] = sym_glob_slot_expression,
  [sym__indirob] = sym_varname,
  [sym_varname] = sym_varname,
  [sym__var_indirob_autoquote] = sym__var_indirob_autoquote,
  [sym__var_indirob] = sym__var_indirob,
  [sym_attrlist] = sym_attrlist,
  [sym_attribute] = sym_attribute,
  [sym_attribute_name] = sym_attribute_name,
  [sym___DATA__] = sym___DATA__,
  [sym__literal] = sym__literal,
  [sym__apostrophe] = sym__apostrophe,
  [sym__quotation_mark] = sym__quotation_mark,
  [sym__backtick] = sym__backtick,
  [sym__search_slash] = sym__search_slash,
  [sym__quotelike_begin] = sym__quotelike_begin,
  [sym__quotelike_middle_close] = sym__quotelike_middle_close,
  [sym__quotelike_end] = sym__quotelike_end,
  [sym__quotelike_middle] = sym__quotelike_middle,
  [sym_string_literal] = sym_string_literal,
  [sym_interpolated_string_literal] = sym_interpolated_string_literal,
  [sym__subscripted_interpolations] = sym__subscripted_interpolations,
  [sym__braced_scalar] = sym_scalar,
  [sym__braced_array] = sym_array,
  [sym__interp_arrow] = sym__interp_arrow,
  [sym__array_element_interpolation] = sym_array_element_expression,
  [sym__hash_element_interpolation] = sym_hash_element_expression,
  [sym__slice_expression_interpolation] = sym_slice_expression,
  [sym__scalar_deref_interpolation] = sym_scalar_deref_expression,
  [sym__array_deref_interpolation] = sym_array_deref_expression,
  [sym__interpolations] = sym__interpolations,
  [aux_sym__noninterpolated_string_content] = aux_sym__noninterpolated_string_content,
  [sym__interpolation_fallbacks] = sym__interpolation_fallbacks,
  [sym__nonvar_interpolation_fallbacks] = sym__nonvar_interpolation_fallbacks,
  [aux_sym__interpolated_string_content] = aux_sym__interpolated_string_content,
  [sym_quoted_word_list] = sym_quoted_word_list,
  [sym_command_string] = sym_command_string,
  [sym_quoted_regexp] = sym_quoted_regexp,
  [sym_match_regexp] = sym_match_regexp,
  [sym_substitution_regexp] = sym_substitution_regexp,
  [aux_sym__interpolated_regexp_content] = aux_sym__interpolated_regexp_content,
  [aux_sym__interpolated_transliteration_content] = aux_sym__interpolated_transliteration_content,
  [sym_transliteration_expression] = sym_transliteration_expression,
  [sym_heredoc_token] = sym_heredoc_token,
  [sym_command_heredoc_token] = sym_command_heredoc_token,
  [sym_heredoc_content] = sym_heredoc_content,
  [sym_package] = sym_package,
  [sym__version] = sym__version,
  [sym__conditionals] = sym__conditionals,
  [sym__loops] = sym__loops,
  [sym_autoquoted_bareword] = sym_autoquoted_bareword,
  [sym__brace_autoquoted] = sym__brace_autoquoted,
  [sym_identifier] = sym_identifier,
  [sym__ident_special] = sym__ident_special,
  [sym_bareword] = sym_bareword,
  [sym_primitive] = sym_primitive,
  [sym_boolean] = sym_boolean,
  [aux_sym_source_file_repeat1] = aux_sym_source_file_repeat1,
  [aux_sym_signature_repeat1] = aux_sym_signature_repeat1,
  [aux_sym_subroutine_declaration_statement_repeat1] = aux_sym_subroutine_declaration_statement_repeat1,
  [aux_sym__for_initializer_repeat1] = aux_sym__for_initializer_repeat1,
  [aux_sym__term_rightward_repeat1] = aux_sym__term_rightward_repeat1,
  [aux_sym__decl_variable_list_repeat1] = aux_sym__decl_variable_list_repeat1,
  [aux_sym_attrlist_repeat1] = aux_sym_attrlist_repeat1,
  [aux_sym_heredoc_content_repeat1] = aux_sym_heredoc_content_repeat1,
  [alias_sym_block_statement] = alias_sym_block_statement,
  [alias_sym_data_section] = alias_sym_data_section,
  [alias_sym_filehandle] = alias_sym_filehandle,
  [alias_sym_filename] = alias_sym_filename,
  [alias_sym_label] = alias_sym_label,
  [anon_alias_sym_not_DASHinterpolated] = anon_alias_sym_not_DASHinterpolated,
  [alias_sym_regexp_content] = alias_sym_regexp_content,
  [alias_sym_replacement] = alias_sym_replacement,
  [alias_sym_string_content] = alias_sym_string_content,
  [alias_sym_transliteration_content] = alias_sym_transliteration_content,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym__identifier] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_package] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_role] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BUILD] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ADJUST] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_my] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extended] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_async] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sub] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_method] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_state] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_our] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_catch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_defer] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_elsif] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_and] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_or] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_xor] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_x_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_x] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_eq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_equ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_eqr] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ne] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_cmp] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_lt] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_le] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ge] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_gt] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_isa] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_eval] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_await] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_field] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_local] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_dynamically] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_POUND] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_require] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_map] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_grep] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sort] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_goto] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_undef] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__var_indirob_autoquote_token1] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_use] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_no] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_foreach] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_last] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_next] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_redo] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BEGIN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_INIT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CHECK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_UNITCHECK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_END] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___FILE__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___LINE__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___PACKAGE__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___SUB__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_fork] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_getppid] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_time] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_times] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_wait] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_wantarray] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_abs] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_alarm] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_chop] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_chdir] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_close] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_closedir] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_caller] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_chomp] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_chr] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_cos] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_chroot] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_defined] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_delete] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_dbmclose] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_exists] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_exit] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_eof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_exp] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_each] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_fc] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_fileno] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_gmtime] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_getc] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_getpgrp] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_getprotobyname] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_getpwname] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_getpwuid] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_getpeername] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_getnetbyname] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_getsockname] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_getgrnam] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_getgrgid] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_hex] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_int] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_keys] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_lc] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_lcfirst] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_length] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_localtime] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_log] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_lock] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_lstat] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_oct] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ord] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_prototype] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_pop] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_pos] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_quotemeta] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_reset] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_rand] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_rmdir] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_readdir] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_readline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_readpipe] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_rewinddir] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_readlink] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ref] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_scalar] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_shift] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sin] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sleep] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sqrt] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_srand] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_stat] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_study] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_tell] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_telldir] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_tied] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_uc] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ucfirst] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_untie] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_umask] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_values] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_write] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [anon_sym___DATA__] = {
    .visible = true,
    .named = true,
  },
  [anon_sym___END__] = {
    .visible = true,
    .named = true,
  },
  [aux_sym___DATA___token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_EOT] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_q] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_qq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT_STAR] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__interpolation_fallbacks_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__interpolation_fallbacks_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_qw] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_qx] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_qr] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_m] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_s] = {
    .visible = true,
    .named = false,
  },
  [sym_quoted_regexp_modifiers] = {
    .visible = true,
    .named = true,
  },
  [sym_match_regexp_modifiers] = {
    .visible = true,
    .named = true,
  },
  [sym_substitution_regexp_modifiers] = {
    .visible = true,
    .named = true,
  },
  [sym_transliteration_modifiers] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__interpolated_transliteration_content_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_tr] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_y] = {
    .visible = true,
    .named = false,
  },
  [sym_version] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unless] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_until] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__ident_special_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__bareword_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_number] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_true] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_false] = {
    .visible = true,
    .named = false,
  },
  [sym__single_quote] = {
    .visible = true,
    .named = false,
  },
  [sym__double_quote] = {
    .visible = true,
    .named = false,
  },
  [sym__backtick_quote] = {
    .visible = true,
    .named = false,
  },
  [sym__search_slash_quote] = {
    .visible = true,
    .named = false,
  },
  [sym__no_search_slash_plz] = {
    .visible = false,
    .named = true,
  },
  [sym__open_readline_bracket] = {
    .visible = true,
    .named = false,
  },
  [sym__open_fileglob_bracket] = {
    .visible = true,
    .named = false,
  },
  [sym__PERLY_SEMICOLON] = {
    .visible = false,
    .named = true,
  },
  [sym__PERLY_HEREDOC] = {
    .visible = false,
    .named = true,
  },
  [sym__ctrl_z_hack] = {
    .visible = true,
    .named = true,
  },
  [sym__quotelike_begin_quote] = {
    .visible = true,
    .named = false,
  },
  [sym__quotelike_middle_close_quote] = {
    .visible = true,
    .named = false,
  },
  [sym__quotelike_middle_skip] = {
    .visible = false,
    .named = true,
  },
  [sym__quotelike_end_zw] = {
    .visible = false,
    .named = true,
  },
  [sym__quotelike_end_quote] = {
    .visible = true,
    .named = false,
  },
  [sym__q_string_content] = {
    .visible = false,
    .named = true,
  },
  [sym__qq_string_content] = {
    .visible = false,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_escaped_delimiter] = {
    .visible = true,
    .named = true,
  },
  [sym__dollar_in_regexp] = {
    .visible = false,
    .named = true,
  },
  [sym_pod] = {
    .visible = true,
    .named = true,
  },
  [sym__gobbled_content] = {
    .visible = false,
    .named = true,
  },
  [sym__attribute_value_begin] = {
    .visible = false,
    .named = true,
  },
  [sym_attribute_value] = {
    .visible = true,
    .named = true,
  },
  [sym_prototype] = {
    .visible = true,
    .named = true,
  },
  [sym__signature_start] = {
    .visible = true,
    .named = false,
  },
  [sym__heredoc_delimiter] = {
    .visible = false,
    .named = true,
  },
  [sym__command_heredoc_delimiter] = {
    .visible = false,
    .named = true,
  },
  [sym__heredoc_start] = {
    .visible = false,
    .named = true,
  },
  [sym__heredoc_middle] = {
    .visible = false,
    .named = true,
  },
  [sym_heredoc_end] = {
    .visible = true,
    .named = true,
  },
  [sym__fat_comma_autoquoted] = {
    .visible = false,
    .named = true,
  },
  [sym__filetest] = {
    .visible = true,
    .named = false,
  },
  [sym__brace_autoquoted_token] = {
    .visible = true,
    .named = true,
  },
  [sym__brace_end_zw] = {
    .visible = false,
    .named = true,
  },
  [sym__dollar_ident_zw] = {
    .visible = false,
    .named = true,
  },
  [sym__no_interp_whitespace_zw] = {
    .visible = false,
    .named = true,
  },
  [sym__NONASSOC] = {
    .visible = false,
    .named = true,
  },
  [sym__ERROR] = {
    .visible = false,
    .named = true,
  },
  [sym_source_file] = {
    .visible = true,
    .named = true,
  },
  [sym__PERLY_BRACE_OPEN] = {
    .visible = false,
    .named = true,
  },
  [sym_block] = {
    .visible = true,
    .named = true,
  },
  [sym__fullstmt] = {
    .visible = false,
    .named = true,
  },
  [sym_statement_label] = {
    .visible = true,
    .named = true,
  },
  [sym__semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym__barestmt] = {
    .visible = false,
    .named = true,
  },
  [sym_package_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_class_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_role_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_class_phaser_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_use_version_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_use_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_mandatory_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_named_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_slurpy_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym__signature_vars] = {
    .visible = false,
    .named = true,
  },
  [sym_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_subroutine_declaration_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_method_declaration_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_phaser_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__loop_body] = {
    .visible = false,
    .named = true,
  },
  [sym_loop_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_cstyle_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__for_initializer] = {
    .visible = false,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_defer_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__postfix_expressions] = {
    .visible = false,
    .named = true,
  },
  [sym_postfix_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_postfix_loop_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_postfix_for_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_yadayada] = {
    .visible = true,
    .named = true,
  },
  [sym__else] = {
    .visible = false,
    .named = true,
  },
  [sym_else] = {
    .visible = true,
    .named = true,
  },
  [sym_elsif] = {
    .visible = true,
    .named = true,
  },
  [sym__expr] = {
    .visible = false,
    .named = true,
  },
  [sym_lowprec_logical_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__listexpr] = {
    .visible = false,
    .named = true,
  },
  [sym__term_rightward] = {
    .visible = false,
    .named = true,
  },
  [sym_list_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__subscripted] = {
    .visible = false,
    .named = true,
  },
  [sym_container_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_array_element_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__hash_key] = {
    .visible = false,
    .named = true,
  },
  [sym_hash_element_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_coderef_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_anonymous_slice_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_slice_container_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_slice_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_keyval_container_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_keyval_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__term] = {
    .visible = false,
    .named = true,
  },
  [sym_readline_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_fileglob_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_equality_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_relational_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preinc_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_postinc_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_refgen_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_anonymous_array_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__tricky_list] = {
    .visible = true,
    .named = true,
  },
  [sym_anonymous_hash_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_anonymous_subroutine_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_anonymous_method_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_do_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_eval_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_await_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__declared_vars] = {
    .visible = false,
    .named = true,
  },
  [sym_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__decl_variable_list] = {
    .visible = false,
    .named = true,
  },
  [sym_localization_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_stub_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_scalar_deref_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_array_deref_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_arraylen_deref_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_hash_deref_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_amper_deref_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_glob_deref_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_require_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_require_version_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_func0op_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_func1op_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_map_grep_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__sort_routine] = {
    .visible = false,
    .named = true,
  },
  [sym_sort_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__label_arg] = {
    .visible = false,
    .named = true,
  },
  [sym_loopex_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_goto_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_return_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_undef_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__listop] = {
    .visible = false,
    .named = true,
  },
  [sym_indirect_object] = {
    .visible = true,
    .named = true,
  },
  [sym_function_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__tricky_indirob_hashref] = {
    .visible = true,
    .named = true,
  },
  [sym_ambiguous_function_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_function] = {
    .visible = true,
    .named = true,
  },
  [sym_method_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_method] = {
    .visible = true,
    .named = true,
  },
  [sym__signature_varname] = {
    .visible = false,
    .named = true,
  },
  [sym_scalar] = {
    .visible = true,
    .named = true,
  },
  [sym__declare_scalar] = {
    .visible = true,
    .named = true,
  },
  [sym__signature_scalar] = {
    .visible = true,
    .named = true,
  },
  [sym_array] = {
    .visible = true,
    .named = true,
  },
  [sym__declare_array] = {
    .visible = true,
    .named = true,
  },
  [sym__signature_array] = {
    .visible = true,
    .named = true,
  },
  [sym__SUB_AMPER] = {
    .visible = false,
    .named = true,
  },
  [sym__GLOB_STAR] = {
    .visible = false,
    .named = true,
  },
  [sym_hash] = {
    .visible = true,
    .named = true,
  },
  [sym__declare_hash] = {
    .visible = true,
    .named = true,
  },
  [sym__signature_hash] = {
    .visible = true,
    .named = true,
  },
  [sym_arraylen] = {
    .visible = true,
    .named = true,
  },
  [sym_amper_sub] = {
    .visible = true,
    .named = true,
  },
  [sym_glob] = {
    .visible = true,
    .named = true,
  },
  [sym_glob_slot_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__indirob] = {
    .visible = true,
    .named = true,
  },
  [sym_varname] = {
    .visible = true,
    .named = true,
  },
  [sym__var_indirob_autoquote] = {
    .visible = false,
    .named = true,
  },
  [sym__var_indirob] = {
    .visible = false,
    .named = true,
  },
  [sym_attrlist] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_name] = {
    .visible = true,
    .named = true,
  },
  [sym___DATA__] = {
    .visible = false,
    .named = true,
  },
  [sym__literal] = {
    .visible = false,
    .named = true,
  },
  [sym__apostrophe] = {
    .visible = false,
    .named = true,
  },
  [sym__quotation_mark] = {
    .visible = false,
    .named = true,
  },
  [sym__backtick] = {
    .visible = false,
    .named = true,
  },
  [sym__search_slash] = {
    .visible = false,
    .named = true,
  },
  [sym__quotelike_begin] = {
    .visible = false,
    .named = true,
  },
  [sym__quotelike_middle_close] = {
    .visible = false,
    .named = true,
  },
  [sym__quotelike_end] = {
    .visible = false,
    .named = true,
  },
  [sym__quotelike_middle] = {
    .visible = false,
    .named = true,
  },
  [sym_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_interpolated_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym__subscripted_interpolations] = {
    .visible = false,
    .named = true,
  },
  [sym__braced_scalar] = {
    .visible = true,
    .named = true,
  },
  [sym__braced_array] = {
    .visible = true,
    .named = true,
  },
  [sym__interp_arrow] = {
    .visible = false,
    .named = true,
  },
  [sym__array_element_interpolation] = {
    .visible = true,
    .named = true,
  },
  [sym__hash_element_interpolation] = {
    .visible = true,
    .named = true,
  },
  [sym__slice_expression_interpolation] = {
    .visible = true,
    .named = true,
  },
  [sym__scalar_deref_interpolation] = {
    .visible = true,
    .named = true,
  },
  [sym__array_deref_interpolation] = {
    .visible = true,
    .named = true,
  },
  [sym__interpolations] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__noninterpolated_string_content] = {
    .visible = false,
    .named = false,
  },
  [sym__interpolation_fallbacks] = {
    .visible = false,
    .named = true,
  },
  [sym__nonvar_interpolation_fallbacks] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__interpolated_string_content] = {
    .visible = false,
    .named = false,
  },
  [sym_quoted_word_list] = {
    .visible = true,
    .named = true,
  },
  [sym_command_string] = {
    .visible = true,
    .named = true,
  },
  [sym_quoted_regexp] = {
    .visible = true,
    .named = true,
  },
  [sym_match_regexp] = {
    .visible = true,
    .named = true,
  },
  [sym_substitution_regexp] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__interpolated_regexp_content] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__interpolated_transliteration_content] = {
    .visible = false,
    .named = false,
  },
  [sym_transliteration_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc_token] = {
    .visible = true,
    .named = true,
  },
  [sym_command_heredoc_token] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc_content] = {
    .visible = true,
    .named = true,
  },
  [sym_package] = {
    .visible = true,
    .named = true,
  },
  [sym__version] = {
    .visible = false,
    .named = true,
  },
  [sym__conditionals] = {
    .visible = false,
    .named = true,
  },
  [sym__loops] = {
    .visible = false,
    .named = true,
  },
  [sym_autoquoted_bareword] = {
    .visible = true,
    .named = true,
  },
  [sym__brace_autoquoted] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__ident_special] = {
    .visible = false,
    .named = true,
  },
  [sym_bareword] = {
    .visible = true,
    .named = true,
  },
  [sym_primitive] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_boolean] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_source_file_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_signature_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_subroutine_declaration_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__for_initializer_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__term_rightward_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__decl_variable_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attrlist_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_heredoc_content_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_block_statement] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_data_section] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_filehandle] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_filename] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_label] = {
    .visible = true,
    .named = true,
  },
  [anon_alias_sym_not_DASHinterpolated] = {
    .visible = true,
    .named = false,
  },
  [alias_sym_regexp_content] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_replacement] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_string_content] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_transliteration_content] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alternative = 1,
  field_arguments = 2,
  field_array = 3,
  field_arrayref = 4,
  field_attributes = 5,
  field_block = 6,
  field_body = 7,
  field_callback = 8,
  field_catch_block = 9,
  field_catch_expr = 10,
  field_condition = 11,
  field_consequent = 12,
  field_content = 13,
  field_continue = 14,
  field_default = 15,
  field_finally_block = 16,
  field_function = 17,
  field_hash = 18,
  field_hashref = 19,
  field_index = 20,
  field_initialiser = 21,
  field_invocant = 22,
  field_iterator = 23,
  field_key = 24,
  field_label = 25,
  field_left = 26,
  field_lexical = 27,
  field_list = 28,
  field_loopex = 29,
  field_method = 30,
  field_modifiers = 31,
  field_module = 32,
  field_name = 33,
  field_operand = 34,
  field_operator = 35,
  field_phase = 36,
  field_right = 37,
  field_statement = 38,
  field_try_block = 39,
  field_value = 40,
  field_variable = 41,
  field_variables = 42,
  field_version = 43,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alternative] = "alternative",
  [field_arguments] = "arguments",
  [field_array] = "array",
  [field_arrayref] = "arrayref",
  [field_attributes] = "attributes",
  [field_block] = "block",
  [field_body] = "body",
  [field_callback] = "callback",
  [field_catch_block] = "catch_block",
  [field_catch_expr] = "catch_expr",
  [field_condition] = "condition",
  [field_consequent] = "consequent",
  [field_content] = "content",
  [field_continue] = "continue",
  [field_default] = "default",
  [field_finally_block] = "finally_block",
  [field_function] = "function",
  [field_hash] = "hash",
  [field_hashref] = "hashref",
  [field_index] = "index",
  [field_initialiser] = "initialiser",
  [field_invocant] = "invocant",
  [field_iterator] = "iterator",
  [field_key] = "key",
  [field_label] = "label",
  [field_left] = "left",
  [field_lexical] = "lexical",
  [field_list] = "list",
  [field_loopex] = "loopex",
  [field_method] = "method",
  [field_modifiers] = "modifiers",
  [field_module] = "module",
  [field_name] = "name",
  [field_operand] = "operand",
  [field_operator] = "operator",
  [field_phase] = "phase",
  [field_right] = "right",
  [field_statement] = "statement",
  [field_try_block] = "try_block",
  [field_value] = "value",
  [field_variable] = "variable",
  [field_variables] = "variables",
  [field_version] = "version",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 1},
  [2] = {.index = 1, .length = 1},
  [5] = {.index = 2, .length = 2},
  [6] = {.index = 4, .length = 2},
  [7] = {.index = 6, .length = 4},
  [8] = {.index = 10, .length = 1},
  [9] = {.index = 11, .length = 2},
  [10] = {.index = 13, .length = 1},
  [11] = {.index = 14, .length = 1},
  [12] = {.index = 15, .length = 1},
  [13] = {.index = 16, .length = 1},
  [14] = {.index = 17, .length = 1},
  [15] = {.index = 18, .length = 1},
  [16] = {.index = 19, .length = 1},
  [17] = {.index = 20, .length = 2},
  [19] = {.index = 22, .length = 1},
  [21] = {.index = 23, .length = 1},
  [23] = {.index = 24, .length = 1},
  [24] = {.index = 25, .length = 2},
  [25] = {.index = 0, .length = 1},
  [26] = {.index = 27, .length = 2},
  [27] = {.index = 29, .length = 2},
  [28] = {.index = 31, .length = 3},
  [29] = {.index = 34, .length = 1},
  [33] = {.index = 35, .length = 1},
  [34] = {.index = 36, .length = 1},
  [35] = {.index = 37, .length = 2},
  [36] = {.index = 39, .length = 2},
  [37] = {.index = 41, .length = 1},
  [39] = {.index = 42, .length = 1},
  [40] = {.index = 43, .length = 3},
  [41] = {.index = 46, .length = 1},
  [42] = {.index = 47, .length = 1},
  [44] = {.index = 48, .length = 2},
  [45] = {.index = 50, .length = 2},
  [46] = {.index = 52, .length = 1},
  [47] = {.index = 53, .length = 1},
  [48] = {.index = 52, .length = 1},
  [49] = {.index = 54, .length = 2},
  [51] = {.index = 56, .length = 1},
  [52] = {.index = 57, .length = 2},
  [54] = {.index = 59, .length = 2},
  [55] = {.index = 61, .length = 3},
  [56] = {.index = 64, .length = 2},
  [57] = {.index = 66, .length = 2},
  [58] = {.index = 68, .length = 1},
  [59] = {.index = 69, .length = 2},
  [60] = {.index = 71, .length = 2},
  [61] = {.index = 73, .length = 2},
  [62] = {.index = 75, .length = 2},
  [63] = {.index = 77, .length = 2},
  [64] = {.index = 79, .length = 2},
  [65] = {.index = 81, .length = 2},
  [66] = {.index = 83, .length = 1},
  [67] = {.index = 84, .length = 1},
  [68] = {.index = 83, .length = 1},
  [69] = {.index = 85, .length = 2},
  [70] = {.index = 87, .length = 2},
  [71] = {.index = 0, .length = 1},
  [72] = {.index = 89, .length = 1},
  [73] = {.index = 90, .length = 1},
  [74] = {.index = 91, .length = 1},
  [75] = {.index = 92, .length = 2},
  [76] = {.index = 94, .length = 2},
  [77] = {.index = 96, .length = 1},
  [78] = {.index = 97, .length = 1},
  [79] = {.index = 98, .length = 2},
  [80] = {.index = 100, .length = 3},
  [81] = {.index = 103, .length = 2},
  [82] = {.index = 105, .length = 1},
  [83] = {.index = 106, .length = 2},
  [84] = {.index = 94, .length = 2},
  [85] = {.index = 92, .length = 2},
  [86] = {.index = 97, .length = 1},
  [87] = {.index = 96, .length = 1},
  [88] = {.index = 108, .length = 2},
  [89] = {.index = 110, .length = 1},
  [91] = {.index = 111, .length = 3},
  [92] = {.index = 114, .length = 3},
  [93] = {.index = 117, .length = 2},
  [94] = {.index = 119, .length = 2},
  [95] = {.index = 121, .length = 3},
  [96] = {.index = 124, .length = 1},
  [97] = {.index = 125, .length = 3},
  [98] = {.index = 128, .length = 1},
  [99] = {.index = 129, .length = 3},
  [100] = {.index = 132, .length = 2},
  [101] = {.index = 134, .length = 3},
  [102] = {.index = 137, .length = 2},
  [103] = {.index = 42, .length = 1},
  [104] = {.index = 87, .length = 2},
  [105] = {.index = 139, .length = 2},
  [106] = {.index = 141, .length = 1},
  [107] = {.index = 142, .length = 1},
  [108] = {.index = 143, .length = 1},
  [109] = {.index = 144, .length = 3},
  [110] = {.index = 147, .length = 2},
  [111] = {.index = 149, .length = 3},
  [112] = {.index = 152, .length = 1},
  [113] = {.index = 153, .length = 2},
  [114] = {.index = 155, .length = 2},
  [115] = {.index = 157, .length = 3},
  [116] = {.index = 160, .length = 1},
  [117] = {.index = 161, .length = 3},
  [118] = {.index = 164, .length = 4},
  [119] = {.index = 168, .length = 3},
  [120] = {.index = 171, .length = 3},
  [121] = {.index = 174, .length = 3},
  [122] = {.index = 177, .length = 2},
  [123] = {.index = 179, .length = 4},
  [124] = {.index = 183, .length = 4},
  [125] = {.index = 187, .length = 5},
  [126] = {.index = 192, .length = 2},
  [127] = {.index = 194, .length = 3},
  [128] = {.index = 87, .length = 2},
  [129] = {.index = 194, .length = 3},
  [130] = {.index = 87, .length = 2},
  [131] = {.index = 197, .length = 2},
  [132] = {.index = 199, .length = 4},
  [133] = {.index = 203, .length = 1},
  [134] = {.index = 204, .length = 3},
  [135] = {.index = 207, .length = 2},
  [136] = {.index = 209, .length = 2},
  [137] = {.index = 211, .length = 3},
  [138] = {.index = 214, .length = 2},
  [139] = {.index = 216, .length = 4},
  [140] = {.index = 220, .length = 3},
  [141] = {.index = 223, .length = 4},
  [142] = {.index = 227, .length = 3},
  [143] = {.index = 230, .length = 2},
  [144] = {.index = 232, .length = 5},
  [145] = {.index = 237, .length = 2},
  [146] = {.index = 239, .length = 3},
  [147] = {.index = 239, .length = 3},
  [148] = {.index = 242, .length = 3},
  [149] = {.index = 245, .length = 3},
  [150] = {.index = 248, .length = 4},
  [151] = {.index = 252, .length = 4},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_function, 0},
  [1] =
    {field_loopex, 0},
  [2] =
    {field_array, 0, .inherited = true},
    {field_index, 0, .inherited = true},
  [4] =
    {field_hash, 0, .inherited = true},
    {field_key, 0, .inherited = true},
  [6] =
    {field_array, 0, .inherited = true},
    {field_arrayref, 0, .inherited = true},
    {field_hash, 0, .inherited = true},
    {field_hashref, 0, .inherited = true},
  [10] =
    {field_arrayref, 0, .inherited = true},
  [11] =
    {field_operator, 0},
    {field_operator, 1},
  [13] =
    {field_phase, 0},
  [14] =
    {field_variable, 1},
  [15] =
    {field_variables, 1},
  [16] =
    {field_body, 1},
  [17] =
    {field_try_block, 1},
  [18] =
    {field_block, 1},
  [19] =
    {field_modifiers, 1},
  [20] =
    {field_operand, 1},
    {field_operator, 0},
  [22] =
    {field_version, 1},
  [23] =
    {field_list, 1},
  [24] =
    {field_variable, 0},
  [25] =
    {field_operand, 0},
    {field_operator, 1},
  [27] =
    {field_arguments, 1},
    {field_function, 0},
  [29] =
    {field_operator, 0},
    {field_operator, 2},
  [31] =
    {field_content, 1},
    {field_operator, 0},
    {field_operator, 2},
  [34] =
    {field_name, 1},
  [35] =
    {field_name, 0},
  [36] =
    {field_body, 2},
  [37] =
    {field_body, 2},
    {field_name, 1},
  [39] =
    {field_callback, 1},
    {field_list, 2},
  [41] =
    {field_module, 1},
  [42] =
    {field_operator, 0},
  [43] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [46] =
    {field_list, 2},
  [47] =
    {field_condition, 2},
  [48] =
    {field_invocant, 0},
    {field_method, 2},
  [50] =
    {field_arguments, 2},
    {field_function, 0},
  [52] =
    {field_content, 1},
  [53] =
    {field_modifiers, 2},
  [54] =
    {field_label, 0},
    {field_statement, 2},
  [56] =
    {field_arrayref, 0},
  [57] =
    {field_name, 1},
    {field_version, 2},
  [59] =
    {field_attributes, 2},
    {field_phase, 0},
  [61] =
    {field_body, 3},
    {field_lexical, 0},
    {field_name, 2},
  [64] =
    {field_attributes, 3},
    {field_variable, 1},
  [66] =
    {field_attributes, 3},
    {field_variables, 1},
  [68] =
    {field_body, 3},
  [69] =
    {field_attributes, 2},
    {field_body, 3},
  [71] =
    {field_body, 3},
    {field_name, 1},
  [73] =
    {field_catch_block, 3},
    {field_try_block, 1},
  [75] =
    {field_finally_block, 3},
    {field_try_block, 1},
  [77] =
    {field_callback, 1},
    {field_list, 3},
  [79] =
    {field_module, 1},
    {field_version, 2},
  [81] =
    {field_variables, 1},
    {field_variables, 2},
  [83] =
    {field_content, 2},
  [84] =
    {field_modifiers, 3},
  [85] =
    {field_modifiers, 3},
    {field_operator, 0},
  [87] =
    {field_content, 2},
    {field_operator, 0},
  [89] =
    {field_key, 2},
  [90] =
    {field_arguments, 2},
  [91] =
    {field_index, 2},
  [92] =
    {field_hash, 0},
    {field_key, 2},
  [94] =
    {field_array, 0},
    {field_index, 2},
  [96] =
    {field_hash, 0},
  [97] =
    {field_array, 0},
  [98] =
    {field_invocant, 0},
    {field_method, 3},
  [100] =
    {field_arguments, 1},
    {field_arguments, 3},
    {field_function, 0},
  [103] =
    {field_content, 1},
    {field_modifiers, 3},
  [105] =
    {field_list, 0},
  [106] =
    {field_body, 3},
    {field_name, 2},
  [108] =
    {field_attributes, 3},
    {field_name, 1},
  [110] =
    {field_default, 2},
  [111] =
    {field_body, 4},
    {field_lexical, 0},
    {field_name, 2},
  [114] =
    {field_body, 4},
    {field_lexical, 0},
    {field_name, 3},
  [117] =
    {field_attributes, 2},
    {field_body, 4},
  [119] =
    {field_body, 4},
    {field_name, 1},
  [121] =
    {field_attributes, 3},
    {field_body, 4},
    {field_name, 1},
  [124] =
    {field_list, 3},
  [125] =
    {field_variables, 1},
    {field_variables, 2},
    {field_variables, 3},
  [128] =
    {field_block, 0},
  [129] =
    {field_block, 4, .inherited = true},
    {field_continue, 4, .inherited = true},
    {field_list, 2},
  [132] =
    {field_content, 2},
    {field_modifiers, 4},
  [134] =
    {field_content, 2},
    {field_modifiers, 4},
    {field_operator, 0},
  [137] =
    {field_modifiers, 4},
    {field_operator, 0},
  [139] =
    {field_arguments, 3},
    {field_function, 0},
  [141] =
    {field_key, 3},
  [142] =
    {field_arguments, 3},
  [143] =
    {field_index, 3},
  [144] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequent, 2},
  [147] =
    {field_block, 4},
    {field_condition, 2},
  [149] =
    {field_block, 4, .inherited = true},
    {field_condition, 2},
    {field_continue, 4, .inherited = true},
  [152] =
    {field_body, 4},
  [153] =
    {field_attributes, 3},
    {field_body, 4},
  [155] =
    {field_body, 4},
    {field_name, 2},
  [157] =
    {field_attributes, 4},
    {field_name, 1},
    {field_version, 2},
  [160] =
    {field_default, 3},
  [161] =
    {field_body, 5},
    {field_lexical, 0},
    {field_name, 2},
  [164] =
    {field_attributes, 4},
    {field_body, 5},
    {field_lexical, 0},
    {field_name, 2},
  [168] =
    {field_body, 5},
    {field_lexical, 0},
    {field_name, 3},
  [171] =
    {field_attributes, 3},
    {field_body, 5},
    {field_name, 1},
  [174] =
    {field_catch_block, 3},
    {field_finally_block, 5},
    {field_try_block, 1},
  [177] =
    {field_callback, 3},
    {field_list, 4},
  [179] =
    {field_variables, 1},
    {field_variables, 2},
    {field_variables, 3},
    {field_variables, 4},
  [183] =
    {field_block, 5, .inherited = true},
    {field_condition, 3},
    {field_continue, 5, .inherited = true},
    {field_initialiser, 2},
  [187] =
    {field_block, 5, .inherited = true},
    {field_continue, 5, .inherited = true},
    {field_list, 3},
    {field_variable, 1, .inherited = true},
    {field_variables, 1, .inherited = true},
  [192] =
    {field_modifiers, 5},
    {field_operator, 0},
  [194] =
    {field_content, 2},
    {field_modifiers, 5},
    {field_operator, 0},
  [197] =
    {field_arguments, 4},
    {field_function, 0},
  [199] =
    {field_left, 0},
    {field_operator, 1},
    {field_operator, 3},
    {field_right, 2},
  [203] =
    {field_hashref, 0},
  [204] =
    {field_arguments, 4},
    {field_invocant, 0},
    {field_method, 2},
  [207] =
    {field_attributes, 3},
    {field_body, 5},
  [209] =
    {field_body, 5},
    {field_name, 2},
  [211] =
    {field_attributes, 4},
    {field_body, 5},
    {field_name, 2},
  [214] =
    {field_name, 0},
    {field_value, 3},
  [216] =
    {field_attributes, 4},
    {field_body, 6},
    {field_lexical, 0},
    {field_name, 2},
  [220] =
    {field_body, 6},
    {field_lexical, 0},
    {field_name, 3},
  [223] =
    {field_attributes, 5},
    {field_body, 6},
    {field_lexical, 0},
    {field_name, 3},
  [227] =
    {field_catch_block, 6},
    {field_catch_expr, 4},
    {field_try_block, 1},
  [230] =
    {field_callback, 3},
    {field_list, 5},
  [232] =
    {field_block, 6, .inherited = true},
    {field_condition, 3},
    {field_continue, 6, .inherited = true},
    {field_initialiser, 2},
    {field_iterator, 4},
  [237] =
    {field_block, 0},
    {field_continue, 2},
  [239] =
    {field_content, 2},
    {field_modifiers, 6},
    {field_operator, 0},
  [242] =
    {field_arguments, 5},
    {field_invocant, 0},
    {field_method, 3},
  [245] =
    {field_attributes, 4},
    {field_body, 6},
    {field_name, 2},
  [248] =
    {field_attributes, 5},
    {field_body, 7},
    {field_lexical, 0},
    {field_name, 3},
  [252] =
    {field_catch_block, 6},
    {field_catch_expr, 4},
    {field_finally_block, 8},
    {field_try_block, 1},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [3] = {
    [0] = alias_sym_block_statement,
  },
  [4] = {
    [0] = anon_alias_sym_not_DASHinterpolated,
  },
  [18] = {
    [1] = alias_sym_filename,
  },
  [20] = {
    [0] = sym_function,
  },
  [22] = {
    [0] = alias_sym_label,
  },
  [25] = {
    [1] = sym_indirect_object,
  },
  [27] = {
    [1] = alias_sym_filehandle,
  },
  [28] = {
    [1] = alias_sym_string_content,
    [2] = anon_sym_GT,
  },
  [30] = {
    [0] = sym_scalar,
  },
  [31] = {
    [0] = sym_array,
  },
  [32] = {
    [0] = sym_hash,
  },
  [38] = {
    [2] = alias_sym_data_section,
  },
  [43] = {
    [0] = sym_autoquoted_bareword,
  },
  [46] = {
    [1] = alias_sym_string_content,
  },
  [48] = {
    [1] = alias_sym_regexp_content,
  },
  [50] = {
    [1] = anon_alias_sym_not_DASHinterpolated,
  },
  [53] = {
    [0] = sym_varname,
  },
  [66] = {
    [2] = alias_sym_string_content,
  },
  [68] = {
    [2] = alias_sym_regexp_content,
  },
  [70] = {
    [2] = alias_sym_regexp_content,
  },
  [71] = {
    [0] = sym_function,
  },
  [81] = {
    [1] = alias_sym_regexp_content,
  },
  [84] = {
    [0] = sym_container_variable,
  },
  [85] = {
    [0] = sym_container_variable,
  },
  [86] = {
    [0] = sym_slice_container_variable,
  },
  [87] = {
    [0] = sym_slice_container_variable,
  },
  [89] = {
    [0] = sym_scalar,
  },
  [90] = {
    [1] = sym_varname,
  },
  [100] = {
    [2] = alias_sym_regexp_content,
  },
  [101] = {
    [2] = alias_sym_regexp_content,
  },
  [103] = {
    [3] = alias_sym_replacement,
  },
  [104] = {
    [2] = alias_sym_transliteration_content,
  },
  [105] = {
    [0] = sym_function,
  },
  [126] = {
    [3] = alias_sym_replacement,
  },
  [127] = {
    [2] = alias_sym_regexp_content,
  },
  [128] = {
    [2] = alias_sym_regexp_content,
    [4] = alias_sym_replacement,
  },
  [129] = {
    [2] = alias_sym_transliteration_content,
  },
  [130] = {
    [2] = alias_sym_transliteration_content,
    [4] = alias_sym_replacement,
  },
  [131] = {
    [0] = sym_function,
  },
  [146] = {
    [2] = alias_sym_regexp_content,
    [4] = alias_sym_replacement,
  },
  [147] = {
    [2] = alias_sym_transliteration_content,
    [4] = alias_sym_replacement,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym_block, 3,
    sym_block,
    alias_sym_block_statement,
    sym_indirect_object,
  sym__term, 2,
    sym__term,
    alias_sym_filename,
  sym_scalar, 3,
    sym_scalar,
    alias_sym_filehandle,
    sym_container_variable,
  sym_array, 2,
    sym_array,
    sym_slice_container_variable,
  sym__quotelike_end, 2,
    sym__quotelike_end,
    anon_sym_GT,
  aux_sym__noninterpolated_string_content, 5,
    aux_sym__noninterpolated_string_content,
    alias_sym_regexp_content,
    alias_sym_replacement,
    alias_sym_string_content,
    alias_sym_transliteration_content,
  aux_sym__interpolated_string_content, 3,
    aux_sym__interpolated_string_content,
    alias_sym_replacement,
    alias_sym_string_content,
  aux_sym__interpolated_regexp_content, 2,
    aux_sym__interpolated_regexp_content,
    alias_sym_regexp_content,
  aux_sym__interpolated_transliteration_content, 3,
    aux_sym__interpolated_transliteration_content,
    alias_sym_replacement,
    alias_sym_transliteration_content,
  sym_identifier, 2,
    sym_identifier,
    alias_sym_label,
  sym__ident_special, 2,
    sym__ident_special,
    sym_varname,
  sym_bareword, 2,
    sym_bareword,
    alias_sym_filehandle,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 6,
  [7] = 2,
  [8] = 3,
  [9] = 5,
  [10] = 4,
  [11] = 6,
  [12] = 2,
  [13] = 3,
  [14] = 6,
  [15] = 5,
  [16] = 4,
  [17] = 17,
  [18] = 18,
  [19] = 18,
  [20] = 2,
  [21] = 2,
  [22] = 18,
  [23] = 18,
  [24] = 18,
  [25] = 18,
  [26] = 18,
  [27] = 18,
  [28] = 28,
  [29] = 18,
  [30] = 18,
  [31] = 18,
  [32] = 18,
  [33] = 18,
  [34] = 18,
  [35] = 18,
  [36] = 18,
  [37] = 18,
  [38] = 18,
  [39] = 18,
  [40] = 18,
  [41] = 18,
  [42] = 18,
  [43] = 18,
  [44] = 2,
  [45] = 18,
  [46] = 18,
  [47] = 18,
  [48] = 18,
  [49] = 18,
  [50] = 3,
  [51] = 3,
  [52] = 3,
  [53] = 2,
  [54] = 6,
  [55] = 4,
  [56] = 4,
  [57] = 4,
  [58] = 6,
  [59] = 6,
  [60] = 5,
  [61] = 5,
  [62] = 5,
  [63] = 3,
  [64] = 64,
  [65] = 65,
  [66] = 65,
  [67] = 65,
  [68] = 64,
  [69] = 65,
  [70] = 64,
  [71] = 4,
  [72] = 65,
  [73] = 65,
  [74] = 65,
  [75] = 64,
  [76] = 65,
  [77] = 64,
  [78] = 65,
  [79] = 65,
  [80] = 65,
  [81] = 65,
  [82] = 65,
  [83] = 65,
  [84] = 6,
  [85] = 64,
  [86] = 5,
  [87] = 65,
  [88] = 88,
  [89] = 89,
  [90] = 88,
  [91] = 89,
  [92] = 88,
  [93] = 89,
  [94] = 88,
  [95] = 89,
  [96] = 88,
  [97] = 28,
  [98] = 89,
  [99] = 88,
  [100] = 89,
  [101] = 88,
  [102] = 88,
  [103] = 89,
  [104] = 88,
  [105] = 89,
  [106] = 88,
  [107] = 89,
  [108] = 88,
  [109] = 89,
  [110] = 89,
  [111] = 88,
  [112] = 89,
  [113] = 88,
  [114] = 89,
  [115] = 88,
  [116] = 89,
  [117] = 89,
  [118] = 88,
  [119] = 89,
  [120] = 88,
  [121] = 88,
  [122] = 88,
  [123] = 88,
  [124] = 88,
  [125] = 88,
  [126] = 88,
  [127] = 88,
  [128] = 88,
  [129] = 88,
  [130] = 88,
  [131] = 88,
  [132] = 88,
  [133] = 88,
  [134] = 88,
  [135] = 88,
  [136] = 88,
  [137] = 88,
  [138] = 88,
  [139] = 88,
  [140] = 88,
  [141] = 88,
  [142] = 88,
  [143] = 88,
  [144] = 89,
  [145] = 88,
  [146] = 146,
  [147] = 146,
  [148] = 148,
  [149] = 149,
  [150] = 148,
  [151] = 149,
  [152] = 149,
  [153] = 148,
  [154] = 4,
  [155] = 4,
  [156] = 156,
  [157] = 157,
  [158] = 158,
  [159] = 159,
  [160] = 160,
  [161] = 161,
  [162] = 161,
  [163] = 163,
  [164] = 164,
  [165] = 165,
  [166] = 166,
  [167] = 161,
  [168] = 168,
  [169] = 161,
  [170] = 170,
  [171] = 4,
  [172] = 172,
  [173] = 166,
  [174] = 174,
  [175] = 175,
  [176] = 157,
  [177] = 158,
  [178] = 159,
  [179] = 160,
  [180] = 163,
  [181] = 164,
  [182] = 165,
  [183] = 168,
  [184] = 170,
  [185] = 185,
  [186] = 174,
  [187] = 172,
  [188] = 156,
  [189] = 185,
  [190] = 166,
  [191] = 175,
  [192] = 157,
  [193] = 158,
  [194] = 159,
  [195] = 160,
  [196] = 161,
  [197] = 164,
  [198] = 165,
  [199] = 168,
  [200] = 170,
  [201] = 185,
  [202] = 174,
  [203] = 172,
  [204] = 156,
  [205] = 175,
  [206] = 157,
  [207] = 158,
  [208] = 159,
  [209] = 160,
  [210] = 163,
  [211] = 164,
  [212] = 165,
  [213] = 168,
  [214] = 170,
  [215] = 185,
  [216] = 174,
  [217] = 172,
  [218] = 175,
  [219] = 157,
  [220] = 158,
  [221] = 159,
  [222] = 160,
  [223] = 168,
  [224] = 185,
  [225] = 174,
  [226] = 172,
  [227] = 175,
  [228] = 156,
  [229] = 163,
  [230] = 230,
  [231] = 230,
  [232] = 232,
  [233] = 232,
  [234] = 234,
  [235] = 234,
  [236] = 232,
  [237] = 234,
  [238] = 234,
  [239] = 234,
  [240] = 232,
  [241] = 230,
  [242] = 232,
  [243] = 230,
  [244] = 230,
  [245] = 245,
  [246] = 246,
  [247] = 247,
  [248] = 248,
  [249] = 249,
  [250] = 250,
  [251] = 247,
  [252] = 252,
  [253] = 253,
  [254] = 245,
  [255] = 255,
  [256] = 255,
  [257] = 252,
  [258] = 247,
  [259] = 249,
  [260] = 249,
  [261] = 246,
  [262] = 249,
  [263] = 248,
  [264] = 253,
  [265] = 245,
  [266] = 245,
  [267] = 247,
  [268] = 252,
  [269] = 250,
  [270] = 248,
  [271] = 253,
  [272] = 246,
  [273] = 252,
  [274] = 247,
  [275] = 253,
  [276] = 255,
  [277] = 253,
  [278] = 252,
  [279] = 245,
  [280] = 255,
  [281] = 250,
  [282] = 248,
  [283] = 255,
  [284] = 248,
  [285] = 249,
  [286] = 286,
  [287] = 287,
  [288] = 288,
  [289] = 289,
  [290] = 290,
  [291] = 291,
  [292] = 292,
  [293] = 293,
  [294] = 294,
  [295] = 295,
  [296] = 296,
  [297] = 297,
  [298] = 298,
  [299] = 299,
  [300] = 300,
  [301] = 301,
  [302] = 302,
  [303] = 303,
  [304] = 304,
  [305] = 305,
  [306] = 306,
  [307] = 307,
  [308] = 308,
  [309] = 309,
  [310] = 310,
  [311] = 311,
  [312] = 300,
  [313] = 302,
  [314] = 314,
  [315] = 300,
  [316] = 302,
  [317] = 310,
  [318] = 287,
  [319] = 311,
  [320] = 314,
  [321] = 288,
  [322] = 291,
  [323] = 292,
  [324] = 293,
  [325] = 294,
  [326] = 296,
  [327] = 297,
  [328] = 298,
  [329] = 301,
  [330] = 303,
  [331] = 305,
  [332] = 308,
  [333] = 310,
  [334] = 309,
  [335] = 287,
  [336] = 311,
  [337] = 314,
  [338] = 288,
  [339] = 299,
  [340] = 292,
  [341] = 293,
  [342] = 294,
  [343] = 296,
  [344] = 297,
  [345] = 298,
  [346] = 301,
  [347] = 303,
  [348] = 305,
  [349] = 308,
  [350] = 310,
  [351] = 287,
  [352] = 311,
  [353] = 314,
  [354] = 288,
  [355] = 291,
  [356] = 292,
  [357] = 293,
  [358] = 294,
  [359] = 296,
  [360] = 297,
  [361] = 298,
  [362] = 301,
  [363] = 303,
  [364] = 305,
  [365] = 308,
  [366] = 310,
  [367] = 287,
  [368] = 311,
  [369] = 314,
  [370] = 288,
  [371] = 294,
  [372] = 296,
  [373] = 298,
  [374] = 301,
  [375] = 303,
  [376] = 305,
  [377] = 289,
  [378] = 290,
  [379] = 295,
  [380] = 299,
  [381] = 309,
  [382] = 289,
  [383] = 290,
  [384] = 295,
  [385] = 291,
  [386] = 386,
  [387] = 286,
  [388] = 4,
  [389] = 386,
  [390] = 386,
  [391] = 386,
  [392] = 386,
  [393] = 386,
  [394] = 386,
  [395] = 4,
  [396] = 396,
  [397] = 397,
  [398] = 397,
  [399] = 396,
  [400] = 397,
  [401] = 396,
  [402] = 397,
  [403] = 396,
  [404] = 397,
  [405] = 396,
  [406] = 396,
  [407] = 396,
  [408] = 408,
  [409] = 409,
  [410] = 409,
  [411] = 411,
  [412] = 411,
  [413] = 409,
  [414] = 5,
  [415] = 411,
  [416] = 409,
  [417] = 411,
  [418] = 409,
  [419] = 411,
  [420] = 409,
  [421] = 411,
  [422] = 409,
  [423] = 411,
  [424] = 424,
  [425] = 425,
  [426] = 426,
  [427] = 427,
  [428] = 428,
  [429] = 429,
  [430] = 430,
  [431] = 431,
  [432] = 424,
  [433] = 427,
  [434] = 434,
  [435] = 425,
  [436] = 424,
  [437] = 437,
  [438] = 434,
  [439] = 434,
  [440] = 425,
  [441] = 437,
  [442] = 428,
  [443] = 443,
  [444] = 425,
  [445] = 428,
  [446] = 429,
  [447] = 437,
  [448] = 426,
  [449] = 449,
  [450] = 449,
  [451] = 426,
  [452] = 427,
  [453] = 449,
  [454] = 454,
  [455] = 455,
  [456] = 437,
  [457] = 426,
  [458] = 434,
  [459] = 428,
  [460] = 443,
  [461] = 429,
  [462] = 429,
  [463] = 437,
  [464] = 443,
  [465] = 449,
  [466] = 430,
  [467] = 467,
  [468] = 431,
  [469] = 428,
  [470] = 427,
  [471] = 430,
  [472] = 434,
  [473] = 431,
  [474] = 425,
  [475] = 426,
  [476] = 454,
  [477] = 455,
  [478] = 449,
  [479] = 424,
  [480] = 455,
  [481] = 427,
  [482] = 431,
  [483] = 434,
  [484] = 425,
  [485] = 426,
  [486] = 443,
  [487] = 449,
  [488] = 428,
  [489] = 429,
  [490] = 429,
  [491] = 430,
  [492] = 430,
  [493] = 431,
  [494] = 427,
  [495] = 424,
  [496] = 454,
  [497] = 455,
  [498] = 498,
  [499] = 426,
  [500] = 427,
  [501] = 449,
  [502] = 430,
  [503] = 443,
  [504] = 434,
  [505] = 437,
  [506] = 425,
  [507] = 467,
  [508] = 437,
  [509] = 424,
  [510] = 431,
  [511] = 428,
  [512] = 429,
  [513] = 424,
  [514] = 454,
  [515] = 467,
  [516] = 467,
  [517] = 455,
  [518] = 430,
  [519] = 431,
  [520] = 467,
  [521] = 454,
  [522] = 522,
  [523] = 523,
  [524] = 524,
  [525] = 525,
  [526] = 526,
  [527] = 527,
  [528] = 528,
  [529] = 527,
  [530] = 530,
  [531] = 531,
  [532] = 532,
  [533] = 526,
  [534] = 534,
  [535] = 528,
  [536] = 536,
  [537] = 537,
  [538] = 538,
  [539] = 539,
  [540] = 525,
  [541] = 541,
  [542] = 527,
  [543] = 536,
  [544] = 537,
  [545] = 538,
  [546] = 539,
  [547] = 541,
  [548] = 548,
  [549] = 549,
  [550] = 550,
  [551] = 551,
  [552] = 552,
  [553] = 553,
  [554] = 523,
  [555] = 524,
  [556] = 548,
  [557] = 522,
  [558] = 558,
  [559] = 528,
  [560] = 549,
  [561] = 558,
  [562] = 530,
  [563] = 531,
  [564] = 530,
  [565] = 532,
  [566] = 526,
  [567] = 534,
  [568] = 558,
  [569] = 530,
  [570] = 531,
  [571] = 532,
  [572] = 526,
  [573] = 534,
  [574] = 550,
  [575] = 525,
  [576] = 527,
  [577] = 536,
  [578] = 537,
  [579] = 538,
  [580] = 539,
  [581] = 541,
  [582] = 548,
  [583] = 549,
  [584] = 550,
  [585] = 551,
  [586] = 552,
  [587] = 553,
  [588] = 523,
  [589] = 524,
  [590] = 531,
  [591] = 532,
  [592] = 536,
  [593] = 528,
  [594] = 551,
  [595] = 537,
  [596] = 526,
  [597] = 534,
  [598] = 538,
  [599] = 539,
  [600] = 522,
  [601] = 552,
  [602] = 541,
  [603] = 548,
  [604] = 549,
  [605] = 558,
  [606] = 525,
  [607] = 530,
  [608] = 550,
  [609] = 553,
  [610] = 527,
  [611] = 551,
  [612] = 531,
  [613] = 552,
  [614] = 536,
  [615] = 615,
  [616] = 537,
  [617] = 553,
  [618] = 538,
  [619] = 539,
  [620] = 541,
  [621] = 525,
  [622] = 523,
  [623] = 548,
  [624] = 527,
  [625] = 549,
  [626] = 536,
  [627] = 550,
  [628] = 537,
  [629] = 551,
  [630] = 538,
  [631] = 522,
  [632] = 552,
  [633] = 539,
  [634] = 541,
  [635] = 553,
  [636] = 548,
  [637] = 523,
  [638] = 549,
  [639] = 524,
  [640] = 550,
  [641] = 551,
  [642] = 552,
  [643] = 553,
  [644] = 528,
  [645] = 523,
  [646] = 646,
  [647] = 524,
  [648] = 524,
  [649] = 558,
  [650] = 530,
  [651] = 531,
  [652] = 532,
  [653] = 528,
  [654] = 523,
  [655] = 526,
  [656] = 558,
  [657] = 534,
  [658] = 530,
  [659] = 522,
  [660] = 531,
  [661] = 528,
  [662] = 532,
  [663] = 532,
  [664] = 525,
  [665] = 526,
  [666] = 522,
  [667] = 534,
  [668] = 525,
  [669] = 527,
  [670] = 536,
  [671] = 537,
  [672] = 538,
  [673] = 539,
  [674] = 541,
  [675] = 548,
  [676] = 549,
  [677] = 550,
  [678] = 551,
  [679] = 552,
  [680] = 553,
  [681] = 524,
  [682] = 522,
  [683] = 534,
  [684] = 558,
  [685] = 685,
  [686] = 686,
  [687] = 687,
  [688] = 688,
  [689] = 689,
  [690] = 690,
  [691] = 691,
  [692] = 692,
  [693] = 693,
  [694] = 694,
  [695] = 695,
  [696] = 695,
  [697] = 695,
  [698] = 698,
  [699] = 699,
  [700] = 685,
  [701] = 687,
  [702] = 692,
  [703] = 703,
  [704] = 695,
  [705] = 695,
  [706] = 695,
  [707] = 686,
  [708] = 693,
  [709] = 694,
  [710] = 698,
  [711] = 711,
  [712] = 688,
  [713] = 695,
  [714] = 695,
  [715] = 695,
  [716] = 695,
  [717] = 695,
  [718] = 695,
  [719] = 695,
  [720] = 695,
  [721] = 695,
  [722] = 695,
  [723] = 695,
  [724] = 695,
  [725] = 695,
  [726] = 695,
  [727] = 695,
  [728] = 695,
  [729] = 695,
  [730] = 695,
  [731] = 695,
  [732] = 695,
  [733] = 695,
  [734] = 689,
  [735] = 691,
  [736] = 736,
  [737] = 737,
  [738] = 286,
  [739] = 695,
  [740] = 740,
  [741] = 740,
  [742] = 740,
  [743] = 740,
  [744] = 740,
  [745] = 740,
  [746] = 740,
  [747] = 740,
  [748] = 740,
  [749] = 740,
  [750] = 740,
  [751] = 740,
  [752] = 740,
  [753] = 740,
  [754] = 740,
  [755] = 740,
  [756] = 740,
  [757] = 286,
  [758] = 740,
  [759] = 740,
  [760] = 740,
  [761] = 740,
  [762] = 740,
  [763] = 740,
  [764] = 740,
  [765] = 740,
  [766] = 740,
  [767] = 740,
  [768] = 740,
  [769] = 686,
  [770] = 691,
  [771] = 688,
  [772] = 694,
  [773] = 685,
  [774] = 689,
  [775] = 687,
  [776] = 692,
  [777] = 690,
  [778] = 693,
  [779] = 689,
  [780] = 685,
  [781] = 686,
  [782] = 688,
  [783] = 691,
  [784] = 703,
  [785] = 692,
  [786] = 687,
  [787] = 737,
  [788] = 736,
  [789] = 711,
  [790] = 698,
  [791] = 693,
  [792] = 694,
  [793] = 286,
  [794] = 699,
  [795] = 685,
  [796] = 688,
  [797] = 691,
  [798] = 687,
  [799] = 693,
  [800] = 686,
  [801] = 690,
  [802] = 689,
  [803] = 694,
  [804] = 692,
  [805] = 691,
  [806] = 699,
  [807] = 703,
  [808] = 711,
  [809] = 693,
  [810] = 736,
  [811] = 685,
  [812] = 692,
  [813] = 688,
  [814] = 286,
  [815] = 694,
  [816] = 686,
  [817] = 737,
  [818] = 689,
  [819] = 687,
  [820] = 698,
  [821] = 686,
  [822] = 690,
  [823] = 691,
  [824] = 692,
  [825] = 688,
  [826] = 687,
  [827] = 693,
  [828] = 689,
  [829] = 685,
  [830] = 694,
  [831] = 687,
  [832] = 685,
  [833] = 699,
  [834] = 711,
  [835] = 703,
  [836] = 736,
  [837] = 286,
  [838] = 737,
  [839] = 698,
  [840] = 690,
  [841] = 690,
  [842] = 693,
  [843] = 694,
  [844] = 686,
  [845] = 691,
  [846] = 692,
  [847] = 685,
  [848] = 688,
  [849] = 693,
  [850] = 694,
  [851] = 689,
  [852] = 691,
  [853] = 687,
  [854] = 692,
  [855] = 688,
  [856] = 689,
  [857] = 686,
  [858] = 703,
  [859] = 737,
  [860] = 286,
  [861] = 686,
  [862] = 286,
  [863] = 699,
  [864] = 711,
  [865] = 865,
  [866] = 693,
  [867] = 694,
  [868] = 698,
  [869] = 736,
  [870] = 687,
  [871] = 737,
  [872] = 692,
  [873] = 698,
  [874] = 699,
  [875] = 688,
  [876] = 711,
  [877] = 685,
  [878] = 689,
  [879] = 691,
  [880] = 880,
  [881] = 881,
  [882] = 689,
  [883] = 689,
  [884] = 884,
  [885] = 685,
  [886] = 685,
  [887] = 685,
  [888] = 881,
  [889] = 689,
  [890] = 890,
  [891] = 880,
  [892] = 892,
  [893] = 893,
  [894] = 894,
  [895] = 895,
  [896] = 896,
  [897] = 897,
  [898] = 898,
  [899] = 899,
  [900] = 900,
  [901] = 901,
  [902] = 902,
  [903] = 903,
  [904] = 904,
  [905] = 905,
  [906] = 906,
  [907] = 907,
  [908] = 908,
  [909] = 909,
  [910] = 910,
  [911] = 911,
  [912] = 912,
  [913] = 913,
  [914] = 914,
  [915] = 915,
  [916] = 916,
  [917] = 917,
  [918] = 918,
  [919] = 919,
  [920] = 920,
  [921] = 921,
  [922] = 922,
  [923] = 923,
  [924] = 689,
  [925] = 925,
  [926] = 926,
  [927] = 927,
  [928] = 928,
  [929] = 929,
  [930] = 930,
  [931] = 931,
  [932] = 932,
  [933] = 933,
  [934] = 685,
  [935] = 935,
  [936] = 936,
  [937] = 937,
  [938] = 938,
  [939] = 939,
  [940] = 940,
  [941] = 941,
  [942] = 942,
  [943] = 943,
  [944] = 944,
  [945] = 945,
  [946] = 946,
  [947] = 947,
  [948] = 948,
  [949] = 949,
  [950] = 950,
  [951] = 951,
  [952] = 952,
  [953] = 953,
  [954] = 954,
  [955] = 955,
  [956] = 956,
  [957] = 957,
  [958] = 958,
  [959] = 959,
  [960] = 960,
  [961] = 961,
  [962] = 962,
  [963] = 963,
  [964] = 964,
  [965] = 965,
  [966] = 966,
  [967] = 967,
  [968] = 968,
  [969] = 969,
  [970] = 970,
  [971] = 971,
  [972] = 972,
  [973] = 973,
  [974] = 974,
  [975] = 975,
  [976] = 976,
  [977] = 977,
  [978] = 978,
  [979] = 979,
  [980] = 980,
  [981] = 981,
  [982] = 982,
  [983] = 983,
  [984] = 984,
  [985] = 689,
  [986] = 685,
  [987] = 685,
  [988] = 884,
  [989] = 689,
  [990] = 890,
  [991] = 689,
  [992] = 685,
  [993] = 892,
  [994] = 902,
  [995] = 982,
  [996] = 935,
  [997] = 923,
  [998] = 921,
  [999] = 689,
  [1000] = 928,
  [1001] = 901,
  [1002] = 914,
  [1003] = 932,
  [1004] = 931,
  [1005] = 907,
  [1006] = 910,
  [1007] = 919,
  [1008] = 920,
  [1009] = 893,
  [1010] = 894,
  [1011] = 895,
  [1012] = 896,
  [1013] = 922,
  [1014] = 926,
  [1015] = 927,
  [1016] = 897,
  [1017] = 929,
  [1018] = 898,
  [1019] = 930,
  [1020] = 899,
  [1021] = 983,
  [1022] = 936,
  [1023] = 937,
  [1024] = 938,
  [1025] = 939,
  [1026] = 940,
  [1027] = 941,
  [1028] = 942,
  [1029] = 943,
  [1030] = 944,
  [1031] = 945,
  [1032] = 946,
  [1033] = 900,
  [1034] = 952,
  [1035] = 903,
  [1036] = 947,
  [1037] = 904,
  [1038] = 905,
  [1039] = 906,
  [1040] = 908,
  [1041] = 909,
  [1042] = 911,
  [1043] = 950,
  [1044] = 953,
  [1045] = 915,
  [1046] = 954,
  [1047] = 955,
  [1048] = 925,
  [1049] = 956,
  [1050] = 957,
  [1051] = 948,
  [1052] = 958,
  [1053] = 959,
  [1054] = 960,
  [1055] = 961,
  [1056] = 962,
  [1057] = 933,
  [1058] = 963,
  [1059] = 964,
  [1060] = 965,
  [1061] = 966,
  [1062] = 967,
  [1063] = 951,
  [1064] = 968,
  [1065] = 969,
  [1066] = 970,
  [1067] = 984,
  [1068] = 971,
  [1069] = 949,
  [1070] = 972,
  [1071] = 973,
  [1072] = 974,
  [1073] = 975,
  [1074] = 913,
  [1075] = 976,
  [1076] = 685,
  [1077] = 977,
  [1078] = 916,
  [1079] = 917,
  [1080] = 978,
  [1081] = 979,
  [1082] = 980,
  [1083] = 918,
  [1084] = 981,
  [1085] = 912,
  [1086] = 881,
  [1087] = 880,
  [1088] = 685,
  [1089] = 689,
  [1090] = 884,
  [1091] = 689,
  [1092] = 685,
  [1093] = 1093,
  [1094] = 1094,
  [1095] = 890,
  [1096] = 685,
  [1097] = 892,
  [1098] = 689,
  [1099] = 984,
  [1100] = 902,
  [1101] = 907,
  [1102] = 910,
  [1103] = 919,
  [1104] = 920,
  [1105] = 893,
  [1106] = 922,
  [1107] = 926,
  [1108] = 927,
  [1109] = 929,
  [1110] = 930,
  [1111] = 936,
  [1112] = 937,
  [1113] = 938,
  [1114] = 939,
  [1115] = 940,
  [1116] = 941,
  [1117] = 942,
  [1118] = 943,
  [1119] = 944,
  [1120] = 945,
  [1121] = 946,
  [1122] = 947,
  [1123] = 948,
  [1124] = 949,
  [1125] = 950,
  [1126] = 951,
  [1127] = 952,
  [1128] = 953,
  [1129] = 954,
  [1130] = 955,
  [1131] = 956,
  [1132] = 957,
  [1133] = 958,
  [1134] = 959,
  [1135] = 960,
  [1136] = 961,
  [1137] = 962,
  [1138] = 963,
  [1139] = 964,
  [1140] = 689,
  [1141] = 965,
  [1142] = 966,
  [1143] = 967,
  [1144] = 968,
  [1145] = 969,
  [1146] = 970,
  [1147] = 971,
  [1148] = 973,
  [1149] = 974,
  [1150] = 975,
  [1151] = 976,
  [1152] = 977,
  [1153] = 978,
  [1154] = 979,
  [1155] = 980,
  [1156] = 981,
  [1157] = 982,
  [1158] = 935,
  [1159] = 921,
  [1160] = 928,
  [1161] = 901,
  [1162] = 914,
  [1163] = 931,
  [1164] = 894,
  [1165] = 895,
  [1166] = 896,
  [1167] = 897,
  [1168] = 898,
  [1169] = 899,
  [1170] = 900,
  [1171] = 903,
  [1172] = 904,
  [1173] = 905,
  [1174] = 906,
  [1175] = 908,
  [1176] = 909,
  [1177] = 911,
  [1178] = 912,
  [1179] = 915,
  [1180] = 913,
  [1181] = 925,
  [1182] = 916,
  [1183] = 923,
  [1184] = 932,
  [1185] = 933,
  [1186] = 685,
  [1187] = 972,
  [1188] = 1188,
  [1189] = 1189,
  [1190] = 1190,
  [1191] = 1191,
  [1192] = 1192,
  [1193] = 1193,
  [1194] = 1194,
  [1195] = 1195,
  [1196] = 1196,
  [1197] = 1197,
  [1198] = 1198,
  [1199] = 691,
  [1200] = 692,
  [1201] = 1201,
  [1202] = 1202,
  [1203] = 1203,
  [1204] = 1204,
  [1205] = 1205,
  [1206] = 694,
  [1207] = 1207,
  [1208] = 1208,
  [1209] = 1209,
  [1210] = 1210,
  [1211] = 1211,
  [1212] = 1212,
  [1213] = 693,
  [1214] = 688,
  [1215] = 689,
  [1216] = 1216,
  [1217] = 1217,
  [1218] = 1218,
  [1219] = 1219,
  [1220] = 1220,
  [1221] = 685,
  [1222] = 1222,
  [1223] = 687,
  [1224] = 1224,
  [1225] = 1225,
  [1226] = 1226,
  [1227] = 1227,
  [1228] = 1228,
  [1229] = 686,
  [1230] = 1230,
  [1231] = 1231,
  [1232] = 1232,
  [1233] = 1233,
  [1234] = 1234,
  [1235] = 1235,
  [1236] = 1236,
  [1237] = 1237,
  [1238] = 1227,
  [1239] = 1239,
  [1240] = 1240,
  [1241] = 1241,
  [1242] = 1242,
  [1243] = 1227,
  [1244] = 1244,
  [1245] = 1245,
  [1246] = 1246,
  [1247] = 1247,
  [1248] = 1248,
  [1249] = 1249,
  [1250] = 1250,
  [1251] = 1251,
  [1252] = 1252,
  [1253] = 1253,
  [1254] = 1254,
  [1255] = 1255,
  [1256] = 1256,
  [1257] = 1257,
  [1258] = 1258,
  [1259] = 1259,
  [1260] = 1260,
  [1261] = 1261,
  [1262] = 1262,
  [1263] = 1263,
  [1264] = 1264,
  [1265] = 1227,
  [1266] = 1266,
  [1267] = 1267,
  [1268] = 1268,
  [1269] = 1269,
  [1270] = 1270,
  [1271] = 1271,
  [1272] = 1272,
  [1273] = 1273,
  [1274] = 1274,
  [1275] = 1275,
  [1276] = 1276,
  [1277] = 1277,
  [1278] = 1278,
  [1279] = 1279,
  [1280] = 1280,
  [1281] = 1281,
  [1282] = 1282,
  [1283] = 1283,
  [1284] = 1284,
  [1285] = 1285,
  [1286] = 1286,
  [1287] = 1287,
  [1288] = 1288,
  [1289] = 1289,
  [1290] = 1290,
  [1291] = 1291,
  [1292] = 1292,
  [1293] = 1293,
  [1294] = 1294,
  [1295] = 1295,
  [1296] = 1296,
  [1297] = 1297,
  [1298] = 1298,
  [1299] = 1299,
  [1300] = 1300,
  [1301] = 1301,
  [1302] = 1302,
  [1303] = 1303,
  [1304] = 1304,
  [1305] = 1305,
  [1306] = 1306,
  [1307] = 1307,
  [1308] = 1308,
  [1309] = 1309,
  [1310] = 1310,
  [1311] = 1311,
  [1312] = 286,
  [1313] = 1313,
  [1314] = 1314,
  [1315] = 1315,
  [1316] = 1316,
  [1317] = 1317,
  [1318] = 1318,
  [1319] = 1319,
  [1320] = 1320,
  [1321] = 1321,
  [1322] = 1322,
  [1323] = 1323,
  [1324] = 1324,
  [1325] = 1325,
  [1326] = 1326,
  [1327] = 1327,
  [1328] = 1328,
  [1329] = 1329,
  [1330] = 1330,
  [1331] = 1331,
  [1332] = 1332,
  [1333] = 1333,
  [1334] = 1334,
  [1335] = 1335,
  [1336] = 1336,
  [1337] = 1337,
  [1338] = 1338,
  [1339] = 1339,
  [1340] = 1340,
  [1341] = 1341,
  [1342] = 1342,
  [1343] = 1343,
  [1344] = 1344,
  [1345] = 1345,
  [1346] = 1346,
  [1347] = 1347,
  [1348] = 1348,
  [1349] = 1349,
  [1350] = 1350,
  [1351] = 1351,
  [1352] = 1352,
  [1353] = 1353,
  [1354] = 1354,
  [1355] = 1355,
  [1356] = 1356,
  [1357] = 1357,
  [1358] = 1358,
  [1359] = 1359,
  [1360] = 1360,
  [1361] = 1361,
  [1362] = 1362,
  [1363] = 1363,
  [1364] = 1364,
  [1365] = 1365,
  [1366] = 1094,
  [1367] = 1367,
  [1368] = 1368,
  [1369] = 865,
  [1370] = 1370,
  [1371] = 1371,
  [1372] = 1372,
  [1373] = 1373,
  [1374] = 1374,
  [1375] = 1375,
  [1376] = 1376,
  [1377] = 1377,
  [1378] = 1378,
  [1379] = 1379,
  [1380] = 1380,
  [1381] = 1381,
  [1382] = 1382,
  [1383] = 1383,
  [1384] = 1384,
  [1385] = 1385,
  [1386] = 1386,
  [1387] = 1387,
  [1388] = 1388,
  [1389] = 1389,
  [1390] = 1390,
  [1391] = 1391,
  [1392] = 1392,
  [1393] = 1393,
  [1394] = 1394,
  [1395] = 1395,
  [1396] = 1396,
  [1397] = 1397,
  [1398] = 1398,
  [1399] = 1399,
  [1400] = 1400,
  [1401] = 1401,
  [1402] = 1402,
  [1403] = 1403,
  [1404] = 1404,
  [1405] = 1405,
  [1406] = 1406,
  [1407] = 1407,
  [1408] = 1408,
  [1409] = 1409,
  [1410] = 1410,
  [1411] = 1411,
  [1412] = 1412,
  [1413] = 1413,
  [1414] = 1414,
  [1415] = 1415,
  [1416] = 1416,
  [1417] = 1417,
  [1418] = 1418,
  [1419] = 1419,
  [1420] = 1420,
  [1421] = 1421,
  [1422] = 1194,
  [1423] = 1193,
  [1424] = 1195,
  [1425] = 1197,
  [1426] = 1196,
  [1427] = 1201,
  [1428] = 1198,
  [1429] = 1195,
  [1430] = 1194,
  [1431] = 1225,
  [1432] = 1217,
  [1433] = 1193,
  [1434] = 1205,
  [1435] = 1196,
  [1436] = 1197,
  [1437] = 1269,
  [1438] = 1233,
  [1439] = 1193,
  [1440] = 1194,
  [1441] = 1198,
  [1442] = 691,
  [1443] = 692,
  [1444] = 1201,
  [1445] = 1237,
  [1446] = 1260,
  [1447] = 1262,
  [1448] = 1271,
  [1449] = 1195,
  [1450] = 1219,
  [1451] = 694,
  [1452] = 1330,
  [1453] = 1222,
  [1454] = 1332,
  [1455] = 1333,
  [1456] = 1334,
  [1457] = 1335,
  [1458] = 1336,
  [1459] = 1337,
  [1460] = 1338,
  [1461] = 1339,
  [1462] = 1340,
  [1463] = 1418,
  [1464] = 1342,
  [1465] = 1343,
  [1466] = 1344,
  [1467] = 1345,
  [1468] = 1225,
  [1469] = 1205,
  [1470] = 688,
  [1471] = 1403,
  [1472] = 1217,
  [1473] = 1218,
  [1474] = 1220,
  [1475] = 687,
  [1476] = 689,
  [1477] = 685,
  [1478] = 1224,
  [1479] = 1202,
  [1480] = 1313,
  [1481] = 1291,
  [1482] = 1353,
  [1483] = 1356,
  [1484] = 1358,
  [1485] = 1359,
  [1486] = 1360,
  [1487] = 1370,
  [1488] = 1280,
  [1489] = 1284,
  [1490] = 1298,
  [1491] = 1203,
  [1492] = 1207,
  [1493] = 1204,
  [1494] = 1209,
  [1495] = 1208,
  [1496] = 1210,
  [1497] = 1212,
  [1498] = 1211,
  [1499] = 1216,
  [1500] = 693,
  [1501] = 1331,
  [1502] = 1209,
  [1503] = 693,
  [1504] = 694,
  [1505] = 691,
  [1506] = 687,
  [1507] = 692,
  [1508] = 688,
  [1509] = 1216,
  [1510] = 689,
  [1511] = 685,
  [1512] = 1218,
  [1513] = 1219,
  [1514] = 1220,
  [1515] = 1204,
  [1516] = 1224,
  [1517] = 1227,
  [1518] = 1228,
  [1519] = 1210,
  [1520] = 1212,
  [1521] = 1193,
  [1522] = 1194,
  [1523] = 1195,
  [1524] = 1193,
  [1525] = 1211,
  [1526] = 1194,
  [1527] = 1195,
  [1528] = 1198,
  [1529] = 1201,
  [1530] = 1226,
  [1531] = 1222,
  [1532] = 1202,
  [1533] = 1203,
  [1534] = 1207,
  [1535] = 686,
  [1536] = 1208,
  [1537] = 1197,
  [1538] = 1227,
  [1539] = 1271,
  [1540] = 1225,
  [1541] = 1205,
  [1542] = 1274,
  [1543] = 1217,
  [1544] = 1270,
  [1545] = 1227,
  [1546] = 1250,
  [1547] = 1226,
  [1548] = 1260,
  [1549] = 1262,
  [1550] = 1230,
  [1551] = 1276,
  [1552] = 686,
  [1553] = 1275,
  [1554] = 1227,
  [1555] = 1227,
  [1556] = 1266,
  [1557] = 1232,
  [1558] = 1231,
  [1559] = 1261,
  [1560] = 1239,
  [1561] = 1234,
  [1562] = 1267,
  [1563] = 1259,
  [1564] = 1235,
  [1565] = 1257,
  [1566] = 1247,
  [1567] = 1249,
  [1568] = 1255,
  [1569] = 1256,
  [1570] = 1251,
  [1571] = 1237,
  [1572] = 1252,
  [1573] = 1272,
  [1574] = 1263,
  [1575] = 1196,
  [1576] = 1241,
  [1577] = 1248,
  [1578] = 1233,
  [1579] = 1246,
  [1580] = 1196,
  [1581] = 1269,
  [1582] = 1240,
  [1583] = 1277,
  [1584] = 1268,
  [1585] = 1258,
  [1586] = 1197,
  [1587] = 1273,
  [1588] = 1236,
  [1589] = 1253,
  [1590] = 1244,
  [1591] = 1254,
  [1592] = 1245,
  [1593] = 1264,
  [1594] = 1228,
  [1595] = 1242,
  [1596] = 1257,
  [1597] = 1342,
  [1598] = 1285,
  [1599] = 1233,
  [1600] = 1402,
  [1601] = 1313,
  [1602] = 286,
  [1603] = 1269,
  [1604] = 1261,
  [1605] = 1293,
  [1606] = 1409,
  [1607] = 1392,
  [1608] = 685,
  [1609] = 1267,
  [1610] = 1410,
  [1611] = 1403,
  [1612] = 1343,
  [1613] = 1216,
  [1614] = 1335,
  [1615] = 688,
  [1616] = 1411,
  [1617] = 1412,
  [1618] = 1404,
  [1619] = 1413,
  [1620] = 691,
  [1621] = 691,
  [1622] = 1414,
  [1623] = 692,
  [1624] = 1396,
  [1625] = 1415,
  [1626] = 1344,
  [1627] = 1326,
  [1628] = 1416,
  [1629] = 1417,
  [1630] = 1341,
  [1631] = 1399,
  [1632] = 1325,
  [1633] = 1303,
  [1634] = 1318,
  [1635] = 1319,
  [1636] = 1328,
  [1637] = 1218,
  [1638] = 1354,
  [1639] = 1405,
  [1640] = 1294,
  [1641] = 1296,
  [1642] = 1323,
  [1643] = 1219,
  [1644] = 1220,
  [1645] = 1227,
  [1646] = 1327,
  [1647] = 1311,
  [1648] = 687,
  [1649] = 1295,
  [1650] = 1272,
  [1651] = 1336,
  [1652] = 1227,
  [1653] = 1362,
  [1654] = 1239,
  [1655] = 1227,
  [1656] = 1259,
  [1657] = 1337,
  [1658] = 1297,
  [1659] = 1298,
  [1660] = 1332,
  [1661] = 1363,
  [1662] = 1198,
  [1663] = 1242,
  [1664] = 1201,
  [1665] = 1278,
  [1666] = 1300,
  [1667] = 1301,
  [1668] = 1286,
  [1669] = 1251,
  [1670] = 1252,
  [1671] = 1288,
  [1672] = 1289,
  [1673] = 1302,
  [1674] = 1247,
  [1675] = 1304,
  [1676] = 1305,
  [1677] = 1364,
  [1678] = 1253,
  [1679] = 1365,
  [1680] = 692,
  [1681] = 1254,
  [1682] = 1249,
  [1683] = 1333,
  [1684] = 1334,
  [1685] = 1331,
  [1686] = 1263,
  [1687] = 1276,
  [1688] = 1367,
  [1689] = 1275,
  [1690] = 1273,
  [1691] = 1368,
  [1692] = 1255,
  [1693] = 1397,
  [1694] = 1306,
  [1695] = 1347,
  [1696] = 1406,
  [1697] = 1287,
  [1698] = 1398,
  [1699] = 1307,
  [1700] = 1372,
  [1701] = 1290,
  [1702] = 1224,
  [1703] = 1291,
  [1704] = 1373,
  [1705] = 1374,
  [1706] = 1280,
  [1707] = 1375,
  [1708] = 1376,
  [1709] = 1207,
  [1710] = 1377,
  [1711] = 1204,
  [1712] = 1315,
  [1713] = 689,
  [1714] = 1378,
  [1715] = 1338,
  [1716] = 1339,
  [1717] = 1407,
  [1718] = 1340,
  [1719] = 1208,
  [1720] = 1316,
  [1721] = 1210,
  [1722] = 1379,
  [1723] = 1380,
  [1724] = 1381,
  [1725] = 1382,
  [1726] = 1383,
  [1727] = 1384,
  [1728] = 1400,
  [1729] = 1385,
  [1730] = 1386,
  [1731] = 1299,
  [1732] = 1308,
  [1733] = 1321,
  [1734] = 1212,
  [1735] = 1387,
  [1736] = 1388,
  [1737] = 1322,
  [1738] = 1211,
  [1739] = 1324,
  [1740] = 1389,
  [1741] = 1408,
  [1742] = 1345,
  [1743] = 1390,
  [1744] = 1391,
  [1745] = 693,
  [1746] = 1292,
  [1747] = 1281,
  [1748] = 1282,
  [1749] = 1202,
  [1750] = 1203,
  [1751] = 1352,
  [1752] = 1353,
  [1753] = 1283,
  [1754] = 1355,
  [1755] = 1356,
  [1756] = 1357,
  [1757] = 1256,
  [1758] = 1317,
  [1759] = 1358,
  [1760] = 1359,
  [1761] = 1193,
  [1762] = 1279,
  [1763] = 1360,
  [1764] = 1361,
  [1765] = 1346,
  [1766] = 1270,
  [1767] = 1393,
  [1768] = 1194,
  [1769] = 1235,
  [1770] = 1264,
  [1771] = 1198,
  [1772] = 1250,
  [1773] = 1201,
  [1774] = 1329,
  [1775] = 865,
  [1776] = 1320,
  [1777] = 1394,
  [1778] = 1370,
  [1779] = 1371,
  [1780] = 1418,
  [1781] = 694,
  [1782] = 1284,
  [1783] = 1094,
  [1784] = 1395,
  [1785] = 1244,
  [1786] = 1245,
  [1787] = 1274,
  [1788] = 1309,
  [1789] = 1348,
  [1790] = 1310,
  [1791] = 1349,
  [1792] = 1401,
  [1793] = 1350,
  [1794] = 1232,
  [1795] = 1231,
  [1796] = 1351,
  [1797] = 1234,
  [1798] = 1246,
  [1799] = 1314,
  [1800] = 1236,
  [1801] = 1330,
  [1802] = 1222,
  [1803] = 1271,
  [1804] = 1209,
  [1805] = 1388,
  [1806] = 1359,
  [1807] = 1360,
  [1808] = 1361,
  [1809] = 1370,
  [1810] = 1371,
  [1811] = 1279,
  [1812] = 1280,
  [1813] = 1281,
  [1814] = 1282,
  [1815] = 1283,
  [1816] = 1285,
  [1817] = 1295,
  [1818] = 1297,
  [1819] = 1298,
  [1820] = 1300,
  [1821] = 1301,
  [1822] = 1302,
  [1823] = 1304,
  [1824] = 1305,
  [1825] = 1306,
  [1826] = 1241,
  [1827] = 1248,
  [1828] = 1277,
  [1829] = 1268,
  [1830] = 1258,
  [1831] = 1309,
  [1832] = 1310,
  [1833] = 1314,
  [1834] = 1315,
  [1835] = 1317,
  [1836] = 1320,
  [1837] = 1321,
  [1838] = 1322,
  [1839] = 1324,
  [1840] = 1329,
  [1841] = 1346,
  [1842] = 1348,
  [1843] = 1349,
  [1844] = 1350,
  [1845] = 1351,
  [1846] = 1266,
  [1847] = 1362,
  [1848] = 1363,
  [1849] = 1364,
  [1850] = 1365,
  [1851] = 1367,
  [1852] = 1368,
  [1853] = 1372,
  [1854] = 1373,
  [1855] = 1374,
  [1856] = 1375,
  [1857] = 1376,
  [1858] = 1377,
  [1859] = 1378,
  [1860] = 1379,
  [1861] = 1380,
  [1862] = 1381,
  [1863] = 1382,
  [1864] = 1383,
  [1865] = 1384,
  [1866] = 1385,
  [1867] = 1386,
  [1868] = 1387,
  [1869] = 1389,
  [1870] = 1390,
  [1871] = 1391,
  [1872] = 1240,
  [1873] = 1393,
  [1874] = 1394,
  [1875] = 1395,
  [1876] = 1396,
  [1877] = 1397,
  [1878] = 1398,
  [1879] = 1400,
  [1880] = 1401,
  [1881] = 1402,
  [1882] = 1404,
  [1883] = 1405,
  [1884] = 1406,
  [1885] = 1407,
  [1886] = 1408,
  [1887] = 1409,
  [1888] = 1410,
  [1889] = 1411,
  [1890] = 1412,
  [1891] = 1413,
  [1892] = 1414,
  [1893] = 1415,
  [1894] = 1416,
  [1895] = 1417,
  [1896] = 1341,
  [1897] = 1399,
  [1898] = 1325,
  [1899] = 1303,
  [1900] = 1318,
  [1901] = 1319,
  [1902] = 1328,
  [1903] = 1354,
  [1904] = 1323,
  [1905] = 1311,
  [1906] = 1278,
  [1907] = 1286,
  [1908] = 1288,
  [1909] = 1289,
  [1910] = 1260,
  [1911] = 1262,
  [1912] = 1094,
  [1913] = 865,
  [1914] = 1358,
  [1915] = 1202,
  [1916] = 1203,
  [1917] = 1330,
  [1918] = 1331,
  [1919] = 1332,
  [1920] = 1333,
  [1921] = 1334,
  [1922] = 1335,
  [1923] = 1336,
  [1924] = 1337,
  [1925] = 1338,
  [1926] = 1339,
  [1927] = 1340,
  [1928] = 1418,
  [1929] = 1342,
  [1930] = 1343,
  [1931] = 1344,
  [1932] = 1345,
  [1933] = 1225,
  [1934] = 1205,
  [1935] = 1403,
  [1936] = 1217,
  [1937] = 1227,
  [1938] = 1225,
  [1939] = 1205,
  [1940] = 1217,
  [1941] = 286,
  [1942] = 693,
  [1943] = 694,
  [1944] = 688,
  [1945] = 687,
  [1946] = 1357,
  [1947] = 1222,
  [1948] = 689,
  [1949] = 685,
  [1950] = 1207,
  [1951] = 1204,
  [1952] = 1209,
  [1953] = 1208,
  [1954] = 1210,
  [1955] = 1212,
  [1956] = 1211,
  [1957] = 1216,
  [1958] = 1218,
  [1959] = 1219,
  [1960] = 1220,
  [1961] = 1224,
  [1962] = 1293,
  [1963] = 686,
  [1964] = 1228,
  [1965] = 1294,
  [1966] = 1296,
  [1967] = 1307,
  [1968] = 1316,
  [1969] = 1347,
  [1970] = 1392,
  [1971] = 1299,
  [1972] = 1308,
  [1973] = 1313,
  [1974] = 1226,
  [1975] = 1230,
  [1976] = 1326,
  [1977] = 1327,
  [1978] = 1287,
  [1979] = 1290,
  [1980] = 1291,
  [1981] = 1292,
  [1982] = 1352,
  [1983] = 1353,
  [1984] = 1355,
  [1985] = 1356,
  [1986] = 1284,
  [1987] = 1267,
  [1988] = 1264,
  [1989] = 686,
  [1990] = 1256,
  [1991] = 1419,
  [1992] = 1244,
  [1993] = 1245,
  [1994] = 1274,
  [1995] = 1094,
  [1996] = 1421,
  [1997] = 1273,
  [1998] = 1236,
  [1999] = 1420,
  [2000] = 1227,
  [2001] = 2001,
  [2002] = 1234,
  [2003] = 1261,
  [2004] = 1272,
  [2005] = 1227,
  [2006] = 1226,
  [2007] = 1235,
  [2008] = 1257,
  [2009] = 1232,
  [2010] = 1231,
  [2011] = 1276,
  [2012] = 1227,
  [2013] = 1275,
  [2014] = 1253,
  [2015] = 2015,
  [2016] = 1254,
  [2017] = 1239,
  [2018] = 1259,
  [2019] = 1228,
  [2020] = 1251,
  [2021] = 1242,
  [2022] = 1247,
  [2023] = 1249,
  [2024] = 1255,
  [2025] = 1270,
  [2026] = 1250,
  [2027] = 1252,
  [2028] = 1263,
  [2029] = 1227,
  [2030] = 1246,
  [2031] = 1227,
  [2032] = 1269,
  [2033] = 1368,
  [2034] = 1309,
  [2035] = 1378,
  [2036] = 1404,
  [2037] = 1314,
  [2038] = 1278,
  [2039] = 1302,
  [2040] = 1408,
  [2041] = 1260,
  [2042] = 1262,
  [2043] = 1230,
  [2044] = 286,
  [2045] = 1310,
  [2046] = 1234,
  [2047] = 1315,
  [2048] = 1286,
  [2049] = 1288,
  [2050] = 1246,
  [2051] = 1289,
  [2052] = 1094,
  [2053] = 1317,
  [2054] = 1320,
  [2055] = 1304,
  [2056] = 1379,
  [2057] = 1233,
  [2058] = 1271,
  [2059] = 1380,
  [2060] = 1269,
  [2061] = 1381,
  [2062] = 1382,
  [2063] = 1383,
  [2064] = 1384,
  [2065] = 1305,
  [2066] = 1232,
  [2067] = 1417,
  [2068] = 1231,
  [2069] = 1341,
  [2070] = 1239,
  [2071] = 1399,
  [2072] = 1372,
  [2073] = 1385,
  [2074] = 1325,
  [2075] = 1259,
  [2076] = 1386,
  [2077] = 1387,
  [2078] = 1241,
  [2079] = 1248,
  [2080] = 1277,
  [2081] = 1268,
  [2082] = 1258,
  [2083] = 1227,
  [2084] = 1388,
  [2085] = 1389,
  [2086] = 1257,
  [2087] = 1390,
  [2088] = 1402,
  [2089] = 1263,
  [2090] = 1405,
  [2091] = 1273,
  [2092] = 1236,
  [2093] = 1391,
  [2094] = 1400,
  [2095] = 1261,
  [2096] = 1267,
  [2097] = 1346,
  [2098] = 1227,
  [2099] = 1303,
  [2100] = 1348,
  [2101] = 1270,
  [2102] = 1250,
  [2103] = 1321,
  [2104] = 1322,
  [2105] = 1266,
  [2106] = 1242,
  [2107] = 1247,
  [2108] = 1249,
  [2109] = 1255,
  [2110] = 1256,
  [2111] = 1406,
  [2112] = 1318,
  [2113] = 1349,
  [2114] = 1319,
  [2115] = 1328,
  [2116] = 1271,
  [2117] = 1354,
  [2118] = 1272,
  [2119] = 1350,
  [2120] = 1277,
  [2121] = 1324,
  [2122] = 1240,
  [2123] = 1416,
  [2124] = 1251,
  [2125] = 1293,
  [2126] = 1252,
  [2127] = 1253,
  [2128] = 1254,
  [2129] = 1415,
  [2130] = 1268,
  [2131] = 1323,
  [2132] = 1258,
  [2133] = 1300,
  [2134] = 1374,
  [2135] = 1351,
  [2136] = 1276,
  [2137] = 1275,
  [2138] = 1294,
  [2139] = 1296,
  [2140] = 1307,
  [2141] = 1237,
  [2142] = 1316,
  [2143] = 1375,
  [2144] = 1376,
  [2145] = 1347,
  [2146] = 1235,
  [2147] = 1264,
  [2148] = 1392,
  [2149] = 1377,
  [2150] = 1299,
  [2151] = 1329,
  [2152] = 1306,
  [2153] = 1295,
  [2154] = 1240,
  [2155] = 1308,
  [2156] = 1393,
  [2157] = 1407,
  [2158] = 1297,
  [2159] = 1260,
  [2160] = 1233,
  [2161] = 1262,
  [2162] = 1230,
  [2163] = 1326,
  [2164] = 1327,
  [2165] = 1401,
  [2166] = 1311,
  [2167] = 1394,
  [2168] = 1409,
  [2169] = 1287,
  [2170] = 1290,
  [2171] = 1410,
  [2172] = 1292,
  [2173] = 1352,
  [2174] = 1266,
  [2175] = 1241,
  [2176] = 1355,
  [2177] = 1395,
  [2178] = 1357,
  [2179] = 1362,
  [2180] = 1361,
  [2181] = 1244,
  [2182] = 865,
  [2183] = 1245,
  [2184] = 1396,
  [2185] = 1397,
  [2186] = 1371,
  [2187] = 1398,
  [2188] = 1279,
  [2189] = 1271,
  [2190] = 1281,
  [2191] = 1282,
  [2192] = 1283,
  [2193] = 1274,
  [2194] = 1248,
  [2195] = 1285,
  [2196] = 1411,
  [2197] = 1412,
  [2198] = 1363,
  [2199] = 1364,
  [2200] = 1365,
  [2201] = 1301,
  [2202] = 1413,
  [2203] = 1414,
  [2204] = 1367,
  [2205] = 1373,
  [2206] = 1401,
  [2207] = 1403,
  [2208] = 1379,
  [2209] = 1380,
  [2210] = 1381,
  [2211] = 1382,
  [2212] = 1383,
  [2213] = 1384,
  [2214] = 1291,
  [2215] = 1345,
  [2216] = 1385,
  [2217] = 1386,
  [2218] = 1292,
  [2219] = 1387,
  [2220] = 1388,
  [2221] = 1389,
  [2222] = 1390,
  [2223] = 1391,
  [2224] = 1326,
  [2225] = 1339,
  [2226] = 1313,
  [2227] = 1279,
  [2228] = 1393,
  [2229] = 1394,
  [2230] = 1352,
  [2231] = 1395,
  [2232] = 1396,
  [2233] = 1397,
  [2234] = 1398,
  [2235] = 865,
  [2236] = 1327,
  [2237] = 1342,
  [2238] = 1400,
  [2239] = 1280,
  [2240] = 1281,
  [2241] = 1353,
  [2242] = 1309,
  [2243] = 1310,
  [2244] = 1282,
  [2245] = 1314,
  [2246] = 1315,
  [2247] = 1402,
  [2248] = 1403,
  [2249] = 1404,
  [2250] = 1405,
  [2251] = 1406,
  [2252] = 1407,
  [2253] = 1408,
  [2254] = 1317,
  [2255] = 1409,
  [2256] = 1410,
  [2257] = 1411,
  [2258] = 1412,
  [2259] = 1320,
  [2260] = 1413,
  [2261] = 1414,
  [2262] = 1340,
  [2263] = 1415,
  [2264] = 1416,
  [2265] = 1417,
  [2266] = 1341,
  [2267] = 1283,
  [2268] = 1399,
  [2269] = 1325,
  [2270] = 1303,
  [2271] = 1318,
  [2272] = 1319,
  [2273] = 1328,
  [2274] = 1354,
  [2275] = 1323,
  [2276] = 1321,
  [2277] = 1311,
  [2278] = 1322,
  [2279] = 1418,
  [2280] = 1285,
  [2281] = 1324,
  [2282] = 1284,
  [2283] = 1293,
  [2284] = 1344,
  [2285] = 1278,
  [2286] = 1286,
  [2287] = 1288,
  [2288] = 1289,
  [2289] = 1329,
  [2290] = 1298,
  [2291] = 1343,
  [2292] = 1308,
  [2293] = 1295,
  [2294] = 1330,
  [2295] = 1331,
  [2296] = 1233,
  [2297] = 1306,
  [2298] = 1332,
  [2299] = 1355,
  [2300] = 1330,
  [2301] = 286,
  [2302] = 1331,
  [2303] = 1313,
  [2304] = 1333,
  [2305] = 1334,
  [2306] = 1335,
  [2307] = 1336,
  [2308] = 1332,
  [2309] = 1337,
  [2310] = 1297,
  [2311] = 1338,
  [2312] = 1339,
  [2313] = 1298,
  [2314] = 1340,
  [2315] = 1299,
  [2316] = 1418,
  [2317] = 1342,
  [2318] = 1343,
  [2319] = 1344,
  [2320] = 1345,
  [2321] = 1291,
  [2322] = 1356,
  [2323] = 1294,
  [2324] = 1333,
  [2325] = 1346,
  [2326] = 1353,
  [2327] = 1348,
  [2328] = 1296,
  [2329] = 1349,
  [2330] = 1334,
  [2331] = 1350,
  [2332] = 1356,
  [2333] = 1351,
  [2334] = 1335,
  [2335] = 1357,
  [2336] = 1358,
  [2337] = 1358,
  [2338] = 1359,
  [2339] = 1360,
  [2340] = 1300,
  [2341] = 1336,
  [2342] = 1307,
  [2343] = 1316,
  [2344] = 1301,
  [2345] = 1302,
  [2346] = 1362,
  [2347] = 1337,
  [2348] = 1370,
  [2349] = 1363,
  [2350] = 1364,
  [2351] = 1365,
  [2352] = 1367,
  [2353] = 1347,
  [2354] = 1368,
  [2355] = 1372,
  [2356] = 1280,
  [2357] = 1373,
  [2358] = 1374,
  [2359] = 1359,
  [2360] = 1284,
  [2361] = 1375,
  [2362] = 1392,
  [2363] = 1376,
  [2364] = 1271,
  [2365] = 1360,
  [2366] = 1377,
  [2367] = 1361,
  [2368] = 1287,
  [2369] = 1290,
  [2370] = 1378,
  [2371] = 1304,
  [2372] = 1338,
  [2373] = 1305,
  [2374] = 1370,
  [2375] = 1371,
  [2376] = 1269,
  [2377] = 1291,
  [2378] = 1342,
  [2379] = 1343,
  [2380] = 1344,
  [2381] = 1345,
  [2382] = 1403,
  [2383] = 1260,
  [2384] = 1262,
  [2385] = 1313,
  [2386] = 1353,
  [2387] = 1356,
  [2388] = 1358,
  [2389] = 1359,
  [2390] = 1360,
  [2391] = 1370,
  [2392] = 1280,
  [2393] = 1284,
  [2394] = 1298,
  [2395] = 1330,
  [2396] = 1331,
  [2397] = 1332,
  [2398] = 1333,
  [2399] = 1334,
  [2400] = 1335,
  [2401] = 1336,
  [2402] = 1337,
  [2403] = 1338,
  [2404] = 1339,
  [2405] = 1340,
  [2406] = 1418,
  [2407] = 2407,
  [2408] = 2407,
  [2409] = 2407,
  [2410] = 2407,
  [2411] = 2411,
  [2412] = 2411,
  [2413] = 2411,
  [2414] = 2407,
  [2415] = 2407,
  [2416] = 2411,
  [2417] = 2407,
  [2418] = 2411,
  [2419] = 1284,
  [2420] = 2420,
  [2421] = 2420,
  [2422] = 2420,
  [2423] = 2420,
  [2424] = 2420,
  [2425] = 2420,
  [2426] = 2420,
  [2427] = 2427,
  [2428] = 2428,
  [2429] = 2428,
  [2430] = 2427,
  [2431] = 2428,
  [2432] = 2427,
  [2433] = 2428,
  [2434] = 2427,
  [2435] = 2428,
  [2436] = 2427,
  [2437] = 2437,
  [2438] = 2438,
  [2439] = 2439,
  [2440] = 2440,
  [2441] = 2441,
  [2442] = 2442,
  [2443] = 2438,
  [2444] = 2442,
  [2445] = 2439,
  [2446] = 2440,
  [2447] = 2441,
  [2448] = 2441,
  [2449] = 2442,
  [2450] = 2438,
  [2451] = 2437,
  [2452] = 2439,
  [2453] = 2440,
  [2454] = 2441,
  [2455] = 2442,
  [2456] = 2438,
  [2457] = 2437,
  [2458] = 2439,
  [2459] = 2440,
  [2460] = 2439,
  [2461] = 2440,
  [2462] = 2437,
  [2463] = 2441,
  [2464] = 2442,
  [2465] = 2438,
  [2466] = 2437,
  [2467] = 2467,
  [2468] = 2468,
  [2469] = 2467,
  [2470] = 2470,
  [2471] = 2471,
  [2472] = 2472,
  [2473] = 2473,
  [2474] = 2474,
  [2475] = 2475,
  [2476] = 2476,
  [2477] = 2477,
  [2478] = 2478,
  [2479] = 2479,
  [2480] = 2480,
  [2481] = 2479,
  [2482] = 2480,
  [2483] = 2476,
  [2484] = 2468,
  [2485] = 2477,
  [2486] = 2474,
  [2487] = 2470,
  [2488] = 2477,
  [2489] = 2471,
  [2490] = 2475,
  [2491] = 2471,
  [2492] = 2472,
  [2493] = 2471,
  [2494] = 2472,
  [2495] = 2473,
  [2496] = 2474,
  [2497] = 2475,
  [2498] = 2476,
  [2499] = 2477,
  [2500] = 2478,
  [2501] = 2479,
  [2502] = 2480,
  [2503] = 2478,
  [2504] = 2468,
  [2505] = 2467,
  [2506] = 2470,
  [2507] = 2474,
  [2508] = 2475,
  [2509] = 2478,
  [2510] = 2476,
  [2511] = 2477,
  [2512] = 2478,
  [2513] = 2471,
  [2514] = 2472,
  [2515] = 2473,
  [2516] = 2474,
  [2517] = 2517,
  [2518] = 2467,
  [2519] = 2479,
  [2520] = 2470,
  [2521] = 2480,
  [2522] = 2472,
  [2523] = 2473,
  [2524] = 2517,
  [2525] = 2479,
  [2526] = 2468,
  [2527] = 2475,
  [2528] = 2467,
  [2529] = 2470,
  [2530] = 2468,
  [2531] = 2480,
  [2532] = 2476,
  [2533] = 2473,
  [2534] = 2534,
  [2535] = 2535,
  [2536] = 2536,
  [2537] = 2537,
  [2538] = 2537,
  [2539] = 2539,
  [2540] = 2537,
  [2541] = 2537,
  [2542] = 2537,
  [2543] = 1233,
  [2544] = 1269,
  [2545] = 2545,
  [2546] = 2545,
  [2547] = 2547,
  [2548] = 2547,
  [2549] = 2545,
  [2550] = 2545,
  [2551] = 2551,
  [2552] = 2545,
  [2553] = 2551,
  [2554] = 2547,
  [2555] = 2547,
  [2556] = 2547,
  [2557] = 2551,
  [2558] = 2558,
  [2559] = 2559,
  [2560] = 2558,
  [2561] = 2561,
  [2562] = 2562,
  [2563] = 2563,
  [2564] = 2564,
  [2565] = 2558,
  [2566] = 2566,
  [2567] = 2558,
  [2568] = 2568,
  [2569] = 2568,
  [2570] = 2570,
  [2571] = 2571,
  [2572] = 2572,
  [2573] = 685,
  [2574] = 2574,
  [2575] = 2570,
  [2576] = 2576,
  [2577] = 688,
  [2578] = 689,
  [2579] = 688,
  [2580] = 685,
  [2581] = 689,
  [2582] = 2582,
  [2583] = 2570,
  [2584] = 2572,
  [2585] = 2574,
  [2586] = 2586,
  [2587] = 691,
  [2588] = 692,
  [2589] = 694,
  [2590] = 2590,
  [2591] = 687,
  [2592] = 688,
  [2593] = 2586,
  [2594] = 2594,
  [2595] = 2595,
  [2596] = 685,
  [2597] = 2597,
  [2598] = 2598,
  [2599] = 2586,
  [2600] = 691,
  [2601] = 2601,
  [2602] = 2601,
  [2603] = 689,
  [2604] = 688,
  [2605] = 692,
  [2606] = 2590,
  [2607] = 685,
  [2608] = 687,
  [2609] = 2609,
  [2610] = 689,
  [2611] = 2594,
  [2612] = 685,
  [2613] = 2597,
  [2614] = 2598,
  [2615] = 2601,
  [2616] = 2568,
  [2617] = 2617,
  [2618] = 2590,
  [2619] = 2619,
  [2620] = 2590,
  [2621] = 2586,
  [2622] = 2597,
  [2623] = 2590,
  [2624] = 2594,
  [2625] = 2597,
  [2626] = 2594,
  [2627] = 2590,
  [2628] = 2590,
  [2629] = 2590,
  [2630] = 2590,
  [2631] = 2598,
  [2632] = 2590,
  [2633] = 2590,
  [2634] = 2590,
  [2635] = 2590,
  [2636] = 2590,
  [2637] = 2590,
  [2638] = 2590,
  [2639] = 2590,
  [2640] = 2590,
  [2641] = 2641,
  [2642] = 2590,
  [2643] = 2590,
  [2644] = 2586,
  [2645] = 2590,
  [2646] = 2590,
  [2647] = 2590,
  [2648] = 2601,
  [2649] = 2594,
  [2650] = 2595,
  [2651] = 2597,
  [2652] = 2598,
  [2653] = 693,
  [2654] = 694,
  [2655] = 693,
  [2656] = 2601,
  [2657] = 688,
  [2658] = 689,
  [2659] = 2617,
  [2660] = 2619,
  [2661] = 2572,
  [2662] = 2574,
  [2663] = 2590,
  [2664] = 689,
  [2665] = 2619,
  [2666] = 2666,
  [2667] = 2667,
  [2668] = 2668,
  [2669] = 2669,
  [2670] = 2668,
  [2671] = 2671,
  [2672] = 2672,
  [2673] = 2666,
  [2674] = 2674,
  [2675] = 2675,
  [2676] = 2676,
  [2677] = 2677,
  [2678] = 2671,
  [2679] = 2679,
  [2680] = 2672,
  [2681] = 2666,
  [2682] = 2682,
  [2683] = 2674,
  [2684] = 2684,
  [2685] = 2675,
  [2686] = 2682,
  [2687] = 2684,
  [2688] = 2674,
  [2689] = 2689,
  [2690] = 2690,
  [2691] = 2689,
  [2692] = 2692,
  [2693] = 2693,
  [2694] = 2689,
  [2695] = 2676,
  [2696] = 1233,
  [2697] = 2697,
  [2698] = 2692,
  [2699] = 2674,
  [2700] = 2668,
  [2701] = 688,
  [2702] = 685,
  [2703] = 2675,
  [2704] = 2672,
  [2705] = 2689,
  [2706] = 1269,
  [2707] = 2707,
  [2708] = 692,
  [2709] = 2672,
  [2710] = 688,
  [2711] = 2711,
  [2712] = 2666,
  [2713] = 2672,
  [2714] = 2672,
  [2715] = 2672,
  [2716] = 2672,
  [2717] = 2675,
  [2718] = 2672,
  [2719] = 2692,
  [2720] = 2672,
  [2721] = 2672,
  [2722] = 2676,
  [2723] = 2572,
  [2724] = 2672,
  [2725] = 2574,
  [2726] = 2693,
  [2727] = 2676,
  [2728] = 2677,
  [2729] = 2671,
  [2730] = 2679,
  [2731] = 2672,
  [2732] = 2666,
  [2733] = 2674,
  [2734] = 2675,
  [2735] = 2735,
  [2736] = 2692,
  [2737] = 2711,
  [2738] = 2672,
  [2739] = 2682,
  [2740] = 2667,
  [2741] = 2684,
  [2742] = 2742,
  [2743] = 2743,
  [2744] = 2744,
  [2745] = 2669,
  [2746] = 2668,
  [2747] = 2747,
  [2748] = 2677,
  [2749] = 2671,
  [2750] = 2690,
  [2751] = 2682,
  [2752] = 2679,
  [2753] = 2753,
  [2754] = 2568,
  [2755] = 2684,
  [2756] = 2682,
  [2757] = 2689,
  [2758] = 693,
  [2759] = 691,
  [2760] = 2707,
  [2761] = 2753,
  [2762] = 694,
  [2763] = 689,
  [2764] = 2689,
  [2765] = 2679,
  [2766] = 2742,
  [2767] = 2743,
  [2768] = 2676,
  [2769] = 2744,
  [2770] = 2747,
  [2771] = 2668,
  [2772] = 685,
  [2773] = 2684,
  [2774] = 2677,
  [2775] = 2671,
  [2776] = 687,
  [2777] = 2692,
  [2778] = 2679,
  [2779] = 2697,
  [2780] = 2677,
  [2781] = 2617,
  [2782] = 2672,
  [2783] = 2783,
  [2784] = 2784,
  [2785] = 2785,
  [2786] = 2786,
  [2787] = 2787,
  [2788] = 2786,
  [2789] = 2789,
  [2790] = 2790,
  [2791] = 2743,
  [2792] = 2792,
  [2793] = 2784,
  [2794] = 2784,
  [2795] = 2795,
  [2796] = 2796,
  [2797] = 2787,
  [2798] = 2798,
  [2799] = 2799,
  [2800] = 2795,
  [2801] = 2789,
  [2802] = 2783,
  [2803] = 2803,
  [2804] = 2747,
  [2805] = 2787,
  [2806] = 691,
  [2807] = 2707,
  [2808] = 2753,
  [2809] = 2799,
  [2810] = 689,
  [2811] = 2784,
  [2812] = 2792,
  [2813] = 2798,
  [2814] = 2787,
  [2815] = 694,
  [2816] = 2816,
  [2817] = 2816,
  [2818] = 2818,
  [2819] = 2795,
  [2820] = 2818,
  [2821] = 2792,
  [2822] = 2783,
  [2823] = 2711,
  [2824] = 693,
  [2825] = 2798,
  [2826] = 2826,
  [2827] = 688,
  [2828] = 2803,
  [2829] = 2617,
  [2830] = 2830,
  [2831] = 2830,
  [2832] = 2830,
  [2833] = 2744,
  [2834] = 2786,
  [2835] = 2790,
  [2836] = 2789,
  [2837] = 2826,
  [2838] = 2826,
  [2839] = 2796,
  [2840] = 2785,
  [2841] = 2841,
  [2842] = 2786,
  [2843] = 2742,
  [2844] = 2619,
  [2845] = 2784,
  [2846] = 2787,
  [2847] = 2693,
  [2848] = 687,
  [2849] = 2789,
  [2850] = 2667,
  [2851] = 2669,
  [2852] = 2786,
  [2853] = 2816,
  [2854] = 2818,
  [2855] = 2789,
  [2856] = 692,
  [2857] = 2796,
  [2858] = 2790,
  [2859] = 685,
  [2860] = 2785,
  [2861] = 2697,
  [2862] = 2803,
  [2863] = 2863,
  [2864] = 2864,
  [2865] = 2865,
  [2866] = 689,
  [2867] = 685,
  [2868] = 2868,
  [2869] = 689,
  [2870] = 685,
  [2871] = 2871,
  [2872] = 2872,
  [2873] = 2873,
  [2874] = 2864,
  [2875] = 2875,
  [2876] = 2876,
  [2877] = 2877,
  [2878] = 1227,
  [2879] = 2868,
  [2880] = 2880,
  [2881] = 2871,
  [2882] = 2872,
  [2883] = 1227,
  [2884] = 2884,
  [2885] = 2697,
  [2886] = 687,
  [2887] = 2875,
  [2888] = 2873,
  [2889] = 2889,
  [2890] = 2890,
  [2891] = 2891,
  [2892] = 2892,
  [2893] = 2893,
  [2894] = 2894,
  [2895] = 2895,
  [2896] = 687,
  [2897] = 2889,
  [2898] = 2898,
  [2899] = 2865,
  [2900] = 2900,
  [2901] = 2901,
  [2902] = 2900,
  [2903] = 2898,
  [2904] = 2901,
  [2905] = 693,
  [2906] = 2906,
  [2907] = 694,
  [2908] = 2863,
  [2909] = 2909,
  [2910] = 2877,
  [2911] = 2911,
  [2912] = 691,
  [2913] = 2693,
  [2914] = 2711,
  [2915] = 2890,
  [2916] = 2891,
  [2917] = 2892,
  [2918] = 2895,
  [2919] = 2911,
  [2920] = 2893,
  [2921] = 2667,
  [2922] = 2880,
  [2923] = 2875,
  [2924] = 2669,
  [2925] = 2876,
  [2926] = 2877,
  [2927] = 2865,
  [2928] = 2900,
  [2929] = 2929,
  [2930] = 2898,
  [2931] = 2901,
  [2932] = 692,
  [2933] = 2742,
  [2934] = 2743,
  [2935] = 2935,
  [2936] = 2744,
  [2937] = 2747,
  [2938] = 693,
  [2939] = 694,
  [2940] = 2935,
  [2941] = 2894,
  [2942] = 2906,
  [2943] = 2909,
  [2944] = 2707,
  [2945] = 2753,
  [2946] = 691,
  [2947] = 692,
  [2948] = 2884,
  [2949] = 688,
  [2950] = 2876,
  [2951] = 688,
  [2952] = 2906,
  [2953] = 685,
  [2954] = 693,
  [2955] = 694,
  [2956] = 2956,
  [2957] = 2957,
  [2958] = 2958,
  [2959] = 2959,
  [2960] = 2957,
  [2961] = 1193,
  [2962] = 691,
  [2963] = 2963,
  [2964] = 1194,
  [2965] = 2880,
  [2966] = 1195,
  [2967] = 2864,
  [2968] = 2873,
  [2969] = 2957,
  [2970] = 1233,
  [2971] = 2863,
  [2972] = 2956,
  [2973] = 692,
  [2974] = 2963,
  [2975] = 2889,
  [2976] = 1269,
  [2977] = 2958,
  [2978] = 2958,
  [2979] = 2956,
  [2980] = 2880,
  [2981] = 2981,
  [2982] = 2909,
  [2983] = 2957,
  [2984] = 2566,
  [2985] = 2985,
  [2986] = 2935,
  [2987] = 2890,
  [2988] = 2988,
  [2989] = 1195,
  [2990] = 2891,
  [2991] = 2957,
  [2992] = 2992,
  [2993] = 2892,
  [2994] = 2895,
  [2995] = 2935,
  [2996] = 2911,
  [2997] = 1193,
  [2998] = 2868,
  [2999] = 2959,
  [3000] = 2956,
  [3001] = 3001,
  [3002] = 3002,
  [3003] = 687,
  [3004] = 3004,
  [3005] = 3005,
  [3006] = 3006,
  [3007] = 688,
  [3008] = 3008,
  [3009] = 689,
  [3010] = 3010,
  [3011] = 1194,
  [3012] = 1227,
  [3013] = 2871,
  [3014] = 2957,
  [3015] = 2884,
  [3016] = 2872,
  [3017] = 2957,
  [3018] = 3018,
  [3019] = 2911,
  [3020] = 1195,
  [3021] = 3021,
  [3022] = 3022,
  [3023] = 2871,
  [3024] = 689,
  [3025] = 2872,
  [3026] = 3022,
  [3027] = 2864,
  [3028] = 691,
  [3029] = 2935,
  [3030] = 3022,
  [3031] = 2890,
  [3032] = 3032,
  [3033] = 2873,
  [3034] = 688,
  [3035] = 2868,
  [3036] = 693,
  [3037] = 1194,
  [3038] = 2906,
  [3039] = 1227,
  [3040] = 2891,
  [3041] = 2884,
  [3042] = 1193,
  [3043] = 2889,
  [3044] = 2892,
  [3045] = 694,
  [3046] = 2863,
  [3047] = 685,
  [3048] = 2909,
  [3049] = 692,
  [3050] = 2895,
  [3051] = 687,
  [3052] = 3052,
  [3053] = 3053,
  [3054] = 3053,
  [3055] = 3055,
  [3056] = 3056,
  [3057] = 3057,
  [3058] = 3058,
  [3059] = 3059,
  [3060] = 3060,
  [3061] = 3055,
  [3062] = 3057,
  [3063] = 1198,
  [3064] = 3058,
  [3065] = 1201,
  [3066] = 3066,
  [3067] = 3066,
  [3068] = 3052,
  [3069] = 3056,
  [3070] = 3052,
  [3071] = 3060,
  [3072] = 3055,
  [3073] = 3056,
  [3074] = 3074,
  [3075] = 3075,
  [3076] = 3059,
  [3077] = 3053,
  [3078] = 3078,
  [3079] = 1198,
  [3080] = 1201,
  [3081] = 3081,
  [3082] = 3082,
  [3083] = 3082,
  [3084] = 3052,
  [3085] = 3056,
  [3086] = 3086,
  [3087] = 3086,
  [3088] = 3059,
  [3089] = 3089,
  [3090] = 3078,
  [3091] = 3082,
  [3092] = 3060,
  [3093] = 3086,
  [3094] = 3066,
  [3095] = 3095,
  [3096] = 3096,
  [3097] = 3052,
  [3098] = 3056,
  [3099] = 3059,
  [3100] = 3100,
  [3101] = 3078,
  [3102] = 3066,
  [3103] = 3059,
  [3104] = 3074,
  [3105] = 3075,
  [3106] = 3074,
  [3107] = 3078,
  [3108] = 3075,
  [3109] = 3081,
  [3110] = 3096,
  [3111] = 3095,
  [3112] = 3089,
  [3113] = 3089,
  [3114] = 3074,
  [3115] = 3075,
  [3116] = 3066,
  [3117] = 3081,
  [3118] = 3096,
  [3119] = 3053,
  [3120] = 3053,
  [3121] = 3074,
  [3122] = 3075,
  [3123] = 3057,
  [3124] = 3058,
  [3125] = 3095,
  [3126] = 3100,
  [3127] = 3100,
  [3128] = 3078,
  [3129] = 3129,
  [3130] = 3130,
  [3131] = 3131,
  [3132] = 1225,
  [3133] = 3133,
  [3134] = 3134,
  [3135] = 3135,
  [3136] = 3136,
  [3137] = 3137,
  [3138] = 3136,
  [3139] = 2559,
  [3140] = 3140,
  [3141] = 2566,
  [3142] = 3140,
  [3143] = 3143,
  [3144] = 3137,
  [3145] = 3145,
  [3146] = 3146,
  [3147] = 3147,
  [3148] = 3148,
  [3149] = 3149,
  [3150] = 3150,
  [3151] = 3151,
  [3152] = 3152,
  [3153] = 3136,
  [3154] = 3154,
  [3155] = 3155,
  [3156] = 3156,
  [3157] = 3157,
  [3158] = 3158,
  [3159] = 3159,
  [3160] = 3160,
  [3161] = 3140,
  [3162] = 3162,
  [3163] = 3159,
  [3164] = 3164,
  [3165] = 3143,
  [3166] = 3150,
  [3167] = 3167,
  [3168] = 3164,
  [3169] = 3129,
  [3170] = 3130,
  [3171] = 3160,
  [3172] = 3172,
  [3173] = 3150,
  [3174] = 3147,
  [3175] = 3131,
  [3176] = 3148,
  [3177] = 3172,
  [3178] = 3178,
  [3179] = 3154,
  [3180] = 3172,
  [3181] = 3147,
  [3182] = 3148,
  [3183] = 3178,
  [3184] = 3184,
  [3185] = 3185,
  [3186] = 3184,
  [3187] = 3187,
  [3188] = 3188,
  [3189] = 3137,
  [3190] = 3190,
  [3191] = 3157,
  [3192] = 1205,
  [3193] = 3134,
  [3194] = 3130,
  [3195] = 3137,
  [3196] = 3190,
  [3197] = 3134,
  [3198] = 3149,
  [3199] = 1093,
  [3200] = 3164,
  [3201] = 3131,
  [3202] = 3131,
  [3203] = 3136,
  [3204] = 3150,
  [3205] = 3137,
  [3206] = 3157,
  [3207] = 2562,
  [3208] = 2563,
  [3209] = 3136,
  [3210] = 3140,
  [3211] = 3211,
  [3212] = 3143,
  [3213] = 3156,
  [3214] = 3167,
  [3215] = 2564,
  [3216] = 3147,
  [3217] = 3148,
  [3218] = 3131,
  [3219] = 3162,
  [3220] = 3155,
  [3221] = 3157,
  [3222] = 3155,
  [3223] = 3167,
  [3224] = 3184,
  [3225] = 3225,
  [3226] = 3187,
  [3227] = 3227,
  [3228] = 3130,
  [3229] = 3156,
  [3230] = 3151,
  [3231] = 3152,
  [3232] = 3159,
  [3233] = 3134,
  [3234] = 3140,
  [3235] = 3145,
  [3236] = 3148,
  [3237] = 3162,
  [3238] = 3172,
  [3239] = 3178,
  [3240] = 3185,
  [3241] = 3167,
  [3242] = 3225,
  [3243] = 3164,
  [3244] = 3158,
  [3245] = 3172,
  [3246] = 3225,
  [3247] = 3187,
  [3248] = 1217,
  [3249] = 3167,
  [3250] = 3190,
  [3251] = 3151,
  [3252] = 3178,
  [3253] = 3152,
  [3254] = 3129,
  [3255] = 3151,
  [3256] = 3211,
  [3257] = 3227,
  [3258] = 3145,
  [3259] = 3225,
  [3260] = 3185,
  [3261] = 3152,
  [3262] = 3149,
  [3263] = 3130,
  [3264] = 3178,
  [3265] = 3265,
  [3266] = 3147,
  [3267] = 3265,
  [3268] = 3268,
  [3269] = 3143,
  [3270] = 3134,
  [3271] = 3145,
  [3272] = 3211,
  [3273] = 3273,
  [3274] = 3149,
  [3275] = 3275,
  [3276] = 3227,
  [3277] = 3184,
  [3278] = 3278,
  [3279] = 3157,
  [3280] = 3185,
  [3281] = 3225,
  [3282] = 3154,
  [3283] = 3283,
  [3284] = 3143,
  [3285] = 3151,
  [3286] = 3152,
  [3287] = 3149,
  [3288] = 3158,
  [3289] = 3268,
  [3290] = 3162,
  [3291] = 3145,
  [3292] = 3292,
  [3293] = 3293,
  [3294] = 3185,
  [3295] = 3295,
  [3296] = 3296,
  [3297] = 3297,
  [3298] = 3298,
  [3299] = 1217,
  [3300] = 1198,
  [3301] = 3160,
  [3302] = 3302,
  [3303] = 3275,
  [3304] = 3265,
  [3305] = 3162,
  [3306] = 3268,
  [3307] = 3292,
  [3308] = 1225,
  [3309] = 3164,
  [3310] = 3154,
  [3311] = 3292,
  [3312] = 1201,
  [3313] = 3158,
  [3314] = 3273,
  [3315] = 3315,
  [3316] = 3302,
  [3317] = 3150,
  [3318] = 3275,
  [3319] = 3160,
  [3320] = 3278,
  [3321] = 3278,
  [3322] = 3154,
  [3323] = 3273,
  [3324] = 3158,
  [3325] = 3160,
  [3326] = 3302,
  [3327] = 1205,
  [3328] = 3184,
  [3329] = 3329,
  [3330] = 3330,
  [3331] = 3331,
  [3332] = 3332,
  [3333] = 3332,
  [3334] = 3334,
  [3335] = 3332,
  [3336] = 3336,
  [3337] = 3334,
  [3338] = 1269,
  [3339] = 3334,
  [3340] = 3334,
  [3341] = 3341,
  [3342] = 3331,
  [3343] = 1217,
  [3344] = 1233,
  [3345] = 3330,
  [3346] = 3346,
  [3347] = 3347,
  [3348] = 3348,
  [3349] = 3336,
  [3350] = 1225,
  [3351] = 3351,
  [3352] = 3352,
  [3353] = 3330,
  [3354] = 3354,
  [3355] = 3331,
  [3356] = 3354,
  [3357] = 3332,
  [3358] = 3354,
  [3359] = 3336,
  [3360] = 3334,
  [3361] = 3347,
  [3362] = 3362,
  [3363] = 3331,
  [3364] = 3347,
  [3365] = 3348,
  [3366] = 3331,
  [3367] = 3330,
  [3368] = 3354,
  [3369] = 3348,
  [3370] = 3354,
  [3371] = 3371,
  [3372] = 1233,
  [3373] = 1205,
  [3374] = 3332,
  [3375] = 1269,
  [3376] = 3332,
  [3377] = 3354,
  [3378] = 3362,
  [3379] = 3334,
  [3380] = 3380,
  [3381] = 3381,
  [3382] = 3382,
  [3383] = 3383,
  [3384] = 3381,
  [3385] = 3385,
  [3386] = 3386,
  [3387] = 3387,
  [3388] = 3382,
  [3389] = 3381,
  [3390] = 3385,
  [3391] = 3386,
  [3392] = 3387,
  [3393] = 3393,
  [3394] = 3394,
  [3395] = 3393,
  [3396] = 3396,
  [3397] = 3397,
  [3398] = 3396,
  [3399] = 3397,
  [3400] = 3400,
  [3401] = 3382,
  [3402] = 3381,
  [3403] = 3387,
  [3404] = 3393,
  [3405] = 3394,
  [3406] = 3383,
  [3407] = 3407,
  [3408] = 3400,
  [3409] = 3409,
  [3410] = 3410,
  [3411] = 3411,
  [3412] = 3412,
  [3413] = 3413,
  [3414] = 3414,
  [3415] = 3394,
  [3416] = 3416,
  [3417] = 3382,
  [3418] = 3381,
  [3419] = 3419,
  [3420] = 3420,
  [3421] = 3421,
  [3422] = 3422,
  [3423] = 3423,
  [3424] = 3424,
  [3425] = 3387,
  [3426] = 3393,
  [3427] = 693,
  [3428] = 3394,
  [3429] = 691,
  [3430] = 694,
  [3431] = 3400,
  [3432] = 3400,
  [3433] = 3433,
  [3434] = 3434,
  [3435] = 3422,
  [3436] = 3407,
  [3437] = 3409,
  [3438] = 3411,
  [3439] = 3407,
  [3440] = 3409,
  [3441] = 3411,
  [3442] = 3383,
  [3443] = 3410,
  [3444] = 3410,
  [3445] = 3445,
  [3446] = 3445,
  [3447] = 3412,
  [3448] = 3413,
  [3449] = 3414,
  [3450] = 3450,
  [3451] = 3412,
  [3452] = 3413,
  [3453] = 3453,
  [3454] = 3414,
  [3455] = 3422,
  [3456] = 3385,
  [3457] = 3416,
  [3458] = 3458,
  [3459] = 3459,
  [3460] = 3450,
  [3461] = 3419,
  [3462] = 3420,
  [3463] = 3463,
  [3464] = 3464,
  [3465] = 3465,
  [3466] = 3466,
  [3467] = 3421,
  [3468] = 3423,
  [3469] = 3469,
  [3470] = 3410,
  [3471] = 3471,
  [3472] = 3386,
  [3473] = 3433,
  [3474] = 3434,
  [3475] = 3445,
  [3476] = 3476,
  [3477] = 3476,
  [3478] = 3478,
  [3479] = 3424,
  [3480] = 3004,
  [3481] = 3481,
  [3482] = 3482,
  [3483] = 3469,
  [3484] = 3453,
  [3485] = 3412,
  [3486] = 688,
  [3487] = 3416,
  [3488] = 3463,
  [3489] = 3458,
  [3490] = 3459,
  [3491] = 3413,
  [3492] = 3414,
  [3493] = 3422,
  [3494] = 3419,
  [3495] = 3422,
  [3496] = 3420,
  [3497] = 3424,
  [3498] = 3498,
  [3499] = 3421,
  [3500] = 2880,
  [3501] = 3423,
  [3502] = 3502,
  [3503] = 689,
  [3504] = 3471,
  [3505] = 3463,
  [3506] = 3464,
  [3507] = 3465,
  [3508] = 3466,
  [3509] = 3385,
  [3510] = 3450,
  [3511] = 3386,
  [3512] = 3512,
  [3513] = 3478,
  [3514] = 3424,
  [3515] = 3433,
  [3516] = 3434,
  [3517] = 3453,
  [3518] = 3476,
  [3519] = 3396,
  [3520] = 3397,
  [3521] = 3481,
  [3522] = 3482,
  [3523] = 3469,
  [3524] = 3463,
  [3525] = 3464,
  [3526] = 3465,
  [3527] = 3466,
  [3528] = 3464,
  [3529] = 685,
  [3530] = 3386,
  [3531] = 3382,
  [3532] = 3416,
  [3533] = 3481,
  [3534] = 3396,
  [3535] = 3387,
  [3536] = 3463,
  [3537] = 3464,
  [3538] = 3465,
  [3539] = 3466,
  [3540] = 3393,
  [3541] = 3394,
  [3542] = 3458,
  [3543] = 3482,
  [3544] = 3397,
  [3545] = 3459,
  [3546] = 3498,
  [3547] = 3465,
  [3548] = 3548,
  [3549] = 3466,
  [3550] = 3422,
  [3551] = 3400,
  [3552] = 3422,
  [3553] = 3419,
  [3554] = 3420,
  [3555] = 3407,
  [3556] = 3421,
  [3557] = 3409,
  [3558] = 3423,
  [3559] = 3411,
  [3560] = 3410,
  [3561] = 3422,
  [3562] = 3471,
  [3563] = 3396,
  [3564] = 3397,
  [3565] = 3412,
  [3566] = 3413,
  [3567] = 3414,
  [3568] = 692,
  [3569] = 3453,
  [3570] = 3548,
  [3571] = 3416,
  [3572] = 3385,
  [3573] = 3573,
  [3574] = 3422,
  [3575] = 3419,
  [3576] = 3420,
  [3577] = 3421,
  [3578] = 3423,
  [3579] = 3548,
  [3580] = 3471,
  [3581] = 3478,
  [3582] = 687,
  [3583] = 3424,
  [3584] = 3548,
  [3585] = 3548,
  [3586] = 3586,
  [3587] = 3502,
  [3588] = 3588,
  [3589] = 3589,
  [3590] = 3590,
  [3591] = 3591,
  [3592] = 3592,
  [3593] = 3593,
  [3594] = 3594,
  [3595] = 3595,
  [3596] = 3596,
  [3597] = 3597,
  [3598] = 3598,
  [3599] = 3599,
  [3600] = 3600,
  [3601] = 3601,
  [3602] = 3602,
  [3603] = 3603,
  [3604] = 3604,
  [3605] = 3588,
  [3606] = 3606,
  [3607] = 3607,
  [3608] = 3608,
  [3609] = 3609,
  [3610] = 3610,
  [3611] = 3611,
  [3612] = 3612,
  [3613] = 3613,
  [3614] = 3614,
  [3615] = 3600,
  [3616] = 3616,
  [3617] = 3617,
  [3618] = 3618,
  [3619] = 3619,
  [3620] = 3589,
  [3621] = 3621,
  [3622] = 3594,
  [3623] = 3590,
  [3624] = 3601,
  [3625] = 3625,
  [3626] = 3626,
  [3627] = 3627,
  [3628] = 3607,
  [3629] = 3629,
  [3630] = 3630,
  [3631] = 3613,
  [3632] = 3617,
  [3633] = 3592,
  [3634] = 3634,
  [3635] = 3593,
  [3636] = 3636,
  [3637] = 3637,
  [3638] = 3638,
  [3639] = 3639,
  [3640] = 3640,
  [3641] = 3602,
  [3642] = 3630,
  [3643] = 3634,
  [3644] = 3595,
  [3645] = 3645,
  [3646] = 3646,
  [3647] = 3647,
  [3648] = 3648,
  [3649] = 3649,
  [3650] = 3596,
  [3651] = 3651,
  [3652] = 3652,
  [3653] = 3653,
  [3654] = 3603,
  [3655] = 3655,
  [3656] = 3599,
  [3657] = 3657,
  [3658] = 3638,
  [3659] = 3659,
  [3660] = 3660,
  [3661] = 3661,
  [3662] = 3662,
  [3663] = 3597,
  [3664] = 3664,
  [3665] = 3645,
  [3666] = 3604,
  [3667] = 3606,
  [3668] = 3625,
  [3669] = 3609,
  [3670] = 3626,
  [3671] = 3596,
  [3672] = 3610,
  [3673] = 3627,
  [3674] = 3612,
  [3675] = 3675,
  [3676] = 3616,
  [3677] = 3618,
  [3678] = 3589,
  [3679] = 3619,
  [3680] = 3592,
  [3681] = 3607,
  [3682] = 3664,
  [3683] = 3608,
  [3684] = 3651,
  [3685] = 3685,
  [3686] = 3661,
  [3687] = 3601,
  [3688] = 3636,
  [3689] = 3637,
  [3690] = 3603,
  [3691] = 3639,
  [3692] = 3640,
  [3693] = 3625,
  [3694] = 3626,
  [3695] = 3627,
  [3696] = 3653,
  [3697] = 3697,
  [3698] = 3662,
  [3699] = 3613,
  [3700] = 3617,
  [3701] = 3647,
  [3702] = 3630,
  [3703] = 3648,
  [3704] = 3596,
  [3705] = 3649,
  [3706] = 3600,
  [3707] = 3629,
  [3708] = 3601,
  [3709] = 3602,
  [3710] = 3652,
  [3711] = 3685,
  [3712] = 3603,
  [3713] = 3655,
  [3714] = 3604,
  [3715] = 3630,
  [3716] = 3595,
  [3717] = 3645,
  [3718] = 3657,
  [3719] = 3638,
  [3720] = 3659,
  [3721] = 3660,
  [3722] = 3661,
  [3723] = 3596,
  [3724] = 3662,
  [3725] = 3597,
  [3726] = 3664,
  [3727] = 3594,
  [3728] = 3675,
  [3729] = 3685,
  [3730] = 3636,
  [3731] = 3731,
  [3732] = 3639,
  [3733] = 3607,
  [3734] = 3588,
  [3735] = 3607,
  [3736] = 3736,
  [3737] = 3606,
  [3738] = 3609,
  [3739] = 3610,
  [3740] = 3675,
  [3741] = 3612,
  [3742] = 3629,
  [3743] = 3736,
  [3744] = 3697,
  [3745] = 3616,
  [3746] = 3588,
  [3747] = 3634,
  [3748] = 3618,
  [3749] = 3619,
  [3750] = 3651,
  [3751] = 3611,
  [3752] = 3621,
  [3753] = 3653,
  [3754] = 3754,
  [3755] = 3651,
  [3756] = 3614,
  [3757] = 3653,
  [3758] = 3599,
  [3759] = 3759,
  [3760] = 3659,
  [3761] = 3651,
  [3762] = 3759,
  [3763] = 3660,
  [3764] = 3589,
  [3765] = 3636,
  [3766] = 3589,
  [3767] = 3637,
  [3768] = 3592,
  [3769] = 3639,
  [3770] = 3640,
  [3771] = 3621,
  [3772] = 3653,
  [3773] = 3647,
  [3774] = 3648,
  [3775] = 3601,
  [3776] = 3649,
  [3777] = 3598,
  [3778] = 3652,
  [3779] = 3603,
  [3780] = 3736,
  [3781] = 3608,
  [3782] = 3611,
  [3783] = 3655,
  [3784] = 3590,
  [3785] = 3697,
  [3786] = 3614,
  [3787] = 3630,
  [3788] = 3636,
  [3789] = 3591,
  [3790] = 3639,
  [3791] = 3657,
  [3792] = 3592,
  [3793] = 3598,
  [3794] = 3759,
  [3795] = 3593,
  [3796] = 3588,
  [3797] = 3797,
  [3798] = 3798,
  [3799] = 3799,
  [3800] = 3798,
  [3801] = 3801,
  [3802] = 3802,
  [3803] = 3803,
  [3804] = 3799,
  [3805] = 3805,
  [3806] = 3806,
  [3807] = 3799,
  [3808] = 3798,
  [3809] = 3801,
  [3810] = 3810,
  [3811] = 3811,
  [3812] = 3803,
  [3813] = 3802,
  [3814] = 3801,
  [3815] = 3815,
  [3816] = 3816,
  [3817] = 3817,
  [3818] = 3818,
  [3819] = 3803,
  [3820] = 3811,
  [3821] = 3799,
  [3822] = 3798,
  [3823] = 3801,
  [3824] = 3803,
  [3825] = 3802,
  [3826] = 2564,
  [3827] = 3827,
  [3828] = 3802,
  [3829] = 3817,
  [3830] = 3811,
  [3831] = 3811,
  [3832] = 3803,
  [3833] = 3817,
  [3834] = 3834,
  [3835] = 3817,
  [3836] = 3799,
  [3837] = 3811,
  [3838] = 3816,
  [3839] = 3818,
  [3840] = 3827,
  [3841] = 3798,
  [3842] = 3842,
  [3843] = 2563,
  [3844] = 3801,
  [3845] = 3816,
  [3846] = 3818,
  [3847] = 3827,
  [3848] = 3842,
  [3849] = 3817,
  [3850] = 3842,
  [3851] = 3816,
  [3852] = 3818,
  [3853] = 3827,
  [3854] = 3842,
  [3855] = 3816,
  [3856] = 3818,
  [3857] = 3827,
  [3858] = 3802,
  [3859] = 3859,
  [3860] = 3860,
  [3861] = 3860,
  [3862] = 3862,
  [3863] = 3863,
  [3864] = 3864,
  [3865] = 3865,
  [3866] = 3866,
  [3867] = 3867,
  [3868] = 3868,
  [3869] = 3869,
  [3870] = 3860,
  [3871] = 3871,
  [3872] = 3872,
  [3873] = 3873,
  [3874] = 3868,
  [3875] = 3860,
  [3876] = 1191,
  [3877] = 3877,
  [3878] = 3878,
  [3879] = 3872,
  [3880] = 3880,
  [3881] = 3860,
  [3882] = 3860,
  [3883] = 3883,
  [3884] = 3884,
  [3885] = 3885,
  [3886] = 3886,
  [3887] = 3887,
  [3888] = 3860,
  [3889] = 3883,
  [3890] = 3885,
  [3891] = 692,
  [3892] = 3871,
  [3893] = 3893,
  [3894] = 3867,
  [3895] = 3895,
  [3896] = 3873,
  [3897] = 3895,
  [3898] = 3860,
  [3899] = 3899,
  [3900] = 3871,
  [3901] = 3901,
  [3902] = 3880,
  [3903] = 3862,
  [3904] = 3904,
  [3905] = 3868,
  [3906] = 3873,
  [3907] = 3907,
  [3908] = 3908,
  [3909] = 3909,
  [3910] = 3910,
  [3911] = 3911,
  [3912] = 3860,
  [3913] = 3913,
  [3914] = 3914,
  [3915] = 3915,
  [3916] = 3916,
  [3917] = 3886,
  [3918] = 3880,
  [3919] = 3867,
  [3920] = 3866,
  [3921] = 3864,
  [3922] = 3887,
  [3923] = 3887,
  [3924] = 3859,
  [3925] = 3914,
  [3926] = 3915,
  [3927] = 3869,
  [3928] = 3928,
  [3929] = 3864,
  [3930] = 3872,
  [3931] = 3860,
  [3932] = 3932,
  [3933] = 3586,
  [3934] = 3904,
  [3935] = 3935,
  [3936] = 3880,
  [3937] = 3871,
  [3938] = 3932,
  [3939] = 3877,
  [3940] = 3932,
  [3941] = 3935,
  [3942] = 3935,
  [3943] = 3866,
  [3944] = 3869,
  [3945] = 3862,
  [3946] = 3904,
  [3947] = 3947,
  [3948] = 3869,
  [3949] = 3895,
  [3950] = 3893,
  [3951] = 3951,
  [3952] = 3952,
  [3953] = 3884,
  [3954] = 3860,
  [3955] = 3884,
  [3956] = 3868,
  [3957] = 3860,
  [3958] = 3873,
  [3959] = 3864,
  [3960] = 3886,
  [3961] = 3915,
  [3962] = 3878,
  [3963] = 3860,
  [3964] = 3908,
  [3965] = 3877,
  [3966] = 3868,
  [3967] = 3967,
  [3968] = 3860,
  [3969] = 3864,
  [3970] = 3884,
  [3971] = 3904,
  [3972] = 3860,
  [3973] = 3895,
  [3974] = 3974,
  [3975] = 3866,
  [3976] = 3976,
  [3977] = 3871,
  [3978] = 3978,
  [3979] = 3880,
  [3980] = 3904,
  [3981] = 3860,
  [3982] = 3915,
  [3983] = 3860,
  [3984] = 3863,
  [3985] = 3880,
  [3986] = 3986,
  [3987] = 3915,
  [3988] = 3887,
  [3989] = 3867,
  [3990] = 3880,
  [3991] = 3915,
  [3992] = 3860,
  [3993] = 3860,
  [3994] = 3880,
  [3995] = 3915,
  [3996] = 3877,
  [3997] = 3878,
  [3998] = 3880,
  [3999] = 3915,
  [4000] = 3986,
  [4001] = 3884,
  [4002] = 3915,
  [4003] = 4003,
  [4004] = 3860,
  [4005] = 3915,
  [4006] = 3883,
  [4007] = 4007,
  [4008] = 3915,
  [4009] = 4007,
  [4010] = 3863,
  [4011] = 3915,
  [4012] = 3928,
  [4013] = 3893,
  [4014] = 3915,
  [4015] = 3974,
  [4016] = 3976,
  [4017] = 3915,
  [4018] = 4018,
  [4019] = 3908,
  [4020] = 3915,
  [4021] = 3978,
  [4022] = 3899,
  [4023] = 3915,
  [4024] = 933,
  [4025] = 3901,
  [4026] = 3915,
  [4027] = 3859,
  [4028] = 3869,
  [4029] = 3915,
  [4030] = 3986,
  [4031] = 4007,
  [4032] = 3915,
  [4033] = 4007,
  [4034] = 3884,
  [4035] = 3915,
  [4036] = 3860,
  [4037] = 3886,
  [4038] = 3915,
  [4039] = 3884,
  [4040] = 4040,
  [4041] = 3915,
  [4042] = 3932,
  [4043] = 3883,
  [4044] = 3915,
  [4045] = 3935,
  [4046] = 3887,
  [4047] = 3915,
  [4048] = 4003,
  [4049] = 3908,
  [4050] = 3915,
  [4051] = 3986,
  [4052] = 3914,
  [4053] = 3915,
  [4054] = 3893,
  [4055] = 3862,
  [4056] = 3899,
  [4057] = 3860,
  [4058] = 3860,
  [4059] = 3860,
  [4060] = 3878,
  [4061] = 3928,
  [4062] = 3932,
  [4063] = 3935,
  [4064] = 3976,
  [4065] = 4065,
  [4066] = 4066,
  [4067] = 3885,
  [4068] = 3974,
  [4069] = 3978,
  [4070] = 4070,
  [4071] = 4071,
  [4072] = 3893,
  [4073] = 4073,
  [4074] = 3860,
  [4075] = 4003,
  [4076] = 3976,
  [4077] = 3978,
  [4078] = 3872,
  [4079] = 3863,
  [4080] = 3859,
  [4081] = 3928,
  [4082] = 3867,
  [4083] = 3901,
  [4084] = 3877,
  [4085] = 3878,
  [4086] = 3976,
  [4087] = 3978,
  [4088] = 3895,
  [4089] = 3908,
  [4090] = 3928,
  [4091] = 3901,
  [4092] = 3899,
  [4093] = 3860,
  [4094] = 3913,
  [4095] = 3884,
  [4096] = 3885,
  [4097] = 3915,
  [4098] = 3915,
  [4099] = 4070,
  [4100] = 4100,
  [4101] = 925,
  [4102] = 3914,
  [4103] = 4007,
  [4104] = 3885,
  [4105] = 3884,
  [4106] = 3860,
  [4107] = 4107,
  [4108] = 4003,
  [4109] = 4070,
  [4110] = 4107,
  [4111] = 3974,
  [4112] = 3883,
  [4113] = 3863,
  [4114] = 4070,
  [4115] = 4115,
  [4116] = 4070,
  [4117] = 1192,
  [4118] = 4070,
  [4119] = 4070,
  [4120] = 4070,
  [4121] = 4070,
  [4122] = 3873,
  [4123] = 4100,
  [4124] = 3916,
  [4125] = 3873,
  [4126] = 3907,
  [4127] = 4065,
  [4128] = 3914,
  [4129] = 4100,
  [4130] = 3916,
  [4131] = 3866,
  [4132] = 3907,
  [4133] = 4065,
  [4134] = 4134,
  [4135] = 691,
  [4136] = 3860,
  [4137] = 4137,
  [4138] = 4138,
};

static TSCharacterRange extras_character_set_1[] = {
  {'\t', '\r'}, {' ', ' '}, {0x85, 0x85}, {0xa0, 0xa0}, {0x1680, 0x1680}, {0x2000, 0x200a}, {0x2028, 0x2029}, {0x202f, 0x202f},
  {0x205f, 0x205f}, {0x3000, 0x3000},
};

static TSCharacterRange aux_sym__interpolation_fallbacks_token1_character_set_1[] = {
  {0, '#'}, {'%', '&'}, {'(', '*'}, {',', ','}, {'.', '/'}, {';', '@'}, {'[', '^'}, {'`', '`'},
  {'{', 0x10ffff},
};

static TSCharacterRange sym_substitution_regexp_modifiers_character_set_1[] = {
  {'a', 'a'}, {'c', 'e'}, {'g', 'g'}, {'i', 'i'}, {'l', 'm'}, {'o', 'p'}, {'r', 's'}, {'u', 'u'},
  {'x', 'x'},
};

static TSCharacterRange sym__identifier_character_set_1[] = {
  {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5}, {0xba, 0xba}, {0xc0, 0xd6}, {0xd8, 0xf6},
  {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee}, {0x370, 0x374}, {0x376, 0x377}, {0x37b, 0x37d},
  {0x37f, 0x37f}, {0x386, 0x386}, {0x388, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5}, {0x3f7, 0x481}, {0x48a, 0x52f},
  {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x620, 0x64a}, {0x66e, 0x66f}, {0x671, 0x6d3},
  {0x6d5, 0x6d5}, {0x6e5, 0x6e6}, {0x6ee, 0x6ef}, {0x6fa, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x710}, {0x712, 0x72f}, {0x74d, 0x7a5},
  {0x7b1, 0x7b1}, {0x7ca, 0x7ea}, {0x7f4, 0x7f5}, {0x7fa, 0x7fa}, {0x800, 0x815}, {0x81a, 0x81a}, {0x824, 0x824}, {0x828, 0x828},
  {0x840, 0x858}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x8a0, 0x8c9}, {0x904, 0x939}, {0x93d, 0x93d}, {0x950, 0x950},
  {0x958, 0x961}, {0x971, 0x980}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2}, {0x9b6, 0x9b9},
  {0x9bd, 0x9bd}, {0x9ce, 0x9ce}, {0x9dc, 0x9dd}, {0x9df, 0x9e1}, {0x9f0, 0x9f1}, {0x9fc, 0x9fc}, {0xa05, 0xa0a}, {0xa0f, 0xa10},
  {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa59, 0xa5c}, {0xa5e, 0xa5e}, {0xa72, 0xa74},
  {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9}, {0xabd, 0xabd}, {0xad0, 0xad0},
  {0xae0, 0xae1}, {0xaf9, 0xaf9}, {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33}, {0xb35, 0xb39},
  {0xb3d, 0xb3d}, {0xb5c, 0xb5d}, {0xb5f, 0xb61}, {0xb71, 0xb71}, {0xb83, 0xb83}, {0xb85, 0xb8a}, {0xb8e, 0xb90}, {0xb92, 0xb95},
  {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9}, {0xbd0, 0xbd0}, {0xc05, 0xc0c},
  {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3d, 0xc3d}, {0xc58, 0xc5a}, {0xc5d, 0xc5d}, {0xc60, 0xc61}, {0xc80, 0xc80},
  {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9}, {0xcbd, 0xcbd}, {0xcdd, 0xcde}, {0xce0, 0xce1},
  {0xcf1, 0xcf2}, {0xd04, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd3a}, {0xd3d, 0xd3d}, {0xd4e, 0xd4e}, {0xd54, 0xd56}, {0xd5f, 0xd61},
  {0xd7a, 0xd7f}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6}, {0xe01, 0xe30}, {0xe32, 0xe32},
  {0xe40, 0xe46}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xeb0}, {0xeb2, 0xeb2},
  {0xebd, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf40, 0xf47}, {0xf49, 0xf6c}, {0xf88, 0xf8c},
  {0x1000, 0x102a}, {0x103f, 0x103f}, {0x1050, 0x1055}, {0x105a, 0x105d}, {0x1061, 0x1061}, {0x1065, 0x1066}, {0x106e, 0x1070}, {0x1075, 0x1081},
  {0x108e, 0x108e}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248}, {0x124a, 0x124d}, {0x1250, 0x1256},
  {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5}, {0x12b8, 0x12be}, {0x12c0, 0x12c0},
  {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x1380, 0x138f}, {0x13a0, 0x13f5}, {0x13f8, 0x13fd},
  {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1711}, {0x171f, 0x1731}, {0x1740, 0x1751},
  {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1780, 0x17b3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dc}, {0x1820, 0x1878}, {0x1880, 0x18a8}, {0x18aa, 0x18aa},
  {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1950, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9}, {0x1a00, 0x1a16}, {0x1a20, 0x1a54},
  {0x1aa7, 0x1aa7}, {0x1b05, 0x1b33}, {0x1b45, 0x1b4c}, {0x1b83, 0x1ba0}, {0x1bae, 0x1baf}, {0x1bba, 0x1be5}, {0x1c00, 0x1c23}, {0x1c4d, 0x1c4f},
  {0x1c5a, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1ce9, 0x1cec}, {0x1cee, 0x1cf3}, {0x1cf5, 0x1cf6}, {0x1cfa, 0x1cfa},
  {0x1d00, 0x1dbf}, {0x1e00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57}, {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b},
  {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4}, {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3},
  {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x2071, 0x2071}, {0x207f, 0x207f}, {0x2090, 0x209c}, {0x2102, 0x2102},
  {0x2107, 0x2107}, {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126}, {0x2128, 0x2128}, {0x212a, 0x2139},
  {0x213c, 0x213f}, {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cee}, {0x2cf2, 0x2cf3}, {0x2d00, 0x2d25},
  {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d80, 0x2d96}, {0x2da0, 0x2da6}, {0x2da8, 0x2dae}, {0x2db0, 0x2db6},
  {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x3005, 0x3007}, {0x3021, 0x3029}, {0x3031, 0x3035},
  {0x3038, 0x303c}, {0x3041, 0x3096}, {0x309d, 0x309f}, {0x30a1, 0x30fa}, {0x30fc, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e}, {0x31a0, 0x31bf},
  {0x31f0, 0x31ff}, {0x3400, 0x4dbf}, {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa61f}, {0xa62a, 0xa62b}, {0xa640, 0xa66e},
  {0xa67f, 0xa69d}, {0xa6a0, 0xa6ef}, {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9},
  {0xa7f2, 0xa801}, {0xa803, 0xa805}, {0xa807, 0xa80a}, {0xa80c, 0xa822}, {0xa840, 0xa873}, {0xa882, 0xa8b3}, {0xa8f2, 0xa8f7}, {0xa8fb, 0xa8fb},
  {0xa8fd, 0xa8fe}, {0xa90a, 0xa925}, {0xa930, 0xa946}, {0xa960, 0xa97c}, {0xa984, 0xa9b2}, {0xa9cf, 0xa9cf}, {0xa9e0, 0xa9e4}, {0xa9e6, 0xa9ef},
  {0xa9fa, 0xa9fe}, {0xaa00, 0xaa28}, {0xaa40, 0xaa42}, {0xaa44, 0xaa4b}, {0xaa60, 0xaa76}, {0xaa7a, 0xaa7a}, {0xaa7e, 0xaaaf}, {0xaab1, 0xaab1},
  {0xaab5, 0xaab6}, {0xaab9, 0xaabd}, {0xaac0, 0xaac0}, {0xaac2, 0xaac2}, {0xaadb, 0xaadd}, {0xaae0, 0xaaea}, {0xaaf2, 0xaaf4}, {0xab01, 0xab06},
  {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26}, {0xab28, 0xab2e}, {0xab30, 0xab5a}, {0xab5c, 0xab69}, {0xab70, 0xabe2}, {0xac00, 0xd7a3},
  {0xd7b0, 0xd7c6}, {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb1d}, {0xfb1f, 0xfb28},
  {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d},
  {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7}, {0xfdf0, 0xfdf9}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77}, {0xfe79, 0xfe79}, {0xfe7b, 0xfe7b},
  {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff21, 0xff3a}, {0xff41, 0xff5a}, {0xff66, 0xff9d}, {0xffa0, 0xffbe}, {0xffc2, 0xffc7}, {0xffca, 0xffcf},
  {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d}, {0x1003f, 0x1004d}, {0x10050, 0x1005d},
  {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x10300, 0x1031f}, {0x1032d, 0x1034a}, {0x10350, 0x10375}, {0x10380, 0x1039d},
  {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563},
  {0x10570, 0x1057a}, {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc},
  {0x10600, 0x10736}, {0x10740, 0x10755}, {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808},
  {0x1080a, 0x10835}, {0x10837, 0x10838}, {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5},
  {0x10900, 0x10915}, {0x10920, 0x10939}, {0x10980, 0x109b7}, {0x109be, 0x109bf}, {0x10a00, 0x10a00}, {0x10a10, 0x10a13}, {0x10a15, 0x10a17}, {0x10a19, 0x10a35},
  {0x10a60, 0x10a7c}, {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae4}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55}, {0x10b60, 0x10b72}, {0x10b80, 0x10b91},
  {0x10c00, 0x10c48}, {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d23}, {0x10e80, 0x10ea9}, {0x10eb0, 0x10eb1}, {0x10f00, 0x10f1c}, {0x10f27, 0x10f27},
  {0x10f30, 0x10f45}, {0x10f70, 0x10f81}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11003, 0x11037}, {0x11071, 0x11072}, {0x11075, 0x11075}, {0x11083, 0x110af},
  {0x110d0, 0x110e8}, {0x11103, 0x11126}, {0x11144, 0x11144}, {0x11147, 0x11147}, {0x11150, 0x11172}, {0x11176, 0x11176}, {0x11183, 0x111b2}, {0x111c1, 0x111c4},
  {0x111da, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x1122b}, {0x1123f, 0x11240}, {0x11280, 0x11286}, {0x11288, 0x11288}, {0x1128a, 0x1128d},
  {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112de}, {0x11305, 0x1130c}, {0x1130f, 0x11310}, {0x11313, 0x11328}, {0x1132a, 0x11330}, {0x11332, 0x11333},
  {0x11335, 0x11339}, {0x1133d, 0x1133d}, {0x11350, 0x11350}, {0x1135d, 0x11361}, {0x11400, 0x11434}, {0x11447, 0x1144a}, {0x1145f, 0x11461}, {0x11480, 0x114af},
  {0x114c4, 0x114c5}, {0x114c7, 0x114c7}, {0x11580, 0x115ae}, {0x115d8, 0x115db}, {0x11600, 0x1162f}, {0x11644, 0x11644}, {0x11680, 0x116aa}, {0x116b8, 0x116b8},
  {0x11700, 0x1171a}, {0x11740, 0x11746}, {0x11800, 0x1182b}, {0x118a0, 0x118df}, {0x118ff, 0x11906}, {0x11909, 0x11909}, {0x1190c, 0x11913}, {0x11915, 0x11916},
  {0x11918, 0x1192f}, {0x1193f, 0x1193f}, {0x11941, 0x11941}, {0x119a0, 0x119a7}, {0x119aa, 0x119d0}, {0x119e1, 0x119e1}, {0x119e3, 0x119e3}, {0x11a00, 0x11a00},
  {0x11a0b, 0x11a32}, {0x11a3a, 0x11a3a}, {0x11a50, 0x11a50}, {0x11a5c, 0x11a89}, {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8}, {0x11c00, 0x11c08}, {0x11c0a, 0x11c2e},
  {0x11c40, 0x11c40}, {0x11c72, 0x11c8f}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d30}, {0x11d46, 0x11d46}, {0x11d60, 0x11d65}, {0x11d67, 0x11d68},
  {0x11d6a, 0x11d89}, {0x11d98, 0x11d98}, {0x11ee0, 0x11ef2}, {0x11f02, 0x11f02}, {0x11f04, 0x11f10}, {0x11f12, 0x11f33}, {0x11fb0, 0x11fb0}, {0x12000, 0x12399},
  {0x12400, 0x1246e}, {0x12480, 0x12543}, {0x12f90, 0x12ff0}, {0x13000, 0x1342f}, {0x13441, 0x13446}, {0x14400, 0x14646}, {0x16800, 0x16a38}, {0x16a40, 0x16a5e},
  {0x16a70, 0x16abe}, {0x16ad0, 0x16aed}, {0x16b00, 0x16b2f}, {0x16b40, 0x16b43}, {0x16b63, 0x16b77}, {0x16b7d, 0x16b8f}, {0x16e40, 0x16e7f}, {0x16f00, 0x16f4a},
  {0x16f50, 0x16f50}, {0x16f93, 0x16f9f}, {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe3}, {0x17000, 0x187f7}, {0x18800, 0x18cd5}, {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3},
  {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b132, 0x1b132}, {0x1b150, 0x1b152}, {0x1b155, 0x1b155}, {0x1b164, 0x1b167}, {0x1b170, 0x1b2fb},
  {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99}, {0x1d400, 0x1d454}, {0x1d456, 0x1d49c}, {0x1d49e, 0x1d49f}, {0x1d4a2, 0x1d4a2},
  {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9}, {0x1d4bb, 0x1d4bb}, {0x1d4bd, 0x1d4c3}, {0x1d4c5, 0x1d505}, {0x1d507, 0x1d50a}, {0x1d50d, 0x1d514},
  {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e}, {0x1d540, 0x1d544}, {0x1d546, 0x1d546}, {0x1d54a, 0x1d550}, {0x1d552, 0x1d6a5}, {0x1d6a8, 0x1d6c0},
  {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714}, {0x1d716, 0x1d734}, {0x1d736, 0x1d74e}, {0x1d750, 0x1d76e}, {0x1d770, 0x1d788}, {0x1d78a, 0x1d7a8},
  {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1df00, 0x1df1e}, {0x1df25, 0x1df2a}, {0x1e030, 0x1e06d}, {0x1e100, 0x1e12c}, {0x1e137, 0x1e13d}, {0x1e14e, 0x1e14e},
  {0x1e290, 0x1e2ad}, {0x1e2c0, 0x1e2eb}, {0x1e4d0, 0x1e4eb}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb}, {0x1e7ed, 0x1e7ee}, {0x1e7f0, 0x1e7fe}, {0x1e800, 0x1e8c4},
  {0x1e900, 0x1e943}, {0x1e94b, 0x1e94b}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f}, {0x1ee21, 0x1ee22}, {0x1ee24, 0x1ee24}, {0x1ee27, 0x1ee27}, {0x1ee29, 0x1ee32},
  {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42}, {0x1ee47, 0x1ee47}, {0x1ee49, 0x1ee49}, {0x1ee4b, 0x1ee4b}, {0x1ee4d, 0x1ee4f},
  {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59}, {0x1ee5b, 0x1ee5b}, {0x1ee5d, 0x1ee5d}, {0x1ee5f, 0x1ee5f}, {0x1ee61, 0x1ee62},
  {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77}, {0x1ee79, 0x1ee7c}, {0x1ee7e, 0x1ee7e}, {0x1ee80, 0x1ee89}, {0x1ee8b, 0x1ee9b},
  {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x20000, 0x2a6df}, {0x2a700, 0x2b739}, {0x2b740, 0x2b81d}, {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0},
  {0x2ebf0, 0x2ee5d}, {0x2f800, 0x2fa1d}, {0x30000, 0x3134a}, {0x31350, 0x323af},
};

static TSCharacterRange sym__identifier_character_set_2[] = {
  {'0', '9'}, {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5}, {0xb7, 0xb7}, {0xba, 0xba},
  {0xc0, 0xd6}, {0xd8, 0xf6}, {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee}, {0x300, 0x374},
  {0x376, 0x377}, {0x37b, 0x37d}, {0x37f, 0x37f}, {0x386, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5}, {0x3f7, 0x481},
  {0x483, 0x487}, {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x591, 0x5bd}, {0x5bf, 0x5bf}, {0x5c1, 0x5c2},
  {0x5c4, 0x5c5}, {0x5c7, 0x5c7}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x610, 0x61a}, {0x620, 0x669}, {0x66e, 0x6d3}, {0x6d5, 0x6dc},
  {0x6df, 0x6e8}, {0x6ea, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x74a}, {0x74d, 0x7b1}, {0x7c0, 0x7f5}, {0x7fa, 0x7fa}, {0x7fd, 0x7fd},
  {0x800, 0x82d}, {0x840, 0x85b}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x898, 0x8e1}, {0x8e3, 0x963}, {0x966, 0x96f},
  {0x971, 0x983}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2}, {0x9b6, 0x9b9}, {0x9bc, 0x9c4},
  {0x9c7, 0x9c8}, {0x9cb, 0x9ce}, {0x9d7, 0x9d7}, {0x9dc, 0x9dd}, {0x9df, 0x9e3}, {0x9e6, 0x9f1}, {0x9fc, 0x9fc}, {0x9fe, 0x9fe},
  {0xa01, 0xa03}, {0xa05, 0xa0a}, {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36}, {0xa38, 0xa39},
  {0xa3c, 0xa3c}, {0xa3e, 0xa42}, {0xa47, 0xa48}, {0xa4b, 0xa4d}, {0xa51, 0xa51}, {0xa59, 0xa5c}, {0xa5e, 0xa5e}, {0xa66, 0xa75},
  {0xa81, 0xa83}, {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9}, {0xabc, 0xac5},
  {0xac7, 0xac9}, {0xacb, 0xacd}, {0xad0, 0xad0}, {0xae0, 0xae3}, {0xae6, 0xaef}, {0xaf9, 0xaff}, {0xb01, 0xb03}, {0xb05, 0xb0c},
  {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33}, {0xb35, 0xb39}, {0xb3c, 0xb44}, {0xb47, 0xb48}, {0xb4b, 0xb4d},
  {0xb55, 0xb57}, {0xb5c, 0xb5d}, {0xb5f, 0xb63}, {0xb66, 0xb6f}, {0xb71, 0xb71}, {0xb82, 0xb83}, {0xb85, 0xb8a}, {0xb8e, 0xb90},
  {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9}, {0xbbe, 0xbc2},
  {0xbc6, 0xbc8}, {0xbca, 0xbcd}, {0xbd0, 0xbd0}, {0xbd7, 0xbd7}, {0xbe6, 0xbef}, {0xc00, 0xc0c}, {0xc0e, 0xc10}, {0xc12, 0xc28},
  {0xc2a, 0xc39}, {0xc3c, 0xc44}, {0xc46, 0xc48}, {0xc4a, 0xc4d}, {0xc55, 0xc56}, {0xc58, 0xc5a}, {0xc5d, 0xc5d}, {0xc60, 0xc63},
  {0xc66, 0xc6f}, {0xc80, 0xc83}, {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9}, {0xcbc, 0xcc4},
  {0xcc6, 0xcc8}, {0xcca, 0xccd}, {0xcd5, 0xcd6}, {0xcdd, 0xcde}, {0xce0, 0xce3}, {0xce6, 0xcef}, {0xcf1, 0xcf3}, {0xd00, 0xd0c},
  {0xd0e, 0xd10}, {0xd12, 0xd44}, {0xd46, 0xd48}, {0xd4a, 0xd4e}, {0xd54, 0xd57}, {0xd5f, 0xd63}, {0xd66, 0xd6f}, {0xd7a, 0xd7f},
  {0xd81, 0xd83}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6}, {0xdca, 0xdca}, {0xdcf, 0xdd4},
  {0xdd6, 0xdd6}, {0xdd8, 0xddf}, {0xde6, 0xdef}, {0xdf2, 0xdf3}, {0xe01, 0xe3a}, {0xe40, 0xe4e}, {0xe50, 0xe59}, {0xe81, 0xe82},
  {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6}, {0xec8, 0xece},
  {0xed0, 0xed9}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf18, 0xf19}, {0xf20, 0xf29}, {0xf35, 0xf35}, {0xf37, 0xf37}, {0xf39, 0xf39},
  {0xf3e, 0xf47}, {0xf49, 0xf6c}, {0xf71, 0xf84}, {0xf86, 0xf97}, {0xf99, 0xfbc}, {0xfc6, 0xfc6}, {0x1000, 0x1049}, {0x1050, 0x109d},
  {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248}, {0x124a, 0x124d}, {0x1250, 0x1256}, {0x1258, 0x1258},
  {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5}, {0x12b8, 0x12be}, {0x12c0, 0x12c0}, {0x12c2, 0x12c5},
  {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x135d, 0x135f}, {0x1369, 0x1371}, {0x1380, 0x138f}, {0x13a0, 0x13f5},
  {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1715}, {0x171f, 0x1734},
  {0x1740, 0x1753}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1772, 0x1773}, {0x1780, 0x17d3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dd}, {0x17e0, 0x17e9},
  {0x180b, 0x180d}, {0x180f, 0x1819}, {0x1820, 0x1878}, {0x1880, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1920, 0x192b}, {0x1930, 0x193b},
  {0x1946, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9}, {0x19d0, 0x19da}, {0x1a00, 0x1a1b}, {0x1a20, 0x1a5e}, {0x1a60, 0x1a7c},
  {0x1a7f, 0x1a89}, {0x1a90, 0x1a99}, {0x1aa7, 0x1aa7}, {0x1ab0, 0x1abd}, {0x1abf, 0x1ace}, {0x1b00, 0x1b4c}, {0x1b50, 0x1b59}, {0x1b6b, 0x1b73},
  {0x1b80, 0x1bf3}, {0x1c00, 0x1c37}, {0x1c40, 0x1c49}, {0x1c4d, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1cd0, 0x1cd2},
  {0x1cd4, 0x1cfa}, {0x1d00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57}, {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b},
  {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4}, {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3},
  {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x200c, 0x200d}, {0x203f, 0x2040}, {0x2054, 0x2054}, {0x2071, 0x2071},
  {0x207f, 0x207f}, {0x2090, 0x209c}, {0x20d0, 0x20dc}, {0x20e1, 0x20e1}, {0x20e5, 0x20f0}, {0x2102, 0x2102}, {0x2107, 0x2107}, {0x210a, 0x2113},
  {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126}, {0x2128, 0x2128}, {0x212a, 0x2139}, {0x213c, 0x213f}, {0x2145, 0x2149},
  {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67},
  {0x2d6f, 0x2d6f}, {0x2d7f, 0x2d96}, {0x2da0, 0x2da6}, {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce},
  {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x2de0, 0x2dff}, {0x3005, 0x3007}, {0x3021, 0x302f}, {0x3031, 0x3035}, {0x3038, 0x303c}, {0x3041, 0x3096},
  {0x3099, 0x309a}, {0x309d, 0x309f}, {0x30a1, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e}, {0x31a0, 0x31bf}, {0x31f0, 0x31ff}, {0x3400, 0x4dbf},
  {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa62b}, {0xa640, 0xa66f}, {0xa674, 0xa67d}, {0xa67f, 0xa6f1}, {0xa717, 0xa71f},
  {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa827}, {0xa82c, 0xa82c}, {0xa840, 0xa873},
  {0xa880, 0xa8c5}, {0xa8d0, 0xa8d9}, {0xa8e0, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa92d}, {0xa930, 0xa953}, {0xa960, 0xa97c}, {0xa980, 0xa9c0},
  {0xa9cf, 0xa9d9}, {0xa9e0, 0xa9fe}, {0xaa00, 0xaa36}, {0xaa40, 0xaa4d}, {0xaa50, 0xaa59}, {0xaa60, 0xaa76}, {0xaa7a, 0xaac2}, {0xaadb, 0xaadd},
  {0xaae0, 0xaaef}, {0xaaf2, 0xaaf6}, {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26}, {0xab28, 0xab2e}, {0xab30, 0xab5a},
  {0xab5c, 0xab69}, {0xab70, 0xabea}, {0xabec, 0xabed}, {0xabf0, 0xabf9}, {0xac00, 0xd7a3}, {0xd7b0, 0xd7c6}, {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d},
  {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb28}, {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41},
  {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d}, {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7}, {0xfdf0, 0xfdf9}, {0xfe00, 0xfe0f},
  {0xfe20, 0xfe2f}, {0xfe33, 0xfe34}, {0xfe4d, 0xfe4f}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77}, {0xfe79, 0xfe79}, {0xfe7b, 0xfe7b},
  {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff10, 0xff19}, {0xff21, 0xff3a}, {0xff3f, 0xff3f}, {0xff41, 0xff5a}, {0xff65, 0xffbe}, {0xffc2, 0xffc7},
  {0xffca, 0xffcf}, {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d}, {0x1003f, 0x1004d},
  {0x10050, 0x1005d}, {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x101fd, 0x101fd}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x102e0, 0x102e0}, {0x10300, 0x1031f},
  {0x1032d, 0x1034a}, {0x10350, 0x1037a}, {0x10380, 0x1039d}, {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d}, {0x104a0, 0x104a9},
  {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563}, {0x10570, 0x1057a}, {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595},
  {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc}, {0x10600, 0x10736}, {0x10740, 0x10755}, {0x10760, 0x10767}, {0x10780, 0x10785},
  {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808}, {0x1080a, 0x10835}, {0x10837, 0x10838}, {0x1083c, 0x1083c}, {0x1083f, 0x10855},
  {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5}, {0x10900, 0x10915}, {0x10920, 0x10939}, {0x10980, 0x109b7}, {0x109be, 0x109bf},
  {0x10a00, 0x10a03}, {0x10a05, 0x10a06}, {0x10a0c, 0x10a13}, {0x10a15, 0x10a17}, {0x10a19, 0x10a35}, {0x10a38, 0x10a3a}, {0x10a3f, 0x10a3f}, {0x10a60, 0x10a7c},
  {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae6}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55}, {0x10b60, 0x10b72}, {0x10b80, 0x10b91}, {0x10c00, 0x10c48},
  {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d27}, {0x10d30, 0x10d39}, {0x10e80, 0x10ea9}, {0x10eab, 0x10eac}, {0x10eb0, 0x10eb1}, {0x10efd, 0x10f1c},
  {0x10f27, 0x10f27}, {0x10f30, 0x10f50}, {0x10f70, 0x10f85}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11000, 0x11046}, {0x11066, 0x11075}, {0x1107f, 0x110ba},
  {0x110c2, 0x110c2}, {0x110d0, 0x110e8}, {0x110f0, 0x110f9}, {0x11100, 0x11134}, {0x11136, 0x1113f}, {0x11144, 0x11147}, {0x11150, 0x11173}, {0x11176, 0x11176},
  {0x11180, 0x111c4}, {0x111c9, 0x111cc}, {0x111ce, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x11237}, {0x1123e, 0x11241}, {0x11280, 0x11286},
  {0x11288, 0x11288}, {0x1128a, 0x1128d}, {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112ea}, {0x112f0, 0x112f9}, {0x11300, 0x11303}, {0x11305, 0x1130c},
  {0x1130f, 0x11310}, {0x11313, 0x11328}, {0x1132a, 0x11330}, {0x11332, 0x11333}, {0x11335, 0x11339}, {0x1133b, 0x11344}, {0x11347, 0x11348}, {0x1134b, 0x1134d},
  {0x11350, 0x11350}, {0x11357, 0x11357}, {0x1135d, 0x11363}, {0x11366, 0x1136c}, {0x11370, 0x11374}, {0x11400, 0x1144a}, {0x11450, 0x11459}, {0x1145e, 0x11461},
  {0x11480, 0x114c5}, {0x114c7, 0x114c7}, {0x114d0, 0x114d9}, {0x11580, 0x115b5}, {0x115b8, 0x115c0}, {0x115d8, 0x115dd}, {0x11600, 0x11640}, {0x11644, 0x11644},
  {0x11650, 0x11659}, {0x11680, 0x116b8}, {0x116c0, 0x116c9}, {0x11700, 0x1171a}, {0x1171d, 0x1172b}, {0x11730, 0x11739}, {0x11740, 0x11746}, {0x11800, 0x1183a},
  {0x118a0, 0x118e9}, {0x118ff, 0x11906}, {0x11909, 0x11909}, {0x1190c, 0x11913}, {0x11915, 0x11916}, {0x11918, 0x11935}, {0x11937, 0x11938}, {0x1193b, 0x11943},
  {0x11950, 0x11959}, {0x119a0, 0x119a7}, {0x119aa, 0x119d7}, {0x119da, 0x119e1}, {0x119e3, 0x119e4}, {0x11a00, 0x11a3e}, {0x11a47, 0x11a47}, {0x11a50, 0x11a99},
  {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8}, {0x11c00, 0x11c08}, {0x11c0a, 0x11c36}, {0x11c38, 0x11c40}, {0x11c50, 0x11c59}, {0x11c72, 0x11c8f}, {0x11c92, 0x11ca7},
  {0x11ca9, 0x11cb6}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d36}, {0x11d3a, 0x11d3a}, {0x11d3c, 0x11d3d}, {0x11d3f, 0x11d47}, {0x11d50, 0x11d59},
  {0x11d60, 0x11d65}, {0x11d67, 0x11d68}, {0x11d6a, 0x11d8e}, {0x11d90, 0x11d91}, {0x11d93, 0x11d98}, {0x11da0, 0x11da9}, {0x11ee0, 0x11ef6}, {0x11f00, 0x11f10},
  {0x11f12, 0x11f3a}, {0x11f3e, 0x11f42}, {0x11f50, 0x11f59}, {0x11fb0, 0x11fb0}, {0x12000, 0x12399}, {0x12400, 0x1246e}, {0x12480, 0x12543}, {0x12f90, 0x12ff0},
  {0x13000, 0x1342f}, {0x13440, 0x13455}, {0x14400, 0x14646}, {0x16800, 0x16a38}, {0x16a40, 0x16a5e}, {0x16a60, 0x16a69}, {0x16a70, 0x16abe}, {0x16ac0, 0x16ac9},
  {0x16ad0, 0x16aed}, {0x16af0, 0x16af4}, {0x16b00, 0x16b36}, {0x16b40, 0x16b43}, {0x16b50, 0x16b59}, {0x16b63, 0x16b77}, {0x16b7d, 0x16b8f}, {0x16e40, 0x16e7f},
  {0x16f00, 0x16f4a}, {0x16f4f, 0x16f87}, {0x16f8f, 0x16f9f}, {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe4}, {0x16ff0, 0x16ff1}, {0x17000, 0x187f7}, {0x18800, 0x18cd5},
  {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3}, {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b132, 0x1b132}, {0x1b150, 0x1b152}, {0x1b155, 0x1b155},
  {0x1b164, 0x1b167}, {0x1b170, 0x1b2fb}, {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99}, {0x1bc9d, 0x1bc9e}, {0x1cf00, 0x1cf2d},
  {0x1cf30, 0x1cf46}, {0x1d165, 0x1d169}, {0x1d16d, 0x1d172}, {0x1d17b, 0x1d182}, {0x1d185, 0x1d18b}, {0x1d1aa, 0x1d1ad}, {0x1d242, 0x1d244}, {0x1d400, 0x1d454},
  {0x1d456, 0x1d49c}, {0x1d49e, 0x1d49f}, {0x1d4a2, 0x1d4a2}, {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9}, {0x1d4bb, 0x1d4bb}, {0x1d4bd, 0x1d4c3},
  {0x1d4c5, 0x1d505}, {0x1d507, 0x1d50a}, {0x1d50d, 0x1d514}, {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e}, {0x1d540, 0x1d544}, {0x1d546, 0x1d546},
  {0x1d54a, 0x1d550}, {0x1d552, 0x1d6a5}, {0x1d6a8, 0x1d6c0}, {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714}, {0x1d716, 0x1d734}, {0x1d736, 0x1d74e},
  {0x1d750, 0x1d76e}, {0x1d770, 0x1d788}, {0x1d78a, 0x1d7a8}, {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1d7ce, 0x1d7ff}, {0x1da00, 0x1da36}, {0x1da3b, 0x1da6c},
  {0x1da75, 0x1da75}, {0x1da84, 0x1da84}, {0x1da9b, 0x1da9f}, {0x1daa1, 0x1daaf}, {0x1df00, 0x1df1e}, {0x1df25, 0x1df2a}, {0x1e000, 0x1e006}, {0x1e008, 0x1e018},
  {0x1e01b, 0x1e021}, {0x1e023, 0x1e024}, {0x1e026, 0x1e02a}, {0x1e030, 0x1e06d}, {0x1e08f, 0x1e08f}, {0x1e100, 0x1e12c}, {0x1e130, 0x1e13d}, {0x1e140, 0x1e149},
  {0x1e14e, 0x1e14e}, {0x1e290, 0x1e2ae}, {0x1e2c0, 0x1e2f9}, {0x1e4d0, 0x1e4f9}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb}, {0x1e7ed, 0x1e7ee}, {0x1e7f0, 0x1e7fe},
  {0x1e800, 0x1e8c4}, {0x1e8d0, 0x1e8d6}, {0x1e900, 0x1e94b}, {0x1e950, 0x1e959}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f}, {0x1ee21, 0x1ee22}, {0x1ee24, 0x1ee24},
  {0x1ee27, 0x1ee27}, {0x1ee29, 0x1ee32}, {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42}, {0x1ee47, 0x1ee47}, {0x1ee49, 0x1ee49},
  {0x1ee4b, 0x1ee4b}, {0x1ee4d, 0x1ee4f}, {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59}, {0x1ee5b, 0x1ee5b}, {0x1ee5d, 0x1ee5d},
  {0x1ee5f, 0x1ee5f}, {0x1ee61, 0x1ee62}, {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77}, {0x1ee79, 0x1ee7c}, {0x1ee7e, 0x1ee7e},
  {0x1ee80, 0x1ee89}, {0x1ee8b, 0x1ee9b}, {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x1fbf0, 0x1fbf9}, {0x20000, 0x2a6df}, {0x2a700, 0x2b739},
  {0x2b740, 0x2b81d}, {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0}, {0x2ebf0, 0x2ee5d}, {0x2f800, 0x2fa1d}, {0x30000, 0x3134a}, {0x31350, 0x323af}, {0xe0100, 0xe01ef},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(116);
      ADVANCE_MAP(
        0x04, 264,
        '!', 224,
        '#', 260,
        '$', 126,
        '%', 234,
        '&', 235,
        '(', 137,
        ')', 136,
        '*', 236,
        '+', 189,
        ',', 135,
        '-', 192,
        '.', 195,
        '/', 198,
        '0', 430,
        ':', 120,
        ';', 121,
        '<', 212,
        '=', 129,
        '>', 158,
        '?', 227,
        '@', 134,
        '[', 266,
        '\\', 228,
        ']', 153,
        '^', 184,
        'a', 282,
        'c', 313,
        'd', 285,
        'e', 355,
        'g', 334,
        'i', 290,
        'l', 285,
        'm', 279,
        'n', 285,
        'o', 291,
        'p', 286,
        'r', 336,
        's', 281,
        'u', 289,
        'v', 396,
        'x', 285,
        '{', 267,
        '|', 183,
        '}', 118,
        '~', 222,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(431);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(109);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      END_STATE();
    case 1:
      ADVANCE_MAP(
        0x04, 264,
        '!', 224,
        '#', 260,
        '$', 125,
        '%', 234,
        '&', 235,
        '(', 137,
        ')', 136,
        '*', 236,
        '+', 189,
        ',', 135,
        '-', 192,
        '.', 195,
        '/', 198,
        '0', 430,
        ':', 120,
        ';', 121,
        '<', 212,
        '=', 129,
        '>', 158,
        '?', 227,
        '@', 133,
        '[', 152,
        '\\', 228,
        ']', 153,
        '^', 184,
        'a', 352,
        'c', 315,
        'd', 364,
        'e', 395,
        'g', 334,
        'i', 392,
        'l', 324,
        'm', 276,
        'o', 378,
        'p', 366,
        'r', 337,
        's', 277,
        'u', 327,
        'x', 199,
        '{', 117,
        '|', 183,
        '}', 118,
        '~', 222,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(431);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(1);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      END_STATE();
    case 2:
      ADVANCE_MAP(
        0x04, 264,
        '!', 223,
        '#', 260,
        '$', 125,
        '%', 234,
        '&', 235,
        '(', 137,
        ')', 136,
        '*', 236,
        '+', 188,
        ',', 135,
        '-', 191,
        '.', 105,
        '/', 85,
        '0', 430,
        ':', 87,
        ';', 121,
        '<', 88,
        '=', 92,
        '@', 133,
        '[', 152,
        '\\', 228,
        ']', 153,
        'a', 352,
        'c', 316,
        'd', 364,
        'e', 395,
        'g', 377,
        'l', 325,
        'm', 276,
        'o', 378,
        'p', 366,
        'r', 337,
        's', 277,
        'u', 327,
        'x', 368,
        '{', 117,
        '}', 118,
        '~', 221,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(431);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(2);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        0x04, 264,
        '!', 89,
        '#', 260,
        '$', 82,
        '%', 156,
        '&', 186,
        '(', 137,
        ')', 136,
        '*', 197,
        '+', 189,
        ',', 135,
        '-', 192,
        '.', 194,
        '/', 198,
        ':', 119,
        ';', 121,
        '<', 212,
        '=', 129,
        '>', 158,
        '?', 227,
        '@', 134,
        '[', 152,
      );
      if (lookahead == '\\') SKIP(15);
      if (lookahead == ']') ADVANCE(153);
      if (lookahead == '^') ADVANCE(184);
      if (lookahead == 'a') ADVANCE(403);
      if (lookahead == 'c') ADVANCE(402);
      if (lookahead == 'g') ADVANCE(400);
      if (lookahead == 'i') ADVANCE(409);
      if (lookahead == 'l') ADVANCE(401);
      if (lookahead == 'o') ADVANCE(406);
      if (lookahead == 'x') ADVANCE(201);
      if (lookahead == '{') ADVANCE(117);
      if (lookahead == '|') ADVANCE(183);
      if (lookahead == '}') ADVANCE(118);
      if (lookahead == '~') ADVANCE(100);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(4);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      END_STATE();
    case 4:
      ADVANCE_MAP(
        0x04, 264,
        '!', 89,
        '#', 260,
        '%', 156,
        '&', 186,
        '(', 137,
        ')', 136,
        '*', 197,
        '+', 189,
        ',', 135,
        '-', 192,
        '.', 194,
        '/', 198,
        ':', 119,
        ';', 121,
        '<', 212,
        '=', 129,
        '>', 158,
        '?', 227,
        '@', 133,
        '[', 152,
      );
      if (lookahead == '\\') SKIP(15);
      if (lookahead == ']') ADVANCE(153);
      if (lookahead == '^') ADVANCE(184);
      if (lookahead == 'a') ADVANCE(403);
      if (lookahead == 'c') ADVANCE(402);
      if (lookahead == 'g') ADVANCE(400);
      if (lookahead == 'i') ADVANCE(409);
      if (lookahead == 'l') ADVANCE(401);
      if (lookahead == 'o') ADVANCE(406);
      if (lookahead == 'x') ADVANCE(201);
      if (lookahead == '{') ADVANCE(117);
      if (lookahead == '|') ADVANCE(183);
      if (lookahead == '}') ADVANCE(118);
      if (lookahead == '~') ADVANCE(100);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(4);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      END_STATE();
    case 5:
      ADVANCE_MAP(
        0x04, 264,
        '!', 89,
        '#', 260,
        '%', 156,
        '&', 186,
        ')', 136,
        '*', 197,
        '+', 189,
        ',', 135,
        '-', 192,
        '.', 194,
        '/', 198,
        ';', 121,
        '<', 212,
        '=', 129,
        '>', 158,
        '?', 227,
        '[', 152,
      );
      if (lookahead == '\\') SKIP(17);
      if (lookahead == ']') ADVANCE(153);
      if (lookahead == '^') ADVANCE(184);
      if (lookahead == 'a') ADVANCE(403);
      if (lookahead == 'c') ADVANCE(402);
      if (lookahead == 'g') ADVANCE(400);
      if (lookahead == 'i') ADVANCE(409);
      if (lookahead == 'l') ADVANCE(401);
      if (lookahead == 'o') ADVANCE(406);
      if (lookahead == 'x') ADVANCE(201);
      if (lookahead == '|') ADVANCE(183);
      if (lookahead == '}') ADVANCE(118);
      if (lookahead == '~') ADVANCE(100);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(5);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      END_STATE();
    case 6:
      ADVANCE_MAP(
        0x04, 264,
        '!', 89,
        '#', 260,
        '%', 156,
        '&', 186,
        ')', 136,
        '*', 197,
        '+', 189,
        ',', 135,
        '-', 192,
        '.', 194,
        '/', 198,
        ';', 121,
        '<', 212,
        '=', 129,
        '>', 158,
        '?', 227,
        '[', 152,
      );
      if (lookahead == '\\') SKIP(17);
      if (lookahead == ']') ADVANCE(153);
      if (lookahead == '^') ADVANCE(184);
      if (lookahead == 'a') ADVANCE(403);
      if (lookahead == 'c') ADVANCE(309);
      if (lookahead == 'g') ADVANCE(400);
      if (lookahead == 'i') ADVANCE(409);
      if (lookahead == 'l') ADVANCE(401);
      if (lookahead == 'o') ADVANCE(406);
      if (lookahead == 'x') ADVANCE(201);
      if (lookahead == '|') ADVANCE(183);
      if (lookahead == '}') ADVANCE(118);
      if (lookahead == '~') ADVANCE(100);
      if (lookahead == 'd' ||
          lookahead == 'r' ||
          lookahead == 's') ADVANCE(309);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(5);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      END_STATE();
    case 7:
      ADVANCE_MAP(
        0x04, 264,
        '!', 89,
        '#', 260,
        '%', 156,
        '&', 186,
        ')', 136,
        '*', 197,
        '+', 189,
        ',', 135,
        '-', 192,
        '.', 194,
        '/', 198,
        ';', 121,
        '<', 212,
        '=', 129,
        '>', 158,
        '?', 227,
      );
      if (lookahead == '\\') SKIP(19);
      if (lookahead == ']') ADVANCE(153);
      if (lookahead == '^') ADVANCE(184);
      if (lookahead == 'a') ADVANCE(403);
      if (lookahead == 'c') ADVANCE(402);
      if (lookahead == 'g') ADVANCE(400);
      if (lookahead == 'i') ADVANCE(409);
      if (lookahead == 'l') ADVANCE(401);
      if (lookahead == 'o') ADVANCE(406);
      if (lookahead == 'x') ADVANCE(201);
      if (lookahead == '|') ADVANCE(183);
      if (lookahead == '}') ADVANCE(118);
      if (lookahead == '~') ADVANCE(100);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(7);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      END_STATE();
    case 8:
      ADVANCE_MAP(
        0x04, 264,
        '!', 89,
        '#', 260,
        '%', 156,
        '&', 186,
        ')', 136,
        '*', 197,
        '+', 189,
        ',', 135,
        '-', 192,
        '.', 194,
        '/', 198,
        ';', 121,
        '<', 212,
        '=', 129,
        '>', 158,
        '?', 227,
      );
      if (lookahead == '\\') SKIP(19);
      if (lookahead == ']') ADVANCE(153);
      if (lookahead == '^') ADVANCE(184);
      if (lookahead == 'a') ADVANCE(296);
      if (lookahead == 'c') ADVANCE(295);
      if (lookahead == 'g') ADVANCE(300);
      if (lookahead == 'i') ADVANCE(299);
      if (lookahead == 'l') ADVANCE(300);
      if (lookahead == 'o') ADVANCE(300);
      if (lookahead == 'x') ADVANCE(297);
      if (lookahead == '|') ADVANCE(183);
      if (lookahead == '}') ADVANCE(118);
      if (lookahead == '~') ADVANCE(100);
      if (lookahead == 'd' ||
          ('m' <= lookahead && lookahead <= 'p') ||
          lookahead == 's' ||
          lookahead == 'u') ADVANCE(300);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(7);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      END_STATE();
    case 9:
      ADVANCE_MAP(
        0x04, 264,
        '!', 89,
        '#', 260,
        '%', 156,
        '&', 186,
        ')', 136,
        '*', 197,
        '+', 189,
        ',', 135,
        '-', 192,
        '.', 194,
        '/', 198,
        ';', 121,
        '<', 212,
        '=', 129,
        '>', 158,
        '?', 227,
      );
      if (lookahead == '\\') SKIP(19);
      if (lookahead == ']') ADVANCE(153);
      if (lookahead == '^') ADVANCE(184);
      if (lookahead == 'a') ADVANCE(308);
      if (lookahead == 'c') ADVANCE(303);
      if (lookahead == 'g') ADVANCE(302);
      if (lookahead == 'i') ADVANCE(307);
      if (lookahead == 'l') ADVANCE(302);
      if (lookahead == 'o') ADVANCE(306);
      if (lookahead == 'x') ADVANCE(304);
      if (lookahead == '|') ADVANCE(183);
      if (lookahead == '}') ADVANCE(118);
      if (lookahead == '~') ADVANCE(100);
      if (lookahead == 'd' ||
          lookahead == 'e' ||
          lookahead == 'm' ||
          lookahead == 'p' ||
          lookahead == 'r' ||
          lookahead == 's' ||
          lookahead == 'u') ADVANCE(308);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(7);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      END_STATE();
    case 10:
      ADVANCE_MAP(
        0x04, 264,
        '!', 89,
        '#', 260,
        '%', 156,
        '&', 186,
        ')', 136,
        '*', 197,
        '+', 189,
        ',', 135,
        '-', 192,
        '.', 194,
        '/', 198,
        ';', 121,
        '<', 212,
        '=', 129,
        '>', 158,
        '?', 227,
      );
      if (lookahead == '\\') SKIP(19);
      if (lookahead == ']') ADVANCE(153);
      if (lookahead == '^') ADVANCE(184);
      if (lookahead == 'a') ADVANCE(283);
      if (lookahead == 'c') ADVANCE(402);
      if (lookahead == 'g') ADVANCE(400);
      if (lookahead == 'i') ADVANCE(290);
      if (lookahead == 'l') ADVANCE(292);
      if (lookahead == 'o') ADVANCE(292);
      if (lookahead == 'x') ADVANCE(285);
      if (lookahead == '|') ADVANCE(183);
      if (lookahead == '}') ADVANCE(118);
      if (lookahead == '~') ADVANCE(100);
      if (lookahead == 'd' ||
          ('m' <= lookahead && lookahead <= 'p') ||
          lookahead == 's' ||
          lookahead == 'u') ADVANCE(292);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(7);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      END_STATE();
    case 11:
      ADVANCE_MAP(
        0x04, 264,
        '#', 260,
        '$', 124,
        '%', 234,
        '(', 137,
        ')', 136,
        '*', 196,
        ',', 135,
        '-', 190,
        '/', 86,
        ':', 119,
        ';', 121,
        '=', 130,
        '>', 157,
        '@', 133,
        '[', 152,
      );
      if (lookahead == '\\') SKIP(37);
      if (lookahead == 'a') ADVANCE(403);
      if (lookahead == 'o') ADVANCE(406);
      if (lookahead == 'x') ADVANCE(404);
      if (lookahead == '{') ADVANCE(117);
      if (lookahead == '|') ADVANCE(99);
      if (lookahead == '}') ADVANCE(118);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(11);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      END_STATE();
    case 12:
      ADVANCE_MAP(
        0x04, 264,
        '#', 260,
        '$', 124,
        '%', 234,
        '(', 137,
        ')', 136,
        ',', 135,
        '-', 190,
        '/', 86,
        ':', 119,
        ';', 121,
        '=', 128,
        '@', 133,
        '[', 152,
      );
      if (lookahead == '\\') SKIP(39);
      if (lookahead == '{') ADVANCE(117);
      if (lookahead == '|') ADVANCE(99);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(12);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      END_STATE();
    case 13:
      ADVANCE_MAP(
        0x04, 264,
        '#', 260,
        '$', 124,
        '%', 234,
        '(', 137,
        ')', 136,
        ',', 135,
        '-', 193,
        '/', 86,
        ':', 119,
        ';', 121,
        '=', 128,
        '>', 93,
        '@', 133,
        '[', 266,
      );
      if (lookahead == '\\') SKIP(39);
      if (lookahead == '{') ADVANCE(267);
      if (lookahead == '|') ADVANCE(99);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(12);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      END_STATE();
    case 14:
      if (lookahead == '\n') SKIP(4);
      END_STATE();
    case 15:
      if (lookahead == '\n') SKIP(4);
      if (lookahead == '\r') SKIP(14);
      END_STATE();
    case 16:
      if (lookahead == '\n') SKIP(5);
      END_STATE();
    case 17:
      if (lookahead == '\n') SKIP(5);
      if (lookahead == '\r') SKIP(16);
      END_STATE();
    case 18:
      if (lookahead == '\n') SKIP(7);
      END_STATE();
    case 19:
      if (lookahead == '\n') SKIP(7);
      if (lookahead == '\r') SKIP(18);
      END_STATE();
    case 20:
      if (lookahead == '\n') SKIP(56);
      END_STATE();
    case 21:
      if (lookahead == '\n') SKIP(56);
      if (lookahead == '\r') SKIP(20);
      END_STATE();
    case 22:
      if (lookahead == '\n') SKIP(57);
      END_STATE();
    case 23:
      if (lookahead == '\n') SKIP(57);
      if (lookahead == '\r') SKIP(22);
      END_STATE();
    case 24:
      if (lookahead == '\n') SKIP(65);
      END_STATE();
    case 25:
      if (lookahead == '\n') SKIP(65);
      if (lookahead == '\r') SKIP(24);
      END_STATE();
    case 26:
      if (lookahead == '\n') SKIP(58);
      END_STATE();
    case 27:
      if (lookahead == '\n') SKIP(58);
      if (lookahead == '\r') SKIP(26);
      END_STATE();
    case 28:
      if (lookahead == '\n') SKIP(64);
      END_STATE();
    case 29:
      if (lookahead == '\n') SKIP(64);
      if (lookahead == '\r') SKIP(28);
      END_STATE();
    case 30:
      if (lookahead == '\n') SKIP(61);
      END_STATE();
    case 31:
      if (lookahead == '\n') SKIP(61);
      if (lookahead == '\r') SKIP(30);
      END_STATE();
    case 32:
      if (lookahead == '\n') SKIP(66);
      END_STATE();
    case 33:
      if (lookahead == '\n') SKIP(66);
      if (lookahead == '\r') SKIP(32);
      END_STATE();
    case 34:
      if (lookahead == '\n') SKIP(69);
      END_STATE();
    case 35:
      if (lookahead == '\n') SKIP(69);
      if (lookahead == '\r') SKIP(34);
      END_STATE();
    case 36:
      if (lookahead == '\n') SKIP(11);
      END_STATE();
    case 37:
      if (lookahead == '\n') SKIP(11);
      if (lookahead == '\r') SKIP(36);
      END_STATE();
    case 38:
      if (lookahead == '\n') SKIP(12);
      END_STATE();
    case 39:
      if (lookahead == '\n') SKIP(12);
      if (lookahead == '\r') SKIP(38);
      END_STATE();
    case 40:
      if (lookahead == '\n') SKIP(72);
      END_STATE();
    case 41:
      if (lookahead == '\n') SKIP(72);
      if (lookahead == '\r') SKIP(40);
      END_STATE();
    case 42:
      if (lookahead == '\n') SKIP(80);
      END_STATE();
    case 43:
      if (lookahead == '\n') SKIP(80);
      if (lookahead == '\r') SKIP(42);
      END_STATE();
    case 44:
      if (lookahead == '\n') SKIP(73);
      END_STATE();
    case 45:
      if (lookahead == '\n') SKIP(73);
      if (lookahead == '\r') SKIP(44);
      END_STATE();
    case 46:
      if (lookahead == '\n') SKIP(74);
      END_STATE();
    case 47:
      if (lookahead == '\n') SKIP(74);
      if (lookahead == '\r') SKIP(46);
      END_STATE();
    case 48:
      if (lookahead == '\n') SKIP(81);
      END_STATE();
    case 49:
      if (lookahead == '\n') SKIP(81);
      if (lookahead == '\r') SKIP(48);
      END_STATE();
    case 50:
      if (lookahead == '\n') SKIP(50);
      if (lookahead == '#') ADVANCE(260);
      if (lookahead == '\\') ADVANCE(310);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(311);
      if (lookahead != 0) ADVANCE(310);
      END_STATE();
    case 51:
      ADVANCE_MAP(
        '!', 224,
        '#', 260,
        '$', 125,
        '%', 234,
        '&', 235,
        '(', 137,
        ')', 136,
        '*', 236,
        '+', 189,
        ',', 135,
        '-', 192,
        '.', 195,
        '/', 198,
        '0', 430,
        ':', 120,
        ';', 121,
        '<', 212,
        '=', 129,
        '>', 158,
        '?', 227,
        '@', 133,
        '[', 152,
        '\\', 228,
        '^', 184,
        'a', 353,
        'c', 315,
        'd', 364,
        'e', 395,
        'g', 334,
        'i', 392,
        'l', 324,
        'm', 276,
        'o', 388,
        'p', 366,
        'r', 337,
        's', 277,
        'u', 327,
        'x', 200,
        '{', 117,
        '|', 183,
        '}', 118,
        '~', 222,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(431);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(51);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      END_STATE();
    case 52:
      ADVANCE_MAP(
        '!', 223,
        '#', 260,
        '$', 125,
        '%', 234,
        '&', 235,
        '(', 137,
        ')', 136,
        '*', 236,
        '+', 188,
        ',', 135,
        '-', 191,
        '.', 105,
        '/', 85,
        '0', 430,
        ':', 120,
        ';', 121,
        '<', 88,
        '=', 92,
        '@', 133,
        '[', 152,
        '\\', 228,
        ']', 153,
        'a', 353,
        'c', 316,
        'd', 364,
        'e', 395,
        'g', 377,
        'l', 325,
        'm', 276,
        'o', 388,
        'p', 366,
        'r', 337,
        's', 277,
        'u', 327,
        '{', 117,
        '}', 118,
        '~', 221,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(431);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(52);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      END_STATE();
    case 53:
      ADVANCE_MAP(
        '!', 223,
        '#', 260,
        '$', 125,
        '%', 234,
        '&', 235,
        '(', 137,
        ')', 136,
        '*', 236,
        '+', 188,
        '-', 191,
        '.', 105,
        '/', 85,
        '0', 430,
        ':', 87,
        '<', 88,
        '@', 133,
        '[', 152,
        '\\', 228,
        'a', 353,
        'c', 316,
        'd', 364,
        'e', 355,
        'g', 377,
        'l', 325,
        'm', 276,
        'o', 388,
        'p', 366,
        'r', 337,
        's', 277,
        'u', 327,
        '{', 117,
        '~', 221,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(431);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(53);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      END_STATE();
    case 54:
      ADVANCE_MAP(
        '!', 223,
        '#', 260,
        '$', 125,
        '%', 234,
        '&', 235,
        '(', 137,
        '*', 236,
        '+', 188,
        '-', 191,
        '.', 419,
        '/', 420,
        '0', 417,
        ':', 421,
        ';', 121,
        '<', 422,
        '@', 133,
        '[', 152,
        '\\', 228,
        '^', 425,
        'a', 353,
        'c', 314,
        'd', 364,
        'e', 395,
        'g', 377,
        'l', 325,
        'm', 276,
        'n', 365,
        'o', 388,
        'p', 366,
        'r', 336,
        's', 277,
        'u', 326,
        '{', 117,
        '}', 118,
        '~', 221,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(54);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(418);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(413);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      if (lookahead != 0) ADVANCE(412);
      END_STATE();
    case 55:
      ADVANCE_MAP(
        '!', 223,
        '#', 260,
        '$', 125,
        '%', 234,
        '&', 235,
        '(', 137,
        '*', 236,
        '+', 188,
        '-', 191,
        '.', 105,
        '/', 85,
        '0', 430,
        ':', 87,
        ';', 121,
        '<', 88,
        '@', 133,
        '[', 152,
        '\\', 228,
        'a', 353,
        'c', 316,
        'd', 364,
        'e', 395,
        'g', 377,
        'l', 325,
        'm', 276,
        'o', 388,
        'p', 366,
        'r', 337,
        's', 277,
        'u', 327,
        'v', 396,
        '{', 117,
        '~', 221,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(431);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(55);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      END_STATE();
    case 56:
      ADVANCE_MAP(
        '!', 89,
        '#', 260,
        '$', 124,
        '%', 234,
        '&', 186,
        '(', 137,
        ')', 136,
        '*', 197,
        '+', 189,
        ',', 135,
        '-', 192,
        '.', 194,
        '/', 198,
        ':', 120,
        '<', 212,
        '=', 129,
        '>', 158,
        '?', 227,
        '@', 133,
      );
      if (lookahead == '\\') SKIP(21);
      if (lookahead == '^') ADVANCE(184);
      if (lookahead == 'c') ADVANCE(360);
      if (lookahead == 'g') ADVANCE(335);
      if (lookahead == 'i') ADVANCE(392);
      if (lookahead == 'l') ADVANCE(338);
      if (lookahead == 'x') ADVANCE(200);
      if (lookahead == '|') ADVANCE(183);
      if (lookahead == '~') ADVANCE(100);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(56);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      END_STATE();
    case 57:
      ADVANCE_MAP(
        '!', 89,
        '#', 260,
        '$', 124,
        '%', 234,
        '&', 186,
        '(', 137,
        ')', 136,
        '*', 197,
        '+', 189,
        ',', 135,
        '-', 192,
        '.', 194,
        '/', 198,
        ':', 119,
        '<', 212,
        '=', 129,
        '>', 158,
        '?', 227,
        '@', 133,
        '[', 152,
      );
      if (lookahead == '\\') SKIP(23);
      if (lookahead == '^') ADVANCE(184);
      if (lookahead == 'c') ADVANCE(402);
      if (lookahead == 'g') ADVANCE(400);
      if (lookahead == 'i') ADVANCE(409);
      if (lookahead == 'l') ADVANCE(401);
      if (lookahead == 'x') ADVANCE(202);
      if (lookahead == '{') ADVANCE(117);
      if (lookahead == '|') ADVANCE(183);
      if (lookahead == '~') ADVANCE(100);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(57);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      END_STATE();
    case 58:
      ADVANCE_MAP(
        '!', 89,
        '#', 260,
        '$', 124,
        '%', 234,
        '&', 186,
        ')', 136,
        '*', 197,
        '+', 189,
        ',', 135,
        '-', 192,
        '.', 194,
        '/', 198,
        ':', 119,
        '<', 212,
        '=', 129,
        '>', 158,
        '?', 227,
        '@', 133,
        '[', 152,
      );
      if (lookahead == '\\') SKIP(27);
      if (lookahead == '^') ADVANCE(184);
      if (lookahead == 'c') ADVANCE(402);
      if (lookahead == 'g') ADVANCE(400);
      if (lookahead == 'i') ADVANCE(409);
      if (lookahead == 'l') ADVANCE(401);
      if (lookahead == 'x') ADVANCE(202);
      if (lookahead == '|') ADVANCE(183);
      if (lookahead == '~') ADVANCE(100);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(58);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      END_STATE();
    case 59:
      ADVANCE_MAP(
        '!', 89,
        '#', 260,
        '$', 124,
        '%', 234,
        '&', 186,
        ')', 136,
        '*', 197,
        '+', 189,
        ',', 135,
        '-', 192,
        '.', 194,
        '/', 198,
        ':', 119,
        '<', 212,
        '=', 129,
        '>', 158,
        '?', 227,
        '@', 133,
        '[', 152,
      );
      if (lookahead == '\\') SKIP(27);
      if (lookahead == '^') ADVANCE(184);
      if (lookahead == 'c') ADVANCE(309);
      if (lookahead == 'g') ADVANCE(400);
      if (lookahead == 'i') ADVANCE(409);
      if (lookahead == 'l') ADVANCE(401);
      if (lookahead == 'x') ADVANCE(202);
      if (lookahead == '|') ADVANCE(183);
      if (lookahead == '~') ADVANCE(100);
      if (lookahead == 'd' ||
          lookahead == 'r' ||
          lookahead == 's') ADVANCE(309);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(58);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      END_STATE();
    case 60:
      ADVANCE_MAP(
        '!', 89,
        '#', 260,
        '$', 124,
        '%', 234,
        '&', 186,
        ')', 136,
        '*', 197,
        '+', 189,
        ',', 135,
        '-', 192,
        '.', 194,
        '/', 198,
        ':', 119,
        '<', 212,
        '=', 129,
        '>', 158,
        '?', 227,
        '@', 133,
      );
      if (lookahead == '\\') SKIP(31);
      if (lookahead == '^') ADVANCE(184);
      if (lookahead == 'c') ADVANCE(402);
      if (lookahead == 'g') ADVANCE(400);
      if (lookahead == 'i') ADVANCE(290);
      if (lookahead == 'l') ADVANCE(292);
      if (lookahead == 'x') ADVANCE(292);
      if (lookahead == '|') ADVANCE(183);
      if (lookahead == '~') ADVANCE(100);
      if (lookahead == 'a' ||
          lookahead == 'd' ||
          ('m' <= lookahead && lookahead <= 'p') ||
          lookahead == 's' ||
          lookahead == 'u') ADVANCE(292);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(61);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      END_STATE();
    case 61:
      ADVANCE_MAP(
        '!', 89,
        '#', 260,
        '$', 124,
        '%', 234,
        '&', 186,
        ')', 136,
        '*', 197,
        '+', 189,
        ',', 135,
        '-', 192,
        '.', 194,
        '/', 198,
        ':', 119,
        '<', 212,
        '=', 129,
        '>', 158,
        '?', 227,
        '@', 133,
      );
      if (lookahead == '\\') SKIP(31);
      if (lookahead == '^') ADVANCE(184);
      if (lookahead == 'c') ADVANCE(402);
      if (lookahead == 'g') ADVANCE(400);
      if (lookahead == 'i') ADVANCE(409);
      if (lookahead == 'l') ADVANCE(401);
      if (lookahead == 'x') ADVANCE(202);
      if (lookahead == '|') ADVANCE(183);
      if (lookahead == '~') ADVANCE(100);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(61);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      END_STATE();
    case 62:
      ADVANCE_MAP(
        '!', 89,
        '#', 260,
        '$', 124,
        '%', 234,
        '&', 186,
        ')', 136,
        '*', 197,
        '+', 189,
        ',', 135,
        '-', 192,
        '.', 194,
        '/', 198,
        ':', 119,
        '<', 212,
        '=', 129,
        '>', 158,
        '?', 227,
        '@', 133,
      );
      if (lookahead == '\\') SKIP(31);
      if (lookahead == '^') ADVANCE(184);
      if (lookahead == 'c') ADVANCE(295);
      if (lookahead == 'g') ADVANCE(300);
      if (lookahead == 'i') ADVANCE(299);
      if (lookahead == 'l') ADVANCE(300);
      if (lookahead == 'x') ADVANCE(300);
      if (lookahead == '|') ADVANCE(183);
      if (lookahead == '~') ADVANCE(100);
      if (lookahead == 'a' ||
          lookahead == 'd' ||
          ('m' <= lookahead && lookahead <= 'p') ||
          lookahead == 's' ||
          lookahead == 'u') ADVANCE(300);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(61);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      END_STATE();
    case 63:
      ADVANCE_MAP(
        '!', 89,
        '#', 260,
        '$', 124,
        '%', 234,
        '&', 186,
        ')', 136,
        '*', 197,
        '+', 189,
        ',', 135,
        '-', 192,
        '.', 194,
        '/', 198,
        ':', 119,
        '<', 212,
        '=', 129,
        '>', 158,
        '?', 227,
        '@', 133,
      );
      if (lookahead == '\\') SKIP(31);
      if (lookahead == '^') ADVANCE(184);
      if (lookahead == 'c') ADVANCE(303);
      if (lookahead == 'g') ADVANCE(302);
      if (lookahead == 'i') ADVANCE(307);
      if (lookahead == 'l') ADVANCE(302);
      if (lookahead == 'x') ADVANCE(308);
      if (lookahead == '|') ADVANCE(183);
      if (lookahead == '~') ADVANCE(100);
      if (lookahead == 'a' ||
          lookahead == 'd' ||
          lookahead == 'e' ||
          lookahead == 'm' ||
          lookahead == 'o' ||
          lookahead == 'p' ||
          lookahead == 'r' ||
          lookahead == 's' ||
          lookahead == 'u') ADVANCE(308);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(61);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      END_STATE();
    case 64:
      ADVANCE_MAP(
        '!', 89,
        '#', 260,
        '%', 156,
        '&', 186,
        '(', 137,
        ')', 136,
        '*', 197,
        '+', 189,
        ',', 135,
        '-', 192,
        '.', 194,
        '/', 198,
        ':', 119,
        ';', 121,
        '<', 212,
        '=', 129,
        '>', 158,
        '?', 227,
        '[', 152,
      );
      if (lookahead == '\\') SKIP(29);
      if (lookahead == '^') ADVANCE(184);
      if (lookahead == 'c') ADVANCE(402);
      if (lookahead == 'g') ADVANCE(400);
      if (lookahead == 'i') ADVANCE(409);
      if (lookahead == 'l') ADVANCE(401);
      if (lookahead == 'x') ADVANCE(202);
      if (lookahead == '{') ADVANCE(117);
      if (lookahead == '|') ADVANCE(183);
      if (lookahead == '}') ADVANCE(118);
      if (lookahead == '~') ADVANCE(100);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(64);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      END_STATE();
    case 65:
      ADVANCE_MAP(
        '!', 89,
        '#', 260,
        '%', 156,
        '&', 186,
        ')', 136,
        '*', 197,
        '+', 189,
        ',', 135,
        '-', 192,
        '.', 194,
        '/', 198,
        ':', 120,
        ';', 121,
        '<', 212,
        '=', 129,
        '>', 158,
        '?', 227,
      );
      if (lookahead == '\\') SKIP(25);
      if (lookahead == '^') ADVANCE(184);
      if (lookahead == 'c') ADVANCE(360);
      if (lookahead == 'g') ADVANCE(335);
      if (lookahead == 'i') ADVANCE(392);
      if (lookahead == 'l') ADVANCE(338);
      if (lookahead == 'x') ADVANCE(200);
      if (lookahead == '|') ADVANCE(183);
      if (lookahead == '}') ADVANCE(118);
      if (lookahead == '~') ADVANCE(100);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(65);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      END_STATE();
    case 66:
      ADVANCE_MAP(
        '!', 89,
        '#', 260,
        '%', 156,
        '&', 186,
        ')', 136,
        '*', 197,
        '+', 189,
        ',', 135,
        '-', 192,
        '.', 194,
        '/', 198,
        ':', 119,
        ';', 121,
        '<', 212,
        '=', 129,
        '>', 158,
        '?', 227,
        '[', 152,
      );
      if (lookahead == '\\') SKIP(33);
      if (lookahead == '^') ADVANCE(184);
      if (lookahead == 'c') ADVANCE(402);
      if (lookahead == 'g') ADVANCE(400);
      if (lookahead == 'i') ADVANCE(409);
      if (lookahead == 'l') ADVANCE(401);
      if (lookahead == 'x') ADVANCE(202);
      if (lookahead == '|') ADVANCE(183);
      if (lookahead == '}') ADVANCE(118);
      if (lookahead == '~') ADVANCE(100);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(66);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      END_STATE();
    case 67:
      ADVANCE_MAP(
        '!', 89,
        '#', 260,
        '%', 156,
        '&', 186,
        ')', 136,
        '*', 197,
        '+', 189,
        ',', 135,
        '-', 192,
        '.', 194,
        '/', 198,
        ':', 119,
        ';', 121,
        '<', 212,
        '=', 129,
        '>', 158,
        '?', 227,
        '[', 152,
      );
      if (lookahead == '\\') SKIP(33);
      if (lookahead == '^') ADVANCE(184);
      if (lookahead == 'c') ADVANCE(309);
      if (lookahead == 'g') ADVANCE(400);
      if (lookahead == 'i') ADVANCE(409);
      if (lookahead == 'l') ADVANCE(401);
      if (lookahead == 'x') ADVANCE(202);
      if (lookahead == '|') ADVANCE(183);
      if (lookahead == '}') ADVANCE(118);
      if (lookahead == '~') ADVANCE(100);
      if (lookahead == 'd' ||
          lookahead == 'r' ||
          lookahead == 's') ADVANCE(309);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(66);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      END_STATE();
    case 68:
      ADVANCE_MAP(
        '!', 89,
        '#', 260,
        '%', 156,
        '&', 186,
        ')', 136,
        '*', 197,
        '+', 189,
        ',', 135,
        '-', 192,
        '.', 194,
        '/', 198,
        ':', 119,
        ';', 121,
        '<', 212,
        '=', 129,
        '>', 158,
        '?', 227,
      );
      if (lookahead == '\\') SKIP(35);
      if (lookahead == '^') ADVANCE(184);
      if (lookahead == 'c') ADVANCE(402);
      if (lookahead == 'g') ADVANCE(400);
      if (lookahead == 'i') ADVANCE(290);
      if (lookahead == 'l') ADVANCE(292);
      if (lookahead == 'x') ADVANCE(292);
      if (lookahead == '|') ADVANCE(183);
      if (lookahead == '}') ADVANCE(118);
      if (lookahead == '~') ADVANCE(100);
      if (lookahead == 'a' ||
          lookahead == 'd' ||
          ('m' <= lookahead && lookahead <= 'p') ||
          lookahead == 's' ||
          lookahead == 'u') ADVANCE(292);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(69);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      END_STATE();
    case 69:
      ADVANCE_MAP(
        '!', 89,
        '#', 260,
        '%', 156,
        '&', 186,
        ')', 136,
        '*', 197,
        '+', 189,
        ',', 135,
        '-', 192,
        '.', 194,
        '/', 198,
        ':', 119,
        ';', 121,
        '<', 212,
        '=', 129,
        '>', 158,
        '?', 227,
      );
      if (lookahead == '\\') SKIP(35);
      if (lookahead == '^') ADVANCE(184);
      if (lookahead == 'c') ADVANCE(402);
      if (lookahead == 'g') ADVANCE(400);
      if (lookahead == 'i') ADVANCE(409);
      if (lookahead == 'l') ADVANCE(401);
      if (lookahead == 'x') ADVANCE(202);
      if (lookahead == '|') ADVANCE(183);
      if (lookahead == '}') ADVANCE(118);
      if (lookahead == '~') ADVANCE(100);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(69);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      END_STATE();
    case 70:
      ADVANCE_MAP(
        '!', 89,
        '#', 260,
        '%', 156,
        '&', 186,
        ')', 136,
        '*', 197,
        '+', 189,
        ',', 135,
        '-', 192,
        '.', 194,
        '/', 198,
        ':', 119,
        ';', 121,
        '<', 212,
        '=', 129,
        '>', 158,
        '?', 227,
      );
      if (lookahead == '\\') SKIP(35);
      if (lookahead == '^') ADVANCE(184);
      if (lookahead == 'c') ADVANCE(295);
      if (lookahead == 'g') ADVANCE(300);
      if (lookahead == 'i') ADVANCE(299);
      if (lookahead == 'l') ADVANCE(300);
      if (lookahead == 'x') ADVANCE(300);
      if (lookahead == '|') ADVANCE(183);
      if (lookahead == '}') ADVANCE(118);
      if (lookahead == '~') ADVANCE(100);
      if (lookahead == 'a' ||
          lookahead == 'd' ||
          ('m' <= lookahead && lookahead <= 'p') ||
          lookahead == 's' ||
          lookahead == 'u') ADVANCE(300);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(69);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      END_STATE();
    case 71:
      ADVANCE_MAP(
        '!', 89,
        '#', 260,
        '%', 156,
        '&', 186,
        ')', 136,
        '*', 197,
        '+', 189,
        ',', 135,
        '-', 192,
        '.', 194,
        '/', 198,
        ':', 119,
        ';', 121,
        '<', 212,
        '=', 129,
        '>', 158,
        '?', 227,
      );
      if (lookahead == '\\') SKIP(35);
      if (lookahead == '^') ADVANCE(184);
      if (lookahead == 'c') ADVANCE(303);
      if (lookahead == 'g') ADVANCE(302);
      if (lookahead == 'i') ADVANCE(307);
      if (lookahead == 'l') ADVANCE(302);
      if (lookahead == 'x') ADVANCE(308);
      if (lookahead == '|') ADVANCE(183);
      if (lookahead == '}') ADVANCE(118);
      if (lookahead == '~') ADVANCE(100);
      if (lookahead == 'a' ||
          lookahead == 'd' ||
          lookahead == 'e' ||
          lookahead == 'm' ||
          lookahead == 'o' ||
          lookahead == 'p' ||
          lookahead == 'r' ||
          lookahead == 's' ||
          lookahead == 'u') ADVANCE(308);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(69);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      END_STATE();
    case 72:
      ADVANCE_MAP(
        '#', 260,
        '$', 125,
        '%', 155,
        '&', 185,
        '(', 137,
        '*', 196,
        ':', 120,
        ';', 121,
        '@', 133,
        '[', 152,
      );
      if (lookahead == '\\') SKIP(41);
      if (lookahead == '{') ADVANCE(117);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(72);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      END_STATE();
    case 73:
      if (lookahead == '#') ADVANCE(260);
      if (lookahead == '$') ADVANCE(124);
      if (lookahead == '(') ADVANCE(137);
      if (lookahead == '\\') SKIP(45);
      if (lookahead == 'o') ADVANCE(410);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(73);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      END_STATE();
    case 74:
      if (lookahead == '#') ADVANCE(260);
      if (lookahead == '$') ADVANCE(124);
      if (lookahead == '*') ADVANCE(196);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == '>') ADVANCE(157);
      if (lookahead == '\\') SKIP(47);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(74);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      END_STATE();
    case 75:
      if (lookahead == '#') ADVANCE(260);
      if (lookahead == '$') ADVANCE(124);
      if (lookahead == '*') ADVANCE(196);
      if (lookahead == ':') ADVANCE(421);
      if (lookahead == '\\') ADVANCE(412);
      if (lookahead == '^') ADVANCE(427);
      if (lookahead == '{') ADVANCE(117);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(75);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(426);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(414);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      if (lookahead != 0) ADVANCE(412);
      END_STATE();
    case 76:
      if (lookahead == '#') ADVANCE(260);
      if (lookahead == '$') ADVANCE(124);
      if (lookahead == ':') ADVANCE(421);
      if (lookahead == '\\') ADVANCE(412);
      if (lookahead == '^') ADVANCE(427);
      if (lookahead == '{') ADVANCE(117);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(76);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(426);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(415);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      if (lookahead != 0) ADVANCE(412);
      END_STATE();
    case 77:
      ADVANCE_MAP(
        '#', 260,
        '$', 124,
        ':', 421,
        '\\', 270,
        '^', 272,
        '{', 117,
        '\'', 412,
        '+', 412,
        '-', 412,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(271);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(426);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(271);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(273);
      if (lookahead != 0) ADVANCE(270);
      END_STATE();
    case 78:
      if (lookahead == '#') ADVANCE(260);
      if (lookahead == '$') ADVANCE(124);
      if (lookahead == '\\') ADVANCE(412);
      if (lookahead == '^') ADVANCE(427);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(78);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(426);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(416);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      if (lookahead != 0) ADVANCE(412);
      END_STATE();
    case 79:
      if (lookahead == '#') ADVANCE(260);
      if (lookahead == '$') ADVANCE(127);
      if (lookahead == '@') ADVANCE(134);
      if (lookahead == '[') ADVANCE(152);
      if (lookahead == '\\') ADVANCE(274);
      if (lookahead == '{') ADVANCE(117);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(275);
      if (lookahead != 0) ADVANCE(274);
      END_STATE();
    case 80:
      ADVANCE_MAP(
        '#', 260,
        ')', 136,
        ',', 135,
        '.', 105,
        '0', 430,
        ':', 119,
        ';', 121,
        '=', 92,
      );
      if (lookahead == '\\') SKIP(43);
      if (lookahead == ']') ADVANCE(153);
      if (lookahead == 'a') ADVANCE(95);
      if (lookahead == 'o') ADVANCE(97);
      if (lookahead == 'v') ADVANCE(107);
      if (lookahead == 'x') ADVANCE(96);
      if (lookahead == '{') ADVANCE(117);
      if (lookahead == '}') ADVANCE(118);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(431);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(80);
      END_STATE();
    case 81:
      if (lookahead == '#') ADVANCE(260);
      if (lookahead == '.') ADVANCE(105);
      if (lookahead == '0') ADVANCE(430);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == '\\') SKIP(49);
      if (lookahead == 'v') ADVANCE(396);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(431);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(81);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      END_STATE();
    case 82:
      if (lookahead == '*') ADVANCE(268);
      END_STATE();
    case 83:
      if (lookahead == '.') ADVANCE(140);
      END_STATE();
    case 84:
      if (lookahead == '.') ADVANCE(83);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(436);
      END_STATE();
    case 85:
      if (lookahead == '/') ADVANCE(179);
      END_STATE();
    case 86:
      if (lookahead == '/') ADVANCE(90);
      END_STATE();
    case 87:
      if (lookahead == ':') ADVANCE(429);
      END_STATE();
    case 88:
      if (lookahead == '<') ADVANCE(159);
      END_STATE();
    case 89:
      if (lookahead == '=') ADVANCE(206);
      if (lookahead == '~') ADVANCE(204);
      END_STATE();
    case 90:
      if (lookahead == '=') ADVANCE(132);
      END_STATE();
    case 91:
      if (lookahead == '=') ADVANCE(131);
      END_STATE();
    case 92:
      if (lookahead == '>') ADVANCE(238);
      END_STATE();
    case 93:
      if (lookahead == '>') ADVANCE(161);
      END_STATE();
    case 94:
      if (lookahead == 'd') ADVANCE(142);
      END_STATE();
    case 95:
      if (lookahead == 'n') ADVANCE(94);
      END_STATE();
    case 96:
      if (lookahead == 'o') ADVANCE(98);
      END_STATE();
    case 97:
      if (lookahead == 'r') ADVANCE(145);
      END_STATE();
    case 98:
      if (lookahead == 'r') ADVANCE(149);
      END_STATE();
    case 99:
      if (lookahead == '|') ADVANCE(91);
      END_STATE();
    case 100:
      if (lookahead == '~') ADVANCE(211);
      END_STATE();
    case 101:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(106);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(432);
      END_STATE();
    case 102:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(433);
      END_STATE();
    case 103:
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(432);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(435);
      END_STATE();
    case 104:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(431);
      END_STATE();
    case 105:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(436);
      END_STATE();
    case 106:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(432);
      END_STATE();
    case 107:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(312);
      END_STATE();
    case 108:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(434);
      END_STATE();
    case 109:
      if (eof) ADVANCE(116);
      ADVANCE_MAP(
        0x04, 264,
        '!', 224,
        '#', 260,
        '$', 125,
        '%', 234,
        '&', 235,
        '(', 137,
        ')', 136,
        '*', 236,
        '+', 189,
        ',', 135,
        '-', 192,
        '.', 195,
        '/', 198,
        '0', 430,
        ':', 120,
        ';', 121,
        '<', 212,
        '=', 129,
        '>', 158,
        '?', 227,
        '@', 133,
        '[', 152,
        '\\', 228,
        ']', 153,
        '^', 184,
        'a', 352,
        'c', 313,
        'd', 364,
        'e', 355,
        'g', 334,
        'i', 392,
        'l', 324,
        'm', 276,
        'n', 365,
        'o', 378,
        'p', 366,
        'r', 336,
        's', 277,
        'u', 326,
        'v', 396,
        'x', 199,
        '{', 117,
        '|', 183,
        '}', 118,
        '~', 222,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(431);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(109);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      END_STATE();
    case 110:
      if (eof) ADVANCE(116);
      ADVANCE_MAP(
        0x04, 264,
        '!', 224,
        '#', 260,
        '$', 125,
        '%', 234,
        '&', 235,
        '(', 137,
        ')', 136,
        '*', 236,
        '+', 189,
        ',', 135,
        '-', 192,
        '.', 195,
        '/', 198,
        '0', 430,
        ':', 87,
        ';', 121,
        '<', 212,
        '=', 129,
        '>', 158,
        '?', 227,
        '@', 133,
        '[', 152,
        '\\', 228,
        '^', 184,
        'a', 352,
        'c', 313,
        'd', 364,
        'e', 395,
        'g', 334,
        'i', 392,
        'l', 324,
        'm', 276,
        'n', 365,
        'o', 378,
        'p', 366,
        'r', 336,
        's', 277,
        'u', 326,
        'x', 199,
        '{', 117,
        '|', 183,
        '}', 118,
        '~', 222,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(431);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(110);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      END_STATE();
    case 111:
      if (eof) ADVANCE(116);
      ADVANCE_MAP(
        0x04, 264,
        '!', 223,
        '#', 260,
        '$', 125,
        '%', 234,
        '&', 235,
        '(', 137,
        '*', 236,
        '+', 188,
        '-', 191,
        '.', 84,
        '/', 85,
        '0', 430,
        ':', 87,
        ';', 121,
        '<', 88,
        '@', 133,
        '[', 152,
        '\\', 228,
        'a', 353,
        'c', 314,
        'd', 364,
        'e', 355,
        'g', 377,
        'l', 325,
        'm', 276,
        'n', 365,
        'o', 388,
        'p', 366,
        'r', 336,
        's', 277,
        'u', 326,
        '{', 117,
        '}', 118,
        '~', 221,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(431);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(111);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      END_STATE();
    case 112:
      if (eof) ADVANCE(116);
      ADVANCE_MAP(
        0x04, 264,
        '!', 223,
        '#', 260,
        '$', 125,
        '%', 234,
        '&', 235,
        '(', 137,
        '*', 236,
        '+', 188,
        '-', 191,
        '.', 84,
        '/', 85,
        '0', 430,
        ':', 87,
        ';', 121,
        '<', 88,
        '@', 133,
        '[', 152,
        '\\', 228,
        'a', 353,
        'c', 314,
        'd', 364,
        'e', 395,
        'g', 377,
        'l', 325,
        'm', 276,
        'n', 365,
        'o', 388,
        'p', 366,
        'r', 336,
        's', 277,
        'u', 326,
        '{', 117,
        '}', 118,
        '~', 221,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(431);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(112);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      END_STATE();
    case 113:
      if (eof) ADVANCE(116);
      ADVANCE_MAP(
        0x04, 264,
        '!', 89,
        '#', 260,
        '$', 124,
        '%', 156,
        '&', 186,
        '(', 137,
        ')', 136,
        '*', 197,
        '+', 189,
        ',', 135,
        '-', 192,
        '.', 194,
        '/', 198,
        ':', 120,
        ';', 121,
        '<', 212,
        '=', 129,
        '>', 158,
        '?', 227,
        '[', 152,
      );
      if (lookahead == '\\') SKIP(115);
      if (lookahead == ']') ADVANCE(153);
      if (lookahead == '^') ADVANCE(184);
      if (lookahead == 'a') ADVANCE(363);
      if (lookahead == 'c') ADVANCE(360);
      if (lookahead == 'g') ADVANCE(335);
      if (lookahead == 'i') ADVANCE(392);
      if (lookahead == 'l') ADVANCE(338);
      if (lookahead == 'o') ADVANCE(387);
      if (lookahead == 'x') ADVANCE(199);
      if (lookahead == '{') ADVANCE(117);
      if (lookahead == '|') ADVANCE(183);
      if (lookahead == '}') ADVANCE(118);
      if (lookahead == '~') ADVANCE(100);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(113);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      END_STATE();
    case 114:
      if (eof) ADVANCE(116);
      if (lookahead == '\n') SKIP(113);
      END_STATE();
    case 115:
      if (eof) ADVANCE(116);
      if (lookahead == '\n') SKIP(113);
      if (lookahead == '\r') SKIP(114);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(429);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_class);
      if (lookahead == ':') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_role);
      if (lookahead == ':') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      if (lookahead == '#') ADVANCE(231);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      if (lookahead == '#') ADVANCE(231);
      if (lookahead == '*') ADVANCE(268);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      if (lookahead == '*') ADVANCE(268);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(205);
      if (lookahead == '>') ADVANCE(238);
      if (lookahead == '~') ADVANCE(203);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '>') ADVANCE(238);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE_EQ);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH_EQ);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_AT);
      if (lookahead == '*') ADVANCE(269);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_our);
      if (lookahead == ':') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_our);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_else);
      if (lookahead == ':') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_and);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_and);
      if (lookahead == ':') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(anon_sym_and);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_or);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_or);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'd') ADVANCE(250);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_or);
      if (lookahead == ':') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(anon_sym_or);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(anon_sym_xor);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_xor);
      if (lookahead == ':') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_xor);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(168);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(214);
      if (lookahead == '>') ADVANCE(187);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(173);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_EQ);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(anon_sym_DOT_EQ);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(anon_sym_x_EQ);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(anon_sym_AMP_AMP_EQ);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(anon_sym_DOT_DOT);
      if (lookahead == '.') ADVANCE(140);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == '=') ADVANCE(162);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      if (lookahead == '=') ADVANCE(131);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
      if (lookahead == '=') ADVANCE(132);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(anon_sym_CARET_CARET);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      if (lookahead == '=') ADVANCE(175);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(171);
      if (lookahead == '|') ADVANCE(178);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(172);
      if (lookahead == '^') ADVANCE(181);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(182);
      if (lookahead == '=') ADVANCE(170);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(anon_sym_GT_GT2);
      if (lookahead == '=') ADVANCE(174);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(225);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(225);
      if (lookahead == '=') ADVANCE(163);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(226);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(226);
      if (lookahead == '=') ADVANCE(164);
      if (lookahead == '>') ADVANCE(154);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '>') ADVANCE(265);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(176);
      if (lookahead == '=') ADVANCE(165);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(176);
      if (lookahead == '=') ADVANCE(165);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(436);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(177);
      if (lookahead == '=') ADVANCE(166);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '/') ADVANCE(180);
      if (lookahead == '=') ADVANCE(167);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(anon_sym_x);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == '=') ADVANCE(169);
      if (lookahead == 'o') ADVANCE(380);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(anon_sym_x);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == '=') ADVANCE(169);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(anon_sym_x);
      if (lookahead == '=') ADVANCE(169);
      if (lookahead == 'o') ADVANCE(407);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(anon_sym_x);
      if (lookahead == '=') ADVANCE(169);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(anon_sym_EQ_TILDE);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_BANG_TILDE);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '=') ADVANCE(207);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_EQ_EQ_EQ);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_LT_EQ_GT);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_cmp);
      if (lookahead == ':') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(anon_sym_cmp);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(anon_sym_TILDE_TILDE);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(160);
      if (lookahead == '=') ADVANCE(213);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      if (lookahead == '>') ADVANCE(208);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(anon_sym_le);
      if (lookahead == ':') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(anon_sym_le);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(anon_sym_ge);
      if (lookahead == ':') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(anon_sym_ge);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(anon_sym_isa);
      if (lookahead == ':') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(anon_sym_isa);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(anon_sym_TILDE);
      if (lookahead == '~') ADVANCE(211);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(206);
      if (lookahead == '~') ADVANCE(204);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(anon_sym_do);
      if (lookahead == ':') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(anon_sym_local);
      if (lookahead == ':') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(anon_sym_DOLLAR_POUND);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(anon_sym_map);
      if (lookahead == ':') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(anon_sym_grep);
      if (lookahead == ':') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(anon_sym_PERCENT2);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(anon_sym_AMP2);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(anon_sym_STAR2);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(aux_sym__var_indirob_autoquote_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(237);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(anon_sym_use);
      if (lookahead == ':') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(anon_sym_no);
      if (lookahead == ':') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(anon_sym_redo);
      if (lookahead == ':') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(anon_sym_alarm);
      if (lookahead == ':') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(anon_sym_close);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'd') ADVANCE(351);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(anon_sym_closedir);
      if (lookahead == ':') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(anon_sym_caller);
      if (lookahead == ':') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(anon_sym_cos);
      if (lookahead == ':') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(anon_sym_exp);
      if (lookahead == ':') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(anon_sym_lc);
      if (lookahead == ':') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(anon_sym_log);
      if (lookahead == ':') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(anon_sym_ord);
      if (lookahead == ':') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(anon_sym_pop);
      if (lookahead == ':') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(anon_sym_pos);
      if (lookahead == ':') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(anon_sym_rmdir);
      if (lookahead == ':') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(anon_sym_readdir);
      if (lookahead == ':') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(anon_sym_readpipe);
      if (lookahead == ':') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(anon_sym_scalar);
      if (lookahead == ':') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(anon_sym_sin);
      if (lookahead == ':') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(anon_sym_sleep);
      if (lookahead == ':') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(anon_sym_uc);
      if (lookahead == ':') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(260);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(aux_sym___DATA___token1);
      if (lookahead == '\r') ADVANCE(263);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(263);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(aux_sym___DATA___token1);
      if (lookahead == '#') ADVANCE(260);
      if (lookahead == '\\') ADVANCE(261);
      if ((set_contains(extras_character_set_1, 10, lookahead)) &&
          lookahead != '\n') ADVANCE(262);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(263);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(aux_sym___DATA___token1);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(263);
      END_STATE();
    case 264:
      ACCEPT_TOKEN(anon_sym_EOT);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(anon_sym_DASH_GT2);
      END_STATE();
    case 266:
      ACCEPT_TOKEN(anon_sym_LBRACK2);
      END_STATE();
    case 267:
      ACCEPT_TOKEN(anon_sym_LBRACE2);
      END_STATE();
    case 268:
      ACCEPT_TOKEN(anon_sym_DOLLAR_STAR);
      END_STATE();
    case 269:
      ACCEPT_TOKEN(anon_sym_AT_STAR);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(aux_sym__interpolation_fallbacks_token1);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(aux_sym__interpolation_fallbacks_token1);
      if (lookahead == '#') ADVANCE(260);
      if (lookahead == '\\') ADVANCE(270);
      if (lookahead == '^') ADVANCE(272);
      if (lookahead == '{') ADVANCE(117);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(271);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(271);
      if ((set_contains(sym__identifier_character_set_1, 668, lookahead)) &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          lookahead != '_' &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(273);
      if ((!eof && set_contains(aux_sym__interpolation_fallbacks_token1_character_set_1, 9, lookahead))) ADVANCE(270);
      END_STATE();
    case 272:
      ACCEPT_TOKEN(aux_sym__interpolation_fallbacks_token1);
      if (lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '^' ||
          lookahead == '_' ||
          lookahead == '|') ADVANCE(412);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(aux_sym__interpolation_fallbacks_token1);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 274:
      ACCEPT_TOKEN(aux_sym__interpolation_fallbacks_token2);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(aux_sym__interpolation_fallbacks_token2);
      if (lookahead == '#') ADVANCE(260);
      if (lookahead == '\\') ADVANCE(274);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(275);
      if (lookahead != 0 &&
          lookahead != '#' &&
          lookahead != '$' &&
          lookahead != '@' &&
          lookahead != '[' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(274);
      END_STATE();
    case 276:
      ACCEPT_TOKEN(anon_sym_m);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'a') ADVANCE(373);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 277:
      ACCEPT_TOKEN(anon_sym_s);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'c') ADVANCE(319);
      if (lookahead == 'i') ADVANCE(362);
      if (lookahead == 'l') ADVANCE(347);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 278:
      ACCEPT_TOKEN(sym_quoted_regexp_modifiers);
      if (lookahead == 'a') ADVANCE(292);
      if (lookahead == 'd' ||
          lookahead == 'i' ||
          ('l' <= lookahead && lookahead <= 'p') ||
          lookahead == 's' ||
          lookahead == 'u' ||
          lookahead == 'x') ADVANCE(292);
      END_STATE();
    case 279:
      ACCEPT_TOKEN(sym_quoted_regexp_modifiers);
      if (lookahead == 'a') ADVANCE(288);
      if (lookahead == 'd' ||
          lookahead == 'i' ||
          ('l' <= lookahead && lookahead <= 'p') ||
          lookahead == 's' ||
          lookahead == 'u' ||
          lookahead == 'x') ADVANCE(292);
      END_STATE();
    case 280:
      ACCEPT_TOKEN(sym_quoted_regexp_modifiers);
      if (lookahead == 'd') ADVANCE(292);
      if (lookahead == 'a' ||
          lookahead == 'i' ||
          ('l' <= lookahead && lookahead <= 'p') ||
          lookahead == 's' ||
          lookahead == 'u' ||
          lookahead == 'x') ADVANCE(292);
      END_STATE();
    case 281:
      ACCEPT_TOKEN(sym_quoted_regexp_modifiers);
      if (lookahead == 'i') ADVANCE(284);
      if (lookahead == 'l') ADVANCE(292);
      if (lookahead == 'a' ||
          lookahead == 'd' ||
          ('m' <= lookahead && lookahead <= 'p') ||
          lookahead == 's' ||
          lookahead == 'u' ||
          lookahead == 'x') ADVANCE(292);
      END_STATE();
    case 282:
      ACCEPT_TOKEN(sym_quoted_regexp_modifiers);
      ADVANCE_MAP(
        'l', 278,
        'n', 280,
        'a', 292,
        'd', 292,
        'i', 292,
        'm', 292,
        'o', 292,
        'p', 292,
        's', 292,
        'u', 292,
        'x', 292,
      );
      END_STATE();
    case 283:
      ACCEPT_TOKEN(sym_quoted_regexp_modifiers);
      ADVANCE_MAP(
        'n', 280,
        'a', 292,
        'd', 292,
        'i', 292,
        'l', 292,
        'm', 292,
        'o', 292,
        'p', 292,
        's', 292,
        'u', 292,
        'x', 292,
      );
      END_STATE();
    case 284:
      ACCEPT_TOKEN(sym_quoted_regexp_modifiers);
      ADVANCE_MAP(
        'n', 292,
        'a', 292,
        'd', 292,
        'i', 292,
        'l', 292,
        'm', 292,
        'o', 292,
        'p', 292,
        's', 292,
        'u', 292,
        'x', 292,
      );
      END_STATE();
    case 285:
      ACCEPT_TOKEN(sym_quoted_regexp_modifiers);
      if (lookahead == 'o') ADVANCE(292);
      if (lookahead == 'a' ||
          lookahead == 'd' ||
          lookahead == 'i' ||
          ('l' <= lookahead && lookahead <= 'p') ||
          lookahead == 's' ||
          lookahead == 'u' ||
          lookahead == 'x') ADVANCE(292);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(sym_quoted_regexp_modifiers);
      if (lookahead == 'o') ADVANCE(287);
      if (lookahead == 'a' ||
          lookahead == 'd' ||
          lookahead == 'i' ||
          ('l' <= lookahead && lookahead <= 'p') ||
          lookahead == 's' ||
          lookahead == 'u' ||
          lookahead == 'x') ADVANCE(292);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(sym_quoted_regexp_modifiers);
      if (lookahead == 'p') ADVANCE(292);
      if (lookahead == 's') ADVANCE(292);
      if (lookahead == 'a' ||
          lookahead == 'd' ||
          lookahead == 'i' ||
          ('l' <= lookahead && lookahead <= 'o') ||
          lookahead == 'u' ||
          lookahead == 'x') ADVANCE(292);
      END_STATE();
    case 288:
      ACCEPT_TOKEN(sym_quoted_regexp_modifiers);
      if (lookahead == 'p') ADVANCE(292);
      if (lookahead == 'a' ||
          lookahead == 'd' ||
          lookahead == 'i' ||
          ('l' <= lookahead && lookahead <= 'o') ||
          lookahead == 's' ||
          lookahead == 'u' ||
          lookahead == 'x') ADVANCE(292);
      END_STATE();
    case 289:
      ACCEPT_TOKEN(sym_quoted_regexp_modifiers);
      if (lookahead == 's') ADVANCE(292);
      if (lookahead == 'a' ||
          lookahead == 'd' ||
          lookahead == 'i' ||
          ('l' <= lookahead && lookahead <= 'p') ||
          lookahead == 'u' ||
          lookahead == 'x') ADVANCE(292);
      END_STATE();
    case 290:
      ACCEPT_TOKEN(sym_quoted_regexp_modifiers);
      if (lookahead == 's') ADVANCE(278);
      if (lookahead == 'a' ||
          lookahead == 'd' ||
          lookahead == 'i' ||
          ('l' <= lookahead && lookahead <= 'p') ||
          lookahead == 'u' ||
          lookahead == 'x') ADVANCE(292);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(sym_quoted_regexp_modifiers);
      if (lookahead == 'u') ADVANCE(292);
      if (lookahead == 'a' ||
          lookahead == 'd' ||
          lookahead == 'i' ||
          ('l' <= lookahead && lookahead <= 'p') ||
          lookahead == 's' ||
          lookahead == 'x') ADVANCE(292);
      END_STATE();
    case 292:
      ACCEPT_TOKEN(sym_quoted_regexp_modifiers);
      if (lookahead == 'a' ||
          lookahead == 'd' ||
          lookahead == 'i' ||
          ('l' <= lookahead && lookahead <= 'p') ||
          lookahead == 's' ||
          lookahead == 'u' ||
          lookahead == 'x') ADVANCE(292);
      END_STATE();
    case 293:
      ACCEPT_TOKEN(sym_match_regexp_modifiers);
      if (lookahead == 'a') ADVANCE(300);
      if (lookahead == 'c' ||
          lookahead == 'd' ||
          lookahead == 'g' ||
          lookahead == 'i' ||
          ('l' <= lookahead && lookahead <= 'p') ||
          lookahead == 's' ||
          lookahead == 'u' ||
          lookahead == 'x') ADVANCE(300);
      END_STATE();
    case 294:
      ACCEPT_TOKEN(sym_match_regexp_modifiers);
      if (lookahead == 'd') ADVANCE(300);
      if ((set_contains(sym_substitution_regexp_modifiers_character_set_1, 9, lookahead) ||
          lookahead == 'n') &&
          lookahead != 'd' &&
          lookahead != 'e' &&
          lookahead != 'r') ADVANCE(300);
      END_STATE();
    case 295:
      ACCEPT_TOKEN(sym_match_regexp_modifiers);
      if (lookahead == 'm') ADVANCE(298);
      if ((set_contains(sym_substitution_regexp_modifiers_character_set_1, 9, lookahead) ||
          lookahead == 'n') &&
          lookahead != 'e' &&
          lookahead != 'r') ADVANCE(300);
      END_STATE();
    case 296:
      ACCEPT_TOKEN(sym_match_regexp_modifiers);
      ADVANCE_MAP(
        'n', 294,
        'a', 300,
        'c', 300,
        'd', 300,
        'g', 300,
        'i', 300,
        'l', 300,
        'm', 300,
        'o', 300,
        'p', 300,
        's', 300,
        'u', 300,
        'x', 300,
      );
      END_STATE();
    case 297:
      ACCEPT_TOKEN(sym_match_regexp_modifiers);
      if (lookahead == 'o') ADVANCE(300);
      if ((set_contains(sym_substitution_regexp_modifiers_character_set_1, 9, lookahead) ||
          lookahead == 'n') &&
          lookahead != 'e' &&
          lookahead != 'r') ADVANCE(300);
      END_STATE();
    case 298:
      ACCEPT_TOKEN(sym_match_regexp_modifiers);
      if (lookahead == 'p') ADVANCE(300);
      if ((set_contains(sym_substitution_regexp_modifiers_character_set_1, 9, lookahead) ||
          lookahead == 'n') &&
          lookahead != 'e' &&
          lookahead != 'r') ADVANCE(300);
      END_STATE();
    case 299:
      ACCEPT_TOKEN(sym_match_regexp_modifiers);
      if (lookahead == 's') ADVANCE(293);
      if (lookahead == 'a' ||
          lookahead == 'c' ||
          lookahead == 'd' ||
          lookahead == 'g' ||
          lookahead == 'i' ||
          ('l' <= lookahead && lookahead <= 'p') ||
          lookahead == 'u' ||
          lookahead == 'x') ADVANCE(300);
      END_STATE();
    case 300:
      ACCEPT_TOKEN(sym_match_regexp_modifiers);
      if ((set_contains(sym_substitution_regexp_modifiers_character_set_1, 9, lookahead) ||
          lookahead == 'n') &&
          lookahead != 'e' &&
          lookahead != 'r') ADVANCE(300);
      END_STATE();
    case 301:
      ACCEPT_TOKEN(sym_substitution_regexp_modifiers);
      if (lookahead == 'a') ADVANCE(308);
      if (set_contains(sym_substitution_regexp_modifiers_character_set_1, 9, lookahead)) ADVANCE(308);
      END_STATE();
    case 302:
      ACCEPT_TOKEN(sym_substitution_regexp_modifiers);
      ADVANCE_MAP(
        'e', 308,
        'a', 308,
        'c', 308,
        'd', 308,
        'g', 308,
        'i', 308,
        'l', 308,
        'm', 308,
        'o', 308,
        'p', 308,
        'r', 308,
        's', 308,
        'u', 308,
        'x', 308,
      );
      END_STATE();
    case 303:
      ACCEPT_TOKEN(sym_substitution_regexp_modifiers);
      if (lookahead == 'm') ADVANCE(305);
      if (set_contains(sym_substitution_regexp_modifiers_character_set_1, 9, lookahead)) ADVANCE(308);
      END_STATE();
    case 304:
      ACCEPT_TOKEN(sym_substitution_regexp_modifiers);
      if (lookahead == 'o') ADVANCE(306);
      if (set_contains(sym_substitution_regexp_modifiers_character_set_1, 9, lookahead)) ADVANCE(308);
      END_STATE();
    case 305:
      ACCEPT_TOKEN(sym_substitution_regexp_modifiers);
      if (lookahead == 'p') ADVANCE(308);
      if (set_contains(sym_substitution_regexp_modifiers_character_set_1, 9, lookahead)) ADVANCE(308);
      END_STATE();
    case 306:
      ACCEPT_TOKEN(sym_substitution_regexp_modifiers);
      if (lookahead == 'r') ADVANCE(308);
      if (set_contains(sym_substitution_regexp_modifiers_character_set_1, 9, lookahead)) ADVANCE(308);
      END_STATE();
    case 307:
      ACCEPT_TOKEN(sym_substitution_regexp_modifiers);
      if (lookahead == 's') ADVANCE(301);
      if (set_contains(sym_substitution_regexp_modifiers_character_set_1, 9, lookahead)) ADVANCE(308);
      END_STATE();
    case 308:
      ACCEPT_TOKEN(sym_substitution_regexp_modifiers);
      if (set_contains(sym_substitution_regexp_modifiers_character_set_1, 9, lookahead)) ADVANCE(308);
      END_STATE();
    case 309:
      ACCEPT_TOKEN(sym_transliteration_modifiers);
      if (lookahead == 'c' ||
          lookahead == 'd' ||
          lookahead == 'r' ||
          lookahead == 's') ADVANCE(309);
      END_STATE();
    case 310:
      ACCEPT_TOKEN(aux_sym__interpolated_transliteration_content_token1);
      END_STATE();
    case 311:
      ACCEPT_TOKEN(aux_sym__interpolated_transliteration_content_token1);
      if (lookahead == '#') ADVANCE(260);
      if (lookahead == '\\') ADVANCE(310);
      if ((set_contains(extras_character_set_1, 10, lookahead)) &&
          lookahead != '\n') ADVANCE(311);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(310);
      END_STATE();
    case 312:
      ACCEPT_TOKEN(sym_version);
      if (lookahead == '.') ADVANCE(107);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(312);
      END_STATE();
    case 313:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'a') ADVANCE(359);
      if (lookahead == 'l') ADVANCE(321);
      if (lookahead == 'm') ADVANCE(370);
      if (lookahead == 'o') ADVANCE(389);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 314:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'a') ADVANCE(359);
      if (lookahead == 'l') ADVANCE(321);
      if (lookahead == 'o') ADVANCE(389);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 315:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'a') ADVANCE(359);
      if (lookahead == 'l') ADVANCE(369);
      if (lookahead == 'm') ADVANCE(370);
      if (lookahead == 'o') ADVANCE(389);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 316:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'a') ADVANCE(359);
      if (lookahead == 'l') ADVANCE(369);
      if (lookahead == 'o') ADVANCE(389);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 317:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'a') ADVANCE(219);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 318:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'a') ADVANCE(330);
      if (lookahead == 'd') ADVANCE(367);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 319:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'a') ADVANCE(358);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 320:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'a') ADVANCE(354);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 321:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'a') ADVANCE(393);
      if (lookahead == 'o') ADVANCE(394);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 322:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'a') ADVANCE(382);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 323:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'a') ADVANCE(385);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 324:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'c') ADVANCE(248);
      if (lookahead == 'e') ADVANCE(215);
      if (lookahead == 'o') ADVANCE(328);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 325:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'c') ADVANCE(248);
      if (lookahead == 'o') ADVANCE(328);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 326:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'c') ADVANCE(259);
      if (lookahead == 's') ADVANCE(341);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 327:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'c') ADVANCE(259);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 328:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'c') ADVANCE(320);
      if (lookahead == 'g') ADVANCE(249);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 329:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'd') ADVANCE(348);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 330:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'd') ADVANCE(333);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 331:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'd') ADVANCE(143);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 332:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'd') ADVANCE(250);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 333:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'd') ADVANCE(350);
      if (lookahead == 'p') ADVANCE(349);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 334:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'e') ADVANCE(217);
      if (lookahead == 'r') ADVANCE(344);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 335:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'e') ADVANCE(217);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 336:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'e') ADVANCE(318);
      if (lookahead == 'm') ADVANCE(329);
      if (lookahead == 'o') ADVANCE(356);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 337:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'e') ADVANCE(318);
      if (lookahead == 'm') ADVANCE(329);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 338:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'e') ADVANCE(215);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 339:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'e') ADVANCE(141);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 340:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'e') ADVANCE(123);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 341:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'e') ADVANCE(239);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 342:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'e') ADVANCE(243);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 343:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'e') ADVANCE(255);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 344:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'e') ADVANCE(372);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 345:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'e') ADVANCE(375);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 346:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'e') ADVANCE(383);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 347:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'e') ADVANCE(345);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 348:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'i') ADVANCE(381);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 349:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'i') ADVANCE(376);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 350:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'i') ADVANCE(384);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 351:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'i') ADVANCE(386);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 352:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'l') ADVANCE(322);
      if (lookahead == 'n') ADVANCE(331);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 353:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'l') ADVANCE(322);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 354:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'l') ADVANCE(230);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 355:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'l') ADVANCE(391);
      if (lookahead == 'x') ADVANCE(371);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 356:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'l') ADVANCE(340);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 357:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'l') ADVANCE(346);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 358:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'l') ADVANCE(323);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 359:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'l') ADVANCE(357);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 360:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'm') ADVANCE(370);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 361:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'm') ADVANCE(242);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 362:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'n') ADVANCE(257);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 363:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'n') ADVANCE(331);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 364:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'o') ADVANCE(229);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 365:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'o') ADVANCE(240);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 366:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'o') ADVANCE(374);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 367:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'o') ADVANCE(241);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 368:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'o') ADVANCE(380);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 369:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'o') ADVANCE(394);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 370:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'p') ADVANCE(209);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 371:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'p') ADVANCE(247);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 372:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'p') ADVANCE(233);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 373:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'p') ADVANCE(232);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 374:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'p') ADVANCE(251);
      if (lookahead == 's') ADVANCE(252);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 375:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'p') ADVANCE(258);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 376:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'p') ADVANCE(343);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 377:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'r') ADVANCE(344);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 378:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'r') ADVANCE(146);
      if (lookahead == 'u') ADVANCE(379);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 379:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'r') ADVANCE(138);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 380:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'r') ADVANCE(150);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 381:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'r') ADVANCE(253);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 382:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'r') ADVANCE(361);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 383:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'r') ADVANCE(245);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 384:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'r') ADVANCE(254);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 385:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'r') ADVANCE(256);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 386:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'r') ADVANCE(244);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 387:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'r') ADVANCE(147);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 388:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'r') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(379);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 389:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 's') ADVANCE(246);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 390:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 's') ADVANCE(122);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 391:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 's') ADVANCE(339);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 392:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 's') ADVANCE(317);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 393:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 's') ADVANCE(390);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 394:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 's') ADVANCE(342);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 395:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'x') ADVANCE(371);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 396:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(312);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 397:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 398:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(220);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 399:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'd') ADVANCE(144);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 400:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(218);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 401:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(216);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 402:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'm') ADVANCE(405);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 403:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(399);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 404:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'o') ADVANCE(407);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 405:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'p') ADVANCE(210);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 406:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'r') ADVANCE(148);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 407:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'r') ADVANCE(151);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 408:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'r') ADVANCE(139);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 409:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 's') ADVANCE(398);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 410:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'u') ADVANCE(408);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 411:
      ACCEPT_TOKEN(sym__identifier);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 412:
      ACCEPT_TOKEN(aux_sym__ident_special_token1);
      END_STATE();
    case 413:
      ACCEPT_TOKEN(aux_sym__ident_special_token1);
      ADVANCE_MAP(
        '!', 223,
        '#', 260,
        '$', 125,
        '%', 234,
        '&', 235,
        '(', 137,
        '*', 236,
        '+', 188,
        '-', 191,
        '.', 419,
        '/', 420,
        '0', 417,
        ':', 421,
        ';', 121,
        '<', 422,
        '@', 133,
        '[', 152,
        '\\', 228,
        '^', 425,
        'a', 353,
        'c', 314,
        'd', 364,
        'e', 395,
        'g', 377,
        'l', 325,
        'm', 276,
        'n', 365,
        'o', 388,
        'p', 366,
        'r', 336,
        's', 277,
        'u', 326,
        '{', 117,
        '}', 118,
        '~', 221,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(418);
      if ((set_contains(extras_character_set_1, 10, lookahead)) &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ') ADVANCE(413);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '!') ADVANCE(412);
      END_STATE();
    case 414:
      ACCEPT_TOKEN(aux_sym__ident_special_token1);
      if (lookahead == '#') ADVANCE(260);
      if (lookahead == '$') ADVANCE(124);
      if (lookahead == '*') ADVANCE(196);
      if (lookahead == ':') ADVANCE(421);
      if (lookahead == '\\') ADVANCE(412);
      if (lookahead == '^') ADVANCE(427);
      if (lookahead == '{') ADVANCE(117);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(426);
      if ((set_contains(extras_character_set_1, 10, lookahead)) &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ') ADVANCE(414);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ') ADVANCE(412);
      END_STATE();
    case 415:
      ACCEPT_TOKEN(aux_sym__ident_special_token1);
      if (lookahead == '#') ADVANCE(260);
      if (lookahead == '$') ADVANCE(124);
      if (lookahead == ':') ADVANCE(421);
      if (lookahead == '\\') ADVANCE(412);
      if (lookahead == '^') ADVANCE(427);
      if (lookahead == '{') ADVANCE(117);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(426);
      if ((set_contains(extras_character_set_1, 10, lookahead)) &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ') ADVANCE(415);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ') ADVANCE(412);
      END_STATE();
    case 416:
      ACCEPT_TOKEN(aux_sym__ident_special_token1);
      if (lookahead == '#') ADVANCE(260);
      if (lookahead == '$') ADVANCE(124);
      if (lookahead == '\\') ADVANCE(412);
      if (lookahead == '^') ADVANCE(427);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(426);
      if ((set_contains(extras_character_set_1, 10, lookahead)) &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ') ADVANCE(416);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ') ADVANCE(412);
      END_STATE();
    case 417:
      ACCEPT_TOKEN(aux_sym__ident_special_token1);
      ADVANCE_MAP(
        '.', 437,
        '_', 106,
        'B', 102,
        'b', 102,
        'E', 101,
        'e', 101,
        'X', 108,
        'x', 108,
        '8', 423,
        '9', 423,
      );
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(424);
      END_STATE();
    case 418:
      ACCEPT_TOKEN(aux_sym__ident_special_token1);
      if (lookahead == '.') ADVANCE(437);
      if (lookahead == '_') ADVANCE(104);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(101);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(418);
      END_STATE();
    case 419:
      ACCEPT_TOKEN(aux_sym__ident_special_token1);
      if (lookahead == '.') ADVANCE(83);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(436);
      END_STATE();
    case 420:
      ACCEPT_TOKEN(aux_sym__ident_special_token1);
      if (lookahead == '/') ADVANCE(179);
      END_STATE();
    case 421:
      ACCEPT_TOKEN(aux_sym__ident_special_token1);
      if (lookahead == ':') ADVANCE(429);
      END_STATE();
    case 422:
      ACCEPT_TOKEN(aux_sym__ident_special_token1);
      if (lookahead == '<') ADVANCE(159);
      END_STATE();
    case 423:
      ACCEPT_TOKEN(aux_sym__ident_special_token1);
      if (lookahead == '_') ADVANCE(106);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(423);
      END_STATE();
    case 424:
      ACCEPT_TOKEN(aux_sym__ident_special_token1);
      if (lookahead == '_') ADVANCE(103);
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(423);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(424);
      END_STATE();
    case 425:
      ACCEPT_TOKEN(aux_sym__ident_special_token1);
      if (lookahead == '?' ||
          lookahead == '^' ||
          lookahead == '|') ADVANCE(412);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(237);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(237);
      END_STATE();
    case 426:
      ACCEPT_TOKEN(aux_sym__ident_special_token1);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(426);
      END_STATE();
    case 427:
      ACCEPT_TOKEN(aux_sym__ident_special_token1);
      if (lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '^' ||
          lookahead == '_' ||
          lookahead == '|') ADVANCE(412);
      END_STATE();
    case 428:
      ACCEPT_TOKEN(aux_sym__bareword_token1);
      if (lookahead == ':') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(428);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(428);
      END_STATE();
    case 429:
      ACCEPT_TOKEN(aux_sym__bareword_token1);
      if (lookahead == ':') ADVANCE(87);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(428);
      END_STATE();
    case 430:
      ACCEPT_TOKEN(sym_number);
      ADVANCE_MAP(
        '.', 437,
        '_', 106,
        'B', 102,
        'b', 102,
        'E', 101,
        'e', 101,
        'X', 108,
        'x', 108,
        '8', 432,
        '9', 432,
      );
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(435);
      END_STATE();
    case 431:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(437);
      if (lookahead == '_') ADVANCE(104);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(101);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(431);
      END_STATE();
    case 432:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(106);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(432);
      END_STATE();
    case 433:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(102);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(433);
      END_STATE();
    case 434:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(108);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(434);
      END_STATE();
    case 435:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(103);
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(432);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(435);
      END_STATE();
    case 436:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(105);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(101);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(436);
      END_STATE();
    case 437:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(101);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(436);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == 'A') ADVANCE(1);
      if (lookahead == 'B') ADVANCE(2);
      if (lookahead == 'C') ADVANCE(3);
      if (lookahead == 'E') ADVANCE(4);
      if (lookahead == 'I') ADVANCE(5);
      if (lookahead == 'U') ADVANCE(6);
      if (lookahead == '\\') SKIP(7);
      if (lookahead == '_') ADVANCE(8);
      if (lookahead == 'a') ADVANCE(9);
      if (lookahead == 'b') ADVANCE(10);
      if (lookahead == 'c') ADVANCE(11);
      if (lookahead == 'd') ADVANCE(12);
      if (lookahead == 'e') ADVANCE(13);
      if (lookahead == 'f') ADVANCE(14);
      if (lookahead == 'g') ADVANCE(15);
      if (lookahead == 'h') ADVANCE(16);
      if (lookahead == 'i') ADVANCE(17);
      if (lookahead == 'k') ADVANCE(18);
      if (lookahead == 'l') ADVANCE(19);
      if (lookahead == 'm') ADVANCE(20);
      if (lookahead == 'n') ADVANCE(21);
      if (lookahead == 'o') ADVANCE(22);
      if (lookahead == 'p') ADVANCE(23);
      if (lookahead == 'q') ADVANCE(24);
      if (lookahead == 'r') ADVANCE(25);
      if (lookahead == 's') ADVANCE(26);
      if (lookahead == 't') ADVANCE(27);
      if (lookahead == 'u') ADVANCE(28);
      if (lookahead == 'v') ADVANCE(29);
      if (lookahead == 'w') ADVANCE(30);
      if (lookahead == 'y') ADVANCE(31);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(0);
      END_STATE();
    case 1:
      if (lookahead == 'D') ADVANCE(32);
      END_STATE();
    case 2:
      if (lookahead == 'E') ADVANCE(33);
      if (lookahead == 'U') ADVANCE(34);
      END_STATE();
    case 3:
      if (lookahead == 'H') ADVANCE(35);
      END_STATE();
    case 4:
      if (lookahead == 'N') ADVANCE(36);
      END_STATE();
    case 5:
      if (lookahead == 'N') ADVANCE(37);
      END_STATE();
    case 6:
      if (lookahead == 'N') ADVANCE(38);
      END_STATE();
    case 7:
      if (lookahead == '\n') SKIP(0);
      if (lookahead == '\r') SKIP(39);
      END_STATE();
    case 8:
      if (lookahead == '_') ADVANCE(40);
      END_STATE();
    case 9:
      if (lookahead == 'b') ADVANCE(41);
      if (lookahead == 's') ADVANCE(42);
      if (lookahead == 'w') ADVANCE(43);
      END_STATE();
    case 10:
      if (lookahead == 'r') ADVANCE(44);
      END_STATE();
    case 11:
      if (lookahead == 'a') ADVANCE(45);
      if (lookahead == 'h') ADVANCE(46);
      if (lookahead == 'o') ADVANCE(47);
      END_STATE();
    case 12:
      if (lookahead == 'b') ADVANCE(48);
      if (lookahead == 'e') ADVANCE(49);
      if (lookahead == 'y') ADVANCE(50);
      END_STATE();
    case 13:
      if (lookahead == 'a') ADVANCE(51);
      if (lookahead == 'l') ADVANCE(52);
      if (lookahead == 'o') ADVANCE(53);
      if (lookahead == 'q') ADVANCE(54);
      if (lookahead == 'v') ADVANCE(55);
      if (lookahead == 'x') ADVANCE(56);
      END_STATE();
    case 14:
      if (lookahead == 'a') ADVANCE(57);
      if (lookahead == 'c') ADVANCE(58);
      if (lookahead == 'i') ADVANCE(59);
      if (lookahead == 'o') ADVANCE(60);
      END_STATE();
    case 15:
      if (lookahead == 'e') ADVANCE(61);
      if (lookahead == 'm') ADVANCE(62);
      if (lookahead == 'o') ADVANCE(63);
      if (lookahead == 't') ADVANCE(64);
      END_STATE();
    case 16:
      if (lookahead == 'e') ADVANCE(65);
      END_STATE();
    case 17:
      if (lookahead == 'f') ADVANCE(66);
      if (lookahead == 'n') ADVANCE(67);
      END_STATE();
    case 18:
      if (lookahead == 'e') ADVANCE(68);
      END_STATE();
    case 19:
      if (lookahead == 'a') ADVANCE(69);
      if (lookahead == 'c') ADVANCE(70);
      if (lookahead == 'e') ADVANCE(71);
      if (lookahead == 'o') ADVANCE(72);
      if (lookahead == 's') ADVANCE(73);
      if (lookahead == 't') ADVANCE(74);
      END_STATE();
    case 20:
      if (lookahead == 'e') ADVANCE(75);
      if (lookahead == 'y') ADVANCE(76);
      END_STATE();
    case 21:
      if (lookahead == 'e') ADVANCE(77);
      END_STATE();
    case 22:
      if (lookahead == 'c') ADVANCE(78);
      END_STATE();
    case 23:
      if (lookahead == 'a') ADVANCE(79);
      if (lookahead == 'r') ADVANCE(80);
      END_STATE();
    case 24:
      ACCEPT_TOKEN(anon_sym_q);
      if (lookahead == 'q') ADVANCE(81);
      if (lookahead == 'r') ADVANCE(82);
      if (lookahead == 'u') ADVANCE(83);
      if (lookahead == 'w') ADVANCE(84);
      if (lookahead == 'x') ADVANCE(85);
      END_STATE();
    case 25:
      if (lookahead == 'a') ADVANCE(86);
      if (lookahead == 'e') ADVANCE(87);
      END_STATE();
    case 26:
      if (lookahead == 'h') ADVANCE(88);
      if (lookahead == 'o') ADVANCE(89);
      if (lookahead == 'q') ADVANCE(90);
      if (lookahead == 'r') ADVANCE(91);
      if (lookahead == 't') ADVANCE(92);
      if (lookahead == 'u') ADVANCE(93);
      END_STATE();
    case 27:
      if (lookahead == 'e') ADVANCE(94);
      if (lookahead == 'i') ADVANCE(95);
      if (lookahead == 'r') ADVANCE(96);
      END_STATE();
    case 28:
      if (lookahead == 'c') ADVANCE(97);
      if (lookahead == 'm') ADVANCE(98);
      if (lookahead == 'n') ADVANCE(99);
      END_STATE();
    case 29:
      if (lookahead == 'a') ADVANCE(100);
      END_STATE();
    case 30:
      if (lookahead == 'a') ADVANCE(101);
      if (lookahead == 'h') ADVANCE(102);
      if (lookahead == 'r') ADVANCE(103);
      END_STATE();
    case 31:
      ACCEPT_TOKEN(anon_sym_y);
      END_STATE();
    case 32:
      if (lookahead == 'J') ADVANCE(104);
      END_STATE();
    case 33:
      if (lookahead == 'G') ADVANCE(105);
      END_STATE();
    case 34:
      if (lookahead == 'I') ADVANCE(106);
      END_STATE();
    case 35:
      if (lookahead == 'E') ADVANCE(107);
      END_STATE();
    case 36:
      if (lookahead == 'D') ADVANCE(108);
      END_STATE();
    case 37:
      if (lookahead == 'I') ADVANCE(109);
      END_STATE();
    case 38:
      if (lookahead == 'I') ADVANCE(110);
      END_STATE();
    case 39:
      if (lookahead == '\n') SKIP(0);
      END_STATE();
    case 40:
      if (lookahead == 'D') ADVANCE(111);
      if (lookahead == 'E') ADVANCE(112);
      if (lookahead == 'F') ADVANCE(113);
      if (lookahead == 'L') ADVANCE(114);
      if (lookahead == 'P') ADVANCE(115);
      if (lookahead == 'S') ADVANCE(116);
      END_STATE();
    case 41:
      if (lookahead == 's') ADVANCE(117);
      END_STATE();
    case 42:
      if (lookahead == 'y') ADVANCE(118);
      END_STATE();
    case 43:
      if (lookahead == 'a') ADVANCE(119);
      END_STATE();
    case 44:
      if (lookahead == 'e') ADVANCE(120);
      END_STATE();
    case 45:
      if (lookahead == 't') ADVANCE(121);
      END_STATE();
    case 46:
      if (lookahead == 'd') ADVANCE(122);
      if (lookahead == 'o') ADVANCE(123);
      if (lookahead == 'r') ADVANCE(124);
      END_STATE();
    case 47:
      if (lookahead == 'n') ADVANCE(125);
      END_STATE();
    case 48:
      if (lookahead == 'm') ADVANCE(126);
      END_STATE();
    case 49:
      if (lookahead == 'f') ADVANCE(127);
      if (lookahead == 'l') ADVANCE(128);
      END_STATE();
    case 50:
      if (lookahead == 'n') ADVANCE(129);
      END_STATE();
    case 51:
      if (lookahead == 'c') ADVANCE(130);
      END_STATE();
    case 52:
      if (lookahead == 's') ADVANCE(131);
      END_STATE();
    case 53:
      if (lookahead == 'f') ADVANCE(132);
      END_STATE();
    case 54:
      ACCEPT_TOKEN(anon_sym_eq);
      if (lookahead == 'r') ADVANCE(133);
      if (lookahead == 'u') ADVANCE(134);
      END_STATE();
    case 55:
      if (lookahead == 'a') ADVANCE(135);
      END_STATE();
    case 56:
      if (lookahead == 'i') ADVANCE(136);
      if (lookahead == 't') ADVANCE(137);
      END_STATE();
    case 57:
      if (lookahead == 'l') ADVANCE(138);
      END_STATE();
    case 58:
      ACCEPT_TOKEN(anon_sym_fc);
      END_STATE();
    case 59:
      if (lookahead == 'e') ADVANCE(139);
      if (lookahead == 'l') ADVANCE(140);
      if (lookahead == 'n') ADVANCE(141);
      END_STATE();
    case 60:
      if (lookahead == 'r') ADVANCE(142);
      END_STATE();
    case 61:
      if (lookahead == 't') ADVANCE(143);
      END_STATE();
    case 62:
      if (lookahead == 't') ADVANCE(144);
      END_STATE();
    case 63:
      if (lookahead == 't') ADVANCE(145);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(anon_sym_gt);
      END_STATE();
    case 65:
      if (lookahead == 'x') ADVANCE(146);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 67:
      if (lookahead == 't') ADVANCE(147);
      END_STATE();
    case 68:
      if (lookahead == 'y') ADVANCE(148);
      END_STATE();
    case 69:
      if (lookahead == 's') ADVANCE(149);
      END_STATE();
    case 70:
      if (lookahead == 'f') ADVANCE(150);
      END_STATE();
    case 71:
      if (lookahead == 'n') ADVANCE(151);
      END_STATE();
    case 72:
      if (lookahead == 'c') ADVANCE(152);
      END_STATE();
    case 73:
      if (lookahead == 't') ADVANCE(153);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_lt);
      END_STATE();
    case 75:
      if (lookahead == 't') ADVANCE(154);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_my);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_ne);
      if (lookahead == 'x') ADVANCE(155);
      END_STATE();
    case 78:
      if (lookahead == 't') ADVANCE(156);
      END_STATE();
    case 79:
      if (lookahead == 'c') ADVANCE(157);
      END_STATE();
    case 80:
      if (lookahead == 'o') ADVANCE(158);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_qq);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_qr);
      END_STATE();
    case 83:
      if (lookahead == 'o') ADVANCE(159);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_qw);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_qx);
      END_STATE();
    case 86:
      if (lookahead == 'n') ADVANCE(160);
      END_STATE();
    case 87:
      if (lookahead == 'a') ADVANCE(161);
      if (lookahead == 'f') ADVANCE(162);
      if (lookahead == 'q') ADVANCE(163);
      if (lookahead == 's') ADVANCE(164);
      if (lookahead == 't') ADVANCE(165);
      if (lookahead == 'w') ADVANCE(166);
      END_STATE();
    case 88:
      if (lookahead == 'i') ADVANCE(167);
      END_STATE();
    case 89:
      if (lookahead == 'r') ADVANCE(168);
      END_STATE();
    case 90:
      if (lookahead == 'r') ADVANCE(169);
      END_STATE();
    case 91:
      if (lookahead == 'a') ADVANCE(170);
      END_STATE();
    case 92:
      if (lookahead == 'a') ADVANCE(171);
      if (lookahead == 'u') ADVANCE(172);
      END_STATE();
    case 93:
      if (lookahead == 'b') ADVANCE(173);
      END_STATE();
    case 94:
      if (lookahead == 'l') ADVANCE(174);
      END_STATE();
    case 95:
      if (lookahead == 'e') ADVANCE(175);
      if (lookahead == 'm') ADVANCE(176);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_tr);
      if (lookahead == 'u') ADVANCE(177);
      if (lookahead == 'y') ADVANCE(178);
      END_STATE();
    case 97:
      if (lookahead == 'f') ADVANCE(179);
      END_STATE();
    case 98:
      if (lookahead == 'a') ADVANCE(180);
      END_STATE();
    case 99:
      if (lookahead == 'd') ADVANCE(181);
      if (lookahead == 'l') ADVANCE(182);
      if (lookahead == 't') ADVANCE(183);
      END_STATE();
    case 100:
      if (lookahead == 'l') ADVANCE(184);
      END_STATE();
    case 101:
      if (lookahead == 'i') ADVANCE(185);
      if (lookahead == 'n') ADVANCE(186);
      END_STATE();
    case 102:
      if (lookahead == 'i') ADVANCE(187);
      END_STATE();
    case 103:
      if (lookahead == 'i') ADVANCE(188);
      END_STATE();
    case 104:
      if (lookahead == 'U') ADVANCE(189);
      END_STATE();
    case 105:
      if (lookahead == 'I') ADVANCE(190);
      END_STATE();
    case 106:
      if (lookahead == 'L') ADVANCE(191);
      END_STATE();
    case 107:
      if (lookahead == 'C') ADVANCE(192);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_END);
      END_STATE();
    case 109:
      if (lookahead == 'T') ADVANCE(193);
      END_STATE();
    case 110:
      if (lookahead == 'T') ADVANCE(194);
      END_STATE();
    case 111:
      if (lookahead == 'A') ADVANCE(195);
      END_STATE();
    case 112:
      if (lookahead == 'N') ADVANCE(196);
      END_STATE();
    case 113:
      if (lookahead == 'I') ADVANCE(197);
      END_STATE();
    case 114:
      if (lookahead == 'I') ADVANCE(198);
      END_STATE();
    case 115:
      if (lookahead == 'A') ADVANCE(199);
      END_STATE();
    case 116:
      if (lookahead == 'U') ADVANCE(200);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_abs);
      END_STATE();
    case 118:
      if (lookahead == 'n') ADVANCE(201);
      END_STATE();
    case 119:
      if (lookahead == 'i') ADVANCE(202);
      END_STATE();
    case 120:
      if (lookahead == 'a') ADVANCE(203);
      END_STATE();
    case 121:
      if (lookahead == 'c') ADVANCE(204);
      END_STATE();
    case 122:
      if (lookahead == 'i') ADVANCE(205);
      END_STATE();
    case 123:
      if (lookahead == 'm') ADVANCE(206);
      if (lookahead == 'p') ADVANCE(207);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_chr);
      if (lookahead == 'o') ADVANCE(208);
      END_STATE();
    case 125:
      if (lookahead == 't') ADVANCE(209);
      END_STATE();
    case 126:
      if (lookahead == 'c') ADVANCE(210);
      END_STATE();
    case 127:
      if (lookahead == 'e') ADVANCE(211);
      if (lookahead == 'i') ADVANCE(212);
      END_STATE();
    case 128:
      if (lookahead == 'e') ADVANCE(213);
      END_STATE();
    case 129:
      if (lookahead == 'a') ADVANCE(214);
      END_STATE();
    case 130:
      if (lookahead == 'h') ADVANCE(215);
      END_STATE();
    case 131:
      if (lookahead == 'i') ADVANCE(216);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_eof);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_eqr);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_equ);
      END_STATE();
    case 135:
      if (lookahead == 'l') ADVANCE(217);
      END_STATE();
    case 136:
      if (lookahead == 's') ADVANCE(218);
      if (lookahead == 't') ADVANCE(219);
      END_STATE();
    case 137:
      if (lookahead == 'e') ADVANCE(220);
      END_STATE();
    case 138:
      if (lookahead == 's') ADVANCE(221);
      END_STATE();
    case 139:
      if (lookahead == 'l') ADVANCE(222);
      END_STATE();
    case 140:
      if (lookahead == 'e') ADVANCE(223);
      END_STATE();
    case 141:
      if (lookahead == 'a') ADVANCE(224);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_for);
      if (lookahead == 'e') ADVANCE(225);
      if (lookahead == 'k') ADVANCE(226);
      END_STATE();
    case 143:
      if (lookahead == 'c') ADVANCE(227);
      if (lookahead == 'g') ADVANCE(228);
      if (lookahead == 'n') ADVANCE(229);
      if (lookahead == 'p') ADVANCE(230);
      if (lookahead == 's') ADVANCE(231);
      END_STATE();
    case 144:
      if (lookahead == 'i') ADVANCE(232);
      END_STATE();
    case 145:
      if (lookahead == 'o') ADVANCE(233);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_hex);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_int);
      END_STATE();
    case 148:
      if (lookahead == 's') ADVANCE(234);
      END_STATE();
    case 149:
      if (lookahead == 't') ADVANCE(235);
      END_STATE();
    case 150:
      if (lookahead == 'i') ADVANCE(236);
      END_STATE();
    case 151:
      if (lookahead == 'g') ADVANCE(237);
      END_STATE();
    case 152:
      if (lookahead == 'a') ADVANCE(238);
      if (lookahead == 'k') ADVANCE(239);
      END_STATE();
    case 153:
      if (lookahead == 'a') ADVANCE(240);
      END_STATE();
    case 154:
      if (lookahead == 'h') ADVANCE(241);
      END_STATE();
    case 155:
      if (lookahead == 't') ADVANCE(242);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(anon_sym_oct);
      END_STATE();
    case 157:
      if (lookahead == 'k') ADVANCE(243);
      END_STATE();
    case 158:
      if (lookahead == 't') ADVANCE(244);
      END_STATE();
    case 159:
      if (lookahead == 't') ADVANCE(245);
      END_STATE();
    case 160:
      if (lookahead == 'd') ADVANCE(246);
      END_STATE();
    case 161:
      if (lookahead == 'd') ADVANCE(247);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(anon_sym_ref);
      END_STATE();
    case 163:
      if (lookahead == 'u') ADVANCE(248);
      END_STATE();
    case 164:
      if (lookahead == 'e') ADVANCE(249);
      END_STATE();
    case 165:
      if (lookahead == 'u') ADVANCE(250);
      END_STATE();
    case 166:
      if (lookahead == 'i') ADVANCE(251);
      END_STATE();
    case 167:
      if (lookahead == 'f') ADVANCE(252);
      END_STATE();
    case 168:
      if (lookahead == 't') ADVANCE(253);
      END_STATE();
    case 169:
      if (lookahead == 't') ADVANCE(254);
      END_STATE();
    case 170:
      if (lookahead == 'n') ADVANCE(255);
      END_STATE();
    case 171:
      if (lookahead == 't') ADVANCE(256);
      END_STATE();
    case 172:
      if (lookahead == 'd') ADVANCE(257);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(anon_sym_sub);
      END_STATE();
    case 174:
      if (lookahead == 'l') ADVANCE(258);
      END_STATE();
    case 175:
      if (lookahead == 'd') ADVANCE(259);
      END_STATE();
    case 176:
      if (lookahead == 'e') ADVANCE(260);
      END_STATE();
    case 177:
      if (lookahead == 'e') ADVANCE(261);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 179:
      if (lookahead == 'i') ADVANCE(262);
      END_STATE();
    case 180:
      if (lookahead == 's') ADVANCE(263);
      END_STATE();
    case 181:
      if (lookahead == 'e') ADVANCE(264);
      END_STATE();
    case 182:
      if (lookahead == 'e') ADVANCE(265);
      END_STATE();
    case 183:
      if (lookahead == 'i') ADVANCE(266);
      END_STATE();
    case 184:
      if (lookahead == 'u') ADVANCE(267);
      END_STATE();
    case 185:
      if (lookahead == 't') ADVANCE(268);
      END_STATE();
    case 186:
      if (lookahead == 't') ADVANCE(269);
      END_STATE();
    case 187:
      if (lookahead == 'l') ADVANCE(270);
      END_STATE();
    case 188:
      if (lookahead == 't') ADVANCE(271);
      END_STATE();
    case 189:
      if (lookahead == 'S') ADVANCE(272);
      END_STATE();
    case 190:
      if (lookahead == 'N') ADVANCE(273);
      END_STATE();
    case 191:
      if (lookahead == 'D') ADVANCE(274);
      END_STATE();
    case 192:
      if (lookahead == 'K') ADVANCE(275);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(anon_sym_INIT);
      END_STATE();
    case 194:
      if (lookahead == 'C') ADVANCE(276);
      END_STATE();
    case 195:
      if (lookahead == 'T') ADVANCE(277);
      END_STATE();
    case 196:
      if (lookahead == 'D') ADVANCE(278);
      END_STATE();
    case 197:
      if (lookahead == 'L') ADVANCE(279);
      END_STATE();
    case 198:
      if (lookahead == 'N') ADVANCE(280);
      END_STATE();
    case 199:
      if (lookahead == 'C') ADVANCE(281);
      END_STATE();
    case 200:
      if (lookahead == 'B') ADVANCE(282);
      END_STATE();
    case 201:
      if (lookahead == 'c') ADVANCE(283);
      END_STATE();
    case 202:
      if (lookahead == 't') ADVANCE(284);
      END_STATE();
    case 203:
      if (lookahead == 'k') ADVANCE(285);
      END_STATE();
    case 204:
      if (lookahead == 'h') ADVANCE(286);
      END_STATE();
    case 205:
      if (lookahead == 'r') ADVANCE(287);
      END_STATE();
    case 206:
      if (lookahead == 'p') ADVANCE(288);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_chop);
      END_STATE();
    case 208:
      if (lookahead == 'o') ADVANCE(289);
      END_STATE();
    case 209:
      if (lookahead == 'i') ADVANCE(290);
      END_STATE();
    case 210:
      if (lookahead == 'l') ADVANCE(291);
      END_STATE();
    case 211:
      if (lookahead == 'r') ADVANCE(292);
      END_STATE();
    case 212:
      if (lookahead == 'n') ADVANCE(293);
      END_STATE();
    case 213:
      if (lookahead == 't') ADVANCE(294);
      END_STATE();
    case 214:
      if (lookahead == 'm') ADVANCE(295);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(anon_sym_each);
      END_STATE();
    case 216:
      if (lookahead == 'f') ADVANCE(296);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(anon_sym_eval);
      END_STATE();
    case 218:
      if (lookahead == 't') ADVANCE(297);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(anon_sym_exit);
      END_STATE();
    case 220:
      if (lookahead == 'n') ADVANCE(298);
      END_STATE();
    case 221:
      if (lookahead == 'e') ADVANCE(299);
      END_STATE();
    case 222:
      if (lookahead == 'd') ADVANCE(300);
      END_STATE();
    case 223:
      if (lookahead == 'n') ADVANCE(301);
      END_STATE();
    case 224:
      if (lookahead == 'l') ADVANCE(302);
      END_STATE();
    case 225:
      if (lookahead == 'a') ADVANCE(303);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(anon_sym_fork);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(anon_sym_getc);
      END_STATE();
    case 228:
      if (lookahead == 'r') ADVANCE(304);
      END_STATE();
    case 229:
      if (lookahead == 'e') ADVANCE(305);
      END_STATE();
    case 230:
      if (lookahead == 'e') ADVANCE(306);
      if (lookahead == 'g') ADVANCE(307);
      if (lookahead == 'p') ADVANCE(308);
      if (lookahead == 'r') ADVANCE(309);
      if (lookahead == 'w') ADVANCE(310);
      END_STATE();
    case 231:
      if (lookahead == 'o') ADVANCE(311);
      END_STATE();
    case 232:
      if (lookahead == 'm') ADVANCE(312);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(anon_sym_goto);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(anon_sym_keys);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(anon_sym_last);
      END_STATE();
    case 236:
      if (lookahead == 'r') ADVANCE(313);
      END_STATE();
    case 237:
      if (lookahead == 't') ADVANCE(314);
      END_STATE();
    case 238:
      if (lookahead == 'l') ADVANCE(315);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(anon_sym_lock);
      END_STATE();
    case 240:
      if (lookahead == 't') ADVANCE(316);
      END_STATE();
    case 241:
      if (lookahead == 'o') ADVANCE(317);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(anon_sym_next);
      END_STATE();
    case 243:
      if (lookahead == 'a') ADVANCE(318);
      END_STATE();
    case 244:
      if (lookahead == 'o') ADVANCE(319);
      END_STATE();
    case 245:
      if (lookahead == 'e') ADVANCE(320);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(anon_sym_rand);
      END_STATE();
    case 247:
      if (lookahead == 'l') ADVANCE(321);
      END_STATE();
    case 248:
      if (lookahead == 'i') ADVANCE(322);
      END_STATE();
    case 249:
      if (lookahead == 't') ADVANCE(323);
      END_STATE();
    case 250:
      if (lookahead == 'r') ADVANCE(324);
      END_STATE();
    case 251:
      if (lookahead == 'n') ADVANCE(325);
      END_STATE();
    case 252:
      if (lookahead == 't') ADVANCE(326);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(anon_sym_sort);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(anon_sym_sqrt);
      END_STATE();
    case 255:
      if (lookahead == 'd') ADVANCE(327);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(anon_sym_stat);
      if (lookahead == 'e') ADVANCE(328);
      END_STATE();
    case 257:
      if (lookahead == 'y') ADVANCE(329);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(anon_sym_tell);
      if (lookahead == 'd') ADVANCE(330);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(anon_sym_tied);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(anon_sym_time);
      if (lookahead == 's') ADVANCE(331);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(anon_sym_true);
      END_STATE();
    case 262:
      if (lookahead == 'r') ADVANCE(332);
      END_STATE();
    case 263:
      if (lookahead == 'k') ADVANCE(333);
      END_STATE();
    case 264:
      if (lookahead == 'f') ADVANCE(334);
      END_STATE();
    case 265:
      if (lookahead == 's') ADVANCE(335);
      END_STATE();
    case 266:
      if (lookahead == 'e') ADVANCE(336);
      if (lookahead == 'l') ADVANCE(337);
      END_STATE();
    case 267:
      if (lookahead == 'e') ADVANCE(338);
      END_STATE();
    case 268:
      ACCEPT_TOKEN(anon_sym_wait);
      END_STATE();
    case 269:
      if (lookahead == 'a') ADVANCE(339);
      END_STATE();
    case 270:
      if (lookahead == 'e') ADVANCE(340);
      END_STATE();
    case 271:
      if (lookahead == 'e') ADVANCE(341);
      END_STATE();
    case 272:
      if (lookahead == 'T') ADVANCE(342);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(anon_sym_BEGIN);
      END_STATE();
    case 274:
      ACCEPT_TOKEN(anon_sym_BUILD);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(anon_sym_CHECK);
      END_STATE();
    case 276:
      if (lookahead == 'H') ADVANCE(343);
      END_STATE();
    case 277:
      if (lookahead == 'A') ADVANCE(344);
      END_STATE();
    case 278:
      if (lookahead == '_') ADVANCE(345);
      END_STATE();
    case 279:
      if (lookahead == 'E') ADVANCE(346);
      END_STATE();
    case 280:
      if (lookahead == 'E') ADVANCE(347);
      END_STATE();
    case 281:
      if (lookahead == 'K') ADVANCE(348);
      END_STATE();
    case 282:
      if (lookahead == '_') ADVANCE(349);
      END_STATE();
    case 283:
      ACCEPT_TOKEN(anon_sym_async);
      END_STATE();
    case 284:
      ACCEPT_TOKEN(anon_sym_await);
      END_STATE();
    case 285:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(anon_sym_catch);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(anon_sym_chdir);
      END_STATE();
    case 288:
      ACCEPT_TOKEN(anon_sym_chomp);
      END_STATE();
    case 289:
      if (lookahead == 't') ADVANCE(350);
      END_STATE();
    case 290:
      if (lookahead == 'n') ADVANCE(351);
      END_STATE();
    case 291:
      if (lookahead == 'o') ADVANCE(352);
      END_STATE();
    case 292:
      ACCEPT_TOKEN(anon_sym_defer);
      END_STATE();
    case 293:
      if (lookahead == 'e') ADVANCE(353);
      END_STATE();
    case 294:
      if (lookahead == 'e') ADVANCE(354);
      END_STATE();
    case 295:
      if (lookahead == 'i') ADVANCE(355);
      END_STATE();
    case 296:
      ACCEPT_TOKEN(anon_sym_elsif);
      END_STATE();
    case 297:
      if (lookahead == 's') ADVANCE(356);
      END_STATE();
    case 298:
      if (lookahead == 'd') ADVANCE(357);
      END_STATE();
    case 299:
      ACCEPT_TOKEN(anon_sym_false);
      END_STATE();
    case 300:
      ACCEPT_TOKEN(anon_sym_field);
      END_STATE();
    case 301:
      if (lookahead == 'o') ADVANCE(358);
      END_STATE();
    case 302:
      if (lookahead == 'l') ADVANCE(359);
      END_STATE();
    case 303:
      if (lookahead == 'c') ADVANCE(360);
      END_STATE();
    case 304:
      if (lookahead == 'g') ADVANCE(361);
      if (lookahead == 'n') ADVANCE(362);
      END_STATE();
    case 305:
      if (lookahead == 't') ADVANCE(363);
      END_STATE();
    case 306:
      if (lookahead == 'e') ADVANCE(364);
      END_STATE();
    case 307:
      if (lookahead == 'r') ADVANCE(365);
      END_STATE();
    case 308:
      if (lookahead == 'i') ADVANCE(366);
      END_STATE();
    case 309:
      if (lookahead == 'o') ADVANCE(367);
      END_STATE();
    case 310:
      if (lookahead == 'n') ADVANCE(368);
      if (lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 311:
      if (lookahead == 'c') ADVANCE(370);
      END_STATE();
    case 312:
      if (lookahead == 'e') ADVANCE(371);
      END_STATE();
    case 313:
      if (lookahead == 's') ADVANCE(372);
      END_STATE();
    case 314:
      if (lookahead == 'h') ADVANCE(373);
      END_STATE();
    case 315:
      if (lookahead == 't') ADVANCE(374);
      END_STATE();
    case 316:
      ACCEPT_TOKEN(anon_sym_lstat);
      END_STATE();
    case 317:
      if (lookahead == 'd') ADVANCE(375);
      END_STATE();
    case 318:
      if (lookahead == 'g') ADVANCE(376);
      END_STATE();
    case 319:
      if (lookahead == 't') ADVANCE(377);
      END_STATE();
    case 320:
      if (lookahead == 'm') ADVANCE(378);
      END_STATE();
    case 321:
      if (lookahead == 'i') ADVANCE(379);
      END_STATE();
    case 322:
      if (lookahead == 'r') ADVANCE(380);
      END_STATE();
    case 323:
      ACCEPT_TOKEN(anon_sym_reset);
      END_STATE();
    case 324:
      if (lookahead == 'n') ADVANCE(381);
      END_STATE();
    case 325:
      if (lookahead == 'd') ADVANCE(382);
      END_STATE();
    case 326:
      ACCEPT_TOKEN(anon_sym_shift);
      END_STATE();
    case 327:
      ACCEPT_TOKEN(anon_sym_srand);
      END_STATE();
    case 328:
      ACCEPT_TOKEN(anon_sym_state);
      END_STATE();
    case 329:
      ACCEPT_TOKEN(anon_sym_study);
      END_STATE();
    case 330:
      if (lookahead == 'i') ADVANCE(383);
      END_STATE();
    case 331:
      ACCEPT_TOKEN(anon_sym_times);
      END_STATE();
    case 332:
      if (lookahead == 's') ADVANCE(384);
      END_STATE();
    case 333:
      ACCEPT_TOKEN(anon_sym_umask);
      END_STATE();
    case 334:
      ACCEPT_TOKEN(anon_sym_undef);
      END_STATE();
    case 335:
      if (lookahead == 's') ADVANCE(385);
      END_STATE();
    case 336:
      ACCEPT_TOKEN(anon_sym_untie);
      END_STATE();
    case 337:
      ACCEPT_TOKEN(anon_sym_until);
      END_STATE();
    case 338:
      if (lookahead == 's') ADVANCE(386);
      END_STATE();
    case 339:
      if (lookahead == 'r') ADVANCE(387);
      END_STATE();
    case 340:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 341:
      ACCEPT_TOKEN(anon_sym_write);
      END_STATE();
    case 342:
      ACCEPT_TOKEN(anon_sym_ADJUST);
      END_STATE();
    case 343:
      if (lookahead == 'E') ADVANCE(388);
      END_STATE();
    case 344:
      if (lookahead == '_') ADVANCE(389);
      END_STATE();
    case 345:
      if (lookahead == '_') ADVANCE(390);
      END_STATE();
    case 346:
      if (lookahead == '_') ADVANCE(391);
      END_STATE();
    case 347:
      if (lookahead == '_') ADVANCE(392);
      END_STATE();
    case 348:
      if (lookahead == 'A') ADVANCE(393);
      END_STATE();
    case 349:
      if (lookahead == '_') ADVANCE(394);
      END_STATE();
    case 350:
      ACCEPT_TOKEN(anon_sym_chroot);
      END_STATE();
    case 351:
      if (lookahead == 'u') ADVANCE(395);
      END_STATE();
    case 352:
      if (lookahead == 's') ADVANCE(396);
      END_STATE();
    case 353:
      if (lookahead == 'd') ADVANCE(397);
      END_STATE();
    case 354:
      ACCEPT_TOKEN(anon_sym_delete);
      END_STATE();
    case 355:
      if (lookahead == 'c') ADVANCE(398);
      END_STATE();
    case 356:
      ACCEPT_TOKEN(anon_sym_exists);
      END_STATE();
    case 357:
      if (lookahead == 'e') ADVANCE(399);
      END_STATE();
    case 358:
      ACCEPT_TOKEN(anon_sym_fileno);
      END_STATE();
    case 359:
      if (lookahead == 'y') ADVANCE(400);
      END_STATE();
    case 360:
      if (lookahead == 'h') ADVANCE(401);
      END_STATE();
    case 361:
      if (lookahead == 'i') ADVANCE(402);
      END_STATE();
    case 362:
      if (lookahead == 'a') ADVANCE(403);
      END_STATE();
    case 363:
      if (lookahead == 'b') ADVANCE(404);
      END_STATE();
    case 364:
      if (lookahead == 'r') ADVANCE(405);
      END_STATE();
    case 365:
      if (lookahead == 'p') ADVANCE(406);
      END_STATE();
    case 366:
      if (lookahead == 'd') ADVANCE(407);
      END_STATE();
    case 367:
      if (lookahead == 't') ADVANCE(408);
      END_STATE();
    case 368:
      if (lookahead == 'a') ADVANCE(409);
      END_STATE();
    case 369:
      if (lookahead == 'i') ADVANCE(410);
      END_STATE();
    case 370:
      if (lookahead == 'k') ADVANCE(411);
      END_STATE();
    case 371:
      ACCEPT_TOKEN(anon_sym_gmtime);
      END_STATE();
    case 372:
      if (lookahead == 't') ADVANCE(412);
      END_STATE();
    case 373:
      ACCEPT_TOKEN(anon_sym_length);
      END_STATE();
    case 374:
      if (lookahead == 'i') ADVANCE(413);
      END_STATE();
    case 375:
      ACCEPT_TOKEN(anon_sym_method);
      END_STATE();
    case 376:
      if (lookahead == 'e') ADVANCE(414);
      END_STATE();
    case 377:
      if (lookahead == 'y') ADVANCE(415);
      END_STATE();
    case 378:
      if (lookahead == 'e') ADVANCE(416);
      END_STATE();
    case 379:
      if (lookahead == 'n') ADVANCE(417);
      END_STATE();
    case 380:
      if (lookahead == 'e') ADVANCE(418);
      END_STATE();
    case 381:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 382:
      if (lookahead == 'd') ADVANCE(419);
      END_STATE();
    case 383:
      if (lookahead == 'r') ADVANCE(420);
      END_STATE();
    case 384:
      if (lookahead == 't') ADVANCE(421);
      END_STATE();
    case 385:
      ACCEPT_TOKEN(anon_sym_unless);
      END_STATE();
    case 386:
      ACCEPT_TOKEN(anon_sym_values);
      END_STATE();
    case 387:
      if (lookahead == 'r') ADVANCE(422);
      END_STATE();
    case 388:
      if (lookahead == 'C') ADVANCE(423);
      END_STATE();
    case 389:
      if (lookahead == '_') ADVANCE(424);
      END_STATE();
    case 390:
      ACCEPT_TOKEN(anon_sym___END__);
      END_STATE();
    case 391:
      if (lookahead == '_') ADVANCE(425);
      END_STATE();
    case 392:
      if (lookahead == '_') ADVANCE(426);
      END_STATE();
    case 393:
      if (lookahead == 'G') ADVANCE(427);
      END_STATE();
    case 394:
      ACCEPT_TOKEN(anon_sym___SUB__);
      END_STATE();
    case 395:
      if (lookahead == 'e') ADVANCE(428);
      END_STATE();
    case 396:
      if (lookahead == 'e') ADVANCE(429);
      END_STATE();
    case 397:
      ACCEPT_TOKEN(anon_sym_defined);
      END_STATE();
    case 398:
      if (lookahead == 'a') ADVANCE(430);
      END_STATE();
    case 399:
      if (lookahead == 'd') ADVANCE(431);
      END_STATE();
    case 400:
      ACCEPT_TOKEN(anon_sym_finally);
      END_STATE();
    case 401:
      ACCEPT_TOKEN(anon_sym_foreach);
      END_STATE();
    case 402:
      if (lookahead == 'd') ADVANCE(432);
      END_STATE();
    case 403:
      if (lookahead == 'm') ADVANCE(433);
      END_STATE();
    case 404:
      if (lookahead == 'y') ADVANCE(434);
      END_STATE();
    case 405:
      if (lookahead == 'n') ADVANCE(435);
      END_STATE();
    case 406:
      ACCEPT_TOKEN(anon_sym_getpgrp);
      END_STATE();
    case 407:
      ACCEPT_TOKEN(anon_sym_getppid);
      END_STATE();
    case 408:
      if (lookahead == 'o') ADVANCE(436);
      END_STATE();
    case 409:
      if (lookahead == 'm') ADVANCE(437);
      END_STATE();
    case 410:
      if (lookahead == 'd') ADVANCE(438);
      END_STATE();
    case 411:
      if (lookahead == 'n') ADVANCE(439);
      END_STATE();
    case 412:
      ACCEPT_TOKEN(anon_sym_lcfirst);
      END_STATE();
    case 413:
      if (lookahead == 'm') ADVANCE(440);
      END_STATE();
    case 414:
      ACCEPT_TOKEN(anon_sym_package);
      END_STATE();
    case 415:
      if (lookahead == 'p') ADVANCE(441);
      END_STATE();
    case 416:
      if (lookahead == 't') ADVANCE(442);
      END_STATE();
    case 417:
      if (lookahead == 'e') ADVANCE(443);
      if (lookahead == 'k') ADVANCE(444);
      END_STATE();
    case 418:
      ACCEPT_TOKEN(anon_sym_require);
      END_STATE();
    case 419:
      if (lookahead == 'i') ADVANCE(445);
      END_STATE();
    case 420:
      ACCEPT_TOKEN(anon_sym_telldir);
      END_STATE();
    case 421:
      ACCEPT_TOKEN(anon_sym_ucfirst);
      END_STATE();
    case 422:
      if (lookahead == 'a') ADVANCE(446);
      END_STATE();
    case 423:
      if (lookahead == 'K') ADVANCE(447);
      END_STATE();
    case 424:
      ACCEPT_TOKEN(anon_sym___DATA__);
      END_STATE();
    case 425:
      ACCEPT_TOKEN(anon_sym___FILE__);
      END_STATE();
    case 426:
      ACCEPT_TOKEN(anon_sym___LINE__);
      END_STATE();
    case 427:
      if (lookahead == 'E') ADVANCE(448);
      END_STATE();
    case 428:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 429:
      ACCEPT_TOKEN(anon_sym_dbmclose);
      END_STATE();
    case 430:
      if (lookahead == 'l') ADVANCE(449);
      END_STATE();
    case 431:
      ACCEPT_TOKEN(anon_sym_extended);
      END_STATE();
    case 432:
      ACCEPT_TOKEN(anon_sym_getgrgid);
      END_STATE();
    case 433:
      ACCEPT_TOKEN(anon_sym_getgrnam);
      END_STATE();
    case 434:
      if (lookahead == 'n') ADVANCE(450);
      END_STATE();
    case 435:
      if (lookahead == 'a') ADVANCE(451);
      END_STATE();
    case 436:
      if (lookahead == 'b') ADVANCE(452);
      END_STATE();
    case 437:
      if (lookahead == 'e') ADVANCE(453);
      END_STATE();
    case 438:
      ACCEPT_TOKEN(anon_sym_getpwuid);
      END_STATE();
    case 439:
      if (lookahead == 'a') ADVANCE(454);
      END_STATE();
    case 440:
      if (lookahead == 'e') ADVANCE(455);
      END_STATE();
    case 441:
      if (lookahead == 'e') ADVANCE(456);
      END_STATE();
    case 442:
      if (lookahead == 'a') ADVANCE(457);
      END_STATE();
    case 443:
      ACCEPT_TOKEN(anon_sym_readline);
      END_STATE();
    case 444:
      ACCEPT_TOKEN(anon_sym_readlink);
      END_STATE();
    case 445:
      if (lookahead == 'r') ADVANCE(458);
      END_STATE();
    case 446:
      if (lookahead == 'y') ADVANCE(459);
      END_STATE();
    case 447:
      ACCEPT_TOKEN(anon_sym_UNITCHECK);
      END_STATE();
    case 448:
      if (lookahead == '_') ADVANCE(460);
      END_STATE();
    case 449:
      if (lookahead == 'l') ADVANCE(461);
      END_STATE();
    case 450:
      if (lookahead == 'a') ADVANCE(462);
      END_STATE();
    case 451:
      if (lookahead == 'm') ADVANCE(463);
      END_STATE();
    case 452:
      if (lookahead == 'y') ADVANCE(464);
      END_STATE();
    case 453:
      ACCEPT_TOKEN(anon_sym_getpwname);
      END_STATE();
    case 454:
      if (lookahead == 'm') ADVANCE(465);
      END_STATE();
    case 455:
      ACCEPT_TOKEN(anon_sym_localtime);
      END_STATE();
    case 456:
      ACCEPT_TOKEN(anon_sym_prototype);
      END_STATE();
    case 457:
      ACCEPT_TOKEN(anon_sym_quotemeta);
      END_STATE();
    case 458:
      ACCEPT_TOKEN(anon_sym_rewinddir);
      END_STATE();
    case 459:
      ACCEPT_TOKEN(anon_sym_wantarray);
      END_STATE();
    case 460:
      if (lookahead == '_') ADVANCE(466);
      END_STATE();
    case 461:
      if (lookahead == 'y') ADVANCE(467);
      END_STATE();
    case 462:
      if (lookahead == 'm') ADVANCE(468);
      END_STATE();
    case 463:
      if (lookahead == 'e') ADVANCE(469);
      END_STATE();
    case 464:
      if (lookahead == 'n') ADVANCE(470);
      END_STATE();
    case 465:
      if (lookahead == 'e') ADVANCE(471);
      END_STATE();
    case 466:
      ACCEPT_TOKEN(anon_sym___PACKAGE__);
      END_STATE();
    case 467:
      ACCEPT_TOKEN(anon_sym_dynamically);
      END_STATE();
    case 468:
      if (lookahead == 'e') ADVANCE(472);
      END_STATE();
    case 469:
      ACCEPT_TOKEN(anon_sym_getpeername);
      END_STATE();
    case 470:
      if (lookahead == 'a') ADVANCE(473);
      END_STATE();
    case 471:
      ACCEPT_TOKEN(anon_sym_getsockname);
      END_STATE();
    case 472:
      ACCEPT_TOKEN(anon_sym_getnetbyname);
      END_STATE();
    case 473:
      if (lookahead == 'm') ADVANCE(474);
      END_STATE();
    case 474:
      if (lookahead == 'e') ADVANCE(475);
      END_STATE();
    case 475:
      ACCEPT_TOKEN(anon_sym_getprotobyname);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 112, .external_lex_state = 2},
  [2] = {.lex_state = 1, .external_lex_state = 3},
  [3] = {.lex_state = 1, .external_lex_state = 3},
  [4] = {.lex_state = 1, .external_lex_state = 3},
  [5] = {.lex_state = 1, .external_lex_state = 3},
  [6] = {.lex_state = 1, .external_lex_state = 3},
  [7] = {.lex_state = 1, .external_lex_state = 3},
  [8] = {.lex_state = 1, .external_lex_state = 3},
  [9] = {.lex_state = 1, .external_lex_state = 3},
  [10] = {.lex_state = 1, .external_lex_state = 3},
  [11] = {.lex_state = 1, .external_lex_state = 3},
  [12] = {.lex_state = 1, .external_lex_state = 4},
  [13] = {.lex_state = 1, .external_lex_state = 4},
  [14] = {.lex_state = 1, .external_lex_state = 4},
  [15] = {.lex_state = 1, .external_lex_state = 4},
  [16] = {.lex_state = 1, .external_lex_state = 4},
  [17] = {.lex_state = 112, .external_lex_state = 2},
  [18] = {.lex_state = 54, .external_lex_state = 5},
  [19] = {.lex_state = 54, .external_lex_state = 5},
  [20] = {.lex_state = 51, .external_lex_state = 4},
  [21] = {.lex_state = 51, .external_lex_state = 4},
  [22] = {.lex_state = 54, .external_lex_state = 5},
  [23] = {.lex_state = 54, .external_lex_state = 5},
  [24] = {.lex_state = 54, .external_lex_state = 5},
  [25] = {.lex_state = 54, .external_lex_state = 5},
  [26] = {.lex_state = 54, .external_lex_state = 5},
  [27] = {.lex_state = 54, .external_lex_state = 5},
  [28] = {.lex_state = 112, .external_lex_state = 2},
  [29] = {.lex_state = 54, .external_lex_state = 5},
  [30] = {.lex_state = 54, .external_lex_state = 5},
  [31] = {.lex_state = 54, .external_lex_state = 5},
  [32] = {.lex_state = 54, .external_lex_state = 5},
  [33] = {.lex_state = 54, .external_lex_state = 5},
  [34] = {.lex_state = 54, .external_lex_state = 5},
  [35] = {.lex_state = 54, .external_lex_state = 5},
  [36] = {.lex_state = 54, .external_lex_state = 5},
  [37] = {.lex_state = 54, .external_lex_state = 5},
  [38] = {.lex_state = 54, .external_lex_state = 5},
  [39] = {.lex_state = 54, .external_lex_state = 5},
  [40] = {.lex_state = 54, .external_lex_state = 5},
  [41] = {.lex_state = 54, .external_lex_state = 5},
  [42] = {.lex_state = 54, .external_lex_state = 5},
  [43] = {.lex_state = 54, .external_lex_state = 5},
  [44] = {.lex_state = 51, .external_lex_state = 6},
  [45] = {.lex_state = 54, .external_lex_state = 5},
  [46] = {.lex_state = 54, .external_lex_state = 5},
  [47] = {.lex_state = 54, .external_lex_state = 5},
  [48] = {.lex_state = 54, .external_lex_state = 5},
  [49] = {.lex_state = 54, .external_lex_state = 5},
  [50] = {.lex_state = 51, .external_lex_state = 6},
  [51] = {.lex_state = 51, .external_lex_state = 4},
  [52] = {.lex_state = 51, .external_lex_state = 4},
  [53] = {.lex_state = 51, .external_lex_state = 4},
  [54] = {.lex_state = 51, .external_lex_state = 4},
  [55] = {.lex_state = 51, .external_lex_state = 4},
  [56] = {.lex_state = 51, .external_lex_state = 4},
  [57] = {.lex_state = 51, .external_lex_state = 6},
  [58] = {.lex_state = 51, .external_lex_state = 6},
  [59] = {.lex_state = 51, .external_lex_state = 4},
  [60] = {.lex_state = 51, .external_lex_state = 4},
  [61] = {.lex_state = 51, .external_lex_state = 6},
  [62] = {.lex_state = 51, .external_lex_state = 4},
  [63] = {.lex_state = 51, .external_lex_state = 4},
  [64] = {.lex_state = 112, .external_lex_state = 4},
  [65] = {.lex_state = 112, .external_lex_state = 4},
  [66] = {.lex_state = 112, .external_lex_state = 4},
  [67] = {.lex_state = 112, .external_lex_state = 4},
  [68] = {.lex_state = 112, .external_lex_state = 4},
  [69] = {.lex_state = 112, .external_lex_state = 4},
  [70] = {.lex_state = 112, .external_lex_state = 4},
  [71] = {.lex_state = 51, .external_lex_state = 4},
  [72] = {.lex_state = 112, .external_lex_state = 4},
  [73] = {.lex_state = 112, .external_lex_state = 4},
  [74] = {.lex_state = 112, .external_lex_state = 4},
  [75] = {.lex_state = 112, .external_lex_state = 4},
  [76] = {.lex_state = 112, .external_lex_state = 4},
  [77] = {.lex_state = 112, .external_lex_state = 4},
  [78] = {.lex_state = 112, .external_lex_state = 4},
  [79] = {.lex_state = 112, .external_lex_state = 4},
  [80] = {.lex_state = 112, .external_lex_state = 4},
  [81] = {.lex_state = 112, .external_lex_state = 4},
  [82] = {.lex_state = 112, .external_lex_state = 4},
  [83] = {.lex_state = 112, .external_lex_state = 4},
  [84] = {.lex_state = 51, .external_lex_state = 4},
  [85] = {.lex_state = 112, .external_lex_state = 4},
  [86] = {.lex_state = 51, .external_lex_state = 4},
  [87] = {.lex_state = 112, .external_lex_state = 4},
  [88] = {.lex_state = 112, .external_lex_state = 4},
  [89] = {.lex_state = 112, .external_lex_state = 4},
  [90] = {.lex_state = 112, .external_lex_state = 4},
  [91] = {.lex_state = 112, .external_lex_state = 4},
  [92] = {.lex_state = 112, .external_lex_state = 4},
  [93] = {.lex_state = 112, .external_lex_state = 4},
  [94] = {.lex_state = 112, .external_lex_state = 4},
  [95] = {.lex_state = 112, .external_lex_state = 4},
  [96] = {.lex_state = 112, .external_lex_state = 4},
  [97] = {.lex_state = 112, .external_lex_state = 4},
  [98] = {.lex_state = 112, .external_lex_state = 4},
  [99] = {.lex_state = 112, .external_lex_state = 4},
  [100] = {.lex_state = 112, .external_lex_state = 4},
  [101] = {.lex_state = 112, .external_lex_state = 4},
  [102] = {.lex_state = 112, .external_lex_state = 4},
  [103] = {.lex_state = 112, .external_lex_state = 4},
  [104] = {.lex_state = 112, .external_lex_state = 4},
  [105] = {.lex_state = 112, .external_lex_state = 4},
  [106] = {.lex_state = 112, .external_lex_state = 4},
  [107] = {.lex_state = 112, .external_lex_state = 4},
  [108] = {.lex_state = 112, .external_lex_state = 4},
  [109] = {.lex_state = 112, .external_lex_state = 4},
  [110] = {.lex_state = 112, .external_lex_state = 4},
  [111] = {.lex_state = 112, .external_lex_state = 4},
  [112] = {.lex_state = 112, .external_lex_state = 4},
  [113] = {.lex_state = 112, .external_lex_state = 4},
  [114] = {.lex_state = 112, .external_lex_state = 4},
  [115] = {.lex_state = 112, .external_lex_state = 4},
  [116] = {.lex_state = 112, .external_lex_state = 4},
  [117] = {.lex_state = 112, .external_lex_state = 4},
  [118] = {.lex_state = 112, .external_lex_state = 4},
  [119] = {.lex_state = 112, .external_lex_state = 4},
  [120] = {.lex_state = 112, .external_lex_state = 4},
  [121] = {.lex_state = 112, .external_lex_state = 4},
  [122] = {.lex_state = 112, .external_lex_state = 4},
  [123] = {.lex_state = 112, .external_lex_state = 4},
  [124] = {.lex_state = 112, .external_lex_state = 4},
  [125] = {.lex_state = 112, .external_lex_state = 4},
  [126] = {.lex_state = 112, .external_lex_state = 4},
  [127] = {.lex_state = 112, .external_lex_state = 4},
  [128] = {.lex_state = 112, .external_lex_state = 4},
  [129] = {.lex_state = 112, .external_lex_state = 4},
  [130] = {.lex_state = 112, .external_lex_state = 4},
  [131] = {.lex_state = 112, .external_lex_state = 4},
  [132] = {.lex_state = 112, .external_lex_state = 4},
  [133] = {.lex_state = 112, .external_lex_state = 4},
  [134] = {.lex_state = 112, .external_lex_state = 4},
  [135] = {.lex_state = 112, .external_lex_state = 4},
  [136] = {.lex_state = 112, .external_lex_state = 4},
  [137] = {.lex_state = 112, .external_lex_state = 4},
  [138] = {.lex_state = 112, .external_lex_state = 4},
  [139] = {.lex_state = 112, .external_lex_state = 4},
  [140] = {.lex_state = 112, .external_lex_state = 4},
  [141] = {.lex_state = 112, .external_lex_state = 4},
  [142] = {.lex_state = 112, .external_lex_state = 4},
  [143] = {.lex_state = 112, .external_lex_state = 4},
  [144] = {.lex_state = 112, .external_lex_state = 4},
  [145] = {.lex_state = 112, .external_lex_state = 4},
  [146] = {.lex_state = 112, .external_lex_state = 4},
  [147] = {.lex_state = 112, .external_lex_state = 4},
  [148] = {.lex_state = 112, .external_lex_state = 4},
  [149] = {.lex_state = 112, .external_lex_state = 4},
  [150] = {.lex_state = 112, .external_lex_state = 4},
  [151] = {.lex_state = 112, .external_lex_state = 4},
  [152] = {.lex_state = 112, .external_lex_state = 4},
  [153] = {.lex_state = 112, .external_lex_state = 4},
  [154] = {.lex_state = 2, .external_lex_state = 3},
  [155] = {.lex_state = 2, .external_lex_state = 3},
  [156] = {.lex_state = 52, .external_lex_state = 5},
  [157] = {.lex_state = 52, .external_lex_state = 5},
  [158] = {.lex_state = 52, .external_lex_state = 5},
  [159] = {.lex_state = 52, .external_lex_state = 5},
  [160] = {.lex_state = 52, .external_lex_state = 5},
  [161] = {.lex_state = 52, .external_lex_state = 4},
  [162] = {.lex_state = 52, .external_lex_state = 4},
  [163] = {.lex_state = 52, .external_lex_state = 5},
  [164] = {.lex_state = 52, .external_lex_state = 5},
  [165] = {.lex_state = 52, .external_lex_state = 5},
  [166] = {.lex_state = 55, .external_lex_state = 6},
  [167] = {.lex_state = 52, .external_lex_state = 4},
  [168] = {.lex_state = 52, .external_lex_state = 5},
  [169] = {.lex_state = 52, .external_lex_state = 4},
  [170] = {.lex_state = 52, .external_lex_state = 5},
  [171] = {.lex_state = 2, .external_lex_state = 4},
  [172] = {.lex_state = 52, .external_lex_state = 5},
  [173] = {.lex_state = 55, .external_lex_state = 6},
  [174] = {.lex_state = 52, .external_lex_state = 5},
  [175] = {.lex_state = 52, .external_lex_state = 5},
  [176] = {.lex_state = 52, .external_lex_state = 5},
  [177] = {.lex_state = 52, .external_lex_state = 5},
  [178] = {.lex_state = 52, .external_lex_state = 5},
  [179] = {.lex_state = 52, .external_lex_state = 5},
  [180] = {.lex_state = 52, .external_lex_state = 5},
  [181] = {.lex_state = 52, .external_lex_state = 5},
  [182] = {.lex_state = 52, .external_lex_state = 5},
  [183] = {.lex_state = 52, .external_lex_state = 5},
  [184] = {.lex_state = 52, .external_lex_state = 5},
  [185] = {.lex_state = 52, .external_lex_state = 5},
  [186] = {.lex_state = 52, .external_lex_state = 5},
  [187] = {.lex_state = 52, .external_lex_state = 5},
  [188] = {.lex_state = 52, .external_lex_state = 5},
  [189] = {.lex_state = 52, .external_lex_state = 5},
  [190] = {.lex_state = 55, .external_lex_state = 6},
  [191] = {.lex_state = 52, .external_lex_state = 5},
  [192] = {.lex_state = 52, .external_lex_state = 5},
  [193] = {.lex_state = 52, .external_lex_state = 5},
  [194] = {.lex_state = 52, .external_lex_state = 5},
  [195] = {.lex_state = 52, .external_lex_state = 5},
  [196] = {.lex_state = 52, .external_lex_state = 4},
  [197] = {.lex_state = 52, .external_lex_state = 5},
  [198] = {.lex_state = 52, .external_lex_state = 5},
  [199] = {.lex_state = 52, .external_lex_state = 5},
  [200] = {.lex_state = 52, .external_lex_state = 5},
  [201] = {.lex_state = 52, .external_lex_state = 5},
  [202] = {.lex_state = 52, .external_lex_state = 5},
  [203] = {.lex_state = 52, .external_lex_state = 5},
  [204] = {.lex_state = 52, .external_lex_state = 5},
  [205] = {.lex_state = 52, .external_lex_state = 5},
  [206] = {.lex_state = 52, .external_lex_state = 5},
  [207] = {.lex_state = 52, .external_lex_state = 5},
  [208] = {.lex_state = 52, .external_lex_state = 5},
  [209] = {.lex_state = 52, .external_lex_state = 5},
  [210] = {.lex_state = 52, .external_lex_state = 5},
  [211] = {.lex_state = 52, .external_lex_state = 5},
  [212] = {.lex_state = 52, .external_lex_state = 5},
  [213] = {.lex_state = 52, .external_lex_state = 5},
  [214] = {.lex_state = 52, .external_lex_state = 5},
  [215] = {.lex_state = 52, .external_lex_state = 5},
  [216] = {.lex_state = 52, .external_lex_state = 5},
  [217] = {.lex_state = 52, .external_lex_state = 5},
  [218] = {.lex_state = 52, .external_lex_state = 5},
  [219] = {.lex_state = 52, .external_lex_state = 5},
  [220] = {.lex_state = 52, .external_lex_state = 5},
  [221] = {.lex_state = 52, .external_lex_state = 5},
  [222] = {.lex_state = 52, .external_lex_state = 5},
  [223] = {.lex_state = 52, .external_lex_state = 5},
  [224] = {.lex_state = 52, .external_lex_state = 5},
  [225] = {.lex_state = 52, .external_lex_state = 5},
  [226] = {.lex_state = 52, .external_lex_state = 5},
  [227] = {.lex_state = 52, .external_lex_state = 5},
  [228] = {.lex_state = 52, .external_lex_state = 5},
  [229] = {.lex_state = 52, .external_lex_state = 5},
  [230] = {.lex_state = 52, .external_lex_state = 7},
  [231] = {.lex_state = 52, .external_lex_state = 7},
  [232] = {.lex_state = 52, .external_lex_state = 7},
  [233] = {.lex_state = 52, .external_lex_state = 7},
  [234] = {.lex_state = 52, .external_lex_state = 4},
  [235] = {.lex_state = 52, .external_lex_state = 4},
  [236] = {.lex_state = 52, .external_lex_state = 7},
  [237] = {.lex_state = 52, .external_lex_state = 4},
  [238] = {.lex_state = 52, .external_lex_state = 4},
  [239] = {.lex_state = 52, .external_lex_state = 4},
  [240] = {.lex_state = 52, .external_lex_state = 7},
  [241] = {.lex_state = 52, .external_lex_state = 7},
  [242] = {.lex_state = 52, .external_lex_state = 7},
  [243] = {.lex_state = 52, .external_lex_state = 7},
  [244] = {.lex_state = 52, .external_lex_state = 7},
  [245] = {.lex_state = 52, .external_lex_state = 4},
  [246] = {.lex_state = 52, .external_lex_state = 6},
  [247] = {.lex_state = 52, .external_lex_state = 4},
  [248] = {.lex_state = 52, .external_lex_state = 4},
  [249] = {.lex_state = 52, .external_lex_state = 4},
  [250] = {.lex_state = 52, .external_lex_state = 4},
  [251] = {.lex_state = 52, .external_lex_state = 4},
  [252] = {.lex_state = 52, .external_lex_state = 4},
  [253] = {.lex_state = 52, .external_lex_state = 4},
  [254] = {.lex_state = 52, .external_lex_state = 4},
  [255] = {.lex_state = 52, .external_lex_state = 4},
  [256] = {.lex_state = 52, .external_lex_state = 4},
  [257] = {.lex_state = 52, .external_lex_state = 4},
  [258] = {.lex_state = 52, .external_lex_state = 4},
  [259] = {.lex_state = 52, .external_lex_state = 4},
  [260] = {.lex_state = 52, .external_lex_state = 4},
  [261] = {.lex_state = 52, .external_lex_state = 6},
  [262] = {.lex_state = 52, .external_lex_state = 4},
  [263] = {.lex_state = 52, .external_lex_state = 4},
  [264] = {.lex_state = 52, .external_lex_state = 4},
  [265] = {.lex_state = 52, .external_lex_state = 4},
  [266] = {.lex_state = 52, .external_lex_state = 4},
  [267] = {.lex_state = 52, .external_lex_state = 4},
  [268] = {.lex_state = 52, .external_lex_state = 4},
  [269] = {.lex_state = 52, .external_lex_state = 4},
  [270] = {.lex_state = 52, .external_lex_state = 4},
  [271] = {.lex_state = 52, .external_lex_state = 4},
  [272] = {.lex_state = 52, .external_lex_state = 6},
  [273] = {.lex_state = 52, .external_lex_state = 4},
  [274] = {.lex_state = 52, .external_lex_state = 4},
  [275] = {.lex_state = 52, .external_lex_state = 4},
  [276] = {.lex_state = 52, .external_lex_state = 4},
  [277] = {.lex_state = 52, .external_lex_state = 4},
  [278] = {.lex_state = 52, .external_lex_state = 4},
  [279] = {.lex_state = 52, .external_lex_state = 4},
  [280] = {.lex_state = 52, .external_lex_state = 4},
  [281] = {.lex_state = 52, .external_lex_state = 4},
  [282] = {.lex_state = 52, .external_lex_state = 4},
  [283] = {.lex_state = 52, .external_lex_state = 4},
  [284] = {.lex_state = 52, .external_lex_state = 4},
  [285] = {.lex_state = 52, .external_lex_state = 4},
  [286] = {.lex_state = 110, .external_lex_state = 3},
  [287] = {.lex_state = 52, .external_lex_state = 4},
  [288] = {.lex_state = 52, .external_lex_state = 4},
  [289] = {.lex_state = 52, .external_lex_state = 4},
  [290] = {.lex_state = 52, .external_lex_state = 4},
  [291] = {.lex_state = 52, .external_lex_state = 4},
  [292] = {.lex_state = 52, .external_lex_state = 4},
  [293] = {.lex_state = 52, .external_lex_state = 4},
  [294] = {.lex_state = 52, .external_lex_state = 4},
  [295] = {.lex_state = 52, .external_lex_state = 4},
  [296] = {.lex_state = 52, .external_lex_state = 4},
  [297] = {.lex_state = 52, .external_lex_state = 4},
  [298] = {.lex_state = 52, .external_lex_state = 4},
  [299] = {.lex_state = 52, .external_lex_state = 4},
  [300] = {.lex_state = 52, .external_lex_state = 4},
  [301] = {.lex_state = 52, .external_lex_state = 4},
  [302] = {.lex_state = 52, .external_lex_state = 4},
  [303] = {.lex_state = 52, .external_lex_state = 4},
  [304] = {.lex_state = 52, .external_lex_state = 4},
  [305] = {.lex_state = 52, .external_lex_state = 4},
  [306] = {.lex_state = 52, .external_lex_state = 4},
  [307] = {.lex_state = 52, .external_lex_state = 4},
  [308] = {.lex_state = 52, .external_lex_state = 4},
  [309] = {.lex_state = 52, .external_lex_state = 4},
  [310] = {.lex_state = 52, .external_lex_state = 4},
  [311] = {.lex_state = 52, .external_lex_state = 4},
  [312] = {.lex_state = 52, .external_lex_state = 4},
  [313] = {.lex_state = 52, .external_lex_state = 4},
  [314] = {.lex_state = 52, .external_lex_state = 4},
  [315] = {.lex_state = 52, .external_lex_state = 4},
  [316] = {.lex_state = 52, .external_lex_state = 4},
  [317] = {.lex_state = 52, .external_lex_state = 4},
  [318] = {.lex_state = 52, .external_lex_state = 4},
  [319] = {.lex_state = 52, .external_lex_state = 4},
  [320] = {.lex_state = 52, .external_lex_state = 4},
  [321] = {.lex_state = 52, .external_lex_state = 4},
  [322] = {.lex_state = 52, .external_lex_state = 4},
  [323] = {.lex_state = 52, .external_lex_state = 4},
  [324] = {.lex_state = 52, .external_lex_state = 4},
  [325] = {.lex_state = 52, .external_lex_state = 4},
  [326] = {.lex_state = 52, .external_lex_state = 4},
  [327] = {.lex_state = 52, .external_lex_state = 4},
  [328] = {.lex_state = 52, .external_lex_state = 4},
  [329] = {.lex_state = 52, .external_lex_state = 4},
  [330] = {.lex_state = 52, .external_lex_state = 4},
  [331] = {.lex_state = 52, .external_lex_state = 4},
  [332] = {.lex_state = 52, .external_lex_state = 4},
  [333] = {.lex_state = 52, .external_lex_state = 4},
  [334] = {.lex_state = 52, .external_lex_state = 4},
  [335] = {.lex_state = 52, .external_lex_state = 4},
  [336] = {.lex_state = 52, .external_lex_state = 4},
  [337] = {.lex_state = 52, .external_lex_state = 4},
  [338] = {.lex_state = 52, .external_lex_state = 4},
  [339] = {.lex_state = 52, .external_lex_state = 4},
  [340] = {.lex_state = 52, .external_lex_state = 4},
  [341] = {.lex_state = 52, .external_lex_state = 4},
  [342] = {.lex_state = 52, .external_lex_state = 4},
  [343] = {.lex_state = 52, .external_lex_state = 4},
  [344] = {.lex_state = 52, .external_lex_state = 4},
  [345] = {.lex_state = 52, .external_lex_state = 4},
  [346] = {.lex_state = 52, .external_lex_state = 4},
  [347] = {.lex_state = 52, .external_lex_state = 4},
  [348] = {.lex_state = 52, .external_lex_state = 4},
  [349] = {.lex_state = 52, .external_lex_state = 4},
  [350] = {.lex_state = 52, .external_lex_state = 4},
  [351] = {.lex_state = 52, .external_lex_state = 4},
  [352] = {.lex_state = 52, .external_lex_state = 4},
  [353] = {.lex_state = 52, .external_lex_state = 4},
  [354] = {.lex_state = 52, .external_lex_state = 4},
  [355] = {.lex_state = 52, .external_lex_state = 4},
  [356] = {.lex_state = 52, .external_lex_state = 4},
  [357] = {.lex_state = 52, .external_lex_state = 4},
  [358] = {.lex_state = 52, .external_lex_state = 4},
  [359] = {.lex_state = 52, .external_lex_state = 4},
  [360] = {.lex_state = 52, .external_lex_state = 4},
  [361] = {.lex_state = 52, .external_lex_state = 4},
  [362] = {.lex_state = 52, .external_lex_state = 4},
  [363] = {.lex_state = 52, .external_lex_state = 4},
  [364] = {.lex_state = 52, .external_lex_state = 4},
  [365] = {.lex_state = 52, .external_lex_state = 4},
  [366] = {.lex_state = 52, .external_lex_state = 4},
  [367] = {.lex_state = 52, .external_lex_state = 4},
  [368] = {.lex_state = 52, .external_lex_state = 4},
  [369] = {.lex_state = 52, .external_lex_state = 4},
  [370] = {.lex_state = 52, .external_lex_state = 4},
  [371] = {.lex_state = 52, .external_lex_state = 4},
  [372] = {.lex_state = 52, .external_lex_state = 4},
  [373] = {.lex_state = 52, .external_lex_state = 4},
  [374] = {.lex_state = 52, .external_lex_state = 4},
  [375] = {.lex_state = 52, .external_lex_state = 4},
  [376] = {.lex_state = 52, .external_lex_state = 4},
  [377] = {.lex_state = 52, .external_lex_state = 4},
  [378] = {.lex_state = 52, .external_lex_state = 4},
  [379] = {.lex_state = 52, .external_lex_state = 4},
  [380] = {.lex_state = 52, .external_lex_state = 4},
  [381] = {.lex_state = 52, .external_lex_state = 4},
  [382] = {.lex_state = 52, .external_lex_state = 4},
  [383] = {.lex_state = 52, .external_lex_state = 4},
  [384] = {.lex_state = 52, .external_lex_state = 4},
  [385] = {.lex_state = 52, .external_lex_state = 4},
  [386] = {.lex_state = 52, .external_lex_state = 4},
  [387] = {.lex_state = 110, .external_lex_state = 3},
  [388] = {.lex_state = 52, .external_lex_state = 6},
  [389] = {.lex_state = 52, .external_lex_state = 4},
  [390] = {.lex_state = 52, .external_lex_state = 4},
  [391] = {.lex_state = 52, .external_lex_state = 4},
  [392] = {.lex_state = 52, .external_lex_state = 4},
  [393] = {.lex_state = 52, .external_lex_state = 4},
  [394] = {.lex_state = 52, .external_lex_state = 4},
  [395] = {.lex_state = 52, .external_lex_state = 4},
  [396] = {.lex_state = 52, .external_lex_state = 4},
  [397] = {.lex_state = 52, .external_lex_state = 4},
  [398] = {.lex_state = 52, .external_lex_state = 4},
  [399] = {.lex_state = 52, .external_lex_state = 4},
  [400] = {.lex_state = 52, .external_lex_state = 4},
  [401] = {.lex_state = 52, .external_lex_state = 4},
  [402] = {.lex_state = 52, .external_lex_state = 4},
  [403] = {.lex_state = 52, .external_lex_state = 4},
  [404] = {.lex_state = 52, .external_lex_state = 4},
  [405] = {.lex_state = 52, .external_lex_state = 4},
  [406] = {.lex_state = 52, .external_lex_state = 4},
  [407] = {.lex_state = 52, .external_lex_state = 4},
  [408] = {.lex_state = 52, .external_lex_state = 4},
  [409] = {.lex_state = 52, .external_lex_state = 4},
  [410] = {.lex_state = 52, .external_lex_state = 4},
  [411] = {.lex_state = 55, .external_lex_state = 4},
  [412] = {.lex_state = 55, .external_lex_state = 4},
  [413] = {.lex_state = 52, .external_lex_state = 4},
  [414] = {.lex_state = 52, .external_lex_state = 4},
  [415] = {.lex_state = 55, .external_lex_state = 4},
  [416] = {.lex_state = 52, .external_lex_state = 4},
  [417] = {.lex_state = 55, .external_lex_state = 4},
  [418] = {.lex_state = 52, .external_lex_state = 4},
  [419] = {.lex_state = 55, .external_lex_state = 4},
  [420] = {.lex_state = 52, .external_lex_state = 4},
  [421] = {.lex_state = 55, .external_lex_state = 4},
  [422] = {.lex_state = 52, .external_lex_state = 4},
  [423] = {.lex_state = 55, .external_lex_state = 4},
  [424] = {.lex_state = 52, .external_lex_state = 4},
  [425] = {.lex_state = 52, .external_lex_state = 7},
  [426] = {.lex_state = 52, .external_lex_state = 4},
  [427] = {.lex_state = 52, .external_lex_state = 7},
  [428] = {.lex_state = 52, .external_lex_state = 4},
  [429] = {.lex_state = 52, .external_lex_state = 4},
  [430] = {.lex_state = 52, .external_lex_state = 4},
  [431] = {.lex_state = 52, .external_lex_state = 4},
  [432] = {.lex_state = 52, .external_lex_state = 4},
  [433] = {.lex_state = 52, .external_lex_state = 7},
  [434] = {.lex_state = 52, .external_lex_state = 7},
  [435] = {.lex_state = 52, .external_lex_state = 7},
  [436] = {.lex_state = 52, .external_lex_state = 4},
  [437] = {.lex_state = 52, .external_lex_state = 4},
  [438] = {.lex_state = 52, .external_lex_state = 7},
  [439] = {.lex_state = 52, .external_lex_state = 7},
  [440] = {.lex_state = 52, .external_lex_state = 7},
  [441] = {.lex_state = 52, .external_lex_state = 4},
  [442] = {.lex_state = 52, .external_lex_state = 4},
  [443] = {.lex_state = 52, .external_lex_state = 4},
  [444] = {.lex_state = 52, .external_lex_state = 7},
  [445] = {.lex_state = 52, .external_lex_state = 4},
  [446] = {.lex_state = 52, .external_lex_state = 4},
  [447] = {.lex_state = 52, .external_lex_state = 4},
  [448] = {.lex_state = 52, .external_lex_state = 4},
  [449] = {.lex_state = 52, .external_lex_state = 4},
  [450] = {.lex_state = 52, .external_lex_state = 4},
  [451] = {.lex_state = 52, .external_lex_state = 4},
  [452] = {.lex_state = 52, .external_lex_state = 7},
  [453] = {.lex_state = 52, .external_lex_state = 4},
  [454] = {.lex_state = 52, .external_lex_state = 4},
  [455] = {.lex_state = 52, .external_lex_state = 4},
  [456] = {.lex_state = 52, .external_lex_state = 4},
  [457] = {.lex_state = 52, .external_lex_state = 4},
  [458] = {.lex_state = 52, .external_lex_state = 7},
  [459] = {.lex_state = 52, .external_lex_state = 4},
  [460] = {.lex_state = 52, .external_lex_state = 4},
  [461] = {.lex_state = 52, .external_lex_state = 4},
  [462] = {.lex_state = 52, .external_lex_state = 4},
  [463] = {.lex_state = 52, .external_lex_state = 4},
  [464] = {.lex_state = 52, .external_lex_state = 4},
  [465] = {.lex_state = 52, .external_lex_state = 4},
  [466] = {.lex_state = 52, .external_lex_state = 4},
  [467] = {.lex_state = 52, .external_lex_state = 4},
  [468] = {.lex_state = 52, .external_lex_state = 4},
  [469] = {.lex_state = 52, .external_lex_state = 4},
  [470] = {.lex_state = 52, .external_lex_state = 7},
  [471] = {.lex_state = 52, .external_lex_state = 4},
  [472] = {.lex_state = 52, .external_lex_state = 7},
  [473] = {.lex_state = 52, .external_lex_state = 4},
  [474] = {.lex_state = 52, .external_lex_state = 7},
  [475] = {.lex_state = 52, .external_lex_state = 4},
  [476] = {.lex_state = 52, .external_lex_state = 4},
  [477] = {.lex_state = 52, .external_lex_state = 4},
  [478] = {.lex_state = 52, .external_lex_state = 4},
  [479] = {.lex_state = 52, .external_lex_state = 4},
  [480] = {.lex_state = 52, .external_lex_state = 4},
  [481] = {.lex_state = 52, .external_lex_state = 7},
  [482] = {.lex_state = 52, .external_lex_state = 4},
  [483] = {.lex_state = 52, .external_lex_state = 7},
  [484] = {.lex_state = 52, .external_lex_state = 7},
  [485] = {.lex_state = 52, .external_lex_state = 4},
  [486] = {.lex_state = 52, .external_lex_state = 4},
  [487] = {.lex_state = 52, .external_lex_state = 4},
  [488] = {.lex_state = 52, .external_lex_state = 4},
  [489] = {.lex_state = 52, .external_lex_state = 4},
  [490] = {.lex_state = 52, .external_lex_state = 4},
  [491] = {.lex_state = 52, .external_lex_state = 4},
  [492] = {.lex_state = 52, .external_lex_state = 4},
  [493] = {.lex_state = 52, .external_lex_state = 4},
  [494] = {.lex_state = 52, .external_lex_state = 7},
  [495] = {.lex_state = 52, .external_lex_state = 4},
  [496] = {.lex_state = 52, .external_lex_state = 4},
  [497] = {.lex_state = 52, .external_lex_state = 4},
  [498] = {.lex_state = 52, .external_lex_state = 4},
  [499] = {.lex_state = 52, .external_lex_state = 4},
  [500] = {.lex_state = 52, .external_lex_state = 7},
  [501] = {.lex_state = 52, .external_lex_state = 4},
  [502] = {.lex_state = 52, .external_lex_state = 4},
  [503] = {.lex_state = 52, .external_lex_state = 4},
  [504] = {.lex_state = 52, .external_lex_state = 7},
  [505] = {.lex_state = 52, .external_lex_state = 4},
  [506] = {.lex_state = 52, .external_lex_state = 7},
  [507] = {.lex_state = 52, .external_lex_state = 4},
  [508] = {.lex_state = 52, .external_lex_state = 4},
  [509] = {.lex_state = 52, .external_lex_state = 4},
  [510] = {.lex_state = 52, .external_lex_state = 4},
  [511] = {.lex_state = 52, .external_lex_state = 4},
  [512] = {.lex_state = 52, .external_lex_state = 4},
  [513] = {.lex_state = 52, .external_lex_state = 4},
  [514] = {.lex_state = 52, .external_lex_state = 4},
  [515] = {.lex_state = 52, .external_lex_state = 4},
  [516] = {.lex_state = 52, .external_lex_state = 4},
  [517] = {.lex_state = 52, .external_lex_state = 4},
  [518] = {.lex_state = 52, .external_lex_state = 4},
  [519] = {.lex_state = 52, .external_lex_state = 4},
  [520] = {.lex_state = 52, .external_lex_state = 4},
  [521] = {.lex_state = 52, .external_lex_state = 4},
  [522] = {.lex_state = 52, .external_lex_state = 4},
  [523] = {.lex_state = 52, .external_lex_state = 4},
  [524] = {.lex_state = 52, .external_lex_state = 4},
  [525] = {.lex_state = 52, .external_lex_state = 4},
  [526] = {.lex_state = 52, .external_lex_state = 4},
  [527] = {.lex_state = 52, .external_lex_state = 4},
  [528] = {.lex_state = 52, .external_lex_state = 4},
  [529] = {.lex_state = 52, .external_lex_state = 4},
  [530] = {.lex_state = 52, .external_lex_state = 4},
  [531] = {.lex_state = 52, .external_lex_state = 4},
  [532] = {.lex_state = 52, .external_lex_state = 4},
  [533] = {.lex_state = 52, .external_lex_state = 4},
  [534] = {.lex_state = 52, .external_lex_state = 4},
  [535] = {.lex_state = 52, .external_lex_state = 4},
  [536] = {.lex_state = 52, .external_lex_state = 4},
  [537] = {.lex_state = 52, .external_lex_state = 4},
  [538] = {.lex_state = 52, .external_lex_state = 4},
  [539] = {.lex_state = 52, .external_lex_state = 4},
  [540] = {.lex_state = 52, .external_lex_state = 4},
  [541] = {.lex_state = 52, .external_lex_state = 4},
  [542] = {.lex_state = 52, .external_lex_state = 4},
  [543] = {.lex_state = 52, .external_lex_state = 4},
  [544] = {.lex_state = 52, .external_lex_state = 4},
  [545] = {.lex_state = 52, .external_lex_state = 4},
  [546] = {.lex_state = 52, .external_lex_state = 4},
  [547] = {.lex_state = 52, .external_lex_state = 4},
  [548] = {.lex_state = 52, .external_lex_state = 4},
  [549] = {.lex_state = 52, .external_lex_state = 4},
  [550] = {.lex_state = 52, .external_lex_state = 4},
  [551] = {.lex_state = 52, .external_lex_state = 4},
  [552] = {.lex_state = 52, .external_lex_state = 4},
  [553] = {.lex_state = 52, .external_lex_state = 4},
  [554] = {.lex_state = 52, .external_lex_state = 4},
  [555] = {.lex_state = 52, .external_lex_state = 4},
  [556] = {.lex_state = 52, .external_lex_state = 4},
  [557] = {.lex_state = 52, .external_lex_state = 4},
  [558] = {.lex_state = 52, .external_lex_state = 4},
  [559] = {.lex_state = 52, .external_lex_state = 4},
  [560] = {.lex_state = 52, .external_lex_state = 4},
  [561] = {.lex_state = 52, .external_lex_state = 4},
  [562] = {.lex_state = 52, .external_lex_state = 4},
  [563] = {.lex_state = 52, .external_lex_state = 4},
  [564] = {.lex_state = 52, .external_lex_state = 4},
  [565] = {.lex_state = 52, .external_lex_state = 4},
  [566] = {.lex_state = 52, .external_lex_state = 4},
  [567] = {.lex_state = 52, .external_lex_state = 4},
  [568] = {.lex_state = 52, .external_lex_state = 4},
  [569] = {.lex_state = 52, .external_lex_state = 4},
  [570] = {.lex_state = 52, .external_lex_state = 4},
  [571] = {.lex_state = 52, .external_lex_state = 4},
  [572] = {.lex_state = 52, .external_lex_state = 4},
  [573] = {.lex_state = 52, .external_lex_state = 4},
  [574] = {.lex_state = 52, .external_lex_state = 4},
  [575] = {.lex_state = 52, .external_lex_state = 4},
  [576] = {.lex_state = 52, .external_lex_state = 4},
  [577] = {.lex_state = 52, .external_lex_state = 4},
  [578] = {.lex_state = 52, .external_lex_state = 4},
  [579] = {.lex_state = 52, .external_lex_state = 4},
  [580] = {.lex_state = 52, .external_lex_state = 4},
  [581] = {.lex_state = 52, .external_lex_state = 4},
  [582] = {.lex_state = 52, .external_lex_state = 4},
  [583] = {.lex_state = 52, .external_lex_state = 4},
  [584] = {.lex_state = 52, .external_lex_state = 4},
  [585] = {.lex_state = 52, .external_lex_state = 4},
  [586] = {.lex_state = 52, .external_lex_state = 4},
  [587] = {.lex_state = 52, .external_lex_state = 4},
  [588] = {.lex_state = 52, .external_lex_state = 4},
  [589] = {.lex_state = 52, .external_lex_state = 4},
  [590] = {.lex_state = 52, .external_lex_state = 4},
  [591] = {.lex_state = 52, .external_lex_state = 4},
  [592] = {.lex_state = 52, .external_lex_state = 4},
  [593] = {.lex_state = 52, .external_lex_state = 4},
  [594] = {.lex_state = 52, .external_lex_state = 4},
  [595] = {.lex_state = 52, .external_lex_state = 4},
  [596] = {.lex_state = 52, .external_lex_state = 4},
  [597] = {.lex_state = 52, .external_lex_state = 4},
  [598] = {.lex_state = 52, .external_lex_state = 4},
  [599] = {.lex_state = 52, .external_lex_state = 4},
  [600] = {.lex_state = 52, .external_lex_state = 4},
  [601] = {.lex_state = 52, .external_lex_state = 4},
  [602] = {.lex_state = 52, .external_lex_state = 4},
  [603] = {.lex_state = 52, .external_lex_state = 4},
  [604] = {.lex_state = 52, .external_lex_state = 4},
  [605] = {.lex_state = 52, .external_lex_state = 4},
  [606] = {.lex_state = 52, .external_lex_state = 4},
  [607] = {.lex_state = 52, .external_lex_state = 4},
  [608] = {.lex_state = 52, .external_lex_state = 4},
  [609] = {.lex_state = 52, .external_lex_state = 4},
  [610] = {.lex_state = 52, .external_lex_state = 4},
  [611] = {.lex_state = 52, .external_lex_state = 4},
  [612] = {.lex_state = 52, .external_lex_state = 4},
  [613] = {.lex_state = 52, .external_lex_state = 4},
  [614] = {.lex_state = 52, .external_lex_state = 4},
  [615] = {.lex_state = 52, .external_lex_state = 4},
  [616] = {.lex_state = 52, .external_lex_state = 4},
  [617] = {.lex_state = 52, .external_lex_state = 4},
  [618] = {.lex_state = 52, .external_lex_state = 4},
  [619] = {.lex_state = 52, .external_lex_state = 4},
  [620] = {.lex_state = 52, .external_lex_state = 4},
  [621] = {.lex_state = 52, .external_lex_state = 4},
  [622] = {.lex_state = 52, .external_lex_state = 4},
  [623] = {.lex_state = 52, .external_lex_state = 4},
  [624] = {.lex_state = 52, .external_lex_state = 4},
  [625] = {.lex_state = 52, .external_lex_state = 4},
  [626] = {.lex_state = 52, .external_lex_state = 4},
  [627] = {.lex_state = 52, .external_lex_state = 4},
  [628] = {.lex_state = 52, .external_lex_state = 4},
  [629] = {.lex_state = 52, .external_lex_state = 4},
  [630] = {.lex_state = 52, .external_lex_state = 4},
  [631] = {.lex_state = 52, .external_lex_state = 4},
  [632] = {.lex_state = 52, .external_lex_state = 4},
  [633] = {.lex_state = 52, .external_lex_state = 4},
  [634] = {.lex_state = 52, .external_lex_state = 4},
  [635] = {.lex_state = 52, .external_lex_state = 4},
  [636] = {.lex_state = 52, .external_lex_state = 4},
  [637] = {.lex_state = 52, .external_lex_state = 4},
  [638] = {.lex_state = 52, .external_lex_state = 4},
  [639] = {.lex_state = 52, .external_lex_state = 4},
  [640] = {.lex_state = 52, .external_lex_state = 4},
  [641] = {.lex_state = 52, .external_lex_state = 4},
  [642] = {.lex_state = 52, .external_lex_state = 4},
  [643] = {.lex_state = 52, .external_lex_state = 4},
  [644] = {.lex_state = 52, .external_lex_state = 4},
  [645] = {.lex_state = 52, .external_lex_state = 4},
  [646] = {.lex_state = 52, .external_lex_state = 4},
  [647] = {.lex_state = 52, .external_lex_state = 4},
  [648] = {.lex_state = 52, .external_lex_state = 4},
  [649] = {.lex_state = 52, .external_lex_state = 4},
  [650] = {.lex_state = 52, .external_lex_state = 4},
  [651] = {.lex_state = 52, .external_lex_state = 4},
  [652] = {.lex_state = 52, .external_lex_state = 4},
  [653] = {.lex_state = 52, .external_lex_state = 4},
  [654] = {.lex_state = 52, .external_lex_state = 4},
  [655] = {.lex_state = 52, .external_lex_state = 4},
  [656] = {.lex_state = 52, .external_lex_state = 4},
  [657] = {.lex_state = 52, .external_lex_state = 4},
  [658] = {.lex_state = 52, .external_lex_state = 4},
  [659] = {.lex_state = 52, .external_lex_state = 4},
  [660] = {.lex_state = 52, .external_lex_state = 4},
  [661] = {.lex_state = 52, .external_lex_state = 4},
  [662] = {.lex_state = 52, .external_lex_state = 4},
  [663] = {.lex_state = 52, .external_lex_state = 4},
  [664] = {.lex_state = 52, .external_lex_state = 4},
  [665] = {.lex_state = 52, .external_lex_state = 4},
  [666] = {.lex_state = 52, .external_lex_state = 4},
  [667] = {.lex_state = 52, .external_lex_state = 4},
  [668] = {.lex_state = 52, .external_lex_state = 4},
  [669] = {.lex_state = 52, .external_lex_state = 4},
  [670] = {.lex_state = 52, .external_lex_state = 4},
  [671] = {.lex_state = 52, .external_lex_state = 4},
  [672] = {.lex_state = 52, .external_lex_state = 4},
  [673] = {.lex_state = 52, .external_lex_state = 4},
  [674] = {.lex_state = 52, .external_lex_state = 4},
  [675] = {.lex_state = 52, .external_lex_state = 4},
  [676] = {.lex_state = 52, .external_lex_state = 4},
  [677] = {.lex_state = 52, .external_lex_state = 4},
  [678] = {.lex_state = 52, .external_lex_state = 4},
  [679] = {.lex_state = 52, .external_lex_state = 4},
  [680] = {.lex_state = 52, .external_lex_state = 4},
  [681] = {.lex_state = 52, .external_lex_state = 4},
  [682] = {.lex_state = 52, .external_lex_state = 4},
  [683] = {.lex_state = 52, .external_lex_state = 4},
  [684] = {.lex_state = 52, .external_lex_state = 4},
  [685] = {.lex_state = 1, .external_lex_state = 8},
  [686] = {.lex_state = 1, .external_lex_state = 8},
  [687] = {.lex_state = 1, .external_lex_state = 8},
  [688] = {.lex_state = 1, .external_lex_state = 8},
  [689] = {.lex_state = 1, .external_lex_state = 8},
  [690] = {.lex_state = 1, .external_lex_state = 8},
  [691] = {.lex_state = 1, .external_lex_state = 8},
  [692] = {.lex_state = 1, .external_lex_state = 8},
  [693] = {.lex_state = 1, .external_lex_state = 8},
  [694] = {.lex_state = 1, .external_lex_state = 8},
  [695] = {.lex_state = 1, .external_lex_state = 9},
  [696] = {.lex_state = 1, .external_lex_state = 9},
  [697] = {.lex_state = 1, .external_lex_state = 9},
  [698] = {.lex_state = 1, .external_lex_state = 3},
  [699] = {.lex_state = 1, .external_lex_state = 3},
  [700] = {.lex_state = 1, .external_lex_state = 3},
  [701] = {.lex_state = 1, .external_lex_state = 3},
  [702] = {.lex_state = 1, .external_lex_state = 3},
  [703] = {.lex_state = 1, .external_lex_state = 3},
  [704] = {.lex_state = 1, .external_lex_state = 9},
  [705] = {.lex_state = 1, .external_lex_state = 9},
  [706] = {.lex_state = 1, .external_lex_state = 9},
  [707] = {.lex_state = 1, .external_lex_state = 3},
  [708] = {.lex_state = 1, .external_lex_state = 3},
  [709] = {.lex_state = 1, .external_lex_state = 3},
  [710] = {.lex_state = 1, .external_lex_state = 3},
  [711] = {.lex_state = 1, .external_lex_state = 3},
  [712] = {.lex_state = 1, .external_lex_state = 3},
  [713] = {.lex_state = 1, .external_lex_state = 9},
  [714] = {.lex_state = 1, .external_lex_state = 9},
  [715] = {.lex_state = 1, .external_lex_state = 9},
  [716] = {.lex_state = 1, .external_lex_state = 9},
  [717] = {.lex_state = 1, .external_lex_state = 9},
  [718] = {.lex_state = 1, .external_lex_state = 9},
  [719] = {.lex_state = 1, .external_lex_state = 9},
  [720] = {.lex_state = 1, .external_lex_state = 9},
  [721] = {.lex_state = 1, .external_lex_state = 9},
  [722] = {.lex_state = 1, .external_lex_state = 9},
  [723] = {.lex_state = 1, .external_lex_state = 9},
  [724] = {.lex_state = 1, .external_lex_state = 9},
  [725] = {.lex_state = 1, .external_lex_state = 9},
  [726] = {.lex_state = 1, .external_lex_state = 9},
  [727] = {.lex_state = 1, .external_lex_state = 9},
  [728] = {.lex_state = 1, .external_lex_state = 9},
  [729] = {.lex_state = 1, .external_lex_state = 9},
  [730] = {.lex_state = 1, .external_lex_state = 9},
  [731] = {.lex_state = 1, .external_lex_state = 9},
  [732] = {.lex_state = 1, .external_lex_state = 9},
  [733] = {.lex_state = 1, .external_lex_state = 9},
  [734] = {.lex_state = 1, .external_lex_state = 3},
  [735] = {.lex_state = 1, .external_lex_state = 3},
  [736] = {.lex_state = 1, .external_lex_state = 3},
  [737] = {.lex_state = 1, .external_lex_state = 3},
  [738] = {.lex_state = 1, .external_lex_state = 3},
  [739] = {.lex_state = 1, .external_lex_state = 9},
  [740] = {.lex_state = 1, .external_lex_state = 9},
  [741] = {.lex_state = 1, .external_lex_state = 9},
  [742] = {.lex_state = 1, .external_lex_state = 9},
  [743] = {.lex_state = 1, .external_lex_state = 9},
  [744] = {.lex_state = 1, .external_lex_state = 9},
  [745] = {.lex_state = 1, .external_lex_state = 9},
  [746] = {.lex_state = 1, .external_lex_state = 9},
  [747] = {.lex_state = 1, .external_lex_state = 9},
  [748] = {.lex_state = 1, .external_lex_state = 9},
  [749] = {.lex_state = 1, .external_lex_state = 9},
  [750] = {.lex_state = 1, .external_lex_state = 9},
  [751] = {.lex_state = 1, .external_lex_state = 9},
  [752] = {.lex_state = 1, .external_lex_state = 9},
  [753] = {.lex_state = 1, .external_lex_state = 9},
  [754] = {.lex_state = 1, .external_lex_state = 9},
  [755] = {.lex_state = 1, .external_lex_state = 9},
  [756] = {.lex_state = 1, .external_lex_state = 9},
  [757] = {.lex_state = 1, .external_lex_state = 3},
  [758] = {.lex_state = 1, .external_lex_state = 9},
  [759] = {.lex_state = 1, .external_lex_state = 9},
  [760] = {.lex_state = 1, .external_lex_state = 9},
  [761] = {.lex_state = 1, .external_lex_state = 9},
  [762] = {.lex_state = 1, .external_lex_state = 9},
  [763] = {.lex_state = 1, .external_lex_state = 9},
  [764] = {.lex_state = 1, .external_lex_state = 9},
  [765] = {.lex_state = 1, .external_lex_state = 9},
  [766] = {.lex_state = 1, .external_lex_state = 9},
  [767] = {.lex_state = 1, .external_lex_state = 9},
  [768] = {.lex_state = 1, .external_lex_state = 9},
  [769] = {.lex_state = 1, .external_lex_state = 8},
  [770] = {.lex_state = 1, .external_lex_state = 8},
  [771] = {.lex_state = 1, .external_lex_state = 8},
  [772] = {.lex_state = 1, .external_lex_state = 8},
  [773] = {.lex_state = 1, .external_lex_state = 8},
  [774] = {.lex_state = 1, .external_lex_state = 8},
  [775] = {.lex_state = 1, .external_lex_state = 8},
  [776] = {.lex_state = 1, .external_lex_state = 8},
  [777] = {.lex_state = 1, .external_lex_state = 8},
  [778] = {.lex_state = 1, .external_lex_state = 8},
  [779] = {.lex_state = 1, .external_lex_state = 3},
  [780] = {.lex_state = 1, .external_lex_state = 3},
  [781] = {.lex_state = 1, .external_lex_state = 3},
  [782] = {.lex_state = 1, .external_lex_state = 3},
  [783] = {.lex_state = 1, .external_lex_state = 3},
  [784] = {.lex_state = 1, .external_lex_state = 3},
  [785] = {.lex_state = 1, .external_lex_state = 3},
  [786] = {.lex_state = 1, .external_lex_state = 3},
  [787] = {.lex_state = 1, .external_lex_state = 3},
  [788] = {.lex_state = 1, .external_lex_state = 3},
  [789] = {.lex_state = 1, .external_lex_state = 3},
  [790] = {.lex_state = 1, .external_lex_state = 3},
  [791] = {.lex_state = 1, .external_lex_state = 3},
  [792] = {.lex_state = 1, .external_lex_state = 3},
  [793] = {.lex_state = 1, .external_lex_state = 3},
  [794] = {.lex_state = 1, .external_lex_state = 3},
  [795] = {.lex_state = 1, .external_lex_state = 10},
  [796] = {.lex_state = 1, .external_lex_state = 10},
  [797] = {.lex_state = 1, .external_lex_state = 10},
  [798] = {.lex_state = 1, .external_lex_state = 10},
  [799] = {.lex_state = 1, .external_lex_state = 10},
  [800] = {.lex_state = 1, .external_lex_state = 10},
  [801] = {.lex_state = 1, .external_lex_state = 10},
  [802] = {.lex_state = 1, .external_lex_state = 10},
  [803] = {.lex_state = 1, .external_lex_state = 10},
  [804] = {.lex_state = 1, .external_lex_state = 10},
  [805] = {.lex_state = 1, .external_lex_state = 4},
  [806] = {.lex_state = 1, .external_lex_state = 4},
  [807] = {.lex_state = 1, .external_lex_state = 4},
  [808] = {.lex_state = 1, .external_lex_state = 4},
  [809] = {.lex_state = 1, .external_lex_state = 4},
  [810] = {.lex_state = 1, .external_lex_state = 4},
  [811] = {.lex_state = 1, .external_lex_state = 4},
  [812] = {.lex_state = 1, .external_lex_state = 4},
  [813] = {.lex_state = 1, .external_lex_state = 4},
  [814] = {.lex_state = 1, .external_lex_state = 4},
  [815] = {.lex_state = 1, .external_lex_state = 4},
  [816] = {.lex_state = 1, .external_lex_state = 4},
  [817] = {.lex_state = 1, .external_lex_state = 4},
  [818] = {.lex_state = 1, .external_lex_state = 4},
  [819] = {.lex_state = 1, .external_lex_state = 4},
  [820] = {.lex_state = 1, .external_lex_state = 4},
  [821] = {.lex_state = 51, .external_lex_state = 10},
  [822] = {.lex_state = 51, .external_lex_state = 10},
  [823] = {.lex_state = 51, .external_lex_state = 10},
  [824] = {.lex_state = 51, .external_lex_state = 10},
  [825] = {.lex_state = 51, .external_lex_state = 10},
  [826] = {.lex_state = 51, .external_lex_state = 10},
  [827] = {.lex_state = 51, .external_lex_state = 10},
  [828] = {.lex_state = 51, .external_lex_state = 10},
  [829] = {.lex_state = 51, .external_lex_state = 10},
  [830] = {.lex_state = 51, .external_lex_state = 10},
  [831] = {.lex_state = 51, .external_lex_state = 4},
  [832] = {.lex_state = 51, .external_lex_state = 11},
  [833] = {.lex_state = 51, .external_lex_state = 4},
  [834] = {.lex_state = 51, .external_lex_state = 4},
  [835] = {.lex_state = 51, .external_lex_state = 4},
  [836] = {.lex_state = 51, .external_lex_state = 4},
  [837] = {.lex_state = 51, .external_lex_state = 4},
  [838] = {.lex_state = 51, .external_lex_state = 4},
  [839] = {.lex_state = 51, .external_lex_state = 4},
  [840] = {.lex_state = 51, .external_lex_state = 11},
  [841] = {.lex_state = 51, .external_lex_state = 10},
  [842] = {.lex_state = 51, .external_lex_state = 4},
  [843] = {.lex_state = 51, .external_lex_state = 4},
  [844] = {.lex_state = 51, .external_lex_state = 11},
  [845] = {.lex_state = 51, .external_lex_state = 4},
  [846] = {.lex_state = 51, .external_lex_state = 4},
  [847] = {.lex_state = 51, .external_lex_state = 4},
  [848] = {.lex_state = 51, .external_lex_state = 4},
  [849] = {.lex_state = 51, .external_lex_state = 11},
  [850] = {.lex_state = 51, .external_lex_state = 11},
  [851] = {.lex_state = 51, .external_lex_state = 4},
  [852] = {.lex_state = 51, .external_lex_state = 11},
  [853] = {.lex_state = 51, .external_lex_state = 11},
  [854] = {.lex_state = 51, .external_lex_state = 11},
  [855] = {.lex_state = 51, .external_lex_state = 11},
  [856] = {.lex_state = 51, .external_lex_state = 11},
  [857] = {.lex_state = 51, .external_lex_state = 4},
  [858] = {.lex_state = 51, .external_lex_state = 6},
  [859] = {.lex_state = 51, .external_lex_state = 4},
  [860] = {.lex_state = 51, .external_lex_state = 6},
  [861] = {.lex_state = 51, .external_lex_state = 6},
  [862] = {.lex_state = 51, .external_lex_state = 4},
  [863] = {.lex_state = 51, .external_lex_state = 6},
  [864] = {.lex_state = 51, .external_lex_state = 6},
  [865] = {.lex_state = 51, .external_lex_state = 6},
  [866] = {.lex_state = 51, .external_lex_state = 6},
  [867] = {.lex_state = 51, .external_lex_state = 6},
  [868] = {.lex_state = 51, .external_lex_state = 4},
  [869] = {.lex_state = 51, .external_lex_state = 6},
  [870] = {.lex_state = 51, .external_lex_state = 6},
  [871] = {.lex_state = 51, .external_lex_state = 6},
  [872] = {.lex_state = 51, .external_lex_state = 6},
  [873] = {.lex_state = 51, .external_lex_state = 6},
  [874] = {.lex_state = 51, .external_lex_state = 4},
  [875] = {.lex_state = 51, .external_lex_state = 6},
  [876] = {.lex_state = 51, .external_lex_state = 4},
  [877] = {.lex_state = 51, .external_lex_state = 6},
  [878] = {.lex_state = 51, .external_lex_state = 6},
  [879] = {.lex_state = 51, .external_lex_state = 6},
  [880] = {.lex_state = 111, .external_lex_state = 2},
  [881] = {.lex_state = 111, .external_lex_state = 2},
  [882] = {.lex_state = 111, .external_lex_state = 2},
  [883] = {.lex_state = 112, .external_lex_state = 2},
  [884] = {.lex_state = 112, .external_lex_state = 2},
  [885] = {.lex_state = 111, .external_lex_state = 2},
  [886] = {.lex_state = 112, .external_lex_state = 2},
  [887] = {.lex_state = 112, .external_lex_state = 2},
  [888] = {.lex_state = 111, .external_lex_state = 4},
  [889] = {.lex_state = 112, .external_lex_state = 2},
  [890] = {.lex_state = 112, .external_lex_state = 2},
  [891] = {.lex_state = 111, .external_lex_state = 4},
  [892] = {.lex_state = 112, .external_lex_state = 2},
  [893] = {.lex_state = 112, .external_lex_state = 2},
  [894] = {.lex_state = 112, .external_lex_state = 2},
  [895] = {.lex_state = 112, .external_lex_state = 2},
  [896] = {.lex_state = 112, .external_lex_state = 2},
  [897] = {.lex_state = 112, .external_lex_state = 2},
  [898] = {.lex_state = 112, .external_lex_state = 2},
  [899] = {.lex_state = 112, .external_lex_state = 2},
  [900] = {.lex_state = 112, .external_lex_state = 2},
  [901] = {.lex_state = 112, .external_lex_state = 2},
  [902] = {.lex_state = 112, .external_lex_state = 2},
  [903] = {.lex_state = 112, .external_lex_state = 2},
  [904] = {.lex_state = 112, .external_lex_state = 2},
  [905] = {.lex_state = 112, .external_lex_state = 2},
  [906] = {.lex_state = 112, .external_lex_state = 2},
  [907] = {.lex_state = 112, .external_lex_state = 2},
  [908] = {.lex_state = 112, .external_lex_state = 2},
  [909] = {.lex_state = 112, .external_lex_state = 2},
  [910] = {.lex_state = 112, .external_lex_state = 2},
  [911] = {.lex_state = 112, .external_lex_state = 2},
  [912] = {.lex_state = 112, .external_lex_state = 2},
  [913] = {.lex_state = 112, .external_lex_state = 2},
  [914] = {.lex_state = 112, .external_lex_state = 2},
  [915] = {.lex_state = 112, .external_lex_state = 2},
  [916] = {.lex_state = 112, .external_lex_state = 2},
  [917] = {.lex_state = 112, .external_lex_state = 2},
  [918] = {.lex_state = 112, .external_lex_state = 2},
  [919] = {.lex_state = 112, .external_lex_state = 2},
  [920] = {.lex_state = 112, .external_lex_state = 2},
  [921] = {.lex_state = 112, .external_lex_state = 2},
  [922] = {.lex_state = 112, .external_lex_state = 2},
  [923] = {.lex_state = 112, .external_lex_state = 2},
  [924] = {.lex_state = 112, .external_lex_state = 2},
  [925] = {.lex_state = 112, .external_lex_state = 2},
  [926] = {.lex_state = 112, .external_lex_state = 2},
  [927] = {.lex_state = 112, .external_lex_state = 2},
  [928] = {.lex_state = 112, .external_lex_state = 2},
  [929] = {.lex_state = 112, .external_lex_state = 2},
  [930] = {.lex_state = 112, .external_lex_state = 2},
  [931] = {.lex_state = 112, .external_lex_state = 2},
  [932] = {.lex_state = 112, .external_lex_state = 2},
  [933] = {.lex_state = 112, .external_lex_state = 2},
  [934] = {.lex_state = 112, .external_lex_state = 2},
  [935] = {.lex_state = 112, .external_lex_state = 2},
  [936] = {.lex_state = 112, .external_lex_state = 2},
  [937] = {.lex_state = 112, .external_lex_state = 2},
  [938] = {.lex_state = 112, .external_lex_state = 2},
  [939] = {.lex_state = 112, .external_lex_state = 2},
  [940] = {.lex_state = 112, .external_lex_state = 2},
  [941] = {.lex_state = 112, .external_lex_state = 2},
  [942] = {.lex_state = 112, .external_lex_state = 2},
  [943] = {.lex_state = 112, .external_lex_state = 2},
  [944] = {.lex_state = 112, .external_lex_state = 2},
  [945] = {.lex_state = 112, .external_lex_state = 2},
  [946] = {.lex_state = 112, .external_lex_state = 2},
  [947] = {.lex_state = 112, .external_lex_state = 2},
  [948] = {.lex_state = 112, .external_lex_state = 2},
  [949] = {.lex_state = 112, .external_lex_state = 2},
  [950] = {.lex_state = 112, .external_lex_state = 2},
  [951] = {.lex_state = 112, .external_lex_state = 2},
  [952] = {.lex_state = 112, .external_lex_state = 2},
  [953] = {.lex_state = 112, .external_lex_state = 2},
  [954] = {.lex_state = 112, .external_lex_state = 2},
  [955] = {.lex_state = 112, .external_lex_state = 2},
  [956] = {.lex_state = 112, .external_lex_state = 2},
  [957] = {.lex_state = 112, .external_lex_state = 2},
  [958] = {.lex_state = 112, .external_lex_state = 2},
  [959] = {.lex_state = 112, .external_lex_state = 2},
  [960] = {.lex_state = 112, .external_lex_state = 2},
  [961] = {.lex_state = 112, .external_lex_state = 2},
  [962] = {.lex_state = 112, .external_lex_state = 2},
  [963] = {.lex_state = 112, .external_lex_state = 2},
  [964] = {.lex_state = 112, .external_lex_state = 2},
  [965] = {.lex_state = 112, .external_lex_state = 2},
  [966] = {.lex_state = 112, .external_lex_state = 2},
  [967] = {.lex_state = 112, .external_lex_state = 2},
  [968] = {.lex_state = 112, .external_lex_state = 2},
  [969] = {.lex_state = 112, .external_lex_state = 2},
  [970] = {.lex_state = 112, .external_lex_state = 2},
  [971] = {.lex_state = 112, .external_lex_state = 2},
  [972] = {.lex_state = 112, .external_lex_state = 2},
  [973] = {.lex_state = 112, .external_lex_state = 2},
  [974] = {.lex_state = 112, .external_lex_state = 2},
  [975] = {.lex_state = 112, .external_lex_state = 2},
  [976] = {.lex_state = 112, .external_lex_state = 2},
  [977] = {.lex_state = 112, .external_lex_state = 2},
  [978] = {.lex_state = 112, .external_lex_state = 2},
  [979] = {.lex_state = 112, .external_lex_state = 2},
  [980] = {.lex_state = 112, .external_lex_state = 2},
  [981] = {.lex_state = 112, .external_lex_state = 2},
  [982] = {.lex_state = 112, .external_lex_state = 2},
  [983] = {.lex_state = 112, .external_lex_state = 2},
  [984] = {.lex_state = 54, .external_lex_state = 5},
  [985] = {.lex_state = 112, .external_lex_state = 4},
  [986] = {.lex_state = 112, .external_lex_state = 4},
  [987] = {.lex_state = 111, .external_lex_state = 4},
  [988] = {.lex_state = 112, .external_lex_state = 4},
  [989] = {.lex_state = 111, .external_lex_state = 4},
  [990] = {.lex_state = 112, .external_lex_state = 4},
  [991] = {.lex_state = 112, .external_lex_state = 4},
  [992] = {.lex_state = 112, .external_lex_state = 4},
  [993] = {.lex_state = 112, .external_lex_state = 4},
  [994] = {.lex_state = 112, .external_lex_state = 4},
  [995] = {.lex_state = 112, .external_lex_state = 4},
  [996] = {.lex_state = 112, .external_lex_state = 4},
  [997] = {.lex_state = 112, .external_lex_state = 4},
  [998] = {.lex_state = 112, .external_lex_state = 4},
  [999] = {.lex_state = 112, .external_lex_state = 4},
  [1000] = {.lex_state = 112, .external_lex_state = 4},
  [1001] = {.lex_state = 112, .external_lex_state = 4},
  [1002] = {.lex_state = 112, .external_lex_state = 4},
  [1003] = {.lex_state = 112, .external_lex_state = 4},
  [1004] = {.lex_state = 112, .external_lex_state = 4},
  [1005] = {.lex_state = 112, .external_lex_state = 4},
  [1006] = {.lex_state = 112, .external_lex_state = 4},
  [1007] = {.lex_state = 112, .external_lex_state = 4},
  [1008] = {.lex_state = 112, .external_lex_state = 4},
  [1009] = {.lex_state = 112, .external_lex_state = 4},
  [1010] = {.lex_state = 112, .external_lex_state = 4},
  [1011] = {.lex_state = 112, .external_lex_state = 4},
  [1012] = {.lex_state = 112, .external_lex_state = 4},
  [1013] = {.lex_state = 112, .external_lex_state = 4},
  [1014] = {.lex_state = 112, .external_lex_state = 4},
  [1015] = {.lex_state = 112, .external_lex_state = 4},
  [1016] = {.lex_state = 112, .external_lex_state = 4},
  [1017] = {.lex_state = 112, .external_lex_state = 4},
  [1018] = {.lex_state = 112, .external_lex_state = 4},
  [1019] = {.lex_state = 112, .external_lex_state = 4},
  [1020] = {.lex_state = 112, .external_lex_state = 4},
  [1021] = {.lex_state = 112, .external_lex_state = 4},
  [1022] = {.lex_state = 112, .external_lex_state = 4},
  [1023] = {.lex_state = 112, .external_lex_state = 4},
  [1024] = {.lex_state = 112, .external_lex_state = 4},
  [1025] = {.lex_state = 112, .external_lex_state = 4},
  [1026] = {.lex_state = 112, .external_lex_state = 4},
  [1027] = {.lex_state = 112, .external_lex_state = 4},
  [1028] = {.lex_state = 112, .external_lex_state = 4},
  [1029] = {.lex_state = 112, .external_lex_state = 4},
  [1030] = {.lex_state = 112, .external_lex_state = 4},
  [1031] = {.lex_state = 112, .external_lex_state = 4},
  [1032] = {.lex_state = 112, .external_lex_state = 4},
  [1033] = {.lex_state = 112, .external_lex_state = 4},
  [1034] = {.lex_state = 112, .external_lex_state = 4},
  [1035] = {.lex_state = 112, .external_lex_state = 4},
  [1036] = {.lex_state = 112, .external_lex_state = 4},
  [1037] = {.lex_state = 112, .external_lex_state = 4},
  [1038] = {.lex_state = 112, .external_lex_state = 4},
  [1039] = {.lex_state = 112, .external_lex_state = 4},
  [1040] = {.lex_state = 112, .external_lex_state = 4},
  [1041] = {.lex_state = 112, .external_lex_state = 4},
  [1042] = {.lex_state = 112, .external_lex_state = 4},
  [1043] = {.lex_state = 112, .external_lex_state = 4},
  [1044] = {.lex_state = 112, .external_lex_state = 4},
  [1045] = {.lex_state = 112, .external_lex_state = 4},
  [1046] = {.lex_state = 112, .external_lex_state = 4},
  [1047] = {.lex_state = 112, .external_lex_state = 4},
  [1048] = {.lex_state = 112, .external_lex_state = 4},
  [1049] = {.lex_state = 112, .external_lex_state = 4},
  [1050] = {.lex_state = 112, .external_lex_state = 4},
  [1051] = {.lex_state = 112, .external_lex_state = 4},
  [1052] = {.lex_state = 112, .external_lex_state = 4},
  [1053] = {.lex_state = 112, .external_lex_state = 4},
  [1054] = {.lex_state = 112, .external_lex_state = 4},
  [1055] = {.lex_state = 112, .external_lex_state = 4},
  [1056] = {.lex_state = 112, .external_lex_state = 4},
  [1057] = {.lex_state = 112, .external_lex_state = 4},
  [1058] = {.lex_state = 112, .external_lex_state = 4},
  [1059] = {.lex_state = 112, .external_lex_state = 4},
  [1060] = {.lex_state = 112, .external_lex_state = 4},
  [1061] = {.lex_state = 112, .external_lex_state = 4},
  [1062] = {.lex_state = 112, .external_lex_state = 4},
  [1063] = {.lex_state = 112, .external_lex_state = 4},
  [1064] = {.lex_state = 112, .external_lex_state = 4},
  [1065] = {.lex_state = 112, .external_lex_state = 4},
  [1066] = {.lex_state = 112, .external_lex_state = 4},
  [1067] = {.lex_state = 112, .external_lex_state = 4},
  [1068] = {.lex_state = 112, .external_lex_state = 4},
  [1069] = {.lex_state = 112, .external_lex_state = 4},
  [1070] = {.lex_state = 112, .external_lex_state = 4},
  [1071] = {.lex_state = 112, .external_lex_state = 4},
  [1072] = {.lex_state = 112, .external_lex_state = 4},
  [1073] = {.lex_state = 112, .external_lex_state = 4},
  [1074] = {.lex_state = 112, .external_lex_state = 4},
  [1075] = {.lex_state = 112, .external_lex_state = 4},
  [1076] = {.lex_state = 112, .external_lex_state = 4},
  [1077] = {.lex_state = 112, .external_lex_state = 4},
  [1078] = {.lex_state = 112, .external_lex_state = 4},
  [1079] = {.lex_state = 112, .external_lex_state = 4},
  [1080] = {.lex_state = 112, .external_lex_state = 4},
  [1081] = {.lex_state = 112, .external_lex_state = 4},
  [1082] = {.lex_state = 112, .external_lex_state = 4},
  [1083] = {.lex_state = 112, .external_lex_state = 4},
  [1084] = {.lex_state = 112, .external_lex_state = 4},
  [1085] = {.lex_state = 112, .external_lex_state = 4},
  [1086] = {.lex_state = 53, .external_lex_state = 4},
  [1087] = {.lex_state = 53, .external_lex_state = 4},
  [1088] = {.lex_state = 52, .external_lex_state = 4},
  [1089] = {.lex_state = 52, .external_lex_state = 4},
  [1090] = {.lex_state = 52, .external_lex_state = 4},
  [1091] = {.lex_state = 53, .external_lex_state = 4},
  [1092] = {.lex_state = 53, .external_lex_state = 4},
  [1093] = {.lex_state = 55, .external_lex_state = 6},
  [1094] = {.lex_state = 52, .external_lex_state = 6},
  [1095] = {.lex_state = 52, .external_lex_state = 4},
  [1096] = {.lex_state = 52, .external_lex_state = 4},
  [1097] = {.lex_state = 52, .external_lex_state = 4},
  [1098] = {.lex_state = 52, .external_lex_state = 4},
  [1099] = {.lex_state = 52, .external_lex_state = 4},
  [1100] = {.lex_state = 52, .external_lex_state = 4},
  [1101] = {.lex_state = 52, .external_lex_state = 4},
  [1102] = {.lex_state = 52, .external_lex_state = 4},
  [1103] = {.lex_state = 52, .external_lex_state = 4},
  [1104] = {.lex_state = 52, .external_lex_state = 4},
  [1105] = {.lex_state = 52, .external_lex_state = 4},
  [1106] = {.lex_state = 52, .external_lex_state = 4},
  [1107] = {.lex_state = 52, .external_lex_state = 4},
  [1108] = {.lex_state = 52, .external_lex_state = 4},
  [1109] = {.lex_state = 52, .external_lex_state = 4},
  [1110] = {.lex_state = 52, .external_lex_state = 4},
  [1111] = {.lex_state = 52, .external_lex_state = 4},
  [1112] = {.lex_state = 52, .external_lex_state = 4},
  [1113] = {.lex_state = 52, .external_lex_state = 4},
  [1114] = {.lex_state = 52, .external_lex_state = 4},
  [1115] = {.lex_state = 52, .external_lex_state = 4},
  [1116] = {.lex_state = 52, .external_lex_state = 4},
  [1117] = {.lex_state = 52, .external_lex_state = 4},
  [1118] = {.lex_state = 52, .external_lex_state = 4},
  [1119] = {.lex_state = 52, .external_lex_state = 4},
  [1120] = {.lex_state = 52, .external_lex_state = 4},
  [1121] = {.lex_state = 52, .external_lex_state = 4},
  [1122] = {.lex_state = 52, .external_lex_state = 4},
  [1123] = {.lex_state = 52, .external_lex_state = 4},
  [1124] = {.lex_state = 52, .external_lex_state = 4},
  [1125] = {.lex_state = 52, .external_lex_state = 4},
  [1126] = {.lex_state = 52, .external_lex_state = 4},
  [1127] = {.lex_state = 52, .external_lex_state = 4},
  [1128] = {.lex_state = 52, .external_lex_state = 4},
  [1129] = {.lex_state = 52, .external_lex_state = 4},
  [1130] = {.lex_state = 52, .external_lex_state = 4},
  [1131] = {.lex_state = 52, .external_lex_state = 4},
  [1132] = {.lex_state = 52, .external_lex_state = 4},
  [1133] = {.lex_state = 52, .external_lex_state = 4},
  [1134] = {.lex_state = 52, .external_lex_state = 4},
  [1135] = {.lex_state = 52, .external_lex_state = 4},
  [1136] = {.lex_state = 52, .external_lex_state = 4},
  [1137] = {.lex_state = 52, .external_lex_state = 4},
  [1138] = {.lex_state = 52, .external_lex_state = 4},
  [1139] = {.lex_state = 52, .external_lex_state = 4},
  [1140] = {.lex_state = 52, .external_lex_state = 4},
  [1141] = {.lex_state = 52, .external_lex_state = 4},
  [1142] = {.lex_state = 52, .external_lex_state = 4},
  [1143] = {.lex_state = 52, .external_lex_state = 4},
  [1144] = {.lex_state = 52, .external_lex_state = 4},
  [1145] = {.lex_state = 52, .external_lex_state = 4},
  [1146] = {.lex_state = 52, .external_lex_state = 4},
  [1147] = {.lex_state = 52, .external_lex_state = 4},
  [1148] = {.lex_state = 52, .external_lex_state = 4},
  [1149] = {.lex_state = 52, .external_lex_state = 4},
  [1150] = {.lex_state = 52, .external_lex_state = 4},
  [1151] = {.lex_state = 52, .external_lex_state = 4},
  [1152] = {.lex_state = 52, .external_lex_state = 4},
  [1153] = {.lex_state = 52, .external_lex_state = 4},
  [1154] = {.lex_state = 52, .external_lex_state = 4},
  [1155] = {.lex_state = 52, .external_lex_state = 4},
  [1156] = {.lex_state = 52, .external_lex_state = 4},
  [1157] = {.lex_state = 52, .external_lex_state = 4},
  [1158] = {.lex_state = 52, .external_lex_state = 4},
  [1159] = {.lex_state = 52, .external_lex_state = 4},
  [1160] = {.lex_state = 52, .external_lex_state = 4},
  [1161] = {.lex_state = 52, .external_lex_state = 4},
  [1162] = {.lex_state = 52, .external_lex_state = 4},
  [1163] = {.lex_state = 52, .external_lex_state = 4},
  [1164] = {.lex_state = 52, .external_lex_state = 4},
  [1165] = {.lex_state = 52, .external_lex_state = 4},
  [1166] = {.lex_state = 52, .external_lex_state = 4},
  [1167] = {.lex_state = 52, .external_lex_state = 4},
  [1168] = {.lex_state = 52, .external_lex_state = 4},
  [1169] = {.lex_state = 52, .external_lex_state = 4},
  [1170] = {.lex_state = 52, .external_lex_state = 4},
  [1171] = {.lex_state = 52, .external_lex_state = 4},
  [1172] = {.lex_state = 52, .external_lex_state = 4},
  [1173] = {.lex_state = 52, .external_lex_state = 4},
  [1174] = {.lex_state = 52, .external_lex_state = 4},
  [1175] = {.lex_state = 52, .external_lex_state = 4},
  [1176] = {.lex_state = 52, .external_lex_state = 4},
  [1177] = {.lex_state = 52, .external_lex_state = 4},
  [1178] = {.lex_state = 52, .external_lex_state = 4},
  [1179] = {.lex_state = 52, .external_lex_state = 4},
  [1180] = {.lex_state = 52, .external_lex_state = 4},
  [1181] = {.lex_state = 52, .external_lex_state = 4},
  [1182] = {.lex_state = 52, .external_lex_state = 4},
  [1183] = {.lex_state = 52, .external_lex_state = 4},
  [1184] = {.lex_state = 52, .external_lex_state = 4},
  [1185] = {.lex_state = 52, .external_lex_state = 4},
  [1186] = {.lex_state = 52, .external_lex_state = 4},
  [1187] = {.lex_state = 52, .external_lex_state = 4},
  [1188] = {.lex_state = 52, .external_lex_state = 4},
  [1189] = {.lex_state = 52, .external_lex_state = 4},
  [1190] = {.lex_state = 52, .external_lex_state = 4},
  [1191] = {.lex_state = 52, .external_lex_state = 4},
  [1192] = {.lex_state = 52, .external_lex_state = 4},
  [1193] = {.lex_state = 113, .external_lex_state = 12},
  [1194] = {.lex_state = 113, .external_lex_state = 12},
  [1195] = {.lex_state = 113, .external_lex_state = 12},
  [1196] = {.lex_state = 113, .external_lex_state = 12},
  [1197] = {.lex_state = 113, .external_lex_state = 12},
  [1198] = {.lex_state = 113, .external_lex_state = 13},
  [1199] = {.lex_state = 3, .external_lex_state = 12},
  [1200] = {.lex_state = 3, .external_lex_state = 12},
  [1201] = {.lex_state = 113, .external_lex_state = 13},
  [1202] = {.lex_state = 3, .external_lex_state = 12},
  [1203] = {.lex_state = 3, .external_lex_state = 12},
  [1204] = {.lex_state = 3, .external_lex_state = 12},
  [1205] = {.lex_state = 113, .external_lex_state = 12},
  [1206] = {.lex_state = 3, .external_lex_state = 12},
  [1207] = {.lex_state = 3, .external_lex_state = 12},
  [1208] = {.lex_state = 3, .external_lex_state = 12},
  [1209] = {.lex_state = 3, .external_lex_state = 12},
  [1210] = {.lex_state = 3, .external_lex_state = 12},
  [1211] = {.lex_state = 3, .external_lex_state = 12},
  [1212] = {.lex_state = 3, .external_lex_state = 12},
  [1213] = {.lex_state = 3, .external_lex_state = 12},
  [1214] = {.lex_state = 3, .external_lex_state = 12},
  [1215] = {.lex_state = 3, .external_lex_state = 12},
  [1216] = {.lex_state = 3, .external_lex_state = 12},
  [1217] = {.lex_state = 113, .external_lex_state = 12},
  [1218] = {.lex_state = 3, .external_lex_state = 12},
  [1219] = {.lex_state = 3, .external_lex_state = 12},
  [1220] = {.lex_state = 3, .external_lex_state = 12},
  [1221] = {.lex_state = 3, .external_lex_state = 12},
  [1222] = {.lex_state = 3, .external_lex_state = 12},
  [1223] = {.lex_state = 3, .external_lex_state = 12},
  [1224] = {.lex_state = 3, .external_lex_state = 12},
  [1225] = {.lex_state = 113, .external_lex_state = 12},
  [1226] = {.lex_state = 3, .external_lex_state = 12},
  [1227] = {.lex_state = 6, .external_lex_state = 12},
  [1228] = {.lex_state = 3, .external_lex_state = 12},
  [1229] = {.lex_state = 3, .external_lex_state = 12},
  [1230] = {.lex_state = 3, .external_lex_state = 12},
  [1231] = {.lex_state = 3, .external_lex_state = 12},
  [1232] = {.lex_state = 3, .external_lex_state = 12},
  [1233] = {.lex_state = 3, .external_lex_state = 12},
  [1234] = {.lex_state = 3, .external_lex_state = 12},
  [1235] = {.lex_state = 3, .external_lex_state = 12},
  [1236] = {.lex_state = 8, .external_lex_state = 12},
  [1237] = {.lex_state = 3, .external_lex_state = 12},
  [1238] = {.lex_state = 8, .external_lex_state = 12},
  [1239] = {.lex_state = 8, .external_lex_state = 12},
  [1240] = {.lex_state = 3, .external_lex_state = 12},
  [1241] = {.lex_state = 3, .external_lex_state = 12},
  [1242] = {.lex_state = 3, .external_lex_state = 12},
  [1243] = {.lex_state = 9, .external_lex_state = 12},
  [1244] = {.lex_state = 3, .external_lex_state = 12},
  [1245] = {.lex_state = 3, .external_lex_state = 12},
  [1246] = {.lex_state = 3, .external_lex_state = 12},
  [1247] = {.lex_state = 10, .external_lex_state = 12},
  [1248] = {.lex_state = 3, .external_lex_state = 12},
  [1249] = {.lex_state = 8, .external_lex_state = 12},
  [1250] = {.lex_state = 3, .external_lex_state = 12},
  [1251] = {.lex_state = 9, .external_lex_state = 12},
  [1252] = {.lex_state = 9, .external_lex_state = 12},
  [1253] = {.lex_state = 6, .external_lex_state = 12},
  [1254] = {.lex_state = 6, .external_lex_state = 12},
  [1255] = {.lex_state = 9, .external_lex_state = 12},
  [1256] = {.lex_state = 6, .external_lex_state = 12},
  [1257] = {.lex_state = 3, .external_lex_state = 12},
  [1258] = {.lex_state = 3, .external_lex_state = 12},
  [1259] = {.lex_state = 3, .external_lex_state = 12},
  [1260] = {.lex_state = 3, .external_lex_state = 12},
  [1261] = {.lex_state = 3, .external_lex_state = 12},
  [1262] = {.lex_state = 3, .external_lex_state = 12},
  [1263] = {.lex_state = 3, .external_lex_state = 12},
  [1264] = {.lex_state = 8, .external_lex_state = 12},
  [1265] = {.lex_state = 10, .external_lex_state = 12},
  [1266] = {.lex_state = 3, .external_lex_state = 12},
  [1267] = {.lex_state = 3, .external_lex_state = 12},
  [1268] = {.lex_state = 3, .external_lex_state = 12},
  [1269] = {.lex_state = 3, .external_lex_state = 12},
  [1270] = {.lex_state = 8, .external_lex_state = 12},
  [1271] = {.lex_state = 3, .external_lex_state = 12},
  [1272] = {.lex_state = 3, .external_lex_state = 12},
  [1273] = {.lex_state = 10, .external_lex_state = 12},
  [1274] = {.lex_state = 3, .external_lex_state = 12},
  [1275] = {.lex_state = 6, .external_lex_state = 12},
  [1276] = {.lex_state = 9, .external_lex_state = 12},
  [1277] = {.lex_state = 3, .external_lex_state = 12},
  [1278] = {.lex_state = 3, .external_lex_state = 12},
  [1279] = {.lex_state = 3, .external_lex_state = 12},
  [1280] = {.lex_state = 3, .external_lex_state = 12},
  [1281] = {.lex_state = 3, .external_lex_state = 12},
  [1282] = {.lex_state = 3, .external_lex_state = 12},
  [1283] = {.lex_state = 3, .external_lex_state = 12},
  [1284] = {.lex_state = 3, .external_lex_state = 12},
  [1285] = {.lex_state = 3, .external_lex_state = 12},
  [1286] = {.lex_state = 3, .external_lex_state = 12},
  [1287] = {.lex_state = 3, .external_lex_state = 12},
  [1288] = {.lex_state = 3, .external_lex_state = 12},
  [1289] = {.lex_state = 3, .external_lex_state = 12},
  [1290] = {.lex_state = 3, .external_lex_state = 12},
  [1291] = {.lex_state = 3, .external_lex_state = 12},
  [1292] = {.lex_state = 3, .external_lex_state = 12},
  [1293] = {.lex_state = 3, .external_lex_state = 12},
  [1294] = {.lex_state = 3, .external_lex_state = 12},
  [1295] = {.lex_state = 3, .external_lex_state = 12},
  [1296] = {.lex_state = 3, .external_lex_state = 12},
  [1297] = {.lex_state = 3, .external_lex_state = 12},
  [1298] = {.lex_state = 3, .external_lex_state = 12},
  [1299] = {.lex_state = 3, .external_lex_state = 12},
  [1300] = {.lex_state = 3, .external_lex_state = 12},
  [1301] = {.lex_state = 3, .external_lex_state = 12},
  [1302] = {.lex_state = 3, .external_lex_state = 12},
  [1303] = {.lex_state = 3, .external_lex_state = 12},
  [1304] = {.lex_state = 3, .external_lex_state = 12},
  [1305] = {.lex_state = 3, .external_lex_state = 12},
  [1306] = {.lex_state = 3, .external_lex_state = 12},
  [1307] = {.lex_state = 3, .external_lex_state = 12},
  [1308] = {.lex_state = 3, .external_lex_state = 12},
  [1309] = {.lex_state = 3, .external_lex_state = 12},
  [1310] = {.lex_state = 3, .external_lex_state = 12},
  [1311] = {.lex_state = 3, .external_lex_state = 12},
  [1312] = {.lex_state = 3, .external_lex_state = 12},
  [1313] = {.lex_state = 3, .external_lex_state = 12},
  [1314] = {.lex_state = 3, .external_lex_state = 12},
  [1315] = {.lex_state = 3, .external_lex_state = 12},
  [1316] = {.lex_state = 3, .external_lex_state = 12},
  [1317] = {.lex_state = 3, .external_lex_state = 12},
  [1318] = {.lex_state = 3, .external_lex_state = 12},
  [1319] = {.lex_state = 3, .external_lex_state = 12},
  [1320] = {.lex_state = 3, .external_lex_state = 12},
  [1321] = {.lex_state = 3, .external_lex_state = 12},
  [1322] = {.lex_state = 3, .external_lex_state = 12},
  [1323] = {.lex_state = 3, .external_lex_state = 12},
  [1324] = {.lex_state = 3, .external_lex_state = 12},
  [1325] = {.lex_state = 3, .external_lex_state = 12},
  [1326] = {.lex_state = 3, .external_lex_state = 12},
  [1327] = {.lex_state = 3, .external_lex_state = 12},
  [1328] = {.lex_state = 3, .external_lex_state = 12},
  [1329] = {.lex_state = 3, .external_lex_state = 12},
  [1330] = {.lex_state = 3, .external_lex_state = 12},
  [1331] = {.lex_state = 3, .external_lex_state = 12},
  [1332] = {.lex_state = 3, .external_lex_state = 12},
  [1333] = {.lex_state = 3, .external_lex_state = 12},
  [1334] = {.lex_state = 3, .external_lex_state = 12},
  [1335] = {.lex_state = 3, .external_lex_state = 12},
  [1336] = {.lex_state = 3, .external_lex_state = 12},
  [1337] = {.lex_state = 3, .external_lex_state = 12},
  [1338] = {.lex_state = 3, .external_lex_state = 12},
  [1339] = {.lex_state = 3, .external_lex_state = 12},
  [1340] = {.lex_state = 3, .external_lex_state = 12},
  [1341] = {.lex_state = 3, .external_lex_state = 12},
  [1342] = {.lex_state = 3, .external_lex_state = 12},
  [1343] = {.lex_state = 3, .external_lex_state = 12},
  [1344] = {.lex_state = 3, .external_lex_state = 12},
  [1345] = {.lex_state = 3, .external_lex_state = 12},
  [1346] = {.lex_state = 3, .external_lex_state = 12},
  [1347] = {.lex_state = 3, .external_lex_state = 12},
  [1348] = {.lex_state = 3, .external_lex_state = 12},
  [1349] = {.lex_state = 3, .external_lex_state = 12},
  [1350] = {.lex_state = 3, .external_lex_state = 12},
  [1351] = {.lex_state = 3, .external_lex_state = 12},
  [1352] = {.lex_state = 3, .external_lex_state = 12},
  [1353] = {.lex_state = 3, .external_lex_state = 12},
  [1354] = {.lex_state = 3, .external_lex_state = 12},
  [1355] = {.lex_state = 3, .external_lex_state = 12},
  [1356] = {.lex_state = 3, .external_lex_state = 12},
  [1357] = {.lex_state = 3, .external_lex_state = 12},
  [1358] = {.lex_state = 3, .external_lex_state = 12},
  [1359] = {.lex_state = 3, .external_lex_state = 12},
  [1360] = {.lex_state = 3, .external_lex_state = 12},
  [1361] = {.lex_state = 3, .external_lex_state = 12},
  [1362] = {.lex_state = 3, .external_lex_state = 12},
  [1363] = {.lex_state = 3, .external_lex_state = 12},
  [1364] = {.lex_state = 3, .external_lex_state = 12},
  [1365] = {.lex_state = 3, .external_lex_state = 12},
  [1366] = {.lex_state = 3, .external_lex_state = 12},
  [1367] = {.lex_state = 3, .external_lex_state = 12},
  [1368] = {.lex_state = 3, .external_lex_state = 12},
  [1369] = {.lex_state = 3, .external_lex_state = 12},
  [1370] = {.lex_state = 3, .external_lex_state = 12},
  [1371] = {.lex_state = 3, .external_lex_state = 12},
  [1372] = {.lex_state = 3, .external_lex_state = 12},
  [1373] = {.lex_state = 3, .external_lex_state = 12},
  [1374] = {.lex_state = 3, .external_lex_state = 12},
  [1375] = {.lex_state = 3, .external_lex_state = 12},
  [1376] = {.lex_state = 3, .external_lex_state = 12},
  [1377] = {.lex_state = 3, .external_lex_state = 12},
  [1378] = {.lex_state = 3, .external_lex_state = 12},
  [1379] = {.lex_state = 3, .external_lex_state = 12},
  [1380] = {.lex_state = 3, .external_lex_state = 12},
  [1381] = {.lex_state = 3, .external_lex_state = 12},
  [1382] = {.lex_state = 3, .external_lex_state = 12},
  [1383] = {.lex_state = 3, .external_lex_state = 12},
  [1384] = {.lex_state = 3, .external_lex_state = 12},
  [1385] = {.lex_state = 3, .external_lex_state = 12},
  [1386] = {.lex_state = 3, .external_lex_state = 12},
  [1387] = {.lex_state = 3, .external_lex_state = 12},
  [1388] = {.lex_state = 3, .external_lex_state = 12},
  [1389] = {.lex_state = 3, .external_lex_state = 12},
  [1390] = {.lex_state = 3, .external_lex_state = 12},
  [1391] = {.lex_state = 3, .external_lex_state = 12},
  [1392] = {.lex_state = 3, .external_lex_state = 12},
  [1393] = {.lex_state = 3, .external_lex_state = 12},
  [1394] = {.lex_state = 3, .external_lex_state = 12},
  [1395] = {.lex_state = 3, .external_lex_state = 12},
  [1396] = {.lex_state = 3, .external_lex_state = 12},
  [1397] = {.lex_state = 3, .external_lex_state = 12},
  [1398] = {.lex_state = 3, .external_lex_state = 12},
  [1399] = {.lex_state = 3, .external_lex_state = 12},
  [1400] = {.lex_state = 3, .external_lex_state = 12},
  [1401] = {.lex_state = 3, .external_lex_state = 12},
  [1402] = {.lex_state = 3, .external_lex_state = 12},
  [1403] = {.lex_state = 3, .external_lex_state = 12},
  [1404] = {.lex_state = 3, .external_lex_state = 12},
  [1405] = {.lex_state = 3, .external_lex_state = 12},
  [1406] = {.lex_state = 3, .external_lex_state = 12},
  [1407] = {.lex_state = 3, .external_lex_state = 12},
  [1408] = {.lex_state = 3, .external_lex_state = 12},
  [1409] = {.lex_state = 3, .external_lex_state = 12},
  [1410] = {.lex_state = 3, .external_lex_state = 12},
  [1411] = {.lex_state = 3, .external_lex_state = 12},
  [1412] = {.lex_state = 3, .external_lex_state = 12},
  [1413] = {.lex_state = 3, .external_lex_state = 12},
  [1414] = {.lex_state = 3, .external_lex_state = 12},
  [1415] = {.lex_state = 3, .external_lex_state = 12},
  [1416] = {.lex_state = 3, .external_lex_state = 12},
  [1417] = {.lex_state = 3, .external_lex_state = 12},
  [1418] = {.lex_state = 3, .external_lex_state = 12},
  [1419] = {.lex_state = 3, .external_lex_state = 12},
  [1420] = {.lex_state = 3, .external_lex_state = 12},
  [1421] = {.lex_state = 3, .external_lex_state = 12},
  [1422] = {.lex_state = 113, .external_lex_state = 12},
  [1423] = {.lex_state = 113, .external_lex_state = 12},
  [1424] = {.lex_state = 113, .external_lex_state = 12},
  [1425] = {.lex_state = 113, .external_lex_state = 12},
  [1426] = {.lex_state = 113, .external_lex_state = 12},
  [1427] = {.lex_state = 113, .external_lex_state = 13},
  [1428] = {.lex_state = 113, .external_lex_state = 13},
  [1429] = {.lex_state = 113, .external_lex_state = 14},
  [1430] = {.lex_state = 113, .external_lex_state = 14},
  [1431] = {.lex_state = 113, .external_lex_state = 12},
  [1432] = {.lex_state = 113, .external_lex_state = 12},
  [1433] = {.lex_state = 113, .external_lex_state = 14},
  [1434] = {.lex_state = 113, .external_lex_state = 12},
  [1435] = {.lex_state = 113, .external_lex_state = 14},
  [1436] = {.lex_state = 113, .external_lex_state = 14},
  [1437] = {.lex_state = 3, .external_lex_state = 12},
  [1438] = {.lex_state = 3, .external_lex_state = 12},
  [1439] = {.lex_state = 56, .external_lex_state = 14},
  [1440] = {.lex_state = 56, .external_lex_state = 14},
  [1441] = {.lex_state = 113, .external_lex_state = 15},
  [1442] = {.lex_state = 3, .external_lex_state = 14},
  [1443] = {.lex_state = 3, .external_lex_state = 14},
  [1444] = {.lex_state = 113, .external_lex_state = 15},
  [1445] = {.lex_state = 3, .external_lex_state = 12},
  [1446] = {.lex_state = 3, .external_lex_state = 12},
  [1447] = {.lex_state = 3, .external_lex_state = 12},
  [1448] = {.lex_state = 3, .external_lex_state = 12},
  [1449] = {.lex_state = 56, .external_lex_state = 14},
  [1450] = {.lex_state = 3, .external_lex_state = 14},
  [1451] = {.lex_state = 3, .external_lex_state = 14},
  [1452] = {.lex_state = 3, .external_lex_state = 12},
  [1453] = {.lex_state = 3, .external_lex_state = 14},
  [1454] = {.lex_state = 3, .external_lex_state = 12},
  [1455] = {.lex_state = 3, .external_lex_state = 12},
  [1456] = {.lex_state = 3, .external_lex_state = 12},
  [1457] = {.lex_state = 3, .external_lex_state = 12},
  [1458] = {.lex_state = 3, .external_lex_state = 12},
  [1459] = {.lex_state = 3, .external_lex_state = 12},
  [1460] = {.lex_state = 3, .external_lex_state = 12},
  [1461] = {.lex_state = 3, .external_lex_state = 12},
  [1462] = {.lex_state = 3, .external_lex_state = 12},
  [1463] = {.lex_state = 3, .external_lex_state = 12},
  [1464] = {.lex_state = 3, .external_lex_state = 12},
  [1465] = {.lex_state = 3, .external_lex_state = 12},
  [1466] = {.lex_state = 3, .external_lex_state = 12},
  [1467] = {.lex_state = 3, .external_lex_state = 12},
  [1468] = {.lex_state = 113, .external_lex_state = 14},
  [1469] = {.lex_state = 113, .external_lex_state = 14},
  [1470] = {.lex_state = 3, .external_lex_state = 14},
  [1471] = {.lex_state = 3, .external_lex_state = 12},
  [1472] = {.lex_state = 113, .external_lex_state = 14},
  [1473] = {.lex_state = 3, .external_lex_state = 14},
  [1474] = {.lex_state = 3, .external_lex_state = 14},
  [1475] = {.lex_state = 3, .external_lex_state = 14},
  [1476] = {.lex_state = 3, .external_lex_state = 14},
  [1477] = {.lex_state = 3, .external_lex_state = 14},
  [1478] = {.lex_state = 3, .external_lex_state = 14},
  [1479] = {.lex_state = 3, .external_lex_state = 14},
  [1480] = {.lex_state = 3, .external_lex_state = 12},
  [1481] = {.lex_state = 3, .external_lex_state = 12},
  [1482] = {.lex_state = 3, .external_lex_state = 12},
  [1483] = {.lex_state = 3, .external_lex_state = 12},
  [1484] = {.lex_state = 3, .external_lex_state = 12},
  [1485] = {.lex_state = 3, .external_lex_state = 12},
  [1486] = {.lex_state = 3, .external_lex_state = 12},
  [1487] = {.lex_state = 3, .external_lex_state = 12},
  [1488] = {.lex_state = 3, .external_lex_state = 12},
  [1489] = {.lex_state = 3, .external_lex_state = 12},
  [1490] = {.lex_state = 3, .external_lex_state = 12},
  [1491] = {.lex_state = 3, .external_lex_state = 14},
  [1492] = {.lex_state = 3, .external_lex_state = 14},
  [1493] = {.lex_state = 3, .external_lex_state = 14},
  [1494] = {.lex_state = 3, .external_lex_state = 14},
  [1495] = {.lex_state = 3, .external_lex_state = 14},
  [1496] = {.lex_state = 3, .external_lex_state = 14},
  [1497] = {.lex_state = 3, .external_lex_state = 14},
  [1498] = {.lex_state = 3, .external_lex_state = 14},
  [1499] = {.lex_state = 3, .external_lex_state = 14},
  [1500] = {.lex_state = 3, .external_lex_state = 14},
  [1501] = {.lex_state = 3, .external_lex_state = 12},
  [1502] = {.lex_state = 57, .external_lex_state = 14},
  [1503] = {.lex_state = 57, .external_lex_state = 14},
  [1504] = {.lex_state = 57, .external_lex_state = 14},
  [1505] = {.lex_state = 57, .external_lex_state = 14},
  [1506] = {.lex_state = 57, .external_lex_state = 14},
  [1507] = {.lex_state = 57, .external_lex_state = 14},
  [1508] = {.lex_state = 57, .external_lex_state = 14},
  [1509] = {.lex_state = 57, .external_lex_state = 14},
  [1510] = {.lex_state = 57, .external_lex_state = 14},
  [1511] = {.lex_state = 57, .external_lex_state = 14},
  [1512] = {.lex_state = 57, .external_lex_state = 14},
  [1513] = {.lex_state = 57, .external_lex_state = 14},
  [1514] = {.lex_state = 57, .external_lex_state = 14},
  [1515] = {.lex_state = 57, .external_lex_state = 14},
  [1516] = {.lex_state = 57, .external_lex_state = 14},
  [1517] = {.lex_state = 6, .external_lex_state = 14},
  [1518] = {.lex_state = 3, .external_lex_state = 14},
  [1519] = {.lex_state = 57, .external_lex_state = 14},
  [1520] = {.lex_state = 57, .external_lex_state = 14},
  [1521] = {.lex_state = 65, .external_lex_state = 14},
  [1522] = {.lex_state = 65, .external_lex_state = 14},
  [1523] = {.lex_state = 65, .external_lex_state = 14},
  [1524] = {.lex_state = 65, .external_lex_state = 16},
  [1525] = {.lex_state = 57, .external_lex_state = 14},
  [1526] = {.lex_state = 65, .external_lex_state = 16},
  [1527] = {.lex_state = 65, .external_lex_state = 16},
  [1528] = {.lex_state = 56, .external_lex_state = 15},
  [1529] = {.lex_state = 56, .external_lex_state = 15},
  [1530] = {.lex_state = 3, .external_lex_state = 14},
  [1531] = {.lex_state = 57, .external_lex_state = 14},
  [1532] = {.lex_state = 57, .external_lex_state = 14},
  [1533] = {.lex_state = 57, .external_lex_state = 14},
  [1534] = {.lex_state = 57, .external_lex_state = 14},
  [1535] = {.lex_state = 3, .external_lex_state = 14},
  [1536] = {.lex_state = 57, .external_lex_state = 14},
  [1537] = {.lex_state = 65, .external_lex_state = 16},
  [1538] = {.lex_state = 8, .external_lex_state = 14},
  [1539] = {.lex_state = 3, .external_lex_state = 14},
  [1540] = {.lex_state = 56, .external_lex_state = 14},
  [1541] = {.lex_state = 56, .external_lex_state = 14},
  [1542] = {.lex_state = 3, .external_lex_state = 14},
  [1543] = {.lex_state = 56, .external_lex_state = 14},
  [1544] = {.lex_state = 8, .external_lex_state = 14},
  [1545] = {.lex_state = 10, .external_lex_state = 14},
  [1546] = {.lex_state = 3, .external_lex_state = 14},
  [1547] = {.lex_state = 57, .external_lex_state = 14},
  [1548] = {.lex_state = 3, .external_lex_state = 14},
  [1549] = {.lex_state = 3, .external_lex_state = 14},
  [1550] = {.lex_state = 3, .external_lex_state = 14},
  [1551] = {.lex_state = 9, .external_lex_state = 14},
  [1552] = {.lex_state = 57, .external_lex_state = 14},
  [1553] = {.lex_state = 6, .external_lex_state = 14},
  [1554] = {.lex_state = 9, .external_lex_state = 14},
  [1555] = {.lex_state = 59, .external_lex_state = 14},
  [1556] = {.lex_state = 3, .external_lex_state = 14},
  [1557] = {.lex_state = 3, .external_lex_state = 14},
  [1558] = {.lex_state = 3, .external_lex_state = 14},
  [1559] = {.lex_state = 3, .external_lex_state = 14},
  [1560] = {.lex_state = 8, .external_lex_state = 14},
  [1561] = {.lex_state = 3, .external_lex_state = 14},
  [1562] = {.lex_state = 3, .external_lex_state = 14},
  [1563] = {.lex_state = 3, .external_lex_state = 14},
  [1564] = {.lex_state = 3, .external_lex_state = 14},
  [1565] = {.lex_state = 3, .external_lex_state = 14},
  [1566] = {.lex_state = 10, .external_lex_state = 14},
  [1567] = {.lex_state = 8, .external_lex_state = 14},
  [1568] = {.lex_state = 9, .external_lex_state = 14},
  [1569] = {.lex_state = 6, .external_lex_state = 14},
  [1570] = {.lex_state = 9, .external_lex_state = 14},
  [1571] = {.lex_state = 3, .external_lex_state = 14},
  [1572] = {.lex_state = 9, .external_lex_state = 14},
  [1573] = {.lex_state = 3, .external_lex_state = 14},
  [1574] = {.lex_state = 3, .external_lex_state = 14},
  [1575] = {.lex_state = 65, .external_lex_state = 14},
  [1576] = {.lex_state = 3, .external_lex_state = 14},
  [1577] = {.lex_state = 3, .external_lex_state = 14},
  [1578] = {.lex_state = 3, .external_lex_state = 14},
  [1579] = {.lex_state = 3, .external_lex_state = 14},
  [1580] = {.lex_state = 65, .external_lex_state = 16},
  [1581] = {.lex_state = 3, .external_lex_state = 14},
  [1582] = {.lex_state = 3, .external_lex_state = 14},
  [1583] = {.lex_state = 3, .external_lex_state = 14},
  [1584] = {.lex_state = 3, .external_lex_state = 14},
  [1585] = {.lex_state = 3, .external_lex_state = 14},
  [1586] = {.lex_state = 65, .external_lex_state = 14},
  [1587] = {.lex_state = 10, .external_lex_state = 14},
  [1588] = {.lex_state = 8, .external_lex_state = 14},
  [1589] = {.lex_state = 6, .external_lex_state = 14},
  [1590] = {.lex_state = 3, .external_lex_state = 14},
  [1591] = {.lex_state = 6, .external_lex_state = 14},
  [1592] = {.lex_state = 3, .external_lex_state = 14},
  [1593] = {.lex_state = 8, .external_lex_state = 14},
  [1594] = {.lex_state = 57, .external_lex_state = 14},
  [1595] = {.lex_state = 3, .external_lex_state = 14},
  [1596] = {.lex_state = 57, .external_lex_state = 14},
  [1597] = {.lex_state = 3, .external_lex_state = 14},
  [1598] = {.lex_state = 3, .external_lex_state = 14},
  [1599] = {.lex_state = 57, .external_lex_state = 14},
  [1600] = {.lex_state = 3, .external_lex_state = 14},
  [1601] = {.lex_state = 3, .external_lex_state = 14},
  [1602] = {.lex_state = 3, .external_lex_state = 14},
  [1603] = {.lex_state = 57, .external_lex_state = 14},
  [1604] = {.lex_state = 57, .external_lex_state = 14},
  [1605] = {.lex_state = 3, .external_lex_state = 14},
  [1606] = {.lex_state = 3, .external_lex_state = 14},
  [1607] = {.lex_state = 3, .external_lex_state = 14},
  [1608] = {.lex_state = 64, .external_lex_state = 14},
  [1609] = {.lex_state = 57, .external_lex_state = 14},
  [1610] = {.lex_state = 3, .external_lex_state = 14},
  [1611] = {.lex_state = 3, .external_lex_state = 14},
  [1612] = {.lex_state = 3, .external_lex_state = 14},
  [1613] = {.lex_state = 64, .external_lex_state = 14},
  [1614] = {.lex_state = 3, .external_lex_state = 14},
  [1615] = {.lex_state = 64, .external_lex_state = 14},
  [1616] = {.lex_state = 3, .external_lex_state = 14},
  [1617] = {.lex_state = 3, .external_lex_state = 14},
  [1618] = {.lex_state = 3, .external_lex_state = 14},
  [1619] = {.lex_state = 3, .external_lex_state = 14},
  [1620] = {.lex_state = 64, .external_lex_state = 16},
  [1621] = {.lex_state = 64, .external_lex_state = 14},
  [1622] = {.lex_state = 3, .external_lex_state = 14},
  [1623] = {.lex_state = 64, .external_lex_state = 16},
  [1624] = {.lex_state = 3, .external_lex_state = 14},
  [1625] = {.lex_state = 3, .external_lex_state = 14},
  [1626] = {.lex_state = 3, .external_lex_state = 14},
  [1627] = {.lex_state = 3, .external_lex_state = 14},
  [1628] = {.lex_state = 3, .external_lex_state = 14},
  [1629] = {.lex_state = 3, .external_lex_state = 14},
  [1630] = {.lex_state = 3, .external_lex_state = 14},
  [1631] = {.lex_state = 3, .external_lex_state = 14},
  [1632] = {.lex_state = 3, .external_lex_state = 14},
  [1633] = {.lex_state = 3, .external_lex_state = 14},
  [1634] = {.lex_state = 3, .external_lex_state = 14},
  [1635] = {.lex_state = 3, .external_lex_state = 14},
  [1636] = {.lex_state = 3, .external_lex_state = 14},
  [1637] = {.lex_state = 64, .external_lex_state = 14},
  [1638] = {.lex_state = 3, .external_lex_state = 14},
  [1639] = {.lex_state = 3, .external_lex_state = 14},
  [1640] = {.lex_state = 3, .external_lex_state = 14},
  [1641] = {.lex_state = 3, .external_lex_state = 14},
  [1642] = {.lex_state = 3, .external_lex_state = 14},
  [1643] = {.lex_state = 64, .external_lex_state = 14},
  [1644] = {.lex_state = 64, .external_lex_state = 14},
  [1645] = {.lex_state = 62, .external_lex_state = 14},
  [1646] = {.lex_state = 3, .external_lex_state = 14},
  [1647] = {.lex_state = 3, .external_lex_state = 14},
  [1648] = {.lex_state = 64, .external_lex_state = 14},
  [1649] = {.lex_state = 3, .external_lex_state = 14},
  [1650] = {.lex_state = 57, .external_lex_state = 14},
  [1651] = {.lex_state = 3, .external_lex_state = 14},
  [1652] = {.lex_state = 60, .external_lex_state = 14},
  [1653] = {.lex_state = 3, .external_lex_state = 14},
  [1654] = {.lex_state = 62, .external_lex_state = 14},
  [1655] = {.lex_state = 63, .external_lex_state = 14},
  [1656] = {.lex_state = 57, .external_lex_state = 14},
  [1657] = {.lex_state = 3, .external_lex_state = 14},
  [1658] = {.lex_state = 3, .external_lex_state = 14},
  [1659] = {.lex_state = 3, .external_lex_state = 14},
  [1660] = {.lex_state = 3, .external_lex_state = 14},
  [1661] = {.lex_state = 3, .external_lex_state = 14},
  [1662] = {.lex_state = 65, .external_lex_state = 17},
  [1663] = {.lex_state = 57, .external_lex_state = 14},
  [1664] = {.lex_state = 65, .external_lex_state = 17},
  [1665] = {.lex_state = 3, .external_lex_state = 14},
  [1666] = {.lex_state = 3, .external_lex_state = 14},
  [1667] = {.lex_state = 3, .external_lex_state = 14},
  [1668] = {.lex_state = 3, .external_lex_state = 14},
  [1669] = {.lex_state = 63, .external_lex_state = 14},
  [1670] = {.lex_state = 63, .external_lex_state = 14},
  [1671] = {.lex_state = 3, .external_lex_state = 14},
  [1672] = {.lex_state = 3, .external_lex_state = 14},
  [1673] = {.lex_state = 3, .external_lex_state = 14},
  [1674] = {.lex_state = 60, .external_lex_state = 14},
  [1675] = {.lex_state = 3, .external_lex_state = 14},
  [1676] = {.lex_state = 3, .external_lex_state = 14},
  [1677] = {.lex_state = 3, .external_lex_state = 14},
  [1678] = {.lex_state = 59, .external_lex_state = 14},
  [1679] = {.lex_state = 3, .external_lex_state = 14},
  [1680] = {.lex_state = 64, .external_lex_state = 14},
  [1681] = {.lex_state = 59, .external_lex_state = 14},
  [1682] = {.lex_state = 62, .external_lex_state = 14},
  [1683] = {.lex_state = 3, .external_lex_state = 14},
  [1684] = {.lex_state = 3, .external_lex_state = 14},
  [1685] = {.lex_state = 3, .external_lex_state = 14},
  [1686] = {.lex_state = 57, .external_lex_state = 14},
  [1687] = {.lex_state = 63, .external_lex_state = 14},
  [1688] = {.lex_state = 3, .external_lex_state = 14},
  [1689] = {.lex_state = 59, .external_lex_state = 14},
  [1690] = {.lex_state = 60, .external_lex_state = 14},
  [1691] = {.lex_state = 3, .external_lex_state = 14},
  [1692] = {.lex_state = 63, .external_lex_state = 14},
  [1693] = {.lex_state = 3, .external_lex_state = 14},
  [1694] = {.lex_state = 3, .external_lex_state = 14},
  [1695] = {.lex_state = 3, .external_lex_state = 14},
  [1696] = {.lex_state = 3, .external_lex_state = 14},
  [1697] = {.lex_state = 3, .external_lex_state = 14},
  [1698] = {.lex_state = 3, .external_lex_state = 14},
  [1699] = {.lex_state = 3, .external_lex_state = 14},
  [1700] = {.lex_state = 3, .external_lex_state = 14},
  [1701] = {.lex_state = 3, .external_lex_state = 14},
  [1702] = {.lex_state = 64, .external_lex_state = 14},
  [1703] = {.lex_state = 3, .external_lex_state = 14},
  [1704] = {.lex_state = 3, .external_lex_state = 14},
  [1705] = {.lex_state = 3, .external_lex_state = 14},
  [1706] = {.lex_state = 3, .external_lex_state = 14},
  [1707] = {.lex_state = 3, .external_lex_state = 14},
  [1708] = {.lex_state = 3, .external_lex_state = 14},
  [1709] = {.lex_state = 64, .external_lex_state = 14},
  [1710] = {.lex_state = 3, .external_lex_state = 14},
  [1711] = {.lex_state = 64, .external_lex_state = 14},
  [1712] = {.lex_state = 3, .external_lex_state = 14},
  [1713] = {.lex_state = 64, .external_lex_state = 14},
  [1714] = {.lex_state = 3, .external_lex_state = 14},
  [1715] = {.lex_state = 3, .external_lex_state = 14},
  [1716] = {.lex_state = 3, .external_lex_state = 14},
  [1717] = {.lex_state = 3, .external_lex_state = 14},
  [1718] = {.lex_state = 3, .external_lex_state = 14},
  [1719] = {.lex_state = 64, .external_lex_state = 14},
  [1720] = {.lex_state = 3, .external_lex_state = 14},
  [1721] = {.lex_state = 64, .external_lex_state = 14},
  [1722] = {.lex_state = 3, .external_lex_state = 14},
  [1723] = {.lex_state = 3, .external_lex_state = 14},
  [1724] = {.lex_state = 3, .external_lex_state = 14},
  [1725] = {.lex_state = 3, .external_lex_state = 14},
  [1726] = {.lex_state = 3, .external_lex_state = 14},
  [1727] = {.lex_state = 3, .external_lex_state = 14},
  [1728] = {.lex_state = 3, .external_lex_state = 14},
  [1729] = {.lex_state = 3, .external_lex_state = 14},
  [1730] = {.lex_state = 3, .external_lex_state = 14},
  [1731] = {.lex_state = 3, .external_lex_state = 14},
  [1732] = {.lex_state = 3, .external_lex_state = 14},
  [1733] = {.lex_state = 3, .external_lex_state = 14},
  [1734] = {.lex_state = 64, .external_lex_state = 14},
  [1735] = {.lex_state = 3, .external_lex_state = 14},
  [1736] = {.lex_state = 3, .external_lex_state = 14},
  [1737] = {.lex_state = 3, .external_lex_state = 14},
  [1738] = {.lex_state = 64, .external_lex_state = 14},
  [1739] = {.lex_state = 3, .external_lex_state = 14},
  [1740] = {.lex_state = 3, .external_lex_state = 14},
  [1741] = {.lex_state = 3, .external_lex_state = 14},
  [1742] = {.lex_state = 3, .external_lex_state = 14},
  [1743] = {.lex_state = 3, .external_lex_state = 14},
  [1744] = {.lex_state = 3, .external_lex_state = 14},
  [1745] = {.lex_state = 64, .external_lex_state = 14},
  [1746] = {.lex_state = 3, .external_lex_state = 14},
  [1747] = {.lex_state = 3, .external_lex_state = 14},
  [1748] = {.lex_state = 3, .external_lex_state = 14},
  [1749] = {.lex_state = 64, .external_lex_state = 14},
  [1750] = {.lex_state = 64, .external_lex_state = 14},
  [1751] = {.lex_state = 3, .external_lex_state = 14},
  [1752] = {.lex_state = 3, .external_lex_state = 14},
  [1753] = {.lex_state = 3, .external_lex_state = 14},
  [1754] = {.lex_state = 3, .external_lex_state = 14},
  [1755] = {.lex_state = 3, .external_lex_state = 14},
  [1756] = {.lex_state = 3, .external_lex_state = 14},
  [1757] = {.lex_state = 59, .external_lex_state = 14},
  [1758] = {.lex_state = 3, .external_lex_state = 14},
  [1759] = {.lex_state = 3, .external_lex_state = 14},
  [1760] = {.lex_state = 3, .external_lex_state = 14},
  [1761] = {.lex_state = 65, .external_lex_state = 14},
  [1762] = {.lex_state = 3, .external_lex_state = 14},
  [1763] = {.lex_state = 3, .external_lex_state = 14},
  [1764] = {.lex_state = 3, .external_lex_state = 14},
  [1765] = {.lex_state = 3, .external_lex_state = 14},
  [1766] = {.lex_state = 62, .external_lex_state = 14},
  [1767] = {.lex_state = 3, .external_lex_state = 14},
  [1768] = {.lex_state = 65, .external_lex_state = 14},
  [1769] = {.lex_state = 57, .external_lex_state = 14},
  [1770] = {.lex_state = 62, .external_lex_state = 14},
  [1771] = {.lex_state = 65, .external_lex_state = 15},
  [1772] = {.lex_state = 57, .external_lex_state = 14},
  [1773] = {.lex_state = 65, .external_lex_state = 15},
  [1774] = {.lex_state = 3, .external_lex_state = 14},
  [1775] = {.lex_state = 3, .external_lex_state = 14},
  [1776] = {.lex_state = 3, .external_lex_state = 14},
  [1777] = {.lex_state = 3, .external_lex_state = 14},
  [1778] = {.lex_state = 3, .external_lex_state = 14},
  [1779] = {.lex_state = 3, .external_lex_state = 14},
  [1780] = {.lex_state = 3, .external_lex_state = 14},
  [1781] = {.lex_state = 64, .external_lex_state = 14},
  [1782] = {.lex_state = 3, .external_lex_state = 14},
  [1783] = {.lex_state = 3, .external_lex_state = 14},
  [1784] = {.lex_state = 3, .external_lex_state = 14},
  [1785] = {.lex_state = 57, .external_lex_state = 14},
  [1786] = {.lex_state = 57, .external_lex_state = 14},
  [1787] = {.lex_state = 57, .external_lex_state = 14},
  [1788] = {.lex_state = 3, .external_lex_state = 14},
  [1789] = {.lex_state = 3, .external_lex_state = 14},
  [1790] = {.lex_state = 3, .external_lex_state = 14},
  [1791] = {.lex_state = 3, .external_lex_state = 14},
  [1792] = {.lex_state = 3, .external_lex_state = 14},
  [1793] = {.lex_state = 3, .external_lex_state = 14},
  [1794] = {.lex_state = 57, .external_lex_state = 14},
  [1795] = {.lex_state = 57, .external_lex_state = 14},
  [1796] = {.lex_state = 3, .external_lex_state = 14},
  [1797] = {.lex_state = 57, .external_lex_state = 14},
  [1798] = {.lex_state = 57, .external_lex_state = 14},
  [1799] = {.lex_state = 3, .external_lex_state = 14},
  [1800] = {.lex_state = 62, .external_lex_state = 14},
  [1801] = {.lex_state = 3, .external_lex_state = 14},
  [1802] = {.lex_state = 64, .external_lex_state = 14},
  [1803] = {.lex_state = 57, .external_lex_state = 14},
  [1804] = {.lex_state = 64, .external_lex_state = 14},
  [1805] = {.lex_state = 57, .external_lex_state = 14},
  [1806] = {.lex_state = 57, .external_lex_state = 14},
  [1807] = {.lex_state = 57, .external_lex_state = 14},
  [1808] = {.lex_state = 57, .external_lex_state = 14},
  [1809] = {.lex_state = 57, .external_lex_state = 14},
  [1810] = {.lex_state = 57, .external_lex_state = 14},
  [1811] = {.lex_state = 57, .external_lex_state = 14},
  [1812] = {.lex_state = 57, .external_lex_state = 14},
  [1813] = {.lex_state = 57, .external_lex_state = 14},
  [1814] = {.lex_state = 57, .external_lex_state = 14},
  [1815] = {.lex_state = 57, .external_lex_state = 14},
  [1816] = {.lex_state = 57, .external_lex_state = 14},
  [1817] = {.lex_state = 57, .external_lex_state = 14},
  [1818] = {.lex_state = 57, .external_lex_state = 14},
  [1819] = {.lex_state = 57, .external_lex_state = 14},
  [1820] = {.lex_state = 57, .external_lex_state = 14},
  [1821] = {.lex_state = 57, .external_lex_state = 14},
  [1822] = {.lex_state = 57, .external_lex_state = 14},
  [1823] = {.lex_state = 57, .external_lex_state = 14},
  [1824] = {.lex_state = 57, .external_lex_state = 14},
  [1825] = {.lex_state = 57, .external_lex_state = 14},
  [1826] = {.lex_state = 57, .external_lex_state = 14},
  [1827] = {.lex_state = 57, .external_lex_state = 14},
  [1828] = {.lex_state = 57, .external_lex_state = 14},
  [1829] = {.lex_state = 57, .external_lex_state = 14},
  [1830] = {.lex_state = 57, .external_lex_state = 14},
  [1831] = {.lex_state = 57, .external_lex_state = 14},
  [1832] = {.lex_state = 57, .external_lex_state = 14},
  [1833] = {.lex_state = 57, .external_lex_state = 14},
  [1834] = {.lex_state = 57, .external_lex_state = 14},
  [1835] = {.lex_state = 57, .external_lex_state = 14},
  [1836] = {.lex_state = 57, .external_lex_state = 14},
  [1837] = {.lex_state = 57, .external_lex_state = 14},
  [1838] = {.lex_state = 57, .external_lex_state = 14},
  [1839] = {.lex_state = 57, .external_lex_state = 14},
  [1840] = {.lex_state = 57, .external_lex_state = 14},
  [1841] = {.lex_state = 57, .external_lex_state = 14},
  [1842] = {.lex_state = 57, .external_lex_state = 14},
  [1843] = {.lex_state = 57, .external_lex_state = 14},
  [1844] = {.lex_state = 57, .external_lex_state = 14},
  [1845] = {.lex_state = 57, .external_lex_state = 14},
  [1846] = {.lex_state = 57, .external_lex_state = 14},
  [1847] = {.lex_state = 57, .external_lex_state = 14},
  [1848] = {.lex_state = 57, .external_lex_state = 14},
  [1849] = {.lex_state = 57, .external_lex_state = 14},
  [1850] = {.lex_state = 57, .external_lex_state = 14},
  [1851] = {.lex_state = 57, .external_lex_state = 14},
  [1852] = {.lex_state = 57, .external_lex_state = 14},
  [1853] = {.lex_state = 57, .external_lex_state = 14},
  [1854] = {.lex_state = 57, .external_lex_state = 14},
  [1855] = {.lex_state = 57, .external_lex_state = 14},
  [1856] = {.lex_state = 57, .external_lex_state = 14},
  [1857] = {.lex_state = 57, .external_lex_state = 14},
  [1858] = {.lex_state = 57, .external_lex_state = 14},
  [1859] = {.lex_state = 57, .external_lex_state = 14},
  [1860] = {.lex_state = 57, .external_lex_state = 14},
  [1861] = {.lex_state = 57, .external_lex_state = 14},
  [1862] = {.lex_state = 57, .external_lex_state = 14},
  [1863] = {.lex_state = 57, .external_lex_state = 14},
  [1864] = {.lex_state = 57, .external_lex_state = 14},
  [1865] = {.lex_state = 57, .external_lex_state = 14},
  [1866] = {.lex_state = 57, .external_lex_state = 14},
  [1867] = {.lex_state = 57, .external_lex_state = 14},
  [1868] = {.lex_state = 57, .external_lex_state = 14},
  [1869] = {.lex_state = 57, .external_lex_state = 14},
  [1870] = {.lex_state = 57, .external_lex_state = 14},
  [1871] = {.lex_state = 57, .external_lex_state = 14},
  [1872] = {.lex_state = 57, .external_lex_state = 14},
  [1873] = {.lex_state = 57, .external_lex_state = 14},
  [1874] = {.lex_state = 57, .external_lex_state = 14},
  [1875] = {.lex_state = 57, .external_lex_state = 14},
  [1876] = {.lex_state = 57, .external_lex_state = 14},
  [1877] = {.lex_state = 57, .external_lex_state = 14},
  [1878] = {.lex_state = 57, .external_lex_state = 14},
  [1879] = {.lex_state = 57, .external_lex_state = 14},
  [1880] = {.lex_state = 57, .external_lex_state = 14},
  [1881] = {.lex_state = 57, .external_lex_state = 14},
  [1882] = {.lex_state = 57, .external_lex_state = 14},
  [1883] = {.lex_state = 57, .external_lex_state = 14},
  [1884] = {.lex_state = 57, .external_lex_state = 14},
  [1885] = {.lex_state = 57, .external_lex_state = 14},
  [1886] = {.lex_state = 57, .external_lex_state = 14},
  [1887] = {.lex_state = 57, .external_lex_state = 14},
  [1888] = {.lex_state = 57, .external_lex_state = 14},
  [1889] = {.lex_state = 57, .external_lex_state = 14},
  [1890] = {.lex_state = 57, .external_lex_state = 14},
  [1891] = {.lex_state = 57, .external_lex_state = 14},
  [1892] = {.lex_state = 57, .external_lex_state = 14},
  [1893] = {.lex_state = 57, .external_lex_state = 14},
  [1894] = {.lex_state = 57, .external_lex_state = 14},
  [1895] = {.lex_state = 57, .external_lex_state = 14},
  [1896] = {.lex_state = 57, .external_lex_state = 14},
  [1897] = {.lex_state = 57, .external_lex_state = 14},
  [1898] = {.lex_state = 57, .external_lex_state = 14},
  [1899] = {.lex_state = 57, .external_lex_state = 14},
  [1900] = {.lex_state = 57, .external_lex_state = 14},
  [1901] = {.lex_state = 57, .external_lex_state = 14},
  [1902] = {.lex_state = 57, .external_lex_state = 14},
  [1903] = {.lex_state = 57, .external_lex_state = 14},
  [1904] = {.lex_state = 57, .external_lex_state = 14},
  [1905] = {.lex_state = 57, .external_lex_state = 14},
  [1906] = {.lex_state = 57, .external_lex_state = 14},
  [1907] = {.lex_state = 57, .external_lex_state = 14},
  [1908] = {.lex_state = 57, .external_lex_state = 14},
  [1909] = {.lex_state = 57, .external_lex_state = 14},
  [1910] = {.lex_state = 57, .external_lex_state = 14},
  [1911] = {.lex_state = 57, .external_lex_state = 14},
  [1912] = {.lex_state = 57, .external_lex_state = 14},
  [1913] = {.lex_state = 57, .external_lex_state = 14},
  [1914] = {.lex_state = 57, .external_lex_state = 14},
  [1915] = {.lex_state = 64, .external_lex_state = 16},
  [1916] = {.lex_state = 64, .external_lex_state = 16},
  [1917] = {.lex_state = 57, .external_lex_state = 14},
  [1918] = {.lex_state = 57, .external_lex_state = 14},
  [1919] = {.lex_state = 57, .external_lex_state = 14},
  [1920] = {.lex_state = 57, .external_lex_state = 14},
  [1921] = {.lex_state = 57, .external_lex_state = 14},
  [1922] = {.lex_state = 57, .external_lex_state = 14},
  [1923] = {.lex_state = 57, .external_lex_state = 14},
  [1924] = {.lex_state = 57, .external_lex_state = 14},
  [1925] = {.lex_state = 57, .external_lex_state = 14},
  [1926] = {.lex_state = 57, .external_lex_state = 14},
  [1927] = {.lex_state = 57, .external_lex_state = 14},
  [1928] = {.lex_state = 57, .external_lex_state = 14},
  [1929] = {.lex_state = 57, .external_lex_state = 14},
  [1930] = {.lex_state = 57, .external_lex_state = 14},
  [1931] = {.lex_state = 57, .external_lex_state = 14},
  [1932] = {.lex_state = 57, .external_lex_state = 14},
  [1933] = {.lex_state = 65, .external_lex_state = 14},
  [1934] = {.lex_state = 65, .external_lex_state = 14},
  [1935] = {.lex_state = 57, .external_lex_state = 14},
  [1936] = {.lex_state = 65, .external_lex_state = 14},
  [1937] = {.lex_state = 67, .external_lex_state = 14},
  [1938] = {.lex_state = 65, .external_lex_state = 16},
  [1939] = {.lex_state = 65, .external_lex_state = 16},
  [1940] = {.lex_state = 65, .external_lex_state = 16},
  [1941] = {.lex_state = 57, .external_lex_state = 14},
  [1942] = {.lex_state = 64, .external_lex_state = 16},
  [1943] = {.lex_state = 64, .external_lex_state = 16},
  [1944] = {.lex_state = 64, .external_lex_state = 16},
  [1945] = {.lex_state = 64, .external_lex_state = 16},
  [1946] = {.lex_state = 57, .external_lex_state = 14},
  [1947] = {.lex_state = 64, .external_lex_state = 16},
  [1948] = {.lex_state = 64, .external_lex_state = 16},
  [1949] = {.lex_state = 64, .external_lex_state = 16},
  [1950] = {.lex_state = 64, .external_lex_state = 16},
  [1951] = {.lex_state = 64, .external_lex_state = 16},
  [1952] = {.lex_state = 64, .external_lex_state = 16},
  [1953] = {.lex_state = 64, .external_lex_state = 16},
  [1954] = {.lex_state = 64, .external_lex_state = 16},
  [1955] = {.lex_state = 64, .external_lex_state = 16},
  [1956] = {.lex_state = 64, .external_lex_state = 16},
  [1957] = {.lex_state = 64, .external_lex_state = 16},
  [1958] = {.lex_state = 64, .external_lex_state = 16},
  [1959] = {.lex_state = 64, .external_lex_state = 16},
  [1960] = {.lex_state = 64, .external_lex_state = 16},
  [1961] = {.lex_state = 64, .external_lex_state = 16},
  [1962] = {.lex_state = 57, .external_lex_state = 14},
  [1963] = {.lex_state = 64, .external_lex_state = 14},
  [1964] = {.lex_state = 64, .external_lex_state = 14},
  [1965] = {.lex_state = 57, .external_lex_state = 14},
  [1966] = {.lex_state = 57, .external_lex_state = 14},
  [1967] = {.lex_state = 57, .external_lex_state = 14},
  [1968] = {.lex_state = 57, .external_lex_state = 14},
  [1969] = {.lex_state = 57, .external_lex_state = 14},
  [1970] = {.lex_state = 57, .external_lex_state = 14},
  [1971] = {.lex_state = 57, .external_lex_state = 14},
  [1972] = {.lex_state = 57, .external_lex_state = 14},
  [1973] = {.lex_state = 57, .external_lex_state = 14},
  [1974] = {.lex_state = 64, .external_lex_state = 14},
  [1975] = {.lex_state = 57, .external_lex_state = 14},
  [1976] = {.lex_state = 57, .external_lex_state = 14},
  [1977] = {.lex_state = 57, .external_lex_state = 14},
  [1978] = {.lex_state = 57, .external_lex_state = 14},
  [1979] = {.lex_state = 57, .external_lex_state = 14},
  [1980] = {.lex_state = 57, .external_lex_state = 14},
  [1981] = {.lex_state = 57, .external_lex_state = 14},
  [1982] = {.lex_state = 57, .external_lex_state = 14},
  [1983] = {.lex_state = 57, .external_lex_state = 14},
  [1984] = {.lex_state = 57, .external_lex_state = 14},
  [1985] = {.lex_state = 57, .external_lex_state = 14},
  [1986] = {.lex_state = 57, .external_lex_state = 14},
  [1987] = {.lex_state = 64, .external_lex_state = 14},
  [1988] = {.lex_state = 70, .external_lex_state = 14},
  [1989] = {.lex_state = 64, .external_lex_state = 16},
  [1990] = {.lex_state = 67, .external_lex_state = 14},
  [1991] = {.lex_state = 3, .external_lex_state = 14},
  [1992] = {.lex_state = 64, .external_lex_state = 14},
  [1993] = {.lex_state = 64, .external_lex_state = 14},
  [1994] = {.lex_state = 64, .external_lex_state = 14},
  [1995] = {.lex_state = 64, .external_lex_state = 16},
  [1996] = {.lex_state = 3, .external_lex_state = 14},
  [1997] = {.lex_state = 68, .external_lex_state = 14},
  [1998] = {.lex_state = 70, .external_lex_state = 14},
  [1999] = {.lex_state = 3, .external_lex_state = 14},
  [2000] = {.lex_state = 68, .external_lex_state = 14},
  [2001] = {.lex_state = 57, .external_lex_state = 14},
  [2002] = {.lex_state = 64, .external_lex_state = 14},
  [2003] = {.lex_state = 64, .external_lex_state = 14},
  [2004] = {.lex_state = 64, .external_lex_state = 14},
  [2005] = {.lex_state = 67, .external_lex_state = 16},
  [2006] = {.lex_state = 64, .external_lex_state = 16},
  [2007] = {.lex_state = 64, .external_lex_state = 14},
  [2008] = {.lex_state = 64, .external_lex_state = 14},
  [2009] = {.lex_state = 64, .external_lex_state = 14},
  [2010] = {.lex_state = 64, .external_lex_state = 14},
  [2011] = {.lex_state = 71, .external_lex_state = 14},
  [2012] = {.lex_state = 71, .external_lex_state = 14},
  [2013] = {.lex_state = 67, .external_lex_state = 14},
  [2014] = {.lex_state = 67, .external_lex_state = 14},
  [2015] = {.lex_state = 57, .external_lex_state = 14},
  [2016] = {.lex_state = 67, .external_lex_state = 14},
  [2017] = {.lex_state = 70, .external_lex_state = 14},
  [2018] = {.lex_state = 64, .external_lex_state = 14},
  [2019] = {.lex_state = 64, .external_lex_state = 16},
  [2020] = {.lex_state = 71, .external_lex_state = 14},
  [2021] = {.lex_state = 64, .external_lex_state = 14},
  [2022] = {.lex_state = 68, .external_lex_state = 14},
  [2023] = {.lex_state = 70, .external_lex_state = 14},
  [2024] = {.lex_state = 71, .external_lex_state = 14},
  [2025] = {.lex_state = 70, .external_lex_state = 14},
  [2026] = {.lex_state = 64, .external_lex_state = 14},
  [2027] = {.lex_state = 71, .external_lex_state = 14},
  [2028] = {.lex_state = 64, .external_lex_state = 14},
  [2029] = {.lex_state = 70, .external_lex_state = 14},
  [2030] = {.lex_state = 64, .external_lex_state = 14},
  [2031] = {.lex_state = 68, .external_lex_state = 16},
  [2032] = {.lex_state = 64, .external_lex_state = 14},
  [2033] = {.lex_state = 64, .external_lex_state = 14},
  [2034] = {.lex_state = 64, .external_lex_state = 14},
  [2035] = {.lex_state = 64, .external_lex_state = 14},
  [2036] = {.lex_state = 64, .external_lex_state = 14},
  [2037] = {.lex_state = 64, .external_lex_state = 14},
  [2038] = {.lex_state = 64, .external_lex_state = 14},
  [2039] = {.lex_state = 64, .external_lex_state = 14},
  [2040] = {.lex_state = 64, .external_lex_state = 14},
  [2041] = {.lex_state = 64, .external_lex_state = 16},
  [2042] = {.lex_state = 64, .external_lex_state = 16},
  [2043] = {.lex_state = 64, .external_lex_state = 14},
  [2044] = {.lex_state = 64, .external_lex_state = 14},
  [2045] = {.lex_state = 64, .external_lex_state = 14},
  [2046] = {.lex_state = 64, .external_lex_state = 16},
  [2047] = {.lex_state = 64, .external_lex_state = 14},
  [2048] = {.lex_state = 64, .external_lex_state = 14},
  [2049] = {.lex_state = 64, .external_lex_state = 14},
  [2050] = {.lex_state = 64, .external_lex_state = 16},
  [2051] = {.lex_state = 64, .external_lex_state = 14},
  [2052] = {.lex_state = 64, .external_lex_state = 14},
  [2053] = {.lex_state = 64, .external_lex_state = 14},
  [2054] = {.lex_state = 64, .external_lex_state = 14},
  [2055] = {.lex_state = 64, .external_lex_state = 14},
  [2056] = {.lex_state = 64, .external_lex_state = 14},
  [2057] = {.lex_state = 64, .external_lex_state = 16},
  [2058] = {.lex_state = 64, .external_lex_state = 16},
  [2059] = {.lex_state = 64, .external_lex_state = 14},
  [2060] = {.lex_state = 64, .external_lex_state = 16},
  [2061] = {.lex_state = 64, .external_lex_state = 14},
  [2062] = {.lex_state = 64, .external_lex_state = 14},
  [2063] = {.lex_state = 64, .external_lex_state = 14},
  [2064] = {.lex_state = 64, .external_lex_state = 14},
  [2065] = {.lex_state = 64, .external_lex_state = 14},
  [2066] = {.lex_state = 64, .external_lex_state = 16},
  [2067] = {.lex_state = 64, .external_lex_state = 14},
  [2068] = {.lex_state = 64, .external_lex_state = 16},
  [2069] = {.lex_state = 64, .external_lex_state = 14},
  [2070] = {.lex_state = 70, .external_lex_state = 16},
  [2071] = {.lex_state = 64, .external_lex_state = 14},
  [2072] = {.lex_state = 64, .external_lex_state = 14},
  [2073] = {.lex_state = 64, .external_lex_state = 14},
  [2074] = {.lex_state = 64, .external_lex_state = 14},
  [2075] = {.lex_state = 64, .external_lex_state = 16},
  [2076] = {.lex_state = 64, .external_lex_state = 14},
  [2077] = {.lex_state = 64, .external_lex_state = 14},
  [2078] = {.lex_state = 64, .external_lex_state = 14},
  [2079] = {.lex_state = 64, .external_lex_state = 14},
  [2080] = {.lex_state = 64, .external_lex_state = 14},
  [2081] = {.lex_state = 64, .external_lex_state = 16},
  [2082] = {.lex_state = 64, .external_lex_state = 14},
  [2083] = {.lex_state = 70, .external_lex_state = 16},
  [2084] = {.lex_state = 64, .external_lex_state = 14},
  [2085] = {.lex_state = 64, .external_lex_state = 14},
  [2086] = {.lex_state = 64, .external_lex_state = 16},
  [2087] = {.lex_state = 64, .external_lex_state = 14},
  [2088] = {.lex_state = 64, .external_lex_state = 14},
  [2089] = {.lex_state = 64, .external_lex_state = 16},
  [2090] = {.lex_state = 64, .external_lex_state = 14},
  [2091] = {.lex_state = 68, .external_lex_state = 16},
  [2092] = {.lex_state = 70, .external_lex_state = 16},
  [2093] = {.lex_state = 64, .external_lex_state = 14},
  [2094] = {.lex_state = 64, .external_lex_state = 14},
  [2095] = {.lex_state = 64, .external_lex_state = 16},
  [2096] = {.lex_state = 64, .external_lex_state = 16},
  [2097] = {.lex_state = 64, .external_lex_state = 14},
  [2098] = {.lex_state = 71, .external_lex_state = 16},
  [2099] = {.lex_state = 64, .external_lex_state = 14},
  [2100] = {.lex_state = 64, .external_lex_state = 14},
  [2101] = {.lex_state = 70, .external_lex_state = 16},
  [2102] = {.lex_state = 64, .external_lex_state = 16},
  [2103] = {.lex_state = 64, .external_lex_state = 14},
  [2104] = {.lex_state = 64, .external_lex_state = 14},
  [2105] = {.lex_state = 64, .external_lex_state = 16},
  [2106] = {.lex_state = 64, .external_lex_state = 16},
  [2107] = {.lex_state = 68, .external_lex_state = 16},
  [2108] = {.lex_state = 70, .external_lex_state = 16},
  [2109] = {.lex_state = 71, .external_lex_state = 16},
  [2110] = {.lex_state = 67, .external_lex_state = 16},
  [2111] = {.lex_state = 64, .external_lex_state = 14},
  [2112] = {.lex_state = 64, .external_lex_state = 14},
  [2113] = {.lex_state = 64, .external_lex_state = 14},
  [2114] = {.lex_state = 64, .external_lex_state = 14},
  [2115] = {.lex_state = 64, .external_lex_state = 14},
  [2116] = {.lex_state = 64, .external_lex_state = 14},
  [2117] = {.lex_state = 64, .external_lex_state = 14},
  [2118] = {.lex_state = 64, .external_lex_state = 16},
  [2119] = {.lex_state = 64, .external_lex_state = 14},
  [2120] = {.lex_state = 64, .external_lex_state = 16},
  [2121] = {.lex_state = 64, .external_lex_state = 14},
  [2122] = {.lex_state = 64, .external_lex_state = 16},
  [2123] = {.lex_state = 64, .external_lex_state = 14},
  [2124] = {.lex_state = 71, .external_lex_state = 16},
  [2125] = {.lex_state = 64, .external_lex_state = 14},
  [2126] = {.lex_state = 71, .external_lex_state = 16},
  [2127] = {.lex_state = 67, .external_lex_state = 16},
  [2128] = {.lex_state = 67, .external_lex_state = 16},
  [2129] = {.lex_state = 64, .external_lex_state = 14},
  [2130] = {.lex_state = 64, .external_lex_state = 14},
  [2131] = {.lex_state = 64, .external_lex_state = 14},
  [2132] = {.lex_state = 64, .external_lex_state = 16},
  [2133] = {.lex_state = 64, .external_lex_state = 14},
  [2134] = {.lex_state = 64, .external_lex_state = 14},
  [2135] = {.lex_state = 64, .external_lex_state = 14},
  [2136] = {.lex_state = 71, .external_lex_state = 16},
  [2137] = {.lex_state = 67, .external_lex_state = 16},
  [2138] = {.lex_state = 64, .external_lex_state = 14},
  [2139] = {.lex_state = 64, .external_lex_state = 14},
  [2140] = {.lex_state = 64, .external_lex_state = 14},
  [2141] = {.lex_state = 64, .external_lex_state = 16},
  [2142] = {.lex_state = 64, .external_lex_state = 14},
  [2143] = {.lex_state = 64, .external_lex_state = 14},
  [2144] = {.lex_state = 64, .external_lex_state = 14},
  [2145] = {.lex_state = 64, .external_lex_state = 14},
  [2146] = {.lex_state = 64, .external_lex_state = 16},
  [2147] = {.lex_state = 70, .external_lex_state = 16},
  [2148] = {.lex_state = 64, .external_lex_state = 14},
  [2149] = {.lex_state = 64, .external_lex_state = 14},
  [2150] = {.lex_state = 64, .external_lex_state = 14},
  [2151] = {.lex_state = 64, .external_lex_state = 14},
  [2152] = {.lex_state = 64, .external_lex_state = 14},
  [2153] = {.lex_state = 64, .external_lex_state = 14},
  [2154] = {.lex_state = 64, .external_lex_state = 14},
  [2155] = {.lex_state = 64, .external_lex_state = 14},
  [2156] = {.lex_state = 64, .external_lex_state = 14},
  [2157] = {.lex_state = 64, .external_lex_state = 14},
  [2158] = {.lex_state = 64, .external_lex_state = 14},
  [2159] = {.lex_state = 64, .external_lex_state = 14},
  [2160] = {.lex_state = 64, .external_lex_state = 14},
  [2161] = {.lex_state = 64, .external_lex_state = 14},
  [2162] = {.lex_state = 64, .external_lex_state = 16},
  [2163] = {.lex_state = 64, .external_lex_state = 14},
  [2164] = {.lex_state = 64, .external_lex_state = 14},
  [2165] = {.lex_state = 64, .external_lex_state = 14},
  [2166] = {.lex_state = 64, .external_lex_state = 14},
  [2167] = {.lex_state = 64, .external_lex_state = 14},
  [2168] = {.lex_state = 64, .external_lex_state = 14},
  [2169] = {.lex_state = 64, .external_lex_state = 14},
  [2170] = {.lex_state = 64, .external_lex_state = 14},
  [2171] = {.lex_state = 64, .external_lex_state = 14},
  [2172] = {.lex_state = 64, .external_lex_state = 14},
  [2173] = {.lex_state = 64, .external_lex_state = 14},
  [2174] = {.lex_state = 64, .external_lex_state = 14},
  [2175] = {.lex_state = 64, .external_lex_state = 16},
  [2176] = {.lex_state = 64, .external_lex_state = 14},
  [2177] = {.lex_state = 64, .external_lex_state = 14},
  [2178] = {.lex_state = 64, .external_lex_state = 14},
  [2179] = {.lex_state = 64, .external_lex_state = 14},
  [2180] = {.lex_state = 64, .external_lex_state = 14},
  [2181] = {.lex_state = 64, .external_lex_state = 16},
  [2182] = {.lex_state = 64, .external_lex_state = 14},
  [2183] = {.lex_state = 64, .external_lex_state = 16},
  [2184] = {.lex_state = 64, .external_lex_state = 14},
  [2185] = {.lex_state = 64, .external_lex_state = 14},
  [2186] = {.lex_state = 64, .external_lex_state = 14},
  [2187] = {.lex_state = 64, .external_lex_state = 14},
  [2188] = {.lex_state = 64, .external_lex_state = 14},
  [2189] = {.lex_state = 64, .external_lex_state = 14},
  [2190] = {.lex_state = 64, .external_lex_state = 14},
  [2191] = {.lex_state = 64, .external_lex_state = 14},
  [2192] = {.lex_state = 64, .external_lex_state = 14},
  [2193] = {.lex_state = 64, .external_lex_state = 16},
  [2194] = {.lex_state = 64, .external_lex_state = 16},
  [2195] = {.lex_state = 64, .external_lex_state = 14},
  [2196] = {.lex_state = 64, .external_lex_state = 14},
  [2197] = {.lex_state = 64, .external_lex_state = 14},
  [2198] = {.lex_state = 64, .external_lex_state = 14},
  [2199] = {.lex_state = 64, .external_lex_state = 14},
  [2200] = {.lex_state = 64, .external_lex_state = 14},
  [2201] = {.lex_state = 64, .external_lex_state = 14},
  [2202] = {.lex_state = 64, .external_lex_state = 14},
  [2203] = {.lex_state = 64, .external_lex_state = 14},
  [2204] = {.lex_state = 64, .external_lex_state = 14},
  [2205] = {.lex_state = 64, .external_lex_state = 14},
  [2206] = {.lex_state = 64, .external_lex_state = 16},
  [2207] = {.lex_state = 64, .external_lex_state = 14},
  [2208] = {.lex_state = 64, .external_lex_state = 16},
  [2209] = {.lex_state = 64, .external_lex_state = 16},
  [2210] = {.lex_state = 64, .external_lex_state = 16},
  [2211] = {.lex_state = 64, .external_lex_state = 16},
  [2212] = {.lex_state = 64, .external_lex_state = 16},
  [2213] = {.lex_state = 64, .external_lex_state = 16},
  [2214] = {.lex_state = 64, .external_lex_state = 16},
  [2215] = {.lex_state = 64, .external_lex_state = 14},
  [2216] = {.lex_state = 64, .external_lex_state = 16},
  [2217] = {.lex_state = 64, .external_lex_state = 16},
  [2218] = {.lex_state = 64, .external_lex_state = 16},
  [2219] = {.lex_state = 64, .external_lex_state = 16},
  [2220] = {.lex_state = 64, .external_lex_state = 16},
  [2221] = {.lex_state = 64, .external_lex_state = 16},
  [2222] = {.lex_state = 64, .external_lex_state = 16},
  [2223] = {.lex_state = 64, .external_lex_state = 16},
  [2224] = {.lex_state = 64, .external_lex_state = 16},
  [2225] = {.lex_state = 64, .external_lex_state = 14},
  [2226] = {.lex_state = 64, .external_lex_state = 16},
  [2227] = {.lex_state = 64, .external_lex_state = 16},
  [2228] = {.lex_state = 64, .external_lex_state = 16},
  [2229] = {.lex_state = 64, .external_lex_state = 16},
  [2230] = {.lex_state = 64, .external_lex_state = 16},
  [2231] = {.lex_state = 64, .external_lex_state = 16},
  [2232] = {.lex_state = 64, .external_lex_state = 16},
  [2233] = {.lex_state = 64, .external_lex_state = 16},
  [2234] = {.lex_state = 64, .external_lex_state = 16},
  [2235] = {.lex_state = 64, .external_lex_state = 16},
  [2236] = {.lex_state = 64, .external_lex_state = 16},
  [2237] = {.lex_state = 64, .external_lex_state = 14},
  [2238] = {.lex_state = 64, .external_lex_state = 16},
  [2239] = {.lex_state = 64, .external_lex_state = 16},
  [2240] = {.lex_state = 64, .external_lex_state = 16},
  [2241] = {.lex_state = 64, .external_lex_state = 16},
  [2242] = {.lex_state = 64, .external_lex_state = 16},
  [2243] = {.lex_state = 64, .external_lex_state = 16},
  [2244] = {.lex_state = 64, .external_lex_state = 16},
  [2245] = {.lex_state = 64, .external_lex_state = 16},
  [2246] = {.lex_state = 64, .external_lex_state = 16},
  [2247] = {.lex_state = 64, .external_lex_state = 16},
  [2248] = {.lex_state = 64, .external_lex_state = 16},
  [2249] = {.lex_state = 64, .external_lex_state = 16},
  [2250] = {.lex_state = 64, .external_lex_state = 16},
  [2251] = {.lex_state = 64, .external_lex_state = 16},
  [2252] = {.lex_state = 64, .external_lex_state = 16},
  [2253] = {.lex_state = 64, .external_lex_state = 16},
  [2254] = {.lex_state = 64, .external_lex_state = 16},
  [2255] = {.lex_state = 64, .external_lex_state = 16},
  [2256] = {.lex_state = 64, .external_lex_state = 16},
  [2257] = {.lex_state = 64, .external_lex_state = 16},
  [2258] = {.lex_state = 64, .external_lex_state = 16},
  [2259] = {.lex_state = 64, .external_lex_state = 16},
  [2260] = {.lex_state = 64, .external_lex_state = 16},
  [2261] = {.lex_state = 64, .external_lex_state = 16},
  [2262] = {.lex_state = 64, .external_lex_state = 14},
  [2263] = {.lex_state = 64, .external_lex_state = 16},
  [2264] = {.lex_state = 64, .external_lex_state = 16},
  [2265] = {.lex_state = 64, .external_lex_state = 16},
  [2266] = {.lex_state = 64, .external_lex_state = 16},
  [2267] = {.lex_state = 64, .external_lex_state = 16},
  [2268] = {.lex_state = 64, .external_lex_state = 16},
  [2269] = {.lex_state = 64, .external_lex_state = 16},
  [2270] = {.lex_state = 64, .external_lex_state = 16},
  [2271] = {.lex_state = 64, .external_lex_state = 16},
  [2272] = {.lex_state = 64, .external_lex_state = 16},
  [2273] = {.lex_state = 64, .external_lex_state = 16},
  [2274] = {.lex_state = 64, .external_lex_state = 16},
  [2275] = {.lex_state = 64, .external_lex_state = 16},
  [2276] = {.lex_state = 64, .external_lex_state = 16},
  [2277] = {.lex_state = 64, .external_lex_state = 16},
  [2278] = {.lex_state = 64, .external_lex_state = 16},
  [2279] = {.lex_state = 64, .external_lex_state = 14},
  [2280] = {.lex_state = 64, .external_lex_state = 16},
  [2281] = {.lex_state = 64, .external_lex_state = 16},
  [2282] = {.lex_state = 64, .external_lex_state = 16},
  [2283] = {.lex_state = 64, .external_lex_state = 16},
  [2284] = {.lex_state = 64, .external_lex_state = 14},
  [2285] = {.lex_state = 64, .external_lex_state = 16},
  [2286] = {.lex_state = 64, .external_lex_state = 16},
  [2287] = {.lex_state = 64, .external_lex_state = 16},
  [2288] = {.lex_state = 64, .external_lex_state = 16},
  [2289] = {.lex_state = 64, .external_lex_state = 16},
  [2290] = {.lex_state = 64, .external_lex_state = 14},
  [2291] = {.lex_state = 64, .external_lex_state = 14},
  [2292] = {.lex_state = 64, .external_lex_state = 16},
  [2293] = {.lex_state = 64, .external_lex_state = 16},
  [2294] = {.lex_state = 64, .external_lex_state = 16},
  [2295] = {.lex_state = 64, .external_lex_state = 16},
  [2296] = {.lex_state = 64, .external_lex_state = 14},
  [2297] = {.lex_state = 64, .external_lex_state = 16},
  [2298] = {.lex_state = 64, .external_lex_state = 16},
  [2299] = {.lex_state = 64, .external_lex_state = 16},
  [2300] = {.lex_state = 64, .external_lex_state = 14},
  [2301] = {.lex_state = 64, .external_lex_state = 16},
  [2302] = {.lex_state = 64, .external_lex_state = 14},
  [2303] = {.lex_state = 64, .external_lex_state = 14},
  [2304] = {.lex_state = 64, .external_lex_state = 16},
  [2305] = {.lex_state = 64, .external_lex_state = 16},
  [2306] = {.lex_state = 64, .external_lex_state = 16},
  [2307] = {.lex_state = 64, .external_lex_state = 16},
  [2308] = {.lex_state = 64, .external_lex_state = 14},
  [2309] = {.lex_state = 64, .external_lex_state = 16},
  [2310] = {.lex_state = 64, .external_lex_state = 16},
  [2311] = {.lex_state = 64, .external_lex_state = 16},
  [2312] = {.lex_state = 64, .external_lex_state = 16},
  [2313] = {.lex_state = 64, .external_lex_state = 16},
  [2314] = {.lex_state = 64, .external_lex_state = 16},
  [2315] = {.lex_state = 64, .external_lex_state = 16},
  [2316] = {.lex_state = 64, .external_lex_state = 16},
  [2317] = {.lex_state = 64, .external_lex_state = 16},
  [2318] = {.lex_state = 64, .external_lex_state = 16},
  [2319] = {.lex_state = 64, .external_lex_state = 16},
  [2320] = {.lex_state = 64, .external_lex_state = 16},
  [2321] = {.lex_state = 64, .external_lex_state = 14},
  [2322] = {.lex_state = 64, .external_lex_state = 16},
  [2323] = {.lex_state = 64, .external_lex_state = 16},
  [2324] = {.lex_state = 64, .external_lex_state = 14},
  [2325] = {.lex_state = 64, .external_lex_state = 16},
  [2326] = {.lex_state = 64, .external_lex_state = 14},
  [2327] = {.lex_state = 64, .external_lex_state = 16},
  [2328] = {.lex_state = 64, .external_lex_state = 16},
  [2329] = {.lex_state = 64, .external_lex_state = 16},
  [2330] = {.lex_state = 64, .external_lex_state = 14},
  [2331] = {.lex_state = 64, .external_lex_state = 16},
  [2332] = {.lex_state = 64, .external_lex_state = 14},
  [2333] = {.lex_state = 64, .external_lex_state = 16},
  [2334] = {.lex_state = 64, .external_lex_state = 14},
  [2335] = {.lex_state = 64, .external_lex_state = 16},
  [2336] = {.lex_state = 64, .external_lex_state = 14},
  [2337] = {.lex_state = 64, .external_lex_state = 16},
  [2338] = {.lex_state = 64, .external_lex_state = 14},
  [2339] = {.lex_state = 64, .external_lex_state = 14},
  [2340] = {.lex_state = 64, .external_lex_state = 16},
  [2341] = {.lex_state = 64, .external_lex_state = 14},
  [2342] = {.lex_state = 64, .external_lex_state = 16},
  [2343] = {.lex_state = 64, .external_lex_state = 16},
  [2344] = {.lex_state = 64, .external_lex_state = 16},
  [2345] = {.lex_state = 64, .external_lex_state = 16},
  [2346] = {.lex_state = 64, .external_lex_state = 16},
  [2347] = {.lex_state = 64, .external_lex_state = 14},
  [2348] = {.lex_state = 64, .external_lex_state = 14},
  [2349] = {.lex_state = 64, .external_lex_state = 16},
  [2350] = {.lex_state = 64, .external_lex_state = 16},
  [2351] = {.lex_state = 64, .external_lex_state = 16},
  [2352] = {.lex_state = 64, .external_lex_state = 16},
  [2353] = {.lex_state = 64, .external_lex_state = 16},
  [2354] = {.lex_state = 64, .external_lex_state = 16},
  [2355] = {.lex_state = 64, .external_lex_state = 16},
  [2356] = {.lex_state = 64, .external_lex_state = 14},
  [2357] = {.lex_state = 64, .external_lex_state = 16},
  [2358] = {.lex_state = 64, .external_lex_state = 16},
  [2359] = {.lex_state = 64, .external_lex_state = 16},
  [2360] = {.lex_state = 64, .external_lex_state = 14},
  [2361] = {.lex_state = 64, .external_lex_state = 16},
  [2362] = {.lex_state = 64, .external_lex_state = 16},
  [2363] = {.lex_state = 64, .external_lex_state = 16},
  [2364] = {.lex_state = 64, .external_lex_state = 14},
  [2365] = {.lex_state = 64, .external_lex_state = 16},
  [2366] = {.lex_state = 64, .external_lex_state = 16},
  [2367] = {.lex_state = 64, .external_lex_state = 16},
  [2368] = {.lex_state = 64, .external_lex_state = 16},
  [2369] = {.lex_state = 64, .external_lex_state = 16},
  [2370] = {.lex_state = 64, .external_lex_state = 16},
  [2371] = {.lex_state = 64, .external_lex_state = 16},
  [2372] = {.lex_state = 64, .external_lex_state = 14},
  [2373] = {.lex_state = 64, .external_lex_state = 16},
  [2374] = {.lex_state = 64, .external_lex_state = 16},
  [2375] = {.lex_state = 64, .external_lex_state = 16},
  [2376] = {.lex_state = 64, .external_lex_state = 14},
  [2377] = {.lex_state = 64, .external_lex_state = 14},
  [2378] = {.lex_state = 64, .external_lex_state = 14},
  [2379] = {.lex_state = 64, .external_lex_state = 14},
  [2380] = {.lex_state = 64, .external_lex_state = 14},
  [2381] = {.lex_state = 64, .external_lex_state = 14},
  [2382] = {.lex_state = 64, .external_lex_state = 14},
  [2383] = {.lex_state = 64, .external_lex_state = 14},
  [2384] = {.lex_state = 64, .external_lex_state = 14},
  [2385] = {.lex_state = 64, .external_lex_state = 14},
  [2386] = {.lex_state = 64, .external_lex_state = 14},
  [2387] = {.lex_state = 64, .external_lex_state = 14},
  [2388] = {.lex_state = 64, .external_lex_state = 14},
  [2389] = {.lex_state = 64, .external_lex_state = 14},
  [2390] = {.lex_state = 64, .external_lex_state = 14},
  [2391] = {.lex_state = 64, .external_lex_state = 14},
  [2392] = {.lex_state = 64, .external_lex_state = 14},
  [2393] = {.lex_state = 64, .external_lex_state = 14},
  [2394] = {.lex_state = 64, .external_lex_state = 14},
  [2395] = {.lex_state = 64, .external_lex_state = 14},
  [2396] = {.lex_state = 64, .external_lex_state = 14},
  [2397] = {.lex_state = 64, .external_lex_state = 14},
  [2398] = {.lex_state = 64, .external_lex_state = 14},
  [2399] = {.lex_state = 64, .external_lex_state = 14},
  [2400] = {.lex_state = 64, .external_lex_state = 14},
  [2401] = {.lex_state = 64, .external_lex_state = 14},
  [2402] = {.lex_state = 64, .external_lex_state = 14},
  [2403] = {.lex_state = 64, .external_lex_state = 14},
  [2404] = {.lex_state = 64, .external_lex_state = 14},
  [2405] = {.lex_state = 64, .external_lex_state = 14},
  [2406] = {.lex_state = 64, .external_lex_state = 14},
  [2407] = {.lex_state = 64, .external_lex_state = 14},
  [2408] = {.lex_state = 64, .external_lex_state = 14},
  [2409] = {.lex_state = 64, .external_lex_state = 14},
  [2410] = {.lex_state = 64, .external_lex_state = 14},
  [2411] = {.lex_state = 64, .external_lex_state = 14},
  [2412] = {.lex_state = 64, .external_lex_state = 14},
  [2413] = {.lex_state = 64, .external_lex_state = 14},
  [2414] = {.lex_state = 64, .external_lex_state = 14},
  [2415] = {.lex_state = 64, .external_lex_state = 14},
  [2416] = {.lex_state = 64, .external_lex_state = 14},
  [2417] = {.lex_state = 64, .external_lex_state = 14},
  [2418] = {.lex_state = 64, .external_lex_state = 14},
  [2419] = {.lex_state = 64, .external_lex_state = 14},
  [2420] = {.lex_state = 64, .external_lex_state = 14},
  [2421] = {.lex_state = 64, .external_lex_state = 14},
  [2422] = {.lex_state = 64, .external_lex_state = 14},
  [2423] = {.lex_state = 64, .external_lex_state = 14},
  [2424] = {.lex_state = 64, .external_lex_state = 14},
  [2425] = {.lex_state = 64, .external_lex_state = 14},
  [2426] = {.lex_state = 64, .external_lex_state = 14},
  [2427] = {.lex_state = 11, .external_lex_state = 18},
  [2428] = {.lex_state = 11, .external_lex_state = 18},
  [2429] = {.lex_state = 11, .external_lex_state = 18},
  [2430] = {.lex_state = 11, .external_lex_state = 18},
  [2431] = {.lex_state = 11, .external_lex_state = 18},
  [2432] = {.lex_state = 11, .external_lex_state = 18},
  [2433] = {.lex_state = 11, .external_lex_state = 18},
  [2434] = {.lex_state = 11, .external_lex_state = 18},
  [2435] = {.lex_state = 11, .external_lex_state = 18},
  [2436] = {.lex_state = 11, .external_lex_state = 18},
  [2437] = {.lex_state = 11, .external_lex_state = 19},
  [2438] = {.lex_state = 11, .external_lex_state = 19},
  [2439] = {.lex_state = 11, .external_lex_state = 19},
  [2440] = {.lex_state = 11, .external_lex_state = 19},
  [2441] = {.lex_state = 11, .external_lex_state = 19},
  [2442] = {.lex_state = 11, .external_lex_state = 19},
  [2443] = {.lex_state = 11, .external_lex_state = 19},
  [2444] = {.lex_state = 11, .external_lex_state = 19},
  [2445] = {.lex_state = 11, .external_lex_state = 19},
  [2446] = {.lex_state = 11, .external_lex_state = 19},
  [2447] = {.lex_state = 11, .external_lex_state = 19},
  [2448] = {.lex_state = 11, .external_lex_state = 19},
  [2449] = {.lex_state = 11, .external_lex_state = 19},
  [2450] = {.lex_state = 11, .external_lex_state = 19},
  [2451] = {.lex_state = 11, .external_lex_state = 19},
  [2452] = {.lex_state = 11, .external_lex_state = 19},
  [2453] = {.lex_state = 11, .external_lex_state = 19},
  [2454] = {.lex_state = 11, .external_lex_state = 19},
  [2455] = {.lex_state = 11, .external_lex_state = 19},
  [2456] = {.lex_state = 11, .external_lex_state = 19},
  [2457] = {.lex_state = 11, .external_lex_state = 19},
  [2458] = {.lex_state = 11, .external_lex_state = 19},
  [2459] = {.lex_state = 11, .external_lex_state = 19},
  [2460] = {.lex_state = 11, .external_lex_state = 19},
  [2461] = {.lex_state = 11, .external_lex_state = 19},
  [2462] = {.lex_state = 11, .external_lex_state = 19},
  [2463] = {.lex_state = 11, .external_lex_state = 19},
  [2464] = {.lex_state = 11, .external_lex_state = 19},
  [2465] = {.lex_state = 11, .external_lex_state = 19},
  [2466] = {.lex_state = 11, .external_lex_state = 19},
  [2467] = {.lex_state = 11, .external_lex_state = 20},
  [2468] = {.lex_state = 11, .external_lex_state = 20},
  [2469] = {.lex_state = 11, .external_lex_state = 20},
  [2470] = {.lex_state = 11, .external_lex_state = 20},
  [2471] = {.lex_state = 11, .external_lex_state = 20},
  [2472] = {.lex_state = 11, .external_lex_state = 20},
  [2473] = {.lex_state = 11, .external_lex_state = 20},
  [2474] = {.lex_state = 11, .external_lex_state = 20},
  [2475] = {.lex_state = 11, .external_lex_state = 20},
  [2476] = {.lex_state = 11, .external_lex_state = 20},
  [2477] = {.lex_state = 11, .external_lex_state = 20},
  [2478] = {.lex_state = 11, .external_lex_state = 20},
  [2479] = {.lex_state = 11, .external_lex_state = 20},
  [2480] = {.lex_state = 11, .external_lex_state = 20},
  [2481] = {.lex_state = 11, .external_lex_state = 20},
  [2482] = {.lex_state = 11, .external_lex_state = 20},
  [2483] = {.lex_state = 11, .external_lex_state = 20},
  [2484] = {.lex_state = 11, .external_lex_state = 20},
  [2485] = {.lex_state = 11, .external_lex_state = 20},
  [2486] = {.lex_state = 11, .external_lex_state = 20},
  [2487] = {.lex_state = 11, .external_lex_state = 20},
  [2488] = {.lex_state = 11, .external_lex_state = 20},
  [2489] = {.lex_state = 11, .external_lex_state = 20},
  [2490] = {.lex_state = 11, .external_lex_state = 20},
  [2491] = {.lex_state = 11, .external_lex_state = 20},
  [2492] = {.lex_state = 11, .external_lex_state = 20},
  [2493] = {.lex_state = 11, .external_lex_state = 20},
  [2494] = {.lex_state = 11, .external_lex_state = 20},
  [2495] = {.lex_state = 11, .external_lex_state = 20},
  [2496] = {.lex_state = 11, .external_lex_state = 20},
  [2497] = {.lex_state = 11, .external_lex_state = 20},
  [2498] = {.lex_state = 11, .external_lex_state = 20},
  [2499] = {.lex_state = 11, .external_lex_state = 20},
  [2500] = {.lex_state = 11, .external_lex_state = 20},
  [2501] = {.lex_state = 11, .external_lex_state = 20},
  [2502] = {.lex_state = 11, .external_lex_state = 20},
  [2503] = {.lex_state = 11, .external_lex_state = 20},
  [2504] = {.lex_state = 11, .external_lex_state = 20},
  [2505] = {.lex_state = 11, .external_lex_state = 20},
  [2506] = {.lex_state = 11, .external_lex_state = 20},
  [2507] = {.lex_state = 11, .external_lex_state = 20},
  [2508] = {.lex_state = 11, .external_lex_state = 20},
  [2509] = {.lex_state = 11, .external_lex_state = 20},
  [2510] = {.lex_state = 11, .external_lex_state = 20},
  [2511] = {.lex_state = 11, .external_lex_state = 20},
  [2512] = {.lex_state = 11, .external_lex_state = 20},
  [2513] = {.lex_state = 11, .external_lex_state = 20},
  [2514] = {.lex_state = 11, .external_lex_state = 20},
  [2515] = {.lex_state = 11, .external_lex_state = 20},
  [2516] = {.lex_state = 11, .external_lex_state = 20},
  [2517] = {.lex_state = 11, .external_lex_state = 19},
  [2518] = {.lex_state = 11, .external_lex_state = 20},
  [2519] = {.lex_state = 11, .external_lex_state = 20},
  [2520] = {.lex_state = 11, .external_lex_state = 20},
  [2521] = {.lex_state = 11, .external_lex_state = 20},
  [2522] = {.lex_state = 11, .external_lex_state = 20},
  [2523] = {.lex_state = 11, .external_lex_state = 20},
  [2524] = {.lex_state = 11, .external_lex_state = 18},
  [2525] = {.lex_state = 11, .external_lex_state = 20},
  [2526] = {.lex_state = 11, .external_lex_state = 20},
  [2527] = {.lex_state = 11, .external_lex_state = 20},
  [2528] = {.lex_state = 11, .external_lex_state = 20},
  [2529] = {.lex_state = 11, .external_lex_state = 20},
  [2530] = {.lex_state = 11, .external_lex_state = 20},
  [2531] = {.lex_state = 11, .external_lex_state = 20},
  [2532] = {.lex_state = 11, .external_lex_state = 20},
  [2533] = {.lex_state = 11, .external_lex_state = 20},
  [2534] = {.lex_state = 11, .external_lex_state = 20},
  [2535] = {.lex_state = 11, .external_lex_state = 21},
  [2536] = {.lex_state = 11, .external_lex_state = 21},
  [2537] = {.lex_state = 11, .external_lex_state = 22},
  [2538] = {.lex_state = 11, .external_lex_state = 22},
  [2539] = {.lex_state = 11, .external_lex_state = 21},
  [2540] = {.lex_state = 11, .external_lex_state = 22},
  [2541] = {.lex_state = 11, .external_lex_state = 22},
  [2542] = {.lex_state = 11, .external_lex_state = 22},
  [2543] = {.lex_state = 11, .external_lex_state = 12},
  [2544] = {.lex_state = 11, .external_lex_state = 12},
  [2545] = {.lex_state = 11, .external_lex_state = 12},
  [2546] = {.lex_state = 11, .external_lex_state = 12},
  [2547] = {.lex_state = 11, .external_lex_state = 12},
  [2548] = {.lex_state = 11, .external_lex_state = 12},
  [2549] = {.lex_state = 11, .external_lex_state = 12},
  [2550] = {.lex_state = 11, .external_lex_state = 12},
  [2551] = {.lex_state = 11, .external_lex_state = 12},
  [2552] = {.lex_state = 11, .external_lex_state = 12},
  [2553] = {.lex_state = 11, .external_lex_state = 12},
  [2554] = {.lex_state = 11, .external_lex_state = 12},
  [2555] = {.lex_state = 11, .external_lex_state = 12},
  [2556] = {.lex_state = 11, .external_lex_state = 12},
  [2557] = {.lex_state = 11, .external_lex_state = 12},
  [2558] = {.lex_state = 77, .external_lex_state = 23},
  [2559] = {.lex_state = 11, .external_lex_state = 12},
  [2560] = {.lex_state = 77, .external_lex_state = 23},
  [2561] = {.lex_state = 11, .external_lex_state = 12},
  [2562] = {.lex_state = 11, .external_lex_state = 12},
  [2563] = {.lex_state = 11, .external_lex_state = 12},
  [2564] = {.lex_state = 11, .external_lex_state = 12},
  [2565] = {.lex_state = 77, .external_lex_state = 23},
  [2566] = {.lex_state = 11, .external_lex_state = 12},
  [2567] = {.lex_state = 77, .external_lex_state = 23},
  [2568] = {.lex_state = 13, .external_lex_state = 19},
  [2569] = {.lex_state = 13, .external_lex_state = 18},
  [2570] = {.lex_state = 13, .external_lex_state = 14},
  [2571] = {.lex_state = 57, .external_lex_state = 14},
  [2572] = {.lex_state = 13, .external_lex_state = 24},
  [2573] = {.lex_state = 13, .external_lex_state = 25},
  [2574] = {.lex_state = 13, .external_lex_state = 24},
  [2575] = {.lex_state = 13, .external_lex_state = 14},
  [2576] = {.lex_state = 57, .external_lex_state = 14},
  [2577] = {.lex_state = 13, .external_lex_state = 24},
  [2578] = {.lex_state = 13, .external_lex_state = 25},
  [2579] = {.lex_state = 13, .external_lex_state = 25},
  [2580] = {.lex_state = 13, .external_lex_state = 24},
  [2581] = {.lex_state = 13, .external_lex_state = 24},
  [2582] = {.lex_state = 57, .external_lex_state = 14},
  [2583] = {.lex_state = 13, .external_lex_state = 14},
  [2584] = {.lex_state = 13, .external_lex_state = 25},
  [2585] = {.lex_state = 13, .external_lex_state = 25},
  [2586] = {.lex_state = 11, .external_lex_state = 26},
  [2587] = {.lex_state = 13, .external_lex_state = 18},
  [2588] = {.lex_state = 13, .external_lex_state = 18},
  [2589] = {.lex_state = 13, .external_lex_state = 19},
  [2590] = {.lex_state = 76, .external_lex_state = 27},
  [2591] = {.lex_state = 13, .external_lex_state = 18},
  [2592] = {.lex_state = 13, .external_lex_state = 19},
  [2593] = {.lex_state = 11, .external_lex_state = 26},
  [2594] = {.lex_state = 72, .external_lex_state = 14},
  [2595] = {.lex_state = 76, .external_lex_state = 28},
  [2596] = {.lex_state = 13, .external_lex_state = 29},
  [2597] = {.lex_state = 11, .external_lex_state = 26},
  [2598] = {.lex_state = 76, .external_lex_state = 28},
  [2599] = {.lex_state = 11, .external_lex_state = 26},
  [2600] = {.lex_state = 13, .external_lex_state = 19},
  [2601] = {.lex_state = 75, .external_lex_state = 14},
  [2602] = {.lex_state = 75, .external_lex_state = 14},
  [2603] = {.lex_state = 13, .external_lex_state = 19},
  [2604] = {.lex_state = 13, .external_lex_state = 18},
  [2605] = {.lex_state = 13, .external_lex_state = 19},
  [2606] = {.lex_state = 76, .external_lex_state = 27},
  [2607] = {.lex_state = 13, .external_lex_state = 19},
  [2608] = {.lex_state = 13, .external_lex_state = 19},
  [2609] = {.lex_state = 76, .external_lex_state = 27},
  [2610] = {.lex_state = 13, .external_lex_state = 18},
  [2611] = {.lex_state = 72, .external_lex_state = 14},
  [2612] = {.lex_state = 13, .external_lex_state = 18},
  [2613] = {.lex_state = 11, .external_lex_state = 26},
  [2614] = {.lex_state = 76, .external_lex_state = 28},
  [2615] = {.lex_state = 75, .external_lex_state = 14},
  [2616] = {.lex_state = 13, .external_lex_state = 20},
  [2617] = {.lex_state = 13, .external_lex_state = 24},
  [2618] = {.lex_state = 76, .external_lex_state = 27},
  [2619] = {.lex_state = 13, .external_lex_state = 24},
  [2620] = {.lex_state = 76, .external_lex_state = 27},
  [2621] = {.lex_state = 11, .external_lex_state = 26},
  [2622] = {.lex_state = 11, .external_lex_state = 26},
  [2623] = {.lex_state = 76, .external_lex_state = 27},
  [2624] = {.lex_state = 72, .external_lex_state = 14},
  [2625] = {.lex_state = 11, .external_lex_state = 26},
  [2626] = {.lex_state = 72, .external_lex_state = 14},
  [2627] = {.lex_state = 76, .external_lex_state = 27},
  [2628] = {.lex_state = 76, .external_lex_state = 27},
  [2629] = {.lex_state = 76, .external_lex_state = 27},
  [2630] = {.lex_state = 76, .external_lex_state = 27},
  [2631] = {.lex_state = 76, .external_lex_state = 28},
  [2632] = {.lex_state = 76, .external_lex_state = 27},
  [2633] = {.lex_state = 76, .external_lex_state = 27},
  [2634] = {.lex_state = 76, .external_lex_state = 27},
  [2635] = {.lex_state = 76, .external_lex_state = 27},
  [2636] = {.lex_state = 76, .external_lex_state = 27},
  [2637] = {.lex_state = 76, .external_lex_state = 27},
  [2638] = {.lex_state = 76, .external_lex_state = 27},
  [2639] = {.lex_state = 76, .external_lex_state = 27},
  [2640] = {.lex_state = 76, .external_lex_state = 27},
  [2641] = {.lex_state = 57, .external_lex_state = 14},
  [2642] = {.lex_state = 76, .external_lex_state = 27},
  [2643] = {.lex_state = 76, .external_lex_state = 27},
  [2644] = {.lex_state = 11, .external_lex_state = 26},
  [2645] = {.lex_state = 76, .external_lex_state = 27},
  [2646] = {.lex_state = 76, .external_lex_state = 27},
  [2647] = {.lex_state = 76, .external_lex_state = 27},
  [2648] = {.lex_state = 75, .external_lex_state = 14},
  [2649] = {.lex_state = 72, .external_lex_state = 14},
  [2650] = {.lex_state = 76, .external_lex_state = 28},
  [2651] = {.lex_state = 11, .external_lex_state = 26},
  [2652] = {.lex_state = 76, .external_lex_state = 28},
  [2653] = {.lex_state = 13, .external_lex_state = 18},
  [2654] = {.lex_state = 13, .external_lex_state = 18},
  [2655] = {.lex_state = 13, .external_lex_state = 19},
  [2656] = {.lex_state = 75, .external_lex_state = 14},
  [2657] = {.lex_state = 13, .external_lex_state = 29},
  [2658] = {.lex_state = 13, .external_lex_state = 29},
  [2659] = {.lex_state = 13, .external_lex_state = 25},
  [2660] = {.lex_state = 13, .external_lex_state = 25},
  [2661] = {.lex_state = 13, .external_lex_state = 29},
  [2662] = {.lex_state = 13, .external_lex_state = 29},
  [2663] = {.lex_state = 76, .external_lex_state = 27},
  [2664] = {.lex_state = 13, .external_lex_state = 30},
  [2665] = {.lex_state = 13, .external_lex_state = 29},
  [2666] = {.lex_state = 76, .external_lex_state = 14},
  [2667] = {.lex_state = 13, .external_lex_state = 19},
  [2668] = {.lex_state = 13, .external_lex_state = 14},
  [2669] = {.lex_state = 13, .external_lex_state = 19},
  [2670] = {.lex_state = 13, .external_lex_state = 14},
  [2671] = {.lex_state = 11, .external_lex_state = 20},
  [2672] = {.lex_state = 76, .external_lex_state = 14},
  [2673] = {.lex_state = 76, .external_lex_state = 14},
  [2674] = {.lex_state = 76, .external_lex_state = 14},
  [2675] = {.lex_state = 76, .external_lex_state = 14},
  [2676] = {.lex_state = 11, .external_lex_state = 20},
  [2677] = {.lex_state = 11, .external_lex_state = 20},
  [2678] = {.lex_state = 11, .external_lex_state = 20},
  [2679] = {.lex_state = 11, .external_lex_state = 20},
  [2680] = {.lex_state = 76, .external_lex_state = 14},
  [2681] = {.lex_state = 76, .external_lex_state = 14},
  [2682] = {.lex_state = 76, .external_lex_state = 14},
  [2683] = {.lex_state = 76, .external_lex_state = 14},
  [2684] = {.lex_state = 76, .external_lex_state = 14},
  [2685] = {.lex_state = 76, .external_lex_state = 14},
  [2686] = {.lex_state = 76, .external_lex_state = 14},
  [2687] = {.lex_state = 76, .external_lex_state = 14},
  [2688] = {.lex_state = 76, .external_lex_state = 14},
  [2689] = {.lex_state = 76, .external_lex_state = 14},
  [2690] = {.lex_state = 76, .external_lex_state = 14},
  [2691] = {.lex_state = 76, .external_lex_state = 14},
  [2692] = {.lex_state = 13, .external_lex_state = 14},
  [2693] = {.lex_state = 13, .external_lex_state = 19},
  [2694] = {.lex_state = 76, .external_lex_state = 14},
  [2695] = {.lex_state = 11, .external_lex_state = 20},
  [2696] = {.lex_state = 11, .external_lex_state = 12},
  [2697] = {.lex_state = 13, .external_lex_state = 18},
  [2698] = {.lex_state = 13, .external_lex_state = 14},
  [2699] = {.lex_state = 76, .external_lex_state = 14},
  [2700] = {.lex_state = 13, .external_lex_state = 14},
  [2701] = {.lex_state = 13, .external_lex_state = 20},
  [2702] = {.lex_state = 13, .external_lex_state = 30},
  [2703] = {.lex_state = 76, .external_lex_state = 14},
  [2704] = {.lex_state = 76, .external_lex_state = 14},
  [2705] = {.lex_state = 76, .external_lex_state = 14},
  [2706] = {.lex_state = 11, .external_lex_state = 12},
  [2707] = {.lex_state = 13, .external_lex_state = 18},
  [2708] = {.lex_state = 13, .external_lex_state = 20},
  [2709] = {.lex_state = 76, .external_lex_state = 14},
  [2710] = {.lex_state = 13, .external_lex_state = 30},
  [2711] = {.lex_state = 13, .external_lex_state = 19},
  [2712] = {.lex_state = 76, .external_lex_state = 14},
  [2713] = {.lex_state = 76, .external_lex_state = 14},
  [2714] = {.lex_state = 76, .external_lex_state = 14},
  [2715] = {.lex_state = 76, .external_lex_state = 14},
  [2716] = {.lex_state = 76, .external_lex_state = 14},
  [2717] = {.lex_state = 76, .external_lex_state = 14},
  [2718] = {.lex_state = 76, .external_lex_state = 14},
  [2719] = {.lex_state = 13, .external_lex_state = 14},
  [2720] = {.lex_state = 76, .external_lex_state = 14},
  [2721] = {.lex_state = 76, .external_lex_state = 14},
  [2722] = {.lex_state = 11, .external_lex_state = 20},
  [2723] = {.lex_state = 13, .external_lex_state = 30},
  [2724] = {.lex_state = 76, .external_lex_state = 14},
  [2725] = {.lex_state = 13, .external_lex_state = 30},
  [2726] = {.lex_state = 13, .external_lex_state = 18},
  [2727] = {.lex_state = 11, .external_lex_state = 20},
  [2728] = {.lex_state = 11, .external_lex_state = 20},
  [2729] = {.lex_state = 11, .external_lex_state = 20},
  [2730] = {.lex_state = 11, .external_lex_state = 20},
  [2731] = {.lex_state = 76, .external_lex_state = 14},
  [2732] = {.lex_state = 76, .external_lex_state = 14},
  [2733] = {.lex_state = 76, .external_lex_state = 14},
  [2734] = {.lex_state = 76, .external_lex_state = 14},
  [2735] = {.lex_state = 13, .external_lex_state = 14},
  [2736] = {.lex_state = 13, .external_lex_state = 14},
  [2737] = {.lex_state = 13, .external_lex_state = 18},
  [2738] = {.lex_state = 76, .external_lex_state = 14},
  [2739] = {.lex_state = 76, .external_lex_state = 14},
  [2740] = {.lex_state = 13, .external_lex_state = 18},
  [2741] = {.lex_state = 76, .external_lex_state = 14},
  [2742] = {.lex_state = 13, .external_lex_state = 19},
  [2743] = {.lex_state = 13, .external_lex_state = 19},
  [2744] = {.lex_state = 13, .external_lex_state = 19},
  [2745] = {.lex_state = 13, .external_lex_state = 18},
  [2746] = {.lex_state = 13, .external_lex_state = 14},
  [2747] = {.lex_state = 13, .external_lex_state = 19},
  [2748] = {.lex_state = 11, .external_lex_state = 20},
  [2749] = {.lex_state = 11, .external_lex_state = 20},
  [2750] = {.lex_state = 76, .external_lex_state = 14},
  [2751] = {.lex_state = 76, .external_lex_state = 14},
  [2752] = {.lex_state = 11, .external_lex_state = 20},
  [2753] = {.lex_state = 13, .external_lex_state = 18},
  [2754] = {.lex_state = 13, .external_lex_state = 21},
  [2755] = {.lex_state = 76, .external_lex_state = 14},
  [2756] = {.lex_state = 76, .external_lex_state = 14},
  [2757] = {.lex_state = 76, .external_lex_state = 14},
  [2758] = {.lex_state = 13, .external_lex_state = 20},
  [2759] = {.lex_state = 13, .external_lex_state = 20},
  [2760] = {.lex_state = 13, .external_lex_state = 19},
  [2761] = {.lex_state = 13, .external_lex_state = 19},
  [2762] = {.lex_state = 13, .external_lex_state = 20},
  [2763] = {.lex_state = 13, .external_lex_state = 20},
  [2764] = {.lex_state = 76, .external_lex_state = 14},
  [2765] = {.lex_state = 11, .external_lex_state = 20},
  [2766] = {.lex_state = 13, .external_lex_state = 18},
  [2767] = {.lex_state = 13, .external_lex_state = 18},
  [2768] = {.lex_state = 11, .external_lex_state = 20},
  [2769] = {.lex_state = 13, .external_lex_state = 18},
  [2770] = {.lex_state = 13, .external_lex_state = 18},
  [2771] = {.lex_state = 13, .external_lex_state = 14},
  [2772] = {.lex_state = 13, .external_lex_state = 20},
  [2773] = {.lex_state = 76, .external_lex_state = 14},
  [2774] = {.lex_state = 11, .external_lex_state = 20},
  [2775] = {.lex_state = 11, .external_lex_state = 20},
  [2776] = {.lex_state = 13, .external_lex_state = 20},
  [2777] = {.lex_state = 13, .external_lex_state = 14},
  [2778] = {.lex_state = 11, .external_lex_state = 20},
  [2779] = {.lex_state = 13, .external_lex_state = 19},
  [2780] = {.lex_state = 11, .external_lex_state = 20},
  [2781] = {.lex_state = 13, .external_lex_state = 29},
  [2782] = {.lex_state = 76, .external_lex_state = 14},
  [2783] = {.lex_state = 72, .external_lex_state = 31},
  [2784] = {.lex_state = 72, .external_lex_state = 31},
  [2785] = {.lex_state = 72, .external_lex_state = 16},
  [2786] = {.lex_state = 72, .external_lex_state = 31},
  [2787] = {.lex_state = 72, .external_lex_state = 31},
  [2788] = {.lex_state = 72, .external_lex_state = 31},
  [2789] = {.lex_state = 72, .external_lex_state = 31},
  [2790] = {.lex_state = 72, .external_lex_state = 16},
  [2791] = {.lex_state = 13, .external_lex_state = 20},
  [2792] = {.lex_state = 72, .external_lex_state = 31},
  [2793] = {.lex_state = 72, .external_lex_state = 31},
  [2794] = {.lex_state = 72, .external_lex_state = 31},
  [2795] = {.lex_state = 72, .external_lex_state = 31},
  [2796] = {.lex_state = 72, .external_lex_state = 31},
  [2797] = {.lex_state = 72, .external_lex_state = 31},
  [2798] = {.lex_state = 72, .external_lex_state = 31},
  [2799] = {.lex_state = 11, .external_lex_state = 26},
  [2800] = {.lex_state = 72, .external_lex_state = 31},
  [2801] = {.lex_state = 72, .external_lex_state = 31},
  [2802] = {.lex_state = 72, .external_lex_state = 31},
  [2803] = {.lex_state = 72, .external_lex_state = 31},
  [2804] = {.lex_state = 13, .external_lex_state = 20},
  [2805] = {.lex_state = 72, .external_lex_state = 31},
  [2806] = {.lex_state = 13, .external_lex_state = 21},
  [2807] = {.lex_state = 13, .external_lex_state = 20},
  [2808] = {.lex_state = 13, .external_lex_state = 20},
  [2809] = {.lex_state = 11, .external_lex_state = 20},
  [2810] = {.lex_state = 13, .external_lex_state = 21},
  [2811] = {.lex_state = 72, .external_lex_state = 31},
  [2812] = {.lex_state = 72, .external_lex_state = 31},
  [2813] = {.lex_state = 72, .external_lex_state = 31},
  [2814] = {.lex_state = 72, .external_lex_state = 31},
  [2815] = {.lex_state = 13, .external_lex_state = 21},
  [2816] = {.lex_state = 72, .external_lex_state = 31},
  [2817] = {.lex_state = 72, .external_lex_state = 31},
  [2818] = {.lex_state = 72, .external_lex_state = 31},
  [2819] = {.lex_state = 72, .external_lex_state = 31},
  [2820] = {.lex_state = 72, .external_lex_state = 31},
  [2821] = {.lex_state = 72, .external_lex_state = 31},
  [2822] = {.lex_state = 72, .external_lex_state = 31},
  [2823] = {.lex_state = 13, .external_lex_state = 20},
  [2824] = {.lex_state = 13, .external_lex_state = 21},
  [2825] = {.lex_state = 72, .external_lex_state = 31},
  [2826] = {.lex_state = 72, .external_lex_state = 16},
  [2827] = {.lex_state = 13, .external_lex_state = 21},
  [2828] = {.lex_state = 72, .external_lex_state = 31},
  [2829] = {.lex_state = 13, .external_lex_state = 30},
  [2830] = {.lex_state = 72, .external_lex_state = 16},
  [2831] = {.lex_state = 72, .external_lex_state = 16},
  [2832] = {.lex_state = 72, .external_lex_state = 16},
  [2833] = {.lex_state = 13, .external_lex_state = 20},
  [2834] = {.lex_state = 72, .external_lex_state = 31},
  [2835] = {.lex_state = 72, .external_lex_state = 16},
  [2836] = {.lex_state = 72, .external_lex_state = 31},
  [2837] = {.lex_state = 72, .external_lex_state = 16},
  [2838] = {.lex_state = 72, .external_lex_state = 16},
  [2839] = {.lex_state = 72, .external_lex_state = 31},
  [2840] = {.lex_state = 72, .external_lex_state = 16},
  [2841] = {.lex_state = 13, .external_lex_state = 14},
  [2842] = {.lex_state = 72, .external_lex_state = 31},
  [2843] = {.lex_state = 13, .external_lex_state = 20},
  [2844] = {.lex_state = 13, .external_lex_state = 30},
  [2845] = {.lex_state = 72, .external_lex_state = 31},
  [2846] = {.lex_state = 72, .external_lex_state = 31},
  [2847] = {.lex_state = 13, .external_lex_state = 20},
  [2848] = {.lex_state = 13, .external_lex_state = 21},
  [2849] = {.lex_state = 72, .external_lex_state = 31},
  [2850] = {.lex_state = 13, .external_lex_state = 20},
  [2851] = {.lex_state = 13, .external_lex_state = 20},
  [2852] = {.lex_state = 72, .external_lex_state = 31},
  [2853] = {.lex_state = 72, .external_lex_state = 31},
  [2854] = {.lex_state = 72, .external_lex_state = 31},
  [2855] = {.lex_state = 72, .external_lex_state = 31},
  [2856] = {.lex_state = 13, .external_lex_state = 21},
  [2857] = {.lex_state = 72, .external_lex_state = 31},
  [2858] = {.lex_state = 72, .external_lex_state = 16},
  [2859] = {.lex_state = 13, .external_lex_state = 21},
  [2860] = {.lex_state = 72, .external_lex_state = 16},
  [2861] = {.lex_state = 13, .external_lex_state = 20},
  [2862] = {.lex_state = 72, .external_lex_state = 31},
  [2863] = {.lex_state = 11, .external_lex_state = 18},
  [2864] = {.lex_state = 11, .external_lex_state = 18},
  [2865] = {.lex_state = 72, .external_lex_state = 31},
  [2866] = {.lex_state = 11, .external_lex_state = 19},
  [2867] = {.lex_state = 11, .external_lex_state = 19},
  [2868] = {.lex_state = 11, .external_lex_state = 18},
  [2869] = {.lex_state = 11, .external_lex_state = 18},
  [2870] = {.lex_state = 11, .external_lex_state = 18},
  [2871] = {.lex_state = 11, .external_lex_state = 18},
  [2872] = {.lex_state = 11, .external_lex_state = 18},
  [2873] = {.lex_state = 11, .external_lex_state = 19},
  [2874] = {.lex_state = 11, .external_lex_state = 19},
  [2875] = {.lex_state = 80, .external_lex_state = 16},
  [2876] = {.lex_state = 80, .external_lex_state = 16},
  [2877] = {.lex_state = 72, .external_lex_state = 32},
  [2878] = {.lex_state = 11, .external_lex_state = 18},
  [2879] = {.lex_state = 11, .external_lex_state = 19},
  [2880] = {.lex_state = 11, .external_lex_state = 18},
  [2881] = {.lex_state = 11, .external_lex_state = 19},
  [2882] = {.lex_state = 11, .external_lex_state = 19},
  [2883] = {.lex_state = 11, .external_lex_state = 19},
  [2884] = {.lex_state = 11, .external_lex_state = 18},
  [2885] = {.lex_state = 13, .external_lex_state = 21},
  [2886] = {.lex_state = 11, .external_lex_state = 19},
  [2887] = {.lex_state = 80, .external_lex_state = 16},
  [2888] = {.lex_state = 11, .external_lex_state = 18},
  [2889] = {.lex_state = 11, .external_lex_state = 18},
  [2890] = {.lex_state = 11, .external_lex_state = 19},
  [2891] = {.lex_state = 11, .external_lex_state = 19},
  [2892] = {.lex_state = 11, .external_lex_state = 19},
  [2893] = {.lex_state = 11, .external_lex_state = 19},
  [2894] = {.lex_state = 11, .external_lex_state = 19},
  [2895] = {.lex_state = 11, .external_lex_state = 19},
  [2896] = {.lex_state = 11, .external_lex_state = 18},
  [2897] = {.lex_state = 11, .external_lex_state = 19},
  [2898] = {.lex_state = 72, .external_lex_state = 31},
  [2899] = {.lex_state = 72, .external_lex_state = 31},
  [2900] = {.lex_state = 72, .external_lex_state = 31},
  [2901] = {.lex_state = 72, .external_lex_state = 31},
  [2902] = {.lex_state = 72, .external_lex_state = 31},
  [2903] = {.lex_state = 72, .external_lex_state = 31},
  [2904] = {.lex_state = 72, .external_lex_state = 31},
  [2905] = {.lex_state = 11, .external_lex_state = 19},
  [2906] = {.lex_state = 11, .external_lex_state = 19},
  [2907] = {.lex_state = 11, .external_lex_state = 19},
  [2908] = {.lex_state = 11, .external_lex_state = 19},
  [2909] = {.lex_state = 11, .external_lex_state = 19},
  [2910] = {.lex_state = 72, .external_lex_state = 32},
  [2911] = {.lex_state = 11, .external_lex_state = 19},
  [2912] = {.lex_state = 11, .external_lex_state = 19},
  [2913] = {.lex_state = 13, .external_lex_state = 21},
  [2914] = {.lex_state = 13, .external_lex_state = 21},
  [2915] = {.lex_state = 11, .external_lex_state = 18},
  [2916] = {.lex_state = 11, .external_lex_state = 18},
  [2917] = {.lex_state = 11, .external_lex_state = 18},
  [2918] = {.lex_state = 11, .external_lex_state = 18},
  [2919] = {.lex_state = 11, .external_lex_state = 18},
  [2920] = {.lex_state = 11, .external_lex_state = 18},
  [2921] = {.lex_state = 13, .external_lex_state = 21},
  [2922] = {.lex_state = 11, .external_lex_state = 19},
  [2923] = {.lex_state = 80, .external_lex_state = 16},
  [2924] = {.lex_state = 13, .external_lex_state = 21},
  [2925] = {.lex_state = 80, .external_lex_state = 16},
  [2926] = {.lex_state = 72, .external_lex_state = 32},
  [2927] = {.lex_state = 72, .external_lex_state = 31},
  [2928] = {.lex_state = 72, .external_lex_state = 31},
  [2929] = {.lex_state = 11, .external_lex_state = 19},
  [2930] = {.lex_state = 72, .external_lex_state = 31},
  [2931] = {.lex_state = 72, .external_lex_state = 31},
  [2932] = {.lex_state = 11, .external_lex_state = 19},
  [2933] = {.lex_state = 13, .external_lex_state = 21},
  [2934] = {.lex_state = 13, .external_lex_state = 21},
  [2935] = {.lex_state = 11, .external_lex_state = 19},
  [2936] = {.lex_state = 13, .external_lex_state = 21},
  [2937] = {.lex_state = 13, .external_lex_state = 21},
  [2938] = {.lex_state = 11, .external_lex_state = 18},
  [2939] = {.lex_state = 11, .external_lex_state = 18},
  [2940] = {.lex_state = 11, .external_lex_state = 18},
  [2941] = {.lex_state = 11, .external_lex_state = 18},
  [2942] = {.lex_state = 11, .external_lex_state = 18},
  [2943] = {.lex_state = 11, .external_lex_state = 18},
  [2944] = {.lex_state = 13, .external_lex_state = 21},
  [2945] = {.lex_state = 13, .external_lex_state = 21},
  [2946] = {.lex_state = 11, .external_lex_state = 18},
  [2947] = {.lex_state = 11, .external_lex_state = 18},
  [2948] = {.lex_state = 11, .external_lex_state = 19},
  [2949] = {.lex_state = 11, .external_lex_state = 19},
  [2950] = {.lex_state = 80, .external_lex_state = 16},
  [2951] = {.lex_state = 11, .external_lex_state = 18},
  [2952] = {.lex_state = 11, .external_lex_state = 20},
  [2953] = {.lex_state = 11, .external_lex_state = 20},
  [2954] = {.lex_state = 11, .external_lex_state = 20},
  [2955] = {.lex_state = 11, .external_lex_state = 20},
  [2956] = {.lex_state = 79, .external_lex_state = 28},
  [2957] = {.lex_state = 56, .external_lex_state = 14},
  [2958] = {.lex_state = 80, .external_lex_state = 16},
  [2959] = {.lex_state = 11, .external_lex_state = 26},
  [2960] = {.lex_state = 56, .external_lex_state = 14},
  [2961] = {.lex_state = 72, .external_lex_state = 31},
  [2962] = {.lex_state = 11, .external_lex_state = 20},
  [2963] = {.lex_state = 11, .external_lex_state = 26},
  [2964] = {.lex_state = 72, .external_lex_state = 16},
  [2965] = {.lex_state = 11, .external_lex_state = 20},
  [2966] = {.lex_state = 72, .external_lex_state = 16},
  [2967] = {.lex_state = 11, .external_lex_state = 20},
  [2968] = {.lex_state = 11, .external_lex_state = 20},
  [2969] = {.lex_state = 56, .external_lex_state = 14},
  [2970] = {.lex_state = 80, .external_lex_state = 14},
  [2971] = {.lex_state = 11, .external_lex_state = 20},
  [2972] = {.lex_state = 79, .external_lex_state = 28},
  [2973] = {.lex_state = 11, .external_lex_state = 20},
  [2974] = {.lex_state = 11, .external_lex_state = 20},
  [2975] = {.lex_state = 11, .external_lex_state = 20},
  [2976] = {.lex_state = 80, .external_lex_state = 14},
  [2977] = {.lex_state = 80, .external_lex_state = 16},
  [2978] = {.lex_state = 80, .external_lex_state = 16},
  [2979] = {.lex_state = 79, .external_lex_state = 28},
  [2980] = {.lex_state = 11, .external_lex_state = 26},
  [2981] = {.lex_state = 11, .external_lex_state = 12},
  [2982] = {.lex_state = 11, .external_lex_state = 20},
  [2983] = {.lex_state = 56, .external_lex_state = 14},
  [2984] = {.lex_state = 11, .external_lex_state = 12},
  [2985] = {.lex_state = 11, .external_lex_state = 20},
  [2986] = {.lex_state = 11, .external_lex_state = 20},
  [2987] = {.lex_state = 11, .external_lex_state = 20},
  [2988] = {.lex_state = 11, .external_lex_state = 20},
  [2989] = {.lex_state = 72, .external_lex_state = 31},
  [2990] = {.lex_state = 11, .external_lex_state = 20},
  [2991] = {.lex_state = 56, .external_lex_state = 14},
  [2992] = {.lex_state = 11, .external_lex_state = 12},
  [2993] = {.lex_state = 11, .external_lex_state = 20},
  [2994] = {.lex_state = 11, .external_lex_state = 20},
  [2995] = {.lex_state = 11, .external_lex_state = 26},
  [2996] = {.lex_state = 11, .external_lex_state = 20},
  [2997] = {.lex_state = 72, .external_lex_state = 16},
  [2998] = {.lex_state = 11, .external_lex_state = 20},
  [2999] = {.lex_state = 11, .external_lex_state = 20},
  [3000] = {.lex_state = 79, .external_lex_state = 28},
  [3001] = {.lex_state = 11, .external_lex_state = 12},
  [3002] = {.lex_state = 11, .external_lex_state = 14},
  [3003] = {.lex_state = 11, .external_lex_state = 20},
  [3004] = {.lex_state = 11, .external_lex_state = 20},
  [3005] = {.lex_state = 11, .external_lex_state = 14},
  [3006] = {.lex_state = 11, .external_lex_state = 14},
  [3007] = {.lex_state = 11, .external_lex_state = 20},
  [3008] = {.lex_state = 11, .external_lex_state = 14},
  [3009] = {.lex_state = 11, .external_lex_state = 20},
  [3010] = {.lex_state = 11, .external_lex_state = 20},
  [3011] = {.lex_state = 72, .external_lex_state = 31},
  [3012] = {.lex_state = 11, .external_lex_state = 20},
  [3013] = {.lex_state = 11, .external_lex_state = 20},
  [3014] = {.lex_state = 56, .external_lex_state = 14},
  [3015] = {.lex_state = 11, .external_lex_state = 20},
  [3016] = {.lex_state = 11, .external_lex_state = 20},
  [3017] = {.lex_state = 56, .external_lex_state = 14},
  [3018] = {.lex_state = 13, .external_lex_state = 14},
  [3019] = {.lex_state = 11, .external_lex_state = 21},
  [3020] = {.lex_state = 72, .external_lex_state = 32},
  [3021] = {.lex_state = 11, .external_lex_state = 21},
  [3022] = {.lex_state = 13, .external_lex_state = 12},
  [3023] = {.lex_state = 11, .external_lex_state = 21},
  [3024] = {.lex_state = 11, .external_lex_state = 21},
  [3025] = {.lex_state = 11, .external_lex_state = 21},
  [3026] = {.lex_state = 13, .external_lex_state = 12},
  [3027] = {.lex_state = 11, .external_lex_state = 21},
  [3028] = {.lex_state = 11, .external_lex_state = 21},
  [3029] = {.lex_state = 11, .external_lex_state = 21},
  [3030] = {.lex_state = 13, .external_lex_state = 12},
  [3031] = {.lex_state = 11, .external_lex_state = 21},
  [3032] = {.lex_state = 13, .external_lex_state = 14},
  [3033] = {.lex_state = 11, .external_lex_state = 21},
  [3034] = {.lex_state = 11, .external_lex_state = 21},
  [3035] = {.lex_state = 11, .external_lex_state = 21},
  [3036] = {.lex_state = 11, .external_lex_state = 21},
  [3037] = {.lex_state = 72, .external_lex_state = 32},
  [3038] = {.lex_state = 11, .external_lex_state = 21},
  [3039] = {.lex_state = 11, .external_lex_state = 21},
  [3040] = {.lex_state = 11, .external_lex_state = 21},
  [3041] = {.lex_state = 11, .external_lex_state = 21},
  [3042] = {.lex_state = 72, .external_lex_state = 32},
  [3043] = {.lex_state = 11, .external_lex_state = 21},
  [3044] = {.lex_state = 11, .external_lex_state = 21},
  [3045] = {.lex_state = 11, .external_lex_state = 21},
  [3046] = {.lex_state = 11, .external_lex_state = 21},
  [3047] = {.lex_state = 11, .external_lex_state = 21},
  [3048] = {.lex_state = 11, .external_lex_state = 21},
  [3049] = {.lex_state = 11, .external_lex_state = 21},
  [3050] = {.lex_state = 11, .external_lex_state = 21},
  [3051] = {.lex_state = 11, .external_lex_state = 21},
  [3052] = {.lex_state = 3, .external_lex_state = 31},
  [3053] = {.lex_state = 113, .external_lex_state = 33},
  [3054] = {.lex_state = 113, .external_lex_state = 33},
  [3055] = {.lex_state = 3, .external_lex_state = 31},
  [3056] = {.lex_state = 3, .external_lex_state = 31},
  [3057] = {.lex_state = 3, .external_lex_state = 31},
  [3058] = {.lex_state = 3, .external_lex_state = 31},
  [3059] = {.lex_state = 113, .external_lex_state = 33},
  [3060] = {.lex_state = 3, .external_lex_state = 31},
  [3061] = {.lex_state = 3, .external_lex_state = 31},
  [3062] = {.lex_state = 3, .external_lex_state = 31},
  [3063] = {.lex_state = 72, .external_lex_state = 34},
  [3064] = {.lex_state = 3, .external_lex_state = 31},
  [3065] = {.lex_state = 72, .external_lex_state = 17},
  [3066] = {.lex_state = 113, .external_lex_state = 33},
  [3067] = {.lex_state = 113, .external_lex_state = 33},
  [3068] = {.lex_state = 3, .external_lex_state = 31},
  [3069] = {.lex_state = 3, .external_lex_state = 31},
  [3070] = {.lex_state = 3, .external_lex_state = 31},
  [3071] = {.lex_state = 3, .external_lex_state = 31},
  [3072] = {.lex_state = 3, .external_lex_state = 31},
  [3073] = {.lex_state = 3, .external_lex_state = 31},
  [3074] = {.lex_state = 3, .external_lex_state = 31},
  [3075] = {.lex_state = 3, .external_lex_state = 31},
  [3076] = {.lex_state = 113, .external_lex_state = 33},
  [3077] = {.lex_state = 113, .external_lex_state = 33},
  [3078] = {.lex_state = 113, .external_lex_state = 33},
  [3079] = {.lex_state = 72, .external_lex_state = 17},
  [3080] = {.lex_state = 72, .external_lex_state = 34},
  [3081] = {.lex_state = 3, .external_lex_state = 31},
  [3082] = {.lex_state = 3, .external_lex_state = 31},
  [3083] = {.lex_state = 3, .external_lex_state = 31},
  [3084] = {.lex_state = 3, .external_lex_state = 31},
  [3085] = {.lex_state = 3, .external_lex_state = 31},
  [3086] = {.lex_state = 3, .external_lex_state = 31},
  [3087] = {.lex_state = 3, .external_lex_state = 31},
  [3088] = {.lex_state = 113, .external_lex_state = 33},
  [3089] = {.lex_state = 3, .external_lex_state = 16},
  [3090] = {.lex_state = 113, .external_lex_state = 33},
  [3091] = {.lex_state = 3, .external_lex_state = 31},
  [3092] = {.lex_state = 3, .external_lex_state = 31},
  [3093] = {.lex_state = 3, .external_lex_state = 31},
  [3094] = {.lex_state = 113, .external_lex_state = 33},
  [3095] = {.lex_state = 3, .external_lex_state = 16},
  [3096] = {.lex_state = 3, .external_lex_state = 31},
  [3097] = {.lex_state = 3, .external_lex_state = 31},
  [3098] = {.lex_state = 3, .external_lex_state = 31},
  [3099] = {.lex_state = 113, .external_lex_state = 33},
  [3100] = {.lex_state = 73, .external_lex_state = 14},
  [3101] = {.lex_state = 113, .external_lex_state = 33},
  [3102] = {.lex_state = 113, .external_lex_state = 33},
  [3103] = {.lex_state = 113, .external_lex_state = 33},
  [3104] = {.lex_state = 3, .external_lex_state = 31},
  [3105] = {.lex_state = 3, .external_lex_state = 31},
  [3106] = {.lex_state = 3, .external_lex_state = 31},
  [3107] = {.lex_state = 113, .external_lex_state = 33},
  [3108] = {.lex_state = 3, .external_lex_state = 31},
  [3109] = {.lex_state = 3, .external_lex_state = 31},
  [3110] = {.lex_state = 3, .external_lex_state = 31},
  [3111] = {.lex_state = 3, .external_lex_state = 16},
  [3112] = {.lex_state = 3, .external_lex_state = 16},
  [3113] = {.lex_state = 3, .external_lex_state = 16},
  [3114] = {.lex_state = 3, .external_lex_state = 31},
  [3115] = {.lex_state = 3, .external_lex_state = 31},
  [3116] = {.lex_state = 113, .external_lex_state = 33},
  [3117] = {.lex_state = 3, .external_lex_state = 31},
  [3118] = {.lex_state = 3, .external_lex_state = 31},
  [3119] = {.lex_state = 113, .external_lex_state = 33},
  [3120] = {.lex_state = 113, .external_lex_state = 33},
  [3121] = {.lex_state = 3, .external_lex_state = 31},
  [3122] = {.lex_state = 3, .external_lex_state = 31},
  [3123] = {.lex_state = 3, .external_lex_state = 31},
  [3124] = {.lex_state = 3, .external_lex_state = 31},
  [3125] = {.lex_state = 3, .external_lex_state = 16},
  [3126] = {.lex_state = 73, .external_lex_state = 14},
  [3127] = {.lex_state = 73, .external_lex_state = 14},
  [3128] = {.lex_state = 113, .external_lex_state = 33},
  [3129] = {.lex_state = 3, .external_lex_state = 32},
  [3130] = {.lex_state = 113, .external_lex_state = 31},
  [3131] = {.lex_state = 113, .external_lex_state = 35},
  [3132] = {.lex_state = 72, .external_lex_state = 16},
  [3133] = {.lex_state = 57, .external_lex_state = 14},
  [3134] = {.lex_state = 113, .external_lex_state = 31},
  [3135] = {.lex_state = 57, .external_lex_state = 14},
  [3136] = {.lex_state = 113, .external_lex_state = 35},
  [3137] = {.lex_state = 113, .external_lex_state = 35},
  [3138] = {.lex_state = 113, .external_lex_state = 35},
  [3139] = {.lex_state = 80, .external_lex_state = 14},
  [3140] = {.lex_state = 113, .external_lex_state = 35},
  [3141] = {.lex_state = 80, .external_lex_state = 14},
  [3142] = {.lex_state = 113, .external_lex_state = 35},
  [3143] = {.lex_state = 113, .external_lex_state = 35},
  [3144] = {.lex_state = 113, .external_lex_state = 35},
  [3145] = {.lex_state = 113, .external_lex_state = 35},
  [3146] = {.lex_state = 13, .external_lex_state = 14},
  [3147] = {.lex_state = 113, .external_lex_state = 35},
  [3148] = {.lex_state = 113, .external_lex_state = 35},
  [3149] = {.lex_state = 113, .external_lex_state = 35},
  [3150] = {.lex_state = 74, .external_lex_state = 14},
  [3151] = {.lex_state = 113, .external_lex_state = 35},
  [3152] = {.lex_state = 113, .external_lex_state = 35},
  [3153] = {.lex_state = 113, .external_lex_state = 35},
  [3154] = {.lex_state = 113, .external_lex_state = 31},
  [3155] = {.lex_state = 81, .external_lex_state = 14},
  [3156] = {.lex_state = 113, .external_lex_state = 31},
  [3157] = {.lex_state = 113, .external_lex_state = 35},
  [3158] = {.lex_state = 113, .external_lex_state = 31},
  [3159] = {.lex_state = 113, .external_lex_state = 31},
  [3160] = {.lex_state = 113, .external_lex_state = 35},
  [3161] = {.lex_state = 113, .external_lex_state = 35},
  [3162] = {.lex_state = 113, .external_lex_state = 35},
  [3163] = {.lex_state = 113, .external_lex_state = 31},
  [3164] = {.lex_state = 113, .external_lex_state = 35},
  [3165] = {.lex_state = 113, .external_lex_state = 35},
  [3166] = {.lex_state = 74, .external_lex_state = 14},
  [3167] = {.lex_state = 74, .external_lex_state = 14},
  [3168] = {.lex_state = 113, .external_lex_state = 35},
  [3169] = {.lex_state = 3, .external_lex_state = 32},
  [3170] = {.lex_state = 113, .external_lex_state = 31},
  [3171] = {.lex_state = 113, .external_lex_state = 35},
  [3172] = {.lex_state = 113, .external_lex_state = 35},
  [3173] = {.lex_state = 74, .external_lex_state = 14},
  [3174] = {.lex_state = 113, .external_lex_state = 35},
  [3175] = {.lex_state = 113, .external_lex_state = 35},
  [3176] = {.lex_state = 113, .external_lex_state = 35},
  [3177] = {.lex_state = 113, .external_lex_state = 35},
  [3178] = {.lex_state = 113, .external_lex_state = 35},
  [3179] = {.lex_state = 113, .external_lex_state = 31},
  [3180] = {.lex_state = 113, .external_lex_state = 35},
  [3181] = {.lex_state = 113, .external_lex_state = 35},
  [3182] = {.lex_state = 113, .external_lex_state = 35},
  [3183] = {.lex_state = 113, .external_lex_state = 35},
  [3184] = {.lex_state = 113, .external_lex_state = 35},
  [3185] = {.lex_state = 113, .external_lex_state = 35},
  [3186] = {.lex_state = 113, .external_lex_state = 35},
  [3187] = {.lex_state = 113, .external_lex_state = 16},
  [3188] = {.lex_state = 13, .external_lex_state = 12},
  [3189] = {.lex_state = 113, .external_lex_state = 35},
  [3190] = {.lex_state = 113, .external_lex_state = 16},
  [3191] = {.lex_state = 113, .external_lex_state = 35},
  [3192] = {.lex_state = 72, .external_lex_state = 16},
  [3193] = {.lex_state = 113, .external_lex_state = 31},
  [3194] = {.lex_state = 113, .external_lex_state = 31},
  [3195] = {.lex_state = 113, .external_lex_state = 35},
  [3196] = {.lex_state = 113, .external_lex_state = 16},
  [3197] = {.lex_state = 113, .external_lex_state = 31},
  [3198] = {.lex_state = 113, .external_lex_state = 35},
  [3199] = {.lex_state = 80, .external_lex_state = 16},
  [3200] = {.lex_state = 113, .external_lex_state = 35},
  [3201] = {.lex_state = 113, .external_lex_state = 35},
  [3202] = {.lex_state = 113, .external_lex_state = 35},
  [3203] = {.lex_state = 113, .external_lex_state = 35},
  [3204] = {.lex_state = 74, .external_lex_state = 14},
  [3205] = {.lex_state = 113, .external_lex_state = 35},
  [3206] = {.lex_state = 113, .external_lex_state = 35},
  [3207] = {.lex_state = 80, .external_lex_state = 14},
  [3208] = {.lex_state = 80, .external_lex_state = 14},
  [3209] = {.lex_state = 113, .external_lex_state = 35},
  [3210] = {.lex_state = 113, .external_lex_state = 35},
  [3211] = {.lex_state = 113, .external_lex_state = 31},
  [3212] = {.lex_state = 113, .external_lex_state = 35},
  [3213] = {.lex_state = 113, .external_lex_state = 31},
  [3214] = {.lex_state = 74, .external_lex_state = 14},
  [3215] = {.lex_state = 80, .external_lex_state = 14},
  [3216] = {.lex_state = 113, .external_lex_state = 35},
  [3217] = {.lex_state = 113, .external_lex_state = 35},
  [3218] = {.lex_state = 113, .external_lex_state = 35},
  [3219] = {.lex_state = 113, .external_lex_state = 35},
  [3220] = {.lex_state = 81, .external_lex_state = 14},
  [3221] = {.lex_state = 113, .external_lex_state = 35},
  [3222] = {.lex_state = 81, .external_lex_state = 14},
  [3223] = {.lex_state = 74, .external_lex_state = 14},
  [3224] = {.lex_state = 113, .external_lex_state = 35},
  [3225] = {.lex_state = 113, .external_lex_state = 35},
  [3226] = {.lex_state = 113, .external_lex_state = 16},
  [3227] = {.lex_state = 113, .external_lex_state = 31},
  [3228] = {.lex_state = 113, .external_lex_state = 31},
  [3229] = {.lex_state = 113, .external_lex_state = 31},
  [3230] = {.lex_state = 113, .external_lex_state = 35},
  [3231] = {.lex_state = 113, .external_lex_state = 35},
  [3232] = {.lex_state = 113, .external_lex_state = 31},
  [3233] = {.lex_state = 113, .external_lex_state = 31},
  [3234] = {.lex_state = 113, .external_lex_state = 35},
  [3235] = {.lex_state = 113, .external_lex_state = 35},
  [3236] = {.lex_state = 113, .external_lex_state = 35},
  [3237] = {.lex_state = 113, .external_lex_state = 35},
  [3238] = {.lex_state = 113, .external_lex_state = 35},
  [3239] = {.lex_state = 113, .external_lex_state = 35},
  [3240] = {.lex_state = 113, .external_lex_state = 35},
  [3241] = {.lex_state = 74, .external_lex_state = 14},
  [3242] = {.lex_state = 113, .external_lex_state = 35},
  [3243] = {.lex_state = 113, .external_lex_state = 35},
  [3244] = {.lex_state = 113, .external_lex_state = 31},
  [3245] = {.lex_state = 113, .external_lex_state = 35},
  [3246] = {.lex_state = 113, .external_lex_state = 35},
  [3247] = {.lex_state = 113, .external_lex_state = 16},
  [3248] = {.lex_state = 72, .external_lex_state = 16},
  [3249] = {.lex_state = 74, .external_lex_state = 14},
  [3250] = {.lex_state = 113, .external_lex_state = 16},
  [3251] = {.lex_state = 113, .external_lex_state = 35},
  [3252] = {.lex_state = 113, .external_lex_state = 35},
  [3253] = {.lex_state = 113, .external_lex_state = 35},
  [3254] = {.lex_state = 3, .external_lex_state = 32},
  [3255] = {.lex_state = 113, .external_lex_state = 35},
  [3256] = {.lex_state = 113, .external_lex_state = 31},
  [3257] = {.lex_state = 113, .external_lex_state = 31},
  [3258] = {.lex_state = 113, .external_lex_state = 35},
  [3259] = {.lex_state = 113, .external_lex_state = 35},
  [3260] = {.lex_state = 113, .external_lex_state = 35},
  [3261] = {.lex_state = 113, .external_lex_state = 35},
  [3262] = {.lex_state = 113, .external_lex_state = 35},
  [3263] = {.lex_state = 113, .external_lex_state = 31},
  [3264] = {.lex_state = 113, .external_lex_state = 35},
  [3265] = {.lex_state = 113, .external_lex_state = 16},
  [3266] = {.lex_state = 113, .external_lex_state = 35},
  [3267] = {.lex_state = 113, .external_lex_state = 16},
  [3268] = {.lex_state = 113, .external_lex_state = 31},
  [3269] = {.lex_state = 113, .external_lex_state = 35},
  [3270] = {.lex_state = 113, .external_lex_state = 31},
  [3271] = {.lex_state = 113, .external_lex_state = 35},
  [3272] = {.lex_state = 113, .external_lex_state = 31},
  [3273] = {.lex_state = 113, .external_lex_state = 16},
  [3274] = {.lex_state = 113, .external_lex_state = 35},
  [3275] = {.lex_state = 113, .external_lex_state = 31},
  [3276] = {.lex_state = 113, .external_lex_state = 31},
  [3277] = {.lex_state = 113, .external_lex_state = 35},
  [3278] = {.lex_state = 113, .external_lex_state = 16},
  [3279] = {.lex_state = 113, .external_lex_state = 35},
  [3280] = {.lex_state = 113, .external_lex_state = 35},
  [3281] = {.lex_state = 113, .external_lex_state = 35},
  [3282] = {.lex_state = 113, .external_lex_state = 31},
  [3283] = {.lex_state = 13, .external_lex_state = 12},
  [3284] = {.lex_state = 113, .external_lex_state = 35},
  [3285] = {.lex_state = 113, .external_lex_state = 35},
  [3286] = {.lex_state = 113, .external_lex_state = 35},
  [3287] = {.lex_state = 113, .external_lex_state = 35},
  [3288] = {.lex_state = 113, .external_lex_state = 31},
  [3289] = {.lex_state = 113, .external_lex_state = 31},
  [3290] = {.lex_state = 113, .external_lex_state = 35},
  [3291] = {.lex_state = 113, .external_lex_state = 35},
  [3292] = {.lex_state = 113, .external_lex_state = 31},
  [3293] = {.lex_state = 13, .external_lex_state = 12},
  [3294] = {.lex_state = 113, .external_lex_state = 35},
  [3295] = {.lex_state = 57, .external_lex_state = 14},
  [3296] = {.lex_state = 57, .external_lex_state = 14},
  [3297] = {.lex_state = 57, .external_lex_state = 14},
  [3298] = {.lex_state = 57, .external_lex_state = 14},
  [3299] = {.lex_state = 72, .external_lex_state = 31},
  [3300] = {.lex_state = 72, .external_lex_state = 36},
  [3301] = {.lex_state = 113, .external_lex_state = 35},
  [3302] = {.lex_state = 113, .external_lex_state = 31},
  [3303] = {.lex_state = 113, .external_lex_state = 31},
  [3304] = {.lex_state = 113, .external_lex_state = 16},
  [3305] = {.lex_state = 113, .external_lex_state = 35},
  [3306] = {.lex_state = 113, .external_lex_state = 31},
  [3307] = {.lex_state = 113, .external_lex_state = 31},
  [3308] = {.lex_state = 72, .external_lex_state = 31},
  [3309] = {.lex_state = 113, .external_lex_state = 35},
  [3310] = {.lex_state = 113, .external_lex_state = 31},
  [3311] = {.lex_state = 113, .external_lex_state = 31},
  [3312] = {.lex_state = 72, .external_lex_state = 36},
  [3313] = {.lex_state = 113, .external_lex_state = 31},
  [3314] = {.lex_state = 113, .external_lex_state = 16},
  [3315] = {.lex_state = 13, .external_lex_state = 14},
  [3316] = {.lex_state = 113, .external_lex_state = 31},
  [3317] = {.lex_state = 74, .external_lex_state = 14},
  [3318] = {.lex_state = 113, .external_lex_state = 31},
  [3319] = {.lex_state = 113, .external_lex_state = 35},
  [3320] = {.lex_state = 113, .external_lex_state = 16},
  [3321] = {.lex_state = 113, .external_lex_state = 16},
  [3322] = {.lex_state = 113, .external_lex_state = 31},
  [3323] = {.lex_state = 113, .external_lex_state = 16},
  [3324] = {.lex_state = 113, .external_lex_state = 31},
  [3325] = {.lex_state = 113, .external_lex_state = 35},
  [3326] = {.lex_state = 113, .external_lex_state = 31},
  [3327] = {.lex_state = 72, .external_lex_state = 31},
  [3328] = {.lex_state = 113, .external_lex_state = 35},
  [3329] = {.lex_state = 113, .external_lex_state = 14},
  [3330] = {.lex_state = 3, .external_lex_state = 14},
  [3331] = {.lex_state = 13, .external_lex_state = 14},
  [3332] = {.lex_state = 78, .external_lex_state = 14},
  [3333] = {.lex_state = 78, .external_lex_state = 14},
  [3334] = {.lex_state = 78, .external_lex_state = 14},
  [3335] = {.lex_state = 78, .external_lex_state = 14},
  [3336] = {.lex_state = 113, .external_lex_state = 32},
  [3337] = {.lex_state = 78, .external_lex_state = 14},
  [3338] = {.lex_state = 113, .external_lex_state = 14},
  [3339] = {.lex_state = 78, .external_lex_state = 14},
  [3340] = {.lex_state = 78, .external_lex_state = 14},
  [3341] = {.lex_state = 113, .external_lex_state = 14},
  [3342] = {.lex_state = 13, .external_lex_state = 14},
  [3343] = {.lex_state = 72, .external_lex_state = 32},
  [3344] = {.lex_state = 113, .external_lex_state = 16},
  [3345] = {.lex_state = 3, .external_lex_state = 14},
  [3346] = {.lex_state = 113, .external_lex_state = 14},
  [3347] = {.lex_state = 13, .external_lex_state = 14},
  [3348] = {.lex_state = 13, .external_lex_state = 14},
  [3349] = {.lex_state = 113, .external_lex_state = 32},
  [3350] = {.lex_state = 72, .external_lex_state = 32},
  [3351] = {.lex_state = 76, .external_lex_state = 14},
  [3352] = {.lex_state = 13, .external_lex_state = 14},
  [3353] = {.lex_state = 3, .external_lex_state = 14},
  [3354] = {.lex_state = 78, .external_lex_state = 14},
  [3355] = {.lex_state = 13, .external_lex_state = 14},
  [3356] = {.lex_state = 78, .external_lex_state = 14},
  [3357] = {.lex_state = 78, .external_lex_state = 14},
  [3358] = {.lex_state = 78, .external_lex_state = 14},
  [3359] = {.lex_state = 113, .external_lex_state = 32},
  [3360] = {.lex_state = 78, .external_lex_state = 14},
  [3361] = {.lex_state = 13, .external_lex_state = 14},
  [3362] = {.lex_state = 113, .external_lex_state = 35},
  [3363] = {.lex_state = 13, .external_lex_state = 14},
  [3364] = {.lex_state = 13, .external_lex_state = 14},
  [3365] = {.lex_state = 13, .external_lex_state = 14},
  [3366] = {.lex_state = 13, .external_lex_state = 14},
  [3367] = {.lex_state = 3, .external_lex_state = 14},
  [3368] = {.lex_state = 78, .external_lex_state = 14},
  [3369] = {.lex_state = 13, .external_lex_state = 14},
  [3370] = {.lex_state = 78, .external_lex_state = 14},
  [3371] = {.lex_state = 57, .external_lex_state = 14},
  [3372] = {.lex_state = 113, .external_lex_state = 14},
  [3373] = {.lex_state = 72, .external_lex_state = 32},
  [3374] = {.lex_state = 78, .external_lex_state = 14},
  [3375] = {.lex_state = 113, .external_lex_state = 16},
  [3376] = {.lex_state = 78, .external_lex_state = 14},
  [3377] = {.lex_state = 78, .external_lex_state = 14},
  [3378] = {.lex_state = 113, .external_lex_state = 33},
  [3379] = {.lex_state = 78, .external_lex_state = 14},
  [3380] = {.lex_state = 76, .external_lex_state = 14},
  [3381] = {.lex_state = 80, .external_lex_state = 14},
  [3382] = {.lex_state = 80, .external_lex_state = 14},
  [3383] = {.lex_state = 113, .external_lex_state = 14},
  [3384] = {.lex_state = 80, .external_lex_state = 14},
  [3385] = {.lex_state = 80, .external_lex_state = 14},
  [3386] = {.lex_state = 80, .external_lex_state = 14},
  [3387] = {.lex_state = 80, .external_lex_state = 14},
  [3388] = {.lex_state = 80, .external_lex_state = 14},
  [3389] = {.lex_state = 80, .external_lex_state = 14},
  [3390] = {.lex_state = 80, .external_lex_state = 14},
  [3391] = {.lex_state = 80, .external_lex_state = 14},
  [3392] = {.lex_state = 80, .external_lex_state = 14},
  [3393] = {.lex_state = 80, .external_lex_state = 14},
  [3394] = {.lex_state = 80, .external_lex_state = 14},
  [3395] = {.lex_state = 80, .external_lex_state = 14},
  [3396] = {.lex_state = 80, .external_lex_state = 14},
  [3397] = {.lex_state = 80, .external_lex_state = 14},
  [3398] = {.lex_state = 80, .external_lex_state = 14},
  [3399] = {.lex_state = 80, .external_lex_state = 14},
  [3400] = {.lex_state = 80, .external_lex_state = 14},
  [3401] = {.lex_state = 80, .external_lex_state = 14},
  [3402] = {.lex_state = 80, .external_lex_state = 14},
  [3403] = {.lex_state = 80, .external_lex_state = 14},
  [3404] = {.lex_state = 80, .external_lex_state = 14},
  [3405] = {.lex_state = 80, .external_lex_state = 14},
  [3406] = {.lex_state = 113, .external_lex_state = 14},
  [3407] = {.lex_state = 80, .external_lex_state = 14},
  [3408] = {.lex_state = 80, .external_lex_state = 14},
  [3409] = {.lex_state = 80, .external_lex_state = 14},
  [3410] = {.lex_state = 80, .external_lex_state = 14},
  [3411] = {.lex_state = 80, .external_lex_state = 14},
  [3412] = {.lex_state = 80, .external_lex_state = 14},
  [3413] = {.lex_state = 80, .external_lex_state = 14},
  [3414] = {.lex_state = 80, .external_lex_state = 14},
  [3415] = {.lex_state = 80, .external_lex_state = 14},
  [3416] = {.lex_state = 80, .external_lex_state = 14},
  [3417] = {.lex_state = 80, .external_lex_state = 14},
  [3418] = {.lex_state = 80, .external_lex_state = 14},
  [3419] = {.lex_state = 80, .external_lex_state = 14},
  [3420] = {.lex_state = 80, .external_lex_state = 14},
  [3421] = {.lex_state = 80, .external_lex_state = 14},
  [3422] = {.lex_state = 72, .external_lex_state = 14},
  [3423] = {.lex_state = 80, .external_lex_state = 14},
  [3424] = {.lex_state = 80, .external_lex_state = 14},
  [3425] = {.lex_state = 80, .external_lex_state = 14},
  [3426] = {.lex_state = 80, .external_lex_state = 14},
  [3427] = {.lex_state = 11, .external_lex_state = 14},
  [3428] = {.lex_state = 80, .external_lex_state = 14},
  [3429] = {.lex_state = 11, .external_lex_state = 14},
  [3430] = {.lex_state = 11, .external_lex_state = 14},
  [3431] = {.lex_state = 80, .external_lex_state = 14},
  [3432] = {.lex_state = 80, .external_lex_state = 14},
  [3433] = {.lex_state = 80, .external_lex_state = 14},
  [3434] = {.lex_state = 80, .external_lex_state = 14},
  [3435] = {.lex_state = 72, .external_lex_state = 14},
  [3436] = {.lex_state = 80, .external_lex_state = 14},
  [3437] = {.lex_state = 80, .external_lex_state = 14},
  [3438] = {.lex_state = 80, .external_lex_state = 14},
  [3439] = {.lex_state = 80, .external_lex_state = 14},
  [3440] = {.lex_state = 80, .external_lex_state = 14},
  [3441] = {.lex_state = 80, .external_lex_state = 14},
  [3442] = {.lex_state = 113, .external_lex_state = 14},
  [3443] = {.lex_state = 80, .external_lex_state = 14},
  [3444] = {.lex_state = 80, .external_lex_state = 14},
  [3445] = {.lex_state = 113, .external_lex_state = 14},
  [3446] = {.lex_state = 113, .external_lex_state = 14},
  [3447] = {.lex_state = 80, .external_lex_state = 14},
  [3448] = {.lex_state = 80, .external_lex_state = 14},
  [3449] = {.lex_state = 80, .external_lex_state = 14},
  [3450] = {.lex_state = 113, .external_lex_state = 14},
  [3451] = {.lex_state = 80, .external_lex_state = 14},
  [3452] = {.lex_state = 80, .external_lex_state = 14},
  [3453] = {.lex_state = 80, .external_lex_state = 14},
  [3454] = {.lex_state = 80, .external_lex_state = 14},
  [3455] = {.lex_state = 72, .external_lex_state = 14},
  [3456] = {.lex_state = 80, .external_lex_state = 14},
  [3457] = {.lex_state = 80, .external_lex_state = 14},
  [3458] = {.lex_state = 113, .external_lex_state = 14},
  [3459] = {.lex_state = 113, .external_lex_state = 14},
  [3460] = {.lex_state = 113, .external_lex_state = 14},
  [3461] = {.lex_state = 80, .external_lex_state = 14},
  [3462] = {.lex_state = 80, .external_lex_state = 14},
  [3463] = {.lex_state = 113, .external_lex_state = 37},
  [3464] = {.lex_state = 113, .external_lex_state = 37},
  [3465] = {.lex_state = 113, .external_lex_state = 37},
  [3466] = {.lex_state = 113, .external_lex_state = 37},
  [3467] = {.lex_state = 80, .external_lex_state = 14},
  [3468] = {.lex_state = 80, .external_lex_state = 14},
  [3469] = {.lex_state = 80, .external_lex_state = 14},
  [3470] = {.lex_state = 80, .external_lex_state = 14},
  [3471] = {.lex_state = 80, .external_lex_state = 14},
  [3472] = {.lex_state = 80, .external_lex_state = 14},
  [3473] = {.lex_state = 80, .external_lex_state = 14},
  [3474] = {.lex_state = 80, .external_lex_state = 14},
  [3475] = {.lex_state = 113, .external_lex_state = 14},
  [3476] = {.lex_state = 80, .external_lex_state = 14},
  [3477] = {.lex_state = 80, .external_lex_state = 14},
  [3478] = {.lex_state = 113, .external_lex_state = 14},
  [3479] = {.lex_state = 80, .external_lex_state = 14},
  [3480] = {.lex_state = 113, .external_lex_state = 35},
  [3481] = {.lex_state = 80, .external_lex_state = 14},
  [3482] = {.lex_state = 80, .external_lex_state = 14},
  [3483] = {.lex_state = 80, .external_lex_state = 14},
  [3484] = {.lex_state = 80, .external_lex_state = 14},
  [3485] = {.lex_state = 80, .external_lex_state = 14},
  [3486] = {.lex_state = 11, .external_lex_state = 14},
  [3487] = {.lex_state = 80, .external_lex_state = 14},
  [3488] = {.lex_state = 113, .external_lex_state = 37},
  [3489] = {.lex_state = 113, .external_lex_state = 14},
  [3490] = {.lex_state = 113, .external_lex_state = 14},
  [3491] = {.lex_state = 80, .external_lex_state = 14},
  [3492] = {.lex_state = 80, .external_lex_state = 14},
  [3493] = {.lex_state = 72, .external_lex_state = 14},
  [3494] = {.lex_state = 80, .external_lex_state = 14},
  [3495] = {.lex_state = 72, .external_lex_state = 14},
  [3496] = {.lex_state = 80, .external_lex_state = 14},
  [3497] = {.lex_state = 80, .external_lex_state = 14},
  [3498] = {.lex_state = 113, .external_lex_state = 33},
  [3499] = {.lex_state = 80, .external_lex_state = 14},
  [3500] = {.lex_state = 113, .external_lex_state = 35},
  [3501] = {.lex_state = 80, .external_lex_state = 14},
  [3502] = {.lex_state = 113, .external_lex_state = 33},
  [3503] = {.lex_state = 11, .external_lex_state = 14},
  [3504] = {.lex_state = 80, .external_lex_state = 14},
  [3505] = {.lex_state = 113, .external_lex_state = 37},
  [3506] = {.lex_state = 113, .external_lex_state = 37},
  [3507] = {.lex_state = 113, .external_lex_state = 37},
  [3508] = {.lex_state = 113, .external_lex_state = 37},
  [3509] = {.lex_state = 80, .external_lex_state = 14},
  [3510] = {.lex_state = 113, .external_lex_state = 14},
  [3511] = {.lex_state = 80, .external_lex_state = 14},
  [3512] = {.lex_state = 13, .external_lex_state = 14},
  [3513] = {.lex_state = 113, .external_lex_state = 14},
  [3514] = {.lex_state = 80, .external_lex_state = 14},
  [3515] = {.lex_state = 80, .external_lex_state = 14},
  [3516] = {.lex_state = 80, .external_lex_state = 14},
  [3517] = {.lex_state = 80, .external_lex_state = 14},
  [3518] = {.lex_state = 80, .external_lex_state = 14},
  [3519] = {.lex_state = 80, .external_lex_state = 14},
  [3520] = {.lex_state = 80, .external_lex_state = 14},
  [3521] = {.lex_state = 80, .external_lex_state = 14},
  [3522] = {.lex_state = 80, .external_lex_state = 14},
  [3523] = {.lex_state = 80, .external_lex_state = 14},
  [3524] = {.lex_state = 113, .external_lex_state = 37},
  [3525] = {.lex_state = 113, .external_lex_state = 37},
  [3526] = {.lex_state = 113, .external_lex_state = 37},
  [3527] = {.lex_state = 113, .external_lex_state = 37},
  [3528] = {.lex_state = 113, .external_lex_state = 37},
  [3529] = {.lex_state = 11, .external_lex_state = 14},
  [3530] = {.lex_state = 80, .external_lex_state = 14},
  [3531] = {.lex_state = 80, .external_lex_state = 14},
  [3532] = {.lex_state = 80, .external_lex_state = 14},
  [3533] = {.lex_state = 80, .external_lex_state = 14},
  [3534] = {.lex_state = 80, .external_lex_state = 14},
  [3535] = {.lex_state = 80, .external_lex_state = 14},
  [3536] = {.lex_state = 113, .external_lex_state = 37},
  [3537] = {.lex_state = 113, .external_lex_state = 37},
  [3538] = {.lex_state = 113, .external_lex_state = 37},
  [3539] = {.lex_state = 113, .external_lex_state = 37},
  [3540] = {.lex_state = 80, .external_lex_state = 14},
  [3541] = {.lex_state = 80, .external_lex_state = 14},
  [3542] = {.lex_state = 113, .external_lex_state = 14},
  [3543] = {.lex_state = 80, .external_lex_state = 14},
  [3544] = {.lex_state = 80, .external_lex_state = 14},
  [3545] = {.lex_state = 113, .external_lex_state = 14},
  [3546] = {.lex_state = 113, .external_lex_state = 35},
  [3547] = {.lex_state = 113, .external_lex_state = 37},
  [3548] = {.lex_state = 113, .external_lex_state = 37},
  [3549] = {.lex_state = 113, .external_lex_state = 37},
  [3550] = {.lex_state = 72, .external_lex_state = 14},
  [3551] = {.lex_state = 80, .external_lex_state = 14},
  [3552] = {.lex_state = 72, .external_lex_state = 14},
  [3553] = {.lex_state = 80, .external_lex_state = 14},
  [3554] = {.lex_state = 80, .external_lex_state = 14},
  [3555] = {.lex_state = 80, .external_lex_state = 14},
  [3556] = {.lex_state = 80, .external_lex_state = 14},
  [3557] = {.lex_state = 80, .external_lex_state = 14},
  [3558] = {.lex_state = 80, .external_lex_state = 14},
  [3559] = {.lex_state = 80, .external_lex_state = 14},
  [3560] = {.lex_state = 80, .external_lex_state = 14},
  [3561] = {.lex_state = 72, .external_lex_state = 14},
  [3562] = {.lex_state = 80, .external_lex_state = 14},
  [3563] = {.lex_state = 80, .external_lex_state = 14},
  [3564] = {.lex_state = 80, .external_lex_state = 14},
  [3565] = {.lex_state = 80, .external_lex_state = 14},
  [3566] = {.lex_state = 80, .external_lex_state = 14},
  [3567] = {.lex_state = 80, .external_lex_state = 14},
  [3568] = {.lex_state = 11, .external_lex_state = 14},
  [3569] = {.lex_state = 80, .external_lex_state = 14},
  [3570] = {.lex_state = 113, .external_lex_state = 37},
  [3571] = {.lex_state = 80, .external_lex_state = 14},
  [3572] = {.lex_state = 80, .external_lex_state = 14},
  [3573] = {.lex_state = 80, .external_lex_state = 14},
  [3574] = {.lex_state = 72, .external_lex_state = 14},
  [3575] = {.lex_state = 80, .external_lex_state = 14},
  [3576] = {.lex_state = 80, .external_lex_state = 14},
  [3577] = {.lex_state = 80, .external_lex_state = 14},
  [3578] = {.lex_state = 80, .external_lex_state = 14},
  [3579] = {.lex_state = 113, .external_lex_state = 37},
  [3580] = {.lex_state = 80, .external_lex_state = 14},
  [3581] = {.lex_state = 113, .external_lex_state = 14},
  [3582] = {.lex_state = 11, .external_lex_state = 14},
  [3583] = {.lex_state = 80, .external_lex_state = 14},
  [3584] = {.lex_state = 113, .external_lex_state = 37},
  [3585] = {.lex_state = 113, .external_lex_state = 37},
  [3586] = {.lex_state = 3, .external_lex_state = 31},
  [3587] = {.lex_state = 113, .external_lex_state = 35},
  [3588] = {.lex_state = 113, .external_lex_state = 14},
  [3589] = {.lex_state = 113, .external_lex_state = 14},
  [3590] = {.lex_state = 113, .external_lex_state = 14},
  [3591] = {.lex_state = 113, .external_lex_state = 38},
  [3592] = {.lex_state = 113, .external_lex_state = 14},
  [3593] = {.lex_state = 113, .external_lex_state = 14},
  [3594] = {.lex_state = 113, .external_lex_state = 14},
  [3595] = {.lex_state = 72, .external_lex_state = 14},
  [3596] = {.lex_state = 113, .external_lex_state = 14},
  [3597] = {.lex_state = 113, .external_lex_state = 14},
  [3598] = {.lex_state = 113, .external_lex_state = 14},
  [3599] = {.lex_state = 113, .external_lex_state = 14},
  [3600] = {.lex_state = 113, .external_lex_state = 14},
  [3601] = {.lex_state = 113, .external_lex_state = 14},
  [3602] = {.lex_state = 113, .external_lex_state = 14},
  [3603] = {.lex_state = 113, .external_lex_state = 14},
  [3604] = {.lex_state = 113, .external_lex_state = 14},
  [3605] = {.lex_state = 113, .external_lex_state = 14},
  [3606] = {.lex_state = 113, .external_lex_state = 14},
  [3607] = {.lex_state = 113, .external_lex_state = 14},
  [3608] = {.lex_state = 113, .external_lex_state = 14},
  [3609] = {.lex_state = 113, .external_lex_state = 14},
  [3610] = {.lex_state = 113, .external_lex_state = 14},
  [3611] = {.lex_state = 113, .external_lex_state = 14},
  [3612] = {.lex_state = 113, .external_lex_state = 14},
  [3613] = {.lex_state = 72, .external_lex_state = 14},
  [3614] = {.lex_state = 113, .external_lex_state = 14},
  [3615] = {.lex_state = 113, .external_lex_state = 14},
  [3616] = {.lex_state = 113, .external_lex_state = 14},
  [3617] = {.lex_state = 72, .external_lex_state = 14},
  [3618] = {.lex_state = 113, .external_lex_state = 14},
  [3619] = {.lex_state = 113, .external_lex_state = 14},
  [3620] = {.lex_state = 113, .external_lex_state = 14},
  [3621] = {.lex_state = 113, .external_lex_state = 14},
  [3622] = {.lex_state = 113, .external_lex_state = 14},
  [3623] = {.lex_state = 113, .external_lex_state = 14},
  [3624] = {.lex_state = 113, .external_lex_state = 14},
  [3625] = {.lex_state = 72, .external_lex_state = 14},
  [3626] = {.lex_state = 72, .external_lex_state = 14},
  [3627] = {.lex_state = 72, .external_lex_state = 14},
  [3628] = {.lex_state = 113, .external_lex_state = 14},
  [3629] = {.lex_state = 113, .external_lex_state = 14},
  [3630] = {.lex_state = 113, .external_lex_state = 14},
  [3631] = {.lex_state = 72, .external_lex_state = 14},
  [3632] = {.lex_state = 72, .external_lex_state = 14},
  [3633] = {.lex_state = 113, .external_lex_state = 14},
  [3634] = {.lex_state = 113, .external_lex_state = 16},
  [3635] = {.lex_state = 113, .external_lex_state = 14},
  [3636] = {.lex_state = 113, .external_lex_state = 14},
  [3637] = {.lex_state = 113, .external_lex_state = 14},
  [3638] = {.lex_state = 113, .external_lex_state = 14},
  [3639] = {.lex_state = 113, .external_lex_state = 14},
  [3640] = {.lex_state = 113, .external_lex_state = 14},
  [3641] = {.lex_state = 113, .external_lex_state = 14},
  [3642] = {.lex_state = 113, .external_lex_state = 14},
  [3643] = {.lex_state = 113, .external_lex_state = 16},
  [3644] = {.lex_state = 72, .external_lex_state = 14},
  [3645] = {.lex_state = 72, .external_lex_state = 14},
  [3646] = {.lex_state = 113, .external_lex_state = 14},
  [3647] = {.lex_state = 113, .external_lex_state = 14},
  [3648] = {.lex_state = 113, .external_lex_state = 14},
  [3649] = {.lex_state = 113, .external_lex_state = 14},
  [3650] = {.lex_state = 113, .external_lex_state = 14},
  [3651] = {.lex_state = 11, .external_lex_state = 14},
  [3652] = {.lex_state = 113, .external_lex_state = 14},
  [3653] = {.lex_state = 11, .external_lex_state = 14},
  [3654] = {.lex_state = 113, .external_lex_state = 14},
  [3655] = {.lex_state = 113, .external_lex_state = 14},
  [3656] = {.lex_state = 113, .external_lex_state = 14},
  [3657] = {.lex_state = 113, .external_lex_state = 14},
  [3658] = {.lex_state = 113, .external_lex_state = 14},
  [3659] = {.lex_state = 113, .external_lex_state = 14},
  [3660] = {.lex_state = 113, .external_lex_state = 14},
  [3661] = {.lex_state = 113, .external_lex_state = 14},
  [3662] = {.lex_state = 113, .external_lex_state = 14},
  [3663] = {.lex_state = 113, .external_lex_state = 14},
  [3664] = {.lex_state = 113, .external_lex_state = 14},
  [3665] = {.lex_state = 72, .external_lex_state = 14},
  [3666] = {.lex_state = 113, .external_lex_state = 14},
  [3667] = {.lex_state = 113, .external_lex_state = 14},
  [3668] = {.lex_state = 72, .external_lex_state = 14},
  [3669] = {.lex_state = 113, .external_lex_state = 14},
  [3670] = {.lex_state = 72, .external_lex_state = 14},
  [3671] = {.lex_state = 113, .external_lex_state = 14},
  [3672] = {.lex_state = 113, .external_lex_state = 14},
  [3673] = {.lex_state = 72, .external_lex_state = 14},
  [3674] = {.lex_state = 113, .external_lex_state = 14},
  [3675] = {.lex_state = 113, .external_lex_state = 16},
  [3676] = {.lex_state = 113, .external_lex_state = 14},
  [3677] = {.lex_state = 113, .external_lex_state = 14},
  [3678] = {.lex_state = 113, .external_lex_state = 14},
  [3679] = {.lex_state = 113, .external_lex_state = 14},
  [3680] = {.lex_state = 113, .external_lex_state = 14},
  [3681] = {.lex_state = 113, .external_lex_state = 14},
  [3682] = {.lex_state = 113, .external_lex_state = 14},
  [3683] = {.lex_state = 113, .external_lex_state = 14},
  [3684] = {.lex_state = 11, .external_lex_state = 14},
  [3685] = {.lex_state = 113, .external_lex_state = 16},
  [3686] = {.lex_state = 113, .external_lex_state = 14},
  [3687] = {.lex_state = 113, .external_lex_state = 14},
  [3688] = {.lex_state = 113, .external_lex_state = 14},
  [3689] = {.lex_state = 113, .external_lex_state = 14},
  [3690] = {.lex_state = 113, .external_lex_state = 14},
  [3691] = {.lex_state = 113, .external_lex_state = 14},
  [3692] = {.lex_state = 113, .external_lex_state = 14},
  [3693] = {.lex_state = 72, .external_lex_state = 14},
  [3694] = {.lex_state = 72, .external_lex_state = 14},
  [3695] = {.lex_state = 72, .external_lex_state = 14},
  [3696] = {.lex_state = 11, .external_lex_state = 14},
  [3697] = {.lex_state = 113, .external_lex_state = 14},
  [3698] = {.lex_state = 113, .external_lex_state = 14},
  [3699] = {.lex_state = 72, .external_lex_state = 14},
  [3700] = {.lex_state = 72, .external_lex_state = 14},
  [3701] = {.lex_state = 113, .external_lex_state = 14},
  [3702] = {.lex_state = 113, .external_lex_state = 14},
  [3703] = {.lex_state = 113, .external_lex_state = 14},
  [3704] = {.lex_state = 113, .external_lex_state = 14},
  [3705] = {.lex_state = 113, .external_lex_state = 14},
  [3706] = {.lex_state = 113, .external_lex_state = 14},
  [3707] = {.lex_state = 113, .external_lex_state = 14},
  [3708] = {.lex_state = 113, .external_lex_state = 14},
  [3709] = {.lex_state = 113, .external_lex_state = 14},
  [3710] = {.lex_state = 113, .external_lex_state = 14},
  [3711] = {.lex_state = 113, .external_lex_state = 16},
  [3712] = {.lex_state = 113, .external_lex_state = 14},
  [3713] = {.lex_state = 113, .external_lex_state = 14},
  [3714] = {.lex_state = 113, .external_lex_state = 14},
  [3715] = {.lex_state = 113, .external_lex_state = 14},
  [3716] = {.lex_state = 72, .external_lex_state = 14},
  [3717] = {.lex_state = 72, .external_lex_state = 14},
  [3718] = {.lex_state = 113, .external_lex_state = 14},
  [3719] = {.lex_state = 113, .external_lex_state = 14},
  [3720] = {.lex_state = 113, .external_lex_state = 14},
  [3721] = {.lex_state = 113, .external_lex_state = 14},
  [3722] = {.lex_state = 113, .external_lex_state = 14},
  [3723] = {.lex_state = 113, .external_lex_state = 14},
  [3724] = {.lex_state = 113, .external_lex_state = 14},
  [3725] = {.lex_state = 113, .external_lex_state = 14},
  [3726] = {.lex_state = 113, .external_lex_state = 14},
  [3727] = {.lex_state = 113, .external_lex_state = 14},
  [3728] = {.lex_state = 113, .external_lex_state = 16},
  [3729] = {.lex_state = 113, .external_lex_state = 16},
  [3730] = {.lex_state = 113, .external_lex_state = 14},
  [3731] = {.lex_state = 113, .external_lex_state = 14},
  [3732] = {.lex_state = 113, .external_lex_state = 14},
  [3733] = {.lex_state = 113, .external_lex_state = 14},
  [3734] = {.lex_state = 113, .external_lex_state = 14},
  [3735] = {.lex_state = 113, .external_lex_state = 14},
  [3736] = {.lex_state = 113, .external_lex_state = 14},
  [3737] = {.lex_state = 113, .external_lex_state = 14},
  [3738] = {.lex_state = 113, .external_lex_state = 14},
  [3739] = {.lex_state = 113, .external_lex_state = 14},
  [3740] = {.lex_state = 113, .external_lex_state = 16},
  [3741] = {.lex_state = 113, .external_lex_state = 14},
  [3742] = {.lex_state = 113, .external_lex_state = 14},
  [3743] = {.lex_state = 113, .external_lex_state = 14},
  [3744] = {.lex_state = 113, .external_lex_state = 14},
  [3745] = {.lex_state = 113, .external_lex_state = 14},
  [3746] = {.lex_state = 113, .external_lex_state = 14},
  [3747] = {.lex_state = 113, .external_lex_state = 16},
  [3748] = {.lex_state = 113, .external_lex_state = 14},
  [3749] = {.lex_state = 113, .external_lex_state = 14},
  [3750] = {.lex_state = 11, .external_lex_state = 14},
  [3751] = {.lex_state = 113, .external_lex_state = 14},
  [3752] = {.lex_state = 113, .external_lex_state = 14},
  [3753] = {.lex_state = 11, .external_lex_state = 14},
  [3754] = {.lex_state = 113, .external_lex_state = 14},
  [3755] = {.lex_state = 11, .external_lex_state = 14},
  [3756] = {.lex_state = 113, .external_lex_state = 14},
  [3757] = {.lex_state = 11, .external_lex_state = 14},
  [3758] = {.lex_state = 113, .external_lex_state = 14},
  [3759] = {.lex_state = 113, .external_lex_state = 14},
  [3760] = {.lex_state = 113, .external_lex_state = 14},
  [3761] = {.lex_state = 11, .external_lex_state = 14},
  [3762] = {.lex_state = 113, .external_lex_state = 14},
  [3763] = {.lex_state = 113, .external_lex_state = 14},
  [3764] = {.lex_state = 113, .external_lex_state = 14},
  [3765] = {.lex_state = 113, .external_lex_state = 14},
  [3766] = {.lex_state = 113, .external_lex_state = 14},
  [3767] = {.lex_state = 113, .external_lex_state = 14},
  [3768] = {.lex_state = 113, .external_lex_state = 14},
  [3769] = {.lex_state = 113, .external_lex_state = 14},
  [3770] = {.lex_state = 113, .external_lex_state = 14},
  [3771] = {.lex_state = 113, .external_lex_state = 14},
  [3772] = {.lex_state = 11, .external_lex_state = 14},
  [3773] = {.lex_state = 113, .external_lex_state = 14},
  [3774] = {.lex_state = 113, .external_lex_state = 14},
  [3775] = {.lex_state = 113, .external_lex_state = 14},
  [3776] = {.lex_state = 113, .external_lex_state = 14},
  [3777] = {.lex_state = 113, .external_lex_state = 14},
  [3778] = {.lex_state = 113, .external_lex_state = 14},
  [3779] = {.lex_state = 113, .external_lex_state = 14},
  [3780] = {.lex_state = 113, .external_lex_state = 14},
  [3781] = {.lex_state = 113, .external_lex_state = 14},
  [3782] = {.lex_state = 113, .external_lex_state = 14},
  [3783] = {.lex_state = 113, .external_lex_state = 14},
  [3784] = {.lex_state = 113, .external_lex_state = 14},
  [3785] = {.lex_state = 113, .external_lex_state = 14},
  [3786] = {.lex_state = 113, .external_lex_state = 14},
  [3787] = {.lex_state = 113, .external_lex_state = 14},
  [3788] = {.lex_state = 113, .external_lex_state = 14},
  [3789] = {.lex_state = 113, .external_lex_state = 38},
  [3790] = {.lex_state = 113, .external_lex_state = 14},
  [3791] = {.lex_state = 113, .external_lex_state = 14},
  [3792] = {.lex_state = 113, .external_lex_state = 14},
  [3793] = {.lex_state = 113, .external_lex_state = 14},
  [3794] = {.lex_state = 113, .external_lex_state = 14},
  [3795] = {.lex_state = 113, .external_lex_state = 14},
  [3796] = {.lex_state = 113, .external_lex_state = 14},
  [3797] = {.lex_state = 113, .external_lex_state = 14},
  [3798] = {.lex_state = 113, .external_lex_state = 39},
  [3799] = {.lex_state = 113, .external_lex_state = 39},
  [3800] = {.lex_state = 113, .external_lex_state = 39},
  [3801] = {.lex_state = 113, .external_lex_state = 39},
  [3802] = {.lex_state = 11, .external_lex_state = 14},
  [3803] = {.lex_state = 113, .external_lex_state = 14},
  [3804] = {.lex_state = 113, .external_lex_state = 39},
  [3805] = {.lex_state = 113, .external_lex_state = 14},
  [3806] = {.lex_state = 13, .external_lex_state = 14},
  [3807] = {.lex_state = 113, .external_lex_state = 39},
  [3808] = {.lex_state = 113, .external_lex_state = 39},
  [3809] = {.lex_state = 113, .external_lex_state = 39},
  [3810] = {.lex_state = 113, .external_lex_state = 38},
  [3811] = {.lex_state = 113, .external_lex_state = 40},
  [3812] = {.lex_state = 113, .external_lex_state = 14},
  [3813] = {.lex_state = 11, .external_lex_state = 14},
  [3814] = {.lex_state = 113, .external_lex_state = 39},
  [3815] = {.lex_state = 113, .external_lex_state = 14},
  [3816] = {.lex_state = 113, .external_lex_state = 14},
  [3817] = {.lex_state = 113, .external_lex_state = 14},
  [3818] = {.lex_state = 113, .external_lex_state = 14},
  [3819] = {.lex_state = 113, .external_lex_state = 14},
  [3820] = {.lex_state = 113, .external_lex_state = 40},
  [3821] = {.lex_state = 113, .external_lex_state = 39},
  [3822] = {.lex_state = 113, .external_lex_state = 39},
  [3823] = {.lex_state = 113, .external_lex_state = 39},
  [3824] = {.lex_state = 113, .external_lex_state = 14},
  [3825] = {.lex_state = 11, .external_lex_state = 14},
  [3826] = {.lex_state = 113, .external_lex_state = 16},
  [3827] = {.lex_state = 113, .external_lex_state = 14},
  [3828] = {.lex_state = 11, .external_lex_state = 14},
  [3829] = {.lex_state = 113, .external_lex_state = 14},
  [3830] = {.lex_state = 113, .external_lex_state = 40},
  [3831] = {.lex_state = 113, .external_lex_state = 40},
  [3832] = {.lex_state = 113, .external_lex_state = 14},
  [3833] = {.lex_state = 113, .external_lex_state = 14},
  [3834] = {.lex_state = 113, .external_lex_state = 14},
  [3835] = {.lex_state = 113, .external_lex_state = 14},
  [3836] = {.lex_state = 113, .external_lex_state = 39},
  [3837] = {.lex_state = 113, .external_lex_state = 40},
  [3838] = {.lex_state = 113, .external_lex_state = 14},
  [3839] = {.lex_state = 113, .external_lex_state = 14},
  [3840] = {.lex_state = 113, .external_lex_state = 14},
  [3841] = {.lex_state = 113, .external_lex_state = 39},
  [3842] = {.lex_state = 113, .external_lex_state = 14},
  [3843] = {.lex_state = 113, .external_lex_state = 16},
  [3844] = {.lex_state = 113, .external_lex_state = 39},
  [3845] = {.lex_state = 113, .external_lex_state = 14},
  [3846] = {.lex_state = 113, .external_lex_state = 14},
  [3847] = {.lex_state = 113, .external_lex_state = 14},
  [3848] = {.lex_state = 113, .external_lex_state = 14},
  [3849] = {.lex_state = 113, .external_lex_state = 14},
  [3850] = {.lex_state = 113, .external_lex_state = 14},
  [3851] = {.lex_state = 113, .external_lex_state = 14},
  [3852] = {.lex_state = 113, .external_lex_state = 14},
  [3853] = {.lex_state = 113, .external_lex_state = 14},
  [3854] = {.lex_state = 113, .external_lex_state = 14},
  [3855] = {.lex_state = 113, .external_lex_state = 14},
  [3856] = {.lex_state = 113, .external_lex_state = 14},
  [3857] = {.lex_state = 113, .external_lex_state = 14},
  [3858] = {.lex_state = 11, .external_lex_state = 14},
  [3859] = {.lex_state = 113, .external_lex_state = 14},
  [3860] = {.lex_state = 113, .external_lex_state = 14},
  [3861] = {.lex_state = 113, .external_lex_state = 14},
  [3862] = {.lex_state = 113, .external_lex_state = 14},
  [3863] = {.lex_state = 113, .external_lex_state = 14},
  [3864] = {.lex_state = 113, .external_lex_state = 14},
  [3865] = {.lex_state = 113, .external_lex_state = 14},
  [3866] = {.lex_state = 113, .external_lex_state = 14},
  [3867] = {.lex_state = 113, .external_lex_state = 14},
  [3868] = {.lex_state = 11, .external_lex_state = 14},
  [3869] = {.lex_state = 113, .external_lex_state = 14},
  [3870] = {.lex_state = 113, .external_lex_state = 14},
  [3871] = {.lex_state = 113, .external_lex_state = 14},
  [3872] = {.lex_state = 113, .external_lex_state = 41},
  [3873] = {.lex_state = 113, .external_lex_state = 27},
  [3874] = {.lex_state = 11, .external_lex_state = 14},
  [3875] = {.lex_state = 113, .external_lex_state = 14},
  [3876] = {.lex_state = 113, .external_lex_state = 14},
  [3877] = {.lex_state = 113, .external_lex_state = 42},
  [3878] = {.lex_state = 113, .external_lex_state = 42},
  [3879] = {.lex_state = 113, .external_lex_state = 41},
  [3880] = {.lex_state = 113, .external_lex_state = 43},
  [3881] = {.lex_state = 113, .external_lex_state = 14},
  [3882] = {.lex_state = 113, .external_lex_state = 14},
  [3883] = {.lex_state = 113, .external_lex_state = 14},
  [3884] = {.lex_state = 113, .external_lex_state = 14},
  [3885] = {.lex_state = 113, .external_lex_state = 14},
  [3886] = {.lex_state = 262, .external_lex_state = 14},
  [3887] = {.lex_state = 11, .external_lex_state = 14},
  [3888] = {.lex_state = 113, .external_lex_state = 14},
  [3889] = {.lex_state = 113, .external_lex_state = 14},
  [3890] = {.lex_state = 113, .external_lex_state = 14},
  [3891] = {.lex_state = 113, .external_lex_state = 44},
  [3892] = {.lex_state = 113, .external_lex_state = 14},
  [3893] = {.lex_state = 113, .external_lex_state = 14},
  [3894] = {.lex_state = 113, .external_lex_state = 14},
  [3895] = {.lex_state = 113, .external_lex_state = 45},
  [3896] = {.lex_state = 113, .external_lex_state = 27},
  [3897] = {.lex_state = 113, .external_lex_state = 45},
  [3898] = {.lex_state = 113, .external_lex_state = 14},
  [3899] = {.lex_state = 113, .external_lex_state = 41},
  [3900] = {.lex_state = 113, .external_lex_state = 14},
  [3901] = {.lex_state = 113, .external_lex_state = 14},
  [3902] = {.lex_state = 113, .external_lex_state = 43},
  [3903] = {.lex_state = 113, .external_lex_state = 14},
  [3904] = {.lex_state = 113, .external_lex_state = 14},
  [3905] = {.lex_state = 11, .external_lex_state = 14},
  [3906] = {.lex_state = 113, .external_lex_state = 27},
  [3907] = {.lex_state = 113, .external_lex_state = 14},
  [3908] = {.lex_state = 113, .external_lex_state = 14},
  [3909] = {.lex_state = 113, .external_lex_state = 14},
  [3910] = {.lex_state = 113, .external_lex_state = 14},
  [3911] = {.lex_state = 113, .external_lex_state = 14},
  [3912] = {.lex_state = 113, .external_lex_state = 14},
  [3913] = {.lex_state = 50, .external_lex_state = 14},
  [3914] = {.lex_state = 113, .external_lex_state = 14},
  [3915] = {.lex_state = 113, .external_lex_state = 44},
  [3916] = {.lex_state = 113, .external_lex_state = 14},
  [3917] = {.lex_state = 262, .external_lex_state = 14},
  [3918] = {.lex_state = 113, .external_lex_state = 43},
  [3919] = {.lex_state = 113, .external_lex_state = 14},
  [3920] = {.lex_state = 113, .external_lex_state = 14},
  [3921] = {.lex_state = 113, .external_lex_state = 14},
  [3922] = {.lex_state = 11, .external_lex_state = 14},
  [3923] = {.lex_state = 11, .external_lex_state = 14},
  [3924] = {.lex_state = 113, .external_lex_state = 14},
  [3925] = {.lex_state = 113, .external_lex_state = 14},
  [3926] = {.lex_state = 113, .external_lex_state = 44},
  [3927] = {.lex_state = 113, .external_lex_state = 14},
  [3928] = {.lex_state = 13, .external_lex_state = 14},
  [3929] = {.lex_state = 113, .external_lex_state = 14},
  [3930] = {.lex_state = 113, .external_lex_state = 41},
  [3931] = {.lex_state = 113, .external_lex_state = 14},
  [3932] = {.lex_state = 113, .external_lex_state = 14},
  [3933] = {.lex_state = 11, .external_lex_state = 14},
  [3934] = {.lex_state = 113, .external_lex_state = 14},
  [3935] = {.lex_state = 113, .external_lex_state = 14},
  [3936] = {.lex_state = 113, .external_lex_state = 43},
  [3937] = {.lex_state = 113, .external_lex_state = 14},
  [3938] = {.lex_state = 113, .external_lex_state = 14},
  [3939] = {.lex_state = 113, .external_lex_state = 42},
  [3940] = {.lex_state = 113, .external_lex_state = 14},
  [3941] = {.lex_state = 113, .external_lex_state = 14},
  [3942] = {.lex_state = 113, .external_lex_state = 14},
  [3943] = {.lex_state = 113, .external_lex_state = 14},
  [3944] = {.lex_state = 113, .external_lex_state = 14},
  [3945] = {.lex_state = 113, .external_lex_state = 14},
  [3946] = {.lex_state = 113, .external_lex_state = 14},
  [3947] = {.lex_state = 113, .external_lex_state = 14},
  [3948] = {.lex_state = 113, .external_lex_state = 14},
  [3949] = {.lex_state = 113, .external_lex_state = 45},
  [3950] = {.lex_state = 113, .external_lex_state = 14},
  [3951] = {.lex_state = 113, .external_lex_state = 14},
  [3952] = {.lex_state = 113, .external_lex_state = 14},
  [3953] = {.lex_state = 113, .external_lex_state = 14},
  [3954] = {.lex_state = 113, .external_lex_state = 14},
  [3955] = {.lex_state = 113, .external_lex_state = 14},
  [3956] = {.lex_state = 11, .external_lex_state = 14},
  [3957] = {.lex_state = 113, .external_lex_state = 14},
  [3958] = {.lex_state = 113, .external_lex_state = 27},
  [3959] = {.lex_state = 113, .external_lex_state = 14},
  [3960] = {.lex_state = 262, .external_lex_state = 14},
  [3961] = {.lex_state = 113, .external_lex_state = 44},
  [3962] = {.lex_state = 113, .external_lex_state = 42},
  [3963] = {.lex_state = 113, .external_lex_state = 14},
  [3964] = {.lex_state = 113, .external_lex_state = 14},
  [3965] = {.lex_state = 113, .external_lex_state = 42},
  [3966] = {.lex_state = 11, .external_lex_state = 14},
  [3967] = {.lex_state = 113, .external_lex_state = 14},
  [3968] = {.lex_state = 113, .external_lex_state = 14},
  [3969] = {.lex_state = 113, .external_lex_state = 14},
  [3970] = {.lex_state = 113, .external_lex_state = 14},
  [3971] = {.lex_state = 113, .external_lex_state = 14},
  [3972] = {.lex_state = 113, .external_lex_state = 14},
  [3973] = {.lex_state = 113, .external_lex_state = 45},
  [3974] = {.lex_state = 113, .external_lex_state = 28},
  [3975] = {.lex_state = 113, .external_lex_state = 14},
  [3976] = {.lex_state = 113, .external_lex_state = 42},
  [3977] = {.lex_state = 113, .external_lex_state = 14},
  [3978] = {.lex_state = 113, .external_lex_state = 14},
  [3979] = {.lex_state = 113, .external_lex_state = 43},
  [3980] = {.lex_state = 113, .external_lex_state = 14},
  [3981] = {.lex_state = 113, .external_lex_state = 14},
  [3982] = {.lex_state = 113, .external_lex_state = 44},
  [3983] = {.lex_state = 113, .external_lex_state = 14},
  [3984] = {.lex_state = 113, .external_lex_state = 14},
  [3985] = {.lex_state = 113, .external_lex_state = 43},
  [3986] = {.lex_state = 113, .external_lex_state = 14},
  [3987] = {.lex_state = 113, .external_lex_state = 44},
  [3988] = {.lex_state = 11, .external_lex_state = 14},
  [3989] = {.lex_state = 113, .external_lex_state = 14},
  [3990] = {.lex_state = 113, .external_lex_state = 43},
  [3991] = {.lex_state = 113, .external_lex_state = 44},
  [3992] = {.lex_state = 113, .external_lex_state = 14},
  [3993] = {.lex_state = 113, .external_lex_state = 14},
  [3994] = {.lex_state = 113, .external_lex_state = 43},
  [3995] = {.lex_state = 113, .external_lex_state = 44},
  [3996] = {.lex_state = 113, .external_lex_state = 42},
  [3997] = {.lex_state = 113, .external_lex_state = 42},
  [3998] = {.lex_state = 113, .external_lex_state = 43},
  [3999] = {.lex_state = 113, .external_lex_state = 44},
  [4000] = {.lex_state = 113, .external_lex_state = 14},
  [4001] = {.lex_state = 113, .external_lex_state = 14},
  [4002] = {.lex_state = 113, .external_lex_state = 44},
  [4003] = {.lex_state = 113, .external_lex_state = 14},
  [4004] = {.lex_state = 113, .external_lex_state = 14},
  [4005] = {.lex_state = 113, .external_lex_state = 44},
  [4006] = {.lex_state = 113, .external_lex_state = 14},
  [4007] = {.lex_state = 113, .external_lex_state = 14},
  [4008] = {.lex_state = 113, .external_lex_state = 44},
  [4009] = {.lex_state = 113, .external_lex_state = 14},
  [4010] = {.lex_state = 113, .external_lex_state = 14},
  [4011] = {.lex_state = 113, .external_lex_state = 44},
  [4012] = {.lex_state = 13, .external_lex_state = 14},
  [4013] = {.lex_state = 113, .external_lex_state = 14},
  [4014] = {.lex_state = 113, .external_lex_state = 44},
  [4015] = {.lex_state = 113, .external_lex_state = 28},
  [4016] = {.lex_state = 113, .external_lex_state = 42},
  [4017] = {.lex_state = 113, .external_lex_state = 44},
  [4018] = {.lex_state = 113, .external_lex_state = 14},
  [4019] = {.lex_state = 113, .external_lex_state = 14},
  [4020] = {.lex_state = 113, .external_lex_state = 44},
  [4021] = {.lex_state = 113, .external_lex_state = 14},
  [4022] = {.lex_state = 113, .external_lex_state = 41},
  [4023] = {.lex_state = 113, .external_lex_state = 44},
  [4024] = {.lex_state = 113, .external_lex_state = 14},
  [4025] = {.lex_state = 113, .external_lex_state = 14},
  [4026] = {.lex_state = 113, .external_lex_state = 44},
  [4027] = {.lex_state = 113, .external_lex_state = 14},
  [4028] = {.lex_state = 113, .external_lex_state = 14},
  [4029] = {.lex_state = 113, .external_lex_state = 44},
  [4030] = {.lex_state = 113, .external_lex_state = 14},
  [4031] = {.lex_state = 113, .external_lex_state = 14},
  [4032] = {.lex_state = 113, .external_lex_state = 44},
  [4033] = {.lex_state = 113, .external_lex_state = 14},
  [4034] = {.lex_state = 113, .external_lex_state = 14},
  [4035] = {.lex_state = 113, .external_lex_state = 44},
  [4036] = {.lex_state = 113, .external_lex_state = 14},
  [4037] = {.lex_state = 262, .external_lex_state = 14},
  [4038] = {.lex_state = 113, .external_lex_state = 44},
  [4039] = {.lex_state = 113, .external_lex_state = 14},
  [4040] = {.lex_state = 113, .external_lex_state = 14},
  [4041] = {.lex_state = 113, .external_lex_state = 44},
  [4042] = {.lex_state = 113, .external_lex_state = 14},
  [4043] = {.lex_state = 113, .external_lex_state = 14},
  [4044] = {.lex_state = 113, .external_lex_state = 44},
  [4045] = {.lex_state = 113, .external_lex_state = 14},
  [4046] = {.lex_state = 11, .external_lex_state = 14},
  [4047] = {.lex_state = 113, .external_lex_state = 44},
  [4048] = {.lex_state = 113, .external_lex_state = 14},
  [4049] = {.lex_state = 113, .external_lex_state = 14},
  [4050] = {.lex_state = 113, .external_lex_state = 44},
  [4051] = {.lex_state = 113, .external_lex_state = 14},
  [4052] = {.lex_state = 113, .external_lex_state = 14},
  [4053] = {.lex_state = 113, .external_lex_state = 44},
  [4054] = {.lex_state = 113, .external_lex_state = 14},
  [4055] = {.lex_state = 113, .external_lex_state = 14},
  [4056] = {.lex_state = 113, .external_lex_state = 41},
  [4057] = {.lex_state = 113, .external_lex_state = 14},
  [4058] = {.lex_state = 113, .external_lex_state = 14},
  [4059] = {.lex_state = 113, .external_lex_state = 14},
  [4060] = {.lex_state = 113, .external_lex_state = 42},
  [4061] = {.lex_state = 13, .external_lex_state = 14},
  [4062] = {.lex_state = 113, .external_lex_state = 14},
  [4063] = {.lex_state = 113, .external_lex_state = 14},
  [4064] = {.lex_state = 113, .external_lex_state = 42},
  [4065] = {.lex_state = 113, .external_lex_state = 14},
  [4066] = {.lex_state = 113, .external_lex_state = 14},
  [4067] = {.lex_state = 113, .external_lex_state = 14},
  [4068] = {.lex_state = 113, .external_lex_state = 28},
  [4069] = {.lex_state = 113, .external_lex_state = 14},
  [4070] = {.lex_state = 113, .external_lex_state = 14},
  [4071] = {.lex_state = 113, .external_lex_state = 14},
  [4072] = {.lex_state = 113, .external_lex_state = 14},
  [4073] = {.lex_state = 113, .external_lex_state = 14},
  [4074] = {.lex_state = 113, .external_lex_state = 14},
  [4075] = {.lex_state = 113, .external_lex_state = 14},
  [4076] = {.lex_state = 113, .external_lex_state = 42},
  [4077] = {.lex_state = 113, .external_lex_state = 14},
  [4078] = {.lex_state = 113, .external_lex_state = 41},
  [4079] = {.lex_state = 113, .external_lex_state = 14},
  [4080] = {.lex_state = 113, .external_lex_state = 14},
  [4081] = {.lex_state = 13, .external_lex_state = 14},
  [4082] = {.lex_state = 113, .external_lex_state = 14},
  [4083] = {.lex_state = 113, .external_lex_state = 14},
  [4084] = {.lex_state = 113, .external_lex_state = 42},
  [4085] = {.lex_state = 113, .external_lex_state = 42},
  [4086] = {.lex_state = 113, .external_lex_state = 42},
  [4087] = {.lex_state = 113, .external_lex_state = 14},
  [4088] = {.lex_state = 113, .external_lex_state = 45},
  [4089] = {.lex_state = 113, .external_lex_state = 14},
  [4090] = {.lex_state = 13, .external_lex_state = 14},
  [4091] = {.lex_state = 113, .external_lex_state = 14},
  [4092] = {.lex_state = 113, .external_lex_state = 41},
  [4093] = {.lex_state = 113, .external_lex_state = 14},
  [4094] = {.lex_state = 50, .external_lex_state = 14},
  [4095] = {.lex_state = 113, .external_lex_state = 14},
  [4096] = {.lex_state = 113, .external_lex_state = 14},
  [4097] = {.lex_state = 113, .external_lex_state = 44},
  [4098] = {.lex_state = 113, .external_lex_state = 44},
  [4099] = {.lex_state = 113, .external_lex_state = 14},
  [4100] = {.lex_state = 113, .external_lex_state = 14},
  [4101] = {.lex_state = 113, .external_lex_state = 14},
  [4102] = {.lex_state = 113, .external_lex_state = 14},
  [4103] = {.lex_state = 113, .external_lex_state = 14},
  [4104] = {.lex_state = 113, .external_lex_state = 14},
  [4105] = {.lex_state = 113, .external_lex_state = 14},
  [4106] = {.lex_state = 113, .external_lex_state = 14},
  [4107] = {.lex_state = 3, .external_lex_state = 14},
  [4108] = {.lex_state = 113, .external_lex_state = 14},
  [4109] = {.lex_state = 113, .external_lex_state = 14},
  [4110] = {.lex_state = 3, .external_lex_state = 14},
  [4111] = {.lex_state = 113, .external_lex_state = 28},
  [4112] = {.lex_state = 113, .external_lex_state = 14},
  [4113] = {.lex_state = 113, .external_lex_state = 14},
  [4114] = {.lex_state = 113, .external_lex_state = 14},
  [4115] = {.lex_state = 113, .external_lex_state = 14},
  [4116] = {.lex_state = 113, .external_lex_state = 14},
  [4117] = {.lex_state = 113, .external_lex_state = 14},
  [4118] = {.lex_state = 113, .external_lex_state = 14},
  [4119] = {.lex_state = 113, .external_lex_state = 14},
  [4120] = {.lex_state = 113, .external_lex_state = 14},
  [4121] = {.lex_state = 113, .external_lex_state = 14},
  [4122] = {.lex_state = 113, .external_lex_state = 27},
  [4123] = {.lex_state = 113, .external_lex_state = 14},
  [4124] = {.lex_state = 113, .external_lex_state = 14},
  [4125] = {.lex_state = 113, .external_lex_state = 27},
  [4126] = {.lex_state = 113, .external_lex_state = 14},
  [4127] = {.lex_state = 113, .external_lex_state = 14},
  [4128] = {.lex_state = 113, .external_lex_state = 14},
  [4129] = {.lex_state = 113, .external_lex_state = 14},
  [4130] = {.lex_state = 113, .external_lex_state = 14},
  [4131] = {.lex_state = 113, .external_lex_state = 14},
  [4132] = {.lex_state = 113, .external_lex_state = 14},
  [4133] = {.lex_state = 113, .external_lex_state = 14},
  [4134] = {.lex_state = 113, .external_lex_state = 14},
  [4135] = {.lex_state = 113, .external_lex_state = 44},
  [4136] = {.lex_state = 113, .external_lex_state = 14},
  [4137] = {(TSStateId)(-1)},
  [4138] = {(TSStateId)(-1)},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [sym_heredoc_content] = STATE(0),
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym__identifier] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_package] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_role] = ACTIONS(1),
    [anon_sym_BUILD] = ACTIONS(1),
    [anon_sym_ADJUST] = ACTIONS(1),
    [anon_sym_DOLLAR] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_my] = ACTIONS(1),
    [anon_sym_extended] = ACTIONS(1),
    [anon_sym_async] = ACTIONS(1),
    [anon_sym_sub] = ACTIONS(1),
    [anon_sym_method] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_state] = ACTIONS(1),
    [anon_sym_our] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_catch] = ACTIONS(1),
    [anon_sym_finally] = ACTIONS(1),
    [anon_sym_defer] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_elsif] = ACTIONS(1),
    [anon_sym_and] = ACTIONS(1),
    [anon_sym_or] = ACTIONS(1),
    [anon_sym_xor] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_DOT_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_x_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1),
    [anon_sym_DOT_DOT] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_SLASH_SLASH] = ACTIONS(1),
    [anon_sym_CARET_CARET] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_GT_GT2] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_x] = ACTIONS(1),
    [anon_sym_EQ_TILDE] = ACTIONS(1),
    [anon_sym_BANG_TILDE] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_eq] = ACTIONS(1),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1),
    [anon_sym_equ] = ACTIONS(1),
    [anon_sym_eqr] = ACTIONS(1),
    [anon_sym_ne] = ACTIONS(1),
    [anon_sym_LT_EQ_GT] = ACTIONS(1),
    [anon_sym_cmp] = ACTIONS(1),
    [anon_sym_TILDE_TILDE] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_lt] = ACTIONS(1),
    [anon_sym_le] = ACTIONS(1),
    [anon_sym_ge] = ACTIONS(1),
    [anon_sym_gt] = ACTIONS(1),
    [anon_sym_isa] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_BSLASH] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_eval] = ACTIONS(1),
    [anon_sym_await] = ACTIONS(1),
    [anon_sym_field] = ACTIONS(1),
    [anon_sym_local] = ACTIONS(1),
    [anon_sym_dynamically] = ACTIONS(1),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1),
    [anon_sym_require] = ACTIONS(1),
    [anon_sym_map] = ACTIONS(1),
    [anon_sym_grep] = ACTIONS(1),
    [anon_sym_sort] = ACTIONS(1),
    [anon_sym_goto] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_undef] = ACTIONS(1),
    [anon_sym_PERCENT2] = ACTIONS(1),
    [anon_sym_AMP2] = ACTIONS(1),
    [anon_sym_STAR2] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [anon_sym_use] = ACTIONS(1),
    [anon_sym_no] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_foreach] = ACTIONS(1),
    [anon_sym_last] = ACTIONS(1),
    [anon_sym_next] = ACTIONS(1),
    [anon_sym_redo] = ACTIONS(1),
    [anon_sym_BEGIN] = ACTIONS(1),
    [anon_sym_INIT] = ACTIONS(1),
    [anon_sym_CHECK] = ACTIONS(1),
    [anon_sym_UNITCHECK] = ACTIONS(1),
    [anon_sym_END] = ACTIONS(1),
    [anon_sym___FILE__] = ACTIONS(1),
    [anon_sym___LINE__] = ACTIONS(1),
    [anon_sym___PACKAGE__] = ACTIONS(1),
    [anon_sym___SUB__] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_fork] = ACTIONS(1),
    [anon_sym_getppid] = ACTIONS(1),
    [anon_sym_time] = ACTIONS(1),
    [anon_sym_times] = ACTIONS(1),
    [anon_sym_wait] = ACTIONS(1),
    [anon_sym_wantarray] = ACTIONS(1),
    [anon_sym_abs] = ACTIONS(1),
    [anon_sym_alarm] = ACTIONS(1),
    [anon_sym_chop] = ACTIONS(1),
    [anon_sym_chdir] = ACTIONS(1),
    [anon_sym_close] = ACTIONS(1),
    [anon_sym_closedir] = ACTIONS(1),
    [anon_sym_caller] = ACTIONS(1),
    [anon_sym_chomp] = ACTIONS(1),
    [anon_sym_chr] = ACTIONS(1),
    [anon_sym_cos] = ACTIONS(1),
    [anon_sym_chroot] = ACTIONS(1),
    [anon_sym_defined] = ACTIONS(1),
    [anon_sym_delete] = ACTIONS(1),
    [anon_sym_dbmclose] = ACTIONS(1),
    [anon_sym_exists] = ACTIONS(1),
    [anon_sym_exit] = ACTIONS(1),
    [anon_sym_eof] = ACTIONS(1),
    [anon_sym_exp] = ACTIONS(1),
    [anon_sym_each] = ACTIONS(1),
    [anon_sym_fc] = ACTIONS(1),
    [anon_sym_fileno] = ACTIONS(1),
    [anon_sym_gmtime] = ACTIONS(1),
    [anon_sym_getc] = ACTIONS(1),
    [anon_sym_getpgrp] = ACTIONS(1),
    [anon_sym_getprotobyname] = ACTIONS(1),
    [anon_sym_getpwname] = ACTIONS(1),
    [anon_sym_getpwuid] = ACTIONS(1),
    [anon_sym_getpeername] = ACTIONS(1),
    [anon_sym_getnetbyname] = ACTIONS(1),
    [anon_sym_getsockname] = ACTIONS(1),
    [anon_sym_getgrnam] = ACTIONS(1),
    [anon_sym_getgrgid] = ACTIONS(1),
    [anon_sym_hex] = ACTIONS(1),
    [anon_sym_int] = ACTIONS(1),
    [anon_sym_keys] = ACTIONS(1),
    [anon_sym_lc] = ACTIONS(1),
    [anon_sym_lcfirst] = ACTIONS(1),
    [anon_sym_length] = ACTIONS(1),
    [anon_sym_localtime] = ACTIONS(1),
    [anon_sym_log] = ACTIONS(1),
    [anon_sym_lock] = ACTIONS(1),
    [anon_sym_lstat] = ACTIONS(1),
    [anon_sym_oct] = ACTIONS(1),
    [anon_sym_ord] = ACTIONS(1),
    [anon_sym_prototype] = ACTIONS(1),
    [anon_sym_pop] = ACTIONS(1),
    [anon_sym_pos] = ACTIONS(1),
    [anon_sym_quotemeta] = ACTIONS(1),
    [anon_sym_reset] = ACTIONS(1),
    [anon_sym_rand] = ACTIONS(1),
    [anon_sym_rmdir] = ACTIONS(1),
    [anon_sym_readdir] = ACTIONS(1),
    [anon_sym_readline] = ACTIONS(1),
    [anon_sym_readpipe] = ACTIONS(1),
    [anon_sym_rewinddir] = ACTIONS(1),
    [anon_sym_readlink] = ACTIONS(1),
    [anon_sym_ref] = ACTIONS(1),
    [anon_sym_scalar] = ACTIONS(1),
    [anon_sym_shift] = ACTIONS(1),
    [anon_sym_sin] = ACTIONS(1),
    [anon_sym_sleep] = ACTIONS(1),
    [anon_sym_sqrt] = ACTIONS(1),
    [anon_sym_srand] = ACTIONS(1),
    [anon_sym_stat] = ACTIONS(1),
    [anon_sym_study] = ACTIONS(1),
    [anon_sym_tell] = ACTIONS(1),
    [anon_sym_telldir] = ACTIONS(1),
    [anon_sym_tied] = ACTIONS(1),
    [anon_sym_uc] = ACTIONS(1),
    [anon_sym_ucfirst] = ACTIONS(1),
    [anon_sym_untie] = ACTIONS(1),
    [anon_sym_umask] = ACTIONS(1),
    [anon_sym_values] = ACTIONS(1),
    [anon_sym_write] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1),
    [anon_sym___END__] = ACTIONS(1),
    [anon_sym_EOT] = ACTIONS(1),
    [anon_sym_q] = ACTIONS(1),
    [anon_sym_qq] = ACTIONS(1),
    [anon_sym_LBRACK2] = ACTIONS(1),
    [anon_sym_LBRACE2] = ACTIONS(1),
    [anon_sym_DOLLAR_STAR] = ACTIONS(1),
    [anon_sym_AT_STAR] = ACTIONS(1),
    [anon_sym_qw] = ACTIONS(1),
    [anon_sym_qx] = ACTIONS(1),
    [anon_sym_qr] = ACTIONS(1),
    [anon_sym_m] = ACTIONS(1),
    [anon_sym_s] = ACTIONS(1),
    [sym_quoted_regexp_modifiers] = ACTIONS(1),
    [anon_sym_tr] = ACTIONS(1),
    [anon_sym_y] = ACTIONS(1),
    [sym_version] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_unless] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_until] = ACTIONS(1),
    [aux_sym__bareword_token1] = ACTIONS(1),
    [sym_number] = ACTIONS(1),
    [anon_sym_true] = ACTIONS(1),
    [anon_sym_false] = ACTIONS(1),
    [sym__single_quote] = ACTIONS(1),
    [sym__double_quote] = ACTIONS(1),
    [sym__backtick_quote] = ACTIONS(1),
    [sym__search_slash_quote] = ACTIONS(1),
    [sym__no_search_slash_plz] = ACTIONS(1),
    [sym__open_readline_bracket] = ACTIONS(1),
    [sym__open_fileglob_bracket] = ACTIONS(1),
    [sym__PERLY_SEMICOLON] = ACTIONS(1),
    [sym__PERLY_HEREDOC] = ACTIONS(1),
    [sym__ctrl_z_hack] = ACTIONS(1),
    [sym__quotelike_begin_quote] = ACTIONS(1),
    [sym__quotelike_middle_close_quote] = ACTIONS(1),
    [sym__quotelike_middle_skip] = ACTIONS(1),
    [sym__quotelike_end_zw] = ACTIONS(1),
    [sym__quotelike_end_quote] = ACTIONS(1),
    [sym__q_string_content] = ACTIONS(1),
    [sym__qq_string_content] = ACTIONS(1),
    [sym_escape_sequence] = ACTIONS(1),
    [sym_escaped_delimiter] = ACTIONS(1),
    [sym__dollar_in_regexp] = ACTIONS(1),
    [sym_pod] = ACTIONS(5),
    [sym__gobbled_content] = ACTIONS(1),
    [sym__attribute_value_begin] = ACTIONS(1),
    [sym_attribute_value] = ACTIONS(1),
    [sym_prototype] = ACTIONS(1),
    [sym__signature_start] = ACTIONS(1),
    [sym__heredoc_delimiter] = ACTIONS(1),
    [sym__command_heredoc_delimiter] = ACTIONS(1),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__heredoc_middle] = ACTIONS(1),
    [sym_heredoc_end] = ACTIONS(1),
    [sym__fat_comma_autoquoted] = ACTIONS(1),
    [sym__filetest] = ACTIONS(1),
    [sym__brace_autoquoted_token] = ACTIONS(1),
    [sym__brace_end_zw] = ACTIONS(1),
    [sym__dollar_ident_zw] = ACTIONS(1),
    [sym__no_interp_whitespace_zw] = ACTIONS(1),
    [sym__NONASSOC] = ACTIONS(1),
    [sym__ERROR] = ACTIONS(1),
  },
  [1] = {
    [sym_source_file] = STATE(4066),
    [sym__PERLY_BRACE_OPEN] = STATE(66),
    [sym_block] = STATE(916),
    [sym__fullstmt] = STATE(917),
    [sym_statement_label] = STATE(918),
    [sym__barestmt] = STATE(918),
    [sym_package_statement] = STATE(913),
    [sym_class_statement] = STATE(913),
    [sym_role_statement] = STATE(913),
    [sym_class_phaser_statement] = STATE(913),
    [sym_use_version_statement] = STATE(913),
    [sym_use_statement] = STATE(913),
    [sym_subroutine_declaration_statement] = STATE(913),
    [sym_method_declaration_statement] = STATE(913),
    [sym_phaser_statement] = STATE(913),
    [sym_conditional_statement] = STATE(913),
    [sym_loop_statement] = STATE(913),
    [sym_cstyle_for_statement] = STATE(913),
    [sym_for_statement] = STATE(913),
    [sym_try_statement] = STATE(913),
    [sym_defer_statement] = STATE(913),
    [sym_expression_statement] = STATE(3022),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym___DATA__] = STATE(3947),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(1),
    [sym__conditionals] = STATE(4100),
    [sym__loops] = STATE(3916),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(4107),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(17),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [ts_builtin_sym_end] = ACTIONS(9),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_SEMI] = ACTIONS(15),
    [anon_sym_package] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_role] = ACTIONS(21),
    [anon_sym_BUILD] = ACTIONS(23),
    [anon_sym_ADJUST] = ACTIONS(23),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(29),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(33),
    [anon_sym_method] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_defer] = ACTIONS(45),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(91),
    [anon_sym_no] = ACTIONS(91),
    [anon_sym_for] = ACTIONS(93),
    [anon_sym_foreach] = ACTIONS(93),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(97),
    [anon_sym_INIT] = ACTIONS(97),
    [anon_sym_CHECK] = ACTIONS(97),
    [anon_sym_UNITCHECK] = ACTIONS(97),
    [anon_sym_END] = ACTIONS(97),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(101),
    [anon_sym___END__] = ACTIONS(101),
    [anon_sym_EOT] = ACTIONS(103),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym__ctrl_z_hack] = ACTIONS(145),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [2] = {
    [sym__PERLY_BRACE_OPEN] = STATE(237),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1280),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym__label_arg] = STATE(1285),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(2),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(1282),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(151),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_RBRACE] = ACTIONS(155),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(155),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(155),
    [anon_sym_RPAREN] = ACTIONS(155),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(155),
    [anon_sym_and] = ACTIONS(155),
    [anon_sym_or] = ACTIONS(155),
    [anon_sym_xor] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_DASH_GT] = ACTIONS(155),
    [anon_sym_PERCENT] = ACTIONS(155),
    [anon_sym_GT] = ACTIONS(155),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_DOT_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_x_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT] = ACTIONS(155),
    [anon_sym_STAR_STAR] = ACTIONS(155),
    [anon_sym_PIPE_PIPE] = ACTIONS(155),
    [anon_sym_SLASH_SLASH] = ACTIONS(155),
    [anon_sym_CARET_CARET] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(155),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(155),
    [anon_sym_AMP] = ACTIONS(155),
    [anon_sym_GT_GT2] = ACTIONS(155),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(155),
    [anon_sym_DOT] = ACTIONS(155),
    [anon_sym_STAR] = ACTIONS(155),
    [anon_sym_SLASH] = ACTIONS(155),
    [anon_sym_x] = ACTIONS(155),
    [anon_sym_EQ_TILDE] = ACTIONS(155),
    [anon_sym_BANG_TILDE] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(155),
    [anon_sym_eq] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_equ] = ACTIONS(155),
    [anon_sym_eqr] = ACTIONS(155),
    [anon_sym_ne] = ACTIONS(155),
    [anon_sym_LT_EQ_GT] = ACTIONS(155),
    [anon_sym_cmp] = ACTIONS(155),
    [anon_sym_TILDE_TILDE] = ACTIONS(155),
    [anon_sym_LT] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_lt] = ACTIONS(155),
    [anon_sym_le] = ACTIONS(155),
    [anon_sym_ge] = ACTIONS(155),
    [anon_sym_gt] = ACTIONS(155),
    [anon_sym_isa] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(155),
    [anon_sym_QMARK] = ACTIONS(155),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(155),
    [anon_sym_for] = ACTIONS(155),
    [anon_sym_foreach] = ACTIONS(155),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(155),
    [anon_sym___END__] = ACTIONS(155),
    [anon_sym_EOT] = ACTIONS(155),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(155),
    [anon_sym_unless] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(155),
    [anon_sym_until] = ACTIONS(155),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_SEMICOLON] = ACTIONS(161),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym__ctrl_z_hack] = ACTIONS(161),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [3] = {
    [sym__PERLY_BRACE_OPEN] = STATE(237),
    [sym__term_rightward] = STATE(1283),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1271),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(3),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_RBRACE] = ACTIONS(163),
    [anon_sym_SEMI] = ACTIONS(163),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_EQ] = ACTIONS(163),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(163),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(163),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(163),
    [anon_sym_RPAREN] = ACTIONS(163),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(163),
    [anon_sym_and] = ACTIONS(163),
    [anon_sym_or] = ACTIONS(163),
    [anon_sym_xor] = ACTIONS(163),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_DASH_GT] = ACTIONS(163),
    [anon_sym_PERCENT] = ACTIONS(163),
    [anon_sym_GT] = ACTIONS(163),
    [anon_sym_LT_LT] = ACTIONS(165),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(163),
    [anon_sym_PLUS_EQ] = ACTIONS(163),
    [anon_sym_DASH_EQ] = ACTIONS(163),
    [anon_sym_DOT_EQ] = ACTIONS(163),
    [anon_sym_STAR_EQ] = ACTIONS(163),
    [anon_sym_SLASH_EQ] = ACTIONS(163),
    [anon_sym_PERCENT_EQ] = ACTIONS(163),
    [anon_sym_x_EQ] = ACTIONS(163),
    [anon_sym_AMP_EQ] = ACTIONS(163),
    [anon_sym_PIPE_EQ] = ACTIONS(163),
    [anon_sym_CARET_EQ] = ACTIONS(163),
    [anon_sym_LT_LT_EQ] = ACTIONS(163),
    [anon_sym_GT_GT_EQ] = ACTIONS(163),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(163),
    [anon_sym_DOT_DOT] = ACTIONS(163),
    [anon_sym_STAR_STAR] = ACTIONS(163),
    [anon_sym_PIPE_PIPE] = ACTIONS(163),
    [anon_sym_SLASH_SLASH] = ACTIONS(168),
    [anon_sym_CARET_CARET] = ACTIONS(163),
    [anon_sym_AMP_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(163),
    [anon_sym_CARET] = ACTIONS(163),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_GT_GT2] = ACTIONS(163),
    [anon_sym_PLUS] = ACTIONS(171),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_DOT] = ACTIONS(163),
    [anon_sym_STAR] = ACTIONS(163),
    [anon_sym_SLASH] = ACTIONS(163),
    [anon_sym_x] = ACTIONS(163),
    [anon_sym_EQ_TILDE] = ACTIONS(163),
    [anon_sym_BANG_TILDE] = ACTIONS(163),
    [anon_sym_EQ_EQ] = ACTIONS(163),
    [anon_sym_BANG_EQ] = ACTIONS(163),
    [anon_sym_eq] = ACTIONS(163),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(163),
    [anon_sym_equ] = ACTIONS(163),
    [anon_sym_eqr] = ACTIONS(163),
    [anon_sym_ne] = ACTIONS(163),
    [anon_sym_LT_EQ_GT] = ACTIONS(163),
    [anon_sym_cmp] = ACTIONS(163),
    [anon_sym_TILDE_TILDE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(163),
    [anon_sym_LT_EQ] = ACTIONS(163),
    [anon_sym_GT_EQ] = ACTIONS(163),
    [anon_sym_lt] = ACTIONS(163),
    [anon_sym_le] = ACTIONS(163),
    [anon_sym_ge] = ACTIONS(163),
    [anon_sym_gt] = ACTIONS(163),
    [anon_sym_isa] = ACTIONS(163),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(177),
    [anon_sym_DASH_DASH] = ACTIONS(177),
    [anon_sym_QMARK] = ACTIONS(163),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(163),
    [anon_sym_for] = ACTIONS(163),
    [anon_sym_foreach] = ACTIONS(163),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(163),
    [anon_sym___END__] = ACTIONS(163),
    [anon_sym_EOT] = ACTIONS(163),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(163),
    [anon_sym_unless] = ACTIONS(163),
    [anon_sym_while] = ACTIONS(163),
    [anon_sym_until] = ACTIONS(163),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_SEMICOLON] = ACTIONS(180),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym__ctrl_z_hack] = ACTIONS(180),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [4] = {
    [sym__PERLY_BRACE_OPEN] = STATE(237),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1331),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(4),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_RBRACE] = ACTIONS(182),
    [anon_sym_SEMI] = ACTIONS(182),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_EQ] = ACTIONS(182),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(182),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(182),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(182),
    [anon_sym_RPAREN] = ACTIONS(182),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(182),
    [anon_sym_and] = ACTIONS(182),
    [anon_sym_or] = ACTIONS(182),
    [anon_sym_xor] = ACTIONS(182),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_DASH_GT] = ACTIONS(182),
    [anon_sym_PERCENT] = ACTIONS(182),
    [anon_sym_GT] = ACTIONS(182),
    [anon_sym_LT_LT] = ACTIONS(184),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(182),
    [anon_sym_PLUS_EQ] = ACTIONS(182),
    [anon_sym_DASH_EQ] = ACTIONS(182),
    [anon_sym_DOT_EQ] = ACTIONS(182),
    [anon_sym_STAR_EQ] = ACTIONS(182),
    [anon_sym_SLASH_EQ] = ACTIONS(182),
    [anon_sym_PERCENT_EQ] = ACTIONS(182),
    [anon_sym_x_EQ] = ACTIONS(182),
    [anon_sym_AMP_EQ] = ACTIONS(182),
    [anon_sym_PIPE_EQ] = ACTIONS(182),
    [anon_sym_CARET_EQ] = ACTIONS(182),
    [anon_sym_LT_LT_EQ] = ACTIONS(182),
    [anon_sym_GT_GT_EQ] = ACTIONS(182),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(182),
    [anon_sym_DOT_DOT] = ACTIONS(182),
    [anon_sym_STAR_STAR] = ACTIONS(182),
    [anon_sym_PIPE_PIPE] = ACTIONS(182),
    [anon_sym_SLASH_SLASH] = ACTIONS(187),
    [anon_sym_CARET_CARET] = ACTIONS(182),
    [anon_sym_AMP_AMP] = ACTIONS(182),
    [anon_sym_PIPE] = ACTIONS(182),
    [anon_sym_CARET] = ACTIONS(182),
    [anon_sym_AMP] = ACTIONS(182),
    [anon_sym_GT_GT2] = ACTIONS(182),
    [anon_sym_PLUS] = ACTIONS(190),
    [anon_sym_DASH] = ACTIONS(193),
    [anon_sym_DOT] = ACTIONS(182),
    [anon_sym_STAR] = ACTIONS(182),
    [anon_sym_SLASH] = ACTIONS(182),
    [anon_sym_x] = ACTIONS(182),
    [anon_sym_EQ_TILDE] = ACTIONS(182),
    [anon_sym_BANG_TILDE] = ACTIONS(182),
    [anon_sym_EQ_EQ] = ACTIONS(182),
    [anon_sym_BANG_EQ] = ACTIONS(182),
    [anon_sym_eq] = ACTIONS(182),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(182),
    [anon_sym_equ] = ACTIONS(182),
    [anon_sym_eqr] = ACTIONS(182),
    [anon_sym_ne] = ACTIONS(182),
    [anon_sym_LT_EQ_GT] = ACTIONS(182),
    [anon_sym_cmp] = ACTIONS(182),
    [anon_sym_TILDE_TILDE] = ACTIONS(182),
    [anon_sym_LT] = ACTIONS(182),
    [anon_sym_LT_EQ] = ACTIONS(182),
    [anon_sym_GT_EQ] = ACTIONS(182),
    [anon_sym_lt] = ACTIONS(182),
    [anon_sym_le] = ACTIONS(182),
    [anon_sym_ge] = ACTIONS(182),
    [anon_sym_gt] = ACTIONS(182),
    [anon_sym_isa] = ACTIONS(182),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(196),
    [anon_sym_DASH_DASH] = ACTIONS(196),
    [anon_sym_QMARK] = ACTIONS(182),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(182),
    [anon_sym_for] = ACTIONS(182),
    [anon_sym_foreach] = ACTIONS(182),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(182),
    [anon_sym___END__] = ACTIONS(182),
    [anon_sym_EOT] = ACTIONS(182),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(182),
    [anon_sym_unless] = ACTIONS(182),
    [anon_sym_while] = ACTIONS(182),
    [anon_sym_until] = ACTIONS(182),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_SEMICOLON] = ACTIONS(199),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym__ctrl_z_hack] = ACTIONS(199),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [5] = {
    [sym__PERLY_BRACE_OPEN] = STATE(237),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1284),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(5),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_RBRACE] = ACTIONS(201),
    [anon_sym_SEMI] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_EQ] = ACTIONS(201),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(201),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(201),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(201),
    [anon_sym_RPAREN] = ACTIONS(201),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(201),
    [anon_sym_and] = ACTIONS(201),
    [anon_sym_or] = ACTIONS(201),
    [anon_sym_xor] = ACTIONS(201),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_DASH_GT] = ACTIONS(201),
    [anon_sym_PERCENT] = ACTIONS(201),
    [anon_sym_GT] = ACTIONS(201),
    [anon_sym_LT_LT] = ACTIONS(201),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(201),
    [anon_sym_PLUS_EQ] = ACTIONS(201),
    [anon_sym_DASH_EQ] = ACTIONS(201),
    [anon_sym_DOT_EQ] = ACTIONS(201),
    [anon_sym_STAR_EQ] = ACTIONS(201),
    [anon_sym_SLASH_EQ] = ACTIONS(201),
    [anon_sym_PERCENT_EQ] = ACTIONS(201),
    [anon_sym_x_EQ] = ACTIONS(201),
    [anon_sym_AMP_EQ] = ACTIONS(201),
    [anon_sym_PIPE_EQ] = ACTIONS(201),
    [anon_sym_CARET_EQ] = ACTIONS(201),
    [anon_sym_LT_LT_EQ] = ACTIONS(201),
    [anon_sym_GT_GT_EQ] = ACTIONS(201),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(201),
    [anon_sym_DOT_DOT] = ACTIONS(201),
    [anon_sym_STAR_STAR] = ACTIONS(201),
    [anon_sym_PIPE_PIPE] = ACTIONS(201),
    [anon_sym_SLASH_SLASH] = ACTIONS(201),
    [anon_sym_CARET_CARET] = ACTIONS(201),
    [anon_sym_AMP_AMP] = ACTIONS(201),
    [anon_sym_PIPE] = ACTIONS(201),
    [anon_sym_CARET] = ACTIONS(201),
    [anon_sym_AMP] = ACTIONS(201),
    [anon_sym_GT_GT2] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(201),
    [anon_sym_DASH] = ACTIONS(201),
    [anon_sym_DOT] = ACTIONS(201),
    [anon_sym_STAR] = ACTIONS(201),
    [anon_sym_SLASH] = ACTIONS(201),
    [anon_sym_x] = ACTIONS(201),
    [anon_sym_EQ_TILDE] = ACTIONS(201),
    [anon_sym_BANG_TILDE] = ACTIONS(201),
    [anon_sym_EQ_EQ] = ACTIONS(201),
    [anon_sym_BANG_EQ] = ACTIONS(201),
    [anon_sym_eq] = ACTIONS(201),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(201),
    [anon_sym_equ] = ACTIONS(201),
    [anon_sym_eqr] = ACTIONS(201),
    [anon_sym_ne] = ACTIONS(201),
    [anon_sym_LT_EQ_GT] = ACTIONS(201),
    [anon_sym_cmp] = ACTIONS(201),
    [anon_sym_TILDE_TILDE] = ACTIONS(201),
    [anon_sym_LT] = ACTIONS(201),
    [anon_sym_LT_EQ] = ACTIONS(201),
    [anon_sym_GT_EQ] = ACTIONS(201),
    [anon_sym_lt] = ACTIONS(201),
    [anon_sym_le] = ACTIONS(201),
    [anon_sym_ge] = ACTIONS(201),
    [anon_sym_gt] = ACTIONS(201),
    [anon_sym_isa] = ACTIONS(201),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_QMARK] = ACTIONS(201),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_foreach] = ACTIONS(201),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(201),
    [anon_sym___END__] = ACTIONS(201),
    [anon_sym_EOT] = ACTIONS(201),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(201),
    [anon_sym_unless] = ACTIONS(201),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_until] = ACTIONS(201),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_SEMICOLON] = ACTIONS(203),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym__ctrl_z_hack] = ACTIONS(203),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [6] = {
    [sym__PERLY_BRACE_OPEN] = STATE(237),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1313),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(6),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_RBRACE] = ACTIONS(205),
    [anon_sym_SEMI] = ACTIONS(205),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_EQ] = ACTIONS(205),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(205),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(205),
    [anon_sym_RPAREN] = ACTIONS(205),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(205),
    [anon_sym_and] = ACTIONS(205),
    [anon_sym_or] = ACTIONS(205),
    [anon_sym_xor] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_DASH_GT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(205),
    [anon_sym_GT] = ACTIONS(205),
    [anon_sym_LT_LT] = ACTIONS(205),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(205),
    [anon_sym_PLUS_EQ] = ACTIONS(205),
    [anon_sym_DASH_EQ] = ACTIONS(205),
    [anon_sym_DOT_EQ] = ACTIONS(205),
    [anon_sym_STAR_EQ] = ACTIONS(205),
    [anon_sym_SLASH_EQ] = ACTIONS(205),
    [anon_sym_PERCENT_EQ] = ACTIONS(205),
    [anon_sym_x_EQ] = ACTIONS(205),
    [anon_sym_AMP_EQ] = ACTIONS(205),
    [anon_sym_PIPE_EQ] = ACTIONS(205),
    [anon_sym_CARET_EQ] = ACTIONS(205),
    [anon_sym_LT_LT_EQ] = ACTIONS(205),
    [anon_sym_GT_GT_EQ] = ACTIONS(205),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(205),
    [anon_sym_DOT_DOT] = ACTIONS(205),
    [anon_sym_STAR_STAR] = ACTIONS(205),
    [anon_sym_PIPE_PIPE] = ACTIONS(205),
    [anon_sym_SLASH_SLASH] = ACTIONS(205),
    [anon_sym_CARET_CARET] = ACTIONS(205),
    [anon_sym_AMP_AMP] = ACTIONS(205),
    [anon_sym_PIPE] = ACTIONS(205),
    [anon_sym_CARET] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(205),
    [anon_sym_GT_GT2] = ACTIONS(205),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_DOT] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(205),
    [anon_sym_SLASH] = ACTIONS(205),
    [anon_sym_x] = ACTIONS(205),
    [anon_sym_EQ_TILDE] = ACTIONS(205),
    [anon_sym_BANG_TILDE] = ACTIONS(205),
    [anon_sym_EQ_EQ] = ACTIONS(205),
    [anon_sym_BANG_EQ] = ACTIONS(205),
    [anon_sym_eq] = ACTIONS(205),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(205),
    [anon_sym_equ] = ACTIONS(205),
    [anon_sym_eqr] = ACTIONS(205),
    [anon_sym_ne] = ACTIONS(205),
    [anon_sym_LT_EQ_GT] = ACTIONS(205),
    [anon_sym_cmp] = ACTIONS(205),
    [anon_sym_TILDE_TILDE] = ACTIONS(205),
    [anon_sym_LT] = ACTIONS(205),
    [anon_sym_LT_EQ] = ACTIONS(205),
    [anon_sym_GT_EQ] = ACTIONS(205),
    [anon_sym_lt] = ACTIONS(205),
    [anon_sym_le] = ACTIONS(205),
    [anon_sym_ge] = ACTIONS(205),
    [anon_sym_gt] = ACTIONS(205),
    [anon_sym_isa] = ACTIONS(205),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_QMARK] = ACTIONS(205),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(205),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_foreach] = ACTIONS(205),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(205),
    [anon_sym___END__] = ACTIONS(205),
    [anon_sym_EOT] = ACTIONS(205),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(205),
    [anon_sym_unless] = ACTIONS(205),
    [anon_sym_while] = ACTIONS(205),
    [anon_sym_until] = ACTIONS(205),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_SEMICOLON] = ACTIONS(209),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym__ctrl_z_hack] = ACTIONS(209),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [7] = {
    [sym__PERLY_BRACE_OPEN] = STATE(237),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1488),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym__label_arg] = STATE(1285),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(7),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(1282),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(211),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(155),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(155),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(155),
    [anon_sym_and] = ACTIONS(155),
    [anon_sym_or] = ACTIONS(155),
    [anon_sym_xor] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_DASH_GT] = ACTIONS(155),
    [anon_sym_PERCENT] = ACTIONS(155),
    [anon_sym_GT] = ACTIONS(155),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_DOT_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_x_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT] = ACTIONS(155),
    [anon_sym_STAR_STAR] = ACTIONS(155),
    [anon_sym_PIPE_PIPE] = ACTIONS(155),
    [anon_sym_SLASH_SLASH] = ACTIONS(155),
    [anon_sym_CARET_CARET] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(155),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(155),
    [anon_sym_AMP] = ACTIONS(155),
    [anon_sym_GT_GT2] = ACTIONS(155),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(155),
    [anon_sym_DOT] = ACTIONS(155),
    [anon_sym_STAR] = ACTIONS(155),
    [anon_sym_SLASH] = ACTIONS(155),
    [anon_sym_x] = ACTIONS(155),
    [anon_sym_EQ_TILDE] = ACTIONS(155),
    [anon_sym_BANG_TILDE] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(155),
    [anon_sym_eq] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_equ] = ACTIONS(155),
    [anon_sym_eqr] = ACTIONS(155),
    [anon_sym_ne] = ACTIONS(155),
    [anon_sym_LT_EQ_GT] = ACTIONS(155),
    [anon_sym_cmp] = ACTIONS(155),
    [anon_sym_TILDE_TILDE] = ACTIONS(155),
    [anon_sym_LT] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_lt] = ACTIONS(155),
    [anon_sym_le] = ACTIONS(155),
    [anon_sym_ge] = ACTIONS(155),
    [anon_sym_gt] = ACTIONS(155),
    [anon_sym_isa] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(155),
    [anon_sym_QMARK] = ACTIONS(155),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(155),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(155),
    [anon_sym___END__] = ACTIONS(155),
    [anon_sym_EOT] = ACTIONS(155),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(243),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_SEMICOLON] = ACTIONS(161),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym__ctrl_z_hack] = ACTIONS(161),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(245),
  },
  [8] = {
    [sym__PERLY_BRACE_OPEN] = STATE(237),
    [sym__term_rightward] = STATE(1283),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1448),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(8),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(243),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_SEMI] = ACTIONS(163),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_EQ] = ACTIONS(163),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(163),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(163),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(163),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(163),
    [anon_sym_and] = ACTIONS(163),
    [anon_sym_or] = ACTIONS(163),
    [anon_sym_xor] = ACTIONS(163),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_DASH_GT] = ACTIONS(163),
    [anon_sym_PERCENT] = ACTIONS(163),
    [anon_sym_GT] = ACTIONS(163),
    [anon_sym_LT_LT] = ACTIONS(165),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(163),
    [anon_sym_PLUS_EQ] = ACTIONS(163),
    [anon_sym_DASH_EQ] = ACTIONS(163),
    [anon_sym_DOT_EQ] = ACTIONS(163),
    [anon_sym_STAR_EQ] = ACTIONS(163),
    [anon_sym_SLASH_EQ] = ACTIONS(163),
    [anon_sym_PERCENT_EQ] = ACTIONS(163),
    [anon_sym_x_EQ] = ACTIONS(163),
    [anon_sym_AMP_EQ] = ACTIONS(163),
    [anon_sym_PIPE_EQ] = ACTIONS(163),
    [anon_sym_CARET_EQ] = ACTIONS(163),
    [anon_sym_LT_LT_EQ] = ACTIONS(163),
    [anon_sym_GT_GT_EQ] = ACTIONS(163),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(163),
    [anon_sym_DOT_DOT] = ACTIONS(163),
    [anon_sym_STAR_STAR] = ACTIONS(163),
    [anon_sym_PIPE_PIPE] = ACTIONS(163),
    [anon_sym_SLASH_SLASH] = ACTIONS(168),
    [anon_sym_CARET_CARET] = ACTIONS(163),
    [anon_sym_AMP_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(163),
    [anon_sym_CARET] = ACTIONS(163),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_GT_GT2] = ACTIONS(163),
    [anon_sym_PLUS] = ACTIONS(247),
    [anon_sym_DASH] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(163),
    [anon_sym_STAR] = ACTIONS(163),
    [anon_sym_SLASH] = ACTIONS(163),
    [anon_sym_x] = ACTIONS(163),
    [anon_sym_EQ_TILDE] = ACTIONS(163),
    [anon_sym_BANG_TILDE] = ACTIONS(163),
    [anon_sym_EQ_EQ] = ACTIONS(163),
    [anon_sym_BANG_EQ] = ACTIONS(163),
    [anon_sym_eq] = ACTIONS(163),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(163),
    [anon_sym_equ] = ACTIONS(163),
    [anon_sym_eqr] = ACTIONS(163),
    [anon_sym_ne] = ACTIONS(163),
    [anon_sym_LT_EQ_GT] = ACTIONS(163),
    [anon_sym_cmp] = ACTIONS(163),
    [anon_sym_TILDE_TILDE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(163),
    [anon_sym_LT_EQ] = ACTIONS(163),
    [anon_sym_GT_EQ] = ACTIONS(163),
    [anon_sym_lt] = ACTIONS(163),
    [anon_sym_le] = ACTIONS(163),
    [anon_sym_ge] = ACTIONS(163),
    [anon_sym_gt] = ACTIONS(163),
    [anon_sym_isa] = ACTIONS(163),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(253),
    [anon_sym_DASH_DASH] = ACTIONS(253),
    [anon_sym_QMARK] = ACTIONS(163),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(163),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(163),
    [anon_sym___END__] = ACTIONS(163),
    [anon_sym_EOT] = ACTIONS(163),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(243),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_SEMICOLON] = ACTIONS(180),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym__ctrl_z_hack] = ACTIONS(180),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(245),
  },
  [9] = {
    [sym__PERLY_BRACE_OPEN] = STATE(237),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1489),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(9),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(243),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_SEMI] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_EQ] = ACTIONS(201),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(201),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(201),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(201),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(201),
    [anon_sym_and] = ACTIONS(201),
    [anon_sym_or] = ACTIONS(201),
    [anon_sym_xor] = ACTIONS(201),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_DASH_GT] = ACTIONS(201),
    [anon_sym_PERCENT] = ACTIONS(201),
    [anon_sym_GT] = ACTIONS(201),
    [anon_sym_LT_LT] = ACTIONS(201),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(201),
    [anon_sym_PLUS_EQ] = ACTIONS(201),
    [anon_sym_DASH_EQ] = ACTIONS(201),
    [anon_sym_DOT_EQ] = ACTIONS(201),
    [anon_sym_STAR_EQ] = ACTIONS(201),
    [anon_sym_SLASH_EQ] = ACTIONS(201),
    [anon_sym_PERCENT_EQ] = ACTIONS(201),
    [anon_sym_x_EQ] = ACTIONS(201),
    [anon_sym_AMP_EQ] = ACTIONS(201),
    [anon_sym_PIPE_EQ] = ACTIONS(201),
    [anon_sym_CARET_EQ] = ACTIONS(201),
    [anon_sym_LT_LT_EQ] = ACTIONS(201),
    [anon_sym_GT_GT_EQ] = ACTIONS(201),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(201),
    [anon_sym_DOT_DOT] = ACTIONS(201),
    [anon_sym_STAR_STAR] = ACTIONS(201),
    [anon_sym_PIPE_PIPE] = ACTIONS(201),
    [anon_sym_SLASH_SLASH] = ACTIONS(201),
    [anon_sym_CARET_CARET] = ACTIONS(201),
    [anon_sym_AMP_AMP] = ACTIONS(201),
    [anon_sym_PIPE] = ACTIONS(201),
    [anon_sym_CARET] = ACTIONS(201),
    [anon_sym_AMP] = ACTIONS(201),
    [anon_sym_GT_GT2] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(201),
    [anon_sym_DASH] = ACTIONS(201),
    [anon_sym_DOT] = ACTIONS(201),
    [anon_sym_STAR] = ACTIONS(201),
    [anon_sym_SLASH] = ACTIONS(201),
    [anon_sym_x] = ACTIONS(201),
    [anon_sym_EQ_TILDE] = ACTIONS(201),
    [anon_sym_BANG_TILDE] = ACTIONS(201),
    [anon_sym_EQ_EQ] = ACTIONS(201),
    [anon_sym_BANG_EQ] = ACTIONS(201),
    [anon_sym_eq] = ACTIONS(201),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(201),
    [anon_sym_equ] = ACTIONS(201),
    [anon_sym_eqr] = ACTIONS(201),
    [anon_sym_ne] = ACTIONS(201),
    [anon_sym_LT_EQ_GT] = ACTIONS(201),
    [anon_sym_cmp] = ACTIONS(201),
    [anon_sym_TILDE_TILDE] = ACTIONS(201),
    [anon_sym_LT] = ACTIONS(201),
    [anon_sym_LT_EQ] = ACTIONS(201),
    [anon_sym_GT_EQ] = ACTIONS(201),
    [anon_sym_lt] = ACTIONS(201),
    [anon_sym_le] = ACTIONS(201),
    [anon_sym_ge] = ACTIONS(201),
    [anon_sym_gt] = ACTIONS(201),
    [anon_sym_isa] = ACTIONS(201),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_QMARK] = ACTIONS(201),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(201),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(201),
    [anon_sym___END__] = ACTIONS(201),
    [anon_sym_EOT] = ACTIONS(201),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(243),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_SEMICOLON] = ACTIONS(203),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym__ctrl_z_hack] = ACTIONS(203),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(245),
  },
  [10] = {
    [sym__PERLY_BRACE_OPEN] = STATE(237),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1501),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(10),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(243),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_SEMI] = ACTIONS(182),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_EQ] = ACTIONS(182),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(182),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(182),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(182),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(182),
    [anon_sym_and] = ACTIONS(182),
    [anon_sym_or] = ACTIONS(182),
    [anon_sym_xor] = ACTIONS(182),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_DASH_GT] = ACTIONS(182),
    [anon_sym_PERCENT] = ACTIONS(182),
    [anon_sym_GT] = ACTIONS(182),
    [anon_sym_LT_LT] = ACTIONS(184),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(182),
    [anon_sym_PLUS_EQ] = ACTIONS(182),
    [anon_sym_DASH_EQ] = ACTIONS(182),
    [anon_sym_DOT_EQ] = ACTIONS(182),
    [anon_sym_STAR_EQ] = ACTIONS(182),
    [anon_sym_SLASH_EQ] = ACTIONS(182),
    [anon_sym_PERCENT_EQ] = ACTIONS(182),
    [anon_sym_x_EQ] = ACTIONS(182),
    [anon_sym_AMP_EQ] = ACTIONS(182),
    [anon_sym_PIPE_EQ] = ACTIONS(182),
    [anon_sym_CARET_EQ] = ACTIONS(182),
    [anon_sym_LT_LT_EQ] = ACTIONS(182),
    [anon_sym_GT_GT_EQ] = ACTIONS(182),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(182),
    [anon_sym_DOT_DOT] = ACTIONS(182),
    [anon_sym_STAR_STAR] = ACTIONS(182),
    [anon_sym_PIPE_PIPE] = ACTIONS(182),
    [anon_sym_SLASH_SLASH] = ACTIONS(187),
    [anon_sym_CARET_CARET] = ACTIONS(182),
    [anon_sym_AMP_AMP] = ACTIONS(182),
    [anon_sym_PIPE] = ACTIONS(182),
    [anon_sym_CARET] = ACTIONS(182),
    [anon_sym_AMP] = ACTIONS(182),
    [anon_sym_GT_GT2] = ACTIONS(182),
    [anon_sym_PLUS] = ACTIONS(256),
    [anon_sym_DASH] = ACTIONS(259),
    [anon_sym_DOT] = ACTIONS(182),
    [anon_sym_STAR] = ACTIONS(182),
    [anon_sym_SLASH] = ACTIONS(182),
    [anon_sym_x] = ACTIONS(182),
    [anon_sym_EQ_TILDE] = ACTIONS(182),
    [anon_sym_BANG_TILDE] = ACTIONS(182),
    [anon_sym_EQ_EQ] = ACTIONS(182),
    [anon_sym_BANG_EQ] = ACTIONS(182),
    [anon_sym_eq] = ACTIONS(182),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(182),
    [anon_sym_equ] = ACTIONS(182),
    [anon_sym_eqr] = ACTIONS(182),
    [anon_sym_ne] = ACTIONS(182),
    [anon_sym_LT_EQ_GT] = ACTIONS(182),
    [anon_sym_cmp] = ACTIONS(182),
    [anon_sym_TILDE_TILDE] = ACTIONS(182),
    [anon_sym_LT] = ACTIONS(182),
    [anon_sym_LT_EQ] = ACTIONS(182),
    [anon_sym_GT_EQ] = ACTIONS(182),
    [anon_sym_lt] = ACTIONS(182),
    [anon_sym_le] = ACTIONS(182),
    [anon_sym_ge] = ACTIONS(182),
    [anon_sym_gt] = ACTIONS(182),
    [anon_sym_isa] = ACTIONS(182),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(262),
    [anon_sym_DASH_DASH] = ACTIONS(262),
    [anon_sym_QMARK] = ACTIONS(182),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(182),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(182),
    [anon_sym___END__] = ACTIONS(182),
    [anon_sym_EOT] = ACTIONS(182),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(243),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_SEMICOLON] = ACTIONS(199),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym__ctrl_z_hack] = ACTIONS(199),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(245),
  },
  [11] = {
    [sym__PERLY_BRACE_OPEN] = STATE(237),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1480),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(11),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(243),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_SEMI] = ACTIONS(205),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_EQ] = ACTIONS(205),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(205),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(205),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(205),
    [anon_sym_and] = ACTIONS(205),
    [anon_sym_or] = ACTIONS(205),
    [anon_sym_xor] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_DASH_GT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(205),
    [anon_sym_GT] = ACTIONS(205),
    [anon_sym_LT_LT] = ACTIONS(205),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(205),
    [anon_sym_PLUS_EQ] = ACTIONS(205),
    [anon_sym_DASH_EQ] = ACTIONS(205),
    [anon_sym_DOT_EQ] = ACTIONS(205),
    [anon_sym_STAR_EQ] = ACTIONS(205),
    [anon_sym_SLASH_EQ] = ACTIONS(205),
    [anon_sym_PERCENT_EQ] = ACTIONS(205),
    [anon_sym_x_EQ] = ACTIONS(205),
    [anon_sym_AMP_EQ] = ACTIONS(205),
    [anon_sym_PIPE_EQ] = ACTIONS(205),
    [anon_sym_CARET_EQ] = ACTIONS(205),
    [anon_sym_LT_LT_EQ] = ACTIONS(205),
    [anon_sym_GT_GT_EQ] = ACTIONS(205),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(205),
    [anon_sym_DOT_DOT] = ACTIONS(205),
    [anon_sym_STAR_STAR] = ACTIONS(205),
    [anon_sym_PIPE_PIPE] = ACTIONS(205),
    [anon_sym_SLASH_SLASH] = ACTIONS(205),
    [anon_sym_CARET_CARET] = ACTIONS(205),
    [anon_sym_AMP_AMP] = ACTIONS(205),
    [anon_sym_PIPE] = ACTIONS(205),
    [anon_sym_CARET] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(205),
    [anon_sym_GT_GT2] = ACTIONS(205),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_DOT] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(205),
    [anon_sym_SLASH] = ACTIONS(205),
    [anon_sym_x] = ACTIONS(205),
    [anon_sym_EQ_TILDE] = ACTIONS(205),
    [anon_sym_BANG_TILDE] = ACTIONS(205),
    [anon_sym_EQ_EQ] = ACTIONS(205),
    [anon_sym_BANG_EQ] = ACTIONS(205),
    [anon_sym_eq] = ACTIONS(205),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(205),
    [anon_sym_equ] = ACTIONS(205),
    [anon_sym_eqr] = ACTIONS(205),
    [anon_sym_ne] = ACTIONS(205),
    [anon_sym_LT_EQ_GT] = ACTIONS(205),
    [anon_sym_cmp] = ACTIONS(205),
    [anon_sym_TILDE_TILDE] = ACTIONS(205),
    [anon_sym_LT] = ACTIONS(205),
    [anon_sym_LT_EQ] = ACTIONS(205),
    [anon_sym_GT_EQ] = ACTIONS(205),
    [anon_sym_lt] = ACTIONS(205),
    [anon_sym_le] = ACTIONS(205),
    [anon_sym_ge] = ACTIONS(205),
    [anon_sym_gt] = ACTIONS(205),
    [anon_sym_isa] = ACTIONS(205),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_QMARK] = ACTIONS(205),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(205),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(205),
    [anon_sym___END__] = ACTIONS(205),
    [anon_sym_EOT] = ACTIONS(205),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(243),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_SEMICOLON] = ACTIONS(209),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym__ctrl_z_hack] = ACTIONS(209),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(245),
  },
  [12] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1706),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym__label_arg] = STATE(1598),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(12),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_identifier] = STATE(1748),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(265),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_RBRACE] = ACTIONS(155),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(155),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_COMMA] = ACTIONS(155),
    [anon_sym_RPAREN] = ACTIONS(155),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(155),
    [anon_sym_and] = ACTIONS(155),
    [anon_sym_or] = ACTIONS(155),
    [anon_sym_xor] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_RBRACK] = ACTIONS(155),
    [anon_sym_DASH_GT] = ACTIONS(155),
    [anon_sym_PERCENT] = ACTIONS(155),
    [anon_sym_GT] = ACTIONS(155),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_DOT_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_x_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT] = ACTIONS(155),
    [anon_sym_STAR_STAR] = ACTIONS(155),
    [anon_sym_PIPE_PIPE] = ACTIONS(155),
    [anon_sym_SLASH_SLASH] = ACTIONS(155),
    [anon_sym_CARET_CARET] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(155),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(155),
    [anon_sym_AMP] = ACTIONS(155),
    [anon_sym_GT_GT2] = ACTIONS(155),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(155),
    [anon_sym_DOT] = ACTIONS(155),
    [anon_sym_STAR] = ACTIONS(155),
    [anon_sym_SLASH] = ACTIONS(155),
    [anon_sym_x] = ACTIONS(155),
    [anon_sym_EQ_TILDE] = ACTIONS(155),
    [anon_sym_BANG_TILDE] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(155),
    [anon_sym_eq] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_equ] = ACTIONS(155),
    [anon_sym_eqr] = ACTIONS(155),
    [anon_sym_ne] = ACTIONS(155),
    [anon_sym_LT_EQ_GT] = ACTIONS(155),
    [anon_sym_cmp] = ACTIONS(155),
    [anon_sym_TILDE_TILDE] = ACTIONS(155),
    [anon_sym_LT] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_lt] = ACTIONS(155),
    [anon_sym_le] = ACTIONS(155),
    [anon_sym_ge] = ACTIONS(155),
    [anon_sym_gt] = ACTIONS(155),
    [anon_sym_isa] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(155),
    [anon_sym_QMARK] = ACTIONS(155),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(155),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [13] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__term_rightward] = STATE(1753),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1539),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(13),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_RBRACE] = ACTIONS(163),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_EQ] = ACTIONS(163),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(163),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(163),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_COMMA] = ACTIONS(163),
    [anon_sym_RPAREN] = ACTIONS(163),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(163),
    [anon_sym_and] = ACTIONS(163),
    [anon_sym_or] = ACTIONS(163),
    [anon_sym_xor] = ACTIONS(163),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_RBRACK] = ACTIONS(163),
    [anon_sym_DASH_GT] = ACTIONS(163),
    [anon_sym_PERCENT] = ACTIONS(163),
    [anon_sym_GT] = ACTIONS(163),
    [anon_sym_LT_LT] = ACTIONS(347),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(163),
    [anon_sym_PLUS_EQ] = ACTIONS(163),
    [anon_sym_DASH_EQ] = ACTIONS(163),
    [anon_sym_DOT_EQ] = ACTIONS(163),
    [anon_sym_STAR_EQ] = ACTIONS(163),
    [anon_sym_SLASH_EQ] = ACTIONS(163),
    [anon_sym_PERCENT_EQ] = ACTIONS(163),
    [anon_sym_x_EQ] = ACTIONS(163),
    [anon_sym_AMP_EQ] = ACTIONS(163),
    [anon_sym_PIPE_EQ] = ACTIONS(163),
    [anon_sym_CARET_EQ] = ACTIONS(163),
    [anon_sym_LT_LT_EQ] = ACTIONS(163),
    [anon_sym_GT_GT_EQ] = ACTIONS(163),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(163),
    [anon_sym_DOT_DOT] = ACTIONS(163),
    [anon_sym_STAR_STAR] = ACTIONS(163),
    [anon_sym_PIPE_PIPE] = ACTIONS(163),
    [anon_sym_SLASH_SLASH] = ACTIONS(350),
    [anon_sym_CARET_CARET] = ACTIONS(163),
    [anon_sym_AMP_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(163),
    [anon_sym_CARET] = ACTIONS(163),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_GT_GT2] = ACTIONS(163),
    [anon_sym_PLUS] = ACTIONS(353),
    [anon_sym_DASH] = ACTIONS(356),
    [anon_sym_DOT] = ACTIONS(163),
    [anon_sym_STAR] = ACTIONS(163),
    [anon_sym_SLASH] = ACTIONS(163),
    [anon_sym_x] = ACTIONS(163),
    [anon_sym_EQ_TILDE] = ACTIONS(163),
    [anon_sym_BANG_TILDE] = ACTIONS(163),
    [anon_sym_EQ_EQ] = ACTIONS(163),
    [anon_sym_BANG_EQ] = ACTIONS(163),
    [anon_sym_eq] = ACTIONS(163),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(163),
    [anon_sym_equ] = ACTIONS(163),
    [anon_sym_eqr] = ACTIONS(163),
    [anon_sym_ne] = ACTIONS(163),
    [anon_sym_LT_EQ_GT] = ACTIONS(163),
    [anon_sym_cmp] = ACTIONS(163),
    [anon_sym_TILDE_TILDE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(163),
    [anon_sym_LT_EQ] = ACTIONS(163),
    [anon_sym_GT_EQ] = ACTIONS(163),
    [anon_sym_lt] = ACTIONS(163),
    [anon_sym_le] = ACTIONS(163),
    [anon_sym_ge] = ACTIONS(163),
    [anon_sym_gt] = ACTIONS(163),
    [anon_sym_isa] = ACTIONS(163),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(359),
    [anon_sym_DASH_DASH] = ACTIONS(359),
    [anon_sym_QMARK] = ACTIONS(163),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(163),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [14] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1601),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(14),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_RBRACE] = ACTIONS(205),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_EQ] = ACTIONS(205),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(205),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_COMMA] = ACTIONS(205),
    [anon_sym_RPAREN] = ACTIONS(205),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(362),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(205),
    [anon_sym_and] = ACTIONS(205),
    [anon_sym_or] = ACTIONS(205),
    [anon_sym_xor] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_RBRACK] = ACTIONS(205),
    [anon_sym_DASH_GT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(205),
    [anon_sym_GT] = ACTIONS(205),
    [anon_sym_LT_LT] = ACTIONS(205),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(205),
    [anon_sym_PLUS_EQ] = ACTIONS(205),
    [anon_sym_DASH_EQ] = ACTIONS(205),
    [anon_sym_DOT_EQ] = ACTIONS(205),
    [anon_sym_STAR_EQ] = ACTIONS(205),
    [anon_sym_SLASH_EQ] = ACTIONS(205),
    [anon_sym_PERCENT_EQ] = ACTIONS(205),
    [anon_sym_x_EQ] = ACTIONS(205),
    [anon_sym_AMP_EQ] = ACTIONS(205),
    [anon_sym_PIPE_EQ] = ACTIONS(205),
    [anon_sym_CARET_EQ] = ACTIONS(205),
    [anon_sym_LT_LT_EQ] = ACTIONS(205),
    [anon_sym_GT_GT_EQ] = ACTIONS(205),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(205),
    [anon_sym_DOT_DOT] = ACTIONS(205),
    [anon_sym_STAR_STAR] = ACTIONS(205),
    [anon_sym_PIPE_PIPE] = ACTIONS(205),
    [anon_sym_SLASH_SLASH] = ACTIONS(205),
    [anon_sym_CARET_CARET] = ACTIONS(205),
    [anon_sym_AMP_AMP] = ACTIONS(205),
    [anon_sym_PIPE] = ACTIONS(205),
    [anon_sym_CARET] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(205),
    [anon_sym_GT_GT2] = ACTIONS(205),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_DOT] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(205),
    [anon_sym_SLASH] = ACTIONS(205),
    [anon_sym_x] = ACTIONS(205),
    [anon_sym_EQ_TILDE] = ACTIONS(205),
    [anon_sym_BANG_TILDE] = ACTIONS(205),
    [anon_sym_EQ_EQ] = ACTIONS(205),
    [anon_sym_BANG_EQ] = ACTIONS(205),
    [anon_sym_eq] = ACTIONS(205),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(205),
    [anon_sym_equ] = ACTIONS(205),
    [anon_sym_eqr] = ACTIONS(205),
    [anon_sym_ne] = ACTIONS(205),
    [anon_sym_LT_EQ_GT] = ACTIONS(205),
    [anon_sym_cmp] = ACTIONS(205),
    [anon_sym_TILDE_TILDE] = ACTIONS(205),
    [anon_sym_LT] = ACTIONS(205),
    [anon_sym_LT_EQ] = ACTIONS(205),
    [anon_sym_GT_EQ] = ACTIONS(205),
    [anon_sym_lt] = ACTIONS(205),
    [anon_sym_le] = ACTIONS(205),
    [anon_sym_ge] = ACTIONS(205),
    [anon_sym_gt] = ACTIONS(205),
    [anon_sym_isa] = ACTIONS(205),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_QMARK] = ACTIONS(205),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(205),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [15] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1782),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(15),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_RBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_EQ] = ACTIONS(201),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(201),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(201),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_COMMA] = ACTIONS(201),
    [anon_sym_RPAREN] = ACTIONS(201),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(201),
    [anon_sym_and] = ACTIONS(201),
    [anon_sym_or] = ACTIONS(201),
    [anon_sym_xor] = ACTIONS(201),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_RBRACK] = ACTIONS(201),
    [anon_sym_DASH_GT] = ACTIONS(201),
    [anon_sym_PERCENT] = ACTIONS(201),
    [anon_sym_GT] = ACTIONS(201),
    [anon_sym_LT_LT] = ACTIONS(201),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(201),
    [anon_sym_PLUS_EQ] = ACTIONS(201),
    [anon_sym_DASH_EQ] = ACTIONS(201),
    [anon_sym_DOT_EQ] = ACTIONS(201),
    [anon_sym_STAR_EQ] = ACTIONS(201),
    [anon_sym_SLASH_EQ] = ACTIONS(201),
    [anon_sym_PERCENT_EQ] = ACTIONS(201),
    [anon_sym_x_EQ] = ACTIONS(201),
    [anon_sym_AMP_EQ] = ACTIONS(201),
    [anon_sym_PIPE_EQ] = ACTIONS(201),
    [anon_sym_CARET_EQ] = ACTIONS(201),
    [anon_sym_LT_LT_EQ] = ACTIONS(201),
    [anon_sym_GT_GT_EQ] = ACTIONS(201),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(201),
    [anon_sym_DOT_DOT] = ACTIONS(201),
    [anon_sym_STAR_STAR] = ACTIONS(201),
    [anon_sym_PIPE_PIPE] = ACTIONS(201),
    [anon_sym_SLASH_SLASH] = ACTIONS(201),
    [anon_sym_CARET_CARET] = ACTIONS(201),
    [anon_sym_AMP_AMP] = ACTIONS(201),
    [anon_sym_PIPE] = ACTIONS(201),
    [anon_sym_CARET] = ACTIONS(201),
    [anon_sym_AMP] = ACTIONS(201),
    [anon_sym_GT_GT2] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(201),
    [anon_sym_DASH] = ACTIONS(201),
    [anon_sym_DOT] = ACTIONS(201),
    [anon_sym_STAR] = ACTIONS(201),
    [anon_sym_SLASH] = ACTIONS(201),
    [anon_sym_x] = ACTIONS(201),
    [anon_sym_EQ_TILDE] = ACTIONS(201),
    [anon_sym_BANG_TILDE] = ACTIONS(201),
    [anon_sym_EQ_EQ] = ACTIONS(201),
    [anon_sym_BANG_EQ] = ACTIONS(201),
    [anon_sym_eq] = ACTIONS(201),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(201),
    [anon_sym_equ] = ACTIONS(201),
    [anon_sym_eqr] = ACTIONS(201),
    [anon_sym_ne] = ACTIONS(201),
    [anon_sym_LT_EQ_GT] = ACTIONS(201),
    [anon_sym_cmp] = ACTIONS(201),
    [anon_sym_TILDE_TILDE] = ACTIONS(201),
    [anon_sym_LT] = ACTIONS(201),
    [anon_sym_LT_EQ] = ACTIONS(201),
    [anon_sym_GT_EQ] = ACTIONS(201),
    [anon_sym_lt] = ACTIONS(201),
    [anon_sym_le] = ACTIONS(201),
    [anon_sym_ge] = ACTIONS(201),
    [anon_sym_gt] = ACTIONS(201),
    [anon_sym_isa] = ACTIONS(201),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_QMARK] = ACTIONS(201),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(201),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [16] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1685),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(16),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_RBRACE] = ACTIONS(182),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_EQ] = ACTIONS(182),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(182),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(182),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_COMMA] = ACTIONS(182),
    [anon_sym_RPAREN] = ACTIONS(182),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(182),
    [anon_sym_and] = ACTIONS(182),
    [anon_sym_or] = ACTIONS(182),
    [anon_sym_xor] = ACTIONS(182),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_RBRACK] = ACTIONS(182),
    [anon_sym_DASH_GT] = ACTIONS(182),
    [anon_sym_PERCENT] = ACTIONS(182),
    [anon_sym_GT] = ACTIONS(182),
    [anon_sym_LT_LT] = ACTIONS(364),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(182),
    [anon_sym_PLUS_EQ] = ACTIONS(182),
    [anon_sym_DASH_EQ] = ACTIONS(182),
    [anon_sym_DOT_EQ] = ACTIONS(182),
    [anon_sym_STAR_EQ] = ACTIONS(182),
    [anon_sym_SLASH_EQ] = ACTIONS(182),
    [anon_sym_PERCENT_EQ] = ACTIONS(182),
    [anon_sym_x_EQ] = ACTIONS(182),
    [anon_sym_AMP_EQ] = ACTIONS(182),
    [anon_sym_PIPE_EQ] = ACTIONS(182),
    [anon_sym_CARET_EQ] = ACTIONS(182),
    [anon_sym_LT_LT_EQ] = ACTIONS(182),
    [anon_sym_GT_GT_EQ] = ACTIONS(182),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(182),
    [anon_sym_DOT_DOT] = ACTIONS(182),
    [anon_sym_STAR_STAR] = ACTIONS(182),
    [anon_sym_PIPE_PIPE] = ACTIONS(182),
    [anon_sym_SLASH_SLASH] = ACTIONS(367),
    [anon_sym_CARET_CARET] = ACTIONS(182),
    [anon_sym_AMP_AMP] = ACTIONS(182),
    [anon_sym_PIPE] = ACTIONS(182),
    [anon_sym_CARET] = ACTIONS(182),
    [anon_sym_AMP] = ACTIONS(182),
    [anon_sym_GT_GT2] = ACTIONS(182),
    [anon_sym_PLUS] = ACTIONS(370),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_DOT] = ACTIONS(182),
    [anon_sym_STAR] = ACTIONS(182),
    [anon_sym_SLASH] = ACTIONS(182),
    [anon_sym_x] = ACTIONS(182),
    [anon_sym_EQ_TILDE] = ACTIONS(182),
    [anon_sym_BANG_TILDE] = ACTIONS(182),
    [anon_sym_EQ_EQ] = ACTIONS(182),
    [anon_sym_BANG_EQ] = ACTIONS(182),
    [anon_sym_eq] = ACTIONS(182),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(182),
    [anon_sym_equ] = ACTIONS(182),
    [anon_sym_eqr] = ACTIONS(182),
    [anon_sym_ne] = ACTIONS(182),
    [anon_sym_LT_EQ_GT] = ACTIONS(182),
    [anon_sym_cmp] = ACTIONS(182),
    [anon_sym_TILDE_TILDE] = ACTIONS(182),
    [anon_sym_LT] = ACTIONS(182),
    [anon_sym_LT_EQ] = ACTIONS(182),
    [anon_sym_GT_EQ] = ACTIONS(182),
    [anon_sym_lt] = ACTIONS(182),
    [anon_sym_le] = ACTIONS(182),
    [anon_sym_ge] = ACTIONS(182),
    [anon_sym_gt] = ACTIONS(182),
    [anon_sym_isa] = ACTIONS(182),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(376),
    [anon_sym_DASH_DASH] = ACTIONS(376),
    [anon_sym_QMARK] = ACTIONS(182),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(182),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [17] = {
    [sym__PERLY_BRACE_OPEN] = STATE(66),
    [sym_block] = STATE(916),
    [sym__fullstmt] = STATE(917),
    [sym_statement_label] = STATE(918),
    [sym__barestmt] = STATE(918),
    [sym_package_statement] = STATE(913),
    [sym_class_statement] = STATE(913),
    [sym_role_statement] = STATE(913),
    [sym_class_phaser_statement] = STATE(913),
    [sym_use_version_statement] = STATE(913),
    [sym_use_statement] = STATE(913),
    [sym_subroutine_declaration_statement] = STATE(913),
    [sym_method_declaration_statement] = STATE(913),
    [sym_phaser_statement] = STATE(913),
    [sym_conditional_statement] = STATE(913),
    [sym_loop_statement] = STATE(913),
    [sym_cstyle_for_statement] = STATE(913),
    [sym_for_statement] = STATE(913),
    [sym_try_statement] = STATE(913),
    [sym_defer_statement] = STATE(913),
    [sym_expression_statement] = STATE(3022),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym___DATA__] = STATE(3952),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(17),
    [sym__conditionals] = STATE(4100),
    [sym__loops] = STATE(3916),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(4107),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(28),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [ts_builtin_sym_end] = ACTIONS(379),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_SEMI] = ACTIONS(15),
    [anon_sym_package] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_role] = ACTIONS(21),
    [anon_sym_BUILD] = ACTIONS(23),
    [anon_sym_ADJUST] = ACTIONS(23),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(29),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(33),
    [anon_sym_method] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_defer] = ACTIONS(45),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(91),
    [anon_sym_no] = ACTIONS(91),
    [anon_sym_for] = ACTIONS(93),
    [anon_sym_foreach] = ACTIONS(93),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(97),
    [anon_sym_INIT] = ACTIONS(97),
    [anon_sym_CHECK] = ACTIONS(97),
    [anon_sym_UNITCHECK] = ACTIONS(97),
    [anon_sym_END] = ACTIONS(97),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(101),
    [anon_sym___END__] = ACTIONS(101),
    [anon_sym_EOT] = ACTIONS(103),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym__ctrl_z_hack] = ACTIONS(145),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [18] = {
    [sym__PERLY_BRACE_OPEN] = STATE(87),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(18),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(4110),
    [sym__ident_special] = STATE(4038),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(134),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(381),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(383),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(395),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(407),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [aux_sym__var_indirob_autoquote_token1] = ACTIONS(409),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__ident_special_token1] = ACTIONS(417),
    [aux_sym__bareword_token1] = ACTIONS(419),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
    [sym__brace_autoquoted_token] = ACTIONS(421),
  },
  [19] = {
    [sym__PERLY_BRACE_OPEN] = STATE(87),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(19),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(4110),
    [sym__ident_special] = STATE(4053),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(140),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(423),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(425),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(395),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(407),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [aux_sym__var_indirob_autoquote_token1] = ACTIONS(427),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__ident_special_token1] = ACTIONS(417),
    [aux_sym__bareword_token1] = ACTIONS(429),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
    [sym__brace_autoquoted_token] = ACTIONS(431),
  },
  [20] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2356),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym__label_arg] = STATE(2195),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(20),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_identifier] = STATE(2191),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(433),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_RBRACE] = ACTIONS(155),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(155),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_COMMA] = ACTIONS(155),
    [anon_sym_RPAREN] = ACTIONS(155),
    [anon_sym_my] = ACTIONS(439),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(439),
    [anon_sym_our] = ACTIONS(439),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_DASH_GT] = ACTIONS(155),
    [anon_sym_PERCENT] = ACTIONS(155),
    [anon_sym_GT] = ACTIONS(155),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_DOT_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_x_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT] = ACTIONS(155),
    [anon_sym_STAR_STAR] = ACTIONS(155),
    [anon_sym_PIPE_PIPE] = ACTIONS(155),
    [anon_sym_SLASH_SLASH] = ACTIONS(155),
    [anon_sym_CARET_CARET] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(155),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(155),
    [anon_sym_AMP] = ACTIONS(155),
    [anon_sym_GT_GT2] = ACTIONS(155),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(155),
    [anon_sym_DOT] = ACTIONS(155),
    [anon_sym_STAR] = ACTIONS(155),
    [anon_sym_SLASH] = ACTIONS(155),
    [anon_sym_x] = ACTIONS(155),
    [anon_sym_EQ_TILDE] = ACTIONS(155),
    [anon_sym_BANG_TILDE] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(155),
    [anon_sym_eq] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_equ] = ACTIONS(155),
    [anon_sym_eqr] = ACTIONS(155),
    [anon_sym_ne] = ACTIONS(155),
    [anon_sym_LT_EQ_GT] = ACTIONS(155),
    [anon_sym_cmp] = ACTIONS(155),
    [anon_sym_TILDE_TILDE] = ACTIONS(155),
    [anon_sym_LT] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_lt] = ACTIONS(155),
    [anon_sym_le] = ACTIONS(155),
    [anon_sym_ge] = ACTIONS(155),
    [anon_sym_gt] = ACTIONS(155),
    [anon_sym_isa] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(451),
    [anon_sym_BANG] = ACTIONS(451),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(155),
    [anon_sym_QMARK] = ACTIONS(155),
    [anon_sym_BSLASH] = ACTIONS(453),
    [anon_sym_do] = ACTIONS(455),
    [anon_sym_eval] = ACTIONS(457),
    [anon_sym_await] = ACTIONS(459),
    [anon_sym_field] = ACTIONS(439),
    [anon_sym_local] = ACTIONS(461),
    [anon_sym_dynamically] = ACTIONS(461),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(465),
    [anon_sym_map] = ACTIONS(467),
    [anon_sym_grep] = ACTIONS(467),
    [anon_sym_sort] = ACTIONS(469),
    [anon_sym_goto] = ACTIONS(471),
    [anon_sym_return] = ACTIONS(473),
    [anon_sym_undef] = ACTIONS(475),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(155),
    [anon_sym_last] = ACTIONS(479),
    [anon_sym_next] = ACTIONS(479),
    [anon_sym_redo] = ACTIONS(479),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(481),
    [anon_sym_alarm] = ACTIONS(481),
    [anon_sym_chop] = ACTIONS(481),
    [anon_sym_chdir] = ACTIONS(481),
    [anon_sym_close] = ACTIONS(481),
    [anon_sym_closedir] = ACTIONS(481),
    [anon_sym_caller] = ACTIONS(481),
    [anon_sym_chomp] = ACTIONS(481),
    [anon_sym_chr] = ACTIONS(481),
    [anon_sym_cos] = ACTIONS(481),
    [anon_sym_chroot] = ACTIONS(481),
    [anon_sym_defined] = ACTIONS(481),
    [anon_sym_delete] = ACTIONS(481),
    [anon_sym_dbmclose] = ACTIONS(481),
    [anon_sym_exists] = ACTIONS(481),
    [anon_sym_exit] = ACTIONS(481),
    [anon_sym_eof] = ACTIONS(481),
    [anon_sym_exp] = ACTIONS(481),
    [anon_sym_each] = ACTIONS(481),
    [anon_sym_fc] = ACTIONS(481),
    [anon_sym_fileno] = ACTIONS(481),
    [anon_sym_gmtime] = ACTIONS(481),
    [anon_sym_getc] = ACTIONS(481),
    [anon_sym_getpgrp] = ACTIONS(481),
    [anon_sym_getprotobyname] = ACTIONS(481),
    [anon_sym_getpwname] = ACTIONS(481),
    [anon_sym_getpwuid] = ACTIONS(481),
    [anon_sym_getpeername] = ACTIONS(481),
    [anon_sym_getnetbyname] = ACTIONS(481),
    [anon_sym_getsockname] = ACTIONS(481),
    [anon_sym_getgrnam] = ACTIONS(481),
    [anon_sym_getgrgid] = ACTIONS(481),
    [anon_sym_hex] = ACTIONS(481),
    [anon_sym_int] = ACTIONS(481),
    [anon_sym_keys] = ACTIONS(481),
    [anon_sym_lc] = ACTIONS(481),
    [anon_sym_lcfirst] = ACTIONS(481),
    [anon_sym_length] = ACTIONS(481),
    [anon_sym_localtime] = ACTIONS(481),
    [anon_sym_log] = ACTIONS(481),
    [anon_sym_lock] = ACTIONS(481),
    [anon_sym_lstat] = ACTIONS(481),
    [anon_sym_oct] = ACTIONS(481),
    [anon_sym_ord] = ACTIONS(481),
    [anon_sym_prototype] = ACTIONS(481),
    [anon_sym_pop] = ACTIONS(481),
    [anon_sym_pos] = ACTIONS(481),
    [anon_sym_quotemeta] = ACTIONS(481),
    [anon_sym_reset] = ACTIONS(481),
    [anon_sym_rand] = ACTIONS(481),
    [anon_sym_rmdir] = ACTIONS(481),
    [anon_sym_readdir] = ACTIONS(481),
    [anon_sym_readline] = ACTIONS(481),
    [anon_sym_readpipe] = ACTIONS(481),
    [anon_sym_rewinddir] = ACTIONS(481),
    [anon_sym_readlink] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(481),
    [anon_sym_scalar] = ACTIONS(481),
    [anon_sym_shift] = ACTIONS(481),
    [anon_sym_sin] = ACTIONS(481),
    [anon_sym_sleep] = ACTIONS(481),
    [anon_sym_sqrt] = ACTIONS(481),
    [anon_sym_srand] = ACTIONS(481),
    [anon_sym_stat] = ACTIONS(481),
    [anon_sym_study] = ACTIONS(481),
    [anon_sym_tell] = ACTIONS(481),
    [anon_sym_telldir] = ACTIONS(481),
    [anon_sym_tied] = ACTIONS(481),
    [anon_sym_uc] = ACTIONS(481),
    [anon_sym_ucfirst] = ACTIONS(481),
    [anon_sym_untie] = ACTIONS(481),
    [anon_sym_umask] = ACTIONS(481),
    [anon_sym_values] = ACTIONS(481),
    [anon_sym_write] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(513),
  },
  [21] = {
    [sym__PERLY_BRACE_OPEN] = STATE(235),
    [sym__subscripted] = STATE(1532),
    [sym_container_variable] = STATE(3855),
    [sym_array_element_expression] = STATE(1533),
    [sym_hash_element_expression] = STATE(1533),
    [sym_coderef_call_expression] = STATE(1533),
    [sym_anonymous_slice_expression] = STATE(1533),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(1967),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(1967),
    [sym__term] = STATE(1812),
    [sym_readline_expression] = STATE(1967),
    [sym_fileglob_expression] = STATE(1967),
    [sym_assignment_expression] = STATE(1967),
    [sym_binary_expression] = STATE(1967),
    [sym_equality_expression] = STATE(1967),
    [sym_relational_expression] = STATE(1967),
    [sym_unary_expression] = STATE(1967),
    [sym_preinc_expression] = STATE(1967),
    [sym_postinc_expression] = STATE(1967),
    [sym_conditional_expression] = STATE(1967),
    [sym_refgen_expression] = STATE(1967),
    [sym_anonymous_array_expression] = STATE(1967),
    [sym_anonymous_hash_expression] = STATE(1967),
    [sym_anonymous_subroutine_expression] = STATE(1967),
    [sym_anonymous_method_expression] = STATE(1967),
    [sym_do_expression] = STATE(1967),
    [sym_eval_expression] = STATE(1967),
    [sym_await_expression] = STATE(1967),
    [sym_variable_declaration] = STATE(1967),
    [sym_localization_expression] = STATE(1967),
    [sym_stub_expression] = STATE(1967),
    [sym_scalar_deref_expression] = STATE(1967),
    [sym_array_deref_expression] = STATE(1967),
    [sym_arraylen_deref_expression] = STATE(1967),
    [sym_hash_deref_expression] = STATE(1967),
    [sym_amper_deref_expression] = STATE(1967),
    [sym_glob_deref_expression] = STATE(1967),
    [sym_require_expression] = STATE(1967),
    [sym_require_version_expression] = STATE(1967),
    [sym_func0op_call_expression] = STATE(1967),
    [sym_func1op_call_expression] = STATE(1967),
    [sym_map_grep_expression] = STATE(1967),
    [sym_sort_expression] = STATE(1967),
    [sym__label_arg] = STATE(1816),
    [sym_loopex_expression] = STATE(1967),
    [sym_goto_expression] = STATE(1967),
    [sym_return_expression] = STATE(1967),
    [sym_undef_expression] = STATE(1967),
    [sym__listop] = STATE(1967),
    [sym_function_call_expression] = STATE(1968),
    [sym_ambiguous_function_call_expression] = STATE(1968),
    [sym_function] = STATE(389),
    [sym_method_call_expression] = STATE(1968),
    [sym_scalar] = STATE(1967),
    [sym_array] = STATE(1967),
    [sym__SUB_AMPER] = STATE(2686),
    [sym__GLOB_STAR] = STATE(2687),
    [sym_hash] = STATE(1967),
    [sym_arraylen] = STATE(1967),
    [sym_amper_sub] = STATE(1785),
    [sym_glob] = STATE(1786),
    [sym_glob_slot_expression] = STATE(1967),
    [sym__literal] = STATE(1967),
    [sym__apostrophe] = STATE(3328),
    [sym__quotation_mark] = STATE(2501),
    [sym__backtick] = STATE(2502),
    [sym__search_slash] = STATE(2454),
    [sym_string_literal] = STATE(1969),
    [sym_interpolated_string_literal] = STATE(1969),
    [sym_quoted_word_list] = STATE(1787),
    [sym_command_string] = STATE(1969),
    [sym_quoted_regexp] = STATE(1969),
    [sym_match_regexp] = STATE(1969),
    [sym_substitution_regexp] = STATE(1969),
    [sym_transliteration_expression] = STATE(1969),
    [sym_heredoc_token] = STATE(1967),
    [sym_command_heredoc_token] = STATE(1967),
    [sym_heredoc_content] = STATE(21),
    [sym_autoquoted_bareword] = STATE(1967),
    [sym_identifier] = STATE(1814),
    [sym_bareword] = STATE(1967),
    [sym_primitive] = STATE(1967),
    [sym_boolean] = STATE(1965),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3342),
    [sym__identifier] = ACTIONS(515),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_COLON] = ACTIONS(155),
    [anon_sym_DOLLAR] = ACTIONS(155),
    [anon_sym_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(155),
    [anon_sym_AT] = ACTIONS(155),
    [anon_sym_COMMA] = ACTIONS(155),
    [anon_sym_RPAREN] = ACTIONS(155),
    [anon_sym_my] = ACTIONS(517),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(519),
    [anon_sym_method] = ACTIONS(521),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_continue] = ACTIONS(525),
    [anon_sym_state] = ACTIONS(517),
    [anon_sym_our] = ACTIONS(517),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_DASH_GT] = ACTIONS(155),
    [anon_sym_PERCENT] = ACTIONS(155),
    [anon_sym_GT] = ACTIONS(155),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_DOT_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_x_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT] = ACTIONS(155),
    [anon_sym_STAR_STAR] = ACTIONS(155),
    [anon_sym_PIPE_PIPE] = ACTIONS(155),
    [anon_sym_SLASH_SLASH] = ACTIONS(155),
    [anon_sym_CARET_CARET] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(155),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(155),
    [anon_sym_AMP] = ACTIONS(155),
    [anon_sym_GT_GT2] = ACTIONS(155),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(155),
    [anon_sym_DOT] = ACTIONS(155),
    [anon_sym_STAR] = ACTIONS(155),
    [anon_sym_SLASH] = ACTIONS(155),
    [anon_sym_x] = ACTIONS(155),
    [anon_sym_EQ_TILDE] = ACTIONS(155),
    [anon_sym_BANG_TILDE] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(155),
    [anon_sym_eq] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_equ] = ACTIONS(155),
    [anon_sym_eqr] = ACTIONS(155),
    [anon_sym_ne] = ACTIONS(155),
    [anon_sym_LT_EQ_GT] = ACTIONS(155),
    [anon_sym_cmp] = ACTIONS(155),
    [anon_sym_TILDE_TILDE] = ACTIONS(155),
    [anon_sym_LT] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_lt] = ACTIONS(155),
    [anon_sym_le] = ACTIONS(155),
    [anon_sym_ge] = ACTIONS(155),
    [anon_sym_gt] = ACTIONS(155),
    [anon_sym_isa] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(155),
    [anon_sym_QMARK] = ACTIONS(155),
    [anon_sym_BSLASH] = ACTIONS(531),
    [anon_sym_do] = ACTIONS(533),
    [anon_sym_eval] = ACTIONS(535),
    [anon_sym_await] = ACTIONS(537),
    [anon_sym_field] = ACTIONS(517),
    [anon_sym_local] = ACTIONS(539),
    [anon_sym_dynamically] = ACTIONS(539),
    [anon_sym_DOLLAR_POUND] = ACTIONS(541),
    [anon_sym_require] = ACTIONS(543),
    [anon_sym_map] = ACTIONS(545),
    [anon_sym_grep] = ACTIONS(545),
    [anon_sym_sort] = ACTIONS(547),
    [anon_sym_goto] = ACTIONS(549),
    [anon_sym_return] = ACTIONS(551),
    [anon_sym_undef] = ACTIONS(553),
    [anon_sym_PERCENT2] = ACTIONS(155),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(155),
    [anon_sym_last] = ACTIONS(555),
    [anon_sym_next] = ACTIONS(555),
    [anon_sym_redo] = ACTIONS(555),
    [anon_sym___FILE__] = ACTIONS(525),
    [anon_sym___LINE__] = ACTIONS(525),
    [anon_sym___PACKAGE__] = ACTIONS(525),
    [anon_sym___SUB__] = ACTIONS(525),
    [anon_sym_break] = ACTIONS(525),
    [anon_sym_fork] = ACTIONS(525),
    [anon_sym_getppid] = ACTIONS(525),
    [anon_sym_time] = ACTIONS(525),
    [anon_sym_times] = ACTIONS(525),
    [anon_sym_wait] = ACTIONS(525),
    [anon_sym_wantarray] = ACTIONS(525),
    [anon_sym_abs] = ACTIONS(557),
    [anon_sym_alarm] = ACTIONS(557),
    [anon_sym_chop] = ACTIONS(557),
    [anon_sym_chdir] = ACTIONS(557),
    [anon_sym_close] = ACTIONS(557),
    [anon_sym_closedir] = ACTIONS(557),
    [anon_sym_caller] = ACTIONS(557),
    [anon_sym_chomp] = ACTIONS(557),
    [anon_sym_chr] = ACTIONS(557),
    [anon_sym_cos] = ACTIONS(557),
    [anon_sym_chroot] = ACTIONS(557),
    [anon_sym_defined] = ACTIONS(557),
    [anon_sym_delete] = ACTIONS(557),
    [anon_sym_dbmclose] = ACTIONS(557),
    [anon_sym_exists] = ACTIONS(557),
    [anon_sym_exit] = ACTIONS(557),
    [anon_sym_eof] = ACTIONS(557),
    [anon_sym_exp] = ACTIONS(557),
    [anon_sym_each] = ACTIONS(557),
    [anon_sym_fc] = ACTIONS(557),
    [anon_sym_fileno] = ACTIONS(557),
    [anon_sym_gmtime] = ACTIONS(557),
    [anon_sym_getc] = ACTIONS(557),
    [anon_sym_getpgrp] = ACTIONS(557),
    [anon_sym_getprotobyname] = ACTIONS(557),
    [anon_sym_getpwname] = ACTIONS(557),
    [anon_sym_getpwuid] = ACTIONS(557),
    [anon_sym_getpeername] = ACTIONS(557),
    [anon_sym_getnetbyname] = ACTIONS(557),
    [anon_sym_getsockname] = ACTIONS(557),
    [anon_sym_getgrnam] = ACTIONS(557),
    [anon_sym_getgrgid] = ACTIONS(557),
    [anon_sym_hex] = ACTIONS(557),
    [anon_sym_int] = ACTIONS(557),
    [anon_sym_keys] = ACTIONS(557),
    [anon_sym_lc] = ACTIONS(557),
    [anon_sym_lcfirst] = ACTIONS(557),
    [anon_sym_length] = ACTIONS(557),
    [anon_sym_localtime] = ACTIONS(557),
    [anon_sym_log] = ACTIONS(557),
    [anon_sym_lock] = ACTIONS(557),
    [anon_sym_lstat] = ACTIONS(557),
    [anon_sym_oct] = ACTIONS(557),
    [anon_sym_ord] = ACTIONS(557),
    [anon_sym_prototype] = ACTIONS(557),
    [anon_sym_pop] = ACTIONS(557),
    [anon_sym_pos] = ACTIONS(557),
    [anon_sym_quotemeta] = ACTIONS(557),
    [anon_sym_reset] = ACTIONS(557),
    [anon_sym_rand] = ACTIONS(557),
    [anon_sym_rmdir] = ACTIONS(557),
    [anon_sym_readdir] = ACTIONS(557),
    [anon_sym_readline] = ACTIONS(557),
    [anon_sym_readpipe] = ACTIONS(557),
    [anon_sym_rewinddir] = ACTIONS(557),
    [anon_sym_readlink] = ACTIONS(557),
    [anon_sym_ref] = ACTIONS(557),
    [anon_sym_scalar] = ACTIONS(557),
    [anon_sym_shift] = ACTIONS(557),
    [anon_sym_sin] = ACTIONS(557),
    [anon_sym_sleep] = ACTIONS(557),
    [anon_sym_sqrt] = ACTIONS(557),
    [anon_sym_srand] = ACTIONS(557),
    [anon_sym_stat] = ACTIONS(557),
    [anon_sym_study] = ACTIONS(557),
    [anon_sym_tell] = ACTIONS(557),
    [anon_sym_telldir] = ACTIONS(557),
    [anon_sym_tied] = ACTIONS(557),
    [anon_sym_uc] = ACTIONS(557),
    [anon_sym_ucfirst] = ACTIONS(557),
    [anon_sym_untie] = ACTIONS(557),
    [anon_sym_umask] = ACTIONS(557),
    [anon_sym_values] = ACTIONS(557),
    [anon_sym_write] = ACTIONS(557),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(559),
    [anon_sym_qq] = ACTIONS(561),
    [anon_sym_qw] = ACTIONS(563),
    [anon_sym_qx] = ACTIONS(565),
    [anon_sym_qr] = ACTIONS(567),
    [anon_sym_m] = ACTIONS(569),
    [anon_sym_s] = ACTIONS(571),
    [anon_sym_tr] = ACTIONS(573),
    [anon_sym_y] = ACTIONS(573),
    [aux_sym__bareword_token1] = ACTIONS(575),
    [sym_number] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(581),
    [sym__open_fileglob_bracket] = ACTIONS(583),
    [sym__PERLY_HEREDOC] = ACTIONS(585),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(587),
    [sym__filetest] = ACTIONS(589),
  },
  [22] = {
    [sym__PERLY_BRACE_OPEN] = STATE(87),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(22),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(4110),
    [sym__ident_special] = STATE(3926),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(120),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(591),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(593),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(395),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(407),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [aux_sym__var_indirob_autoquote_token1] = ACTIONS(595),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__ident_special_token1] = ACTIONS(417),
    [aux_sym__bareword_token1] = ACTIONS(597),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
    [sym__brace_autoquoted_token] = ACTIONS(599),
  },
  [23] = {
    [sym__PERLY_BRACE_OPEN] = STATE(87),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(23),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(4110),
    [sym__ident_special] = STATE(4097),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(99),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(601),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(603),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(395),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(407),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [aux_sym__var_indirob_autoquote_token1] = ACTIONS(605),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__ident_special_token1] = ACTIONS(417),
    [aux_sym__bareword_token1] = ACTIONS(607),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
    [sym__brace_autoquoted_token] = ACTIONS(609),
  },
  [24] = {
    [sym__PERLY_BRACE_OPEN] = STATE(87),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(24),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(4110),
    [sym__ident_special] = STATE(4098),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(102),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(611),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(613),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(395),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(407),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [aux_sym__var_indirob_autoquote_token1] = ACTIONS(615),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__ident_special_token1] = ACTIONS(417),
    [aux_sym__bareword_token1] = ACTIONS(617),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
    [sym__brace_autoquoted_token] = ACTIONS(619),
  },
  [25] = {
    [sym__PERLY_BRACE_OPEN] = STATE(87),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(25),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(4110),
    [sym__ident_special] = STATE(3915),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(104),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(621),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(623),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(395),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(407),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [aux_sym__var_indirob_autoquote_token1] = ACTIONS(625),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__ident_special_token1] = ACTIONS(417),
    [aux_sym__bareword_token1] = ACTIONS(627),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
    [sym__brace_autoquoted_token] = ACTIONS(629),
  },
  [26] = {
    [sym__PERLY_BRACE_OPEN] = STATE(87),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(26),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(4110),
    [sym__ident_special] = STATE(3961),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(106),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(631),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(633),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(395),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(407),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [aux_sym__var_indirob_autoquote_token1] = ACTIONS(635),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__ident_special_token1] = ACTIONS(417),
    [aux_sym__bareword_token1] = ACTIONS(637),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
    [sym__brace_autoquoted_token] = ACTIONS(639),
  },
  [27] = {
    [sym__PERLY_BRACE_OPEN] = STATE(87),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(27),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(4110),
    [sym__ident_special] = STATE(3982),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(88),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(641),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(643),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(395),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(407),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [aux_sym__var_indirob_autoquote_token1] = ACTIONS(645),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__ident_special_token1] = ACTIONS(417),
    [aux_sym__bareword_token1] = ACTIONS(647),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
    [sym__brace_autoquoted_token] = ACTIONS(649),
  },
  [28] = {
    [sym__PERLY_BRACE_OPEN] = STATE(66),
    [sym_block] = STATE(916),
    [sym__fullstmt] = STATE(917),
    [sym_statement_label] = STATE(918),
    [sym__barestmt] = STATE(918),
    [sym_package_statement] = STATE(913),
    [sym_class_statement] = STATE(913),
    [sym_role_statement] = STATE(913),
    [sym_class_phaser_statement] = STATE(913),
    [sym_use_version_statement] = STATE(913),
    [sym_use_statement] = STATE(913),
    [sym_subroutine_declaration_statement] = STATE(913),
    [sym_method_declaration_statement] = STATE(913),
    [sym_phaser_statement] = STATE(913),
    [sym_conditional_statement] = STATE(913),
    [sym_loop_statement] = STATE(913),
    [sym_cstyle_for_statement] = STATE(913),
    [sym_for_statement] = STATE(913),
    [sym_try_statement] = STATE(913),
    [sym_defer_statement] = STATE(913),
    [sym_expression_statement] = STATE(3022),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(28),
    [sym__conditionals] = STATE(4100),
    [sym__loops] = STATE(3916),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(4107),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(28),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [ts_builtin_sym_end] = ACTIONS(651),
    [sym__identifier] = ACTIONS(653),
    [anon_sym_LBRACE] = ACTIONS(656),
    [anon_sym_SEMI] = ACTIONS(659),
    [anon_sym_package] = ACTIONS(662),
    [anon_sym_class] = ACTIONS(665),
    [anon_sym_role] = ACTIONS(668),
    [anon_sym_BUILD] = ACTIONS(671),
    [anon_sym_ADJUST] = ACTIONS(671),
    [anon_sym_DOLLAR] = ACTIONS(674),
    [anon_sym_AT] = ACTIONS(677),
    [anon_sym_my] = ACTIONS(680),
    [anon_sym_extended] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(683),
    [anon_sym_sub] = ACTIONS(686),
    [anon_sym_method] = ACTIONS(689),
    [anon_sym_LPAREN] = ACTIONS(692),
    [anon_sym_continue] = ACTIONS(695),
    [anon_sym_state] = ACTIONS(698),
    [anon_sym_our] = ACTIONS(698),
    [anon_sym_try] = ACTIONS(701),
    [anon_sym_defer] = ACTIONS(704),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(710),
    [anon_sym_LT_LT] = ACTIONS(713),
    [anon_sym_SLASH_SLASH] = ACTIONS(716),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(722),
    [anon_sym_TILDE] = ACTIONS(719),
    [anon_sym_BANG] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(725),
    [anon_sym_DASH_DASH] = ACTIONS(725),
    [anon_sym_BSLASH] = ACTIONS(728),
    [anon_sym_do] = ACTIONS(731),
    [anon_sym_eval] = ACTIONS(734),
    [anon_sym_await] = ACTIONS(737),
    [anon_sym_field] = ACTIONS(698),
    [anon_sym_local] = ACTIONS(740),
    [anon_sym_dynamically] = ACTIONS(740),
    [anon_sym_DOLLAR_POUND] = ACTIONS(743),
    [anon_sym_require] = ACTIONS(746),
    [anon_sym_map] = ACTIONS(749),
    [anon_sym_grep] = ACTIONS(749),
    [anon_sym_sort] = ACTIONS(752),
    [anon_sym_goto] = ACTIONS(755),
    [anon_sym_return] = ACTIONS(758),
    [anon_sym_undef] = ACTIONS(761),
    [anon_sym_PERCENT2] = ACTIONS(764),
    [anon_sym_AMP2] = ACTIONS(767),
    [anon_sym_STAR2] = ACTIONS(770),
    [anon_sym_use] = ACTIONS(773),
    [anon_sym_no] = ACTIONS(773),
    [anon_sym_for] = ACTIONS(776),
    [anon_sym_foreach] = ACTIONS(776),
    [anon_sym_last] = ACTIONS(779),
    [anon_sym_next] = ACTIONS(779),
    [anon_sym_redo] = ACTIONS(779),
    [anon_sym_BEGIN] = ACTIONS(782),
    [anon_sym_INIT] = ACTIONS(782),
    [anon_sym_CHECK] = ACTIONS(782),
    [anon_sym_UNITCHECK] = ACTIONS(782),
    [anon_sym_END] = ACTIONS(782),
    [anon_sym___FILE__] = ACTIONS(695),
    [anon_sym___LINE__] = ACTIONS(695),
    [anon_sym___PACKAGE__] = ACTIONS(695),
    [anon_sym___SUB__] = ACTIONS(695),
    [anon_sym_break] = ACTIONS(695),
    [anon_sym_fork] = ACTIONS(695),
    [anon_sym_getppid] = ACTIONS(695),
    [anon_sym_time] = ACTIONS(695),
    [anon_sym_times] = ACTIONS(695),
    [anon_sym_wait] = ACTIONS(695),
    [anon_sym_wantarray] = ACTIONS(695),
    [anon_sym_abs] = ACTIONS(785),
    [anon_sym_alarm] = ACTIONS(785),
    [anon_sym_chop] = ACTIONS(785),
    [anon_sym_chdir] = ACTIONS(785),
    [anon_sym_close] = ACTIONS(785),
    [anon_sym_closedir] = ACTIONS(785),
    [anon_sym_caller] = ACTIONS(785),
    [anon_sym_chomp] = ACTIONS(785),
    [anon_sym_chr] = ACTIONS(785),
    [anon_sym_cos] = ACTIONS(785),
    [anon_sym_chroot] = ACTIONS(785),
    [anon_sym_defined] = ACTIONS(785),
    [anon_sym_delete] = ACTIONS(785),
    [anon_sym_dbmclose] = ACTIONS(785),
    [anon_sym_exists] = ACTIONS(785),
    [anon_sym_exit] = ACTIONS(785),
    [anon_sym_eof] = ACTIONS(785),
    [anon_sym_exp] = ACTIONS(785),
    [anon_sym_each] = ACTIONS(785),
    [anon_sym_fc] = ACTIONS(785),
    [anon_sym_fileno] = ACTIONS(785),
    [anon_sym_gmtime] = ACTIONS(785),
    [anon_sym_getc] = ACTIONS(785),
    [anon_sym_getpgrp] = ACTIONS(785),
    [anon_sym_getprotobyname] = ACTIONS(785),
    [anon_sym_getpwname] = ACTIONS(785),
    [anon_sym_getpwuid] = ACTIONS(785),
    [anon_sym_getpeername] = ACTIONS(785),
    [anon_sym_getnetbyname] = ACTIONS(785),
    [anon_sym_getsockname] = ACTIONS(785),
    [anon_sym_getgrnam] = ACTIONS(785),
    [anon_sym_getgrgid] = ACTIONS(785),
    [anon_sym_hex] = ACTIONS(785),
    [anon_sym_int] = ACTIONS(785),
    [anon_sym_keys] = ACTIONS(785),
    [anon_sym_lc] = ACTIONS(785),
    [anon_sym_lcfirst] = ACTIONS(785),
    [anon_sym_length] = ACTIONS(785),
    [anon_sym_localtime] = ACTIONS(785),
    [anon_sym_log] = ACTIONS(785),
    [anon_sym_lock] = ACTIONS(785),
    [anon_sym_lstat] = ACTIONS(785),
    [anon_sym_oct] = ACTIONS(785),
    [anon_sym_ord] = ACTIONS(785),
    [anon_sym_prototype] = ACTIONS(785),
    [anon_sym_pop] = ACTIONS(785),
    [anon_sym_pos] = ACTIONS(785),
    [anon_sym_quotemeta] = ACTIONS(785),
    [anon_sym_reset] = ACTIONS(785),
    [anon_sym_rand] = ACTIONS(785),
    [anon_sym_rmdir] = ACTIONS(785),
    [anon_sym_readdir] = ACTIONS(785),
    [anon_sym_readline] = ACTIONS(785),
    [anon_sym_readpipe] = ACTIONS(785),
    [anon_sym_rewinddir] = ACTIONS(785),
    [anon_sym_readlink] = ACTIONS(785),
    [anon_sym_ref] = ACTIONS(785),
    [anon_sym_scalar] = ACTIONS(785),
    [anon_sym_shift] = ACTIONS(785),
    [anon_sym_sin] = ACTIONS(785),
    [anon_sym_sleep] = ACTIONS(785),
    [anon_sym_sqrt] = ACTIONS(785),
    [anon_sym_srand] = ACTIONS(785),
    [anon_sym_stat] = ACTIONS(785),
    [anon_sym_study] = ACTIONS(785),
    [anon_sym_tell] = ACTIONS(785),
    [anon_sym_telldir] = ACTIONS(785),
    [anon_sym_tied] = ACTIONS(785),
    [anon_sym_uc] = ACTIONS(785),
    [anon_sym_ucfirst] = ACTIONS(785),
    [anon_sym_untie] = ACTIONS(785),
    [anon_sym_umask] = ACTIONS(785),
    [anon_sym_values] = ACTIONS(785),
    [anon_sym_write] = ACTIONS(785),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(788),
    [anon_sym___END__] = ACTIONS(788),
    [anon_sym_EOT] = ACTIONS(788),
    [anon_sym_q] = ACTIONS(790),
    [anon_sym_qq] = ACTIONS(793),
    [anon_sym_qw] = ACTIONS(796),
    [anon_sym_qx] = ACTIONS(799),
    [anon_sym_qr] = ACTIONS(802),
    [anon_sym_m] = ACTIONS(805),
    [anon_sym_s] = ACTIONS(808),
    [anon_sym_tr] = ACTIONS(811),
    [anon_sym_y] = ACTIONS(811),
    [anon_sym_if] = ACTIONS(814),
    [anon_sym_unless] = ACTIONS(814),
    [anon_sym_while] = ACTIONS(817),
    [anon_sym_until] = ACTIONS(817),
    [aux_sym__bareword_token1] = ACTIONS(820),
    [sym_number] = ACTIONS(823),
    [anon_sym_true] = ACTIONS(826),
    [anon_sym_false] = ACTIONS(826),
    [sym__single_quote] = ACTIONS(829),
    [sym__double_quote] = ACTIONS(832),
    [sym__backtick_quote] = ACTIONS(835),
    [sym__search_slash_quote] = ACTIONS(838),
    [sym__open_readline_bracket] = ACTIONS(841),
    [sym__open_fileglob_bracket] = ACTIONS(844),
    [sym__PERLY_HEREDOC] = ACTIONS(847),
    [sym__ctrl_z_hack] = ACTIONS(651),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(850),
    [sym__filetest] = ACTIONS(853),
  },
  [29] = {
    [sym__PERLY_BRACE_OPEN] = STATE(87),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(29),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(4110),
    [sym__ident_special] = STATE(3991),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(115),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(856),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(858),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(395),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(407),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [aux_sym__var_indirob_autoquote_token1] = ACTIONS(860),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__ident_special_token1] = ACTIONS(417),
    [aux_sym__bareword_token1] = ACTIONS(862),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
    [sym__brace_autoquoted_token] = ACTIONS(864),
  },
  [30] = {
    [sym__PERLY_BRACE_OPEN] = STATE(87),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(30),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(4110),
    [sym__ident_special] = STATE(3995),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(118),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(866),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(868),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(395),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(407),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [aux_sym__var_indirob_autoquote_token1] = ACTIONS(870),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__ident_special_token1] = ACTIONS(417),
    [aux_sym__bareword_token1] = ACTIONS(872),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
    [sym__brace_autoquoted_token] = ACTIONS(874),
  },
  [31] = {
    [sym__PERLY_BRACE_OPEN] = STATE(87),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(31),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(4110),
    [sym__ident_special] = STATE(3999),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(145),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(876),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(878),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(395),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(407),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [aux_sym__var_indirob_autoquote_token1] = ACTIONS(880),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__ident_special_token1] = ACTIONS(417),
    [aux_sym__bareword_token1] = ACTIONS(882),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
    [sym__brace_autoquoted_token] = ACTIONS(884),
  },
  [32] = {
    [sym__PERLY_BRACE_OPEN] = STATE(87),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(32),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(4110),
    [sym__ident_special] = STATE(4002),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(121),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(886),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(888),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(395),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(407),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [aux_sym__var_indirob_autoquote_token1] = ACTIONS(890),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__ident_special_token1] = ACTIONS(417),
    [aux_sym__bareword_token1] = ACTIONS(892),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
    [sym__brace_autoquoted_token] = ACTIONS(894),
  },
  [33] = {
    [sym__PERLY_BRACE_OPEN] = STATE(87),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(33),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(4110),
    [sym__ident_special] = STATE(4005),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(108),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(896),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(898),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(395),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(407),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [aux_sym__var_indirob_autoquote_token1] = ACTIONS(900),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__ident_special_token1] = ACTIONS(417),
    [aux_sym__bareword_token1] = ACTIONS(902),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
    [sym__brace_autoquoted_token] = ACTIONS(904),
  },
  [34] = {
    [sym__PERLY_BRACE_OPEN] = STATE(87),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(34),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(4110),
    [sym__ident_special] = STATE(4008),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(122),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(906),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(908),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(395),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(407),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [aux_sym__var_indirob_autoquote_token1] = ACTIONS(910),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__ident_special_token1] = ACTIONS(417),
    [aux_sym__bareword_token1] = ACTIONS(912),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
    [sym__brace_autoquoted_token] = ACTIONS(914),
  },
  [35] = {
    [sym__PERLY_BRACE_OPEN] = STATE(87),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(35),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(4110),
    [sym__ident_special] = STATE(4011),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(111),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(916),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(918),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(395),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(407),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [aux_sym__var_indirob_autoquote_token1] = ACTIONS(920),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__ident_special_token1] = ACTIONS(417),
    [aux_sym__bareword_token1] = ACTIONS(922),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
    [sym__brace_autoquoted_token] = ACTIONS(924),
  },
  [36] = {
    [sym__PERLY_BRACE_OPEN] = STATE(87),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(36),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(4110),
    [sym__ident_special] = STATE(4014),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(124),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(926),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(928),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(395),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(407),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [aux_sym__var_indirob_autoquote_token1] = ACTIONS(930),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__ident_special_token1] = ACTIONS(417),
    [aux_sym__bareword_token1] = ACTIONS(932),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
    [sym__brace_autoquoted_token] = ACTIONS(934),
  },
  [37] = {
    [sym__PERLY_BRACE_OPEN] = STATE(87),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(37),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(4110),
    [sym__ident_special] = STATE(4017),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(125),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(936),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(938),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(395),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(407),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [aux_sym__var_indirob_autoquote_token1] = ACTIONS(940),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__ident_special_token1] = ACTIONS(417),
    [aux_sym__bareword_token1] = ACTIONS(942),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
    [sym__brace_autoquoted_token] = ACTIONS(944),
  },
  [38] = {
    [sym__PERLY_BRACE_OPEN] = STATE(87),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(38),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(4110),
    [sym__ident_special] = STATE(4020),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(127),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(946),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(948),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(395),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(407),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [aux_sym__var_indirob_autoquote_token1] = ACTIONS(950),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__ident_special_token1] = ACTIONS(417),
    [aux_sym__bareword_token1] = ACTIONS(952),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
    [sym__brace_autoquoted_token] = ACTIONS(954),
  },
  [39] = {
    [sym__PERLY_BRACE_OPEN] = STATE(87),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(39),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(4110),
    [sym__ident_special] = STATE(4023),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(129),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(956),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(958),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(395),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(407),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [aux_sym__var_indirob_autoquote_token1] = ACTIONS(960),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__ident_special_token1] = ACTIONS(417),
    [aux_sym__bareword_token1] = ACTIONS(962),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
    [sym__brace_autoquoted_token] = ACTIONS(964),
  },
  [40] = {
    [sym__PERLY_BRACE_OPEN] = STATE(87),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(40),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(4110),
    [sym__ident_special] = STATE(4026),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(130),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(966),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(968),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(395),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(407),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [aux_sym__var_indirob_autoquote_token1] = ACTIONS(970),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__ident_special_token1] = ACTIONS(417),
    [aux_sym__bareword_token1] = ACTIONS(972),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
    [sym__brace_autoquoted_token] = ACTIONS(974),
  },
  [41] = {
    [sym__PERLY_BRACE_OPEN] = STATE(87),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(41),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(4110),
    [sym__ident_special] = STATE(4029),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(131),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(976),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(978),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(395),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(407),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [aux_sym__var_indirob_autoquote_token1] = ACTIONS(980),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__ident_special_token1] = ACTIONS(417),
    [aux_sym__bareword_token1] = ACTIONS(982),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
    [sym__brace_autoquoted_token] = ACTIONS(984),
  },
  [42] = {
    [sym__PERLY_BRACE_OPEN] = STATE(87),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(42),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(4110),
    [sym__ident_special] = STATE(4032),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(126),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(986),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(988),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(395),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(407),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [aux_sym__var_indirob_autoquote_token1] = ACTIONS(990),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__ident_special_token1] = ACTIONS(417),
    [aux_sym__bareword_token1] = ACTIONS(992),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
    [sym__brace_autoquoted_token] = ACTIONS(994),
  },
  [43] = {
    [sym__PERLY_BRACE_OPEN] = STATE(87),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(43),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(4110),
    [sym__ident_special] = STATE(4035),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(132),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(996),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(998),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(395),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(407),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [aux_sym__var_indirob_autoquote_token1] = ACTIONS(1000),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__ident_special_token1] = ACTIONS(417),
    [aux_sym__bareword_token1] = ACTIONS(1002),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
    [sym__brace_autoquoted_token] = ACTIONS(1004),
  },
  [44] = {
    [sym__PERLY_BRACE_OPEN] = STATE(238),
    [sym__subscripted] = STATE(1915),
    [sym_container_variable] = STATE(3851),
    [sym_array_element_expression] = STATE(1916),
    [sym_hash_element_expression] = STATE(1916),
    [sym_coderef_call_expression] = STATE(1916),
    [sym_anonymous_slice_expression] = STATE(1916),
    [sym_slice_container_variable] = STATE(3852),
    [sym_slice_expression] = STATE(2342),
    [sym_keyval_container_variable] = STATE(3853),
    [sym_keyval_expression] = STATE(2342),
    [sym__term] = STATE(2239),
    [sym_readline_expression] = STATE(2342),
    [sym_fileglob_expression] = STATE(2342),
    [sym_assignment_expression] = STATE(2342),
    [sym_binary_expression] = STATE(2342),
    [sym_equality_expression] = STATE(2342),
    [sym_relational_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2342),
    [sym_preinc_expression] = STATE(2342),
    [sym_postinc_expression] = STATE(2342),
    [sym_conditional_expression] = STATE(2342),
    [sym_refgen_expression] = STATE(2342),
    [sym_anonymous_array_expression] = STATE(2342),
    [sym_anonymous_hash_expression] = STATE(2342),
    [sym_anonymous_subroutine_expression] = STATE(2342),
    [sym_anonymous_method_expression] = STATE(2342),
    [sym_do_expression] = STATE(2342),
    [sym_eval_expression] = STATE(2342),
    [sym_await_expression] = STATE(2342),
    [sym_variable_declaration] = STATE(2342),
    [sym_localization_expression] = STATE(2342),
    [sym_stub_expression] = STATE(2342),
    [sym_scalar_deref_expression] = STATE(2342),
    [sym_array_deref_expression] = STATE(2342),
    [sym_arraylen_deref_expression] = STATE(2342),
    [sym_hash_deref_expression] = STATE(2342),
    [sym_amper_deref_expression] = STATE(2342),
    [sym_glob_deref_expression] = STATE(2342),
    [sym_require_expression] = STATE(2342),
    [sym_require_version_expression] = STATE(2342),
    [sym_func0op_call_expression] = STATE(2342),
    [sym_func1op_call_expression] = STATE(2342),
    [sym_map_grep_expression] = STATE(2342),
    [sym_sort_expression] = STATE(2342),
    [sym__label_arg] = STATE(2280),
    [sym_loopex_expression] = STATE(2342),
    [sym_goto_expression] = STATE(2342),
    [sym_return_expression] = STATE(2342),
    [sym_undef_expression] = STATE(2342),
    [sym__listop] = STATE(2342),
    [sym_function_call_expression] = STATE(2343),
    [sym_ambiguous_function_call_expression] = STATE(2343),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(2343),
    [sym_scalar] = STATE(2342),
    [sym_array] = STATE(2342),
    [sym__SUB_AMPER] = STATE(2739),
    [sym__GLOB_STAR] = STATE(2741),
    [sym_hash] = STATE(2342),
    [sym_arraylen] = STATE(2342),
    [sym_amper_sub] = STATE(2181),
    [sym_glob] = STATE(2183),
    [sym_glob_slot_expression] = STATE(2342),
    [sym__literal] = STATE(2342),
    [sym__apostrophe] = STATE(3277),
    [sym__quotation_mark] = STATE(2481),
    [sym__backtick] = STATE(2482),
    [sym__search_slash] = STATE(2447),
    [sym_string_literal] = STATE(2353),
    [sym_interpolated_string_literal] = STATE(2353),
    [sym_quoted_word_list] = STATE(2193),
    [sym_command_string] = STATE(2353),
    [sym_quoted_regexp] = STATE(2353),
    [sym_match_regexp] = STATE(2353),
    [sym_substitution_regexp] = STATE(2353),
    [sym_transliteration_expression] = STATE(2353),
    [sym_heredoc_token] = STATE(2342),
    [sym_command_heredoc_token] = STATE(2342),
    [sym_heredoc_content] = STATE(44),
    [sym_autoquoted_bareword] = STATE(2342),
    [sym_identifier] = STATE(2244),
    [sym_bareword] = STATE(2342),
    [sym_primitive] = STATE(2342),
    [sym_boolean] = STATE(2323),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3366),
    [sym__identifier] = ACTIONS(1006),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_DOLLAR] = ACTIONS(1008),
    [anon_sym_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(155),
    [anon_sym_AT] = ACTIONS(1010),
    [anon_sym_COMMA] = ACTIONS(155),
    [anon_sym_my] = ACTIONS(1012),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(1014),
    [anon_sym_method] = ACTIONS(1016),
    [anon_sym_LPAREN] = ACTIONS(1018),
    [anon_sym_continue] = ACTIONS(1020),
    [anon_sym_state] = ACTIONS(1012),
    [anon_sym_our] = ACTIONS(1012),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(1022),
    [anon_sym_DASH_GT] = ACTIONS(155),
    [anon_sym_PERCENT] = ACTIONS(155),
    [anon_sym_GT] = ACTIONS(155),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_DOT_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_x_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT] = ACTIONS(155),
    [anon_sym_STAR_STAR] = ACTIONS(155),
    [anon_sym_PIPE_PIPE] = ACTIONS(155),
    [anon_sym_SLASH_SLASH] = ACTIONS(155),
    [anon_sym_CARET_CARET] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(155),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(155),
    [anon_sym_AMP] = ACTIONS(155),
    [anon_sym_GT_GT2] = ACTIONS(155),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(155),
    [anon_sym_DOT] = ACTIONS(155),
    [anon_sym_STAR] = ACTIONS(155),
    [anon_sym_SLASH] = ACTIONS(155),
    [anon_sym_x] = ACTIONS(155),
    [anon_sym_EQ_TILDE] = ACTIONS(155),
    [anon_sym_BANG_TILDE] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(155),
    [anon_sym_eq] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_equ] = ACTIONS(155),
    [anon_sym_eqr] = ACTIONS(155),
    [anon_sym_ne] = ACTIONS(155),
    [anon_sym_LT_EQ_GT] = ACTIONS(155),
    [anon_sym_cmp] = ACTIONS(155),
    [anon_sym_TILDE_TILDE] = ACTIONS(155),
    [anon_sym_LT] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_lt] = ACTIONS(155),
    [anon_sym_le] = ACTIONS(155),
    [anon_sym_ge] = ACTIONS(155),
    [anon_sym_gt] = ACTIONS(155),
    [anon_sym_isa] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(1024),
    [anon_sym_BANG] = ACTIONS(1024),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(155),
    [anon_sym_QMARK] = ACTIONS(155),
    [anon_sym_BSLASH] = ACTIONS(1026),
    [anon_sym_do] = ACTIONS(1028),
    [anon_sym_eval] = ACTIONS(1030),
    [anon_sym_await] = ACTIONS(1032),
    [anon_sym_field] = ACTIONS(1012),
    [anon_sym_local] = ACTIONS(1034),
    [anon_sym_dynamically] = ACTIONS(1034),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1036),
    [anon_sym_require] = ACTIONS(1038),
    [anon_sym_map] = ACTIONS(1040),
    [anon_sym_grep] = ACTIONS(1040),
    [anon_sym_sort] = ACTIONS(1042),
    [anon_sym_goto] = ACTIONS(1044),
    [anon_sym_return] = ACTIONS(1046),
    [anon_sym_undef] = ACTIONS(1048),
    [anon_sym_PERCENT2] = ACTIONS(1050),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(155),
    [anon_sym_last] = ACTIONS(1052),
    [anon_sym_next] = ACTIONS(1052),
    [anon_sym_redo] = ACTIONS(1052),
    [anon_sym___FILE__] = ACTIONS(1020),
    [anon_sym___LINE__] = ACTIONS(1020),
    [anon_sym___PACKAGE__] = ACTIONS(1020),
    [anon_sym___SUB__] = ACTIONS(1020),
    [anon_sym_break] = ACTIONS(1020),
    [anon_sym_fork] = ACTIONS(1020),
    [anon_sym_getppid] = ACTIONS(1020),
    [anon_sym_time] = ACTIONS(1020),
    [anon_sym_times] = ACTIONS(1020),
    [anon_sym_wait] = ACTIONS(1020),
    [anon_sym_wantarray] = ACTIONS(1020),
    [anon_sym_abs] = ACTIONS(1054),
    [anon_sym_alarm] = ACTIONS(1054),
    [anon_sym_chop] = ACTIONS(1054),
    [anon_sym_chdir] = ACTIONS(1054),
    [anon_sym_close] = ACTIONS(1054),
    [anon_sym_closedir] = ACTIONS(1054),
    [anon_sym_caller] = ACTIONS(1054),
    [anon_sym_chomp] = ACTIONS(1054),
    [anon_sym_chr] = ACTIONS(1054),
    [anon_sym_cos] = ACTIONS(1054),
    [anon_sym_chroot] = ACTIONS(1054),
    [anon_sym_defined] = ACTIONS(1054),
    [anon_sym_delete] = ACTIONS(1054),
    [anon_sym_dbmclose] = ACTIONS(1054),
    [anon_sym_exists] = ACTIONS(1054),
    [anon_sym_exit] = ACTIONS(1054),
    [anon_sym_eof] = ACTIONS(1054),
    [anon_sym_exp] = ACTIONS(1054),
    [anon_sym_each] = ACTIONS(1054),
    [anon_sym_fc] = ACTIONS(1054),
    [anon_sym_fileno] = ACTIONS(1054),
    [anon_sym_gmtime] = ACTIONS(1054),
    [anon_sym_getc] = ACTIONS(1054),
    [anon_sym_getpgrp] = ACTIONS(1054),
    [anon_sym_getprotobyname] = ACTIONS(1054),
    [anon_sym_getpwname] = ACTIONS(1054),
    [anon_sym_getpwuid] = ACTIONS(1054),
    [anon_sym_getpeername] = ACTIONS(1054),
    [anon_sym_getnetbyname] = ACTIONS(1054),
    [anon_sym_getsockname] = ACTIONS(1054),
    [anon_sym_getgrnam] = ACTIONS(1054),
    [anon_sym_getgrgid] = ACTIONS(1054),
    [anon_sym_hex] = ACTIONS(1054),
    [anon_sym_int] = ACTIONS(1054),
    [anon_sym_keys] = ACTIONS(1054),
    [anon_sym_lc] = ACTIONS(1054),
    [anon_sym_lcfirst] = ACTIONS(1054),
    [anon_sym_length] = ACTIONS(1054),
    [anon_sym_localtime] = ACTIONS(1054),
    [anon_sym_log] = ACTIONS(1054),
    [anon_sym_lock] = ACTIONS(1054),
    [anon_sym_lstat] = ACTIONS(1054),
    [anon_sym_oct] = ACTIONS(1054),
    [anon_sym_ord] = ACTIONS(1054),
    [anon_sym_prototype] = ACTIONS(1054),
    [anon_sym_pop] = ACTIONS(1054),
    [anon_sym_pos] = ACTIONS(1054),
    [anon_sym_quotemeta] = ACTIONS(1054),
    [anon_sym_reset] = ACTIONS(1054),
    [anon_sym_rand] = ACTIONS(1054),
    [anon_sym_rmdir] = ACTIONS(1054),
    [anon_sym_readdir] = ACTIONS(1054),
    [anon_sym_readline] = ACTIONS(1054),
    [anon_sym_readpipe] = ACTIONS(1054),
    [anon_sym_rewinddir] = ACTIONS(1054),
    [anon_sym_readlink] = ACTIONS(1054),
    [anon_sym_ref] = ACTIONS(1054),
    [anon_sym_scalar] = ACTIONS(1054),
    [anon_sym_shift] = ACTIONS(1054),
    [anon_sym_sin] = ACTIONS(1054),
    [anon_sym_sleep] = ACTIONS(1054),
    [anon_sym_sqrt] = ACTIONS(1054),
    [anon_sym_srand] = ACTIONS(1054),
    [anon_sym_stat] = ACTIONS(1054),
    [anon_sym_study] = ACTIONS(1054),
    [anon_sym_tell] = ACTIONS(1054),
    [anon_sym_telldir] = ACTIONS(1054),
    [anon_sym_tied] = ACTIONS(1054),
    [anon_sym_uc] = ACTIONS(1054),
    [anon_sym_ucfirst] = ACTIONS(1054),
    [anon_sym_untie] = ACTIONS(1054),
    [anon_sym_umask] = ACTIONS(1054),
    [anon_sym_values] = ACTIONS(1054),
    [anon_sym_write] = ACTIONS(1054),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1056),
    [anon_sym_qq] = ACTIONS(1058),
    [anon_sym_qw] = ACTIONS(1060),
    [anon_sym_qx] = ACTIONS(1062),
    [anon_sym_qr] = ACTIONS(1064),
    [anon_sym_m] = ACTIONS(1066),
    [anon_sym_s] = ACTIONS(1068),
    [anon_sym_tr] = ACTIONS(1070),
    [anon_sym_y] = ACTIONS(1070),
    [aux_sym__bareword_token1] = ACTIONS(1072),
    [sym_number] = ACTIONS(1074),
    [anon_sym_true] = ACTIONS(1076),
    [anon_sym_false] = ACTIONS(1076),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(1078),
    [sym__open_fileglob_bracket] = ACTIONS(1080),
    [sym__PERLY_SEMICOLON] = ACTIONS(161),
    [sym__PERLY_HEREDOC] = ACTIONS(1082),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1084),
    [sym__filetest] = ACTIONS(1086),
  },
  [45] = {
    [sym__PERLY_BRACE_OPEN] = STATE(87),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(45),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(4110),
    [sym__ident_special] = STATE(4041),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(128),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(1088),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1090),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(395),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(407),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [aux_sym__var_indirob_autoquote_token1] = ACTIONS(1092),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__ident_special_token1] = ACTIONS(417),
    [aux_sym__bareword_token1] = ACTIONS(1094),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
    [sym__brace_autoquoted_token] = ACTIONS(1096),
  },
  [46] = {
    [sym__PERLY_BRACE_OPEN] = STATE(87),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(46),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(4110),
    [sym__ident_special] = STATE(4044),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(136),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(1098),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1100),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(395),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(407),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [aux_sym__var_indirob_autoquote_token1] = ACTIONS(1102),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__ident_special_token1] = ACTIONS(417),
    [aux_sym__bareword_token1] = ACTIONS(1104),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
    [sym__brace_autoquoted_token] = ACTIONS(1106),
  },
  [47] = {
    [sym__PERLY_BRACE_OPEN] = STATE(87),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(47),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(4110),
    [sym__ident_special] = STATE(4047),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(137),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(1108),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1110),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(395),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(407),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [aux_sym__var_indirob_autoquote_token1] = ACTIONS(1112),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__ident_special_token1] = ACTIONS(417),
    [aux_sym__bareword_token1] = ACTIONS(1114),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
    [sym__brace_autoquoted_token] = ACTIONS(1116),
  },
  [48] = {
    [sym__PERLY_BRACE_OPEN] = STATE(87),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(48),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(4110),
    [sym__ident_special] = STATE(4050),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(139),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(1118),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1120),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(395),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(407),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [aux_sym__var_indirob_autoquote_token1] = ACTIONS(1122),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__ident_special_token1] = ACTIONS(417),
    [aux_sym__bareword_token1] = ACTIONS(1124),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
    [sym__brace_autoquoted_token] = ACTIONS(1126),
  },
  [49] = {
    [sym__PERLY_BRACE_OPEN] = STATE(87),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(49),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(4110),
    [sym__ident_special] = STATE(3987),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(96),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1130),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(395),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(407),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [aux_sym__var_indirob_autoquote_token1] = ACTIONS(1132),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__ident_special_token1] = ACTIONS(417),
    [aux_sym__bareword_token1] = ACTIONS(1134),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
    [sym__brace_autoquoted_token] = ACTIONS(1136),
  },
  [50] = {
    [sym__PERLY_BRACE_OPEN] = STATE(238),
    [sym__term_rightward] = STATE(2267),
    [sym__subscripted] = STATE(1915),
    [sym_container_variable] = STATE(3851),
    [sym_array_element_expression] = STATE(1916),
    [sym_hash_element_expression] = STATE(1916),
    [sym_coderef_call_expression] = STATE(1916),
    [sym_anonymous_slice_expression] = STATE(1916),
    [sym_slice_container_variable] = STATE(3852),
    [sym_slice_expression] = STATE(2342),
    [sym_keyval_container_variable] = STATE(3853),
    [sym_keyval_expression] = STATE(2342),
    [sym__term] = STATE(2058),
    [sym_readline_expression] = STATE(2342),
    [sym_fileglob_expression] = STATE(2342),
    [sym_assignment_expression] = STATE(2342),
    [sym_binary_expression] = STATE(2342),
    [sym_equality_expression] = STATE(2342),
    [sym_relational_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2342),
    [sym_preinc_expression] = STATE(2342),
    [sym_postinc_expression] = STATE(2342),
    [sym_conditional_expression] = STATE(2342),
    [sym_refgen_expression] = STATE(2342),
    [sym_anonymous_array_expression] = STATE(2342),
    [sym_anonymous_hash_expression] = STATE(2342),
    [sym_anonymous_subroutine_expression] = STATE(2342),
    [sym_anonymous_method_expression] = STATE(2342),
    [sym_do_expression] = STATE(2342),
    [sym_eval_expression] = STATE(2342),
    [sym_await_expression] = STATE(2342),
    [sym_variable_declaration] = STATE(2342),
    [sym_localization_expression] = STATE(2342),
    [sym_stub_expression] = STATE(2342),
    [sym_scalar_deref_expression] = STATE(2342),
    [sym_array_deref_expression] = STATE(2342),
    [sym_arraylen_deref_expression] = STATE(2342),
    [sym_hash_deref_expression] = STATE(2342),
    [sym_amper_deref_expression] = STATE(2342),
    [sym_glob_deref_expression] = STATE(2342),
    [sym_require_expression] = STATE(2342),
    [sym_require_version_expression] = STATE(2342),
    [sym_func0op_call_expression] = STATE(2342),
    [sym_func1op_call_expression] = STATE(2342),
    [sym_map_grep_expression] = STATE(2342),
    [sym_sort_expression] = STATE(2342),
    [sym_loopex_expression] = STATE(2342),
    [sym_goto_expression] = STATE(2342),
    [sym_return_expression] = STATE(2342),
    [sym_undef_expression] = STATE(2342),
    [sym__listop] = STATE(2342),
    [sym_function_call_expression] = STATE(2343),
    [sym_ambiguous_function_call_expression] = STATE(2343),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(2343),
    [sym_scalar] = STATE(2342),
    [sym_array] = STATE(2342),
    [sym__SUB_AMPER] = STATE(2739),
    [sym__GLOB_STAR] = STATE(2741),
    [sym_hash] = STATE(2342),
    [sym_arraylen] = STATE(2342),
    [sym_amper_sub] = STATE(2181),
    [sym_glob] = STATE(2183),
    [sym_glob_slot_expression] = STATE(2342),
    [sym__literal] = STATE(2342),
    [sym__apostrophe] = STATE(3277),
    [sym__quotation_mark] = STATE(2481),
    [sym__backtick] = STATE(2482),
    [sym__search_slash] = STATE(2447),
    [sym_string_literal] = STATE(2353),
    [sym_interpolated_string_literal] = STATE(2353),
    [sym_quoted_word_list] = STATE(2193),
    [sym_command_string] = STATE(2353),
    [sym_quoted_regexp] = STATE(2353),
    [sym_match_regexp] = STATE(2353),
    [sym_substitution_regexp] = STATE(2353),
    [sym_transliteration_expression] = STATE(2353),
    [sym_heredoc_token] = STATE(2342),
    [sym_command_heredoc_token] = STATE(2342),
    [sym_heredoc_content] = STATE(50),
    [sym_autoquoted_bareword] = STATE(2342),
    [sym_bareword] = STATE(2342),
    [sym_primitive] = STATE(2342),
    [sym_boolean] = STATE(2323),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3366),
    [sym__identifier] = ACTIONS(1072),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_SEMI] = ACTIONS(163),
    [anon_sym_DOLLAR] = ACTIONS(1008),
    [anon_sym_EQ] = ACTIONS(163),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(163),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(163),
    [anon_sym_AT] = ACTIONS(1010),
    [anon_sym_COMMA] = ACTIONS(163),
    [anon_sym_my] = ACTIONS(1012),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(1014),
    [anon_sym_method] = ACTIONS(1016),
    [anon_sym_LPAREN] = ACTIONS(1018),
    [anon_sym_continue] = ACTIONS(1020),
    [anon_sym_state] = ACTIONS(1012),
    [anon_sym_our] = ACTIONS(1012),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(163),
    [anon_sym_LBRACK] = ACTIONS(1022),
    [anon_sym_DASH_GT] = ACTIONS(163),
    [anon_sym_PERCENT] = ACTIONS(163),
    [anon_sym_GT] = ACTIONS(163),
    [anon_sym_LT_LT] = ACTIONS(1138),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(163),
    [anon_sym_PLUS_EQ] = ACTIONS(163),
    [anon_sym_DASH_EQ] = ACTIONS(163),
    [anon_sym_DOT_EQ] = ACTIONS(163),
    [anon_sym_STAR_EQ] = ACTIONS(163),
    [anon_sym_SLASH_EQ] = ACTIONS(163),
    [anon_sym_PERCENT_EQ] = ACTIONS(163),
    [anon_sym_x_EQ] = ACTIONS(163),
    [anon_sym_AMP_EQ] = ACTIONS(163),
    [anon_sym_PIPE_EQ] = ACTIONS(163),
    [anon_sym_CARET_EQ] = ACTIONS(163),
    [anon_sym_LT_LT_EQ] = ACTIONS(163),
    [anon_sym_GT_GT_EQ] = ACTIONS(163),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(163),
    [anon_sym_DOT_DOT] = ACTIONS(163),
    [anon_sym_STAR_STAR] = ACTIONS(163),
    [anon_sym_PIPE_PIPE] = ACTIONS(163),
    [anon_sym_SLASH_SLASH] = ACTIONS(1141),
    [anon_sym_CARET_CARET] = ACTIONS(163),
    [anon_sym_AMP_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(163),
    [anon_sym_CARET] = ACTIONS(163),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_GT_GT2] = ACTIONS(163),
    [anon_sym_PLUS] = ACTIONS(1144),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_DOT] = ACTIONS(163),
    [anon_sym_STAR] = ACTIONS(163),
    [anon_sym_SLASH] = ACTIONS(163),
    [anon_sym_x] = ACTIONS(163),
    [anon_sym_EQ_TILDE] = ACTIONS(163),
    [anon_sym_BANG_TILDE] = ACTIONS(163),
    [anon_sym_EQ_EQ] = ACTIONS(163),
    [anon_sym_BANG_EQ] = ACTIONS(163),
    [anon_sym_eq] = ACTIONS(163),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(163),
    [anon_sym_equ] = ACTIONS(163),
    [anon_sym_eqr] = ACTIONS(163),
    [anon_sym_ne] = ACTIONS(163),
    [anon_sym_LT_EQ_GT] = ACTIONS(163),
    [anon_sym_cmp] = ACTIONS(163),
    [anon_sym_TILDE_TILDE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(163),
    [anon_sym_LT_EQ] = ACTIONS(163),
    [anon_sym_GT_EQ] = ACTIONS(163),
    [anon_sym_lt] = ACTIONS(163),
    [anon_sym_le] = ACTIONS(163),
    [anon_sym_ge] = ACTIONS(163),
    [anon_sym_gt] = ACTIONS(163),
    [anon_sym_isa] = ACTIONS(163),
    [anon_sym_TILDE] = ACTIONS(1024),
    [anon_sym_BANG] = ACTIONS(1024),
    [anon_sym_PLUS_PLUS] = ACTIONS(1150),
    [anon_sym_DASH_DASH] = ACTIONS(1150),
    [anon_sym_QMARK] = ACTIONS(163),
    [anon_sym_BSLASH] = ACTIONS(1026),
    [anon_sym_do] = ACTIONS(1028),
    [anon_sym_eval] = ACTIONS(1030),
    [anon_sym_await] = ACTIONS(1032),
    [anon_sym_field] = ACTIONS(1012),
    [anon_sym_local] = ACTIONS(1034),
    [anon_sym_dynamically] = ACTIONS(1034),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1036),
    [anon_sym_require] = ACTIONS(1038),
    [anon_sym_map] = ACTIONS(1040),
    [anon_sym_grep] = ACTIONS(1040),
    [anon_sym_sort] = ACTIONS(1042),
    [anon_sym_goto] = ACTIONS(1044),
    [anon_sym_return] = ACTIONS(1046),
    [anon_sym_undef] = ACTIONS(1048),
    [anon_sym_PERCENT2] = ACTIONS(1050),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(163),
    [anon_sym_last] = ACTIONS(1052),
    [anon_sym_next] = ACTIONS(1052),
    [anon_sym_redo] = ACTIONS(1052),
    [anon_sym___FILE__] = ACTIONS(1020),
    [anon_sym___LINE__] = ACTIONS(1020),
    [anon_sym___PACKAGE__] = ACTIONS(1020),
    [anon_sym___SUB__] = ACTIONS(1020),
    [anon_sym_break] = ACTIONS(1020),
    [anon_sym_fork] = ACTIONS(1020),
    [anon_sym_getppid] = ACTIONS(1020),
    [anon_sym_time] = ACTIONS(1020),
    [anon_sym_times] = ACTIONS(1020),
    [anon_sym_wait] = ACTIONS(1020),
    [anon_sym_wantarray] = ACTIONS(1020),
    [anon_sym_abs] = ACTIONS(1054),
    [anon_sym_alarm] = ACTIONS(1054),
    [anon_sym_chop] = ACTIONS(1054),
    [anon_sym_chdir] = ACTIONS(1054),
    [anon_sym_close] = ACTIONS(1054),
    [anon_sym_closedir] = ACTIONS(1054),
    [anon_sym_caller] = ACTIONS(1054),
    [anon_sym_chomp] = ACTIONS(1054),
    [anon_sym_chr] = ACTIONS(1054),
    [anon_sym_cos] = ACTIONS(1054),
    [anon_sym_chroot] = ACTIONS(1054),
    [anon_sym_defined] = ACTIONS(1054),
    [anon_sym_delete] = ACTIONS(1054),
    [anon_sym_dbmclose] = ACTIONS(1054),
    [anon_sym_exists] = ACTIONS(1054),
    [anon_sym_exit] = ACTIONS(1054),
    [anon_sym_eof] = ACTIONS(1054),
    [anon_sym_exp] = ACTIONS(1054),
    [anon_sym_each] = ACTIONS(1054),
    [anon_sym_fc] = ACTIONS(1054),
    [anon_sym_fileno] = ACTIONS(1054),
    [anon_sym_gmtime] = ACTIONS(1054),
    [anon_sym_getc] = ACTIONS(1054),
    [anon_sym_getpgrp] = ACTIONS(1054),
    [anon_sym_getprotobyname] = ACTIONS(1054),
    [anon_sym_getpwname] = ACTIONS(1054),
    [anon_sym_getpwuid] = ACTIONS(1054),
    [anon_sym_getpeername] = ACTIONS(1054),
    [anon_sym_getnetbyname] = ACTIONS(1054),
    [anon_sym_getsockname] = ACTIONS(1054),
    [anon_sym_getgrnam] = ACTIONS(1054),
    [anon_sym_getgrgid] = ACTIONS(1054),
    [anon_sym_hex] = ACTIONS(1054),
    [anon_sym_int] = ACTIONS(1054),
    [anon_sym_keys] = ACTIONS(1054),
    [anon_sym_lc] = ACTIONS(1054),
    [anon_sym_lcfirst] = ACTIONS(1054),
    [anon_sym_length] = ACTIONS(1054),
    [anon_sym_localtime] = ACTIONS(1054),
    [anon_sym_log] = ACTIONS(1054),
    [anon_sym_lock] = ACTIONS(1054),
    [anon_sym_lstat] = ACTIONS(1054),
    [anon_sym_oct] = ACTIONS(1054),
    [anon_sym_ord] = ACTIONS(1054),
    [anon_sym_prototype] = ACTIONS(1054),
    [anon_sym_pop] = ACTIONS(1054),
    [anon_sym_pos] = ACTIONS(1054),
    [anon_sym_quotemeta] = ACTIONS(1054),
    [anon_sym_reset] = ACTIONS(1054),
    [anon_sym_rand] = ACTIONS(1054),
    [anon_sym_rmdir] = ACTIONS(1054),
    [anon_sym_readdir] = ACTIONS(1054),
    [anon_sym_readline] = ACTIONS(1054),
    [anon_sym_readpipe] = ACTIONS(1054),
    [anon_sym_rewinddir] = ACTIONS(1054),
    [anon_sym_readlink] = ACTIONS(1054),
    [anon_sym_ref] = ACTIONS(1054),
    [anon_sym_scalar] = ACTIONS(1054),
    [anon_sym_shift] = ACTIONS(1054),
    [anon_sym_sin] = ACTIONS(1054),
    [anon_sym_sleep] = ACTIONS(1054),
    [anon_sym_sqrt] = ACTIONS(1054),
    [anon_sym_srand] = ACTIONS(1054),
    [anon_sym_stat] = ACTIONS(1054),
    [anon_sym_study] = ACTIONS(1054),
    [anon_sym_tell] = ACTIONS(1054),
    [anon_sym_telldir] = ACTIONS(1054),
    [anon_sym_tied] = ACTIONS(1054),
    [anon_sym_uc] = ACTIONS(1054),
    [anon_sym_ucfirst] = ACTIONS(1054),
    [anon_sym_untie] = ACTIONS(1054),
    [anon_sym_umask] = ACTIONS(1054),
    [anon_sym_values] = ACTIONS(1054),
    [anon_sym_write] = ACTIONS(1054),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1056),
    [anon_sym_qq] = ACTIONS(1058),
    [anon_sym_qw] = ACTIONS(1060),
    [anon_sym_qx] = ACTIONS(1062),
    [anon_sym_qr] = ACTIONS(1064),
    [anon_sym_m] = ACTIONS(1066),
    [anon_sym_s] = ACTIONS(1068),
    [anon_sym_tr] = ACTIONS(1070),
    [anon_sym_y] = ACTIONS(1070),
    [aux_sym__bareword_token1] = ACTIONS(1072),
    [sym_number] = ACTIONS(1074),
    [anon_sym_true] = ACTIONS(1076),
    [anon_sym_false] = ACTIONS(1076),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(1078),
    [sym__open_fileglob_bracket] = ACTIONS(1080),
    [sym__PERLY_SEMICOLON] = ACTIONS(180),
    [sym__PERLY_HEREDOC] = ACTIONS(1082),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1084),
    [sym__filetest] = ACTIONS(1086),
  },
  [51] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__term_rightward] = STATE(2192),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2189),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(51),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_RBRACE] = ACTIONS(163),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_EQ] = ACTIONS(163),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(163),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(163),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_COMMA] = ACTIONS(163),
    [anon_sym_RPAREN] = ACTIONS(163),
    [anon_sym_my] = ACTIONS(439),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(439),
    [anon_sym_our] = ACTIONS(439),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(163),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_DASH_GT] = ACTIONS(163),
    [anon_sym_PERCENT] = ACTIONS(163),
    [anon_sym_GT] = ACTIONS(163),
    [anon_sym_LT_LT] = ACTIONS(1153),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(163),
    [anon_sym_PLUS_EQ] = ACTIONS(163),
    [anon_sym_DASH_EQ] = ACTIONS(163),
    [anon_sym_DOT_EQ] = ACTIONS(163),
    [anon_sym_STAR_EQ] = ACTIONS(163),
    [anon_sym_SLASH_EQ] = ACTIONS(163),
    [anon_sym_PERCENT_EQ] = ACTIONS(163),
    [anon_sym_x_EQ] = ACTIONS(163),
    [anon_sym_AMP_EQ] = ACTIONS(163),
    [anon_sym_PIPE_EQ] = ACTIONS(163),
    [anon_sym_CARET_EQ] = ACTIONS(163),
    [anon_sym_LT_LT_EQ] = ACTIONS(163),
    [anon_sym_GT_GT_EQ] = ACTIONS(163),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(163),
    [anon_sym_DOT_DOT] = ACTIONS(163),
    [anon_sym_STAR_STAR] = ACTIONS(163),
    [anon_sym_PIPE_PIPE] = ACTIONS(163),
    [anon_sym_SLASH_SLASH] = ACTIONS(1156),
    [anon_sym_CARET_CARET] = ACTIONS(163),
    [anon_sym_AMP_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(163),
    [anon_sym_CARET] = ACTIONS(163),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_GT_GT2] = ACTIONS(163),
    [anon_sym_PLUS] = ACTIONS(1159),
    [anon_sym_DASH] = ACTIONS(1162),
    [anon_sym_DOT] = ACTIONS(163),
    [anon_sym_STAR] = ACTIONS(163),
    [anon_sym_SLASH] = ACTIONS(163),
    [anon_sym_x] = ACTIONS(163),
    [anon_sym_EQ_TILDE] = ACTIONS(163),
    [anon_sym_BANG_TILDE] = ACTIONS(163),
    [anon_sym_EQ_EQ] = ACTIONS(163),
    [anon_sym_BANG_EQ] = ACTIONS(163),
    [anon_sym_eq] = ACTIONS(163),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(163),
    [anon_sym_equ] = ACTIONS(163),
    [anon_sym_eqr] = ACTIONS(163),
    [anon_sym_ne] = ACTIONS(163),
    [anon_sym_LT_EQ_GT] = ACTIONS(163),
    [anon_sym_cmp] = ACTIONS(163),
    [anon_sym_TILDE_TILDE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(163),
    [anon_sym_LT_EQ] = ACTIONS(163),
    [anon_sym_GT_EQ] = ACTIONS(163),
    [anon_sym_lt] = ACTIONS(163),
    [anon_sym_le] = ACTIONS(163),
    [anon_sym_ge] = ACTIONS(163),
    [anon_sym_gt] = ACTIONS(163),
    [anon_sym_isa] = ACTIONS(163),
    [anon_sym_TILDE] = ACTIONS(451),
    [anon_sym_BANG] = ACTIONS(451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1165),
    [anon_sym_DASH_DASH] = ACTIONS(1165),
    [anon_sym_QMARK] = ACTIONS(163),
    [anon_sym_BSLASH] = ACTIONS(453),
    [anon_sym_do] = ACTIONS(455),
    [anon_sym_eval] = ACTIONS(457),
    [anon_sym_await] = ACTIONS(459),
    [anon_sym_field] = ACTIONS(439),
    [anon_sym_local] = ACTIONS(461),
    [anon_sym_dynamically] = ACTIONS(461),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(465),
    [anon_sym_map] = ACTIONS(467),
    [anon_sym_grep] = ACTIONS(467),
    [anon_sym_sort] = ACTIONS(469),
    [anon_sym_goto] = ACTIONS(471),
    [anon_sym_return] = ACTIONS(473),
    [anon_sym_undef] = ACTIONS(475),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(163),
    [anon_sym_last] = ACTIONS(479),
    [anon_sym_next] = ACTIONS(479),
    [anon_sym_redo] = ACTIONS(479),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(481),
    [anon_sym_alarm] = ACTIONS(481),
    [anon_sym_chop] = ACTIONS(481),
    [anon_sym_chdir] = ACTIONS(481),
    [anon_sym_close] = ACTIONS(481),
    [anon_sym_closedir] = ACTIONS(481),
    [anon_sym_caller] = ACTIONS(481),
    [anon_sym_chomp] = ACTIONS(481),
    [anon_sym_chr] = ACTIONS(481),
    [anon_sym_cos] = ACTIONS(481),
    [anon_sym_chroot] = ACTIONS(481),
    [anon_sym_defined] = ACTIONS(481),
    [anon_sym_delete] = ACTIONS(481),
    [anon_sym_dbmclose] = ACTIONS(481),
    [anon_sym_exists] = ACTIONS(481),
    [anon_sym_exit] = ACTIONS(481),
    [anon_sym_eof] = ACTIONS(481),
    [anon_sym_exp] = ACTIONS(481),
    [anon_sym_each] = ACTIONS(481),
    [anon_sym_fc] = ACTIONS(481),
    [anon_sym_fileno] = ACTIONS(481),
    [anon_sym_gmtime] = ACTIONS(481),
    [anon_sym_getc] = ACTIONS(481),
    [anon_sym_getpgrp] = ACTIONS(481),
    [anon_sym_getprotobyname] = ACTIONS(481),
    [anon_sym_getpwname] = ACTIONS(481),
    [anon_sym_getpwuid] = ACTIONS(481),
    [anon_sym_getpeername] = ACTIONS(481),
    [anon_sym_getnetbyname] = ACTIONS(481),
    [anon_sym_getsockname] = ACTIONS(481),
    [anon_sym_getgrnam] = ACTIONS(481),
    [anon_sym_getgrgid] = ACTIONS(481),
    [anon_sym_hex] = ACTIONS(481),
    [anon_sym_int] = ACTIONS(481),
    [anon_sym_keys] = ACTIONS(481),
    [anon_sym_lc] = ACTIONS(481),
    [anon_sym_lcfirst] = ACTIONS(481),
    [anon_sym_length] = ACTIONS(481),
    [anon_sym_localtime] = ACTIONS(481),
    [anon_sym_log] = ACTIONS(481),
    [anon_sym_lock] = ACTIONS(481),
    [anon_sym_lstat] = ACTIONS(481),
    [anon_sym_oct] = ACTIONS(481),
    [anon_sym_ord] = ACTIONS(481),
    [anon_sym_prototype] = ACTIONS(481),
    [anon_sym_pop] = ACTIONS(481),
    [anon_sym_pos] = ACTIONS(481),
    [anon_sym_quotemeta] = ACTIONS(481),
    [anon_sym_reset] = ACTIONS(481),
    [anon_sym_rand] = ACTIONS(481),
    [anon_sym_rmdir] = ACTIONS(481),
    [anon_sym_readdir] = ACTIONS(481),
    [anon_sym_readline] = ACTIONS(481),
    [anon_sym_readpipe] = ACTIONS(481),
    [anon_sym_rewinddir] = ACTIONS(481),
    [anon_sym_readlink] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(481),
    [anon_sym_scalar] = ACTIONS(481),
    [anon_sym_shift] = ACTIONS(481),
    [anon_sym_sin] = ACTIONS(481),
    [anon_sym_sleep] = ACTIONS(481),
    [anon_sym_sqrt] = ACTIONS(481),
    [anon_sym_srand] = ACTIONS(481),
    [anon_sym_stat] = ACTIONS(481),
    [anon_sym_study] = ACTIONS(481),
    [anon_sym_tell] = ACTIONS(481),
    [anon_sym_telldir] = ACTIONS(481),
    [anon_sym_tied] = ACTIONS(481),
    [anon_sym_uc] = ACTIONS(481),
    [anon_sym_ucfirst] = ACTIONS(481),
    [anon_sym_untie] = ACTIONS(481),
    [anon_sym_umask] = ACTIONS(481),
    [anon_sym_values] = ACTIONS(481),
    [anon_sym_write] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(513),
  },
  [52] = {
    [sym__PERLY_BRACE_OPEN] = STATE(235),
    [sym__term_rightward] = STATE(1815),
    [sym__subscripted] = STATE(1532),
    [sym_container_variable] = STATE(3855),
    [sym_array_element_expression] = STATE(1533),
    [sym_hash_element_expression] = STATE(1533),
    [sym_coderef_call_expression] = STATE(1533),
    [sym_anonymous_slice_expression] = STATE(1533),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(1967),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(1967),
    [sym__term] = STATE(1803),
    [sym_readline_expression] = STATE(1967),
    [sym_fileglob_expression] = STATE(1967),
    [sym_assignment_expression] = STATE(1967),
    [sym_binary_expression] = STATE(1967),
    [sym_equality_expression] = STATE(1967),
    [sym_relational_expression] = STATE(1967),
    [sym_unary_expression] = STATE(1967),
    [sym_preinc_expression] = STATE(1967),
    [sym_postinc_expression] = STATE(1967),
    [sym_conditional_expression] = STATE(1967),
    [sym_refgen_expression] = STATE(1967),
    [sym_anonymous_array_expression] = STATE(1967),
    [sym_anonymous_hash_expression] = STATE(1967),
    [sym_anonymous_subroutine_expression] = STATE(1967),
    [sym_anonymous_method_expression] = STATE(1967),
    [sym_do_expression] = STATE(1967),
    [sym_eval_expression] = STATE(1967),
    [sym_await_expression] = STATE(1967),
    [sym_variable_declaration] = STATE(1967),
    [sym_localization_expression] = STATE(1967),
    [sym_stub_expression] = STATE(1967),
    [sym_scalar_deref_expression] = STATE(1967),
    [sym_array_deref_expression] = STATE(1967),
    [sym_arraylen_deref_expression] = STATE(1967),
    [sym_hash_deref_expression] = STATE(1967),
    [sym_amper_deref_expression] = STATE(1967),
    [sym_glob_deref_expression] = STATE(1967),
    [sym_require_expression] = STATE(1967),
    [sym_require_version_expression] = STATE(1967),
    [sym_func0op_call_expression] = STATE(1967),
    [sym_func1op_call_expression] = STATE(1967),
    [sym_map_grep_expression] = STATE(1967),
    [sym_sort_expression] = STATE(1967),
    [sym_loopex_expression] = STATE(1967),
    [sym_goto_expression] = STATE(1967),
    [sym_return_expression] = STATE(1967),
    [sym_undef_expression] = STATE(1967),
    [sym__listop] = STATE(1967),
    [sym_function_call_expression] = STATE(1968),
    [sym_ambiguous_function_call_expression] = STATE(1968),
    [sym_function] = STATE(389),
    [sym_method_call_expression] = STATE(1968),
    [sym_scalar] = STATE(1967),
    [sym_array] = STATE(1967),
    [sym__SUB_AMPER] = STATE(2686),
    [sym__GLOB_STAR] = STATE(2687),
    [sym_hash] = STATE(1967),
    [sym_arraylen] = STATE(1967),
    [sym_amper_sub] = STATE(1785),
    [sym_glob] = STATE(1786),
    [sym_glob_slot_expression] = STATE(1967),
    [sym__literal] = STATE(1967),
    [sym__apostrophe] = STATE(3328),
    [sym__quotation_mark] = STATE(2501),
    [sym__backtick] = STATE(2502),
    [sym__search_slash] = STATE(2454),
    [sym_string_literal] = STATE(1969),
    [sym_interpolated_string_literal] = STATE(1969),
    [sym_quoted_word_list] = STATE(1787),
    [sym_command_string] = STATE(1969),
    [sym_quoted_regexp] = STATE(1969),
    [sym_match_regexp] = STATE(1969),
    [sym_substitution_regexp] = STATE(1969),
    [sym_transliteration_expression] = STATE(1969),
    [sym_heredoc_token] = STATE(1967),
    [sym_command_heredoc_token] = STATE(1967),
    [sym_heredoc_content] = STATE(52),
    [sym_autoquoted_bareword] = STATE(1967),
    [sym_bareword] = STATE(1967),
    [sym_primitive] = STATE(1967),
    [sym_boolean] = STATE(1965),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3342),
    [sym__identifier] = ACTIONS(575),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_COLON] = ACTIONS(163),
    [anon_sym_DOLLAR] = ACTIONS(1168),
    [anon_sym_EQ] = ACTIONS(163),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(163),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(163),
    [anon_sym_AT] = ACTIONS(1171),
    [anon_sym_COMMA] = ACTIONS(163),
    [anon_sym_RPAREN] = ACTIONS(163),
    [anon_sym_my] = ACTIONS(517),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(519),
    [anon_sym_method] = ACTIONS(521),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_continue] = ACTIONS(525),
    [anon_sym_state] = ACTIONS(517),
    [anon_sym_our] = ACTIONS(517),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(163),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_DASH_GT] = ACTIONS(163),
    [anon_sym_PERCENT] = ACTIONS(163),
    [anon_sym_GT] = ACTIONS(163),
    [anon_sym_LT_LT] = ACTIONS(1174),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(163),
    [anon_sym_PLUS_EQ] = ACTIONS(163),
    [anon_sym_DASH_EQ] = ACTIONS(163),
    [anon_sym_DOT_EQ] = ACTIONS(163),
    [anon_sym_STAR_EQ] = ACTIONS(163),
    [anon_sym_SLASH_EQ] = ACTIONS(163),
    [anon_sym_PERCENT_EQ] = ACTIONS(163),
    [anon_sym_x_EQ] = ACTIONS(163),
    [anon_sym_AMP_EQ] = ACTIONS(163),
    [anon_sym_PIPE_EQ] = ACTIONS(163),
    [anon_sym_CARET_EQ] = ACTIONS(163),
    [anon_sym_LT_LT_EQ] = ACTIONS(163),
    [anon_sym_GT_GT_EQ] = ACTIONS(163),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(163),
    [anon_sym_DOT_DOT] = ACTIONS(163),
    [anon_sym_STAR_STAR] = ACTIONS(163),
    [anon_sym_PIPE_PIPE] = ACTIONS(163),
    [anon_sym_SLASH_SLASH] = ACTIONS(1177),
    [anon_sym_CARET_CARET] = ACTIONS(163),
    [anon_sym_AMP_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(163),
    [anon_sym_CARET] = ACTIONS(163),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_GT_GT2] = ACTIONS(163),
    [anon_sym_PLUS] = ACTIONS(1180),
    [anon_sym_DASH] = ACTIONS(1183),
    [anon_sym_DOT] = ACTIONS(163),
    [anon_sym_STAR] = ACTIONS(163),
    [anon_sym_SLASH] = ACTIONS(163),
    [anon_sym_x] = ACTIONS(163),
    [anon_sym_EQ_TILDE] = ACTIONS(163),
    [anon_sym_BANG_TILDE] = ACTIONS(163),
    [anon_sym_EQ_EQ] = ACTIONS(163),
    [anon_sym_BANG_EQ] = ACTIONS(163),
    [anon_sym_eq] = ACTIONS(163),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(163),
    [anon_sym_equ] = ACTIONS(163),
    [anon_sym_eqr] = ACTIONS(163),
    [anon_sym_ne] = ACTIONS(163),
    [anon_sym_LT_EQ_GT] = ACTIONS(163),
    [anon_sym_cmp] = ACTIONS(163),
    [anon_sym_TILDE_TILDE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(163),
    [anon_sym_LT_EQ] = ACTIONS(163),
    [anon_sym_GT_EQ] = ACTIONS(163),
    [anon_sym_lt] = ACTIONS(163),
    [anon_sym_le] = ACTIONS(163),
    [anon_sym_ge] = ACTIONS(163),
    [anon_sym_gt] = ACTIONS(163),
    [anon_sym_isa] = ACTIONS(163),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_PLUS_PLUS] = ACTIONS(1186),
    [anon_sym_DASH_DASH] = ACTIONS(1186),
    [anon_sym_QMARK] = ACTIONS(163),
    [anon_sym_BSLASH] = ACTIONS(531),
    [anon_sym_do] = ACTIONS(533),
    [anon_sym_eval] = ACTIONS(535),
    [anon_sym_await] = ACTIONS(537),
    [anon_sym_field] = ACTIONS(517),
    [anon_sym_local] = ACTIONS(539),
    [anon_sym_dynamically] = ACTIONS(539),
    [anon_sym_DOLLAR_POUND] = ACTIONS(541),
    [anon_sym_require] = ACTIONS(543),
    [anon_sym_map] = ACTIONS(545),
    [anon_sym_grep] = ACTIONS(545),
    [anon_sym_sort] = ACTIONS(547),
    [anon_sym_goto] = ACTIONS(549),
    [anon_sym_return] = ACTIONS(551),
    [anon_sym_undef] = ACTIONS(553),
    [anon_sym_PERCENT2] = ACTIONS(1189),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(163),
    [anon_sym_last] = ACTIONS(555),
    [anon_sym_next] = ACTIONS(555),
    [anon_sym_redo] = ACTIONS(555),
    [anon_sym___FILE__] = ACTIONS(525),
    [anon_sym___LINE__] = ACTIONS(525),
    [anon_sym___PACKAGE__] = ACTIONS(525),
    [anon_sym___SUB__] = ACTIONS(525),
    [anon_sym_break] = ACTIONS(525),
    [anon_sym_fork] = ACTIONS(525),
    [anon_sym_getppid] = ACTIONS(525),
    [anon_sym_time] = ACTIONS(525),
    [anon_sym_times] = ACTIONS(525),
    [anon_sym_wait] = ACTIONS(525),
    [anon_sym_wantarray] = ACTIONS(525),
    [anon_sym_abs] = ACTIONS(557),
    [anon_sym_alarm] = ACTIONS(557),
    [anon_sym_chop] = ACTIONS(557),
    [anon_sym_chdir] = ACTIONS(557),
    [anon_sym_close] = ACTIONS(557),
    [anon_sym_closedir] = ACTIONS(557),
    [anon_sym_caller] = ACTIONS(557),
    [anon_sym_chomp] = ACTIONS(557),
    [anon_sym_chr] = ACTIONS(557),
    [anon_sym_cos] = ACTIONS(557),
    [anon_sym_chroot] = ACTIONS(557),
    [anon_sym_defined] = ACTIONS(557),
    [anon_sym_delete] = ACTIONS(557),
    [anon_sym_dbmclose] = ACTIONS(557),
    [anon_sym_exists] = ACTIONS(557),
    [anon_sym_exit] = ACTIONS(557),
    [anon_sym_eof] = ACTIONS(557),
    [anon_sym_exp] = ACTIONS(557),
    [anon_sym_each] = ACTIONS(557),
    [anon_sym_fc] = ACTIONS(557),
    [anon_sym_fileno] = ACTIONS(557),
    [anon_sym_gmtime] = ACTIONS(557),
    [anon_sym_getc] = ACTIONS(557),
    [anon_sym_getpgrp] = ACTIONS(557),
    [anon_sym_getprotobyname] = ACTIONS(557),
    [anon_sym_getpwname] = ACTIONS(557),
    [anon_sym_getpwuid] = ACTIONS(557),
    [anon_sym_getpeername] = ACTIONS(557),
    [anon_sym_getnetbyname] = ACTIONS(557),
    [anon_sym_getsockname] = ACTIONS(557),
    [anon_sym_getgrnam] = ACTIONS(557),
    [anon_sym_getgrgid] = ACTIONS(557),
    [anon_sym_hex] = ACTIONS(557),
    [anon_sym_int] = ACTIONS(557),
    [anon_sym_keys] = ACTIONS(557),
    [anon_sym_lc] = ACTIONS(557),
    [anon_sym_lcfirst] = ACTIONS(557),
    [anon_sym_length] = ACTIONS(557),
    [anon_sym_localtime] = ACTIONS(557),
    [anon_sym_log] = ACTIONS(557),
    [anon_sym_lock] = ACTIONS(557),
    [anon_sym_lstat] = ACTIONS(557),
    [anon_sym_oct] = ACTIONS(557),
    [anon_sym_ord] = ACTIONS(557),
    [anon_sym_prototype] = ACTIONS(557),
    [anon_sym_pop] = ACTIONS(557),
    [anon_sym_pos] = ACTIONS(557),
    [anon_sym_quotemeta] = ACTIONS(557),
    [anon_sym_reset] = ACTIONS(557),
    [anon_sym_rand] = ACTIONS(557),
    [anon_sym_rmdir] = ACTIONS(557),
    [anon_sym_readdir] = ACTIONS(557),
    [anon_sym_readline] = ACTIONS(557),
    [anon_sym_readpipe] = ACTIONS(557),
    [anon_sym_rewinddir] = ACTIONS(557),
    [anon_sym_readlink] = ACTIONS(557),
    [anon_sym_ref] = ACTIONS(557),
    [anon_sym_scalar] = ACTIONS(557),
    [anon_sym_shift] = ACTIONS(557),
    [anon_sym_sin] = ACTIONS(557),
    [anon_sym_sleep] = ACTIONS(557),
    [anon_sym_sqrt] = ACTIONS(557),
    [anon_sym_srand] = ACTIONS(557),
    [anon_sym_stat] = ACTIONS(557),
    [anon_sym_study] = ACTIONS(557),
    [anon_sym_tell] = ACTIONS(557),
    [anon_sym_telldir] = ACTIONS(557),
    [anon_sym_tied] = ACTIONS(557),
    [anon_sym_uc] = ACTIONS(557),
    [anon_sym_ucfirst] = ACTIONS(557),
    [anon_sym_untie] = ACTIONS(557),
    [anon_sym_umask] = ACTIONS(557),
    [anon_sym_values] = ACTIONS(557),
    [anon_sym_write] = ACTIONS(557),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(559),
    [anon_sym_qq] = ACTIONS(561),
    [anon_sym_qw] = ACTIONS(563),
    [anon_sym_qx] = ACTIONS(565),
    [anon_sym_qr] = ACTIONS(567),
    [anon_sym_m] = ACTIONS(569),
    [anon_sym_s] = ACTIONS(571),
    [anon_sym_tr] = ACTIONS(573),
    [anon_sym_y] = ACTIONS(573),
    [aux_sym__bareword_token1] = ACTIONS(575),
    [sym_number] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(581),
    [sym__open_fileglob_bracket] = ACTIONS(583),
    [sym__PERLY_HEREDOC] = ACTIONS(585),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(587),
    [sym__filetest] = ACTIONS(589),
  },
  [53] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2392),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym__label_arg] = STATE(2195),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(394),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(53),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_identifier] = STATE(2191),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(433),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_COLON] = ACTIONS(155),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(155),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_COMMA] = ACTIONS(155),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_DASH_GT] = ACTIONS(155),
    [anon_sym_PERCENT] = ACTIONS(155),
    [anon_sym_GT] = ACTIONS(155),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_DOT_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_x_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT] = ACTIONS(155),
    [anon_sym_STAR_STAR] = ACTIONS(155),
    [anon_sym_PIPE_PIPE] = ACTIONS(155),
    [anon_sym_SLASH_SLASH] = ACTIONS(155),
    [anon_sym_CARET_CARET] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(155),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(155),
    [anon_sym_AMP] = ACTIONS(155),
    [anon_sym_GT_GT2] = ACTIONS(155),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(155),
    [anon_sym_DOT] = ACTIONS(155),
    [anon_sym_STAR] = ACTIONS(155),
    [anon_sym_SLASH] = ACTIONS(155),
    [anon_sym_x] = ACTIONS(155),
    [anon_sym_EQ_TILDE] = ACTIONS(155),
    [anon_sym_BANG_TILDE] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(155),
    [anon_sym_eq] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_equ] = ACTIONS(155),
    [anon_sym_eqr] = ACTIONS(155),
    [anon_sym_ne] = ACTIONS(155),
    [anon_sym_LT_EQ_GT] = ACTIONS(155),
    [anon_sym_cmp] = ACTIONS(155),
    [anon_sym_TILDE_TILDE] = ACTIONS(155),
    [anon_sym_LT] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_lt] = ACTIONS(155),
    [anon_sym_le] = ACTIONS(155),
    [anon_sym_ge] = ACTIONS(155),
    [anon_sym_gt] = ACTIONS(155),
    [anon_sym_isa] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(155),
    [anon_sym_QMARK] = ACTIONS(155),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(155),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(1222),
  },
  [54] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2303),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(54),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_RBRACE] = ACTIONS(205),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_EQ] = ACTIONS(205),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(205),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_COMMA] = ACTIONS(205),
    [anon_sym_RPAREN] = ACTIONS(205),
    [anon_sym_my] = ACTIONS(439),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(1224),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(439),
    [anon_sym_our] = ACTIONS(439),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_DASH_GT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(205),
    [anon_sym_GT] = ACTIONS(205),
    [anon_sym_LT_LT] = ACTIONS(205),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(205),
    [anon_sym_PLUS_EQ] = ACTIONS(205),
    [anon_sym_DASH_EQ] = ACTIONS(205),
    [anon_sym_DOT_EQ] = ACTIONS(205),
    [anon_sym_STAR_EQ] = ACTIONS(205),
    [anon_sym_SLASH_EQ] = ACTIONS(205),
    [anon_sym_PERCENT_EQ] = ACTIONS(205),
    [anon_sym_x_EQ] = ACTIONS(205),
    [anon_sym_AMP_EQ] = ACTIONS(205),
    [anon_sym_PIPE_EQ] = ACTIONS(205),
    [anon_sym_CARET_EQ] = ACTIONS(205),
    [anon_sym_LT_LT_EQ] = ACTIONS(205),
    [anon_sym_GT_GT_EQ] = ACTIONS(205),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(205),
    [anon_sym_DOT_DOT] = ACTIONS(205),
    [anon_sym_STAR_STAR] = ACTIONS(205),
    [anon_sym_PIPE_PIPE] = ACTIONS(205),
    [anon_sym_SLASH_SLASH] = ACTIONS(205),
    [anon_sym_CARET_CARET] = ACTIONS(205),
    [anon_sym_AMP_AMP] = ACTIONS(205),
    [anon_sym_PIPE] = ACTIONS(205),
    [anon_sym_CARET] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(205),
    [anon_sym_GT_GT2] = ACTIONS(205),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_DOT] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(205),
    [anon_sym_SLASH] = ACTIONS(205),
    [anon_sym_x] = ACTIONS(205),
    [anon_sym_EQ_TILDE] = ACTIONS(205),
    [anon_sym_BANG_TILDE] = ACTIONS(205),
    [anon_sym_EQ_EQ] = ACTIONS(205),
    [anon_sym_BANG_EQ] = ACTIONS(205),
    [anon_sym_eq] = ACTIONS(205),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(205),
    [anon_sym_equ] = ACTIONS(205),
    [anon_sym_eqr] = ACTIONS(205),
    [anon_sym_ne] = ACTIONS(205),
    [anon_sym_LT_EQ_GT] = ACTIONS(205),
    [anon_sym_cmp] = ACTIONS(205),
    [anon_sym_TILDE_TILDE] = ACTIONS(205),
    [anon_sym_LT] = ACTIONS(205),
    [anon_sym_LT_EQ] = ACTIONS(205),
    [anon_sym_GT_EQ] = ACTIONS(205),
    [anon_sym_lt] = ACTIONS(205),
    [anon_sym_le] = ACTIONS(205),
    [anon_sym_ge] = ACTIONS(205),
    [anon_sym_gt] = ACTIONS(205),
    [anon_sym_isa] = ACTIONS(205),
    [anon_sym_TILDE] = ACTIONS(451),
    [anon_sym_BANG] = ACTIONS(451),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_QMARK] = ACTIONS(205),
    [anon_sym_BSLASH] = ACTIONS(453),
    [anon_sym_do] = ACTIONS(455),
    [anon_sym_eval] = ACTIONS(457),
    [anon_sym_await] = ACTIONS(459),
    [anon_sym_field] = ACTIONS(439),
    [anon_sym_local] = ACTIONS(461),
    [anon_sym_dynamically] = ACTIONS(461),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(465),
    [anon_sym_map] = ACTIONS(467),
    [anon_sym_grep] = ACTIONS(467),
    [anon_sym_sort] = ACTIONS(469),
    [anon_sym_goto] = ACTIONS(471),
    [anon_sym_return] = ACTIONS(473),
    [anon_sym_undef] = ACTIONS(475),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(205),
    [anon_sym_last] = ACTIONS(479),
    [anon_sym_next] = ACTIONS(479),
    [anon_sym_redo] = ACTIONS(479),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(481),
    [anon_sym_alarm] = ACTIONS(481),
    [anon_sym_chop] = ACTIONS(481),
    [anon_sym_chdir] = ACTIONS(481),
    [anon_sym_close] = ACTIONS(481),
    [anon_sym_closedir] = ACTIONS(481),
    [anon_sym_caller] = ACTIONS(481),
    [anon_sym_chomp] = ACTIONS(481),
    [anon_sym_chr] = ACTIONS(481),
    [anon_sym_cos] = ACTIONS(481),
    [anon_sym_chroot] = ACTIONS(481),
    [anon_sym_defined] = ACTIONS(481),
    [anon_sym_delete] = ACTIONS(481),
    [anon_sym_dbmclose] = ACTIONS(481),
    [anon_sym_exists] = ACTIONS(481),
    [anon_sym_exit] = ACTIONS(481),
    [anon_sym_eof] = ACTIONS(481),
    [anon_sym_exp] = ACTIONS(481),
    [anon_sym_each] = ACTIONS(481),
    [anon_sym_fc] = ACTIONS(481),
    [anon_sym_fileno] = ACTIONS(481),
    [anon_sym_gmtime] = ACTIONS(481),
    [anon_sym_getc] = ACTIONS(481),
    [anon_sym_getpgrp] = ACTIONS(481),
    [anon_sym_getprotobyname] = ACTIONS(481),
    [anon_sym_getpwname] = ACTIONS(481),
    [anon_sym_getpwuid] = ACTIONS(481),
    [anon_sym_getpeername] = ACTIONS(481),
    [anon_sym_getnetbyname] = ACTIONS(481),
    [anon_sym_getsockname] = ACTIONS(481),
    [anon_sym_getgrnam] = ACTIONS(481),
    [anon_sym_getgrgid] = ACTIONS(481),
    [anon_sym_hex] = ACTIONS(481),
    [anon_sym_int] = ACTIONS(481),
    [anon_sym_keys] = ACTIONS(481),
    [anon_sym_lc] = ACTIONS(481),
    [anon_sym_lcfirst] = ACTIONS(481),
    [anon_sym_length] = ACTIONS(481),
    [anon_sym_localtime] = ACTIONS(481),
    [anon_sym_log] = ACTIONS(481),
    [anon_sym_lock] = ACTIONS(481),
    [anon_sym_lstat] = ACTIONS(481),
    [anon_sym_oct] = ACTIONS(481),
    [anon_sym_ord] = ACTIONS(481),
    [anon_sym_prototype] = ACTIONS(481),
    [anon_sym_pop] = ACTIONS(481),
    [anon_sym_pos] = ACTIONS(481),
    [anon_sym_quotemeta] = ACTIONS(481),
    [anon_sym_reset] = ACTIONS(481),
    [anon_sym_rand] = ACTIONS(481),
    [anon_sym_rmdir] = ACTIONS(481),
    [anon_sym_readdir] = ACTIONS(481),
    [anon_sym_readline] = ACTIONS(481),
    [anon_sym_readpipe] = ACTIONS(481),
    [anon_sym_rewinddir] = ACTIONS(481),
    [anon_sym_readlink] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(481),
    [anon_sym_scalar] = ACTIONS(481),
    [anon_sym_shift] = ACTIONS(481),
    [anon_sym_sin] = ACTIONS(481),
    [anon_sym_sleep] = ACTIONS(481),
    [anon_sym_sqrt] = ACTIONS(481),
    [anon_sym_srand] = ACTIONS(481),
    [anon_sym_stat] = ACTIONS(481),
    [anon_sym_study] = ACTIONS(481),
    [anon_sym_tell] = ACTIONS(481),
    [anon_sym_telldir] = ACTIONS(481),
    [anon_sym_tied] = ACTIONS(481),
    [anon_sym_uc] = ACTIONS(481),
    [anon_sym_ucfirst] = ACTIONS(481),
    [anon_sym_untie] = ACTIONS(481),
    [anon_sym_umask] = ACTIONS(481),
    [anon_sym_values] = ACTIONS(481),
    [anon_sym_write] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(513),
  },
  [55] = {
    [sym__PERLY_BRACE_OPEN] = STATE(235),
    [sym__subscripted] = STATE(1532),
    [sym_container_variable] = STATE(3855),
    [sym_array_element_expression] = STATE(1533),
    [sym_hash_element_expression] = STATE(1533),
    [sym_coderef_call_expression] = STATE(1533),
    [sym_anonymous_slice_expression] = STATE(1533),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(1967),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(1967),
    [sym__term] = STATE(1918),
    [sym_readline_expression] = STATE(1967),
    [sym_fileglob_expression] = STATE(1967),
    [sym_assignment_expression] = STATE(1967),
    [sym_binary_expression] = STATE(1967),
    [sym_equality_expression] = STATE(1967),
    [sym_relational_expression] = STATE(1967),
    [sym_unary_expression] = STATE(1967),
    [sym_preinc_expression] = STATE(1967),
    [sym_postinc_expression] = STATE(1967),
    [sym_conditional_expression] = STATE(1967),
    [sym_refgen_expression] = STATE(1967),
    [sym_anonymous_array_expression] = STATE(1967),
    [sym_anonymous_hash_expression] = STATE(1967),
    [sym_anonymous_subroutine_expression] = STATE(1967),
    [sym_anonymous_method_expression] = STATE(1967),
    [sym_do_expression] = STATE(1967),
    [sym_eval_expression] = STATE(1967),
    [sym_await_expression] = STATE(1967),
    [sym_variable_declaration] = STATE(1967),
    [sym_localization_expression] = STATE(1967),
    [sym_stub_expression] = STATE(1967),
    [sym_scalar_deref_expression] = STATE(1967),
    [sym_array_deref_expression] = STATE(1967),
    [sym_arraylen_deref_expression] = STATE(1967),
    [sym_hash_deref_expression] = STATE(1967),
    [sym_amper_deref_expression] = STATE(1967),
    [sym_glob_deref_expression] = STATE(1967),
    [sym_require_expression] = STATE(1967),
    [sym_require_version_expression] = STATE(1967),
    [sym_func0op_call_expression] = STATE(1967),
    [sym_func1op_call_expression] = STATE(1967),
    [sym_map_grep_expression] = STATE(1967),
    [sym_sort_expression] = STATE(1967),
    [sym_loopex_expression] = STATE(1967),
    [sym_goto_expression] = STATE(1967),
    [sym_return_expression] = STATE(1967),
    [sym_undef_expression] = STATE(1967),
    [sym__listop] = STATE(1967),
    [sym_function_call_expression] = STATE(1968),
    [sym_ambiguous_function_call_expression] = STATE(1968),
    [sym_function] = STATE(389),
    [sym_method_call_expression] = STATE(1968),
    [sym_scalar] = STATE(1967),
    [sym_array] = STATE(1967),
    [sym__SUB_AMPER] = STATE(2686),
    [sym__GLOB_STAR] = STATE(2687),
    [sym_hash] = STATE(1967),
    [sym_arraylen] = STATE(1967),
    [sym_amper_sub] = STATE(1785),
    [sym_glob] = STATE(1786),
    [sym_glob_slot_expression] = STATE(1967),
    [sym__literal] = STATE(1967),
    [sym__apostrophe] = STATE(3328),
    [sym__quotation_mark] = STATE(2501),
    [sym__backtick] = STATE(2502),
    [sym__search_slash] = STATE(2454),
    [sym_string_literal] = STATE(1969),
    [sym_interpolated_string_literal] = STATE(1969),
    [sym_quoted_word_list] = STATE(1787),
    [sym_command_string] = STATE(1969),
    [sym_quoted_regexp] = STATE(1969),
    [sym_match_regexp] = STATE(1969),
    [sym_substitution_regexp] = STATE(1969),
    [sym_transliteration_expression] = STATE(1969),
    [sym_heredoc_token] = STATE(1967),
    [sym_command_heredoc_token] = STATE(1967),
    [sym_heredoc_content] = STATE(55),
    [sym_autoquoted_bareword] = STATE(1967),
    [sym_bareword] = STATE(1967),
    [sym_primitive] = STATE(1967),
    [sym_boolean] = STATE(1965),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3342),
    [sym__identifier] = ACTIONS(575),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_COLON] = ACTIONS(182),
    [anon_sym_DOLLAR] = ACTIONS(1226),
    [anon_sym_EQ] = ACTIONS(182),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(182),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(182),
    [anon_sym_AT] = ACTIONS(1229),
    [anon_sym_COMMA] = ACTIONS(182),
    [anon_sym_RPAREN] = ACTIONS(182),
    [anon_sym_my] = ACTIONS(517),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(519),
    [anon_sym_method] = ACTIONS(521),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_continue] = ACTIONS(525),
    [anon_sym_state] = ACTIONS(517),
    [anon_sym_our] = ACTIONS(517),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(182),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_DASH_GT] = ACTIONS(182),
    [anon_sym_PERCENT] = ACTIONS(182),
    [anon_sym_GT] = ACTIONS(182),
    [anon_sym_LT_LT] = ACTIONS(1232),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(182),
    [anon_sym_PLUS_EQ] = ACTIONS(182),
    [anon_sym_DASH_EQ] = ACTIONS(182),
    [anon_sym_DOT_EQ] = ACTIONS(182),
    [anon_sym_STAR_EQ] = ACTIONS(182),
    [anon_sym_SLASH_EQ] = ACTIONS(182),
    [anon_sym_PERCENT_EQ] = ACTIONS(182),
    [anon_sym_x_EQ] = ACTIONS(182),
    [anon_sym_AMP_EQ] = ACTIONS(182),
    [anon_sym_PIPE_EQ] = ACTIONS(182),
    [anon_sym_CARET_EQ] = ACTIONS(182),
    [anon_sym_LT_LT_EQ] = ACTIONS(182),
    [anon_sym_GT_GT_EQ] = ACTIONS(182),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(182),
    [anon_sym_DOT_DOT] = ACTIONS(182),
    [anon_sym_STAR_STAR] = ACTIONS(182),
    [anon_sym_PIPE_PIPE] = ACTIONS(182),
    [anon_sym_SLASH_SLASH] = ACTIONS(1235),
    [anon_sym_CARET_CARET] = ACTIONS(182),
    [anon_sym_AMP_AMP] = ACTIONS(182),
    [anon_sym_PIPE] = ACTIONS(182),
    [anon_sym_CARET] = ACTIONS(182),
    [anon_sym_AMP] = ACTIONS(182),
    [anon_sym_GT_GT2] = ACTIONS(182),
    [anon_sym_PLUS] = ACTIONS(1238),
    [anon_sym_DASH] = ACTIONS(1241),
    [anon_sym_DOT] = ACTIONS(182),
    [anon_sym_STAR] = ACTIONS(182),
    [anon_sym_SLASH] = ACTIONS(182),
    [anon_sym_x] = ACTIONS(182),
    [anon_sym_EQ_TILDE] = ACTIONS(182),
    [anon_sym_BANG_TILDE] = ACTIONS(182),
    [anon_sym_EQ_EQ] = ACTIONS(182),
    [anon_sym_BANG_EQ] = ACTIONS(182),
    [anon_sym_eq] = ACTIONS(182),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(182),
    [anon_sym_equ] = ACTIONS(182),
    [anon_sym_eqr] = ACTIONS(182),
    [anon_sym_ne] = ACTIONS(182),
    [anon_sym_LT_EQ_GT] = ACTIONS(182),
    [anon_sym_cmp] = ACTIONS(182),
    [anon_sym_TILDE_TILDE] = ACTIONS(182),
    [anon_sym_LT] = ACTIONS(182),
    [anon_sym_LT_EQ] = ACTIONS(182),
    [anon_sym_GT_EQ] = ACTIONS(182),
    [anon_sym_lt] = ACTIONS(182),
    [anon_sym_le] = ACTIONS(182),
    [anon_sym_ge] = ACTIONS(182),
    [anon_sym_gt] = ACTIONS(182),
    [anon_sym_isa] = ACTIONS(182),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_PLUS_PLUS] = ACTIONS(1244),
    [anon_sym_DASH_DASH] = ACTIONS(1244),
    [anon_sym_QMARK] = ACTIONS(182),
    [anon_sym_BSLASH] = ACTIONS(531),
    [anon_sym_do] = ACTIONS(533),
    [anon_sym_eval] = ACTIONS(535),
    [anon_sym_await] = ACTIONS(537),
    [anon_sym_field] = ACTIONS(517),
    [anon_sym_local] = ACTIONS(539),
    [anon_sym_dynamically] = ACTIONS(539),
    [anon_sym_DOLLAR_POUND] = ACTIONS(541),
    [anon_sym_require] = ACTIONS(543),
    [anon_sym_map] = ACTIONS(545),
    [anon_sym_grep] = ACTIONS(545),
    [anon_sym_sort] = ACTIONS(547),
    [anon_sym_goto] = ACTIONS(549),
    [anon_sym_return] = ACTIONS(551),
    [anon_sym_undef] = ACTIONS(553),
    [anon_sym_PERCENT2] = ACTIONS(1247),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(182),
    [anon_sym_last] = ACTIONS(555),
    [anon_sym_next] = ACTIONS(555),
    [anon_sym_redo] = ACTIONS(555),
    [anon_sym___FILE__] = ACTIONS(525),
    [anon_sym___LINE__] = ACTIONS(525),
    [anon_sym___PACKAGE__] = ACTIONS(525),
    [anon_sym___SUB__] = ACTIONS(525),
    [anon_sym_break] = ACTIONS(525),
    [anon_sym_fork] = ACTIONS(525),
    [anon_sym_getppid] = ACTIONS(525),
    [anon_sym_time] = ACTIONS(525),
    [anon_sym_times] = ACTIONS(525),
    [anon_sym_wait] = ACTIONS(525),
    [anon_sym_wantarray] = ACTIONS(525),
    [anon_sym_abs] = ACTIONS(557),
    [anon_sym_alarm] = ACTIONS(557),
    [anon_sym_chop] = ACTIONS(557),
    [anon_sym_chdir] = ACTIONS(557),
    [anon_sym_close] = ACTIONS(557),
    [anon_sym_closedir] = ACTIONS(557),
    [anon_sym_caller] = ACTIONS(557),
    [anon_sym_chomp] = ACTIONS(557),
    [anon_sym_chr] = ACTIONS(557),
    [anon_sym_cos] = ACTIONS(557),
    [anon_sym_chroot] = ACTIONS(557),
    [anon_sym_defined] = ACTIONS(557),
    [anon_sym_delete] = ACTIONS(557),
    [anon_sym_dbmclose] = ACTIONS(557),
    [anon_sym_exists] = ACTIONS(557),
    [anon_sym_exit] = ACTIONS(557),
    [anon_sym_eof] = ACTIONS(557),
    [anon_sym_exp] = ACTIONS(557),
    [anon_sym_each] = ACTIONS(557),
    [anon_sym_fc] = ACTIONS(557),
    [anon_sym_fileno] = ACTIONS(557),
    [anon_sym_gmtime] = ACTIONS(557),
    [anon_sym_getc] = ACTIONS(557),
    [anon_sym_getpgrp] = ACTIONS(557),
    [anon_sym_getprotobyname] = ACTIONS(557),
    [anon_sym_getpwname] = ACTIONS(557),
    [anon_sym_getpwuid] = ACTIONS(557),
    [anon_sym_getpeername] = ACTIONS(557),
    [anon_sym_getnetbyname] = ACTIONS(557),
    [anon_sym_getsockname] = ACTIONS(557),
    [anon_sym_getgrnam] = ACTIONS(557),
    [anon_sym_getgrgid] = ACTIONS(557),
    [anon_sym_hex] = ACTIONS(557),
    [anon_sym_int] = ACTIONS(557),
    [anon_sym_keys] = ACTIONS(557),
    [anon_sym_lc] = ACTIONS(557),
    [anon_sym_lcfirst] = ACTIONS(557),
    [anon_sym_length] = ACTIONS(557),
    [anon_sym_localtime] = ACTIONS(557),
    [anon_sym_log] = ACTIONS(557),
    [anon_sym_lock] = ACTIONS(557),
    [anon_sym_lstat] = ACTIONS(557),
    [anon_sym_oct] = ACTIONS(557),
    [anon_sym_ord] = ACTIONS(557),
    [anon_sym_prototype] = ACTIONS(557),
    [anon_sym_pop] = ACTIONS(557),
    [anon_sym_pos] = ACTIONS(557),
    [anon_sym_quotemeta] = ACTIONS(557),
    [anon_sym_reset] = ACTIONS(557),
    [anon_sym_rand] = ACTIONS(557),
    [anon_sym_rmdir] = ACTIONS(557),
    [anon_sym_readdir] = ACTIONS(557),
    [anon_sym_readline] = ACTIONS(557),
    [anon_sym_readpipe] = ACTIONS(557),
    [anon_sym_rewinddir] = ACTIONS(557),
    [anon_sym_readlink] = ACTIONS(557),
    [anon_sym_ref] = ACTIONS(557),
    [anon_sym_scalar] = ACTIONS(557),
    [anon_sym_shift] = ACTIONS(557),
    [anon_sym_sin] = ACTIONS(557),
    [anon_sym_sleep] = ACTIONS(557),
    [anon_sym_sqrt] = ACTIONS(557),
    [anon_sym_srand] = ACTIONS(557),
    [anon_sym_stat] = ACTIONS(557),
    [anon_sym_study] = ACTIONS(557),
    [anon_sym_tell] = ACTIONS(557),
    [anon_sym_telldir] = ACTIONS(557),
    [anon_sym_tied] = ACTIONS(557),
    [anon_sym_uc] = ACTIONS(557),
    [anon_sym_ucfirst] = ACTIONS(557),
    [anon_sym_untie] = ACTIONS(557),
    [anon_sym_umask] = ACTIONS(557),
    [anon_sym_values] = ACTIONS(557),
    [anon_sym_write] = ACTIONS(557),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(559),
    [anon_sym_qq] = ACTIONS(561),
    [anon_sym_qw] = ACTIONS(563),
    [anon_sym_qx] = ACTIONS(565),
    [anon_sym_qr] = ACTIONS(567),
    [anon_sym_m] = ACTIONS(569),
    [anon_sym_s] = ACTIONS(571),
    [anon_sym_tr] = ACTIONS(573),
    [anon_sym_y] = ACTIONS(573),
    [aux_sym__bareword_token1] = ACTIONS(575),
    [sym_number] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(581),
    [sym__open_fileglob_bracket] = ACTIONS(583),
    [sym__PERLY_HEREDOC] = ACTIONS(585),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(587),
    [sym__filetest] = ACTIONS(589),
  },
  [56] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2302),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(56),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_RBRACE] = ACTIONS(182),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_EQ] = ACTIONS(182),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(182),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(182),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_COMMA] = ACTIONS(182),
    [anon_sym_RPAREN] = ACTIONS(182),
    [anon_sym_my] = ACTIONS(439),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(439),
    [anon_sym_our] = ACTIONS(439),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(182),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_DASH_GT] = ACTIONS(182),
    [anon_sym_PERCENT] = ACTIONS(182),
    [anon_sym_GT] = ACTIONS(182),
    [anon_sym_LT_LT] = ACTIONS(1250),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(182),
    [anon_sym_PLUS_EQ] = ACTIONS(182),
    [anon_sym_DASH_EQ] = ACTIONS(182),
    [anon_sym_DOT_EQ] = ACTIONS(182),
    [anon_sym_STAR_EQ] = ACTIONS(182),
    [anon_sym_SLASH_EQ] = ACTIONS(182),
    [anon_sym_PERCENT_EQ] = ACTIONS(182),
    [anon_sym_x_EQ] = ACTIONS(182),
    [anon_sym_AMP_EQ] = ACTIONS(182),
    [anon_sym_PIPE_EQ] = ACTIONS(182),
    [anon_sym_CARET_EQ] = ACTIONS(182),
    [anon_sym_LT_LT_EQ] = ACTIONS(182),
    [anon_sym_GT_GT_EQ] = ACTIONS(182),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(182),
    [anon_sym_DOT_DOT] = ACTIONS(182),
    [anon_sym_STAR_STAR] = ACTIONS(182),
    [anon_sym_PIPE_PIPE] = ACTIONS(182),
    [anon_sym_SLASH_SLASH] = ACTIONS(1253),
    [anon_sym_CARET_CARET] = ACTIONS(182),
    [anon_sym_AMP_AMP] = ACTIONS(182),
    [anon_sym_PIPE] = ACTIONS(182),
    [anon_sym_CARET] = ACTIONS(182),
    [anon_sym_AMP] = ACTIONS(182),
    [anon_sym_GT_GT2] = ACTIONS(182),
    [anon_sym_PLUS] = ACTIONS(1256),
    [anon_sym_DASH] = ACTIONS(1259),
    [anon_sym_DOT] = ACTIONS(182),
    [anon_sym_STAR] = ACTIONS(182),
    [anon_sym_SLASH] = ACTIONS(182),
    [anon_sym_x] = ACTIONS(182),
    [anon_sym_EQ_TILDE] = ACTIONS(182),
    [anon_sym_BANG_TILDE] = ACTIONS(182),
    [anon_sym_EQ_EQ] = ACTIONS(182),
    [anon_sym_BANG_EQ] = ACTIONS(182),
    [anon_sym_eq] = ACTIONS(182),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(182),
    [anon_sym_equ] = ACTIONS(182),
    [anon_sym_eqr] = ACTIONS(182),
    [anon_sym_ne] = ACTIONS(182),
    [anon_sym_LT_EQ_GT] = ACTIONS(182),
    [anon_sym_cmp] = ACTIONS(182),
    [anon_sym_TILDE_TILDE] = ACTIONS(182),
    [anon_sym_LT] = ACTIONS(182),
    [anon_sym_LT_EQ] = ACTIONS(182),
    [anon_sym_GT_EQ] = ACTIONS(182),
    [anon_sym_lt] = ACTIONS(182),
    [anon_sym_le] = ACTIONS(182),
    [anon_sym_ge] = ACTIONS(182),
    [anon_sym_gt] = ACTIONS(182),
    [anon_sym_isa] = ACTIONS(182),
    [anon_sym_TILDE] = ACTIONS(451),
    [anon_sym_BANG] = ACTIONS(451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1262),
    [anon_sym_DASH_DASH] = ACTIONS(1262),
    [anon_sym_QMARK] = ACTIONS(182),
    [anon_sym_BSLASH] = ACTIONS(453),
    [anon_sym_do] = ACTIONS(455),
    [anon_sym_eval] = ACTIONS(457),
    [anon_sym_await] = ACTIONS(459),
    [anon_sym_field] = ACTIONS(439),
    [anon_sym_local] = ACTIONS(461),
    [anon_sym_dynamically] = ACTIONS(461),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(465),
    [anon_sym_map] = ACTIONS(467),
    [anon_sym_grep] = ACTIONS(467),
    [anon_sym_sort] = ACTIONS(469),
    [anon_sym_goto] = ACTIONS(471),
    [anon_sym_return] = ACTIONS(473),
    [anon_sym_undef] = ACTIONS(475),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(182),
    [anon_sym_last] = ACTIONS(479),
    [anon_sym_next] = ACTIONS(479),
    [anon_sym_redo] = ACTIONS(479),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(481),
    [anon_sym_alarm] = ACTIONS(481),
    [anon_sym_chop] = ACTIONS(481),
    [anon_sym_chdir] = ACTIONS(481),
    [anon_sym_close] = ACTIONS(481),
    [anon_sym_closedir] = ACTIONS(481),
    [anon_sym_caller] = ACTIONS(481),
    [anon_sym_chomp] = ACTIONS(481),
    [anon_sym_chr] = ACTIONS(481),
    [anon_sym_cos] = ACTIONS(481),
    [anon_sym_chroot] = ACTIONS(481),
    [anon_sym_defined] = ACTIONS(481),
    [anon_sym_delete] = ACTIONS(481),
    [anon_sym_dbmclose] = ACTIONS(481),
    [anon_sym_exists] = ACTIONS(481),
    [anon_sym_exit] = ACTIONS(481),
    [anon_sym_eof] = ACTIONS(481),
    [anon_sym_exp] = ACTIONS(481),
    [anon_sym_each] = ACTIONS(481),
    [anon_sym_fc] = ACTIONS(481),
    [anon_sym_fileno] = ACTIONS(481),
    [anon_sym_gmtime] = ACTIONS(481),
    [anon_sym_getc] = ACTIONS(481),
    [anon_sym_getpgrp] = ACTIONS(481),
    [anon_sym_getprotobyname] = ACTIONS(481),
    [anon_sym_getpwname] = ACTIONS(481),
    [anon_sym_getpwuid] = ACTIONS(481),
    [anon_sym_getpeername] = ACTIONS(481),
    [anon_sym_getnetbyname] = ACTIONS(481),
    [anon_sym_getsockname] = ACTIONS(481),
    [anon_sym_getgrnam] = ACTIONS(481),
    [anon_sym_getgrgid] = ACTIONS(481),
    [anon_sym_hex] = ACTIONS(481),
    [anon_sym_int] = ACTIONS(481),
    [anon_sym_keys] = ACTIONS(481),
    [anon_sym_lc] = ACTIONS(481),
    [anon_sym_lcfirst] = ACTIONS(481),
    [anon_sym_length] = ACTIONS(481),
    [anon_sym_localtime] = ACTIONS(481),
    [anon_sym_log] = ACTIONS(481),
    [anon_sym_lock] = ACTIONS(481),
    [anon_sym_lstat] = ACTIONS(481),
    [anon_sym_oct] = ACTIONS(481),
    [anon_sym_ord] = ACTIONS(481),
    [anon_sym_prototype] = ACTIONS(481),
    [anon_sym_pop] = ACTIONS(481),
    [anon_sym_pos] = ACTIONS(481),
    [anon_sym_quotemeta] = ACTIONS(481),
    [anon_sym_reset] = ACTIONS(481),
    [anon_sym_rand] = ACTIONS(481),
    [anon_sym_rmdir] = ACTIONS(481),
    [anon_sym_readdir] = ACTIONS(481),
    [anon_sym_readline] = ACTIONS(481),
    [anon_sym_readpipe] = ACTIONS(481),
    [anon_sym_rewinddir] = ACTIONS(481),
    [anon_sym_readlink] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(481),
    [anon_sym_scalar] = ACTIONS(481),
    [anon_sym_shift] = ACTIONS(481),
    [anon_sym_sin] = ACTIONS(481),
    [anon_sym_sleep] = ACTIONS(481),
    [anon_sym_sqrt] = ACTIONS(481),
    [anon_sym_srand] = ACTIONS(481),
    [anon_sym_stat] = ACTIONS(481),
    [anon_sym_study] = ACTIONS(481),
    [anon_sym_tell] = ACTIONS(481),
    [anon_sym_telldir] = ACTIONS(481),
    [anon_sym_tied] = ACTIONS(481),
    [anon_sym_uc] = ACTIONS(481),
    [anon_sym_ucfirst] = ACTIONS(481),
    [anon_sym_untie] = ACTIONS(481),
    [anon_sym_umask] = ACTIONS(481),
    [anon_sym_values] = ACTIONS(481),
    [anon_sym_write] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(513),
  },
  [57] = {
    [sym__PERLY_BRACE_OPEN] = STATE(238),
    [sym__subscripted] = STATE(1915),
    [sym_container_variable] = STATE(3851),
    [sym_array_element_expression] = STATE(1916),
    [sym_hash_element_expression] = STATE(1916),
    [sym_coderef_call_expression] = STATE(1916),
    [sym_anonymous_slice_expression] = STATE(1916),
    [sym_slice_container_variable] = STATE(3852),
    [sym_slice_expression] = STATE(2342),
    [sym_keyval_container_variable] = STATE(3853),
    [sym_keyval_expression] = STATE(2342),
    [sym__term] = STATE(2295),
    [sym_readline_expression] = STATE(2342),
    [sym_fileglob_expression] = STATE(2342),
    [sym_assignment_expression] = STATE(2342),
    [sym_binary_expression] = STATE(2342),
    [sym_equality_expression] = STATE(2342),
    [sym_relational_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2342),
    [sym_preinc_expression] = STATE(2342),
    [sym_postinc_expression] = STATE(2342),
    [sym_conditional_expression] = STATE(2342),
    [sym_refgen_expression] = STATE(2342),
    [sym_anonymous_array_expression] = STATE(2342),
    [sym_anonymous_hash_expression] = STATE(2342),
    [sym_anonymous_subroutine_expression] = STATE(2342),
    [sym_anonymous_method_expression] = STATE(2342),
    [sym_do_expression] = STATE(2342),
    [sym_eval_expression] = STATE(2342),
    [sym_await_expression] = STATE(2342),
    [sym_variable_declaration] = STATE(2342),
    [sym_localization_expression] = STATE(2342),
    [sym_stub_expression] = STATE(2342),
    [sym_scalar_deref_expression] = STATE(2342),
    [sym_array_deref_expression] = STATE(2342),
    [sym_arraylen_deref_expression] = STATE(2342),
    [sym_hash_deref_expression] = STATE(2342),
    [sym_amper_deref_expression] = STATE(2342),
    [sym_glob_deref_expression] = STATE(2342),
    [sym_require_expression] = STATE(2342),
    [sym_require_version_expression] = STATE(2342),
    [sym_func0op_call_expression] = STATE(2342),
    [sym_func1op_call_expression] = STATE(2342),
    [sym_map_grep_expression] = STATE(2342),
    [sym_sort_expression] = STATE(2342),
    [sym_loopex_expression] = STATE(2342),
    [sym_goto_expression] = STATE(2342),
    [sym_return_expression] = STATE(2342),
    [sym_undef_expression] = STATE(2342),
    [sym__listop] = STATE(2342),
    [sym_function_call_expression] = STATE(2343),
    [sym_ambiguous_function_call_expression] = STATE(2343),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(2343),
    [sym_scalar] = STATE(2342),
    [sym_array] = STATE(2342),
    [sym__SUB_AMPER] = STATE(2739),
    [sym__GLOB_STAR] = STATE(2741),
    [sym_hash] = STATE(2342),
    [sym_arraylen] = STATE(2342),
    [sym_amper_sub] = STATE(2181),
    [sym_glob] = STATE(2183),
    [sym_glob_slot_expression] = STATE(2342),
    [sym__literal] = STATE(2342),
    [sym__apostrophe] = STATE(3277),
    [sym__quotation_mark] = STATE(2481),
    [sym__backtick] = STATE(2482),
    [sym__search_slash] = STATE(2447),
    [sym_string_literal] = STATE(2353),
    [sym_interpolated_string_literal] = STATE(2353),
    [sym_quoted_word_list] = STATE(2193),
    [sym_command_string] = STATE(2353),
    [sym_quoted_regexp] = STATE(2353),
    [sym_match_regexp] = STATE(2353),
    [sym_substitution_regexp] = STATE(2353),
    [sym_transliteration_expression] = STATE(2353),
    [sym_heredoc_token] = STATE(2342),
    [sym_command_heredoc_token] = STATE(2342),
    [sym_heredoc_content] = STATE(57),
    [sym_autoquoted_bareword] = STATE(2342),
    [sym_bareword] = STATE(2342),
    [sym_primitive] = STATE(2342),
    [sym_boolean] = STATE(2323),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3366),
    [sym__identifier] = ACTIONS(1072),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_SEMI] = ACTIONS(182),
    [anon_sym_DOLLAR] = ACTIONS(1008),
    [anon_sym_EQ] = ACTIONS(182),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(182),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(182),
    [anon_sym_AT] = ACTIONS(1010),
    [anon_sym_COMMA] = ACTIONS(182),
    [anon_sym_my] = ACTIONS(1012),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(1014),
    [anon_sym_method] = ACTIONS(1016),
    [anon_sym_LPAREN] = ACTIONS(1018),
    [anon_sym_continue] = ACTIONS(1020),
    [anon_sym_state] = ACTIONS(1012),
    [anon_sym_our] = ACTIONS(1012),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(182),
    [anon_sym_LBRACK] = ACTIONS(1022),
    [anon_sym_DASH_GT] = ACTIONS(182),
    [anon_sym_PERCENT] = ACTIONS(182),
    [anon_sym_GT] = ACTIONS(182),
    [anon_sym_LT_LT] = ACTIONS(1265),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(182),
    [anon_sym_PLUS_EQ] = ACTIONS(182),
    [anon_sym_DASH_EQ] = ACTIONS(182),
    [anon_sym_DOT_EQ] = ACTIONS(182),
    [anon_sym_STAR_EQ] = ACTIONS(182),
    [anon_sym_SLASH_EQ] = ACTIONS(182),
    [anon_sym_PERCENT_EQ] = ACTIONS(182),
    [anon_sym_x_EQ] = ACTIONS(182),
    [anon_sym_AMP_EQ] = ACTIONS(182),
    [anon_sym_PIPE_EQ] = ACTIONS(182),
    [anon_sym_CARET_EQ] = ACTIONS(182),
    [anon_sym_LT_LT_EQ] = ACTIONS(182),
    [anon_sym_GT_GT_EQ] = ACTIONS(182),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(182),
    [anon_sym_DOT_DOT] = ACTIONS(182),
    [anon_sym_STAR_STAR] = ACTIONS(182),
    [anon_sym_PIPE_PIPE] = ACTIONS(182),
    [anon_sym_SLASH_SLASH] = ACTIONS(1268),
    [anon_sym_CARET_CARET] = ACTIONS(182),
    [anon_sym_AMP_AMP] = ACTIONS(182),
    [anon_sym_PIPE] = ACTIONS(182),
    [anon_sym_CARET] = ACTIONS(182),
    [anon_sym_AMP] = ACTIONS(182),
    [anon_sym_GT_GT2] = ACTIONS(182),
    [anon_sym_PLUS] = ACTIONS(1271),
    [anon_sym_DASH] = ACTIONS(1274),
    [anon_sym_DOT] = ACTIONS(182),
    [anon_sym_STAR] = ACTIONS(182),
    [anon_sym_SLASH] = ACTIONS(182),
    [anon_sym_x] = ACTIONS(182),
    [anon_sym_EQ_TILDE] = ACTIONS(182),
    [anon_sym_BANG_TILDE] = ACTIONS(182),
    [anon_sym_EQ_EQ] = ACTIONS(182),
    [anon_sym_BANG_EQ] = ACTIONS(182),
    [anon_sym_eq] = ACTIONS(182),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(182),
    [anon_sym_equ] = ACTIONS(182),
    [anon_sym_eqr] = ACTIONS(182),
    [anon_sym_ne] = ACTIONS(182),
    [anon_sym_LT_EQ_GT] = ACTIONS(182),
    [anon_sym_cmp] = ACTIONS(182),
    [anon_sym_TILDE_TILDE] = ACTIONS(182),
    [anon_sym_LT] = ACTIONS(182),
    [anon_sym_LT_EQ] = ACTIONS(182),
    [anon_sym_GT_EQ] = ACTIONS(182),
    [anon_sym_lt] = ACTIONS(182),
    [anon_sym_le] = ACTIONS(182),
    [anon_sym_ge] = ACTIONS(182),
    [anon_sym_gt] = ACTIONS(182),
    [anon_sym_isa] = ACTIONS(182),
    [anon_sym_TILDE] = ACTIONS(1024),
    [anon_sym_BANG] = ACTIONS(1024),
    [anon_sym_PLUS_PLUS] = ACTIONS(1277),
    [anon_sym_DASH_DASH] = ACTIONS(1277),
    [anon_sym_QMARK] = ACTIONS(182),
    [anon_sym_BSLASH] = ACTIONS(1026),
    [anon_sym_do] = ACTIONS(1028),
    [anon_sym_eval] = ACTIONS(1030),
    [anon_sym_await] = ACTIONS(1032),
    [anon_sym_field] = ACTIONS(1012),
    [anon_sym_local] = ACTIONS(1034),
    [anon_sym_dynamically] = ACTIONS(1034),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1036),
    [anon_sym_require] = ACTIONS(1038),
    [anon_sym_map] = ACTIONS(1040),
    [anon_sym_grep] = ACTIONS(1040),
    [anon_sym_sort] = ACTIONS(1042),
    [anon_sym_goto] = ACTIONS(1044),
    [anon_sym_return] = ACTIONS(1046),
    [anon_sym_undef] = ACTIONS(1048),
    [anon_sym_PERCENT2] = ACTIONS(1050),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(182),
    [anon_sym_last] = ACTIONS(1052),
    [anon_sym_next] = ACTIONS(1052),
    [anon_sym_redo] = ACTIONS(1052),
    [anon_sym___FILE__] = ACTIONS(1020),
    [anon_sym___LINE__] = ACTIONS(1020),
    [anon_sym___PACKAGE__] = ACTIONS(1020),
    [anon_sym___SUB__] = ACTIONS(1020),
    [anon_sym_break] = ACTIONS(1020),
    [anon_sym_fork] = ACTIONS(1020),
    [anon_sym_getppid] = ACTIONS(1020),
    [anon_sym_time] = ACTIONS(1020),
    [anon_sym_times] = ACTIONS(1020),
    [anon_sym_wait] = ACTIONS(1020),
    [anon_sym_wantarray] = ACTIONS(1020),
    [anon_sym_abs] = ACTIONS(1054),
    [anon_sym_alarm] = ACTIONS(1054),
    [anon_sym_chop] = ACTIONS(1054),
    [anon_sym_chdir] = ACTIONS(1054),
    [anon_sym_close] = ACTIONS(1054),
    [anon_sym_closedir] = ACTIONS(1054),
    [anon_sym_caller] = ACTIONS(1054),
    [anon_sym_chomp] = ACTIONS(1054),
    [anon_sym_chr] = ACTIONS(1054),
    [anon_sym_cos] = ACTIONS(1054),
    [anon_sym_chroot] = ACTIONS(1054),
    [anon_sym_defined] = ACTIONS(1054),
    [anon_sym_delete] = ACTIONS(1054),
    [anon_sym_dbmclose] = ACTIONS(1054),
    [anon_sym_exists] = ACTIONS(1054),
    [anon_sym_exit] = ACTIONS(1054),
    [anon_sym_eof] = ACTIONS(1054),
    [anon_sym_exp] = ACTIONS(1054),
    [anon_sym_each] = ACTIONS(1054),
    [anon_sym_fc] = ACTIONS(1054),
    [anon_sym_fileno] = ACTIONS(1054),
    [anon_sym_gmtime] = ACTIONS(1054),
    [anon_sym_getc] = ACTIONS(1054),
    [anon_sym_getpgrp] = ACTIONS(1054),
    [anon_sym_getprotobyname] = ACTIONS(1054),
    [anon_sym_getpwname] = ACTIONS(1054),
    [anon_sym_getpwuid] = ACTIONS(1054),
    [anon_sym_getpeername] = ACTIONS(1054),
    [anon_sym_getnetbyname] = ACTIONS(1054),
    [anon_sym_getsockname] = ACTIONS(1054),
    [anon_sym_getgrnam] = ACTIONS(1054),
    [anon_sym_getgrgid] = ACTIONS(1054),
    [anon_sym_hex] = ACTIONS(1054),
    [anon_sym_int] = ACTIONS(1054),
    [anon_sym_keys] = ACTIONS(1054),
    [anon_sym_lc] = ACTIONS(1054),
    [anon_sym_lcfirst] = ACTIONS(1054),
    [anon_sym_length] = ACTIONS(1054),
    [anon_sym_localtime] = ACTIONS(1054),
    [anon_sym_log] = ACTIONS(1054),
    [anon_sym_lock] = ACTIONS(1054),
    [anon_sym_lstat] = ACTIONS(1054),
    [anon_sym_oct] = ACTIONS(1054),
    [anon_sym_ord] = ACTIONS(1054),
    [anon_sym_prototype] = ACTIONS(1054),
    [anon_sym_pop] = ACTIONS(1054),
    [anon_sym_pos] = ACTIONS(1054),
    [anon_sym_quotemeta] = ACTIONS(1054),
    [anon_sym_reset] = ACTIONS(1054),
    [anon_sym_rand] = ACTIONS(1054),
    [anon_sym_rmdir] = ACTIONS(1054),
    [anon_sym_readdir] = ACTIONS(1054),
    [anon_sym_readline] = ACTIONS(1054),
    [anon_sym_readpipe] = ACTIONS(1054),
    [anon_sym_rewinddir] = ACTIONS(1054),
    [anon_sym_readlink] = ACTIONS(1054),
    [anon_sym_ref] = ACTIONS(1054),
    [anon_sym_scalar] = ACTIONS(1054),
    [anon_sym_shift] = ACTIONS(1054),
    [anon_sym_sin] = ACTIONS(1054),
    [anon_sym_sleep] = ACTIONS(1054),
    [anon_sym_sqrt] = ACTIONS(1054),
    [anon_sym_srand] = ACTIONS(1054),
    [anon_sym_stat] = ACTIONS(1054),
    [anon_sym_study] = ACTIONS(1054),
    [anon_sym_tell] = ACTIONS(1054),
    [anon_sym_telldir] = ACTIONS(1054),
    [anon_sym_tied] = ACTIONS(1054),
    [anon_sym_uc] = ACTIONS(1054),
    [anon_sym_ucfirst] = ACTIONS(1054),
    [anon_sym_untie] = ACTIONS(1054),
    [anon_sym_umask] = ACTIONS(1054),
    [anon_sym_values] = ACTIONS(1054),
    [anon_sym_write] = ACTIONS(1054),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1056),
    [anon_sym_qq] = ACTIONS(1058),
    [anon_sym_qw] = ACTIONS(1060),
    [anon_sym_qx] = ACTIONS(1062),
    [anon_sym_qr] = ACTIONS(1064),
    [anon_sym_m] = ACTIONS(1066),
    [anon_sym_s] = ACTIONS(1068),
    [anon_sym_tr] = ACTIONS(1070),
    [anon_sym_y] = ACTIONS(1070),
    [aux_sym__bareword_token1] = ACTIONS(1072),
    [sym_number] = ACTIONS(1074),
    [anon_sym_true] = ACTIONS(1076),
    [anon_sym_false] = ACTIONS(1076),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(1078),
    [sym__open_fileglob_bracket] = ACTIONS(1080),
    [sym__PERLY_SEMICOLON] = ACTIONS(199),
    [sym__PERLY_HEREDOC] = ACTIONS(1082),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1084),
    [sym__filetest] = ACTIONS(1086),
  },
  [58] = {
    [sym__PERLY_BRACE_OPEN] = STATE(238),
    [sym__subscripted] = STATE(1915),
    [sym_container_variable] = STATE(3851),
    [sym_array_element_expression] = STATE(1916),
    [sym_hash_element_expression] = STATE(1916),
    [sym_coderef_call_expression] = STATE(1916),
    [sym_anonymous_slice_expression] = STATE(1916),
    [sym_slice_container_variable] = STATE(3852),
    [sym_slice_expression] = STATE(2342),
    [sym_keyval_container_variable] = STATE(3853),
    [sym_keyval_expression] = STATE(2342),
    [sym__term] = STATE(2226),
    [sym_readline_expression] = STATE(2342),
    [sym_fileglob_expression] = STATE(2342),
    [sym_assignment_expression] = STATE(2342),
    [sym_binary_expression] = STATE(2342),
    [sym_equality_expression] = STATE(2342),
    [sym_relational_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2342),
    [sym_preinc_expression] = STATE(2342),
    [sym_postinc_expression] = STATE(2342),
    [sym_conditional_expression] = STATE(2342),
    [sym_refgen_expression] = STATE(2342),
    [sym_anonymous_array_expression] = STATE(2342),
    [sym_anonymous_hash_expression] = STATE(2342),
    [sym_anonymous_subroutine_expression] = STATE(2342),
    [sym_anonymous_method_expression] = STATE(2342),
    [sym_do_expression] = STATE(2342),
    [sym_eval_expression] = STATE(2342),
    [sym_await_expression] = STATE(2342),
    [sym_variable_declaration] = STATE(2342),
    [sym_localization_expression] = STATE(2342),
    [sym_stub_expression] = STATE(2342),
    [sym_scalar_deref_expression] = STATE(2342),
    [sym_array_deref_expression] = STATE(2342),
    [sym_arraylen_deref_expression] = STATE(2342),
    [sym_hash_deref_expression] = STATE(2342),
    [sym_amper_deref_expression] = STATE(2342),
    [sym_glob_deref_expression] = STATE(2342),
    [sym_require_expression] = STATE(2342),
    [sym_require_version_expression] = STATE(2342),
    [sym_func0op_call_expression] = STATE(2342),
    [sym_func1op_call_expression] = STATE(2342),
    [sym_map_grep_expression] = STATE(2342),
    [sym_sort_expression] = STATE(2342),
    [sym_loopex_expression] = STATE(2342),
    [sym_goto_expression] = STATE(2342),
    [sym_return_expression] = STATE(2342),
    [sym_undef_expression] = STATE(2342),
    [sym__listop] = STATE(2342),
    [sym_function_call_expression] = STATE(2343),
    [sym_ambiguous_function_call_expression] = STATE(2343),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(2343),
    [sym_scalar] = STATE(2342),
    [sym_array] = STATE(2342),
    [sym__SUB_AMPER] = STATE(2739),
    [sym__GLOB_STAR] = STATE(2741),
    [sym_hash] = STATE(2342),
    [sym_arraylen] = STATE(2342),
    [sym_amper_sub] = STATE(2181),
    [sym_glob] = STATE(2183),
    [sym_glob_slot_expression] = STATE(2342),
    [sym__literal] = STATE(2342),
    [sym__apostrophe] = STATE(3277),
    [sym__quotation_mark] = STATE(2481),
    [sym__backtick] = STATE(2482),
    [sym__search_slash] = STATE(2447),
    [sym_string_literal] = STATE(2353),
    [sym_interpolated_string_literal] = STATE(2353),
    [sym_quoted_word_list] = STATE(2193),
    [sym_command_string] = STATE(2353),
    [sym_quoted_regexp] = STATE(2353),
    [sym_match_regexp] = STATE(2353),
    [sym_substitution_regexp] = STATE(2353),
    [sym_transliteration_expression] = STATE(2353),
    [sym_heredoc_token] = STATE(2342),
    [sym_command_heredoc_token] = STATE(2342),
    [sym_heredoc_content] = STATE(58),
    [sym_autoquoted_bareword] = STATE(2342),
    [sym_bareword] = STATE(2342),
    [sym_primitive] = STATE(2342),
    [sym_boolean] = STATE(2323),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3366),
    [sym__identifier] = ACTIONS(1072),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_SEMI] = ACTIONS(205),
    [anon_sym_DOLLAR] = ACTIONS(1008),
    [anon_sym_EQ] = ACTIONS(205),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(205),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(1010),
    [anon_sym_COMMA] = ACTIONS(205),
    [anon_sym_my] = ACTIONS(1012),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(1014),
    [anon_sym_method] = ACTIONS(1016),
    [anon_sym_LPAREN] = ACTIONS(1280),
    [anon_sym_continue] = ACTIONS(1020),
    [anon_sym_state] = ACTIONS(1012),
    [anon_sym_our] = ACTIONS(1012),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(1022),
    [anon_sym_DASH_GT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(205),
    [anon_sym_GT] = ACTIONS(205),
    [anon_sym_LT_LT] = ACTIONS(205),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(205),
    [anon_sym_PLUS_EQ] = ACTIONS(205),
    [anon_sym_DASH_EQ] = ACTIONS(205),
    [anon_sym_DOT_EQ] = ACTIONS(205),
    [anon_sym_STAR_EQ] = ACTIONS(205),
    [anon_sym_SLASH_EQ] = ACTIONS(205),
    [anon_sym_PERCENT_EQ] = ACTIONS(205),
    [anon_sym_x_EQ] = ACTIONS(205),
    [anon_sym_AMP_EQ] = ACTIONS(205),
    [anon_sym_PIPE_EQ] = ACTIONS(205),
    [anon_sym_CARET_EQ] = ACTIONS(205),
    [anon_sym_LT_LT_EQ] = ACTIONS(205),
    [anon_sym_GT_GT_EQ] = ACTIONS(205),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(205),
    [anon_sym_DOT_DOT] = ACTIONS(205),
    [anon_sym_STAR_STAR] = ACTIONS(205),
    [anon_sym_PIPE_PIPE] = ACTIONS(205),
    [anon_sym_SLASH_SLASH] = ACTIONS(205),
    [anon_sym_CARET_CARET] = ACTIONS(205),
    [anon_sym_AMP_AMP] = ACTIONS(205),
    [anon_sym_PIPE] = ACTIONS(205),
    [anon_sym_CARET] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(205),
    [anon_sym_GT_GT2] = ACTIONS(205),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_DOT] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(205),
    [anon_sym_SLASH] = ACTIONS(205),
    [anon_sym_x] = ACTIONS(205),
    [anon_sym_EQ_TILDE] = ACTIONS(205),
    [anon_sym_BANG_TILDE] = ACTIONS(205),
    [anon_sym_EQ_EQ] = ACTIONS(205),
    [anon_sym_BANG_EQ] = ACTIONS(205),
    [anon_sym_eq] = ACTIONS(205),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(205),
    [anon_sym_equ] = ACTIONS(205),
    [anon_sym_eqr] = ACTIONS(205),
    [anon_sym_ne] = ACTIONS(205),
    [anon_sym_LT_EQ_GT] = ACTIONS(205),
    [anon_sym_cmp] = ACTIONS(205),
    [anon_sym_TILDE_TILDE] = ACTIONS(205),
    [anon_sym_LT] = ACTIONS(205),
    [anon_sym_LT_EQ] = ACTIONS(205),
    [anon_sym_GT_EQ] = ACTIONS(205),
    [anon_sym_lt] = ACTIONS(205),
    [anon_sym_le] = ACTIONS(205),
    [anon_sym_ge] = ACTIONS(205),
    [anon_sym_gt] = ACTIONS(205),
    [anon_sym_isa] = ACTIONS(205),
    [anon_sym_TILDE] = ACTIONS(1024),
    [anon_sym_BANG] = ACTIONS(1024),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_QMARK] = ACTIONS(205),
    [anon_sym_BSLASH] = ACTIONS(1026),
    [anon_sym_do] = ACTIONS(1028),
    [anon_sym_eval] = ACTIONS(1030),
    [anon_sym_await] = ACTIONS(1032),
    [anon_sym_field] = ACTIONS(1012),
    [anon_sym_local] = ACTIONS(1034),
    [anon_sym_dynamically] = ACTIONS(1034),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1036),
    [anon_sym_require] = ACTIONS(1038),
    [anon_sym_map] = ACTIONS(1040),
    [anon_sym_grep] = ACTIONS(1040),
    [anon_sym_sort] = ACTIONS(1042),
    [anon_sym_goto] = ACTIONS(1044),
    [anon_sym_return] = ACTIONS(1046),
    [anon_sym_undef] = ACTIONS(1048),
    [anon_sym_PERCENT2] = ACTIONS(1050),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(205),
    [anon_sym_last] = ACTIONS(1052),
    [anon_sym_next] = ACTIONS(1052),
    [anon_sym_redo] = ACTIONS(1052),
    [anon_sym___FILE__] = ACTIONS(1020),
    [anon_sym___LINE__] = ACTIONS(1020),
    [anon_sym___PACKAGE__] = ACTIONS(1020),
    [anon_sym___SUB__] = ACTIONS(1020),
    [anon_sym_break] = ACTIONS(1020),
    [anon_sym_fork] = ACTIONS(1020),
    [anon_sym_getppid] = ACTIONS(1020),
    [anon_sym_time] = ACTIONS(1020),
    [anon_sym_times] = ACTIONS(1020),
    [anon_sym_wait] = ACTIONS(1020),
    [anon_sym_wantarray] = ACTIONS(1020),
    [anon_sym_abs] = ACTIONS(1054),
    [anon_sym_alarm] = ACTIONS(1054),
    [anon_sym_chop] = ACTIONS(1054),
    [anon_sym_chdir] = ACTIONS(1054),
    [anon_sym_close] = ACTIONS(1054),
    [anon_sym_closedir] = ACTIONS(1054),
    [anon_sym_caller] = ACTIONS(1054),
    [anon_sym_chomp] = ACTIONS(1054),
    [anon_sym_chr] = ACTIONS(1054),
    [anon_sym_cos] = ACTIONS(1054),
    [anon_sym_chroot] = ACTIONS(1054),
    [anon_sym_defined] = ACTIONS(1054),
    [anon_sym_delete] = ACTIONS(1054),
    [anon_sym_dbmclose] = ACTIONS(1054),
    [anon_sym_exists] = ACTIONS(1054),
    [anon_sym_exit] = ACTIONS(1054),
    [anon_sym_eof] = ACTIONS(1054),
    [anon_sym_exp] = ACTIONS(1054),
    [anon_sym_each] = ACTIONS(1054),
    [anon_sym_fc] = ACTIONS(1054),
    [anon_sym_fileno] = ACTIONS(1054),
    [anon_sym_gmtime] = ACTIONS(1054),
    [anon_sym_getc] = ACTIONS(1054),
    [anon_sym_getpgrp] = ACTIONS(1054),
    [anon_sym_getprotobyname] = ACTIONS(1054),
    [anon_sym_getpwname] = ACTIONS(1054),
    [anon_sym_getpwuid] = ACTIONS(1054),
    [anon_sym_getpeername] = ACTIONS(1054),
    [anon_sym_getnetbyname] = ACTIONS(1054),
    [anon_sym_getsockname] = ACTIONS(1054),
    [anon_sym_getgrnam] = ACTIONS(1054),
    [anon_sym_getgrgid] = ACTIONS(1054),
    [anon_sym_hex] = ACTIONS(1054),
    [anon_sym_int] = ACTIONS(1054),
    [anon_sym_keys] = ACTIONS(1054),
    [anon_sym_lc] = ACTIONS(1054),
    [anon_sym_lcfirst] = ACTIONS(1054),
    [anon_sym_length] = ACTIONS(1054),
    [anon_sym_localtime] = ACTIONS(1054),
    [anon_sym_log] = ACTIONS(1054),
    [anon_sym_lock] = ACTIONS(1054),
    [anon_sym_lstat] = ACTIONS(1054),
    [anon_sym_oct] = ACTIONS(1054),
    [anon_sym_ord] = ACTIONS(1054),
    [anon_sym_prototype] = ACTIONS(1054),
    [anon_sym_pop] = ACTIONS(1054),
    [anon_sym_pos] = ACTIONS(1054),
    [anon_sym_quotemeta] = ACTIONS(1054),
    [anon_sym_reset] = ACTIONS(1054),
    [anon_sym_rand] = ACTIONS(1054),
    [anon_sym_rmdir] = ACTIONS(1054),
    [anon_sym_readdir] = ACTIONS(1054),
    [anon_sym_readline] = ACTIONS(1054),
    [anon_sym_readpipe] = ACTIONS(1054),
    [anon_sym_rewinddir] = ACTIONS(1054),
    [anon_sym_readlink] = ACTIONS(1054),
    [anon_sym_ref] = ACTIONS(1054),
    [anon_sym_scalar] = ACTIONS(1054),
    [anon_sym_shift] = ACTIONS(1054),
    [anon_sym_sin] = ACTIONS(1054),
    [anon_sym_sleep] = ACTIONS(1054),
    [anon_sym_sqrt] = ACTIONS(1054),
    [anon_sym_srand] = ACTIONS(1054),
    [anon_sym_stat] = ACTIONS(1054),
    [anon_sym_study] = ACTIONS(1054),
    [anon_sym_tell] = ACTIONS(1054),
    [anon_sym_telldir] = ACTIONS(1054),
    [anon_sym_tied] = ACTIONS(1054),
    [anon_sym_uc] = ACTIONS(1054),
    [anon_sym_ucfirst] = ACTIONS(1054),
    [anon_sym_untie] = ACTIONS(1054),
    [anon_sym_umask] = ACTIONS(1054),
    [anon_sym_values] = ACTIONS(1054),
    [anon_sym_write] = ACTIONS(1054),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1056),
    [anon_sym_qq] = ACTIONS(1058),
    [anon_sym_qw] = ACTIONS(1060),
    [anon_sym_qx] = ACTIONS(1062),
    [anon_sym_qr] = ACTIONS(1064),
    [anon_sym_m] = ACTIONS(1066),
    [anon_sym_s] = ACTIONS(1068),
    [anon_sym_tr] = ACTIONS(1070),
    [anon_sym_y] = ACTIONS(1070),
    [aux_sym__bareword_token1] = ACTIONS(1072),
    [sym_number] = ACTIONS(1074),
    [anon_sym_true] = ACTIONS(1076),
    [anon_sym_false] = ACTIONS(1076),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(1078),
    [sym__open_fileglob_bracket] = ACTIONS(1080),
    [sym__PERLY_SEMICOLON] = ACTIONS(209),
    [sym__PERLY_HEREDOC] = ACTIONS(1082),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1084),
    [sym__filetest] = ACTIONS(1086),
  },
  [59] = {
    [sym__PERLY_BRACE_OPEN] = STATE(235),
    [sym__subscripted] = STATE(1532),
    [sym_container_variable] = STATE(3855),
    [sym_array_element_expression] = STATE(1533),
    [sym_hash_element_expression] = STATE(1533),
    [sym_coderef_call_expression] = STATE(1533),
    [sym_anonymous_slice_expression] = STATE(1533),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(1967),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(1967),
    [sym__term] = STATE(1973),
    [sym_readline_expression] = STATE(1967),
    [sym_fileglob_expression] = STATE(1967),
    [sym_assignment_expression] = STATE(1967),
    [sym_binary_expression] = STATE(1967),
    [sym_equality_expression] = STATE(1967),
    [sym_relational_expression] = STATE(1967),
    [sym_unary_expression] = STATE(1967),
    [sym_preinc_expression] = STATE(1967),
    [sym_postinc_expression] = STATE(1967),
    [sym_conditional_expression] = STATE(1967),
    [sym_refgen_expression] = STATE(1967),
    [sym_anonymous_array_expression] = STATE(1967),
    [sym_anonymous_hash_expression] = STATE(1967),
    [sym_anonymous_subroutine_expression] = STATE(1967),
    [sym_anonymous_method_expression] = STATE(1967),
    [sym_do_expression] = STATE(1967),
    [sym_eval_expression] = STATE(1967),
    [sym_await_expression] = STATE(1967),
    [sym_variable_declaration] = STATE(1967),
    [sym_localization_expression] = STATE(1967),
    [sym_stub_expression] = STATE(1967),
    [sym_scalar_deref_expression] = STATE(1967),
    [sym_array_deref_expression] = STATE(1967),
    [sym_arraylen_deref_expression] = STATE(1967),
    [sym_hash_deref_expression] = STATE(1967),
    [sym_amper_deref_expression] = STATE(1967),
    [sym_glob_deref_expression] = STATE(1967),
    [sym_require_expression] = STATE(1967),
    [sym_require_version_expression] = STATE(1967),
    [sym_func0op_call_expression] = STATE(1967),
    [sym_func1op_call_expression] = STATE(1967),
    [sym_map_grep_expression] = STATE(1967),
    [sym_sort_expression] = STATE(1967),
    [sym_loopex_expression] = STATE(1967),
    [sym_goto_expression] = STATE(1967),
    [sym_return_expression] = STATE(1967),
    [sym_undef_expression] = STATE(1967),
    [sym__listop] = STATE(1967),
    [sym_function_call_expression] = STATE(1968),
    [sym_ambiguous_function_call_expression] = STATE(1968),
    [sym_function] = STATE(389),
    [sym_method_call_expression] = STATE(1968),
    [sym_scalar] = STATE(1967),
    [sym_array] = STATE(1967),
    [sym__SUB_AMPER] = STATE(2686),
    [sym__GLOB_STAR] = STATE(2687),
    [sym_hash] = STATE(1967),
    [sym_arraylen] = STATE(1967),
    [sym_amper_sub] = STATE(1785),
    [sym_glob] = STATE(1786),
    [sym_glob_slot_expression] = STATE(1967),
    [sym__literal] = STATE(1967),
    [sym__apostrophe] = STATE(3328),
    [sym__quotation_mark] = STATE(2501),
    [sym__backtick] = STATE(2502),
    [sym__search_slash] = STATE(2454),
    [sym_string_literal] = STATE(1969),
    [sym_interpolated_string_literal] = STATE(1969),
    [sym_quoted_word_list] = STATE(1787),
    [sym_command_string] = STATE(1969),
    [sym_quoted_regexp] = STATE(1969),
    [sym_match_regexp] = STATE(1969),
    [sym_substitution_regexp] = STATE(1969),
    [sym_transliteration_expression] = STATE(1969),
    [sym_heredoc_token] = STATE(1967),
    [sym_command_heredoc_token] = STATE(1967),
    [sym_heredoc_content] = STATE(59),
    [sym_autoquoted_bareword] = STATE(1967),
    [sym_bareword] = STATE(1967),
    [sym_primitive] = STATE(1967),
    [sym_boolean] = STATE(1965),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3342),
    [sym__identifier] = ACTIONS(575),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_COLON] = ACTIONS(205),
    [anon_sym_DOLLAR] = ACTIONS(205),
    [anon_sym_EQ] = ACTIONS(205),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(205),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(205),
    [anon_sym_COMMA] = ACTIONS(205),
    [anon_sym_RPAREN] = ACTIONS(205),
    [anon_sym_my] = ACTIONS(517),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(519),
    [anon_sym_method] = ACTIONS(521),
    [anon_sym_LPAREN] = ACTIONS(1282),
    [anon_sym_continue] = ACTIONS(525),
    [anon_sym_state] = ACTIONS(517),
    [anon_sym_our] = ACTIONS(517),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_DASH_GT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(205),
    [anon_sym_GT] = ACTIONS(205),
    [anon_sym_LT_LT] = ACTIONS(205),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(205),
    [anon_sym_PLUS_EQ] = ACTIONS(205),
    [anon_sym_DASH_EQ] = ACTIONS(205),
    [anon_sym_DOT_EQ] = ACTIONS(205),
    [anon_sym_STAR_EQ] = ACTIONS(205),
    [anon_sym_SLASH_EQ] = ACTIONS(205),
    [anon_sym_PERCENT_EQ] = ACTIONS(205),
    [anon_sym_x_EQ] = ACTIONS(205),
    [anon_sym_AMP_EQ] = ACTIONS(205),
    [anon_sym_PIPE_EQ] = ACTIONS(205),
    [anon_sym_CARET_EQ] = ACTIONS(205),
    [anon_sym_LT_LT_EQ] = ACTIONS(205),
    [anon_sym_GT_GT_EQ] = ACTIONS(205),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(205),
    [anon_sym_DOT_DOT] = ACTIONS(205),
    [anon_sym_STAR_STAR] = ACTIONS(205),
    [anon_sym_PIPE_PIPE] = ACTIONS(205),
    [anon_sym_SLASH_SLASH] = ACTIONS(205),
    [anon_sym_CARET_CARET] = ACTIONS(205),
    [anon_sym_AMP_AMP] = ACTIONS(205),
    [anon_sym_PIPE] = ACTIONS(205),
    [anon_sym_CARET] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(205),
    [anon_sym_GT_GT2] = ACTIONS(205),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_DOT] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(205),
    [anon_sym_SLASH] = ACTIONS(205),
    [anon_sym_x] = ACTIONS(205),
    [anon_sym_EQ_TILDE] = ACTIONS(205),
    [anon_sym_BANG_TILDE] = ACTIONS(205),
    [anon_sym_EQ_EQ] = ACTIONS(205),
    [anon_sym_BANG_EQ] = ACTIONS(205),
    [anon_sym_eq] = ACTIONS(205),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(205),
    [anon_sym_equ] = ACTIONS(205),
    [anon_sym_eqr] = ACTIONS(205),
    [anon_sym_ne] = ACTIONS(205),
    [anon_sym_LT_EQ_GT] = ACTIONS(205),
    [anon_sym_cmp] = ACTIONS(205),
    [anon_sym_TILDE_TILDE] = ACTIONS(205),
    [anon_sym_LT] = ACTIONS(205),
    [anon_sym_LT_EQ] = ACTIONS(205),
    [anon_sym_GT_EQ] = ACTIONS(205),
    [anon_sym_lt] = ACTIONS(205),
    [anon_sym_le] = ACTIONS(205),
    [anon_sym_ge] = ACTIONS(205),
    [anon_sym_gt] = ACTIONS(205),
    [anon_sym_isa] = ACTIONS(205),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_QMARK] = ACTIONS(205),
    [anon_sym_BSLASH] = ACTIONS(531),
    [anon_sym_do] = ACTIONS(533),
    [anon_sym_eval] = ACTIONS(535),
    [anon_sym_await] = ACTIONS(537),
    [anon_sym_field] = ACTIONS(517),
    [anon_sym_local] = ACTIONS(539),
    [anon_sym_dynamically] = ACTIONS(539),
    [anon_sym_DOLLAR_POUND] = ACTIONS(541),
    [anon_sym_require] = ACTIONS(543),
    [anon_sym_map] = ACTIONS(545),
    [anon_sym_grep] = ACTIONS(545),
    [anon_sym_sort] = ACTIONS(547),
    [anon_sym_goto] = ACTIONS(549),
    [anon_sym_return] = ACTIONS(551),
    [anon_sym_undef] = ACTIONS(553),
    [anon_sym_PERCENT2] = ACTIONS(205),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(205),
    [anon_sym_last] = ACTIONS(555),
    [anon_sym_next] = ACTIONS(555),
    [anon_sym_redo] = ACTIONS(555),
    [anon_sym___FILE__] = ACTIONS(525),
    [anon_sym___LINE__] = ACTIONS(525),
    [anon_sym___PACKAGE__] = ACTIONS(525),
    [anon_sym___SUB__] = ACTIONS(525),
    [anon_sym_break] = ACTIONS(525),
    [anon_sym_fork] = ACTIONS(525),
    [anon_sym_getppid] = ACTIONS(525),
    [anon_sym_time] = ACTIONS(525),
    [anon_sym_times] = ACTIONS(525),
    [anon_sym_wait] = ACTIONS(525),
    [anon_sym_wantarray] = ACTIONS(525),
    [anon_sym_abs] = ACTIONS(557),
    [anon_sym_alarm] = ACTIONS(557),
    [anon_sym_chop] = ACTIONS(557),
    [anon_sym_chdir] = ACTIONS(557),
    [anon_sym_close] = ACTIONS(557),
    [anon_sym_closedir] = ACTIONS(557),
    [anon_sym_caller] = ACTIONS(557),
    [anon_sym_chomp] = ACTIONS(557),
    [anon_sym_chr] = ACTIONS(557),
    [anon_sym_cos] = ACTIONS(557),
    [anon_sym_chroot] = ACTIONS(557),
    [anon_sym_defined] = ACTIONS(557),
    [anon_sym_delete] = ACTIONS(557),
    [anon_sym_dbmclose] = ACTIONS(557),
    [anon_sym_exists] = ACTIONS(557),
    [anon_sym_exit] = ACTIONS(557),
    [anon_sym_eof] = ACTIONS(557),
    [anon_sym_exp] = ACTIONS(557),
    [anon_sym_each] = ACTIONS(557),
    [anon_sym_fc] = ACTIONS(557),
    [anon_sym_fileno] = ACTIONS(557),
    [anon_sym_gmtime] = ACTIONS(557),
    [anon_sym_getc] = ACTIONS(557),
    [anon_sym_getpgrp] = ACTIONS(557),
    [anon_sym_getprotobyname] = ACTIONS(557),
    [anon_sym_getpwname] = ACTIONS(557),
    [anon_sym_getpwuid] = ACTIONS(557),
    [anon_sym_getpeername] = ACTIONS(557),
    [anon_sym_getnetbyname] = ACTIONS(557),
    [anon_sym_getsockname] = ACTIONS(557),
    [anon_sym_getgrnam] = ACTIONS(557),
    [anon_sym_getgrgid] = ACTIONS(557),
    [anon_sym_hex] = ACTIONS(557),
    [anon_sym_int] = ACTIONS(557),
    [anon_sym_keys] = ACTIONS(557),
    [anon_sym_lc] = ACTIONS(557),
    [anon_sym_lcfirst] = ACTIONS(557),
    [anon_sym_length] = ACTIONS(557),
    [anon_sym_localtime] = ACTIONS(557),
    [anon_sym_log] = ACTIONS(557),
    [anon_sym_lock] = ACTIONS(557),
    [anon_sym_lstat] = ACTIONS(557),
    [anon_sym_oct] = ACTIONS(557),
    [anon_sym_ord] = ACTIONS(557),
    [anon_sym_prototype] = ACTIONS(557),
    [anon_sym_pop] = ACTIONS(557),
    [anon_sym_pos] = ACTIONS(557),
    [anon_sym_quotemeta] = ACTIONS(557),
    [anon_sym_reset] = ACTIONS(557),
    [anon_sym_rand] = ACTIONS(557),
    [anon_sym_rmdir] = ACTIONS(557),
    [anon_sym_readdir] = ACTIONS(557),
    [anon_sym_readline] = ACTIONS(557),
    [anon_sym_readpipe] = ACTIONS(557),
    [anon_sym_rewinddir] = ACTIONS(557),
    [anon_sym_readlink] = ACTIONS(557),
    [anon_sym_ref] = ACTIONS(557),
    [anon_sym_scalar] = ACTIONS(557),
    [anon_sym_shift] = ACTIONS(557),
    [anon_sym_sin] = ACTIONS(557),
    [anon_sym_sleep] = ACTIONS(557),
    [anon_sym_sqrt] = ACTIONS(557),
    [anon_sym_srand] = ACTIONS(557),
    [anon_sym_stat] = ACTIONS(557),
    [anon_sym_study] = ACTIONS(557),
    [anon_sym_tell] = ACTIONS(557),
    [anon_sym_telldir] = ACTIONS(557),
    [anon_sym_tied] = ACTIONS(557),
    [anon_sym_uc] = ACTIONS(557),
    [anon_sym_ucfirst] = ACTIONS(557),
    [anon_sym_untie] = ACTIONS(557),
    [anon_sym_umask] = ACTIONS(557),
    [anon_sym_values] = ACTIONS(557),
    [anon_sym_write] = ACTIONS(557),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(559),
    [anon_sym_qq] = ACTIONS(561),
    [anon_sym_qw] = ACTIONS(563),
    [anon_sym_qx] = ACTIONS(565),
    [anon_sym_qr] = ACTIONS(567),
    [anon_sym_m] = ACTIONS(569),
    [anon_sym_s] = ACTIONS(571),
    [anon_sym_tr] = ACTIONS(573),
    [anon_sym_y] = ACTIONS(573),
    [aux_sym__bareword_token1] = ACTIONS(575),
    [sym_number] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(581),
    [sym__open_fileglob_bracket] = ACTIONS(583),
    [sym__PERLY_HEREDOC] = ACTIONS(585),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(587),
    [sym__filetest] = ACTIONS(589),
  },
  [60] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2360),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(60),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_RBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_EQ] = ACTIONS(201),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(201),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(201),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_COMMA] = ACTIONS(201),
    [anon_sym_RPAREN] = ACTIONS(201),
    [anon_sym_my] = ACTIONS(439),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(439),
    [anon_sym_our] = ACTIONS(439),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(201),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_DASH_GT] = ACTIONS(201),
    [anon_sym_PERCENT] = ACTIONS(201),
    [anon_sym_GT] = ACTIONS(201),
    [anon_sym_LT_LT] = ACTIONS(201),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(201),
    [anon_sym_PLUS_EQ] = ACTIONS(201),
    [anon_sym_DASH_EQ] = ACTIONS(201),
    [anon_sym_DOT_EQ] = ACTIONS(201),
    [anon_sym_STAR_EQ] = ACTIONS(201),
    [anon_sym_SLASH_EQ] = ACTIONS(201),
    [anon_sym_PERCENT_EQ] = ACTIONS(201),
    [anon_sym_x_EQ] = ACTIONS(201),
    [anon_sym_AMP_EQ] = ACTIONS(201),
    [anon_sym_PIPE_EQ] = ACTIONS(201),
    [anon_sym_CARET_EQ] = ACTIONS(201),
    [anon_sym_LT_LT_EQ] = ACTIONS(201),
    [anon_sym_GT_GT_EQ] = ACTIONS(201),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(201),
    [anon_sym_DOT_DOT] = ACTIONS(201),
    [anon_sym_STAR_STAR] = ACTIONS(201),
    [anon_sym_PIPE_PIPE] = ACTIONS(201),
    [anon_sym_SLASH_SLASH] = ACTIONS(201),
    [anon_sym_CARET_CARET] = ACTIONS(201),
    [anon_sym_AMP_AMP] = ACTIONS(201),
    [anon_sym_PIPE] = ACTIONS(201),
    [anon_sym_CARET] = ACTIONS(201),
    [anon_sym_AMP] = ACTIONS(201),
    [anon_sym_GT_GT2] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(201),
    [anon_sym_DASH] = ACTIONS(201),
    [anon_sym_DOT] = ACTIONS(201),
    [anon_sym_STAR] = ACTIONS(201),
    [anon_sym_SLASH] = ACTIONS(201),
    [anon_sym_x] = ACTIONS(201),
    [anon_sym_EQ_TILDE] = ACTIONS(201),
    [anon_sym_BANG_TILDE] = ACTIONS(201),
    [anon_sym_EQ_EQ] = ACTIONS(201),
    [anon_sym_BANG_EQ] = ACTIONS(201),
    [anon_sym_eq] = ACTIONS(201),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(201),
    [anon_sym_equ] = ACTIONS(201),
    [anon_sym_eqr] = ACTIONS(201),
    [anon_sym_ne] = ACTIONS(201),
    [anon_sym_LT_EQ_GT] = ACTIONS(201),
    [anon_sym_cmp] = ACTIONS(201),
    [anon_sym_TILDE_TILDE] = ACTIONS(201),
    [anon_sym_LT] = ACTIONS(201),
    [anon_sym_LT_EQ] = ACTIONS(201),
    [anon_sym_GT_EQ] = ACTIONS(201),
    [anon_sym_lt] = ACTIONS(201),
    [anon_sym_le] = ACTIONS(201),
    [anon_sym_ge] = ACTIONS(201),
    [anon_sym_gt] = ACTIONS(201),
    [anon_sym_isa] = ACTIONS(201),
    [anon_sym_TILDE] = ACTIONS(451),
    [anon_sym_BANG] = ACTIONS(451),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_QMARK] = ACTIONS(201),
    [anon_sym_BSLASH] = ACTIONS(453),
    [anon_sym_do] = ACTIONS(455),
    [anon_sym_eval] = ACTIONS(457),
    [anon_sym_await] = ACTIONS(459),
    [anon_sym_field] = ACTIONS(439),
    [anon_sym_local] = ACTIONS(461),
    [anon_sym_dynamically] = ACTIONS(461),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(465),
    [anon_sym_map] = ACTIONS(467),
    [anon_sym_grep] = ACTIONS(467),
    [anon_sym_sort] = ACTIONS(469),
    [anon_sym_goto] = ACTIONS(471),
    [anon_sym_return] = ACTIONS(473),
    [anon_sym_undef] = ACTIONS(475),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(201),
    [anon_sym_last] = ACTIONS(479),
    [anon_sym_next] = ACTIONS(479),
    [anon_sym_redo] = ACTIONS(479),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(481),
    [anon_sym_alarm] = ACTIONS(481),
    [anon_sym_chop] = ACTIONS(481),
    [anon_sym_chdir] = ACTIONS(481),
    [anon_sym_close] = ACTIONS(481),
    [anon_sym_closedir] = ACTIONS(481),
    [anon_sym_caller] = ACTIONS(481),
    [anon_sym_chomp] = ACTIONS(481),
    [anon_sym_chr] = ACTIONS(481),
    [anon_sym_cos] = ACTIONS(481),
    [anon_sym_chroot] = ACTIONS(481),
    [anon_sym_defined] = ACTIONS(481),
    [anon_sym_delete] = ACTIONS(481),
    [anon_sym_dbmclose] = ACTIONS(481),
    [anon_sym_exists] = ACTIONS(481),
    [anon_sym_exit] = ACTIONS(481),
    [anon_sym_eof] = ACTIONS(481),
    [anon_sym_exp] = ACTIONS(481),
    [anon_sym_each] = ACTIONS(481),
    [anon_sym_fc] = ACTIONS(481),
    [anon_sym_fileno] = ACTIONS(481),
    [anon_sym_gmtime] = ACTIONS(481),
    [anon_sym_getc] = ACTIONS(481),
    [anon_sym_getpgrp] = ACTIONS(481),
    [anon_sym_getprotobyname] = ACTIONS(481),
    [anon_sym_getpwname] = ACTIONS(481),
    [anon_sym_getpwuid] = ACTIONS(481),
    [anon_sym_getpeername] = ACTIONS(481),
    [anon_sym_getnetbyname] = ACTIONS(481),
    [anon_sym_getsockname] = ACTIONS(481),
    [anon_sym_getgrnam] = ACTIONS(481),
    [anon_sym_getgrgid] = ACTIONS(481),
    [anon_sym_hex] = ACTIONS(481),
    [anon_sym_int] = ACTIONS(481),
    [anon_sym_keys] = ACTIONS(481),
    [anon_sym_lc] = ACTIONS(481),
    [anon_sym_lcfirst] = ACTIONS(481),
    [anon_sym_length] = ACTIONS(481),
    [anon_sym_localtime] = ACTIONS(481),
    [anon_sym_log] = ACTIONS(481),
    [anon_sym_lock] = ACTIONS(481),
    [anon_sym_lstat] = ACTIONS(481),
    [anon_sym_oct] = ACTIONS(481),
    [anon_sym_ord] = ACTIONS(481),
    [anon_sym_prototype] = ACTIONS(481),
    [anon_sym_pop] = ACTIONS(481),
    [anon_sym_pos] = ACTIONS(481),
    [anon_sym_quotemeta] = ACTIONS(481),
    [anon_sym_reset] = ACTIONS(481),
    [anon_sym_rand] = ACTIONS(481),
    [anon_sym_rmdir] = ACTIONS(481),
    [anon_sym_readdir] = ACTIONS(481),
    [anon_sym_readline] = ACTIONS(481),
    [anon_sym_readpipe] = ACTIONS(481),
    [anon_sym_rewinddir] = ACTIONS(481),
    [anon_sym_readlink] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(481),
    [anon_sym_scalar] = ACTIONS(481),
    [anon_sym_shift] = ACTIONS(481),
    [anon_sym_sin] = ACTIONS(481),
    [anon_sym_sleep] = ACTIONS(481),
    [anon_sym_sqrt] = ACTIONS(481),
    [anon_sym_srand] = ACTIONS(481),
    [anon_sym_stat] = ACTIONS(481),
    [anon_sym_study] = ACTIONS(481),
    [anon_sym_tell] = ACTIONS(481),
    [anon_sym_telldir] = ACTIONS(481),
    [anon_sym_tied] = ACTIONS(481),
    [anon_sym_uc] = ACTIONS(481),
    [anon_sym_ucfirst] = ACTIONS(481),
    [anon_sym_untie] = ACTIONS(481),
    [anon_sym_umask] = ACTIONS(481),
    [anon_sym_values] = ACTIONS(481),
    [anon_sym_write] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(513),
  },
  [61] = {
    [sym__PERLY_BRACE_OPEN] = STATE(238),
    [sym__subscripted] = STATE(1915),
    [sym_container_variable] = STATE(3851),
    [sym_array_element_expression] = STATE(1916),
    [sym_hash_element_expression] = STATE(1916),
    [sym_coderef_call_expression] = STATE(1916),
    [sym_anonymous_slice_expression] = STATE(1916),
    [sym_slice_container_variable] = STATE(3852),
    [sym_slice_expression] = STATE(2342),
    [sym_keyval_container_variable] = STATE(3853),
    [sym_keyval_expression] = STATE(2342),
    [sym__term] = STATE(2282),
    [sym_readline_expression] = STATE(2342),
    [sym_fileglob_expression] = STATE(2342),
    [sym_assignment_expression] = STATE(2342),
    [sym_binary_expression] = STATE(2342),
    [sym_equality_expression] = STATE(2342),
    [sym_relational_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2342),
    [sym_preinc_expression] = STATE(2342),
    [sym_postinc_expression] = STATE(2342),
    [sym_conditional_expression] = STATE(2342),
    [sym_refgen_expression] = STATE(2342),
    [sym_anonymous_array_expression] = STATE(2342),
    [sym_anonymous_hash_expression] = STATE(2342),
    [sym_anonymous_subroutine_expression] = STATE(2342),
    [sym_anonymous_method_expression] = STATE(2342),
    [sym_do_expression] = STATE(2342),
    [sym_eval_expression] = STATE(2342),
    [sym_await_expression] = STATE(2342),
    [sym_variable_declaration] = STATE(2342),
    [sym_localization_expression] = STATE(2342),
    [sym_stub_expression] = STATE(2342),
    [sym_scalar_deref_expression] = STATE(2342),
    [sym_array_deref_expression] = STATE(2342),
    [sym_arraylen_deref_expression] = STATE(2342),
    [sym_hash_deref_expression] = STATE(2342),
    [sym_amper_deref_expression] = STATE(2342),
    [sym_glob_deref_expression] = STATE(2342),
    [sym_require_expression] = STATE(2342),
    [sym_require_version_expression] = STATE(2342),
    [sym_func0op_call_expression] = STATE(2342),
    [sym_func1op_call_expression] = STATE(2342),
    [sym_map_grep_expression] = STATE(2342),
    [sym_sort_expression] = STATE(2342),
    [sym_loopex_expression] = STATE(2342),
    [sym_goto_expression] = STATE(2342),
    [sym_return_expression] = STATE(2342),
    [sym_undef_expression] = STATE(2342),
    [sym__listop] = STATE(2342),
    [sym_function_call_expression] = STATE(2343),
    [sym_ambiguous_function_call_expression] = STATE(2343),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(2343),
    [sym_scalar] = STATE(2342),
    [sym_array] = STATE(2342),
    [sym__SUB_AMPER] = STATE(2739),
    [sym__GLOB_STAR] = STATE(2741),
    [sym_hash] = STATE(2342),
    [sym_arraylen] = STATE(2342),
    [sym_amper_sub] = STATE(2181),
    [sym_glob] = STATE(2183),
    [sym_glob_slot_expression] = STATE(2342),
    [sym__literal] = STATE(2342),
    [sym__apostrophe] = STATE(3277),
    [sym__quotation_mark] = STATE(2481),
    [sym__backtick] = STATE(2482),
    [sym__search_slash] = STATE(2447),
    [sym_string_literal] = STATE(2353),
    [sym_interpolated_string_literal] = STATE(2353),
    [sym_quoted_word_list] = STATE(2193),
    [sym_command_string] = STATE(2353),
    [sym_quoted_regexp] = STATE(2353),
    [sym_match_regexp] = STATE(2353),
    [sym_substitution_regexp] = STATE(2353),
    [sym_transliteration_expression] = STATE(2353),
    [sym_heredoc_token] = STATE(2342),
    [sym_command_heredoc_token] = STATE(2342),
    [sym_heredoc_content] = STATE(61),
    [sym_autoquoted_bareword] = STATE(2342),
    [sym_bareword] = STATE(2342),
    [sym_primitive] = STATE(2342),
    [sym_boolean] = STATE(2323),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3366),
    [sym__identifier] = ACTIONS(1072),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_SEMI] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(1008),
    [anon_sym_EQ] = ACTIONS(201),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(201),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(201),
    [anon_sym_AT] = ACTIONS(1010),
    [anon_sym_COMMA] = ACTIONS(201),
    [anon_sym_my] = ACTIONS(1012),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(1014),
    [anon_sym_method] = ACTIONS(1016),
    [anon_sym_LPAREN] = ACTIONS(1018),
    [anon_sym_continue] = ACTIONS(1020),
    [anon_sym_state] = ACTIONS(1012),
    [anon_sym_our] = ACTIONS(1012),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(201),
    [anon_sym_LBRACK] = ACTIONS(1022),
    [anon_sym_DASH_GT] = ACTIONS(201),
    [anon_sym_PERCENT] = ACTIONS(201),
    [anon_sym_GT] = ACTIONS(201),
    [anon_sym_LT_LT] = ACTIONS(201),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(201),
    [anon_sym_PLUS_EQ] = ACTIONS(201),
    [anon_sym_DASH_EQ] = ACTIONS(201),
    [anon_sym_DOT_EQ] = ACTIONS(201),
    [anon_sym_STAR_EQ] = ACTIONS(201),
    [anon_sym_SLASH_EQ] = ACTIONS(201),
    [anon_sym_PERCENT_EQ] = ACTIONS(201),
    [anon_sym_x_EQ] = ACTIONS(201),
    [anon_sym_AMP_EQ] = ACTIONS(201),
    [anon_sym_PIPE_EQ] = ACTIONS(201),
    [anon_sym_CARET_EQ] = ACTIONS(201),
    [anon_sym_LT_LT_EQ] = ACTIONS(201),
    [anon_sym_GT_GT_EQ] = ACTIONS(201),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(201),
    [anon_sym_DOT_DOT] = ACTIONS(201),
    [anon_sym_STAR_STAR] = ACTIONS(201),
    [anon_sym_PIPE_PIPE] = ACTIONS(201),
    [anon_sym_SLASH_SLASH] = ACTIONS(201),
    [anon_sym_CARET_CARET] = ACTIONS(201),
    [anon_sym_AMP_AMP] = ACTIONS(201),
    [anon_sym_PIPE] = ACTIONS(201),
    [anon_sym_CARET] = ACTIONS(201),
    [anon_sym_AMP] = ACTIONS(201),
    [anon_sym_GT_GT2] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(201),
    [anon_sym_DASH] = ACTIONS(201),
    [anon_sym_DOT] = ACTIONS(201),
    [anon_sym_STAR] = ACTIONS(201),
    [anon_sym_SLASH] = ACTIONS(201),
    [anon_sym_x] = ACTIONS(201),
    [anon_sym_EQ_TILDE] = ACTIONS(201),
    [anon_sym_BANG_TILDE] = ACTIONS(201),
    [anon_sym_EQ_EQ] = ACTIONS(201),
    [anon_sym_BANG_EQ] = ACTIONS(201),
    [anon_sym_eq] = ACTIONS(201),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(201),
    [anon_sym_equ] = ACTIONS(201),
    [anon_sym_eqr] = ACTIONS(201),
    [anon_sym_ne] = ACTIONS(201),
    [anon_sym_LT_EQ_GT] = ACTIONS(201),
    [anon_sym_cmp] = ACTIONS(201),
    [anon_sym_TILDE_TILDE] = ACTIONS(201),
    [anon_sym_LT] = ACTIONS(201),
    [anon_sym_LT_EQ] = ACTIONS(201),
    [anon_sym_GT_EQ] = ACTIONS(201),
    [anon_sym_lt] = ACTIONS(201),
    [anon_sym_le] = ACTIONS(201),
    [anon_sym_ge] = ACTIONS(201),
    [anon_sym_gt] = ACTIONS(201),
    [anon_sym_isa] = ACTIONS(201),
    [anon_sym_TILDE] = ACTIONS(1024),
    [anon_sym_BANG] = ACTIONS(1024),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_QMARK] = ACTIONS(201),
    [anon_sym_BSLASH] = ACTIONS(1026),
    [anon_sym_do] = ACTIONS(1028),
    [anon_sym_eval] = ACTIONS(1030),
    [anon_sym_await] = ACTIONS(1032),
    [anon_sym_field] = ACTIONS(1012),
    [anon_sym_local] = ACTIONS(1034),
    [anon_sym_dynamically] = ACTIONS(1034),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1036),
    [anon_sym_require] = ACTIONS(1038),
    [anon_sym_map] = ACTIONS(1040),
    [anon_sym_grep] = ACTIONS(1040),
    [anon_sym_sort] = ACTIONS(1042),
    [anon_sym_goto] = ACTIONS(1044),
    [anon_sym_return] = ACTIONS(1046),
    [anon_sym_undef] = ACTIONS(1048),
    [anon_sym_PERCENT2] = ACTIONS(1050),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(201),
    [anon_sym_last] = ACTIONS(1052),
    [anon_sym_next] = ACTIONS(1052),
    [anon_sym_redo] = ACTIONS(1052),
    [anon_sym___FILE__] = ACTIONS(1020),
    [anon_sym___LINE__] = ACTIONS(1020),
    [anon_sym___PACKAGE__] = ACTIONS(1020),
    [anon_sym___SUB__] = ACTIONS(1020),
    [anon_sym_break] = ACTIONS(1020),
    [anon_sym_fork] = ACTIONS(1020),
    [anon_sym_getppid] = ACTIONS(1020),
    [anon_sym_time] = ACTIONS(1020),
    [anon_sym_times] = ACTIONS(1020),
    [anon_sym_wait] = ACTIONS(1020),
    [anon_sym_wantarray] = ACTIONS(1020),
    [anon_sym_abs] = ACTIONS(1054),
    [anon_sym_alarm] = ACTIONS(1054),
    [anon_sym_chop] = ACTIONS(1054),
    [anon_sym_chdir] = ACTIONS(1054),
    [anon_sym_close] = ACTIONS(1054),
    [anon_sym_closedir] = ACTIONS(1054),
    [anon_sym_caller] = ACTIONS(1054),
    [anon_sym_chomp] = ACTIONS(1054),
    [anon_sym_chr] = ACTIONS(1054),
    [anon_sym_cos] = ACTIONS(1054),
    [anon_sym_chroot] = ACTIONS(1054),
    [anon_sym_defined] = ACTIONS(1054),
    [anon_sym_delete] = ACTIONS(1054),
    [anon_sym_dbmclose] = ACTIONS(1054),
    [anon_sym_exists] = ACTIONS(1054),
    [anon_sym_exit] = ACTIONS(1054),
    [anon_sym_eof] = ACTIONS(1054),
    [anon_sym_exp] = ACTIONS(1054),
    [anon_sym_each] = ACTIONS(1054),
    [anon_sym_fc] = ACTIONS(1054),
    [anon_sym_fileno] = ACTIONS(1054),
    [anon_sym_gmtime] = ACTIONS(1054),
    [anon_sym_getc] = ACTIONS(1054),
    [anon_sym_getpgrp] = ACTIONS(1054),
    [anon_sym_getprotobyname] = ACTIONS(1054),
    [anon_sym_getpwname] = ACTIONS(1054),
    [anon_sym_getpwuid] = ACTIONS(1054),
    [anon_sym_getpeername] = ACTIONS(1054),
    [anon_sym_getnetbyname] = ACTIONS(1054),
    [anon_sym_getsockname] = ACTIONS(1054),
    [anon_sym_getgrnam] = ACTIONS(1054),
    [anon_sym_getgrgid] = ACTIONS(1054),
    [anon_sym_hex] = ACTIONS(1054),
    [anon_sym_int] = ACTIONS(1054),
    [anon_sym_keys] = ACTIONS(1054),
    [anon_sym_lc] = ACTIONS(1054),
    [anon_sym_lcfirst] = ACTIONS(1054),
    [anon_sym_length] = ACTIONS(1054),
    [anon_sym_localtime] = ACTIONS(1054),
    [anon_sym_log] = ACTIONS(1054),
    [anon_sym_lock] = ACTIONS(1054),
    [anon_sym_lstat] = ACTIONS(1054),
    [anon_sym_oct] = ACTIONS(1054),
    [anon_sym_ord] = ACTIONS(1054),
    [anon_sym_prototype] = ACTIONS(1054),
    [anon_sym_pop] = ACTIONS(1054),
    [anon_sym_pos] = ACTIONS(1054),
    [anon_sym_quotemeta] = ACTIONS(1054),
    [anon_sym_reset] = ACTIONS(1054),
    [anon_sym_rand] = ACTIONS(1054),
    [anon_sym_rmdir] = ACTIONS(1054),
    [anon_sym_readdir] = ACTIONS(1054),
    [anon_sym_readline] = ACTIONS(1054),
    [anon_sym_readpipe] = ACTIONS(1054),
    [anon_sym_rewinddir] = ACTIONS(1054),
    [anon_sym_readlink] = ACTIONS(1054),
    [anon_sym_ref] = ACTIONS(1054),
    [anon_sym_scalar] = ACTIONS(1054),
    [anon_sym_shift] = ACTIONS(1054),
    [anon_sym_sin] = ACTIONS(1054),
    [anon_sym_sleep] = ACTIONS(1054),
    [anon_sym_sqrt] = ACTIONS(1054),
    [anon_sym_srand] = ACTIONS(1054),
    [anon_sym_stat] = ACTIONS(1054),
    [anon_sym_study] = ACTIONS(1054),
    [anon_sym_tell] = ACTIONS(1054),
    [anon_sym_telldir] = ACTIONS(1054),
    [anon_sym_tied] = ACTIONS(1054),
    [anon_sym_uc] = ACTIONS(1054),
    [anon_sym_ucfirst] = ACTIONS(1054),
    [anon_sym_untie] = ACTIONS(1054),
    [anon_sym_umask] = ACTIONS(1054),
    [anon_sym_values] = ACTIONS(1054),
    [anon_sym_write] = ACTIONS(1054),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1056),
    [anon_sym_qq] = ACTIONS(1058),
    [anon_sym_qw] = ACTIONS(1060),
    [anon_sym_qx] = ACTIONS(1062),
    [anon_sym_qr] = ACTIONS(1064),
    [anon_sym_m] = ACTIONS(1066),
    [anon_sym_s] = ACTIONS(1068),
    [anon_sym_tr] = ACTIONS(1070),
    [anon_sym_y] = ACTIONS(1070),
    [aux_sym__bareword_token1] = ACTIONS(1072),
    [sym_number] = ACTIONS(1074),
    [anon_sym_true] = ACTIONS(1076),
    [anon_sym_false] = ACTIONS(1076),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(1078),
    [sym__open_fileglob_bracket] = ACTIONS(1080),
    [sym__PERLY_SEMICOLON] = ACTIONS(203),
    [sym__PERLY_HEREDOC] = ACTIONS(1082),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1084),
    [sym__filetest] = ACTIONS(1086),
  },
  [62] = {
    [sym__PERLY_BRACE_OPEN] = STATE(235),
    [sym__subscripted] = STATE(1532),
    [sym_container_variable] = STATE(3855),
    [sym_array_element_expression] = STATE(1533),
    [sym_hash_element_expression] = STATE(1533),
    [sym_coderef_call_expression] = STATE(1533),
    [sym_anonymous_slice_expression] = STATE(1533),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(1967),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(1967),
    [sym__term] = STATE(1986),
    [sym_readline_expression] = STATE(1967),
    [sym_fileglob_expression] = STATE(1967),
    [sym_assignment_expression] = STATE(1967),
    [sym_binary_expression] = STATE(1967),
    [sym_equality_expression] = STATE(1967),
    [sym_relational_expression] = STATE(1967),
    [sym_unary_expression] = STATE(1967),
    [sym_preinc_expression] = STATE(1967),
    [sym_postinc_expression] = STATE(1967),
    [sym_conditional_expression] = STATE(1967),
    [sym_refgen_expression] = STATE(1967),
    [sym_anonymous_array_expression] = STATE(1967),
    [sym_anonymous_hash_expression] = STATE(1967),
    [sym_anonymous_subroutine_expression] = STATE(1967),
    [sym_anonymous_method_expression] = STATE(1967),
    [sym_do_expression] = STATE(1967),
    [sym_eval_expression] = STATE(1967),
    [sym_await_expression] = STATE(1967),
    [sym_variable_declaration] = STATE(1967),
    [sym_localization_expression] = STATE(1967),
    [sym_stub_expression] = STATE(1967),
    [sym_scalar_deref_expression] = STATE(1967),
    [sym_array_deref_expression] = STATE(1967),
    [sym_arraylen_deref_expression] = STATE(1967),
    [sym_hash_deref_expression] = STATE(1967),
    [sym_amper_deref_expression] = STATE(1967),
    [sym_glob_deref_expression] = STATE(1967),
    [sym_require_expression] = STATE(1967),
    [sym_require_version_expression] = STATE(1967),
    [sym_func0op_call_expression] = STATE(1967),
    [sym_func1op_call_expression] = STATE(1967),
    [sym_map_grep_expression] = STATE(1967),
    [sym_sort_expression] = STATE(1967),
    [sym_loopex_expression] = STATE(1967),
    [sym_goto_expression] = STATE(1967),
    [sym_return_expression] = STATE(1967),
    [sym_undef_expression] = STATE(1967),
    [sym__listop] = STATE(1967),
    [sym_function_call_expression] = STATE(1968),
    [sym_ambiguous_function_call_expression] = STATE(1968),
    [sym_function] = STATE(389),
    [sym_method_call_expression] = STATE(1968),
    [sym_scalar] = STATE(1967),
    [sym_array] = STATE(1967),
    [sym__SUB_AMPER] = STATE(2686),
    [sym__GLOB_STAR] = STATE(2687),
    [sym_hash] = STATE(1967),
    [sym_arraylen] = STATE(1967),
    [sym_amper_sub] = STATE(1785),
    [sym_glob] = STATE(1786),
    [sym_glob_slot_expression] = STATE(1967),
    [sym__literal] = STATE(1967),
    [sym__apostrophe] = STATE(3328),
    [sym__quotation_mark] = STATE(2501),
    [sym__backtick] = STATE(2502),
    [sym__search_slash] = STATE(2454),
    [sym_string_literal] = STATE(1969),
    [sym_interpolated_string_literal] = STATE(1969),
    [sym_quoted_word_list] = STATE(1787),
    [sym_command_string] = STATE(1969),
    [sym_quoted_regexp] = STATE(1969),
    [sym_match_regexp] = STATE(1969),
    [sym_substitution_regexp] = STATE(1969),
    [sym_transliteration_expression] = STATE(1969),
    [sym_heredoc_token] = STATE(1967),
    [sym_command_heredoc_token] = STATE(1967),
    [sym_heredoc_content] = STATE(62),
    [sym_autoquoted_bareword] = STATE(1967),
    [sym_bareword] = STATE(1967),
    [sym_primitive] = STATE(1967),
    [sym_boolean] = STATE(1965),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3342),
    [sym__identifier] = ACTIONS(575),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_COLON] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(201),
    [anon_sym_EQ] = ACTIONS(201),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(201),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(201),
    [anon_sym_AT] = ACTIONS(201),
    [anon_sym_COMMA] = ACTIONS(201),
    [anon_sym_RPAREN] = ACTIONS(201),
    [anon_sym_my] = ACTIONS(517),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(519),
    [anon_sym_method] = ACTIONS(521),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_continue] = ACTIONS(525),
    [anon_sym_state] = ACTIONS(517),
    [anon_sym_our] = ACTIONS(517),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(201),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_DASH_GT] = ACTIONS(201),
    [anon_sym_PERCENT] = ACTIONS(201),
    [anon_sym_GT] = ACTIONS(201),
    [anon_sym_LT_LT] = ACTIONS(201),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(201),
    [anon_sym_PLUS_EQ] = ACTIONS(201),
    [anon_sym_DASH_EQ] = ACTIONS(201),
    [anon_sym_DOT_EQ] = ACTIONS(201),
    [anon_sym_STAR_EQ] = ACTIONS(201),
    [anon_sym_SLASH_EQ] = ACTIONS(201),
    [anon_sym_PERCENT_EQ] = ACTIONS(201),
    [anon_sym_x_EQ] = ACTIONS(201),
    [anon_sym_AMP_EQ] = ACTIONS(201),
    [anon_sym_PIPE_EQ] = ACTIONS(201),
    [anon_sym_CARET_EQ] = ACTIONS(201),
    [anon_sym_LT_LT_EQ] = ACTIONS(201),
    [anon_sym_GT_GT_EQ] = ACTIONS(201),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(201),
    [anon_sym_DOT_DOT] = ACTIONS(201),
    [anon_sym_STAR_STAR] = ACTIONS(201),
    [anon_sym_PIPE_PIPE] = ACTIONS(201),
    [anon_sym_SLASH_SLASH] = ACTIONS(201),
    [anon_sym_CARET_CARET] = ACTIONS(201),
    [anon_sym_AMP_AMP] = ACTIONS(201),
    [anon_sym_PIPE] = ACTIONS(201),
    [anon_sym_CARET] = ACTIONS(201),
    [anon_sym_AMP] = ACTIONS(201),
    [anon_sym_GT_GT2] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(201),
    [anon_sym_DASH] = ACTIONS(201),
    [anon_sym_DOT] = ACTIONS(201),
    [anon_sym_STAR] = ACTIONS(201),
    [anon_sym_SLASH] = ACTIONS(201),
    [anon_sym_x] = ACTIONS(201),
    [anon_sym_EQ_TILDE] = ACTIONS(201),
    [anon_sym_BANG_TILDE] = ACTIONS(201),
    [anon_sym_EQ_EQ] = ACTIONS(201),
    [anon_sym_BANG_EQ] = ACTIONS(201),
    [anon_sym_eq] = ACTIONS(201),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(201),
    [anon_sym_equ] = ACTIONS(201),
    [anon_sym_eqr] = ACTIONS(201),
    [anon_sym_ne] = ACTIONS(201),
    [anon_sym_LT_EQ_GT] = ACTIONS(201),
    [anon_sym_cmp] = ACTIONS(201),
    [anon_sym_TILDE_TILDE] = ACTIONS(201),
    [anon_sym_LT] = ACTIONS(201),
    [anon_sym_LT_EQ] = ACTIONS(201),
    [anon_sym_GT_EQ] = ACTIONS(201),
    [anon_sym_lt] = ACTIONS(201),
    [anon_sym_le] = ACTIONS(201),
    [anon_sym_ge] = ACTIONS(201),
    [anon_sym_gt] = ACTIONS(201),
    [anon_sym_isa] = ACTIONS(201),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_QMARK] = ACTIONS(201),
    [anon_sym_BSLASH] = ACTIONS(531),
    [anon_sym_do] = ACTIONS(533),
    [anon_sym_eval] = ACTIONS(535),
    [anon_sym_await] = ACTIONS(537),
    [anon_sym_field] = ACTIONS(517),
    [anon_sym_local] = ACTIONS(539),
    [anon_sym_dynamically] = ACTIONS(539),
    [anon_sym_DOLLAR_POUND] = ACTIONS(541),
    [anon_sym_require] = ACTIONS(543),
    [anon_sym_map] = ACTIONS(545),
    [anon_sym_grep] = ACTIONS(545),
    [anon_sym_sort] = ACTIONS(547),
    [anon_sym_goto] = ACTIONS(549),
    [anon_sym_return] = ACTIONS(551),
    [anon_sym_undef] = ACTIONS(553),
    [anon_sym_PERCENT2] = ACTIONS(201),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(201),
    [anon_sym_last] = ACTIONS(555),
    [anon_sym_next] = ACTIONS(555),
    [anon_sym_redo] = ACTIONS(555),
    [anon_sym___FILE__] = ACTIONS(525),
    [anon_sym___LINE__] = ACTIONS(525),
    [anon_sym___PACKAGE__] = ACTIONS(525),
    [anon_sym___SUB__] = ACTIONS(525),
    [anon_sym_break] = ACTIONS(525),
    [anon_sym_fork] = ACTIONS(525),
    [anon_sym_getppid] = ACTIONS(525),
    [anon_sym_time] = ACTIONS(525),
    [anon_sym_times] = ACTIONS(525),
    [anon_sym_wait] = ACTIONS(525),
    [anon_sym_wantarray] = ACTIONS(525),
    [anon_sym_abs] = ACTIONS(557),
    [anon_sym_alarm] = ACTIONS(557),
    [anon_sym_chop] = ACTIONS(557),
    [anon_sym_chdir] = ACTIONS(557),
    [anon_sym_close] = ACTIONS(557),
    [anon_sym_closedir] = ACTIONS(557),
    [anon_sym_caller] = ACTIONS(557),
    [anon_sym_chomp] = ACTIONS(557),
    [anon_sym_chr] = ACTIONS(557),
    [anon_sym_cos] = ACTIONS(557),
    [anon_sym_chroot] = ACTIONS(557),
    [anon_sym_defined] = ACTIONS(557),
    [anon_sym_delete] = ACTIONS(557),
    [anon_sym_dbmclose] = ACTIONS(557),
    [anon_sym_exists] = ACTIONS(557),
    [anon_sym_exit] = ACTIONS(557),
    [anon_sym_eof] = ACTIONS(557),
    [anon_sym_exp] = ACTIONS(557),
    [anon_sym_each] = ACTIONS(557),
    [anon_sym_fc] = ACTIONS(557),
    [anon_sym_fileno] = ACTIONS(557),
    [anon_sym_gmtime] = ACTIONS(557),
    [anon_sym_getc] = ACTIONS(557),
    [anon_sym_getpgrp] = ACTIONS(557),
    [anon_sym_getprotobyname] = ACTIONS(557),
    [anon_sym_getpwname] = ACTIONS(557),
    [anon_sym_getpwuid] = ACTIONS(557),
    [anon_sym_getpeername] = ACTIONS(557),
    [anon_sym_getnetbyname] = ACTIONS(557),
    [anon_sym_getsockname] = ACTIONS(557),
    [anon_sym_getgrnam] = ACTIONS(557),
    [anon_sym_getgrgid] = ACTIONS(557),
    [anon_sym_hex] = ACTIONS(557),
    [anon_sym_int] = ACTIONS(557),
    [anon_sym_keys] = ACTIONS(557),
    [anon_sym_lc] = ACTIONS(557),
    [anon_sym_lcfirst] = ACTIONS(557),
    [anon_sym_length] = ACTIONS(557),
    [anon_sym_localtime] = ACTIONS(557),
    [anon_sym_log] = ACTIONS(557),
    [anon_sym_lock] = ACTIONS(557),
    [anon_sym_lstat] = ACTIONS(557),
    [anon_sym_oct] = ACTIONS(557),
    [anon_sym_ord] = ACTIONS(557),
    [anon_sym_prototype] = ACTIONS(557),
    [anon_sym_pop] = ACTIONS(557),
    [anon_sym_pos] = ACTIONS(557),
    [anon_sym_quotemeta] = ACTIONS(557),
    [anon_sym_reset] = ACTIONS(557),
    [anon_sym_rand] = ACTIONS(557),
    [anon_sym_rmdir] = ACTIONS(557),
    [anon_sym_readdir] = ACTIONS(557),
    [anon_sym_readline] = ACTIONS(557),
    [anon_sym_readpipe] = ACTIONS(557),
    [anon_sym_rewinddir] = ACTIONS(557),
    [anon_sym_readlink] = ACTIONS(557),
    [anon_sym_ref] = ACTIONS(557),
    [anon_sym_scalar] = ACTIONS(557),
    [anon_sym_shift] = ACTIONS(557),
    [anon_sym_sin] = ACTIONS(557),
    [anon_sym_sleep] = ACTIONS(557),
    [anon_sym_sqrt] = ACTIONS(557),
    [anon_sym_srand] = ACTIONS(557),
    [anon_sym_stat] = ACTIONS(557),
    [anon_sym_study] = ACTIONS(557),
    [anon_sym_tell] = ACTIONS(557),
    [anon_sym_telldir] = ACTIONS(557),
    [anon_sym_tied] = ACTIONS(557),
    [anon_sym_uc] = ACTIONS(557),
    [anon_sym_ucfirst] = ACTIONS(557),
    [anon_sym_untie] = ACTIONS(557),
    [anon_sym_umask] = ACTIONS(557),
    [anon_sym_values] = ACTIONS(557),
    [anon_sym_write] = ACTIONS(557),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(559),
    [anon_sym_qq] = ACTIONS(561),
    [anon_sym_qw] = ACTIONS(563),
    [anon_sym_qx] = ACTIONS(565),
    [anon_sym_qr] = ACTIONS(567),
    [anon_sym_m] = ACTIONS(569),
    [anon_sym_s] = ACTIONS(571),
    [anon_sym_tr] = ACTIONS(573),
    [anon_sym_y] = ACTIONS(573),
    [aux_sym__bareword_token1] = ACTIONS(575),
    [sym_number] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(581),
    [sym__open_fileglob_bracket] = ACTIONS(583),
    [sym__PERLY_HEREDOC] = ACTIONS(585),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(587),
    [sym__filetest] = ACTIONS(589),
  },
  [63] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__term_rightward] = STATE(2192),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2364),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(394),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(63),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_COLON] = ACTIONS(163),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_EQ] = ACTIONS(163),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(163),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(163),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_COMMA] = ACTIONS(163),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(163),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_DASH_GT] = ACTIONS(163),
    [anon_sym_PERCENT] = ACTIONS(163),
    [anon_sym_GT] = ACTIONS(163),
    [anon_sym_LT_LT] = ACTIONS(1153),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(163),
    [anon_sym_PLUS_EQ] = ACTIONS(163),
    [anon_sym_DASH_EQ] = ACTIONS(163),
    [anon_sym_DOT_EQ] = ACTIONS(163),
    [anon_sym_STAR_EQ] = ACTIONS(163),
    [anon_sym_SLASH_EQ] = ACTIONS(163),
    [anon_sym_PERCENT_EQ] = ACTIONS(163),
    [anon_sym_x_EQ] = ACTIONS(163),
    [anon_sym_AMP_EQ] = ACTIONS(163),
    [anon_sym_PIPE_EQ] = ACTIONS(163),
    [anon_sym_CARET_EQ] = ACTIONS(163),
    [anon_sym_LT_LT_EQ] = ACTIONS(163),
    [anon_sym_GT_GT_EQ] = ACTIONS(163),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(163),
    [anon_sym_DOT_DOT] = ACTIONS(163),
    [anon_sym_STAR_STAR] = ACTIONS(163),
    [anon_sym_PIPE_PIPE] = ACTIONS(163),
    [anon_sym_SLASH_SLASH] = ACTIONS(1156),
    [anon_sym_CARET_CARET] = ACTIONS(163),
    [anon_sym_AMP_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(163),
    [anon_sym_CARET] = ACTIONS(163),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_GT_GT2] = ACTIONS(163),
    [anon_sym_PLUS] = ACTIONS(1284),
    [anon_sym_DASH] = ACTIONS(1287),
    [anon_sym_DOT] = ACTIONS(163),
    [anon_sym_STAR] = ACTIONS(163),
    [anon_sym_SLASH] = ACTIONS(163),
    [anon_sym_x] = ACTIONS(163),
    [anon_sym_EQ_TILDE] = ACTIONS(163),
    [anon_sym_BANG_TILDE] = ACTIONS(163),
    [anon_sym_EQ_EQ] = ACTIONS(163),
    [anon_sym_BANG_EQ] = ACTIONS(163),
    [anon_sym_eq] = ACTIONS(163),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(163),
    [anon_sym_equ] = ACTIONS(163),
    [anon_sym_eqr] = ACTIONS(163),
    [anon_sym_ne] = ACTIONS(163),
    [anon_sym_LT_EQ_GT] = ACTIONS(163),
    [anon_sym_cmp] = ACTIONS(163),
    [anon_sym_TILDE_TILDE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(163),
    [anon_sym_LT_EQ] = ACTIONS(163),
    [anon_sym_GT_EQ] = ACTIONS(163),
    [anon_sym_lt] = ACTIONS(163),
    [anon_sym_le] = ACTIONS(163),
    [anon_sym_ge] = ACTIONS(163),
    [anon_sym_gt] = ACTIONS(163),
    [anon_sym_isa] = ACTIONS(163),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1290),
    [anon_sym_DASH_DASH] = ACTIONS(1290),
    [anon_sym_QMARK] = ACTIONS(163),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(163),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(1222),
  },
  [64] = {
    [sym__PERLY_BRACE_OPEN] = STATE(83),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2556),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym__tricky_list] = STATE(4131),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1421),
    [sym_interpolated_string_literal] = STATE(1421),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1421),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(64),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1420),
    [sym_identifier] = STATE(4110),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(111),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1293),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(1295),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [65] = {
    [sym__PERLY_BRACE_OPEN] = STATE(83),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2549),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym__tricky_list] = STATE(4131),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1421),
    [sym_interpolated_string_literal] = STATE(1421),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1421),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(65),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1420),
    [sym_identifier] = STATE(4110),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(139),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1297),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(1295),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [66] = {
    [sym__PERLY_BRACE_OPEN] = STATE(83),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2552),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym__tricky_list] = STATE(3943),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1421),
    [sym_interpolated_string_literal] = STATE(1421),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1421),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(66),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1420),
    [sym_identifier] = STATE(4110),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(101),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1299),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(1295),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [67] = {
    [sym__PERLY_BRACE_OPEN] = STATE(83),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2549),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym__tricky_list] = STATE(4131),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1421),
    [sym_interpolated_string_literal] = STATE(1421),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1421),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(67),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1420),
    [sym_identifier] = STATE(4110),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(92),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1293),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(1295),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [68] = {
    [sym__PERLY_BRACE_OPEN] = STATE(83),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2547),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym__tricky_list] = STATE(3943),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1421),
    [sym_interpolated_string_literal] = STATE(1421),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1421),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(68),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1420),
    [sym_identifier] = STATE(4110),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(128),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1301),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(1295),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [69] = {
    [sym__PERLY_BRACE_OPEN] = STATE(83),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2545),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym__tricky_list] = STATE(3920),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1421),
    [sym_interpolated_string_literal] = STATE(1421),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1421),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(69),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1420),
    [sym_identifier] = STATE(4110),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(106),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1303),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(1295),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [70] = {
    [sym__PERLY_BRACE_OPEN] = STATE(83),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2554),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym__tricky_list] = STATE(3920),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1421),
    [sym_interpolated_string_literal] = STATE(1421),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1421),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(70),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1420),
    [sym_identifier] = STATE(4110),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(108),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1305),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(1295),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [71] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2396),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(394),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(71),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_COLON] = ACTIONS(182),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_EQ] = ACTIONS(182),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(182),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(182),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_COMMA] = ACTIONS(182),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(182),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_DASH_GT] = ACTIONS(182),
    [anon_sym_PERCENT] = ACTIONS(182),
    [anon_sym_GT] = ACTIONS(182),
    [anon_sym_LT_LT] = ACTIONS(1250),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(182),
    [anon_sym_PLUS_EQ] = ACTIONS(182),
    [anon_sym_DASH_EQ] = ACTIONS(182),
    [anon_sym_DOT_EQ] = ACTIONS(182),
    [anon_sym_STAR_EQ] = ACTIONS(182),
    [anon_sym_SLASH_EQ] = ACTIONS(182),
    [anon_sym_PERCENT_EQ] = ACTIONS(182),
    [anon_sym_x_EQ] = ACTIONS(182),
    [anon_sym_AMP_EQ] = ACTIONS(182),
    [anon_sym_PIPE_EQ] = ACTIONS(182),
    [anon_sym_CARET_EQ] = ACTIONS(182),
    [anon_sym_LT_LT_EQ] = ACTIONS(182),
    [anon_sym_GT_GT_EQ] = ACTIONS(182),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(182),
    [anon_sym_DOT_DOT] = ACTIONS(182),
    [anon_sym_STAR_STAR] = ACTIONS(182),
    [anon_sym_PIPE_PIPE] = ACTIONS(182),
    [anon_sym_SLASH_SLASH] = ACTIONS(1253),
    [anon_sym_CARET_CARET] = ACTIONS(182),
    [anon_sym_AMP_AMP] = ACTIONS(182),
    [anon_sym_PIPE] = ACTIONS(182),
    [anon_sym_CARET] = ACTIONS(182),
    [anon_sym_AMP] = ACTIONS(182),
    [anon_sym_GT_GT2] = ACTIONS(182),
    [anon_sym_PLUS] = ACTIONS(1307),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_DOT] = ACTIONS(182),
    [anon_sym_STAR] = ACTIONS(182),
    [anon_sym_SLASH] = ACTIONS(182),
    [anon_sym_x] = ACTIONS(182),
    [anon_sym_EQ_TILDE] = ACTIONS(182),
    [anon_sym_BANG_TILDE] = ACTIONS(182),
    [anon_sym_EQ_EQ] = ACTIONS(182),
    [anon_sym_BANG_EQ] = ACTIONS(182),
    [anon_sym_eq] = ACTIONS(182),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(182),
    [anon_sym_equ] = ACTIONS(182),
    [anon_sym_eqr] = ACTIONS(182),
    [anon_sym_ne] = ACTIONS(182),
    [anon_sym_LT_EQ_GT] = ACTIONS(182),
    [anon_sym_cmp] = ACTIONS(182),
    [anon_sym_TILDE_TILDE] = ACTIONS(182),
    [anon_sym_LT] = ACTIONS(182),
    [anon_sym_LT_EQ] = ACTIONS(182),
    [anon_sym_GT_EQ] = ACTIONS(182),
    [anon_sym_lt] = ACTIONS(182),
    [anon_sym_le] = ACTIONS(182),
    [anon_sym_ge] = ACTIONS(182),
    [anon_sym_gt] = ACTIONS(182),
    [anon_sym_isa] = ACTIONS(182),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1313),
    [anon_sym_DASH_DASH] = ACTIONS(1313),
    [anon_sym_QMARK] = ACTIONS(182),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(182),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(1222),
  },
  [72] = {
    [sym__PERLY_BRACE_OPEN] = STATE(83),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2545),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym__tricky_list] = STATE(3920),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1421),
    [sym_interpolated_string_literal] = STATE(1421),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1421),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(72),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1420),
    [sym_identifier] = STATE(4110),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(92),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1305),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(1295),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [73] = {
    [sym__PERLY_BRACE_OPEN] = STATE(83),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2546),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym__tricky_list] = STATE(3975),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1421),
    [sym_interpolated_string_literal] = STATE(1421),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1421),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(73),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1420),
    [sym_identifier] = STATE(4110),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(92),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1316),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(1295),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [74] = {
    [sym__PERLY_BRACE_OPEN] = STATE(83),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2546),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym__tricky_list] = STATE(3975),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1421),
    [sym_interpolated_string_literal] = STATE(1421),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1421),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(74),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1420),
    [sym_identifier] = STATE(4110),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(88),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1318),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(1295),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [75] = {
    [sym__PERLY_BRACE_OPEN] = STATE(83),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2547),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym__tricky_list] = STATE(3943),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1421),
    [sym_interpolated_string_literal] = STATE(1421),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1421),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(75),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1420),
    [sym_identifier] = STATE(4110),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(96),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1320),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(1295),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [76] = {
    [sym__PERLY_BRACE_OPEN] = STATE(83),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2550),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym__tricky_list] = STATE(3866),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1421),
    [sym_interpolated_string_literal] = STATE(1421),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1421),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(76),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1420),
    [sym_identifier] = STATE(4110),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(125),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1322),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(1295),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [77] = {
    [sym__PERLY_BRACE_OPEN] = STATE(83),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2548),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym__tricky_list] = STATE(3975),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1421),
    [sym_interpolated_string_literal] = STATE(1421),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1421),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(77),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1420),
    [sym_identifier] = STATE(4110),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(111),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1316),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(1295),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [78] = {
    [sym__PERLY_BRACE_OPEN] = STATE(83),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2550),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym__tricky_list] = STATE(3866),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1421),
    [sym_interpolated_string_literal] = STATE(1421),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1421),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(78),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1420),
    [sym_identifier] = STATE(4110),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(92),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1324),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(1295),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [79] = {
    [sym__PERLY_BRACE_OPEN] = STATE(83),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2552),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym__tricky_list] = STATE(3943),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1421),
    [sym_interpolated_string_literal] = STATE(1421),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1421),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(79),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1420),
    [sym_identifier] = STATE(4110),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(92),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1320),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(1295),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [80] = {
    [sym__PERLY_BRACE_OPEN] = STATE(83),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2552),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym__tricky_list] = STATE(3943),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1421),
    [sym_interpolated_string_literal] = STATE(1421),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1421),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(80),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1420),
    [sym_identifier] = STATE(4110),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(92),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1326),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(1295),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [81] = {
    [sym__PERLY_BRACE_OPEN] = STATE(83),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2552),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym__tricky_list] = STATE(3943),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1421),
    [sym_interpolated_string_literal] = STATE(1421),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1421),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(81),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1420),
    [sym_identifier] = STATE(4110),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(120),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1328),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(1295),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [82] = {
    [sym__PERLY_BRACE_OPEN] = STATE(83),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2552),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym__tricky_list] = STATE(3943),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1421),
    [sym_interpolated_string_literal] = STATE(1421),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1421),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(82),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1420),
    [sym_identifier] = STATE(4110),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(92),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1301),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(1295),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [83] = {
    [sym__PERLY_BRACE_OPEN] = STATE(83),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2552),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym__tricky_list] = STATE(3943),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1421),
    [sym_interpolated_string_literal] = STATE(1421),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1421),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(83),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1420),
    [sym_identifier] = STATE(4110),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(94),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1299),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(1295),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [84] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2385),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(394),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(84),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_COLON] = ACTIONS(205),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_EQ] = ACTIONS(205),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(205),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_COMMA] = ACTIONS(205),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(1224),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_DASH_GT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(205),
    [anon_sym_GT] = ACTIONS(205),
    [anon_sym_LT_LT] = ACTIONS(205),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(205),
    [anon_sym_PLUS_EQ] = ACTIONS(205),
    [anon_sym_DASH_EQ] = ACTIONS(205),
    [anon_sym_DOT_EQ] = ACTIONS(205),
    [anon_sym_STAR_EQ] = ACTIONS(205),
    [anon_sym_SLASH_EQ] = ACTIONS(205),
    [anon_sym_PERCENT_EQ] = ACTIONS(205),
    [anon_sym_x_EQ] = ACTIONS(205),
    [anon_sym_AMP_EQ] = ACTIONS(205),
    [anon_sym_PIPE_EQ] = ACTIONS(205),
    [anon_sym_CARET_EQ] = ACTIONS(205),
    [anon_sym_LT_LT_EQ] = ACTIONS(205),
    [anon_sym_GT_GT_EQ] = ACTIONS(205),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(205),
    [anon_sym_DOT_DOT] = ACTIONS(205),
    [anon_sym_STAR_STAR] = ACTIONS(205),
    [anon_sym_PIPE_PIPE] = ACTIONS(205),
    [anon_sym_SLASH_SLASH] = ACTIONS(205),
    [anon_sym_CARET_CARET] = ACTIONS(205),
    [anon_sym_AMP_AMP] = ACTIONS(205),
    [anon_sym_PIPE] = ACTIONS(205),
    [anon_sym_CARET] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(205),
    [anon_sym_GT_GT2] = ACTIONS(205),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_DOT] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(205),
    [anon_sym_SLASH] = ACTIONS(205),
    [anon_sym_x] = ACTIONS(205),
    [anon_sym_EQ_TILDE] = ACTIONS(205),
    [anon_sym_BANG_TILDE] = ACTIONS(205),
    [anon_sym_EQ_EQ] = ACTIONS(205),
    [anon_sym_BANG_EQ] = ACTIONS(205),
    [anon_sym_eq] = ACTIONS(205),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(205),
    [anon_sym_equ] = ACTIONS(205),
    [anon_sym_eqr] = ACTIONS(205),
    [anon_sym_ne] = ACTIONS(205),
    [anon_sym_LT_EQ_GT] = ACTIONS(205),
    [anon_sym_cmp] = ACTIONS(205),
    [anon_sym_TILDE_TILDE] = ACTIONS(205),
    [anon_sym_LT] = ACTIONS(205),
    [anon_sym_LT_EQ] = ACTIONS(205),
    [anon_sym_GT_EQ] = ACTIONS(205),
    [anon_sym_lt] = ACTIONS(205),
    [anon_sym_le] = ACTIONS(205),
    [anon_sym_ge] = ACTIONS(205),
    [anon_sym_gt] = ACTIONS(205),
    [anon_sym_isa] = ACTIONS(205),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_QMARK] = ACTIONS(205),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(205),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(1222),
  },
  [85] = {
    [sym__PERLY_BRACE_OPEN] = STATE(83),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2555),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym__tricky_list] = STATE(3866),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1421),
    [sym_interpolated_string_literal] = STATE(1421),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1421),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(85),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1420),
    [sym_identifier] = STATE(4110),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(126),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1324),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(1295),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [86] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2393),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(394),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(86),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_COLON] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_EQ] = ACTIONS(201),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(201),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(201),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_COMMA] = ACTIONS(201),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(201),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_DASH_GT] = ACTIONS(201),
    [anon_sym_PERCENT] = ACTIONS(201),
    [anon_sym_GT] = ACTIONS(201),
    [anon_sym_LT_LT] = ACTIONS(201),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(201),
    [anon_sym_PLUS_EQ] = ACTIONS(201),
    [anon_sym_DASH_EQ] = ACTIONS(201),
    [anon_sym_DOT_EQ] = ACTIONS(201),
    [anon_sym_STAR_EQ] = ACTIONS(201),
    [anon_sym_SLASH_EQ] = ACTIONS(201),
    [anon_sym_PERCENT_EQ] = ACTIONS(201),
    [anon_sym_x_EQ] = ACTIONS(201),
    [anon_sym_AMP_EQ] = ACTIONS(201),
    [anon_sym_PIPE_EQ] = ACTIONS(201),
    [anon_sym_CARET_EQ] = ACTIONS(201),
    [anon_sym_LT_LT_EQ] = ACTIONS(201),
    [anon_sym_GT_GT_EQ] = ACTIONS(201),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(201),
    [anon_sym_DOT_DOT] = ACTIONS(201),
    [anon_sym_STAR_STAR] = ACTIONS(201),
    [anon_sym_PIPE_PIPE] = ACTIONS(201),
    [anon_sym_SLASH_SLASH] = ACTIONS(201),
    [anon_sym_CARET_CARET] = ACTIONS(201),
    [anon_sym_AMP_AMP] = ACTIONS(201),
    [anon_sym_PIPE] = ACTIONS(201),
    [anon_sym_CARET] = ACTIONS(201),
    [anon_sym_AMP] = ACTIONS(201),
    [anon_sym_GT_GT2] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(201),
    [anon_sym_DASH] = ACTIONS(201),
    [anon_sym_DOT] = ACTIONS(201),
    [anon_sym_STAR] = ACTIONS(201),
    [anon_sym_SLASH] = ACTIONS(201),
    [anon_sym_x] = ACTIONS(201),
    [anon_sym_EQ_TILDE] = ACTIONS(201),
    [anon_sym_BANG_TILDE] = ACTIONS(201),
    [anon_sym_EQ_EQ] = ACTIONS(201),
    [anon_sym_BANG_EQ] = ACTIONS(201),
    [anon_sym_eq] = ACTIONS(201),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(201),
    [anon_sym_equ] = ACTIONS(201),
    [anon_sym_eqr] = ACTIONS(201),
    [anon_sym_ne] = ACTIONS(201),
    [anon_sym_LT_EQ_GT] = ACTIONS(201),
    [anon_sym_cmp] = ACTIONS(201),
    [anon_sym_TILDE_TILDE] = ACTIONS(201),
    [anon_sym_LT] = ACTIONS(201),
    [anon_sym_LT_EQ] = ACTIONS(201),
    [anon_sym_GT_EQ] = ACTIONS(201),
    [anon_sym_lt] = ACTIONS(201),
    [anon_sym_le] = ACTIONS(201),
    [anon_sym_ge] = ACTIONS(201),
    [anon_sym_gt] = ACTIONS(201),
    [anon_sym_isa] = ACTIONS(201),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_QMARK] = ACTIONS(201),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(201),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(1222),
  },
  [87] = {
    [sym__PERLY_BRACE_OPEN] = STATE(83),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2552),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym__tricky_list] = STATE(3943),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1421),
    [sym_interpolated_string_literal] = STATE(1421),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1421),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(87),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1420),
    [sym_identifier] = STATE(4110),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(94),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1330),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(1295),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [88] = {
    [sym__PERLY_BRACE_OPEN] = STATE(87),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(88),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(4110),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(97),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1332),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [89] = {
    [sym__PERLY_BRACE_OPEN] = STATE(87),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(89),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(4110),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(90),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1334),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [90] = {
    [sym__PERLY_BRACE_OPEN] = STATE(87),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(90),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(4110),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(97),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1336),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [91] = {
    [sym__PERLY_BRACE_OPEN] = STATE(87),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(91),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(4110),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(106),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(633),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [92] = {
    [sym__PERLY_BRACE_OPEN] = STATE(87),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(92),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(4110),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(97),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1338),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [93] = {
    [sym__PERLY_BRACE_OPEN] = STATE(87),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(93),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(4110),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(88),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(643),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [94] = {
    [sym__PERLY_BRACE_OPEN] = STATE(87),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(94),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(4110),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(97),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1340),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [95] = {
    [sym__PERLY_BRACE_OPEN] = STATE(87),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(95),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(4110),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(94),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1342),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [96] = {
    [sym__PERLY_BRACE_OPEN] = STATE(87),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(96),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(4110),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(97),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1344),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [97] = {
    [sym__PERLY_BRACE_OPEN] = STATE(87),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(97),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(4110),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(97),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(653),
    [anon_sym_LBRACE] = ACTIONS(656),
    [anon_sym_RBRACE] = ACTIONS(788),
    [anon_sym_SEMI] = ACTIONS(1346),
    [anon_sym_package] = ACTIONS(1349),
    [anon_sym_class] = ACTIONS(1352),
    [anon_sym_role] = ACTIONS(1355),
    [anon_sym_BUILD] = ACTIONS(1358),
    [anon_sym_ADJUST] = ACTIONS(1358),
    [anon_sym_DOLLAR] = ACTIONS(674),
    [anon_sym_AT] = ACTIONS(677),
    [anon_sym_my] = ACTIONS(1361),
    [anon_sym_extended] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(683),
    [anon_sym_sub] = ACTIONS(1364),
    [anon_sym_method] = ACTIONS(1367),
    [anon_sym_LPAREN] = ACTIONS(692),
    [anon_sym_continue] = ACTIONS(695),
    [anon_sym_state] = ACTIONS(698),
    [anon_sym_our] = ACTIONS(698),
    [anon_sym_try] = ACTIONS(1370),
    [anon_sym_defer] = ACTIONS(1373),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(710),
    [anon_sym_LT_LT] = ACTIONS(713),
    [anon_sym_SLASH_SLASH] = ACTIONS(716),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(722),
    [anon_sym_TILDE] = ACTIONS(719),
    [anon_sym_BANG] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(725),
    [anon_sym_DASH_DASH] = ACTIONS(725),
    [anon_sym_BSLASH] = ACTIONS(728),
    [anon_sym_do] = ACTIONS(731),
    [anon_sym_eval] = ACTIONS(734),
    [anon_sym_await] = ACTIONS(737),
    [anon_sym_field] = ACTIONS(698),
    [anon_sym_local] = ACTIONS(740),
    [anon_sym_dynamically] = ACTIONS(740),
    [anon_sym_DOLLAR_POUND] = ACTIONS(743),
    [anon_sym_require] = ACTIONS(746),
    [anon_sym_map] = ACTIONS(749),
    [anon_sym_grep] = ACTIONS(749),
    [anon_sym_sort] = ACTIONS(752),
    [anon_sym_goto] = ACTIONS(755),
    [anon_sym_return] = ACTIONS(758),
    [anon_sym_undef] = ACTIONS(761),
    [anon_sym_PERCENT2] = ACTIONS(764),
    [anon_sym_AMP2] = ACTIONS(767),
    [anon_sym_STAR2] = ACTIONS(770),
    [anon_sym_use] = ACTIONS(1376),
    [anon_sym_no] = ACTIONS(1376),
    [anon_sym_for] = ACTIONS(1379),
    [anon_sym_foreach] = ACTIONS(1379),
    [anon_sym_last] = ACTIONS(779),
    [anon_sym_next] = ACTIONS(779),
    [anon_sym_redo] = ACTIONS(779),
    [anon_sym_BEGIN] = ACTIONS(1382),
    [anon_sym_INIT] = ACTIONS(1382),
    [anon_sym_CHECK] = ACTIONS(1382),
    [anon_sym_UNITCHECK] = ACTIONS(1382),
    [anon_sym_END] = ACTIONS(1382),
    [anon_sym___FILE__] = ACTIONS(695),
    [anon_sym___LINE__] = ACTIONS(695),
    [anon_sym___PACKAGE__] = ACTIONS(695),
    [anon_sym___SUB__] = ACTIONS(695),
    [anon_sym_break] = ACTIONS(695),
    [anon_sym_fork] = ACTIONS(695),
    [anon_sym_getppid] = ACTIONS(695),
    [anon_sym_time] = ACTIONS(695),
    [anon_sym_times] = ACTIONS(695),
    [anon_sym_wait] = ACTIONS(695),
    [anon_sym_wantarray] = ACTIONS(695),
    [anon_sym_abs] = ACTIONS(785),
    [anon_sym_alarm] = ACTIONS(785),
    [anon_sym_chop] = ACTIONS(785),
    [anon_sym_chdir] = ACTIONS(785),
    [anon_sym_close] = ACTIONS(785),
    [anon_sym_closedir] = ACTIONS(785),
    [anon_sym_caller] = ACTIONS(785),
    [anon_sym_chomp] = ACTIONS(785),
    [anon_sym_chr] = ACTIONS(785),
    [anon_sym_cos] = ACTIONS(785),
    [anon_sym_chroot] = ACTIONS(785),
    [anon_sym_defined] = ACTIONS(785),
    [anon_sym_delete] = ACTIONS(785),
    [anon_sym_dbmclose] = ACTIONS(785),
    [anon_sym_exists] = ACTIONS(785),
    [anon_sym_exit] = ACTIONS(785),
    [anon_sym_eof] = ACTIONS(785),
    [anon_sym_exp] = ACTIONS(785),
    [anon_sym_each] = ACTIONS(785),
    [anon_sym_fc] = ACTIONS(785),
    [anon_sym_fileno] = ACTIONS(785),
    [anon_sym_gmtime] = ACTIONS(785),
    [anon_sym_getc] = ACTIONS(785),
    [anon_sym_getpgrp] = ACTIONS(785),
    [anon_sym_getprotobyname] = ACTIONS(785),
    [anon_sym_getpwname] = ACTIONS(785),
    [anon_sym_getpwuid] = ACTIONS(785),
    [anon_sym_getpeername] = ACTIONS(785),
    [anon_sym_getnetbyname] = ACTIONS(785),
    [anon_sym_getsockname] = ACTIONS(785),
    [anon_sym_getgrnam] = ACTIONS(785),
    [anon_sym_getgrgid] = ACTIONS(785),
    [anon_sym_hex] = ACTIONS(785),
    [anon_sym_int] = ACTIONS(785),
    [anon_sym_keys] = ACTIONS(785),
    [anon_sym_lc] = ACTIONS(785),
    [anon_sym_lcfirst] = ACTIONS(785),
    [anon_sym_length] = ACTIONS(785),
    [anon_sym_localtime] = ACTIONS(785),
    [anon_sym_log] = ACTIONS(785),
    [anon_sym_lock] = ACTIONS(785),
    [anon_sym_lstat] = ACTIONS(785),
    [anon_sym_oct] = ACTIONS(785),
    [anon_sym_ord] = ACTIONS(785),
    [anon_sym_prototype] = ACTIONS(785),
    [anon_sym_pop] = ACTIONS(785),
    [anon_sym_pos] = ACTIONS(785),
    [anon_sym_quotemeta] = ACTIONS(785),
    [anon_sym_reset] = ACTIONS(785),
    [anon_sym_rand] = ACTIONS(785),
    [anon_sym_rmdir] = ACTIONS(785),
    [anon_sym_readdir] = ACTIONS(785),
    [anon_sym_readline] = ACTIONS(785),
    [anon_sym_readpipe] = ACTIONS(785),
    [anon_sym_rewinddir] = ACTIONS(785),
    [anon_sym_readlink] = ACTIONS(785),
    [anon_sym_ref] = ACTIONS(785),
    [anon_sym_scalar] = ACTIONS(785),
    [anon_sym_shift] = ACTIONS(785),
    [anon_sym_sin] = ACTIONS(785),
    [anon_sym_sleep] = ACTIONS(785),
    [anon_sym_sqrt] = ACTIONS(785),
    [anon_sym_srand] = ACTIONS(785),
    [anon_sym_stat] = ACTIONS(785),
    [anon_sym_study] = ACTIONS(785),
    [anon_sym_tell] = ACTIONS(785),
    [anon_sym_telldir] = ACTIONS(785),
    [anon_sym_tied] = ACTIONS(785),
    [anon_sym_uc] = ACTIONS(785),
    [anon_sym_ucfirst] = ACTIONS(785),
    [anon_sym_untie] = ACTIONS(785),
    [anon_sym_umask] = ACTIONS(785),
    [anon_sym_values] = ACTIONS(785),
    [anon_sym_write] = ACTIONS(785),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(790),
    [anon_sym_qq] = ACTIONS(793),
    [anon_sym_qw] = ACTIONS(796),
    [anon_sym_qx] = ACTIONS(799),
    [anon_sym_qr] = ACTIONS(802),
    [anon_sym_m] = ACTIONS(805),
    [anon_sym_s] = ACTIONS(808),
    [anon_sym_tr] = ACTIONS(811),
    [anon_sym_y] = ACTIONS(811),
    [anon_sym_if] = ACTIONS(814),
    [anon_sym_unless] = ACTIONS(814),
    [anon_sym_while] = ACTIONS(817),
    [anon_sym_until] = ACTIONS(817),
    [aux_sym__bareword_token1] = ACTIONS(820),
    [sym_number] = ACTIONS(823),
    [anon_sym_true] = ACTIONS(826),
    [anon_sym_false] = ACTIONS(826),
    [sym__single_quote] = ACTIONS(829),
    [sym__double_quote] = ACTIONS(832),
    [sym__backtick_quote] = ACTIONS(835),
    [sym__search_slash_quote] = ACTIONS(838),
    [sym__open_readline_bracket] = ACTIONS(841),
    [sym__open_fileglob_bracket] = ACTIONS(844),
    [sym__PERLY_HEREDOC] = ACTIONS(847),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(850),
    [sym__filetest] = ACTIONS(853),
  },
  [98] = {
    [sym__PERLY_BRACE_OPEN] = STATE(87),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(98),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(4110),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(113),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1385),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [99] = {
    [sym__PERLY_BRACE_OPEN] = STATE(87),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(99),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(4110),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(97),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1387),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [100] = {
    [sym__PERLY_BRACE_OPEN] = STATE(87),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(100),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(4110),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(123),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1389),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [101] = {
    [sym__PERLY_BRACE_OPEN] = STATE(87),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(101),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(4110),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(97),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1391),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [102] = {
    [sym__PERLY_BRACE_OPEN] = STATE(87),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(102),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(4110),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(97),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1393),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [103] = {
    [sym__PERLY_BRACE_OPEN] = STATE(87),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(103),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(4110),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(125),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(938),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [104] = {
    [sym__PERLY_BRACE_OPEN] = STATE(87),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(104),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(4110),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(97),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1395),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [105] = {
    [sym__PERLY_BRACE_OPEN] = STATE(87),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(105),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(4110),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(92),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [106] = {
    [sym__PERLY_BRACE_OPEN] = STATE(87),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(106),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(4110),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(97),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [107] = {
    [sym__PERLY_BRACE_OPEN] = STATE(87),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(107),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(4110),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(133),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1401),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [108] = {
    [sym__PERLY_BRACE_OPEN] = STATE(87),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(108),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(4110),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(97),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1403),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [109] = {
    [sym__PERLY_BRACE_OPEN] = STATE(87),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(109),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(4110),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(135),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1405),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [110] = {
    [sym__PERLY_BRACE_OPEN] = STATE(87),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(110),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(4110),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1407),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [111] = {
    [sym__PERLY_BRACE_OPEN] = STATE(87),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(111),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(4110),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(97),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [112] = {
    [sym__PERLY_BRACE_OPEN] = STATE(87),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(112),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(4110),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(139),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1120),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [113] = {
    [sym__PERLY_BRACE_OPEN] = STATE(87),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(113),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(4110),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(97),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1411),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [114] = {
    [sym__PERLY_BRACE_OPEN] = STATE(87),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(114),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(4110),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(141),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1413),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [115] = {
    [sym__PERLY_BRACE_OPEN] = STATE(87),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(115),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(4110),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(97),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1415),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [116] = {
    [sym__PERLY_BRACE_OPEN] = STATE(87),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(116),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(4110),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(142),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [117] = {
    [sym__PERLY_BRACE_OPEN] = STATE(87),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(117),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(4110),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(101),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [118] = {
    [sym__PERLY_BRACE_OPEN] = STATE(87),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(118),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(4110),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(97),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [119] = {
    [sym__PERLY_BRACE_OPEN] = STATE(87),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(119),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(4110),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(143),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [120] = {
    [sym__PERLY_BRACE_OPEN] = STATE(87),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(120),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(4110),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(97),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1425),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [121] = {
    [sym__PERLY_BRACE_OPEN] = STATE(87),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(121),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(4110),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(97),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1427),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [122] = {
    [sym__PERLY_BRACE_OPEN] = STATE(87),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(122),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(4110),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(97),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1429),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [123] = {
    [sym__PERLY_BRACE_OPEN] = STATE(87),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(123),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(4110),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(97),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1431),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [124] = {
    [sym__PERLY_BRACE_OPEN] = STATE(87),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(124),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(4110),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(97),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1433),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [125] = {
    [sym__PERLY_BRACE_OPEN] = STATE(87),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(125),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(4110),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(97),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1435),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [126] = {
    [sym__PERLY_BRACE_OPEN] = STATE(87),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(126),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(4110),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(97),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1437),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [127] = {
    [sym__PERLY_BRACE_OPEN] = STATE(87),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(127),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(4110),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(97),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1439),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [128] = {
    [sym__PERLY_BRACE_OPEN] = STATE(87),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(128),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(4110),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(97),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [129] = {
    [sym__PERLY_BRACE_OPEN] = STATE(87),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(129),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(4110),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(97),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [130] = {
    [sym__PERLY_BRACE_OPEN] = STATE(87),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(130),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(4110),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(97),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1445),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [131] = {
    [sym__PERLY_BRACE_OPEN] = STATE(87),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(131),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(4110),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(97),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [132] = {
    [sym__PERLY_BRACE_OPEN] = STATE(87),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(132),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(4110),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(97),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1449),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [133] = {
    [sym__PERLY_BRACE_OPEN] = STATE(87),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(133),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(4110),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(97),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1451),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [134] = {
    [sym__PERLY_BRACE_OPEN] = STATE(87),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(134),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(4110),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(97),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1453),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [135] = {
    [sym__PERLY_BRACE_OPEN] = STATE(87),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(135),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(4110),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(97),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1455),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [136] = {
    [sym__PERLY_BRACE_OPEN] = STATE(87),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(136),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(4110),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(97),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1457),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [137] = {
    [sym__PERLY_BRACE_OPEN] = STATE(87),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(137),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(4110),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(97),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1459),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [138] = {
    [sym__PERLY_BRACE_OPEN] = STATE(87),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(138),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(4110),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(97),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1461),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [139] = {
    [sym__PERLY_BRACE_OPEN] = STATE(87),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(139),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(4110),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(97),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1463),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [140] = {
    [sym__PERLY_BRACE_OPEN] = STATE(87),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(140),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(4110),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(97),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1465),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [141] = {
    [sym__PERLY_BRACE_OPEN] = STATE(87),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(141),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(4110),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(97),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1467),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [142] = {
    [sym__PERLY_BRACE_OPEN] = STATE(87),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(142),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(4110),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(97),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1469),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [143] = {
    [sym__PERLY_BRACE_OPEN] = STATE(87),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(143),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(4110),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(97),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1471),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [144] = {
    [sym__PERLY_BRACE_OPEN] = STATE(87),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(144),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(4110),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(120),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(593),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [145] = {
    [sym__PERLY_BRACE_OPEN] = STATE(87),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1079),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(145),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(4110),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_source_file_repeat1] = STATE(97),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1473),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [146] = {
    [sym__PERLY_BRACE_OPEN] = STATE(66),
    [sym_block] = STATE(916),
    [sym__fullstmt] = STATE(983),
    [sym_statement_label] = STATE(918),
    [sym__barestmt] = STATE(918),
    [sym_package_statement] = STATE(913),
    [sym_class_statement] = STATE(913),
    [sym_role_statement] = STATE(913),
    [sym_class_phaser_statement] = STATE(913),
    [sym_use_version_statement] = STATE(913),
    [sym_use_statement] = STATE(913),
    [sym_subroutine_declaration_statement] = STATE(913),
    [sym_method_declaration_statement] = STATE(913),
    [sym_phaser_statement] = STATE(913),
    [sym_conditional_statement] = STATE(913),
    [sym_loop_statement] = STATE(913),
    [sym_cstyle_for_statement] = STATE(913),
    [sym_for_statement] = STATE(913),
    [sym_try_statement] = STATE(913),
    [sym_defer_statement] = STATE(913),
    [sym_expression_statement] = STATE(3022),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(146),
    [sym__conditionals] = STATE(4100),
    [sym__loops] = STATE(3916),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(4107),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_SEMI] = ACTIONS(15),
    [anon_sym_package] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_role] = ACTIONS(21),
    [anon_sym_BUILD] = ACTIONS(23),
    [anon_sym_ADJUST] = ACTIONS(23),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(29),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(33),
    [anon_sym_method] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_defer] = ACTIONS(45),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(91),
    [anon_sym_no] = ACTIONS(91),
    [anon_sym_for] = ACTIONS(93),
    [anon_sym_foreach] = ACTIONS(93),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(97),
    [anon_sym_INIT] = ACTIONS(97),
    [anon_sym_CHECK] = ACTIONS(97),
    [anon_sym_UNITCHECK] = ACTIONS(97),
    [anon_sym_END] = ACTIONS(97),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [147] = {
    [sym__PERLY_BRACE_OPEN] = STATE(87),
    [sym_block] = STATE(1078),
    [sym__fullstmt] = STATE(1021),
    [sym_statement_label] = STATE(1083),
    [sym__barestmt] = STATE(1083),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(147),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(4110),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [148] = {
    [sym__PERLY_BRACE_OPEN] = STATE(80),
    [sym_block] = STATE(1182),
    [sym__barestmt] = STATE(281),
    [sym_package_statement] = STATE(1180),
    [sym_class_statement] = STATE(1180),
    [sym_role_statement] = STATE(1180),
    [sym_class_phaser_statement] = STATE(1180),
    [sym_use_version_statement] = STATE(1180),
    [sym_use_statement] = STATE(1180),
    [sym_subroutine_declaration_statement] = STATE(1180),
    [sym_method_declaration_statement] = STATE(1180),
    [sym_phaser_statement] = STATE(1180),
    [sym_conditional_statement] = STATE(1180),
    [sym_loop_statement] = STATE(1180),
    [sym_cstyle_for_statement] = STATE(1180),
    [sym_for_statement] = STATE(1180),
    [sym_try_statement] = STATE(1180),
    [sym_defer_statement] = STATE(1180),
    [sym_expression_statement] = STATE(3030),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(148),
    [sym__conditionals] = STATE(4129),
    [sym__loops] = STATE(4130),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3364),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_SEMI] = ACTIONS(1475),
    [anon_sym_package] = ACTIONS(1477),
    [anon_sym_class] = ACTIONS(1479),
    [anon_sym_role] = ACTIONS(1481),
    [anon_sym_BUILD] = ACTIONS(1483),
    [anon_sym_ADJUST] = ACTIONS(1483),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(1485),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(1487),
    [anon_sym_method] = ACTIONS(1489),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(1491),
    [anon_sym_defer] = ACTIONS(1493),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(1495),
    [anon_sym_no] = ACTIONS(1495),
    [anon_sym_for] = ACTIONS(1497),
    [anon_sym_foreach] = ACTIONS(1497),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(1499),
    [anon_sym_INIT] = ACTIONS(1499),
    [anon_sym_CHECK] = ACTIONS(1499),
    [anon_sym_UNITCHECK] = ACTIONS(1499),
    [anon_sym_END] = ACTIONS(1499),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [149] = {
    [sym__PERLY_BRACE_OPEN] = STATE(83),
    [sym_block] = STATE(1078),
    [sym__barestmt] = STATE(153),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2553),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(149),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [150] = {
    [sym__PERLY_BRACE_OPEN] = STATE(80),
    [sym_block] = STATE(1182),
    [sym__barestmt] = STATE(269),
    [sym_package_statement] = STATE(1180),
    [sym_class_statement] = STATE(1180),
    [sym_role_statement] = STATE(1180),
    [sym_class_phaser_statement] = STATE(1180),
    [sym_use_version_statement] = STATE(1180),
    [sym_use_statement] = STATE(1180),
    [sym_subroutine_declaration_statement] = STATE(1180),
    [sym_method_declaration_statement] = STATE(1180),
    [sym_phaser_statement] = STATE(1180),
    [sym_conditional_statement] = STATE(1180),
    [sym_loop_statement] = STATE(1180),
    [sym_cstyle_for_statement] = STATE(1180),
    [sym_for_statement] = STATE(1180),
    [sym_try_statement] = STATE(1180),
    [sym_defer_statement] = STATE(1180),
    [sym_expression_statement] = STATE(3030),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(150),
    [sym__conditionals] = STATE(4129),
    [sym__loops] = STATE(4130),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3364),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_SEMI] = ACTIONS(1475),
    [anon_sym_package] = ACTIONS(1477),
    [anon_sym_class] = ACTIONS(1479),
    [anon_sym_role] = ACTIONS(1481),
    [anon_sym_BUILD] = ACTIONS(1483),
    [anon_sym_ADJUST] = ACTIONS(1483),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(1485),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(1487),
    [anon_sym_method] = ACTIONS(1489),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(1491),
    [anon_sym_defer] = ACTIONS(1493),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(1495),
    [anon_sym_no] = ACTIONS(1495),
    [anon_sym_for] = ACTIONS(1497),
    [anon_sym_foreach] = ACTIONS(1497),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(1499),
    [anon_sym_INIT] = ACTIONS(1499),
    [anon_sym_CHECK] = ACTIONS(1499),
    [anon_sym_UNITCHECK] = ACTIONS(1499),
    [anon_sym_END] = ACTIONS(1499),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [151] = {
    [sym__PERLY_BRACE_OPEN] = STATE(83),
    [sym_block] = STATE(1078),
    [sym__barestmt] = STATE(150),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2557),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(151),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [152] = {
    [sym__PERLY_BRACE_OPEN] = STATE(83),
    [sym_block] = STATE(1078),
    [sym__barestmt] = STATE(148),
    [sym_package_statement] = STATE(1074),
    [sym_class_statement] = STATE(1074),
    [sym_role_statement] = STATE(1074),
    [sym_class_phaser_statement] = STATE(1074),
    [sym_use_version_statement] = STATE(1074),
    [sym_use_statement] = STATE(1074),
    [sym_subroutine_declaration_statement] = STATE(1074),
    [sym_method_declaration_statement] = STATE(1074),
    [sym_phaser_statement] = STATE(1074),
    [sym_conditional_statement] = STATE(1074),
    [sym_loop_statement] = STATE(1074),
    [sym_cstyle_for_statement] = STATE(1074),
    [sym_for_statement] = STATE(1074),
    [sym_try_statement] = STATE(1074),
    [sym_defer_statement] = STATE(1074),
    [sym_expression_statement] = STATE(3026),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2551),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(152),
    [sym__conditionals] = STATE(4123),
    [sym__loops] = STATE(4124),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3347),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [153] = {
    [sym__PERLY_BRACE_OPEN] = STATE(80),
    [sym_block] = STATE(1182),
    [sym__barestmt] = STATE(250),
    [sym_package_statement] = STATE(1180),
    [sym_class_statement] = STATE(1180),
    [sym_role_statement] = STATE(1180),
    [sym_class_phaser_statement] = STATE(1180),
    [sym_use_version_statement] = STATE(1180),
    [sym_use_statement] = STATE(1180),
    [sym_subroutine_declaration_statement] = STATE(1180),
    [sym_method_declaration_statement] = STATE(1180),
    [sym_phaser_statement] = STATE(1180),
    [sym_conditional_statement] = STATE(1180),
    [sym_loop_statement] = STATE(1180),
    [sym_cstyle_for_statement] = STATE(1180),
    [sym_for_statement] = STATE(1180),
    [sym_try_statement] = STATE(1180),
    [sym_defer_statement] = STATE(1180),
    [sym_expression_statement] = STATE(3030),
    [sym__postfix_expressions] = STATE(3283),
    [sym_postfix_conditional_expression] = STATE(3293),
    [sym_postfix_loop_expression] = STATE(3293),
    [sym_postfix_for_expression] = STATE(3293),
    [sym_yadayada] = STATE(3283),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(153),
    [sym__conditionals] = STATE(4129),
    [sym__loops] = STATE(4130),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3364),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_SEMI] = ACTIONS(1475),
    [anon_sym_package] = ACTIONS(1477),
    [anon_sym_class] = ACTIONS(1479),
    [anon_sym_role] = ACTIONS(1481),
    [anon_sym_BUILD] = ACTIONS(1483),
    [anon_sym_ADJUST] = ACTIONS(1483),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(1485),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(1487),
    [anon_sym_method] = ACTIONS(1489),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(1491),
    [anon_sym_defer] = ACTIONS(1493),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(1495),
    [anon_sym_no] = ACTIONS(1495),
    [anon_sym_for] = ACTIONS(1497),
    [anon_sym_foreach] = ACTIONS(1497),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(1499),
    [anon_sym_INIT] = ACTIONS(1499),
    [anon_sym_CHECK] = ACTIONS(1499),
    [anon_sym_UNITCHECK] = ACTIONS(1499),
    [anon_sym_END] = ACTIONS(1499),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [154] = {
    [sym__PERLY_BRACE_OPEN] = STATE(237),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1331),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(154),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_RBRACE] = ACTIONS(182),
    [anon_sym_SEMI] = ACTIONS(182),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(182),
    [anon_sym_RPAREN] = ACTIONS(182),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_and] = ACTIONS(182),
    [anon_sym_or] = ACTIONS(182),
    [anon_sym_xor] = ACTIONS(182),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(182),
    [anon_sym_for] = ACTIONS(182),
    [anon_sym_foreach] = ACTIONS(182),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(182),
    [anon_sym___END__] = ACTIONS(182),
    [anon_sym_EOT] = ACTIONS(182),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(182),
    [anon_sym_unless] = ACTIONS(182),
    [anon_sym_while] = ACTIONS(182),
    [anon_sym_until] = ACTIONS(182),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_SEMICOLON] = ACTIONS(199),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym__ctrl_z_hack] = ACTIONS(199),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [155] = {
    [sym__PERLY_BRACE_OPEN] = STATE(237),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1501),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(155),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(243),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_SEMI] = ACTIONS(182),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(182),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_and] = ACTIONS(182),
    [anon_sym_or] = ACTIONS(182),
    [anon_sym_xor] = ACTIONS(182),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(182),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(182),
    [anon_sym___END__] = ACTIONS(182),
    [anon_sym_EOT] = ACTIONS(182),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(243),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_SEMICOLON] = ACTIONS(199),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym__ctrl_z_hack] = ACTIONS(199),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(245),
  },
  [156] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3573),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym__hash_key] = STATE(4091),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(156),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym__brace_autoquoted] = STATE(4115),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [157] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3573),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym__hash_key] = STATE(3977),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(157),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym__brace_autoquoted] = STATE(4115),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [158] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3573),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym__hash_key] = STATE(3980),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(158),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym__brace_autoquoted] = STATE(4115),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [159] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3573),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym__hash_key] = STATE(4028),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(159),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym__brace_autoquoted] = STATE(4115),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [160] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3573),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym__hash_key] = STATE(3929),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(160),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym__brace_autoquoted] = STATE(4115),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [161] = {
    [sym__PERLY_BRACE_OPEN] = STATE(72),
    [sym_block] = STATE(1190),
    [sym__expr] = STATE(3451),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_indirect_object] = STATE(329),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(801),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(161),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(1515),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1517),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [162] = {
    [sym__PERLY_BRACE_OPEN] = STATE(72),
    [sym_block] = STATE(1190),
    [sym__expr] = STATE(3565),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_indirect_object] = STATE(362),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(801),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(162),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(1515),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1519),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [163] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3573),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym__hash_key] = STATE(4080),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(163),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym__brace_autoquoted] = STATE(4115),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [164] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3573),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym__hash_key] = STATE(3986),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(164),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym__brace_autoquoted] = STATE(4115),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [165] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3573),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym__hash_key] = STATE(4108),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(165),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym__brace_autoquoted] = STATE(4115),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [166] = {
    [sym__PERLY_BRACE_OPEN] = STATE(238),
    [sym__semicolon] = STATE(929),
    [sym__listexpr] = STATE(3740),
    [sym__term_rightward] = STATE(3843),
    [sym_list_expression] = STATE(3826),
    [sym__subscripted] = STATE(1915),
    [sym_container_variable] = STATE(3851),
    [sym_array_element_expression] = STATE(1916),
    [sym_hash_element_expression] = STATE(1916),
    [sym_coderef_call_expression] = STATE(1916),
    [sym_anonymous_slice_expression] = STATE(1916),
    [sym_slice_container_variable] = STATE(3852),
    [sym_slice_expression] = STATE(2342),
    [sym_keyval_container_variable] = STATE(3853),
    [sym_keyval_expression] = STATE(2342),
    [sym__term] = STATE(2141),
    [sym_readline_expression] = STATE(2342),
    [sym_fileglob_expression] = STATE(2342),
    [sym_assignment_expression] = STATE(2342),
    [sym_binary_expression] = STATE(2342),
    [sym_equality_expression] = STATE(2342),
    [sym_relational_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2342),
    [sym_preinc_expression] = STATE(2342),
    [sym_postinc_expression] = STATE(2342),
    [sym_conditional_expression] = STATE(2342),
    [sym_refgen_expression] = STATE(2342),
    [sym_anonymous_array_expression] = STATE(2342),
    [sym_anonymous_hash_expression] = STATE(2342),
    [sym_anonymous_subroutine_expression] = STATE(2342),
    [sym_anonymous_method_expression] = STATE(2342),
    [sym_do_expression] = STATE(2342),
    [sym_eval_expression] = STATE(2342),
    [sym_await_expression] = STATE(2342),
    [sym_variable_declaration] = STATE(2342),
    [sym_localization_expression] = STATE(2342),
    [sym_stub_expression] = STATE(2342),
    [sym_scalar_deref_expression] = STATE(2342),
    [sym_array_deref_expression] = STATE(2342),
    [sym_arraylen_deref_expression] = STATE(2342),
    [sym_hash_deref_expression] = STATE(2342),
    [sym_amper_deref_expression] = STATE(2342),
    [sym_glob_deref_expression] = STATE(2342),
    [sym_require_expression] = STATE(2342),
    [sym_require_version_expression] = STATE(2342),
    [sym_func0op_call_expression] = STATE(2342),
    [sym_func1op_call_expression] = STATE(2342),
    [sym_map_grep_expression] = STATE(2342),
    [sym_sort_expression] = STATE(2342),
    [sym_loopex_expression] = STATE(2342),
    [sym_goto_expression] = STATE(2342),
    [sym_return_expression] = STATE(2342),
    [sym_undef_expression] = STATE(2342),
    [sym__listop] = STATE(2342),
    [sym_function_call_expression] = STATE(2343),
    [sym_ambiguous_function_call_expression] = STATE(2343),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(2343),
    [sym_scalar] = STATE(2342),
    [sym_array] = STATE(2342),
    [sym__SUB_AMPER] = STATE(2739),
    [sym__GLOB_STAR] = STATE(2741),
    [sym_hash] = STATE(2342),
    [sym_arraylen] = STATE(2342),
    [sym_amper_sub] = STATE(2181),
    [sym_glob] = STATE(2183),
    [sym_glob_slot_expression] = STATE(2342),
    [sym__literal] = STATE(2342),
    [sym__apostrophe] = STATE(3277),
    [sym__quotation_mark] = STATE(2481),
    [sym__backtick] = STATE(2482),
    [sym__search_slash] = STATE(2447),
    [sym_string_literal] = STATE(2353),
    [sym_interpolated_string_literal] = STATE(2353),
    [sym_quoted_word_list] = STATE(2193),
    [sym_command_string] = STATE(2353),
    [sym_quoted_regexp] = STATE(2353),
    [sym_match_regexp] = STATE(2353),
    [sym_substitution_regexp] = STATE(2353),
    [sym_transliteration_expression] = STATE(2353),
    [sym_heredoc_token] = STATE(2342),
    [sym_command_heredoc_token] = STATE(2342),
    [sym_heredoc_content] = STATE(166),
    [sym__version] = STATE(246),
    [sym_autoquoted_bareword] = STATE(2342),
    [sym_bareword] = STATE(2342),
    [sym_primitive] = STATE(2342),
    [sym_boolean] = STATE(2323),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3366),
    [sym__identifier] = ACTIONS(1072),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_SEMI] = ACTIONS(1521),
    [anon_sym_DOLLAR] = ACTIONS(1008),
    [anon_sym_AT] = ACTIONS(1010),
    [anon_sym_my] = ACTIONS(1012),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(1014),
    [anon_sym_method] = ACTIONS(1016),
    [anon_sym_LPAREN] = ACTIONS(1018),
    [anon_sym_continue] = ACTIONS(1020),
    [anon_sym_state] = ACTIONS(1012),
    [anon_sym_our] = ACTIONS(1012),
    [anon_sym_LBRACK] = ACTIONS(1022),
    [anon_sym_LT_LT] = ACTIONS(1523),
    [anon_sym_SLASH_SLASH] = ACTIONS(1525),
    [anon_sym_PLUS] = ACTIONS(1024),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_TILDE] = ACTIONS(1024),
    [anon_sym_BANG] = ACTIONS(1024),
    [anon_sym_PLUS_PLUS] = ACTIONS(1529),
    [anon_sym_DASH_DASH] = ACTIONS(1529),
    [anon_sym_BSLASH] = ACTIONS(1026),
    [anon_sym_do] = ACTIONS(1028),
    [anon_sym_eval] = ACTIONS(1030),
    [anon_sym_await] = ACTIONS(1032),
    [anon_sym_field] = ACTIONS(1012),
    [anon_sym_local] = ACTIONS(1034),
    [anon_sym_dynamically] = ACTIONS(1034),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1036),
    [anon_sym_require] = ACTIONS(1038),
    [anon_sym_map] = ACTIONS(1040),
    [anon_sym_grep] = ACTIONS(1040),
    [anon_sym_sort] = ACTIONS(1042),
    [anon_sym_goto] = ACTIONS(1044),
    [anon_sym_return] = ACTIONS(1046),
    [anon_sym_undef] = ACTIONS(1048),
    [anon_sym_PERCENT2] = ACTIONS(1050),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1052),
    [anon_sym_next] = ACTIONS(1052),
    [anon_sym_redo] = ACTIONS(1052),
    [anon_sym___FILE__] = ACTIONS(1020),
    [anon_sym___LINE__] = ACTIONS(1020),
    [anon_sym___PACKAGE__] = ACTIONS(1020),
    [anon_sym___SUB__] = ACTIONS(1020),
    [anon_sym_break] = ACTIONS(1020),
    [anon_sym_fork] = ACTIONS(1020),
    [anon_sym_getppid] = ACTIONS(1020),
    [anon_sym_time] = ACTIONS(1020),
    [anon_sym_times] = ACTIONS(1020),
    [anon_sym_wait] = ACTIONS(1020),
    [anon_sym_wantarray] = ACTIONS(1020),
    [anon_sym_abs] = ACTIONS(1054),
    [anon_sym_alarm] = ACTIONS(1054),
    [anon_sym_chop] = ACTIONS(1054),
    [anon_sym_chdir] = ACTIONS(1054),
    [anon_sym_close] = ACTIONS(1054),
    [anon_sym_closedir] = ACTIONS(1054),
    [anon_sym_caller] = ACTIONS(1054),
    [anon_sym_chomp] = ACTIONS(1054),
    [anon_sym_chr] = ACTIONS(1054),
    [anon_sym_cos] = ACTIONS(1054),
    [anon_sym_chroot] = ACTIONS(1054),
    [anon_sym_defined] = ACTIONS(1054),
    [anon_sym_delete] = ACTIONS(1054),
    [anon_sym_dbmclose] = ACTIONS(1054),
    [anon_sym_exists] = ACTIONS(1054),
    [anon_sym_exit] = ACTIONS(1054),
    [anon_sym_eof] = ACTIONS(1054),
    [anon_sym_exp] = ACTIONS(1054),
    [anon_sym_each] = ACTIONS(1054),
    [anon_sym_fc] = ACTIONS(1054),
    [anon_sym_fileno] = ACTIONS(1054),
    [anon_sym_gmtime] = ACTIONS(1054),
    [anon_sym_getc] = ACTIONS(1054),
    [anon_sym_getpgrp] = ACTIONS(1054),
    [anon_sym_getprotobyname] = ACTIONS(1054),
    [anon_sym_getpwname] = ACTIONS(1054),
    [anon_sym_getpwuid] = ACTIONS(1054),
    [anon_sym_getpeername] = ACTIONS(1054),
    [anon_sym_getnetbyname] = ACTIONS(1054),
    [anon_sym_getsockname] = ACTIONS(1054),
    [anon_sym_getgrnam] = ACTIONS(1054),
    [anon_sym_getgrgid] = ACTIONS(1054),
    [anon_sym_hex] = ACTIONS(1054),
    [anon_sym_int] = ACTIONS(1054),
    [anon_sym_keys] = ACTIONS(1054),
    [anon_sym_lc] = ACTIONS(1054),
    [anon_sym_lcfirst] = ACTIONS(1054),
    [anon_sym_length] = ACTIONS(1054),
    [anon_sym_localtime] = ACTIONS(1054),
    [anon_sym_log] = ACTIONS(1054),
    [anon_sym_lock] = ACTIONS(1054),
    [anon_sym_lstat] = ACTIONS(1054),
    [anon_sym_oct] = ACTIONS(1054),
    [anon_sym_ord] = ACTIONS(1054),
    [anon_sym_prototype] = ACTIONS(1054),
    [anon_sym_pop] = ACTIONS(1054),
    [anon_sym_pos] = ACTIONS(1054),
    [anon_sym_quotemeta] = ACTIONS(1054),
    [anon_sym_reset] = ACTIONS(1054),
    [anon_sym_rand] = ACTIONS(1054),
    [anon_sym_rmdir] = ACTIONS(1054),
    [anon_sym_readdir] = ACTIONS(1054),
    [anon_sym_readline] = ACTIONS(1054),
    [anon_sym_readpipe] = ACTIONS(1054),
    [anon_sym_rewinddir] = ACTIONS(1054),
    [anon_sym_readlink] = ACTIONS(1054),
    [anon_sym_ref] = ACTIONS(1054),
    [anon_sym_scalar] = ACTIONS(1054),
    [anon_sym_shift] = ACTIONS(1054),
    [anon_sym_sin] = ACTIONS(1054),
    [anon_sym_sleep] = ACTIONS(1054),
    [anon_sym_sqrt] = ACTIONS(1054),
    [anon_sym_srand] = ACTIONS(1054),
    [anon_sym_stat] = ACTIONS(1054),
    [anon_sym_study] = ACTIONS(1054),
    [anon_sym_tell] = ACTIONS(1054),
    [anon_sym_telldir] = ACTIONS(1054),
    [anon_sym_tied] = ACTIONS(1054),
    [anon_sym_uc] = ACTIONS(1054),
    [anon_sym_ucfirst] = ACTIONS(1054),
    [anon_sym_untie] = ACTIONS(1054),
    [anon_sym_umask] = ACTIONS(1054),
    [anon_sym_values] = ACTIONS(1054),
    [anon_sym_write] = ACTIONS(1054),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1056),
    [anon_sym_qq] = ACTIONS(1058),
    [anon_sym_qw] = ACTIONS(1060),
    [anon_sym_qx] = ACTIONS(1062),
    [anon_sym_qr] = ACTIONS(1064),
    [anon_sym_m] = ACTIONS(1066),
    [anon_sym_s] = ACTIONS(1068),
    [anon_sym_tr] = ACTIONS(1070),
    [anon_sym_y] = ACTIONS(1070),
    [sym_version] = ACTIONS(1531),
    [aux_sym__bareword_token1] = ACTIONS(1072),
    [sym_number] = ACTIONS(1533),
    [anon_sym_true] = ACTIONS(1076),
    [anon_sym_false] = ACTIONS(1076),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(1078),
    [sym__open_fileglob_bracket] = ACTIONS(1080),
    [sym__PERLY_SEMICOLON] = ACTIONS(1535),
    [sym__PERLY_HEREDOC] = ACTIONS(1082),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1084),
    [sym__filetest] = ACTIONS(1086),
  },
  [167] = {
    [sym__PERLY_BRACE_OPEN] = STATE(72),
    [sym_block] = STATE(1190),
    [sym__expr] = STATE(3485),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_indirect_object] = STATE(301),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(801),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(167),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(1515),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1537),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [168] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3573),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym__hash_key] = STATE(4031),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(168),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym__brace_autoquoted] = STATE(4115),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [169] = {
    [sym__PERLY_BRACE_OPEN] = STATE(72),
    [sym_block] = STATE(1190),
    [sym__expr] = STATE(3412),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_indirect_object] = STATE(374),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(801),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(169),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(1515),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1539),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [170] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3573),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym__hash_key] = STATE(3862),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(170),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym__brace_autoquoted] = STATE(4115),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [171] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1685),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(171),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_RBRACE] = ACTIONS(182),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_COMMA] = ACTIONS(182),
    [anon_sym_RPAREN] = ACTIONS(182),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_and] = ACTIONS(182),
    [anon_sym_or] = ACTIONS(182),
    [anon_sym_xor] = ACTIONS(182),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_RBRACK] = ACTIONS(182),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(182),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [172] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3573),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym__hash_key] = STATE(3989),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(172),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym__brace_autoquoted] = STATE(4115),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [173] = {
    [sym__PERLY_BRACE_OPEN] = STATE(238),
    [sym__semicolon] = STATE(1109),
    [sym__listexpr] = STATE(3675),
    [sym__term_rightward] = STATE(3843),
    [sym_list_expression] = STATE(3826),
    [sym__subscripted] = STATE(1915),
    [sym_container_variable] = STATE(3851),
    [sym_array_element_expression] = STATE(1916),
    [sym_hash_element_expression] = STATE(1916),
    [sym_coderef_call_expression] = STATE(1916),
    [sym_anonymous_slice_expression] = STATE(1916),
    [sym_slice_container_variable] = STATE(3852),
    [sym_slice_expression] = STATE(2342),
    [sym_keyval_container_variable] = STATE(3853),
    [sym_keyval_expression] = STATE(2342),
    [sym__term] = STATE(2141),
    [sym_readline_expression] = STATE(2342),
    [sym_fileglob_expression] = STATE(2342),
    [sym_assignment_expression] = STATE(2342),
    [sym_binary_expression] = STATE(2342),
    [sym_equality_expression] = STATE(2342),
    [sym_relational_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2342),
    [sym_preinc_expression] = STATE(2342),
    [sym_postinc_expression] = STATE(2342),
    [sym_conditional_expression] = STATE(2342),
    [sym_refgen_expression] = STATE(2342),
    [sym_anonymous_array_expression] = STATE(2342),
    [sym_anonymous_hash_expression] = STATE(2342),
    [sym_anonymous_subroutine_expression] = STATE(2342),
    [sym_anonymous_method_expression] = STATE(2342),
    [sym_do_expression] = STATE(2342),
    [sym_eval_expression] = STATE(2342),
    [sym_await_expression] = STATE(2342),
    [sym_variable_declaration] = STATE(2342),
    [sym_localization_expression] = STATE(2342),
    [sym_stub_expression] = STATE(2342),
    [sym_scalar_deref_expression] = STATE(2342),
    [sym_array_deref_expression] = STATE(2342),
    [sym_arraylen_deref_expression] = STATE(2342),
    [sym_hash_deref_expression] = STATE(2342),
    [sym_amper_deref_expression] = STATE(2342),
    [sym_glob_deref_expression] = STATE(2342),
    [sym_require_expression] = STATE(2342),
    [sym_require_version_expression] = STATE(2342),
    [sym_func0op_call_expression] = STATE(2342),
    [sym_func1op_call_expression] = STATE(2342),
    [sym_map_grep_expression] = STATE(2342),
    [sym_sort_expression] = STATE(2342),
    [sym_loopex_expression] = STATE(2342),
    [sym_goto_expression] = STATE(2342),
    [sym_return_expression] = STATE(2342),
    [sym_undef_expression] = STATE(2342),
    [sym__listop] = STATE(2342),
    [sym_function_call_expression] = STATE(2343),
    [sym_ambiguous_function_call_expression] = STATE(2343),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(2343),
    [sym_scalar] = STATE(2342),
    [sym_array] = STATE(2342),
    [sym__SUB_AMPER] = STATE(2739),
    [sym__GLOB_STAR] = STATE(2741),
    [sym_hash] = STATE(2342),
    [sym_arraylen] = STATE(2342),
    [sym_amper_sub] = STATE(2181),
    [sym_glob] = STATE(2183),
    [sym_glob_slot_expression] = STATE(2342),
    [sym__literal] = STATE(2342),
    [sym__apostrophe] = STATE(3277),
    [sym__quotation_mark] = STATE(2481),
    [sym__backtick] = STATE(2482),
    [sym__search_slash] = STATE(2447),
    [sym_string_literal] = STATE(2353),
    [sym_interpolated_string_literal] = STATE(2353),
    [sym_quoted_word_list] = STATE(2193),
    [sym_command_string] = STATE(2353),
    [sym_quoted_regexp] = STATE(2353),
    [sym_match_regexp] = STATE(2353),
    [sym_substitution_regexp] = STATE(2353),
    [sym_transliteration_expression] = STATE(2353),
    [sym_heredoc_token] = STATE(2342),
    [sym_command_heredoc_token] = STATE(2342),
    [sym_heredoc_content] = STATE(173),
    [sym__version] = STATE(272),
    [sym_autoquoted_bareword] = STATE(2342),
    [sym_bareword] = STATE(2342),
    [sym_primitive] = STATE(2342),
    [sym_boolean] = STATE(2323),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3366),
    [sym__identifier] = ACTIONS(1072),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_SEMI] = ACTIONS(1541),
    [anon_sym_DOLLAR] = ACTIONS(1008),
    [anon_sym_AT] = ACTIONS(1010),
    [anon_sym_my] = ACTIONS(1012),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(1014),
    [anon_sym_method] = ACTIONS(1016),
    [anon_sym_LPAREN] = ACTIONS(1018),
    [anon_sym_continue] = ACTIONS(1020),
    [anon_sym_state] = ACTIONS(1012),
    [anon_sym_our] = ACTIONS(1012),
    [anon_sym_LBRACK] = ACTIONS(1022),
    [anon_sym_LT_LT] = ACTIONS(1523),
    [anon_sym_SLASH_SLASH] = ACTIONS(1525),
    [anon_sym_PLUS] = ACTIONS(1024),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_TILDE] = ACTIONS(1024),
    [anon_sym_BANG] = ACTIONS(1024),
    [anon_sym_PLUS_PLUS] = ACTIONS(1529),
    [anon_sym_DASH_DASH] = ACTIONS(1529),
    [anon_sym_BSLASH] = ACTIONS(1026),
    [anon_sym_do] = ACTIONS(1028),
    [anon_sym_eval] = ACTIONS(1030),
    [anon_sym_await] = ACTIONS(1032),
    [anon_sym_field] = ACTIONS(1012),
    [anon_sym_local] = ACTIONS(1034),
    [anon_sym_dynamically] = ACTIONS(1034),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1036),
    [anon_sym_require] = ACTIONS(1038),
    [anon_sym_map] = ACTIONS(1040),
    [anon_sym_grep] = ACTIONS(1040),
    [anon_sym_sort] = ACTIONS(1042),
    [anon_sym_goto] = ACTIONS(1044),
    [anon_sym_return] = ACTIONS(1046),
    [anon_sym_undef] = ACTIONS(1048),
    [anon_sym_PERCENT2] = ACTIONS(1050),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1052),
    [anon_sym_next] = ACTIONS(1052),
    [anon_sym_redo] = ACTIONS(1052),
    [anon_sym___FILE__] = ACTIONS(1020),
    [anon_sym___LINE__] = ACTIONS(1020),
    [anon_sym___PACKAGE__] = ACTIONS(1020),
    [anon_sym___SUB__] = ACTIONS(1020),
    [anon_sym_break] = ACTIONS(1020),
    [anon_sym_fork] = ACTIONS(1020),
    [anon_sym_getppid] = ACTIONS(1020),
    [anon_sym_time] = ACTIONS(1020),
    [anon_sym_times] = ACTIONS(1020),
    [anon_sym_wait] = ACTIONS(1020),
    [anon_sym_wantarray] = ACTIONS(1020),
    [anon_sym_abs] = ACTIONS(1054),
    [anon_sym_alarm] = ACTIONS(1054),
    [anon_sym_chop] = ACTIONS(1054),
    [anon_sym_chdir] = ACTIONS(1054),
    [anon_sym_close] = ACTIONS(1054),
    [anon_sym_closedir] = ACTIONS(1054),
    [anon_sym_caller] = ACTIONS(1054),
    [anon_sym_chomp] = ACTIONS(1054),
    [anon_sym_chr] = ACTIONS(1054),
    [anon_sym_cos] = ACTIONS(1054),
    [anon_sym_chroot] = ACTIONS(1054),
    [anon_sym_defined] = ACTIONS(1054),
    [anon_sym_delete] = ACTIONS(1054),
    [anon_sym_dbmclose] = ACTIONS(1054),
    [anon_sym_exists] = ACTIONS(1054),
    [anon_sym_exit] = ACTIONS(1054),
    [anon_sym_eof] = ACTIONS(1054),
    [anon_sym_exp] = ACTIONS(1054),
    [anon_sym_each] = ACTIONS(1054),
    [anon_sym_fc] = ACTIONS(1054),
    [anon_sym_fileno] = ACTIONS(1054),
    [anon_sym_gmtime] = ACTIONS(1054),
    [anon_sym_getc] = ACTIONS(1054),
    [anon_sym_getpgrp] = ACTIONS(1054),
    [anon_sym_getprotobyname] = ACTIONS(1054),
    [anon_sym_getpwname] = ACTIONS(1054),
    [anon_sym_getpwuid] = ACTIONS(1054),
    [anon_sym_getpeername] = ACTIONS(1054),
    [anon_sym_getnetbyname] = ACTIONS(1054),
    [anon_sym_getsockname] = ACTIONS(1054),
    [anon_sym_getgrnam] = ACTIONS(1054),
    [anon_sym_getgrgid] = ACTIONS(1054),
    [anon_sym_hex] = ACTIONS(1054),
    [anon_sym_int] = ACTIONS(1054),
    [anon_sym_keys] = ACTIONS(1054),
    [anon_sym_lc] = ACTIONS(1054),
    [anon_sym_lcfirst] = ACTIONS(1054),
    [anon_sym_length] = ACTIONS(1054),
    [anon_sym_localtime] = ACTIONS(1054),
    [anon_sym_log] = ACTIONS(1054),
    [anon_sym_lock] = ACTIONS(1054),
    [anon_sym_lstat] = ACTIONS(1054),
    [anon_sym_oct] = ACTIONS(1054),
    [anon_sym_ord] = ACTIONS(1054),
    [anon_sym_prototype] = ACTIONS(1054),
    [anon_sym_pop] = ACTIONS(1054),
    [anon_sym_pos] = ACTIONS(1054),
    [anon_sym_quotemeta] = ACTIONS(1054),
    [anon_sym_reset] = ACTIONS(1054),
    [anon_sym_rand] = ACTIONS(1054),
    [anon_sym_rmdir] = ACTIONS(1054),
    [anon_sym_readdir] = ACTIONS(1054),
    [anon_sym_readline] = ACTIONS(1054),
    [anon_sym_readpipe] = ACTIONS(1054),
    [anon_sym_rewinddir] = ACTIONS(1054),
    [anon_sym_readlink] = ACTIONS(1054),
    [anon_sym_ref] = ACTIONS(1054),
    [anon_sym_scalar] = ACTIONS(1054),
    [anon_sym_shift] = ACTIONS(1054),
    [anon_sym_sin] = ACTIONS(1054),
    [anon_sym_sleep] = ACTIONS(1054),
    [anon_sym_sqrt] = ACTIONS(1054),
    [anon_sym_srand] = ACTIONS(1054),
    [anon_sym_stat] = ACTIONS(1054),
    [anon_sym_study] = ACTIONS(1054),
    [anon_sym_tell] = ACTIONS(1054),
    [anon_sym_telldir] = ACTIONS(1054),
    [anon_sym_tied] = ACTIONS(1054),
    [anon_sym_uc] = ACTIONS(1054),
    [anon_sym_ucfirst] = ACTIONS(1054),
    [anon_sym_untie] = ACTIONS(1054),
    [anon_sym_umask] = ACTIONS(1054),
    [anon_sym_values] = ACTIONS(1054),
    [anon_sym_write] = ACTIONS(1054),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1056),
    [anon_sym_qq] = ACTIONS(1058),
    [anon_sym_qw] = ACTIONS(1060),
    [anon_sym_qx] = ACTIONS(1062),
    [anon_sym_qr] = ACTIONS(1064),
    [anon_sym_m] = ACTIONS(1066),
    [anon_sym_s] = ACTIONS(1068),
    [anon_sym_tr] = ACTIONS(1070),
    [anon_sym_y] = ACTIONS(1070),
    [sym_version] = ACTIONS(1531),
    [aux_sym__bareword_token1] = ACTIONS(1072),
    [sym_number] = ACTIONS(1533),
    [anon_sym_true] = ACTIONS(1076),
    [anon_sym_false] = ACTIONS(1076),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(1078),
    [sym__open_fileglob_bracket] = ACTIONS(1080),
    [sym__PERLY_SEMICOLON] = ACTIONS(1543),
    [sym__PERLY_HEREDOC] = ACTIONS(1082),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1084),
    [sym__filetest] = ACTIONS(1086),
  },
  [174] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3573),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym__hash_key] = STATE(3984),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(174),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym__brace_autoquoted] = STATE(4115),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [175] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3573),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym__hash_key] = STATE(4052),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(175),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym__brace_autoquoted] = STATE(4115),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [176] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3573),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym__hash_key] = STATE(3871),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(176),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym__brace_autoquoted] = STATE(4115),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [177] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3573),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym__hash_key] = STATE(3934),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(177),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym__brace_autoquoted] = STATE(4115),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [178] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3573),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym__hash_key] = STATE(3944),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(178),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym__brace_autoquoted] = STATE(4115),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [179] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3573),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym__hash_key] = STATE(3864),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(179),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym__brace_autoquoted] = STATE(4115),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [180] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3573),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym__hash_key] = STATE(3924),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(180),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym__brace_autoquoted] = STATE(4115),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [181] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3573),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym__hash_key] = STATE(4051),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(181),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym__brace_autoquoted] = STATE(4115),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [182] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3573),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym__hash_key] = STATE(4075),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(182),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym__brace_autoquoted] = STATE(4115),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [183] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3573),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym__hash_key] = STATE(4007),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(183),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym__brace_autoquoted] = STATE(4115),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [184] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3573),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym__hash_key] = STATE(3945),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(184),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym__brace_autoquoted] = STATE(4115),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [185] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3573),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym__hash_key] = STATE(4087),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(185),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym__brace_autoquoted] = STATE(4115),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [186] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3573),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym__hash_key] = STATE(4010),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(186),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym__brace_autoquoted] = STATE(4115),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [187] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3573),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym__hash_key] = STATE(3919),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(187),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym__brace_autoquoted] = STATE(4115),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [188] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3573),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym__hash_key] = STATE(3901),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(188),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym__brace_autoquoted] = STATE(4115),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [189] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3573),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym__hash_key] = STATE(3978),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(189),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym__brace_autoquoted] = STATE(4115),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [190] = {
    [sym__PERLY_BRACE_OPEN] = STATE(238),
    [sym__semicolon] = STATE(1017),
    [sym__listexpr] = STATE(3728),
    [sym__term_rightward] = STATE(3843),
    [sym_list_expression] = STATE(3826),
    [sym__subscripted] = STATE(1915),
    [sym_container_variable] = STATE(3851),
    [sym_array_element_expression] = STATE(1916),
    [sym_hash_element_expression] = STATE(1916),
    [sym_coderef_call_expression] = STATE(1916),
    [sym_anonymous_slice_expression] = STATE(1916),
    [sym_slice_container_variable] = STATE(3852),
    [sym_slice_expression] = STATE(2342),
    [sym_keyval_container_variable] = STATE(3853),
    [sym_keyval_expression] = STATE(2342),
    [sym__term] = STATE(2141),
    [sym_readline_expression] = STATE(2342),
    [sym_fileglob_expression] = STATE(2342),
    [sym_assignment_expression] = STATE(2342),
    [sym_binary_expression] = STATE(2342),
    [sym_equality_expression] = STATE(2342),
    [sym_relational_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2342),
    [sym_preinc_expression] = STATE(2342),
    [sym_postinc_expression] = STATE(2342),
    [sym_conditional_expression] = STATE(2342),
    [sym_refgen_expression] = STATE(2342),
    [sym_anonymous_array_expression] = STATE(2342),
    [sym_anonymous_hash_expression] = STATE(2342),
    [sym_anonymous_subroutine_expression] = STATE(2342),
    [sym_anonymous_method_expression] = STATE(2342),
    [sym_do_expression] = STATE(2342),
    [sym_eval_expression] = STATE(2342),
    [sym_await_expression] = STATE(2342),
    [sym_variable_declaration] = STATE(2342),
    [sym_localization_expression] = STATE(2342),
    [sym_stub_expression] = STATE(2342),
    [sym_scalar_deref_expression] = STATE(2342),
    [sym_array_deref_expression] = STATE(2342),
    [sym_arraylen_deref_expression] = STATE(2342),
    [sym_hash_deref_expression] = STATE(2342),
    [sym_amper_deref_expression] = STATE(2342),
    [sym_glob_deref_expression] = STATE(2342),
    [sym_require_expression] = STATE(2342),
    [sym_require_version_expression] = STATE(2342),
    [sym_func0op_call_expression] = STATE(2342),
    [sym_func1op_call_expression] = STATE(2342),
    [sym_map_grep_expression] = STATE(2342),
    [sym_sort_expression] = STATE(2342),
    [sym_loopex_expression] = STATE(2342),
    [sym_goto_expression] = STATE(2342),
    [sym_return_expression] = STATE(2342),
    [sym_undef_expression] = STATE(2342),
    [sym__listop] = STATE(2342),
    [sym_function_call_expression] = STATE(2343),
    [sym_ambiguous_function_call_expression] = STATE(2343),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(2343),
    [sym_scalar] = STATE(2342),
    [sym_array] = STATE(2342),
    [sym__SUB_AMPER] = STATE(2739),
    [sym__GLOB_STAR] = STATE(2741),
    [sym_hash] = STATE(2342),
    [sym_arraylen] = STATE(2342),
    [sym_amper_sub] = STATE(2181),
    [sym_glob] = STATE(2183),
    [sym_glob_slot_expression] = STATE(2342),
    [sym__literal] = STATE(2342),
    [sym__apostrophe] = STATE(3277),
    [sym__quotation_mark] = STATE(2481),
    [sym__backtick] = STATE(2482),
    [sym__search_slash] = STATE(2447),
    [sym_string_literal] = STATE(2353),
    [sym_interpolated_string_literal] = STATE(2353),
    [sym_quoted_word_list] = STATE(2193),
    [sym_command_string] = STATE(2353),
    [sym_quoted_regexp] = STATE(2353),
    [sym_match_regexp] = STATE(2353),
    [sym_substitution_regexp] = STATE(2353),
    [sym_transliteration_expression] = STATE(2353),
    [sym_heredoc_token] = STATE(2342),
    [sym_command_heredoc_token] = STATE(2342),
    [sym_heredoc_content] = STATE(190),
    [sym__version] = STATE(261),
    [sym_autoquoted_bareword] = STATE(2342),
    [sym_bareword] = STATE(2342),
    [sym_primitive] = STATE(2342),
    [sym_boolean] = STATE(2323),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3366),
    [sym__identifier] = ACTIONS(1072),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_SEMI] = ACTIONS(1545),
    [anon_sym_DOLLAR] = ACTIONS(1008),
    [anon_sym_AT] = ACTIONS(1010),
    [anon_sym_my] = ACTIONS(1012),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(1014),
    [anon_sym_method] = ACTIONS(1016),
    [anon_sym_LPAREN] = ACTIONS(1018),
    [anon_sym_continue] = ACTIONS(1020),
    [anon_sym_state] = ACTIONS(1012),
    [anon_sym_our] = ACTIONS(1012),
    [anon_sym_LBRACK] = ACTIONS(1022),
    [anon_sym_LT_LT] = ACTIONS(1523),
    [anon_sym_SLASH_SLASH] = ACTIONS(1525),
    [anon_sym_PLUS] = ACTIONS(1024),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_TILDE] = ACTIONS(1024),
    [anon_sym_BANG] = ACTIONS(1024),
    [anon_sym_PLUS_PLUS] = ACTIONS(1529),
    [anon_sym_DASH_DASH] = ACTIONS(1529),
    [anon_sym_BSLASH] = ACTIONS(1026),
    [anon_sym_do] = ACTIONS(1028),
    [anon_sym_eval] = ACTIONS(1030),
    [anon_sym_await] = ACTIONS(1032),
    [anon_sym_field] = ACTIONS(1012),
    [anon_sym_local] = ACTIONS(1034),
    [anon_sym_dynamically] = ACTIONS(1034),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1036),
    [anon_sym_require] = ACTIONS(1038),
    [anon_sym_map] = ACTIONS(1040),
    [anon_sym_grep] = ACTIONS(1040),
    [anon_sym_sort] = ACTIONS(1042),
    [anon_sym_goto] = ACTIONS(1044),
    [anon_sym_return] = ACTIONS(1046),
    [anon_sym_undef] = ACTIONS(1048),
    [anon_sym_PERCENT2] = ACTIONS(1050),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1052),
    [anon_sym_next] = ACTIONS(1052),
    [anon_sym_redo] = ACTIONS(1052),
    [anon_sym___FILE__] = ACTIONS(1020),
    [anon_sym___LINE__] = ACTIONS(1020),
    [anon_sym___PACKAGE__] = ACTIONS(1020),
    [anon_sym___SUB__] = ACTIONS(1020),
    [anon_sym_break] = ACTIONS(1020),
    [anon_sym_fork] = ACTIONS(1020),
    [anon_sym_getppid] = ACTIONS(1020),
    [anon_sym_time] = ACTIONS(1020),
    [anon_sym_times] = ACTIONS(1020),
    [anon_sym_wait] = ACTIONS(1020),
    [anon_sym_wantarray] = ACTIONS(1020),
    [anon_sym_abs] = ACTIONS(1054),
    [anon_sym_alarm] = ACTIONS(1054),
    [anon_sym_chop] = ACTIONS(1054),
    [anon_sym_chdir] = ACTIONS(1054),
    [anon_sym_close] = ACTIONS(1054),
    [anon_sym_closedir] = ACTIONS(1054),
    [anon_sym_caller] = ACTIONS(1054),
    [anon_sym_chomp] = ACTIONS(1054),
    [anon_sym_chr] = ACTIONS(1054),
    [anon_sym_cos] = ACTIONS(1054),
    [anon_sym_chroot] = ACTIONS(1054),
    [anon_sym_defined] = ACTIONS(1054),
    [anon_sym_delete] = ACTIONS(1054),
    [anon_sym_dbmclose] = ACTIONS(1054),
    [anon_sym_exists] = ACTIONS(1054),
    [anon_sym_exit] = ACTIONS(1054),
    [anon_sym_eof] = ACTIONS(1054),
    [anon_sym_exp] = ACTIONS(1054),
    [anon_sym_each] = ACTIONS(1054),
    [anon_sym_fc] = ACTIONS(1054),
    [anon_sym_fileno] = ACTIONS(1054),
    [anon_sym_gmtime] = ACTIONS(1054),
    [anon_sym_getc] = ACTIONS(1054),
    [anon_sym_getpgrp] = ACTIONS(1054),
    [anon_sym_getprotobyname] = ACTIONS(1054),
    [anon_sym_getpwname] = ACTIONS(1054),
    [anon_sym_getpwuid] = ACTIONS(1054),
    [anon_sym_getpeername] = ACTIONS(1054),
    [anon_sym_getnetbyname] = ACTIONS(1054),
    [anon_sym_getsockname] = ACTIONS(1054),
    [anon_sym_getgrnam] = ACTIONS(1054),
    [anon_sym_getgrgid] = ACTIONS(1054),
    [anon_sym_hex] = ACTIONS(1054),
    [anon_sym_int] = ACTIONS(1054),
    [anon_sym_keys] = ACTIONS(1054),
    [anon_sym_lc] = ACTIONS(1054),
    [anon_sym_lcfirst] = ACTIONS(1054),
    [anon_sym_length] = ACTIONS(1054),
    [anon_sym_localtime] = ACTIONS(1054),
    [anon_sym_log] = ACTIONS(1054),
    [anon_sym_lock] = ACTIONS(1054),
    [anon_sym_lstat] = ACTIONS(1054),
    [anon_sym_oct] = ACTIONS(1054),
    [anon_sym_ord] = ACTIONS(1054),
    [anon_sym_prototype] = ACTIONS(1054),
    [anon_sym_pop] = ACTIONS(1054),
    [anon_sym_pos] = ACTIONS(1054),
    [anon_sym_quotemeta] = ACTIONS(1054),
    [anon_sym_reset] = ACTIONS(1054),
    [anon_sym_rand] = ACTIONS(1054),
    [anon_sym_rmdir] = ACTIONS(1054),
    [anon_sym_readdir] = ACTIONS(1054),
    [anon_sym_readline] = ACTIONS(1054),
    [anon_sym_readpipe] = ACTIONS(1054),
    [anon_sym_rewinddir] = ACTIONS(1054),
    [anon_sym_readlink] = ACTIONS(1054),
    [anon_sym_ref] = ACTIONS(1054),
    [anon_sym_scalar] = ACTIONS(1054),
    [anon_sym_shift] = ACTIONS(1054),
    [anon_sym_sin] = ACTIONS(1054),
    [anon_sym_sleep] = ACTIONS(1054),
    [anon_sym_sqrt] = ACTIONS(1054),
    [anon_sym_srand] = ACTIONS(1054),
    [anon_sym_stat] = ACTIONS(1054),
    [anon_sym_study] = ACTIONS(1054),
    [anon_sym_tell] = ACTIONS(1054),
    [anon_sym_telldir] = ACTIONS(1054),
    [anon_sym_tied] = ACTIONS(1054),
    [anon_sym_uc] = ACTIONS(1054),
    [anon_sym_ucfirst] = ACTIONS(1054),
    [anon_sym_untie] = ACTIONS(1054),
    [anon_sym_umask] = ACTIONS(1054),
    [anon_sym_values] = ACTIONS(1054),
    [anon_sym_write] = ACTIONS(1054),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1056),
    [anon_sym_qq] = ACTIONS(1058),
    [anon_sym_qw] = ACTIONS(1060),
    [anon_sym_qx] = ACTIONS(1062),
    [anon_sym_qr] = ACTIONS(1064),
    [anon_sym_m] = ACTIONS(1066),
    [anon_sym_s] = ACTIONS(1068),
    [anon_sym_tr] = ACTIONS(1070),
    [anon_sym_y] = ACTIONS(1070),
    [sym_version] = ACTIONS(1531),
    [aux_sym__bareword_token1] = ACTIONS(1072),
    [sym_number] = ACTIONS(1533),
    [anon_sym_true] = ACTIONS(1076),
    [anon_sym_false] = ACTIONS(1076),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(1078),
    [sym__open_fileglob_bracket] = ACTIONS(1080),
    [sym__PERLY_SEMICOLON] = ACTIONS(1547),
    [sym__PERLY_HEREDOC] = ACTIONS(1082),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1084),
    [sym__filetest] = ACTIONS(1086),
  },
  [191] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3573),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym__hash_key] = STATE(3914),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(191),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym__brace_autoquoted] = STATE(4115),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [192] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3573),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym__hash_key] = STATE(3892),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(192),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym__brace_autoquoted] = STATE(4115),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [193] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3573),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym__hash_key] = STATE(3904),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(193),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym__brace_autoquoted] = STATE(4115),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [194] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3573),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym__hash_key] = STATE(3927),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(194),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym__brace_autoquoted] = STATE(4115),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [195] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3573),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym__hash_key] = STATE(3959),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(195),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym__brace_autoquoted] = STATE(4115),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [196] = {
    [sym__PERLY_BRACE_OPEN] = STATE(72),
    [sym_block] = STATE(1190),
    [sym__expr] = STATE(3447),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_indirect_object] = STATE(346),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(801),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(196),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(1515),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1549),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [197] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3573),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym__hash_key] = STATE(4030),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(197),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym__brace_autoquoted] = STATE(4115),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [198] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3573),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym__hash_key] = STATE(4048),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(198),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym__brace_autoquoted] = STATE(4115),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [199] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3573),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym__hash_key] = STATE(4009),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(199),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym__brace_autoquoted] = STATE(4115),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [200] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3573),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym__hash_key] = STATE(3903),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(200),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym__brace_autoquoted] = STATE(4115),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [201] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3573),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym__hash_key] = STATE(4021),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(201),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym__brace_autoquoted] = STATE(4115),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [202] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3573),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym__hash_key] = STATE(3863),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(202),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym__brace_autoquoted] = STATE(4115),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [203] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3573),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym__hash_key] = STATE(3894),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(203),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym__brace_autoquoted] = STATE(4115),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [204] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3573),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym__hash_key] = STATE(4083),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(204),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym__brace_autoquoted] = STATE(4115),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [205] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3573),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym__hash_key] = STATE(3925),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(205),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym__brace_autoquoted] = STATE(4115),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [206] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3573),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym__hash_key] = STATE(3937),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(206),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym__brace_autoquoted] = STATE(4115),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [207] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3573),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym__hash_key] = STATE(3946),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(207),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym__brace_autoquoted] = STATE(4115),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [208] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3573),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym__hash_key] = STATE(3948),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(208),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym__brace_autoquoted] = STATE(4115),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [209] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3573),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym__hash_key] = STATE(3969),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(209),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym__brace_autoquoted] = STATE(4115),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [210] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3573),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym__hash_key] = STATE(3859),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(210),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym__brace_autoquoted] = STATE(4115),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [211] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3573),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym__hash_key] = STATE(4000),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(211),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym__brace_autoquoted] = STATE(4115),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [212] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3573),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym__hash_key] = STATE(4003),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(212),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym__brace_autoquoted] = STATE(4115),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [213] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3573),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym__hash_key] = STATE(4033),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(213),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym__brace_autoquoted] = STATE(4115),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [214] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3573),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym__hash_key] = STATE(4055),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(214),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym__brace_autoquoted] = STATE(4115),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [215] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3573),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym__hash_key] = STATE(4077),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(215),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym__brace_autoquoted] = STATE(4115),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [216] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3573),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym__hash_key] = STATE(4079),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(216),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym__brace_autoquoted] = STATE(4115),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [217] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3573),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym__hash_key] = STATE(4082),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(217),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym__brace_autoquoted] = STATE(4115),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [218] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3573),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym__hash_key] = STATE(4128),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(218),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym__brace_autoquoted] = STATE(4115),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [219] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3573),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym__hash_key] = STATE(3900),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(219),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym__brace_autoquoted] = STATE(4115),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [220] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3573),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym__hash_key] = STATE(3971),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(220),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym__brace_autoquoted] = STATE(4115),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [221] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3573),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym__hash_key] = STATE(3869),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(221),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym__brace_autoquoted] = STATE(4115),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [222] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3573),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym__hash_key] = STATE(3921),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(222),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym__brace_autoquoted] = STATE(4115),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [223] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3573),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym__hash_key] = STATE(4103),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(223),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym__brace_autoquoted] = STATE(4115),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [224] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3573),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym__hash_key] = STATE(4069),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(224),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym__brace_autoquoted] = STATE(4115),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [225] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3573),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym__hash_key] = STATE(4113),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(225),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym__brace_autoquoted] = STATE(4115),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [226] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3573),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym__hash_key] = STATE(3867),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(226),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym__brace_autoquoted] = STATE(4115),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [227] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3573),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym__hash_key] = STATE(4102),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(227),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym__brace_autoquoted] = STATE(4115),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [228] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3573),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym__hash_key] = STATE(4025),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(228),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym__brace_autoquoted] = STATE(4115),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [229] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3573),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym__hash_key] = STATE(4027),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(229),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym__brace_autoquoted] = STATE(4115),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [230] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3385),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(230),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1551),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__NONASSOC] = ACTIONS(1553),
  },
  [231] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3385),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(231),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1551),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__NONASSOC] = ACTIONS(1555),
  },
  [232] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3509),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(232),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1557),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__NONASSOC] = ACTIONS(1559),
  },
  [233] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3572),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(233),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1561),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__NONASSOC] = ACTIONS(1563),
  },
  [234] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3564),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym__tricky_list] = STATE(3920),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1996),
    [sym_interpolated_string_literal] = STATE(1996),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1996),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(234),
    [sym_autoquoted_bareword] = STATE(1999),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_RBRACE] = ACTIONS(1565),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(1567),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [235] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3399),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym__tricky_list] = STATE(4131),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1996),
    [sym_interpolated_string_literal] = STATE(1996),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1996),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(235),
    [sym_autoquoted_bareword] = STATE(1999),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_RBRACE] = ACTIONS(1569),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(1567),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [236] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3456),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(236),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1571),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__NONASSOC] = ACTIONS(1573),
  },
  [237] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3544),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym__tricky_list] = STATE(3943),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1996),
    [sym_interpolated_string_literal] = STATE(1996),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1996),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(237),
    [sym_autoquoted_bareword] = STATE(1999),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_RBRACE] = ACTIONS(1575),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(1567),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [238] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3520),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym__tricky_list] = STATE(3866),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1996),
    [sym_interpolated_string_literal] = STATE(1996),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1996),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(238),
    [sym_autoquoted_bareword] = STATE(1999),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_RBRACE] = ACTIONS(1577),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(1567),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [239] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3397),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym__tricky_list] = STATE(3975),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1996),
    [sym_interpolated_string_literal] = STATE(1996),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1996),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(239),
    [sym_autoquoted_bareword] = STATE(1999),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_RBRACE] = ACTIONS(1579),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(1567),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [240] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3390),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(240),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1581),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__NONASSOC] = ACTIONS(1583),
  },
  [241] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3385),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(241),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1551),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__NONASSOC] = ACTIONS(1585),
  },
  [242] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3385),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(242),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1551),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__NONASSOC] = ACTIONS(1587),
  },
  [243] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3385),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(243),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1551),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__NONASSOC] = ACTIONS(1589),
  },
  [244] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3385),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(244),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1551),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__NONASSOC] = ACTIONS(1591),
  },
  [245] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3386),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(245),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_RBRACK] = ACTIONS(1593),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [246] = {
    [sym__PERLY_BRACE_OPEN] = STATE(238),
    [sym__semicolon] = STATE(949),
    [sym__listexpr] = STATE(3643),
    [sym__term_rightward] = STATE(3843),
    [sym_list_expression] = STATE(3826),
    [sym__subscripted] = STATE(1915),
    [sym_container_variable] = STATE(3851),
    [sym_array_element_expression] = STATE(1916),
    [sym_hash_element_expression] = STATE(1916),
    [sym_coderef_call_expression] = STATE(1916),
    [sym_anonymous_slice_expression] = STATE(1916),
    [sym_slice_container_variable] = STATE(3852),
    [sym_slice_expression] = STATE(2342),
    [sym_keyval_container_variable] = STATE(3853),
    [sym_keyval_expression] = STATE(2342),
    [sym__term] = STATE(2141),
    [sym_readline_expression] = STATE(2342),
    [sym_fileglob_expression] = STATE(2342),
    [sym_assignment_expression] = STATE(2342),
    [sym_binary_expression] = STATE(2342),
    [sym_equality_expression] = STATE(2342),
    [sym_relational_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2342),
    [sym_preinc_expression] = STATE(2342),
    [sym_postinc_expression] = STATE(2342),
    [sym_conditional_expression] = STATE(2342),
    [sym_refgen_expression] = STATE(2342),
    [sym_anonymous_array_expression] = STATE(2342),
    [sym_anonymous_hash_expression] = STATE(2342),
    [sym_anonymous_subroutine_expression] = STATE(2342),
    [sym_anonymous_method_expression] = STATE(2342),
    [sym_do_expression] = STATE(2342),
    [sym_eval_expression] = STATE(2342),
    [sym_await_expression] = STATE(2342),
    [sym_variable_declaration] = STATE(2342),
    [sym_localization_expression] = STATE(2342),
    [sym_stub_expression] = STATE(2342),
    [sym_scalar_deref_expression] = STATE(2342),
    [sym_array_deref_expression] = STATE(2342),
    [sym_arraylen_deref_expression] = STATE(2342),
    [sym_hash_deref_expression] = STATE(2342),
    [sym_amper_deref_expression] = STATE(2342),
    [sym_glob_deref_expression] = STATE(2342),
    [sym_require_expression] = STATE(2342),
    [sym_require_version_expression] = STATE(2342),
    [sym_func0op_call_expression] = STATE(2342),
    [sym_func1op_call_expression] = STATE(2342),
    [sym_map_grep_expression] = STATE(2342),
    [sym_sort_expression] = STATE(2342),
    [sym_loopex_expression] = STATE(2342),
    [sym_goto_expression] = STATE(2342),
    [sym_return_expression] = STATE(2342),
    [sym_undef_expression] = STATE(2342),
    [sym__listop] = STATE(2342),
    [sym_function_call_expression] = STATE(2343),
    [sym_ambiguous_function_call_expression] = STATE(2343),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(2343),
    [sym_scalar] = STATE(2342),
    [sym_array] = STATE(2342),
    [sym__SUB_AMPER] = STATE(2739),
    [sym__GLOB_STAR] = STATE(2741),
    [sym_hash] = STATE(2342),
    [sym_arraylen] = STATE(2342),
    [sym_amper_sub] = STATE(2181),
    [sym_glob] = STATE(2183),
    [sym_glob_slot_expression] = STATE(2342),
    [sym__literal] = STATE(2342),
    [sym__apostrophe] = STATE(3277),
    [sym__quotation_mark] = STATE(2481),
    [sym__backtick] = STATE(2482),
    [sym__search_slash] = STATE(2447),
    [sym_string_literal] = STATE(2353),
    [sym_interpolated_string_literal] = STATE(2353),
    [sym_quoted_word_list] = STATE(2193),
    [sym_command_string] = STATE(2353),
    [sym_quoted_regexp] = STATE(2353),
    [sym_match_regexp] = STATE(2353),
    [sym_substitution_regexp] = STATE(2353),
    [sym_transliteration_expression] = STATE(2353),
    [sym_heredoc_token] = STATE(2342),
    [sym_command_heredoc_token] = STATE(2342),
    [sym_heredoc_content] = STATE(246),
    [sym_autoquoted_bareword] = STATE(2342),
    [sym_bareword] = STATE(2342),
    [sym_primitive] = STATE(2342),
    [sym_boolean] = STATE(2323),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3366),
    [sym__identifier] = ACTIONS(1072),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_SEMI] = ACTIONS(1521),
    [anon_sym_DOLLAR] = ACTIONS(1008),
    [anon_sym_AT] = ACTIONS(1010),
    [anon_sym_my] = ACTIONS(1012),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(1014),
    [anon_sym_method] = ACTIONS(1016),
    [anon_sym_LPAREN] = ACTIONS(1018),
    [anon_sym_continue] = ACTIONS(1020),
    [anon_sym_state] = ACTIONS(1012),
    [anon_sym_our] = ACTIONS(1012),
    [anon_sym_LBRACK] = ACTIONS(1022),
    [anon_sym_LT_LT] = ACTIONS(1523),
    [anon_sym_SLASH_SLASH] = ACTIONS(1525),
    [anon_sym_PLUS] = ACTIONS(1024),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_TILDE] = ACTIONS(1024),
    [anon_sym_BANG] = ACTIONS(1024),
    [anon_sym_PLUS_PLUS] = ACTIONS(1529),
    [anon_sym_DASH_DASH] = ACTIONS(1529),
    [anon_sym_BSLASH] = ACTIONS(1026),
    [anon_sym_do] = ACTIONS(1028),
    [anon_sym_eval] = ACTIONS(1030),
    [anon_sym_await] = ACTIONS(1032),
    [anon_sym_field] = ACTIONS(1012),
    [anon_sym_local] = ACTIONS(1034),
    [anon_sym_dynamically] = ACTIONS(1034),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1036),
    [anon_sym_require] = ACTIONS(1038),
    [anon_sym_map] = ACTIONS(1040),
    [anon_sym_grep] = ACTIONS(1040),
    [anon_sym_sort] = ACTIONS(1042),
    [anon_sym_goto] = ACTIONS(1044),
    [anon_sym_return] = ACTIONS(1046),
    [anon_sym_undef] = ACTIONS(1048),
    [anon_sym_PERCENT2] = ACTIONS(1050),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1052),
    [anon_sym_next] = ACTIONS(1052),
    [anon_sym_redo] = ACTIONS(1052),
    [anon_sym___FILE__] = ACTIONS(1020),
    [anon_sym___LINE__] = ACTIONS(1020),
    [anon_sym___PACKAGE__] = ACTIONS(1020),
    [anon_sym___SUB__] = ACTIONS(1020),
    [anon_sym_break] = ACTIONS(1020),
    [anon_sym_fork] = ACTIONS(1020),
    [anon_sym_getppid] = ACTIONS(1020),
    [anon_sym_time] = ACTIONS(1020),
    [anon_sym_times] = ACTIONS(1020),
    [anon_sym_wait] = ACTIONS(1020),
    [anon_sym_wantarray] = ACTIONS(1020),
    [anon_sym_abs] = ACTIONS(1054),
    [anon_sym_alarm] = ACTIONS(1054),
    [anon_sym_chop] = ACTIONS(1054),
    [anon_sym_chdir] = ACTIONS(1054),
    [anon_sym_close] = ACTIONS(1054),
    [anon_sym_closedir] = ACTIONS(1054),
    [anon_sym_caller] = ACTIONS(1054),
    [anon_sym_chomp] = ACTIONS(1054),
    [anon_sym_chr] = ACTIONS(1054),
    [anon_sym_cos] = ACTIONS(1054),
    [anon_sym_chroot] = ACTIONS(1054),
    [anon_sym_defined] = ACTIONS(1054),
    [anon_sym_delete] = ACTIONS(1054),
    [anon_sym_dbmclose] = ACTIONS(1054),
    [anon_sym_exists] = ACTIONS(1054),
    [anon_sym_exit] = ACTIONS(1054),
    [anon_sym_eof] = ACTIONS(1054),
    [anon_sym_exp] = ACTIONS(1054),
    [anon_sym_each] = ACTIONS(1054),
    [anon_sym_fc] = ACTIONS(1054),
    [anon_sym_fileno] = ACTIONS(1054),
    [anon_sym_gmtime] = ACTIONS(1054),
    [anon_sym_getc] = ACTIONS(1054),
    [anon_sym_getpgrp] = ACTIONS(1054),
    [anon_sym_getprotobyname] = ACTIONS(1054),
    [anon_sym_getpwname] = ACTIONS(1054),
    [anon_sym_getpwuid] = ACTIONS(1054),
    [anon_sym_getpeername] = ACTIONS(1054),
    [anon_sym_getnetbyname] = ACTIONS(1054),
    [anon_sym_getsockname] = ACTIONS(1054),
    [anon_sym_getgrnam] = ACTIONS(1054),
    [anon_sym_getgrgid] = ACTIONS(1054),
    [anon_sym_hex] = ACTIONS(1054),
    [anon_sym_int] = ACTIONS(1054),
    [anon_sym_keys] = ACTIONS(1054),
    [anon_sym_lc] = ACTIONS(1054),
    [anon_sym_lcfirst] = ACTIONS(1054),
    [anon_sym_length] = ACTIONS(1054),
    [anon_sym_localtime] = ACTIONS(1054),
    [anon_sym_log] = ACTIONS(1054),
    [anon_sym_lock] = ACTIONS(1054),
    [anon_sym_lstat] = ACTIONS(1054),
    [anon_sym_oct] = ACTIONS(1054),
    [anon_sym_ord] = ACTIONS(1054),
    [anon_sym_prototype] = ACTIONS(1054),
    [anon_sym_pop] = ACTIONS(1054),
    [anon_sym_pos] = ACTIONS(1054),
    [anon_sym_quotemeta] = ACTIONS(1054),
    [anon_sym_reset] = ACTIONS(1054),
    [anon_sym_rand] = ACTIONS(1054),
    [anon_sym_rmdir] = ACTIONS(1054),
    [anon_sym_readdir] = ACTIONS(1054),
    [anon_sym_readline] = ACTIONS(1054),
    [anon_sym_readpipe] = ACTIONS(1054),
    [anon_sym_rewinddir] = ACTIONS(1054),
    [anon_sym_readlink] = ACTIONS(1054),
    [anon_sym_ref] = ACTIONS(1054),
    [anon_sym_scalar] = ACTIONS(1054),
    [anon_sym_shift] = ACTIONS(1054),
    [anon_sym_sin] = ACTIONS(1054),
    [anon_sym_sleep] = ACTIONS(1054),
    [anon_sym_sqrt] = ACTIONS(1054),
    [anon_sym_srand] = ACTIONS(1054),
    [anon_sym_stat] = ACTIONS(1054),
    [anon_sym_study] = ACTIONS(1054),
    [anon_sym_tell] = ACTIONS(1054),
    [anon_sym_telldir] = ACTIONS(1054),
    [anon_sym_tied] = ACTIONS(1054),
    [anon_sym_uc] = ACTIONS(1054),
    [anon_sym_ucfirst] = ACTIONS(1054),
    [anon_sym_untie] = ACTIONS(1054),
    [anon_sym_umask] = ACTIONS(1054),
    [anon_sym_values] = ACTIONS(1054),
    [anon_sym_write] = ACTIONS(1054),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1056),
    [anon_sym_qq] = ACTIONS(1058),
    [anon_sym_qw] = ACTIONS(1060),
    [anon_sym_qx] = ACTIONS(1062),
    [anon_sym_qr] = ACTIONS(1064),
    [anon_sym_m] = ACTIONS(1066),
    [anon_sym_s] = ACTIONS(1068),
    [anon_sym_tr] = ACTIONS(1070),
    [anon_sym_y] = ACTIONS(1070),
    [aux_sym__bareword_token1] = ACTIONS(1072),
    [sym_number] = ACTIONS(1074),
    [anon_sym_true] = ACTIONS(1076),
    [anon_sym_false] = ACTIONS(1076),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(1078),
    [sym__open_fileglob_bracket] = ACTIONS(1080),
    [sym__PERLY_SEMICOLON] = ACTIONS(1535),
    [sym__PERLY_HEREDOC] = ACTIONS(1082),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1084),
    [sym__filetest] = ACTIONS(1086),
  },
  [247] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3491),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(247),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1595),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [248] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3417),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(248),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1597),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [249] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3398),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(249),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1599),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [250] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3522),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(250),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1601),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [251] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3413),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(251),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1603),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [252] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3456),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(252),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1571),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [253] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3423),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(253),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1605),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [254] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3472),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(254),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_RBRACK] = ACTIONS(1607),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [255] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3424),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(255),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1609),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [256] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3479),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(256),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1611),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [257] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3385),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(257),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1551),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [258] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3448),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(258),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1613),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [259] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3534),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(259),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1615),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [260] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3396),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(260),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1617),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [261] = {
    [sym__PERLY_BRACE_OPEN] = STATE(238),
    [sym__semicolon] = STATE(1069),
    [sym__listexpr] = STATE(3634),
    [sym__term_rightward] = STATE(3843),
    [sym_list_expression] = STATE(3826),
    [sym__subscripted] = STATE(1915),
    [sym_container_variable] = STATE(3851),
    [sym_array_element_expression] = STATE(1916),
    [sym_hash_element_expression] = STATE(1916),
    [sym_coderef_call_expression] = STATE(1916),
    [sym_anonymous_slice_expression] = STATE(1916),
    [sym_slice_container_variable] = STATE(3852),
    [sym_slice_expression] = STATE(2342),
    [sym_keyval_container_variable] = STATE(3853),
    [sym_keyval_expression] = STATE(2342),
    [sym__term] = STATE(2141),
    [sym_readline_expression] = STATE(2342),
    [sym_fileglob_expression] = STATE(2342),
    [sym_assignment_expression] = STATE(2342),
    [sym_binary_expression] = STATE(2342),
    [sym_equality_expression] = STATE(2342),
    [sym_relational_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2342),
    [sym_preinc_expression] = STATE(2342),
    [sym_postinc_expression] = STATE(2342),
    [sym_conditional_expression] = STATE(2342),
    [sym_refgen_expression] = STATE(2342),
    [sym_anonymous_array_expression] = STATE(2342),
    [sym_anonymous_hash_expression] = STATE(2342),
    [sym_anonymous_subroutine_expression] = STATE(2342),
    [sym_anonymous_method_expression] = STATE(2342),
    [sym_do_expression] = STATE(2342),
    [sym_eval_expression] = STATE(2342),
    [sym_await_expression] = STATE(2342),
    [sym_variable_declaration] = STATE(2342),
    [sym_localization_expression] = STATE(2342),
    [sym_stub_expression] = STATE(2342),
    [sym_scalar_deref_expression] = STATE(2342),
    [sym_array_deref_expression] = STATE(2342),
    [sym_arraylen_deref_expression] = STATE(2342),
    [sym_hash_deref_expression] = STATE(2342),
    [sym_amper_deref_expression] = STATE(2342),
    [sym_glob_deref_expression] = STATE(2342),
    [sym_require_expression] = STATE(2342),
    [sym_require_version_expression] = STATE(2342),
    [sym_func0op_call_expression] = STATE(2342),
    [sym_func1op_call_expression] = STATE(2342),
    [sym_map_grep_expression] = STATE(2342),
    [sym_sort_expression] = STATE(2342),
    [sym_loopex_expression] = STATE(2342),
    [sym_goto_expression] = STATE(2342),
    [sym_return_expression] = STATE(2342),
    [sym_undef_expression] = STATE(2342),
    [sym__listop] = STATE(2342),
    [sym_function_call_expression] = STATE(2343),
    [sym_ambiguous_function_call_expression] = STATE(2343),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(2343),
    [sym_scalar] = STATE(2342),
    [sym_array] = STATE(2342),
    [sym__SUB_AMPER] = STATE(2739),
    [sym__GLOB_STAR] = STATE(2741),
    [sym_hash] = STATE(2342),
    [sym_arraylen] = STATE(2342),
    [sym_amper_sub] = STATE(2181),
    [sym_glob] = STATE(2183),
    [sym_glob_slot_expression] = STATE(2342),
    [sym__literal] = STATE(2342),
    [sym__apostrophe] = STATE(3277),
    [sym__quotation_mark] = STATE(2481),
    [sym__backtick] = STATE(2482),
    [sym__search_slash] = STATE(2447),
    [sym_string_literal] = STATE(2353),
    [sym_interpolated_string_literal] = STATE(2353),
    [sym_quoted_word_list] = STATE(2193),
    [sym_command_string] = STATE(2353),
    [sym_quoted_regexp] = STATE(2353),
    [sym_match_regexp] = STATE(2353),
    [sym_substitution_regexp] = STATE(2353),
    [sym_transliteration_expression] = STATE(2353),
    [sym_heredoc_token] = STATE(2342),
    [sym_command_heredoc_token] = STATE(2342),
    [sym_heredoc_content] = STATE(261),
    [sym_autoquoted_bareword] = STATE(2342),
    [sym_bareword] = STATE(2342),
    [sym_primitive] = STATE(2342),
    [sym_boolean] = STATE(2323),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3366),
    [sym__identifier] = ACTIONS(1072),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_SEMI] = ACTIONS(1545),
    [anon_sym_DOLLAR] = ACTIONS(1008),
    [anon_sym_AT] = ACTIONS(1010),
    [anon_sym_my] = ACTIONS(1012),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(1014),
    [anon_sym_method] = ACTIONS(1016),
    [anon_sym_LPAREN] = ACTIONS(1018),
    [anon_sym_continue] = ACTIONS(1020),
    [anon_sym_state] = ACTIONS(1012),
    [anon_sym_our] = ACTIONS(1012),
    [anon_sym_LBRACK] = ACTIONS(1022),
    [anon_sym_LT_LT] = ACTIONS(1523),
    [anon_sym_SLASH_SLASH] = ACTIONS(1525),
    [anon_sym_PLUS] = ACTIONS(1024),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_TILDE] = ACTIONS(1024),
    [anon_sym_BANG] = ACTIONS(1024),
    [anon_sym_PLUS_PLUS] = ACTIONS(1529),
    [anon_sym_DASH_DASH] = ACTIONS(1529),
    [anon_sym_BSLASH] = ACTIONS(1026),
    [anon_sym_do] = ACTIONS(1028),
    [anon_sym_eval] = ACTIONS(1030),
    [anon_sym_await] = ACTIONS(1032),
    [anon_sym_field] = ACTIONS(1012),
    [anon_sym_local] = ACTIONS(1034),
    [anon_sym_dynamically] = ACTIONS(1034),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1036),
    [anon_sym_require] = ACTIONS(1038),
    [anon_sym_map] = ACTIONS(1040),
    [anon_sym_grep] = ACTIONS(1040),
    [anon_sym_sort] = ACTIONS(1042),
    [anon_sym_goto] = ACTIONS(1044),
    [anon_sym_return] = ACTIONS(1046),
    [anon_sym_undef] = ACTIONS(1048),
    [anon_sym_PERCENT2] = ACTIONS(1050),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1052),
    [anon_sym_next] = ACTIONS(1052),
    [anon_sym_redo] = ACTIONS(1052),
    [anon_sym___FILE__] = ACTIONS(1020),
    [anon_sym___LINE__] = ACTIONS(1020),
    [anon_sym___PACKAGE__] = ACTIONS(1020),
    [anon_sym___SUB__] = ACTIONS(1020),
    [anon_sym_break] = ACTIONS(1020),
    [anon_sym_fork] = ACTIONS(1020),
    [anon_sym_getppid] = ACTIONS(1020),
    [anon_sym_time] = ACTIONS(1020),
    [anon_sym_times] = ACTIONS(1020),
    [anon_sym_wait] = ACTIONS(1020),
    [anon_sym_wantarray] = ACTIONS(1020),
    [anon_sym_abs] = ACTIONS(1054),
    [anon_sym_alarm] = ACTIONS(1054),
    [anon_sym_chop] = ACTIONS(1054),
    [anon_sym_chdir] = ACTIONS(1054),
    [anon_sym_close] = ACTIONS(1054),
    [anon_sym_closedir] = ACTIONS(1054),
    [anon_sym_caller] = ACTIONS(1054),
    [anon_sym_chomp] = ACTIONS(1054),
    [anon_sym_chr] = ACTIONS(1054),
    [anon_sym_cos] = ACTIONS(1054),
    [anon_sym_chroot] = ACTIONS(1054),
    [anon_sym_defined] = ACTIONS(1054),
    [anon_sym_delete] = ACTIONS(1054),
    [anon_sym_dbmclose] = ACTIONS(1054),
    [anon_sym_exists] = ACTIONS(1054),
    [anon_sym_exit] = ACTIONS(1054),
    [anon_sym_eof] = ACTIONS(1054),
    [anon_sym_exp] = ACTIONS(1054),
    [anon_sym_each] = ACTIONS(1054),
    [anon_sym_fc] = ACTIONS(1054),
    [anon_sym_fileno] = ACTIONS(1054),
    [anon_sym_gmtime] = ACTIONS(1054),
    [anon_sym_getc] = ACTIONS(1054),
    [anon_sym_getpgrp] = ACTIONS(1054),
    [anon_sym_getprotobyname] = ACTIONS(1054),
    [anon_sym_getpwname] = ACTIONS(1054),
    [anon_sym_getpwuid] = ACTIONS(1054),
    [anon_sym_getpeername] = ACTIONS(1054),
    [anon_sym_getnetbyname] = ACTIONS(1054),
    [anon_sym_getsockname] = ACTIONS(1054),
    [anon_sym_getgrnam] = ACTIONS(1054),
    [anon_sym_getgrgid] = ACTIONS(1054),
    [anon_sym_hex] = ACTIONS(1054),
    [anon_sym_int] = ACTIONS(1054),
    [anon_sym_keys] = ACTIONS(1054),
    [anon_sym_lc] = ACTIONS(1054),
    [anon_sym_lcfirst] = ACTIONS(1054),
    [anon_sym_length] = ACTIONS(1054),
    [anon_sym_localtime] = ACTIONS(1054),
    [anon_sym_log] = ACTIONS(1054),
    [anon_sym_lock] = ACTIONS(1054),
    [anon_sym_lstat] = ACTIONS(1054),
    [anon_sym_oct] = ACTIONS(1054),
    [anon_sym_ord] = ACTIONS(1054),
    [anon_sym_prototype] = ACTIONS(1054),
    [anon_sym_pop] = ACTIONS(1054),
    [anon_sym_pos] = ACTIONS(1054),
    [anon_sym_quotemeta] = ACTIONS(1054),
    [anon_sym_reset] = ACTIONS(1054),
    [anon_sym_rand] = ACTIONS(1054),
    [anon_sym_rmdir] = ACTIONS(1054),
    [anon_sym_readdir] = ACTIONS(1054),
    [anon_sym_readline] = ACTIONS(1054),
    [anon_sym_readpipe] = ACTIONS(1054),
    [anon_sym_rewinddir] = ACTIONS(1054),
    [anon_sym_readlink] = ACTIONS(1054),
    [anon_sym_ref] = ACTIONS(1054),
    [anon_sym_scalar] = ACTIONS(1054),
    [anon_sym_shift] = ACTIONS(1054),
    [anon_sym_sin] = ACTIONS(1054),
    [anon_sym_sleep] = ACTIONS(1054),
    [anon_sym_sqrt] = ACTIONS(1054),
    [anon_sym_srand] = ACTIONS(1054),
    [anon_sym_stat] = ACTIONS(1054),
    [anon_sym_study] = ACTIONS(1054),
    [anon_sym_tell] = ACTIONS(1054),
    [anon_sym_telldir] = ACTIONS(1054),
    [anon_sym_tied] = ACTIONS(1054),
    [anon_sym_uc] = ACTIONS(1054),
    [anon_sym_ucfirst] = ACTIONS(1054),
    [anon_sym_untie] = ACTIONS(1054),
    [anon_sym_umask] = ACTIONS(1054),
    [anon_sym_values] = ACTIONS(1054),
    [anon_sym_write] = ACTIONS(1054),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1056),
    [anon_sym_qq] = ACTIONS(1058),
    [anon_sym_qw] = ACTIONS(1060),
    [anon_sym_qx] = ACTIONS(1062),
    [anon_sym_qr] = ACTIONS(1064),
    [anon_sym_m] = ACTIONS(1066),
    [anon_sym_s] = ACTIONS(1068),
    [anon_sym_tr] = ACTIONS(1070),
    [anon_sym_y] = ACTIONS(1070),
    [aux_sym__bareword_token1] = ACTIONS(1072),
    [sym_number] = ACTIONS(1074),
    [anon_sym_true] = ACTIONS(1076),
    [anon_sym_false] = ACTIONS(1076),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(1078),
    [sym__open_fileglob_bracket] = ACTIONS(1080),
    [sym__PERLY_SEMICOLON] = ACTIONS(1547),
    [sym__PERLY_HEREDOC] = ACTIONS(1082),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1084),
    [sym__filetest] = ACTIONS(1086),
  },
  [262] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3563),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(262),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1619),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [263] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3388),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(263),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1621),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [264] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3558),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(264),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1623),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [265] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3391),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(265),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_RBRACK] = ACTIONS(1625),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [266] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3530),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(266),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_RBRACK] = ACTIONS(1627),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [267] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3452),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(267),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1629),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [268] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3572),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(268),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1561),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [269] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3543),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(269),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1631),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [270] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3531),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(270),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1633),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [271] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3501),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(271),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1635),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [272] = {
    [sym__PERLY_BRACE_OPEN] = STATE(238),
    [sym__semicolon] = STATE(1124),
    [sym__listexpr] = STATE(3747),
    [sym__term_rightward] = STATE(3843),
    [sym_list_expression] = STATE(3826),
    [sym__subscripted] = STATE(1915),
    [sym_container_variable] = STATE(3851),
    [sym_array_element_expression] = STATE(1916),
    [sym_hash_element_expression] = STATE(1916),
    [sym_coderef_call_expression] = STATE(1916),
    [sym_anonymous_slice_expression] = STATE(1916),
    [sym_slice_container_variable] = STATE(3852),
    [sym_slice_expression] = STATE(2342),
    [sym_keyval_container_variable] = STATE(3853),
    [sym_keyval_expression] = STATE(2342),
    [sym__term] = STATE(2141),
    [sym_readline_expression] = STATE(2342),
    [sym_fileglob_expression] = STATE(2342),
    [sym_assignment_expression] = STATE(2342),
    [sym_binary_expression] = STATE(2342),
    [sym_equality_expression] = STATE(2342),
    [sym_relational_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2342),
    [sym_preinc_expression] = STATE(2342),
    [sym_postinc_expression] = STATE(2342),
    [sym_conditional_expression] = STATE(2342),
    [sym_refgen_expression] = STATE(2342),
    [sym_anonymous_array_expression] = STATE(2342),
    [sym_anonymous_hash_expression] = STATE(2342),
    [sym_anonymous_subroutine_expression] = STATE(2342),
    [sym_anonymous_method_expression] = STATE(2342),
    [sym_do_expression] = STATE(2342),
    [sym_eval_expression] = STATE(2342),
    [sym_await_expression] = STATE(2342),
    [sym_variable_declaration] = STATE(2342),
    [sym_localization_expression] = STATE(2342),
    [sym_stub_expression] = STATE(2342),
    [sym_scalar_deref_expression] = STATE(2342),
    [sym_array_deref_expression] = STATE(2342),
    [sym_arraylen_deref_expression] = STATE(2342),
    [sym_hash_deref_expression] = STATE(2342),
    [sym_amper_deref_expression] = STATE(2342),
    [sym_glob_deref_expression] = STATE(2342),
    [sym_require_expression] = STATE(2342),
    [sym_require_version_expression] = STATE(2342),
    [sym_func0op_call_expression] = STATE(2342),
    [sym_func1op_call_expression] = STATE(2342),
    [sym_map_grep_expression] = STATE(2342),
    [sym_sort_expression] = STATE(2342),
    [sym_loopex_expression] = STATE(2342),
    [sym_goto_expression] = STATE(2342),
    [sym_return_expression] = STATE(2342),
    [sym_undef_expression] = STATE(2342),
    [sym__listop] = STATE(2342),
    [sym_function_call_expression] = STATE(2343),
    [sym_ambiguous_function_call_expression] = STATE(2343),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(2343),
    [sym_scalar] = STATE(2342),
    [sym_array] = STATE(2342),
    [sym__SUB_AMPER] = STATE(2739),
    [sym__GLOB_STAR] = STATE(2741),
    [sym_hash] = STATE(2342),
    [sym_arraylen] = STATE(2342),
    [sym_amper_sub] = STATE(2181),
    [sym_glob] = STATE(2183),
    [sym_glob_slot_expression] = STATE(2342),
    [sym__literal] = STATE(2342),
    [sym__apostrophe] = STATE(3277),
    [sym__quotation_mark] = STATE(2481),
    [sym__backtick] = STATE(2482),
    [sym__search_slash] = STATE(2447),
    [sym_string_literal] = STATE(2353),
    [sym_interpolated_string_literal] = STATE(2353),
    [sym_quoted_word_list] = STATE(2193),
    [sym_command_string] = STATE(2353),
    [sym_quoted_regexp] = STATE(2353),
    [sym_match_regexp] = STATE(2353),
    [sym_substitution_regexp] = STATE(2353),
    [sym_transliteration_expression] = STATE(2353),
    [sym_heredoc_token] = STATE(2342),
    [sym_command_heredoc_token] = STATE(2342),
    [sym_heredoc_content] = STATE(272),
    [sym_autoquoted_bareword] = STATE(2342),
    [sym_bareword] = STATE(2342),
    [sym_primitive] = STATE(2342),
    [sym_boolean] = STATE(2323),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3366),
    [sym__identifier] = ACTIONS(1072),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_SEMI] = ACTIONS(1541),
    [anon_sym_DOLLAR] = ACTIONS(1008),
    [anon_sym_AT] = ACTIONS(1010),
    [anon_sym_my] = ACTIONS(1012),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(1014),
    [anon_sym_method] = ACTIONS(1016),
    [anon_sym_LPAREN] = ACTIONS(1018),
    [anon_sym_continue] = ACTIONS(1020),
    [anon_sym_state] = ACTIONS(1012),
    [anon_sym_our] = ACTIONS(1012),
    [anon_sym_LBRACK] = ACTIONS(1022),
    [anon_sym_LT_LT] = ACTIONS(1523),
    [anon_sym_SLASH_SLASH] = ACTIONS(1525),
    [anon_sym_PLUS] = ACTIONS(1024),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_TILDE] = ACTIONS(1024),
    [anon_sym_BANG] = ACTIONS(1024),
    [anon_sym_PLUS_PLUS] = ACTIONS(1529),
    [anon_sym_DASH_DASH] = ACTIONS(1529),
    [anon_sym_BSLASH] = ACTIONS(1026),
    [anon_sym_do] = ACTIONS(1028),
    [anon_sym_eval] = ACTIONS(1030),
    [anon_sym_await] = ACTIONS(1032),
    [anon_sym_field] = ACTIONS(1012),
    [anon_sym_local] = ACTIONS(1034),
    [anon_sym_dynamically] = ACTIONS(1034),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1036),
    [anon_sym_require] = ACTIONS(1038),
    [anon_sym_map] = ACTIONS(1040),
    [anon_sym_grep] = ACTIONS(1040),
    [anon_sym_sort] = ACTIONS(1042),
    [anon_sym_goto] = ACTIONS(1044),
    [anon_sym_return] = ACTIONS(1046),
    [anon_sym_undef] = ACTIONS(1048),
    [anon_sym_PERCENT2] = ACTIONS(1050),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1052),
    [anon_sym_next] = ACTIONS(1052),
    [anon_sym_redo] = ACTIONS(1052),
    [anon_sym___FILE__] = ACTIONS(1020),
    [anon_sym___LINE__] = ACTIONS(1020),
    [anon_sym___PACKAGE__] = ACTIONS(1020),
    [anon_sym___SUB__] = ACTIONS(1020),
    [anon_sym_break] = ACTIONS(1020),
    [anon_sym_fork] = ACTIONS(1020),
    [anon_sym_getppid] = ACTIONS(1020),
    [anon_sym_time] = ACTIONS(1020),
    [anon_sym_times] = ACTIONS(1020),
    [anon_sym_wait] = ACTIONS(1020),
    [anon_sym_wantarray] = ACTIONS(1020),
    [anon_sym_abs] = ACTIONS(1054),
    [anon_sym_alarm] = ACTIONS(1054),
    [anon_sym_chop] = ACTIONS(1054),
    [anon_sym_chdir] = ACTIONS(1054),
    [anon_sym_close] = ACTIONS(1054),
    [anon_sym_closedir] = ACTIONS(1054),
    [anon_sym_caller] = ACTIONS(1054),
    [anon_sym_chomp] = ACTIONS(1054),
    [anon_sym_chr] = ACTIONS(1054),
    [anon_sym_cos] = ACTIONS(1054),
    [anon_sym_chroot] = ACTIONS(1054),
    [anon_sym_defined] = ACTIONS(1054),
    [anon_sym_delete] = ACTIONS(1054),
    [anon_sym_dbmclose] = ACTIONS(1054),
    [anon_sym_exists] = ACTIONS(1054),
    [anon_sym_exit] = ACTIONS(1054),
    [anon_sym_eof] = ACTIONS(1054),
    [anon_sym_exp] = ACTIONS(1054),
    [anon_sym_each] = ACTIONS(1054),
    [anon_sym_fc] = ACTIONS(1054),
    [anon_sym_fileno] = ACTIONS(1054),
    [anon_sym_gmtime] = ACTIONS(1054),
    [anon_sym_getc] = ACTIONS(1054),
    [anon_sym_getpgrp] = ACTIONS(1054),
    [anon_sym_getprotobyname] = ACTIONS(1054),
    [anon_sym_getpwname] = ACTIONS(1054),
    [anon_sym_getpwuid] = ACTIONS(1054),
    [anon_sym_getpeername] = ACTIONS(1054),
    [anon_sym_getnetbyname] = ACTIONS(1054),
    [anon_sym_getsockname] = ACTIONS(1054),
    [anon_sym_getgrnam] = ACTIONS(1054),
    [anon_sym_getgrgid] = ACTIONS(1054),
    [anon_sym_hex] = ACTIONS(1054),
    [anon_sym_int] = ACTIONS(1054),
    [anon_sym_keys] = ACTIONS(1054),
    [anon_sym_lc] = ACTIONS(1054),
    [anon_sym_lcfirst] = ACTIONS(1054),
    [anon_sym_length] = ACTIONS(1054),
    [anon_sym_localtime] = ACTIONS(1054),
    [anon_sym_log] = ACTIONS(1054),
    [anon_sym_lock] = ACTIONS(1054),
    [anon_sym_lstat] = ACTIONS(1054),
    [anon_sym_oct] = ACTIONS(1054),
    [anon_sym_ord] = ACTIONS(1054),
    [anon_sym_prototype] = ACTIONS(1054),
    [anon_sym_pop] = ACTIONS(1054),
    [anon_sym_pos] = ACTIONS(1054),
    [anon_sym_quotemeta] = ACTIONS(1054),
    [anon_sym_reset] = ACTIONS(1054),
    [anon_sym_rand] = ACTIONS(1054),
    [anon_sym_rmdir] = ACTIONS(1054),
    [anon_sym_readdir] = ACTIONS(1054),
    [anon_sym_readline] = ACTIONS(1054),
    [anon_sym_readpipe] = ACTIONS(1054),
    [anon_sym_rewinddir] = ACTIONS(1054),
    [anon_sym_readlink] = ACTIONS(1054),
    [anon_sym_ref] = ACTIONS(1054),
    [anon_sym_scalar] = ACTIONS(1054),
    [anon_sym_shift] = ACTIONS(1054),
    [anon_sym_sin] = ACTIONS(1054),
    [anon_sym_sleep] = ACTIONS(1054),
    [anon_sym_sqrt] = ACTIONS(1054),
    [anon_sym_srand] = ACTIONS(1054),
    [anon_sym_stat] = ACTIONS(1054),
    [anon_sym_study] = ACTIONS(1054),
    [anon_sym_tell] = ACTIONS(1054),
    [anon_sym_telldir] = ACTIONS(1054),
    [anon_sym_tied] = ACTIONS(1054),
    [anon_sym_uc] = ACTIONS(1054),
    [anon_sym_ucfirst] = ACTIONS(1054),
    [anon_sym_untie] = ACTIONS(1054),
    [anon_sym_umask] = ACTIONS(1054),
    [anon_sym_values] = ACTIONS(1054),
    [anon_sym_write] = ACTIONS(1054),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1056),
    [anon_sym_qq] = ACTIONS(1058),
    [anon_sym_qw] = ACTIONS(1060),
    [anon_sym_qx] = ACTIONS(1062),
    [anon_sym_qr] = ACTIONS(1064),
    [anon_sym_m] = ACTIONS(1066),
    [anon_sym_s] = ACTIONS(1068),
    [anon_sym_tr] = ACTIONS(1070),
    [anon_sym_y] = ACTIONS(1070),
    [aux_sym__bareword_token1] = ACTIONS(1072),
    [sym_number] = ACTIONS(1074),
    [anon_sym_true] = ACTIONS(1076),
    [anon_sym_false] = ACTIONS(1076),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(1078),
    [sym__open_fileglob_bracket] = ACTIONS(1080),
    [sym__PERLY_SEMICOLON] = ACTIONS(1543),
    [sym__PERLY_HEREDOC] = ACTIONS(1082),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1084),
    [sym__filetest] = ACTIONS(1086),
  },
  [273] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3509),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(273),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1557),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [274] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3566),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(274),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1637),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [275] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3578),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(275),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1639),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [276] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3583),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(276),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1641),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [277] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3468),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(277),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1643),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [278] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3390),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(278),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1581),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [279] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3511),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(279),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_RBRACK] = ACTIONS(1645),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [280] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3514),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(280),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1647),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [281] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3482),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(281),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1649),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [282] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3382),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(282),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1651),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [283] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3497),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(283),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1653),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [284] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3401),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(284),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1655),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [285] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3519),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(285),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1657),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [286] = {
    [sym_heredoc_content] = STATE(286),
    [ts_builtin_sym_end] = ACTIONS(1659),
    [sym__identifier] = ACTIONS(1661),
    [anon_sym_LBRACE] = ACTIONS(1661),
    [anon_sym_RBRACE] = ACTIONS(1663),
    [anon_sym_SEMI] = ACTIONS(1663),
    [anon_sym_package] = ACTIONS(1661),
    [anon_sym_class] = ACTIONS(1661),
    [anon_sym_role] = ACTIONS(1661),
    [anon_sym_BUILD] = ACTIONS(1661),
    [anon_sym_ADJUST] = ACTIONS(1661),
    [anon_sym_DOLLAR] = ACTIONS(1661),
    [anon_sym_EQ] = ACTIONS(1663),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1663),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1663),
    [anon_sym_AT] = ACTIONS(1661),
    [anon_sym_COMMA] = ACTIONS(1663),
    [anon_sym_RPAREN] = ACTIONS(1663),
    [anon_sym_my] = ACTIONS(1661),
    [anon_sym_extended] = ACTIONS(1661),
    [anon_sym_async] = ACTIONS(1661),
    [anon_sym_sub] = ACTIONS(1661),
    [anon_sym_method] = ACTIONS(1661),
    [anon_sym_LPAREN] = ACTIONS(1661),
    [anon_sym_continue] = ACTIONS(1661),
    [anon_sym_state] = ACTIONS(1661),
    [anon_sym_our] = ACTIONS(1661),
    [anon_sym_try] = ACTIONS(1661),
    [anon_sym_defer] = ACTIONS(1661),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1663),
    [anon_sym_and] = ACTIONS(1663),
    [anon_sym_or] = ACTIONS(1663),
    [anon_sym_xor] = ACTIONS(1663),
    [anon_sym_LBRACK] = ACTIONS(1661),
    [anon_sym_DASH_GT] = ACTIONS(1663),
    [anon_sym_PERCENT] = ACTIONS(1663),
    [anon_sym_GT] = ACTIONS(1663),
    [anon_sym_LT_LT] = ACTIONS(1663),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1663),
    [anon_sym_PLUS_EQ] = ACTIONS(1663),
    [anon_sym_DASH_EQ] = ACTIONS(1663),
    [anon_sym_DOT_EQ] = ACTIONS(1663),
    [anon_sym_STAR_EQ] = ACTIONS(1663),
    [anon_sym_SLASH_EQ] = ACTIONS(1663),
    [anon_sym_PERCENT_EQ] = ACTIONS(1663),
    [anon_sym_x_EQ] = ACTIONS(1663),
    [anon_sym_AMP_EQ] = ACTIONS(1663),
    [anon_sym_PIPE_EQ] = ACTIONS(1663),
    [anon_sym_CARET_EQ] = ACTIONS(1663),
    [anon_sym_LT_LT_EQ] = ACTIONS(1663),
    [anon_sym_GT_GT_EQ] = ACTIONS(1663),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1663),
    [anon_sym_DOT_DOT] = ACTIONS(1663),
    [anon_sym_STAR_STAR] = ACTIONS(1663),
    [anon_sym_PIPE_PIPE] = ACTIONS(1663),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_CARET_CARET] = ACTIONS(1663),
    [anon_sym_AMP_AMP] = ACTIONS(1663),
    [anon_sym_PIPE] = ACTIONS(1663),
    [anon_sym_CARET] = ACTIONS(1663),
    [anon_sym_AMP] = ACTIONS(1663),
    [anon_sym_GT_GT2] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(1663),
    [anon_sym_DASH] = ACTIONS(1663),
    [anon_sym_DOT] = ACTIONS(1663),
    [anon_sym_STAR] = ACTIONS(1663),
    [anon_sym_SLASH] = ACTIONS(1663),
    [anon_sym_x] = ACTIONS(1663),
    [anon_sym_EQ_TILDE] = ACTIONS(1663),
    [anon_sym_BANG_TILDE] = ACTIONS(1663),
    [anon_sym_EQ_EQ] = ACTIONS(1663),
    [anon_sym_BANG_EQ] = ACTIONS(1663),
    [anon_sym_eq] = ACTIONS(1663),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1663),
    [anon_sym_equ] = ACTIONS(1663),
    [anon_sym_eqr] = ACTIONS(1663),
    [anon_sym_ne] = ACTIONS(1663),
    [anon_sym_LT_EQ_GT] = ACTIONS(1663),
    [anon_sym_cmp] = ACTIONS(1663),
    [anon_sym_TILDE_TILDE] = ACTIONS(1663),
    [anon_sym_LT] = ACTIONS(1663),
    [anon_sym_LT_EQ] = ACTIONS(1663),
    [anon_sym_GT_EQ] = ACTIONS(1663),
    [anon_sym_lt] = ACTIONS(1663),
    [anon_sym_le] = ACTIONS(1663),
    [anon_sym_ge] = ACTIONS(1663),
    [anon_sym_gt] = ACTIONS(1663),
    [anon_sym_isa] = ACTIONS(1663),
    [anon_sym_TILDE] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1661),
    [anon_sym_PLUS_PLUS] = ACTIONS(1663),
    [anon_sym_DASH_DASH] = ACTIONS(1663),
    [anon_sym_QMARK] = ACTIONS(1663),
    [anon_sym_BSLASH] = ACTIONS(1659),
    [anon_sym_do] = ACTIONS(1661),
    [anon_sym_eval] = ACTIONS(1661),
    [anon_sym_await] = ACTIONS(1661),
    [anon_sym_field] = ACTIONS(1661),
    [anon_sym_local] = ACTIONS(1661),
    [anon_sym_dynamically] = ACTIONS(1661),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1661),
    [anon_sym_require] = ACTIONS(1661),
    [anon_sym_map] = ACTIONS(1661),
    [anon_sym_grep] = ACTIONS(1661),
    [anon_sym_sort] = ACTIONS(1661),
    [anon_sym_goto] = ACTIONS(1661),
    [anon_sym_return] = ACTIONS(1661),
    [anon_sym_undef] = ACTIONS(1661),
    [anon_sym_PERCENT2] = ACTIONS(1661),
    [anon_sym_AMP2] = ACTIONS(1661),
    [anon_sym_STAR2] = ACTIONS(1661),
    [anon_sym_EQ_GT] = ACTIONS(1663),
    [anon_sym_use] = ACTIONS(1661),
    [anon_sym_no] = ACTIONS(1661),
    [anon_sym_for] = ACTIONS(1663),
    [anon_sym_foreach] = ACTIONS(1663),
    [anon_sym_last] = ACTIONS(1661),
    [anon_sym_next] = ACTIONS(1661),
    [anon_sym_redo] = ACTIONS(1661),
    [anon_sym_BEGIN] = ACTIONS(1661),
    [anon_sym_INIT] = ACTIONS(1661),
    [anon_sym_CHECK] = ACTIONS(1661),
    [anon_sym_UNITCHECK] = ACTIONS(1661),
    [anon_sym_END] = ACTIONS(1661),
    [anon_sym___FILE__] = ACTIONS(1661),
    [anon_sym___LINE__] = ACTIONS(1661),
    [anon_sym___PACKAGE__] = ACTIONS(1661),
    [anon_sym___SUB__] = ACTIONS(1661),
    [anon_sym_break] = ACTIONS(1661),
    [anon_sym_fork] = ACTIONS(1661),
    [anon_sym_getppid] = ACTIONS(1661),
    [anon_sym_time] = ACTIONS(1661),
    [anon_sym_times] = ACTIONS(1661),
    [anon_sym_wait] = ACTIONS(1661),
    [anon_sym_wantarray] = ACTIONS(1661),
    [anon_sym_abs] = ACTIONS(1661),
    [anon_sym_alarm] = ACTIONS(1661),
    [anon_sym_chop] = ACTIONS(1661),
    [anon_sym_chdir] = ACTIONS(1661),
    [anon_sym_close] = ACTIONS(1661),
    [anon_sym_closedir] = ACTIONS(1661),
    [anon_sym_caller] = ACTIONS(1661),
    [anon_sym_chomp] = ACTIONS(1661),
    [anon_sym_chr] = ACTIONS(1661),
    [anon_sym_cos] = ACTIONS(1661),
    [anon_sym_chroot] = ACTIONS(1661),
    [anon_sym_defined] = ACTIONS(1661),
    [anon_sym_delete] = ACTIONS(1661),
    [anon_sym_dbmclose] = ACTIONS(1661),
    [anon_sym_exists] = ACTIONS(1661),
    [anon_sym_exit] = ACTIONS(1661),
    [anon_sym_eof] = ACTIONS(1661),
    [anon_sym_exp] = ACTIONS(1661),
    [anon_sym_each] = ACTIONS(1661),
    [anon_sym_fc] = ACTIONS(1661),
    [anon_sym_fileno] = ACTIONS(1661),
    [anon_sym_gmtime] = ACTIONS(1661),
    [anon_sym_getc] = ACTIONS(1661),
    [anon_sym_getpgrp] = ACTIONS(1661),
    [anon_sym_getprotobyname] = ACTIONS(1661),
    [anon_sym_getpwname] = ACTIONS(1661),
    [anon_sym_getpwuid] = ACTIONS(1661),
    [anon_sym_getpeername] = ACTIONS(1661),
    [anon_sym_getnetbyname] = ACTIONS(1661),
    [anon_sym_getsockname] = ACTIONS(1661),
    [anon_sym_getgrnam] = ACTIONS(1661),
    [anon_sym_getgrgid] = ACTIONS(1661),
    [anon_sym_hex] = ACTIONS(1661),
    [anon_sym_int] = ACTIONS(1661),
    [anon_sym_keys] = ACTIONS(1661),
    [anon_sym_lc] = ACTIONS(1661),
    [anon_sym_lcfirst] = ACTIONS(1661),
    [anon_sym_length] = ACTIONS(1661),
    [anon_sym_localtime] = ACTIONS(1661),
    [anon_sym_log] = ACTIONS(1661),
    [anon_sym_lock] = ACTIONS(1661),
    [anon_sym_lstat] = ACTIONS(1661),
    [anon_sym_oct] = ACTIONS(1661),
    [anon_sym_ord] = ACTIONS(1661),
    [anon_sym_prototype] = ACTIONS(1661),
    [anon_sym_pop] = ACTIONS(1661),
    [anon_sym_pos] = ACTIONS(1661),
    [anon_sym_quotemeta] = ACTIONS(1661),
    [anon_sym_reset] = ACTIONS(1661),
    [anon_sym_rand] = ACTIONS(1661),
    [anon_sym_rmdir] = ACTIONS(1661),
    [anon_sym_readdir] = ACTIONS(1661),
    [anon_sym_readline] = ACTIONS(1661),
    [anon_sym_readpipe] = ACTIONS(1661),
    [anon_sym_rewinddir] = ACTIONS(1661),
    [anon_sym_readlink] = ACTIONS(1661),
    [anon_sym_ref] = ACTIONS(1661),
    [anon_sym_scalar] = ACTIONS(1661),
    [anon_sym_shift] = ACTIONS(1661),
    [anon_sym_sin] = ACTIONS(1661),
    [anon_sym_sleep] = ACTIONS(1661),
    [anon_sym_sqrt] = ACTIONS(1661),
    [anon_sym_srand] = ACTIONS(1661),
    [anon_sym_stat] = ACTIONS(1661),
    [anon_sym_study] = ACTIONS(1661),
    [anon_sym_tell] = ACTIONS(1661),
    [anon_sym_telldir] = ACTIONS(1661),
    [anon_sym_tied] = ACTIONS(1661),
    [anon_sym_uc] = ACTIONS(1661),
    [anon_sym_ucfirst] = ACTIONS(1661),
    [anon_sym_untie] = ACTIONS(1661),
    [anon_sym_umask] = ACTIONS(1661),
    [anon_sym_values] = ACTIONS(1661),
    [anon_sym_write] = ACTIONS(1661),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1663),
    [anon_sym___END__] = ACTIONS(1663),
    [anon_sym_EOT] = ACTIONS(1663),
    [anon_sym_q] = ACTIONS(1661),
    [anon_sym_qq] = ACTIONS(1661),
    [anon_sym_qw] = ACTIONS(1661),
    [anon_sym_qx] = ACTIONS(1661),
    [anon_sym_qr] = ACTIONS(1661),
    [anon_sym_m] = ACTIONS(1661),
    [anon_sym_s] = ACTIONS(1661),
    [anon_sym_tr] = ACTIONS(1661),
    [anon_sym_y] = ACTIONS(1661),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_unless] = ACTIONS(1663),
    [anon_sym_while] = ACTIONS(1663),
    [anon_sym_until] = ACTIONS(1663),
    [aux_sym__bareword_token1] = ACTIONS(1661),
    [sym_number] = ACTIONS(1661),
    [anon_sym_true] = ACTIONS(1661),
    [anon_sym_false] = ACTIONS(1661),
    [sym__single_quote] = ACTIONS(1659),
    [sym__double_quote] = ACTIONS(1659),
    [sym__backtick_quote] = ACTIONS(1659),
    [sym__search_slash_quote] = ACTIONS(1659),
    [sym__open_readline_bracket] = ACTIONS(1659),
    [sym__open_fileglob_bracket] = ACTIONS(1659),
    [sym__PERLY_SEMICOLON] = ACTIONS(1665),
    [sym__PERLY_HEREDOC] = ACTIONS(1659),
    [sym__ctrl_z_hack] = ACTIONS(1665),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1659),
    [sym__filetest] = ACTIONS(1659),
  },
  [287] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3387),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(287),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [288] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3432),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(288),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [289] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3433),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(289),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [290] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3434),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(290),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [291] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3439),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(291),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [292] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3440),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(292),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [293] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3441),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(293),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [294] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3470),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(294),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [295] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3476),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(295),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [296] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3492),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(296),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [297] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3517),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(297),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [298] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3532),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(298),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [299] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3533),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(299),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [300] = {
    [sym__PERLY_BRACE_OPEN] = STATE(237),
    [sym__expr] = STATE(2559),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(300),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [301] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3553),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(301),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [302] = {
    [sym__PERLY_BRACE_OPEN] = STATE(237),
    [sym__expr] = STATE(2566),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1237),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(302),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [303] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3554),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(303),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [304] = {
    [sym__PERLY_BRACE_OPEN] = STATE(237),
    [sym__expr] = STATE(2981),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1445),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(304),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(243),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(243),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(245),
  },
  [305] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3556),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(305),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [306] = {
    [sym__PERLY_BRACE_OPEN] = STATE(237),
    [sym__expr] = STATE(2992),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1445),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(306),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(243),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(243),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(245),
  },
  [307] = {
    [sym__PERLY_BRACE_OPEN] = STATE(237),
    [sym__expr] = STATE(3001),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1445),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(307),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(243),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(243),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(245),
  },
  [308] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3562),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(308),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [309] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3469),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(309),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [310] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3384),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(310),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [311] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3395),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(311),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [312] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3139),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(312),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [313] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3141),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(313),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [314] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3415),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(314),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [315] = {
    [sym__PERLY_BRACE_OPEN] = STATE(237),
    [sym__expr] = STATE(2559),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1445),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(315),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(243),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(243),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(245),
  },
  [316] = {
    [sym__PERLY_BRACE_OPEN] = STATE(237),
    [sym__expr] = STATE(2984),
    [sym_lowprec_logical_expression] = STATE(2562),
    [sym__listexpr] = STATE(2562),
    [sym__term_rightward] = STATE(2563),
    [sym_list_expression] = STATE(2564),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1445),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(316),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(243),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(243),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(245),
  },
  [317] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3389),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(317),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [318] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3392),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(318),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [319] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3393),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(319),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [320] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3394),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(320),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [321] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3400),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(321),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [322] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3407),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(322),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [323] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3409),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(323),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [324] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3411),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(324),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [325] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3443),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(325),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [326] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3454),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(326),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [327] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3484),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(327),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [328] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3487),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(328),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [329] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3494),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(329),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [330] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3496),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(330),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [331] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3499),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(331),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [332] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3504),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(332),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [333] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3418),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(333),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [334] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3523),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(334),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [335] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3425),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(335),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [336] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3426),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(336),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [337] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3428),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(337),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [338] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3431),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(338),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [339] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3521),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(339),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [340] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3437),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(340),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [341] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3438),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(341),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [342] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3444),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(342),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [343] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3449),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(343),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [344] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3453),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(344),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [345] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3457),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(345),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [346] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3461),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(346),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [347] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3462),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(347),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [348] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3467),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(348),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [349] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3471),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(349),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [350] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3381),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(350),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [351] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3535),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(351),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [352] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3540),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(352),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [353] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3541),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(353),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [354] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3551),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(354),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [355] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3555),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(355),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [356] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3557),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(356),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [357] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3559),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(357),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [358] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3560),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(358),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [359] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3567),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(359),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [360] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3569),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(360),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [361] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3571),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(361),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [362] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3575),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(362),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [363] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3576),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(363),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [364] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3577),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(364),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [365] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3580),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(365),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [366] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3402),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(366),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [367] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3403),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(367),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [368] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3404),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(368),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [369] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3405),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(369),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [370] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3408),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(370),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [371] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3410),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(371),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [372] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3414),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(372),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [373] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3416),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(373),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [374] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3419),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(374),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [375] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3420),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(375),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [376] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3421),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(376),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [377] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3473),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(377),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [378] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3474),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(378),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [379] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3477),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(379),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [380] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3481),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(380),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [381] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3483),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(381),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [382] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3515),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(382),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [383] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3516),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(383),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [384] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3518),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(384),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [385] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__expr] = STATE(3436),
    [sym_lowprec_logical_expression] = STATE(3207),
    [sym__listexpr] = STATE(3207),
    [sym__term_rightward] = STATE(3208),
    [sym_list_expression] = STATE(3215),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1571),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(385),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [386] = {
    [sym__PERLY_BRACE_OPEN] = STATE(85),
    [sym_block] = STATE(871),
    [sym__term_rightward] = STATE(2310),
    [sym__subscripted] = STATE(1915),
    [sym_container_variable] = STATE(3851),
    [sym_array_element_expression] = STATE(1916),
    [sym_hash_element_expression] = STATE(1916),
    [sym_coderef_call_expression] = STATE(1916),
    [sym_anonymous_slice_expression] = STATE(1916),
    [sym_slice_container_variable] = STATE(3852),
    [sym_slice_expression] = STATE(2342),
    [sym_keyval_container_variable] = STATE(3853),
    [sym_keyval_expression] = STATE(2342),
    [sym__term] = STATE(2058),
    [sym_readline_expression] = STATE(2342),
    [sym_fileglob_expression] = STATE(2342),
    [sym_assignment_expression] = STATE(2342),
    [sym_binary_expression] = STATE(2342),
    [sym_equality_expression] = STATE(2342),
    [sym_relational_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2342),
    [sym_preinc_expression] = STATE(2342),
    [sym_postinc_expression] = STATE(2342),
    [sym_conditional_expression] = STATE(2342),
    [sym_refgen_expression] = STATE(2342),
    [sym_anonymous_array_expression] = STATE(2342),
    [sym_anonymous_hash_expression] = STATE(2342),
    [sym_anonymous_subroutine_expression] = STATE(2342),
    [sym_anonymous_method_expression] = STATE(2342),
    [sym_do_expression] = STATE(2342),
    [sym_eval_expression] = STATE(2342),
    [sym_await_expression] = STATE(2342),
    [sym_variable_declaration] = STATE(2342),
    [sym_localization_expression] = STATE(2342),
    [sym_stub_expression] = STATE(2342),
    [sym_scalar_deref_expression] = STATE(2342),
    [sym_array_deref_expression] = STATE(2342),
    [sym_arraylen_deref_expression] = STATE(2342),
    [sym_hash_deref_expression] = STATE(2342),
    [sym_amper_deref_expression] = STATE(2342),
    [sym_glob_deref_expression] = STATE(2342),
    [sym_require_expression] = STATE(2342),
    [sym_require_version_expression] = STATE(2342),
    [sym_func0op_call_expression] = STATE(2342),
    [sym_func1op_call_expression] = STATE(2342),
    [sym_map_grep_expression] = STATE(2342),
    [sym_sort_expression] = STATE(2342),
    [sym_loopex_expression] = STATE(2342),
    [sym_goto_expression] = STATE(2342),
    [sym_return_expression] = STATE(2342),
    [sym_undef_expression] = STATE(2342),
    [sym__listop] = STATE(2342),
    [sym_indirect_object] = STATE(471),
    [sym_function_call_expression] = STATE(2343),
    [sym__tricky_indirob_hashref] = STATE(2313),
    [sym_ambiguous_function_call_expression] = STATE(2343),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(2343),
    [sym_scalar] = STATE(840),
    [sym_array] = STATE(2342),
    [sym__SUB_AMPER] = STATE(2739),
    [sym__GLOB_STAR] = STATE(2741),
    [sym_hash] = STATE(2342),
    [sym_arraylen] = STATE(2342),
    [sym_amper_sub] = STATE(2181),
    [sym_glob] = STATE(2183),
    [sym_glob_slot_expression] = STATE(2342),
    [sym__literal] = STATE(2342),
    [sym__apostrophe] = STATE(3277),
    [sym__quotation_mark] = STATE(2481),
    [sym__backtick] = STATE(2482),
    [sym__search_slash] = STATE(2447),
    [sym_string_literal] = STATE(2353),
    [sym_interpolated_string_literal] = STATE(2353),
    [sym_quoted_word_list] = STATE(2193),
    [sym_command_string] = STATE(2353),
    [sym_quoted_regexp] = STATE(2353),
    [sym_match_regexp] = STATE(2353),
    [sym_substitution_regexp] = STATE(2353),
    [sym_transliteration_expression] = STATE(2353),
    [sym_heredoc_token] = STATE(2342),
    [sym_command_heredoc_token] = STATE(2342),
    [sym_heredoc_content] = STATE(386),
    [sym_autoquoted_bareword] = STATE(2342),
    [sym_bareword] = STATE(2342),
    [sym_primitive] = STATE(2342),
    [sym_boolean] = STATE(2323),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3366),
    [sym__identifier] = ACTIONS(1072),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(1667),
    [anon_sym_AT] = ACTIONS(1010),
    [anon_sym_my] = ACTIONS(1012),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(1014),
    [anon_sym_method] = ACTIONS(1016),
    [anon_sym_LPAREN] = ACTIONS(1018),
    [anon_sym_continue] = ACTIONS(1020),
    [anon_sym_state] = ACTIONS(1012),
    [anon_sym_our] = ACTIONS(1012),
    [anon_sym_LBRACK] = ACTIONS(1022),
    [anon_sym_LT_LT] = ACTIONS(1523),
    [anon_sym_SLASH_SLASH] = ACTIONS(1525),
    [anon_sym_PLUS] = ACTIONS(1024),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_TILDE] = ACTIONS(1024),
    [anon_sym_BANG] = ACTIONS(1024),
    [anon_sym_PLUS_PLUS] = ACTIONS(1529),
    [anon_sym_DASH_DASH] = ACTIONS(1529),
    [anon_sym_BSLASH] = ACTIONS(1026),
    [anon_sym_do] = ACTIONS(1028),
    [anon_sym_eval] = ACTIONS(1030),
    [anon_sym_await] = ACTIONS(1032),
    [anon_sym_field] = ACTIONS(1012),
    [anon_sym_local] = ACTIONS(1034),
    [anon_sym_dynamically] = ACTIONS(1034),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1036),
    [anon_sym_require] = ACTIONS(1038),
    [anon_sym_map] = ACTIONS(1040),
    [anon_sym_grep] = ACTIONS(1040),
    [anon_sym_sort] = ACTIONS(1042),
    [anon_sym_goto] = ACTIONS(1044),
    [anon_sym_return] = ACTIONS(1046),
    [anon_sym_undef] = ACTIONS(1048),
    [anon_sym_PERCENT2] = ACTIONS(1050),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1052),
    [anon_sym_next] = ACTIONS(1052),
    [anon_sym_redo] = ACTIONS(1052),
    [anon_sym___FILE__] = ACTIONS(1020),
    [anon_sym___LINE__] = ACTIONS(1020),
    [anon_sym___PACKAGE__] = ACTIONS(1020),
    [anon_sym___SUB__] = ACTIONS(1020),
    [anon_sym_break] = ACTIONS(1020),
    [anon_sym_fork] = ACTIONS(1020),
    [anon_sym_getppid] = ACTIONS(1020),
    [anon_sym_time] = ACTIONS(1020),
    [anon_sym_times] = ACTIONS(1020),
    [anon_sym_wait] = ACTIONS(1020),
    [anon_sym_wantarray] = ACTIONS(1020),
    [anon_sym_abs] = ACTIONS(1054),
    [anon_sym_alarm] = ACTIONS(1054),
    [anon_sym_chop] = ACTIONS(1054),
    [anon_sym_chdir] = ACTIONS(1054),
    [anon_sym_close] = ACTIONS(1054),
    [anon_sym_closedir] = ACTIONS(1054),
    [anon_sym_caller] = ACTIONS(1054),
    [anon_sym_chomp] = ACTIONS(1054),
    [anon_sym_chr] = ACTIONS(1054),
    [anon_sym_cos] = ACTIONS(1054),
    [anon_sym_chroot] = ACTIONS(1054),
    [anon_sym_defined] = ACTIONS(1054),
    [anon_sym_delete] = ACTIONS(1054),
    [anon_sym_dbmclose] = ACTIONS(1054),
    [anon_sym_exists] = ACTIONS(1054),
    [anon_sym_exit] = ACTIONS(1054),
    [anon_sym_eof] = ACTIONS(1054),
    [anon_sym_exp] = ACTIONS(1054),
    [anon_sym_each] = ACTIONS(1054),
    [anon_sym_fc] = ACTIONS(1054),
    [anon_sym_fileno] = ACTIONS(1054),
    [anon_sym_gmtime] = ACTIONS(1054),
    [anon_sym_getc] = ACTIONS(1054),
    [anon_sym_getpgrp] = ACTIONS(1054),
    [anon_sym_getprotobyname] = ACTIONS(1054),
    [anon_sym_getpwname] = ACTIONS(1054),
    [anon_sym_getpwuid] = ACTIONS(1054),
    [anon_sym_getpeername] = ACTIONS(1054),
    [anon_sym_getnetbyname] = ACTIONS(1054),
    [anon_sym_getsockname] = ACTIONS(1054),
    [anon_sym_getgrnam] = ACTIONS(1054),
    [anon_sym_getgrgid] = ACTIONS(1054),
    [anon_sym_hex] = ACTIONS(1054),
    [anon_sym_int] = ACTIONS(1054),
    [anon_sym_keys] = ACTIONS(1054),
    [anon_sym_lc] = ACTIONS(1054),
    [anon_sym_lcfirst] = ACTIONS(1054),
    [anon_sym_length] = ACTIONS(1054),
    [anon_sym_localtime] = ACTIONS(1054),
    [anon_sym_log] = ACTIONS(1054),
    [anon_sym_lock] = ACTIONS(1054),
    [anon_sym_lstat] = ACTIONS(1054),
    [anon_sym_oct] = ACTIONS(1054),
    [anon_sym_ord] = ACTIONS(1054),
    [anon_sym_prototype] = ACTIONS(1054),
    [anon_sym_pop] = ACTIONS(1054),
    [anon_sym_pos] = ACTIONS(1054),
    [anon_sym_quotemeta] = ACTIONS(1054),
    [anon_sym_reset] = ACTIONS(1054),
    [anon_sym_rand] = ACTIONS(1054),
    [anon_sym_rmdir] = ACTIONS(1054),
    [anon_sym_readdir] = ACTIONS(1054),
    [anon_sym_readline] = ACTIONS(1054),
    [anon_sym_readpipe] = ACTIONS(1054),
    [anon_sym_rewinddir] = ACTIONS(1054),
    [anon_sym_readlink] = ACTIONS(1054),
    [anon_sym_ref] = ACTIONS(1054),
    [anon_sym_scalar] = ACTIONS(1054),
    [anon_sym_shift] = ACTIONS(1054),
    [anon_sym_sin] = ACTIONS(1054),
    [anon_sym_sleep] = ACTIONS(1054),
    [anon_sym_sqrt] = ACTIONS(1054),
    [anon_sym_srand] = ACTIONS(1054),
    [anon_sym_stat] = ACTIONS(1054),
    [anon_sym_study] = ACTIONS(1054),
    [anon_sym_tell] = ACTIONS(1054),
    [anon_sym_telldir] = ACTIONS(1054),
    [anon_sym_tied] = ACTIONS(1054),
    [anon_sym_uc] = ACTIONS(1054),
    [anon_sym_ucfirst] = ACTIONS(1054),
    [anon_sym_untie] = ACTIONS(1054),
    [anon_sym_umask] = ACTIONS(1054),
    [anon_sym_values] = ACTIONS(1054),
    [anon_sym_write] = ACTIONS(1054),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1056),
    [anon_sym_qq] = ACTIONS(1058),
    [anon_sym_qw] = ACTIONS(1060),
    [anon_sym_qx] = ACTIONS(1062),
    [anon_sym_qr] = ACTIONS(1064),
    [anon_sym_m] = ACTIONS(1066),
    [anon_sym_s] = ACTIONS(1068),
    [anon_sym_tr] = ACTIONS(1070),
    [anon_sym_y] = ACTIONS(1070),
    [aux_sym__bareword_token1] = ACTIONS(1072),
    [sym_number] = ACTIONS(1074),
    [anon_sym_true] = ACTIONS(1076),
    [anon_sym_false] = ACTIONS(1076),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(1078),
    [sym__open_fileglob_bracket] = ACTIONS(1080),
    [sym__PERLY_HEREDOC] = ACTIONS(1082),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1084),
    [sym__filetest] = ACTIONS(1086),
  },
  [387] = {
    [sym_heredoc_content] = STATE(387),
    [sym__identifier] = ACTIONS(1661),
    [anon_sym_LBRACE] = ACTIONS(1661),
    [anon_sym_RBRACE] = ACTIONS(1661),
    [anon_sym_SEMI] = ACTIONS(1663),
    [anon_sym_package] = ACTIONS(1661),
    [anon_sym_class] = ACTIONS(1661),
    [anon_sym_role] = ACTIONS(1661),
    [anon_sym_BUILD] = ACTIONS(1661),
    [anon_sym_ADJUST] = ACTIONS(1661),
    [anon_sym_DOLLAR] = ACTIONS(1661),
    [anon_sym_EQ] = ACTIONS(1663),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1663),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1663),
    [anon_sym_AT] = ACTIONS(1661),
    [anon_sym_COMMA] = ACTIONS(1663),
    [anon_sym_my] = ACTIONS(1661),
    [anon_sym_extended] = ACTIONS(1661),
    [anon_sym_async] = ACTIONS(1661),
    [anon_sym_sub] = ACTIONS(1661),
    [anon_sym_method] = ACTIONS(1661),
    [anon_sym_LPAREN] = ACTIONS(1661),
    [anon_sym_continue] = ACTIONS(1661),
    [anon_sym_state] = ACTIONS(1661),
    [anon_sym_our] = ACTIONS(1661),
    [anon_sym_try] = ACTIONS(1661),
    [anon_sym_defer] = ACTIONS(1661),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1663),
    [anon_sym_and] = ACTIONS(1663),
    [anon_sym_or] = ACTIONS(1663),
    [anon_sym_xor] = ACTIONS(1663),
    [anon_sym_LBRACK] = ACTIONS(1661),
    [anon_sym_DASH_GT] = ACTIONS(1663),
    [anon_sym_PERCENT] = ACTIONS(1663),
    [anon_sym_GT] = ACTIONS(1663),
    [anon_sym_LT_LT] = ACTIONS(1663),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1663),
    [anon_sym_PLUS_EQ] = ACTIONS(1663),
    [anon_sym_DASH_EQ] = ACTIONS(1663),
    [anon_sym_DOT_EQ] = ACTIONS(1663),
    [anon_sym_STAR_EQ] = ACTIONS(1663),
    [anon_sym_SLASH_EQ] = ACTIONS(1663),
    [anon_sym_PERCENT_EQ] = ACTIONS(1663),
    [anon_sym_x_EQ] = ACTIONS(1663),
    [anon_sym_AMP_EQ] = ACTIONS(1663),
    [anon_sym_PIPE_EQ] = ACTIONS(1663),
    [anon_sym_CARET_EQ] = ACTIONS(1663),
    [anon_sym_LT_LT_EQ] = ACTIONS(1663),
    [anon_sym_GT_GT_EQ] = ACTIONS(1663),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1663),
    [anon_sym_DOT_DOT] = ACTIONS(1663),
    [anon_sym_STAR_STAR] = ACTIONS(1663),
    [anon_sym_PIPE_PIPE] = ACTIONS(1663),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_CARET_CARET] = ACTIONS(1663),
    [anon_sym_AMP_AMP] = ACTIONS(1663),
    [anon_sym_PIPE] = ACTIONS(1663),
    [anon_sym_CARET] = ACTIONS(1663),
    [anon_sym_AMP] = ACTIONS(1663),
    [anon_sym_GT_GT2] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(1663),
    [anon_sym_DASH] = ACTIONS(1663),
    [anon_sym_DOT] = ACTIONS(1663),
    [anon_sym_STAR] = ACTIONS(1663),
    [anon_sym_SLASH] = ACTIONS(1663),
    [anon_sym_x] = ACTIONS(1663),
    [anon_sym_EQ_TILDE] = ACTIONS(1663),
    [anon_sym_BANG_TILDE] = ACTIONS(1663),
    [anon_sym_EQ_EQ] = ACTIONS(1663),
    [anon_sym_BANG_EQ] = ACTIONS(1663),
    [anon_sym_eq] = ACTIONS(1663),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1663),
    [anon_sym_equ] = ACTIONS(1663),
    [anon_sym_eqr] = ACTIONS(1663),
    [anon_sym_ne] = ACTIONS(1663),
    [anon_sym_LT_EQ_GT] = ACTIONS(1663),
    [anon_sym_cmp] = ACTIONS(1663),
    [anon_sym_TILDE_TILDE] = ACTIONS(1663),
    [anon_sym_LT] = ACTIONS(1663),
    [anon_sym_LT_EQ] = ACTIONS(1663),
    [anon_sym_GT_EQ] = ACTIONS(1663),
    [anon_sym_lt] = ACTIONS(1663),
    [anon_sym_le] = ACTIONS(1663),
    [anon_sym_ge] = ACTIONS(1663),
    [anon_sym_gt] = ACTIONS(1663),
    [anon_sym_isa] = ACTIONS(1663),
    [anon_sym_TILDE] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1661),
    [anon_sym_PLUS_PLUS] = ACTIONS(1663),
    [anon_sym_DASH_DASH] = ACTIONS(1663),
    [anon_sym_QMARK] = ACTIONS(1663),
    [anon_sym_BSLASH] = ACTIONS(1659),
    [anon_sym_do] = ACTIONS(1661),
    [anon_sym_eval] = ACTIONS(1661),
    [anon_sym_await] = ACTIONS(1661),
    [anon_sym_field] = ACTIONS(1661),
    [anon_sym_local] = ACTIONS(1661),
    [anon_sym_dynamically] = ACTIONS(1661),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1661),
    [anon_sym_require] = ACTIONS(1661),
    [anon_sym_map] = ACTIONS(1661),
    [anon_sym_grep] = ACTIONS(1661),
    [anon_sym_sort] = ACTIONS(1661),
    [anon_sym_goto] = ACTIONS(1661),
    [anon_sym_return] = ACTIONS(1661),
    [anon_sym_undef] = ACTIONS(1661),
    [anon_sym_PERCENT2] = ACTIONS(1661),
    [anon_sym_AMP2] = ACTIONS(1661),
    [anon_sym_STAR2] = ACTIONS(1661),
    [anon_sym_EQ_GT] = ACTIONS(1663),
    [anon_sym_use] = ACTIONS(1661),
    [anon_sym_no] = ACTIONS(1661),
    [anon_sym_for] = ACTIONS(1663),
    [anon_sym_foreach] = ACTIONS(1663),
    [anon_sym_last] = ACTIONS(1661),
    [anon_sym_next] = ACTIONS(1661),
    [anon_sym_redo] = ACTIONS(1661),
    [anon_sym_BEGIN] = ACTIONS(1661),
    [anon_sym_INIT] = ACTIONS(1661),
    [anon_sym_CHECK] = ACTIONS(1661),
    [anon_sym_UNITCHECK] = ACTIONS(1661),
    [anon_sym_END] = ACTIONS(1661),
    [anon_sym___FILE__] = ACTIONS(1661),
    [anon_sym___LINE__] = ACTIONS(1661),
    [anon_sym___PACKAGE__] = ACTIONS(1661),
    [anon_sym___SUB__] = ACTIONS(1661),
    [anon_sym_break] = ACTIONS(1661),
    [anon_sym_fork] = ACTIONS(1661),
    [anon_sym_getppid] = ACTIONS(1661),
    [anon_sym_time] = ACTIONS(1661),
    [anon_sym_times] = ACTIONS(1661),
    [anon_sym_wait] = ACTIONS(1661),
    [anon_sym_wantarray] = ACTIONS(1661),
    [anon_sym_abs] = ACTIONS(1661),
    [anon_sym_alarm] = ACTIONS(1661),
    [anon_sym_chop] = ACTIONS(1661),
    [anon_sym_chdir] = ACTIONS(1661),
    [anon_sym_close] = ACTIONS(1661),
    [anon_sym_closedir] = ACTIONS(1661),
    [anon_sym_caller] = ACTIONS(1661),
    [anon_sym_chomp] = ACTIONS(1661),
    [anon_sym_chr] = ACTIONS(1661),
    [anon_sym_cos] = ACTIONS(1661),
    [anon_sym_chroot] = ACTIONS(1661),
    [anon_sym_defined] = ACTIONS(1661),
    [anon_sym_delete] = ACTIONS(1661),
    [anon_sym_dbmclose] = ACTIONS(1661),
    [anon_sym_exists] = ACTIONS(1661),
    [anon_sym_exit] = ACTIONS(1661),
    [anon_sym_eof] = ACTIONS(1661),
    [anon_sym_exp] = ACTIONS(1661),
    [anon_sym_each] = ACTIONS(1661),
    [anon_sym_fc] = ACTIONS(1661),
    [anon_sym_fileno] = ACTIONS(1661),
    [anon_sym_gmtime] = ACTIONS(1661),
    [anon_sym_getc] = ACTIONS(1661),
    [anon_sym_getpgrp] = ACTIONS(1661),
    [anon_sym_getprotobyname] = ACTIONS(1661),
    [anon_sym_getpwname] = ACTIONS(1661),
    [anon_sym_getpwuid] = ACTIONS(1661),
    [anon_sym_getpeername] = ACTIONS(1661),
    [anon_sym_getnetbyname] = ACTIONS(1661),
    [anon_sym_getsockname] = ACTIONS(1661),
    [anon_sym_getgrnam] = ACTIONS(1661),
    [anon_sym_getgrgid] = ACTIONS(1661),
    [anon_sym_hex] = ACTIONS(1661),
    [anon_sym_int] = ACTIONS(1661),
    [anon_sym_keys] = ACTIONS(1661),
    [anon_sym_lc] = ACTIONS(1661),
    [anon_sym_lcfirst] = ACTIONS(1661),
    [anon_sym_length] = ACTIONS(1661),
    [anon_sym_localtime] = ACTIONS(1661),
    [anon_sym_log] = ACTIONS(1661),
    [anon_sym_lock] = ACTIONS(1661),
    [anon_sym_lstat] = ACTIONS(1661),
    [anon_sym_oct] = ACTIONS(1661),
    [anon_sym_ord] = ACTIONS(1661),
    [anon_sym_prototype] = ACTIONS(1661),
    [anon_sym_pop] = ACTIONS(1661),
    [anon_sym_pos] = ACTIONS(1661),
    [anon_sym_quotemeta] = ACTIONS(1661),
    [anon_sym_reset] = ACTIONS(1661),
    [anon_sym_rand] = ACTIONS(1661),
    [anon_sym_rmdir] = ACTIONS(1661),
    [anon_sym_readdir] = ACTIONS(1661),
    [anon_sym_readline] = ACTIONS(1661),
    [anon_sym_readpipe] = ACTIONS(1661),
    [anon_sym_rewinddir] = ACTIONS(1661),
    [anon_sym_readlink] = ACTIONS(1661),
    [anon_sym_ref] = ACTIONS(1661),
    [anon_sym_scalar] = ACTIONS(1661),
    [anon_sym_shift] = ACTIONS(1661),
    [anon_sym_sin] = ACTIONS(1661),
    [anon_sym_sleep] = ACTIONS(1661),
    [anon_sym_sqrt] = ACTIONS(1661),
    [anon_sym_srand] = ACTIONS(1661),
    [anon_sym_stat] = ACTIONS(1661),
    [anon_sym_study] = ACTIONS(1661),
    [anon_sym_tell] = ACTIONS(1661),
    [anon_sym_telldir] = ACTIONS(1661),
    [anon_sym_tied] = ACTIONS(1661),
    [anon_sym_uc] = ACTIONS(1661),
    [anon_sym_ucfirst] = ACTIONS(1661),
    [anon_sym_untie] = ACTIONS(1661),
    [anon_sym_umask] = ACTIONS(1661),
    [anon_sym_values] = ACTIONS(1661),
    [anon_sym_write] = ACTIONS(1661),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1663),
    [anon_sym___END__] = ACTIONS(1663),
    [anon_sym_EOT] = ACTIONS(1663),
    [anon_sym_q] = ACTIONS(1661),
    [anon_sym_qq] = ACTIONS(1661),
    [anon_sym_qw] = ACTIONS(1661),
    [anon_sym_qx] = ACTIONS(1661),
    [anon_sym_qr] = ACTIONS(1661),
    [anon_sym_m] = ACTIONS(1661),
    [anon_sym_s] = ACTIONS(1661),
    [anon_sym_tr] = ACTIONS(1661),
    [anon_sym_y] = ACTIONS(1661),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_unless] = ACTIONS(1663),
    [anon_sym_while] = ACTIONS(1663),
    [anon_sym_until] = ACTIONS(1663),
    [aux_sym__bareword_token1] = ACTIONS(1661),
    [sym_number] = ACTIONS(1661),
    [anon_sym_true] = ACTIONS(1661),
    [anon_sym_false] = ACTIONS(1661),
    [sym__single_quote] = ACTIONS(1659),
    [sym__double_quote] = ACTIONS(1659),
    [sym__backtick_quote] = ACTIONS(1659),
    [sym__search_slash_quote] = ACTIONS(1659),
    [sym__open_readline_bracket] = ACTIONS(1659),
    [sym__open_fileglob_bracket] = ACTIONS(1659),
    [sym__PERLY_SEMICOLON] = ACTIONS(1665),
    [sym__PERLY_HEREDOC] = ACTIONS(1659),
    [sym__ctrl_z_hack] = ACTIONS(1665),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1659),
    [sym__filetest] = ACTIONS(1659),
  },
  [388] = {
    [sym__PERLY_BRACE_OPEN] = STATE(238),
    [sym__subscripted] = STATE(1915),
    [sym_container_variable] = STATE(3851),
    [sym_array_element_expression] = STATE(1916),
    [sym_hash_element_expression] = STATE(1916),
    [sym_coderef_call_expression] = STATE(1916),
    [sym_anonymous_slice_expression] = STATE(1916),
    [sym_slice_container_variable] = STATE(3852),
    [sym_slice_expression] = STATE(2342),
    [sym_keyval_container_variable] = STATE(3853),
    [sym_keyval_expression] = STATE(2342),
    [sym__term] = STATE(2295),
    [sym_readline_expression] = STATE(2342),
    [sym_fileglob_expression] = STATE(2342),
    [sym_assignment_expression] = STATE(2342),
    [sym_binary_expression] = STATE(2342),
    [sym_equality_expression] = STATE(2342),
    [sym_relational_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2342),
    [sym_preinc_expression] = STATE(2342),
    [sym_postinc_expression] = STATE(2342),
    [sym_conditional_expression] = STATE(2342),
    [sym_refgen_expression] = STATE(2342),
    [sym_anonymous_array_expression] = STATE(2342),
    [sym_anonymous_hash_expression] = STATE(2342),
    [sym_anonymous_subroutine_expression] = STATE(2342),
    [sym_anonymous_method_expression] = STATE(2342),
    [sym_do_expression] = STATE(2342),
    [sym_eval_expression] = STATE(2342),
    [sym_await_expression] = STATE(2342),
    [sym_variable_declaration] = STATE(2342),
    [sym_localization_expression] = STATE(2342),
    [sym_stub_expression] = STATE(2342),
    [sym_scalar_deref_expression] = STATE(2342),
    [sym_array_deref_expression] = STATE(2342),
    [sym_arraylen_deref_expression] = STATE(2342),
    [sym_hash_deref_expression] = STATE(2342),
    [sym_amper_deref_expression] = STATE(2342),
    [sym_glob_deref_expression] = STATE(2342),
    [sym_require_expression] = STATE(2342),
    [sym_require_version_expression] = STATE(2342),
    [sym_func0op_call_expression] = STATE(2342),
    [sym_func1op_call_expression] = STATE(2342),
    [sym_map_grep_expression] = STATE(2342),
    [sym_sort_expression] = STATE(2342),
    [sym_loopex_expression] = STATE(2342),
    [sym_goto_expression] = STATE(2342),
    [sym_return_expression] = STATE(2342),
    [sym_undef_expression] = STATE(2342),
    [sym__listop] = STATE(2342),
    [sym_function_call_expression] = STATE(2343),
    [sym_ambiguous_function_call_expression] = STATE(2343),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(2343),
    [sym_scalar] = STATE(2342),
    [sym_array] = STATE(2342),
    [sym__SUB_AMPER] = STATE(2739),
    [sym__GLOB_STAR] = STATE(2741),
    [sym_hash] = STATE(2342),
    [sym_arraylen] = STATE(2342),
    [sym_amper_sub] = STATE(2181),
    [sym_glob] = STATE(2183),
    [sym_glob_slot_expression] = STATE(2342),
    [sym__literal] = STATE(2342),
    [sym__apostrophe] = STATE(3277),
    [sym__quotation_mark] = STATE(2481),
    [sym__backtick] = STATE(2482),
    [sym__search_slash] = STATE(2447),
    [sym_string_literal] = STATE(2353),
    [sym_interpolated_string_literal] = STATE(2353),
    [sym_quoted_word_list] = STATE(2193),
    [sym_command_string] = STATE(2353),
    [sym_quoted_regexp] = STATE(2353),
    [sym_match_regexp] = STATE(2353),
    [sym_substitution_regexp] = STATE(2353),
    [sym_transliteration_expression] = STATE(2353),
    [sym_heredoc_token] = STATE(2342),
    [sym_command_heredoc_token] = STATE(2342),
    [sym_heredoc_content] = STATE(388),
    [sym_autoquoted_bareword] = STATE(2342),
    [sym_bareword] = STATE(2342),
    [sym_primitive] = STATE(2342),
    [sym_boolean] = STATE(2323),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3366),
    [sym__identifier] = ACTIONS(1072),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_SEMI] = ACTIONS(182),
    [anon_sym_DOLLAR] = ACTIONS(1008),
    [anon_sym_AT] = ACTIONS(1010),
    [anon_sym_COMMA] = ACTIONS(182),
    [anon_sym_my] = ACTIONS(1012),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(1014),
    [anon_sym_method] = ACTIONS(1016),
    [anon_sym_LPAREN] = ACTIONS(1018),
    [anon_sym_continue] = ACTIONS(1020),
    [anon_sym_state] = ACTIONS(1012),
    [anon_sym_our] = ACTIONS(1012),
    [anon_sym_LBRACK] = ACTIONS(1022),
    [anon_sym_LT_LT] = ACTIONS(1523),
    [anon_sym_SLASH_SLASH] = ACTIONS(1525),
    [anon_sym_PLUS] = ACTIONS(1024),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_TILDE] = ACTIONS(1024),
    [anon_sym_BANG] = ACTIONS(1024),
    [anon_sym_PLUS_PLUS] = ACTIONS(1529),
    [anon_sym_DASH_DASH] = ACTIONS(1529),
    [anon_sym_BSLASH] = ACTIONS(1026),
    [anon_sym_do] = ACTIONS(1028),
    [anon_sym_eval] = ACTIONS(1030),
    [anon_sym_await] = ACTIONS(1032),
    [anon_sym_field] = ACTIONS(1012),
    [anon_sym_local] = ACTIONS(1034),
    [anon_sym_dynamically] = ACTIONS(1034),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1036),
    [anon_sym_require] = ACTIONS(1038),
    [anon_sym_map] = ACTIONS(1040),
    [anon_sym_grep] = ACTIONS(1040),
    [anon_sym_sort] = ACTIONS(1042),
    [anon_sym_goto] = ACTIONS(1044),
    [anon_sym_return] = ACTIONS(1046),
    [anon_sym_undef] = ACTIONS(1048),
    [anon_sym_PERCENT2] = ACTIONS(1050),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(182),
    [anon_sym_last] = ACTIONS(1052),
    [anon_sym_next] = ACTIONS(1052),
    [anon_sym_redo] = ACTIONS(1052),
    [anon_sym___FILE__] = ACTIONS(1020),
    [anon_sym___LINE__] = ACTIONS(1020),
    [anon_sym___PACKAGE__] = ACTIONS(1020),
    [anon_sym___SUB__] = ACTIONS(1020),
    [anon_sym_break] = ACTIONS(1020),
    [anon_sym_fork] = ACTIONS(1020),
    [anon_sym_getppid] = ACTIONS(1020),
    [anon_sym_time] = ACTIONS(1020),
    [anon_sym_times] = ACTIONS(1020),
    [anon_sym_wait] = ACTIONS(1020),
    [anon_sym_wantarray] = ACTIONS(1020),
    [anon_sym_abs] = ACTIONS(1054),
    [anon_sym_alarm] = ACTIONS(1054),
    [anon_sym_chop] = ACTIONS(1054),
    [anon_sym_chdir] = ACTIONS(1054),
    [anon_sym_close] = ACTIONS(1054),
    [anon_sym_closedir] = ACTIONS(1054),
    [anon_sym_caller] = ACTIONS(1054),
    [anon_sym_chomp] = ACTIONS(1054),
    [anon_sym_chr] = ACTIONS(1054),
    [anon_sym_cos] = ACTIONS(1054),
    [anon_sym_chroot] = ACTIONS(1054),
    [anon_sym_defined] = ACTIONS(1054),
    [anon_sym_delete] = ACTIONS(1054),
    [anon_sym_dbmclose] = ACTIONS(1054),
    [anon_sym_exists] = ACTIONS(1054),
    [anon_sym_exit] = ACTIONS(1054),
    [anon_sym_eof] = ACTIONS(1054),
    [anon_sym_exp] = ACTIONS(1054),
    [anon_sym_each] = ACTIONS(1054),
    [anon_sym_fc] = ACTIONS(1054),
    [anon_sym_fileno] = ACTIONS(1054),
    [anon_sym_gmtime] = ACTIONS(1054),
    [anon_sym_getc] = ACTIONS(1054),
    [anon_sym_getpgrp] = ACTIONS(1054),
    [anon_sym_getprotobyname] = ACTIONS(1054),
    [anon_sym_getpwname] = ACTIONS(1054),
    [anon_sym_getpwuid] = ACTIONS(1054),
    [anon_sym_getpeername] = ACTIONS(1054),
    [anon_sym_getnetbyname] = ACTIONS(1054),
    [anon_sym_getsockname] = ACTIONS(1054),
    [anon_sym_getgrnam] = ACTIONS(1054),
    [anon_sym_getgrgid] = ACTIONS(1054),
    [anon_sym_hex] = ACTIONS(1054),
    [anon_sym_int] = ACTIONS(1054),
    [anon_sym_keys] = ACTIONS(1054),
    [anon_sym_lc] = ACTIONS(1054),
    [anon_sym_lcfirst] = ACTIONS(1054),
    [anon_sym_length] = ACTIONS(1054),
    [anon_sym_localtime] = ACTIONS(1054),
    [anon_sym_log] = ACTIONS(1054),
    [anon_sym_lock] = ACTIONS(1054),
    [anon_sym_lstat] = ACTIONS(1054),
    [anon_sym_oct] = ACTIONS(1054),
    [anon_sym_ord] = ACTIONS(1054),
    [anon_sym_prototype] = ACTIONS(1054),
    [anon_sym_pop] = ACTIONS(1054),
    [anon_sym_pos] = ACTIONS(1054),
    [anon_sym_quotemeta] = ACTIONS(1054),
    [anon_sym_reset] = ACTIONS(1054),
    [anon_sym_rand] = ACTIONS(1054),
    [anon_sym_rmdir] = ACTIONS(1054),
    [anon_sym_readdir] = ACTIONS(1054),
    [anon_sym_readline] = ACTIONS(1054),
    [anon_sym_readpipe] = ACTIONS(1054),
    [anon_sym_rewinddir] = ACTIONS(1054),
    [anon_sym_readlink] = ACTIONS(1054),
    [anon_sym_ref] = ACTIONS(1054),
    [anon_sym_scalar] = ACTIONS(1054),
    [anon_sym_shift] = ACTIONS(1054),
    [anon_sym_sin] = ACTIONS(1054),
    [anon_sym_sleep] = ACTIONS(1054),
    [anon_sym_sqrt] = ACTIONS(1054),
    [anon_sym_srand] = ACTIONS(1054),
    [anon_sym_stat] = ACTIONS(1054),
    [anon_sym_study] = ACTIONS(1054),
    [anon_sym_tell] = ACTIONS(1054),
    [anon_sym_telldir] = ACTIONS(1054),
    [anon_sym_tied] = ACTIONS(1054),
    [anon_sym_uc] = ACTIONS(1054),
    [anon_sym_ucfirst] = ACTIONS(1054),
    [anon_sym_untie] = ACTIONS(1054),
    [anon_sym_umask] = ACTIONS(1054),
    [anon_sym_values] = ACTIONS(1054),
    [anon_sym_write] = ACTIONS(1054),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1056),
    [anon_sym_qq] = ACTIONS(1058),
    [anon_sym_qw] = ACTIONS(1060),
    [anon_sym_qx] = ACTIONS(1062),
    [anon_sym_qr] = ACTIONS(1064),
    [anon_sym_m] = ACTIONS(1066),
    [anon_sym_s] = ACTIONS(1068),
    [anon_sym_tr] = ACTIONS(1070),
    [anon_sym_y] = ACTIONS(1070),
    [aux_sym__bareword_token1] = ACTIONS(1072),
    [sym_number] = ACTIONS(1074),
    [anon_sym_true] = ACTIONS(1076),
    [anon_sym_false] = ACTIONS(1076),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(1078),
    [sym__open_fileglob_bracket] = ACTIONS(1080),
    [sym__PERLY_SEMICOLON] = ACTIONS(199),
    [sym__PERLY_HEREDOC] = ACTIONS(1082),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1084),
    [sym__filetest] = ACTIONS(1086),
  },
  [389] = {
    [sym__PERLY_BRACE_OPEN] = STATE(64),
    [sym_block] = STATE(859),
    [sym__term_rightward] = STATE(1818),
    [sym__subscripted] = STATE(1532),
    [sym_container_variable] = STATE(3855),
    [sym_array_element_expression] = STATE(1533),
    [sym_hash_element_expression] = STATE(1533),
    [sym_coderef_call_expression] = STATE(1533),
    [sym_anonymous_slice_expression] = STATE(1533),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(1967),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(1967),
    [sym__term] = STATE(1803),
    [sym_readline_expression] = STATE(1967),
    [sym_fileglob_expression] = STATE(1967),
    [sym_assignment_expression] = STATE(1967),
    [sym_binary_expression] = STATE(1967),
    [sym_equality_expression] = STATE(1967),
    [sym_relational_expression] = STATE(1967),
    [sym_unary_expression] = STATE(1967),
    [sym_preinc_expression] = STATE(1967),
    [sym_postinc_expression] = STATE(1967),
    [sym_conditional_expression] = STATE(1967),
    [sym_refgen_expression] = STATE(1967),
    [sym_anonymous_array_expression] = STATE(1967),
    [sym_anonymous_hash_expression] = STATE(1967),
    [sym_anonymous_subroutine_expression] = STATE(1967),
    [sym_anonymous_method_expression] = STATE(1967),
    [sym_do_expression] = STATE(1967),
    [sym_eval_expression] = STATE(1967),
    [sym_await_expression] = STATE(1967),
    [sym_variable_declaration] = STATE(1967),
    [sym_localization_expression] = STATE(1967),
    [sym_stub_expression] = STATE(1967),
    [sym_scalar_deref_expression] = STATE(1967),
    [sym_array_deref_expression] = STATE(1967),
    [sym_arraylen_deref_expression] = STATE(1967),
    [sym_hash_deref_expression] = STATE(1967),
    [sym_amper_deref_expression] = STATE(1967),
    [sym_glob_deref_expression] = STATE(1967),
    [sym_require_expression] = STATE(1967),
    [sym_require_version_expression] = STATE(1967),
    [sym_func0op_call_expression] = STATE(1967),
    [sym_func1op_call_expression] = STATE(1967),
    [sym_map_grep_expression] = STATE(1967),
    [sym_sort_expression] = STATE(1967),
    [sym_loopex_expression] = STATE(1967),
    [sym_goto_expression] = STATE(1967),
    [sym_return_expression] = STATE(1967),
    [sym_undef_expression] = STATE(1967),
    [sym__listop] = STATE(1967),
    [sym_indirect_object] = STATE(518),
    [sym_function_call_expression] = STATE(1968),
    [sym__tricky_indirob_hashref] = STATE(1819),
    [sym_ambiguous_function_call_expression] = STATE(1968),
    [sym_function] = STATE(389),
    [sym_method_call_expression] = STATE(1968),
    [sym_scalar] = STATE(841),
    [sym_array] = STATE(1967),
    [sym__SUB_AMPER] = STATE(2686),
    [sym__GLOB_STAR] = STATE(2687),
    [sym_hash] = STATE(1967),
    [sym_arraylen] = STATE(1967),
    [sym_amper_sub] = STATE(1785),
    [sym_glob] = STATE(1786),
    [sym_glob_slot_expression] = STATE(1967),
    [sym__literal] = STATE(1967),
    [sym__apostrophe] = STATE(3328),
    [sym__quotation_mark] = STATE(2501),
    [sym__backtick] = STATE(2502),
    [sym__search_slash] = STATE(2454),
    [sym_string_literal] = STATE(1969),
    [sym_interpolated_string_literal] = STATE(1969),
    [sym_quoted_word_list] = STATE(1787),
    [sym_command_string] = STATE(1969),
    [sym_quoted_regexp] = STATE(1969),
    [sym_match_regexp] = STATE(1969),
    [sym_substitution_regexp] = STATE(1969),
    [sym_transliteration_expression] = STATE(1969),
    [sym_heredoc_token] = STATE(1967),
    [sym_command_heredoc_token] = STATE(1967),
    [sym_heredoc_content] = STATE(389),
    [sym_autoquoted_bareword] = STATE(1967),
    [sym_bareword] = STATE(1967),
    [sym_primitive] = STATE(1967),
    [sym_boolean] = STATE(1965),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3342),
    [sym__identifier] = ACTIONS(575),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(1669),
    [anon_sym_AT] = ACTIONS(1671),
    [anon_sym_my] = ACTIONS(517),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(519),
    [anon_sym_method] = ACTIONS(521),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_continue] = ACTIONS(525),
    [anon_sym_state] = ACTIONS(517),
    [anon_sym_our] = ACTIONS(517),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_LT_LT] = ACTIONS(1673),
    [anon_sym_SLASH_SLASH] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(1677),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_PLUS_PLUS] = ACTIONS(1679),
    [anon_sym_DASH_DASH] = ACTIONS(1679),
    [anon_sym_BSLASH] = ACTIONS(531),
    [anon_sym_do] = ACTIONS(533),
    [anon_sym_eval] = ACTIONS(535),
    [anon_sym_await] = ACTIONS(537),
    [anon_sym_field] = ACTIONS(517),
    [anon_sym_local] = ACTIONS(539),
    [anon_sym_dynamically] = ACTIONS(539),
    [anon_sym_DOLLAR_POUND] = ACTIONS(541),
    [anon_sym_require] = ACTIONS(543),
    [anon_sym_map] = ACTIONS(545),
    [anon_sym_grep] = ACTIONS(545),
    [anon_sym_sort] = ACTIONS(547),
    [anon_sym_goto] = ACTIONS(549),
    [anon_sym_return] = ACTIONS(551),
    [anon_sym_undef] = ACTIONS(553),
    [anon_sym_PERCENT2] = ACTIONS(1681),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(555),
    [anon_sym_next] = ACTIONS(555),
    [anon_sym_redo] = ACTIONS(555),
    [anon_sym___FILE__] = ACTIONS(525),
    [anon_sym___LINE__] = ACTIONS(525),
    [anon_sym___PACKAGE__] = ACTIONS(525),
    [anon_sym___SUB__] = ACTIONS(525),
    [anon_sym_break] = ACTIONS(525),
    [anon_sym_fork] = ACTIONS(525),
    [anon_sym_getppid] = ACTIONS(525),
    [anon_sym_time] = ACTIONS(525),
    [anon_sym_times] = ACTIONS(525),
    [anon_sym_wait] = ACTIONS(525),
    [anon_sym_wantarray] = ACTIONS(525),
    [anon_sym_abs] = ACTIONS(557),
    [anon_sym_alarm] = ACTIONS(557),
    [anon_sym_chop] = ACTIONS(557),
    [anon_sym_chdir] = ACTIONS(557),
    [anon_sym_close] = ACTIONS(557),
    [anon_sym_closedir] = ACTIONS(557),
    [anon_sym_caller] = ACTIONS(557),
    [anon_sym_chomp] = ACTIONS(557),
    [anon_sym_chr] = ACTIONS(557),
    [anon_sym_cos] = ACTIONS(557),
    [anon_sym_chroot] = ACTIONS(557),
    [anon_sym_defined] = ACTIONS(557),
    [anon_sym_delete] = ACTIONS(557),
    [anon_sym_dbmclose] = ACTIONS(557),
    [anon_sym_exists] = ACTIONS(557),
    [anon_sym_exit] = ACTIONS(557),
    [anon_sym_eof] = ACTIONS(557),
    [anon_sym_exp] = ACTIONS(557),
    [anon_sym_each] = ACTIONS(557),
    [anon_sym_fc] = ACTIONS(557),
    [anon_sym_fileno] = ACTIONS(557),
    [anon_sym_gmtime] = ACTIONS(557),
    [anon_sym_getc] = ACTIONS(557),
    [anon_sym_getpgrp] = ACTIONS(557),
    [anon_sym_getprotobyname] = ACTIONS(557),
    [anon_sym_getpwname] = ACTIONS(557),
    [anon_sym_getpwuid] = ACTIONS(557),
    [anon_sym_getpeername] = ACTIONS(557),
    [anon_sym_getnetbyname] = ACTIONS(557),
    [anon_sym_getsockname] = ACTIONS(557),
    [anon_sym_getgrnam] = ACTIONS(557),
    [anon_sym_getgrgid] = ACTIONS(557),
    [anon_sym_hex] = ACTIONS(557),
    [anon_sym_int] = ACTIONS(557),
    [anon_sym_keys] = ACTIONS(557),
    [anon_sym_lc] = ACTIONS(557),
    [anon_sym_lcfirst] = ACTIONS(557),
    [anon_sym_length] = ACTIONS(557),
    [anon_sym_localtime] = ACTIONS(557),
    [anon_sym_log] = ACTIONS(557),
    [anon_sym_lock] = ACTIONS(557),
    [anon_sym_lstat] = ACTIONS(557),
    [anon_sym_oct] = ACTIONS(557),
    [anon_sym_ord] = ACTIONS(557),
    [anon_sym_prototype] = ACTIONS(557),
    [anon_sym_pop] = ACTIONS(557),
    [anon_sym_pos] = ACTIONS(557),
    [anon_sym_quotemeta] = ACTIONS(557),
    [anon_sym_reset] = ACTIONS(557),
    [anon_sym_rand] = ACTIONS(557),
    [anon_sym_rmdir] = ACTIONS(557),
    [anon_sym_readdir] = ACTIONS(557),
    [anon_sym_readline] = ACTIONS(557),
    [anon_sym_readpipe] = ACTIONS(557),
    [anon_sym_rewinddir] = ACTIONS(557),
    [anon_sym_readlink] = ACTIONS(557),
    [anon_sym_ref] = ACTIONS(557),
    [anon_sym_scalar] = ACTIONS(557),
    [anon_sym_shift] = ACTIONS(557),
    [anon_sym_sin] = ACTIONS(557),
    [anon_sym_sleep] = ACTIONS(557),
    [anon_sym_sqrt] = ACTIONS(557),
    [anon_sym_srand] = ACTIONS(557),
    [anon_sym_stat] = ACTIONS(557),
    [anon_sym_study] = ACTIONS(557),
    [anon_sym_tell] = ACTIONS(557),
    [anon_sym_telldir] = ACTIONS(557),
    [anon_sym_tied] = ACTIONS(557),
    [anon_sym_uc] = ACTIONS(557),
    [anon_sym_ucfirst] = ACTIONS(557),
    [anon_sym_untie] = ACTIONS(557),
    [anon_sym_umask] = ACTIONS(557),
    [anon_sym_values] = ACTIONS(557),
    [anon_sym_write] = ACTIONS(557),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(559),
    [anon_sym_qq] = ACTIONS(561),
    [anon_sym_qw] = ACTIONS(563),
    [anon_sym_qx] = ACTIONS(565),
    [anon_sym_qr] = ACTIONS(567),
    [anon_sym_m] = ACTIONS(569),
    [anon_sym_s] = ACTIONS(571),
    [anon_sym_tr] = ACTIONS(573),
    [anon_sym_y] = ACTIONS(573),
    [aux_sym__bareword_token1] = ACTIONS(575),
    [sym_number] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(581),
    [sym__open_fileglob_bracket] = ACTIONS(583),
    [sym__PERLY_HEREDOC] = ACTIONS(585),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(587),
    [sym__filetest] = ACTIONS(589),
  },
  [390] = {
    [sym__PERLY_BRACE_OPEN] = STATE(77),
    [sym_block] = STATE(838),
    [sym__term_rightward] = STATE(2158),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2189),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_indirect_object] = STATE(492),
    [sym_function_call_expression] = STATE(2142),
    [sym__tricky_indirob_hashref] = STATE(2290),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(822),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(390),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(1669),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(439),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(439),
    [anon_sym_our] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(451),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_TILDE] = ACTIONS(451),
    [anon_sym_BANG] = ACTIONS(451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1689),
    [anon_sym_DASH_DASH] = ACTIONS(1689),
    [anon_sym_BSLASH] = ACTIONS(453),
    [anon_sym_do] = ACTIONS(455),
    [anon_sym_eval] = ACTIONS(457),
    [anon_sym_await] = ACTIONS(459),
    [anon_sym_field] = ACTIONS(439),
    [anon_sym_local] = ACTIONS(461),
    [anon_sym_dynamically] = ACTIONS(461),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(465),
    [anon_sym_map] = ACTIONS(467),
    [anon_sym_grep] = ACTIONS(467),
    [anon_sym_sort] = ACTIONS(469),
    [anon_sym_goto] = ACTIONS(471),
    [anon_sym_return] = ACTIONS(473),
    [anon_sym_undef] = ACTIONS(475),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(479),
    [anon_sym_next] = ACTIONS(479),
    [anon_sym_redo] = ACTIONS(479),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(481),
    [anon_sym_alarm] = ACTIONS(481),
    [anon_sym_chop] = ACTIONS(481),
    [anon_sym_chdir] = ACTIONS(481),
    [anon_sym_close] = ACTIONS(481),
    [anon_sym_closedir] = ACTIONS(481),
    [anon_sym_caller] = ACTIONS(481),
    [anon_sym_chomp] = ACTIONS(481),
    [anon_sym_chr] = ACTIONS(481),
    [anon_sym_cos] = ACTIONS(481),
    [anon_sym_chroot] = ACTIONS(481),
    [anon_sym_defined] = ACTIONS(481),
    [anon_sym_delete] = ACTIONS(481),
    [anon_sym_dbmclose] = ACTIONS(481),
    [anon_sym_exists] = ACTIONS(481),
    [anon_sym_exit] = ACTIONS(481),
    [anon_sym_eof] = ACTIONS(481),
    [anon_sym_exp] = ACTIONS(481),
    [anon_sym_each] = ACTIONS(481),
    [anon_sym_fc] = ACTIONS(481),
    [anon_sym_fileno] = ACTIONS(481),
    [anon_sym_gmtime] = ACTIONS(481),
    [anon_sym_getc] = ACTIONS(481),
    [anon_sym_getpgrp] = ACTIONS(481),
    [anon_sym_getprotobyname] = ACTIONS(481),
    [anon_sym_getpwname] = ACTIONS(481),
    [anon_sym_getpwuid] = ACTIONS(481),
    [anon_sym_getpeername] = ACTIONS(481),
    [anon_sym_getnetbyname] = ACTIONS(481),
    [anon_sym_getsockname] = ACTIONS(481),
    [anon_sym_getgrnam] = ACTIONS(481),
    [anon_sym_getgrgid] = ACTIONS(481),
    [anon_sym_hex] = ACTIONS(481),
    [anon_sym_int] = ACTIONS(481),
    [anon_sym_keys] = ACTIONS(481),
    [anon_sym_lc] = ACTIONS(481),
    [anon_sym_lcfirst] = ACTIONS(481),
    [anon_sym_length] = ACTIONS(481),
    [anon_sym_localtime] = ACTIONS(481),
    [anon_sym_log] = ACTIONS(481),
    [anon_sym_lock] = ACTIONS(481),
    [anon_sym_lstat] = ACTIONS(481),
    [anon_sym_oct] = ACTIONS(481),
    [anon_sym_ord] = ACTIONS(481),
    [anon_sym_prototype] = ACTIONS(481),
    [anon_sym_pop] = ACTIONS(481),
    [anon_sym_pos] = ACTIONS(481),
    [anon_sym_quotemeta] = ACTIONS(481),
    [anon_sym_reset] = ACTIONS(481),
    [anon_sym_rand] = ACTIONS(481),
    [anon_sym_rmdir] = ACTIONS(481),
    [anon_sym_readdir] = ACTIONS(481),
    [anon_sym_readline] = ACTIONS(481),
    [anon_sym_readpipe] = ACTIONS(481),
    [anon_sym_rewinddir] = ACTIONS(481),
    [anon_sym_readlink] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(481),
    [anon_sym_scalar] = ACTIONS(481),
    [anon_sym_shift] = ACTIONS(481),
    [anon_sym_sin] = ACTIONS(481),
    [anon_sym_sleep] = ACTIONS(481),
    [anon_sym_sqrt] = ACTIONS(481),
    [anon_sym_srand] = ACTIONS(481),
    [anon_sym_stat] = ACTIONS(481),
    [anon_sym_study] = ACTIONS(481),
    [anon_sym_tell] = ACTIONS(481),
    [anon_sym_telldir] = ACTIONS(481),
    [anon_sym_tied] = ACTIONS(481),
    [anon_sym_uc] = ACTIONS(481),
    [anon_sym_ucfirst] = ACTIONS(481),
    [anon_sym_untie] = ACTIONS(481),
    [anon_sym_umask] = ACTIONS(481),
    [anon_sym_values] = ACTIONS(481),
    [anon_sym_write] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(513),
  },
  [391] = {
    [sym__PERLY_BRACE_OPEN] = STATE(68),
    [sym_block] = STATE(787),
    [sym__term_rightward] = STATE(1297),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1448),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_indirect_object] = STATE(502),
    [sym_function_call_expression] = STATE(1316),
    [sym__tricky_indirob_hashref] = STATE(1490),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(777),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(391),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(243),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(1691),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(243),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(245),
  },
  [392] = {
    [sym__PERLY_BRACE_OPEN] = STATE(75),
    [sym_block] = STATE(737),
    [sym__term_rightward] = STATE(1297),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1271),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_indirect_object] = STATE(491),
    [sym_function_call_expression] = STATE(1316),
    [sym__tricky_indirob_hashref] = STATE(1298),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(690),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(392),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(1693),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [393] = {
    [sym__PERLY_BRACE_OPEN] = STATE(70),
    [sym_block] = STATE(817),
    [sym__term_rightward] = STATE(1658),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1539),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_indirect_object] = STATE(466),
    [sym_function_call_expression] = STATE(1720),
    [sym__tricky_indirob_hashref] = STATE(1659),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(801),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(393),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(1515),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [394] = {
    [sym__PERLY_BRACE_OPEN] = STATE(77),
    [sym_block] = STATE(838),
    [sym__term_rightward] = STATE(2158),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2364),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_indirect_object] = STATE(430),
    [sym_function_call_expression] = STATE(2142),
    [sym__tricky_indirob_hashref] = STATE(2394),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(394),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(822),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(394),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(1669),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1695),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1697),
    [anon_sym_DASH_DASH] = ACTIONS(1697),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(1222),
  },
  [395] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2302),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(395),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_RBRACE] = ACTIONS(182),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_COMMA] = ACTIONS(182),
    [anon_sym_RPAREN] = ACTIONS(182),
    [anon_sym_my] = ACTIONS(439),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(439),
    [anon_sym_our] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(451),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_TILDE] = ACTIONS(451),
    [anon_sym_BANG] = ACTIONS(451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1689),
    [anon_sym_DASH_DASH] = ACTIONS(1689),
    [anon_sym_BSLASH] = ACTIONS(453),
    [anon_sym_do] = ACTIONS(455),
    [anon_sym_eval] = ACTIONS(457),
    [anon_sym_await] = ACTIONS(459),
    [anon_sym_field] = ACTIONS(439),
    [anon_sym_local] = ACTIONS(461),
    [anon_sym_dynamically] = ACTIONS(461),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(465),
    [anon_sym_map] = ACTIONS(467),
    [anon_sym_grep] = ACTIONS(467),
    [anon_sym_sort] = ACTIONS(469),
    [anon_sym_goto] = ACTIONS(471),
    [anon_sym_return] = ACTIONS(473),
    [anon_sym_undef] = ACTIONS(475),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(182),
    [anon_sym_last] = ACTIONS(479),
    [anon_sym_next] = ACTIONS(479),
    [anon_sym_redo] = ACTIONS(479),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(481),
    [anon_sym_alarm] = ACTIONS(481),
    [anon_sym_chop] = ACTIONS(481),
    [anon_sym_chdir] = ACTIONS(481),
    [anon_sym_close] = ACTIONS(481),
    [anon_sym_closedir] = ACTIONS(481),
    [anon_sym_caller] = ACTIONS(481),
    [anon_sym_chomp] = ACTIONS(481),
    [anon_sym_chr] = ACTIONS(481),
    [anon_sym_cos] = ACTIONS(481),
    [anon_sym_chroot] = ACTIONS(481),
    [anon_sym_defined] = ACTIONS(481),
    [anon_sym_delete] = ACTIONS(481),
    [anon_sym_dbmclose] = ACTIONS(481),
    [anon_sym_exists] = ACTIONS(481),
    [anon_sym_exit] = ACTIONS(481),
    [anon_sym_eof] = ACTIONS(481),
    [anon_sym_exp] = ACTIONS(481),
    [anon_sym_each] = ACTIONS(481),
    [anon_sym_fc] = ACTIONS(481),
    [anon_sym_fileno] = ACTIONS(481),
    [anon_sym_gmtime] = ACTIONS(481),
    [anon_sym_getc] = ACTIONS(481),
    [anon_sym_getpgrp] = ACTIONS(481),
    [anon_sym_getprotobyname] = ACTIONS(481),
    [anon_sym_getpwname] = ACTIONS(481),
    [anon_sym_getpwuid] = ACTIONS(481),
    [anon_sym_getpeername] = ACTIONS(481),
    [anon_sym_getnetbyname] = ACTIONS(481),
    [anon_sym_getsockname] = ACTIONS(481),
    [anon_sym_getgrnam] = ACTIONS(481),
    [anon_sym_getgrgid] = ACTIONS(481),
    [anon_sym_hex] = ACTIONS(481),
    [anon_sym_int] = ACTIONS(481),
    [anon_sym_keys] = ACTIONS(481),
    [anon_sym_lc] = ACTIONS(481),
    [anon_sym_lcfirst] = ACTIONS(481),
    [anon_sym_length] = ACTIONS(481),
    [anon_sym_localtime] = ACTIONS(481),
    [anon_sym_log] = ACTIONS(481),
    [anon_sym_lock] = ACTIONS(481),
    [anon_sym_lstat] = ACTIONS(481),
    [anon_sym_oct] = ACTIONS(481),
    [anon_sym_ord] = ACTIONS(481),
    [anon_sym_prototype] = ACTIONS(481),
    [anon_sym_pop] = ACTIONS(481),
    [anon_sym_pos] = ACTIONS(481),
    [anon_sym_quotemeta] = ACTIONS(481),
    [anon_sym_reset] = ACTIONS(481),
    [anon_sym_rand] = ACTIONS(481),
    [anon_sym_rmdir] = ACTIONS(481),
    [anon_sym_readdir] = ACTIONS(481),
    [anon_sym_readline] = ACTIONS(481),
    [anon_sym_readpipe] = ACTIONS(481),
    [anon_sym_rewinddir] = ACTIONS(481),
    [anon_sym_readlink] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(481),
    [anon_sym_scalar] = ACTIONS(481),
    [anon_sym_shift] = ACTIONS(481),
    [anon_sym_sin] = ACTIONS(481),
    [anon_sym_sleep] = ACTIONS(481),
    [anon_sym_sqrt] = ACTIONS(481),
    [anon_sym_srand] = ACTIONS(481),
    [anon_sym_stat] = ACTIONS(481),
    [anon_sym_study] = ACTIONS(481),
    [anon_sym_tell] = ACTIONS(481),
    [anon_sym_telldir] = ACTIONS(481),
    [anon_sym_tied] = ACTIONS(481),
    [anon_sym_uc] = ACTIONS(481),
    [anon_sym_ucfirst] = ACTIONS(481),
    [anon_sym_untie] = ACTIONS(481),
    [anon_sym_umask] = ACTIONS(481),
    [anon_sym_values] = ACTIONS(481),
    [anon_sym_write] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(513),
  },
  [396] = {
    [sym__PERLY_BRACE_OPEN] = STATE(73),
    [sym_block] = STATE(1189),
    [sym__term_rightward] = STATE(2188),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2189),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym__sort_routine] = STATE(489),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(836),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(396),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(1699),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(1701),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(439),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(1703),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(439),
    [anon_sym_our] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(451),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_TILDE] = ACTIONS(451),
    [anon_sym_BANG] = ACTIONS(451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1689),
    [anon_sym_DASH_DASH] = ACTIONS(1689),
    [anon_sym_BSLASH] = ACTIONS(453),
    [anon_sym_do] = ACTIONS(455),
    [anon_sym_eval] = ACTIONS(457),
    [anon_sym_await] = ACTIONS(459),
    [anon_sym_field] = ACTIONS(439),
    [anon_sym_local] = ACTIONS(461),
    [anon_sym_dynamically] = ACTIONS(461),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(465),
    [anon_sym_map] = ACTIONS(467),
    [anon_sym_grep] = ACTIONS(467),
    [anon_sym_sort] = ACTIONS(469),
    [anon_sym_goto] = ACTIONS(471),
    [anon_sym_return] = ACTIONS(473),
    [anon_sym_undef] = ACTIONS(475),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(479),
    [anon_sym_next] = ACTIONS(479),
    [anon_sym_redo] = ACTIONS(479),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(481),
    [anon_sym_alarm] = ACTIONS(481),
    [anon_sym_chop] = ACTIONS(481),
    [anon_sym_chdir] = ACTIONS(481),
    [anon_sym_close] = ACTIONS(481),
    [anon_sym_closedir] = ACTIONS(481),
    [anon_sym_caller] = ACTIONS(481),
    [anon_sym_chomp] = ACTIONS(481),
    [anon_sym_chr] = ACTIONS(481),
    [anon_sym_cos] = ACTIONS(481),
    [anon_sym_chroot] = ACTIONS(481),
    [anon_sym_defined] = ACTIONS(481),
    [anon_sym_delete] = ACTIONS(481),
    [anon_sym_dbmclose] = ACTIONS(481),
    [anon_sym_exists] = ACTIONS(481),
    [anon_sym_exit] = ACTIONS(481),
    [anon_sym_eof] = ACTIONS(481),
    [anon_sym_exp] = ACTIONS(481),
    [anon_sym_each] = ACTIONS(481),
    [anon_sym_fc] = ACTIONS(481),
    [anon_sym_fileno] = ACTIONS(481),
    [anon_sym_gmtime] = ACTIONS(481),
    [anon_sym_getc] = ACTIONS(481),
    [anon_sym_getpgrp] = ACTIONS(481),
    [anon_sym_getprotobyname] = ACTIONS(481),
    [anon_sym_getpwname] = ACTIONS(481),
    [anon_sym_getpwuid] = ACTIONS(481),
    [anon_sym_getpeername] = ACTIONS(481),
    [anon_sym_getnetbyname] = ACTIONS(481),
    [anon_sym_getsockname] = ACTIONS(481),
    [anon_sym_getgrnam] = ACTIONS(481),
    [anon_sym_getgrgid] = ACTIONS(481),
    [anon_sym_hex] = ACTIONS(481),
    [anon_sym_int] = ACTIONS(481),
    [anon_sym_keys] = ACTIONS(481),
    [anon_sym_lc] = ACTIONS(481),
    [anon_sym_lcfirst] = ACTIONS(481),
    [anon_sym_length] = ACTIONS(481),
    [anon_sym_localtime] = ACTIONS(481),
    [anon_sym_log] = ACTIONS(481),
    [anon_sym_lock] = ACTIONS(481),
    [anon_sym_lstat] = ACTIONS(481),
    [anon_sym_oct] = ACTIONS(481),
    [anon_sym_ord] = ACTIONS(481),
    [anon_sym_prototype] = ACTIONS(481),
    [anon_sym_pop] = ACTIONS(481),
    [anon_sym_pos] = ACTIONS(481),
    [anon_sym_quotemeta] = ACTIONS(481),
    [anon_sym_reset] = ACTIONS(481),
    [anon_sym_rand] = ACTIONS(481),
    [anon_sym_rmdir] = ACTIONS(481),
    [anon_sym_readdir] = ACTIONS(481),
    [anon_sym_readline] = ACTIONS(481),
    [anon_sym_readpipe] = ACTIONS(481),
    [anon_sym_rewinddir] = ACTIONS(481),
    [anon_sym_readlink] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(481),
    [anon_sym_scalar] = ACTIONS(481),
    [anon_sym_shift] = ACTIONS(481),
    [anon_sym_sin] = ACTIONS(481),
    [anon_sym_sleep] = ACTIONS(481),
    [anon_sym_sqrt] = ACTIONS(481),
    [anon_sym_srand] = ACTIONS(481),
    [anon_sym_stat] = ACTIONS(481),
    [anon_sym_study] = ACTIONS(481),
    [anon_sym_tell] = ACTIONS(481),
    [anon_sym_telldir] = ACTIONS(481),
    [anon_sym_tied] = ACTIONS(481),
    [anon_sym_uc] = ACTIONS(481),
    [anon_sym_ucfirst] = ACTIONS(481),
    [anon_sym_untie] = ACTIONS(481),
    [anon_sym_umask] = ACTIONS(481),
    [anon_sym_values] = ACTIONS(481),
    [anon_sym_write] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(1699),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(513),
  },
  [397] = {
    [sym__PERLY_BRACE_OPEN] = STATE(73),
    [sym_block] = STATE(1189),
    [sym__term_rightward] = STATE(4089),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2116),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym__sort_routine] = STATE(517),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(836),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(397),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(1699),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(1701),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(439),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(439),
    [anon_sym_our] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(451),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_TILDE] = ACTIONS(451),
    [anon_sym_BANG] = ACTIONS(451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1689),
    [anon_sym_DASH_DASH] = ACTIONS(1689),
    [anon_sym_BSLASH] = ACTIONS(453),
    [anon_sym_do] = ACTIONS(455),
    [anon_sym_eval] = ACTIONS(457),
    [anon_sym_await] = ACTIONS(459),
    [anon_sym_field] = ACTIONS(439),
    [anon_sym_local] = ACTIONS(461),
    [anon_sym_dynamically] = ACTIONS(461),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(465),
    [anon_sym_map] = ACTIONS(467),
    [anon_sym_grep] = ACTIONS(467),
    [anon_sym_sort] = ACTIONS(469),
    [anon_sym_goto] = ACTIONS(471),
    [anon_sym_return] = ACTIONS(473),
    [anon_sym_undef] = ACTIONS(475),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(479),
    [anon_sym_next] = ACTIONS(479),
    [anon_sym_redo] = ACTIONS(479),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(481),
    [anon_sym_alarm] = ACTIONS(481),
    [anon_sym_chop] = ACTIONS(481),
    [anon_sym_chdir] = ACTIONS(481),
    [anon_sym_close] = ACTIONS(481),
    [anon_sym_closedir] = ACTIONS(481),
    [anon_sym_caller] = ACTIONS(481),
    [anon_sym_chomp] = ACTIONS(481),
    [anon_sym_chr] = ACTIONS(481),
    [anon_sym_cos] = ACTIONS(481),
    [anon_sym_chroot] = ACTIONS(481),
    [anon_sym_defined] = ACTIONS(481),
    [anon_sym_delete] = ACTIONS(481),
    [anon_sym_dbmclose] = ACTIONS(481),
    [anon_sym_exists] = ACTIONS(481),
    [anon_sym_exit] = ACTIONS(481),
    [anon_sym_eof] = ACTIONS(481),
    [anon_sym_exp] = ACTIONS(481),
    [anon_sym_each] = ACTIONS(481),
    [anon_sym_fc] = ACTIONS(481),
    [anon_sym_fileno] = ACTIONS(481),
    [anon_sym_gmtime] = ACTIONS(481),
    [anon_sym_getc] = ACTIONS(481),
    [anon_sym_getpgrp] = ACTIONS(481),
    [anon_sym_getprotobyname] = ACTIONS(481),
    [anon_sym_getpwname] = ACTIONS(481),
    [anon_sym_getpwuid] = ACTIONS(481),
    [anon_sym_getpeername] = ACTIONS(481),
    [anon_sym_getnetbyname] = ACTIONS(481),
    [anon_sym_getsockname] = ACTIONS(481),
    [anon_sym_getgrnam] = ACTIONS(481),
    [anon_sym_getgrgid] = ACTIONS(481),
    [anon_sym_hex] = ACTIONS(481),
    [anon_sym_int] = ACTIONS(481),
    [anon_sym_keys] = ACTIONS(481),
    [anon_sym_lc] = ACTIONS(481),
    [anon_sym_lcfirst] = ACTIONS(481),
    [anon_sym_length] = ACTIONS(481),
    [anon_sym_localtime] = ACTIONS(481),
    [anon_sym_log] = ACTIONS(481),
    [anon_sym_lock] = ACTIONS(481),
    [anon_sym_lstat] = ACTIONS(481),
    [anon_sym_oct] = ACTIONS(481),
    [anon_sym_ord] = ACTIONS(481),
    [anon_sym_prototype] = ACTIONS(481),
    [anon_sym_pop] = ACTIONS(481),
    [anon_sym_pos] = ACTIONS(481),
    [anon_sym_quotemeta] = ACTIONS(481),
    [anon_sym_reset] = ACTIONS(481),
    [anon_sym_rand] = ACTIONS(481),
    [anon_sym_rmdir] = ACTIONS(481),
    [anon_sym_readdir] = ACTIONS(481),
    [anon_sym_readline] = ACTIONS(481),
    [anon_sym_readpipe] = ACTIONS(481),
    [anon_sym_rewinddir] = ACTIONS(481),
    [anon_sym_readlink] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(481),
    [anon_sym_scalar] = ACTIONS(481),
    [anon_sym_shift] = ACTIONS(481),
    [anon_sym_sin] = ACTIONS(481),
    [anon_sym_sleep] = ACTIONS(481),
    [anon_sym_sqrt] = ACTIONS(481),
    [anon_sym_srand] = ACTIONS(481),
    [anon_sym_stat] = ACTIONS(481),
    [anon_sym_study] = ACTIONS(481),
    [anon_sym_tell] = ACTIONS(481),
    [anon_sym_telldir] = ACTIONS(481),
    [anon_sym_tied] = ACTIONS(481),
    [anon_sym_uc] = ACTIONS(481),
    [anon_sym_ucfirst] = ACTIONS(481),
    [anon_sym_untie] = ACTIONS(481),
    [anon_sym_umask] = ACTIONS(481),
    [anon_sym_values] = ACTIONS(481),
    [anon_sym_write] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(1699),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(513),
  },
  [398] = {
    [sym__PERLY_BRACE_OPEN] = STATE(73),
    [sym_block] = STATE(1189),
    [sym__term_rightward] = STATE(4049),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2116),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym__sort_routine] = STATE(497),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(836),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(398),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(1699),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(1701),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(439),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(439),
    [anon_sym_our] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(451),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_TILDE] = ACTIONS(451),
    [anon_sym_BANG] = ACTIONS(451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1689),
    [anon_sym_DASH_DASH] = ACTIONS(1689),
    [anon_sym_BSLASH] = ACTIONS(453),
    [anon_sym_do] = ACTIONS(455),
    [anon_sym_eval] = ACTIONS(457),
    [anon_sym_await] = ACTIONS(459),
    [anon_sym_field] = ACTIONS(439),
    [anon_sym_local] = ACTIONS(461),
    [anon_sym_dynamically] = ACTIONS(461),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(465),
    [anon_sym_map] = ACTIONS(467),
    [anon_sym_grep] = ACTIONS(467),
    [anon_sym_sort] = ACTIONS(469),
    [anon_sym_goto] = ACTIONS(471),
    [anon_sym_return] = ACTIONS(473),
    [anon_sym_undef] = ACTIONS(475),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(479),
    [anon_sym_next] = ACTIONS(479),
    [anon_sym_redo] = ACTIONS(479),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(481),
    [anon_sym_alarm] = ACTIONS(481),
    [anon_sym_chop] = ACTIONS(481),
    [anon_sym_chdir] = ACTIONS(481),
    [anon_sym_close] = ACTIONS(481),
    [anon_sym_closedir] = ACTIONS(481),
    [anon_sym_caller] = ACTIONS(481),
    [anon_sym_chomp] = ACTIONS(481),
    [anon_sym_chr] = ACTIONS(481),
    [anon_sym_cos] = ACTIONS(481),
    [anon_sym_chroot] = ACTIONS(481),
    [anon_sym_defined] = ACTIONS(481),
    [anon_sym_delete] = ACTIONS(481),
    [anon_sym_dbmclose] = ACTIONS(481),
    [anon_sym_exists] = ACTIONS(481),
    [anon_sym_exit] = ACTIONS(481),
    [anon_sym_eof] = ACTIONS(481),
    [anon_sym_exp] = ACTIONS(481),
    [anon_sym_each] = ACTIONS(481),
    [anon_sym_fc] = ACTIONS(481),
    [anon_sym_fileno] = ACTIONS(481),
    [anon_sym_gmtime] = ACTIONS(481),
    [anon_sym_getc] = ACTIONS(481),
    [anon_sym_getpgrp] = ACTIONS(481),
    [anon_sym_getprotobyname] = ACTIONS(481),
    [anon_sym_getpwname] = ACTIONS(481),
    [anon_sym_getpwuid] = ACTIONS(481),
    [anon_sym_getpeername] = ACTIONS(481),
    [anon_sym_getnetbyname] = ACTIONS(481),
    [anon_sym_getsockname] = ACTIONS(481),
    [anon_sym_getgrnam] = ACTIONS(481),
    [anon_sym_getgrgid] = ACTIONS(481),
    [anon_sym_hex] = ACTIONS(481),
    [anon_sym_int] = ACTIONS(481),
    [anon_sym_keys] = ACTIONS(481),
    [anon_sym_lc] = ACTIONS(481),
    [anon_sym_lcfirst] = ACTIONS(481),
    [anon_sym_length] = ACTIONS(481),
    [anon_sym_localtime] = ACTIONS(481),
    [anon_sym_log] = ACTIONS(481),
    [anon_sym_lock] = ACTIONS(481),
    [anon_sym_lstat] = ACTIONS(481),
    [anon_sym_oct] = ACTIONS(481),
    [anon_sym_ord] = ACTIONS(481),
    [anon_sym_prototype] = ACTIONS(481),
    [anon_sym_pop] = ACTIONS(481),
    [anon_sym_pos] = ACTIONS(481),
    [anon_sym_quotemeta] = ACTIONS(481),
    [anon_sym_reset] = ACTIONS(481),
    [anon_sym_rand] = ACTIONS(481),
    [anon_sym_rmdir] = ACTIONS(481),
    [anon_sym_readdir] = ACTIONS(481),
    [anon_sym_readline] = ACTIONS(481),
    [anon_sym_readpipe] = ACTIONS(481),
    [anon_sym_rewinddir] = ACTIONS(481),
    [anon_sym_readlink] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(481),
    [anon_sym_scalar] = ACTIONS(481),
    [anon_sym_shift] = ACTIONS(481),
    [anon_sym_sin] = ACTIONS(481),
    [anon_sym_sleep] = ACTIONS(481),
    [anon_sym_sqrt] = ACTIONS(481),
    [anon_sym_srand] = ACTIONS(481),
    [anon_sym_stat] = ACTIONS(481),
    [anon_sym_study] = ACTIONS(481),
    [anon_sym_tell] = ACTIONS(481),
    [anon_sym_telldir] = ACTIONS(481),
    [anon_sym_tied] = ACTIONS(481),
    [anon_sym_uc] = ACTIONS(481),
    [anon_sym_ucfirst] = ACTIONS(481),
    [anon_sym_untie] = ACTIONS(481),
    [anon_sym_umask] = ACTIONS(481),
    [anon_sym_values] = ACTIONS(481),
    [anon_sym_write] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(1699),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(513),
  },
  [399] = {
    [sym__PERLY_BRACE_OPEN] = STATE(67),
    [sym_block] = STATE(1189),
    [sym__term_rightward] = STATE(1811),
    [sym__subscripted] = STATE(1532),
    [sym_container_variable] = STATE(3855),
    [sym_array_element_expression] = STATE(1533),
    [sym_hash_element_expression] = STATE(1533),
    [sym_coderef_call_expression] = STATE(1533),
    [sym_anonymous_slice_expression] = STATE(1533),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(1967),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(1967),
    [sym__term] = STATE(1803),
    [sym_readline_expression] = STATE(1967),
    [sym_fileglob_expression] = STATE(1967),
    [sym_assignment_expression] = STATE(1967),
    [sym_binary_expression] = STATE(1967),
    [sym_equality_expression] = STATE(1967),
    [sym_relational_expression] = STATE(1967),
    [sym_unary_expression] = STATE(1967),
    [sym_preinc_expression] = STATE(1967),
    [sym_postinc_expression] = STATE(1967),
    [sym_conditional_expression] = STATE(1967),
    [sym_refgen_expression] = STATE(1967),
    [sym_anonymous_array_expression] = STATE(1967),
    [sym_anonymous_hash_expression] = STATE(1967),
    [sym_anonymous_subroutine_expression] = STATE(1967),
    [sym_anonymous_method_expression] = STATE(1967),
    [sym_do_expression] = STATE(1967),
    [sym_eval_expression] = STATE(1967),
    [sym_await_expression] = STATE(1967),
    [sym_variable_declaration] = STATE(1967),
    [sym_localization_expression] = STATE(1967),
    [sym_stub_expression] = STATE(1967),
    [sym_scalar_deref_expression] = STATE(1967),
    [sym_array_deref_expression] = STATE(1967),
    [sym_arraylen_deref_expression] = STATE(1967),
    [sym_hash_deref_expression] = STATE(1967),
    [sym_amper_deref_expression] = STATE(1967),
    [sym_glob_deref_expression] = STATE(1967),
    [sym_require_expression] = STATE(1967),
    [sym_require_version_expression] = STATE(1967),
    [sym_func0op_call_expression] = STATE(1967),
    [sym_func1op_call_expression] = STATE(1967),
    [sym_map_grep_expression] = STATE(1967),
    [sym__sort_routine] = STATE(512),
    [sym_sort_expression] = STATE(1967),
    [sym_loopex_expression] = STATE(1967),
    [sym_goto_expression] = STATE(1967),
    [sym_return_expression] = STATE(1967),
    [sym_undef_expression] = STATE(1967),
    [sym__listop] = STATE(1967),
    [sym_function_call_expression] = STATE(1968),
    [sym_ambiguous_function_call_expression] = STATE(1968),
    [sym_function] = STATE(389),
    [sym_method_call_expression] = STATE(1968),
    [sym_scalar] = STATE(836),
    [sym_array] = STATE(1967),
    [sym__SUB_AMPER] = STATE(2686),
    [sym__GLOB_STAR] = STATE(2687),
    [sym_hash] = STATE(1967),
    [sym_arraylen] = STATE(1967),
    [sym_amper_sub] = STATE(1785),
    [sym_glob] = STATE(1786),
    [sym_glob_slot_expression] = STATE(1967),
    [sym__literal] = STATE(1967),
    [sym__apostrophe] = STATE(3328),
    [sym__quotation_mark] = STATE(2501),
    [sym__backtick] = STATE(2502),
    [sym__search_slash] = STATE(2454),
    [sym_string_literal] = STATE(1969),
    [sym_interpolated_string_literal] = STATE(1969),
    [sym_quoted_word_list] = STATE(1787),
    [sym_command_string] = STATE(1969),
    [sym_quoted_regexp] = STATE(1969),
    [sym_match_regexp] = STATE(1969),
    [sym_substitution_regexp] = STATE(1969),
    [sym_transliteration_expression] = STATE(1969),
    [sym_heredoc_token] = STATE(1967),
    [sym_command_heredoc_token] = STATE(1967),
    [sym_heredoc_content] = STATE(399),
    [sym_autoquoted_bareword] = STATE(1967),
    [sym_bareword] = STATE(1967),
    [sym_primitive] = STATE(1967),
    [sym_boolean] = STATE(1965),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3342),
    [sym__identifier] = ACTIONS(1699),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(1701),
    [anon_sym_AT] = ACTIONS(1671),
    [anon_sym_my] = ACTIONS(517),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(519),
    [anon_sym_method] = ACTIONS(521),
    [anon_sym_LPAREN] = ACTIONS(1705),
    [anon_sym_continue] = ACTIONS(525),
    [anon_sym_state] = ACTIONS(517),
    [anon_sym_our] = ACTIONS(517),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_LT_LT] = ACTIONS(1673),
    [anon_sym_SLASH_SLASH] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(1677),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_PLUS_PLUS] = ACTIONS(1679),
    [anon_sym_DASH_DASH] = ACTIONS(1679),
    [anon_sym_BSLASH] = ACTIONS(531),
    [anon_sym_do] = ACTIONS(533),
    [anon_sym_eval] = ACTIONS(535),
    [anon_sym_await] = ACTIONS(537),
    [anon_sym_field] = ACTIONS(517),
    [anon_sym_local] = ACTIONS(539),
    [anon_sym_dynamically] = ACTIONS(539),
    [anon_sym_DOLLAR_POUND] = ACTIONS(541),
    [anon_sym_require] = ACTIONS(543),
    [anon_sym_map] = ACTIONS(545),
    [anon_sym_grep] = ACTIONS(545),
    [anon_sym_sort] = ACTIONS(547),
    [anon_sym_goto] = ACTIONS(549),
    [anon_sym_return] = ACTIONS(551),
    [anon_sym_undef] = ACTIONS(553),
    [anon_sym_PERCENT2] = ACTIONS(1681),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(555),
    [anon_sym_next] = ACTIONS(555),
    [anon_sym_redo] = ACTIONS(555),
    [anon_sym___FILE__] = ACTIONS(525),
    [anon_sym___LINE__] = ACTIONS(525),
    [anon_sym___PACKAGE__] = ACTIONS(525),
    [anon_sym___SUB__] = ACTIONS(525),
    [anon_sym_break] = ACTIONS(525),
    [anon_sym_fork] = ACTIONS(525),
    [anon_sym_getppid] = ACTIONS(525),
    [anon_sym_time] = ACTIONS(525),
    [anon_sym_times] = ACTIONS(525),
    [anon_sym_wait] = ACTIONS(525),
    [anon_sym_wantarray] = ACTIONS(525),
    [anon_sym_abs] = ACTIONS(557),
    [anon_sym_alarm] = ACTIONS(557),
    [anon_sym_chop] = ACTIONS(557),
    [anon_sym_chdir] = ACTIONS(557),
    [anon_sym_close] = ACTIONS(557),
    [anon_sym_closedir] = ACTIONS(557),
    [anon_sym_caller] = ACTIONS(557),
    [anon_sym_chomp] = ACTIONS(557),
    [anon_sym_chr] = ACTIONS(557),
    [anon_sym_cos] = ACTIONS(557),
    [anon_sym_chroot] = ACTIONS(557),
    [anon_sym_defined] = ACTIONS(557),
    [anon_sym_delete] = ACTIONS(557),
    [anon_sym_dbmclose] = ACTIONS(557),
    [anon_sym_exists] = ACTIONS(557),
    [anon_sym_exit] = ACTIONS(557),
    [anon_sym_eof] = ACTIONS(557),
    [anon_sym_exp] = ACTIONS(557),
    [anon_sym_each] = ACTIONS(557),
    [anon_sym_fc] = ACTIONS(557),
    [anon_sym_fileno] = ACTIONS(557),
    [anon_sym_gmtime] = ACTIONS(557),
    [anon_sym_getc] = ACTIONS(557),
    [anon_sym_getpgrp] = ACTIONS(557),
    [anon_sym_getprotobyname] = ACTIONS(557),
    [anon_sym_getpwname] = ACTIONS(557),
    [anon_sym_getpwuid] = ACTIONS(557),
    [anon_sym_getpeername] = ACTIONS(557),
    [anon_sym_getnetbyname] = ACTIONS(557),
    [anon_sym_getsockname] = ACTIONS(557),
    [anon_sym_getgrnam] = ACTIONS(557),
    [anon_sym_getgrgid] = ACTIONS(557),
    [anon_sym_hex] = ACTIONS(557),
    [anon_sym_int] = ACTIONS(557),
    [anon_sym_keys] = ACTIONS(557),
    [anon_sym_lc] = ACTIONS(557),
    [anon_sym_lcfirst] = ACTIONS(557),
    [anon_sym_length] = ACTIONS(557),
    [anon_sym_localtime] = ACTIONS(557),
    [anon_sym_log] = ACTIONS(557),
    [anon_sym_lock] = ACTIONS(557),
    [anon_sym_lstat] = ACTIONS(557),
    [anon_sym_oct] = ACTIONS(557),
    [anon_sym_ord] = ACTIONS(557),
    [anon_sym_prototype] = ACTIONS(557),
    [anon_sym_pop] = ACTIONS(557),
    [anon_sym_pos] = ACTIONS(557),
    [anon_sym_quotemeta] = ACTIONS(557),
    [anon_sym_reset] = ACTIONS(557),
    [anon_sym_rand] = ACTIONS(557),
    [anon_sym_rmdir] = ACTIONS(557),
    [anon_sym_readdir] = ACTIONS(557),
    [anon_sym_readline] = ACTIONS(557),
    [anon_sym_readpipe] = ACTIONS(557),
    [anon_sym_rewinddir] = ACTIONS(557),
    [anon_sym_readlink] = ACTIONS(557),
    [anon_sym_ref] = ACTIONS(557),
    [anon_sym_scalar] = ACTIONS(557),
    [anon_sym_shift] = ACTIONS(557),
    [anon_sym_sin] = ACTIONS(557),
    [anon_sym_sleep] = ACTIONS(557),
    [anon_sym_sqrt] = ACTIONS(557),
    [anon_sym_srand] = ACTIONS(557),
    [anon_sym_stat] = ACTIONS(557),
    [anon_sym_study] = ACTIONS(557),
    [anon_sym_tell] = ACTIONS(557),
    [anon_sym_telldir] = ACTIONS(557),
    [anon_sym_tied] = ACTIONS(557),
    [anon_sym_uc] = ACTIONS(557),
    [anon_sym_ucfirst] = ACTIONS(557),
    [anon_sym_untie] = ACTIONS(557),
    [anon_sym_umask] = ACTIONS(557),
    [anon_sym_values] = ACTIONS(557),
    [anon_sym_write] = ACTIONS(557),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(559),
    [anon_sym_qq] = ACTIONS(561),
    [anon_sym_qw] = ACTIONS(563),
    [anon_sym_qx] = ACTIONS(565),
    [anon_sym_qr] = ACTIONS(567),
    [anon_sym_m] = ACTIONS(569),
    [anon_sym_s] = ACTIONS(571),
    [anon_sym_tr] = ACTIONS(573),
    [anon_sym_y] = ACTIONS(573),
    [aux_sym__bareword_token1] = ACTIONS(1699),
    [sym_number] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(581),
    [sym__open_fileglob_bracket] = ACTIONS(583),
    [sym__PERLY_HEREDOC] = ACTIONS(585),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(587),
    [sym__filetest] = ACTIONS(589),
  },
  [400] = {
    [sym__PERLY_BRACE_OPEN] = STATE(73),
    [sym_block] = STATE(1189),
    [sym__term_rightward] = STATE(3964),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2116),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym__sort_routine] = STATE(480),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(836),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(400),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(1699),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(1701),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(439),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(439),
    [anon_sym_our] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(451),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_TILDE] = ACTIONS(451),
    [anon_sym_BANG] = ACTIONS(451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1689),
    [anon_sym_DASH_DASH] = ACTIONS(1689),
    [anon_sym_BSLASH] = ACTIONS(453),
    [anon_sym_do] = ACTIONS(455),
    [anon_sym_eval] = ACTIONS(457),
    [anon_sym_await] = ACTIONS(459),
    [anon_sym_field] = ACTIONS(439),
    [anon_sym_local] = ACTIONS(461),
    [anon_sym_dynamically] = ACTIONS(461),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(465),
    [anon_sym_map] = ACTIONS(467),
    [anon_sym_grep] = ACTIONS(467),
    [anon_sym_sort] = ACTIONS(469),
    [anon_sym_goto] = ACTIONS(471),
    [anon_sym_return] = ACTIONS(473),
    [anon_sym_undef] = ACTIONS(475),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(479),
    [anon_sym_next] = ACTIONS(479),
    [anon_sym_redo] = ACTIONS(479),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(481),
    [anon_sym_alarm] = ACTIONS(481),
    [anon_sym_chop] = ACTIONS(481),
    [anon_sym_chdir] = ACTIONS(481),
    [anon_sym_close] = ACTIONS(481),
    [anon_sym_closedir] = ACTIONS(481),
    [anon_sym_caller] = ACTIONS(481),
    [anon_sym_chomp] = ACTIONS(481),
    [anon_sym_chr] = ACTIONS(481),
    [anon_sym_cos] = ACTIONS(481),
    [anon_sym_chroot] = ACTIONS(481),
    [anon_sym_defined] = ACTIONS(481),
    [anon_sym_delete] = ACTIONS(481),
    [anon_sym_dbmclose] = ACTIONS(481),
    [anon_sym_exists] = ACTIONS(481),
    [anon_sym_exit] = ACTIONS(481),
    [anon_sym_eof] = ACTIONS(481),
    [anon_sym_exp] = ACTIONS(481),
    [anon_sym_each] = ACTIONS(481),
    [anon_sym_fc] = ACTIONS(481),
    [anon_sym_fileno] = ACTIONS(481),
    [anon_sym_gmtime] = ACTIONS(481),
    [anon_sym_getc] = ACTIONS(481),
    [anon_sym_getpgrp] = ACTIONS(481),
    [anon_sym_getprotobyname] = ACTIONS(481),
    [anon_sym_getpwname] = ACTIONS(481),
    [anon_sym_getpwuid] = ACTIONS(481),
    [anon_sym_getpeername] = ACTIONS(481),
    [anon_sym_getnetbyname] = ACTIONS(481),
    [anon_sym_getsockname] = ACTIONS(481),
    [anon_sym_getgrnam] = ACTIONS(481),
    [anon_sym_getgrgid] = ACTIONS(481),
    [anon_sym_hex] = ACTIONS(481),
    [anon_sym_int] = ACTIONS(481),
    [anon_sym_keys] = ACTIONS(481),
    [anon_sym_lc] = ACTIONS(481),
    [anon_sym_lcfirst] = ACTIONS(481),
    [anon_sym_length] = ACTIONS(481),
    [anon_sym_localtime] = ACTIONS(481),
    [anon_sym_log] = ACTIONS(481),
    [anon_sym_lock] = ACTIONS(481),
    [anon_sym_lstat] = ACTIONS(481),
    [anon_sym_oct] = ACTIONS(481),
    [anon_sym_ord] = ACTIONS(481),
    [anon_sym_prototype] = ACTIONS(481),
    [anon_sym_pop] = ACTIONS(481),
    [anon_sym_pos] = ACTIONS(481),
    [anon_sym_quotemeta] = ACTIONS(481),
    [anon_sym_reset] = ACTIONS(481),
    [anon_sym_rand] = ACTIONS(481),
    [anon_sym_rmdir] = ACTIONS(481),
    [anon_sym_readdir] = ACTIONS(481),
    [anon_sym_readline] = ACTIONS(481),
    [anon_sym_readpipe] = ACTIONS(481),
    [anon_sym_rewinddir] = ACTIONS(481),
    [anon_sym_readlink] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(481),
    [anon_sym_scalar] = ACTIONS(481),
    [anon_sym_shift] = ACTIONS(481),
    [anon_sym_sin] = ACTIONS(481),
    [anon_sym_sleep] = ACTIONS(481),
    [anon_sym_sqrt] = ACTIONS(481),
    [anon_sym_srand] = ACTIONS(481),
    [anon_sym_stat] = ACTIONS(481),
    [anon_sym_study] = ACTIONS(481),
    [anon_sym_tell] = ACTIONS(481),
    [anon_sym_telldir] = ACTIONS(481),
    [anon_sym_tied] = ACTIONS(481),
    [anon_sym_uc] = ACTIONS(481),
    [anon_sym_ucfirst] = ACTIONS(481),
    [anon_sym_untie] = ACTIONS(481),
    [anon_sym_umask] = ACTIONS(481),
    [anon_sym_values] = ACTIONS(481),
    [anon_sym_write] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(1699),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(513),
  },
  [401] = {
    [sym__PERLY_BRACE_OPEN] = STATE(79),
    [sym_block] = STATE(1189),
    [sym__term_rightward] = STATE(1279),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1271),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym__sort_routine] = STATE(490),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(736),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(401),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(1709),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(1711),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(1707),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [402] = {
    [sym__PERLY_BRACE_OPEN] = STATE(73),
    [sym_block] = STATE(1189),
    [sym__term_rightward] = STATE(4019),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2116),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym__sort_routine] = STATE(477),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(836),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(402),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(1699),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(1701),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(439),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(439),
    [anon_sym_our] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(451),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_TILDE] = ACTIONS(451),
    [anon_sym_BANG] = ACTIONS(451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1689),
    [anon_sym_DASH_DASH] = ACTIONS(1689),
    [anon_sym_BSLASH] = ACTIONS(453),
    [anon_sym_do] = ACTIONS(455),
    [anon_sym_eval] = ACTIONS(457),
    [anon_sym_await] = ACTIONS(459),
    [anon_sym_field] = ACTIONS(439),
    [anon_sym_local] = ACTIONS(461),
    [anon_sym_dynamically] = ACTIONS(461),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(465),
    [anon_sym_map] = ACTIONS(467),
    [anon_sym_grep] = ACTIONS(467),
    [anon_sym_sort] = ACTIONS(469),
    [anon_sym_goto] = ACTIONS(471),
    [anon_sym_return] = ACTIONS(473),
    [anon_sym_undef] = ACTIONS(475),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(479),
    [anon_sym_next] = ACTIONS(479),
    [anon_sym_redo] = ACTIONS(479),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(481),
    [anon_sym_alarm] = ACTIONS(481),
    [anon_sym_chop] = ACTIONS(481),
    [anon_sym_chdir] = ACTIONS(481),
    [anon_sym_close] = ACTIONS(481),
    [anon_sym_closedir] = ACTIONS(481),
    [anon_sym_caller] = ACTIONS(481),
    [anon_sym_chomp] = ACTIONS(481),
    [anon_sym_chr] = ACTIONS(481),
    [anon_sym_cos] = ACTIONS(481),
    [anon_sym_chroot] = ACTIONS(481),
    [anon_sym_defined] = ACTIONS(481),
    [anon_sym_delete] = ACTIONS(481),
    [anon_sym_dbmclose] = ACTIONS(481),
    [anon_sym_exists] = ACTIONS(481),
    [anon_sym_exit] = ACTIONS(481),
    [anon_sym_eof] = ACTIONS(481),
    [anon_sym_exp] = ACTIONS(481),
    [anon_sym_each] = ACTIONS(481),
    [anon_sym_fc] = ACTIONS(481),
    [anon_sym_fileno] = ACTIONS(481),
    [anon_sym_gmtime] = ACTIONS(481),
    [anon_sym_getc] = ACTIONS(481),
    [anon_sym_getpgrp] = ACTIONS(481),
    [anon_sym_getprotobyname] = ACTIONS(481),
    [anon_sym_getpwname] = ACTIONS(481),
    [anon_sym_getpwuid] = ACTIONS(481),
    [anon_sym_getpeername] = ACTIONS(481),
    [anon_sym_getnetbyname] = ACTIONS(481),
    [anon_sym_getsockname] = ACTIONS(481),
    [anon_sym_getgrnam] = ACTIONS(481),
    [anon_sym_getgrgid] = ACTIONS(481),
    [anon_sym_hex] = ACTIONS(481),
    [anon_sym_int] = ACTIONS(481),
    [anon_sym_keys] = ACTIONS(481),
    [anon_sym_lc] = ACTIONS(481),
    [anon_sym_lcfirst] = ACTIONS(481),
    [anon_sym_length] = ACTIONS(481),
    [anon_sym_localtime] = ACTIONS(481),
    [anon_sym_log] = ACTIONS(481),
    [anon_sym_lock] = ACTIONS(481),
    [anon_sym_lstat] = ACTIONS(481),
    [anon_sym_oct] = ACTIONS(481),
    [anon_sym_ord] = ACTIONS(481),
    [anon_sym_prototype] = ACTIONS(481),
    [anon_sym_pop] = ACTIONS(481),
    [anon_sym_pos] = ACTIONS(481),
    [anon_sym_quotemeta] = ACTIONS(481),
    [anon_sym_reset] = ACTIONS(481),
    [anon_sym_rand] = ACTIONS(481),
    [anon_sym_rmdir] = ACTIONS(481),
    [anon_sym_readdir] = ACTIONS(481),
    [anon_sym_readline] = ACTIONS(481),
    [anon_sym_readpipe] = ACTIONS(481),
    [anon_sym_rewinddir] = ACTIONS(481),
    [anon_sym_readlink] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(481),
    [anon_sym_scalar] = ACTIONS(481),
    [anon_sym_shift] = ACTIONS(481),
    [anon_sym_sin] = ACTIONS(481),
    [anon_sym_sleep] = ACTIONS(481),
    [anon_sym_sqrt] = ACTIONS(481),
    [anon_sym_srand] = ACTIONS(481),
    [anon_sym_stat] = ACTIONS(481),
    [anon_sym_study] = ACTIONS(481),
    [anon_sym_tell] = ACTIONS(481),
    [anon_sym_telldir] = ACTIONS(481),
    [anon_sym_tied] = ACTIONS(481),
    [anon_sym_uc] = ACTIONS(481),
    [anon_sym_ucfirst] = ACTIONS(481),
    [anon_sym_untie] = ACTIONS(481),
    [anon_sym_umask] = ACTIONS(481),
    [anon_sym_values] = ACTIONS(481),
    [anon_sym_write] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(1699),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(513),
  },
  [403] = {
    [sym__PERLY_BRACE_OPEN] = STATE(72),
    [sym_block] = STATE(1189),
    [sym__term_rightward] = STATE(1762),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1539),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym__sort_routine] = STATE(462),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(810),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(403),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(1713),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(1715),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(1717),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(1713),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [404] = {
    [sym__PERLY_BRACE_OPEN] = STATE(73),
    [sym_block] = STATE(1189),
    [sym__term_rightward] = STATE(3908),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2116),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym__sort_routine] = STATE(455),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(836),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(404),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(1699),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(1701),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(439),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(439),
    [anon_sym_our] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(451),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_TILDE] = ACTIONS(451),
    [anon_sym_BANG] = ACTIONS(451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1689),
    [anon_sym_DASH_DASH] = ACTIONS(1689),
    [anon_sym_BSLASH] = ACTIONS(453),
    [anon_sym_do] = ACTIONS(455),
    [anon_sym_eval] = ACTIONS(457),
    [anon_sym_await] = ACTIONS(459),
    [anon_sym_field] = ACTIONS(439),
    [anon_sym_local] = ACTIONS(461),
    [anon_sym_dynamically] = ACTIONS(461),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(465),
    [anon_sym_map] = ACTIONS(467),
    [anon_sym_grep] = ACTIONS(467),
    [anon_sym_sort] = ACTIONS(469),
    [anon_sym_goto] = ACTIONS(471),
    [anon_sym_return] = ACTIONS(473),
    [anon_sym_undef] = ACTIONS(475),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(479),
    [anon_sym_next] = ACTIONS(479),
    [anon_sym_redo] = ACTIONS(479),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(481),
    [anon_sym_alarm] = ACTIONS(481),
    [anon_sym_chop] = ACTIONS(481),
    [anon_sym_chdir] = ACTIONS(481),
    [anon_sym_close] = ACTIONS(481),
    [anon_sym_closedir] = ACTIONS(481),
    [anon_sym_caller] = ACTIONS(481),
    [anon_sym_chomp] = ACTIONS(481),
    [anon_sym_chr] = ACTIONS(481),
    [anon_sym_cos] = ACTIONS(481),
    [anon_sym_chroot] = ACTIONS(481),
    [anon_sym_defined] = ACTIONS(481),
    [anon_sym_delete] = ACTIONS(481),
    [anon_sym_dbmclose] = ACTIONS(481),
    [anon_sym_exists] = ACTIONS(481),
    [anon_sym_exit] = ACTIONS(481),
    [anon_sym_eof] = ACTIONS(481),
    [anon_sym_exp] = ACTIONS(481),
    [anon_sym_each] = ACTIONS(481),
    [anon_sym_fc] = ACTIONS(481),
    [anon_sym_fileno] = ACTIONS(481),
    [anon_sym_gmtime] = ACTIONS(481),
    [anon_sym_getc] = ACTIONS(481),
    [anon_sym_getpgrp] = ACTIONS(481),
    [anon_sym_getprotobyname] = ACTIONS(481),
    [anon_sym_getpwname] = ACTIONS(481),
    [anon_sym_getpwuid] = ACTIONS(481),
    [anon_sym_getpeername] = ACTIONS(481),
    [anon_sym_getnetbyname] = ACTIONS(481),
    [anon_sym_getsockname] = ACTIONS(481),
    [anon_sym_getgrnam] = ACTIONS(481),
    [anon_sym_getgrgid] = ACTIONS(481),
    [anon_sym_hex] = ACTIONS(481),
    [anon_sym_int] = ACTIONS(481),
    [anon_sym_keys] = ACTIONS(481),
    [anon_sym_lc] = ACTIONS(481),
    [anon_sym_lcfirst] = ACTIONS(481),
    [anon_sym_length] = ACTIONS(481),
    [anon_sym_localtime] = ACTIONS(481),
    [anon_sym_log] = ACTIONS(481),
    [anon_sym_lock] = ACTIONS(481),
    [anon_sym_lstat] = ACTIONS(481),
    [anon_sym_oct] = ACTIONS(481),
    [anon_sym_ord] = ACTIONS(481),
    [anon_sym_prototype] = ACTIONS(481),
    [anon_sym_pop] = ACTIONS(481),
    [anon_sym_pos] = ACTIONS(481),
    [anon_sym_quotemeta] = ACTIONS(481),
    [anon_sym_reset] = ACTIONS(481),
    [anon_sym_rand] = ACTIONS(481),
    [anon_sym_rmdir] = ACTIONS(481),
    [anon_sym_readdir] = ACTIONS(481),
    [anon_sym_readline] = ACTIONS(481),
    [anon_sym_readpipe] = ACTIONS(481),
    [anon_sym_rewinddir] = ACTIONS(481),
    [anon_sym_readlink] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(481),
    [anon_sym_scalar] = ACTIONS(481),
    [anon_sym_shift] = ACTIONS(481),
    [anon_sym_sin] = ACTIONS(481),
    [anon_sym_sleep] = ACTIONS(481),
    [anon_sym_sqrt] = ACTIONS(481),
    [anon_sym_srand] = ACTIONS(481),
    [anon_sym_stat] = ACTIONS(481),
    [anon_sym_study] = ACTIONS(481),
    [anon_sym_tell] = ACTIONS(481),
    [anon_sym_telldir] = ACTIONS(481),
    [anon_sym_tied] = ACTIONS(481),
    [anon_sym_uc] = ACTIONS(481),
    [anon_sym_ucfirst] = ACTIONS(481),
    [anon_sym_untie] = ACTIONS(481),
    [anon_sym_umask] = ACTIONS(481),
    [anon_sym_values] = ACTIONS(481),
    [anon_sym_write] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(1699),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(513),
  },
  [405] = {
    [sym__PERLY_BRACE_OPEN] = STATE(82),
    [sym_block] = STATE(1189),
    [sym__term_rightward] = STATE(1279),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1448),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym__sort_routine] = STATE(461),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(788),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(405),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(1719),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(1721),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(1711),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(1719),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(245),
  },
  [406] = {
    [sym__PERLY_BRACE_OPEN] = STATE(73),
    [sym_block] = STATE(1189),
    [sym__term_rightward] = STATE(2188),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2364),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym__sort_routine] = STATE(429),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(394),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(836),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(406),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(1699),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(1701),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(1703),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1695),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1697),
    [anon_sym_DASH_DASH] = ACTIONS(1697),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(1699),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(1222),
  },
  [407] = {
    [sym__PERLY_BRACE_OPEN] = STATE(78),
    [sym_block] = STATE(1189),
    [sym__term_rightward] = STATE(2227),
    [sym__subscripted] = STATE(1915),
    [sym_container_variable] = STATE(3851),
    [sym_array_element_expression] = STATE(1916),
    [sym_hash_element_expression] = STATE(1916),
    [sym_coderef_call_expression] = STATE(1916),
    [sym_anonymous_slice_expression] = STATE(1916),
    [sym_slice_container_variable] = STATE(3852),
    [sym_slice_expression] = STATE(2342),
    [sym_keyval_container_variable] = STATE(3853),
    [sym_keyval_expression] = STATE(2342),
    [sym__term] = STATE(2058),
    [sym_readline_expression] = STATE(2342),
    [sym_fileglob_expression] = STATE(2342),
    [sym_assignment_expression] = STATE(2342),
    [sym_binary_expression] = STATE(2342),
    [sym_equality_expression] = STATE(2342),
    [sym_relational_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2342),
    [sym_preinc_expression] = STATE(2342),
    [sym_postinc_expression] = STATE(2342),
    [sym_conditional_expression] = STATE(2342),
    [sym_refgen_expression] = STATE(2342),
    [sym_anonymous_array_expression] = STATE(2342),
    [sym_anonymous_hash_expression] = STATE(2342),
    [sym_anonymous_subroutine_expression] = STATE(2342),
    [sym_anonymous_method_expression] = STATE(2342),
    [sym_do_expression] = STATE(2342),
    [sym_eval_expression] = STATE(2342),
    [sym_await_expression] = STATE(2342),
    [sym_variable_declaration] = STATE(2342),
    [sym_localization_expression] = STATE(2342),
    [sym_stub_expression] = STATE(2342),
    [sym_scalar_deref_expression] = STATE(2342),
    [sym_array_deref_expression] = STATE(2342),
    [sym_arraylen_deref_expression] = STATE(2342),
    [sym_hash_deref_expression] = STATE(2342),
    [sym_amper_deref_expression] = STATE(2342),
    [sym_glob_deref_expression] = STATE(2342),
    [sym_require_expression] = STATE(2342),
    [sym_require_version_expression] = STATE(2342),
    [sym_func0op_call_expression] = STATE(2342),
    [sym_func1op_call_expression] = STATE(2342),
    [sym_map_grep_expression] = STATE(2342),
    [sym__sort_routine] = STATE(446),
    [sym_sort_expression] = STATE(2342),
    [sym_loopex_expression] = STATE(2342),
    [sym_goto_expression] = STATE(2342),
    [sym_return_expression] = STATE(2342),
    [sym_undef_expression] = STATE(2342),
    [sym__listop] = STATE(2342),
    [sym_function_call_expression] = STATE(2343),
    [sym_ambiguous_function_call_expression] = STATE(2343),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(2343),
    [sym_scalar] = STATE(869),
    [sym_array] = STATE(2342),
    [sym__SUB_AMPER] = STATE(2739),
    [sym__GLOB_STAR] = STATE(2741),
    [sym_hash] = STATE(2342),
    [sym_arraylen] = STATE(2342),
    [sym_amper_sub] = STATE(2181),
    [sym_glob] = STATE(2183),
    [sym_glob_slot_expression] = STATE(2342),
    [sym__literal] = STATE(2342),
    [sym__apostrophe] = STATE(3277),
    [sym__quotation_mark] = STATE(2481),
    [sym__backtick] = STATE(2482),
    [sym__search_slash] = STATE(2447),
    [sym_string_literal] = STATE(2353),
    [sym_interpolated_string_literal] = STATE(2353),
    [sym_quoted_word_list] = STATE(2193),
    [sym_command_string] = STATE(2353),
    [sym_quoted_regexp] = STATE(2353),
    [sym_match_regexp] = STATE(2353),
    [sym_substitution_regexp] = STATE(2353),
    [sym_transliteration_expression] = STATE(2353),
    [sym_heredoc_token] = STATE(2342),
    [sym_command_heredoc_token] = STATE(2342),
    [sym_heredoc_content] = STATE(407),
    [sym_autoquoted_bareword] = STATE(2342),
    [sym_bareword] = STATE(2342),
    [sym_primitive] = STATE(2342),
    [sym_boolean] = STATE(2323),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3366),
    [sym__identifier] = ACTIONS(1723),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(1725),
    [anon_sym_AT] = ACTIONS(1010),
    [anon_sym_my] = ACTIONS(1012),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(1014),
    [anon_sym_method] = ACTIONS(1016),
    [anon_sym_LPAREN] = ACTIONS(1727),
    [anon_sym_continue] = ACTIONS(1020),
    [anon_sym_state] = ACTIONS(1012),
    [anon_sym_our] = ACTIONS(1012),
    [anon_sym_LBRACK] = ACTIONS(1022),
    [anon_sym_LT_LT] = ACTIONS(1523),
    [anon_sym_SLASH_SLASH] = ACTIONS(1525),
    [anon_sym_PLUS] = ACTIONS(1024),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_TILDE] = ACTIONS(1024),
    [anon_sym_BANG] = ACTIONS(1024),
    [anon_sym_PLUS_PLUS] = ACTIONS(1529),
    [anon_sym_DASH_DASH] = ACTIONS(1529),
    [anon_sym_BSLASH] = ACTIONS(1026),
    [anon_sym_do] = ACTIONS(1028),
    [anon_sym_eval] = ACTIONS(1030),
    [anon_sym_await] = ACTIONS(1032),
    [anon_sym_field] = ACTIONS(1012),
    [anon_sym_local] = ACTIONS(1034),
    [anon_sym_dynamically] = ACTIONS(1034),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1036),
    [anon_sym_require] = ACTIONS(1038),
    [anon_sym_map] = ACTIONS(1040),
    [anon_sym_grep] = ACTIONS(1040),
    [anon_sym_sort] = ACTIONS(1042),
    [anon_sym_goto] = ACTIONS(1044),
    [anon_sym_return] = ACTIONS(1046),
    [anon_sym_undef] = ACTIONS(1048),
    [anon_sym_PERCENT2] = ACTIONS(1050),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1052),
    [anon_sym_next] = ACTIONS(1052),
    [anon_sym_redo] = ACTIONS(1052),
    [anon_sym___FILE__] = ACTIONS(1020),
    [anon_sym___LINE__] = ACTIONS(1020),
    [anon_sym___PACKAGE__] = ACTIONS(1020),
    [anon_sym___SUB__] = ACTIONS(1020),
    [anon_sym_break] = ACTIONS(1020),
    [anon_sym_fork] = ACTIONS(1020),
    [anon_sym_getppid] = ACTIONS(1020),
    [anon_sym_time] = ACTIONS(1020),
    [anon_sym_times] = ACTIONS(1020),
    [anon_sym_wait] = ACTIONS(1020),
    [anon_sym_wantarray] = ACTIONS(1020),
    [anon_sym_abs] = ACTIONS(1054),
    [anon_sym_alarm] = ACTIONS(1054),
    [anon_sym_chop] = ACTIONS(1054),
    [anon_sym_chdir] = ACTIONS(1054),
    [anon_sym_close] = ACTIONS(1054),
    [anon_sym_closedir] = ACTIONS(1054),
    [anon_sym_caller] = ACTIONS(1054),
    [anon_sym_chomp] = ACTIONS(1054),
    [anon_sym_chr] = ACTIONS(1054),
    [anon_sym_cos] = ACTIONS(1054),
    [anon_sym_chroot] = ACTIONS(1054),
    [anon_sym_defined] = ACTIONS(1054),
    [anon_sym_delete] = ACTIONS(1054),
    [anon_sym_dbmclose] = ACTIONS(1054),
    [anon_sym_exists] = ACTIONS(1054),
    [anon_sym_exit] = ACTIONS(1054),
    [anon_sym_eof] = ACTIONS(1054),
    [anon_sym_exp] = ACTIONS(1054),
    [anon_sym_each] = ACTIONS(1054),
    [anon_sym_fc] = ACTIONS(1054),
    [anon_sym_fileno] = ACTIONS(1054),
    [anon_sym_gmtime] = ACTIONS(1054),
    [anon_sym_getc] = ACTIONS(1054),
    [anon_sym_getpgrp] = ACTIONS(1054),
    [anon_sym_getprotobyname] = ACTIONS(1054),
    [anon_sym_getpwname] = ACTIONS(1054),
    [anon_sym_getpwuid] = ACTIONS(1054),
    [anon_sym_getpeername] = ACTIONS(1054),
    [anon_sym_getnetbyname] = ACTIONS(1054),
    [anon_sym_getsockname] = ACTIONS(1054),
    [anon_sym_getgrnam] = ACTIONS(1054),
    [anon_sym_getgrgid] = ACTIONS(1054),
    [anon_sym_hex] = ACTIONS(1054),
    [anon_sym_int] = ACTIONS(1054),
    [anon_sym_keys] = ACTIONS(1054),
    [anon_sym_lc] = ACTIONS(1054),
    [anon_sym_lcfirst] = ACTIONS(1054),
    [anon_sym_length] = ACTIONS(1054),
    [anon_sym_localtime] = ACTIONS(1054),
    [anon_sym_log] = ACTIONS(1054),
    [anon_sym_lock] = ACTIONS(1054),
    [anon_sym_lstat] = ACTIONS(1054),
    [anon_sym_oct] = ACTIONS(1054),
    [anon_sym_ord] = ACTIONS(1054),
    [anon_sym_prototype] = ACTIONS(1054),
    [anon_sym_pop] = ACTIONS(1054),
    [anon_sym_pos] = ACTIONS(1054),
    [anon_sym_quotemeta] = ACTIONS(1054),
    [anon_sym_reset] = ACTIONS(1054),
    [anon_sym_rand] = ACTIONS(1054),
    [anon_sym_rmdir] = ACTIONS(1054),
    [anon_sym_readdir] = ACTIONS(1054),
    [anon_sym_readline] = ACTIONS(1054),
    [anon_sym_readpipe] = ACTIONS(1054),
    [anon_sym_rewinddir] = ACTIONS(1054),
    [anon_sym_readlink] = ACTIONS(1054),
    [anon_sym_ref] = ACTIONS(1054),
    [anon_sym_scalar] = ACTIONS(1054),
    [anon_sym_shift] = ACTIONS(1054),
    [anon_sym_sin] = ACTIONS(1054),
    [anon_sym_sleep] = ACTIONS(1054),
    [anon_sym_sqrt] = ACTIONS(1054),
    [anon_sym_srand] = ACTIONS(1054),
    [anon_sym_stat] = ACTIONS(1054),
    [anon_sym_study] = ACTIONS(1054),
    [anon_sym_tell] = ACTIONS(1054),
    [anon_sym_telldir] = ACTIONS(1054),
    [anon_sym_tied] = ACTIONS(1054),
    [anon_sym_uc] = ACTIONS(1054),
    [anon_sym_ucfirst] = ACTIONS(1054),
    [anon_sym_untie] = ACTIONS(1054),
    [anon_sym_umask] = ACTIONS(1054),
    [anon_sym_values] = ACTIONS(1054),
    [anon_sym_write] = ACTIONS(1054),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1056),
    [anon_sym_qq] = ACTIONS(1058),
    [anon_sym_qw] = ACTIONS(1060),
    [anon_sym_qx] = ACTIONS(1062),
    [anon_sym_qr] = ACTIONS(1064),
    [anon_sym_m] = ACTIONS(1066),
    [anon_sym_s] = ACTIONS(1068),
    [anon_sym_tr] = ACTIONS(1070),
    [anon_sym_y] = ACTIONS(1070),
    [aux_sym__bareword_token1] = ACTIONS(1723),
    [sym_number] = ACTIONS(1074),
    [anon_sym_true] = ACTIONS(1076),
    [anon_sym_false] = ACTIONS(1076),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(1078),
    [sym__open_fileglob_bracket] = ACTIONS(1080),
    [sym__PERLY_HEREDOC] = ACTIONS(1082),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1084),
    [sym__filetest] = ACTIONS(1086),
  },
  [408] = {
    [sym__PERLY_BRACE_OPEN] = STATE(235),
    [sym__subscripted] = STATE(1532),
    [sym_container_variable] = STATE(3855),
    [sym_array_element_expression] = STATE(1533),
    [sym_hash_element_expression] = STATE(1533),
    [sym_coderef_call_expression] = STATE(1533),
    [sym_anonymous_slice_expression] = STATE(1533),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(1967),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(1967),
    [sym__term] = STATE(2001),
    [sym_readline_expression] = STATE(1967),
    [sym_fileglob_expression] = STATE(1967),
    [sym_assignment_expression] = STATE(1967),
    [sym_binary_expression] = STATE(1967),
    [sym_equality_expression] = STATE(1967),
    [sym_relational_expression] = STATE(1967),
    [sym_unary_expression] = STATE(1967),
    [sym_preinc_expression] = STATE(1967),
    [sym_postinc_expression] = STATE(1967),
    [sym_conditional_expression] = STATE(1967),
    [sym_refgen_expression] = STATE(1967),
    [sym_anonymous_array_expression] = STATE(1967),
    [sym_anonymous_hash_expression] = STATE(1967),
    [sym_anonymous_subroutine_expression] = STATE(1967),
    [sym_anonymous_method_expression] = STATE(1967),
    [sym_do_expression] = STATE(1967),
    [sym_eval_expression] = STATE(1967),
    [sym_await_expression] = STATE(1967),
    [sym_variable_declaration] = STATE(1967),
    [sym_localization_expression] = STATE(1967),
    [sym_stub_expression] = STATE(1967),
    [sym_scalar_deref_expression] = STATE(1967),
    [sym_array_deref_expression] = STATE(1967),
    [sym_arraylen_deref_expression] = STATE(1967),
    [sym_hash_deref_expression] = STATE(1967),
    [sym_amper_deref_expression] = STATE(1967),
    [sym_glob_deref_expression] = STATE(1967),
    [sym_require_expression] = STATE(1967),
    [sym_require_version_expression] = STATE(1967),
    [sym_func0op_call_expression] = STATE(1967),
    [sym_func1op_call_expression] = STATE(1967),
    [sym_map_grep_expression] = STATE(1967),
    [sym_sort_expression] = STATE(1967),
    [sym_loopex_expression] = STATE(1967),
    [sym_goto_expression] = STATE(1967),
    [sym_return_expression] = STATE(1967),
    [sym_undef_expression] = STATE(1967),
    [sym__listop] = STATE(1967),
    [sym_function_call_expression] = STATE(1968),
    [sym_ambiguous_function_call_expression] = STATE(1968),
    [sym_function] = STATE(389),
    [sym_method_call_expression] = STATE(1968),
    [sym_scalar] = STATE(1967),
    [sym_array] = STATE(1967),
    [sym__SUB_AMPER] = STATE(2686),
    [sym__GLOB_STAR] = STATE(2687),
    [sym_hash] = STATE(1967),
    [sym_arraylen] = STATE(1967),
    [sym_amper_sub] = STATE(1785),
    [sym_glob] = STATE(1786),
    [sym_glob_slot_expression] = STATE(1967),
    [sym__literal] = STATE(1967),
    [sym__apostrophe] = STATE(3328),
    [sym__quotation_mark] = STATE(2501),
    [sym__backtick] = STATE(2502),
    [sym__search_slash] = STATE(2454),
    [sym_string_literal] = STATE(1969),
    [sym_interpolated_string_literal] = STATE(1969),
    [sym_quoted_word_list] = STATE(1787),
    [sym_command_string] = STATE(1969),
    [sym_quoted_regexp] = STATE(1969),
    [sym_match_regexp] = STATE(1969),
    [sym_substitution_regexp] = STATE(1969),
    [sym_transliteration_expression] = STATE(1969),
    [sym_heredoc_token] = STATE(1967),
    [sym_command_heredoc_token] = STATE(1967),
    [sym_heredoc_content] = STATE(408),
    [sym_autoquoted_bareword] = STATE(1967),
    [sym_bareword] = STATE(1967),
    [sym_primitive] = STATE(1967),
    [sym_boolean] = STATE(1965),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3342),
    [sym__identifier] = ACTIONS(575),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_COLON] = ACTIONS(1729),
    [anon_sym_DOLLAR] = ACTIONS(1731),
    [anon_sym_AT] = ACTIONS(1734),
    [anon_sym_COMMA] = ACTIONS(1729),
    [anon_sym_RPAREN] = ACTIONS(1729),
    [anon_sym_my] = ACTIONS(517),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(519),
    [anon_sym_method] = ACTIONS(521),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_continue] = ACTIONS(525),
    [anon_sym_state] = ACTIONS(517),
    [anon_sym_our] = ACTIONS(517),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_LT_LT] = ACTIONS(1673),
    [anon_sym_SLASH_SLASH] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(1677),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_PLUS_PLUS] = ACTIONS(1679),
    [anon_sym_DASH_DASH] = ACTIONS(1679),
    [anon_sym_BSLASH] = ACTIONS(531),
    [anon_sym_do] = ACTIONS(533),
    [anon_sym_eval] = ACTIONS(535),
    [anon_sym_await] = ACTIONS(537),
    [anon_sym_field] = ACTIONS(517),
    [anon_sym_local] = ACTIONS(539),
    [anon_sym_dynamically] = ACTIONS(539),
    [anon_sym_DOLLAR_POUND] = ACTIONS(541),
    [anon_sym_require] = ACTIONS(543),
    [anon_sym_map] = ACTIONS(545),
    [anon_sym_grep] = ACTIONS(545),
    [anon_sym_sort] = ACTIONS(547),
    [anon_sym_goto] = ACTIONS(549),
    [anon_sym_return] = ACTIONS(551),
    [anon_sym_undef] = ACTIONS(553),
    [anon_sym_PERCENT2] = ACTIONS(1737),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(555),
    [anon_sym_next] = ACTIONS(555),
    [anon_sym_redo] = ACTIONS(555),
    [anon_sym___FILE__] = ACTIONS(525),
    [anon_sym___LINE__] = ACTIONS(525),
    [anon_sym___PACKAGE__] = ACTIONS(525),
    [anon_sym___SUB__] = ACTIONS(525),
    [anon_sym_break] = ACTIONS(525),
    [anon_sym_fork] = ACTIONS(525),
    [anon_sym_getppid] = ACTIONS(525),
    [anon_sym_time] = ACTIONS(525),
    [anon_sym_times] = ACTIONS(525),
    [anon_sym_wait] = ACTIONS(525),
    [anon_sym_wantarray] = ACTIONS(525),
    [anon_sym_abs] = ACTIONS(557),
    [anon_sym_alarm] = ACTIONS(557),
    [anon_sym_chop] = ACTIONS(557),
    [anon_sym_chdir] = ACTIONS(557),
    [anon_sym_close] = ACTIONS(557),
    [anon_sym_closedir] = ACTIONS(557),
    [anon_sym_caller] = ACTIONS(557),
    [anon_sym_chomp] = ACTIONS(557),
    [anon_sym_chr] = ACTIONS(557),
    [anon_sym_cos] = ACTIONS(557),
    [anon_sym_chroot] = ACTIONS(557),
    [anon_sym_defined] = ACTIONS(557),
    [anon_sym_delete] = ACTIONS(557),
    [anon_sym_dbmclose] = ACTIONS(557),
    [anon_sym_exists] = ACTIONS(557),
    [anon_sym_exit] = ACTIONS(557),
    [anon_sym_eof] = ACTIONS(557),
    [anon_sym_exp] = ACTIONS(557),
    [anon_sym_each] = ACTIONS(557),
    [anon_sym_fc] = ACTIONS(557),
    [anon_sym_fileno] = ACTIONS(557),
    [anon_sym_gmtime] = ACTIONS(557),
    [anon_sym_getc] = ACTIONS(557),
    [anon_sym_getpgrp] = ACTIONS(557),
    [anon_sym_getprotobyname] = ACTIONS(557),
    [anon_sym_getpwname] = ACTIONS(557),
    [anon_sym_getpwuid] = ACTIONS(557),
    [anon_sym_getpeername] = ACTIONS(557),
    [anon_sym_getnetbyname] = ACTIONS(557),
    [anon_sym_getsockname] = ACTIONS(557),
    [anon_sym_getgrnam] = ACTIONS(557),
    [anon_sym_getgrgid] = ACTIONS(557),
    [anon_sym_hex] = ACTIONS(557),
    [anon_sym_int] = ACTIONS(557),
    [anon_sym_keys] = ACTIONS(557),
    [anon_sym_lc] = ACTIONS(557),
    [anon_sym_lcfirst] = ACTIONS(557),
    [anon_sym_length] = ACTIONS(557),
    [anon_sym_localtime] = ACTIONS(557),
    [anon_sym_log] = ACTIONS(557),
    [anon_sym_lock] = ACTIONS(557),
    [anon_sym_lstat] = ACTIONS(557),
    [anon_sym_oct] = ACTIONS(557),
    [anon_sym_ord] = ACTIONS(557),
    [anon_sym_prototype] = ACTIONS(557),
    [anon_sym_pop] = ACTIONS(557),
    [anon_sym_pos] = ACTIONS(557),
    [anon_sym_quotemeta] = ACTIONS(557),
    [anon_sym_reset] = ACTIONS(557),
    [anon_sym_rand] = ACTIONS(557),
    [anon_sym_rmdir] = ACTIONS(557),
    [anon_sym_readdir] = ACTIONS(557),
    [anon_sym_readline] = ACTIONS(557),
    [anon_sym_readpipe] = ACTIONS(557),
    [anon_sym_rewinddir] = ACTIONS(557),
    [anon_sym_readlink] = ACTIONS(557),
    [anon_sym_ref] = ACTIONS(557),
    [anon_sym_scalar] = ACTIONS(557),
    [anon_sym_shift] = ACTIONS(557),
    [anon_sym_sin] = ACTIONS(557),
    [anon_sym_sleep] = ACTIONS(557),
    [anon_sym_sqrt] = ACTIONS(557),
    [anon_sym_srand] = ACTIONS(557),
    [anon_sym_stat] = ACTIONS(557),
    [anon_sym_study] = ACTIONS(557),
    [anon_sym_tell] = ACTIONS(557),
    [anon_sym_telldir] = ACTIONS(557),
    [anon_sym_tied] = ACTIONS(557),
    [anon_sym_uc] = ACTIONS(557),
    [anon_sym_ucfirst] = ACTIONS(557),
    [anon_sym_untie] = ACTIONS(557),
    [anon_sym_umask] = ACTIONS(557),
    [anon_sym_values] = ACTIONS(557),
    [anon_sym_write] = ACTIONS(557),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(559),
    [anon_sym_qq] = ACTIONS(561),
    [anon_sym_qw] = ACTIONS(563),
    [anon_sym_qx] = ACTIONS(565),
    [anon_sym_qr] = ACTIONS(567),
    [anon_sym_m] = ACTIONS(569),
    [anon_sym_s] = ACTIONS(571),
    [anon_sym_tr] = ACTIONS(573),
    [anon_sym_y] = ACTIONS(573),
    [aux_sym__bareword_token1] = ACTIONS(575),
    [sym_number] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(581),
    [sym__open_fileglob_bracket] = ACTIONS(583),
    [sym__PERLY_HEREDOC] = ACTIONS(585),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(587),
    [sym__filetest] = ACTIONS(589),
  },
  [409] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2392),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym__label_arg] = STATE(2190),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(394),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(409),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_identifier] = STATE(2191),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(433),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1695),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1697),
    [anon_sym_DASH_DASH] = ACTIONS(1697),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(1222),
  },
  [410] = {
    [sym__PERLY_BRACE_OPEN] = STATE(237),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1488),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym__label_arg] = STATE(1281),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(410),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(1282),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(211),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(243),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(245),
  },
  [411] = {
    [sym__PERLY_BRACE_OPEN] = STATE(238),
    [sym__subscripted] = STATE(1915),
    [sym_container_variable] = STATE(3851),
    [sym_array_element_expression] = STATE(1916),
    [sym_hash_element_expression] = STATE(1916),
    [sym_coderef_call_expression] = STATE(1916),
    [sym_anonymous_slice_expression] = STATE(1916),
    [sym_slice_container_variable] = STATE(3852),
    [sym_slice_expression] = STATE(2342),
    [sym_keyval_container_variable] = STATE(3853),
    [sym_keyval_expression] = STATE(2342),
    [sym__term] = STATE(2374),
    [sym_readline_expression] = STATE(2342),
    [sym_fileglob_expression] = STATE(2342),
    [sym_assignment_expression] = STATE(2342),
    [sym_binary_expression] = STATE(2342),
    [sym_equality_expression] = STATE(2342),
    [sym_relational_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2342),
    [sym_preinc_expression] = STATE(2342),
    [sym_postinc_expression] = STATE(2342),
    [sym_conditional_expression] = STATE(2342),
    [sym_refgen_expression] = STATE(2342),
    [sym_anonymous_array_expression] = STATE(2342),
    [sym_anonymous_hash_expression] = STATE(2342),
    [sym_anonymous_subroutine_expression] = STATE(2342),
    [sym_anonymous_method_expression] = STATE(2342),
    [sym_do_expression] = STATE(2342),
    [sym_eval_expression] = STATE(2342),
    [sym_await_expression] = STATE(2342),
    [sym_variable_declaration] = STATE(2342),
    [sym_localization_expression] = STATE(2342),
    [sym_stub_expression] = STATE(2342),
    [sym_scalar_deref_expression] = STATE(2342),
    [sym_array_deref_expression] = STATE(2342),
    [sym_arraylen_deref_expression] = STATE(2342),
    [sym_hash_deref_expression] = STATE(2342),
    [sym_amper_deref_expression] = STATE(2342),
    [sym_glob_deref_expression] = STATE(2342),
    [sym_require_expression] = STATE(2342),
    [sym_require_version_expression] = STATE(2342),
    [sym_func0op_call_expression] = STATE(2342),
    [sym_func1op_call_expression] = STATE(2342),
    [sym_map_grep_expression] = STATE(2342),
    [sym_sort_expression] = STATE(2342),
    [sym_loopex_expression] = STATE(2342),
    [sym_goto_expression] = STATE(2342),
    [sym_return_expression] = STATE(2342),
    [sym_undef_expression] = STATE(2342),
    [sym__listop] = STATE(2342),
    [sym_function_call_expression] = STATE(2343),
    [sym_ambiguous_function_call_expression] = STATE(2343),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(2343),
    [sym_scalar] = STATE(2342),
    [sym_array] = STATE(2342),
    [sym__SUB_AMPER] = STATE(2739),
    [sym__GLOB_STAR] = STATE(2741),
    [sym_hash] = STATE(2342),
    [sym_arraylen] = STATE(2342),
    [sym_amper_sub] = STATE(2181),
    [sym_glob] = STATE(2183),
    [sym_glob_slot_expression] = STATE(2342),
    [sym__literal] = STATE(2342),
    [sym__apostrophe] = STATE(3277),
    [sym__quotation_mark] = STATE(2481),
    [sym__backtick] = STATE(2482),
    [sym__search_slash] = STATE(2447),
    [sym_string_literal] = STATE(2353),
    [sym_interpolated_string_literal] = STATE(2353),
    [sym_quoted_word_list] = STATE(2193),
    [sym_command_string] = STATE(2353),
    [sym_quoted_regexp] = STATE(2353),
    [sym_match_regexp] = STATE(2353),
    [sym_substitution_regexp] = STATE(2353),
    [sym_transliteration_expression] = STATE(2353),
    [sym_heredoc_token] = STATE(2342),
    [sym_command_heredoc_token] = STATE(2342),
    [sym_heredoc_content] = STATE(411),
    [sym__version] = STATE(2375),
    [sym_autoquoted_bareword] = STATE(2342),
    [sym_bareword] = STATE(2342),
    [sym_primitive] = STATE(2342),
    [sym_boolean] = STATE(2323),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3366),
    [sym__identifier] = ACTIONS(1072),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1008),
    [anon_sym_AT] = ACTIONS(1010),
    [anon_sym_my] = ACTIONS(1012),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(1014),
    [anon_sym_method] = ACTIONS(1016),
    [anon_sym_LPAREN] = ACTIONS(1018),
    [anon_sym_continue] = ACTIONS(1020),
    [anon_sym_state] = ACTIONS(1012),
    [anon_sym_our] = ACTIONS(1012),
    [anon_sym_LBRACK] = ACTIONS(1022),
    [anon_sym_LT_LT] = ACTIONS(1523),
    [anon_sym_SLASH_SLASH] = ACTIONS(1525),
    [anon_sym_PLUS] = ACTIONS(1024),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_TILDE] = ACTIONS(1024),
    [anon_sym_BANG] = ACTIONS(1024),
    [anon_sym_PLUS_PLUS] = ACTIONS(1529),
    [anon_sym_DASH_DASH] = ACTIONS(1529),
    [anon_sym_BSLASH] = ACTIONS(1026),
    [anon_sym_do] = ACTIONS(1028),
    [anon_sym_eval] = ACTIONS(1030),
    [anon_sym_await] = ACTIONS(1032),
    [anon_sym_field] = ACTIONS(1012),
    [anon_sym_local] = ACTIONS(1034),
    [anon_sym_dynamically] = ACTIONS(1034),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1036),
    [anon_sym_require] = ACTIONS(1038),
    [anon_sym_map] = ACTIONS(1040),
    [anon_sym_grep] = ACTIONS(1040),
    [anon_sym_sort] = ACTIONS(1042),
    [anon_sym_goto] = ACTIONS(1044),
    [anon_sym_return] = ACTIONS(1046),
    [anon_sym_undef] = ACTIONS(1048),
    [anon_sym_PERCENT2] = ACTIONS(1050),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1052),
    [anon_sym_next] = ACTIONS(1052),
    [anon_sym_redo] = ACTIONS(1052),
    [anon_sym___FILE__] = ACTIONS(1020),
    [anon_sym___LINE__] = ACTIONS(1020),
    [anon_sym___PACKAGE__] = ACTIONS(1020),
    [anon_sym___SUB__] = ACTIONS(1020),
    [anon_sym_break] = ACTIONS(1020),
    [anon_sym_fork] = ACTIONS(1020),
    [anon_sym_getppid] = ACTIONS(1020),
    [anon_sym_time] = ACTIONS(1020),
    [anon_sym_times] = ACTIONS(1020),
    [anon_sym_wait] = ACTIONS(1020),
    [anon_sym_wantarray] = ACTIONS(1020),
    [anon_sym_abs] = ACTIONS(1054),
    [anon_sym_alarm] = ACTIONS(1054),
    [anon_sym_chop] = ACTIONS(1054),
    [anon_sym_chdir] = ACTIONS(1054),
    [anon_sym_close] = ACTIONS(1054),
    [anon_sym_closedir] = ACTIONS(1054),
    [anon_sym_caller] = ACTIONS(1054),
    [anon_sym_chomp] = ACTIONS(1054),
    [anon_sym_chr] = ACTIONS(1054),
    [anon_sym_cos] = ACTIONS(1054),
    [anon_sym_chroot] = ACTIONS(1054),
    [anon_sym_defined] = ACTIONS(1054),
    [anon_sym_delete] = ACTIONS(1054),
    [anon_sym_dbmclose] = ACTIONS(1054),
    [anon_sym_exists] = ACTIONS(1054),
    [anon_sym_exit] = ACTIONS(1054),
    [anon_sym_eof] = ACTIONS(1054),
    [anon_sym_exp] = ACTIONS(1054),
    [anon_sym_each] = ACTIONS(1054),
    [anon_sym_fc] = ACTIONS(1054),
    [anon_sym_fileno] = ACTIONS(1054),
    [anon_sym_gmtime] = ACTIONS(1054),
    [anon_sym_getc] = ACTIONS(1054),
    [anon_sym_getpgrp] = ACTIONS(1054),
    [anon_sym_getprotobyname] = ACTIONS(1054),
    [anon_sym_getpwname] = ACTIONS(1054),
    [anon_sym_getpwuid] = ACTIONS(1054),
    [anon_sym_getpeername] = ACTIONS(1054),
    [anon_sym_getnetbyname] = ACTIONS(1054),
    [anon_sym_getsockname] = ACTIONS(1054),
    [anon_sym_getgrnam] = ACTIONS(1054),
    [anon_sym_getgrgid] = ACTIONS(1054),
    [anon_sym_hex] = ACTIONS(1054),
    [anon_sym_int] = ACTIONS(1054),
    [anon_sym_keys] = ACTIONS(1054),
    [anon_sym_lc] = ACTIONS(1054),
    [anon_sym_lcfirst] = ACTIONS(1054),
    [anon_sym_length] = ACTIONS(1054),
    [anon_sym_localtime] = ACTIONS(1054),
    [anon_sym_log] = ACTIONS(1054),
    [anon_sym_lock] = ACTIONS(1054),
    [anon_sym_lstat] = ACTIONS(1054),
    [anon_sym_oct] = ACTIONS(1054),
    [anon_sym_ord] = ACTIONS(1054),
    [anon_sym_prototype] = ACTIONS(1054),
    [anon_sym_pop] = ACTIONS(1054),
    [anon_sym_pos] = ACTIONS(1054),
    [anon_sym_quotemeta] = ACTIONS(1054),
    [anon_sym_reset] = ACTIONS(1054),
    [anon_sym_rand] = ACTIONS(1054),
    [anon_sym_rmdir] = ACTIONS(1054),
    [anon_sym_readdir] = ACTIONS(1054),
    [anon_sym_readline] = ACTIONS(1054),
    [anon_sym_readpipe] = ACTIONS(1054),
    [anon_sym_rewinddir] = ACTIONS(1054),
    [anon_sym_readlink] = ACTIONS(1054),
    [anon_sym_ref] = ACTIONS(1054),
    [anon_sym_scalar] = ACTIONS(1054),
    [anon_sym_shift] = ACTIONS(1054),
    [anon_sym_sin] = ACTIONS(1054),
    [anon_sym_sleep] = ACTIONS(1054),
    [anon_sym_sqrt] = ACTIONS(1054),
    [anon_sym_srand] = ACTIONS(1054),
    [anon_sym_stat] = ACTIONS(1054),
    [anon_sym_study] = ACTIONS(1054),
    [anon_sym_tell] = ACTIONS(1054),
    [anon_sym_telldir] = ACTIONS(1054),
    [anon_sym_tied] = ACTIONS(1054),
    [anon_sym_uc] = ACTIONS(1054),
    [anon_sym_ucfirst] = ACTIONS(1054),
    [anon_sym_untie] = ACTIONS(1054),
    [anon_sym_umask] = ACTIONS(1054),
    [anon_sym_values] = ACTIONS(1054),
    [anon_sym_write] = ACTIONS(1054),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1056),
    [anon_sym_qq] = ACTIONS(1058),
    [anon_sym_qw] = ACTIONS(1060),
    [anon_sym_qx] = ACTIONS(1062),
    [anon_sym_qr] = ACTIONS(1064),
    [anon_sym_m] = ACTIONS(1066),
    [anon_sym_s] = ACTIONS(1068),
    [anon_sym_tr] = ACTIONS(1070),
    [anon_sym_y] = ACTIONS(1070),
    [sym_version] = ACTIONS(1740),
    [aux_sym__bareword_token1] = ACTIONS(1072),
    [sym_number] = ACTIONS(1742),
    [anon_sym_true] = ACTIONS(1076),
    [anon_sym_false] = ACTIONS(1076),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(1078),
    [sym__open_fileglob_bracket] = ACTIONS(1080),
    [sym__PERLY_HEREDOC] = ACTIONS(1082),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1084),
    [sym__filetest] = ACTIONS(1086),
  },
  [412] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2391),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(394),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(412),
    [sym__version] = STATE(2186),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1695),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1697),
    [anon_sym_DASH_DASH] = ACTIONS(1697),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [sym_version] = ACTIONS(1744),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(1746),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(1222),
  },
  [413] = {
    [sym__PERLY_BRACE_OPEN] = STATE(238),
    [sym__subscripted] = STATE(1915),
    [sym_container_variable] = STATE(3851),
    [sym_array_element_expression] = STATE(1916),
    [sym_hash_element_expression] = STATE(1916),
    [sym_coderef_call_expression] = STATE(1916),
    [sym_anonymous_slice_expression] = STATE(1916),
    [sym_slice_container_variable] = STATE(3852),
    [sym_slice_expression] = STATE(2342),
    [sym_keyval_container_variable] = STATE(3853),
    [sym_keyval_expression] = STATE(2342),
    [sym__term] = STATE(2239),
    [sym_readline_expression] = STATE(2342),
    [sym_fileglob_expression] = STATE(2342),
    [sym_assignment_expression] = STATE(2342),
    [sym_binary_expression] = STATE(2342),
    [sym_equality_expression] = STATE(2342),
    [sym_relational_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2342),
    [sym_preinc_expression] = STATE(2342),
    [sym_postinc_expression] = STATE(2342),
    [sym_conditional_expression] = STATE(2342),
    [sym_refgen_expression] = STATE(2342),
    [sym_anonymous_array_expression] = STATE(2342),
    [sym_anonymous_hash_expression] = STATE(2342),
    [sym_anonymous_subroutine_expression] = STATE(2342),
    [sym_anonymous_method_expression] = STATE(2342),
    [sym_do_expression] = STATE(2342),
    [sym_eval_expression] = STATE(2342),
    [sym_await_expression] = STATE(2342),
    [sym_variable_declaration] = STATE(2342),
    [sym_localization_expression] = STATE(2342),
    [sym_stub_expression] = STATE(2342),
    [sym_scalar_deref_expression] = STATE(2342),
    [sym_array_deref_expression] = STATE(2342),
    [sym_arraylen_deref_expression] = STATE(2342),
    [sym_hash_deref_expression] = STATE(2342),
    [sym_amper_deref_expression] = STATE(2342),
    [sym_glob_deref_expression] = STATE(2342),
    [sym_require_expression] = STATE(2342),
    [sym_require_version_expression] = STATE(2342),
    [sym_func0op_call_expression] = STATE(2342),
    [sym_func1op_call_expression] = STATE(2342),
    [sym_map_grep_expression] = STATE(2342),
    [sym_sort_expression] = STATE(2342),
    [sym__label_arg] = STATE(2240),
    [sym_loopex_expression] = STATE(2342),
    [sym_goto_expression] = STATE(2342),
    [sym_return_expression] = STATE(2342),
    [sym_undef_expression] = STATE(2342),
    [sym__listop] = STATE(2342),
    [sym_function_call_expression] = STATE(2343),
    [sym_ambiguous_function_call_expression] = STATE(2343),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(2343),
    [sym_scalar] = STATE(2342),
    [sym_array] = STATE(2342),
    [sym__SUB_AMPER] = STATE(2739),
    [sym__GLOB_STAR] = STATE(2741),
    [sym_hash] = STATE(2342),
    [sym_arraylen] = STATE(2342),
    [sym_amper_sub] = STATE(2181),
    [sym_glob] = STATE(2183),
    [sym_glob_slot_expression] = STATE(2342),
    [sym__literal] = STATE(2342),
    [sym__apostrophe] = STATE(3277),
    [sym__quotation_mark] = STATE(2481),
    [sym__backtick] = STATE(2482),
    [sym__search_slash] = STATE(2447),
    [sym_string_literal] = STATE(2353),
    [sym_interpolated_string_literal] = STATE(2353),
    [sym_quoted_word_list] = STATE(2193),
    [sym_command_string] = STATE(2353),
    [sym_quoted_regexp] = STATE(2353),
    [sym_match_regexp] = STATE(2353),
    [sym_substitution_regexp] = STATE(2353),
    [sym_transliteration_expression] = STATE(2353),
    [sym_heredoc_token] = STATE(2342),
    [sym_command_heredoc_token] = STATE(2342),
    [sym_heredoc_content] = STATE(413),
    [sym_autoquoted_bareword] = STATE(2342),
    [sym_identifier] = STATE(2244),
    [sym_bareword] = STATE(2342),
    [sym_primitive] = STATE(2342),
    [sym_boolean] = STATE(2323),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3366),
    [sym__identifier] = ACTIONS(1006),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1008),
    [anon_sym_AT] = ACTIONS(1010),
    [anon_sym_my] = ACTIONS(1012),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(1014),
    [anon_sym_method] = ACTIONS(1016),
    [anon_sym_LPAREN] = ACTIONS(1018),
    [anon_sym_continue] = ACTIONS(1020),
    [anon_sym_state] = ACTIONS(1012),
    [anon_sym_our] = ACTIONS(1012),
    [anon_sym_LBRACK] = ACTIONS(1022),
    [anon_sym_LT_LT] = ACTIONS(1523),
    [anon_sym_SLASH_SLASH] = ACTIONS(1525),
    [anon_sym_PLUS] = ACTIONS(1024),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_TILDE] = ACTIONS(1024),
    [anon_sym_BANG] = ACTIONS(1024),
    [anon_sym_PLUS_PLUS] = ACTIONS(1529),
    [anon_sym_DASH_DASH] = ACTIONS(1529),
    [anon_sym_BSLASH] = ACTIONS(1026),
    [anon_sym_do] = ACTIONS(1028),
    [anon_sym_eval] = ACTIONS(1030),
    [anon_sym_await] = ACTIONS(1032),
    [anon_sym_field] = ACTIONS(1012),
    [anon_sym_local] = ACTIONS(1034),
    [anon_sym_dynamically] = ACTIONS(1034),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1036),
    [anon_sym_require] = ACTIONS(1038),
    [anon_sym_map] = ACTIONS(1040),
    [anon_sym_grep] = ACTIONS(1040),
    [anon_sym_sort] = ACTIONS(1042),
    [anon_sym_goto] = ACTIONS(1044),
    [anon_sym_return] = ACTIONS(1046),
    [anon_sym_undef] = ACTIONS(1048),
    [anon_sym_PERCENT2] = ACTIONS(1050),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1052),
    [anon_sym_next] = ACTIONS(1052),
    [anon_sym_redo] = ACTIONS(1052),
    [anon_sym___FILE__] = ACTIONS(1020),
    [anon_sym___LINE__] = ACTIONS(1020),
    [anon_sym___PACKAGE__] = ACTIONS(1020),
    [anon_sym___SUB__] = ACTIONS(1020),
    [anon_sym_break] = ACTIONS(1020),
    [anon_sym_fork] = ACTIONS(1020),
    [anon_sym_getppid] = ACTIONS(1020),
    [anon_sym_time] = ACTIONS(1020),
    [anon_sym_times] = ACTIONS(1020),
    [anon_sym_wait] = ACTIONS(1020),
    [anon_sym_wantarray] = ACTIONS(1020),
    [anon_sym_abs] = ACTIONS(1054),
    [anon_sym_alarm] = ACTIONS(1054),
    [anon_sym_chop] = ACTIONS(1054),
    [anon_sym_chdir] = ACTIONS(1054),
    [anon_sym_close] = ACTIONS(1054),
    [anon_sym_closedir] = ACTIONS(1054),
    [anon_sym_caller] = ACTIONS(1054),
    [anon_sym_chomp] = ACTIONS(1054),
    [anon_sym_chr] = ACTIONS(1054),
    [anon_sym_cos] = ACTIONS(1054),
    [anon_sym_chroot] = ACTIONS(1054),
    [anon_sym_defined] = ACTIONS(1054),
    [anon_sym_delete] = ACTIONS(1054),
    [anon_sym_dbmclose] = ACTIONS(1054),
    [anon_sym_exists] = ACTIONS(1054),
    [anon_sym_exit] = ACTIONS(1054),
    [anon_sym_eof] = ACTIONS(1054),
    [anon_sym_exp] = ACTIONS(1054),
    [anon_sym_each] = ACTIONS(1054),
    [anon_sym_fc] = ACTIONS(1054),
    [anon_sym_fileno] = ACTIONS(1054),
    [anon_sym_gmtime] = ACTIONS(1054),
    [anon_sym_getc] = ACTIONS(1054),
    [anon_sym_getpgrp] = ACTIONS(1054),
    [anon_sym_getprotobyname] = ACTIONS(1054),
    [anon_sym_getpwname] = ACTIONS(1054),
    [anon_sym_getpwuid] = ACTIONS(1054),
    [anon_sym_getpeername] = ACTIONS(1054),
    [anon_sym_getnetbyname] = ACTIONS(1054),
    [anon_sym_getsockname] = ACTIONS(1054),
    [anon_sym_getgrnam] = ACTIONS(1054),
    [anon_sym_getgrgid] = ACTIONS(1054),
    [anon_sym_hex] = ACTIONS(1054),
    [anon_sym_int] = ACTIONS(1054),
    [anon_sym_keys] = ACTIONS(1054),
    [anon_sym_lc] = ACTIONS(1054),
    [anon_sym_lcfirst] = ACTIONS(1054),
    [anon_sym_length] = ACTIONS(1054),
    [anon_sym_localtime] = ACTIONS(1054),
    [anon_sym_log] = ACTIONS(1054),
    [anon_sym_lock] = ACTIONS(1054),
    [anon_sym_lstat] = ACTIONS(1054),
    [anon_sym_oct] = ACTIONS(1054),
    [anon_sym_ord] = ACTIONS(1054),
    [anon_sym_prototype] = ACTIONS(1054),
    [anon_sym_pop] = ACTIONS(1054),
    [anon_sym_pos] = ACTIONS(1054),
    [anon_sym_quotemeta] = ACTIONS(1054),
    [anon_sym_reset] = ACTIONS(1054),
    [anon_sym_rand] = ACTIONS(1054),
    [anon_sym_rmdir] = ACTIONS(1054),
    [anon_sym_readdir] = ACTIONS(1054),
    [anon_sym_readline] = ACTIONS(1054),
    [anon_sym_readpipe] = ACTIONS(1054),
    [anon_sym_rewinddir] = ACTIONS(1054),
    [anon_sym_readlink] = ACTIONS(1054),
    [anon_sym_ref] = ACTIONS(1054),
    [anon_sym_scalar] = ACTIONS(1054),
    [anon_sym_shift] = ACTIONS(1054),
    [anon_sym_sin] = ACTIONS(1054),
    [anon_sym_sleep] = ACTIONS(1054),
    [anon_sym_sqrt] = ACTIONS(1054),
    [anon_sym_srand] = ACTIONS(1054),
    [anon_sym_stat] = ACTIONS(1054),
    [anon_sym_study] = ACTIONS(1054),
    [anon_sym_tell] = ACTIONS(1054),
    [anon_sym_telldir] = ACTIONS(1054),
    [anon_sym_tied] = ACTIONS(1054),
    [anon_sym_uc] = ACTIONS(1054),
    [anon_sym_ucfirst] = ACTIONS(1054),
    [anon_sym_untie] = ACTIONS(1054),
    [anon_sym_umask] = ACTIONS(1054),
    [anon_sym_values] = ACTIONS(1054),
    [anon_sym_write] = ACTIONS(1054),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1056),
    [anon_sym_qq] = ACTIONS(1058),
    [anon_sym_qw] = ACTIONS(1060),
    [anon_sym_qx] = ACTIONS(1062),
    [anon_sym_qr] = ACTIONS(1064),
    [anon_sym_m] = ACTIONS(1066),
    [anon_sym_s] = ACTIONS(1068),
    [anon_sym_tr] = ACTIONS(1070),
    [anon_sym_y] = ACTIONS(1070),
    [aux_sym__bareword_token1] = ACTIONS(1072),
    [sym_number] = ACTIONS(1074),
    [anon_sym_true] = ACTIONS(1076),
    [anon_sym_false] = ACTIONS(1076),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(1078),
    [sym__open_fileglob_bracket] = ACTIONS(1080),
    [sym__PERLY_HEREDOC] = ACTIONS(1082),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1084),
    [sym__filetest] = ACTIONS(1086),
  },
  [414] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2419),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(414),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_COMMA] = ACTIONS(201),
    [anon_sym_RPAREN] = ACTIONS(201),
    [anon_sym_my] = ACTIONS(439),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(439),
    [anon_sym_our] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(451),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_TILDE] = ACTIONS(451),
    [anon_sym_BANG] = ACTIONS(451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1689),
    [anon_sym_DASH_DASH] = ACTIONS(1689),
    [anon_sym_BSLASH] = ACTIONS(453),
    [anon_sym_do] = ACTIONS(455),
    [anon_sym_eval] = ACTIONS(457),
    [anon_sym_await] = ACTIONS(459),
    [anon_sym_field] = ACTIONS(439),
    [anon_sym_local] = ACTIONS(461),
    [anon_sym_dynamically] = ACTIONS(461),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(465),
    [anon_sym_map] = ACTIONS(467),
    [anon_sym_grep] = ACTIONS(467),
    [anon_sym_sort] = ACTIONS(469),
    [anon_sym_goto] = ACTIONS(471),
    [anon_sym_return] = ACTIONS(473),
    [anon_sym_undef] = ACTIONS(475),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(479),
    [anon_sym_next] = ACTIONS(479),
    [anon_sym_redo] = ACTIONS(479),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(481),
    [anon_sym_alarm] = ACTIONS(481),
    [anon_sym_chop] = ACTIONS(481),
    [anon_sym_chdir] = ACTIONS(481),
    [anon_sym_close] = ACTIONS(481),
    [anon_sym_closedir] = ACTIONS(481),
    [anon_sym_caller] = ACTIONS(481),
    [anon_sym_chomp] = ACTIONS(481),
    [anon_sym_chr] = ACTIONS(481),
    [anon_sym_cos] = ACTIONS(481),
    [anon_sym_chroot] = ACTIONS(481),
    [anon_sym_defined] = ACTIONS(481),
    [anon_sym_delete] = ACTIONS(481),
    [anon_sym_dbmclose] = ACTIONS(481),
    [anon_sym_exists] = ACTIONS(481),
    [anon_sym_exit] = ACTIONS(481),
    [anon_sym_eof] = ACTIONS(481),
    [anon_sym_exp] = ACTIONS(481),
    [anon_sym_each] = ACTIONS(481),
    [anon_sym_fc] = ACTIONS(481),
    [anon_sym_fileno] = ACTIONS(481),
    [anon_sym_gmtime] = ACTIONS(481),
    [anon_sym_getc] = ACTIONS(481),
    [anon_sym_getpgrp] = ACTIONS(481),
    [anon_sym_getprotobyname] = ACTIONS(481),
    [anon_sym_getpwname] = ACTIONS(481),
    [anon_sym_getpwuid] = ACTIONS(481),
    [anon_sym_getpeername] = ACTIONS(481),
    [anon_sym_getnetbyname] = ACTIONS(481),
    [anon_sym_getsockname] = ACTIONS(481),
    [anon_sym_getgrnam] = ACTIONS(481),
    [anon_sym_getgrgid] = ACTIONS(481),
    [anon_sym_hex] = ACTIONS(481),
    [anon_sym_int] = ACTIONS(481),
    [anon_sym_keys] = ACTIONS(481),
    [anon_sym_lc] = ACTIONS(481),
    [anon_sym_lcfirst] = ACTIONS(481),
    [anon_sym_length] = ACTIONS(481),
    [anon_sym_localtime] = ACTIONS(481),
    [anon_sym_log] = ACTIONS(481),
    [anon_sym_lock] = ACTIONS(481),
    [anon_sym_lstat] = ACTIONS(481),
    [anon_sym_oct] = ACTIONS(481),
    [anon_sym_ord] = ACTIONS(481),
    [anon_sym_prototype] = ACTIONS(481),
    [anon_sym_pop] = ACTIONS(481),
    [anon_sym_pos] = ACTIONS(481),
    [anon_sym_quotemeta] = ACTIONS(481),
    [anon_sym_reset] = ACTIONS(481),
    [anon_sym_rand] = ACTIONS(481),
    [anon_sym_rmdir] = ACTIONS(481),
    [anon_sym_readdir] = ACTIONS(481),
    [anon_sym_readline] = ACTIONS(481),
    [anon_sym_readpipe] = ACTIONS(481),
    [anon_sym_rewinddir] = ACTIONS(481),
    [anon_sym_readlink] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(481),
    [anon_sym_scalar] = ACTIONS(481),
    [anon_sym_shift] = ACTIONS(481),
    [anon_sym_sin] = ACTIONS(481),
    [anon_sym_sleep] = ACTIONS(481),
    [anon_sym_sqrt] = ACTIONS(481),
    [anon_sym_srand] = ACTIONS(481),
    [anon_sym_stat] = ACTIONS(481),
    [anon_sym_study] = ACTIONS(481),
    [anon_sym_tell] = ACTIONS(481),
    [anon_sym_telldir] = ACTIONS(481),
    [anon_sym_tied] = ACTIONS(481),
    [anon_sym_uc] = ACTIONS(481),
    [anon_sym_ucfirst] = ACTIONS(481),
    [anon_sym_untie] = ACTIONS(481),
    [anon_sym_umask] = ACTIONS(481),
    [anon_sym_values] = ACTIONS(481),
    [anon_sym_write] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(513),
  },
  [415] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1778),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(415),
    [sym__version] = STATE(1779),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [sym_version] = ACTIONS(1748),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(1750),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [416] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1706),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym__label_arg] = STATE(1747),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(416),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_identifier] = STATE(1748),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(265),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [417] = {
    [sym__PERLY_BRACE_OPEN] = STATE(235),
    [sym__subscripted] = STATE(1532),
    [sym_container_variable] = STATE(3855),
    [sym_array_element_expression] = STATE(1533),
    [sym_hash_element_expression] = STATE(1533),
    [sym_coderef_call_expression] = STATE(1533),
    [sym_anonymous_slice_expression] = STATE(1533),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(1967),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(1967),
    [sym__term] = STATE(1809),
    [sym_readline_expression] = STATE(1967),
    [sym_fileglob_expression] = STATE(1967),
    [sym_assignment_expression] = STATE(1967),
    [sym_binary_expression] = STATE(1967),
    [sym_equality_expression] = STATE(1967),
    [sym_relational_expression] = STATE(1967),
    [sym_unary_expression] = STATE(1967),
    [sym_preinc_expression] = STATE(1967),
    [sym_postinc_expression] = STATE(1967),
    [sym_conditional_expression] = STATE(1967),
    [sym_refgen_expression] = STATE(1967),
    [sym_anonymous_array_expression] = STATE(1967),
    [sym_anonymous_hash_expression] = STATE(1967),
    [sym_anonymous_subroutine_expression] = STATE(1967),
    [sym_anonymous_method_expression] = STATE(1967),
    [sym_do_expression] = STATE(1967),
    [sym_eval_expression] = STATE(1967),
    [sym_await_expression] = STATE(1967),
    [sym_variable_declaration] = STATE(1967),
    [sym_localization_expression] = STATE(1967),
    [sym_stub_expression] = STATE(1967),
    [sym_scalar_deref_expression] = STATE(1967),
    [sym_array_deref_expression] = STATE(1967),
    [sym_arraylen_deref_expression] = STATE(1967),
    [sym_hash_deref_expression] = STATE(1967),
    [sym_amper_deref_expression] = STATE(1967),
    [sym_glob_deref_expression] = STATE(1967),
    [sym_require_expression] = STATE(1967),
    [sym_require_version_expression] = STATE(1967),
    [sym_func0op_call_expression] = STATE(1967),
    [sym_func1op_call_expression] = STATE(1967),
    [sym_map_grep_expression] = STATE(1967),
    [sym_sort_expression] = STATE(1967),
    [sym_loopex_expression] = STATE(1967),
    [sym_goto_expression] = STATE(1967),
    [sym_return_expression] = STATE(1967),
    [sym_undef_expression] = STATE(1967),
    [sym__listop] = STATE(1967),
    [sym_function_call_expression] = STATE(1968),
    [sym_ambiguous_function_call_expression] = STATE(1968),
    [sym_function] = STATE(389),
    [sym_method_call_expression] = STATE(1968),
    [sym_scalar] = STATE(1967),
    [sym_array] = STATE(1967),
    [sym__SUB_AMPER] = STATE(2686),
    [sym__GLOB_STAR] = STATE(2687),
    [sym_hash] = STATE(1967),
    [sym_arraylen] = STATE(1967),
    [sym_amper_sub] = STATE(1785),
    [sym_glob] = STATE(1786),
    [sym_glob_slot_expression] = STATE(1967),
    [sym__literal] = STATE(1967),
    [sym__apostrophe] = STATE(3328),
    [sym__quotation_mark] = STATE(2501),
    [sym__backtick] = STATE(2502),
    [sym__search_slash] = STATE(2454),
    [sym_string_literal] = STATE(1969),
    [sym_interpolated_string_literal] = STATE(1969),
    [sym_quoted_word_list] = STATE(1787),
    [sym_command_string] = STATE(1969),
    [sym_quoted_regexp] = STATE(1969),
    [sym_match_regexp] = STATE(1969),
    [sym_substitution_regexp] = STATE(1969),
    [sym_transliteration_expression] = STATE(1969),
    [sym_heredoc_token] = STATE(1967),
    [sym_command_heredoc_token] = STATE(1967),
    [sym_heredoc_content] = STATE(417),
    [sym__version] = STATE(1810),
    [sym_autoquoted_bareword] = STATE(1967),
    [sym_bareword] = STATE(1967),
    [sym_primitive] = STATE(1967),
    [sym_boolean] = STATE(1965),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3342),
    [sym__identifier] = ACTIONS(575),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1752),
    [anon_sym_AT] = ACTIONS(1671),
    [anon_sym_my] = ACTIONS(517),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(519),
    [anon_sym_method] = ACTIONS(521),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_continue] = ACTIONS(525),
    [anon_sym_state] = ACTIONS(517),
    [anon_sym_our] = ACTIONS(517),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_LT_LT] = ACTIONS(1673),
    [anon_sym_SLASH_SLASH] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(1677),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_PLUS_PLUS] = ACTIONS(1679),
    [anon_sym_DASH_DASH] = ACTIONS(1679),
    [anon_sym_BSLASH] = ACTIONS(531),
    [anon_sym_do] = ACTIONS(533),
    [anon_sym_eval] = ACTIONS(535),
    [anon_sym_await] = ACTIONS(537),
    [anon_sym_field] = ACTIONS(517),
    [anon_sym_local] = ACTIONS(539),
    [anon_sym_dynamically] = ACTIONS(539),
    [anon_sym_DOLLAR_POUND] = ACTIONS(541),
    [anon_sym_require] = ACTIONS(543),
    [anon_sym_map] = ACTIONS(545),
    [anon_sym_grep] = ACTIONS(545),
    [anon_sym_sort] = ACTIONS(547),
    [anon_sym_goto] = ACTIONS(549),
    [anon_sym_return] = ACTIONS(551),
    [anon_sym_undef] = ACTIONS(553),
    [anon_sym_PERCENT2] = ACTIONS(1681),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(555),
    [anon_sym_next] = ACTIONS(555),
    [anon_sym_redo] = ACTIONS(555),
    [anon_sym___FILE__] = ACTIONS(525),
    [anon_sym___LINE__] = ACTIONS(525),
    [anon_sym___PACKAGE__] = ACTIONS(525),
    [anon_sym___SUB__] = ACTIONS(525),
    [anon_sym_break] = ACTIONS(525),
    [anon_sym_fork] = ACTIONS(525),
    [anon_sym_getppid] = ACTIONS(525),
    [anon_sym_time] = ACTIONS(525),
    [anon_sym_times] = ACTIONS(525),
    [anon_sym_wait] = ACTIONS(525),
    [anon_sym_wantarray] = ACTIONS(525),
    [anon_sym_abs] = ACTIONS(557),
    [anon_sym_alarm] = ACTIONS(557),
    [anon_sym_chop] = ACTIONS(557),
    [anon_sym_chdir] = ACTIONS(557),
    [anon_sym_close] = ACTIONS(557),
    [anon_sym_closedir] = ACTIONS(557),
    [anon_sym_caller] = ACTIONS(557),
    [anon_sym_chomp] = ACTIONS(557),
    [anon_sym_chr] = ACTIONS(557),
    [anon_sym_cos] = ACTIONS(557),
    [anon_sym_chroot] = ACTIONS(557),
    [anon_sym_defined] = ACTIONS(557),
    [anon_sym_delete] = ACTIONS(557),
    [anon_sym_dbmclose] = ACTIONS(557),
    [anon_sym_exists] = ACTIONS(557),
    [anon_sym_exit] = ACTIONS(557),
    [anon_sym_eof] = ACTIONS(557),
    [anon_sym_exp] = ACTIONS(557),
    [anon_sym_each] = ACTIONS(557),
    [anon_sym_fc] = ACTIONS(557),
    [anon_sym_fileno] = ACTIONS(557),
    [anon_sym_gmtime] = ACTIONS(557),
    [anon_sym_getc] = ACTIONS(557),
    [anon_sym_getpgrp] = ACTIONS(557),
    [anon_sym_getprotobyname] = ACTIONS(557),
    [anon_sym_getpwname] = ACTIONS(557),
    [anon_sym_getpwuid] = ACTIONS(557),
    [anon_sym_getpeername] = ACTIONS(557),
    [anon_sym_getnetbyname] = ACTIONS(557),
    [anon_sym_getsockname] = ACTIONS(557),
    [anon_sym_getgrnam] = ACTIONS(557),
    [anon_sym_getgrgid] = ACTIONS(557),
    [anon_sym_hex] = ACTIONS(557),
    [anon_sym_int] = ACTIONS(557),
    [anon_sym_keys] = ACTIONS(557),
    [anon_sym_lc] = ACTIONS(557),
    [anon_sym_lcfirst] = ACTIONS(557),
    [anon_sym_length] = ACTIONS(557),
    [anon_sym_localtime] = ACTIONS(557),
    [anon_sym_log] = ACTIONS(557),
    [anon_sym_lock] = ACTIONS(557),
    [anon_sym_lstat] = ACTIONS(557),
    [anon_sym_oct] = ACTIONS(557),
    [anon_sym_ord] = ACTIONS(557),
    [anon_sym_prototype] = ACTIONS(557),
    [anon_sym_pop] = ACTIONS(557),
    [anon_sym_pos] = ACTIONS(557),
    [anon_sym_quotemeta] = ACTIONS(557),
    [anon_sym_reset] = ACTIONS(557),
    [anon_sym_rand] = ACTIONS(557),
    [anon_sym_rmdir] = ACTIONS(557),
    [anon_sym_readdir] = ACTIONS(557),
    [anon_sym_readline] = ACTIONS(557),
    [anon_sym_readpipe] = ACTIONS(557),
    [anon_sym_rewinddir] = ACTIONS(557),
    [anon_sym_readlink] = ACTIONS(557),
    [anon_sym_ref] = ACTIONS(557),
    [anon_sym_scalar] = ACTIONS(557),
    [anon_sym_shift] = ACTIONS(557),
    [anon_sym_sin] = ACTIONS(557),
    [anon_sym_sleep] = ACTIONS(557),
    [anon_sym_sqrt] = ACTIONS(557),
    [anon_sym_srand] = ACTIONS(557),
    [anon_sym_stat] = ACTIONS(557),
    [anon_sym_study] = ACTIONS(557),
    [anon_sym_tell] = ACTIONS(557),
    [anon_sym_telldir] = ACTIONS(557),
    [anon_sym_tied] = ACTIONS(557),
    [anon_sym_uc] = ACTIONS(557),
    [anon_sym_ucfirst] = ACTIONS(557),
    [anon_sym_untie] = ACTIONS(557),
    [anon_sym_umask] = ACTIONS(557),
    [anon_sym_values] = ACTIONS(557),
    [anon_sym_write] = ACTIONS(557),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(559),
    [anon_sym_qq] = ACTIONS(561),
    [anon_sym_qw] = ACTIONS(563),
    [anon_sym_qx] = ACTIONS(565),
    [anon_sym_qr] = ACTIONS(567),
    [anon_sym_m] = ACTIONS(569),
    [anon_sym_s] = ACTIONS(571),
    [anon_sym_tr] = ACTIONS(573),
    [anon_sym_y] = ACTIONS(573),
    [sym_version] = ACTIONS(1754),
    [aux_sym__bareword_token1] = ACTIONS(575),
    [sym_number] = ACTIONS(1756),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(581),
    [sym__open_fileglob_bracket] = ACTIONS(583),
    [sym__PERLY_HEREDOC] = ACTIONS(585),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(587),
    [sym__filetest] = ACTIONS(589),
  },
  [418] = {
    [sym__PERLY_BRACE_OPEN] = STATE(235),
    [sym__subscripted] = STATE(1532),
    [sym_container_variable] = STATE(3855),
    [sym_array_element_expression] = STATE(1533),
    [sym_hash_element_expression] = STATE(1533),
    [sym_coderef_call_expression] = STATE(1533),
    [sym_anonymous_slice_expression] = STATE(1533),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(1967),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(1967),
    [sym__term] = STATE(1812),
    [sym_readline_expression] = STATE(1967),
    [sym_fileglob_expression] = STATE(1967),
    [sym_assignment_expression] = STATE(1967),
    [sym_binary_expression] = STATE(1967),
    [sym_equality_expression] = STATE(1967),
    [sym_relational_expression] = STATE(1967),
    [sym_unary_expression] = STATE(1967),
    [sym_preinc_expression] = STATE(1967),
    [sym_postinc_expression] = STATE(1967),
    [sym_conditional_expression] = STATE(1967),
    [sym_refgen_expression] = STATE(1967),
    [sym_anonymous_array_expression] = STATE(1967),
    [sym_anonymous_hash_expression] = STATE(1967),
    [sym_anonymous_subroutine_expression] = STATE(1967),
    [sym_anonymous_method_expression] = STATE(1967),
    [sym_do_expression] = STATE(1967),
    [sym_eval_expression] = STATE(1967),
    [sym_await_expression] = STATE(1967),
    [sym_variable_declaration] = STATE(1967),
    [sym_localization_expression] = STATE(1967),
    [sym_stub_expression] = STATE(1967),
    [sym_scalar_deref_expression] = STATE(1967),
    [sym_array_deref_expression] = STATE(1967),
    [sym_arraylen_deref_expression] = STATE(1967),
    [sym_hash_deref_expression] = STATE(1967),
    [sym_amper_deref_expression] = STATE(1967),
    [sym_glob_deref_expression] = STATE(1967),
    [sym_require_expression] = STATE(1967),
    [sym_require_version_expression] = STATE(1967),
    [sym_func0op_call_expression] = STATE(1967),
    [sym_func1op_call_expression] = STATE(1967),
    [sym_map_grep_expression] = STATE(1967),
    [sym_sort_expression] = STATE(1967),
    [sym__label_arg] = STATE(1813),
    [sym_loopex_expression] = STATE(1967),
    [sym_goto_expression] = STATE(1967),
    [sym_return_expression] = STATE(1967),
    [sym_undef_expression] = STATE(1967),
    [sym__listop] = STATE(1967),
    [sym_function_call_expression] = STATE(1968),
    [sym_ambiguous_function_call_expression] = STATE(1968),
    [sym_function] = STATE(389),
    [sym_method_call_expression] = STATE(1968),
    [sym_scalar] = STATE(1967),
    [sym_array] = STATE(1967),
    [sym__SUB_AMPER] = STATE(2686),
    [sym__GLOB_STAR] = STATE(2687),
    [sym_hash] = STATE(1967),
    [sym_arraylen] = STATE(1967),
    [sym_amper_sub] = STATE(1785),
    [sym_glob] = STATE(1786),
    [sym_glob_slot_expression] = STATE(1967),
    [sym__literal] = STATE(1967),
    [sym__apostrophe] = STATE(3328),
    [sym__quotation_mark] = STATE(2501),
    [sym__backtick] = STATE(2502),
    [sym__search_slash] = STATE(2454),
    [sym_string_literal] = STATE(1969),
    [sym_interpolated_string_literal] = STATE(1969),
    [sym_quoted_word_list] = STATE(1787),
    [sym_command_string] = STATE(1969),
    [sym_quoted_regexp] = STATE(1969),
    [sym_match_regexp] = STATE(1969),
    [sym_substitution_regexp] = STATE(1969),
    [sym_transliteration_expression] = STATE(1969),
    [sym_heredoc_token] = STATE(1967),
    [sym_command_heredoc_token] = STATE(1967),
    [sym_heredoc_content] = STATE(418),
    [sym_autoquoted_bareword] = STATE(1967),
    [sym_identifier] = STATE(1814),
    [sym_bareword] = STATE(1967),
    [sym_primitive] = STATE(1967),
    [sym_boolean] = STATE(1965),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3342),
    [sym__identifier] = ACTIONS(515),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1752),
    [anon_sym_AT] = ACTIONS(1671),
    [anon_sym_my] = ACTIONS(517),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(519),
    [anon_sym_method] = ACTIONS(521),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_continue] = ACTIONS(525),
    [anon_sym_state] = ACTIONS(517),
    [anon_sym_our] = ACTIONS(517),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_LT_LT] = ACTIONS(1673),
    [anon_sym_SLASH_SLASH] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(1677),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_PLUS_PLUS] = ACTIONS(1679),
    [anon_sym_DASH_DASH] = ACTIONS(1679),
    [anon_sym_BSLASH] = ACTIONS(531),
    [anon_sym_do] = ACTIONS(533),
    [anon_sym_eval] = ACTIONS(535),
    [anon_sym_await] = ACTIONS(537),
    [anon_sym_field] = ACTIONS(517),
    [anon_sym_local] = ACTIONS(539),
    [anon_sym_dynamically] = ACTIONS(539),
    [anon_sym_DOLLAR_POUND] = ACTIONS(541),
    [anon_sym_require] = ACTIONS(543),
    [anon_sym_map] = ACTIONS(545),
    [anon_sym_grep] = ACTIONS(545),
    [anon_sym_sort] = ACTIONS(547),
    [anon_sym_goto] = ACTIONS(549),
    [anon_sym_return] = ACTIONS(551),
    [anon_sym_undef] = ACTIONS(553),
    [anon_sym_PERCENT2] = ACTIONS(1681),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(555),
    [anon_sym_next] = ACTIONS(555),
    [anon_sym_redo] = ACTIONS(555),
    [anon_sym___FILE__] = ACTIONS(525),
    [anon_sym___LINE__] = ACTIONS(525),
    [anon_sym___PACKAGE__] = ACTIONS(525),
    [anon_sym___SUB__] = ACTIONS(525),
    [anon_sym_break] = ACTIONS(525),
    [anon_sym_fork] = ACTIONS(525),
    [anon_sym_getppid] = ACTIONS(525),
    [anon_sym_time] = ACTIONS(525),
    [anon_sym_times] = ACTIONS(525),
    [anon_sym_wait] = ACTIONS(525),
    [anon_sym_wantarray] = ACTIONS(525),
    [anon_sym_abs] = ACTIONS(557),
    [anon_sym_alarm] = ACTIONS(557),
    [anon_sym_chop] = ACTIONS(557),
    [anon_sym_chdir] = ACTIONS(557),
    [anon_sym_close] = ACTIONS(557),
    [anon_sym_closedir] = ACTIONS(557),
    [anon_sym_caller] = ACTIONS(557),
    [anon_sym_chomp] = ACTIONS(557),
    [anon_sym_chr] = ACTIONS(557),
    [anon_sym_cos] = ACTIONS(557),
    [anon_sym_chroot] = ACTIONS(557),
    [anon_sym_defined] = ACTIONS(557),
    [anon_sym_delete] = ACTIONS(557),
    [anon_sym_dbmclose] = ACTIONS(557),
    [anon_sym_exists] = ACTIONS(557),
    [anon_sym_exit] = ACTIONS(557),
    [anon_sym_eof] = ACTIONS(557),
    [anon_sym_exp] = ACTIONS(557),
    [anon_sym_each] = ACTIONS(557),
    [anon_sym_fc] = ACTIONS(557),
    [anon_sym_fileno] = ACTIONS(557),
    [anon_sym_gmtime] = ACTIONS(557),
    [anon_sym_getc] = ACTIONS(557),
    [anon_sym_getpgrp] = ACTIONS(557),
    [anon_sym_getprotobyname] = ACTIONS(557),
    [anon_sym_getpwname] = ACTIONS(557),
    [anon_sym_getpwuid] = ACTIONS(557),
    [anon_sym_getpeername] = ACTIONS(557),
    [anon_sym_getnetbyname] = ACTIONS(557),
    [anon_sym_getsockname] = ACTIONS(557),
    [anon_sym_getgrnam] = ACTIONS(557),
    [anon_sym_getgrgid] = ACTIONS(557),
    [anon_sym_hex] = ACTIONS(557),
    [anon_sym_int] = ACTIONS(557),
    [anon_sym_keys] = ACTIONS(557),
    [anon_sym_lc] = ACTIONS(557),
    [anon_sym_lcfirst] = ACTIONS(557),
    [anon_sym_length] = ACTIONS(557),
    [anon_sym_localtime] = ACTIONS(557),
    [anon_sym_log] = ACTIONS(557),
    [anon_sym_lock] = ACTIONS(557),
    [anon_sym_lstat] = ACTIONS(557),
    [anon_sym_oct] = ACTIONS(557),
    [anon_sym_ord] = ACTIONS(557),
    [anon_sym_prototype] = ACTIONS(557),
    [anon_sym_pop] = ACTIONS(557),
    [anon_sym_pos] = ACTIONS(557),
    [anon_sym_quotemeta] = ACTIONS(557),
    [anon_sym_reset] = ACTIONS(557),
    [anon_sym_rand] = ACTIONS(557),
    [anon_sym_rmdir] = ACTIONS(557),
    [anon_sym_readdir] = ACTIONS(557),
    [anon_sym_readline] = ACTIONS(557),
    [anon_sym_readpipe] = ACTIONS(557),
    [anon_sym_rewinddir] = ACTIONS(557),
    [anon_sym_readlink] = ACTIONS(557),
    [anon_sym_ref] = ACTIONS(557),
    [anon_sym_scalar] = ACTIONS(557),
    [anon_sym_shift] = ACTIONS(557),
    [anon_sym_sin] = ACTIONS(557),
    [anon_sym_sleep] = ACTIONS(557),
    [anon_sym_sqrt] = ACTIONS(557),
    [anon_sym_srand] = ACTIONS(557),
    [anon_sym_stat] = ACTIONS(557),
    [anon_sym_study] = ACTIONS(557),
    [anon_sym_tell] = ACTIONS(557),
    [anon_sym_telldir] = ACTIONS(557),
    [anon_sym_tied] = ACTIONS(557),
    [anon_sym_uc] = ACTIONS(557),
    [anon_sym_ucfirst] = ACTIONS(557),
    [anon_sym_untie] = ACTIONS(557),
    [anon_sym_umask] = ACTIONS(557),
    [anon_sym_values] = ACTIONS(557),
    [anon_sym_write] = ACTIONS(557),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(559),
    [anon_sym_qq] = ACTIONS(561),
    [anon_sym_qw] = ACTIONS(563),
    [anon_sym_qx] = ACTIONS(565),
    [anon_sym_qr] = ACTIONS(567),
    [anon_sym_m] = ACTIONS(569),
    [anon_sym_s] = ACTIONS(571),
    [anon_sym_tr] = ACTIONS(573),
    [anon_sym_y] = ACTIONS(573),
    [aux_sym__bareword_token1] = ACTIONS(575),
    [sym_number] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(581),
    [sym__open_fileglob_bracket] = ACTIONS(583),
    [sym__PERLY_HEREDOC] = ACTIONS(585),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(587),
    [sym__filetest] = ACTIONS(589),
  },
  [419] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2348),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(419),
    [sym__version] = STATE(2186),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(439),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(439),
    [anon_sym_our] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(451),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_TILDE] = ACTIONS(451),
    [anon_sym_BANG] = ACTIONS(451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1689),
    [anon_sym_DASH_DASH] = ACTIONS(1689),
    [anon_sym_BSLASH] = ACTIONS(453),
    [anon_sym_do] = ACTIONS(455),
    [anon_sym_eval] = ACTIONS(457),
    [anon_sym_await] = ACTIONS(459),
    [anon_sym_field] = ACTIONS(439),
    [anon_sym_local] = ACTIONS(461),
    [anon_sym_dynamically] = ACTIONS(461),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(465),
    [anon_sym_map] = ACTIONS(467),
    [anon_sym_grep] = ACTIONS(467),
    [anon_sym_sort] = ACTIONS(469),
    [anon_sym_goto] = ACTIONS(471),
    [anon_sym_return] = ACTIONS(473),
    [anon_sym_undef] = ACTIONS(475),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(479),
    [anon_sym_next] = ACTIONS(479),
    [anon_sym_redo] = ACTIONS(479),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(481),
    [anon_sym_alarm] = ACTIONS(481),
    [anon_sym_chop] = ACTIONS(481),
    [anon_sym_chdir] = ACTIONS(481),
    [anon_sym_close] = ACTIONS(481),
    [anon_sym_closedir] = ACTIONS(481),
    [anon_sym_caller] = ACTIONS(481),
    [anon_sym_chomp] = ACTIONS(481),
    [anon_sym_chr] = ACTIONS(481),
    [anon_sym_cos] = ACTIONS(481),
    [anon_sym_chroot] = ACTIONS(481),
    [anon_sym_defined] = ACTIONS(481),
    [anon_sym_delete] = ACTIONS(481),
    [anon_sym_dbmclose] = ACTIONS(481),
    [anon_sym_exists] = ACTIONS(481),
    [anon_sym_exit] = ACTIONS(481),
    [anon_sym_eof] = ACTIONS(481),
    [anon_sym_exp] = ACTIONS(481),
    [anon_sym_each] = ACTIONS(481),
    [anon_sym_fc] = ACTIONS(481),
    [anon_sym_fileno] = ACTIONS(481),
    [anon_sym_gmtime] = ACTIONS(481),
    [anon_sym_getc] = ACTIONS(481),
    [anon_sym_getpgrp] = ACTIONS(481),
    [anon_sym_getprotobyname] = ACTIONS(481),
    [anon_sym_getpwname] = ACTIONS(481),
    [anon_sym_getpwuid] = ACTIONS(481),
    [anon_sym_getpeername] = ACTIONS(481),
    [anon_sym_getnetbyname] = ACTIONS(481),
    [anon_sym_getsockname] = ACTIONS(481),
    [anon_sym_getgrnam] = ACTIONS(481),
    [anon_sym_getgrgid] = ACTIONS(481),
    [anon_sym_hex] = ACTIONS(481),
    [anon_sym_int] = ACTIONS(481),
    [anon_sym_keys] = ACTIONS(481),
    [anon_sym_lc] = ACTIONS(481),
    [anon_sym_lcfirst] = ACTIONS(481),
    [anon_sym_length] = ACTIONS(481),
    [anon_sym_localtime] = ACTIONS(481),
    [anon_sym_log] = ACTIONS(481),
    [anon_sym_lock] = ACTIONS(481),
    [anon_sym_lstat] = ACTIONS(481),
    [anon_sym_oct] = ACTIONS(481),
    [anon_sym_ord] = ACTIONS(481),
    [anon_sym_prototype] = ACTIONS(481),
    [anon_sym_pop] = ACTIONS(481),
    [anon_sym_pos] = ACTIONS(481),
    [anon_sym_quotemeta] = ACTIONS(481),
    [anon_sym_reset] = ACTIONS(481),
    [anon_sym_rand] = ACTIONS(481),
    [anon_sym_rmdir] = ACTIONS(481),
    [anon_sym_readdir] = ACTIONS(481),
    [anon_sym_readline] = ACTIONS(481),
    [anon_sym_readpipe] = ACTIONS(481),
    [anon_sym_rewinddir] = ACTIONS(481),
    [anon_sym_readlink] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(481),
    [anon_sym_scalar] = ACTIONS(481),
    [anon_sym_shift] = ACTIONS(481),
    [anon_sym_sin] = ACTIONS(481),
    [anon_sym_sleep] = ACTIONS(481),
    [anon_sym_sqrt] = ACTIONS(481),
    [anon_sym_srand] = ACTIONS(481),
    [anon_sym_stat] = ACTIONS(481),
    [anon_sym_study] = ACTIONS(481),
    [anon_sym_tell] = ACTIONS(481),
    [anon_sym_telldir] = ACTIONS(481),
    [anon_sym_tied] = ACTIONS(481),
    [anon_sym_uc] = ACTIONS(481),
    [anon_sym_ucfirst] = ACTIONS(481),
    [anon_sym_untie] = ACTIONS(481),
    [anon_sym_umask] = ACTIONS(481),
    [anon_sym_values] = ACTIONS(481),
    [anon_sym_write] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [sym_version] = ACTIONS(1744),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(1746),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(513),
  },
  [420] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2356),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym__label_arg] = STATE(2190),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(420),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_identifier] = STATE(2191),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(433),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(439),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(439),
    [anon_sym_our] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(451),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_TILDE] = ACTIONS(451),
    [anon_sym_BANG] = ACTIONS(451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1689),
    [anon_sym_DASH_DASH] = ACTIONS(1689),
    [anon_sym_BSLASH] = ACTIONS(453),
    [anon_sym_do] = ACTIONS(455),
    [anon_sym_eval] = ACTIONS(457),
    [anon_sym_await] = ACTIONS(459),
    [anon_sym_field] = ACTIONS(439),
    [anon_sym_local] = ACTIONS(461),
    [anon_sym_dynamically] = ACTIONS(461),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(465),
    [anon_sym_map] = ACTIONS(467),
    [anon_sym_grep] = ACTIONS(467),
    [anon_sym_sort] = ACTIONS(469),
    [anon_sym_goto] = ACTIONS(471),
    [anon_sym_return] = ACTIONS(473),
    [anon_sym_undef] = ACTIONS(475),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(479),
    [anon_sym_next] = ACTIONS(479),
    [anon_sym_redo] = ACTIONS(479),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(481),
    [anon_sym_alarm] = ACTIONS(481),
    [anon_sym_chop] = ACTIONS(481),
    [anon_sym_chdir] = ACTIONS(481),
    [anon_sym_close] = ACTIONS(481),
    [anon_sym_closedir] = ACTIONS(481),
    [anon_sym_caller] = ACTIONS(481),
    [anon_sym_chomp] = ACTIONS(481),
    [anon_sym_chr] = ACTIONS(481),
    [anon_sym_cos] = ACTIONS(481),
    [anon_sym_chroot] = ACTIONS(481),
    [anon_sym_defined] = ACTIONS(481),
    [anon_sym_delete] = ACTIONS(481),
    [anon_sym_dbmclose] = ACTIONS(481),
    [anon_sym_exists] = ACTIONS(481),
    [anon_sym_exit] = ACTIONS(481),
    [anon_sym_eof] = ACTIONS(481),
    [anon_sym_exp] = ACTIONS(481),
    [anon_sym_each] = ACTIONS(481),
    [anon_sym_fc] = ACTIONS(481),
    [anon_sym_fileno] = ACTIONS(481),
    [anon_sym_gmtime] = ACTIONS(481),
    [anon_sym_getc] = ACTIONS(481),
    [anon_sym_getpgrp] = ACTIONS(481),
    [anon_sym_getprotobyname] = ACTIONS(481),
    [anon_sym_getpwname] = ACTIONS(481),
    [anon_sym_getpwuid] = ACTIONS(481),
    [anon_sym_getpeername] = ACTIONS(481),
    [anon_sym_getnetbyname] = ACTIONS(481),
    [anon_sym_getsockname] = ACTIONS(481),
    [anon_sym_getgrnam] = ACTIONS(481),
    [anon_sym_getgrgid] = ACTIONS(481),
    [anon_sym_hex] = ACTIONS(481),
    [anon_sym_int] = ACTIONS(481),
    [anon_sym_keys] = ACTIONS(481),
    [anon_sym_lc] = ACTIONS(481),
    [anon_sym_lcfirst] = ACTIONS(481),
    [anon_sym_length] = ACTIONS(481),
    [anon_sym_localtime] = ACTIONS(481),
    [anon_sym_log] = ACTIONS(481),
    [anon_sym_lock] = ACTIONS(481),
    [anon_sym_lstat] = ACTIONS(481),
    [anon_sym_oct] = ACTIONS(481),
    [anon_sym_ord] = ACTIONS(481),
    [anon_sym_prototype] = ACTIONS(481),
    [anon_sym_pop] = ACTIONS(481),
    [anon_sym_pos] = ACTIONS(481),
    [anon_sym_quotemeta] = ACTIONS(481),
    [anon_sym_reset] = ACTIONS(481),
    [anon_sym_rand] = ACTIONS(481),
    [anon_sym_rmdir] = ACTIONS(481),
    [anon_sym_readdir] = ACTIONS(481),
    [anon_sym_readline] = ACTIONS(481),
    [anon_sym_readpipe] = ACTIONS(481),
    [anon_sym_rewinddir] = ACTIONS(481),
    [anon_sym_readlink] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(481),
    [anon_sym_scalar] = ACTIONS(481),
    [anon_sym_shift] = ACTIONS(481),
    [anon_sym_sin] = ACTIONS(481),
    [anon_sym_sleep] = ACTIONS(481),
    [anon_sym_sqrt] = ACTIONS(481),
    [anon_sym_srand] = ACTIONS(481),
    [anon_sym_stat] = ACTIONS(481),
    [anon_sym_study] = ACTIONS(481),
    [anon_sym_tell] = ACTIONS(481),
    [anon_sym_telldir] = ACTIONS(481),
    [anon_sym_tied] = ACTIONS(481),
    [anon_sym_uc] = ACTIONS(481),
    [anon_sym_ucfirst] = ACTIONS(481),
    [anon_sym_untie] = ACTIONS(481),
    [anon_sym_umask] = ACTIONS(481),
    [anon_sym_values] = ACTIONS(481),
    [anon_sym_write] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(513),
  },
  [421] = {
    [sym__PERLY_BRACE_OPEN] = STATE(237),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1370),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(421),
    [sym__version] = STATE(1371),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [sym_version] = ACTIONS(1758),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(1760),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [422] = {
    [sym__PERLY_BRACE_OPEN] = STATE(237),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1280),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym__label_arg] = STATE(1281),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(422),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_identifier] = STATE(1282),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(151),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [423] = {
    [sym__PERLY_BRACE_OPEN] = STATE(237),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1487),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(423),
    [sym__version] = STATE(1371),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(243),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [sym_version] = ACTIONS(1758),
    [aux_sym__bareword_token1] = ACTIONS(243),
    [sym_number] = ACTIONS(1760),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(245),
  },
  [424] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__term_rightward] = STATE(1740),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1539),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(424),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [425] = {
    [sym__PERLY_BRACE_OPEN] = STATE(235),
    [sym__subscripted] = STATE(1532),
    [sym_container_variable] = STATE(3855),
    [sym_array_element_expression] = STATE(1533),
    [sym_hash_element_expression] = STATE(1533),
    [sym_coderef_call_expression] = STATE(1533),
    [sym_anonymous_slice_expression] = STATE(1533),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(1967),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(1967),
    [sym__term] = STATE(1932),
    [sym_readline_expression] = STATE(1967),
    [sym_fileglob_expression] = STATE(1967),
    [sym_assignment_expression] = STATE(1967),
    [sym_binary_expression] = STATE(1967),
    [sym_equality_expression] = STATE(1967),
    [sym_relational_expression] = STATE(1967),
    [sym_unary_expression] = STATE(1967),
    [sym_preinc_expression] = STATE(1967),
    [sym_postinc_expression] = STATE(1967),
    [sym_conditional_expression] = STATE(1967),
    [sym_refgen_expression] = STATE(1967),
    [sym_anonymous_array_expression] = STATE(1967),
    [sym_anonymous_hash_expression] = STATE(1967),
    [sym_anonymous_subroutine_expression] = STATE(1967),
    [sym_anonymous_method_expression] = STATE(1967),
    [sym_do_expression] = STATE(1967),
    [sym_eval_expression] = STATE(1967),
    [sym_await_expression] = STATE(1967),
    [sym_variable_declaration] = STATE(1967),
    [sym_localization_expression] = STATE(1967),
    [sym_stub_expression] = STATE(1967),
    [sym_scalar_deref_expression] = STATE(1967),
    [sym_array_deref_expression] = STATE(1967),
    [sym_arraylen_deref_expression] = STATE(1967),
    [sym_hash_deref_expression] = STATE(1967),
    [sym_amper_deref_expression] = STATE(1967),
    [sym_glob_deref_expression] = STATE(1967),
    [sym_require_expression] = STATE(1967),
    [sym_require_version_expression] = STATE(1967),
    [sym_func0op_call_expression] = STATE(1967),
    [sym_func1op_call_expression] = STATE(1967),
    [sym_map_grep_expression] = STATE(1967),
    [sym_sort_expression] = STATE(1967),
    [sym_loopex_expression] = STATE(1967),
    [sym_goto_expression] = STATE(1967),
    [sym_return_expression] = STATE(1967),
    [sym_undef_expression] = STATE(1967),
    [sym__listop] = STATE(1967),
    [sym_function_call_expression] = STATE(1968),
    [sym_ambiguous_function_call_expression] = STATE(1968),
    [sym_function] = STATE(389),
    [sym_method_call_expression] = STATE(1968),
    [sym_scalar] = STATE(1967),
    [sym_array] = STATE(1967),
    [sym__SUB_AMPER] = STATE(2686),
    [sym__GLOB_STAR] = STATE(2687),
    [sym_hash] = STATE(1967),
    [sym_arraylen] = STATE(1967),
    [sym_amper_sub] = STATE(1785),
    [sym_glob] = STATE(1786),
    [sym_glob_slot_expression] = STATE(1967),
    [sym__literal] = STATE(1967),
    [sym__apostrophe] = STATE(3328),
    [sym__quotation_mark] = STATE(2501),
    [sym__backtick] = STATE(2502),
    [sym__search_slash] = STATE(2454),
    [sym_string_literal] = STATE(1969),
    [sym_interpolated_string_literal] = STATE(1969),
    [sym_quoted_word_list] = STATE(1787),
    [sym_command_string] = STATE(1969),
    [sym_quoted_regexp] = STATE(1969),
    [sym_match_regexp] = STATE(1969),
    [sym_substitution_regexp] = STATE(1969),
    [sym_transliteration_expression] = STATE(1969),
    [sym_heredoc_token] = STATE(1967),
    [sym_command_heredoc_token] = STATE(1967),
    [sym_heredoc_content] = STATE(425),
    [sym_autoquoted_bareword] = STATE(1967),
    [sym_bareword] = STATE(1967),
    [sym_primitive] = STATE(1967),
    [sym_boolean] = STATE(1965),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3342),
    [sym__identifier] = ACTIONS(575),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1752),
    [anon_sym_AT] = ACTIONS(1671),
    [anon_sym_my] = ACTIONS(517),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(519),
    [anon_sym_method] = ACTIONS(521),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_continue] = ACTIONS(525),
    [anon_sym_state] = ACTIONS(517),
    [anon_sym_our] = ACTIONS(517),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_LT_LT] = ACTIONS(1673),
    [anon_sym_SLASH_SLASH] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(1677),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_PLUS_PLUS] = ACTIONS(1679),
    [anon_sym_DASH_DASH] = ACTIONS(1679),
    [anon_sym_BSLASH] = ACTIONS(531),
    [anon_sym_do] = ACTIONS(533),
    [anon_sym_eval] = ACTIONS(535),
    [anon_sym_await] = ACTIONS(537),
    [anon_sym_field] = ACTIONS(517),
    [anon_sym_local] = ACTIONS(539),
    [anon_sym_dynamically] = ACTIONS(539),
    [anon_sym_DOLLAR_POUND] = ACTIONS(541),
    [anon_sym_require] = ACTIONS(543),
    [anon_sym_map] = ACTIONS(545),
    [anon_sym_grep] = ACTIONS(545),
    [anon_sym_sort] = ACTIONS(547),
    [anon_sym_goto] = ACTIONS(549),
    [anon_sym_return] = ACTIONS(551),
    [anon_sym_undef] = ACTIONS(553),
    [anon_sym_PERCENT2] = ACTIONS(1681),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(555),
    [anon_sym_next] = ACTIONS(555),
    [anon_sym_redo] = ACTIONS(555),
    [anon_sym___FILE__] = ACTIONS(525),
    [anon_sym___LINE__] = ACTIONS(525),
    [anon_sym___PACKAGE__] = ACTIONS(525),
    [anon_sym___SUB__] = ACTIONS(525),
    [anon_sym_break] = ACTIONS(525),
    [anon_sym_fork] = ACTIONS(525),
    [anon_sym_getppid] = ACTIONS(525),
    [anon_sym_time] = ACTIONS(525),
    [anon_sym_times] = ACTIONS(525),
    [anon_sym_wait] = ACTIONS(525),
    [anon_sym_wantarray] = ACTIONS(525),
    [anon_sym_abs] = ACTIONS(557),
    [anon_sym_alarm] = ACTIONS(557),
    [anon_sym_chop] = ACTIONS(557),
    [anon_sym_chdir] = ACTIONS(557),
    [anon_sym_close] = ACTIONS(557),
    [anon_sym_closedir] = ACTIONS(557),
    [anon_sym_caller] = ACTIONS(557),
    [anon_sym_chomp] = ACTIONS(557),
    [anon_sym_chr] = ACTIONS(557),
    [anon_sym_cos] = ACTIONS(557),
    [anon_sym_chroot] = ACTIONS(557),
    [anon_sym_defined] = ACTIONS(557),
    [anon_sym_delete] = ACTIONS(557),
    [anon_sym_dbmclose] = ACTIONS(557),
    [anon_sym_exists] = ACTIONS(557),
    [anon_sym_exit] = ACTIONS(557),
    [anon_sym_eof] = ACTIONS(557),
    [anon_sym_exp] = ACTIONS(557),
    [anon_sym_each] = ACTIONS(557),
    [anon_sym_fc] = ACTIONS(557),
    [anon_sym_fileno] = ACTIONS(557),
    [anon_sym_gmtime] = ACTIONS(557),
    [anon_sym_getc] = ACTIONS(557),
    [anon_sym_getpgrp] = ACTIONS(557),
    [anon_sym_getprotobyname] = ACTIONS(557),
    [anon_sym_getpwname] = ACTIONS(557),
    [anon_sym_getpwuid] = ACTIONS(557),
    [anon_sym_getpeername] = ACTIONS(557),
    [anon_sym_getnetbyname] = ACTIONS(557),
    [anon_sym_getsockname] = ACTIONS(557),
    [anon_sym_getgrnam] = ACTIONS(557),
    [anon_sym_getgrgid] = ACTIONS(557),
    [anon_sym_hex] = ACTIONS(557),
    [anon_sym_int] = ACTIONS(557),
    [anon_sym_keys] = ACTIONS(557),
    [anon_sym_lc] = ACTIONS(557),
    [anon_sym_lcfirst] = ACTIONS(557),
    [anon_sym_length] = ACTIONS(557),
    [anon_sym_localtime] = ACTIONS(557),
    [anon_sym_log] = ACTIONS(557),
    [anon_sym_lock] = ACTIONS(557),
    [anon_sym_lstat] = ACTIONS(557),
    [anon_sym_oct] = ACTIONS(557),
    [anon_sym_ord] = ACTIONS(557),
    [anon_sym_prototype] = ACTIONS(557),
    [anon_sym_pop] = ACTIONS(557),
    [anon_sym_pos] = ACTIONS(557),
    [anon_sym_quotemeta] = ACTIONS(557),
    [anon_sym_reset] = ACTIONS(557),
    [anon_sym_rand] = ACTIONS(557),
    [anon_sym_rmdir] = ACTIONS(557),
    [anon_sym_readdir] = ACTIONS(557),
    [anon_sym_readline] = ACTIONS(557),
    [anon_sym_readpipe] = ACTIONS(557),
    [anon_sym_rewinddir] = ACTIONS(557),
    [anon_sym_readlink] = ACTIONS(557),
    [anon_sym_ref] = ACTIONS(557),
    [anon_sym_scalar] = ACTIONS(557),
    [anon_sym_shift] = ACTIONS(557),
    [anon_sym_sin] = ACTIONS(557),
    [anon_sym_sleep] = ACTIONS(557),
    [anon_sym_sqrt] = ACTIONS(557),
    [anon_sym_srand] = ACTIONS(557),
    [anon_sym_stat] = ACTIONS(557),
    [anon_sym_study] = ACTIONS(557),
    [anon_sym_tell] = ACTIONS(557),
    [anon_sym_telldir] = ACTIONS(557),
    [anon_sym_tied] = ACTIONS(557),
    [anon_sym_uc] = ACTIONS(557),
    [anon_sym_ucfirst] = ACTIONS(557),
    [anon_sym_untie] = ACTIONS(557),
    [anon_sym_umask] = ACTIONS(557),
    [anon_sym_values] = ACTIONS(557),
    [anon_sym_write] = ACTIONS(557),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(559),
    [anon_sym_qq] = ACTIONS(561),
    [anon_sym_qw] = ACTIONS(563),
    [anon_sym_qx] = ACTIONS(565),
    [anon_sym_qr] = ACTIONS(567),
    [anon_sym_m] = ACTIONS(569),
    [anon_sym_s] = ACTIONS(571),
    [anon_sym_tr] = ACTIONS(573),
    [anon_sym_y] = ACTIONS(573),
    [aux_sym__bareword_token1] = ACTIONS(575),
    [sym_number] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(581),
    [sym__open_fileglob_bracket] = ACTIONS(583),
    [sym__PERLY_HEREDOC] = ACTIONS(585),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(587),
    [sym__filetest] = ACTIONS(589),
    [sym__NONASSOC] = ACTIONS(1762),
  },
  [426] = {
    [sym__PERLY_BRACE_OPEN] = STATE(76),
    [sym_block] = STATE(2299),
    [sym__subscripted] = STATE(1915),
    [sym_container_variable] = STATE(3851),
    [sym_array_element_expression] = STATE(1916),
    [sym_hash_element_expression] = STATE(1916),
    [sym_coderef_call_expression] = STATE(1916),
    [sym_anonymous_slice_expression] = STATE(1916),
    [sym_slice_container_variable] = STATE(3852),
    [sym_slice_expression] = STATE(2342),
    [sym_keyval_container_variable] = STATE(3853),
    [sym_keyval_expression] = STATE(2342),
    [sym__term] = STATE(2322),
    [sym_readline_expression] = STATE(2342),
    [sym_fileglob_expression] = STATE(2342),
    [sym_assignment_expression] = STATE(2342),
    [sym_binary_expression] = STATE(2342),
    [sym_equality_expression] = STATE(2342),
    [sym_relational_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2342),
    [sym_preinc_expression] = STATE(2342),
    [sym_postinc_expression] = STATE(2342),
    [sym_conditional_expression] = STATE(2342),
    [sym_refgen_expression] = STATE(2342),
    [sym_anonymous_array_expression] = STATE(2342),
    [sym_anonymous_hash_expression] = STATE(2342),
    [sym_anonymous_subroutine_expression] = STATE(2342),
    [sym_anonymous_method_expression] = STATE(2342),
    [sym_do_expression] = STATE(2342),
    [sym_eval_expression] = STATE(2342),
    [sym_await_expression] = STATE(2342),
    [sym_variable_declaration] = STATE(2342),
    [sym_localization_expression] = STATE(2342),
    [sym_stub_expression] = STATE(2342),
    [sym_scalar_deref_expression] = STATE(2342),
    [sym_array_deref_expression] = STATE(2342),
    [sym_arraylen_deref_expression] = STATE(2342),
    [sym_hash_deref_expression] = STATE(2342),
    [sym_amper_deref_expression] = STATE(2342),
    [sym_glob_deref_expression] = STATE(2342),
    [sym_require_expression] = STATE(2342),
    [sym_require_version_expression] = STATE(2342),
    [sym_func0op_call_expression] = STATE(2342),
    [sym_func1op_call_expression] = STATE(2342),
    [sym_map_grep_expression] = STATE(2342),
    [sym_sort_expression] = STATE(2342),
    [sym_loopex_expression] = STATE(2342),
    [sym_goto_expression] = STATE(2342),
    [sym_return_expression] = STATE(2342),
    [sym_undef_expression] = STATE(2342),
    [sym__listop] = STATE(2342),
    [sym_function_call_expression] = STATE(2343),
    [sym_ambiguous_function_call_expression] = STATE(2343),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(2343),
    [sym_scalar] = STATE(2342),
    [sym_array] = STATE(2342),
    [sym__SUB_AMPER] = STATE(2739),
    [sym__GLOB_STAR] = STATE(2741),
    [sym_hash] = STATE(2342),
    [sym_arraylen] = STATE(2342),
    [sym_amper_sub] = STATE(2181),
    [sym_glob] = STATE(2183),
    [sym_glob_slot_expression] = STATE(2342),
    [sym__literal] = STATE(2342),
    [sym__apostrophe] = STATE(3277),
    [sym__quotation_mark] = STATE(2481),
    [sym__backtick] = STATE(2482),
    [sym__search_slash] = STATE(2447),
    [sym_string_literal] = STATE(2353),
    [sym_interpolated_string_literal] = STATE(2353),
    [sym_quoted_word_list] = STATE(2193),
    [sym_command_string] = STATE(2353),
    [sym_quoted_regexp] = STATE(2353),
    [sym_match_regexp] = STATE(2353),
    [sym_substitution_regexp] = STATE(2353),
    [sym_transliteration_expression] = STATE(2353),
    [sym_heredoc_token] = STATE(2342),
    [sym_command_heredoc_token] = STATE(2342),
    [sym_heredoc_content] = STATE(426),
    [sym_autoquoted_bareword] = STATE(2342),
    [sym_bareword] = STATE(2342),
    [sym_primitive] = STATE(2342),
    [sym_boolean] = STATE(2323),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3366),
    [sym__identifier] = ACTIONS(1072),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(1008),
    [anon_sym_AT] = ACTIONS(1010),
    [anon_sym_my] = ACTIONS(1012),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(1014),
    [anon_sym_method] = ACTIONS(1016),
    [anon_sym_LPAREN] = ACTIONS(1018),
    [anon_sym_continue] = ACTIONS(1020),
    [anon_sym_state] = ACTIONS(1012),
    [anon_sym_our] = ACTIONS(1012),
    [anon_sym_LBRACK] = ACTIONS(1022),
    [anon_sym_LT_LT] = ACTIONS(1523),
    [anon_sym_SLASH_SLASH] = ACTIONS(1525),
    [anon_sym_PLUS] = ACTIONS(1024),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_TILDE] = ACTIONS(1024),
    [anon_sym_BANG] = ACTIONS(1024),
    [anon_sym_PLUS_PLUS] = ACTIONS(1529),
    [anon_sym_DASH_DASH] = ACTIONS(1529),
    [anon_sym_BSLASH] = ACTIONS(1026),
    [anon_sym_do] = ACTIONS(1028),
    [anon_sym_eval] = ACTIONS(1030),
    [anon_sym_await] = ACTIONS(1032),
    [anon_sym_field] = ACTIONS(1012),
    [anon_sym_local] = ACTIONS(1034),
    [anon_sym_dynamically] = ACTIONS(1034),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1036),
    [anon_sym_require] = ACTIONS(1038),
    [anon_sym_map] = ACTIONS(1040),
    [anon_sym_grep] = ACTIONS(1040),
    [anon_sym_sort] = ACTIONS(1042),
    [anon_sym_goto] = ACTIONS(1044),
    [anon_sym_return] = ACTIONS(1046),
    [anon_sym_undef] = ACTIONS(1048),
    [anon_sym_PERCENT2] = ACTIONS(1050),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1052),
    [anon_sym_next] = ACTIONS(1052),
    [anon_sym_redo] = ACTIONS(1052),
    [anon_sym___FILE__] = ACTIONS(1020),
    [anon_sym___LINE__] = ACTIONS(1020),
    [anon_sym___PACKAGE__] = ACTIONS(1020),
    [anon_sym___SUB__] = ACTIONS(1020),
    [anon_sym_break] = ACTIONS(1020),
    [anon_sym_fork] = ACTIONS(1020),
    [anon_sym_getppid] = ACTIONS(1020),
    [anon_sym_time] = ACTIONS(1020),
    [anon_sym_times] = ACTIONS(1020),
    [anon_sym_wait] = ACTIONS(1020),
    [anon_sym_wantarray] = ACTIONS(1020),
    [anon_sym_abs] = ACTIONS(1054),
    [anon_sym_alarm] = ACTIONS(1054),
    [anon_sym_chop] = ACTIONS(1054),
    [anon_sym_chdir] = ACTIONS(1054),
    [anon_sym_close] = ACTIONS(1054),
    [anon_sym_closedir] = ACTIONS(1054),
    [anon_sym_caller] = ACTIONS(1054),
    [anon_sym_chomp] = ACTIONS(1054),
    [anon_sym_chr] = ACTIONS(1054),
    [anon_sym_cos] = ACTIONS(1054),
    [anon_sym_chroot] = ACTIONS(1054),
    [anon_sym_defined] = ACTIONS(1054),
    [anon_sym_delete] = ACTIONS(1054),
    [anon_sym_dbmclose] = ACTIONS(1054),
    [anon_sym_exists] = ACTIONS(1054),
    [anon_sym_exit] = ACTIONS(1054),
    [anon_sym_eof] = ACTIONS(1054),
    [anon_sym_exp] = ACTIONS(1054),
    [anon_sym_each] = ACTIONS(1054),
    [anon_sym_fc] = ACTIONS(1054),
    [anon_sym_fileno] = ACTIONS(1054),
    [anon_sym_gmtime] = ACTIONS(1054),
    [anon_sym_getc] = ACTIONS(1054),
    [anon_sym_getpgrp] = ACTIONS(1054),
    [anon_sym_getprotobyname] = ACTIONS(1054),
    [anon_sym_getpwname] = ACTIONS(1054),
    [anon_sym_getpwuid] = ACTIONS(1054),
    [anon_sym_getpeername] = ACTIONS(1054),
    [anon_sym_getnetbyname] = ACTIONS(1054),
    [anon_sym_getsockname] = ACTIONS(1054),
    [anon_sym_getgrnam] = ACTIONS(1054),
    [anon_sym_getgrgid] = ACTIONS(1054),
    [anon_sym_hex] = ACTIONS(1054),
    [anon_sym_int] = ACTIONS(1054),
    [anon_sym_keys] = ACTIONS(1054),
    [anon_sym_lc] = ACTIONS(1054),
    [anon_sym_lcfirst] = ACTIONS(1054),
    [anon_sym_length] = ACTIONS(1054),
    [anon_sym_localtime] = ACTIONS(1054),
    [anon_sym_log] = ACTIONS(1054),
    [anon_sym_lock] = ACTIONS(1054),
    [anon_sym_lstat] = ACTIONS(1054),
    [anon_sym_oct] = ACTIONS(1054),
    [anon_sym_ord] = ACTIONS(1054),
    [anon_sym_prototype] = ACTIONS(1054),
    [anon_sym_pop] = ACTIONS(1054),
    [anon_sym_pos] = ACTIONS(1054),
    [anon_sym_quotemeta] = ACTIONS(1054),
    [anon_sym_reset] = ACTIONS(1054),
    [anon_sym_rand] = ACTIONS(1054),
    [anon_sym_rmdir] = ACTIONS(1054),
    [anon_sym_readdir] = ACTIONS(1054),
    [anon_sym_readline] = ACTIONS(1054),
    [anon_sym_readpipe] = ACTIONS(1054),
    [anon_sym_rewinddir] = ACTIONS(1054),
    [anon_sym_readlink] = ACTIONS(1054),
    [anon_sym_ref] = ACTIONS(1054),
    [anon_sym_scalar] = ACTIONS(1054),
    [anon_sym_shift] = ACTIONS(1054),
    [anon_sym_sin] = ACTIONS(1054),
    [anon_sym_sleep] = ACTIONS(1054),
    [anon_sym_sqrt] = ACTIONS(1054),
    [anon_sym_srand] = ACTIONS(1054),
    [anon_sym_stat] = ACTIONS(1054),
    [anon_sym_study] = ACTIONS(1054),
    [anon_sym_tell] = ACTIONS(1054),
    [anon_sym_telldir] = ACTIONS(1054),
    [anon_sym_tied] = ACTIONS(1054),
    [anon_sym_uc] = ACTIONS(1054),
    [anon_sym_ucfirst] = ACTIONS(1054),
    [anon_sym_untie] = ACTIONS(1054),
    [anon_sym_umask] = ACTIONS(1054),
    [anon_sym_values] = ACTIONS(1054),
    [anon_sym_write] = ACTIONS(1054),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1056),
    [anon_sym_qq] = ACTIONS(1058),
    [anon_sym_qw] = ACTIONS(1060),
    [anon_sym_qx] = ACTIONS(1062),
    [anon_sym_qr] = ACTIONS(1064),
    [anon_sym_m] = ACTIONS(1066),
    [anon_sym_s] = ACTIONS(1068),
    [anon_sym_tr] = ACTIONS(1070),
    [anon_sym_y] = ACTIONS(1070),
    [aux_sym__bareword_token1] = ACTIONS(1072),
    [sym_number] = ACTIONS(1074),
    [anon_sym_true] = ACTIONS(1076),
    [anon_sym_false] = ACTIONS(1076),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(1078),
    [sym__open_fileglob_bracket] = ACTIONS(1080),
    [sym__PERLY_HEREDOC] = ACTIONS(1082),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1084),
    [sym__filetest] = ACTIONS(1086),
  },
  [427] = {
    [sym__PERLY_BRACE_OPEN] = STATE(237),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1454),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(427),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(243),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(243),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(245),
    [sym__NONASSOC] = ACTIONS(1764),
  },
  [428] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__term_rightward] = STATE(2053),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2364),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(394),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(428),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1695),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1697),
    [anon_sym_DASH_DASH] = ACTIONS(1697),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(1222),
  },
  [429] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__term_rightward] = STATE(2054),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2364),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(394),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(429),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1695),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1697),
    [anon_sym_DASH_DASH] = ACTIONS(1697),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(1222),
  },
  [430] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__term_rightward] = STATE(2097),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2364),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(394),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(430),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1695),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1697),
    [anon_sym_DASH_DASH] = ACTIONS(1697),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(1222),
  },
  [431] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__term_rightward] = STATE(2072),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2364),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(394),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(431),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1695),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1697),
    [anon_sym_DASH_DASH] = ACTIONS(1697),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(1222),
  },
  [432] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__term_rightward] = STATE(2085),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2364),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(394),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(432),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1695),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1697),
    [anon_sym_DASH_DASH] = ACTIONS(1697),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(1222),
  },
  [433] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2397),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(394),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(433),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1695),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1697),
    [anon_sym_DASH_DASH] = ACTIONS(1697),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(1222),
    [sym__NONASSOC] = ACTIONS(1766),
  },
  [434] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2380),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(394),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(434),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1695),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1697),
    [anon_sym_DASH_DASH] = ACTIONS(1697),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(1222),
    [sym__NONASSOC] = ACTIONS(1768),
  },
  [435] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2381),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(394),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(435),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1695),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1697),
    [anon_sym_DASH_DASH] = ACTIONS(1697),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(1222),
    [sym__NONASSOC] = ACTIONS(1770),
  },
  [436] = {
    [sym__PERLY_BRACE_OPEN] = STATE(235),
    [sym__term_rightward] = STATE(1869),
    [sym__subscripted] = STATE(1532),
    [sym_container_variable] = STATE(3855),
    [sym_array_element_expression] = STATE(1533),
    [sym_hash_element_expression] = STATE(1533),
    [sym_coderef_call_expression] = STATE(1533),
    [sym_anonymous_slice_expression] = STATE(1533),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(1967),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(1967),
    [sym__term] = STATE(1803),
    [sym_readline_expression] = STATE(1967),
    [sym_fileglob_expression] = STATE(1967),
    [sym_assignment_expression] = STATE(1967),
    [sym_binary_expression] = STATE(1967),
    [sym_equality_expression] = STATE(1967),
    [sym_relational_expression] = STATE(1967),
    [sym_unary_expression] = STATE(1967),
    [sym_preinc_expression] = STATE(1967),
    [sym_postinc_expression] = STATE(1967),
    [sym_conditional_expression] = STATE(1967),
    [sym_refgen_expression] = STATE(1967),
    [sym_anonymous_array_expression] = STATE(1967),
    [sym_anonymous_hash_expression] = STATE(1967),
    [sym_anonymous_subroutine_expression] = STATE(1967),
    [sym_anonymous_method_expression] = STATE(1967),
    [sym_do_expression] = STATE(1967),
    [sym_eval_expression] = STATE(1967),
    [sym_await_expression] = STATE(1967),
    [sym_variable_declaration] = STATE(1967),
    [sym_localization_expression] = STATE(1967),
    [sym_stub_expression] = STATE(1967),
    [sym_scalar_deref_expression] = STATE(1967),
    [sym_array_deref_expression] = STATE(1967),
    [sym_arraylen_deref_expression] = STATE(1967),
    [sym_hash_deref_expression] = STATE(1967),
    [sym_amper_deref_expression] = STATE(1967),
    [sym_glob_deref_expression] = STATE(1967),
    [sym_require_expression] = STATE(1967),
    [sym_require_version_expression] = STATE(1967),
    [sym_func0op_call_expression] = STATE(1967),
    [sym_func1op_call_expression] = STATE(1967),
    [sym_map_grep_expression] = STATE(1967),
    [sym_sort_expression] = STATE(1967),
    [sym_loopex_expression] = STATE(1967),
    [sym_goto_expression] = STATE(1967),
    [sym_return_expression] = STATE(1967),
    [sym_undef_expression] = STATE(1967),
    [sym__listop] = STATE(1967),
    [sym_function_call_expression] = STATE(1968),
    [sym_ambiguous_function_call_expression] = STATE(1968),
    [sym_function] = STATE(389),
    [sym_method_call_expression] = STATE(1968),
    [sym_scalar] = STATE(1967),
    [sym_array] = STATE(1967),
    [sym__SUB_AMPER] = STATE(2686),
    [sym__GLOB_STAR] = STATE(2687),
    [sym_hash] = STATE(1967),
    [sym_arraylen] = STATE(1967),
    [sym_amper_sub] = STATE(1785),
    [sym_glob] = STATE(1786),
    [sym_glob_slot_expression] = STATE(1967),
    [sym__literal] = STATE(1967),
    [sym__apostrophe] = STATE(3328),
    [sym__quotation_mark] = STATE(2501),
    [sym__backtick] = STATE(2502),
    [sym__search_slash] = STATE(2454),
    [sym_string_literal] = STATE(1969),
    [sym_interpolated_string_literal] = STATE(1969),
    [sym_quoted_word_list] = STATE(1787),
    [sym_command_string] = STATE(1969),
    [sym_quoted_regexp] = STATE(1969),
    [sym_match_regexp] = STATE(1969),
    [sym_substitution_regexp] = STATE(1969),
    [sym_transliteration_expression] = STATE(1969),
    [sym_heredoc_token] = STATE(1967),
    [sym_command_heredoc_token] = STATE(1967),
    [sym_heredoc_content] = STATE(436),
    [sym_autoquoted_bareword] = STATE(1967),
    [sym_bareword] = STATE(1967),
    [sym_primitive] = STATE(1967),
    [sym_boolean] = STATE(1965),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3342),
    [sym__identifier] = ACTIONS(575),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1752),
    [anon_sym_AT] = ACTIONS(1671),
    [anon_sym_my] = ACTIONS(517),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(519),
    [anon_sym_method] = ACTIONS(521),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_continue] = ACTIONS(525),
    [anon_sym_state] = ACTIONS(517),
    [anon_sym_our] = ACTIONS(517),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_LT_LT] = ACTIONS(1673),
    [anon_sym_SLASH_SLASH] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(1677),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_PLUS_PLUS] = ACTIONS(1679),
    [anon_sym_DASH_DASH] = ACTIONS(1679),
    [anon_sym_BSLASH] = ACTIONS(531),
    [anon_sym_do] = ACTIONS(533),
    [anon_sym_eval] = ACTIONS(535),
    [anon_sym_await] = ACTIONS(537),
    [anon_sym_field] = ACTIONS(517),
    [anon_sym_local] = ACTIONS(539),
    [anon_sym_dynamically] = ACTIONS(539),
    [anon_sym_DOLLAR_POUND] = ACTIONS(541),
    [anon_sym_require] = ACTIONS(543),
    [anon_sym_map] = ACTIONS(545),
    [anon_sym_grep] = ACTIONS(545),
    [anon_sym_sort] = ACTIONS(547),
    [anon_sym_goto] = ACTIONS(549),
    [anon_sym_return] = ACTIONS(551),
    [anon_sym_undef] = ACTIONS(553),
    [anon_sym_PERCENT2] = ACTIONS(1681),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(555),
    [anon_sym_next] = ACTIONS(555),
    [anon_sym_redo] = ACTIONS(555),
    [anon_sym___FILE__] = ACTIONS(525),
    [anon_sym___LINE__] = ACTIONS(525),
    [anon_sym___PACKAGE__] = ACTIONS(525),
    [anon_sym___SUB__] = ACTIONS(525),
    [anon_sym_break] = ACTIONS(525),
    [anon_sym_fork] = ACTIONS(525),
    [anon_sym_getppid] = ACTIONS(525),
    [anon_sym_time] = ACTIONS(525),
    [anon_sym_times] = ACTIONS(525),
    [anon_sym_wait] = ACTIONS(525),
    [anon_sym_wantarray] = ACTIONS(525),
    [anon_sym_abs] = ACTIONS(557),
    [anon_sym_alarm] = ACTIONS(557),
    [anon_sym_chop] = ACTIONS(557),
    [anon_sym_chdir] = ACTIONS(557),
    [anon_sym_close] = ACTIONS(557),
    [anon_sym_closedir] = ACTIONS(557),
    [anon_sym_caller] = ACTIONS(557),
    [anon_sym_chomp] = ACTIONS(557),
    [anon_sym_chr] = ACTIONS(557),
    [anon_sym_cos] = ACTIONS(557),
    [anon_sym_chroot] = ACTIONS(557),
    [anon_sym_defined] = ACTIONS(557),
    [anon_sym_delete] = ACTIONS(557),
    [anon_sym_dbmclose] = ACTIONS(557),
    [anon_sym_exists] = ACTIONS(557),
    [anon_sym_exit] = ACTIONS(557),
    [anon_sym_eof] = ACTIONS(557),
    [anon_sym_exp] = ACTIONS(557),
    [anon_sym_each] = ACTIONS(557),
    [anon_sym_fc] = ACTIONS(557),
    [anon_sym_fileno] = ACTIONS(557),
    [anon_sym_gmtime] = ACTIONS(557),
    [anon_sym_getc] = ACTIONS(557),
    [anon_sym_getpgrp] = ACTIONS(557),
    [anon_sym_getprotobyname] = ACTIONS(557),
    [anon_sym_getpwname] = ACTIONS(557),
    [anon_sym_getpwuid] = ACTIONS(557),
    [anon_sym_getpeername] = ACTIONS(557),
    [anon_sym_getnetbyname] = ACTIONS(557),
    [anon_sym_getsockname] = ACTIONS(557),
    [anon_sym_getgrnam] = ACTIONS(557),
    [anon_sym_getgrgid] = ACTIONS(557),
    [anon_sym_hex] = ACTIONS(557),
    [anon_sym_int] = ACTIONS(557),
    [anon_sym_keys] = ACTIONS(557),
    [anon_sym_lc] = ACTIONS(557),
    [anon_sym_lcfirst] = ACTIONS(557),
    [anon_sym_length] = ACTIONS(557),
    [anon_sym_localtime] = ACTIONS(557),
    [anon_sym_log] = ACTIONS(557),
    [anon_sym_lock] = ACTIONS(557),
    [anon_sym_lstat] = ACTIONS(557),
    [anon_sym_oct] = ACTIONS(557),
    [anon_sym_ord] = ACTIONS(557),
    [anon_sym_prototype] = ACTIONS(557),
    [anon_sym_pop] = ACTIONS(557),
    [anon_sym_pos] = ACTIONS(557),
    [anon_sym_quotemeta] = ACTIONS(557),
    [anon_sym_reset] = ACTIONS(557),
    [anon_sym_rand] = ACTIONS(557),
    [anon_sym_rmdir] = ACTIONS(557),
    [anon_sym_readdir] = ACTIONS(557),
    [anon_sym_readline] = ACTIONS(557),
    [anon_sym_readpipe] = ACTIONS(557),
    [anon_sym_rewinddir] = ACTIONS(557),
    [anon_sym_readlink] = ACTIONS(557),
    [anon_sym_ref] = ACTIONS(557),
    [anon_sym_scalar] = ACTIONS(557),
    [anon_sym_shift] = ACTIONS(557),
    [anon_sym_sin] = ACTIONS(557),
    [anon_sym_sleep] = ACTIONS(557),
    [anon_sym_sqrt] = ACTIONS(557),
    [anon_sym_srand] = ACTIONS(557),
    [anon_sym_stat] = ACTIONS(557),
    [anon_sym_study] = ACTIONS(557),
    [anon_sym_tell] = ACTIONS(557),
    [anon_sym_telldir] = ACTIONS(557),
    [anon_sym_tied] = ACTIONS(557),
    [anon_sym_uc] = ACTIONS(557),
    [anon_sym_ucfirst] = ACTIONS(557),
    [anon_sym_untie] = ACTIONS(557),
    [anon_sym_umask] = ACTIONS(557),
    [anon_sym_values] = ACTIONS(557),
    [anon_sym_write] = ACTIONS(557),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(559),
    [anon_sym_qq] = ACTIONS(561),
    [anon_sym_qw] = ACTIONS(563),
    [anon_sym_qx] = ACTIONS(565),
    [anon_sym_qr] = ACTIONS(567),
    [anon_sym_m] = ACTIONS(569),
    [anon_sym_s] = ACTIONS(571),
    [anon_sym_tr] = ACTIONS(573),
    [anon_sym_y] = ACTIONS(573),
    [aux_sym__bareword_token1] = ACTIONS(575),
    [sym_number] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(581),
    [sym__open_fileglob_bracket] = ACTIONS(583),
    [sym__PERLY_HEREDOC] = ACTIONS(585),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(587),
    [sym__filetest] = ACTIONS(589),
  },
  [437] = {
    [sym__PERLY_BRACE_OPEN] = STATE(73),
    [sym_block] = STATE(428),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2407),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(437),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(439),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(1772),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(439),
    [anon_sym_our] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(451),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_TILDE] = ACTIONS(451),
    [anon_sym_BANG] = ACTIONS(451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1689),
    [anon_sym_DASH_DASH] = ACTIONS(1689),
    [anon_sym_BSLASH] = ACTIONS(453),
    [anon_sym_do] = ACTIONS(455),
    [anon_sym_eval] = ACTIONS(457),
    [anon_sym_await] = ACTIONS(459),
    [anon_sym_field] = ACTIONS(439),
    [anon_sym_local] = ACTIONS(461),
    [anon_sym_dynamically] = ACTIONS(461),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(465),
    [anon_sym_map] = ACTIONS(467),
    [anon_sym_grep] = ACTIONS(467),
    [anon_sym_sort] = ACTIONS(469),
    [anon_sym_goto] = ACTIONS(471),
    [anon_sym_return] = ACTIONS(473),
    [anon_sym_undef] = ACTIONS(475),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(479),
    [anon_sym_next] = ACTIONS(479),
    [anon_sym_redo] = ACTIONS(479),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(481),
    [anon_sym_alarm] = ACTIONS(481),
    [anon_sym_chop] = ACTIONS(481),
    [anon_sym_chdir] = ACTIONS(481),
    [anon_sym_close] = ACTIONS(481),
    [anon_sym_closedir] = ACTIONS(481),
    [anon_sym_caller] = ACTIONS(481),
    [anon_sym_chomp] = ACTIONS(481),
    [anon_sym_chr] = ACTIONS(481),
    [anon_sym_cos] = ACTIONS(481),
    [anon_sym_chroot] = ACTIONS(481),
    [anon_sym_defined] = ACTIONS(481),
    [anon_sym_delete] = ACTIONS(481),
    [anon_sym_dbmclose] = ACTIONS(481),
    [anon_sym_exists] = ACTIONS(481),
    [anon_sym_exit] = ACTIONS(481),
    [anon_sym_eof] = ACTIONS(481),
    [anon_sym_exp] = ACTIONS(481),
    [anon_sym_each] = ACTIONS(481),
    [anon_sym_fc] = ACTIONS(481),
    [anon_sym_fileno] = ACTIONS(481),
    [anon_sym_gmtime] = ACTIONS(481),
    [anon_sym_getc] = ACTIONS(481),
    [anon_sym_getpgrp] = ACTIONS(481),
    [anon_sym_getprotobyname] = ACTIONS(481),
    [anon_sym_getpwname] = ACTIONS(481),
    [anon_sym_getpwuid] = ACTIONS(481),
    [anon_sym_getpeername] = ACTIONS(481),
    [anon_sym_getnetbyname] = ACTIONS(481),
    [anon_sym_getsockname] = ACTIONS(481),
    [anon_sym_getgrnam] = ACTIONS(481),
    [anon_sym_getgrgid] = ACTIONS(481),
    [anon_sym_hex] = ACTIONS(481),
    [anon_sym_int] = ACTIONS(481),
    [anon_sym_keys] = ACTIONS(481),
    [anon_sym_lc] = ACTIONS(481),
    [anon_sym_lcfirst] = ACTIONS(481),
    [anon_sym_length] = ACTIONS(481),
    [anon_sym_localtime] = ACTIONS(481),
    [anon_sym_log] = ACTIONS(481),
    [anon_sym_lock] = ACTIONS(481),
    [anon_sym_lstat] = ACTIONS(481),
    [anon_sym_oct] = ACTIONS(481),
    [anon_sym_ord] = ACTIONS(481),
    [anon_sym_prototype] = ACTIONS(481),
    [anon_sym_pop] = ACTIONS(481),
    [anon_sym_pos] = ACTIONS(481),
    [anon_sym_quotemeta] = ACTIONS(481),
    [anon_sym_reset] = ACTIONS(481),
    [anon_sym_rand] = ACTIONS(481),
    [anon_sym_rmdir] = ACTIONS(481),
    [anon_sym_readdir] = ACTIONS(481),
    [anon_sym_readline] = ACTIONS(481),
    [anon_sym_readpipe] = ACTIONS(481),
    [anon_sym_rewinddir] = ACTIONS(481),
    [anon_sym_readlink] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(481),
    [anon_sym_scalar] = ACTIONS(481),
    [anon_sym_shift] = ACTIONS(481),
    [anon_sym_sin] = ACTIONS(481),
    [anon_sym_sleep] = ACTIONS(481),
    [anon_sym_sqrt] = ACTIONS(481),
    [anon_sym_srand] = ACTIONS(481),
    [anon_sym_stat] = ACTIONS(481),
    [anon_sym_study] = ACTIONS(481),
    [anon_sym_tell] = ACTIONS(481),
    [anon_sym_telldir] = ACTIONS(481),
    [anon_sym_tied] = ACTIONS(481),
    [anon_sym_uc] = ACTIONS(481),
    [anon_sym_ucfirst] = ACTIONS(481),
    [anon_sym_untie] = ACTIONS(481),
    [anon_sym_umask] = ACTIONS(481),
    [anon_sym_values] = ACTIONS(481),
    [anon_sym_write] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(513),
  },
  [438] = {
    [sym__PERLY_BRACE_OPEN] = STATE(237),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1466),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(438),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(243),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(243),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(245),
    [sym__NONASSOC] = ACTIONS(1774),
  },
  [439] = {
    [sym__PERLY_BRACE_OPEN] = STATE(237),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1344),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(439),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
    [sym__NONASSOC] = ACTIONS(1774),
  },
  [440] = {
    [sym__PERLY_BRACE_OPEN] = STATE(237),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1345),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(440),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
    [sym__NONASSOC] = ACTIONS(1776),
  },
  [441] = {
    [sym__PERLY_BRACE_OPEN] = STATE(73),
    [sym_block] = STATE(445),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2414),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(441),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(439),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(1778),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(439),
    [anon_sym_our] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(451),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_TILDE] = ACTIONS(451),
    [anon_sym_BANG] = ACTIONS(451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1689),
    [anon_sym_DASH_DASH] = ACTIONS(1689),
    [anon_sym_BSLASH] = ACTIONS(453),
    [anon_sym_do] = ACTIONS(455),
    [anon_sym_eval] = ACTIONS(457),
    [anon_sym_await] = ACTIONS(459),
    [anon_sym_field] = ACTIONS(439),
    [anon_sym_local] = ACTIONS(461),
    [anon_sym_dynamically] = ACTIONS(461),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(465),
    [anon_sym_map] = ACTIONS(467),
    [anon_sym_grep] = ACTIONS(467),
    [anon_sym_sort] = ACTIONS(469),
    [anon_sym_goto] = ACTIONS(471),
    [anon_sym_return] = ACTIONS(473),
    [anon_sym_undef] = ACTIONS(475),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(479),
    [anon_sym_next] = ACTIONS(479),
    [anon_sym_redo] = ACTIONS(479),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(481),
    [anon_sym_alarm] = ACTIONS(481),
    [anon_sym_chop] = ACTIONS(481),
    [anon_sym_chdir] = ACTIONS(481),
    [anon_sym_close] = ACTIONS(481),
    [anon_sym_closedir] = ACTIONS(481),
    [anon_sym_caller] = ACTIONS(481),
    [anon_sym_chomp] = ACTIONS(481),
    [anon_sym_chr] = ACTIONS(481),
    [anon_sym_cos] = ACTIONS(481),
    [anon_sym_chroot] = ACTIONS(481),
    [anon_sym_defined] = ACTIONS(481),
    [anon_sym_delete] = ACTIONS(481),
    [anon_sym_dbmclose] = ACTIONS(481),
    [anon_sym_exists] = ACTIONS(481),
    [anon_sym_exit] = ACTIONS(481),
    [anon_sym_eof] = ACTIONS(481),
    [anon_sym_exp] = ACTIONS(481),
    [anon_sym_each] = ACTIONS(481),
    [anon_sym_fc] = ACTIONS(481),
    [anon_sym_fileno] = ACTIONS(481),
    [anon_sym_gmtime] = ACTIONS(481),
    [anon_sym_getc] = ACTIONS(481),
    [anon_sym_getpgrp] = ACTIONS(481),
    [anon_sym_getprotobyname] = ACTIONS(481),
    [anon_sym_getpwname] = ACTIONS(481),
    [anon_sym_getpwuid] = ACTIONS(481),
    [anon_sym_getpeername] = ACTIONS(481),
    [anon_sym_getnetbyname] = ACTIONS(481),
    [anon_sym_getsockname] = ACTIONS(481),
    [anon_sym_getgrnam] = ACTIONS(481),
    [anon_sym_getgrgid] = ACTIONS(481),
    [anon_sym_hex] = ACTIONS(481),
    [anon_sym_int] = ACTIONS(481),
    [anon_sym_keys] = ACTIONS(481),
    [anon_sym_lc] = ACTIONS(481),
    [anon_sym_lcfirst] = ACTIONS(481),
    [anon_sym_length] = ACTIONS(481),
    [anon_sym_localtime] = ACTIONS(481),
    [anon_sym_log] = ACTIONS(481),
    [anon_sym_lock] = ACTIONS(481),
    [anon_sym_lstat] = ACTIONS(481),
    [anon_sym_oct] = ACTIONS(481),
    [anon_sym_ord] = ACTIONS(481),
    [anon_sym_prototype] = ACTIONS(481),
    [anon_sym_pop] = ACTIONS(481),
    [anon_sym_pos] = ACTIONS(481),
    [anon_sym_quotemeta] = ACTIONS(481),
    [anon_sym_reset] = ACTIONS(481),
    [anon_sym_rand] = ACTIONS(481),
    [anon_sym_rmdir] = ACTIONS(481),
    [anon_sym_readdir] = ACTIONS(481),
    [anon_sym_readline] = ACTIONS(481),
    [anon_sym_readpipe] = ACTIONS(481),
    [anon_sym_rewinddir] = ACTIONS(481),
    [anon_sym_readlink] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(481),
    [anon_sym_scalar] = ACTIONS(481),
    [anon_sym_shift] = ACTIONS(481),
    [anon_sym_sin] = ACTIONS(481),
    [anon_sym_sleep] = ACTIONS(481),
    [anon_sym_sqrt] = ACTIONS(481),
    [anon_sym_srand] = ACTIONS(481),
    [anon_sym_stat] = ACTIONS(481),
    [anon_sym_study] = ACTIONS(481),
    [anon_sym_tell] = ACTIONS(481),
    [anon_sym_telldir] = ACTIONS(481),
    [anon_sym_tied] = ACTIONS(481),
    [anon_sym_uc] = ACTIONS(481),
    [anon_sym_ucfirst] = ACTIONS(481),
    [anon_sym_untie] = ACTIONS(481),
    [anon_sym_umask] = ACTIONS(481),
    [anon_sym_values] = ACTIONS(481),
    [anon_sym_write] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(513),
  },
  [442] = {
    [sym__PERLY_BRACE_OPEN] = STATE(238),
    [sym__term_rightward] = STATE(2254),
    [sym__subscripted] = STATE(1915),
    [sym_container_variable] = STATE(3851),
    [sym_array_element_expression] = STATE(1916),
    [sym_hash_element_expression] = STATE(1916),
    [sym_coderef_call_expression] = STATE(1916),
    [sym_anonymous_slice_expression] = STATE(1916),
    [sym_slice_container_variable] = STATE(3852),
    [sym_slice_expression] = STATE(2342),
    [sym_keyval_container_variable] = STATE(3853),
    [sym_keyval_expression] = STATE(2342),
    [sym__term] = STATE(2058),
    [sym_readline_expression] = STATE(2342),
    [sym_fileglob_expression] = STATE(2342),
    [sym_assignment_expression] = STATE(2342),
    [sym_binary_expression] = STATE(2342),
    [sym_equality_expression] = STATE(2342),
    [sym_relational_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2342),
    [sym_preinc_expression] = STATE(2342),
    [sym_postinc_expression] = STATE(2342),
    [sym_conditional_expression] = STATE(2342),
    [sym_refgen_expression] = STATE(2342),
    [sym_anonymous_array_expression] = STATE(2342),
    [sym_anonymous_hash_expression] = STATE(2342),
    [sym_anonymous_subroutine_expression] = STATE(2342),
    [sym_anonymous_method_expression] = STATE(2342),
    [sym_do_expression] = STATE(2342),
    [sym_eval_expression] = STATE(2342),
    [sym_await_expression] = STATE(2342),
    [sym_variable_declaration] = STATE(2342),
    [sym_localization_expression] = STATE(2342),
    [sym_stub_expression] = STATE(2342),
    [sym_scalar_deref_expression] = STATE(2342),
    [sym_array_deref_expression] = STATE(2342),
    [sym_arraylen_deref_expression] = STATE(2342),
    [sym_hash_deref_expression] = STATE(2342),
    [sym_amper_deref_expression] = STATE(2342),
    [sym_glob_deref_expression] = STATE(2342),
    [sym_require_expression] = STATE(2342),
    [sym_require_version_expression] = STATE(2342),
    [sym_func0op_call_expression] = STATE(2342),
    [sym_func1op_call_expression] = STATE(2342),
    [sym_map_grep_expression] = STATE(2342),
    [sym_sort_expression] = STATE(2342),
    [sym_loopex_expression] = STATE(2342),
    [sym_goto_expression] = STATE(2342),
    [sym_return_expression] = STATE(2342),
    [sym_undef_expression] = STATE(2342),
    [sym__listop] = STATE(2342),
    [sym_function_call_expression] = STATE(2343),
    [sym_ambiguous_function_call_expression] = STATE(2343),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(2343),
    [sym_scalar] = STATE(2342),
    [sym_array] = STATE(2342),
    [sym__SUB_AMPER] = STATE(2739),
    [sym__GLOB_STAR] = STATE(2741),
    [sym_hash] = STATE(2342),
    [sym_arraylen] = STATE(2342),
    [sym_amper_sub] = STATE(2181),
    [sym_glob] = STATE(2183),
    [sym_glob_slot_expression] = STATE(2342),
    [sym__literal] = STATE(2342),
    [sym__apostrophe] = STATE(3277),
    [sym__quotation_mark] = STATE(2481),
    [sym__backtick] = STATE(2482),
    [sym__search_slash] = STATE(2447),
    [sym_string_literal] = STATE(2353),
    [sym_interpolated_string_literal] = STATE(2353),
    [sym_quoted_word_list] = STATE(2193),
    [sym_command_string] = STATE(2353),
    [sym_quoted_regexp] = STATE(2353),
    [sym_match_regexp] = STATE(2353),
    [sym_substitution_regexp] = STATE(2353),
    [sym_transliteration_expression] = STATE(2353),
    [sym_heredoc_token] = STATE(2342),
    [sym_command_heredoc_token] = STATE(2342),
    [sym_heredoc_content] = STATE(442),
    [sym_autoquoted_bareword] = STATE(2342),
    [sym_bareword] = STATE(2342),
    [sym_primitive] = STATE(2342),
    [sym_boolean] = STATE(2323),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3366),
    [sym__identifier] = ACTIONS(1072),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1008),
    [anon_sym_AT] = ACTIONS(1010),
    [anon_sym_my] = ACTIONS(1012),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(1014),
    [anon_sym_method] = ACTIONS(1016),
    [anon_sym_LPAREN] = ACTIONS(1018),
    [anon_sym_continue] = ACTIONS(1020),
    [anon_sym_state] = ACTIONS(1012),
    [anon_sym_our] = ACTIONS(1012),
    [anon_sym_LBRACK] = ACTIONS(1022),
    [anon_sym_LT_LT] = ACTIONS(1523),
    [anon_sym_SLASH_SLASH] = ACTIONS(1525),
    [anon_sym_PLUS] = ACTIONS(1024),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_TILDE] = ACTIONS(1024),
    [anon_sym_BANG] = ACTIONS(1024),
    [anon_sym_PLUS_PLUS] = ACTIONS(1529),
    [anon_sym_DASH_DASH] = ACTIONS(1529),
    [anon_sym_BSLASH] = ACTIONS(1026),
    [anon_sym_do] = ACTIONS(1028),
    [anon_sym_eval] = ACTIONS(1030),
    [anon_sym_await] = ACTIONS(1032),
    [anon_sym_field] = ACTIONS(1012),
    [anon_sym_local] = ACTIONS(1034),
    [anon_sym_dynamically] = ACTIONS(1034),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1036),
    [anon_sym_require] = ACTIONS(1038),
    [anon_sym_map] = ACTIONS(1040),
    [anon_sym_grep] = ACTIONS(1040),
    [anon_sym_sort] = ACTIONS(1042),
    [anon_sym_goto] = ACTIONS(1044),
    [anon_sym_return] = ACTIONS(1046),
    [anon_sym_undef] = ACTIONS(1048),
    [anon_sym_PERCENT2] = ACTIONS(1050),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1052),
    [anon_sym_next] = ACTIONS(1052),
    [anon_sym_redo] = ACTIONS(1052),
    [anon_sym___FILE__] = ACTIONS(1020),
    [anon_sym___LINE__] = ACTIONS(1020),
    [anon_sym___PACKAGE__] = ACTIONS(1020),
    [anon_sym___SUB__] = ACTIONS(1020),
    [anon_sym_break] = ACTIONS(1020),
    [anon_sym_fork] = ACTIONS(1020),
    [anon_sym_getppid] = ACTIONS(1020),
    [anon_sym_time] = ACTIONS(1020),
    [anon_sym_times] = ACTIONS(1020),
    [anon_sym_wait] = ACTIONS(1020),
    [anon_sym_wantarray] = ACTIONS(1020),
    [anon_sym_abs] = ACTIONS(1054),
    [anon_sym_alarm] = ACTIONS(1054),
    [anon_sym_chop] = ACTIONS(1054),
    [anon_sym_chdir] = ACTIONS(1054),
    [anon_sym_close] = ACTIONS(1054),
    [anon_sym_closedir] = ACTIONS(1054),
    [anon_sym_caller] = ACTIONS(1054),
    [anon_sym_chomp] = ACTIONS(1054),
    [anon_sym_chr] = ACTIONS(1054),
    [anon_sym_cos] = ACTIONS(1054),
    [anon_sym_chroot] = ACTIONS(1054),
    [anon_sym_defined] = ACTIONS(1054),
    [anon_sym_delete] = ACTIONS(1054),
    [anon_sym_dbmclose] = ACTIONS(1054),
    [anon_sym_exists] = ACTIONS(1054),
    [anon_sym_exit] = ACTIONS(1054),
    [anon_sym_eof] = ACTIONS(1054),
    [anon_sym_exp] = ACTIONS(1054),
    [anon_sym_each] = ACTIONS(1054),
    [anon_sym_fc] = ACTIONS(1054),
    [anon_sym_fileno] = ACTIONS(1054),
    [anon_sym_gmtime] = ACTIONS(1054),
    [anon_sym_getc] = ACTIONS(1054),
    [anon_sym_getpgrp] = ACTIONS(1054),
    [anon_sym_getprotobyname] = ACTIONS(1054),
    [anon_sym_getpwname] = ACTIONS(1054),
    [anon_sym_getpwuid] = ACTIONS(1054),
    [anon_sym_getpeername] = ACTIONS(1054),
    [anon_sym_getnetbyname] = ACTIONS(1054),
    [anon_sym_getsockname] = ACTIONS(1054),
    [anon_sym_getgrnam] = ACTIONS(1054),
    [anon_sym_getgrgid] = ACTIONS(1054),
    [anon_sym_hex] = ACTIONS(1054),
    [anon_sym_int] = ACTIONS(1054),
    [anon_sym_keys] = ACTIONS(1054),
    [anon_sym_lc] = ACTIONS(1054),
    [anon_sym_lcfirst] = ACTIONS(1054),
    [anon_sym_length] = ACTIONS(1054),
    [anon_sym_localtime] = ACTIONS(1054),
    [anon_sym_log] = ACTIONS(1054),
    [anon_sym_lock] = ACTIONS(1054),
    [anon_sym_lstat] = ACTIONS(1054),
    [anon_sym_oct] = ACTIONS(1054),
    [anon_sym_ord] = ACTIONS(1054),
    [anon_sym_prototype] = ACTIONS(1054),
    [anon_sym_pop] = ACTIONS(1054),
    [anon_sym_pos] = ACTIONS(1054),
    [anon_sym_quotemeta] = ACTIONS(1054),
    [anon_sym_reset] = ACTIONS(1054),
    [anon_sym_rand] = ACTIONS(1054),
    [anon_sym_rmdir] = ACTIONS(1054),
    [anon_sym_readdir] = ACTIONS(1054),
    [anon_sym_readline] = ACTIONS(1054),
    [anon_sym_readpipe] = ACTIONS(1054),
    [anon_sym_rewinddir] = ACTIONS(1054),
    [anon_sym_readlink] = ACTIONS(1054),
    [anon_sym_ref] = ACTIONS(1054),
    [anon_sym_scalar] = ACTIONS(1054),
    [anon_sym_shift] = ACTIONS(1054),
    [anon_sym_sin] = ACTIONS(1054),
    [anon_sym_sleep] = ACTIONS(1054),
    [anon_sym_sqrt] = ACTIONS(1054),
    [anon_sym_srand] = ACTIONS(1054),
    [anon_sym_stat] = ACTIONS(1054),
    [anon_sym_study] = ACTIONS(1054),
    [anon_sym_tell] = ACTIONS(1054),
    [anon_sym_telldir] = ACTIONS(1054),
    [anon_sym_tied] = ACTIONS(1054),
    [anon_sym_uc] = ACTIONS(1054),
    [anon_sym_ucfirst] = ACTIONS(1054),
    [anon_sym_untie] = ACTIONS(1054),
    [anon_sym_umask] = ACTIONS(1054),
    [anon_sym_values] = ACTIONS(1054),
    [anon_sym_write] = ACTIONS(1054),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1056),
    [anon_sym_qq] = ACTIONS(1058),
    [anon_sym_qw] = ACTIONS(1060),
    [anon_sym_qx] = ACTIONS(1062),
    [anon_sym_qr] = ACTIONS(1064),
    [anon_sym_m] = ACTIONS(1066),
    [anon_sym_s] = ACTIONS(1068),
    [anon_sym_tr] = ACTIONS(1070),
    [anon_sym_y] = ACTIONS(1070),
    [aux_sym__bareword_token1] = ACTIONS(1072),
    [sym_number] = ACTIONS(1074),
    [anon_sym_true] = ACTIONS(1076),
    [anon_sym_false] = ACTIONS(1076),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(1078),
    [sym__open_fileglob_bracket] = ACTIONS(1080),
    [sym__PERLY_HEREDOC] = ACTIONS(1082),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1084),
    [sym__filetest] = ACTIONS(1086),
  },
  [443] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__term_rightward] = STATE(4067),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2116),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(443),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(439),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(439),
    [anon_sym_our] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(451),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_TILDE] = ACTIONS(451),
    [anon_sym_BANG] = ACTIONS(451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1689),
    [anon_sym_DASH_DASH] = ACTIONS(1689),
    [anon_sym_BSLASH] = ACTIONS(453),
    [anon_sym_do] = ACTIONS(455),
    [anon_sym_eval] = ACTIONS(457),
    [anon_sym_await] = ACTIONS(459),
    [anon_sym_field] = ACTIONS(439),
    [anon_sym_local] = ACTIONS(461),
    [anon_sym_dynamically] = ACTIONS(461),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(465),
    [anon_sym_map] = ACTIONS(467),
    [anon_sym_grep] = ACTIONS(467),
    [anon_sym_sort] = ACTIONS(469),
    [anon_sym_goto] = ACTIONS(471),
    [anon_sym_return] = ACTIONS(473),
    [anon_sym_undef] = ACTIONS(475),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(479),
    [anon_sym_next] = ACTIONS(479),
    [anon_sym_redo] = ACTIONS(479),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(481),
    [anon_sym_alarm] = ACTIONS(481),
    [anon_sym_chop] = ACTIONS(481),
    [anon_sym_chdir] = ACTIONS(481),
    [anon_sym_close] = ACTIONS(481),
    [anon_sym_closedir] = ACTIONS(481),
    [anon_sym_caller] = ACTIONS(481),
    [anon_sym_chomp] = ACTIONS(481),
    [anon_sym_chr] = ACTIONS(481),
    [anon_sym_cos] = ACTIONS(481),
    [anon_sym_chroot] = ACTIONS(481),
    [anon_sym_defined] = ACTIONS(481),
    [anon_sym_delete] = ACTIONS(481),
    [anon_sym_dbmclose] = ACTIONS(481),
    [anon_sym_exists] = ACTIONS(481),
    [anon_sym_exit] = ACTIONS(481),
    [anon_sym_eof] = ACTIONS(481),
    [anon_sym_exp] = ACTIONS(481),
    [anon_sym_each] = ACTIONS(481),
    [anon_sym_fc] = ACTIONS(481),
    [anon_sym_fileno] = ACTIONS(481),
    [anon_sym_gmtime] = ACTIONS(481),
    [anon_sym_getc] = ACTIONS(481),
    [anon_sym_getpgrp] = ACTIONS(481),
    [anon_sym_getprotobyname] = ACTIONS(481),
    [anon_sym_getpwname] = ACTIONS(481),
    [anon_sym_getpwuid] = ACTIONS(481),
    [anon_sym_getpeername] = ACTIONS(481),
    [anon_sym_getnetbyname] = ACTIONS(481),
    [anon_sym_getsockname] = ACTIONS(481),
    [anon_sym_getgrnam] = ACTIONS(481),
    [anon_sym_getgrgid] = ACTIONS(481),
    [anon_sym_hex] = ACTIONS(481),
    [anon_sym_int] = ACTIONS(481),
    [anon_sym_keys] = ACTIONS(481),
    [anon_sym_lc] = ACTIONS(481),
    [anon_sym_lcfirst] = ACTIONS(481),
    [anon_sym_length] = ACTIONS(481),
    [anon_sym_localtime] = ACTIONS(481),
    [anon_sym_log] = ACTIONS(481),
    [anon_sym_lock] = ACTIONS(481),
    [anon_sym_lstat] = ACTIONS(481),
    [anon_sym_oct] = ACTIONS(481),
    [anon_sym_ord] = ACTIONS(481),
    [anon_sym_prototype] = ACTIONS(481),
    [anon_sym_pop] = ACTIONS(481),
    [anon_sym_pos] = ACTIONS(481),
    [anon_sym_quotemeta] = ACTIONS(481),
    [anon_sym_reset] = ACTIONS(481),
    [anon_sym_rand] = ACTIONS(481),
    [anon_sym_rmdir] = ACTIONS(481),
    [anon_sym_readdir] = ACTIONS(481),
    [anon_sym_readline] = ACTIONS(481),
    [anon_sym_readpipe] = ACTIONS(481),
    [anon_sym_rewinddir] = ACTIONS(481),
    [anon_sym_readlink] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(481),
    [anon_sym_scalar] = ACTIONS(481),
    [anon_sym_shift] = ACTIONS(481),
    [anon_sym_sin] = ACTIONS(481),
    [anon_sym_sleep] = ACTIONS(481),
    [anon_sym_sqrt] = ACTIONS(481),
    [anon_sym_srand] = ACTIONS(481),
    [anon_sym_stat] = ACTIONS(481),
    [anon_sym_study] = ACTIONS(481),
    [anon_sym_tell] = ACTIONS(481),
    [anon_sym_telldir] = ACTIONS(481),
    [anon_sym_tied] = ACTIONS(481),
    [anon_sym_uc] = ACTIONS(481),
    [anon_sym_ucfirst] = ACTIONS(481),
    [anon_sym_untie] = ACTIONS(481),
    [anon_sym_umask] = ACTIONS(481),
    [anon_sym_values] = ACTIONS(481),
    [anon_sym_write] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(513),
  },
  [444] = {
    [sym__PERLY_BRACE_OPEN] = STATE(237),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1467),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(444),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(243),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(243),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(245),
    [sym__NONASSOC] = ACTIONS(1776),
  },
  [445] = {
    [sym__PERLY_BRACE_OPEN] = STATE(237),
    [sym__term_rightward] = STATE(1317),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1271),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(445),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [446] = {
    [sym__PERLY_BRACE_OPEN] = STATE(238),
    [sym__term_rightward] = STATE(2259),
    [sym__subscripted] = STATE(1915),
    [sym_container_variable] = STATE(3851),
    [sym_array_element_expression] = STATE(1916),
    [sym_hash_element_expression] = STATE(1916),
    [sym_coderef_call_expression] = STATE(1916),
    [sym_anonymous_slice_expression] = STATE(1916),
    [sym_slice_container_variable] = STATE(3852),
    [sym_slice_expression] = STATE(2342),
    [sym_keyval_container_variable] = STATE(3853),
    [sym_keyval_expression] = STATE(2342),
    [sym__term] = STATE(2058),
    [sym_readline_expression] = STATE(2342),
    [sym_fileglob_expression] = STATE(2342),
    [sym_assignment_expression] = STATE(2342),
    [sym_binary_expression] = STATE(2342),
    [sym_equality_expression] = STATE(2342),
    [sym_relational_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2342),
    [sym_preinc_expression] = STATE(2342),
    [sym_postinc_expression] = STATE(2342),
    [sym_conditional_expression] = STATE(2342),
    [sym_refgen_expression] = STATE(2342),
    [sym_anonymous_array_expression] = STATE(2342),
    [sym_anonymous_hash_expression] = STATE(2342),
    [sym_anonymous_subroutine_expression] = STATE(2342),
    [sym_anonymous_method_expression] = STATE(2342),
    [sym_do_expression] = STATE(2342),
    [sym_eval_expression] = STATE(2342),
    [sym_await_expression] = STATE(2342),
    [sym_variable_declaration] = STATE(2342),
    [sym_localization_expression] = STATE(2342),
    [sym_stub_expression] = STATE(2342),
    [sym_scalar_deref_expression] = STATE(2342),
    [sym_array_deref_expression] = STATE(2342),
    [sym_arraylen_deref_expression] = STATE(2342),
    [sym_hash_deref_expression] = STATE(2342),
    [sym_amper_deref_expression] = STATE(2342),
    [sym_glob_deref_expression] = STATE(2342),
    [sym_require_expression] = STATE(2342),
    [sym_require_version_expression] = STATE(2342),
    [sym_func0op_call_expression] = STATE(2342),
    [sym_func1op_call_expression] = STATE(2342),
    [sym_map_grep_expression] = STATE(2342),
    [sym_sort_expression] = STATE(2342),
    [sym_loopex_expression] = STATE(2342),
    [sym_goto_expression] = STATE(2342),
    [sym_return_expression] = STATE(2342),
    [sym_undef_expression] = STATE(2342),
    [sym__listop] = STATE(2342),
    [sym_function_call_expression] = STATE(2343),
    [sym_ambiguous_function_call_expression] = STATE(2343),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(2343),
    [sym_scalar] = STATE(2342),
    [sym_array] = STATE(2342),
    [sym__SUB_AMPER] = STATE(2739),
    [sym__GLOB_STAR] = STATE(2741),
    [sym_hash] = STATE(2342),
    [sym_arraylen] = STATE(2342),
    [sym_amper_sub] = STATE(2181),
    [sym_glob] = STATE(2183),
    [sym_glob_slot_expression] = STATE(2342),
    [sym__literal] = STATE(2342),
    [sym__apostrophe] = STATE(3277),
    [sym__quotation_mark] = STATE(2481),
    [sym__backtick] = STATE(2482),
    [sym__search_slash] = STATE(2447),
    [sym_string_literal] = STATE(2353),
    [sym_interpolated_string_literal] = STATE(2353),
    [sym_quoted_word_list] = STATE(2193),
    [sym_command_string] = STATE(2353),
    [sym_quoted_regexp] = STATE(2353),
    [sym_match_regexp] = STATE(2353),
    [sym_substitution_regexp] = STATE(2353),
    [sym_transliteration_expression] = STATE(2353),
    [sym_heredoc_token] = STATE(2342),
    [sym_command_heredoc_token] = STATE(2342),
    [sym_heredoc_content] = STATE(446),
    [sym_autoquoted_bareword] = STATE(2342),
    [sym_bareword] = STATE(2342),
    [sym_primitive] = STATE(2342),
    [sym_boolean] = STATE(2323),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3366),
    [sym__identifier] = ACTIONS(1072),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1008),
    [anon_sym_AT] = ACTIONS(1010),
    [anon_sym_my] = ACTIONS(1012),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(1014),
    [anon_sym_method] = ACTIONS(1016),
    [anon_sym_LPAREN] = ACTIONS(1018),
    [anon_sym_continue] = ACTIONS(1020),
    [anon_sym_state] = ACTIONS(1012),
    [anon_sym_our] = ACTIONS(1012),
    [anon_sym_LBRACK] = ACTIONS(1022),
    [anon_sym_LT_LT] = ACTIONS(1523),
    [anon_sym_SLASH_SLASH] = ACTIONS(1525),
    [anon_sym_PLUS] = ACTIONS(1024),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_TILDE] = ACTIONS(1024),
    [anon_sym_BANG] = ACTIONS(1024),
    [anon_sym_PLUS_PLUS] = ACTIONS(1529),
    [anon_sym_DASH_DASH] = ACTIONS(1529),
    [anon_sym_BSLASH] = ACTIONS(1026),
    [anon_sym_do] = ACTIONS(1028),
    [anon_sym_eval] = ACTIONS(1030),
    [anon_sym_await] = ACTIONS(1032),
    [anon_sym_field] = ACTIONS(1012),
    [anon_sym_local] = ACTIONS(1034),
    [anon_sym_dynamically] = ACTIONS(1034),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1036),
    [anon_sym_require] = ACTIONS(1038),
    [anon_sym_map] = ACTIONS(1040),
    [anon_sym_grep] = ACTIONS(1040),
    [anon_sym_sort] = ACTIONS(1042),
    [anon_sym_goto] = ACTIONS(1044),
    [anon_sym_return] = ACTIONS(1046),
    [anon_sym_undef] = ACTIONS(1048),
    [anon_sym_PERCENT2] = ACTIONS(1050),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1052),
    [anon_sym_next] = ACTIONS(1052),
    [anon_sym_redo] = ACTIONS(1052),
    [anon_sym___FILE__] = ACTIONS(1020),
    [anon_sym___LINE__] = ACTIONS(1020),
    [anon_sym___PACKAGE__] = ACTIONS(1020),
    [anon_sym___SUB__] = ACTIONS(1020),
    [anon_sym_break] = ACTIONS(1020),
    [anon_sym_fork] = ACTIONS(1020),
    [anon_sym_getppid] = ACTIONS(1020),
    [anon_sym_time] = ACTIONS(1020),
    [anon_sym_times] = ACTIONS(1020),
    [anon_sym_wait] = ACTIONS(1020),
    [anon_sym_wantarray] = ACTIONS(1020),
    [anon_sym_abs] = ACTIONS(1054),
    [anon_sym_alarm] = ACTIONS(1054),
    [anon_sym_chop] = ACTIONS(1054),
    [anon_sym_chdir] = ACTIONS(1054),
    [anon_sym_close] = ACTIONS(1054),
    [anon_sym_closedir] = ACTIONS(1054),
    [anon_sym_caller] = ACTIONS(1054),
    [anon_sym_chomp] = ACTIONS(1054),
    [anon_sym_chr] = ACTIONS(1054),
    [anon_sym_cos] = ACTIONS(1054),
    [anon_sym_chroot] = ACTIONS(1054),
    [anon_sym_defined] = ACTIONS(1054),
    [anon_sym_delete] = ACTIONS(1054),
    [anon_sym_dbmclose] = ACTIONS(1054),
    [anon_sym_exists] = ACTIONS(1054),
    [anon_sym_exit] = ACTIONS(1054),
    [anon_sym_eof] = ACTIONS(1054),
    [anon_sym_exp] = ACTIONS(1054),
    [anon_sym_each] = ACTIONS(1054),
    [anon_sym_fc] = ACTIONS(1054),
    [anon_sym_fileno] = ACTIONS(1054),
    [anon_sym_gmtime] = ACTIONS(1054),
    [anon_sym_getc] = ACTIONS(1054),
    [anon_sym_getpgrp] = ACTIONS(1054),
    [anon_sym_getprotobyname] = ACTIONS(1054),
    [anon_sym_getpwname] = ACTIONS(1054),
    [anon_sym_getpwuid] = ACTIONS(1054),
    [anon_sym_getpeername] = ACTIONS(1054),
    [anon_sym_getnetbyname] = ACTIONS(1054),
    [anon_sym_getsockname] = ACTIONS(1054),
    [anon_sym_getgrnam] = ACTIONS(1054),
    [anon_sym_getgrgid] = ACTIONS(1054),
    [anon_sym_hex] = ACTIONS(1054),
    [anon_sym_int] = ACTIONS(1054),
    [anon_sym_keys] = ACTIONS(1054),
    [anon_sym_lc] = ACTIONS(1054),
    [anon_sym_lcfirst] = ACTIONS(1054),
    [anon_sym_length] = ACTIONS(1054),
    [anon_sym_localtime] = ACTIONS(1054),
    [anon_sym_log] = ACTIONS(1054),
    [anon_sym_lock] = ACTIONS(1054),
    [anon_sym_lstat] = ACTIONS(1054),
    [anon_sym_oct] = ACTIONS(1054),
    [anon_sym_ord] = ACTIONS(1054),
    [anon_sym_prototype] = ACTIONS(1054),
    [anon_sym_pop] = ACTIONS(1054),
    [anon_sym_pos] = ACTIONS(1054),
    [anon_sym_quotemeta] = ACTIONS(1054),
    [anon_sym_reset] = ACTIONS(1054),
    [anon_sym_rand] = ACTIONS(1054),
    [anon_sym_rmdir] = ACTIONS(1054),
    [anon_sym_readdir] = ACTIONS(1054),
    [anon_sym_readline] = ACTIONS(1054),
    [anon_sym_readpipe] = ACTIONS(1054),
    [anon_sym_rewinddir] = ACTIONS(1054),
    [anon_sym_readlink] = ACTIONS(1054),
    [anon_sym_ref] = ACTIONS(1054),
    [anon_sym_scalar] = ACTIONS(1054),
    [anon_sym_shift] = ACTIONS(1054),
    [anon_sym_sin] = ACTIONS(1054),
    [anon_sym_sleep] = ACTIONS(1054),
    [anon_sym_sqrt] = ACTIONS(1054),
    [anon_sym_srand] = ACTIONS(1054),
    [anon_sym_stat] = ACTIONS(1054),
    [anon_sym_study] = ACTIONS(1054),
    [anon_sym_tell] = ACTIONS(1054),
    [anon_sym_telldir] = ACTIONS(1054),
    [anon_sym_tied] = ACTIONS(1054),
    [anon_sym_uc] = ACTIONS(1054),
    [anon_sym_ucfirst] = ACTIONS(1054),
    [anon_sym_untie] = ACTIONS(1054),
    [anon_sym_umask] = ACTIONS(1054),
    [anon_sym_values] = ACTIONS(1054),
    [anon_sym_write] = ACTIONS(1054),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1056),
    [anon_sym_qq] = ACTIONS(1058),
    [anon_sym_qw] = ACTIONS(1060),
    [anon_sym_qx] = ACTIONS(1062),
    [anon_sym_qr] = ACTIONS(1064),
    [anon_sym_m] = ACTIONS(1066),
    [anon_sym_s] = ACTIONS(1068),
    [anon_sym_tr] = ACTIONS(1070),
    [anon_sym_y] = ACTIONS(1070),
    [aux_sym__bareword_token1] = ACTIONS(1072),
    [sym_number] = ACTIONS(1074),
    [anon_sym_true] = ACTIONS(1076),
    [anon_sym_false] = ACTIONS(1076),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(1078),
    [sym__open_fileglob_bracket] = ACTIONS(1080),
    [sym__PERLY_HEREDOC] = ACTIONS(1082),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1084),
    [sym__filetest] = ACTIONS(1086),
  },
  [447] = {
    [sym__PERLY_BRACE_OPEN] = STATE(73),
    [sym_block] = STATE(469),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2410),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(447),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(439),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(1778),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(439),
    [anon_sym_our] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(451),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_TILDE] = ACTIONS(451),
    [anon_sym_BANG] = ACTIONS(451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1689),
    [anon_sym_DASH_DASH] = ACTIONS(1689),
    [anon_sym_BSLASH] = ACTIONS(453),
    [anon_sym_do] = ACTIONS(455),
    [anon_sym_eval] = ACTIONS(457),
    [anon_sym_await] = ACTIONS(459),
    [anon_sym_field] = ACTIONS(439),
    [anon_sym_local] = ACTIONS(461),
    [anon_sym_dynamically] = ACTIONS(461),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(465),
    [anon_sym_map] = ACTIONS(467),
    [anon_sym_grep] = ACTIONS(467),
    [anon_sym_sort] = ACTIONS(469),
    [anon_sym_goto] = ACTIONS(471),
    [anon_sym_return] = ACTIONS(473),
    [anon_sym_undef] = ACTIONS(475),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(479),
    [anon_sym_next] = ACTIONS(479),
    [anon_sym_redo] = ACTIONS(479),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(481),
    [anon_sym_alarm] = ACTIONS(481),
    [anon_sym_chop] = ACTIONS(481),
    [anon_sym_chdir] = ACTIONS(481),
    [anon_sym_close] = ACTIONS(481),
    [anon_sym_closedir] = ACTIONS(481),
    [anon_sym_caller] = ACTIONS(481),
    [anon_sym_chomp] = ACTIONS(481),
    [anon_sym_chr] = ACTIONS(481),
    [anon_sym_cos] = ACTIONS(481),
    [anon_sym_chroot] = ACTIONS(481),
    [anon_sym_defined] = ACTIONS(481),
    [anon_sym_delete] = ACTIONS(481),
    [anon_sym_dbmclose] = ACTIONS(481),
    [anon_sym_exists] = ACTIONS(481),
    [anon_sym_exit] = ACTIONS(481),
    [anon_sym_eof] = ACTIONS(481),
    [anon_sym_exp] = ACTIONS(481),
    [anon_sym_each] = ACTIONS(481),
    [anon_sym_fc] = ACTIONS(481),
    [anon_sym_fileno] = ACTIONS(481),
    [anon_sym_gmtime] = ACTIONS(481),
    [anon_sym_getc] = ACTIONS(481),
    [anon_sym_getpgrp] = ACTIONS(481),
    [anon_sym_getprotobyname] = ACTIONS(481),
    [anon_sym_getpwname] = ACTIONS(481),
    [anon_sym_getpwuid] = ACTIONS(481),
    [anon_sym_getpeername] = ACTIONS(481),
    [anon_sym_getnetbyname] = ACTIONS(481),
    [anon_sym_getsockname] = ACTIONS(481),
    [anon_sym_getgrnam] = ACTIONS(481),
    [anon_sym_getgrgid] = ACTIONS(481),
    [anon_sym_hex] = ACTIONS(481),
    [anon_sym_int] = ACTIONS(481),
    [anon_sym_keys] = ACTIONS(481),
    [anon_sym_lc] = ACTIONS(481),
    [anon_sym_lcfirst] = ACTIONS(481),
    [anon_sym_length] = ACTIONS(481),
    [anon_sym_localtime] = ACTIONS(481),
    [anon_sym_log] = ACTIONS(481),
    [anon_sym_lock] = ACTIONS(481),
    [anon_sym_lstat] = ACTIONS(481),
    [anon_sym_oct] = ACTIONS(481),
    [anon_sym_ord] = ACTIONS(481),
    [anon_sym_prototype] = ACTIONS(481),
    [anon_sym_pop] = ACTIONS(481),
    [anon_sym_pos] = ACTIONS(481),
    [anon_sym_quotemeta] = ACTIONS(481),
    [anon_sym_reset] = ACTIONS(481),
    [anon_sym_rand] = ACTIONS(481),
    [anon_sym_rmdir] = ACTIONS(481),
    [anon_sym_readdir] = ACTIONS(481),
    [anon_sym_readline] = ACTIONS(481),
    [anon_sym_readpipe] = ACTIONS(481),
    [anon_sym_rewinddir] = ACTIONS(481),
    [anon_sym_readlink] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(481),
    [anon_sym_scalar] = ACTIONS(481),
    [anon_sym_shift] = ACTIONS(481),
    [anon_sym_sin] = ACTIONS(481),
    [anon_sym_sleep] = ACTIONS(481),
    [anon_sym_sqrt] = ACTIONS(481),
    [anon_sym_srand] = ACTIONS(481),
    [anon_sym_stat] = ACTIONS(481),
    [anon_sym_study] = ACTIONS(481),
    [anon_sym_tell] = ACTIONS(481),
    [anon_sym_telldir] = ACTIONS(481),
    [anon_sym_tied] = ACTIONS(481),
    [anon_sym_uc] = ACTIONS(481),
    [anon_sym_ucfirst] = ACTIONS(481),
    [anon_sym_untie] = ACTIONS(481),
    [anon_sym_umask] = ACTIONS(481),
    [anon_sym_values] = ACTIONS(481),
    [anon_sym_write] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(513),
  },
  [448] = {
    [sym__PERLY_BRACE_OPEN] = STATE(69),
    [sym_block] = STATE(1754),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1755),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(448),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [449] = {
    [sym__PERLY_BRACE_OPEN] = STATE(69),
    [sym_block] = STATE(1756),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1759),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(449),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [450] = {
    [sym__PERLY_BRACE_OPEN] = STATE(76),
    [sym_block] = STATE(2335),
    [sym__subscripted] = STATE(1915),
    [sym_container_variable] = STATE(3851),
    [sym_array_element_expression] = STATE(1916),
    [sym_hash_element_expression] = STATE(1916),
    [sym_coderef_call_expression] = STATE(1916),
    [sym_anonymous_slice_expression] = STATE(1916),
    [sym_slice_container_variable] = STATE(3852),
    [sym_slice_expression] = STATE(2342),
    [sym_keyval_container_variable] = STATE(3853),
    [sym_keyval_expression] = STATE(2342),
    [sym__term] = STATE(2337),
    [sym_readline_expression] = STATE(2342),
    [sym_fileglob_expression] = STATE(2342),
    [sym_assignment_expression] = STATE(2342),
    [sym_binary_expression] = STATE(2342),
    [sym_equality_expression] = STATE(2342),
    [sym_relational_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2342),
    [sym_preinc_expression] = STATE(2342),
    [sym_postinc_expression] = STATE(2342),
    [sym_conditional_expression] = STATE(2342),
    [sym_refgen_expression] = STATE(2342),
    [sym_anonymous_array_expression] = STATE(2342),
    [sym_anonymous_hash_expression] = STATE(2342),
    [sym_anonymous_subroutine_expression] = STATE(2342),
    [sym_anonymous_method_expression] = STATE(2342),
    [sym_do_expression] = STATE(2342),
    [sym_eval_expression] = STATE(2342),
    [sym_await_expression] = STATE(2342),
    [sym_variable_declaration] = STATE(2342),
    [sym_localization_expression] = STATE(2342),
    [sym_stub_expression] = STATE(2342),
    [sym_scalar_deref_expression] = STATE(2342),
    [sym_array_deref_expression] = STATE(2342),
    [sym_arraylen_deref_expression] = STATE(2342),
    [sym_hash_deref_expression] = STATE(2342),
    [sym_amper_deref_expression] = STATE(2342),
    [sym_glob_deref_expression] = STATE(2342),
    [sym_require_expression] = STATE(2342),
    [sym_require_version_expression] = STATE(2342),
    [sym_func0op_call_expression] = STATE(2342),
    [sym_func1op_call_expression] = STATE(2342),
    [sym_map_grep_expression] = STATE(2342),
    [sym_sort_expression] = STATE(2342),
    [sym_loopex_expression] = STATE(2342),
    [sym_goto_expression] = STATE(2342),
    [sym_return_expression] = STATE(2342),
    [sym_undef_expression] = STATE(2342),
    [sym__listop] = STATE(2342),
    [sym_function_call_expression] = STATE(2343),
    [sym_ambiguous_function_call_expression] = STATE(2343),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(2343),
    [sym_scalar] = STATE(2342),
    [sym_array] = STATE(2342),
    [sym__SUB_AMPER] = STATE(2739),
    [sym__GLOB_STAR] = STATE(2741),
    [sym_hash] = STATE(2342),
    [sym_arraylen] = STATE(2342),
    [sym_amper_sub] = STATE(2181),
    [sym_glob] = STATE(2183),
    [sym_glob_slot_expression] = STATE(2342),
    [sym__literal] = STATE(2342),
    [sym__apostrophe] = STATE(3277),
    [sym__quotation_mark] = STATE(2481),
    [sym__backtick] = STATE(2482),
    [sym__search_slash] = STATE(2447),
    [sym_string_literal] = STATE(2353),
    [sym_interpolated_string_literal] = STATE(2353),
    [sym_quoted_word_list] = STATE(2193),
    [sym_command_string] = STATE(2353),
    [sym_quoted_regexp] = STATE(2353),
    [sym_match_regexp] = STATE(2353),
    [sym_substitution_regexp] = STATE(2353),
    [sym_transliteration_expression] = STATE(2353),
    [sym_heredoc_token] = STATE(2342),
    [sym_command_heredoc_token] = STATE(2342),
    [sym_heredoc_content] = STATE(450),
    [sym_autoquoted_bareword] = STATE(2342),
    [sym_bareword] = STATE(2342),
    [sym_primitive] = STATE(2342),
    [sym_boolean] = STATE(2323),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3366),
    [sym__identifier] = ACTIONS(1072),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(1008),
    [anon_sym_AT] = ACTIONS(1010),
    [anon_sym_my] = ACTIONS(1012),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(1014),
    [anon_sym_method] = ACTIONS(1016),
    [anon_sym_LPAREN] = ACTIONS(1018),
    [anon_sym_continue] = ACTIONS(1020),
    [anon_sym_state] = ACTIONS(1012),
    [anon_sym_our] = ACTIONS(1012),
    [anon_sym_LBRACK] = ACTIONS(1022),
    [anon_sym_LT_LT] = ACTIONS(1523),
    [anon_sym_SLASH_SLASH] = ACTIONS(1525),
    [anon_sym_PLUS] = ACTIONS(1024),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_TILDE] = ACTIONS(1024),
    [anon_sym_BANG] = ACTIONS(1024),
    [anon_sym_PLUS_PLUS] = ACTIONS(1529),
    [anon_sym_DASH_DASH] = ACTIONS(1529),
    [anon_sym_BSLASH] = ACTIONS(1026),
    [anon_sym_do] = ACTIONS(1028),
    [anon_sym_eval] = ACTIONS(1030),
    [anon_sym_await] = ACTIONS(1032),
    [anon_sym_field] = ACTIONS(1012),
    [anon_sym_local] = ACTIONS(1034),
    [anon_sym_dynamically] = ACTIONS(1034),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1036),
    [anon_sym_require] = ACTIONS(1038),
    [anon_sym_map] = ACTIONS(1040),
    [anon_sym_grep] = ACTIONS(1040),
    [anon_sym_sort] = ACTIONS(1042),
    [anon_sym_goto] = ACTIONS(1044),
    [anon_sym_return] = ACTIONS(1046),
    [anon_sym_undef] = ACTIONS(1048),
    [anon_sym_PERCENT2] = ACTIONS(1050),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1052),
    [anon_sym_next] = ACTIONS(1052),
    [anon_sym_redo] = ACTIONS(1052),
    [anon_sym___FILE__] = ACTIONS(1020),
    [anon_sym___LINE__] = ACTIONS(1020),
    [anon_sym___PACKAGE__] = ACTIONS(1020),
    [anon_sym___SUB__] = ACTIONS(1020),
    [anon_sym_break] = ACTIONS(1020),
    [anon_sym_fork] = ACTIONS(1020),
    [anon_sym_getppid] = ACTIONS(1020),
    [anon_sym_time] = ACTIONS(1020),
    [anon_sym_times] = ACTIONS(1020),
    [anon_sym_wait] = ACTIONS(1020),
    [anon_sym_wantarray] = ACTIONS(1020),
    [anon_sym_abs] = ACTIONS(1054),
    [anon_sym_alarm] = ACTIONS(1054),
    [anon_sym_chop] = ACTIONS(1054),
    [anon_sym_chdir] = ACTIONS(1054),
    [anon_sym_close] = ACTIONS(1054),
    [anon_sym_closedir] = ACTIONS(1054),
    [anon_sym_caller] = ACTIONS(1054),
    [anon_sym_chomp] = ACTIONS(1054),
    [anon_sym_chr] = ACTIONS(1054),
    [anon_sym_cos] = ACTIONS(1054),
    [anon_sym_chroot] = ACTIONS(1054),
    [anon_sym_defined] = ACTIONS(1054),
    [anon_sym_delete] = ACTIONS(1054),
    [anon_sym_dbmclose] = ACTIONS(1054),
    [anon_sym_exists] = ACTIONS(1054),
    [anon_sym_exit] = ACTIONS(1054),
    [anon_sym_eof] = ACTIONS(1054),
    [anon_sym_exp] = ACTIONS(1054),
    [anon_sym_each] = ACTIONS(1054),
    [anon_sym_fc] = ACTIONS(1054),
    [anon_sym_fileno] = ACTIONS(1054),
    [anon_sym_gmtime] = ACTIONS(1054),
    [anon_sym_getc] = ACTIONS(1054),
    [anon_sym_getpgrp] = ACTIONS(1054),
    [anon_sym_getprotobyname] = ACTIONS(1054),
    [anon_sym_getpwname] = ACTIONS(1054),
    [anon_sym_getpwuid] = ACTIONS(1054),
    [anon_sym_getpeername] = ACTIONS(1054),
    [anon_sym_getnetbyname] = ACTIONS(1054),
    [anon_sym_getsockname] = ACTIONS(1054),
    [anon_sym_getgrnam] = ACTIONS(1054),
    [anon_sym_getgrgid] = ACTIONS(1054),
    [anon_sym_hex] = ACTIONS(1054),
    [anon_sym_int] = ACTIONS(1054),
    [anon_sym_keys] = ACTIONS(1054),
    [anon_sym_lc] = ACTIONS(1054),
    [anon_sym_lcfirst] = ACTIONS(1054),
    [anon_sym_length] = ACTIONS(1054),
    [anon_sym_localtime] = ACTIONS(1054),
    [anon_sym_log] = ACTIONS(1054),
    [anon_sym_lock] = ACTIONS(1054),
    [anon_sym_lstat] = ACTIONS(1054),
    [anon_sym_oct] = ACTIONS(1054),
    [anon_sym_ord] = ACTIONS(1054),
    [anon_sym_prototype] = ACTIONS(1054),
    [anon_sym_pop] = ACTIONS(1054),
    [anon_sym_pos] = ACTIONS(1054),
    [anon_sym_quotemeta] = ACTIONS(1054),
    [anon_sym_reset] = ACTIONS(1054),
    [anon_sym_rand] = ACTIONS(1054),
    [anon_sym_rmdir] = ACTIONS(1054),
    [anon_sym_readdir] = ACTIONS(1054),
    [anon_sym_readline] = ACTIONS(1054),
    [anon_sym_readpipe] = ACTIONS(1054),
    [anon_sym_rewinddir] = ACTIONS(1054),
    [anon_sym_readlink] = ACTIONS(1054),
    [anon_sym_ref] = ACTIONS(1054),
    [anon_sym_scalar] = ACTIONS(1054),
    [anon_sym_shift] = ACTIONS(1054),
    [anon_sym_sin] = ACTIONS(1054),
    [anon_sym_sleep] = ACTIONS(1054),
    [anon_sym_sqrt] = ACTIONS(1054),
    [anon_sym_srand] = ACTIONS(1054),
    [anon_sym_stat] = ACTIONS(1054),
    [anon_sym_study] = ACTIONS(1054),
    [anon_sym_tell] = ACTIONS(1054),
    [anon_sym_telldir] = ACTIONS(1054),
    [anon_sym_tied] = ACTIONS(1054),
    [anon_sym_uc] = ACTIONS(1054),
    [anon_sym_ucfirst] = ACTIONS(1054),
    [anon_sym_untie] = ACTIONS(1054),
    [anon_sym_umask] = ACTIONS(1054),
    [anon_sym_values] = ACTIONS(1054),
    [anon_sym_write] = ACTIONS(1054),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1056),
    [anon_sym_qq] = ACTIONS(1058),
    [anon_sym_qw] = ACTIONS(1060),
    [anon_sym_qx] = ACTIONS(1062),
    [anon_sym_qr] = ACTIONS(1064),
    [anon_sym_m] = ACTIONS(1066),
    [anon_sym_s] = ACTIONS(1068),
    [anon_sym_tr] = ACTIONS(1070),
    [anon_sym_y] = ACTIONS(1070),
    [aux_sym__bareword_token1] = ACTIONS(1072),
    [sym_number] = ACTIONS(1074),
    [anon_sym_true] = ACTIONS(1076),
    [anon_sym_false] = ACTIONS(1076),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(1078),
    [sym__open_fileglob_bracket] = ACTIONS(1080),
    [sym__PERLY_HEREDOC] = ACTIONS(1082),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1084),
    [sym__filetest] = ACTIONS(1086),
  },
  [451] = {
    [sym__PERLY_BRACE_OPEN] = STATE(65),
    [sym_block] = STATE(1984),
    [sym__subscripted] = STATE(1532),
    [sym_container_variable] = STATE(3855),
    [sym_array_element_expression] = STATE(1533),
    [sym_hash_element_expression] = STATE(1533),
    [sym_coderef_call_expression] = STATE(1533),
    [sym_anonymous_slice_expression] = STATE(1533),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(1967),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(1967),
    [sym__term] = STATE(1985),
    [sym_readline_expression] = STATE(1967),
    [sym_fileglob_expression] = STATE(1967),
    [sym_assignment_expression] = STATE(1967),
    [sym_binary_expression] = STATE(1967),
    [sym_equality_expression] = STATE(1967),
    [sym_relational_expression] = STATE(1967),
    [sym_unary_expression] = STATE(1967),
    [sym_preinc_expression] = STATE(1967),
    [sym_postinc_expression] = STATE(1967),
    [sym_conditional_expression] = STATE(1967),
    [sym_refgen_expression] = STATE(1967),
    [sym_anonymous_array_expression] = STATE(1967),
    [sym_anonymous_hash_expression] = STATE(1967),
    [sym_anonymous_subroutine_expression] = STATE(1967),
    [sym_anonymous_method_expression] = STATE(1967),
    [sym_do_expression] = STATE(1967),
    [sym_eval_expression] = STATE(1967),
    [sym_await_expression] = STATE(1967),
    [sym_variable_declaration] = STATE(1967),
    [sym_localization_expression] = STATE(1967),
    [sym_stub_expression] = STATE(1967),
    [sym_scalar_deref_expression] = STATE(1967),
    [sym_array_deref_expression] = STATE(1967),
    [sym_arraylen_deref_expression] = STATE(1967),
    [sym_hash_deref_expression] = STATE(1967),
    [sym_amper_deref_expression] = STATE(1967),
    [sym_glob_deref_expression] = STATE(1967),
    [sym_require_expression] = STATE(1967),
    [sym_require_version_expression] = STATE(1967),
    [sym_func0op_call_expression] = STATE(1967),
    [sym_func1op_call_expression] = STATE(1967),
    [sym_map_grep_expression] = STATE(1967),
    [sym_sort_expression] = STATE(1967),
    [sym_loopex_expression] = STATE(1967),
    [sym_goto_expression] = STATE(1967),
    [sym_return_expression] = STATE(1967),
    [sym_undef_expression] = STATE(1967),
    [sym__listop] = STATE(1967),
    [sym_function_call_expression] = STATE(1968),
    [sym_ambiguous_function_call_expression] = STATE(1968),
    [sym_function] = STATE(389),
    [sym_method_call_expression] = STATE(1968),
    [sym_scalar] = STATE(1967),
    [sym_array] = STATE(1967),
    [sym__SUB_AMPER] = STATE(2686),
    [sym__GLOB_STAR] = STATE(2687),
    [sym_hash] = STATE(1967),
    [sym_arraylen] = STATE(1967),
    [sym_amper_sub] = STATE(1785),
    [sym_glob] = STATE(1786),
    [sym_glob_slot_expression] = STATE(1967),
    [sym__literal] = STATE(1967),
    [sym__apostrophe] = STATE(3328),
    [sym__quotation_mark] = STATE(2501),
    [sym__backtick] = STATE(2502),
    [sym__search_slash] = STATE(2454),
    [sym_string_literal] = STATE(1969),
    [sym_interpolated_string_literal] = STATE(1969),
    [sym_quoted_word_list] = STATE(1787),
    [sym_command_string] = STATE(1969),
    [sym_quoted_regexp] = STATE(1969),
    [sym_match_regexp] = STATE(1969),
    [sym_substitution_regexp] = STATE(1969),
    [sym_transliteration_expression] = STATE(1969),
    [sym_heredoc_token] = STATE(1967),
    [sym_command_heredoc_token] = STATE(1967),
    [sym_heredoc_content] = STATE(451),
    [sym_autoquoted_bareword] = STATE(1967),
    [sym_bareword] = STATE(1967),
    [sym_primitive] = STATE(1967),
    [sym_boolean] = STATE(1965),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3342),
    [sym__identifier] = ACTIONS(575),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(1752),
    [anon_sym_AT] = ACTIONS(1671),
    [anon_sym_my] = ACTIONS(517),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(519),
    [anon_sym_method] = ACTIONS(521),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_continue] = ACTIONS(525),
    [anon_sym_state] = ACTIONS(517),
    [anon_sym_our] = ACTIONS(517),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_LT_LT] = ACTIONS(1673),
    [anon_sym_SLASH_SLASH] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(1677),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_PLUS_PLUS] = ACTIONS(1679),
    [anon_sym_DASH_DASH] = ACTIONS(1679),
    [anon_sym_BSLASH] = ACTIONS(531),
    [anon_sym_do] = ACTIONS(533),
    [anon_sym_eval] = ACTIONS(535),
    [anon_sym_await] = ACTIONS(537),
    [anon_sym_field] = ACTIONS(517),
    [anon_sym_local] = ACTIONS(539),
    [anon_sym_dynamically] = ACTIONS(539),
    [anon_sym_DOLLAR_POUND] = ACTIONS(541),
    [anon_sym_require] = ACTIONS(543),
    [anon_sym_map] = ACTIONS(545),
    [anon_sym_grep] = ACTIONS(545),
    [anon_sym_sort] = ACTIONS(547),
    [anon_sym_goto] = ACTIONS(549),
    [anon_sym_return] = ACTIONS(551),
    [anon_sym_undef] = ACTIONS(553),
    [anon_sym_PERCENT2] = ACTIONS(1681),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(555),
    [anon_sym_next] = ACTIONS(555),
    [anon_sym_redo] = ACTIONS(555),
    [anon_sym___FILE__] = ACTIONS(525),
    [anon_sym___LINE__] = ACTIONS(525),
    [anon_sym___PACKAGE__] = ACTIONS(525),
    [anon_sym___SUB__] = ACTIONS(525),
    [anon_sym_break] = ACTIONS(525),
    [anon_sym_fork] = ACTIONS(525),
    [anon_sym_getppid] = ACTIONS(525),
    [anon_sym_time] = ACTIONS(525),
    [anon_sym_times] = ACTIONS(525),
    [anon_sym_wait] = ACTIONS(525),
    [anon_sym_wantarray] = ACTIONS(525),
    [anon_sym_abs] = ACTIONS(557),
    [anon_sym_alarm] = ACTIONS(557),
    [anon_sym_chop] = ACTIONS(557),
    [anon_sym_chdir] = ACTIONS(557),
    [anon_sym_close] = ACTIONS(557),
    [anon_sym_closedir] = ACTIONS(557),
    [anon_sym_caller] = ACTIONS(557),
    [anon_sym_chomp] = ACTIONS(557),
    [anon_sym_chr] = ACTIONS(557),
    [anon_sym_cos] = ACTIONS(557),
    [anon_sym_chroot] = ACTIONS(557),
    [anon_sym_defined] = ACTIONS(557),
    [anon_sym_delete] = ACTIONS(557),
    [anon_sym_dbmclose] = ACTIONS(557),
    [anon_sym_exists] = ACTIONS(557),
    [anon_sym_exit] = ACTIONS(557),
    [anon_sym_eof] = ACTIONS(557),
    [anon_sym_exp] = ACTIONS(557),
    [anon_sym_each] = ACTIONS(557),
    [anon_sym_fc] = ACTIONS(557),
    [anon_sym_fileno] = ACTIONS(557),
    [anon_sym_gmtime] = ACTIONS(557),
    [anon_sym_getc] = ACTIONS(557),
    [anon_sym_getpgrp] = ACTIONS(557),
    [anon_sym_getprotobyname] = ACTIONS(557),
    [anon_sym_getpwname] = ACTIONS(557),
    [anon_sym_getpwuid] = ACTIONS(557),
    [anon_sym_getpeername] = ACTIONS(557),
    [anon_sym_getnetbyname] = ACTIONS(557),
    [anon_sym_getsockname] = ACTIONS(557),
    [anon_sym_getgrnam] = ACTIONS(557),
    [anon_sym_getgrgid] = ACTIONS(557),
    [anon_sym_hex] = ACTIONS(557),
    [anon_sym_int] = ACTIONS(557),
    [anon_sym_keys] = ACTIONS(557),
    [anon_sym_lc] = ACTIONS(557),
    [anon_sym_lcfirst] = ACTIONS(557),
    [anon_sym_length] = ACTIONS(557),
    [anon_sym_localtime] = ACTIONS(557),
    [anon_sym_log] = ACTIONS(557),
    [anon_sym_lock] = ACTIONS(557),
    [anon_sym_lstat] = ACTIONS(557),
    [anon_sym_oct] = ACTIONS(557),
    [anon_sym_ord] = ACTIONS(557),
    [anon_sym_prototype] = ACTIONS(557),
    [anon_sym_pop] = ACTIONS(557),
    [anon_sym_pos] = ACTIONS(557),
    [anon_sym_quotemeta] = ACTIONS(557),
    [anon_sym_reset] = ACTIONS(557),
    [anon_sym_rand] = ACTIONS(557),
    [anon_sym_rmdir] = ACTIONS(557),
    [anon_sym_readdir] = ACTIONS(557),
    [anon_sym_readline] = ACTIONS(557),
    [anon_sym_readpipe] = ACTIONS(557),
    [anon_sym_rewinddir] = ACTIONS(557),
    [anon_sym_readlink] = ACTIONS(557),
    [anon_sym_ref] = ACTIONS(557),
    [anon_sym_scalar] = ACTIONS(557),
    [anon_sym_shift] = ACTIONS(557),
    [anon_sym_sin] = ACTIONS(557),
    [anon_sym_sleep] = ACTIONS(557),
    [anon_sym_sqrt] = ACTIONS(557),
    [anon_sym_srand] = ACTIONS(557),
    [anon_sym_stat] = ACTIONS(557),
    [anon_sym_study] = ACTIONS(557),
    [anon_sym_tell] = ACTIONS(557),
    [anon_sym_telldir] = ACTIONS(557),
    [anon_sym_tied] = ACTIONS(557),
    [anon_sym_uc] = ACTIONS(557),
    [anon_sym_ucfirst] = ACTIONS(557),
    [anon_sym_untie] = ACTIONS(557),
    [anon_sym_umask] = ACTIONS(557),
    [anon_sym_values] = ACTIONS(557),
    [anon_sym_write] = ACTIONS(557),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(559),
    [anon_sym_qq] = ACTIONS(561),
    [anon_sym_qw] = ACTIONS(563),
    [anon_sym_qx] = ACTIONS(565),
    [anon_sym_qr] = ACTIONS(567),
    [anon_sym_m] = ACTIONS(569),
    [anon_sym_s] = ACTIONS(571),
    [anon_sym_tr] = ACTIONS(573),
    [anon_sym_y] = ACTIONS(573),
    [aux_sym__bareword_token1] = ACTIONS(575),
    [sym_number] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(581),
    [sym__open_fileglob_bracket] = ACTIONS(583),
    [sym__PERLY_HEREDOC] = ACTIONS(585),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(587),
    [sym__filetest] = ACTIONS(589),
  },
  [452] = {
    [sym__PERLY_BRACE_OPEN] = STATE(235),
    [sym__subscripted] = STATE(1532),
    [sym_container_variable] = STATE(3855),
    [sym_array_element_expression] = STATE(1533),
    [sym_hash_element_expression] = STATE(1533),
    [sym_coderef_call_expression] = STATE(1533),
    [sym_anonymous_slice_expression] = STATE(1533),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(1967),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(1967),
    [sym__term] = STATE(1919),
    [sym_readline_expression] = STATE(1967),
    [sym_fileglob_expression] = STATE(1967),
    [sym_assignment_expression] = STATE(1967),
    [sym_binary_expression] = STATE(1967),
    [sym_equality_expression] = STATE(1967),
    [sym_relational_expression] = STATE(1967),
    [sym_unary_expression] = STATE(1967),
    [sym_preinc_expression] = STATE(1967),
    [sym_postinc_expression] = STATE(1967),
    [sym_conditional_expression] = STATE(1967),
    [sym_refgen_expression] = STATE(1967),
    [sym_anonymous_array_expression] = STATE(1967),
    [sym_anonymous_hash_expression] = STATE(1967),
    [sym_anonymous_subroutine_expression] = STATE(1967),
    [sym_anonymous_method_expression] = STATE(1967),
    [sym_do_expression] = STATE(1967),
    [sym_eval_expression] = STATE(1967),
    [sym_await_expression] = STATE(1967),
    [sym_variable_declaration] = STATE(1967),
    [sym_localization_expression] = STATE(1967),
    [sym_stub_expression] = STATE(1967),
    [sym_scalar_deref_expression] = STATE(1967),
    [sym_array_deref_expression] = STATE(1967),
    [sym_arraylen_deref_expression] = STATE(1967),
    [sym_hash_deref_expression] = STATE(1967),
    [sym_amper_deref_expression] = STATE(1967),
    [sym_glob_deref_expression] = STATE(1967),
    [sym_require_expression] = STATE(1967),
    [sym_require_version_expression] = STATE(1967),
    [sym_func0op_call_expression] = STATE(1967),
    [sym_func1op_call_expression] = STATE(1967),
    [sym_map_grep_expression] = STATE(1967),
    [sym_sort_expression] = STATE(1967),
    [sym_loopex_expression] = STATE(1967),
    [sym_goto_expression] = STATE(1967),
    [sym_return_expression] = STATE(1967),
    [sym_undef_expression] = STATE(1967),
    [sym__listop] = STATE(1967),
    [sym_function_call_expression] = STATE(1968),
    [sym_ambiguous_function_call_expression] = STATE(1968),
    [sym_function] = STATE(389),
    [sym_method_call_expression] = STATE(1968),
    [sym_scalar] = STATE(1967),
    [sym_array] = STATE(1967),
    [sym__SUB_AMPER] = STATE(2686),
    [sym__GLOB_STAR] = STATE(2687),
    [sym_hash] = STATE(1967),
    [sym_arraylen] = STATE(1967),
    [sym_amper_sub] = STATE(1785),
    [sym_glob] = STATE(1786),
    [sym_glob_slot_expression] = STATE(1967),
    [sym__literal] = STATE(1967),
    [sym__apostrophe] = STATE(3328),
    [sym__quotation_mark] = STATE(2501),
    [sym__backtick] = STATE(2502),
    [sym__search_slash] = STATE(2454),
    [sym_string_literal] = STATE(1969),
    [sym_interpolated_string_literal] = STATE(1969),
    [sym_quoted_word_list] = STATE(1787),
    [sym_command_string] = STATE(1969),
    [sym_quoted_regexp] = STATE(1969),
    [sym_match_regexp] = STATE(1969),
    [sym_substitution_regexp] = STATE(1969),
    [sym_transliteration_expression] = STATE(1969),
    [sym_heredoc_token] = STATE(1967),
    [sym_command_heredoc_token] = STATE(1967),
    [sym_heredoc_content] = STATE(452),
    [sym_autoquoted_bareword] = STATE(1967),
    [sym_bareword] = STATE(1967),
    [sym_primitive] = STATE(1967),
    [sym_boolean] = STATE(1965),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3342),
    [sym__identifier] = ACTIONS(575),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1752),
    [anon_sym_AT] = ACTIONS(1671),
    [anon_sym_my] = ACTIONS(517),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(519),
    [anon_sym_method] = ACTIONS(521),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_continue] = ACTIONS(525),
    [anon_sym_state] = ACTIONS(517),
    [anon_sym_our] = ACTIONS(517),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_LT_LT] = ACTIONS(1673),
    [anon_sym_SLASH_SLASH] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(1677),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_PLUS_PLUS] = ACTIONS(1679),
    [anon_sym_DASH_DASH] = ACTIONS(1679),
    [anon_sym_BSLASH] = ACTIONS(531),
    [anon_sym_do] = ACTIONS(533),
    [anon_sym_eval] = ACTIONS(535),
    [anon_sym_await] = ACTIONS(537),
    [anon_sym_field] = ACTIONS(517),
    [anon_sym_local] = ACTIONS(539),
    [anon_sym_dynamically] = ACTIONS(539),
    [anon_sym_DOLLAR_POUND] = ACTIONS(541),
    [anon_sym_require] = ACTIONS(543),
    [anon_sym_map] = ACTIONS(545),
    [anon_sym_grep] = ACTIONS(545),
    [anon_sym_sort] = ACTIONS(547),
    [anon_sym_goto] = ACTIONS(549),
    [anon_sym_return] = ACTIONS(551),
    [anon_sym_undef] = ACTIONS(553),
    [anon_sym_PERCENT2] = ACTIONS(1681),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(555),
    [anon_sym_next] = ACTIONS(555),
    [anon_sym_redo] = ACTIONS(555),
    [anon_sym___FILE__] = ACTIONS(525),
    [anon_sym___LINE__] = ACTIONS(525),
    [anon_sym___PACKAGE__] = ACTIONS(525),
    [anon_sym___SUB__] = ACTIONS(525),
    [anon_sym_break] = ACTIONS(525),
    [anon_sym_fork] = ACTIONS(525),
    [anon_sym_getppid] = ACTIONS(525),
    [anon_sym_time] = ACTIONS(525),
    [anon_sym_times] = ACTIONS(525),
    [anon_sym_wait] = ACTIONS(525),
    [anon_sym_wantarray] = ACTIONS(525),
    [anon_sym_abs] = ACTIONS(557),
    [anon_sym_alarm] = ACTIONS(557),
    [anon_sym_chop] = ACTIONS(557),
    [anon_sym_chdir] = ACTIONS(557),
    [anon_sym_close] = ACTIONS(557),
    [anon_sym_closedir] = ACTIONS(557),
    [anon_sym_caller] = ACTIONS(557),
    [anon_sym_chomp] = ACTIONS(557),
    [anon_sym_chr] = ACTIONS(557),
    [anon_sym_cos] = ACTIONS(557),
    [anon_sym_chroot] = ACTIONS(557),
    [anon_sym_defined] = ACTIONS(557),
    [anon_sym_delete] = ACTIONS(557),
    [anon_sym_dbmclose] = ACTIONS(557),
    [anon_sym_exists] = ACTIONS(557),
    [anon_sym_exit] = ACTIONS(557),
    [anon_sym_eof] = ACTIONS(557),
    [anon_sym_exp] = ACTIONS(557),
    [anon_sym_each] = ACTIONS(557),
    [anon_sym_fc] = ACTIONS(557),
    [anon_sym_fileno] = ACTIONS(557),
    [anon_sym_gmtime] = ACTIONS(557),
    [anon_sym_getc] = ACTIONS(557),
    [anon_sym_getpgrp] = ACTIONS(557),
    [anon_sym_getprotobyname] = ACTIONS(557),
    [anon_sym_getpwname] = ACTIONS(557),
    [anon_sym_getpwuid] = ACTIONS(557),
    [anon_sym_getpeername] = ACTIONS(557),
    [anon_sym_getnetbyname] = ACTIONS(557),
    [anon_sym_getsockname] = ACTIONS(557),
    [anon_sym_getgrnam] = ACTIONS(557),
    [anon_sym_getgrgid] = ACTIONS(557),
    [anon_sym_hex] = ACTIONS(557),
    [anon_sym_int] = ACTIONS(557),
    [anon_sym_keys] = ACTIONS(557),
    [anon_sym_lc] = ACTIONS(557),
    [anon_sym_lcfirst] = ACTIONS(557),
    [anon_sym_length] = ACTIONS(557),
    [anon_sym_localtime] = ACTIONS(557),
    [anon_sym_log] = ACTIONS(557),
    [anon_sym_lock] = ACTIONS(557),
    [anon_sym_lstat] = ACTIONS(557),
    [anon_sym_oct] = ACTIONS(557),
    [anon_sym_ord] = ACTIONS(557),
    [anon_sym_prototype] = ACTIONS(557),
    [anon_sym_pop] = ACTIONS(557),
    [anon_sym_pos] = ACTIONS(557),
    [anon_sym_quotemeta] = ACTIONS(557),
    [anon_sym_reset] = ACTIONS(557),
    [anon_sym_rand] = ACTIONS(557),
    [anon_sym_rmdir] = ACTIONS(557),
    [anon_sym_readdir] = ACTIONS(557),
    [anon_sym_readline] = ACTIONS(557),
    [anon_sym_readpipe] = ACTIONS(557),
    [anon_sym_rewinddir] = ACTIONS(557),
    [anon_sym_readlink] = ACTIONS(557),
    [anon_sym_ref] = ACTIONS(557),
    [anon_sym_scalar] = ACTIONS(557),
    [anon_sym_shift] = ACTIONS(557),
    [anon_sym_sin] = ACTIONS(557),
    [anon_sym_sleep] = ACTIONS(557),
    [anon_sym_sqrt] = ACTIONS(557),
    [anon_sym_srand] = ACTIONS(557),
    [anon_sym_stat] = ACTIONS(557),
    [anon_sym_study] = ACTIONS(557),
    [anon_sym_tell] = ACTIONS(557),
    [anon_sym_telldir] = ACTIONS(557),
    [anon_sym_tied] = ACTIONS(557),
    [anon_sym_uc] = ACTIONS(557),
    [anon_sym_ucfirst] = ACTIONS(557),
    [anon_sym_untie] = ACTIONS(557),
    [anon_sym_umask] = ACTIONS(557),
    [anon_sym_values] = ACTIONS(557),
    [anon_sym_write] = ACTIONS(557),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(559),
    [anon_sym_qq] = ACTIONS(561),
    [anon_sym_qw] = ACTIONS(563),
    [anon_sym_qx] = ACTIONS(565),
    [anon_sym_qr] = ACTIONS(567),
    [anon_sym_m] = ACTIONS(569),
    [anon_sym_s] = ACTIONS(571),
    [anon_sym_tr] = ACTIONS(573),
    [anon_sym_y] = ACTIONS(573),
    [aux_sym__bareword_token1] = ACTIONS(575),
    [sym_number] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(581),
    [sym__open_fileglob_bracket] = ACTIONS(583),
    [sym__PERLY_HEREDOC] = ACTIONS(585),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(587),
    [sym__filetest] = ACTIONS(589),
    [sym__NONASSOC] = ACTIONS(1780),
  },
  [453] = {
    [sym__PERLY_BRACE_OPEN] = STATE(65),
    [sym_block] = STATE(1946),
    [sym__subscripted] = STATE(1532),
    [sym_container_variable] = STATE(3855),
    [sym_array_element_expression] = STATE(1533),
    [sym_hash_element_expression] = STATE(1533),
    [sym_coderef_call_expression] = STATE(1533),
    [sym_anonymous_slice_expression] = STATE(1533),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(1967),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(1967),
    [sym__term] = STATE(1914),
    [sym_readline_expression] = STATE(1967),
    [sym_fileglob_expression] = STATE(1967),
    [sym_assignment_expression] = STATE(1967),
    [sym_binary_expression] = STATE(1967),
    [sym_equality_expression] = STATE(1967),
    [sym_relational_expression] = STATE(1967),
    [sym_unary_expression] = STATE(1967),
    [sym_preinc_expression] = STATE(1967),
    [sym_postinc_expression] = STATE(1967),
    [sym_conditional_expression] = STATE(1967),
    [sym_refgen_expression] = STATE(1967),
    [sym_anonymous_array_expression] = STATE(1967),
    [sym_anonymous_hash_expression] = STATE(1967),
    [sym_anonymous_subroutine_expression] = STATE(1967),
    [sym_anonymous_method_expression] = STATE(1967),
    [sym_do_expression] = STATE(1967),
    [sym_eval_expression] = STATE(1967),
    [sym_await_expression] = STATE(1967),
    [sym_variable_declaration] = STATE(1967),
    [sym_localization_expression] = STATE(1967),
    [sym_stub_expression] = STATE(1967),
    [sym_scalar_deref_expression] = STATE(1967),
    [sym_array_deref_expression] = STATE(1967),
    [sym_arraylen_deref_expression] = STATE(1967),
    [sym_hash_deref_expression] = STATE(1967),
    [sym_amper_deref_expression] = STATE(1967),
    [sym_glob_deref_expression] = STATE(1967),
    [sym_require_expression] = STATE(1967),
    [sym_require_version_expression] = STATE(1967),
    [sym_func0op_call_expression] = STATE(1967),
    [sym_func1op_call_expression] = STATE(1967),
    [sym_map_grep_expression] = STATE(1967),
    [sym_sort_expression] = STATE(1967),
    [sym_loopex_expression] = STATE(1967),
    [sym_goto_expression] = STATE(1967),
    [sym_return_expression] = STATE(1967),
    [sym_undef_expression] = STATE(1967),
    [sym__listop] = STATE(1967),
    [sym_function_call_expression] = STATE(1968),
    [sym_ambiguous_function_call_expression] = STATE(1968),
    [sym_function] = STATE(389),
    [sym_method_call_expression] = STATE(1968),
    [sym_scalar] = STATE(1967),
    [sym_array] = STATE(1967),
    [sym__SUB_AMPER] = STATE(2686),
    [sym__GLOB_STAR] = STATE(2687),
    [sym_hash] = STATE(1967),
    [sym_arraylen] = STATE(1967),
    [sym_amper_sub] = STATE(1785),
    [sym_glob] = STATE(1786),
    [sym_glob_slot_expression] = STATE(1967),
    [sym__literal] = STATE(1967),
    [sym__apostrophe] = STATE(3328),
    [sym__quotation_mark] = STATE(2501),
    [sym__backtick] = STATE(2502),
    [sym__search_slash] = STATE(2454),
    [sym_string_literal] = STATE(1969),
    [sym_interpolated_string_literal] = STATE(1969),
    [sym_quoted_word_list] = STATE(1787),
    [sym_command_string] = STATE(1969),
    [sym_quoted_regexp] = STATE(1969),
    [sym_match_regexp] = STATE(1969),
    [sym_substitution_regexp] = STATE(1969),
    [sym_transliteration_expression] = STATE(1969),
    [sym_heredoc_token] = STATE(1967),
    [sym_command_heredoc_token] = STATE(1967),
    [sym_heredoc_content] = STATE(453),
    [sym_autoquoted_bareword] = STATE(1967),
    [sym_bareword] = STATE(1967),
    [sym_primitive] = STATE(1967),
    [sym_boolean] = STATE(1965),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3342),
    [sym__identifier] = ACTIONS(575),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(1752),
    [anon_sym_AT] = ACTIONS(1671),
    [anon_sym_my] = ACTIONS(517),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(519),
    [anon_sym_method] = ACTIONS(521),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_continue] = ACTIONS(525),
    [anon_sym_state] = ACTIONS(517),
    [anon_sym_our] = ACTIONS(517),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_LT_LT] = ACTIONS(1673),
    [anon_sym_SLASH_SLASH] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(1677),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_PLUS_PLUS] = ACTIONS(1679),
    [anon_sym_DASH_DASH] = ACTIONS(1679),
    [anon_sym_BSLASH] = ACTIONS(531),
    [anon_sym_do] = ACTIONS(533),
    [anon_sym_eval] = ACTIONS(535),
    [anon_sym_await] = ACTIONS(537),
    [anon_sym_field] = ACTIONS(517),
    [anon_sym_local] = ACTIONS(539),
    [anon_sym_dynamically] = ACTIONS(539),
    [anon_sym_DOLLAR_POUND] = ACTIONS(541),
    [anon_sym_require] = ACTIONS(543),
    [anon_sym_map] = ACTIONS(545),
    [anon_sym_grep] = ACTIONS(545),
    [anon_sym_sort] = ACTIONS(547),
    [anon_sym_goto] = ACTIONS(549),
    [anon_sym_return] = ACTIONS(551),
    [anon_sym_undef] = ACTIONS(553),
    [anon_sym_PERCENT2] = ACTIONS(1681),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(555),
    [anon_sym_next] = ACTIONS(555),
    [anon_sym_redo] = ACTIONS(555),
    [anon_sym___FILE__] = ACTIONS(525),
    [anon_sym___LINE__] = ACTIONS(525),
    [anon_sym___PACKAGE__] = ACTIONS(525),
    [anon_sym___SUB__] = ACTIONS(525),
    [anon_sym_break] = ACTIONS(525),
    [anon_sym_fork] = ACTIONS(525),
    [anon_sym_getppid] = ACTIONS(525),
    [anon_sym_time] = ACTIONS(525),
    [anon_sym_times] = ACTIONS(525),
    [anon_sym_wait] = ACTIONS(525),
    [anon_sym_wantarray] = ACTIONS(525),
    [anon_sym_abs] = ACTIONS(557),
    [anon_sym_alarm] = ACTIONS(557),
    [anon_sym_chop] = ACTIONS(557),
    [anon_sym_chdir] = ACTIONS(557),
    [anon_sym_close] = ACTIONS(557),
    [anon_sym_closedir] = ACTIONS(557),
    [anon_sym_caller] = ACTIONS(557),
    [anon_sym_chomp] = ACTIONS(557),
    [anon_sym_chr] = ACTIONS(557),
    [anon_sym_cos] = ACTIONS(557),
    [anon_sym_chroot] = ACTIONS(557),
    [anon_sym_defined] = ACTIONS(557),
    [anon_sym_delete] = ACTIONS(557),
    [anon_sym_dbmclose] = ACTIONS(557),
    [anon_sym_exists] = ACTIONS(557),
    [anon_sym_exit] = ACTIONS(557),
    [anon_sym_eof] = ACTIONS(557),
    [anon_sym_exp] = ACTIONS(557),
    [anon_sym_each] = ACTIONS(557),
    [anon_sym_fc] = ACTIONS(557),
    [anon_sym_fileno] = ACTIONS(557),
    [anon_sym_gmtime] = ACTIONS(557),
    [anon_sym_getc] = ACTIONS(557),
    [anon_sym_getpgrp] = ACTIONS(557),
    [anon_sym_getprotobyname] = ACTIONS(557),
    [anon_sym_getpwname] = ACTIONS(557),
    [anon_sym_getpwuid] = ACTIONS(557),
    [anon_sym_getpeername] = ACTIONS(557),
    [anon_sym_getnetbyname] = ACTIONS(557),
    [anon_sym_getsockname] = ACTIONS(557),
    [anon_sym_getgrnam] = ACTIONS(557),
    [anon_sym_getgrgid] = ACTIONS(557),
    [anon_sym_hex] = ACTIONS(557),
    [anon_sym_int] = ACTIONS(557),
    [anon_sym_keys] = ACTIONS(557),
    [anon_sym_lc] = ACTIONS(557),
    [anon_sym_lcfirst] = ACTIONS(557),
    [anon_sym_length] = ACTIONS(557),
    [anon_sym_localtime] = ACTIONS(557),
    [anon_sym_log] = ACTIONS(557),
    [anon_sym_lock] = ACTIONS(557),
    [anon_sym_lstat] = ACTIONS(557),
    [anon_sym_oct] = ACTIONS(557),
    [anon_sym_ord] = ACTIONS(557),
    [anon_sym_prototype] = ACTIONS(557),
    [anon_sym_pop] = ACTIONS(557),
    [anon_sym_pos] = ACTIONS(557),
    [anon_sym_quotemeta] = ACTIONS(557),
    [anon_sym_reset] = ACTIONS(557),
    [anon_sym_rand] = ACTIONS(557),
    [anon_sym_rmdir] = ACTIONS(557),
    [anon_sym_readdir] = ACTIONS(557),
    [anon_sym_readline] = ACTIONS(557),
    [anon_sym_readpipe] = ACTIONS(557),
    [anon_sym_rewinddir] = ACTIONS(557),
    [anon_sym_readlink] = ACTIONS(557),
    [anon_sym_ref] = ACTIONS(557),
    [anon_sym_scalar] = ACTIONS(557),
    [anon_sym_shift] = ACTIONS(557),
    [anon_sym_sin] = ACTIONS(557),
    [anon_sym_sleep] = ACTIONS(557),
    [anon_sym_sqrt] = ACTIONS(557),
    [anon_sym_srand] = ACTIONS(557),
    [anon_sym_stat] = ACTIONS(557),
    [anon_sym_study] = ACTIONS(557),
    [anon_sym_tell] = ACTIONS(557),
    [anon_sym_telldir] = ACTIONS(557),
    [anon_sym_tied] = ACTIONS(557),
    [anon_sym_uc] = ACTIONS(557),
    [anon_sym_ucfirst] = ACTIONS(557),
    [anon_sym_untie] = ACTIONS(557),
    [anon_sym_umask] = ACTIONS(557),
    [anon_sym_values] = ACTIONS(557),
    [anon_sym_write] = ACTIONS(557),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(559),
    [anon_sym_qq] = ACTIONS(561),
    [anon_sym_qw] = ACTIONS(563),
    [anon_sym_qx] = ACTIONS(565),
    [anon_sym_qr] = ACTIONS(567),
    [anon_sym_m] = ACTIONS(569),
    [anon_sym_s] = ACTIONS(571),
    [anon_sym_tr] = ACTIONS(573),
    [anon_sym_y] = ACTIONS(573),
    [aux_sym__bareword_token1] = ACTIONS(575),
    [sym_number] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(581),
    [sym__open_fileglob_bracket] = ACTIONS(583),
    [sym__PERLY_HEREDOC] = ACTIONS(585),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(587),
    [sym__filetest] = ACTIONS(589),
  },
  [454] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__term_rightward] = STATE(3938),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2116),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(454),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(439),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(439),
    [anon_sym_our] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(451),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_TILDE] = ACTIONS(451),
    [anon_sym_BANG] = ACTIONS(451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1689),
    [anon_sym_DASH_DASH] = ACTIONS(1689),
    [anon_sym_BSLASH] = ACTIONS(453),
    [anon_sym_do] = ACTIONS(455),
    [anon_sym_eval] = ACTIONS(457),
    [anon_sym_await] = ACTIONS(459),
    [anon_sym_field] = ACTIONS(439),
    [anon_sym_local] = ACTIONS(461),
    [anon_sym_dynamically] = ACTIONS(461),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(465),
    [anon_sym_map] = ACTIONS(467),
    [anon_sym_grep] = ACTIONS(467),
    [anon_sym_sort] = ACTIONS(469),
    [anon_sym_goto] = ACTIONS(471),
    [anon_sym_return] = ACTIONS(473),
    [anon_sym_undef] = ACTIONS(475),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(479),
    [anon_sym_next] = ACTIONS(479),
    [anon_sym_redo] = ACTIONS(479),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(481),
    [anon_sym_alarm] = ACTIONS(481),
    [anon_sym_chop] = ACTIONS(481),
    [anon_sym_chdir] = ACTIONS(481),
    [anon_sym_close] = ACTIONS(481),
    [anon_sym_closedir] = ACTIONS(481),
    [anon_sym_caller] = ACTIONS(481),
    [anon_sym_chomp] = ACTIONS(481),
    [anon_sym_chr] = ACTIONS(481),
    [anon_sym_cos] = ACTIONS(481),
    [anon_sym_chroot] = ACTIONS(481),
    [anon_sym_defined] = ACTIONS(481),
    [anon_sym_delete] = ACTIONS(481),
    [anon_sym_dbmclose] = ACTIONS(481),
    [anon_sym_exists] = ACTIONS(481),
    [anon_sym_exit] = ACTIONS(481),
    [anon_sym_eof] = ACTIONS(481),
    [anon_sym_exp] = ACTIONS(481),
    [anon_sym_each] = ACTIONS(481),
    [anon_sym_fc] = ACTIONS(481),
    [anon_sym_fileno] = ACTIONS(481),
    [anon_sym_gmtime] = ACTIONS(481),
    [anon_sym_getc] = ACTIONS(481),
    [anon_sym_getpgrp] = ACTIONS(481),
    [anon_sym_getprotobyname] = ACTIONS(481),
    [anon_sym_getpwname] = ACTIONS(481),
    [anon_sym_getpwuid] = ACTIONS(481),
    [anon_sym_getpeername] = ACTIONS(481),
    [anon_sym_getnetbyname] = ACTIONS(481),
    [anon_sym_getsockname] = ACTIONS(481),
    [anon_sym_getgrnam] = ACTIONS(481),
    [anon_sym_getgrgid] = ACTIONS(481),
    [anon_sym_hex] = ACTIONS(481),
    [anon_sym_int] = ACTIONS(481),
    [anon_sym_keys] = ACTIONS(481),
    [anon_sym_lc] = ACTIONS(481),
    [anon_sym_lcfirst] = ACTIONS(481),
    [anon_sym_length] = ACTIONS(481),
    [anon_sym_localtime] = ACTIONS(481),
    [anon_sym_log] = ACTIONS(481),
    [anon_sym_lock] = ACTIONS(481),
    [anon_sym_lstat] = ACTIONS(481),
    [anon_sym_oct] = ACTIONS(481),
    [anon_sym_ord] = ACTIONS(481),
    [anon_sym_prototype] = ACTIONS(481),
    [anon_sym_pop] = ACTIONS(481),
    [anon_sym_pos] = ACTIONS(481),
    [anon_sym_quotemeta] = ACTIONS(481),
    [anon_sym_reset] = ACTIONS(481),
    [anon_sym_rand] = ACTIONS(481),
    [anon_sym_rmdir] = ACTIONS(481),
    [anon_sym_readdir] = ACTIONS(481),
    [anon_sym_readline] = ACTIONS(481),
    [anon_sym_readpipe] = ACTIONS(481),
    [anon_sym_rewinddir] = ACTIONS(481),
    [anon_sym_readlink] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(481),
    [anon_sym_scalar] = ACTIONS(481),
    [anon_sym_shift] = ACTIONS(481),
    [anon_sym_sin] = ACTIONS(481),
    [anon_sym_sleep] = ACTIONS(481),
    [anon_sym_sqrt] = ACTIONS(481),
    [anon_sym_srand] = ACTIONS(481),
    [anon_sym_stat] = ACTIONS(481),
    [anon_sym_study] = ACTIONS(481),
    [anon_sym_tell] = ACTIONS(481),
    [anon_sym_telldir] = ACTIONS(481),
    [anon_sym_tied] = ACTIONS(481),
    [anon_sym_uc] = ACTIONS(481),
    [anon_sym_ucfirst] = ACTIONS(481),
    [anon_sym_untie] = ACTIONS(481),
    [anon_sym_umask] = ACTIONS(481),
    [anon_sym_values] = ACTIONS(481),
    [anon_sym_write] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(513),
  },
  [455] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__term_rightward] = STATE(3942),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2116),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(455),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(439),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(439),
    [anon_sym_our] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(451),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_TILDE] = ACTIONS(451),
    [anon_sym_BANG] = ACTIONS(451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1689),
    [anon_sym_DASH_DASH] = ACTIONS(1689),
    [anon_sym_BSLASH] = ACTIONS(453),
    [anon_sym_do] = ACTIONS(455),
    [anon_sym_eval] = ACTIONS(457),
    [anon_sym_await] = ACTIONS(459),
    [anon_sym_field] = ACTIONS(439),
    [anon_sym_local] = ACTIONS(461),
    [anon_sym_dynamically] = ACTIONS(461),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(465),
    [anon_sym_map] = ACTIONS(467),
    [anon_sym_grep] = ACTIONS(467),
    [anon_sym_sort] = ACTIONS(469),
    [anon_sym_goto] = ACTIONS(471),
    [anon_sym_return] = ACTIONS(473),
    [anon_sym_undef] = ACTIONS(475),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(479),
    [anon_sym_next] = ACTIONS(479),
    [anon_sym_redo] = ACTIONS(479),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(481),
    [anon_sym_alarm] = ACTIONS(481),
    [anon_sym_chop] = ACTIONS(481),
    [anon_sym_chdir] = ACTIONS(481),
    [anon_sym_close] = ACTIONS(481),
    [anon_sym_closedir] = ACTIONS(481),
    [anon_sym_caller] = ACTIONS(481),
    [anon_sym_chomp] = ACTIONS(481),
    [anon_sym_chr] = ACTIONS(481),
    [anon_sym_cos] = ACTIONS(481),
    [anon_sym_chroot] = ACTIONS(481),
    [anon_sym_defined] = ACTIONS(481),
    [anon_sym_delete] = ACTIONS(481),
    [anon_sym_dbmclose] = ACTIONS(481),
    [anon_sym_exists] = ACTIONS(481),
    [anon_sym_exit] = ACTIONS(481),
    [anon_sym_eof] = ACTIONS(481),
    [anon_sym_exp] = ACTIONS(481),
    [anon_sym_each] = ACTIONS(481),
    [anon_sym_fc] = ACTIONS(481),
    [anon_sym_fileno] = ACTIONS(481),
    [anon_sym_gmtime] = ACTIONS(481),
    [anon_sym_getc] = ACTIONS(481),
    [anon_sym_getpgrp] = ACTIONS(481),
    [anon_sym_getprotobyname] = ACTIONS(481),
    [anon_sym_getpwname] = ACTIONS(481),
    [anon_sym_getpwuid] = ACTIONS(481),
    [anon_sym_getpeername] = ACTIONS(481),
    [anon_sym_getnetbyname] = ACTIONS(481),
    [anon_sym_getsockname] = ACTIONS(481),
    [anon_sym_getgrnam] = ACTIONS(481),
    [anon_sym_getgrgid] = ACTIONS(481),
    [anon_sym_hex] = ACTIONS(481),
    [anon_sym_int] = ACTIONS(481),
    [anon_sym_keys] = ACTIONS(481),
    [anon_sym_lc] = ACTIONS(481),
    [anon_sym_lcfirst] = ACTIONS(481),
    [anon_sym_length] = ACTIONS(481),
    [anon_sym_localtime] = ACTIONS(481),
    [anon_sym_log] = ACTIONS(481),
    [anon_sym_lock] = ACTIONS(481),
    [anon_sym_lstat] = ACTIONS(481),
    [anon_sym_oct] = ACTIONS(481),
    [anon_sym_ord] = ACTIONS(481),
    [anon_sym_prototype] = ACTIONS(481),
    [anon_sym_pop] = ACTIONS(481),
    [anon_sym_pos] = ACTIONS(481),
    [anon_sym_quotemeta] = ACTIONS(481),
    [anon_sym_reset] = ACTIONS(481),
    [anon_sym_rand] = ACTIONS(481),
    [anon_sym_rmdir] = ACTIONS(481),
    [anon_sym_readdir] = ACTIONS(481),
    [anon_sym_readline] = ACTIONS(481),
    [anon_sym_readpipe] = ACTIONS(481),
    [anon_sym_rewinddir] = ACTIONS(481),
    [anon_sym_readlink] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(481),
    [anon_sym_scalar] = ACTIONS(481),
    [anon_sym_shift] = ACTIONS(481),
    [anon_sym_sin] = ACTIONS(481),
    [anon_sym_sleep] = ACTIONS(481),
    [anon_sym_sqrt] = ACTIONS(481),
    [anon_sym_srand] = ACTIONS(481),
    [anon_sym_stat] = ACTIONS(481),
    [anon_sym_study] = ACTIONS(481),
    [anon_sym_tell] = ACTIONS(481),
    [anon_sym_telldir] = ACTIONS(481),
    [anon_sym_tied] = ACTIONS(481),
    [anon_sym_uc] = ACTIONS(481),
    [anon_sym_ucfirst] = ACTIONS(481),
    [anon_sym_untie] = ACTIONS(481),
    [anon_sym_umask] = ACTIONS(481),
    [anon_sym_values] = ACTIONS(481),
    [anon_sym_write] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(513),
  },
  [456] = {
    [sym__PERLY_BRACE_OPEN] = STATE(73),
    [sym_block] = STATE(511),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2408),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(456),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(439),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(1782),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(439),
    [anon_sym_our] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(451),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_TILDE] = ACTIONS(451),
    [anon_sym_BANG] = ACTIONS(451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1689),
    [anon_sym_DASH_DASH] = ACTIONS(1689),
    [anon_sym_BSLASH] = ACTIONS(453),
    [anon_sym_do] = ACTIONS(455),
    [anon_sym_eval] = ACTIONS(457),
    [anon_sym_await] = ACTIONS(459),
    [anon_sym_field] = ACTIONS(439),
    [anon_sym_local] = ACTIONS(461),
    [anon_sym_dynamically] = ACTIONS(461),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(465),
    [anon_sym_map] = ACTIONS(467),
    [anon_sym_grep] = ACTIONS(467),
    [anon_sym_sort] = ACTIONS(469),
    [anon_sym_goto] = ACTIONS(471),
    [anon_sym_return] = ACTIONS(473),
    [anon_sym_undef] = ACTIONS(475),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(479),
    [anon_sym_next] = ACTIONS(479),
    [anon_sym_redo] = ACTIONS(479),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(481),
    [anon_sym_alarm] = ACTIONS(481),
    [anon_sym_chop] = ACTIONS(481),
    [anon_sym_chdir] = ACTIONS(481),
    [anon_sym_close] = ACTIONS(481),
    [anon_sym_closedir] = ACTIONS(481),
    [anon_sym_caller] = ACTIONS(481),
    [anon_sym_chomp] = ACTIONS(481),
    [anon_sym_chr] = ACTIONS(481),
    [anon_sym_cos] = ACTIONS(481),
    [anon_sym_chroot] = ACTIONS(481),
    [anon_sym_defined] = ACTIONS(481),
    [anon_sym_delete] = ACTIONS(481),
    [anon_sym_dbmclose] = ACTIONS(481),
    [anon_sym_exists] = ACTIONS(481),
    [anon_sym_exit] = ACTIONS(481),
    [anon_sym_eof] = ACTIONS(481),
    [anon_sym_exp] = ACTIONS(481),
    [anon_sym_each] = ACTIONS(481),
    [anon_sym_fc] = ACTIONS(481),
    [anon_sym_fileno] = ACTIONS(481),
    [anon_sym_gmtime] = ACTIONS(481),
    [anon_sym_getc] = ACTIONS(481),
    [anon_sym_getpgrp] = ACTIONS(481),
    [anon_sym_getprotobyname] = ACTIONS(481),
    [anon_sym_getpwname] = ACTIONS(481),
    [anon_sym_getpwuid] = ACTIONS(481),
    [anon_sym_getpeername] = ACTIONS(481),
    [anon_sym_getnetbyname] = ACTIONS(481),
    [anon_sym_getsockname] = ACTIONS(481),
    [anon_sym_getgrnam] = ACTIONS(481),
    [anon_sym_getgrgid] = ACTIONS(481),
    [anon_sym_hex] = ACTIONS(481),
    [anon_sym_int] = ACTIONS(481),
    [anon_sym_keys] = ACTIONS(481),
    [anon_sym_lc] = ACTIONS(481),
    [anon_sym_lcfirst] = ACTIONS(481),
    [anon_sym_length] = ACTIONS(481),
    [anon_sym_localtime] = ACTIONS(481),
    [anon_sym_log] = ACTIONS(481),
    [anon_sym_lock] = ACTIONS(481),
    [anon_sym_lstat] = ACTIONS(481),
    [anon_sym_oct] = ACTIONS(481),
    [anon_sym_ord] = ACTIONS(481),
    [anon_sym_prototype] = ACTIONS(481),
    [anon_sym_pop] = ACTIONS(481),
    [anon_sym_pos] = ACTIONS(481),
    [anon_sym_quotemeta] = ACTIONS(481),
    [anon_sym_reset] = ACTIONS(481),
    [anon_sym_rand] = ACTIONS(481),
    [anon_sym_rmdir] = ACTIONS(481),
    [anon_sym_readdir] = ACTIONS(481),
    [anon_sym_readline] = ACTIONS(481),
    [anon_sym_readpipe] = ACTIONS(481),
    [anon_sym_rewinddir] = ACTIONS(481),
    [anon_sym_readlink] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(481),
    [anon_sym_scalar] = ACTIONS(481),
    [anon_sym_shift] = ACTIONS(481),
    [anon_sym_sin] = ACTIONS(481),
    [anon_sym_sleep] = ACTIONS(481),
    [anon_sym_sqrt] = ACTIONS(481),
    [anon_sym_srand] = ACTIONS(481),
    [anon_sym_stat] = ACTIONS(481),
    [anon_sym_study] = ACTIONS(481),
    [anon_sym_tell] = ACTIONS(481),
    [anon_sym_telldir] = ACTIONS(481),
    [anon_sym_tied] = ACTIONS(481),
    [anon_sym_uc] = ACTIONS(481),
    [anon_sym_ucfirst] = ACTIONS(481),
    [anon_sym_untie] = ACTIONS(481),
    [anon_sym_umask] = ACTIONS(481),
    [anon_sym_values] = ACTIONS(481),
    [anon_sym_write] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(513),
  },
  [457] = {
    [sym__PERLY_BRACE_OPEN] = STATE(81),
    [sym_block] = STATE(1355),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1356),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(457),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [458] = {
    [sym__PERLY_BRACE_OPEN] = STATE(235),
    [sym__subscripted] = STATE(1532),
    [sym_container_variable] = STATE(3855),
    [sym_array_element_expression] = STATE(1533),
    [sym_hash_element_expression] = STATE(1533),
    [sym_coderef_call_expression] = STATE(1533),
    [sym_anonymous_slice_expression] = STATE(1533),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(1967),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(1967),
    [sym__term] = STATE(1931),
    [sym_readline_expression] = STATE(1967),
    [sym_fileglob_expression] = STATE(1967),
    [sym_assignment_expression] = STATE(1967),
    [sym_binary_expression] = STATE(1967),
    [sym_equality_expression] = STATE(1967),
    [sym_relational_expression] = STATE(1967),
    [sym_unary_expression] = STATE(1967),
    [sym_preinc_expression] = STATE(1967),
    [sym_postinc_expression] = STATE(1967),
    [sym_conditional_expression] = STATE(1967),
    [sym_refgen_expression] = STATE(1967),
    [sym_anonymous_array_expression] = STATE(1967),
    [sym_anonymous_hash_expression] = STATE(1967),
    [sym_anonymous_subroutine_expression] = STATE(1967),
    [sym_anonymous_method_expression] = STATE(1967),
    [sym_do_expression] = STATE(1967),
    [sym_eval_expression] = STATE(1967),
    [sym_await_expression] = STATE(1967),
    [sym_variable_declaration] = STATE(1967),
    [sym_localization_expression] = STATE(1967),
    [sym_stub_expression] = STATE(1967),
    [sym_scalar_deref_expression] = STATE(1967),
    [sym_array_deref_expression] = STATE(1967),
    [sym_arraylen_deref_expression] = STATE(1967),
    [sym_hash_deref_expression] = STATE(1967),
    [sym_amper_deref_expression] = STATE(1967),
    [sym_glob_deref_expression] = STATE(1967),
    [sym_require_expression] = STATE(1967),
    [sym_require_version_expression] = STATE(1967),
    [sym_func0op_call_expression] = STATE(1967),
    [sym_func1op_call_expression] = STATE(1967),
    [sym_map_grep_expression] = STATE(1967),
    [sym_sort_expression] = STATE(1967),
    [sym_loopex_expression] = STATE(1967),
    [sym_goto_expression] = STATE(1967),
    [sym_return_expression] = STATE(1967),
    [sym_undef_expression] = STATE(1967),
    [sym__listop] = STATE(1967),
    [sym_function_call_expression] = STATE(1968),
    [sym_ambiguous_function_call_expression] = STATE(1968),
    [sym_function] = STATE(389),
    [sym_method_call_expression] = STATE(1968),
    [sym_scalar] = STATE(1967),
    [sym_array] = STATE(1967),
    [sym__SUB_AMPER] = STATE(2686),
    [sym__GLOB_STAR] = STATE(2687),
    [sym_hash] = STATE(1967),
    [sym_arraylen] = STATE(1967),
    [sym_amper_sub] = STATE(1785),
    [sym_glob] = STATE(1786),
    [sym_glob_slot_expression] = STATE(1967),
    [sym__literal] = STATE(1967),
    [sym__apostrophe] = STATE(3328),
    [sym__quotation_mark] = STATE(2501),
    [sym__backtick] = STATE(2502),
    [sym__search_slash] = STATE(2454),
    [sym_string_literal] = STATE(1969),
    [sym_interpolated_string_literal] = STATE(1969),
    [sym_quoted_word_list] = STATE(1787),
    [sym_command_string] = STATE(1969),
    [sym_quoted_regexp] = STATE(1969),
    [sym_match_regexp] = STATE(1969),
    [sym_substitution_regexp] = STATE(1969),
    [sym_transliteration_expression] = STATE(1969),
    [sym_heredoc_token] = STATE(1967),
    [sym_command_heredoc_token] = STATE(1967),
    [sym_heredoc_content] = STATE(458),
    [sym_autoquoted_bareword] = STATE(1967),
    [sym_bareword] = STATE(1967),
    [sym_primitive] = STATE(1967),
    [sym_boolean] = STATE(1965),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3342),
    [sym__identifier] = ACTIONS(575),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1752),
    [anon_sym_AT] = ACTIONS(1671),
    [anon_sym_my] = ACTIONS(517),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(519),
    [anon_sym_method] = ACTIONS(521),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_continue] = ACTIONS(525),
    [anon_sym_state] = ACTIONS(517),
    [anon_sym_our] = ACTIONS(517),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_LT_LT] = ACTIONS(1673),
    [anon_sym_SLASH_SLASH] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(1677),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_PLUS_PLUS] = ACTIONS(1679),
    [anon_sym_DASH_DASH] = ACTIONS(1679),
    [anon_sym_BSLASH] = ACTIONS(531),
    [anon_sym_do] = ACTIONS(533),
    [anon_sym_eval] = ACTIONS(535),
    [anon_sym_await] = ACTIONS(537),
    [anon_sym_field] = ACTIONS(517),
    [anon_sym_local] = ACTIONS(539),
    [anon_sym_dynamically] = ACTIONS(539),
    [anon_sym_DOLLAR_POUND] = ACTIONS(541),
    [anon_sym_require] = ACTIONS(543),
    [anon_sym_map] = ACTIONS(545),
    [anon_sym_grep] = ACTIONS(545),
    [anon_sym_sort] = ACTIONS(547),
    [anon_sym_goto] = ACTIONS(549),
    [anon_sym_return] = ACTIONS(551),
    [anon_sym_undef] = ACTIONS(553),
    [anon_sym_PERCENT2] = ACTIONS(1681),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(555),
    [anon_sym_next] = ACTIONS(555),
    [anon_sym_redo] = ACTIONS(555),
    [anon_sym___FILE__] = ACTIONS(525),
    [anon_sym___LINE__] = ACTIONS(525),
    [anon_sym___PACKAGE__] = ACTIONS(525),
    [anon_sym___SUB__] = ACTIONS(525),
    [anon_sym_break] = ACTIONS(525),
    [anon_sym_fork] = ACTIONS(525),
    [anon_sym_getppid] = ACTIONS(525),
    [anon_sym_time] = ACTIONS(525),
    [anon_sym_times] = ACTIONS(525),
    [anon_sym_wait] = ACTIONS(525),
    [anon_sym_wantarray] = ACTIONS(525),
    [anon_sym_abs] = ACTIONS(557),
    [anon_sym_alarm] = ACTIONS(557),
    [anon_sym_chop] = ACTIONS(557),
    [anon_sym_chdir] = ACTIONS(557),
    [anon_sym_close] = ACTIONS(557),
    [anon_sym_closedir] = ACTIONS(557),
    [anon_sym_caller] = ACTIONS(557),
    [anon_sym_chomp] = ACTIONS(557),
    [anon_sym_chr] = ACTIONS(557),
    [anon_sym_cos] = ACTIONS(557),
    [anon_sym_chroot] = ACTIONS(557),
    [anon_sym_defined] = ACTIONS(557),
    [anon_sym_delete] = ACTIONS(557),
    [anon_sym_dbmclose] = ACTIONS(557),
    [anon_sym_exists] = ACTIONS(557),
    [anon_sym_exit] = ACTIONS(557),
    [anon_sym_eof] = ACTIONS(557),
    [anon_sym_exp] = ACTIONS(557),
    [anon_sym_each] = ACTIONS(557),
    [anon_sym_fc] = ACTIONS(557),
    [anon_sym_fileno] = ACTIONS(557),
    [anon_sym_gmtime] = ACTIONS(557),
    [anon_sym_getc] = ACTIONS(557),
    [anon_sym_getpgrp] = ACTIONS(557),
    [anon_sym_getprotobyname] = ACTIONS(557),
    [anon_sym_getpwname] = ACTIONS(557),
    [anon_sym_getpwuid] = ACTIONS(557),
    [anon_sym_getpeername] = ACTIONS(557),
    [anon_sym_getnetbyname] = ACTIONS(557),
    [anon_sym_getsockname] = ACTIONS(557),
    [anon_sym_getgrnam] = ACTIONS(557),
    [anon_sym_getgrgid] = ACTIONS(557),
    [anon_sym_hex] = ACTIONS(557),
    [anon_sym_int] = ACTIONS(557),
    [anon_sym_keys] = ACTIONS(557),
    [anon_sym_lc] = ACTIONS(557),
    [anon_sym_lcfirst] = ACTIONS(557),
    [anon_sym_length] = ACTIONS(557),
    [anon_sym_localtime] = ACTIONS(557),
    [anon_sym_log] = ACTIONS(557),
    [anon_sym_lock] = ACTIONS(557),
    [anon_sym_lstat] = ACTIONS(557),
    [anon_sym_oct] = ACTIONS(557),
    [anon_sym_ord] = ACTIONS(557),
    [anon_sym_prototype] = ACTIONS(557),
    [anon_sym_pop] = ACTIONS(557),
    [anon_sym_pos] = ACTIONS(557),
    [anon_sym_quotemeta] = ACTIONS(557),
    [anon_sym_reset] = ACTIONS(557),
    [anon_sym_rand] = ACTIONS(557),
    [anon_sym_rmdir] = ACTIONS(557),
    [anon_sym_readdir] = ACTIONS(557),
    [anon_sym_readline] = ACTIONS(557),
    [anon_sym_readpipe] = ACTIONS(557),
    [anon_sym_rewinddir] = ACTIONS(557),
    [anon_sym_readlink] = ACTIONS(557),
    [anon_sym_ref] = ACTIONS(557),
    [anon_sym_scalar] = ACTIONS(557),
    [anon_sym_shift] = ACTIONS(557),
    [anon_sym_sin] = ACTIONS(557),
    [anon_sym_sleep] = ACTIONS(557),
    [anon_sym_sqrt] = ACTIONS(557),
    [anon_sym_srand] = ACTIONS(557),
    [anon_sym_stat] = ACTIONS(557),
    [anon_sym_study] = ACTIONS(557),
    [anon_sym_tell] = ACTIONS(557),
    [anon_sym_telldir] = ACTIONS(557),
    [anon_sym_tied] = ACTIONS(557),
    [anon_sym_uc] = ACTIONS(557),
    [anon_sym_ucfirst] = ACTIONS(557),
    [anon_sym_untie] = ACTIONS(557),
    [anon_sym_umask] = ACTIONS(557),
    [anon_sym_values] = ACTIONS(557),
    [anon_sym_write] = ACTIONS(557),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(559),
    [anon_sym_qq] = ACTIONS(561),
    [anon_sym_qw] = ACTIONS(563),
    [anon_sym_qx] = ACTIONS(565),
    [anon_sym_qr] = ACTIONS(567),
    [anon_sym_m] = ACTIONS(569),
    [anon_sym_s] = ACTIONS(571),
    [anon_sym_tr] = ACTIONS(573),
    [anon_sym_y] = ACTIONS(573),
    [aux_sym__bareword_token1] = ACTIONS(575),
    [sym_number] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(581),
    [sym__open_fileglob_bracket] = ACTIONS(583),
    [sym__PERLY_HEREDOC] = ACTIONS(585),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(587),
    [sym__filetest] = ACTIONS(589),
    [sym__NONASSOC] = ACTIONS(1784),
  },
  [459] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__term_rightward] = STATE(1758),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1539),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(459),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [460] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__term_rightward] = STATE(3885),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2116),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(460),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(439),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(439),
    [anon_sym_our] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(451),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_TILDE] = ACTIONS(451),
    [anon_sym_BANG] = ACTIONS(451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1689),
    [anon_sym_DASH_DASH] = ACTIONS(1689),
    [anon_sym_BSLASH] = ACTIONS(453),
    [anon_sym_do] = ACTIONS(455),
    [anon_sym_eval] = ACTIONS(457),
    [anon_sym_await] = ACTIONS(459),
    [anon_sym_field] = ACTIONS(439),
    [anon_sym_local] = ACTIONS(461),
    [anon_sym_dynamically] = ACTIONS(461),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(465),
    [anon_sym_map] = ACTIONS(467),
    [anon_sym_grep] = ACTIONS(467),
    [anon_sym_sort] = ACTIONS(469),
    [anon_sym_goto] = ACTIONS(471),
    [anon_sym_return] = ACTIONS(473),
    [anon_sym_undef] = ACTIONS(475),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(479),
    [anon_sym_next] = ACTIONS(479),
    [anon_sym_redo] = ACTIONS(479),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(481),
    [anon_sym_alarm] = ACTIONS(481),
    [anon_sym_chop] = ACTIONS(481),
    [anon_sym_chdir] = ACTIONS(481),
    [anon_sym_close] = ACTIONS(481),
    [anon_sym_closedir] = ACTIONS(481),
    [anon_sym_caller] = ACTIONS(481),
    [anon_sym_chomp] = ACTIONS(481),
    [anon_sym_chr] = ACTIONS(481),
    [anon_sym_cos] = ACTIONS(481),
    [anon_sym_chroot] = ACTIONS(481),
    [anon_sym_defined] = ACTIONS(481),
    [anon_sym_delete] = ACTIONS(481),
    [anon_sym_dbmclose] = ACTIONS(481),
    [anon_sym_exists] = ACTIONS(481),
    [anon_sym_exit] = ACTIONS(481),
    [anon_sym_eof] = ACTIONS(481),
    [anon_sym_exp] = ACTIONS(481),
    [anon_sym_each] = ACTIONS(481),
    [anon_sym_fc] = ACTIONS(481),
    [anon_sym_fileno] = ACTIONS(481),
    [anon_sym_gmtime] = ACTIONS(481),
    [anon_sym_getc] = ACTIONS(481),
    [anon_sym_getpgrp] = ACTIONS(481),
    [anon_sym_getprotobyname] = ACTIONS(481),
    [anon_sym_getpwname] = ACTIONS(481),
    [anon_sym_getpwuid] = ACTIONS(481),
    [anon_sym_getpeername] = ACTIONS(481),
    [anon_sym_getnetbyname] = ACTIONS(481),
    [anon_sym_getsockname] = ACTIONS(481),
    [anon_sym_getgrnam] = ACTIONS(481),
    [anon_sym_getgrgid] = ACTIONS(481),
    [anon_sym_hex] = ACTIONS(481),
    [anon_sym_int] = ACTIONS(481),
    [anon_sym_keys] = ACTIONS(481),
    [anon_sym_lc] = ACTIONS(481),
    [anon_sym_lcfirst] = ACTIONS(481),
    [anon_sym_length] = ACTIONS(481),
    [anon_sym_localtime] = ACTIONS(481),
    [anon_sym_log] = ACTIONS(481),
    [anon_sym_lock] = ACTIONS(481),
    [anon_sym_lstat] = ACTIONS(481),
    [anon_sym_oct] = ACTIONS(481),
    [anon_sym_ord] = ACTIONS(481),
    [anon_sym_prototype] = ACTIONS(481),
    [anon_sym_pop] = ACTIONS(481),
    [anon_sym_pos] = ACTIONS(481),
    [anon_sym_quotemeta] = ACTIONS(481),
    [anon_sym_reset] = ACTIONS(481),
    [anon_sym_rand] = ACTIONS(481),
    [anon_sym_rmdir] = ACTIONS(481),
    [anon_sym_readdir] = ACTIONS(481),
    [anon_sym_readline] = ACTIONS(481),
    [anon_sym_readpipe] = ACTIONS(481),
    [anon_sym_rewinddir] = ACTIONS(481),
    [anon_sym_readlink] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(481),
    [anon_sym_scalar] = ACTIONS(481),
    [anon_sym_shift] = ACTIONS(481),
    [anon_sym_sin] = ACTIONS(481),
    [anon_sym_sleep] = ACTIONS(481),
    [anon_sym_sqrt] = ACTIONS(481),
    [anon_sym_srand] = ACTIONS(481),
    [anon_sym_stat] = ACTIONS(481),
    [anon_sym_study] = ACTIONS(481),
    [anon_sym_tell] = ACTIONS(481),
    [anon_sym_telldir] = ACTIONS(481),
    [anon_sym_tied] = ACTIONS(481),
    [anon_sym_uc] = ACTIONS(481),
    [anon_sym_ucfirst] = ACTIONS(481),
    [anon_sym_untie] = ACTIONS(481),
    [anon_sym_umask] = ACTIONS(481),
    [anon_sym_values] = ACTIONS(481),
    [anon_sym_write] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(513),
  },
  [461] = {
    [sym__PERLY_BRACE_OPEN] = STATE(237),
    [sym__term_rightward] = STATE(1320),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1448),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(461),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(243),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(243),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(245),
  },
  [462] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__term_rightward] = STATE(1776),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1539),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(462),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [463] = {
    [sym__PERLY_BRACE_OPEN] = STATE(73),
    [sym_block] = STATE(459),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2415),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(463),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(439),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(1786),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(439),
    [anon_sym_our] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(451),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_TILDE] = ACTIONS(451),
    [anon_sym_BANG] = ACTIONS(451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1689),
    [anon_sym_DASH_DASH] = ACTIONS(1689),
    [anon_sym_BSLASH] = ACTIONS(453),
    [anon_sym_do] = ACTIONS(455),
    [anon_sym_eval] = ACTIONS(457),
    [anon_sym_await] = ACTIONS(459),
    [anon_sym_field] = ACTIONS(439),
    [anon_sym_local] = ACTIONS(461),
    [anon_sym_dynamically] = ACTIONS(461),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(465),
    [anon_sym_map] = ACTIONS(467),
    [anon_sym_grep] = ACTIONS(467),
    [anon_sym_sort] = ACTIONS(469),
    [anon_sym_goto] = ACTIONS(471),
    [anon_sym_return] = ACTIONS(473),
    [anon_sym_undef] = ACTIONS(475),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(479),
    [anon_sym_next] = ACTIONS(479),
    [anon_sym_redo] = ACTIONS(479),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(481),
    [anon_sym_alarm] = ACTIONS(481),
    [anon_sym_chop] = ACTIONS(481),
    [anon_sym_chdir] = ACTIONS(481),
    [anon_sym_close] = ACTIONS(481),
    [anon_sym_closedir] = ACTIONS(481),
    [anon_sym_caller] = ACTIONS(481),
    [anon_sym_chomp] = ACTIONS(481),
    [anon_sym_chr] = ACTIONS(481),
    [anon_sym_cos] = ACTIONS(481),
    [anon_sym_chroot] = ACTIONS(481),
    [anon_sym_defined] = ACTIONS(481),
    [anon_sym_delete] = ACTIONS(481),
    [anon_sym_dbmclose] = ACTIONS(481),
    [anon_sym_exists] = ACTIONS(481),
    [anon_sym_exit] = ACTIONS(481),
    [anon_sym_eof] = ACTIONS(481),
    [anon_sym_exp] = ACTIONS(481),
    [anon_sym_each] = ACTIONS(481),
    [anon_sym_fc] = ACTIONS(481),
    [anon_sym_fileno] = ACTIONS(481),
    [anon_sym_gmtime] = ACTIONS(481),
    [anon_sym_getc] = ACTIONS(481),
    [anon_sym_getpgrp] = ACTIONS(481),
    [anon_sym_getprotobyname] = ACTIONS(481),
    [anon_sym_getpwname] = ACTIONS(481),
    [anon_sym_getpwuid] = ACTIONS(481),
    [anon_sym_getpeername] = ACTIONS(481),
    [anon_sym_getnetbyname] = ACTIONS(481),
    [anon_sym_getsockname] = ACTIONS(481),
    [anon_sym_getgrnam] = ACTIONS(481),
    [anon_sym_getgrgid] = ACTIONS(481),
    [anon_sym_hex] = ACTIONS(481),
    [anon_sym_int] = ACTIONS(481),
    [anon_sym_keys] = ACTIONS(481),
    [anon_sym_lc] = ACTIONS(481),
    [anon_sym_lcfirst] = ACTIONS(481),
    [anon_sym_length] = ACTIONS(481),
    [anon_sym_localtime] = ACTIONS(481),
    [anon_sym_log] = ACTIONS(481),
    [anon_sym_lock] = ACTIONS(481),
    [anon_sym_lstat] = ACTIONS(481),
    [anon_sym_oct] = ACTIONS(481),
    [anon_sym_ord] = ACTIONS(481),
    [anon_sym_prototype] = ACTIONS(481),
    [anon_sym_pop] = ACTIONS(481),
    [anon_sym_pos] = ACTIONS(481),
    [anon_sym_quotemeta] = ACTIONS(481),
    [anon_sym_reset] = ACTIONS(481),
    [anon_sym_rand] = ACTIONS(481),
    [anon_sym_rmdir] = ACTIONS(481),
    [anon_sym_readdir] = ACTIONS(481),
    [anon_sym_readline] = ACTIONS(481),
    [anon_sym_readpipe] = ACTIONS(481),
    [anon_sym_rewinddir] = ACTIONS(481),
    [anon_sym_readlink] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(481),
    [anon_sym_scalar] = ACTIONS(481),
    [anon_sym_shift] = ACTIONS(481),
    [anon_sym_sin] = ACTIONS(481),
    [anon_sym_sleep] = ACTIONS(481),
    [anon_sym_sqrt] = ACTIONS(481),
    [anon_sym_srand] = ACTIONS(481),
    [anon_sym_stat] = ACTIONS(481),
    [anon_sym_study] = ACTIONS(481),
    [anon_sym_tell] = ACTIONS(481),
    [anon_sym_telldir] = ACTIONS(481),
    [anon_sym_tied] = ACTIONS(481),
    [anon_sym_uc] = ACTIONS(481),
    [anon_sym_ucfirst] = ACTIONS(481),
    [anon_sym_untie] = ACTIONS(481),
    [anon_sym_umask] = ACTIONS(481),
    [anon_sym_values] = ACTIONS(481),
    [anon_sym_write] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(513),
  },
  [464] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__term_rightward] = STATE(4104),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2116),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(464),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(439),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(439),
    [anon_sym_our] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(451),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_TILDE] = ACTIONS(451),
    [anon_sym_BANG] = ACTIONS(451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1689),
    [anon_sym_DASH_DASH] = ACTIONS(1689),
    [anon_sym_BSLASH] = ACTIONS(453),
    [anon_sym_do] = ACTIONS(455),
    [anon_sym_eval] = ACTIONS(457),
    [anon_sym_await] = ACTIONS(459),
    [anon_sym_field] = ACTIONS(439),
    [anon_sym_local] = ACTIONS(461),
    [anon_sym_dynamically] = ACTIONS(461),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(465),
    [anon_sym_map] = ACTIONS(467),
    [anon_sym_grep] = ACTIONS(467),
    [anon_sym_sort] = ACTIONS(469),
    [anon_sym_goto] = ACTIONS(471),
    [anon_sym_return] = ACTIONS(473),
    [anon_sym_undef] = ACTIONS(475),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(479),
    [anon_sym_next] = ACTIONS(479),
    [anon_sym_redo] = ACTIONS(479),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(481),
    [anon_sym_alarm] = ACTIONS(481),
    [anon_sym_chop] = ACTIONS(481),
    [anon_sym_chdir] = ACTIONS(481),
    [anon_sym_close] = ACTIONS(481),
    [anon_sym_closedir] = ACTIONS(481),
    [anon_sym_caller] = ACTIONS(481),
    [anon_sym_chomp] = ACTIONS(481),
    [anon_sym_chr] = ACTIONS(481),
    [anon_sym_cos] = ACTIONS(481),
    [anon_sym_chroot] = ACTIONS(481),
    [anon_sym_defined] = ACTIONS(481),
    [anon_sym_delete] = ACTIONS(481),
    [anon_sym_dbmclose] = ACTIONS(481),
    [anon_sym_exists] = ACTIONS(481),
    [anon_sym_exit] = ACTIONS(481),
    [anon_sym_eof] = ACTIONS(481),
    [anon_sym_exp] = ACTIONS(481),
    [anon_sym_each] = ACTIONS(481),
    [anon_sym_fc] = ACTIONS(481),
    [anon_sym_fileno] = ACTIONS(481),
    [anon_sym_gmtime] = ACTIONS(481),
    [anon_sym_getc] = ACTIONS(481),
    [anon_sym_getpgrp] = ACTIONS(481),
    [anon_sym_getprotobyname] = ACTIONS(481),
    [anon_sym_getpwname] = ACTIONS(481),
    [anon_sym_getpwuid] = ACTIONS(481),
    [anon_sym_getpeername] = ACTIONS(481),
    [anon_sym_getnetbyname] = ACTIONS(481),
    [anon_sym_getsockname] = ACTIONS(481),
    [anon_sym_getgrnam] = ACTIONS(481),
    [anon_sym_getgrgid] = ACTIONS(481),
    [anon_sym_hex] = ACTIONS(481),
    [anon_sym_int] = ACTIONS(481),
    [anon_sym_keys] = ACTIONS(481),
    [anon_sym_lc] = ACTIONS(481),
    [anon_sym_lcfirst] = ACTIONS(481),
    [anon_sym_length] = ACTIONS(481),
    [anon_sym_localtime] = ACTIONS(481),
    [anon_sym_log] = ACTIONS(481),
    [anon_sym_lock] = ACTIONS(481),
    [anon_sym_lstat] = ACTIONS(481),
    [anon_sym_oct] = ACTIONS(481),
    [anon_sym_ord] = ACTIONS(481),
    [anon_sym_prototype] = ACTIONS(481),
    [anon_sym_pop] = ACTIONS(481),
    [anon_sym_pos] = ACTIONS(481),
    [anon_sym_quotemeta] = ACTIONS(481),
    [anon_sym_reset] = ACTIONS(481),
    [anon_sym_rand] = ACTIONS(481),
    [anon_sym_rmdir] = ACTIONS(481),
    [anon_sym_readdir] = ACTIONS(481),
    [anon_sym_readline] = ACTIONS(481),
    [anon_sym_readpipe] = ACTIONS(481),
    [anon_sym_rewinddir] = ACTIONS(481),
    [anon_sym_readlink] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(481),
    [anon_sym_scalar] = ACTIONS(481),
    [anon_sym_shift] = ACTIONS(481),
    [anon_sym_sin] = ACTIONS(481),
    [anon_sym_sleep] = ACTIONS(481),
    [anon_sym_sqrt] = ACTIONS(481),
    [anon_sym_srand] = ACTIONS(481),
    [anon_sym_stat] = ACTIONS(481),
    [anon_sym_study] = ACTIONS(481),
    [anon_sym_tell] = ACTIONS(481),
    [anon_sym_telldir] = ACTIONS(481),
    [anon_sym_tied] = ACTIONS(481),
    [anon_sym_uc] = ACTIONS(481),
    [anon_sym_ucfirst] = ACTIONS(481),
    [anon_sym_untie] = ACTIONS(481),
    [anon_sym_umask] = ACTIONS(481),
    [anon_sym_values] = ACTIONS(481),
    [anon_sym_write] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(513),
  },
  [465] = {
    [sym__PERLY_BRACE_OPEN] = STATE(81),
    [sym_block] = STATE(1357),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1358),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(465),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [466] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__term_rightward] = STATE(1765),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1539),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(466),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [467] = {
    [sym__PERLY_BRACE_OPEN] = STATE(73),
    [sym_block] = STATE(514),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2411),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(467),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(439),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(439),
    [anon_sym_our] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(451),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_TILDE] = ACTIONS(451),
    [anon_sym_BANG] = ACTIONS(451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1689),
    [anon_sym_DASH_DASH] = ACTIONS(1689),
    [anon_sym_BSLASH] = ACTIONS(453),
    [anon_sym_do] = ACTIONS(455),
    [anon_sym_eval] = ACTIONS(457),
    [anon_sym_await] = ACTIONS(459),
    [anon_sym_field] = ACTIONS(439),
    [anon_sym_local] = ACTIONS(461),
    [anon_sym_dynamically] = ACTIONS(461),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(465),
    [anon_sym_map] = ACTIONS(467),
    [anon_sym_grep] = ACTIONS(467),
    [anon_sym_sort] = ACTIONS(469),
    [anon_sym_goto] = ACTIONS(471),
    [anon_sym_return] = ACTIONS(473),
    [anon_sym_undef] = ACTIONS(475),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(479),
    [anon_sym_next] = ACTIONS(479),
    [anon_sym_redo] = ACTIONS(479),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(481),
    [anon_sym_alarm] = ACTIONS(481),
    [anon_sym_chop] = ACTIONS(481),
    [anon_sym_chdir] = ACTIONS(481),
    [anon_sym_close] = ACTIONS(481),
    [anon_sym_closedir] = ACTIONS(481),
    [anon_sym_caller] = ACTIONS(481),
    [anon_sym_chomp] = ACTIONS(481),
    [anon_sym_chr] = ACTIONS(481),
    [anon_sym_cos] = ACTIONS(481),
    [anon_sym_chroot] = ACTIONS(481),
    [anon_sym_defined] = ACTIONS(481),
    [anon_sym_delete] = ACTIONS(481),
    [anon_sym_dbmclose] = ACTIONS(481),
    [anon_sym_exists] = ACTIONS(481),
    [anon_sym_exit] = ACTIONS(481),
    [anon_sym_eof] = ACTIONS(481),
    [anon_sym_exp] = ACTIONS(481),
    [anon_sym_each] = ACTIONS(481),
    [anon_sym_fc] = ACTIONS(481),
    [anon_sym_fileno] = ACTIONS(481),
    [anon_sym_gmtime] = ACTIONS(481),
    [anon_sym_getc] = ACTIONS(481),
    [anon_sym_getpgrp] = ACTIONS(481),
    [anon_sym_getprotobyname] = ACTIONS(481),
    [anon_sym_getpwname] = ACTIONS(481),
    [anon_sym_getpwuid] = ACTIONS(481),
    [anon_sym_getpeername] = ACTIONS(481),
    [anon_sym_getnetbyname] = ACTIONS(481),
    [anon_sym_getsockname] = ACTIONS(481),
    [anon_sym_getgrnam] = ACTIONS(481),
    [anon_sym_getgrgid] = ACTIONS(481),
    [anon_sym_hex] = ACTIONS(481),
    [anon_sym_int] = ACTIONS(481),
    [anon_sym_keys] = ACTIONS(481),
    [anon_sym_lc] = ACTIONS(481),
    [anon_sym_lcfirst] = ACTIONS(481),
    [anon_sym_length] = ACTIONS(481),
    [anon_sym_localtime] = ACTIONS(481),
    [anon_sym_log] = ACTIONS(481),
    [anon_sym_lock] = ACTIONS(481),
    [anon_sym_lstat] = ACTIONS(481),
    [anon_sym_oct] = ACTIONS(481),
    [anon_sym_ord] = ACTIONS(481),
    [anon_sym_prototype] = ACTIONS(481),
    [anon_sym_pop] = ACTIONS(481),
    [anon_sym_pos] = ACTIONS(481),
    [anon_sym_quotemeta] = ACTIONS(481),
    [anon_sym_reset] = ACTIONS(481),
    [anon_sym_rand] = ACTIONS(481),
    [anon_sym_rmdir] = ACTIONS(481),
    [anon_sym_readdir] = ACTIONS(481),
    [anon_sym_readline] = ACTIONS(481),
    [anon_sym_readpipe] = ACTIONS(481),
    [anon_sym_rewinddir] = ACTIONS(481),
    [anon_sym_readlink] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(481),
    [anon_sym_scalar] = ACTIONS(481),
    [anon_sym_shift] = ACTIONS(481),
    [anon_sym_sin] = ACTIONS(481),
    [anon_sym_sleep] = ACTIONS(481),
    [anon_sym_sqrt] = ACTIONS(481),
    [anon_sym_srand] = ACTIONS(481),
    [anon_sym_stat] = ACTIONS(481),
    [anon_sym_study] = ACTIONS(481),
    [anon_sym_tell] = ACTIONS(481),
    [anon_sym_telldir] = ACTIONS(481),
    [anon_sym_tied] = ACTIONS(481),
    [anon_sym_uc] = ACTIONS(481),
    [anon_sym_ucfirst] = ACTIONS(481),
    [anon_sym_untie] = ACTIONS(481),
    [anon_sym_umask] = ACTIONS(481),
    [anon_sym_values] = ACTIONS(481),
    [anon_sym_write] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(513),
  },
  [468] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__term_rightward] = STATE(1700),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1539),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(468),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [469] = {
    [sym__PERLY_BRACE_OPEN] = STATE(237),
    [sym__term_rightward] = STATE(1317),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1448),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(469),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(243),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(243),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(245),
  },
  [470] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1660),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(470),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__NONASSOC] = ACTIONS(1788),
  },
  [471] = {
    [sym__PERLY_BRACE_OPEN] = STATE(238),
    [sym__term_rightward] = STATE(2325),
    [sym__subscripted] = STATE(1915),
    [sym_container_variable] = STATE(3851),
    [sym_array_element_expression] = STATE(1916),
    [sym_hash_element_expression] = STATE(1916),
    [sym_coderef_call_expression] = STATE(1916),
    [sym_anonymous_slice_expression] = STATE(1916),
    [sym_slice_container_variable] = STATE(3852),
    [sym_slice_expression] = STATE(2342),
    [sym_keyval_container_variable] = STATE(3853),
    [sym_keyval_expression] = STATE(2342),
    [sym__term] = STATE(2058),
    [sym_readline_expression] = STATE(2342),
    [sym_fileglob_expression] = STATE(2342),
    [sym_assignment_expression] = STATE(2342),
    [sym_binary_expression] = STATE(2342),
    [sym_equality_expression] = STATE(2342),
    [sym_relational_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2342),
    [sym_preinc_expression] = STATE(2342),
    [sym_postinc_expression] = STATE(2342),
    [sym_conditional_expression] = STATE(2342),
    [sym_refgen_expression] = STATE(2342),
    [sym_anonymous_array_expression] = STATE(2342),
    [sym_anonymous_hash_expression] = STATE(2342),
    [sym_anonymous_subroutine_expression] = STATE(2342),
    [sym_anonymous_method_expression] = STATE(2342),
    [sym_do_expression] = STATE(2342),
    [sym_eval_expression] = STATE(2342),
    [sym_await_expression] = STATE(2342),
    [sym_variable_declaration] = STATE(2342),
    [sym_localization_expression] = STATE(2342),
    [sym_stub_expression] = STATE(2342),
    [sym_scalar_deref_expression] = STATE(2342),
    [sym_array_deref_expression] = STATE(2342),
    [sym_arraylen_deref_expression] = STATE(2342),
    [sym_hash_deref_expression] = STATE(2342),
    [sym_amper_deref_expression] = STATE(2342),
    [sym_glob_deref_expression] = STATE(2342),
    [sym_require_expression] = STATE(2342),
    [sym_require_version_expression] = STATE(2342),
    [sym_func0op_call_expression] = STATE(2342),
    [sym_func1op_call_expression] = STATE(2342),
    [sym_map_grep_expression] = STATE(2342),
    [sym_sort_expression] = STATE(2342),
    [sym_loopex_expression] = STATE(2342),
    [sym_goto_expression] = STATE(2342),
    [sym_return_expression] = STATE(2342),
    [sym_undef_expression] = STATE(2342),
    [sym__listop] = STATE(2342),
    [sym_function_call_expression] = STATE(2343),
    [sym_ambiguous_function_call_expression] = STATE(2343),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(2343),
    [sym_scalar] = STATE(2342),
    [sym_array] = STATE(2342),
    [sym__SUB_AMPER] = STATE(2739),
    [sym__GLOB_STAR] = STATE(2741),
    [sym_hash] = STATE(2342),
    [sym_arraylen] = STATE(2342),
    [sym_amper_sub] = STATE(2181),
    [sym_glob] = STATE(2183),
    [sym_glob_slot_expression] = STATE(2342),
    [sym__literal] = STATE(2342),
    [sym__apostrophe] = STATE(3277),
    [sym__quotation_mark] = STATE(2481),
    [sym__backtick] = STATE(2482),
    [sym__search_slash] = STATE(2447),
    [sym_string_literal] = STATE(2353),
    [sym_interpolated_string_literal] = STATE(2353),
    [sym_quoted_word_list] = STATE(2193),
    [sym_command_string] = STATE(2353),
    [sym_quoted_regexp] = STATE(2353),
    [sym_match_regexp] = STATE(2353),
    [sym_substitution_regexp] = STATE(2353),
    [sym_transliteration_expression] = STATE(2353),
    [sym_heredoc_token] = STATE(2342),
    [sym_command_heredoc_token] = STATE(2342),
    [sym_heredoc_content] = STATE(471),
    [sym_autoquoted_bareword] = STATE(2342),
    [sym_bareword] = STATE(2342),
    [sym_primitive] = STATE(2342),
    [sym_boolean] = STATE(2323),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3366),
    [sym__identifier] = ACTIONS(1072),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1008),
    [anon_sym_AT] = ACTIONS(1010),
    [anon_sym_my] = ACTIONS(1012),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(1014),
    [anon_sym_method] = ACTIONS(1016),
    [anon_sym_LPAREN] = ACTIONS(1018),
    [anon_sym_continue] = ACTIONS(1020),
    [anon_sym_state] = ACTIONS(1012),
    [anon_sym_our] = ACTIONS(1012),
    [anon_sym_LBRACK] = ACTIONS(1022),
    [anon_sym_LT_LT] = ACTIONS(1523),
    [anon_sym_SLASH_SLASH] = ACTIONS(1525),
    [anon_sym_PLUS] = ACTIONS(1024),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_TILDE] = ACTIONS(1024),
    [anon_sym_BANG] = ACTIONS(1024),
    [anon_sym_PLUS_PLUS] = ACTIONS(1529),
    [anon_sym_DASH_DASH] = ACTIONS(1529),
    [anon_sym_BSLASH] = ACTIONS(1026),
    [anon_sym_do] = ACTIONS(1028),
    [anon_sym_eval] = ACTIONS(1030),
    [anon_sym_await] = ACTIONS(1032),
    [anon_sym_field] = ACTIONS(1012),
    [anon_sym_local] = ACTIONS(1034),
    [anon_sym_dynamically] = ACTIONS(1034),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1036),
    [anon_sym_require] = ACTIONS(1038),
    [anon_sym_map] = ACTIONS(1040),
    [anon_sym_grep] = ACTIONS(1040),
    [anon_sym_sort] = ACTIONS(1042),
    [anon_sym_goto] = ACTIONS(1044),
    [anon_sym_return] = ACTIONS(1046),
    [anon_sym_undef] = ACTIONS(1048),
    [anon_sym_PERCENT2] = ACTIONS(1050),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1052),
    [anon_sym_next] = ACTIONS(1052),
    [anon_sym_redo] = ACTIONS(1052),
    [anon_sym___FILE__] = ACTIONS(1020),
    [anon_sym___LINE__] = ACTIONS(1020),
    [anon_sym___PACKAGE__] = ACTIONS(1020),
    [anon_sym___SUB__] = ACTIONS(1020),
    [anon_sym_break] = ACTIONS(1020),
    [anon_sym_fork] = ACTIONS(1020),
    [anon_sym_getppid] = ACTIONS(1020),
    [anon_sym_time] = ACTIONS(1020),
    [anon_sym_times] = ACTIONS(1020),
    [anon_sym_wait] = ACTIONS(1020),
    [anon_sym_wantarray] = ACTIONS(1020),
    [anon_sym_abs] = ACTIONS(1054),
    [anon_sym_alarm] = ACTIONS(1054),
    [anon_sym_chop] = ACTIONS(1054),
    [anon_sym_chdir] = ACTIONS(1054),
    [anon_sym_close] = ACTIONS(1054),
    [anon_sym_closedir] = ACTIONS(1054),
    [anon_sym_caller] = ACTIONS(1054),
    [anon_sym_chomp] = ACTIONS(1054),
    [anon_sym_chr] = ACTIONS(1054),
    [anon_sym_cos] = ACTIONS(1054),
    [anon_sym_chroot] = ACTIONS(1054),
    [anon_sym_defined] = ACTIONS(1054),
    [anon_sym_delete] = ACTIONS(1054),
    [anon_sym_dbmclose] = ACTIONS(1054),
    [anon_sym_exists] = ACTIONS(1054),
    [anon_sym_exit] = ACTIONS(1054),
    [anon_sym_eof] = ACTIONS(1054),
    [anon_sym_exp] = ACTIONS(1054),
    [anon_sym_each] = ACTIONS(1054),
    [anon_sym_fc] = ACTIONS(1054),
    [anon_sym_fileno] = ACTIONS(1054),
    [anon_sym_gmtime] = ACTIONS(1054),
    [anon_sym_getc] = ACTIONS(1054),
    [anon_sym_getpgrp] = ACTIONS(1054),
    [anon_sym_getprotobyname] = ACTIONS(1054),
    [anon_sym_getpwname] = ACTIONS(1054),
    [anon_sym_getpwuid] = ACTIONS(1054),
    [anon_sym_getpeername] = ACTIONS(1054),
    [anon_sym_getnetbyname] = ACTIONS(1054),
    [anon_sym_getsockname] = ACTIONS(1054),
    [anon_sym_getgrnam] = ACTIONS(1054),
    [anon_sym_getgrgid] = ACTIONS(1054),
    [anon_sym_hex] = ACTIONS(1054),
    [anon_sym_int] = ACTIONS(1054),
    [anon_sym_keys] = ACTIONS(1054),
    [anon_sym_lc] = ACTIONS(1054),
    [anon_sym_lcfirst] = ACTIONS(1054),
    [anon_sym_length] = ACTIONS(1054),
    [anon_sym_localtime] = ACTIONS(1054),
    [anon_sym_log] = ACTIONS(1054),
    [anon_sym_lock] = ACTIONS(1054),
    [anon_sym_lstat] = ACTIONS(1054),
    [anon_sym_oct] = ACTIONS(1054),
    [anon_sym_ord] = ACTIONS(1054),
    [anon_sym_prototype] = ACTIONS(1054),
    [anon_sym_pop] = ACTIONS(1054),
    [anon_sym_pos] = ACTIONS(1054),
    [anon_sym_quotemeta] = ACTIONS(1054),
    [anon_sym_reset] = ACTIONS(1054),
    [anon_sym_rand] = ACTIONS(1054),
    [anon_sym_rmdir] = ACTIONS(1054),
    [anon_sym_readdir] = ACTIONS(1054),
    [anon_sym_readline] = ACTIONS(1054),
    [anon_sym_readpipe] = ACTIONS(1054),
    [anon_sym_rewinddir] = ACTIONS(1054),
    [anon_sym_readlink] = ACTIONS(1054),
    [anon_sym_ref] = ACTIONS(1054),
    [anon_sym_scalar] = ACTIONS(1054),
    [anon_sym_shift] = ACTIONS(1054),
    [anon_sym_sin] = ACTIONS(1054),
    [anon_sym_sleep] = ACTIONS(1054),
    [anon_sym_sqrt] = ACTIONS(1054),
    [anon_sym_srand] = ACTIONS(1054),
    [anon_sym_stat] = ACTIONS(1054),
    [anon_sym_study] = ACTIONS(1054),
    [anon_sym_tell] = ACTIONS(1054),
    [anon_sym_telldir] = ACTIONS(1054),
    [anon_sym_tied] = ACTIONS(1054),
    [anon_sym_uc] = ACTIONS(1054),
    [anon_sym_ucfirst] = ACTIONS(1054),
    [anon_sym_untie] = ACTIONS(1054),
    [anon_sym_umask] = ACTIONS(1054),
    [anon_sym_values] = ACTIONS(1054),
    [anon_sym_write] = ACTIONS(1054),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1056),
    [anon_sym_qq] = ACTIONS(1058),
    [anon_sym_qw] = ACTIONS(1060),
    [anon_sym_qx] = ACTIONS(1062),
    [anon_sym_qr] = ACTIONS(1064),
    [anon_sym_m] = ACTIONS(1066),
    [anon_sym_s] = ACTIONS(1068),
    [anon_sym_tr] = ACTIONS(1070),
    [anon_sym_y] = ACTIONS(1070),
    [aux_sym__bareword_token1] = ACTIONS(1072),
    [sym_number] = ACTIONS(1074),
    [anon_sym_true] = ACTIONS(1076),
    [anon_sym_false] = ACTIONS(1076),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(1078),
    [sym__open_fileglob_bracket] = ACTIONS(1080),
    [sym__PERLY_HEREDOC] = ACTIONS(1082),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1084),
    [sym__filetest] = ACTIONS(1086),
  },
  [472] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1626),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(472),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__NONASSOC] = ACTIONS(1790),
  },
  [473] = {
    [sym__PERLY_BRACE_OPEN] = STATE(238),
    [sym__term_rightward] = STATE(2355),
    [sym__subscripted] = STATE(1915),
    [sym_container_variable] = STATE(3851),
    [sym_array_element_expression] = STATE(1916),
    [sym_hash_element_expression] = STATE(1916),
    [sym_coderef_call_expression] = STATE(1916),
    [sym_anonymous_slice_expression] = STATE(1916),
    [sym_slice_container_variable] = STATE(3852),
    [sym_slice_expression] = STATE(2342),
    [sym_keyval_container_variable] = STATE(3853),
    [sym_keyval_expression] = STATE(2342),
    [sym__term] = STATE(2058),
    [sym_readline_expression] = STATE(2342),
    [sym_fileglob_expression] = STATE(2342),
    [sym_assignment_expression] = STATE(2342),
    [sym_binary_expression] = STATE(2342),
    [sym_equality_expression] = STATE(2342),
    [sym_relational_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2342),
    [sym_preinc_expression] = STATE(2342),
    [sym_postinc_expression] = STATE(2342),
    [sym_conditional_expression] = STATE(2342),
    [sym_refgen_expression] = STATE(2342),
    [sym_anonymous_array_expression] = STATE(2342),
    [sym_anonymous_hash_expression] = STATE(2342),
    [sym_anonymous_subroutine_expression] = STATE(2342),
    [sym_anonymous_method_expression] = STATE(2342),
    [sym_do_expression] = STATE(2342),
    [sym_eval_expression] = STATE(2342),
    [sym_await_expression] = STATE(2342),
    [sym_variable_declaration] = STATE(2342),
    [sym_localization_expression] = STATE(2342),
    [sym_stub_expression] = STATE(2342),
    [sym_scalar_deref_expression] = STATE(2342),
    [sym_array_deref_expression] = STATE(2342),
    [sym_arraylen_deref_expression] = STATE(2342),
    [sym_hash_deref_expression] = STATE(2342),
    [sym_amper_deref_expression] = STATE(2342),
    [sym_glob_deref_expression] = STATE(2342),
    [sym_require_expression] = STATE(2342),
    [sym_require_version_expression] = STATE(2342),
    [sym_func0op_call_expression] = STATE(2342),
    [sym_func1op_call_expression] = STATE(2342),
    [sym_map_grep_expression] = STATE(2342),
    [sym_sort_expression] = STATE(2342),
    [sym_loopex_expression] = STATE(2342),
    [sym_goto_expression] = STATE(2342),
    [sym_return_expression] = STATE(2342),
    [sym_undef_expression] = STATE(2342),
    [sym__listop] = STATE(2342),
    [sym_function_call_expression] = STATE(2343),
    [sym_ambiguous_function_call_expression] = STATE(2343),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(2343),
    [sym_scalar] = STATE(2342),
    [sym_array] = STATE(2342),
    [sym__SUB_AMPER] = STATE(2739),
    [sym__GLOB_STAR] = STATE(2741),
    [sym_hash] = STATE(2342),
    [sym_arraylen] = STATE(2342),
    [sym_amper_sub] = STATE(2181),
    [sym_glob] = STATE(2183),
    [sym_glob_slot_expression] = STATE(2342),
    [sym__literal] = STATE(2342),
    [sym__apostrophe] = STATE(3277),
    [sym__quotation_mark] = STATE(2481),
    [sym__backtick] = STATE(2482),
    [sym__search_slash] = STATE(2447),
    [sym_string_literal] = STATE(2353),
    [sym_interpolated_string_literal] = STATE(2353),
    [sym_quoted_word_list] = STATE(2193),
    [sym_command_string] = STATE(2353),
    [sym_quoted_regexp] = STATE(2353),
    [sym_match_regexp] = STATE(2353),
    [sym_substitution_regexp] = STATE(2353),
    [sym_transliteration_expression] = STATE(2353),
    [sym_heredoc_token] = STATE(2342),
    [sym_command_heredoc_token] = STATE(2342),
    [sym_heredoc_content] = STATE(473),
    [sym_autoquoted_bareword] = STATE(2342),
    [sym_bareword] = STATE(2342),
    [sym_primitive] = STATE(2342),
    [sym_boolean] = STATE(2323),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3366),
    [sym__identifier] = ACTIONS(1072),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1008),
    [anon_sym_AT] = ACTIONS(1010),
    [anon_sym_my] = ACTIONS(1012),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(1014),
    [anon_sym_method] = ACTIONS(1016),
    [anon_sym_LPAREN] = ACTIONS(1018),
    [anon_sym_continue] = ACTIONS(1020),
    [anon_sym_state] = ACTIONS(1012),
    [anon_sym_our] = ACTIONS(1012),
    [anon_sym_LBRACK] = ACTIONS(1022),
    [anon_sym_LT_LT] = ACTIONS(1523),
    [anon_sym_SLASH_SLASH] = ACTIONS(1525),
    [anon_sym_PLUS] = ACTIONS(1024),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_TILDE] = ACTIONS(1024),
    [anon_sym_BANG] = ACTIONS(1024),
    [anon_sym_PLUS_PLUS] = ACTIONS(1529),
    [anon_sym_DASH_DASH] = ACTIONS(1529),
    [anon_sym_BSLASH] = ACTIONS(1026),
    [anon_sym_do] = ACTIONS(1028),
    [anon_sym_eval] = ACTIONS(1030),
    [anon_sym_await] = ACTIONS(1032),
    [anon_sym_field] = ACTIONS(1012),
    [anon_sym_local] = ACTIONS(1034),
    [anon_sym_dynamically] = ACTIONS(1034),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1036),
    [anon_sym_require] = ACTIONS(1038),
    [anon_sym_map] = ACTIONS(1040),
    [anon_sym_grep] = ACTIONS(1040),
    [anon_sym_sort] = ACTIONS(1042),
    [anon_sym_goto] = ACTIONS(1044),
    [anon_sym_return] = ACTIONS(1046),
    [anon_sym_undef] = ACTIONS(1048),
    [anon_sym_PERCENT2] = ACTIONS(1050),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1052),
    [anon_sym_next] = ACTIONS(1052),
    [anon_sym_redo] = ACTIONS(1052),
    [anon_sym___FILE__] = ACTIONS(1020),
    [anon_sym___LINE__] = ACTIONS(1020),
    [anon_sym___PACKAGE__] = ACTIONS(1020),
    [anon_sym___SUB__] = ACTIONS(1020),
    [anon_sym_break] = ACTIONS(1020),
    [anon_sym_fork] = ACTIONS(1020),
    [anon_sym_getppid] = ACTIONS(1020),
    [anon_sym_time] = ACTIONS(1020),
    [anon_sym_times] = ACTIONS(1020),
    [anon_sym_wait] = ACTIONS(1020),
    [anon_sym_wantarray] = ACTIONS(1020),
    [anon_sym_abs] = ACTIONS(1054),
    [anon_sym_alarm] = ACTIONS(1054),
    [anon_sym_chop] = ACTIONS(1054),
    [anon_sym_chdir] = ACTIONS(1054),
    [anon_sym_close] = ACTIONS(1054),
    [anon_sym_closedir] = ACTIONS(1054),
    [anon_sym_caller] = ACTIONS(1054),
    [anon_sym_chomp] = ACTIONS(1054),
    [anon_sym_chr] = ACTIONS(1054),
    [anon_sym_cos] = ACTIONS(1054),
    [anon_sym_chroot] = ACTIONS(1054),
    [anon_sym_defined] = ACTIONS(1054),
    [anon_sym_delete] = ACTIONS(1054),
    [anon_sym_dbmclose] = ACTIONS(1054),
    [anon_sym_exists] = ACTIONS(1054),
    [anon_sym_exit] = ACTIONS(1054),
    [anon_sym_eof] = ACTIONS(1054),
    [anon_sym_exp] = ACTIONS(1054),
    [anon_sym_each] = ACTIONS(1054),
    [anon_sym_fc] = ACTIONS(1054),
    [anon_sym_fileno] = ACTIONS(1054),
    [anon_sym_gmtime] = ACTIONS(1054),
    [anon_sym_getc] = ACTIONS(1054),
    [anon_sym_getpgrp] = ACTIONS(1054),
    [anon_sym_getprotobyname] = ACTIONS(1054),
    [anon_sym_getpwname] = ACTIONS(1054),
    [anon_sym_getpwuid] = ACTIONS(1054),
    [anon_sym_getpeername] = ACTIONS(1054),
    [anon_sym_getnetbyname] = ACTIONS(1054),
    [anon_sym_getsockname] = ACTIONS(1054),
    [anon_sym_getgrnam] = ACTIONS(1054),
    [anon_sym_getgrgid] = ACTIONS(1054),
    [anon_sym_hex] = ACTIONS(1054),
    [anon_sym_int] = ACTIONS(1054),
    [anon_sym_keys] = ACTIONS(1054),
    [anon_sym_lc] = ACTIONS(1054),
    [anon_sym_lcfirst] = ACTIONS(1054),
    [anon_sym_length] = ACTIONS(1054),
    [anon_sym_localtime] = ACTIONS(1054),
    [anon_sym_log] = ACTIONS(1054),
    [anon_sym_lock] = ACTIONS(1054),
    [anon_sym_lstat] = ACTIONS(1054),
    [anon_sym_oct] = ACTIONS(1054),
    [anon_sym_ord] = ACTIONS(1054),
    [anon_sym_prototype] = ACTIONS(1054),
    [anon_sym_pop] = ACTIONS(1054),
    [anon_sym_pos] = ACTIONS(1054),
    [anon_sym_quotemeta] = ACTIONS(1054),
    [anon_sym_reset] = ACTIONS(1054),
    [anon_sym_rand] = ACTIONS(1054),
    [anon_sym_rmdir] = ACTIONS(1054),
    [anon_sym_readdir] = ACTIONS(1054),
    [anon_sym_readline] = ACTIONS(1054),
    [anon_sym_readpipe] = ACTIONS(1054),
    [anon_sym_rewinddir] = ACTIONS(1054),
    [anon_sym_readlink] = ACTIONS(1054),
    [anon_sym_ref] = ACTIONS(1054),
    [anon_sym_scalar] = ACTIONS(1054),
    [anon_sym_shift] = ACTIONS(1054),
    [anon_sym_sin] = ACTIONS(1054),
    [anon_sym_sleep] = ACTIONS(1054),
    [anon_sym_sqrt] = ACTIONS(1054),
    [anon_sym_srand] = ACTIONS(1054),
    [anon_sym_stat] = ACTIONS(1054),
    [anon_sym_study] = ACTIONS(1054),
    [anon_sym_tell] = ACTIONS(1054),
    [anon_sym_telldir] = ACTIONS(1054),
    [anon_sym_tied] = ACTIONS(1054),
    [anon_sym_uc] = ACTIONS(1054),
    [anon_sym_ucfirst] = ACTIONS(1054),
    [anon_sym_untie] = ACTIONS(1054),
    [anon_sym_umask] = ACTIONS(1054),
    [anon_sym_values] = ACTIONS(1054),
    [anon_sym_write] = ACTIONS(1054),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1056),
    [anon_sym_qq] = ACTIONS(1058),
    [anon_sym_qw] = ACTIONS(1060),
    [anon_sym_qx] = ACTIONS(1062),
    [anon_sym_qr] = ACTIONS(1064),
    [anon_sym_m] = ACTIONS(1066),
    [anon_sym_s] = ACTIONS(1068),
    [anon_sym_tr] = ACTIONS(1070),
    [anon_sym_y] = ACTIONS(1070),
    [aux_sym__bareword_token1] = ACTIONS(1072),
    [sym_number] = ACTIONS(1074),
    [anon_sym_true] = ACTIONS(1076),
    [anon_sym_false] = ACTIONS(1076),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(1078),
    [sym__open_fileglob_bracket] = ACTIONS(1080),
    [sym__PERLY_HEREDOC] = ACTIONS(1082),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1084),
    [sym__filetest] = ACTIONS(1086),
  },
  [474] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1742),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(474),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__NONASSOC] = ACTIONS(1792),
  },
  [475] = {
    [sym__PERLY_BRACE_OPEN] = STATE(74),
    [sym_block] = STATE(2176),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2332),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(475),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(439),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(439),
    [anon_sym_our] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(451),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_TILDE] = ACTIONS(451),
    [anon_sym_BANG] = ACTIONS(451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1689),
    [anon_sym_DASH_DASH] = ACTIONS(1689),
    [anon_sym_BSLASH] = ACTIONS(453),
    [anon_sym_do] = ACTIONS(455),
    [anon_sym_eval] = ACTIONS(457),
    [anon_sym_await] = ACTIONS(459),
    [anon_sym_field] = ACTIONS(439),
    [anon_sym_local] = ACTIONS(461),
    [anon_sym_dynamically] = ACTIONS(461),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(465),
    [anon_sym_map] = ACTIONS(467),
    [anon_sym_grep] = ACTIONS(467),
    [anon_sym_sort] = ACTIONS(469),
    [anon_sym_goto] = ACTIONS(471),
    [anon_sym_return] = ACTIONS(473),
    [anon_sym_undef] = ACTIONS(475),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(479),
    [anon_sym_next] = ACTIONS(479),
    [anon_sym_redo] = ACTIONS(479),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(481),
    [anon_sym_alarm] = ACTIONS(481),
    [anon_sym_chop] = ACTIONS(481),
    [anon_sym_chdir] = ACTIONS(481),
    [anon_sym_close] = ACTIONS(481),
    [anon_sym_closedir] = ACTIONS(481),
    [anon_sym_caller] = ACTIONS(481),
    [anon_sym_chomp] = ACTIONS(481),
    [anon_sym_chr] = ACTIONS(481),
    [anon_sym_cos] = ACTIONS(481),
    [anon_sym_chroot] = ACTIONS(481),
    [anon_sym_defined] = ACTIONS(481),
    [anon_sym_delete] = ACTIONS(481),
    [anon_sym_dbmclose] = ACTIONS(481),
    [anon_sym_exists] = ACTIONS(481),
    [anon_sym_exit] = ACTIONS(481),
    [anon_sym_eof] = ACTIONS(481),
    [anon_sym_exp] = ACTIONS(481),
    [anon_sym_each] = ACTIONS(481),
    [anon_sym_fc] = ACTIONS(481),
    [anon_sym_fileno] = ACTIONS(481),
    [anon_sym_gmtime] = ACTIONS(481),
    [anon_sym_getc] = ACTIONS(481),
    [anon_sym_getpgrp] = ACTIONS(481),
    [anon_sym_getprotobyname] = ACTIONS(481),
    [anon_sym_getpwname] = ACTIONS(481),
    [anon_sym_getpwuid] = ACTIONS(481),
    [anon_sym_getpeername] = ACTIONS(481),
    [anon_sym_getnetbyname] = ACTIONS(481),
    [anon_sym_getsockname] = ACTIONS(481),
    [anon_sym_getgrnam] = ACTIONS(481),
    [anon_sym_getgrgid] = ACTIONS(481),
    [anon_sym_hex] = ACTIONS(481),
    [anon_sym_int] = ACTIONS(481),
    [anon_sym_keys] = ACTIONS(481),
    [anon_sym_lc] = ACTIONS(481),
    [anon_sym_lcfirst] = ACTIONS(481),
    [anon_sym_length] = ACTIONS(481),
    [anon_sym_localtime] = ACTIONS(481),
    [anon_sym_log] = ACTIONS(481),
    [anon_sym_lock] = ACTIONS(481),
    [anon_sym_lstat] = ACTIONS(481),
    [anon_sym_oct] = ACTIONS(481),
    [anon_sym_ord] = ACTIONS(481),
    [anon_sym_prototype] = ACTIONS(481),
    [anon_sym_pop] = ACTIONS(481),
    [anon_sym_pos] = ACTIONS(481),
    [anon_sym_quotemeta] = ACTIONS(481),
    [anon_sym_reset] = ACTIONS(481),
    [anon_sym_rand] = ACTIONS(481),
    [anon_sym_rmdir] = ACTIONS(481),
    [anon_sym_readdir] = ACTIONS(481),
    [anon_sym_readline] = ACTIONS(481),
    [anon_sym_readpipe] = ACTIONS(481),
    [anon_sym_rewinddir] = ACTIONS(481),
    [anon_sym_readlink] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(481),
    [anon_sym_scalar] = ACTIONS(481),
    [anon_sym_shift] = ACTIONS(481),
    [anon_sym_sin] = ACTIONS(481),
    [anon_sym_sleep] = ACTIONS(481),
    [anon_sym_sqrt] = ACTIONS(481),
    [anon_sym_srand] = ACTIONS(481),
    [anon_sym_stat] = ACTIONS(481),
    [anon_sym_study] = ACTIONS(481),
    [anon_sym_tell] = ACTIONS(481),
    [anon_sym_telldir] = ACTIONS(481),
    [anon_sym_tied] = ACTIONS(481),
    [anon_sym_uc] = ACTIONS(481),
    [anon_sym_ucfirst] = ACTIONS(481),
    [anon_sym_untie] = ACTIONS(481),
    [anon_sym_umask] = ACTIONS(481),
    [anon_sym_values] = ACTIONS(481),
    [anon_sym_write] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(513),
  },
  [476] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__term_rightward] = STATE(4042),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2116),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(476),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(439),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(439),
    [anon_sym_our] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(451),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_TILDE] = ACTIONS(451),
    [anon_sym_BANG] = ACTIONS(451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1689),
    [anon_sym_DASH_DASH] = ACTIONS(1689),
    [anon_sym_BSLASH] = ACTIONS(453),
    [anon_sym_do] = ACTIONS(455),
    [anon_sym_eval] = ACTIONS(457),
    [anon_sym_await] = ACTIONS(459),
    [anon_sym_field] = ACTIONS(439),
    [anon_sym_local] = ACTIONS(461),
    [anon_sym_dynamically] = ACTIONS(461),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(465),
    [anon_sym_map] = ACTIONS(467),
    [anon_sym_grep] = ACTIONS(467),
    [anon_sym_sort] = ACTIONS(469),
    [anon_sym_goto] = ACTIONS(471),
    [anon_sym_return] = ACTIONS(473),
    [anon_sym_undef] = ACTIONS(475),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(479),
    [anon_sym_next] = ACTIONS(479),
    [anon_sym_redo] = ACTIONS(479),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(481),
    [anon_sym_alarm] = ACTIONS(481),
    [anon_sym_chop] = ACTIONS(481),
    [anon_sym_chdir] = ACTIONS(481),
    [anon_sym_close] = ACTIONS(481),
    [anon_sym_closedir] = ACTIONS(481),
    [anon_sym_caller] = ACTIONS(481),
    [anon_sym_chomp] = ACTIONS(481),
    [anon_sym_chr] = ACTIONS(481),
    [anon_sym_cos] = ACTIONS(481),
    [anon_sym_chroot] = ACTIONS(481),
    [anon_sym_defined] = ACTIONS(481),
    [anon_sym_delete] = ACTIONS(481),
    [anon_sym_dbmclose] = ACTIONS(481),
    [anon_sym_exists] = ACTIONS(481),
    [anon_sym_exit] = ACTIONS(481),
    [anon_sym_eof] = ACTIONS(481),
    [anon_sym_exp] = ACTIONS(481),
    [anon_sym_each] = ACTIONS(481),
    [anon_sym_fc] = ACTIONS(481),
    [anon_sym_fileno] = ACTIONS(481),
    [anon_sym_gmtime] = ACTIONS(481),
    [anon_sym_getc] = ACTIONS(481),
    [anon_sym_getpgrp] = ACTIONS(481),
    [anon_sym_getprotobyname] = ACTIONS(481),
    [anon_sym_getpwname] = ACTIONS(481),
    [anon_sym_getpwuid] = ACTIONS(481),
    [anon_sym_getpeername] = ACTIONS(481),
    [anon_sym_getnetbyname] = ACTIONS(481),
    [anon_sym_getsockname] = ACTIONS(481),
    [anon_sym_getgrnam] = ACTIONS(481),
    [anon_sym_getgrgid] = ACTIONS(481),
    [anon_sym_hex] = ACTIONS(481),
    [anon_sym_int] = ACTIONS(481),
    [anon_sym_keys] = ACTIONS(481),
    [anon_sym_lc] = ACTIONS(481),
    [anon_sym_lcfirst] = ACTIONS(481),
    [anon_sym_length] = ACTIONS(481),
    [anon_sym_localtime] = ACTIONS(481),
    [anon_sym_log] = ACTIONS(481),
    [anon_sym_lock] = ACTIONS(481),
    [anon_sym_lstat] = ACTIONS(481),
    [anon_sym_oct] = ACTIONS(481),
    [anon_sym_ord] = ACTIONS(481),
    [anon_sym_prototype] = ACTIONS(481),
    [anon_sym_pop] = ACTIONS(481),
    [anon_sym_pos] = ACTIONS(481),
    [anon_sym_quotemeta] = ACTIONS(481),
    [anon_sym_reset] = ACTIONS(481),
    [anon_sym_rand] = ACTIONS(481),
    [anon_sym_rmdir] = ACTIONS(481),
    [anon_sym_readdir] = ACTIONS(481),
    [anon_sym_readline] = ACTIONS(481),
    [anon_sym_readpipe] = ACTIONS(481),
    [anon_sym_rewinddir] = ACTIONS(481),
    [anon_sym_readlink] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(481),
    [anon_sym_scalar] = ACTIONS(481),
    [anon_sym_shift] = ACTIONS(481),
    [anon_sym_sin] = ACTIONS(481),
    [anon_sym_sleep] = ACTIONS(481),
    [anon_sym_sqrt] = ACTIONS(481),
    [anon_sym_srand] = ACTIONS(481),
    [anon_sym_stat] = ACTIONS(481),
    [anon_sym_study] = ACTIONS(481),
    [anon_sym_tell] = ACTIONS(481),
    [anon_sym_telldir] = ACTIONS(481),
    [anon_sym_tied] = ACTIONS(481),
    [anon_sym_uc] = ACTIONS(481),
    [anon_sym_ucfirst] = ACTIONS(481),
    [anon_sym_untie] = ACTIONS(481),
    [anon_sym_umask] = ACTIONS(481),
    [anon_sym_values] = ACTIONS(481),
    [anon_sym_write] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(513),
  },
  [477] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__term_rightward] = STATE(4063),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2116),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(477),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(439),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(439),
    [anon_sym_our] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(451),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_TILDE] = ACTIONS(451),
    [anon_sym_BANG] = ACTIONS(451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1689),
    [anon_sym_DASH_DASH] = ACTIONS(1689),
    [anon_sym_BSLASH] = ACTIONS(453),
    [anon_sym_do] = ACTIONS(455),
    [anon_sym_eval] = ACTIONS(457),
    [anon_sym_await] = ACTIONS(459),
    [anon_sym_field] = ACTIONS(439),
    [anon_sym_local] = ACTIONS(461),
    [anon_sym_dynamically] = ACTIONS(461),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(465),
    [anon_sym_map] = ACTIONS(467),
    [anon_sym_grep] = ACTIONS(467),
    [anon_sym_sort] = ACTIONS(469),
    [anon_sym_goto] = ACTIONS(471),
    [anon_sym_return] = ACTIONS(473),
    [anon_sym_undef] = ACTIONS(475),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(479),
    [anon_sym_next] = ACTIONS(479),
    [anon_sym_redo] = ACTIONS(479),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(481),
    [anon_sym_alarm] = ACTIONS(481),
    [anon_sym_chop] = ACTIONS(481),
    [anon_sym_chdir] = ACTIONS(481),
    [anon_sym_close] = ACTIONS(481),
    [anon_sym_closedir] = ACTIONS(481),
    [anon_sym_caller] = ACTIONS(481),
    [anon_sym_chomp] = ACTIONS(481),
    [anon_sym_chr] = ACTIONS(481),
    [anon_sym_cos] = ACTIONS(481),
    [anon_sym_chroot] = ACTIONS(481),
    [anon_sym_defined] = ACTIONS(481),
    [anon_sym_delete] = ACTIONS(481),
    [anon_sym_dbmclose] = ACTIONS(481),
    [anon_sym_exists] = ACTIONS(481),
    [anon_sym_exit] = ACTIONS(481),
    [anon_sym_eof] = ACTIONS(481),
    [anon_sym_exp] = ACTIONS(481),
    [anon_sym_each] = ACTIONS(481),
    [anon_sym_fc] = ACTIONS(481),
    [anon_sym_fileno] = ACTIONS(481),
    [anon_sym_gmtime] = ACTIONS(481),
    [anon_sym_getc] = ACTIONS(481),
    [anon_sym_getpgrp] = ACTIONS(481),
    [anon_sym_getprotobyname] = ACTIONS(481),
    [anon_sym_getpwname] = ACTIONS(481),
    [anon_sym_getpwuid] = ACTIONS(481),
    [anon_sym_getpeername] = ACTIONS(481),
    [anon_sym_getnetbyname] = ACTIONS(481),
    [anon_sym_getsockname] = ACTIONS(481),
    [anon_sym_getgrnam] = ACTIONS(481),
    [anon_sym_getgrgid] = ACTIONS(481),
    [anon_sym_hex] = ACTIONS(481),
    [anon_sym_int] = ACTIONS(481),
    [anon_sym_keys] = ACTIONS(481),
    [anon_sym_lc] = ACTIONS(481),
    [anon_sym_lcfirst] = ACTIONS(481),
    [anon_sym_length] = ACTIONS(481),
    [anon_sym_localtime] = ACTIONS(481),
    [anon_sym_log] = ACTIONS(481),
    [anon_sym_lock] = ACTIONS(481),
    [anon_sym_lstat] = ACTIONS(481),
    [anon_sym_oct] = ACTIONS(481),
    [anon_sym_ord] = ACTIONS(481),
    [anon_sym_prototype] = ACTIONS(481),
    [anon_sym_pop] = ACTIONS(481),
    [anon_sym_pos] = ACTIONS(481),
    [anon_sym_quotemeta] = ACTIONS(481),
    [anon_sym_reset] = ACTIONS(481),
    [anon_sym_rand] = ACTIONS(481),
    [anon_sym_rmdir] = ACTIONS(481),
    [anon_sym_readdir] = ACTIONS(481),
    [anon_sym_readline] = ACTIONS(481),
    [anon_sym_readpipe] = ACTIONS(481),
    [anon_sym_rewinddir] = ACTIONS(481),
    [anon_sym_readlink] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(481),
    [anon_sym_scalar] = ACTIONS(481),
    [anon_sym_shift] = ACTIONS(481),
    [anon_sym_sin] = ACTIONS(481),
    [anon_sym_sleep] = ACTIONS(481),
    [anon_sym_sqrt] = ACTIONS(481),
    [anon_sym_srand] = ACTIONS(481),
    [anon_sym_stat] = ACTIONS(481),
    [anon_sym_study] = ACTIONS(481),
    [anon_sym_tell] = ACTIONS(481),
    [anon_sym_telldir] = ACTIONS(481),
    [anon_sym_tied] = ACTIONS(481),
    [anon_sym_uc] = ACTIONS(481),
    [anon_sym_ucfirst] = ACTIONS(481),
    [anon_sym_untie] = ACTIONS(481),
    [anon_sym_umask] = ACTIONS(481),
    [anon_sym_values] = ACTIONS(481),
    [anon_sym_write] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(513),
  },
  [478] = {
    [sym__PERLY_BRACE_OPEN] = STATE(74),
    [sym_block] = STATE(2178),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2336),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(478),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(439),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(439),
    [anon_sym_our] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(451),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_TILDE] = ACTIONS(451),
    [anon_sym_BANG] = ACTIONS(451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1689),
    [anon_sym_DASH_DASH] = ACTIONS(1689),
    [anon_sym_BSLASH] = ACTIONS(453),
    [anon_sym_do] = ACTIONS(455),
    [anon_sym_eval] = ACTIONS(457),
    [anon_sym_await] = ACTIONS(459),
    [anon_sym_field] = ACTIONS(439),
    [anon_sym_local] = ACTIONS(461),
    [anon_sym_dynamically] = ACTIONS(461),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(465),
    [anon_sym_map] = ACTIONS(467),
    [anon_sym_grep] = ACTIONS(467),
    [anon_sym_sort] = ACTIONS(469),
    [anon_sym_goto] = ACTIONS(471),
    [anon_sym_return] = ACTIONS(473),
    [anon_sym_undef] = ACTIONS(475),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(479),
    [anon_sym_next] = ACTIONS(479),
    [anon_sym_redo] = ACTIONS(479),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(481),
    [anon_sym_alarm] = ACTIONS(481),
    [anon_sym_chop] = ACTIONS(481),
    [anon_sym_chdir] = ACTIONS(481),
    [anon_sym_close] = ACTIONS(481),
    [anon_sym_closedir] = ACTIONS(481),
    [anon_sym_caller] = ACTIONS(481),
    [anon_sym_chomp] = ACTIONS(481),
    [anon_sym_chr] = ACTIONS(481),
    [anon_sym_cos] = ACTIONS(481),
    [anon_sym_chroot] = ACTIONS(481),
    [anon_sym_defined] = ACTIONS(481),
    [anon_sym_delete] = ACTIONS(481),
    [anon_sym_dbmclose] = ACTIONS(481),
    [anon_sym_exists] = ACTIONS(481),
    [anon_sym_exit] = ACTIONS(481),
    [anon_sym_eof] = ACTIONS(481),
    [anon_sym_exp] = ACTIONS(481),
    [anon_sym_each] = ACTIONS(481),
    [anon_sym_fc] = ACTIONS(481),
    [anon_sym_fileno] = ACTIONS(481),
    [anon_sym_gmtime] = ACTIONS(481),
    [anon_sym_getc] = ACTIONS(481),
    [anon_sym_getpgrp] = ACTIONS(481),
    [anon_sym_getprotobyname] = ACTIONS(481),
    [anon_sym_getpwname] = ACTIONS(481),
    [anon_sym_getpwuid] = ACTIONS(481),
    [anon_sym_getpeername] = ACTIONS(481),
    [anon_sym_getnetbyname] = ACTIONS(481),
    [anon_sym_getsockname] = ACTIONS(481),
    [anon_sym_getgrnam] = ACTIONS(481),
    [anon_sym_getgrgid] = ACTIONS(481),
    [anon_sym_hex] = ACTIONS(481),
    [anon_sym_int] = ACTIONS(481),
    [anon_sym_keys] = ACTIONS(481),
    [anon_sym_lc] = ACTIONS(481),
    [anon_sym_lcfirst] = ACTIONS(481),
    [anon_sym_length] = ACTIONS(481),
    [anon_sym_localtime] = ACTIONS(481),
    [anon_sym_log] = ACTIONS(481),
    [anon_sym_lock] = ACTIONS(481),
    [anon_sym_lstat] = ACTIONS(481),
    [anon_sym_oct] = ACTIONS(481),
    [anon_sym_ord] = ACTIONS(481),
    [anon_sym_prototype] = ACTIONS(481),
    [anon_sym_pop] = ACTIONS(481),
    [anon_sym_pos] = ACTIONS(481),
    [anon_sym_quotemeta] = ACTIONS(481),
    [anon_sym_reset] = ACTIONS(481),
    [anon_sym_rand] = ACTIONS(481),
    [anon_sym_rmdir] = ACTIONS(481),
    [anon_sym_readdir] = ACTIONS(481),
    [anon_sym_readline] = ACTIONS(481),
    [anon_sym_readpipe] = ACTIONS(481),
    [anon_sym_rewinddir] = ACTIONS(481),
    [anon_sym_readlink] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(481),
    [anon_sym_scalar] = ACTIONS(481),
    [anon_sym_shift] = ACTIONS(481),
    [anon_sym_sin] = ACTIONS(481),
    [anon_sym_sleep] = ACTIONS(481),
    [anon_sym_sqrt] = ACTIONS(481),
    [anon_sym_srand] = ACTIONS(481),
    [anon_sym_stat] = ACTIONS(481),
    [anon_sym_study] = ACTIONS(481),
    [anon_sym_tell] = ACTIONS(481),
    [anon_sym_telldir] = ACTIONS(481),
    [anon_sym_tied] = ACTIONS(481),
    [anon_sym_uc] = ACTIONS(481),
    [anon_sym_ucfirst] = ACTIONS(481),
    [anon_sym_untie] = ACTIONS(481),
    [anon_sym_umask] = ACTIONS(481),
    [anon_sym_values] = ACTIONS(481),
    [anon_sym_write] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(513),
  },
  [479] = {
    [sym__PERLY_BRACE_OPEN] = STATE(238),
    [sym__term_rightward] = STATE(2221),
    [sym__subscripted] = STATE(1915),
    [sym_container_variable] = STATE(3851),
    [sym_array_element_expression] = STATE(1916),
    [sym_hash_element_expression] = STATE(1916),
    [sym_coderef_call_expression] = STATE(1916),
    [sym_anonymous_slice_expression] = STATE(1916),
    [sym_slice_container_variable] = STATE(3852),
    [sym_slice_expression] = STATE(2342),
    [sym_keyval_container_variable] = STATE(3853),
    [sym_keyval_expression] = STATE(2342),
    [sym__term] = STATE(2058),
    [sym_readline_expression] = STATE(2342),
    [sym_fileglob_expression] = STATE(2342),
    [sym_assignment_expression] = STATE(2342),
    [sym_binary_expression] = STATE(2342),
    [sym_equality_expression] = STATE(2342),
    [sym_relational_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2342),
    [sym_preinc_expression] = STATE(2342),
    [sym_postinc_expression] = STATE(2342),
    [sym_conditional_expression] = STATE(2342),
    [sym_refgen_expression] = STATE(2342),
    [sym_anonymous_array_expression] = STATE(2342),
    [sym_anonymous_hash_expression] = STATE(2342),
    [sym_anonymous_subroutine_expression] = STATE(2342),
    [sym_anonymous_method_expression] = STATE(2342),
    [sym_do_expression] = STATE(2342),
    [sym_eval_expression] = STATE(2342),
    [sym_await_expression] = STATE(2342),
    [sym_variable_declaration] = STATE(2342),
    [sym_localization_expression] = STATE(2342),
    [sym_stub_expression] = STATE(2342),
    [sym_scalar_deref_expression] = STATE(2342),
    [sym_array_deref_expression] = STATE(2342),
    [sym_arraylen_deref_expression] = STATE(2342),
    [sym_hash_deref_expression] = STATE(2342),
    [sym_amper_deref_expression] = STATE(2342),
    [sym_glob_deref_expression] = STATE(2342),
    [sym_require_expression] = STATE(2342),
    [sym_require_version_expression] = STATE(2342),
    [sym_func0op_call_expression] = STATE(2342),
    [sym_func1op_call_expression] = STATE(2342),
    [sym_map_grep_expression] = STATE(2342),
    [sym_sort_expression] = STATE(2342),
    [sym_loopex_expression] = STATE(2342),
    [sym_goto_expression] = STATE(2342),
    [sym_return_expression] = STATE(2342),
    [sym_undef_expression] = STATE(2342),
    [sym__listop] = STATE(2342),
    [sym_function_call_expression] = STATE(2343),
    [sym_ambiguous_function_call_expression] = STATE(2343),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(2343),
    [sym_scalar] = STATE(2342),
    [sym_array] = STATE(2342),
    [sym__SUB_AMPER] = STATE(2739),
    [sym__GLOB_STAR] = STATE(2741),
    [sym_hash] = STATE(2342),
    [sym_arraylen] = STATE(2342),
    [sym_amper_sub] = STATE(2181),
    [sym_glob] = STATE(2183),
    [sym_glob_slot_expression] = STATE(2342),
    [sym__literal] = STATE(2342),
    [sym__apostrophe] = STATE(3277),
    [sym__quotation_mark] = STATE(2481),
    [sym__backtick] = STATE(2482),
    [sym__search_slash] = STATE(2447),
    [sym_string_literal] = STATE(2353),
    [sym_interpolated_string_literal] = STATE(2353),
    [sym_quoted_word_list] = STATE(2193),
    [sym_command_string] = STATE(2353),
    [sym_quoted_regexp] = STATE(2353),
    [sym_match_regexp] = STATE(2353),
    [sym_substitution_regexp] = STATE(2353),
    [sym_transliteration_expression] = STATE(2353),
    [sym_heredoc_token] = STATE(2342),
    [sym_command_heredoc_token] = STATE(2342),
    [sym_heredoc_content] = STATE(479),
    [sym_autoquoted_bareword] = STATE(2342),
    [sym_bareword] = STATE(2342),
    [sym_primitive] = STATE(2342),
    [sym_boolean] = STATE(2323),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3366),
    [sym__identifier] = ACTIONS(1072),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1008),
    [anon_sym_AT] = ACTIONS(1010),
    [anon_sym_my] = ACTIONS(1012),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(1014),
    [anon_sym_method] = ACTIONS(1016),
    [anon_sym_LPAREN] = ACTIONS(1018),
    [anon_sym_continue] = ACTIONS(1020),
    [anon_sym_state] = ACTIONS(1012),
    [anon_sym_our] = ACTIONS(1012),
    [anon_sym_LBRACK] = ACTIONS(1022),
    [anon_sym_LT_LT] = ACTIONS(1523),
    [anon_sym_SLASH_SLASH] = ACTIONS(1525),
    [anon_sym_PLUS] = ACTIONS(1024),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_TILDE] = ACTIONS(1024),
    [anon_sym_BANG] = ACTIONS(1024),
    [anon_sym_PLUS_PLUS] = ACTIONS(1529),
    [anon_sym_DASH_DASH] = ACTIONS(1529),
    [anon_sym_BSLASH] = ACTIONS(1026),
    [anon_sym_do] = ACTIONS(1028),
    [anon_sym_eval] = ACTIONS(1030),
    [anon_sym_await] = ACTIONS(1032),
    [anon_sym_field] = ACTIONS(1012),
    [anon_sym_local] = ACTIONS(1034),
    [anon_sym_dynamically] = ACTIONS(1034),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1036),
    [anon_sym_require] = ACTIONS(1038),
    [anon_sym_map] = ACTIONS(1040),
    [anon_sym_grep] = ACTIONS(1040),
    [anon_sym_sort] = ACTIONS(1042),
    [anon_sym_goto] = ACTIONS(1044),
    [anon_sym_return] = ACTIONS(1046),
    [anon_sym_undef] = ACTIONS(1048),
    [anon_sym_PERCENT2] = ACTIONS(1050),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1052),
    [anon_sym_next] = ACTIONS(1052),
    [anon_sym_redo] = ACTIONS(1052),
    [anon_sym___FILE__] = ACTIONS(1020),
    [anon_sym___LINE__] = ACTIONS(1020),
    [anon_sym___PACKAGE__] = ACTIONS(1020),
    [anon_sym___SUB__] = ACTIONS(1020),
    [anon_sym_break] = ACTIONS(1020),
    [anon_sym_fork] = ACTIONS(1020),
    [anon_sym_getppid] = ACTIONS(1020),
    [anon_sym_time] = ACTIONS(1020),
    [anon_sym_times] = ACTIONS(1020),
    [anon_sym_wait] = ACTIONS(1020),
    [anon_sym_wantarray] = ACTIONS(1020),
    [anon_sym_abs] = ACTIONS(1054),
    [anon_sym_alarm] = ACTIONS(1054),
    [anon_sym_chop] = ACTIONS(1054),
    [anon_sym_chdir] = ACTIONS(1054),
    [anon_sym_close] = ACTIONS(1054),
    [anon_sym_closedir] = ACTIONS(1054),
    [anon_sym_caller] = ACTIONS(1054),
    [anon_sym_chomp] = ACTIONS(1054),
    [anon_sym_chr] = ACTIONS(1054),
    [anon_sym_cos] = ACTIONS(1054),
    [anon_sym_chroot] = ACTIONS(1054),
    [anon_sym_defined] = ACTIONS(1054),
    [anon_sym_delete] = ACTIONS(1054),
    [anon_sym_dbmclose] = ACTIONS(1054),
    [anon_sym_exists] = ACTIONS(1054),
    [anon_sym_exit] = ACTIONS(1054),
    [anon_sym_eof] = ACTIONS(1054),
    [anon_sym_exp] = ACTIONS(1054),
    [anon_sym_each] = ACTIONS(1054),
    [anon_sym_fc] = ACTIONS(1054),
    [anon_sym_fileno] = ACTIONS(1054),
    [anon_sym_gmtime] = ACTIONS(1054),
    [anon_sym_getc] = ACTIONS(1054),
    [anon_sym_getpgrp] = ACTIONS(1054),
    [anon_sym_getprotobyname] = ACTIONS(1054),
    [anon_sym_getpwname] = ACTIONS(1054),
    [anon_sym_getpwuid] = ACTIONS(1054),
    [anon_sym_getpeername] = ACTIONS(1054),
    [anon_sym_getnetbyname] = ACTIONS(1054),
    [anon_sym_getsockname] = ACTIONS(1054),
    [anon_sym_getgrnam] = ACTIONS(1054),
    [anon_sym_getgrgid] = ACTIONS(1054),
    [anon_sym_hex] = ACTIONS(1054),
    [anon_sym_int] = ACTIONS(1054),
    [anon_sym_keys] = ACTIONS(1054),
    [anon_sym_lc] = ACTIONS(1054),
    [anon_sym_lcfirst] = ACTIONS(1054),
    [anon_sym_length] = ACTIONS(1054),
    [anon_sym_localtime] = ACTIONS(1054),
    [anon_sym_log] = ACTIONS(1054),
    [anon_sym_lock] = ACTIONS(1054),
    [anon_sym_lstat] = ACTIONS(1054),
    [anon_sym_oct] = ACTIONS(1054),
    [anon_sym_ord] = ACTIONS(1054),
    [anon_sym_prototype] = ACTIONS(1054),
    [anon_sym_pop] = ACTIONS(1054),
    [anon_sym_pos] = ACTIONS(1054),
    [anon_sym_quotemeta] = ACTIONS(1054),
    [anon_sym_reset] = ACTIONS(1054),
    [anon_sym_rand] = ACTIONS(1054),
    [anon_sym_rmdir] = ACTIONS(1054),
    [anon_sym_readdir] = ACTIONS(1054),
    [anon_sym_readline] = ACTIONS(1054),
    [anon_sym_readpipe] = ACTIONS(1054),
    [anon_sym_rewinddir] = ACTIONS(1054),
    [anon_sym_readlink] = ACTIONS(1054),
    [anon_sym_ref] = ACTIONS(1054),
    [anon_sym_scalar] = ACTIONS(1054),
    [anon_sym_shift] = ACTIONS(1054),
    [anon_sym_sin] = ACTIONS(1054),
    [anon_sym_sleep] = ACTIONS(1054),
    [anon_sym_sqrt] = ACTIONS(1054),
    [anon_sym_srand] = ACTIONS(1054),
    [anon_sym_stat] = ACTIONS(1054),
    [anon_sym_study] = ACTIONS(1054),
    [anon_sym_tell] = ACTIONS(1054),
    [anon_sym_telldir] = ACTIONS(1054),
    [anon_sym_tied] = ACTIONS(1054),
    [anon_sym_uc] = ACTIONS(1054),
    [anon_sym_ucfirst] = ACTIONS(1054),
    [anon_sym_untie] = ACTIONS(1054),
    [anon_sym_umask] = ACTIONS(1054),
    [anon_sym_values] = ACTIONS(1054),
    [anon_sym_write] = ACTIONS(1054),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1056),
    [anon_sym_qq] = ACTIONS(1058),
    [anon_sym_qw] = ACTIONS(1060),
    [anon_sym_qx] = ACTIONS(1062),
    [anon_sym_qr] = ACTIONS(1064),
    [anon_sym_m] = ACTIONS(1066),
    [anon_sym_s] = ACTIONS(1068),
    [anon_sym_tr] = ACTIONS(1070),
    [anon_sym_y] = ACTIONS(1070),
    [aux_sym__bareword_token1] = ACTIONS(1072),
    [sym_number] = ACTIONS(1074),
    [anon_sym_true] = ACTIONS(1076),
    [anon_sym_false] = ACTIONS(1076),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(1078),
    [sym__open_fileglob_bracket] = ACTIONS(1080),
    [sym__PERLY_HEREDOC] = ACTIONS(1082),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1084),
    [sym__filetest] = ACTIONS(1086),
  },
  [480] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__term_rightward] = STATE(4045),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2116),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(480),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(439),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(439),
    [anon_sym_our] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(451),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_TILDE] = ACTIONS(451),
    [anon_sym_BANG] = ACTIONS(451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1689),
    [anon_sym_DASH_DASH] = ACTIONS(1689),
    [anon_sym_BSLASH] = ACTIONS(453),
    [anon_sym_do] = ACTIONS(455),
    [anon_sym_eval] = ACTIONS(457),
    [anon_sym_await] = ACTIONS(459),
    [anon_sym_field] = ACTIONS(439),
    [anon_sym_local] = ACTIONS(461),
    [anon_sym_dynamically] = ACTIONS(461),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(465),
    [anon_sym_map] = ACTIONS(467),
    [anon_sym_grep] = ACTIONS(467),
    [anon_sym_sort] = ACTIONS(469),
    [anon_sym_goto] = ACTIONS(471),
    [anon_sym_return] = ACTIONS(473),
    [anon_sym_undef] = ACTIONS(475),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(479),
    [anon_sym_next] = ACTIONS(479),
    [anon_sym_redo] = ACTIONS(479),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(481),
    [anon_sym_alarm] = ACTIONS(481),
    [anon_sym_chop] = ACTIONS(481),
    [anon_sym_chdir] = ACTIONS(481),
    [anon_sym_close] = ACTIONS(481),
    [anon_sym_closedir] = ACTIONS(481),
    [anon_sym_caller] = ACTIONS(481),
    [anon_sym_chomp] = ACTIONS(481),
    [anon_sym_chr] = ACTIONS(481),
    [anon_sym_cos] = ACTIONS(481),
    [anon_sym_chroot] = ACTIONS(481),
    [anon_sym_defined] = ACTIONS(481),
    [anon_sym_delete] = ACTIONS(481),
    [anon_sym_dbmclose] = ACTIONS(481),
    [anon_sym_exists] = ACTIONS(481),
    [anon_sym_exit] = ACTIONS(481),
    [anon_sym_eof] = ACTIONS(481),
    [anon_sym_exp] = ACTIONS(481),
    [anon_sym_each] = ACTIONS(481),
    [anon_sym_fc] = ACTIONS(481),
    [anon_sym_fileno] = ACTIONS(481),
    [anon_sym_gmtime] = ACTIONS(481),
    [anon_sym_getc] = ACTIONS(481),
    [anon_sym_getpgrp] = ACTIONS(481),
    [anon_sym_getprotobyname] = ACTIONS(481),
    [anon_sym_getpwname] = ACTIONS(481),
    [anon_sym_getpwuid] = ACTIONS(481),
    [anon_sym_getpeername] = ACTIONS(481),
    [anon_sym_getnetbyname] = ACTIONS(481),
    [anon_sym_getsockname] = ACTIONS(481),
    [anon_sym_getgrnam] = ACTIONS(481),
    [anon_sym_getgrgid] = ACTIONS(481),
    [anon_sym_hex] = ACTIONS(481),
    [anon_sym_int] = ACTIONS(481),
    [anon_sym_keys] = ACTIONS(481),
    [anon_sym_lc] = ACTIONS(481),
    [anon_sym_lcfirst] = ACTIONS(481),
    [anon_sym_length] = ACTIONS(481),
    [anon_sym_localtime] = ACTIONS(481),
    [anon_sym_log] = ACTIONS(481),
    [anon_sym_lock] = ACTIONS(481),
    [anon_sym_lstat] = ACTIONS(481),
    [anon_sym_oct] = ACTIONS(481),
    [anon_sym_ord] = ACTIONS(481),
    [anon_sym_prototype] = ACTIONS(481),
    [anon_sym_pop] = ACTIONS(481),
    [anon_sym_pos] = ACTIONS(481),
    [anon_sym_quotemeta] = ACTIONS(481),
    [anon_sym_reset] = ACTIONS(481),
    [anon_sym_rand] = ACTIONS(481),
    [anon_sym_rmdir] = ACTIONS(481),
    [anon_sym_readdir] = ACTIONS(481),
    [anon_sym_readline] = ACTIONS(481),
    [anon_sym_readpipe] = ACTIONS(481),
    [anon_sym_rewinddir] = ACTIONS(481),
    [anon_sym_readlink] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(481),
    [anon_sym_scalar] = ACTIONS(481),
    [anon_sym_shift] = ACTIONS(481),
    [anon_sym_sin] = ACTIONS(481),
    [anon_sym_sleep] = ACTIONS(481),
    [anon_sym_sqrt] = ACTIONS(481),
    [anon_sym_srand] = ACTIONS(481),
    [anon_sym_stat] = ACTIONS(481),
    [anon_sym_study] = ACTIONS(481),
    [anon_sym_tell] = ACTIONS(481),
    [anon_sym_telldir] = ACTIONS(481),
    [anon_sym_tied] = ACTIONS(481),
    [anon_sym_uc] = ACTIONS(481),
    [anon_sym_ucfirst] = ACTIONS(481),
    [anon_sym_untie] = ACTIONS(481),
    [anon_sym_umask] = ACTIONS(481),
    [anon_sym_values] = ACTIONS(481),
    [anon_sym_write] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(513),
  },
  [481] = {
    [sym__PERLY_BRACE_OPEN] = STATE(238),
    [sym__subscripted] = STATE(1915),
    [sym_container_variable] = STATE(3851),
    [sym_array_element_expression] = STATE(1916),
    [sym_hash_element_expression] = STATE(1916),
    [sym_coderef_call_expression] = STATE(1916),
    [sym_anonymous_slice_expression] = STATE(1916),
    [sym_slice_container_variable] = STATE(3852),
    [sym_slice_expression] = STATE(2342),
    [sym_keyval_container_variable] = STATE(3853),
    [sym_keyval_expression] = STATE(2342),
    [sym__term] = STATE(2298),
    [sym_readline_expression] = STATE(2342),
    [sym_fileglob_expression] = STATE(2342),
    [sym_assignment_expression] = STATE(2342),
    [sym_binary_expression] = STATE(2342),
    [sym_equality_expression] = STATE(2342),
    [sym_relational_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2342),
    [sym_preinc_expression] = STATE(2342),
    [sym_postinc_expression] = STATE(2342),
    [sym_conditional_expression] = STATE(2342),
    [sym_refgen_expression] = STATE(2342),
    [sym_anonymous_array_expression] = STATE(2342),
    [sym_anonymous_hash_expression] = STATE(2342),
    [sym_anonymous_subroutine_expression] = STATE(2342),
    [sym_anonymous_method_expression] = STATE(2342),
    [sym_do_expression] = STATE(2342),
    [sym_eval_expression] = STATE(2342),
    [sym_await_expression] = STATE(2342),
    [sym_variable_declaration] = STATE(2342),
    [sym_localization_expression] = STATE(2342),
    [sym_stub_expression] = STATE(2342),
    [sym_scalar_deref_expression] = STATE(2342),
    [sym_array_deref_expression] = STATE(2342),
    [sym_arraylen_deref_expression] = STATE(2342),
    [sym_hash_deref_expression] = STATE(2342),
    [sym_amper_deref_expression] = STATE(2342),
    [sym_glob_deref_expression] = STATE(2342),
    [sym_require_expression] = STATE(2342),
    [sym_require_version_expression] = STATE(2342),
    [sym_func0op_call_expression] = STATE(2342),
    [sym_func1op_call_expression] = STATE(2342),
    [sym_map_grep_expression] = STATE(2342),
    [sym_sort_expression] = STATE(2342),
    [sym_loopex_expression] = STATE(2342),
    [sym_goto_expression] = STATE(2342),
    [sym_return_expression] = STATE(2342),
    [sym_undef_expression] = STATE(2342),
    [sym__listop] = STATE(2342),
    [sym_function_call_expression] = STATE(2343),
    [sym_ambiguous_function_call_expression] = STATE(2343),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(2343),
    [sym_scalar] = STATE(2342),
    [sym_array] = STATE(2342),
    [sym__SUB_AMPER] = STATE(2739),
    [sym__GLOB_STAR] = STATE(2741),
    [sym_hash] = STATE(2342),
    [sym_arraylen] = STATE(2342),
    [sym_amper_sub] = STATE(2181),
    [sym_glob] = STATE(2183),
    [sym_glob_slot_expression] = STATE(2342),
    [sym__literal] = STATE(2342),
    [sym__apostrophe] = STATE(3277),
    [sym__quotation_mark] = STATE(2481),
    [sym__backtick] = STATE(2482),
    [sym__search_slash] = STATE(2447),
    [sym_string_literal] = STATE(2353),
    [sym_interpolated_string_literal] = STATE(2353),
    [sym_quoted_word_list] = STATE(2193),
    [sym_command_string] = STATE(2353),
    [sym_quoted_regexp] = STATE(2353),
    [sym_match_regexp] = STATE(2353),
    [sym_substitution_regexp] = STATE(2353),
    [sym_transliteration_expression] = STATE(2353),
    [sym_heredoc_token] = STATE(2342),
    [sym_command_heredoc_token] = STATE(2342),
    [sym_heredoc_content] = STATE(481),
    [sym_autoquoted_bareword] = STATE(2342),
    [sym_bareword] = STATE(2342),
    [sym_primitive] = STATE(2342),
    [sym_boolean] = STATE(2323),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3366),
    [sym__identifier] = ACTIONS(1072),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1008),
    [anon_sym_AT] = ACTIONS(1010),
    [anon_sym_my] = ACTIONS(1012),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(1014),
    [anon_sym_method] = ACTIONS(1016),
    [anon_sym_LPAREN] = ACTIONS(1018),
    [anon_sym_continue] = ACTIONS(1020),
    [anon_sym_state] = ACTIONS(1012),
    [anon_sym_our] = ACTIONS(1012),
    [anon_sym_LBRACK] = ACTIONS(1022),
    [anon_sym_LT_LT] = ACTIONS(1523),
    [anon_sym_SLASH_SLASH] = ACTIONS(1525),
    [anon_sym_PLUS] = ACTIONS(1024),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_TILDE] = ACTIONS(1024),
    [anon_sym_BANG] = ACTIONS(1024),
    [anon_sym_PLUS_PLUS] = ACTIONS(1529),
    [anon_sym_DASH_DASH] = ACTIONS(1529),
    [anon_sym_BSLASH] = ACTIONS(1026),
    [anon_sym_do] = ACTIONS(1028),
    [anon_sym_eval] = ACTIONS(1030),
    [anon_sym_await] = ACTIONS(1032),
    [anon_sym_field] = ACTIONS(1012),
    [anon_sym_local] = ACTIONS(1034),
    [anon_sym_dynamically] = ACTIONS(1034),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1036),
    [anon_sym_require] = ACTIONS(1038),
    [anon_sym_map] = ACTIONS(1040),
    [anon_sym_grep] = ACTIONS(1040),
    [anon_sym_sort] = ACTIONS(1042),
    [anon_sym_goto] = ACTIONS(1044),
    [anon_sym_return] = ACTIONS(1046),
    [anon_sym_undef] = ACTIONS(1048),
    [anon_sym_PERCENT2] = ACTIONS(1050),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1052),
    [anon_sym_next] = ACTIONS(1052),
    [anon_sym_redo] = ACTIONS(1052),
    [anon_sym___FILE__] = ACTIONS(1020),
    [anon_sym___LINE__] = ACTIONS(1020),
    [anon_sym___PACKAGE__] = ACTIONS(1020),
    [anon_sym___SUB__] = ACTIONS(1020),
    [anon_sym_break] = ACTIONS(1020),
    [anon_sym_fork] = ACTIONS(1020),
    [anon_sym_getppid] = ACTIONS(1020),
    [anon_sym_time] = ACTIONS(1020),
    [anon_sym_times] = ACTIONS(1020),
    [anon_sym_wait] = ACTIONS(1020),
    [anon_sym_wantarray] = ACTIONS(1020),
    [anon_sym_abs] = ACTIONS(1054),
    [anon_sym_alarm] = ACTIONS(1054),
    [anon_sym_chop] = ACTIONS(1054),
    [anon_sym_chdir] = ACTIONS(1054),
    [anon_sym_close] = ACTIONS(1054),
    [anon_sym_closedir] = ACTIONS(1054),
    [anon_sym_caller] = ACTIONS(1054),
    [anon_sym_chomp] = ACTIONS(1054),
    [anon_sym_chr] = ACTIONS(1054),
    [anon_sym_cos] = ACTIONS(1054),
    [anon_sym_chroot] = ACTIONS(1054),
    [anon_sym_defined] = ACTIONS(1054),
    [anon_sym_delete] = ACTIONS(1054),
    [anon_sym_dbmclose] = ACTIONS(1054),
    [anon_sym_exists] = ACTIONS(1054),
    [anon_sym_exit] = ACTIONS(1054),
    [anon_sym_eof] = ACTIONS(1054),
    [anon_sym_exp] = ACTIONS(1054),
    [anon_sym_each] = ACTIONS(1054),
    [anon_sym_fc] = ACTIONS(1054),
    [anon_sym_fileno] = ACTIONS(1054),
    [anon_sym_gmtime] = ACTIONS(1054),
    [anon_sym_getc] = ACTIONS(1054),
    [anon_sym_getpgrp] = ACTIONS(1054),
    [anon_sym_getprotobyname] = ACTIONS(1054),
    [anon_sym_getpwname] = ACTIONS(1054),
    [anon_sym_getpwuid] = ACTIONS(1054),
    [anon_sym_getpeername] = ACTIONS(1054),
    [anon_sym_getnetbyname] = ACTIONS(1054),
    [anon_sym_getsockname] = ACTIONS(1054),
    [anon_sym_getgrnam] = ACTIONS(1054),
    [anon_sym_getgrgid] = ACTIONS(1054),
    [anon_sym_hex] = ACTIONS(1054),
    [anon_sym_int] = ACTIONS(1054),
    [anon_sym_keys] = ACTIONS(1054),
    [anon_sym_lc] = ACTIONS(1054),
    [anon_sym_lcfirst] = ACTIONS(1054),
    [anon_sym_length] = ACTIONS(1054),
    [anon_sym_localtime] = ACTIONS(1054),
    [anon_sym_log] = ACTIONS(1054),
    [anon_sym_lock] = ACTIONS(1054),
    [anon_sym_lstat] = ACTIONS(1054),
    [anon_sym_oct] = ACTIONS(1054),
    [anon_sym_ord] = ACTIONS(1054),
    [anon_sym_prototype] = ACTIONS(1054),
    [anon_sym_pop] = ACTIONS(1054),
    [anon_sym_pos] = ACTIONS(1054),
    [anon_sym_quotemeta] = ACTIONS(1054),
    [anon_sym_reset] = ACTIONS(1054),
    [anon_sym_rand] = ACTIONS(1054),
    [anon_sym_rmdir] = ACTIONS(1054),
    [anon_sym_readdir] = ACTIONS(1054),
    [anon_sym_readline] = ACTIONS(1054),
    [anon_sym_readpipe] = ACTIONS(1054),
    [anon_sym_rewinddir] = ACTIONS(1054),
    [anon_sym_readlink] = ACTIONS(1054),
    [anon_sym_ref] = ACTIONS(1054),
    [anon_sym_scalar] = ACTIONS(1054),
    [anon_sym_shift] = ACTIONS(1054),
    [anon_sym_sin] = ACTIONS(1054),
    [anon_sym_sleep] = ACTIONS(1054),
    [anon_sym_sqrt] = ACTIONS(1054),
    [anon_sym_srand] = ACTIONS(1054),
    [anon_sym_stat] = ACTIONS(1054),
    [anon_sym_study] = ACTIONS(1054),
    [anon_sym_tell] = ACTIONS(1054),
    [anon_sym_telldir] = ACTIONS(1054),
    [anon_sym_tied] = ACTIONS(1054),
    [anon_sym_uc] = ACTIONS(1054),
    [anon_sym_ucfirst] = ACTIONS(1054),
    [anon_sym_untie] = ACTIONS(1054),
    [anon_sym_umask] = ACTIONS(1054),
    [anon_sym_values] = ACTIONS(1054),
    [anon_sym_write] = ACTIONS(1054),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1056),
    [anon_sym_qq] = ACTIONS(1058),
    [anon_sym_qw] = ACTIONS(1060),
    [anon_sym_qx] = ACTIONS(1062),
    [anon_sym_qr] = ACTIONS(1064),
    [anon_sym_m] = ACTIONS(1066),
    [anon_sym_s] = ACTIONS(1068),
    [anon_sym_tr] = ACTIONS(1070),
    [anon_sym_y] = ACTIONS(1070),
    [aux_sym__bareword_token1] = ACTIONS(1072),
    [sym_number] = ACTIONS(1074),
    [anon_sym_true] = ACTIONS(1076),
    [anon_sym_false] = ACTIONS(1076),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(1078),
    [sym__open_fileglob_bracket] = ACTIONS(1080),
    [sym__PERLY_HEREDOC] = ACTIONS(1082),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1084),
    [sym__filetest] = ACTIONS(1086),
    [sym__NONASSOC] = ACTIONS(1794),
  },
  [482] = {
    [sym__PERLY_BRACE_OPEN] = STATE(237),
    [sym__term_rightward] = STATE(1372),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1271),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(482),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [483] = {
    [sym__PERLY_BRACE_OPEN] = STATE(238),
    [sym__subscripted] = STATE(1915),
    [sym_container_variable] = STATE(3851),
    [sym_array_element_expression] = STATE(1916),
    [sym_hash_element_expression] = STATE(1916),
    [sym_coderef_call_expression] = STATE(1916),
    [sym_anonymous_slice_expression] = STATE(1916),
    [sym_slice_container_variable] = STATE(3852),
    [sym_slice_expression] = STATE(2342),
    [sym_keyval_container_variable] = STATE(3853),
    [sym_keyval_expression] = STATE(2342),
    [sym__term] = STATE(2319),
    [sym_readline_expression] = STATE(2342),
    [sym_fileglob_expression] = STATE(2342),
    [sym_assignment_expression] = STATE(2342),
    [sym_binary_expression] = STATE(2342),
    [sym_equality_expression] = STATE(2342),
    [sym_relational_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2342),
    [sym_preinc_expression] = STATE(2342),
    [sym_postinc_expression] = STATE(2342),
    [sym_conditional_expression] = STATE(2342),
    [sym_refgen_expression] = STATE(2342),
    [sym_anonymous_array_expression] = STATE(2342),
    [sym_anonymous_hash_expression] = STATE(2342),
    [sym_anonymous_subroutine_expression] = STATE(2342),
    [sym_anonymous_method_expression] = STATE(2342),
    [sym_do_expression] = STATE(2342),
    [sym_eval_expression] = STATE(2342),
    [sym_await_expression] = STATE(2342),
    [sym_variable_declaration] = STATE(2342),
    [sym_localization_expression] = STATE(2342),
    [sym_stub_expression] = STATE(2342),
    [sym_scalar_deref_expression] = STATE(2342),
    [sym_array_deref_expression] = STATE(2342),
    [sym_arraylen_deref_expression] = STATE(2342),
    [sym_hash_deref_expression] = STATE(2342),
    [sym_amper_deref_expression] = STATE(2342),
    [sym_glob_deref_expression] = STATE(2342),
    [sym_require_expression] = STATE(2342),
    [sym_require_version_expression] = STATE(2342),
    [sym_func0op_call_expression] = STATE(2342),
    [sym_func1op_call_expression] = STATE(2342),
    [sym_map_grep_expression] = STATE(2342),
    [sym_sort_expression] = STATE(2342),
    [sym_loopex_expression] = STATE(2342),
    [sym_goto_expression] = STATE(2342),
    [sym_return_expression] = STATE(2342),
    [sym_undef_expression] = STATE(2342),
    [sym__listop] = STATE(2342),
    [sym_function_call_expression] = STATE(2343),
    [sym_ambiguous_function_call_expression] = STATE(2343),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(2343),
    [sym_scalar] = STATE(2342),
    [sym_array] = STATE(2342),
    [sym__SUB_AMPER] = STATE(2739),
    [sym__GLOB_STAR] = STATE(2741),
    [sym_hash] = STATE(2342),
    [sym_arraylen] = STATE(2342),
    [sym_amper_sub] = STATE(2181),
    [sym_glob] = STATE(2183),
    [sym_glob_slot_expression] = STATE(2342),
    [sym__literal] = STATE(2342),
    [sym__apostrophe] = STATE(3277),
    [sym__quotation_mark] = STATE(2481),
    [sym__backtick] = STATE(2482),
    [sym__search_slash] = STATE(2447),
    [sym_string_literal] = STATE(2353),
    [sym_interpolated_string_literal] = STATE(2353),
    [sym_quoted_word_list] = STATE(2193),
    [sym_command_string] = STATE(2353),
    [sym_quoted_regexp] = STATE(2353),
    [sym_match_regexp] = STATE(2353),
    [sym_substitution_regexp] = STATE(2353),
    [sym_transliteration_expression] = STATE(2353),
    [sym_heredoc_token] = STATE(2342),
    [sym_command_heredoc_token] = STATE(2342),
    [sym_heredoc_content] = STATE(483),
    [sym_autoquoted_bareword] = STATE(2342),
    [sym_bareword] = STATE(2342),
    [sym_primitive] = STATE(2342),
    [sym_boolean] = STATE(2323),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3366),
    [sym__identifier] = ACTIONS(1072),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1008),
    [anon_sym_AT] = ACTIONS(1010),
    [anon_sym_my] = ACTIONS(1012),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(1014),
    [anon_sym_method] = ACTIONS(1016),
    [anon_sym_LPAREN] = ACTIONS(1018),
    [anon_sym_continue] = ACTIONS(1020),
    [anon_sym_state] = ACTIONS(1012),
    [anon_sym_our] = ACTIONS(1012),
    [anon_sym_LBRACK] = ACTIONS(1022),
    [anon_sym_LT_LT] = ACTIONS(1523),
    [anon_sym_SLASH_SLASH] = ACTIONS(1525),
    [anon_sym_PLUS] = ACTIONS(1024),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_TILDE] = ACTIONS(1024),
    [anon_sym_BANG] = ACTIONS(1024),
    [anon_sym_PLUS_PLUS] = ACTIONS(1529),
    [anon_sym_DASH_DASH] = ACTIONS(1529),
    [anon_sym_BSLASH] = ACTIONS(1026),
    [anon_sym_do] = ACTIONS(1028),
    [anon_sym_eval] = ACTIONS(1030),
    [anon_sym_await] = ACTIONS(1032),
    [anon_sym_field] = ACTIONS(1012),
    [anon_sym_local] = ACTIONS(1034),
    [anon_sym_dynamically] = ACTIONS(1034),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1036),
    [anon_sym_require] = ACTIONS(1038),
    [anon_sym_map] = ACTIONS(1040),
    [anon_sym_grep] = ACTIONS(1040),
    [anon_sym_sort] = ACTIONS(1042),
    [anon_sym_goto] = ACTIONS(1044),
    [anon_sym_return] = ACTIONS(1046),
    [anon_sym_undef] = ACTIONS(1048),
    [anon_sym_PERCENT2] = ACTIONS(1050),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1052),
    [anon_sym_next] = ACTIONS(1052),
    [anon_sym_redo] = ACTIONS(1052),
    [anon_sym___FILE__] = ACTIONS(1020),
    [anon_sym___LINE__] = ACTIONS(1020),
    [anon_sym___PACKAGE__] = ACTIONS(1020),
    [anon_sym___SUB__] = ACTIONS(1020),
    [anon_sym_break] = ACTIONS(1020),
    [anon_sym_fork] = ACTIONS(1020),
    [anon_sym_getppid] = ACTIONS(1020),
    [anon_sym_time] = ACTIONS(1020),
    [anon_sym_times] = ACTIONS(1020),
    [anon_sym_wait] = ACTIONS(1020),
    [anon_sym_wantarray] = ACTIONS(1020),
    [anon_sym_abs] = ACTIONS(1054),
    [anon_sym_alarm] = ACTIONS(1054),
    [anon_sym_chop] = ACTIONS(1054),
    [anon_sym_chdir] = ACTIONS(1054),
    [anon_sym_close] = ACTIONS(1054),
    [anon_sym_closedir] = ACTIONS(1054),
    [anon_sym_caller] = ACTIONS(1054),
    [anon_sym_chomp] = ACTIONS(1054),
    [anon_sym_chr] = ACTIONS(1054),
    [anon_sym_cos] = ACTIONS(1054),
    [anon_sym_chroot] = ACTIONS(1054),
    [anon_sym_defined] = ACTIONS(1054),
    [anon_sym_delete] = ACTIONS(1054),
    [anon_sym_dbmclose] = ACTIONS(1054),
    [anon_sym_exists] = ACTIONS(1054),
    [anon_sym_exit] = ACTIONS(1054),
    [anon_sym_eof] = ACTIONS(1054),
    [anon_sym_exp] = ACTIONS(1054),
    [anon_sym_each] = ACTIONS(1054),
    [anon_sym_fc] = ACTIONS(1054),
    [anon_sym_fileno] = ACTIONS(1054),
    [anon_sym_gmtime] = ACTIONS(1054),
    [anon_sym_getc] = ACTIONS(1054),
    [anon_sym_getpgrp] = ACTIONS(1054),
    [anon_sym_getprotobyname] = ACTIONS(1054),
    [anon_sym_getpwname] = ACTIONS(1054),
    [anon_sym_getpwuid] = ACTIONS(1054),
    [anon_sym_getpeername] = ACTIONS(1054),
    [anon_sym_getnetbyname] = ACTIONS(1054),
    [anon_sym_getsockname] = ACTIONS(1054),
    [anon_sym_getgrnam] = ACTIONS(1054),
    [anon_sym_getgrgid] = ACTIONS(1054),
    [anon_sym_hex] = ACTIONS(1054),
    [anon_sym_int] = ACTIONS(1054),
    [anon_sym_keys] = ACTIONS(1054),
    [anon_sym_lc] = ACTIONS(1054),
    [anon_sym_lcfirst] = ACTIONS(1054),
    [anon_sym_length] = ACTIONS(1054),
    [anon_sym_localtime] = ACTIONS(1054),
    [anon_sym_log] = ACTIONS(1054),
    [anon_sym_lock] = ACTIONS(1054),
    [anon_sym_lstat] = ACTIONS(1054),
    [anon_sym_oct] = ACTIONS(1054),
    [anon_sym_ord] = ACTIONS(1054),
    [anon_sym_prototype] = ACTIONS(1054),
    [anon_sym_pop] = ACTIONS(1054),
    [anon_sym_pos] = ACTIONS(1054),
    [anon_sym_quotemeta] = ACTIONS(1054),
    [anon_sym_reset] = ACTIONS(1054),
    [anon_sym_rand] = ACTIONS(1054),
    [anon_sym_rmdir] = ACTIONS(1054),
    [anon_sym_readdir] = ACTIONS(1054),
    [anon_sym_readline] = ACTIONS(1054),
    [anon_sym_readpipe] = ACTIONS(1054),
    [anon_sym_rewinddir] = ACTIONS(1054),
    [anon_sym_readlink] = ACTIONS(1054),
    [anon_sym_ref] = ACTIONS(1054),
    [anon_sym_scalar] = ACTIONS(1054),
    [anon_sym_shift] = ACTIONS(1054),
    [anon_sym_sin] = ACTIONS(1054),
    [anon_sym_sleep] = ACTIONS(1054),
    [anon_sym_sqrt] = ACTIONS(1054),
    [anon_sym_srand] = ACTIONS(1054),
    [anon_sym_stat] = ACTIONS(1054),
    [anon_sym_study] = ACTIONS(1054),
    [anon_sym_tell] = ACTIONS(1054),
    [anon_sym_telldir] = ACTIONS(1054),
    [anon_sym_tied] = ACTIONS(1054),
    [anon_sym_uc] = ACTIONS(1054),
    [anon_sym_ucfirst] = ACTIONS(1054),
    [anon_sym_untie] = ACTIONS(1054),
    [anon_sym_umask] = ACTIONS(1054),
    [anon_sym_values] = ACTIONS(1054),
    [anon_sym_write] = ACTIONS(1054),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1056),
    [anon_sym_qq] = ACTIONS(1058),
    [anon_sym_qw] = ACTIONS(1060),
    [anon_sym_qx] = ACTIONS(1062),
    [anon_sym_qr] = ACTIONS(1064),
    [anon_sym_m] = ACTIONS(1066),
    [anon_sym_s] = ACTIONS(1068),
    [anon_sym_tr] = ACTIONS(1070),
    [anon_sym_y] = ACTIONS(1070),
    [aux_sym__bareword_token1] = ACTIONS(1072),
    [sym_number] = ACTIONS(1074),
    [anon_sym_true] = ACTIONS(1076),
    [anon_sym_false] = ACTIONS(1076),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(1078),
    [sym__open_fileglob_bracket] = ACTIONS(1080),
    [sym__PERLY_HEREDOC] = ACTIONS(1082),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1084),
    [sym__filetest] = ACTIONS(1086),
    [sym__NONASSOC] = ACTIONS(1796),
  },
  [484] = {
    [sym__PERLY_BRACE_OPEN] = STATE(238),
    [sym__subscripted] = STATE(1915),
    [sym_container_variable] = STATE(3851),
    [sym_array_element_expression] = STATE(1916),
    [sym_hash_element_expression] = STATE(1916),
    [sym_coderef_call_expression] = STATE(1916),
    [sym_anonymous_slice_expression] = STATE(1916),
    [sym_slice_container_variable] = STATE(3852),
    [sym_slice_expression] = STATE(2342),
    [sym_keyval_container_variable] = STATE(3853),
    [sym_keyval_expression] = STATE(2342),
    [sym__term] = STATE(2320),
    [sym_readline_expression] = STATE(2342),
    [sym_fileglob_expression] = STATE(2342),
    [sym_assignment_expression] = STATE(2342),
    [sym_binary_expression] = STATE(2342),
    [sym_equality_expression] = STATE(2342),
    [sym_relational_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2342),
    [sym_preinc_expression] = STATE(2342),
    [sym_postinc_expression] = STATE(2342),
    [sym_conditional_expression] = STATE(2342),
    [sym_refgen_expression] = STATE(2342),
    [sym_anonymous_array_expression] = STATE(2342),
    [sym_anonymous_hash_expression] = STATE(2342),
    [sym_anonymous_subroutine_expression] = STATE(2342),
    [sym_anonymous_method_expression] = STATE(2342),
    [sym_do_expression] = STATE(2342),
    [sym_eval_expression] = STATE(2342),
    [sym_await_expression] = STATE(2342),
    [sym_variable_declaration] = STATE(2342),
    [sym_localization_expression] = STATE(2342),
    [sym_stub_expression] = STATE(2342),
    [sym_scalar_deref_expression] = STATE(2342),
    [sym_array_deref_expression] = STATE(2342),
    [sym_arraylen_deref_expression] = STATE(2342),
    [sym_hash_deref_expression] = STATE(2342),
    [sym_amper_deref_expression] = STATE(2342),
    [sym_glob_deref_expression] = STATE(2342),
    [sym_require_expression] = STATE(2342),
    [sym_require_version_expression] = STATE(2342),
    [sym_func0op_call_expression] = STATE(2342),
    [sym_func1op_call_expression] = STATE(2342),
    [sym_map_grep_expression] = STATE(2342),
    [sym_sort_expression] = STATE(2342),
    [sym_loopex_expression] = STATE(2342),
    [sym_goto_expression] = STATE(2342),
    [sym_return_expression] = STATE(2342),
    [sym_undef_expression] = STATE(2342),
    [sym__listop] = STATE(2342),
    [sym_function_call_expression] = STATE(2343),
    [sym_ambiguous_function_call_expression] = STATE(2343),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(2343),
    [sym_scalar] = STATE(2342),
    [sym_array] = STATE(2342),
    [sym__SUB_AMPER] = STATE(2739),
    [sym__GLOB_STAR] = STATE(2741),
    [sym_hash] = STATE(2342),
    [sym_arraylen] = STATE(2342),
    [sym_amper_sub] = STATE(2181),
    [sym_glob] = STATE(2183),
    [sym_glob_slot_expression] = STATE(2342),
    [sym__literal] = STATE(2342),
    [sym__apostrophe] = STATE(3277),
    [sym__quotation_mark] = STATE(2481),
    [sym__backtick] = STATE(2482),
    [sym__search_slash] = STATE(2447),
    [sym_string_literal] = STATE(2353),
    [sym_interpolated_string_literal] = STATE(2353),
    [sym_quoted_word_list] = STATE(2193),
    [sym_command_string] = STATE(2353),
    [sym_quoted_regexp] = STATE(2353),
    [sym_match_regexp] = STATE(2353),
    [sym_substitution_regexp] = STATE(2353),
    [sym_transliteration_expression] = STATE(2353),
    [sym_heredoc_token] = STATE(2342),
    [sym_command_heredoc_token] = STATE(2342),
    [sym_heredoc_content] = STATE(484),
    [sym_autoquoted_bareword] = STATE(2342),
    [sym_bareword] = STATE(2342),
    [sym_primitive] = STATE(2342),
    [sym_boolean] = STATE(2323),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3366),
    [sym__identifier] = ACTIONS(1072),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1008),
    [anon_sym_AT] = ACTIONS(1010),
    [anon_sym_my] = ACTIONS(1012),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(1014),
    [anon_sym_method] = ACTIONS(1016),
    [anon_sym_LPAREN] = ACTIONS(1018),
    [anon_sym_continue] = ACTIONS(1020),
    [anon_sym_state] = ACTIONS(1012),
    [anon_sym_our] = ACTIONS(1012),
    [anon_sym_LBRACK] = ACTIONS(1022),
    [anon_sym_LT_LT] = ACTIONS(1523),
    [anon_sym_SLASH_SLASH] = ACTIONS(1525),
    [anon_sym_PLUS] = ACTIONS(1024),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_TILDE] = ACTIONS(1024),
    [anon_sym_BANG] = ACTIONS(1024),
    [anon_sym_PLUS_PLUS] = ACTIONS(1529),
    [anon_sym_DASH_DASH] = ACTIONS(1529),
    [anon_sym_BSLASH] = ACTIONS(1026),
    [anon_sym_do] = ACTIONS(1028),
    [anon_sym_eval] = ACTIONS(1030),
    [anon_sym_await] = ACTIONS(1032),
    [anon_sym_field] = ACTIONS(1012),
    [anon_sym_local] = ACTIONS(1034),
    [anon_sym_dynamically] = ACTIONS(1034),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1036),
    [anon_sym_require] = ACTIONS(1038),
    [anon_sym_map] = ACTIONS(1040),
    [anon_sym_grep] = ACTIONS(1040),
    [anon_sym_sort] = ACTIONS(1042),
    [anon_sym_goto] = ACTIONS(1044),
    [anon_sym_return] = ACTIONS(1046),
    [anon_sym_undef] = ACTIONS(1048),
    [anon_sym_PERCENT2] = ACTIONS(1050),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1052),
    [anon_sym_next] = ACTIONS(1052),
    [anon_sym_redo] = ACTIONS(1052),
    [anon_sym___FILE__] = ACTIONS(1020),
    [anon_sym___LINE__] = ACTIONS(1020),
    [anon_sym___PACKAGE__] = ACTIONS(1020),
    [anon_sym___SUB__] = ACTIONS(1020),
    [anon_sym_break] = ACTIONS(1020),
    [anon_sym_fork] = ACTIONS(1020),
    [anon_sym_getppid] = ACTIONS(1020),
    [anon_sym_time] = ACTIONS(1020),
    [anon_sym_times] = ACTIONS(1020),
    [anon_sym_wait] = ACTIONS(1020),
    [anon_sym_wantarray] = ACTIONS(1020),
    [anon_sym_abs] = ACTIONS(1054),
    [anon_sym_alarm] = ACTIONS(1054),
    [anon_sym_chop] = ACTIONS(1054),
    [anon_sym_chdir] = ACTIONS(1054),
    [anon_sym_close] = ACTIONS(1054),
    [anon_sym_closedir] = ACTIONS(1054),
    [anon_sym_caller] = ACTIONS(1054),
    [anon_sym_chomp] = ACTIONS(1054),
    [anon_sym_chr] = ACTIONS(1054),
    [anon_sym_cos] = ACTIONS(1054),
    [anon_sym_chroot] = ACTIONS(1054),
    [anon_sym_defined] = ACTIONS(1054),
    [anon_sym_delete] = ACTIONS(1054),
    [anon_sym_dbmclose] = ACTIONS(1054),
    [anon_sym_exists] = ACTIONS(1054),
    [anon_sym_exit] = ACTIONS(1054),
    [anon_sym_eof] = ACTIONS(1054),
    [anon_sym_exp] = ACTIONS(1054),
    [anon_sym_each] = ACTIONS(1054),
    [anon_sym_fc] = ACTIONS(1054),
    [anon_sym_fileno] = ACTIONS(1054),
    [anon_sym_gmtime] = ACTIONS(1054),
    [anon_sym_getc] = ACTIONS(1054),
    [anon_sym_getpgrp] = ACTIONS(1054),
    [anon_sym_getprotobyname] = ACTIONS(1054),
    [anon_sym_getpwname] = ACTIONS(1054),
    [anon_sym_getpwuid] = ACTIONS(1054),
    [anon_sym_getpeername] = ACTIONS(1054),
    [anon_sym_getnetbyname] = ACTIONS(1054),
    [anon_sym_getsockname] = ACTIONS(1054),
    [anon_sym_getgrnam] = ACTIONS(1054),
    [anon_sym_getgrgid] = ACTIONS(1054),
    [anon_sym_hex] = ACTIONS(1054),
    [anon_sym_int] = ACTIONS(1054),
    [anon_sym_keys] = ACTIONS(1054),
    [anon_sym_lc] = ACTIONS(1054),
    [anon_sym_lcfirst] = ACTIONS(1054),
    [anon_sym_length] = ACTIONS(1054),
    [anon_sym_localtime] = ACTIONS(1054),
    [anon_sym_log] = ACTIONS(1054),
    [anon_sym_lock] = ACTIONS(1054),
    [anon_sym_lstat] = ACTIONS(1054),
    [anon_sym_oct] = ACTIONS(1054),
    [anon_sym_ord] = ACTIONS(1054),
    [anon_sym_prototype] = ACTIONS(1054),
    [anon_sym_pop] = ACTIONS(1054),
    [anon_sym_pos] = ACTIONS(1054),
    [anon_sym_quotemeta] = ACTIONS(1054),
    [anon_sym_reset] = ACTIONS(1054),
    [anon_sym_rand] = ACTIONS(1054),
    [anon_sym_rmdir] = ACTIONS(1054),
    [anon_sym_readdir] = ACTIONS(1054),
    [anon_sym_readline] = ACTIONS(1054),
    [anon_sym_readpipe] = ACTIONS(1054),
    [anon_sym_rewinddir] = ACTIONS(1054),
    [anon_sym_readlink] = ACTIONS(1054),
    [anon_sym_ref] = ACTIONS(1054),
    [anon_sym_scalar] = ACTIONS(1054),
    [anon_sym_shift] = ACTIONS(1054),
    [anon_sym_sin] = ACTIONS(1054),
    [anon_sym_sleep] = ACTIONS(1054),
    [anon_sym_sqrt] = ACTIONS(1054),
    [anon_sym_srand] = ACTIONS(1054),
    [anon_sym_stat] = ACTIONS(1054),
    [anon_sym_study] = ACTIONS(1054),
    [anon_sym_tell] = ACTIONS(1054),
    [anon_sym_telldir] = ACTIONS(1054),
    [anon_sym_tied] = ACTIONS(1054),
    [anon_sym_uc] = ACTIONS(1054),
    [anon_sym_ucfirst] = ACTIONS(1054),
    [anon_sym_untie] = ACTIONS(1054),
    [anon_sym_umask] = ACTIONS(1054),
    [anon_sym_values] = ACTIONS(1054),
    [anon_sym_write] = ACTIONS(1054),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1056),
    [anon_sym_qq] = ACTIONS(1058),
    [anon_sym_qw] = ACTIONS(1060),
    [anon_sym_qx] = ACTIONS(1062),
    [anon_sym_qr] = ACTIONS(1064),
    [anon_sym_m] = ACTIONS(1066),
    [anon_sym_s] = ACTIONS(1068),
    [anon_sym_tr] = ACTIONS(1070),
    [anon_sym_y] = ACTIONS(1070),
    [aux_sym__bareword_token1] = ACTIONS(1072),
    [sym_number] = ACTIONS(1074),
    [anon_sym_true] = ACTIONS(1076),
    [anon_sym_false] = ACTIONS(1076),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(1078),
    [sym__open_fileglob_bracket] = ACTIONS(1080),
    [sym__PERLY_HEREDOC] = ACTIONS(1082),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1084),
    [sym__filetest] = ACTIONS(1086),
    [sym__NONASSOC] = ACTIONS(1798),
  },
  [485] = {
    [sym__PERLY_BRACE_OPEN] = STATE(74),
    [sym_block] = STATE(2176),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2387),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(394),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(485),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1695),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1697),
    [anon_sym_DASH_DASH] = ACTIONS(1697),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(1222),
  },
  [486] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__term_rightward] = STATE(4096),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2116),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(486),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(439),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(439),
    [anon_sym_our] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(451),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_TILDE] = ACTIONS(451),
    [anon_sym_BANG] = ACTIONS(451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1689),
    [anon_sym_DASH_DASH] = ACTIONS(1689),
    [anon_sym_BSLASH] = ACTIONS(453),
    [anon_sym_do] = ACTIONS(455),
    [anon_sym_eval] = ACTIONS(457),
    [anon_sym_await] = ACTIONS(459),
    [anon_sym_field] = ACTIONS(439),
    [anon_sym_local] = ACTIONS(461),
    [anon_sym_dynamically] = ACTIONS(461),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(465),
    [anon_sym_map] = ACTIONS(467),
    [anon_sym_grep] = ACTIONS(467),
    [anon_sym_sort] = ACTIONS(469),
    [anon_sym_goto] = ACTIONS(471),
    [anon_sym_return] = ACTIONS(473),
    [anon_sym_undef] = ACTIONS(475),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(479),
    [anon_sym_next] = ACTIONS(479),
    [anon_sym_redo] = ACTIONS(479),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(481),
    [anon_sym_alarm] = ACTIONS(481),
    [anon_sym_chop] = ACTIONS(481),
    [anon_sym_chdir] = ACTIONS(481),
    [anon_sym_close] = ACTIONS(481),
    [anon_sym_closedir] = ACTIONS(481),
    [anon_sym_caller] = ACTIONS(481),
    [anon_sym_chomp] = ACTIONS(481),
    [anon_sym_chr] = ACTIONS(481),
    [anon_sym_cos] = ACTIONS(481),
    [anon_sym_chroot] = ACTIONS(481),
    [anon_sym_defined] = ACTIONS(481),
    [anon_sym_delete] = ACTIONS(481),
    [anon_sym_dbmclose] = ACTIONS(481),
    [anon_sym_exists] = ACTIONS(481),
    [anon_sym_exit] = ACTIONS(481),
    [anon_sym_eof] = ACTIONS(481),
    [anon_sym_exp] = ACTIONS(481),
    [anon_sym_each] = ACTIONS(481),
    [anon_sym_fc] = ACTIONS(481),
    [anon_sym_fileno] = ACTIONS(481),
    [anon_sym_gmtime] = ACTIONS(481),
    [anon_sym_getc] = ACTIONS(481),
    [anon_sym_getpgrp] = ACTIONS(481),
    [anon_sym_getprotobyname] = ACTIONS(481),
    [anon_sym_getpwname] = ACTIONS(481),
    [anon_sym_getpwuid] = ACTIONS(481),
    [anon_sym_getpeername] = ACTIONS(481),
    [anon_sym_getnetbyname] = ACTIONS(481),
    [anon_sym_getsockname] = ACTIONS(481),
    [anon_sym_getgrnam] = ACTIONS(481),
    [anon_sym_getgrgid] = ACTIONS(481),
    [anon_sym_hex] = ACTIONS(481),
    [anon_sym_int] = ACTIONS(481),
    [anon_sym_keys] = ACTIONS(481),
    [anon_sym_lc] = ACTIONS(481),
    [anon_sym_lcfirst] = ACTIONS(481),
    [anon_sym_length] = ACTIONS(481),
    [anon_sym_localtime] = ACTIONS(481),
    [anon_sym_log] = ACTIONS(481),
    [anon_sym_lock] = ACTIONS(481),
    [anon_sym_lstat] = ACTIONS(481),
    [anon_sym_oct] = ACTIONS(481),
    [anon_sym_ord] = ACTIONS(481),
    [anon_sym_prototype] = ACTIONS(481),
    [anon_sym_pop] = ACTIONS(481),
    [anon_sym_pos] = ACTIONS(481),
    [anon_sym_quotemeta] = ACTIONS(481),
    [anon_sym_reset] = ACTIONS(481),
    [anon_sym_rand] = ACTIONS(481),
    [anon_sym_rmdir] = ACTIONS(481),
    [anon_sym_readdir] = ACTIONS(481),
    [anon_sym_readline] = ACTIONS(481),
    [anon_sym_readpipe] = ACTIONS(481),
    [anon_sym_rewinddir] = ACTIONS(481),
    [anon_sym_readlink] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(481),
    [anon_sym_scalar] = ACTIONS(481),
    [anon_sym_shift] = ACTIONS(481),
    [anon_sym_sin] = ACTIONS(481),
    [anon_sym_sleep] = ACTIONS(481),
    [anon_sym_sqrt] = ACTIONS(481),
    [anon_sym_srand] = ACTIONS(481),
    [anon_sym_stat] = ACTIONS(481),
    [anon_sym_study] = ACTIONS(481),
    [anon_sym_tell] = ACTIONS(481),
    [anon_sym_telldir] = ACTIONS(481),
    [anon_sym_tied] = ACTIONS(481),
    [anon_sym_uc] = ACTIONS(481),
    [anon_sym_ucfirst] = ACTIONS(481),
    [anon_sym_untie] = ACTIONS(481),
    [anon_sym_umask] = ACTIONS(481),
    [anon_sym_values] = ACTIONS(481),
    [anon_sym_write] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(513),
  },
  [487] = {
    [sym__PERLY_BRACE_OPEN] = STATE(74),
    [sym_block] = STATE(2178),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2388),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(394),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(487),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1695),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1697),
    [anon_sym_DASH_DASH] = ACTIONS(1697),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(1222),
  },
  [488] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__term_rightward] = STATE(2053),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2189),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(488),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(439),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(439),
    [anon_sym_our] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(451),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_TILDE] = ACTIONS(451),
    [anon_sym_BANG] = ACTIONS(451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1689),
    [anon_sym_DASH_DASH] = ACTIONS(1689),
    [anon_sym_BSLASH] = ACTIONS(453),
    [anon_sym_do] = ACTIONS(455),
    [anon_sym_eval] = ACTIONS(457),
    [anon_sym_await] = ACTIONS(459),
    [anon_sym_field] = ACTIONS(439),
    [anon_sym_local] = ACTIONS(461),
    [anon_sym_dynamically] = ACTIONS(461),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(465),
    [anon_sym_map] = ACTIONS(467),
    [anon_sym_grep] = ACTIONS(467),
    [anon_sym_sort] = ACTIONS(469),
    [anon_sym_goto] = ACTIONS(471),
    [anon_sym_return] = ACTIONS(473),
    [anon_sym_undef] = ACTIONS(475),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(479),
    [anon_sym_next] = ACTIONS(479),
    [anon_sym_redo] = ACTIONS(479),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(481),
    [anon_sym_alarm] = ACTIONS(481),
    [anon_sym_chop] = ACTIONS(481),
    [anon_sym_chdir] = ACTIONS(481),
    [anon_sym_close] = ACTIONS(481),
    [anon_sym_closedir] = ACTIONS(481),
    [anon_sym_caller] = ACTIONS(481),
    [anon_sym_chomp] = ACTIONS(481),
    [anon_sym_chr] = ACTIONS(481),
    [anon_sym_cos] = ACTIONS(481),
    [anon_sym_chroot] = ACTIONS(481),
    [anon_sym_defined] = ACTIONS(481),
    [anon_sym_delete] = ACTIONS(481),
    [anon_sym_dbmclose] = ACTIONS(481),
    [anon_sym_exists] = ACTIONS(481),
    [anon_sym_exit] = ACTIONS(481),
    [anon_sym_eof] = ACTIONS(481),
    [anon_sym_exp] = ACTIONS(481),
    [anon_sym_each] = ACTIONS(481),
    [anon_sym_fc] = ACTIONS(481),
    [anon_sym_fileno] = ACTIONS(481),
    [anon_sym_gmtime] = ACTIONS(481),
    [anon_sym_getc] = ACTIONS(481),
    [anon_sym_getpgrp] = ACTIONS(481),
    [anon_sym_getprotobyname] = ACTIONS(481),
    [anon_sym_getpwname] = ACTIONS(481),
    [anon_sym_getpwuid] = ACTIONS(481),
    [anon_sym_getpeername] = ACTIONS(481),
    [anon_sym_getnetbyname] = ACTIONS(481),
    [anon_sym_getsockname] = ACTIONS(481),
    [anon_sym_getgrnam] = ACTIONS(481),
    [anon_sym_getgrgid] = ACTIONS(481),
    [anon_sym_hex] = ACTIONS(481),
    [anon_sym_int] = ACTIONS(481),
    [anon_sym_keys] = ACTIONS(481),
    [anon_sym_lc] = ACTIONS(481),
    [anon_sym_lcfirst] = ACTIONS(481),
    [anon_sym_length] = ACTIONS(481),
    [anon_sym_localtime] = ACTIONS(481),
    [anon_sym_log] = ACTIONS(481),
    [anon_sym_lock] = ACTIONS(481),
    [anon_sym_lstat] = ACTIONS(481),
    [anon_sym_oct] = ACTIONS(481),
    [anon_sym_ord] = ACTIONS(481),
    [anon_sym_prototype] = ACTIONS(481),
    [anon_sym_pop] = ACTIONS(481),
    [anon_sym_pos] = ACTIONS(481),
    [anon_sym_quotemeta] = ACTIONS(481),
    [anon_sym_reset] = ACTIONS(481),
    [anon_sym_rand] = ACTIONS(481),
    [anon_sym_rmdir] = ACTIONS(481),
    [anon_sym_readdir] = ACTIONS(481),
    [anon_sym_readline] = ACTIONS(481),
    [anon_sym_readpipe] = ACTIONS(481),
    [anon_sym_rewinddir] = ACTIONS(481),
    [anon_sym_readlink] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(481),
    [anon_sym_scalar] = ACTIONS(481),
    [anon_sym_shift] = ACTIONS(481),
    [anon_sym_sin] = ACTIONS(481),
    [anon_sym_sleep] = ACTIONS(481),
    [anon_sym_sqrt] = ACTIONS(481),
    [anon_sym_srand] = ACTIONS(481),
    [anon_sym_stat] = ACTIONS(481),
    [anon_sym_study] = ACTIONS(481),
    [anon_sym_tell] = ACTIONS(481),
    [anon_sym_telldir] = ACTIONS(481),
    [anon_sym_tied] = ACTIONS(481),
    [anon_sym_uc] = ACTIONS(481),
    [anon_sym_ucfirst] = ACTIONS(481),
    [anon_sym_untie] = ACTIONS(481),
    [anon_sym_umask] = ACTIONS(481),
    [anon_sym_values] = ACTIONS(481),
    [anon_sym_write] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(513),
  },
  [489] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__term_rightward] = STATE(2054),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2189),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(489),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(439),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(439),
    [anon_sym_our] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(451),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_TILDE] = ACTIONS(451),
    [anon_sym_BANG] = ACTIONS(451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1689),
    [anon_sym_DASH_DASH] = ACTIONS(1689),
    [anon_sym_BSLASH] = ACTIONS(453),
    [anon_sym_do] = ACTIONS(455),
    [anon_sym_eval] = ACTIONS(457),
    [anon_sym_await] = ACTIONS(459),
    [anon_sym_field] = ACTIONS(439),
    [anon_sym_local] = ACTIONS(461),
    [anon_sym_dynamically] = ACTIONS(461),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(465),
    [anon_sym_map] = ACTIONS(467),
    [anon_sym_grep] = ACTIONS(467),
    [anon_sym_sort] = ACTIONS(469),
    [anon_sym_goto] = ACTIONS(471),
    [anon_sym_return] = ACTIONS(473),
    [anon_sym_undef] = ACTIONS(475),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(479),
    [anon_sym_next] = ACTIONS(479),
    [anon_sym_redo] = ACTIONS(479),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(481),
    [anon_sym_alarm] = ACTIONS(481),
    [anon_sym_chop] = ACTIONS(481),
    [anon_sym_chdir] = ACTIONS(481),
    [anon_sym_close] = ACTIONS(481),
    [anon_sym_closedir] = ACTIONS(481),
    [anon_sym_caller] = ACTIONS(481),
    [anon_sym_chomp] = ACTIONS(481),
    [anon_sym_chr] = ACTIONS(481),
    [anon_sym_cos] = ACTIONS(481),
    [anon_sym_chroot] = ACTIONS(481),
    [anon_sym_defined] = ACTIONS(481),
    [anon_sym_delete] = ACTIONS(481),
    [anon_sym_dbmclose] = ACTIONS(481),
    [anon_sym_exists] = ACTIONS(481),
    [anon_sym_exit] = ACTIONS(481),
    [anon_sym_eof] = ACTIONS(481),
    [anon_sym_exp] = ACTIONS(481),
    [anon_sym_each] = ACTIONS(481),
    [anon_sym_fc] = ACTIONS(481),
    [anon_sym_fileno] = ACTIONS(481),
    [anon_sym_gmtime] = ACTIONS(481),
    [anon_sym_getc] = ACTIONS(481),
    [anon_sym_getpgrp] = ACTIONS(481),
    [anon_sym_getprotobyname] = ACTIONS(481),
    [anon_sym_getpwname] = ACTIONS(481),
    [anon_sym_getpwuid] = ACTIONS(481),
    [anon_sym_getpeername] = ACTIONS(481),
    [anon_sym_getnetbyname] = ACTIONS(481),
    [anon_sym_getsockname] = ACTIONS(481),
    [anon_sym_getgrnam] = ACTIONS(481),
    [anon_sym_getgrgid] = ACTIONS(481),
    [anon_sym_hex] = ACTIONS(481),
    [anon_sym_int] = ACTIONS(481),
    [anon_sym_keys] = ACTIONS(481),
    [anon_sym_lc] = ACTIONS(481),
    [anon_sym_lcfirst] = ACTIONS(481),
    [anon_sym_length] = ACTIONS(481),
    [anon_sym_localtime] = ACTIONS(481),
    [anon_sym_log] = ACTIONS(481),
    [anon_sym_lock] = ACTIONS(481),
    [anon_sym_lstat] = ACTIONS(481),
    [anon_sym_oct] = ACTIONS(481),
    [anon_sym_ord] = ACTIONS(481),
    [anon_sym_prototype] = ACTIONS(481),
    [anon_sym_pop] = ACTIONS(481),
    [anon_sym_pos] = ACTIONS(481),
    [anon_sym_quotemeta] = ACTIONS(481),
    [anon_sym_reset] = ACTIONS(481),
    [anon_sym_rand] = ACTIONS(481),
    [anon_sym_rmdir] = ACTIONS(481),
    [anon_sym_readdir] = ACTIONS(481),
    [anon_sym_readline] = ACTIONS(481),
    [anon_sym_readpipe] = ACTIONS(481),
    [anon_sym_rewinddir] = ACTIONS(481),
    [anon_sym_readlink] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(481),
    [anon_sym_scalar] = ACTIONS(481),
    [anon_sym_shift] = ACTIONS(481),
    [anon_sym_sin] = ACTIONS(481),
    [anon_sym_sleep] = ACTIONS(481),
    [anon_sym_sqrt] = ACTIONS(481),
    [anon_sym_srand] = ACTIONS(481),
    [anon_sym_stat] = ACTIONS(481),
    [anon_sym_study] = ACTIONS(481),
    [anon_sym_tell] = ACTIONS(481),
    [anon_sym_telldir] = ACTIONS(481),
    [anon_sym_tied] = ACTIONS(481),
    [anon_sym_uc] = ACTIONS(481),
    [anon_sym_ucfirst] = ACTIONS(481),
    [anon_sym_untie] = ACTIONS(481),
    [anon_sym_umask] = ACTIONS(481),
    [anon_sym_values] = ACTIONS(481),
    [anon_sym_write] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(513),
  },
  [490] = {
    [sym__PERLY_BRACE_OPEN] = STATE(237),
    [sym__term_rightward] = STATE(1320),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1271),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(490),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [491] = {
    [sym__PERLY_BRACE_OPEN] = STATE(237),
    [sym__term_rightward] = STATE(1346),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1271),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(491),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [492] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__term_rightward] = STATE(2097),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2189),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(492),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(439),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(439),
    [anon_sym_our] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(451),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_TILDE] = ACTIONS(451),
    [anon_sym_BANG] = ACTIONS(451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1689),
    [anon_sym_DASH_DASH] = ACTIONS(1689),
    [anon_sym_BSLASH] = ACTIONS(453),
    [anon_sym_do] = ACTIONS(455),
    [anon_sym_eval] = ACTIONS(457),
    [anon_sym_await] = ACTIONS(459),
    [anon_sym_field] = ACTIONS(439),
    [anon_sym_local] = ACTIONS(461),
    [anon_sym_dynamically] = ACTIONS(461),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(465),
    [anon_sym_map] = ACTIONS(467),
    [anon_sym_grep] = ACTIONS(467),
    [anon_sym_sort] = ACTIONS(469),
    [anon_sym_goto] = ACTIONS(471),
    [anon_sym_return] = ACTIONS(473),
    [anon_sym_undef] = ACTIONS(475),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(479),
    [anon_sym_next] = ACTIONS(479),
    [anon_sym_redo] = ACTIONS(479),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(481),
    [anon_sym_alarm] = ACTIONS(481),
    [anon_sym_chop] = ACTIONS(481),
    [anon_sym_chdir] = ACTIONS(481),
    [anon_sym_close] = ACTIONS(481),
    [anon_sym_closedir] = ACTIONS(481),
    [anon_sym_caller] = ACTIONS(481),
    [anon_sym_chomp] = ACTIONS(481),
    [anon_sym_chr] = ACTIONS(481),
    [anon_sym_cos] = ACTIONS(481),
    [anon_sym_chroot] = ACTIONS(481),
    [anon_sym_defined] = ACTIONS(481),
    [anon_sym_delete] = ACTIONS(481),
    [anon_sym_dbmclose] = ACTIONS(481),
    [anon_sym_exists] = ACTIONS(481),
    [anon_sym_exit] = ACTIONS(481),
    [anon_sym_eof] = ACTIONS(481),
    [anon_sym_exp] = ACTIONS(481),
    [anon_sym_each] = ACTIONS(481),
    [anon_sym_fc] = ACTIONS(481),
    [anon_sym_fileno] = ACTIONS(481),
    [anon_sym_gmtime] = ACTIONS(481),
    [anon_sym_getc] = ACTIONS(481),
    [anon_sym_getpgrp] = ACTIONS(481),
    [anon_sym_getprotobyname] = ACTIONS(481),
    [anon_sym_getpwname] = ACTIONS(481),
    [anon_sym_getpwuid] = ACTIONS(481),
    [anon_sym_getpeername] = ACTIONS(481),
    [anon_sym_getnetbyname] = ACTIONS(481),
    [anon_sym_getsockname] = ACTIONS(481),
    [anon_sym_getgrnam] = ACTIONS(481),
    [anon_sym_getgrgid] = ACTIONS(481),
    [anon_sym_hex] = ACTIONS(481),
    [anon_sym_int] = ACTIONS(481),
    [anon_sym_keys] = ACTIONS(481),
    [anon_sym_lc] = ACTIONS(481),
    [anon_sym_lcfirst] = ACTIONS(481),
    [anon_sym_length] = ACTIONS(481),
    [anon_sym_localtime] = ACTIONS(481),
    [anon_sym_log] = ACTIONS(481),
    [anon_sym_lock] = ACTIONS(481),
    [anon_sym_lstat] = ACTIONS(481),
    [anon_sym_oct] = ACTIONS(481),
    [anon_sym_ord] = ACTIONS(481),
    [anon_sym_prototype] = ACTIONS(481),
    [anon_sym_pop] = ACTIONS(481),
    [anon_sym_pos] = ACTIONS(481),
    [anon_sym_quotemeta] = ACTIONS(481),
    [anon_sym_reset] = ACTIONS(481),
    [anon_sym_rand] = ACTIONS(481),
    [anon_sym_rmdir] = ACTIONS(481),
    [anon_sym_readdir] = ACTIONS(481),
    [anon_sym_readline] = ACTIONS(481),
    [anon_sym_readpipe] = ACTIONS(481),
    [anon_sym_rewinddir] = ACTIONS(481),
    [anon_sym_readlink] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(481),
    [anon_sym_scalar] = ACTIONS(481),
    [anon_sym_shift] = ACTIONS(481),
    [anon_sym_sin] = ACTIONS(481),
    [anon_sym_sleep] = ACTIONS(481),
    [anon_sym_sqrt] = ACTIONS(481),
    [anon_sym_srand] = ACTIONS(481),
    [anon_sym_stat] = ACTIONS(481),
    [anon_sym_study] = ACTIONS(481),
    [anon_sym_tell] = ACTIONS(481),
    [anon_sym_telldir] = ACTIONS(481),
    [anon_sym_tied] = ACTIONS(481),
    [anon_sym_uc] = ACTIONS(481),
    [anon_sym_ucfirst] = ACTIONS(481),
    [anon_sym_untie] = ACTIONS(481),
    [anon_sym_umask] = ACTIONS(481),
    [anon_sym_values] = ACTIONS(481),
    [anon_sym_write] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(513),
  },
  [493] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__term_rightward] = STATE(2072),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2189),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(493),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(439),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(439),
    [anon_sym_our] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(451),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_TILDE] = ACTIONS(451),
    [anon_sym_BANG] = ACTIONS(451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1689),
    [anon_sym_DASH_DASH] = ACTIONS(1689),
    [anon_sym_BSLASH] = ACTIONS(453),
    [anon_sym_do] = ACTIONS(455),
    [anon_sym_eval] = ACTIONS(457),
    [anon_sym_await] = ACTIONS(459),
    [anon_sym_field] = ACTIONS(439),
    [anon_sym_local] = ACTIONS(461),
    [anon_sym_dynamically] = ACTIONS(461),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(465),
    [anon_sym_map] = ACTIONS(467),
    [anon_sym_grep] = ACTIONS(467),
    [anon_sym_sort] = ACTIONS(469),
    [anon_sym_goto] = ACTIONS(471),
    [anon_sym_return] = ACTIONS(473),
    [anon_sym_undef] = ACTIONS(475),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(479),
    [anon_sym_next] = ACTIONS(479),
    [anon_sym_redo] = ACTIONS(479),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(481),
    [anon_sym_alarm] = ACTIONS(481),
    [anon_sym_chop] = ACTIONS(481),
    [anon_sym_chdir] = ACTIONS(481),
    [anon_sym_close] = ACTIONS(481),
    [anon_sym_closedir] = ACTIONS(481),
    [anon_sym_caller] = ACTIONS(481),
    [anon_sym_chomp] = ACTIONS(481),
    [anon_sym_chr] = ACTIONS(481),
    [anon_sym_cos] = ACTIONS(481),
    [anon_sym_chroot] = ACTIONS(481),
    [anon_sym_defined] = ACTIONS(481),
    [anon_sym_delete] = ACTIONS(481),
    [anon_sym_dbmclose] = ACTIONS(481),
    [anon_sym_exists] = ACTIONS(481),
    [anon_sym_exit] = ACTIONS(481),
    [anon_sym_eof] = ACTIONS(481),
    [anon_sym_exp] = ACTIONS(481),
    [anon_sym_each] = ACTIONS(481),
    [anon_sym_fc] = ACTIONS(481),
    [anon_sym_fileno] = ACTIONS(481),
    [anon_sym_gmtime] = ACTIONS(481),
    [anon_sym_getc] = ACTIONS(481),
    [anon_sym_getpgrp] = ACTIONS(481),
    [anon_sym_getprotobyname] = ACTIONS(481),
    [anon_sym_getpwname] = ACTIONS(481),
    [anon_sym_getpwuid] = ACTIONS(481),
    [anon_sym_getpeername] = ACTIONS(481),
    [anon_sym_getnetbyname] = ACTIONS(481),
    [anon_sym_getsockname] = ACTIONS(481),
    [anon_sym_getgrnam] = ACTIONS(481),
    [anon_sym_getgrgid] = ACTIONS(481),
    [anon_sym_hex] = ACTIONS(481),
    [anon_sym_int] = ACTIONS(481),
    [anon_sym_keys] = ACTIONS(481),
    [anon_sym_lc] = ACTIONS(481),
    [anon_sym_lcfirst] = ACTIONS(481),
    [anon_sym_length] = ACTIONS(481),
    [anon_sym_localtime] = ACTIONS(481),
    [anon_sym_log] = ACTIONS(481),
    [anon_sym_lock] = ACTIONS(481),
    [anon_sym_lstat] = ACTIONS(481),
    [anon_sym_oct] = ACTIONS(481),
    [anon_sym_ord] = ACTIONS(481),
    [anon_sym_prototype] = ACTIONS(481),
    [anon_sym_pop] = ACTIONS(481),
    [anon_sym_pos] = ACTIONS(481),
    [anon_sym_quotemeta] = ACTIONS(481),
    [anon_sym_reset] = ACTIONS(481),
    [anon_sym_rand] = ACTIONS(481),
    [anon_sym_rmdir] = ACTIONS(481),
    [anon_sym_readdir] = ACTIONS(481),
    [anon_sym_readline] = ACTIONS(481),
    [anon_sym_readpipe] = ACTIONS(481),
    [anon_sym_rewinddir] = ACTIONS(481),
    [anon_sym_readlink] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(481),
    [anon_sym_scalar] = ACTIONS(481),
    [anon_sym_shift] = ACTIONS(481),
    [anon_sym_sin] = ACTIONS(481),
    [anon_sym_sleep] = ACTIONS(481),
    [anon_sym_sqrt] = ACTIONS(481),
    [anon_sym_srand] = ACTIONS(481),
    [anon_sym_stat] = ACTIONS(481),
    [anon_sym_study] = ACTIONS(481),
    [anon_sym_tell] = ACTIONS(481),
    [anon_sym_telldir] = ACTIONS(481),
    [anon_sym_tied] = ACTIONS(481),
    [anon_sym_uc] = ACTIONS(481),
    [anon_sym_ucfirst] = ACTIONS(481),
    [anon_sym_untie] = ACTIONS(481),
    [anon_sym_umask] = ACTIONS(481),
    [anon_sym_values] = ACTIONS(481),
    [anon_sym_write] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(513),
  },
  [494] = {
    [sym__PERLY_BRACE_OPEN] = STATE(237),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1332),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(494),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
    [sym__NONASSOC] = ACTIONS(1764),
  },
  [495] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__term_rightward] = STATE(2085),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2189),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(495),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(439),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(439),
    [anon_sym_our] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(451),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_TILDE] = ACTIONS(451),
    [anon_sym_BANG] = ACTIONS(451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1689),
    [anon_sym_DASH_DASH] = ACTIONS(1689),
    [anon_sym_BSLASH] = ACTIONS(453),
    [anon_sym_do] = ACTIONS(455),
    [anon_sym_eval] = ACTIONS(457),
    [anon_sym_await] = ACTIONS(459),
    [anon_sym_field] = ACTIONS(439),
    [anon_sym_local] = ACTIONS(461),
    [anon_sym_dynamically] = ACTIONS(461),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(465),
    [anon_sym_map] = ACTIONS(467),
    [anon_sym_grep] = ACTIONS(467),
    [anon_sym_sort] = ACTIONS(469),
    [anon_sym_goto] = ACTIONS(471),
    [anon_sym_return] = ACTIONS(473),
    [anon_sym_undef] = ACTIONS(475),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(479),
    [anon_sym_next] = ACTIONS(479),
    [anon_sym_redo] = ACTIONS(479),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(481),
    [anon_sym_alarm] = ACTIONS(481),
    [anon_sym_chop] = ACTIONS(481),
    [anon_sym_chdir] = ACTIONS(481),
    [anon_sym_close] = ACTIONS(481),
    [anon_sym_closedir] = ACTIONS(481),
    [anon_sym_caller] = ACTIONS(481),
    [anon_sym_chomp] = ACTIONS(481),
    [anon_sym_chr] = ACTIONS(481),
    [anon_sym_cos] = ACTIONS(481),
    [anon_sym_chroot] = ACTIONS(481),
    [anon_sym_defined] = ACTIONS(481),
    [anon_sym_delete] = ACTIONS(481),
    [anon_sym_dbmclose] = ACTIONS(481),
    [anon_sym_exists] = ACTIONS(481),
    [anon_sym_exit] = ACTIONS(481),
    [anon_sym_eof] = ACTIONS(481),
    [anon_sym_exp] = ACTIONS(481),
    [anon_sym_each] = ACTIONS(481),
    [anon_sym_fc] = ACTIONS(481),
    [anon_sym_fileno] = ACTIONS(481),
    [anon_sym_gmtime] = ACTIONS(481),
    [anon_sym_getc] = ACTIONS(481),
    [anon_sym_getpgrp] = ACTIONS(481),
    [anon_sym_getprotobyname] = ACTIONS(481),
    [anon_sym_getpwname] = ACTIONS(481),
    [anon_sym_getpwuid] = ACTIONS(481),
    [anon_sym_getpeername] = ACTIONS(481),
    [anon_sym_getnetbyname] = ACTIONS(481),
    [anon_sym_getsockname] = ACTIONS(481),
    [anon_sym_getgrnam] = ACTIONS(481),
    [anon_sym_getgrgid] = ACTIONS(481),
    [anon_sym_hex] = ACTIONS(481),
    [anon_sym_int] = ACTIONS(481),
    [anon_sym_keys] = ACTIONS(481),
    [anon_sym_lc] = ACTIONS(481),
    [anon_sym_lcfirst] = ACTIONS(481),
    [anon_sym_length] = ACTIONS(481),
    [anon_sym_localtime] = ACTIONS(481),
    [anon_sym_log] = ACTIONS(481),
    [anon_sym_lock] = ACTIONS(481),
    [anon_sym_lstat] = ACTIONS(481),
    [anon_sym_oct] = ACTIONS(481),
    [anon_sym_ord] = ACTIONS(481),
    [anon_sym_prototype] = ACTIONS(481),
    [anon_sym_pop] = ACTIONS(481),
    [anon_sym_pos] = ACTIONS(481),
    [anon_sym_quotemeta] = ACTIONS(481),
    [anon_sym_reset] = ACTIONS(481),
    [anon_sym_rand] = ACTIONS(481),
    [anon_sym_rmdir] = ACTIONS(481),
    [anon_sym_readdir] = ACTIONS(481),
    [anon_sym_readline] = ACTIONS(481),
    [anon_sym_readpipe] = ACTIONS(481),
    [anon_sym_rewinddir] = ACTIONS(481),
    [anon_sym_readlink] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(481),
    [anon_sym_scalar] = ACTIONS(481),
    [anon_sym_shift] = ACTIONS(481),
    [anon_sym_sin] = ACTIONS(481),
    [anon_sym_sleep] = ACTIONS(481),
    [anon_sym_sqrt] = ACTIONS(481),
    [anon_sym_srand] = ACTIONS(481),
    [anon_sym_stat] = ACTIONS(481),
    [anon_sym_study] = ACTIONS(481),
    [anon_sym_tell] = ACTIONS(481),
    [anon_sym_telldir] = ACTIONS(481),
    [anon_sym_tied] = ACTIONS(481),
    [anon_sym_uc] = ACTIONS(481),
    [anon_sym_ucfirst] = ACTIONS(481),
    [anon_sym_untie] = ACTIONS(481),
    [anon_sym_umask] = ACTIONS(481),
    [anon_sym_values] = ACTIONS(481),
    [anon_sym_write] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(513),
  },
  [496] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__term_rightward] = STATE(3940),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2116),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(496),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(439),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(439),
    [anon_sym_our] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(451),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_TILDE] = ACTIONS(451),
    [anon_sym_BANG] = ACTIONS(451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1689),
    [anon_sym_DASH_DASH] = ACTIONS(1689),
    [anon_sym_BSLASH] = ACTIONS(453),
    [anon_sym_do] = ACTIONS(455),
    [anon_sym_eval] = ACTIONS(457),
    [anon_sym_await] = ACTIONS(459),
    [anon_sym_field] = ACTIONS(439),
    [anon_sym_local] = ACTIONS(461),
    [anon_sym_dynamically] = ACTIONS(461),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(465),
    [anon_sym_map] = ACTIONS(467),
    [anon_sym_grep] = ACTIONS(467),
    [anon_sym_sort] = ACTIONS(469),
    [anon_sym_goto] = ACTIONS(471),
    [anon_sym_return] = ACTIONS(473),
    [anon_sym_undef] = ACTIONS(475),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(479),
    [anon_sym_next] = ACTIONS(479),
    [anon_sym_redo] = ACTIONS(479),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(481),
    [anon_sym_alarm] = ACTIONS(481),
    [anon_sym_chop] = ACTIONS(481),
    [anon_sym_chdir] = ACTIONS(481),
    [anon_sym_close] = ACTIONS(481),
    [anon_sym_closedir] = ACTIONS(481),
    [anon_sym_caller] = ACTIONS(481),
    [anon_sym_chomp] = ACTIONS(481),
    [anon_sym_chr] = ACTIONS(481),
    [anon_sym_cos] = ACTIONS(481),
    [anon_sym_chroot] = ACTIONS(481),
    [anon_sym_defined] = ACTIONS(481),
    [anon_sym_delete] = ACTIONS(481),
    [anon_sym_dbmclose] = ACTIONS(481),
    [anon_sym_exists] = ACTIONS(481),
    [anon_sym_exit] = ACTIONS(481),
    [anon_sym_eof] = ACTIONS(481),
    [anon_sym_exp] = ACTIONS(481),
    [anon_sym_each] = ACTIONS(481),
    [anon_sym_fc] = ACTIONS(481),
    [anon_sym_fileno] = ACTIONS(481),
    [anon_sym_gmtime] = ACTIONS(481),
    [anon_sym_getc] = ACTIONS(481),
    [anon_sym_getpgrp] = ACTIONS(481),
    [anon_sym_getprotobyname] = ACTIONS(481),
    [anon_sym_getpwname] = ACTIONS(481),
    [anon_sym_getpwuid] = ACTIONS(481),
    [anon_sym_getpeername] = ACTIONS(481),
    [anon_sym_getnetbyname] = ACTIONS(481),
    [anon_sym_getsockname] = ACTIONS(481),
    [anon_sym_getgrnam] = ACTIONS(481),
    [anon_sym_getgrgid] = ACTIONS(481),
    [anon_sym_hex] = ACTIONS(481),
    [anon_sym_int] = ACTIONS(481),
    [anon_sym_keys] = ACTIONS(481),
    [anon_sym_lc] = ACTIONS(481),
    [anon_sym_lcfirst] = ACTIONS(481),
    [anon_sym_length] = ACTIONS(481),
    [anon_sym_localtime] = ACTIONS(481),
    [anon_sym_log] = ACTIONS(481),
    [anon_sym_lock] = ACTIONS(481),
    [anon_sym_lstat] = ACTIONS(481),
    [anon_sym_oct] = ACTIONS(481),
    [anon_sym_ord] = ACTIONS(481),
    [anon_sym_prototype] = ACTIONS(481),
    [anon_sym_pop] = ACTIONS(481),
    [anon_sym_pos] = ACTIONS(481),
    [anon_sym_quotemeta] = ACTIONS(481),
    [anon_sym_reset] = ACTIONS(481),
    [anon_sym_rand] = ACTIONS(481),
    [anon_sym_rmdir] = ACTIONS(481),
    [anon_sym_readdir] = ACTIONS(481),
    [anon_sym_readline] = ACTIONS(481),
    [anon_sym_readpipe] = ACTIONS(481),
    [anon_sym_rewinddir] = ACTIONS(481),
    [anon_sym_readlink] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(481),
    [anon_sym_scalar] = ACTIONS(481),
    [anon_sym_shift] = ACTIONS(481),
    [anon_sym_sin] = ACTIONS(481),
    [anon_sym_sleep] = ACTIONS(481),
    [anon_sym_sqrt] = ACTIONS(481),
    [anon_sym_srand] = ACTIONS(481),
    [anon_sym_stat] = ACTIONS(481),
    [anon_sym_study] = ACTIONS(481),
    [anon_sym_tell] = ACTIONS(481),
    [anon_sym_telldir] = ACTIONS(481),
    [anon_sym_tied] = ACTIONS(481),
    [anon_sym_uc] = ACTIONS(481),
    [anon_sym_ucfirst] = ACTIONS(481),
    [anon_sym_untie] = ACTIONS(481),
    [anon_sym_umask] = ACTIONS(481),
    [anon_sym_values] = ACTIONS(481),
    [anon_sym_write] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(513),
  },
  [497] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__term_rightward] = STATE(3941),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2116),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(497),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(439),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(439),
    [anon_sym_our] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(451),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_TILDE] = ACTIONS(451),
    [anon_sym_BANG] = ACTIONS(451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1689),
    [anon_sym_DASH_DASH] = ACTIONS(1689),
    [anon_sym_BSLASH] = ACTIONS(453),
    [anon_sym_do] = ACTIONS(455),
    [anon_sym_eval] = ACTIONS(457),
    [anon_sym_await] = ACTIONS(459),
    [anon_sym_field] = ACTIONS(439),
    [anon_sym_local] = ACTIONS(461),
    [anon_sym_dynamically] = ACTIONS(461),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(465),
    [anon_sym_map] = ACTIONS(467),
    [anon_sym_grep] = ACTIONS(467),
    [anon_sym_sort] = ACTIONS(469),
    [anon_sym_goto] = ACTIONS(471),
    [anon_sym_return] = ACTIONS(473),
    [anon_sym_undef] = ACTIONS(475),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(479),
    [anon_sym_next] = ACTIONS(479),
    [anon_sym_redo] = ACTIONS(479),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(481),
    [anon_sym_alarm] = ACTIONS(481),
    [anon_sym_chop] = ACTIONS(481),
    [anon_sym_chdir] = ACTIONS(481),
    [anon_sym_close] = ACTIONS(481),
    [anon_sym_closedir] = ACTIONS(481),
    [anon_sym_caller] = ACTIONS(481),
    [anon_sym_chomp] = ACTIONS(481),
    [anon_sym_chr] = ACTIONS(481),
    [anon_sym_cos] = ACTIONS(481),
    [anon_sym_chroot] = ACTIONS(481),
    [anon_sym_defined] = ACTIONS(481),
    [anon_sym_delete] = ACTIONS(481),
    [anon_sym_dbmclose] = ACTIONS(481),
    [anon_sym_exists] = ACTIONS(481),
    [anon_sym_exit] = ACTIONS(481),
    [anon_sym_eof] = ACTIONS(481),
    [anon_sym_exp] = ACTIONS(481),
    [anon_sym_each] = ACTIONS(481),
    [anon_sym_fc] = ACTIONS(481),
    [anon_sym_fileno] = ACTIONS(481),
    [anon_sym_gmtime] = ACTIONS(481),
    [anon_sym_getc] = ACTIONS(481),
    [anon_sym_getpgrp] = ACTIONS(481),
    [anon_sym_getprotobyname] = ACTIONS(481),
    [anon_sym_getpwname] = ACTIONS(481),
    [anon_sym_getpwuid] = ACTIONS(481),
    [anon_sym_getpeername] = ACTIONS(481),
    [anon_sym_getnetbyname] = ACTIONS(481),
    [anon_sym_getsockname] = ACTIONS(481),
    [anon_sym_getgrnam] = ACTIONS(481),
    [anon_sym_getgrgid] = ACTIONS(481),
    [anon_sym_hex] = ACTIONS(481),
    [anon_sym_int] = ACTIONS(481),
    [anon_sym_keys] = ACTIONS(481),
    [anon_sym_lc] = ACTIONS(481),
    [anon_sym_lcfirst] = ACTIONS(481),
    [anon_sym_length] = ACTIONS(481),
    [anon_sym_localtime] = ACTIONS(481),
    [anon_sym_log] = ACTIONS(481),
    [anon_sym_lock] = ACTIONS(481),
    [anon_sym_lstat] = ACTIONS(481),
    [anon_sym_oct] = ACTIONS(481),
    [anon_sym_ord] = ACTIONS(481),
    [anon_sym_prototype] = ACTIONS(481),
    [anon_sym_pop] = ACTIONS(481),
    [anon_sym_pos] = ACTIONS(481),
    [anon_sym_quotemeta] = ACTIONS(481),
    [anon_sym_reset] = ACTIONS(481),
    [anon_sym_rand] = ACTIONS(481),
    [anon_sym_rmdir] = ACTIONS(481),
    [anon_sym_readdir] = ACTIONS(481),
    [anon_sym_readline] = ACTIONS(481),
    [anon_sym_readpipe] = ACTIONS(481),
    [anon_sym_rewinddir] = ACTIONS(481),
    [anon_sym_readlink] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(481),
    [anon_sym_scalar] = ACTIONS(481),
    [anon_sym_shift] = ACTIONS(481),
    [anon_sym_sin] = ACTIONS(481),
    [anon_sym_sleep] = ACTIONS(481),
    [anon_sym_sqrt] = ACTIONS(481),
    [anon_sym_srand] = ACTIONS(481),
    [anon_sym_stat] = ACTIONS(481),
    [anon_sym_study] = ACTIONS(481),
    [anon_sym_tell] = ACTIONS(481),
    [anon_sym_telldir] = ACTIONS(481),
    [anon_sym_tied] = ACTIONS(481),
    [anon_sym_uc] = ACTIONS(481),
    [anon_sym_ucfirst] = ACTIONS(481),
    [anon_sym_untie] = ACTIONS(481),
    [anon_sym_umask] = ACTIONS(481),
    [anon_sym_values] = ACTIONS(481),
    [anon_sym_write] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(513),
  },
  [498] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__term_rightward] = STATE(3967),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2116),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(498),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(439),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(439),
    [anon_sym_our] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(451),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_TILDE] = ACTIONS(451),
    [anon_sym_BANG] = ACTIONS(451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1689),
    [anon_sym_DASH_DASH] = ACTIONS(1689),
    [anon_sym_BSLASH] = ACTIONS(453),
    [anon_sym_do] = ACTIONS(455),
    [anon_sym_eval] = ACTIONS(457),
    [anon_sym_await] = ACTIONS(459),
    [anon_sym_field] = ACTIONS(439),
    [anon_sym_local] = ACTIONS(461),
    [anon_sym_dynamically] = ACTIONS(461),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(465),
    [anon_sym_map] = ACTIONS(467),
    [anon_sym_grep] = ACTIONS(467),
    [anon_sym_sort] = ACTIONS(469),
    [anon_sym_goto] = ACTIONS(471),
    [anon_sym_return] = ACTIONS(473),
    [anon_sym_undef] = ACTIONS(475),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(479),
    [anon_sym_next] = ACTIONS(479),
    [anon_sym_redo] = ACTIONS(479),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(481),
    [anon_sym_alarm] = ACTIONS(481),
    [anon_sym_chop] = ACTIONS(481),
    [anon_sym_chdir] = ACTIONS(481),
    [anon_sym_close] = ACTIONS(481),
    [anon_sym_closedir] = ACTIONS(481),
    [anon_sym_caller] = ACTIONS(481),
    [anon_sym_chomp] = ACTIONS(481),
    [anon_sym_chr] = ACTIONS(481),
    [anon_sym_cos] = ACTIONS(481),
    [anon_sym_chroot] = ACTIONS(481),
    [anon_sym_defined] = ACTIONS(481),
    [anon_sym_delete] = ACTIONS(481),
    [anon_sym_dbmclose] = ACTIONS(481),
    [anon_sym_exists] = ACTIONS(481),
    [anon_sym_exit] = ACTIONS(481),
    [anon_sym_eof] = ACTIONS(481),
    [anon_sym_exp] = ACTIONS(481),
    [anon_sym_each] = ACTIONS(481),
    [anon_sym_fc] = ACTIONS(481),
    [anon_sym_fileno] = ACTIONS(481),
    [anon_sym_gmtime] = ACTIONS(481),
    [anon_sym_getc] = ACTIONS(481),
    [anon_sym_getpgrp] = ACTIONS(481),
    [anon_sym_getprotobyname] = ACTIONS(481),
    [anon_sym_getpwname] = ACTIONS(481),
    [anon_sym_getpwuid] = ACTIONS(481),
    [anon_sym_getpeername] = ACTIONS(481),
    [anon_sym_getnetbyname] = ACTIONS(481),
    [anon_sym_getsockname] = ACTIONS(481),
    [anon_sym_getgrnam] = ACTIONS(481),
    [anon_sym_getgrgid] = ACTIONS(481),
    [anon_sym_hex] = ACTIONS(481),
    [anon_sym_int] = ACTIONS(481),
    [anon_sym_keys] = ACTIONS(481),
    [anon_sym_lc] = ACTIONS(481),
    [anon_sym_lcfirst] = ACTIONS(481),
    [anon_sym_length] = ACTIONS(481),
    [anon_sym_localtime] = ACTIONS(481),
    [anon_sym_log] = ACTIONS(481),
    [anon_sym_lock] = ACTIONS(481),
    [anon_sym_lstat] = ACTIONS(481),
    [anon_sym_oct] = ACTIONS(481),
    [anon_sym_ord] = ACTIONS(481),
    [anon_sym_prototype] = ACTIONS(481),
    [anon_sym_pop] = ACTIONS(481),
    [anon_sym_pos] = ACTIONS(481),
    [anon_sym_quotemeta] = ACTIONS(481),
    [anon_sym_reset] = ACTIONS(481),
    [anon_sym_rand] = ACTIONS(481),
    [anon_sym_rmdir] = ACTIONS(481),
    [anon_sym_readdir] = ACTIONS(481),
    [anon_sym_readline] = ACTIONS(481),
    [anon_sym_readpipe] = ACTIONS(481),
    [anon_sym_rewinddir] = ACTIONS(481),
    [anon_sym_readlink] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(481),
    [anon_sym_scalar] = ACTIONS(481),
    [anon_sym_shift] = ACTIONS(481),
    [anon_sym_sin] = ACTIONS(481),
    [anon_sym_sleep] = ACTIONS(481),
    [anon_sym_sqrt] = ACTIONS(481),
    [anon_sym_srand] = ACTIONS(481),
    [anon_sym_stat] = ACTIONS(481),
    [anon_sym_study] = ACTIONS(481),
    [anon_sym_tell] = ACTIONS(481),
    [anon_sym_telldir] = ACTIONS(481),
    [anon_sym_tied] = ACTIONS(481),
    [anon_sym_uc] = ACTIONS(481),
    [anon_sym_ucfirst] = ACTIONS(481),
    [anon_sym_untie] = ACTIONS(481),
    [anon_sym_umask] = ACTIONS(481),
    [anon_sym_values] = ACTIONS(481),
    [anon_sym_write] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(513),
  },
  [499] = {
    [sym__PERLY_BRACE_OPEN] = STATE(81),
    [sym_block] = STATE(1355),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1483),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(499),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(243),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(243),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(245),
  },
  [500] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2308),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(500),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(439),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(439),
    [anon_sym_our] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(451),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_TILDE] = ACTIONS(451),
    [anon_sym_BANG] = ACTIONS(451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1689),
    [anon_sym_DASH_DASH] = ACTIONS(1689),
    [anon_sym_BSLASH] = ACTIONS(453),
    [anon_sym_do] = ACTIONS(455),
    [anon_sym_eval] = ACTIONS(457),
    [anon_sym_await] = ACTIONS(459),
    [anon_sym_field] = ACTIONS(439),
    [anon_sym_local] = ACTIONS(461),
    [anon_sym_dynamically] = ACTIONS(461),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(465),
    [anon_sym_map] = ACTIONS(467),
    [anon_sym_grep] = ACTIONS(467),
    [anon_sym_sort] = ACTIONS(469),
    [anon_sym_goto] = ACTIONS(471),
    [anon_sym_return] = ACTIONS(473),
    [anon_sym_undef] = ACTIONS(475),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(479),
    [anon_sym_next] = ACTIONS(479),
    [anon_sym_redo] = ACTIONS(479),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(481),
    [anon_sym_alarm] = ACTIONS(481),
    [anon_sym_chop] = ACTIONS(481),
    [anon_sym_chdir] = ACTIONS(481),
    [anon_sym_close] = ACTIONS(481),
    [anon_sym_closedir] = ACTIONS(481),
    [anon_sym_caller] = ACTIONS(481),
    [anon_sym_chomp] = ACTIONS(481),
    [anon_sym_chr] = ACTIONS(481),
    [anon_sym_cos] = ACTIONS(481),
    [anon_sym_chroot] = ACTIONS(481),
    [anon_sym_defined] = ACTIONS(481),
    [anon_sym_delete] = ACTIONS(481),
    [anon_sym_dbmclose] = ACTIONS(481),
    [anon_sym_exists] = ACTIONS(481),
    [anon_sym_exit] = ACTIONS(481),
    [anon_sym_eof] = ACTIONS(481),
    [anon_sym_exp] = ACTIONS(481),
    [anon_sym_each] = ACTIONS(481),
    [anon_sym_fc] = ACTIONS(481),
    [anon_sym_fileno] = ACTIONS(481),
    [anon_sym_gmtime] = ACTIONS(481),
    [anon_sym_getc] = ACTIONS(481),
    [anon_sym_getpgrp] = ACTIONS(481),
    [anon_sym_getprotobyname] = ACTIONS(481),
    [anon_sym_getpwname] = ACTIONS(481),
    [anon_sym_getpwuid] = ACTIONS(481),
    [anon_sym_getpeername] = ACTIONS(481),
    [anon_sym_getnetbyname] = ACTIONS(481),
    [anon_sym_getsockname] = ACTIONS(481),
    [anon_sym_getgrnam] = ACTIONS(481),
    [anon_sym_getgrgid] = ACTIONS(481),
    [anon_sym_hex] = ACTIONS(481),
    [anon_sym_int] = ACTIONS(481),
    [anon_sym_keys] = ACTIONS(481),
    [anon_sym_lc] = ACTIONS(481),
    [anon_sym_lcfirst] = ACTIONS(481),
    [anon_sym_length] = ACTIONS(481),
    [anon_sym_localtime] = ACTIONS(481),
    [anon_sym_log] = ACTIONS(481),
    [anon_sym_lock] = ACTIONS(481),
    [anon_sym_lstat] = ACTIONS(481),
    [anon_sym_oct] = ACTIONS(481),
    [anon_sym_ord] = ACTIONS(481),
    [anon_sym_prototype] = ACTIONS(481),
    [anon_sym_pop] = ACTIONS(481),
    [anon_sym_pos] = ACTIONS(481),
    [anon_sym_quotemeta] = ACTIONS(481),
    [anon_sym_reset] = ACTIONS(481),
    [anon_sym_rand] = ACTIONS(481),
    [anon_sym_rmdir] = ACTIONS(481),
    [anon_sym_readdir] = ACTIONS(481),
    [anon_sym_readline] = ACTIONS(481),
    [anon_sym_readpipe] = ACTIONS(481),
    [anon_sym_rewinddir] = ACTIONS(481),
    [anon_sym_readlink] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(481),
    [anon_sym_scalar] = ACTIONS(481),
    [anon_sym_shift] = ACTIONS(481),
    [anon_sym_sin] = ACTIONS(481),
    [anon_sym_sleep] = ACTIONS(481),
    [anon_sym_sqrt] = ACTIONS(481),
    [anon_sym_srand] = ACTIONS(481),
    [anon_sym_stat] = ACTIONS(481),
    [anon_sym_study] = ACTIONS(481),
    [anon_sym_tell] = ACTIONS(481),
    [anon_sym_telldir] = ACTIONS(481),
    [anon_sym_tied] = ACTIONS(481),
    [anon_sym_uc] = ACTIONS(481),
    [anon_sym_ucfirst] = ACTIONS(481),
    [anon_sym_untie] = ACTIONS(481),
    [anon_sym_umask] = ACTIONS(481),
    [anon_sym_values] = ACTIONS(481),
    [anon_sym_write] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(513),
    [sym__NONASSOC] = ACTIONS(1766),
  },
  [501] = {
    [sym__PERLY_BRACE_OPEN] = STATE(81),
    [sym_block] = STATE(1357),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1484),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(501),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(243),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(243),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(245),
  },
  [502] = {
    [sym__PERLY_BRACE_OPEN] = STATE(237),
    [sym__term_rightward] = STATE(1346),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1448),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(502),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(243),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(243),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(245),
  },
  [503] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__term_rightward] = STATE(3890),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2116),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(503),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(439),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(439),
    [anon_sym_our] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(451),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_TILDE] = ACTIONS(451),
    [anon_sym_BANG] = ACTIONS(451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1689),
    [anon_sym_DASH_DASH] = ACTIONS(1689),
    [anon_sym_BSLASH] = ACTIONS(453),
    [anon_sym_do] = ACTIONS(455),
    [anon_sym_eval] = ACTIONS(457),
    [anon_sym_await] = ACTIONS(459),
    [anon_sym_field] = ACTIONS(439),
    [anon_sym_local] = ACTIONS(461),
    [anon_sym_dynamically] = ACTIONS(461),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(465),
    [anon_sym_map] = ACTIONS(467),
    [anon_sym_grep] = ACTIONS(467),
    [anon_sym_sort] = ACTIONS(469),
    [anon_sym_goto] = ACTIONS(471),
    [anon_sym_return] = ACTIONS(473),
    [anon_sym_undef] = ACTIONS(475),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(479),
    [anon_sym_next] = ACTIONS(479),
    [anon_sym_redo] = ACTIONS(479),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(481),
    [anon_sym_alarm] = ACTIONS(481),
    [anon_sym_chop] = ACTIONS(481),
    [anon_sym_chdir] = ACTIONS(481),
    [anon_sym_close] = ACTIONS(481),
    [anon_sym_closedir] = ACTIONS(481),
    [anon_sym_caller] = ACTIONS(481),
    [anon_sym_chomp] = ACTIONS(481),
    [anon_sym_chr] = ACTIONS(481),
    [anon_sym_cos] = ACTIONS(481),
    [anon_sym_chroot] = ACTIONS(481),
    [anon_sym_defined] = ACTIONS(481),
    [anon_sym_delete] = ACTIONS(481),
    [anon_sym_dbmclose] = ACTIONS(481),
    [anon_sym_exists] = ACTIONS(481),
    [anon_sym_exit] = ACTIONS(481),
    [anon_sym_eof] = ACTIONS(481),
    [anon_sym_exp] = ACTIONS(481),
    [anon_sym_each] = ACTIONS(481),
    [anon_sym_fc] = ACTIONS(481),
    [anon_sym_fileno] = ACTIONS(481),
    [anon_sym_gmtime] = ACTIONS(481),
    [anon_sym_getc] = ACTIONS(481),
    [anon_sym_getpgrp] = ACTIONS(481),
    [anon_sym_getprotobyname] = ACTIONS(481),
    [anon_sym_getpwname] = ACTIONS(481),
    [anon_sym_getpwuid] = ACTIONS(481),
    [anon_sym_getpeername] = ACTIONS(481),
    [anon_sym_getnetbyname] = ACTIONS(481),
    [anon_sym_getsockname] = ACTIONS(481),
    [anon_sym_getgrnam] = ACTIONS(481),
    [anon_sym_getgrgid] = ACTIONS(481),
    [anon_sym_hex] = ACTIONS(481),
    [anon_sym_int] = ACTIONS(481),
    [anon_sym_keys] = ACTIONS(481),
    [anon_sym_lc] = ACTIONS(481),
    [anon_sym_lcfirst] = ACTIONS(481),
    [anon_sym_length] = ACTIONS(481),
    [anon_sym_localtime] = ACTIONS(481),
    [anon_sym_log] = ACTIONS(481),
    [anon_sym_lock] = ACTIONS(481),
    [anon_sym_lstat] = ACTIONS(481),
    [anon_sym_oct] = ACTIONS(481),
    [anon_sym_ord] = ACTIONS(481),
    [anon_sym_prototype] = ACTIONS(481),
    [anon_sym_pop] = ACTIONS(481),
    [anon_sym_pos] = ACTIONS(481),
    [anon_sym_quotemeta] = ACTIONS(481),
    [anon_sym_reset] = ACTIONS(481),
    [anon_sym_rand] = ACTIONS(481),
    [anon_sym_rmdir] = ACTIONS(481),
    [anon_sym_readdir] = ACTIONS(481),
    [anon_sym_readline] = ACTIONS(481),
    [anon_sym_readpipe] = ACTIONS(481),
    [anon_sym_rewinddir] = ACTIONS(481),
    [anon_sym_readlink] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(481),
    [anon_sym_scalar] = ACTIONS(481),
    [anon_sym_shift] = ACTIONS(481),
    [anon_sym_sin] = ACTIONS(481),
    [anon_sym_sleep] = ACTIONS(481),
    [anon_sym_sqrt] = ACTIONS(481),
    [anon_sym_srand] = ACTIONS(481),
    [anon_sym_stat] = ACTIONS(481),
    [anon_sym_study] = ACTIONS(481),
    [anon_sym_tell] = ACTIONS(481),
    [anon_sym_telldir] = ACTIONS(481),
    [anon_sym_tied] = ACTIONS(481),
    [anon_sym_uc] = ACTIONS(481),
    [anon_sym_ucfirst] = ACTIONS(481),
    [anon_sym_untie] = ACTIONS(481),
    [anon_sym_umask] = ACTIONS(481),
    [anon_sym_values] = ACTIONS(481),
    [anon_sym_write] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(513),
  },
  [504] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2284),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(504),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(439),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(439),
    [anon_sym_our] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(451),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_TILDE] = ACTIONS(451),
    [anon_sym_BANG] = ACTIONS(451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1689),
    [anon_sym_DASH_DASH] = ACTIONS(1689),
    [anon_sym_BSLASH] = ACTIONS(453),
    [anon_sym_do] = ACTIONS(455),
    [anon_sym_eval] = ACTIONS(457),
    [anon_sym_await] = ACTIONS(459),
    [anon_sym_field] = ACTIONS(439),
    [anon_sym_local] = ACTIONS(461),
    [anon_sym_dynamically] = ACTIONS(461),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(465),
    [anon_sym_map] = ACTIONS(467),
    [anon_sym_grep] = ACTIONS(467),
    [anon_sym_sort] = ACTIONS(469),
    [anon_sym_goto] = ACTIONS(471),
    [anon_sym_return] = ACTIONS(473),
    [anon_sym_undef] = ACTIONS(475),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(479),
    [anon_sym_next] = ACTIONS(479),
    [anon_sym_redo] = ACTIONS(479),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(481),
    [anon_sym_alarm] = ACTIONS(481),
    [anon_sym_chop] = ACTIONS(481),
    [anon_sym_chdir] = ACTIONS(481),
    [anon_sym_close] = ACTIONS(481),
    [anon_sym_closedir] = ACTIONS(481),
    [anon_sym_caller] = ACTIONS(481),
    [anon_sym_chomp] = ACTIONS(481),
    [anon_sym_chr] = ACTIONS(481),
    [anon_sym_cos] = ACTIONS(481),
    [anon_sym_chroot] = ACTIONS(481),
    [anon_sym_defined] = ACTIONS(481),
    [anon_sym_delete] = ACTIONS(481),
    [anon_sym_dbmclose] = ACTIONS(481),
    [anon_sym_exists] = ACTIONS(481),
    [anon_sym_exit] = ACTIONS(481),
    [anon_sym_eof] = ACTIONS(481),
    [anon_sym_exp] = ACTIONS(481),
    [anon_sym_each] = ACTIONS(481),
    [anon_sym_fc] = ACTIONS(481),
    [anon_sym_fileno] = ACTIONS(481),
    [anon_sym_gmtime] = ACTIONS(481),
    [anon_sym_getc] = ACTIONS(481),
    [anon_sym_getpgrp] = ACTIONS(481),
    [anon_sym_getprotobyname] = ACTIONS(481),
    [anon_sym_getpwname] = ACTIONS(481),
    [anon_sym_getpwuid] = ACTIONS(481),
    [anon_sym_getpeername] = ACTIONS(481),
    [anon_sym_getnetbyname] = ACTIONS(481),
    [anon_sym_getsockname] = ACTIONS(481),
    [anon_sym_getgrnam] = ACTIONS(481),
    [anon_sym_getgrgid] = ACTIONS(481),
    [anon_sym_hex] = ACTIONS(481),
    [anon_sym_int] = ACTIONS(481),
    [anon_sym_keys] = ACTIONS(481),
    [anon_sym_lc] = ACTIONS(481),
    [anon_sym_lcfirst] = ACTIONS(481),
    [anon_sym_length] = ACTIONS(481),
    [anon_sym_localtime] = ACTIONS(481),
    [anon_sym_log] = ACTIONS(481),
    [anon_sym_lock] = ACTIONS(481),
    [anon_sym_lstat] = ACTIONS(481),
    [anon_sym_oct] = ACTIONS(481),
    [anon_sym_ord] = ACTIONS(481),
    [anon_sym_prototype] = ACTIONS(481),
    [anon_sym_pop] = ACTIONS(481),
    [anon_sym_pos] = ACTIONS(481),
    [anon_sym_quotemeta] = ACTIONS(481),
    [anon_sym_reset] = ACTIONS(481),
    [anon_sym_rand] = ACTIONS(481),
    [anon_sym_rmdir] = ACTIONS(481),
    [anon_sym_readdir] = ACTIONS(481),
    [anon_sym_readline] = ACTIONS(481),
    [anon_sym_readpipe] = ACTIONS(481),
    [anon_sym_rewinddir] = ACTIONS(481),
    [anon_sym_readlink] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(481),
    [anon_sym_scalar] = ACTIONS(481),
    [anon_sym_shift] = ACTIONS(481),
    [anon_sym_sin] = ACTIONS(481),
    [anon_sym_sleep] = ACTIONS(481),
    [anon_sym_sqrt] = ACTIONS(481),
    [anon_sym_srand] = ACTIONS(481),
    [anon_sym_stat] = ACTIONS(481),
    [anon_sym_study] = ACTIONS(481),
    [anon_sym_tell] = ACTIONS(481),
    [anon_sym_telldir] = ACTIONS(481),
    [anon_sym_tied] = ACTIONS(481),
    [anon_sym_uc] = ACTIONS(481),
    [anon_sym_ucfirst] = ACTIONS(481),
    [anon_sym_untie] = ACTIONS(481),
    [anon_sym_umask] = ACTIONS(481),
    [anon_sym_values] = ACTIONS(481),
    [anon_sym_write] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(513),
    [sym__NONASSOC] = ACTIONS(1768),
  },
  [505] = {
    [sym__PERLY_BRACE_OPEN] = STATE(73),
    [sym_block] = STATE(488),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2417),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(505),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(439),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(1772),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(439),
    [anon_sym_our] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(451),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_TILDE] = ACTIONS(451),
    [anon_sym_BANG] = ACTIONS(451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1689),
    [anon_sym_DASH_DASH] = ACTIONS(1689),
    [anon_sym_BSLASH] = ACTIONS(453),
    [anon_sym_do] = ACTIONS(455),
    [anon_sym_eval] = ACTIONS(457),
    [anon_sym_await] = ACTIONS(459),
    [anon_sym_field] = ACTIONS(439),
    [anon_sym_local] = ACTIONS(461),
    [anon_sym_dynamically] = ACTIONS(461),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(465),
    [anon_sym_map] = ACTIONS(467),
    [anon_sym_grep] = ACTIONS(467),
    [anon_sym_sort] = ACTIONS(469),
    [anon_sym_goto] = ACTIONS(471),
    [anon_sym_return] = ACTIONS(473),
    [anon_sym_undef] = ACTIONS(475),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(479),
    [anon_sym_next] = ACTIONS(479),
    [anon_sym_redo] = ACTIONS(479),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(481),
    [anon_sym_alarm] = ACTIONS(481),
    [anon_sym_chop] = ACTIONS(481),
    [anon_sym_chdir] = ACTIONS(481),
    [anon_sym_close] = ACTIONS(481),
    [anon_sym_closedir] = ACTIONS(481),
    [anon_sym_caller] = ACTIONS(481),
    [anon_sym_chomp] = ACTIONS(481),
    [anon_sym_chr] = ACTIONS(481),
    [anon_sym_cos] = ACTIONS(481),
    [anon_sym_chroot] = ACTIONS(481),
    [anon_sym_defined] = ACTIONS(481),
    [anon_sym_delete] = ACTIONS(481),
    [anon_sym_dbmclose] = ACTIONS(481),
    [anon_sym_exists] = ACTIONS(481),
    [anon_sym_exit] = ACTIONS(481),
    [anon_sym_eof] = ACTIONS(481),
    [anon_sym_exp] = ACTIONS(481),
    [anon_sym_each] = ACTIONS(481),
    [anon_sym_fc] = ACTIONS(481),
    [anon_sym_fileno] = ACTIONS(481),
    [anon_sym_gmtime] = ACTIONS(481),
    [anon_sym_getc] = ACTIONS(481),
    [anon_sym_getpgrp] = ACTIONS(481),
    [anon_sym_getprotobyname] = ACTIONS(481),
    [anon_sym_getpwname] = ACTIONS(481),
    [anon_sym_getpwuid] = ACTIONS(481),
    [anon_sym_getpeername] = ACTIONS(481),
    [anon_sym_getnetbyname] = ACTIONS(481),
    [anon_sym_getsockname] = ACTIONS(481),
    [anon_sym_getgrnam] = ACTIONS(481),
    [anon_sym_getgrgid] = ACTIONS(481),
    [anon_sym_hex] = ACTIONS(481),
    [anon_sym_int] = ACTIONS(481),
    [anon_sym_keys] = ACTIONS(481),
    [anon_sym_lc] = ACTIONS(481),
    [anon_sym_lcfirst] = ACTIONS(481),
    [anon_sym_length] = ACTIONS(481),
    [anon_sym_localtime] = ACTIONS(481),
    [anon_sym_log] = ACTIONS(481),
    [anon_sym_lock] = ACTIONS(481),
    [anon_sym_lstat] = ACTIONS(481),
    [anon_sym_oct] = ACTIONS(481),
    [anon_sym_ord] = ACTIONS(481),
    [anon_sym_prototype] = ACTIONS(481),
    [anon_sym_pop] = ACTIONS(481),
    [anon_sym_pos] = ACTIONS(481),
    [anon_sym_quotemeta] = ACTIONS(481),
    [anon_sym_reset] = ACTIONS(481),
    [anon_sym_rand] = ACTIONS(481),
    [anon_sym_rmdir] = ACTIONS(481),
    [anon_sym_readdir] = ACTIONS(481),
    [anon_sym_readline] = ACTIONS(481),
    [anon_sym_readpipe] = ACTIONS(481),
    [anon_sym_rewinddir] = ACTIONS(481),
    [anon_sym_readlink] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(481),
    [anon_sym_scalar] = ACTIONS(481),
    [anon_sym_shift] = ACTIONS(481),
    [anon_sym_sin] = ACTIONS(481),
    [anon_sym_sleep] = ACTIONS(481),
    [anon_sym_sqrt] = ACTIONS(481),
    [anon_sym_srand] = ACTIONS(481),
    [anon_sym_stat] = ACTIONS(481),
    [anon_sym_study] = ACTIONS(481),
    [anon_sym_tell] = ACTIONS(481),
    [anon_sym_telldir] = ACTIONS(481),
    [anon_sym_tied] = ACTIONS(481),
    [anon_sym_uc] = ACTIONS(481),
    [anon_sym_ucfirst] = ACTIONS(481),
    [anon_sym_untie] = ACTIONS(481),
    [anon_sym_umask] = ACTIONS(481),
    [anon_sym_values] = ACTIONS(481),
    [anon_sym_write] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(513),
  },
  [506] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2215),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(506),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(439),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(439),
    [anon_sym_our] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(451),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_TILDE] = ACTIONS(451),
    [anon_sym_BANG] = ACTIONS(451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1689),
    [anon_sym_DASH_DASH] = ACTIONS(1689),
    [anon_sym_BSLASH] = ACTIONS(453),
    [anon_sym_do] = ACTIONS(455),
    [anon_sym_eval] = ACTIONS(457),
    [anon_sym_await] = ACTIONS(459),
    [anon_sym_field] = ACTIONS(439),
    [anon_sym_local] = ACTIONS(461),
    [anon_sym_dynamically] = ACTIONS(461),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(465),
    [anon_sym_map] = ACTIONS(467),
    [anon_sym_grep] = ACTIONS(467),
    [anon_sym_sort] = ACTIONS(469),
    [anon_sym_goto] = ACTIONS(471),
    [anon_sym_return] = ACTIONS(473),
    [anon_sym_undef] = ACTIONS(475),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(479),
    [anon_sym_next] = ACTIONS(479),
    [anon_sym_redo] = ACTIONS(479),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(481),
    [anon_sym_alarm] = ACTIONS(481),
    [anon_sym_chop] = ACTIONS(481),
    [anon_sym_chdir] = ACTIONS(481),
    [anon_sym_close] = ACTIONS(481),
    [anon_sym_closedir] = ACTIONS(481),
    [anon_sym_caller] = ACTIONS(481),
    [anon_sym_chomp] = ACTIONS(481),
    [anon_sym_chr] = ACTIONS(481),
    [anon_sym_cos] = ACTIONS(481),
    [anon_sym_chroot] = ACTIONS(481),
    [anon_sym_defined] = ACTIONS(481),
    [anon_sym_delete] = ACTIONS(481),
    [anon_sym_dbmclose] = ACTIONS(481),
    [anon_sym_exists] = ACTIONS(481),
    [anon_sym_exit] = ACTIONS(481),
    [anon_sym_eof] = ACTIONS(481),
    [anon_sym_exp] = ACTIONS(481),
    [anon_sym_each] = ACTIONS(481),
    [anon_sym_fc] = ACTIONS(481),
    [anon_sym_fileno] = ACTIONS(481),
    [anon_sym_gmtime] = ACTIONS(481),
    [anon_sym_getc] = ACTIONS(481),
    [anon_sym_getpgrp] = ACTIONS(481),
    [anon_sym_getprotobyname] = ACTIONS(481),
    [anon_sym_getpwname] = ACTIONS(481),
    [anon_sym_getpwuid] = ACTIONS(481),
    [anon_sym_getpeername] = ACTIONS(481),
    [anon_sym_getnetbyname] = ACTIONS(481),
    [anon_sym_getsockname] = ACTIONS(481),
    [anon_sym_getgrnam] = ACTIONS(481),
    [anon_sym_getgrgid] = ACTIONS(481),
    [anon_sym_hex] = ACTIONS(481),
    [anon_sym_int] = ACTIONS(481),
    [anon_sym_keys] = ACTIONS(481),
    [anon_sym_lc] = ACTIONS(481),
    [anon_sym_lcfirst] = ACTIONS(481),
    [anon_sym_length] = ACTIONS(481),
    [anon_sym_localtime] = ACTIONS(481),
    [anon_sym_log] = ACTIONS(481),
    [anon_sym_lock] = ACTIONS(481),
    [anon_sym_lstat] = ACTIONS(481),
    [anon_sym_oct] = ACTIONS(481),
    [anon_sym_ord] = ACTIONS(481),
    [anon_sym_prototype] = ACTIONS(481),
    [anon_sym_pop] = ACTIONS(481),
    [anon_sym_pos] = ACTIONS(481),
    [anon_sym_quotemeta] = ACTIONS(481),
    [anon_sym_reset] = ACTIONS(481),
    [anon_sym_rand] = ACTIONS(481),
    [anon_sym_rmdir] = ACTIONS(481),
    [anon_sym_readdir] = ACTIONS(481),
    [anon_sym_readline] = ACTIONS(481),
    [anon_sym_readpipe] = ACTIONS(481),
    [anon_sym_rewinddir] = ACTIONS(481),
    [anon_sym_readlink] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(481),
    [anon_sym_scalar] = ACTIONS(481),
    [anon_sym_shift] = ACTIONS(481),
    [anon_sym_sin] = ACTIONS(481),
    [anon_sym_sleep] = ACTIONS(481),
    [anon_sym_sqrt] = ACTIONS(481),
    [anon_sym_srand] = ACTIONS(481),
    [anon_sym_stat] = ACTIONS(481),
    [anon_sym_study] = ACTIONS(481),
    [anon_sym_tell] = ACTIONS(481),
    [anon_sym_telldir] = ACTIONS(481),
    [anon_sym_tied] = ACTIONS(481),
    [anon_sym_uc] = ACTIONS(481),
    [anon_sym_ucfirst] = ACTIONS(481),
    [anon_sym_untie] = ACTIONS(481),
    [anon_sym_umask] = ACTIONS(481),
    [anon_sym_values] = ACTIONS(481),
    [anon_sym_write] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(513),
    [sym__NONASSOC] = ACTIONS(1770),
  },
  [507] = {
    [sym__PERLY_BRACE_OPEN] = STATE(73),
    [sym_block] = STATE(476),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2412),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(507),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(439),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(439),
    [anon_sym_our] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(451),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_TILDE] = ACTIONS(451),
    [anon_sym_BANG] = ACTIONS(451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1689),
    [anon_sym_DASH_DASH] = ACTIONS(1689),
    [anon_sym_BSLASH] = ACTIONS(453),
    [anon_sym_do] = ACTIONS(455),
    [anon_sym_eval] = ACTIONS(457),
    [anon_sym_await] = ACTIONS(459),
    [anon_sym_field] = ACTIONS(439),
    [anon_sym_local] = ACTIONS(461),
    [anon_sym_dynamically] = ACTIONS(461),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(465),
    [anon_sym_map] = ACTIONS(467),
    [anon_sym_grep] = ACTIONS(467),
    [anon_sym_sort] = ACTIONS(469),
    [anon_sym_goto] = ACTIONS(471),
    [anon_sym_return] = ACTIONS(473),
    [anon_sym_undef] = ACTIONS(475),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(479),
    [anon_sym_next] = ACTIONS(479),
    [anon_sym_redo] = ACTIONS(479),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(481),
    [anon_sym_alarm] = ACTIONS(481),
    [anon_sym_chop] = ACTIONS(481),
    [anon_sym_chdir] = ACTIONS(481),
    [anon_sym_close] = ACTIONS(481),
    [anon_sym_closedir] = ACTIONS(481),
    [anon_sym_caller] = ACTIONS(481),
    [anon_sym_chomp] = ACTIONS(481),
    [anon_sym_chr] = ACTIONS(481),
    [anon_sym_cos] = ACTIONS(481),
    [anon_sym_chroot] = ACTIONS(481),
    [anon_sym_defined] = ACTIONS(481),
    [anon_sym_delete] = ACTIONS(481),
    [anon_sym_dbmclose] = ACTIONS(481),
    [anon_sym_exists] = ACTIONS(481),
    [anon_sym_exit] = ACTIONS(481),
    [anon_sym_eof] = ACTIONS(481),
    [anon_sym_exp] = ACTIONS(481),
    [anon_sym_each] = ACTIONS(481),
    [anon_sym_fc] = ACTIONS(481),
    [anon_sym_fileno] = ACTIONS(481),
    [anon_sym_gmtime] = ACTIONS(481),
    [anon_sym_getc] = ACTIONS(481),
    [anon_sym_getpgrp] = ACTIONS(481),
    [anon_sym_getprotobyname] = ACTIONS(481),
    [anon_sym_getpwname] = ACTIONS(481),
    [anon_sym_getpwuid] = ACTIONS(481),
    [anon_sym_getpeername] = ACTIONS(481),
    [anon_sym_getnetbyname] = ACTIONS(481),
    [anon_sym_getsockname] = ACTIONS(481),
    [anon_sym_getgrnam] = ACTIONS(481),
    [anon_sym_getgrgid] = ACTIONS(481),
    [anon_sym_hex] = ACTIONS(481),
    [anon_sym_int] = ACTIONS(481),
    [anon_sym_keys] = ACTIONS(481),
    [anon_sym_lc] = ACTIONS(481),
    [anon_sym_lcfirst] = ACTIONS(481),
    [anon_sym_length] = ACTIONS(481),
    [anon_sym_localtime] = ACTIONS(481),
    [anon_sym_log] = ACTIONS(481),
    [anon_sym_lock] = ACTIONS(481),
    [anon_sym_lstat] = ACTIONS(481),
    [anon_sym_oct] = ACTIONS(481),
    [anon_sym_ord] = ACTIONS(481),
    [anon_sym_prototype] = ACTIONS(481),
    [anon_sym_pop] = ACTIONS(481),
    [anon_sym_pos] = ACTIONS(481),
    [anon_sym_quotemeta] = ACTIONS(481),
    [anon_sym_reset] = ACTIONS(481),
    [anon_sym_rand] = ACTIONS(481),
    [anon_sym_rmdir] = ACTIONS(481),
    [anon_sym_readdir] = ACTIONS(481),
    [anon_sym_readline] = ACTIONS(481),
    [anon_sym_readpipe] = ACTIONS(481),
    [anon_sym_rewinddir] = ACTIONS(481),
    [anon_sym_readlink] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(481),
    [anon_sym_scalar] = ACTIONS(481),
    [anon_sym_shift] = ACTIONS(481),
    [anon_sym_sin] = ACTIONS(481),
    [anon_sym_sleep] = ACTIONS(481),
    [anon_sym_sqrt] = ACTIONS(481),
    [anon_sym_srand] = ACTIONS(481),
    [anon_sym_stat] = ACTIONS(481),
    [anon_sym_study] = ACTIONS(481),
    [anon_sym_tell] = ACTIONS(481),
    [anon_sym_telldir] = ACTIONS(481),
    [anon_sym_tied] = ACTIONS(481),
    [anon_sym_uc] = ACTIONS(481),
    [anon_sym_ucfirst] = ACTIONS(481),
    [anon_sym_untie] = ACTIONS(481),
    [anon_sym_umask] = ACTIONS(481),
    [anon_sym_values] = ACTIONS(481),
    [anon_sym_write] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(513),
  },
  [508] = {
    [sym__PERLY_BRACE_OPEN] = STATE(73),
    [sym_block] = STATE(442),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2409),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(508),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(439),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(1800),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(439),
    [anon_sym_our] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(451),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_TILDE] = ACTIONS(451),
    [anon_sym_BANG] = ACTIONS(451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1689),
    [anon_sym_DASH_DASH] = ACTIONS(1689),
    [anon_sym_BSLASH] = ACTIONS(453),
    [anon_sym_do] = ACTIONS(455),
    [anon_sym_eval] = ACTIONS(457),
    [anon_sym_await] = ACTIONS(459),
    [anon_sym_field] = ACTIONS(439),
    [anon_sym_local] = ACTIONS(461),
    [anon_sym_dynamically] = ACTIONS(461),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(465),
    [anon_sym_map] = ACTIONS(467),
    [anon_sym_grep] = ACTIONS(467),
    [anon_sym_sort] = ACTIONS(469),
    [anon_sym_goto] = ACTIONS(471),
    [anon_sym_return] = ACTIONS(473),
    [anon_sym_undef] = ACTIONS(475),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(479),
    [anon_sym_next] = ACTIONS(479),
    [anon_sym_redo] = ACTIONS(479),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(481),
    [anon_sym_alarm] = ACTIONS(481),
    [anon_sym_chop] = ACTIONS(481),
    [anon_sym_chdir] = ACTIONS(481),
    [anon_sym_close] = ACTIONS(481),
    [anon_sym_closedir] = ACTIONS(481),
    [anon_sym_caller] = ACTIONS(481),
    [anon_sym_chomp] = ACTIONS(481),
    [anon_sym_chr] = ACTIONS(481),
    [anon_sym_cos] = ACTIONS(481),
    [anon_sym_chroot] = ACTIONS(481),
    [anon_sym_defined] = ACTIONS(481),
    [anon_sym_delete] = ACTIONS(481),
    [anon_sym_dbmclose] = ACTIONS(481),
    [anon_sym_exists] = ACTIONS(481),
    [anon_sym_exit] = ACTIONS(481),
    [anon_sym_eof] = ACTIONS(481),
    [anon_sym_exp] = ACTIONS(481),
    [anon_sym_each] = ACTIONS(481),
    [anon_sym_fc] = ACTIONS(481),
    [anon_sym_fileno] = ACTIONS(481),
    [anon_sym_gmtime] = ACTIONS(481),
    [anon_sym_getc] = ACTIONS(481),
    [anon_sym_getpgrp] = ACTIONS(481),
    [anon_sym_getprotobyname] = ACTIONS(481),
    [anon_sym_getpwname] = ACTIONS(481),
    [anon_sym_getpwuid] = ACTIONS(481),
    [anon_sym_getpeername] = ACTIONS(481),
    [anon_sym_getnetbyname] = ACTIONS(481),
    [anon_sym_getsockname] = ACTIONS(481),
    [anon_sym_getgrnam] = ACTIONS(481),
    [anon_sym_getgrgid] = ACTIONS(481),
    [anon_sym_hex] = ACTIONS(481),
    [anon_sym_int] = ACTIONS(481),
    [anon_sym_keys] = ACTIONS(481),
    [anon_sym_lc] = ACTIONS(481),
    [anon_sym_lcfirst] = ACTIONS(481),
    [anon_sym_length] = ACTIONS(481),
    [anon_sym_localtime] = ACTIONS(481),
    [anon_sym_log] = ACTIONS(481),
    [anon_sym_lock] = ACTIONS(481),
    [anon_sym_lstat] = ACTIONS(481),
    [anon_sym_oct] = ACTIONS(481),
    [anon_sym_ord] = ACTIONS(481),
    [anon_sym_prototype] = ACTIONS(481),
    [anon_sym_pop] = ACTIONS(481),
    [anon_sym_pos] = ACTIONS(481),
    [anon_sym_quotemeta] = ACTIONS(481),
    [anon_sym_reset] = ACTIONS(481),
    [anon_sym_rand] = ACTIONS(481),
    [anon_sym_rmdir] = ACTIONS(481),
    [anon_sym_readdir] = ACTIONS(481),
    [anon_sym_readline] = ACTIONS(481),
    [anon_sym_readpipe] = ACTIONS(481),
    [anon_sym_rewinddir] = ACTIONS(481),
    [anon_sym_readlink] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(481),
    [anon_sym_scalar] = ACTIONS(481),
    [anon_sym_shift] = ACTIONS(481),
    [anon_sym_sin] = ACTIONS(481),
    [anon_sym_sleep] = ACTIONS(481),
    [anon_sym_sqrt] = ACTIONS(481),
    [anon_sym_srand] = ACTIONS(481),
    [anon_sym_stat] = ACTIONS(481),
    [anon_sym_study] = ACTIONS(481),
    [anon_sym_tell] = ACTIONS(481),
    [anon_sym_telldir] = ACTIONS(481),
    [anon_sym_tied] = ACTIONS(481),
    [anon_sym_uc] = ACTIONS(481),
    [anon_sym_ucfirst] = ACTIONS(481),
    [anon_sym_untie] = ACTIONS(481),
    [anon_sym_umask] = ACTIONS(481),
    [anon_sym_values] = ACTIONS(481),
    [anon_sym_write] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(513),
  },
  [509] = {
    [sym__PERLY_BRACE_OPEN] = STATE(237),
    [sym__term_rightward] = STATE(1389),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1271),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(509),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [510] = {
    [sym__PERLY_BRACE_OPEN] = STATE(237),
    [sym__term_rightward] = STATE(1372),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1448),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(510),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(243),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(243),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(245),
  },
  [511] = {
    [sym__PERLY_BRACE_OPEN] = STATE(235),
    [sym__term_rightward] = STATE(1835),
    [sym__subscripted] = STATE(1532),
    [sym_container_variable] = STATE(3855),
    [sym_array_element_expression] = STATE(1533),
    [sym_hash_element_expression] = STATE(1533),
    [sym_coderef_call_expression] = STATE(1533),
    [sym_anonymous_slice_expression] = STATE(1533),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(1967),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(1967),
    [sym__term] = STATE(1803),
    [sym_readline_expression] = STATE(1967),
    [sym_fileglob_expression] = STATE(1967),
    [sym_assignment_expression] = STATE(1967),
    [sym_binary_expression] = STATE(1967),
    [sym_equality_expression] = STATE(1967),
    [sym_relational_expression] = STATE(1967),
    [sym_unary_expression] = STATE(1967),
    [sym_preinc_expression] = STATE(1967),
    [sym_postinc_expression] = STATE(1967),
    [sym_conditional_expression] = STATE(1967),
    [sym_refgen_expression] = STATE(1967),
    [sym_anonymous_array_expression] = STATE(1967),
    [sym_anonymous_hash_expression] = STATE(1967),
    [sym_anonymous_subroutine_expression] = STATE(1967),
    [sym_anonymous_method_expression] = STATE(1967),
    [sym_do_expression] = STATE(1967),
    [sym_eval_expression] = STATE(1967),
    [sym_await_expression] = STATE(1967),
    [sym_variable_declaration] = STATE(1967),
    [sym_localization_expression] = STATE(1967),
    [sym_stub_expression] = STATE(1967),
    [sym_scalar_deref_expression] = STATE(1967),
    [sym_array_deref_expression] = STATE(1967),
    [sym_arraylen_deref_expression] = STATE(1967),
    [sym_hash_deref_expression] = STATE(1967),
    [sym_amper_deref_expression] = STATE(1967),
    [sym_glob_deref_expression] = STATE(1967),
    [sym_require_expression] = STATE(1967),
    [sym_require_version_expression] = STATE(1967),
    [sym_func0op_call_expression] = STATE(1967),
    [sym_func1op_call_expression] = STATE(1967),
    [sym_map_grep_expression] = STATE(1967),
    [sym_sort_expression] = STATE(1967),
    [sym_loopex_expression] = STATE(1967),
    [sym_goto_expression] = STATE(1967),
    [sym_return_expression] = STATE(1967),
    [sym_undef_expression] = STATE(1967),
    [sym__listop] = STATE(1967),
    [sym_function_call_expression] = STATE(1968),
    [sym_ambiguous_function_call_expression] = STATE(1968),
    [sym_function] = STATE(389),
    [sym_method_call_expression] = STATE(1968),
    [sym_scalar] = STATE(1967),
    [sym_array] = STATE(1967),
    [sym__SUB_AMPER] = STATE(2686),
    [sym__GLOB_STAR] = STATE(2687),
    [sym_hash] = STATE(1967),
    [sym_arraylen] = STATE(1967),
    [sym_amper_sub] = STATE(1785),
    [sym_glob] = STATE(1786),
    [sym_glob_slot_expression] = STATE(1967),
    [sym__literal] = STATE(1967),
    [sym__apostrophe] = STATE(3328),
    [sym__quotation_mark] = STATE(2501),
    [sym__backtick] = STATE(2502),
    [sym__search_slash] = STATE(2454),
    [sym_string_literal] = STATE(1969),
    [sym_interpolated_string_literal] = STATE(1969),
    [sym_quoted_word_list] = STATE(1787),
    [sym_command_string] = STATE(1969),
    [sym_quoted_regexp] = STATE(1969),
    [sym_match_regexp] = STATE(1969),
    [sym_substitution_regexp] = STATE(1969),
    [sym_transliteration_expression] = STATE(1969),
    [sym_heredoc_token] = STATE(1967),
    [sym_command_heredoc_token] = STATE(1967),
    [sym_heredoc_content] = STATE(511),
    [sym_autoquoted_bareword] = STATE(1967),
    [sym_bareword] = STATE(1967),
    [sym_primitive] = STATE(1967),
    [sym_boolean] = STATE(1965),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3342),
    [sym__identifier] = ACTIONS(575),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1752),
    [anon_sym_AT] = ACTIONS(1671),
    [anon_sym_my] = ACTIONS(517),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(519),
    [anon_sym_method] = ACTIONS(521),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_continue] = ACTIONS(525),
    [anon_sym_state] = ACTIONS(517),
    [anon_sym_our] = ACTIONS(517),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_LT_LT] = ACTIONS(1673),
    [anon_sym_SLASH_SLASH] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(1677),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_PLUS_PLUS] = ACTIONS(1679),
    [anon_sym_DASH_DASH] = ACTIONS(1679),
    [anon_sym_BSLASH] = ACTIONS(531),
    [anon_sym_do] = ACTIONS(533),
    [anon_sym_eval] = ACTIONS(535),
    [anon_sym_await] = ACTIONS(537),
    [anon_sym_field] = ACTIONS(517),
    [anon_sym_local] = ACTIONS(539),
    [anon_sym_dynamically] = ACTIONS(539),
    [anon_sym_DOLLAR_POUND] = ACTIONS(541),
    [anon_sym_require] = ACTIONS(543),
    [anon_sym_map] = ACTIONS(545),
    [anon_sym_grep] = ACTIONS(545),
    [anon_sym_sort] = ACTIONS(547),
    [anon_sym_goto] = ACTIONS(549),
    [anon_sym_return] = ACTIONS(551),
    [anon_sym_undef] = ACTIONS(553),
    [anon_sym_PERCENT2] = ACTIONS(1681),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(555),
    [anon_sym_next] = ACTIONS(555),
    [anon_sym_redo] = ACTIONS(555),
    [anon_sym___FILE__] = ACTIONS(525),
    [anon_sym___LINE__] = ACTIONS(525),
    [anon_sym___PACKAGE__] = ACTIONS(525),
    [anon_sym___SUB__] = ACTIONS(525),
    [anon_sym_break] = ACTIONS(525),
    [anon_sym_fork] = ACTIONS(525),
    [anon_sym_getppid] = ACTIONS(525),
    [anon_sym_time] = ACTIONS(525),
    [anon_sym_times] = ACTIONS(525),
    [anon_sym_wait] = ACTIONS(525),
    [anon_sym_wantarray] = ACTIONS(525),
    [anon_sym_abs] = ACTIONS(557),
    [anon_sym_alarm] = ACTIONS(557),
    [anon_sym_chop] = ACTIONS(557),
    [anon_sym_chdir] = ACTIONS(557),
    [anon_sym_close] = ACTIONS(557),
    [anon_sym_closedir] = ACTIONS(557),
    [anon_sym_caller] = ACTIONS(557),
    [anon_sym_chomp] = ACTIONS(557),
    [anon_sym_chr] = ACTIONS(557),
    [anon_sym_cos] = ACTIONS(557),
    [anon_sym_chroot] = ACTIONS(557),
    [anon_sym_defined] = ACTIONS(557),
    [anon_sym_delete] = ACTIONS(557),
    [anon_sym_dbmclose] = ACTIONS(557),
    [anon_sym_exists] = ACTIONS(557),
    [anon_sym_exit] = ACTIONS(557),
    [anon_sym_eof] = ACTIONS(557),
    [anon_sym_exp] = ACTIONS(557),
    [anon_sym_each] = ACTIONS(557),
    [anon_sym_fc] = ACTIONS(557),
    [anon_sym_fileno] = ACTIONS(557),
    [anon_sym_gmtime] = ACTIONS(557),
    [anon_sym_getc] = ACTIONS(557),
    [anon_sym_getpgrp] = ACTIONS(557),
    [anon_sym_getprotobyname] = ACTIONS(557),
    [anon_sym_getpwname] = ACTIONS(557),
    [anon_sym_getpwuid] = ACTIONS(557),
    [anon_sym_getpeername] = ACTIONS(557),
    [anon_sym_getnetbyname] = ACTIONS(557),
    [anon_sym_getsockname] = ACTIONS(557),
    [anon_sym_getgrnam] = ACTIONS(557),
    [anon_sym_getgrgid] = ACTIONS(557),
    [anon_sym_hex] = ACTIONS(557),
    [anon_sym_int] = ACTIONS(557),
    [anon_sym_keys] = ACTIONS(557),
    [anon_sym_lc] = ACTIONS(557),
    [anon_sym_lcfirst] = ACTIONS(557),
    [anon_sym_length] = ACTIONS(557),
    [anon_sym_localtime] = ACTIONS(557),
    [anon_sym_log] = ACTIONS(557),
    [anon_sym_lock] = ACTIONS(557),
    [anon_sym_lstat] = ACTIONS(557),
    [anon_sym_oct] = ACTIONS(557),
    [anon_sym_ord] = ACTIONS(557),
    [anon_sym_prototype] = ACTIONS(557),
    [anon_sym_pop] = ACTIONS(557),
    [anon_sym_pos] = ACTIONS(557),
    [anon_sym_quotemeta] = ACTIONS(557),
    [anon_sym_reset] = ACTIONS(557),
    [anon_sym_rand] = ACTIONS(557),
    [anon_sym_rmdir] = ACTIONS(557),
    [anon_sym_readdir] = ACTIONS(557),
    [anon_sym_readline] = ACTIONS(557),
    [anon_sym_readpipe] = ACTIONS(557),
    [anon_sym_rewinddir] = ACTIONS(557),
    [anon_sym_readlink] = ACTIONS(557),
    [anon_sym_ref] = ACTIONS(557),
    [anon_sym_scalar] = ACTIONS(557),
    [anon_sym_shift] = ACTIONS(557),
    [anon_sym_sin] = ACTIONS(557),
    [anon_sym_sleep] = ACTIONS(557),
    [anon_sym_sqrt] = ACTIONS(557),
    [anon_sym_srand] = ACTIONS(557),
    [anon_sym_stat] = ACTIONS(557),
    [anon_sym_study] = ACTIONS(557),
    [anon_sym_tell] = ACTIONS(557),
    [anon_sym_telldir] = ACTIONS(557),
    [anon_sym_tied] = ACTIONS(557),
    [anon_sym_uc] = ACTIONS(557),
    [anon_sym_ucfirst] = ACTIONS(557),
    [anon_sym_untie] = ACTIONS(557),
    [anon_sym_umask] = ACTIONS(557),
    [anon_sym_values] = ACTIONS(557),
    [anon_sym_write] = ACTIONS(557),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(559),
    [anon_sym_qq] = ACTIONS(561),
    [anon_sym_qw] = ACTIONS(563),
    [anon_sym_qx] = ACTIONS(565),
    [anon_sym_qr] = ACTIONS(567),
    [anon_sym_m] = ACTIONS(569),
    [anon_sym_s] = ACTIONS(571),
    [anon_sym_tr] = ACTIONS(573),
    [anon_sym_y] = ACTIONS(573),
    [aux_sym__bareword_token1] = ACTIONS(575),
    [sym_number] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(581),
    [sym__open_fileglob_bracket] = ACTIONS(583),
    [sym__PERLY_HEREDOC] = ACTIONS(585),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(587),
    [sym__filetest] = ACTIONS(589),
  },
  [512] = {
    [sym__PERLY_BRACE_OPEN] = STATE(235),
    [sym__term_rightward] = STATE(1836),
    [sym__subscripted] = STATE(1532),
    [sym_container_variable] = STATE(3855),
    [sym_array_element_expression] = STATE(1533),
    [sym_hash_element_expression] = STATE(1533),
    [sym_coderef_call_expression] = STATE(1533),
    [sym_anonymous_slice_expression] = STATE(1533),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(1967),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(1967),
    [sym__term] = STATE(1803),
    [sym_readline_expression] = STATE(1967),
    [sym_fileglob_expression] = STATE(1967),
    [sym_assignment_expression] = STATE(1967),
    [sym_binary_expression] = STATE(1967),
    [sym_equality_expression] = STATE(1967),
    [sym_relational_expression] = STATE(1967),
    [sym_unary_expression] = STATE(1967),
    [sym_preinc_expression] = STATE(1967),
    [sym_postinc_expression] = STATE(1967),
    [sym_conditional_expression] = STATE(1967),
    [sym_refgen_expression] = STATE(1967),
    [sym_anonymous_array_expression] = STATE(1967),
    [sym_anonymous_hash_expression] = STATE(1967),
    [sym_anonymous_subroutine_expression] = STATE(1967),
    [sym_anonymous_method_expression] = STATE(1967),
    [sym_do_expression] = STATE(1967),
    [sym_eval_expression] = STATE(1967),
    [sym_await_expression] = STATE(1967),
    [sym_variable_declaration] = STATE(1967),
    [sym_localization_expression] = STATE(1967),
    [sym_stub_expression] = STATE(1967),
    [sym_scalar_deref_expression] = STATE(1967),
    [sym_array_deref_expression] = STATE(1967),
    [sym_arraylen_deref_expression] = STATE(1967),
    [sym_hash_deref_expression] = STATE(1967),
    [sym_amper_deref_expression] = STATE(1967),
    [sym_glob_deref_expression] = STATE(1967),
    [sym_require_expression] = STATE(1967),
    [sym_require_version_expression] = STATE(1967),
    [sym_func0op_call_expression] = STATE(1967),
    [sym_func1op_call_expression] = STATE(1967),
    [sym_map_grep_expression] = STATE(1967),
    [sym_sort_expression] = STATE(1967),
    [sym_loopex_expression] = STATE(1967),
    [sym_goto_expression] = STATE(1967),
    [sym_return_expression] = STATE(1967),
    [sym_undef_expression] = STATE(1967),
    [sym__listop] = STATE(1967),
    [sym_function_call_expression] = STATE(1968),
    [sym_ambiguous_function_call_expression] = STATE(1968),
    [sym_function] = STATE(389),
    [sym_method_call_expression] = STATE(1968),
    [sym_scalar] = STATE(1967),
    [sym_array] = STATE(1967),
    [sym__SUB_AMPER] = STATE(2686),
    [sym__GLOB_STAR] = STATE(2687),
    [sym_hash] = STATE(1967),
    [sym_arraylen] = STATE(1967),
    [sym_amper_sub] = STATE(1785),
    [sym_glob] = STATE(1786),
    [sym_glob_slot_expression] = STATE(1967),
    [sym__literal] = STATE(1967),
    [sym__apostrophe] = STATE(3328),
    [sym__quotation_mark] = STATE(2501),
    [sym__backtick] = STATE(2502),
    [sym__search_slash] = STATE(2454),
    [sym_string_literal] = STATE(1969),
    [sym_interpolated_string_literal] = STATE(1969),
    [sym_quoted_word_list] = STATE(1787),
    [sym_command_string] = STATE(1969),
    [sym_quoted_regexp] = STATE(1969),
    [sym_match_regexp] = STATE(1969),
    [sym_substitution_regexp] = STATE(1969),
    [sym_transliteration_expression] = STATE(1969),
    [sym_heredoc_token] = STATE(1967),
    [sym_command_heredoc_token] = STATE(1967),
    [sym_heredoc_content] = STATE(512),
    [sym_autoquoted_bareword] = STATE(1967),
    [sym_bareword] = STATE(1967),
    [sym_primitive] = STATE(1967),
    [sym_boolean] = STATE(1965),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3342),
    [sym__identifier] = ACTIONS(575),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1752),
    [anon_sym_AT] = ACTIONS(1671),
    [anon_sym_my] = ACTIONS(517),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(519),
    [anon_sym_method] = ACTIONS(521),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_continue] = ACTIONS(525),
    [anon_sym_state] = ACTIONS(517),
    [anon_sym_our] = ACTIONS(517),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_LT_LT] = ACTIONS(1673),
    [anon_sym_SLASH_SLASH] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(1677),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_PLUS_PLUS] = ACTIONS(1679),
    [anon_sym_DASH_DASH] = ACTIONS(1679),
    [anon_sym_BSLASH] = ACTIONS(531),
    [anon_sym_do] = ACTIONS(533),
    [anon_sym_eval] = ACTIONS(535),
    [anon_sym_await] = ACTIONS(537),
    [anon_sym_field] = ACTIONS(517),
    [anon_sym_local] = ACTIONS(539),
    [anon_sym_dynamically] = ACTIONS(539),
    [anon_sym_DOLLAR_POUND] = ACTIONS(541),
    [anon_sym_require] = ACTIONS(543),
    [anon_sym_map] = ACTIONS(545),
    [anon_sym_grep] = ACTIONS(545),
    [anon_sym_sort] = ACTIONS(547),
    [anon_sym_goto] = ACTIONS(549),
    [anon_sym_return] = ACTIONS(551),
    [anon_sym_undef] = ACTIONS(553),
    [anon_sym_PERCENT2] = ACTIONS(1681),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(555),
    [anon_sym_next] = ACTIONS(555),
    [anon_sym_redo] = ACTIONS(555),
    [anon_sym___FILE__] = ACTIONS(525),
    [anon_sym___LINE__] = ACTIONS(525),
    [anon_sym___PACKAGE__] = ACTIONS(525),
    [anon_sym___SUB__] = ACTIONS(525),
    [anon_sym_break] = ACTIONS(525),
    [anon_sym_fork] = ACTIONS(525),
    [anon_sym_getppid] = ACTIONS(525),
    [anon_sym_time] = ACTIONS(525),
    [anon_sym_times] = ACTIONS(525),
    [anon_sym_wait] = ACTIONS(525),
    [anon_sym_wantarray] = ACTIONS(525),
    [anon_sym_abs] = ACTIONS(557),
    [anon_sym_alarm] = ACTIONS(557),
    [anon_sym_chop] = ACTIONS(557),
    [anon_sym_chdir] = ACTIONS(557),
    [anon_sym_close] = ACTIONS(557),
    [anon_sym_closedir] = ACTIONS(557),
    [anon_sym_caller] = ACTIONS(557),
    [anon_sym_chomp] = ACTIONS(557),
    [anon_sym_chr] = ACTIONS(557),
    [anon_sym_cos] = ACTIONS(557),
    [anon_sym_chroot] = ACTIONS(557),
    [anon_sym_defined] = ACTIONS(557),
    [anon_sym_delete] = ACTIONS(557),
    [anon_sym_dbmclose] = ACTIONS(557),
    [anon_sym_exists] = ACTIONS(557),
    [anon_sym_exit] = ACTIONS(557),
    [anon_sym_eof] = ACTIONS(557),
    [anon_sym_exp] = ACTIONS(557),
    [anon_sym_each] = ACTIONS(557),
    [anon_sym_fc] = ACTIONS(557),
    [anon_sym_fileno] = ACTIONS(557),
    [anon_sym_gmtime] = ACTIONS(557),
    [anon_sym_getc] = ACTIONS(557),
    [anon_sym_getpgrp] = ACTIONS(557),
    [anon_sym_getprotobyname] = ACTIONS(557),
    [anon_sym_getpwname] = ACTIONS(557),
    [anon_sym_getpwuid] = ACTIONS(557),
    [anon_sym_getpeername] = ACTIONS(557),
    [anon_sym_getnetbyname] = ACTIONS(557),
    [anon_sym_getsockname] = ACTIONS(557),
    [anon_sym_getgrnam] = ACTIONS(557),
    [anon_sym_getgrgid] = ACTIONS(557),
    [anon_sym_hex] = ACTIONS(557),
    [anon_sym_int] = ACTIONS(557),
    [anon_sym_keys] = ACTIONS(557),
    [anon_sym_lc] = ACTIONS(557),
    [anon_sym_lcfirst] = ACTIONS(557),
    [anon_sym_length] = ACTIONS(557),
    [anon_sym_localtime] = ACTIONS(557),
    [anon_sym_log] = ACTIONS(557),
    [anon_sym_lock] = ACTIONS(557),
    [anon_sym_lstat] = ACTIONS(557),
    [anon_sym_oct] = ACTIONS(557),
    [anon_sym_ord] = ACTIONS(557),
    [anon_sym_prototype] = ACTIONS(557),
    [anon_sym_pop] = ACTIONS(557),
    [anon_sym_pos] = ACTIONS(557),
    [anon_sym_quotemeta] = ACTIONS(557),
    [anon_sym_reset] = ACTIONS(557),
    [anon_sym_rand] = ACTIONS(557),
    [anon_sym_rmdir] = ACTIONS(557),
    [anon_sym_readdir] = ACTIONS(557),
    [anon_sym_readline] = ACTIONS(557),
    [anon_sym_readpipe] = ACTIONS(557),
    [anon_sym_rewinddir] = ACTIONS(557),
    [anon_sym_readlink] = ACTIONS(557),
    [anon_sym_ref] = ACTIONS(557),
    [anon_sym_scalar] = ACTIONS(557),
    [anon_sym_shift] = ACTIONS(557),
    [anon_sym_sin] = ACTIONS(557),
    [anon_sym_sleep] = ACTIONS(557),
    [anon_sym_sqrt] = ACTIONS(557),
    [anon_sym_srand] = ACTIONS(557),
    [anon_sym_stat] = ACTIONS(557),
    [anon_sym_study] = ACTIONS(557),
    [anon_sym_tell] = ACTIONS(557),
    [anon_sym_telldir] = ACTIONS(557),
    [anon_sym_tied] = ACTIONS(557),
    [anon_sym_uc] = ACTIONS(557),
    [anon_sym_ucfirst] = ACTIONS(557),
    [anon_sym_untie] = ACTIONS(557),
    [anon_sym_umask] = ACTIONS(557),
    [anon_sym_values] = ACTIONS(557),
    [anon_sym_write] = ACTIONS(557),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(559),
    [anon_sym_qq] = ACTIONS(561),
    [anon_sym_qw] = ACTIONS(563),
    [anon_sym_qx] = ACTIONS(565),
    [anon_sym_qr] = ACTIONS(567),
    [anon_sym_m] = ACTIONS(569),
    [anon_sym_s] = ACTIONS(571),
    [anon_sym_tr] = ACTIONS(573),
    [anon_sym_y] = ACTIONS(573),
    [aux_sym__bareword_token1] = ACTIONS(575),
    [sym_number] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(581),
    [sym__open_fileglob_bracket] = ACTIONS(583),
    [sym__PERLY_HEREDOC] = ACTIONS(585),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(587),
    [sym__filetest] = ACTIONS(589),
  },
  [513] = {
    [sym__PERLY_BRACE_OPEN] = STATE(237),
    [sym__term_rightward] = STATE(1389),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1448),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(513),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(243),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(243),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(245),
  },
  [514] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__term_rightward] = STATE(3932),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2116),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(514),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(439),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(439),
    [anon_sym_our] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(451),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_TILDE] = ACTIONS(451),
    [anon_sym_BANG] = ACTIONS(451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1689),
    [anon_sym_DASH_DASH] = ACTIONS(1689),
    [anon_sym_BSLASH] = ACTIONS(453),
    [anon_sym_do] = ACTIONS(455),
    [anon_sym_eval] = ACTIONS(457),
    [anon_sym_await] = ACTIONS(459),
    [anon_sym_field] = ACTIONS(439),
    [anon_sym_local] = ACTIONS(461),
    [anon_sym_dynamically] = ACTIONS(461),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(465),
    [anon_sym_map] = ACTIONS(467),
    [anon_sym_grep] = ACTIONS(467),
    [anon_sym_sort] = ACTIONS(469),
    [anon_sym_goto] = ACTIONS(471),
    [anon_sym_return] = ACTIONS(473),
    [anon_sym_undef] = ACTIONS(475),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(479),
    [anon_sym_next] = ACTIONS(479),
    [anon_sym_redo] = ACTIONS(479),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(481),
    [anon_sym_alarm] = ACTIONS(481),
    [anon_sym_chop] = ACTIONS(481),
    [anon_sym_chdir] = ACTIONS(481),
    [anon_sym_close] = ACTIONS(481),
    [anon_sym_closedir] = ACTIONS(481),
    [anon_sym_caller] = ACTIONS(481),
    [anon_sym_chomp] = ACTIONS(481),
    [anon_sym_chr] = ACTIONS(481),
    [anon_sym_cos] = ACTIONS(481),
    [anon_sym_chroot] = ACTIONS(481),
    [anon_sym_defined] = ACTIONS(481),
    [anon_sym_delete] = ACTIONS(481),
    [anon_sym_dbmclose] = ACTIONS(481),
    [anon_sym_exists] = ACTIONS(481),
    [anon_sym_exit] = ACTIONS(481),
    [anon_sym_eof] = ACTIONS(481),
    [anon_sym_exp] = ACTIONS(481),
    [anon_sym_each] = ACTIONS(481),
    [anon_sym_fc] = ACTIONS(481),
    [anon_sym_fileno] = ACTIONS(481),
    [anon_sym_gmtime] = ACTIONS(481),
    [anon_sym_getc] = ACTIONS(481),
    [anon_sym_getpgrp] = ACTIONS(481),
    [anon_sym_getprotobyname] = ACTIONS(481),
    [anon_sym_getpwname] = ACTIONS(481),
    [anon_sym_getpwuid] = ACTIONS(481),
    [anon_sym_getpeername] = ACTIONS(481),
    [anon_sym_getnetbyname] = ACTIONS(481),
    [anon_sym_getsockname] = ACTIONS(481),
    [anon_sym_getgrnam] = ACTIONS(481),
    [anon_sym_getgrgid] = ACTIONS(481),
    [anon_sym_hex] = ACTIONS(481),
    [anon_sym_int] = ACTIONS(481),
    [anon_sym_keys] = ACTIONS(481),
    [anon_sym_lc] = ACTIONS(481),
    [anon_sym_lcfirst] = ACTIONS(481),
    [anon_sym_length] = ACTIONS(481),
    [anon_sym_localtime] = ACTIONS(481),
    [anon_sym_log] = ACTIONS(481),
    [anon_sym_lock] = ACTIONS(481),
    [anon_sym_lstat] = ACTIONS(481),
    [anon_sym_oct] = ACTIONS(481),
    [anon_sym_ord] = ACTIONS(481),
    [anon_sym_prototype] = ACTIONS(481),
    [anon_sym_pop] = ACTIONS(481),
    [anon_sym_pos] = ACTIONS(481),
    [anon_sym_quotemeta] = ACTIONS(481),
    [anon_sym_reset] = ACTIONS(481),
    [anon_sym_rand] = ACTIONS(481),
    [anon_sym_rmdir] = ACTIONS(481),
    [anon_sym_readdir] = ACTIONS(481),
    [anon_sym_readline] = ACTIONS(481),
    [anon_sym_readpipe] = ACTIONS(481),
    [anon_sym_rewinddir] = ACTIONS(481),
    [anon_sym_readlink] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(481),
    [anon_sym_scalar] = ACTIONS(481),
    [anon_sym_shift] = ACTIONS(481),
    [anon_sym_sin] = ACTIONS(481),
    [anon_sym_sleep] = ACTIONS(481),
    [anon_sym_sqrt] = ACTIONS(481),
    [anon_sym_srand] = ACTIONS(481),
    [anon_sym_stat] = ACTIONS(481),
    [anon_sym_study] = ACTIONS(481),
    [anon_sym_tell] = ACTIONS(481),
    [anon_sym_telldir] = ACTIONS(481),
    [anon_sym_tied] = ACTIONS(481),
    [anon_sym_uc] = ACTIONS(481),
    [anon_sym_ucfirst] = ACTIONS(481),
    [anon_sym_untie] = ACTIONS(481),
    [anon_sym_umask] = ACTIONS(481),
    [anon_sym_values] = ACTIONS(481),
    [anon_sym_write] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(513),
  },
  [515] = {
    [sym__PERLY_BRACE_OPEN] = STATE(73),
    [sym_block] = STATE(454),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2413),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(515),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(439),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(439),
    [anon_sym_our] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(451),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_TILDE] = ACTIONS(451),
    [anon_sym_BANG] = ACTIONS(451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1689),
    [anon_sym_DASH_DASH] = ACTIONS(1689),
    [anon_sym_BSLASH] = ACTIONS(453),
    [anon_sym_do] = ACTIONS(455),
    [anon_sym_eval] = ACTIONS(457),
    [anon_sym_await] = ACTIONS(459),
    [anon_sym_field] = ACTIONS(439),
    [anon_sym_local] = ACTIONS(461),
    [anon_sym_dynamically] = ACTIONS(461),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(465),
    [anon_sym_map] = ACTIONS(467),
    [anon_sym_grep] = ACTIONS(467),
    [anon_sym_sort] = ACTIONS(469),
    [anon_sym_goto] = ACTIONS(471),
    [anon_sym_return] = ACTIONS(473),
    [anon_sym_undef] = ACTIONS(475),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(479),
    [anon_sym_next] = ACTIONS(479),
    [anon_sym_redo] = ACTIONS(479),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(481),
    [anon_sym_alarm] = ACTIONS(481),
    [anon_sym_chop] = ACTIONS(481),
    [anon_sym_chdir] = ACTIONS(481),
    [anon_sym_close] = ACTIONS(481),
    [anon_sym_closedir] = ACTIONS(481),
    [anon_sym_caller] = ACTIONS(481),
    [anon_sym_chomp] = ACTIONS(481),
    [anon_sym_chr] = ACTIONS(481),
    [anon_sym_cos] = ACTIONS(481),
    [anon_sym_chroot] = ACTIONS(481),
    [anon_sym_defined] = ACTIONS(481),
    [anon_sym_delete] = ACTIONS(481),
    [anon_sym_dbmclose] = ACTIONS(481),
    [anon_sym_exists] = ACTIONS(481),
    [anon_sym_exit] = ACTIONS(481),
    [anon_sym_eof] = ACTIONS(481),
    [anon_sym_exp] = ACTIONS(481),
    [anon_sym_each] = ACTIONS(481),
    [anon_sym_fc] = ACTIONS(481),
    [anon_sym_fileno] = ACTIONS(481),
    [anon_sym_gmtime] = ACTIONS(481),
    [anon_sym_getc] = ACTIONS(481),
    [anon_sym_getpgrp] = ACTIONS(481),
    [anon_sym_getprotobyname] = ACTIONS(481),
    [anon_sym_getpwname] = ACTIONS(481),
    [anon_sym_getpwuid] = ACTIONS(481),
    [anon_sym_getpeername] = ACTIONS(481),
    [anon_sym_getnetbyname] = ACTIONS(481),
    [anon_sym_getsockname] = ACTIONS(481),
    [anon_sym_getgrnam] = ACTIONS(481),
    [anon_sym_getgrgid] = ACTIONS(481),
    [anon_sym_hex] = ACTIONS(481),
    [anon_sym_int] = ACTIONS(481),
    [anon_sym_keys] = ACTIONS(481),
    [anon_sym_lc] = ACTIONS(481),
    [anon_sym_lcfirst] = ACTIONS(481),
    [anon_sym_length] = ACTIONS(481),
    [anon_sym_localtime] = ACTIONS(481),
    [anon_sym_log] = ACTIONS(481),
    [anon_sym_lock] = ACTIONS(481),
    [anon_sym_lstat] = ACTIONS(481),
    [anon_sym_oct] = ACTIONS(481),
    [anon_sym_ord] = ACTIONS(481),
    [anon_sym_prototype] = ACTIONS(481),
    [anon_sym_pop] = ACTIONS(481),
    [anon_sym_pos] = ACTIONS(481),
    [anon_sym_quotemeta] = ACTIONS(481),
    [anon_sym_reset] = ACTIONS(481),
    [anon_sym_rand] = ACTIONS(481),
    [anon_sym_rmdir] = ACTIONS(481),
    [anon_sym_readdir] = ACTIONS(481),
    [anon_sym_readline] = ACTIONS(481),
    [anon_sym_readpipe] = ACTIONS(481),
    [anon_sym_rewinddir] = ACTIONS(481),
    [anon_sym_readlink] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(481),
    [anon_sym_scalar] = ACTIONS(481),
    [anon_sym_shift] = ACTIONS(481),
    [anon_sym_sin] = ACTIONS(481),
    [anon_sym_sleep] = ACTIONS(481),
    [anon_sym_sqrt] = ACTIONS(481),
    [anon_sym_srand] = ACTIONS(481),
    [anon_sym_stat] = ACTIONS(481),
    [anon_sym_study] = ACTIONS(481),
    [anon_sym_tell] = ACTIONS(481),
    [anon_sym_telldir] = ACTIONS(481),
    [anon_sym_tied] = ACTIONS(481),
    [anon_sym_uc] = ACTIONS(481),
    [anon_sym_ucfirst] = ACTIONS(481),
    [anon_sym_untie] = ACTIONS(481),
    [anon_sym_umask] = ACTIONS(481),
    [anon_sym_values] = ACTIONS(481),
    [anon_sym_write] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(513),
  },
  [516] = {
    [sym__PERLY_BRACE_OPEN] = STATE(73),
    [sym_block] = STATE(496),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2418),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(516),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(439),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(439),
    [anon_sym_our] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(451),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_TILDE] = ACTIONS(451),
    [anon_sym_BANG] = ACTIONS(451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1689),
    [anon_sym_DASH_DASH] = ACTIONS(1689),
    [anon_sym_BSLASH] = ACTIONS(453),
    [anon_sym_do] = ACTIONS(455),
    [anon_sym_eval] = ACTIONS(457),
    [anon_sym_await] = ACTIONS(459),
    [anon_sym_field] = ACTIONS(439),
    [anon_sym_local] = ACTIONS(461),
    [anon_sym_dynamically] = ACTIONS(461),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(465),
    [anon_sym_map] = ACTIONS(467),
    [anon_sym_grep] = ACTIONS(467),
    [anon_sym_sort] = ACTIONS(469),
    [anon_sym_goto] = ACTIONS(471),
    [anon_sym_return] = ACTIONS(473),
    [anon_sym_undef] = ACTIONS(475),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(479),
    [anon_sym_next] = ACTIONS(479),
    [anon_sym_redo] = ACTIONS(479),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(481),
    [anon_sym_alarm] = ACTIONS(481),
    [anon_sym_chop] = ACTIONS(481),
    [anon_sym_chdir] = ACTIONS(481),
    [anon_sym_close] = ACTIONS(481),
    [anon_sym_closedir] = ACTIONS(481),
    [anon_sym_caller] = ACTIONS(481),
    [anon_sym_chomp] = ACTIONS(481),
    [anon_sym_chr] = ACTIONS(481),
    [anon_sym_cos] = ACTIONS(481),
    [anon_sym_chroot] = ACTIONS(481),
    [anon_sym_defined] = ACTIONS(481),
    [anon_sym_delete] = ACTIONS(481),
    [anon_sym_dbmclose] = ACTIONS(481),
    [anon_sym_exists] = ACTIONS(481),
    [anon_sym_exit] = ACTIONS(481),
    [anon_sym_eof] = ACTIONS(481),
    [anon_sym_exp] = ACTIONS(481),
    [anon_sym_each] = ACTIONS(481),
    [anon_sym_fc] = ACTIONS(481),
    [anon_sym_fileno] = ACTIONS(481),
    [anon_sym_gmtime] = ACTIONS(481),
    [anon_sym_getc] = ACTIONS(481),
    [anon_sym_getpgrp] = ACTIONS(481),
    [anon_sym_getprotobyname] = ACTIONS(481),
    [anon_sym_getpwname] = ACTIONS(481),
    [anon_sym_getpwuid] = ACTIONS(481),
    [anon_sym_getpeername] = ACTIONS(481),
    [anon_sym_getnetbyname] = ACTIONS(481),
    [anon_sym_getsockname] = ACTIONS(481),
    [anon_sym_getgrnam] = ACTIONS(481),
    [anon_sym_getgrgid] = ACTIONS(481),
    [anon_sym_hex] = ACTIONS(481),
    [anon_sym_int] = ACTIONS(481),
    [anon_sym_keys] = ACTIONS(481),
    [anon_sym_lc] = ACTIONS(481),
    [anon_sym_lcfirst] = ACTIONS(481),
    [anon_sym_length] = ACTIONS(481),
    [anon_sym_localtime] = ACTIONS(481),
    [anon_sym_log] = ACTIONS(481),
    [anon_sym_lock] = ACTIONS(481),
    [anon_sym_lstat] = ACTIONS(481),
    [anon_sym_oct] = ACTIONS(481),
    [anon_sym_ord] = ACTIONS(481),
    [anon_sym_prototype] = ACTIONS(481),
    [anon_sym_pop] = ACTIONS(481),
    [anon_sym_pos] = ACTIONS(481),
    [anon_sym_quotemeta] = ACTIONS(481),
    [anon_sym_reset] = ACTIONS(481),
    [anon_sym_rand] = ACTIONS(481),
    [anon_sym_rmdir] = ACTIONS(481),
    [anon_sym_readdir] = ACTIONS(481),
    [anon_sym_readline] = ACTIONS(481),
    [anon_sym_readpipe] = ACTIONS(481),
    [anon_sym_rewinddir] = ACTIONS(481),
    [anon_sym_readlink] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(481),
    [anon_sym_scalar] = ACTIONS(481),
    [anon_sym_shift] = ACTIONS(481),
    [anon_sym_sin] = ACTIONS(481),
    [anon_sym_sleep] = ACTIONS(481),
    [anon_sym_sqrt] = ACTIONS(481),
    [anon_sym_srand] = ACTIONS(481),
    [anon_sym_stat] = ACTIONS(481),
    [anon_sym_study] = ACTIONS(481),
    [anon_sym_tell] = ACTIONS(481),
    [anon_sym_telldir] = ACTIONS(481),
    [anon_sym_tied] = ACTIONS(481),
    [anon_sym_uc] = ACTIONS(481),
    [anon_sym_ucfirst] = ACTIONS(481),
    [anon_sym_untie] = ACTIONS(481),
    [anon_sym_umask] = ACTIONS(481),
    [anon_sym_values] = ACTIONS(481),
    [anon_sym_write] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(513),
  },
  [517] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__term_rightward] = STATE(3935),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2116),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(517),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(439),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(439),
    [anon_sym_our] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(451),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_TILDE] = ACTIONS(451),
    [anon_sym_BANG] = ACTIONS(451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1689),
    [anon_sym_DASH_DASH] = ACTIONS(1689),
    [anon_sym_BSLASH] = ACTIONS(453),
    [anon_sym_do] = ACTIONS(455),
    [anon_sym_eval] = ACTIONS(457),
    [anon_sym_await] = ACTIONS(459),
    [anon_sym_field] = ACTIONS(439),
    [anon_sym_local] = ACTIONS(461),
    [anon_sym_dynamically] = ACTIONS(461),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(465),
    [anon_sym_map] = ACTIONS(467),
    [anon_sym_grep] = ACTIONS(467),
    [anon_sym_sort] = ACTIONS(469),
    [anon_sym_goto] = ACTIONS(471),
    [anon_sym_return] = ACTIONS(473),
    [anon_sym_undef] = ACTIONS(475),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(479),
    [anon_sym_next] = ACTIONS(479),
    [anon_sym_redo] = ACTIONS(479),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(481),
    [anon_sym_alarm] = ACTIONS(481),
    [anon_sym_chop] = ACTIONS(481),
    [anon_sym_chdir] = ACTIONS(481),
    [anon_sym_close] = ACTIONS(481),
    [anon_sym_closedir] = ACTIONS(481),
    [anon_sym_caller] = ACTIONS(481),
    [anon_sym_chomp] = ACTIONS(481),
    [anon_sym_chr] = ACTIONS(481),
    [anon_sym_cos] = ACTIONS(481),
    [anon_sym_chroot] = ACTIONS(481),
    [anon_sym_defined] = ACTIONS(481),
    [anon_sym_delete] = ACTIONS(481),
    [anon_sym_dbmclose] = ACTIONS(481),
    [anon_sym_exists] = ACTIONS(481),
    [anon_sym_exit] = ACTIONS(481),
    [anon_sym_eof] = ACTIONS(481),
    [anon_sym_exp] = ACTIONS(481),
    [anon_sym_each] = ACTIONS(481),
    [anon_sym_fc] = ACTIONS(481),
    [anon_sym_fileno] = ACTIONS(481),
    [anon_sym_gmtime] = ACTIONS(481),
    [anon_sym_getc] = ACTIONS(481),
    [anon_sym_getpgrp] = ACTIONS(481),
    [anon_sym_getprotobyname] = ACTIONS(481),
    [anon_sym_getpwname] = ACTIONS(481),
    [anon_sym_getpwuid] = ACTIONS(481),
    [anon_sym_getpeername] = ACTIONS(481),
    [anon_sym_getnetbyname] = ACTIONS(481),
    [anon_sym_getsockname] = ACTIONS(481),
    [anon_sym_getgrnam] = ACTIONS(481),
    [anon_sym_getgrgid] = ACTIONS(481),
    [anon_sym_hex] = ACTIONS(481),
    [anon_sym_int] = ACTIONS(481),
    [anon_sym_keys] = ACTIONS(481),
    [anon_sym_lc] = ACTIONS(481),
    [anon_sym_lcfirst] = ACTIONS(481),
    [anon_sym_length] = ACTIONS(481),
    [anon_sym_localtime] = ACTIONS(481),
    [anon_sym_log] = ACTIONS(481),
    [anon_sym_lock] = ACTIONS(481),
    [anon_sym_lstat] = ACTIONS(481),
    [anon_sym_oct] = ACTIONS(481),
    [anon_sym_ord] = ACTIONS(481),
    [anon_sym_prototype] = ACTIONS(481),
    [anon_sym_pop] = ACTIONS(481),
    [anon_sym_pos] = ACTIONS(481),
    [anon_sym_quotemeta] = ACTIONS(481),
    [anon_sym_reset] = ACTIONS(481),
    [anon_sym_rand] = ACTIONS(481),
    [anon_sym_rmdir] = ACTIONS(481),
    [anon_sym_readdir] = ACTIONS(481),
    [anon_sym_readline] = ACTIONS(481),
    [anon_sym_readpipe] = ACTIONS(481),
    [anon_sym_rewinddir] = ACTIONS(481),
    [anon_sym_readlink] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(481),
    [anon_sym_scalar] = ACTIONS(481),
    [anon_sym_shift] = ACTIONS(481),
    [anon_sym_sin] = ACTIONS(481),
    [anon_sym_sleep] = ACTIONS(481),
    [anon_sym_sqrt] = ACTIONS(481),
    [anon_sym_srand] = ACTIONS(481),
    [anon_sym_stat] = ACTIONS(481),
    [anon_sym_study] = ACTIONS(481),
    [anon_sym_tell] = ACTIONS(481),
    [anon_sym_telldir] = ACTIONS(481),
    [anon_sym_tied] = ACTIONS(481),
    [anon_sym_uc] = ACTIONS(481),
    [anon_sym_ucfirst] = ACTIONS(481),
    [anon_sym_untie] = ACTIONS(481),
    [anon_sym_umask] = ACTIONS(481),
    [anon_sym_values] = ACTIONS(481),
    [anon_sym_write] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(513),
  },
  [518] = {
    [sym__PERLY_BRACE_OPEN] = STATE(235),
    [sym__term_rightward] = STATE(1841),
    [sym__subscripted] = STATE(1532),
    [sym_container_variable] = STATE(3855),
    [sym_array_element_expression] = STATE(1533),
    [sym_hash_element_expression] = STATE(1533),
    [sym_coderef_call_expression] = STATE(1533),
    [sym_anonymous_slice_expression] = STATE(1533),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(1967),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(1967),
    [sym__term] = STATE(1803),
    [sym_readline_expression] = STATE(1967),
    [sym_fileglob_expression] = STATE(1967),
    [sym_assignment_expression] = STATE(1967),
    [sym_binary_expression] = STATE(1967),
    [sym_equality_expression] = STATE(1967),
    [sym_relational_expression] = STATE(1967),
    [sym_unary_expression] = STATE(1967),
    [sym_preinc_expression] = STATE(1967),
    [sym_postinc_expression] = STATE(1967),
    [sym_conditional_expression] = STATE(1967),
    [sym_refgen_expression] = STATE(1967),
    [sym_anonymous_array_expression] = STATE(1967),
    [sym_anonymous_hash_expression] = STATE(1967),
    [sym_anonymous_subroutine_expression] = STATE(1967),
    [sym_anonymous_method_expression] = STATE(1967),
    [sym_do_expression] = STATE(1967),
    [sym_eval_expression] = STATE(1967),
    [sym_await_expression] = STATE(1967),
    [sym_variable_declaration] = STATE(1967),
    [sym_localization_expression] = STATE(1967),
    [sym_stub_expression] = STATE(1967),
    [sym_scalar_deref_expression] = STATE(1967),
    [sym_array_deref_expression] = STATE(1967),
    [sym_arraylen_deref_expression] = STATE(1967),
    [sym_hash_deref_expression] = STATE(1967),
    [sym_amper_deref_expression] = STATE(1967),
    [sym_glob_deref_expression] = STATE(1967),
    [sym_require_expression] = STATE(1967),
    [sym_require_version_expression] = STATE(1967),
    [sym_func0op_call_expression] = STATE(1967),
    [sym_func1op_call_expression] = STATE(1967),
    [sym_map_grep_expression] = STATE(1967),
    [sym_sort_expression] = STATE(1967),
    [sym_loopex_expression] = STATE(1967),
    [sym_goto_expression] = STATE(1967),
    [sym_return_expression] = STATE(1967),
    [sym_undef_expression] = STATE(1967),
    [sym__listop] = STATE(1967),
    [sym_function_call_expression] = STATE(1968),
    [sym_ambiguous_function_call_expression] = STATE(1968),
    [sym_function] = STATE(389),
    [sym_method_call_expression] = STATE(1968),
    [sym_scalar] = STATE(1967),
    [sym_array] = STATE(1967),
    [sym__SUB_AMPER] = STATE(2686),
    [sym__GLOB_STAR] = STATE(2687),
    [sym_hash] = STATE(1967),
    [sym_arraylen] = STATE(1967),
    [sym_amper_sub] = STATE(1785),
    [sym_glob] = STATE(1786),
    [sym_glob_slot_expression] = STATE(1967),
    [sym__literal] = STATE(1967),
    [sym__apostrophe] = STATE(3328),
    [sym__quotation_mark] = STATE(2501),
    [sym__backtick] = STATE(2502),
    [sym__search_slash] = STATE(2454),
    [sym_string_literal] = STATE(1969),
    [sym_interpolated_string_literal] = STATE(1969),
    [sym_quoted_word_list] = STATE(1787),
    [sym_command_string] = STATE(1969),
    [sym_quoted_regexp] = STATE(1969),
    [sym_match_regexp] = STATE(1969),
    [sym_substitution_regexp] = STATE(1969),
    [sym_transliteration_expression] = STATE(1969),
    [sym_heredoc_token] = STATE(1967),
    [sym_command_heredoc_token] = STATE(1967),
    [sym_heredoc_content] = STATE(518),
    [sym_autoquoted_bareword] = STATE(1967),
    [sym_bareword] = STATE(1967),
    [sym_primitive] = STATE(1967),
    [sym_boolean] = STATE(1965),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3342),
    [sym__identifier] = ACTIONS(575),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1752),
    [anon_sym_AT] = ACTIONS(1671),
    [anon_sym_my] = ACTIONS(517),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(519),
    [anon_sym_method] = ACTIONS(521),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_continue] = ACTIONS(525),
    [anon_sym_state] = ACTIONS(517),
    [anon_sym_our] = ACTIONS(517),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_LT_LT] = ACTIONS(1673),
    [anon_sym_SLASH_SLASH] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(1677),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_PLUS_PLUS] = ACTIONS(1679),
    [anon_sym_DASH_DASH] = ACTIONS(1679),
    [anon_sym_BSLASH] = ACTIONS(531),
    [anon_sym_do] = ACTIONS(533),
    [anon_sym_eval] = ACTIONS(535),
    [anon_sym_await] = ACTIONS(537),
    [anon_sym_field] = ACTIONS(517),
    [anon_sym_local] = ACTIONS(539),
    [anon_sym_dynamically] = ACTIONS(539),
    [anon_sym_DOLLAR_POUND] = ACTIONS(541),
    [anon_sym_require] = ACTIONS(543),
    [anon_sym_map] = ACTIONS(545),
    [anon_sym_grep] = ACTIONS(545),
    [anon_sym_sort] = ACTIONS(547),
    [anon_sym_goto] = ACTIONS(549),
    [anon_sym_return] = ACTIONS(551),
    [anon_sym_undef] = ACTIONS(553),
    [anon_sym_PERCENT2] = ACTIONS(1681),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(555),
    [anon_sym_next] = ACTIONS(555),
    [anon_sym_redo] = ACTIONS(555),
    [anon_sym___FILE__] = ACTIONS(525),
    [anon_sym___LINE__] = ACTIONS(525),
    [anon_sym___PACKAGE__] = ACTIONS(525),
    [anon_sym___SUB__] = ACTIONS(525),
    [anon_sym_break] = ACTIONS(525),
    [anon_sym_fork] = ACTIONS(525),
    [anon_sym_getppid] = ACTIONS(525),
    [anon_sym_time] = ACTIONS(525),
    [anon_sym_times] = ACTIONS(525),
    [anon_sym_wait] = ACTIONS(525),
    [anon_sym_wantarray] = ACTIONS(525),
    [anon_sym_abs] = ACTIONS(557),
    [anon_sym_alarm] = ACTIONS(557),
    [anon_sym_chop] = ACTIONS(557),
    [anon_sym_chdir] = ACTIONS(557),
    [anon_sym_close] = ACTIONS(557),
    [anon_sym_closedir] = ACTIONS(557),
    [anon_sym_caller] = ACTIONS(557),
    [anon_sym_chomp] = ACTIONS(557),
    [anon_sym_chr] = ACTIONS(557),
    [anon_sym_cos] = ACTIONS(557),
    [anon_sym_chroot] = ACTIONS(557),
    [anon_sym_defined] = ACTIONS(557),
    [anon_sym_delete] = ACTIONS(557),
    [anon_sym_dbmclose] = ACTIONS(557),
    [anon_sym_exists] = ACTIONS(557),
    [anon_sym_exit] = ACTIONS(557),
    [anon_sym_eof] = ACTIONS(557),
    [anon_sym_exp] = ACTIONS(557),
    [anon_sym_each] = ACTIONS(557),
    [anon_sym_fc] = ACTIONS(557),
    [anon_sym_fileno] = ACTIONS(557),
    [anon_sym_gmtime] = ACTIONS(557),
    [anon_sym_getc] = ACTIONS(557),
    [anon_sym_getpgrp] = ACTIONS(557),
    [anon_sym_getprotobyname] = ACTIONS(557),
    [anon_sym_getpwname] = ACTIONS(557),
    [anon_sym_getpwuid] = ACTIONS(557),
    [anon_sym_getpeername] = ACTIONS(557),
    [anon_sym_getnetbyname] = ACTIONS(557),
    [anon_sym_getsockname] = ACTIONS(557),
    [anon_sym_getgrnam] = ACTIONS(557),
    [anon_sym_getgrgid] = ACTIONS(557),
    [anon_sym_hex] = ACTIONS(557),
    [anon_sym_int] = ACTIONS(557),
    [anon_sym_keys] = ACTIONS(557),
    [anon_sym_lc] = ACTIONS(557),
    [anon_sym_lcfirst] = ACTIONS(557),
    [anon_sym_length] = ACTIONS(557),
    [anon_sym_localtime] = ACTIONS(557),
    [anon_sym_log] = ACTIONS(557),
    [anon_sym_lock] = ACTIONS(557),
    [anon_sym_lstat] = ACTIONS(557),
    [anon_sym_oct] = ACTIONS(557),
    [anon_sym_ord] = ACTIONS(557),
    [anon_sym_prototype] = ACTIONS(557),
    [anon_sym_pop] = ACTIONS(557),
    [anon_sym_pos] = ACTIONS(557),
    [anon_sym_quotemeta] = ACTIONS(557),
    [anon_sym_reset] = ACTIONS(557),
    [anon_sym_rand] = ACTIONS(557),
    [anon_sym_rmdir] = ACTIONS(557),
    [anon_sym_readdir] = ACTIONS(557),
    [anon_sym_readline] = ACTIONS(557),
    [anon_sym_readpipe] = ACTIONS(557),
    [anon_sym_rewinddir] = ACTIONS(557),
    [anon_sym_readlink] = ACTIONS(557),
    [anon_sym_ref] = ACTIONS(557),
    [anon_sym_scalar] = ACTIONS(557),
    [anon_sym_shift] = ACTIONS(557),
    [anon_sym_sin] = ACTIONS(557),
    [anon_sym_sleep] = ACTIONS(557),
    [anon_sym_sqrt] = ACTIONS(557),
    [anon_sym_srand] = ACTIONS(557),
    [anon_sym_stat] = ACTIONS(557),
    [anon_sym_study] = ACTIONS(557),
    [anon_sym_tell] = ACTIONS(557),
    [anon_sym_telldir] = ACTIONS(557),
    [anon_sym_tied] = ACTIONS(557),
    [anon_sym_uc] = ACTIONS(557),
    [anon_sym_ucfirst] = ACTIONS(557),
    [anon_sym_untie] = ACTIONS(557),
    [anon_sym_umask] = ACTIONS(557),
    [anon_sym_values] = ACTIONS(557),
    [anon_sym_write] = ACTIONS(557),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(559),
    [anon_sym_qq] = ACTIONS(561),
    [anon_sym_qw] = ACTIONS(563),
    [anon_sym_qx] = ACTIONS(565),
    [anon_sym_qr] = ACTIONS(567),
    [anon_sym_m] = ACTIONS(569),
    [anon_sym_s] = ACTIONS(571),
    [anon_sym_tr] = ACTIONS(573),
    [anon_sym_y] = ACTIONS(573),
    [aux_sym__bareword_token1] = ACTIONS(575),
    [sym_number] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(581),
    [sym__open_fileglob_bracket] = ACTIONS(583),
    [sym__PERLY_HEREDOC] = ACTIONS(585),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(587),
    [sym__filetest] = ACTIONS(589),
  },
  [519] = {
    [sym__PERLY_BRACE_OPEN] = STATE(235),
    [sym__term_rightward] = STATE(1853),
    [sym__subscripted] = STATE(1532),
    [sym_container_variable] = STATE(3855),
    [sym_array_element_expression] = STATE(1533),
    [sym_hash_element_expression] = STATE(1533),
    [sym_coderef_call_expression] = STATE(1533),
    [sym_anonymous_slice_expression] = STATE(1533),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(1967),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(1967),
    [sym__term] = STATE(1803),
    [sym_readline_expression] = STATE(1967),
    [sym_fileglob_expression] = STATE(1967),
    [sym_assignment_expression] = STATE(1967),
    [sym_binary_expression] = STATE(1967),
    [sym_equality_expression] = STATE(1967),
    [sym_relational_expression] = STATE(1967),
    [sym_unary_expression] = STATE(1967),
    [sym_preinc_expression] = STATE(1967),
    [sym_postinc_expression] = STATE(1967),
    [sym_conditional_expression] = STATE(1967),
    [sym_refgen_expression] = STATE(1967),
    [sym_anonymous_array_expression] = STATE(1967),
    [sym_anonymous_hash_expression] = STATE(1967),
    [sym_anonymous_subroutine_expression] = STATE(1967),
    [sym_anonymous_method_expression] = STATE(1967),
    [sym_do_expression] = STATE(1967),
    [sym_eval_expression] = STATE(1967),
    [sym_await_expression] = STATE(1967),
    [sym_variable_declaration] = STATE(1967),
    [sym_localization_expression] = STATE(1967),
    [sym_stub_expression] = STATE(1967),
    [sym_scalar_deref_expression] = STATE(1967),
    [sym_array_deref_expression] = STATE(1967),
    [sym_arraylen_deref_expression] = STATE(1967),
    [sym_hash_deref_expression] = STATE(1967),
    [sym_amper_deref_expression] = STATE(1967),
    [sym_glob_deref_expression] = STATE(1967),
    [sym_require_expression] = STATE(1967),
    [sym_require_version_expression] = STATE(1967),
    [sym_func0op_call_expression] = STATE(1967),
    [sym_func1op_call_expression] = STATE(1967),
    [sym_map_grep_expression] = STATE(1967),
    [sym_sort_expression] = STATE(1967),
    [sym_loopex_expression] = STATE(1967),
    [sym_goto_expression] = STATE(1967),
    [sym_return_expression] = STATE(1967),
    [sym_undef_expression] = STATE(1967),
    [sym__listop] = STATE(1967),
    [sym_function_call_expression] = STATE(1968),
    [sym_ambiguous_function_call_expression] = STATE(1968),
    [sym_function] = STATE(389),
    [sym_method_call_expression] = STATE(1968),
    [sym_scalar] = STATE(1967),
    [sym_array] = STATE(1967),
    [sym__SUB_AMPER] = STATE(2686),
    [sym__GLOB_STAR] = STATE(2687),
    [sym_hash] = STATE(1967),
    [sym_arraylen] = STATE(1967),
    [sym_amper_sub] = STATE(1785),
    [sym_glob] = STATE(1786),
    [sym_glob_slot_expression] = STATE(1967),
    [sym__literal] = STATE(1967),
    [sym__apostrophe] = STATE(3328),
    [sym__quotation_mark] = STATE(2501),
    [sym__backtick] = STATE(2502),
    [sym__search_slash] = STATE(2454),
    [sym_string_literal] = STATE(1969),
    [sym_interpolated_string_literal] = STATE(1969),
    [sym_quoted_word_list] = STATE(1787),
    [sym_command_string] = STATE(1969),
    [sym_quoted_regexp] = STATE(1969),
    [sym_match_regexp] = STATE(1969),
    [sym_substitution_regexp] = STATE(1969),
    [sym_transliteration_expression] = STATE(1969),
    [sym_heredoc_token] = STATE(1967),
    [sym_command_heredoc_token] = STATE(1967),
    [sym_heredoc_content] = STATE(519),
    [sym_autoquoted_bareword] = STATE(1967),
    [sym_bareword] = STATE(1967),
    [sym_primitive] = STATE(1967),
    [sym_boolean] = STATE(1965),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3342),
    [sym__identifier] = ACTIONS(575),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1752),
    [anon_sym_AT] = ACTIONS(1671),
    [anon_sym_my] = ACTIONS(517),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(519),
    [anon_sym_method] = ACTIONS(521),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_continue] = ACTIONS(525),
    [anon_sym_state] = ACTIONS(517),
    [anon_sym_our] = ACTIONS(517),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_LT_LT] = ACTIONS(1673),
    [anon_sym_SLASH_SLASH] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(1677),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_PLUS_PLUS] = ACTIONS(1679),
    [anon_sym_DASH_DASH] = ACTIONS(1679),
    [anon_sym_BSLASH] = ACTIONS(531),
    [anon_sym_do] = ACTIONS(533),
    [anon_sym_eval] = ACTIONS(535),
    [anon_sym_await] = ACTIONS(537),
    [anon_sym_field] = ACTIONS(517),
    [anon_sym_local] = ACTIONS(539),
    [anon_sym_dynamically] = ACTIONS(539),
    [anon_sym_DOLLAR_POUND] = ACTIONS(541),
    [anon_sym_require] = ACTIONS(543),
    [anon_sym_map] = ACTIONS(545),
    [anon_sym_grep] = ACTIONS(545),
    [anon_sym_sort] = ACTIONS(547),
    [anon_sym_goto] = ACTIONS(549),
    [anon_sym_return] = ACTIONS(551),
    [anon_sym_undef] = ACTIONS(553),
    [anon_sym_PERCENT2] = ACTIONS(1681),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(555),
    [anon_sym_next] = ACTIONS(555),
    [anon_sym_redo] = ACTIONS(555),
    [anon_sym___FILE__] = ACTIONS(525),
    [anon_sym___LINE__] = ACTIONS(525),
    [anon_sym___PACKAGE__] = ACTIONS(525),
    [anon_sym___SUB__] = ACTIONS(525),
    [anon_sym_break] = ACTIONS(525),
    [anon_sym_fork] = ACTIONS(525),
    [anon_sym_getppid] = ACTIONS(525),
    [anon_sym_time] = ACTIONS(525),
    [anon_sym_times] = ACTIONS(525),
    [anon_sym_wait] = ACTIONS(525),
    [anon_sym_wantarray] = ACTIONS(525),
    [anon_sym_abs] = ACTIONS(557),
    [anon_sym_alarm] = ACTIONS(557),
    [anon_sym_chop] = ACTIONS(557),
    [anon_sym_chdir] = ACTIONS(557),
    [anon_sym_close] = ACTIONS(557),
    [anon_sym_closedir] = ACTIONS(557),
    [anon_sym_caller] = ACTIONS(557),
    [anon_sym_chomp] = ACTIONS(557),
    [anon_sym_chr] = ACTIONS(557),
    [anon_sym_cos] = ACTIONS(557),
    [anon_sym_chroot] = ACTIONS(557),
    [anon_sym_defined] = ACTIONS(557),
    [anon_sym_delete] = ACTIONS(557),
    [anon_sym_dbmclose] = ACTIONS(557),
    [anon_sym_exists] = ACTIONS(557),
    [anon_sym_exit] = ACTIONS(557),
    [anon_sym_eof] = ACTIONS(557),
    [anon_sym_exp] = ACTIONS(557),
    [anon_sym_each] = ACTIONS(557),
    [anon_sym_fc] = ACTIONS(557),
    [anon_sym_fileno] = ACTIONS(557),
    [anon_sym_gmtime] = ACTIONS(557),
    [anon_sym_getc] = ACTIONS(557),
    [anon_sym_getpgrp] = ACTIONS(557),
    [anon_sym_getprotobyname] = ACTIONS(557),
    [anon_sym_getpwname] = ACTIONS(557),
    [anon_sym_getpwuid] = ACTIONS(557),
    [anon_sym_getpeername] = ACTIONS(557),
    [anon_sym_getnetbyname] = ACTIONS(557),
    [anon_sym_getsockname] = ACTIONS(557),
    [anon_sym_getgrnam] = ACTIONS(557),
    [anon_sym_getgrgid] = ACTIONS(557),
    [anon_sym_hex] = ACTIONS(557),
    [anon_sym_int] = ACTIONS(557),
    [anon_sym_keys] = ACTIONS(557),
    [anon_sym_lc] = ACTIONS(557),
    [anon_sym_lcfirst] = ACTIONS(557),
    [anon_sym_length] = ACTIONS(557),
    [anon_sym_localtime] = ACTIONS(557),
    [anon_sym_log] = ACTIONS(557),
    [anon_sym_lock] = ACTIONS(557),
    [anon_sym_lstat] = ACTIONS(557),
    [anon_sym_oct] = ACTIONS(557),
    [anon_sym_ord] = ACTIONS(557),
    [anon_sym_prototype] = ACTIONS(557),
    [anon_sym_pop] = ACTIONS(557),
    [anon_sym_pos] = ACTIONS(557),
    [anon_sym_quotemeta] = ACTIONS(557),
    [anon_sym_reset] = ACTIONS(557),
    [anon_sym_rand] = ACTIONS(557),
    [anon_sym_rmdir] = ACTIONS(557),
    [anon_sym_readdir] = ACTIONS(557),
    [anon_sym_readline] = ACTIONS(557),
    [anon_sym_readpipe] = ACTIONS(557),
    [anon_sym_rewinddir] = ACTIONS(557),
    [anon_sym_readlink] = ACTIONS(557),
    [anon_sym_ref] = ACTIONS(557),
    [anon_sym_scalar] = ACTIONS(557),
    [anon_sym_shift] = ACTIONS(557),
    [anon_sym_sin] = ACTIONS(557),
    [anon_sym_sleep] = ACTIONS(557),
    [anon_sym_sqrt] = ACTIONS(557),
    [anon_sym_srand] = ACTIONS(557),
    [anon_sym_stat] = ACTIONS(557),
    [anon_sym_study] = ACTIONS(557),
    [anon_sym_tell] = ACTIONS(557),
    [anon_sym_telldir] = ACTIONS(557),
    [anon_sym_tied] = ACTIONS(557),
    [anon_sym_uc] = ACTIONS(557),
    [anon_sym_ucfirst] = ACTIONS(557),
    [anon_sym_untie] = ACTIONS(557),
    [anon_sym_umask] = ACTIONS(557),
    [anon_sym_values] = ACTIONS(557),
    [anon_sym_write] = ACTIONS(557),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(559),
    [anon_sym_qq] = ACTIONS(561),
    [anon_sym_qw] = ACTIONS(563),
    [anon_sym_qx] = ACTIONS(565),
    [anon_sym_qr] = ACTIONS(567),
    [anon_sym_m] = ACTIONS(569),
    [anon_sym_s] = ACTIONS(571),
    [anon_sym_tr] = ACTIONS(573),
    [anon_sym_y] = ACTIONS(573),
    [aux_sym__bareword_token1] = ACTIONS(575),
    [sym_number] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(581),
    [sym__open_fileglob_bracket] = ACTIONS(583),
    [sym__PERLY_HEREDOC] = ACTIONS(585),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(587),
    [sym__filetest] = ACTIONS(589),
  },
  [520] = {
    [sym__PERLY_BRACE_OPEN] = STATE(73),
    [sym_block] = STATE(521),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2416),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(520),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(439),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(439),
    [anon_sym_our] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(451),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_TILDE] = ACTIONS(451),
    [anon_sym_BANG] = ACTIONS(451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1689),
    [anon_sym_DASH_DASH] = ACTIONS(1689),
    [anon_sym_BSLASH] = ACTIONS(453),
    [anon_sym_do] = ACTIONS(455),
    [anon_sym_eval] = ACTIONS(457),
    [anon_sym_await] = ACTIONS(459),
    [anon_sym_field] = ACTIONS(439),
    [anon_sym_local] = ACTIONS(461),
    [anon_sym_dynamically] = ACTIONS(461),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(465),
    [anon_sym_map] = ACTIONS(467),
    [anon_sym_grep] = ACTIONS(467),
    [anon_sym_sort] = ACTIONS(469),
    [anon_sym_goto] = ACTIONS(471),
    [anon_sym_return] = ACTIONS(473),
    [anon_sym_undef] = ACTIONS(475),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(479),
    [anon_sym_next] = ACTIONS(479),
    [anon_sym_redo] = ACTIONS(479),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(481),
    [anon_sym_alarm] = ACTIONS(481),
    [anon_sym_chop] = ACTIONS(481),
    [anon_sym_chdir] = ACTIONS(481),
    [anon_sym_close] = ACTIONS(481),
    [anon_sym_closedir] = ACTIONS(481),
    [anon_sym_caller] = ACTIONS(481),
    [anon_sym_chomp] = ACTIONS(481),
    [anon_sym_chr] = ACTIONS(481),
    [anon_sym_cos] = ACTIONS(481),
    [anon_sym_chroot] = ACTIONS(481),
    [anon_sym_defined] = ACTIONS(481),
    [anon_sym_delete] = ACTIONS(481),
    [anon_sym_dbmclose] = ACTIONS(481),
    [anon_sym_exists] = ACTIONS(481),
    [anon_sym_exit] = ACTIONS(481),
    [anon_sym_eof] = ACTIONS(481),
    [anon_sym_exp] = ACTIONS(481),
    [anon_sym_each] = ACTIONS(481),
    [anon_sym_fc] = ACTIONS(481),
    [anon_sym_fileno] = ACTIONS(481),
    [anon_sym_gmtime] = ACTIONS(481),
    [anon_sym_getc] = ACTIONS(481),
    [anon_sym_getpgrp] = ACTIONS(481),
    [anon_sym_getprotobyname] = ACTIONS(481),
    [anon_sym_getpwname] = ACTIONS(481),
    [anon_sym_getpwuid] = ACTIONS(481),
    [anon_sym_getpeername] = ACTIONS(481),
    [anon_sym_getnetbyname] = ACTIONS(481),
    [anon_sym_getsockname] = ACTIONS(481),
    [anon_sym_getgrnam] = ACTIONS(481),
    [anon_sym_getgrgid] = ACTIONS(481),
    [anon_sym_hex] = ACTIONS(481),
    [anon_sym_int] = ACTIONS(481),
    [anon_sym_keys] = ACTIONS(481),
    [anon_sym_lc] = ACTIONS(481),
    [anon_sym_lcfirst] = ACTIONS(481),
    [anon_sym_length] = ACTIONS(481),
    [anon_sym_localtime] = ACTIONS(481),
    [anon_sym_log] = ACTIONS(481),
    [anon_sym_lock] = ACTIONS(481),
    [anon_sym_lstat] = ACTIONS(481),
    [anon_sym_oct] = ACTIONS(481),
    [anon_sym_ord] = ACTIONS(481),
    [anon_sym_prototype] = ACTIONS(481),
    [anon_sym_pop] = ACTIONS(481),
    [anon_sym_pos] = ACTIONS(481),
    [anon_sym_quotemeta] = ACTIONS(481),
    [anon_sym_reset] = ACTIONS(481),
    [anon_sym_rand] = ACTIONS(481),
    [anon_sym_rmdir] = ACTIONS(481),
    [anon_sym_readdir] = ACTIONS(481),
    [anon_sym_readline] = ACTIONS(481),
    [anon_sym_readpipe] = ACTIONS(481),
    [anon_sym_rewinddir] = ACTIONS(481),
    [anon_sym_readlink] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(481),
    [anon_sym_scalar] = ACTIONS(481),
    [anon_sym_shift] = ACTIONS(481),
    [anon_sym_sin] = ACTIONS(481),
    [anon_sym_sleep] = ACTIONS(481),
    [anon_sym_sqrt] = ACTIONS(481),
    [anon_sym_srand] = ACTIONS(481),
    [anon_sym_stat] = ACTIONS(481),
    [anon_sym_study] = ACTIONS(481),
    [anon_sym_tell] = ACTIONS(481),
    [anon_sym_telldir] = ACTIONS(481),
    [anon_sym_tied] = ACTIONS(481),
    [anon_sym_uc] = ACTIONS(481),
    [anon_sym_ucfirst] = ACTIONS(481),
    [anon_sym_untie] = ACTIONS(481),
    [anon_sym_umask] = ACTIONS(481),
    [anon_sym_values] = ACTIONS(481),
    [anon_sym_write] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(513),
  },
  [521] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__term_rightward] = STATE(4062),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2116),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(521),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(439),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(439),
    [anon_sym_our] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(451),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_TILDE] = ACTIONS(451),
    [anon_sym_BANG] = ACTIONS(451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1689),
    [anon_sym_DASH_DASH] = ACTIONS(1689),
    [anon_sym_BSLASH] = ACTIONS(453),
    [anon_sym_do] = ACTIONS(455),
    [anon_sym_eval] = ACTIONS(457),
    [anon_sym_await] = ACTIONS(459),
    [anon_sym_field] = ACTIONS(439),
    [anon_sym_local] = ACTIONS(461),
    [anon_sym_dynamically] = ACTIONS(461),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(465),
    [anon_sym_map] = ACTIONS(467),
    [anon_sym_grep] = ACTIONS(467),
    [anon_sym_sort] = ACTIONS(469),
    [anon_sym_goto] = ACTIONS(471),
    [anon_sym_return] = ACTIONS(473),
    [anon_sym_undef] = ACTIONS(475),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(479),
    [anon_sym_next] = ACTIONS(479),
    [anon_sym_redo] = ACTIONS(479),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(481),
    [anon_sym_alarm] = ACTIONS(481),
    [anon_sym_chop] = ACTIONS(481),
    [anon_sym_chdir] = ACTIONS(481),
    [anon_sym_close] = ACTIONS(481),
    [anon_sym_closedir] = ACTIONS(481),
    [anon_sym_caller] = ACTIONS(481),
    [anon_sym_chomp] = ACTIONS(481),
    [anon_sym_chr] = ACTIONS(481),
    [anon_sym_cos] = ACTIONS(481),
    [anon_sym_chroot] = ACTIONS(481),
    [anon_sym_defined] = ACTIONS(481),
    [anon_sym_delete] = ACTIONS(481),
    [anon_sym_dbmclose] = ACTIONS(481),
    [anon_sym_exists] = ACTIONS(481),
    [anon_sym_exit] = ACTIONS(481),
    [anon_sym_eof] = ACTIONS(481),
    [anon_sym_exp] = ACTIONS(481),
    [anon_sym_each] = ACTIONS(481),
    [anon_sym_fc] = ACTIONS(481),
    [anon_sym_fileno] = ACTIONS(481),
    [anon_sym_gmtime] = ACTIONS(481),
    [anon_sym_getc] = ACTIONS(481),
    [anon_sym_getpgrp] = ACTIONS(481),
    [anon_sym_getprotobyname] = ACTIONS(481),
    [anon_sym_getpwname] = ACTIONS(481),
    [anon_sym_getpwuid] = ACTIONS(481),
    [anon_sym_getpeername] = ACTIONS(481),
    [anon_sym_getnetbyname] = ACTIONS(481),
    [anon_sym_getsockname] = ACTIONS(481),
    [anon_sym_getgrnam] = ACTIONS(481),
    [anon_sym_getgrgid] = ACTIONS(481),
    [anon_sym_hex] = ACTIONS(481),
    [anon_sym_int] = ACTIONS(481),
    [anon_sym_keys] = ACTIONS(481),
    [anon_sym_lc] = ACTIONS(481),
    [anon_sym_lcfirst] = ACTIONS(481),
    [anon_sym_length] = ACTIONS(481),
    [anon_sym_localtime] = ACTIONS(481),
    [anon_sym_log] = ACTIONS(481),
    [anon_sym_lock] = ACTIONS(481),
    [anon_sym_lstat] = ACTIONS(481),
    [anon_sym_oct] = ACTIONS(481),
    [anon_sym_ord] = ACTIONS(481),
    [anon_sym_prototype] = ACTIONS(481),
    [anon_sym_pop] = ACTIONS(481),
    [anon_sym_pos] = ACTIONS(481),
    [anon_sym_quotemeta] = ACTIONS(481),
    [anon_sym_reset] = ACTIONS(481),
    [anon_sym_rand] = ACTIONS(481),
    [anon_sym_rmdir] = ACTIONS(481),
    [anon_sym_readdir] = ACTIONS(481),
    [anon_sym_readline] = ACTIONS(481),
    [anon_sym_readpipe] = ACTIONS(481),
    [anon_sym_rewinddir] = ACTIONS(481),
    [anon_sym_readlink] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(481),
    [anon_sym_scalar] = ACTIONS(481),
    [anon_sym_shift] = ACTIONS(481),
    [anon_sym_sin] = ACTIONS(481),
    [anon_sym_sleep] = ACTIONS(481),
    [anon_sym_sqrt] = ACTIONS(481),
    [anon_sym_srand] = ACTIONS(481),
    [anon_sym_stat] = ACTIONS(481),
    [anon_sym_study] = ACTIONS(481),
    [anon_sym_tell] = ACTIONS(481),
    [anon_sym_telldir] = ACTIONS(481),
    [anon_sym_tied] = ACTIONS(481),
    [anon_sym_uc] = ACTIONS(481),
    [anon_sym_ucfirst] = ACTIONS(481),
    [anon_sym_untie] = ACTIONS(481),
    [anon_sym_umask] = ACTIONS(481),
    [anon_sym_values] = ACTIONS(481),
    [anon_sym_write] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(513),
  },
  [522] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2424),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(394),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(522),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1695),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1697),
    [anon_sym_DASH_DASH] = ACTIONS(1697),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(1222),
  },
  [523] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1626),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(523),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [524] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1742),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(524),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [525] = {
    [sym__PERLY_BRACE_OPEN] = STATE(237),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1330),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(525),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [526] = {
    [sym__PERLY_BRACE_OPEN] = STATE(237),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1359),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(526),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [527] = {
    [sym__PERLY_BRACE_OPEN] = STATE(237),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1454),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(527),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(243),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(243),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(245),
  },
  [528] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1611),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(528),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [529] = {
    [sym__PERLY_BRACE_OPEN] = STATE(237),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1332),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(529),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [530] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2321),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(530),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(1802),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(439),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(439),
    [anon_sym_our] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(451),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_TILDE] = ACTIONS(451),
    [anon_sym_BANG] = ACTIONS(451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1689),
    [anon_sym_DASH_DASH] = ACTIONS(1689),
    [anon_sym_BSLASH] = ACTIONS(453),
    [anon_sym_do] = ACTIONS(455),
    [anon_sym_eval] = ACTIONS(457),
    [anon_sym_await] = ACTIONS(459),
    [anon_sym_field] = ACTIONS(439),
    [anon_sym_local] = ACTIONS(461),
    [anon_sym_dynamically] = ACTIONS(461),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(465),
    [anon_sym_map] = ACTIONS(467),
    [anon_sym_grep] = ACTIONS(467),
    [anon_sym_sort] = ACTIONS(469),
    [anon_sym_goto] = ACTIONS(471),
    [anon_sym_return] = ACTIONS(473),
    [anon_sym_undef] = ACTIONS(475),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(479),
    [anon_sym_next] = ACTIONS(479),
    [anon_sym_redo] = ACTIONS(479),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(481),
    [anon_sym_alarm] = ACTIONS(481),
    [anon_sym_chop] = ACTIONS(481),
    [anon_sym_chdir] = ACTIONS(481),
    [anon_sym_close] = ACTIONS(481),
    [anon_sym_closedir] = ACTIONS(481),
    [anon_sym_caller] = ACTIONS(481),
    [anon_sym_chomp] = ACTIONS(481),
    [anon_sym_chr] = ACTIONS(481),
    [anon_sym_cos] = ACTIONS(481),
    [anon_sym_chroot] = ACTIONS(481),
    [anon_sym_defined] = ACTIONS(481),
    [anon_sym_delete] = ACTIONS(481),
    [anon_sym_dbmclose] = ACTIONS(481),
    [anon_sym_exists] = ACTIONS(481),
    [anon_sym_exit] = ACTIONS(481),
    [anon_sym_eof] = ACTIONS(481),
    [anon_sym_exp] = ACTIONS(481),
    [anon_sym_each] = ACTIONS(481),
    [anon_sym_fc] = ACTIONS(481),
    [anon_sym_fileno] = ACTIONS(481),
    [anon_sym_gmtime] = ACTIONS(481),
    [anon_sym_getc] = ACTIONS(481),
    [anon_sym_getpgrp] = ACTIONS(481),
    [anon_sym_getprotobyname] = ACTIONS(481),
    [anon_sym_getpwname] = ACTIONS(481),
    [anon_sym_getpwuid] = ACTIONS(481),
    [anon_sym_getpeername] = ACTIONS(481),
    [anon_sym_getnetbyname] = ACTIONS(481),
    [anon_sym_getsockname] = ACTIONS(481),
    [anon_sym_getgrnam] = ACTIONS(481),
    [anon_sym_getgrgid] = ACTIONS(481),
    [anon_sym_hex] = ACTIONS(481),
    [anon_sym_int] = ACTIONS(481),
    [anon_sym_keys] = ACTIONS(481),
    [anon_sym_lc] = ACTIONS(481),
    [anon_sym_lcfirst] = ACTIONS(481),
    [anon_sym_length] = ACTIONS(481),
    [anon_sym_localtime] = ACTIONS(481),
    [anon_sym_log] = ACTIONS(481),
    [anon_sym_lock] = ACTIONS(481),
    [anon_sym_lstat] = ACTIONS(481),
    [anon_sym_oct] = ACTIONS(481),
    [anon_sym_ord] = ACTIONS(481),
    [anon_sym_prototype] = ACTIONS(481),
    [anon_sym_pop] = ACTIONS(481),
    [anon_sym_pos] = ACTIONS(481),
    [anon_sym_quotemeta] = ACTIONS(481),
    [anon_sym_reset] = ACTIONS(481),
    [anon_sym_rand] = ACTIONS(481),
    [anon_sym_rmdir] = ACTIONS(481),
    [anon_sym_readdir] = ACTIONS(481),
    [anon_sym_readline] = ACTIONS(481),
    [anon_sym_readpipe] = ACTIONS(481),
    [anon_sym_rewinddir] = ACTIONS(481),
    [anon_sym_readlink] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(481),
    [anon_sym_scalar] = ACTIONS(481),
    [anon_sym_shift] = ACTIONS(481),
    [anon_sym_sin] = ACTIONS(481),
    [anon_sym_sleep] = ACTIONS(481),
    [anon_sym_sqrt] = ACTIONS(481),
    [anon_sym_srand] = ACTIONS(481),
    [anon_sym_stat] = ACTIONS(481),
    [anon_sym_study] = ACTIONS(481),
    [anon_sym_tell] = ACTIONS(481),
    [anon_sym_telldir] = ACTIONS(481),
    [anon_sym_tied] = ACTIONS(481),
    [anon_sym_uc] = ACTIONS(481),
    [anon_sym_ucfirst] = ACTIONS(481),
    [anon_sym_untie] = ACTIONS(481),
    [anon_sym_umask] = ACTIONS(481),
    [anon_sym_values] = ACTIONS(481),
    [anon_sym_write] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(1802),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1804),
    [sym__filetest] = ACTIONS(513),
  },
  [531] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2173),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(531),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(439),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(439),
    [anon_sym_our] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(451),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_TILDE] = ACTIONS(451),
    [anon_sym_BANG] = ACTIONS(451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1689),
    [anon_sym_DASH_DASH] = ACTIONS(1689),
    [anon_sym_BSLASH] = ACTIONS(453),
    [anon_sym_do] = ACTIONS(455),
    [anon_sym_eval] = ACTIONS(457),
    [anon_sym_await] = ACTIONS(459),
    [anon_sym_field] = ACTIONS(439),
    [anon_sym_local] = ACTIONS(461),
    [anon_sym_dynamically] = ACTIONS(461),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(465),
    [anon_sym_map] = ACTIONS(467),
    [anon_sym_grep] = ACTIONS(467),
    [anon_sym_sort] = ACTIONS(469),
    [anon_sym_goto] = ACTIONS(471),
    [anon_sym_return] = ACTIONS(473),
    [anon_sym_undef] = ACTIONS(475),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(479),
    [anon_sym_next] = ACTIONS(479),
    [anon_sym_redo] = ACTIONS(479),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(481),
    [anon_sym_alarm] = ACTIONS(481),
    [anon_sym_chop] = ACTIONS(481),
    [anon_sym_chdir] = ACTIONS(481),
    [anon_sym_close] = ACTIONS(481),
    [anon_sym_closedir] = ACTIONS(481),
    [anon_sym_caller] = ACTIONS(481),
    [anon_sym_chomp] = ACTIONS(481),
    [anon_sym_chr] = ACTIONS(481),
    [anon_sym_cos] = ACTIONS(481),
    [anon_sym_chroot] = ACTIONS(481),
    [anon_sym_defined] = ACTIONS(481),
    [anon_sym_delete] = ACTIONS(481),
    [anon_sym_dbmclose] = ACTIONS(481),
    [anon_sym_exists] = ACTIONS(481),
    [anon_sym_exit] = ACTIONS(481),
    [anon_sym_eof] = ACTIONS(481),
    [anon_sym_exp] = ACTIONS(481),
    [anon_sym_each] = ACTIONS(481),
    [anon_sym_fc] = ACTIONS(481),
    [anon_sym_fileno] = ACTIONS(481),
    [anon_sym_gmtime] = ACTIONS(481),
    [anon_sym_getc] = ACTIONS(481),
    [anon_sym_getpgrp] = ACTIONS(481),
    [anon_sym_getprotobyname] = ACTIONS(481),
    [anon_sym_getpwname] = ACTIONS(481),
    [anon_sym_getpwuid] = ACTIONS(481),
    [anon_sym_getpeername] = ACTIONS(481),
    [anon_sym_getnetbyname] = ACTIONS(481),
    [anon_sym_getsockname] = ACTIONS(481),
    [anon_sym_getgrnam] = ACTIONS(481),
    [anon_sym_getgrgid] = ACTIONS(481),
    [anon_sym_hex] = ACTIONS(481),
    [anon_sym_int] = ACTIONS(481),
    [anon_sym_keys] = ACTIONS(481),
    [anon_sym_lc] = ACTIONS(481),
    [anon_sym_lcfirst] = ACTIONS(481),
    [anon_sym_length] = ACTIONS(481),
    [anon_sym_localtime] = ACTIONS(481),
    [anon_sym_log] = ACTIONS(481),
    [anon_sym_lock] = ACTIONS(481),
    [anon_sym_lstat] = ACTIONS(481),
    [anon_sym_oct] = ACTIONS(481),
    [anon_sym_ord] = ACTIONS(481),
    [anon_sym_prototype] = ACTIONS(481),
    [anon_sym_pop] = ACTIONS(481),
    [anon_sym_pos] = ACTIONS(481),
    [anon_sym_quotemeta] = ACTIONS(481),
    [anon_sym_reset] = ACTIONS(481),
    [anon_sym_rand] = ACTIONS(481),
    [anon_sym_rmdir] = ACTIONS(481),
    [anon_sym_readdir] = ACTIONS(481),
    [anon_sym_readline] = ACTIONS(481),
    [anon_sym_readpipe] = ACTIONS(481),
    [anon_sym_rewinddir] = ACTIONS(481),
    [anon_sym_readlink] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(481),
    [anon_sym_scalar] = ACTIONS(481),
    [anon_sym_shift] = ACTIONS(481),
    [anon_sym_sin] = ACTIONS(481),
    [anon_sym_sleep] = ACTIONS(481),
    [anon_sym_sqrt] = ACTIONS(481),
    [anon_sym_srand] = ACTIONS(481),
    [anon_sym_stat] = ACTIONS(481),
    [anon_sym_study] = ACTIONS(481),
    [anon_sym_tell] = ACTIONS(481),
    [anon_sym_telldir] = ACTIONS(481),
    [anon_sym_tied] = ACTIONS(481),
    [anon_sym_uc] = ACTIONS(481),
    [anon_sym_ucfirst] = ACTIONS(481),
    [anon_sym_untie] = ACTIONS(481),
    [anon_sym_umask] = ACTIONS(481),
    [anon_sym_values] = ACTIONS(481),
    [anon_sym_write] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(513),
  },
  [532] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2326),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(2030),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(532),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(439),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(439),
    [anon_sym_our] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(451),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_TILDE] = ACTIONS(451),
    [anon_sym_BANG] = ACTIONS(451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1689),
    [anon_sym_DASH_DASH] = ACTIONS(1689),
    [anon_sym_BSLASH] = ACTIONS(453),
    [anon_sym_do] = ACTIONS(455),
    [anon_sym_eval] = ACTIONS(457),
    [anon_sym_await] = ACTIONS(459),
    [anon_sym_field] = ACTIONS(439),
    [anon_sym_local] = ACTIONS(461),
    [anon_sym_dynamically] = ACTIONS(461),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(465),
    [anon_sym_map] = ACTIONS(467),
    [anon_sym_grep] = ACTIONS(467),
    [anon_sym_sort] = ACTIONS(469),
    [anon_sym_goto] = ACTIONS(471),
    [anon_sym_return] = ACTIONS(473),
    [anon_sym_undef] = ACTIONS(475),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(479),
    [anon_sym_next] = ACTIONS(479),
    [anon_sym_redo] = ACTIONS(479),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(481),
    [anon_sym_alarm] = ACTIONS(481),
    [anon_sym_chop] = ACTIONS(481),
    [anon_sym_chdir] = ACTIONS(481),
    [anon_sym_close] = ACTIONS(481),
    [anon_sym_closedir] = ACTIONS(481),
    [anon_sym_caller] = ACTIONS(481),
    [anon_sym_chomp] = ACTIONS(481),
    [anon_sym_chr] = ACTIONS(481),
    [anon_sym_cos] = ACTIONS(481),
    [anon_sym_chroot] = ACTIONS(481),
    [anon_sym_defined] = ACTIONS(481),
    [anon_sym_delete] = ACTIONS(481),
    [anon_sym_dbmclose] = ACTIONS(481),
    [anon_sym_exists] = ACTIONS(481),
    [anon_sym_exit] = ACTIONS(481),
    [anon_sym_eof] = ACTIONS(481),
    [anon_sym_exp] = ACTIONS(481),
    [anon_sym_each] = ACTIONS(481),
    [anon_sym_fc] = ACTIONS(481),
    [anon_sym_fileno] = ACTIONS(481),
    [anon_sym_gmtime] = ACTIONS(481),
    [anon_sym_getc] = ACTIONS(481),
    [anon_sym_getpgrp] = ACTIONS(481),
    [anon_sym_getprotobyname] = ACTIONS(481),
    [anon_sym_getpwname] = ACTIONS(481),
    [anon_sym_getpwuid] = ACTIONS(481),
    [anon_sym_getpeername] = ACTIONS(481),
    [anon_sym_getnetbyname] = ACTIONS(481),
    [anon_sym_getsockname] = ACTIONS(481),
    [anon_sym_getgrnam] = ACTIONS(481),
    [anon_sym_getgrgid] = ACTIONS(481),
    [anon_sym_hex] = ACTIONS(481),
    [anon_sym_int] = ACTIONS(481),
    [anon_sym_keys] = ACTIONS(481),
    [anon_sym_lc] = ACTIONS(481),
    [anon_sym_lcfirst] = ACTIONS(481),
    [anon_sym_length] = ACTIONS(481),
    [anon_sym_localtime] = ACTIONS(481),
    [anon_sym_log] = ACTIONS(481),
    [anon_sym_lock] = ACTIONS(481),
    [anon_sym_lstat] = ACTIONS(481),
    [anon_sym_oct] = ACTIONS(481),
    [anon_sym_ord] = ACTIONS(481),
    [anon_sym_prototype] = ACTIONS(481),
    [anon_sym_pop] = ACTIONS(481),
    [anon_sym_pos] = ACTIONS(481),
    [anon_sym_quotemeta] = ACTIONS(481),
    [anon_sym_reset] = ACTIONS(481),
    [anon_sym_rand] = ACTIONS(481),
    [anon_sym_rmdir] = ACTIONS(481),
    [anon_sym_readdir] = ACTIONS(481),
    [anon_sym_readline] = ACTIONS(481),
    [anon_sym_readpipe] = ACTIONS(481),
    [anon_sym_rewinddir] = ACTIONS(481),
    [anon_sym_readlink] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(481),
    [anon_sym_scalar] = ACTIONS(481),
    [anon_sym_shift] = ACTIONS(481),
    [anon_sym_sin] = ACTIONS(481),
    [anon_sym_sleep] = ACTIONS(481),
    [anon_sym_sqrt] = ACTIONS(481),
    [anon_sym_srand] = ACTIONS(481),
    [anon_sym_stat] = ACTIONS(481),
    [anon_sym_study] = ACTIONS(481),
    [anon_sym_tell] = ACTIONS(481),
    [anon_sym_telldir] = ACTIONS(481),
    [anon_sym_tied] = ACTIONS(481),
    [anon_sym_uc] = ACTIONS(481),
    [anon_sym_ucfirst] = ACTIONS(481),
    [anon_sym_untie] = ACTIONS(481),
    [anon_sym_umask] = ACTIONS(481),
    [anon_sym_values] = ACTIONS(481),
    [anon_sym_write] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(513),
  },
  [533] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2338),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(533),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(439),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(439),
    [anon_sym_our] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(451),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_TILDE] = ACTIONS(451),
    [anon_sym_BANG] = ACTIONS(451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1689),
    [anon_sym_DASH_DASH] = ACTIONS(1689),
    [anon_sym_BSLASH] = ACTIONS(453),
    [anon_sym_do] = ACTIONS(455),
    [anon_sym_eval] = ACTIONS(457),
    [anon_sym_await] = ACTIONS(459),
    [anon_sym_field] = ACTIONS(439),
    [anon_sym_local] = ACTIONS(461),
    [anon_sym_dynamically] = ACTIONS(461),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(465),
    [anon_sym_map] = ACTIONS(467),
    [anon_sym_grep] = ACTIONS(467),
    [anon_sym_sort] = ACTIONS(469),
    [anon_sym_goto] = ACTIONS(471),
    [anon_sym_return] = ACTIONS(473),
    [anon_sym_undef] = ACTIONS(475),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(479),
    [anon_sym_next] = ACTIONS(479),
    [anon_sym_redo] = ACTIONS(479),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(481),
    [anon_sym_alarm] = ACTIONS(481),
    [anon_sym_chop] = ACTIONS(481),
    [anon_sym_chdir] = ACTIONS(481),
    [anon_sym_close] = ACTIONS(481),
    [anon_sym_closedir] = ACTIONS(481),
    [anon_sym_caller] = ACTIONS(481),
    [anon_sym_chomp] = ACTIONS(481),
    [anon_sym_chr] = ACTIONS(481),
    [anon_sym_cos] = ACTIONS(481),
    [anon_sym_chroot] = ACTIONS(481),
    [anon_sym_defined] = ACTIONS(481),
    [anon_sym_delete] = ACTIONS(481),
    [anon_sym_dbmclose] = ACTIONS(481),
    [anon_sym_exists] = ACTIONS(481),
    [anon_sym_exit] = ACTIONS(481),
    [anon_sym_eof] = ACTIONS(481),
    [anon_sym_exp] = ACTIONS(481),
    [anon_sym_each] = ACTIONS(481),
    [anon_sym_fc] = ACTIONS(481),
    [anon_sym_fileno] = ACTIONS(481),
    [anon_sym_gmtime] = ACTIONS(481),
    [anon_sym_getc] = ACTIONS(481),
    [anon_sym_getpgrp] = ACTIONS(481),
    [anon_sym_getprotobyname] = ACTIONS(481),
    [anon_sym_getpwname] = ACTIONS(481),
    [anon_sym_getpwuid] = ACTIONS(481),
    [anon_sym_getpeername] = ACTIONS(481),
    [anon_sym_getnetbyname] = ACTIONS(481),
    [anon_sym_getsockname] = ACTIONS(481),
    [anon_sym_getgrnam] = ACTIONS(481),
    [anon_sym_getgrgid] = ACTIONS(481),
    [anon_sym_hex] = ACTIONS(481),
    [anon_sym_int] = ACTIONS(481),
    [anon_sym_keys] = ACTIONS(481),
    [anon_sym_lc] = ACTIONS(481),
    [anon_sym_lcfirst] = ACTIONS(481),
    [anon_sym_length] = ACTIONS(481),
    [anon_sym_localtime] = ACTIONS(481),
    [anon_sym_log] = ACTIONS(481),
    [anon_sym_lock] = ACTIONS(481),
    [anon_sym_lstat] = ACTIONS(481),
    [anon_sym_oct] = ACTIONS(481),
    [anon_sym_ord] = ACTIONS(481),
    [anon_sym_prototype] = ACTIONS(481),
    [anon_sym_pop] = ACTIONS(481),
    [anon_sym_pos] = ACTIONS(481),
    [anon_sym_quotemeta] = ACTIONS(481),
    [anon_sym_reset] = ACTIONS(481),
    [anon_sym_rand] = ACTIONS(481),
    [anon_sym_rmdir] = ACTIONS(481),
    [anon_sym_readdir] = ACTIONS(481),
    [anon_sym_readline] = ACTIONS(481),
    [anon_sym_readpipe] = ACTIONS(481),
    [anon_sym_rewinddir] = ACTIONS(481),
    [anon_sym_readlink] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(481),
    [anon_sym_scalar] = ACTIONS(481),
    [anon_sym_shift] = ACTIONS(481),
    [anon_sym_sin] = ACTIONS(481),
    [anon_sym_sleep] = ACTIONS(481),
    [anon_sym_sqrt] = ACTIONS(481),
    [anon_sym_srand] = ACTIONS(481),
    [anon_sym_stat] = ACTIONS(481),
    [anon_sym_study] = ACTIONS(481),
    [anon_sym_tell] = ACTIONS(481),
    [anon_sym_telldir] = ACTIONS(481),
    [anon_sym_tied] = ACTIONS(481),
    [anon_sym_uc] = ACTIONS(481),
    [anon_sym_ucfirst] = ACTIONS(481),
    [anon_sym_untie] = ACTIONS(481),
    [anon_sym_umask] = ACTIONS(481),
    [anon_sym_values] = ACTIONS(481),
    [anon_sym_write] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(513),
  },
  [534] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2339),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(534),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(439),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(439),
    [anon_sym_our] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(451),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_TILDE] = ACTIONS(451),
    [anon_sym_BANG] = ACTIONS(451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1689),
    [anon_sym_DASH_DASH] = ACTIONS(1689),
    [anon_sym_BSLASH] = ACTIONS(453),
    [anon_sym_do] = ACTIONS(455),
    [anon_sym_eval] = ACTIONS(457),
    [anon_sym_await] = ACTIONS(459),
    [anon_sym_field] = ACTIONS(439),
    [anon_sym_local] = ACTIONS(461),
    [anon_sym_dynamically] = ACTIONS(461),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(465),
    [anon_sym_map] = ACTIONS(467),
    [anon_sym_grep] = ACTIONS(467),
    [anon_sym_sort] = ACTIONS(469),
    [anon_sym_goto] = ACTIONS(471),
    [anon_sym_return] = ACTIONS(473),
    [anon_sym_undef] = ACTIONS(475),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(479),
    [anon_sym_next] = ACTIONS(479),
    [anon_sym_redo] = ACTIONS(479),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(481),
    [anon_sym_alarm] = ACTIONS(481),
    [anon_sym_chop] = ACTIONS(481),
    [anon_sym_chdir] = ACTIONS(481),
    [anon_sym_close] = ACTIONS(481),
    [anon_sym_closedir] = ACTIONS(481),
    [anon_sym_caller] = ACTIONS(481),
    [anon_sym_chomp] = ACTIONS(481),
    [anon_sym_chr] = ACTIONS(481),
    [anon_sym_cos] = ACTIONS(481),
    [anon_sym_chroot] = ACTIONS(481),
    [anon_sym_defined] = ACTIONS(481),
    [anon_sym_delete] = ACTIONS(481),
    [anon_sym_dbmclose] = ACTIONS(481),
    [anon_sym_exists] = ACTIONS(481),
    [anon_sym_exit] = ACTIONS(481),
    [anon_sym_eof] = ACTIONS(481),
    [anon_sym_exp] = ACTIONS(481),
    [anon_sym_each] = ACTIONS(481),
    [anon_sym_fc] = ACTIONS(481),
    [anon_sym_fileno] = ACTIONS(481),
    [anon_sym_gmtime] = ACTIONS(481),
    [anon_sym_getc] = ACTIONS(481),
    [anon_sym_getpgrp] = ACTIONS(481),
    [anon_sym_getprotobyname] = ACTIONS(481),
    [anon_sym_getpwname] = ACTIONS(481),
    [anon_sym_getpwuid] = ACTIONS(481),
    [anon_sym_getpeername] = ACTIONS(481),
    [anon_sym_getnetbyname] = ACTIONS(481),
    [anon_sym_getsockname] = ACTIONS(481),
    [anon_sym_getgrnam] = ACTIONS(481),
    [anon_sym_getgrgid] = ACTIONS(481),
    [anon_sym_hex] = ACTIONS(481),
    [anon_sym_int] = ACTIONS(481),
    [anon_sym_keys] = ACTIONS(481),
    [anon_sym_lc] = ACTIONS(481),
    [anon_sym_lcfirst] = ACTIONS(481),
    [anon_sym_length] = ACTIONS(481),
    [anon_sym_localtime] = ACTIONS(481),
    [anon_sym_log] = ACTIONS(481),
    [anon_sym_lock] = ACTIONS(481),
    [anon_sym_lstat] = ACTIONS(481),
    [anon_sym_oct] = ACTIONS(481),
    [anon_sym_ord] = ACTIONS(481),
    [anon_sym_prototype] = ACTIONS(481),
    [anon_sym_pop] = ACTIONS(481),
    [anon_sym_pos] = ACTIONS(481),
    [anon_sym_quotemeta] = ACTIONS(481),
    [anon_sym_reset] = ACTIONS(481),
    [anon_sym_rand] = ACTIONS(481),
    [anon_sym_rmdir] = ACTIONS(481),
    [anon_sym_readdir] = ACTIONS(481),
    [anon_sym_readline] = ACTIONS(481),
    [anon_sym_readpipe] = ACTIONS(481),
    [anon_sym_rewinddir] = ACTIONS(481),
    [anon_sym_readlink] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(481),
    [anon_sym_scalar] = ACTIONS(481),
    [anon_sym_shift] = ACTIONS(481),
    [anon_sym_sin] = ACTIONS(481),
    [anon_sym_sleep] = ACTIONS(481),
    [anon_sym_sqrt] = ACTIONS(481),
    [anon_sym_srand] = ACTIONS(481),
    [anon_sym_stat] = ACTIONS(481),
    [anon_sym_study] = ACTIONS(481),
    [anon_sym_tell] = ACTIONS(481),
    [anon_sym_telldir] = ACTIONS(481),
    [anon_sym_tied] = ACTIONS(481),
    [anon_sym_uc] = ACTIONS(481),
    [anon_sym_ucfirst] = ACTIONS(481),
    [anon_sym_untie] = ACTIONS(481),
    [anon_sym_umask] = ACTIONS(481),
    [anon_sym_values] = ACTIONS(481),
    [anon_sym_write] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(513),
  },
  [535] = {
    [sym__PERLY_BRACE_OPEN] = STATE(237),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1471),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(535),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(243),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(243),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(245),
  },
  [536] = {
    [sym__PERLY_BRACE_OPEN] = STATE(237),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1333),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(536),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [537] = {
    [sym__PERLY_BRACE_OPEN] = STATE(237),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1334),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(537),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [538] = {
    [sym__PERLY_BRACE_OPEN] = STATE(237),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1335),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(538),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [539] = {
    [sym__PERLY_BRACE_OPEN] = STATE(237),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1336),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(539),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [540] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2300),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(540),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(439),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(439),
    [anon_sym_our] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(451),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_TILDE] = ACTIONS(451),
    [anon_sym_BANG] = ACTIONS(451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1689),
    [anon_sym_DASH_DASH] = ACTIONS(1689),
    [anon_sym_BSLASH] = ACTIONS(453),
    [anon_sym_do] = ACTIONS(455),
    [anon_sym_eval] = ACTIONS(457),
    [anon_sym_await] = ACTIONS(459),
    [anon_sym_field] = ACTIONS(439),
    [anon_sym_local] = ACTIONS(461),
    [anon_sym_dynamically] = ACTIONS(461),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(465),
    [anon_sym_map] = ACTIONS(467),
    [anon_sym_grep] = ACTIONS(467),
    [anon_sym_sort] = ACTIONS(469),
    [anon_sym_goto] = ACTIONS(471),
    [anon_sym_return] = ACTIONS(473),
    [anon_sym_undef] = ACTIONS(475),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(479),
    [anon_sym_next] = ACTIONS(479),
    [anon_sym_redo] = ACTIONS(479),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(481),
    [anon_sym_alarm] = ACTIONS(481),
    [anon_sym_chop] = ACTIONS(481),
    [anon_sym_chdir] = ACTIONS(481),
    [anon_sym_close] = ACTIONS(481),
    [anon_sym_closedir] = ACTIONS(481),
    [anon_sym_caller] = ACTIONS(481),
    [anon_sym_chomp] = ACTIONS(481),
    [anon_sym_chr] = ACTIONS(481),
    [anon_sym_cos] = ACTIONS(481),
    [anon_sym_chroot] = ACTIONS(481),
    [anon_sym_defined] = ACTIONS(481),
    [anon_sym_delete] = ACTIONS(481),
    [anon_sym_dbmclose] = ACTIONS(481),
    [anon_sym_exists] = ACTIONS(481),
    [anon_sym_exit] = ACTIONS(481),
    [anon_sym_eof] = ACTIONS(481),
    [anon_sym_exp] = ACTIONS(481),
    [anon_sym_each] = ACTIONS(481),
    [anon_sym_fc] = ACTIONS(481),
    [anon_sym_fileno] = ACTIONS(481),
    [anon_sym_gmtime] = ACTIONS(481),
    [anon_sym_getc] = ACTIONS(481),
    [anon_sym_getpgrp] = ACTIONS(481),
    [anon_sym_getprotobyname] = ACTIONS(481),
    [anon_sym_getpwname] = ACTIONS(481),
    [anon_sym_getpwuid] = ACTIONS(481),
    [anon_sym_getpeername] = ACTIONS(481),
    [anon_sym_getnetbyname] = ACTIONS(481),
    [anon_sym_getsockname] = ACTIONS(481),
    [anon_sym_getgrnam] = ACTIONS(481),
    [anon_sym_getgrgid] = ACTIONS(481),
    [anon_sym_hex] = ACTIONS(481),
    [anon_sym_int] = ACTIONS(481),
    [anon_sym_keys] = ACTIONS(481),
    [anon_sym_lc] = ACTIONS(481),
    [anon_sym_lcfirst] = ACTIONS(481),
    [anon_sym_length] = ACTIONS(481),
    [anon_sym_localtime] = ACTIONS(481),
    [anon_sym_log] = ACTIONS(481),
    [anon_sym_lock] = ACTIONS(481),
    [anon_sym_lstat] = ACTIONS(481),
    [anon_sym_oct] = ACTIONS(481),
    [anon_sym_ord] = ACTIONS(481),
    [anon_sym_prototype] = ACTIONS(481),
    [anon_sym_pop] = ACTIONS(481),
    [anon_sym_pos] = ACTIONS(481),
    [anon_sym_quotemeta] = ACTIONS(481),
    [anon_sym_reset] = ACTIONS(481),
    [anon_sym_rand] = ACTIONS(481),
    [anon_sym_rmdir] = ACTIONS(481),
    [anon_sym_readdir] = ACTIONS(481),
    [anon_sym_readline] = ACTIONS(481),
    [anon_sym_readpipe] = ACTIONS(481),
    [anon_sym_rewinddir] = ACTIONS(481),
    [anon_sym_readlink] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(481),
    [anon_sym_scalar] = ACTIONS(481),
    [anon_sym_shift] = ACTIONS(481),
    [anon_sym_sin] = ACTIONS(481),
    [anon_sym_sleep] = ACTIONS(481),
    [anon_sym_sqrt] = ACTIONS(481),
    [anon_sym_srand] = ACTIONS(481),
    [anon_sym_stat] = ACTIONS(481),
    [anon_sym_study] = ACTIONS(481),
    [anon_sym_tell] = ACTIONS(481),
    [anon_sym_telldir] = ACTIONS(481),
    [anon_sym_tied] = ACTIONS(481),
    [anon_sym_uc] = ACTIONS(481),
    [anon_sym_ucfirst] = ACTIONS(481),
    [anon_sym_untie] = ACTIONS(481),
    [anon_sym_umask] = ACTIONS(481),
    [anon_sym_values] = ACTIONS(481),
    [anon_sym_write] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(513),
  },
  [541] = {
    [sym__PERLY_BRACE_OPEN] = STATE(237),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1337),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(541),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [542] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2308),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(542),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(439),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(439),
    [anon_sym_our] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(451),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_TILDE] = ACTIONS(451),
    [anon_sym_BANG] = ACTIONS(451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1689),
    [anon_sym_DASH_DASH] = ACTIONS(1689),
    [anon_sym_BSLASH] = ACTIONS(453),
    [anon_sym_do] = ACTIONS(455),
    [anon_sym_eval] = ACTIONS(457),
    [anon_sym_await] = ACTIONS(459),
    [anon_sym_field] = ACTIONS(439),
    [anon_sym_local] = ACTIONS(461),
    [anon_sym_dynamically] = ACTIONS(461),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(465),
    [anon_sym_map] = ACTIONS(467),
    [anon_sym_grep] = ACTIONS(467),
    [anon_sym_sort] = ACTIONS(469),
    [anon_sym_goto] = ACTIONS(471),
    [anon_sym_return] = ACTIONS(473),
    [anon_sym_undef] = ACTIONS(475),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(479),
    [anon_sym_next] = ACTIONS(479),
    [anon_sym_redo] = ACTIONS(479),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(481),
    [anon_sym_alarm] = ACTIONS(481),
    [anon_sym_chop] = ACTIONS(481),
    [anon_sym_chdir] = ACTIONS(481),
    [anon_sym_close] = ACTIONS(481),
    [anon_sym_closedir] = ACTIONS(481),
    [anon_sym_caller] = ACTIONS(481),
    [anon_sym_chomp] = ACTIONS(481),
    [anon_sym_chr] = ACTIONS(481),
    [anon_sym_cos] = ACTIONS(481),
    [anon_sym_chroot] = ACTIONS(481),
    [anon_sym_defined] = ACTIONS(481),
    [anon_sym_delete] = ACTIONS(481),
    [anon_sym_dbmclose] = ACTIONS(481),
    [anon_sym_exists] = ACTIONS(481),
    [anon_sym_exit] = ACTIONS(481),
    [anon_sym_eof] = ACTIONS(481),
    [anon_sym_exp] = ACTIONS(481),
    [anon_sym_each] = ACTIONS(481),
    [anon_sym_fc] = ACTIONS(481),
    [anon_sym_fileno] = ACTIONS(481),
    [anon_sym_gmtime] = ACTIONS(481),
    [anon_sym_getc] = ACTIONS(481),
    [anon_sym_getpgrp] = ACTIONS(481),
    [anon_sym_getprotobyname] = ACTIONS(481),
    [anon_sym_getpwname] = ACTIONS(481),
    [anon_sym_getpwuid] = ACTIONS(481),
    [anon_sym_getpeername] = ACTIONS(481),
    [anon_sym_getnetbyname] = ACTIONS(481),
    [anon_sym_getsockname] = ACTIONS(481),
    [anon_sym_getgrnam] = ACTIONS(481),
    [anon_sym_getgrgid] = ACTIONS(481),
    [anon_sym_hex] = ACTIONS(481),
    [anon_sym_int] = ACTIONS(481),
    [anon_sym_keys] = ACTIONS(481),
    [anon_sym_lc] = ACTIONS(481),
    [anon_sym_lcfirst] = ACTIONS(481),
    [anon_sym_length] = ACTIONS(481),
    [anon_sym_localtime] = ACTIONS(481),
    [anon_sym_log] = ACTIONS(481),
    [anon_sym_lock] = ACTIONS(481),
    [anon_sym_lstat] = ACTIONS(481),
    [anon_sym_oct] = ACTIONS(481),
    [anon_sym_ord] = ACTIONS(481),
    [anon_sym_prototype] = ACTIONS(481),
    [anon_sym_pop] = ACTIONS(481),
    [anon_sym_pos] = ACTIONS(481),
    [anon_sym_quotemeta] = ACTIONS(481),
    [anon_sym_reset] = ACTIONS(481),
    [anon_sym_rand] = ACTIONS(481),
    [anon_sym_rmdir] = ACTIONS(481),
    [anon_sym_readdir] = ACTIONS(481),
    [anon_sym_readline] = ACTIONS(481),
    [anon_sym_readpipe] = ACTIONS(481),
    [anon_sym_rewinddir] = ACTIONS(481),
    [anon_sym_readlink] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(481),
    [anon_sym_scalar] = ACTIONS(481),
    [anon_sym_shift] = ACTIONS(481),
    [anon_sym_sin] = ACTIONS(481),
    [anon_sym_sleep] = ACTIONS(481),
    [anon_sym_sqrt] = ACTIONS(481),
    [anon_sym_srand] = ACTIONS(481),
    [anon_sym_stat] = ACTIONS(481),
    [anon_sym_study] = ACTIONS(481),
    [anon_sym_tell] = ACTIONS(481),
    [anon_sym_telldir] = ACTIONS(481),
    [anon_sym_tied] = ACTIONS(481),
    [anon_sym_uc] = ACTIONS(481),
    [anon_sym_ucfirst] = ACTIONS(481),
    [anon_sym_untie] = ACTIONS(481),
    [anon_sym_umask] = ACTIONS(481),
    [anon_sym_values] = ACTIONS(481),
    [anon_sym_write] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(513),
  },
  [543] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2324),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(543),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(439),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(439),
    [anon_sym_our] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(451),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_TILDE] = ACTIONS(451),
    [anon_sym_BANG] = ACTIONS(451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1689),
    [anon_sym_DASH_DASH] = ACTIONS(1689),
    [anon_sym_BSLASH] = ACTIONS(453),
    [anon_sym_do] = ACTIONS(455),
    [anon_sym_eval] = ACTIONS(457),
    [anon_sym_await] = ACTIONS(459),
    [anon_sym_field] = ACTIONS(439),
    [anon_sym_local] = ACTIONS(461),
    [anon_sym_dynamically] = ACTIONS(461),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(465),
    [anon_sym_map] = ACTIONS(467),
    [anon_sym_grep] = ACTIONS(467),
    [anon_sym_sort] = ACTIONS(469),
    [anon_sym_goto] = ACTIONS(471),
    [anon_sym_return] = ACTIONS(473),
    [anon_sym_undef] = ACTIONS(475),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(479),
    [anon_sym_next] = ACTIONS(479),
    [anon_sym_redo] = ACTIONS(479),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(481),
    [anon_sym_alarm] = ACTIONS(481),
    [anon_sym_chop] = ACTIONS(481),
    [anon_sym_chdir] = ACTIONS(481),
    [anon_sym_close] = ACTIONS(481),
    [anon_sym_closedir] = ACTIONS(481),
    [anon_sym_caller] = ACTIONS(481),
    [anon_sym_chomp] = ACTIONS(481),
    [anon_sym_chr] = ACTIONS(481),
    [anon_sym_cos] = ACTIONS(481),
    [anon_sym_chroot] = ACTIONS(481),
    [anon_sym_defined] = ACTIONS(481),
    [anon_sym_delete] = ACTIONS(481),
    [anon_sym_dbmclose] = ACTIONS(481),
    [anon_sym_exists] = ACTIONS(481),
    [anon_sym_exit] = ACTIONS(481),
    [anon_sym_eof] = ACTIONS(481),
    [anon_sym_exp] = ACTIONS(481),
    [anon_sym_each] = ACTIONS(481),
    [anon_sym_fc] = ACTIONS(481),
    [anon_sym_fileno] = ACTIONS(481),
    [anon_sym_gmtime] = ACTIONS(481),
    [anon_sym_getc] = ACTIONS(481),
    [anon_sym_getpgrp] = ACTIONS(481),
    [anon_sym_getprotobyname] = ACTIONS(481),
    [anon_sym_getpwname] = ACTIONS(481),
    [anon_sym_getpwuid] = ACTIONS(481),
    [anon_sym_getpeername] = ACTIONS(481),
    [anon_sym_getnetbyname] = ACTIONS(481),
    [anon_sym_getsockname] = ACTIONS(481),
    [anon_sym_getgrnam] = ACTIONS(481),
    [anon_sym_getgrgid] = ACTIONS(481),
    [anon_sym_hex] = ACTIONS(481),
    [anon_sym_int] = ACTIONS(481),
    [anon_sym_keys] = ACTIONS(481),
    [anon_sym_lc] = ACTIONS(481),
    [anon_sym_lcfirst] = ACTIONS(481),
    [anon_sym_length] = ACTIONS(481),
    [anon_sym_localtime] = ACTIONS(481),
    [anon_sym_log] = ACTIONS(481),
    [anon_sym_lock] = ACTIONS(481),
    [anon_sym_lstat] = ACTIONS(481),
    [anon_sym_oct] = ACTIONS(481),
    [anon_sym_ord] = ACTIONS(481),
    [anon_sym_prototype] = ACTIONS(481),
    [anon_sym_pop] = ACTIONS(481),
    [anon_sym_pos] = ACTIONS(481),
    [anon_sym_quotemeta] = ACTIONS(481),
    [anon_sym_reset] = ACTIONS(481),
    [anon_sym_rand] = ACTIONS(481),
    [anon_sym_rmdir] = ACTIONS(481),
    [anon_sym_readdir] = ACTIONS(481),
    [anon_sym_readline] = ACTIONS(481),
    [anon_sym_readpipe] = ACTIONS(481),
    [anon_sym_rewinddir] = ACTIONS(481),
    [anon_sym_readlink] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(481),
    [anon_sym_scalar] = ACTIONS(481),
    [anon_sym_shift] = ACTIONS(481),
    [anon_sym_sin] = ACTIONS(481),
    [anon_sym_sleep] = ACTIONS(481),
    [anon_sym_sqrt] = ACTIONS(481),
    [anon_sym_srand] = ACTIONS(481),
    [anon_sym_stat] = ACTIONS(481),
    [anon_sym_study] = ACTIONS(481),
    [anon_sym_tell] = ACTIONS(481),
    [anon_sym_telldir] = ACTIONS(481),
    [anon_sym_tied] = ACTIONS(481),
    [anon_sym_uc] = ACTIONS(481),
    [anon_sym_ucfirst] = ACTIONS(481),
    [anon_sym_untie] = ACTIONS(481),
    [anon_sym_umask] = ACTIONS(481),
    [anon_sym_values] = ACTIONS(481),
    [anon_sym_write] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(513),
  },
  [544] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2330),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(544),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(439),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(439),
    [anon_sym_our] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(451),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_TILDE] = ACTIONS(451),
    [anon_sym_BANG] = ACTIONS(451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1689),
    [anon_sym_DASH_DASH] = ACTIONS(1689),
    [anon_sym_BSLASH] = ACTIONS(453),
    [anon_sym_do] = ACTIONS(455),
    [anon_sym_eval] = ACTIONS(457),
    [anon_sym_await] = ACTIONS(459),
    [anon_sym_field] = ACTIONS(439),
    [anon_sym_local] = ACTIONS(461),
    [anon_sym_dynamically] = ACTIONS(461),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(465),
    [anon_sym_map] = ACTIONS(467),
    [anon_sym_grep] = ACTIONS(467),
    [anon_sym_sort] = ACTIONS(469),
    [anon_sym_goto] = ACTIONS(471),
    [anon_sym_return] = ACTIONS(473),
    [anon_sym_undef] = ACTIONS(475),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(479),
    [anon_sym_next] = ACTIONS(479),
    [anon_sym_redo] = ACTIONS(479),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(481),
    [anon_sym_alarm] = ACTIONS(481),
    [anon_sym_chop] = ACTIONS(481),
    [anon_sym_chdir] = ACTIONS(481),
    [anon_sym_close] = ACTIONS(481),
    [anon_sym_closedir] = ACTIONS(481),
    [anon_sym_caller] = ACTIONS(481),
    [anon_sym_chomp] = ACTIONS(481),
    [anon_sym_chr] = ACTIONS(481),
    [anon_sym_cos] = ACTIONS(481),
    [anon_sym_chroot] = ACTIONS(481),
    [anon_sym_defined] = ACTIONS(481),
    [anon_sym_delete] = ACTIONS(481),
    [anon_sym_dbmclose] = ACTIONS(481),
    [anon_sym_exists] = ACTIONS(481),
    [anon_sym_exit] = ACTIONS(481),
    [anon_sym_eof] = ACTIONS(481),
    [anon_sym_exp] = ACTIONS(481),
    [anon_sym_each] = ACTIONS(481),
    [anon_sym_fc] = ACTIONS(481),
    [anon_sym_fileno] = ACTIONS(481),
    [anon_sym_gmtime] = ACTIONS(481),
    [anon_sym_getc] = ACTIONS(481),
    [anon_sym_getpgrp] = ACTIONS(481),
    [anon_sym_getprotobyname] = ACTIONS(481),
    [anon_sym_getpwname] = ACTIONS(481),
    [anon_sym_getpwuid] = ACTIONS(481),
    [anon_sym_getpeername] = ACTIONS(481),
    [anon_sym_getnetbyname] = ACTIONS(481),
    [anon_sym_getsockname] = ACTIONS(481),
    [anon_sym_getgrnam] = ACTIONS(481),
    [anon_sym_getgrgid] = ACTIONS(481),
    [anon_sym_hex] = ACTIONS(481),
    [anon_sym_int] = ACTIONS(481),
    [anon_sym_keys] = ACTIONS(481),
    [anon_sym_lc] = ACTIONS(481),
    [anon_sym_lcfirst] = ACTIONS(481),
    [anon_sym_length] = ACTIONS(481),
    [anon_sym_localtime] = ACTIONS(481),
    [anon_sym_log] = ACTIONS(481),
    [anon_sym_lock] = ACTIONS(481),
    [anon_sym_lstat] = ACTIONS(481),
    [anon_sym_oct] = ACTIONS(481),
    [anon_sym_ord] = ACTIONS(481),
    [anon_sym_prototype] = ACTIONS(481),
    [anon_sym_pop] = ACTIONS(481),
    [anon_sym_pos] = ACTIONS(481),
    [anon_sym_quotemeta] = ACTIONS(481),
    [anon_sym_reset] = ACTIONS(481),
    [anon_sym_rand] = ACTIONS(481),
    [anon_sym_rmdir] = ACTIONS(481),
    [anon_sym_readdir] = ACTIONS(481),
    [anon_sym_readline] = ACTIONS(481),
    [anon_sym_readpipe] = ACTIONS(481),
    [anon_sym_rewinddir] = ACTIONS(481),
    [anon_sym_readlink] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(481),
    [anon_sym_scalar] = ACTIONS(481),
    [anon_sym_shift] = ACTIONS(481),
    [anon_sym_sin] = ACTIONS(481),
    [anon_sym_sleep] = ACTIONS(481),
    [anon_sym_sqrt] = ACTIONS(481),
    [anon_sym_srand] = ACTIONS(481),
    [anon_sym_stat] = ACTIONS(481),
    [anon_sym_study] = ACTIONS(481),
    [anon_sym_tell] = ACTIONS(481),
    [anon_sym_telldir] = ACTIONS(481),
    [anon_sym_tied] = ACTIONS(481),
    [anon_sym_uc] = ACTIONS(481),
    [anon_sym_ucfirst] = ACTIONS(481),
    [anon_sym_untie] = ACTIONS(481),
    [anon_sym_umask] = ACTIONS(481),
    [anon_sym_values] = ACTIONS(481),
    [anon_sym_write] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(513),
  },
  [545] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2334),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(545),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(439),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(439),
    [anon_sym_our] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(451),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_TILDE] = ACTIONS(451),
    [anon_sym_BANG] = ACTIONS(451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1689),
    [anon_sym_DASH_DASH] = ACTIONS(1689),
    [anon_sym_BSLASH] = ACTIONS(453),
    [anon_sym_do] = ACTIONS(455),
    [anon_sym_eval] = ACTIONS(457),
    [anon_sym_await] = ACTIONS(459),
    [anon_sym_field] = ACTIONS(439),
    [anon_sym_local] = ACTIONS(461),
    [anon_sym_dynamically] = ACTIONS(461),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(465),
    [anon_sym_map] = ACTIONS(467),
    [anon_sym_grep] = ACTIONS(467),
    [anon_sym_sort] = ACTIONS(469),
    [anon_sym_goto] = ACTIONS(471),
    [anon_sym_return] = ACTIONS(473),
    [anon_sym_undef] = ACTIONS(475),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(479),
    [anon_sym_next] = ACTIONS(479),
    [anon_sym_redo] = ACTIONS(479),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(481),
    [anon_sym_alarm] = ACTIONS(481),
    [anon_sym_chop] = ACTIONS(481),
    [anon_sym_chdir] = ACTIONS(481),
    [anon_sym_close] = ACTIONS(481),
    [anon_sym_closedir] = ACTIONS(481),
    [anon_sym_caller] = ACTIONS(481),
    [anon_sym_chomp] = ACTIONS(481),
    [anon_sym_chr] = ACTIONS(481),
    [anon_sym_cos] = ACTIONS(481),
    [anon_sym_chroot] = ACTIONS(481),
    [anon_sym_defined] = ACTIONS(481),
    [anon_sym_delete] = ACTIONS(481),
    [anon_sym_dbmclose] = ACTIONS(481),
    [anon_sym_exists] = ACTIONS(481),
    [anon_sym_exit] = ACTIONS(481),
    [anon_sym_eof] = ACTIONS(481),
    [anon_sym_exp] = ACTIONS(481),
    [anon_sym_each] = ACTIONS(481),
    [anon_sym_fc] = ACTIONS(481),
    [anon_sym_fileno] = ACTIONS(481),
    [anon_sym_gmtime] = ACTIONS(481),
    [anon_sym_getc] = ACTIONS(481),
    [anon_sym_getpgrp] = ACTIONS(481),
    [anon_sym_getprotobyname] = ACTIONS(481),
    [anon_sym_getpwname] = ACTIONS(481),
    [anon_sym_getpwuid] = ACTIONS(481),
    [anon_sym_getpeername] = ACTIONS(481),
    [anon_sym_getnetbyname] = ACTIONS(481),
    [anon_sym_getsockname] = ACTIONS(481),
    [anon_sym_getgrnam] = ACTIONS(481),
    [anon_sym_getgrgid] = ACTIONS(481),
    [anon_sym_hex] = ACTIONS(481),
    [anon_sym_int] = ACTIONS(481),
    [anon_sym_keys] = ACTIONS(481),
    [anon_sym_lc] = ACTIONS(481),
    [anon_sym_lcfirst] = ACTIONS(481),
    [anon_sym_length] = ACTIONS(481),
    [anon_sym_localtime] = ACTIONS(481),
    [anon_sym_log] = ACTIONS(481),
    [anon_sym_lock] = ACTIONS(481),
    [anon_sym_lstat] = ACTIONS(481),
    [anon_sym_oct] = ACTIONS(481),
    [anon_sym_ord] = ACTIONS(481),
    [anon_sym_prototype] = ACTIONS(481),
    [anon_sym_pop] = ACTIONS(481),
    [anon_sym_pos] = ACTIONS(481),
    [anon_sym_quotemeta] = ACTIONS(481),
    [anon_sym_reset] = ACTIONS(481),
    [anon_sym_rand] = ACTIONS(481),
    [anon_sym_rmdir] = ACTIONS(481),
    [anon_sym_readdir] = ACTIONS(481),
    [anon_sym_readline] = ACTIONS(481),
    [anon_sym_readpipe] = ACTIONS(481),
    [anon_sym_rewinddir] = ACTIONS(481),
    [anon_sym_readlink] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(481),
    [anon_sym_scalar] = ACTIONS(481),
    [anon_sym_shift] = ACTIONS(481),
    [anon_sym_sin] = ACTIONS(481),
    [anon_sym_sleep] = ACTIONS(481),
    [anon_sym_sqrt] = ACTIONS(481),
    [anon_sym_srand] = ACTIONS(481),
    [anon_sym_stat] = ACTIONS(481),
    [anon_sym_study] = ACTIONS(481),
    [anon_sym_tell] = ACTIONS(481),
    [anon_sym_telldir] = ACTIONS(481),
    [anon_sym_tied] = ACTIONS(481),
    [anon_sym_uc] = ACTIONS(481),
    [anon_sym_ucfirst] = ACTIONS(481),
    [anon_sym_untie] = ACTIONS(481),
    [anon_sym_umask] = ACTIONS(481),
    [anon_sym_values] = ACTIONS(481),
    [anon_sym_write] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(513),
  },
  [546] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2341),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(546),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(439),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(439),
    [anon_sym_our] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(451),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_TILDE] = ACTIONS(451),
    [anon_sym_BANG] = ACTIONS(451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1689),
    [anon_sym_DASH_DASH] = ACTIONS(1689),
    [anon_sym_BSLASH] = ACTIONS(453),
    [anon_sym_do] = ACTIONS(455),
    [anon_sym_eval] = ACTIONS(457),
    [anon_sym_await] = ACTIONS(459),
    [anon_sym_field] = ACTIONS(439),
    [anon_sym_local] = ACTIONS(461),
    [anon_sym_dynamically] = ACTIONS(461),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(465),
    [anon_sym_map] = ACTIONS(467),
    [anon_sym_grep] = ACTIONS(467),
    [anon_sym_sort] = ACTIONS(469),
    [anon_sym_goto] = ACTIONS(471),
    [anon_sym_return] = ACTIONS(473),
    [anon_sym_undef] = ACTIONS(475),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(479),
    [anon_sym_next] = ACTIONS(479),
    [anon_sym_redo] = ACTIONS(479),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(481),
    [anon_sym_alarm] = ACTIONS(481),
    [anon_sym_chop] = ACTIONS(481),
    [anon_sym_chdir] = ACTIONS(481),
    [anon_sym_close] = ACTIONS(481),
    [anon_sym_closedir] = ACTIONS(481),
    [anon_sym_caller] = ACTIONS(481),
    [anon_sym_chomp] = ACTIONS(481),
    [anon_sym_chr] = ACTIONS(481),
    [anon_sym_cos] = ACTIONS(481),
    [anon_sym_chroot] = ACTIONS(481),
    [anon_sym_defined] = ACTIONS(481),
    [anon_sym_delete] = ACTIONS(481),
    [anon_sym_dbmclose] = ACTIONS(481),
    [anon_sym_exists] = ACTIONS(481),
    [anon_sym_exit] = ACTIONS(481),
    [anon_sym_eof] = ACTIONS(481),
    [anon_sym_exp] = ACTIONS(481),
    [anon_sym_each] = ACTIONS(481),
    [anon_sym_fc] = ACTIONS(481),
    [anon_sym_fileno] = ACTIONS(481),
    [anon_sym_gmtime] = ACTIONS(481),
    [anon_sym_getc] = ACTIONS(481),
    [anon_sym_getpgrp] = ACTIONS(481),
    [anon_sym_getprotobyname] = ACTIONS(481),
    [anon_sym_getpwname] = ACTIONS(481),
    [anon_sym_getpwuid] = ACTIONS(481),
    [anon_sym_getpeername] = ACTIONS(481),
    [anon_sym_getnetbyname] = ACTIONS(481),
    [anon_sym_getsockname] = ACTIONS(481),
    [anon_sym_getgrnam] = ACTIONS(481),
    [anon_sym_getgrgid] = ACTIONS(481),
    [anon_sym_hex] = ACTIONS(481),
    [anon_sym_int] = ACTIONS(481),
    [anon_sym_keys] = ACTIONS(481),
    [anon_sym_lc] = ACTIONS(481),
    [anon_sym_lcfirst] = ACTIONS(481),
    [anon_sym_length] = ACTIONS(481),
    [anon_sym_localtime] = ACTIONS(481),
    [anon_sym_log] = ACTIONS(481),
    [anon_sym_lock] = ACTIONS(481),
    [anon_sym_lstat] = ACTIONS(481),
    [anon_sym_oct] = ACTIONS(481),
    [anon_sym_ord] = ACTIONS(481),
    [anon_sym_prototype] = ACTIONS(481),
    [anon_sym_pop] = ACTIONS(481),
    [anon_sym_pos] = ACTIONS(481),
    [anon_sym_quotemeta] = ACTIONS(481),
    [anon_sym_reset] = ACTIONS(481),
    [anon_sym_rand] = ACTIONS(481),
    [anon_sym_rmdir] = ACTIONS(481),
    [anon_sym_readdir] = ACTIONS(481),
    [anon_sym_readline] = ACTIONS(481),
    [anon_sym_readpipe] = ACTIONS(481),
    [anon_sym_rewinddir] = ACTIONS(481),
    [anon_sym_readlink] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(481),
    [anon_sym_scalar] = ACTIONS(481),
    [anon_sym_shift] = ACTIONS(481),
    [anon_sym_sin] = ACTIONS(481),
    [anon_sym_sleep] = ACTIONS(481),
    [anon_sym_sqrt] = ACTIONS(481),
    [anon_sym_srand] = ACTIONS(481),
    [anon_sym_stat] = ACTIONS(481),
    [anon_sym_study] = ACTIONS(481),
    [anon_sym_tell] = ACTIONS(481),
    [anon_sym_telldir] = ACTIONS(481),
    [anon_sym_tied] = ACTIONS(481),
    [anon_sym_uc] = ACTIONS(481),
    [anon_sym_ucfirst] = ACTIONS(481),
    [anon_sym_untie] = ACTIONS(481),
    [anon_sym_umask] = ACTIONS(481),
    [anon_sym_values] = ACTIONS(481),
    [anon_sym_write] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(513),
  },
  [547] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2347),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(547),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(439),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(439),
    [anon_sym_our] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(451),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_TILDE] = ACTIONS(451),
    [anon_sym_BANG] = ACTIONS(451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1689),
    [anon_sym_DASH_DASH] = ACTIONS(1689),
    [anon_sym_BSLASH] = ACTIONS(453),
    [anon_sym_do] = ACTIONS(455),
    [anon_sym_eval] = ACTIONS(457),
    [anon_sym_await] = ACTIONS(459),
    [anon_sym_field] = ACTIONS(439),
    [anon_sym_local] = ACTIONS(461),
    [anon_sym_dynamically] = ACTIONS(461),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(465),
    [anon_sym_map] = ACTIONS(467),
    [anon_sym_grep] = ACTIONS(467),
    [anon_sym_sort] = ACTIONS(469),
    [anon_sym_goto] = ACTIONS(471),
    [anon_sym_return] = ACTIONS(473),
    [anon_sym_undef] = ACTIONS(475),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(479),
    [anon_sym_next] = ACTIONS(479),
    [anon_sym_redo] = ACTIONS(479),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(481),
    [anon_sym_alarm] = ACTIONS(481),
    [anon_sym_chop] = ACTIONS(481),
    [anon_sym_chdir] = ACTIONS(481),
    [anon_sym_close] = ACTIONS(481),
    [anon_sym_closedir] = ACTIONS(481),
    [anon_sym_caller] = ACTIONS(481),
    [anon_sym_chomp] = ACTIONS(481),
    [anon_sym_chr] = ACTIONS(481),
    [anon_sym_cos] = ACTIONS(481),
    [anon_sym_chroot] = ACTIONS(481),
    [anon_sym_defined] = ACTIONS(481),
    [anon_sym_delete] = ACTIONS(481),
    [anon_sym_dbmclose] = ACTIONS(481),
    [anon_sym_exists] = ACTIONS(481),
    [anon_sym_exit] = ACTIONS(481),
    [anon_sym_eof] = ACTIONS(481),
    [anon_sym_exp] = ACTIONS(481),
    [anon_sym_each] = ACTIONS(481),
    [anon_sym_fc] = ACTIONS(481),
    [anon_sym_fileno] = ACTIONS(481),
    [anon_sym_gmtime] = ACTIONS(481),
    [anon_sym_getc] = ACTIONS(481),
    [anon_sym_getpgrp] = ACTIONS(481),
    [anon_sym_getprotobyname] = ACTIONS(481),
    [anon_sym_getpwname] = ACTIONS(481),
    [anon_sym_getpwuid] = ACTIONS(481),
    [anon_sym_getpeername] = ACTIONS(481),
    [anon_sym_getnetbyname] = ACTIONS(481),
    [anon_sym_getsockname] = ACTIONS(481),
    [anon_sym_getgrnam] = ACTIONS(481),
    [anon_sym_getgrgid] = ACTIONS(481),
    [anon_sym_hex] = ACTIONS(481),
    [anon_sym_int] = ACTIONS(481),
    [anon_sym_keys] = ACTIONS(481),
    [anon_sym_lc] = ACTIONS(481),
    [anon_sym_lcfirst] = ACTIONS(481),
    [anon_sym_length] = ACTIONS(481),
    [anon_sym_localtime] = ACTIONS(481),
    [anon_sym_log] = ACTIONS(481),
    [anon_sym_lock] = ACTIONS(481),
    [anon_sym_lstat] = ACTIONS(481),
    [anon_sym_oct] = ACTIONS(481),
    [anon_sym_ord] = ACTIONS(481),
    [anon_sym_prototype] = ACTIONS(481),
    [anon_sym_pop] = ACTIONS(481),
    [anon_sym_pos] = ACTIONS(481),
    [anon_sym_quotemeta] = ACTIONS(481),
    [anon_sym_reset] = ACTIONS(481),
    [anon_sym_rand] = ACTIONS(481),
    [anon_sym_rmdir] = ACTIONS(481),
    [anon_sym_readdir] = ACTIONS(481),
    [anon_sym_readline] = ACTIONS(481),
    [anon_sym_readpipe] = ACTIONS(481),
    [anon_sym_rewinddir] = ACTIONS(481),
    [anon_sym_readlink] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(481),
    [anon_sym_scalar] = ACTIONS(481),
    [anon_sym_shift] = ACTIONS(481),
    [anon_sym_sin] = ACTIONS(481),
    [anon_sym_sleep] = ACTIONS(481),
    [anon_sym_sqrt] = ACTIONS(481),
    [anon_sym_srand] = ACTIONS(481),
    [anon_sym_stat] = ACTIONS(481),
    [anon_sym_study] = ACTIONS(481),
    [anon_sym_tell] = ACTIONS(481),
    [anon_sym_telldir] = ACTIONS(481),
    [anon_sym_tied] = ACTIONS(481),
    [anon_sym_uc] = ACTIONS(481),
    [anon_sym_ucfirst] = ACTIONS(481),
    [anon_sym_untie] = ACTIONS(481),
    [anon_sym_umask] = ACTIONS(481),
    [anon_sym_values] = ACTIONS(481),
    [anon_sym_write] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(513),
  },
  [548] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2372),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(548),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(439),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(439),
    [anon_sym_our] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(451),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_TILDE] = ACTIONS(451),
    [anon_sym_BANG] = ACTIONS(451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1689),
    [anon_sym_DASH_DASH] = ACTIONS(1689),
    [anon_sym_BSLASH] = ACTIONS(453),
    [anon_sym_do] = ACTIONS(455),
    [anon_sym_eval] = ACTIONS(457),
    [anon_sym_await] = ACTIONS(459),
    [anon_sym_field] = ACTIONS(439),
    [anon_sym_local] = ACTIONS(461),
    [anon_sym_dynamically] = ACTIONS(461),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(465),
    [anon_sym_map] = ACTIONS(467),
    [anon_sym_grep] = ACTIONS(467),
    [anon_sym_sort] = ACTIONS(469),
    [anon_sym_goto] = ACTIONS(471),
    [anon_sym_return] = ACTIONS(473),
    [anon_sym_undef] = ACTIONS(475),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(479),
    [anon_sym_next] = ACTIONS(479),
    [anon_sym_redo] = ACTIONS(479),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(481),
    [anon_sym_alarm] = ACTIONS(481),
    [anon_sym_chop] = ACTIONS(481),
    [anon_sym_chdir] = ACTIONS(481),
    [anon_sym_close] = ACTIONS(481),
    [anon_sym_closedir] = ACTIONS(481),
    [anon_sym_caller] = ACTIONS(481),
    [anon_sym_chomp] = ACTIONS(481),
    [anon_sym_chr] = ACTIONS(481),
    [anon_sym_cos] = ACTIONS(481),
    [anon_sym_chroot] = ACTIONS(481),
    [anon_sym_defined] = ACTIONS(481),
    [anon_sym_delete] = ACTIONS(481),
    [anon_sym_dbmclose] = ACTIONS(481),
    [anon_sym_exists] = ACTIONS(481),
    [anon_sym_exit] = ACTIONS(481),
    [anon_sym_eof] = ACTIONS(481),
    [anon_sym_exp] = ACTIONS(481),
    [anon_sym_each] = ACTIONS(481),
    [anon_sym_fc] = ACTIONS(481),
    [anon_sym_fileno] = ACTIONS(481),
    [anon_sym_gmtime] = ACTIONS(481),
    [anon_sym_getc] = ACTIONS(481),
    [anon_sym_getpgrp] = ACTIONS(481),
    [anon_sym_getprotobyname] = ACTIONS(481),
    [anon_sym_getpwname] = ACTIONS(481),
    [anon_sym_getpwuid] = ACTIONS(481),
    [anon_sym_getpeername] = ACTIONS(481),
    [anon_sym_getnetbyname] = ACTIONS(481),
    [anon_sym_getsockname] = ACTIONS(481),
    [anon_sym_getgrnam] = ACTIONS(481),
    [anon_sym_getgrgid] = ACTIONS(481),
    [anon_sym_hex] = ACTIONS(481),
    [anon_sym_int] = ACTIONS(481),
    [anon_sym_keys] = ACTIONS(481),
    [anon_sym_lc] = ACTIONS(481),
    [anon_sym_lcfirst] = ACTIONS(481),
    [anon_sym_length] = ACTIONS(481),
    [anon_sym_localtime] = ACTIONS(481),
    [anon_sym_log] = ACTIONS(481),
    [anon_sym_lock] = ACTIONS(481),
    [anon_sym_lstat] = ACTIONS(481),
    [anon_sym_oct] = ACTIONS(481),
    [anon_sym_ord] = ACTIONS(481),
    [anon_sym_prototype] = ACTIONS(481),
    [anon_sym_pop] = ACTIONS(481),
    [anon_sym_pos] = ACTIONS(481),
    [anon_sym_quotemeta] = ACTIONS(481),
    [anon_sym_reset] = ACTIONS(481),
    [anon_sym_rand] = ACTIONS(481),
    [anon_sym_rmdir] = ACTIONS(481),
    [anon_sym_readdir] = ACTIONS(481),
    [anon_sym_readline] = ACTIONS(481),
    [anon_sym_readpipe] = ACTIONS(481),
    [anon_sym_rewinddir] = ACTIONS(481),
    [anon_sym_readlink] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(481),
    [anon_sym_scalar] = ACTIONS(481),
    [anon_sym_shift] = ACTIONS(481),
    [anon_sym_sin] = ACTIONS(481),
    [anon_sym_sleep] = ACTIONS(481),
    [anon_sym_sqrt] = ACTIONS(481),
    [anon_sym_srand] = ACTIONS(481),
    [anon_sym_stat] = ACTIONS(481),
    [anon_sym_study] = ACTIONS(481),
    [anon_sym_tell] = ACTIONS(481),
    [anon_sym_telldir] = ACTIONS(481),
    [anon_sym_tied] = ACTIONS(481),
    [anon_sym_uc] = ACTIONS(481),
    [anon_sym_ucfirst] = ACTIONS(481),
    [anon_sym_untie] = ACTIONS(481),
    [anon_sym_umask] = ACTIONS(481),
    [anon_sym_values] = ACTIONS(481),
    [anon_sym_write] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(513),
  },
  [549] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2225),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(549),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(439),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(439),
    [anon_sym_our] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(451),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_TILDE] = ACTIONS(451),
    [anon_sym_BANG] = ACTIONS(451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1689),
    [anon_sym_DASH_DASH] = ACTIONS(1689),
    [anon_sym_BSLASH] = ACTIONS(453),
    [anon_sym_do] = ACTIONS(455),
    [anon_sym_eval] = ACTIONS(457),
    [anon_sym_await] = ACTIONS(459),
    [anon_sym_field] = ACTIONS(439),
    [anon_sym_local] = ACTIONS(461),
    [anon_sym_dynamically] = ACTIONS(461),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(465),
    [anon_sym_map] = ACTIONS(467),
    [anon_sym_grep] = ACTIONS(467),
    [anon_sym_sort] = ACTIONS(469),
    [anon_sym_goto] = ACTIONS(471),
    [anon_sym_return] = ACTIONS(473),
    [anon_sym_undef] = ACTIONS(475),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(479),
    [anon_sym_next] = ACTIONS(479),
    [anon_sym_redo] = ACTIONS(479),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(481),
    [anon_sym_alarm] = ACTIONS(481),
    [anon_sym_chop] = ACTIONS(481),
    [anon_sym_chdir] = ACTIONS(481),
    [anon_sym_close] = ACTIONS(481),
    [anon_sym_closedir] = ACTIONS(481),
    [anon_sym_caller] = ACTIONS(481),
    [anon_sym_chomp] = ACTIONS(481),
    [anon_sym_chr] = ACTIONS(481),
    [anon_sym_cos] = ACTIONS(481),
    [anon_sym_chroot] = ACTIONS(481),
    [anon_sym_defined] = ACTIONS(481),
    [anon_sym_delete] = ACTIONS(481),
    [anon_sym_dbmclose] = ACTIONS(481),
    [anon_sym_exists] = ACTIONS(481),
    [anon_sym_exit] = ACTIONS(481),
    [anon_sym_eof] = ACTIONS(481),
    [anon_sym_exp] = ACTIONS(481),
    [anon_sym_each] = ACTIONS(481),
    [anon_sym_fc] = ACTIONS(481),
    [anon_sym_fileno] = ACTIONS(481),
    [anon_sym_gmtime] = ACTIONS(481),
    [anon_sym_getc] = ACTIONS(481),
    [anon_sym_getpgrp] = ACTIONS(481),
    [anon_sym_getprotobyname] = ACTIONS(481),
    [anon_sym_getpwname] = ACTIONS(481),
    [anon_sym_getpwuid] = ACTIONS(481),
    [anon_sym_getpeername] = ACTIONS(481),
    [anon_sym_getnetbyname] = ACTIONS(481),
    [anon_sym_getsockname] = ACTIONS(481),
    [anon_sym_getgrnam] = ACTIONS(481),
    [anon_sym_getgrgid] = ACTIONS(481),
    [anon_sym_hex] = ACTIONS(481),
    [anon_sym_int] = ACTIONS(481),
    [anon_sym_keys] = ACTIONS(481),
    [anon_sym_lc] = ACTIONS(481),
    [anon_sym_lcfirst] = ACTIONS(481),
    [anon_sym_length] = ACTIONS(481),
    [anon_sym_localtime] = ACTIONS(481),
    [anon_sym_log] = ACTIONS(481),
    [anon_sym_lock] = ACTIONS(481),
    [anon_sym_lstat] = ACTIONS(481),
    [anon_sym_oct] = ACTIONS(481),
    [anon_sym_ord] = ACTIONS(481),
    [anon_sym_prototype] = ACTIONS(481),
    [anon_sym_pop] = ACTIONS(481),
    [anon_sym_pos] = ACTIONS(481),
    [anon_sym_quotemeta] = ACTIONS(481),
    [anon_sym_reset] = ACTIONS(481),
    [anon_sym_rand] = ACTIONS(481),
    [anon_sym_rmdir] = ACTIONS(481),
    [anon_sym_readdir] = ACTIONS(481),
    [anon_sym_readline] = ACTIONS(481),
    [anon_sym_readpipe] = ACTIONS(481),
    [anon_sym_rewinddir] = ACTIONS(481),
    [anon_sym_readlink] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(481),
    [anon_sym_scalar] = ACTIONS(481),
    [anon_sym_shift] = ACTIONS(481),
    [anon_sym_sin] = ACTIONS(481),
    [anon_sym_sleep] = ACTIONS(481),
    [anon_sym_sqrt] = ACTIONS(481),
    [anon_sym_srand] = ACTIONS(481),
    [anon_sym_stat] = ACTIONS(481),
    [anon_sym_study] = ACTIONS(481),
    [anon_sym_tell] = ACTIONS(481),
    [anon_sym_telldir] = ACTIONS(481),
    [anon_sym_tied] = ACTIONS(481),
    [anon_sym_uc] = ACTIONS(481),
    [anon_sym_ucfirst] = ACTIONS(481),
    [anon_sym_untie] = ACTIONS(481),
    [anon_sym_umask] = ACTIONS(481),
    [anon_sym_values] = ACTIONS(481),
    [anon_sym_write] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(513),
  },
  [550] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2262),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(550),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(439),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(439),
    [anon_sym_our] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(451),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_TILDE] = ACTIONS(451),
    [anon_sym_BANG] = ACTIONS(451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1689),
    [anon_sym_DASH_DASH] = ACTIONS(1689),
    [anon_sym_BSLASH] = ACTIONS(453),
    [anon_sym_do] = ACTIONS(455),
    [anon_sym_eval] = ACTIONS(457),
    [anon_sym_await] = ACTIONS(459),
    [anon_sym_field] = ACTIONS(439),
    [anon_sym_local] = ACTIONS(461),
    [anon_sym_dynamically] = ACTIONS(461),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(465),
    [anon_sym_map] = ACTIONS(467),
    [anon_sym_grep] = ACTIONS(467),
    [anon_sym_sort] = ACTIONS(469),
    [anon_sym_goto] = ACTIONS(471),
    [anon_sym_return] = ACTIONS(473),
    [anon_sym_undef] = ACTIONS(475),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(479),
    [anon_sym_next] = ACTIONS(479),
    [anon_sym_redo] = ACTIONS(479),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(481),
    [anon_sym_alarm] = ACTIONS(481),
    [anon_sym_chop] = ACTIONS(481),
    [anon_sym_chdir] = ACTIONS(481),
    [anon_sym_close] = ACTIONS(481),
    [anon_sym_closedir] = ACTIONS(481),
    [anon_sym_caller] = ACTIONS(481),
    [anon_sym_chomp] = ACTIONS(481),
    [anon_sym_chr] = ACTIONS(481),
    [anon_sym_cos] = ACTIONS(481),
    [anon_sym_chroot] = ACTIONS(481),
    [anon_sym_defined] = ACTIONS(481),
    [anon_sym_delete] = ACTIONS(481),
    [anon_sym_dbmclose] = ACTIONS(481),
    [anon_sym_exists] = ACTIONS(481),
    [anon_sym_exit] = ACTIONS(481),
    [anon_sym_eof] = ACTIONS(481),
    [anon_sym_exp] = ACTIONS(481),
    [anon_sym_each] = ACTIONS(481),
    [anon_sym_fc] = ACTIONS(481),
    [anon_sym_fileno] = ACTIONS(481),
    [anon_sym_gmtime] = ACTIONS(481),
    [anon_sym_getc] = ACTIONS(481),
    [anon_sym_getpgrp] = ACTIONS(481),
    [anon_sym_getprotobyname] = ACTIONS(481),
    [anon_sym_getpwname] = ACTIONS(481),
    [anon_sym_getpwuid] = ACTIONS(481),
    [anon_sym_getpeername] = ACTIONS(481),
    [anon_sym_getnetbyname] = ACTIONS(481),
    [anon_sym_getsockname] = ACTIONS(481),
    [anon_sym_getgrnam] = ACTIONS(481),
    [anon_sym_getgrgid] = ACTIONS(481),
    [anon_sym_hex] = ACTIONS(481),
    [anon_sym_int] = ACTIONS(481),
    [anon_sym_keys] = ACTIONS(481),
    [anon_sym_lc] = ACTIONS(481),
    [anon_sym_lcfirst] = ACTIONS(481),
    [anon_sym_length] = ACTIONS(481),
    [anon_sym_localtime] = ACTIONS(481),
    [anon_sym_log] = ACTIONS(481),
    [anon_sym_lock] = ACTIONS(481),
    [anon_sym_lstat] = ACTIONS(481),
    [anon_sym_oct] = ACTIONS(481),
    [anon_sym_ord] = ACTIONS(481),
    [anon_sym_prototype] = ACTIONS(481),
    [anon_sym_pop] = ACTIONS(481),
    [anon_sym_pos] = ACTIONS(481),
    [anon_sym_quotemeta] = ACTIONS(481),
    [anon_sym_reset] = ACTIONS(481),
    [anon_sym_rand] = ACTIONS(481),
    [anon_sym_rmdir] = ACTIONS(481),
    [anon_sym_readdir] = ACTIONS(481),
    [anon_sym_readline] = ACTIONS(481),
    [anon_sym_readpipe] = ACTIONS(481),
    [anon_sym_rewinddir] = ACTIONS(481),
    [anon_sym_readlink] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(481),
    [anon_sym_scalar] = ACTIONS(481),
    [anon_sym_shift] = ACTIONS(481),
    [anon_sym_sin] = ACTIONS(481),
    [anon_sym_sleep] = ACTIONS(481),
    [anon_sym_sqrt] = ACTIONS(481),
    [anon_sym_srand] = ACTIONS(481),
    [anon_sym_stat] = ACTIONS(481),
    [anon_sym_study] = ACTIONS(481),
    [anon_sym_tell] = ACTIONS(481),
    [anon_sym_telldir] = ACTIONS(481),
    [anon_sym_tied] = ACTIONS(481),
    [anon_sym_uc] = ACTIONS(481),
    [anon_sym_ucfirst] = ACTIONS(481),
    [anon_sym_untie] = ACTIONS(481),
    [anon_sym_umask] = ACTIONS(481),
    [anon_sym_values] = ACTIONS(481),
    [anon_sym_write] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(513),
  },
  [551] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2279),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(551),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(439),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(439),
    [anon_sym_our] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(451),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_TILDE] = ACTIONS(451),
    [anon_sym_BANG] = ACTIONS(451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1689),
    [anon_sym_DASH_DASH] = ACTIONS(1689),
    [anon_sym_BSLASH] = ACTIONS(453),
    [anon_sym_do] = ACTIONS(455),
    [anon_sym_eval] = ACTIONS(457),
    [anon_sym_await] = ACTIONS(459),
    [anon_sym_field] = ACTIONS(439),
    [anon_sym_local] = ACTIONS(461),
    [anon_sym_dynamically] = ACTIONS(461),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(465),
    [anon_sym_map] = ACTIONS(467),
    [anon_sym_grep] = ACTIONS(467),
    [anon_sym_sort] = ACTIONS(469),
    [anon_sym_goto] = ACTIONS(471),
    [anon_sym_return] = ACTIONS(473),
    [anon_sym_undef] = ACTIONS(475),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(479),
    [anon_sym_next] = ACTIONS(479),
    [anon_sym_redo] = ACTIONS(479),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(481),
    [anon_sym_alarm] = ACTIONS(481),
    [anon_sym_chop] = ACTIONS(481),
    [anon_sym_chdir] = ACTIONS(481),
    [anon_sym_close] = ACTIONS(481),
    [anon_sym_closedir] = ACTIONS(481),
    [anon_sym_caller] = ACTIONS(481),
    [anon_sym_chomp] = ACTIONS(481),
    [anon_sym_chr] = ACTIONS(481),
    [anon_sym_cos] = ACTIONS(481),
    [anon_sym_chroot] = ACTIONS(481),
    [anon_sym_defined] = ACTIONS(481),
    [anon_sym_delete] = ACTIONS(481),
    [anon_sym_dbmclose] = ACTIONS(481),
    [anon_sym_exists] = ACTIONS(481),
    [anon_sym_exit] = ACTIONS(481),
    [anon_sym_eof] = ACTIONS(481),
    [anon_sym_exp] = ACTIONS(481),
    [anon_sym_each] = ACTIONS(481),
    [anon_sym_fc] = ACTIONS(481),
    [anon_sym_fileno] = ACTIONS(481),
    [anon_sym_gmtime] = ACTIONS(481),
    [anon_sym_getc] = ACTIONS(481),
    [anon_sym_getpgrp] = ACTIONS(481),
    [anon_sym_getprotobyname] = ACTIONS(481),
    [anon_sym_getpwname] = ACTIONS(481),
    [anon_sym_getpwuid] = ACTIONS(481),
    [anon_sym_getpeername] = ACTIONS(481),
    [anon_sym_getnetbyname] = ACTIONS(481),
    [anon_sym_getsockname] = ACTIONS(481),
    [anon_sym_getgrnam] = ACTIONS(481),
    [anon_sym_getgrgid] = ACTIONS(481),
    [anon_sym_hex] = ACTIONS(481),
    [anon_sym_int] = ACTIONS(481),
    [anon_sym_keys] = ACTIONS(481),
    [anon_sym_lc] = ACTIONS(481),
    [anon_sym_lcfirst] = ACTIONS(481),
    [anon_sym_length] = ACTIONS(481),
    [anon_sym_localtime] = ACTIONS(481),
    [anon_sym_log] = ACTIONS(481),
    [anon_sym_lock] = ACTIONS(481),
    [anon_sym_lstat] = ACTIONS(481),
    [anon_sym_oct] = ACTIONS(481),
    [anon_sym_ord] = ACTIONS(481),
    [anon_sym_prototype] = ACTIONS(481),
    [anon_sym_pop] = ACTIONS(481),
    [anon_sym_pos] = ACTIONS(481),
    [anon_sym_quotemeta] = ACTIONS(481),
    [anon_sym_reset] = ACTIONS(481),
    [anon_sym_rand] = ACTIONS(481),
    [anon_sym_rmdir] = ACTIONS(481),
    [anon_sym_readdir] = ACTIONS(481),
    [anon_sym_readline] = ACTIONS(481),
    [anon_sym_readpipe] = ACTIONS(481),
    [anon_sym_rewinddir] = ACTIONS(481),
    [anon_sym_readlink] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(481),
    [anon_sym_scalar] = ACTIONS(481),
    [anon_sym_shift] = ACTIONS(481),
    [anon_sym_sin] = ACTIONS(481),
    [anon_sym_sleep] = ACTIONS(481),
    [anon_sym_sqrt] = ACTIONS(481),
    [anon_sym_srand] = ACTIONS(481),
    [anon_sym_stat] = ACTIONS(481),
    [anon_sym_study] = ACTIONS(481),
    [anon_sym_tell] = ACTIONS(481),
    [anon_sym_telldir] = ACTIONS(481),
    [anon_sym_tied] = ACTIONS(481),
    [anon_sym_uc] = ACTIONS(481),
    [anon_sym_ucfirst] = ACTIONS(481),
    [anon_sym_untie] = ACTIONS(481),
    [anon_sym_umask] = ACTIONS(481),
    [anon_sym_values] = ACTIONS(481),
    [anon_sym_write] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(513),
  },
  [552] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2237),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(552),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(439),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(439),
    [anon_sym_our] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(451),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_TILDE] = ACTIONS(451),
    [anon_sym_BANG] = ACTIONS(451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1689),
    [anon_sym_DASH_DASH] = ACTIONS(1689),
    [anon_sym_BSLASH] = ACTIONS(453),
    [anon_sym_do] = ACTIONS(455),
    [anon_sym_eval] = ACTIONS(457),
    [anon_sym_await] = ACTIONS(459),
    [anon_sym_field] = ACTIONS(439),
    [anon_sym_local] = ACTIONS(461),
    [anon_sym_dynamically] = ACTIONS(461),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(465),
    [anon_sym_map] = ACTIONS(467),
    [anon_sym_grep] = ACTIONS(467),
    [anon_sym_sort] = ACTIONS(469),
    [anon_sym_goto] = ACTIONS(471),
    [anon_sym_return] = ACTIONS(473),
    [anon_sym_undef] = ACTIONS(475),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(479),
    [anon_sym_next] = ACTIONS(479),
    [anon_sym_redo] = ACTIONS(479),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(481),
    [anon_sym_alarm] = ACTIONS(481),
    [anon_sym_chop] = ACTIONS(481),
    [anon_sym_chdir] = ACTIONS(481),
    [anon_sym_close] = ACTIONS(481),
    [anon_sym_closedir] = ACTIONS(481),
    [anon_sym_caller] = ACTIONS(481),
    [anon_sym_chomp] = ACTIONS(481),
    [anon_sym_chr] = ACTIONS(481),
    [anon_sym_cos] = ACTIONS(481),
    [anon_sym_chroot] = ACTIONS(481),
    [anon_sym_defined] = ACTIONS(481),
    [anon_sym_delete] = ACTIONS(481),
    [anon_sym_dbmclose] = ACTIONS(481),
    [anon_sym_exists] = ACTIONS(481),
    [anon_sym_exit] = ACTIONS(481),
    [anon_sym_eof] = ACTIONS(481),
    [anon_sym_exp] = ACTIONS(481),
    [anon_sym_each] = ACTIONS(481),
    [anon_sym_fc] = ACTIONS(481),
    [anon_sym_fileno] = ACTIONS(481),
    [anon_sym_gmtime] = ACTIONS(481),
    [anon_sym_getc] = ACTIONS(481),
    [anon_sym_getpgrp] = ACTIONS(481),
    [anon_sym_getprotobyname] = ACTIONS(481),
    [anon_sym_getpwname] = ACTIONS(481),
    [anon_sym_getpwuid] = ACTIONS(481),
    [anon_sym_getpeername] = ACTIONS(481),
    [anon_sym_getnetbyname] = ACTIONS(481),
    [anon_sym_getsockname] = ACTIONS(481),
    [anon_sym_getgrnam] = ACTIONS(481),
    [anon_sym_getgrgid] = ACTIONS(481),
    [anon_sym_hex] = ACTIONS(481),
    [anon_sym_int] = ACTIONS(481),
    [anon_sym_keys] = ACTIONS(481),
    [anon_sym_lc] = ACTIONS(481),
    [anon_sym_lcfirst] = ACTIONS(481),
    [anon_sym_length] = ACTIONS(481),
    [anon_sym_localtime] = ACTIONS(481),
    [anon_sym_log] = ACTIONS(481),
    [anon_sym_lock] = ACTIONS(481),
    [anon_sym_lstat] = ACTIONS(481),
    [anon_sym_oct] = ACTIONS(481),
    [anon_sym_ord] = ACTIONS(481),
    [anon_sym_prototype] = ACTIONS(481),
    [anon_sym_pop] = ACTIONS(481),
    [anon_sym_pos] = ACTIONS(481),
    [anon_sym_quotemeta] = ACTIONS(481),
    [anon_sym_reset] = ACTIONS(481),
    [anon_sym_rand] = ACTIONS(481),
    [anon_sym_rmdir] = ACTIONS(481),
    [anon_sym_readdir] = ACTIONS(481),
    [anon_sym_readline] = ACTIONS(481),
    [anon_sym_readpipe] = ACTIONS(481),
    [anon_sym_rewinddir] = ACTIONS(481),
    [anon_sym_readlink] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(481),
    [anon_sym_scalar] = ACTIONS(481),
    [anon_sym_shift] = ACTIONS(481),
    [anon_sym_sin] = ACTIONS(481),
    [anon_sym_sleep] = ACTIONS(481),
    [anon_sym_sqrt] = ACTIONS(481),
    [anon_sym_srand] = ACTIONS(481),
    [anon_sym_stat] = ACTIONS(481),
    [anon_sym_study] = ACTIONS(481),
    [anon_sym_tell] = ACTIONS(481),
    [anon_sym_telldir] = ACTIONS(481),
    [anon_sym_tied] = ACTIONS(481),
    [anon_sym_uc] = ACTIONS(481),
    [anon_sym_ucfirst] = ACTIONS(481),
    [anon_sym_untie] = ACTIONS(481),
    [anon_sym_umask] = ACTIONS(481),
    [anon_sym_values] = ACTIONS(481),
    [anon_sym_write] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(513),
  },
  [553] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2291),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(553),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(439),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(439),
    [anon_sym_our] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(451),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_TILDE] = ACTIONS(451),
    [anon_sym_BANG] = ACTIONS(451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1689),
    [anon_sym_DASH_DASH] = ACTIONS(1689),
    [anon_sym_BSLASH] = ACTIONS(453),
    [anon_sym_do] = ACTIONS(455),
    [anon_sym_eval] = ACTIONS(457),
    [anon_sym_await] = ACTIONS(459),
    [anon_sym_field] = ACTIONS(439),
    [anon_sym_local] = ACTIONS(461),
    [anon_sym_dynamically] = ACTIONS(461),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(465),
    [anon_sym_map] = ACTIONS(467),
    [anon_sym_grep] = ACTIONS(467),
    [anon_sym_sort] = ACTIONS(469),
    [anon_sym_goto] = ACTIONS(471),
    [anon_sym_return] = ACTIONS(473),
    [anon_sym_undef] = ACTIONS(475),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(479),
    [anon_sym_next] = ACTIONS(479),
    [anon_sym_redo] = ACTIONS(479),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(481),
    [anon_sym_alarm] = ACTIONS(481),
    [anon_sym_chop] = ACTIONS(481),
    [anon_sym_chdir] = ACTIONS(481),
    [anon_sym_close] = ACTIONS(481),
    [anon_sym_closedir] = ACTIONS(481),
    [anon_sym_caller] = ACTIONS(481),
    [anon_sym_chomp] = ACTIONS(481),
    [anon_sym_chr] = ACTIONS(481),
    [anon_sym_cos] = ACTIONS(481),
    [anon_sym_chroot] = ACTIONS(481),
    [anon_sym_defined] = ACTIONS(481),
    [anon_sym_delete] = ACTIONS(481),
    [anon_sym_dbmclose] = ACTIONS(481),
    [anon_sym_exists] = ACTIONS(481),
    [anon_sym_exit] = ACTIONS(481),
    [anon_sym_eof] = ACTIONS(481),
    [anon_sym_exp] = ACTIONS(481),
    [anon_sym_each] = ACTIONS(481),
    [anon_sym_fc] = ACTIONS(481),
    [anon_sym_fileno] = ACTIONS(481),
    [anon_sym_gmtime] = ACTIONS(481),
    [anon_sym_getc] = ACTIONS(481),
    [anon_sym_getpgrp] = ACTIONS(481),
    [anon_sym_getprotobyname] = ACTIONS(481),
    [anon_sym_getpwname] = ACTIONS(481),
    [anon_sym_getpwuid] = ACTIONS(481),
    [anon_sym_getpeername] = ACTIONS(481),
    [anon_sym_getnetbyname] = ACTIONS(481),
    [anon_sym_getsockname] = ACTIONS(481),
    [anon_sym_getgrnam] = ACTIONS(481),
    [anon_sym_getgrgid] = ACTIONS(481),
    [anon_sym_hex] = ACTIONS(481),
    [anon_sym_int] = ACTIONS(481),
    [anon_sym_keys] = ACTIONS(481),
    [anon_sym_lc] = ACTIONS(481),
    [anon_sym_lcfirst] = ACTIONS(481),
    [anon_sym_length] = ACTIONS(481),
    [anon_sym_localtime] = ACTIONS(481),
    [anon_sym_log] = ACTIONS(481),
    [anon_sym_lock] = ACTIONS(481),
    [anon_sym_lstat] = ACTIONS(481),
    [anon_sym_oct] = ACTIONS(481),
    [anon_sym_ord] = ACTIONS(481),
    [anon_sym_prototype] = ACTIONS(481),
    [anon_sym_pop] = ACTIONS(481),
    [anon_sym_pos] = ACTIONS(481),
    [anon_sym_quotemeta] = ACTIONS(481),
    [anon_sym_reset] = ACTIONS(481),
    [anon_sym_rand] = ACTIONS(481),
    [anon_sym_rmdir] = ACTIONS(481),
    [anon_sym_readdir] = ACTIONS(481),
    [anon_sym_readline] = ACTIONS(481),
    [anon_sym_readpipe] = ACTIONS(481),
    [anon_sym_rewinddir] = ACTIONS(481),
    [anon_sym_readlink] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(481),
    [anon_sym_scalar] = ACTIONS(481),
    [anon_sym_shift] = ACTIONS(481),
    [anon_sym_sin] = ACTIONS(481),
    [anon_sym_sleep] = ACTIONS(481),
    [anon_sym_sqrt] = ACTIONS(481),
    [anon_sym_srand] = ACTIONS(481),
    [anon_sym_stat] = ACTIONS(481),
    [anon_sym_study] = ACTIONS(481),
    [anon_sym_tell] = ACTIONS(481),
    [anon_sym_telldir] = ACTIONS(481),
    [anon_sym_tied] = ACTIONS(481),
    [anon_sym_uc] = ACTIONS(481),
    [anon_sym_ucfirst] = ACTIONS(481),
    [anon_sym_untie] = ACTIONS(481),
    [anon_sym_umask] = ACTIONS(481),
    [anon_sym_values] = ACTIONS(481),
    [anon_sym_write] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(513),
  },
  [554] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2284),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(554),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(439),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(439),
    [anon_sym_our] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(451),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_TILDE] = ACTIONS(451),
    [anon_sym_BANG] = ACTIONS(451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1689),
    [anon_sym_DASH_DASH] = ACTIONS(1689),
    [anon_sym_BSLASH] = ACTIONS(453),
    [anon_sym_do] = ACTIONS(455),
    [anon_sym_eval] = ACTIONS(457),
    [anon_sym_await] = ACTIONS(459),
    [anon_sym_field] = ACTIONS(439),
    [anon_sym_local] = ACTIONS(461),
    [anon_sym_dynamically] = ACTIONS(461),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(465),
    [anon_sym_map] = ACTIONS(467),
    [anon_sym_grep] = ACTIONS(467),
    [anon_sym_sort] = ACTIONS(469),
    [anon_sym_goto] = ACTIONS(471),
    [anon_sym_return] = ACTIONS(473),
    [anon_sym_undef] = ACTIONS(475),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(479),
    [anon_sym_next] = ACTIONS(479),
    [anon_sym_redo] = ACTIONS(479),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(481),
    [anon_sym_alarm] = ACTIONS(481),
    [anon_sym_chop] = ACTIONS(481),
    [anon_sym_chdir] = ACTIONS(481),
    [anon_sym_close] = ACTIONS(481),
    [anon_sym_closedir] = ACTIONS(481),
    [anon_sym_caller] = ACTIONS(481),
    [anon_sym_chomp] = ACTIONS(481),
    [anon_sym_chr] = ACTIONS(481),
    [anon_sym_cos] = ACTIONS(481),
    [anon_sym_chroot] = ACTIONS(481),
    [anon_sym_defined] = ACTIONS(481),
    [anon_sym_delete] = ACTIONS(481),
    [anon_sym_dbmclose] = ACTIONS(481),
    [anon_sym_exists] = ACTIONS(481),
    [anon_sym_exit] = ACTIONS(481),
    [anon_sym_eof] = ACTIONS(481),
    [anon_sym_exp] = ACTIONS(481),
    [anon_sym_each] = ACTIONS(481),
    [anon_sym_fc] = ACTIONS(481),
    [anon_sym_fileno] = ACTIONS(481),
    [anon_sym_gmtime] = ACTIONS(481),
    [anon_sym_getc] = ACTIONS(481),
    [anon_sym_getpgrp] = ACTIONS(481),
    [anon_sym_getprotobyname] = ACTIONS(481),
    [anon_sym_getpwname] = ACTIONS(481),
    [anon_sym_getpwuid] = ACTIONS(481),
    [anon_sym_getpeername] = ACTIONS(481),
    [anon_sym_getnetbyname] = ACTIONS(481),
    [anon_sym_getsockname] = ACTIONS(481),
    [anon_sym_getgrnam] = ACTIONS(481),
    [anon_sym_getgrgid] = ACTIONS(481),
    [anon_sym_hex] = ACTIONS(481),
    [anon_sym_int] = ACTIONS(481),
    [anon_sym_keys] = ACTIONS(481),
    [anon_sym_lc] = ACTIONS(481),
    [anon_sym_lcfirst] = ACTIONS(481),
    [anon_sym_length] = ACTIONS(481),
    [anon_sym_localtime] = ACTIONS(481),
    [anon_sym_log] = ACTIONS(481),
    [anon_sym_lock] = ACTIONS(481),
    [anon_sym_lstat] = ACTIONS(481),
    [anon_sym_oct] = ACTIONS(481),
    [anon_sym_ord] = ACTIONS(481),
    [anon_sym_prototype] = ACTIONS(481),
    [anon_sym_pop] = ACTIONS(481),
    [anon_sym_pos] = ACTIONS(481),
    [anon_sym_quotemeta] = ACTIONS(481),
    [anon_sym_reset] = ACTIONS(481),
    [anon_sym_rand] = ACTIONS(481),
    [anon_sym_rmdir] = ACTIONS(481),
    [anon_sym_readdir] = ACTIONS(481),
    [anon_sym_readline] = ACTIONS(481),
    [anon_sym_readpipe] = ACTIONS(481),
    [anon_sym_rewinddir] = ACTIONS(481),
    [anon_sym_readlink] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(481),
    [anon_sym_scalar] = ACTIONS(481),
    [anon_sym_shift] = ACTIONS(481),
    [anon_sym_sin] = ACTIONS(481),
    [anon_sym_sleep] = ACTIONS(481),
    [anon_sym_sqrt] = ACTIONS(481),
    [anon_sym_srand] = ACTIONS(481),
    [anon_sym_stat] = ACTIONS(481),
    [anon_sym_study] = ACTIONS(481),
    [anon_sym_tell] = ACTIONS(481),
    [anon_sym_telldir] = ACTIONS(481),
    [anon_sym_tied] = ACTIONS(481),
    [anon_sym_uc] = ACTIONS(481),
    [anon_sym_ucfirst] = ACTIONS(481),
    [anon_sym_untie] = ACTIONS(481),
    [anon_sym_umask] = ACTIONS(481),
    [anon_sym_values] = ACTIONS(481),
    [anon_sym_write] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(513),
  },
  [555] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2215),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(555),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(439),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(439),
    [anon_sym_our] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(451),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_TILDE] = ACTIONS(451),
    [anon_sym_BANG] = ACTIONS(451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1689),
    [anon_sym_DASH_DASH] = ACTIONS(1689),
    [anon_sym_BSLASH] = ACTIONS(453),
    [anon_sym_do] = ACTIONS(455),
    [anon_sym_eval] = ACTIONS(457),
    [anon_sym_await] = ACTIONS(459),
    [anon_sym_field] = ACTIONS(439),
    [anon_sym_local] = ACTIONS(461),
    [anon_sym_dynamically] = ACTIONS(461),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(465),
    [anon_sym_map] = ACTIONS(467),
    [anon_sym_grep] = ACTIONS(467),
    [anon_sym_sort] = ACTIONS(469),
    [anon_sym_goto] = ACTIONS(471),
    [anon_sym_return] = ACTIONS(473),
    [anon_sym_undef] = ACTIONS(475),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(479),
    [anon_sym_next] = ACTIONS(479),
    [anon_sym_redo] = ACTIONS(479),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(481),
    [anon_sym_alarm] = ACTIONS(481),
    [anon_sym_chop] = ACTIONS(481),
    [anon_sym_chdir] = ACTIONS(481),
    [anon_sym_close] = ACTIONS(481),
    [anon_sym_closedir] = ACTIONS(481),
    [anon_sym_caller] = ACTIONS(481),
    [anon_sym_chomp] = ACTIONS(481),
    [anon_sym_chr] = ACTIONS(481),
    [anon_sym_cos] = ACTIONS(481),
    [anon_sym_chroot] = ACTIONS(481),
    [anon_sym_defined] = ACTIONS(481),
    [anon_sym_delete] = ACTIONS(481),
    [anon_sym_dbmclose] = ACTIONS(481),
    [anon_sym_exists] = ACTIONS(481),
    [anon_sym_exit] = ACTIONS(481),
    [anon_sym_eof] = ACTIONS(481),
    [anon_sym_exp] = ACTIONS(481),
    [anon_sym_each] = ACTIONS(481),
    [anon_sym_fc] = ACTIONS(481),
    [anon_sym_fileno] = ACTIONS(481),
    [anon_sym_gmtime] = ACTIONS(481),
    [anon_sym_getc] = ACTIONS(481),
    [anon_sym_getpgrp] = ACTIONS(481),
    [anon_sym_getprotobyname] = ACTIONS(481),
    [anon_sym_getpwname] = ACTIONS(481),
    [anon_sym_getpwuid] = ACTIONS(481),
    [anon_sym_getpeername] = ACTIONS(481),
    [anon_sym_getnetbyname] = ACTIONS(481),
    [anon_sym_getsockname] = ACTIONS(481),
    [anon_sym_getgrnam] = ACTIONS(481),
    [anon_sym_getgrgid] = ACTIONS(481),
    [anon_sym_hex] = ACTIONS(481),
    [anon_sym_int] = ACTIONS(481),
    [anon_sym_keys] = ACTIONS(481),
    [anon_sym_lc] = ACTIONS(481),
    [anon_sym_lcfirst] = ACTIONS(481),
    [anon_sym_length] = ACTIONS(481),
    [anon_sym_localtime] = ACTIONS(481),
    [anon_sym_log] = ACTIONS(481),
    [anon_sym_lock] = ACTIONS(481),
    [anon_sym_lstat] = ACTIONS(481),
    [anon_sym_oct] = ACTIONS(481),
    [anon_sym_ord] = ACTIONS(481),
    [anon_sym_prototype] = ACTIONS(481),
    [anon_sym_pop] = ACTIONS(481),
    [anon_sym_pos] = ACTIONS(481),
    [anon_sym_quotemeta] = ACTIONS(481),
    [anon_sym_reset] = ACTIONS(481),
    [anon_sym_rand] = ACTIONS(481),
    [anon_sym_rmdir] = ACTIONS(481),
    [anon_sym_readdir] = ACTIONS(481),
    [anon_sym_readline] = ACTIONS(481),
    [anon_sym_readpipe] = ACTIONS(481),
    [anon_sym_rewinddir] = ACTIONS(481),
    [anon_sym_readlink] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(481),
    [anon_sym_scalar] = ACTIONS(481),
    [anon_sym_shift] = ACTIONS(481),
    [anon_sym_sin] = ACTIONS(481),
    [anon_sym_sleep] = ACTIONS(481),
    [anon_sym_sqrt] = ACTIONS(481),
    [anon_sym_srand] = ACTIONS(481),
    [anon_sym_stat] = ACTIONS(481),
    [anon_sym_study] = ACTIONS(481),
    [anon_sym_tell] = ACTIONS(481),
    [anon_sym_telldir] = ACTIONS(481),
    [anon_sym_tied] = ACTIONS(481),
    [anon_sym_uc] = ACTIONS(481),
    [anon_sym_ucfirst] = ACTIONS(481),
    [anon_sym_untie] = ACTIONS(481),
    [anon_sym_umask] = ACTIONS(481),
    [anon_sym_values] = ACTIONS(481),
    [anon_sym_write] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(513),
  },
  [556] = {
    [sym__PERLY_BRACE_OPEN] = STATE(237),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1338),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(556),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [557] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2420),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(394),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(557),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1695),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1697),
    [anon_sym_DASH_DASH] = ACTIONS(1697),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(1222),
  },
  [558] = {
    [sym__PERLY_BRACE_OPEN] = STATE(235),
    [sym__subscripted] = STATE(1532),
    [sym_container_variable] = STATE(3855),
    [sym_array_element_expression] = STATE(1533),
    [sym_hash_element_expression] = STATE(1533),
    [sym_coderef_call_expression] = STATE(1533),
    [sym_anonymous_slice_expression] = STATE(1533),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(1967),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(1967),
    [sym__term] = STATE(1980),
    [sym_readline_expression] = STATE(1967),
    [sym_fileglob_expression] = STATE(1967),
    [sym_assignment_expression] = STATE(1967),
    [sym_binary_expression] = STATE(1967),
    [sym_equality_expression] = STATE(1967),
    [sym_relational_expression] = STATE(1967),
    [sym_unary_expression] = STATE(1967),
    [sym_preinc_expression] = STATE(1967),
    [sym_postinc_expression] = STATE(1967),
    [sym_conditional_expression] = STATE(1967),
    [sym_refgen_expression] = STATE(1967),
    [sym_anonymous_array_expression] = STATE(1967),
    [sym_anonymous_hash_expression] = STATE(1967),
    [sym_anonymous_subroutine_expression] = STATE(1967),
    [sym_anonymous_method_expression] = STATE(1967),
    [sym_do_expression] = STATE(1967),
    [sym_eval_expression] = STATE(1967),
    [sym_await_expression] = STATE(1967),
    [sym_variable_declaration] = STATE(1967),
    [sym_localization_expression] = STATE(1967),
    [sym_stub_expression] = STATE(1967),
    [sym_scalar_deref_expression] = STATE(1967),
    [sym_array_deref_expression] = STATE(1967),
    [sym_arraylen_deref_expression] = STATE(1967),
    [sym_hash_deref_expression] = STATE(1967),
    [sym_amper_deref_expression] = STATE(1967),
    [sym_glob_deref_expression] = STATE(1967),
    [sym_require_expression] = STATE(1967),
    [sym_require_version_expression] = STATE(1967),
    [sym_func0op_call_expression] = STATE(1967),
    [sym_func1op_call_expression] = STATE(1967),
    [sym_map_grep_expression] = STATE(1967),
    [sym_sort_expression] = STATE(1967),
    [sym_loopex_expression] = STATE(1967),
    [sym_goto_expression] = STATE(1967),
    [sym_return_expression] = STATE(1967),
    [sym_undef_expression] = STATE(1967),
    [sym__listop] = STATE(1967),
    [sym_function_call_expression] = STATE(1968),
    [sym_ambiguous_function_call_expression] = STATE(1968),
    [sym_function] = STATE(389),
    [sym_method_call_expression] = STATE(1968),
    [sym_scalar] = STATE(1967),
    [sym_array] = STATE(1967),
    [sym__SUB_AMPER] = STATE(2686),
    [sym__GLOB_STAR] = STATE(2687),
    [sym_hash] = STATE(1967),
    [sym_arraylen] = STATE(1967),
    [sym_amper_sub] = STATE(1785),
    [sym_glob] = STATE(1786),
    [sym_glob_slot_expression] = STATE(1967),
    [sym__literal] = STATE(1967),
    [sym__apostrophe] = STATE(3328),
    [sym__quotation_mark] = STATE(2501),
    [sym__backtick] = STATE(2502),
    [sym__search_slash] = STATE(2454),
    [sym_string_literal] = STATE(1969),
    [sym_interpolated_string_literal] = STATE(1969),
    [sym_quoted_word_list] = STATE(1787),
    [sym_command_string] = STATE(1969),
    [sym_quoted_regexp] = STATE(1969),
    [sym_match_regexp] = STATE(1969),
    [sym_substitution_regexp] = STATE(1969),
    [sym_transliteration_expression] = STATE(1969),
    [sym_heredoc_token] = STATE(1967),
    [sym_command_heredoc_token] = STATE(1967),
    [sym_heredoc_content] = STATE(558),
    [sym_autoquoted_bareword] = STATE(1967),
    [sym_bareword] = STATE(1967),
    [sym_primitive] = STATE(1967),
    [sym_boolean] = STATE(1965),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3342),
    [sym__identifier] = ACTIONS(575),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1752),
    [anon_sym_AT] = ACTIONS(1671),
    [anon_sym_my] = ACTIONS(517),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(519),
    [anon_sym_method] = ACTIONS(521),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_continue] = ACTIONS(525),
    [anon_sym_state] = ACTIONS(517),
    [anon_sym_our] = ACTIONS(517),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_LT_LT] = ACTIONS(1673),
    [anon_sym_SLASH_SLASH] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(1677),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_PLUS_PLUS] = ACTIONS(1679),
    [anon_sym_DASH_DASH] = ACTIONS(1679),
    [anon_sym_BSLASH] = ACTIONS(531),
    [anon_sym_do] = ACTIONS(533),
    [anon_sym_eval] = ACTIONS(535),
    [anon_sym_await] = ACTIONS(537),
    [anon_sym_field] = ACTIONS(517),
    [anon_sym_local] = ACTIONS(539),
    [anon_sym_dynamically] = ACTIONS(539),
    [anon_sym_DOLLAR_POUND] = ACTIONS(541),
    [anon_sym_require] = ACTIONS(543),
    [anon_sym_map] = ACTIONS(545),
    [anon_sym_grep] = ACTIONS(545),
    [anon_sym_sort] = ACTIONS(547),
    [anon_sym_goto] = ACTIONS(549),
    [anon_sym_return] = ACTIONS(551),
    [anon_sym_undef] = ACTIONS(553),
    [anon_sym_PERCENT2] = ACTIONS(1681),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(555),
    [anon_sym_next] = ACTIONS(555),
    [anon_sym_redo] = ACTIONS(555),
    [anon_sym___FILE__] = ACTIONS(525),
    [anon_sym___LINE__] = ACTIONS(525),
    [anon_sym___PACKAGE__] = ACTIONS(525),
    [anon_sym___SUB__] = ACTIONS(525),
    [anon_sym_break] = ACTIONS(525),
    [anon_sym_fork] = ACTIONS(525),
    [anon_sym_getppid] = ACTIONS(525),
    [anon_sym_time] = ACTIONS(525),
    [anon_sym_times] = ACTIONS(525),
    [anon_sym_wait] = ACTIONS(525),
    [anon_sym_wantarray] = ACTIONS(525),
    [anon_sym_abs] = ACTIONS(557),
    [anon_sym_alarm] = ACTIONS(557),
    [anon_sym_chop] = ACTIONS(557),
    [anon_sym_chdir] = ACTIONS(557),
    [anon_sym_close] = ACTIONS(557),
    [anon_sym_closedir] = ACTIONS(557),
    [anon_sym_caller] = ACTIONS(557),
    [anon_sym_chomp] = ACTIONS(557),
    [anon_sym_chr] = ACTIONS(557),
    [anon_sym_cos] = ACTIONS(557),
    [anon_sym_chroot] = ACTIONS(557),
    [anon_sym_defined] = ACTIONS(557),
    [anon_sym_delete] = ACTIONS(557),
    [anon_sym_dbmclose] = ACTIONS(557),
    [anon_sym_exists] = ACTIONS(557),
    [anon_sym_exit] = ACTIONS(557),
    [anon_sym_eof] = ACTIONS(557),
    [anon_sym_exp] = ACTIONS(557),
    [anon_sym_each] = ACTIONS(557),
    [anon_sym_fc] = ACTIONS(557),
    [anon_sym_fileno] = ACTIONS(557),
    [anon_sym_gmtime] = ACTIONS(557),
    [anon_sym_getc] = ACTIONS(557),
    [anon_sym_getpgrp] = ACTIONS(557),
    [anon_sym_getprotobyname] = ACTIONS(557),
    [anon_sym_getpwname] = ACTIONS(557),
    [anon_sym_getpwuid] = ACTIONS(557),
    [anon_sym_getpeername] = ACTIONS(557),
    [anon_sym_getnetbyname] = ACTIONS(557),
    [anon_sym_getsockname] = ACTIONS(557),
    [anon_sym_getgrnam] = ACTIONS(557),
    [anon_sym_getgrgid] = ACTIONS(557),
    [anon_sym_hex] = ACTIONS(557),
    [anon_sym_int] = ACTIONS(557),
    [anon_sym_keys] = ACTIONS(557),
    [anon_sym_lc] = ACTIONS(557),
    [anon_sym_lcfirst] = ACTIONS(557),
    [anon_sym_length] = ACTIONS(557),
    [anon_sym_localtime] = ACTIONS(557),
    [anon_sym_log] = ACTIONS(557),
    [anon_sym_lock] = ACTIONS(557),
    [anon_sym_lstat] = ACTIONS(557),
    [anon_sym_oct] = ACTIONS(557),
    [anon_sym_ord] = ACTIONS(557),
    [anon_sym_prototype] = ACTIONS(557),
    [anon_sym_pop] = ACTIONS(557),
    [anon_sym_pos] = ACTIONS(557),
    [anon_sym_quotemeta] = ACTIONS(557),
    [anon_sym_reset] = ACTIONS(557),
    [anon_sym_rand] = ACTIONS(557),
    [anon_sym_rmdir] = ACTIONS(557),
    [anon_sym_readdir] = ACTIONS(557),
    [anon_sym_readline] = ACTIONS(557),
    [anon_sym_readpipe] = ACTIONS(557),
    [anon_sym_rewinddir] = ACTIONS(557),
    [anon_sym_readlink] = ACTIONS(557),
    [anon_sym_ref] = ACTIONS(557),
    [anon_sym_scalar] = ACTIONS(557),
    [anon_sym_shift] = ACTIONS(557),
    [anon_sym_sin] = ACTIONS(557),
    [anon_sym_sleep] = ACTIONS(557),
    [anon_sym_sqrt] = ACTIONS(557),
    [anon_sym_srand] = ACTIONS(557),
    [anon_sym_stat] = ACTIONS(557),
    [anon_sym_study] = ACTIONS(557),
    [anon_sym_tell] = ACTIONS(557),
    [anon_sym_telldir] = ACTIONS(557),
    [anon_sym_tied] = ACTIONS(557),
    [anon_sym_uc] = ACTIONS(557),
    [anon_sym_ucfirst] = ACTIONS(557),
    [anon_sym_untie] = ACTIONS(557),
    [anon_sym_umask] = ACTIONS(557),
    [anon_sym_values] = ACTIONS(557),
    [anon_sym_write] = ACTIONS(557),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(559),
    [anon_sym_qq] = ACTIONS(561),
    [anon_sym_qw] = ACTIONS(563),
    [anon_sym_qx] = ACTIONS(565),
    [anon_sym_qr] = ACTIONS(567),
    [anon_sym_m] = ACTIONS(569),
    [anon_sym_s] = ACTIONS(571),
    [anon_sym_tr] = ACTIONS(573),
    [anon_sym_y] = ACTIONS(573),
    [aux_sym__bareword_token1] = ACTIONS(575),
    [sym_number] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(581),
    [sym__open_fileglob_bracket] = ACTIONS(583),
    [sym__PERLY_HEREDOC] = ACTIONS(585),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(587),
    [sym__filetest] = ACTIONS(589),
  },
  [559] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2207),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(559),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(439),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(439),
    [anon_sym_our] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(451),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_TILDE] = ACTIONS(451),
    [anon_sym_BANG] = ACTIONS(451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1689),
    [anon_sym_DASH_DASH] = ACTIONS(1689),
    [anon_sym_BSLASH] = ACTIONS(453),
    [anon_sym_do] = ACTIONS(455),
    [anon_sym_eval] = ACTIONS(457),
    [anon_sym_await] = ACTIONS(459),
    [anon_sym_field] = ACTIONS(439),
    [anon_sym_local] = ACTIONS(461),
    [anon_sym_dynamically] = ACTIONS(461),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(465),
    [anon_sym_map] = ACTIONS(467),
    [anon_sym_grep] = ACTIONS(467),
    [anon_sym_sort] = ACTIONS(469),
    [anon_sym_goto] = ACTIONS(471),
    [anon_sym_return] = ACTIONS(473),
    [anon_sym_undef] = ACTIONS(475),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(479),
    [anon_sym_next] = ACTIONS(479),
    [anon_sym_redo] = ACTIONS(479),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(481),
    [anon_sym_alarm] = ACTIONS(481),
    [anon_sym_chop] = ACTIONS(481),
    [anon_sym_chdir] = ACTIONS(481),
    [anon_sym_close] = ACTIONS(481),
    [anon_sym_closedir] = ACTIONS(481),
    [anon_sym_caller] = ACTIONS(481),
    [anon_sym_chomp] = ACTIONS(481),
    [anon_sym_chr] = ACTIONS(481),
    [anon_sym_cos] = ACTIONS(481),
    [anon_sym_chroot] = ACTIONS(481),
    [anon_sym_defined] = ACTIONS(481),
    [anon_sym_delete] = ACTIONS(481),
    [anon_sym_dbmclose] = ACTIONS(481),
    [anon_sym_exists] = ACTIONS(481),
    [anon_sym_exit] = ACTIONS(481),
    [anon_sym_eof] = ACTIONS(481),
    [anon_sym_exp] = ACTIONS(481),
    [anon_sym_each] = ACTIONS(481),
    [anon_sym_fc] = ACTIONS(481),
    [anon_sym_fileno] = ACTIONS(481),
    [anon_sym_gmtime] = ACTIONS(481),
    [anon_sym_getc] = ACTIONS(481),
    [anon_sym_getpgrp] = ACTIONS(481),
    [anon_sym_getprotobyname] = ACTIONS(481),
    [anon_sym_getpwname] = ACTIONS(481),
    [anon_sym_getpwuid] = ACTIONS(481),
    [anon_sym_getpeername] = ACTIONS(481),
    [anon_sym_getnetbyname] = ACTIONS(481),
    [anon_sym_getsockname] = ACTIONS(481),
    [anon_sym_getgrnam] = ACTIONS(481),
    [anon_sym_getgrgid] = ACTIONS(481),
    [anon_sym_hex] = ACTIONS(481),
    [anon_sym_int] = ACTIONS(481),
    [anon_sym_keys] = ACTIONS(481),
    [anon_sym_lc] = ACTIONS(481),
    [anon_sym_lcfirst] = ACTIONS(481),
    [anon_sym_length] = ACTIONS(481),
    [anon_sym_localtime] = ACTIONS(481),
    [anon_sym_log] = ACTIONS(481),
    [anon_sym_lock] = ACTIONS(481),
    [anon_sym_lstat] = ACTIONS(481),
    [anon_sym_oct] = ACTIONS(481),
    [anon_sym_ord] = ACTIONS(481),
    [anon_sym_prototype] = ACTIONS(481),
    [anon_sym_pop] = ACTIONS(481),
    [anon_sym_pos] = ACTIONS(481),
    [anon_sym_quotemeta] = ACTIONS(481),
    [anon_sym_reset] = ACTIONS(481),
    [anon_sym_rand] = ACTIONS(481),
    [anon_sym_rmdir] = ACTIONS(481),
    [anon_sym_readdir] = ACTIONS(481),
    [anon_sym_readline] = ACTIONS(481),
    [anon_sym_readpipe] = ACTIONS(481),
    [anon_sym_rewinddir] = ACTIONS(481),
    [anon_sym_readlink] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(481),
    [anon_sym_scalar] = ACTIONS(481),
    [anon_sym_shift] = ACTIONS(481),
    [anon_sym_sin] = ACTIONS(481),
    [anon_sym_sleep] = ACTIONS(481),
    [anon_sym_sqrt] = ACTIONS(481),
    [anon_sym_srand] = ACTIONS(481),
    [anon_sym_stat] = ACTIONS(481),
    [anon_sym_study] = ACTIONS(481),
    [anon_sym_tell] = ACTIONS(481),
    [anon_sym_telldir] = ACTIONS(481),
    [anon_sym_tied] = ACTIONS(481),
    [anon_sym_uc] = ACTIONS(481),
    [anon_sym_ucfirst] = ACTIONS(481),
    [anon_sym_untie] = ACTIONS(481),
    [anon_sym_umask] = ACTIONS(481),
    [anon_sym_values] = ACTIONS(481),
    [anon_sym_write] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(513),
  },
  [560] = {
    [sym__PERLY_BRACE_OPEN] = STATE(237),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1339),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(560),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [561] = {
    [sym__PERLY_BRACE_OPEN] = STATE(238),
    [sym__subscripted] = STATE(1915),
    [sym_container_variable] = STATE(3851),
    [sym_array_element_expression] = STATE(1916),
    [sym_hash_element_expression] = STATE(1916),
    [sym_coderef_call_expression] = STATE(1916),
    [sym_anonymous_slice_expression] = STATE(1916),
    [sym_slice_container_variable] = STATE(3852),
    [sym_slice_expression] = STATE(2342),
    [sym_keyval_container_variable] = STATE(3853),
    [sym_keyval_expression] = STATE(2342),
    [sym__term] = STATE(2214),
    [sym_readline_expression] = STATE(2342),
    [sym_fileglob_expression] = STATE(2342),
    [sym_assignment_expression] = STATE(2342),
    [sym_binary_expression] = STATE(2342),
    [sym_equality_expression] = STATE(2342),
    [sym_relational_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2342),
    [sym_preinc_expression] = STATE(2342),
    [sym_postinc_expression] = STATE(2342),
    [sym_conditional_expression] = STATE(2342),
    [sym_refgen_expression] = STATE(2342),
    [sym_anonymous_array_expression] = STATE(2342),
    [sym_anonymous_hash_expression] = STATE(2342),
    [sym_anonymous_subroutine_expression] = STATE(2342),
    [sym_anonymous_method_expression] = STATE(2342),
    [sym_do_expression] = STATE(2342),
    [sym_eval_expression] = STATE(2342),
    [sym_await_expression] = STATE(2342),
    [sym_variable_declaration] = STATE(2342),
    [sym_localization_expression] = STATE(2342),
    [sym_stub_expression] = STATE(2342),
    [sym_scalar_deref_expression] = STATE(2342),
    [sym_array_deref_expression] = STATE(2342),
    [sym_arraylen_deref_expression] = STATE(2342),
    [sym_hash_deref_expression] = STATE(2342),
    [sym_amper_deref_expression] = STATE(2342),
    [sym_glob_deref_expression] = STATE(2342),
    [sym_require_expression] = STATE(2342),
    [sym_require_version_expression] = STATE(2342),
    [sym_func0op_call_expression] = STATE(2342),
    [sym_func1op_call_expression] = STATE(2342),
    [sym_map_grep_expression] = STATE(2342),
    [sym_sort_expression] = STATE(2342),
    [sym_loopex_expression] = STATE(2342),
    [sym_goto_expression] = STATE(2342),
    [sym_return_expression] = STATE(2342),
    [sym_undef_expression] = STATE(2342),
    [sym__listop] = STATE(2342),
    [sym_function_call_expression] = STATE(2343),
    [sym_ambiguous_function_call_expression] = STATE(2343),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(2343),
    [sym_scalar] = STATE(2342),
    [sym_array] = STATE(2342),
    [sym__SUB_AMPER] = STATE(2739),
    [sym__GLOB_STAR] = STATE(2741),
    [sym_hash] = STATE(2342),
    [sym_arraylen] = STATE(2342),
    [sym_amper_sub] = STATE(2181),
    [sym_glob] = STATE(2183),
    [sym_glob_slot_expression] = STATE(2342),
    [sym__literal] = STATE(2342),
    [sym__apostrophe] = STATE(3277),
    [sym__quotation_mark] = STATE(2481),
    [sym__backtick] = STATE(2482),
    [sym__search_slash] = STATE(2447),
    [sym_string_literal] = STATE(2353),
    [sym_interpolated_string_literal] = STATE(2353),
    [sym_quoted_word_list] = STATE(2193),
    [sym_command_string] = STATE(2353),
    [sym_quoted_regexp] = STATE(2353),
    [sym_match_regexp] = STATE(2353),
    [sym_substitution_regexp] = STATE(2353),
    [sym_transliteration_expression] = STATE(2353),
    [sym_heredoc_token] = STATE(2342),
    [sym_command_heredoc_token] = STATE(2342),
    [sym_heredoc_content] = STATE(561),
    [sym_autoquoted_bareword] = STATE(2342),
    [sym_bareword] = STATE(2342),
    [sym_primitive] = STATE(2342),
    [sym_boolean] = STATE(2323),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3366),
    [sym__identifier] = ACTIONS(1072),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1008),
    [anon_sym_AT] = ACTIONS(1010),
    [anon_sym_my] = ACTIONS(1012),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(1014),
    [anon_sym_method] = ACTIONS(1016),
    [anon_sym_LPAREN] = ACTIONS(1018),
    [anon_sym_continue] = ACTIONS(1020),
    [anon_sym_state] = ACTIONS(1012),
    [anon_sym_our] = ACTIONS(1012),
    [anon_sym_LBRACK] = ACTIONS(1022),
    [anon_sym_LT_LT] = ACTIONS(1523),
    [anon_sym_SLASH_SLASH] = ACTIONS(1525),
    [anon_sym_PLUS] = ACTIONS(1024),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_TILDE] = ACTIONS(1024),
    [anon_sym_BANG] = ACTIONS(1024),
    [anon_sym_PLUS_PLUS] = ACTIONS(1529),
    [anon_sym_DASH_DASH] = ACTIONS(1529),
    [anon_sym_BSLASH] = ACTIONS(1026),
    [anon_sym_do] = ACTIONS(1028),
    [anon_sym_eval] = ACTIONS(1030),
    [anon_sym_await] = ACTIONS(1032),
    [anon_sym_field] = ACTIONS(1012),
    [anon_sym_local] = ACTIONS(1034),
    [anon_sym_dynamically] = ACTIONS(1034),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1036),
    [anon_sym_require] = ACTIONS(1038),
    [anon_sym_map] = ACTIONS(1040),
    [anon_sym_grep] = ACTIONS(1040),
    [anon_sym_sort] = ACTIONS(1042),
    [anon_sym_goto] = ACTIONS(1044),
    [anon_sym_return] = ACTIONS(1046),
    [anon_sym_undef] = ACTIONS(1048),
    [anon_sym_PERCENT2] = ACTIONS(1050),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1052),
    [anon_sym_next] = ACTIONS(1052),
    [anon_sym_redo] = ACTIONS(1052),
    [anon_sym___FILE__] = ACTIONS(1020),
    [anon_sym___LINE__] = ACTIONS(1020),
    [anon_sym___PACKAGE__] = ACTIONS(1020),
    [anon_sym___SUB__] = ACTIONS(1020),
    [anon_sym_break] = ACTIONS(1020),
    [anon_sym_fork] = ACTIONS(1020),
    [anon_sym_getppid] = ACTIONS(1020),
    [anon_sym_time] = ACTIONS(1020),
    [anon_sym_times] = ACTIONS(1020),
    [anon_sym_wait] = ACTIONS(1020),
    [anon_sym_wantarray] = ACTIONS(1020),
    [anon_sym_abs] = ACTIONS(1054),
    [anon_sym_alarm] = ACTIONS(1054),
    [anon_sym_chop] = ACTIONS(1054),
    [anon_sym_chdir] = ACTIONS(1054),
    [anon_sym_close] = ACTIONS(1054),
    [anon_sym_closedir] = ACTIONS(1054),
    [anon_sym_caller] = ACTIONS(1054),
    [anon_sym_chomp] = ACTIONS(1054),
    [anon_sym_chr] = ACTIONS(1054),
    [anon_sym_cos] = ACTIONS(1054),
    [anon_sym_chroot] = ACTIONS(1054),
    [anon_sym_defined] = ACTIONS(1054),
    [anon_sym_delete] = ACTIONS(1054),
    [anon_sym_dbmclose] = ACTIONS(1054),
    [anon_sym_exists] = ACTIONS(1054),
    [anon_sym_exit] = ACTIONS(1054),
    [anon_sym_eof] = ACTIONS(1054),
    [anon_sym_exp] = ACTIONS(1054),
    [anon_sym_each] = ACTIONS(1054),
    [anon_sym_fc] = ACTIONS(1054),
    [anon_sym_fileno] = ACTIONS(1054),
    [anon_sym_gmtime] = ACTIONS(1054),
    [anon_sym_getc] = ACTIONS(1054),
    [anon_sym_getpgrp] = ACTIONS(1054),
    [anon_sym_getprotobyname] = ACTIONS(1054),
    [anon_sym_getpwname] = ACTIONS(1054),
    [anon_sym_getpwuid] = ACTIONS(1054),
    [anon_sym_getpeername] = ACTIONS(1054),
    [anon_sym_getnetbyname] = ACTIONS(1054),
    [anon_sym_getsockname] = ACTIONS(1054),
    [anon_sym_getgrnam] = ACTIONS(1054),
    [anon_sym_getgrgid] = ACTIONS(1054),
    [anon_sym_hex] = ACTIONS(1054),
    [anon_sym_int] = ACTIONS(1054),
    [anon_sym_keys] = ACTIONS(1054),
    [anon_sym_lc] = ACTIONS(1054),
    [anon_sym_lcfirst] = ACTIONS(1054),
    [anon_sym_length] = ACTIONS(1054),
    [anon_sym_localtime] = ACTIONS(1054),
    [anon_sym_log] = ACTIONS(1054),
    [anon_sym_lock] = ACTIONS(1054),
    [anon_sym_lstat] = ACTIONS(1054),
    [anon_sym_oct] = ACTIONS(1054),
    [anon_sym_ord] = ACTIONS(1054),
    [anon_sym_prototype] = ACTIONS(1054),
    [anon_sym_pop] = ACTIONS(1054),
    [anon_sym_pos] = ACTIONS(1054),
    [anon_sym_quotemeta] = ACTIONS(1054),
    [anon_sym_reset] = ACTIONS(1054),
    [anon_sym_rand] = ACTIONS(1054),
    [anon_sym_rmdir] = ACTIONS(1054),
    [anon_sym_readdir] = ACTIONS(1054),
    [anon_sym_readline] = ACTIONS(1054),
    [anon_sym_readpipe] = ACTIONS(1054),
    [anon_sym_rewinddir] = ACTIONS(1054),
    [anon_sym_readlink] = ACTIONS(1054),
    [anon_sym_ref] = ACTIONS(1054),
    [anon_sym_scalar] = ACTIONS(1054),
    [anon_sym_shift] = ACTIONS(1054),
    [anon_sym_sin] = ACTIONS(1054),
    [anon_sym_sleep] = ACTIONS(1054),
    [anon_sym_sqrt] = ACTIONS(1054),
    [anon_sym_srand] = ACTIONS(1054),
    [anon_sym_stat] = ACTIONS(1054),
    [anon_sym_study] = ACTIONS(1054),
    [anon_sym_tell] = ACTIONS(1054),
    [anon_sym_telldir] = ACTIONS(1054),
    [anon_sym_tied] = ACTIONS(1054),
    [anon_sym_uc] = ACTIONS(1054),
    [anon_sym_ucfirst] = ACTIONS(1054),
    [anon_sym_untie] = ACTIONS(1054),
    [anon_sym_umask] = ACTIONS(1054),
    [anon_sym_values] = ACTIONS(1054),
    [anon_sym_write] = ACTIONS(1054),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1056),
    [anon_sym_qq] = ACTIONS(1058),
    [anon_sym_qw] = ACTIONS(1060),
    [anon_sym_qx] = ACTIONS(1062),
    [anon_sym_qr] = ACTIONS(1064),
    [anon_sym_m] = ACTIONS(1066),
    [anon_sym_s] = ACTIONS(1068),
    [anon_sym_tr] = ACTIONS(1070),
    [anon_sym_y] = ACTIONS(1070),
    [aux_sym__bareword_token1] = ACTIONS(1072),
    [sym_number] = ACTIONS(1074),
    [anon_sym_true] = ACTIONS(1076),
    [anon_sym_false] = ACTIONS(1076),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(1078),
    [sym__open_fileglob_bracket] = ACTIONS(1080),
    [sym__PERLY_HEREDOC] = ACTIONS(1082),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1084),
    [sym__filetest] = ACTIONS(1086),
  },
  [562] = {
    [sym__PERLY_BRACE_OPEN] = STATE(238),
    [sym__subscripted] = STATE(1915),
    [sym_container_variable] = STATE(3851),
    [sym_array_element_expression] = STATE(1916),
    [sym_hash_element_expression] = STATE(1916),
    [sym_coderef_call_expression] = STATE(1916),
    [sym_anonymous_slice_expression] = STATE(1916),
    [sym_slice_container_variable] = STATE(3852),
    [sym_slice_expression] = STATE(2342),
    [sym_keyval_container_variable] = STATE(3853),
    [sym_keyval_expression] = STATE(2342),
    [sym__term] = STATE(2214),
    [sym_readline_expression] = STATE(2342),
    [sym_fileglob_expression] = STATE(2342),
    [sym_assignment_expression] = STATE(2342),
    [sym_binary_expression] = STATE(2342),
    [sym_equality_expression] = STATE(2342),
    [sym_relational_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2342),
    [sym_preinc_expression] = STATE(2342),
    [sym_postinc_expression] = STATE(2342),
    [sym_conditional_expression] = STATE(2342),
    [sym_refgen_expression] = STATE(2342),
    [sym_anonymous_array_expression] = STATE(2342),
    [sym_anonymous_hash_expression] = STATE(2342),
    [sym_anonymous_subroutine_expression] = STATE(2342),
    [sym_anonymous_method_expression] = STATE(2342),
    [sym_do_expression] = STATE(2342),
    [sym_eval_expression] = STATE(2342),
    [sym_await_expression] = STATE(2342),
    [sym_variable_declaration] = STATE(2342),
    [sym_localization_expression] = STATE(2342),
    [sym_stub_expression] = STATE(2342),
    [sym_scalar_deref_expression] = STATE(2342),
    [sym_array_deref_expression] = STATE(2342),
    [sym_arraylen_deref_expression] = STATE(2342),
    [sym_hash_deref_expression] = STATE(2342),
    [sym_amper_deref_expression] = STATE(2342),
    [sym_glob_deref_expression] = STATE(2342),
    [sym_require_expression] = STATE(2342),
    [sym_require_version_expression] = STATE(2342),
    [sym_func0op_call_expression] = STATE(2342),
    [sym_func1op_call_expression] = STATE(2342),
    [sym_map_grep_expression] = STATE(2342),
    [sym_sort_expression] = STATE(2342),
    [sym_loopex_expression] = STATE(2342),
    [sym_goto_expression] = STATE(2342),
    [sym_return_expression] = STATE(2342),
    [sym_undef_expression] = STATE(2342),
    [sym__listop] = STATE(2342),
    [sym_function_call_expression] = STATE(2343),
    [sym_ambiguous_function_call_expression] = STATE(2343),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(2343),
    [sym_scalar] = STATE(2342),
    [sym_array] = STATE(2342),
    [sym__SUB_AMPER] = STATE(2739),
    [sym__GLOB_STAR] = STATE(2741),
    [sym_hash] = STATE(2342),
    [sym_arraylen] = STATE(2342),
    [sym_amper_sub] = STATE(2181),
    [sym_glob] = STATE(2183),
    [sym_glob_slot_expression] = STATE(2342),
    [sym__literal] = STATE(2342),
    [sym__apostrophe] = STATE(3277),
    [sym__quotation_mark] = STATE(2481),
    [sym__backtick] = STATE(2482),
    [sym__search_slash] = STATE(2447),
    [sym_string_literal] = STATE(2353),
    [sym_interpolated_string_literal] = STATE(2353),
    [sym_quoted_word_list] = STATE(2193),
    [sym_command_string] = STATE(2353),
    [sym_quoted_regexp] = STATE(2353),
    [sym_match_regexp] = STATE(2353),
    [sym_substitution_regexp] = STATE(2353),
    [sym_transliteration_expression] = STATE(2353),
    [sym_heredoc_token] = STATE(2342),
    [sym_command_heredoc_token] = STATE(2342),
    [sym_heredoc_content] = STATE(562),
    [sym_autoquoted_bareword] = STATE(2342),
    [sym_bareword] = STATE(2342),
    [sym_primitive] = STATE(2342),
    [sym_boolean] = STATE(2323),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3366),
    [sym__identifier] = ACTIONS(1806),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1008),
    [anon_sym_AT] = ACTIONS(1010),
    [anon_sym_my] = ACTIONS(1012),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(1014),
    [anon_sym_method] = ACTIONS(1016),
    [anon_sym_LPAREN] = ACTIONS(1018),
    [anon_sym_continue] = ACTIONS(1020),
    [anon_sym_state] = ACTIONS(1012),
    [anon_sym_our] = ACTIONS(1012),
    [anon_sym_LBRACK] = ACTIONS(1022),
    [anon_sym_LT_LT] = ACTIONS(1523),
    [anon_sym_SLASH_SLASH] = ACTIONS(1525),
    [anon_sym_PLUS] = ACTIONS(1024),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_TILDE] = ACTIONS(1024),
    [anon_sym_BANG] = ACTIONS(1024),
    [anon_sym_PLUS_PLUS] = ACTIONS(1529),
    [anon_sym_DASH_DASH] = ACTIONS(1529),
    [anon_sym_BSLASH] = ACTIONS(1026),
    [anon_sym_do] = ACTIONS(1028),
    [anon_sym_eval] = ACTIONS(1030),
    [anon_sym_await] = ACTIONS(1032),
    [anon_sym_field] = ACTIONS(1012),
    [anon_sym_local] = ACTIONS(1034),
    [anon_sym_dynamically] = ACTIONS(1034),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1036),
    [anon_sym_require] = ACTIONS(1038),
    [anon_sym_map] = ACTIONS(1040),
    [anon_sym_grep] = ACTIONS(1040),
    [anon_sym_sort] = ACTIONS(1042),
    [anon_sym_goto] = ACTIONS(1044),
    [anon_sym_return] = ACTIONS(1046),
    [anon_sym_undef] = ACTIONS(1048),
    [anon_sym_PERCENT2] = ACTIONS(1050),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1052),
    [anon_sym_next] = ACTIONS(1052),
    [anon_sym_redo] = ACTIONS(1052),
    [anon_sym___FILE__] = ACTIONS(1020),
    [anon_sym___LINE__] = ACTIONS(1020),
    [anon_sym___PACKAGE__] = ACTIONS(1020),
    [anon_sym___SUB__] = ACTIONS(1020),
    [anon_sym_break] = ACTIONS(1020),
    [anon_sym_fork] = ACTIONS(1020),
    [anon_sym_getppid] = ACTIONS(1020),
    [anon_sym_time] = ACTIONS(1020),
    [anon_sym_times] = ACTIONS(1020),
    [anon_sym_wait] = ACTIONS(1020),
    [anon_sym_wantarray] = ACTIONS(1020),
    [anon_sym_abs] = ACTIONS(1054),
    [anon_sym_alarm] = ACTIONS(1054),
    [anon_sym_chop] = ACTIONS(1054),
    [anon_sym_chdir] = ACTIONS(1054),
    [anon_sym_close] = ACTIONS(1054),
    [anon_sym_closedir] = ACTIONS(1054),
    [anon_sym_caller] = ACTIONS(1054),
    [anon_sym_chomp] = ACTIONS(1054),
    [anon_sym_chr] = ACTIONS(1054),
    [anon_sym_cos] = ACTIONS(1054),
    [anon_sym_chroot] = ACTIONS(1054),
    [anon_sym_defined] = ACTIONS(1054),
    [anon_sym_delete] = ACTIONS(1054),
    [anon_sym_dbmclose] = ACTIONS(1054),
    [anon_sym_exists] = ACTIONS(1054),
    [anon_sym_exit] = ACTIONS(1054),
    [anon_sym_eof] = ACTIONS(1054),
    [anon_sym_exp] = ACTIONS(1054),
    [anon_sym_each] = ACTIONS(1054),
    [anon_sym_fc] = ACTIONS(1054),
    [anon_sym_fileno] = ACTIONS(1054),
    [anon_sym_gmtime] = ACTIONS(1054),
    [anon_sym_getc] = ACTIONS(1054),
    [anon_sym_getpgrp] = ACTIONS(1054),
    [anon_sym_getprotobyname] = ACTIONS(1054),
    [anon_sym_getpwname] = ACTIONS(1054),
    [anon_sym_getpwuid] = ACTIONS(1054),
    [anon_sym_getpeername] = ACTIONS(1054),
    [anon_sym_getnetbyname] = ACTIONS(1054),
    [anon_sym_getsockname] = ACTIONS(1054),
    [anon_sym_getgrnam] = ACTIONS(1054),
    [anon_sym_getgrgid] = ACTIONS(1054),
    [anon_sym_hex] = ACTIONS(1054),
    [anon_sym_int] = ACTIONS(1054),
    [anon_sym_keys] = ACTIONS(1054),
    [anon_sym_lc] = ACTIONS(1054),
    [anon_sym_lcfirst] = ACTIONS(1054),
    [anon_sym_length] = ACTIONS(1054),
    [anon_sym_localtime] = ACTIONS(1054),
    [anon_sym_log] = ACTIONS(1054),
    [anon_sym_lock] = ACTIONS(1054),
    [anon_sym_lstat] = ACTIONS(1054),
    [anon_sym_oct] = ACTIONS(1054),
    [anon_sym_ord] = ACTIONS(1054),
    [anon_sym_prototype] = ACTIONS(1054),
    [anon_sym_pop] = ACTIONS(1054),
    [anon_sym_pos] = ACTIONS(1054),
    [anon_sym_quotemeta] = ACTIONS(1054),
    [anon_sym_reset] = ACTIONS(1054),
    [anon_sym_rand] = ACTIONS(1054),
    [anon_sym_rmdir] = ACTIONS(1054),
    [anon_sym_readdir] = ACTIONS(1054),
    [anon_sym_readline] = ACTIONS(1054),
    [anon_sym_readpipe] = ACTIONS(1054),
    [anon_sym_rewinddir] = ACTIONS(1054),
    [anon_sym_readlink] = ACTIONS(1054),
    [anon_sym_ref] = ACTIONS(1054),
    [anon_sym_scalar] = ACTIONS(1054),
    [anon_sym_shift] = ACTIONS(1054),
    [anon_sym_sin] = ACTIONS(1054),
    [anon_sym_sleep] = ACTIONS(1054),
    [anon_sym_sqrt] = ACTIONS(1054),
    [anon_sym_srand] = ACTIONS(1054),
    [anon_sym_stat] = ACTIONS(1054),
    [anon_sym_study] = ACTIONS(1054),
    [anon_sym_tell] = ACTIONS(1054),
    [anon_sym_telldir] = ACTIONS(1054),
    [anon_sym_tied] = ACTIONS(1054),
    [anon_sym_uc] = ACTIONS(1054),
    [anon_sym_ucfirst] = ACTIONS(1054),
    [anon_sym_untie] = ACTIONS(1054),
    [anon_sym_umask] = ACTIONS(1054),
    [anon_sym_values] = ACTIONS(1054),
    [anon_sym_write] = ACTIONS(1054),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1056),
    [anon_sym_qq] = ACTIONS(1058),
    [anon_sym_qw] = ACTIONS(1060),
    [anon_sym_qx] = ACTIONS(1062),
    [anon_sym_qr] = ACTIONS(1064),
    [anon_sym_m] = ACTIONS(1066),
    [anon_sym_s] = ACTIONS(1068),
    [anon_sym_tr] = ACTIONS(1070),
    [anon_sym_y] = ACTIONS(1070),
    [aux_sym__bareword_token1] = ACTIONS(1806),
    [sym_number] = ACTIONS(1074),
    [anon_sym_true] = ACTIONS(1076),
    [anon_sym_false] = ACTIONS(1076),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(1078),
    [sym__open_fileglob_bracket] = ACTIONS(1080),
    [sym__PERLY_HEREDOC] = ACTIONS(1082),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1808),
    [sym__filetest] = ACTIONS(1086),
  },
  [563] = {
    [sym__PERLY_BRACE_OPEN] = STATE(238),
    [sym__subscripted] = STATE(1915),
    [sym_container_variable] = STATE(3851),
    [sym_array_element_expression] = STATE(1916),
    [sym_hash_element_expression] = STATE(1916),
    [sym_coderef_call_expression] = STATE(1916),
    [sym_anonymous_slice_expression] = STATE(1916),
    [sym_slice_container_variable] = STATE(3852),
    [sym_slice_expression] = STATE(2342),
    [sym_keyval_container_variable] = STATE(3853),
    [sym_keyval_expression] = STATE(2342),
    [sym__term] = STATE(2230),
    [sym_readline_expression] = STATE(2342),
    [sym_fileglob_expression] = STATE(2342),
    [sym_assignment_expression] = STATE(2342),
    [sym_binary_expression] = STATE(2342),
    [sym_equality_expression] = STATE(2342),
    [sym_relational_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2342),
    [sym_preinc_expression] = STATE(2342),
    [sym_postinc_expression] = STATE(2342),
    [sym_conditional_expression] = STATE(2342),
    [sym_refgen_expression] = STATE(2342),
    [sym_anonymous_array_expression] = STATE(2342),
    [sym_anonymous_hash_expression] = STATE(2342),
    [sym_anonymous_subroutine_expression] = STATE(2342),
    [sym_anonymous_method_expression] = STATE(2342),
    [sym_do_expression] = STATE(2342),
    [sym_eval_expression] = STATE(2342),
    [sym_await_expression] = STATE(2342),
    [sym_variable_declaration] = STATE(2342),
    [sym_localization_expression] = STATE(2342),
    [sym_stub_expression] = STATE(2342),
    [sym_scalar_deref_expression] = STATE(2342),
    [sym_array_deref_expression] = STATE(2342),
    [sym_arraylen_deref_expression] = STATE(2342),
    [sym_hash_deref_expression] = STATE(2342),
    [sym_amper_deref_expression] = STATE(2342),
    [sym_glob_deref_expression] = STATE(2342),
    [sym_require_expression] = STATE(2342),
    [sym_require_version_expression] = STATE(2342),
    [sym_func0op_call_expression] = STATE(2342),
    [sym_func1op_call_expression] = STATE(2342),
    [sym_map_grep_expression] = STATE(2342),
    [sym_sort_expression] = STATE(2342),
    [sym_loopex_expression] = STATE(2342),
    [sym_goto_expression] = STATE(2342),
    [sym_return_expression] = STATE(2342),
    [sym_undef_expression] = STATE(2342),
    [sym__listop] = STATE(2342),
    [sym_function_call_expression] = STATE(2343),
    [sym_ambiguous_function_call_expression] = STATE(2343),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(2343),
    [sym_scalar] = STATE(2342),
    [sym_array] = STATE(2342),
    [sym__SUB_AMPER] = STATE(2739),
    [sym__GLOB_STAR] = STATE(2741),
    [sym_hash] = STATE(2342),
    [sym_arraylen] = STATE(2342),
    [sym_amper_sub] = STATE(2181),
    [sym_glob] = STATE(2183),
    [sym_glob_slot_expression] = STATE(2342),
    [sym__literal] = STATE(2342),
    [sym__apostrophe] = STATE(3277),
    [sym__quotation_mark] = STATE(2481),
    [sym__backtick] = STATE(2482),
    [sym__search_slash] = STATE(2447),
    [sym_string_literal] = STATE(2353),
    [sym_interpolated_string_literal] = STATE(2353),
    [sym_quoted_word_list] = STATE(2193),
    [sym_command_string] = STATE(2353),
    [sym_quoted_regexp] = STATE(2353),
    [sym_match_regexp] = STATE(2353),
    [sym_substitution_regexp] = STATE(2353),
    [sym_transliteration_expression] = STATE(2353),
    [sym_heredoc_token] = STATE(2342),
    [sym_command_heredoc_token] = STATE(2342),
    [sym_heredoc_content] = STATE(563),
    [sym_autoquoted_bareword] = STATE(2342),
    [sym_bareword] = STATE(2342),
    [sym_primitive] = STATE(2342),
    [sym_boolean] = STATE(2323),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3366),
    [sym__identifier] = ACTIONS(1072),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1008),
    [anon_sym_AT] = ACTIONS(1010),
    [anon_sym_my] = ACTIONS(1012),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(1014),
    [anon_sym_method] = ACTIONS(1016),
    [anon_sym_LPAREN] = ACTIONS(1018),
    [anon_sym_continue] = ACTIONS(1020),
    [anon_sym_state] = ACTIONS(1012),
    [anon_sym_our] = ACTIONS(1012),
    [anon_sym_LBRACK] = ACTIONS(1022),
    [anon_sym_LT_LT] = ACTIONS(1523),
    [anon_sym_SLASH_SLASH] = ACTIONS(1525),
    [anon_sym_PLUS] = ACTIONS(1024),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_TILDE] = ACTIONS(1024),
    [anon_sym_BANG] = ACTIONS(1024),
    [anon_sym_PLUS_PLUS] = ACTIONS(1529),
    [anon_sym_DASH_DASH] = ACTIONS(1529),
    [anon_sym_BSLASH] = ACTIONS(1026),
    [anon_sym_do] = ACTIONS(1028),
    [anon_sym_eval] = ACTIONS(1030),
    [anon_sym_await] = ACTIONS(1032),
    [anon_sym_field] = ACTIONS(1012),
    [anon_sym_local] = ACTIONS(1034),
    [anon_sym_dynamically] = ACTIONS(1034),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1036),
    [anon_sym_require] = ACTIONS(1038),
    [anon_sym_map] = ACTIONS(1040),
    [anon_sym_grep] = ACTIONS(1040),
    [anon_sym_sort] = ACTIONS(1042),
    [anon_sym_goto] = ACTIONS(1044),
    [anon_sym_return] = ACTIONS(1046),
    [anon_sym_undef] = ACTIONS(1048),
    [anon_sym_PERCENT2] = ACTIONS(1050),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1052),
    [anon_sym_next] = ACTIONS(1052),
    [anon_sym_redo] = ACTIONS(1052),
    [anon_sym___FILE__] = ACTIONS(1020),
    [anon_sym___LINE__] = ACTIONS(1020),
    [anon_sym___PACKAGE__] = ACTIONS(1020),
    [anon_sym___SUB__] = ACTIONS(1020),
    [anon_sym_break] = ACTIONS(1020),
    [anon_sym_fork] = ACTIONS(1020),
    [anon_sym_getppid] = ACTIONS(1020),
    [anon_sym_time] = ACTIONS(1020),
    [anon_sym_times] = ACTIONS(1020),
    [anon_sym_wait] = ACTIONS(1020),
    [anon_sym_wantarray] = ACTIONS(1020),
    [anon_sym_abs] = ACTIONS(1054),
    [anon_sym_alarm] = ACTIONS(1054),
    [anon_sym_chop] = ACTIONS(1054),
    [anon_sym_chdir] = ACTIONS(1054),
    [anon_sym_close] = ACTIONS(1054),
    [anon_sym_closedir] = ACTIONS(1054),
    [anon_sym_caller] = ACTIONS(1054),
    [anon_sym_chomp] = ACTIONS(1054),
    [anon_sym_chr] = ACTIONS(1054),
    [anon_sym_cos] = ACTIONS(1054),
    [anon_sym_chroot] = ACTIONS(1054),
    [anon_sym_defined] = ACTIONS(1054),
    [anon_sym_delete] = ACTIONS(1054),
    [anon_sym_dbmclose] = ACTIONS(1054),
    [anon_sym_exists] = ACTIONS(1054),
    [anon_sym_exit] = ACTIONS(1054),
    [anon_sym_eof] = ACTIONS(1054),
    [anon_sym_exp] = ACTIONS(1054),
    [anon_sym_each] = ACTIONS(1054),
    [anon_sym_fc] = ACTIONS(1054),
    [anon_sym_fileno] = ACTIONS(1054),
    [anon_sym_gmtime] = ACTIONS(1054),
    [anon_sym_getc] = ACTIONS(1054),
    [anon_sym_getpgrp] = ACTIONS(1054),
    [anon_sym_getprotobyname] = ACTIONS(1054),
    [anon_sym_getpwname] = ACTIONS(1054),
    [anon_sym_getpwuid] = ACTIONS(1054),
    [anon_sym_getpeername] = ACTIONS(1054),
    [anon_sym_getnetbyname] = ACTIONS(1054),
    [anon_sym_getsockname] = ACTIONS(1054),
    [anon_sym_getgrnam] = ACTIONS(1054),
    [anon_sym_getgrgid] = ACTIONS(1054),
    [anon_sym_hex] = ACTIONS(1054),
    [anon_sym_int] = ACTIONS(1054),
    [anon_sym_keys] = ACTIONS(1054),
    [anon_sym_lc] = ACTIONS(1054),
    [anon_sym_lcfirst] = ACTIONS(1054),
    [anon_sym_length] = ACTIONS(1054),
    [anon_sym_localtime] = ACTIONS(1054),
    [anon_sym_log] = ACTIONS(1054),
    [anon_sym_lock] = ACTIONS(1054),
    [anon_sym_lstat] = ACTIONS(1054),
    [anon_sym_oct] = ACTIONS(1054),
    [anon_sym_ord] = ACTIONS(1054),
    [anon_sym_prototype] = ACTIONS(1054),
    [anon_sym_pop] = ACTIONS(1054),
    [anon_sym_pos] = ACTIONS(1054),
    [anon_sym_quotemeta] = ACTIONS(1054),
    [anon_sym_reset] = ACTIONS(1054),
    [anon_sym_rand] = ACTIONS(1054),
    [anon_sym_rmdir] = ACTIONS(1054),
    [anon_sym_readdir] = ACTIONS(1054),
    [anon_sym_readline] = ACTIONS(1054),
    [anon_sym_readpipe] = ACTIONS(1054),
    [anon_sym_rewinddir] = ACTIONS(1054),
    [anon_sym_readlink] = ACTIONS(1054),
    [anon_sym_ref] = ACTIONS(1054),
    [anon_sym_scalar] = ACTIONS(1054),
    [anon_sym_shift] = ACTIONS(1054),
    [anon_sym_sin] = ACTIONS(1054),
    [anon_sym_sleep] = ACTIONS(1054),
    [anon_sym_sqrt] = ACTIONS(1054),
    [anon_sym_srand] = ACTIONS(1054),
    [anon_sym_stat] = ACTIONS(1054),
    [anon_sym_study] = ACTIONS(1054),
    [anon_sym_tell] = ACTIONS(1054),
    [anon_sym_telldir] = ACTIONS(1054),
    [anon_sym_tied] = ACTIONS(1054),
    [anon_sym_uc] = ACTIONS(1054),
    [anon_sym_ucfirst] = ACTIONS(1054),
    [anon_sym_untie] = ACTIONS(1054),
    [anon_sym_umask] = ACTIONS(1054),
    [anon_sym_values] = ACTIONS(1054),
    [anon_sym_write] = ACTIONS(1054),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1056),
    [anon_sym_qq] = ACTIONS(1058),
    [anon_sym_qw] = ACTIONS(1060),
    [anon_sym_qx] = ACTIONS(1062),
    [anon_sym_qr] = ACTIONS(1064),
    [anon_sym_m] = ACTIONS(1066),
    [anon_sym_s] = ACTIONS(1068),
    [anon_sym_tr] = ACTIONS(1070),
    [anon_sym_y] = ACTIONS(1070),
    [aux_sym__bareword_token1] = ACTIONS(1072),
    [sym_number] = ACTIONS(1074),
    [anon_sym_true] = ACTIONS(1076),
    [anon_sym_false] = ACTIONS(1076),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(1078),
    [sym__open_fileglob_bracket] = ACTIONS(1080),
    [sym__PERLY_HEREDOC] = ACTIONS(1082),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1084),
    [sym__filetest] = ACTIONS(1086),
  },
  [564] = {
    [sym__PERLY_BRACE_OPEN] = STATE(235),
    [sym__subscripted] = STATE(1532),
    [sym_container_variable] = STATE(3855),
    [sym_array_element_expression] = STATE(1533),
    [sym_hash_element_expression] = STATE(1533),
    [sym_coderef_call_expression] = STATE(1533),
    [sym_anonymous_slice_expression] = STATE(1533),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(1967),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(1967),
    [sym__term] = STATE(1980),
    [sym_readline_expression] = STATE(1967),
    [sym_fileglob_expression] = STATE(1967),
    [sym_assignment_expression] = STATE(1967),
    [sym_binary_expression] = STATE(1967),
    [sym_equality_expression] = STATE(1967),
    [sym_relational_expression] = STATE(1967),
    [sym_unary_expression] = STATE(1967),
    [sym_preinc_expression] = STATE(1967),
    [sym_postinc_expression] = STATE(1967),
    [sym_conditional_expression] = STATE(1967),
    [sym_refgen_expression] = STATE(1967),
    [sym_anonymous_array_expression] = STATE(1967),
    [sym_anonymous_hash_expression] = STATE(1967),
    [sym_anonymous_subroutine_expression] = STATE(1967),
    [sym_anonymous_method_expression] = STATE(1967),
    [sym_do_expression] = STATE(1967),
    [sym_eval_expression] = STATE(1967),
    [sym_await_expression] = STATE(1967),
    [sym_variable_declaration] = STATE(1967),
    [sym_localization_expression] = STATE(1967),
    [sym_stub_expression] = STATE(1967),
    [sym_scalar_deref_expression] = STATE(1967),
    [sym_array_deref_expression] = STATE(1967),
    [sym_arraylen_deref_expression] = STATE(1967),
    [sym_hash_deref_expression] = STATE(1967),
    [sym_amper_deref_expression] = STATE(1967),
    [sym_glob_deref_expression] = STATE(1967),
    [sym_require_expression] = STATE(1967),
    [sym_require_version_expression] = STATE(1967),
    [sym_func0op_call_expression] = STATE(1967),
    [sym_func1op_call_expression] = STATE(1967),
    [sym_map_grep_expression] = STATE(1967),
    [sym_sort_expression] = STATE(1967),
    [sym_loopex_expression] = STATE(1967),
    [sym_goto_expression] = STATE(1967),
    [sym_return_expression] = STATE(1967),
    [sym_undef_expression] = STATE(1967),
    [sym__listop] = STATE(1967),
    [sym_function_call_expression] = STATE(1968),
    [sym_ambiguous_function_call_expression] = STATE(1968),
    [sym_function] = STATE(389),
    [sym_method_call_expression] = STATE(1968),
    [sym_scalar] = STATE(1967),
    [sym_array] = STATE(1967),
    [sym__SUB_AMPER] = STATE(2686),
    [sym__GLOB_STAR] = STATE(2687),
    [sym_hash] = STATE(1967),
    [sym_arraylen] = STATE(1967),
    [sym_amper_sub] = STATE(1785),
    [sym_glob] = STATE(1786),
    [sym_glob_slot_expression] = STATE(1967),
    [sym__literal] = STATE(1967),
    [sym__apostrophe] = STATE(3328),
    [sym__quotation_mark] = STATE(2501),
    [sym__backtick] = STATE(2502),
    [sym__search_slash] = STATE(2454),
    [sym_string_literal] = STATE(1969),
    [sym_interpolated_string_literal] = STATE(1969),
    [sym_quoted_word_list] = STATE(1787),
    [sym_command_string] = STATE(1969),
    [sym_quoted_regexp] = STATE(1969),
    [sym_match_regexp] = STATE(1969),
    [sym_substitution_regexp] = STATE(1969),
    [sym_transliteration_expression] = STATE(1969),
    [sym_heredoc_token] = STATE(1967),
    [sym_command_heredoc_token] = STATE(1967),
    [sym_heredoc_content] = STATE(564),
    [sym_autoquoted_bareword] = STATE(1967),
    [sym_bareword] = STATE(1967),
    [sym_primitive] = STATE(1967),
    [sym_boolean] = STATE(1965),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3342),
    [sym__identifier] = ACTIONS(1810),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1752),
    [anon_sym_AT] = ACTIONS(1671),
    [anon_sym_my] = ACTIONS(517),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(519),
    [anon_sym_method] = ACTIONS(521),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_continue] = ACTIONS(525),
    [anon_sym_state] = ACTIONS(517),
    [anon_sym_our] = ACTIONS(517),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_LT_LT] = ACTIONS(1673),
    [anon_sym_SLASH_SLASH] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(1677),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_PLUS_PLUS] = ACTIONS(1679),
    [anon_sym_DASH_DASH] = ACTIONS(1679),
    [anon_sym_BSLASH] = ACTIONS(531),
    [anon_sym_do] = ACTIONS(533),
    [anon_sym_eval] = ACTIONS(535),
    [anon_sym_await] = ACTIONS(537),
    [anon_sym_field] = ACTIONS(517),
    [anon_sym_local] = ACTIONS(539),
    [anon_sym_dynamically] = ACTIONS(539),
    [anon_sym_DOLLAR_POUND] = ACTIONS(541),
    [anon_sym_require] = ACTIONS(543),
    [anon_sym_map] = ACTIONS(545),
    [anon_sym_grep] = ACTIONS(545),
    [anon_sym_sort] = ACTIONS(547),
    [anon_sym_goto] = ACTIONS(549),
    [anon_sym_return] = ACTIONS(551),
    [anon_sym_undef] = ACTIONS(553),
    [anon_sym_PERCENT2] = ACTIONS(1681),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(555),
    [anon_sym_next] = ACTIONS(555),
    [anon_sym_redo] = ACTIONS(555),
    [anon_sym___FILE__] = ACTIONS(525),
    [anon_sym___LINE__] = ACTIONS(525),
    [anon_sym___PACKAGE__] = ACTIONS(525),
    [anon_sym___SUB__] = ACTIONS(525),
    [anon_sym_break] = ACTIONS(525),
    [anon_sym_fork] = ACTIONS(525),
    [anon_sym_getppid] = ACTIONS(525),
    [anon_sym_time] = ACTIONS(525),
    [anon_sym_times] = ACTIONS(525),
    [anon_sym_wait] = ACTIONS(525),
    [anon_sym_wantarray] = ACTIONS(525),
    [anon_sym_abs] = ACTIONS(557),
    [anon_sym_alarm] = ACTIONS(557),
    [anon_sym_chop] = ACTIONS(557),
    [anon_sym_chdir] = ACTIONS(557),
    [anon_sym_close] = ACTIONS(557),
    [anon_sym_closedir] = ACTIONS(557),
    [anon_sym_caller] = ACTIONS(557),
    [anon_sym_chomp] = ACTIONS(557),
    [anon_sym_chr] = ACTIONS(557),
    [anon_sym_cos] = ACTIONS(557),
    [anon_sym_chroot] = ACTIONS(557),
    [anon_sym_defined] = ACTIONS(557),
    [anon_sym_delete] = ACTIONS(557),
    [anon_sym_dbmclose] = ACTIONS(557),
    [anon_sym_exists] = ACTIONS(557),
    [anon_sym_exit] = ACTIONS(557),
    [anon_sym_eof] = ACTIONS(557),
    [anon_sym_exp] = ACTIONS(557),
    [anon_sym_each] = ACTIONS(557),
    [anon_sym_fc] = ACTIONS(557),
    [anon_sym_fileno] = ACTIONS(557),
    [anon_sym_gmtime] = ACTIONS(557),
    [anon_sym_getc] = ACTIONS(557),
    [anon_sym_getpgrp] = ACTIONS(557),
    [anon_sym_getprotobyname] = ACTIONS(557),
    [anon_sym_getpwname] = ACTIONS(557),
    [anon_sym_getpwuid] = ACTIONS(557),
    [anon_sym_getpeername] = ACTIONS(557),
    [anon_sym_getnetbyname] = ACTIONS(557),
    [anon_sym_getsockname] = ACTIONS(557),
    [anon_sym_getgrnam] = ACTIONS(557),
    [anon_sym_getgrgid] = ACTIONS(557),
    [anon_sym_hex] = ACTIONS(557),
    [anon_sym_int] = ACTIONS(557),
    [anon_sym_keys] = ACTIONS(557),
    [anon_sym_lc] = ACTIONS(557),
    [anon_sym_lcfirst] = ACTIONS(557),
    [anon_sym_length] = ACTIONS(557),
    [anon_sym_localtime] = ACTIONS(557),
    [anon_sym_log] = ACTIONS(557),
    [anon_sym_lock] = ACTIONS(557),
    [anon_sym_lstat] = ACTIONS(557),
    [anon_sym_oct] = ACTIONS(557),
    [anon_sym_ord] = ACTIONS(557),
    [anon_sym_prototype] = ACTIONS(557),
    [anon_sym_pop] = ACTIONS(557),
    [anon_sym_pos] = ACTIONS(557),
    [anon_sym_quotemeta] = ACTIONS(557),
    [anon_sym_reset] = ACTIONS(557),
    [anon_sym_rand] = ACTIONS(557),
    [anon_sym_rmdir] = ACTIONS(557),
    [anon_sym_readdir] = ACTIONS(557),
    [anon_sym_readline] = ACTIONS(557),
    [anon_sym_readpipe] = ACTIONS(557),
    [anon_sym_rewinddir] = ACTIONS(557),
    [anon_sym_readlink] = ACTIONS(557),
    [anon_sym_ref] = ACTIONS(557),
    [anon_sym_scalar] = ACTIONS(557),
    [anon_sym_shift] = ACTIONS(557),
    [anon_sym_sin] = ACTIONS(557),
    [anon_sym_sleep] = ACTIONS(557),
    [anon_sym_sqrt] = ACTIONS(557),
    [anon_sym_srand] = ACTIONS(557),
    [anon_sym_stat] = ACTIONS(557),
    [anon_sym_study] = ACTIONS(557),
    [anon_sym_tell] = ACTIONS(557),
    [anon_sym_telldir] = ACTIONS(557),
    [anon_sym_tied] = ACTIONS(557),
    [anon_sym_uc] = ACTIONS(557),
    [anon_sym_ucfirst] = ACTIONS(557),
    [anon_sym_untie] = ACTIONS(557),
    [anon_sym_umask] = ACTIONS(557),
    [anon_sym_values] = ACTIONS(557),
    [anon_sym_write] = ACTIONS(557),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(559),
    [anon_sym_qq] = ACTIONS(561),
    [anon_sym_qw] = ACTIONS(563),
    [anon_sym_qx] = ACTIONS(565),
    [anon_sym_qr] = ACTIONS(567),
    [anon_sym_m] = ACTIONS(569),
    [anon_sym_s] = ACTIONS(571),
    [anon_sym_tr] = ACTIONS(573),
    [anon_sym_y] = ACTIONS(573),
    [aux_sym__bareword_token1] = ACTIONS(1810),
    [sym_number] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(581),
    [sym__open_fileglob_bracket] = ACTIONS(583),
    [sym__PERLY_HEREDOC] = ACTIONS(585),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1812),
    [sym__filetest] = ACTIONS(589),
  },
  [565] = {
    [sym__PERLY_BRACE_OPEN] = STATE(238),
    [sym__subscripted] = STATE(1915),
    [sym_container_variable] = STATE(3851),
    [sym_array_element_expression] = STATE(1916),
    [sym_hash_element_expression] = STATE(1916),
    [sym_coderef_call_expression] = STATE(1916),
    [sym_anonymous_slice_expression] = STATE(1916),
    [sym_slice_container_variable] = STATE(3852),
    [sym_slice_expression] = STATE(2342),
    [sym_keyval_container_variable] = STATE(3853),
    [sym_keyval_expression] = STATE(2342),
    [sym__term] = STATE(2241),
    [sym_readline_expression] = STATE(2342),
    [sym_fileglob_expression] = STATE(2342),
    [sym_assignment_expression] = STATE(2342),
    [sym_binary_expression] = STATE(2342),
    [sym_equality_expression] = STATE(2342),
    [sym_relational_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2342),
    [sym_preinc_expression] = STATE(2342),
    [sym_postinc_expression] = STATE(2342),
    [sym_conditional_expression] = STATE(2342),
    [sym_refgen_expression] = STATE(2342),
    [sym_anonymous_array_expression] = STATE(2342),
    [sym_anonymous_hash_expression] = STATE(2342),
    [sym_anonymous_subroutine_expression] = STATE(2342),
    [sym_anonymous_method_expression] = STATE(2342),
    [sym_do_expression] = STATE(2342),
    [sym_eval_expression] = STATE(2342),
    [sym_await_expression] = STATE(2342),
    [sym_variable_declaration] = STATE(2342),
    [sym_localization_expression] = STATE(2342),
    [sym_stub_expression] = STATE(2342),
    [sym_scalar_deref_expression] = STATE(2342),
    [sym_array_deref_expression] = STATE(2342),
    [sym_arraylen_deref_expression] = STATE(2342),
    [sym_hash_deref_expression] = STATE(2342),
    [sym_amper_deref_expression] = STATE(2342),
    [sym_glob_deref_expression] = STATE(2342),
    [sym_require_expression] = STATE(2342),
    [sym_require_version_expression] = STATE(2342),
    [sym_func0op_call_expression] = STATE(2342),
    [sym_func1op_call_expression] = STATE(2342),
    [sym_map_grep_expression] = STATE(2342),
    [sym_sort_expression] = STATE(2342),
    [sym_loopex_expression] = STATE(2342),
    [sym_goto_expression] = STATE(2342),
    [sym_return_expression] = STATE(2342),
    [sym_undef_expression] = STATE(2342),
    [sym__listop] = STATE(2342),
    [sym_function_call_expression] = STATE(2343),
    [sym_ambiguous_function_call_expression] = STATE(2343),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(2343),
    [sym_scalar] = STATE(2342),
    [sym_array] = STATE(2342),
    [sym__SUB_AMPER] = STATE(2739),
    [sym__GLOB_STAR] = STATE(2741),
    [sym_hash] = STATE(2342),
    [sym_arraylen] = STATE(2342),
    [sym_amper_sub] = STATE(2050),
    [sym_glob] = STATE(2183),
    [sym_glob_slot_expression] = STATE(2342),
    [sym__literal] = STATE(2342),
    [sym__apostrophe] = STATE(3277),
    [sym__quotation_mark] = STATE(2481),
    [sym__backtick] = STATE(2482),
    [sym__search_slash] = STATE(2447),
    [sym_string_literal] = STATE(2353),
    [sym_interpolated_string_literal] = STATE(2353),
    [sym_quoted_word_list] = STATE(2193),
    [sym_command_string] = STATE(2353),
    [sym_quoted_regexp] = STATE(2353),
    [sym_match_regexp] = STATE(2353),
    [sym_substitution_regexp] = STATE(2353),
    [sym_transliteration_expression] = STATE(2353),
    [sym_heredoc_token] = STATE(2342),
    [sym_command_heredoc_token] = STATE(2342),
    [sym_heredoc_content] = STATE(565),
    [sym_autoquoted_bareword] = STATE(2342),
    [sym_bareword] = STATE(2342),
    [sym_primitive] = STATE(2342),
    [sym_boolean] = STATE(2323),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3366),
    [sym__identifier] = ACTIONS(1072),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1008),
    [anon_sym_AT] = ACTIONS(1010),
    [anon_sym_my] = ACTIONS(1012),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(1014),
    [anon_sym_method] = ACTIONS(1016),
    [anon_sym_LPAREN] = ACTIONS(1018),
    [anon_sym_continue] = ACTIONS(1020),
    [anon_sym_state] = ACTIONS(1012),
    [anon_sym_our] = ACTIONS(1012),
    [anon_sym_LBRACK] = ACTIONS(1022),
    [anon_sym_LT_LT] = ACTIONS(1523),
    [anon_sym_SLASH_SLASH] = ACTIONS(1525),
    [anon_sym_PLUS] = ACTIONS(1024),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_TILDE] = ACTIONS(1024),
    [anon_sym_BANG] = ACTIONS(1024),
    [anon_sym_PLUS_PLUS] = ACTIONS(1529),
    [anon_sym_DASH_DASH] = ACTIONS(1529),
    [anon_sym_BSLASH] = ACTIONS(1026),
    [anon_sym_do] = ACTIONS(1028),
    [anon_sym_eval] = ACTIONS(1030),
    [anon_sym_await] = ACTIONS(1032),
    [anon_sym_field] = ACTIONS(1012),
    [anon_sym_local] = ACTIONS(1034),
    [anon_sym_dynamically] = ACTIONS(1034),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1036),
    [anon_sym_require] = ACTIONS(1038),
    [anon_sym_map] = ACTIONS(1040),
    [anon_sym_grep] = ACTIONS(1040),
    [anon_sym_sort] = ACTIONS(1042),
    [anon_sym_goto] = ACTIONS(1044),
    [anon_sym_return] = ACTIONS(1046),
    [anon_sym_undef] = ACTIONS(1048),
    [anon_sym_PERCENT2] = ACTIONS(1050),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1052),
    [anon_sym_next] = ACTIONS(1052),
    [anon_sym_redo] = ACTIONS(1052),
    [anon_sym___FILE__] = ACTIONS(1020),
    [anon_sym___LINE__] = ACTIONS(1020),
    [anon_sym___PACKAGE__] = ACTIONS(1020),
    [anon_sym___SUB__] = ACTIONS(1020),
    [anon_sym_break] = ACTIONS(1020),
    [anon_sym_fork] = ACTIONS(1020),
    [anon_sym_getppid] = ACTIONS(1020),
    [anon_sym_time] = ACTIONS(1020),
    [anon_sym_times] = ACTIONS(1020),
    [anon_sym_wait] = ACTIONS(1020),
    [anon_sym_wantarray] = ACTIONS(1020),
    [anon_sym_abs] = ACTIONS(1054),
    [anon_sym_alarm] = ACTIONS(1054),
    [anon_sym_chop] = ACTIONS(1054),
    [anon_sym_chdir] = ACTIONS(1054),
    [anon_sym_close] = ACTIONS(1054),
    [anon_sym_closedir] = ACTIONS(1054),
    [anon_sym_caller] = ACTIONS(1054),
    [anon_sym_chomp] = ACTIONS(1054),
    [anon_sym_chr] = ACTIONS(1054),
    [anon_sym_cos] = ACTIONS(1054),
    [anon_sym_chroot] = ACTIONS(1054),
    [anon_sym_defined] = ACTIONS(1054),
    [anon_sym_delete] = ACTIONS(1054),
    [anon_sym_dbmclose] = ACTIONS(1054),
    [anon_sym_exists] = ACTIONS(1054),
    [anon_sym_exit] = ACTIONS(1054),
    [anon_sym_eof] = ACTIONS(1054),
    [anon_sym_exp] = ACTIONS(1054),
    [anon_sym_each] = ACTIONS(1054),
    [anon_sym_fc] = ACTIONS(1054),
    [anon_sym_fileno] = ACTIONS(1054),
    [anon_sym_gmtime] = ACTIONS(1054),
    [anon_sym_getc] = ACTIONS(1054),
    [anon_sym_getpgrp] = ACTIONS(1054),
    [anon_sym_getprotobyname] = ACTIONS(1054),
    [anon_sym_getpwname] = ACTIONS(1054),
    [anon_sym_getpwuid] = ACTIONS(1054),
    [anon_sym_getpeername] = ACTIONS(1054),
    [anon_sym_getnetbyname] = ACTIONS(1054),
    [anon_sym_getsockname] = ACTIONS(1054),
    [anon_sym_getgrnam] = ACTIONS(1054),
    [anon_sym_getgrgid] = ACTIONS(1054),
    [anon_sym_hex] = ACTIONS(1054),
    [anon_sym_int] = ACTIONS(1054),
    [anon_sym_keys] = ACTIONS(1054),
    [anon_sym_lc] = ACTIONS(1054),
    [anon_sym_lcfirst] = ACTIONS(1054),
    [anon_sym_length] = ACTIONS(1054),
    [anon_sym_localtime] = ACTIONS(1054),
    [anon_sym_log] = ACTIONS(1054),
    [anon_sym_lock] = ACTIONS(1054),
    [anon_sym_lstat] = ACTIONS(1054),
    [anon_sym_oct] = ACTIONS(1054),
    [anon_sym_ord] = ACTIONS(1054),
    [anon_sym_prototype] = ACTIONS(1054),
    [anon_sym_pop] = ACTIONS(1054),
    [anon_sym_pos] = ACTIONS(1054),
    [anon_sym_quotemeta] = ACTIONS(1054),
    [anon_sym_reset] = ACTIONS(1054),
    [anon_sym_rand] = ACTIONS(1054),
    [anon_sym_rmdir] = ACTIONS(1054),
    [anon_sym_readdir] = ACTIONS(1054),
    [anon_sym_readline] = ACTIONS(1054),
    [anon_sym_readpipe] = ACTIONS(1054),
    [anon_sym_rewinddir] = ACTIONS(1054),
    [anon_sym_readlink] = ACTIONS(1054),
    [anon_sym_ref] = ACTIONS(1054),
    [anon_sym_scalar] = ACTIONS(1054),
    [anon_sym_shift] = ACTIONS(1054),
    [anon_sym_sin] = ACTIONS(1054),
    [anon_sym_sleep] = ACTIONS(1054),
    [anon_sym_sqrt] = ACTIONS(1054),
    [anon_sym_srand] = ACTIONS(1054),
    [anon_sym_stat] = ACTIONS(1054),
    [anon_sym_study] = ACTIONS(1054),
    [anon_sym_tell] = ACTIONS(1054),
    [anon_sym_telldir] = ACTIONS(1054),
    [anon_sym_tied] = ACTIONS(1054),
    [anon_sym_uc] = ACTIONS(1054),
    [anon_sym_ucfirst] = ACTIONS(1054),
    [anon_sym_untie] = ACTIONS(1054),
    [anon_sym_umask] = ACTIONS(1054),
    [anon_sym_values] = ACTIONS(1054),
    [anon_sym_write] = ACTIONS(1054),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1056),
    [anon_sym_qq] = ACTIONS(1058),
    [anon_sym_qw] = ACTIONS(1060),
    [anon_sym_qx] = ACTIONS(1062),
    [anon_sym_qr] = ACTIONS(1064),
    [anon_sym_m] = ACTIONS(1066),
    [anon_sym_s] = ACTIONS(1068),
    [anon_sym_tr] = ACTIONS(1070),
    [anon_sym_y] = ACTIONS(1070),
    [aux_sym__bareword_token1] = ACTIONS(1072),
    [sym_number] = ACTIONS(1074),
    [anon_sym_true] = ACTIONS(1076),
    [anon_sym_false] = ACTIONS(1076),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(1078),
    [sym__open_fileglob_bracket] = ACTIONS(1080),
    [sym__PERLY_HEREDOC] = ACTIONS(1082),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1084),
    [sym__filetest] = ACTIONS(1086),
  },
  [566] = {
    [sym__PERLY_BRACE_OPEN] = STATE(238),
    [sym__subscripted] = STATE(1915),
    [sym_container_variable] = STATE(3851),
    [sym_array_element_expression] = STATE(1916),
    [sym_hash_element_expression] = STATE(1916),
    [sym_coderef_call_expression] = STATE(1916),
    [sym_anonymous_slice_expression] = STATE(1916),
    [sym_slice_container_variable] = STATE(3852),
    [sym_slice_expression] = STATE(2342),
    [sym_keyval_container_variable] = STATE(3853),
    [sym_keyval_expression] = STATE(2342),
    [sym__term] = STATE(2359),
    [sym_readline_expression] = STATE(2342),
    [sym_fileglob_expression] = STATE(2342),
    [sym_assignment_expression] = STATE(2342),
    [sym_binary_expression] = STATE(2342),
    [sym_equality_expression] = STATE(2342),
    [sym_relational_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2342),
    [sym_preinc_expression] = STATE(2342),
    [sym_postinc_expression] = STATE(2342),
    [sym_conditional_expression] = STATE(2342),
    [sym_refgen_expression] = STATE(2342),
    [sym_anonymous_array_expression] = STATE(2342),
    [sym_anonymous_hash_expression] = STATE(2342),
    [sym_anonymous_subroutine_expression] = STATE(2342),
    [sym_anonymous_method_expression] = STATE(2342),
    [sym_do_expression] = STATE(2342),
    [sym_eval_expression] = STATE(2342),
    [sym_await_expression] = STATE(2342),
    [sym_variable_declaration] = STATE(2342),
    [sym_localization_expression] = STATE(2342),
    [sym_stub_expression] = STATE(2342),
    [sym_scalar_deref_expression] = STATE(2342),
    [sym_array_deref_expression] = STATE(2342),
    [sym_arraylen_deref_expression] = STATE(2342),
    [sym_hash_deref_expression] = STATE(2342),
    [sym_amper_deref_expression] = STATE(2342),
    [sym_glob_deref_expression] = STATE(2342),
    [sym_require_expression] = STATE(2342),
    [sym_require_version_expression] = STATE(2342),
    [sym_func0op_call_expression] = STATE(2342),
    [sym_func1op_call_expression] = STATE(2342),
    [sym_map_grep_expression] = STATE(2342),
    [sym_sort_expression] = STATE(2342),
    [sym_loopex_expression] = STATE(2342),
    [sym_goto_expression] = STATE(2342),
    [sym_return_expression] = STATE(2342),
    [sym_undef_expression] = STATE(2342),
    [sym__listop] = STATE(2342),
    [sym_function_call_expression] = STATE(2343),
    [sym_ambiguous_function_call_expression] = STATE(2343),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(2343),
    [sym_scalar] = STATE(2342),
    [sym_array] = STATE(2342),
    [sym__SUB_AMPER] = STATE(2739),
    [sym__GLOB_STAR] = STATE(2741),
    [sym_hash] = STATE(2342),
    [sym_arraylen] = STATE(2342),
    [sym_amper_sub] = STATE(2181),
    [sym_glob] = STATE(2183),
    [sym_glob_slot_expression] = STATE(2342),
    [sym__literal] = STATE(2342),
    [sym__apostrophe] = STATE(3277),
    [sym__quotation_mark] = STATE(2481),
    [sym__backtick] = STATE(2482),
    [sym__search_slash] = STATE(2447),
    [sym_string_literal] = STATE(2353),
    [sym_interpolated_string_literal] = STATE(2353),
    [sym_quoted_word_list] = STATE(2193),
    [sym_command_string] = STATE(2353),
    [sym_quoted_regexp] = STATE(2353),
    [sym_match_regexp] = STATE(2353),
    [sym_substitution_regexp] = STATE(2353),
    [sym_transliteration_expression] = STATE(2353),
    [sym_heredoc_token] = STATE(2342),
    [sym_command_heredoc_token] = STATE(2342),
    [sym_heredoc_content] = STATE(566),
    [sym_autoquoted_bareword] = STATE(2342),
    [sym_bareword] = STATE(2342),
    [sym_primitive] = STATE(2342),
    [sym_boolean] = STATE(2323),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3366),
    [sym__identifier] = ACTIONS(1072),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1008),
    [anon_sym_AT] = ACTIONS(1010),
    [anon_sym_my] = ACTIONS(1012),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(1014),
    [anon_sym_method] = ACTIONS(1016),
    [anon_sym_LPAREN] = ACTIONS(1018),
    [anon_sym_continue] = ACTIONS(1020),
    [anon_sym_state] = ACTIONS(1012),
    [anon_sym_our] = ACTIONS(1012),
    [anon_sym_LBRACK] = ACTIONS(1022),
    [anon_sym_LT_LT] = ACTIONS(1523),
    [anon_sym_SLASH_SLASH] = ACTIONS(1525),
    [anon_sym_PLUS] = ACTIONS(1024),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_TILDE] = ACTIONS(1024),
    [anon_sym_BANG] = ACTIONS(1024),
    [anon_sym_PLUS_PLUS] = ACTIONS(1529),
    [anon_sym_DASH_DASH] = ACTIONS(1529),
    [anon_sym_BSLASH] = ACTIONS(1026),
    [anon_sym_do] = ACTIONS(1028),
    [anon_sym_eval] = ACTIONS(1030),
    [anon_sym_await] = ACTIONS(1032),
    [anon_sym_field] = ACTIONS(1012),
    [anon_sym_local] = ACTIONS(1034),
    [anon_sym_dynamically] = ACTIONS(1034),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1036),
    [anon_sym_require] = ACTIONS(1038),
    [anon_sym_map] = ACTIONS(1040),
    [anon_sym_grep] = ACTIONS(1040),
    [anon_sym_sort] = ACTIONS(1042),
    [anon_sym_goto] = ACTIONS(1044),
    [anon_sym_return] = ACTIONS(1046),
    [anon_sym_undef] = ACTIONS(1048),
    [anon_sym_PERCENT2] = ACTIONS(1050),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1052),
    [anon_sym_next] = ACTIONS(1052),
    [anon_sym_redo] = ACTIONS(1052),
    [anon_sym___FILE__] = ACTIONS(1020),
    [anon_sym___LINE__] = ACTIONS(1020),
    [anon_sym___PACKAGE__] = ACTIONS(1020),
    [anon_sym___SUB__] = ACTIONS(1020),
    [anon_sym_break] = ACTIONS(1020),
    [anon_sym_fork] = ACTIONS(1020),
    [anon_sym_getppid] = ACTIONS(1020),
    [anon_sym_time] = ACTIONS(1020),
    [anon_sym_times] = ACTIONS(1020),
    [anon_sym_wait] = ACTIONS(1020),
    [anon_sym_wantarray] = ACTIONS(1020),
    [anon_sym_abs] = ACTIONS(1054),
    [anon_sym_alarm] = ACTIONS(1054),
    [anon_sym_chop] = ACTIONS(1054),
    [anon_sym_chdir] = ACTIONS(1054),
    [anon_sym_close] = ACTIONS(1054),
    [anon_sym_closedir] = ACTIONS(1054),
    [anon_sym_caller] = ACTIONS(1054),
    [anon_sym_chomp] = ACTIONS(1054),
    [anon_sym_chr] = ACTIONS(1054),
    [anon_sym_cos] = ACTIONS(1054),
    [anon_sym_chroot] = ACTIONS(1054),
    [anon_sym_defined] = ACTIONS(1054),
    [anon_sym_delete] = ACTIONS(1054),
    [anon_sym_dbmclose] = ACTIONS(1054),
    [anon_sym_exists] = ACTIONS(1054),
    [anon_sym_exit] = ACTIONS(1054),
    [anon_sym_eof] = ACTIONS(1054),
    [anon_sym_exp] = ACTIONS(1054),
    [anon_sym_each] = ACTIONS(1054),
    [anon_sym_fc] = ACTIONS(1054),
    [anon_sym_fileno] = ACTIONS(1054),
    [anon_sym_gmtime] = ACTIONS(1054),
    [anon_sym_getc] = ACTIONS(1054),
    [anon_sym_getpgrp] = ACTIONS(1054),
    [anon_sym_getprotobyname] = ACTIONS(1054),
    [anon_sym_getpwname] = ACTIONS(1054),
    [anon_sym_getpwuid] = ACTIONS(1054),
    [anon_sym_getpeername] = ACTIONS(1054),
    [anon_sym_getnetbyname] = ACTIONS(1054),
    [anon_sym_getsockname] = ACTIONS(1054),
    [anon_sym_getgrnam] = ACTIONS(1054),
    [anon_sym_getgrgid] = ACTIONS(1054),
    [anon_sym_hex] = ACTIONS(1054),
    [anon_sym_int] = ACTIONS(1054),
    [anon_sym_keys] = ACTIONS(1054),
    [anon_sym_lc] = ACTIONS(1054),
    [anon_sym_lcfirst] = ACTIONS(1054),
    [anon_sym_length] = ACTIONS(1054),
    [anon_sym_localtime] = ACTIONS(1054),
    [anon_sym_log] = ACTIONS(1054),
    [anon_sym_lock] = ACTIONS(1054),
    [anon_sym_lstat] = ACTIONS(1054),
    [anon_sym_oct] = ACTIONS(1054),
    [anon_sym_ord] = ACTIONS(1054),
    [anon_sym_prototype] = ACTIONS(1054),
    [anon_sym_pop] = ACTIONS(1054),
    [anon_sym_pos] = ACTIONS(1054),
    [anon_sym_quotemeta] = ACTIONS(1054),
    [anon_sym_reset] = ACTIONS(1054),
    [anon_sym_rand] = ACTIONS(1054),
    [anon_sym_rmdir] = ACTIONS(1054),
    [anon_sym_readdir] = ACTIONS(1054),
    [anon_sym_readline] = ACTIONS(1054),
    [anon_sym_readpipe] = ACTIONS(1054),
    [anon_sym_rewinddir] = ACTIONS(1054),
    [anon_sym_readlink] = ACTIONS(1054),
    [anon_sym_ref] = ACTIONS(1054),
    [anon_sym_scalar] = ACTIONS(1054),
    [anon_sym_shift] = ACTIONS(1054),
    [anon_sym_sin] = ACTIONS(1054),
    [anon_sym_sleep] = ACTIONS(1054),
    [anon_sym_sqrt] = ACTIONS(1054),
    [anon_sym_srand] = ACTIONS(1054),
    [anon_sym_stat] = ACTIONS(1054),
    [anon_sym_study] = ACTIONS(1054),
    [anon_sym_tell] = ACTIONS(1054),
    [anon_sym_telldir] = ACTIONS(1054),
    [anon_sym_tied] = ACTIONS(1054),
    [anon_sym_uc] = ACTIONS(1054),
    [anon_sym_ucfirst] = ACTIONS(1054),
    [anon_sym_untie] = ACTIONS(1054),
    [anon_sym_umask] = ACTIONS(1054),
    [anon_sym_values] = ACTIONS(1054),
    [anon_sym_write] = ACTIONS(1054),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1056),
    [anon_sym_qq] = ACTIONS(1058),
    [anon_sym_qw] = ACTIONS(1060),
    [anon_sym_qx] = ACTIONS(1062),
    [anon_sym_qr] = ACTIONS(1064),
    [anon_sym_m] = ACTIONS(1066),
    [anon_sym_s] = ACTIONS(1068),
    [anon_sym_tr] = ACTIONS(1070),
    [anon_sym_y] = ACTIONS(1070),
    [aux_sym__bareword_token1] = ACTIONS(1072),
    [sym_number] = ACTIONS(1074),
    [anon_sym_true] = ACTIONS(1076),
    [anon_sym_false] = ACTIONS(1076),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(1078),
    [sym__open_fileglob_bracket] = ACTIONS(1080),
    [sym__PERLY_HEREDOC] = ACTIONS(1082),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1084),
    [sym__filetest] = ACTIONS(1086),
  },
  [567] = {
    [sym__PERLY_BRACE_OPEN] = STATE(238),
    [sym__subscripted] = STATE(1915),
    [sym_container_variable] = STATE(3851),
    [sym_array_element_expression] = STATE(1916),
    [sym_hash_element_expression] = STATE(1916),
    [sym_coderef_call_expression] = STATE(1916),
    [sym_anonymous_slice_expression] = STATE(1916),
    [sym_slice_container_variable] = STATE(3852),
    [sym_slice_expression] = STATE(2342),
    [sym_keyval_container_variable] = STATE(3853),
    [sym_keyval_expression] = STATE(2342),
    [sym__term] = STATE(2365),
    [sym_readline_expression] = STATE(2342),
    [sym_fileglob_expression] = STATE(2342),
    [sym_assignment_expression] = STATE(2342),
    [sym_binary_expression] = STATE(2342),
    [sym_equality_expression] = STATE(2342),
    [sym_relational_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2342),
    [sym_preinc_expression] = STATE(2342),
    [sym_postinc_expression] = STATE(2342),
    [sym_conditional_expression] = STATE(2342),
    [sym_refgen_expression] = STATE(2342),
    [sym_anonymous_array_expression] = STATE(2342),
    [sym_anonymous_hash_expression] = STATE(2342),
    [sym_anonymous_subroutine_expression] = STATE(2342),
    [sym_anonymous_method_expression] = STATE(2342),
    [sym_do_expression] = STATE(2342),
    [sym_eval_expression] = STATE(2342),
    [sym_await_expression] = STATE(2342),
    [sym_variable_declaration] = STATE(2342),
    [sym_localization_expression] = STATE(2342),
    [sym_stub_expression] = STATE(2342),
    [sym_scalar_deref_expression] = STATE(2342),
    [sym_array_deref_expression] = STATE(2342),
    [sym_arraylen_deref_expression] = STATE(2342),
    [sym_hash_deref_expression] = STATE(2342),
    [sym_amper_deref_expression] = STATE(2342),
    [sym_glob_deref_expression] = STATE(2342),
    [sym_require_expression] = STATE(2342),
    [sym_require_version_expression] = STATE(2342),
    [sym_func0op_call_expression] = STATE(2342),
    [sym_func1op_call_expression] = STATE(2342),
    [sym_map_grep_expression] = STATE(2342),
    [sym_sort_expression] = STATE(2342),
    [sym_loopex_expression] = STATE(2342),
    [sym_goto_expression] = STATE(2342),
    [sym_return_expression] = STATE(2342),
    [sym_undef_expression] = STATE(2342),
    [sym__listop] = STATE(2342),
    [sym_function_call_expression] = STATE(2343),
    [sym_ambiguous_function_call_expression] = STATE(2343),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(2343),
    [sym_scalar] = STATE(2342),
    [sym_array] = STATE(2342),
    [sym__SUB_AMPER] = STATE(2739),
    [sym__GLOB_STAR] = STATE(2741),
    [sym_hash] = STATE(2342),
    [sym_arraylen] = STATE(2342),
    [sym_amper_sub] = STATE(2181),
    [sym_glob] = STATE(2183),
    [sym_glob_slot_expression] = STATE(2342),
    [sym__literal] = STATE(2342),
    [sym__apostrophe] = STATE(3277),
    [sym__quotation_mark] = STATE(2481),
    [sym__backtick] = STATE(2482),
    [sym__search_slash] = STATE(2447),
    [sym_string_literal] = STATE(2353),
    [sym_interpolated_string_literal] = STATE(2353),
    [sym_quoted_word_list] = STATE(2193),
    [sym_command_string] = STATE(2353),
    [sym_quoted_regexp] = STATE(2353),
    [sym_match_regexp] = STATE(2353),
    [sym_substitution_regexp] = STATE(2353),
    [sym_transliteration_expression] = STATE(2353),
    [sym_heredoc_token] = STATE(2342),
    [sym_command_heredoc_token] = STATE(2342),
    [sym_heredoc_content] = STATE(567),
    [sym_autoquoted_bareword] = STATE(2342),
    [sym_bareword] = STATE(2342),
    [sym_primitive] = STATE(2342),
    [sym_boolean] = STATE(2323),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3366),
    [sym__identifier] = ACTIONS(1072),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1008),
    [anon_sym_AT] = ACTIONS(1010),
    [anon_sym_my] = ACTIONS(1012),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(1014),
    [anon_sym_method] = ACTIONS(1016),
    [anon_sym_LPAREN] = ACTIONS(1018),
    [anon_sym_continue] = ACTIONS(1020),
    [anon_sym_state] = ACTIONS(1012),
    [anon_sym_our] = ACTIONS(1012),
    [anon_sym_LBRACK] = ACTIONS(1022),
    [anon_sym_LT_LT] = ACTIONS(1523),
    [anon_sym_SLASH_SLASH] = ACTIONS(1525),
    [anon_sym_PLUS] = ACTIONS(1024),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_TILDE] = ACTIONS(1024),
    [anon_sym_BANG] = ACTIONS(1024),
    [anon_sym_PLUS_PLUS] = ACTIONS(1529),
    [anon_sym_DASH_DASH] = ACTIONS(1529),
    [anon_sym_BSLASH] = ACTIONS(1026),
    [anon_sym_do] = ACTIONS(1028),
    [anon_sym_eval] = ACTIONS(1030),
    [anon_sym_await] = ACTIONS(1032),
    [anon_sym_field] = ACTIONS(1012),
    [anon_sym_local] = ACTIONS(1034),
    [anon_sym_dynamically] = ACTIONS(1034),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1036),
    [anon_sym_require] = ACTIONS(1038),
    [anon_sym_map] = ACTIONS(1040),
    [anon_sym_grep] = ACTIONS(1040),
    [anon_sym_sort] = ACTIONS(1042),
    [anon_sym_goto] = ACTIONS(1044),
    [anon_sym_return] = ACTIONS(1046),
    [anon_sym_undef] = ACTIONS(1048),
    [anon_sym_PERCENT2] = ACTIONS(1050),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1052),
    [anon_sym_next] = ACTIONS(1052),
    [anon_sym_redo] = ACTIONS(1052),
    [anon_sym___FILE__] = ACTIONS(1020),
    [anon_sym___LINE__] = ACTIONS(1020),
    [anon_sym___PACKAGE__] = ACTIONS(1020),
    [anon_sym___SUB__] = ACTIONS(1020),
    [anon_sym_break] = ACTIONS(1020),
    [anon_sym_fork] = ACTIONS(1020),
    [anon_sym_getppid] = ACTIONS(1020),
    [anon_sym_time] = ACTIONS(1020),
    [anon_sym_times] = ACTIONS(1020),
    [anon_sym_wait] = ACTIONS(1020),
    [anon_sym_wantarray] = ACTIONS(1020),
    [anon_sym_abs] = ACTIONS(1054),
    [anon_sym_alarm] = ACTIONS(1054),
    [anon_sym_chop] = ACTIONS(1054),
    [anon_sym_chdir] = ACTIONS(1054),
    [anon_sym_close] = ACTIONS(1054),
    [anon_sym_closedir] = ACTIONS(1054),
    [anon_sym_caller] = ACTIONS(1054),
    [anon_sym_chomp] = ACTIONS(1054),
    [anon_sym_chr] = ACTIONS(1054),
    [anon_sym_cos] = ACTIONS(1054),
    [anon_sym_chroot] = ACTIONS(1054),
    [anon_sym_defined] = ACTIONS(1054),
    [anon_sym_delete] = ACTIONS(1054),
    [anon_sym_dbmclose] = ACTIONS(1054),
    [anon_sym_exists] = ACTIONS(1054),
    [anon_sym_exit] = ACTIONS(1054),
    [anon_sym_eof] = ACTIONS(1054),
    [anon_sym_exp] = ACTIONS(1054),
    [anon_sym_each] = ACTIONS(1054),
    [anon_sym_fc] = ACTIONS(1054),
    [anon_sym_fileno] = ACTIONS(1054),
    [anon_sym_gmtime] = ACTIONS(1054),
    [anon_sym_getc] = ACTIONS(1054),
    [anon_sym_getpgrp] = ACTIONS(1054),
    [anon_sym_getprotobyname] = ACTIONS(1054),
    [anon_sym_getpwname] = ACTIONS(1054),
    [anon_sym_getpwuid] = ACTIONS(1054),
    [anon_sym_getpeername] = ACTIONS(1054),
    [anon_sym_getnetbyname] = ACTIONS(1054),
    [anon_sym_getsockname] = ACTIONS(1054),
    [anon_sym_getgrnam] = ACTIONS(1054),
    [anon_sym_getgrgid] = ACTIONS(1054),
    [anon_sym_hex] = ACTIONS(1054),
    [anon_sym_int] = ACTIONS(1054),
    [anon_sym_keys] = ACTIONS(1054),
    [anon_sym_lc] = ACTIONS(1054),
    [anon_sym_lcfirst] = ACTIONS(1054),
    [anon_sym_length] = ACTIONS(1054),
    [anon_sym_localtime] = ACTIONS(1054),
    [anon_sym_log] = ACTIONS(1054),
    [anon_sym_lock] = ACTIONS(1054),
    [anon_sym_lstat] = ACTIONS(1054),
    [anon_sym_oct] = ACTIONS(1054),
    [anon_sym_ord] = ACTIONS(1054),
    [anon_sym_prototype] = ACTIONS(1054),
    [anon_sym_pop] = ACTIONS(1054),
    [anon_sym_pos] = ACTIONS(1054),
    [anon_sym_quotemeta] = ACTIONS(1054),
    [anon_sym_reset] = ACTIONS(1054),
    [anon_sym_rand] = ACTIONS(1054),
    [anon_sym_rmdir] = ACTIONS(1054),
    [anon_sym_readdir] = ACTIONS(1054),
    [anon_sym_readline] = ACTIONS(1054),
    [anon_sym_readpipe] = ACTIONS(1054),
    [anon_sym_rewinddir] = ACTIONS(1054),
    [anon_sym_readlink] = ACTIONS(1054),
    [anon_sym_ref] = ACTIONS(1054),
    [anon_sym_scalar] = ACTIONS(1054),
    [anon_sym_shift] = ACTIONS(1054),
    [anon_sym_sin] = ACTIONS(1054),
    [anon_sym_sleep] = ACTIONS(1054),
    [anon_sym_sqrt] = ACTIONS(1054),
    [anon_sym_srand] = ACTIONS(1054),
    [anon_sym_stat] = ACTIONS(1054),
    [anon_sym_study] = ACTIONS(1054),
    [anon_sym_tell] = ACTIONS(1054),
    [anon_sym_telldir] = ACTIONS(1054),
    [anon_sym_tied] = ACTIONS(1054),
    [anon_sym_uc] = ACTIONS(1054),
    [anon_sym_ucfirst] = ACTIONS(1054),
    [anon_sym_untie] = ACTIONS(1054),
    [anon_sym_umask] = ACTIONS(1054),
    [anon_sym_values] = ACTIONS(1054),
    [anon_sym_write] = ACTIONS(1054),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1056),
    [anon_sym_qq] = ACTIONS(1058),
    [anon_sym_qw] = ACTIONS(1060),
    [anon_sym_qx] = ACTIONS(1062),
    [anon_sym_qr] = ACTIONS(1064),
    [anon_sym_m] = ACTIONS(1066),
    [anon_sym_s] = ACTIONS(1068),
    [anon_sym_tr] = ACTIONS(1070),
    [anon_sym_y] = ACTIONS(1070),
    [aux_sym__bareword_token1] = ACTIONS(1072),
    [sym_number] = ACTIONS(1074),
    [anon_sym_true] = ACTIONS(1076),
    [anon_sym_false] = ACTIONS(1076),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(1078),
    [sym__open_fileglob_bracket] = ACTIONS(1080),
    [sym__PERLY_HEREDOC] = ACTIONS(1082),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1084),
    [sym__filetest] = ACTIONS(1086),
  },
  [568] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2377),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(394),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(568),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1695),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1697),
    [anon_sym_DASH_DASH] = ACTIONS(1697),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(1222),
  },
  [569] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2377),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(394),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(569),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(1802),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1695),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1697),
    [anon_sym_DASH_DASH] = ACTIONS(1697),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(1802),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1804),
    [sym__filetest] = ACTIONS(1222),
  },
  [570] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2173),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(394),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(570),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1695),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1697),
    [anon_sym_DASH_DASH] = ACTIONS(1697),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(1222),
  },
  [571] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2386),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(394),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(2030),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(571),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1695),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1697),
    [anon_sym_DASH_DASH] = ACTIONS(1697),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(1222),
  },
  [572] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2389),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(394),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(572),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1695),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1697),
    [anon_sym_DASH_DASH] = ACTIONS(1697),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(1222),
  },
  [573] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2390),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(394),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(573),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1695),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1697),
    [anon_sym_DASH_DASH] = ACTIONS(1697),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(1222),
  },
  [574] = {
    [sym__PERLY_BRACE_OPEN] = STATE(237),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1340),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(574),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [575] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2395),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(394),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(575),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1695),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1697),
    [anon_sym_DASH_DASH] = ACTIONS(1697),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(1222),
  },
  [576] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2397),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(394),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(576),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1695),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1697),
    [anon_sym_DASH_DASH] = ACTIONS(1697),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(1222),
  },
  [577] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2398),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(394),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(577),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1695),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1697),
    [anon_sym_DASH_DASH] = ACTIONS(1697),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(1222),
  },
  [578] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2399),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(394),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(578),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1695),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1697),
    [anon_sym_DASH_DASH] = ACTIONS(1697),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(1222),
  },
  [579] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2400),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(394),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(579),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1695),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1697),
    [anon_sym_DASH_DASH] = ACTIONS(1697),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(1222),
  },
  [580] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2401),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(394),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(580),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1695),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1697),
    [anon_sym_DASH_DASH] = ACTIONS(1697),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(1222),
  },
  [581] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2402),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(394),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(581),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1695),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1697),
    [anon_sym_DASH_DASH] = ACTIONS(1697),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(1222),
  },
  [582] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2403),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(394),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(582),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1695),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1697),
    [anon_sym_DASH_DASH] = ACTIONS(1697),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(1222),
  },
  [583] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2404),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(394),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(583),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1695),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1697),
    [anon_sym_DASH_DASH] = ACTIONS(1697),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(1222),
  },
  [584] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2405),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(394),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(584),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1695),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1697),
    [anon_sym_DASH_DASH] = ACTIONS(1697),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(1222),
  },
  [585] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2406),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(394),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(585),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1695),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1697),
    [anon_sym_DASH_DASH] = ACTIONS(1697),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(1222),
  },
  [586] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2378),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(394),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(586),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1695),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1697),
    [anon_sym_DASH_DASH] = ACTIONS(1697),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(1222),
  },
  [587] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2379),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(394),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(587),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1695),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1697),
    [anon_sym_DASH_DASH] = ACTIONS(1697),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(1222),
  },
  [588] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2380),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(394),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(588),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1695),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1697),
    [anon_sym_DASH_DASH] = ACTIONS(1697),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(1222),
  },
  [589] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2381),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(394),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(589),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1695),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1697),
    [anon_sym_DASH_DASH] = ACTIONS(1697),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(1222),
  },
  [590] = {
    [sym__PERLY_BRACE_OPEN] = STATE(235),
    [sym__subscripted] = STATE(1532),
    [sym_container_variable] = STATE(3855),
    [sym_array_element_expression] = STATE(1533),
    [sym_hash_element_expression] = STATE(1533),
    [sym_coderef_call_expression] = STATE(1533),
    [sym_anonymous_slice_expression] = STATE(1533),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(1967),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(1967),
    [sym__term] = STATE(1982),
    [sym_readline_expression] = STATE(1967),
    [sym_fileglob_expression] = STATE(1967),
    [sym_assignment_expression] = STATE(1967),
    [sym_binary_expression] = STATE(1967),
    [sym_equality_expression] = STATE(1967),
    [sym_relational_expression] = STATE(1967),
    [sym_unary_expression] = STATE(1967),
    [sym_preinc_expression] = STATE(1967),
    [sym_postinc_expression] = STATE(1967),
    [sym_conditional_expression] = STATE(1967),
    [sym_refgen_expression] = STATE(1967),
    [sym_anonymous_array_expression] = STATE(1967),
    [sym_anonymous_hash_expression] = STATE(1967),
    [sym_anonymous_subroutine_expression] = STATE(1967),
    [sym_anonymous_method_expression] = STATE(1967),
    [sym_do_expression] = STATE(1967),
    [sym_eval_expression] = STATE(1967),
    [sym_await_expression] = STATE(1967),
    [sym_variable_declaration] = STATE(1967),
    [sym_localization_expression] = STATE(1967),
    [sym_stub_expression] = STATE(1967),
    [sym_scalar_deref_expression] = STATE(1967),
    [sym_array_deref_expression] = STATE(1967),
    [sym_arraylen_deref_expression] = STATE(1967),
    [sym_hash_deref_expression] = STATE(1967),
    [sym_amper_deref_expression] = STATE(1967),
    [sym_glob_deref_expression] = STATE(1967),
    [sym_require_expression] = STATE(1967),
    [sym_require_version_expression] = STATE(1967),
    [sym_func0op_call_expression] = STATE(1967),
    [sym_func1op_call_expression] = STATE(1967),
    [sym_map_grep_expression] = STATE(1967),
    [sym_sort_expression] = STATE(1967),
    [sym_loopex_expression] = STATE(1967),
    [sym_goto_expression] = STATE(1967),
    [sym_return_expression] = STATE(1967),
    [sym_undef_expression] = STATE(1967),
    [sym__listop] = STATE(1967),
    [sym_function_call_expression] = STATE(1968),
    [sym_ambiguous_function_call_expression] = STATE(1968),
    [sym_function] = STATE(389),
    [sym_method_call_expression] = STATE(1968),
    [sym_scalar] = STATE(1967),
    [sym_array] = STATE(1967),
    [sym__SUB_AMPER] = STATE(2686),
    [sym__GLOB_STAR] = STATE(2687),
    [sym_hash] = STATE(1967),
    [sym_arraylen] = STATE(1967),
    [sym_amper_sub] = STATE(1785),
    [sym_glob] = STATE(1786),
    [sym_glob_slot_expression] = STATE(1967),
    [sym__literal] = STATE(1967),
    [sym__apostrophe] = STATE(3328),
    [sym__quotation_mark] = STATE(2501),
    [sym__backtick] = STATE(2502),
    [sym__search_slash] = STATE(2454),
    [sym_string_literal] = STATE(1969),
    [sym_interpolated_string_literal] = STATE(1969),
    [sym_quoted_word_list] = STATE(1787),
    [sym_command_string] = STATE(1969),
    [sym_quoted_regexp] = STATE(1969),
    [sym_match_regexp] = STATE(1969),
    [sym_substitution_regexp] = STATE(1969),
    [sym_transliteration_expression] = STATE(1969),
    [sym_heredoc_token] = STATE(1967),
    [sym_command_heredoc_token] = STATE(1967),
    [sym_heredoc_content] = STATE(590),
    [sym_autoquoted_bareword] = STATE(1967),
    [sym_bareword] = STATE(1967),
    [sym_primitive] = STATE(1967),
    [sym_boolean] = STATE(1965),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3342),
    [sym__identifier] = ACTIONS(575),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1752),
    [anon_sym_AT] = ACTIONS(1671),
    [anon_sym_my] = ACTIONS(517),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(519),
    [anon_sym_method] = ACTIONS(521),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_continue] = ACTIONS(525),
    [anon_sym_state] = ACTIONS(517),
    [anon_sym_our] = ACTIONS(517),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_LT_LT] = ACTIONS(1673),
    [anon_sym_SLASH_SLASH] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(1677),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_PLUS_PLUS] = ACTIONS(1679),
    [anon_sym_DASH_DASH] = ACTIONS(1679),
    [anon_sym_BSLASH] = ACTIONS(531),
    [anon_sym_do] = ACTIONS(533),
    [anon_sym_eval] = ACTIONS(535),
    [anon_sym_await] = ACTIONS(537),
    [anon_sym_field] = ACTIONS(517),
    [anon_sym_local] = ACTIONS(539),
    [anon_sym_dynamically] = ACTIONS(539),
    [anon_sym_DOLLAR_POUND] = ACTIONS(541),
    [anon_sym_require] = ACTIONS(543),
    [anon_sym_map] = ACTIONS(545),
    [anon_sym_grep] = ACTIONS(545),
    [anon_sym_sort] = ACTIONS(547),
    [anon_sym_goto] = ACTIONS(549),
    [anon_sym_return] = ACTIONS(551),
    [anon_sym_undef] = ACTIONS(553),
    [anon_sym_PERCENT2] = ACTIONS(1681),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(555),
    [anon_sym_next] = ACTIONS(555),
    [anon_sym_redo] = ACTIONS(555),
    [anon_sym___FILE__] = ACTIONS(525),
    [anon_sym___LINE__] = ACTIONS(525),
    [anon_sym___PACKAGE__] = ACTIONS(525),
    [anon_sym___SUB__] = ACTIONS(525),
    [anon_sym_break] = ACTIONS(525),
    [anon_sym_fork] = ACTIONS(525),
    [anon_sym_getppid] = ACTIONS(525),
    [anon_sym_time] = ACTIONS(525),
    [anon_sym_times] = ACTIONS(525),
    [anon_sym_wait] = ACTIONS(525),
    [anon_sym_wantarray] = ACTIONS(525),
    [anon_sym_abs] = ACTIONS(557),
    [anon_sym_alarm] = ACTIONS(557),
    [anon_sym_chop] = ACTIONS(557),
    [anon_sym_chdir] = ACTIONS(557),
    [anon_sym_close] = ACTIONS(557),
    [anon_sym_closedir] = ACTIONS(557),
    [anon_sym_caller] = ACTIONS(557),
    [anon_sym_chomp] = ACTIONS(557),
    [anon_sym_chr] = ACTIONS(557),
    [anon_sym_cos] = ACTIONS(557),
    [anon_sym_chroot] = ACTIONS(557),
    [anon_sym_defined] = ACTIONS(557),
    [anon_sym_delete] = ACTIONS(557),
    [anon_sym_dbmclose] = ACTIONS(557),
    [anon_sym_exists] = ACTIONS(557),
    [anon_sym_exit] = ACTIONS(557),
    [anon_sym_eof] = ACTIONS(557),
    [anon_sym_exp] = ACTIONS(557),
    [anon_sym_each] = ACTIONS(557),
    [anon_sym_fc] = ACTIONS(557),
    [anon_sym_fileno] = ACTIONS(557),
    [anon_sym_gmtime] = ACTIONS(557),
    [anon_sym_getc] = ACTIONS(557),
    [anon_sym_getpgrp] = ACTIONS(557),
    [anon_sym_getprotobyname] = ACTIONS(557),
    [anon_sym_getpwname] = ACTIONS(557),
    [anon_sym_getpwuid] = ACTIONS(557),
    [anon_sym_getpeername] = ACTIONS(557),
    [anon_sym_getnetbyname] = ACTIONS(557),
    [anon_sym_getsockname] = ACTIONS(557),
    [anon_sym_getgrnam] = ACTIONS(557),
    [anon_sym_getgrgid] = ACTIONS(557),
    [anon_sym_hex] = ACTIONS(557),
    [anon_sym_int] = ACTIONS(557),
    [anon_sym_keys] = ACTIONS(557),
    [anon_sym_lc] = ACTIONS(557),
    [anon_sym_lcfirst] = ACTIONS(557),
    [anon_sym_length] = ACTIONS(557),
    [anon_sym_localtime] = ACTIONS(557),
    [anon_sym_log] = ACTIONS(557),
    [anon_sym_lock] = ACTIONS(557),
    [anon_sym_lstat] = ACTIONS(557),
    [anon_sym_oct] = ACTIONS(557),
    [anon_sym_ord] = ACTIONS(557),
    [anon_sym_prototype] = ACTIONS(557),
    [anon_sym_pop] = ACTIONS(557),
    [anon_sym_pos] = ACTIONS(557),
    [anon_sym_quotemeta] = ACTIONS(557),
    [anon_sym_reset] = ACTIONS(557),
    [anon_sym_rand] = ACTIONS(557),
    [anon_sym_rmdir] = ACTIONS(557),
    [anon_sym_readdir] = ACTIONS(557),
    [anon_sym_readline] = ACTIONS(557),
    [anon_sym_readpipe] = ACTIONS(557),
    [anon_sym_rewinddir] = ACTIONS(557),
    [anon_sym_readlink] = ACTIONS(557),
    [anon_sym_ref] = ACTIONS(557),
    [anon_sym_scalar] = ACTIONS(557),
    [anon_sym_shift] = ACTIONS(557),
    [anon_sym_sin] = ACTIONS(557),
    [anon_sym_sleep] = ACTIONS(557),
    [anon_sym_sqrt] = ACTIONS(557),
    [anon_sym_srand] = ACTIONS(557),
    [anon_sym_stat] = ACTIONS(557),
    [anon_sym_study] = ACTIONS(557),
    [anon_sym_tell] = ACTIONS(557),
    [anon_sym_telldir] = ACTIONS(557),
    [anon_sym_tied] = ACTIONS(557),
    [anon_sym_uc] = ACTIONS(557),
    [anon_sym_ucfirst] = ACTIONS(557),
    [anon_sym_untie] = ACTIONS(557),
    [anon_sym_umask] = ACTIONS(557),
    [anon_sym_values] = ACTIONS(557),
    [anon_sym_write] = ACTIONS(557),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(559),
    [anon_sym_qq] = ACTIONS(561),
    [anon_sym_qw] = ACTIONS(563),
    [anon_sym_qx] = ACTIONS(565),
    [anon_sym_qr] = ACTIONS(567),
    [anon_sym_m] = ACTIONS(569),
    [anon_sym_s] = ACTIONS(571),
    [anon_sym_tr] = ACTIONS(573),
    [anon_sym_y] = ACTIONS(573),
    [aux_sym__bareword_token1] = ACTIONS(575),
    [sym_number] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(581),
    [sym__open_fileglob_bracket] = ACTIONS(583),
    [sym__PERLY_HEREDOC] = ACTIONS(585),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(587),
    [sym__filetest] = ACTIONS(589),
  },
  [591] = {
    [sym__PERLY_BRACE_OPEN] = STATE(235),
    [sym__subscripted] = STATE(1532),
    [sym_container_variable] = STATE(3855),
    [sym_array_element_expression] = STATE(1533),
    [sym_hash_element_expression] = STATE(1533),
    [sym_coderef_call_expression] = STATE(1533),
    [sym_anonymous_slice_expression] = STATE(1533),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(1967),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(1967),
    [sym__term] = STATE(1983),
    [sym_readline_expression] = STATE(1967),
    [sym_fileglob_expression] = STATE(1967),
    [sym_assignment_expression] = STATE(1967),
    [sym_binary_expression] = STATE(1967),
    [sym_equality_expression] = STATE(1967),
    [sym_relational_expression] = STATE(1967),
    [sym_unary_expression] = STATE(1967),
    [sym_preinc_expression] = STATE(1967),
    [sym_postinc_expression] = STATE(1967),
    [sym_conditional_expression] = STATE(1967),
    [sym_refgen_expression] = STATE(1967),
    [sym_anonymous_array_expression] = STATE(1967),
    [sym_anonymous_hash_expression] = STATE(1967),
    [sym_anonymous_subroutine_expression] = STATE(1967),
    [sym_anonymous_method_expression] = STATE(1967),
    [sym_do_expression] = STATE(1967),
    [sym_eval_expression] = STATE(1967),
    [sym_await_expression] = STATE(1967),
    [sym_variable_declaration] = STATE(1967),
    [sym_localization_expression] = STATE(1967),
    [sym_stub_expression] = STATE(1967),
    [sym_scalar_deref_expression] = STATE(1967),
    [sym_array_deref_expression] = STATE(1967),
    [sym_arraylen_deref_expression] = STATE(1967),
    [sym_hash_deref_expression] = STATE(1967),
    [sym_amper_deref_expression] = STATE(1967),
    [sym_glob_deref_expression] = STATE(1967),
    [sym_require_expression] = STATE(1967),
    [sym_require_version_expression] = STATE(1967),
    [sym_func0op_call_expression] = STATE(1967),
    [sym_func1op_call_expression] = STATE(1967),
    [sym_map_grep_expression] = STATE(1967),
    [sym_sort_expression] = STATE(1967),
    [sym_loopex_expression] = STATE(1967),
    [sym_goto_expression] = STATE(1967),
    [sym_return_expression] = STATE(1967),
    [sym_undef_expression] = STATE(1967),
    [sym__listop] = STATE(1967),
    [sym_function_call_expression] = STATE(1968),
    [sym_ambiguous_function_call_expression] = STATE(1968),
    [sym_function] = STATE(389),
    [sym_method_call_expression] = STATE(1968),
    [sym_scalar] = STATE(1967),
    [sym_array] = STATE(1967),
    [sym__SUB_AMPER] = STATE(2686),
    [sym__GLOB_STAR] = STATE(2687),
    [sym_hash] = STATE(1967),
    [sym_arraylen] = STATE(1967),
    [sym_amper_sub] = STATE(1798),
    [sym_glob] = STATE(1786),
    [sym_glob_slot_expression] = STATE(1967),
    [sym__literal] = STATE(1967),
    [sym__apostrophe] = STATE(3328),
    [sym__quotation_mark] = STATE(2501),
    [sym__backtick] = STATE(2502),
    [sym__search_slash] = STATE(2454),
    [sym_string_literal] = STATE(1969),
    [sym_interpolated_string_literal] = STATE(1969),
    [sym_quoted_word_list] = STATE(1787),
    [sym_command_string] = STATE(1969),
    [sym_quoted_regexp] = STATE(1969),
    [sym_match_regexp] = STATE(1969),
    [sym_substitution_regexp] = STATE(1969),
    [sym_transliteration_expression] = STATE(1969),
    [sym_heredoc_token] = STATE(1967),
    [sym_command_heredoc_token] = STATE(1967),
    [sym_heredoc_content] = STATE(591),
    [sym_autoquoted_bareword] = STATE(1967),
    [sym_bareword] = STATE(1967),
    [sym_primitive] = STATE(1967),
    [sym_boolean] = STATE(1965),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3342),
    [sym__identifier] = ACTIONS(575),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1752),
    [anon_sym_AT] = ACTIONS(1671),
    [anon_sym_my] = ACTIONS(517),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(519),
    [anon_sym_method] = ACTIONS(521),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_continue] = ACTIONS(525),
    [anon_sym_state] = ACTIONS(517),
    [anon_sym_our] = ACTIONS(517),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_LT_LT] = ACTIONS(1673),
    [anon_sym_SLASH_SLASH] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(1677),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_PLUS_PLUS] = ACTIONS(1679),
    [anon_sym_DASH_DASH] = ACTIONS(1679),
    [anon_sym_BSLASH] = ACTIONS(531),
    [anon_sym_do] = ACTIONS(533),
    [anon_sym_eval] = ACTIONS(535),
    [anon_sym_await] = ACTIONS(537),
    [anon_sym_field] = ACTIONS(517),
    [anon_sym_local] = ACTIONS(539),
    [anon_sym_dynamically] = ACTIONS(539),
    [anon_sym_DOLLAR_POUND] = ACTIONS(541),
    [anon_sym_require] = ACTIONS(543),
    [anon_sym_map] = ACTIONS(545),
    [anon_sym_grep] = ACTIONS(545),
    [anon_sym_sort] = ACTIONS(547),
    [anon_sym_goto] = ACTIONS(549),
    [anon_sym_return] = ACTIONS(551),
    [anon_sym_undef] = ACTIONS(553),
    [anon_sym_PERCENT2] = ACTIONS(1681),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(555),
    [anon_sym_next] = ACTIONS(555),
    [anon_sym_redo] = ACTIONS(555),
    [anon_sym___FILE__] = ACTIONS(525),
    [anon_sym___LINE__] = ACTIONS(525),
    [anon_sym___PACKAGE__] = ACTIONS(525),
    [anon_sym___SUB__] = ACTIONS(525),
    [anon_sym_break] = ACTIONS(525),
    [anon_sym_fork] = ACTIONS(525),
    [anon_sym_getppid] = ACTIONS(525),
    [anon_sym_time] = ACTIONS(525),
    [anon_sym_times] = ACTIONS(525),
    [anon_sym_wait] = ACTIONS(525),
    [anon_sym_wantarray] = ACTIONS(525),
    [anon_sym_abs] = ACTIONS(557),
    [anon_sym_alarm] = ACTIONS(557),
    [anon_sym_chop] = ACTIONS(557),
    [anon_sym_chdir] = ACTIONS(557),
    [anon_sym_close] = ACTIONS(557),
    [anon_sym_closedir] = ACTIONS(557),
    [anon_sym_caller] = ACTIONS(557),
    [anon_sym_chomp] = ACTIONS(557),
    [anon_sym_chr] = ACTIONS(557),
    [anon_sym_cos] = ACTIONS(557),
    [anon_sym_chroot] = ACTIONS(557),
    [anon_sym_defined] = ACTIONS(557),
    [anon_sym_delete] = ACTIONS(557),
    [anon_sym_dbmclose] = ACTIONS(557),
    [anon_sym_exists] = ACTIONS(557),
    [anon_sym_exit] = ACTIONS(557),
    [anon_sym_eof] = ACTIONS(557),
    [anon_sym_exp] = ACTIONS(557),
    [anon_sym_each] = ACTIONS(557),
    [anon_sym_fc] = ACTIONS(557),
    [anon_sym_fileno] = ACTIONS(557),
    [anon_sym_gmtime] = ACTIONS(557),
    [anon_sym_getc] = ACTIONS(557),
    [anon_sym_getpgrp] = ACTIONS(557),
    [anon_sym_getprotobyname] = ACTIONS(557),
    [anon_sym_getpwname] = ACTIONS(557),
    [anon_sym_getpwuid] = ACTIONS(557),
    [anon_sym_getpeername] = ACTIONS(557),
    [anon_sym_getnetbyname] = ACTIONS(557),
    [anon_sym_getsockname] = ACTIONS(557),
    [anon_sym_getgrnam] = ACTIONS(557),
    [anon_sym_getgrgid] = ACTIONS(557),
    [anon_sym_hex] = ACTIONS(557),
    [anon_sym_int] = ACTIONS(557),
    [anon_sym_keys] = ACTIONS(557),
    [anon_sym_lc] = ACTIONS(557),
    [anon_sym_lcfirst] = ACTIONS(557),
    [anon_sym_length] = ACTIONS(557),
    [anon_sym_localtime] = ACTIONS(557),
    [anon_sym_log] = ACTIONS(557),
    [anon_sym_lock] = ACTIONS(557),
    [anon_sym_lstat] = ACTIONS(557),
    [anon_sym_oct] = ACTIONS(557),
    [anon_sym_ord] = ACTIONS(557),
    [anon_sym_prototype] = ACTIONS(557),
    [anon_sym_pop] = ACTIONS(557),
    [anon_sym_pos] = ACTIONS(557),
    [anon_sym_quotemeta] = ACTIONS(557),
    [anon_sym_reset] = ACTIONS(557),
    [anon_sym_rand] = ACTIONS(557),
    [anon_sym_rmdir] = ACTIONS(557),
    [anon_sym_readdir] = ACTIONS(557),
    [anon_sym_readline] = ACTIONS(557),
    [anon_sym_readpipe] = ACTIONS(557),
    [anon_sym_rewinddir] = ACTIONS(557),
    [anon_sym_readlink] = ACTIONS(557),
    [anon_sym_ref] = ACTIONS(557),
    [anon_sym_scalar] = ACTIONS(557),
    [anon_sym_shift] = ACTIONS(557),
    [anon_sym_sin] = ACTIONS(557),
    [anon_sym_sleep] = ACTIONS(557),
    [anon_sym_sqrt] = ACTIONS(557),
    [anon_sym_srand] = ACTIONS(557),
    [anon_sym_stat] = ACTIONS(557),
    [anon_sym_study] = ACTIONS(557),
    [anon_sym_tell] = ACTIONS(557),
    [anon_sym_telldir] = ACTIONS(557),
    [anon_sym_tied] = ACTIONS(557),
    [anon_sym_uc] = ACTIONS(557),
    [anon_sym_ucfirst] = ACTIONS(557),
    [anon_sym_untie] = ACTIONS(557),
    [anon_sym_umask] = ACTIONS(557),
    [anon_sym_values] = ACTIONS(557),
    [anon_sym_write] = ACTIONS(557),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(559),
    [anon_sym_qq] = ACTIONS(561),
    [anon_sym_qw] = ACTIONS(563),
    [anon_sym_qx] = ACTIONS(565),
    [anon_sym_qr] = ACTIONS(567),
    [anon_sym_m] = ACTIONS(569),
    [anon_sym_s] = ACTIONS(571),
    [anon_sym_tr] = ACTIONS(573),
    [anon_sym_y] = ACTIONS(573),
    [aux_sym__bareword_token1] = ACTIONS(575),
    [sym_number] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(581),
    [sym__open_fileglob_bracket] = ACTIONS(583),
    [sym__PERLY_HEREDOC] = ACTIONS(585),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(587),
    [sym__filetest] = ACTIONS(589),
  },
  [592] = {
    [sym__PERLY_BRACE_OPEN] = STATE(237),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1455),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(592),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(243),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(243),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(245),
  },
  [593] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2382),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(394),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(593),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1695),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1697),
    [anon_sym_DASH_DASH] = ACTIONS(1697),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(1222),
  },
  [594] = {
    [sym__PERLY_BRACE_OPEN] = STATE(237),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1418),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(594),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [595] = {
    [sym__PERLY_BRACE_OPEN] = STATE(237),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1456),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(595),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(243),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(243),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(245),
  },
  [596] = {
    [sym__PERLY_BRACE_OPEN] = STATE(235),
    [sym__subscripted] = STATE(1532),
    [sym_container_variable] = STATE(3855),
    [sym_array_element_expression] = STATE(1533),
    [sym_hash_element_expression] = STATE(1533),
    [sym_coderef_call_expression] = STATE(1533),
    [sym_anonymous_slice_expression] = STATE(1533),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(1967),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(1967),
    [sym__term] = STATE(1806),
    [sym_readline_expression] = STATE(1967),
    [sym_fileglob_expression] = STATE(1967),
    [sym_assignment_expression] = STATE(1967),
    [sym_binary_expression] = STATE(1967),
    [sym_equality_expression] = STATE(1967),
    [sym_relational_expression] = STATE(1967),
    [sym_unary_expression] = STATE(1967),
    [sym_preinc_expression] = STATE(1967),
    [sym_postinc_expression] = STATE(1967),
    [sym_conditional_expression] = STATE(1967),
    [sym_refgen_expression] = STATE(1967),
    [sym_anonymous_array_expression] = STATE(1967),
    [sym_anonymous_hash_expression] = STATE(1967),
    [sym_anonymous_subroutine_expression] = STATE(1967),
    [sym_anonymous_method_expression] = STATE(1967),
    [sym_do_expression] = STATE(1967),
    [sym_eval_expression] = STATE(1967),
    [sym_await_expression] = STATE(1967),
    [sym_variable_declaration] = STATE(1967),
    [sym_localization_expression] = STATE(1967),
    [sym_stub_expression] = STATE(1967),
    [sym_scalar_deref_expression] = STATE(1967),
    [sym_array_deref_expression] = STATE(1967),
    [sym_arraylen_deref_expression] = STATE(1967),
    [sym_hash_deref_expression] = STATE(1967),
    [sym_amper_deref_expression] = STATE(1967),
    [sym_glob_deref_expression] = STATE(1967),
    [sym_require_expression] = STATE(1967),
    [sym_require_version_expression] = STATE(1967),
    [sym_func0op_call_expression] = STATE(1967),
    [sym_func1op_call_expression] = STATE(1967),
    [sym_map_grep_expression] = STATE(1967),
    [sym_sort_expression] = STATE(1967),
    [sym_loopex_expression] = STATE(1967),
    [sym_goto_expression] = STATE(1967),
    [sym_return_expression] = STATE(1967),
    [sym_undef_expression] = STATE(1967),
    [sym__listop] = STATE(1967),
    [sym_function_call_expression] = STATE(1968),
    [sym_ambiguous_function_call_expression] = STATE(1968),
    [sym_function] = STATE(389),
    [sym_method_call_expression] = STATE(1968),
    [sym_scalar] = STATE(1967),
    [sym_array] = STATE(1967),
    [sym__SUB_AMPER] = STATE(2686),
    [sym__GLOB_STAR] = STATE(2687),
    [sym_hash] = STATE(1967),
    [sym_arraylen] = STATE(1967),
    [sym_amper_sub] = STATE(1785),
    [sym_glob] = STATE(1786),
    [sym_glob_slot_expression] = STATE(1967),
    [sym__literal] = STATE(1967),
    [sym__apostrophe] = STATE(3328),
    [sym__quotation_mark] = STATE(2501),
    [sym__backtick] = STATE(2502),
    [sym__search_slash] = STATE(2454),
    [sym_string_literal] = STATE(1969),
    [sym_interpolated_string_literal] = STATE(1969),
    [sym_quoted_word_list] = STATE(1787),
    [sym_command_string] = STATE(1969),
    [sym_quoted_regexp] = STATE(1969),
    [sym_match_regexp] = STATE(1969),
    [sym_substitution_regexp] = STATE(1969),
    [sym_transliteration_expression] = STATE(1969),
    [sym_heredoc_token] = STATE(1967),
    [sym_command_heredoc_token] = STATE(1967),
    [sym_heredoc_content] = STATE(596),
    [sym_autoquoted_bareword] = STATE(1967),
    [sym_bareword] = STATE(1967),
    [sym_primitive] = STATE(1967),
    [sym_boolean] = STATE(1965),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3342),
    [sym__identifier] = ACTIONS(575),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1752),
    [anon_sym_AT] = ACTIONS(1671),
    [anon_sym_my] = ACTIONS(517),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(519),
    [anon_sym_method] = ACTIONS(521),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_continue] = ACTIONS(525),
    [anon_sym_state] = ACTIONS(517),
    [anon_sym_our] = ACTIONS(517),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_LT_LT] = ACTIONS(1673),
    [anon_sym_SLASH_SLASH] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(1677),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_PLUS_PLUS] = ACTIONS(1679),
    [anon_sym_DASH_DASH] = ACTIONS(1679),
    [anon_sym_BSLASH] = ACTIONS(531),
    [anon_sym_do] = ACTIONS(533),
    [anon_sym_eval] = ACTIONS(535),
    [anon_sym_await] = ACTIONS(537),
    [anon_sym_field] = ACTIONS(517),
    [anon_sym_local] = ACTIONS(539),
    [anon_sym_dynamically] = ACTIONS(539),
    [anon_sym_DOLLAR_POUND] = ACTIONS(541),
    [anon_sym_require] = ACTIONS(543),
    [anon_sym_map] = ACTIONS(545),
    [anon_sym_grep] = ACTIONS(545),
    [anon_sym_sort] = ACTIONS(547),
    [anon_sym_goto] = ACTIONS(549),
    [anon_sym_return] = ACTIONS(551),
    [anon_sym_undef] = ACTIONS(553),
    [anon_sym_PERCENT2] = ACTIONS(1681),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(555),
    [anon_sym_next] = ACTIONS(555),
    [anon_sym_redo] = ACTIONS(555),
    [anon_sym___FILE__] = ACTIONS(525),
    [anon_sym___LINE__] = ACTIONS(525),
    [anon_sym___PACKAGE__] = ACTIONS(525),
    [anon_sym___SUB__] = ACTIONS(525),
    [anon_sym_break] = ACTIONS(525),
    [anon_sym_fork] = ACTIONS(525),
    [anon_sym_getppid] = ACTIONS(525),
    [anon_sym_time] = ACTIONS(525),
    [anon_sym_times] = ACTIONS(525),
    [anon_sym_wait] = ACTIONS(525),
    [anon_sym_wantarray] = ACTIONS(525),
    [anon_sym_abs] = ACTIONS(557),
    [anon_sym_alarm] = ACTIONS(557),
    [anon_sym_chop] = ACTIONS(557),
    [anon_sym_chdir] = ACTIONS(557),
    [anon_sym_close] = ACTIONS(557),
    [anon_sym_closedir] = ACTIONS(557),
    [anon_sym_caller] = ACTIONS(557),
    [anon_sym_chomp] = ACTIONS(557),
    [anon_sym_chr] = ACTIONS(557),
    [anon_sym_cos] = ACTIONS(557),
    [anon_sym_chroot] = ACTIONS(557),
    [anon_sym_defined] = ACTIONS(557),
    [anon_sym_delete] = ACTIONS(557),
    [anon_sym_dbmclose] = ACTIONS(557),
    [anon_sym_exists] = ACTIONS(557),
    [anon_sym_exit] = ACTIONS(557),
    [anon_sym_eof] = ACTIONS(557),
    [anon_sym_exp] = ACTIONS(557),
    [anon_sym_each] = ACTIONS(557),
    [anon_sym_fc] = ACTIONS(557),
    [anon_sym_fileno] = ACTIONS(557),
    [anon_sym_gmtime] = ACTIONS(557),
    [anon_sym_getc] = ACTIONS(557),
    [anon_sym_getpgrp] = ACTIONS(557),
    [anon_sym_getprotobyname] = ACTIONS(557),
    [anon_sym_getpwname] = ACTIONS(557),
    [anon_sym_getpwuid] = ACTIONS(557),
    [anon_sym_getpeername] = ACTIONS(557),
    [anon_sym_getnetbyname] = ACTIONS(557),
    [anon_sym_getsockname] = ACTIONS(557),
    [anon_sym_getgrnam] = ACTIONS(557),
    [anon_sym_getgrgid] = ACTIONS(557),
    [anon_sym_hex] = ACTIONS(557),
    [anon_sym_int] = ACTIONS(557),
    [anon_sym_keys] = ACTIONS(557),
    [anon_sym_lc] = ACTIONS(557),
    [anon_sym_lcfirst] = ACTIONS(557),
    [anon_sym_length] = ACTIONS(557),
    [anon_sym_localtime] = ACTIONS(557),
    [anon_sym_log] = ACTIONS(557),
    [anon_sym_lock] = ACTIONS(557),
    [anon_sym_lstat] = ACTIONS(557),
    [anon_sym_oct] = ACTIONS(557),
    [anon_sym_ord] = ACTIONS(557),
    [anon_sym_prototype] = ACTIONS(557),
    [anon_sym_pop] = ACTIONS(557),
    [anon_sym_pos] = ACTIONS(557),
    [anon_sym_quotemeta] = ACTIONS(557),
    [anon_sym_reset] = ACTIONS(557),
    [anon_sym_rand] = ACTIONS(557),
    [anon_sym_rmdir] = ACTIONS(557),
    [anon_sym_readdir] = ACTIONS(557),
    [anon_sym_readline] = ACTIONS(557),
    [anon_sym_readpipe] = ACTIONS(557),
    [anon_sym_rewinddir] = ACTIONS(557),
    [anon_sym_readlink] = ACTIONS(557),
    [anon_sym_ref] = ACTIONS(557),
    [anon_sym_scalar] = ACTIONS(557),
    [anon_sym_shift] = ACTIONS(557),
    [anon_sym_sin] = ACTIONS(557),
    [anon_sym_sleep] = ACTIONS(557),
    [anon_sym_sqrt] = ACTIONS(557),
    [anon_sym_srand] = ACTIONS(557),
    [anon_sym_stat] = ACTIONS(557),
    [anon_sym_study] = ACTIONS(557),
    [anon_sym_tell] = ACTIONS(557),
    [anon_sym_telldir] = ACTIONS(557),
    [anon_sym_tied] = ACTIONS(557),
    [anon_sym_uc] = ACTIONS(557),
    [anon_sym_ucfirst] = ACTIONS(557),
    [anon_sym_untie] = ACTIONS(557),
    [anon_sym_umask] = ACTIONS(557),
    [anon_sym_values] = ACTIONS(557),
    [anon_sym_write] = ACTIONS(557),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(559),
    [anon_sym_qq] = ACTIONS(561),
    [anon_sym_qw] = ACTIONS(563),
    [anon_sym_qx] = ACTIONS(565),
    [anon_sym_qr] = ACTIONS(567),
    [anon_sym_m] = ACTIONS(569),
    [anon_sym_s] = ACTIONS(571),
    [anon_sym_tr] = ACTIONS(573),
    [anon_sym_y] = ACTIONS(573),
    [aux_sym__bareword_token1] = ACTIONS(575),
    [sym_number] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(581),
    [sym__open_fileglob_bracket] = ACTIONS(583),
    [sym__PERLY_HEREDOC] = ACTIONS(585),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(587),
    [sym__filetest] = ACTIONS(589),
  },
  [597] = {
    [sym__PERLY_BRACE_OPEN] = STATE(235),
    [sym__subscripted] = STATE(1532),
    [sym_container_variable] = STATE(3855),
    [sym_array_element_expression] = STATE(1533),
    [sym_hash_element_expression] = STATE(1533),
    [sym_coderef_call_expression] = STATE(1533),
    [sym_anonymous_slice_expression] = STATE(1533),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(1967),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(1967),
    [sym__term] = STATE(1807),
    [sym_readline_expression] = STATE(1967),
    [sym_fileglob_expression] = STATE(1967),
    [sym_assignment_expression] = STATE(1967),
    [sym_binary_expression] = STATE(1967),
    [sym_equality_expression] = STATE(1967),
    [sym_relational_expression] = STATE(1967),
    [sym_unary_expression] = STATE(1967),
    [sym_preinc_expression] = STATE(1967),
    [sym_postinc_expression] = STATE(1967),
    [sym_conditional_expression] = STATE(1967),
    [sym_refgen_expression] = STATE(1967),
    [sym_anonymous_array_expression] = STATE(1967),
    [sym_anonymous_hash_expression] = STATE(1967),
    [sym_anonymous_subroutine_expression] = STATE(1967),
    [sym_anonymous_method_expression] = STATE(1967),
    [sym_do_expression] = STATE(1967),
    [sym_eval_expression] = STATE(1967),
    [sym_await_expression] = STATE(1967),
    [sym_variable_declaration] = STATE(1967),
    [sym_localization_expression] = STATE(1967),
    [sym_stub_expression] = STATE(1967),
    [sym_scalar_deref_expression] = STATE(1967),
    [sym_array_deref_expression] = STATE(1967),
    [sym_arraylen_deref_expression] = STATE(1967),
    [sym_hash_deref_expression] = STATE(1967),
    [sym_amper_deref_expression] = STATE(1967),
    [sym_glob_deref_expression] = STATE(1967),
    [sym_require_expression] = STATE(1967),
    [sym_require_version_expression] = STATE(1967),
    [sym_func0op_call_expression] = STATE(1967),
    [sym_func1op_call_expression] = STATE(1967),
    [sym_map_grep_expression] = STATE(1967),
    [sym_sort_expression] = STATE(1967),
    [sym_loopex_expression] = STATE(1967),
    [sym_goto_expression] = STATE(1967),
    [sym_return_expression] = STATE(1967),
    [sym_undef_expression] = STATE(1967),
    [sym__listop] = STATE(1967),
    [sym_function_call_expression] = STATE(1968),
    [sym_ambiguous_function_call_expression] = STATE(1968),
    [sym_function] = STATE(389),
    [sym_method_call_expression] = STATE(1968),
    [sym_scalar] = STATE(1967),
    [sym_array] = STATE(1967),
    [sym__SUB_AMPER] = STATE(2686),
    [sym__GLOB_STAR] = STATE(2687),
    [sym_hash] = STATE(1967),
    [sym_arraylen] = STATE(1967),
    [sym_amper_sub] = STATE(1785),
    [sym_glob] = STATE(1786),
    [sym_glob_slot_expression] = STATE(1967),
    [sym__literal] = STATE(1967),
    [sym__apostrophe] = STATE(3328),
    [sym__quotation_mark] = STATE(2501),
    [sym__backtick] = STATE(2502),
    [sym__search_slash] = STATE(2454),
    [sym_string_literal] = STATE(1969),
    [sym_interpolated_string_literal] = STATE(1969),
    [sym_quoted_word_list] = STATE(1787),
    [sym_command_string] = STATE(1969),
    [sym_quoted_regexp] = STATE(1969),
    [sym_match_regexp] = STATE(1969),
    [sym_substitution_regexp] = STATE(1969),
    [sym_transliteration_expression] = STATE(1969),
    [sym_heredoc_token] = STATE(1967),
    [sym_command_heredoc_token] = STATE(1967),
    [sym_heredoc_content] = STATE(597),
    [sym_autoquoted_bareword] = STATE(1967),
    [sym_bareword] = STATE(1967),
    [sym_primitive] = STATE(1967),
    [sym_boolean] = STATE(1965),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3342),
    [sym__identifier] = ACTIONS(575),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1752),
    [anon_sym_AT] = ACTIONS(1671),
    [anon_sym_my] = ACTIONS(517),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(519),
    [anon_sym_method] = ACTIONS(521),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_continue] = ACTIONS(525),
    [anon_sym_state] = ACTIONS(517),
    [anon_sym_our] = ACTIONS(517),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_LT_LT] = ACTIONS(1673),
    [anon_sym_SLASH_SLASH] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(1677),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_PLUS_PLUS] = ACTIONS(1679),
    [anon_sym_DASH_DASH] = ACTIONS(1679),
    [anon_sym_BSLASH] = ACTIONS(531),
    [anon_sym_do] = ACTIONS(533),
    [anon_sym_eval] = ACTIONS(535),
    [anon_sym_await] = ACTIONS(537),
    [anon_sym_field] = ACTIONS(517),
    [anon_sym_local] = ACTIONS(539),
    [anon_sym_dynamically] = ACTIONS(539),
    [anon_sym_DOLLAR_POUND] = ACTIONS(541),
    [anon_sym_require] = ACTIONS(543),
    [anon_sym_map] = ACTIONS(545),
    [anon_sym_grep] = ACTIONS(545),
    [anon_sym_sort] = ACTIONS(547),
    [anon_sym_goto] = ACTIONS(549),
    [anon_sym_return] = ACTIONS(551),
    [anon_sym_undef] = ACTIONS(553),
    [anon_sym_PERCENT2] = ACTIONS(1681),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(555),
    [anon_sym_next] = ACTIONS(555),
    [anon_sym_redo] = ACTIONS(555),
    [anon_sym___FILE__] = ACTIONS(525),
    [anon_sym___LINE__] = ACTIONS(525),
    [anon_sym___PACKAGE__] = ACTIONS(525),
    [anon_sym___SUB__] = ACTIONS(525),
    [anon_sym_break] = ACTIONS(525),
    [anon_sym_fork] = ACTIONS(525),
    [anon_sym_getppid] = ACTIONS(525),
    [anon_sym_time] = ACTIONS(525),
    [anon_sym_times] = ACTIONS(525),
    [anon_sym_wait] = ACTIONS(525),
    [anon_sym_wantarray] = ACTIONS(525),
    [anon_sym_abs] = ACTIONS(557),
    [anon_sym_alarm] = ACTIONS(557),
    [anon_sym_chop] = ACTIONS(557),
    [anon_sym_chdir] = ACTIONS(557),
    [anon_sym_close] = ACTIONS(557),
    [anon_sym_closedir] = ACTIONS(557),
    [anon_sym_caller] = ACTIONS(557),
    [anon_sym_chomp] = ACTIONS(557),
    [anon_sym_chr] = ACTIONS(557),
    [anon_sym_cos] = ACTIONS(557),
    [anon_sym_chroot] = ACTIONS(557),
    [anon_sym_defined] = ACTIONS(557),
    [anon_sym_delete] = ACTIONS(557),
    [anon_sym_dbmclose] = ACTIONS(557),
    [anon_sym_exists] = ACTIONS(557),
    [anon_sym_exit] = ACTIONS(557),
    [anon_sym_eof] = ACTIONS(557),
    [anon_sym_exp] = ACTIONS(557),
    [anon_sym_each] = ACTIONS(557),
    [anon_sym_fc] = ACTIONS(557),
    [anon_sym_fileno] = ACTIONS(557),
    [anon_sym_gmtime] = ACTIONS(557),
    [anon_sym_getc] = ACTIONS(557),
    [anon_sym_getpgrp] = ACTIONS(557),
    [anon_sym_getprotobyname] = ACTIONS(557),
    [anon_sym_getpwname] = ACTIONS(557),
    [anon_sym_getpwuid] = ACTIONS(557),
    [anon_sym_getpeername] = ACTIONS(557),
    [anon_sym_getnetbyname] = ACTIONS(557),
    [anon_sym_getsockname] = ACTIONS(557),
    [anon_sym_getgrnam] = ACTIONS(557),
    [anon_sym_getgrgid] = ACTIONS(557),
    [anon_sym_hex] = ACTIONS(557),
    [anon_sym_int] = ACTIONS(557),
    [anon_sym_keys] = ACTIONS(557),
    [anon_sym_lc] = ACTIONS(557),
    [anon_sym_lcfirst] = ACTIONS(557),
    [anon_sym_length] = ACTIONS(557),
    [anon_sym_localtime] = ACTIONS(557),
    [anon_sym_log] = ACTIONS(557),
    [anon_sym_lock] = ACTIONS(557),
    [anon_sym_lstat] = ACTIONS(557),
    [anon_sym_oct] = ACTIONS(557),
    [anon_sym_ord] = ACTIONS(557),
    [anon_sym_prototype] = ACTIONS(557),
    [anon_sym_pop] = ACTIONS(557),
    [anon_sym_pos] = ACTIONS(557),
    [anon_sym_quotemeta] = ACTIONS(557),
    [anon_sym_reset] = ACTIONS(557),
    [anon_sym_rand] = ACTIONS(557),
    [anon_sym_rmdir] = ACTIONS(557),
    [anon_sym_readdir] = ACTIONS(557),
    [anon_sym_readline] = ACTIONS(557),
    [anon_sym_readpipe] = ACTIONS(557),
    [anon_sym_rewinddir] = ACTIONS(557),
    [anon_sym_readlink] = ACTIONS(557),
    [anon_sym_ref] = ACTIONS(557),
    [anon_sym_scalar] = ACTIONS(557),
    [anon_sym_shift] = ACTIONS(557),
    [anon_sym_sin] = ACTIONS(557),
    [anon_sym_sleep] = ACTIONS(557),
    [anon_sym_sqrt] = ACTIONS(557),
    [anon_sym_srand] = ACTIONS(557),
    [anon_sym_stat] = ACTIONS(557),
    [anon_sym_study] = ACTIONS(557),
    [anon_sym_tell] = ACTIONS(557),
    [anon_sym_telldir] = ACTIONS(557),
    [anon_sym_tied] = ACTIONS(557),
    [anon_sym_uc] = ACTIONS(557),
    [anon_sym_ucfirst] = ACTIONS(557),
    [anon_sym_untie] = ACTIONS(557),
    [anon_sym_umask] = ACTIONS(557),
    [anon_sym_values] = ACTIONS(557),
    [anon_sym_write] = ACTIONS(557),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(559),
    [anon_sym_qq] = ACTIONS(561),
    [anon_sym_qw] = ACTIONS(563),
    [anon_sym_qx] = ACTIONS(565),
    [anon_sym_qr] = ACTIONS(567),
    [anon_sym_m] = ACTIONS(569),
    [anon_sym_s] = ACTIONS(571),
    [anon_sym_tr] = ACTIONS(573),
    [anon_sym_y] = ACTIONS(573),
    [aux_sym__bareword_token1] = ACTIONS(575),
    [sym_number] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(581),
    [sym__open_fileglob_bracket] = ACTIONS(583),
    [sym__PERLY_HEREDOC] = ACTIONS(585),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(587),
    [sym__filetest] = ACTIONS(589),
  },
  [598] = {
    [sym__PERLY_BRACE_OPEN] = STATE(237),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1457),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(598),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(243),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(243),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(245),
  },
  [599] = {
    [sym__PERLY_BRACE_OPEN] = STATE(237),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1458),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(599),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(243),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(243),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(245),
  },
  [600] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2421),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(394),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(600),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1695),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1697),
    [anon_sym_DASH_DASH] = ACTIONS(1697),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(1222),
  },
  [601] = {
    [sym__PERLY_BRACE_OPEN] = STATE(237),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1342),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(601),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [602] = {
    [sym__PERLY_BRACE_OPEN] = STATE(237),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1459),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(602),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(243),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(243),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(245),
  },
  [603] = {
    [sym__PERLY_BRACE_OPEN] = STATE(237),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1460),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(603),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(243),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(243),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(245),
  },
  [604] = {
    [sym__PERLY_BRACE_OPEN] = STATE(237),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1461),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(604),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(243),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(243),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(245),
  },
  [605] = {
    [sym__PERLY_BRACE_OPEN] = STATE(237),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1291),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(605),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [606] = {
    [sym__PERLY_BRACE_OPEN] = STATE(238),
    [sym__subscripted] = STATE(1915),
    [sym_container_variable] = STATE(3851),
    [sym_array_element_expression] = STATE(1916),
    [sym_hash_element_expression] = STATE(1916),
    [sym_coderef_call_expression] = STATE(1916),
    [sym_anonymous_slice_expression] = STATE(1916),
    [sym_slice_container_variable] = STATE(3852),
    [sym_slice_expression] = STATE(2342),
    [sym_keyval_container_variable] = STATE(3853),
    [sym_keyval_expression] = STATE(2342),
    [sym__term] = STATE(2294),
    [sym_readline_expression] = STATE(2342),
    [sym_fileglob_expression] = STATE(2342),
    [sym_assignment_expression] = STATE(2342),
    [sym_binary_expression] = STATE(2342),
    [sym_equality_expression] = STATE(2342),
    [sym_relational_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2342),
    [sym_preinc_expression] = STATE(2342),
    [sym_postinc_expression] = STATE(2342),
    [sym_conditional_expression] = STATE(2342),
    [sym_refgen_expression] = STATE(2342),
    [sym_anonymous_array_expression] = STATE(2342),
    [sym_anonymous_hash_expression] = STATE(2342),
    [sym_anonymous_subroutine_expression] = STATE(2342),
    [sym_anonymous_method_expression] = STATE(2342),
    [sym_do_expression] = STATE(2342),
    [sym_eval_expression] = STATE(2342),
    [sym_await_expression] = STATE(2342),
    [sym_variable_declaration] = STATE(2342),
    [sym_localization_expression] = STATE(2342),
    [sym_stub_expression] = STATE(2342),
    [sym_scalar_deref_expression] = STATE(2342),
    [sym_array_deref_expression] = STATE(2342),
    [sym_arraylen_deref_expression] = STATE(2342),
    [sym_hash_deref_expression] = STATE(2342),
    [sym_amper_deref_expression] = STATE(2342),
    [sym_glob_deref_expression] = STATE(2342),
    [sym_require_expression] = STATE(2342),
    [sym_require_version_expression] = STATE(2342),
    [sym_func0op_call_expression] = STATE(2342),
    [sym_func1op_call_expression] = STATE(2342),
    [sym_map_grep_expression] = STATE(2342),
    [sym_sort_expression] = STATE(2342),
    [sym_loopex_expression] = STATE(2342),
    [sym_goto_expression] = STATE(2342),
    [sym_return_expression] = STATE(2342),
    [sym_undef_expression] = STATE(2342),
    [sym__listop] = STATE(2342),
    [sym_function_call_expression] = STATE(2343),
    [sym_ambiguous_function_call_expression] = STATE(2343),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(2343),
    [sym_scalar] = STATE(2342),
    [sym_array] = STATE(2342),
    [sym__SUB_AMPER] = STATE(2739),
    [sym__GLOB_STAR] = STATE(2741),
    [sym_hash] = STATE(2342),
    [sym_arraylen] = STATE(2342),
    [sym_amper_sub] = STATE(2181),
    [sym_glob] = STATE(2183),
    [sym_glob_slot_expression] = STATE(2342),
    [sym__literal] = STATE(2342),
    [sym__apostrophe] = STATE(3277),
    [sym__quotation_mark] = STATE(2481),
    [sym__backtick] = STATE(2482),
    [sym__search_slash] = STATE(2447),
    [sym_string_literal] = STATE(2353),
    [sym_interpolated_string_literal] = STATE(2353),
    [sym_quoted_word_list] = STATE(2193),
    [sym_command_string] = STATE(2353),
    [sym_quoted_regexp] = STATE(2353),
    [sym_match_regexp] = STATE(2353),
    [sym_substitution_regexp] = STATE(2353),
    [sym_transliteration_expression] = STATE(2353),
    [sym_heredoc_token] = STATE(2342),
    [sym_command_heredoc_token] = STATE(2342),
    [sym_heredoc_content] = STATE(606),
    [sym_autoquoted_bareword] = STATE(2342),
    [sym_bareword] = STATE(2342),
    [sym_primitive] = STATE(2342),
    [sym_boolean] = STATE(2323),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3366),
    [sym__identifier] = ACTIONS(1072),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1008),
    [anon_sym_AT] = ACTIONS(1010),
    [anon_sym_my] = ACTIONS(1012),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(1014),
    [anon_sym_method] = ACTIONS(1016),
    [anon_sym_LPAREN] = ACTIONS(1018),
    [anon_sym_continue] = ACTIONS(1020),
    [anon_sym_state] = ACTIONS(1012),
    [anon_sym_our] = ACTIONS(1012),
    [anon_sym_LBRACK] = ACTIONS(1022),
    [anon_sym_LT_LT] = ACTIONS(1523),
    [anon_sym_SLASH_SLASH] = ACTIONS(1525),
    [anon_sym_PLUS] = ACTIONS(1024),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_TILDE] = ACTIONS(1024),
    [anon_sym_BANG] = ACTIONS(1024),
    [anon_sym_PLUS_PLUS] = ACTIONS(1529),
    [anon_sym_DASH_DASH] = ACTIONS(1529),
    [anon_sym_BSLASH] = ACTIONS(1026),
    [anon_sym_do] = ACTIONS(1028),
    [anon_sym_eval] = ACTIONS(1030),
    [anon_sym_await] = ACTIONS(1032),
    [anon_sym_field] = ACTIONS(1012),
    [anon_sym_local] = ACTIONS(1034),
    [anon_sym_dynamically] = ACTIONS(1034),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1036),
    [anon_sym_require] = ACTIONS(1038),
    [anon_sym_map] = ACTIONS(1040),
    [anon_sym_grep] = ACTIONS(1040),
    [anon_sym_sort] = ACTIONS(1042),
    [anon_sym_goto] = ACTIONS(1044),
    [anon_sym_return] = ACTIONS(1046),
    [anon_sym_undef] = ACTIONS(1048),
    [anon_sym_PERCENT2] = ACTIONS(1050),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1052),
    [anon_sym_next] = ACTIONS(1052),
    [anon_sym_redo] = ACTIONS(1052),
    [anon_sym___FILE__] = ACTIONS(1020),
    [anon_sym___LINE__] = ACTIONS(1020),
    [anon_sym___PACKAGE__] = ACTIONS(1020),
    [anon_sym___SUB__] = ACTIONS(1020),
    [anon_sym_break] = ACTIONS(1020),
    [anon_sym_fork] = ACTIONS(1020),
    [anon_sym_getppid] = ACTIONS(1020),
    [anon_sym_time] = ACTIONS(1020),
    [anon_sym_times] = ACTIONS(1020),
    [anon_sym_wait] = ACTIONS(1020),
    [anon_sym_wantarray] = ACTIONS(1020),
    [anon_sym_abs] = ACTIONS(1054),
    [anon_sym_alarm] = ACTIONS(1054),
    [anon_sym_chop] = ACTIONS(1054),
    [anon_sym_chdir] = ACTIONS(1054),
    [anon_sym_close] = ACTIONS(1054),
    [anon_sym_closedir] = ACTIONS(1054),
    [anon_sym_caller] = ACTIONS(1054),
    [anon_sym_chomp] = ACTIONS(1054),
    [anon_sym_chr] = ACTIONS(1054),
    [anon_sym_cos] = ACTIONS(1054),
    [anon_sym_chroot] = ACTIONS(1054),
    [anon_sym_defined] = ACTIONS(1054),
    [anon_sym_delete] = ACTIONS(1054),
    [anon_sym_dbmclose] = ACTIONS(1054),
    [anon_sym_exists] = ACTIONS(1054),
    [anon_sym_exit] = ACTIONS(1054),
    [anon_sym_eof] = ACTIONS(1054),
    [anon_sym_exp] = ACTIONS(1054),
    [anon_sym_each] = ACTIONS(1054),
    [anon_sym_fc] = ACTIONS(1054),
    [anon_sym_fileno] = ACTIONS(1054),
    [anon_sym_gmtime] = ACTIONS(1054),
    [anon_sym_getc] = ACTIONS(1054),
    [anon_sym_getpgrp] = ACTIONS(1054),
    [anon_sym_getprotobyname] = ACTIONS(1054),
    [anon_sym_getpwname] = ACTIONS(1054),
    [anon_sym_getpwuid] = ACTIONS(1054),
    [anon_sym_getpeername] = ACTIONS(1054),
    [anon_sym_getnetbyname] = ACTIONS(1054),
    [anon_sym_getsockname] = ACTIONS(1054),
    [anon_sym_getgrnam] = ACTIONS(1054),
    [anon_sym_getgrgid] = ACTIONS(1054),
    [anon_sym_hex] = ACTIONS(1054),
    [anon_sym_int] = ACTIONS(1054),
    [anon_sym_keys] = ACTIONS(1054),
    [anon_sym_lc] = ACTIONS(1054),
    [anon_sym_lcfirst] = ACTIONS(1054),
    [anon_sym_length] = ACTIONS(1054),
    [anon_sym_localtime] = ACTIONS(1054),
    [anon_sym_log] = ACTIONS(1054),
    [anon_sym_lock] = ACTIONS(1054),
    [anon_sym_lstat] = ACTIONS(1054),
    [anon_sym_oct] = ACTIONS(1054),
    [anon_sym_ord] = ACTIONS(1054),
    [anon_sym_prototype] = ACTIONS(1054),
    [anon_sym_pop] = ACTIONS(1054),
    [anon_sym_pos] = ACTIONS(1054),
    [anon_sym_quotemeta] = ACTIONS(1054),
    [anon_sym_reset] = ACTIONS(1054),
    [anon_sym_rand] = ACTIONS(1054),
    [anon_sym_rmdir] = ACTIONS(1054),
    [anon_sym_readdir] = ACTIONS(1054),
    [anon_sym_readline] = ACTIONS(1054),
    [anon_sym_readpipe] = ACTIONS(1054),
    [anon_sym_rewinddir] = ACTIONS(1054),
    [anon_sym_readlink] = ACTIONS(1054),
    [anon_sym_ref] = ACTIONS(1054),
    [anon_sym_scalar] = ACTIONS(1054),
    [anon_sym_shift] = ACTIONS(1054),
    [anon_sym_sin] = ACTIONS(1054),
    [anon_sym_sleep] = ACTIONS(1054),
    [anon_sym_sqrt] = ACTIONS(1054),
    [anon_sym_srand] = ACTIONS(1054),
    [anon_sym_stat] = ACTIONS(1054),
    [anon_sym_study] = ACTIONS(1054),
    [anon_sym_tell] = ACTIONS(1054),
    [anon_sym_telldir] = ACTIONS(1054),
    [anon_sym_tied] = ACTIONS(1054),
    [anon_sym_uc] = ACTIONS(1054),
    [anon_sym_ucfirst] = ACTIONS(1054),
    [anon_sym_untie] = ACTIONS(1054),
    [anon_sym_umask] = ACTIONS(1054),
    [anon_sym_values] = ACTIONS(1054),
    [anon_sym_write] = ACTIONS(1054),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1056),
    [anon_sym_qq] = ACTIONS(1058),
    [anon_sym_qw] = ACTIONS(1060),
    [anon_sym_qx] = ACTIONS(1062),
    [anon_sym_qr] = ACTIONS(1064),
    [anon_sym_m] = ACTIONS(1066),
    [anon_sym_s] = ACTIONS(1068),
    [anon_sym_tr] = ACTIONS(1070),
    [anon_sym_y] = ACTIONS(1070),
    [aux_sym__bareword_token1] = ACTIONS(1072),
    [sym_number] = ACTIONS(1074),
    [anon_sym_true] = ACTIONS(1076),
    [anon_sym_false] = ACTIONS(1076),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(1078),
    [sym__open_fileglob_bracket] = ACTIONS(1080),
    [sym__PERLY_HEREDOC] = ACTIONS(1082),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1084),
    [sym__filetest] = ACTIONS(1086),
  },
  [607] = {
    [sym__PERLY_BRACE_OPEN] = STATE(237),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1291),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(607),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(1814),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(1814),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1816),
    [sym__filetest] = ACTIONS(149),
  },
  [608] = {
    [sym__PERLY_BRACE_OPEN] = STATE(237),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1462),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(608),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(243),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(243),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(245),
  },
  [609] = {
    [sym__PERLY_BRACE_OPEN] = STATE(237),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1343),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(609),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [610] = {
    [sym__PERLY_BRACE_OPEN] = STATE(238),
    [sym__subscripted] = STATE(1915),
    [sym_container_variable] = STATE(3851),
    [sym_array_element_expression] = STATE(1916),
    [sym_hash_element_expression] = STATE(1916),
    [sym_coderef_call_expression] = STATE(1916),
    [sym_anonymous_slice_expression] = STATE(1916),
    [sym_slice_container_variable] = STATE(3852),
    [sym_slice_expression] = STATE(2342),
    [sym_keyval_container_variable] = STATE(3853),
    [sym_keyval_expression] = STATE(2342),
    [sym__term] = STATE(2298),
    [sym_readline_expression] = STATE(2342),
    [sym_fileglob_expression] = STATE(2342),
    [sym_assignment_expression] = STATE(2342),
    [sym_binary_expression] = STATE(2342),
    [sym_equality_expression] = STATE(2342),
    [sym_relational_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2342),
    [sym_preinc_expression] = STATE(2342),
    [sym_postinc_expression] = STATE(2342),
    [sym_conditional_expression] = STATE(2342),
    [sym_refgen_expression] = STATE(2342),
    [sym_anonymous_array_expression] = STATE(2342),
    [sym_anonymous_hash_expression] = STATE(2342),
    [sym_anonymous_subroutine_expression] = STATE(2342),
    [sym_anonymous_method_expression] = STATE(2342),
    [sym_do_expression] = STATE(2342),
    [sym_eval_expression] = STATE(2342),
    [sym_await_expression] = STATE(2342),
    [sym_variable_declaration] = STATE(2342),
    [sym_localization_expression] = STATE(2342),
    [sym_stub_expression] = STATE(2342),
    [sym_scalar_deref_expression] = STATE(2342),
    [sym_array_deref_expression] = STATE(2342),
    [sym_arraylen_deref_expression] = STATE(2342),
    [sym_hash_deref_expression] = STATE(2342),
    [sym_amper_deref_expression] = STATE(2342),
    [sym_glob_deref_expression] = STATE(2342),
    [sym_require_expression] = STATE(2342),
    [sym_require_version_expression] = STATE(2342),
    [sym_func0op_call_expression] = STATE(2342),
    [sym_func1op_call_expression] = STATE(2342),
    [sym_map_grep_expression] = STATE(2342),
    [sym_sort_expression] = STATE(2342),
    [sym_loopex_expression] = STATE(2342),
    [sym_goto_expression] = STATE(2342),
    [sym_return_expression] = STATE(2342),
    [sym_undef_expression] = STATE(2342),
    [sym__listop] = STATE(2342),
    [sym_function_call_expression] = STATE(2343),
    [sym_ambiguous_function_call_expression] = STATE(2343),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(2343),
    [sym_scalar] = STATE(2342),
    [sym_array] = STATE(2342),
    [sym__SUB_AMPER] = STATE(2739),
    [sym__GLOB_STAR] = STATE(2741),
    [sym_hash] = STATE(2342),
    [sym_arraylen] = STATE(2342),
    [sym_amper_sub] = STATE(2181),
    [sym_glob] = STATE(2183),
    [sym_glob_slot_expression] = STATE(2342),
    [sym__literal] = STATE(2342),
    [sym__apostrophe] = STATE(3277),
    [sym__quotation_mark] = STATE(2481),
    [sym__backtick] = STATE(2482),
    [sym__search_slash] = STATE(2447),
    [sym_string_literal] = STATE(2353),
    [sym_interpolated_string_literal] = STATE(2353),
    [sym_quoted_word_list] = STATE(2193),
    [sym_command_string] = STATE(2353),
    [sym_quoted_regexp] = STATE(2353),
    [sym_match_regexp] = STATE(2353),
    [sym_substitution_regexp] = STATE(2353),
    [sym_transliteration_expression] = STATE(2353),
    [sym_heredoc_token] = STATE(2342),
    [sym_command_heredoc_token] = STATE(2342),
    [sym_heredoc_content] = STATE(610),
    [sym_autoquoted_bareword] = STATE(2342),
    [sym_bareword] = STATE(2342),
    [sym_primitive] = STATE(2342),
    [sym_boolean] = STATE(2323),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3366),
    [sym__identifier] = ACTIONS(1072),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1008),
    [anon_sym_AT] = ACTIONS(1010),
    [anon_sym_my] = ACTIONS(1012),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(1014),
    [anon_sym_method] = ACTIONS(1016),
    [anon_sym_LPAREN] = ACTIONS(1018),
    [anon_sym_continue] = ACTIONS(1020),
    [anon_sym_state] = ACTIONS(1012),
    [anon_sym_our] = ACTIONS(1012),
    [anon_sym_LBRACK] = ACTIONS(1022),
    [anon_sym_LT_LT] = ACTIONS(1523),
    [anon_sym_SLASH_SLASH] = ACTIONS(1525),
    [anon_sym_PLUS] = ACTIONS(1024),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_TILDE] = ACTIONS(1024),
    [anon_sym_BANG] = ACTIONS(1024),
    [anon_sym_PLUS_PLUS] = ACTIONS(1529),
    [anon_sym_DASH_DASH] = ACTIONS(1529),
    [anon_sym_BSLASH] = ACTIONS(1026),
    [anon_sym_do] = ACTIONS(1028),
    [anon_sym_eval] = ACTIONS(1030),
    [anon_sym_await] = ACTIONS(1032),
    [anon_sym_field] = ACTIONS(1012),
    [anon_sym_local] = ACTIONS(1034),
    [anon_sym_dynamically] = ACTIONS(1034),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1036),
    [anon_sym_require] = ACTIONS(1038),
    [anon_sym_map] = ACTIONS(1040),
    [anon_sym_grep] = ACTIONS(1040),
    [anon_sym_sort] = ACTIONS(1042),
    [anon_sym_goto] = ACTIONS(1044),
    [anon_sym_return] = ACTIONS(1046),
    [anon_sym_undef] = ACTIONS(1048),
    [anon_sym_PERCENT2] = ACTIONS(1050),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1052),
    [anon_sym_next] = ACTIONS(1052),
    [anon_sym_redo] = ACTIONS(1052),
    [anon_sym___FILE__] = ACTIONS(1020),
    [anon_sym___LINE__] = ACTIONS(1020),
    [anon_sym___PACKAGE__] = ACTIONS(1020),
    [anon_sym___SUB__] = ACTIONS(1020),
    [anon_sym_break] = ACTIONS(1020),
    [anon_sym_fork] = ACTIONS(1020),
    [anon_sym_getppid] = ACTIONS(1020),
    [anon_sym_time] = ACTIONS(1020),
    [anon_sym_times] = ACTIONS(1020),
    [anon_sym_wait] = ACTIONS(1020),
    [anon_sym_wantarray] = ACTIONS(1020),
    [anon_sym_abs] = ACTIONS(1054),
    [anon_sym_alarm] = ACTIONS(1054),
    [anon_sym_chop] = ACTIONS(1054),
    [anon_sym_chdir] = ACTIONS(1054),
    [anon_sym_close] = ACTIONS(1054),
    [anon_sym_closedir] = ACTIONS(1054),
    [anon_sym_caller] = ACTIONS(1054),
    [anon_sym_chomp] = ACTIONS(1054),
    [anon_sym_chr] = ACTIONS(1054),
    [anon_sym_cos] = ACTIONS(1054),
    [anon_sym_chroot] = ACTIONS(1054),
    [anon_sym_defined] = ACTIONS(1054),
    [anon_sym_delete] = ACTIONS(1054),
    [anon_sym_dbmclose] = ACTIONS(1054),
    [anon_sym_exists] = ACTIONS(1054),
    [anon_sym_exit] = ACTIONS(1054),
    [anon_sym_eof] = ACTIONS(1054),
    [anon_sym_exp] = ACTIONS(1054),
    [anon_sym_each] = ACTIONS(1054),
    [anon_sym_fc] = ACTIONS(1054),
    [anon_sym_fileno] = ACTIONS(1054),
    [anon_sym_gmtime] = ACTIONS(1054),
    [anon_sym_getc] = ACTIONS(1054),
    [anon_sym_getpgrp] = ACTIONS(1054),
    [anon_sym_getprotobyname] = ACTIONS(1054),
    [anon_sym_getpwname] = ACTIONS(1054),
    [anon_sym_getpwuid] = ACTIONS(1054),
    [anon_sym_getpeername] = ACTIONS(1054),
    [anon_sym_getnetbyname] = ACTIONS(1054),
    [anon_sym_getsockname] = ACTIONS(1054),
    [anon_sym_getgrnam] = ACTIONS(1054),
    [anon_sym_getgrgid] = ACTIONS(1054),
    [anon_sym_hex] = ACTIONS(1054),
    [anon_sym_int] = ACTIONS(1054),
    [anon_sym_keys] = ACTIONS(1054),
    [anon_sym_lc] = ACTIONS(1054),
    [anon_sym_lcfirst] = ACTIONS(1054),
    [anon_sym_length] = ACTIONS(1054),
    [anon_sym_localtime] = ACTIONS(1054),
    [anon_sym_log] = ACTIONS(1054),
    [anon_sym_lock] = ACTIONS(1054),
    [anon_sym_lstat] = ACTIONS(1054),
    [anon_sym_oct] = ACTIONS(1054),
    [anon_sym_ord] = ACTIONS(1054),
    [anon_sym_prototype] = ACTIONS(1054),
    [anon_sym_pop] = ACTIONS(1054),
    [anon_sym_pos] = ACTIONS(1054),
    [anon_sym_quotemeta] = ACTIONS(1054),
    [anon_sym_reset] = ACTIONS(1054),
    [anon_sym_rand] = ACTIONS(1054),
    [anon_sym_rmdir] = ACTIONS(1054),
    [anon_sym_readdir] = ACTIONS(1054),
    [anon_sym_readline] = ACTIONS(1054),
    [anon_sym_readpipe] = ACTIONS(1054),
    [anon_sym_rewinddir] = ACTIONS(1054),
    [anon_sym_readlink] = ACTIONS(1054),
    [anon_sym_ref] = ACTIONS(1054),
    [anon_sym_scalar] = ACTIONS(1054),
    [anon_sym_shift] = ACTIONS(1054),
    [anon_sym_sin] = ACTIONS(1054),
    [anon_sym_sleep] = ACTIONS(1054),
    [anon_sym_sqrt] = ACTIONS(1054),
    [anon_sym_srand] = ACTIONS(1054),
    [anon_sym_stat] = ACTIONS(1054),
    [anon_sym_study] = ACTIONS(1054),
    [anon_sym_tell] = ACTIONS(1054),
    [anon_sym_telldir] = ACTIONS(1054),
    [anon_sym_tied] = ACTIONS(1054),
    [anon_sym_uc] = ACTIONS(1054),
    [anon_sym_ucfirst] = ACTIONS(1054),
    [anon_sym_untie] = ACTIONS(1054),
    [anon_sym_umask] = ACTIONS(1054),
    [anon_sym_values] = ACTIONS(1054),
    [anon_sym_write] = ACTIONS(1054),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1056),
    [anon_sym_qq] = ACTIONS(1058),
    [anon_sym_qw] = ACTIONS(1060),
    [anon_sym_qx] = ACTIONS(1062),
    [anon_sym_qr] = ACTIONS(1064),
    [anon_sym_m] = ACTIONS(1066),
    [anon_sym_s] = ACTIONS(1068),
    [anon_sym_tr] = ACTIONS(1070),
    [anon_sym_y] = ACTIONS(1070),
    [aux_sym__bareword_token1] = ACTIONS(1072),
    [sym_number] = ACTIONS(1074),
    [anon_sym_true] = ACTIONS(1076),
    [anon_sym_false] = ACTIONS(1076),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(1078),
    [sym__open_fileglob_bracket] = ACTIONS(1080),
    [sym__PERLY_HEREDOC] = ACTIONS(1082),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1084),
    [sym__filetest] = ACTIONS(1086),
  },
  [611] = {
    [sym__PERLY_BRACE_OPEN] = STATE(237),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1463),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(611),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(243),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(243),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(245),
  },
  [612] = {
    [sym__PERLY_BRACE_OPEN] = STATE(237),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1352),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(612),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [613] = {
    [sym__PERLY_BRACE_OPEN] = STATE(237),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1464),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(613),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(243),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(243),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(245),
  },
  [614] = {
    [sym__PERLY_BRACE_OPEN] = STATE(238),
    [sym__subscripted] = STATE(1915),
    [sym_container_variable] = STATE(3851),
    [sym_array_element_expression] = STATE(1916),
    [sym_hash_element_expression] = STATE(1916),
    [sym_coderef_call_expression] = STATE(1916),
    [sym_anonymous_slice_expression] = STATE(1916),
    [sym_slice_container_variable] = STATE(3852),
    [sym_slice_expression] = STATE(2342),
    [sym_keyval_container_variable] = STATE(3853),
    [sym_keyval_expression] = STATE(2342),
    [sym__term] = STATE(2304),
    [sym_readline_expression] = STATE(2342),
    [sym_fileglob_expression] = STATE(2342),
    [sym_assignment_expression] = STATE(2342),
    [sym_binary_expression] = STATE(2342),
    [sym_equality_expression] = STATE(2342),
    [sym_relational_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2342),
    [sym_preinc_expression] = STATE(2342),
    [sym_postinc_expression] = STATE(2342),
    [sym_conditional_expression] = STATE(2342),
    [sym_refgen_expression] = STATE(2342),
    [sym_anonymous_array_expression] = STATE(2342),
    [sym_anonymous_hash_expression] = STATE(2342),
    [sym_anonymous_subroutine_expression] = STATE(2342),
    [sym_anonymous_method_expression] = STATE(2342),
    [sym_do_expression] = STATE(2342),
    [sym_eval_expression] = STATE(2342),
    [sym_await_expression] = STATE(2342),
    [sym_variable_declaration] = STATE(2342),
    [sym_localization_expression] = STATE(2342),
    [sym_stub_expression] = STATE(2342),
    [sym_scalar_deref_expression] = STATE(2342),
    [sym_array_deref_expression] = STATE(2342),
    [sym_arraylen_deref_expression] = STATE(2342),
    [sym_hash_deref_expression] = STATE(2342),
    [sym_amper_deref_expression] = STATE(2342),
    [sym_glob_deref_expression] = STATE(2342),
    [sym_require_expression] = STATE(2342),
    [sym_require_version_expression] = STATE(2342),
    [sym_func0op_call_expression] = STATE(2342),
    [sym_func1op_call_expression] = STATE(2342),
    [sym_map_grep_expression] = STATE(2342),
    [sym_sort_expression] = STATE(2342),
    [sym_loopex_expression] = STATE(2342),
    [sym_goto_expression] = STATE(2342),
    [sym_return_expression] = STATE(2342),
    [sym_undef_expression] = STATE(2342),
    [sym__listop] = STATE(2342),
    [sym_function_call_expression] = STATE(2343),
    [sym_ambiguous_function_call_expression] = STATE(2343),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(2343),
    [sym_scalar] = STATE(2342),
    [sym_array] = STATE(2342),
    [sym__SUB_AMPER] = STATE(2739),
    [sym__GLOB_STAR] = STATE(2741),
    [sym_hash] = STATE(2342),
    [sym_arraylen] = STATE(2342),
    [sym_amper_sub] = STATE(2181),
    [sym_glob] = STATE(2183),
    [sym_glob_slot_expression] = STATE(2342),
    [sym__literal] = STATE(2342),
    [sym__apostrophe] = STATE(3277),
    [sym__quotation_mark] = STATE(2481),
    [sym__backtick] = STATE(2482),
    [sym__search_slash] = STATE(2447),
    [sym_string_literal] = STATE(2353),
    [sym_interpolated_string_literal] = STATE(2353),
    [sym_quoted_word_list] = STATE(2193),
    [sym_command_string] = STATE(2353),
    [sym_quoted_regexp] = STATE(2353),
    [sym_match_regexp] = STATE(2353),
    [sym_substitution_regexp] = STATE(2353),
    [sym_transliteration_expression] = STATE(2353),
    [sym_heredoc_token] = STATE(2342),
    [sym_command_heredoc_token] = STATE(2342),
    [sym_heredoc_content] = STATE(614),
    [sym_autoquoted_bareword] = STATE(2342),
    [sym_bareword] = STATE(2342),
    [sym_primitive] = STATE(2342),
    [sym_boolean] = STATE(2323),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3366),
    [sym__identifier] = ACTIONS(1072),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1008),
    [anon_sym_AT] = ACTIONS(1010),
    [anon_sym_my] = ACTIONS(1012),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(1014),
    [anon_sym_method] = ACTIONS(1016),
    [anon_sym_LPAREN] = ACTIONS(1018),
    [anon_sym_continue] = ACTIONS(1020),
    [anon_sym_state] = ACTIONS(1012),
    [anon_sym_our] = ACTIONS(1012),
    [anon_sym_LBRACK] = ACTIONS(1022),
    [anon_sym_LT_LT] = ACTIONS(1523),
    [anon_sym_SLASH_SLASH] = ACTIONS(1525),
    [anon_sym_PLUS] = ACTIONS(1024),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_TILDE] = ACTIONS(1024),
    [anon_sym_BANG] = ACTIONS(1024),
    [anon_sym_PLUS_PLUS] = ACTIONS(1529),
    [anon_sym_DASH_DASH] = ACTIONS(1529),
    [anon_sym_BSLASH] = ACTIONS(1026),
    [anon_sym_do] = ACTIONS(1028),
    [anon_sym_eval] = ACTIONS(1030),
    [anon_sym_await] = ACTIONS(1032),
    [anon_sym_field] = ACTIONS(1012),
    [anon_sym_local] = ACTIONS(1034),
    [anon_sym_dynamically] = ACTIONS(1034),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1036),
    [anon_sym_require] = ACTIONS(1038),
    [anon_sym_map] = ACTIONS(1040),
    [anon_sym_grep] = ACTIONS(1040),
    [anon_sym_sort] = ACTIONS(1042),
    [anon_sym_goto] = ACTIONS(1044),
    [anon_sym_return] = ACTIONS(1046),
    [anon_sym_undef] = ACTIONS(1048),
    [anon_sym_PERCENT2] = ACTIONS(1050),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1052),
    [anon_sym_next] = ACTIONS(1052),
    [anon_sym_redo] = ACTIONS(1052),
    [anon_sym___FILE__] = ACTIONS(1020),
    [anon_sym___LINE__] = ACTIONS(1020),
    [anon_sym___PACKAGE__] = ACTIONS(1020),
    [anon_sym___SUB__] = ACTIONS(1020),
    [anon_sym_break] = ACTIONS(1020),
    [anon_sym_fork] = ACTIONS(1020),
    [anon_sym_getppid] = ACTIONS(1020),
    [anon_sym_time] = ACTIONS(1020),
    [anon_sym_times] = ACTIONS(1020),
    [anon_sym_wait] = ACTIONS(1020),
    [anon_sym_wantarray] = ACTIONS(1020),
    [anon_sym_abs] = ACTIONS(1054),
    [anon_sym_alarm] = ACTIONS(1054),
    [anon_sym_chop] = ACTIONS(1054),
    [anon_sym_chdir] = ACTIONS(1054),
    [anon_sym_close] = ACTIONS(1054),
    [anon_sym_closedir] = ACTIONS(1054),
    [anon_sym_caller] = ACTIONS(1054),
    [anon_sym_chomp] = ACTIONS(1054),
    [anon_sym_chr] = ACTIONS(1054),
    [anon_sym_cos] = ACTIONS(1054),
    [anon_sym_chroot] = ACTIONS(1054),
    [anon_sym_defined] = ACTIONS(1054),
    [anon_sym_delete] = ACTIONS(1054),
    [anon_sym_dbmclose] = ACTIONS(1054),
    [anon_sym_exists] = ACTIONS(1054),
    [anon_sym_exit] = ACTIONS(1054),
    [anon_sym_eof] = ACTIONS(1054),
    [anon_sym_exp] = ACTIONS(1054),
    [anon_sym_each] = ACTIONS(1054),
    [anon_sym_fc] = ACTIONS(1054),
    [anon_sym_fileno] = ACTIONS(1054),
    [anon_sym_gmtime] = ACTIONS(1054),
    [anon_sym_getc] = ACTIONS(1054),
    [anon_sym_getpgrp] = ACTIONS(1054),
    [anon_sym_getprotobyname] = ACTIONS(1054),
    [anon_sym_getpwname] = ACTIONS(1054),
    [anon_sym_getpwuid] = ACTIONS(1054),
    [anon_sym_getpeername] = ACTIONS(1054),
    [anon_sym_getnetbyname] = ACTIONS(1054),
    [anon_sym_getsockname] = ACTIONS(1054),
    [anon_sym_getgrnam] = ACTIONS(1054),
    [anon_sym_getgrgid] = ACTIONS(1054),
    [anon_sym_hex] = ACTIONS(1054),
    [anon_sym_int] = ACTIONS(1054),
    [anon_sym_keys] = ACTIONS(1054),
    [anon_sym_lc] = ACTIONS(1054),
    [anon_sym_lcfirst] = ACTIONS(1054),
    [anon_sym_length] = ACTIONS(1054),
    [anon_sym_localtime] = ACTIONS(1054),
    [anon_sym_log] = ACTIONS(1054),
    [anon_sym_lock] = ACTIONS(1054),
    [anon_sym_lstat] = ACTIONS(1054),
    [anon_sym_oct] = ACTIONS(1054),
    [anon_sym_ord] = ACTIONS(1054),
    [anon_sym_prototype] = ACTIONS(1054),
    [anon_sym_pop] = ACTIONS(1054),
    [anon_sym_pos] = ACTIONS(1054),
    [anon_sym_quotemeta] = ACTIONS(1054),
    [anon_sym_reset] = ACTIONS(1054),
    [anon_sym_rand] = ACTIONS(1054),
    [anon_sym_rmdir] = ACTIONS(1054),
    [anon_sym_readdir] = ACTIONS(1054),
    [anon_sym_readline] = ACTIONS(1054),
    [anon_sym_readpipe] = ACTIONS(1054),
    [anon_sym_rewinddir] = ACTIONS(1054),
    [anon_sym_readlink] = ACTIONS(1054),
    [anon_sym_ref] = ACTIONS(1054),
    [anon_sym_scalar] = ACTIONS(1054),
    [anon_sym_shift] = ACTIONS(1054),
    [anon_sym_sin] = ACTIONS(1054),
    [anon_sym_sleep] = ACTIONS(1054),
    [anon_sym_sqrt] = ACTIONS(1054),
    [anon_sym_srand] = ACTIONS(1054),
    [anon_sym_stat] = ACTIONS(1054),
    [anon_sym_study] = ACTIONS(1054),
    [anon_sym_tell] = ACTIONS(1054),
    [anon_sym_telldir] = ACTIONS(1054),
    [anon_sym_tied] = ACTIONS(1054),
    [anon_sym_uc] = ACTIONS(1054),
    [anon_sym_ucfirst] = ACTIONS(1054),
    [anon_sym_untie] = ACTIONS(1054),
    [anon_sym_umask] = ACTIONS(1054),
    [anon_sym_values] = ACTIONS(1054),
    [anon_sym_write] = ACTIONS(1054),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1056),
    [anon_sym_qq] = ACTIONS(1058),
    [anon_sym_qw] = ACTIONS(1060),
    [anon_sym_qx] = ACTIONS(1062),
    [anon_sym_qr] = ACTIONS(1064),
    [anon_sym_m] = ACTIONS(1066),
    [anon_sym_s] = ACTIONS(1068),
    [anon_sym_tr] = ACTIONS(1070),
    [anon_sym_y] = ACTIONS(1070),
    [aux_sym__bareword_token1] = ACTIONS(1072),
    [sym_number] = ACTIONS(1074),
    [anon_sym_true] = ACTIONS(1076),
    [anon_sym_false] = ACTIONS(1076),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(1078),
    [sym__open_fileglob_bracket] = ACTIONS(1080),
    [sym__PERLY_HEREDOC] = ACTIONS(1082),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1084),
    [sym__filetest] = ACTIONS(1086),
  },
  [615] = {
    [sym__PERLY_BRACE_OPEN] = STATE(235),
    [sym__subscripted] = STATE(1532),
    [sym_container_variable] = STATE(3855),
    [sym_array_element_expression] = STATE(1533),
    [sym_hash_element_expression] = STATE(1533),
    [sym_coderef_call_expression] = STATE(1533),
    [sym_anonymous_slice_expression] = STATE(1533),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(1967),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(1967),
    [sym__term] = STATE(2001),
    [sym_readline_expression] = STATE(1967),
    [sym_fileglob_expression] = STATE(1967),
    [sym_assignment_expression] = STATE(1967),
    [sym_binary_expression] = STATE(1967),
    [sym_equality_expression] = STATE(1967),
    [sym_relational_expression] = STATE(1967),
    [sym_unary_expression] = STATE(1967),
    [sym_preinc_expression] = STATE(1967),
    [sym_postinc_expression] = STATE(1967),
    [sym_conditional_expression] = STATE(1967),
    [sym_refgen_expression] = STATE(1967),
    [sym_anonymous_array_expression] = STATE(1967),
    [sym_anonymous_hash_expression] = STATE(1967),
    [sym_anonymous_subroutine_expression] = STATE(1967),
    [sym_anonymous_method_expression] = STATE(1967),
    [sym_do_expression] = STATE(1967),
    [sym_eval_expression] = STATE(1967),
    [sym_await_expression] = STATE(1967),
    [sym_variable_declaration] = STATE(1967),
    [sym_localization_expression] = STATE(1967),
    [sym_stub_expression] = STATE(1967),
    [sym_scalar_deref_expression] = STATE(1967),
    [sym_array_deref_expression] = STATE(1967),
    [sym_arraylen_deref_expression] = STATE(1967),
    [sym_hash_deref_expression] = STATE(1967),
    [sym_amper_deref_expression] = STATE(1967),
    [sym_glob_deref_expression] = STATE(1967),
    [sym_require_expression] = STATE(1967),
    [sym_require_version_expression] = STATE(1967),
    [sym_func0op_call_expression] = STATE(1967),
    [sym_func1op_call_expression] = STATE(1967),
    [sym_map_grep_expression] = STATE(1967),
    [sym_sort_expression] = STATE(1967),
    [sym_loopex_expression] = STATE(1967),
    [sym_goto_expression] = STATE(1967),
    [sym_return_expression] = STATE(1967),
    [sym_undef_expression] = STATE(1967),
    [sym__listop] = STATE(1967),
    [sym_function_call_expression] = STATE(1968),
    [sym_ambiguous_function_call_expression] = STATE(1968),
    [sym_function] = STATE(389),
    [sym_method_call_expression] = STATE(1968),
    [sym_scalar] = STATE(1967),
    [sym_array] = STATE(1967),
    [sym__SUB_AMPER] = STATE(2686),
    [sym__GLOB_STAR] = STATE(2687),
    [sym_hash] = STATE(1967),
    [sym_arraylen] = STATE(1967),
    [sym_amper_sub] = STATE(1785),
    [sym_glob] = STATE(1786),
    [sym_glob_slot_expression] = STATE(1967),
    [sym__literal] = STATE(1967),
    [sym__apostrophe] = STATE(3328),
    [sym__quotation_mark] = STATE(2501),
    [sym__backtick] = STATE(2502),
    [sym__search_slash] = STATE(2454),
    [sym_string_literal] = STATE(1969),
    [sym_interpolated_string_literal] = STATE(1969),
    [sym_quoted_word_list] = STATE(1787),
    [sym_command_string] = STATE(1969),
    [sym_quoted_regexp] = STATE(1969),
    [sym_match_regexp] = STATE(1969),
    [sym_substitution_regexp] = STATE(1969),
    [sym_transliteration_expression] = STATE(1969),
    [sym_heredoc_token] = STATE(1967),
    [sym_command_heredoc_token] = STATE(1967),
    [sym_heredoc_content] = STATE(615),
    [sym_autoquoted_bareword] = STATE(1967),
    [sym_bareword] = STATE(1967),
    [sym_primitive] = STATE(1967),
    [sym_boolean] = STATE(1965),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3342),
    [sym__identifier] = ACTIONS(575),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1752),
    [anon_sym_AT] = ACTIONS(1671),
    [anon_sym_my] = ACTIONS(517),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(519),
    [anon_sym_method] = ACTIONS(521),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_continue] = ACTIONS(525),
    [anon_sym_state] = ACTIONS(517),
    [anon_sym_our] = ACTIONS(517),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_LT_LT] = ACTIONS(1673),
    [anon_sym_SLASH_SLASH] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(1677),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_PLUS_PLUS] = ACTIONS(1679),
    [anon_sym_DASH_DASH] = ACTIONS(1679),
    [anon_sym_BSLASH] = ACTIONS(531),
    [anon_sym_do] = ACTIONS(533),
    [anon_sym_eval] = ACTIONS(535),
    [anon_sym_await] = ACTIONS(537),
    [anon_sym_field] = ACTIONS(517),
    [anon_sym_local] = ACTIONS(539),
    [anon_sym_dynamically] = ACTIONS(539),
    [anon_sym_DOLLAR_POUND] = ACTIONS(541),
    [anon_sym_require] = ACTIONS(543),
    [anon_sym_map] = ACTIONS(545),
    [anon_sym_grep] = ACTIONS(545),
    [anon_sym_sort] = ACTIONS(547),
    [anon_sym_goto] = ACTIONS(549),
    [anon_sym_return] = ACTIONS(551),
    [anon_sym_undef] = ACTIONS(553),
    [anon_sym_PERCENT2] = ACTIONS(1681),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(555),
    [anon_sym_next] = ACTIONS(555),
    [anon_sym_redo] = ACTIONS(555),
    [anon_sym___FILE__] = ACTIONS(525),
    [anon_sym___LINE__] = ACTIONS(525),
    [anon_sym___PACKAGE__] = ACTIONS(525),
    [anon_sym___SUB__] = ACTIONS(525),
    [anon_sym_break] = ACTIONS(525),
    [anon_sym_fork] = ACTIONS(525),
    [anon_sym_getppid] = ACTIONS(525),
    [anon_sym_time] = ACTIONS(525),
    [anon_sym_times] = ACTIONS(525),
    [anon_sym_wait] = ACTIONS(525),
    [anon_sym_wantarray] = ACTIONS(525),
    [anon_sym_abs] = ACTIONS(557),
    [anon_sym_alarm] = ACTIONS(557),
    [anon_sym_chop] = ACTIONS(557),
    [anon_sym_chdir] = ACTIONS(557),
    [anon_sym_close] = ACTIONS(557),
    [anon_sym_closedir] = ACTIONS(557),
    [anon_sym_caller] = ACTIONS(557),
    [anon_sym_chomp] = ACTIONS(557),
    [anon_sym_chr] = ACTIONS(557),
    [anon_sym_cos] = ACTIONS(557),
    [anon_sym_chroot] = ACTIONS(557),
    [anon_sym_defined] = ACTIONS(557),
    [anon_sym_delete] = ACTIONS(557),
    [anon_sym_dbmclose] = ACTIONS(557),
    [anon_sym_exists] = ACTIONS(557),
    [anon_sym_exit] = ACTIONS(557),
    [anon_sym_eof] = ACTIONS(557),
    [anon_sym_exp] = ACTIONS(557),
    [anon_sym_each] = ACTIONS(557),
    [anon_sym_fc] = ACTIONS(557),
    [anon_sym_fileno] = ACTIONS(557),
    [anon_sym_gmtime] = ACTIONS(557),
    [anon_sym_getc] = ACTIONS(557),
    [anon_sym_getpgrp] = ACTIONS(557),
    [anon_sym_getprotobyname] = ACTIONS(557),
    [anon_sym_getpwname] = ACTIONS(557),
    [anon_sym_getpwuid] = ACTIONS(557),
    [anon_sym_getpeername] = ACTIONS(557),
    [anon_sym_getnetbyname] = ACTIONS(557),
    [anon_sym_getsockname] = ACTIONS(557),
    [anon_sym_getgrnam] = ACTIONS(557),
    [anon_sym_getgrgid] = ACTIONS(557),
    [anon_sym_hex] = ACTIONS(557),
    [anon_sym_int] = ACTIONS(557),
    [anon_sym_keys] = ACTIONS(557),
    [anon_sym_lc] = ACTIONS(557),
    [anon_sym_lcfirst] = ACTIONS(557),
    [anon_sym_length] = ACTIONS(557),
    [anon_sym_localtime] = ACTIONS(557),
    [anon_sym_log] = ACTIONS(557),
    [anon_sym_lock] = ACTIONS(557),
    [anon_sym_lstat] = ACTIONS(557),
    [anon_sym_oct] = ACTIONS(557),
    [anon_sym_ord] = ACTIONS(557),
    [anon_sym_prototype] = ACTIONS(557),
    [anon_sym_pop] = ACTIONS(557),
    [anon_sym_pos] = ACTIONS(557),
    [anon_sym_quotemeta] = ACTIONS(557),
    [anon_sym_reset] = ACTIONS(557),
    [anon_sym_rand] = ACTIONS(557),
    [anon_sym_rmdir] = ACTIONS(557),
    [anon_sym_readdir] = ACTIONS(557),
    [anon_sym_readline] = ACTIONS(557),
    [anon_sym_readpipe] = ACTIONS(557),
    [anon_sym_rewinddir] = ACTIONS(557),
    [anon_sym_readlink] = ACTIONS(557),
    [anon_sym_ref] = ACTIONS(557),
    [anon_sym_scalar] = ACTIONS(557),
    [anon_sym_shift] = ACTIONS(557),
    [anon_sym_sin] = ACTIONS(557),
    [anon_sym_sleep] = ACTIONS(557),
    [anon_sym_sqrt] = ACTIONS(557),
    [anon_sym_srand] = ACTIONS(557),
    [anon_sym_stat] = ACTIONS(557),
    [anon_sym_study] = ACTIONS(557),
    [anon_sym_tell] = ACTIONS(557),
    [anon_sym_telldir] = ACTIONS(557),
    [anon_sym_tied] = ACTIONS(557),
    [anon_sym_uc] = ACTIONS(557),
    [anon_sym_ucfirst] = ACTIONS(557),
    [anon_sym_untie] = ACTIONS(557),
    [anon_sym_umask] = ACTIONS(557),
    [anon_sym_values] = ACTIONS(557),
    [anon_sym_write] = ACTIONS(557),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(559),
    [anon_sym_qq] = ACTIONS(561),
    [anon_sym_qw] = ACTIONS(563),
    [anon_sym_qx] = ACTIONS(565),
    [anon_sym_qr] = ACTIONS(567),
    [anon_sym_m] = ACTIONS(569),
    [anon_sym_s] = ACTIONS(571),
    [anon_sym_tr] = ACTIONS(573),
    [anon_sym_y] = ACTIONS(573),
    [aux_sym__bareword_token1] = ACTIONS(575),
    [sym_number] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(581),
    [sym__open_fileglob_bracket] = ACTIONS(583),
    [sym__PERLY_HEREDOC] = ACTIONS(585),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(587),
    [sym__filetest] = ACTIONS(589),
  },
  [616] = {
    [sym__PERLY_BRACE_OPEN] = STATE(238),
    [sym__subscripted] = STATE(1915),
    [sym_container_variable] = STATE(3851),
    [sym_array_element_expression] = STATE(1916),
    [sym_hash_element_expression] = STATE(1916),
    [sym_coderef_call_expression] = STATE(1916),
    [sym_anonymous_slice_expression] = STATE(1916),
    [sym_slice_container_variable] = STATE(3852),
    [sym_slice_expression] = STATE(2342),
    [sym_keyval_container_variable] = STATE(3853),
    [sym_keyval_expression] = STATE(2342),
    [sym__term] = STATE(2305),
    [sym_readline_expression] = STATE(2342),
    [sym_fileglob_expression] = STATE(2342),
    [sym_assignment_expression] = STATE(2342),
    [sym_binary_expression] = STATE(2342),
    [sym_equality_expression] = STATE(2342),
    [sym_relational_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2342),
    [sym_preinc_expression] = STATE(2342),
    [sym_postinc_expression] = STATE(2342),
    [sym_conditional_expression] = STATE(2342),
    [sym_refgen_expression] = STATE(2342),
    [sym_anonymous_array_expression] = STATE(2342),
    [sym_anonymous_hash_expression] = STATE(2342),
    [sym_anonymous_subroutine_expression] = STATE(2342),
    [sym_anonymous_method_expression] = STATE(2342),
    [sym_do_expression] = STATE(2342),
    [sym_eval_expression] = STATE(2342),
    [sym_await_expression] = STATE(2342),
    [sym_variable_declaration] = STATE(2342),
    [sym_localization_expression] = STATE(2342),
    [sym_stub_expression] = STATE(2342),
    [sym_scalar_deref_expression] = STATE(2342),
    [sym_array_deref_expression] = STATE(2342),
    [sym_arraylen_deref_expression] = STATE(2342),
    [sym_hash_deref_expression] = STATE(2342),
    [sym_amper_deref_expression] = STATE(2342),
    [sym_glob_deref_expression] = STATE(2342),
    [sym_require_expression] = STATE(2342),
    [sym_require_version_expression] = STATE(2342),
    [sym_func0op_call_expression] = STATE(2342),
    [sym_func1op_call_expression] = STATE(2342),
    [sym_map_grep_expression] = STATE(2342),
    [sym_sort_expression] = STATE(2342),
    [sym_loopex_expression] = STATE(2342),
    [sym_goto_expression] = STATE(2342),
    [sym_return_expression] = STATE(2342),
    [sym_undef_expression] = STATE(2342),
    [sym__listop] = STATE(2342),
    [sym_function_call_expression] = STATE(2343),
    [sym_ambiguous_function_call_expression] = STATE(2343),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(2343),
    [sym_scalar] = STATE(2342),
    [sym_array] = STATE(2342),
    [sym__SUB_AMPER] = STATE(2739),
    [sym__GLOB_STAR] = STATE(2741),
    [sym_hash] = STATE(2342),
    [sym_arraylen] = STATE(2342),
    [sym_amper_sub] = STATE(2181),
    [sym_glob] = STATE(2183),
    [sym_glob_slot_expression] = STATE(2342),
    [sym__literal] = STATE(2342),
    [sym__apostrophe] = STATE(3277),
    [sym__quotation_mark] = STATE(2481),
    [sym__backtick] = STATE(2482),
    [sym__search_slash] = STATE(2447),
    [sym_string_literal] = STATE(2353),
    [sym_interpolated_string_literal] = STATE(2353),
    [sym_quoted_word_list] = STATE(2193),
    [sym_command_string] = STATE(2353),
    [sym_quoted_regexp] = STATE(2353),
    [sym_match_regexp] = STATE(2353),
    [sym_substitution_regexp] = STATE(2353),
    [sym_transliteration_expression] = STATE(2353),
    [sym_heredoc_token] = STATE(2342),
    [sym_command_heredoc_token] = STATE(2342),
    [sym_heredoc_content] = STATE(616),
    [sym_autoquoted_bareword] = STATE(2342),
    [sym_bareword] = STATE(2342),
    [sym_primitive] = STATE(2342),
    [sym_boolean] = STATE(2323),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3366),
    [sym__identifier] = ACTIONS(1072),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1008),
    [anon_sym_AT] = ACTIONS(1010),
    [anon_sym_my] = ACTIONS(1012),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(1014),
    [anon_sym_method] = ACTIONS(1016),
    [anon_sym_LPAREN] = ACTIONS(1018),
    [anon_sym_continue] = ACTIONS(1020),
    [anon_sym_state] = ACTIONS(1012),
    [anon_sym_our] = ACTIONS(1012),
    [anon_sym_LBRACK] = ACTIONS(1022),
    [anon_sym_LT_LT] = ACTIONS(1523),
    [anon_sym_SLASH_SLASH] = ACTIONS(1525),
    [anon_sym_PLUS] = ACTIONS(1024),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_TILDE] = ACTIONS(1024),
    [anon_sym_BANG] = ACTIONS(1024),
    [anon_sym_PLUS_PLUS] = ACTIONS(1529),
    [anon_sym_DASH_DASH] = ACTIONS(1529),
    [anon_sym_BSLASH] = ACTIONS(1026),
    [anon_sym_do] = ACTIONS(1028),
    [anon_sym_eval] = ACTIONS(1030),
    [anon_sym_await] = ACTIONS(1032),
    [anon_sym_field] = ACTIONS(1012),
    [anon_sym_local] = ACTIONS(1034),
    [anon_sym_dynamically] = ACTIONS(1034),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1036),
    [anon_sym_require] = ACTIONS(1038),
    [anon_sym_map] = ACTIONS(1040),
    [anon_sym_grep] = ACTIONS(1040),
    [anon_sym_sort] = ACTIONS(1042),
    [anon_sym_goto] = ACTIONS(1044),
    [anon_sym_return] = ACTIONS(1046),
    [anon_sym_undef] = ACTIONS(1048),
    [anon_sym_PERCENT2] = ACTIONS(1050),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1052),
    [anon_sym_next] = ACTIONS(1052),
    [anon_sym_redo] = ACTIONS(1052),
    [anon_sym___FILE__] = ACTIONS(1020),
    [anon_sym___LINE__] = ACTIONS(1020),
    [anon_sym___PACKAGE__] = ACTIONS(1020),
    [anon_sym___SUB__] = ACTIONS(1020),
    [anon_sym_break] = ACTIONS(1020),
    [anon_sym_fork] = ACTIONS(1020),
    [anon_sym_getppid] = ACTIONS(1020),
    [anon_sym_time] = ACTIONS(1020),
    [anon_sym_times] = ACTIONS(1020),
    [anon_sym_wait] = ACTIONS(1020),
    [anon_sym_wantarray] = ACTIONS(1020),
    [anon_sym_abs] = ACTIONS(1054),
    [anon_sym_alarm] = ACTIONS(1054),
    [anon_sym_chop] = ACTIONS(1054),
    [anon_sym_chdir] = ACTIONS(1054),
    [anon_sym_close] = ACTIONS(1054),
    [anon_sym_closedir] = ACTIONS(1054),
    [anon_sym_caller] = ACTIONS(1054),
    [anon_sym_chomp] = ACTIONS(1054),
    [anon_sym_chr] = ACTIONS(1054),
    [anon_sym_cos] = ACTIONS(1054),
    [anon_sym_chroot] = ACTIONS(1054),
    [anon_sym_defined] = ACTIONS(1054),
    [anon_sym_delete] = ACTIONS(1054),
    [anon_sym_dbmclose] = ACTIONS(1054),
    [anon_sym_exists] = ACTIONS(1054),
    [anon_sym_exit] = ACTIONS(1054),
    [anon_sym_eof] = ACTIONS(1054),
    [anon_sym_exp] = ACTIONS(1054),
    [anon_sym_each] = ACTIONS(1054),
    [anon_sym_fc] = ACTIONS(1054),
    [anon_sym_fileno] = ACTIONS(1054),
    [anon_sym_gmtime] = ACTIONS(1054),
    [anon_sym_getc] = ACTIONS(1054),
    [anon_sym_getpgrp] = ACTIONS(1054),
    [anon_sym_getprotobyname] = ACTIONS(1054),
    [anon_sym_getpwname] = ACTIONS(1054),
    [anon_sym_getpwuid] = ACTIONS(1054),
    [anon_sym_getpeername] = ACTIONS(1054),
    [anon_sym_getnetbyname] = ACTIONS(1054),
    [anon_sym_getsockname] = ACTIONS(1054),
    [anon_sym_getgrnam] = ACTIONS(1054),
    [anon_sym_getgrgid] = ACTIONS(1054),
    [anon_sym_hex] = ACTIONS(1054),
    [anon_sym_int] = ACTIONS(1054),
    [anon_sym_keys] = ACTIONS(1054),
    [anon_sym_lc] = ACTIONS(1054),
    [anon_sym_lcfirst] = ACTIONS(1054),
    [anon_sym_length] = ACTIONS(1054),
    [anon_sym_localtime] = ACTIONS(1054),
    [anon_sym_log] = ACTIONS(1054),
    [anon_sym_lock] = ACTIONS(1054),
    [anon_sym_lstat] = ACTIONS(1054),
    [anon_sym_oct] = ACTIONS(1054),
    [anon_sym_ord] = ACTIONS(1054),
    [anon_sym_prototype] = ACTIONS(1054),
    [anon_sym_pop] = ACTIONS(1054),
    [anon_sym_pos] = ACTIONS(1054),
    [anon_sym_quotemeta] = ACTIONS(1054),
    [anon_sym_reset] = ACTIONS(1054),
    [anon_sym_rand] = ACTIONS(1054),
    [anon_sym_rmdir] = ACTIONS(1054),
    [anon_sym_readdir] = ACTIONS(1054),
    [anon_sym_readline] = ACTIONS(1054),
    [anon_sym_readpipe] = ACTIONS(1054),
    [anon_sym_rewinddir] = ACTIONS(1054),
    [anon_sym_readlink] = ACTIONS(1054),
    [anon_sym_ref] = ACTIONS(1054),
    [anon_sym_scalar] = ACTIONS(1054),
    [anon_sym_shift] = ACTIONS(1054),
    [anon_sym_sin] = ACTIONS(1054),
    [anon_sym_sleep] = ACTIONS(1054),
    [anon_sym_sqrt] = ACTIONS(1054),
    [anon_sym_srand] = ACTIONS(1054),
    [anon_sym_stat] = ACTIONS(1054),
    [anon_sym_study] = ACTIONS(1054),
    [anon_sym_tell] = ACTIONS(1054),
    [anon_sym_telldir] = ACTIONS(1054),
    [anon_sym_tied] = ACTIONS(1054),
    [anon_sym_uc] = ACTIONS(1054),
    [anon_sym_ucfirst] = ACTIONS(1054),
    [anon_sym_untie] = ACTIONS(1054),
    [anon_sym_umask] = ACTIONS(1054),
    [anon_sym_values] = ACTIONS(1054),
    [anon_sym_write] = ACTIONS(1054),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1056),
    [anon_sym_qq] = ACTIONS(1058),
    [anon_sym_qw] = ACTIONS(1060),
    [anon_sym_qx] = ACTIONS(1062),
    [anon_sym_qr] = ACTIONS(1064),
    [anon_sym_m] = ACTIONS(1066),
    [anon_sym_s] = ACTIONS(1068),
    [anon_sym_tr] = ACTIONS(1070),
    [anon_sym_y] = ACTIONS(1070),
    [aux_sym__bareword_token1] = ACTIONS(1072),
    [sym_number] = ACTIONS(1074),
    [anon_sym_true] = ACTIONS(1076),
    [anon_sym_false] = ACTIONS(1076),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(1078),
    [sym__open_fileglob_bracket] = ACTIONS(1080),
    [sym__PERLY_HEREDOC] = ACTIONS(1082),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1084),
    [sym__filetest] = ACTIONS(1086),
  },
  [617] = {
    [sym__PERLY_BRACE_OPEN] = STATE(237),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1465),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(617),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(243),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(243),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(245),
  },
  [618] = {
    [sym__PERLY_BRACE_OPEN] = STATE(238),
    [sym__subscripted] = STATE(1915),
    [sym_container_variable] = STATE(3851),
    [sym_array_element_expression] = STATE(1916),
    [sym_hash_element_expression] = STATE(1916),
    [sym_coderef_call_expression] = STATE(1916),
    [sym_anonymous_slice_expression] = STATE(1916),
    [sym_slice_container_variable] = STATE(3852),
    [sym_slice_expression] = STATE(2342),
    [sym_keyval_container_variable] = STATE(3853),
    [sym_keyval_expression] = STATE(2342),
    [sym__term] = STATE(2306),
    [sym_readline_expression] = STATE(2342),
    [sym_fileglob_expression] = STATE(2342),
    [sym_assignment_expression] = STATE(2342),
    [sym_binary_expression] = STATE(2342),
    [sym_equality_expression] = STATE(2342),
    [sym_relational_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2342),
    [sym_preinc_expression] = STATE(2342),
    [sym_postinc_expression] = STATE(2342),
    [sym_conditional_expression] = STATE(2342),
    [sym_refgen_expression] = STATE(2342),
    [sym_anonymous_array_expression] = STATE(2342),
    [sym_anonymous_hash_expression] = STATE(2342),
    [sym_anonymous_subroutine_expression] = STATE(2342),
    [sym_anonymous_method_expression] = STATE(2342),
    [sym_do_expression] = STATE(2342),
    [sym_eval_expression] = STATE(2342),
    [sym_await_expression] = STATE(2342),
    [sym_variable_declaration] = STATE(2342),
    [sym_localization_expression] = STATE(2342),
    [sym_stub_expression] = STATE(2342),
    [sym_scalar_deref_expression] = STATE(2342),
    [sym_array_deref_expression] = STATE(2342),
    [sym_arraylen_deref_expression] = STATE(2342),
    [sym_hash_deref_expression] = STATE(2342),
    [sym_amper_deref_expression] = STATE(2342),
    [sym_glob_deref_expression] = STATE(2342),
    [sym_require_expression] = STATE(2342),
    [sym_require_version_expression] = STATE(2342),
    [sym_func0op_call_expression] = STATE(2342),
    [sym_func1op_call_expression] = STATE(2342),
    [sym_map_grep_expression] = STATE(2342),
    [sym_sort_expression] = STATE(2342),
    [sym_loopex_expression] = STATE(2342),
    [sym_goto_expression] = STATE(2342),
    [sym_return_expression] = STATE(2342),
    [sym_undef_expression] = STATE(2342),
    [sym__listop] = STATE(2342),
    [sym_function_call_expression] = STATE(2343),
    [sym_ambiguous_function_call_expression] = STATE(2343),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(2343),
    [sym_scalar] = STATE(2342),
    [sym_array] = STATE(2342),
    [sym__SUB_AMPER] = STATE(2739),
    [sym__GLOB_STAR] = STATE(2741),
    [sym_hash] = STATE(2342),
    [sym_arraylen] = STATE(2342),
    [sym_amper_sub] = STATE(2181),
    [sym_glob] = STATE(2183),
    [sym_glob_slot_expression] = STATE(2342),
    [sym__literal] = STATE(2342),
    [sym__apostrophe] = STATE(3277),
    [sym__quotation_mark] = STATE(2481),
    [sym__backtick] = STATE(2482),
    [sym__search_slash] = STATE(2447),
    [sym_string_literal] = STATE(2353),
    [sym_interpolated_string_literal] = STATE(2353),
    [sym_quoted_word_list] = STATE(2193),
    [sym_command_string] = STATE(2353),
    [sym_quoted_regexp] = STATE(2353),
    [sym_match_regexp] = STATE(2353),
    [sym_substitution_regexp] = STATE(2353),
    [sym_transliteration_expression] = STATE(2353),
    [sym_heredoc_token] = STATE(2342),
    [sym_command_heredoc_token] = STATE(2342),
    [sym_heredoc_content] = STATE(618),
    [sym_autoquoted_bareword] = STATE(2342),
    [sym_bareword] = STATE(2342),
    [sym_primitive] = STATE(2342),
    [sym_boolean] = STATE(2323),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3366),
    [sym__identifier] = ACTIONS(1072),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1008),
    [anon_sym_AT] = ACTIONS(1010),
    [anon_sym_my] = ACTIONS(1012),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(1014),
    [anon_sym_method] = ACTIONS(1016),
    [anon_sym_LPAREN] = ACTIONS(1018),
    [anon_sym_continue] = ACTIONS(1020),
    [anon_sym_state] = ACTIONS(1012),
    [anon_sym_our] = ACTIONS(1012),
    [anon_sym_LBRACK] = ACTIONS(1022),
    [anon_sym_LT_LT] = ACTIONS(1523),
    [anon_sym_SLASH_SLASH] = ACTIONS(1525),
    [anon_sym_PLUS] = ACTIONS(1024),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_TILDE] = ACTIONS(1024),
    [anon_sym_BANG] = ACTIONS(1024),
    [anon_sym_PLUS_PLUS] = ACTIONS(1529),
    [anon_sym_DASH_DASH] = ACTIONS(1529),
    [anon_sym_BSLASH] = ACTIONS(1026),
    [anon_sym_do] = ACTIONS(1028),
    [anon_sym_eval] = ACTIONS(1030),
    [anon_sym_await] = ACTIONS(1032),
    [anon_sym_field] = ACTIONS(1012),
    [anon_sym_local] = ACTIONS(1034),
    [anon_sym_dynamically] = ACTIONS(1034),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1036),
    [anon_sym_require] = ACTIONS(1038),
    [anon_sym_map] = ACTIONS(1040),
    [anon_sym_grep] = ACTIONS(1040),
    [anon_sym_sort] = ACTIONS(1042),
    [anon_sym_goto] = ACTIONS(1044),
    [anon_sym_return] = ACTIONS(1046),
    [anon_sym_undef] = ACTIONS(1048),
    [anon_sym_PERCENT2] = ACTIONS(1050),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1052),
    [anon_sym_next] = ACTIONS(1052),
    [anon_sym_redo] = ACTIONS(1052),
    [anon_sym___FILE__] = ACTIONS(1020),
    [anon_sym___LINE__] = ACTIONS(1020),
    [anon_sym___PACKAGE__] = ACTIONS(1020),
    [anon_sym___SUB__] = ACTIONS(1020),
    [anon_sym_break] = ACTIONS(1020),
    [anon_sym_fork] = ACTIONS(1020),
    [anon_sym_getppid] = ACTIONS(1020),
    [anon_sym_time] = ACTIONS(1020),
    [anon_sym_times] = ACTIONS(1020),
    [anon_sym_wait] = ACTIONS(1020),
    [anon_sym_wantarray] = ACTIONS(1020),
    [anon_sym_abs] = ACTIONS(1054),
    [anon_sym_alarm] = ACTIONS(1054),
    [anon_sym_chop] = ACTIONS(1054),
    [anon_sym_chdir] = ACTIONS(1054),
    [anon_sym_close] = ACTIONS(1054),
    [anon_sym_closedir] = ACTIONS(1054),
    [anon_sym_caller] = ACTIONS(1054),
    [anon_sym_chomp] = ACTIONS(1054),
    [anon_sym_chr] = ACTIONS(1054),
    [anon_sym_cos] = ACTIONS(1054),
    [anon_sym_chroot] = ACTIONS(1054),
    [anon_sym_defined] = ACTIONS(1054),
    [anon_sym_delete] = ACTIONS(1054),
    [anon_sym_dbmclose] = ACTIONS(1054),
    [anon_sym_exists] = ACTIONS(1054),
    [anon_sym_exit] = ACTIONS(1054),
    [anon_sym_eof] = ACTIONS(1054),
    [anon_sym_exp] = ACTIONS(1054),
    [anon_sym_each] = ACTIONS(1054),
    [anon_sym_fc] = ACTIONS(1054),
    [anon_sym_fileno] = ACTIONS(1054),
    [anon_sym_gmtime] = ACTIONS(1054),
    [anon_sym_getc] = ACTIONS(1054),
    [anon_sym_getpgrp] = ACTIONS(1054),
    [anon_sym_getprotobyname] = ACTIONS(1054),
    [anon_sym_getpwname] = ACTIONS(1054),
    [anon_sym_getpwuid] = ACTIONS(1054),
    [anon_sym_getpeername] = ACTIONS(1054),
    [anon_sym_getnetbyname] = ACTIONS(1054),
    [anon_sym_getsockname] = ACTIONS(1054),
    [anon_sym_getgrnam] = ACTIONS(1054),
    [anon_sym_getgrgid] = ACTIONS(1054),
    [anon_sym_hex] = ACTIONS(1054),
    [anon_sym_int] = ACTIONS(1054),
    [anon_sym_keys] = ACTIONS(1054),
    [anon_sym_lc] = ACTIONS(1054),
    [anon_sym_lcfirst] = ACTIONS(1054),
    [anon_sym_length] = ACTIONS(1054),
    [anon_sym_localtime] = ACTIONS(1054),
    [anon_sym_log] = ACTIONS(1054),
    [anon_sym_lock] = ACTIONS(1054),
    [anon_sym_lstat] = ACTIONS(1054),
    [anon_sym_oct] = ACTIONS(1054),
    [anon_sym_ord] = ACTIONS(1054),
    [anon_sym_prototype] = ACTIONS(1054),
    [anon_sym_pop] = ACTIONS(1054),
    [anon_sym_pos] = ACTIONS(1054),
    [anon_sym_quotemeta] = ACTIONS(1054),
    [anon_sym_reset] = ACTIONS(1054),
    [anon_sym_rand] = ACTIONS(1054),
    [anon_sym_rmdir] = ACTIONS(1054),
    [anon_sym_readdir] = ACTIONS(1054),
    [anon_sym_readline] = ACTIONS(1054),
    [anon_sym_readpipe] = ACTIONS(1054),
    [anon_sym_rewinddir] = ACTIONS(1054),
    [anon_sym_readlink] = ACTIONS(1054),
    [anon_sym_ref] = ACTIONS(1054),
    [anon_sym_scalar] = ACTIONS(1054),
    [anon_sym_shift] = ACTIONS(1054),
    [anon_sym_sin] = ACTIONS(1054),
    [anon_sym_sleep] = ACTIONS(1054),
    [anon_sym_sqrt] = ACTIONS(1054),
    [anon_sym_srand] = ACTIONS(1054),
    [anon_sym_stat] = ACTIONS(1054),
    [anon_sym_study] = ACTIONS(1054),
    [anon_sym_tell] = ACTIONS(1054),
    [anon_sym_telldir] = ACTIONS(1054),
    [anon_sym_tied] = ACTIONS(1054),
    [anon_sym_uc] = ACTIONS(1054),
    [anon_sym_ucfirst] = ACTIONS(1054),
    [anon_sym_untie] = ACTIONS(1054),
    [anon_sym_umask] = ACTIONS(1054),
    [anon_sym_values] = ACTIONS(1054),
    [anon_sym_write] = ACTIONS(1054),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1056),
    [anon_sym_qq] = ACTIONS(1058),
    [anon_sym_qw] = ACTIONS(1060),
    [anon_sym_qx] = ACTIONS(1062),
    [anon_sym_qr] = ACTIONS(1064),
    [anon_sym_m] = ACTIONS(1066),
    [anon_sym_s] = ACTIONS(1068),
    [anon_sym_tr] = ACTIONS(1070),
    [anon_sym_y] = ACTIONS(1070),
    [aux_sym__bareword_token1] = ACTIONS(1072),
    [sym_number] = ACTIONS(1074),
    [anon_sym_true] = ACTIONS(1076),
    [anon_sym_false] = ACTIONS(1076),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(1078),
    [sym__open_fileglob_bracket] = ACTIONS(1080),
    [sym__PERLY_HEREDOC] = ACTIONS(1082),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1084),
    [sym__filetest] = ACTIONS(1086),
  },
  [619] = {
    [sym__PERLY_BRACE_OPEN] = STATE(238),
    [sym__subscripted] = STATE(1915),
    [sym_container_variable] = STATE(3851),
    [sym_array_element_expression] = STATE(1916),
    [sym_hash_element_expression] = STATE(1916),
    [sym_coderef_call_expression] = STATE(1916),
    [sym_anonymous_slice_expression] = STATE(1916),
    [sym_slice_container_variable] = STATE(3852),
    [sym_slice_expression] = STATE(2342),
    [sym_keyval_container_variable] = STATE(3853),
    [sym_keyval_expression] = STATE(2342),
    [sym__term] = STATE(2307),
    [sym_readline_expression] = STATE(2342),
    [sym_fileglob_expression] = STATE(2342),
    [sym_assignment_expression] = STATE(2342),
    [sym_binary_expression] = STATE(2342),
    [sym_equality_expression] = STATE(2342),
    [sym_relational_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2342),
    [sym_preinc_expression] = STATE(2342),
    [sym_postinc_expression] = STATE(2342),
    [sym_conditional_expression] = STATE(2342),
    [sym_refgen_expression] = STATE(2342),
    [sym_anonymous_array_expression] = STATE(2342),
    [sym_anonymous_hash_expression] = STATE(2342),
    [sym_anonymous_subroutine_expression] = STATE(2342),
    [sym_anonymous_method_expression] = STATE(2342),
    [sym_do_expression] = STATE(2342),
    [sym_eval_expression] = STATE(2342),
    [sym_await_expression] = STATE(2342),
    [sym_variable_declaration] = STATE(2342),
    [sym_localization_expression] = STATE(2342),
    [sym_stub_expression] = STATE(2342),
    [sym_scalar_deref_expression] = STATE(2342),
    [sym_array_deref_expression] = STATE(2342),
    [sym_arraylen_deref_expression] = STATE(2342),
    [sym_hash_deref_expression] = STATE(2342),
    [sym_amper_deref_expression] = STATE(2342),
    [sym_glob_deref_expression] = STATE(2342),
    [sym_require_expression] = STATE(2342),
    [sym_require_version_expression] = STATE(2342),
    [sym_func0op_call_expression] = STATE(2342),
    [sym_func1op_call_expression] = STATE(2342),
    [sym_map_grep_expression] = STATE(2342),
    [sym_sort_expression] = STATE(2342),
    [sym_loopex_expression] = STATE(2342),
    [sym_goto_expression] = STATE(2342),
    [sym_return_expression] = STATE(2342),
    [sym_undef_expression] = STATE(2342),
    [sym__listop] = STATE(2342),
    [sym_function_call_expression] = STATE(2343),
    [sym_ambiguous_function_call_expression] = STATE(2343),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(2343),
    [sym_scalar] = STATE(2342),
    [sym_array] = STATE(2342),
    [sym__SUB_AMPER] = STATE(2739),
    [sym__GLOB_STAR] = STATE(2741),
    [sym_hash] = STATE(2342),
    [sym_arraylen] = STATE(2342),
    [sym_amper_sub] = STATE(2181),
    [sym_glob] = STATE(2183),
    [sym_glob_slot_expression] = STATE(2342),
    [sym__literal] = STATE(2342),
    [sym__apostrophe] = STATE(3277),
    [sym__quotation_mark] = STATE(2481),
    [sym__backtick] = STATE(2482),
    [sym__search_slash] = STATE(2447),
    [sym_string_literal] = STATE(2353),
    [sym_interpolated_string_literal] = STATE(2353),
    [sym_quoted_word_list] = STATE(2193),
    [sym_command_string] = STATE(2353),
    [sym_quoted_regexp] = STATE(2353),
    [sym_match_regexp] = STATE(2353),
    [sym_substitution_regexp] = STATE(2353),
    [sym_transliteration_expression] = STATE(2353),
    [sym_heredoc_token] = STATE(2342),
    [sym_command_heredoc_token] = STATE(2342),
    [sym_heredoc_content] = STATE(619),
    [sym_autoquoted_bareword] = STATE(2342),
    [sym_bareword] = STATE(2342),
    [sym_primitive] = STATE(2342),
    [sym_boolean] = STATE(2323),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3366),
    [sym__identifier] = ACTIONS(1072),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1008),
    [anon_sym_AT] = ACTIONS(1010),
    [anon_sym_my] = ACTIONS(1012),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(1014),
    [anon_sym_method] = ACTIONS(1016),
    [anon_sym_LPAREN] = ACTIONS(1018),
    [anon_sym_continue] = ACTIONS(1020),
    [anon_sym_state] = ACTIONS(1012),
    [anon_sym_our] = ACTIONS(1012),
    [anon_sym_LBRACK] = ACTIONS(1022),
    [anon_sym_LT_LT] = ACTIONS(1523),
    [anon_sym_SLASH_SLASH] = ACTIONS(1525),
    [anon_sym_PLUS] = ACTIONS(1024),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_TILDE] = ACTIONS(1024),
    [anon_sym_BANG] = ACTIONS(1024),
    [anon_sym_PLUS_PLUS] = ACTIONS(1529),
    [anon_sym_DASH_DASH] = ACTIONS(1529),
    [anon_sym_BSLASH] = ACTIONS(1026),
    [anon_sym_do] = ACTIONS(1028),
    [anon_sym_eval] = ACTIONS(1030),
    [anon_sym_await] = ACTIONS(1032),
    [anon_sym_field] = ACTIONS(1012),
    [anon_sym_local] = ACTIONS(1034),
    [anon_sym_dynamically] = ACTIONS(1034),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1036),
    [anon_sym_require] = ACTIONS(1038),
    [anon_sym_map] = ACTIONS(1040),
    [anon_sym_grep] = ACTIONS(1040),
    [anon_sym_sort] = ACTIONS(1042),
    [anon_sym_goto] = ACTIONS(1044),
    [anon_sym_return] = ACTIONS(1046),
    [anon_sym_undef] = ACTIONS(1048),
    [anon_sym_PERCENT2] = ACTIONS(1050),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1052),
    [anon_sym_next] = ACTIONS(1052),
    [anon_sym_redo] = ACTIONS(1052),
    [anon_sym___FILE__] = ACTIONS(1020),
    [anon_sym___LINE__] = ACTIONS(1020),
    [anon_sym___PACKAGE__] = ACTIONS(1020),
    [anon_sym___SUB__] = ACTIONS(1020),
    [anon_sym_break] = ACTIONS(1020),
    [anon_sym_fork] = ACTIONS(1020),
    [anon_sym_getppid] = ACTIONS(1020),
    [anon_sym_time] = ACTIONS(1020),
    [anon_sym_times] = ACTIONS(1020),
    [anon_sym_wait] = ACTIONS(1020),
    [anon_sym_wantarray] = ACTIONS(1020),
    [anon_sym_abs] = ACTIONS(1054),
    [anon_sym_alarm] = ACTIONS(1054),
    [anon_sym_chop] = ACTIONS(1054),
    [anon_sym_chdir] = ACTIONS(1054),
    [anon_sym_close] = ACTIONS(1054),
    [anon_sym_closedir] = ACTIONS(1054),
    [anon_sym_caller] = ACTIONS(1054),
    [anon_sym_chomp] = ACTIONS(1054),
    [anon_sym_chr] = ACTIONS(1054),
    [anon_sym_cos] = ACTIONS(1054),
    [anon_sym_chroot] = ACTIONS(1054),
    [anon_sym_defined] = ACTIONS(1054),
    [anon_sym_delete] = ACTIONS(1054),
    [anon_sym_dbmclose] = ACTIONS(1054),
    [anon_sym_exists] = ACTIONS(1054),
    [anon_sym_exit] = ACTIONS(1054),
    [anon_sym_eof] = ACTIONS(1054),
    [anon_sym_exp] = ACTIONS(1054),
    [anon_sym_each] = ACTIONS(1054),
    [anon_sym_fc] = ACTIONS(1054),
    [anon_sym_fileno] = ACTIONS(1054),
    [anon_sym_gmtime] = ACTIONS(1054),
    [anon_sym_getc] = ACTIONS(1054),
    [anon_sym_getpgrp] = ACTIONS(1054),
    [anon_sym_getprotobyname] = ACTIONS(1054),
    [anon_sym_getpwname] = ACTIONS(1054),
    [anon_sym_getpwuid] = ACTIONS(1054),
    [anon_sym_getpeername] = ACTIONS(1054),
    [anon_sym_getnetbyname] = ACTIONS(1054),
    [anon_sym_getsockname] = ACTIONS(1054),
    [anon_sym_getgrnam] = ACTIONS(1054),
    [anon_sym_getgrgid] = ACTIONS(1054),
    [anon_sym_hex] = ACTIONS(1054),
    [anon_sym_int] = ACTIONS(1054),
    [anon_sym_keys] = ACTIONS(1054),
    [anon_sym_lc] = ACTIONS(1054),
    [anon_sym_lcfirst] = ACTIONS(1054),
    [anon_sym_length] = ACTIONS(1054),
    [anon_sym_localtime] = ACTIONS(1054),
    [anon_sym_log] = ACTIONS(1054),
    [anon_sym_lock] = ACTIONS(1054),
    [anon_sym_lstat] = ACTIONS(1054),
    [anon_sym_oct] = ACTIONS(1054),
    [anon_sym_ord] = ACTIONS(1054),
    [anon_sym_prototype] = ACTIONS(1054),
    [anon_sym_pop] = ACTIONS(1054),
    [anon_sym_pos] = ACTIONS(1054),
    [anon_sym_quotemeta] = ACTIONS(1054),
    [anon_sym_reset] = ACTIONS(1054),
    [anon_sym_rand] = ACTIONS(1054),
    [anon_sym_rmdir] = ACTIONS(1054),
    [anon_sym_readdir] = ACTIONS(1054),
    [anon_sym_readline] = ACTIONS(1054),
    [anon_sym_readpipe] = ACTIONS(1054),
    [anon_sym_rewinddir] = ACTIONS(1054),
    [anon_sym_readlink] = ACTIONS(1054),
    [anon_sym_ref] = ACTIONS(1054),
    [anon_sym_scalar] = ACTIONS(1054),
    [anon_sym_shift] = ACTIONS(1054),
    [anon_sym_sin] = ACTIONS(1054),
    [anon_sym_sleep] = ACTIONS(1054),
    [anon_sym_sqrt] = ACTIONS(1054),
    [anon_sym_srand] = ACTIONS(1054),
    [anon_sym_stat] = ACTIONS(1054),
    [anon_sym_study] = ACTIONS(1054),
    [anon_sym_tell] = ACTIONS(1054),
    [anon_sym_telldir] = ACTIONS(1054),
    [anon_sym_tied] = ACTIONS(1054),
    [anon_sym_uc] = ACTIONS(1054),
    [anon_sym_ucfirst] = ACTIONS(1054),
    [anon_sym_untie] = ACTIONS(1054),
    [anon_sym_umask] = ACTIONS(1054),
    [anon_sym_values] = ACTIONS(1054),
    [anon_sym_write] = ACTIONS(1054),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1056),
    [anon_sym_qq] = ACTIONS(1058),
    [anon_sym_qw] = ACTIONS(1060),
    [anon_sym_qx] = ACTIONS(1062),
    [anon_sym_qr] = ACTIONS(1064),
    [anon_sym_m] = ACTIONS(1066),
    [anon_sym_s] = ACTIONS(1068),
    [anon_sym_tr] = ACTIONS(1070),
    [anon_sym_y] = ACTIONS(1070),
    [aux_sym__bareword_token1] = ACTIONS(1072),
    [sym_number] = ACTIONS(1074),
    [anon_sym_true] = ACTIONS(1076),
    [anon_sym_false] = ACTIONS(1076),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(1078),
    [sym__open_fileglob_bracket] = ACTIONS(1080),
    [sym__PERLY_HEREDOC] = ACTIONS(1082),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1084),
    [sym__filetest] = ACTIONS(1086),
  },
  [620] = {
    [sym__PERLY_BRACE_OPEN] = STATE(238),
    [sym__subscripted] = STATE(1915),
    [sym_container_variable] = STATE(3851),
    [sym_array_element_expression] = STATE(1916),
    [sym_hash_element_expression] = STATE(1916),
    [sym_coderef_call_expression] = STATE(1916),
    [sym_anonymous_slice_expression] = STATE(1916),
    [sym_slice_container_variable] = STATE(3852),
    [sym_slice_expression] = STATE(2342),
    [sym_keyval_container_variable] = STATE(3853),
    [sym_keyval_expression] = STATE(2342),
    [sym__term] = STATE(2309),
    [sym_readline_expression] = STATE(2342),
    [sym_fileglob_expression] = STATE(2342),
    [sym_assignment_expression] = STATE(2342),
    [sym_binary_expression] = STATE(2342),
    [sym_equality_expression] = STATE(2342),
    [sym_relational_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2342),
    [sym_preinc_expression] = STATE(2342),
    [sym_postinc_expression] = STATE(2342),
    [sym_conditional_expression] = STATE(2342),
    [sym_refgen_expression] = STATE(2342),
    [sym_anonymous_array_expression] = STATE(2342),
    [sym_anonymous_hash_expression] = STATE(2342),
    [sym_anonymous_subroutine_expression] = STATE(2342),
    [sym_anonymous_method_expression] = STATE(2342),
    [sym_do_expression] = STATE(2342),
    [sym_eval_expression] = STATE(2342),
    [sym_await_expression] = STATE(2342),
    [sym_variable_declaration] = STATE(2342),
    [sym_localization_expression] = STATE(2342),
    [sym_stub_expression] = STATE(2342),
    [sym_scalar_deref_expression] = STATE(2342),
    [sym_array_deref_expression] = STATE(2342),
    [sym_arraylen_deref_expression] = STATE(2342),
    [sym_hash_deref_expression] = STATE(2342),
    [sym_amper_deref_expression] = STATE(2342),
    [sym_glob_deref_expression] = STATE(2342),
    [sym_require_expression] = STATE(2342),
    [sym_require_version_expression] = STATE(2342),
    [sym_func0op_call_expression] = STATE(2342),
    [sym_func1op_call_expression] = STATE(2342),
    [sym_map_grep_expression] = STATE(2342),
    [sym_sort_expression] = STATE(2342),
    [sym_loopex_expression] = STATE(2342),
    [sym_goto_expression] = STATE(2342),
    [sym_return_expression] = STATE(2342),
    [sym_undef_expression] = STATE(2342),
    [sym__listop] = STATE(2342),
    [sym_function_call_expression] = STATE(2343),
    [sym_ambiguous_function_call_expression] = STATE(2343),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(2343),
    [sym_scalar] = STATE(2342),
    [sym_array] = STATE(2342),
    [sym__SUB_AMPER] = STATE(2739),
    [sym__GLOB_STAR] = STATE(2741),
    [sym_hash] = STATE(2342),
    [sym_arraylen] = STATE(2342),
    [sym_amper_sub] = STATE(2181),
    [sym_glob] = STATE(2183),
    [sym_glob_slot_expression] = STATE(2342),
    [sym__literal] = STATE(2342),
    [sym__apostrophe] = STATE(3277),
    [sym__quotation_mark] = STATE(2481),
    [sym__backtick] = STATE(2482),
    [sym__search_slash] = STATE(2447),
    [sym_string_literal] = STATE(2353),
    [sym_interpolated_string_literal] = STATE(2353),
    [sym_quoted_word_list] = STATE(2193),
    [sym_command_string] = STATE(2353),
    [sym_quoted_regexp] = STATE(2353),
    [sym_match_regexp] = STATE(2353),
    [sym_substitution_regexp] = STATE(2353),
    [sym_transliteration_expression] = STATE(2353),
    [sym_heredoc_token] = STATE(2342),
    [sym_command_heredoc_token] = STATE(2342),
    [sym_heredoc_content] = STATE(620),
    [sym_autoquoted_bareword] = STATE(2342),
    [sym_bareword] = STATE(2342),
    [sym_primitive] = STATE(2342),
    [sym_boolean] = STATE(2323),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3366),
    [sym__identifier] = ACTIONS(1072),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1008),
    [anon_sym_AT] = ACTIONS(1010),
    [anon_sym_my] = ACTIONS(1012),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(1014),
    [anon_sym_method] = ACTIONS(1016),
    [anon_sym_LPAREN] = ACTIONS(1018),
    [anon_sym_continue] = ACTIONS(1020),
    [anon_sym_state] = ACTIONS(1012),
    [anon_sym_our] = ACTIONS(1012),
    [anon_sym_LBRACK] = ACTIONS(1022),
    [anon_sym_LT_LT] = ACTIONS(1523),
    [anon_sym_SLASH_SLASH] = ACTIONS(1525),
    [anon_sym_PLUS] = ACTIONS(1024),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_TILDE] = ACTIONS(1024),
    [anon_sym_BANG] = ACTIONS(1024),
    [anon_sym_PLUS_PLUS] = ACTIONS(1529),
    [anon_sym_DASH_DASH] = ACTIONS(1529),
    [anon_sym_BSLASH] = ACTIONS(1026),
    [anon_sym_do] = ACTIONS(1028),
    [anon_sym_eval] = ACTIONS(1030),
    [anon_sym_await] = ACTIONS(1032),
    [anon_sym_field] = ACTIONS(1012),
    [anon_sym_local] = ACTIONS(1034),
    [anon_sym_dynamically] = ACTIONS(1034),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1036),
    [anon_sym_require] = ACTIONS(1038),
    [anon_sym_map] = ACTIONS(1040),
    [anon_sym_grep] = ACTIONS(1040),
    [anon_sym_sort] = ACTIONS(1042),
    [anon_sym_goto] = ACTIONS(1044),
    [anon_sym_return] = ACTIONS(1046),
    [anon_sym_undef] = ACTIONS(1048),
    [anon_sym_PERCENT2] = ACTIONS(1050),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1052),
    [anon_sym_next] = ACTIONS(1052),
    [anon_sym_redo] = ACTIONS(1052),
    [anon_sym___FILE__] = ACTIONS(1020),
    [anon_sym___LINE__] = ACTIONS(1020),
    [anon_sym___PACKAGE__] = ACTIONS(1020),
    [anon_sym___SUB__] = ACTIONS(1020),
    [anon_sym_break] = ACTIONS(1020),
    [anon_sym_fork] = ACTIONS(1020),
    [anon_sym_getppid] = ACTIONS(1020),
    [anon_sym_time] = ACTIONS(1020),
    [anon_sym_times] = ACTIONS(1020),
    [anon_sym_wait] = ACTIONS(1020),
    [anon_sym_wantarray] = ACTIONS(1020),
    [anon_sym_abs] = ACTIONS(1054),
    [anon_sym_alarm] = ACTIONS(1054),
    [anon_sym_chop] = ACTIONS(1054),
    [anon_sym_chdir] = ACTIONS(1054),
    [anon_sym_close] = ACTIONS(1054),
    [anon_sym_closedir] = ACTIONS(1054),
    [anon_sym_caller] = ACTIONS(1054),
    [anon_sym_chomp] = ACTIONS(1054),
    [anon_sym_chr] = ACTIONS(1054),
    [anon_sym_cos] = ACTIONS(1054),
    [anon_sym_chroot] = ACTIONS(1054),
    [anon_sym_defined] = ACTIONS(1054),
    [anon_sym_delete] = ACTIONS(1054),
    [anon_sym_dbmclose] = ACTIONS(1054),
    [anon_sym_exists] = ACTIONS(1054),
    [anon_sym_exit] = ACTIONS(1054),
    [anon_sym_eof] = ACTIONS(1054),
    [anon_sym_exp] = ACTIONS(1054),
    [anon_sym_each] = ACTIONS(1054),
    [anon_sym_fc] = ACTIONS(1054),
    [anon_sym_fileno] = ACTIONS(1054),
    [anon_sym_gmtime] = ACTIONS(1054),
    [anon_sym_getc] = ACTIONS(1054),
    [anon_sym_getpgrp] = ACTIONS(1054),
    [anon_sym_getprotobyname] = ACTIONS(1054),
    [anon_sym_getpwname] = ACTIONS(1054),
    [anon_sym_getpwuid] = ACTIONS(1054),
    [anon_sym_getpeername] = ACTIONS(1054),
    [anon_sym_getnetbyname] = ACTIONS(1054),
    [anon_sym_getsockname] = ACTIONS(1054),
    [anon_sym_getgrnam] = ACTIONS(1054),
    [anon_sym_getgrgid] = ACTIONS(1054),
    [anon_sym_hex] = ACTIONS(1054),
    [anon_sym_int] = ACTIONS(1054),
    [anon_sym_keys] = ACTIONS(1054),
    [anon_sym_lc] = ACTIONS(1054),
    [anon_sym_lcfirst] = ACTIONS(1054),
    [anon_sym_length] = ACTIONS(1054),
    [anon_sym_localtime] = ACTIONS(1054),
    [anon_sym_log] = ACTIONS(1054),
    [anon_sym_lock] = ACTIONS(1054),
    [anon_sym_lstat] = ACTIONS(1054),
    [anon_sym_oct] = ACTIONS(1054),
    [anon_sym_ord] = ACTIONS(1054),
    [anon_sym_prototype] = ACTIONS(1054),
    [anon_sym_pop] = ACTIONS(1054),
    [anon_sym_pos] = ACTIONS(1054),
    [anon_sym_quotemeta] = ACTIONS(1054),
    [anon_sym_reset] = ACTIONS(1054),
    [anon_sym_rand] = ACTIONS(1054),
    [anon_sym_rmdir] = ACTIONS(1054),
    [anon_sym_readdir] = ACTIONS(1054),
    [anon_sym_readline] = ACTIONS(1054),
    [anon_sym_readpipe] = ACTIONS(1054),
    [anon_sym_rewinddir] = ACTIONS(1054),
    [anon_sym_readlink] = ACTIONS(1054),
    [anon_sym_ref] = ACTIONS(1054),
    [anon_sym_scalar] = ACTIONS(1054),
    [anon_sym_shift] = ACTIONS(1054),
    [anon_sym_sin] = ACTIONS(1054),
    [anon_sym_sleep] = ACTIONS(1054),
    [anon_sym_sqrt] = ACTIONS(1054),
    [anon_sym_srand] = ACTIONS(1054),
    [anon_sym_stat] = ACTIONS(1054),
    [anon_sym_study] = ACTIONS(1054),
    [anon_sym_tell] = ACTIONS(1054),
    [anon_sym_telldir] = ACTIONS(1054),
    [anon_sym_tied] = ACTIONS(1054),
    [anon_sym_uc] = ACTIONS(1054),
    [anon_sym_ucfirst] = ACTIONS(1054),
    [anon_sym_untie] = ACTIONS(1054),
    [anon_sym_umask] = ACTIONS(1054),
    [anon_sym_values] = ACTIONS(1054),
    [anon_sym_write] = ACTIONS(1054),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1056),
    [anon_sym_qq] = ACTIONS(1058),
    [anon_sym_qw] = ACTIONS(1060),
    [anon_sym_qx] = ACTIONS(1062),
    [anon_sym_qr] = ACTIONS(1064),
    [anon_sym_m] = ACTIONS(1066),
    [anon_sym_s] = ACTIONS(1068),
    [anon_sym_tr] = ACTIONS(1070),
    [anon_sym_y] = ACTIONS(1070),
    [aux_sym__bareword_token1] = ACTIONS(1072),
    [sym_number] = ACTIONS(1074),
    [anon_sym_true] = ACTIONS(1076),
    [anon_sym_false] = ACTIONS(1076),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(1078),
    [sym__open_fileglob_bracket] = ACTIONS(1080),
    [sym__PERLY_HEREDOC] = ACTIONS(1082),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1084),
    [sym__filetest] = ACTIONS(1086),
  },
  [621] = {
    [sym__PERLY_BRACE_OPEN] = STATE(235),
    [sym__subscripted] = STATE(1532),
    [sym_container_variable] = STATE(3855),
    [sym_array_element_expression] = STATE(1533),
    [sym_hash_element_expression] = STATE(1533),
    [sym_coderef_call_expression] = STATE(1533),
    [sym_anonymous_slice_expression] = STATE(1533),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(1967),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(1967),
    [sym__term] = STATE(1917),
    [sym_readline_expression] = STATE(1967),
    [sym_fileglob_expression] = STATE(1967),
    [sym_assignment_expression] = STATE(1967),
    [sym_binary_expression] = STATE(1967),
    [sym_equality_expression] = STATE(1967),
    [sym_relational_expression] = STATE(1967),
    [sym_unary_expression] = STATE(1967),
    [sym_preinc_expression] = STATE(1967),
    [sym_postinc_expression] = STATE(1967),
    [sym_conditional_expression] = STATE(1967),
    [sym_refgen_expression] = STATE(1967),
    [sym_anonymous_array_expression] = STATE(1967),
    [sym_anonymous_hash_expression] = STATE(1967),
    [sym_anonymous_subroutine_expression] = STATE(1967),
    [sym_anonymous_method_expression] = STATE(1967),
    [sym_do_expression] = STATE(1967),
    [sym_eval_expression] = STATE(1967),
    [sym_await_expression] = STATE(1967),
    [sym_variable_declaration] = STATE(1967),
    [sym_localization_expression] = STATE(1967),
    [sym_stub_expression] = STATE(1967),
    [sym_scalar_deref_expression] = STATE(1967),
    [sym_array_deref_expression] = STATE(1967),
    [sym_arraylen_deref_expression] = STATE(1967),
    [sym_hash_deref_expression] = STATE(1967),
    [sym_amper_deref_expression] = STATE(1967),
    [sym_glob_deref_expression] = STATE(1967),
    [sym_require_expression] = STATE(1967),
    [sym_require_version_expression] = STATE(1967),
    [sym_func0op_call_expression] = STATE(1967),
    [sym_func1op_call_expression] = STATE(1967),
    [sym_map_grep_expression] = STATE(1967),
    [sym_sort_expression] = STATE(1967),
    [sym_loopex_expression] = STATE(1967),
    [sym_goto_expression] = STATE(1967),
    [sym_return_expression] = STATE(1967),
    [sym_undef_expression] = STATE(1967),
    [sym__listop] = STATE(1967),
    [sym_function_call_expression] = STATE(1968),
    [sym_ambiguous_function_call_expression] = STATE(1968),
    [sym_function] = STATE(389),
    [sym_method_call_expression] = STATE(1968),
    [sym_scalar] = STATE(1967),
    [sym_array] = STATE(1967),
    [sym__SUB_AMPER] = STATE(2686),
    [sym__GLOB_STAR] = STATE(2687),
    [sym_hash] = STATE(1967),
    [sym_arraylen] = STATE(1967),
    [sym_amper_sub] = STATE(1785),
    [sym_glob] = STATE(1786),
    [sym_glob_slot_expression] = STATE(1967),
    [sym__literal] = STATE(1967),
    [sym__apostrophe] = STATE(3328),
    [sym__quotation_mark] = STATE(2501),
    [sym__backtick] = STATE(2502),
    [sym__search_slash] = STATE(2454),
    [sym_string_literal] = STATE(1969),
    [sym_interpolated_string_literal] = STATE(1969),
    [sym_quoted_word_list] = STATE(1787),
    [sym_command_string] = STATE(1969),
    [sym_quoted_regexp] = STATE(1969),
    [sym_match_regexp] = STATE(1969),
    [sym_substitution_regexp] = STATE(1969),
    [sym_transliteration_expression] = STATE(1969),
    [sym_heredoc_token] = STATE(1967),
    [sym_command_heredoc_token] = STATE(1967),
    [sym_heredoc_content] = STATE(621),
    [sym_autoquoted_bareword] = STATE(1967),
    [sym_bareword] = STATE(1967),
    [sym_primitive] = STATE(1967),
    [sym_boolean] = STATE(1965),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3342),
    [sym__identifier] = ACTIONS(575),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1752),
    [anon_sym_AT] = ACTIONS(1671),
    [anon_sym_my] = ACTIONS(517),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(519),
    [anon_sym_method] = ACTIONS(521),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_continue] = ACTIONS(525),
    [anon_sym_state] = ACTIONS(517),
    [anon_sym_our] = ACTIONS(517),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_LT_LT] = ACTIONS(1673),
    [anon_sym_SLASH_SLASH] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(1677),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_PLUS_PLUS] = ACTIONS(1679),
    [anon_sym_DASH_DASH] = ACTIONS(1679),
    [anon_sym_BSLASH] = ACTIONS(531),
    [anon_sym_do] = ACTIONS(533),
    [anon_sym_eval] = ACTIONS(535),
    [anon_sym_await] = ACTIONS(537),
    [anon_sym_field] = ACTIONS(517),
    [anon_sym_local] = ACTIONS(539),
    [anon_sym_dynamically] = ACTIONS(539),
    [anon_sym_DOLLAR_POUND] = ACTIONS(541),
    [anon_sym_require] = ACTIONS(543),
    [anon_sym_map] = ACTIONS(545),
    [anon_sym_grep] = ACTIONS(545),
    [anon_sym_sort] = ACTIONS(547),
    [anon_sym_goto] = ACTIONS(549),
    [anon_sym_return] = ACTIONS(551),
    [anon_sym_undef] = ACTIONS(553),
    [anon_sym_PERCENT2] = ACTIONS(1681),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(555),
    [anon_sym_next] = ACTIONS(555),
    [anon_sym_redo] = ACTIONS(555),
    [anon_sym___FILE__] = ACTIONS(525),
    [anon_sym___LINE__] = ACTIONS(525),
    [anon_sym___PACKAGE__] = ACTIONS(525),
    [anon_sym___SUB__] = ACTIONS(525),
    [anon_sym_break] = ACTIONS(525),
    [anon_sym_fork] = ACTIONS(525),
    [anon_sym_getppid] = ACTIONS(525),
    [anon_sym_time] = ACTIONS(525),
    [anon_sym_times] = ACTIONS(525),
    [anon_sym_wait] = ACTIONS(525),
    [anon_sym_wantarray] = ACTIONS(525),
    [anon_sym_abs] = ACTIONS(557),
    [anon_sym_alarm] = ACTIONS(557),
    [anon_sym_chop] = ACTIONS(557),
    [anon_sym_chdir] = ACTIONS(557),
    [anon_sym_close] = ACTIONS(557),
    [anon_sym_closedir] = ACTIONS(557),
    [anon_sym_caller] = ACTIONS(557),
    [anon_sym_chomp] = ACTIONS(557),
    [anon_sym_chr] = ACTIONS(557),
    [anon_sym_cos] = ACTIONS(557),
    [anon_sym_chroot] = ACTIONS(557),
    [anon_sym_defined] = ACTIONS(557),
    [anon_sym_delete] = ACTIONS(557),
    [anon_sym_dbmclose] = ACTIONS(557),
    [anon_sym_exists] = ACTIONS(557),
    [anon_sym_exit] = ACTIONS(557),
    [anon_sym_eof] = ACTIONS(557),
    [anon_sym_exp] = ACTIONS(557),
    [anon_sym_each] = ACTIONS(557),
    [anon_sym_fc] = ACTIONS(557),
    [anon_sym_fileno] = ACTIONS(557),
    [anon_sym_gmtime] = ACTIONS(557),
    [anon_sym_getc] = ACTIONS(557),
    [anon_sym_getpgrp] = ACTIONS(557),
    [anon_sym_getprotobyname] = ACTIONS(557),
    [anon_sym_getpwname] = ACTIONS(557),
    [anon_sym_getpwuid] = ACTIONS(557),
    [anon_sym_getpeername] = ACTIONS(557),
    [anon_sym_getnetbyname] = ACTIONS(557),
    [anon_sym_getsockname] = ACTIONS(557),
    [anon_sym_getgrnam] = ACTIONS(557),
    [anon_sym_getgrgid] = ACTIONS(557),
    [anon_sym_hex] = ACTIONS(557),
    [anon_sym_int] = ACTIONS(557),
    [anon_sym_keys] = ACTIONS(557),
    [anon_sym_lc] = ACTIONS(557),
    [anon_sym_lcfirst] = ACTIONS(557),
    [anon_sym_length] = ACTIONS(557),
    [anon_sym_localtime] = ACTIONS(557),
    [anon_sym_log] = ACTIONS(557),
    [anon_sym_lock] = ACTIONS(557),
    [anon_sym_lstat] = ACTIONS(557),
    [anon_sym_oct] = ACTIONS(557),
    [anon_sym_ord] = ACTIONS(557),
    [anon_sym_prototype] = ACTIONS(557),
    [anon_sym_pop] = ACTIONS(557),
    [anon_sym_pos] = ACTIONS(557),
    [anon_sym_quotemeta] = ACTIONS(557),
    [anon_sym_reset] = ACTIONS(557),
    [anon_sym_rand] = ACTIONS(557),
    [anon_sym_rmdir] = ACTIONS(557),
    [anon_sym_readdir] = ACTIONS(557),
    [anon_sym_readline] = ACTIONS(557),
    [anon_sym_readpipe] = ACTIONS(557),
    [anon_sym_rewinddir] = ACTIONS(557),
    [anon_sym_readlink] = ACTIONS(557),
    [anon_sym_ref] = ACTIONS(557),
    [anon_sym_scalar] = ACTIONS(557),
    [anon_sym_shift] = ACTIONS(557),
    [anon_sym_sin] = ACTIONS(557),
    [anon_sym_sleep] = ACTIONS(557),
    [anon_sym_sqrt] = ACTIONS(557),
    [anon_sym_srand] = ACTIONS(557),
    [anon_sym_stat] = ACTIONS(557),
    [anon_sym_study] = ACTIONS(557),
    [anon_sym_tell] = ACTIONS(557),
    [anon_sym_telldir] = ACTIONS(557),
    [anon_sym_tied] = ACTIONS(557),
    [anon_sym_uc] = ACTIONS(557),
    [anon_sym_ucfirst] = ACTIONS(557),
    [anon_sym_untie] = ACTIONS(557),
    [anon_sym_umask] = ACTIONS(557),
    [anon_sym_values] = ACTIONS(557),
    [anon_sym_write] = ACTIONS(557),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(559),
    [anon_sym_qq] = ACTIONS(561),
    [anon_sym_qw] = ACTIONS(563),
    [anon_sym_qx] = ACTIONS(565),
    [anon_sym_qr] = ACTIONS(567),
    [anon_sym_m] = ACTIONS(569),
    [anon_sym_s] = ACTIONS(571),
    [anon_sym_tr] = ACTIONS(573),
    [anon_sym_y] = ACTIONS(573),
    [aux_sym__bareword_token1] = ACTIONS(575),
    [sym_number] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(581),
    [sym__open_fileglob_bracket] = ACTIONS(583),
    [sym__PERLY_HEREDOC] = ACTIONS(585),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(587),
    [sym__filetest] = ACTIONS(589),
  },
  [622] = {
    [sym__PERLY_BRACE_OPEN] = STATE(237),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1466),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(622),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(243),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(243),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(245),
  },
  [623] = {
    [sym__PERLY_BRACE_OPEN] = STATE(238),
    [sym__subscripted] = STATE(1915),
    [sym_container_variable] = STATE(3851),
    [sym_array_element_expression] = STATE(1916),
    [sym_hash_element_expression] = STATE(1916),
    [sym_coderef_call_expression] = STATE(1916),
    [sym_anonymous_slice_expression] = STATE(1916),
    [sym_slice_container_variable] = STATE(3852),
    [sym_slice_expression] = STATE(2342),
    [sym_keyval_container_variable] = STATE(3853),
    [sym_keyval_expression] = STATE(2342),
    [sym__term] = STATE(2311),
    [sym_readline_expression] = STATE(2342),
    [sym_fileglob_expression] = STATE(2342),
    [sym_assignment_expression] = STATE(2342),
    [sym_binary_expression] = STATE(2342),
    [sym_equality_expression] = STATE(2342),
    [sym_relational_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2342),
    [sym_preinc_expression] = STATE(2342),
    [sym_postinc_expression] = STATE(2342),
    [sym_conditional_expression] = STATE(2342),
    [sym_refgen_expression] = STATE(2342),
    [sym_anonymous_array_expression] = STATE(2342),
    [sym_anonymous_hash_expression] = STATE(2342),
    [sym_anonymous_subroutine_expression] = STATE(2342),
    [sym_anonymous_method_expression] = STATE(2342),
    [sym_do_expression] = STATE(2342),
    [sym_eval_expression] = STATE(2342),
    [sym_await_expression] = STATE(2342),
    [sym_variable_declaration] = STATE(2342),
    [sym_localization_expression] = STATE(2342),
    [sym_stub_expression] = STATE(2342),
    [sym_scalar_deref_expression] = STATE(2342),
    [sym_array_deref_expression] = STATE(2342),
    [sym_arraylen_deref_expression] = STATE(2342),
    [sym_hash_deref_expression] = STATE(2342),
    [sym_amper_deref_expression] = STATE(2342),
    [sym_glob_deref_expression] = STATE(2342),
    [sym_require_expression] = STATE(2342),
    [sym_require_version_expression] = STATE(2342),
    [sym_func0op_call_expression] = STATE(2342),
    [sym_func1op_call_expression] = STATE(2342),
    [sym_map_grep_expression] = STATE(2342),
    [sym_sort_expression] = STATE(2342),
    [sym_loopex_expression] = STATE(2342),
    [sym_goto_expression] = STATE(2342),
    [sym_return_expression] = STATE(2342),
    [sym_undef_expression] = STATE(2342),
    [sym__listop] = STATE(2342),
    [sym_function_call_expression] = STATE(2343),
    [sym_ambiguous_function_call_expression] = STATE(2343),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(2343),
    [sym_scalar] = STATE(2342),
    [sym_array] = STATE(2342),
    [sym__SUB_AMPER] = STATE(2739),
    [sym__GLOB_STAR] = STATE(2741),
    [sym_hash] = STATE(2342),
    [sym_arraylen] = STATE(2342),
    [sym_amper_sub] = STATE(2181),
    [sym_glob] = STATE(2183),
    [sym_glob_slot_expression] = STATE(2342),
    [sym__literal] = STATE(2342),
    [sym__apostrophe] = STATE(3277),
    [sym__quotation_mark] = STATE(2481),
    [sym__backtick] = STATE(2482),
    [sym__search_slash] = STATE(2447),
    [sym_string_literal] = STATE(2353),
    [sym_interpolated_string_literal] = STATE(2353),
    [sym_quoted_word_list] = STATE(2193),
    [sym_command_string] = STATE(2353),
    [sym_quoted_regexp] = STATE(2353),
    [sym_match_regexp] = STATE(2353),
    [sym_substitution_regexp] = STATE(2353),
    [sym_transliteration_expression] = STATE(2353),
    [sym_heredoc_token] = STATE(2342),
    [sym_command_heredoc_token] = STATE(2342),
    [sym_heredoc_content] = STATE(623),
    [sym_autoquoted_bareword] = STATE(2342),
    [sym_bareword] = STATE(2342),
    [sym_primitive] = STATE(2342),
    [sym_boolean] = STATE(2323),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3366),
    [sym__identifier] = ACTIONS(1072),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1008),
    [anon_sym_AT] = ACTIONS(1010),
    [anon_sym_my] = ACTIONS(1012),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(1014),
    [anon_sym_method] = ACTIONS(1016),
    [anon_sym_LPAREN] = ACTIONS(1018),
    [anon_sym_continue] = ACTIONS(1020),
    [anon_sym_state] = ACTIONS(1012),
    [anon_sym_our] = ACTIONS(1012),
    [anon_sym_LBRACK] = ACTIONS(1022),
    [anon_sym_LT_LT] = ACTIONS(1523),
    [anon_sym_SLASH_SLASH] = ACTIONS(1525),
    [anon_sym_PLUS] = ACTIONS(1024),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_TILDE] = ACTIONS(1024),
    [anon_sym_BANG] = ACTIONS(1024),
    [anon_sym_PLUS_PLUS] = ACTIONS(1529),
    [anon_sym_DASH_DASH] = ACTIONS(1529),
    [anon_sym_BSLASH] = ACTIONS(1026),
    [anon_sym_do] = ACTIONS(1028),
    [anon_sym_eval] = ACTIONS(1030),
    [anon_sym_await] = ACTIONS(1032),
    [anon_sym_field] = ACTIONS(1012),
    [anon_sym_local] = ACTIONS(1034),
    [anon_sym_dynamically] = ACTIONS(1034),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1036),
    [anon_sym_require] = ACTIONS(1038),
    [anon_sym_map] = ACTIONS(1040),
    [anon_sym_grep] = ACTIONS(1040),
    [anon_sym_sort] = ACTIONS(1042),
    [anon_sym_goto] = ACTIONS(1044),
    [anon_sym_return] = ACTIONS(1046),
    [anon_sym_undef] = ACTIONS(1048),
    [anon_sym_PERCENT2] = ACTIONS(1050),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1052),
    [anon_sym_next] = ACTIONS(1052),
    [anon_sym_redo] = ACTIONS(1052),
    [anon_sym___FILE__] = ACTIONS(1020),
    [anon_sym___LINE__] = ACTIONS(1020),
    [anon_sym___PACKAGE__] = ACTIONS(1020),
    [anon_sym___SUB__] = ACTIONS(1020),
    [anon_sym_break] = ACTIONS(1020),
    [anon_sym_fork] = ACTIONS(1020),
    [anon_sym_getppid] = ACTIONS(1020),
    [anon_sym_time] = ACTIONS(1020),
    [anon_sym_times] = ACTIONS(1020),
    [anon_sym_wait] = ACTIONS(1020),
    [anon_sym_wantarray] = ACTIONS(1020),
    [anon_sym_abs] = ACTIONS(1054),
    [anon_sym_alarm] = ACTIONS(1054),
    [anon_sym_chop] = ACTIONS(1054),
    [anon_sym_chdir] = ACTIONS(1054),
    [anon_sym_close] = ACTIONS(1054),
    [anon_sym_closedir] = ACTIONS(1054),
    [anon_sym_caller] = ACTIONS(1054),
    [anon_sym_chomp] = ACTIONS(1054),
    [anon_sym_chr] = ACTIONS(1054),
    [anon_sym_cos] = ACTIONS(1054),
    [anon_sym_chroot] = ACTIONS(1054),
    [anon_sym_defined] = ACTIONS(1054),
    [anon_sym_delete] = ACTIONS(1054),
    [anon_sym_dbmclose] = ACTIONS(1054),
    [anon_sym_exists] = ACTIONS(1054),
    [anon_sym_exit] = ACTIONS(1054),
    [anon_sym_eof] = ACTIONS(1054),
    [anon_sym_exp] = ACTIONS(1054),
    [anon_sym_each] = ACTIONS(1054),
    [anon_sym_fc] = ACTIONS(1054),
    [anon_sym_fileno] = ACTIONS(1054),
    [anon_sym_gmtime] = ACTIONS(1054),
    [anon_sym_getc] = ACTIONS(1054),
    [anon_sym_getpgrp] = ACTIONS(1054),
    [anon_sym_getprotobyname] = ACTIONS(1054),
    [anon_sym_getpwname] = ACTIONS(1054),
    [anon_sym_getpwuid] = ACTIONS(1054),
    [anon_sym_getpeername] = ACTIONS(1054),
    [anon_sym_getnetbyname] = ACTIONS(1054),
    [anon_sym_getsockname] = ACTIONS(1054),
    [anon_sym_getgrnam] = ACTIONS(1054),
    [anon_sym_getgrgid] = ACTIONS(1054),
    [anon_sym_hex] = ACTIONS(1054),
    [anon_sym_int] = ACTIONS(1054),
    [anon_sym_keys] = ACTIONS(1054),
    [anon_sym_lc] = ACTIONS(1054),
    [anon_sym_lcfirst] = ACTIONS(1054),
    [anon_sym_length] = ACTIONS(1054),
    [anon_sym_localtime] = ACTIONS(1054),
    [anon_sym_log] = ACTIONS(1054),
    [anon_sym_lock] = ACTIONS(1054),
    [anon_sym_lstat] = ACTIONS(1054),
    [anon_sym_oct] = ACTIONS(1054),
    [anon_sym_ord] = ACTIONS(1054),
    [anon_sym_prototype] = ACTIONS(1054),
    [anon_sym_pop] = ACTIONS(1054),
    [anon_sym_pos] = ACTIONS(1054),
    [anon_sym_quotemeta] = ACTIONS(1054),
    [anon_sym_reset] = ACTIONS(1054),
    [anon_sym_rand] = ACTIONS(1054),
    [anon_sym_rmdir] = ACTIONS(1054),
    [anon_sym_readdir] = ACTIONS(1054),
    [anon_sym_readline] = ACTIONS(1054),
    [anon_sym_readpipe] = ACTIONS(1054),
    [anon_sym_rewinddir] = ACTIONS(1054),
    [anon_sym_readlink] = ACTIONS(1054),
    [anon_sym_ref] = ACTIONS(1054),
    [anon_sym_scalar] = ACTIONS(1054),
    [anon_sym_shift] = ACTIONS(1054),
    [anon_sym_sin] = ACTIONS(1054),
    [anon_sym_sleep] = ACTIONS(1054),
    [anon_sym_sqrt] = ACTIONS(1054),
    [anon_sym_srand] = ACTIONS(1054),
    [anon_sym_stat] = ACTIONS(1054),
    [anon_sym_study] = ACTIONS(1054),
    [anon_sym_tell] = ACTIONS(1054),
    [anon_sym_telldir] = ACTIONS(1054),
    [anon_sym_tied] = ACTIONS(1054),
    [anon_sym_uc] = ACTIONS(1054),
    [anon_sym_ucfirst] = ACTIONS(1054),
    [anon_sym_untie] = ACTIONS(1054),
    [anon_sym_umask] = ACTIONS(1054),
    [anon_sym_values] = ACTIONS(1054),
    [anon_sym_write] = ACTIONS(1054),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1056),
    [anon_sym_qq] = ACTIONS(1058),
    [anon_sym_qw] = ACTIONS(1060),
    [anon_sym_qx] = ACTIONS(1062),
    [anon_sym_qr] = ACTIONS(1064),
    [anon_sym_m] = ACTIONS(1066),
    [anon_sym_s] = ACTIONS(1068),
    [anon_sym_tr] = ACTIONS(1070),
    [anon_sym_y] = ACTIONS(1070),
    [aux_sym__bareword_token1] = ACTIONS(1072),
    [sym_number] = ACTIONS(1074),
    [anon_sym_true] = ACTIONS(1076),
    [anon_sym_false] = ACTIONS(1076),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(1078),
    [sym__open_fileglob_bracket] = ACTIONS(1080),
    [sym__PERLY_HEREDOC] = ACTIONS(1082),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1084),
    [sym__filetest] = ACTIONS(1086),
  },
  [624] = {
    [sym__PERLY_BRACE_OPEN] = STATE(235),
    [sym__subscripted] = STATE(1532),
    [sym_container_variable] = STATE(3855),
    [sym_array_element_expression] = STATE(1533),
    [sym_hash_element_expression] = STATE(1533),
    [sym_coderef_call_expression] = STATE(1533),
    [sym_anonymous_slice_expression] = STATE(1533),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(1967),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(1967),
    [sym__term] = STATE(1919),
    [sym_readline_expression] = STATE(1967),
    [sym_fileglob_expression] = STATE(1967),
    [sym_assignment_expression] = STATE(1967),
    [sym_binary_expression] = STATE(1967),
    [sym_equality_expression] = STATE(1967),
    [sym_relational_expression] = STATE(1967),
    [sym_unary_expression] = STATE(1967),
    [sym_preinc_expression] = STATE(1967),
    [sym_postinc_expression] = STATE(1967),
    [sym_conditional_expression] = STATE(1967),
    [sym_refgen_expression] = STATE(1967),
    [sym_anonymous_array_expression] = STATE(1967),
    [sym_anonymous_hash_expression] = STATE(1967),
    [sym_anonymous_subroutine_expression] = STATE(1967),
    [sym_anonymous_method_expression] = STATE(1967),
    [sym_do_expression] = STATE(1967),
    [sym_eval_expression] = STATE(1967),
    [sym_await_expression] = STATE(1967),
    [sym_variable_declaration] = STATE(1967),
    [sym_localization_expression] = STATE(1967),
    [sym_stub_expression] = STATE(1967),
    [sym_scalar_deref_expression] = STATE(1967),
    [sym_array_deref_expression] = STATE(1967),
    [sym_arraylen_deref_expression] = STATE(1967),
    [sym_hash_deref_expression] = STATE(1967),
    [sym_amper_deref_expression] = STATE(1967),
    [sym_glob_deref_expression] = STATE(1967),
    [sym_require_expression] = STATE(1967),
    [sym_require_version_expression] = STATE(1967),
    [sym_func0op_call_expression] = STATE(1967),
    [sym_func1op_call_expression] = STATE(1967),
    [sym_map_grep_expression] = STATE(1967),
    [sym_sort_expression] = STATE(1967),
    [sym_loopex_expression] = STATE(1967),
    [sym_goto_expression] = STATE(1967),
    [sym_return_expression] = STATE(1967),
    [sym_undef_expression] = STATE(1967),
    [sym__listop] = STATE(1967),
    [sym_function_call_expression] = STATE(1968),
    [sym_ambiguous_function_call_expression] = STATE(1968),
    [sym_function] = STATE(389),
    [sym_method_call_expression] = STATE(1968),
    [sym_scalar] = STATE(1967),
    [sym_array] = STATE(1967),
    [sym__SUB_AMPER] = STATE(2686),
    [sym__GLOB_STAR] = STATE(2687),
    [sym_hash] = STATE(1967),
    [sym_arraylen] = STATE(1967),
    [sym_amper_sub] = STATE(1785),
    [sym_glob] = STATE(1786),
    [sym_glob_slot_expression] = STATE(1967),
    [sym__literal] = STATE(1967),
    [sym__apostrophe] = STATE(3328),
    [sym__quotation_mark] = STATE(2501),
    [sym__backtick] = STATE(2502),
    [sym__search_slash] = STATE(2454),
    [sym_string_literal] = STATE(1969),
    [sym_interpolated_string_literal] = STATE(1969),
    [sym_quoted_word_list] = STATE(1787),
    [sym_command_string] = STATE(1969),
    [sym_quoted_regexp] = STATE(1969),
    [sym_match_regexp] = STATE(1969),
    [sym_substitution_regexp] = STATE(1969),
    [sym_transliteration_expression] = STATE(1969),
    [sym_heredoc_token] = STATE(1967),
    [sym_command_heredoc_token] = STATE(1967),
    [sym_heredoc_content] = STATE(624),
    [sym_autoquoted_bareword] = STATE(1967),
    [sym_bareword] = STATE(1967),
    [sym_primitive] = STATE(1967),
    [sym_boolean] = STATE(1965),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3342),
    [sym__identifier] = ACTIONS(575),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1752),
    [anon_sym_AT] = ACTIONS(1671),
    [anon_sym_my] = ACTIONS(517),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(519),
    [anon_sym_method] = ACTIONS(521),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_continue] = ACTIONS(525),
    [anon_sym_state] = ACTIONS(517),
    [anon_sym_our] = ACTIONS(517),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_LT_LT] = ACTIONS(1673),
    [anon_sym_SLASH_SLASH] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(1677),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_PLUS_PLUS] = ACTIONS(1679),
    [anon_sym_DASH_DASH] = ACTIONS(1679),
    [anon_sym_BSLASH] = ACTIONS(531),
    [anon_sym_do] = ACTIONS(533),
    [anon_sym_eval] = ACTIONS(535),
    [anon_sym_await] = ACTIONS(537),
    [anon_sym_field] = ACTIONS(517),
    [anon_sym_local] = ACTIONS(539),
    [anon_sym_dynamically] = ACTIONS(539),
    [anon_sym_DOLLAR_POUND] = ACTIONS(541),
    [anon_sym_require] = ACTIONS(543),
    [anon_sym_map] = ACTIONS(545),
    [anon_sym_grep] = ACTIONS(545),
    [anon_sym_sort] = ACTIONS(547),
    [anon_sym_goto] = ACTIONS(549),
    [anon_sym_return] = ACTIONS(551),
    [anon_sym_undef] = ACTIONS(553),
    [anon_sym_PERCENT2] = ACTIONS(1681),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(555),
    [anon_sym_next] = ACTIONS(555),
    [anon_sym_redo] = ACTIONS(555),
    [anon_sym___FILE__] = ACTIONS(525),
    [anon_sym___LINE__] = ACTIONS(525),
    [anon_sym___PACKAGE__] = ACTIONS(525),
    [anon_sym___SUB__] = ACTIONS(525),
    [anon_sym_break] = ACTIONS(525),
    [anon_sym_fork] = ACTIONS(525),
    [anon_sym_getppid] = ACTIONS(525),
    [anon_sym_time] = ACTIONS(525),
    [anon_sym_times] = ACTIONS(525),
    [anon_sym_wait] = ACTIONS(525),
    [anon_sym_wantarray] = ACTIONS(525),
    [anon_sym_abs] = ACTIONS(557),
    [anon_sym_alarm] = ACTIONS(557),
    [anon_sym_chop] = ACTIONS(557),
    [anon_sym_chdir] = ACTIONS(557),
    [anon_sym_close] = ACTIONS(557),
    [anon_sym_closedir] = ACTIONS(557),
    [anon_sym_caller] = ACTIONS(557),
    [anon_sym_chomp] = ACTIONS(557),
    [anon_sym_chr] = ACTIONS(557),
    [anon_sym_cos] = ACTIONS(557),
    [anon_sym_chroot] = ACTIONS(557),
    [anon_sym_defined] = ACTIONS(557),
    [anon_sym_delete] = ACTIONS(557),
    [anon_sym_dbmclose] = ACTIONS(557),
    [anon_sym_exists] = ACTIONS(557),
    [anon_sym_exit] = ACTIONS(557),
    [anon_sym_eof] = ACTIONS(557),
    [anon_sym_exp] = ACTIONS(557),
    [anon_sym_each] = ACTIONS(557),
    [anon_sym_fc] = ACTIONS(557),
    [anon_sym_fileno] = ACTIONS(557),
    [anon_sym_gmtime] = ACTIONS(557),
    [anon_sym_getc] = ACTIONS(557),
    [anon_sym_getpgrp] = ACTIONS(557),
    [anon_sym_getprotobyname] = ACTIONS(557),
    [anon_sym_getpwname] = ACTIONS(557),
    [anon_sym_getpwuid] = ACTIONS(557),
    [anon_sym_getpeername] = ACTIONS(557),
    [anon_sym_getnetbyname] = ACTIONS(557),
    [anon_sym_getsockname] = ACTIONS(557),
    [anon_sym_getgrnam] = ACTIONS(557),
    [anon_sym_getgrgid] = ACTIONS(557),
    [anon_sym_hex] = ACTIONS(557),
    [anon_sym_int] = ACTIONS(557),
    [anon_sym_keys] = ACTIONS(557),
    [anon_sym_lc] = ACTIONS(557),
    [anon_sym_lcfirst] = ACTIONS(557),
    [anon_sym_length] = ACTIONS(557),
    [anon_sym_localtime] = ACTIONS(557),
    [anon_sym_log] = ACTIONS(557),
    [anon_sym_lock] = ACTIONS(557),
    [anon_sym_lstat] = ACTIONS(557),
    [anon_sym_oct] = ACTIONS(557),
    [anon_sym_ord] = ACTIONS(557),
    [anon_sym_prototype] = ACTIONS(557),
    [anon_sym_pop] = ACTIONS(557),
    [anon_sym_pos] = ACTIONS(557),
    [anon_sym_quotemeta] = ACTIONS(557),
    [anon_sym_reset] = ACTIONS(557),
    [anon_sym_rand] = ACTIONS(557),
    [anon_sym_rmdir] = ACTIONS(557),
    [anon_sym_readdir] = ACTIONS(557),
    [anon_sym_readline] = ACTIONS(557),
    [anon_sym_readpipe] = ACTIONS(557),
    [anon_sym_rewinddir] = ACTIONS(557),
    [anon_sym_readlink] = ACTIONS(557),
    [anon_sym_ref] = ACTIONS(557),
    [anon_sym_scalar] = ACTIONS(557),
    [anon_sym_shift] = ACTIONS(557),
    [anon_sym_sin] = ACTIONS(557),
    [anon_sym_sleep] = ACTIONS(557),
    [anon_sym_sqrt] = ACTIONS(557),
    [anon_sym_srand] = ACTIONS(557),
    [anon_sym_stat] = ACTIONS(557),
    [anon_sym_study] = ACTIONS(557),
    [anon_sym_tell] = ACTIONS(557),
    [anon_sym_telldir] = ACTIONS(557),
    [anon_sym_tied] = ACTIONS(557),
    [anon_sym_uc] = ACTIONS(557),
    [anon_sym_ucfirst] = ACTIONS(557),
    [anon_sym_untie] = ACTIONS(557),
    [anon_sym_umask] = ACTIONS(557),
    [anon_sym_values] = ACTIONS(557),
    [anon_sym_write] = ACTIONS(557),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(559),
    [anon_sym_qq] = ACTIONS(561),
    [anon_sym_qw] = ACTIONS(563),
    [anon_sym_qx] = ACTIONS(565),
    [anon_sym_qr] = ACTIONS(567),
    [anon_sym_m] = ACTIONS(569),
    [anon_sym_s] = ACTIONS(571),
    [anon_sym_tr] = ACTIONS(573),
    [anon_sym_y] = ACTIONS(573),
    [aux_sym__bareword_token1] = ACTIONS(575),
    [sym_number] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(581),
    [sym__open_fileglob_bracket] = ACTIONS(583),
    [sym__PERLY_HEREDOC] = ACTIONS(585),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(587),
    [sym__filetest] = ACTIONS(589),
  },
  [625] = {
    [sym__PERLY_BRACE_OPEN] = STATE(238),
    [sym__subscripted] = STATE(1915),
    [sym_container_variable] = STATE(3851),
    [sym_array_element_expression] = STATE(1916),
    [sym_hash_element_expression] = STATE(1916),
    [sym_coderef_call_expression] = STATE(1916),
    [sym_anonymous_slice_expression] = STATE(1916),
    [sym_slice_container_variable] = STATE(3852),
    [sym_slice_expression] = STATE(2342),
    [sym_keyval_container_variable] = STATE(3853),
    [sym_keyval_expression] = STATE(2342),
    [sym__term] = STATE(2312),
    [sym_readline_expression] = STATE(2342),
    [sym_fileglob_expression] = STATE(2342),
    [sym_assignment_expression] = STATE(2342),
    [sym_binary_expression] = STATE(2342),
    [sym_equality_expression] = STATE(2342),
    [sym_relational_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2342),
    [sym_preinc_expression] = STATE(2342),
    [sym_postinc_expression] = STATE(2342),
    [sym_conditional_expression] = STATE(2342),
    [sym_refgen_expression] = STATE(2342),
    [sym_anonymous_array_expression] = STATE(2342),
    [sym_anonymous_hash_expression] = STATE(2342),
    [sym_anonymous_subroutine_expression] = STATE(2342),
    [sym_anonymous_method_expression] = STATE(2342),
    [sym_do_expression] = STATE(2342),
    [sym_eval_expression] = STATE(2342),
    [sym_await_expression] = STATE(2342),
    [sym_variable_declaration] = STATE(2342),
    [sym_localization_expression] = STATE(2342),
    [sym_stub_expression] = STATE(2342),
    [sym_scalar_deref_expression] = STATE(2342),
    [sym_array_deref_expression] = STATE(2342),
    [sym_arraylen_deref_expression] = STATE(2342),
    [sym_hash_deref_expression] = STATE(2342),
    [sym_amper_deref_expression] = STATE(2342),
    [sym_glob_deref_expression] = STATE(2342),
    [sym_require_expression] = STATE(2342),
    [sym_require_version_expression] = STATE(2342),
    [sym_func0op_call_expression] = STATE(2342),
    [sym_func1op_call_expression] = STATE(2342),
    [sym_map_grep_expression] = STATE(2342),
    [sym_sort_expression] = STATE(2342),
    [sym_loopex_expression] = STATE(2342),
    [sym_goto_expression] = STATE(2342),
    [sym_return_expression] = STATE(2342),
    [sym_undef_expression] = STATE(2342),
    [sym__listop] = STATE(2342),
    [sym_function_call_expression] = STATE(2343),
    [sym_ambiguous_function_call_expression] = STATE(2343),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(2343),
    [sym_scalar] = STATE(2342),
    [sym_array] = STATE(2342),
    [sym__SUB_AMPER] = STATE(2739),
    [sym__GLOB_STAR] = STATE(2741),
    [sym_hash] = STATE(2342),
    [sym_arraylen] = STATE(2342),
    [sym_amper_sub] = STATE(2181),
    [sym_glob] = STATE(2183),
    [sym_glob_slot_expression] = STATE(2342),
    [sym__literal] = STATE(2342),
    [sym__apostrophe] = STATE(3277),
    [sym__quotation_mark] = STATE(2481),
    [sym__backtick] = STATE(2482),
    [sym__search_slash] = STATE(2447),
    [sym_string_literal] = STATE(2353),
    [sym_interpolated_string_literal] = STATE(2353),
    [sym_quoted_word_list] = STATE(2193),
    [sym_command_string] = STATE(2353),
    [sym_quoted_regexp] = STATE(2353),
    [sym_match_regexp] = STATE(2353),
    [sym_substitution_regexp] = STATE(2353),
    [sym_transliteration_expression] = STATE(2353),
    [sym_heredoc_token] = STATE(2342),
    [sym_command_heredoc_token] = STATE(2342),
    [sym_heredoc_content] = STATE(625),
    [sym_autoquoted_bareword] = STATE(2342),
    [sym_bareword] = STATE(2342),
    [sym_primitive] = STATE(2342),
    [sym_boolean] = STATE(2323),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3366),
    [sym__identifier] = ACTIONS(1072),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1008),
    [anon_sym_AT] = ACTIONS(1010),
    [anon_sym_my] = ACTIONS(1012),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(1014),
    [anon_sym_method] = ACTIONS(1016),
    [anon_sym_LPAREN] = ACTIONS(1018),
    [anon_sym_continue] = ACTIONS(1020),
    [anon_sym_state] = ACTIONS(1012),
    [anon_sym_our] = ACTIONS(1012),
    [anon_sym_LBRACK] = ACTIONS(1022),
    [anon_sym_LT_LT] = ACTIONS(1523),
    [anon_sym_SLASH_SLASH] = ACTIONS(1525),
    [anon_sym_PLUS] = ACTIONS(1024),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_TILDE] = ACTIONS(1024),
    [anon_sym_BANG] = ACTIONS(1024),
    [anon_sym_PLUS_PLUS] = ACTIONS(1529),
    [anon_sym_DASH_DASH] = ACTIONS(1529),
    [anon_sym_BSLASH] = ACTIONS(1026),
    [anon_sym_do] = ACTIONS(1028),
    [anon_sym_eval] = ACTIONS(1030),
    [anon_sym_await] = ACTIONS(1032),
    [anon_sym_field] = ACTIONS(1012),
    [anon_sym_local] = ACTIONS(1034),
    [anon_sym_dynamically] = ACTIONS(1034),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1036),
    [anon_sym_require] = ACTIONS(1038),
    [anon_sym_map] = ACTIONS(1040),
    [anon_sym_grep] = ACTIONS(1040),
    [anon_sym_sort] = ACTIONS(1042),
    [anon_sym_goto] = ACTIONS(1044),
    [anon_sym_return] = ACTIONS(1046),
    [anon_sym_undef] = ACTIONS(1048),
    [anon_sym_PERCENT2] = ACTIONS(1050),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1052),
    [anon_sym_next] = ACTIONS(1052),
    [anon_sym_redo] = ACTIONS(1052),
    [anon_sym___FILE__] = ACTIONS(1020),
    [anon_sym___LINE__] = ACTIONS(1020),
    [anon_sym___PACKAGE__] = ACTIONS(1020),
    [anon_sym___SUB__] = ACTIONS(1020),
    [anon_sym_break] = ACTIONS(1020),
    [anon_sym_fork] = ACTIONS(1020),
    [anon_sym_getppid] = ACTIONS(1020),
    [anon_sym_time] = ACTIONS(1020),
    [anon_sym_times] = ACTIONS(1020),
    [anon_sym_wait] = ACTIONS(1020),
    [anon_sym_wantarray] = ACTIONS(1020),
    [anon_sym_abs] = ACTIONS(1054),
    [anon_sym_alarm] = ACTIONS(1054),
    [anon_sym_chop] = ACTIONS(1054),
    [anon_sym_chdir] = ACTIONS(1054),
    [anon_sym_close] = ACTIONS(1054),
    [anon_sym_closedir] = ACTIONS(1054),
    [anon_sym_caller] = ACTIONS(1054),
    [anon_sym_chomp] = ACTIONS(1054),
    [anon_sym_chr] = ACTIONS(1054),
    [anon_sym_cos] = ACTIONS(1054),
    [anon_sym_chroot] = ACTIONS(1054),
    [anon_sym_defined] = ACTIONS(1054),
    [anon_sym_delete] = ACTIONS(1054),
    [anon_sym_dbmclose] = ACTIONS(1054),
    [anon_sym_exists] = ACTIONS(1054),
    [anon_sym_exit] = ACTIONS(1054),
    [anon_sym_eof] = ACTIONS(1054),
    [anon_sym_exp] = ACTIONS(1054),
    [anon_sym_each] = ACTIONS(1054),
    [anon_sym_fc] = ACTIONS(1054),
    [anon_sym_fileno] = ACTIONS(1054),
    [anon_sym_gmtime] = ACTIONS(1054),
    [anon_sym_getc] = ACTIONS(1054),
    [anon_sym_getpgrp] = ACTIONS(1054),
    [anon_sym_getprotobyname] = ACTIONS(1054),
    [anon_sym_getpwname] = ACTIONS(1054),
    [anon_sym_getpwuid] = ACTIONS(1054),
    [anon_sym_getpeername] = ACTIONS(1054),
    [anon_sym_getnetbyname] = ACTIONS(1054),
    [anon_sym_getsockname] = ACTIONS(1054),
    [anon_sym_getgrnam] = ACTIONS(1054),
    [anon_sym_getgrgid] = ACTIONS(1054),
    [anon_sym_hex] = ACTIONS(1054),
    [anon_sym_int] = ACTIONS(1054),
    [anon_sym_keys] = ACTIONS(1054),
    [anon_sym_lc] = ACTIONS(1054),
    [anon_sym_lcfirst] = ACTIONS(1054),
    [anon_sym_length] = ACTIONS(1054),
    [anon_sym_localtime] = ACTIONS(1054),
    [anon_sym_log] = ACTIONS(1054),
    [anon_sym_lock] = ACTIONS(1054),
    [anon_sym_lstat] = ACTIONS(1054),
    [anon_sym_oct] = ACTIONS(1054),
    [anon_sym_ord] = ACTIONS(1054),
    [anon_sym_prototype] = ACTIONS(1054),
    [anon_sym_pop] = ACTIONS(1054),
    [anon_sym_pos] = ACTIONS(1054),
    [anon_sym_quotemeta] = ACTIONS(1054),
    [anon_sym_reset] = ACTIONS(1054),
    [anon_sym_rand] = ACTIONS(1054),
    [anon_sym_rmdir] = ACTIONS(1054),
    [anon_sym_readdir] = ACTIONS(1054),
    [anon_sym_readline] = ACTIONS(1054),
    [anon_sym_readpipe] = ACTIONS(1054),
    [anon_sym_rewinddir] = ACTIONS(1054),
    [anon_sym_readlink] = ACTIONS(1054),
    [anon_sym_ref] = ACTIONS(1054),
    [anon_sym_scalar] = ACTIONS(1054),
    [anon_sym_shift] = ACTIONS(1054),
    [anon_sym_sin] = ACTIONS(1054),
    [anon_sym_sleep] = ACTIONS(1054),
    [anon_sym_sqrt] = ACTIONS(1054),
    [anon_sym_srand] = ACTIONS(1054),
    [anon_sym_stat] = ACTIONS(1054),
    [anon_sym_study] = ACTIONS(1054),
    [anon_sym_tell] = ACTIONS(1054),
    [anon_sym_telldir] = ACTIONS(1054),
    [anon_sym_tied] = ACTIONS(1054),
    [anon_sym_uc] = ACTIONS(1054),
    [anon_sym_ucfirst] = ACTIONS(1054),
    [anon_sym_untie] = ACTIONS(1054),
    [anon_sym_umask] = ACTIONS(1054),
    [anon_sym_values] = ACTIONS(1054),
    [anon_sym_write] = ACTIONS(1054),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1056),
    [anon_sym_qq] = ACTIONS(1058),
    [anon_sym_qw] = ACTIONS(1060),
    [anon_sym_qx] = ACTIONS(1062),
    [anon_sym_qr] = ACTIONS(1064),
    [anon_sym_m] = ACTIONS(1066),
    [anon_sym_s] = ACTIONS(1068),
    [anon_sym_tr] = ACTIONS(1070),
    [anon_sym_y] = ACTIONS(1070),
    [aux_sym__bareword_token1] = ACTIONS(1072),
    [sym_number] = ACTIONS(1074),
    [anon_sym_true] = ACTIONS(1076),
    [anon_sym_false] = ACTIONS(1076),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(1078),
    [sym__open_fileglob_bracket] = ACTIONS(1080),
    [sym__PERLY_HEREDOC] = ACTIONS(1082),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1084),
    [sym__filetest] = ACTIONS(1086),
  },
  [626] = {
    [sym__PERLY_BRACE_OPEN] = STATE(235),
    [sym__subscripted] = STATE(1532),
    [sym_container_variable] = STATE(3855),
    [sym_array_element_expression] = STATE(1533),
    [sym_hash_element_expression] = STATE(1533),
    [sym_coderef_call_expression] = STATE(1533),
    [sym_anonymous_slice_expression] = STATE(1533),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(1967),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(1967),
    [sym__term] = STATE(1920),
    [sym_readline_expression] = STATE(1967),
    [sym_fileglob_expression] = STATE(1967),
    [sym_assignment_expression] = STATE(1967),
    [sym_binary_expression] = STATE(1967),
    [sym_equality_expression] = STATE(1967),
    [sym_relational_expression] = STATE(1967),
    [sym_unary_expression] = STATE(1967),
    [sym_preinc_expression] = STATE(1967),
    [sym_postinc_expression] = STATE(1967),
    [sym_conditional_expression] = STATE(1967),
    [sym_refgen_expression] = STATE(1967),
    [sym_anonymous_array_expression] = STATE(1967),
    [sym_anonymous_hash_expression] = STATE(1967),
    [sym_anonymous_subroutine_expression] = STATE(1967),
    [sym_anonymous_method_expression] = STATE(1967),
    [sym_do_expression] = STATE(1967),
    [sym_eval_expression] = STATE(1967),
    [sym_await_expression] = STATE(1967),
    [sym_variable_declaration] = STATE(1967),
    [sym_localization_expression] = STATE(1967),
    [sym_stub_expression] = STATE(1967),
    [sym_scalar_deref_expression] = STATE(1967),
    [sym_array_deref_expression] = STATE(1967),
    [sym_arraylen_deref_expression] = STATE(1967),
    [sym_hash_deref_expression] = STATE(1967),
    [sym_amper_deref_expression] = STATE(1967),
    [sym_glob_deref_expression] = STATE(1967),
    [sym_require_expression] = STATE(1967),
    [sym_require_version_expression] = STATE(1967),
    [sym_func0op_call_expression] = STATE(1967),
    [sym_func1op_call_expression] = STATE(1967),
    [sym_map_grep_expression] = STATE(1967),
    [sym_sort_expression] = STATE(1967),
    [sym_loopex_expression] = STATE(1967),
    [sym_goto_expression] = STATE(1967),
    [sym_return_expression] = STATE(1967),
    [sym_undef_expression] = STATE(1967),
    [sym__listop] = STATE(1967),
    [sym_function_call_expression] = STATE(1968),
    [sym_ambiguous_function_call_expression] = STATE(1968),
    [sym_function] = STATE(389),
    [sym_method_call_expression] = STATE(1968),
    [sym_scalar] = STATE(1967),
    [sym_array] = STATE(1967),
    [sym__SUB_AMPER] = STATE(2686),
    [sym__GLOB_STAR] = STATE(2687),
    [sym_hash] = STATE(1967),
    [sym_arraylen] = STATE(1967),
    [sym_amper_sub] = STATE(1785),
    [sym_glob] = STATE(1786),
    [sym_glob_slot_expression] = STATE(1967),
    [sym__literal] = STATE(1967),
    [sym__apostrophe] = STATE(3328),
    [sym__quotation_mark] = STATE(2501),
    [sym__backtick] = STATE(2502),
    [sym__search_slash] = STATE(2454),
    [sym_string_literal] = STATE(1969),
    [sym_interpolated_string_literal] = STATE(1969),
    [sym_quoted_word_list] = STATE(1787),
    [sym_command_string] = STATE(1969),
    [sym_quoted_regexp] = STATE(1969),
    [sym_match_regexp] = STATE(1969),
    [sym_substitution_regexp] = STATE(1969),
    [sym_transliteration_expression] = STATE(1969),
    [sym_heredoc_token] = STATE(1967),
    [sym_command_heredoc_token] = STATE(1967),
    [sym_heredoc_content] = STATE(626),
    [sym_autoquoted_bareword] = STATE(1967),
    [sym_bareword] = STATE(1967),
    [sym_primitive] = STATE(1967),
    [sym_boolean] = STATE(1965),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3342),
    [sym__identifier] = ACTIONS(575),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1752),
    [anon_sym_AT] = ACTIONS(1671),
    [anon_sym_my] = ACTIONS(517),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(519),
    [anon_sym_method] = ACTIONS(521),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_continue] = ACTIONS(525),
    [anon_sym_state] = ACTIONS(517),
    [anon_sym_our] = ACTIONS(517),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_LT_LT] = ACTIONS(1673),
    [anon_sym_SLASH_SLASH] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(1677),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_PLUS_PLUS] = ACTIONS(1679),
    [anon_sym_DASH_DASH] = ACTIONS(1679),
    [anon_sym_BSLASH] = ACTIONS(531),
    [anon_sym_do] = ACTIONS(533),
    [anon_sym_eval] = ACTIONS(535),
    [anon_sym_await] = ACTIONS(537),
    [anon_sym_field] = ACTIONS(517),
    [anon_sym_local] = ACTIONS(539),
    [anon_sym_dynamically] = ACTIONS(539),
    [anon_sym_DOLLAR_POUND] = ACTIONS(541),
    [anon_sym_require] = ACTIONS(543),
    [anon_sym_map] = ACTIONS(545),
    [anon_sym_grep] = ACTIONS(545),
    [anon_sym_sort] = ACTIONS(547),
    [anon_sym_goto] = ACTIONS(549),
    [anon_sym_return] = ACTIONS(551),
    [anon_sym_undef] = ACTIONS(553),
    [anon_sym_PERCENT2] = ACTIONS(1681),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(555),
    [anon_sym_next] = ACTIONS(555),
    [anon_sym_redo] = ACTIONS(555),
    [anon_sym___FILE__] = ACTIONS(525),
    [anon_sym___LINE__] = ACTIONS(525),
    [anon_sym___PACKAGE__] = ACTIONS(525),
    [anon_sym___SUB__] = ACTIONS(525),
    [anon_sym_break] = ACTIONS(525),
    [anon_sym_fork] = ACTIONS(525),
    [anon_sym_getppid] = ACTIONS(525),
    [anon_sym_time] = ACTIONS(525),
    [anon_sym_times] = ACTIONS(525),
    [anon_sym_wait] = ACTIONS(525),
    [anon_sym_wantarray] = ACTIONS(525),
    [anon_sym_abs] = ACTIONS(557),
    [anon_sym_alarm] = ACTIONS(557),
    [anon_sym_chop] = ACTIONS(557),
    [anon_sym_chdir] = ACTIONS(557),
    [anon_sym_close] = ACTIONS(557),
    [anon_sym_closedir] = ACTIONS(557),
    [anon_sym_caller] = ACTIONS(557),
    [anon_sym_chomp] = ACTIONS(557),
    [anon_sym_chr] = ACTIONS(557),
    [anon_sym_cos] = ACTIONS(557),
    [anon_sym_chroot] = ACTIONS(557),
    [anon_sym_defined] = ACTIONS(557),
    [anon_sym_delete] = ACTIONS(557),
    [anon_sym_dbmclose] = ACTIONS(557),
    [anon_sym_exists] = ACTIONS(557),
    [anon_sym_exit] = ACTIONS(557),
    [anon_sym_eof] = ACTIONS(557),
    [anon_sym_exp] = ACTIONS(557),
    [anon_sym_each] = ACTIONS(557),
    [anon_sym_fc] = ACTIONS(557),
    [anon_sym_fileno] = ACTIONS(557),
    [anon_sym_gmtime] = ACTIONS(557),
    [anon_sym_getc] = ACTIONS(557),
    [anon_sym_getpgrp] = ACTIONS(557),
    [anon_sym_getprotobyname] = ACTIONS(557),
    [anon_sym_getpwname] = ACTIONS(557),
    [anon_sym_getpwuid] = ACTIONS(557),
    [anon_sym_getpeername] = ACTIONS(557),
    [anon_sym_getnetbyname] = ACTIONS(557),
    [anon_sym_getsockname] = ACTIONS(557),
    [anon_sym_getgrnam] = ACTIONS(557),
    [anon_sym_getgrgid] = ACTIONS(557),
    [anon_sym_hex] = ACTIONS(557),
    [anon_sym_int] = ACTIONS(557),
    [anon_sym_keys] = ACTIONS(557),
    [anon_sym_lc] = ACTIONS(557),
    [anon_sym_lcfirst] = ACTIONS(557),
    [anon_sym_length] = ACTIONS(557),
    [anon_sym_localtime] = ACTIONS(557),
    [anon_sym_log] = ACTIONS(557),
    [anon_sym_lock] = ACTIONS(557),
    [anon_sym_lstat] = ACTIONS(557),
    [anon_sym_oct] = ACTIONS(557),
    [anon_sym_ord] = ACTIONS(557),
    [anon_sym_prototype] = ACTIONS(557),
    [anon_sym_pop] = ACTIONS(557),
    [anon_sym_pos] = ACTIONS(557),
    [anon_sym_quotemeta] = ACTIONS(557),
    [anon_sym_reset] = ACTIONS(557),
    [anon_sym_rand] = ACTIONS(557),
    [anon_sym_rmdir] = ACTIONS(557),
    [anon_sym_readdir] = ACTIONS(557),
    [anon_sym_readline] = ACTIONS(557),
    [anon_sym_readpipe] = ACTIONS(557),
    [anon_sym_rewinddir] = ACTIONS(557),
    [anon_sym_readlink] = ACTIONS(557),
    [anon_sym_ref] = ACTIONS(557),
    [anon_sym_scalar] = ACTIONS(557),
    [anon_sym_shift] = ACTIONS(557),
    [anon_sym_sin] = ACTIONS(557),
    [anon_sym_sleep] = ACTIONS(557),
    [anon_sym_sqrt] = ACTIONS(557),
    [anon_sym_srand] = ACTIONS(557),
    [anon_sym_stat] = ACTIONS(557),
    [anon_sym_study] = ACTIONS(557),
    [anon_sym_tell] = ACTIONS(557),
    [anon_sym_telldir] = ACTIONS(557),
    [anon_sym_tied] = ACTIONS(557),
    [anon_sym_uc] = ACTIONS(557),
    [anon_sym_ucfirst] = ACTIONS(557),
    [anon_sym_untie] = ACTIONS(557),
    [anon_sym_umask] = ACTIONS(557),
    [anon_sym_values] = ACTIONS(557),
    [anon_sym_write] = ACTIONS(557),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(559),
    [anon_sym_qq] = ACTIONS(561),
    [anon_sym_qw] = ACTIONS(563),
    [anon_sym_qx] = ACTIONS(565),
    [anon_sym_qr] = ACTIONS(567),
    [anon_sym_m] = ACTIONS(569),
    [anon_sym_s] = ACTIONS(571),
    [anon_sym_tr] = ACTIONS(573),
    [anon_sym_y] = ACTIONS(573),
    [aux_sym__bareword_token1] = ACTIONS(575),
    [sym_number] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(581),
    [sym__open_fileglob_bracket] = ACTIONS(583),
    [sym__PERLY_HEREDOC] = ACTIONS(585),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(587),
    [sym__filetest] = ACTIONS(589),
  },
  [627] = {
    [sym__PERLY_BRACE_OPEN] = STATE(238),
    [sym__subscripted] = STATE(1915),
    [sym_container_variable] = STATE(3851),
    [sym_array_element_expression] = STATE(1916),
    [sym_hash_element_expression] = STATE(1916),
    [sym_coderef_call_expression] = STATE(1916),
    [sym_anonymous_slice_expression] = STATE(1916),
    [sym_slice_container_variable] = STATE(3852),
    [sym_slice_expression] = STATE(2342),
    [sym_keyval_container_variable] = STATE(3853),
    [sym_keyval_expression] = STATE(2342),
    [sym__term] = STATE(2314),
    [sym_readline_expression] = STATE(2342),
    [sym_fileglob_expression] = STATE(2342),
    [sym_assignment_expression] = STATE(2342),
    [sym_binary_expression] = STATE(2342),
    [sym_equality_expression] = STATE(2342),
    [sym_relational_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2342),
    [sym_preinc_expression] = STATE(2342),
    [sym_postinc_expression] = STATE(2342),
    [sym_conditional_expression] = STATE(2342),
    [sym_refgen_expression] = STATE(2342),
    [sym_anonymous_array_expression] = STATE(2342),
    [sym_anonymous_hash_expression] = STATE(2342),
    [sym_anonymous_subroutine_expression] = STATE(2342),
    [sym_anonymous_method_expression] = STATE(2342),
    [sym_do_expression] = STATE(2342),
    [sym_eval_expression] = STATE(2342),
    [sym_await_expression] = STATE(2342),
    [sym_variable_declaration] = STATE(2342),
    [sym_localization_expression] = STATE(2342),
    [sym_stub_expression] = STATE(2342),
    [sym_scalar_deref_expression] = STATE(2342),
    [sym_array_deref_expression] = STATE(2342),
    [sym_arraylen_deref_expression] = STATE(2342),
    [sym_hash_deref_expression] = STATE(2342),
    [sym_amper_deref_expression] = STATE(2342),
    [sym_glob_deref_expression] = STATE(2342),
    [sym_require_expression] = STATE(2342),
    [sym_require_version_expression] = STATE(2342),
    [sym_func0op_call_expression] = STATE(2342),
    [sym_func1op_call_expression] = STATE(2342),
    [sym_map_grep_expression] = STATE(2342),
    [sym_sort_expression] = STATE(2342),
    [sym_loopex_expression] = STATE(2342),
    [sym_goto_expression] = STATE(2342),
    [sym_return_expression] = STATE(2342),
    [sym_undef_expression] = STATE(2342),
    [sym__listop] = STATE(2342),
    [sym_function_call_expression] = STATE(2343),
    [sym_ambiguous_function_call_expression] = STATE(2343),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(2343),
    [sym_scalar] = STATE(2342),
    [sym_array] = STATE(2342),
    [sym__SUB_AMPER] = STATE(2739),
    [sym__GLOB_STAR] = STATE(2741),
    [sym_hash] = STATE(2342),
    [sym_arraylen] = STATE(2342),
    [sym_amper_sub] = STATE(2181),
    [sym_glob] = STATE(2183),
    [sym_glob_slot_expression] = STATE(2342),
    [sym__literal] = STATE(2342),
    [sym__apostrophe] = STATE(3277),
    [sym__quotation_mark] = STATE(2481),
    [sym__backtick] = STATE(2482),
    [sym__search_slash] = STATE(2447),
    [sym_string_literal] = STATE(2353),
    [sym_interpolated_string_literal] = STATE(2353),
    [sym_quoted_word_list] = STATE(2193),
    [sym_command_string] = STATE(2353),
    [sym_quoted_regexp] = STATE(2353),
    [sym_match_regexp] = STATE(2353),
    [sym_substitution_regexp] = STATE(2353),
    [sym_transliteration_expression] = STATE(2353),
    [sym_heredoc_token] = STATE(2342),
    [sym_command_heredoc_token] = STATE(2342),
    [sym_heredoc_content] = STATE(627),
    [sym_autoquoted_bareword] = STATE(2342),
    [sym_bareword] = STATE(2342),
    [sym_primitive] = STATE(2342),
    [sym_boolean] = STATE(2323),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3366),
    [sym__identifier] = ACTIONS(1072),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1008),
    [anon_sym_AT] = ACTIONS(1010),
    [anon_sym_my] = ACTIONS(1012),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(1014),
    [anon_sym_method] = ACTIONS(1016),
    [anon_sym_LPAREN] = ACTIONS(1018),
    [anon_sym_continue] = ACTIONS(1020),
    [anon_sym_state] = ACTIONS(1012),
    [anon_sym_our] = ACTIONS(1012),
    [anon_sym_LBRACK] = ACTIONS(1022),
    [anon_sym_LT_LT] = ACTIONS(1523),
    [anon_sym_SLASH_SLASH] = ACTIONS(1525),
    [anon_sym_PLUS] = ACTIONS(1024),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_TILDE] = ACTIONS(1024),
    [anon_sym_BANG] = ACTIONS(1024),
    [anon_sym_PLUS_PLUS] = ACTIONS(1529),
    [anon_sym_DASH_DASH] = ACTIONS(1529),
    [anon_sym_BSLASH] = ACTIONS(1026),
    [anon_sym_do] = ACTIONS(1028),
    [anon_sym_eval] = ACTIONS(1030),
    [anon_sym_await] = ACTIONS(1032),
    [anon_sym_field] = ACTIONS(1012),
    [anon_sym_local] = ACTIONS(1034),
    [anon_sym_dynamically] = ACTIONS(1034),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1036),
    [anon_sym_require] = ACTIONS(1038),
    [anon_sym_map] = ACTIONS(1040),
    [anon_sym_grep] = ACTIONS(1040),
    [anon_sym_sort] = ACTIONS(1042),
    [anon_sym_goto] = ACTIONS(1044),
    [anon_sym_return] = ACTIONS(1046),
    [anon_sym_undef] = ACTIONS(1048),
    [anon_sym_PERCENT2] = ACTIONS(1050),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1052),
    [anon_sym_next] = ACTIONS(1052),
    [anon_sym_redo] = ACTIONS(1052),
    [anon_sym___FILE__] = ACTIONS(1020),
    [anon_sym___LINE__] = ACTIONS(1020),
    [anon_sym___PACKAGE__] = ACTIONS(1020),
    [anon_sym___SUB__] = ACTIONS(1020),
    [anon_sym_break] = ACTIONS(1020),
    [anon_sym_fork] = ACTIONS(1020),
    [anon_sym_getppid] = ACTIONS(1020),
    [anon_sym_time] = ACTIONS(1020),
    [anon_sym_times] = ACTIONS(1020),
    [anon_sym_wait] = ACTIONS(1020),
    [anon_sym_wantarray] = ACTIONS(1020),
    [anon_sym_abs] = ACTIONS(1054),
    [anon_sym_alarm] = ACTIONS(1054),
    [anon_sym_chop] = ACTIONS(1054),
    [anon_sym_chdir] = ACTIONS(1054),
    [anon_sym_close] = ACTIONS(1054),
    [anon_sym_closedir] = ACTIONS(1054),
    [anon_sym_caller] = ACTIONS(1054),
    [anon_sym_chomp] = ACTIONS(1054),
    [anon_sym_chr] = ACTIONS(1054),
    [anon_sym_cos] = ACTIONS(1054),
    [anon_sym_chroot] = ACTIONS(1054),
    [anon_sym_defined] = ACTIONS(1054),
    [anon_sym_delete] = ACTIONS(1054),
    [anon_sym_dbmclose] = ACTIONS(1054),
    [anon_sym_exists] = ACTIONS(1054),
    [anon_sym_exit] = ACTIONS(1054),
    [anon_sym_eof] = ACTIONS(1054),
    [anon_sym_exp] = ACTIONS(1054),
    [anon_sym_each] = ACTIONS(1054),
    [anon_sym_fc] = ACTIONS(1054),
    [anon_sym_fileno] = ACTIONS(1054),
    [anon_sym_gmtime] = ACTIONS(1054),
    [anon_sym_getc] = ACTIONS(1054),
    [anon_sym_getpgrp] = ACTIONS(1054),
    [anon_sym_getprotobyname] = ACTIONS(1054),
    [anon_sym_getpwname] = ACTIONS(1054),
    [anon_sym_getpwuid] = ACTIONS(1054),
    [anon_sym_getpeername] = ACTIONS(1054),
    [anon_sym_getnetbyname] = ACTIONS(1054),
    [anon_sym_getsockname] = ACTIONS(1054),
    [anon_sym_getgrnam] = ACTIONS(1054),
    [anon_sym_getgrgid] = ACTIONS(1054),
    [anon_sym_hex] = ACTIONS(1054),
    [anon_sym_int] = ACTIONS(1054),
    [anon_sym_keys] = ACTIONS(1054),
    [anon_sym_lc] = ACTIONS(1054),
    [anon_sym_lcfirst] = ACTIONS(1054),
    [anon_sym_length] = ACTIONS(1054),
    [anon_sym_localtime] = ACTIONS(1054),
    [anon_sym_log] = ACTIONS(1054),
    [anon_sym_lock] = ACTIONS(1054),
    [anon_sym_lstat] = ACTIONS(1054),
    [anon_sym_oct] = ACTIONS(1054),
    [anon_sym_ord] = ACTIONS(1054),
    [anon_sym_prototype] = ACTIONS(1054),
    [anon_sym_pop] = ACTIONS(1054),
    [anon_sym_pos] = ACTIONS(1054),
    [anon_sym_quotemeta] = ACTIONS(1054),
    [anon_sym_reset] = ACTIONS(1054),
    [anon_sym_rand] = ACTIONS(1054),
    [anon_sym_rmdir] = ACTIONS(1054),
    [anon_sym_readdir] = ACTIONS(1054),
    [anon_sym_readline] = ACTIONS(1054),
    [anon_sym_readpipe] = ACTIONS(1054),
    [anon_sym_rewinddir] = ACTIONS(1054),
    [anon_sym_readlink] = ACTIONS(1054),
    [anon_sym_ref] = ACTIONS(1054),
    [anon_sym_scalar] = ACTIONS(1054),
    [anon_sym_shift] = ACTIONS(1054),
    [anon_sym_sin] = ACTIONS(1054),
    [anon_sym_sleep] = ACTIONS(1054),
    [anon_sym_sqrt] = ACTIONS(1054),
    [anon_sym_srand] = ACTIONS(1054),
    [anon_sym_stat] = ACTIONS(1054),
    [anon_sym_study] = ACTIONS(1054),
    [anon_sym_tell] = ACTIONS(1054),
    [anon_sym_telldir] = ACTIONS(1054),
    [anon_sym_tied] = ACTIONS(1054),
    [anon_sym_uc] = ACTIONS(1054),
    [anon_sym_ucfirst] = ACTIONS(1054),
    [anon_sym_untie] = ACTIONS(1054),
    [anon_sym_umask] = ACTIONS(1054),
    [anon_sym_values] = ACTIONS(1054),
    [anon_sym_write] = ACTIONS(1054),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1056),
    [anon_sym_qq] = ACTIONS(1058),
    [anon_sym_qw] = ACTIONS(1060),
    [anon_sym_qx] = ACTIONS(1062),
    [anon_sym_qr] = ACTIONS(1064),
    [anon_sym_m] = ACTIONS(1066),
    [anon_sym_s] = ACTIONS(1068),
    [anon_sym_tr] = ACTIONS(1070),
    [anon_sym_y] = ACTIONS(1070),
    [aux_sym__bareword_token1] = ACTIONS(1072),
    [sym_number] = ACTIONS(1074),
    [anon_sym_true] = ACTIONS(1076),
    [anon_sym_false] = ACTIONS(1076),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(1078),
    [sym__open_fileglob_bracket] = ACTIONS(1080),
    [sym__PERLY_HEREDOC] = ACTIONS(1082),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1084),
    [sym__filetest] = ACTIONS(1086),
  },
  [628] = {
    [sym__PERLY_BRACE_OPEN] = STATE(235),
    [sym__subscripted] = STATE(1532),
    [sym_container_variable] = STATE(3855),
    [sym_array_element_expression] = STATE(1533),
    [sym_hash_element_expression] = STATE(1533),
    [sym_coderef_call_expression] = STATE(1533),
    [sym_anonymous_slice_expression] = STATE(1533),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(1967),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(1967),
    [sym__term] = STATE(1921),
    [sym_readline_expression] = STATE(1967),
    [sym_fileglob_expression] = STATE(1967),
    [sym_assignment_expression] = STATE(1967),
    [sym_binary_expression] = STATE(1967),
    [sym_equality_expression] = STATE(1967),
    [sym_relational_expression] = STATE(1967),
    [sym_unary_expression] = STATE(1967),
    [sym_preinc_expression] = STATE(1967),
    [sym_postinc_expression] = STATE(1967),
    [sym_conditional_expression] = STATE(1967),
    [sym_refgen_expression] = STATE(1967),
    [sym_anonymous_array_expression] = STATE(1967),
    [sym_anonymous_hash_expression] = STATE(1967),
    [sym_anonymous_subroutine_expression] = STATE(1967),
    [sym_anonymous_method_expression] = STATE(1967),
    [sym_do_expression] = STATE(1967),
    [sym_eval_expression] = STATE(1967),
    [sym_await_expression] = STATE(1967),
    [sym_variable_declaration] = STATE(1967),
    [sym_localization_expression] = STATE(1967),
    [sym_stub_expression] = STATE(1967),
    [sym_scalar_deref_expression] = STATE(1967),
    [sym_array_deref_expression] = STATE(1967),
    [sym_arraylen_deref_expression] = STATE(1967),
    [sym_hash_deref_expression] = STATE(1967),
    [sym_amper_deref_expression] = STATE(1967),
    [sym_glob_deref_expression] = STATE(1967),
    [sym_require_expression] = STATE(1967),
    [sym_require_version_expression] = STATE(1967),
    [sym_func0op_call_expression] = STATE(1967),
    [sym_func1op_call_expression] = STATE(1967),
    [sym_map_grep_expression] = STATE(1967),
    [sym_sort_expression] = STATE(1967),
    [sym_loopex_expression] = STATE(1967),
    [sym_goto_expression] = STATE(1967),
    [sym_return_expression] = STATE(1967),
    [sym_undef_expression] = STATE(1967),
    [sym__listop] = STATE(1967),
    [sym_function_call_expression] = STATE(1968),
    [sym_ambiguous_function_call_expression] = STATE(1968),
    [sym_function] = STATE(389),
    [sym_method_call_expression] = STATE(1968),
    [sym_scalar] = STATE(1967),
    [sym_array] = STATE(1967),
    [sym__SUB_AMPER] = STATE(2686),
    [sym__GLOB_STAR] = STATE(2687),
    [sym_hash] = STATE(1967),
    [sym_arraylen] = STATE(1967),
    [sym_amper_sub] = STATE(1785),
    [sym_glob] = STATE(1786),
    [sym_glob_slot_expression] = STATE(1967),
    [sym__literal] = STATE(1967),
    [sym__apostrophe] = STATE(3328),
    [sym__quotation_mark] = STATE(2501),
    [sym__backtick] = STATE(2502),
    [sym__search_slash] = STATE(2454),
    [sym_string_literal] = STATE(1969),
    [sym_interpolated_string_literal] = STATE(1969),
    [sym_quoted_word_list] = STATE(1787),
    [sym_command_string] = STATE(1969),
    [sym_quoted_regexp] = STATE(1969),
    [sym_match_regexp] = STATE(1969),
    [sym_substitution_regexp] = STATE(1969),
    [sym_transliteration_expression] = STATE(1969),
    [sym_heredoc_token] = STATE(1967),
    [sym_command_heredoc_token] = STATE(1967),
    [sym_heredoc_content] = STATE(628),
    [sym_autoquoted_bareword] = STATE(1967),
    [sym_bareword] = STATE(1967),
    [sym_primitive] = STATE(1967),
    [sym_boolean] = STATE(1965),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3342),
    [sym__identifier] = ACTIONS(575),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1752),
    [anon_sym_AT] = ACTIONS(1671),
    [anon_sym_my] = ACTIONS(517),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(519),
    [anon_sym_method] = ACTIONS(521),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_continue] = ACTIONS(525),
    [anon_sym_state] = ACTIONS(517),
    [anon_sym_our] = ACTIONS(517),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_LT_LT] = ACTIONS(1673),
    [anon_sym_SLASH_SLASH] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(1677),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_PLUS_PLUS] = ACTIONS(1679),
    [anon_sym_DASH_DASH] = ACTIONS(1679),
    [anon_sym_BSLASH] = ACTIONS(531),
    [anon_sym_do] = ACTIONS(533),
    [anon_sym_eval] = ACTIONS(535),
    [anon_sym_await] = ACTIONS(537),
    [anon_sym_field] = ACTIONS(517),
    [anon_sym_local] = ACTIONS(539),
    [anon_sym_dynamically] = ACTIONS(539),
    [anon_sym_DOLLAR_POUND] = ACTIONS(541),
    [anon_sym_require] = ACTIONS(543),
    [anon_sym_map] = ACTIONS(545),
    [anon_sym_grep] = ACTIONS(545),
    [anon_sym_sort] = ACTIONS(547),
    [anon_sym_goto] = ACTIONS(549),
    [anon_sym_return] = ACTIONS(551),
    [anon_sym_undef] = ACTIONS(553),
    [anon_sym_PERCENT2] = ACTIONS(1681),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(555),
    [anon_sym_next] = ACTIONS(555),
    [anon_sym_redo] = ACTIONS(555),
    [anon_sym___FILE__] = ACTIONS(525),
    [anon_sym___LINE__] = ACTIONS(525),
    [anon_sym___PACKAGE__] = ACTIONS(525),
    [anon_sym___SUB__] = ACTIONS(525),
    [anon_sym_break] = ACTIONS(525),
    [anon_sym_fork] = ACTIONS(525),
    [anon_sym_getppid] = ACTIONS(525),
    [anon_sym_time] = ACTIONS(525),
    [anon_sym_times] = ACTIONS(525),
    [anon_sym_wait] = ACTIONS(525),
    [anon_sym_wantarray] = ACTIONS(525),
    [anon_sym_abs] = ACTIONS(557),
    [anon_sym_alarm] = ACTIONS(557),
    [anon_sym_chop] = ACTIONS(557),
    [anon_sym_chdir] = ACTIONS(557),
    [anon_sym_close] = ACTIONS(557),
    [anon_sym_closedir] = ACTIONS(557),
    [anon_sym_caller] = ACTIONS(557),
    [anon_sym_chomp] = ACTIONS(557),
    [anon_sym_chr] = ACTIONS(557),
    [anon_sym_cos] = ACTIONS(557),
    [anon_sym_chroot] = ACTIONS(557),
    [anon_sym_defined] = ACTIONS(557),
    [anon_sym_delete] = ACTIONS(557),
    [anon_sym_dbmclose] = ACTIONS(557),
    [anon_sym_exists] = ACTIONS(557),
    [anon_sym_exit] = ACTIONS(557),
    [anon_sym_eof] = ACTIONS(557),
    [anon_sym_exp] = ACTIONS(557),
    [anon_sym_each] = ACTIONS(557),
    [anon_sym_fc] = ACTIONS(557),
    [anon_sym_fileno] = ACTIONS(557),
    [anon_sym_gmtime] = ACTIONS(557),
    [anon_sym_getc] = ACTIONS(557),
    [anon_sym_getpgrp] = ACTIONS(557),
    [anon_sym_getprotobyname] = ACTIONS(557),
    [anon_sym_getpwname] = ACTIONS(557),
    [anon_sym_getpwuid] = ACTIONS(557),
    [anon_sym_getpeername] = ACTIONS(557),
    [anon_sym_getnetbyname] = ACTIONS(557),
    [anon_sym_getsockname] = ACTIONS(557),
    [anon_sym_getgrnam] = ACTIONS(557),
    [anon_sym_getgrgid] = ACTIONS(557),
    [anon_sym_hex] = ACTIONS(557),
    [anon_sym_int] = ACTIONS(557),
    [anon_sym_keys] = ACTIONS(557),
    [anon_sym_lc] = ACTIONS(557),
    [anon_sym_lcfirst] = ACTIONS(557),
    [anon_sym_length] = ACTIONS(557),
    [anon_sym_localtime] = ACTIONS(557),
    [anon_sym_log] = ACTIONS(557),
    [anon_sym_lock] = ACTIONS(557),
    [anon_sym_lstat] = ACTIONS(557),
    [anon_sym_oct] = ACTIONS(557),
    [anon_sym_ord] = ACTIONS(557),
    [anon_sym_prototype] = ACTIONS(557),
    [anon_sym_pop] = ACTIONS(557),
    [anon_sym_pos] = ACTIONS(557),
    [anon_sym_quotemeta] = ACTIONS(557),
    [anon_sym_reset] = ACTIONS(557),
    [anon_sym_rand] = ACTIONS(557),
    [anon_sym_rmdir] = ACTIONS(557),
    [anon_sym_readdir] = ACTIONS(557),
    [anon_sym_readline] = ACTIONS(557),
    [anon_sym_readpipe] = ACTIONS(557),
    [anon_sym_rewinddir] = ACTIONS(557),
    [anon_sym_readlink] = ACTIONS(557),
    [anon_sym_ref] = ACTIONS(557),
    [anon_sym_scalar] = ACTIONS(557),
    [anon_sym_shift] = ACTIONS(557),
    [anon_sym_sin] = ACTIONS(557),
    [anon_sym_sleep] = ACTIONS(557),
    [anon_sym_sqrt] = ACTIONS(557),
    [anon_sym_srand] = ACTIONS(557),
    [anon_sym_stat] = ACTIONS(557),
    [anon_sym_study] = ACTIONS(557),
    [anon_sym_tell] = ACTIONS(557),
    [anon_sym_telldir] = ACTIONS(557),
    [anon_sym_tied] = ACTIONS(557),
    [anon_sym_uc] = ACTIONS(557),
    [anon_sym_ucfirst] = ACTIONS(557),
    [anon_sym_untie] = ACTIONS(557),
    [anon_sym_umask] = ACTIONS(557),
    [anon_sym_values] = ACTIONS(557),
    [anon_sym_write] = ACTIONS(557),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(559),
    [anon_sym_qq] = ACTIONS(561),
    [anon_sym_qw] = ACTIONS(563),
    [anon_sym_qx] = ACTIONS(565),
    [anon_sym_qr] = ACTIONS(567),
    [anon_sym_m] = ACTIONS(569),
    [anon_sym_s] = ACTIONS(571),
    [anon_sym_tr] = ACTIONS(573),
    [anon_sym_y] = ACTIONS(573),
    [aux_sym__bareword_token1] = ACTIONS(575),
    [sym_number] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(581),
    [sym__open_fileglob_bracket] = ACTIONS(583),
    [sym__PERLY_HEREDOC] = ACTIONS(585),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(587),
    [sym__filetest] = ACTIONS(589),
  },
  [629] = {
    [sym__PERLY_BRACE_OPEN] = STATE(238),
    [sym__subscripted] = STATE(1915),
    [sym_container_variable] = STATE(3851),
    [sym_array_element_expression] = STATE(1916),
    [sym_hash_element_expression] = STATE(1916),
    [sym_coderef_call_expression] = STATE(1916),
    [sym_anonymous_slice_expression] = STATE(1916),
    [sym_slice_container_variable] = STATE(3852),
    [sym_slice_expression] = STATE(2342),
    [sym_keyval_container_variable] = STATE(3853),
    [sym_keyval_expression] = STATE(2342),
    [sym__term] = STATE(2316),
    [sym_readline_expression] = STATE(2342),
    [sym_fileglob_expression] = STATE(2342),
    [sym_assignment_expression] = STATE(2342),
    [sym_binary_expression] = STATE(2342),
    [sym_equality_expression] = STATE(2342),
    [sym_relational_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2342),
    [sym_preinc_expression] = STATE(2342),
    [sym_postinc_expression] = STATE(2342),
    [sym_conditional_expression] = STATE(2342),
    [sym_refgen_expression] = STATE(2342),
    [sym_anonymous_array_expression] = STATE(2342),
    [sym_anonymous_hash_expression] = STATE(2342),
    [sym_anonymous_subroutine_expression] = STATE(2342),
    [sym_anonymous_method_expression] = STATE(2342),
    [sym_do_expression] = STATE(2342),
    [sym_eval_expression] = STATE(2342),
    [sym_await_expression] = STATE(2342),
    [sym_variable_declaration] = STATE(2342),
    [sym_localization_expression] = STATE(2342),
    [sym_stub_expression] = STATE(2342),
    [sym_scalar_deref_expression] = STATE(2342),
    [sym_array_deref_expression] = STATE(2342),
    [sym_arraylen_deref_expression] = STATE(2342),
    [sym_hash_deref_expression] = STATE(2342),
    [sym_amper_deref_expression] = STATE(2342),
    [sym_glob_deref_expression] = STATE(2342),
    [sym_require_expression] = STATE(2342),
    [sym_require_version_expression] = STATE(2342),
    [sym_func0op_call_expression] = STATE(2342),
    [sym_func1op_call_expression] = STATE(2342),
    [sym_map_grep_expression] = STATE(2342),
    [sym_sort_expression] = STATE(2342),
    [sym_loopex_expression] = STATE(2342),
    [sym_goto_expression] = STATE(2342),
    [sym_return_expression] = STATE(2342),
    [sym_undef_expression] = STATE(2342),
    [sym__listop] = STATE(2342),
    [sym_function_call_expression] = STATE(2343),
    [sym_ambiguous_function_call_expression] = STATE(2343),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(2343),
    [sym_scalar] = STATE(2342),
    [sym_array] = STATE(2342),
    [sym__SUB_AMPER] = STATE(2739),
    [sym__GLOB_STAR] = STATE(2741),
    [sym_hash] = STATE(2342),
    [sym_arraylen] = STATE(2342),
    [sym_amper_sub] = STATE(2181),
    [sym_glob] = STATE(2183),
    [sym_glob_slot_expression] = STATE(2342),
    [sym__literal] = STATE(2342),
    [sym__apostrophe] = STATE(3277),
    [sym__quotation_mark] = STATE(2481),
    [sym__backtick] = STATE(2482),
    [sym__search_slash] = STATE(2447),
    [sym_string_literal] = STATE(2353),
    [sym_interpolated_string_literal] = STATE(2353),
    [sym_quoted_word_list] = STATE(2193),
    [sym_command_string] = STATE(2353),
    [sym_quoted_regexp] = STATE(2353),
    [sym_match_regexp] = STATE(2353),
    [sym_substitution_regexp] = STATE(2353),
    [sym_transliteration_expression] = STATE(2353),
    [sym_heredoc_token] = STATE(2342),
    [sym_command_heredoc_token] = STATE(2342),
    [sym_heredoc_content] = STATE(629),
    [sym_autoquoted_bareword] = STATE(2342),
    [sym_bareword] = STATE(2342),
    [sym_primitive] = STATE(2342),
    [sym_boolean] = STATE(2323),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3366),
    [sym__identifier] = ACTIONS(1072),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1008),
    [anon_sym_AT] = ACTIONS(1010),
    [anon_sym_my] = ACTIONS(1012),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(1014),
    [anon_sym_method] = ACTIONS(1016),
    [anon_sym_LPAREN] = ACTIONS(1018),
    [anon_sym_continue] = ACTIONS(1020),
    [anon_sym_state] = ACTIONS(1012),
    [anon_sym_our] = ACTIONS(1012),
    [anon_sym_LBRACK] = ACTIONS(1022),
    [anon_sym_LT_LT] = ACTIONS(1523),
    [anon_sym_SLASH_SLASH] = ACTIONS(1525),
    [anon_sym_PLUS] = ACTIONS(1024),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_TILDE] = ACTIONS(1024),
    [anon_sym_BANG] = ACTIONS(1024),
    [anon_sym_PLUS_PLUS] = ACTIONS(1529),
    [anon_sym_DASH_DASH] = ACTIONS(1529),
    [anon_sym_BSLASH] = ACTIONS(1026),
    [anon_sym_do] = ACTIONS(1028),
    [anon_sym_eval] = ACTIONS(1030),
    [anon_sym_await] = ACTIONS(1032),
    [anon_sym_field] = ACTIONS(1012),
    [anon_sym_local] = ACTIONS(1034),
    [anon_sym_dynamically] = ACTIONS(1034),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1036),
    [anon_sym_require] = ACTIONS(1038),
    [anon_sym_map] = ACTIONS(1040),
    [anon_sym_grep] = ACTIONS(1040),
    [anon_sym_sort] = ACTIONS(1042),
    [anon_sym_goto] = ACTIONS(1044),
    [anon_sym_return] = ACTIONS(1046),
    [anon_sym_undef] = ACTIONS(1048),
    [anon_sym_PERCENT2] = ACTIONS(1050),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1052),
    [anon_sym_next] = ACTIONS(1052),
    [anon_sym_redo] = ACTIONS(1052),
    [anon_sym___FILE__] = ACTIONS(1020),
    [anon_sym___LINE__] = ACTIONS(1020),
    [anon_sym___PACKAGE__] = ACTIONS(1020),
    [anon_sym___SUB__] = ACTIONS(1020),
    [anon_sym_break] = ACTIONS(1020),
    [anon_sym_fork] = ACTIONS(1020),
    [anon_sym_getppid] = ACTIONS(1020),
    [anon_sym_time] = ACTIONS(1020),
    [anon_sym_times] = ACTIONS(1020),
    [anon_sym_wait] = ACTIONS(1020),
    [anon_sym_wantarray] = ACTIONS(1020),
    [anon_sym_abs] = ACTIONS(1054),
    [anon_sym_alarm] = ACTIONS(1054),
    [anon_sym_chop] = ACTIONS(1054),
    [anon_sym_chdir] = ACTIONS(1054),
    [anon_sym_close] = ACTIONS(1054),
    [anon_sym_closedir] = ACTIONS(1054),
    [anon_sym_caller] = ACTIONS(1054),
    [anon_sym_chomp] = ACTIONS(1054),
    [anon_sym_chr] = ACTIONS(1054),
    [anon_sym_cos] = ACTIONS(1054),
    [anon_sym_chroot] = ACTIONS(1054),
    [anon_sym_defined] = ACTIONS(1054),
    [anon_sym_delete] = ACTIONS(1054),
    [anon_sym_dbmclose] = ACTIONS(1054),
    [anon_sym_exists] = ACTIONS(1054),
    [anon_sym_exit] = ACTIONS(1054),
    [anon_sym_eof] = ACTIONS(1054),
    [anon_sym_exp] = ACTIONS(1054),
    [anon_sym_each] = ACTIONS(1054),
    [anon_sym_fc] = ACTIONS(1054),
    [anon_sym_fileno] = ACTIONS(1054),
    [anon_sym_gmtime] = ACTIONS(1054),
    [anon_sym_getc] = ACTIONS(1054),
    [anon_sym_getpgrp] = ACTIONS(1054),
    [anon_sym_getprotobyname] = ACTIONS(1054),
    [anon_sym_getpwname] = ACTIONS(1054),
    [anon_sym_getpwuid] = ACTIONS(1054),
    [anon_sym_getpeername] = ACTIONS(1054),
    [anon_sym_getnetbyname] = ACTIONS(1054),
    [anon_sym_getsockname] = ACTIONS(1054),
    [anon_sym_getgrnam] = ACTIONS(1054),
    [anon_sym_getgrgid] = ACTIONS(1054),
    [anon_sym_hex] = ACTIONS(1054),
    [anon_sym_int] = ACTIONS(1054),
    [anon_sym_keys] = ACTIONS(1054),
    [anon_sym_lc] = ACTIONS(1054),
    [anon_sym_lcfirst] = ACTIONS(1054),
    [anon_sym_length] = ACTIONS(1054),
    [anon_sym_localtime] = ACTIONS(1054),
    [anon_sym_log] = ACTIONS(1054),
    [anon_sym_lock] = ACTIONS(1054),
    [anon_sym_lstat] = ACTIONS(1054),
    [anon_sym_oct] = ACTIONS(1054),
    [anon_sym_ord] = ACTIONS(1054),
    [anon_sym_prototype] = ACTIONS(1054),
    [anon_sym_pop] = ACTIONS(1054),
    [anon_sym_pos] = ACTIONS(1054),
    [anon_sym_quotemeta] = ACTIONS(1054),
    [anon_sym_reset] = ACTIONS(1054),
    [anon_sym_rand] = ACTIONS(1054),
    [anon_sym_rmdir] = ACTIONS(1054),
    [anon_sym_readdir] = ACTIONS(1054),
    [anon_sym_readline] = ACTIONS(1054),
    [anon_sym_readpipe] = ACTIONS(1054),
    [anon_sym_rewinddir] = ACTIONS(1054),
    [anon_sym_readlink] = ACTIONS(1054),
    [anon_sym_ref] = ACTIONS(1054),
    [anon_sym_scalar] = ACTIONS(1054),
    [anon_sym_shift] = ACTIONS(1054),
    [anon_sym_sin] = ACTIONS(1054),
    [anon_sym_sleep] = ACTIONS(1054),
    [anon_sym_sqrt] = ACTIONS(1054),
    [anon_sym_srand] = ACTIONS(1054),
    [anon_sym_stat] = ACTIONS(1054),
    [anon_sym_study] = ACTIONS(1054),
    [anon_sym_tell] = ACTIONS(1054),
    [anon_sym_telldir] = ACTIONS(1054),
    [anon_sym_tied] = ACTIONS(1054),
    [anon_sym_uc] = ACTIONS(1054),
    [anon_sym_ucfirst] = ACTIONS(1054),
    [anon_sym_untie] = ACTIONS(1054),
    [anon_sym_umask] = ACTIONS(1054),
    [anon_sym_values] = ACTIONS(1054),
    [anon_sym_write] = ACTIONS(1054),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1056),
    [anon_sym_qq] = ACTIONS(1058),
    [anon_sym_qw] = ACTIONS(1060),
    [anon_sym_qx] = ACTIONS(1062),
    [anon_sym_qr] = ACTIONS(1064),
    [anon_sym_m] = ACTIONS(1066),
    [anon_sym_s] = ACTIONS(1068),
    [anon_sym_tr] = ACTIONS(1070),
    [anon_sym_y] = ACTIONS(1070),
    [aux_sym__bareword_token1] = ACTIONS(1072),
    [sym_number] = ACTIONS(1074),
    [anon_sym_true] = ACTIONS(1076),
    [anon_sym_false] = ACTIONS(1076),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(1078),
    [sym__open_fileglob_bracket] = ACTIONS(1080),
    [sym__PERLY_HEREDOC] = ACTIONS(1082),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1084),
    [sym__filetest] = ACTIONS(1086),
  },
  [630] = {
    [sym__PERLY_BRACE_OPEN] = STATE(235),
    [sym__subscripted] = STATE(1532),
    [sym_container_variable] = STATE(3855),
    [sym_array_element_expression] = STATE(1533),
    [sym_hash_element_expression] = STATE(1533),
    [sym_coderef_call_expression] = STATE(1533),
    [sym_anonymous_slice_expression] = STATE(1533),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(1967),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(1967),
    [sym__term] = STATE(1922),
    [sym_readline_expression] = STATE(1967),
    [sym_fileglob_expression] = STATE(1967),
    [sym_assignment_expression] = STATE(1967),
    [sym_binary_expression] = STATE(1967),
    [sym_equality_expression] = STATE(1967),
    [sym_relational_expression] = STATE(1967),
    [sym_unary_expression] = STATE(1967),
    [sym_preinc_expression] = STATE(1967),
    [sym_postinc_expression] = STATE(1967),
    [sym_conditional_expression] = STATE(1967),
    [sym_refgen_expression] = STATE(1967),
    [sym_anonymous_array_expression] = STATE(1967),
    [sym_anonymous_hash_expression] = STATE(1967),
    [sym_anonymous_subroutine_expression] = STATE(1967),
    [sym_anonymous_method_expression] = STATE(1967),
    [sym_do_expression] = STATE(1967),
    [sym_eval_expression] = STATE(1967),
    [sym_await_expression] = STATE(1967),
    [sym_variable_declaration] = STATE(1967),
    [sym_localization_expression] = STATE(1967),
    [sym_stub_expression] = STATE(1967),
    [sym_scalar_deref_expression] = STATE(1967),
    [sym_array_deref_expression] = STATE(1967),
    [sym_arraylen_deref_expression] = STATE(1967),
    [sym_hash_deref_expression] = STATE(1967),
    [sym_amper_deref_expression] = STATE(1967),
    [sym_glob_deref_expression] = STATE(1967),
    [sym_require_expression] = STATE(1967),
    [sym_require_version_expression] = STATE(1967),
    [sym_func0op_call_expression] = STATE(1967),
    [sym_func1op_call_expression] = STATE(1967),
    [sym_map_grep_expression] = STATE(1967),
    [sym_sort_expression] = STATE(1967),
    [sym_loopex_expression] = STATE(1967),
    [sym_goto_expression] = STATE(1967),
    [sym_return_expression] = STATE(1967),
    [sym_undef_expression] = STATE(1967),
    [sym__listop] = STATE(1967),
    [sym_function_call_expression] = STATE(1968),
    [sym_ambiguous_function_call_expression] = STATE(1968),
    [sym_function] = STATE(389),
    [sym_method_call_expression] = STATE(1968),
    [sym_scalar] = STATE(1967),
    [sym_array] = STATE(1967),
    [sym__SUB_AMPER] = STATE(2686),
    [sym__GLOB_STAR] = STATE(2687),
    [sym_hash] = STATE(1967),
    [sym_arraylen] = STATE(1967),
    [sym_amper_sub] = STATE(1785),
    [sym_glob] = STATE(1786),
    [sym_glob_slot_expression] = STATE(1967),
    [sym__literal] = STATE(1967),
    [sym__apostrophe] = STATE(3328),
    [sym__quotation_mark] = STATE(2501),
    [sym__backtick] = STATE(2502),
    [sym__search_slash] = STATE(2454),
    [sym_string_literal] = STATE(1969),
    [sym_interpolated_string_literal] = STATE(1969),
    [sym_quoted_word_list] = STATE(1787),
    [sym_command_string] = STATE(1969),
    [sym_quoted_regexp] = STATE(1969),
    [sym_match_regexp] = STATE(1969),
    [sym_substitution_regexp] = STATE(1969),
    [sym_transliteration_expression] = STATE(1969),
    [sym_heredoc_token] = STATE(1967),
    [sym_command_heredoc_token] = STATE(1967),
    [sym_heredoc_content] = STATE(630),
    [sym_autoquoted_bareword] = STATE(1967),
    [sym_bareword] = STATE(1967),
    [sym_primitive] = STATE(1967),
    [sym_boolean] = STATE(1965),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3342),
    [sym__identifier] = ACTIONS(575),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1752),
    [anon_sym_AT] = ACTIONS(1671),
    [anon_sym_my] = ACTIONS(517),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(519),
    [anon_sym_method] = ACTIONS(521),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_continue] = ACTIONS(525),
    [anon_sym_state] = ACTIONS(517),
    [anon_sym_our] = ACTIONS(517),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_LT_LT] = ACTIONS(1673),
    [anon_sym_SLASH_SLASH] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(1677),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_PLUS_PLUS] = ACTIONS(1679),
    [anon_sym_DASH_DASH] = ACTIONS(1679),
    [anon_sym_BSLASH] = ACTIONS(531),
    [anon_sym_do] = ACTIONS(533),
    [anon_sym_eval] = ACTIONS(535),
    [anon_sym_await] = ACTIONS(537),
    [anon_sym_field] = ACTIONS(517),
    [anon_sym_local] = ACTIONS(539),
    [anon_sym_dynamically] = ACTIONS(539),
    [anon_sym_DOLLAR_POUND] = ACTIONS(541),
    [anon_sym_require] = ACTIONS(543),
    [anon_sym_map] = ACTIONS(545),
    [anon_sym_grep] = ACTIONS(545),
    [anon_sym_sort] = ACTIONS(547),
    [anon_sym_goto] = ACTIONS(549),
    [anon_sym_return] = ACTIONS(551),
    [anon_sym_undef] = ACTIONS(553),
    [anon_sym_PERCENT2] = ACTIONS(1681),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(555),
    [anon_sym_next] = ACTIONS(555),
    [anon_sym_redo] = ACTIONS(555),
    [anon_sym___FILE__] = ACTIONS(525),
    [anon_sym___LINE__] = ACTIONS(525),
    [anon_sym___PACKAGE__] = ACTIONS(525),
    [anon_sym___SUB__] = ACTIONS(525),
    [anon_sym_break] = ACTIONS(525),
    [anon_sym_fork] = ACTIONS(525),
    [anon_sym_getppid] = ACTIONS(525),
    [anon_sym_time] = ACTIONS(525),
    [anon_sym_times] = ACTIONS(525),
    [anon_sym_wait] = ACTIONS(525),
    [anon_sym_wantarray] = ACTIONS(525),
    [anon_sym_abs] = ACTIONS(557),
    [anon_sym_alarm] = ACTIONS(557),
    [anon_sym_chop] = ACTIONS(557),
    [anon_sym_chdir] = ACTIONS(557),
    [anon_sym_close] = ACTIONS(557),
    [anon_sym_closedir] = ACTIONS(557),
    [anon_sym_caller] = ACTIONS(557),
    [anon_sym_chomp] = ACTIONS(557),
    [anon_sym_chr] = ACTIONS(557),
    [anon_sym_cos] = ACTIONS(557),
    [anon_sym_chroot] = ACTIONS(557),
    [anon_sym_defined] = ACTIONS(557),
    [anon_sym_delete] = ACTIONS(557),
    [anon_sym_dbmclose] = ACTIONS(557),
    [anon_sym_exists] = ACTIONS(557),
    [anon_sym_exit] = ACTIONS(557),
    [anon_sym_eof] = ACTIONS(557),
    [anon_sym_exp] = ACTIONS(557),
    [anon_sym_each] = ACTIONS(557),
    [anon_sym_fc] = ACTIONS(557),
    [anon_sym_fileno] = ACTIONS(557),
    [anon_sym_gmtime] = ACTIONS(557),
    [anon_sym_getc] = ACTIONS(557),
    [anon_sym_getpgrp] = ACTIONS(557),
    [anon_sym_getprotobyname] = ACTIONS(557),
    [anon_sym_getpwname] = ACTIONS(557),
    [anon_sym_getpwuid] = ACTIONS(557),
    [anon_sym_getpeername] = ACTIONS(557),
    [anon_sym_getnetbyname] = ACTIONS(557),
    [anon_sym_getsockname] = ACTIONS(557),
    [anon_sym_getgrnam] = ACTIONS(557),
    [anon_sym_getgrgid] = ACTIONS(557),
    [anon_sym_hex] = ACTIONS(557),
    [anon_sym_int] = ACTIONS(557),
    [anon_sym_keys] = ACTIONS(557),
    [anon_sym_lc] = ACTIONS(557),
    [anon_sym_lcfirst] = ACTIONS(557),
    [anon_sym_length] = ACTIONS(557),
    [anon_sym_localtime] = ACTIONS(557),
    [anon_sym_log] = ACTIONS(557),
    [anon_sym_lock] = ACTIONS(557),
    [anon_sym_lstat] = ACTIONS(557),
    [anon_sym_oct] = ACTIONS(557),
    [anon_sym_ord] = ACTIONS(557),
    [anon_sym_prototype] = ACTIONS(557),
    [anon_sym_pop] = ACTIONS(557),
    [anon_sym_pos] = ACTIONS(557),
    [anon_sym_quotemeta] = ACTIONS(557),
    [anon_sym_reset] = ACTIONS(557),
    [anon_sym_rand] = ACTIONS(557),
    [anon_sym_rmdir] = ACTIONS(557),
    [anon_sym_readdir] = ACTIONS(557),
    [anon_sym_readline] = ACTIONS(557),
    [anon_sym_readpipe] = ACTIONS(557),
    [anon_sym_rewinddir] = ACTIONS(557),
    [anon_sym_readlink] = ACTIONS(557),
    [anon_sym_ref] = ACTIONS(557),
    [anon_sym_scalar] = ACTIONS(557),
    [anon_sym_shift] = ACTIONS(557),
    [anon_sym_sin] = ACTIONS(557),
    [anon_sym_sleep] = ACTIONS(557),
    [anon_sym_sqrt] = ACTIONS(557),
    [anon_sym_srand] = ACTIONS(557),
    [anon_sym_stat] = ACTIONS(557),
    [anon_sym_study] = ACTIONS(557),
    [anon_sym_tell] = ACTIONS(557),
    [anon_sym_telldir] = ACTIONS(557),
    [anon_sym_tied] = ACTIONS(557),
    [anon_sym_uc] = ACTIONS(557),
    [anon_sym_ucfirst] = ACTIONS(557),
    [anon_sym_untie] = ACTIONS(557),
    [anon_sym_umask] = ACTIONS(557),
    [anon_sym_values] = ACTIONS(557),
    [anon_sym_write] = ACTIONS(557),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(559),
    [anon_sym_qq] = ACTIONS(561),
    [anon_sym_qw] = ACTIONS(563),
    [anon_sym_qx] = ACTIONS(565),
    [anon_sym_qr] = ACTIONS(567),
    [anon_sym_m] = ACTIONS(569),
    [anon_sym_s] = ACTIONS(571),
    [anon_sym_tr] = ACTIONS(573),
    [anon_sym_y] = ACTIONS(573),
    [aux_sym__bareword_token1] = ACTIONS(575),
    [sym_number] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(581),
    [sym__open_fileglob_bracket] = ACTIONS(583),
    [sym__PERLY_HEREDOC] = ACTIONS(585),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(587),
    [sym__filetest] = ACTIONS(589),
  },
  [631] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2422),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(394),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(631),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1695),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1697),
    [anon_sym_DASH_DASH] = ACTIONS(1697),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(1222),
  },
  [632] = {
    [sym__PERLY_BRACE_OPEN] = STATE(238),
    [sym__subscripted] = STATE(1915),
    [sym_container_variable] = STATE(3851),
    [sym_array_element_expression] = STATE(1916),
    [sym_hash_element_expression] = STATE(1916),
    [sym_coderef_call_expression] = STATE(1916),
    [sym_anonymous_slice_expression] = STATE(1916),
    [sym_slice_container_variable] = STATE(3852),
    [sym_slice_expression] = STATE(2342),
    [sym_keyval_container_variable] = STATE(3853),
    [sym_keyval_expression] = STATE(2342),
    [sym__term] = STATE(2317),
    [sym_readline_expression] = STATE(2342),
    [sym_fileglob_expression] = STATE(2342),
    [sym_assignment_expression] = STATE(2342),
    [sym_binary_expression] = STATE(2342),
    [sym_equality_expression] = STATE(2342),
    [sym_relational_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2342),
    [sym_preinc_expression] = STATE(2342),
    [sym_postinc_expression] = STATE(2342),
    [sym_conditional_expression] = STATE(2342),
    [sym_refgen_expression] = STATE(2342),
    [sym_anonymous_array_expression] = STATE(2342),
    [sym_anonymous_hash_expression] = STATE(2342),
    [sym_anonymous_subroutine_expression] = STATE(2342),
    [sym_anonymous_method_expression] = STATE(2342),
    [sym_do_expression] = STATE(2342),
    [sym_eval_expression] = STATE(2342),
    [sym_await_expression] = STATE(2342),
    [sym_variable_declaration] = STATE(2342),
    [sym_localization_expression] = STATE(2342),
    [sym_stub_expression] = STATE(2342),
    [sym_scalar_deref_expression] = STATE(2342),
    [sym_array_deref_expression] = STATE(2342),
    [sym_arraylen_deref_expression] = STATE(2342),
    [sym_hash_deref_expression] = STATE(2342),
    [sym_amper_deref_expression] = STATE(2342),
    [sym_glob_deref_expression] = STATE(2342),
    [sym_require_expression] = STATE(2342),
    [sym_require_version_expression] = STATE(2342),
    [sym_func0op_call_expression] = STATE(2342),
    [sym_func1op_call_expression] = STATE(2342),
    [sym_map_grep_expression] = STATE(2342),
    [sym_sort_expression] = STATE(2342),
    [sym_loopex_expression] = STATE(2342),
    [sym_goto_expression] = STATE(2342),
    [sym_return_expression] = STATE(2342),
    [sym_undef_expression] = STATE(2342),
    [sym__listop] = STATE(2342),
    [sym_function_call_expression] = STATE(2343),
    [sym_ambiguous_function_call_expression] = STATE(2343),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(2343),
    [sym_scalar] = STATE(2342),
    [sym_array] = STATE(2342),
    [sym__SUB_AMPER] = STATE(2739),
    [sym__GLOB_STAR] = STATE(2741),
    [sym_hash] = STATE(2342),
    [sym_arraylen] = STATE(2342),
    [sym_amper_sub] = STATE(2181),
    [sym_glob] = STATE(2183),
    [sym_glob_slot_expression] = STATE(2342),
    [sym__literal] = STATE(2342),
    [sym__apostrophe] = STATE(3277),
    [sym__quotation_mark] = STATE(2481),
    [sym__backtick] = STATE(2482),
    [sym__search_slash] = STATE(2447),
    [sym_string_literal] = STATE(2353),
    [sym_interpolated_string_literal] = STATE(2353),
    [sym_quoted_word_list] = STATE(2193),
    [sym_command_string] = STATE(2353),
    [sym_quoted_regexp] = STATE(2353),
    [sym_match_regexp] = STATE(2353),
    [sym_substitution_regexp] = STATE(2353),
    [sym_transliteration_expression] = STATE(2353),
    [sym_heredoc_token] = STATE(2342),
    [sym_command_heredoc_token] = STATE(2342),
    [sym_heredoc_content] = STATE(632),
    [sym_autoquoted_bareword] = STATE(2342),
    [sym_bareword] = STATE(2342),
    [sym_primitive] = STATE(2342),
    [sym_boolean] = STATE(2323),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3366),
    [sym__identifier] = ACTIONS(1072),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1008),
    [anon_sym_AT] = ACTIONS(1010),
    [anon_sym_my] = ACTIONS(1012),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(1014),
    [anon_sym_method] = ACTIONS(1016),
    [anon_sym_LPAREN] = ACTIONS(1018),
    [anon_sym_continue] = ACTIONS(1020),
    [anon_sym_state] = ACTIONS(1012),
    [anon_sym_our] = ACTIONS(1012),
    [anon_sym_LBRACK] = ACTIONS(1022),
    [anon_sym_LT_LT] = ACTIONS(1523),
    [anon_sym_SLASH_SLASH] = ACTIONS(1525),
    [anon_sym_PLUS] = ACTIONS(1024),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_TILDE] = ACTIONS(1024),
    [anon_sym_BANG] = ACTIONS(1024),
    [anon_sym_PLUS_PLUS] = ACTIONS(1529),
    [anon_sym_DASH_DASH] = ACTIONS(1529),
    [anon_sym_BSLASH] = ACTIONS(1026),
    [anon_sym_do] = ACTIONS(1028),
    [anon_sym_eval] = ACTIONS(1030),
    [anon_sym_await] = ACTIONS(1032),
    [anon_sym_field] = ACTIONS(1012),
    [anon_sym_local] = ACTIONS(1034),
    [anon_sym_dynamically] = ACTIONS(1034),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1036),
    [anon_sym_require] = ACTIONS(1038),
    [anon_sym_map] = ACTIONS(1040),
    [anon_sym_grep] = ACTIONS(1040),
    [anon_sym_sort] = ACTIONS(1042),
    [anon_sym_goto] = ACTIONS(1044),
    [anon_sym_return] = ACTIONS(1046),
    [anon_sym_undef] = ACTIONS(1048),
    [anon_sym_PERCENT2] = ACTIONS(1050),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1052),
    [anon_sym_next] = ACTIONS(1052),
    [anon_sym_redo] = ACTIONS(1052),
    [anon_sym___FILE__] = ACTIONS(1020),
    [anon_sym___LINE__] = ACTIONS(1020),
    [anon_sym___PACKAGE__] = ACTIONS(1020),
    [anon_sym___SUB__] = ACTIONS(1020),
    [anon_sym_break] = ACTIONS(1020),
    [anon_sym_fork] = ACTIONS(1020),
    [anon_sym_getppid] = ACTIONS(1020),
    [anon_sym_time] = ACTIONS(1020),
    [anon_sym_times] = ACTIONS(1020),
    [anon_sym_wait] = ACTIONS(1020),
    [anon_sym_wantarray] = ACTIONS(1020),
    [anon_sym_abs] = ACTIONS(1054),
    [anon_sym_alarm] = ACTIONS(1054),
    [anon_sym_chop] = ACTIONS(1054),
    [anon_sym_chdir] = ACTIONS(1054),
    [anon_sym_close] = ACTIONS(1054),
    [anon_sym_closedir] = ACTIONS(1054),
    [anon_sym_caller] = ACTIONS(1054),
    [anon_sym_chomp] = ACTIONS(1054),
    [anon_sym_chr] = ACTIONS(1054),
    [anon_sym_cos] = ACTIONS(1054),
    [anon_sym_chroot] = ACTIONS(1054),
    [anon_sym_defined] = ACTIONS(1054),
    [anon_sym_delete] = ACTIONS(1054),
    [anon_sym_dbmclose] = ACTIONS(1054),
    [anon_sym_exists] = ACTIONS(1054),
    [anon_sym_exit] = ACTIONS(1054),
    [anon_sym_eof] = ACTIONS(1054),
    [anon_sym_exp] = ACTIONS(1054),
    [anon_sym_each] = ACTIONS(1054),
    [anon_sym_fc] = ACTIONS(1054),
    [anon_sym_fileno] = ACTIONS(1054),
    [anon_sym_gmtime] = ACTIONS(1054),
    [anon_sym_getc] = ACTIONS(1054),
    [anon_sym_getpgrp] = ACTIONS(1054),
    [anon_sym_getprotobyname] = ACTIONS(1054),
    [anon_sym_getpwname] = ACTIONS(1054),
    [anon_sym_getpwuid] = ACTIONS(1054),
    [anon_sym_getpeername] = ACTIONS(1054),
    [anon_sym_getnetbyname] = ACTIONS(1054),
    [anon_sym_getsockname] = ACTIONS(1054),
    [anon_sym_getgrnam] = ACTIONS(1054),
    [anon_sym_getgrgid] = ACTIONS(1054),
    [anon_sym_hex] = ACTIONS(1054),
    [anon_sym_int] = ACTIONS(1054),
    [anon_sym_keys] = ACTIONS(1054),
    [anon_sym_lc] = ACTIONS(1054),
    [anon_sym_lcfirst] = ACTIONS(1054),
    [anon_sym_length] = ACTIONS(1054),
    [anon_sym_localtime] = ACTIONS(1054),
    [anon_sym_log] = ACTIONS(1054),
    [anon_sym_lock] = ACTIONS(1054),
    [anon_sym_lstat] = ACTIONS(1054),
    [anon_sym_oct] = ACTIONS(1054),
    [anon_sym_ord] = ACTIONS(1054),
    [anon_sym_prototype] = ACTIONS(1054),
    [anon_sym_pop] = ACTIONS(1054),
    [anon_sym_pos] = ACTIONS(1054),
    [anon_sym_quotemeta] = ACTIONS(1054),
    [anon_sym_reset] = ACTIONS(1054),
    [anon_sym_rand] = ACTIONS(1054),
    [anon_sym_rmdir] = ACTIONS(1054),
    [anon_sym_readdir] = ACTIONS(1054),
    [anon_sym_readline] = ACTIONS(1054),
    [anon_sym_readpipe] = ACTIONS(1054),
    [anon_sym_rewinddir] = ACTIONS(1054),
    [anon_sym_readlink] = ACTIONS(1054),
    [anon_sym_ref] = ACTIONS(1054),
    [anon_sym_scalar] = ACTIONS(1054),
    [anon_sym_shift] = ACTIONS(1054),
    [anon_sym_sin] = ACTIONS(1054),
    [anon_sym_sleep] = ACTIONS(1054),
    [anon_sym_sqrt] = ACTIONS(1054),
    [anon_sym_srand] = ACTIONS(1054),
    [anon_sym_stat] = ACTIONS(1054),
    [anon_sym_study] = ACTIONS(1054),
    [anon_sym_tell] = ACTIONS(1054),
    [anon_sym_telldir] = ACTIONS(1054),
    [anon_sym_tied] = ACTIONS(1054),
    [anon_sym_uc] = ACTIONS(1054),
    [anon_sym_ucfirst] = ACTIONS(1054),
    [anon_sym_untie] = ACTIONS(1054),
    [anon_sym_umask] = ACTIONS(1054),
    [anon_sym_values] = ACTIONS(1054),
    [anon_sym_write] = ACTIONS(1054),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1056),
    [anon_sym_qq] = ACTIONS(1058),
    [anon_sym_qw] = ACTIONS(1060),
    [anon_sym_qx] = ACTIONS(1062),
    [anon_sym_qr] = ACTIONS(1064),
    [anon_sym_m] = ACTIONS(1066),
    [anon_sym_s] = ACTIONS(1068),
    [anon_sym_tr] = ACTIONS(1070),
    [anon_sym_y] = ACTIONS(1070),
    [aux_sym__bareword_token1] = ACTIONS(1072),
    [sym_number] = ACTIONS(1074),
    [anon_sym_true] = ACTIONS(1076),
    [anon_sym_false] = ACTIONS(1076),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(1078),
    [sym__open_fileglob_bracket] = ACTIONS(1080),
    [sym__PERLY_HEREDOC] = ACTIONS(1082),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1084),
    [sym__filetest] = ACTIONS(1086),
  },
  [633] = {
    [sym__PERLY_BRACE_OPEN] = STATE(235),
    [sym__subscripted] = STATE(1532),
    [sym_container_variable] = STATE(3855),
    [sym_array_element_expression] = STATE(1533),
    [sym_hash_element_expression] = STATE(1533),
    [sym_coderef_call_expression] = STATE(1533),
    [sym_anonymous_slice_expression] = STATE(1533),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(1967),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(1967),
    [sym__term] = STATE(1923),
    [sym_readline_expression] = STATE(1967),
    [sym_fileglob_expression] = STATE(1967),
    [sym_assignment_expression] = STATE(1967),
    [sym_binary_expression] = STATE(1967),
    [sym_equality_expression] = STATE(1967),
    [sym_relational_expression] = STATE(1967),
    [sym_unary_expression] = STATE(1967),
    [sym_preinc_expression] = STATE(1967),
    [sym_postinc_expression] = STATE(1967),
    [sym_conditional_expression] = STATE(1967),
    [sym_refgen_expression] = STATE(1967),
    [sym_anonymous_array_expression] = STATE(1967),
    [sym_anonymous_hash_expression] = STATE(1967),
    [sym_anonymous_subroutine_expression] = STATE(1967),
    [sym_anonymous_method_expression] = STATE(1967),
    [sym_do_expression] = STATE(1967),
    [sym_eval_expression] = STATE(1967),
    [sym_await_expression] = STATE(1967),
    [sym_variable_declaration] = STATE(1967),
    [sym_localization_expression] = STATE(1967),
    [sym_stub_expression] = STATE(1967),
    [sym_scalar_deref_expression] = STATE(1967),
    [sym_array_deref_expression] = STATE(1967),
    [sym_arraylen_deref_expression] = STATE(1967),
    [sym_hash_deref_expression] = STATE(1967),
    [sym_amper_deref_expression] = STATE(1967),
    [sym_glob_deref_expression] = STATE(1967),
    [sym_require_expression] = STATE(1967),
    [sym_require_version_expression] = STATE(1967),
    [sym_func0op_call_expression] = STATE(1967),
    [sym_func1op_call_expression] = STATE(1967),
    [sym_map_grep_expression] = STATE(1967),
    [sym_sort_expression] = STATE(1967),
    [sym_loopex_expression] = STATE(1967),
    [sym_goto_expression] = STATE(1967),
    [sym_return_expression] = STATE(1967),
    [sym_undef_expression] = STATE(1967),
    [sym__listop] = STATE(1967),
    [sym_function_call_expression] = STATE(1968),
    [sym_ambiguous_function_call_expression] = STATE(1968),
    [sym_function] = STATE(389),
    [sym_method_call_expression] = STATE(1968),
    [sym_scalar] = STATE(1967),
    [sym_array] = STATE(1967),
    [sym__SUB_AMPER] = STATE(2686),
    [sym__GLOB_STAR] = STATE(2687),
    [sym_hash] = STATE(1967),
    [sym_arraylen] = STATE(1967),
    [sym_amper_sub] = STATE(1785),
    [sym_glob] = STATE(1786),
    [sym_glob_slot_expression] = STATE(1967),
    [sym__literal] = STATE(1967),
    [sym__apostrophe] = STATE(3328),
    [sym__quotation_mark] = STATE(2501),
    [sym__backtick] = STATE(2502),
    [sym__search_slash] = STATE(2454),
    [sym_string_literal] = STATE(1969),
    [sym_interpolated_string_literal] = STATE(1969),
    [sym_quoted_word_list] = STATE(1787),
    [sym_command_string] = STATE(1969),
    [sym_quoted_regexp] = STATE(1969),
    [sym_match_regexp] = STATE(1969),
    [sym_substitution_regexp] = STATE(1969),
    [sym_transliteration_expression] = STATE(1969),
    [sym_heredoc_token] = STATE(1967),
    [sym_command_heredoc_token] = STATE(1967),
    [sym_heredoc_content] = STATE(633),
    [sym_autoquoted_bareword] = STATE(1967),
    [sym_bareword] = STATE(1967),
    [sym_primitive] = STATE(1967),
    [sym_boolean] = STATE(1965),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3342),
    [sym__identifier] = ACTIONS(575),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1752),
    [anon_sym_AT] = ACTIONS(1671),
    [anon_sym_my] = ACTIONS(517),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(519),
    [anon_sym_method] = ACTIONS(521),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_continue] = ACTIONS(525),
    [anon_sym_state] = ACTIONS(517),
    [anon_sym_our] = ACTIONS(517),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_LT_LT] = ACTIONS(1673),
    [anon_sym_SLASH_SLASH] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(1677),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_PLUS_PLUS] = ACTIONS(1679),
    [anon_sym_DASH_DASH] = ACTIONS(1679),
    [anon_sym_BSLASH] = ACTIONS(531),
    [anon_sym_do] = ACTIONS(533),
    [anon_sym_eval] = ACTIONS(535),
    [anon_sym_await] = ACTIONS(537),
    [anon_sym_field] = ACTIONS(517),
    [anon_sym_local] = ACTIONS(539),
    [anon_sym_dynamically] = ACTIONS(539),
    [anon_sym_DOLLAR_POUND] = ACTIONS(541),
    [anon_sym_require] = ACTIONS(543),
    [anon_sym_map] = ACTIONS(545),
    [anon_sym_grep] = ACTIONS(545),
    [anon_sym_sort] = ACTIONS(547),
    [anon_sym_goto] = ACTIONS(549),
    [anon_sym_return] = ACTIONS(551),
    [anon_sym_undef] = ACTIONS(553),
    [anon_sym_PERCENT2] = ACTIONS(1681),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(555),
    [anon_sym_next] = ACTIONS(555),
    [anon_sym_redo] = ACTIONS(555),
    [anon_sym___FILE__] = ACTIONS(525),
    [anon_sym___LINE__] = ACTIONS(525),
    [anon_sym___PACKAGE__] = ACTIONS(525),
    [anon_sym___SUB__] = ACTIONS(525),
    [anon_sym_break] = ACTIONS(525),
    [anon_sym_fork] = ACTIONS(525),
    [anon_sym_getppid] = ACTIONS(525),
    [anon_sym_time] = ACTIONS(525),
    [anon_sym_times] = ACTIONS(525),
    [anon_sym_wait] = ACTIONS(525),
    [anon_sym_wantarray] = ACTIONS(525),
    [anon_sym_abs] = ACTIONS(557),
    [anon_sym_alarm] = ACTIONS(557),
    [anon_sym_chop] = ACTIONS(557),
    [anon_sym_chdir] = ACTIONS(557),
    [anon_sym_close] = ACTIONS(557),
    [anon_sym_closedir] = ACTIONS(557),
    [anon_sym_caller] = ACTIONS(557),
    [anon_sym_chomp] = ACTIONS(557),
    [anon_sym_chr] = ACTIONS(557),
    [anon_sym_cos] = ACTIONS(557),
    [anon_sym_chroot] = ACTIONS(557),
    [anon_sym_defined] = ACTIONS(557),
    [anon_sym_delete] = ACTIONS(557),
    [anon_sym_dbmclose] = ACTIONS(557),
    [anon_sym_exists] = ACTIONS(557),
    [anon_sym_exit] = ACTIONS(557),
    [anon_sym_eof] = ACTIONS(557),
    [anon_sym_exp] = ACTIONS(557),
    [anon_sym_each] = ACTIONS(557),
    [anon_sym_fc] = ACTIONS(557),
    [anon_sym_fileno] = ACTIONS(557),
    [anon_sym_gmtime] = ACTIONS(557),
    [anon_sym_getc] = ACTIONS(557),
    [anon_sym_getpgrp] = ACTIONS(557),
    [anon_sym_getprotobyname] = ACTIONS(557),
    [anon_sym_getpwname] = ACTIONS(557),
    [anon_sym_getpwuid] = ACTIONS(557),
    [anon_sym_getpeername] = ACTIONS(557),
    [anon_sym_getnetbyname] = ACTIONS(557),
    [anon_sym_getsockname] = ACTIONS(557),
    [anon_sym_getgrnam] = ACTIONS(557),
    [anon_sym_getgrgid] = ACTIONS(557),
    [anon_sym_hex] = ACTIONS(557),
    [anon_sym_int] = ACTIONS(557),
    [anon_sym_keys] = ACTIONS(557),
    [anon_sym_lc] = ACTIONS(557),
    [anon_sym_lcfirst] = ACTIONS(557),
    [anon_sym_length] = ACTIONS(557),
    [anon_sym_localtime] = ACTIONS(557),
    [anon_sym_log] = ACTIONS(557),
    [anon_sym_lock] = ACTIONS(557),
    [anon_sym_lstat] = ACTIONS(557),
    [anon_sym_oct] = ACTIONS(557),
    [anon_sym_ord] = ACTIONS(557),
    [anon_sym_prototype] = ACTIONS(557),
    [anon_sym_pop] = ACTIONS(557),
    [anon_sym_pos] = ACTIONS(557),
    [anon_sym_quotemeta] = ACTIONS(557),
    [anon_sym_reset] = ACTIONS(557),
    [anon_sym_rand] = ACTIONS(557),
    [anon_sym_rmdir] = ACTIONS(557),
    [anon_sym_readdir] = ACTIONS(557),
    [anon_sym_readline] = ACTIONS(557),
    [anon_sym_readpipe] = ACTIONS(557),
    [anon_sym_rewinddir] = ACTIONS(557),
    [anon_sym_readlink] = ACTIONS(557),
    [anon_sym_ref] = ACTIONS(557),
    [anon_sym_scalar] = ACTIONS(557),
    [anon_sym_shift] = ACTIONS(557),
    [anon_sym_sin] = ACTIONS(557),
    [anon_sym_sleep] = ACTIONS(557),
    [anon_sym_sqrt] = ACTIONS(557),
    [anon_sym_srand] = ACTIONS(557),
    [anon_sym_stat] = ACTIONS(557),
    [anon_sym_study] = ACTIONS(557),
    [anon_sym_tell] = ACTIONS(557),
    [anon_sym_telldir] = ACTIONS(557),
    [anon_sym_tied] = ACTIONS(557),
    [anon_sym_uc] = ACTIONS(557),
    [anon_sym_ucfirst] = ACTIONS(557),
    [anon_sym_untie] = ACTIONS(557),
    [anon_sym_umask] = ACTIONS(557),
    [anon_sym_values] = ACTIONS(557),
    [anon_sym_write] = ACTIONS(557),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(559),
    [anon_sym_qq] = ACTIONS(561),
    [anon_sym_qw] = ACTIONS(563),
    [anon_sym_qx] = ACTIONS(565),
    [anon_sym_qr] = ACTIONS(567),
    [anon_sym_m] = ACTIONS(569),
    [anon_sym_s] = ACTIONS(571),
    [anon_sym_tr] = ACTIONS(573),
    [anon_sym_y] = ACTIONS(573),
    [aux_sym__bareword_token1] = ACTIONS(575),
    [sym_number] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(581),
    [sym__open_fileglob_bracket] = ACTIONS(583),
    [sym__PERLY_HEREDOC] = ACTIONS(585),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(587),
    [sym__filetest] = ACTIONS(589),
  },
  [634] = {
    [sym__PERLY_BRACE_OPEN] = STATE(235),
    [sym__subscripted] = STATE(1532),
    [sym_container_variable] = STATE(3855),
    [sym_array_element_expression] = STATE(1533),
    [sym_hash_element_expression] = STATE(1533),
    [sym_coderef_call_expression] = STATE(1533),
    [sym_anonymous_slice_expression] = STATE(1533),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(1967),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(1967),
    [sym__term] = STATE(1924),
    [sym_readline_expression] = STATE(1967),
    [sym_fileglob_expression] = STATE(1967),
    [sym_assignment_expression] = STATE(1967),
    [sym_binary_expression] = STATE(1967),
    [sym_equality_expression] = STATE(1967),
    [sym_relational_expression] = STATE(1967),
    [sym_unary_expression] = STATE(1967),
    [sym_preinc_expression] = STATE(1967),
    [sym_postinc_expression] = STATE(1967),
    [sym_conditional_expression] = STATE(1967),
    [sym_refgen_expression] = STATE(1967),
    [sym_anonymous_array_expression] = STATE(1967),
    [sym_anonymous_hash_expression] = STATE(1967),
    [sym_anonymous_subroutine_expression] = STATE(1967),
    [sym_anonymous_method_expression] = STATE(1967),
    [sym_do_expression] = STATE(1967),
    [sym_eval_expression] = STATE(1967),
    [sym_await_expression] = STATE(1967),
    [sym_variable_declaration] = STATE(1967),
    [sym_localization_expression] = STATE(1967),
    [sym_stub_expression] = STATE(1967),
    [sym_scalar_deref_expression] = STATE(1967),
    [sym_array_deref_expression] = STATE(1967),
    [sym_arraylen_deref_expression] = STATE(1967),
    [sym_hash_deref_expression] = STATE(1967),
    [sym_amper_deref_expression] = STATE(1967),
    [sym_glob_deref_expression] = STATE(1967),
    [sym_require_expression] = STATE(1967),
    [sym_require_version_expression] = STATE(1967),
    [sym_func0op_call_expression] = STATE(1967),
    [sym_func1op_call_expression] = STATE(1967),
    [sym_map_grep_expression] = STATE(1967),
    [sym_sort_expression] = STATE(1967),
    [sym_loopex_expression] = STATE(1967),
    [sym_goto_expression] = STATE(1967),
    [sym_return_expression] = STATE(1967),
    [sym_undef_expression] = STATE(1967),
    [sym__listop] = STATE(1967),
    [sym_function_call_expression] = STATE(1968),
    [sym_ambiguous_function_call_expression] = STATE(1968),
    [sym_function] = STATE(389),
    [sym_method_call_expression] = STATE(1968),
    [sym_scalar] = STATE(1967),
    [sym_array] = STATE(1967),
    [sym__SUB_AMPER] = STATE(2686),
    [sym__GLOB_STAR] = STATE(2687),
    [sym_hash] = STATE(1967),
    [sym_arraylen] = STATE(1967),
    [sym_amper_sub] = STATE(1785),
    [sym_glob] = STATE(1786),
    [sym_glob_slot_expression] = STATE(1967),
    [sym__literal] = STATE(1967),
    [sym__apostrophe] = STATE(3328),
    [sym__quotation_mark] = STATE(2501),
    [sym__backtick] = STATE(2502),
    [sym__search_slash] = STATE(2454),
    [sym_string_literal] = STATE(1969),
    [sym_interpolated_string_literal] = STATE(1969),
    [sym_quoted_word_list] = STATE(1787),
    [sym_command_string] = STATE(1969),
    [sym_quoted_regexp] = STATE(1969),
    [sym_match_regexp] = STATE(1969),
    [sym_substitution_regexp] = STATE(1969),
    [sym_transliteration_expression] = STATE(1969),
    [sym_heredoc_token] = STATE(1967),
    [sym_command_heredoc_token] = STATE(1967),
    [sym_heredoc_content] = STATE(634),
    [sym_autoquoted_bareword] = STATE(1967),
    [sym_bareword] = STATE(1967),
    [sym_primitive] = STATE(1967),
    [sym_boolean] = STATE(1965),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3342),
    [sym__identifier] = ACTIONS(575),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1752),
    [anon_sym_AT] = ACTIONS(1671),
    [anon_sym_my] = ACTIONS(517),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(519),
    [anon_sym_method] = ACTIONS(521),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_continue] = ACTIONS(525),
    [anon_sym_state] = ACTIONS(517),
    [anon_sym_our] = ACTIONS(517),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_LT_LT] = ACTIONS(1673),
    [anon_sym_SLASH_SLASH] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(1677),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_PLUS_PLUS] = ACTIONS(1679),
    [anon_sym_DASH_DASH] = ACTIONS(1679),
    [anon_sym_BSLASH] = ACTIONS(531),
    [anon_sym_do] = ACTIONS(533),
    [anon_sym_eval] = ACTIONS(535),
    [anon_sym_await] = ACTIONS(537),
    [anon_sym_field] = ACTIONS(517),
    [anon_sym_local] = ACTIONS(539),
    [anon_sym_dynamically] = ACTIONS(539),
    [anon_sym_DOLLAR_POUND] = ACTIONS(541),
    [anon_sym_require] = ACTIONS(543),
    [anon_sym_map] = ACTIONS(545),
    [anon_sym_grep] = ACTIONS(545),
    [anon_sym_sort] = ACTIONS(547),
    [anon_sym_goto] = ACTIONS(549),
    [anon_sym_return] = ACTIONS(551),
    [anon_sym_undef] = ACTIONS(553),
    [anon_sym_PERCENT2] = ACTIONS(1681),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(555),
    [anon_sym_next] = ACTIONS(555),
    [anon_sym_redo] = ACTIONS(555),
    [anon_sym___FILE__] = ACTIONS(525),
    [anon_sym___LINE__] = ACTIONS(525),
    [anon_sym___PACKAGE__] = ACTIONS(525),
    [anon_sym___SUB__] = ACTIONS(525),
    [anon_sym_break] = ACTIONS(525),
    [anon_sym_fork] = ACTIONS(525),
    [anon_sym_getppid] = ACTIONS(525),
    [anon_sym_time] = ACTIONS(525),
    [anon_sym_times] = ACTIONS(525),
    [anon_sym_wait] = ACTIONS(525),
    [anon_sym_wantarray] = ACTIONS(525),
    [anon_sym_abs] = ACTIONS(557),
    [anon_sym_alarm] = ACTIONS(557),
    [anon_sym_chop] = ACTIONS(557),
    [anon_sym_chdir] = ACTIONS(557),
    [anon_sym_close] = ACTIONS(557),
    [anon_sym_closedir] = ACTIONS(557),
    [anon_sym_caller] = ACTIONS(557),
    [anon_sym_chomp] = ACTIONS(557),
    [anon_sym_chr] = ACTIONS(557),
    [anon_sym_cos] = ACTIONS(557),
    [anon_sym_chroot] = ACTIONS(557),
    [anon_sym_defined] = ACTIONS(557),
    [anon_sym_delete] = ACTIONS(557),
    [anon_sym_dbmclose] = ACTIONS(557),
    [anon_sym_exists] = ACTIONS(557),
    [anon_sym_exit] = ACTIONS(557),
    [anon_sym_eof] = ACTIONS(557),
    [anon_sym_exp] = ACTIONS(557),
    [anon_sym_each] = ACTIONS(557),
    [anon_sym_fc] = ACTIONS(557),
    [anon_sym_fileno] = ACTIONS(557),
    [anon_sym_gmtime] = ACTIONS(557),
    [anon_sym_getc] = ACTIONS(557),
    [anon_sym_getpgrp] = ACTIONS(557),
    [anon_sym_getprotobyname] = ACTIONS(557),
    [anon_sym_getpwname] = ACTIONS(557),
    [anon_sym_getpwuid] = ACTIONS(557),
    [anon_sym_getpeername] = ACTIONS(557),
    [anon_sym_getnetbyname] = ACTIONS(557),
    [anon_sym_getsockname] = ACTIONS(557),
    [anon_sym_getgrnam] = ACTIONS(557),
    [anon_sym_getgrgid] = ACTIONS(557),
    [anon_sym_hex] = ACTIONS(557),
    [anon_sym_int] = ACTIONS(557),
    [anon_sym_keys] = ACTIONS(557),
    [anon_sym_lc] = ACTIONS(557),
    [anon_sym_lcfirst] = ACTIONS(557),
    [anon_sym_length] = ACTIONS(557),
    [anon_sym_localtime] = ACTIONS(557),
    [anon_sym_log] = ACTIONS(557),
    [anon_sym_lock] = ACTIONS(557),
    [anon_sym_lstat] = ACTIONS(557),
    [anon_sym_oct] = ACTIONS(557),
    [anon_sym_ord] = ACTIONS(557),
    [anon_sym_prototype] = ACTIONS(557),
    [anon_sym_pop] = ACTIONS(557),
    [anon_sym_pos] = ACTIONS(557),
    [anon_sym_quotemeta] = ACTIONS(557),
    [anon_sym_reset] = ACTIONS(557),
    [anon_sym_rand] = ACTIONS(557),
    [anon_sym_rmdir] = ACTIONS(557),
    [anon_sym_readdir] = ACTIONS(557),
    [anon_sym_readline] = ACTIONS(557),
    [anon_sym_readpipe] = ACTIONS(557),
    [anon_sym_rewinddir] = ACTIONS(557),
    [anon_sym_readlink] = ACTIONS(557),
    [anon_sym_ref] = ACTIONS(557),
    [anon_sym_scalar] = ACTIONS(557),
    [anon_sym_shift] = ACTIONS(557),
    [anon_sym_sin] = ACTIONS(557),
    [anon_sym_sleep] = ACTIONS(557),
    [anon_sym_sqrt] = ACTIONS(557),
    [anon_sym_srand] = ACTIONS(557),
    [anon_sym_stat] = ACTIONS(557),
    [anon_sym_study] = ACTIONS(557),
    [anon_sym_tell] = ACTIONS(557),
    [anon_sym_telldir] = ACTIONS(557),
    [anon_sym_tied] = ACTIONS(557),
    [anon_sym_uc] = ACTIONS(557),
    [anon_sym_ucfirst] = ACTIONS(557),
    [anon_sym_untie] = ACTIONS(557),
    [anon_sym_umask] = ACTIONS(557),
    [anon_sym_values] = ACTIONS(557),
    [anon_sym_write] = ACTIONS(557),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(559),
    [anon_sym_qq] = ACTIONS(561),
    [anon_sym_qw] = ACTIONS(563),
    [anon_sym_qx] = ACTIONS(565),
    [anon_sym_qr] = ACTIONS(567),
    [anon_sym_m] = ACTIONS(569),
    [anon_sym_s] = ACTIONS(571),
    [anon_sym_tr] = ACTIONS(573),
    [anon_sym_y] = ACTIONS(573),
    [aux_sym__bareword_token1] = ACTIONS(575),
    [sym_number] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(581),
    [sym__open_fileglob_bracket] = ACTIONS(583),
    [sym__PERLY_HEREDOC] = ACTIONS(585),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(587),
    [sym__filetest] = ACTIONS(589),
  },
  [635] = {
    [sym__PERLY_BRACE_OPEN] = STATE(238),
    [sym__subscripted] = STATE(1915),
    [sym_container_variable] = STATE(3851),
    [sym_array_element_expression] = STATE(1916),
    [sym_hash_element_expression] = STATE(1916),
    [sym_coderef_call_expression] = STATE(1916),
    [sym_anonymous_slice_expression] = STATE(1916),
    [sym_slice_container_variable] = STATE(3852),
    [sym_slice_expression] = STATE(2342),
    [sym_keyval_container_variable] = STATE(3853),
    [sym_keyval_expression] = STATE(2342),
    [sym__term] = STATE(2318),
    [sym_readline_expression] = STATE(2342),
    [sym_fileglob_expression] = STATE(2342),
    [sym_assignment_expression] = STATE(2342),
    [sym_binary_expression] = STATE(2342),
    [sym_equality_expression] = STATE(2342),
    [sym_relational_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2342),
    [sym_preinc_expression] = STATE(2342),
    [sym_postinc_expression] = STATE(2342),
    [sym_conditional_expression] = STATE(2342),
    [sym_refgen_expression] = STATE(2342),
    [sym_anonymous_array_expression] = STATE(2342),
    [sym_anonymous_hash_expression] = STATE(2342),
    [sym_anonymous_subroutine_expression] = STATE(2342),
    [sym_anonymous_method_expression] = STATE(2342),
    [sym_do_expression] = STATE(2342),
    [sym_eval_expression] = STATE(2342),
    [sym_await_expression] = STATE(2342),
    [sym_variable_declaration] = STATE(2342),
    [sym_localization_expression] = STATE(2342),
    [sym_stub_expression] = STATE(2342),
    [sym_scalar_deref_expression] = STATE(2342),
    [sym_array_deref_expression] = STATE(2342),
    [sym_arraylen_deref_expression] = STATE(2342),
    [sym_hash_deref_expression] = STATE(2342),
    [sym_amper_deref_expression] = STATE(2342),
    [sym_glob_deref_expression] = STATE(2342),
    [sym_require_expression] = STATE(2342),
    [sym_require_version_expression] = STATE(2342),
    [sym_func0op_call_expression] = STATE(2342),
    [sym_func1op_call_expression] = STATE(2342),
    [sym_map_grep_expression] = STATE(2342),
    [sym_sort_expression] = STATE(2342),
    [sym_loopex_expression] = STATE(2342),
    [sym_goto_expression] = STATE(2342),
    [sym_return_expression] = STATE(2342),
    [sym_undef_expression] = STATE(2342),
    [sym__listop] = STATE(2342),
    [sym_function_call_expression] = STATE(2343),
    [sym_ambiguous_function_call_expression] = STATE(2343),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(2343),
    [sym_scalar] = STATE(2342),
    [sym_array] = STATE(2342),
    [sym__SUB_AMPER] = STATE(2739),
    [sym__GLOB_STAR] = STATE(2741),
    [sym_hash] = STATE(2342),
    [sym_arraylen] = STATE(2342),
    [sym_amper_sub] = STATE(2181),
    [sym_glob] = STATE(2183),
    [sym_glob_slot_expression] = STATE(2342),
    [sym__literal] = STATE(2342),
    [sym__apostrophe] = STATE(3277),
    [sym__quotation_mark] = STATE(2481),
    [sym__backtick] = STATE(2482),
    [sym__search_slash] = STATE(2447),
    [sym_string_literal] = STATE(2353),
    [sym_interpolated_string_literal] = STATE(2353),
    [sym_quoted_word_list] = STATE(2193),
    [sym_command_string] = STATE(2353),
    [sym_quoted_regexp] = STATE(2353),
    [sym_match_regexp] = STATE(2353),
    [sym_substitution_regexp] = STATE(2353),
    [sym_transliteration_expression] = STATE(2353),
    [sym_heredoc_token] = STATE(2342),
    [sym_command_heredoc_token] = STATE(2342),
    [sym_heredoc_content] = STATE(635),
    [sym_autoquoted_bareword] = STATE(2342),
    [sym_bareword] = STATE(2342),
    [sym_primitive] = STATE(2342),
    [sym_boolean] = STATE(2323),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3366),
    [sym__identifier] = ACTIONS(1072),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1008),
    [anon_sym_AT] = ACTIONS(1010),
    [anon_sym_my] = ACTIONS(1012),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(1014),
    [anon_sym_method] = ACTIONS(1016),
    [anon_sym_LPAREN] = ACTIONS(1018),
    [anon_sym_continue] = ACTIONS(1020),
    [anon_sym_state] = ACTIONS(1012),
    [anon_sym_our] = ACTIONS(1012),
    [anon_sym_LBRACK] = ACTIONS(1022),
    [anon_sym_LT_LT] = ACTIONS(1523),
    [anon_sym_SLASH_SLASH] = ACTIONS(1525),
    [anon_sym_PLUS] = ACTIONS(1024),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_TILDE] = ACTIONS(1024),
    [anon_sym_BANG] = ACTIONS(1024),
    [anon_sym_PLUS_PLUS] = ACTIONS(1529),
    [anon_sym_DASH_DASH] = ACTIONS(1529),
    [anon_sym_BSLASH] = ACTIONS(1026),
    [anon_sym_do] = ACTIONS(1028),
    [anon_sym_eval] = ACTIONS(1030),
    [anon_sym_await] = ACTIONS(1032),
    [anon_sym_field] = ACTIONS(1012),
    [anon_sym_local] = ACTIONS(1034),
    [anon_sym_dynamically] = ACTIONS(1034),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1036),
    [anon_sym_require] = ACTIONS(1038),
    [anon_sym_map] = ACTIONS(1040),
    [anon_sym_grep] = ACTIONS(1040),
    [anon_sym_sort] = ACTIONS(1042),
    [anon_sym_goto] = ACTIONS(1044),
    [anon_sym_return] = ACTIONS(1046),
    [anon_sym_undef] = ACTIONS(1048),
    [anon_sym_PERCENT2] = ACTIONS(1050),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1052),
    [anon_sym_next] = ACTIONS(1052),
    [anon_sym_redo] = ACTIONS(1052),
    [anon_sym___FILE__] = ACTIONS(1020),
    [anon_sym___LINE__] = ACTIONS(1020),
    [anon_sym___PACKAGE__] = ACTIONS(1020),
    [anon_sym___SUB__] = ACTIONS(1020),
    [anon_sym_break] = ACTIONS(1020),
    [anon_sym_fork] = ACTIONS(1020),
    [anon_sym_getppid] = ACTIONS(1020),
    [anon_sym_time] = ACTIONS(1020),
    [anon_sym_times] = ACTIONS(1020),
    [anon_sym_wait] = ACTIONS(1020),
    [anon_sym_wantarray] = ACTIONS(1020),
    [anon_sym_abs] = ACTIONS(1054),
    [anon_sym_alarm] = ACTIONS(1054),
    [anon_sym_chop] = ACTIONS(1054),
    [anon_sym_chdir] = ACTIONS(1054),
    [anon_sym_close] = ACTIONS(1054),
    [anon_sym_closedir] = ACTIONS(1054),
    [anon_sym_caller] = ACTIONS(1054),
    [anon_sym_chomp] = ACTIONS(1054),
    [anon_sym_chr] = ACTIONS(1054),
    [anon_sym_cos] = ACTIONS(1054),
    [anon_sym_chroot] = ACTIONS(1054),
    [anon_sym_defined] = ACTIONS(1054),
    [anon_sym_delete] = ACTIONS(1054),
    [anon_sym_dbmclose] = ACTIONS(1054),
    [anon_sym_exists] = ACTIONS(1054),
    [anon_sym_exit] = ACTIONS(1054),
    [anon_sym_eof] = ACTIONS(1054),
    [anon_sym_exp] = ACTIONS(1054),
    [anon_sym_each] = ACTIONS(1054),
    [anon_sym_fc] = ACTIONS(1054),
    [anon_sym_fileno] = ACTIONS(1054),
    [anon_sym_gmtime] = ACTIONS(1054),
    [anon_sym_getc] = ACTIONS(1054),
    [anon_sym_getpgrp] = ACTIONS(1054),
    [anon_sym_getprotobyname] = ACTIONS(1054),
    [anon_sym_getpwname] = ACTIONS(1054),
    [anon_sym_getpwuid] = ACTIONS(1054),
    [anon_sym_getpeername] = ACTIONS(1054),
    [anon_sym_getnetbyname] = ACTIONS(1054),
    [anon_sym_getsockname] = ACTIONS(1054),
    [anon_sym_getgrnam] = ACTIONS(1054),
    [anon_sym_getgrgid] = ACTIONS(1054),
    [anon_sym_hex] = ACTIONS(1054),
    [anon_sym_int] = ACTIONS(1054),
    [anon_sym_keys] = ACTIONS(1054),
    [anon_sym_lc] = ACTIONS(1054),
    [anon_sym_lcfirst] = ACTIONS(1054),
    [anon_sym_length] = ACTIONS(1054),
    [anon_sym_localtime] = ACTIONS(1054),
    [anon_sym_log] = ACTIONS(1054),
    [anon_sym_lock] = ACTIONS(1054),
    [anon_sym_lstat] = ACTIONS(1054),
    [anon_sym_oct] = ACTIONS(1054),
    [anon_sym_ord] = ACTIONS(1054),
    [anon_sym_prototype] = ACTIONS(1054),
    [anon_sym_pop] = ACTIONS(1054),
    [anon_sym_pos] = ACTIONS(1054),
    [anon_sym_quotemeta] = ACTIONS(1054),
    [anon_sym_reset] = ACTIONS(1054),
    [anon_sym_rand] = ACTIONS(1054),
    [anon_sym_rmdir] = ACTIONS(1054),
    [anon_sym_readdir] = ACTIONS(1054),
    [anon_sym_readline] = ACTIONS(1054),
    [anon_sym_readpipe] = ACTIONS(1054),
    [anon_sym_rewinddir] = ACTIONS(1054),
    [anon_sym_readlink] = ACTIONS(1054),
    [anon_sym_ref] = ACTIONS(1054),
    [anon_sym_scalar] = ACTIONS(1054),
    [anon_sym_shift] = ACTIONS(1054),
    [anon_sym_sin] = ACTIONS(1054),
    [anon_sym_sleep] = ACTIONS(1054),
    [anon_sym_sqrt] = ACTIONS(1054),
    [anon_sym_srand] = ACTIONS(1054),
    [anon_sym_stat] = ACTIONS(1054),
    [anon_sym_study] = ACTIONS(1054),
    [anon_sym_tell] = ACTIONS(1054),
    [anon_sym_telldir] = ACTIONS(1054),
    [anon_sym_tied] = ACTIONS(1054),
    [anon_sym_uc] = ACTIONS(1054),
    [anon_sym_ucfirst] = ACTIONS(1054),
    [anon_sym_untie] = ACTIONS(1054),
    [anon_sym_umask] = ACTIONS(1054),
    [anon_sym_values] = ACTIONS(1054),
    [anon_sym_write] = ACTIONS(1054),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1056),
    [anon_sym_qq] = ACTIONS(1058),
    [anon_sym_qw] = ACTIONS(1060),
    [anon_sym_qx] = ACTIONS(1062),
    [anon_sym_qr] = ACTIONS(1064),
    [anon_sym_m] = ACTIONS(1066),
    [anon_sym_s] = ACTIONS(1068),
    [anon_sym_tr] = ACTIONS(1070),
    [anon_sym_y] = ACTIONS(1070),
    [aux_sym__bareword_token1] = ACTIONS(1072),
    [sym_number] = ACTIONS(1074),
    [anon_sym_true] = ACTIONS(1076),
    [anon_sym_false] = ACTIONS(1076),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(1078),
    [sym__open_fileglob_bracket] = ACTIONS(1080),
    [sym__PERLY_HEREDOC] = ACTIONS(1082),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1084),
    [sym__filetest] = ACTIONS(1086),
  },
  [636] = {
    [sym__PERLY_BRACE_OPEN] = STATE(235),
    [sym__subscripted] = STATE(1532),
    [sym_container_variable] = STATE(3855),
    [sym_array_element_expression] = STATE(1533),
    [sym_hash_element_expression] = STATE(1533),
    [sym_coderef_call_expression] = STATE(1533),
    [sym_anonymous_slice_expression] = STATE(1533),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(1967),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(1967),
    [sym__term] = STATE(1925),
    [sym_readline_expression] = STATE(1967),
    [sym_fileglob_expression] = STATE(1967),
    [sym_assignment_expression] = STATE(1967),
    [sym_binary_expression] = STATE(1967),
    [sym_equality_expression] = STATE(1967),
    [sym_relational_expression] = STATE(1967),
    [sym_unary_expression] = STATE(1967),
    [sym_preinc_expression] = STATE(1967),
    [sym_postinc_expression] = STATE(1967),
    [sym_conditional_expression] = STATE(1967),
    [sym_refgen_expression] = STATE(1967),
    [sym_anonymous_array_expression] = STATE(1967),
    [sym_anonymous_hash_expression] = STATE(1967),
    [sym_anonymous_subroutine_expression] = STATE(1967),
    [sym_anonymous_method_expression] = STATE(1967),
    [sym_do_expression] = STATE(1967),
    [sym_eval_expression] = STATE(1967),
    [sym_await_expression] = STATE(1967),
    [sym_variable_declaration] = STATE(1967),
    [sym_localization_expression] = STATE(1967),
    [sym_stub_expression] = STATE(1967),
    [sym_scalar_deref_expression] = STATE(1967),
    [sym_array_deref_expression] = STATE(1967),
    [sym_arraylen_deref_expression] = STATE(1967),
    [sym_hash_deref_expression] = STATE(1967),
    [sym_amper_deref_expression] = STATE(1967),
    [sym_glob_deref_expression] = STATE(1967),
    [sym_require_expression] = STATE(1967),
    [sym_require_version_expression] = STATE(1967),
    [sym_func0op_call_expression] = STATE(1967),
    [sym_func1op_call_expression] = STATE(1967),
    [sym_map_grep_expression] = STATE(1967),
    [sym_sort_expression] = STATE(1967),
    [sym_loopex_expression] = STATE(1967),
    [sym_goto_expression] = STATE(1967),
    [sym_return_expression] = STATE(1967),
    [sym_undef_expression] = STATE(1967),
    [sym__listop] = STATE(1967),
    [sym_function_call_expression] = STATE(1968),
    [sym_ambiguous_function_call_expression] = STATE(1968),
    [sym_function] = STATE(389),
    [sym_method_call_expression] = STATE(1968),
    [sym_scalar] = STATE(1967),
    [sym_array] = STATE(1967),
    [sym__SUB_AMPER] = STATE(2686),
    [sym__GLOB_STAR] = STATE(2687),
    [sym_hash] = STATE(1967),
    [sym_arraylen] = STATE(1967),
    [sym_amper_sub] = STATE(1785),
    [sym_glob] = STATE(1786),
    [sym_glob_slot_expression] = STATE(1967),
    [sym__literal] = STATE(1967),
    [sym__apostrophe] = STATE(3328),
    [sym__quotation_mark] = STATE(2501),
    [sym__backtick] = STATE(2502),
    [sym__search_slash] = STATE(2454),
    [sym_string_literal] = STATE(1969),
    [sym_interpolated_string_literal] = STATE(1969),
    [sym_quoted_word_list] = STATE(1787),
    [sym_command_string] = STATE(1969),
    [sym_quoted_regexp] = STATE(1969),
    [sym_match_regexp] = STATE(1969),
    [sym_substitution_regexp] = STATE(1969),
    [sym_transliteration_expression] = STATE(1969),
    [sym_heredoc_token] = STATE(1967),
    [sym_command_heredoc_token] = STATE(1967),
    [sym_heredoc_content] = STATE(636),
    [sym_autoquoted_bareword] = STATE(1967),
    [sym_bareword] = STATE(1967),
    [sym_primitive] = STATE(1967),
    [sym_boolean] = STATE(1965),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3342),
    [sym__identifier] = ACTIONS(575),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1752),
    [anon_sym_AT] = ACTIONS(1671),
    [anon_sym_my] = ACTIONS(517),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(519),
    [anon_sym_method] = ACTIONS(521),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_continue] = ACTIONS(525),
    [anon_sym_state] = ACTIONS(517),
    [anon_sym_our] = ACTIONS(517),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_LT_LT] = ACTIONS(1673),
    [anon_sym_SLASH_SLASH] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(1677),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_PLUS_PLUS] = ACTIONS(1679),
    [anon_sym_DASH_DASH] = ACTIONS(1679),
    [anon_sym_BSLASH] = ACTIONS(531),
    [anon_sym_do] = ACTIONS(533),
    [anon_sym_eval] = ACTIONS(535),
    [anon_sym_await] = ACTIONS(537),
    [anon_sym_field] = ACTIONS(517),
    [anon_sym_local] = ACTIONS(539),
    [anon_sym_dynamically] = ACTIONS(539),
    [anon_sym_DOLLAR_POUND] = ACTIONS(541),
    [anon_sym_require] = ACTIONS(543),
    [anon_sym_map] = ACTIONS(545),
    [anon_sym_grep] = ACTIONS(545),
    [anon_sym_sort] = ACTIONS(547),
    [anon_sym_goto] = ACTIONS(549),
    [anon_sym_return] = ACTIONS(551),
    [anon_sym_undef] = ACTIONS(553),
    [anon_sym_PERCENT2] = ACTIONS(1681),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(555),
    [anon_sym_next] = ACTIONS(555),
    [anon_sym_redo] = ACTIONS(555),
    [anon_sym___FILE__] = ACTIONS(525),
    [anon_sym___LINE__] = ACTIONS(525),
    [anon_sym___PACKAGE__] = ACTIONS(525),
    [anon_sym___SUB__] = ACTIONS(525),
    [anon_sym_break] = ACTIONS(525),
    [anon_sym_fork] = ACTIONS(525),
    [anon_sym_getppid] = ACTIONS(525),
    [anon_sym_time] = ACTIONS(525),
    [anon_sym_times] = ACTIONS(525),
    [anon_sym_wait] = ACTIONS(525),
    [anon_sym_wantarray] = ACTIONS(525),
    [anon_sym_abs] = ACTIONS(557),
    [anon_sym_alarm] = ACTIONS(557),
    [anon_sym_chop] = ACTIONS(557),
    [anon_sym_chdir] = ACTIONS(557),
    [anon_sym_close] = ACTIONS(557),
    [anon_sym_closedir] = ACTIONS(557),
    [anon_sym_caller] = ACTIONS(557),
    [anon_sym_chomp] = ACTIONS(557),
    [anon_sym_chr] = ACTIONS(557),
    [anon_sym_cos] = ACTIONS(557),
    [anon_sym_chroot] = ACTIONS(557),
    [anon_sym_defined] = ACTIONS(557),
    [anon_sym_delete] = ACTIONS(557),
    [anon_sym_dbmclose] = ACTIONS(557),
    [anon_sym_exists] = ACTIONS(557),
    [anon_sym_exit] = ACTIONS(557),
    [anon_sym_eof] = ACTIONS(557),
    [anon_sym_exp] = ACTIONS(557),
    [anon_sym_each] = ACTIONS(557),
    [anon_sym_fc] = ACTIONS(557),
    [anon_sym_fileno] = ACTIONS(557),
    [anon_sym_gmtime] = ACTIONS(557),
    [anon_sym_getc] = ACTIONS(557),
    [anon_sym_getpgrp] = ACTIONS(557),
    [anon_sym_getprotobyname] = ACTIONS(557),
    [anon_sym_getpwname] = ACTIONS(557),
    [anon_sym_getpwuid] = ACTIONS(557),
    [anon_sym_getpeername] = ACTIONS(557),
    [anon_sym_getnetbyname] = ACTIONS(557),
    [anon_sym_getsockname] = ACTIONS(557),
    [anon_sym_getgrnam] = ACTIONS(557),
    [anon_sym_getgrgid] = ACTIONS(557),
    [anon_sym_hex] = ACTIONS(557),
    [anon_sym_int] = ACTIONS(557),
    [anon_sym_keys] = ACTIONS(557),
    [anon_sym_lc] = ACTIONS(557),
    [anon_sym_lcfirst] = ACTIONS(557),
    [anon_sym_length] = ACTIONS(557),
    [anon_sym_localtime] = ACTIONS(557),
    [anon_sym_log] = ACTIONS(557),
    [anon_sym_lock] = ACTIONS(557),
    [anon_sym_lstat] = ACTIONS(557),
    [anon_sym_oct] = ACTIONS(557),
    [anon_sym_ord] = ACTIONS(557),
    [anon_sym_prototype] = ACTIONS(557),
    [anon_sym_pop] = ACTIONS(557),
    [anon_sym_pos] = ACTIONS(557),
    [anon_sym_quotemeta] = ACTIONS(557),
    [anon_sym_reset] = ACTIONS(557),
    [anon_sym_rand] = ACTIONS(557),
    [anon_sym_rmdir] = ACTIONS(557),
    [anon_sym_readdir] = ACTIONS(557),
    [anon_sym_readline] = ACTIONS(557),
    [anon_sym_readpipe] = ACTIONS(557),
    [anon_sym_rewinddir] = ACTIONS(557),
    [anon_sym_readlink] = ACTIONS(557),
    [anon_sym_ref] = ACTIONS(557),
    [anon_sym_scalar] = ACTIONS(557),
    [anon_sym_shift] = ACTIONS(557),
    [anon_sym_sin] = ACTIONS(557),
    [anon_sym_sleep] = ACTIONS(557),
    [anon_sym_sqrt] = ACTIONS(557),
    [anon_sym_srand] = ACTIONS(557),
    [anon_sym_stat] = ACTIONS(557),
    [anon_sym_study] = ACTIONS(557),
    [anon_sym_tell] = ACTIONS(557),
    [anon_sym_telldir] = ACTIONS(557),
    [anon_sym_tied] = ACTIONS(557),
    [anon_sym_uc] = ACTIONS(557),
    [anon_sym_ucfirst] = ACTIONS(557),
    [anon_sym_untie] = ACTIONS(557),
    [anon_sym_umask] = ACTIONS(557),
    [anon_sym_values] = ACTIONS(557),
    [anon_sym_write] = ACTIONS(557),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(559),
    [anon_sym_qq] = ACTIONS(561),
    [anon_sym_qw] = ACTIONS(563),
    [anon_sym_qx] = ACTIONS(565),
    [anon_sym_qr] = ACTIONS(567),
    [anon_sym_m] = ACTIONS(569),
    [anon_sym_s] = ACTIONS(571),
    [anon_sym_tr] = ACTIONS(573),
    [anon_sym_y] = ACTIONS(573),
    [aux_sym__bareword_token1] = ACTIONS(575),
    [sym_number] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(581),
    [sym__open_fileglob_bracket] = ACTIONS(583),
    [sym__PERLY_HEREDOC] = ACTIONS(585),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(587),
    [sym__filetest] = ACTIONS(589),
  },
  [637] = {
    [sym__PERLY_BRACE_OPEN] = STATE(238),
    [sym__subscripted] = STATE(1915),
    [sym_container_variable] = STATE(3851),
    [sym_array_element_expression] = STATE(1916),
    [sym_hash_element_expression] = STATE(1916),
    [sym_coderef_call_expression] = STATE(1916),
    [sym_anonymous_slice_expression] = STATE(1916),
    [sym_slice_container_variable] = STATE(3852),
    [sym_slice_expression] = STATE(2342),
    [sym_keyval_container_variable] = STATE(3853),
    [sym_keyval_expression] = STATE(2342),
    [sym__term] = STATE(2319),
    [sym_readline_expression] = STATE(2342),
    [sym_fileglob_expression] = STATE(2342),
    [sym_assignment_expression] = STATE(2342),
    [sym_binary_expression] = STATE(2342),
    [sym_equality_expression] = STATE(2342),
    [sym_relational_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2342),
    [sym_preinc_expression] = STATE(2342),
    [sym_postinc_expression] = STATE(2342),
    [sym_conditional_expression] = STATE(2342),
    [sym_refgen_expression] = STATE(2342),
    [sym_anonymous_array_expression] = STATE(2342),
    [sym_anonymous_hash_expression] = STATE(2342),
    [sym_anonymous_subroutine_expression] = STATE(2342),
    [sym_anonymous_method_expression] = STATE(2342),
    [sym_do_expression] = STATE(2342),
    [sym_eval_expression] = STATE(2342),
    [sym_await_expression] = STATE(2342),
    [sym_variable_declaration] = STATE(2342),
    [sym_localization_expression] = STATE(2342),
    [sym_stub_expression] = STATE(2342),
    [sym_scalar_deref_expression] = STATE(2342),
    [sym_array_deref_expression] = STATE(2342),
    [sym_arraylen_deref_expression] = STATE(2342),
    [sym_hash_deref_expression] = STATE(2342),
    [sym_amper_deref_expression] = STATE(2342),
    [sym_glob_deref_expression] = STATE(2342),
    [sym_require_expression] = STATE(2342),
    [sym_require_version_expression] = STATE(2342),
    [sym_func0op_call_expression] = STATE(2342),
    [sym_func1op_call_expression] = STATE(2342),
    [sym_map_grep_expression] = STATE(2342),
    [sym_sort_expression] = STATE(2342),
    [sym_loopex_expression] = STATE(2342),
    [sym_goto_expression] = STATE(2342),
    [sym_return_expression] = STATE(2342),
    [sym_undef_expression] = STATE(2342),
    [sym__listop] = STATE(2342),
    [sym_function_call_expression] = STATE(2343),
    [sym_ambiguous_function_call_expression] = STATE(2343),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(2343),
    [sym_scalar] = STATE(2342),
    [sym_array] = STATE(2342),
    [sym__SUB_AMPER] = STATE(2739),
    [sym__GLOB_STAR] = STATE(2741),
    [sym_hash] = STATE(2342),
    [sym_arraylen] = STATE(2342),
    [sym_amper_sub] = STATE(2181),
    [sym_glob] = STATE(2183),
    [sym_glob_slot_expression] = STATE(2342),
    [sym__literal] = STATE(2342),
    [sym__apostrophe] = STATE(3277),
    [sym__quotation_mark] = STATE(2481),
    [sym__backtick] = STATE(2482),
    [sym__search_slash] = STATE(2447),
    [sym_string_literal] = STATE(2353),
    [sym_interpolated_string_literal] = STATE(2353),
    [sym_quoted_word_list] = STATE(2193),
    [sym_command_string] = STATE(2353),
    [sym_quoted_regexp] = STATE(2353),
    [sym_match_regexp] = STATE(2353),
    [sym_substitution_regexp] = STATE(2353),
    [sym_transliteration_expression] = STATE(2353),
    [sym_heredoc_token] = STATE(2342),
    [sym_command_heredoc_token] = STATE(2342),
    [sym_heredoc_content] = STATE(637),
    [sym_autoquoted_bareword] = STATE(2342),
    [sym_bareword] = STATE(2342),
    [sym_primitive] = STATE(2342),
    [sym_boolean] = STATE(2323),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3366),
    [sym__identifier] = ACTIONS(1072),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1008),
    [anon_sym_AT] = ACTIONS(1010),
    [anon_sym_my] = ACTIONS(1012),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(1014),
    [anon_sym_method] = ACTIONS(1016),
    [anon_sym_LPAREN] = ACTIONS(1018),
    [anon_sym_continue] = ACTIONS(1020),
    [anon_sym_state] = ACTIONS(1012),
    [anon_sym_our] = ACTIONS(1012),
    [anon_sym_LBRACK] = ACTIONS(1022),
    [anon_sym_LT_LT] = ACTIONS(1523),
    [anon_sym_SLASH_SLASH] = ACTIONS(1525),
    [anon_sym_PLUS] = ACTIONS(1024),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_TILDE] = ACTIONS(1024),
    [anon_sym_BANG] = ACTIONS(1024),
    [anon_sym_PLUS_PLUS] = ACTIONS(1529),
    [anon_sym_DASH_DASH] = ACTIONS(1529),
    [anon_sym_BSLASH] = ACTIONS(1026),
    [anon_sym_do] = ACTIONS(1028),
    [anon_sym_eval] = ACTIONS(1030),
    [anon_sym_await] = ACTIONS(1032),
    [anon_sym_field] = ACTIONS(1012),
    [anon_sym_local] = ACTIONS(1034),
    [anon_sym_dynamically] = ACTIONS(1034),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1036),
    [anon_sym_require] = ACTIONS(1038),
    [anon_sym_map] = ACTIONS(1040),
    [anon_sym_grep] = ACTIONS(1040),
    [anon_sym_sort] = ACTIONS(1042),
    [anon_sym_goto] = ACTIONS(1044),
    [anon_sym_return] = ACTIONS(1046),
    [anon_sym_undef] = ACTIONS(1048),
    [anon_sym_PERCENT2] = ACTIONS(1050),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1052),
    [anon_sym_next] = ACTIONS(1052),
    [anon_sym_redo] = ACTIONS(1052),
    [anon_sym___FILE__] = ACTIONS(1020),
    [anon_sym___LINE__] = ACTIONS(1020),
    [anon_sym___PACKAGE__] = ACTIONS(1020),
    [anon_sym___SUB__] = ACTIONS(1020),
    [anon_sym_break] = ACTIONS(1020),
    [anon_sym_fork] = ACTIONS(1020),
    [anon_sym_getppid] = ACTIONS(1020),
    [anon_sym_time] = ACTIONS(1020),
    [anon_sym_times] = ACTIONS(1020),
    [anon_sym_wait] = ACTIONS(1020),
    [anon_sym_wantarray] = ACTIONS(1020),
    [anon_sym_abs] = ACTIONS(1054),
    [anon_sym_alarm] = ACTIONS(1054),
    [anon_sym_chop] = ACTIONS(1054),
    [anon_sym_chdir] = ACTIONS(1054),
    [anon_sym_close] = ACTIONS(1054),
    [anon_sym_closedir] = ACTIONS(1054),
    [anon_sym_caller] = ACTIONS(1054),
    [anon_sym_chomp] = ACTIONS(1054),
    [anon_sym_chr] = ACTIONS(1054),
    [anon_sym_cos] = ACTIONS(1054),
    [anon_sym_chroot] = ACTIONS(1054),
    [anon_sym_defined] = ACTIONS(1054),
    [anon_sym_delete] = ACTIONS(1054),
    [anon_sym_dbmclose] = ACTIONS(1054),
    [anon_sym_exists] = ACTIONS(1054),
    [anon_sym_exit] = ACTIONS(1054),
    [anon_sym_eof] = ACTIONS(1054),
    [anon_sym_exp] = ACTIONS(1054),
    [anon_sym_each] = ACTIONS(1054),
    [anon_sym_fc] = ACTIONS(1054),
    [anon_sym_fileno] = ACTIONS(1054),
    [anon_sym_gmtime] = ACTIONS(1054),
    [anon_sym_getc] = ACTIONS(1054),
    [anon_sym_getpgrp] = ACTIONS(1054),
    [anon_sym_getprotobyname] = ACTIONS(1054),
    [anon_sym_getpwname] = ACTIONS(1054),
    [anon_sym_getpwuid] = ACTIONS(1054),
    [anon_sym_getpeername] = ACTIONS(1054),
    [anon_sym_getnetbyname] = ACTIONS(1054),
    [anon_sym_getsockname] = ACTIONS(1054),
    [anon_sym_getgrnam] = ACTIONS(1054),
    [anon_sym_getgrgid] = ACTIONS(1054),
    [anon_sym_hex] = ACTIONS(1054),
    [anon_sym_int] = ACTIONS(1054),
    [anon_sym_keys] = ACTIONS(1054),
    [anon_sym_lc] = ACTIONS(1054),
    [anon_sym_lcfirst] = ACTIONS(1054),
    [anon_sym_length] = ACTIONS(1054),
    [anon_sym_localtime] = ACTIONS(1054),
    [anon_sym_log] = ACTIONS(1054),
    [anon_sym_lock] = ACTIONS(1054),
    [anon_sym_lstat] = ACTIONS(1054),
    [anon_sym_oct] = ACTIONS(1054),
    [anon_sym_ord] = ACTIONS(1054),
    [anon_sym_prototype] = ACTIONS(1054),
    [anon_sym_pop] = ACTIONS(1054),
    [anon_sym_pos] = ACTIONS(1054),
    [anon_sym_quotemeta] = ACTIONS(1054),
    [anon_sym_reset] = ACTIONS(1054),
    [anon_sym_rand] = ACTIONS(1054),
    [anon_sym_rmdir] = ACTIONS(1054),
    [anon_sym_readdir] = ACTIONS(1054),
    [anon_sym_readline] = ACTIONS(1054),
    [anon_sym_readpipe] = ACTIONS(1054),
    [anon_sym_rewinddir] = ACTIONS(1054),
    [anon_sym_readlink] = ACTIONS(1054),
    [anon_sym_ref] = ACTIONS(1054),
    [anon_sym_scalar] = ACTIONS(1054),
    [anon_sym_shift] = ACTIONS(1054),
    [anon_sym_sin] = ACTIONS(1054),
    [anon_sym_sleep] = ACTIONS(1054),
    [anon_sym_sqrt] = ACTIONS(1054),
    [anon_sym_srand] = ACTIONS(1054),
    [anon_sym_stat] = ACTIONS(1054),
    [anon_sym_study] = ACTIONS(1054),
    [anon_sym_tell] = ACTIONS(1054),
    [anon_sym_telldir] = ACTIONS(1054),
    [anon_sym_tied] = ACTIONS(1054),
    [anon_sym_uc] = ACTIONS(1054),
    [anon_sym_ucfirst] = ACTIONS(1054),
    [anon_sym_untie] = ACTIONS(1054),
    [anon_sym_umask] = ACTIONS(1054),
    [anon_sym_values] = ACTIONS(1054),
    [anon_sym_write] = ACTIONS(1054),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1056),
    [anon_sym_qq] = ACTIONS(1058),
    [anon_sym_qw] = ACTIONS(1060),
    [anon_sym_qx] = ACTIONS(1062),
    [anon_sym_qr] = ACTIONS(1064),
    [anon_sym_m] = ACTIONS(1066),
    [anon_sym_s] = ACTIONS(1068),
    [anon_sym_tr] = ACTIONS(1070),
    [anon_sym_y] = ACTIONS(1070),
    [aux_sym__bareword_token1] = ACTIONS(1072),
    [sym_number] = ACTIONS(1074),
    [anon_sym_true] = ACTIONS(1076),
    [anon_sym_false] = ACTIONS(1076),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(1078),
    [sym__open_fileglob_bracket] = ACTIONS(1080),
    [sym__PERLY_HEREDOC] = ACTIONS(1082),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1084),
    [sym__filetest] = ACTIONS(1086),
  },
  [638] = {
    [sym__PERLY_BRACE_OPEN] = STATE(235),
    [sym__subscripted] = STATE(1532),
    [sym_container_variable] = STATE(3855),
    [sym_array_element_expression] = STATE(1533),
    [sym_hash_element_expression] = STATE(1533),
    [sym_coderef_call_expression] = STATE(1533),
    [sym_anonymous_slice_expression] = STATE(1533),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(1967),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(1967),
    [sym__term] = STATE(1926),
    [sym_readline_expression] = STATE(1967),
    [sym_fileglob_expression] = STATE(1967),
    [sym_assignment_expression] = STATE(1967),
    [sym_binary_expression] = STATE(1967),
    [sym_equality_expression] = STATE(1967),
    [sym_relational_expression] = STATE(1967),
    [sym_unary_expression] = STATE(1967),
    [sym_preinc_expression] = STATE(1967),
    [sym_postinc_expression] = STATE(1967),
    [sym_conditional_expression] = STATE(1967),
    [sym_refgen_expression] = STATE(1967),
    [sym_anonymous_array_expression] = STATE(1967),
    [sym_anonymous_hash_expression] = STATE(1967),
    [sym_anonymous_subroutine_expression] = STATE(1967),
    [sym_anonymous_method_expression] = STATE(1967),
    [sym_do_expression] = STATE(1967),
    [sym_eval_expression] = STATE(1967),
    [sym_await_expression] = STATE(1967),
    [sym_variable_declaration] = STATE(1967),
    [sym_localization_expression] = STATE(1967),
    [sym_stub_expression] = STATE(1967),
    [sym_scalar_deref_expression] = STATE(1967),
    [sym_array_deref_expression] = STATE(1967),
    [sym_arraylen_deref_expression] = STATE(1967),
    [sym_hash_deref_expression] = STATE(1967),
    [sym_amper_deref_expression] = STATE(1967),
    [sym_glob_deref_expression] = STATE(1967),
    [sym_require_expression] = STATE(1967),
    [sym_require_version_expression] = STATE(1967),
    [sym_func0op_call_expression] = STATE(1967),
    [sym_func1op_call_expression] = STATE(1967),
    [sym_map_grep_expression] = STATE(1967),
    [sym_sort_expression] = STATE(1967),
    [sym_loopex_expression] = STATE(1967),
    [sym_goto_expression] = STATE(1967),
    [sym_return_expression] = STATE(1967),
    [sym_undef_expression] = STATE(1967),
    [sym__listop] = STATE(1967),
    [sym_function_call_expression] = STATE(1968),
    [sym_ambiguous_function_call_expression] = STATE(1968),
    [sym_function] = STATE(389),
    [sym_method_call_expression] = STATE(1968),
    [sym_scalar] = STATE(1967),
    [sym_array] = STATE(1967),
    [sym__SUB_AMPER] = STATE(2686),
    [sym__GLOB_STAR] = STATE(2687),
    [sym_hash] = STATE(1967),
    [sym_arraylen] = STATE(1967),
    [sym_amper_sub] = STATE(1785),
    [sym_glob] = STATE(1786),
    [sym_glob_slot_expression] = STATE(1967),
    [sym__literal] = STATE(1967),
    [sym__apostrophe] = STATE(3328),
    [sym__quotation_mark] = STATE(2501),
    [sym__backtick] = STATE(2502),
    [sym__search_slash] = STATE(2454),
    [sym_string_literal] = STATE(1969),
    [sym_interpolated_string_literal] = STATE(1969),
    [sym_quoted_word_list] = STATE(1787),
    [sym_command_string] = STATE(1969),
    [sym_quoted_regexp] = STATE(1969),
    [sym_match_regexp] = STATE(1969),
    [sym_substitution_regexp] = STATE(1969),
    [sym_transliteration_expression] = STATE(1969),
    [sym_heredoc_token] = STATE(1967),
    [sym_command_heredoc_token] = STATE(1967),
    [sym_heredoc_content] = STATE(638),
    [sym_autoquoted_bareword] = STATE(1967),
    [sym_bareword] = STATE(1967),
    [sym_primitive] = STATE(1967),
    [sym_boolean] = STATE(1965),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3342),
    [sym__identifier] = ACTIONS(575),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1752),
    [anon_sym_AT] = ACTIONS(1671),
    [anon_sym_my] = ACTIONS(517),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(519),
    [anon_sym_method] = ACTIONS(521),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_continue] = ACTIONS(525),
    [anon_sym_state] = ACTIONS(517),
    [anon_sym_our] = ACTIONS(517),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_LT_LT] = ACTIONS(1673),
    [anon_sym_SLASH_SLASH] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(1677),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_PLUS_PLUS] = ACTIONS(1679),
    [anon_sym_DASH_DASH] = ACTIONS(1679),
    [anon_sym_BSLASH] = ACTIONS(531),
    [anon_sym_do] = ACTIONS(533),
    [anon_sym_eval] = ACTIONS(535),
    [anon_sym_await] = ACTIONS(537),
    [anon_sym_field] = ACTIONS(517),
    [anon_sym_local] = ACTIONS(539),
    [anon_sym_dynamically] = ACTIONS(539),
    [anon_sym_DOLLAR_POUND] = ACTIONS(541),
    [anon_sym_require] = ACTIONS(543),
    [anon_sym_map] = ACTIONS(545),
    [anon_sym_grep] = ACTIONS(545),
    [anon_sym_sort] = ACTIONS(547),
    [anon_sym_goto] = ACTIONS(549),
    [anon_sym_return] = ACTIONS(551),
    [anon_sym_undef] = ACTIONS(553),
    [anon_sym_PERCENT2] = ACTIONS(1681),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(555),
    [anon_sym_next] = ACTIONS(555),
    [anon_sym_redo] = ACTIONS(555),
    [anon_sym___FILE__] = ACTIONS(525),
    [anon_sym___LINE__] = ACTIONS(525),
    [anon_sym___PACKAGE__] = ACTIONS(525),
    [anon_sym___SUB__] = ACTIONS(525),
    [anon_sym_break] = ACTIONS(525),
    [anon_sym_fork] = ACTIONS(525),
    [anon_sym_getppid] = ACTIONS(525),
    [anon_sym_time] = ACTIONS(525),
    [anon_sym_times] = ACTIONS(525),
    [anon_sym_wait] = ACTIONS(525),
    [anon_sym_wantarray] = ACTIONS(525),
    [anon_sym_abs] = ACTIONS(557),
    [anon_sym_alarm] = ACTIONS(557),
    [anon_sym_chop] = ACTIONS(557),
    [anon_sym_chdir] = ACTIONS(557),
    [anon_sym_close] = ACTIONS(557),
    [anon_sym_closedir] = ACTIONS(557),
    [anon_sym_caller] = ACTIONS(557),
    [anon_sym_chomp] = ACTIONS(557),
    [anon_sym_chr] = ACTIONS(557),
    [anon_sym_cos] = ACTIONS(557),
    [anon_sym_chroot] = ACTIONS(557),
    [anon_sym_defined] = ACTIONS(557),
    [anon_sym_delete] = ACTIONS(557),
    [anon_sym_dbmclose] = ACTIONS(557),
    [anon_sym_exists] = ACTIONS(557),
    [anon_sym_exit] = ACTIONS(557),
    [anon_sym_eof] = ACTIONS(557),
    [anon_sym_exp] = ACTIONS(557),
    [anon_sym_each] = ACTIONS(557),
    [anon_sym_fc] = ACTIONS(557),
    [anon_sym_fileno] = ACTIONS(557),
    [anon_sym_gmtime] = ACTIONS(557),
    [anon_sym_getc] = ACTIONS(557),
    [anon_sym_getpgrp] = ACTIONS(557),
    [anon_sym_getprotobyname] = ACTIONS(557),
    [anon_sym_getpwname] = ACTIONS(557),
    [anon_sym_getpwuid] = ACTIONS(557),
    [anon_sym_getpeername] = ACTIONS(557),
    [anon_sym_getnetbyname] = ACTIONS(557),
    [anon_sym_getsockname] = ACTIONS(557),
    [anon_sym_getgrnam] = ACTIONS(557),
    [anon_sym_getgrgid] = ACTIONS(557),
    [anon_sym_hex] = ACTIONS(557),
    [anon_sym_int] = ACTIONS(557),
    [anon_sym_keys] = ACTIONS(557),
    [anon_sym_lc] = ACTIONS(557),
    [anon_sym_lcfirst] = ACTIONS(557),
    [anon_sym_length] = ACTIONS(557),
    [anon_sym_localtime] = ACTIONS(557),
    [anon_sym_log] = ACTIONS(557),
    [anon_sym_lock] = ACTIONS(557),
    [anon_sym_lstat] = ACTIONS(557),
    [anon_sym_oct] = ACTIONS(557),
    [anon_sym_ord] = ACTIONS(557),
    [anon_sym_prototype] = ACTIONS(557),
    [anon_sym_pop] = ACTIONS(557),
    [anon_sym_pos] = ACTIONS(557),
    [anon_sym_quotemeta] = ACTIONS(557),
    [anon_sym_reset] = ACTIONS(557),
    [anon_sym_rand] = ACTIONS(557),
    [anon_sym_rmdir] = ACTIONS(557),
    [anon_sym_readdir] = ACTIONS(557),
    [anon_sym_readline] = ACTIONS(557),
    [anon_sym_readpipe] = ACTIONS(557),
    [anon_sym_rewinddir] = ACTIONS(557),
    [anon_sym_readlink] = ACTIONS(557),
    [anon_sym_ref] = ACTIONS(557),
    [anon_sym_scalar] = ACTIONS(557),
    [anon_sym_shift] = ACTIONS(557),
    [anon_sym_sin] = ACTIONS(557),
    [anon_sym_sleep] = ACTIONS(557),
    [anon_sym_sqrt] = ACTIONS(557),
    [anon_sym_srand] = ACTIONS(557),
    [anon_sym_stat] = ACTIONS(557),
    [anon_sym_study] = ACTIONS(557),
    [anon_sym_tell] = ACTIONS(557),
    [anon_sym_telldir] = ACTIONS(557),
    [anon_sym_tied] = ACTIONS(557),
    [anon_sym_uc] = ACTIONS(557),
    [anon_sym_ucfirst] = ACTIONS(557),
    [anon_sym_untie] = ACTIONS(557),
    [anon_sym_umask] = ACTIONS(557),
    [anon_sym_values] = ACTIONS(557),
    [anon_sym_write] = ACTIONS(557),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(559),
    [anon_sym_qq] = ACTIONS(561),
    [anon_sym_qw] = ACTIONS(563),
    [anon_sym_qx] = ACTIONS(565),
    [anon_sym_qr] = ACTIONS(567),
    [anon_sym_m] = ACTIONS(569),
    [anon_sym_s] = ACTIONS(571),
    [anon_sym_tr] = ACTIONS(573),
    [anon_sym_y] = ACTIONS(573),
    [aux_sym__bareword_token1] = ACTIONS(575),
    [sym_number] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(581),
    [sym__open_fileglob_bracket] = ACTIONS(583),
    [sym__PERLY_HEREDOC] = ACTIONS(585),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(587),
    [sym__filetest] = ACTIONS(589),
  },
  [639] = {
    [sym__PERLY_BRACE_OPEN] = STATE(238),
    [sym__subscripted] = STATE(1915),
    [sym_container_variable] = STATE(3851),
    [sym_array_element_expression] = STATE(1916),
    [sym_hash_element_expression] = STATE(1916),
    [sym_coderef_call_expression] = STATE(1916),
    [sym_anonymous_slice_expression] = STATE(1916),
    [sym_slice_container_variable] = STATE(3852),
    [sym_slice_expression] = STATE(2342),
    [sym_keyval_container_variable] = STATE(3853),
    [sym_keyval_expression] = STATE(2342),
    [sym__term] = STATE(2320),
    [sym_readline_expression] = STATE(2342),
    [sym_fileglob_expression] = STATE(2342),
    [sym_assignment_expression] = STATE(2342),
    [sym_binary_expression] = STATE(2342),
    [sym_equality_expression] = STATE(2342),
    [sym_relational_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2342),
    [sym_preinc_expression] = STATE(2342),
    [sym_postinc_expression] = STATE(2342),
    [sym_conditional_expression] = STATE(2342),
    [sym_refgen_expression] = STATE(2342),
    [sym_anonymous_array_expression] = STATE(2342),
    [sym_anonymous_hash_expression] = STATE(2342),
    [sym_anonymous_subroutine_expression] = STATE(2342),
    [sym_anonymous_method_expression] = STATE(2342),
    [sym_do_expression] = STATE(2342),
    [sym_eval_expression] = STATE(2342),
    [sym_await_expression] = STATE(2342),
    [sym_variable_declaration] = STATE(2342),
    [sym_localization_expression] = STATE(2342),
    [sym_stub_expression] = STATE(2342),
    [sym_scalar_deref_expression] = STATE(2342),
    [sym_array_deref_expression] = STATE(2342),
    [sym_arraylen_deref_expression] = STATE(2342),
    [sym_hash_deref_expression] = STATE(2342),
    [sym_amper_deref_expression] = STATE(2342),
    [sym_glob_deref_expression] = STATE(2342),
    [sym_require_expression] = STATE(2342),
    [sym_require_version_expression] = STATE(2342),
    [sym_func0op_call_expression] = STATE(2342),
    [sym_func1op_call_expression] = STATE(2342),
    [sym_map_grep_expression] = STATE(2342),
    [sym_sort_expression] = STATE(2342),
    [sym_loopex_expression] = STATE(2342),
    [sym_goto_expression] = STATE(2342),
    [sym_return_expression] = STATE(2342),
    [sym_undef_expression] = STATE(2342),
    [sym__listop] = STATE(2342),
    [sym_function_call_expression] = STATE(2343),
    [sym_ambiguous_function_call_expression] = STATE(2343),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(2343),
    [sym_scalar] = STATE(2342),
    [sym_array] = STATE(2342),
    [sym__SUB_AMPER] = STATE(2739),
    [sym__GLOB_STAR] = STATE(2741),
    [sym_hash] = STATE(2342),
    [sym_arraylen] = STATE(2342),
    [sym_amper_sub] = STATE(2181),
    [sym_glob] = STATE(2183),
    [sym_glob_slot_expression] = STATE(2342),
    [sym__literal] = STATE(2342),
    [sym__apostrophe] = STATE(3277),
    [sym__quotation_mark] = STATE(2481),
    [sym__backtick] = STATE(2482),
    [sym__search_slash] = STATE(2447),
    [sym_string_literal] = STATE(2353),
    [sym_interpolated_string_literal] = STATE(2353),
    [sym_quoted_word_list] = STATE(2193),
    [sym_command_string] = STATE(2353),
    [sym_quoted_regexp] = STATE(2353),
    [sym_match_regexp] = STATE(2353),
    [sym_substitution_regexp] = STATE(2353),
    [sym_transliteration_expression] = STATE(2353),
    [sym_heredoc_token] = STATE(2342),
    [sym_command_heredoc_token] = STATE(2342),
    [sym_heredoc_content] = STATE(639),
    [sym_autoquoted_bareword] = STATE(2342),
    [sym_bareword] = STATE(2342),
    [sym_primitive] = STATE(2342),
    [sym_boolean] = STATE(2323),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3366),
    [sym__identifier] = ACTIONS(1072),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1008),
    [anon_sym_AT] = ACTIONS(1010),
    [anon_sym_my] = ACTIONS(1012),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(1014),
    [anon_sym_method] = ACTIONS(1016),
    [anon_sym_LPAREN] = ACTIONS(1018),
    [anon_sym_continue] = ACTIONS(1020),
    [anon_sym_state] = ACTIONS(1012),
    [anon_sym_our] = ACTIONS(1012),
    [anon_sym_LBRACK] = ACTIONS(1022),
    [anon_sym_LT_LT] = ACTIONS(1523),
    [anon_sym_SLASH_SLASH] = ACTIONS(1525),
    [anon_sym_PLUS] = ACTIONS(1024),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_TILDE] = ACTIONS(1024),
    [anon_sym_BANG] = ACTIONS(1024),
    [anon_sym_PLUS_PLUS] = ACTIONS(1529),
    [anon_sym_DASH_DASH] = ACTIONS(1529),
    [anon_sym_BSLASH] = ACTIONS(1026),
    [anon_sym_do] = ACTIONS(1028),
    [anon_sym_eval] = ACTIONS(1030),
    [anon_sym_await] = ACTIONS(1032),
    [anon_sym_field] = ACTIONS(1012),
    [anon_sym_local] = ACTIONS(1034),
    [anon_sym_dynamically] = ACTIONS(1034),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1036),
    [anon_sym_require] = ACTIONS(1038),
    [anon_sym_map] = ACTIONS(1040),
    [anon_sym_grep] = ACTIONS(1040),
    [anon_sym_sort] = ACTIONS(1042),
    [anon_sym_goto] = ACTIONS(1044),
    [anon_sym_return] = ACTIONS(1046),
    [anon_sym_undef] = ACTIONS(1048),
    [anon_sym_PERCENT2] = ACTIONS(1050),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1052),
    [anon_sym_next] = ACTIONS(1052),
    [anon_sym_redo] = ACTIONS(1052),
    [anon_sym___FILE__] = ACTIONS(1020),
    [anon_sym___LINE__] = ACTIONS(1020),
    [anon_sym___PACKAGE__] = ACTIONS(1020),
    [anon_sym___SUB__] = ACTIONS(1020),
    [anon_sym_break] = ACTIONS(1020),
    [anon_sym_fork] = ACTIONS(1020),
    [anon_sym_getppid] = ACTIONS(1020),
    [anon_sym_time] = ACTIONS(1020),
    [anon_sym_times] = ACTIONS(1020),
    [anon_sym_wait] = ACTIONS(1020),
    [anon_sym_wantarray] = ACTIONS(1020),
    [anon_sym_abs] = ACTIONS(1054),
    [anon_sym_alarm] = ACTIONS(1054),
    [anon_sym_chop] = ACTIONS(1054),
    [anon_sym_chdir] = ACTIONS(1054),
    [anon_sym_close] = ACTIONS(1054),
    [anon_sym_closedir] = ACTIONS(1054),
    [anon_sym_caller] = ACTIONS(1054),
    [anon_sym_chomp] = ACTIONS(1054),
    [anon_sym_chr] = ACTIONS(1054),
    [anon_sym_cos] = ACTIONS(1054),
    [anon_sym_chroot] = ACTIONS(1054),
    [anon_sym_defined] = ACTIONS(1054),
    [anon_sym_delete] = ACTIONS(1054),
    [anon_sym_dbmclose] = ACTIONS(1054),
    [anon_sym_exists] = ACTIONS(1054),
    [anon_sym_exit] = ACTIONS(1054),
    [anon_sym_eof] = ACTIONS(1054),
    [anon_sym_exp] = ACTIONS(1054),
    [anon_sym_each] = ACTIONS(1054),
    [anon_sym_fc] = ACTIONS(1054),
    [anon_sym_fileno] = ACTIONS(1054),
    [anon_sym_gmtime] = ACTIONS(1054),
    [anon_sym_getc] = ACTIONS(1054),
    [anon_sym_getpgrp] = ACTIONS(1054),
    [anon_sym_getprotobyname] = ACTIONS(1054),
    [anon_sym_getpwname] = ACTIONS(1054),
    [anon_sym_getpwuid] = ACTIONS(1054),
    [anon_sym_getpeername] = ACTIONS(1054),
    [anon_sym_getnetbyname] = ACTIONS(1054),
    [anon_sym_getsockname] = ACTIONS(1054),
    [anon_sym_getgrnam] = ACTIONS(1054),
    [anon_sym_getgrgid] = ACTIONS(1054),
    [anon_sym_hex] = ACTIONS(1054),
    [anon_sym_int] = ACTIONS(1054),
    [anon_sym_keys] = ACTIONS(1054),
    [anon_sym_lc] = ACTIONS(1054),
    [anon_sym_lcfirst] = ACTIONS(1054),
    [anon_sym_length] = ACTIONS(1054),
    [anon_sym_localtime] = ACTIONS(1054),
    [anon_sym_log] = ACTIONS(1054),
    [anon_sym_lock] = ACTIONS(1054),
    [anon_sym_lstat] = ACTIONS(1054),
    [anon_sym_oct] = ACTIONS(1054),
    [anon_sym_ord] = ACTIONS(1054),
    [anon_sym_prototype] = ACTIONS(1054),
    [anon_sym_pop] = ACTIONS(1054),
    [anon_sym_pos] = ACTIONS(1054),
    [anon_sym_quotemeta] = ACTIONS(1054),
    [anon_sym_reset] = ACTIONS(1054),
    [anon_sym_rand] = ACTIONS(1054),
    [anon_sym_rmdir] = ACTIONS(1054),
    [anon_sym_readdir] = ACTIONS(1054),
    [anon_sym_readline] = ACTIONS(1054),
    [anon_sym_readpipe] = ACTIONS(1054),
    [anon_sym_rewinddir] = ACTIONS(1054),
    [anon_sym_readlink] = ACTIONS(1054),
    [anon_sym_ref] = ACTIONS(1054),
    [anon_sym_scalar] = ACTIONS(1054),
    [anon_sym_shift] = ACTIONS(1054),
    [anon_sym_sin] = ACTIONS(1054),
    [anon_sym_sleep] = ACTIONS(1054),
    [anon_sym_sqrt] = ACTIONS(1054),
    [anon_sym_srand] = ACTIONS(1054),
    [anon_sym_stat] = ACTIONS(1054),
    [anon_sym_study] = ACTIONS(1054),
    [anon_sym_tell] = ACTIONS(1054),
    [anon_sym_telldir] = ACTIONS(1054),
    [anon_sym_tied] = ACTIONS(1054),
    [anon_sym_uc] = ACTIONS(1054),
    [anon_sym_ucfirst] = ACTIONS(1054),
    [anon_sym_untie] = ACTIONS(1054),
    [anon_sym_umask] = ACTIONS(1054),
    [anon_sym_values] = ACTIONS(1054),
    [anon_sym_write] = ACTIONS(1054),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1056),
    [anon_sym_qq] = ACTIONS(1058),
    [anon_sym_qw] = ACTIONS(1060),
    [anon_sym_qx] = ACTIONS(1062),
    [anon_sym_qr] = ACTIONS(1064),
    [anon_sym_m] = ACTIONS(1066),
    [anon_sym_s] = ACTIONS(1068),
    [anon_sym_tr] = ACTIONS(1070),
    [anon_sym_y] = ACTIONS(1070),
    [aux_sym__bareword_token1] = ACTIONS(1072),
    [sym_number] = ACTIONS(1074),
    [anon_sym_true] = ACTIONS(1076),
    [anon_sym_false] = ACTIONS(1076),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(1078),
    [sym__open_fileglob_bracket] = ACTIONS(1080),
    [sym__PERLY_HEREDOC] = ACTIONS(1082),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1084),
    [sym__filetest] = ACTIONS(1086),
  },
  [640] = {
    [sym__PERLY_BRACE_OPEN] = STATE(235),
    [sym__subscripted] = STATE(1532),
    [sym_container_variable] = STATE(3855),
    [sym_array_element_expression] = STATE(1533),
    [sym_hash_element_expression] = STATE(1533),
    [sym_coderef_call_expression] = STATE(1533),
    [sym_anonymous_slice_expression] = STATE(1533),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(1967),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(1967),
    [sym__term] = STATE(1927),
    [sym_readline_expression] = STATE(1967),
    [sym_fileglob_expression] = STATE(1967),
    [sym_assignment_expression] = STATE(1967),
    [sym_binary_expression] = STATE(1967),
    [sym_equality_expression] = STATE(1967),
    [sym_relational_expression] = STATE(1967),
    [sym_unary_expression] = STATE(1967),
    [sym_preinc_expression] = STATE(1967),
    [sym_postinc_expression] = STATE(1967),
    [sym_conditional_expression] = STATE(1967),
    [sym_refgen_expression] = STATE(1967),
    [sym_anonymous_array_expression] = STATE(1967),
    [sym_anonymous_hash_expression] = STATE(1967),
    [sym_anonymous_subroutine_expression] = STATE(1967),
    [sym_anonymous_method_expression] = STATE(1967),
    [sym_do_expression] = STATE(1967),
    [sym_eval_expression] = STATE(1967),
    [sym_await_expression] = STATE(1967),
    [sym_variable_declaration] = STATE(1967),
    [sym_localization_expression] = STATE(1967),
    [sym_stub_expression] = STATE(1967),
    [sym_scalar_deref_expression] = STATE(1967),
    [sym_array_deref_expression] = STATE(1967),
    [sym_arraylen_deref_expression] = STATE(1967),
    [sym_hash_deref_expression] = STATE(1967),
    [sym_amper_deref_expression] = STATE(1967),
    [sym_glob_deref_expression] = STATE(1967),
    [sym_require_expression] = STATE(1967),
    [sym_require_version_expression] = STATE(1967),
    [sym_func0op_call_expression] = STATE(1967),
    [sym_func1op_call_expression] = STATE(1967),
    [sym_map_grep_expression] = STATE(1967),
    [sym_sort_expression] = STATE(1967),
    [sym_loopex_expression] = STATE(1967),
    [sym_goto_expression] = STATE(1967),
    [sym_return_expression] = STATE(1967),
    [sym_undef_expression] = STATE(1967),
    [sym__listop] = STATE(1967),
    [sym_function_call_expression] = STATE(1968),
    [sym_ambiguous_function_call_expression] = STATE(1968),
    [sym_function] = STATE(389),
    [sym_method_call_expression] = STATE(1968),
    [sym_scalar] = STATE(1967),
    [sym_array] = STATE(1967),
    [sym__SUB_AMPER] = STATE(2686),
    [sym__GLOB_STAR] = STATE(2687),
    [sym_hash] = STATE(1967),
    [sym_arraylen] = STATE(1967),
    [sym_amper_sub] = STATE(1785),
    [sym_glob] = STATE(1786),
    [sym_glob_slot_expression] = STATE(1967),
    [sym__literal] = STATE(1967),
    [sym__apostrophe] = STATE(3328),
    [sym__quotation_mark] = STATE(2501),
    [sym__backtick] = STATE(2502),
    [sym__search_slash] = STATE(2454),
    [sym_string_literal] = STATE(1969),
    [sym_interpolated_string_literal] = STATE(1969),
    [sym_quoted_word_list] = STATE(1787),
    [sym_command_string] = STATE(1969),
    [sym_quoted_regexp] = STATE(1969),
    [sym_match_regexp] = STATE(1969),
    [sym_substitution_regexp] = STATE(1969),
    [sym_transliteration_expression] = STATE(1969),
    [sym_heredoc_token] = STATE(1967),
    [sym_command_heredoc_token] = STATE(1967),
    [sym_heredoc_content] = STATE(640),
    [sym_autoquoted_bareword] = STATE(1967),
    [sym_bareword] = STATE(1967),
    [sym_primitive] = STATE(1967),
    [sym_boolean] = STATE(1965),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3342),
    [sym__identifier] = ACTIONS(575),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1752),
    [anon_sym_AT] = ACTIONS(1671),
    [anon_sym_my] = ACTIONS(517),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(519),
    [anon_sym_method] = ACTIONS(521),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_continue] = ACTIONS(525),
    [anon_sym_state] = ACTIONS(517),
    [anon_sym_our] = ACTIONS(517),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_LT_LT] = ACTIONS(1673),
    [anon_sym_SLASH_SLASH] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(1677),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_PLUS_PLUS] = ACTIONS(1679),
    [anon_sym_DASH_DASH] = ACTIONS(1679),
    [anon_sym_BSLASH] = ACTIONS(531),
    [anon_sym_do] = ACTIONS(533),
    [anon_sym_eval] = ACTIONS(535),
    [anon_sym_await] = ACTIONS(537),
    [anon_sym_field] = ACTIONS(517),
    [anon_sym_local] = ACTIONS(539),
    [anon_sym_dynamically] = ACTIONS(539),
    [anon_sym_DOLLAR_POUND] = ACTIONS(541),
    [anon_sym_require] = ACTIONS(543),
    [anon_sym_map] = ACTIONS(545),
    [anon_sym_grep] = ACTIONS(545),
    [anon_sym_sort] = ACTIONS(547),
    [anon_sym_goto] = ACTIONS(549),
    [anon_sym_return] = ACTIONS(551),
    [anon_sym_undef] = ACTIONS(553),
    [anon_sym_PERCENT2] = ACTIONS(1681),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(555),
    [anon_sym_next] = ACTIONS(555),
    [anon_sym_redo] = ACTIONS(555),
    [anon_sym___FILE__] = ACTIONS(525),
    [anon_sym___LINE__] = ACTIONS(525),
    [anon_sym___PACKAGE__] = ACTIONS(525),
    [anon_sym___SUB__] = ACTIONS(525),
    [anon_sym_break] = ACTIONS(525),
    [anon_sym_fork] = ACTIONS(525),
    [anon_sym_getppid] = ACTIONS(525),
    [anon_sym_time] = ACTIONS(525),
    [anon_sym_times] = ACTIONS(525),
    [anon_sym_wait] = ACTIONS(525),
    [anon_sym_wantarray] = ACTIONS(525),
    [anon_sym_abs] = ACTIONS(557),
    [anon_sym_alarm] = ACTIONS(557),
    [anon_sym_chop] = ACTIONS(557),
    [anon_sym_chdir] = ACTIONS(557),
    [anon_sym_close] = ACTIONS(557),
    [anon_sym_closedir] = ACTIONS(557),
    [anon_sym_caller] = ACTIONS(557),
    [anon_sym_chomp] = ACTIONS(557),
    [anon_sym_chr] = ACTIONS(557),
    [anon_sym_cos] = ACTIONS(557),
    [anon_sym_chroot] = ACTIONS(557),
    [anon_sym_defined] = ACTIONS(557),
    [anon_sym_delete] = ACTIONS(557),
    [anon_sym_dbmclose] = ACTIONS(557),
    [anon_sym_exists] = ACTIONS(557),
    [anon_sym_exit] = ACTIONS(557),
    [anon_sym_eof] = ACTIONS(557),
    [anon_sym_exp] = ACTIONS(557),
    [anon_sym_each] = ACTIONS(557),
    [anon_sym_fc] = ACTIONS(557),
    [anon_sym_fileno] = ACTIONS(557),
    [anon_sym_gmtime] = ACTIONS(557),
    [anon_sym_getc] = ACTIONS(557),
    [anon_sym_getpgrp] = ACTIONS(557),
    [anon_sym_getprotobyname] = ACTIONS(557),
    [anon_sym_getpwname] = ACTIONS(557),
    [anon_sym_getpwuid] = ACTIONS(557),
    [anon_sym_getpeername] = ACTIONS(557),
    [anon_sym_getnetbyname] = ACTIONS(557),
    [anon_sym_getsockname] = ACTIONS(557),
    [anon_sym_getgrnam] = ACTIONS(557),
    [anon_sym_getgrgid] = ACTIONS(557),
    [anon_sym_hex] = ACTIONS(557),
    [anon_sym_int] = ACTIONS(557),
    [anon_sym_keys] = ACTIONS(557),
    [anon_sym_lc] = ACTIONS(557),
    [anon_sym_lcfirst] = ACTIONS(557),
    [anon_sym_length] = ACTIONS(557),
    [anon_sym_localtime] = ACTIONS(557),
    [anon_sym_log] = ACTIONS(557),
    [anon_sym_lock] = ACTIONS(557),
    [anon_sym_lstat] = ACTIONS(557),
    [anon_sym_oct] = ACTIONS(557),
    [anon_sym_ord] = ACTIONS(557),
    [anon_sym_prototype] = ACTIONS(557),
    [anon_sym_pop] = ACTIONS(557),
    [anon_sym_pos] = ACTIONS(557),
    [anon_sym_quotemeta] = ACTIONS(557),
    [anon_sym_reset] = ACTIONS(557),
    [anon_sym_rand] = ACTIONS(557),
    [anon_sym_rmdir] = ACTIONS(557),
    [anon_sym_readdir] = ACTIONS(557),
    [anon_sym_readline] = ACTIONS(557),
    [anon_sym_readpipe] = ACTIONS(557),
    [anon_sym_rewinddir] = ACTIONS(557),
    [anon_sym_readlink] = ACTIONS(557),
    [anon_sym_ref] = ACTIONS(557),
    [anon_sym_scalar] = ACTIONS(557),
    [anon_sym_shift] = ACTIONS(557),
    [anon_sym_sin] = ACTIONS(557),
    [anon_sym_sleep] = ACTIONS(557),
    [anon_sym_sqrt] = ACTIONS(557),
    [anon_sym_srand] = ACTIONS(557),
    [anon_sym_stat] = ACTIONS(557),
    [anon_sym_study] = ACTIONS(557),
    [anon_sym_tell] = ACTIONS(557),
    [anon_sym_telldir] = ACTIONS(557),
    [anon_sym_tied] = ACTIONS(557),
    [anon_sym_uc] = ACTIONS(557),
    [anon_sym_ucfirst] = ACTIONS(557),
    [anon_sym_untie] = ACTIONS(557),
    [anon_sym_umask] = ACTIONS(557),
    [anon_sym_values] = ACTIONS(557),
    [anon_sym_write] = ACTIONS(557),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(559),
    [anon_sym_qq] = ACTIONS(561),
    [anon_sym_qw] = ACTIONS(563),
    [anon_sym_qx] = ACTIONS(565),
    [anon_sym_qr] = ACTIONS(567),
    [anon_sym_m] = ACTIONS(569),
    [anon_sym_s] = ACTIONS(571),
    [anon_sym_tr] = ACTIONS(573),
    [anon_sym_y] = ACTIONS(573),
    [aux_sym__bareword_token1] = ACTIONS(575),
    [sym_number] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(581),
    [sym__open_fileglob_bracket] = ACTIONS(583),
    [sym__PERLY_HEREDOC] = ACTIONS(585),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(587),
    [sym__filetest] = ACTIONS(589),
  },
  [641] = {
    [sym__PERLY_BRACE_OPEN] = STATE(235),
    [sym__subscripted] = STATE(1532),
    [sym_container_variable] = STATE(3855),
    [sym_array_element_expression] = STATE(1533),
    [sym_hash_element_expression] = STATE(1533),
    [sym_coderef_call_expression] = STATE(1533),
    [sym_anonymous_slice_expression] = STATE(1533),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(1967),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(1967),
    [sym__term] = STATE(1928),
    [sym_readline_expression] = STATE(1967),
    [sym_fileglob_expression] = STATE(1967),
    [sym_assignment_expression] = STATE(1967),
    [sym_binary_expression] = STATE(1967),
    [sym_equality_expression] = STATE(1967),
    [sym_relational_expression] = STATE(1967),
    [sym_unary_expression] = STATE(1967),
    [sym_preinc_expression] = STATE(1967),
    [sym_postinc_expression] = STATE(1967),
    [sym_conditional_expression] = STATE(1967),
    [sym_refgen_expression] = STATE(1967),
    [sym_anonymous_array_expression] = STATE(1967),
    [sym_anonymous_hash_expression] = STATE(1967),
    [sym_anonymous_subroutine_expression] = STATE(1967),
    [sym_anonymous_method_expression] = STATE(1967),
    [sym_do_expression] = STATE(1967),
    [sym_eval_expression] = STATE(1967),
    [sym_await_expression] = STATE(1967),
    [sym_variable_declaration] = STATE(1967),
    [sym_localization_expression] = STATE(1967),
    [sym_stub_expression] = STATE(1967),
    [sym_scalar_deref_expression] = STATE(1967),
    [sym_array_deref_expression] = STATE(1967),
    [sym_arraylen_deref_expression] = STATE(1967),
    [sym_hash_deref_expression] = STATE(1967),
    [sym_amper_deref_expression] = STATE(1967),
    [sym_glob_deref_expression] = STATE(1967),
    [sym_require_expression] = STATE(1967),
    [sym_require_version_expression] = STATE(1967),
    [sym_func0op_call_expression] = STATE(1967),
    [sym_func1op_call_expression] = STATE(1967),
    [sym_map_grep_expression] = STATE(1967),
    [sym_sort_expression] = STATE(1967),
    [sym_loopex_expression] = STATE(1967),
    [sym_goto_expression] = STATE(1967),
    [sym_return_expression] = STATE(1967),
    [sym_undef_expression] = STATE(1967),
    [sym__listop] = STATE(1967),
    [sym_function_call_expression] = STATE(1968),
    [sym_ambiguous_function_call_expression] = STATE(1968),
    [sym_function] = STATE(389),
    [sym_method_call_expression] = STATE(1968),
    [sym_scalar] = STATE(1967),
    [sym_array] = STATE(1967),
    [sym__SUB_AMPER] = STATE(2686),
    [sym__GLOB_STAR] = STATE(2687),
    [sym_hash] = STATE(1967),
    [sym_arraylen] = STATE(1967),
    [sym_amper_sub] = STATE(1785),
    [sym_glob] = STATE(1786),
    [sym_glob_slot_expression] = STATE(1967),
    [sym__literal] = STATE(1967),
    [sym__apostrophe] = STATE(3328),
    [sym__quotation_mark] = STATE(2501),
    [sym__backtick] = STATE(2502),
    [sym__search_slash] = STATE(2454),
    [sym_string_literal] = STATE(1969),
    [sym_interpolated_string_literal] = STATE(1969),
    [sym_quoted_word_list] = STATE(1787),
    [sym_command_string] = STATE(1969),
    [sym_quoted_regexp] = STATE(1969),
    [sym_match_regexp] = STATE(1969),
    [sym_substitution_regexp] = STATE(1969),
    [sym_transliteration_expression] = STATE(1969),
    [sym_heredoc_token] = STATE(1967),
    [sym_command_heredoc_token] = STATE(1967),
    [sym_heredoc_content] = STATE(641),
    [sym_autoquoted_bareword] = STATE(1967),
    [sym_bareword] = STATE(1967),
    [sym_primitive] = STATE(1967),
    [sym_boolean] = STATE(1965),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3342),
    [sym__identifier] = ACTIONS(575),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1752),
    [anon_sym_AT] = ACTIONS(1671),
    [anon_sym_my] = ACTIONS(517),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(519),
    [anon_sym_method] = ACTIONS(521),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_continue] = ACTIONS(525),
    [anon_sym_state] = ACTIONS(517),
    [anon_sym_our] = ACTIONS(517),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_LT_LT] = ACTIONS(1673),
    [anon_sym_SLASH_SLASH] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(1677),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_PLUS_PLUS] = ACTIONS(1679),
    [anon_sym_DASH_DASH] = ACTIONS(1679),
    [anon_sym_BSLASH] = ACTIONS(531),
    [anon_sym_do] = ACTIONS(533),
    [anon_sym_eval] = ACTIONS(535),
    [anon_sym_await] = ACTIONS(537),
    [anon_sym_field] = ACTIONS(517),
    [anon_sym_local] = ACTIONS(539),
    [anon_sym_dynamically] = ACTIONS(539),
    [anon_sym_DOLLAR_POUND] = ACTIONS(541),
    [anon_sym_require] = ACTIONS(543),
    [anon_sym_map] = ACTIONS(545),
    [anon_sym_grep] = ACTIONS(545),
    [anon_sym_sort] = ACTIONS(547),
    [anon_sym_goto] = ACTIONS(549),
    [anon_sym_return] = ACTIONS(551),
    [anon_sym_undef] = ACTIONS(553),
    [anon_sym_PERCENT2] = ACTIONS(1681),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(555),
    [anon_sym_next] = ACTIONS(555),
    [anon_sym_redo] = ACTIONS(555),
    [anon_sym___FILE__] = ACTIONS(525),
    [anon_sym___LINE__] = ACTIONS(525),
    [anon_sym___PACKAGE__] = ACTIONS(525),
    [anon_sym___SUB__] = ACTIONS(525),
    [anon_sym_break] = ACTIONS(525),
    [anon_sym_fork] = ACTIONS(525),
    [anon_sym_getppid] = ACTIONS(525),
    [anon_sym_time] = ACTIONS(525),
    [anon_sym_times] = ACTIONS(525),
    [anon_sym_wait] = ACTIONS(525),
    [anon_sym_wantarray] = ACTIONS(525),
    [anon_sym_abs] = ACTIONS(557),
    [anon_sym_alarm] = ACTIONS(557),
    [anon_sym_chop] = ACTIONS(557),
    [anon_sym_chdir] = ACTIONS(557),
    [anon_sym_close] = ACTIONS(557),
    [anon_sym_closedir] = ACTIONS(557),
    [anon_sym_caller] = ACTIONS(557),
    [anon_sym_chomp] = ACTIONS(557),
    [anon_sym_chr] = ACTIONS(557),
    [anon_sym_cos] = ACTIONS(557),
    [anon_sym_chroot] = ACTIONS(557),
    [anon_sym_defined] = ACTIONS(557),
    [anon_sym_delete] = ACTIONS(557),
    [anon_sym_dbmclose] = ACTIONS(557),
    [anon_sym_exists] = ACTIONS(557),
    [anon_sym_exit] = ACTIONS(557),
    [anon_sym_eof] = ACTIONS(557),
    [anon_sym_exp] = ACTIONS(557),
    [anon_sym_each] = ACTIONS(557),
    [anon_sym_fc] = ACTIONS(557),
    [anon_sym_fileno] = ACTIONS(557),
    [anon_sym_gmtime] = ACTIONS(557),
    [anon_sym_getc] = ACTIONS(557),
    [anon_sym_getpgrp] = ACTIONS(557),
    [anon_sym_getprotobyname] = ACTIONS(557),
    [anon_sym_getpwname] = ACTIONS(557),
    [anon_sym_getpwuid] = ACTIONS(557),
    [anon_sym_getpeername] = ACTIONS(557),
    [anon_sym_getnetbyname] = ACTIONS(557),
    [anon_sym_getsockname] = ACTIONS(557),
    [anon_sym_getgrnam] = ACTIONS(557),
    [anon_sym_getgrgid] = ACTIONS(557),
    [anon_sym_hex] = ACTIONS(557),
    [anon_sym_int] = ACTIONS(557),
    [anon_sym_keys] = ACTIONS(557),
    [anon_sym_lc] = ACTIONS(557),
    [anon_sym_lcfirst] = ACTIONS(557),
    [anon_sym_length] = ACTIONS(557),
    [anon_sym_localtime] = ACTIONS(557),
    [anon_sym_log] = ACTIONS(557),
    [anon_sym_lock] = ACTIONS(557),
    [anon_sym_lstat] = ACTIONS(557),
    [anon_sym_oct] = ACTIONS(557),
    [anon_sym_ord] = ACTIONS(557),
    [anon_sym_prototype] = ACTIONS(557),
    [anon_sym_pop] = ACTIONS(557),
    [anon_sym_pos] = ACTIONS(557),
    [anon_sym_quotemeta] = ACTIONS(557),
    [anon_sym_reset] = ACTIONS(557),
    [anon_sym_rand] = ACTIONS(557),
    [anon_sym_rmdir] = ACTIONS(557),
    [anon_sym_readdir] = ACTIONS(557),
    [anon_sym_readline] = ACTIONS(557),
    [anon_sym_readpipe] = ACTIONS(557),
    [anon_sym_rewinddir] = ACTIONS(557),
    [anon_sym_readlink] = ACTIONS(557),
    [anon_sym_ref] = ACTIONS(557),
    [anon_sym_scalar] = ACTIONS(557),
    [anon_sym_shift] = ACTIONS(557),
    [anon_sym_sin] = ACTIONS(557),
    [anon_sym_sleep] = ACTIONS(557),
    [anon_sym_sqrt] = ACTIONS(557),
    [anon_sym_srand] = ACTIONS(557),
    [anon_sym_stat] = ACTIONS(557),
    [anon_sym_study] = ACTIONS(557),
    [anon_sym_tell] = ACTIONS(557),
    [anon_sym_telldir] = ACTIONS(557),
    [anon_sym_tied] = ACTIONS(557),
    [anon_sym_uc] = ACTIONS(557),
    [anon_sym_ucfirst] = ACTIONS(557),
    [anon_sym_untie] = ACTIONS(557),
    [anon_sym_umask] = ACTIONS(557),
    [anon_sym_values] = ACTIONS(557),
    [anon_sym_write] = ACTIONS(557),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(559),
    [anon_sym_qq] = ACTIONS(561),
    [anon_sym_qw] = ACTIONS(563),
    [anon_sym_qx] = ACTIONS(565),
    [anon_sym_qr] = ACTIONS(567),
    [anon_sym_m] = ACTIONS(569),
    [anon_sym_s] = ACTIONS(571),
    [anon_sym_tr] = ACTIONS(573),
    [anon_sym_y] = ACTIONS(573),
    [aux_sym__bareword_token1] = ACTIONS(575),
    [sym_number] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(581),
    [sym__open_fileglob_bracket] = ACTIONS(583),
    [sym__PERLY_HEREDOC] = ACTIONS(585),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(587),
    [sym__filetest] = ACTIONS(589),
  },
  [642] = {
    [sym__PERLY_BRACE_OPEN] = STATE(235),
    [sym__subscripted] = STATE(1532),
    [sym_container_variable] = STATE(3855),
    [sym_array_element_expression] = STATE(1533),
    [sym_hash_element_expression] = STATE(1533),
    [sym_coderef_call_expression] = STATE(1533),
    [sym_anonymous_slice_expression] = STATE(1533),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(1967),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(1967),
    [sym__term] = STATE(1929),
    [sym_readline_expression] = STATE(1967),
    [sym_fileglob_expression] = STATE(1967),
    [sym_assignment_expression] = STATE(1967),
    [sym_binary_expression] = STATE(1967),
    [sym_equality_expression] = STATE(1967),
    [sym_relational_expression] = STATE(1967),
    [sym_unary_expression] = STATE(1967),
    [sym_preinc_expression] = STATE(1967),
    [sym_postinc_expression] = STATE(1967),
    [sym_conditional_expression] = STATE(1967),
    [sym_refgen_expression] = STATE(1967),
    [sym_anonymous_array_expression] = STATE(1967),
    [sym_anonymous_hash_expression] = STATE(1967),
    [sym_anonymous_subroutine_expression] = STATE(1967),
    [sym_anonymous_method_expression] = STATE(1967),
    [sym_do_expression] = STATE(1967),
    [sym_eval_expression] = STATE(1967),
    [sym_await_expression] = STATE(1967),
    [sym_variable_declaration] = STATE(1967),
    [sym_localization_expression] = STATE(1967),
    [sym_stub_expression] = STATE(1967),
    [sym_scalar_deref_expression] = STATE(1967),
    [sym_array_deref_expression] = STATE(1967),
    [sym_arraylen_deref_expression] = STATE(1967),
    [sym_hash_deref_expression] = STATE(1967),
    [sym_amper_deref_expression] = STATE(1967),
    [sym_glob_deref_expression] = STATE(1967),
    [sym_require_expression] = STATE(1967),
    [sym_require_version_expression] = STATE(1967),
    [sym_func0op_call_expression] = STATE(1967),
    [sym_func1op_call_expression] = STATE(1967),
    [sym_map_grep_expression] = STATE(1967),
    [sym_sort_expression] = STATE(1967),
    [sym_loopex_expression] = STATE(1967),
    [sym_goto_expression] = STATE(1967),
    [sym_return_expression] = STATE(1967),
    [sym_undef_expression] = STATE(1967),
    [sym__listop] = STATE(1967),
    [sym_function_call_expression] = STATE(1968),
    [sym_ambiguous_function_call_expression] = STATE(1968),
    [sym_function] = STATE(389),
    [sym_method_call_expression] = STATE(1968),
    [sym_scalar] = STATE(1967),
    [sym_array] = STATE(1967),
    [sym__SUB_AMPER] = STATE(2686),
    [sym__GLOB_STAR] = STATE(2687),
    [sym_hash] = STATE(1967),
    [sym_arraylen] = STATE(1967),
    [sym_amper_sub] = STATE(1785),
    [sym_glob] = STATE(1786),
    [sym_glob_slot_expression] = STATE(1967),
    [sym__literal] = STATE(1967),
    [sym__apostrophe] = STATE(3328),
    [sym__quotation_mark] = STATE(2501),
    [sym__backtick] = STATE(2502),
    [sym__search_slash] = STATE(2454),
    [sym_string_literal] = STATE(1969),
    [sym_interpolated_string_literal] = STATE(1969),
    [sym_quoted_word_list] = STATE(1787),
    [sym_command_string] = STATE(1969),
    [sym_quoted_regexp] = STATE(1969),
    [sym_match_regexp] = STATE(1969),
    [sym_substitution_regexp] = STATE(1969),
    [sym_transliteration_expression] = STATE(1969),
    [sym_heredoc_token] = STATE(1967),
    [sym_command_heredoc_token] = STATE(1967),
    [sym_heredoc_content] = STATE(642),
    [sym_autoquoted_bareword] = STATE(1967),
    [sym_bareword] = STATE(1967),
    [sym_primitive] = STATE(1967),
    [sym_boolean] = STATE(1965),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3342),
    [sym__identifier] = ACTIONS(575),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1752),
    [anon_sym_AT] = ACTIONS(1671),
    [anon_sym_my] = ACTIONS(517),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(519),
    [anon_sym_method] = ACTIONS(521),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_continue] = ACTIONS(525),
    [anon_sym_state] = ACTIONS(517),
    [anon_sym_our] = ACTIONS(517),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_LT_LT] = ACTIONS(1673),
    [anon_sym_SLASH_SLASH] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(1677),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_PLUS_PLUS] = ACTIONS(1679),
    [anon_sym_DASH_DASH] = ACTIONS(1679),
    [anon_sym_BSLASH] = ACTIONS(531),
    [anon_sym_do] = ACTIONS(533),
    [anon_sym_eval] = ACTIONS(535),
    [anon_sym_await] = ACTIONS(537),
    [anon_sym_field] = ACTIONS(517),
    [anon_sym_local] = ACTIONS(539),
    [anon_sym_dynamically] = ACTIONS(539),
    [anon_sym_DOLLAR_POUND] = ACTIONS(541),
    [anon_sym_require] = ACTIONS(543),
    [anon_sym_map] = ACTIONS(545),
    [anon_sym_grep] = ACTIONS(545),
    [anon_sym_sort] = ACTIONS(547),
    [anon_sym_goto] = ACTIONS(549),
    [anon_sym_return] = ACTIONS(551),
    [anon_sym_undef] = ACTIONS(553),
    [anon_sym_PERCENT2] = ACTIONS(1681),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(555),
    [anon_sym_next] = ACTIONS(555),
    [anon_sym_redo] = ACTIONS(555),
    [anon_sym___FILE__] = ACTIONS(525),
    [anon_sym___LINE__] = ACTIONS(525),
    [anon_sym___PACKAGE__] = ACTIONS(525),
    [anon_sym___SUB__] = ACTIONS(525),
    [anon_sym_break] = ACTIONS(525),
    [anon_sym_fork] = ACTIONS(525),
    [anon_sym_getppid] = ACTIONS(525),
    [anon_sym_time] = ACTIONS(525),
    [anon_sym_times] = ACTIONS(525),
    [anon_sym_wait] = ACTIONS(525),
    [anon_sym_wantarray] = ACTIONS(525),
    [anon_sym_abs] = ACTIONS(557),
    [anon_sym_alarm] = ACTIONS(557),
    [anon_sym_chop] = ACTIONS(557),
    [anon_sym_chdir] = ACTIONS(557),
    [anon_sym_close] = ACTIONS(557),
    [anon_sym_closedir] = ACTIONS(557),
    [anon_sym_caller] = ACTIONS(557),
    [anon_sym_chomp] = ACTIONS(557),
    [anon_sym_chr] = ACTIONS(557),
    [anon_sym_cos] = ACTIONS(557),
    [anon_sym_chroot] = ACTIONS(557),
    [anon_sym_defined] = ACTIONS(557),
    [anon_sym_delete] = ACTIONS(557),
    [anon_sym_dbmclose] = ACTIONS(557),
    [anon_sym_exists] = ACTIONS(557),
    [anon_sym_exit] = ACTIONS(557),
    [anon_sym_eof] = ACTIONS(557),
    [anon_sym_exp] = ACTIONS(557),
    [anon_sym_each] = ACTIONS(557),
    [anon_sym_fc] = ACTIONS(557),
    [anon_sym_fileno] = ACTIONS(557),
    [anon_sym_gmtime] = ACTIONS(557),
    [anon_sym_getc] = ACTIONS(557),
    [anon_sym_getpgrp] = ACTIONS(557),
    [anon_sym_getprotobyname] = ACTIONS(557),
    [anon_sym_getpwname] = ACTIONS(557),
    [anon_sym_getpwuid] = ACTIONS(557),
    [anon_sym_getpeername] = ACTIONS(557),
    [anon_sym_getnetbyname] = ACTIONS(557),
    [anon_sym_getsockname] = ACTIONS(557),
    [anon_sym_getgrnam] = ACTIONS(557),
    [anon_sym_getgrgid] = ACTIONS(557),
    [anon_sym_hex] = ACTIONS(557),
    [anon_sym_int] = ACTIONS(557),
    [anon_sym_keys] = ACTIONS(557),
    [anon_sym_lc] = ACTIONS(557),
    [anon_sym_lcfirst] = ACTIONS(557),
    [anon_sym_length] = ACTIONS(557),
    [anon_sym_localtime] = ACTIONS(557),
    [anon_sym_log] = ACTIONS(557),
    [anon_sym_lock] = ACTIONS(557),
    [anon_sym_lstat] = ACTIONS(557),
    [anon_sym_oct] = ACTIONS(557),
    [anon_sym_ord] = ACTIONS(557),
    [anon_sym_prototype] = ACTIONS(557),
    [anon_sym_pop] = ACTIONS(557),
    [anon_sym_pos] = ACTIONS(557),
    [anon_sym_quotemeta] = ACTIONS(557),
    [anon_sym_reset] = ACTIONS(557),
    [anon_sym_rand] = ACTIONS(557),
    [anon_sym_rmdir] = ACTIONS(557),
    [anon_sym_readdir] = ACTIONS(557),
    [anon_sym_readline] = ACTIONS(557),
    [anon_sym_readpipe] = ACTIONS(557),
    [anon_sym_rewinddir] = ACTIONS(557),
    [anon_sym_readlink] = ACTIONS(557),
    [anon_sym_ref] = ACTIONS(557),
    [anon_sym_scalar] = ACTIONS(557),
    [anon_sym_shift] = ACTIONS(557),
    [anon_sym_sin] = ACTIONS(557),
    [anon_sym_sleep] = ACTIONS(557),
    [anon_sym_sqrt] = ACTIONS(557),
    [anon_sym_srand] = ACTIONS(557),
    [anon_sym_stat] = ACTIONS(557),
    [anon_sym_study] = ACTIONS(557),
    [anon_sym_tell] = ACTIONS(557),
    [anon_sym_telldir] = ACTIONS(557),
    [anon_sym_tied] = ACTIONS(557),
    [anon_sym_uc] = ACTIONS(557),
    [anon_sym_ucfirst] = ACTIONS(557),
    [anon_sym_untie] = ACTIONS(557),
    [anon_sym_umask] = ACTIONS(557),
    [anon_sym_values] = ACTIONS(557),
    [anon_sym_write] = ACTIONS(557),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(559),
    [anon_sym_qq] = ACTIONS(561),
    [anon_sym_qw] = ACTIONS(563),
    [anon_sym_qx] = ACTIONS(565),
    [anon_sym_qr] = ACTIONS(567),
    [anon_sym_m] = ACTIONS(569),
    [anon_sym_s] = ACTIONS(571),
    [anon_sym_tr] = ACTIONS(573),
    [anon_sym_y] = ACTIONS(573),
    [aux_sym__bareword_token1] = ACTIONS(575),
    [sym_number] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(581),
    [sym__open_fileglob_bracket] = ACTIONS(583),
    [sym__PERLY_HEREDOC] = ACTIONS(585),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(587),
    [sym__filetest] = ACTIONS(589),
  },
  [643] = {
    [sym__PERLY_BRACE_OPEN] = STATE(235),
    [sym__subscripted] = STATE(1532),
    [sym_container_variable] = STATE(3855),
    [sym_array_element_expression] = STATE(1533),
    [sym_hash_element_expression] = STATE(1533),
    [sym_coderef_call_expression] = STATE(1533),
    [sym_anonymous_slice_expression] = STATE(1533),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(1967),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(1967),
    [sym__term] = STATE(1930),
    [sym_readline_expression] = STATE(1967),
    [sym_fileglob_expression] = STATE(1967),
    [sym_assignment_expression] = STATE(1967),
    [sym_binary_expression] = STATE(1967),
    [sym_equality_expression] = STATE(1967),
    [sym_relational_expression] = STATE(1967),
    [sym_unary_expression] = STATE(1967),
    [sym_preinc_expression] = STATE(1967),
    [sym_postinc_expression] = STATE(1967),
    [sym_conditional_expression] = STATE(1967),
    [sym_refgen_expression] = STATE(1967),
    [sym_anonymous_array_expression] = STATE(1967),
    [sym_anonymous_hash_expression] = STATE(1967),
    [sym_anonymous_subroutine_expression] = STATE(1967),
    [sym_anonymous_method_expression] = STATE(1967),
    [sym_do_expression] = STATE(1967),
    [sym_eval_expression] = STATE(1967),
    [sym_await_expression] = STATE(1967),
    [sym_variable_declaration] = STATE(1967),
    [sym_localization_expression] = STATE(1967),
    [sym_stub_expression] = STATE(1967),
    [sym_scalar_deref_expression] = STATE(1967),
    [sym_array_deref_expression] = STATE(1967),
    [sym_arraylen_deref_expression] = STATE(1967),
    [sym_hash_deref_expression] = STATE(1967),
    [sym_amper_deref_expression] = STATE(1967),
    [sym_glob_deref_expression] = STATE(1967),
    [sym_require_expression] = STATE(1967),
    [sym_require_version_expression] = STATE(1967),
    [sym_func0op_call_expression] = STATE(1967),
    [sym_func1op_call_expression] = STATE(1967),
    [sym_map_grep_expression] = STATE(1967),
    [sym_sort_expression] = STATE(1967),
    [sym_loopex_expression] = STATE(1967),
    [sym_goto_expression] = STATE(1967),
    [sym_return_expression] = STATE(1967),
    [sym_undef_expression] = STATE(1967),
    [sym__listop] = STATE(1967),
    [sym_function_call_expression] = STATE(1968),
    [sym_ambiguous_function_call_expression] = STATE(1968),
    [sym_function] = STATE(389),
    [sym_method_call_expression] = STATE(1968),
    [sym_scalar] = STATE(1967),
    [sym_array] = STATE(1967),
    [sym__SUB_AMPER] = STATE(2686),
    [sym__GLOB_STAR] = STATE(2687),
    [sym_hash] = STATE(1967),
    [sym_arraylen] = STATE(1967),
    [sym_amper_sub] = STATE(1785),
    [sym_glob] = STATE(1786),
    [sym_glob_slot_expression] = STATE(1967),
    [sym__literal] = STATE(1967),
    [sym__apostrophe] = STATE(3328),
    [sym__quotation_mark] = STATE(2501),
    [sym__backtick] = STATE(2502),
    [sym__search_slash] = STATE(2454),
    [sym_string_literal] = STATE(1969),
    [sym_interpolated_string_literal] = STATE(1969),
    [sym_quoted_word_list] = STATE(1787),
    [sym_command_string] = STATE(1969),
    [sym_quoted_regexp] = STATE(1969),
    [sym_match_regexp] = STATE(1969),
    [sym_substitution_regexp] = STATE(1969),
    [sym_transliteration_expression] = STATE(1969),
    [sym_heredoc_token] = STATE(1967),
    [sym_command_heredoc_token] = STATE(1967),
    [sym_heredoc_content] = STATE(643),
    [sym_autoquoted_bareword] = STATE(1967),
    [sym_bareword] = STATE(1967),
    [sym_primitive] = STATE(1967),
    [sym_boolean] = STATE(1965),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3342),
    [sym__identifier] = ACTIONS(575),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1752),
    [anon_sym_AT] = ACTIONS(1671),
    [anon_sym_my] = ACTIONS(517),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(519),
    [anon_sym_method] = ACTIONS(521),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_continue] = ACTIONS(525),
    [anon_sym_state] = ACTIONS(517),
    [anon_sym_our] = ACTIONS(517),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_LT_LT] = ACTIONS(1673),
    [anon_sym_SLASH_SLASH] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(1677),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_PLUS_PLUS] = ACTIONS(1679),
    [anon_sym_DASH_DASH] = ACTIONS(1679),
    [anon_sym_BSLASH] = ACTIONS(531),
    [anon_sym_do] = ACTIONS(533),
    [anon_sym_eval] = ACTIONS(535),
    [anon_sym_await] = ACTIONS(537),
    [anon_sym_field] = ACTIONS(517),
    [anon_sym_local] = ACTIONS(539),
    [anon_sym_dynamically] = ACTIONS(539),
    [anon_sym_DOLLAR_POUND] = ACTIONS(541),
    [anon_sym_require] = ACTIONS(543),
    [anon_sym_map] = ACTIONS(545),
    [anon_sym_grep] = ACTIONS(545),
    [anon_sym_sort] = ACTIONS(547),
    [anon_sym_goto] = ACTIONS(549),
    [anon_sym_return] = ACTIONS(551),
    [anon_sym_undef] = ACTIONS(553),
    [anon_sym_PERCENT2] = ACTIONS(1681),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(555),
    [anon_sym_next] = ACTIONS(555),
    [anon_sym_redo] = ACTIONS(555),
    [anon_sym___FILE__] = ACTIONS(525),
    [anon_sym___LINE__] = ACTIONS(525),
    [anon_sym___PACKAGE__] = ACTIONS(525),
    [anon_sym___SUB__] = ACTIONS(525),
    [anon_sym_break] = ACTIONS(525),
    [anon_sym_fork] = ACTIONS(525),
    [anon_sym_getppid] = ACTIONS(525),
    [anon_sym_time] = ACTIONS(525),
    [anon_sym_times] = ACTIONS(525),
    [anon_sym_wait] = ACTIONS(525),
    [anon_sym_wantarray] = ACTIONS(525),
    [anon_sym_abs] = ACTIONS(557),
    [anon_sym_alarm] = ACTIONS(557),
    [anon_sym_chop] = ACTIONS(557),
    [anon_sym_chdir] = ACTIONS(557),
    [anon_sym_close] = ACTIONS(557),
    [anon_sym_closedir] = ACTIONS(557),
    [anon_sym_caller] = ACTIONS(557),
    [anon_sym_chomp] = ACTIONS(557),
    [anon_sym_chr] = ACTIONS(557),
    [anon_sym_cos] = ACTIONS(557),
    [anon_sym_chroot] = ACTIONS(557),
    [anon_sym_defined] = ACTIONS(557),
    [anon_sym_delete] = ACTIONS(557),
    [anon_sym_dbmclose] = ACTIONS(557),
    [anon_sym_exists] = ACTIONS(557),
    [anon_sym_exit] = ACTIONS(557),
    [anon_sym_eof] = ACTIONS(557),
    [anon_sym_exp] = ACTIONS(557),
    [anon_sym_each] = ACTIONS(557),
    [anon_sym_fc] = ACTIONS(557),
    [anon_sym_fileno] = ACTIONS(557),
    [anon_sym_gmtime] = ACTIONS(557),
    [anon_sym_getc] = ACTIONS(557),
    [anon_sym_getpgrp] = ACTIONS(557),
    [anon_sym_getprotobyname] = ACTIONS(557),
    [anon_sym_getpwname] = ACTIONS(557),
    [anon_sym_getpwuid] = ACTIONS(557),
    [anon_sym_getpeername] = ACTIONS(557),
    [anon_sym_getnetbyname] = ACTIONS(557),
    [anon_sym_getsockname] = ACTIONS(557),
    [anon_sym_getgrnam] = ACTIONS(557),
    [anon_sym_getgrgid] = ACTIONS(557),
    [anon_sym_hex] = ACTIONS(557),
    [anon_sym_int] = ACTIONS(557),
    [anon_sym_keys] = ACTIONS(557),
    [anon_sym_lc] = ACTIONS(557),
    [anon_sym_lcfirst] = ACTIONS(557),
    [anon_sym_length] = ACTIONS(557),
    [anon_sym_localtime] = ACTIONS(557),
    [anon_sym_log] = ACTIONS(557),
    [anon_sym_lock] = ACTIONS(557),
    [anon_sym_lstat] = ACTIONS(557),
    [anon_sym_oct] = ACTIONS(557),
    [anon_sym_ord] = ACTIONS(557),
    [anon_sym_prototype] = ACTIONS(557),
    [anon_sym_pop] = ACTIONS(557),
    [anon_sym_pos] = ACTIONS(557),
    [anon_sym_quotemeta] = ACTIONS(557),
    [anon_sym_reset] = ACTIONS(557),
    [anon_sym_rand] = ACTIONS(557),
    [anon_sym_rmdir] = ACTIONS(557),
    [anon_sym_readdir] = ACTIONS(557),
    [anon_sym_readline] = ACTIONS(557),
    [anon_sym_readpipe] = ACTIONS(557),
    [anon_sym_rewinddir] = ACTIONS(557),
    [anon_sym_readlink] = ACTIONS(557),
    [anon_sym_ref] = ACTIONS(557),
    [anon_sym_scalar] = ACTIONS(557),
    [anon_sym_shift] = ACTIONS(557),
    [anon_sym_sin] = ACTIONS(557),
    [anon_sym_sleep] = ACTIONS(557),
    [anon_sym_sqrt] = ACTIONS(557),
    [anon_sym_srand] = ACTIONS(557),
    [anon_sym_stat] = ACTIONS(557),
    [anon_sym_study] = ACTIONS(557),
    [anon_sym_tell] = ACTIONS(557),
    [anon_sym_telldir] = ACTIONS(557),
    [anon_sym_tied] = ACTIONS(557),
    [anon_sym_uc] = ACTIONS(557),
    [anon_sym_ucfirst] = ACTIONS(557),
    [anon_sym_untie] = ACTIONS(557),
    [anon_sym_umask] = ACTIONS(557),
    [anon_sym_values] = ACTIONS(557),
    [anon_sym_write] = ACTIONS(557),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(559),
    [anon_sym_qq] = ACTIONS(561),
    [anon_sym_qw] = ACTIONS(563),
    [anon_sym_qx] = ACTIONS(565),
    [anon_sym_qr] = ACTIONS(567),
    [anon_sym_m] = ACTIONS(569),
    [anon_sym_s] = ACTIONS(571),
    [anon_sym_tr] = ACTIONS(573),
    [anon_sym_y] = ACTIONS(573),
    [aux_sym__bareword_token1] = ACTIONS(575),
    [sym_number] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(581),
    [sym__open_fileglob_bracket] = ACTIONS(583),
    [sym__PERLY_HEREDOC] = ACTIONS(585),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(587),
    [sym__filetest] = ACTIONS(589),
  },
  [644] = {
    [sym__PERLY_BRACE_OPEN] = STATE(237),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1403),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(644),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [645] = {
    [sym__PERLY_BRACE_OPEN] = STATE(235),
    [sym__subscripted] = STATE(1532),
    [sym_container_variable] = STATE(3855),
    [sym_array_element_expression] = STATE(1533),
    [sym_hash_element_expression] = STATE(1533),
    [sym_coderef_call_expression] = STATE(1533),
    [sym_anonymous_slice_expression] = STATE(1533),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(1967),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(1967),
    [sym__term] = STATE(1931),
    [sym_readline_expression] = STATE(1967),
    [sym_fileglob_expression] = STATE(1967),
    [sym_assignment_expression] = STATE(1967),
    [sym_binary_expression] = STATE(1967),
    [sym_equality_expression] = STATE(1967),
    [sym_relational_expression] = STATE(1967),
    [sym_unary_expression] = STATE(1967),
    [sym_preinc_expression] = STATE(1967),
    [sym_postinc_expression] = STATE(1967),
    [sym_conditional_expression] = STATE(1967),
    [sym_refgen_expression] = STATE(1967),
    [sym_anonymous_array_expression] = STATE(1967),
    [sym_anonymous_hash_expression] = STATE(1967),
    [sym_anonymous_subroutine_expression] = STATE(1967),
    [sym_anonymous_method_expression] = STATE(1967),
    [sym_do_expression] = STATE(1967),
    [sym_eval_expression] = STATE(1967),
    [sym_await_expression] = STATE(1967),
    [sym_variable_declaration] = STATE(1967),
    [sym_localization_expression] = STATE(1967),
    [sym_stub_expression] = STATE(1967),
    [sym_scalar_deref_expression] = STATE(1967),
    [sym_array_deref_expression] = STATE(1967),
    [sym_arraylen_deref_expression] = STATE(1967),
    [sym_hash_deref_expression] = STATE(1967),
    [sym_amper_deref_expression] = STATE(1967),
    [sym_glob_deref_expression] = STATE(1967),
    [sym_require_expression] = STATE(1967),
    [sym_require_version_expression] = STATE(1967),
    [sym_func0op_call_expression] = STATE(1967),
    [sym_func1op_call_expression] = STATE(1967),
    [sym_map_grep_expression] = STATE(1967),
    [sym_sort_expression] = STATE(1967),
    [sym_loopex_expression] = STATE(1967),
    [sym_goto_expression] = STATE(1967),
    [sym_return_expression] = STATE(1967),
    [sym_undef_expression] = STATE(1967),
    [sym__listop] = STATE(1967),
    [sym_function_call_expression] = STATE(1968),
    [sym_ambiguous_function_call_expression] = STATE(1968),
    [sym_function] = STATE(389),
    [sym_method_call_expression] = STATE(1968),
    [sym_scalar] = STATE(1967),
    [sym_array] = STATE(1967),
    [sym__SUB_AMPER] = STATE(2686),
    [sym__GLOB_STAR] = STATE(2687),
    [sym_hash] = STATE(1967),
    [sym_arraylen] = STATE(1967),
    [sym_amper_sub] = STATE(1785),
    [sym_glob] = STATE(1786),
    [sym_glob_slot_expression] = STATE(1967),
    [sym__literal] = STATE(1967),
    [sym__apostrophe] = STATE(3328),
    [sym__quotation_mark] = STATE(2501),
    [sym__backtick] = STATE(2502),
    [sym__search_slash] = STATE(2454),
    [sym_string_literal] = STATE(1969),
    [sym_interpolated_string_literal] = STATE(1969),
    [sym_quoted_word_list] = STATE(1787),
    [sym_command_string] = STATE(1969),
    [sym_quoted_regexp] = STATE(1969),
    [sym_match_regexp] = STATE(1969),
    [sym_substitution_regexp] = STATE(1969),
    [sym_transliteration_expression] = STATE(1969),
    [sym_heredoc_token] = STATE(1967),
    [sym_command_heredoc_token] = STATE(1967),
    [sym_heredoc_content] = STATE(645),
    [sym_autoquoted_bareword] = STATE(1967),
    [sym_bareword] = STATE(1967),
    [sym_primitive] = STATE(1967),
    [sym_boolean] = STATE(1965),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3342),
    [sym__identifier] = ACTIONS(575),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1752),
    [anon_sym_AT] = ACTIONS(1671),
    [anon_sym_my] = ACTIONS(517),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(519),
    [anon_sym_method] = ACTIONS(521),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_continue] = ACTIONS(525),
    [anon_sym_state] = ACTIONS(517),
    [anon_sym_our] = ACTIONS(517),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_LT_LT] = ACTIONS(1673),
    [anon_sym_SLASH_SLASH] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(1677),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_PLUS_PLUS] = ACTIONS(1679),
    [anon_sym_DASH_DASH] = ACTIONS(1679),
    [anon_sym_BSLASH] = ACTIONS(531),
    [anon_sym_do] = ACTIONS(533),
    [anon_sym_eval] = ACTIONS(535),
    [anon_sym_await] = ACTIONS(537),
    [anon_sym_field] = ACTIONS(517),
    [anon_sym_local] = ACTIONS(539),
    [anon_sym_dynamically] = ACTIONS(539),
    [anon_sym_DOLLAR_POUND] = ACTIONS(541),
    [anon_sym_require] = ACTIONS(543),
    [anon_sym_map] = ACTIONS(545),
    [anon_sym_grep] = ACTIONS(545),
    [anon_sym_sort] = ACTIONS(547),
    [anon_sym_goto] = ACTIONS(549),
    [anon_sym_return] = ACTIONS(551),
    [anon_sym_undef] = ACTIONS(553),
    [anon_sym_PERCENT2] = ACTIONS(1681),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(555),
    [anon_sym_next] = ACTIONS(555),
    [anon_sym_redo] = ACTIONS(555),
    [anon_sym___FILE__] = ACTIONS(525),
    [anon_sym___LINE__] = ACTIONS(525),
    [anon_sym___PACKAGE__] = ACTIONS(525),
    [anon_sym___SUB__] = ACTIONS(525),
    [anon_sym_break] = ACTIONS(525),
    [anon_sym_fork] = ACTIONS(525),
    [anon_sym_getppid] = ACTIONS(525),
    [anon_sym_time] = ACTIONS(525),
    [anon_sym_times] = ACTIONS(525),
    [anon_sym_wait] = ACTIONS(525),
    [anon_sym_wantarray] = ACTIONS(525),
    [anon_sym_abs] = ACTIONS(557),
    [anon_sym_alarm] = ACTIONS(557),
    [anon_sym_chop] = ACTIONS(557),
    [anon_sym_chdir] = ACTIONS(557),
    [anon_sym_close] = ACTIONS(557),
    [anon_sym_closedir] = ACTIONS(557),
    [anon_sym_caller] = ACTIONS(557),
    [anon_sym_chomp] = ACTIONS(557),
    [anon_sym_chr] = ACTIONS(557),
    [anon_sym_cos] = ACTIONS(557),
    [anon_sym_chroot] = ACTIONS(557),
    [anon_sym_defined] = ACTIONS(557),
    [anon_sym_delete] = ACTIONS(557),
    [anon_sym_dbmclose] = ACTIONS(557),
    [anon_sym_exists] = ACTIONS(557),
    [anon_sym_exit] = ACTIONS(557),
    [anon_sym_eof] = ACTIONS(557),
    [anon_sym_exp] = ACTIONS(557),
    [anon_sym_each] = ACTIONS(557),
    [anon_sym_fc] = ACTIONS(557),
    [anon_sym_fileno] = ACTIONS(557),
    [anon_sym_gmtime] = ACTIONS(557),
    [anon_sym_getc] = ACTIONS(557),
    [anon_sym_getpgrp] = ACTIONS(557),
    [anon_sym_getprotobyname] = ACTIONS(557),
    [anon_sym_getpwname] = ACTIONS(557),
    [anon_sym_getpwuid] = ACTIONS(557),
    [anon_sym_getpeername] = ACTIONS(557),
    [anon_sym_getnetbyname] = ACTIONS(557),
    [anon_sym_getsockname] = ACTIONS(557),
    [anon_sym_getgrnam] = ACTIONS(557),
    [anon_sym_getgrgid] = ACTIONS(557),
    [anon_sym_hex] = ACTIONS(557),
    [anon_sym_int] = ACTIONS(557),
    [anon_sym_keys] = ACTIONS(557),
    [anon_sym_lc] = ACTIONS(557),
    [anon_sym_lcfirst] = ACTIONS(557),
    [anon_sym_length] = ACTIONS(557),
    [anon_sym_localtime] = ACTIONS(557),
    [anon_sym_log] = ACTIONS(557),
    [anon_sym_lock] = ACTIONS(557),
    [anon_sym_lstat] = ACTIONS(557),
    [anon_sym_oct] = ACTIONS(557),
    [anon_sym_ord] = ACTIONS(557),
    [anon_sym_prototype] = ACTIONS(557),
    [anon_sym_pop] = ACTIONS(557),
    [anon_sym_pos] = ACTIONS(557),
    [anon_sym_quotemeta] = ACTIONS(557),
    [anon_sym_reset] = ACTIONS(557),
    [anon_sym_rand] = ACTIONS(557),
    [anon_sym_rmdir] = ACTIONS(557),
    [anon_sym_readdir] = ACTIONS(557),
    [anon_sym_readline] = ACTIONS(557),
    [anon_sym_readpipe] = ACTIONS(557),
    [anon_sym_rewinddir] = ACTIONS(557),
    [anon_sym_readlink] = ACTIONS(557),
    [anon_sym_ref] = ACTIONS(557),
    [anon_sym_scalar] = ACTIONS(557),
    [anon_sym_shift] = ACTIONS(557),
    [anon_sym_sin] = ACTIONS(557),
    [anon_sym_sleep] = ACTIONS(557),
    [anon_sym_sqrt] = ACTIONS(557),
    [anon_sym_srand] = ACTIONS(557),
    [anon_sym_stat] = ACTIONS(557),
    [anon_sym_study] = ACTIONS(557),
    [anon_sym_tell] = ACTIONS(557),
    [anon_sym_telldir] = ACTIONS(557),
    [anon_sym_tied] = ACTIONS(557),
    [anon_sym_uc] = ACTIONS(557),
    [anon_sym_ucfirst] = ACTIONS(557),
    [anon_sym_untie] = ACTIONS(557),
    [anon_sym_umask] = ACTIONS(557),
    [anon_sym_values] = ACTIONS(557),
    [anon_sym_write] = ACTIONS(557),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(559),
    [anon_sym_qq] = ACTIONS(561),
    [anon_sym_qw] = ACTIONS(563),
    [anon_sym_qx] = ACTIONS(565),
    [anon_sym_qr] = ACTIONS(567),
    [anon_sym_m] = ACTIONS(569),
    [anon_sym_s] = ACTIONS(571),
    [anon_sym_tr] = ACTIONS(573),
    [anon_sym_y] = ACTIONS(573),
    [aux_sym__bareword_token1] = ACTIONS(575),
    [sym_number] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(581),
    [sym__open_fileglob_bracket] = ACTIONS(583),
    [sym__PERLY_HEREDOC] = ACTIONS(585),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(587),
    [sym__filetest] = ACTIONS(589),
  },
  [646] = {
    [sym__PERLY_BRACE_OPEN] = STATE(235),
    [sym__subscripted] = STATE(1532),
    [sym_container_variable] = STATE(3855),
    [sym_array_element_expression] = STATE(1533),
    [sym_hash_element_expression] = STATE(1533),
    [sym_coderef_call_expression] = STATE(1533),
    [sym_anonymous_slice_expression] = STATE(1533),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(1967),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(1967),
    [sym__term] = STATE(2015),
    [sym_readline_expression] = STATE(1967),
    [sym_fileglob_expression] = STATE(1967),
    [sym_assignment_expression] = STATE(1967),
    [sym_binary_expression] = STATE(1967),
    [sym_equality_expression] = STATE(1967),
    [sym_relational_expression] = STATE(1967),
    [sym_unary_expression] = STATE(1967),
    [sym_preinc_expression] = STATE(1967),
    [sym_postinc_expression] = STATE(1967),
    [sym_conditional_expression] = STATE(1967),
    [sym_refgen_expression] = STATE(1967),
    [sym_anonymous_array_expression] = STATE(1967),
    [sym_anonymous_hash_expression] = STATE(1967),
    [sym_anonymous_subroutine_expression] = STATE(1967),
    [sym_anonymous_method_expression] = STATE(1967),
    [sym_do_expression] = STATE(1967),
    [sym_eval_expression] = STATE(1967),
    [sym_await_expression] = STATE(1967),
    [sym_variable_declaration] = STATE(1967),
    [sym_localization_expression] = STATE(1967),
    [sym_stub_expression] = STATE(1967),
    [sym_scalar_deref_expression] = STATE(1967),
    [sym_array_deref_expression] = STATE(1967),
    [sym_arraylen_deref_expression] = STATE(1967),
    [sym_hash_deref_expression] = STATE(1967),
    [sym_amper_deref_expression] = STATE(1967),
    [sym_glob_deref_expression] = STATE(1967),
    [sym_require_expression] = STATE(1967),
    [sym_require_version_expression] = STATE(1967),
    [sym_func0op_call_expression] = STATE(1967),
    [sym_func1op_call_expression] = STATE(1967),
    [sym_map_grep_expression] = STATE(1967),
    [sym_sort_expression] = STATE(1967),
    [sym_loopex_expression] = STATE(1967),
    [sym_goto_expression] = STATE(1967),
    [sym_return_expression] = STATE(1967),
    [sym_undef_expression] = STATE(1967),
    [sym__listop] = STATE(1967),
    [sym_function_call_expression] = STATE(1968),
    [sym_ambiguous_function_call_expression] = STATE(1968),
    [sym_function] = STATE(389),
    [sym_method_call_expression] = STATE(1968),
    [sym_scalar] = STATE(1967),
    [sym_array] = STATE(1967),
    [sym__SUB_AMPER] = STATE(2686),
    [sym__GLOB_STAR] = STATE(2687),
    [sym_hash] = STATE(1967),
    [sym_arraylen] = STATE(1967),
    [sym_amper_sub] = STATE(1785),
    [sym_glob] = STATE(1786),
    [sym_glob_slot_expression] = STATE(1967),
    [sym__literal] = STATE(1967),
    [sym__apostrophe] = STATE(3328),
    [sym__quotation_mark] = STATE(2501),
    [sym__backtick] = STATE(2502),
    [sym__search_slash] = STATE(2454),
    [sym_string_literal] = STATE(1969),
    [sym_interpolated_string_literal] = STATE(1969),
    [sym_quoted_word_list] = STATE(1787),
    [sym_command_string] = STATE(1969),
    [sym_quoted_regexp] = STATE(1969),
    [sym_match_regexp] = STATE(1969),
    [sym_substitution_regexp] = STATE(1969),
    [sym_transliteration_expression] = STATE(1969),
    [sym_heredoc_token] = STATE(1967),
    [sym_command_heredoc_token] = STATE(1967),
    [sym_heredoc_content] = STATE(646),
    [sym_autoquoted_bareword] = STATE(1967),
    [sym_bareword] = STATE(1967),
    [sym_primitive] = STATE(1967),
    [sym_boolean] = STATE(1965),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3342),
    [sym__identifier] = ACTIONS(575),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1752),
    [anon_sym_AT] = ACTIONS(1671),
    [anon_sym_my] = ACTIONS(517),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(519),
    [anon_sym_method] = ACTIONS(521),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_continue] = ACTIONS(525),
    [anon_sym_state] = ACTIONS(517),
    [anon_sym_our] = ACTIONS(517),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_LT_LT] = ACTIONS(1673),
    [anon_sym_SLASH_SLASH] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(1677),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_PLUS_PLUS] = ACTIONS(1679),
    [anon_sym_DASH_DASH] = ACTIONS(1679),
    [anon_sym_BSLASH] = ACTIONS(531),
    [anon_sym_do] = ACTIONS(533),
    [anon_sym_eval] = ACTIONS(535),
    [anon_sym_await] = ACTIONS(537),
    [anon_sym_field] = ACTIONS(517),
    [anon_sym_local] = ACTIONS(539),
    [anon_sym_dynamically] = ACTIONS(539),
    [anon_sym_DOLLAR_POUND] = ACTIONS(541),
    [anon_sym_require] = ACTIONS(543),
    [anon_sym_map] = ACTIONS(545),
    [anon_sym_grep] = ACTIONS(545),
    [anon_sym_sort] = ACTIONS(547),
    [anon_sym_goto] = ACTIONS(549),
    [anon_sym_return] = ACTIONS(551),
    [anon_sym_undef] = ACTIONS(553),
    [anon_sym_PERCENT2] = ACTIONS(1681),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(555),
    [anon_sym_next] = ACTIONS(555),
    [anon_sym_redo] = ACTIONS(555),
    [anon_sym___FILE__] = ACTIONS(525),
    [anon_sym___LINE__] = ACTIONS(525),
    [anon_sym___PACKAGE__] = ACTIONS(525),
    [anon_sym___SUB__] = ACTIONS(525),
    [anon_sym_break] = ACTIONS(525),
    [anon_sym_fork] = ACTIONS(525),
    [anon_sym_getppid] = ACTIONS(525),
    [anon_sym_time] = ACTIONS(525),
    [anon_sym_times] = ACTIONS(525),
    [anon_sym_wait] = ACTIONS(525),
    [anon_sym_wantarray] = ACTIONS(525),
    [anon_sym_abs] = ACTIONS(557),
    [anon_sym_alarm] = ACTIONS(557),
    [anon_sym_chop] = ACTIONS(557),
    [anon_sym_chdir] = ACTIONS(557),
    [anon_sym_close] = ACTIONS(557),
    [anon_sym_closedir] = ACTIONS(557),
    [anon_sym_caller] = ACTIONS(557),
    [anon_sym_chomp] = ACTIONS(557),
    [anon_sym_chr] = ACTIONS(557),
    [anon_sym_cos] = ACTIONS(557),
    [anon_sym_chroot] = ACTIONS(557),
    [anon_sym_defined] = ACTIONS(557),
    [anon_sym_delete] = ACTIONS(557),
    [anon_sym_dbmclose] = ACTIONS(557),
    [anon_sym_exists] = ACTIONS(557),
    [anon_sym_exit] = ACTIONS(557),
    [anon_sym_eof] = ACTIONS(557),
    [anon_sym_exp] = ACTIONS(557),
    [anon_sym_each] = ACTIONS(557),
    [anon_sym_fc] = ACTIONS(557),
    [anon_sym_fileno] = ACTIONS(557),
    [anon_sym_gmtime] = ACTIONS(557),
    [anon_sym_getc] = ACTIONS(557),
    [anon_sym_getpgrp] = ACTIONS(557),
    [anon_sym_getprotobyname] = ACTIONS(557),
    [anon_sym_getpwname] = ACTIONS(557),
    [anon_sym_getpwuid] = ACTIONS(557),
    [anon_sym_getpeername] = ACTIONS(557),
    [anon_sym_getnetbyname] = ACTIONS(557),
    [anon_sym_getsockname] = ACTIONS(557),
    [anon_sym_getgrnam] = ACTIONS(557),
    [anon_sym_getgrgid] = ACTIONS(557),
    [anon_sym_hex] = ACTIONS(557),
    [anon_sym_int] = ACTIONS(557),
    [anon_sym_keys] = ACTIONS(557),
    [anon_sym_lc] = ACTIONS(557),
    [anon_sym_lcfirst] = ACTIONS(557),
    [anon_sym_length] = ACTIONS(557),
    [anon_sym_localtime] = ACTIONS(557),
    [anon_sym_log] = ACTIONS(557),
    [anon_sym_lock] = ACTIONS(557),
    [anon_sym_lstat] = ACTIONS(557),
    [anon_sym_oct] = ACTIONS(557),
    [anon_sym_ord] = ACTIONS(557),
    [anon_sym_prototype] = ACTIONS(557),
    [anon_sym_pop] = ACTIONS(557),
    [anon_sym_pos] = ACTIONS(557),
    [anon_sym_quotemeta] = ACTIONS(557),
    [anon_sym_reset] = ACTIONS(557),
    [anon_sym_rand] = ACTIONS(557),
    [anon_sym_rmdir] = ACTIONS(557),
    [anon_sym_readdir] = ACTIONS(557),
    [anon_sym_readline] = ACTIONS(557),
    [anon_sym_readpipe] = ACTIONS(557),
    [anon_sym_rewinddir] = ACTIONS(557),
    [anon_sym_readlink] = ACTIONS(557),
    [anon_sym_ref] = ACTIONS(557),
    [anon_sym_scalar] = ACTIONS(557),
    [anon_sym_shift] = ACTIONS(557),
    [anon_sym_sin] = ACTIONS(557),
    [anon_sym_sleep] = ACTIONS(557),
    [anon_sym_sqrt] = ACTIONS(557),
    [anon_sym_srand] = ACTIONS(557),
    [anon_sym_stat] = ACTIONS(557),
    [anon_sym_study] = ACTIONS(557),
    [anon_sym_tell] = ACTIONS(557),
    [anon_sym_telldir] = ACTIONS(557),
    [anon_sym_tied] = ACTIONS(557),
    [anon_sym_uc] = ACTIONS(557),
    [anon_sym_ucfirst] = ACTIONS(557),
    [anon_sym_untie] = ACTIONS(557),
    [anon_sym_umask] = ACTIONS(557),
    [anon_sym_values] = ACTIONS(557),
    [anon_sym_write] = ACTIONS(557),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(559),
    [anon_sym_qq] = ACTIONS(561),
    [anon_sym_qw] = ACTIONS(563),
    [anon_sym_qx] = ACTIONS(565),
    [anon_sym_qr] = ACTIONS(567),
    [anon_sym_m] = ACTIONS(569),
    [anon_sym_s] = ACTIONS(571),
    [anon_sym_tr] = ACTIONS(573),
    [anon_sym_y] = ACTIONS(573),
    [aux_sym__bareword_token1] = ACTIONS(575),
    [sym_number] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(581),
    [sym__open_fileglob_bracket] = ACTIONS(583),
    [sym__PERLY_HEREDOC] = ACTIONS(585),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(587),
    [sym__filetest] = ACTIONS(589),
  },
  [647] = {
    [sym__PERLY_BRACE_OPEN] = STATE(235),
    [sym__subscripted] = STATE(1532),
    [sym_container_variable] = STATE(3855),
    [sym_array_element_expression] = STATE(1533),
    [sym_hash_element_expression] = STATE(1533),
    [sym_coderef_call_expression] = STATE(1533),
    [sym_anonymous_slice_expression] = STATE(1533),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(1967),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(1967),
    [sym__term] = STATE(1932),
    [sym_readline_expression] = STATE(1967),
    [sym_fileglob_expression] = STATE(1967),
    [sym_assignment_expression] = STATE(1967),
    [sym_binary_expression] = STATE(1967),
    [sym_equality_expression] = STATE(1967),
    [sym_relational_expression] = STATE(1967),
    [sym_unary_expression] = STATE(1967),
    [sym_preinc_expression] = STATE(1967),
    [sym_postinc_expression] = STATE(1967),
    [sym_conditional_expression] = STATE(1967),
    [sym_refgen_expression] = STATE(1967),
    [sym_anonymous_array_expression] = STATE(1967),
    [sym_anonymous_hash_expression] = STATE(1967),
    [sym_anonymous_subroutine_expression] = STATE(1967),
    [sym_anonymous_method_expression] = STATE(1967),
    [sym_do_expression] = STATE(1967),
    [sym_eval_expression] = STATE(1967),
    [sym_await_expression] = STATE(1967),
    [sym_variable_declaration] = STATE(1967),
    [sym_localization_expression] = STATE(1967),
    [sym_stub_expression] = STATE(1967),
    [sym_scalar_deref_expression] = STATE(1967),
    [sym_array_deref_expression] = STATE(1967),
    [sym_arraylen_deref_expression] = STATE(1967),
    [sym_hash_deref_expression] = STATE(1967),
    [sym_amper_deref_expression] = STATE(1967),
    [sym_glob_deref_expression] = STATE(1967),
    [sym_require_expression] = STATE(1967),
    [sym_require_version_expression] = STATE(1967),
    [sym_func0op_call_expression] = STATE(1967),
    [sym_func1op_call_expression] = STATE(1967),
    [sym_map_grep_expression] = STATE(1967),
    [sym_sort_expression] = STATE(1967),
    [sym_loopex_expression] = STATE(1967),
    [sym_goto_expression] = STATE(1967),
    [sym_return_expression] = STATE(1967),
    [sym_undef_expression] = STATE(1967),
    [sym__listop] = STATE(1967),
    [sym_function_call_expression] = STATE(1968),
    [sym_ambiguous_function_call_expression] = STATE(1968),
    [sym_function] = STATE(389),
    [sym_method_call_expression] = STATE(1968),
    [sym_scalar] = STATE(1967),
    [sym_array] = STATE(1967),
    [sym__SUB_AMPER] = STATE(2686),
    [sym__GLOB_STAR] = STATE(2687),
    [sym_hash] = STATE(1967),
    [sym_arraylen] = STATE(1967),
    [sym_amper_sub] = STATE(1785),
    [sym_glob] = STATE(1786),
    [sym_glob_slot_expression] = STATE(1967),
    [sym__literal] = STATE(1967),
    [sym__apostrophe] = STATE(3328),
    [sym__quotation_mark] = STATE(2501),
    [sym__backtick] = STATE(2502),
    [sym__search_slash] = STATE(2454),
    [sym_string_literal] = STATE(1969),
    [sym_interpolated_string_literal] = STATE(1969),
    [sym_quoted_word_list] = STATE(1787),
    [sym_command_string] = STATE(1969),
    [sym_quoted_regexp] = STATE(1969),
    [sym_match_regexp] = STATE(1969),
    [sym_substitution_regexp] = STATE(1969),
    [sym_transliteration_expression] = STATE(1969),
    [sym_heredoc_token] = STATE(1967),
    [sym_command_heredoc_token] = STATE(1967),
    [sym_heredoc_content] = STATE(647),
    [sym_autoquoted_bareword] = STATE(1967),
    [sym_bareword] = STATE(1967),
    [sym_primitive] = STATE(1967),
    [sym_boolean] = STATE(1965),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3342),
    [sym__identifier] = ACTIONS(575),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1752),
    [anon_sym_AT] = ACTIONS(1671),
    [anon_sym_my] = ACTIONS(517),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(519),
    [anon_sym_method] = ACTIONS(521),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_continue] = ACTIONS(525),
    [anon_sym_state] = ACTIONS(517),
    [anon_sym_our] = ACTIONS(517),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_LT_LT] = ACTIONS(1673),
    [anon_sym_SLASH_SLASH] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(1677),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_PLUS_PLUS] = ACTIONS(1679),
    [anon_sym_DASH_DASH] = ACTIONS(1679),
    [anon_sym_BSLASH] = ACTIONS(531),
    [anon_sym_do] = ACTIONS(533),
    [anon_sym_eval] = ACTIONS(535),
    [anon_sym_await] = ACTIONS(537),
    [anon_sym_field] = ACTIONS(517),
    [anon_sym_local] = ACTIONS(539),
    [anon_sym_dynamically] = ACTIONS(539),
    [anon_sym_DOLLAR_POUND] = ACTIONS(541),
    [anon_sym_require] = ACTIONS(543),
    [anon_sym_map] = ACTIONS(545),
    [anon_sym_grep] = ACTIONS(545),
    [anon_sym_sort] = ACTIONS(547),
    [anon_sym_goto] = ACTIONS(549),
    [anon_sym_return] = ACTIONS(551),
    [anon_sym_undef] = ACTIONS(553),
    [anon_sym_PERCENT2] = ACTIONS(1681),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(555),
    [anon_sym_next] = ACTIONS(555),
    [anon_sym_redo] = ACTIONS(555),
    [anon_sym___FILE__] = ACTIONS(525),
    [anon_sym___LINE__] = ACTIONS(525),
    [anon_sym___PACKAGE__] = ACTIONS(525),
    [anon_sym___SUB__] = ACTIONS(525),
    [anon_sym_break] = ACTIONS(525),
    [anon_sym_fork] = ACTIONS(525),
    [anon_sym_getppid] = ACTIONS(525),
    [anon_sym_time] = ACTIONS(525),
    [anon_sym_times] = ACTIONS(525),
    [anon_sym_wait] = ACTIONS(525),
    [anon_sym_wantarray] = ACTIONS(525),
    [anon_sym_abs] = ACTIONS(557),
    [anon_sym_alarm] = ACTIONS(557),
    [anon_sym_chop] = ACTIONS(557),
    [anon_sym_chdir] = ACTIONS(557),
    [anon_sym_close] = ACTIONS(557),
    [anon_sym_closedir] = ACTIONS(557),
    [anon_sym_caller] = ACTIONS(557),
    [anon_sym_chomp] = ACTIONS(557),
    [anon_sym_chr] = ACTIONS(557),
    [anon_sym_cos] = ACTIONS(557),
    [anon_sym_chroot] = ACTIONS(557),
    [anon_sym_defined] = ACTIONS(557),
    [anon_sym_delete] = ACTIONS(557),
    [anon_sym_dbmclose] = ACTIONS(557),
    [anon_sym_exists] = ACTIONS(557),
    [anon_sym_exit] = ACTIONS(557),
    [anon_sym_eof] = ACTIONS(557),
    [anon_sym_exp] = ACTIONS(557),
    [anon_sym_each] = ACTIONS(557),
    [anon_sym_fc] = ACTIONS(557),
    [anon_sym_fileno] = ACTIONS(557),
    [anon_sym_gmtime] = ACTIONS(557),
    [anon_sym_getc] = ACTIONS(557),
    [anon_sym_getpgrp] = ACTIONS(557),
    [anon_sym_getprotobyname] = ACTIONS(557),
    [anon_sym_getpwname] = ACTIONS(557),
    [anon_sym_getpwuid] = ACTIONS(557),
    [anon_sym_getpeername] = ACTIONS(557),
    [anon_sym_getnetbyname] = ACTIONS(557),
    [anon_sym_getsockname] = ACTIONS(557),
    [anon_sym_getgrnam] = ACTIONS(557),
    [anon_sym_getgrgid] = ACTIONS(557),
    [anon_sym_hex] = ACTIONS(557),
    [anon_sym_int] = ACTIONS(557),
    [anon_sym_keys] = ACTIONS(557),
    [anon_sym_lc] = ACTIONS(557),
    [anon_sym_lcfirst] = ACTIONS(557),
    [anon_sym_length] = ACTIONS(557),
    [anon_sym_localtime] = ACTIONS(557),
    [anon_sym_log] = ACTIONS(557),
    [anon_sym_lock] = ACTIONS(557),
    [anon_sym_lstat] = ACTIONS(557),
    [anon_sym_oct] = ACTIONS(557),
    [anon_sym_ord] = ACTIONS(557),
    [anon_sym_prototype] = ACTIONS(557),
    [anon_sym_pop] = ACTIONS(557),
    [anon_sym_pos] = ACTIONS(557),
    [anon_sym_quotemeta] = ACTIONS(557),
    [anon_sym_reset] = ACTIONS(557),
    [anon_sym_rand] = ACTIONS(557),
    [anon_sym_rmdir] = ACTIONS(557),
    [anon_sym_readdir] = ACTIONS(557),
    [anon_sym_readline] = ACTIONS(557),
    [anon_sym_readpipe] = ACTIONS(557),
    [anon_sym_rewinddir] = ACTIONS(557),
    [anon_sym_readlink] = ACTIONS(557),
    [anon_sym_ref] = ACTIONS(557),
    [anon_sym_scalar] = ACTIONS(557),
    [anon_sym_shift] = ACTIONS(557),
    [anon_sym_sin] = ACTIONS(557),
    [anon_sym_sleep] = ACTIONS(557),
    [anon_sym_sqrt] = ACTIONS(557),
    [anon_sym_srand] = ACTIONS(557),
    [anon_sym_stat] = ACTIONS(557),
    [anon_sym_study] = ACTIONS(557),
    [anon_sym_tell] = ACTIONS(557),
    [anon_sym_telldir] = ACTIONS(557),
    [anon_sym_tied] = ACTIONS(557),
    [anon_sym_uc] = ACTIONS(557),
    [anon_sym_ucfirst] = ACTIONS(557),
    [anon_sym_untie] = ACTIONS(557),
    [anon_sym_umask] = ACTIONS(557),
    [anon_sym_values] = ACTIONS(557),
    [anon_sym_write] = ACTIONS(557),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(559),
    [anon_sym_qq] = ACTIONS(561),
    [anon_sym_qw] = ACTIONS(563),
    [anon_sym_qx] = ACTIONS(565),
    [anon_sym_qr] = ACTIONS(567),
    [anon_sym_m] = ACTIONS(569),
    [anon_sym_s] = ACTIONS(571),
    [anon_sym_tr] = ACTIONS(573),
    [anon_sym_y] = ACTIONS(573),
    [aux_sym__bareword_token1] = ACTIONS(575),
    [sym_number] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(581),
    [sym__open_fileglob_bracket] = ACTIONS(583),
    [sym__PERLY_HEREDOC] = ACTIONS(585),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(587),
    [sym__filetest] = ACTIONS(589),
  },
  [648] = {
    [sym__PERLY_BRACE_OPEN] = STATE(237),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1467),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(648),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(243),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(243),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(245),
  },
  [649] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1703),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(649),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [650] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1703),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(650),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(1818),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(1818),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1820),
    [sym__filetest] = ACTIONS(345),
  },
  [651] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1751),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(651),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [652] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1752),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1579),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(652),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [653] = {
    [sym__PERLY_BRACE_OPEN] = STATE(238),
    [sym__subscripted] = STATE(1915),
    [sym_container_variable] = STATE(3851),
    [sym_array_element_expression] = STATE(1916),
    [sym_hash_element_expression] = STATE(1916),
    [sym_coderef_call_expression] = STATE(1916),
    [sym_anonymous_slice_expression] = STATE(1916),
    [sym_slice_container_variable] = STATE(3852),
    [sym_slice_expression] = STATE(2342),
    [sym_keyval_container_variable] = STATE(3853),
    [sym_keyval_expression] = STATE(2342),
    [sym__term] = STATE(2248),
    [sym_readline_expression] = STATE(2342),
    [sym_fileglob_expression] = STATE(2342),
    [sym_assignment_expression] = STATE(2342),
    [sym_binary_expression] = STATE(2342),
    [sym_equality_expression] = STATE(2342),
    [sym_relational_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2342),
    [sym_preinc_expression] = STATE(2342),
    [sym_postinc_expression] = STATE(2342),
    [sym_conditional_expression] = STATE(2342),
    [sym_refgen_expression] = STATE(2342),
    [sym_anonymous_array_expression] = STATE(2342),
    [sym_anonymous_hash_expression] = STATE(2342),
    [sym_anonymous_subroutine_expression] = STATE(2342),
    [sym_anonymous_method_expression] = STATE(2342),
    [sym_do_expression] = STATE(2342),
    [sym_eval_expression] = STATE(2342),
    [sym_await_expression] = STATE(2342),
    [sym_variable_declaration] = STATE(2342),
    [sym_localization_expression] = STATE(2342),
    [sym_stub_expression] = STATE(2342),
    [sym_scalar_deref_expression] = STATE(2342),
    [sym_array_deref_expression] = STATE(2342),
    [sym_arraylen_deref_expression] = STATE(2342),
    [sym_hash_deref_expression] = STATE(2342),
    [sym_amper_deref_expression] = STATE(2342),
    [sym_glob_deref_expression] = STATE(2342),
    [sym_require_expression] = STATE(2342),
    [sym_require_version_expression] = STATE(2342),
    [sym_func0op_call_expression] = STATE(2342),
    [sym_func1op_call_expression] = STATE(2342),
    [sym_map_grep_expression] = STATE(2342),
    [sym_sort_expression] = STATE(2342),
    [sym_loopex_expression] = STATE(2342),
    [sym_goto_expression] = STATE(2342),
    [sym_return_expression] = STATE(2342),
    [sym_undef_expression] = STATE(2342),
    [sym__listop] = STATE(2342),
    [sym_function_call_expression] = STATE(2343),
    [sym_ambiguous_function_call_expression] = STATE(2343),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(2343),
    [sym_scalar] = STATE(2342),
    [sym_array] = STATE(2342),
    [sym__SUB_AMPER] = STATE(2739),
    [sym__GLOB_STAR] = STATE(2741),
    [sym_hash] = STATE(2342),
    [sym_arraylen] = STATE(2342),
    [sym_amper_sub] = STATE(2181),
    [sym_glob] = STATE(2183),
    [sym_glob_slot_expression] = STATE(2342),
    [sym__literal] = STATE(2342),
    [sym__apostrophe] = STATE(3277),
    [sym__quotation_mark] = STATE(2481),
    [sym__backtick] = STATE(2482),
    [sym__search_slash] = STATE(2447),
    [sym_string_literal] = STATE(2353),
    [sym_interpolated_string_literal] = STATE(2353),
    [sym_quoted_word_list] = STATE(2193),
    [sym_command_string] = STATE(2353),
    [sym_quoted_regexp] = STATE(2353),
    [sym_match_regexp] = STATE(2353),
    [sym_substitution_regexp] = STATE(2353),
    [sym_transliteration_expression] = STATE(2353),
    [sym_heredoc_token] = STATE(2342),
    [sym_command_heredoc_token] = STATE(2342),
    [sym_heredoc_content] = STATE(653),
    [sym_autoquoted_bareword] = STATE(2342),
    [sym_bareword] = STATE(2342),
    [sym_primitive] = STATE(2342),
    [sym_boolean] = STATE(2323),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3366),
    [sym__identifier] = ACTIONS(1072),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1008),
    [anon_sym_AT] = ACTIONS(1010),
    [anon_sym_my] = ACTIONS(1012),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(1014),
    [anon_sym_method] = ACTIONS(1016),
    [anon_sym_LPAREN] = ACTIONS(1018),
    [anon_sym_continue] = ACTIONS(1020),
    [anon_sym_state] = ACTIONS(1012),
    [anon_sym_our] = ACTIONS(1012),
    [anon_sym_LBRACK] = ACTIONS(1022),
    [anon_sym_LT_LT] = ACTIONS(1523),
    [anon_sym_SLASH_SLASH] = ACTIONS(1525),
    [anon_sym_PLUS] = ACTIONS(1024),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_TILDE] = ACTIONS(1024),
    [anon_sym_BANG] = ACTIONS(1024),
    [anon_sym_PLUS_PLUS] = ACTIONS(1529),
    [anon_sym_DASH_DASH] = ACTIONS(1529),
    [anon_sym_BSLASH] = ACTIONS(1026),
    [anon_sym_do] = ACTIONS(1028),
    [anon_sym_eval] = ACTIONS(1030),
    [anon_sym_await] = ACTIONS(1032),
    [anon_sym_field] = ACTIONS(1012),
    [anon_sym_local] = ACTIONS(1034),
    [anon_sym_dynamically] = ACTIONS(1034),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1036),
    [anon_sym_require] = ACTIONS(1038),
    [anon_sym_map] = ACTIONS(1040),
    [anon_sym_grep] = ACTIONS(1040),
    [anon_sym_sort] = ACTIONS(1042),
    [anon_sym_goto] = ACTIONS(1044),
    [anon_sym_return] = ACTIONS(1046),
    [anon_sym_undef] = ACTIONS(1048),
    [anon_sym_PERCENT2] = ACTIONS(1050),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1052),
    [anon_sym_next] = ACTIONS(1052),
    [anon_sym_redo] = ACTIONS(1052),
    [anon_sym___FILE__] = ACTIONS(1020),
    [anon_sym___LINE__] = ACTIONS(1020),
    [anon_sym___PACKAGE__] = ACTIONS(1020),
    [anon_sym___SUB__] = ACTIONS(1020),
    [anon_sym_break] = ACTIONS(1020),
    [anon_sym_fork] = ACTIONS(1020),
    [anon_sym_getppid] = ACTIONS(1020),
    [anon_sym_time] = ACTIONS(1020),
    [anon_sym_times] = ACTIONS(1020),
    [anon_sym_wait] = ACTIONS(1020),
    [anon_sym_wantarray] = ACTIONS(1020),
    [anon_sym_abs] = ACTIONS(1054),
    [anon_sym_alarm] = ACTIONS(1054),
    [anon_sym_chop] = ACTIONS(1054),
    [anon_sym_chdir] = ACTIONS(1054),
    [anon_sym_close] = ACTIONS(1054),
    [anon_sym_closedir] = ACTIONS(1054),
    [anon_sym_caller] = ACTIONS(1054),
    [anon_sym_chomp] = ACTIONS(1054),
    [anon_sym_chr] = ACTIONS(1054),
    [anon_sym_cos] = ACTIONS(1054),
    [anon_sym_chroot] = ACTIONS(1054),
    [anon_sym_defined] = ACTIONS(1054),
    [anon_sym_delete] = ACTIONS(1054),
    [anon_sym_dbmclose] = ACTIONS(1054),
    [anon_sym_exists] = ACTIONS(1054),
    [anon_sym_exit] = ACTIONS(1054),
    [anon_sym_eof] = ACTIONS(1054),
    [anon_sym_exp] = ACTIONS(1054),
    [anon_sym_each] = ACTIONS(1054),
    [anon_sym_fc] = ACTIONS(1054),
    [anon_sym_fileno] = ACTIONS(1054),
    [anon_sym_gmtime] = ACTIONS(1054),
    [anon_sym_getc] = ACTIONS(1054),
    [anon_sym_getpgrp] = ACTIONS(1054),
    [anon_sym_getprotobyname] = ACTIONS(1054),
    [anon_sym_getpwname] = ACTIONS(1054),
    [anon_sym_getpwuid] = ACTIONS(1054),
    [anon_sym_getpeername] = ACTIONS(1054),
    [anon_sym_getnetbyname] = ACTIONS(1054),
    [anon_sym_getsockname] = ACTIONS(1054),
    [anon_sym_getgrnam] = ACTIONS(1054),
    [anon_sym_getgrgid] = ACTIONS(1054),
    [anon_sym_hex] = ACTIONS(1054),
    [anon_sym_int] = ACTIONS(1054),
    [anon_sym_keys] = ACTIONS(1054),
    [anon_sym_lc] = ACTIONS(1054),
    [anon_sym_lcfirst] = ACTIONS(1054),
    [anon_sym_length] = ACTIONS(1054),
    [anon_sym_localtime] = ACTIONS(1054),
    [anon_sym_log] = ACTIONS(1054),
    [anon_sym_lock] = ACTIONS(1054),
    [anon_sym_lstat] = ACTIONS(1054),
    [anon_sym_oct] = ACTIONS(1054),
    [anon_sym_ord] = ACTIONS(1054),
    [anon_sym_prototype] = ACTIONS(1054),
    [anon_sym_pop] = ACTIONS(1054),
    [anon_sym_pos] = ACTIONS(1054),
    [anon_sym_quotemeta] = ACTIONS(1054),
    [anon_sym_reset] = ACTIONS(1054),
    [anon_sym_rand] = ACTIONS(1054),
    [anon_sym_rmdir] = ACTIONS(1054),
    [anon_sym_readdir] = ACTIONS(1054),
    [anon_sym_readline] = ACTIONS(1054),
    [anon_sym_readpipe] = ACTIONS(1054),
    [anon_sym_rewinddir] = ACTIONS(1054),
    [anon_sym_readlink] = ACTIONS(1054),
    [anon_sym_ref] = ACTIONS(1054),
    [anon_sym_scalar] = ACTIONS(1054),
    [anon_sym_shift] = ACTIONS(1054),
    [anon_sym_sin] = ACTIONS(1054),
    [anon_sym_sleep] = ACTIONS(1054),
    [anon_sym_sqrt] = ACTIONS(1054),
    [anon_sym_srand] = ACTIONS(1054),
    [anon_sym_stat] = ACTIONS(1054),
    [anon_sym_study] = ACTIONS(1054),
    [anon_sym_tell] = ACTIONS(1054),
    [anon_sym_telldir] = ACTIONS(1054),
    [anon_sym_tied] = ACTIONS(1054),
    [anon_sym_uc] = ACTIONS(1054),
    [anon_sym_ucfirst] = ACTIONS(1054),
    [anon_sym_untie] = ACTIONS(1054),
    [anon_sym_umask] = ACTIONS(1054),
    [anon_sym_values] = ACTIONS(1054),
    [anon_sym_write] = ACTIONS(1054),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1056),
    [anon_sym_qq] = ACTIONS(1058),
    [anon_sym_qw] = ACTIONS(1060),
    [anon_sym_qx] = ACTIONS(1062),
    [anon_sym_qr] = ACTIONS(1064),
    [anon_sym_m] = ACTIONS(1066),
    [anon_sym_s] = ACTIONS(1068),
    [anon_sym_tr] = ACTIONS(1070),
    [anon_sym_y] = ACTIONS(1070),
    [aux_sym__bareword_token1] = ACTIONS(1072),
    [sym_number] = ACTIONS(1074),
    [anon_sym_true] = ACTIONS(1076),
    [anon_sym_false] = ACTIONS(1076),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(1078),
    [sym__open_fileglob_bracket] = ACTIONS(1080),
    [sym__PERLY_HEREDOC] = ACTIONS(1082),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1084),
    [sym__filetest] = ACTIONS(1086),
  },
  [654] = {
    [sym__PERLY_BRACE_OPEN] = STATE(237),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1344),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(654),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [655] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1760),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(655),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [656] = {
    [sym__PERLY_BRACE_OPEN] = STATE(237),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1481),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(656),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(243),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(243),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(245),
  },
  [657] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1763),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(657),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [658] = {
    [sym__PERLY_BRACE_OPEN] = STATE(237),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1481),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(658),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(1822),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(1822),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1816),
    [sym__filetest] = ACTIONS(245),
  },
  [659] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2426),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(394),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(659),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1695),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1697),
    [anon_sym_DASH_DASH] = ACTIONS(1697),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(1222),
  },
  [660] = {
    [sym__PERLY_BRACE_OPEN] = STATE(237),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1352),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(660),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(243),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(243),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(245),
  },
  [661] = {
    [sym__PERLY_BRACE_OPEN] = STATE(235),
    [sym__subscripted] = STATE(1532),
    [sym_container_variable] = STATE(3855),
    [sym_array_element_expression] = STATE(1533),
    [sym_hash_element_expression] = STATE(1533),
    [sym_coderef_call_expression] = STATE(1533),
    [sym_anonymous_slice_expression] = STATE(1533),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(1967),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(1967),
    [sym__term] = STATE(1935),
    [sym_readline_expression] = STATE(1967),
    [sym_fileglob_expression] = STATE(1967),
    [sym_assignment_expression] = STATE(1967),
    [sym_binary_expression] = STATE(1967),
    [sym_equality_expression] = STATE(1967),
    [sym_relational_expression] = STATE(1967),
    [sym_unary_expression] = STATE(1967),
    [sym_preinc_expression] = STATE(1967),
    [sym_postinc_expression] = STATE(1967),
    [sym_conditional_expression] = STATE(1967),
    [sym_refgen_expression] = STATE(1967),
    [sym_anonymous_array_expression] = STATE(1967),
    [sym_anonymous_hash_expression] = STATE(1967),
    [sym_anonymous_subroutine_expression] = STATE(1967),
    [sym_anonymous_method_expression] = STATE(1967),
    [sym_do_expression] = STATE(1967),
    [sym_eval_expression] = STATE(1967),
    [sym_await_expression] = STATE(1967),
    [sym_variable_declaration] = STATE(1967),
    [sym_localization_expression] = STATE(1967),
    [sym_stub_expression] = STATE(1967),
    [sym_scalar_deref_expression] = STATE(1967),
    [sym_array_deref_expression] = STATE(1967),
    [sym_arraylen_deref_expression] = STATE(1967),
    [sym_hash_deref_expression] = STATE(1967),
    [sym_amper_deref_expression] = STATE(1967),
    [sym_glob_deref_expression] = STATE(1967),
    [sym_require_expression] = STATE(1967),
    [sym_require_version_expression] = STATE(1967),
    [sym_func0op_call_expression] = STATE(1967),
    [sym_func1op_call_expression] = STATE(1967),
    [sym_map_grep_expression] = STATE(1967),
    [sym_sort_expression] = STATE(1967),
    [sym_loopex_expression] = STATE(1967),
    [sym_goto_expression] = STATE(1967),
    [sym_return_expression] = STATE(1967),
    [sym_undef_expression] = STATE(1967),
    [sym__listop] = STATE(1967),
    [sym_function_call_expression] = STATE(1968),
    [sym_ambiguous_function_call_expression] = STATE(1968),
    [sym_function] = STATE(389),
    [sym_method_call_expression] = STATE(1968),
    [sym_scalar] = STATE(1967),
    [sym_array] = STATE(1967),
    [sym__SUB_AMPER] = STATE(2686),
    [sym__GLOB_STAR] = STATE(2687),
    [sym_hash] = STATE(1967),
    [sym_arraylen] = STATE(1967),
    [sym_amper_sub] = STATE(1785),
    [sym_glob] = STATE(1786),
    [sym_glob_slot_expression] = STATE(1967),
    [sym__literal] = STATE(1967),
    [sym__apostrophe] = STATE(3328),
    [sym__quotation_mark] = STATE(2501),
    [sym__backtick] = STATE(2502),
    [sym__search_slash] = STATE(2454),
    [sym_string_literal] = STATE(1969),
    [sym_interpolated_string_literal] = STATE(1969),
    [sym_quoted_word_list] = STATE(1787),
    [sym_command_string] = STATE(1969),
    [sym_quoted_regexp] = STATE(1969),
    [sym_match_regexp] = STATE(1969),
    [sym_substitution_regexp] = STATE(1969),
    [sym_transliteration_expression] = STATE(1969),
    [sym_heredoc_token] = STATE(1967),
    [sym_command_heredoc_token] = STATE(1967),
    [sym_heredoc_content] = STATE(661),
    [sym_autoquoted_bareword] = STATE(1967),
    [sym_bareword] = STATE(1967),
    [sym_primitive] = STATE(1967),
    [sym_boolean] = STATE(1965),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3342),
    [sym__identifier] = ACTIONS(575),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1752),
    [anon_sym_AT] = ACTIONS(1671),
    [anon_sym_my] = ACTIONS(517),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(519),
    [anon_sym_method] = ACTIONS(521),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_continue] = ACTIONS(525),
    [anon_sym_state] = ACTIONS(517),
    [anon_sym_our] = ACTIONS(517),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_LT_LT] = ACTIONS(1673),
    [anon_sym_SLASH_SLASH] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(1677),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_PLUS_PLUS] = ACTIONS(1679),
    [anon_sym_DASH_DASH] = ACTIONS(1679),
    [anon_sym_BSLASH] = ACTIONS(531),
    [anon_sym_do] = ACTIONS(533),
    [anon_sym_eval] = ACTIONS(535),
    [anon_sym_await] = ACTIONS(537),
    [anon_sym_field] = ACTIONS(517),
    [anon_sym_local] = ACTIONS(539),
    [anon_sym_dynamically] = ACTIONS(539),
    [anon_sym_DOLLAR_POUND] = ACTIONS(541),
    [anon_sym_require] = ACTIONS(543),
    [anon_sym_map] = ACTIONS(545),
    [anon_sym_grep] = ACTIONS(545),
    [anon_sym_sort] = ACTIONS(547),
    [anon_sym_goto] = ACTIONS(549),
    [anon_sym_return] = ACTIONS(551),
    [anon_sym_undef] = ACTIONS(553),
    [anon_sym_PERCENT2] = ACTIONS(1681),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(555),
    [anon_sym_next] = ACTIONS(555),
    [anon_sym_redo] = ACTIONS(555),
    [anon_sym___FILE__] = ACTIONS(525),
    [anon_sym___LINE__] = ACTIONS(525),
    [anon_sym___PACKAGE__] = ACTIONS(525),
    [anon_sym___SUB__] = ACTIONS(525),
    [anon_sym_break] = ACTIONS(525),
    [anon_sym_fork] = ACTIONS(525),
    [anon_sym_getppid] = ACTIONS(525),
    [anon_sym_time] = ACTIONS(525),
    [anon_sym_times] = ACTIONS(525),
    [anon_sym_wait] = ACTIONS(525),
    [anon_sym_wantarray] = ACTIONS(525),
    [anon_sym_abs] = ACTIONS(557),
    [anon_sym_alarm] = ACTIONS(557),
    [anon_sym_chop] = ACTIONS(557),
    [anon_sym_chdir] = ACTIONS(557),
    [anon_sym_close] = ACTIONS(557),
    [anon_sym_closedir] = ACTIONS(557),
    [anon_sym_caller] = ACTIONS(557),
    [anon_sym_chomp] = ACTIONS(557),
    [anon_sym_chr] = ACTIONS(557),
    [anon_sym_cos] = ACTIONS(557),
    [anon_sym_chroot] = ACTIONS(557),
    [anon_sym_defined] = ACTIONS(557),
    [anon_sym_delete] = ACTIONS(557),
    [anon_sym_dbmclose] = ACTIONS(557),
    [anon_sym_exists] = ACTIONS(557),
    [anon_sym_exit] = ACTIONS(557),
    [anon_sym_eof] = ACTIONS(557),
    [anon_sym_exp] = ACTIONS(557),
    [anon_sym_each] = ACTIONS(557),
    [anon_sym_fc] = ACTIONS(557),
    [anon_sym_fileno] = ACTIONS(557),
    [anon_sym_gmtime] = ACTIONS(557),
    [anon_sym_getc] = ACTIONS(557),
    [anon_sym_getpgrp] = ACTIONS(557),
    [anon_sym_getprotobyname] = ACTIONS(557),
    [anon_sym_getpwname] = ACTIONS(557),
    [anon_sym_getpwuid] = ACTIONS(557),
    [anon_sym_getpeername] = ACTIONS(557),
    [anon_sym_getnetbyname] = ACTIONS(557),
    [anon_sym_getsockname] = ACTIONS(557),
    [anon_sym_getgrnam] = ACTIONS(557),
    [anon_sym_getgrgid] = ACTIONS(557),
    [anon_sym_hex] = ACTIONS(557),
    [anon_sym_int] = ACTIONS(557),
    [anon_sym_keys] = ACTIONS(557),
    [anon_sym_lc] = ACTIONS(557),
    [anon_sym_lcfirst] = ACTIONS(557),
    [anon_sym_length] = ACTIONS(557),
    [anon_sym_localtime] = ACTIONS(557),
    [anon_sym_log] = ACTIONS(557),
    [anon_sym_lock] = ACTIONS(557),
    [anon_sym_lstat] = ACTIONS(557),
    [anon_sym_oct] = ACTIONS(557),
    [anon_sym_ord] = ACTIONS(557),
    [anon_sym_prototype] = ACTIONS(557),
    [anon_sym_pop] = ACTIONS(557),
    [anon_sym_pos] = ACTIONS(557),
    [anon_sym_quotemeta] = ACTIONS(557),
    [anon_sym_reset] = ACTIONS(557),
    [anon_sym_rand] = ACTIONS(557),
    [anon_sym_rmdir] = ACTIONS(557),
    [anon_sym_readdir] = ACTIONS(557),
    [anon_sym_readline] = ACTIONS(557),
    [anon_sym_readpipe] = ACTIONS(557),
    [anon_sym_rewinddir] = ACTIONS(557),
    [anon_sym_readlink] = ACTIONS(557),
    [anon_sym_ref] = ACTIONS(557),
    [anon_sym_scalar] = ACTIONS(557),
    [anon_sym_shift] = ACTIONS(557),
    [anon_sym_sin] = ACTIONS(557),
    [anon_sym_sleep] = ACTIONS(557),
    [anon_sym_sqrt] = ACTIONS(557),
    [anon_sym_srand] = ACTIONS(557),
    [anon_sym_stat] = ACTIONS(557),
    [anon_sym_study] = ACTIONS(557),
    [anon_sym_tell] = ACTIONS(557),
    [anon_sym_telldir] = ACTIONS(557),
    [anon_sym_tied] = ACTIONS(557),
    [anon_sym_uc] = ACTIONS(557),
    [anon_sym_ucfirst] = ACTIONS(557),
    [anon_sym_untie] = ACTIONS(557),
    [anon_sym_umask] = ACTIONS(557),
    [anon_sym_values] = ACTIONS(557),
    [anon_sym_write] = ACTIONS(557),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(559),
    [anon_sym_qq] = ACTIONS(561),
    [anon_sym_qw] = ACTIONS(563),
    [anon_sym_qx] = ACTIONS(565),
    [anon_sym_qr] = ACTIONS(567),
    [anon_sym_m] = ACTIONS(569),
    [anon_sym_s] = ACTIONS(571),
    [anon_sym_tr] = ACTIONS(573),
    [anon_sym_y] = ACTIONS(573),
    [aux_sym__bareword_token1] = ACTIONS(575),
    [sym_number] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(581),
    [sym__open_fileglob_bracket] = ACTIONS(583),
    [sym__PERLY_HEREDOC] = ACTIONS(585),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(587),
    [sym__filetest] = ACTIONS(589),
  },
  [662] = {
    [sym__PERLY_BRACE_OPEN] = STATE(237),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1353),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1246),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(662),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [663] = {
    [sym__PERLY_BRACE_OPEN] = STATE(237),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1482),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1246),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(663),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(243),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(243),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(245),
  },
  [664] = {
    [sym__PERLY_BRACE_OPEN] = STATE(237),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1452),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(664),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(243),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(243),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(245),
  },
  [665] = {
    [sym__PERLY_BRACE_OPEN] = STATE(237),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1485),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(665),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(243),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(243),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(245),
  },
  [666] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2423),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(394),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(666),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1695),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1697),
    [anon_sym_DASH_DASH] = ACTIONS(1697),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(1222),
  },
  [667] = {
    [sym__PERLY_BRACE_OPEN] = STATE(237),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1486),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(667),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(243),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(243),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(245),
  },
  [668] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1801),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(668),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [669] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1660),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(669),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [670] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1683),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(670),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [671] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1684),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(671),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [672] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1614),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(672),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [673] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1651),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(673),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [674] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1657),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(674),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [675] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1715),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(675),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [676] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1716),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(676),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [677] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1718),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(677),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [678] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1780),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(678),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [679] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1597),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(679),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [680] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__subscripted] = STATE(1479),
    [sym_container_variable] = STATE(3838),
    [sym_array_element_expression] = STATE(1491),
    [sym_hash_element_expression] = STATE(1491),
    [sym_coderef_call_expression] = STATE(1491),
    [sym_anonymous_slice_expression] = STATE(1491),
    [sym_slice_container_variable] = STATE(3839),
    [sym_slice_expression] = STATE(1699),
    [sym_keyval_container_variable] = STATE(3840),
    [sym_keyval_expression] = STATE(1699),
    [sym__term] = STATE(1612),
    [sym_readline_expression] = STATE(1699),
    [sym_fileglob_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_binary_expression] = STATE(1699),
    [sym_equality_expression] = STATE(1699),
    [sym_relational_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_preinc_expression] = STATE(1699),
    [sym_postinc_expression] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_refgen_expression] = STATE(1699),
    [sym_anonymous_array_expression] = STATE(1699),
    [sym_anonymous_hash_expression] = STATE(1699),
    [sym_anonymous_subroutine_expression] = STATE(1699),
    [sym_anonymous_method_expression] = STATE(1699),
    [sym_do_expression] = STATE(1699),
    [sym_eval_expression] = STATE(1699),
    [sym_await_expression] = STATE(1699),
    [sym_variable_declaration] = STATE(1699),
    [sym_localization_expression] = STATE(1699),
    [sym_stub_expression] = STATE(1699),
    [sym_scalar_deref_expression] = STATE(1699),
    [sym_array_deref_expression] = STATE(1699),
    [sym_arraylen_deref_expression] = STATE(1699),
    [sym_hash_deref_expression] = STATE(1699),
    [sym_amper_deref_expression] = STATE(1699),
    [sym_glob_deref_expression] = STATE(1699),
    [sym_require_expression] = STATE(1699),
    [sym_require_version_expression] = STATE(1699),
    [sym_func0op_call_expression] = STATE(1699),
    [sym_func1op_call_expression] = STATE(1699),
    [sym_map_grep_expression] = STATE(1699),
    [sym_sort_expression] = STATE(1699),
    [sym_loopex_expression] = STATE(1699),
    [sym_goto_expression] = STATE(1699),
    [sym_return_expression] = STATE(1699),
    [sym_undef_expression] = STATE(1699),
    [sym__listop] = STATE(1699),
    [sym_function_call_expression] = STATE(1720),
    [sym_ambiguous_function_call_expression] = STATE(1720),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1720),
    [sym_scalar] = STATE(1699),
    [sym_array] = STATE(1699),
    [sym__SUB_AMPER] = STATE(2682),
    [sym__GLOB_STAR] = STATE(2684),
    [sym_hash] = STATE(1699),
    [sym_arraylen] = STATE(1699),
    [sym_amper_sub] = STATE(1590),
    [sym_glob] = STATE(1592),
    [sym_glob_slot_expression] = STATE(1699),
    [sym__literal] = STATE(1699),
    [sym__apostrophe] = STATE(3186),
    [sym__quotation_mark] = STATE(2525),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1695),
    [sym_interpolated_string_literal] = STATE(1695),
    [sym_quoted_word_list] = STATE(1542),
    [sym_command_string] = STATE(1695),
    [sym_quoted_regexp] = STATE(1695),
    [sym_match_regexp] = STATE(1695),
    [sym_substitution_regexp] = STATE(1695),
    [sym_transliteration_expression] = STATE(1695),
    [sym_heredoc_token] = STATE(1699),
    [sym_command_heredoc_token] = STATE(1699),
    [sym_heredoc_content] = STATE(680),
    [sym_autoquoted_bareword] = STATE(1699),
    [sym_bareword] = STATE(1699),
    [sym_primitive] = STATE(1699),
    [sym_boolean] = STATE(1640),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3331),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [681] = {
    [sym__PERLY_BRACE_OPEN] = STATE(237),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1345),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(681),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [682] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2425),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(394),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(682),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1695),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1697),
    [anon_sym_DASH_DASH] = ACTIONS(1697),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(1222),
  },
  [683] = {
    [sym__PERLY_BRACE_OPEN] = STATE(237),
    [sym__subscripted] = STATE(1202),
    [sym_container_variable] = STATE(3816),
    [sym_array_element_expression] = STATE(1203),
    [sym_hash_element_expression] = STATE(1203),
    [sym_coderef_call_expression] = STATE(1203),
    [sym_anonymous_slice_expression] = STATE(1203),
    [sym_slice_container_variable] = STATE(3818),
    [sym_slice_expression] = STATE(1307),
    [sym_keyval_container_variable] = STATE(3827),
    [sym_keyval_expression] = STATE(1307),
    [sym__term] = STATE(1360),
    [sym_readline_expression] = STATE(1307),
    [sym_fileglob_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_relational_expression] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_preinc_expression] = STATE(1307),
    [sym_postinc_expression] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_refgen_expression] = STATE(1307),
    [sym_anonymous_array_expression] = STATE(1307),
    [sym_anonymous_hash_expression] = STATE(1307),
    [sym_anonymous_subroutine_expression] = STATE(1307),
    [sym_anonymous_method_expression] = STATE(1307),
    [sym_do_expression] = STATE(1307),
    [sym_eval_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_localization_expression] = STATE(1307),
    [sym_stub_expression] = STATE(1307),
    [sym_scalar_deref_expression] = STATE(1307),
    [sym_array_deref_expression] = STATE(1307),
    [sym_arraylen_deref_expression] = STATE(1307),
    [sym_hash_deref_expression] = STATE(1307),
    [sym_amper_deref_expression] = STATE(1307),
    [sym_glob_deref_expression] = STATE(1307),
    [sym_require_expression] = STATE(1307),
    [sym_require_version_expression] = STATE(1307),
    [sym_func0op_call_expression] = STATE(1307),
    [sym_func1op_call_expression] = STATE(1307),
    [sym_map_grep_expression] = STATE(1307),
    [sym_sort_expression] = STATE(1307),
    [sym_loopex_expression] = STATE(1307),
    [sym_goto_expression] = STATE(1307),
    [sym_return_expression] = STATE(1307),
    [sym_undef_expression] = STATE(1307),
    [sym__listop] = STATE(1307),
    [sym_function_call_expression] = STATE(1316),
    [sym_ambiguous_function_call_expression] = STATE(1316),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1316),
    [sym_scalar] = STATE(1307),
    [sym_array] = STATE(1307),
    [sym__SUB_AMPER] = STATE(2751),
    [sym__GLOB_STAR] = STATE(2755),
    [sym_hash] = STATE(1307),
    [sym_arraylen] = STATE(1307),
    [sym_amper_sub] = STATE(1244),
    [sym_glob] = STATE(1245),
    [sym_glob_slot_expression] = STATE(1307),
    [sym__literal] = STATE(1307),
    [sym__apostrophe] = STATE(3224),
    [sym__quotation_mark] = STATE(2479),
    [sym__backtick] = STATE(2480),
    [sym__search_slash] = STATE(2448),
    [sym_string_literal] = STATE(1347),
    [sym_interpolated_string_literal] = STATE(1347),
    [sym_quoted_word_list] = STATE(1274),
    [sym_command_string] = STATE(1347),
    [sym_quoted_regexp] = STATE(1347),
    [sym_match_regexp] = STATE(1347),
    [sym_substitution_regexp] = STATE(1347),
    [sym_transliteration_expression] = STATE(1347),
    [sym_heredoc_token] = STATE(1307),
    [sym_command_heredoc_token] = STATE(1307),
    [sym_heredoc_content] = STATE(683),
    [sym_autoquoted_bareword] = STATE(1307),
    [sym_bareword] = STATE(1307),
    [sym_primitive] = STATE(1307),
    [sym_boolean] = STATE(1294),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [684] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__subscripted] = STATE(1749),
    [sym_container_variable] = STATE(3845),
    [sym_array_element_expression] = STATE(1750),
    [sym_hash_element_expression] = STATE(1750),
    [sym_coderef_call_expression] = STATE(1750),
    [sym_anonymous_slice_expression] = STATE(1750),
    [sym_slice_container_variable] = STATE(3846),
    [sym_slice_expression] = STATE(2140),
    [sym_keyval_container_variable] = STATE(3847),
    [sym_keyval_expression] = STATE(2140),
    [sym__term] = STATE(2321),
    [sym_readline_expression] = STATE(2140),
    [sym_fileglob_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(2140),
    [sym_binary_expression] = STATE(2140),
    [sym_equality_expression] = STATE(2140),
    [sym_relational_expression] = STATE(2140),
    [sym_unary_expression] = STATE(2140),
    [sym_preinc_expression] = STATE(2140),
    [sym_postinc_expression] = STATE(2140),
    [sym_conditional_expression] = STATE(2140),
    [sym_refgen_expression] = STATE(2140),
    [sym_anonymous_array_expression] = STATE(2140),
    [sym_anonymous_hash_expression] = STATE(2140),
    [sym_anonymous_subroutine_expression] = STATE(2140),
    [sym_anonymous_method_expression] = STATE(2140),
    [sym_do_expression] = STATE(2140),
    [sym_eval_expression] = STATE(2140),
    [sym_await_expression] = STATE(2140),
    [sym_variable_declaration] = STATE(2140),
    [sym_localization_expression] = STATE(2140),
    [sym_stub_expression] = STATE(2140),
    [sym_scalar_deref_expression] = STATE(2140),
    [sym_array_deref_expression] = STATE(2140),
    [sym_arraylen_deref_expression] = STATE(2140),
    [sym_hash_deref_expression] = STATE(2140),
    [sym_amper_deref_expression] = STATE(2140),
    [sym_glob_deref_expression] = STATE(2140),
    [sym_require_expression] = STATE(2140),
    [sym_require_version_expression] = STATE(2140),
    [sym_func0op_call_expression] = STATE(2140),
    [sym_func1op_call_expression] = STATE(2140),
    [sym_map_grep_expression] = STATE(2140),
    [sym_sort_expression] = STATE(2140),
    [sym_loopex_expression] = STATE(2140),
    [sym_goto_expression] = STATE(2140),
    [sym_return_expression] = STATE(2140),
    [sym_undef_expression] = STATE(2140),
    [sym__listop] = STATE(2140),
    [sym_function_call_expression] = STATE(2142),
    [sym_ambiguous_function_call_expression] = STATE(2142),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(2142),
    [sym_scalar] = STATE(2140),
    [sym_array] = STATE(2140),
    [sym__SUB_AMPER] = STATE(2756),
    [sym__GLOB_STAR] = STATE(2773),
    [sym_hash] = STATE(2140),
    [sym_arraylen] = STATE(2140),
    [sym_amper_sub] = STATE(1992),
    [sym_glob] = STATE(1993),
    [sym_glob_slot_expression] = STATE(2140),
    [sym__literal] = STATE(2140),
    [sym__apostrophe] = STATE(3184),
    [sym__quotation_mark] = STATE(2519),
    [sym__backtick] = STATE(2521),
    [sym__search_slash] = STATE(2441),
    [sym_string_literal] = STATE(2145),
    [sym_interpolated_string_literal] = STATE(2145),
    [sym_quoted_word_list] = STATE(1994),
    [sym_command_string] = STATE(2145),
    [sym_quoted_regexp] = STATE(2145),
    [sym_match_regexp] = STATE(2145),
    [sym_substitution_regexp] = STATE(2145),
    [sym_transliteration_expression] = STATE(2145),
    [sym_heredoc_token] = STATE(2140),
    [sym_command_heredoc_token] = STATE(2140),
    [sym_heredoc_content] = STATE(684),
    [sym_autoquoted_bareword] = STATE(2140),
    [sym_bareword] = STATE(2140),
    [sym_primitive] = STATE(2140),
    [sym_boolean] = STATE(2138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3355),
    [sym__identifier] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_my] = ACTIONS(439),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(441),
    [anon_sym_method] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_state] = ACTIONS(439),
    [anon_sym_our] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(451),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_TILDE] = ACTIONS(451),
    [anon_sym_BANG] = ACTIONS(451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1689),
    [anon_sym_DASH_DASH] = ACTIONS(1689),
    [anon_sym_BSLASH] = ACTIONS(453),
    [anon_sym_do] = ACTIONS(455),
    [anon_sym_eval] = ACTIONS(457),
    [anon_sym_await] = ACTIONS(459),
    [anon_sym_field] = ACTIONS(439),
    [anon_sym_local] = ACTIONS(461),
    [anon_sym_dynamically] = ACTIONS(461),
    [anon_sym_DOLLAR_POUND] = ACTIONS(463),
    [anon_sym_require] = ACTIONS(465),
    [anon_sym_map] = ACTIONS(467),
    [anon_sym_grep] = ACTIONS(467),
    [anon_sym_sort] = ACTIONS(469),
    [anon_sym_goto] = ACTIONS(471),
    [anon_sym_return] = ACTIONS(473),
    [anon_sym_undef] = ACTIONS(475),
    [anon_sym_PERCENT2] = ACTIONS(477),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(479),
    [anon_sym_next] = ACTIONS(479),
    [anon_sym_redo] = ACTIONS(479),
    [anon_sym___FILE__] = ACTIONS(447),
    [anon_sym___LINE__] = ACTIONS(447),
    [anon_sym___PACKAGE__] = ACTIONS(447),
    [anon_sym___SUB__] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_fork] = ACTIONS(447),
    [anon_sym_getppid] = ACTIONS(447),
    [anon_sym_time] = ACTIONS(447),
    [anon_sym_times] = ACTIONS(447),
    [anon_sym_wait] = ACTIONS(447),
    [anon_sym_wantarray] = ACTIONS(447),
    [anon_sym_abs] = ACTIONS(481),
    [anon_sym_alarm] = ACTIONS(481),
    [anon_sym_chop] = ACTIONS(481),
    [anon_sym_chdir] = ACTIONS(481),
    [anon_sym_close] = ACTIONS(481),
    [anon_sym_closedir] = ACTIONS(481),
    [anon_sym_caller] = ACTIONS(481),
    [anon_sym_chomp] = ACTIONS(481),
    [anon_sym_chr] = ACTIONS(481),
    [anon_sym_cos] = ACTIONS(481),
    [anon_sym_chroot] = ACTIONS(481),
    [anon_sym_defined] = ACTIONS(481),
    [anon_sym_delete] = ACTIONS(481),
    [anon_sym_dbmclose] = ACTIONS(481),
    [anon_sym_exists] = ACTIONS(481),
    [anon_sym_exit] = ACTIONS(481),
    [anon_sym_eof] = ACTIONS(481),
    [anon_sym_exp] = ACTIONS(481),
    [anon_sym_each] = ACTIONS(481),
    [anon_sym_fc] = ACTIONS(481),
    [anon_sym_fileno] = ACTIONS(481),
    [anon_sym_gmtime] = ACTIONS(481),
    [anon_sym_getc] = ACTIONS(481),
    [anon_sym_getpgrp] = ACTIONS(481),
    [anon_sym_getprotobyname] = ACTIONS(481),
    [anon_sym_getpwname] = ACTIONS(481),
    [anon_sym_getpwuid] = ACTIONS(481),
    [anon_sym_getpeername] = ACTIONS(481),
    [anon_sym_getnetbyname] = ACTIONS(481),
    [anon_sym_getsockname] = ACTIONS(481),
    [anon_sym_getgrnam] = ACTIONS(481),
    [anon_sym_getgrgid] = ACTIONS(481),
    [anon_sym_hex] = ACTIONS(481),
    [anon_sym_int] = ACTIONS(481),
    [anon_sym_keys] = ACTIONS(481),
    [anon_sym_lc] = ACTIONS(481),
    [anon_sym_lcfirst] = ACTIONS(481),
    [anon_sym_length] = ACTIONS(481),
    [anon_sym_localtime] = ACTIONS(481),
    [anon_sym_log] = ACTIONS(481),
    [anon_sym_lock] = ACTIONS(481),
    [anon_sym_lstat] = ACTIONS(481),
    [anon_sym_oct] = ACTIONS(481),
    [anon_sym_ord] = ACTIONS(481),
    [anon_sym_prototype] = ACTIONS(481),
    [anon_sym_pop] = ACTIONS(481),
    [anon_sym_pos] = ACTIONS(481),
    [anon_sym_quotemeta] = ACTIONS(481),
    [anon_sym_reset] = ACTIONS(481),
    [anon_sym_rand] = ACTIONS(481),
    [anon_sym_rmdir] = ACTIONS(481),
    [anon_sym_readdir] = ACTIONS(481),
    [anon_sym_readline] = ACTIONS(481),
    [anon_sym_readpipe] = ACTIONS(481),
    [anon_sym_rewinddir] = ACTIONS(481),
    [anon_sym_readlink] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(481),
    [anon_sym_scalar] = ACTIONS(481),
    [anon_sym_shift] = ACTIONS(481),
    [anon_sym_sin] = ACTIONS(481),
    [anon_sym_sleep] = ACTIONS(481),
    [anon_sym_sqrt] = ACTIONS(481),
    [anon_sym_srand] = ACTIONS(481),
    [anon_sym_stat] = ACTIONS(481),
    [anon_sym_study] = ACTIONS(481),
    [anon_sym_tell] = ACTIONS(481),
    [anon_sym_telldir] = ACTIONS(481),
    [anon_sym_tied] = ACTIONS(481),
    [anon_sym_uc] = ACTIONS(481),
    [anon_sym_ucfirst] = ACTIONS(481),
    [anon_sym_untie] = ACTIONS(481),
    [anon_sym_umask] = ACTIONS(481),
    [anon_sym_values] = ACTIONS(481),
    [anon_sym_write] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(483),
    [anon_sym_qq] = ACTIONS(485),
    [anon_sym_qw] = ACTIONS(487),
    [anon_sym_qx] = ACTIONS(489),
    [anon_sym_qr] = ACTIONS(491),
    [anon_sym_m] = ACTIONS(493),
    [anon_sym_s] = ACTIONS(495),
    [anon_sym_tr] = ACTIONS(497),
    [anon_sym_y] = ACTIONS(497),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(505),
    [sym__open_fileglob_bracket] = ACTIONS(507),
    [sym__PERLY_HEREDOC] = ACTIONS(509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(511),
    [sym__filetest] = ACTIONS(513),
  },
  [685] = {
    [sym_heredoc_content] = STATE(685),
    [sym__identifier] = ACTIONS(1824),
    [anon_sym_LBRACE] = ACTIONS(1824),
    [anon_sym_RBRACE] = ACTIONS(1824),
    [anon_sym_SEMI] = ACTIONS(1824),
    [anon_sym_DOLLAR] = ACTIONS(1824),
    [anon_sym_EQ] = ACTIONS(1824),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1824),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1824),
    [anon_sym_AT] = ACTIONS(1824),
    [anon_sym_COMMA] = ACTIONS(1824),
    [anon_sym_RPAREN] = ACTIONS(1824),
    [anon_sym_my] = ACTIONS(1824),
    [anon_sym_extended] = ACTIONS(1824),
    [anon_sym_async] = ACTIONS(1824),
    [anon_sym_sub] = ACTIONS(1824),
    [anon_sym_method] = ACTIONS(1824),
    [anon_sym_LPAREN] = ACTIONS(1824),
    [anon_sym_continue] = ACTIONS(1824),
    [anon_sym_state] = ACTIONS(1824),
    [anon_sym_our] = ACTIONS(1824),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1824),
    [anon_sym_and] = ACTIONS(1824),
    [anon_sym_or] = ACTIONS(1824),
    [anon_sym_xor] = ACTIONS(1824),
    [anon_sym_LBRACK] = ACTIONS(1824),
    [anon_sym_DASH_GT] = ACTIONS(1824),
    [anon_sym_PERCENT] = ACTIONS(1824),
    [anon_sym_GT] = ACTIONS(1824),
    [anon_sym_LT_LT] = ACTIONS(1824),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1824),
    [anon_sym_PLUS_EQ] = ACTIONS(1824),
    [anon_sym_DASH_EQ] = ACTIONS(1824),
    [anon_sym_DOT_EQ] = ACTIONS(1824),
    [anon_sym_STAR_EQ] = ACTIONS(1824),
    [anon_sym_SLASH_EQ] = ACTIONS(1824),
    [anon_sym_PERCENT_EQ] = ACTIONS(1824),
    [anon_sym_x_EQ] = ACTIONS(1824),
    [anon_sym_AMP_EQ] = ACTIONS(1824),
    [anon_sym_PIPE_EQ] = ACTIONS(1824),
    [anon_sym_CARET_EQ] = ACTIONS(1824),
    [anon_sym_LT_LT_EQ] = ACTIONS(1824),
    [anon_sym_GT_GT_EQ] = ACTIONS(1824),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1824),
    [anon_sym_DOT_DOT] = ACTIONS(1824),
    [anon_sym_STAR_STAR] = ACTIONS(1824),
    [anon_sym_PIPE_PIPE] = ACTIONS(1824),
    [anon_sym_SLASH_SLASH] = ACTIONS(1824),
    [anon_sym_CARET_CARET] = ACTIONS(1824),
    [anon_sym_AMP_AMP] = ACTIONS(1824),
    [anon_sym_PIPE] = ACTIONS(1824),
    [anon_sym_CARET] = ACTIONS(1824),
    [anon_sym_AMP] = ACTIONS(1824),
    [anon_sym_GT_GT2] = ACTIONS(1824),
    [anon_sym_PLUS] = ACTIONS(1824),
    [anon_sym_DASH] = ACTIONS(1824),
    [anon_sym_DOT] = ACTIONS(1824),
    [anon_sym_STAR] = ACTIONS(1824),
    [anon_sym_SLASH] = ACTIONS(1824),
    [anon_sym_x] = ACTIONS(1824),
    [anon_sym_EQ_TILDE] = ACTIONS(1824),
    [anon_sym_BANG_TILDE] = ACTIONS(1824),
    [anon_sym_EQ_EQ] = ACTIONS(1824),
    [anon_sym_BANG_EQ] = ACTIONS(1824),
    [anon_sym_eq] = ACTIONS(1824),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1824),
    [anon_sym_equ] = ACTIONS(1824),
    [anon_sym_eqr] = ACTIONS(1824),
    [anon_sym_ne] = ACTIONS(1824),
    [anon_sym_LT_EQ_GT] = ACTIONS(1824),
    [anon_sym_cmp] = ACTIONS(1824),
    [anon_sym_TILDE_TILDE] = ACTIONS(1824),
    [anon_sym_LT] = ACTIONS(1824),
    [anon_sym_LT_EQ] = ACTIONS(1824),
    [anon_sym_GT_EQ] = ACTIONS(1824),
    [anon_sym_lt] = ACTIONS(1824),
    [anon_sym_le] = ACTIONS(1824),
    [anon_sym_ge] = ACTIONS(1824),
    [anon_sym_gt] = ACTIONS(1824),
    [anon_sym_isa] = ACTIONS(1824),
    [anon_sym_TILDE] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1824),
    [anon_sym_PLUS_PLUS] = ACTIONS(1824),
    [anon_sym_DASH_DASH] = ACTIONS(1824),
    [anon_sym_QMARK] = ACTIONS(1824),
    [anon_sym_BSLASH] = ACTIONS(1826),
    [anon_sym_do] = ACTIONS(1824),
    [anon_sym_eval] = ACTIONS(1824),
    [anon_sym_await] = ACTIONS(1824),
    [anon_sym_field] = ACTIONS(1824),
    [anon_sym_local] = ACTIONS(1824),
    [anon_sym_dynamically] = ACTIONS(1824),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1824),
    [anon_sym_require] = ACTIONS(1824),
    [anon_sym_map] = ACTIONS(1824),
    [anon_sym_grep] = ACTIONS(1824),
    [anon_sym_sort] = ACTIONS(1824),
    [anon_sym_goto] = ACTIONS(1824),
    [anon_sym_return] = ACTIONS(1824),
    [anon_sym_undef] = ACTIONS(1824),
    [anon_sym_PERCENT2] = ACTIONS(1824),
    [anon_sym_AMP2] = ACTIONS(1824),
    [anon_sym_STAR2] = ACTIONS(1824),
    [anon_sym_EQ_GT] = ACTIONS(1824),
    [anon_sym_for] = ACTIONS(1824),
    [anon_sym_foreach] = ACTIONS(1824),
    [anon_sym_last] = ACTIONS(1824),
    [anon_sym_next] = ACTIONS(1824),
    [anon_sym_redo] = ACTIONS(1824),
    [anon_sym___FILE__] = ACTIONS(1824),
    [anon_sym___LINE__] = ACTIONS(1824),
    [anon_sym___PACKAGE__] = ACTIONS(1824),
    [anon_sym___SUB__] = ACTIONS(1824),
    [anon_sym_break] = ACTIONS(1824),
    [anon_sym_fork] = ACTIONS(1824),
    [anon_sym_getppid] = ACTIONS(1824),
    [anon_sym_time] = ACTIONS(1824),
    [anon_sym_times] = ACTIONS(1824),
    [anon_sym_wait] = ACTIONS(1824),
    [anon_sym_wantarray] = ACTIONS(1824),
    [anon_sym_abs] = ACTIONS(1824),
    [anon_sym_alarm] = ACTIONS(1824),
    [anon_sym_chop] = ACTIONS(1824),
    [anon_sym_chdir] = ACTIONS(1824),
    [anon_sym_close] = ACTIONS(1824),
    [anon_sym_closedir] = ACTIONS(1824),
    [anon_sym_caller] = ACTIONS(1824),
    [anon_sym_chomp] = ACTIONS(1824),
    [anon_sym_chr] = ACTIONS(1824),
    [anon_sym_cos] = ACTIONS(1824),
    [anon_sym_chroot] = ACTIONS(1824),
    [anon_sym_defined] = ACTIONS(1824),
    [anon_sym_delete] = ACTIONS(1824),
    [anon_sym_dbmclose] = ACTIONS(1824),
    [anon_sym_exists] = ACTIONS(1824),
    [anon_sym_exit] = ACTIONS(1824),
    [anon_sym_eof] = ACTIONS(1824),
    [anon_sym_exp] = ACTIONS(1824),
    [anon_sym_each] = ACTIONS(1824),
    [anon_sym_fc] = ACTIONS(1824),
    [anon_sym_fileno] = ACTIONS(1824),
    [anon_sym_gmtime] = ACTIONS(1824),
    [anon_sym_getc] = ACTIONS(1824),
    [anon_sym_getpgrp] = ACTIONS(1824),
    [anon_sym_getprotobyname] = ACTIONS(1824),
    [anon_sym_getpwname] = ACTIONS(1824),
    [anon_sym_getpwuid] = ACTIONS(1824),
    [anon_sym_getpeername] = ACTIONS(1824),
    [anon_sym_getnetbyname] = ACTIONS(1824),
    [anon_sym_getsockname] = ACTIONS(1824),
    [anon_sym_getgrnam] = ACTIONS(1824),
    [anon_sym_getgrgid] = ACTIONS(1824),
    [anon_sym_hex] = ACTIONS(1824),
    [anon_sym_int] = ACTIONS(1824),
    [anon_sym_keys] = ACTIONS(1824),
    [anon_sym_lc] = ACTIONS(1824),
    [anon_sym_lcfirst] = ACTIONS(1824),
    [anon_sym_length] = ACTIONS(1824),
    [anon_sym_localtime] = ACTIONS(1824),
    [anon_sym_log] = ACTIONS(1824),
    [anon_sym_lock] = ACTIONS(1824),
    [anon_sym_lstat] = ACTIONS(1824),
    [anon_sym_oct] = ACTIONS(1824),
    [anon_sym_ord] = ACTIONS(1824),
    [anon_sym_prototype] = ACTIONS(1824),
    [anon_sym_pop] = ACTIONS(1824),
    [anon_sym_pos] = ACTIONS(1824),
    [anon_sym_quotemeta] = ACTIONS(1824),
    [anon_sym_reset] = ACTIONS(1824),
    [anon_sym_rand] = ACTIONS(1824),
    [anon_sym_rmdir] = ACTIONS(1824),
    [anon_sym_readdir] = ACTIONS(1824),
    [anon_sym_readline] = ACTIONS(1824),
    [anon_sym_readpipe] = ACTIONS(1824),
    [anon_sym_rewinddir] = ACTIONS(1824),
    [anon_sym_readlink] = ACTIONS(1824),
    [anon_sym_ref] = ACTIONS(1824),
    [anon_sym_scalar] = ACTIONS(1824),
    [anon_sym_shift] = ACTIONS(1824),
    [anon_sym_sin] = ACTIONS(1824),
    [anon_sym_sleep] = ACTIONS(1824),
    [anon_sym_sqrt] = ACTIONS(1824),
    [anon_sym_srand] = ACTIONS(1824),
    [anon_sym_stat] = ACTIONS(1824),
    [anon_sym_study] = ACTIONS(1824),
    [anon_sym_tell] = ACTIONS(1824),
    [anon_sym_telldir] = ACTIONS(1824),
    [anon_sym_tied] = ACTIONS(1824),
    [anon_sym_uc] = ACTIONS(1824),
    [anon_sym_ucfirst] = ACTIONS(1824),
    [anon_sym_untie] = ACTIONS(1824),
    [anon_sym_umask] = ACTIONS(1824),
    [anon_sym_values] = ACTIONS(1824),
    [anon_sym_write] = ACTIONS(1824),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1824),
    [anon_sym___END__] = ACTIONS(1824),
    [anon_sym_EOT] = ACTIONS(1824),
    [anon_sym_q] = ACTIONS(1824),
    [anon_sym_qq] = ACTIONS(1824),
    [anon_sym_qw] = ACTIONS(1824),
    [anon_sym_qx] = ACTIONS(1824),
    [anon_sym_qr] = ACTIONS(1824),
    [anon_sym_m] = ACTIONS(1824),
    [anon_sym_s] = ACTIONS(1824),
    [anon_sym_tr] = ACTIONS(1824),
    [anon_sym_y] = ACTIONS(1824),
    [anon_sym_if] = ACTIONS(1824),
    [anon_sym_unless] = ACTIONS(1824),
    [anon_sym_while] = ACTIONS(1824),
    [anon_sym_until] = ACTIONS(1824),
    [aux_sym__bareword_token1] = ACTIONS(1824),
    [sym_number] = ACTIONS(1824),
    [anon_sym_true] = ACTIONS(1824),
    [anon_sym_false] = ACTIONS(1824),
    [sym__single_quote] = ACTIONS(1826),
    [sym__double_quote] = ACTIONS(1826),
    [sym__backtick_quote] = ACTIONS(1826),
    [sym__search_slash_quote] = ACTIONS(1826),
    [sym__no_search_slash_plz] = ACTIONS(1826),
    [sym__open_readline_bracket] = ACTIONS(1826),
    [sym__open_fileglob_bracket] = ACTIONS(1826),
    [sym__PERLY_SEMICOLON] = ACTIONS(1826),
    [sym__PERLY_HEREDOC] = ACTIONS(1826),
    [sym__ctrl_z_hack] = ACTIONS(1826),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1826),
    [sym__filetest] = ACTIONS(1826),
  },
  [686] = {
    [sym_heredoc_content] = STATE(686),
    [sym__identifier] = ACTIONS(1828),
    [anon_sym_LBRACE] = ACTIONS(1830),
    [anon_sym_RBRACE] = ACTIONS(1828),
    [anon_sym_SEMI] = ACTIONS(1828),
    [anon_sym_DOLLAR] = ACTIONS(1828),
    [anon_sym_EQ] = ACTIONS(1828),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1828),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1828),
    [anon_sym_AT] = ACTIONS(1828),
    [anon_sym_COMMA] = ACTIONS(1828),
    [anon_sym_RPAREN] = ACTIONS(1828),
    [anon_sym_my] = ACTIONS(1828),
    [anon_sym_extended] = ACTIONS(1828),
    [anon_sym_async] = ACTIONS(1828),
    [anon_sym_sub] = ACTIONS(1828),
    [anon_sym_method] = ACTIONS(1828),
    [anon_sym_LPAREN] = ACTIONS(1828),
    [anon_sym_continue] = ACTIONS(1828),
    [anon_sym_state] = ACTIONS(1828),
    [anon_sym_our] = ACTIONS(1828),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1828),
    [anon_sym_and] = ACTIONS(1828),
    [anon_sym_or] = ACTIONS(1828),
    [anon_sym_xor] = ACTIONS(1828),
    [anon_sym_LBRACK] = ACTIONS(1830),
    [anon_sym_DASH_GT] = ACTIONS(1828),
    [anon_sym_PERCENT] = ACTIONS(1828),
    [anon_sym_GT] = ACTIONS(1828),
    [anon_sym_LT_LT] = ACTIONS(1828),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1828),
    [anon_sym_PLUS_EQ] = ACTIONS(1828),
    [anon_sym_DASH_EQ] = ACTIONS(1828),
    [anon_sym_DOT_EQ] = ACTIONS(1828),
    [anon_sym_STAR_EQ] = ACTIONS(1828),
    [anon_sym_SLASH_EQ] = ACTIONS(1828),
    [anon_sym_PERCENT_EQ] = ACTIONS(1828),
    [anon_sym_x_EQ] = ACTIONS(1828),
    [anon_sym_AMP_EQ] = ACTIONS(1828),
    [anon_sym_PIPE_EQ] = ACTIONS(1828),
    [anon_sym_CARET_EQ] = ACTIONS(1828),
    [anon_sym_LT_LT_EQ] = ACTIONS(1828),
    [anon_sym_GT_GT_EQ] = ACTIONS(1828),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1828),
    [anon_sym_DOT_DOT] = ACTIONS(1828),
    [anon_sym_STAR_STAR] = ACTIONS(1828),
    [anon_sym_PIPE_PIPE] = ACTIONS(1828),
    [anon_sym_SLASH_SLASH] = ACTIONS(1828),
    [anon_sym_CARET_CARET] = ACTIONS(1828),
    [anon_sym_AMP_AMP] = ACTIONS(1828),
    [anon_sym_PIPE] = ACTIONS(1828),
    [anon_sym_CARET] = ACTIONS(1828),
    [anon_sym_AMP] = ACTIONS(1828),
    [anon_sym_GT_GT2] = ACTIONS(1828),
    [anon_sym_PLUS] = ACTIONS(1828),
    [anon_sym_DASH] = ACTIONS(1828),
    [anon_sym_DOT] = ACTIONS(1828),
    [anon_sym_STAR] = ACTIONS(1828),
    [anon_sym_SLASH] = ACTIONS(1828),
    [anon_sym_x] = ACTIONS(1828),
    [anon_sym_EQ_TILDE] = ACTIONS(1828),
    [anon_sym_BANG_TILDE] = ACTIONS(1828),
    [anon_sym_EQ_EQ] = ACTIONS(1828),
    [anon_sym_BANG_EQ] = ACTIONS(1828),
    [anon_sym_eq] = ACTIONS(1828),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1828),
    [anon_sym_equ] = ACTIONS(1828),
    [anon_sym_eqr] = ACTIONS(1828),
    [anon_sym_ne] = ACTIONS(1828),
    [anon_sym_LT_EQ_GT] = ACTIONS(1828),
    [anon_sym_cmp] = ACTIONS(1828),
    [anon_sym_TILDE_TILDE] = ACTIONS(1828),
    [anon_sym_LT] = ACTIONS(1828),
    [anon_sym_LT_EQ] = ACTIONS(1828),
    [anon_sym_GT_EQ] = ACTIONS(1828),
    [anon_sym_lt] = ACTIONS(1828),
    [anon_sym_le] = ACTIONS(1828),
    [anon_sym_ge] = ACTIONS(1828),
    [anon_sym_gt] = ACTIONS(1828),
    [anon_sym_isa] = ACTIONS(1828),
    [anon_sym_TILDE] = ACTIONS(1828),
    [anon_sym_BANG] = ACTIONS(1828),
    [anon_sym_PLUS_PLUS] = ACTIONS(1828),
    [anon_sym_DASH_DASH] = ACTIONS(1828),
    [anon_sym_QMARK] = ACTIONS(1828),
    [anon_sym_BSLASH] = ACTIONS(1832),
    [anon_sym_do] = ACTIONS(1828),
    [anon_sym_eval] = ACTIONS(1828),
    [anon_sym_await] = ACTIONS(1828),
    [anon_sym_field] = ACTIONS(1828),
    [anon_sym_local] = ACTIONS(1828),
    [anon_sym_dynamically] = ACTIONS(1828),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1828),
    [anon_sym_require] = ACTIONS(1828),
    [anon_sym_map] = ACTIONS(1828),
    [anon_sym_grep] = ACTIONS(1828),
    [anon_sym_sort] = ACTIONS(1828),
    [anon_sym_goto] = ACTIONS(1828),
    [anon_sym_return] = ACTIONS(1828),
    [anon_sym_undef] = ACTIONS(1828),
    [anon_sym_PERCENT2] = ACTIONS(1828),
    [anon_sym_AMP2] = ACTIONS(1828),
    [anon_sym_STAR2] = ACTIONS(1828),
    [anon_sym_EQ_GT] = ACTIONS(1828),
    [anon_sym_for] = ACTIONS(1828),
    [anon_sym_foreach] = ACTIONS(1828),
    [anon_sym_last] = ACTIONS(1828),
    [anon_sym_next] = ACTIONS(1828),
    [anon_sym_redo] = ACTIONS(1828),
    [anon_sym___FILE__] = ACTIONS(1828),
    [anon_sym___LINE__] = ACTIONS(1828),
    [anon_sym___PACKAGE__] = ACTIONS(1828),
    [anon_sym___SUB__] = ACTIONS(1828),
    [anon_sym_break] = ACTIONS(1828),
    [anon_sym_fork] = ACTIONS(1828),
    [anon_sym_getppid] = ACTIONS(1828),
    [anon_sym_time] = ACTIONS(1828),
    [anon_sym_times] = ACTIONS(1828),
    [anon_sym_wait] = ACTIONS(1828),
    [anon_sym_wantarray] = ACTIONS(1828),
    [anon_sym_abs] = ACTIONS(1828),
    [anon_sym_alarm] = ACTIONS(1828),
    [anon_sym_chop] = ACTIONS(1828),
    [anon_sym_chdir] = ACTIONS(1828),
    [anon_sym_close] = ACTIONS(1828),
    [anon_sym_closedir] = ACTIONS(1828),
    [anon_sym_caller] = ACTIONS(1828),
    [anon_sym_chomp] = ACTIONS(1828),
    [anon_sym_chr] = ACTIONS(1828),
    [anon_sym_cos] = ACTIONS(1828),
    [anon_sym_chroot] = ACTIONS(1828),
    [anon_sym_defined] = ACTIONS(1828),
    [anon_sym_delete] = ACTIONS(1828),
    [anon_sym_dbmclose] = ACTIONS(1828),
    [anon_sym_exists] = ACTIONS(1828),
    [anon_sym_exit] = ACTIONS(1828),
    [anon_sym_eof] = ACTIONS(1828),
    [anon_sym_exp] = ACTIONS(1828),
    [anon_sym_each] = ACTIONS(1828),
    [anon_sym_fc] = ACTIONS(1828),
    [anon_sym_fileno] = ACTIONS(1828),
    [anon_sym_gmtime] = ACTIONS(1828),
    [anon_sym_getc] = ACTIONS(1828),
    [anon_sym_getpgrp] = ACTIONS(1828),
    [anon_sym_getprotobyname] = ACTIONS(1828),
    [anon_sym_getpwname] = ACTIONS(1828),
    [anon_sym_getpwuid] = ACTIONS(1828),
    [anon_sym_getpeername] = ACTIONS(1828),
    [anon_sym_getnetbyname] = ACTIONS(1828),
    [anon_sym_getsockname] = ACTIONS(1828),
    [anon_sym_getgrnam] = ACTIONS(1828),
    [anon_sym_getgrgid] = ACTIONS(1828),
    [anon_sym_hex] = ACTIONS(1828),
    [anon_sym_int] = ACTIONS(1828),
    [anon_sym_keys] = ACTIONS(1828),
    [anon_sym_lc] = ACTIONS(1828),
    [anon_sym_lcfirst] = ACTIONS(1828),
    [anon_sym_length] = ACTIONS(1828),
    [anon_sym_localtime] = ACTIONS(1828),
    [anon_sym_log] = ACTIONS(1828),
    [anon_sym_lock] = ACTIONS(1828),
    [anon_sym_lstat] = ACTIONS(1828),
    [anon_sym_oct] = ACTIONS(1828),
    [anon_sym_ord] = ACTIONS(1828),
    [anon_sym_prototype] = ACTIONS(1828),
    [anon_sym_pop] = ACTIONS(1828),
    [anon_sym_pos] = ACTIONS(1828),
    [anon_sym_quotemeta] = ACTIONS(1828),
    [anon_sym_reset] = ACTIONS(1828),
    [anon_sym_rand] = ACTIONS(1828),
    [anon_sym_rmdir] = ACTIONS(1828),
    [anon_sym_readdir] = ACTIONS(1828),
    [anon_sym_readline] = ACTIONS(1828),
    [anon_sym_readpipe] = ACTIONS(1828),
    [anon_sym_rewinddir] = ACTIONS(1828),
    [anon_sym_readlink] = ACTIONS(1828),
    [anon_sym_ref] = ACTIONS(1828),
    [anon_sym_scalar] = ACTIONS(1828),
    [anon_sym_shift] = ACTIONS(1828),
    [anon_sym_sin] = ACTIONS(1828),
    [anon_sym_sleep] = ACTIONS(1828),
    [anon_sym_sqrt] = ACTIONS(1828),
    [anon_sym_srand] = ACTIONS(1828),
    [anon_sym_stat] = ACTIONS(1828),
    [anon_sym_study] = ACTIONS(1828),
    [anon_sym_tell] = ACTIONS(1828),
    [anon_sym_telldir] = ACTIONS(1828),
    [anon_sym_tied] = ACTIONS(1828),
    [anon_sym_uc] = ACTIONS(1828),
    [anon_sym_ucfirst] = ACTIONS(1828),
    [anon_sym_untie] = ACTIONS(1828),
    [anon_sym_umask] = ACTIONS(1828),
    [anon_sym_values] = ACTIONS(1828),
    [anon_sym_write] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1828),
    [anon_sym___END__] = ACTIONS(1828),
    [anon_sym_EOT] = ACTIONS(1828),
    [anon_sym_q] = ACTIONS(1828),
    [anon_sym_qq] = ACTIONS(1828),
    [anon_sym_qw] = ACTIONS(1828),
    [anon_sym_qx] = ACTIONS(1828),
    [anon_sym_qr] = ACTIONS(1828),
    [anon_sym_m] = ACTIONS(1828),
    [anon_sym_s] = ACTIONS(1828),
    [anon_sym_tr] = ACTIONS(1828),
    [anon_sym_y] = ACTIONS(1828),
    [anon_sym_if] = ACTIONS(1828),
    [anon_sym_unless] = ACTIONS(1828),
    [anon_sym_while] = ACTIONS(1828),
    [anon_sym_until] = ACTIONS(1828),
    [aux_sym__bareword_token1] = ACTIONS(1828),
    [sym_number] = ACTIONS(1828),
    [anon_sym_true] = ACTIONS(1828),
    [anon_sym_false] = ACTIONS(1828),
    [sym__single_quote] = ACTIONS(1832),
    [sym__double_quote] = ACTIONS(1832),
    [sym__backtick_quote] = ACTIONS(1832),
    [sym__search_slash_quote] = ACTIONS(1832),
    [sym__no_search_slash_plz] = ACTIONS(1832),
    [sym__open_readline_bracket] = ACTIONS(1832),
    [sym__open_fileglob_bracket] = ACTIONS(1832),
    [sym__PERLY_SEMICOLON] = ACTIONS(1832),
    [sym__PERLY_HEREDOC] = ACTIONS(1832),
    [sym__ctrl_z_hack] = ACTIONS(1832),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1832),
    [sym__filetest] = ACTIONS(1832),
  },
  [687] = {
    [sym_heredoc_content] = STATE(687),
    [sym__identifier] = ACTIONS(1828),
    [anon_sym_LBRACE] = ACTIONS(1828),
    [anon_sym_RBRACE] = ACTIONS(1828),
    [anon_sym_SEMI] = ACTIONS(1828),
    [anon_sym_DOLLAR] = ACTIONS(1828),
    [anon_sym_EQ] = ACTIONS(1828),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1828),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1828),
    [anon_sym_AT] = ACTIONS(1828),
    [anon_sym_COMMA] = ACTIONS(1828),
    [anon_sym_RPAREN] = ACTIONS(1828),
    [anon_sym_my] = ACTIONS(1828),
    [anon_sym_extended] = ACTIONS(1828),
    [anon_sym_async] = ACTIONS(1828),
    [anon_sym_sub] = ACTIONS(1828),
    [anon_sym_method] = ACTIONS(1828),
    [anon_sym_LPAREN] = ACTIONS(1828),
    [anon_sym_continue] = ACTIONS(1828),
    [anon_sym_state] = ACTIONS(1828),
    [anon_sym_our] = ACTIONS(1828),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1828),
    [anon_sym_and] = ACTIONS(1828),
    [anon_sym_or] = ACTIONS(1828),
    [anon_sym_xor] = ACTIONS(1828),
    [anon_sym_LBRACK] = ACTIONS(1828),
    [anon_sym_DASH_GT] = ACTIONS(1828),
    [anon_sym_PERCENT] = ACTIONS(1828),
    [anon_sym_GT] = ACTIONS(1828),
    [anon_sym_LT_LT] = ACTIONS(1828),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1828),
    [anon_sym_PLUS_EQ] = ACTIONS(1828),
    [anon_sym_DASH_EQ] = ACTIONS(1828),
    [anon_sym_DOT_EQ] = ACTIONS(1828),
    [anon_sym_STAR_EQ] = ACTIONS(1828),
    [anon_sym_SLASH_EQ] = ACTIONS(1828),
    [anon_sym_PERCENT_EQ] = ACTIONS(1828),
    [anon_sym_x_EQ] = ACTIONS(1828),
    [anon_sym_AMP_EQ] = ACTIONS(1828),
    [anon_sym_PIPE_EQ] = ACTIONS(1828),
    [anon_sym_CARET_EQ] = ACTIONS(1828),
    [anon_sym_LT_LT_EQ] = ACTIONS(1828),
    [anon_sym_GT_GT_EQ] = ACTIONS(1828),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1828),
    [anon_sym_DOT_DOT] = ACTIONS(1828),
    [anon_sym_STAR_STAR] = ACTIONS(1828),
    [anon_sym_PIPE_PIPE] = ACTIONS(1828),
    [anon_sym_SLASH_SLASH] = ACTIONS(1828),
    [anon_sym_CARET_CARET] = ACTIONS(1828),
    [anon_sym_AMP_AMP] = ACTIONS(1828),
    [anon_sym_PIPE] = ACTIONS(1828),
    [anon_sym_CARET] = ACTIONS(1828),
    [anon_sym_AMP] = ACTIONS(1828),
    [anon_sym_GT_GT2] = ACTIONS(1828),
    [anon_sym_PLUS] = ACTIONS(1828),
    [anon_sym_DASH] = ACTIONS(1828),
    [anon_sym_DOT] = ACTIONS(1828),
    [anon_sym_STAR] = ACTIONS(1828),
    [anon_sym_SLASH] = ACTIONS(1828),
    [anon_sym_x] = ACTIONS(1828),
    [anon_sym_EQ_TILDE] = ACTIONS(1828),
    [anon_sym_BANG_TILDE] = ACTIONS(1828),
    [anon_sym_EQ_EQ] = ACTIONS(1828),
    [anon_sym_BANG_EQ] = ACTIONS(1828),
    [anon_sym_eq] = ACTIONS(1828),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1828),
    [anon_sym_equ] = ACTIONS(1828),
    [anon_sym_eqr] = ACTIONS(1828),
    [anon_sym_ne] = ACTIONS(1828),
    [anon_sym_LT_EQ_GT] = ACTIONS(1828),
    [anon_sym_cmp] = ACTIONS(1828),
    [anon_sym_TILDE_TILDE] = ACTIONS(1828),
    [anon_sym_LT] = ACTIONS(1828),
    [anon_sym_LT_EQ] = ACTIONS(1828),
    [anon_sym_GT_EQ] = ACTIONS(1828),
    [anon_sym_lt] = ACTIONS(1828),
    [anon_sym_le] = ACTIONS(1828),
    [anon_sym_ge] = ACTIONS(1828),
    [anon_sym_gt] = ACTIONS(1828),
    [anon_sym_isa] = ACTIONS(1828),
    [anon_sym_TILDE] = ACTIONS(1828),
    [anon_sym_BANG] = ACTIONS(1828),
    [anon_sym_PLUS_PLUS] = ACTIONS(1828),
    [anon_sym_DASH_DASH] = ACTIONS(1828),
    [anon_sym_QMARK] = ACTIONS(1828),
    [anon_sym_BSLASH] = ACTIONS(1832),
    [anon_sym_do] = ACTIONS(1828),
    [anon_sym_eval] = ACTIONS(1828),
    [anon_sym_await] = ACTIONS(1828),
    [anon_sym_field] = ACTIONS(1828),
    [anon_sym_local] = ACTIONS(1828),
    [anon_sym_dynamically] = ACTIONS(1828),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1828),
    [anon_sym_require] = ACTIONS(1828),
    [anon_sym_map] = ACTIONS(1828),
    [anon_sym_grep] = ACTIONS(1828),
    [anon_sym_sort] = ACTIONS(1828),
    [anon_sym_goto] = ACTIONS(1828),
    [anon_sym_return] = ACTIONS(1828),
    [anon_sym_undef] = ACTIONS(1828),
    [anon_sym_PERCENT2] = ACTIONS(1828),
    [anon_sym_AMP2] = ACTIONS(1828),
    [anon_sym_STAR2] = ACTIONS(1828),
    [anon_sym_EQ_GT] = ACTIONS(1828),
    [anon_sym_for] = ACTIONS(1828),
    [anon_sym_foreach] = ACTIONS(1828),
    [anon_sym_last] = ACTIONS(1828),
    [anon_sym_next] = ACTIONS(1828),
    [anon_sym_redo] = ACTIONS(1828),
    [anon_sym___FILE__] = ACTIONS(1828),
    [anon_sym___LINE__] = ACTIONS(1828),
    [anon_sym___PACKAGE__] = ACTIONS(1828),
    [anon_sym___SUB__] = ACTIONS(1828),
    [anon_sym_break] = ACTIONS(1828),
    [anon_sym_fork] = ACTIONS(1828),
    [anon_sym_getppid] = ACTIONS(1828),
    [anon_sym_time] = ACTIONS(1828),
    [anon_sym_times] = ACTIONS(1828),
    [anon_sym_wait] = ACTIONS(1828),
    [anon_sym_wantarray] = ACTIONS(1828),
    [anon_sym_abs] = ACTIONS(1828),
    [anon_sym_alarm] = ACTIONS(1828),
    [anon_sym_chop] = ACTIONS(1828),
    [anon_sym_chdir] = ACTIONS(1828),
    [anon_sym_close] = ACTIONS(1828),
    [anon_sym_closedir] = ACTIONS(1828),
    [anon_sym_caller] = ACTIONS(1828),
    [anon_sym_chomp] = ACTIONS(1828),
    [anon_sym_chr] = ACTIONS(1828),
    [anon_sym_cos] = ACTIONS(1828),
    [anon_sym_chroot] = ACTIONS(1828),
    [anon_sym_defined] = ACTIONS(1828),
    [anon_sym_delete] = ACTIONS(1828),
    [anon_sym_dbmclose] = ACTIONS(1828),
    [anon_sym_exists] = ACTIONS(1828),
    [anon_sym_exit] = ACTIONS(1828),
    [anon_sym_eof] = ACTIONS(1828),
    [anon_sym_exp] = ACTIONS(1828),
    [anon_sym_each] = ACTIONS(1828),
    [anon_sym_fc] = ACTIONS(1828),
    [anon_sym_fileno] = ACTIONS(1828),
    [anon_sym_gmtime] = ACTIONS(1828),
    [anon_sym_getc] = ACTIONS(1828),
    [anon_sym_getpgrp] = ACTIONS(1828),
    [anon_sym_getprotobyname] = ACTIONS(1828),
    [anon_sym_getpwname] = ACTIONS(1828),
    [anon_sym_getpwuid] = ACTIONS(1828),
    [anon_sym_getpeername] = ACTIONS(1828),
    [anon_sym_getnetbyname] = ACTIONS(1828),
    [anon_sym_getsockname] = ACTIONS(1828),
    [anon_sym_getgrnam] = ACTIONS(1828),
    [anon_sym_getgrgid] = ACTIONS(1828),
    [anon_sym_hex] = ACTIONS(1828),
    [anon_sym_int] = ACTIONS(1828),
    [anon_sym_keys] = ACTIONS(1828),
    [anon_sym_lc] = ACTIONS(1828),
    [anon_sym_lcfirst] = ACTIONS(1828),
    [anon_sym_length] = ACTIONS(1828),
    [anon_sym_localtime] = ACTIONS(1828),
    [anon_sym_log] = ACTIONS(1828),
    [anon_sym_lock] = ACTIONS(1828),
    [anon_sym_lstat] = ACTIONS(1828),
    [anon_sym_oct] = ACTIONS(1828),
    [anon_sym_ord] = ACTIONS(1828),
    [anon_sym_prototype] = ACTIONS(1828),
    [anon_sym_pop] = ACTIONS(1828),
    [anon_sym_pos] = ACTIONS(1828),
    [anon_sym_quotemeta] = ACTIONS(1828),
    [anon_sym_reset] = ACTIONS(1828),
    [anon_sym_rand] = ACTIONS(1828),
    [anon_sym_rmdir] = ACTIONS(1828),
    [anon_sym_readdir] = ACTIONS(1828),
    [anon_sym_readline] = ACTIONS(1828),
    [anon_sym_readpipe] = ACTIONS(1828),
    [anon_sym_rewinddir] = ACTIONS(1828),
    [anon_sym_readlink] = ACTIONS(1828),
    [anon_sym_ref] = ACTIONS(1828),
    [anon_sym_scalar] = ACTIONS(1828),
    [anon_sym_shift] = ACTIONS(1828),
    [anon_sym_sin] = ACTIONS(1828),
    [anon_sym_sleep] = ACTIONS(1828),
    [anon_sym_sqrt] = ACTIONS(1828),
    [anon_sym_srand] = ACTIONS(1828),
    [anon_sym_stat] = ACTIONS(1828),
    [anon_sym_study] = ACTIONS(1828),
    [anon_sym_tell] = ACTIONS(1828),
    [anon_sym_telldir] = ACTIONS(1828),
    [anon_sym_tied] = ACTIONS(1828),
    [anon_sym_uc] = ACTIONS(1828),
    [anon_sym_ucfirst] = ACTIONS(1828),
    [anon_sym_untie] = ACTIONS(1828),
    [anon_sym_umask] = ACTIONS(1828),
    [anon_sym_values] = ACTIONS(1828),
    [anon_sym_write] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1828),
    [anon_sym___END__] = ACTIONS(1828),
    [anon_sym_EOT] = ACTIONS(1828),
    [anon_sym_q] = ACTIONS(1828),
    [anon_sym_qq] = ACTIONS(1828),
    [anon_sym_qw] = ACTIONS(1828),
    [anon_sym_qx] = ACTIONS(1828),
    [anon_sym_qr] = ACTIONS(1828),
    [anon_sym_m] = ACTIONS(1828),
    [anon_sym_s] = ACTIONS(1828),
    [anon_sym_tr] = ACTIONS(1828),
    [anon_sym_y] = ACTIONS(1828),
    [anon_sym_if] = ACTIONS(1828),
    [anon_sym_unless] = ACTIONS(1828),
    [anon_sym_while] = ACTIONS(1828),
    [anon_sym_until] = ACTIONS(1828),
    [aux_sym__bareword_token1] = ACTIONS(1828),
    [sym_number] = ACTIONS(1828),
    [anon_sym_true] = ACTIONS(1828),
    [anon_sym_false] = ACTIONS(1828),
    [sym__single_quote] = ACTIONS(1832),
    [sym__double_quote] = ACTIONS(1832),
    [sym__backtick_quote] = ACTIONS(1832),
    [sym__search_slash_quote] = ACTIONS(1832),
    [sym__no_search_slash_plz] = ACTIONS(1832),
    [sym__open_readline_bracket] = ACTIONS(1832),
    [sym__open_fileglob_bracket] = ACTIONS(1832),
    [sym__PERLY_SEMICOLON] = ACTIONS(1832),
    [sym__PERLY_HEREDOC] = ACTIONS(1832),
    [sym__ctrl_z_hack] = ACTIONS(1832),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1832),
    [sym__filetest] = ACTIONS(1832),
  },
  [688] = {
    [sym_heredoc_content] = STATE(688),
    [sym__identifier] = ACTIONS(1834),
    [anon_sym_LBRACE] = ACTIONS(1834),
    [anon_sym_RBRACE] = ACTIONS(1834),
    [anon_sym_SEMI] = ACTIONS(1834),
    [anon_sym_DOLLAR] = ACTIONS(1834),
    [anon_sym_EQ] = ACTIONS(1834),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1834),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1834),
    [anon_sym_AT] = ACTIONS(1834),
    [anon_sym_COMMA] = ACTIONS(1834),
    [anon_sym_RPAREN] = ACTIONS(1834),
    [anon_sym_my] = ACTIONS(1834),
    [anon_sym_extended] = ACTIONS(1834),
    [anon_sym_async] = ACTIONS(1834),
    [anon_sym_sub] = ACTIONS(1834),
    [anon_sym_method] = ACTIONS(1834),
    [anon_sym_LPAREN] = ACTIONS(1834),
    [anon_sym_continue] = ACTIONS(1834),
    [anon_sym_state] = ACTIONS(1834),
    [anon_sym_our] = ACTIONS(1834),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1834),
    [anon_sym_and] = ACTIONS(1834),
    [anon_sym_or] = ACTIONS(1834),
    [anon_sym_xor] = ACTIONS(1834),
    [anon_sym_LBRACK] = ACTIONS(1834),
    [anon_sym_DASH_GT] = ACTIONS(1834),
    [anon_sym_PERCENT] = ACTIONS(1834),
    [anon_sym_GT] = ACTIONS(1834),
    [anon_sym_LT_LT] = ACTIONS(1834),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1834),
    [anon_sym_PLUS_EQ] = ACTIONS(1834),
    [anon_sym_DASH_EQ] = ACTIONS(1834),
    [anon_sym_DOT_EQ] = ACTIONS(1834),
    [anon_sym_STAR_EQ] = ACTIONS(1834),
    [anon_sym_SLASH_EQ] = ACTIONS(1834),
    [anon_sym_PERCENT_EQ] = ACTIONS(1834),
    [anon_sym_x_EQ] = ACTIONS(1834),
    [anon_sym_AMP_EQ] = ACTIONS(1834),
    [anon_sym_PIPE_EQ] = ACTIONS(1834),
    [anon_sym_CARET_EQ] = ACTIONS(1834),
    [anon_sym_LT_LT_EQ] = ACTIONS(1834),
    [anon_sym_GT_GT_EQ] = ACTIONS(1834),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1834),
    [anon_sym_DOT_DOT] = ACTIONS(1834),
    [anon_sym_STAR_STAR] = ACTIONS(1834),
    [anon_sym_PIPE_PIPE] = ACTIONS(1834),
    [anon_sym_SLASH_SLASH] = ACTIONS(1834),
    [anon_sym_CARET_CARET] = ACTIONS(1834),
    [anon_sym_AMP_AMP] = ACTIONS(1834),
    [anon_sym_PIPE] = ACTIONS(1834),
    [anon_sym_CARET] = ACTIONS(1834),
    [anon_sym_AMP] = ACTIONS(1834),
    [anon_sym_GT_GT2] = ACTIONS(1834),
    [anon_sym_PLUS] = ACTIONS(1834),
    [anon_sym_DASH] = ACTIONS(1834),
    [anon_sym_DOT] = ACTIONS(1834),
    [anon_sym_STAR] = ACTIONS(1834),
    [anon_sym_SLASH] = ACTIONS(1834),
    [anon_sym_x] = ACTIONS(1834),
    [anon_sym_EQ_TILDE] = ACTIONS(1834),
    [anon_sym_BANG_TILDE] = ACTIONS(1834),
    [anon_sym_EQ_EQ] = ACTIONS(1834),
    [anon_sym_BANG_EQ] = ACTIONS(1834),
    [anon_sym_eq] = ACTIONS(1834),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1834),
    [anon_sym_equ] = ACTIONS(1834),
    [anon_sym_eqr] = ACTIONS(1834),
    [anon_sym_ne] = ACTIONS(1834),
    [anon_sym_LT_EQ_GT] = ACTIONS(1834),
    [anon_sym_cmp] = ACTIONS(1834),
    [anon_sym_TILDE_TILDE] = ACTIONS(1834),
    [anon_sym_LT] = ACTIONS(1834),
    [anon_sym_LT_EQ] = ACTIONS(1834),
    [anon_sym_GT_EQ] = ACTIONS(1834),
    [anon_sym_lt] = ACTIONS(1834),
    [anon_sym_le] = ACTIONS(1834),
    [anon_sym_ge] = ACTIONS(1834),
    [anon_sym_gt] = ACTIONS(1834),
    [anon_sym_isa] = ACTIONS(1834),
    [anon_sym_TILDE] = ACTIONS(1834),
    [anon_sym_BANG] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1834),
    [anon_sym_DASH_DASH] = ACTIONS(1834),
    [anon_sym_QMARK] = ACTIONS(1834),
    [anon_sym_BSLASH] = ACTIONS(1836),
    [anon_sym_do] = ACTIONS(1834),
    [anon_sym_eval] = ACTIONS(1834),
    [anon_sym_await] = ACTIONS(1834),
    [anon_sym_field] = ACTIONS(1834),
    [anon_sym_local] = ACTIONS(1834),
    [anon_sym_dynamically] = ACTIONS(1834),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1834),
    [anon_sym_require] = ACTIONS(1834),
    [anon_sym_map] = ACTIONS(1834),
    [anon_sym_grep] = ACTIONS(1834),
    [anon_sym_sort] = ACTIONS(1834),
    [anon_sym_goto] = ACTIONS(1834),
    [anon_sym_return] = ACTIONS(1834),
    [anon_sym_undef] = ACTIONS(1834),
    [anon_sym_PERCENT2] = ACTIONS(1834),
    [anon_sym_AMP2] = ACTIONS(1834),
    [anon_sym_STAR2] = ACTIONS(1834),
    [anon_sym_EQ_GT] = ACTIONS(1834),
    [anon_sym_for] = ACTIONS(1834),
    [anon_sym_foreach] = ACTIONS(1834),
    [anon_sym_last] = ACTIONS(1834),
    [anon_sym_next] = ACTIONS(1834),
    [anon_sym_redo] = ACTIONS(1834),
    [anon_sym___FILE__] = ACTIONS(1834),
    [anon_sym___LINE__] = ACTIONS(1834),
    [anon_sym___PACKAGE__] = ACTIONS(1834),
    [anon_sym___SUB__] = ACTIONS(1834),
    [anon_sym_break] = ACTIONS(1834),
    [anon_sym_fork] = ACTIONS(1834),
    [anon_sym_getppid] = ACTIONS(1834),
    [anon_sym_time] = ACTIONS(1834),
    [anon_sym_times] = ACTIONS(1834),
    [anon_sym_wait] = ACTIONS(1834),
    [anon_sym_wantarray] = ACTIONS(1834),
    [anon_sym_abs] = ACTIONS(1834),
    [anon_sym_alarm] = ACTIONS(1834),
    [anon_sym_chop] = ACTIONS(1834),
    [anon_sym_chdir] = ACTIONS(1834),
    [anon_sym_close] = ACTIONS(1834),
    [anon_sym_closedir] = ACTIONS(1834),
    [anon_sym_caller] = ACTIONS(1834),
    [anon_sym_chomp] = ACTIONS(1834),
    [anon_sym_chr] = ACTIONS(1834),
    [anon_sym_cos] = ACTIONS(1834),
    [anon_sym_chroot] = ACTIONS(1834),
    [anon_sym_defined] = ACTIONS(1834),
    [anon_sym_delete] = ACTIONS(1834),
    [anon_sym_dbmclose] = ACTIONS(1834),
    [anon_sym_exists] = ACTIONS(1834),
    [anon_sym_exit] = ACTIONS(1834),
    [anon_sym_eof] = ACTIONS(1834),
    [anon_sym_exp] = ACTIONS(1834),
    [anon_sym_each] = ACTIONS(1834),
    [anon_sym_fc] = ACTIONS(1834),
    [anon_sym_fileno] = ACTIONS(1834),
    [anon_sym_gmtime] = ACTIONS(1834),
    [anon_sym_getc] = ACTIONS(1834),
    [anon_sym_getpgrp] = ACTIONS(1834),
    [anon_sym_getprotobyname] = ACTIONS(1834),
    [anon_sym_getpwname] = ACTIONS(1834),
    [anon_sym_getpwuid] = ACTIONS(1834),
    [anon_sym_getpeername] = ACTIONS(1834),
    [anon_sym_getnetbyname] = ACTIONS(1834),
    [anon_sym_getsockname] = ACTIONS(1834),
    [anon_sym_getgrnam] = ACTIONS(1834),
    [anon_sym_getgrgid] = ACTIONS(1834),
    [anon_sym_hex] = ACTIONS(1834),
    [anon_sym_int] = ACTIONS(1834),
    [anon_sym_keys] = ACTIONS(1834),
    [anon_sym_lc] = ACTIONS(1834),
    [anon_sym_lcfirst] = ACTIONS(1834),
    [anon_sym_length] = ACTIONS(1834),
    [anon_sym_localtime] = ACTIONS(1834),
    [anon_sym_log] = ACTIONS(1834),
    [anon_sym_lock] = ACTIONS(1834),
    [anon_sym_lstat] = ACTIONS(1834),
    [anon_sym_oct] = ACTIONS(1834),
    [anon_sym_ord] = ACTIONS(1834),
    [anon_sym_prototype] = ACTIONS(1834),
    [anon_sym_pop] = ACTIONS(1834),
    [anon_sym_pos] = ACTIONS(1834),
    [anon_sym_quotemeta] = ACTIONS(1834),
    [anon_sym_reset] = ACTIONS(1834),
    [anon_sym_rand] = ACTIONS(1834),
    [anon_sym_rmdir] = ACTIONS(1834),
    [anon_sym_readdir] = ACTIONS(1834),
    [anon_sym_readline] = ACTIONS(1834),
    [anon_sym_readpipe] = ACTIONS(1834),
    [anon_sym_rewinddir] = ACTIONS(1834),
    [anon_sym_readlink] = ACTIONS(1834),
    [anon_sym_ref] = ACTIONS(1834),
    [anon_sym_scalar] = ACTIONS(1834),
    [anon_sym_shift] = ACTIONS(1834),
    [anon_sym_sin] = ACTIONS(1834),
    [anon_sym_sleep] = ACTIONS(1834),
    [anon_sym_sqrt] = ACTIONS(1834),
    [anon_sym_srand] = ACTIONS(1834),
    [anon_sym_stat] = ACTIONS(1834),
    [anon_sym_study] = ACTIONS(1834),
    [anon_sym_tell] = ACTIONS(1834),
    [anon_sym_telldir] = ACTIONS(1834),
    [anon_sym_tied] = ACTIONS(1834),
    [anon_sym_uc] = ACTIONS(1834),
    [anon_sym_ucfirst] = ACTIONS(1834),
    [anon_sym_untie] = ACTIONS(1834),
    [anon_sym_umask] = ACTIONS(1834),
    [anon_sym_values] = ACTIONS(1834),
    [anon_sym_write] = ACTIONS(1834),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1834),
    [anon_sym___END__] = ACTIONS(1834),
    [anon_sym_EOT] = ACTIONS(1834),
    [anon_sym_q] = ACTIONS(1834),
    [anon_sym_qq] = ACTIONS(1834),
    [anon_sym_qw] = ACTIONS(1834),
    [anon_sym_qx] = ACTIONS(1834),
    [anon_sym_qr] = ACTIONS(1834),
    [anon_sym_m] = ACTIONS(1834),
    [anon_sym_s] = ACTIONS(1834),
    [anon_sym_tr] = ACTIONS(1834),
    [anon_sym_y] = ACTIONS(1834),
    [anon_sym_if] = ACTIONS(1834),
    [anon_sym_unless] = ACTIONS(1834),
    [anon_sym_while] = ACTIONS(1834),
    [anon_sym_until] = ACTIONS(1834),
    [aux_sym__bareword_token1] = ACTIONS(1834),
    [sym_number] = ACTIONS(1834),
    [anon_sym_true] = ACTIONS(1834),
    [anon_sym_false] = ACTIONS(1834),
    [sym__single_quote] = ACTIONS(1836),
    [sym__double_quote] = ACTIONS(1836),
    [sym__backtick_quote] = ACTIONS(1836),
    [sym__search_slash_quote] = ACTIONS(1836),
    [sym__no_search_slash_plz] = ACTIONS(1836),
    [sym__open_readline_bracket] = ACTIONS(1836),
    [sym__open_fileglob_bracket] = ACTIONS(1836),
    [sym__PERLY_SEMICOLON] = ACTIONS(1836),
    [sym__PERLY_HEREDOC] = ACTIONS(1836),
    [sym__ctrl_z_hack] = ACTIONS(1836),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1836),
    [sym__filetest] = ACTIONS(1836),
  },
  [689] = {
    [sym_heredoc_content] = STATE(689),
    [sym__identifier] = ACTIONS(1661),
    [anon_sym_LBRACE] = ACTIONS(1661),
    [anon_sym_RBRACE] = ACTIONS(1661),
    [anon_sym_SEMI] = ACTIONS(1661),
    [anon_sym_DOLLAR] = ACTIONS(1661),
    [anon_sym_EQ] = ACTIONS(1661),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1661),
    [anon_sym_AT] = ACTIONS(1661),
    [anon_sym_COMMA] = ACTIONS(1661),
    [anon_sym_RPAREN] = ACTIONS(1661),
    [anon_sym_my] = ACTIONS(1661),
    [anon_sym_extended] = ACTIONS(1661),
    [anon_sym_async] = ACTIONS(1661),
    [anon_sym_sub] = ACTIONS(1661),
    [anon_sym_method] = ACTIONS(1661),
    [anon_sym_LPAREN] = ACTIONS(1661),
    [anon_sym_continue] = ACTIONS(1661),
    [anon_sym_state] = ACTIONS(1661),
    [anon_sym_our] = ACTIONS(1661),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1661),
    [anon_sym_and] = ACTIONS(1661),
    [anon_sym_or] = ACTIONS(1661),
    [anon_sym_xor] = ACTIONS(1661),
    [anon_sym_LBRACK] = ACTIONS(1661),
    [anon_sym_DASH_GT] = ACTIONS(1661),
    [anon_sym_PERCENT] = ACTIONS(1661),
    [anon_sym_GT] = ACTIONS(1661),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1661),
    [anon_sym_PLUS_EQ] = ACTIONS(1661),
    [anon_sym_DASH_EQ] = ACTIONS(1661),
    [anon_sym_DOT_EQ] = ACTIONS(1661),
    [anon_sym_STAR_EQ] = ACTIONS(1661),
    [anon_sym_SLASH_EQ] = ACTIONS(1661),
    [anon_sym_PERCENT_EQ] = ACTIONS(1661),
    [anon_sym_x_EQ] = ACTIONS(1661),
    [anon_sym_AMP_EQ] = ACTIONS(1661),
    [anon_sym_PIPE_EQ] = ACTIONS(1661),
    [anon_sym_CARET_EQ] = ACTIONS(1661),
    [anon_sym_LT_LT_EQ] = ACTIONS(1661),
    [anon_sym_GT_GT_EQ] = ACTIONS(1661),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1661),
    [anon_sym_DOT_DOT] = ACTIONS(1661),
    [anon_sym_STAR_STAR] = ACTIONS(1661),
    [anon_sym_PIPE_PIPE] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1661),
    [anon_sym_CARET_CARET] = ACTIONS(1661),
    [anon_sym_AMP_AMP] = ACTIONS(1661),
    [anon_sym_PIPE] = ACTIONS(1661),
    [anon_sym_CARET] = ACTIONS(1661),
    [anon_sym_AMP] = ACTIONS(1661),
    [anon_sym_GT_GT2] = ACTIONS(1661),
    [anon_sym_PLUS] = ACTIONS(1661),
    [anon_sym_DASH] = ACTIONS(1661),
    [anon_sym_DOT] = ACTIONS(1661),
    [anon_sym_STAR] = ACTIONS(1661),
    [anon_sym_SLASH] = ACTIONS(1661),
    [anon_sym_x] = ACTIONS(1661),
    [anon_sym_EQ_TILDE] = ACTIONS(1661),
    [anon_sym_BANG_TILDE] = ACTIONS(1661),
    [anon_sym_EQ_EQ] = ACTIONS(1661),
    [anon_sym_BANG_EQ] = ACTIONS(1661),
    [anon_sym_eq] = ACTIONS(1661),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1661),
    [anon_sym_equ] = ACTIONS(1661),
    [anon_sym_eqr] = ACTIONS(1661),
    [anon_sym_ne] = ACTIONS(1661),
    [anon_sym_LT_EQ_GT] = ACTIONS(1661),
    [anon_sym_cmp] = ACTIONS(1661),
    [anon_sym_TILDE_TILDE] = ACTIONS(1661),
    [anon_sym_LT] = ACTIONS(1661),
    [anon_sym_LT_EQ] = ACTIONS(1661),
    [anon_sym_GT_EQ] = ACTIONS(1661),
    [anon_sym_lt] = ACTIONS(1661),
    [anon_sym_le] = ACTIONS(1661),
    [anon_sym_ge] = ACTIONS(1661),
    [anon_sym_gt] = ACTIONS(1661),
    [anon_sym_isa] = ACTIONS(1661),
    [anon_sym_TILDE] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1661),
    [anon_sym_PLUS_PLUS] = ACTIONS(1661),
    [anon_sym_DASH_DASH] = ACTIONS(1661),
    [anon_sym_QMARK] = ACTIONS(1661),
    [anon_sym_BSLASH] = ACTIONS(1659),
    [anon_sym_do] = ACTIONS(1661),
    [anon_sym_eval] = ACTIONS(1661),
    [anon_sym_await] = ACTIONS(1661),
    [anon_sym_field] = ACTIONS(1661),
    [anon_sym_local] = ACTIONS(1661),
    [anon_sym_dynamically] = ACTIONS(1661),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1661),
    [anon_sym_require] = ACTIONS(1661),
    [anon_sym_map] = ACTIONS(1661),
    [anon_sym_grep] = ACTIONS(1661),
    [anon_sym_sort] = ACTIONS(1661),
    [anon_sym_goto] = ACTIONS(1661),
    [anon_sym_return] = ACTIONS(1661),
    [anon_sym_undef] = ACTIONS(1661),
    [anon_sym_PERCENT2] = ACTIONS(1661),
    [anon_sym_AMP2] = ACTIONS(1661),
    [anon_sym_STAR2] = ACTIONS(1661),
    [anon_sym_EQ_GT] = ACTIONS(1661),
    [anon_sym_for] = ACTIONS(1661),
    [anon_sym_foreach] = ACTIONS(1661),
    [anon_sym_last] = ACTIONS(1661),
    [anon_sym_next] = ACTIONS(1661),
    [anon_sym_redo] = ACTIONS(1661),
    [anon_sym___FILE__] = ACTIONS(1661),
    [anon_sym___LINE__] = ACTIONS(1661),
    [anon_sym___PACKAGE__] = ACTIONS(1661),
    [anon_sym___SUB__] = ACTIONS(1661),
    [anon_sym_break] = ACTIONS(1661),
    [anon_sym_fork] = ACTIONS(1661),
    [anon_sym_getppid] = ACTIONS(1661),
    [anon_sym_time] = ACTIONS(1661),
    [anon_sym_times] = ACTIONS(1661),
    [anon_sym_wait] = ACTIONS(1661),
    [anon_sym_wantarray] = ACTIONS(1661),
    [anon_sym_abs] = ACTIONS(1661),
    [anon_sym_alarm] = ACTIONS(1661),
    [anon_sym_chop] = ACTIONS(1661),
    [anon_sym_chdir] = ACTIONS(1661),
    [anon_sym_close] = ACTIONS(1661),
    [anon_sym_closedir] = ACTIONS(1661),
    [anon_sym_caller] = ACTIONS(1661),
    [anon_sym_chomp] = ACTIONS(1661),
    [anon_sym_chr] = ACTIONS(1661),
    [anon_sym_cos] = ACTIONS(1661),
    [anon_sym_chroot] = ACTIONS(1661),
    [anon_sym_defined] = ACTIONS(1661),
    [anon_sym_delete] = ACTIONS(1661),
    [anon_sym_dbmclose] = ACTIONS(1661),
    [anon_sym_exists] = ACTIONS(1661),
    [anon_sym_exit] = ACTIONS(1661),
    [anon_sym_eof] = ACTIONS(1661),
    [anon_sym_exp] = ACTIONS(1661),
    [anon_sym_each] = ACTIONS(1661),
    [anon_sym_fc] = ACTIONS(1661),
    [anon_sym_fileno] = ACTIONS(1661),
    [anon_sym_gmtime] = ACTIONS(1661),
    [anon_sym_getc] = ACTIONS(1661),
    [anon_sym_getpgrp] = ACTIONS(1661),
    [anon_sym_getprotobyname] = ACTIONS(1661),
    [anon_sym_getpwname] = ACTIONS(1661),
    [anon_sym_getpwuid] = ACTIONS(1661),
    [anon_sym_getpeername] = ACTIONS(1661),
    [anon_sym_getnetbyname] = ACTIONS(1661),
    [anon_sym_getsockname] = ACTIONS(1661),
    [anon_sym_getgrnam] = ACTIONS(1661),
    [anon_sym_getgrgid] = ACTIONS(1661),
    [anon_sym_hex] = ACTIONS(1661),
    [anon_sym_int] = ACTIONS(1661),
    [anon_sym_keys] = ACTIONS(1661),
    [anon_sym_lc] = ACTIONS(1661),
    [anon_sym_lcfirst] = ACTIONS(1661),
    [anon_sym_length] = ACTIONS(1661),
    [anon_sym_localtime] = ACTIONS(1661),
    [anon_sym_log] = ACTIONS(1661),
    [anon_sym_lock] = ACTIONS(1661),
    [anon_sym_lstat] = ACTIONS(1661),
    [anon_sym_oct] = ACTIONS(1661),
    [anon_sym_ord] = ACTIONS(1661),
    [anon_sym_prototype] = ACTIONS(1661),
    [anon_sym_pop] = ACTIONS(1661),
    [anon_sym_pos] = ACTIONS(1661),
    [anon_sym_quotemeta] = ACTIONS(1661),
    [anon_sym_reset] = ACTIONS(1661),
    [anon_sym_rand] = ACTIONS(1661),
    [anon_sym_rmdir] = ACTIONS(1661),
    [anon_sym_readdir] = ACTIONS(1661),
    [anon_sym_readline] = ACTIONS(1661),
    [anon_sym_readpipe] = ACTIONS(1661),
    [anon_sym_rewinddir] = ACTIONS(1661),
    [anon_sym_readlink] = ACTIONS(1661),
    [anon_sym_ref] = ACTIONS(1661),
    [anon_sym_scalar] = ACTIONS(1661),
    [anon_sym_shift] = ACTIONS(1661),
    [anon_sym_sin] = ACTIONS(1661),
    [anon_sym_sleep] = ACTIONS(1661),
    [anon_sym_sqrt] = ACTIONS(1661),
    [anon_sym_srand] = ACTIONS(1661),
    [anon_sym_stat] = ACTIONS(1661),
    [anon_sym_study] = ACTIONS(1661),
    [anon_sym_tell] = ACTIONS(1661),
    [anon_sym_telldir] = ACTIONS(1661),
    [anon_sym_tied] = ACTIONS(1661),
    [anon_sym_uc] = ACTIONS(1661),
    [anon_sym_ucfirst] = ACTIONS(1661),
    [anon_sym_untie] = ACTIONS(1661),
    [anon_sym_umask] = ACTIONS(1661),
    [anon_sym_values] = ACTIONS(1661),
    [anon_sym_write] = ACTIONS(1661),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1661),
    [anon_sym___END__] = ACTIONS(1661),
    [anon_sym_EOT] = ACTIONS(1661),
    [anon_sym_q] = ACTIONS(1661),
    [anon_sym_qq] = ACTIONS(1661),
    [anon_sym_qw] = ACTIONS(1661),
    [anon_sym_qx] = ACTIONS(1661),
    [anon_sym_qr] = ACTIONS(1661),
    [anon_sym_m] = ACTIONS(1661),
    [anon_sym_s] = ACTIONS(1661),
    [anon_sym_tr] = ACTIONS(1661),
    [anon_sym_y] = ACTIONS(1661),
    [anon_sym_if] = ACTIONS(1661),
    [anon_sym_unless] = ACTIONS(1661),
    [anon_sym_while] = ACTIONS(1661),
    [anon_sym_until] = ACTIONS(1661),
    [aux_sym__bareword_token1] = ACTIONS(1661),
    [sym_number] = ACTIONS(1661),
    [anon_sym_true] = ACTIONS(1661),
    [anon_sym_false] = ACTIONS(1661),
    [sym__single_quote] = ACTIONS(1659),
    [sym__double_quote] = ACTIONS(1659),
    [sym__backtick_quote] = ACTIONS(1659),
    [sym__search_slash_quote] = ACTIONS(1659),
    [sym__no_search_slash_plz] = ACTIONS(1659),
    [sym__open_readline_bracket] = ACTIONS(1659),
    [sym__open_fileglob_bracket] = ACTIONS(1659),
    [sym__PERLY_SEMICOLON] = ACTIONS(1659),
    [sym__PERLY_HEREDOC] = ACTIONS(1659),
    [sym__ctrl_z_hack] = ACTIONS(1659),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1659),
    [sym__filetest] = ACTIONS(1659),
  },
  [690] = {
    [sym_heredoc_content] = STATE(690),
    [sym__identifier] = ACTIONS(1838),
    [anon_sym_LBRACE] = ACTIONS(1838),
    [anon_sym_RBRACE] = ACTIONS(1840),
    [anon_sym_SEMI] = ACTIONS(1840),
    [anon_sym_DOLLAR] = ACTIONS(1838),
    [anon_sym_EQ] = ACTIONS(1840),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1840),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1840),
    [anon_sym_AT] = ACTIONS(1838),
    [anon_sym_COMMA] = ACTIONS(1840),
    [anon_sym_RPAREN] = ACTIONS(1840),
    [anon_sym_my] = ACTIONS(1838),
    [anon_sym_extended] = ACTIONS(1838),
    [anon_sym_async] = ACTIONS(1838),
    [anon_sym_sub] = ACTIONS(1838),
    [anon_sym_method] = ACTIONS(1838),
    [anon_sym_LPAREN] = ACTIONS(1838),
    [anon_sym_continue] = ACTIONS(1838),
    [anon_sym_state] = ACTIONS(1838),
    [anon_sym_our] = ACTIONS(1838),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1840),
    [anon_sym_and] = ACTIONS(1840),
    [anon_sym_or] = ACTIONS(1840),
    [anon_sym_xor] = ACTIONS(1840),
    [anon_sym_LBRACK] = ACTIONS(1838),
    [anon_sym_DASH_GT] = ACTIONS(1840),
    [anon_sym_PERCENT] = ACTIONS(1840),
    [anon_sym_GT] = ACTIONS(1840),
    [anon_sym_LT_LT] = ACTIONS(1842),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1840),
    [anon_sym_PLUS_EQ] = ACTIONS(1840),
    [anon_sym_DASH_EQ] = ACTIONS(1840),
    [anon_sym_DOT_EQ] = ACTIONS(1840),
    [anon_sym_STAR_EQ] = ACTIONS(1840),
    [anon_sym_SLASH_EQ] = ACTIONS(1840),
    [anon_sym_PERCENT_EQ] = ACTIONS(1840),
    [anon_sym_x_EQ] = ACTIONS(1840),
    [anon_sym_AMP_EQ] = ACTIONS(1840),
    [anon_sym_PIPE_EQ] = ACTIONS(1840),
    [anon_sym_CARET_EQ] = ACTIONS(1840),
    [anon_sym_LT_LT_EQ] = ACTIONS(1840),
    [anon_sym_GT_GT_EQ] = ACTIONS(1840),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1840),
    [anon_sym_DOT_DOT] = ACTIONS(1840),
    [anon_sym_STAR_STAR] = ACTIONS(1840),
    [anon_sym_PIPE_PIPE] = ACTIONS(1840),
    [anon_sym_SLASH_SLASH] = ACTIONS(1842),
    [anon_sym_CARET_CARET] = ACTIONS(1840),
    [anon_sym_AMP_AMP] = ACTIONS(1840),
    [anon_sym_PIPE] = ACTIONS(1840),
    [anon_sym_CARET] = ACTIONS(1840),
    [anon_sym_AMP] = ACTIONS(1840),
    [anon_sym_GT_GT2] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1842),
    [anon_sym_DASH] = ACTIONS(1842),
    [anon_sym_DOT] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1840),
    [anon_sym_SLASH] = ACTIONS(1840),
    [anon_sym_x] = ACTIONS(1840),
    [anon_sym_EQ_TILDE] = ACTIONS(1840),
    [anon_sym_BANG_TILDE] = ACTIONS(1840),
    [anon_sym_EQ_EQ] = ACTIONS(1840),
    [anon_sym_BANG_EQ] = ACTIONS(1840),
    [anon_sym_eq] = ACTIONS(1840),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1840),
    [anon_sym_equ] = ACTIONS(1840),
    [anon_sym_eqr] = ACTIONS(1840),
    [anon_sym_ne] = ACTIONS(1840),
    [anon_sym_LT_EQ_GT] = ACTIONS(1840),
    [anon_sym_cmp] = ACTIONS(1840),
    [anon_sym_TILDE_TILDE] = ACTIONS(1840),
    [anon_sym_LT] = ACTIONS(1840),
    [anon_sym_LT_EQ] = ACTIONS(1840),
    [anon_sym_GT_EQ] = ACTIONS(1840),
    [anon_sym_lt] = ACTIONS(1840),
    [anon_sym_le] = ACTIONS(1840),
    [anon_sym_ge] = ACTIONS(1840),
    [anon_sym_gt] = ACTIONS(1840),
    [anon_sym_isa] = ACTIONS(1840),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_PLUS_PLUS] = ACTIONS(1842),
    [anon_sym_DASH_DASH] = ACTIONS(1842),
    [anon_sym_QMARK] = ACTIONS(1840),
    [anon_sym_BSLASH] = ACTIONS(1845),
    [anon_sym_do] = ACTIONS(1838),
    [anon_sym_eval] = ACTIONS(1838),
    [anon_sym_await] = ACTIONS(1838),
    [anon_sym_field] = ACTIONS(1838),
    [anon_sym_local] = ACTIONS(1838),
    [anon_sym_dynamically] = ACTIONS(1838),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1838),
    [anon_sym_require] = ACTIONS(1838),
    [anon_sym_map] = ACTIONS(1838),
    [anon_sym_grep] = ACTIONS(1838),
    [anon_sym_sort] = ACTIONS(1838),
    [anon_sym_goto] = ACTIONS(1838),
    [anon_sym_return] = ACTIONS(1838),
    [anon_sym_undef] = ACTIONS(1838),
    [anon_sym_PERCENT2] = ACTIONS(1838),
    [anon_sym_AMP2] = ACTIONS(1838),
    [anon_sym_STAR2] = ACTIONS(1838),
    [anon_sym_EQ_GT] = ACTIONS(1840),
    [anon_sym_for] = ACTIONS(1840),
    [anon_sym_foreach] = ACTIONS(1840),
    [anon_sym_last] = ACTIONS(1838),
    [anon_sym_next] = ACTIONS(1838),
    [anon_sym_redo] = ACTIONS(1838),
    [anon_sym___FILE__] = ACTIONS(1838),
    [anon_sym___LINE__] = ACTIONS(1838),
    [anon_sym___PACKAGE__] = ACTIONS(1838),
    [anon_sym___SUB__] = ACTIONS(1838),
    [anon_sym_break] = ACTIONS(1838),
    [anon_sym_fork] = ACTIONS(1838),
    [anon_sym_getppid] = ACTIONS(1838),
    [anon_sym_time] = ACTIONS(1838),
    [anon_sym_times] = ACTIONS(1838),
    [anon_sym_wait] = ACTIONS(1838),
    [anon_sym_wantarray] = ACTIONS(1838),
    [anon_sym_abs] = ACTIONS(1838),
    [anon_sym_alarm] = ACTIONS(1838),
    [anon_sym_chop] = ACTIONS(1838),
    [anon_sym_chdir] = ACTIONS(1838),
    [anon_sym_close] = ACTIONS(1838),
    [anon_sym_closedir] = ACTIONS(1838),
    [anon_sym_caller] = ACTIONS(1838),
    [anon_sym_chomp] = ACTIONS(1838),
    [anon_sym_chr] = ACTIONS(1838),
    [anon_sym_cos] = ACTIONS(1838),
    [anon_sym_chroot] = ACTIONS(1838),
    [anon_sym_defined] = ACTIONS(1838),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_dbmclose] = ACTIONS(1838),
    [anon_sym_exists] = ACTIONS(1838),
    [anon_sym_exit] = ACTIONS(1838),
    [anon_sym_eof] = ACTIONS(1838),
    [anon_sym_exp] = ACTIONS(1838),
    [anon_sym_each] = ACTIONS(1838),
    [anon_sym_fc] = ACTIONS(1838),
    [anon_sym_fileno] = ACTIONS(1838),
    [anon_sym_gmtime] = ACTIONS(1838),
    [anon_sym_getc] = ACTIONS(1838),
    [anon_sym_getpgrp] = ACTIONS(1838),
    [anon_sym_getprotobyname] = ACTIONS(1838),
    [anon_sym_getpwname] = ACTIONS(1838),
    [anon_sym_getpwuid] = ACTIONS(1838),
    [anon_sym_getpeername] = ACTIONS(1838),
    [anon_sym_getnetbyname] = ACTIONS(1838),
    [anon_sym_getsockname] = ACTIONS(1838),
    [anon_sym_getgrnam] = ACTIONS(1838),
    [anon_sym_getgrgid] = ACTIONS(1838),
    [anon_sym_hex] = ACTIONS(1838),
    [anon_sym_int] = ACTIONS(1838),
    [anon_sym_keys] = ACTIONS(1838),
    [anon_sym_lc] = ACTIONS(1838),
    [anon_sym_lcfirst] = ACTIONS(1838),
    [anon_sym_length] = ACTIONS(1838),
    [anon_sym_localtime] = ACTIONS(1838),
    [anon_sym_log] = ACTIONS(1838),
    [anon_sym_lock] = ACTIONS(1838),
    [anon_sym_lstat] = ACTIONS(1838),
    [anon_sym_oct] = ACTIONS(1838),
    [anon_sym_ord] = ACTIONS(1838),
    [anon_sym_prototype] = ACTIONS(1838),
    [anon_sym_pop] = ACTIONS(1838),
    [anon_sym_pos] = ACTIONS(1838),
    [anon_sym_quotemeta] = ACTIONS(1838),
    [anon_sym_reset] = ACTIONS(1838),
    [anon_sym_rand] = ACTIONS(1838),
    [anon_sym_rmdir] = ACTIONS(1838),
    [anon_sym_readdir] = ACTIONS(1838),
    [anon_sym_readline] = ACTIONS(1838),
    [anon_sym_readpipe] = ACTIONS(1838),
    [anon_sym_rewinddir] = ACTIONS(1838),
    [anon_sym_readlink] = ACTIONS(1838),
    [anon_sym_ref] = ACTIONS(1838),
    [anon_sym_scalar] = ACTIONS(1838),
    [anon_sym_shift] = ACTIONS(1838),
    [anon_sym_sin] = ACTIONS(1838),
    [anon_sym_sleep] = ACTIONS(1838),
    [anon_sym_sqrt] = ACTIONS(1838),
    [anon_sym_srand] = ACTIONS(1838),
    [anon_sym_stat] = ACTIONS(1838),
    [anon_sym_study] = ACTIONS(1838),
    [anon_sym_tell] = ACTIONS(1838),
    [anon_sym_telldir] = ACTIONS(1838),
    [anon_sym_tied] = ACTIONS(1838),
    [anon_sym_uc] = ACTIONS(1838),
    [anon_sym_ucfirst] = ACTIONS(1838),
    [anon_sym_untie] = ACTIONS(1838),
    [anon_sym_umask] = ACTIONS(1838),
    [anon_sym_values] = ACTIONS(1838),
    [anon_sym_write] = ACTIONS(1838),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1840),
    [anon_sym___END__] = ACTIONS(1840),
    [anon_sym_EOT] = ACTIONS(1840),
    [anon_sym_q] = ACTIONS(1838),
    [anon_sym_qq] = ACTIONS(1838),
    [anon_sym_qw] = ACTIONS(1838),
    [anon_sym_qx] = ACTIONS(1838),
    [anon_sym_qr] = ACTIONS(1838),
    [anon_sym_m] = ACTIONS(1838),
    [anon_sym_s] = ACTIONS(1838),
    [anon_sym_tr] = ACTIONS(1838),
    [anon_sym_y] = ACTIONS(1838),
    [anon_sym_if] = ACTIONS(1840),
    [anon_sym_unless] = ACTIONS(1840),
    [anon_sym_while] = ACTIONS(1840),
    [anon_sym_until] = ACTIONS(1840),
    [aux_sym__bareword_token1] = ACTIONS(1838),
    [sym_number] = ACTIONS(1838),
    [anon_sym_true] = ACTIONS(1838),
    [anon_sym_false] = ACTIONS(1838),
    [sym__single_quote] = ACTIONS(1845),
    [sym__double_quote] = ACTIONS(1845),
    [sym__backtick_quote] = ACTIONS(1845),
    [sym__search_slash_quote] = ACTIONS(1845),
    [sym__no_search_slash_plz] = ACTIONS(1847),
    [sym__open_readline_bracket] = ACTIONS(1845),
    [sym__open_fileglob_bracket] = ACTIONS(1845),
    [sym__PERLY_SEMICOLON] = ACTIONS(1849),
    [sym__PERLY_HEREDOC] = ACTIONS(1845),
    [sym__ctrl_z_hack] = ACTIONS(1849),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1845),
    [sym__filetest] = ACTIONS(1845),
  },
  [691] = {
    [sym_heredoc_content] = STATE(691),
    [sym__identifier] = ACTIONS(1851),
    [anon_sym_LBRACE] = ACTIONS(1851),
    [anon_sym_RBRACE] = ACTIONS(1851),
    [anon_sym_SEMI] = ACTIONS(1851),
    [anon_sym_DOLLAR] = ACTIONS(1851),
    [anon_sym_EQ] = ACTIONS(1851),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1851),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(1851),
    [anon_sym_COMMA] = ACTIONS(1851),
    [anon_sym_RPAREN] = ACTIONS(1851),
    [anon_sym_my] = ACTIONS(1851),
    [anon_sym_extended] = ACTIONS(1851),
    [anon_sym_async] = ACTIONS(1851),
    [anon_sym_sub] = ACTIONS(1851),
    [anon_sym_method] = ACTIONS(1851),
    [anon_sym_LPAREN] = ACTIONS(1851),
    [anon_sym_continue] = ACTIONS(1851),
    [anon_sym_state] = ACTIONS(1851),
    [anon_sym_our] = ACTIONS(1851),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1851),
    [anon_sym_and] = ACTIONS(1851),
    [anon_sym_or] = ACTIONS(1851),
    [anon_sym_xor] = ACTIONS(1851),
    [anon_sym_LBRACK] = ACTIONS(1851),
    [anon_sym_DASH_GT] = ACTIONS(1851),
    [anon_sym_PERCENT] = ACTIONS(1851),
    [anon_sym_GT] = ACTIONS(1851),
    [anon_sym_LT_LT] = ACTIONS(1851),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1851),
    [anon_sym_PLUS_EQ] = ACTIONS(1851),
    [anon_sym_DASH_EQ] = ACTIONS(1851),
    [anon_sym_DOT_EQ] = ACTIONS(1851),
    [anon_sym_STAR_EQ] = ACTIONS(1851),
    [anon_sym_SLASH_EQ] = ACTIONS(1851),
    [anon_sym_PERCENT_EQ] = ACTIONS(1851),
    [anon_sym_x_EQ] = ACTIONS(1851),
    [anon_sym_AMP_EQ] = ACTIONS(1851),
    [anon_sym_PIPE_EQ] = ACTIONS(1851),
    [anon_sym_CARET_EQ] = ACTIONS(1851),
    [anon_sym_LT_LT_EQ] = ACTIONS(1851),
    [anon_sym_GT_GT_EQ] = ACTIONS(1851),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1851),
    [anon_sym_DOT_DOT] = ACTIONS(1851),
    [anon_sym_STAR_STAR] = ACTIONS(1851),
    [anon_sym_PIPE_PIPE] = ACTIONS(1851),
    [anon_sym_SLASH_SLASH] = ACTIONS(1851),
    [anon_sym_CARET_CARET] = ACTIONS(1851),
    [anon_sym_AMP_AMP] = ACTIONS(1851),
    [anon_sym_PIPE] = ACTIONS(1851),
    [anon_sym_CARET] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym_GT_GT2] = ACTIONS(1851),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_DOT] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_SLASH] = ACTIONS(1851),
    [anon_sym_x] = ACTIONS(1851),
    [anon_sym_EQ_TILDE] = ACTIONS(1851),
    [anon_sym_BANG_TILDE] = ACTIONS(1851),
    [anon_sym_EQ_EQ] = ACTIONS(1851),
    [anon_sym_BANG_EQ] = ACTIONS(1851),
    [anon_sym_eq] = ACTIONS(1851),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1851),
    [anon_sym_equ] = ACTIONS(1851),
    [anon_sym_eqr] = ACTIONS(1851),
    [anon_sym_ne] = ACTIONS(1851),
    [anon_sym_LT_EQ_GT] = ACTIONS(1851),
    [anon_sym_cmp] = ACTIONS(1851),
    [anon_sym_TILDE_TILDE] = ACTIONS(1851),
    [anon_sym_LT] = ACTIONS(1851),
    [anon_sym_LT_EQ] = ACTIONS(1851),
    [anon_sym_GT_EQ] = ACTIONS(1851),
    [anon_sym_lt] = ACTIONS(1851),
    [anon_sym_le] = ACTIONS(1851),
    [anon_sym_ge] = ACTIONS(1851),
    [anon_sym_gt] = ACTIONS(1851),
    [anon_sym_isa] = ACTIONS(1851),
    [anon_sym_TILDE] = ACTIONS(1851),
    [anon_sym_BANG] = ACTIONS(1851),
    [anon_sym_PLUS_PLUS] = ACTIONS(1851),
    [anon_sym_DASH_DASH] = ACTIONS(1851),
    [anon_sym_QMARK] = ACTIONS(1851),
    [anon_sym_BSLASH] = ACTIONS(1853),
    [anon_sym_do] = ACTIONS(1851),
    [anon_sym_eval] = ACTIONS(1851),
    [anon_sym_await] = ACTIONS(1851),
    [anon_sym_field] = ACTIONS(1851),
    [anon_sym_local] = ACTIONS(1851),
    [anon_sym_dynamically] = ACTIONS(1851),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1851),
    [anon_sym_require] = ACTIONS(1851),
    [anon_sym_map] = ACTIONS(1851),
    [anon_sym_grep] = ACTIONS(1851),
    [anon_sym_sort] = ACTIONS(1851),
    [anon_sym_goto] = ACTIONS(1851),
    [anon_sym_return] = ACTIONS(1851),
    [anon_sym_undef] = ACTIONS(1851),
    [anon_sym_PERCENT2] = ACTIONS(1851),
    [anon_sym_AMP2] = ACTIONS(1851),
    [anon_sym_STAR2] = ACTIONS(1851),
    [anon_sym_EQ_GT] = ACTIONS(1851),
    [anon_sym_for] = ACTIONS(1851),
    [anon_sym_foreach] = ACTIONS(1851),
    [anon_sym_last] = ACTIONS(1851),
    [anon_sym_next] = ACTIONS(1851),
    [anon_sym_redo] = ACTIONS(1851),
    [anon_sym___FILE__] = ACTIONS(1851),
    [anon_sym___LINE__] = ACTIONS(1851),
    [anon_sym___PACKAGE__] = ACTIONS(1851),
    [anon_sym___SUB__] = ACTIONS(1851),
    [anon_sym_break] = ACTIONS(1851),
    [anon_sym_fork] = ACTIONS(1851),
    [anon_sym_getppid] = ACTIONS(1851),
    [anon_sym_time] = ACTIONS(1851),
    [anon_sym_times] = ACTIONS(1851),
    [anon_sym_wait] = ACTIONS(1851),
    [anon_sym_wantarray] = ACTIONS(1851),
    [anon_sym_abs] = ACTIONS(1851),
    [anon_sym_alarm] = ACTIONS(1851),
    [anon_sym_chop] = ACTIONS(1851),
    [anon_sym_chdir] = ACTIONS(1851),
    [anon_sym_close] = ACTIONS(1851),
    [anon_sym_closedir] = ACTIONS(1851),
    [anon_sym_caller] = ACTIONS(1851),
    [anon_sym_chomp] = ACTIONS(1851),
    [anon_sym_chr] = ACTIONS(1851),
    [anon_sym_cos] = ACTIONS(1851),
    [anon_sym_chroot] = ACTIONS(1851),
    [anon_sym_defined] = ACTIONS(1851),
    [anon_sym_delete] = ACTIONS(1851),
    [anon_sym_dbmclose] = ACTIONS(1851),
    [anon_sym_exists] = ACTIONS(1851),
    [anon_sym_exit] = ACTIONS(1851),
    [anon_sym_eof] = ACTIONS(1851),
    [anon_sym_exp] = ACTIONS(1851),
    [anon_sym_each] = ACTIONS(1851),
    [anon_sym_fc] = ACTIONS(1851),
    [anon_sym_fileno] = ACTIONS(1851),
    [anon_sym_gmtime] = ACTIONS(1851),
    [anon_sym_getc] = ACTIONS(1851),
    [anon_sym_getpgrp] = ACTIONS(1851),
    [anon_sym_getprotobyname] = ACTIONS(1851),
    [anon_sym_getpwname] = ACTIONS(1851),
    [anon_sym_getpwuid] = ACTIONS(1851),
    [anon_sym_getpeername] = ACTIONS(1851),
    [anon_sym_getnetbyname] = ACTIONS(1851),
    [anon_sym_getsockname] = ACTIONS(1851),
    [anon_sym_getgrnam] = ACTIONS(1851),
    [anon_sym_getgrgid] = ACTIONS(1851),
    [anon_sym_hex] = ACTIONS(1851),
    [anon_sym_int] = ACTIONS(1851),
    [anon_sym_keys] = ACTIONS(1851),
    [anon_sym_lc] = ACTIONS(1851),
    [anon_sym_lcfirst] = ACTIONS(1851),
    [anon_sym_length] = ACTIONS(1851),
    [anon_sym_localtime] = ACTIONS(1851),
    [anon_sym_log] = ACTIONS(1851),
    [anon_sym_lock] = ACTIONS(1851),
    [anon_sym_lstat] = ACTIONS(1851),
    [anon_sym_oct] = ACTIONS(1851),
    [anon_sym_ord] = ACTIONS(1851),
    [anon_sym_prototype] = ACTIONS(1851),
    [anon_sym_pop] = ACTIONS(1851),
    [anon_sym_pos] = ACTIONS(1851),
    [anon_sym_quotemeta] = ACTIONS(1851),
    [anon_sym_reset] = ACTIONS(1851),
    [anon_sym_rand] = ACTIONS(1851),
    [anon_sym_rmdir] = ACTIONS(1851),
    [anon_sym_readdir] = ACTIONS(1851),
    [anon_sym_readline] = ACTIONS(1851),
    [anon_sym_readpipe] = ACTIONS(1851),
    [anon_sym_rewinddir] = ACTIONS(1851),
    [anon_sym_readlink] = ACTIONS(1851),
    [anon_sym_ref] = ACTIONS(1851),
    [anon_sym_scalar] = ACTIONS(1851),
    [anon_sym_shift] = ACTIONS(1851),
    [anon_sym_sin] = ACTIONS(1851),
    [anon_sym_sleep] = ACTIONS(1851),
    [anon_sym_sqrt] = ACTIONS(1851),
    [anon_sym_srand] = ACTIONS(1851),
    [anon_sym_stat] = ACTIONS(1851),
    [anon_sym_study] = ACTIONS(1851),
    [anon_sym_tell] = ACTIONS(1851),
    [anon_sym_telldir] = ACTIONS(1851),
    [anon_sym_tied] = ACTIONS(1851),
    [anon_sym_uc] = ACTIONS(1851),
    [anon_sym_ucfirst] = ACTIONS(1851),
    [anon_sym_untie] = ACTIONS(1851),
    [anon_sym_umask] = ACTIONS(1851),
    [anon_sym_values] = ACTIONS(1851),
    [anon_sym_write] = ACTIONS(1851),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1851),
    [anon_sym___END__] = ACTIONS(1851),
    [anon_sym_EOT] = ACTIONS(1851),
    [anon_sym_q] = ACTIONS(1851),
    [anon_sym_qq] = ACTIONS(1851),
    [anon_sym_qw] = ACTIONS(1851),
    [anon_sym_qx] = ACTIONS(1851),
    [anon_sym_qr] = ACTIONS(1851),
    [anon_sym_m] = ACTIONS(1851),
    [anon_sym_s] = ACTIONS(1851),
    [anon_sym_tr] = ACTIONS(1851),
    [anon_sym_y] = ACTIONS(1851),
    [anon_sym_if] = ACTIONS(1851),
    [anon_sym_unless] = ACTIONS(1851),
    [anon_sym_while] = ACTIONS(1851),
    [anon_sym_until] = ACTIONS(1851),
    [aux_sym__bareword_token1] = ACTIONS(1851),
    [sym_number] = ACTIONS(1851),
    [anon_sym_true] = ACTIONS(1851),
    [anon_sym_false] = ACTIONS(1851),
    [sym__single_quote] = ACTIONS(1853),
    [sym__double_quote] = ACTIONS(1853),
    [sym__backtick_quote] = ACTIONS(1853),
    [sym__search_slash_quote] = ACTIONS(1853),
    [sym__no_search_slash_plz] = ACTIONS(1853),
    [sym__open_readline_bracket] = ACTIONS(1853),
    [sym__open_fileglob_bracket] = ACTIONS(1853),
    [sym__PERLY_SEMICOLON] = ACTIONS(1853),
    [sym__PERLY_HEREDOC] = ACTIONS(1853),
    [sym__ctrl_z_hack] = ACTIONS(1853),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1853),
    [sym__filetest] = ACTIONS(1853),
  },
  [692] = {
    [sym_heredoc_content] = STATE(692),
    [sym__identifier] = ACTIONS(1855),
    [anon_sym_LBRACE] = ACTIONS(1855),
    [anon_sym_RBRACE] = ACTIONS(1855),
    [anon_sym_SEMI] = ACTIONS(1855),
    [anon_sym_DOLLAR] = ACTIONS(1855),
    [anon_sym_EQ] = ACTIONS(1855),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1855),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1855),
    [anon_sym_AT] = ACTIONS(1855),
    [anon_sym_COMMA] = ACTIONS(1855),
    [anon_sym_RPAREN] = ACTIONS(1855),
    [anon_sym_my] = ACTIONS(1855),
    [anon_sym_extended] = ACTIONS(1855),
    [anon_sym_async] = ACTIONS(1855),
    [anon_sym_sub] = ACTIONS(1855),
    [anon_sym_method] = ACTIONS(1855),
    [anon_sym_LPAREN] = ACTIONS(1855),
    [anon_sym_continue] = ACTIONS(1855),
    [anon_sym_state] = ACTIONS(1855),
    [anon_sym_our] = ACTIONS(1855),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1855),
    [anon_sym_and] = ACTIONS(1855),
    [anon_sym_or] = ACTIONS(1855),
    [anon_sym_xor] = ACTIONS(1855),
    [anon_sym_LBRACK] = ACTIONS(1855),
    [anon_sym_DASH_GT] = ACTIONS(1855),
    [anon_sym_PERCENT] = ACTIONS(1855),
    [anon_sym_GT] = ACTIONS(1855),
    [anon_sym_LT_LT] = ACTIONS(1855),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1855),
    [anon_sym_PLUS_EQ] = ACTIONS(1855),
    [anon_sym_DASH_EQ] = ACTIONS(1855),
    [anon_sym_DOT_EQ] = ACTIONS(1855),
    [anon_sym_STAR_EQ] = ACTIONS(1855),
    [anon_sym_SLASH_EQ] = ACTIONS(1855),
    [anon_sym_PERCENT_EQ] = ACTIONS(1855),
    [anon_sym_x_EQ] = ACTIONS(1855),
    [anon_sym_AMP_EQ] = ACTIONS(1855),
    [anon_sym_PIPE_EQ] = ACTIONS(1855),
    [anon_sym_CARET_EQ] = ACTIONS(1855),
    [anon_sym_LT_LT_EQ] = ACTIONS(1855),
    [anon_sym_GT_GT_EQ] = ACTIONS(1855),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1855),
    [anon_sym_DOT_DOT] = ACTIONS(1855),
    [anon_sym_STAR_STAR] = ACTIONS(1855),
    [anon_sym_PIPE_PIPE] = ACTIONS(1855),
    [anon_sym_SLASH_SLASH] = ACTIONS(1855),
    [anon_sym_CARET_CARET] = ACTIONS(1855),
    [anon_sym_AMP_AMP] = ACTIONS(1855),
    [anon_sym_PIPE] = ACTIONS(1855),
    [anon_sym_CARET] = ACTIONS(1855),
    [anon_sym_AMP] = ACTIONS(1855),
    [anon_sym_GT_GT2] = ACTIONS(1855),
    [anon_sym_PLUS] = ACTIONS(1855),
    [anon_sym_DASH] = ACTIONS(1855),
    [anon_sym_DOT] = ACTIONS(1855),
    [anon_sym_STAR] = ACTIONS(1855),
    [anon_sym_SLASH] = ACTIONS(1855),
    [anon_sym_x] = ACTIONS(1855),
    [anon_sym_EQ_TILDE] = ACTIONS(1855),
    [anon_sym_BANG_TILDE] = ACTIONS(1855),
    [anon_sym_EQ_EQ] = ACTIONS(1855),
    [anon_sym_BANG_EQ] = ACTIONS(1855),
    [anon_sym_eq] = ACTIONS(1855),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1855),
    [anon_sym_equ] = ACTIONS(1855),
    [anon_sym_eqr] = ACTIONS(1855),
    [anon_sym_ne] = ACTIONS(1855),
    [anon_sym_LT_EQ_GT] = ACTIONS(1855),
    [anon_sym_cmp] = ACTIONS(1855),
    [anon_sym_TILDE_TILDE] = ACTIONS(1855),
    [anon_sym_LT] = ACTIONS(1855),
    [anon_sym_LT_EQ] = ACTIONS(1855),
    [anon_sym_GT_EQ] = ACTIONS(1855),
    [anon_sym_lt] = ACTIONS(1855),
    [anon_sym_le] = ACTIONS(1855),
    [anon_sym_ge] = ACTIONS(1855),
    [anon_sym_gt] = ACTIONS(1855),
    [anon_sym_isa] = ACTIONS(1855),
    [anon_sym_TILDE] = ACTIONS(1855),
    [anon_sym_BANG] = ACTIONS(1855),
    [anon_sym_PLUS_PLUS] = ACTIONS(1855),
    [anon_sym_DASH_DASH] = ACTIONS(1855),
    [anon_sym_QMARK] = ACTIONS(1855),
    [anon_sym_BSLASH] = ACTIONS(1857),
    [anon_sym_do] = ACTIONS(1855),
    [anon_sym_eval] = ACTIONS(1855),
    [anon_sym_await] = ACTIONS(1855),
    [anon_sym_field] = ACTIONS(1855),
    [anon_sym_local] = ACTIONS(1855),
    [anon_sym_dynamically] = ACTIONS(1855),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1855),
    [anon_sym_require] = ACTIONS(1855),
    [anon_sym_map] = ACTIONS(1855),
    [anon_sym_grep] = ACTIONS(1855),
    [anon_sym_sort] = ACTIONS(1855),
    [anon_sym_goto] = ACTIONS(1855),
    [anon_sym_return] = ACTIONS(1855),
    [anon_sym_undef] = ACTIONS(1855),
    [anon_sym_PERCENT2] = ACTIONS(1855),
    [anon_sym_AMP2] = ACTIONS(1855),
    [anon_sym_STAR2] = ACTIONS(1855),
    [anon_sym_EQ_GT] = ACTIONS(1855),
    [anon_sym_for] = ACTIONS(1855),
    [anon_sym_foreach] = ACTIONS(1855),
    [anon_sym_last] = ACTIONS(1855),
    [anon_sym_next] = ACTIONS(1855),
    [anon_sym_redo] = ACTIONS(1855),
    [anon_sym___FILE__] = ACTIONS(1855),
    [anon_sym___LINE__] = ACTIONS(1855),
    [anon_sym___PACKAGE__] = ACTIONS(1855),
    [anon_sym___SUB__] = ACTIONS(1855),
    [anon_sym_break] = ACTIONS(1855),
    [anon_sym_fork] = ACTIONS(1855),
    [anon_sym_getppid] = ACTIONS(1855),
    [anon_sym_time] = ACTIONS(1855),
    [anon_sym_times] = ACTIONS(1855),
    [anon_sym_wait] = ACTIONS(1855),
    [anon_sym_wantarray] = ACTIONS(1855),
    [anon_sym_abs] = ACTIONS(1855),
    [anon_sym_alarm] = ACTIONS(1855),
    [anon_sym_chop] = ACTIONS(1855),
    [anon_sym_chdir] = ACTIONS(1855),
    [anon_sym_close] = ACTIONS(1855),
    [anon_sym_closedir] = ACTIONS(1855),
    [anon_sym_caller] = ACTIONS(1855),
    [anon_sym_chomp] = ACTIONS(1855),
    [anon_sym_chr] = ACTIONS(1855),
    [anon_sym_cos] = ACTIONS(1855),
    [anon_sym_chroot] = ACTIONS(1855),
    [anon_sym_defined] = ACTIONS(1855),
    [anon_sym_delete] = ACTIONS(1855),
    [anon_sym_dbmclose] = ACTIONS(1855),
    [anon_sym_exists] = ACTIONS(1855),
    [anon_sym_exit] = ACTIONS(1855),
    [anon_sym_eof] = ACTIONS(1855),
    [anon_sym_exp] = ACTIONS(1855),
    [anon_sym_each] = ACTIONS(1855),
    [anon_sym_fc] = ACTIONS(1855),
    [anon_sym_fileno] = ACTIONS(1855),
    [anon_sym_gmtime] = ACTIONS(1855),
    [anon_sym_getc] = ACTIONS(1855),
    [anon_sym_getpgrp] = ACTIONS(1855),
    [anon_sym_getprotobyname] = ACTIONS(1855),
    [anon_sym_getpwname] = ACTIONS(1855),
    [anon_sym_getpwuid] = ACTIONS(1855),
    [anon_sym_getpeername] = ACTIONS(1855),
    [anon_sym_getnetbyname] = ACTIONS(1855),
    [anon_sym_getsockname] = ACTIONS(1855),
    [anon_sym_getgrnam] = ACTIONS(1855),
    [anon_sym_getgrgid] = ACTIONS(1855),
    [anon_sym_hex] = ACTIONS(1855),
    [anon_sym_int] = ACTIONS(1855),
    [anon_sym_keys] = ACTIONS(1855),
    [anon_sym_lc] = ACTIONS(1855),
    [anon_sym_lcfirst] = ACTIONS(1855),
    [anon_sym_length] = ACTIONS(1855),
    [anon_sym_localtime] = ACTIONS(1855),
    [anon_sym_log] = ACTIONS(1855),
    [anon_sym_lock] = ACTIONS(1855),
    [anon_sym_lstat] = ACTIONS(1855),
    [anon_sym_oct] = ACTIONS(1855),
    [anon_sym_ord] = ACTIONS(1855),
    [anon_sym_prototype] = ACTIONS(1855),
    [anon_sym_pop] = ACTIONS(1855),
    [anon_sym_pos] = ACTIONS(1855),
    [anon_sym_quotemeta] = ACTIONS(1855),
    [anon_sym_reset] = ACTIONS(1855),
    [anon_sym_rand] = ACTIONS(1855),
    [anon_sym_rmdir] = ACTIONS(1855),
    [anon_sym_readdir] = ACTIONS(1855),
    [anon_sym_readline] = ACTIONS(1855),
    [anon_sym_readpipe] = ACTIONS(1855),
    [anon_sym_rewinddir] = ACTIONS(1855),
    [anon_sym_readlink] = ACTIONS(1855),
    [anon_sym_ref] = ACTIONS(1855),
    [anon_sym_scalar] = ACTIONS(1855),
    [anon_sym_shift] = ACTIONS(1855),
    [anon_sym_sin] = ACTIONS(1855),
    [anon_sym_sleep] = ACTIONS(1855),
    [anon_sym_sqrt] = ACTIONS(1855),
    [anon_sym_srand] = ACTIONS(1855),
    [anon_sym_stat] = ACTIONS(1855),
    [anon_sym_study] = ACTIONS(1855),
    [anon_sym_tell] = ACTIONS(1855),
    [anon_sym_telldir] = ACTIONS(1855),
    [anon_sym_tied] = ACTIONS(1855),
    [anon_sym_uc] = ACTIONS(1855),
    [anon_sym_ucfirst] = ACTIONS(1855),
    [anon_sym_untie] = ACTIONS(1855),
    [anon_sym_umask] = ACTIONS(1855),
    [anon_sym_values] = ACTIONS(1855),
    [anon_sym_write] = ACTIONS(1855),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1855),
    [anon_sym___END__] = ACTIONS(1855),
    [anon_sym_EOT] = ACTIONS(1855),
    [anon_sym_q] = ACTIONS(1855),
    [anon_sym_qq] = ACTIONS(1855),
    [anon_sym_qw] = ACTIONS(1855),
    [anon_sym_qx] = ACTIONS(1855),
    [anon_sym_qr] = ACTIONS(1855),
    [anon_sym_m] = ACTIONS(1855),
    [anon_sym_s] = ACTIONS(1855),
    [anon_sym_tr] = ACTIONS(1855),
    [anon_sym_y] = ACTIONS(1855),
    [anon_sym_if] = ACTIONS(1855),
    [anon_sym_unless] = ACTIONS(1855),
    [anon_sym_while] = ACTIONS(1855),
    [anon_sym_until] = ACTIONS(1855),
    [aux_sym__bareword_token1] = ACTIONS(1855),
    [sym_number] = ACTIONS(1855),
    [anon_sym_true] = ACTIONS(1855),
    [anon_sym_false] = ACTIONS(1855),
    [sym__single_quote] = ACTIONS(1857),
    [sym__double_quote] = ACTIONS(1857),
    [sym__backtick_quote] = ACTIONS(1857),
    [sym__search_slash_quote] = ACTIONS(1857),
    [sym__no_search_slash_plz] = ACTIONS(1857),
    [sym__open_readline_bracket] = ACTIONS(1857),
    [sym__open_fileglob_bracket] = ACTIONS(1857),
    [sym__PERLY_SEMICOLON] = ACTIONS(1857),
    [sym__PERLY_HEREDOC] = ACTIONS(1857),
    [sym__ctrl_z_hack] = ACTIONS(1857),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1857),
    [sym__filetest] = ACTIONS(1857),
  },
  [693] = {
    [sym_heredoc_content] = STATE(693),
    [sym__identifier] = ACTIONS(1859),
    [anon_sym_LBRACE] = ACTIONS(1859),
    [anon_sym_RBRACE] = ACTIONS(1859),
    [anon_sym_SEMI] = ACTIONS(1859),
    [anon_sym_DOLLAR] = ACTIONS(1859),
    [anon_sym_EQ] = ACTIONS(1859),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1859),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(1859),
    [anon_sym_COMMA] = ACTIONS(1859),
    [anon_sym_RPAREN] = ACTIONS(1859),
    [anon_sym_my] = ACTIONS(1859),
    [anon_sym_extended] = ACTIONS(1859),
    [anon_sym_async] = ACTIONS(1859),
    [anon_sym_sub] = ACTIONS(1859),
    [anon_sym_method] = ACTIONS(1859),
    [anon_sym_LPAREN] = ACTIONS(1859),
    [anon_sym_continue] = ACTIONS(1859),
    [anon_sym_state] = ACTIONS(1859),
    [anon_sym_our] = ACTIONS(1859),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1859),
    [anon_sym_and] = ACTIONS(1859),
    [anon_sym_or] = ACTIONS(1859),
    [anon_sym_xor] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1859),
    [anon_sym_DASH_GT] = ACTIONS(1859),
    [anon_sym_PERCENT] = ACTIONS(1859),
    [anon_sym_GT] = ACTIONS(1859),
    [anon_sym_LT_LT] = ACTIONS(1859),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1859),
    [anon_sym_PLUS_EQ] = ACTIONS(1859),
    [anon_sym_DASH_EQ] = ACTIONS(1859),
    [anon_sym_DOT_EQ] = ACTIONS(1859),
    [anon_sym_STAR_EQ] = ACTIONS(1859),
    [anon_sym_SLASH_EQ] = ACTIONS(1859),
    [anon_sym_PERCENT_EQ] = ACTIONS(1859),
    [anon_sym_x_EQ] = ACTIONS(1859),
    [anon_sym_AMP_EQ] = ACTIONS(1859),
    [anon_sym_PIPE_EQ] = ACTIONS(1859),
    [anon_sym_CARET_EQ] = ACTIONS(1859),
    [anon_sym_LT_LT_EQ] = ACTIONS(1859),
    [anon_sym_GT_GT_EQ] = ACTIONS(1859),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1859),
    [anon_sym_DOT_DOT] = ACTIONS(1859),
    [anon_sym_STAR_STAR] = ACTIONS(1859),
    [anon_sym_PIPE_PIPE] = ACTIONS(1859),
    [anon_sym_SLASH_SLASH] = ACTIONS(1859),
    [anon_sym_CARET_CARET] = ACTIONS(1859),
    [anon_sym_AMP_AMP] = ACTIONS(1859),
    [anon_sym_PIPE] = ACTIONS(1859),
    [anon_sym_CARET] = ACTIONS(1859),
    [anon_sym_AMP] = ACTIONS(1859),
    [anon_sym_GT_GT2] = ACTIONS(1859),
    [anon_sym_PLUS] = ACTIONS(1859),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_DOT] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1859),
    [anon_sym_SLASH] = ACTIONS(1859),
    [anon_sym_x] = ACTIONS(1859),
    [anon_sym_EQ_TILDE] = ACTIONS(1859),
    [anon_sym_BANG_TILDE] = ACTIONS(1859),
    [anon_sym_EQ_EQ] = ACTIONS(1859),
    [anon_sym_BANG_EQ] = ACTIONS(1859),
    [anon_sym_eq] = ACTIONS(1859),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1859),
    [anon_sym_equ] = ACTIONS(1859),
    [anon_sym_eqr] = ACTIONS(1859),
    [anon_sym_ne] = ACTIONS(1859),
    [anon_sym_LT_EQ_GT] = ACTIONS(1859),
    [anon_sym_cmp] = ACTIONS(1859),
    [anon_sym_TILDE_TILDE] = ACTIONS(1859),
    [anon_sym_LT] = ACTIONS(1859),
    [anon_sym_LT_EQ] = ACTIONS(1859),
    [anon_sym_GT_EQ] = ACTIONS(1859),
    [anon_sym_lt] = ACTIONS(1859),
    [anon_sym_le] = ACTIONS(1859),
    [anon_sym_ge] = ACTIONS(1859),
    [anon_sym_gt] = ACTIONS(1859),
    [anon_sym_isa] = ACTIONS(1859),
    [anon_sym_TILDE] = ACTIONS(1859),
    [anon_sym_BANG] = ACTIONS(1859),
    [anon_sym_PLUS_PLUS] = ACTIONS(1859),
    [anon_sym_DASH_DASH] = ACTIONS(1859),
    [anon_sym_QMARK] = ACTIONS(1859),
    [anon_sym_BSLASH] = ACTIONS(1861),
    [anon_sym_do] = ACTIONS(1859),
    [anon_sym_eval] = ACTIONS(1859),
    [anon_sym_await] = ACTIONS(1859),
    [anon_sym_field] = ACTIONS(1859),
    [anon_sym_local] = ACTIONS(1859),
    [anon_sym_dynamically] = ACTIONS(1859),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1859),
    [anon_sym_require] = ACTIONS(1859),
    [anon_sym_map] = ACTIONS(1859),
    [anon_sym_grep] = ACTIONS(1859),
    [anon_sym_sort] = ACTIONS(1859),
    [anon_sym_goto] = ACTIONS(1859),
    [anon_sym_return] = ACTIONS(1859),
    [anon_sym_undef] = ACTIONS(1859),
    [anon_sym_PERCENT2] = ACTIONS(1859),
    [anon_sym_AMP2] = ACTIONS(1859),
    [anon_sym_STAR2] = ACTIONS(1859),
    [anon_sym_EQ_GT] = ACTIONS(1859),
    [anon_sym_for] = ACTIONS(1859),
    [anon_sym_foreach] = ACTIONS(1859),
    [anon_sym_last] = ACTIONS(1859),
    [anon_sym_next] = ACTIONS(1859),
    [anon_sym_redo] = ACTIONS(1859),
    [anon_sym___FILE__] = ACTIONS(1859),
    [anon_sym___LINE__] = ACTIONS(1859),
    [anon_sym___PACKAGE__] = ACTIONS(1859),
    [anon_sym___SUB__] = ACTIONS(1859),
    [anon_sym_break] = ACTIONS(1859),
    [anon_sym_fork] = ACTIONS(1859),
    [anon_sym_getppid] = ACTIONS(1859),
    [anon_sym_time] = ACTIONS(1859),
    [anon_sym_times] = ACTIONS(1859),
    [anon_sym_wait] = ACTIONS(1859),
    [anon_sym_wantarray] = ACTIONS(1859),
    [anon_sym_abs] = ACTIONS(1859),
    [anon_sym_alarm] = ACTIONS(1859),
    [anon_sym_chop] = ACTIONS(1859),
    [anon_sym_chdir] = ACTIONS(1859),
    [anon_sym_close] = ACTIONS(1859),
    [anon_sym_closedir] = ACTIONS(1859),
    [anon_sym_caller] = ACTIONS(1859),
    [anon_sym_chomp] = ACTIONS(1859),
    [anon_sym_chr] = ACTIONS(1859),
    [anon_sym_cos] = ACTIONS(1859),
    [anon_sym_chroot] = ACTIONS(1859),
    [anon_sym_defined] = ACTIONS(1859),
    [anon_sym_delete] = ACTIONS(1859),
    [anon_sym_dbmclose] = ACTIONS(1859),
    [anon_sym_exists] = ACTIONS(1859),
    [anon_sym_exit] = ACTIONS(1859),
    [anon_sym_eof] = ACTIONS(1859),
    [anon_sym_exp] = ACTIONS(1859),
    [anon_sym_each] = ACTIONS(1859),
    [anon_sym_fc] = ACTIONS(1859),
    [anon_sym_fileno] = ACTIONS(1859),
    [anon_sym_gmtime] = ACTIONS(1859),
    [anon_sym_getc] = ACTIONS(1859),
    [anon_sym_getpgrp] = ACTIONS(1859),
    [anon_sym_getprotobyname] = ACTIONS(1859),
    [anon_sym_getpwname] = ACTIONS(1859),
    [anon_sym_getpwuid] = ACTIONS(1859),
    [anon_sym_getpeername] = ACTIONS(1859),
    [anon_sym_getnetbyname] = ACTIONS(1859),
    [anon_sym_getsockname] = ACTIONS(1859),
    [anon_sym_getgrnam] = ACTIONS(1859),
    [anon_sym_getgrgid] = ACTIONS(1859),
    [anon_sym_hex] = ACTIONS(1859),
    [anon_sym_int] = ACTIONS(1859),
    [anon_sym_keys] = ACTIONS(1859),
    [anon_sym_lc] = ACTIONS(1859),
    [anon_sym_lcfirst] = ACTIONS(1859),
    [anon_sym_length] = ACTIONS(1859),
    [anon_sym_localtime] = ACTIONS(1859),
    [anon_sym_log] = ACTIONS(1859),
    [anon_sym_lock] = ACTIONS(1859),
    [anon_sym_lstat] = ACTIONS(1859),
    [anon_sym_oct] = ACTIONS(1859),
    [anon_sym_ord] = ACTIONS(1859),
    [anon_sym_prototype] = ACTIONS(1859),
    [anon_sym_pop] = ACTIONS(1859),
    [anon_sym_pos] = ACTIONS(1859),
    [anon_sym_quotemeta] = ACTIONS(1859),
    [anon_sym_reset] = ACTIONS(1859),
    [anon_sym_rand] = ACTIONS(1859),
    [anon_sym_rmdir] = ACTIONS(1859),
    [anon_sym_readdir] = ACTIONS(1859),
    [anon_sym_readline] = ACTIONS(1859),
    [anon_sym_readpipe] = ACTIONS(1859),
    [anon_sym_rewinddir] = ACTIONS(1859),
    [anon_sym_readlink] = ACTIONS(1859),
    [anon_sym_ref] = ACTIONS(1859),
    [anon_sym_scalar] = ACTIONS(1859),
    [anon_sym_shift] = ACTIONS(1859),
    [anon_sym_sin] = ACTIONS(1859),
    [anon_sym_sleep] = ACTIONS(1859),
    [anon_sym_sqrt] = ACTIONS(1859),
    [anon_sym_srand] = ACTIONS(1859),
    [anon_sym_stat] = ACTIONS(1859),
    [anon_sym_study] = ACTIONS(1859),
    [anon_sym_tell] = ACTIONS(1859),
    [anon_sym_telldir] = ACTIONS(1859),
    [anon_sym_tied] = ACTIONS(1859),
    [anon_sym_uc] = ACTIONS(1859),
    [anon_sym_ucfirst] = ACTIONS(1859),
    [anon_sym_untie] = ACTIONS(1859),
    [anon_sym_umask] = ACTIONS(1859),
    [anon_sym_values] = ACTIONS(1859),
    [anon_sym_write] = ACTIONS(1859),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1859),
    [anon_sym___END__] = ACTIONS(1859),
    [anon_sym_EOT] = ACTIONS(1859),
    [anon_sym_q] = ACTIONS(1859),
    [anon_sym_qq] = ACTIONS(1859),
    [anon_sym_qw] = ACTIONS(1859),
    [anon_sym_qx] = ACTIONS(1859),
    [anon_sym_qr] = ACTIONS(1859),
    [anon_sym_m] = ACTIONS(1859),
    [anon_sym_s] = ACTIONS(1859),
    [anon_sym_tr] = ACTIONS(1859),
    [anon_sym_y] = ACTIONS(1859),
    [anon_sym_if] = ACTIONS(1859),
    [anon_sym_unless] = ACTIONS(1859),
    [anon_sym_while] = ACTIONS(1859),
    [anon_sym_until] = ACTIONS(1859),
    [aux_sym__bareword_token1] = ACTIONS(1859),
    [sym_number] = ACTIONS(1859),
    [anon_sym_true] = ACTIONS(1859),
    [anon_sym_false] = ACTIONS(1859),
    [sym__single_quote] = ACTIONS(1861),
    [sym__double_quote] = ACTIONS(1861),
    [sym__backtick_quote] = ACTIONS(1861),
    [sym__search_slash_quote] = ACTIONS(1861),
    [sym__no_search_slash_plz] = ACTIONS(1861),
    [sym__open_readline_bracket] = ACTIONS(1861),
    [sym__open_fileglob_bracket] = ACTIONS(1861),
    [sym__PERLY_SEMICOLON] = ACTIONS(1861),
    [sym__PERLY_HEREDOC] = ACTIONS(1861),
    [sym__ctrl_z_hack] = ACTIONS(1861),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1861),
    [sym__filetest] = ACTIONS(1861),
  },
  [694] = {
    [sym_heredoc_content] = STATE(694),
    [sym__identifier] = ACTIONS(1863),
    [anon_sym_LBRACE] = ACTIONS(1863),
    [anon_sym_RBRACE] = ACTIONS(1863),
    [anon_sym_SEMI] = ACTIONS(1863),
    [anon_sym_DOLLAR] = ACTIONS(1863),
    [anon_sym_EQ] = ACTIONS(1863),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1863),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1863),
    [anon_sym_AT] = ACTIONS(1863),
    [anon_sym_COMMA] = ACTIONS(1863),
    [anon_sym_RPAREN] = ACTIONS(1863),
    [anon_sym_my] = ACTIONS(1863),
    [anon_sym_extended] = ACTIONS(1863),
    [anon_sym_async] = ACTIONS(1863),
    [anon_sym_sub] = ACTIONS(1863),
    [anon_sym_method] = ACTIONS(1863),
    [anon_sym_LPAREN] = ACTIONS(1863),
    [anon_sym_continue] = ACTIONS(1863),
    [anon_sym_state] = ACTIONS(1863),
    [anon_sym_our] = ACTIONS(1863),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1863),
    [anon_sym_and] = ACTIONS(1863),
    [anon_sym_or] = ACTIONS(1863),
    [anon_sym_xor] = ACTIONS(1863),
    [anon_sym_LBRACK] = ACTIONS(1863),
    [anon_sym_DASH_GT] = ACTIONS(1863),
    [anon_sym_PERCENT] = ACTIONS(1863),
    [anon_sym_GT] = ACTIONS(1863),
    [anon_sym_LT_LT] = ACTIONS(1863),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1863),
    [anon_sym_PLUS_EQ] = ACTIONS(1863),
    [anon_sym_DASH_EQ] = ACTIONS(1863),
    [anon_sym_DOT_EQ] = ACTIONS(1863),
    [anon_sym_STAR_EQ] = ACTIONS(1863),
    [anon_sym_SLASH_EQ] = ACTIONS(1863),
    [anon_sym_PERCENT_EQ] = ACTIONS(1863),
    [anon_sym_x_EQ] = ACTIONS(1863),
    [anon_sym_AMP_EQ] = ACTIONS(1863),
    [anon_sym_PIPE_EQ] = ACTIONS(1863),
    [anon_sym_CARET_EQ] = ACTIONS(1863),
    [anon_sym_LT_LT_EQ] = ACTIONS(1863),
    [anon_sym_GT_GT_EQ] = ACTIONS(1863),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1863),
    [anon_sym_DOT_DOT] = ACTIONS(1863),
    [anon_sym_STAR_STAR] = ACTIONS(1863),
    [anon_sym_PIPE_PIPE] = ACTIONS(1863),
    [anon_sym_SLASH_SLASH] = ACTIONS(1863),
    [anon_sym_CARET_CARET] = ACTIONS(1863),
    [anon_sym_AMP_AMP] = ACTIONS(1863),
    [anon_sym_PIPE] = ACTIONS(1863),
    [anon_sym_CARET] = ACTIONS(1863),
    [anon_sym_AMP] = ACTIONS(1863),
    [anon_sym_GT_GT2] = ACTIONS(1863),
    [anon_sym_PLUS] = ACTIONS(1863),
    [anon_sym_DASH] = ACTIONS(1863),
    [anon_sym_DOT] = ACTIONS(1863),
    [anon_sym_STAR] = ACTIONS(1863),
    [anon_sym_SLASH] = ACTIONS(1863),
    [anon_sym_x] = ACTIONS(1863),
    [anon_sym_EQ_TILDE] = ACTIONS(1863),
    [anon_sym_BANG_TILDE] = ACTIONS(1863),
    [anon_sym_EQ_EQ] = ACTIONS(1863),
    [anon_sym_BANG_EQ] = ACTIONS(1863),
    [anon_sym_eq] = ACTIONS(1863),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1863),
    [anon_sym_equ] = ACTIONS(1863),
    [anon_sym_eqr] = ACTIONS(1863),
    [anon_sym_ne] = ACTIONS(1863),
    [anon_sym_LT_EQ_GT] = ACTIONS(1863),
    [anon_sym_cmp] = ACTIONS(1863),
    [anon_sym_TILDE_TILDE] = ACTIONS(1863),
    [anon_sym_LT] = ACTIONS(1863),
    [anon_sym_LT_EQ] = ACTIONS(1863),
    [anon_sym_GT_EQ] = ACTIONS(1863),
    [anon_sym_lt] = ACTIONS(1863),
    [anon_sym_le] = ACTIONS(1863),
    [anon_sym_ge] = ACTIONS(1863),
    [anon_sym_gt] = ACTIONS(1863),
    [anon_sym_isa] = ACTIONS(1863),
    [anon_sym_TILDE] = ACTIONS(1863),
    [anon_sym_BANG] = ACTIONS(1863),
    [anon_sym_PLUS_PLUS] = ACTIONS(1863),
    [anon_sym_DASH_DASH] = ACTIONS(1863),
    [anon_sym_QMARK] = ACTIONS(1863),
    [anon_sym_BSLASH] = ACTIONS(1865),
    [anon_sym_do] = ACTIONS(1863),
    [anon_sym_eval] = ACTIONS(1863),
    [anon_sym_await] = ACTIONS(1863),
    [anon_sym_field] = ACTIONS(1863),
    [anon_sym_local] = ACTIONS(1863),
    [anon_sym_dynamically] = ACTIONS(1863),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1863),
    [anon_sym_require] = ACTIONS(1863),
    [anon_sym_map] = ACTIONS(1863),
    [anon_sym_grep] = ACTIONS(1863),
    [anon_sym_sort] = ACTIONS(1863),
    [anon_sym_goto] = ACTIONS(1863),
    [anon_sym_return] = ACTIONS(1863),
    [anon_sym_undef] = ACTIONS(1863),
    [anon_sym_PERCENT2] = ACTIONS(1863),
    [anon_sym_AMP2] = ACTIONS(1863),
    [anon_sym_STAR2] = ACTIONS(1863),
    [anon_sym_EQ_GT] = ACTIONS(1863),
    [anon_sym_for] = ACTIONS(1863),
    [anon_sym_foreach] = ACTIONS(1863),
    [anon_sym_last] = ACTIONS(1863),
    [anon_sym_next] = ACTIONS(1863),
    [anon_sym_redo] = ACTIONS(1863),
    [anon_sym___FILE__] = ACTIONS(1863),
    [anon_sym___LINE__] = ACTIONS(1863),
    [anon_sym___PACKAGE__] = ACTIONS(1863),
    [anon_sym___SUB__] = ACTIONS(1863),
    [anon_sym_break] = ACTIONS(1863),
    [anon_sym_fork] = ACTIONS(1863),
    [anon_sym_getppid] = ACTIONS(1863),
    [anon_sym_time] = ACTIONS(1863),
    [anon_sym_times] = ACTIONS(1863),
    [anon_sym_wait] = ACTIONS(1863),
    [anon_sym_wantarray] = ACTIONS(1863),
    [anon_sym_abs] = ACTIONS(1863),
    [anon_sym_alarm] = ACTIONS(1863),
    [anon_sym_chop] = ACTIONS(1863),
    [anon_sym_chdir] = ACTIONS(1863),
    [anon_sym_close] = ACTIONS(1863),
    [anon_sym_closedir] = ACTIONS(1863),
    [anon_sym_caller] = ACTIONS(1863),
    [anon_sym_chomp] = ACTIONS(1863),
    [anon_sym_chr] = ACTIONS(1863),
    [anon_sym_cos] = ACTIONS(1863),
    [anon_sym_chroot] = ACTIONS(1863),
    [anon_sym_defined] = ACTIONS(1863),
    [anon_sym_delete] = ACTIONS(1863),
    [anon_sym_dbmclose] = ACTIONS(1863),
    [anon_sym_exists] = ACTIONS(1863),
    [anon_sym_exit] = ACTIONS(1863),
    [anon_sym_eof] = ACTIONS(1863),
    [anon_sym_exp] = ACTIONS(1863),
    [anon_sym_each] = ACTIONS(1863),
    [anon_sym_fc] = ACTIONS(1863),
    [anon_sym_fileno] = ACTIONS(1863),
    [anon_sym_gmtime] = ACTIONS(1863),
    [anon_sym_getc] = ACTIONS(1863),
    [anon_sym_getpgrp] = ACTIONS(1863),
    [anon_sym_getprotobyname] = ACTIONS(1863),
    [anon_sym_getpwname] = ACTIONS(1863),
    [anon_sym_getpwuid] = ACTIONS(1863),
    [anon_sym_getpeername] = ACTIONS(1863),
    [anon_sym_getnetbyname] = ACTIONS(1863),
    [anon_sym_getsockname] = ACTIONS(1863),
    [anon_sym_getgrnam] = ACTIONS(1863),
    [anon_sym_getgrgid] = ACTIONS(1863),
    [anon_sym_hex] = ACTIONS(1863),
    [anon_sym_int] = ACTIONS(1863),
    [anon_sym_keys] = ACTIONS(1863),
    [anon_sym_lc] = ACTIONS(1863),
    [anon_sym_lcfirst] = ACTIONS(1863),
    [anon_sym_length] = ACTIONS(1863),
    [anon_sym_localtime] = ACTIONS(1863),
    [anon_sym_log] = ACTIONS(1863),
    [anon_sym_lock] = ACTIONS(1863),
    [anon_sym_lstat] = ACTIONS(1863),
    [anon_sym_oct] = ACTIONS(1863),
    [anon_sym_ord] = ACTIONS(1863),
    [anon_sym_prototype] = ACTIONS(1863),
    [anon_sym_pop] = ACTIONS(1863),
    [anon_sym_pos] = ACTIONS(1863),
    [anon_sym_quotemeta] = ACTIONS(1863),
    [anon_sym_reset] = ACTIONS(1863),
    [anon_sym_rand] = ACTIONS(1863),
    [anon_sym_rmdir] = ACTIONS(1863),
    [anon_sym_readdir] = ACTIONS(1863),
    [anon_sym_readline] = ACTIONS(1863),
    [anon_sym_readpipe] = ACTIONS(1863),
    [anon_sym_rewinddir] = ACTIONS(1863),
    [anon_sym_readlink] = ACTIONS(1863),
    [anon_sym_ref] = ACTIONS(1863),
    [anon_sym_scalar] = ACTIONS(1863),
    [anon_sym_shift] = ACTIONS(1863),
    [anon_sym_sin] = ACTIONS(1863),
    [anon_sym_sleep] = ACTIONS(1863),
    [anon_sym_sqrt] = ACTIONS(1863),
    [anon_sym_srand] = ACTIONS(1863),
    [anon_sym_stat] = ACTIONS(1863),
    [anon_sym_study] = ACTIONS(1863),
    [anon_sym_tell] = ACTIONS(1863),
    [anon_sym_telldir] = ACTIONS(1863),
    [anon_sym_tied] = ACTIONS(1863),
    [anon_sym_uc] = ACTIONS(1863),
    [anon_sym_ucfirst] = ACTIONS(1863),
    [anon_sym_untie] = ACTIONS(1863),
    [anon_sym_umask] = ACTIONS(1863),
    [anon_sym_values] = ACTIONS(1863),
    [anon_sym_write] = ACTIONS(1863),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1863),
    [anon_sym___END__] = ACTIONS(1863),
    [anon_sym_EOT] = ACTIONS(1863),
    [anon_sym_q] = ACTIONS(1863),
    [anon_sym_qq] = ACTIONS(1863),
    [anon_sym_qw] = ACTIONS(1863),
    [anon_sym_qx] = ACTIONS(1863),
    [anon_sym_qr] = ACTIONS(1863),
    [anon_sym_m] = ACTIONS(1863),
    [anon_sym_s] = ACTIONS(1863),
    [anon_sym_tr] = ACTIONS(1863),
    [anon_sym_y] = ACTIONS(1863),
    [anon_sym_if] = ACTIONS(1863),
    [anon_sym_unless] = ACTIONS(1863),
    [anon_sym_while] = ACTIONS(1863),
    [anon_sym_until] = ACTIONS(1863),
    [aux_sym__bareword_token1] = ACTIONS(1863),
    [sym_number] = ACTIONS(1863),
    [anon_sym_true] = ACTIONS(1863),
    [anon_sym_false] = ACTIONS(1863),
    [sym__single_quote] = ACTIONS(1865),
    [sym__double_quote] = ACTIONS(1865),
    [sym__backtick_quote] = ACTIONS(1865),
    [sym__search_slash_quote] = ACTIONS(1865),
    [sym__no_search_slash_plz] = ACTIONS(1865),
    [sym__open_readline_bracket] = ACTIONS(1865),
    [sym__open_fileglob_bracket] = ACTIONS(1865),
    [sym__PERLY_SEMICOLON] = ACTIONS(1865),
    [sym__PERLY_HEREDOC] = ACTIONS(1865),
    [sym__ctrl_z_hack] = ACTIONS(1865),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1865),
    [sym__filetest] = ACTIONS(1865),
  },
  [695] = {
    [sym_heredoc_content] = STATE(695),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_COLON] = ACTIONS(1869),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1883),
  },
  [696] = {
    [sym_heredoc_content] = STATE(696),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_COLON] = ACTIONS(1869),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1885),
  },
  [697] = {
    [sym_heredoc_content] = STATE(697),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_COLON] = ACTIONS(1869),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1887),
  },
  [698] = {
    [sym_heredoc_content] = STATE(698),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_RBRACE] = ACTIONS(1871),
    [anon_sym_COLON] = ACTIONS(1869),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
  },
  [699] = {
    [sym_heredoc_content] = STATE(699),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_RBRACE] = ACTIONS(1871),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_RPAREN] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
  },
  [700] = {
    [sym_heredoc_content] = STATE(700),
    [sym__identifier] = ACTIONS(1824),
    [anon_sym_LBRACE] = ACTIONS(1824),
    [anon_sym_RBRACE] = ACTIONS(1824),
    [anon_sym_SEMI] = ACTIONS(1824),
    [anon_sym_DOLLAR] = ACTIONS(1824),
    [anon_sym_EQ] = ACTIONS(1824),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1824),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1824),
    [anon_sym_AT] = ACTIONS(1824),
    [anon_sym_COMMA] = ACTIONS(1824),
    [anon_sym_RPAREN] = ACTIONS(1824),
    [anon_sym_my] = ACTIONS(1824),
    [anon_sym_extended] = ACTIONS(1824),
    [anon_sym_async] = ACTIONS(1824),
    [anon_sym_sub] = ACTIONS(1824),
    [anon_sym_method] = ACTIONS(1824),
    [anon_sym_LPAREN] = ACTIONS(1824),
    [anon_sym_continue] = ACTIONS(1824),
    [anon_sym_state] = ACTIONS(1824),
    [anon_sym_our] = ACTIONS(1824),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1824),
    [anon_sym_and] = ACTIONS(1824),
    [anon_sym_or] = ACTIONS(1824),
    [anon_sym_xor] = ACTIONS(1824),
    [anon_sym_LBRACK] = ACTIONS(1824),
    [anon_sym_DASH_GT] = ACTIONS(1824),
    [anon_sym_PERCENT] = ACTIONS(1824),
    [anon_sym_GT] = ACTIONS(1824),
    [anon_sym_LT_LT] = ACTIONS(1824),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1824),
    [anon_sym_PLUS_EQ] = ACTIONS(1824),
    [anon_sym_DASH_EQ] = ACTIONS(1824),
    [anon_sym_DOT_EQ] = ACTIONS(1824),
    [anon_sym_STAR_EQ] = ACTIONS(1824),
    [anon_sym_SLASH_EQ] = ACTIONS(1824),
    [anon_sym_PERCENT_EQ] = ACTIONS(1824),
    [anon_sym_x_EQ] = ACTIONS(1824),
    [anon_sym_AMP_EQ] = ACTIONS(1824),
    [anon_sym_PIPE_EQ] = ACTIONS(1824),
    [anon_sym_CARET_EQ] = ACTIONS(1824),
    [anon_sym_LT_LT_EQ] = ACTIONS(1824),
    [anon_sym_GT_GT_EQ] = ACTIONS(1824),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1824),
    [anon_sym_DOT_DOT] = ACTIONS(1824),
    [anon_sym_STAR_STAR] = ACTIONS(1824),
    [anon_sym_PIPE_PIPE] = ACTIONS(1824),
    [anon_sym_SLASH_SLASH] = ACTIONS(1824),
    [anon_sym_CARET_CARET] = ACTIONS(1824),
    [anon_sym_AMP_AMP] = ACTIONS(1824),
    [anon_sym_PIPE] = ACTIONS(1824),
    [anon_sym_CARET] = ACTIONS(1824),
    [anon_sym_AMP] = ACTIONS(1824),
    [anon_sym_GT_GT2] = ACTIONS(1824),
    [anon_sym_PLUS] = ACTIONS(1824),
    [anon_sym_DASH] = ACTIONS(1824),
    [anon_sym_DOT] = ACTIONS(1824),
    [anon_sym_STAR] = ACTIONS(1824),
    [anon_sym_SLASH] = ACTIONS(1824),
    [anon_sym_x] = ACTIONS(1824),
    [anon_sym_EQ_TILDE] = ACTIONS(1824),
    [anon_sym_BANG_TILDE] = ACTIONS(1824),
    [anon_sym_EQ_EQ] = ACTIONS(1824),
    [anon_sym_BANG_EQ] = ACTIONS(1824),
    [anon_sym_eq] = ACTIONS(1824),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1824),
    [anon_sym_equ] = ACTIONS(1824),
    [anon_sym_eqr] = ACTIONS(1824),
    [anon_sym_ne] = ACTIONS(1824),
    [anon_sym_LT_EQ_GT] = ACTIONS(1824),
    [anon_sym_cmp] = ACTIONS(1824),
    [anon_sym_TILDE_TILDE] = ACTIONS(1824),
    [anon_sym_LT] = ACTIONS(1824),
    [anon_sym_LT_EQ] = ACTIONS(1824),
    [anon_sym_GT_EQ] = ACTIONS(1824),
    [anon_sym_lt] = ACTIONS(1824),
    [anon_sym_le] = ACTIONS(1824),
    [anon_sym_ge] = ACTIONS(1824),
    [anon_sym_gt] = ACTIONS(1824),
    [anon_sym_isa] = ACTIONS(1824),
    [anon_sym_TILDE] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1824),
    [anon_sym_PLUS_PLUS] = ACTIONS(1824),
    [anon_sym_DASH_DASH] = ACTIONS(1824),
    [anon_sym_QMARK] = ACTIONS(1824),
    [anon_sym_BSLASH] = ACTIONS(1826),
    [anon_sym_do] = ACTIONS(1824),
    [anon_sym_eval] = ACTIONS(1824),
    [anon_sym_await] = ACTIONS(1824),
    [anon_sym_field] = ACTIONS(1824),
    [anon_sym_local] = ACTIONS(1824),
    [anon_sym_dynamically] = ACTIONS(1824),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1824),
    [anon_sym_require] = ACTIONS(1824),
    [anon_sym_map] = ACTIONS(1824),
    [anon_sym_grep] = ACTIONS(1824),
    [anon_sym_sort] = ACTIONS(1824),
    [anon_sym_goto] = ACTIONS(1824),
    [anon_sym_return] = ACTIONS(1824),
    [anon_sym_undef] = ACTIONS(1824),
    [anon_sym_PERCENT2] = ACTIONS(1824),
    [anon_sym_AMP2] = ACTIONS(1824),
    [anon_sym_STAR2] = ACTIONS(1824),
    [anon_sym_EQ_GT] = ACTIONS(1824),
    [anon_sym_for] = ACTIONS(1824),
    [anon_sym_foreach] = ACTIONS(1824),
    [anon_sym_last] = ACTIONS(1824),
    [anon_sym_next] = ACTIONS(1824),
    [anon_sym_redo] = ACTIONS(1824),
    [anon_sym___FILE__] = ACTIONS(1824),
    [anon_sym___LINE__] = ACTIONS(1824),
    [anon_sym___PACKAGE__] = ACTIONS(1824),
    [anon_sym___SUB__] = ACTIONS(1824),
    [anon_sym_break] = ACTIONS(1824),
    [anon_sym_fork] = ACTIONS(1824),
    [anon_sym_getppid] = ACTIONS(1824),
    [anon_sym_time] = ACTIONS(1824),
    [anon_sym_times] = ACTIONS(1824),
    [anon_sym_wait] = ACTIONS(1824),
    [anon_sym_wantarray] = ACTIONS(1824),
    [anon_sym_abs] = ACTIONS(1824),
    [anon_sym_alarm] = ACTIONS(1824),
    [anon_sym_chop] = ACTIONS(1824),
    [anon_sym_chdir] = ACTIONS(1824),
    [anon_sym_close] = ACTIONS(1824),
    [anon_sym_closedir] = ACTIONS(1824),
    [anon_sym_caller] = ACTIONS(1824),
    [anon_sym_chomp] = ACTIONS(1824),
    [anon_sym_chr] = ACTIONS(1824),
    [anon_sym_cos] = ACTIONS(1824),
    [anon_sym_chroot] = ACTIONS(1824),
    [anon_sym_defined] = ACTIONS(1824),
    [anon_sym_delete] = ACTIONS(1824),
    [anon_sym_dbmclose] = ACTIONS(1824),
    [anon_sym_exists] = ACTIONS(1824),
    [anon_sym_exit] = ACTIONS(1824),
    [anon_sym_eof] = ACTIONS(1824),
    [anon_sym_exp] = ACTIONS(1824),
    [anon_sym_each] = ACTIONS(1824),
    [anon_sym_fc] = ACTIONS(1824),
    [anon_sym_fileno] = ACTIONS(1824),
    [anon_sym_gmtime] = ACTIONS(1824),
    [anon_sym_getc] = ACTIONS(1824),
    [anon_sym_getpgrp] = ACTIONS(1824),
    [anon_sym_getprotobyname] = ACTIONS(1824),
    [anon_sym_getpwname] = ACTIONS(1824),
    [anon_sym_getpwuid] = ACTIONS(1824),
    [anon_sym_getpeername] = ACTIONS(1824),
    [anon_sym_getnetbyname] = ACTIONS(1824),
    [anon_sym_getsockname] = ACTIONS(1824),
    [anon_sym_getgrnam] = ACTIONS(1824),
    [anon_sym_getgrgid] = ACTIONS(1824),
    [anon_sym_hex] = ACTIONS(1824),
    [anon_sym_int] = ACTIONS(1824),
    [anon_sym_keys] = ACTIONS(1824),
    [anon_sym_lc] = ACTIONS(1824),
    [anon_sym_lcfirst] = ACTIONS(1824),
    [anon_sym_length] = ACTIONS(1824),
    [anon_sym_localtime] = ACTIONS(1824),
    [anon_sym_log] = ACTIONS(1824),
    [anon_sym_lock] = ACTIONS(1824),
    [anon_sym_lstat] = ACTIONS(1824),
    [anon_sym_oct] = ACTIONS(1824),
    [anon_sym_ord] = ACTIONS(1824),
    [anon_sym_prototype] = ACTIONS(1824),
    [anon_sym_pop] = ACTIONS(1824),
    [anon_sym_pos] = ACTIONS(1824),
    [anon_sym_quotemeta] = ACTIONS(1824),
    [anon_sym_reset] = ACTIONS(1824),
    [anon_sym_rand] = ACTIONS(1824),
    [anon_sym_rmdir] = ACTIONS(1824),
    [anon_sym_readdir] = ACTIONS(1824),
    [anon_sym_readline] = ACTIONS(1824),
    [anon_sym_readpipe] = ACTIONS(1824),
    [anon_sym_rewinddir] = ACTIONS(1824),
    [anon_sym_readlink] = ACTIONS(1824),
    [anon_sym_ref] = ACTIONS(1824),
    [anon_sym_scalar] = ACTIONS(1824),
    [anon_sym_shift] = ACTIONS(1824),
    [anon_sym_sin] = ACTIONS(1824),
    [anon_sym_sleep] = ACTIONS(1824),
    [anon_sym_sqrt] = ACTIONS(1824),
    [anon_sym_srand] = ACTIONS(1824),
    [anon_sym_stat] = ACTIONS(1824),
    [anon_sym_study] = ACTIONS(1824),
    [anon_sym_tell] = ACTIONS(1824),
    [anon_sym_telldir] = ACTIONS(1824),
    [anon_sym_tied] = ACTIONS(1824),
    [anon_sym_uc] = ACTIONS(1824),
    [anon_sym_ucfirst] = ACTIONS(1824),
    [anon_sym_untie] = ACTIONS(1824),
    [anon_sym_umask] = ACTIONS(1824),
    [anon_sym_values] = ACTIONS(1824),
    [anon_sym_write] = ACTIONS(1824),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1824),
    [anon_sym___END__] = ACTIONS(1824),
    [anon_sym_EOT] = ACTIONS(1824),
    [anon_sym_q] = ACTIONS(1824),
    [anon_sym_qq] = ACTIONS(1824),
    [anon_sym_qw] = ACTIONS(1824),
    [anon_sym_qx] = ACTIONS(1824),
    [anon_sym_qr] = ACTIONS(1824),
    [anon_sym_m] = ACTIONS(1824),
    [anon_sym_s] = ACTIONS(1824),
    [anon_sym_tr] = ACTIONS(1824),
    [anon_sym_y] = ACTIONS(1824),
    [anon_sym_if] = ACTIONS(1824),
    [anon_sym_unless] = ACTIONS(1824),
    [anon_sym_while] = ACTIONS(1824),
    [anon_sym_until] = ACTIONS(1824),
    [aux_sym__bareword_token1] = ACTIONS(1824),
    [sym_number] = ACTIONS(1824),
    [anon_sym_true] = ACTIONS(1824),
    [anon_sym_false] = ACTIONS(1824),
    [sym__single_quote] = ACTIONS(1826),
    [sym__double_quote] = ACTIONS(1826),
    [sym__backtick_quote] = ACTIONS(1826),
    [sym__search_slash_quote] = ACTIONS(1826),
    [sym__open_readline_bracket] = ACTIONS(1826),
    [sym__open_fileglob_bracket] = ACTIONS(1826),
    [sym__PERLY_SEMICOLON] = ACTIONS(1826),
    [sym__PERLY_HEREDOC] = ACTIONS(1826),
    [sym__ctrl_z_hack] = ACTIONS(1826),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1826),
    [sym__filetest] = ACTIONS(1826),
  },
  [701] = {
    [sym_heredoc_content] = STATE(701),
    [sym__identifier] = ACTIONS(1828),
    [anon_sym_LBRACE] = ACTIONS(1828),
    [anon_sym_RBRACE] = ACTIONS(1828),
    [anon_sym_SEMI] = ACTIONS(1828),
    [anon_sym_DOLLAR] = ACTIONS(1828),
    [anon_sym_EQ] = ACTIONS(1828),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1828),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1828),
    [anon_sym_AT] = ACTIONS(1828),
    [anon_sym_COMMA] = ACTIONS(1828),
    [anon_sym_RPAREN] = ACTIONS(1828),
    [anon_sym_my] = ACTIONS(1828),
    [anon_sym_extended] = ACTIONS(1828),
    [anon_sym_async] = ACTIONS(1828),
    [anon_sym_sub] = ACTIONS(1828),
    [anon_sym_method] = ACTIONS(1828),
    [anon_sym_LPAREN] = ACTIONS(1828),
    [anon_sym_continue] = ACTIONS(1828),
    [anon_sym_state] = ACTIONS(1828),
    [anon_sym_our] = ACTIONS(1828),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1828),
    [anon_sym_and] = ACTIONS(1828),
    [anon_sym_or] = ACTIONS(1828),
    [anon_sym_xor] = ACTIONS(1828),
    [anon_sym_LBRACK] = ACTIONS(1828),
    [anon_sym_DASH_GT] = ACTIONS(1828),
    [anon_sym_PERCENT] = ACTIONS(1828),
    [anon_sym_GT] = ACTIONS(1828),
    [anon_sym_LT_LT] = ACTIONS(1828),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1828),
    [anon_sym_PLUS_EQ] = ACTIONS(1828),
    [anon_sym_DASH_EQ] = ACTIONS(1828),
    [anon_sym_DOT_EQ] = ACTIONS(1828),
    [anon_sym_STAR_EQ] = ACTIONS(1828),
    [anon_sym_SLASH_EQ] = ACTIONS(1828),
    [anon_sym_PERCENT_EQ] = ACTIONS(1828),
    [anon_sym_x_EQ] = ACTIONS(1828),
    [anon_sym_AMP_EQ] = ACTIONS(1828),
    [anon_sym_PIPE_EQ] = ACTIONS(1828),
    [anon_sym_CARET_EQ] = ACTIONS(1828),
    [anon_sym_LT_LT_EQ] = ACTIONS(1828),
    [anon_sym_GT_GT_EQ] = ACTIONS(1828),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1828),
    [anon_sym_DOT_DOT] = ACTIONS(1828),
    [anon_sym_STAR_STAR] = ACTIONS(1828),
    [anon_sym_PIPE_PIPE] = ACTIONS(1828),
    [anon_sym_SLASH_SLASH] = ACTIONS(1828),
    [anon_sym_CARET_CARET] = ACTIONS(1828),
    [anon_sym_AMP_AMP] = ACTIONS(1828),
    [anon_sym_PIPE] = ACTIONS(1828),
    [anon_sym_CARET] = ACTIONS(1828),
    [anon_sym_AMP] = ACTIONS(1828),
    [anon_sym_GT_GT2] = ACTIONS(1828),
    [anon_sym_PLUS] = ACTIONS(1828),
    [anon_sym_DASH] = ACTIONS(1828),
    [anon_sym_DOT] = ACTIONS(1828),
    [anon_sym_STAR] = ACTIONS(1828),
    [anon_sym_SLASH] = ACTIONS(1828),
    [anon_sym_x] = ACTIONS(1828),
    [anon_sym_EQ_TILDE] = ACTIONS(1828),
    [anon_sym_BANG_TILDE] = ACTIONS(1828),
    [anon_sym_EQ_EQ] = ACTIONS(1828),
    [anon_sym_BANG_EQ] = ACTIONS(1828),
    [anon_sym_eq] = ACTIONS(1828),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1828),
    [anon_sym_equ] = ACTIONS(1828),
    [anon_sym_eqr] = ACTIONS(1828),
    [anon_sym_ne] = ACTIONS(1828),
    [anon_sym_LT_EQ_GT] = ACTIONS(1828),
    [anon_sym_cmp] = ACTIONS(1828),
    [anon_sym_TILDE_TILDE] = ACTIONS(1828),
    [anon_sym_LT] = ACTIONS(1828),
    [anon_sym_LT_EQ] = ACTIONS(1828),
    [anon_sym_GT_EQ] = ACTIONS(1828),
    [anon_sym_lt] = ACTIONS(1828),
    [anon_sym_le] = ACTIONS(1828),
    [anon_sym_ge] = ACTIONS(1828),
    [anon_sym_gt] = ACTIONS(1828),
    [anon_sym_isa] = ACTIONS(1828),
    [anon_sym_TILDE] = ACTIONS(1828),
    [anon_sym_BANG] = ACTIONS(1828),
    [anon_sym_PLUS_PLUS] = ACTIONS(1828),
    [anon_sym_DASH_DASH] = ACTIONS(1828),
    [anon_sym_QMARK] = ACTIONS(1828),
    [anon_sym_BSLASH] = ACTIONS(1832),
    [anon_sym_do] = ACTIONS(1828),
    [anon_sym_eval] = ACTIONS(1828),
    [anon_sym_await] = ACTIONS(1828),
    [anon_sym_field] = ACTIONS(1828),
    [anon_sym_local] = ACTIONS(1828),
    [anon_sym_dynamically] = ACTIONS(1828),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1828),
    [anon_sym_require] = ACTIONS(1828),
    [anon_sym_map] = ACTIONS(1828),
    [anon_sym_grep] = ACTIONS(1828),
    [anon_sym_sort] = ACTIONS(1828),
    [anon_sym_goto] = ACTIONS(1828),
    [anon_sym_return] = ACTIONS(1828),
    [anon_sym_undef] = ACTIONS(1828),
    [anon_sym_PERCENT2] = ACTIONS(1828),
    [anon_sym_AMP2] = ACTIONS(1828),
    [anon_sym_STAR2] = ACTIONS(1828),
    [anon_sym_EQ_GT] = ACTIONS(1828),
    [anon_sym_for] = ACTIONS(1828),
    [anon_sym_foreach] = ACTIONS(1828),
    [anon_sym_last] = ACTIONS(1828),
    [anon_sym_next] = ACTIONS(1828),
    [anon_sym_redo] = ACTIONS(1828),
    [anon_sym___FILE__] = ACTIONS(1828),
    [anon_sym___LINE__] = ACTIONS(1828),
    [anon_sym___PACKAGE__] = ACTIONS(1828),
    [anon_sym___SUB__] = ACTIONS(1828),
    [anon_sym_break] = ACTIONS(1828),
    [anon_sym_fork] = ACTIONS(1828),
    [anon_sym_getppid] = ACTIONS(1828),
    [anon_sym_time] = ACTIONS(1828),
    [anon_sym_times] = ACTIONS(1828),
    [anon_sym_wait] = ACTIONS(1828),
    [anon_sym_wantarray] = ACTIONS(1828),
    [anon_sym_abs] = ACTIONS(1828),
    [anon_sym_alarm] = ACTIONS(1828),
    [anon_sym_chop] = ACTIONS(1828),
    [anon_sym_chdir] = ACTIONS(1828),
    [anon_sym_close] = ACTIONS(1828),
    [anon_sym_closedir] = ACTIONS(1828),
    [anon_sym_caller] = ACTIONS(1828),
    [anon_sym_chomp] = ACTIONS(1828),
    [anon_sym_chr] = ACTIONS(1828),
    [anon_sym_cos] = ACTIONS(1828),
    [anon_sym_chroot] = ACTIONS(1828),
    [anon_sym_defined] = ACTIONS(1828),
    [anon_sym_delete] = ACTIONS(1828),
    [anon_sym_dbmclose] = ACTIONS(1828),
    [anon_sym_exists] = ACTIONS(1828),
    [anon_sym_exit] = ACTIONS(1828),
    [anon_sym_eof] = ACTIONS(1828),
    [anon_sym_exp] = ACTIONS(1828),
    [anon_sym_each] = ACTIONS(1828),
    [anon_sym_fc] = ACTIONS(1828),
    [anon_sym_fileno] = ACTIONS(1828),
    [anon_sym_gmtime] = ACTIONS(1828),
    [anon_sym_getc] = ACTIONS(1828),
    [anon_sym_getpgrp] = ACTIONS(1828),
    [anon_sym_getprotobyname] = ACTIONS(1828),
    [anon_sym_getpwname] = ACTIONS(1828),
    [anon_sym_getpwuid] = ACTIONS(1828),
    [anon_sym_getpeername] = ACTIONS(1828),
    [anon_sym_getnetbyname] = ACTIONS(1828),
    [anon_sym_getsockname] = ACTIONS(1828),
    [anon_sym_getgrnam] = ACTIONS(1828),
    [anon_sym_getgrgid] = ACTIONS(1828),
    [anon_sym_hex] = ACTIONS(1828),
    [anon_sym_int] = ACTIONS(1828),
    [anon_sym_keys] = ACTIONS(1828),
    [anon_sym_lc] = ACTIONS(1828),
    [anon_sym_lcfirst] = ACTIONS(1828),
    [anon_sym_length] = ACTIONS(1828),
    [anon_sym_localtime] = ACTIONS(1828),
    [anon_sym_log] = ACTIONS(1828),
    [anon_sym_lock] = ACTIONS(1828),
    [anon_sym_lstat] = ACTIONS(1828),
    [anon_sym_oct] = ACTIONS(1828),
    [anon_sym_ord] = ACTIONS(1828),
    [anon_sym_prototype] = ACTIONS(1828),
    [anon_sym_pop] = ACTIONS(1828),
    [anon_sym_pos] = ACTIONS(1828),
    [anon_sym_quotemeta] = ACTIONS(1828),
    [anon_sym_reset] = ACTIONS(1828),
    [anon_sym_rand] = ACTIONS(1828),
    [anon_sym_rmdir] = ACTIONS(1828),
    [anon_sym_readdir] = ACTIONS(1828),
    [anon_sym_readline] = ACTIONS(1828),
    [anon_sym_readpipe] = ACTIONS(1828),
    [anon_sym_rewinddir] = ACTIONS(1828),
    [anon_sym_readlink] = ACTIONS(1828),
    [anon_sym_ref] = ACTIONS(1828),
    [anon_sym_scalar] = ACTIONS(1828),
    [anon_sym_shift] = ACTIONS(1828),
    [anon_sym_sin] = ACTIONS(1828),
    [anon_sym_sleep] = ACTIONS(1828),
    [anon_sym_sqrt] = ACTIONS(1828),
    [anon_sym_srand] = ACTIONS(1828),
    [anon_sym_stat] = ACTIONS(1828),
    [anon_sym_study] = ACTIONS(1828),
    [anon_sym_tell] = ACTIONS(1828),
    [anon_sym_telldir] = ACTIONS(1828),
    [anon_sym_tied] = ACTIONS(1828),
    [anon_sym_uc] = ACTIONS(1828),
    [anon_sym_ucfirst] = ACTIONS(1828),
    [anon_sym_untie] = ACTIONS(1828),
    [anon_sym_umask] = ACTIONS(1828),
    [anon_sym_values] = ACTIONS(1828),
    [anon_sym_write] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1828),
    [anon_sym___END__] = ACTIONS(1828),
    [anon_sym_EOT] = ACTIONS(1828),
    [anon_sym_q] = ACTIONS(1828),
    [anon_sym_qq] = ACTIONS(1828),
    [anon_sym_qw] = ACTIONS(1828),
    [anon_sym_qx] = ACTIONS(1828),
    [anon_sym_qr] = ACTIONS(1828),
    [anon_sym_m] = ACTIONS(1828),
    [anon_sym_s] = ACTIONS(1828),
    [anon_sym_tr] = ACTIONS(1828),
    [anon_sym_y] = ACTIONS(1828),
    [anon_sym_if] = ACTIONS(1828),
    [anon_sym_unless] = ACTIONS(1828),
    [anon_sym_while] = ACTIONS(1828),
    [anon_sym_until] = ACTIONS(1828),
    [aux_sym__bareword_token1] = ACTIONS(1828),
    [sym_number] = ACTIONS(1828),
    [anon_sym_true] = ACTIONS(1828),
    [anon_sym_false] = ACTIONS(1828),
    [sym__single_quote] = ACTIONS(1832),
    [sym__double_quote] = ACTIONS(1832),
    [sym__backtick_quote] = ACTIONS(1832),
    [sym__search_slash_quote] = ACTIONS(1832),
    [sym__open_readline_bracket] = ACTIONS(1832),
    [sym__open_fileglob_bracket] = ACTIONS(1832),
    [sym__PERLY_SEMICOLON] = ACTIONS(1832),
    [sym__PERLY_HEREDOC] = ACTIONS(1832),
    [sym__ctrl_z_hack] = ACTIONS(1832),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1832),
    [sym__filetest] = ACTIONS(1832),
  },
  [702] = {
    [sym_heredoc_content] = STATE(702),
    [sym__identifier] = ACTIONS(1855),
    [anon_sym_LBRACE] = ACTIONS(1855),
    [anon_sym_RBRACE] = ACTIONS(1855),
    [anon_sym_SEMI] = ACTIONS(1855),
    [anon_sym_DOLLAR] = ACTIONS(1855),
    [anon_sym_EQ] = ACTIONS(1855),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1855),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1855),
    [anon_sym_AT] = ACTIONS(1855),
    [anon_sym_COMMA] = ACTIONS(1855),
    [anon_sym_RPAREN] = ACTIONS(1855),
    [anon_sym_my] = ACTIONS(1855),
    [anon_sym_extended] = ACTIONS(1855),
    [anon_sym_async] = ACTIONS(1855),
    [anon_sym_sub] = ACTIONS(1855),
    [anon_sym_method] = ACTIONS(1855),
    [anon_sym_LPAREN] = ACTIONS(1855),
    [anon_sym_continue] = ACTIONS(1855),
    [anon_sym_state] = ACTIONS(1855),
    [anon_sym_our] = ACTIONS(1855),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1855),
    [anon_sym_and] = ACTIONS(1855),
    [anon_sym_or] = ACTIONS(1855),
    [anon_sym_xor] = ACTIONS(1855),
    [anon_sym_LBRACK] = ACTIONS(1855),
    [anon_sym_DASH_GT] = ACTIONS(1855),
    [anon_sym_PERCENT] = ACTIONS(1855),
    [anon_sym_GT] = ACTIONS(1855),
    [anon_sym_LT_LT] = ACTIONS(1855),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1855),
    [anon_sym_PLUS_EQ] = ACTIONS(1855),
    [anon_sym_DASH_EQ] = ACTIONS(1855),
    [anon_sym_DOT_EQ] = ACTIONS(1855),
    [anon_sym_STAR_EQ] = ACTIONS(1855),
    [anon_sym_SLASH_EQ] = ACTIONS(1855),
    [anon_sym_PERCENT_EQ] = ACTIONS(1855),
    [anon_sym_x_EQ] = ACTIONS(1855),
    [anon_sym_AMP_EQ] = ACTIONS(1855),
    [anon_sym_PIPE_EQ] = ACTIONS(1855),
    [anon_sym_CARET_EQ] = ACTIONS(1855),
    [anon_sym_LT_LT_EQ] = ACTIONS(1855),
    [anon_sym_GT_GT_EQ] = ACTIONS(1855),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1855),
    [anon_sym_DOT_DOT] = ACTIONS(1855),
    [anon_sym_STAR_STAR] = ACTIONS(1855),
    [anon_sym_PIPE_PIPE] = ACTIONS(1855),
    [anon_sym_SLASH_SLASH] = ACTIONS(1855),
    [anon_sym_CARET_CARET] = ACTIONS(1855),
    [anon_sym_AMP_AMP] = ACTIONS(1855),
    [anon_sym_PIPE] = ACTIONS(1855),
    [anon_sym_CARET] = ACTIONS(1855),
    [anon_sym_AMP] = ACTIONS(1855),
    [anon_sym_GT_GT2] = ACTIONS(1855),
    [anon_sym_PLUS] = ACTIONS(1855),
    [anon_sym_DASH] = ACTIONS(1855),
    [anon_sym_DOT] = ACTIONS(1855),
    [anon_sym_STAR] = ACTIONS(1855),
    [anon_sym_SLASH] = ACTIONS(1855),
    [anon_sym_x] = ACTIONS(1855),
    [anon_sym_EQ_TILDE] = ACTIONS(1855),
    [anon_sym_BANG_TILDE] = ACTIONS(1855),
    [anon_sym_EQ_EQ] = ACTIONS(1855),
    [anon_sym_BANG_EQ] = ACTIONS(1855),
    [anon_sym_eq] = ACTIONS(1855),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1855),
    [anon_sym_equ] = ACTIONS(1855),
    [anon_sym_eqr] = ACTIONS(1855),
    [anon_sym_ne] = ACTIONS(1855),
    [anon_sym_LT_EQ_GT] = ACTIONS(1855),
    [anon_sym_cmp] = ACTIONS(1855),
    [anon_sym_TILDE_TILDE] = ACTIONS(1855),
    [anon_sym_LT] = ACTIONS(1855),
    [anon_sym_LT_EQ] = ACTIONS(1855),
    [anon_sym_GT_EQ] = ACTIONS(1855),
    [anon_sym_lt] = ACTIONS(1855),
    [anon_sym_le] = ACTIONS(1855),
    [anon_sym_ge] = ACTIONS(1855),
    [anon_sym_gt] = ACTIONS(1855),
    [anon_sym_isa] = ACTIONS(1855),
    [anon_sym_TILDE] = ACTIONS(1855),
    [anon_sym_BANG] = ACTIONS(1855),
    [anon_sym_PLUS_PLUS] = ACTIONS(1855),
    [anon_sym_DASH_DASH] = ACTIONS(1855),
    [anon_sym_QMARK] = ACTIONS(1855),
    [anon_sym_BSLASH] = ACTIONS(1857),
    [anon_sym_do] = ACTIONS(1855),
    [anon_sym_eval] = ACTIONS(1855),
    [anon_sym_await] = ACTIONS(1855),
    [anon_sym_field] = ACTIONS(1855),
    [anon_sym_local] = ACTIONS(1855),
    [anon_sym_dynamically] = ACTIONS(1855),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1855),
    [anon_sym_require] = ACTIONS(1855),
    [anon_sym_map] = ACTIONS(1855),
    [anon_sym_grep] = ACTIONS(1855),
    [anon_sym_sort] = ACTIONS(1855),
    [anon_sym_goto] = ACTIONS(1855),
    [anon_sym_return] = ACTIONS(1855),
    [anon_sym_undef] = ACTIONS(1855),
    [anon_sym_PERCENT2] = ACTIONS(1855),
    [anon_sym_AMP2] = ACTIONS(1855),
    [anon_sym_STAR2] = ACTIONS(1855),
    [anon_sym_EQ_GT] = ACTIONS(1855),
    [anon_sym_for] = ACTIONS(1855),
    [anon_sym_foreach] = ACTIONS(1855),
    [anon_sym_last] = ACTIONS(1855),
    [anon_sym_next] = ACTIONS(1855),
    [anon_sym_redo] = ACTIONS(1855),
    [anon_sym___FILE__] = ACTIONS(1855),
    [anon_sym___LINE__] = ACTIONS(1855),
    [anon_sym___PACKAGE__] = ACTIONS(1855),
    [anon_sym___SUB__] = ACTIONS(1855),
    [anon_sym_break] = ACTIONS(1855),
    [anon_sym_fork] = ACTIONS(1855),
    [anon_sym_getppid] = ACTIONS(1855),
    [anon_sym_time] = ACTIONS(1855),
    [anon_sym_times] = ACTIONS(1855),
    [anon_sym_wait] = ACTIONS(1855),
    [anon_sym_wantarray] = ACTIONS(1855),
    [anon_sym_abs] = ACTIONS(1855),
    [anon_sym_alarm] = ACTIONS(1855),
    [anon_sym_chop] = ACTIONS(1855),
    [anon_sym_chdir] = ACTIONS(1855),
    [anon_sym_close] = ACTIONS(1855),
    [anon_sym_closedir] = ACTIONS(1855),
    [anon_sym_caller] = ACTIONS(1855),
    [anon_sym_chomp] = ACTIONS(1855),
    [anon_sym_chr] = ACTIONS(1855),
    [anon_sym_cos] = ACTIONS(1855),
    [anon_sym_chroot] = ACTIONS(1855),
    [anon_sym_defined] = ACTIONS(1855),
    [anon_sym_delete] = ACTIONS(1855),
    [anon_sym_dbmclose] = ACTIONS(1855),
    [anon_sym_exists] = ACTIONS(1855),
    [anon_sym_exit] = ACTIONS(1855),
    [anon_sym_eof] = ACTIONS(1855),
    [anon_sym_exp] = ACTIONS(1855),
    [anon_sym_each] = ACTIONS(1855),
    [anon_sym_fc] = ACTIONS(1855),
    [anon_sym_fileno] = ACTIONS(1855),
    [anon_sym_gmtime] = ACTIONS(1855),
    [anon_sym_getc] = ACTIONS(1855),
    [anon_sym_getpgrp] = ACTIONS(1855),
    [anon_sym_getprotobyname] = ACTIONS(1855),
    [anon_sym_getpwname] = ACTIONS(1855),
    [anon_sym_getpwuid] = ACTIONS(1855),
    [anon_sym_getpeername] = ACTIONS(1855),
    [anon_sym_getnetbyname] = ACTIONS(1855),
    [anon_sym_getsockname] = ACTIONS(1855),
    [anon_sym_getgrnam] = ACTIONS(1855),
    [anon_sym_getgrgid] = ACTIONS(1855),
    [anon_sym_hex] = ACTIONS(1855),
    [anon_sym_int] = ACTIONS(1855),
    [anon_sym_keys] = ACTIONS(1855),
    [anon_sym_lc] = ACTIONS(1855),
    [anon_sym_lcfirst] = ACTIONS(1855),
    [anon_sym_length] = ACTIONS(1855),
    [anon_sym_localtime] = ACTIONS(1855),
    [anon_sym_log] = ACTIONS(1855),
    [anon_sym_lock] = ACTIONS(1855),
    [anon_sym_lstat] = ACTIONS(1855),
    [anon_sym_oct] = ACTIONS(1855),
    [anon_sym_ord] = ACTIONS(1855),
    [anon_sym_prototype] = ACTIONS(1855),
    [anon_sym_pop] = ACTIONS(1855),
    [anon_sym_pos] = ACTIONS(1855),
    [anon_sym_quotemeta] = ACTIONS(1855),
    [anon_sym_reset] = ACTIONS(1855),
    [anon_sym_rand] = ACTIONS(1855),
    [anon_sym_rmdir] = ACTIONS(1855),
    [anon_sym_readdir] = ACTIONS(1855),
    [anon_sym_readline] = ACTIONS(1855),
    [anon_sym_readpipe] = ACTIONS(1855),
    [anon_sym_rewinddir] = ACTIONS(1855),
    [anon_sym_readlink] = ACTIONS(1855),
    [anon_sym_ref] = ACTIONS(1855),
    [anon_sym_scalar] = ACTIONS(1855),
    [anon_sym_shift] = ACTIONS(1855),
    [anon_sym_sin] = ACTIONS(1855),
    [anon_sym_sleep] = ACTIONS(1855),
    [anon_sym_sqrt] = ACTIONS(1855),
    [anon_sym_srand] = ACTIONS(1855),
    [anon_sym_stat] = ACTIONS(1855),
    [anon_sym_study] = ACTIONS(1855),
    [anon_sym_tell] = ACTIONS(1855),
    [anon_sym_telldir] = ACTIONS(1855),
    [anon_sym_tied] = ACTIONS(1855),
    [anon_sym_uc] = ACTIONS(1855),
    [anon_sym_ucfirst] = ACTIONS(1855),
    [anon_sym_untie] = ACTIONS(1855),
    [anon_sym_umask] = ACTIONS(1855),
    [anon_sym_values] = ACTIONS(1855),
    [anon_sym_write] = ACTIONS(1855),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1855),
    [anon_sym___END__] = ACTIONS(1855),
    [anon_sym_EOT] = ACTIONS(1855),
    [anon_sym_q] = ACTIONS(1855),
    [anon_sym_qq] = ACTIONS(1855),
    [anon_sym_qw] = ACTIONS(1855),
    [anon_sym_qx] = ACTIONS(1855),
    [anon_sym_qr] = ACTIONS(1855),
    [anon_sym_m] = ACTIONS(1855),
    [anon_sym_s] = ACTIONS(1855),
    [anon_sym_tr] = ACTIONS(1855),
    [anon_sym_y] = ACTIONS(1855),
    [anon_sym_if] = ACTIONS(1855),
    [anon_sym_unless] = ACTIONS(1855),
    [anon_sym_while] = ACTIONS(1855),
    [anon_sym_until] = ACTIONS(1855),
    [aux_sym__bareword_token1] = ACTIONS(1855),
    [sym_number] = ACTIONS(1855),
    [anon_sym_true] = ACTIONS(1855),
    [anon_sym_false] = ACTIONS(1855),
    [sym__single_quote] = ACTIONS(1857),
    [sym__double_quote] = ACTIONS(1857),
    [sym__backtick_quote] = ACTIONS(1857),
    [sym__search_slash_quote] = ACTIONS(1857),
    [sym__open_readline_bracket] = ACTIONS(1857),
    [sym__open_fileglob_bracket] = ACTIONS(1857),
    [sym__PERLY_SEMICOLON] = ACTIONS(1857),
    [sym__PERLY_HEREDOC] = ACTIONS(1857),
    [sym__ctrl_z_hack] = ACTIONS(1857),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1857),
    [sym__filetest] = ACTIONS(1857),
  },
  [703] = {
    [sym_heredoc_content] = STATE(703),
    [sym__identifier] = ACTIONS(1889),
    [anon_sym_LBRACE] = ACTIONS(1889),
    [anon_sym_RBRACE] = ACTIONS(1871),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1889),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1889),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_RPAREN] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1889),
    [anon_sym_extended] = ACTIONS(1889),
    [anon_sym_async] = ACTIONS(1889),
    [anon_sym_sub] = ACTIONS(1889),
    [anon_sym_method] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1889),
    [anon_sym_continue] = ACTIONS(1889),
    [anon_sym_state] = ACTIONS(1889),
    [anon_sym_our] = ACTIONS(1889),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1889),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1889),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1889),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1889),
    [anon_sym_DASH] = ACTIONS(1889),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1889),
    [anon_sym_BANG] = ACTIONS(1889),
    [anon_sym_PLUS_PLUS] = ACTIONS(1889),
    [anon_sym_DASH_DASH] = ACTIONS(1889),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1891),
    [anon_sym_do] = ACTIONS(1889),
    [anon_sym_eval] = ACTIONS(1889),
    [anon_sym_await] = ACTIONS(1889),
    [anon_sym_field] = ACTIONS(1889),
    [anon_sym_local] = ACTIONS(1889),
    [anon_sym_dynamically] = ACTIONS(1889),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1889),
    [anon_sym_require] = ACTIONS(1889),
    [anon_sym_map] = ACTIONS(1889),
    [anon_sym_grep] = ACTIONS(1889),
    [anon_sym_sort] = ACTIONS(1889),
    [anon_sym_goto] = ACTIONS(1889),
    [anon_sym_return] = ACTIONS(1889),
    [anon_sym_undef] = ACTIONS(1889),
    [anon_sym_PERCENT2] = ACTIONS(1889),
    [anon_sym_AMP2] = ACTIONS(1889),
    [anon_sym_STAR2] = ACTIONS(1889),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1889),
    [anon_sym_next] = ACTIONS(1889),
    [anon_sym_redo] = ACTIONS(1889),
    [anon_sym___FILE__] = ACTIONS(1889),
    [anon_sym___LINE__] = ACTIONS(1889),
    [anon_sym___PACKAGE__] = ACTIONS(1889),
    [anon_sym___SUB__] = ACTIONS(1889),
    [anon_sym_break] = ACTIONS(1889),
    [anon_sym_fork] = ACTIONS(1889),
    [anon_sym_getppid] = ACTIONS(1889),
    [anon_sym_time] = ACTIONS(1889),
    [anon_sym_times] = ACTIONS(1889),
    [anon_sym_wait] = ACTIONS(1889),
    [anon_sym_wantarray] = ACTIONS(1889),
    [anon_sym_abs] = ACTIONS(1889),
    [anon_sym_alarm] = ACTIONS(1889),
    [anon_sym_chop] = ACTIONS(1889),
    [anon_sym_chdir] = ACTIONS(1889),
    [anon_sym_close] = ACTIONS(1889),
    [anon_sym_closedir] = ACTIONS(1889),
    [anon_sym_caller] = ACTIONS(1889),
    [anon_sym_chomp] = ACTIONS(1889),
    [anon_sym_chr] = ACTIONS(1889),
    [anon_sym_cos] = ACTIONS(1889),
    [anon_sym_chroot] = ACTIONS(1889),
    [anon_sym_defined] = ACTIONS(1889),
    [anon_sym_delete] = ACTIONS(1889),
    [anon_sym_dbmclose] = ACTIONS(1889),
    [anon_sym_exists] = ACTIONS(1889),
    [anon_sym_exit] = ACTIONS(1889),
    [anon_sym_eof] = ACTIONS(1889),
    [anon_sym_exp] = ACTIONS(1889),
    [anon_sym_each] = ACTIONS(1889),
    [anon_sym_fc] = ACTIONS(1889),
    [anon_sym_fileno] = ACTIONS(1889),
    [anon_sym_gmtime] = ACTIONS(1889),
    [anon_sym_getc] = ACTIONS(1889),
    [anon_sym_getpgrp] = ACTIONS(1889),
    [anon_sym_getprotobyname] = ACTIONS(1889),
    [anon_sym_getpwname] = ACTIONS(1889),
    [anon_sym_getpwuid] = ACTIONS(1889),
    [anon_sym_getpeername] = ACTIONS(1889),
    [anon_sym_getnetbyname] = ACTIONS(1889),
    [anon_sym_getsockname] = ACTIONS(1889),
    [anon_sym_getgrnam] = ACTIONS(1889),
    [anon_sym_getgrgid] = ACTIONS(1889),
    [anon_sym_hex] = ACTIONS(1889),
    [anon_sym_int] = ACTIONS(1889),
    [anon_sym_keys] = ACTIONS(1889),
    [anon_sym_lc] = ACTIONS(1889),
    [anon_sym_lcfirst] = ACTIONS(1889),
    [anon_sym_length] = ACTIONS(1889),
    [anon_sym_localtime] = ACTIONS(1889),
    [anon_sym_log] = ACTIONS(1889),
    [anon_sym_lock] = ACTIONS(1889),
    [anon_sym_lstat] = ACTIONS(1889),
    [anon_sym_oct] = ACTIONS(1889),
    [anon_sym_ord] = ACTIONS(1889),
    [anon_sym_prototype] = ACTIONS(1889),
    [anon_sym_pop] = ACTIONS(1889),
    [anon_sym_pos] = ACTIONS(1889),
    [anon_sym_quotemeta] = ACTIONS(1889),
    [anon_sym_reset] = ACTIONS(1889),
    [anon_sym_rand] = ACTIONS(1889),
    [anon_sym_rmdir] = ACTIONS(1889),
    [anon_sym_readdir] = ACTIONS(1889),
    [anon_sym_readline] = ACTIONS(1889),
    [anon_sym_readpipe] = ACTIONS(1889),
    [anon_sym_rewinddir] = ACTIONS(1889),
    [anon_sym_readlink] = ACTIONS(1889),
    [anon_sym_ref] = ACTIONS(1889),
    [anon_sym_scalar] = ACTIONS(1889),
    [anon_sym_shift] = ACTIONS(1889),
    [anon_sym_sin] = ACTIONS(1889),
    [anon_sym_sleep] = ACTIONS(1889),
    [anon_sym_sqrt] = ACTIONS(1889),
    [anon_sym_srand] = ACTIONS(1889),
    [anon_sym_stat] = ACTIONS(1889),
    [anon_sym_study] = ACTIONS(1889),
    [anon_sym_tell] = ACTIONS(1889),
    [anon_sym_telldir] = ACTIONS(1889),
    [anon_sym_tied] = ACTIONS(1889),
    [anon_sym_uc] = ACTIONS(1889),
    [anon_sym_ucfirst] = ACTIONS(1889),
    [anon_sym_untie] = ACTIONS(1889),
    [anon_sym_umask] = ACTIONS(1889),
    [anon_sym_values] = ACTIONS(1889),
    [anon_sym_write] = ACTIONS(1889),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1889),
    [anon_sym_qq] = ACTIONS(1889),
    [anon_sym_qw] = ACTIONS(1889),
    [anon_sym_qx] = ACTIONS(1889),
    [anon_sym_qr] = ACTIONS(1889),
    [anon_sym_m] = ACTIONS(1889),
    [anon_sym_s] = ACTIONS(1889),
    [anon_sym_tr] = ACTIONS(1889),
    [anon_sym_y] = ACTIONS(1889),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1889),
    [sym_number] = ACTIONS(1889),
    [anon_sym_true] = ACTIONS(1889),
    [anon_sym_false] = ACTIONS(1889),
    [sym__single_quote] = ACTIONS(1891),
    [sym__double_quote] = ACTIONS(1891),
    [sym__backtick_quote] = ACTIONS(1891),
    [sym__search_slash_quote] = ACTIONS(1891),
    [sym__open_readline_bracket] = ACTIONS(1891),
    [sym__open_fileglob_bracket] = ACTIONS(1891),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1891),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1891),
    [sym__filetest] = ACTIONS(1891),
  },
  [704] = {
    [sym_heredoc_content] = STATE(704),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_COLON] = ACTIONS(1869),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1893),
  },
  [705] = {
    [sym_heredoc_content] = STATE(705),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_COLON] = ACTIONS(1869),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1895),
  },
  [706] = {
    [sym_heredoc_content] = STATE(706),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_COLON] = ACTIONS(1869),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1897),
  },
  [707] = {
    [sym_heredoc_content] = STATE(707),
    [sym__identifier] = ACTIONS(1828),
    [anon_sym_LBRACE] = ACTIONS(1830),
    [anon_sym_RBRACE] = ACTIONS(1828),
    [anon_sym_SEMI] = ACTIONS(1828),
    [anon_sym_DOLLAR] = ACTIONS(1828),
    [anon_sym_EQ] = ACTIONS(1828),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1828),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1828),
    [anon_sym_AT] = ACTIONS(1828),
    [anon_sym_COMMA] = ACTIONS(1828),
    [anon_sym_RPAREN] = ACTIONS(1828),
    [anon_sym_my] = ACTIONS(1828),
    [anon_sym_extended] = ACTIONS(1828),
    [anon_sym_async] = ACTIONS(1828),
    [anon_sym_sub] = ACTIONS(1828),
    [anon_sym_method] = ACTIONS(1828),
    [anon_sym_LPAREN] = ACTIONS(1828),
    [anon_sym_continue] = ACTIONS(1828),
    [anon_sym_state] = ACTIONS(1828),
    [anon_sym_our] = ACTIONS(1828),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1828),
    [anon_sym_and] = ACTIONS(1828),
    [anon_sym_or] = ACTIONS(1828),
    [anon_sym_xor] = ACTIONS(1828),
    [anon_sym_LBRACK] = ACTIONS(1830),
    [anon_sym_DASH_GT] = ACTIONS(1828),
    [anon_sym_PERCENT] = ACTIONS(1828),
    [anon_sym_GT] = ACTIONS(1828),
    [anon_sym_LT_LT] = ACTIONS(1828),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1828),
    [anon_sym_PLUS_EQ] = ACTIONS(1828),
    [anon_sym_DASH_EQ] = ACTIONS(1828),
    [anon_sym_DOT_EQ] = ACTIONS(1828),
    [anon_sym_STAR_EQ] = ACTIONS(1828),
    [anon_sym_SLASH_EQ] = ACTIONS(1828),
    [anon_sym_PERCENT_EQ] = ACTIONS(1828),
    [anon_sym_x_EQ] = ACTIONS(1828),
    [anon_sym_AMP_EQ] = ACTIONS(1828),
    [anon_sym_PIPE_EQ] = ACTIONS(1828),
    [anon_sym_CARET_EQ] = ACTIONS(1828),
    [anon_sym_LT_LT_EQ] = ACTIONS(1828),
    [anon_sym_GT_GT_EQ] = ACTIONS(1828),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1828),
    [anon_sym_DOT_DOT] = ACTIONS(1828),
    [anon_sym_STAR_STAR] = ACTIONS(1828),
    [anon_sym_PIPE_PIPE] = ACTIONS(1828),
    [anon_sym_SLASH_SLASH] = ACTIONS(1828),
    [anon_sym_CARET_CARET] = ACTIONS(1828),
    [anon_sym_AMP_AMP] = ACTIONS(1828),
    [anon_sym_PIPE] = ACTIONS(1828),
    [anon_sym_CARET] = ACTIONS(1828),
    [anon_sym_AMP] = ACTIONS(1828),
    [anon_sym_GT_GT2] = ACTIONS(1828),
    [anon_sym_PLUS] = ACTIONS(1828),
    [anon_sym_DASH] = ACTIONS(1828),
    [anon_sym_DOT] = ACTIONS(1828),
    [anon_sym_STAR] = ACTIONS(1828),
    [anon_sym_SLASH] = ACTIONS(1828),
    [anon_sym_x] = ACTIONS(1828),
    [anon_sym_EQ_TILDE] = ACTIONS(1828),
    [anon_sym_BANG_TILDE] = ACTIONS(1828),
    [anon_sym_EQ_EQ] = ACTIONS(1828),
    [anon_sym_BANG_EQ] = ACTIONS(1828),
    [anon_sym_eq] = ACTIONS(1828),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1828),
    [anon_sym_equ] = ACTIONS(1828),
    [anon_sym_eqr] = ACTIONS(1828),
    [anon_sym_ne] = ACTIONS(1828),
    [anon_sym_LT_EQ_GT] = ACTIONS(1828),
    [anon_sym_cmp] = ACTIONS(1828),
    [anon_sym_TILDE_TILDE] = ACTIONS(1828),
    [anon_sym_LT] = ACTIONS(1828),
    [anon_sym_LT_EQ] = ACTIONS(1828),
    [anon_sym_GT_EQ] = ACTIONS(1828),
    [anon_sym_lt] = ACTIONS(1828),
    [anon_sym_le] = ACTIONS(1828),
    [anon_sym_ge] = ACTIONS(1828),
    [anon_sym_gt] = ACTIONS(1828),
    [anon_sym_isa] = ACTIONS(1828),
    [anon_sym_TILDE] = ACTIONS(1828),
    [anon_sym_BANG] = ACTIONS(1828),
    [anon_sym_PLUS_PLUS] = ACTIONS(1828),
    [anon_sym_DASH_DASH] = ACTIONS(1828),
    [anon_sym_QMARK] = ACTIONS(1828),
    [anon_sym_BSLASH] = ACTIONS(1832),
    [anon_sym_do] = ACTIONS(1828),
    [anon_sym_eval] = ACTIONS(1828),
    [anon_sym_await] = ACTIONS(1828),
    [anon_sym_field] = ACTIONS(1828),
    [anon_sym_local] = ACTIONS(1828),
    [anon_sym_dynamically] = ACTIONS(1828),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1828),
    [anon_sym_require] = ACTIONS(1828),
    [anon_sym_map] = ACTIONS(1828),
    [anon_sym_grep] = ACTIONS(1828),
    [anon_sym_sort] = ACTIONS(1828),
    [anon_sym_goto] = ACTIONS(1828),
    [anon_sym_return] = ACTIONS(1828),
    [anon_sym_undef] = ACTIONS(1828),
    [anon_sym_PERCENT2] = ACTIONS(1828),
    [anon_sym_AMP2] = ACTIONS(1828),
    [anon_sym_STAR2] = ACTIONS(1828),
    [anon_sym_EQ_GT] = ACTIONS(1828),
    [anon_sym_for] = ACTIONS(1828),
    [anon_sym_foreach] = ACTIONS(1828),
    [anon_sym_last] = ACTIONS(1828),
    [anon_sym_next] = ACTIONS(1828),
    [anon_sym_redo] = ACTIONS(1828),
    [anon_sym___FILE__] = ACTIONS(1828),
    [anon_sym___LINE__] = ACTIONS(1828),
    [anon_sym___PACKAGE__] = ACTIONS(1828),
    [anon_sym___SUB__] = ACTIONS(1828),
    [anon_sym_break] = ACTIONS(1828),
    [anon_sym_fork] = ACTIONS(1828),
    [anon_sym_getppid] = ACTIONS(1828),
    [anon_sym_time] = ACTIONS(1828),
    [anon_sym_times] = ACTIONS(1828),
    [anon_sym_wait] = ACTIONS(1828),
    [anon_sym_wantarray] = ACTIONS(1828),
    [anon_sym_abs] = ACTIONS(1828),
    [anon_sym_alarm] = ACTIONS(1828),
    [anon_sym_chop] = ACTIONS(1828),
    [anon_sym_chdir] = ACTIONS(1828),
    [anon_sym_close] = ACTIONS(1828),
    [anon_sym_closedir] = ACTIONS(1828),
    [anon_sym_caller] = ACTIONS(1828),
    [anon_sym_chomp] = ACTIONS(1828),
    [anon_sym_chr] = ACTIONS(1828),
    [anon_sym_cos] = ACTIONS(1828),
    [anon_sym_chroot] = ACTIONS(1828),
    [anon_sym_defined] = ACTIONS(1828),
    [anon_sym_delete] = ACTIONS(1828),
    [anon_sym_dbmclose] = ACTIONS(1828),
    [anon_sym_exists] = ACTIONS(1828),
    [anon_sym_exit] = ACTIONS(1828),
    [anon_sym_eof] = ACTIONS(1828),
    [anon_sym_exp] = ACTIONS(1828),
    [anon_sym_each] = ACTIONS(1828),
    [anon_sym_fc] = ACTIONS(1828),
    [anon_sym_fileno] = ACTIONS(1828),
    [anon_sym_gmtime] = ACTIONS(1828),
    [anon_sym_getc] = ACTIONS(1828),
    [anon_sym_getpgrp] = ACTIONS(1828),
    [anon_sym_getprotobyname] = ACTIONS(1828),
    [anon_sym_getpwname] = ACTIONS(1828),
    [anon_sym_getpwuid] = ACTIONS(1828),
    [anon_sym_getpeername] = ACTIONS(1828),
    [anon_sym_getnetbyname] = ACTIONS(1828),
    [anon_sym_getsockname] = ACTIONS(1828),
    [anon_sym_getgrnam] = ACTIONS(1828),
    [anon_sym_getgrgid] = ACTIONS(1828),
    [anon_sym_hex] = ACTIONS(1828),
    [anon_sym_int] = ACTIONS(1828),
    [anon_sym_keys] = ACTIONS(1828),
    [anon_sym_lc] = ACTIONS(1828),
    [anon_sym_lcfirst] = ACTIONS(1828),
    [anon_sym_length] = ACTIONS(1828),
    [anon_sym_localtime] = ACTIONS(1828),
    [anon_sym_log] = ACTIONS(1828),
    [anon_sym_lock] = ACTIONS(1828),
    [anon_sym_lstat] = ACTIONS(1828),
    [anon_sym_oct] = ACTIONS(1828),
    [anon_sym_ord] = ACTIONS(1828),
    [anon_sym_prototype] = ACTIONS(1828),
    [anon_sym_pop] = ACTIONS(1828),
    [anon_sym_pos] = ACTIONS(1828),
    [anon_sym_quotemeta] = ACTIONS(1828),
    [anon_sym_reset] = ACTIONS(1828),
    [anon_sym_rand] = ACTIONS(1828),
    [anon_sym_rmdir] = ACTIONS(1828),
    [anon_sym_readdir] = ACTIONS(1828),
    [anon_sym_readline] = ACTIONS(1828),
    [anon_sym_readpipe] = ACTIONS(1828),
    [anon_sym_rewinddir] = ACTIONS(1828),
    [anon_sym_readlink] = ACTIONS(1828),
    [anon_sym_ref] = ACTIONS(1828),
    [anon_sym_scalar] = ACTIONS(1828),
    [anon_sym_shift] = ACTIONS(1828),
    [anon_sym_sin] = ACTIONS(1828),
    [anon_sym_sleep] = ACTIONS(1828),
    [anon_sym_sqrt] = ACTIONS(1828),
    [anon_sym_srand] = ACTIONS(1828),
    [anon_sym_stat] = ACTIONS(1828),
    [anon_sym_study] = ACTIONS(1828),
    [anon_sym_tell] = ACTIONS(1828),
    [anon_sym_telldir] = ACTIONS(1828),
    [anon_sym_tied] = ACTIONS(1828),
    [anon_sym_uc] = ACTIONS(1828),
    [anon_sym_ucfirst] = ACTIONS(1828),
    [anon_sym_untie] = ACTIONS(1828),
    [anon_sym_umask] = ACTIONS(1828),
    [anon_sym_values] = ACTIONS(1828),
    [anon_sym_write] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1828),
    [anon_sym___END__] = ACTIONS(1828),
    [anon_sym_EOT] = ACTIONS(1828),
    [anon_sym_q] = ACTIONS(1828),
    [anon_sym_qq] = ACTIONS(1828),
    [anon_sym_qw] = ACTIONS(1828),
    [anon_sym_qx] = ACTIONS(1828),
    [anon_sym_qr] = ACTIONS(1828),
    [anon_sym_m] = ACTIONS(1828),
    [anon_sym_s] = ACTIONS(1828),
    [anon_sym_tr] = ACTIONS(1828),
    [anon_sym_y] = ACTIONS(1828),
    [anon_sym_if] = ACTIONS(1828),
    [anon_sym_unless] = ACTIONS(1828),
    [anon_sym_while] = ACTIONS(1828),
    [anon_sym_until] = ACTIONS(1828),
    [aux_sym__bareword_token1] = ACTIONS(1828),
    [sym_number] = ACTIONS(1828),
    [anon_sym_true] = ACTIONS(1828),
    [anon_sym_false] = ACTIONS(1828),
    [sym__single_quote] = ACTIONS(1832),
    [sym__double_quote] = ACTIONS(1832),
    [sym__backtick_quote] = ACTIONS(1832),
    [sym__search_slash_quote] = ACTIONS(1832),
    [sym__open_readline_bracket] = ACTIONS(1832),
    [sym__open_fileglob_bracket] = ACTIONS(1832),
    [sym__PERLY_SEMICOLON] = ACTIONS(1832),
    [sym__PERLY_HEREDOC] = ACTIONS(1832),
    [sym__ctrl_z_hack] = ACTIONS(1832),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1832),
    [sym__filetest] = ACTIONS(1832),
  },
  [708] = {
    [sym_heredoc_content] = STATE(708),
    [sym__identifier] = ACTIONS(1859),
    [anon_sym_LBRACE] = ACTIONS(1859),
    [anon_sym_RBRACE] = ACTIONS(1859),
    [anon_sym_SEMI] = ACTIONS(1859),
    [anon_sym_DOLLAR] = ACTIONS(1859),
    [anon_sym_EQ] = ACTIONS(1859),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1859),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(1859),
    [anon_sym_COMMA] = ACTIONS(1859),
    [anon_sym_RPAREN] = ACTIONS(1859),
    [anon_sym_my] = ACTIONS(1859),
    [anon_sym_extended] = ACTIONS(1859),
    [anon_sym_async] = ACTIONS(1859),
    [anon_sym_sub] = ACTIONS(1859),
    [anon_sym_method] = ACTIONS(1859),
    [anon_sym_LPAREN] = ACTIONS(1859),
    [anon_sym_continue] = ACTIONS(1859),
    [anon_sym_state] = ACTIONS(1859),
    [anon_sym_our] = ACTIONS(1859),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1859),
    [anon_sym_and] = ACTIONS(1859),
    [anon_sym_or] = ACTIONS(1859),
    [anon_sym_xor] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1859),
    [anon_sym_DASH_GT] = ACTIONS(1859),
    [anon_sym_PERCENT] = ACTIONS(1859),
    [anon_sym_GT] = ACTIONS(1859),
    [anon_sym_LT_LT] = ACTIONS(1859),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1859),
    [anon_sym_PLUS_EQ] = ACTIONS(1859),
    [anon_sym_DASH_EQ] = ACTIONS(1859),
    [anon_sym_DOT_EQ] = ACTIONS(1859),
    [anon_sym_STAR_EQ] = ACTIONS(1859),
    [anon_sym_SLASH_EQ] = ACTIONS(1859),
    [anon_sym_PERCENT_EQ] = ACTIONS(1859),
    [anon_sym_x_EQ] = ACTIONS(1859),
    [anon_sym_AMP_EQ] = ACTIONS(1859),
    [anon_sym_PIPE_EQ] = ACTIONS(1859),
    [anon_sym_CARET_EQ] = ACTIONS(1859),
    [anon_sym_LT_LT_EQ] = ACTIONS(1859),
    [anon_sym_GT_GT_EQ] = ACTIONS(1859),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1859),
    [anon_sym_DOT_DOT] = ACTIONS(1859),
    [anon_sym_STAR_STAR] = ACTIONS(1859),
    [anon_sym_PIPE_PIPE] = ACTIONS(1859),
    [anon_sym_SLASH_SLASH] = ACTIONS(1859),
    [anon_sym_CARET_CARET] = ACTIONS(1859),
    [anon_sym_AMP_AMP] = ACTIONS(1859),
    [anon_sym_PIPE] = ACTIONS(1859),
    [anon_sym_CARET] = ACTIONS(1859),
    [anon_sym_AMP] = ACTIONS(1859),
    [anon_sym_GT_GT2] = ACTIONS(1859),
    [anon_sym_PLUS] = ACTIONS(1859),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_DOT] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1859),
    [anon_sym_SLASH] = ACTIONS(1859),
    [anon_sym_x] = ACTIONS(1859),
    [anon_sym_EQ_TILDE] = ACTIONS(1859),
    [anon_sym_BANG_TILDE] = ACTIONS(1859),
    [anon_sym_EQ_EQ] = ACTIONS(1859),
    [anon_sym_BANG_EQ] = ACTIONS(1859),
    [anon_sym_eq] = ACTIONS(1859),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1859),
    [anon_sym_equ] = ACTIONS(1859),
    [anon_sym_eqr] = ACTIONS(1859),
    [anon_sym_ne] = ACTIONS(1859),
    [anon_sym_LT_EQ_GT] = ACTIONS(1859),
    [anon_sym_cmp] = ACTIONS(1859),
    [anon_sym_TILDE_TILDE] = ACTIONS(1859),
    [anon_sym_LT] = ACTIONS(1859),
    [anon_sym_LT_EQ] = ACTIONS(1859),
    [anon_sym_GT_EQ] = ACTIONS(1859),
    [anon_sym_lt] = ACTIONS(1859),
    [anon_sym_le] = ACTIONS(1859),
    [anon_sym_ge] = ACTIONS(1859),
    [anon_sym_gt] = ACTIONS(1859),
    [anon_sym_isa] = ACTIONS(1859),
    [anon_sym_TILDE] = ACTIONS(1859),
    [anon_sym_BANG] = ACTIONS(1859),
    [anon_sym_PLUS_PLUS] = ACTIONS(1859),
    [anon_sym_DASH_DASH] = ACTIONS(1859),
    [anon_sym_QMARK] = ACTIONS(1859),
    [anon_sym_BSLASH] = ACTIONS(1861),
    [anon_sym_do] = ACTIONS(1859),
    [anon_sym_eval] = ACTIONS(1859),
    [anon_sym_await] = ACTIONS(1859),
    [anon_sym_field] = ACTIONS(1859),
    [anon_sym_local] = ACTIONS(1859),
    [anon_sym_dynamically] = ACTIONS(1859),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1859),
    [anon_sym_require] = ACTIONS(1859),
    [anon_sym_map] = ACTIONS(1859),
    [anon_sym_grep] = ACTIONS(1859),
    [anon_sym_sort] = ACTIONS(1859),
    [anon_sym_goto] = ACTIONS(1859),
    [anon_sym_return] = ACTIONS(1859),
    [anon_sym_undef] = ACTIONS(1859),
    [anon_sym_PERCENT2] = ACTIONS(1859),
    [anon_sym_AMP2] = ACTIONS(1859),
    [anon_sym_STAR2] = ACTIONS(1859),
    [anon_sym_EQ_GT] = ACTIONS(1859),
    [anon_sym_for] = ACTIONS(1859),
    [anon_sym_foreach] = ACTIONS(1859),
    [anon_sym_last] = ACTIONS(1859),
    [anon_sym_next] = ACTIONS(1859),
    [anon_sym_redo] = ACTIONS(1859),
    [anon_sym___FILE__] = ACTIONS(1859),
    [anon_sym___LINE__] = ACTIONS(1859),
    [anon_sym___PACKAGE__] = ACTIONS(1859),
    [anon_sym___SUB__] = ACTIONS(1859),
    [anon_sym_break] = ACTIONS(1859),
    [anon_sym_fork] = ACTIONS(1859),
    [anon_sym_getppid] = ACTIONS(1859),
    [anon_sym_time] = ACTIONS(1859),
    [anon_sym_times] = ACTIONS(1859),
    [anon_sym_wait] = ACTIONS(1859),
    [anon_sym_wantarray] = ACTIONS(1859),
    [anon_sym_abs] = ACTIONS(1859),
    [anon_sym_alarm] = ACTIONS(1859),
    [anon_sym_chop] = ACTIONS(1859),
    [anon_sym_chdir] = ACTIONS(1859),
    [anon_sym_close] = ACTIONS(1859),
    [anon_sym_closedir] = ACTIONS(1859),
    [anon_sym_caller] = ACTIONS(1859),
    [anon_sym_chomp] = ACTIONS(1859),
    [anon_sym_chr] = ACTIONS(1859),
    [anon_sym_cos] = ACTIONS(1859),
    [anon_sym_chroot] = ACTIONS(1859),
    [anon_sym_defined] = ACTIONS(1859),
    [anon_sym_delete] = ACTIONS(1859),
    [anon_sym_dbmclose] = ACTIONS(1859),
    [anon_sym_exists] = ACTIONS(1859),
    [anon_sym_exit] = ACTIONS(1859),
    [anon_sym_eof] = ACTIONS(1859),
    [anon_sym_exp] = ACTIONS(1859),
    [anon_sym_each] = ACTIONS(1859),
    [anon_sym_fc] = ACTIONS(1859),
    [anon_sym_fileno] = ACTIONS(1859),
    [anon_sym_gmtime] = ACTIONS(1859),
    [anon_sym_getc] = ACTIONS(1859),
    [anon_sym_getpgrp] = ACTIONS(1859),
    [anon_sym_getprotobyname] = ACTIONS(1859),
    [anon_sym_getpwname] = ACTIONS(1859),
    [anon_sym_getpwuid] = ACTIONS(1859),
    [anon_sym_getpeername] = ACTIONS(1859),
    [anon_sym_getnetbyname] = ACTIONS(1859),
    [anon_sym_getsockname] = ACTIONS(1859),
    [anon_sym_getgrnam] = ACTIONS(1859),
    [anon_sym_getgrgid] = ACTIONS(1859),
    [anon_sym_hex] = ACTIONS(1859),
    [anon_sym_int] = ACTIONS(1859),
    [anon_sym_keys] = ACTIONS(1859),
    [anon_sym_lc] = ACTIONS(1859),
    [anon_sym_lcfirst] = ACTIONS(1859),
    [anon_sym_length] = ACTIONS(1859),
    [anon_sym_localtime] = ACTIONS(1859),
    [anon_sym_log] = ACTIONS(1859),
    [anon_sym_lock] = ACTIONS(1859),
    [anon_sym_lstat] = ACTIONS(1859),
    [anon_sym_oct] = ACTIONS(1859),
    [anon_sym_ord] = ACTIONS(1859),
    [anon_sym_prototype] = ACTIONS(1859),
    [anon_sym_pop] = ACTIONS(1859),
    [anon_sym_pos] = ACTIONS(1859),
    [anon_sym_quotemeta] = ACTIONS(1859),
    [anon_sym_reset] = ACTIONS(1859),
    [anon_sym_rand] = ACTIONS(1859),
    [anon_sym_rmdir] = ACTIONS(1859),
    [anon_sym_readdir] = ACTIONS(1859),
    [anon_sym_readline] = ACTIONS(1859),
    [anon_sym_readpipe] = ACTIONS(1859),
    [anon_sym_rewinddir] = ACTIONS(1859),
    [anon_sym_readlink] = ACTIONS(1859),
    [anon_sym_ref] = ACTIONS(1859),
    [anon_sym_scalar] = ACTIONS(1859),
    [anon_sym_shift] = ACTIONS(1859),
    [anon_sym_sin] = ACTIONS(1859),
    [anon_sym_sleep] = ACTIONS(1859),
    [anon_sym_sqrt] = ACTIONS(1859),
    [anon_sym_srand] = ACTIONS(1859),
    [anon_sym_stat] = ACTIONS(1859),
    [anon_sym_study] = ACTIONS(1859),
    [anon_sym_tell] = ACTIONS(1859),
    [anon_sym_telldir] = ACTIONS(1859),
    [anon_sym_tied] = ACTIONS(1859),
    [anon_sym_uc] = ACTIONS(1859),
    [anon_sym_ucfirst] = ACTIONS(1859),
    [anon_sym_untie] = ACTIONS(1859),
    [anon_sym_umask] = ACTIONS(1859),
    [anon_sym_values] = ACTIONS(1859),
    [anon_sym_write] = ACTIONS(1859),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1859),
    [anon_sym___END__] = ACTIONS(1859),
    [anon_sym_EOT] = ACTIONS(1859),
    [anon_sym_q] = ACTIONS(1859),
    [anon_sym_qq] = ACTIONS(1859),
    [anon_sym_qw] = ACTIONS(1859),
    [anon_sym_qx] = ACTIONS(1859),
    [anon_sym_qr] = ACTIONS(1859),
    [anon_sym_m] = ACTIONS(1859),
    [anon_sym_s] = ACTIONS(1859),
    [anon_sym_tr] = ACTIONS(1859),
    [anon_sym_y] = ACTIONS(1859),
    [anon_sym_if] = ACTIONS(1859),
    [anon_sym_unless] = ACTIONS(1859),
    [anon_sym_while] = ACTIONS(1859),
    [anon_sym_until] = ACTIONS(1859),
    [aux_sym__bareword_token1] = ACTIONS(1859),
    [sym_number] = ACTIONS(1859),
    [anon_sym_true] = ACTIONS(1859),
    [anon_sym_false] = ACTIONS(1859),
    [sym__single_quote] = ACTIONS(1861),
    [sym__double_quote] = ACTIONS(1861),
    [sym__backtick_quote] = ACTIONS(1861),
    [sym__search_slash_quote] = ACTIONS(1861),
    [sym__open_readline_bracket] = ACTIONS(1861),
    [sym__open_fileglob_bracket] = ACTIONS(1861),
    [sym__PERLY_SEMICOLON] = ACTIONS(1861),
    [sym__PERLY_HEREDOC] = ACTIONS(1861),
    [sym__ctrl_z_hack] = ACTIONS(1861),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1861),
    [sym__filetest] = ACTIONS(1861),
  },
  [709] = {
    [sym_heredoc_content] = STATE(709),
    [sym__identifier] = ACTIONS(1863),
    [anon_sym_LBRACE] = ACTIONS(1863),
    [anon_sym_RBRACE] = ACTIONS(1863),
    [anon_sym_SEMI] = ACTIONS(1863),
    [anon_sym_DOLLAR] = ACTIONS(1863),
    [anon_sym_EQ] = ACTIONS(1863),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1863),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1863),
    [anon_sym_AT] = ACTIONS(1863),
    [anon_sym_COMMA] = ACTIONS(1863),
    [anon_sym_RPAREN] = ACTIONS(1863),
    [anon_sym_my] = ACTIONS(1863),
    [anon_sym_extended] = ACTIONS(1863),
    [anon_sym_async] = ACTIONS(1863),
    [anon_sym_sub] = ACTIONS(1863),
    [anon_sym_method] = ACTIONS(1863),
    [anon_sym_LPAREN] = ACTIONS(1863),
    [anon_sym_continue] = ACTIONS(1863),
    [anon_sym_state] = ACTIONS(1863),
    [anon_sym_our] = ACTIONS(1863),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1863),
    [anon_sym_and] = ACTIONS(1863),
    [anon_sym_or] = ACTIONS(1863),
    [anon_sym_xor] = ACTIONS(1863),
    [anon_sym_LBRACK] = ACTIONS(1863),
    [anon_sym_DASH_GT] = ACTIONS(1863),
    [anon_sym_PERCENT] = ACTIONS(1863),
    [anon_sym_GT] = ACTIONS(1863),
    [anon_sym_LT_LT] = ACTIONS(1863),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1863),
    [anon_sym_PLUS_EQ] = ACTIONS(1863),
    [anon_sym_DASH_EQ] = ACTIONS(1863),
    [anon_sym_DOT_EQ] = ACTIONS(1863),
    [anon_sym_STAR_EQ] = ACTIONS(1863),
    [anon_sym_SLASH_EQ] = ACTIONS(1863),
    [anon_sym_PERCENT_EQ] = ACTIONS(1863),
    [anon_sym_x_EQ] = ACTIONS(1863),
    [anon_sym_AMP_EQ] = ACTIONS(1863),
    [anon_sym_PIPE_EQ] = ACTIONS(1863),
    [anon_sym_CARET_EQ] = ACTIONS(1863),
    [anon_sym_LT_LT_EQ] = ACTIONS(1863),
    [anon_sym_GT_GT_EQ] = ACTIONS(1863),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1863),
    [anon_sym_DOT_DOT] = ACTIONS(1863),
    [anon_sym_STAR_STAR] = ACTIONS(1863),
    [anon_sym_PIPE_PIPE] = ACTIONS(1863),
    [anon_sym_SLASH_SLASH] = ACTIONS(1863),
    [anon_sym_CARET_CARET] = ACTIONS(1863),
    [anon_sym_AMP_AMP] = ACTIONS(1863),
    [anon_sym_PIPE] = ACTIONS(1863),
    [anon_sym_CARET] = ACTIONS(1863),
    [anon_sym_AMP] = ACTIONS(1863),
    [anon_sym_GT_GT2] = ACTIONS(1863),
    [anon_sym_PLUS] = ACTIONS(1863),
    [anon_sym_DASH] = ACTIONS(1863),
    [anon_sym_DOT] = ACTIONS(1863),
    [anon_sym_STAR] = ACTIONS(1863),
    [anon_sym_SLASH] = ACTIONS(1863),
    [anon_sym_x] = ACTIONS(1863),
    [anon_sym_EQ_TILDE] = ACTIONS(1863),
    [anon_sym_BANG_TILDE] = ACTIONS(1863),
    [anon_sym_EQ_EQ] = ACTIONS(1863),
    [anon_sym_BANG_EQ] = ACTIONS(1863),
    [anon_sym_eq] = ACTIONS(1863),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1863),
    [anon_sym_equ] = ACTIONS(1863),
    [anon_sym_eqr] = ACTIONS(1863),
    [anon_sym_ne] = ACTIONS(1863),
    [anon_sym_LT_EQ_GT] = ACTIONS(1863),
    [anon_sym_cmp] = ACTIONS(1863),
    [anon_sym_TILDE_TILDE] = ACTIONS(1863),
    [anon_sym_LT] = ACTIONS(1863),
    [anon_sym_LT_EQ] = ACTIONS(1863),
    [anon_sym_GT_EQ] = ACTIONS(1863),
    [anon_sym_lt] = ACTIONS(1863),
    [anon_sym_le] = ACTIONS(1863),
    [anon_sym_ge] = ACTIONS(1863),
    [anon_sym_gt] = ACTIONS(1863),
    [anon_sym_isa] = ACTIONS(1863),
    [anon_sym_TILDE] = ACTIONS(1863),
    [anon_sym_BANG] = ACTIONS(1863),
    [anon_sym_PLUS_PLUS] = ACTIONS(1863),
    [anon_sym_DASH_DASH] = ACTIONS(1863),
    [anon_sym_QMARK] = ACTIONS(1863),
    [anon_sym_BSLASH] = ACTIONS(1865),
    [anon_sym_do] = ACTIONS(1863),
    [anon_sym_eval] = ACTIONS(1863),
    [anon_sym_await] = ACTIONS(1863),
    [anon_sym_field] = ACTIONS(1863),
    [anon_sym_local] = ACTIONS(1863),
    [anon_sym_dynamically] = ACTIONS(1863),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1863),
    [anon_sym_require] = ACTIONS(1863),
    [anon_sym_map] = ACTIONS(1863),
    [anon_sym_grep] = ACTIONS(1863),
    [anon_sym_sort] = ACTIONS(1863),
    [anon_sym_goto] = ACTIONS(1863),
    [anon_sym_return] = ACTIONS(1863),
    [anon_sym_undef] = ACTIONS(1863),
    [anon_sym_PERCENT2] = ACTIONS(1863),
    [anon_sym_AMP2] = ACTIONS(1863),
    [anon_sym_STAR2] = ACTIONS(1863),
    [anon_sym_EQ_GT] = ACTIONS(1863),
    [anon_sym_for] = ACTIONS(1863),
    [anon_sym_foreach] = ACTIONS(1863),
    [anon_sym_last] = ACTIONS(1863),
    [anon_sym_next] = ACTIONS(1863),
    [anon_sym_redo] = ACTIONS(1863),
    [anon_sym___FILE__] = ACTIONS(1863),
    [anon_sym___LINE__] = ACTIONS(1863),
    [anon_sym___PACKAGE__] = ACTIONS(1863),
    [anon_sym___SUB__] = ACTIONS(1863),
    [anon_sym_break] = ACTIONS(1863),
    [anon_sym_fork] = ACTIONS(1863),
    [anon_sym_getppid] = ACTIONS(1863),
    [anon_sym_time] = ACTIONS(1863),
    [anon_sym_times] = ACTIONS(1863),
    [anon_sym_wait] = ACTIONS(1863),
    [anon_sym_wantarray] = ACTIONS(1863),
    [anon_sym_abs] = ACTIONS(1863),
    [anon_sym_alarm] = ACTIONS(1863),
    [anon_sym_chop] = ACTIONS(1863),
    [anon_sym_chdir] = ACTIONS(1863),
    [anon_sym_close] = ACTIONS(1863),
    [anon_sym_closedir] = ACTIONS(1863),
    [anon_sym_caller] = ACTIONS(1863),
    [anon_sym_chomp] = ACTIONS(1863),
    [anon_sym_chr] = ACTIONS(1863),
    [anon_sym_cos] = ACTIONS(1863),
    [anon_sym_chroot] = ACTIONS(1863),
    [anon_sym_defined] = ACTIONS(1863),
    [anon_sym_delete] = ACTIONS(1863),
    [anon_sym_dbmclose] = ACTIONS(1863),
    [anon_sym_exists] = ACTIONS(1863),
    [anon_sym_exit] = ACTIONS(1863),
    [anon_sym_eof] = ACTIONS(1863),
    [anon_sym_exp] = ACTIONS(1863),
    [anon_sym_each] = ACTIONS(1863),
    [anon_sym_fc] = ACTIONS(1863),
    [anon_sym_fileno] = ACTIONS(1863),
    [anon_sym_gmtime] = ACTIONS(1863),
    [anon_sym_getc] = ACTIONS(1863),
    [anon_sym_getpgrp] = ACTIONS(1863),
    [anon_sym_getprotobyname] = ACTIONS(1863),
    [anon_sym_getpwname] = ACTIONS(1863),
    [anon_sym_getpwuid] = ACTIONS(1863),
    [anon_sym_getpeername] = ACTIONS(1863),
    [anon_sym_getnetbyname] = ACTIONS(1863),
    [anon_sym_getsockname] = ACTIONS(1863),
    [anon_sym_getgrnam] = ACTIONS(1863),
    [anon_sym_getgrgid] = ACTIONS(1863),
    [anon_sym_hex] = ACTIONS(1863),
    [anon_sym_int] = ACTIONS(1863),
    [anon_sym_keys] = ACTIONS(1863),
    [anon_sym_lc] = ACTIONS(1863),
    [anon_sym_lcfirst] = ACTIONS(1863),
    [anon_sym_length] = ACTIONS(1863),
    [anon_sym_localtime] = ACTIONS(1863),
    [anon_sym_log] = ACTIONS(1863),
    [anon_sym_lock] = ACTIONS(1863),
    [anon_sym_lstat] = ACTIONS(1863),
    [anon_sym_oct] = ACTIONS(1863),
    [anon_sym_ord] = ACTIONS(1863),
    [anon_sym_prototype] = ACTIONS(1863),
    [anon_sym_pop] = ACTIONS(1863),
    [anon_sym_pos] = ACTIONS(1863),
    [anon_sym_quotemeta] = ACTIONS(1863),
    [anon_sym_reset] = ACTIONS(1863),
    [anon_sym_rand] = ACTIONS(1863),
    [anon_sym_rmdir] = ACTIONS(1863),
    [anon_sym_readdir] = ACTIONS(1863),
    [anon_sym_readline] = ACTIONS(1863),
    [anon_sym_readpipe] = ACTIONS(1863),
    [anon_sym_rewinddir] = ACTIONS(1863),
    [anon_sym_readlink] = ACTIONS(1863),
    [anon_sym_ref] = ACTIONS(1863),
    [anon_sym_scalar] = ACTIONS(1863),
    [anon_sym_shift] = ACTIONS(1863),
    [anon_sym_sin] = ACTIONS(1863),
    [anon_sym_sleep] = ACTIONS(1863),
    [anon_sym_sqrt] = ACTIONS(1863),
    [anon_sym_srand] = ACTIONS(1863),
    [anon_sym_stat] = ACTIONS(1863),
    [anon_sym_study] = ACTIONS(1863),
    [anon_sym_tell] = ACTIONS(1863),
    [anon_sym_telldir] = ACTIONS(1863),
    [anon_sym_tied] = ACTIONS(1863),
    [anon_sym_uc] = ACTIONS(1863),
    [anon_sym_ucfirst] = ACTIONS(1863),
    [anon_sym_untie] = ACTIONS(1863),
    [anon_sym_umask] = ACTIONS(1863),
    [anon_sym_values] = ACTIONS(1863),
    [anon_sym_write] = ACTIONS(1863),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1863),
    [anon_sym___END__] = ACTIONS(1863),
    [anon_sym_EOT] = ACTIONS(1863),
    [anon_sym_q] = ACTIONS(1863),
    [anon_sym_qq] = ACTIONS(1863),
    [anon_sym_qw] = ACTIONS(1863),
    [anon_sym_qx] = ACTIONS(1863),
    [anon_sym_qr] = ACTIONS(1863),
    [anon_sym_m] = ACTIONS(1863),
    [anon_sym_s] = ACTIONS(1863),
    [anon_sym_tr] = ACTIONS(1863),
    [anon_sym_y] = ACTIONS(1863),
    [anon_sym_if] = ACTIONS(1863),
    [anon_sym_unless] = ACTIONS(1863),
    [anon_sym_while] = ACTIONS(1863),
    [anon_sym_until] = ACTIONS(1863),
    [aux_sym__bareword_token1] = ACTIONS(1863),
    [sym_number] = ACTIONS(1863),
    [anon_sym_true] = ACTIONS(1863),
    [anon_sym_false] = ACTIONS(1863),
    [sym__single_quote] = ACTIONS(1865),
    [sym__double_quote] = ACTIONS(1865),
    [sym__backtick_quote] = ACTIONS(1865),
    [sym__search_slash_quote] = ACTIONS(1865),
    [sym__open_readline_bracket] = ACTIONS(1865),
    [sym__open_fileglob_bracket] = ACTIONS(1865),
    [sym__PERLY_SEMICOLON] = ACTIONS(1865),
    [sym__PERLY_HEREDOC] = ACTIONS(1865),
    [sym__ctrl_z_hack] = ACTIONS(1865),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1865),
    [sym__filetest] = ACTIONS(1865),
  },
  [710] = {
    [sym_heredoc_content] = STATE(710),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_RBRACE] = ACTIONS(1869),
    [anon_sym_SEMI] = ACTIONS(1869),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1869),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1869),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1869),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1869),
    [anon_sym_RPAREN] = ACTIONS(1869),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1869),
    [anon_sym_and] = ACTIONS(1869),
    [anon_sym_or] = ACTIONS(1869),
    [anon_sym_xor] = ACTIONS(1869),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_DASH_GT] = ACTIONS(1869),
    [anon_sym_PERCENT] = ACTIONS(1869),
    [anon_sym_GT] = ACTIONS(1869),
    [anon_sym_LT_LT] = ACTIONS(1869),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1869),
    [anon_sym_PLUS_EQ] = ACTIONS(1869),
    [anon_sym_DASH_EQ] = ACTIONS(1869),
    [anon_sym_DOT_EQ] = ACTIONS(1869),
    [anon_sym_STAR_EQ] = ACTIONS(1869),
    [anon_sym_SLASH_EQ] = ACTIONS(1869),
    [anon_sym_PERCENT_EQ] = ACTIONS(1869),
    [anon_sym_x_EQ] = ACTIONS(1869),
    [anon_sym_AMP_EQ] = ACTIONS(1869),
    [anon_sym_PIPE_EQ] = ACTIONS(1869),
    [anon_sym_CARET_EQ] = ACTIONS(1869),
    [anon_sym_LT_LT_EQ] = ACTIONS(1869),
    [anon_sym_GT_GT_EQ] = ACTIONS(1869),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1869),
    [anon_sym_DOT_DOT] = ACTIONS(1869),
    [anon_sym_STAR_STAR] = ACTIONS(1869),
    [anon_sym_PIPE_PIPE] = ACTIONS(1869),
    [anon_sym_SLASH_SLASH] = ACTIONS(1869),
    [anon_sym_CARET_CARET] = ACTIONS(1869),
    [anon_sym_AMP_AMP] = ACTIONS(1869),
    [anon_sym_PIPE] = ACTIONS(1869),
    [anon_sym_CARET] = ACTIONS(1869),
    [anon_sym_AMP] = ACTIONS(1869),
    [anon_sym_GT_GT2] = ACTIONS(1869),
    [anon_sym_PLUS] = ACTIONS(1869),
    [anon_sym_DASH] = ACTIONS(1869),
    [anon_sym_DOT] = ACTIONS(1869),
    [anon_sym_STAR] = ACTIONS(1869),
    [anon_sym_SLASH] = ACTIONS(1869),
    [anon_sym_x] = ACTIONS(1869),
    [anon_sym_EQ_TILDE] = ACTIONS(1869),
    [anon_sym_BANG_TILDE] = ACTIONS(1869),
    [anon_sym_EQ_EQ] = ACTIONS(1869),
    [anon_sym_BANG_EQ] = ACTIONS(1869),
    [anon_sym_eq] = ACTIONS(1869),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1869),
    [anon_sym_equ] = ACTIONS(1869),
    [anon_sym_eqr] = ACTIONS(1869),
    [anon_sym_ne] = ACTIONS(1869),
    [anon_sym_LT_EQ_GT] = ACTIONS(1869),
    [anon_sym_cmp] = ACTIONS(1869),
    [anon_sym_TILDE_TILDE] = ACTIONS(1869),
    [anon_sym_LT] = ACTIONS(1869),
    [anon_sym_LT_EQ] = ACTIONS(1869),
    [anon_sym_GT_EQ] = ACTIONS(1869),
    [anon_sym_lt] = ACTIONS(1869),
    [anon_sym_le] = ACTIONS(1869),
    [anon_sym_ge] = ACTIONS(1869),
    [anon_sym_gt] = ACTIONS(1869),
    [anon_sym_isa] = ACTIONS(1869),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_QMARK] = ACTIONS(1869),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1869),
    [anon_sym_for] = ACTIONS(1869),
    [anon_sym_foreach] = ACTIONS(1869),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1869),
    [anon_sym___END__] = ACTIONS(1869),
    [anon_sym_EOT] = ACTIONS(1869),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1869),
    [anon_sym_unless] = ACTIONS(1869),
    [anon_sym_while] = ACTIONS(1869),
    [anon_sym_until] = ACTIONS(1869),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1899),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1899),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
  },
  [711] = {
    [sym_heredoc_content] = STATE(711),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_RBRACE] = ACTIONS(1901),
    [anon_sym_SEMI] = ACTIONS(1901),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1901),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1901),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1901),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1901),
    [anon_sym_RPAREN] = ACTIONS(1901),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1901),
    [anon_sym_and] = ACTIONS(1901),
    [anon_sym_or] = ACTIONS(1901),
    [anon_sym_xor] = ACTIONS(1901),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_DASH_GT] = ACTIONS(1901),
    [anon_sym_PERCENT] = ACTIONS(1901),
    [anon_sym_GT] = ACTIONS(1901),
    [anon_sym_LT_LT] = ACTIONS(1901),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1901),
    [anon_sym_PLUS_EQ] = ACTIONS(1901),
    [anon_sym_DASH_EQ] = ACTIONS(1901),
    [anon_sym_DOT_EQ] = ACTIONS(1901),
    [anon_sym_STAR_EQ] = ACTIONS(1901),
    [anon_sym_SLASH_EQ] = ACTIONS(1901),
    [anon_sym_PERCENT_EQ] = ACTIONS(1901),
    [anon_sym_x_EQ] = ACTIONS(1901),
    [anon_sym_AMP_EQ] = ACTIONS(1901),
    [anon_sym_PIPE_EQ] = ACTIONS(1901),
    [anon_sym_CARET_EQ] = ACTIONS(1901),
    [anon_sym_LT_LT_EQ] = ACTIONS(1901),
    [anon_sym_GT_GT_EQ] = ACTIONS(1901),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1901),
    [anon_sym_DOT_DOT] = ACTIONS(1901),
    [anon_sym_STAR_STAR] = ACTIONS(1901),
    [anon_sym_PIPE_PIPE] = ACTIONS(1901),
    [anon_sym_SLASH_SLASH] = ACTIONS(1901),
    [anon_sym_CARET_CARET] = ACTIONS(1901),
    [anon_sym_AMP_AMP] = ACTIONS(1901),
    [anon_sym_PIPE] = ACTIONS(1901),
    [anon_sym_CARET] = ACTIONS(1901),
    [anon_sym_AMP] = ACTIONS(1901),
    [anon_sym_GT_GT2] = ACTIONS(1901),
    [anon_sym_PLUS] = ACTIONS(1901),
    [anon_sym_DASH] = ACTIONS(1901),
    [anon_sym_DOT] = ACTIONS(1901),
    [anon_sym_STAR] = ACTIONS(1901),
    [anon_sym_SLASH] = ACTIONS(1901),
    [anon_sym_x] = ACTIONS(1901),
    [anon_sym_EQ_TILDE] = ACTIONS(1901),
    [anon_sym_BANG_TILDE] = ACTIONS(1901),
    [anon_sym_EQ_EQ] = ACTIONS(1901),
    [anon_sym_BANG_EQ] = ACTIONS(1901),
    [anon_sym_eq] = ACTIONS(1901),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1901),
    [anon_sym_equ] = ACTIONS(1901),
    [anon_sym_eqr] = ACTIONS(1901),
    [anon_sym_ne] = ACTIONS(1901),
    [anon_sym_LT_EQ_GT] = ACTIONS(1901),
    [anon_sym_cmp] = ACTIONS(1901),
    [anon_sym_TILDE_TILDE] = ACTIONS(1901),
    [anon_sym_LT] = ACTIONS(1901),
    [anon_sym_LT_EQ] = ACTIONS(1901),
    [anon_sym_GT_EQ] = ACTIONS(1901),
    [anon_sym_lt] = ACTIONS(1901),
    [anon_sym_le] = ACTIONS(1901),
    [anon_sym_ge] = ACTIONS(1901),
    [anon_sym_gt] = ACTIONS(1901),
    [anon_sym_isa] = ACTIONS(1901),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1901),
    [anon_sym_DASH_DASH] = ACTIONS(1901),
    [anon_sym_QMARK] = ACTIONS(1901),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1901),
    [anon_sym_for] = ACTIONS(1901),
    [anon_sym_foreach] = ACTIONS(1901),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1901),
    [anon_sym___END__] = ACTIONS(1901),
    [anon_sym_EOT] = ACTIONS(1901),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1901),
    [anon_sym_unless] = ACTIONS(1901),
    [anon_sym_while] = ACTIONS(1901),
    [anon_sym_until] = ACTIONS(1901),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1903),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1903),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
  },
  [712] = {
    [sym_heredoc_content] = STATE(712),
    [sym__identifier] = ACTIONS(1834),
    [anon_sym_LBRACE] = ACTIONS(1834),
    [anon_sym_RBRACE] = ACTIONS(1834),
    [anon_sym_SEMI] = ACTIONS(1834),
    [anon_sym_DOLLAR] = ACTIONS(1834),
    [anon_sym_EQ] = ACTIONS(1834),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1834),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1834),
    [anon_sym_AT] = ACTIONS(1834),
    [anon_sym_COMMA] = ACTIONS(1834),
    [anon_sym_RPAREN] = ACTIONS(1834),
    [anon_sym_my] = ACTIONS(1834),
    [anon_sym_extended] = ACTIONS(1834),
    [anon_sym_async] = ACTIONS(1834),
    [anon_sym_sub] = ACTIONS(1834),
    [anon_sym_method] = ACTIONS(1834),
    [anon_sym_LPAREN] = ACTIONS(1834),
    [anon_sym_continue] = ACTIONS(1834),
    [anon_sym_state] = ACTIONS(1834),
    [anon_sym_our] = ACTIONS(1834),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1834),
    [anon_sym_and] = ACTIONS(1834),
    [anon_sym_or] = ACTIONS(1834),
    [anon_sym_xor] = ACTIONS(1834),
    [anon_sym_LBRACK] = ACTIONS(1834),
    [anon_sym_DASH_GT] = ACTIONS(1834),
    [anon_sym_PERCENT] = ACTIONS(1834),
    [anon_sym_GT] = ACTIONS(1834),
    [anon_sym_LT_LT] = ACTIONS(1834),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1834),
    [anon_sym_PLUS_EQ] = ACTIONS(1834),
    [anon_sym_DASH_EQ] = ACTIONS(1834),
    [anon_sym_DOT_EQ] = ACTIONS(1834),
    [anon_sym_STAR_EQ] = ACTIONS(1834),
    [anon_sym_SLASH_EQ] = ACTIONS(1834),
    [anon_sym_PERCENT_EQ] = ACTIONS(1834),
    [anon_sym_x_EQ] = ACTIONS(1834),
    [anon_sym_AMP_EQ] = ACTIONS(1834),
    [anon_sym_PIPE_EQ] = ACTIONS(1834),
    [anon_sym_CARET_EQ] = ACTIONS(1834),
    [anon_sym_LT_LT_EQ] = ACTIONS(1834),
    [anon_sym_GT_GT_EQ] = ACTIONS(1834),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1834),
    [anon_sym_DOT_DOT] = ACTIONS(1834),
    [anon_sym_STAR_STAR] = ACTIONS(1834),
    [anon_sym_PIPE_PIPE] = ACTIONS(1834),
    [anon_sym_SLASH_SLASH] = ACTIONS(1834),
    [anon_sym_CARET_CARET] = ACTIONS(1834),
    [anon_sym_AMP_AMP] = ACTIONS(1834),
    [anon_sym_PIPE] = ACTIONS(1834),
    [anon_sym_CARET] = ACTIONS(1834),
    [anon_sym_AMP] = ACTIONS(1834),
    [anon_sym_GT_GT2] = ACTIONS(1834),
    [anon_sym_PLUS] = ACTIONS(1834),
    [anon_sym_DASH] = ACTIONS(1834),
    [anon_sym_DOT] = ACTIONS(1834),
    [anon_sym_STAR] = ACTIONS(1834),
    [anon_sym_SLASH] = ACTIONS(1834),
    [anon_sym_x] = ACTIONS(1834),
    [anon_sym_EQ_TILDE] = ACTIONS(1834),
    [anon_sym_BANG_TILDE] = ACTIONS(1834),
    [anon_sym_EQ_EQ] = ACTIONS(1834),
    [anon_sym_BANG_EQ] = ACTIONS(1834),
    [anon_sym_eq] = ACTIONS(1834),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1834),
    [anon_sym_equ] = ACTIONS(1834),
    [anon_sym_eqr] = ACTIONS(1834),
    [anon_sym_ne] = ACTIONS(1834),
    [anon_sym_LT_EQ_GT] = ACTIONS(1834),
    [anon_sym_cmp] = ACTIONS(1834),
    [anon_sym_TILDE_TILDE] = ACTIONS(1834),
    [anon_sym_LT] = ACTIONS(1834),
    [anon_sym_LT_EQ] = ACTIONS(1834),
    [anon_sym_GT_EQ] = ACTIONS(1834),
    [anon_sym_lt] = ACTIONS(1834),
    [anon_sym_le] = ACTIONS(1834),
    [anon_sym_ge] = ACTIONS(1834),
    [anon_sym_gt] = ACTIONS(1834),
    [anon_sym_isa] = ACTIONS(1834),
    [anon_sym_TILDE] = ACTIONS(1834),
    [anon_sym_BANG] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1834),
    [anon_sym_DASH_DASH] = ACTIONS(1834),
    [anon_sym_QMARK] = ACTIONS(1834),
    [anon_sym_BSLASH] = ACTIONS(1836),
    [anon_sym_do] = ACTIONS(1834),
    [anon_sym_eval] = ACTIONS(1834),
    [anon_sym_await] = ACTIONS(1834),
    [anon_sym_field] = ACTIONS(1834),
    [anon_sym_local] = ACTIONS(1834),
    [anon_sym_dynamically] = ACTIONS(1834),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1834),
    [anon_sym_require] = ACTIONS(1834),
    [anon_sym_map] = ACTIONS(1834),
    [anon_sym_grep] = ACTIONS(1834),
    [anon_sym_sort] = ACTIONS(1834),
    [anon_sym_goto] = ACTIONS(1834),
    [anon_sym_return] = ACTIONS(1834),
    [anon_sym_undef] = ACTIONS(1834),
    [anon_sym_PERCENT2] = ACTIONS(1834),
    [anon_sym_AMP2] = ACTIONS(1834),
    [anon_sym_STAR2] = ACTIONS(1834),
    [anon_sym_EQ_GT] = ACTIONS(1834),
    [anon_sym_for] = ACTIONS(1834),
    [anon_sym_foreach] = ACTIONS(1834),
    [anon_sym_last] = ACTIONS(1834),
    [anon_sym_next] = ACTIONS(1834),
    [anon_sym_redo] = ACTIONS(1834),
    [anon_sym___FILE__] = ACTIONS(1834),
    [anon_sym___LINE__] = ACTIONS(1834),
    [anon_sym___PACKAGE__] = ACTIONS(1834),
    [anon_sym___SUB__] = ACTIONS(1834),
    [anon_sym_break] = ACTIONS(1834),
    [anon_sym_fork] = ACTIONS(1834),
    [anon_sym_getppid] = ACTIONS(1834),
    [anon_sym_time] = ACTIONS(1834),
    [anon_sym_times] = ACTIONS(1834),
    [anon_sym_wait] = ACTIONS(1834),
    [anon_sym_wantarray] = ACTIONS(1834),
    [anon_sym_abs] = ACTIONS(1834),
    [anon_sym_alarm] = ACTIONS(1834),
    [anon_sym_chop] = ACTIONS(1834),
    [anon_sym_chdir] = ACTIONS(1834),
    [anon_sym_close] = ACTIONS(1834),
    [anon_sym_closedir] = ACTIONS(1834),
    [anon_sym_caller] = ACTIONS(1834),
    [anon_sym_chomp] = ACTIONS(1834),
    [anon_sym_chr] = ACTIONS(1834),
    [anon_sym_cos] = ACTIONS(1834),
    [anon_sym_chroot] = ACTIONS(1834),
    [anon_sym_defined] = ACTIONS(1834),
    [anon_sym_delete] = ACTIONS(1834),
    [anon_sym_dbmclose] = ACTIONS(1834),
    [anon_sym_exists] = ACTIONS(1834),
    [anon_sym_exit] = ACTIONS(1834),
    [anon_sym_eof] = ACTIONS(1834),
    [anon_sym_exp] = ACTIONS(1834),
    [anon_sym_each] = ACTIONS(1834),
    [anon_sym_fc] = ACTIONS(1834),
    [anon_sym_fileno] = ACTIONS(1834),
    [anon_sym_gmtime] = ACTIONS(1834),
    [anon_sym_getc] = ACTIONS(1834),
    [anon_sym_getpgrp] = ACTIONS(1834),
    [anon_sym_getprotobyname] = ACTIONS(1834),
    [anon_sym_getpwname] = ACTIONS(1834),
    [anon_sym_getpwuid] = ACTIONS(1834),
    [anon_sym_getpeername] = ACTIONS(1834),
    [anon_sym_getnetbyname] = ACTIONS(1834),
    [anon_sym_getsockname] = ACTIONS(1834),
    [anon_sym_getgrnam] = ACTIONS(1834),
    [anon_sym_getgrgid] = ACTIONS(1834),
    [anon_sym_hex] = ACTIONS(1834),
    [anon_sym_int] = ACTIONS(1834),
    [anon_sym_keys] = ACTIONS(1834),
    [anon_sym_lc] = ACTIONS(1834),
    [anon_sym_lcfirst] = ACTIONS(1834),
    [anon_sym_length] = ACTIONS(1834),
    [anon_sym_localtime] = ACTIONS(1834),
    [anon_sym_log] = ACTIONS(1834),
    [anon_sym_lock] = ACTIONS(1834),
    [anon_sym_lstat] = ACTIONS(1834),
    [anon_sym_oct] = ACTIONS(1834),
    [anon_sym_ord] = ACTIONS(1834),
    [anon_sym_prototype] = ACTIONS(1834),
    [anon_sym_pop] = ACTIONS(1834),
    [anon_sym_pos] = ACTIONS(1834),
    [anon_sym_quotemeta] = ACTIONS(1834),
    [anon_sym_reset] = ACTIONS(1834),
    [anon_sym_rand] = ACTIONS(1834),
    [anon_sym_rmdir] = ACTIONS(1834),
    [anon_sym_readdir] = ACTIONS(1834),
    [anon_sym_readline] = ACTIONS(1834),
    [anon_sym_readpipe] = ACTIONS(1834),
    [anon_sym_rewinddir] = ACTIONS(1834),
    [anon_sym_readlink] = ACTIONS(1834),
    [anon_sym_ref] = ACTIONS(1834),
    [anon_sym_scalar] = ACTIONS(1834),
    [anon_sym_shift] = ACTIONS(1834),
    [anon_sym_sin] = ACTIONS(1834),
    [anon_sym_sleep] = ACTIONS(1834),
    [anon_sym_sqrt] = ACTIONS(1834),
    [anon_sym_srand] = ACTIONS(1834),
    [anon_sym_stat] = ACTIONS(1834),
    [anon_sym_study] = ACTIONS(1834),
    [anon_sym_tell] = ACTIONS(1834),
    [anon_sym_telldir] = ACTIONS(1834),
    [anon_sym_tied] = ACTIONS(1834),
    [anon_sym_uc] = ACTIONS(1834),
    [anon_sym_ucfirst] = ACTIONS(1834),
    [anon_sym_untie] = ACTIONS(1834),
    [anon_sym_umask] = ACTIONS(1834),
    [anon_sym_values] = ACTIONS(1834),
    [anon_sym_write] = ACTIONS(1834),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1834),
    [anon_sym___END__] = ACTIONS(1834),
    [anon_sym_EOT] = ACTIONS(1834),
    [anon_sym_q] = ACTIONS(1834),
    [anon_sym_qq] = ACTIONS(1834),
    [anon_sym_qw] = ACTIONS(1834),
    [anon_sym_qx] = ACTIONS(1834),
    [anon_sym_qr] = ACTIONS(1834),
    [anon_sym_m] = ACTIONS(1834),
    [anon_sym_s] = ACTIONS(1834),
    [anon_sym_tr] = ACTIONS(1834),
    [anon_sym_y] = ACTIONS(1834),
    [anon_sym_if] = ACTIONS(1834),
    [anon_sym_unless] = ACTIONS(1834),
    [anon_sym_while] = ACTIONS(1834),
    [anon_sym_until] = ACTIONS(1834),
    [aux_sym__bareword_token1] = ACTIONS(1834),
    [sym_number] = ACTIONS(1834),
    [anon_sym_true] = ACTIONS(1834),
    [anon_sym_false] = ACTIONS(1834),
    [sym__single_quote] = ACTIONS(1836),
    [sym__double_quote] = ACTIONS(1836),
    [sym__backtick_quote] = ACTIONS(1836),
    [sym__search_slash_quote] = ACTIONS(1836),
    [sym__open_readline_bracket] = ACTIONS(1836),
    [sym__open_fileglob_bracket] = ACTIONS(1836),
    [sym__PERLY_SEMICOLON] = ACTIONS(1836),
    [sym__PERLY_HEREDOC] = ACTIONS(1836),
    [sym__ctrl_z_hack] = ACTIONS(1836),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1836),
    [sym__filetest] = ACTIONS(1836),
  },
  [713] = {
    [sym_heredoc_content] = STATE(713),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_COLON] = ACTIONS(1869),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1905),
  },
  [714] = {
    [sym_heredoc_content] = STATE(714),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_COLON] = ACTIONS(1869),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1907),
  },
  [715] = {
    [sym_heredoc_content] = STATE(715),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_COLON] = ACTIONS(1869),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1909),
  },
  [716] = {
    [sym_heredoc_content] = STATE(716),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_COLON] = ACTIONS(1869),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1911),
  },
  [717] = {
    [sym_heredoc_content] = STATE(717),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_COLON] = ACTIONS(1869),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1913),
  },
  [718] = {
    [sym_heredoc_content] = STATE(718),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_COLON] = ACTIONS(1869),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1915),
  },
  [719] = {
    [sym_heredoc_content] = STATE(719),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_COLON] = ACTIONS(1869),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1917),
  },
  [720] = {
    [sym_heredoc_content] = STATE(720),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_COLON] = ACTIONS(1869),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1919),
  },
  [721] = {
    [sym_heredoc_content] = STATE(721),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_COLON] = ACTIONS(1869),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1921),
  },
  [722] = {
    [sym_heredoc_content] = STATE(722),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_COLON] = ACTIONS(1869),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1923),
  },
  [723] = {
    [sym_heredoc_content] = STATE(723),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_COLON] = ACTIONS(1869),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1925),
  },
  [724] = {
    [sym_heredoc_content] = STATE(724),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_COLON] = ACTIONS(1869),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1927),
  },
  [725] = {
    [sym_heredoc_content] = STATE(725),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_COLON] = ACTIONS(1869),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1929),
  },
  [726] = {
    [sym_heredoc_content] = STATE(726),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_COLON] = ACTIONS(1869),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1931),
  },
  [727] = {
    [sym_heredoc_content] = STATE(727),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_COLON] = ACTIONS(1869),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1933),
  },
  [728] = {
    [sym_heredoc_content] = STATE(728),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_COLON] = ACTIONS(1869),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1935),
  },
  [729] = {
    [sym_heredoc_content] = STATE(729),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_COLON] = ACTIONS(1869),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1937),
  },
  [730] = {
    [sym_heredoc_content] = STATE(730),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_COLON] = ACTIONS(1869),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1939),
  },
  [731] = {
    [sym_heredoc_content] = STATE(731),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_COLON] = ACTIONS(1869),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1941),
  },
  [732] = {
    [sym_heredoc_content] = STATE(732),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_COLON] = ACTIONS(1869),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1943),
  },
  [733] = {
    [sym_heredoc_content] = STATE(733),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_COLON] = ACTIONS(1869),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1945),
  },
  [734] = {
    [sym_heredoc_content] = STATE(734),
    [sym__identifier] = ACTIONS(1661),
    [anon_sym_LBRACE] = ACTIONS(1661),
    [anon_sym_RBRACE] = ACTIONS(1661),
    [anon_sym_SEMI] = ACTIONS(1661),
    [anon_sym_DOLLAR] = ACTIONS(1661),
    [anon_sym_EQ] = ACTIONS(1661),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1661),
    [anon_sym_AT] = ACTIONS(1661),
    [anon_sym_COMMA] = ACTIONS(1661),
    [anon_sym_RPAREN] = ACTIONS(1661),
    [anon_sym_my] = ACTIONS(1661),
    [anon_sym_extended] = ACTIONS(1661),
    [anon_sym_async] = ACTIONS(1661),
    [anon_sym_sub] = ACTIONS(1661),
    [anon_sym_method] = ACTIONS(1661),
    [anon_sym_LPAREN] = ACTIONS(1661),
    [anon_sym_continue] = ACTIONS(1661),
    [anon_sym_state] = ACTIONS(1661),
    [anon_sym_our] = ACTIONS(1661),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1661),
    [anon_sym_and] = ACTIONS(1661),
    [anon_sym_or] = ACTIONS(1661),
    [anon_sym_xor] = ACTIONS(1661),
    [anon_sym_LBRACK] = ACTIONS(1661),
    [anon_sym_DASH_GT] = ACTIONS(1661),
    [anon_sym_PERCENT] = ACTIONS(1661),
    [anon_sym_GT] = ACTIONS(1661),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1661),
    [anon_sym_PLUS_EQ] = ACTIONS(1661),
    [anon_sym_DASH_EQ] = ACTIONS(1661),
    [anon_sym_DOT_EQ] = ACTIONS(1661),
    [anon_sym_STAR_EQ] = ACTIONS(1661),
    [anon_sym_SLASH_EQ] = ACTIONS(1661),
    [anon_sym_PERCENT_EQ] = ACTIONS(1661),
    [anon_sym_x_EQ] = ACTIONS(1661),
    [anon_sym_AMP_EQ] = ACTIONS(1661),
    [anon_sym_PIPE_EQ] = ACTIONS(1661),
    [anon_sym_CARET_EQ] = ACTIONS(1661),
    [anon_sym_LT_LT_EQ] = ACTIONS(1661),
    [anon_sym_GT_GT_EQ] = ACTIONS(1661),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1661),
    [anon_sym_DOT_DOT] = ACTIONS(1661),
    [anon_sym_STAR_STAR] = ACTIONS(1661),
    [anon_sym_PIPE_PIPE] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1661),
    [anon_sym_CARET_CARET] = ACTIONS(1661),
    [anon_sym_AMP_AMP] = ACTIONS(1661),
    [anon_sym_PIPE] = ACTIONS(1661),
    [anon_sym_CARET] = ACTIONS(1661),
    [anon_sym_AMP] = ACTIONS(1661),
    [anon_sym_GT_GT2] = ACTIONS(1661),
    [anon_sym_PLUS] = ACTIONS(1661),
    [anon_sym_DASH] = ACTIONS(1661),
    [anon_sym_DOT] = ACTIONS(1661),
    [anon_sym_STAR] = ACTIONS(1661),
    [anon_sym_SLASH] = ACTIONS(1661),
    [anon_sym_x] = ACTIONS(1661),
    [anon_sym_EQ_TILDE] = ACTIONS(1661),
    [anon_sym_BANG_TILDE] = ACTIONS(1661),
    [anon_sym_EQ_EQ] = ACTIONS(1661),
    [anon_sym_BANG_EQ] = ACTIONS(1661),
    [anon_sym_eq] = ACTIONS(1661),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1661),
    [anon_sym_equ] = ACTIONS(1661),
    [anon_sym_eqr] = ACTIONS(1661),
    [anon_sym_ne] = ACTIONS(1661),
    [anon_sym_LT_EQ_GT] = ACTIONS(1661),
    [anon_sym_cmp] = ACTIONS(1661),
    [anon_sym_TILDE_TILDE] = ACTIONS(1661),
    [anon_sym_LT] = ACTIONS(1661),
    [anon_sym_LT_EQ] = ACTIONS(1661),
    [anon_sym_GT_EQ] = ACTIONS(1661),
    [anon_sym_lt] = ACTIONS(1661),
    [anon_sym_le] = ACTIONS(1661),
    [anon_sym_ge] = ACTIONS(1661),
    [anon_sym_gt] = ACTIONS(1661),
    [anon_sym_isa] = ACTIONS(1661),
    [anon_sym_TILDE] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1661),
    [anon_sym_PLUS_PLUS] = ACTIONS(1661),
    [anon_sym_DASH_DASH] = ACTIONS(1661),
    [anon_sym_QMARK] = ACTIONS(1661),
    [anon_sym_BSLASH] = ACTIONS(1659),
    [anon_sym_do] = ACTIONS(1661),
    [anon_sym_eval] = ACTIONS(1661),
    [anon_sym_await] = ACTIONS(1661),
    [anon_sym_field] = ACTIONS(1661),
    [anon_sym_local] = ACTIONS(1661),
    [anon_sym_dynamically] = ACTIONS(1661),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1661),
    [anon_sym_require] = ACTIONS(1661),
    [anon_sym_map] = ACTIONS(1661),
    [anon_sym_grep] = ACTIONS(1661),
    [anon_sym_sort] = ACTIONS(1661),
    [anon_sym_goto] = ACTIONS(1661),
    [anon_sym_return] = ACTIONS(1661),
    [anon_sym_undef] = ACTIONS(1661),
    [anon_sym_PERCENT2] = ACTIONS(1661),
    [anon_sym_AMP2] = ACTIONS(1661),
    [anon_sym_STAR2] = ACTIONS(1661),
    [anon_sym_EQ_GT] = ACTIONS(1661),
    [anon_sym_for] = ACTIONS(1661),
    [anon_sym_foreach] = ACTIONS(1661),
    [anon_sym_last] = ACTIONS(1661),
    [anon_sym_next] = ACTIONS(1661),
    [anon_sym_redo] = ACTIONS(1661),
    [anon_sym___FILE__] = ACTIONS(1661),
    [anon_sym___LINE__] = ACTIONS(1661),
    [anon_sym___PACKAGE__] = ACTIONS(1661),
    [anon_sym___SUB__] = ACTIONS(1661),
    [anon_sym_break] = ACTIONS(1661),
    [anon_sym_fork] = ACTIONS(1661),
    [anon_sym_getppid] = ACTIONS(1661),
    [anon_sym_time] = ACTIONS(1661),
    [anon_sym_times] = ACTIONS(1661),
    [anon_sym_wait] = ACTIONS(1661),
    [anon_sym_wantarray] = ACTIONS(1661),
    [anon_sym_abs] = ACTIONS(1661),
    [anon_sym_alarm] = ACTIONS(1661),
    [anon_sym_chop] = ACTIONS(1661),
    [anon_sym_chdir] = ACTIONS(1661),
    [anon_sym_close] = ACTIONS(1661),
    [anon_sym_closedir] = ACTIONS(1661),
    [anon_sym_caller] = ACTIONS(1661),
    [anon_sym_chomp] = ACTIONS(1661),
    [anon_sym_chr] = ACTIONS(1661),
    [anon_sym_cos] = ACTIONS(1661),
    [anon_sym_chroot] = ACTIONS(1661),
    [anon_sym_defined] = ACTIONS(1661),
    [anon_sym_delete] = ACTIONS(1661),
    [anon_sym_dbmclose] = ACTIONS(1661),
    [anon_sym_exists] = ACTIONS(1661),
    [anon_sym_exit] = ACTIONS(1661),
    [anon_sym_eof] = ACTIONS(1661),
    [anon_sym_exp] = ACTIONS(1661),
    [anon_sym_each] = ACTIONS(1661),
    [anon_sym_fc] = ACTIONS(1661),
    [anon_sym_fileno] = ACTIONS(1661),
    [anon_sym_gmtime] = ACTIONS(1661),
    [anon_sym_getc] = ACTIONS(1661),
    [anon_sym_getpgrp] = ACTIONS(1661),
    [anon_sym_getprotobyname] = ACTIONS(1661),
    [anon_sym_getpwname] = ACTIONS(1661),
    [anon_sym_getpwuid] = ACTIONS(1661),
    [anon_sym_getpeername] = ACTIONS(1661),
    [anon_sym_getnetbyname] = ACTIONS(1661),
    [anon_sym_getsockname] = ACTIONS(1661),
    [anon_sym_getgrnam] = ACTIONS(1661),
    [anon_sym_getgrgid] = ACTIONS(1661),
    [anon_sym_hex] = ACTIONS(1661),
    [anon_sym_int] = ACTIONS(1661),
    [anon_sym_keys] = ACTIONS(1661),
    [anon_sym_lc] = ACTIONS(1661),
    [anon_sym_lcfirst] = ACTIONS(1661),
    [anon_sym_length] = ACTIONS(1661),
    [anon_sym_localtime] = ACTIONS(1661),
    [anon_sym_log] = ACTIONS(1661),
    [anon_sym_lock] = ACTIONS(1661),
    [anon_sym_lstat] = ACTIONS(1661),
    [anon_sym_oct] = ACTIONS(1661),
    [anon_sym_ord] = ACTIONS(1661),
    [anon_sym_prototype] = ACTIONS(1661),
    [anon_sym_pop] = ACTIONS(1661),
    [anon_sym_pos] = ACTIONS(1661),
    [anon_sym_quotemeta] = ACTIONS(1661),
    [anon_sym_reset] = ACTIONS(1661),
    [anon_sym_rand] = ACTIONS(1661),
    [anon_sym_rmdir] = ACTIONS(1661),
    [anon_sym_readdir] = ACTIONS(1661),
    [anon_sym_readline] = ACTIONS(1661),
    [anon_sym_readpipe] = ACTIONS(1661),
    [anon_sym_rewinddir] = ACTIONS(1661),
    [anon_sym_readlink] = ACTIONS(1661),
    [anon_sym_ref] = ACTIONS(1661),
    [anon_sym_scalar] = ACTIONS(1661),
    [anon_sym_shift] = ACTIONS(1661),
    [anon_sym_sin] = ACTIONS(1661),
    [anon_sym_sleep] = ACTIONS(1661),
    [anon_sym_sqrt] = ACTIONS(1661),
    [anon_sym_srand] = ACTIONS(1661),
    [anon_sym_stat] = ACTIONS(1661),
    [anon_sym_study] = ACTIONS(1661),
    [anon_sym_tell] = ACTIONS(1661),
    [anon_sym_telldir] = ACTIONS(1661),
    [anon_sym_tied] = ACTIONS(1661),
    [anon_sym_uc] = ACTIONS(1661),
    [anon_sym_ucfirst] = ACTIONS(1661),
    [anon_sym_untie] = ACTIONS(1661),
    [anon_sym_umask] = ACTIONS(1661),
    [anon_sym_values] = ACTIONS(1661),
    [anon_sym_write] = ACTIONS(1661),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1661),
    [anon_sym___END__] = ACTIONS(1661),
    [anon_sym_EOT] = ACTIONS(1661),
    [anon_sym_q] = ACTIONS(1661),
    [anon_sym_qq] = ACTIONS(1661),
    [anon_sym_qw] = ACTIONS(1661),
    [anon_sym_qx] = ACTIONS(1661),
    [anon_sym_qr] = ACTIONS(1661),
    [anon_sym_m] = ACTIONS(1661),
    [anon_sym_s] = ACTIONS(1661),
    [anon_sym_tr] = ACTIONS(1661),
    [anon_sym_y] = ACTIONS(1661),
    [anon_sym_if] = ACTIONS(1661),
    [anon_sym_unless] = ACTIONS(1661),
    [anon_sym_while] = ACTIONS(1661),
    [anon_sym_until] = ACTIONS(1661),
    [aux_sym__bareword_token1] = ACTIONS(1661),
    [sym_number] = ACTIONS(1661),
    [anon_sym_true] = ACTIONS(1661),
    [anon_sym_false] = ACTIONS(1661),
    [sym__single_quote] = ACTIONS(1659),
    [sym__double_quote] = ACTIONS(1659),
    [sym__backtick_quote] = ACTIONS(1659),
    [sym__search_slash_quote] = ACTIONS(1659),
    [sym__open_readline_bracket] = ACTIONS(1659),
    [sym__open_fileglob_bracket] = ACTIONS(1659),
    [sym__PERLY_SEMICOLON] = ACTIONS(1659),
    [sym__PERLY_HEREDOC] = ACTIONS(1659),
    [sym__ctrl_z_hack] = ACTIONS(1659),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1659),
    [sym__filetest] = ACTIONS(1659),
  },
  [735] = {
    [sym_heredoc_content] = STATE(735),
    [sym__identifier] = ACTIONS(1851),
    [anon_sym_LBRACE] = ACTIONS(1851),
    [anon_sym_RBRACE] = ACTIONS(1851),
    [anon_sym_SEMI] = ACTIONS(1851),
    [anon_sym_DOLLAR] = ACTIONS(1851),
    [anon_sym_EQ] = ACTIONS(1851),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1851),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(1851),
    [anon_sym_COMMA] = ACTIONS(1851),
    [anon_sym_RPAREN] = ACTIONS(1851),
    [anon_sym_my] = ACTIONS(1851),
    [anon_sym_extended] = ACTIONS(1851),
    [anon_sym_async] = ACTIONS(1851),
    [anon_sym_sub] = ACTIONS(1851),
    [anon_sym_method] = ACTIONS(1851),
    [anon_sym_LPAREN] = ACTIONS(1851),
    [anon_sym_continue] = ACTIONS(1851),
    [anon_sym_state] = ACTIONS(1851),
    [anon_sym_our] = ACTIONS(1851),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1851),
    [anon_sym_and] = ACTIONS(1851),
    [anon_sym_or] = ACTIONS(1851),
    [anon_sym_xor] = ACTIONS(1851),
    [anon_sym_LBRACK] = ACTIONS(1851),
    [anon_sym_DASH_GT] = ACTIONS(1851),
    [anon_sym_PERCENT] = ACTIONS(1851),
    [anon_sym_GT] = ACTIONS(1851),
    [anon_sym_LT_LT] = ACTIONS(1851),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1851),
    [anon_sym_PLUS_EQ] = ACTIONS(1851),
    [anon_sym_DASH_EQ] = ACTIONS(1851),
    [anon_sym_DOT_EQ] = ACTIONS(1851),
    [anon_sym_STAR_EQ] = ACTIONS(1851),
    [anon_sym_SLASH_EQ] = ACTIONS(1851),
    [anon_sym_PERCENT_EQ] = ACTIONS(1851),
    [anon_sym_x_EQ] = ACTIONS(1851),
    [anon_sym_AMP_EQ] = ACTIONS(1851),
    [anon_sym_PIPE_EQ] = ACTIONS(1851),
    [anon_sym_CARET_EQ] = ACTIONS(1851),
    [anon_sym_LT_LT_EQ] = ACTIONS(1851),
    [anon_sym_GT_GT_EQ] = ACTIONS(1851),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1851),
    [anon_sym_DOT_DOT] = ACTIONS(1851),
    [anon_sym_STAR_STAR] = ACTIONS(1851),
    [anon_sym_PIPE_PIPE] = ACTIONS(1851),
    [anon_sym_SLASH_SLASH] = ACTIONS(1851),
    [anon_sym_CARET_CARET] = ACTIONS(1851),
    [anon_sym_AMP_AMP] = ACTIONS(1851),
    [anon_sym_PIPE] = ACTIONS(1851),
    [anon_sym_CARET] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym_GT_GT2] = ACTIONS(1851),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_DOT] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_SLASH] = ACTIONS(1851),
    [anon_sym_x] = ACTIONS(1851),
    [anon_sym_EQ_TILDE] = ACTIONS(1851),
    [anon_sym_BANG_TILDE] = ACTIONS(1851),
    [anon_sym_EQ_EQ] = ACTIONS(1851),
    [anon_sym_BANG_EQ] = ACTIONS(1851),
    [anon_sym_eq] = ACTIONS(1851),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1851),
    [anon_sym_equ] = ACTIONS(1851),
    [anon_sym_eqr] = ACTIONS(1851),
    [anon_sym_ne] = ACTIONS(1851),
    [anon_sym_LT_EQ_GT] = ACTIONS(1851),
    [anon_sym_cmp] = ACTIONS(1851),
    [anon_sym_TILDE_TILDE] = ACTIONS(1851),
    [anon_sym_LT] = ACTIONS(1851),
    [anon_sym_LT_EQ] = ACTIONS(1851),
    [anon_sym_GT_EQ] = ACTIONS(1851),
    [anon_sym_lt] = ACTIONS(1851),
    [anon_sym_le] = ACTIONS(1851),
    [anon_sym_ge] = ACTIONS(1851),
    [anon_sym_gt] = ACTIONS(1851),
    [anon_sym_isa] = ACTIONS(1851),
    [anon_sym_TILDE] = ACTIONS(1851),
    [anon_sym_BANG] = ACTIONS(1851),
    [anon_sym_PLUS_PLUS] = ACTIONS(1851),
    [anon_sym_DASH_DASH] = ACTIONS(1851),
    [anon_sym_QMARK] = ACTIONS(1851),
    [anon_sym_BSLASH] = ACTIONS(1853),
    [anon_sym_do] = ACTIONS(1851),
    [anon_sym_eval] = ACTIONS(1851),
    [anon_sym_await] = ACTIONS(1851),
    [anon_sym_field] = ACTIONS(1851),
    [anon_sym_local] = ACTIONS(1851),
    [anon_sym_dynamically] = ACTIONS(1851),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1851),
    [anon_sym_require] = ACTIONS(1851),
    [anon_sym_map] = ACTIONS(1851),
    [anon_sym_grep] = ACTIONS(1851),
    [anon_sym_sort] = ACTIONS(1851),
    [anon_sym_goto] = ACTIONS(1851),
    [anon_sym_return] = ACTIONS(1851),
    [anon_sym_undef] = ACTIONS(1851),
    [anon_sym_PERCENT2] = ACTIONS(1851),
    [anon_sym_AMP2] = ACTIONS(1851),
    [anon_sym_STAR2] = ACTIONS(1851),
    [anon_sym_EQ_GT] = ACTIONS(1851),
    [anon_sym_for] = ACTIONS(1851),
    [anon_sym_foreach] = ACTIONS(1851),
    [anon_sym_last] = ACTIONS(1851),
    [anon_sym_next] = ACTIONS(1851),
    [anon_sym_redo] = ACTIONS(1851),
    [anon_sym___FILE__] = ACTIONS(1851),
    [anon_sym___LINE__] = ACTIONS(1851),
    [anon_sym___PACKAGE__] = ACTIONS(1851),
    [anon_sym___SUB__] = ACTIONS(1851),
    [anon_sym_break] = ACTIONS(1851),
    [anon_sym_fork] = ACTIONS(1851),
    [anon_sym_getppid] = ACTIONS(1851),
    [anon_sym_time] = ACTIONS(1851),
    [anon_sym_times] = ACTIONS(1851),
    [anon_sym_wait] = ACTIONS(1851),
    [anon_sym_wantarray] = ACTIONS(1851),
    [anon_sym_abs] = ACTIONS(1851),
    [anon_sym_alarm] = ACTIONS(1851),
    [anon_sym_chop] = ACTIONS(1851),
    [anon_sym_chdir] = ACTIONS(1851),
    [anon_sym_close] = ACTIONS(1851),
    [anon_sym_closedir] = ACTIONS(1851),
    [anon_sym_caller] = ACTIONS(1851),
    [anon_sym_chomp] = ACTIONS(1851),
    [anon_sym_chr] = ACTIONS(1851),
    [anon_sym_cos] = ACTIONS(1851),
    [anon_sym_chroot] = ACTIONS(1851),
    [anon_sym_defined] = ACTIONS(1851),
    [anon_sym_delete] = ACTIONS(1851),
    [anon_sym_dbmclose] = ACTIONS(1851),
    [anon_sym_exists] = ACTIONS(1851),
    [anon_sym_exit] = ACTIONS(1851),
    [anon_sym_eof] = ACTIONS(1851),
    [anon_sym_exp] = ACTIONS(1851),
    [anon_sym_each] = ACTIONS(1851),
    [anon_sym_fc] = ACTIONS(1851),
    [anon_sym_fileno] = ACTIONS(1851),
    [anon_sym_gmtime] = ACTIONS(1851),
    [anon_sym_getc] = ACTIONS(1851),
    [anon_sym_getpgrp] = ACTIONS(1851),
    [anon_sym_getprotobyname] = ACTIONS(1851),
    [anon_sym_getpwname] = ACTIONS(1851),
    [anon_sym_getpwuid] = ACTIONS(1851),
    [anon_sym_getpeername] = ACTIONS(1851),
    [anon_sym_getnetbyname] = ACTIONS(1851),
    [anon_sym_getsockname] = ACTIONS(1851),
    [anon_sym_getgrnam] = ACTIONS(1851),
    [anon_sym_getgrgid] = ACTIONS(1851),
    [anon_sym_hex] = ACTIONS(1851),
    [anon_sym_int] = ACTIONS(1851),
    [anon_sym_keys] = ACTIONS(1851),
    [anon_sym_lc] = ACTIONS(1851),
    [anon_sym_lcfirst] = ACTIONS(1851),
    [anon_sym_length] = ACTIONS(1851),
    [anon_sym_localtime] = ACTIONS(1851),
    [anon_sym_log] = ACTIONS(1851),
    [anon_sym_lock] = ACTIONS(1851),
    [anon_sym_lstat] = ACTIONS(1851),
    [anon_sym_oct] = ACTIONS(1851),
    [anon_sym_ord] = ACTIONS(1851),
    [anon_sym_prototype] = ACTIONS(1851),
    [anon_sym_pop] = ACTIONS(1851),
    [anon_sym_pos] = ACTIONS(1851),
    [anon_sym_quotemeta] = ACTIONS(1851),
    [anon_sym_reset] = ACTIONS(1851),
    [anon_sym_rand] = ACTIONS(1851),
    [anon_sym_rmdir] = ACTIONS(1851),
    [anon_sym_readdir] = ACTIONS(1851),
    [anon_sym_readline] = ACTIONS(1851),
    [anon_sym_readpipe] = ACTIONS(1851),
    [anon_sym_rewinddir] = ACTIONS(1851),
    [anon_sym_readlink] = ACTIONS(1851),
    [anon_sym_ref] = ACTIONS(1851),
    [anon_sym_scalar] = ACTIONS(1851),
    [anon_sym_shift] = ACTIONS(1851),
    [anon_sym_sin] = ACTIONS(1851),
    [anon_sym_sleep] = ACTIONS(1851),
    [anon_sym_sqrt] = ACTIONS(1851),
    [anon_sym_srand] = ACTIONS(1851),
    [anon_sym_stat] = ACTIONS(1851),
    [anon_sym_study] = ACTIONS(1851),
    [anon_sym_tell] = ACTIONS(1851),
    [anon_sym_telldir] = ACTIONS(1851),
    [anon_sym_tied] = ACTIONS(1851),
    [anon_sym_uc] = ACTIONS(1851),
    [anon_sym_ucfirst] = ACTIONS(1851),
    [anon_sym_untie] = ACTIONS(1851),
    [anon_sym_umask] = ACTIONS(1851),
    [anon_sym_values] = ACTIONS(1851),
    [anon_sym_write] = ACTIONS(1851),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1851),
    [anon_sym___END__] = ACTIONS(1851),
    [anon_sym_EOT] = ACTIONS(1851),
    [anon_sym_q] = ACTIONS(1851),
    [anon_sym_qq] = ACTIONS(1851),
    [anon_sym_qw] = ACTIONS(1851),
    [anon_sym_qx] = ACTIONS(1851),
    [anon_sym_qr] = ACTIONS(1851),
    [anon_sym_m] = ACTIONS(1851),
    [anon_sym_s] = ACTIONS(1851),
    [anon_sym_tr] = ACTIONS(1851),
    [anon_sym_y] = ACTIONS(1851),
    [anon_sym_if] = ACTIONS(1851),
    [anon_sym_unless] = ACTIONS(1851),
    [anon_sym_while] = ACTIONS(1851),
    [anon_sym_until] = ACTIONS(1851),
    [aux_sym__bareword_token1] = ACTIONS(1851),
    [sym_number] = ACTIONS(1851),
    [anon_sym_true] = ACTIONS(1851),
    [anon_sym_false] = ACTIONS(1851),
    [sym__single_quote] = ACTIONS(1853),
    [sym__double_quote] = ACTIONS(1853),
    [sym__backtick_quote] = ACTIONS(1853),
    [sym__search_slash_quote] = ACTIONS(1853),
    [sym__open_readline_bracket] = ACTIONS(1853),
    [sym__open_fileglob_bracket] = ACTIONS(1853),
    [sym__PERLY_SEMICOLON] = ACTIONS(1853),
    [sym__PERLY_HEREDOC] = ACTIONS(1853),
    [sym__ctrl_z_hack] = ACTIONS(1853),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1853),
    [sym__filetest] = ACTIONS(1853),
  },
  [736] = {
    [sym_heredoc_content] = STATE(736),
    [sym__identifier] = ACTIONS(1947),
    [anon_sym_LBRACE] = ACTIONS(1947),
    [anon_sym_RBRACE] = ACTIONS(1840),
    [anon_sym_SEMI] = ACTIONS(1840),
    [anon_sym_DOLLAR] = ACTIONS(1947),
    [anon_sym_EQ] = ACTIONS(1840),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1840),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1840),
    [anon_sym_AT] = ACTIONS(1947),
    [anon_sym_COMMA] = ACTIONS(1840),
    [anon_sym_RPAREN] = ACTIONS(1840),
    [anon_sym_my] = ACTIONS(1947),
    [anon_sym_extended] = ACTIONS(1947),
    [anon_sym_async] = ACTIONS(1947),
    [anon_sym_sub] = ACTIONS(1947),
    [anon_sym_method] = ACTIONS(1947),
    [anon_sym_LPAREN] = ACTIONS(1947),
    [anon_sym_continue] = ACTIONS(1947),
    [anon_sym_state] = ACTIONS(1947),
    [anon_sym_our] = ACTIONS(1947),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1840),
    [anon_sym_and] = ACTIONS(1840),
    [anon_sym_or] = ACTIONS(1840),
    [anon_sym_xor] = ACTIONS(1840),
    [anon_sym_LBRACK] = ACTIONS(1947),
    [anon_sym_DASH_GT] = ACTIONS(1840),
    [anon_sym_PERCENT] = ACTIONS(1840),
    [anon_sym_GT] = ACTIONS(1840),
    [anon_sym_LT_LT] = ACTIONS(1947),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1840),
    [anon_sym_PLUS_EQ] = ACTIONS(1840),
    [anon_sym_DASH_EQ] = ACTIONS(1840),
    [anon_sym_DOT_EQ] = ACTIONS(1840),
    [anon_sym_STAR_EQ] = ACTIONS(1840),
    [anon_sym_SLASH_EQ] = ACTIONS(1840),
    [anon_sym_PERCENT_EQ] = ACTIONS(1840),
    [anon_sym_x_EQ] = ACTIONS(1840),
    [anon_sym_AMP_EQ] = ACTIONS(1840),
    [anon_sym_PIPE_EQ] = ACTIONS(1840),
    [anon_sym_CARET_EQ] = ACTIONS(1840),
    [anon_sym_LT_LT_EQ] = ACTIONS(1840),
    [anon_sym_GT_GT_EQ] = ACTIONS(1840),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1840),
    [anon_sym_DOT_DOT] = ACTIONS(1840),
    [anon_sym_STAR_STAR] = ACTIONS(1840),
    [anon_sym_PIPE_PIPE] = ACTIONS(1840),
    [anon_sym_SLASH_SLASH] = ACTIONS(1947),
    [anon_sym_CARET_CARET] = ACTIONS(1840),
    [anon_sym_AMP_AMP] = ACTIONS(1840),
    [anon_sym_PIPE] = ACTIONS(1840),
    [anon_sym_CARET] = ACTIONS(1840),
    [anon_sym_AMP] = ACTIONS(1840),
    [anon_sym_GT_GT2] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1947),
    [anon_sym_DASH] = ACTIONS(1947),
    [anon_sym_DOT] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1840),
    [anon_sym_SLASH] = ACTIONS(1840),
    [anon_sym_x] = ACTIONS(1840),
    [anon_sym_EQ_TILDE] = ACTIONS(1840),
    [anon_sym_BANG_TILDE] = ACTIONS(1840),
    [anon_sym_EQ_EQ] = ACTIONS(1840),
    [anon_sym_BANG_EQ] = ACTIONS(1840),
    [anon_sym_eq] = ACTIONS(1840),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1840),
    [anon_sym_equ] = ACTIONS(1840),
    [anon_sym_eqr] = ACTIONS(1840),
    [anon_sym_ne] = ACTIONS(1840),
    [anon_sym_LT_EQ_GT] = ACTIONS(1840),
    [anon_sym_cmp] = ACTIONS(1840),
    [anon_sym_TILDE_TILDE] = ACTIONS(1840),
    [anon_sym_LT] = ACTIONS(1840),
    [anon_sym_LT_EQ] = ACTIONS(1840),
    [anon_sym_GT_EQ] = ACTIONS(1840),
    [anon_sym_lt] = ACTIONS(1840),
    [anon_sym_le] = ACTIONS(1840),
    [anon_sym_ge] = ACTIONS(1840),
    [anon_sym_gt] = ACTIONS(1840),
    [anon_sym_isa] = ACTIONS(1840),
    [anon_sym_TILDE] = ACTIONS(1947),
    [anon_sym_BANG] = ACTIONS(1947),
    [anon_sym_PLUS_PLUS] = ACTIONS(1947),
    [anon_sym_DASH_DASH] = ACTIONS(1947),
    [anon_sym_QMARK] = ACTIONS(1840),
    [anon_sym_BSLASH] = ACTIONS(1949),
    [anon_sym_do] = ACTIONS(1947),
    [anon_sym_eval] = ACTIONS(1947),
    [anon_sym_await] = ACTIONS(1947),
    [anon_sym_field] = ACTIONS(1947),
    [anon_sym_local] = ACTIONS(1947),
    [anon_sym_dynamically] = ACTIONS(1947),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1947),
    [anon_sym_require] = ACTIONS(1947),
    [anon_sym_map] = ACTIONS(1947),
    [anon_sym_grep] = ACTIONS(1947),
    [anon_sym_sort] = ACTIONS(1947),
    [anon_sym_goto] = ACTIONS(1947),
    [anon_sym_return] = ACTIONS(1947),
    [anon_sym_undef] = ACTIONS(1947),
    [anon_sym_PERCENT2] = ACTIONS(1947),
    [anon_sym_AMP2] = ACTIONS(1947),
    [anon_sym_STAR2] = ACTIONS(1947),
    [anon_sym_EQ_GT] = ACTIONS(1840),
    [anon_sym_for] = ACTIONS(1840),
    [anon_sym_foreach] = ACTIONS(1840),
    [anon_sym_last] = ACTIONS(1947),
    [anon_sym_next] = ACTIONS(1947),
    [anon_sym_redo] = ACTIONS(1947),
    [anon_sym___FILE__] = ACTIONS(1947),
    [anon_sym___LINE__] = ACTIONS(1947),
    [anon_sym___PACKAGE__] = ACTIONS(1947),
    [anon_sym___SUB__] = ACTIONS(1947),
    [anon_sym_break] = ACTIONS(1947),
    [anon_sym_fork] = ACTIONS(1947),
    [anon_sym_getppid] = ACTIONS(1947),
    [anon_sym_time] = ACTIONS(1947),
    [anon_sym_times] = ACTIONS(1947),
    [anon_sym_wait] = ACTIONS(1947),
    [anon_sym_wantarray] = ACTIONS(1947),
    [anon_sym_abs] = ACTIONS(1947),
    [anon_sym_alarm] = ACTIONS(1947),
    [anon_sym_chop] = ACTIONS(1947),
    [anon_sym_chdir] = ACTIONS(1947),
    [anon_sym_close] = ACTIONS(1947),
    [anon_sym_closedir] = ACTIONS(1947),
    [anon_sym_caller] = ACTIONS(1947),
    [anon_sym_chomp] = ACTIONS(1947),
    [anon_sym_chr] = ACTIONS(1947),
    [anon_sym_cos] = ACTIONS(1947),
    [anon_sym_chroot] = ACTIONS(1947),
    [anon_sym_defined] = ACTIONS(1947),
    [anon_sym_delete] = ACTIONS(1947),
    [anon_sym_dbmclose] = ACTIONS(1947),
    [anon_sym_exists] = ACTIONS(1947),
    [anon_sym_exit] = ACTIONS(1947),
    [anon_sym_eof] = ACTIONS(1947),
    [anon_sym_exp] = ACTIONS(1947),
    [anon_sym_each] = ACTIONS(1947),
    [anon_sym_fc] = ACTIONS(1947),
    [anon_sym_fileno] = ACTIONS(1947),
    [anon_sym_gmtime] = ACTIONS(1947),
    [anon_sym_getc] = ACTIONS(1947),
    [anon_sym_getpgrp] = ACTIONS(1947),
    [anon_sym_getprotobyname] = ACTIONS(1947),
    [anon_sym_getpwname] = ACTIONS(1947),
    [anon_sym_getpwuid] = ACTIONS(1947),
    [anon_sym_getpeername] = ACTIONS(1947),
    [anon_sym_getnetbyname] = ACTIONS(1947),
    [anon_sym_getsockname] = ACTIONS(1947),
    [anon_sym_getgrnam] = ACTIONS(1947),
    [anon_sym_getgrgid] = ACTIONS(1947),
    [anon_sym_hex] = ACTIONS(1947),
    [anon_sym_int] = ACTIONS(1947),
    [anon_sym_keys] = ACTIONS(1947),
    [anon_sym_lc] = ACTIONS(1947),
    [anon_sym_lcfirst] = ACTIONS(1947),
    [anon_sym_length] = ACTIONS(1947),
    [anon_sym_localtime] = ACTIONS(1947),
    [anon_sym_log] = ACTIONS(1947),
    [anon_sym_lock] = ACTIONS(1947),
    [anon_sym_lstat] = ACTIONS(1947),
    [anon_sym_oct] = ACTIONS(1947),
    [anon_sym_ord] = ACTIONS(1947),
    [anon_sym_prototype] = ACTIONS(1947),
    [anon_sym_pop] = ACTIONS(1947),
    [anon_sym_pos] = ACTIONS(1947),
    [anon_sym_quotemeta] = ACTIONS(1947),
    [anon_sym_reset] = ACTIONS(1947),
    [anon_sym_rand] = ACTIONS(1947),
    [anon_sym_rmdir] = ACTIONS(1947),
    [anon_sym_readdir] = ACTIONS(1947),
    [anon_sym_readline] = ACTIONS(1947),
    [anon_sym_readpipe] = ACTIONS(1947),
    [anon_sym_rewinddir] = ACTIONS(1947),
    [anon_sym_readlink] = ACTIONS(1947),
    [anon_sym_ref] = ACTIONS(1947),
    [anon_sym_scalar] = ACTIONS(1947),
    [anon_sym_shift] = ACTIONS(1947),
    [anon_sym_sin] = ACTIONS(1947),
    [anon_sym_sleep] = ACTIONS(1947),
    [anon_sym_sqrt] = ACTIONS(1947),
    [anon_sym_srand] = ACTIONS(1947),
    [anon_sym_stat] = ACTIONS(1947),
    [anon_sym_study] = ACTIONS(1947),
    [anon_sym_tell] = ACTIONS(1947),
    [anon_sym_telldir] = ACTIONS(1947),
    [anon_sym_tied] = ACTIONS(1947),
    [anon_sym_uc] = ACTIONS(1947),
    [anon_sym_ucfirst] = ACTIONS(1947),
    [anon_sym_untie] = ACTIONS(1947),
    [anon_sym_umask] = ACTIONS(1947),
    [anon_sym_values] = ACTIONS(1947),
    [anon_sym_write] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1840),
    [anon_sym___END__] = ACTIONS(1840),
    [anon_sym_EOT] = ACTIONS(1840),
    [anon_sym_q] = ACTIONS(1947),
    [anon_sym_qq] = ACTIONS(1947),
    [anon_sym_qw] = ACTIONS(1947),
    [anon_sym_qx] = ACTIONS(1947),
    [anon_sym_qr] = ACTIONS(1947),
    [anon_sym_m] = ACTIONS(1947),
    [anon_sym_s] = ACTIONS(1947),
    [anon_sym_tr] = ACTIONS(1947),
    [anon_sym_y] = ACTIONS(1947),
    [anon_sym_if] = ACTIONS(1840),
    [anon_sym_unless] = ACTIONS(1840),
    [anon_sym_while] = ACTIONS(1840),
    [anon_sym_until] = ACTIONS(1840),
    [aux_sym__bareword_token1] = ACTIONS(1947),
    [sym_number] = ACTIONS(1947),
    [anon_sym_true] = ACTIONS(1947),
    [anon_sym_false] = ACTIONS(1947),
    [sym__single_quote] = ACTIONS(1949),
    [sym__double_quote] = ACTIONS(1949),
    [sym__backtick_quote] = ACTIONS(1949),
    [sym__search_slash_quote] = ACTIONS(1949),
    [sym__open_readline_bracket] = ACTIONS(1949),
    [sym__open_fileglob_bracket] = ACTIONS(1949),
    [sym__PERLY_SEMICOLON] = ACTIONS(1849),
    [sym__PERLY_HEREDOC] = ACTIONS(1949),
    [sym__ctrl_z_hack] = ACTIONS(1849),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1949),
    [sym__filetest] = ACTIONS(1949),
  },
  [737] = {
    [sym_heredoc_content] = STATE(737),
    [sym__identifier] = ACTIONS(1838),
    [anon_sym_LBRACE] = ACTIONS(1838),
    [anon_sym_RBRACE] = ACTIONS(1951),
    [anon_sym_SEMI] = ACTIONS(1951),
    [anon_sym_DOLLAR] = ACTIONS(1838),
    [anon_sym_EQ] = ACTIONS(1951),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1951),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1951),
    [anon_sym_AT] = ACTIONS(1838),
    [anon_sym_COMMA] = ACTIONS(1951),
    [anon_sym_RPAREN] = ACTIONS(1951),
    [anon_sym_my] = ACTIONS(1838),
    [anon_sym_extended] = ACTIONS(1838),
    [anon_sym_async] = ACTIONS(1838),
    [anon_sym_sub] = ACTIONS(1838),
    [anon_sym_method] = ACTIONS(1838),
    [anon_sym_LPAREN] = ACTIONS(1838),
    [anon_sym_continue] = ACTIONS(1838),
    [anon_sym_state] = ACTIONS(1838),
    [anon_sym_our] = ACTIONS(1838),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1951),
    [anon_sym_and] = ACTIONS(1951),
    [anon_sym_or] = ACTIONS(1951),
    [anon_sym_xor] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1838),
    [anon_sym_DASH_GT] = ACTIONS(1951),
    [anon_sym_PERCENT] = ACTIONS(1951),
    [anon_sym_GT] = ACTIONS(1951),
    [anon_sym_LT_LT] = ACTIONS(1951),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1951),
    [anon_sym_PLUS_EQ] = ACTIONS(1951),
    [anon_sym_DASH_EQ] = ACTIONS(1951),
    [anon_sym_DOT_EQ] = ACTIONS(1951),
    [anon_sym_STAR_EQ] = ACTIONS(1951),
    [anon_sym_SLASH_EQ] = ACTIONS(1951),
    [anon_sym_PERCENT_EQ] = ACTIONS(1951),
    [anon_sym_x_EQ] = ACTIONS(1951),
    [anon_sym_AMP_EQ] = ACTIONS(1951),
    [anon_sym_PIPE_EQ] = ACTIONS(1951),
    [anon_sym_CARET_EQ] = ACTIONS(1951),
    [anon_sym_LT_LT_EQ] = ACTIONS(1951),
    [anon_sym_GT_GT_EQ] = ACTIONS(1951),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1951),
    [anon_sym_DOT_DOT] = ACTIONS(1951),
    [anon_sym_STAR_STAR] = ACTIONS(1951),
    [anon_sym_PIPE_PIPE] = ACTIONS(1951),
    [anon_sym_SLASH_SLASH] = ACTIONS(1951),
    [anon_sym_CARET_CARET] = ACTIONS(1951),
    [anon_sym_AMP_AMP] = ACTIONS(1951),
    [anon_sym_PIPE] = ACTIONS(1951),
    [anon_sym_CARET] = ACTIONS(1951),
    [anon_sym_AMP] = ACTIONS(1951),
    [anon_sym_GT_GT2] = ACTIONS(1951),
    [anon_sym_PLUS] = ACTIONS(1951),
    [anon_sym_DASH] = ACTIONS(1951),
    [anon_sym_DOT] = ACTIONS(1951),
    [anon_sym_STAR] = ACTIONS(1951),
    [anon_sym_SLASH] = ACTIONS(1951),
    [anon_sym_x] = ACTIONS(1951),
    [anon_sym_EQ_TILDE] = ACTIONS(1951),
    [anon_sym_BANG_TILDE] = ACTIONS(1951),
    [anon_sym_EQ_EQ] = ACTIONS(1951),
    [anon_sym_BANG_EQ] = ACTIONS(1951),
    [anon_sym_eq] = ACTIONS(1951),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1951),
    [anon_sym_equ] = ACTIONS(1951),
    [anon_sym_eqr] = ACTIONS(1951),
    [anon_sym_ne] = ACTIONS(1951),
    [anon_sym_LT_EQ_GT] = ACTIONS(1951),
    [anon_sym_cmp] = ACTIONS(1951),
    [anon_sym_TILDE_TILDE] = ACTIONS(1951),
    [anon_sym_LT] = ACTIONS(1951),
    [anon_sym_LT_EQ] = ACTIONS(1951),
    [anon_sym_GT_EQ] = ACTIONS(1951),
    [anon_sym_lt] = ACTIONS(1951),
    [anon_sym_le] = ACTIONS(1951),
    [anon_sym_ge] = ACTIONS(1951),
    [anon_sym_gt] = ACTIONS(1951),
    [anon_sym_isa] = ACTIONS(1951),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_PLUS_PLUS] = ACTIONS(1951),
    [anon_sym_DASH_DASH] = ACTIONS(1951),
    [anon_sym_QMARK] = ACTIONS(1951),
    [anon_sym_BSLASH] = ACTIONS(1845),
    [anon_sym_do] = ACTIONS(1838),
    [anon_sym_eval] = ACTIONS(1838),
    [anon_sym_await] = ACTIONS(1838),
    [anon_sym_field] = ACTIONS(1838),
    [anon_sym_local] = ACTIONS(1838),
    [anon_sym_dynamically] = ACTIONS(1838),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1838),
    [anon_sym_require] = ACTIONS(1838),
    [anon_sym_map] = ACTIONS(1838),
    [anon_sym_grep] = ACTIONS(1838),
    [anon_sym_sort] = ACTIONS(1838),
    [anon_sym_goto] = ACTIONS(1838),
    [anon_sym_return] = ACTIONS(1838),
    [anon_sym_undef] = ACTIONS(1838),
    [anon_sym_PERCENT2] = ACTIONS(1838),
    [anon_sym_AMP2] = ACTIONS(1838),
    [anon_sym_STAR2] = ACTIONS(1838),
    [anon_sym_EQ_GT] = ACTIONS(1951),
    [anon_sym_for] = ACTIONS(1951),
    [anon_sym_foreach] = ACTIONS(1951),
    [anon_sym_last] = ACTIONS(1838),
    [anon_sym_next] = ACTIONS(1838),
    [anon_sym_redo] = ACTIONS(1838),
    [anon_sym___FILE__] = ACTIONS(1838),
    [anon_sym___LINE__] = ACTIONS(1838),
    [anon_sym___PACKAGE__] = ACTIONS(1838),
    [anon_sym___SUB__] = ACTIONS(1838),
    [anon_sym_break] = ACTIONS(1838),
    [anon_sym_fork] = ACTIONS(1838),
    [anon_sym_getppid] = ACTIONS(1838),
    [anon_sym_time] = ACTIONS(1838),
    [anon_sym_times] = ACTIONS(1838),
    [anon_sym_wait] = ACTIONS(1838),
    [anon_sym_wantarray] = ACTIONS(1838),
    [anon_sym_abs] = ACTIONS(1838),
    [anon_sym_alarm] = ACTIONS(1838),
    [anon_sym_chop] = ACTIONS(1838),
    [anon_sym_chdir] = ACTIONS(1838),
    [anon_sym_close] = ACTIONS(1838),
    [anon_sym_closedir] = ACTIONS(1838),
    [anon_sym_caller] = ACTIONS(1838),
    [anon_sym_chomp] = ACTIONS(1838),
    [anon_sym_chr] = ACTIONS(1838),
    [anon_sym_cos] = ACTIONS(1838),
    [anon_sym_chroot] = ACTIONS(1838),
    [anon_sym_defined] = ACTIONS(1838),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_dbmclose] = ACTIONS(1838),
    [anon_sym_exists] = ACTIONS(1838),
    [anon_sym_exit] = ACTIONS(1838),
    [anon_sym_eof] = ACTIONS(1838),
    [anon_sym_exp] = ACTIONS(1838),
    [anon_sym_each] = ACTIONS(1838),
    [anon_sym_fc] = ACTIONS(1838),
    [anon_sym_fileno] = ACTIONS(1838),
    [anon_sym_gmtime] = ACTIONS(1838),
    [anon_sym_getc] = ACTIONS(1838),
    [anon_sym_getpgrp] = ACTIONS(1838),
    [anon_sym_getprotobyname] = ACTIONS(1838),
    [anon_sym_getpwname] = ACTIONS(1838),
    [anon_sym_getpwuid] = ACTIONS(1838),
    [anon_sym_getpeername] = ACTIONS(1838),
    [anon_sym_getnetbyname] = ACTIONS(1838),
    [anon_sym_getsockname] = ACTIONS(1838),
    [anon_sym_getgrnam] = ACTIONS(1838),
    [anon_sym_getgrgid] = ACTIONS(1838),
    [anon_sym_hex] = ACTIONS(1838),
    [anon_sym_int] = ACTIONS(1838),
    [anon_sym_keys] = ACTIONS(1838),
    [anon_sym_lc] = ACTIONS(1838),
    [anon_sym_lcfirst] = ACTIONS(1838),
    [anon_sym_length] = ACTIONS(1838),
    [anon_sym_localtime] = ACTIONS(1838),
    [anon_sym_log] = ACTIONS(1838),
    [anon_sym_lock] = ACTIONS(1838),
    [anon_sym_lstat] = ACTIONS(1838),
    [anon_sym_oct] = ACTIONS(1838),
    [anon_sym_ord] = ACTIONS(1838),
    [anon_sym_prototype] = ACTIONS(1838),
    [anon_sym_pop] = ACTIONS(1838),
    [anon_sym_pos] = ACTIONS(1838),
    [anon_sym_quotemeta] = ACTIONS(1838),
    [anon_sym_reset] = ACTIONS(1838),
    [anon_sym_rand] = ACTIONS(1838),
    [anon_sym_rmdir] = ACTIONS(1838),
    [anon_sym_readdir] = ACTIONS(1838),
    [anon_sym_readline] = ACTIONS(1838),
    [anon_sym_readpipe] = ACTIONS(1838),
    [anon_sym_rewinddir] = ACTIONS(1838),
    [anon_sym_readlink] = ACTIONS(1838),
    [anon_sym_ref] = ACTIONS(1838),
    [anon_sym_scalar] = ACTIONS(1838),
    [anon_sym_shift] = ACTIONS(1838),
    [anon_sym_sin] = ACTIONS(1838),
    [anon_sym_sleep] = ACTIONS(1838),
    [anon_sym_sqrt] = ACTIONS(1838),
    [anon_sym_srand] = ACTIONS(1838),
    [anon_sym_stat] = ACTIONS(1838),
    [anon_sym_study] = ACTIONS(1838),
    [anon_sym_tell] = ACTIONS(1838),
    [anon_sym_telldir] = ACTIONS(1838),
    [anon_sym_tied] = ACTIONS(1838),
    [anon_sym_uc] = ACTIONS(1838),
    [anon_sym_ucfirst] = ACTIONS(1838),
    [anon_sym_untie] = ACTIONS(1838),
    [anon_sym_umask] = ACTIONS(1838),
    [anon_sym_values] = ACTIONS(1838),
    [anon_sym_write] = ACTIONS(1838),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1951),
    [anon_sym___END__] = ACTIONS(1951),
    [anon_sym_EOT] = ACTIONS(1951),
    [anon_sym_q] = ACTIONS(1838),
    [anon_sym_qq] = ACTIONS(1838),
    [anon_sym_qw] = ACTIONS(1838),
    [anon_sym_qx] = ACTIONS(1838),
    [anon_sym_qr] = ACTIONS(1838),
    [anon_sym_m] = ACTIONS(1838),
    [anon_sym_s] = ACTIONS(1838),
    [anon_sym_tr] = ACTIONS(1838),
    [anon_sym_y] = ACTIONS(1838),
    [anon_sym_if] = ACTIONS(1951),
    [anon_sym_unless] = ACTIONS(1951),
    [anon_sym_while] = ACTIONS(1951),
    [anon_sym_until] = ACTIONS(1951),
    [aux_sym__bareword_token1] = ACTIONS(1838),
    [sym_number] = ACTIONS(1838),
    [anon_sym_true] = ACTIONS(1838),
    [anon_sym_false] = ACTIONS(1838),
    [sym__single_quote] = ACTIONS(1845),
    [sym__double_quote] = ACTIONS(1845),
    [sym__backtick_quote] = ACTIONS(1845),
    [sym__search_slash_quote] = ACTIONS(1845),
    [sym__open_readline_bracket] = ACTIONS(1845),
    [sym__open_fileglob_bracket] = ACTIONS(1845),
    [sym__PERLY_SEMICOLON] = ACTIONS(1953),
    [sym__PERLY_HEREDOC] = ACTIONS(1845),
    [sym__ctrl_z_hack] = ACTIONS(1953),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1845),
    [sym__filetest] = ACTIONS(1845),
  },
  [738] = {
    [sym_heredoc_content] = STATE(738),
    [sym__identifier] = ACTIONS(1661),
    [anon_sym_LBRACE] = ACTIONS(1661),
    [anon_sym_RBRACE] = ACTIONS(1663),
    [anon_sym_SEMI] = ACTIONS(1663),
    [anon_sym_DOLLAR] = ACTIONS(1661),
    [anon_sym_EQ] = ACTIONS(1663),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1663),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1663),
    [anon_sym_AT] = ACTIONS(1661),
    [anon_sym_COMMA] = ACTIONS(1663),
    [anon_sym_RPAREN] = ACTIONS(1663),
    [anon_sym_my] = ACTIONS(1661),
    [anon_sym_extended] = ACTIONS(1661),
    [anon_sym_async] = ACTIONS(1661),
    [anon_sym_sub] = ACTIONS(1661),
    [anon_sym_method] = ACTIONS(1661),
    [anon_sym_LPAREN] = ACTIONS(1661),
    [anon_sym_continue] = ACTIONS(1661),
    [anon_sym_state] = ACTIONS(1661),
    [anon_sym_our] = ACTIONS(1661),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1663),
    [anon_sym_and] = ACTIONS(1663),
    [anon_sym_or] = ACTIONS(1663),
    [anon_sym_xor] = ACTIONS(1663),
    [anon_sym_LBRACK] = ACTIONS(1661),
    [anon_sym_DASH_GT] = ACTIONS(1663),
    [anon_sym_PERCENT] = ACTIONS(1663),
    [anon_sym_GT] = ACTIONS(1663),
    [anon_sym_LT_LT] = ACTIONS(1663),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1663),
    [anon_sym_PLUS_EQ] = ACTIONS(1663),
    [anon_sym_DASH_EQ] = ACTIONS(1663),
    [anon_sym_DOT_EQ] = ACTIONS(1663),
    [anon_sym_STAR_EQ] = ACTIONS(1663),
    [anon_sym_SLASH_EQ] = ACTIONS(1663),
    [anon_sym_PERCENT_EQ] = ACTIONS(1663),
    [anon_sym_x_EQ] = ACTIONS(1663),
    [anon_sym_AMP_EQ] = ACTIONS(1663),
    [anon_sym_PIPE_EQ] = ACTIONS(1663),
    [anon_sym_CARET_EQ] = ACTIONS(1663),
    [anon_sym_LT_LT_EQ] = ACTIONS(1663),
    [anon_sym_GT_GT_EQ] = ACTIONS(1663),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1663),
    [anon_sym_DOT_DOT] = ACTIONS(1663),
    [anon_sym_STAR_STAR] = ACTIONS(1663),
    [anon_sym_PIPE_PIPE] = ACTIONS(1663),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_CARET_CARET] = ACTIONS(1663),
    [anon_sym_AMP_AMP] = ACTIONS(1663),
    [anon_sym_PIPE] = ACTIONS(1663),
    [anon_sym_CARET] = ACTIONS(1663),
    [anon_sym_AMP] = ACTIONS(1663),
    [anon_sym_GT_GT2] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(1663),
    [anon_sym_DASH] = ACTIONS(1663),
    [anon_sym_DOT] = ACTIONS(1663),
    [anon_sym_STAR] = ACTIONS(1663),
    [anon_sym_SLASH] = ACTIONS(1663),
    [anon_sym_x] = ACTIONS(1663),
    [anon_sym_EQ_TILDE] = ACTIONS(1663),
    [anon_sym_BANG_TILDE] = ACTIONS(1663),
    [anon_sym_EQ_EQ] = ACTIONS(1663),
    [anon_sym_BANG_EQ] = ACTIONS(1663),
    [anon_sym_eq] = ACTIONS(1663),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1663),
    [anon_sym_equ] = ACTIONS(1663),
    [anon_sym_eqr] = ACTIONS(1663),
    [anon_sym_ne] = ACTIONS(1663),
    [anon_sym_LT_EQ_GT] = ACTIONS(1663),
    [anon_sym_cmp] = ACTIONS(1663),
    [anon_sym_TILDE_TILDE] = ACTIONS(1663),
    [anon_sym_LT] = ACTIONS(1663),
    [anon_sym_LT_EQ] = ACTIONS(1663),
    [anon_sym_GT_EQ] = ACTIONS(1663),
    [anon_sym_lt] = ACTIONS(1663),
    [anon_sym_le] = ACTIONS(1663),
    [anon_sym_ge] = ACTIONS(1663),
    [anon_sym_gt] = ACTIONS(1663),
    [anon_sym_isa] = ACTIONS(1663),
    [anon_sym_TILDE] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1661),
    [anon_sym_PLUS_PLUS] = ACTIONS(1663),
    [anon_sym_DASH_DASH] = ACTIONS(1663),
    [anon_sym_QMARK] = ACTIONS(1663),
    [anon_sym_BSLASH] = ACTIONS(1659),
    [anon_sym_do] = ACTIONS(1661),
    [anon_sym_eval] = ACTIONS(1661),
    [anon_sym_await] = ACTIONS(1661),
    [anon_sym_field] = ACTIONS(1661),
    [anon_sym_local] = ACTIONS(1661),
    [anon_sym_dynamically] = ACTIONS(1661),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1661),
    [anon_sym_require] = ACTIONS(1661),
    [anon_sym_map] = ACTIONS(1661),
    [anon_sym_grep] = ACTIONS(1661),
    [anon_sym_sort] = ACTIONS(1661),
    [anon_sym_goto] = ACTIONS(1661),
    [anon_sym_return] = ACTIONS(1661),
    [anon_sym_undef] = ACTIONS(1661),
    [anon_sym_PERCENT2] = ACTIONS(1661),
    [anon_sym_AMP2] = ACTIONS(1661),
    [anon_sym_STAR2] = ACTIONS(1661),
    [anon_sym_EQ_GT] = ACTIONS(1663),
    [anon_sym_for] = ACTIONS(1663),
    [anon_sym_foreach] = ACTIONS(1663),
    [anon_sym_last] = ACTIONS(1661),
    [anon_sym_next] = ACTIONS(1661),
    [anon_sym_redo] = ACTIONS(1661),
    [anon_sym___FILE__] = ACTIONS(1661),
    [anon_sym___LINE__] = ACTIONS(1661),
    [anon_sym___PACKAGE__] = ACTIONS(1661),
    [anon_sym___SUB__] = ACTIONS(1661),
    [anon_sym_break] = ACTIONS(1661),
    [anon_sym_fork] = ACTIONS(1661),
    [anon_sym_getppid] = ACTIONS(1661),
    [anon_sym_time] = ACTIONS(1661),
    [anon_sym_times] = ACTIONS(1661),
    [anon_sym_wait] = ACTIONS(1661),
    [anon_sym_wantarray] = ACTIONS(1661),
    [anon_sym_abs] = ACTIONS(1661),
    [anon_sym_alarm] = ACTIONS(1661),
    [anon_sym_chop] = ACTIONS(1661),
    [anon_sym_chdir] = ACTIONS(1661),
    [anon_sym_close] = ACTIONS(1661),
    [anon_sym_closedir] = ACTIONS(1661),
    [anon_sym_caller] = ACTIONS(1661),
    [anon_sym_chomp] = ACTIONS(1661),
    [anon_sym_chr] = ACTIONS(1661),
    [anon_sym_cos] = ACTIONS(1661),
    [anon_sym_chroot] = ACTIONS(1661),
    [anon_sym_defined] = ACTIONS(1661),
    [anon_sym_delete] = ACTIONS(1661),
    [anon_sym_dbmclose] = ACTIONS(1661),
    [anon_sym_exists] = ACTIONS(1661),
    [anon_sym_exit] = ACTIONS(1661),
    [anon_sym_eof] = ACTIONS(1661),
    [anon_sym_exp] = ACTIONS(1661),
    [anon_sym_each] = ACTIONS(1661),
    [anon_sym_fc] = ACTIONS(1661),
    [anon_sym_fileno] = ACTIONS(1661),
    [anon_sym_gmtime] = ACTIONS(1661),
    [anon_sym_getc] = ACTIONS(1661),
    [anon_sym_getpgrp] = ACTIONS(1661),
    [anon_sym_getprotobyname] = ACTIONS(1661),
    [anon_sym_getpwname] = ACTIONS(1661),
    [anon_sym_getpwuid] = ACTIONS(1661),
    [anon_sym_getpeername] = ACTIONS(1661),
    [anon_sym_getnetbyname] = ACTIONS(1661),
    [anon_sym_getsockname] = ACTIONS(1661),
    [anon_sym_getgrnam] = ACTIONS(1661),
    [anon_sym_getgrgid] = ACTIONS(1661),
    [anon_sym_hex] = ACTIONS(1661),
    [anon_sym_int] = ACTIONS(1661),
    [anon_sym_keys] = ACTIONS(1661),
    [anon_sym_lc] = ACTIONS(1661),
    [anon_sym_lcfirst] = ACTIONS(1661),
    [anon_sym_length] = ACTIONS(1661),
    [anon_sym_localtime] = ACTIONS(1661),
    [anon_sym_log] = ACTIONS(1661),
    [anon_sym_lock] = ACTIONS(1661),
    [anon_sym_lstat] = ACTIONS(1661),
    [anon_sym_oct] = ACTIONS(1661),
    [anon_sym_ord] = ACTIONS(1661),
    [anon_sym_prototype] = ACTIONS(1661),
    [anon_sym_pop] = ACTIONS(1661),
    [anon_sym_pos] = ACTIONS(1661),
    [anon_sym_quotemeta] = ACTIONS(1661),
    [anon_sym_reset] = ACTIONS(1661),
    [anon_sym_rand] = ACTIONS(1661),
    [anon_sym_rmdir] = ACTIONS(1661),
    [anon_sym_readdir] = ACTIONS(1661),
    [anon_sym_readline] = ACTIONS(1661),
    [anon_sym_readpipe] = ACTIONS(1661),
    [anon_sym_rewinddir] = ACTIONS(1661),
    [anon_sym_readlink] = ACTIONS(1661),
    [anon_sym_ref] = ACTIONS(1661),
    [anon_sym_scalar] = ACTIONS(1661),
    [anon_sym_shift] = ACTIONS(1661),
    [anon_sym_sin] = ACTIONS(1661),
    [anon_sym_sleep] = ACTIONS(1661),
    [anon_sym_sqrt] = ACTIONS(1661),
    [anon_sym_srand] = ACTIONS(1661),
    [anon_sym_stat] = ACTIONS(1661),
    [anon_sym_study] = ACTIONS(1661),
    [anon_sym_tell] = ACTIONS(1661),
    [anon_sym_telldir] = ACTIONS(1661),
    [anon_sym_tied] = ACTIONS(1661),
    [anon_sym_uc] = ACTIONS(1661),
    [anon_sym_ucfirst] = ACTIONS(1661),
    [anon_sym_untie] = ACTIONS(1661),
    [anon_sym_umask] = ACTIONS(1661),
    [anon_sym_values] = ACTIONS(1661),
    [anon_sym_write] = ACTIONS(1661),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1663),
    [anon_sym___END__] = ACTIONS(1663),
    [anon_sym_EOT] = ACTIONS(1663),
    [anon_sym_q] = ACTIONS(1661),
    [anon_sym_qq] = ACTIONS(1661),
    [anon_sym_qw] = ACTIONS(1661),
    [anon_sym_qx] = ACTIONS(1661),
    [anon_sym_qr] = ACTIONS(1661),
    [anon_sym_m] = ACTIONS(1661),
    [anon_sym_s] = ACTIONS(1661),
    [anon_sym_tr] = ACTIONS(1661),
    [anon_sym_y] = ACTIONS(1661),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_unless] = ACTIONS(1663),
    [anon_sym_while] = ACTIONS(1663),
    [anon_sym_until] = ACTIONS(1663),
    [aux_sym__bareword_token1] = ACTIONS(1661),
    [sym_number] = ACTIONS(1661),
    [anon_sym_true] = ACTIONS(1661),
    [anon_sym_false] = ACTIONS(1661),
    [sym__single_quote] = ACTIONS(1659),
    [sym__double_quote] = ACTIONS(1659),
    [sym__backtick_quote] = ACTIONS(1659),
    [sym__search_slash_quote] = ACTIONS(1659),
    [sym__open_readline_bracket] = ACTIONS(1659),
    [sym__open_fileglob_bracket] = ACTIONS(1659),
    [sym__PERLY_SEMICOLON] = ACTIONS(1665),
    [sym__PERLY_HEREDOC] = ACTIONS(1659),
    [sym__ctrl_z_hack] = ACTIONS(1665),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1659),
    [sym__filetest] = ACTIONS(1659),
  },
  [739] = {
    [sym_heredoc_content] = STATE(739),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_COLON] = ACTIONS(1869),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1955),
  },
  [740] = {
    [sym_heredoc_content] = STATE(740),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1895),
  },
  [741] = {
    [sym_heredoc_content] = STATE(741),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1885),
  },
  [742] = {
    [sym_heredoc_content] = STATE(742),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1911),
  },
  [743] = {
    [sym_heredoc_content] = STATE(743),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1955),
  },
  [744] = {
    [sym_heredoc_content] = STATE(744),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1913),
  },
  [745] = {
    [sym_heredoc_content] = STATE(745),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1915),
  },
  [746] = {
    [sym_heredoc_content] = STATE(746),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1917),
  },
  [747] = {
    [sym_heredoc_content] = STATE(747),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1919),
  },
  [748] = {
    [sym_heredoc_content] = STATE(748),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1893),
  },
  [749] = {
    [sym_heredoc_content] = STATE(749),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1921),
  },
  [750] = {
    [sym_heredoc_content] = STATE(750),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1923),
  },
  [751] = {
    [sym_heredoc_content] = STATE(751),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1925),
  },
  [752] = {
    [sym_heredoc_content] = STATE(752),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1927),
  },
  [753] = {
    [sym_heredoc_content] = STATE(753),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1897),
  },
  [754] = {
    [sym_heredoc_content] = STATE(754),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1929),
  },
  [755] = {
    [sym_heredoc_content] = STATE(755),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1931),
  },
  [756] = {
    [sym_heredoc_content] = STATE(756),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1933),
  },
  [757] = {
    [sym_heredoc_content] = STATE(757),
    [sym__identifier] = ACTIONS(1661),
    [anon_sym_LBRACE] = ACTIONS(1661),
    [anon_sym_SEMI] = ACTIONS(1663),
    [anon_sym_DOLLAR] = ACTIONS(1661),
    [anon_sym_EQ] = ACTIONS(1663),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1663),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1663),
    [anon_sym_AT] = ACTIONS(1661),
    [anon_sym_COMMA] = ACTIONS(1663),
    [anon_sym_RPAREN] = ACTIONS(1661),
    [anon_sym_my] = ACTIONS(1661),
    [anon_sym_extended] = ACTIONS(1661),
    [anon_sym_async] = ACTIONS(1661),
    [anon_sym_sub] = ACTIONS(1661),
    [anon_sym_method] = ACTIONS(1661),
    [anon_sym_LPAREN] = ACTIONS(1661),
    [anon_sym_continue] = ACTIONS(1661),
    [anon_sym_state] = ACTIONS(1661),
    [anon_sym_our] = ACTIONS(1661),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1663),
    [anon_sym_and] = ACTIONS(1663),
    [anon_sym_or] = ACTIONS(1663),
    [anon_sym_xor] = ACTIONS(1663),
    [anon_sym_LBRACK] = ACTIONS(1661),
    [anon_sym_DASH_GT] = ACTIONS(1663),
    [anon_sym_PERCENT] = ACTIONS(1663),
    [anon_sym_GT] = ACTIONS(1663),
    [anon_sym_LT_LT] = ACTIONS(1663),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1663),
    [anon_sym_PLUS_EQ] = ACTIONS(1663),
    [anon_sym_DASH_EQ] = ACTIONS(1663),
    [anon_sym_DOT_EQ] = ACTIONS(1663),
    [anon_sym_STAR_EQ] = ACTIONS(1663),
    [anon_sym_SLASH_EQ] = ACTIONS(1663),
    [anon_sym_PERCENT_EQ] = ACTIONS(1663),
    [anon_sym_x_EQ] = ACTIONS(1663),
    [anon_sym_AMP_EQ] = ACTIONS(1663),
    [anon_sym_PIPE_EQ] = ACTIONS(1663),
    [anon_sym_CARET_EQ] = ACTIONS(1663),
    [anon_sym_LT_LT_EQ] = ACTIONS(1663),
    [anon_sym_GT_GT_EQ] = ACTIONS(1663),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1663),
    [anon_sym_DOT_DOT] = ACTIONS(1663),
    [anon_sym_STAR_STAR] = ACTIONS(1663),
    [anon_sym_PIPE_PIPE] = ACTIONS(1663),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_CARET_CARET] = ACTIONS(1663),
    [anon_sym_AMP_AMP] = ACTIONS(1663),
    [anon_sym_PIPE] = ACTIONS(1663),
    [anon_sym_CARET] = ACTIONS(1663),
    [anon_sym_AMP] = ACTIONS(1663),
    [anon_sym_GT_GT2] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(1663),
    [anon_sym_DASH] = ACTIONS(1663),
    [anon_sym_DOT] = ACTIONS(1663),
    [anon_sym_STAR] = ACTIONS(1663),
    [anon_sym_SLASH] = ACTIONS(1663),
    [anon_sym_x] = ACTIONS(1663),
    [anon_sym_EQ_TILDE] = ACTIONS(1663),
    [anon_sym_BANG_TILDE] = ACTIONS(1663),
    [anon_sym_EQ_EQ] = ACTIONS(1663),
    [anon_sym_BANG_EQ] = ACTIONS(1663),
    [anon_sym_eq] = ACTIONS(1663),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1663),
    [anon_sym_equ] = ACTIONS(1663),
    [anon_sym_eqr] = ACTIONS(1663),
    [anon_sym_ne] = ACTIONS(1663),
    [anon_sym_LT_EQ_GT] = ACTIONS(1663),
    [anon_sym_cmp] = ACTIONS(1663),
    [anon_sym_TILDE_TILDE] = ACTIONS(1663),
    [anon_sym_LT] = ACTIONS(1663),
    [anon_sym_LT_EQ] = ACTIONS(1663),
    [anon_sym_GT_EQ] = ACTIONS(1663),
    [anon_sym_lt] = ACTIONS(1663),
    [anon_sym_le] = ACTIONS(1663),
    [anon_sym_ge] = ACTIONS(1663),
    [anon_sym_gt] = ACTIONS(1663),
    [anon_sym_isa] = ACTIONS(1663),
    [anon_sym_TILDE] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1661),
    [anon_sym_PLUS_PLUS] = ACTIONS(1663),
    [anon_sym_DASH_DASH] = ACTIONS(1663),
    [anon_sym_QMARK] = ACTIONS(1663),
    [anon_sym_BSLASH] = ACTIONS(1659),
    [anon_sym_do] = ACTIONS(1661),
    [anon_sym_eval] = ACTIONS(1661),
    [anon_sym_await] = ACTIONS(1661),
    [anon_sym_field] = ACTIONS(1661),
    [anon_sym_local] = ACTIONS(1661),
    [anon_sym_dynamically] = ACTIONS(1661),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1661),
    [anon_sym_require] = ACTIONS(1661),
    [anon_sym_map] = ACTIONS(1661),
    [anon_sym_grep] = ACTIONS(1661),
    [anon_sym_sort] = ACTIONS(1661),
    [anon_sym_goto] = ACTIONS(1661),
    [anon_sym_return] = ACTIONS(1661),
    [anon_sym_undef] = ACTIONS(1661),
    [anon_sym_PERCENT2] = ACTIONS(1661),
    [anon_sym_AMP2] = ACTIONS(1661),
    [anon_sym_STAR2] = ACTIONS(1661),
    [anon_sym_EQ_GT] = ACTIONS(1663),
    [anon_sym_for] = ACTIONS(1663),
    [anon_sym_foreach] = ACTIONS(1663),
    [anon_sym_last] = ACTIONS(1661),
    [anon_sym_next] = ACTIONS(1661),
    [anon_sym_redo] = ACTIONS(1661),
    [anon_sym___FILE__] = ACTIONS(1661),
    [anon_sym___LINE__] = ACTIONS(1661),
    [anon_sym___PACKAGE__] = ACTIONS(1661),
    [anon_sym___SUB__] = ACTIONS(1661),
    [anon_sym_break] = ACTIONS(1661),
    [anon_sym_fork] = ACTIONS(1661),
    [anon_sym_getppid] = ACTIONS(1661),
    [anon_sym_time] = ACTIONS(1661),
    [anon_sym_times] = ACTIONS(1661),
    [anon_sym_wait] = ACTIONS(1661),
    [anon_sym_wantarray] = ACTIONS(1661),
    [anon_sym_abs] = ACTIONS(1661),
    [anon_sym_alarm] = ACTIONS(1661),
    [anon_sym_chop] = ACTIONS(1661),
    [anon_sym_chdir] = ACTIONS(1661),
    [anon_sym_close] = ACTIONS(1661),
    [anon_sym_closedir] = ACTIONS(1661),
    [anon_sym_caller] = ACTIONS(1661),
    [anon_sym_chomp] = ACTIONS(1661),
    [anon_sym_chr] = ACTIONS(1661),
    [anon_sym_cos] = ACTIONS(1661),
    [anon_sym_chroot] = ACTIONS(1661),
    [anon_sym_defined] = ACTIONS(1661),
    [anon_sym_delete] = ACTIONS(1661),
    [anon_sym_dbmclose] = ACTIONS(1661),
    [anon_sym_exists] = ACTIONS(1661),
    [anon_sym_exit] = ACTIONS(1661),
    [anon_sym_eof] = ACTIONS(1661),
    [anon_sym_exp] = ACTIONS(1661),
    [anon_sym_each] = ACTIONS(1661),
    [anon_sym_fc] = ACTIONS(1661),
    [anon_sym_fileno] = ACTIONS(1661),
    [anon_sym_gmtime] = ACTIONS(1661),
    [anon_sym_getc] = ACTIONS(1661),
    [anon_sym_getpgrp] = ACTIONS(1661),
    [anon_sym_getprotobyname] = ACTIONS(1661),
    [anon_sym_getpwname] = ACTIONS(1661),
    [anon_sym_getpwuid] = ACTIONS(1661),
    [anon_sym_getpeername] = ACTIONS(1661),
    [anon_sym_getnetbyname] = ACTIONS(1661),
    [anon_sym_getsockname] = ACTIONS(1661),
    [anon_sym_getgrnam] = ACTIONS(1661),
    [anon_sym_getgrgid] = ACTIONS(1661),
    [anon_sym_hex] = ACTIONS(1661),
    [anon_sym_int] = ACTIONS(1661),
    [anon_sym_keys] = ACTIONS(1661),
    [anon_sym_lc] = ACTIONS(1661),
    [anon_sym_lcfirst] = ACTIONS(1661),
    [anon_sym_length] = ACTIONS(1661),
    [anon_sym_localtime] = ACTIONS(1661),
    [anon_sym_log] = ACTIONS(1661),
    [anon_sym_lock] = ACTIONS(1661),
    [anon_sym_lstat] = ACTIONS(1661),
    [anon_sym_oct] = ACTIONS(1661),
    [anon_sym_ord] = ACTIONS(1661),
    [anon_sym_prototype] = ACTIONS(1661),
    [anon_sym_pop] = ACTIONS(1661),
    [anon_sym_pos] = ACTIONS(1661),
    [anon_sym_quotemeta] = ACTIONS(1661),
    [anon_sym_reset] = ACTIONS(1661),
    [anon_sym_rand] = ACTIONS(1661),
    [anon_sym_rmdir] = ACTIONS(1661),
    [anon_sym_readdir] = ACTIONS(1661),
    [anon_sym_readline] = ACTIONS(1661),
    [anon_sym_readpipe] = ACTIONS(1661),
    [anon_sym_rewinddir] = ACTIONS(1661),
    [anon_sym_readlink] = ACTIONS(1661),
    [anon_sym_ref] = ACTIONS(1661),
    [anon_sym_scalar] = ACTIONS(1661),
    [anon_sym_shift] = ACTIONS(1661),
    [anon_sym_sin] = ACTIONS(1661),
    [anon_sym_sleep] = ACTIONS(1661),
    [anon_sym_sqrt] = ACTIONS(1661),
    [anon_sym_srand] = ACTIONS(1661),
    [anon_sym_stat] = ACTIONS(1661),
    [anon_sym_study] = ACTIONS(1661),
    [anon_sym_tell] = ACTIONS(1661),
    [anon_sym_telldir] = ACTIONS(1661),
    [anon_sym_tied] = ACTIONS(1661),
    [anon_sym_uc] = ACTIONS(1661),
    [anon_sym_ucfirst] = ACTIONS(1661),
    [anon_sym_untie] = ACTIONS(1661),
    [anon_sym_umask] = ACTIONS(1661),
    [anon_sym_values] = ACTIONS(1661),
    [anon_sym_write] = ACTIONS(1661),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1663),
    [anon_sym___END__] = ACTIONS(1663),
    [anon_sym_EOT] = ACTIONS(1663),
    [anon_sym_q] = ACTIONS(1661),
    [anon_sym_qq] = ACTIONS(1661),
    [anon_sym_qw] = ACTIONS(1661),
    [anon_sym_qx] = ACTIONS(1661),
    [anon_sym_qr] = ACTIONS(1661),
    [anon_sym_m] = ACTIONS(1661),
    [anon_sym_s] = ACTIONS(1661),
    [anon_sym_tr] = ACTIONS(1661),
    [anon_sym_y] = ACTIONS(1661),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_unless] = ACTIONS(1663),
    [anon_sym_while] = ACTIONS(1663),
    [anon_sym_until] = ACTIONS(1663),
    [aux_sym__bareword_token1] = ACTIONS(1661),
    [sym_number] = ACTIONS(1661),
    [anon_sym_true] = ACTIONS(1661),
    [anon_sym_false] = ACTIONS(1661),
    [sym__single_quote] = ACTIONS(1659),
    [sym__double_quote] = ACTIONS(1659),
    [sym__backtick_quote] = ACTIONS(1659),
    [sym__search_slash_quote] = ACTIONS(1659),
    [sym__open_readline_bracket] = ACTIONS(1659),
    [sym__open_fileglob_bracket] = ACTIONS(1659),
    [sym__PERLY_SEMICOLON] = ACTIONS(1665),
    [sym__PERLY_HEREDOC] = ACTIONS(1659),
    [sym__ctrl_z_hack] = ACTIONS(1665),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1659),
    [sym__filetest] = ACTIONS(1659),
  },
  [758] = {
    [sym_heredoc_content] = STATE(758),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1935),
  },
  [759] = {
    [sym_heredoc_content] = STATE(759),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1937),
  },
  [760] = {
    [sym_heredoc_content] = STATE(760),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1939),
  },
  [761] = {
    [sym_heredoc_content] = STATE(761),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1941),
  },
  [762] = {
    [sym_heredoc_content] = STATE(762),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1943),
  },
  [763] = {
    [sym_heredoc_content] = STATE(763),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1945),
  },
  [764] = {
    [sym_heredoc_content] = STATE(764),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1883),
  },
  [765] = {
    [sym_heredoc_content] = STATE(765),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1905),
  },
  [766] = {
    [sym_heredoc_content] = STATE(766),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1907),
  },
  [767] = {
    [sym_heredoc_content] = STATE(767),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1887),
  },
  [768] = {
    [sym_heredoc_content] = STATE(768),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1909),
  },
  [769] = {
    [sym_heredoc_content] = STATE(769),
    [sym__identifier] = ACTIONS(1828),
    [anon_sym_LBRACE] = ACTIONS(1830),
    [anon_sym_SEMI] = ACTIONS(1828),
    [anon_sym_DOLLAR] = ACTIONS(1828),
    [anon_sym_EQ] = ACTIONS(1828),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1828),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1828),
    [anon_sym_AT] = ACTIONS(1828),
    [anon_sym_COMMA] = ACTIONS(1828),
    [anon_sym_my] = ACTIONS(1828),
    [anon_sym_extended] = ACTIONS(1828),
    [anon_sym_async] = ACTIONS(1828),
    [anon_sym_sub] = ACTIONS(1828),
    [anon_sym_method] = ACTIONS(1828),
    [anon_sym_LPAREN] = ACTIONS(1828),
    [anon_sym_continue] = ACTIONS(1828),
    [anon_sym_state] = ACTIONS(1828),
    [anon_sym_our] = ACTIONS(1828),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1828),
    [anon_sym_and] = ACTIONS(1828),
    [anon_sym_or] = ACTIONS(1828),
    [anon_sym_xor] = ACTIONS(1828),
    [anon_sym_LBRACK] = ACTIONS(1830),
    [anon_sym_DASH_GT] = ACTIONS(1828),
    [anon_sym_PERCENT] = ACTIONS(1828),
    [anon_sym_GT] = ACTIONS(1828),
    [anon_sym_LT_LT] = ACTIONS(1828),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1828),
    [anon_sym_PLUS_EQ] = ACTIONS(1828),
    [anon_sym_DASH_EQ] = ACTIONS(1828),
    [anon_sym_DOT_EQ] = ACTIONS(1828),
    [anon_sym_STAR_EQ] = ACTIONS(1828),
    [anon_sym_SLASH_EQ] = ACTIONS(1828),
    [anon_sym_PERCENT_EQ] = ACTIONS(1828),
    [anon_sym_x_EQ] = ACTIONS(1828),
    [anon_sym_AMP_EQ] = ACTIONS(1828),
    [anon_sym_PIPE_EQ] = ACTIONS(1828),
    [anon_sym_CARET_EQ] = ACTIONS(1828),
    [anon_sym_LT_LT_EQ] = ACTIONS(1828),
    [anon_sym_GT_GT_EQ] = ACTIONS(1828),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1828),
    [anon_sym_DOT_DOT] = ACTIONS(1828),
    [anon_sym_STAR_STAR] = ACTIONS(1828),
    [anon_sym_PIPE_PIPE] = ACTIONS(1828),
    [anon_sym_SLASH_SLASH] = ACTIONS(1828),
    [anon_sym_CARET_CARET] = ACTIONS(1828),
    [anon_sym_AMP_AMP] = ACTIONS(1828),
    [anon_sym_PIPE] = ACTIONS(1828),
    [anon_sym_CARET] = ACTIONS(1828),
    [anon_sym_AMP] = ACTIONS(1828),
    [anon_sym_GT_GT2] = ACTIONS(1828),
    [anon_sym_PLUS] = ACTIONS(1828),
    [anon_sym_DASH] = ACTIONS(1828),
    [anon_sym_DOT] = ACTIONS(1828),
    [anon_sym_STAR] = ACTIONS(1828),
    [anon_sym_SLASH] = ACTIONS(1828),
    [anon_sym_x] = ACTIONS(1828),
    [anon_sym_EQ_TILDE] = ACTIONS(1828),
    [anon_sym_BANG_TILDE] = ACTIONS(1828),
    [anon_sym_EQ_EQ] = ACTIONS(1828),
    [anon_sym_BANG_EQ] = ACTIONS(1828),
    [anon_sym_eq] = ACTIONS(1828),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1828),
    [anon_sym_equ] = ACTIONS(1828),
    [anon_sym_eqr] = ACTIONS(1828),
    [anon_sym_ne] = ACTIONS(1828),
    [anon_sym_LT_EQ_GT] = ACTIONS(1828),
    [anon_sym_cmp] = ACTIONS(1828),
    [anon_sym_TILDE_TILDE] = ACTIONS(1828),
    [anon_sym_LT] = ACTIONS(1828),
    [anon_sym_LT_EQ] = ACTIONS(1828),
    [anon_sym_GT_EQ] = ACTIONS(1828),
    [anon_sym_lt] = ACTIONS(1828),
    [anon_sym_le] = ACTIONS(1828),
    [anon_sym_ge] = ACTIONS(1828),
    [anon_sym_gt] = ACTIONS(1828),
    [anon_sym_isa] = ACTIONS(1828),
    [anon_sym_TILDE] = ACTIONS(1828),
    [anon_sym_BANG] = ACTIONS(1828),
    [anon_sym_PLUS_PLUS] = ACTIONS(1828),
    [anon_sym_DASH_DASH] = ACTIONS(1828),
    [anon_sym_QMARK] = ACTIONS(1828),
    [anon_sym_BSLASH] = ACTIONS(1832),
    [anon_sym_do] = ACTIONS(1828),
    [anon_sym_eval] = ACTIONS(1828),
    [anon_sym_await] = ACTIONS(1828),
    [anon_sym_field] = ACTIONS(1828),
    [anon_sym_local] = ACTIONS(1828),
    [anon_sym_dynamically] = ACTIONS(1828),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1828),
    [anon_sym_require] = ACTIONS(1828),
    [anon_sym_map] = ACTIONS(1828),
    [anon_sym_grep] = ACTIONS(1828),
    [anon_sym_sort] = ACTIONS(1828),
    [anon_sym_goto] = ACTIONS(1828),
    [anon_sym_return] = ACTIONS(1828),
    [anon_sym_undef] = ACTIONS(1828),
    [anon_sym_PERCENT2] = ACTIONS(1828),
    [anon_sym_AMP2] = ACTIONS(1828),
    [anon_sym_STAR2] = ACTIONS(1828),
    [anon_sym_EQ_GT] = ACTIONS(1828),
    [anon_sym_last] = ACTIONS(1828),
    [anon_sym_next] = ACTIONS(1828),
    [anon_sym_redo] = ACTIONS(1828),
    [anon_sym___FILE__] = ACTIONS(1828),
    [anon_sym___LINE__] = ACTIONS(1828),
    [anon_sym___PACKAGE__] = ACTIONS(1828),
    [anon_sym___SUB__] = ACTIONS(1828),
    [anon_sym_break] = ACTIONS(1828),
    [anon_sym_fork] = ACTIONS(1828),
    [anon_sym_getppid] = ACTIONS(1828),
    [anon_sym_time] = ACTIONS(1828),
    [anon_sym_times] = ACTIONS(1828),
    [anon_sym_wait] = ACTIONS(1828),
    [anon_sym_wantarray] = ACTIONS(1828),
    [anon_sym_abs] = ACTIONS(1828),
    [anon_sym_alarm] = ACTIONS(1828),
    [anon_sym_chop] = ACTIONS(1828),
    [anon_sym_chdir] = ACTIONS(1828),
    [anon_sym_close] = ACTIONS(1828),
    [anon_sym_closedir] = ACTIONS(1828),
    [anon_sym_caller] = ACTIONS(1828),
    [anon_sym_chomp] = ACTIONS(1828),
    [anon_sym_chr] = ACTIONS(1828),
    [anon_sym_cos] = ACTIONS(1828),
    [anon_sym_chroot] = ACTIONS(1828),
    [anon_sym_defined] = ACTIONS(1828),
    [anon_sym_delete] = ACTIONS(1828),
    [anon_sym_dbmclose] = ACTIONS(1828),
    [anon_sym_exists] = ACTIONS(1828),
    [anon_sym_exit] = ACTIONS(1828),
    [anon_sym_eof] = ACTIONS(1828),
    [anon_sym_exp] = ACTIONS(1828),
    [anon_sym_each] = ACTIONS(1828),
    [anon_sym_fc] = ACTIONS(1828),
    [anon_sym_fileno] = ACTIONS(1828),
    [anon_sym_gmtime] = ACTIONS(1828),
    [anon_sym_getc] = ACTIONS(1828),
    [anon_sym_getpgrp] = ACTIONS(1828),
    [anon_sym_getprotobyname] = ACTIONS(1828),
    [anon_sym_getpwname] = ACTIONS(1828),
    [anon_sym_getpwuid] = ACTIONS(1828),
    [anon_sym_getpeername] = ACTIONS(1828),
    [anon_sym_getnetbyname] = ACTIONS(1828),
    [anon_sym_getsockname] = ACTIONS(1828),
    [anon_sym_getgrnam] = ACTIONS(1828),
    [anon_sym_getgrgid] = ACTIONS(1828),
    [anon_sym_hex] = ACTIONS(1828),
    [anon_sym_int] = ACTIONS(1828),
    [anon_sym_keys] = ACTIONS(1828),
    [anon_sym_lc] = ACTIONS(1828),
    [anon_sym_lcfirst] = ACTIONS(1828),
    [anon_sym_length] = ACTIONS(1828),
    [anon_sym_localtime] = ACTIONS(1828),
    [anon_sym_log] = ACTIONS(1828),
    [anon_sym_lock] = ACTIONS(1828),
    [anon_sym_lstat] = ACTIONS(1828),
    [anon_sym_oct] = ACTIONS(1828),
    [anon_sym_ord] = ACTIONS(1828),
    [anon_sym_prototype] = ACTIONS(1828),
    [anon_sym_pop] = ACTIONS(1828),
    [anon_sym_pos] = ACTIONS(1828),
    [anon_sym_quotemeta] = ACTIONS(1828),
    [anon_sym_reset] = ACTIONS(1828),
    [anon_sym_rand] = ACTIONS(1828),
    [anon_sym_rmdir] = ACTIONS(1828),
    [anon_sym_readdir] = ACTIONS(1828),
    [anon_sym_readline] = ACTIONS(1828),
    [anon_sym_readpipe] = ACTIONS(1828),
    [anon_sym_rewinddir] = ACTIONS(1828),
    [anon_sym_readlink] = ACTIONS(1828),
    [anon_sym_ref] = ACTIONS(1828),
    [anon_sym_scalar] = ACTIONS(1828),
    [anon_sym_shift] = ACTIONS(1828),
    [anon_sym_sin] = ACTIONS(1828),
    [anon_sym_sleep] = ACTIONS(1828),
    [anon_sym_sqrt] = ACTIONS(1828),
    [anon_sym_srand] = ACTIONS(1828),
    [anon_sym_stat] = ACTIONS(1828),
    [anon_sym_study] = ACTIONS(1828),
    [anon_sym_tell] = ACTIONS(1828),
    [anon_sym_telldir] = ACTIONS(1828),
    [anon_sym_tied] = ACTIONS(1828),
    [anon_sym_uc] = ACTIONS(1828),
    [anon_sym_ucfirst] = ACTIONS(1828),
    [anon_sym_untie] = ACTIONS(1828),
    [anon_sym_umask] = ACTIONS(1828),
    [anon_sym_values] = ACTIONS(1828),
    [anon_sym_write] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1828),
    [anon_sym___END__] = ACTIONS(1828),
    [anon_sym_EOT] = ACTIONS(1828),
    [anon_sym_q] = ACTIONS(1828),
    [anon_sym_qq] = ACTIONS(1828),
    [anon_sym_qw] = ACTIONS(1828),
    [anon_sym_qx] = ACTIONS(1828),
    [anon_sym_qr] = ACTIONS(1828),
    [anon_sym_m] = ACTIONS(1828),
    [anon_sym_s] = ACTIONS(1828),
    [anon_sym_tr] = ACTIONS(1828),
    [anon_sym_y] = ACTIONS(1828),
    [aux_sym__bareword_token1] = ACTIONS(1828),
    [sym_number] = ACTIONS(1828),
    [anon_sym_true] = ACTIONS(1828),
    [anon_sym_false] = ACTIONS(1828),
    [sym__single_quote] = ACTIONS(1832),
    [sym__double_quote] = ACTIONS(1832),
    [sym__backtick_quote] = ACTIONS(1832),
    [sym__search_slash_quote] = ACTIONS(1832),
    [sym__no_search_slash_plz] = ACTIONS(1832),
    [sym__open_readline_bracket] = ACTIONS(1832),
    [sym__open_fileglob_bracket] = ACTIONS(1832),
    [sym__PERLY_SEMICOLON] = ACTIONS(1832),
    [sym__PERLY_HEREDOC] = ACTIONS(1832),
    [sym__ctrl_z_hack] = ACTIONS(1832),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1832),
    [sym__filetest] = ACTIONS(1832),
  },
  [770] = {
    [sym_heredoc_content] = STATE(770),
    [sym__identifier] = ACTIONS(1851),
    [anon_sym_LBRACE] = ACTIONS(1851),
    [anon_sym_SEMI] = ACTIONS(1851),
    [anon_sym_DOLLAR] = ACTIONS(1851),
    [anon_sym_EQ] = ACTIONS(1851),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1851),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(1851),
    [anon_sym_COMMA] = ACTIONS(1851),
    [anon_sym_my] = ACTIONS(1851),
    [anon_sym_extended] = ACTIONS(1851),
    [anon_sym_async] = ACTIONS(1851),
    [anon_sym_sub] = ACTIONS(1851),
    [anon_sym_method] = ACTIONS(1851),
    [anon_sym_LPAREN] = ACTIONS(1851),
    [anon_sym_continue] = ACTIONS(1851),
    [anon_sym_state] = ACTIONS(1851),
    [anon_sym_our] = ACTIONS(1851),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1851),
    [anon_sym_and] = ACTIONS(1851),
    [anon_sym_or] = ACTIONS(1851),
    [anon_sym_xor] = ACTIONS(1851),
    [anon_sym_LBRACK] = ACTIONS(1851),
    [anon_sym_DASH_GT] = ACTIONS(1851),
    [anon_sym_PERCENT] = ACTIONS(1851),
    [anon_sym_GT] = ACTIONS(1851),
    [anon_sym_LT_LT] = ACTIONS(1851),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1851),
    [anon_sym_PLUS_EQ] = ACTIONS(1851),
    [anon_sym_DASH_EQ] = ACTIONS(1851),
    [anon_sym_DOT_EQ] = ACTIONS(1851),
    [anon_sym_STAR_EQ] = ACTIONS(1851),
    [anon_sym_SLASH_EQ] = ACTIONS(1851),
    [anon_sym_PERCENT_EQ] = ACTIONS(1851),
    [anon_sym_x_EQ] = ACTIONS(1851),
    [anon_sym_AMP_EQ] = ACTIONS(1851),
    [anon_sym_PIPE_EQ] = ACTIONS(1851),
    [anon_sym_CARET_EQ] = ACTIONS(1851),
    [anon_sym_LT_LT_EQ] = ACTIONS(1851),
    [anon_sym_GT_GT_EQ] = ACTIONS(1851),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1851),
    [anon_sym_DOT_DOT] = ACTIONS(1851),
    [anon_sym_STAR_STAR] = ACTIONS(1851),
    [anon_sym_PIPE_PIPE] = ACTIONS(1851),
    [anon_sym_SLASH_SLASH] = ACTIONS(1851),
    [anon_sym_CARET_CARET] = ACTIONS(1851),
    [anon_sym_AMP_AMP] = ACTIONS(1851),
    [anon_sym_PIPE] = ACTIONS(1851),
    [anon_sym_CARET] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym_GT_GT2] = ACTIONS(1851),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_DOT] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_SLASH] = ACTIONS(1851),
    [anon_sym_x] = ACTIONS(1851),
    [anon_sym_EQ_TILDE] = ACTIONS(1851),
    [anon_sym_BANG_TILDE] = ACTIONS(1851),
    [anon_sym_EQ_EQ] = ACTIONS(1851),
    [anon_sym_BANG_EQ] = ACTIONS(1851),
    [anon_sym_eq] = ACTIONS(1851),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1851),
    [anon_sym_equ] = ACTIONS(1851),
    [anon_sym_eqr] = ACTIONS(1851),
    [anon_sym_ne] = ACTIONS(1851),
    [anon_sym_LT_EQ_GT] = ACTIONS(1851),
    [anon_sym_cmp] = ACTIONS(1851),
    [anon_sym_TILDE_TILDE] = ACTIONS(1851),
    [anon_sym_LT] = ACTIONS(1851),
    [anon_sym_LT_EQ] = ACTIONS(1851),
    [anon_sym_GT_EQ] = ACTIONS(1851),
    [anon_sym_lt] = ACTIONS(1851),
    [anon_sym_le] = ACTIONS(1851),
    [anon_sym_ge] = ACTIONS(1851),
    [anon_sym_gt] = ACTIONS(1851),
    [anon_sym_isa] = ACTIONS(1851),
    [anon_sym_TILDE] = ACTIONS(1851),
    [anon_sym_BANG] = ACTIONS(1851),
    [anon_sym_PLUS_PLUS] = ACTIONS(1851),
    [anon_sym_DASH_DASH] = ACTIONS(1851),
    [anon_sym_QMARK] = ACTIONS(1851),
    [anon_sym_BSLASH] = ACTIONS(1853),
    [anon_sym_do] = ACTIONS(1851),
    [anon_sym_eval] = ACTIONS(1851),
    [anon_sym_await] = ACTIONS(1851),
    [anon_sym_field] = ACTIONS(1851),
    [anon_sym_local] = ACTIONS(1851),
    [anon_sym_dynamically] = ACTIONS(1851),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1851),
    [anon_sym_require] = ACTIONS(1851),
    [anon_sym_map] = ACTIONS(1851),
    [anon_sym_grep] = ACTIONS(1851),
    [anon_sym_sort] = ACTIONS(1851),
    [anon_sym_goto] = ACTIONS(1851),
    [anon_sym_return] = ACTIONS(1851),
    [anon_sym_undef] = ACTIONS(1851),
    [anon_sym_PERCENT2] = ACTIONS(1851),
    [anon_sym_AMP2] = ACTIONS(1851),
    [anon_sym_STAR2] = ACTIONS(1851),
    [anon_sym_EQ_GT] = ACTIONS(1851),
    [anon_sym_last] = ACTIONS(1851),
    [anon_sym_next] = ACTIONS(1851),
    [anon_sym_redo] = ACTIONS(1851),
    [anon_sym___FILE__] = ACTIONS(1851),
    [anon_sym___LINE__] = ACTIONS(1851),
    [anon_sym___PACKAGE__] = ACTIONS(1851),
    [anon_sym___SUB__] = ACTIONS(1851),
    [anon_sym_break] = ACTIONS(1851),
    [anon_sym_fork] = ACTIONS(1851),
    [anon_sym_getppid] = ACTIONS(1851),
    [anon_sym_time] = ACTIONS(1851),
    [anon_sym_times] = ACTIONS(1851),
    [anon_sym_wait] = ACTIONS(1851),
    [anon_sym_wantarray] = ACTIONS(1851),
    [anon_sym_abs] = ACTIONS(1851),
    [anon_sym_alarm] = ACTIONS(1851),
    [anon_sym_chop] = ACTIONS(1851),
    [anon_sym_chdir] = ACTIONS(1851),
    [anon_sym_close] = ACTIONS(1851),
    [anon_sym_closedir] = ACTIONS(1851),
    [anon_sym_caller] = ACTIONS(1851),
    [anon_sym_chomp] = ACTIONS(1851),
    [anon_sym_chr] = ACTIONS(1851),
    [anon_sym_cos] = ACTIONS(1851),
    [anon_sym_chroot] = ACTIONS(1851),
    [anon_sym_defined] = ACTIONS(1851),
    [anon_sym_delete] = ACTIONS(1851),
    [anon_sym_dbmclose] = ACTIONS(1851),
    [anon_sym_exists] = ACTIONS(1851),
    [anon_sym_exit] = ACTIONS(1851),
    [anon_sym_eof] = ACTIONS(1851),
    [anon_sym_exp] = ACTIONS(1851),
    [anon_sym_each] = ACTIONS(1851),
    [anon_sym_fc] = ACTIONS(1851),
    [anon_sym_fileno] = ACTIONS(1851),
    [anon_sym_gmtime] = ACTIONS(1851),
    [anon_sym_getc] = ACTIONS(1851),
    [anon_sym_getpgrp] = ACTIONS(1851),
    [anon_sym_getprotobyname] = ACTIONS(1851),
    [anon_sym_getpwname] = ACTIONS(1851),
    [anon_sym_getpwuid] = ACTIONS(1851),
    [anon_sym_getpeername] = ACTIONS(1851),
    [anon_sym_getnetbyname] = ACTIONS(1851),
    [anon_sym_getsockname] = ACTIONS(1851),
    [anon_sym_getgrnam] = ACTIONS(1851),
    [anon_sym_getgrgid] = ACTIONS(1851),
    [anon_sym_hex] = ACTIONS(1851),
    [anon_sym_int] = ACTIONS(1851),
    [anon_sym_keys] = ACTIONS(1851),
    [anon_sym_lc] = ACTIONS(1851),
    [anon_sym_lcfirst] = ACTIONS(1851),
    [anon_sym_length] = ACTIONS(1851),
    [anon_sym_localtime] = ACTIONS(1851),
    [anon_sym_log] = ACTIONS(1851),
    [anon_sym_lock] = ACTIONS(1851),
    [anon_sym_lstat] = ACTIONS(1851),
    [anon_sym_oct] = ACTIONS(1851),
    [anon_sym_ord] = ACTIONS(1851),
    [anon_sym_prototype] = ACTIONS(1851),
    [anon_sym_pop] = ACTIONS(1851),
    [anon_sym_pos] = ACTIONS(1851),
    [anon_sym_quotemeta] = ACTIONS(1851),
    [anon_sym_reset] = ACTIONS(1851),
    [anon_sym_rand] = ACTIONS(1851),
    [anon_sym_rmdir] = ACTIONS(1851),
    [anon_sym_readdir] = ACTIONS(1851),
    [anon_sym_readline] = ACTIONS(1851),
    [anon_sym_readpipe] = ACTIONS(1851),
    [anon_sym_rewinddir] = ACTIONS(1851),
    [anon_sym_readlink] = ACTIONS(1851),
    [anon_sym_ref] = ACTIONS(1851),
    [anon_sym_scalar] = ACTIONS(1851),
    [anon_sym_shift] = ACTIONS(1851),
    [anon_sym_sin] = ACTIONS(1851),
    [anon_sym_sleep] = ACTIONS(1851),
    [anon_sym_sqrt] = ACTIONS(1851),
    [anon_sym_srand] = ACTIONS(1851),
    [anon_sym_stat] = ACTIONS(1851),
    [anon_sym_study] = ACTIONS(1851),
    [anon_sym_tell] = ACTIONS(1851),
    [anon_sym_telldir] = ACTIONS(1851),
    [anon_sym_tied] = ACTIONS(1851),
    [anon_sym_uc] = ACTIONS(1851),
    [anon_sym_ucfirst] = ACTIONS(1851),
    [anon_sym_untie] = ACTIONS(1851),
    [anon_sym_umask] = ACTIONS(1851),
    [anon_sym_values] = ACTIONS(1851),
    [anon_sym_write] = ACTIONS(1851),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1851),
    [anon_sym___END__] = ACTIONS(1851),
    [anon_sym_EOT] = ACTIONS(1851),
    [anon_sym_q] = ACTIONS(1851),
    [anon_sym_qq] = ACTIONS(1851),
    [anon_sym_qw] = ACTIONS(1851),
    [anon_sym_qx] = ACTIONS(1851),
    [anon_sym_qr] = ACTIONS(1851),
    [anon_sym_m] = ACTIONS(1851),
    [anon_sym_s] = ACTIONS(1851),
    [anon_sym_tr] = ACTIONS(1851),
    [anon_sym_y] = ACTIONS(1851),
    [aux_sym__bareword_token1] = ACTIONS(1851),
    [sym_number] = ACTIONS(1851),
    [anon_sym_true] = ACTIONS(1851),
    [anon_sym_false] = ACTIONS(1851),
    [sym__single_quote] = ACTIONS(1853),
    [sym__double_quote] = ACTIONS(1853),
    [sym__backtick_quote] = ACTIONS(1853),
    [sym__search_slash_quote] = ACTIONS(1853),
    [sym__no_search_slash_plz] = ACTIONS(1853),
    [sym__open_readline_bracket] = ACTIONS(1853),
    [sym__open_fileglob_bracket] = ACTIONS(1853),
    [sym__PERLY_SEMICOLON] = ACTIONS(1853),
    [sym__PERLY_HEREDOC] = ACTIONS(1853),
    [sym__ctrl_z_hack] = ACTIONS(1853),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1853),
    [sym__filetest] = ACTIONS(1853),
  },
  [771] = {
    [sym_heredoc_content] = STATE(771),
    [sym__identifier] = ACTIONS(1834),
    [anon_sym_LBRACE] = ACTIONS(1834),
    [anon_sym_SEMI] = ACTIONS(1834),
    [anon_sym_DOLLAR] = ACTIONS(1834),
    [anon_sym_EQ] = ACTIONS(1834),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1834),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1834),
    [anon_sym_AT] = ACTIONS(1834),
    [anon_sym_COMMA] = ACTIONS(1834),
    [anon_sym_my] = ACTIONS(1834),
    [anon_sym_extended] = ACTIONS(1834),
    [anon_sym_async] = ACTIONS(1834),
    [anon_sym_sub] = ACTIONS(1834),
    [anon_sym_method] = ACTIONS(1834),
    [anon_sym_LPAREN] = ACTIONS(1834),
    [anon_sym_continue] = ACTIONS(1834),
    [anon_sym_state] = ACTIONS(1834),
    [anon_sym_our] = ACTIONS(1834),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1834),
    [anon_sym_and] = ACTIONS(1834),
    [anon_sym_or] = ACTIONS(1834),
    [anon_sym_xor] = ACTIONS(1834),
    [anon_sym_LBRACK] = ACTIONS(1834),
    [anon_sym_DASH_GT] = ACTIONS(1834),
    [anon_sym_PERCENT] = ACTIONS(1834),
    [anon_sym_GT] = ACTIONS(1834),
    [anon_sym_LT_LT] = ACTIONS(1834),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1834),
    [anon_sym_PLUS_EQ] = ACTIONS(1834),
    [anon_sym_DASH_EQ] = ACTIONS(1834),
    [anon_sym_DOT_EQ] = ACTIONS(1834),
    [anon_sym_STAR_EQ] = ACTIONS(1834),
    [anon_sym_SLASH_EQ] = ACTIONS(1834),
    [anon_sym_PERCENT_EQ] = ACTIONS(1834),
    [anon_sym_x_EQ] = ACTIONS(1834),
    [anon_sym_AMP_EQ] = ACTIONS(1834),
    [anon_sym_PIPE_EQ] = ACTIONS(1834),
    [anon_sym_CARET_EQ] = ACTIONS(1834),
    [anon_sym_LT_LT_EQ] = ACTIONS(1834),
    [anon_sym_GT_GT_EQ] = ACTIONS(1834),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1834),
    [anon_sym_DOT_DOT] = ACTIONS(1834),
    [anon_sym_STAR_STAR] = ACTIONS(1834),
    [anon_sym_PIPE_PIPE] = ACTIONS(1834),
    [anon_sym_SLASH_SLASH] = ACTIONS(1834),
    [anon_sym_CARET_CARET] = ACTIONS(1834),
    [anon_sym_AMP_AMP] = ACTIONS(1834),
    [anon_sym_PIPE] = ACTIONS(1834),
    [anon_sym_CARET] = ACTIONS(1834),
    [anon_sym_AMP] = ACTIONS(1834),
    [anon_sym_GT_GT2] = ACTIONS(1834),
    [anon_sym_PLUS] = ACTIONS(1834),
    [anon_sym_DASH] = ACTIONS(1834),
    [anon_sym_DOT] = ACTIONS(1834),
    [anon_sym_STAR] = ACTIONS(1834),
    [anon_sym_SLASH] = ACTIONS(1834),
    [anon_sym_x] = ACTIONS(1834),
    [anon_sym_EQ_TILDE] = ACTIONS(1834),
    [anon_sym_BANG_TILDE] = ACTIONS(1834),
    [anon_sym_EQ_EQ] = ACTIONS(1834),
    [anon_sym_BANG_EQ] = ACTIONS(1834),
    [anon_sym_eq] = ACTIONS(1834),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1834),
    [anon_sym_equ] = ACTIONS(1834),
    [anon_sym_eqr] = ACTIONS(1834),
    [anon_sym_ne] = ACTIONS(1834),
    [anon_sym_LT_EQ_GT] = ACTIONS(1834),
    [anon_sym_cmp] = ACTIONS(1834),
    [anon_sym_TILDE_TILDE] = ACTIONS(1834),
    [anon_sym_LT] = ACTIONS(1834),
    [anon_sym_LT_EQ] = ACTIONS(1834),
    [anon_sym_GT_EQ] = ACTIONS(1834),
    [anon_sym_lt] = ACTIONS(1834),
    [anon_sym_le] = ACTIONS(1834),
    [anon_sym_ge] = ACTIONS(1834),
    [anon_sym_gt] = ACTIONS(1834),
    [anon_sym_isa] = ACTIONS(1834),
    [anon_sym_TILDE] = ACTIONS(1834),
    [anon_sym_BANG] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1834),
    [anon_sym_DASH_DASH] = ACTIONS(1834),
    [anon_sym_QMARK] = ACTIONS(1834),
    [anon_sym_BSLASH] = ACTIONS(1836),
    [anon_sym_do] = ACTIONS(1834),
    [anon_sym_eval] = ACTIONS(1834),
    [anon_sym_await] = ACTIONS(1834),
    [anon_sym_field] = ACTIONS(1834),
    [anon_sym_local] = ACTIONS(1834),
    [anon_sym_dynamically] = ACTIONS(1834),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1834),
    [anon_sym_require] = ACTIONS(1834),
    [anon_sym_map] = ACTIONS(1834),
    [anon_sym_grep] = ACTIONS(1834),
    [anon_sym_sort] = ACTIONS(1834),
    [anon_sym_goto] = ACTIONS(1834),
    [anon_sym_return] = ACTIONS(1834),
    [anon_sym_undef] = ACTIONS(1834),
    [anon_sym_PERCENT2] = ACTIONS(1834),
    [anon_sym_AMP2] = ACTIONS(1834),
    [anon_sym_STAR2] = ACTIONS(1834),
    [anon_sym_EQ_GT] = ACTIONS(1834),
    [anon_sym_last] = ACTIONS(1834),
    [anon_sym_next] = ACTIONS(1834),
    [anon_sym_redo] = ACTIONS(1834),
    [anon_sym___FILE__] = ACTIONS(1834),
    [anon_sym___LINE__] = ACTIONS(1834),
    [anon_sym___PACKAGE__] = ACTIONS(1834),
    [anon_sym___SUB__] = ACTIONS(1834),
    [anon_sym_break] = ACTIONS(1834),
    [anon_sym_fork] = ACTIONS(1834),
    [anon_sym_getppid] = ACTIONS(1834),
    [anon_sym_time] = ACTIONS(1834),
    [anon_sym_times] = ACTIONS(1834),
    [anon_sym_wait] = ACTIONS(1834),
    [anon_sym_wantarray] = ACTIONS(1834),
    [anon_sym_abs] = ACTIONS(1834),
    [anon_sym_alarm] = ACTIONS(1834),
    [anon_sym_chop] = ACTIONS(1834),
    [anon_sym_chdir] = ACTIONS(1834),
    [anon_sym_close] = ACTIONS(1834),
    [anon_sym_closedir] = ACTIONS(1834),
    [anon_sym_caller] = ACTIONS(1834),
    [anon_sym_chomp] = ACTIONS(1834),
    [anon_sym_chr] = ACTIONS(1834),
    [anon_sym_cos] = ACTIONS(1834),
    [anon_sym_chroot] = ACTIONS(1834),
    [anon_sym_defined] = ACTIONS(1834),
    [anon_sym_delete] = ACTIONS(1834),
    [anon_sym_dbmclose] = ACTIONS(1834),
    [anon_sym_exists] = ACTIONS(1834),
    [anon_sym_exit] = ACTIONS(1834),
    [anon_sym_eof] = ACTIONS(1834),
    [anon_sym_exp] = ACTIONS(1834),
    [anon_sym_each] = ACTIONS(1834),
    [anon_sym_fc] = ACTIONS(1834),
    [anon_sym_fileno] = ACTIONS(1834),
    [anon_sym_gmtime] = ACTIONS(1834),
    [anon_sym_getc] = ACTIONS(1834),
    [anon_sym_getpgrp] = ACTIONS(1834),
    [anon_sym_getprotobyname] = ACTIONS(1834),
    [anon_sym_getpwname] = ACTIONS(1834),
    [anon_sym_getpwuid] = ACTIONS(1834),
    [anon_sym_getpeername] = ACTIONS(1834),
    [anon_sym_getnetbyname] = ACTIONS(1834),
    [anon_sym_getsockname] = ACTIONS(1834),
    [anon_sym_getgrnam] = ACTIONS(1834),
    [anon_sym_getgrgid] = ACTIONS(1834),
    [anon_sym_hex] = ACTIONS(1834),
    [anon_sym_int] = ACTIONS(1834),
    [anon_sym_keys] = ACTIONS(1834),
    [anon_sym_lc] = ACTIONS(1834),
    [anon_sym_lcfirst] = ACTIONS(1834),
    [anon_sym_length] = ACTIONS(1834),
    [anon_sym_localtime] = ACTIONS(1834),
    [anon_sym_log] = ACTIONS(1834),
    [anon_sym_lock] = ACTIONS(1834),
    [anon_sym_lstat] = ACTIONS(1834),
    [anon_sym_oct] = ACTIONS(1834),
    [anon_sym_ord] = ACTIONS(1834),
    [anon_sym_prototype] = ACTIONS(1834),
    [anon_sym_pop] = ACTIONS(1834),
    [anon_sym_pos] = ACTIONS(1834),
    [anon_sym_quotemeta] = ACTIONS(1834),
    [anon_sym_reset] = ACTIONS(1834),
    [anon_sym_rand] = ACTIONS(1834),
    [anon_sym_rmdir] = ACTIONS(1834),
    [anon_sym_readdir] = ACTIONS(1834),
    [anon_sym_readline] = ACTIONS(1834),
    [anon_sym_readpipe] = ACTIONS(1834),
    [anon_sym_rewinddir] = ACTIONS(1834),
    [anon_sym_readlink] = ACTIONS(1834),
    [anon_sym_ref] = ACTIONS(1834),
    [anon_sym_scalar] = ACTIONS(1834),
    [anon_sym_shift] = ACTIONS(1834),
    [anon_sym_sin] = ACTIONS(1834),
    [anon_sym_sleep] = ACTIONS(1834),
    [anon_sym_sqrt] = ACTIONS(1834),
    [anon_sym_srand] = ACTIONS(1834),
    [anon_sym_stat] = ACTIONS(1834),
    [anon_sym_study] = ACTIONS(1834),
    [anon_sym_tell] = ACTIONS(1834),
    [anon_sym_telldir] = ACTIONS(1834),
    [anon_sym_tied] = ACTIONS(1834),
    [anon_sym_uc] = ACTIONS(1834),
    [anon_sym_ucfirst] = ACTIONS(1834),
    [anon_sym_untie] = ACTIONS(1834),
    [anon_sym_umask] = ACTIONS(1834),
    [anon_sym_values] = ACTIONS(1834),
    [anon_sym_write] = ACTIONS(1834),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1834),
    [anon_sym___END__] = ACTIONS(1834),
    [anon_sym_EOT] = ACTIONS(1834),
    [anon_sym_q] = ACTIONS(1834),
    [anon_sym_qq] = ACTIONS(1834),
    [anon_sym_qw] = ACTIONS(1834),
    [anon_sym_qx] = ACTIONS(1834),
    [anon_sym_qr] = ACTIONS(1834),
    [anon_sym_m] = ACTIONS(1834),
    [anon_sym_s] = ACTIONS(1834),
    [anon_sym_tr] = ACTIONS(1834),
    [anon_sym_y] = ACTIONS(1834),
    [aux_sym__bareword_token1] = ACTIONS(1834),
    [sym_number] = ACTIONS(1834),
    [anon_sym_true] = ACTIONS(1834),
    [anon_sym_false] = ACTIONS(1834),
    [sym__single_quote] = ACTIONS(1836),
    [sym__double_quote] = ACTIONS(1836),
    [sym__backtick_quote] = ACTIONS(1836),
    [sym__search_slash_quote] = ACTIONS(1836),
    [sym__no_search_slash_plz] = ACTIONS(1836),
    [sym__open_readline_bracket] = ACTIONS(1836),
    [sym__open_fileglob_bracket] = ACTIONS(1836),
    [sym__PERLY_SEMICOLON] = ACTIONS(1836),
    [sym__PERLY_HEREDOC] = ACTIONS(1836),
    [sym__ctrl_z_hack] = ACTIONS(1836),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1836),
    [sym__filetest] = ACTIONS(1836),
  },
  [772] = {
    [sym_heredoc_content] = STATE(772),
    [sym__identifier] = ACTIONS(1863),
    [anon_sym_LBRACE] = ACTIONS(1863),
    [anon_sym_SEMI] = ACTIONS(1863),
    [anon_sym_DOLLAR] = ACTIONS(1863),
    [anon_sym_EQ] = ACTIONS(1863),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1863),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1863),
    [anon_sym_AT] = ACTIONS(1863),
    [anon_sym_COMMA] = ACTIONS(1863),
    [anon_sym_my] = ACTIONS(1863),
    [anon_sym_extended] = ACTIONS(1863),
    [anon_sym_async] = ACTIONS(1863),
    [anon_sym_sub] = ACTIONS(1863),
    [anon_sym_method] = ACTIONS(1863),
    [anon_sym_LPAREN] = ACTIONS(1863),
    [anon_sym_continue] = ACTIONS(1863),
    [anon_sym_state] = ACTIONS(1863),
    [anon_sym_our] = ACTIONS(1863),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1863),
    [anon_sym_and] = ACTIONS(1863),
    [anon_sym_or] = ACTIONS(1863),
    [anon_sym_xor] = ACTIONS(1863),
    [anon_sym_LBRACK] = ACTIONS(1863),
    [anon_sym_DASH_GT] = ACTIONS(1863),
    [anon_sym_PERCENT] = ACTIONS(1863),
    [anon_sym_GT] = ACTIONS(1863),
    [anon_sym_LT_LT] = ACTIONS(1863),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1863),
    [anon_sym_PLUS_EQ] = ACTIONS(1863),
    [anon_sym_DASH_EQ] = ACTIONS(1863),
    [anon_sym_DOT_EQ] = ACTIONS(1863),
    [anon_sym_STAR_EQ] = ACTIONS(1863),
    [anon_sym_SLASH_EQ] = ACTIONS(1863),
    [anon_sym_PERCENT_EQ] = ACTIONS(1863),
    [anon_sym_x_EQ] = ACTIONS(1863),
    [anon_sym_AMP_EQ] = ACTIONS(1863),
    [anon_sym_PIPE_EQ] = ACTIONS(1863),
    [anon_sym_CARET_EQ] = ACTIONS(1863),
    [anon_sym_LT_LT_EQ] = ACTIONS(1863),
    [anon_sym_GT_GT_EQ] = ACTIONS(1863),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1863),
    [anon_sym_DOT_DOT] = ACTIONS(1863),
    [anon_sym_STAR_STAR] = ACTIONS(1863),
    [anon_sym_PIPE_PIPE] = ACTIONS(1863),
    [anon_sym_SLASH_SLASH] = ACTIONS(1863),
    [anon_sym_CARET_CARET] = ACTIONS(1863),
    [anon_sym_AMP_AMP] = ACTIONS(1863),
    [anon_sym_PIPE] = ACTIONS(1863),
    [anon_sym_CARET] = ACTIONS(1863),
    [anon_sym_AMP] = ACTIONS(1863),
    [anon_sym_GT_GT2] = ACTIONS(1863),
    [anon_sym_PLUS] = ACTIONS(1863),
    [anon_sym_DASH] = ACTIONS(1863),
    [anon_sym_DOT] = ACTIONS(1863),
    [anon_sym_STAR] = ACTIONS(1863),
    [anon_sym_SLASH] = ACTIONS(1863),
    [anon_sym_x] = ACTIONS(1863),
    [anon_sym_EQ_TILDE] = ACTIONS(1863),
    [anon_sym_BANG_TILDE] = ACTIONS(1863),
    [anon_sym_EQ_EQ] = ACTIONS(1863),
    [anon_sym_BANG_EQ] = ACTIONS(1863),
    [anon_sym_eq] = ACTIONS(1863),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1863),
    [anon_sym_equ] = ACTIONS(1863),
    [anon_sym_eqr] = ACTIONS(1863),
    [anon_sym_ne] = ACTIONS(1863),
    [anon_sym_LT_EQ_GT] = ACTIONS(1863),
    [anon_sym_cmp] = ACTIONS(1863),
    [anon_sym_TILDE_TILDE] = ACTIONS(1863),
    [anon_sym_LT] = ACTIONS(1863),
    [anon_sym_LT_EQ] = ACTIONS(1863),
    [anon_sym_GT_EQ] = ACTIONS(1863),
    [anon_sym_lt] = ACTIONS(1863),
    [anon_sym_le] = ACTIONS(1863),
    [anon_sym_ge] = ACTIONS(1863),
    [anon_sym_gt] = ACTIONS(1863),
    [anon_sym_isa] = ACTIONS(1863),
    [anon_sym_TILDE] = ACTIONS(1863),
    [anon_sym_BANG] = ACTIONS(1863),
    [anon_sym_PLUS_PLUS] = ACTIONS(1863),
    [anon_sym_DASH_DASH] = ACTIONS(1863),
    [anon_sym_QMARK] = ACTIONS(1863),
    [anon_sym_BSLASH] = ACTIONS(1865),
    [anon_sym_do] = ACTIONS(1863),
    [anon_sym_eval] = ACTIONS(1863),
    [anon_sym_await] = ACTIONS(1863),
    [anon_sym_field] = ACTIONS(1863),
    [anon_sym_local] = ACTIONS(1863),
    [anon_sym_dynamically] = ACTIONS(1863),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1863),
    [anon_sym_require] = ACTIONS(1863),
    [anon_sym_map] = ACTIONS(1863),
    [anon_sym_grep] = ACTIONS(1863),
    [anon_sym_sort] = ACTIONS(1863),
    [anon_sym_goto] = ACTIONS(1863),
    [anon_sym_return] = ACTIONS(1863),
    [anon_sym_undef] = ACTIONS(1863),
    [anon_sym_PERCENT2] = ACTIONS(1863),
    [anon_sym_AMP2] = ACTIONS(1863),
    [anon_sym_STAR2] = ACTIONS(1863),
    [anon_sym_EQ_GT] = ACTIONS(1863),
    [anon_sym_last] = ACTIONS(1863),
    [anon_sym_next] = ACTIONS(1863),
    [anon_sym_redo] = ACTIONS(1863),
    [anon_sym___FILE__] = ACTIONS(1863),
    [anon_sym___LINE__] = ACTIONS(1863),
    [anon_sym___PACKAGE__] = ACTIONS(1863),
    [anon_sym___SUB__] = ACTIONS(1863),
    [anon_sym_break] = ACTIONS(1863),
    [anon_sym_fork] = ACTIONS(1863),
    [anon_sym_getppid] = ACTIONS(1863),
    [anon_sym_time] = ACTIONS(1863),
    [anon_sym_times] = ACTIONS(1863),
    [anon_sym_wait] = ACTIONS(1863),
    [anon_sym_wantarray] = ACTIONS(1863),
    [anon_sym_abs] = ACTIONS(1863),
    [anon_sym_alarm] = ACTIONS(1863),
    [anon_sym_chop] = ACTIONS(1863),
    [anon_sym_chdir] = ACTIONS(1863),
    [anon_sym_close] = ACTIONS(1863),
    [anon_sym_closedir] = ACTIONS(1863),
    [anon_sym_caller] = ACTIONS(1863),
    [anon_sym_chomp] = ACTIONS(1863),
    [anon_sym_chr] = ACTIONS(1863),
    [anon_sym_cos] = ACTIONS(1863),
    [anon_sym_chroot] = ACTIONS(1863),
    [anon_sym_defined] = ACTIONS(1863),
    [anon_sym_delete] = ACTIONS(1863),
    [anon_sym_dbmclose] = ACTIONS(1863),
    [anon_sym_exists] = ACTIONS(1863),
    [anon_sym_exit] = ACTIONS(1863),
    [anon_sym_eof] = ACTIONS(1863),
    [anon_sym_exp] = ACTIONS(1863),
    [anon_sym_each] = ACTIONS(1863),
    [anon_sym_fc] = ACTIONS(1863),
    [anon_sym_fileno] = ACTIONS(1863),
    [anon_sym_gmtime] = ACTIONS(1863),
    [anon_sym_getc] = ACTIONS(1863),
    [anon_sym_getpgrp] = ACTIONS(1863),
    [anon_sym_getprotobyname] = ACTIONS(1863),
    [anon_sym_getpwname] = ACTIONS(1863),
    [anon_sym_getpwuid] = ACTIONS(1863),
    [anon_sym_getpeername] = ACTIONS(1863),
    [anon_sym_getnetbyname] = ACTIONS(1863),
    [anon_sym_getsockname] = ACTIONS(1863),
    [anon_sym_getgrnam] = ACTIONS(1863),
    [anon_sym_getgrgid] = ACTIONS(1863),
    [anon_sym_hex] = ACTIONS(1863),
    [anon_sym_int] = ACTIONS(1863),
    [anon_sym_keys] = ACTIONS(1863),
    [anon_sym_lc] = ACTIONS(1863),
    [anon_sym_lcfirst] = ACTIONS(1863),
    [anon_sym_length] = ACTIONS(1863),
    [anon_sym_localtime] = ACTIONS(1863),
    [anon_sym_log] = ACTIONS(1863),
    [anon_sym_lock] = ACTIONS(1863),
    [anon_sym_lstat] = ACTIONS(1863),
    [anon_sym_oct] = ACTIONS(1863),
    [anon_sym_ord] = ACTIONS(1863),
    [anon_sym_prototype] = ACTIONS(1863),
    [anon_sym_pop] = ACTIONS(1863),
    [anon_sym_pos] = ACTIONS(1863),
    [anon_sym_quotemeta] = ACTIONS(1863),
    [anon_sym_reset] = ACTIONS(1863),
    [anon_sym_rand] = ACTIONS(1863),
    [anon_sym_rmdir] = ACTIONS(1863),
    [anon_sym_readdir] = ACTIONS(1863),
    [anon_sym_readline] = ACTIONS(1863),
    [anon_sym_readpipe] = ACTIONS(1863),
    [anon_sym_rewinddir] = ACTIONS(1863),
    [anon_sym_readlink] = ACTIONS(1863),
    [anon_sym_ref] = ACTIONS(1863),
    [anon_sym_scalar] = ACTIONS(1863),
    [anon_sym_shift] = ACTIONS(1863),
    [anon_sym_sin] = ACTIONS(1863),
    [anon_sym_sleep] = ACTIONS(1863),
    [anon_sym_sqrt] = ACTIONS(1863),
    [anon_sym_srand] = ACTIONS(1863),
    [anon_sym_stat] = ACTIONS(1863),
    [anon_sym_study] = ACTIONS(1863),
    [anon_sym_tell] = ACTIONS(1863),
    [anon_sym_telldir] = ACTIONS(1863),
    [anon_sym_tied] = ACTIONS(1863),
    [anon_sym_uc] = ACTIONS(1863),
    [anon_sym_ucfirst] = ACTIONS(1863),
    [anon_sym_untie] = ACTIONS(1863),
    [anon_sym_umask] = ACTIONS(1863),
    [anon_sym_values] = ACTIONS(1863),
    [anon_sym_write] = ACTIONS(1863),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1863),
    [anon_sym___END__] = ACTIONS(1863),
    [anon_sym_EOT] = ACTIONS(1863),
    [anon_sym_q] = ACTIONS(1863),
    [anon_sym_qq] = ACTIONS(1863),
    [anon_sym_qw] = ACTIONS(1863),
    [anon_sym_qx] = ACTIONS(1863),
    [anon_sym_qr] = ACTIONS(1863),
    [anon_sym_m] = ACTIONS(1863),
    [anon_sym_s] = ACTIONS(1863),
    [anon_sym_tr] = ACTIONS(1863),
    [anon_sym_y] = ACTIONS(1863),
    [aux_sym__bareword_token1] = ACTIONS(1863),
    [sym_number] = ACTIONS(1863),
    [anon_sym_true] = ACTIONS(1863),
    [anon_sym_false] = ACTIONS(1863),
    [sym__single_quote] = ACTIONS(1865),
    [sym__double_quote] = ACTIONS(1865),
    [sym__backtick_quote] = ACTIONS(1865),
    [sym__search_slash_quote] = ACTIONS(1865),
    [sym__no_search_slash_plz] = ACTIONS(1865),
    [sym__open_readline_bracket] = ACTIONS(1865),
    [sym__open_fileglob_bracket] = ACTIONS(1865),
    [sym__PERLY_SEMICOLON] = ACTIONS(1865),
    [sym__PERLY_HEREDOC] = ACTIONS(1865),
    [sym__ctrl_z_hack] = ACTIONS(1865),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1865),
    [sym__filetest] = ACTIONS(1865),
  },
  [773] = {
    [sym_heredoc_content] = STATE(773),
    [sym__identifier] = ACTIONS(1824),
    [anon_sym_LBRACE] = ACTIONS(1824),
    [anon_sym_SEMI] = ACTIONS(1824),
    [anon_sym_DOLLAR] = ACTIONS(1824),
    [anon_sym_EQ] = ACTIONS(1824),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1824),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1824),
    [anon_sym_AT] = ACTIONS(1824),
    [anon_sym_COMMA] = ACTIONS(1824),
    [anon_sym_my] = ACTIONS(1824),
    [anon_sym_extended] = ACTIONS(1824),
    [anon_sym_async] = ACTIONS(1824),
    [anon_sym_sub] = ACTIONS(1824),
    [anon_sym_method] = ACTIONS(1824),
    [anon_sym_LPAREN] = ACTIONS(1824),
    [anon_sym_continue] = ACTIONS(1824),
    [anon_sym_state] = ACTIONS(1824),
    [anon_sym_our] = ACTIONS(1824),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1824),
    [anon_sym_and] = ACTIONS(1824),
    [anon_sym_or] = ACTIONS(1824),
    [anon_sym_xor] = ACTIONS(1824),
    [anon_sym_LBRACK] = ACTIONS(1824),
    [anon_sym_DASH_GT] = ACTIONS(1824),
    [anon_sym_PERCENT] = ACTIONS(1824),
    [anon_sym_GT] = ACTIONS(1824),
    [anon_sym_LT_LT] = ACTIONS(1824),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1824),
    [anon_sym_PLUS_EQ] = ACTIONS(1824),
    [anon_sym_DASH_EQ] = ACTIONS(1824),
    [anon_sym_DOT_EQ] = ACTIONS(1824),
    [anon_sym_STAR_EQ] = ACTIONS(1824),
    [anon_sym_SLASH_EQ] = ACTIONS(1824),
    [anon_sym_PERCENT_EQ] = ACTIONS(1824),
    [anon_sym_x_EQ] = ACTIONS(1824),
    [anon_sym_AMP_EQ] = ACTIONS(1824),
    [anon_sym_PIPE_EQ] = ACTIONS(1824),
    [anon_sym_CARET_EQ] = ACTIONS(1824),
    [anon_sym_LT_LT_EQ] = ACTIONS(1824),
    [anon_sym_GT_GT_EQ] = ACTIONS(1824),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1824),
    [anon_sym_DOT_DOT] = ACTIONS(1824),
    [anon_sym_STAR_STAR] = ACTIONS(1824),
    [anon_sym_PIPE_PIPE] = ACTIONS(1824),
    [anon_sym_SLASH_SLASH] = ACTIONS(1824),
    [anon_sym_CARET_CARET] = ACTIONS(1824),
    [anon_sym_AMP_AMP] = ACTIONS(1824),
    [anon_sym_PIPE] = ACTIONS(1824),
    [anon_sym_CARET] = ACTIONS(1824),
    [anon_sym_AMP] = ACTIONS(1824),
    [anon_sym_GT_GT2] = ACTIONS(1824),
    [anon_sym_PLUS] = ACTIONS(1824),
    [anon_sym_DASH] = ACTIONS(1824),
    [anon_sym_DOT] = ACTIONS(1824),
    [anon_sym_STAR] = ACTIONS(1824),
    [anon_sym_SLASH] = ACTIONS(1824),
    [anon_sym_x] = ACTIONS(1824),
    [anon_sym_EQ_TILDE] = ACTIONS(1824),
    [anon_sym_BANG_TILDE] = ACTIONS(1824),
    [anon_sym_EQ_EQ] = ACTIONS(1824),
    [anon_sym_BANG_EQ] = ACTIONS(1824),
    [anon_sym_eq] = ACTIONS(1824),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1824),
    [anon_sym_equ] = ACTIONS(1824),
    [anon_sym_eqr] = ACTIONS(1824),
    [anon_sym_ne] = ACTIONS(1824),
    [anon_sym_LT_EQ_GT] = ACTIONS(1824),
    [anon_sym_cmp] = ACTIONS(1824),
    [anon_sym_TILDE_TILDE] = ACTIONS(1824),
    [anon_sym_LT] = ACTIONS(1824),
    [anon_sym_LT_EQ] = ACTIONS(1824),
    [anon_sym_GT_EQ] = ACTIONS(1824),
    [anon_sym_lt] = ACTIONS(1824),
    [anon_sym_le] = ACTIONS(1824),
    [anon_sym_ge] = ACTIONS(1824),
    [anon_sym_gt] = ACTIONS(1824),
    [anon_sym_isa] = ACTIONS(1824),
    [anon_sym_TILDE] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1824),
    [anon_sym_PLUS_PLUS] = ACTIONS(1824),
    [anon_sym_DASH_DASH] = ACTIONS(1824),
    [anon_sym_QMARK] = ACTIONS(1824),
    [anon_sym_BSLASH] = ACTIONS(1826),
    [anon_sym_do] = ACTIONS(1824),
    [anon_sym_eval] = ACTIONS(1824),
    [anon_sym_await] = ACTIONS(1824),
    [anon_sym_field] = ACTIONS(1824),
    [anon_sym_local] = ACTIONS(1824),
    [anon_sym_dynamically] = ACTIONS(1824),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1824),
    [anon_sym_require] = ACTIONS(1824),
    [anon_sym_map] = ACTIONS(1824),
    [anon_sym_grep] = ACTIONS(1824),
    [anon_sym_sort] = ACTIONS(1824),
    [anon_sym_goto] = ACTIONS(1824),
    [anon_sym_return] = ACTIONS(1824),
    [anon_sym_undef] = ACTIONS(1824),
    [anon_sym_PERCENT2] = ACTIONS(1824),
    [anon_sym_AMP2] = ACTIONS(1824),
    [anon_sym_STAR2] = ACTIONS(1824),
    [anon_sym_EQ_GT] = ACTIONS(1824),
    [anon_sym_last] = ACTIONS(1824),
    [anon_sym_next] = ACTIONS(1824),
    [anon_sym_redo] = ACTIONS(1824),
    [anon_sym___FILE__] = ACTIONS(1824),
    [anon_sym___LINE__] = ACTIONS(1824),
    [anon_sym___PACKAGE__] = ACTIONS(1824),
    [anon_sym___SUB__] = ACTIONS(1824),
    [anon_sym_break] = ACTIONS(1824),
    [anon_sym_fork] = ACTIONS(1824),
    [anon_sym_getppid] = ACTIONS(1824),
    [anon_sym_time] = ACTIONS(1824),
    [anon_sym_times] = ACTIONS(1824),
    [anon_sym_wait] = ACTIONS(1824),
    [anon_sym_wantarray] = ACTIONS(1824),
    [anon_sym_abs] = ACTIONS(1824),
    [anon_sym_alarm] = ACTIONS(1824),
    [anon_sym_chop] = ACTIONS(1824),
    [anon_sym_chdir] = ACTIONS(1824),
    [anon_sym_close] = ACTIONS(1824),
    [anon_sym_closedir] = ACTIONS(1824),
    [anon_sym_caller] = ACTIONS(1824),
    [anon_sym_chomp] = ACTIONS(1824),
    [anon_sym_chr] = ACTIONS(1824),
    [anon_sym_cos] = ACTIONS(1824),
    [anon_sym_chroot] = ACTIONS(1824),
    [anon_sym_defined] = ACTIONS(1824),
    [anon_sym_delete] = ACTIONS(1824),
    [anon_sym_dbmclose] = ACTIONS(1824),
    [anon_sym_exists] = ACTIONS(1824),
    [anon_sym_exit] = ACTIONS(1824),
    [anon_sym_eof] = ACTIONS(1824),
    [anon_sym_exp] = ACTIONS(1824),
    [anon_sym_each] = ACTIONS(1824),
    [anon_sym_fc] = ACTIONS(1824),
    [anon_sym_fileno] = ACTIONS(1824),
    [anon_sym_gmtime] = ACTIONS(1824),
    [anon_sym_getc] = ACTIONS(1824),
    [anon_sym_getpgrp] = ACTIONS(1824),
    [anon_sym_getprotobyname] = ACTIONS(1824),
    [anon_sym_getpwname] = ACTIONS(1824),
    [anon_sym_getpwuid] = ACTIONS(1824),
    [anon_sym_getpeername] = ACTIONS(1824),
    [anon_sym_getnetbyname] = ACTIONS(1824),
    [anon_sym_getsockname] = ACTIONS(1824),
    [anon_sym_getgrnam] = ACTIONS(1824),
    [anon_sym_getgrgid] = ACTIONS(1824),
    [anon_sym_hex] = ACTIONS(1824),
    [anon_sym_int] = ACTIONS(1824),
    [anon_sym_keys] = ACTIONS(1824),
    [anon_sym_lc] = ACTIONS(1824),
    [anon_sym_lcfirst] = ACTIONS(1824),
    [anon_sym_length] = ACTIONS(1824),
    [anon_sym_localtime] = ACTIONS(1824),
    [anon_sym_log] = ACTIONS(1824),
    [anon_sym_lock] = ACTIONS(1824),
    [anon_sym_lstat] = ACTIONS(1824),
    [anon_sym_oct] = ACTIONS(1824),
    [anon_sym_ord] = ACTIONS(1824),
    [anon_sym_prototype] = ACTIONS(1824),
    [anon_sym_pop] = ACTIONS(1824),
    [anon_sym_pos] = ACTIONS(1824),
    [anon_sym_quotemeta] = ACTIONS(1824),
    [anon_sym_reset] = ACTIONS(1824),
    [anon_sym_rand] = ACTIONS(1824),
    [anon_sym_rmdir] = ACTIONS(1824),
    [anon_sym_readdir] = ACTIONS(1824),
    [anon_sym_readline] = ACTIONS(1824),
    [anon_sym_readpipe] = ACTIONS(1824),
    [anon_sym_rewinddir] = ACTIONS(1824),
    [anon_sym_readlink] = ACTIONS(1824),
    [anon_sym_ref] = ACTIONS(1824),
    [anon_sym_scalar] = ACTIONS(1824),
    [anon_sym_shift] = ACTIONS(1824),
    [anon_sym_sin] = ACTIONS(1824),
    [anon_sym_sleep] = ACTIONS(1824),
    [anon_sym_sqrt] = ACTIONS(1824),
    [anon_sym_srand] = ACTIONS(1824),
    [anon_sym_stat] = ACTIONS(1824),
    [anon_sym_study] = ACTIONS(1824),
    [anon_sym_tell] = ACTIONS(1824),
    [anon_sym_telldir] = ACTIONS(1824),
    [anon_sym_tied] = ACTIONS(1824),
    [anon_sym_uc] = ACTIONS(1824),
    [anon_sym_ucfirst] = ACTIONS(1824),
    [anon_sym_untie] = ACTIONS(1824),
    [anon_sym_umask] = ACTIONS(1824),
    [anon_sym_values] = ACTIONS(1824),
    [anon_sym_write] = ACTIONS(1824),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1824),
    [anon_sym___END__] = ACTIONS(1824),
    [anon_sym_EOT] = ACTIONS(1824),
    [anon_sym_q] = ACTIONS(1824),
    [anon_sym_qq] = ACTIONS(1824),
    [anon_sym_qw] = ACTIONS(1824),
    [anon_sym_qx] = ACTIONS(1824),
    [anon_sym_qr] = ACTIONS(1824),
    [anon_sym_m] = ACTIONS(1824),
    [anon_sym_s] = ACTIONS(1824),
    [anon_sym_tr] = ACTIONS(1824),
    [anon_sym_y] = ACTIONS(1824),
    [aux_sym__bareword_token1] = ACTIONS(1824),
    [sym_number] = ACTIONS(1824),
    [anon_sym_true] = ACTIONS(1824),
    [anon_sym_false] = ACTIONS(1824),
    [sym__single_quote] = ACTIONS(1826),
    [sym__double_quote] = ACTIONS(1826),
    [sym__backtick_quote] = ACTIONS(1826),
    [sym__search_slash_quote] = ACTIONS(1826),
    [sym__no_search_slash_plz] = ACTIONS(1826),
    [sym__open_readline_bracket] = ACTIONS(1826),
    [sym__open_fileglob_bracket] = ACTIONS(1826),
    [sym__PERLY_SEMICOLON] = ACTIONS(1826),
    [sym__PERLY_HEREDOC] = ACTIONS(1826),
    [sym__ctrl_z_hack] = ACTIONS(1826),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1826),
    [sym__filetest] = ACTIONS(1826),
  },
  [774] = {
    [sym_heredoc_content] = STATE(774),
    [sym__identifier] = ACTIONS(1661),
    [anon_sym_LBRACE] = ACTIONS(1661),
    [anon_sym_SEMI] = ACTIONS(1661),
    [anon_sym_DOLLAR] = ACTIONS(1661),
    [anon_sym_EQ] = ACTIONS(1661),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1661),
    [anon_sym_AT] = ACTIONS(1661),
    [anon_sym_COMMA] = ACTIONS(1661),
    [anon_sym_my] = ACTIONS(1661),
    [anon_sym_extended] = ACTIONS(1661),
    [anon_sym_async] = ACTIONS(1661),
    [anon_sym_sub] = ACTIONS(1661),
    [anon_sym_method] = ACTIONS(1661),
    [anon_sym_LPAREN] = ACTIONS(1661),
    [anon_sym_continue] = ACTIONS(1661),
    [anon_sym_state] = ACTIONS(1661),
    [anon_sym_our] = ACTIONS(1661),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1661),
    [anon_sym_and] = ACTIONS(1661),
    [anon_sym_or] = ACTIONS(1661),
    [anon_sym_xor] = ACTIONS(1661),
    [anon_sym_LBRACK] = ACTIONS(1661),
    [anon_sym_DASH_GT] = ACTIONS(1661),
    [anon_sym_PERCENT] = ACTIONS(1661),
    [anon_sym_GT] = ACTIONS(1661),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1661),
    [anon_sym_PLUS_EQ] = ACTIONS(1661),
    [anon_sym_DASH_EQ] = ACTIONS(1661),
    [anon_sym_DOT_EQ] = ACTIONS(1661),
    [anon_sym_STAR_EQ] = ACTIONS(1661),
    [anon_sym_SLASH_EQ] = ACTIONS(1661),
    [anon_sym_PERCENT_EQ] = ACTIONS(1661),
    [anon_sym_x_EQ] = ACTIONS(1661),
    [anon_sym_AMP_EQ] = ACTIONS(1661),
    [anon_sym_PIPE_EQ] = ACTIONS(1661),
    [anon_sym_CARET_EQ] = ACTIONS(1661),
    [anon_sym_LT_LT_EQ] = ACTIONS(1661),
    [anon_sym_GT_GT_EQ] = ACTIONS(1661),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1661),
    [anon_sym_DOT_DOT] = ACTIONS(1661),
    [anon_sym_STAR_STAR] = ACTIONS(1661),
    [anon_sym_PIPE_PIPE] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1661),
    [anon_sym_CARET_CARET] = ACTIONS(1661),
    [anon_sym_AMP_AMP] = ACTIONS(1661),
    [anon_sym_PIPE] = ACTIONS(1661),
    [anon_sym_CARET] = ACTIONS(1661),
    [anon_sym_AMP] = ACTIONS(1661),
    [anon_sym_GT_GT2] = ACTIONS(1661),
    [anon_sym_PLUS] = ACTIONS(1661),
    [anon_sym_DASH] = ACTIONS(1661),
    [anon_sym_DOT] = ACTIONS(1661),
    [anon_sym_STAR] = ACTIONS(1661),
    [anon_sym_SLASH] = ACTIONS(1661),
    [anon_sym_x] = ACTIONS(1661),
    [anon_sym_EQ_TILDE] = ACTIONS(1661),
    [anon_sym_BANG_TILDE] = ACTIONS(1661),
    [anon_sym_EQ_EQ] = ACTIONS(1661),
    [anon_sym_BANG_EQ] = ACTIONS(1661),
    [anon_sym_eq] = ACTIONS(1661),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1661),
    [anon_sym_equ] = ACTIONS(1661),
    [anon_sym_eqr] = ACTIONS(1661),
    [anon_sym_ne] = ACTIONS(1661),
    [anon_sym_LT_EQ_GT] = ACTIONS(1661),
    [anon_sym_cmp] = ACTIONS(1661),
    [anon_sym_TILDE_TILDE] = ACTIONS(1661),
    [anon_sym_LT] = ACTIONS(1661),
    [anon_sym_LT_EQ] = ACTIONS(1661),
    [anon_sym_GT_EQ] = ACTIONS(1661),
    [anon_sym_lt] = ACTIONS(1661),
    [anon_sym_le] = ACTIONS(1661),
    [anon_sym_ge] = ACTIONS(1661),
    [anon_sym_gt] = ACTIONS(1661),
    [anon_sym_isa] = ACTIONS(1661),
    [anon_sym_TILDE] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1661),
    [anon_sym_PLUS_PLUS] = ACTIONS(1661),
    [anon_sym_DASH_DASH] = ACTIONS(1661),
    [anon_sym_QMARK] = ACTIONS(1661),
    [anon_sym_BSLASH] = ACTIONS(1659),
    [anon_sym_do] = ACTIONS(1661),
    [anon_sym_eval] = ACTIONS(1661),
    [anon_sym_await] = ACTIONS(1661),
    [anon_sym_field] = ACTIONS(1661),
    [anon_sym_local] = ACTIONS(1661),
    [anon_sym_dynamically] = ACTIONS(1661),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1661),
    [anon_sym_require] = ACTIONS(1661),
    [anon_sym_map] = ACTIONS(1661),
    [anon_sym_grep] = ACTIONS(1661),
    [anon_sym_sort] = ACTIONS(1661),
    [anon_sym_goto] = ACTIONS(1661),
    [anon_sym_return] = ACTIONS(1661),
    [anon_sym_undef] = ACTIONS(1661),
    [anon_sym_PERCENT2] = ACTIONS(1661),
    [anon_sym_AMP2] = ACTIONS(1661),
    [anon_sym_STAR2] = ACTIONS(1661),
    [anon_sym_EQ_GT] = ACTIONS(1661),
    [anon_sym_last] = ACTIONS(1661),
    [anon_sym_next] = ACTIONS(1661),
    [anon_sym_redo] = ACTIONS(1661),
    [anon_sym___FILE__] = ACTIONS(1661),
    [anon_sym___LINE__] = ACTIONS(1661),
    [anon_sym___PACKAGE__] = ACTIONS(1661),
    [anon_sym___SUB__] = ACTIONS(1661),
    [anon_sym_break] = ACTIONS(1661),
    [anon_sym_fork] = ACTIONS(1661),
    [anon_sym_getppid] = ACTIONS(1661),
    [anon_sym_time] = ACTIONS(1661),
    [anon_sym_times] = ACTIONS(1661),
    [anon_sym_wait] = ACTIONS(1661),
    [anon_sym_wantarray] = ACTIONS(1661),
    [anon_sym_abs] = ACTIONS(1661),
    [anon_sym_alarm] = ACTIONS(1661),
    [anon_sym_chop] = ACTIONS(1661),
    [anon_sym_chdir] = ACTIONS(1661),
    [anon_sym_close] = ACTIONS(1661),
    [anon_sym_closedir] = ACTIONS(1661),
    [anon_sym_caller] = ACTIONS(1661),
    [anon_sym_chomp] = ACTIONS(1661),
    [anon_sym_chr] = ACTIONS(1661),
    [anon_sym_cos] = ACTIONS(1661),
    [anon_sym_chroot] = ACTIONS(1661),
    [anon_sym_defined] = ACTIONS(1661),
    [anon_sym_delete] = ACTIONS(1661),
    [anon_sym_dbmclose] = ACTIONS(1661),
    [anon_sym_exists] = ACTIONS(1661),
    [anon_sym_exit] = ACTIONS(1661),
    [anon_sym_eof] = ACTIONS(1661),
    [anon_sym_exp] = ACTIONS(1661),
    [anon_sym_each] = ACTIONS(1661),
    [anon_sym_fc] = ACTIONS(1661),
    [anon_sym_fileno] = ACTIONS(1661),
    [anon_sym_gmtime] = ACTIONS(1661),
    [anon_sym_getc] = ACTIONS(1661),
    [anon_sym_getpgrp] = ACTIONS(1661),
    [anon_sym_getprotobyname] = ACTIONS(1661),
    [anon_sym_getpwname] = ACTIONS(1661),
    [anon_sym_getpwuid] = ACTIONS(1661),
    [anon_sym_getpeername] = ACTIONS(1661),
    [anon_sym_getnetbyname] = ACTIONS(1661),
    [anon_sym_getsockname] = ACTIONS(1661),
    [anon_sym_getgrnam] = ACTIONS(1661),
    [anon_sym_getgrgid] = ACTIONS(1661),
    [anon_sym_hex] = ACTIONS(1661),
    [anon_sym_int] = ACTIONS(1661),
    [anon_sym_keys] = ACTIONS(1661),
    [anon_sym_lc] = ACTIONS(1661),
    [anon_sym_lcfirst] = ACTIONS(1661),
    [anon_sym_length] = ACTIONS(1661),
    [anon_sym_localtime] = ACTIONS(1661),
    [anon_sym_log] = ACTIONS(1661),
    [anon_sym_lock] = ACTIONS(1661),
    [anon_sym_lstat] = ACTIONS(1661),
    [anon_sym_oct] = ACTIONS(1661),
    [anon_sym_ord] = ACTIONS(1661),
    [anon_sym_prototype] = ACTIONS(1661),
    [anon_sym_pop] = ACTIONS(1661),
    [anon_sym_pos] = ACTIONS(1661),
    [anon_sym_quotemeta] = ACTIONS(1661),
    [anon_sym_reset] = ACTIONS(1661),
    [anon_sym_rand] = ACTIONS(1661),
    [anon_sym_rmdir] = ACTIONS(1661),
    [anon_sym_readdir] = ACTIONS(1661),
    [anon_sym_readline] = ACTIONS(1661),
    [anon_sym_readpipe] = ACTIONS(1661),
    [anon_sym_rewinddir] = ACTIONS(1661),
    [anon_sym_readlink] = ACTIONS(1661),
    [anon_sym_ref] = ACTIONS(1661),
    [anon_sym_scalar] = ACTIONS(1661),
    [anon_sym_shift] = ACTIONS(1661),
    [anon_sym_sin] = ACTIONS(1661),
    [anon_sym_sleep] = ACTIONS(1661),
    [anon_sym_sqrt] = ACTIONS(1661),
    [anon_sym_srand] = ACTIONS(1661),
    [anon_sym_stat] = ACTIONS(1661),
    [anon_sym_study] = ACTIONS(1661),
    [anon_sym_tell] = ACTIONS(1661),
    [anon_sym_telldir] = ACTIONS(1661),
    [anon_sym_tied] = ACTIONS(1661),
    [anon_sym_uc] = ACTIONS(1661),
    [anon_sym_ucfirst] = ACTIONS(1661),
    [anon_sym_untie] = ACTIONS(1661),
    [anon_sym_umask] = ACTIONS(1661),
    [anon_sym_values] = ACTIONS(1661),
    [anon_sym_write] = ACTIONS(1661),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1661),
    [anon_sym___END__] = ACTIONS(1661),
    [anon_sym_EOT] = ACTIONS(1661),
    [anon_sym_q] = ACTIONS(1661),
    [anon_sym_qq] = ACTIONS(1661),
    [anon_sym_qw] = ACTIONS(1661),
    [anon_sym_qx] = ACTIONS(1661),
    [anon_sym_qr] = ACTIONS(1661),
    [anon_sym_m] = ACTIONS(1661),
    [anon_sym_s] = ACTIONS(1661),
    [anon_sym_tr] = ACTIONS(1661),
    [anon_sym_y] = ACTIONS(1661),
    [aux_sym__bareword_token1] = ACTIONS(1661),
    [sym_number] = ACTIONS(1661),
    [anon_sym_true] = ACTIONS(1661),
    [anon_sym_false] = ACTIONS(1661),
    [sym__single_quote] = ACTIONS(1659),
    [sym__double_quote] = ACTIONS(1659),
    [sym__backtick_quote] = ACTIONS(1659),
    [sym__search_slash_quote] = ACTIONS(1659),
    [sym__no_search_slash_plz] = ACTIONS(1659),
    [sym__open_readline_bracket] = ACTIONS(1659),
    [sym__open_fileglob_bracket] = ACTIONS(1659),
    [sym__PERLY_SEMICOLON] = ACTIONS(1659),
    [sym__PERLY_HEREDOC] = ACTIONS(1659),
    [sym__ctrl_z_hack] = ACTIONS(1659),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1659),
    [sym__filetest] = ACTIONS(1659),
  },
  [775] = {
    [sym_heredoc_content] = STATE(775),
    [sym__identifier] = ACTIONS(1828),
    [anon_sym_LBRACE] = ACTIONS(1828),
    [anon_sym_SEMI] = ACTIONS(1828),
    [anon_sym_DOLLAR] = ACTIONS(1828),
    [anon_sym_EQ] = ACTIONS(1828),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1828),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1828),
    [anon_sym_AT] = ACTIONS(1828),
    [anon_sym_COMMA] = ACTIONS(1828),
    [anon_sym_my] = ACTIONS(1828),
    [anon_sym_extended] = ACTIONS(1828),
    [anon_sym_async] = ACTIONS(1828),
    [anon_sym_sub] = ACTIONS(1828),
    [anon_sym_method] = ACTIONS(1828),
    [anon_sym_LPAREN] = ACTIONS(1828),
    [anon_sym_continue] = ACTIONS(1828),
    [anon_sym_state] = ACTIONS(1828),
    [anon_sym_our] = ACTIONS(1828),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1828),
    [anon_sym_and] = ACTIONS(1828),
    [anon_sym_or] = ACTIONS(1828),
    [anon_sym_xor] = ACTIONS(1828),
    [anon_sym_LBRACK] = ACTIONS(1828),
    [anon_sym_DASH_GT] = ACTIONS(1828),
    [anon_sym_PERCENT] = ACTIONS(1828),
    [anon_sym_GT] = ACTIONS(1828),
    [anon_sym_LT_LT] = ACTIONS(1828),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1828),
    [anon_sym_PLUS_EQ] = ACTIONS(1828),
    [anon_sym_DASH_EQ] = ACTIONS(1828),
    [anon_sym_DOT_EQ] = ACTIONS(1828),
    [anon_sym_STAR_EQ] = ACTIONS(1828),
    [anon_sym_SLASH_EQ] = ACTIONS(1828),
    [anon_sym_PERCENT_EQ] = ACTIONS(1828),
    [anon_sym_x_EQ] = ACTIONS(1828),
    [anon_sym_AMP_EQ] = ACTIONS(1828),
    [anon_sym_PIPE_EQ] = ACTIONS(1828),
    [anon_sym_CARET_EQ] = ACTIONS(1828),
    [anon_sym_LT_LT_EQ] = ACTIONS(1828),
    [anon_sym_GT_GT_EQ] = ACTIONS(1828),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1828),
    [anon_sym_DOT_DOT] = ACTIONS(1828),
    [anon_sym_STAR_STAR] = ACTIONS(1828),
    [anon_sym_PIPE_PIPE] = ACTIONS(1828),
    [anon_sym_SLASH_SLASH] = ACTIONS(1828),
    [anon_sym_CARET_CARET] = ACTIONS(1828),
    [anon_sym_AMP_AMP] = ACTIONS(1828),
    [anon_sym_PIPE] = ACTIONS(1828),
    [anon_sym_CARET] = ACTIONS(1828),
    [anon_sym_AMP] = ACTIONS(1828),
    [anon_sym_GT_GT2] = ACTIONS(1828),
    [anon_sym_PLUS] = ACTIONS(1828),
    [anon_sym_DASH] = ACTIONS(1828),
    [anon_sym_DOT] = ACTIONS(1828),
    [anon_sym_STAR] = ACTIONS(1828),
    [anon_sym_SLASH] = ACTIONS(1828),
    [anon_sym_x] = ACTIONS(1828),
    [anon_sym_EQ_TILDE] = ACTIONS(1828),
    [anon_sym_BANG_TILDE] = ACTIONS(1828),
    [anon_sym_EQ_EQ] = ACTIONS(1828),
    [anon_sym_BANG_EQ] = ACTIONS(1828),
    [anon_sym_eq] = ACTIONS(1828),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1828),
    [anon_sym_equ] = ACTIONS(1828),
    [anon_sym_eqr] = ACTIONS(1828),
    [anon_sym_ne] = ACTIONS(1828),
    [anon_sym_LT_EQ_GT] = ACTIONS(1828),
    [anon_sym_cmp] = ACTIONS(1828),
    [anon_sym_TILDE_TILDE] = ACTIONS(1828),
    [anon_sym_LT] = ACTIONS(1828),
    [anon_sym_LT_EQ] = ACTIONS(1828),
    [anon_sym_GT_EQ] = ACTIONS(1828),
    [anon_sym_lt] = ACTIONS(1828),
    [anon_sym_le] = ACTIONS(1828),
    [anon_sym_ge] = ACTIONS(1828),
    [anon_sym_gt] = ACTIONS(1828),
    [anon_sym_isa] = ACTIONS(1828),
    [anon_sym_TILDE] = ACTIONS(1828),
    [anon_sym_BANG] = ACTIONS(1828),
    [anon_sym_PLUS_PLUS] = ACTIONS(1828),
    [anon_sym_DASH_DASH] = ACTIONS(1828),
    [anon_sym_QMARK] = ACTIONS(1828),
    [anon_sym_BSLASH] = ACTIONS(1832),
    [anon_sym_do] = ACTIONS(1828),
    [anon_sym_eval] = ACTIONS(1828),
    [anon_sym_await] = ACTIONS(1828),
    [anon_sym_field] = ACTIONS(1828),
    [anon_sym_local] = ACTIONS(1828),
    [anon_sym_dynamically] = ACTIONS(1828),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1828),
    [anon_sym_require] = ACTIONS(1828),
    [anon_sym_map] = ACTIONS(1828),
    [anon_sym_grep] = ACTIONS(1828),
    [anon_sym_sort] = ACTIONS(1828),
    [anon_sym_goto] = ACTIONS(1828),
    [anon_sym_return] = ACTIONS(1828),
    [anon_sym_undef] = ACTIONS(1828),
    [anon_sym_PERCENT2] = ACTIONS(1828),
    [anon_sym_AMP2] = ACTIONS(1828),
    [anon_sym_STAR2] = ACTIONS(1828),
    [anon_sym_EQ_GT] = ACTIONS(1828),
    [anon_sym_last] = ACTIONS(1828),
    [anon_sym_next] = ACTIONS(1828),
    [anon_sym_redo] = ACTIONS(1828),
    [anon_sym___FILE__] = ACTIONS(1828),
    [anon_sym___LINE__] = ACTIONS(1828),
    [anon_sym___PACKAGE__] = ACTIONS(1828),
    [anon_sym___SUB__] = ACTIONS(1828),
    [anon_sym_break] = ACTIONS(1828),
    [anon_sym_fork] = ACTIONS(1828),
    [anon_sym_getppid] = ACTIONS(1828),
    [anon_sym_time] = ACTIONS(1828),
    [anon_sym_times] = ACTIONS(1828),
    [anon_sym_wait] = ACTIONS(1828),
    [anon_sym_wantarray] = ACTIONS(1828),
    [anon_sym_abs] = ACTIONS(1828),
    [anon_sym_alarm] = ACTIONS(1828),
    [anon_sym_chop] = ACTIONS(1828),
    [anon_sym_chdir] = ACTIONS(1828),
    [anon_sym_close] = ACTIONS(1828),
    [anon_sym_closedir] = ACTIONS(1828),
    [anon_sym_caller] = ACTIONS(1828),
    [anon_sym_chomp] = ACTIONS(1828),
    [anon_sym_chr] = ACTIONS(1828),
    [anon_sym_cos] = ACTIONS(1828),
    [anon_sym_chroot] = ACTIONS(1828),
    [anon_sym_defined] = ACTIONS(1828),
    [anon_sym_delete] = ACTIONS(1828),
    [anon_sym_dbmclose] = ACTIONS(1828),
    [anon_sym_exists] = ACTIONS(1828),
    [anon_sym_exit] = ACTIONS(1828),
    [anon_sym_eof] = ACTIONS(1828),
    [anon_sym_exp] = ACTIONS(1828),
    [anon_sym_each] = ACTIONS(1828),
    [anon_sym_fc] = ACTIONS(1828),
    [anon_sym_fileno] = ACTIONS(1828),
    [anon_sym_gmtime] = ACTIONS(1828),
    [anon_sym_getc] = ACTIONS(1828),
    [anon_sym_getpgrp] = ACTIONS(1828),
    [anon_sym_getprotobyname] = ACTIONS(1828),
    [anon_sym_getpwname] = ACTIONS(1828),
    [anon_sym_getpwuid] = ACTIONS(1828),
    [anon_sym_getpeername] = ACTIONS(1828),
    [anon_sym_getnetbyname] = ACTIONS(1828),
    [anon_sym_getsockname] = ACTIONS(1828),
    [anon_sym_getgrnam] = ACTIONS(1828),
    [anon_sym_getgrgid] = ACTIONS(1828),
    [anon_sym_hex] = ACTIONS(1828),
    [anon_sym_int] = ACTIONS(1828),
    [anon_sym_keys] = ACTIONS(1828),
    [anon_sym_lc] = ACTIONS(1828),
    [anon_sym_lcfirst] = ACTIONS(1828),
    [anon_sym_length] = ACTIONS(1828),
    [anon_sym_localtime] = ACTIONS(1828),
    [anon_sym_log] = ACTIONS(1828),
    [anon_sym_lock] = ACTIONS(1828),
    [anon_sym_lstat] = ACTIONS(1828),
    [anon_sym_oct] = ACTIONS(1828),
    [anon_sym_ord] = ACTIONS(1828),
    [anon_sym_prototype] = ACTIONS(1828),
    [anon_sym_pop] = ACTIONS(1828),
    [anon_sym_pos] = ACTIONS(1828),
    [anon_sym_quotemeta] = ACTIONS(1828),
    [anon_sym_reset] = ACTIONS(1828),
    [anon_sym_rand] = ACTIONS(1828),
    [anon_sym_rmdir] = ACTIONS(1828),
    [anon_sym_readdir] = ACTIONS(1828),
    [anon_sym_readline] = ACTIONS(1828),
    [anon_sym_readpipe] = ACTIONS(1828),
    [anon_sym_rewinddir] = ACTIONS(1828),
    [anon_sym_readlink] = ACTIONS(1828),
    [anon_sym_ref] = ACTIONS(1828),
    [anon_sym_scalar] = ACTIONS(1828),
    [anon_sym_shift] = ACTIONS(1828),
    [anon_sym_sin] = ACTIONS(1828),
    [anon_sym_sleep] = ACTIONS(1828),
    [anon_sym_sqrt] = ACTIONS(1828),
    [anon_sym_srand] = ACTIONS(1828),
    [anon_sym_stat] = ACTIONS(1828),
    [anon_sym_study] = ACTIONS(1828),
    [anon_sym_tell] = ACTIONS(1828),
    [anon_sym_telldir] = ACTIONS(1828),
    [anon_sym_tied] = ACTIONS(1828),
    [anon_sym_uc] = ACTIONS(1828),
    [anon_sym_ucfirst] = ACTIONS(1828),
    [anon_sym_untie] = ACTIONS(1828),
    [anon_sym_umask] = ACTIONS(1828),
    [anon_sym_values] = ACTIONS(1828),
    [anon_sym_write] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1828),
    [anon_sym___END__] = ACTIONS(1828),
    [anon_sym_EOT] = ACTIONS(1828),
    [anon_sym_q] = ACTIONS(1828),
    [anon_sym_qq] = ACTIONS(1828),
    [anon_sym_qw] = ACTIONS(1828),
    [anon_sym_qx] = ACTIONS(1828),
    [anon_sym_qr] = ACTIONS(1828),
    [anon_sym_m] = ACTIONS(1828),
    [anon_sym_s] = ACTIONS(1828),
    [anon_sym_tr] = ACTIONS(1828),
    [anon_sym_y] = ACTIONS(1828),
    [aux_sym__bareword_token1] = ACTIONS(1828),
    [sym_number] = ACTIONS(1828),
    [anon_sym_true] = ACTIONS(1828),
    [anon_sym_false] = ACTIONS(1828),
    [sym__single_quote] = ACTIONS(1832),
    [sym__double_quote] = ACTIONS(1832),
    [sym__backtick_quote] = ACTIONS(1832),
    [sym__search_slash_quote] = ACTIONS(1832),
    [sym__no_search_slash_plz] = ACTIONS(1832),
    [sym__open_readline_bracket] = ACTIONS(1832),
    [sym__open_fileglob_bracket] = ACTIONS(1832),
    [sym__PERLY_SEMICOLON] = ACTIONS(1832),
    [sym__PERLY_HEREDOC] = ACTIONS(1832),
    [sym__ctrl_z_hack] = ACTIONS(1832),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1832),
    [sym__filetest] = ACTIONS(1832),
  },
  [776] = {
    [sym_heredoc_content] = STATE(776),
    [sym__identifier] = ACTIONS(1855),
    [anon_sym_LBRACE] = ACTIONS(1855),
    [anon_sym_SEMI] = ACTIONS(1855),
    [anon_sym_DOLLAR] = ACTIONS(1855),
    [anon_sym_EQ] = ACTIONS(1855),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1855),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1855),
    [anon_sym_AT] = ACTIONS(1855),
    [anon_sym_COMMA] = ACTIONS(1855),
    [anon_sym_my] = ACTIONS(1855),
    [anon_sym_extended] = ACTIONS(1855),
    [anon_sym_async] = ACTIONS(1855),
    [anon_sym_sub] = ACTIONS(1855),
    [anon_sym_method] = ACTIONS(1855),
    [anon_sym_LPAREN] = ACTIONS(1855),
    [anon_sym_continue] = ACTIONS(1855),
    [anon_sym_state] = ACTIONS(1855),
    [anon_sym_our] = ACTIONS(1855),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1855),
    [anon_sym_and] = ACTIONS(1855),
    [anon_sym_or] = ACTIONS(1855),
    [anon_sym_xor] = ACTIONS(1855),
    [anon_sym_LBRACK] = ACTIONS(1855),
    [anon_sym_DASH_GT] = ACTIONS(1855),
    [anon_sym_PERCENT] = ACTIONS(1855),
    [anon_sym_GT] = ACTIONS(1855),
    [anon_sym_LT_LT] = ACTIONS(1855),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1855),
    [anon_sym_PLUS_EQ] = ACTIONS(1855),
    [anon_sym_DASH_EQ] = ACTIONS(1855),
    [anon_sym_DOT_EQ] = ACTIONS(1855),
    [anon_sym_STAR_EQ] = ACTIONS(1855),
    [anon_sym_SLASH_EQ] = ACTIONS(1855),
    [anon_sym_PERCENT_EQ] = ACTIONS(1855),
    [anon_sym_x_EQ] = ACTIONS(1855),
    [anon_sym_AMP_EQ] = ACTIONS(1855),
    [anon_sym_PIPE_EQ] = ACTIONS(1855),
    [anon_sym_CARET_EQ] = ACTIONS(1855),
    [anon_sym_LT_LT_EQ] = ACTIONS(1855),
    [anon_sym_GT_GT_EQ] = ACTIONS(1855),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1855),
    [anon_sym_DOT_DOT] = ACTIONS(1855),
    [anon_sym_STAR_STAR] = ACTIONS(1855),
    [anon_sym_PIPE_PIPE] = ACTIONS(1855),
    [anon_sym_SLASH_SLASH] = ACTIONS(1855),
    [anon_sym_CARET_CARET] = ACTIONS(1855),
    [anon_sym_AMP_AMP] = ACTIONS(1855),
    [anon_sym_PIPE] = ACTIONS(1855),
    [anon_sym_CARET] = ACTIONS(1855),
    [anon_sym_AMP] = ACTIONS(1855),
    [anon_sym_GT_GT2] = ACTIONS(1855),
    [anon_sym_PLUS] = ACTIONS(1855),
    [anon_sym_DASH] = ACTIONS(1855),
    [anon_sym_DOT] = ACTIONS(1855),
    [anon_sym_STAR] = ACTIONS(1855),
    [anon_sym_SLASH] = ACTIONS(1855),
    [anon_sym_x] = ACTIONS(1855),
    [anon_sym_EQ_TILDE] = ACTIONS(1855),
    [anon_sym_BANG_TILDE] = ACTIONS(1855),
    [anon_sym_EQ_EQ] = ACTIONS(1855),
    [anon_sym_BANG_EQ] = ACTIONS(1855),
    [anon_sym_eq] = ACTIONS(1855),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1855),
    [anon_sym_equ] = ACTIONS(1855),
    [anon_sym_eqr] = ACTIONS(1855),
    [anon_sym_ne] = ACTIONS(1855),
    [anon_sym_LT_EQ_GT] = ACTIONS(1855),
    [anon_sym_cmp] = ACTIONS(1855),
    [anon_sym_TILDE_TILDE] = ACTIONS(1855),
    [anon_sym_LT] = ACTIONS(1855),
    [anon_sym_LT_EQ] = ACTIONS(1855),
    [anon_sym_GT_EQ] = ACTIONS(1855),
    [anon_sym_lt] = ACTIONS(1855),
    [anon_sym_le] = ACTIONS(1855),
    [anon_sym_ge] = ACTIONS(1855),
    [anon_sym_gt] = ACTIONS(1855),
    [anon_sym_isa] = ACTIONS(1855),
    [anon_sym_TILDE] = ACTIONS(1855),
    [anon_sym_BANG] = ACTIONS(1855),
    [anon_sym_PLUS_PLUS] = ACTIONS(1855),
    [anon_sym_DASH_DASH] = ACTIONS(1855),
    [anon_sym_QMARK] = ACTIONS(1855),
    [anon_sym_BSLASH] = ACTIONS(1857),
    [anon_sym_do] = ACTIONS(1855),
    [anon_sym_eval] = ACTIONS(1855),
    [anon_sym_await] = ACTIONS(1855),
    [anon_sym_field] = ACTIONS(1855),
    [anon_sym_local] = ACTIONS(1855),
    [anon_sym_dynamically] = ACTIONS(1855),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1855),
    [anon_sym_require] = ACTIONS(1855),
    [anon_sym_map] = ACTIONS(1855),
    [anon_sym_grep] = ACTIONS(1855),
    [anon_sym_sort] = ACTIONS(1855),
    [anon_sym_goto] = ACTIONS(1855),
    [anon_sym_return] = ACTIONS(1855),
    [anon_sym_undef] = ACTIONS(1855),
    [anon_sym_PERCENT2] = ACTIONS(1855),
    [anon_sym_AMP2] = ACTIONS(1855),
    [anon_sym_STAR2] = ACTIONS(1855),
    [anon_sym_EQ_GT] = ACTIONS(1855),
    [anon_sym_last] = ACTIONS(1855),
    [anon_sym_next] = ACTIONS(1855),
    [anon_sym_redo] = ACTIONS(1855),
    [anon_sym___FILE__] = ACTIONS(1855),
    [anon_sym___LINE__] = ACTIONS(1855),
    [anon_sym___PACKAGE__] = ACTIONS(1855),
    [anon_sym___SUB__] = ACTIONS(1855),
    [anon_sym_break] = ACTIONS(1855),
    [anon_sym_fork] = ACTIONS(1855),
    [anon_sym_getppid] = ACTIONS(1855),
    [anon_sym_time] = ACTIONS(1855),
    [anon_sym_times] = ACTIONS(1855),
    [anon_sym_wait] = ACTIONS(1855),
    [anon_sym_wantarray] = ACTIONS(1855),
    [anon_sym_abs] = ACTIONS(1855),
    [anon_sym_alarm] = ACTIONS(1855),
    [anon_sym_chop] = ACTIONS(1855),
    [anon_sym_chdir] = ACTIONS(1855),
    [anon_sym_close] = ACTIONS(1855),
    [anon_sym_closedir] = ACTIONS(1855),
    [anon_sym_caller] = ACTIONS(1855),
    [anon_sym_chomp] = ACTIONS(1855),
    [anon_sym_chr] = ACTIONS(1855),
    [anon_sym_cos] = ACTIONS(1855),
    [anon_sym_chroot] = ACTIONS(1855),
    [anon_sym_defined] = ACTIONS(1855),
    [anon_sym_delete] = ACTIONS(1855),
    [anon_sym_dbmclose] = ACTIONS(1855),
    [anon_sym_exists] = ACTIONS(1855),
    [anon_sym_exit] = ACTIONS(1855),
    [anon_sym_eof] = ACTIONS(1855),
    [anon_sym_exp] = ACTIONS(1855),
    [anon_sym_each] = ACTIONS(1855),
    [anon_sym_fc] = ACTIONS(1855),
    [anon_sym_fileno] = ACTIONS(1855),
    [anon_sym_gmtime] = ACTIONS(1855),
    [anon_sym_getc] = ACTIONS(1855),
    [anon_sym_getpgrp] = ACTIONS(1855),
    [anon_sym_getprotobyname] = ACTIONS(1855),
    [anon_sym_getpwname] = ACTIONS(1855),
    [anon_sym_getpwuid] = ACTIONS(1855),
    [anon_sym_getpeername] = ACTIONS(1855),
    [anon_sym_getnetbyname] = ACTIONS(1855),
    [anon_sym_getsockname] = ACTIONS(1855),
    [anon_sym_getgrnam] = ACTIONS(1855),
    [anon_sym_getgrgid] = ACTIONS(1855),
    [anon_sym_hex] = ACTIONS(1855),
    [anon_sym_int] = ACTIONS(1855),
    [anon_sym_keys] = ACTIONS(1855),
    [anon_sym_lc] = ACTIONS(1855),
    [anon_sym_lcfirst] = ACTIONS(1855),
    [anon_sym_length] = ACTIONS(1855),
    [anon_sym_localtime] = ACTIONS(1855),
    [anon_sym_log] = ACTIONS(1855),
    [anon_sym_lock] = ACTIONS(1855),
    [anon_sym_lstat] = ACTIONS(1855),
    [anon_sym_oct] = ACTIONS(1855),
    [anon_sym_ord] = ACTIONS(1855),
    [anon_sym_prototype] = ACTIONS(1855),
    [anon_sym_pop] = ACTIONS(1855),
    [anon_sym_pos] = ACTIONS(1855),
    [anon_sym_quotemeta] = ACTIONS(1855),
    [anon_sym_reset] = ACTIONS(1855),
    [anon_sym_rand] = ACTIONS(1855),
    [anon_sym_rmdir] = ACTIONS(1855),
    [anon_sym_readdir] = ACTIONS(1855),
    [anon_sym_readline] = ACTIONS(1855),
    [anon_sym_readpipe] = ACTIONS(1855),
    [anon_sym_rewinddir] = ACTIONS(1855),
    [anon_sym_readlink] = ACTIONS(1855),
    [anon_sym_ref] = ACTIONS(1855),
    [anon_sym_scalar] = ACTIONS(1855),
    [anon_sym_shift] = ACTIONS(1855),
    [anon_sym_sin] = ACTIONS(1855),
    [anon_sym_sleep] = ACTIONS(1855),
    [anon_sym_sqrt] = ACTIONS(1855),
    [anon_sym_srand] = ACTIONS(1855),
    [anon_sym_stat] = ACTIONS(1855),
    [anon_sym_study] = ACTIONS(1855),
    [anon_sym_tell] = ACTIONS(1855),
    [anon_sym_telldir] = ACTIONS(1855),
    [anon_sym_tied] = ACTIONS(1855),
    [anon_sym_uc] = ACTIONS(1855),
    [anon_sym_ucfirst] = ACTIONS(1855),
    [anon_sym_untie] = ACTIONS(1855),
    [anon_sym_umask] = ACTIONS(1855),
    [anon_sym_values] = ACTIONS(1855),
    [anon_sym_write] = ACTIONS(1855),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1855),
    [anon_sym___END__] = ACTIONS(1855),
    [anon_sym_EOT] = ACTIONS(1855),
    [anon_sym_q] = ACTIONS(1855),
    [anon_sym_qq] = ACTIONS(1855),
    [anon_sym_qw] = ACTIONS(1855),
    [anon_sym_qx] = ACTIONS(1855),
    [anon_sym_qr] = ACTIONS(1855),
    [anon_sym_m] = ACTIONS(1855),
    [anon_sym_s] = ACTIONS(1855),
    [anon_sym_tr] = ACTIONS(1855),
    [anon_sym_y] = ACTIONS(1855),
    [aux_sym__bareword_token1] = ACTIONS(1855),
    [sym_number] = ACTIONS(1855),
    [anon_sym_true] = ACTIONS(1855),
    [anon_sym_false] = ACTIONS(1855),
    [sym__single_quote] = ACTIONS(1857),
    [sym__double_quote] = ACTIONS(1857),
    [sym__backtick_quote] = ACTIONS(1857),
    [sym__search_slash_quote] = ACTIONS(1857),
    [sym__no_search_slash_plz] = ACTIONS(1857),
    [sym__open_readline_bracket] = ACTIONS(1857),
    [sym__open_fileglob_bracket] = ACTIONS(1857),
    [sym__PERLY_SEMICOLON] = ACTIONS(1857),
    [sym__PERLY_HEREDOC] = ACTIONS(1857),
    [sym__ctrl_z_hack] = ACTIONS(1857),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1857),
    [sym__filetest] = ACTIONS(1857),
  },
  [777] = {
    [sym_heredoc_content] = STATE(777),
    [sym__identifier] = ACTIONS(1838),
    [anon_sym_LBRACE] = ACTIONS(1838),
    [anon_sym_SEMI] = ACTIONS(1840),
    [anon_sym_DOLLAR] = ACTIONS(1838),
    [anon_sym_EQ] = ACTIONS(1840),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1840),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1840),
    [anon_sym_AT] = ACTIONS(1838),
    [anon_sym_COMMA] = ACTIONS(1840),
    [anon_sym_my] = ACTIONS(1838),
    [anon_sym_extended] = ACTIONS(1838),
    [anon_sym_async] = ACTIONS(1838),
    [anon_sym_sub] = ACTIONS(1838),
    [anon_sym_method] = ACTIONS(1838),
    [anon_sym_LPAREN] = ACTIONS(1838),
    [anon_sym_continue] = ACTIONS(1838),
    [anon_sym_state] = ACTIONS(1838),
    [anon_sym_our] = ACTIONS(1838),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1840),
    [anon_sym_and] = ACTIONS(1840),
    [anon_sym_or] = ACTIONS(1840),
    [anon_sym_xor] = ACTIONS(1840),
    [anon_sym_LBRACK] = ACTIONS(1838),
    [anon_sym_DASH_GT] = ACTIONS(1840),
    [anon_sym_PERCENT] = ACTIONS(1840),
    [anon_sym_GT] = ACTIONS(1840),
    [anon_sym_LT_LT] = ACTIONS(1842),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1840),
    [anon_sym_PLUS_EQ] = ACTIONS(1840),
    [anon_sym_DASH_EQ] = ACTIONS(1840),
    [anon_sym_DOT_EQ] = ACTIONS(1840),
    [anon_sym_STAR_EQ] = ACTIONS(1840),
    [anon_sym_SLASH_EQ] = ACTIONS(1840),
    [anon_sym_PERCENT_EQ] = ACTIONS(1840),
    [anon_sym_x_EQ] = ACTIONS(1840),
    [anon_sym_AMP_EQ] = ACTIONS(1840),
    [anon_sym_PIPE_EQ] = ACTIONS(1840),
    [anon_sym_CARET_EQ] = ACTIONS(1840),
    [anon_sym_LT_LT_EQ] = ACTIONS(1840),
    [anon_sym_GT_GT_EQ] = ACTIONS(1840),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1840),
    [anon_sym_DOT_DOT] = ACTIONS(1840),
    [anon_sym_STAR_STAR] = ACTIONS(1840),
    [anon_sym_PIPE_PIPE] = ACTIONS(1840),
    [anon_sym_SLASH_SLASH] = ACTIONS(1842),
    [anon_sym_CARET_CARET] = ACTIONS(1840),
    [anon_sym_AMP_AMP] = ACTIONS(1840),
    [anon_sym_PIPE] = ACTIONS(1840),
    [anon_sym_CARET] = ACTIONS(1840),
    [anon_sym_AMP] = ACTIONS(1840),
    [anon_sym_GT_GT2] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1842),
    [anon_sym_DASH] = ACTIONS(1842),
    [anon_sym_DOT] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1840),
    [anon_sym_SLASH] = ACTIONS(1840),
    [anon_sym_x] = ACTIONS(1840),
    [anon_sym_EQ_TILDE] = ACTIONS(1840),
    [anon_sym_BANG_TILDE] = ACTIONS(1840),
    [anon_sym_EQ_EQ] = ACTIONS(1840),
    [anon_sym_BANG_EQ] = ACTIONS(1840),
    [anon_sym_eq] = ACTIONS(1840),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1840),
    [anon_sym_equ] = ACTIONS(1840),
    [anon_sym_eqr] = ACTIONS(1840),
    [anon_sym_ne] = ACTIONS(1840),
    [anon_sym_LT_EQ_GT] = ACTIONS(1840),
    [anon_sym_cmp] = ACTIONS(1840),
    [anon_sym_TILDE_TILDE] = ACTIONS(1840),
    [anon_sym_LT] = ACTIONS(1840),
    [anon_sym_LT_EQ] = ACTIONS(1840),
    [anon_sym_GT_EQ] = ACTIONS(1840),
    [anon_sym_lt] = ACTIONS(1840),
    [anon_sym_le] = ACTIONS(1840),
    [anon_sym_ge] = ACTIONS(1840),
    [anon_sym_gt] = ACTIONS(1840),
    [anon_sym_isa] = ACTIONS(1840),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_PLUS_PLUS] = ACTIONS(1842),
    [anon_sym_DASH_DASH] = ACTIONS(1842),
    [anon_sym_QMARK] = ACTIONS(1840),
    [anon_sym_BSLASH] = ACTIONS(1845),
    [anon_sym_do] = ACTIONS(1838),
    [anon_sym_eval] = ACTIONS(1838),
    [anon_sym_await] = ACTIONS(1838),
    [anon_sym_field] = ACTIONS(1838),
    [anon_sym_local] = ACTIONS(1838),
    [anon_sym_dynamically] = ACTIONS(1838),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1838),
    [anon_sym_require] = ACTIONS(1838),
    [anon_sym_map] = ACTIONS(1838),
    [anon_sym_grep] = ACTIONS(1838),
    [anon_sym_sort] = ACTIONS(1838),
    [anon_sym_goto] = ACTIONS(1838),
    [anon_sym_return] = ACTIONS(1838),
    [anon_sym_undef] = ACTIONS(1838),
    [anon_sym_PERCENT2] = ACTIONS(1838),
    [anon_sym_AMP2] = ACTIONS(1838),
    [anon_sym_STAR2] = ACTIONS(1838),
    [anon_sym_EQ_GT] = ACTIONS(1840),
    [anon_sym_last] = ACTIONS(1838),
    [anon_sym_next] = ACTIONS(1838),
    [anon_sym_redo] = ACTIONS(1838),
    [anon_sym___FILE__] = ACTIONS(1838),
    [anon_sym___LINE__] = ACTIONS(1838),
    [anon_sym___PACKAGE__] = ACTIONS(1838),
    [anon_sym___SUB__] = ACTIONS(1838),
    [anon_sym_break] = ACTIONS(1838),
    [anon_sym_fork] = ACTIONS(1838),
    [anon_sym_getppid] = ACTIONS(1838),
    [anon_sym_time] = ACTIONS(1838),
    [anon_sym_times] = ACTIONS(1838),
    [anon_sym_wait] = ACTIONS(1838),
    [anon_sym_wantarray] = ACTIONS(1838),
    [anon_sym_abs] = ACTIONS(1838),
    [anon_sym_alarm] = ACTIONS(1838),
    [anon_sym_chop] = ACTIONS(1838),
    [anon_sym_chdir] = ACTIONS(1838),
    [anon_sym_close] = ACTIONS(1838),
    [anon_sym_closedir] = ACTIONS(1838),
    [anon_sym_caller] = ACTIONS(1838),
    [anon_sym_chomp] = ACTIONS(1838),
    [anon_sym_chr] = ACTIONS(1838),
    [anon_sym_cos] = ACTIONS(1838),
    [anon_sym_chroot] = ACTIONS(1838),
    [anon_sym_defined] = ACTIONS(1838),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_dbmclose] = ACTIONS(1838),
    [anon_sym_exists] = ACTIONS(1838),
    [anon_sym_exit] = ACTIONS(1838),
    [anon_sym_eof] = ACTIONS(1838),
    [anon_sym_exp] = ACTIONS(1838),
    [anon_sym_each] = ACTIONS(1838),
    [anon_sym_fc] = ACTIONS(1838),
    [anon_sym_fileno] = ACTIONS(1838),
    [anon_sym_gmtime] = ACTIONS(1838),
    [anon_sym_getc] = ACTIONS(1838),
    [anon_sym_getpgrp] = ACTIONS(1838),
    [anon_sym_getprotobyname] = ACTIONS(1838),
    [anon_sym_getpwname] = ACTIONS(1838),
    [anon_sym_getpwuid] = ACTIONS(1838),
    [anon_sym_getpeername] = ACTIONS(1838),
    [anon_sym_getnetbyname] = ACTIONS(1838),
    [anon_sym_getsockname] = ACTIONS(1838),
    [anon_sym_getgrnam] = ACTIONS(1838),
    [anon_sym_getgrgid] = ACTIONS(1838),
    [anon_sym_hex] = ACTIONS(1838),
    [anon_sym_int] = ACTIONS(1838),
    [anon_sym_keys] = ACTIONS(1838),
    [anon_sym_lc] = ACTIONS(1838),
    [anon_sym_lcfirst] = ACTIONS(1838),
    [anon_sym_length] = ACTIONS(1838),
    [anon_sym_localtime] = ACTIONS(1838),
    [anon_sym_log] = ACTIONS(1838),
    [anon_sym_lock] = ACTIONS(1838),
    [anon_sym_lstat] = ACTIONS(1838),
    [anon_sym_oct] = ACTIONS(1838),
    [anon_sym_ord] = ACTIONS(1838),
    [anon_sym_prototype] = ACTIONS(1838),
    [anon_sym_pop] = ACTIONS(1838),
    [anon_sym_pos] = ACTIONS(1838),
    [anon_sym_quotemeta] = ACTIONS(1838),
    [anon_sym_reset] = ACTIONS(1838),
    [anon_sym_rand] = ACTIONS(1838),
    [anon_sym_rmdir] = ACTIONS(1838),
    [anon_sym_readdir] = ACTIONS(1838),
    [anon_sym_readline] = ACTIONS(1838),
    [anon_sym_readpipe] = ACTIONS(1838),
    [anon_sym_rewinddir] = ACTIONS(1838),
    [anon_sym_readlink] = ACTIONS(1838),
    [anon_sym_ref] = ACTIONS(1838),
    [anon_sym_scalar] = ACTIONS(1838),
    [anon_sym_shift] = ACTIONS(1838),
    [anon_sym_sin] = ACTIONS(1838),
    [anon_sym_sleep] = ACTIONS(1838),
    [anon_sym_sqrt] = ACTIONS(1838),
    [anon_sym_srand] = ACTIONS(1838),
    [anon_sym_stat] = ACTIONS(1838),
    [anon_sym_study] = ACTIONS(1838),
    [anon_sym_tell] = ACTIONS(1838),
    [anon_sym_telldir] = ACTIONS(1838),
    [anon_sym_tied] = ACTIONS(1838),
    [anon_sym_uc] = ACTIONS(1838),
    [anon_sym_ucfirst] = ACTIONS(1838),
    [anon_sym_untie] = ACTIONS(1838),
    [anon_sym_umask] = ACTIONS(1838),
    [anon_sym_values] = ACTIONS(1838),
    [anon_sym_write] = ACTIONS(1838),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1840),
    [anon_sym___END__] = ACTIONS(1840),
    [anon_sym_EOT] = ACTIONS(1840),
    [anon_sym_q] = ACTIONS(1838),
    [anon_sym_qq] = ACTIONS(1838),
    [anon_sym_qw] = ACTIONS(1838),
    [anon_sym_qx] = ACTIONS(1838),
    [anon_sym_qr] = ACTIONS(1838),
    [anon_sym_m] = ACTIONS(1838),
    [anon_sym_s] = ACTIONS(1838),
    [anon_sym_tr] = ACTIONS(1838),
    [anon_sym_y] = ACTIONS(1838),
    [aux_sym__bareword_token1] = ACTIONS(1838),
    [sym_number] = ACTIONS(1838),
    [anon_sym_true] = ACTIONS(1838),
    [anon_sym_false] = ACTIONS(1838),
    [sym__single_quote] = ACTIONS(1845),
    [sym__double_quote] = ACTIONS(1845),
    [sym__backtick_quote] = ACTIONS(1845),
    [sym__search_slash_quote] = ACTIONS(1845),
    [sym__no_search_slash_plz] = ACTIONS(1847),
    [sym__open_readline_bracket] = ACTIONS(1845),
    [sym__open_fileglob_bracket] = ACTIONS(1845),
    [sym__PERLY_SEMICOLON] = ACTIONS(1849),
    [sym__PERLY_HEREDOC] = ACTIONS(1845),
    [sym__ctrl_z_hack] = ACTIONS(1849),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1845),
    [sym__filetest] = ACTIONS(1845),
  },
  [778] = {
    [sym_heredoc_content] = STATE(778),
    [sym__identifier] = ACTIONS(1859),
    [anon_sym_LBRACE] = ACTIONS(1859),
    [anon_sym_SEMI] = ACTIONS(1859),
    [anon_sym_DOLLAR] = ACTIONS(1859),
    [anon_sym_EQ] = ACTIONS(1859),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1859),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(1859),
    [anon_sym_COMMA] = ACTIONS(1859),
    [anon_sym_my] = ACTIONS(1859),
    [anon_sym_extended] = ACTIONS(1859),
    [anon_sym_async] = ACTIONS(1859),
    [anon_sym_sub] = ACTIONS(1859),
    [anon_sym_method] = ACTIONS(1859),
    [anon_sym_LPAREN] = ACTIONS(1859),
    [anon_sym_continue] = ACTIONS(1859),
    [anon_sym_state] = ACTIONS(1859),
    [anon_sym_our] = ACTIONS(1859),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1859),
    [anon_sym_and] = ACTIONS(1859),
    [anon_sym_or] = ACTIONS(1859),
    [anon_sym_xor] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1859),
    [anon_sym_DASH_GT] = ACTIONS(1859),
    [anon_sym_PERCENT] = ACTIONS(1859),
    [anon_sym_GT] = ACTIONS(1859),
    [anon_sym_LT_LT] = ACTIONS(1859),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1859),
    [anon_sym_PLUS_EQ] = ACTIONS(1859),
    [anon_sym_DASH_EQ] = ACTIONS(1859),
    [anon_sym_DOT_EQ] = ACTIONS(1859),
    [anon_sym_STAR_EQ] = ACTIONS(1859),
    [anon_sym_SLASH_EQ] = ACTIONS(1859),
    [anon_sym_PERCENT_EQ] = ACTIONS(1859),
    [anon_sym_x_EQ] = ACTIONS(1859),
    [anon_sym_AMP_EQ] = ACTIONS(1859),
    [anon_sym_PIPE_EQ] = ACTIONS(1859),
    [anon_sym_CARET_EQ] = ACTIONS(1859),
    [anon_sym_LT_LT_EQ] = ACTIONS(1859),
    [anon_sym_GT_GT_EQ] = ACTIONS(1859),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1859),
    [anon_sym_DOT_DOT] = ACTIONS(1859),
    [anon_sym_STAR_STAR] = ACTIONS(1859),
    [anon_sym_PIPE_PIPE] = ACTIONS(1859),
    [anon_sym_SLASH_SLASH] = ACTIONS(1859),
    [anon_sym_CARET_CARET] = ACTIONS(1859),
    [anon_sym_AMP_AMP] = ACTIONS(1859),
    [anon_sym_PIPE] = ACTIONS(1859),
    [anon_sym_CARET] = ACTIONS(1859),
    [anon_sym_AMP] = ACTIONS(1859),
    [anon_sym_GT_GT2] = ACTIONS(1859),
    [anon_sym_PLUS] = ACTIONS(1859),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_DOT] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1859),
    [anon_sym_SLASH] = ACTIONS(1859),
    [anon_sym_x] = ACTIONS(1859),
    [anon_sym_EQ_TILDE] = ACTIONS(1859),
    [anon_sym_BANG_TILDE] = ACTIONS(1859),
    [anon_sym_EQ_EQ] = ACTIONS(1859),
    [anon_sym_BANG_EQ] = ACTIONS(1859),
    [anon_sym_eq] = ACTIONS(1859),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1859),
    [anon_sym_equ] = ACTIONS(1859),
    [anon_sym_eqr] = ACTIONS(1859),
    [anon_sym_ne] = ACTIONS(1859),
    [anon_sym_LT_EQ_GT] = ACTIONS(1859),
    [anon_sym_cmp] = ACTIONS(1859),
    [anon_sym_TILDE_TILDE] = ACTIONS(1859),
    [anon_sym_LT] = ACTIONS(1859),
    [anon_sym_LT_EQ] = ACTIONS(1859),
    [anon_sym_GT_EQ] = ACTIONS(1859),
    [anon_sym_lt] = ACTIONS(1859),
    [anon_sym_le] = ACTIONS(1859),
    [anon_sym_ge] = ACTIONS(1859),
    [anon_sym_gt] = ACTIONS(1859),
    [anon_sym_isa] = ACTIONS(1859),
    [anon_sym_TILDE] = ACTIONS(1859),
    [anon_sym_BANG] = ACTIONS(1859),
    [anon_sym_PLUS_PLUS] = ACTIONS(1859),
    [anon_sym_DASH_DASH] = ACTIONS(1859),
    [anon_sym_QMARK] = ACTIONS(1859),
    [anon_sym_BSLASH] = ACTIONS(1861),
    [anon_sym_do] = ACTIONS(1859),
    [anon_sym_eval] = ACTIONS(1859),
    [anon_sym_await] = ACTIONS(1859),
    [anon_sym_field] = ACTIONS(1859),
    [anon_sym_local] = ACTIONS(1859),
    [anon_sym_dynamically] = ACTIONS(1859),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1859),
    [anon_sym_require] = ACTIONS(1859),
    [anon_sym_map] = ACTIONS(1859),
    [anon_sym_grep] = ACTIONS(1859),
    [anon_sym_sort] = ACTIONS(1859),
    [anon_sym_goto] = ACTIONS(1859),
    [anon_sym_return] = ACTIONS(1859),
    [anon_sym_undef] = ACTIONS(1859),
    [anon_sym_PERCENT2] = ACTIONS(1859),
    [anon_sym_AMP2] = ACTIONS(1859),
    [anon_sym_STAR2] = ACTIONS(1859),
    [anon_sym_EQ_GT] = ACTIONS(1859),
    [anon_sym_last] = ACTIONS(1859),
    [anon_sym_next] = ACTIONS(1859),
    [anon_sym_redo] = ACTIONS(1859),
    [anon_sym___FILE__] = ACTIONS(1859),
    [anon_sym___LINE__] = ACTIONS(1859),
    [anon_sym___PACKAGE__] = ACTIONS(1859),
    [anon_sym___SUB__] = ACTIONS(1859),
    [anon_sym_break] = ACTIONS(1859),
    [anon_sym_fork] = ACTIONS(1859),
    [anon_sym_getppid] = ACTIONS(1859),
    [anon_sym_time] = ACTIONS(1859),
    [anon_sym_times] = ACTIONS(1859),
    [anon_sym_wait] = ACTIONS(1859),
    [anon_sym_wantarray] = ACTIONS(1859),
    [anon_sym_abs] = ACTIONS(1859),
    [anon_sym_alarm] = ACTIONS(1859),
    [anon_sym_chop] = ACTIONS(1859),
    [anon_sym_chdir] = ACTIONS(1859),
    [anon_sym_close] = ACTIONS(1859),
    [anon_sym_closedir] = ACTIONS(1859),
    [anon_sym_caller] = ACTIONS(1859),
    [anon_sym_chomp] = ACTIONS(1859),
    [anon_sym_chr] = ACTIONS(1859),
    [anon_sym_cos] = ACTIONS(1859),
    [anon_sym_chroot] = ACTIONS(1859),
    [anon_sym_defined] = ACTIONS(1859),
    [anon_sym_delete] = ACTIONS(1859),
    [anon_sym_dbmclose] = ACTIONS(1859),
    [anon_sym_exists] = ACTIONS(1859),
    [anon_sym_exit] = ACTIONS(1859),
    [anon_sym_eof] = ACTIONS(1859),
    [anon_sym_exp] = ACTIONS(1859),
    [anon_sym_each] = ACTIONS(1859),
    [anon_sym_fc] = ACTIONS(1859),
    [anon_sym_fileno] = ACTIONS(1859),
    [anon_sym_gmtime] = ACTIONS(1859),
    [anon_sym_getc] = ACTIONS(1859),
    [anon_sym_getpgrp] = ACTIONS(1859),
    [anon_sym_getprotobyname] = ACTIONS(1859),
    [anon_sym_getpwname] = ACTIONS(1859),
    [anon_sym_getpwuid] = ACTIONS(1859),
    [anon_sym_getpeername] = ACTIONS(1859),
    [anon_sym_getnetbyname] = ACTIONS(1859),
    [anon_sym_getsockname] = ACTIONS(1859),
    [anon_sym_getgrnam] = ACTIONS(1859),
    [anon_sym_getgrgid] = ACTIONS(1859),
    [anon_sym_hex] = ACTIONS(1859),
    [anon_sym_int] = ACTIONS(1859),
    [anon_sym_keys] = ACTIONS(1859),
    [anon_sym_lc] = ACTIONS(1859),
    [anon_sym_lcfirst] = ACTIONS(1859),
    [anon_sym_length] = ACTIONS(1859),
    [anon_sym_localtime] = ACTIONS(1859),
    [anon_sym_log] = ACTIONS(1859),
    [anon_sym_lock] = ACTIONS(1859),
    [anon_sym_lstat] = ACTIONS(1859),
    [anon_sym_oct] = ACTIONS(1859),
    [anon_sym_ord] = ACTIONS(1859),
    [anon_sym_prototype] = ACTIONS(1859),
    [anon_sym_pop] = ACTIONS(1859),
    [anon_sym_pos] = ACTIONS(1859),
    [anon_sym_quotemeta] = ACTIONS(1859),
    [anon_sym_reset] = ACTIONS(1859),
    [anon_sym_rand] = ACTIONS(1859),
    [anon_sym_rmdir] = ACTIONS(1859),
    [anon_sym_readdir] = ACTIONS(1859),
    [anon_sym_readline] = ACTIONS(1859),
    [anon_sym_readpipe] = ACTIONS(1859),
    [anon_sym_rewinddir] = ACTIONS(1859),
    [anon_sym_readlink] = ACTIONS(1859),
    [anon_sym_ref] = ACTIONS(1859),
    [anon_sym_scalar] = ACTIONS(1859),
    [anon_sym_shift] = ACTIONS(1859),
    [anon_sym_sin] = ACTIONS(1859),
    [anon_sym_sleep] = ACTIONS(1859),
    [anon_sym_sqrt] = ACTIONS(1859),
    [anon_sym_srand] = ACTIONS(1859),
    [anon_sym_stat] = ACTIONS(1859),
    [anon_sym_study] = ACTIONS(1859),
    [anon_sym_tell] = ACTIONS(1859),
    [anon_sym_telldir] = ACTIONS(1859),
    [anon_sym_tied] = ACTIONS(1859),
    [anon_sym_uc] = ACTIONS(1859),
    [anon_sym_ucfirst] = ACTIONS(1859),
    [anon_sym_untie] = ACTIONS(1859),
    [anon_sym_umask] = ACTIONS(1859),
    [anon_sym_values] = ACTIONS(1859),
    [anon_sym_write] = ACTIONS(1859),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1859),
    [anon_sym___END__] = ACTIONS(1859),
    [anon_sym_EOT] = ACTIONS(1859),
    [anon_sym_q] = ACTIONS(1859),
    [anon_sym_qq] = ACTIONS(1859),
    [anon_sym_qw] = ACTIONS(1859),
    [anon_sym_qx] = ACTIONS(1859),
    [anon_sym_qr] = ACTIONS(1859),
    [anon_sym_m] = ACTIONS(1859),
    [anon_sym_s] = ACTIONS(1859),
    [anon_sym_tr] = ACTIONS(1859),
    [anon_sym_y] = ACTIONS(1859),
    [aux_sym__bareword_token1] = ACTIONS(1859),
    [sym_number] = ACTIONS(1859),
    [anon_sym_true] = ACTIONS(1859),
    [anon_sym_false] = ACTIONS(1859),
    [sym__single_quote] = ACTIONS(1861),
    [sym__double_quote] = ACTIONS(1861),
    [sym__backtick_quote] = ACTIONS(1861),
    [sym__search_slash_quote] = ACTIONS(1861),
    [sym__no_search_slash_plz] = ACTIONS(1861),
    [sym__open_readline_bracket] = ACTIONS(1861),
    [sym__open_fileglob_bracket] = ACTIONS(1861),
    [sym__PERLY_SEMICOLON] = ACTIONS(1861),
    [sym__PERLY_HEREDOC] = ACTIONS(1861),
    [sym__ctrl_z_hack] = ACTIONS(1861),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1861),
    [sym__filetest] = ACTIONS(1861),
  },
  [779] = {
    [sym_heredoc_content] = STATE(779),
    [sym__identifier] = ACTIONS(1661),
    [anon_sym_LBRACE] = ACTIONS(1661),
    [anon_sym_SEMI] = ACTIONS(1661),
    [anon_sym_DOLLAR] = ACTIONS(1661),
    [anon_sym_EQ] = ACTIONS(1661),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1661),
    [anon_sym_AT] = ACTIONS(1661),
    [anon_sym_COMMA] = ACTIONS(1661),
    [anon_sym_my] = ACTIONS(1661),
    [anon_sym_extended] = ACTIONS(1661),
    [anon_sym_async] = ACTIONS(1661),
    [anon_sym_sub] = ACTIONS(1661),
    [anon_sym_method] = ACTIONS(1661),
    [anon_sym_LPAREN] = ACTIONS(1661),
    [anon_sym_continue] = ACTIONS(1661),
    [anon_sym_state] = ACTIONS(1661),
    [anon_sym_our] = ACTIONS(1661),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1661),
    [anon_sym_and] = ACTIONS(1661),
    [anon_sym_or] = ACTIONS(1661),
    [anon_sym_xor] = ACTIONS(1661),
    [anon_sym_LBRACK] = ACTIONS(1661),
    [anon_sym_DASH_GT] = ACTIONS(1661),
    [anon_sym_PERCENT] = ACTIONS(1661),
    [anon_sym_GT] = ACTIONS(1661),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1661),
    [anon_sym_PLUS_EQ] = ACTIONS(1661),
    [anon_sym_DASH_EQ] = ACTIONS(1661),
    [anon_sym_DOT_EQ] = ACTIONS(1661),
    [anon_sym_STAR_EQ] = ACTIONS(1661),
    [anon_sym_SLASH_EQ] = ACTIONS(1661),
    [anon_sym_PERCENT_EQ] = ACTIONS(1661),
    [anon_sym_x_EQ] = ACTIONS(1661),
    [anon_sym_AMP_EQ] = ACTIONS(1661),
    [anon_sym_PIPE_EQ] = ACTIONS(1661),
    [anon_sym_CARET_EQ] = ACTIONS(1661),
    [anon_sym_LT_LT_EQ] = ACTIONS(1661),
    [anon_sym_GT_GT_EQ] = ACTIONS(1661),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1661),
    [anon_sym_DOT_DOT] = ACTIONS(1661),
    [anon_sym_STAR_STAR] = ACTIONS(1661),
    [anon_sym_PIPE_PIPE] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1661),
    [anon_sym_CARET_CARET] = ACTIONS(1661),
    [anon_sym_AMP_AMP] = ACTIONS(1661),
    [anon_sym_PIPE] = ACTIONS(1661),
    [anon_sym_CARET] = ACTIONS(1661),
    [anon_sym_AMP] = ACTIONS(1661),
    [anon_sym_GT_GT2] = ACTIONS(1661),
    [anon_sym_PLUS] = ACTIONS(1661),
    [anon_sym_DASH] = ACTIONS(1661),
    [anon_sym_DOT] = ACTIONS(1661),
    [anon_sym_STAR] = ACTIONS(1661),
    [anon_sym_SLASH] = ACTIONS(1661),
    [anon_sym_x] = ACTIONS(1661),
    [anon_sym_EQ_TILDE] = ACTIONS(1661),
    [anon_sym_BANG_TILDE] = ACTIONS(1661),
    [anon_sym_EQ_EQ] = ACTIONS(1661),
    [anon_sym_BANG_EQ] = ACTIONS(1661),
    [anon_sym_eq] = ACTIONS(1661),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1661),
    [anon_sym_equ] = ACTIONS(1661),
    [anon_sym_eqr] = ACTIONS(1661),
    [anon_sym_ne] = ACTIONS(1661),
    [anon_sym_LT_EQ_GT] = ACTIONS(1661),
    [anon_sym_cmp] = ACTIONS(1661),
    [anon_sym_TILDE_TILDE] = ACTIONS(1661),
    [anon_sym_LT] = ACTIONS(1661),
    [anon_sym_LT_EQ] = ACTIONS(1661),
    [anon_sym_GT_EQ] = ACTIONS(1661),
    [anon_sym_lt] = ACTIONS(1661),
    [anon_sym_le] = ACTIONS(1661),
    [anon_sym_ge] = ACTIONS(1661),
    [anon_sym_gt] = ACTIONS(1661),
    [anon_sym_isa] = ACTIONS(1661),
    [anon_sym_TILDE] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1661),
    [anon_sym_PLUS_PLUS] = ACTIONS(1661),
    [anon_sym_DASH_DASH] = ACTIONS(1661),
    [anon_sym_QMARK] = ACTIONS(1661),
    [anon_sym_BSLASH] = ACTIONS(1659),
    [anon_sym_do] = ACTIONS(1661),
    [anon_sym_eval] = ACTIONS(1661),
    [anon_sym_await] = ACTIONS(1661),
    [anon_sym_field] = ACTIONS(1661),
    [anon_sym_local] = ACTIONS(1661),
    [anon_sym_dynamically] = ACTIONS(1661),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1661),
    [anon_sym_require] = ACTIONS(1661),
    [anon_sym_map] = ACTIONS(1661),
    [anon_sym_grep] = ACTIONS(1661),
    [anon_sym_sort] = ACTIONS(1661),
    [anon_sym_goto] = ACTIONS(1661),
    [anon_sym_return] = ACTIONS(1661),
    [anon_sym_undef] = ACTIONS(1661),
    [anon_sym_PERCENT2] = ACTIONS(1661),
    [anon_sym_AMP2] = ACTIONS(1661),
    [anon_sym_STAR2] = ACTIONS(1661),
    [anon_sym_EQ_GT] = ACTIONS(1661),
    [anon_sym_last] = ACTIONS(1661),
    [anon_sym_next] = ACTIONS(1661),
    [anon_sym_redo] = ACTIONS(1661),
    [anon_sym___FILE__] = ACTIONS(1661),
    [anon_sym___LINE__] = ACTIONS(1661),
    [anon_sym___PACKAGE__] = ACTIONS(1661),
    [anon_sym___SUB__] = ACTIONS(1661),
    [anon_sym_break] = ACTIONS(1661),
    [anon_sym_fork] = ACTIONS(1661),
    [anon_sym_getppid] = ACTIONS(1661),
    [anon_sym_time] = ACTIONS(1661),
    [anon_sym_times] = ACTIONS(1661),
    [anon_sym_wait] = ACTIONS(1661),
    [anon_sym_wantarray] = ACTIONS(1661),
    [anon_sym_abs] = ACTIONS(1661),
    [anon_sym_alarm] = ACTIONS(1661),
    [anon_sym_chop] = ACTIONS(1661),
    [anon_sym_chdir] = ACTIONS(1661),
    [anon_sym_close] = ACTIONS(1661),
    [anon_sym_closedir] = ACTIONS(1661),
    [anon_sym_caller] = ACTIONS(1661),
    [anon_sym_chomp] = ACTIONS(1661),
    [anon_sym_chr] = ACTIONS(1661),
    [anon_sym_cos] = ACTIONS(1661),
    [anon_sym_chroot] = ACTIONS(1661),
    [anon_sym_defined] = ACTIONS(1661),
    [anon_sym_delete] = ACTIONS(1661),
    [anon_sym_dbmclose] = ACTIONS(1661),
    [anon_sym_exists] = ACTIONS(1661),
    [anon_sym_exit] = ACTIONS(1661),
    [anon_sym_eof] = ACTIONS(1661),
    [anon_sym_exp] = ACTIONS(1661),
    [anon_sym_each] = ACTIONS(1661),
    [anon_sym_fc] = ACTIONS(1661),
    [anon_sym_fileno] = ACTIONS(1661),
    [anon_sym_gmtime] = ACTIONS(1661),
    [anon_sym_getc] = ACTIONS(1661),
    [anon_sym_getpgrp] = ACTIONS(1661),
    [anon_sym_getprotobyname] = ACTIONS(1661),
    [anon_sym_getpwname] = ACTIONS(1661),
    [anon_sym_getpwuid] = ACTIONS(1661),
    [anon_sym_getpeername] = ACTIONS(1661),
    [anon_sym_getnetbyname] = ACTIONS(1661),
    [anon_sym_getsockname] = ACTIONS(1661),
    [anon_sym_getgrnam] = ACTIONS(1661),
    [anon_sym_getgrgid] = ACTIONS(1661),
    [anon_sym_hex] = ACTIONS(1661),
    [anon_sym_int] = ACTIONS(1661),
    [anon_sym_keys] = ACTIONS(1661),
    [anon_sym_lc] = ACTIONS(1661),
    [anon_sym_lcfirst] = ACTIONS(1661),
    [anon_sym_length] = ACTIONS(1661),
    [anon_sym_localtime] = ACTIONS(1661),
    [anon_sym_log] = ACTIONS(1661),
    [anon_sym_lock] = ACTIONS(1661),
    [anon_sym_lstat] = ACTIONS(1661),
    [anon_sym_oct] = ACTIONS(1661),
    [anon_sym_ord] = ACTIONS(1661),
    [anon_sym_prototype] = ACTIONS(1661),
    [anon_sym_pop] = ACTIONS(1661),
    [anon_sym_pos] = ACTIONS(1661),
    [anon_sym_quotemeta] = ACTIONS(1661),
    [anon_sym_reset] = ACTIONS(1661),
    [anon_sym_rand] = ACTIONS(1661),
    [anon_sym_rmdir] = ACTIONS(1661),
    [anon_sym_readdir] = ACTIONS(1661),
    [anon_sym_readline] = ACTIONS(1661),
    [anon_sym_readpipe] = ACTIONS(1661),
    [anon_sym_rewinddir] = ACTIONS(1661),
    [anon_sym_readlink] = ACTIONS(1661),
    [anon_sym_ref] = ACTIONS(1661),
    [anon_sym_scalar] = ACTIONS(1661),
    [anon_sym_shift] = ACTIONS(1661),
    [anon_sym_sin] = ACTIONS(1661),
    [anon_sym_sleep] = ACTIONS(1661),
    [anon_sym_sqrt] = ACTIONS(1661),
    [anon_sym_srand] = ACTIONS(1661),
    [anon_sym_stat] = ACTIONS(1661),
    [anon_sym_study] = ACTIONS(1661),
    [anon_sym_tell] = ACTIONS(1661),
    [anon_sym_telldir] = ACTIONS(1661),
    [anon_sym_tied] = ACTIONS(1661),
    [anon_sym_uc] = ACTIONS(1661),
    [anon_sym_ucfirst] = ACTIONS(1661),
    [anon_sym_untie] = ACTIONS(1661),
    [anon_sym_umask] = ACTIONS(1661),
    [anon_sym_values] = ACTIONS(1661),
    [anon_sym_write] = ACTIONS(1661),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1661),
    [anon_sym___END__] = ACTIONS(1661),
    [anon_sym_EOT] = ACTIONS(1661),
    [anon_sym_q] = ACTIONS(1661),
    [anon_sym_qq] = ACTIONS(1661),
    [anon_sym_qw] = ACTIONS(1661),
    [anon_sym_qx] = ACTIONS(1661),
    [anon_sym_qr] = ACTIONS(1661),
    [anon_sym_m] = ACTIONS(1661),
    [anon_sym_s] = ACTIONS(1661),
    [anon_sym_tr] = ACTIONS(1661),
    [anon_sym_y] = ACTIONS(1661),
    [aux_sym__bareword_token1] = ACTIONS(1661),
    [sym_number] = ACTIONS(1661),
    [anon_sym_true] = ACTIONS(1661),
    [anon_sym_false] = ACTIONS(1661),
    [sym__single_quote] = ACTIONS(1659),
    [sym__double_quote] = ACTIONS(1659),
    [sym__backtick_quote] = ACTIONS(1659),
    [sym__search_slash_quote] = ACTIONS(1659),
    [sym__open_readline_bracket] = ACTIONS(1659),
    [sym__open_fileglob_bracket] = ACTIONS(1659),
    [sym__PERLY_SEMICOLON] = ACTIONS(1659),
    [sym__PERLY_HEREDOC] = ACTIONS(1659),
    [sym__ctrl_z_hack] = ACTIONS(1659),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1659),
    [sym__filetest] = ACTIONS(1659),
  },
  [780] = {
    [sym_heredoc_content] = STATE(780),
    [sym__identifier] = ACTIONS(1824),
    [anon_sym_LBRACE] = ACTIONS(1824),
    [anon_sym_SEMI] = ACTIONS(1824),
    [anon_sym_DOLLAR] = ACTIONS(1824),
    [anon_sym_EQ] = ACTIONS(1824),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1824),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1824),
    [anon_sym_AT] = ACTIONS(1824),
    [anon_sym_COMMA] = ACTIONS(1824),
    [anon_sym_my] = ACTIONS(1824),
    [anon_sym_extended] = ACTIONS(1824),
    [anon_sym_async] = ACTIONS(1824),
    [anon_sym_sub] = ACTIONS(1824),
    [anon_sym_method] = ACTIONS(1824),
    [anon_sym_LPAREN] = ACTIONS(1824),
    [anon_sym_continue] = ACTIONS(1824),
    [anon_sym_state] = ACTIONS(1824),
    [anon_sym_our] = ACTIONS(1824),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1824),
    [anon_sym_and] = ACTIONS(1824),
    [anon_sym_or] = ACTIONS(1824),
    [anon_sym_xor] = ACTIONS(1824),
    [anon_sym_LBRACK] = ACTIONS(1824),
    [anon_sym_DASH_GT] = ACTIONS(1824),
    [anon_sym_PERCENT] = ACTIONS(1824),
    [anon_sym_GT] = ACTIONS(1824),
    [anon_sym_LT_LT] = ACTIONS(1824),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1824),
    [anon_sym_PLUS_EQ] = ACTIONS(1824),
    [anon_sym_DASH_EQ] = ACTIONS(1824),
    [anon_sym_DOT_EQ] = ACTIONS(1824),
    [anon_sym_STAR_EQ] = ACTIONS(1824),
    [anon_sym_SLASH_EQ] = ACTIONS(1824),
    [anon_sym_PERCENT_EQ] = ACTIONS(1824),
    [anon_sym_x_EQ] = ACTIONS(1824),
    [anon_sym_AMP_EQ] = ACTIONS(1824),
    [anon_sym_PIPE_EQ] = ACTIONS(1824),
    [anon_sym_CARET_EQ] = ACTIONS(1824),
    [anon_sym_LT_LT_EQ] = ACTIONS(1824),
    [anon_sym_GT_GT_EQ] = ACTIONS(1824),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1824),
    [anon_sym_DOT_DOT] = ACTIONS(1824),
    [anon_sym_STAR_STAR] = ACTIONS(1824),
    [anon_sym_PIPE_PIPE] = ACTIONS(1824),
    [anon_sym_SLASH_SLASH] = ACTIONS(1824),
    [anon_sym_CARET_CARET] = ACTIONS(1824),
    [anon_sym_AMP_AMP] = ACTIONS(1824),
    [anon_sym_PIPE] = ACTIONS(1824),
    [anon_sym_CARET] = ACTIONS(1824),
    [anon_sym_AMP] = ACTIONS(1824),
    [anon_sym_GT_GT2] = ACTIONS(1824),
    [anon_sym_PLUS] = ACTIONS(1824),
    [anon_sym_DASH] = ACTIONS(1824),
    [anon_sym_DOT] = ACTIONS(1824),
    [anon_sym_STAR] = ACTIONS(1824),
    [anon_sym_SLASH] = ACTIONS(1824),
    [anon_sym_x] = ACTIONS(1824),
    [anon_sym_EQ_TILDE] = ACTIONS(1824),
    [anon_sym_BANG_TILDE] = ACTIONS(1824),
    [anon_sym_EQ_EQ] = ACTIONS(1824),
    [anon_sym_BANG_EQ] = ACTIONS(1824),
    [anon_sym_eq] = ACTIONS(1824),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1824),
    [anon_sym_equ] = ACTIONS(1824),
    [anon_sym_eqr] = ACTIONS(1824),
    [anon_sym_ne] = ACTIONS(1824),
    [anon_sym_LT_EQ_GT] = ACTIONS(1824),
    [anon_sym_cmp] = ACTIONS(1824),
    [anon_sym_TILDE_TILDE] = ACTIONS(1824),
    [anon_sym_LT] = ACTIONS(1824),
    [anon_sym_LT_EQ] = ACTIONS(1824),
    [anon_sym_GT_EQ] = ACTIONS(1824),
    [anon_sym_lt] = ACTIONS(1824),
    [anon_sym_le] = ACTIONS(1824),
    [anon_sym_ge] = ACTIONS(1824),
    [anon_sym_gt] = ACTIONS(1824),
    [anon_sym_isa] = ACTIONS(1824),
    [anon_sym_TILDE] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1824),
    [anon_sym_PLUS_PLUS] = ACTIONS(1824),
    [anon_sym_DASH_DASH] = ACTIONS(1824),
    [anon_sym_QMARK] = ACTIONS(1824),
    [anon_sym_BSLASH] = ACTIONS(1826),
    [anon_sym_do] = ACTIONS(1824),
    [anon_sym_eval] = ACTIONS(1824),
    [anon_sym_await] = ACTIONS(1824),
    [anon_sym_field] = ACTIONS(1824),
    [anon_sym_local] = ACTIONS(1824),
    [anon_sym_dynamically] = ACTIONS(1824),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1824),
    [anon_sym_require] = ACTIONS(1824),
    [anon_sym_map] = ACTIONS(1824),
    [anon_sym_grep] = ACTIONS(1824),
    [anon_sym_sort] = ACTIONS(1824),
    [anon_sym_goto] = ACTIONS(1824),
    [anon_sym_return] = ACTIONS(1824),
    [anon_sym_undef] = ACTIONS(1824),
    [anon_sym_PERCENT2] = ACTIONS(1824),
    [anon_sym_AMP2] = ACTIONS(1824),
    [anon_sym_STAR2] = ACTIONS(1824),
    [anon_sym_EQ_GT] = ACTIONS(1824),
    [anon_sym_last] = ACTIONS(1824),
    [anon_sym_next] = ACTIONS(1824),
    [anon_sym_redo] = ACTIONS(1824),
    [anon_sym___FILE__] = ACTIONS(1824),
    [anon_sym___LINE__] = ACTIONS(1824),
    [anon_sym___PACKAGE__] = ACTIONS(1824),
    [anon_sym___SUB__] = ACTIONS(1824),
    [anon_sym_break] = ACTIONS(1824),
    [anon_sym_fork] = ACTIONS(1824),
    [anon_sym_getppid] = ACTIONS(1824),
    [anon_sym_time] = ACTIONS(1824),
    [anon_sym_times] = ACTIONS(1824),
    [anon_sym_wait] = ACTIONS(1824),
    [anon_sym_wantarray] = ACTIONS(1824),
    [anon_sym_abs] = ACTIONS(1824),
    [anon_sym_alarm] = ACTIONS(1824),
    [anon_sym_chop] = ACTIONS(1824),
    [anon_sym_chdir] = ACTIONS(1824),
    [anon_sym_close] = ACTIONS(1824),
    [anon_sym_closedir] = ACTIONS(1824),
    [anon_sym_caller] = ACTIONS(1824),
    [anon_sym_chomp] = ACTIONS(1824),
    [anon_sym_chr] = ACTIONS(1824),
    [anon_sym_cos] = ACTIONS(1824),
    [anon_sym_chroot] = ACTIONS(1824),
    [anon_sym_defined] = ACTIONS(1824),
    [anon_sym_delete] = ACTIONS(1824),
    [anon_sym_dbmclose] = ACTIONS(1824),
    [anon_sym_exists] = ACTIONS(1824),
    [anon_sym_exit] = ACTIONS(1824),
    [anon_sym_eof] = ACTIONS(1824),
    [anon_sym_exp] = ACTIONS(1824),
    [anon_sym_each] = ACTIONS(1824),
    [anon_sym_fc] = ACTIONS(1824),
    [anon_sym_fileno] = ACTIONS(1824),
    [anon_sym_gmtime] = ACTIONS(1824),
    [anon_sym_getc] = ACTIONS(1824),
    [anon_sym_getpgrp] = ACTIONS(1824),
    [anon_sym_getprotobyname] = ACTIONS(1824),
    [anon_sym_getpwname] = ACTIONS(1824),
    [anon_sym_getpwuid] = ACTIONS(1824),
    [anon_sym_getpeername] = ACTIONS(1824),
    [anon_sym_getnetbyname] = ACTIONS(1824),
    [anon_sym_getsockname] = ACTIONS(1824),
    [anon_sym_getgrnam] = ACTIONS(1824),
    [anon_sym_getgrgid] = ACTIONS(1824),
    [anon_sym_hex] = ACTIONS(1824),
    [anon_sym_int] = ACTIONS(1824),
    [anon_sym_keys] = ACTIONS(1824),
    [anon_sym_lc] = ACTIONS(1824),
    [anon_sym_lcfirst] = ACTIONS(1824),
    [anon_sym_length] = ACTIONS(1824),
    [anon_sym_localtime] = ACTIONS(1824),
    [anon_sym_log] = ACTIONS(1824),
    [anon_sym_lock] = ACTIONS(1824),
    [anon_sym_lstat] = ACTIONS(1824),
    [anon_sym_oct] = ACTIONS(1824),
    [anon_sym_ord] = ACTIONS(1824),
    [anon_sym_prototype] = ACTIONS(1824),
    [anon_sym_pop] = ACTIONS(1824),
    [anon_sym_pos] = ACTIONS(1824),
    [anon_sym_quotemeta] = ACTIONS(1824),
    [anon_sym_reset] = ACTIONS(1824),
    [anon_sym_rand] = ACTIONS(1824),
    [anon_sym_rmdir] = ACTIONS(1824),
    [anon_sym_readdir] = ACTIONS(1824),
    [anon_sym_readline] = ACTIONS(1824),
    [anon_sym_readpipe] = ACTIONS(1824),
    [anon_sym_rewinddir] = ACTIONS(1824),
    [anon_sym_readlink] = ACTIONS(1824),
    [anon_sym_ref] = ACTIONS(1824),
    [anon_sym_scalar] = ACTIONS(1824),
    [anon_sym_shift] = ACTIONS(1824),
    [anon_sym_sin] = ACTIONS(1824),
    [anon_sym_sleep] = ACTIONS(1824),
    [anon_sym_sqrt] = ACTIONS(1824),
    [anon_sym_srand] = ACTIONS(1824),
    [anon_sym_stat] = ACTIONS(1824),
    [anon_sym_study] = ACTIONS(1824),
    [anon_sym_tell] = ACTIONS(1824),
    [anon_sym_telldir] = ACTIONS(1824),
    [anon_sym_tied] = ACTIONS(1824),
    [anon_sym_uc] = ACTIONS(1824),
    [anon_sym_ucfirst] = ACTIONS(1824),
    [anon_sym_untie] = ACTIONS(1824),
    [anon_sym_umask] = ACTIONS(1824),
    [anon_sym_values] = ACTIONS(1824),
    [anon_sym_write] = ACTIONS(1824),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1824),
    [anon_sym___END__] = ACTIONS(1824),
    [anon_sym_EOT] = ACTIONS(1824),
    [anon_sym_q] = ACTIONS(1824),
    [anon_sym_qq] = ACTIONS(1824),
    [anon_sym_qw] = ACTIONS(1824),
    [anon_sym_qx] = ACTIONS(1824),
    [anon_sym_qr] = ACTIONS(1824),
    [anon_sym_m] = ACTIONS(1824),
    [anon_sym_s] = ACTIONS(1824),
    [anon_sym_tr] = ACTIONS(1824),
    [anon_sym_y] = ACTIONS(1824),
    [aux_sym__bareword_token1] = ACTIONS(1824),
    [sym_number] = ACTIONS(1824),
    [anon_sym_true] = ACTIONS(1824),
    [anon_sym_false] = ACTIONS(1824),
    [sym__single_quote] = ACTIONS(1826),
    [sym__double_quote] = ACTIONS(1826),
    [sym__backtick_quote] = ACTIONS(1826),
    [sym__search_slash_quote] = ACTIONS(1826),
    [sym__open_readline_bracket] = ACTIONS(1826),
    [sym__open_fileglob_bracket] = ACTIONS(1826),
    [sym__PERLY_SEMICOLON] = ACTIONS(1826),
    [sym__PERLY_HEREDOC] = ACTIONS(1826),
    [sym__ctrl_z_hack] = ACTIONS(1826),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1826),
    [sym__filetest] = ACTIONS(1826),
  },
  [781] = {
    [sym_heredoc_content] = STATE(781),
    [sym__identifier] = ACTIONS(1828),
    [anon_sym_LBRACE] = ACTIONS(1830),
    [anon_sym_SEMI] = ACTIONS(1828),
    [anon_sym_DOLLAR] = ACTIONS(1828),
    [anon_sym_EQ] = ACTIONS(1828),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1828),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1828),
    [anon_sym_AT] = ACTIONS(1828),
    [anon_sym_COMMA] = ACTIONS(1828),
    [anon_sym_my] = ACTIONS(1828),
    [anon_sym_extended] = ACTIONS(1828),
    [anon_sym_async] = ACTIONS(1828),
    [anon_sym_sub] = ACTIONS(1828),
    [anon_sym_method] = ACTIONS(1828),
    [anon_sym_LPAREN] = ACTIONS(1828),
    [anon_sym_continue] = ACTIONS(1828),
    [anon_sym_state] = ACTIONS(1828),
    [anon_sym_our] = ACTIONS(1828),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1828),
    [anon_sym_and] = ACTIONS(1828),
    [anon_sym_or] = ACTIONS(1828),
    [anon_sym_xor] = ACTIONS(1828),
    [anon_sym_LBRACK] = ACTIONS(1830),
    [anon_sym_DASH_GT] = ACTIONS(1828),
    [anon_sym_PERCENT] = ACTIONS(1828),
    [anon_sym_GT] = ACTIONS(1828),
    [anon_sym_LT_LT] = ACTIONS(1828),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1828),
    [anon_sym_PLUS_EQ] = ACTIONS(1828),
    [anon_sym_DASH_EQ] = ACTIONS(1828),
    [anon_sym_DOT_EQ] = ACTIONS(1828),
    [anon_sym_STAR_EQ] = ACTIONS(1828),
    [anon_sym_SLASH_EQ] = ACTIONS(1828),
    [anon_sym_PERCENT_EQ] = ACTIONS(1828),
    [anon_sym_x_EQ] = ACTIONS(1828),
    [anon_sym_AMP_EQ] = ACTIONS(1828),
    [anon_sym_PIPE_EQ] = ACTIONS(1828),
    [anon_sym_CARET_EQ] = ACTIONS(1828),
    [anon_sym_LT_LT_EQ] = ACTIONS(1828),
    [anon_sym_GT_GT_EQ] = ACTIONS(1828),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1828),
    [anon_sym_DOT_DOT] = ACTIONS(1828),
    [anon_sym_STAR_STAR] = ACTIONS(1828),
    [anon_sym_PIPE_PIPE] = ACTIONS(1828),
    [anon_sym_SLASH_SLASH] = ACTIONS(1828),
    [anon_sym_CARET_CARET] = ACTIONS(1828),
    [anon_sym_AMP_AMP] = ACTIONS(1828),
    [anon_sym_PIPE] = ACTIONS(1828),
    [anon_sym_CARET] = ACTIONS(1828),
    [anon_sym_AMP] = ACTIONS(1828),
    [anon_sym_GT_GT2] = ACTIONS(1828),
    [anon_sym_PLUS] = ACTIONS(1828),
    [anon_sym_DASH] = ACTIONS(1828),
    [anon_sym_DOT] = ACTIONS(1828),
    [anon_sym_STAR] = ACTIONS(1828),
    [anon_sym_SLASH] = ACTIONS(1828),
    [anon_sym_x] = ACTIONS(1828),
    [anon_sym_EQ_TILDE] = ACTIONS(1828),
    [anon_sym_BANG_TILDE] = ACTIONS(1828),
    [anon_sym_EQ_EQ] = ACTIONS(1828),
    [anon_sym_BANG_EQ] = ACTIONS(1828),
    [anon_sym_eq] = ACTIONS(1828),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1828),
    [anon_sym_equ] = ACTIONS(1828),
    [anon_sym_eqr] = ACTIONS(1828),
    [anon_sym_ne] = ACTIONS(1828),
    [anon_sym_LT_EQ_GT] = ACTIONS(1828),
    [anon_sym_cmp] = ACTIONS(1828),
    [anon_sym_TILDE_TILDE] = ACTIONS(1828),
    [anon_sym_LT] = ACTIONS(1828),
    [anon_sym_LT_EQ] = ACTIONS(1828),
    [anon_sym_GT_EQ] = ACTIONS(1828),
    [anon_sym_lt] = ACTIONS(1828),
    [anon_sym_le] = ACTIONS(1828),
    [anon_sym_ge] = ACTIONS(1828),
    [anon_sym_gt] = ACTIONS(1828),
    [anon_sym_isa] = ACTIONS(1828),
    [anon_sym_TILDE] = ACTIONS(1828),
    [anon_sym_BANG] = ACTIONS(1828),
    [anon_sym_PLUS_PLUS] = ACTIONS(1828),
    [anon_sym_DASH_DASH] = ACTIONS(1828),
    [anon_sym_QMARK] = ACTIONS(1828),
    [anon_sym_BSLASH] = ACTIONS(1832),
    [anon_sym_do] = ACTIONS(1828),
    [anon_sym_eval] = ACTIONS(1828),
    [anon_sym_await] = ACTIONS(1828),
    [anon_sym_field] = ACTIONS(1828),
    [anon_sym_local] = ACTIONS(1828),
    [anon_sym_dynamically] = ACTIONS(1828),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1828),
    [anon_sym_require] = ACTIONS(1828),
    [anon_sym_map] = ACTIONS(1828),
    [anon_sym_grep] = ACTIONS(1828),
    [anon_sym_sort] = ACTIONS(1828),
    [anon_sym_goto] = ACTIONS(1828),
    [anon_sym_return] = ACTIONS(1828),
    [anon_sym_undef] = ACTIONS(1828),
    [anon_sym_PERCENT2] = ACTIONS(1828),
    [anon_sym_AMP2] = ACTIONS(1828),
    [anon_sym_STAR2] = ACTIONS(1828),
    [anon_sym_EQ_GT] = ACTIONS(1828),
    [anon_sym_last] = ACTIONS(1828),
    [anon_sym_next] = ACTIONS(1828),
    [anon_sym_redo] = ACTIONS(1828),
    [anon_sym___FILE__] = ACTIONS(1828),
    [anon_sym___LINE__] = ACTIONS(1828),
    [anon_sym___PACKAGE__] = ACTIONS(1828),
    [anon_sym___SUB__] = ACTIONS(1828),
    [anon_sym_break] = ACTIONS(1828),
    [anon_sym_fork] = ACTIONS(1828),
    [anon_sym_getppid] = ACTIONS(1828),
    [anon_sym_time] = ACTIONS(1828),
    [anon_sym_times] = ACTIONS(1828),
    [anon_sym_wait] = ACTIONS(1828),
    [anon_sym_wantarray] = ACTIONS(1828),
    [anon_sym_abs] = ACTIONS(1828),
    [anon_sym_alarm] = ACTIONS(1828),
    [anon_sym_chop] = ACTIONS(1828),
    [anon_sym_chdir] = ACTIONS(1828),
    [anon_sym_close] = ACTIONS(1828),
    [anon_sym_closedir] = ACTIONS(1828),
    [anon_sym_caller] = ACTIONS(1828),
    [anon_sym_chomp] = ACTIONS(1828),
    [anon_sym_chr] = ACTIONS(1828),
    [anon_sym_cos] = ACTIONS(1828),
    [anon_sym_chroot] = ACTIONS(1828),
    [anon_sym_defined] = ACTIONS(1828),
    [anon_sym_delete] = ACTIONS(1828),
    [anon_sym_dbmclose] = ACTIONS(1828),
    [anon_sym_exists] = ACTIONS(1828),
    [anon_sym_exit] = ACTIONS(1828),
    [anon_sym_eof] = ACTIONS(1828),
    [anon_sym_exp] = ACTIONS(1828),
    [anon_sym_each] = ACTIONS(1828),
    [anon_sym_fc] = ACTIONS(1828),
    [anon_sym_fileno] = ACTIONS(1828),
    [anon_sym_gmtime] = ACTIONS(1828),
    [anon_sym_getc] = ACTIONS(1828),
    [anon_sym_getpgrp] = ACTIONS(1828),
    [anon_sym_getprotobyname] = ACTIONS(1828),
    [anon_sym_getpwname] = ACTIONS(1828),
    [anon_sym_getpwuid] = ACTIONS(1828),
    [anon_sym_getpeername] = ACTIONS(1828),
    [anon_sym_getnetbyname] = ACTIONS(1828),
    [anon_sym_getsockname] = ACTIONS(1828),
    [anon_sym_getgrnam] = ACTIONS(1828),
    [anon_sym_getgrgid] = ACTIONS(1828),
    [anon_sym_hex] = ACTIONS(1828),
    [anon_sym_int] = ACTIONS(1828),
    [anon_sym_keys] = ACTIONS(1828),
    [anon_sym_lc] = ACTIONS(1828),
    [anon_sym_lcfirst] = ACTIONS(1828),
    [anon_sym_length] = ACTIONS(1828),
    [anon_sym_localtime] = ACTIONS(1828),
    [anon_sym_log] = ACTIONS(1828),
    [anon_sym_lock] = ACTIONS(1828),
    [anon_sym_lstat] = ACTIONS(1828),
    [anon_sym_oct] = ACTIONS(1828),
    [anon_sym_ord] = ACTIONS(1828),
    [anon_sym_prototype] = ACTIONS(1828),
    [anon_sym_pop] = ACTIONS(1828),
    [anon_sym_pos] = ACTIONS(1828),
    [anon_sym_quotemeta] = ACTIONS(1828),
    [anon_sym_reset] = ACTIONS(1828),
    [anon_sym_rand] = ACTIONS(1828),
    [anon_sym_rmdir] = ACTIONS(1828),
    [anon_sym_readdir] = ACTIONS(1828),
    [anon_sym_readline] = ACTIONS(1828),
    [anon_sym_readpipe] = ACTIONS(1828),
    [anon_sym_rewinddir] = ACTIONS(1828),
    [anon_sym_readlink] = ACTIONS(1828),
    [anon_sym_ref] = ACTIONS(1828),
    [anon_sym_scalar] = ACTIONS(1828),
    [anon_sym_shift] = ACTIONS(1828),
    [anon_sym_sin] = ACTIONS(1828),
    [anon_sym_sleep] = ACTIONS(1828),
    [anon_sym_sqrt] = ACTIONS(1828),
    [anon_sym_srand] = ACTIONS(1828),
    [anon_sym_stat] = ACTIONS(1828),
    [anon_sym_study] = ACTIONS(1828),
    [anon_sym_tell] = ACTIONS(1828),
    [anon_sym_telldir] = ACTIONS(1828),
    [anon_sym_tied] = ACTIONS(1828),
    [anon_sym_uc] = ACTIONS(1828),
    [anon_sym_ucfirst] = ACTIONS(1828),
    [anon_sym_untie] = ACTIONS(1828),
    [anon_sym_umask] = ACTIONS(1828),
    [anon_sym_values] = ACTIONS(1828),
    [anon_sym_write] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1828),
    [anon_sym___END__] = ACTIONS(1828),
    [anon_sym_EOT] = ACTIONS(1828),
    [anon_sym_q] = ACTIONS(1828),
    [anon_sym_qq] = ACTIONS(1828),
    [anon_sym_qw] = ACTIONS(1828),
    [anon_sym_qx] = ACTIONS(1828),
    [anon_sym_qr] = ACTIONS(1828),
    [anon_sym_m] = ACTIONS(1828),
    [anon_sym_s] = ACTIONS(1828),
    [anon_sym_tr] = ACTIONS(1828),
    [anon_sym_y] = ACTIONS(1828),
    [aux_sym__bareword_token1] = ACTIONS(1828),
    [sym_number] = ACTIONS(1828),
    [anon_sym_true] = ACTIONS(1828),
    [anon_sym_false] = ACTIONS(1828),
    [sym__single_quote] = ACTIONS(1832),
    [sym__double_quote] = ACTIONS(1832),
    [sym__backtick_quote] = ACTIONS(1832),
    [sym__search_slash_quote] = ACTIONS(1832),
    [sym__open_readline_bracket] = ACTIONS(1832),
    [sym__open_fileglob_bracket] = ACTIONS(1832),
    [sym__PERLY_SEMICOLON] = ACTIONS(1832),
    [sym__PERLY_HEREDOC] = ACTIONS(1832),
    [sym__ctrl_z_hack] = ACTIONS(1832),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1832),
    [sym__filetest] = ACTIONS(1832),
  },
  [782] = {
    [sym_heredoc_content] = STATE(782),
    [sym__identifier] = ACTIONS(1834),
    [anon_sym_LBRACE] = ACTIONS(1834),
    [anon_sym_SEMI] = ACTIONS(1834),
    [anon_sym_DOLLAR] = ACTIONS(1834),
    [anon_sym_EQ] = ACTIONS(1834),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1834),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1834),
    [anon_sym_AT] = ACTIONS(1834),
    [anon_sym_COMMA] = ACTIONS(1834),
    [anon_sym_my] = ACTIONS(1834),
    [anon_sym_extended] = ACTIONS(1834),
    [anon_sym_async] = ACTIONS(1834),
    [anon_sym_sub] = ACTIONS(1834),
    [anon_sym_method] = ACTIONS(1834),
    [anon_sym_LPAREN] = ACTIONS(1834),
    [anon_sym_continue] = ACTIONS(1834),
    [anon_sym_state] = ACTIONS(1834),
    [anon_sym_our] = ACTIONS(1834),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1834),
    [anon_sym_and] = ACTIONS(1834),
    [anon_sym_or] = ACTIONS(1834),
    [anon_sym_xor] = ACTIONS(1834),
    [anon_sym_LBRACK] = ACTIONS(1834),
    [anon_sym_DASH_GT] = ACTIONS(1834),
    [anon_sym_PERCENT] = ACTIONS(1834),
    [anon_sym_GT] = ACTIONS(1834),
    [anon_sym_LT_LT] = ACTIONS(1834),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1834),
    [anon_sym_PLUS_EQ] = ACTIONS(1834),
    [anon_sym_DASH_EQ] = ACTIONS(1834),
    [anon_sym_DOT_EQ] = ACTIONS(1834),
    [anon_sym_STAR_EQ] = ACTIONS(1834),
    [anon_sym_SLASH_EQ] = ACTIONS(1834),
    [anon_sym_PERCENT_EQ] = ACTIONS(1834),
    [anon_sym_x_EQ] = ACTIONS(1834),
    [anon_sym_AMP_EQ] = ACTIONS(1834),
    [anon_sym_PIPE_EQ] = ACTIONS(1834),
    [anon_sym_CARET_EQ] = ACTIONS(1834),
    [anon_sym_LT_LT_EQ] = ACTIONS(1834),
    [anon_sym_GT_GT_EQ] = ACTIONS(1834),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1834),
    [anon_sym_DOT_DOT] = ACTIONS(1834),
    [anon_sym_STAR_STAR] = ACTIONS(1834),
    [anon_sym_PIPE_PIPE] = ACTIONS(1834),
    [anon_sym_SLASH_SLASH] = ACTIONS(1834),
    [anon_sym_CARET_CARET] = ACTIONS(1834),
    [anon_sym_AMP_AMP] = ACTIONS(1834),
    [anon_sym_PIPE] = ACTIONS(1834),
    [anon_sym_CARET] = ACTIONS(1834),
    [anon_sym_AMP] = ACTIONS(1834),
    [anon_sym_GT_GT2] = ACTIONS(1834),
    [anon_sym_PLUS] = ACTIONS(1834),
    [anon_sym_DASH] = ACTIONS(1834),
    [anon_sym_DOT] = ACTIONS(1834),
    [anon_sym_STAR] = ACTIONS(1834),
    [anon_sym_SLASH] = ACTIONS(1834),
    [anon_sym_x] = ACTIONS(1834),
    [anon_sym_EQ_TILDE] = ACTIONS(1834),
    [anon_sym_BANG_TILDE] = ACTIONS(1834),
    [anon_sym_EQ_EQ] = ACTIONS(1834),
    [anon_sym_BANG_EQ] = ACTIONS(1834),
    [anon_sym_eq] = ACTIONS(1834),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1834),
    [anon_sym_equ] = ACTIONS(1834),
    [anon_sym_eqr] = ACTIONS(1834),
    [anon_sym_ne] = ACTIONS(1834),
    [anon_sym_LT_EQ_GT] = ACTIONS(1834),
    [anon_sym_cmp] = ACTIONS(1834),
    [anon_sym_TILDE_TILDE] = ACTIONS(1834),
    [anon_sym_LT] = ACTIONS(1834),
    [anon_sym_LT_EQ] = ACTIONS(1834),
    [anon_sym_GT_EQ] = ACTIONS(1834),
    [anon_sym_lt] = ACTIONS(1834),
    [anon_sym_le] = ACTIONS(1834),
    [anon_sym_ge] = ACTIONS(1834),
    [anon_sym_gt] = ACTIONS(1834),
    [anon_sym_isa] = ACTIONS(1834),
    [anon_sym_TILDE] = ACTIONS(1834),
    [anon_sym_BANG] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1834),
    [anon_sym_DASH_DASH] = ACTIONS(1834),
    [anon_sym_QMARK] = ACTIONS(1834),
    [anon_sym_BSLASH] = ACTIONS(1836),
    [anon_sym_do] = ACTIONS(1834),
    [anon_sym_eval] = ACTIONS(1834),
    [anon_sym_await] = ACTIONS(1834),
    [anon_sym_field] = ACTIONS(1834),
    [anon_sym_local] = ACTIONS(1834),
    [anon_sym_dynamically] = ACTIONS(1834),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1834),
    [anon_sym_require] = ACTIONS(1834),
    [anon_sym_map] = ACTIONS(1834),
    [anon_sym_grep] = ACTIONS(1834),
    [anon_sym_sort] = ACTIONS(1834),
    [anon_sym_goto] = ACTIONS(1834),
    [anon_sym_return] = ACTIONS(1834),
    [anon_sym_undef] = ACTIONS(1834),
    [anon_sym_PERCENT2] = ACTIONS(1834),
    [anon_sym_AMP2] = ACTIONS(1834),
    [anon_sym_STAR2] = ACTIONS(1834),
    [anon_sym_EQ_GT] = ACTIONS(1834),
    [anon_sym_last] = ACTIONS(1834),
    [anon_sym_next] = ACTIONS(1834),
    [anon_sym_redo] = ACTIONS(1834),
    [anon_sym___FILE__] = ACTIONS(1834),
    [anon_sym___LINE__] = ACTIONS(1834),
    [anon_sym___PACKAGE__] = ACTIONS(1834),
    [anon_sym___SUB__] = ACTIONS(1834),
    [anon_sym_break] = ACTIONS(1834),
    [anon_sym_fork] = ACTIONS(1834),
    [anon_sym_getppid] = ACTIONS(1834),
    [anon_sym_time] = ACTIONS(1834),
    [anon_sym_times] = ACTIONS(1834),
    [anon_sym_wait] = ACTIONS(1834),
    [anon_sym_wantarray] = ACTIONS(1834),
    [anon_sym_abs] = ACTIONS(1834),
    [anon_sym_alarm] = ACTIONS(1834),
    [anon_sym_chop] = ACTIONS(1834),
    [anon_sym_chdir] = ACTIONS(1834),
    [anon_sym_close] = ACTIONS(1834),
    [anon_sym_closedir] = ACTIONS(1834),
    [anon_sym_caller] = ACTIONS(1834),
    [anon_sym_chomp] = ACTIONS(1834),
    [anon_sym_chr] = ACTIONS(1834),
    [anon_sym_cos] = ACTIONS(1834),
    [anon_sym_chroot] = ACTIONS(1834),
    [anon_sym_defined] = ACTIONS(1834),
    [anon_sym_delete] = ACTIONS(1834),
    [anon_sym_dbmclose] = ACTIONS(1834),
    [anon_sym_exists] = ACTIONS(1834),
    [anon_sym_exit] = ACTIONS(1834),
    [anon_sym_eof] = ACTIONS(1834),
    [anon_sym_exp] = ACTIONS(1834),
    [anon_sym_each] = ACTIONS(1834),
    [anon_sym_fc] = ACTIONS(1834),
    [anon_sym_fileno] = ACTIONS(1834),
    [anon_sym_gmtime] = ACTIONS(1834),
    [anon_sym_getc] = ACTIONS(1834),
    [anon_sym_getpgrp] = ACTIONS(1834),
    [anon_sym_getprotobyname] = ACTIONS(1834),
    [anon_sym_getpwname] = ACTIONS(1834),
    [anon_sym_getpwuid] = ACTIONS(1834),
    [anon_sym_getpeername] = ACTIONS(1834),
    [anon_sym_getnetbyname] = ACTIONS(1834),
    [anon_sym_getsockname] = ACTIONS(1834),
    [anon_sym_getgrnam] = ACTIONS(1834),
    [anon_sym_getgrgid] = ACTIONS(1834),
    [anon_sym_hex] = ACTIONS(1834),
    [anon_sym_int] = ACTIONS(1834),
    [anon_sym_keys] = ACTIONS(1834),
    [anon_sym_lc] = ACTIONS(1834),
    [anon_sym_lcfirst] = ACTIONS(1834),
    [anon_sym_length] = ACTIONS(1834),
    [anon_sym_localtime] = ACTIONS(1834),
    [anon_sym_log] = ACTIONS(1834),
    [anon_sym_lock] = ACTIONS(1834),
    [anon_sym_lstat] = ACTIONS(1834),
    [anon_sym_oct] = ACTIONS(1834),
    [anon_sym_ord] = ACTIONS(1834),
    [anon_sym_prototype] = ACTIONS(1834),
    [anon_sym_pop] = ACTIONS(1834),
    [anon_sym_pos] = ACTIONS(1834),
    [anon_sym_quotemeta] = ACTIONS(1834),
    [anon_sym_reset] = ACTIONS(1834),
    [anon_sym_rand] = ACTIONS(1834),
    [anon_sym_rmdir] = ACTIONS(1834),
    [anon_sym_readdir] = ACTIONS(1834),
    [anon_sym_readline] = ACTIONS(1834),
    [anon_sym_readpipe] = ACTIONS(1834),
    [anon_sym_rewinddir] = ACTIONS(1834),
    [anon_sym_readlink] = ACTIONS(1834),
    [anon_sym_ref] = ACTIONS(1834),
    [anon_sym_scalar] = ACTIONS(1834),
    [anon_sym_shift] = ACTIONS(1834),
    [anon_sym_sin] = ACTIONS(1834),
    [anon_sym_sleep] = ACTIONS(1834),
    [anon_sym_sqrt] = ACTIONS(1834),
    [anon_sym_srand] = ACTIONS(1834),
    [anon_sym_stat] = ACTIONS(1834),
    [anon_sym_study] = ACTIONS(1834),
    [anon_sym_tell] = ACTIONS(1834),
    [anon_sym_telldir] = ACTIONS(1834),
    [anon_sym_tied] = ACTIONS(1834),
    [anon_sym_uc] = ACTIONS(1834),
    [anon_sym_ucfirst] = ACTIONS(1834),
    [anon_sym_untie] = ACTIONS(1834),
    [anon_sym_umask] = ACTIONS(1834),
    [anon_sym_values] = ACTIONS(1834),
    [anon_sym_write] = ACTIONS(1834),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1834),
    [anon_sym___END__] = ACTIONS(1834),
    [anon_sym_EOT] = ACTIONS(1834),
    [anon_sym_q] = ACTIONS(1834),
    [anon_sym_qq] = ACTIONS(1834),
    [anon_sym_qw] = ACTIONS(1834),
    [anon_sym_qx] = ACTIONS(1834),
    [anon_sym_qr] = ACTIONS(1834),
    [anon_sym_m] = ACTIONS(1834),
    [anon_sym_s] = ACTIONS(1834),
    [anon_sym_tr] = ACTIONS(1834),
    [anon_sym_y] = ACTIONS(1834),
    [aux_sym__bareword_token1] = ACTIONS(1834),
    [sym_number] = ACTIONS(1834),
    [anon_sym_true] = ACTIONS(1834),
    [anon_sym_false] = ACTIONS(1834),
    [sym__single_quote] = ACTIONS(1836),
    [sym__double_quote] = ACTIONS(1836),
    [sym__backtick_quote] = ACTIONS(1836),
    [sym__search_slash_quote] = ACTIONS(1836),
    [sym__open_readline_bracket] = ACTIONS(1836),
    [sym__open_fileglob_bracket] = ACTIONS(1836),
    [sym__PERLY_SEMICOLON] = ACTIONS(1836),
    [sym__PERLY_HEREDOC] = ACTIONS(1836),
    [sym__ctrl_z_hack] = ACTIONS(1836),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1836),
    [sym__filetest] = ACTIONS(1836),
  },
  [783] = {
    [sym_heredoc_content] = STATE(783),
    [sym__identifier] = ACTIONS(1851),
    [anon_sym_LBRACE] = ACTIONS(1851),
    [anon_sym_SEMI] = ACTIONS(1851),
    [anon_sym_DOLLAR] = ACTIONS(1851),
    [anon_sym_EQ] = ACTIONS(1851),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1851),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(1851),
    [anon_sym_COMMA] = ACTIONS(1851),
    [anon_sym_my] = ACTIONS(1851),
    [anon_sym_extended] = ACTIONS(1851),
    [anon_sym_async] = ACTIONS(1851),
    [anon_sym_sub] = ACTIONS(1851),
    [anon_sym_method] = ACTIONS(1851),
    [anon_sym_LPAREN] = ACTIONS(1851),
    [anon_sym_continue] = ACTIONS(1851),
    [anon_sym_state] = ACTIONS(1851),
    [anon_sym_our] = ACTIONS(1851),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1851),
    [anon_sym_and] = ACTIONS(1851),
    [anon_sym_or] = ACTIONS(1851),
    [anon_sym_xor] = ACTIONS(1851),
    [anon_sym_LBRACK] = ACTIONS(1851),
    [anon_sym_DASH_GT] = ACTIONS(1851),
    [anon_sym_PERCENT] = ACTIONS(1851),
    [anon_sym_GT] = ACTIONS(1851),
    [anon_sym_LT_LT] = ACTIONS(1851),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1851),
    [anon_sym_PLUS_EQ] = ACTIONS(1851),
    [anon_sym_DASH_EQ] = ACTIONS(1851),
    [anon_sym_DOT_EQ] = ACTIONS(1851),
    [anon_sym_STAR_EQ] = ACTIONS(1851),
    [anon_sym_SLASH_EQ] = ACTIONS(1851),
    [anon_sym_PERCENT_EQ] = ACTIONS(1851),
    [anon_sym_x_EQ] = ACTIONS(1851),
    [anon_sym_AMP_EQ] = ACTIONS(1851),
    [anon_sym_PIPE_EQ] = ACTIONS(1851),
    [anon_sym_CARET_EQ] = ACTIONS(1851),
    [anon_sym_LT_LT_EQ] = ACTIONS(1851),
    [anon_sym_GT_GT_EQ] = ACTIONS(1851),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1851),
    [anon_sym_DOT_DOT] = ACTIONS(1851),
    [anon_sym_STAR_STAR] = ACTIONS(1851),
    [anon_sym_PIPE_PIPE] = ACTIONS(1851),
    [anon_sym_SLASH_SLASH] = ACTIONS(1851),
    [anon_sym_CARET_CARET] = ACTIONS(1851),
    [anon_sym_AMP_AMP] = ACTIONS(1851),
    [anon_sym_PIPE] = ACTIONS(1851),
    [anon_sym_CARET] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym_GT_GT2] = ACTIONS(1851),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_DOT] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_SLASH] = ACTIONS(1851),
    [anon_sym_x] = ACTIONS(1851),
    [anon_sym_EQ_TILDE] = ACTIONS(1851),
    [anon_sym_BANG_TILDE] = ACTIONS(1851),
    [anon_sym_EQ_EQ] = ACTIONS(1851),
    [anon_sym_BANG_EQ] = ACTIONS(1851),
    [anon_sym_eq] = ACTIONS(1851),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1851),
    [anon_sym_equ] = ACTIONS(1851),
    [anon_sym_eqr] = ACTIONS(1851),
    [anon_sym_ne] = ACTIONS(1851),
    [anon_sym_LT_EQ_GT] = ACTIONS(1851),
    [anon_sym_cmp] = ACTIONS(1851),
    [anon_sym_TILDE_TILDE] = ACTIONS(1851),
    [anon_sym_LT] = ACTIONS(1851),
    [anon_sym_LT_EQ] = ACTIONS(1851),
    [anon_sym_GT_EQ] = ACTIONS(1851),
    [anon_sym_lt] = ACTIONS(1851),
    [anon_sym_le] = ACTIONS(1851),
    [anon_sym_ge] = ACTIONS(1851),
    [anon_sym_gt] = ACTIONS(1851),
    [anon_sym_isa] = ACTIONS(1851),
    [anon_sym_TILDE] = ACTIONS(1851),
    [anon_sym_BANG] = ACTIONS(1851),
    [anon_sym_PLUS_PLUS] = ACTIONS(1851),
    [anon_sym_DASH_DASH] = ACTIONS(1851),
    [anon_sym_QMARK] = ACTIONS(1851),
    [anon_sym_BSLASH] = ACTIONS(1853),
    [anon_sym_do] = ACTIONS(1851),
    [anon_sym_eval] = ACTIONS(1851),
    [anon_sym_await] = ACTIONS(1851),
    [anon_sym_field] = ACTIONS(1851),
    [anon_sym_local] = ACTIONS(1851),
    [anon_sym_dynamically] = ACTIONS(1851),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1851),
    [anon_sym_require] = ACTIONS(1851),
    [anon_sym_map] = ACTIONS(1851),
    [anon_sym_grep] = ACTIONS(1851),
    [anon_sym_sort] = ACTIONS(1851),
    [anon_sym_goto] = ACTIONS(1851),
    [anon_sym_return] = ACTIONS(1851),
    [anon_sym_undef] = ACTIONS(1851),
    [anon_sym_PERCENT2] = ACTIONS(1851),
    [anon_sym_AMP2] = ACTIONS(1851),
    [anon_sym_STAR2] = ACTIONS(1851),
    [anon_sym_EQ_GT] = ACTIONS(1851),
    [anon_sym_last] = ACTIONS(1851),
    [anon_sym_next] = ACTIONS(1851),
    [anon_sym_redo] = ACTIONS(1851),
    [anon_sym___FILE__] = ACTIONS(1851),
    [anon_sym___LINE__] = ACTIONS(1851),
    [anon_sym___PACKAGE__] = ACTIONS(1851),
    [anon_sym___SUB__] = ACTIONS(1851),
    [anon_sym_break] = ACTIONS(1851),
    [anon_sym_fork] = ACTIONS(1851),
    [anon_sym_getppid] = ACTIONS(1851),
    [anon_sym_time] = ACTIONS(1851),
    [anon_sym_times] = ACTIONS(1851),
    [anon_sym_wait] = ACTIONS(1851),
    [anon_sym_wantarray] = ACTIONS(1851),
    [anon_sym_abs] = ACTIONS(1851),
    [anon_sym_alarm] = ACTIONS(1851),
    [anon_sym_chop] = ACTIONS(1851),
    [anon_sym_chdir] = ACTIONS(1851),
    [anon_sym_close] = ACTIONS(1851),
    [anon_sym_closedir] = ACTIONS(1851),
    [anon_sym_caller] = ACTIONS(1851),
    [anon_sym_chomp] = ACTIONS(1851),
    [anon_sym_chr] = ACTIONS(1851),
    [anon_sym_cos] = ACTIONS(1851),
    [anon_sym_chroot] = ACTIONS(1851),
    [anon_sym_defined] = ACTIONS(1851),
    [anon_sym_delete] = ACTIONS(1851),
    [anon_sym_dbmclose] = ACTIONS(1851),
    [anon_sym_exists] = ACTIONS(1851),
    [anon_sym_exit] = ACTIONS(1851),
    [anon_sym_eof] = ACTIONS(1851),
    [anon_sym_exp] = ACTIONS(1851),
    [anon_sym_each] = ACTIONS(1851),
    [anon_sym_fc] = ACTIONS(1851),
    [anon_sym_fileno] = ACTIONS(1851),
    [anon_sym_gmtime] = ACTIONS(1851),
    [anon_sym_getc] = ACTIONS(1851),
    [anon_sym_getpgrp] = ACTIONS(1851),
    [anon_sym_getprotobyname] = ACTIONS(1851),
    [anon_sym_getpwname] = ACTIONS(1851),
    [anon_sym_getpwuid] = ACTIONS(1851),
    [anon_sym_getpeername] = ACTIONS(1851),
    [anon_sym_getnetbyname] = ACTIONS(1851),
    [anon_sym_getsockname] = ACTIONS(1851),
    [anon_sym_getgrnam] = ACTIONS(1851),
    [anon_sym_getgrgid] = ACTIONS(1851),
    [anon_sym_hex] = ACTIONS(1851),
    [anon_sym_int] = ACTIONS(1851),
    [anon_sym_keys] = ACTIONS(1851),
    [anon_sym_lc] = ACTIONS(1851),
    [anon_sym_lcfirst] = ACTIONS(1851),
    [anon_sym_length] = ACTIONS(1851),
    [anon_sym_localtime] = ACTIONS(1851),
    [anon_sym_log] = ACTIONS(1851),
    [anon_sym_lock] = ACTIONS(1851),
    [anon_sym_lstat] = ACTIONS(1851),
    [anon_sym_oct] = ACTIONS(1851),
    [anon_sym_ord] = ACTIONS(1851),
    [anon_sym_prototype] = ACTIONS(1851),
    [anon_sym_pop] = ACTIONS(1851),
    [anon_sym_pos] = ACTIONS(1851),
    [anon_sym_quotemeta] = ACTIONS(1851),
    [anon_sym_reset] = ACTIONS(1851),
    [anon_sym_rand] = ACTIONS(1851),
    [anon_sym_rmdir] = ACTIONS(1851),
    [anon_sym_readdir] = ACTIONS(1851),
    [anon_sym_readline] = ACTIONS(1851),
    [anon_sym_readpipe] = ACTIONS(1851),
    [anon_sym_rewinddir] = ACTIONS(1851),
    [anon_sym_readlink] = ACTIONS(1851),
    [anon_sym_ref] = ACTIONS(1851),
    [anon_sym_scalar] = ACTIONS(1851),
    [anon_sym_shift] = ACTIONS(1851),
    [anon_sym_sin] = ACTIONS(1851),
    [anon_sym_sleep] = ACTIONS(1851),
    [anon_sym_sqrt] = ACTIONS(1851),
    [anon_sym_srand] = ACTIONS(1851),
    [anon_sym_stat] = ACTIONS(1851),
    [anon_sym_study] = ACTIONS(1851),
    [anon_sym_tell] = ACTIONS(1851),
    [anon_sym_telldir] = ACTIONS(1851),
    [anon_sym_tied] = ACTIONS(1851),
    [anon_sym_uc] = ACTIONS(1851),
    [anon_sym_ucfirst] = ACTIONS(1851),
    [anon_sym_untie] = ACTIONS(1851),
    [anon_sym_umask] = ACTIONS(1851),
    [anon_sym_values] = ACTIONS(1851),
    [anon_sym_write] = ACTIONS(1851),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1851),
    [anon_sym___END__] = ACTIONS(1851),
    [anon_sym_EOT] = ACTIONS(1851),
    [anon_sym_q] = ACTIONS(1851),
    [anon_sym_qq] = ACTIONS(1851),
    [anon_sym_qw] = ACTIONS(1851),
    [anon_sym_qx] = ACTIONS(1851),
    [anon_sym_qr] = ACTIONS(1851),
    [anon_sym_m] = ACTIONS(1851),
    [anon_sym_s] = ACTIONS(1851),
    [anon_sym_tr] = ACTIONS(1851),
    [anon_sym_y] = ACTIONS(1851),
    [aux_sym__bareword_token1] = ACTIONS(1851),
    [sym_number] = ACTIONS(1851),
    [anon_sym_true] = ACTIONS(1851),
    [anon_sym_false] = ACTIONS(1851),
    [sym__single_quote] = ACTIONS(1853),
    [sym__double_quote] = ACTIONS(1853),
    [sym__backtick_quote] = ACTIONS(1853),
    [sym__search_slash_quote] = ACTIONS(1853),
    [sym__open_readline_bracket] = ACTIONS(1853),
    [sym__open_fileglob_bracket] = ACTIONS(1853),
    [sym__PERLY_SEMICOLON] = ACTIONS(1853),
    [sym__PERLY_HEREDOC] = ACTIONS(1853),
    [sym__ctrl_z_hack] = ACTIONS(1853),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1853),
    [sym__filetest] = ACTIONS(1853),
  },
  [784] = {
    [sym_heredoc_content] = STATE(784),
    [sym__identifier] = ACTIONS(1889),
    [anon_sym_LBRACE] = ACTIONS(1889),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1889),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1889),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1889),
    [anon_sym_extended] = ACTIONS(1889),
    [anon_sym_async] = ACTIONS(1889),
    [anon_sym_sub] = ACTIONS(1889),
    [anon_sym_method] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1889),
    [anon_sym_continue] = ACTIONS(1889),
    [anon_sym_state] = ACTIONS(1889),
    [anon_sym_our] = ACTIONS(1889),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1889),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1889),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1889),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1889),
    [anon_sym_DASH] = ACTIONS(1889),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1889),
    [anon_sym_BANG] = ACTIONS(1889),
    [anon_sym_PLUS_PLUS] = ACTIONS(1889),
    [anon_sym_DASH_DASH] = ACTIONS(1889),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1891),
    [anon_sym_do] = ACTIONS(1889),
    [anon_sym_eval] = ACTIONS(1889),
    [anon_sym_await] = ACTIONS(1889),
    [anon_sym_field] = ACTIONS(1889),
    [anon_sym_local] = ACTIONS(1889),
    [anon_sym_dynamically] = ACTIONS(1889),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1889),
    [anon_sym_require] = ACTIONS(1889),
    [anon_sym_map] = ACTIONS(1889),
    [anon_sym_grep] = ACTIONS(1889),
    [anon_sym_sort] = ACTIONS(1889),
    [anon_sym_goto] = ACTIONS(1889),
    [anon_sym_return] = ACTIONS(1889),
    [anon_sym_undef] = ACTIONS(1889),
    [anon_sym_PERCENT2] = ACTIONS(1889),
    [anon_sym_AMP2] = ACTIONS(1889),
    [anon_sym_STAR2] = ACTIONS(1889),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1889),
    [anon_sym_next] = ACTIONS(1889),
    [anon_sym_redo] = ACTIONS(1889),
    [anon_sym___FILE__] = ACTIONS(1889),
    [anon_sym___LINE__] = ACTIONS(1889),
    [anon_sym___PACKAGE__] = ACTIONS(1889),
    [anon_sym___SUB__] = ACTIONS(1889),
    [anon_sym_break] = ACTIONS(1889),
    [anon_sym_fork] = ACTIONS(1889),
    [anon_sym_getppid] = ACTIONS(1889),
    [anon_sym_time] = ACTIONS(1889),
    [anon_sym_times] = ACTIONS(1889),
    [anon_sym_wait] = ACTIONS(1889),
    [anon_sym_wantarray] = ACTIONS(1889),
    [anon_sym_abs] = ACTIONS(1889),
    [anon_sym_alarm] = ACTIONS(1889),
    [anon_sym_chop] = ACTIONS(1889),
    [anon_sym_chdir] = ACTIONS(1889),
    [anon_sym_close] = ACTIONS(1889),
    [anon_sym_closedir] = ACTIONS(1889),
    [anon_sym_caller] = ACTIONS(1889),
    [anon_sym_chomp] = ACTIONS(1889),
    [anon_sym_chr] = ACTIONS(1889),
    [anon_sym_cos] = ACTIONS(1889),
    [anon_sym_chroot] = ACTIONS(1889),
    [anon_sym_defined] = ACTIONS(1889),
    [anon_sym_delete] = ACTIONS(1889),
    [anon_sym_dbmclose] = ACTIONS(1889),
    [anon_sym_exists] = ACTIONS(1889),
    [anon_sym_exit] = ACTIONS(1889),
    [anon_sym_eof] = ACTIONS(1889),
    [anon_sym_exp] = ACTIONS(1889),
    [anon_sym_each] = ACTIONS(1889),
    [anon_sym_fc] = ACTIONS(1889),
    [anon_sym_fileno] = ACTIONS(1889),
    [anon_sym_gmtime] = ACTIONS(1889),
    [anon_sym_getc] = ACTIONS(1889),
    [anon_sym_getpgrp] = ACTIONS(1889),
    [anon_sym_getprotobyname] = ACTIONS(1889),
    [anon_sym_getpwname] = ACTIONS(1889),
    [anon_sym_getpwuid] = ACTIONS(1889),
    [anon_sym_getpeername] = ACTIONS(1889),
    [anon_sym_getnetbyname] = ACTIONS(1889),
    [anon_sym_getsockname] = ACTIONS(1889),
    [anon_sym_getgrnam] = ACTIONS(1889),
    [anon_sym_getgrgid] = ACTIONS(1889),
    [anon_sym_hex] = ACTIONS(1889),
    [anon_sym_int] = ACTIONS(1889),
    [anon_sym_keys] = ACTIONS(1889),
    [anon_sym_lc] = ACTIONS(1889),
    [anon_sym_lcfirst] = ACTIONS(1889),
    [anon_sym_length] = ACTIONS(1889),
    [anon_sym_localtime] = ACTIONS(1889),
    [anon_sym_log] = ACTIONS(1889),
    [anon_sym_lock] = ACTIONS(1889),
    [anon_sym_lstat] = ACTIONS(1889),
    [anon_sym_oct] = ACTIONS(1889),
    [anon_sym_ord] = ACTIONS(1889),
    [anon_sym_prototype] = ACTIONS(1889),
    [anon_sym_pop] = ACTIONS(1889),
    [anon_sym_pos] = ACTIONS(1889),
    [anon_sym_quotemeta] = ACTIONS(1889),
    [anon_sym_reset] = ACTIONS(1889),
    [anon_sym_rand] = ACTIONS(1889),
    [anon_sym_rmdir] = ACTIONS(1889),
    [anon_sym_readdir] = ACTIONS(1889),
    [anon_sym_readline] = ACTIONS(1889),
    [anon_sym_readpipe] = ACTIONS(1889),
    [anon_sym_rewinddir] = ACTIONS(1889),
    [anon_sym_readlink] = ACTIONS(1889),
    [anon_sym_ref] = ACTIONS(1889),
    [anon_sym_scalar] = ACTIONS(1889),
    [anon_sym_shift] = ACTIONS(1889),
    [anon_sym_sin] = ACTIONS(1889),
    [anon_sym_sleep] = ACTIONS(1889),
    [anon_sym_sqrt] = ACTIONS(1889),
    [anon_sym_srand] = ACTIONS(1889),
    [anon_sym_stat] = ACTIONS(1889),
    [anon_sym_study] = ACTIONS(1889),
    [anon_sym_tell] = ACTIONS(1889),
    [anon_sym_telldir] = ACTIONS(1889),
    [anon_sym_tied] = ACTIONS(1889),
    [anon_sym_uc] = ACTIONS(1889),
    [anon_sym_ucfirst] = ACTIONS(1889),
    [anon_sym_untie] = ACTIONS(1889),
    [anon_sym_umask] = ACTIONS(1889),
    [anon_sym_values] = ACTIONS(1889),
    [anon_sym_write] = ACTIONS(1889),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1889),
    [anon_sym_qq] = ACTIONS(1889),
    [anon_sym_qw] = ACTIONS(1889),
    [anon_sym_qx] = ACTIONS(1889),
    [anon_sym_qr] = ACTIONS(1889),
    [anon_sym_m] = ACTIONS(1889),
    [anon_sym_s] = ACTIONS(1889),
    [anon_sym_tr] = ACTIONS(1889),
    [anon_sym_y] = ACTIONS(1889),
    [aux_sym__bareword_token1] = ACTIONS(1889),
    [sym_number] = ACTIONS(1889),
    [anon_sym_true] = ACTIONS(1889),
    [anon_sym_false] = ACTIONS(1889),
    [sym__single_quote] = ACTIONS(1891),
    [sym__double_quote] = ACTIONS(1891),
    [sym__backtick_quote] = ACTIONS(1891),
    [sym__search_slash_quote] = ACTIONS(1891),
    [sym__open_readline_bracket] = ACTIONS(1891),
    [sym__open_fileglob_bracket] = ACTIONS(1891),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1891),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1891),
    [sym__filetest] = ACTIONS(1891),
  },
  [785] = {
    [sym_heredoc_content] = STATE(785),
    [sym__identifier] = ACTIONS(1855),
    [anon_sym_LBRACE] = ACTIONS(1855),
    [anon_sym_SEMI] = ACTIONS(1855),
    [anon_sym_DOLLAR] = ACTIONS(1855),
    [anon_sym_EQ] = ACTIONS(1855),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1855),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1855),
    [anon_sym_AT] = ACTIONS(1855),
    [anon_sym_COMMA] = ACTIONS(1855),
    [anon_sym_my] = ACTIONS(1855),
    [anon_sym_extended] = ACTIONS(1855),
    [anon_sym_async] = ACTIONS(1855),
    [anon_sym_sub] = ACTIONS(1855),
    [anon_sym_method] = ACTIONS(1855),
    [anon_sym_LPAREN] = ACTIONS(1855),
    [anon_sym_continue] = ACTIONS(1855),
    [anon_sym_state] = ACTIONS(1855),
    [anon_sym_our] = ACTIONS(1855),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1855),
    [anon_sym_and] = ACTIONS(1855),
    [anon_sym_or] = ACTIONS(1855),
    [anon_sym_xor] = ACTIONS(1855),
    [anon_sym_LBRACK] = ACTIONS(1855),
    [anon_sym_DASH_GT] = ACTIONS(1855),
    [anon_sym_PERCENT] = ACTIONS(1855),
    [anon_sym_GT] = ACTIONS(1855),
    [anon_sym_LT_LT] = ACTIONS(1855),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1855),
    [anon_sym_PLUS_EQ] = ACTIONS(1855),
    [anon_sym_DASH_EQ] = ACTIONS(1855),
    [anon_sym_DOT_EQ] = ACTIONS(1855),
    [anon_sym_STAR_EQ] = ACTIONS(1855),
    [anon_sym_SLASH_EQ] = ACTIONS(1855),
    [anon_sym_PERCENT_EQ] = ACTIONS(1855),
    [anon_sym_x_EQ] = ACTIONS(1855),
    [anon_sym_AMP_EQ] = ACTIONS(1855),
    [anon_sym_PIPE_EQ] = ACTIONS(1855),
    [anon_sym_CARET_EQ] = ACTIONS(1855),
    [anon_sym_LT_LT_EQ] = ACTIONS(1855),
    [anon_sym_GT_GT_EQ] = ACTIONS(1855),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1855),
    [anon_sym_DOT_DOT] = ACTIONS(1855),
    [anon_sym_STAR_STAR] = ACTIONS(1855),
    [anon_sym_PIPE_PIPE] = ACTIONS(1855),
    [anon_sym_SLASH_SLASH] = ACTIONS(1855),
    [anon_sym_CARET_CARET] = ACTIONS(1855),
    [anon_sym_AMP_AMP] = ACTIONS(1855),
    [anon_sym_PIPE] = ACTIONS(1855),
    [anon_sym_CARET] = ACTIONS(1855),
    [anon_sym_AMP] = ACTIONS(1855),
    [anon_sym_GT_GT2] = ACTIONS(1855),
    [anon_sym_PLUS] = ACTIONS(1855),
    [anon_sym_DASH] = ACTIONS(1855),
    [anon_sym_DOT] = ACTIONS(1855),
    [anon_sym_STAR] = ACTIONS(1855),
    [anon_sym_SLASH] = ACTIONS(1855),
    [anon_sym_x] = ACTIONS(1855),
    [anon_sym_EQ_TILDE] = ACTIONS(1855),
    [anon_sym_BANG_TILDE] = ACTIONS(1855),
    [anon_sym_EQ_EQ] = ACTIONS(1855),
    [anon_sym_BANG_EQ] = ACTIONS(1855),
    [anon_sym_eq] = ACTIONS(1855),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1855),
    [anon_sym_equ] = ACTIONS(1855),
    [anon_sym_eqr] = ACTIONS(1855),
    [anon_sym_ne] = ACTIONS(1855),
    [anon_sym_LT_EQ_GT] = ACTIONS(1855),
    [anon_sym_cmp] = ACTIONS(1855),
    [anon_sym_TILDE_TILDE] = ACTIONS(1855),
    [anon_sym_LT] = ACTIONS(1855),
    [anon_sym_LT_EQ] = ACTIONS(1855),
    [anon_sym_GT_EQ] = ACTIONS(1855),
    [anon_sym_lt] = ACTIONS(1855),
    [anon_sym_le] = ACTIONS(1855),
    [anon_sym_ge] = ACTIONS(1855),
    [anon_sym_gt] = ACTIONS(1855),
    [anon_sym_isa] = ACTIONS(1855),
    [anon_sym_TILDE] = ACTIONS(1855),
    [anon_sym_BANG] = ACTIONS(1855),
    [anon_sym_PLUS_PLUS] = ACTIONS(1855),
    [anon_sym_DASH_DASH] = ACTIONS(1855),
    [anon_sym_QMARK] = ACTIONS(1855),
    [anon_sym_BSLASH] = ACTIONS(1857),
    [anon_sym_do] = ACTIONS(1855),
    [anon_sym_eval] = ACTIONS(1855),
    [anon_sym_await] = ACTIONS(1855),
    [anon_sym_field] = ACTIONS(1855),
    [anon_sym_local] = ACTIONS(1855),
    [anon_sym_dynamically] = ACTIONS(1855),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1855),
    [anon_sym_require] = ACTIONS(1855),
    [anon_sym_map] = ACTIONS(1855),
    [anon_sym_grep] = ACTIONS(1855),
    [anon_sym_sort] = ACTIONS(1855),
    [anon_sym_goto] = ACTIONS(1855),
    [anon_sym_return] = ACTIONS(1855),
    [anon_sym_undef] = ACTIONS(1855),
    [anon_sym_PERCENT2] = ACTIONS(1855),
    [anon_sym_AMP2] = ACTIONS(1855),
    [anon_sym_STAR2] = ACTIONS(1855),
    [anon_sym_EQ_GT] = ACTIONS(1855),
    [anon_sym_last] = ACTIONS(1855),
    [anon_sym_next] = ACTIONS(1855),
    [anon_sym_redo] = ACTIONS(1855),
    [anon_sym___FILE__] = ACTIONS(1855),
    [anon_sym___LINE__] = ACTIONS(1855),
    [anon_sym___PACKAGE__] = ACTIONS(1855),
    [anon_sym___SUB__] = ACTIONS(1855),
    [anon_sym_break] = ACTIONS(1855),
    [anon_sym_fork] = ACTIONS(1855),
    [anon_sym_getppid] = ACTIONS(1855),
    [anon_sym_time] = ACTIONS(1855),
    [anon_sym_times] = ACTIONS(1855),
    [anon_sym_wait] = ACTIONS(1855),
    [anon_sym_wantarray] = ACTIONS(1855),
    [anon_sym_abs] = ACTIONS(1855),
    [anon_sym_alarm] = ACTIONS(1855),
    [anon_sym_chop] = ACTIONS(1855),
    [anon_sym_chdir] = ACTIONS(1855),
    [anon_sym_close] = ACTIONS(1855),
    [anon_sym_closedir] = ACTIONS(1855),
    [anon_sym_caller] = ACTIONS(1855),
    [anon_sym_chomp] = ACTIONS(1855),
    [anon_sym_chr] = ACTIONS(1855),
    [anon_sym_cos] = ACTIONS(1855),
    [anon_sym_chroot] = ACTIONS(1855),
    [anon_sym_defined] = ACTIONS(1855),
    [anon_sym_delete] = ACTIONS(1855),
    [anon_sym_dbmclose] = ACTIONS(1855),
    [anon_sym_exists] = ACTIONS(1855),
    [anon_sym_exit] = ACTIONS(1855),
    [anon_sym_eof] = ACTIONS(1855),
    [anon_sym_exp] = ACTIONS(1855),
    [anon_sym_each] = ACTIONS(1855),
    [anon_sym_fc] = ACTIONS(1855),
    [anon_sym_fileno] = ACTIONS(1855),
    [anon_sym_gmtime] = ACTIONS(1855),
    [anon_sym_getc] = ACTIONS(1855),
    [anon_sym_getpgrp] = ACTIONS(1855),
    [anon_sym_getprotobyname] = ACTIONS(1855),
    [anon_sym_getpwname] = ACTIONS(1855),
    [anon_sym_getpwuid] = ACTIONS(1855),
    [anon_sym_getpeername] = ACTIONS(1855),
    [anon_sym_getnetbyname] = ACTIONS(1855),
    [anon_sym_getsockname] = ACTIONS(1855),
    [anon_sym_getgrnam] = ACTIONS(1855),
    [anon_sym_getgrgid] = ACTIONS(1855),
    [anon_sym_hex] = ACTIONS(1855),
    [anon_sym_int] = ACTIONS(1855),
    [anon_sym_keys] = ACTIONS(1855),
    [anon_sym_lc] = ACTIONS(1855),
    [anon_sym_lcfirst] = ACTIONS(1855),
    [anon_sym_length] = ACTIONS(1855),
    [anon_sym_localtime] = ACTIONS(1855),
    [anon_sym_log] = ACTIONS(1855),
    [anon_sym_lock] = ACTIONS(1855),
    [anon_sym_lstat] = ACTIONS(1855),
    [anon_sym_oct] = ACTIONS(1855),
    [anon_sym_ord] = ACTIONS(1855),
    [anon_sym_prototype] = ACTIONS(1855),
    [anon_sym_pop] = ACTIONS(1855),
    [anon_sym_pos] = ACTIONS(1855),
    [anon_sym_quotemeta] = ACTIONS(1855),
    [anon_sym_reset] = ACTIONS(1855),
    [anon_sym_rand] = ACTIONS(1855),
    [anon_sym_rmdir] = ACTIONS(1855),
    [anon_sym_readdir] = ACTIONS(1855),
    [anon_sym_readline] = ACTIONS(1855),
    [anon_sym_readpipe] = ACTIONS(1855),
    [anon_sym_rewinddir] = ACTIONS(1855),
    [anon_sym_readlink] = ACTIONS(1855),
    [anon_sym_ref] = ACTIONS(1855),
    [anon_sym_scalar] = ACTIONS(1855),
    [anon_sym_shift] = ACTIONS(1855),
    [anon_sym_sin] = ACTIONS(1855),
    [anon_sym_sleep] = ACTIONS(1855),
    [anon_sym_sqrt] = ACTIONS(1855),
    [anon_sym_srand] = ACTIONS(1855),
    [anon_sym_stat] = ACTIONS(1855),
    [anon_sym_study] = ACTIONS(1855),
    [anon_sym_tell] = ACTIONS(1855),
    [anon_sym_telldir] = ACTIONS(1855),
    [anon_sym_tied] = ACTIONS(1855),
    [anon_sym_uc] = ACTIONS(1855),
    [anon_sym_ucfirst] = ACTIONS(1855),
    [anon_sym_untie] = ACTIONS(1855),
    [anon_sym_umask] = ACTIONS(1855),
    [anon_sym_values] = ACTIONS(1855),
    [anon_sym_write] = ACTIONS(1855),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1855),
    [anon_sym___END__] = ACTIONS(1855),
    [anon_sym_EOT] = ACTIONS(1855),
    [anon_sym_q] = ACTIONS(1855),
    [anon_sym_qq] = ACTIONS(1855),
    [anon_sym_qw] = ACTIONS(1855),
    [anon_sym_qx] = ACTIONS(1855),
    [anon_sym_qr] = ACTIONS(1855),
    [anon_sym_m] = ACTIONS(1855),
    [anon_sym_s] = ACTIONS(1855),
    [anon_sym_tr] = ACTIONS(1855),
    [anon_sym_y] = ACTIONS(1855),
    [aux_sym__bareword_token1] = ACTIONS(1855),
    [sym_number] = ACTIONS(1855),
    [anon_sym_true] = ACTIONS(1855),
    [anon_sym_false] = ACTIONS(1855),
    [sym__single_quote] = ACTIONS(1857),
    [sym__double_quote] = ACTIONS(1857),
    [sym__backtick_quote] = ACTIONS(1857),
    [sym__search_slash_quote] = ACTIONS(1857),
    [sym__open_readline_bracket] = ACTIONS(1857),
    [sym__open_fileglob_bracket] = ACTIONS(1857),
    [sym__PERLY_SEMICOLON] = ACTIONS(1857),
    [sym__PERLY_HEREDOC] = ACTIONS(1857),
    [sym__ctrl_z_hack] = ACTIONS(1857),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1857),
    [sym__filetest] = ACTIONS(1857),
  },
  [786] = {
    [sym_heredoc_content] = STATE(786),
    [sym__identifier] = ACTIONS(1828),
    [anon_sym_LBRACE] = ACTIONS(1828),
    [anon_sym_SEMI] = ACTIONS(1828),
    [anon_sym_DOLLAR] = ACTIONS(1828),
    [anon_sym_EQ] = ACTIONS(1828),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1828),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1828),
    [anon_sym_AT] = ACTIONS(1828),
    [anon_sym_COMMA] = ACTIONS(1828),
    [anon_sym_my] = ACTIONS(1828),
    [anon_sym_extended] = ACTIONS(1828),
    [anon_sym_async] = ACTIONS(1828),
    [anon_sym_sub] = ACTIONS(1828),
    [anon_sym_method] = ACTIONS(1828),
    [anon_sym_LPAREN] = ACTIONS(1828),
    [anon_sym_continue] = ACTIONS(1828),
    [anon_sym_state] = ACTIONS(1828),
    [anon_sym_our] = ACTIONS(1828),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1828),
    [anon_sym_and] = ACTIONS(1828),
    [anon_sym_or] = ACTIONS(1828),
    [anon_sym_xor] = ACTIONS(1828),
    [anon_sym_LBRACK] = ACTIONS(1828),
    [anon_sym_DASH_GT] = ACTIONS(1828),
    [anon_sym_PERCENT] = ACTIONS(1828),
    [anon_sym_GT] = ACTIONS(1828),
    [anon_sym_LT_LT] = ACTIONS(1828),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1828),
    [anon_sym_PLUS_EQ] = ACTIONS(1828),
    [anon_sym_DASH_EQ] = ACTIONS(1828),
    [anon_sym_DOT_EQ] = ACTIONS(1828),
    [anon_sym_STAR_EQ] = ACTIONS(1828),
    [anon_sym_SLASH_EQ] = ACTIONS(1828),
    [anon_sym_PERCENT_EQ] = ACTIONS(1828),
    [anon_sym_x_EQ] = ACTIONS(1828),
    [anon_sym_AMP_EQ] = ACTIONS(1828),
    [anon_sym_PIPE_EQ] = ACTIONS(1828),
    [anon_sym_CARET_EQ] = ACTIONS(1828),
    [anon_sym_LT_LT_EQ] = ACTIONS(1828),
    [anon_sym_GT_GT_EQ] = ACTIONS(1828),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1828),
    [anon_sym_DOT_DOT] = ACTIONS(1828),
    [anon_sym_STAR_STAR] = ACTIONS(1828),
    [anon_sym_PIPE_PIPE] = ACTIONS(1828),
    [anon_sym_SLASH_SLASH] = ACTIONS(1828),
    [anon_sym_CARET_CARET] = ACTIONS(1828),
    [anon_sym_AMP_AMP] = ACTIONS(1828),
    [anon_sym_PIPE] = ACTIONS(1828),
    [anon_sym_CARET] = ACTIONS(1828),
    [anon_sym_AMP] = ACTIONS(1828),
    [anon_sym_GT_GT2] = ACTIONS(1828),
    [anon_sym_PLUS] = ACTIONS(1828),
    [anon_sym_DASH] = ACTIONS(1828),
    [anon_sym_DOT] = ACTIONS(1828),
    [anon_sym_STAR] = ACTIONS(1828),
    [anon_sym_SLASH] = ACTIONS(1828),
    [anon_sym_x] = ACTIONS(1828),
    [anon_sym_EQ_TILDE] = ACTIONS(1828),
    [anon_sym_BANG_TILDE] = ACTIONS(1828),
    [anon_sym_EQ_EQ] = ACTIONS(1828),
    [anon_sym_BANG_EQ] = ACTIONS(1828),
    [anon_sym_eq] = ACTIONS(1828),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1828),
    [anon_sym_equ] = ACTIONS(1828),
    [anon_sym_eqr] = ACTIONS(1828),
    [anon_sym_ne] = ACTIONS(1828),
    [anon_sym_LT_EQ_GT] = ACTIONS(1828),
    [anon_sym_cmp] = ACTIONS(1828),
    [anon_sym_TILDE_TILDE] = ACTIONS(1828),
    [anon_sym_LT] = ACTIONS(1828),
    [anon_sym_LT_EQ] = ACTIONS(1828),
    [anon_sym_GT_EQ] = ACTIONS(1828),
    [anon_sym_lt] = ACTIONS(1828),
    [anon_sym_le] = ACTIONS(1828),
    [anon_sym_ge] = ACTIONS(1828),
    [anon_sym_gt] = ACTIONS(1828),
    [anon_sym_isa] = ACTIONS(1828),
    [anon_sym_TILDE] = ACTIONS(1828),
    [anon_sym_BANG] = ACTIONS(1828),
    [anon_sym_PLUS_PLUS] = ACTIONS(1828),
    [anon_sym_DASH_DASH] = ACTIONS(1828),
    [anon_sym_QMARK] = ACTIONS(1828),
    [anon_sym_BSLASH] = ACTIONS(1832),
    [anon_sym_do] = ACTIONS(1828),
    [anon_sym_eval] = ACTIONS(1828),
    [anon_sym_await] = ACTIONS(1828),
    [anon_sym_field] = ACTIONS(1828),
    [anon_sym_local] = ACTIONS(1828),
    [anon_sym_dynamically] = ACTIONS(1828),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1828),
    [anon_sym_require] = ACTIONS(1828),
    [anon_sym_map] = ACTIONS(1828),
    [anon_sym_grep] = ACTIONS(1828),
    [anon_sym_sort] = ACTIONS(1828),
    [anon_sym_goto] = ACTIONS(1828),
    [anon_sym_return] = ACTIONS(1828),
    [anon_sym_undef] = ACTIONS(1828),
    [anon_sym_PERCENT2] = ACTIONS(1828),
    [anon_sym_AMP2] = ACTIONS(1828),
    [anon_sym_STAR2] = ACTIONS(1828),
    [anon_sym_EQ_GT] = ACTIONS(1828),
    [anon_sym_last] = ACTIONS(1828),
    [anon_sym_next] = ACTIONS(1828),
    [anon_sym_redo] = ACTIONS(1828),
    [anon_sym___FILE__] = ACTIONS(1828),
    [anon_sym___LINE__] = ACTIONS(1828),
    [anon_sym___PACKAGE__] = ACTIONS(1828),
    [anon_sym___SUB__] = ACTIONS(1828),
    [anon_sym_break] = ACTIONS(1828),
    [anon_sym_fork] = ACTIONS(1828),
    [anon_sym_getppid] = ACTIONS(1828),
    [anon_sym_time] = ACTIONS(1828),
    [anon_sym_times] = ACTIONS(1828),
    [anon_sym_wait] = ACTIONS(1828),
    [anon_sym_wantarray] = ACTIONS(1828),
    [anon_sym_abs] = ACTIONS(1828),
    [anon_sym_alarm] = ACTIONS(1828),
    [anon_sym_chop] = ACTIONS(1828),
    [anon_sym_chdir] = ACTIONS(1828),
    [anon_sym_close] = ACTIONS(1828),
    [anon_sym_closedir] = ACTIONS(1828),
    [anon_sym_caller] = ACTIONS(1828),
    [anon_sym_chomp] = ACTIONS(1828),
    [anon_sym_chr] = ACTIONS(1828),
    [anon_sym_cos] = ACTIONS(1828),
    [anon_sym_chroot] = ACTIONS(1828),
    [anon_sym_defined] = ACTIONS(1828),
    [anon_sym_delete] = ACTIONS(1828),
    [anon_sym_dbmclose] = ACTIONS(1828),
    [anon_sym_exists] = ACTIONS(1828),
    [anon_sym_exit] = ACTIONS(1828),
    [anon_sym_eof] = ACTIONS(1828),
    [anon_sym_exp] = ACTIONS(1828),
    [anon_sym_each] = ACTIONS(1828),
    [anon_sym_fc] = ACTIONS(1828),
    [anon_sym_fileno] = ACTIONS(1828),
    [anon_sym_gmtime] = ACTIONS(1828),
    [anon_sym_getc] = ACTIONS(1828),
    [anon_sym_getpgrp] = ACTIONS(1828),
    [anon_sym_getprotobyname] = ACTIONS(1828),
    [anon_sym_getpwname] = ACTIONS(1828),
    [anon_sym_getpwuid] = ACTIONS(1828),
    [anon_sym_getpeername] = ACTIONS(1828),
    [anon_sym_getnetbyname] = ACTIONS(1828),
    [anon_sym_getsockname] = ACTIONS(1828),
    [anon_sym_getgrnam] = ACTIONS(1828),
    [anon_sym_getgrgid] = ACTIONS(1828),
    [anon_sym_hex] = ACTIONS(1828),
    [anon_sym_int] = ACTIONS(1828),
    [anon_sym_keys] = ACTIONS(1828),
    [anon_sym_lc] = ACTIONS(1828),
    [anon_sym_lcfirst] = ACTIONS(1828),
    [anon_sym_length] = ACTIONS(1828),
    [anon_sym_localtime] = ACTIONS(1828),
    [anon_sym_log] = ACTIONS(1828),
    [anon_sym_lock] = ACTIONS(1828),
    [anon_sym_lstat] = ACTIONS(1828),
    [anon_sym_oct] = ACTIONS(1828),
    [anon_sym_ord] = ACTIONS(1828),
    [anon_sym_prototype] = ACTIONS(1828),
    [anon_sym_pop] = ACTIONS(1828),
    [anon_sym_pos] = ACTIONS(1828),
    [anon_sym_quotemeta] = ACTIONS(1828),
    [anon_sym_reset] = ACTIONS(1828),
    [anon_sym_rand] = ACTIONS(1828),
    [anon_sym_rmdir] = ACTIONS(1828),
    [anon_sym_readdir] = ACTIONS(1828),
    [anon_sym_readline] = ACTIONS(1828),
    [anon_sym_readpipe] = ACTIONS(1828),
    [anon_sym_rewinddir] = ACTIONS(1828),
    [anon_sym_readlink] = ACTIONS(1828),
    [anon_sym_ref] = ACTIONS(1828),
    [anon_sym_scalar] = ACTIONS(1828),
    [anon_sym_shift] = ACTIONS(1828),
    [anon_sym_sin] = ACTIONS(1828),
    [anon_sym_sleep] = ACTIONS(1828),
    [anon_sym_sqrt] = ACTIONS(1828),
    [anon_sym_srand] = ACTIONS(1828),
    [anon_sym_stat] = ACTIONS(1828),
    [anon_sym_study] = ACTIONS(1828),
    [anon_sym_tell] = ACTIONS(1828),
    [anon_sym_telldir] = ACTIONS(1828),
    [anon_sym_tied] = ACTIONS(1828),
    [anon_sym_uc] = ACTIONS(1828),
    [anon_sym_ucfirst] = ACTIONS(1828),
    [anon_sym_untie] = ACTIONS(1828),
    [anon_sym_umask] = ACTIONS(1828),
    [anon_sym_values] = ACTIONS(1828),
    [anon_sym_write] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1828),
    [anon_sym___END__] = ACTIONS(1828),
    [anon_sym_EOT] = ACTIONS(1828),
    [anon_sym_q] = ACTIONS(1828),
    [anon_sym_qq] = ACTIONS(1828),
    [anon_sym_qw] = ACTIONS(1828),
    [anon_sym_qx] = ACTIONS(1828),
    [anon_sym_qr] = ACTIONS(1828),
    [anon_sym_m] = ACTIONS(1828),
    [anon_sym_s] = ACTIONS(1828),
    [anon_sym_tr] = ACTIONS(1828),
    [anon_sym_y] = ACTIONS(1828),
    [aux_sym__bareword_token1] = ACTIONS(1828),
    [sym_number] = ACTIONS(1828),
    [anon_sym_true] = ACTIONS(1828),
    [anon_sym_false] = ACTIONS(1828),
    [sym__single_quote] = ACTIONS(1832),
    [sym__double_quote] = ACTIONS(1832),
    [sym__backtick_quote] = ACTIONS(1832),
    [sym__search_slash_quote] = ACTIONS(1832),
    [sym__open_readline_bracket] = ACTIONS(1832),
    [sym__open_fileglob_bracket] = ACTIONS(1832),
    [sym__PERLY_SEMICOLON] = ACTIONS(1832),
    [sym__PERLY_HEREDOC] = ACTIONS(1832),
    [sym__ctrl_z_hack] = ACTIONS(1832),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1832),
    [sym__filetest] = ACTIONS(1832),
  },
  [787] = {
    [sym_heredoc_content] = STATE(787),
    [sym__identifier] = ACTIONS(1838),
    [anon_sym_LBRACE] = ACTIONS(1838),
    [anon_sym_SEMI] = ACTIONS(1951),
    [anon_sym_DOLLAR] = ACTIONS(1838),
    [anon_sym_EQ] = ACTIONS(1951),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1951),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1951),
    [anon_sym_AT] = ACTIONS(1838),
    [anon_sym_COMMA] = ACTIONS(1951),
    [anon_sym_my] = ACTIONS(1838),
    [anon_sym_extended] = ACTIONS(1838),
    [anon_sym_async] = ACTIONS(1838),
    [anon_sym_sub] = ACTIONS(1838),
    [anon_sym_method] = ACTIONS(1838),
    [anon_sym_LPAREN] = ACTIONS(1838),
    [anon_sym_continue] = ACTIONS(1838),
    [anon_sym_state] = ACTIONS(1838),
    [anon_sym_our] = ACTIONS(1838),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1951),
    [anon_sym_and] = ACTIONS(1951),
    [anon_sym_or] = ACTIONS(1951),
    [anon_sym_xor] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1838),
    [anon_sym_DASH_GT] = ACTIONS(1951),
    [anon_sym_PERCENT] = ACTIONS(1951),
    [anon_sym_GT] = ACTIONS(1951),
    [anon_sym_LT_LT] = ACTIONS(1951),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1951),
    [anon_sym_PLUS_EQ] = ACTIONS(1951),
    [anon_sym_DASH_EQ] = ACTIONS(1951),
    [anon_sym_DOT_EQ] = ACTIONS(1951),
    [anon_sym_STAR_EQ] = ACTIONS(1951),
    [anon_sym_SLASH_EQ] = ACTIONS(1951),
    [anon_sym_PERCENT_EQ] = ACTIONS(1951),
    [anon_sym_x_EQ] = ACTIONS(1951),
    [anon_sym_AMP_EQ] = ACTIONS(1951),
    [anon_sym_PIPE_EQ] = ACTIONS(1951),
    [anon_sym_CARET_EQ] = ACTIONS(1951),
    [anon_sym_LT_LT_EQ] = ACTIONS(1951),
    [anon_sym_GT_GT_EQ] = ACTIONS(1951),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1951),
    [anon_sym_DOT_DOT] = ACTIONS(1951),
    [anon_sym_STAR_STAR] = ACTIONS(1951),
    [anon_sym_PIPE_PIPE] = ACTIONS(1951),
    [anon_sym_SLASH_SLASH] = ACTIONS(1951),
    [anon_sym_CARET_CARET] = ACTIONS(1951),
    [anon_sym_AMP_AMP] = ACTIONS(1951),
    [anon_sym_PIPE] = ACTIONS(1951),
    [anon_sym_CARET] = ACTIONS(1951),
    [anon_sym_AMP] = ACTIONS(1951),
    [anon_sym_GT_GT2] = ACTIONS(1951),
    [anon_sym_PLUS] = ACTIONS(1951),
    [anon_sym_DASH] = ACTIONS(1951),
    [anon_sym_DOT] = ACTIONS(1951),
    [anon_sym_STAR] = ACTIONS(1951),
    [anon_sym_SLASH] = ACTIONS(1951),
    [anon_sym_x] = ACTIONS(1951),
    [anon_sym_EQ_TILDE] = ACTIONS(1951),
    [anon_sym_BANG_TILDE] = ACTIONS(1951),
    [anon_sym_EQ_EQ] = ACTIONS(1951),
    [anon_sym_BANG_EQ] = ACTIONS(1951),
    [anon_sym_eq] = ACTIONS(1951),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1951),
    [anon_sym_equ] = ACTIONS(1951),
    [anon_sym_eqr] = ACTIONS(1951),
    [anon_sym_ne] = ACTIONS(1951),
    [anon_sym_LT_EQ_GT] = ACTIONS(1951),
    [anon_sym_cmp] = ACTIONS(1951),
    [anon_sym_TILDE_TILDE] = ACTIONS(1951),
    [anon_sym_LT] = ACTIONS(1951),
    [anon_sym_LT_EQ] = ACTIONS(1951),
    [anon_sym_GT_EQ] = ACTIONS(1951),
    [anon_sym_lt] = ACTIONS(1951),
    [anon_sym_le] = ACTIONS(1951),
    [anon_sym_ge] = ACTIONS(1951),
    [anon_sym_gt] = ACTIONS(1951),
    [anon_sym_isa] = ACTIONS(1951),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_PLUS_PLUS] = ACTIONS(1951),
    [anon_sym_DASH_DASH] = ACTIONS(1951),
    [anon_sym_QMARK] = ACTIONS(1951),
    [anon_sym_BSLASH] = ACTIONS(1845),
    [anon_sym_do] = ACTIONS(1838),
    [anon_sym_eval] = ACTIONS(1838),
    [anon_sym_await] = ACTIONS(1838),
    [anon_sym_field] = ACTIONS(1838),
    [anon_sym_local] = ACTIONS(1838),
    [anon_sym_dynamically] = ACTIONS(1838),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1838),
    [anon_sym_require] = ACTIONS(1838),
    [anon_sym_map] = ACTIONS(1838),
    [anon_sym_grep] = ACTIONS(1838),
    [anon_sym_sort] = ACTIONS(1838),
    [anon_sym_goto] = ACTIONS(1838),
    [anon_sym_return] = ACTIONS(1838),
    [anon_sym_undef] = ACTIONS(1838),
    [anon_sym_PERCENT2] = ACTIONS(1838),
    [anon_sym_AMP2] = ACTIONS(1838),
    [anon_sym_STAR2] = ACTIONS(1838),
    [anon_sym_EQ_GT] = ACTIONS(1951),
    [anon_sym_last] = ACTIONS(1838),
    [anon_sym_next] = ACTIONS(1838),
    [anon_sym_redo] = ACTIONS(1838),
    [anon_sym___FILE__] = ACTIONS(1838),
    [anon_sym___LINE__] = ACTIONS(1838),
    [anon_sym___PACKAGE__] = ACTIONS(1838),
    [anon_sym___SUB__] = ACTIONS(1838),
    [anon_sym_break] = ACTIONS(1838),
    [anon_sym_fork] = ACTIONS(1838),
    [anon_sym_getppid] = ACTIONS(1838),
    [anon_sym_time] = ACTIONS(1838),
    [anon_sym_times] = ACTIONS(1838),
    [anon_sym_wait] = ACTIONS(1838),
    [anon_sym_wantarray] = ACTIONS(1838),
    [anon_sym_abs] = ACTIONS(1838),
    [anon_sym_alarm] = ACTIONS(1838),
    [anon_sym_chop] = ACTIONS(1838),
    [anon_sym_chdir] = ACTIONS(1838),
    [anon_sym_close] = ACTIONS(1838),
    [anon_sym_closedir] = ACTIONS(1838),
    [anon_sym_caller] = ACTIONS(1838),
    [anon_sym_chomp] = ACTIONS(1838),
    [anon_sym_chr] = ACTIONS(1838),
    [anon_sym_cos] = ACTIONS(1838),
    [anon_sym_chroot] = ACTIONS(1838),
    [anon_sym_defined] = ACTIONS(1838),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_dbmclose] = ACTIONS(1838),
    [anon_sym_exists] = ACTIONS(1838),
    [anon_sym_exit] = ACTIONS(1838),
    [anon_sym_eof] = ACTIONS(1838),
    [anon_sym_exp] = ACTIONS(1838),
    [anon_sym_each] = ACTIONS(1838),
    [anon_sym_fc] = ACTIONS(1838),
    [anon_sym_fileno] = ACTIONS(1838),
    [anon_sym_gmtime] = ACTIONS(1838),
    [anon_sym_getc] = ACTIONS(1838),
    [anon_sym_getpgrp] = ACTIONS(1838),
    [anon_sym_getprotobyname] = ACTIONS(1838),
    [anon_sym_getpwname] = ACTIONS(1838),
    [anon_sym_getpwuid] = ACTIONS(1838),
    [anon_sym_getpeername] = ACTIONS(1838),
    [anon_sym_getnetbyname] = ACTIONS(1838),
    [anon_sym_getsockname] = ACTIONS(1838),
    [anon_sym_getgrnam] = ACTIONS(1838),
    [anon_sym_getgrgid] = ACTIONS(1838),
    [anon_sym_hex] = ACTIONS(1838),
    [anon_sym_int] = ACTIONS(1838),
    [anon_sym_keys] = ACTIONS(1838),
    [anon_sym_lc] = ACTIONS(1838),
    [anon_sym_lcfirst] = ACTIONS(1838),
    [anon_sym_length] = ACTIONS(1838),
    [anon_sym_localtime] = ACTIONS(1838),
    [anon_sym_log] = ACTIONS(1838),
    [anon_sym_lock] = ACTIONS(1838),
    [anon_sym_lstat] = ACTIONS(1838),
    [anon_sym_oct] = ACTIONS(1838),
    [anon_sym_ord] = ACTIONS(1838),
    [anon_sym_prototype] = ACTIONS(1838),
    [anon_sym_pop] = ACTIONS(1838),
    [anon_sym_pos] = ACTIONS(1838),
    [anon_sym_quotemeta] = ACTIONS(1838),
    [anon_sym_reset] = ACTIONS(1838),
    [anon_sym_rand] = ACTIONS(1838),
    [anon_sym_rmdir] = ACTIONS(1838),
    [anon_sym_readdir] = ACTIONS(1838),
    [anon_sym_readline] = ACTIONS(1838),
    [anon_sym_readpipe] = ACTIONS(1838),
    [anon_sym_rewinddir] = ACTIONS(1838),
    [anon_sym_readlink] = ACTIONS(1838),
    [anon_sym_ref] = ACTIONS(1838),
    [anon_sym_scalar] = ACTIONS(1838),
    [anon_sym_shift] = ACTIONS(1838),
    [anon_sym_sin] = ACTIONS(1838),
    [anon_sym_sleep] = ACTIONS(1838),
    [anon_sym_sqrt] = ACTIONS(1838),
    [anon_sym_srand] = ACTIONS(1838),
    [anon_sym_stat] = ACTIONS(1838),
    [anon_sym_study] = ACTIONS(1838),
    [anon_sym_tell] = ACTIONS(1838),
    [anon_sym_telldir] = ACTIONS(1838),
    [anon_sym_tied] = ACTIONS(1838),
    [anon_sym_uc] = ACTIONS(1838),
    [anon_sym_ucfirst] = ACTIONS(1838),
    [anon_sym_untie] = ACTIONS(1838),
    [anon_sym_umask] = ACTIONS(1838),
    [anon_sym_values] = ACTIONS(1838),
    [anon_sym_write] = ACTIONS(1838),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1951),
    [anon_sym___END__] = ACTIONS(1951),
    [anon_sym_EOT] = ACTIONS(1951),
    [anon_sym_q] = ACTIONS(1838),
    [anon_sym_qq] = ACTIONS(1838),
    [anon_sym_qw] = ACTIONS(1838),
    [anon_sym_qx] = ACTIONS(1838),
    [anon_sym_qr] = ACTIONS(1838),
    [anon_sym_m] = ACTIONS(1838),
    [anon_sym_s] = ACTIONS(1838),
    [anon_sym_tr] = ACTIONS(1838),
    [anon_sym_y] = ACTIONS(1838),
    [aux_sym__bareword_token1] = ACTIONS(1838),
    [sym_number] = ACTIONS(1838),
    [anon_sym_true] = ACTIONS(1838),
    [anon_sym_false] = ACTIONS(1838),
    [sym__single_quote] = ACTIONS(1845),
    [sym__double_quote] = ACTIONS(1845),
    [sym__backtick_quote] = ACTIONS(1845),
    [sym__search_slash_quote] = ACTIONS(1845),
    [sym__open_readline_bracket] = ACTIONS(1845),
    [sym__open_fileglob_bracket] = ACTIONS(1845),
    [sym__PERLY_SEMICOLON] = ACTIONS(1953),
    [sym__PERLY_HEREDOC] = ACTIONS(1845),
    [sym__ctrl_z_hack] = ACTIONS(1953),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1845),
    [sym__filetest] = ACTIONS(1845),
  },
  [788] = {
    [sym_heredoc_content] = STATE(788),
    [sym__identifier] = ACTIONS(1947),
    [anon_sym_LBRACE] = ACTIONS(1947),
    [anon_sym_SEMI] = ACTIONS(1840),
    [anon_sym_DOLLAR] = ACTIONS(1947),
    [anon_sym_EQ] = ACTIONS(1840),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1840),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1840),
    [anon_sym_AT] = ACTIONS(1947),
    [anon_sym_COMMA] = ACTIONS(1840),
    [anon_sym_my] = ACTIONS(1947),
    [anon_sym_extended] = ACTIONS(1947),
    [anon_sym_async] = ACTIONS(1947),
    [anon_sym_sub] = ACTIONS(1947),
    [anon_sym_method] = ACTIONS(1947),
    [anon_sym_LPAREN] = ACTIONS(1947),
    [anon_sym_continue] = ACTIONS(1947),
    [anon_sym_state] = ACTIONS(1947),
    [anon_sym_our] = ACTIONS(1947),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1840),
    [anon_sym_and] = ACTIONS(1840),
    [anon_sym_or] = ACTIONS(1840),
    [anon_sym_xor] = ACTIONS(1840),
    [anon_sym_LBRACK] = ACTIONS(1947),
    [anon_sym_DASH_GT] = ACTIONS(1840),
    [anon_sym_PERCENT] = ACTIONS(1840),
    [anon_sym_GT] = ACTIONS(1840),
    [anon_sym_LT_LT] = ACTIONS(1947),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1840),
    [anon_sym_PLUS_EQ] = ACTIONS(1840),
    [anon_sym_DASH_EQ] = ACTIONS(1840),
    [anon_sym_DOT_EQ] = ACTIONS(1840),
    [anon_sym_STAR_EQ] = ACTIONS(1840),
    [anon_sym_SLASH_EQ] = ACTIONS(1840),
    [anon_sym_PERCENT_EQ] = ACTIONS(1840),
    [anon_sym_x_EQ] = ACTIONS(1840),
    [anon_sym_AMP_EQ] = ACTIONS(1840),
    [anon_sym_PIPE_EQ] = ACTIONS(1840),
    [anon_sym_CARET_EQ] = ACTIONS(1840),
    [anon_sym_LT_LT_EQ] = ACTIONS(1840),
    [anon_sym_GT_GT_EQ] = ACTIONS(1840),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1840),
    [anon_sym_DOT_DOT] = ACTIONS(1840),
    [anon_sym_STAR_STAR] = ACTIONS(1840),
    [anon_sym_PIPE_PIPE] = ACTIONS(1840),
    [anon_sym_SLASH_SLASH] = ACTIONS(1947),
    [anon_sym_CARET_CARET] = ACTIONS(1840),
    [anon_sym_AMP_AMP] = ACTIONS(1840),
    [anon_sym_PIPE] = ACTIONS(1840),
    [anon_sym_CARET] = ACTIONS(1840),
    [anon_sym_AMP] = ACTIONS(1840),
    [anon_sym_GT_GT2] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1947),
    [anon_sym_DASH] = ACTIONS(1947),
    [anon_sym_DOT] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1840),
    [anon_sym_SLASH] = ACTIONS(1840),
    [anon_sym_x] = ACTIONS(1840),
    [anon_sym_EQ_TILDE] = ACTIONS(1840),
    [anon_sym_BANG_TILDE] = ACTIONS(1840),
    [anon_sym_EQ_EQ] = ACTIONS(1840),
    [anon_sym_BANG_EQ] = ACTIONS(1840),
    [anon_sym_eq] = ACTIONS(1840),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1840),
    [anon_sym_equ] = ACTIONS(1840),
    [anon_sym_eqr] = ACTIONS(1840),
    [anon_sym_ne] = ACTIONS(1840),
    [anon_sym_LT_EQ_GT] = ACTIONS(1840),
    [anon_sym_cmp] = ACTIONS(1840),
    [anon_sym_TILDE_TILDE] = ACTIONS(1840),
    [anon_sym_LT] = ACTIONS(1840),
    [anon_sym_LT_EQ] = ACTIONS(1840),
    [anon_sym_GT_EQ] = ACTIONS(1840),
    [anon_sym_lt] = ACTIONS(1840),
    [anon_sym_le] = ACTIONS(1840),
    [anon_sym_ge] = ACTIONS(1840),
    [anon_sym_gt] = ACTIONS(1840),
    [anon_sym_isa] = ACTIONS(1840),
    [anon_sym_TILDE] = ACTIONS(1947),
    [anon_sym_BANG] = ACTIONS(1947),
    [anon_sym_PLUS_PLUS] = ACTIONS(1947),
    [anon_sym_DASH_DASH] = ACTIONS(1947),
    [anon_sym_QMARK] = ACTIONS(1840),
    [anon_sym_BSLASH] = ACTIONS(1949),
    [anon_sym_do] = ACTIONS(1947),
    [anon_sym_eval] = ACTIONS(1947),
    [anon_sym_await] = ACTIONS(1947),
    [anon_sym_field] = ACTIONS(1947),
    [anon_sym_local] = ACTIONS(1947),
    [anon_sym_dynamically] = ACTIONS(1947),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1947),
    [anon_sym_require] = ACTIONS(1947),
    [anon_sym_map] = ACTIONS(1947),
    [anon_sym_grep] = ACTIONS(1947),
    [anon_sym_sort] = ACTIONS(1947),
    [anon_sym_goto] = ACTIONS(1947),
    [anon_sym_return] = ACTIONS(1947),
    [anon_sym_undef] = ACTIONS(1947),
    [anon_sym_PERCENT2] = ACTIONS(1947),
    [anon_sym_AMP2] = ACTIONS(1947),
    [anon_sym_STAR2] = ACTIONS(1947),
    [anon_sym_EQ_GT] = ACTIONS(1840),
    [anon_sym_last] = ACTIONS(1947),
    [anon_sym_next] = ACTIONS(1947),
    [anon_sym_redo] = ACTIONS(1947),
    [anon_sym___FILE__] = ACTIONS(1947),
    [anon_sym___LINE__] = ACTIONS(1947),
    [anon_sym___PACKAGE__] = ACTIONS(1947),
    [anon_sym___SUB__] = ACTIONS(1947),
    [anon_sym_break] = ACTIONS(1947),
    [anon_sym_fork] = ACTIONS(1947),
    [anon_sym_getppid] = ACTIONS(1947),
    [anon_sym_time] = ACTIONS(1947),
    [anon_sym_times] = ACTIONS(1947),
    [anon_sym_wait] = ACTIONS(1947),
    [anon_sym_wantarray] = ACTIONS(1947),
    [anon_sym_abs] = ACTIONS(1947),
    [anon_sym_alarm] = ACTIONS(1947),
    [anon_sym_chop] = ACTIONS(1947),
    [anon_sym_chdir] = ACTIONS(1947),
    [anon_sym_close] = ACTIONS(1947),
    [anon_sym_closedir] = ACTIONS(1947),
    [anon_sym_caller] = ACTIONS(1947),
    [anon_sym_chomp] = ACTIONS(1947),
    [anon_sym_chr] = ACTIONS(1947),
    [anon_sym_cos] = ACTIONS(1947),
    [anon_sym_chroot] = ACTIONS(1947),
    [anon_sym_defined] = ACTIONS(1947),
    [anon_sym_delete] = ACTIONS(1947),
    [anon_sym_dbmclose] = ACTIONS(1947),
    [anon_sym_exists] = ACTIONS(1947),
    [anon_sym_exit] = ACTIONS(1947),
    [anon_sym_eof] = ACTIONS(1947),
    [anon_sym_exp] = ACTIONS(1947),
    [anon_sym_each] = ACTIONS(1947),
    [anon_sym_fc] = ACTIONS(1947),
    [anon_sym_fileno] = ACTIONS(1947),
    [anon_sym_gmtime] = ACTIONS(1947),
    [anon_sym_getc] = ACTIONS(1947),
    [anon_sym_getpgrp] = ACTIONS(1947),
    [anon_sym_getprotobyname] = ACTIONS(1947),
    [anon_sym_getpwname] = ACTIONS(1947),
    [anon_sym_getpwuid] = ACTIONS(1947),
    [anon_sym_getpeername] = ACTIONS(1947),
    [anon_sym_getnetbyname] = ACTIONS(1947),
    [anon_sym_getsockname] = ACTIONS(1947),
    [anon_sym_getgrnam] = ACTIONS(1947),
    [anon_sym_getgrgid] = ACTIONS(1947),
    [anon_sym_hex] = ACTIONS(1947),
    [anon_sym_int] = ACTIONS(1947),
    [anon_sym_keys] = ACTIONS(1947),
    [anon_sym_lc] = ACTIONS(1947),
    [anon_sym_lcfirst] = ACTIONS(1947),
    [anon_sym_length] = ACTIONS(1947),
    [anon_sym_localtime] = ACTIONS(1947),
    [anon_sym_log] = ACTIONS(1947),
    [anon_sym_lock] = ACTIONS(1947),
    [anon_sym_lstat] = ACTIONS(1947),
    [anon_sym_oct] = ACTIONS(1947),
    [anon_sym_ord] = ACTIONS(1947),
    [anon_sym_prototype] = ACTIONS(1947),
    [anon_sym_pop] = ACTIONS(1947),
    [anon_sym_pos] = ACTIONS(1947),
    [anon_sym_quotemeta] = ACTIONS(1947),
    [anon_sym_reset] = ACTIONS(1947),
    [anon_sym_rand] = ACTIONS(1947),
    [anon_sym_rmdir] = ACTIONS(1947),
    [anon_sym_readdir] = ACTIONS(1947),
    [anon_sym_readline] = ACTIONS(1947),
    [anon_sym_readpipe] = ACTIONS(1947),
    [anon_sym_rewinddir] = ACTIONS(1947),
    [anon_sym_readlink] = ACTIONS(1947),
    [anon_sym_ref] = ACTIONS(1947),
    [anon_sym_scalar] = ACTIONS(1947),
    [anon_sym_shift] = ACTIONS(1947),
    [anon_sym_sin] = ACTIONS(1947),
    [anon_sym_sleep] = ACTIONS(1947),
    [anon_sym_sqrt] = ACTIONS(1947),
    [anon_sym_srand] = ACTIONS(1947),
    [anon_sym_stat] = ACTIONS(1947),
    [anon_sym_study] = ACTIONS(1947),
    [anon_sym_tell] = ACTIONS(1947),
    [anon_sym_telldir] = ACTIONS(1947),
    [anon_sym_tied] = ACTIONS(1947),
    [anon_sym_uc] = ACTIONS(1947),
    [anon_sym_ucfirst] = ACTIONS(1947),
    [anon_sym_untie] = ACTIONS(1947),
    [anon_sym_umask] = ACTIONS(1947),
    [anon_sym_values] = ACTIONS(1947),
    [anon_sym_write] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1840),
    [anon_sym___END__] = ACTIONS(1840),
    [anon_sym_EOT] = ACTIONS(1840),
    [anon_sym_q] = ACTIONS(1947),
    [anon_sym_qq] = ACTIONS(1947),
    [anon_sym_qw] = ACTIONS(1947),
    [anon_sym_qx] = ACTIONS(1947),
    [anon_sym_qr] = ACTIONS(1947),
    [anon_sym_m] = ACTIONS(1947),
    [anon_sym_s] = ACTIONS(1947),
    [anon_sym_tr] = ACTIONS(1947),
    [anon_sym_y] = ACTIONS(1947),
    [aux_sym__bareword_token1] = ACTIONS(1947),
    [sym_number] = ACTIONS(1947),
    [anon_sym_true] = ACTIONS(1947),
    [anon_sym_false] = ACTIONS(1947),
    [sym__single_quote] = ACTIONS(1949),
    [sym__double_quote] = ACTIONS(1949),
    [sym__backtick_quote] = ACTIONS(1949),
    [sym__search_slash_quote] = ACTIONS(1949),
    [sym__open_readline_bracket] = ACTIONS(1949),
    [sym__open_fileglob_bracket] = ACTIONS(1949),
    [sym__PERLY_SEMICOLON] = ACTIONS(1849),
    [sym__PERLY_HEREDOC] = ACTIONS(1949),
    [sym__ctrl_z_hack] = ACTIONS(1849),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1949),
    [sym__filetest] = ACTIONS(1949),
  },
  [789] = {
    [sym_heredoc_content] = STATE(789),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_SEMI] = ACTIONS(1901),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1901),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1901),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1901),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1901),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1901),
    [anon_sym_and] = ACTIONS(1901),
    [anon_sym_or] = ACTIONS(1901),
    [anon_sym_xor] = ACTIONS(1901),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_DASH_GT] = ACTIONS(1901),
    [anon_sym_PERCENT] = ACTIONS(1901),
    [anon_sym_GT] = ACTIONS(1901),
    [anon_sym_LT_LT] = ACTIONS(1901),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1901),
    [anon_sym_PLUS_EQ] = ACTIONS(1901),
    [anon_sym_DASH_EQ] = ACTIONS(1901),
    [anon_sym_DOT_EQ] = ACTIONS(1901),
    [anon_sym_STAR_EQ] = ACTIONS(1901),
    [anon_sym_SLASH_EQ] = ACTIONS(1901),
    [anon_sym_PERCENT_EQ] = ACTIONS(1901),
    [anon_sym_x_EQ] = ACTIONS(1901),
    [anon_sym_AMP_EQ] = ACTIONS(1901),
    [anon_sym_PIPE_EQ] = ACTIONS(1901),
    [anon_sym_CARET_EQ] = ACTIONS(1901),
    [anon_sym_LT_LT_EQ] = ACTIONS(1901),
    [anon_sym_GT_GT_EQ] = ACTIONS(1901),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1901),
    [anon_sym_DOT_DOT] = ACTIONS(1901),
    [anon_sym_STAR_STAR] = ACTIONS(1901),
    [anon_sym_PIPE_PIPE] = ACTIONS(1901),
    [anon_sym_SLASH_SLASH] = ACTIONS(1901),
    [anon_sym_CARET_CARET] = ACTIONS(1901),
    [anon_sym_AMP_AMP] = ACTIONS(1901),
    [anon_sym_PIPE] = ACTIONS(1901),
    [anon_sym_CARET] = ACTIONS(1901),
    [anon_sym_AMP] = ACTIONS(1901),
    [anon_sym_GT_GT2] = ACTIONS(1901),
    [anon_sym_PLUS] = ACTIONS(1901),
    [anon_sym_DASH] = ACTIONS(1901),
    [anon_sym_DOT] = ACTIONS(1901),
    [anon_sym_STAR] = ACTIONS(1901),
    [anon_sym_SLASH] = ACTIONS(1901),
    [anon_sym_x] = ACTIONS(1901),
    [anon_sym_EQ_TILDE] = ACTIONS(1901),
    [anon_sym_BANG_TILDE] = ACTIONS(1901),
    [anon_sym_EQ_EQ] = ACTIONS(1901),
    [anon_sym_BANG_EQ] = ACTIONS(1901),
    [anon_sym_eq] = ACTIONS(1901),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1901),
    [anon_sym_equ] = ACTIONS(1901),
    [anon_sym_eqr] = ACTIONS(1901),
    [anon_sym_ne] = ACTIONS(1901),
    [anon_sym_LT_EQ_GT] = ACTIONS(1901),
    [anon_sym_cmp] = ACTIONS(1901),
    [anon_sym_TILDE_TILDE] = ACTIONS(1901),
    [anon_sym_LT] = ACTIONS(1901),
    [anon_sym_LT_EQ] = ACTIONS(1901),
    [anon_sym_GT_EQ] = ACTIONS(1901),
    [anon_sym_lt] = ACTIONS(1901),
    [anon_sym_le] = ACTIONS(1901),
    [anon_sym_ge] = ACTIONS(1901),
    [anon_sym_gt] = ACTIONS(1901),
    [anon_sym_isa] = ACTIONS(1901),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1901),
    [anon_sym_DASH_DASH] = ACTIONS(1901),
    [anon_sym_QMARK] = ACTIONS(1901),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1901),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1901),
    [anon_sym___END__] = ACTIONS(1901),
    [anon_sym_EOT] = ACTIONS(1901),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1903),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1903),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
  },
  [790] = {
    [sym_heredoc_content] = STATE(790),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_SEMI] = ACTIONS(1869),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1869),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1869),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1869),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1869),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1869),
    [anon_sym_and] = ACTIONS(1869),
    [anon_sym_or] = ACTIONS(1869),
    [anon_sym_xor] = ACTIONS(1869),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_DASH_GT] = ACTIONS(1869),
    [anon_sym_PERCENT] = ACTIONS(1869),
    [anon_sym_GT] = ACTIONS(1869),
    [anon_sym_LT_LT] = ACTIONS(1869),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1869),
    [anon_sym_PLUS_EQ] = ACTIONS(1869),
    [anon_sym_DASH_EQ] = ACTIONS(1869),
    [anon_sym_DOT_EQ] = ACTIONS(1869),
    [anon_sym_STAR_EQ] = ACTIONS(1869),
    [anon_sym_SLASH_EQ] = ACTIONS(1869),
    [anon_sym_PERCENT_EQ] = ACTIONS(1869),
    [anon_sym_x_EQ] = ACTIONS(1869),
    [anon_sym_AMP_EQ] = ACTIONS(1869),
    [anon_sym_PIPE_EQ] = ACTIONS(1869),
    [anon_sym_CARET_EQ] = ACTIONS(1869),
    [anon_sym_LT_LT_EQ] = ACTIONS(1869),
    [anon_sym_GT_GT_EQ] = ACTIONS(1869),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1869),
    [anon_sym_DOT_DOT] = ACTIONS(1869),
    [anon_sym_STAR_STAR] = ACTIONS(1869),
    [anon_sym_PIPE_PIPE] = ACTIONS(1869),
    [anon_sym_SLASH_SLASH] = ACTIONS(1869),
    [anon_sym_CARET_CARET] = ACTIONS(1869),
    [anon_sym_AMP_AMP] = ACTIONS(1869),
    [anon_sym_PIPE] = ACTIONS(1869),
    [anon_sym_CARET] = ACTIONS(1869),
    [anon_sym_AMP] = ACTIONS(1869),
    [anon_sym_GT_GT2] = ACTIONS(1869),
    [anon_sym_PLUS] = ACTIONS(1869),
    [anon_sym_DASH] = ACTIONS(1869),
    [anon_sym_DOT] = ACTIONS(1869),
    [anon_sym_STAR] = ACTIONS(1869),
    [anon_sym_SLASH] = ACTIONS(1869),
    [anon_sym_x] = ACTIONS(1869),
    [anon_sym_EQ_TILDE] = ACTIONS(1869),
    [anon_sym_BANG_TILDE] = ACTIONS(1869),
    [anon_sym_EQ_EQ] = ACTIONS(1869),
    [anon_sym_BANG_EQ] = ACTIONS(1869),
    [anon_sym_eq] = ACTIONS(1869),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1869),
    [anon_sym_equ] = ACTIONS(1869),
    [anon_sym_eqr] = ACTIONS(1869),
    [anon_sym_ne] = ACTIONS(1869),
    [anon_sym_LT_EQ_GT] = ACTIONS(1869),
    [anon_sym_cmp] = ACTIONS(1869),
    [anon_sym_TILDE_TILDE] = ACTIONS(1869),
    [anon_sym_LT] = ACTIONS(1869),
    [anon_sym_LT_EQ] = ACTIONS(1869),
    [anon_sym_GT_EQ] = ACTIONS(1869),
    [anon_sym_lt] = ACTIONS(1869),
    [anon_sym_le] = ACTIONS(1869),
    [anon_sym_ge] = ACTIONS(1869),
    [anon_sym_gt] = ACTIONS(1869),
    [anon_sym_isa] = ACTIONS(1869),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_QMARK] = ACTIONS(1869),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1869),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1869),
    [anon_sym___END__] = ACTIONS(1869),
    [anon_sym_EOT] = ACTIONS(1869),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1899),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1899),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
  },
  [791] = {
    [sym_heredoc_content] = STATE(791),
    [sym__identifier] = ACTIONS(1859),
    [anon_sym_LBRACE] = ACTIONS(1859),
    [anon_sym_SEMI] = ACTIONS(1859),
    [anon_sym_DOLLAR] = ACTIONS(1859),
    [anon_sym_EQ] = ACTIONS(1859),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1859),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(1859),
    [anon_sym_COMMA] = ACTIONS(1859),
    [anon_sym_my] = ACTIONS(1859),
    [anon_sym_extended] = ACTIONS(1859),
    [anon_sym_async] = ACTIONS(1859),
    [anon_sym_sub] = ACTIONS(1859),
    [anon_sym_method] = ACTIONS(1859),
    [anon_sym_LPAREN] = ACTIONS(1859),
    [anon_sym_continue] = ACTIONS(1859),
    [anon_sym_state] = ACTIONS(1859),
    [anon_sym_our] = ACTIONS(1859),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1859),
    [anon_sym_and] = ACTIONS(1859),
    [anon_sym_or] = ACTIONS(1859),
    [anon_sym_xor] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1859),
    [anon_sym_DASH_GT] = ACTIONS(1859),
    [anon_sym_PERCENT] = ACTIONS(1859),
    [anon_sym_GT] = ACTIONS(1859),
    [anon_sym_LT_LT] = ACTIONS(1859),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1859),
    [anon_sym_PLUS_EQ] = ACTIONS(1859),
    [anon_sym_DASH_EQ] = ACTIONS(1859),
    [anon_sym_DOT_EQ] = ACTIONS(1859),
    [anon_sym_STAR_EQ] = ACTIONS(1859),
    [anon_sym_SLASH_EQ] = ACTIONS(1859),
    [anon_sym_PERCENT_EQ] = ACTIONS(1859),
    [anon_sym_x_EQ] = ACTIONS(1859),
    [anon_sym_AMP_EQ] = ACTIONS(1859),
    [anon_sym_PIPE_EQ] = ACTIONS(1859),
    [anon_sym_CARET_EQ] = ACTIONS(1859),
    [anon_sym_LT_LT_EQ] = ACTIONS(1859),
    [anon_sym_GT_GT_EQ] = ACTIONS(1859),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1859),
    [anon_sym_DOT_DOT] = ACTIONS(1859),
    [anon_sym_STAR_STAR] = ACTIONS(1859),
    [anon_sym_PIPE_PIPE] = ACTIONS(1859),
    [anon_sym_SLASH_SLASH] = ACTIONS(1859),
    [anon_sym_CARET_CARET] = ACTIONS(1859),
    [anon_sym_AMP_AMP] = ACTIONS(1859),
    [anon_sym_PIPE] = ACTIONS(1859),
    [anon_sym_CARET] = ACTIONS(1859),
    [anon_sym_AMP] = ACTIONS(1859),
    [anon_sym_GT_GT2] = ACTIONS(1859),
    [anon_sym_PLUS] = ACTIONS(1859),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_DOT] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1859),
    [anon_sym_SLASH] = ACTIONS(1859),
    [anon_sym_x] = ACTIONS(1859),
    [anon_sym_EQ_TILDE] = ACTIONS(1859),
    [anon_sym_BANG_TILDE] = ACTIONS(1859),
    [anon_sym_EQ_EQ] = ACTIONS(1859),
    [anon_sym_BANG_EQ] = ACTIONS(1859),
    [anon_sym_eq] = ACTIONS(1859),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1859),
    [anon_sym_equ] = ACTIONS(1859),
    [anon_sym_eqr] = ACTIONS(1859),
    [anon_sym_ne] = ACTIONS(1859),
    [anon_sym_LT_EQ_GT] = ACTIONS(1859),
    [anon_sym_cmp] = ACTIONS(1859),
    [anon_sym_TILDE_TILDE] = ACTIONS(1859),
    [anon_sym_LT] = ACTIONS(1859),
    [anon_sym_LT_EQ] = ACTIONS(1859),
    [anon_sym_GT_EQ] = ACTIONS(1859),
    [anon_sym_lt] = ACTIONS(1859),
    [anon_sym_le] = ACTIONS(1859),
    [anon_sym_ge] = ACTIONS(1859),
    [anon_sym_gt] = ACTIONS(1859),
    [anon_sym_isa] = ACTIONS(1859),
    [anon_sym_TILDE] = ACTIONS(1859),
    [anon_sym_BANG] = ACTIONS(1859),
    [anon_sym_PLUS_PLUS] = ACTIONS(1859),
    [anon_sym_DASH_DASH] = ACTIONS(1859),
    [anon_sym_QMARK] = ACTIONS(1859),
    [anon_sym_BSLASH] = ACTIONS(1861),
    [anon_sym_do] = ACTIONS(1859),
    [anon_sym_eval] = ACTIONS(1859),
    [anon_sym_await] = ACTIONS(1859),
    [anon_sym_field] = ACTIONS(1859),
    [anon_sym_local] = ACTIONS(1859),
    [anon_sym_dynamically] = ACTIONS(1859),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1859),
    [anon_sym_require] = ACTIONS(1859),
    [anon_sym_map] = ACTIONS(1859),
    [anon_sym_grep] = ACTIONS(1859),
    [anon_sym_sort] = ACTIONS(1859),
    [anon_sym_goto] = ACTIONS(1859),
    [anon_sym_return] = ACTIONS(1859),
    [anon_sym_undef] = ACTIONS(1859),
    [anon_sym_PERCENT2] = ACTIONS(1859),
    [anon_sym_AMP2] = ACTIONS(1859),
    [anon_sym_STAR2] = ACTIONS(1859),
    [anon_sym_EQ_GT] = ACTIONS(1859),
    [anon_sym_last] = ACTIONS(1859),
    [anon_sym_next] = ACTIONS(1859),
    [anon_sym_redo] = ACTIONS(1859),
    [anon_sym___FILE__] = ACTIONS(1859),
    [anon_sym___LINE__] = ACTIONS(1859),
    [anon_sym___PACKAGE__] = ACTIONS(1859),
    [anon_sym___SUB__] = ACTIONS(1859),
    [anon_sym_break] = ACTIONS(1859),
    [anon_sym_fork] = ACTIONS(1859),
    [anon_sym_getppid] = ACTIONS(1859),
    [anon_sym_time] = ACTIONS(1859),
    [anon_sym_times] = ACTIONS(1859),
    [anon_sym_wait] = ACTIONS(1859),
    [anon_sym_wantarray] = ACTIONS(1859),
    [anon_sym_abs] = ACTIONS(1859),
    [anon_sym_alarm] = ACTIONS(1859),
    [anon_sym_chop] = ACTIONS(1859),
    [anon_sym_chdir] = ACTIONS(1859),
    [anon_sym_close] = ACTIONS(1859),
    [anon_sym_closedir] = ACTIONS(1859),
    [anon_sym_caller] = ACTIONS(1859),
    [anon_sym_chomp] = ACTIONS(1859),
    [anon_sym_chr] = ACTIONS(1859),
    [anon_sym_cos] = ACTIONS(1859),
    [anon_sym_chroot] = ACTIONS(1859),
    [anon_sym_defined] = ACTIONS(1859),
    [anon_sym_delete] = ACTIONS(1859),
    [anon_sym_dbmclose] = ACTIONS(1859),
    [anon_sym_exists] = ACTIONS(1859),
    [anon_sym_exit] = ACTIONS(1859),
    [anon_sym_eof] = ACTIONS(1859),
    [anon_sym_exp] = ACTIONS(1859),
    [anon_sym_each] = ACTIONS(1859),
    [anon_sym_fc] = ACTIONS(1859),
    [anon_sym_fileno] = ACTIONS(1859),
    [anon_sym_gmtime] = ACTIONS(1859),
    [anon_sym_getc] = ACTIONS(1859),
    [anon_sym_getpgrp] = ACTIONS(1859),
    [anon_sym_getprotobyname] = ACTIONS(1859),
    [anon_sym_getpwname] = ACTIONS(1859),
    [anon_sym_getpwuid] = ACTIONS(1859),
    [anon_sym_getpeername] = ACTIONS(1859),
    [anon_sym_getnetbyname] = ACTIONS(1859),
    [anon_sym_getsockname] = ACTIONS(1859),
    [anon_sym_getgrnam] = ACTIONS(1859),
    [anon_sym_getgrgid] = ACTIONS(1859),
    [anon_sym_hex] = ACTIONS(1859),
    [anon_sym_int] = ACTIONS(1859),
    [anon_sym_keys] = ACTIONS(1859),
    [anon_sym_lc] = ACTIONS(1859),
    [anon_sym_lcfirst] = ACTIONS(1859),
    [anon_sym_length] = ACTIONS(1859),
    [anon_sym_localtime] = ACTIONS(1859),
    [anon_sym_log] = ACTIONS(1859),
    [anon_sym_lock] = ACTIONS(1859),
    [anon_sym_lstat] = ACTIONS(1859),
    [anon_sym_oct] = ACTIONS(1859),
    [anon_sym_ord] = ACTIONS(1859),
    [anon_sym_prototype] = ACTIONS(1859),
    [anon_sym_pop] = ACTIONS(1859),
    [anon_sym_pos] = ACTIONS(1859),
    [anon_sym_quotemeta] = ACTIONS(1859),
    [anon_sym_reset] = ACTIONS(1859),
    [anon_sym_rand] = ACTIONS(1859),
    [anon_sym_rmdir] = ACTIONS(1859),
    [anon_sym_readdir] = ACTIONS(1859),
    [anon_sym_readline] = ACTIONS(1859),
    [anon_sym_readpipe] = ACTIONS(1859),
    [anon_sym_rewinddir] = ACTIONS(1859),
    [anon_sym_readlink] = ACTIONS(1859),
    [anon_sym_ref] = ACTIONS(1859),
    [anon_sym_scalar] = ACTIONS(1859),
    [anon_sym_shift] = ACTIONS(1859),
    [anon_sym_sin] = ACTIONS(1859),
    [anon_sym_sleep] = ACTIONS(1859),
    [anon_sym_sqrt] = ACTIONS(1859),
    [anon_sym_srand] = ACTIONS(1859),
    [anon_sym_stat] = ACTIONS(1859),
    [anon_sym_study] = ACTIONS(1859),
    [anon_sym_tell] = ACTIONS(1859),
    [anon_sym_telldir] = ACTIONS(1859),
    [anon_sym_tied] = ACTIONS(1859),
    [anon_sym_uc] = ACTIONS(1859),
    [anon_sym_ucfirst] = ACTIONS(1859),
    [anon_sym_untie] = ACTIONS(1859),
    [anon_sym_umask] = ACTIONS(1859),
    [anon_sym_values] = ACTIONS(1859),
    [anon_sym_write] = ACTIONS(1859),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1859),
    [anon_sym___END__] = ACTIONS(1859),
    [anon_sym_EOT] = ACTIONS(1859),
    [anon_sym_q] = ACTIONS(1859),
    [anon_sym_qq] = ACTIONS(1859),
    [anon_sym_qw] = ACTIONS(1859),
    [anon_sym_qx] = ACTIONS(1859),
    [anon_sym_qr] = ACTIONS(1859),
    [anon_sym_m] = ACTIONS(1859),
    [anon_sym_s] = ACTIONS(1859),
    [anon_sym_tr] = ACTIONS(1859),
    [anon_sym_y] = ACTIONS(1859),
    [aux_sym__bareword_token1] = ACTIONS(1859),
    [sym_number] = ACTIONS(1859),
    [anon_sym_true] = ACTIONS(1859),
    [anon_sym_false] = ACTIONS(1859),
    [sym__single_quote] = ACTIONS(1861),
    [sym__double_quote] = ACTIONS(1861),
    [sym__backtick_quote] = ACTIONS(1861),
    [sym__search_slash_quote] = ACTIONS(1861),
    [sym__open_readline_bracket] = ACTIONS(1861),
    [sym__open_fileglob_bracket] = ACTIONS(1861),
    [sym__PERLY_SEMICOLON] = ACTIONS(1861),
    [sym__PERLY_HEREDOC] = ACTIONS(1861),
    [sym__ctrl_z_hack] = ACTIONS(1861),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1861),
    [sym__filetest] = ACTIONS(1861),
  },
  [792] = {
    [sym_heredoc_content] = STATE(792),
    [sym__identifier] = ACTIONS(1863),
    [anon_sym_LBRACE] = ACTIONS(1863),
    [anon_sym_SEMI] = ACTIONS(1863),
    [anon_sym_DOLLAR] = ACTIONS(1863),
    [anon_sym_EQ] = ACTIONS(1863),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1863),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1863),
    [anon_sym_AT] = ACTIONS(1863),
    [anon_sym_COMMA] = ACTIONS(1863),
    [anon_sym_my] = ACTIONS(1863),
    [anon_sym_extended] = ACTIONS(1863),
    [anon_sym_async] = ACTIONS(1863),
    [anon_sym_sub] = ACTIONS(1863),
    [anon_sym_method] = ACTIONS(1863),
    [anon_sym_LPAREN] = ACTIONS(1863),
    [anon_sym_continue] = ACTIONS(1863),
    [anon_sym_state] = ACTIONS(1863),
    [anon_sym_our] = ACTIONS(1863),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1863),
    [anon_sym_and] = ACTIONS(1863),
    [anon_sym_or] = ACTIONS(1863),
    [anon_sym_xor] = ACTIONS(1863),
    [anon_sym_LBRACK] = ACTIONS(1863),
    [anon_sym_DASH_GT] = ACTIONS(1863),
    [anon_sym_PERCENT] = ACTIONS(1863),
    [anon_sym_GT] = ACTIONS(1863),
    [anon_sym_LT_LT] = ACTIONS(1863),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1863),
    [anon_sym_PLUS_EQ] = ACTIONS(1863),
    [anon_sym_DASH_EQ] = ACTIONS(1863),
    [anon_sym_DOT_EQ] = ACTIONS(1863),
    [anon_sym_STAR_EQ] = ACTIONS(1863),
    [anon_sym_SLASH_EQ] = ACTIONS(1863),
    [anon_sym_PERCENT_EQ] = ACTIONS(1863),
    [anon_sym_x_EQ] = ACTIONS(1863),
    [anon_sym_AMP_EQ] = ACTIONS(1863),
    [anon_sym_PIPE_EQ] = ACTIONS(1863),
    [anon_sym_CARET_EQ] = ACTIONS(1863),
    [anon_sym_LT_LT_EQ] = ACTIONS(1863),
    [anon_sym_GT_GT_EQ] = ACTIONS(1863),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1863),
    [anon_sym_DOT_DOT] = ACTIONS(1863),
    [anon_sym_STAR_STAR] = ACTIONS(1863),
    [anon_sym_PIPE_PIPE] = ACTIONS(1863),
    [anon_sym_SLASH_SLASH] = ACTIONS(1863),
    [anon_sym_CARET_CARET] = ACTIONS(1863),
    [anon_sym_AMP_AMP] = ACTIONS(1863),
    [anon_sym_PIPE] = ACTIONS(1863),
    [anon_sym_CARET] = ACTIONS(1863),
    [anon_sym_AMP] = ACTIONS(1863),
    [anon_sym_GT_GT2] = ACTIONS(1863),
    [anon_sym_PLUS] = ACTIONS(1863),
    [anon_sym_DASH] = ACTIONS(1863),
    [anon_sym_DOT] = ACTIONS(1863),
    [anon_sym_STAR] = ACTIONS(1863),
    [anon_sym_SLASH] = ACTIONS(1863),
    [anon_sym_x] = ACTIONS(1863),
    [anon_sym_EQ_TILDE] = ACTIONS(1863),
    [anon_sym_BANG_TILDE] = ACTIONS(1863),
    [anon_sym_EQ_EQ] = ACTIONS(1863),
    [anon_sym_BANG_EQ] = ACTIONS(1863),
    [anon_sym_eq] = ACTIONS(1863),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1863),
    [anon_sym_equ] = ACTIONS(1863),
    [anon_sym_eqr] = ACTIONS(1863),
    [anon_sym_ne] = ACTIONS(1863),
    [anon_sym_LT_EQ_GT] = ACTIONS(1863),
    [anon_sym_cmp] = ACTIONS(1863),
    [anon_sym_TILDE_TILDE] = ACTIONS(1863),
    [anon_sym_LT] = ACTIONS(1863),
    [anon_sym_LT_EQ] = ACTIONS(1863),
    [anon_sym_GT_EQ] = ACTIONS(1863),
    [anon_sym_lt] = ACTIONS(1863),
    [anon_sym_le] = ACTIONS(1863),
    [anon_sym_ge] = ACTIONS(1863),
    [anon_sym_gt] = ACTIONS(1863),
    [anon_sym_isa] = ACTIONS(1863),
    [anon_sym_TILDE] = ACTIONS(1863),
    [anon_sym_BANG] = ACTIONS(1863),
    [anon_sym_PLUS_PLUS] = ACTIONS(1863),
    [anon_sym_DASH_DASH] = ACTIONS(1863),
    [anon_sym_QMARK] = ACTIONS(1863),
    [anon_sym_BSLASH] = ACTIONS(1865),
    [anon_sym_do] = ACTIONS(1863),
    [anon_sym_eval] = ACTIONS(1863),
    [anon_sym_await] = ACTIONS(1863),
    [anon_sym_field] = ACTIONS(1863),
    [anon_sym_local] = ACTIONS(1863),
    [anon_sym_dynamically] = ACTIONS(1863),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1863),
    [anon_sym_require] = ACTIONS(1863),
    [anon_sym_map] = ACTIONS(1863),
    [anon_sym_grep] = ACTIONS(1863),
    [anon_sym_sort] = ACTIONS(1863),
    [anon_sym_goto] = ACTIONS(1863),
    [anon_sym_return] = ACTIONS(1863),
    [anon_sym_undef] = ACTIONS(1863),
    [anon_sym_PERCENT2] = ACTIONS(1863),
    [anon_sym_AMP2] = ACTIONS(1863),
    [anon_sym_STAR2] = ACTIONS(1863),
    [anon_sym_EQ_GT] = ACTIONS(1863),
    [anon_sym_last] = ACTIONS(1863),
    [anon_sym_next] = ACTIONS(1863),
    [anon_sym_redo] = ACTIONS(1863),
    [anon_sym___FILE__] = ACTIONS(1863),
    [anon_sym___LINE__] = ACTIONS(1863),
    [anon_sym___PACKAGE__] = ACTIONS(1863),
    [anon_sym___SUB__] = ACTIONS(1863),
    [anon_sym_break] = ACTIONS(1863),
    [anon_sym_fork] = ACTIONS(1863),
    [anon_sym_getppid] = ACTIONS(1863),
    [anon_sym_time] = ACTIONS(1863),
    [anon_sym_times] = ACTIONS(1863),
    [anon_sym_wait] = ACTIONS(1863),
    [anon_sym_wantarray] = ACTIONS(1863),
    [anon_sym_abs] = ACTIONS(1863),
    [anon_sym_alarm] = ACTIONS(1863),
    [anon_sym_chop] = ACTIONS(1863),
    [anon_sym_chdir] = ACTIONS(1863),
    [anon_sym_close] = ACTIONS(1863),
    [anon_sym_closedir] = ACTIONS(1863),
    [anon_sym_caller] = ACTIONS(1863),
    [anon_sym_chomp] = ACTIONS(1863),
    [anon_sym_chr] = ACTIONS(1863),
    [anon_sym_cos] = ACTIONS(1863),
    [anon_sym_chroot] = ACTIONS(1863),
    [anon_sym_defined] = ACTIONS(1863),
    [anon_sym_delete] = ACTIONS(1863),
    [anon_sym_dbmclose] = ACTIONS(1863),
    [anon_sym_exists] = ACTIONS(1863),
    [anon_sym_exit] = ACTIONS(1863),
    [anon_sym_eof] = ACTIONS(1863),
    [anon_sym_exp] = ACTIONS(1863),
    [anon_sym_each] = ACTIONS(1863),
    [anon_sym_fc] = ACTIONS(1863),
    [anon_sym_fileno] = ACTIONS(1863),
    [anon_sym_gmtime] = ACTIONS(1863),
    [anon_sym_getc] = ACTIONS(1863),
    [anon_sym_getpgrp] = ACTIONS(1863),
    [anon_sym_getprotobyname] = ACTIONS(1863),
    [anon_sym_getpwname] = ACTIONS(1863),
    [anon_sym_getpwuid] = ACTIONS(1863),
    [anon_sym_getpeername] = ACTIONS(1863),
    [anon_sym_getnetbyname] = ACTIONS(1863),
    [anon_sym_getsockname] = ACTIONS(1863),
    [anon_sym_getgrnam] = ACTIONS(1863),
    [anon_sym_getgrgid] = ACTIONS(1863),
    [anon_sym_hex] = ACTIONS(1863),
    [anon_sym_int] = ACTIONS(1863),
    [anon_sym_keys] = ACTIONS(1863),
    [anon_sym_lc] = ACTIONS(1863),
    [anon_sym_lcfirst] = ACTIONS(1863),
    [anon_sym_length] = ACTIONS(1863),
    [anon_sym_localtime] = ACTIONS(1863),
    [anon_sym_log] = ACTIONS(1863),
    [anon_sym_lock] = ACTIONS(1863),
    [anon_sym_lstat] = ACTIONS(1863),
    [anon_sym_oct] = ACTIONS(1863),
    [anon_sym_ord] = ACTIONS(1863),
    [anon_sym_prototype] = ACTIONS(1863),
    [anon_sym_pop] = ACTIONS(1863),
    [anon_sym_pos] = ACTIONS(1863),
    [anon_sym_quotemeta] = ACTIONS(1863),
    [anon_sym_reset] = ACTIONS(1863),
    [anon_sym_rand] = ACTIONS(1863),
    [anon_sym_rmdir] = ACTIONS(1863),
    [anon_sym_readdir] = ACTIONS(1863),
    [anon_sym_readline] = ACTIONS(1863),
    [anon_sym_readpipe] = ACTIONS(1863),
    [anon_sym_rewinddir] = ACTIONS(1863),
    [anon_sym_readlink] = ACTIONS(1863),
    [anon_sym_ref] = ACTIONS(1863),
    [anon_sym_scalar] = ACTIONS(1863),
    [anon_sym_shift] = ACTIONS(1863),
    [anon_sym_sin] = ACTIONS(1863),
    [anon_sym_sleep] = ACTIONS(1863),
    [anon_sym_sqrt] = ACTIONS(1863),
    [anon_sym_srand] = ACTIONS(1863),
    [anon_sym_stat] = ACTIONS(1863),
    [anon_sym_study] = ACTIONS(1863),
    [anon_sym_tell] = ACTIONS(1863),
    [anon_sym_telldir] = ACTIONS(1863),
    [anon_sym_tied] = ACTIONS(1863),
    [anon_sym_uc] = ACTIONS(1863),
    [anon_sym_ucfirst] = ACTIONS(1863),
    [anon_sym_untie] = ACTIONS(1863),
    [anon_sym_umask] = ACTIONS(1863),
    [anon_sym_values] = ACTIONS(1863),
    [anon_sym_write] = ACTIONS(1863),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1863),
    [anon_sym___END__] = ACTIONS(1863),
    [anon_sym_EOT] = ACTIONS(1863),
    [anon_sym_q] = ACTIONS(1863),
    [anon_sym_qq] = ACTIONS(1863),
    [anon_sym_qw] = ACTIONS(1863),
    [anon_sym_qx] = ACTIONS(1863),
    [anon_sym_qr] = ACTIONS(1863),
    [anon_sym_m] = ACTIONS(1863),
    [anon_sym_s] = ACTIONS(1863),
    [anon_sym_tr] = ACTIONS(1863),
    [anon_sym_y] = ACTIONS(1863),
    [aux_sym__bareword_token1] = ACTIONS(1863),
    [sym_number] = ACTIONS(1863),
    [anon_sym_true] = ACTIONS(1863),
    [anon_sym_false] = ACTIONS(1863),
    [sym__single_quote] = ACTIONS(1865),
    [sym__double_quote] = ACTIONS(1865),
    [sym__backtick_quote] = ACTIONS(1865),
    [sym__search_slash_quote] = ACTIONS(1865),
    [sym__open_readline_bracket] = ACTIONS(1865),
    [sym__open_fileglob_bracket] = ACTIONS(1865),
    [sym__PERLY_SEMICOLON] = ACTIONS(1865),
    [sym__PERLY_HEREDOC] = ACTIONS(1865),
    [sym__ctrl_z_hack] = ACTIONS(1865),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1865),
    [sym__filetest] = ACTIONS(1865),
  },
  [793] = {
    [sym_heredoc_content] = STATE(793),
    [sym__identifier] = ACTIONS(1661),
    [anon_sym_LBRACE] = ACTIONS(1661),
    [anon_sym_SEMI] = ACTIONS(1663),
    [anon_sym_DOLLAR] = ACTIONS(1661),
    [anon_sym_EQ] = ACTIONS(1663),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1663),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1663),
    [anon_sym_AT] = ACTIONS(1661),
    [anon_sym_COMMA] = ACTIONS(1663),
    [anon_sym_my] = ACTIONS(1661),
    [anon_sym_extended] = ACTIONS(1661),
    [anon_sym_async] = ACTIONS(1661),
    [anon_sym_sub] = ACTIONS(1661),
    [anon_sym_method] = ACTIONS(1661),
    [anon_sym_LPAREN] = ACTIONS(1661),
    [anon_sym_continue] = ACTIONS(1661),
    [anon_sym_state] = ACTIONS(1661),
    [anon_sym_our] = ACTIONS(1661),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1663),
    [anon_sym_and] = ACTIONS(1663),
    [anon_sym_or] = ACTIONS(1663),
    [anon_sym_xor] = ACTIONS(1663),
    [anon_sym_LBRACK] = ACTIONS(1661),
    [anon_sym_DASH_GT] = ACTIONS(1663),
    [anon_sym_PERCENT] = ACTIONS(1663),
    [anon_sym_GT] = ACTIONS(1663),
    [anon_sym_LT_LT] = ACTIONS(1663),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1663),
    [anon_sym_PLUS_EQ] = ACTIONS(1663),
    [anon_sym_DASH_EQ] = ACTIONS(1663),
    [anon_sym_DOT_EQ] = ACTIONS(1663),
    [anon_sym_STAR_EQ] = ACTIONS(1663),
    [anon_sym_SLASH_EQ] = ACTIONS(1663),
    [anon_sym_PERCENT_EQ] = ACTIONS(1663),
    [anon_sym_x_EQ] = ACTIONS(1663),
    [anon_sym_AMP_EQ] = ACTIONS(1663),
    [anon_sym_PIPE_EQ] = ACTIONS(1663),
    [anon_sym_CARET_EQ] = ACTIONS(1663),
    [anon_sym_LT_LT_EQ] = ACTIONS(1663),
    [anon_sym_GT_GT_EQ] = ACTIONS(1663),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1663),
    [anon_sym_DOT_DOT] = ACTIONS(1663),
    [anon_sym_STAR_STAR] = ACTIONS(1663),
    [anon_sym_PIPE_PIPE] = ACTIONS(1663),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_CARET_CARET] = ACTIONS(1663),
    [anon_sym_AMP_AMP] = ACTIONS(1663),
    [anon_sym_PIPE] = ACTIONS(1663),
    [anon_sym_CARET] = ACTIONS(1663),
    [anon_sym_AMP] = ACTIONS(1663),
    [anon_sym_GT_GT2] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(1663),
    [anon_sym_DASH] = ACTIONS(1663),
    [anon_sym_DOT] = ACTIONS(1663),
    [anon_sym_STAR] = ACTIONS(1663),
    [anon_sym_SLASH] = ACTIONS(1663),
    [anon_sym_x] = ACTIONS(1663),
    [anon_sym_EQ_TILDE] = ACTIONS(1663),
    [anon_sym_BANG_TILDE] = ACTIONS(1663),
    [anon_sym_EQ_EQ] = ACTIONS(1663),
    [anon_sym_BANG_EQ] = ACTIONS(1663),
    [anon_sym_eq] = ACTIONS(1663),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1663),
    [anon_sym_equ] = ACTIONS(1663),
    [anon_sym_eqr] = ACTIONS(1663),
    [anon_sym_ne] = ACTIONS(1663),
    [anon_sym_LT_EQ_GT] = ACTIONS(1663),
    [anon_sym_cmp] = ACTIONS(1663),
    [anon_sym_TILDE_TILDE] = ACTIONS(1663),
    [anon_sym_LT] = ACTIONS(1663),
    [anon_sym_LT_EQ] = ACTIONS(1663),
    [anon_sym_GT_EQ] = ACTIONS(1663),
    [anon_sym_lt] = ACTIONS(1663),
    [anon_sym_le] = ACTIONS(1663),
    [anon_sym_ge] = ACTIONS(1663),
    [anon_sym_gt] = ACTIONS(1663),
    [anon_sym_isa] = ACTIONS(1663),
    [anon_sym_TILDE] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1661),
    [anon_sym_PLUS_PLUS] = ACTIONS(1663),
    [anon_sym_DASH_DASH] = ACTIONS(1663),
    [anon_sym_QMARK] = ACTIONS(1663),
    [anon_sym_BSLASH] = ACTIONS(1659),
    [anon_sym_do] = ACTIONS(1661),
    [anon_sym_eval] = ACTIONS(1661),
    [anon_sym_await] = ACTIONS(1661),
    [anon_sym_field] = ACTIONS(1661),
    [anon_sym_local] = ACTIONS(1661),
    [anon_sym_dynamically] = ACTIONS(1661),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1661),
    [anon_sym_require] = ACTIONS(1661),
    [anon_sym_map] = ACTIONS(1661),
    [anon_sym_grep] = ACTIONS(1661),
    [anon_sym_sort] = ACTIONS(1661),
    [anon_sym_goto] = ACTIONS(1661),
    [anon_sym_return] = ACTIONS(1661),
    [anon_sym_undef] = ACTIONS(1661),
    [anon_sym_PERCENT2] = ACTIONS(1661),
    [anon_sym_AMP2] = ACTIONS(1661),
    [anon_sym_STAR2] = ACTIONS(1661),
    [anon_sym_EQ_GT] = ACTIONS(1663),
    [anon_sym_last] = ACTIONS(1661),
    [anon_sym_next] = ACTIONS(1661),
    [anon_sym_redo] = ACTIONS(1661),
    [anon_sym___FILE__] = ACTIONS(1661),
    [anon_sym___LINE__] = ACTIONS(1661),
    [anon_sym___PACKAGE__] = ACTIONS(1661),
    [anon_sym___SUB__] = ACTIONS(1661),
    [anon_sym_break] = ACTIONS(1661),
    [anon_sym_fork] = ACTIONS(1661),
    [anon_sym_getppid] = ACTIONS(1661),
    [anon_sym_time] = ACTIONS(1661),
    [anon_sym_times] = ACTIONS(1661),
    [anon_sym_wait] = ACTIONS(1661),
    [anon_sym_wantarray] = ACTIONS(1661),
    [anon_sym_abs] = ACTIONS(1661),
    [anon_sym_alarm] = ACTIONS(1661),
    [anon_sym_chop] = ACTIONS(1661),
    [anon_sym_chdir] = ACTIONS(1661),
    [anon_sym_close] = ACTIONS(1661),
    [anon_sym_closedir] = ACTIONS(1661),
    [anon_sym_caller] = ACTIONS(1661),
    [anon_sym_chomp] = ACTIONS(1661),
    [anon_sym_chr] = ACTIONS(1661),
    [anon_sym_cos] = ACTIONS(1661),
    [anon_sym_chroot] = ACTIONS(1661),
    [anon_sym_defined] = ACTIONS(1661),
    [anon_sym_delete] = ACTIONS(1661),
    [anon_sym_dbmclose] = ACTIONS(1661),
    [anon_sym_exists] = ACTIONS(1661),
    [anon_sym_exit] = ACTIONS(1661),
    [anon_sym_eof] = ACTIONS(1661),
    [anon_sym_exp] = ACTIONS(1661),
    [anon_sym_each] = ACTIONS(1661),
    [anon_sym_fc] = ACTIONS(1661),
    [anon_sym_fileno] = ACTIONS(1661),
    [anon_sym_gmtime] = ACTIONS(1661),
    [anon_sym_getc] = ACTIONS(1661),
    [anon_sym_getpgrp] = ACTIONS(1661),
    [anon_sym_getprotobyname] = ACTIONS(1661),
    [anon_sym_getpwname] = ACTIONS(1661),
    [anon_sym_getpwuid] = ACTIONS(1661),
    [anon_sym_getpeername] = ACTIONS(1661),
    [anon_sym_getnetbyname] = ACTIONS(1661),
    [anon_sym_getsockname] = ACTIONS(1661),
    [anon_sym_getgrnam] = ACTIONS(1661),
    [anon_sym_getgrgid] = ACTIONS(1661),
    [anon_sym_hex] = ACTIONS(1661),
    [anon_sym_int] = ACTIONS(1661),
    [anon_sym_keys] = ACTIONS(1661),
    [anon_sym_lc] = ACTIONS(1661),
    [anon_sym_lcfirst] = ACTIONS(1661),
    [anon_sym_length] = ACTIONS(1661),
    [anon_sym_localtime] = ACTIONS(1661),
    [anon_sym_log] = ACTIONS(1661),
    [anon_sym_lock] = ACTIONS(1661),
    [anon_sym_lstat] = ACTIONS(1661),
    [anon_sym_oct] = ACTIONS(1661),
    [anon_sym_ord] = ACTIONS(1661),
    [anon_sym_prototype] = ACTIONS(1661),
    [anon_sym_pop] = ACTIONS(1661),
    [anon_sym_pos] = ACTIONS(1661),
    [anon_sym_quotemeta] = ACTIONS(1661),
    [anon_sym_reset] = ACTIONS(1661),
    [anon_sym_rand] = ACTIONS(1661),
    [anon_sym_rmdir] = ACTIONS(1661),
    [anon_sym_readdir] = ACTIONS(1661),
    [anon_sym_readline] = ACTIONS(1661),
    [anon_sym_readpipe] = ACTIONS(1661),
    [anon_sym_rewinddir] = ACTIONS(1661),
    [anon_sym_readlink] = ACTIONS(1661),
    [anon_sym_ref] = ACTIONS(1661),
    [anon_sym_scalar] = ACTIONS(1661),
    [anon_sym_shift] = ACTIONS(1661),
    [anon_sym_sin] = ACTIONS(1661),
    [anon_sym_sleep] = ACTIONS(1661),
    [anon_sym_sqrt] = ACTIONS(1661),
    [anon_sym_srand] = ACTIONS(1661),
    [anon_sym_stat] = ACTIONS(1661),
    [anon_sym_study] = ACTIONS(1661),
    [anon_sym_tell] = ACTIONS(1661),
    [anon_sym_telldir] = ACTIONS(1661),
    [anon_sym_tied] = ACTIONS(1661),
    [anon_sym_uc] = ACTIONS(1661),
    [anon_sym_ucfirst] = ACTIONS(1661),
    [anon_sym_untie] = ACTIONS(1661),
    [anon_sym_umask] = ACTIONS(1661),
    [anon_sym_values] = ACTIONS(1661),
    [anon_sym_write] = ACTIONS(1661),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1663),
    [anon_sym___END__] = ACTIONS(1663),
    [anon_sym_EOT] = ACTIONS(1663),
    [anon_sym_q] = ACTIONS(1661),
    [anon_sym_qq] = ACTIONS(1661),
    [anon_sym_qw] = ACTIONS(1661),
    [anon_sym_qx] = ACTIONS(1661),
    [anon_sym_qr] = ACTIONS(1661),
    [anon_sym_m] = ACTIONS(1661),
    [anon_sym_s] = ACTIONS(1661),
    [anon_sym_tr] = ACTIONS(1661),
    [anon_sym_y] = ACTIONS(1661),
    [aux_sym__bareword_token1] = ACTIONS(1661),
    [sym_number] = ACTIONS(1661),
    [anon_sym_true] = ACTIONS(1661),
    [anon_sym_false] = ACTIONS(1661),
    [sym__single_quote] = ACTIONS(1659),
    [sym__double_quote] = ACTIONS(1659),
    [sym__backtick_quote] = ACTIONS(1659),
    [sym__search_slash_quote] = ACTIONS(1659),
    [sym__open_readline_bracket] = ACTIONS(1659),
    [sym__open_fileglob_bracket] = ACTIONS(1659),
    [sym__PERLY_SEMICOLON] = ACTIONS(1665),
    [sym__PERLY_HEREDOC] = ACTIONS(1659),
    [sym__ctrl_z_hack] = ACTIONS(1665),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1659),
    [sym__filetest] = ACTIONS(1659),
  },
  [794] = {
    [sym_heredoc_content] = STATE(794),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
  },
  [795] = {
    [sym_heredoc_content] = STATE(795),
    [sym__identifier] = ACTIONS(1824),
    [anon_sym_LBRACE] = ACTIONS(1824),
    [anon_sym_RBRACE] = ACTIONS(1824),
    [anon_sym_DOLLAR] = ACTIONS(1824),
    [anon_sym_EQ] = ACTIONS(1824),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1824),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1824),
    [anon_sym_AT] = ACTIONS(1824),
    [anon_sym_COMMA] = ACTIONS(1824),
    [anon_sym_RPAREN] = ACTIONS(1824),
    [anon_sym_my] = ACTIONS(1824),
    [anon_sym_extended] = ACTIONS(1824),
    [anon_sym_async] = ACTIONS(1824),
    [anon_sym_sub] = ACTIONS(1824),
    [anon_sym_method] = ACTIONS(1824),
    [anon_sym_LPAREN] = ACTIONS(1824),
    [anon_sym_continue] = ACTIONS(1824),
    [anon_sym_state] = ACTIONS(1824),
    [anon_sym_our] = ACTIONS(1824),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1824),
    [anon_sym_and] = ACTIONS(1824),
    [anon_sym_or] = ACTIONS(1824),
    [anon_sym_xor] = ACTIONS(1824),
    [anon_sym_LBRACK] = ACTIONS(1824),
    [anon_sym_RBRACK] = ACTIONS(1824),
    [anon_sym_DASH_GT] = ACTIONS(1824),
    [anon_sym_PERCENT] = ACTIONS(1824),
    [anon_sym_GT] = ACTIONS(1824),
    [anon_sym_LT_LT] = ACTIONS(1824),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1824),
    [anon_sym_PLUS_EQ] = ACTIONS(1824),
    [anon_sym_DASH_EQ] = ACTIONS(1824),
    [anon_sym_DOT_EQ] = ACTIONS(1824),
    [anon_sym_STAR_EQ] = ACTIONS(1824),
    [anon_sym_SLASH_EQ] = ACTIONS(1824),
    [anon_sym_PERCENT_EQ] = ACTIONS(1824),
    [anon_sym_x_EQ] = ACTIONS(1824),
    [anon_sym_AMP_EQ] = ACTIONS(1824),
    [anon_sym_PIPE_EQ] = ACTIONS(1824),
    [anon_sym_CARET_EQ] = ACTIONS(1824),
    [anon_sym_LT_LT_EQ] = ACTIONS(1824),
    [anon_sym_GT_GT_EQ] = ACTIONS(1824),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1824),
    [anon_sym_DOT_DOT] = ACTIONS(1824),
    [anon_sym_STAR_STAR] = ACTIONS(1824),
    [anon_sym_PIPE_PIPE] = ACTIONS(1824),
    [anon_sym_SLASH_SLASH] = ACTIONS(1824),
    [anon_sym_CARET_CARET] = ACTIONS(1824),
    [anon_sym_AMP_AMP] = ACTIONS(1824),
    [anon_sym_PIPE] = ACTIONS(1824),
    [anon_sym_CARET] = ACTIONS(1824),
    [anon_sym_AMP] = ACTIONS(1824),
    [anon_sym_GT_GT2] = ACTIONS(1824),
    [anon_sym_PLUS] = ACTIONS(1824),
    [anon_sym_DASH] = ACTIONS(1824),
    [anon_sym_DOT] = ACTIONS(1824),
    [anon_sym_STAR] = ACTIONS(1824),
    [anon_sym_SLASH] = ACTIONS(1824),
    [anon_sym_x] = ACTIONS(1824),
    [anon_sym_EQ_TILDE] = ACTIONS(1824),
    [anon_sym_BANG_TILDE] = ACTIONS(1824),
    [anon_sym_EQ_EQ] = ACTIONS(1824),
    [anon_sym_BANG_EQ] = ACTIONS(1824),
    [anon_sym_eq] = ACTIONS(1824),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1824),
    [anon_sym_equ] = ACTIONS(1824),
    [anon_sym_eqr] = ACTIONS(1824),
    [anon_sym_ne] = ACTIONS(1824),
    [anon_sym_LT_EQ_GT] = ACTIONS(1824),
    [anon_sym_cmp] = ACTIONS(1824),
    [anon_sym_TILDE_TILDE] = ACTIONS(1824),
    [anon_sym_LT] = ACTIONS(1824),
    [anon_sym_LT_EQ] = ACTIONS(1824),
    [anon_sym_GT_EQ] = ACTIONS(1824),
    [anon_sym_lt] = ACTIONS(1824),
    [anon_sym_le] = ACTIONS(1824),
    [anon_sym_ge] = ACTIONS(1824),
    [anon_sym_gt] = ACTIONS(1824),
    [anon_sym_isa] = ACTIONS(1824),
    [anon_sym_TILDE] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1824),
    [anon_sym_PLUS_PLUS] = ACTIONS(1824),
    [anon_sym_DASH_DASH] = ACTIONS(1824),
    [anon_sym_QMARK] = ACTIONS(1824),
    [anon_sym_BSLASH] = ACTIONS(1826),
    [anon_sym_do] = ACTIONS(1824),
    [anon_sym_eval] = ACTIONS(1824),
    [anon_sym_await] = ACTIONS(1824),
    [anon_sym_field] = ACTIONS(1824),
    [anon_sym_local] = ACTIONS(1824),
    [anon_sym_dynamically] = ACTIONS(1824),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1824),
    [anon_sym_require] = ACTIONS(1824),
    [anon_sym_map] = ACTIONS(1824),
    [anon_sym_grep] = ACTIONS(1824),
    [anon_sym_sort] = ACTIONS(1824),
    [anon_sym_goto] = ACTIONS(1824),
    [anon_sym_return] = ACTIONS(1824),
    [anon_sym_undef] = ACTIONS(1824),
    [anon_sym_PERCENT2] = ACTIONS(1824),
    [anon_sym_AMP2] = ACTIONS(1824),
    [anon_sym_STAR2] = ACTIONS(1824),
    [anon_sym_EQ_GT] = ACTIONS(1824),
    [anon_sym_last] = ACTIONS(1824),
    [anon_sym_next] = ACTIONS(1824),
    [anon_sym_redo] = ACTIONS(1824),
    [anon_sym___FILE__] = ACTIONS(1824),
    [anon_sym___LINE__] = ACTIONS(1824),
    [anon_sym___PACKAGE__] = ACTIONS(1824),
    [anon_sym___SUB__] = ACTIONS(1824),
    [anon_sym_break] = ACTIONS(1824),
    [anon_sym_fork] = ACTIONS(1824),
    [anon_sym_getppid] = ACTIONS(1824),
    [anon_sym_time] = ACTIONS(1824),
    [anon_sym_times] = ACTIONS(1824),
    [anon_sym_wait] = ACTIONS(1824),
    [anon_sym_wantarray] = ACTIONS(1824),
    [anon_sym_abs] = ACTIONS(1824),
    [anon_sym_alarm] = ACTIONS(1824),
    [anon_sym_chop] = ACTIONS(1824),
    [anon_sym_chdir] = ACTIONS(1824),
    [anon_sym_close] = ACTIONS(1824),
    [anon_sym_closedir] = ACTIONS(1824),
    [anon_sym_caller] = ACTIONS(1824),
    [anon_sym_chomp] = ACTIONS(1824),
    [anon_sym_chr] = ACTIONS(1824),
    [anon_sym_cos] = ACTIONS(1824),
    [anon_sym_chroot] = ACTIONS(1824),
    [anon_sym_defined] = ACTIONS(1824),
    [anon_sym_delete] = ACTIONS(1824),
    [anon_sym_dbmclose] = ACTIONS(1824),
    [anon_sym_exists] = ACTIONS(1824),
    [anon_sym_exit] = ACTIONS(1824),
    [anon_sym_eof] = ACTIONS(1824),
    [anon_sym_exp] = ACTIONS(1824),
    [anon_sym_each] = ACTIONS(1824),
    [anon_sym_fc] = ACTIONS(1824),
    [anon_sym_fileno] = ACTIONS(1824),
    [anon_sym_gmtime] = ACTIONS(1824),
    [anon_sym_getc] = ACTIONS(1824),
    [anon_sym_getpgrp] = ACTIONS(1824),
    [anon_sym_getprotobyname] = ACTIONS(1824),
    [anon_sym_getpwname] = ACTIONS(1824),
    [anon_sym_getpwuid] = ACTIONS(1824),
    [anon_sym_getpeername] = ACTIONS(1824),
    [anon_sym_getnetbyname] = ACTIONS(1824),
    [anon_sym_getsockname] = ACTIONS(1824),
    [anon_sym_getgrnam] = ACTIONS(1824),
    [anon_sym_getgrgid] = ACTIONS(1824),
    [anon_sym_hex] = ACTIONS(1824),
    [anon_sym_int] = ACTIONS(1824),
    [anon_sym_keys] = ACTIONS(1824),
    [anon_sym_lc] = ACTIONS(1824),
    [anon_sym_lcfirst] = ACTIONS(1824),
    [anon_sym_length] = ACTIONS(1824),
    [anon_sym_localtime] = ACTIONS(1824),
    [anon_sym_log] = ACTIONS(1824),
    [anon_sym_lock] = ACTIONS(1824),
    [anon_sym_lstat] = ACTIONS(1824),
    [anon_sym_oct] = ACTIONS(1824),
    [anon_sym_ord] = ACTIONS(1824),
    [anon_sym_prototype] = ACTIONS(1824),
    [anon_sym_pop] = ACTIONS(1824),
    [anon_sym_pos] = ACTIONS(1824),
    [anon_sym_quotemeta] = ACTIONS(1824),
    [anon_sym_reset] = ACTIONS(1824),
    [anon_sym_rand] = ACTIONS(1824),
    [anon_sym_rmdir] = ACTIONS(1824),
    [anon_sym_readdir] = ACTIONS(1824),
    [anon_sym_readline] = ACTIONS(1824),
    [anon_sym_readpipe] = ACTIONS(1824),
    [anon_sym_rewinddir] = ACTIONS(1824),
    [anon_sym_readlink] = ACTIONS(1824),
    [anon_sym_ref] = ACTIONS(1824),
    [anon_sym_scalar] = ACTIONS(1824),
    [anon_sym_shift] = ACTIONS(1824),
    [anon_sym_sin] = ACTIONS(1824),
    [anon_sym_sleep] = ACTIONS(1824),
    [anon_sym_sqrt] = ACTIONS(1824),
    [anon_sym_srand] = ACTIONS(1824),
    [anon_sym_stat] = ACTIONS(1824),
    [anon_sym_study] = ACTIONS(1824),
    [anon_sym_tell] = ACTIONS(1824),
    [anon_sym_telldir] = ACTIONS(1824),
    [anon_sym_tied] = ACTIONS(1824),
    [anon_sym_uc] = ACTIONS(1824),
    [anon_sym_ucfirst] = ACTIONS(1824),
    [anon_sym_untie] = ACTIONS(1824),
    [anon_sym_umask] = ACTIONS(1824),
    [anon_sym_values] = ACTIONS(1824),
    [anon_sym_write] = ACTIONS(1824),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1824),
    [anon_sym_qq] = ACTIONS(1824),
    [anon_sym_qw] = ACTIONS(1824),
    [anon_sym_qx] = ACTIONS(1824),
    [anon_sym_qr] = ACTIONS(1824),
    [anon_sym_m] = ACTIONS(1824),
    [anon_sym_s] = ACTIONS(1824),
    [anon_sym_tr] = ACTIONS(1824),
    [anon_sym_y] = ACTIONS(1824),
    [aux_sym__bareword_token1] = ACTIONS(1824),
    [sym_number] = ACTIONS(1824),
    [anon_sym_true] = ACTIONS(1824),
    [anon_sym_false] = ACTIONS(1824),
    [sym__single_quote] = ACTIONS(1826),
    [sym__double_quote] = ACTIONS(1826),
    [sym__backtick_quote] = ACTIONS(1826),
    [sym__search_slash_quote] = ACTIONS(1826),
    [sym__no_search_slash_plz] = ACTIONS(1826),
    [sym__open_readline_bracket] = ACTIONS(1826),
    [sym__open_fileglob_bracket] = ACTIONS(1826),
    [sym__PERLY_HEREDOC] = ACTIONS(1826),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1826),
    [sym__filetest] = ACTIONS(1826),
  },
  [796] = {
    [sym_heredoc_content] = STATE(796),
    [sym__identifier] = ACTIONS(1834),
    [anon_sym_LBRACE] = ACTIONS(1834),
    [anon_sym_RBRACE] = ACTIONS(1834),
    [anon_sym_DOLLAR] = ACTIONS(1834),
    [anon_sym_EQ] = ACTIONS(1834),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1834),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1834),
    [anon_sym_AT] = ACTIONS(1834),
    [anon_sym_COMMA] = ACTIONS(1834),
    [anon_sym_RPAREN] = ACTIONS(1834),
    [anon_sym_my] = ACTIONS(1834),
    [anon_sym_extended] = ACTIONS(1834),
    [anon_sym_async] = ACTIONS(1834),
    [anon_sym_sub] = ACTIONS(1834),
    [anon_sym_method] = ACTIONS(1834),
    [anon_sym_LPAREN] = ACTIONS(1834),
    [anon_sym_continue] = ACTIONS(1834),
    [anon_sym_state] = ACTIONS(1834),
    [anon_sym_our] = ACTIONS(1834),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1834),
    [anon_sym_and] = ACTIONS(1834),
    [anon_sym_or] = ACTIONS(1834),
    [anon_sym_xor] = ACTIONS(1834),
    [anon_sym_LBRACK] = ACTIONS(1834),
    [anon_sym_RBRACK] = ACTIONS(1834),
    [anon_sym_DASH_GT] = ACTIONS(1834),
    [anon_sym_PERCENT] = ACTIONS(1834),
    [anon_sym_GT] = ACTIONS(1834),
    [anon_sym_LT_LT] = ACTIONS(1834),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1834),
    [anon_sym_PLUS_EQ] = ACTIONS(1834),
    [anon_sym_DASH_EQ] = ACTIONS(1834),
    [anon_sym_DOT_EQ] = ACTIONS(1834),
    [anon_sym_STAR_EQ] = ACTIONS(1834),
    [anon_sym_SLASH_EQ] = ACTIONS(1834),
    [anon_sym_PERCENT_EQ] = ACTIONS(1834),
    [anon_sym_x_EQ] = ACTIONS(1834),
    [anon_sym_AMP_EQ] = ACTIONS(1834),
    [anon_sym_PIPE_EQ] = ACTIONS(1834),
    [anon_sym_CARET_EQ] = ACTIONS(1834),
    [anon_sym_LT_LT_EQ] = ACTIONS(1834),
    [anon_sym_GT_GT_EQ] = ACTIONS(1834),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1834),
    [anon_sym_DOT_DOT] = ACTIONS(1834),
    [anon_sym_STAR_STAR] = ACTIONS(1834),
    [anon_sym_PIPE_PIPE] = ACTIONS(1834),
    [anon_sym_SLASH_SLASH] = ACTIONS(1834),
    [anon_sym_CARET_CARET] = ACTIONS(1834),
    [anon_sym_AMP_AMP] = ACTIONS(1834),
    [anon_sym_PIPE] = ACTIONS(1834),
    [anon_sym_CARET] = ACTIONS(1834),
    [anon_sym_AMP] = ACTIONS(1834),
    [anon_sym_GT_GT2] = ACTIONS(1834),
    [anon_sym_PLUS] = ACTIONS(1834),
    [anon_sym_DASH] = ACTIONS(1834),
    [anon_sym_DOT] = ACTIONS(1834),
    [anon_sym_STAR] = ACTIONS(1834),
    [anon_sym_SLASH] = ACTIONS(1834),
    [anon_sym_x] = ACTIONS(1834),
    [anon_sym_EQ_TILDE] = ACTIONS(1834),
    [anon_sym_BANG_TILDE] = ACTIONS(1834),
    [anon_sym_EQ_EQ] = ACTIONS(1834),
    [anon_sym_BANG_EQ] = ACTIONS(1834),
    [anon_sym_eq] = ACTIONS(1834),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1834),
    [anon_sym_equ] = ACTIONS(1834),
    [anon_sym_eqr] = ACTIONS(1834),
    [anon_sym_ne] = ACTIONS(1834),
    [anon_sym_LT_EQ_GT] = ACTIONS(1834),
    [anon_sym_cmp] = ACTIONS(1834),
    [anon_sym_TILDE_TILDE] = ACTIONS(1834),
    [anon_sym_LT] = ACTIONS(1834),
    [anon_sym_LT_EQ] = ACTIONS(1834),
    [anon_sym_GT_EQ] = ACTIONS(1834),
    [anon_sym_lt] = ACTIONS(1834),
    [anon_sym_le] = ACTIONS(1834),
    [anon_sym_ge] = ACTIONS(1834),
    [anon_sym_gt] = ACTIONS(1834),
    [anon_sym_isa] = ACTIONS(1834),
    [anon_sym_TILDE] = ACTIONS(1834),
    [anon_sym_BANG] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1834),
    [anon_sym_DASH_DASH] = ACTIONS(1834),
    [anon_sym_QMARK] = ACTIONS(1834),
    [anon_sym_BSLASH] = ACTIONS(1836),
    [anon_sym_do] = ACTIONS(1834),
    [anon_sym_eval] = ACTIONS(1834),
    [anon_sym_await] = ACTIONS(1834),
    [anon_sym_field] = ACTIONS(1834),
    [anon_sym_local] = ACTIONS(1834),
    [anon_sym_dynamically] = ACTIONS(1834),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1834),
    [anon_sym_require] = ACTIONS(1834),
    [anon_sym_map] = ACTIONS(1834),
    [anon_sym_grep] = ACTIONS(1834),
    [anon_sym_sort] = ACTIONS(1834),
    [anon_sym_goto] = ACTIONS(1834),
    [anon_sym_return] = ACTIONS(1834),
    [anon_sym_undef] = ACTIONS(1834),
    [anon_sym_PERCENT2] = ACTIONS(1834),
    [anon_sym_AMP2] = ACTIONS(1834),
    [anon_sym_STAR2] = ACTIONS(1834),
    [anon_sym_EQ_GT] = ACTIONS(1834),
    [anon_sym_last] = ACTIONS(1834),
    [anon_sym_next] = ACTIONS(1834),
    [anon_sym_redo] = ACTIONS(1834),
    [anon_sym___FILE__] = ACTIONS(1834),
    [anon_sym___LINE__] = ACTIONS(1834),
    [anon_sym___PACKAGE__] = ACTIONS(1834),
    [anon_sym___SUB__] = ACTIONS(1834),
    [anon_sym_break] = ACTIONS(1834),
    [anon_sym_fork] = ACTIONS(1834),
    [anon_sym_getppid] = ACTIONS(1834),
    [anon_sym_time] = ACTIONS(1834),
    [anon_sym_times] = ACTIONS(1834),
    [anon_sym_wait] = ACTIONS(1834),
    [anon_sym_wantarray] = ACTIONS(1834),
    [anon_sym_abs] = ACTIONS(1834),
    [anon_sym_alarm] = ACTIONS(1834),
    [anon_sym_chop] = ACTIONS(1834),
    [anon_sym_chdir] = ACTIONS(1834),
    [anon_sym_close] = ACTIONS(1834),
    [anon_sym_closedir] = ACTIONS(1834),
    [anon_sym_caller] = ACTIONS(1834),
    [anon_sym_chomp] = ACTIONS(1834),
    [anon_sym_chr] = ACTIONS(1834),
    [anon_sym_cos] = ACTIONS(1834),
    [anon_sym_chroot] = ACTIONS(1834),
    [anon_sym_defined] = ACTIONS(1834),
    [anon_sym_delete] = ACTIONS(1834),
    [anon_sym_dbmclose] = ACTIONS(1834),
    [anon_sym_exists] = ACTIONS(1834),
    [anon_sym_exit] = ACTIONS(1834),
    [anon_sym_eof] = ACTIONS(1834),
    [anon_sym_exp] = ACTIONS(1834),
    [anon_sym_each] = ACTIONS(1834),
    [anon_sym_fc] = ACTIONS(1834),
    [anon_sym_fileno] = ACTIONS(1834),
    [anon_sym_gmtime] = ACTIONS(1834),
    [anon_sym_getc] = ACTIONS(1834),
    [anon_sym_getpgrp] = ACTIONS(1834),
    [anon_sym_getprotobyname] = ACTIONS(1834),
    [anon_sym_getpwname] = ACTIONS(1834),
    [anon_sym_getpwuid] = ACTIONS(1834),
    [anon_sym_getpeername] = ACTIONS(1834),
    [anon_sym_getnetbyname] = ACTIONS(1834),
    [anon_sym_getsockname] = ACTIONS(1834),
    [anon_sym_getgrnam] = ACTIONS(1834),
    [anon_sym_getgrgid] = ACTIONS(1834),
    [anon_sym_hex] = ACTIONS(1834),
    [anon_sym_int] = ACTIONS(1834),
    [anon_sym_keys] = ACTIONS(1834),
    [anon_sym_lc] = ACTIONS(1834),
    [anon_sym_lcfirst] = ACTIONS(1834),
    [anon_sym_length] = ACTIONS(1834),
    [anon_sym_localtime] = ACTIONS(1834),
    [anon_sym_log] = ACTIONS(1834),
    [anon_sym_lock] = ACTIONS(1834),
    [anon_sym_lstat] = ACTIONS(1834),
    [anon_sym_oct] = ACTIONS(1834),
    [anon_sym_ord] = ACTIONS(1834),
    [anon_sym_prototype] = ACTIONS(1834),
    [anon_sym_pop] = ACTIONS(1834),
    [anon_sym_pos] = ACTIONS(1834),
    [anon_sym_quotemeta] = ACTIONS(1834),
    [anon_sym_reset] = ACTIONS(1834),
    [anon_sym_rand] = ACTIONS(1834),
    [anon_sym_rmdir] = ACTIONS(1834),
    [anon_sym_readdir] = ACTIONS(1834),
    [anon_sym_readline] = ACTIONS(1834),
    [anon_sym_readpipe] = ACTIONS(1834),
    [anon_sym_rewinddir] = ACTIONS(1834),
    [anon_sym_readlink] = ACTIONS(1834),
    [anon_sym_ref] = ACTIONS(1834),
    [anon_sym_scalar] = ACTIONS(1834),
    [anon_sym_shift] = ACTIONS(1834),
    [anon_sym_sin] = ACTIONS(1834),
    [anon_sym_sleep] = ACTIONS(1834),
    [anon_sym_sqrt] = ACTIONS(1834),
    [anon_sym_srand] = ACTIONS(1834),
    [anon_sym_stat] = ACTIONS(1834),
    [anon_sym_study] = ACTIONS(1834),
    [anon_sym_tell] = ACTIONS(1834),
    [anon_sym_telldir] = ACTIONS(1834),
    [anon_sym_tied] = ACTIONS(1834),
    [anon_sym_uc] = ACTIONS(1834),
    [anon_sym_ucfirst] = ACTIONS(1834),
    [anon_sym_untie] = ACTIONS(1834),
    [anon_sym_umask] = ACTIONS(1834),
    [anon_sym_values] = ACTIONS(1834),
    [anon_sym_write] = ACTIONS(1834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1834),
    [anon_sym_qq] = ACTIONS(1834),
    [anon_sym_qw] = ACTIONS(1834),
    [anon_sym_qx] = ACTIONS(1834),
    [anon_sym_qr] = ACTIONS(1834),
    [anon_sym_m] = ACTIONS(1834),
    [anon_sym_s] = ACTIONS(1834),
    [anon_sym_tr] = ACTIONS(1834),
    [anon_sym_y] = ACTIONS(1834),
    [aux_sym__bareword_token1] = ACTIONS(1834),
    [sym_number] = ACTIONS(1834),
    [anon_sym_true] = ACTIONS(1834),
    [anon_sym_false] = ACTIONS(1834),
    [sym__single_quote] = ACTIONS(1836),
    [sym__double_quote] = ACTIONS(1836),
    [sym__backtick_quote] = ACTIONS(1836),
    [sym__search_slash_quote] = ACTIONS(1836),
    [sym__no_search_slash_plz] = ACTIONS(1836),
    [sym__open_readline_bracket] = ACTIONS(1836),
    [sym__open_fileglob_bracket] = ACTIONS(1836),
    [sym__PERLY_HEREDOC] = ACTIONS(1836),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1836),
    [sym__filetest] = ACTIONS(1836),
  },
  [797] = {
    [sym_heredoc_content] = STATE(797),
    [sym__identifier] = ACTIONS(1851),
    [anon_sym_LBRACE] = ACTIONS(1851),
    [anon_sym_RBRACE] = ACTIONS(1851),
    [anon_sym_DOLLAR] = ACTIONS(1851),
    [anon_sym_EQ] = ACTIONS(1851),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1851),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(1851),
    [anon_sym_COMMA] = ACTIONS(1851),
    [anon_sym_RPAREN] = ACTIONS(1851),
    [anon_sym_my] = ACTIONS(1851),
    [anon_sym_extended] = ACTIONS(1851),
    [anon_sym_async] = ACTIONS(1851),
    [anon_sym_sub] = ACTIONS(1851),
    [anon_sym_method] = ACTIONS(1851),
    [anon_sym_LPAREN] = ACTIONS(1851),
    [anon_sym_continue] = ACTIONS(1851),
    [anon_sym_state] = ACTIONS(1851),
    [anon_sym_our] = ACTIONS(1851),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1851),
    [anon_sym_and] = ACTIONS(1851),
    [anon_sym_or] = ACTIONS(1851),
    [anon_sym_xor] = ACTIONS(1851),
    [anon_sym_LBRACK] = ACTIONS(1851),
    [anon_sym_RBRACK] = ACTIONS(1851),
    [anon_sym_DASH_GT] = ACTIONS(1851),
    [anon_sym_PERCENT] = ACTIONS(1851),
    [anon_sym_GT] = ACTIONS(1851),
    [anon_sym_LT_LT] = ACTIONS(1851),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1851),
    [anon_sym_PLUS_EQ] = ACTIONS(1851),
    [anon_sym_DASH_EQ] = ACTIONS(1851),
    [anon_sym_DOT_EQ] = ACTIONS(1851),
    [anon_sym_STAR_EQ] = ACTIONS(1851),
    [anon_sym_SLASH_EQ] = ACTIONS(1851),
    [anon_sym_PERCENT_EQ] = ACTIONS(1851),
    [anon_sym_x_EQ] = ACTIONS(1851),
    [anon_sym_AMP_EQ] = ACTIONS(1851),
    [anon_sym_PIPE_EQ] = ACTIONS(1851),
    [anon_sym_CARET_EQ] = ACTIONS(1851),
    [anon_sym_LT_LT_EQ] = ACTIONS(1851),
    [anon_sym_GT_GT_EQ] = ACTIONS(1851),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1851),
    [anon_sym_DOT_DOT] = ACTIONS(1851),
    [anon_sym_STAR_STAR] = ACTIONS(1851),
    [anon_sym_PIPE_PIPE] = ACTIONS(1851),
    [anon_sym_SLASH_SLASH] = ACTIONS(1851),
    [anon_sym_CARET_CARET] = ACTIONS(1851),
    [anon_sym_AMP_AMP] = ACTIONS(1851),
    [anon_sym_PIPE] = ACTIONS(1851),
    [anon_sym_CARET] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym_GT_GT2] = ACTIONS(1851),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_DOT] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_SLASH] = ACTIONS(1851),
    [anon_sym_x] = ACTIONS(1851),
    [anon_sym_EQ_TILDE] = ACTIONS(1851),
    [anon_sym_BANG_TILDE] = ACTIONS(1851),
    [anon_sym_EQ_EQ] = ACTIONS(1851),
    [anon_sym_BANG_EQ] = ACTIONS(1851),
    [anon_sym_eq] = ACTIONS(1851),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1851),
    [anon_sym_equ] = ACTIONS(1851),
    [anon_sym_eqr] = ACTIONS(1851),
    [anon_sym_ne] = ACTIONS(1851),
    [anon_sym_LT_EQ_GT] = ACTIONS(1851),
    [anon_sym_cmp] = ACTIONS(1851),
    [anon_sym_TILDE_TILDE] = ACTIONS(1851),
    [anon_sym_LT] = ACTIONS(1851),
    [anon_sym_LT_EQ] = ACTIONS(1851),
    [anon_sym_GT_EQ] = ACTIONS(1851),
    [anon_sym_lt] = ACTIONS(1851),
    [anon_sym_le] = ACTIONS(1851),
    [anon_sym_ge] = ACTIONS(1851),
    [anon_sym_gt] = ACTIONS(1851),
    [anon_sym_isa] = ACTIONS(1851),
    [anon_sym_TILDE] = ACTIONS(1851),
    [anon_sym_BANG] = ACTIONS(1851),
    [anon_sym_PLUS_PLUS] = ACTIONS(1851),
    [anon_sym_DASH_DASH] = ACTIONS(1851),
    [anon_sym_QMARK] = ACTIONS(1851),
    [anon_sym_BSLASH] = ACTIONS(1853),
    [anon_sym_do] = ACTIONS(1851),
    [anon_sym_eval] = ACTIONS(1851),
    [anon_sym_await] = ACTIONS(1851),
    [anon_sym_field] = ACTIONS(1851),
    [anon_sym_local] = ACTIONS(1851),
    [anon_sym_dynamically] = ACTIONS(1851),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1851),
    [anon_sym_require] = ACTIONS(1851),
    [anon_sym_map] = ACTIONS(1851),
    [anon_sym_grep] = ACTIONS(1851),
    [anon_sym_sort] = ACTIONS(1851),
    [anon_sym_goto] = ACTIONS(1851),
    [anon_sym_return] = ACTIONS(1851),
    [anon_sym_undef] = ACTIONS(1851),
    [anon_sym_PERCENT2] = ACTIONS(1851),
    [anon_sym_AMP2] = ACTIONS(1851),
    [anon_sym_STAR2] = ACTIONS(1851),
    [anon_sym_EQ_GT] = ACTIONS(1851),
    [anon_sym_last] = ACTIONS(1851),
    [anon_sym_next] = ACTIONS(1851),
    [anon_sym_redo] = ACTIONS(1851),
    [anon_sym___FILE__] = ACTIONS(1851),
    [anon_sym___LINE__] = ACTIONS(1851),
    [anon_sym___PACKAGE__] = ACTIONS(1851),
    [anon_sym___SUB__] = ACTIONS(1851),
    [anon_sym_break] = ACTIONS(1851),
    [anon_sym_fork] = ACTIONS(1851),
    [anon_sym_getppid] = ACTIONS(1851),
    [anon_sym_time] = ACTIONS(1851),
    [anon_sym_times] = ACTIONS(1851),
    [anon_sym_wait] = ACTIONS(1851),
    [anon_sym_wantarray] = ACTIONS(1851),
    [anon_sym_abs] = ACTIONS(1851),
    [anon_sym_alarm] = ACTIONS(1851),
    [anon_sym_chop] = ACTIONS(1851),
    [anon_sym_chdir] = ACTIONS(1851),
    [anon_sym_close] = ACTIONS(1851),
    [anon_sym_closedir] = ACTIONS(1851),
    [anon_sym_caller] = ACTIONS(1851),
    [anon_sym_chomp] = ACTIONS(1851),
    [anon_sym_chr] = ACTIONS(1851),
    [anon_sym_cos] = ACTIONS(1851),
    [anon_sym_chroot] = ACTIONS(1851),
    [anon_sym_defined] = ACTIONS(1851),
    [anon_sym_delete] = ACTIONS(1851),
    [anon_sym_dbmclose] = ACTIONS(1851),
    [anon_sym_exists] = ACTIONS(1851),
    [anon_sym_exit] = ACTIONS(1851),
    [anon_sym_eof] = ACTIONS(1851),
    [anon_sym_exp] = ACTIONS(1851),
    [anon_sym_each] = ACTIONS(1851),
    [anon_sym_fc] = ACTIONS(1851),
    [anon_sym_fileno] = ACTIONS(1851),
    [anon_sym_gmtime] = ACTIONS(1851),
    [anon_sym_getc] = ACTIONS(1851),
    [anon_sym_getpgrp] = ACTIONS(1851),
    [anon_sym_getprotobyname] = ACTIONS(1851),
    [anon_sym_getpwname] = ACTIONS(1851),
    [anon_sym_getpwuid] = ACTIONS(1851),
    [anon_sym_getpeername] = ACTIONS(1851),
    [anon_sym_getnetbyname] = ACTIONS(1851),
    [anon_sym_getsockname] = ACTIONS(1851),
    [anon_sym_getgrnam] = ACTIONS(1851),
    [anon_sym_getgrgid] = ACTIONS(1851),
    [anon_sym_hex] = ACTIONS(1851),
    [anon_sym_int] = ACTIONS(1851),
    [anon_sym_keys] = ACTIONS(1851),
    [anon_sym_lc] = ACTIONS(1851),
    [anon_sym_lcfirst] = ACTIONS(1851),
    [anon_sym_length] = ACTIONS(1851),
    [anon_sym_localtime] = ACTIONS(1851),
    [anon_sym_log] = ACTIONS(1851),
    [anon_sym_lock] = ACTIONS(1851),
    [anon_sym_lstat] = ACTIONS(1851),
    [anon_sym_oct] = ACTIONS(1851),
    [anon_sym_ord] = ACTIONS(1851),
    [anon_sym_prototype] = ACTIONS(1851),
    [anon_sym_pop] = ACTIONS(1851),
    [anon_sym_pos] = ACTIONS(1851),
    [anon_sym_quotemeta] = ACTIONS(1851),
    [anon_sym_reset] = ACTIONS(1851),
    [anon_sym_rand] = ACTIONS(1851),
    [anon_sym_rmdir] = ACTIONS(1851),
    [anon_sym_readdir] = ACTIONS(1851),
    [anon_sym_readline] = ACTIONS(1851),
    [anon_sym_readpipe] = ACTIONS(1851),
    [anon_sym_rewinddir] = ACTIONS(1851),
    [anon_sym_readlink] = ACTIONS(1851),
    [anon_sym_ref] = ACTIONS(1851),
    [anon_sym_scalar] = ACTIONS(1851),
    [anon_sym_shift] = ACTIONS(1851),
    [anon_sym_sin] = ACTIONS(1851),
    [anon_sym_sleep] = ACTIONS(1851),
    [anon_sym_sqrt] = ACTIONS(1851),
    [anon_sym_srand] = ACTIONS(1851),
    [anon_sym_stat] = ACTIONS(1851),
    [anon_sym_study] = ACTIONS(1851),
    [anon_sym_tell] = ACTIONS(1851),
    [anon_sym_telldir] = ACTIONS(1851),
    [anon_sym_tied] = ACTIONS(1851),
    [anon_sym_uc] = ACTIONS(1851),
    [anon_sym_ucfirst] = ACTIONS(1851),
    [anon_sym_untie] = ACTIONS(1851),
    [anon_sym_umask] = ACTIONS(1851),
    [anon_sym_values] = ACTIONS(1851),
    [anon_sym_write] = ACTIONS(1851),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1851),
    [anon_sym_qq] = ACTIONS(1851),
    [anon_sym_qw] = ACTIONS(1851),
    [anon_sym_qx] = ACTIONS(1851),
    [anon_sym_qr] = ACTIONS(1851),
    [anon_sym_m] = ACTIONS(1851),
    [anon_sym_s] = ACTIONS(1851),
    [anon_sym_tr] = ACTIONS(1851),
    [anon_sym_y] = ACTIONS(1851),
    [aux_sym__bareword_token1] = ACTIONS(1851),
    [sym_number] = ACTIONS(1851),
    [anon_sym_true] = ACTIONS(1851),
    [anon_sym_false] = ACTIONS(1851),
    [sym__single_quote] = ACTIONS(1853),
    [sym__double_quote] = ACTIONS(1853),
    [sym__backtick_quote] = ACTIONS(1853),
    [sym__search_slash_quote] = ACTIONS(1853),
    [sym__no_search_slash_plz] = ACTIONS(1853),
    [sym__open_readline_bracket] = ACTIONS(1853),
    [sym__open_fileglob_bracket] = ACTIONS(1853),
    [sym__PERLY_HEREDOC] = ACTIONS(1853),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1853),
    [sym__filetest] = ACTIONS(1853),
  },
  [798] = {
    [sym_heredoc_content] = STATE(798),
    [sym__identifier] = ACTIONS(1828),
    [anon_sym_LBRACE] = ACTIONS(1828),
    [anon_sym_RBRACE] = ACTIONS(1828),
    [anon_sym_DOLLAR] = ACTIONS(1828),
    [anon_sym_EQ] = ACTIONS(1828),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1828),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1828),
    [anon_sym_AT] = ACTIONS(1828),
    [anon_sym_COMMA] = ACTIONS(1828),
    [anon_sym_RPAREN] = ACTIONS(1828),
    [anon_sym_my] = ACTIONS(1828),
    [anon_sym_extended] = ACTIONS(1828),
    [anon_sym_async] = ACTIONS(1828),
    [anon_sym_sub] = ACTIONS(1828),
    [anon_sym_method] = ACTIONS(1828),
    [anon_sym_LPAREN] = ACTIONS(1828),
    [anon_sym_continue] = ACTIONS(1828),
    [anon_sym_state] = ACTIONS(1828),
    [anon_sym_our] = ACTIONS(1828),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1828),
    [anon_sym_and] = ACTIONS(1828),
    [anon_sym_or] = ACTIONS(1828),
    [anon_sym_xor] = ACTIONS(1828),
    [anon_sym_LBRACK] = ACTIONS(1828),
    [anon_sym_RBRACK] = ACTIONS(1828),
    [anon_sym_DASH_GT] = ACTIONS(1828),
    [anon_sym_PERCENT] = ACTIONS(1828),
    [anon_sym_GT] = ACTIONS(1828),
    [anon_sym_LT_LT] = ACTIONS(1828),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1828),
    [anon_sym_PLUS_EQ] = ACTIONS(1828),
    [anon_sym_DASH_EQ] = ACTIONS(1828),
    [anon_sym_DOT_EQ] = ACTIONS(1828),
    [anon_sym_STAR_EQ] = ACTIONS(1828),
    [anon_sym_SLASH_EQ] = ACTIONS(1828),
    [anon_sym_PERCENT_EQ] = ACTIONS(1828),
    [anon_sym_x_EQ] = ACTIONS(1828),
    [anon_sym_AMP_EQ] = ACTIONS(1828),
    [anon_sym_PIPE_EQ] = ACTIONS(1828),
    [anon_sym_CARET_EQ] = ACTIONS(1828),
    [anon_sym_LT_LT_EQ] = ACTIONS(1828),
    [anon_sym_GT_GT_EQ] = ACTIONS(1828),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1828),
    [anon_sym_DOT_DOT] = ACTIONS(1828),
    [anon_sym_STAR_STAR] = ACTIONS(1828),
    [anon_sym_PIPE_PIPE] = ACTIONS(1828),
    [anon_sym_SLASH_SLASH] = ACTIONS(1828),
    [anon_sym_CARET_CARET] = ACTIONS(1828),
    [anon_sym_AMP_AMP] = ACTIONS(1828),
    [anon_sym_PIPE] = ACTIONS(1828),
    [anon_sym_CARET] = ACTIONS(1828),
    [anon_sym_AMP] = ACTIONS(1828),
    [anon_sym_GT_GT2] = ACTIONS(1828),
    [anon_sym_PLUS] = ACTIONS(1828),
    [anon_sym_DASH] = ACTIONS(1828),
    [anon_sym_DOT] = ACTIONS(1828),
    [anon_sym_STAR] = ACTIONS(1828),
    [anon_sym_SLASH] = ACTIONS(1828),
    [anon_sym_x] = ACTIONS(1828),
    [anon_sym_EQ_TILDE] = ACTIONS(1828),
    [anon_sym_BANG_TILDE] = ACTIONS(1828),
    [anon_sym_EQ_EQ] = ACTIONS(1828),
    [anon_sym_BANG_EQ] = ACTIONS(1828),
    [anon_sym_eq] = ACTIONS(1828),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1828),
    [anon_sym_equ] = ACTIONS(1828),
    [anon_sym_eqr] = ACTIONS(1828),
    [anon_sym_ne] = ACTIONS(1828),
    [anon_sym_LT_EQ_GT] = ACTIONS(1828),
    [anon_sym_cmp] = ACTIONS(1828),
    [anon_sym_TILDE_TILDE] = ACTIONS(1828),
    [anon_sym_LT] = ACTIONS(1828),
    [anon_sym_LT_EQ] = ACTIONS(1828),
    [anon_sym_GT_EQ] = ACTIONS(1828),
    [anon_sym_lt] = ACTIONS(1828),
    [anon_sym_le] = ACTIONS(1828),
    [anon_sym_ge] = ACTIONS(1828),
    [anon_sym_gt] = ACTIONS(1828),
    [anon_sym_isa] = ACTIONS(1828),
    [anon_sym_TILDE] = ACTIONS(1828),
    [anon_sym_BANG] = ACTIONS(1828),
    [anon_sym_PLUS_PLUS] = ACTIONS(1828),
    [anon_sym_DASH_DASH] = ACTIONS(1828),
    [anon_sym_QMARK] = ACTIONS(1828),
    [anon_sym_BSLASH] = ACTIONS(1832),
    [anon_sym_do] = ACTIONS(1828),
    [anon_sym_eval] = ACTIONS(1828),
    [anon_sym_await] = ACTIONS(1828),
    [anon_sym_field] = ACTIONS(1828),
    [anon_sym_local] = ACTIONS(1828),
    [anon_sym_dynamically] = ACTIONS(1828),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1828),
    [anon_sym_require] = ACTIONS(1828),
    [anon_sym_map] = ACTIONS(1828),
    [anon_sym_grep] = ACTIONS(1828),
    [anon_sym_sort] = ACTIONS(1828),
    [anon_sym_goto] = ACTIONS(1828),
    [anon_sym_return] = ACTIONS(1828),
    [anon_sym_undef] = ACTIONS(1828),
    [anon_sym_PERCENT2] = ACTIONS(1828),
    [anon_sym_AMP2] = ACTIONS(1828),
    [anon_sym_STAR2] = ACTIONS(1828),
    [anon_sym_EQ_GT] = ACTIONS(1828),
    [anon_sym_last] = ACTIONS(1828),
    [anon_sym_next] = ACTIONS(1828),
    [anon_sym_redo] = ACTIONS(1828),
    [anon_sym___FILE__] = ACTIONS(1828),
    [anon_sym___LINE__] = ACTIONS(1828),
    [anon_sym___PACKAGE__] = ACTIONS(1828),
    [anon_sym___SUB__] = ACTIONS(1828),
    [anon_sym_break] = ACTIONS(1828),
    [anon_sym_fork] = ACTIONS(1828),
    [anon_sym_getppid] = ACTIONS(1828),
    [anon_sym_time] = ACTIONS(1828),
    [anon_sym_times] = ACTIONS(1828),
    [anon_sym_wait] = ACTIONS(1828),
    [anon_sym_wantarray] = ACTIONS(1828),
    [anon_sym_abs] = ACTIONS(1828),
    [anon_sym_alarm] = ACTIONS(1828),
    [anon_sym_chop] = ACTIONS(1828),
    [anon_sym_chdir] = ACTIONS(1828),
    [anon_sym_close] = ACTIONS(1828),
    [anon_sym_closedir] = ACTIONS(1828),
    [anon_sym_caller] = ACTIONS(1828),
    [anon_sym_chomp] = ACTIONS(1828),
    [anon_sym_chr] = ACTIONS(1828),
    [anon_sym_cos] = ACTIONS(1828),
    [anon_sym_chroot] = ACTIONS(1828),
    [anon_sym_defined] = ACTIONS(1828),
    [anon_sym_delete] = ACTIONS(1828),
    [anon_sym_dbmclose] = ACTIONS(1828),
    [anon_sym_exists] = ACTIONS(1828),
    [anon_sym_exit] = ACTIONS(1828),
    [anon_sym_eof] = ACTIONS(1828),
    [anon_sym_exp] = ACTIONS(1828),
    [anon_sym_each] = ACTIONS(1828),
    [anon_sym_fc] = ACTIONS(1828),
    [anon_sym_fileno] = ACTIONS(1828),
    [anon_sym_gmtime] = ACTIONS(1828),
    [anon_sym_getc] = ACTIONS(1828),
    [anon_sym_getpgrp] = ACTIONS(1828),
    [anon_sym_getprotobyname] = ACTIONS(1828),
    [anon_sym_getpwname] = ACTIONS(1828),
    [anon_sym_getpwuid] = ACTIONS(1828),
    [anon_sym_getpeername] = ACTIONS(1828),
    [anon_sym_getnetbyname] = ACTIONS(1828),
    [anon_sym_getsockname] = ACTIONS(1828),
    [anon_sym_getgrnam] = ACTIONS(1828),
    [anon_sym_getgrgid] = ACTIONS(1828),
    [anon_sym_hex] = ACTIONS(1828),
    [anon_sym_int] = ACTIONS(1828),
    [anon_sym_keys] = ACTIONS(1828),
    [anon_sym_lc] = ACTIONS(1828),
    [anon_sym_lcfirst] = ACTIONS(1828),
    [anon_sym_length] = ACTIONS(1828),
    [anon_sym_localtime] = ACTIONS(1828),
    [anon_sym_log] = ACTIONS(1828),
    [anon_sym_lock] = ACTIONS(1828),
    [anon_sym_lstat] = ACTIONS(1828),
    [anon_sym_oct] = ACTIONS(1828),
    [anon_sym_ord] = ACTIONS(1828),
    [anon_sym_prototype] = ACTIONS(1828),
    [anon_sym_pop] = ACTIONS(1828),
    [anon_sym_pos] = ACTIONS(1828),
    [anon_sym_quotemeta] = ACTIONS(1828),
    [anon_sym_reset] = ACTIONS(1828),
    [anon_sym_rand] = ACTIONS(1828),
    [anon_sym_rmdir] = ACTIONS(1828),
    [anon_sym_readdir] = ACTIONS(1828),
    [anon_sym_readline] = ACTIONS(1828),
    [anon_sym_readpipe] = ACTIONS(1828),
    [anon_sym_rewinddir] = ACTIONS(1828),
    [anon_sym_readlink] = ACTIONS(1828),
    [anon_sym_ref] = ACTIONS(1828),
    [anon_sym_scalar] = ACTIONS(1828),
    [anon_sym_shift] = ACTIONS(1828),
    [anon_sym_sin] = ACTIONS(1828),
    [anon_sym_sleep] = ACTIONS(1828),
    [anon_sym_sqrt] = ACTIONS(1828),
    [anon_sym_srand] = ACTIONS(1828),
    [anon_sym_stat] = ACTIONS(1828),
    [anon_sym_study] = ACTIONS(1828),
    [anon_sym_tell] = ACTIONS(1828),
    [anon_sym_telldir] = ACTIONS(1828),
    [anon_sym_tied] = ACTIONS(1828),
    [anon_sym_uc] = ACTIONS(1828),
    [anon_sym_ucfirst] = ACTIONS(1828),
    [anon_sym_untie] = ACTIONS(1828),
    [anon_sym_umask] = ACTIONS(1828),
    [anon_sym_values] = ACTIONS(1828),
    [anon_sym_write] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1828),
    [anon_sym_qq] = ACTIONS(1828),
    [anon_sym_qw] = ACTIONS(1828),
    [anon_sym_qx] = ACTIONS(1828),
    [anon_sym_qr] = ACTIONS(1828),
    [anon_sym_m] = ACTIONS(1828),
    [anon_sym_s] = ACTIONS(1828),
    [anon_sym_tr] = ACTIONS(1828),
    [anon_sym_y] = ACTIONS(1828),
    [aux_sym__bareword_token1] = ACTIONS(1828),
    [sym_number] = ACTIONS(1828),
    [anon_sym_true] = ACTIONS(1828),
    [anon_sym_false] = ACTIONS(1828),
    [sym__single_quote] = ACTIONS(1832),
    [sym__double_quote] = ACTIONS(1832),
    [sym__backtick_quote] = ACTIONS(1832),
    [sym__search_slash_quote] = ACTIONS(1832),
    [sym__no_search_slash_plz] = ACTIONS(1832),
    [sym__open_readline_bracket] = ACTIONS(1832),
    [sym__open_fileglob_bracket] = ACTIONS(1832),
    [sym__PERLY_HEREDOC] = ACTIONS(1832),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1832),
    [sym__filetest] = ACTIONS(1832),
  },
  [799] = {
    [sym_heredoc_content] = STATE(799),
    [sym__identifier] = ACTIONS(1859),
    [anon_sym_LBRACE] = ACTIONS(1859),
    [anon_sym_RBRACE] = ACTIONS(1859),
    [anon_sym_DOLLAR] = ACTIONS(1859),
    [anon_sym_EQ] = ACTIONS(1859),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1859),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(1859),
    [anon_sym_COMMA] = ACTIONS(1859),
    [anon_sym_RPAREN] = ACTIONS(1859),
    [anon_sym_my] = ACTIONS(1859),
    [anon_sym_extended] = ACTIONS(1859),
    [anon_sym_async] = ACTIONS(1859),
    [anon_sym_sub] = ACTIONS(1859),
    [anon_sym_method] = ACTIONS(1859),
    [anon_sym_LPAREN] = ACTIONS(1859),
    [anon_sym_continue] = ACTIONS(1859),
    [anon_sym_state] = ACTIONS(1859),
    [anon_sym_our] = ACTIONS(1859),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1859),
    [anon_sym_and] = ACTIONS(1859),
    [anon_sym_or] = ACTIONS(1859),
    [anon_sym_xor] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1859),
    [anon_sym_RBRACK] = ACTIONS(1859),
    [anon_sym_DASH_GT] = ACTIONS(1859),
    [anon_sym_PERCENT] = ACTIONS(1859),
    [anon_sym_GT] = ACTIONS(1859),
    [anon_sym_LT_LT] = ACTIONS(1859),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1859),
    [anon_sym_PLUS_EQ] = ACTIONS(1859),
    [anon_sym_DASH_EQ] = ACTIONS(1859),
    [anon_sym_DOT_EQ] = ACTIONS(1859),
    [anon_sym_STAR_EQ] = ACTIONS(1859),
    [anon_sym_SLASH_EQ] = ACTIONS(1859),
    [anon_sym_PERCENT_EQ] = ACTIONS(1859),
    [anon_sym_x_EQ] = ACTIONS(1859),
    [anon_sym_AMP_EQ] = ACTIONS(1859),
    [anon_sym_PIPE_EQ] = ACTIONS(1859),
    [anon_sym_CARET_EQ] = ACTIONS(1859),
    [anon_sym_LT_LT_EQ] = ACTIONS(1859),
    [anon_sym_GT_GT_EQ] = ACTIONS(1859),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1859),
    [anon_sym_DOT_DOT] = ACTIONS(1859),
    [anon_sym_STAR_STAR] = ACTIONS(1859),
    [anon_sym_PIPE_PIPE] = ACTIONS(1859),
    [anon_sym_SLASH_SLASH] = ACTIONS(1859),
    [anon_sym_CARET_CARET] = ACTIONS(1859),
    [anon_sym_AMP_AMP] = ACTIONS(1859),
    [anon_sym_PIPE] = ACTIONS(1859),
    [anon_sym_CARET] = ACTIONS(1859),
    [anon_sym_AMP] = ACTIONS(1859),
    [anon_sym_GT_GT2] = ACTIONS(1859),
    [anon_sym_PLUS] = ACTIONS(1859),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_DOT] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1859),
    [anon_sym_SLASH] = ACTIONS(1859),
    [anon_sym_x] = ACTIONS(1859),
    [anon_sym_EQ_TILDE] = ACTIONS(1859),
    [anon_sym_BANG_TILDE] = ACTIONS(1859),
    [anon_sym_EQ_EQ] = ACTIONS(1859),
    [anon_sym_BANG_EQ] = ACTIONS(1859),
    [anon_sym_eq] = ACTIONS(1859),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1859),
    [anon_sym_equ] = ACTIONS(1859),
    [anon_sym_eqr] = ACTIONS(1859),
    [anon_sym_ne] = ACTIONS(1859),
    [anon_sym_LT_EQ_GT] = ACTIONS(1859),
    [anon_sym_cmp] = ACTIONS(1859),
    [anon_sym_TILDE_TILDE] = ACTIONS(1859),
    [anon_sym_LT] = ACTIONS(1859),
    [anon_sym_LT_EQ] = ACTIONS(1859),
    [anon_sym_GT_EQ] = ACTIONS(1859),
    [anon_sym_lt] = ACTIONS(1859),
    [anon_sym_le] = ACTIONS(1859),
    [anon_sym_ge] = ACTIONS(1859),
    [anon_sym_gt] = ACTIONS(1859),
    [anon_sym_isa] = ACTIONS(1859),
    [anon_sym_TILDE] = ACTIONS(1859),
    [anon_sym_BANG] = ACTIONS(1859),
    [anon_sym_PLUS_PLUS] = ACTIONS(1859),
    [anon_sym_DASH_DASH] = ACTIONS(1859),
    [anon_sym_QMARK] = ACTIONS(1859),
    [anon_sym_BSLASH] = ACTIONS(1861),
    [anon_sym_do] = ACTIONS(1859),
    [anon_sym_eval] = ACTIONS(1859),
    [anon_sym_await] = ACTIONS(1859),
    [anon_sym_field] = ACTIONS(1859),
    [anon_sym_local] = ACTIONS(1859),
    [anon_sym_dynamically] = ACTIONS(1859),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1859),
    [anon_sym_require] = ACTIONS(1859),
    [anon_sym_map] = ACTIONS(1859),
    [anon_sym_grep] = ACTIONS(1859),
    [anon_sym_sort] = ACTIONS(1859),
    [anon_sym_goto] = ACTIONS(1859),
    [anon_sym_return] = ACTIONS(1859),
    [anon_sym_undef] = ACTIONS(1859),
    [anon_sym_PERCENT2] = ACTIONS(1859),
    [anon_sym_AMP2] = ACTIONS(1859),
    [anon_sym_STAR2] = ACTIONS(1859),
    [anon_sym_EQ_GT] = ACTIONS(1859),
    [anon_sym_last] = ACTIONS(1859),
    [anon_sym_next] = ACTIONS(1859),
    [anon_sym_redo] = ACTIONS(1859),
    [anon_sym___FILE__] = ACTIONS(1859),
    [anon_sym___LINE__] = ACTIONS(1859),
    [anon_sym___PACKAGE__] = ACTIONS(1859),
    [anon_sym___SUB__] = ACTIONS(1859),
    [anon_sym_break] = ACTIONS(1859),
    [anon_sym_fork] = ACTIONS(1859),
    [anon_sym_getppid] = ACTIONS(1859),
    [anon_sym_time] = ACTIONS(1859),
    [anon_sym_times] = ACTIONS(1859),
    [anon_sym_wait] = ACTIONS(1859),
    [anon_sym_wantarray] = ACTIONS(1859),
    [anon_sym_abs] = ACTIONS(1859),
    [anon_sym_alarm] = ACTIONS(1859),
    [anon_sym_chop] = ACTIONS(1859),
    [anon_sym_chdir] = ACTIONS(1859),
    [anon_sym_close] = ACTIONS(1859),
    [anon_sym_closedir] = ACTIONS(1859),
    [anon_sym_caller] = ACTIONS(1859),
    [anon_sym_chomp] = ACTIONS(1859),
    [anon_sym_chr] = ACTIONS(1859),
    [anon_sym_cos] = ACTIONS(1859),
    [anon_sym_chroot] = ACTIONS(1859),
    [anon_sym_defined] = ACTIONS(1859),
    [anon_sym_delete] = ACTIONS(1859),
    [anon_sym_dbmclose] = ACTIONS(1859),
    [anon_sym_exists] = ACTIONS(1859),
    [anon_sym_exit] = ACTIONS(1859),
    [anon_sym_eof] = ACTIONS(1859),
    [anon_sym_exp] = ACTIONS(1859),
    [anon_sym_each] = ACTIONS(1859),
    [anon_sym_fc] = ACTIONS(1859),
    [anon_sym_fileno] = ACTIONS(1859),
    [anon_sym_gmtime] = ACTIONS(1859),
    [anon_sym_getc] = ACTIONS(1859),
    [anon_sym_getpgrp] = ACTIONS(1859),
    [anon_sym_getprotobyname] = ACTIONS(1859),
    [anon_sym_getpwname] = ACTIONS(1859),
    [anon_sym_getpwuid] = ACTIONS(1859),
    [anon_sym_getpeername] = ACTIONS(1859),
    [anon_sym_getnetbyname] = ACTIONS(1859),
    [anon_sym_getsockname] = ACTIONS(1859),
    [anon_sym_getgrnam] = ACTIONS(1859),
    [anon_sym_getgrgid] = ACTIONS(1859),
    [anon_sym_hex] = ACTIONS(1859),
    [anon_sym_int] = ACTIONS(1859),
    [anon_sym_keys] = ACTIONS(1859),
    [anon_sym_lc] = ACTIONS(1859),
    [anon_sym_lcfirst] = ACTIONS(1859),
    [anon_sym_length] = ACTIONS(1859),
    [anon_sym_localtime] = ACTIONS(1859),
    [anon_sym_log] = ACTIONS(1859),
    [anon_sym_lock] = ACTIONS(1859),
    [anon_sym_lstat] = ACTIONS(1859),
    [anon_sym_oct] = ACTIONS(1859),
    [anon_sym_ord] = ACTIONS(1859),
    [anon_sym_prototype] = ACTIONS(1859),
    [anon_sym_pop] = ACTIONS(1859),
    [anon_sym_pos] = ACTIONS(1859),
    [anon_sym_quotemeta] = ACTIONS(1859),
    [anon_sym_reset] = ACTIONS(1859),
    [anon_sym_rand] = ACTIONS(1859),
    [anon_sym_rmdir] = ACTIONS(1859),
    [anon_sym_readdir] = ACTIONS(1859),
    [anon_sym_readline] = ACTIONS(1859),
    [anon_sym_readpipe] = ACTIONS(1859),
    [anon_sym_rewinddir] = ACTIONS(1859),
    [anon_sym_readlink] = ACTIONS(1859),
    [anon_sym_ref] = ACTIONS(1859),
    [anon_sym_scalar] = ACTIONS(1859),
    [anon_sym_shift] = ACTIONS(1859),
    [anon_sym_sin] = ACTIONS(1859),
    [anon_sym_sleep] = ACTIONS(1859),
    [anon_sym_sqrt] = ACTIONS(1859),
    [anon_sym_srand] = ACTIONS(1859),
    [anon_sym_stat] = ACTIONS(1859),
    [anon_sym_study] = ACTIONS(1859),
    [anon_sym_tell] = ACTIONS(1859),
    [anon_sym_telldir] = ACTIONS(1859),
    [anon_sym_tied] = ACTIONS(1859),
    [anon_sym_uc] = ACTIONS(1859),
    [anon_sym_ucfirst] = ACTIONS(1859),
    [anon_sym_untie] = ACTIONS(1859),
    [anon_sym_umask] = ACTIONS(1859),
    [anon_sym_values] = ACTIONS(1859),
    [anon_sym_write] = ACTIONS(1859),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1859),
    [anon_sym_qq] = ACTIONS(1859),
    [anon_sym_qw] = ACTIONS(1859),
    [anon_sym_qx] = ACTIONS(1859),
    [anon_sym_qr] = ACTIONS(1859),
    [anon_sym_m] = ACTIONS(1859),
    [anon_sym_s] = ACTIONS(1859),
    [anon_sym_tr] = ACTIONS(1859),
    [anon_sym_y] = ACTIONS(1859),
    [aux_sym__bareword_token1] = ACTIONS(1859),
    [sym_number] = ACTIONS(1859),
    [anon_sym_true] = ACTIONS(1859),
    [anon_sym_false] = ACTIONS(1859),
    [sym__single_quote] = ACTIONS(1861),
    [sym__double_quote] = ACTIONS(1861),
    [sym__backtick_quote] = ACTIONS(1861),
    [sym__search_slash_quote] = ACTIONS(1861),
    [sym__no_search_slash_plz] = ACTIONS(1861),
    [sym__open_readline_bracket] = ACTIONS(1861),
    [sym__open_fileglob_bracket] = ACTIONS(1861),
    [sym__PERLY_HEREDOC] = ACTIONS(1861),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1861),
    [sym__filetest] = ACTIONS(1861),
  },
  [800] = {
    [sym_heredoc_content] = STATE(800),
    [sym__identifier] = ACTIONS(1828),
    [anon_sym_LBRACE] = ACTIONS(1830),
    [anon_sym_RBRACE] = ACTIONS(1828),
    [anon_sym_DOLLAR] = ACTIONS(1828),
    [anon_sym_EQ] = ACTIONS(1828),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1828),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1828),
    [anon_sym_AT] = ACTIONS(1828),
    [anon_sym_COMMA] = ACTIONS(1828),
    [anon_sym_RPAREN] = ACTIONS(1828),
    [anon_sym_my] = ACTIONS(1828),
    [anon_sym_extended] = ACTIONS(1828),
    [anon_sym_async] = ACTIONS(1828),
    [anon_sym_sub] = ACTIONS(1828),
    [anon_sym_method] = ACTIONS(1828),
    [anon_sym_LPAREN] = ACTIONS(1828),
    [anon_sym_continue] = ACTIONS(1828),
    [anon_sym_state] = ACTIONS(1828),
    [anon_sym_our] = ACTIONS(1828),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1828),
    [anon_sym_and] = ACTIONS(1828),
    [anon_sym_or] = ACTIONS(1828),
    [anon_sym_xor] = ACTIONS(1828),
    [anon_sym_LBRACK] = ACTIONS(1830),
    [anon_sym_RBRACK] = ACTIONS(1828),
    [anon_sym_DASH_GT] = ACTIONS(1828),
    [anon_sym_PERCENT] = ACTIONS(1828),
    [anon_sym_GT] = ACTIONS(1828),
    [anon_sym_LT_LT] = ACTIONS(1828),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1828),
    [anon_sym_PLUS_EQ] = ACTIONS(1828),
    [anon_sym_DASH_EQ] = ACTIONS(1828),
    [anon_sym_DOT_EQ] = ACTIONS(1828),
    [anon_sym_STAR_EQ] = ACTIONS(1828),
    [anon_sym_SLASH_EQ] = ACTIONS(1828),
    [anon_sym_PERCENT_EQ] = ACTIONS(1828),
    [anon_sym_x_EQ] = ACTIONS(1828),
    [anon_sym_AMP_EQ] = ACTIONS(1828),
    [anon_sym_PIPE_EQ] = ACTIONS(1828),
    [anon_sym_CARET_EQ] = ACTIONS(1828),
    [anon_sym_LT_LT_EQ] = ACTIONS(1828),
    [anon_sym_GT_GT_EQ] = ACTIONS(1828),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1828),
    [anon_sym_DOT_DOT] = ACTIONS(1828),
    [anon_sym_STAR_STAR] = ACTIONS(1828),
    [anon_sym_PIPE_PIPE] = ACTIONS(1828),
    [anon_sym_SLASH_SLASH] = ACTIONS(1828),
    [anon_sym_CARET_CARET] = ACTIONS(1828),
    [anon_sym_AMP_AMP] = ACTIONS(1828),
    [anon_sym_PIPE] = ACTIONS(1828),
    [anon_sym_CARET] = ACTIONS(1828),
    [anon_sym_AMP] = ACTIONS(1828),
    [anon_sym_GT_GT2] = ACTIONS(1828),
    [anon_sym_PLUS] = ACTIONS(1828),
    [anon_sym_DASH] = ACTIONS(1828),
    [anon_sym_DOT] = ACTIONS(1828),
    [anon_sym_STAR] = ACTIONS(1828),
    [anon_sym_SLASH] = ACTIONS(1828),
    [anon_sym_x] = ACTIONS(1828),
    [anon_sym_EQ_TILDE] = ACTIONS(1828),
    [anon_sym_BANG_TILDE] = ACTIONS(1828),
    [anon_sym_EQ_EQ] = ACTIONS(1828),
    [anon_sym_BANG_EQ] = ACTIONS(1828),
    [anon_sym_eq] = ACTIONS(1828),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1828),
    [anon_sym_equ] = ACTIONS(1828),
    [anon_sym_eqr] = ACTIONS(1828),
    [anon_sym_ne] = ACTIONS(1828),
    [anon_sym_LT_EQ_GT] = ACTIONS(1828),
    [anon_sym_cmp] = ACTIONS(1828),
    [anon_sym_TILDE_TILDE] = ACTIONS(1828),
    [anon_sym_LT] = ACTIONS(1828),
    [anon_sym_LT_EQ] = ACTIONS(1828),
    [anon_sym_GT_EQ] = ACTIONS(1828),
    [anon_sym_lt] = ACTIONS(1828),
    [anon_sym_le] = ACTIONS(1828),
    [anon_sym_ge] = ACTIONS(1828),
    [anon_sym_gt] = ACTIONS(1828),
    [anon_sym_isa] = ACTIONS(1828),
    [anon_sym_TILDE] = ACTIONS(1828),
    [anon_sym_BANG] = ACTIONS(1828),
    [anon_sym_PLUS_PLUS] = ACTIONS(1828),
    [anon_sym_DASH_DASH] = ACTIONS(1828),
    [anon_sym_QMARK] = ACTIONS(1828),
    [anon_sym_BSLASH] = ACTIONS(1832),
    [anon_sym_do] = ACTIONS(1828),
    [anon_sym_eval] = ACTIONS(1828),
    [anon_sym_await] = ACTIONS(1828),
    [anon_sym_field] = ACTIONS(1828),
    [anon_sym_local] = ACTIONS(1828),
    [anon_sym_dynamically] = ACTIONS(1828),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1828),
    [anon_sym_require] = ACTIONS(1828),
    [anon_sym_map] = ACTIONS(1828),
    [anon_sym_grep] = ACTIONS(1828),
    [anon_sym_sort] = ACTIONS(1828),
    [anon_sym_goto] = ACTIONS(1828),
    [anon_sym_return] = ACTIONS(1828),
    [anon_sym_undef] = ACTIONS(1828),
    [anon_sym_PERCENT2] = ACTIONS(1828),
    [anon_sym_AMP2] = ACTIONS(1828),
    [anon_sym_STAR2] = ACTIONS(1828),
    [anon_sym_EQ_GT] = ACTIONS(1828),
    [anon_sym_last] = ACTIONS(1828),
    [anon_sym_next] = ACTIONS(1828),
    [anon_sym_redo] = ACTIONS(1828),
    [anon_sym___FILE__] = ACTIONS(1828),
    [anon_sym___LINE__] = ACTIONS(1828),
    [anon_sym___PACKAGE__] = ACTIONS(1828),
    [anon_sym___SUB__] = ACTIONS(1828),
    [anon_sym_break] = ACTIONS(1828),
    [anon_sym_fork] = ACTIONS(1828),
    [anon_sym_getppid] = ACTIONS(1828),
    [anon_sym_time] = ACTIONS(1828),
    [anon_sym_times] = ACTIONS(1828),
    [anon_sym_wait] = ACTIONS(1828),
    [anon_sym_wantarray] = ACTIONS(1828),
    [anon_sym_abs] = ACTIONS(1828),
    [anon_sym_alarm] = ACTIONS(1828),
    [anon_sym_chop] = ACTIONS(1828),
    [anon_sym_chdir] = ACTIONS(1828),
    [anon_sym_close] = ACTIONS(1828),
    [anon_sym_closedir] = ACTIONS(1828),
    [anon_sym_caller] = ACTIONS(1828),
    [anon_sym_chomp] = ACTIONS(1828),
    [anon_sym_chr] = ACTIONS(1828),
    [anon_sym_cos] = ACTIONS(1828),
    [anon_sym_chroot] = ACTIONS(1828),
    [anon_sym_defined] = ACTIONS(1828),
    [anon_sym_delete] = ACTIONS(1828),
    [anon_sym_dbmclose] = ACTIONS(1828),
    [anon_sym_exists] = ACTIONS(1828),
    [anon_sym_exit] = ACTIONS(1828),
    [anon_sym_eof] = ACTIONS(1828),
    [anon_sym_exp] = ACTIONS(1828),
    [anon_sym_each] = ACTIONS(1828),
    [anon_sym_fc] = ACTIONS(1828),
    [anon_sym_fileno] = ACTIONS(1828),
    [anon_sym_gmtime] = ACTIONS(1828),
    [anon_sym_getc] = ACTIONS(1828),
    [anon_sym_getpgrp] = ACTIONS(1828),
    [anon_sym_getprotobyname] = ACTIONS(1828),
    [anon_sym_getpwname] = ACTIONS(1828),
    [anon_sym_getpwuid] = ACTIONS(1828),
    [anon_sym_getpeername] = ACTIONS(1828),
    [anon_sym_getnetbyname] = ACTIONS(1828),
    [anon_sym_getsockname] = ACTIONS(1828),
    [anon_sym_getgrnam] = ACTIONS(1828),
    [anon_sym_getgrgid] = ACTIONS(1828),
    [anon_sym_hex] = ACTIONS(1828),
    [anon_sym_int] = ACTIONS(1828),
    [anon_sym_keys] = ACTIONS(1828),
    [anon_sym_lc] = ACTIONS(1828),
    [anon_sym_lcfirst] = ACTIONS(1828),
    [anon_sym_length] = ACTIONS(1828),
    [anon_sym_localtime] = ACTIONS(1828),
    [anon_sym_log] = ACTIONS(1828),
    [anon_sym_lock] = ACTIONS(1828),
    [anon_sym_lstat] = ACTIONS(1828),
    [anon_sym_oct] = ACTIONS(1828),
    [anon_sym_ord] = ACTIONS(1828),
    [anon_sym_prototype] = ACTIONS(1828),
    [anon_sym_pop] = ACTIONS(1828),
    [anon_sym_pos] = ACTIONS(1828),
    [anon_sym_quotemeta] = ACTIONS(1828),
    [anon_sym_reset] = ACTIONS(1828),
    [anon_sym_rand] = ACTIONS(1828),
    [anon_sym_rmdir] = ACTIONS(1828),
    [anon_sym_readdir] = ACTIONS(1828),
    [anon_sym_readline] = ACTIONS(1828),
    [anon_sym_readpipe] = ACTIONS(1828),
    [anon_sym_rewinddir] = ACTIONS(1828),
    [anon_sym_readlink] = ACTIONS(1828),
    [anon_sym_ref] = ACTIONS(1828),
    [anon_sym_scalar] = ACTIONS(1828),
    [anon_sym_shift] = ACTIONS(1828),
    [anon_sym_sin] = ACTIONS(1828),
    [anon_sym_sleep] = ACTIONS(1828),
    [anon_sym_sqrt] = ACTIONS(1828),
    [anon_sym_srand] = ACTIONS(1828),
    [anon_sym_stat] = ACTIONS(1828),
    [anon_sym_study] = ACTIONS(1828),
    [anon_sym_tell] = ACTIONS(1828),
    [anon_sym_telldir] = ACTIONS(1828),
    [anon_sym_tied] = ACTIONS(1828),
    [anon_sym_uc] = ACTIONS(1828),
    [anon_sym_ucfirst] = ACTIONS(1828),
    [anon_sym_untie] = ACTIONS(1828),
    [anon_sym_umask] = ACTIONS(1828),
    [anon_sym_values] = ACTIONS(1828),
    [anon_sym_write] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1828),
    [anon_sym_qq] = ACTIONS(1828),
    [anon_sym_qw] = ACTIONS(1828),
    [anon_sym_qx] = ACTIONS(1828),
    [anon_sym_qr] = ACTIONS(1828),
    [anon_sym_m] = ACTIONS(1828),
    [anon_sym_s] = ACTIONS(1828),
    [anon_sym_tr] = ACTIONS(1828),
    [anon_sym_y] = ACTIONS(1828),
    [aux_sym__bareword_token1] = ACTIONS(1828),
    [sym_number] = ACTIONS(1828),
    [anon_sym_true] = ACTIONS(1828),
    [anon_sym_false] = ACTIONS(1828),
    [sym__single_quote] = ACTIONS(1832),
    [sym__double_quote] = ACTIONS(1832),
    [sym__backtick_quote] = ACTIONS(1832),
    [sym__search_slash_quote] = ACTIONS(1832),
    [sym__no_search_slash_plz] = ACTIONS(1832),
    [sym__open_readline_bracket] = ACTIONS(1832),
    [sym__open_fileglob_bracket] = ACTIONS(1832),
    [sym__PERLY_HEREDOC] = ACTIONS(1832),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1832),
    [sym__filetest] = ACTIONS(1832),
  },
  [801] = {
    [sym_heredoc_content] = STATE(801),
    [sym__identifier] = ACTIONS(1838),
    [anon_sym_LBRACE] = ACTIONS(1838),
    [anon_sym_RBRACE] = ACTIONS(1840),
    [anon_sym_DOLLAR] = ACTIONS(1838),
    [anon_sym_EQ] = ACTIONS(1840),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1840),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1840),
    [anon_sym_AT] = ACTIONS(1838),
    [anon_sym_COMMA] = ACTIONS(1840),
    [anon_sym_RPAREN] = ACTIONS(1840),
    [anon_sym_my] = ACTIONS(1838),
    [anon_sym_extended] = ACTIONS(1838),
    [anon_sym_async] = ACTIONS(1838),
    [anon_sym_sub] = ACTIONS(1838),
    [anon_sym_method] = ACTIONS(1838),
    [anon_sym_LPAREN] = ACTIONS(1838),
    [anon_sym_continue] = ACTIONS(1838),
    [anon_sym_state] = ACTIONS(1838),
    [anon_sym_our] = ACTIONS(1838),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1840),
    [anon_sym_and] = ACTIONS(1840),
    [anon_sym_or] = ACTIONS(1840),
    [anon_sym_xor] = ACTIONS(1840),
    [anon_sym_LBRACK] = ACTIONS(1838),
    [anon_sym_RBRACK] = ACTIONS(1840),
    [anon_sym_DASH_GT] = ACTIONS(1840),
    [anon_sym_PERCENT] = ACTIONS(1840),
    [anon_sym_GT] = ACTIONS(1840),
    [anon_sym_LT_LT] = ACTIONS(1842),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1840),
    [anon_sym_PLUS_EQ] = ACTIONS(1840),
    [anon_sym_DASH_EQ] = ACTIONS(1840),
    [anon_sym_DOT_EQ] = ACTIONS(1840),
    [anon_sym_STAR_EQ] = ACTIONS(1840),
    [anon_sym_SLASH_EQ] = ACTIONS(1840),
    [anon_sym_PERCENT_EQ] = ACTIONS(1840),
    [anon_sym_x_EQ] = ACTIONS(1840),
    [anon_sym_AMP_EQ] = ACTIONS(1840),
    [anon_sym_PIPE_EQ] = ACTIONS(1840),
    [anon_sym_CARET_EQ] = ACTIONS(1840),
    [anon_sym_LT_LT_EQ] = ACTIONS(1840),
    [anon_sym_GT_GT_EQ] = ACTIONS(1840),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1840),
    [anon_sym_DOT_DOT] = ACTIONS(1840),
    [anon_sym_STAR_STAR] = ACTIONS(1840),
    [anon_sym_PIPE_PIPE] = ACTIONS(1840),
    [anon_sym_SLASH_SLASH] = ACTIONS(1842),
    [anon_sym_CARET_CARET] = ACTIONS(1840),
    [anon_sym_AMP_AMP] = ACTIONS(1840),
    [anon_sym_PIPE] = ACTIONS(1840),
    [anon_sym_CARET] = ACTIONS(1840),
    [anon_sym_AMP] = ACTIONS(1840),
    [anon_sym_GT_GT2] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1842),
    [anon_sym_DASH] = ACTIONS(1842),
    [anon_sym_DOT] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1840),
    [anon_sym_SLASH] = ACTIONS(1840),
    [anon_sym_x] = ACTIONS(1840),
    [anon_sym_EQ_TILDE] = ACTIONS(1840),
    [anon_sym_BANG_TILDE] = ACTIONS(1840),
    [anon_sym_EQ_EQ] = ACTIONS(1840),
    [anon_sym_BANG_EQ] = ACTIONS(1840),
    [anon_sym_eq] = ACTIONS(1840),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1840),
    [anon_sym_equ] = ACTIONS(1840),
    [anon_sym_eqr] = ACTIONS(1840),
    [anon_sym_ne] = ACTIONS(1840),
    [anon_sym_LT_EQ_GT] = ACTIONS(1840),
    [anon_sym_cmp] = ACTIONS(1840),
    [anon_sym_TILDE_TILDE] = ACTIONS(1840),
    [anon_sym_LT] = ACTIONS(1840),
    [anon_sym_LT_EQ] = ACTIONS(1840),
    [anon_sym_GT_EQ] = ACTIONS(1840),
    [anon_sym_lt] = ACTIONS(1840),
    [anon_sym_le] = ACTIONS(1840),
    [anon_sym_ge] = ACTIONS(1840),
    [anon_sym_gt] = ACTIONS(1840),
    [anon_sym_isa] = ACTIONS(1840),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_PLUS_PLUS] = ACTIONS(1842),
    [anon_sym_DASH_DASH] = ACTIONS(1842),
    [anon_sym_QMARK] = ACTIONS(1840),
    [anon_sym_BSLASH] = ACTIONS(1845),
    [anon_sym_do] = ACTIONS(1838),
    [anon_sym_eval] = ACTIONS(1838),
    [anon_sym_await] = ACTIONS(1838),
    [anon_sym_field] = ACTIONS(1838),
    [anon_sym_local] = ACTIONS(1838),
    [anon_sym_dynamically] = ACTIONS(1838),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1838),
    [anon_sym_require] = ACTIONS(1838),
    [anon_sym_map] = ACTIONS(1838),
    [anon_sym_grep] = ACTIONS(1838),
    [anon_sym_sort] = ACTIONS(1838),
    [anon_sym_goto] = ACTIONS(1838),
    [anon_sym_return] = ACTIONS(1838),
    [anon_sym_undef] = ACTIONS(1838),
    [anon_sym_PERCENT2] = ACTIONS(1838),
    [anon_sym_AMP2] = ACTIONS(1838),
    [anon_sym_STAR2] = ACTIONS(1838),
    [anon_sym_EQ_GT] = ACTIONS(1840),
    [anon_sym_last] = ACTIONS(1838),
    [anon_sym_next] = ACTIONS(1838),
    [anon_sym_redo] = ACTIONS(1838),
    [anon_sym___FILE__] = ACTIONS(1838),
    [anon_sym___LINE__] = ACTIONS(1838),
    [anon_sym___PACKAGE__] = ACTIONS(1838),
    [anon_sym___SUB__] = ACTIONS(1838),
    [anon_sym_break] = ACTIONS(1838),
    [anon_sym_fork] = ACTIONS(1838),
    [anon_sym_getppid] = ACTIONS(1838),
    [anon_sym_time] = ACTIONS(1838),
    [anon_sym_times] = ACTIONS(1838),
    [anon_sym_wait] = ACTIONS(1838),
    [anon_sym_wantarray] = ACTIONS(1838),
    [anon_sym_abs] = ACTIONS(1838),
    [anon_sym_alarm] = ACTIONS(1838),
    [anon_sym_chop] = ACTIONS(1838),
    [anon_sym_chdir] = ACTIONS(1838),
    [anon_sym_close] = ACTIONS(1838),
    [anon_sym_closedir] = ACTIONS(1838),
    [anon_sym_caller] = ACTIONS(1838),
    [anon_sym_chomp] = ACTIONS(1838),
    [anon_sym_chr] = ACTIONS(1838),
    [anon_sym_cos] = ACTIONS(1838),
    [anon_sym_chroot] = ACTIONS(1838),
    [anon_sym_defined] = ACTIONS(1838),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_dbmclose] = ACTIONS(1838),
    [anon_sym_exists] = ACTIONS(1838),
    [anon_sym_exit] = ACTIONS(1838),
    [anon_sym_eof] = ACTIONS(1838),
    [anon_sym_exp] = ACTIONS(1838),
    [anon_sym_each] = ACTIONS(1838),
    [anon_sym_fc] = ACTIONS(1838),
    [anon_sym_fileno] = ACTIONS(1838),
    [anon_sym_gmtime] = ACTIONS(1838),
    [anon_sym_getc] = ACTIONS(1838),
    [anon_sym_getpgrp] = ACTIONS(1838),
    [anon_sym_getprotobyname] = ACTIONS(1838),
    [anon_sym_getpwname] = ACTIONS(1838),
    [anon_sym_getpwuid] = ACTIONS(1838),
    [anon_sym_getpeername] = ACTIONS(1838),
    [anon_sym_getnetbyname] = ACTIONS(1838),
    [anon_sym_getsockname] = ACTIONS(1838),
    [anon_sym_getgrnam] = ACTIONS(1838),
    [anon_sym_getgrgid] = ACTIONS(1838),
    [anon_sym_hex] = ACTIONS(1838),
    [anon_sym_int] = ACTIONS(1838),
    [anon_sym_keys] = ACTIONS(1838),
    [anon_sym_lc] = ACTIONS(1838),
    [anon_sym_lcfirst] = ACTIONS(1838),
    [anon_sym_length] = ACTIONS(1838),
    [anon_sym_localtime] = ACTIONS(1838),
    [anon_sym_log] = ACTIONS(1838),
    [anon_sym_lock] = ACTIONS(1838),
    [anon_sym_lstat] = ACTIONS(1838),
    [anon_sym_oct] = ACTIONS(1838),
    [anon_sym_ord] = ACTIONS(1838),
    [anon_sym_prototype] = ACTIONS(1838),
    [anon_sym_pop] = ACTIONS(1838),
    [anon_sym_pos] = ACTIONS(1838),
    [anon_sym_quotemeta] = ACTIONS(1838),
    [anon_sym_reset] = ACTIONS(1838),
    [anon_sym_rand] = ACTIONS(1838),
    [anon_sym_rmdir] = ACTIONS(1838),
    [anon_sym_readdir] = ACTIONS(1838),
    [anon_sym_readline] = ACTIONS(1838),
    [anon_sym_readpipe] = ACTIONS(1838),
    [anon_sym_rewinddir] = ACTIONS(1838),
    [anon_sym_readlink] = ACTIONS(1838),
    [anon_sym_ref] = ACTIONS(1838),
    [anon_sym_scalar] = ACTIONS(1838),
    [anon_sym_shift] = ACTIONS(1838),
    [anon_sym_sin] = ACTIONS(1838),
    [anon_sym_sleep] = ACTIONS(1838),
    [anon_sym_sqrt] = ACTIONS(1838),
    [anon_sym_srand] = ACTIONS(1838),
    [anon_sym_stat] = ACTIONS(1838),
    [anon_sym_study] = ACTIONS(1838),
    [anon_sym_tell] = ACTIONS(1838),
    [anon_sym_telldir] = ACTIONS(1838),
    [anon_sym_tied] = ACTIONS(1838),
    [anon_sym_uc] = ACTIONS(1838),
    [anon_sym_ucfirst] = ACTIONS(1838),
    [anon_sym_untie] = ACTIONS(1838),
    [anon_sym_umask] = ACTIONS(1838),
    [anon_sym_values] = ACTIONS(1838),
    [anon_sym_write] = ACTIONS(1838),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1838),
    [anon_sym_qq] = ACTIONS(1838),
    [anon_sym_qw] = ACTIONS(1838),
    [anon_sym_qx] = ACTIONS(1838),
    [anon_sym_qr] = ACTIONS(1838),
    [anon_sym_m] = ACTIONS(1838),
    [anon_sym_s] = ACTIONS(1838),
    [anon_sym_tr] = ACTIONS(1838),
    [anon_sym_y] = ACTIONS(1838),
    [aux_sym__bareword_token1] = ACTIONS(1838),
    [sym_number] = ACTIONS(1838),
    [anon_sym_true] = ACTIONS(1838),
    [anon_sym_false] = ACTIONS(1838),
    [sym__single_quote] = ACTIONS(1845),
    [sym__double_quote] = ACTIONS(1845),
    [sym__backtick_quote] = ACTIONS(1845),
    [sym__search_slash_quote] = ACTIONS(1845),
    [sym__no_search_slash_plz] = ACTIONS(1847),
    [sym__open_readline_bracket] = ACTIONS(1845),
    [sym__open_fileglob_bracket] = ACTIONS(1845),
    [sym__PERLY_HEREDOC] = ACTIONS(1845),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1845),
    [sym__filetest] = ACTIONS(1845),
  },
  [802] = {
    [sym_heredoc_content] = STATE(802),
    [sym__identifier] = ACTIONS(1661),
    [anon_sym_LBRACE] = ACTIONS(1661),
    [anon_sym_RBRACE] = ACTIONS(1661),
    [anon_sym_DOLLAR] = ACTIONS(1661),
    [anon_sym_EQ] = ACTIONS(1661),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1661),
    [anon_sym_AT] = ACTIONS(1661),
    [anon_sym_COMMA] = ACTIONS(1661),
    [anon_sym_RPAREN] = ACTIONS(1661),
    [anon_sym_my] = ACTIONS(1661),
    [anon_sym_extended] = ACTIONS(1661),
    [anon_sym_async] = ACTIONS(1661),
    [anon_sym_sub] = ACTIONS(1661),
    [anon_sym_method] = ACTIONS(1661),
    [anon_sym_LPAREN] = ACTIONS(1661),
    [anon_sym_continue] = ACTIONS(1661),
    [anon_sym_state] = ACTIONS(1661),
    [anon_sym_our] = ACTIONS(1661),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1661),
    [anon_sym_and] = ACTIONS(1661),
    [anon_sym_or] = ACTIONS(1661),
    [anon_sym_xor] = ACTIONS(1661),
    [anon_sym_LBRACK] = ACTIONS(1661),
    [anon_sym_RBRACK] = ACTIONS(1661),
    [anon_sym_DASH_GT] = ACTIONS(1661),
    [anon_sym_PERCENT] = ACTIONS(1661),
    [anon_sym_GT] = ACTIONS(1661),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1661),
    [anon_sym_PLUS_EQ] = ACTIONS(1661),
    [anon_sym_DASH_EQ] = ACTIONS(1661),
    [anon_sym_DOT_EQ] = ACTIONS(1661),
    [anon_sym_STAR_EQ] = ACTIONS(1661),
    [anon_sym_SLASH_EQ] = ACTIONS(1661),
    [anon_sym_PERCENT_EQ] = ACTIONS(1661),
    [anon_sym_x_EQ] = ACTIONS(1661),
    [anon_sym_AMP_EQ] = ACTIONS(1661),
    [anon_sym_PIPE_EQ] = ACTIONS(1661),
    [anon_sym_CARET_EQ] = ACTIONS(1661),
    [anon_sym_LT_LT_EQ] = ACTIONS(1661),
    [anon_sym_GT_GT_EQ] = ACTIONS(1661),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1661),
    [anon_sym_DOT_DOT] = ACTIONS(1661),
    [anon_sym_STAR_STAR] = ACTIONS(1661),
    [anon_sym_PIPE_PIPE] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1661),
    [anon_sym_CARET_CARET] = ACTIONS(1661),
    [anon_sym_AMP_AMP] = ACTIONS(1661),
    [anon_sym_PIPE] = ACTIONS(1661),
    [anon_sym_CARET] = ACTIONS(1661),
    [anon_sym_AMP] = ACTIONS(1661),
    [anon_sym_GT_GT2] = ACTIONS(1661),
    [anon_sym_PLUS] = ACTIONS(1661),
    [anon_sym_DASH] = ACTIONS(1661),
    [anon_sym_DOT] = ACTIONS(1661),
    [anon_sym_STAR] = ACTIONS(1661),
    [anon_sym_SLASH] = ACTIONS(1661),
    [anon_sym_x] = ACTIONS(1661),
    [anon_sym_EQ_TILDE] = ACTIONS(1661),
    [anon_sym_BANG_TILDE] = ACTIONS(1661),
    [anon_sym_EQ_EQ] = ACTIONS(1661),
    [anon_sym_BANG_EQ] = ACTIONS(1661),
    [anon_sym_eq] = ACTIONS(1661),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1661),
    [anon_sym_equ] = ACTIONS(1661),
    [anon_sym_eqr] = ACTIONS(1661),
    [anon_sym_ne] = ACTIONS(1661),
    [anon_sym_LT_EQ_GT] = ACTIONS(1661),
    [anon_sym_cmp] = ACTIONS(1661),
    [anon_sym_TILDE_TILDE] = ACTIONS(1661),
    [anon_sym_LT] = ACTIONS(1661),
    [anon_sym_LT_EQ] = ACTIONS(1661),
    [anon_sym_GT_EQ] = ACTIONS(1661),
    [anon_sym_lt] = ACTIONS(1661),
    [anon_sym_le] = ACTIONS(1661),
    [anon_sym_ge] = ACTIONS(1661),
    [anon_sym_gt] = ACTIONS(1661),
    [anon_sym_isa] = ACTIONS(1661),
    [anon_sym_TILDE] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1661),
    [anon_sym_PLUS_PLUS] = ACTIONS(1661),
    [anon_sym_DASH_DASH] = ACTIONS(1661),
    [anon_sym_QMARK] = ACTIONS(1661),
    [anon_sym_BSLASH] = ACTIONS(1659),
    [anon_sym_do] = ACTIONS(1661),
    [anon_sym_eval] = ACTIONS(1661),
    [anon_sym_await] = ACTIONS(1661),
    [anon_sym_field] = ACTIONS(1661),
    [anon_sym_local] = ACTIONS(1661),
    [anon_sym_dynamically] = ACTIONS(1661),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1661),
    [anon_sym_require] = ACTIONS(1661),
    [anon_sym_map] = ACTIONS(1661),
    [anon_sym_grep] = ACTIONS(1661),
    [anon_sym_sort] = ACTIONS(1661),
    [anon_sym_goto] = ACTIONS(1661),
    [anon_sym_return] = ACTIONS(1661),
    [anon_sym_undef] = ACTIONS(1661),
    [anon_sym_PERCENT2] = ACTIONS(1661),
    [anon_sym_AMP2] = ACTIONS(1661),
    [anon_sym_STAR2] = ACTIONS(1661),
    [anon_sym_EQ_GT] = ACTIONS(1661),
    [anon_sym_last] = ACTIONS(1661),
    [anon_sym_next] = ACTIONS(1661),
    [anon_sym_redo] = ACTIONS(1661),
    [anon_sym___FILE__] = ACTIONS(1661),
    [anon_sym___LINE__] = ACTIONS(1661),
    [anon_sym___PACKAGE__] = ACTIONS(1661),
    [anon_sym___SUB__] = ACTIONS(1661),
    [anon_sym_break] = ACTIONS(1661),
    [anon_sym_fork] = ACTIONS(1661),
    [anon_sym_getppid] = ACTIONS(1661),
    [anon_sym_time] = ACTIONS(1661),
    [anon_sym_times] = ACTIONS(1661),
    [anon_sym_wait] = ACTIONS(1661),
    [anon_sym_wantarray] = ACTIONS(1661),
    [anon_sym_abs] = ACTIONS(1661),
    [anon_sym_alarm] = ACTIONS(1661),
    [anon_sym_chop] = ACTIONS(1661),
    [anon_sym_chdir] = ACTIONS(1661),
    [anon_sym_close] = ACTIONS(1661),
    [anon_sym_closedir] = ACTIONS(1661),
    [anon_sym_caller] = ACTIONS(1661),
    [anon_sym_chomp] = ACTIONS(1661),
    [anon_sym_chr] = ACTIONS(1661),
    [anon_sym_cos] = ACTIONS(1661),
    [anon_sym_chroot] = ACTIONS(1661),
    [anon_sym_defined] = ACTIONS(1661),
    [anon_sym_delete] = ACTIONS(1661),
    [anon_sym_dbmclose] = ACTIONS(1661),
    [anon_sym_exists] = ACTIONS(1661),
    [anon_sym_exit] = ACTIONS(1661),
    [anon_sym_eof] = ACTIONS(1661),
    [anon_sym_exp] = ACTIONS(1661),
    [anon_sym_each] = ACTIONS(1661),
    [anon_sym_fc] = ACTIONS(1661),
    [anon_sym_fileno] = ACTIONS(1661),
    [anon_sym_gmtime] = ACTIONS(1661),
    [anon_sym_getc] = ACTIONS(1661),
    [anon_sym_getpgrp] = ACTIONS(1661),
    [anon_sym_getprotobyname] = ACTIONS(1661),
    [anon_sym_getpwname] = ACTIONS(1661),
    [anon_sym_getpwuid] = ACTIONS(1661),
    [anon_sym_getpeername] = ACTIONS(1661),
    [anon_sym_getnetbyname] = ACTIONS(1661),
    [anon_sym_getsockname] = ACTIONS(1661),
    [anon_sym_getgrnam] = ACTIONS(1661),
    [anon_sym_getgrgid] = ACTIONS(1661),
    [anon_sym_hex] = ACTIONS(1661),
    [anon_sym_int] = ACTIONS(1661),
    [anon_sym_keys] = ACTIONS(1661),
    [anon_sym_lc] = ACTIONS(1661),
    [anon_sym_lcfirst] = ACTIONS(1661),
    [anon_sym_length] = ACTIONS(1661),
    [anon_sym_localtime] = ACTIONS(1661),
    [anon_sym_log] = ACTIONS(1661),
    [anon_sym_lock] = ACTIONS(1661),
    [anon_sym_lstat] = ACTIONS(1661),
    [anon_sym_oct] = ACTIONS(1661),
    [anon_sym_ord] = ACTIONS(1661),
    [anon_sym_prototype] = ACTIONS(1661),
    [anon_sym_pop] = ACTIONS(1661),
    [anon_sym_pos] = ACTIONS(1661),
    [anon_sym_quotemeta] = ACTIONS(1661),
    [anon_sym_reset] = ACTIONS(1661),
    [anon_sym_rand] = ACTIONS(1661),
    [anon_sym_rmdir] = ACTIONS(1661),
    [anon_sym_readdir] = ACTIONS(1661),
    [anon_sym_readline] = ACTIONS(1661),
    [anon_sym_readpipe] = ACTIONS(1661),
    [anon_sym_rewinddir] = ACTIONS(1661),
    [anon_sym_readlink] = ACTIONS(1661),
    [anon_sym_ref] = ACTIONS(1661),
    [anon_sym_scalar] = ACTIONS(1661),
    [anon_sym_shift] = ACTIONS(1661),
    [anon_sym_sin] = ACTIONS(1661),
    [anon_sym_sleep] = ACTIONS(1661),
    [anon_sym_sqrt] = ACTIONS(1661),
    [anon_sym_srand] = ACTIONS(1661),
    [anon_sym_stat] = ACTIONS(1661),
    [anon_sym_study] = ACTIONS(1661),
    [anon_sym_tell] = ACTIONS(1661),
    [anon_sym_telldir] = ACTIONS(1661),
    [anon_sym_tied] = ACTIONS(1661),
    [anon_sym_uc] = ACTIONS(1661),
    [anon_sym_ucfirst] = ACTIONS(1661),
    [anon_sym_untie] = ACTIONS(1661),
    [anon_sym_umask] = ACTIONS(1661),
    [anon_sym_values] = ACTIONS(1661),
    [anon_sym_write] = ACTIONS(1661),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1661),
    [anon_sym_qq] = ACTIONS(1661),
    [anon_sym_qw] = ACTIONS(1661),
    [anon_sym_qx] = ACTIONS(1661),
    [anon_sym_qr] = ACTIONS(1661),
    [anon_sym_m] = ACTIONS(1661),
    [anon_sym_s] = ACTIONS(1661),
    [anon_sym_tr] = ACTIONS(1661),
    [anon_sym_y] = ACTIONS(1661),
    [aux_sym__bareword_token1] = ACTIONS(1661),
    [sym_number] = ACTIONS(1661),
    [anon_sym_true] = ACTIONS(1661),
    [anon_sym_false] = ACTIONS(1661),
    [sym__single_quote] = ACTIONS(1659),
    [sym__double_quote] = ACTIONS(1659),
    [sym__backtick_quote] = ACTIONS(1659),
    [sym__search_slash_quote] = ACTIONS(1659),
    [sym__no_search_slash_plz] = ACTIONS(1659),
    [sym__open_readline_bracket] = ACTIONS(1659),
    [sym__open_fileglob_bracket] = ACTIONS(1659),
    [sym__PERLY_HEREDOC] = ACTIONS(1659),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1659),
    [sym__filetest] = ACTIONS(1659),
  },
  [803] = {
    [sym_heredoc_content] = STATE(803),
    [sym__identifier] = ACTIONS(1863),
    [anon_sym_LBRACE] = ACTIONS(1863),
    [anon_sym_RBRACE] = ACTIONS(1863),
    [anon_sym_DOLLAR] = ACTIONS(1863),
    [anon_sym_EQ] = ACTIONS(1863),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1863),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1863),
    [anon_sym_AT] = ACTIONS(1863),
    [anon_sym_COMMA] = ACTIONS(1863),
    [anon_sym_RPAREN] = ACTIONS(1863),
    [anon_sym_my] = ACTIONS(1863),
    [anon_sym_extended] = ACTIONS(1863),
    [anon_sym_async] = ACTIONS(1863),
    [anon_sym_sub] = ACTIONS(1863),
    [anon_sym_method] = ACTIONS(1863),
    [anon_sym_LPAREN] = ACTIONS(1863),
    [anon_sym_continue] = ACTIONS(1863),
    [anon_sym_state] = ACTIONS(1863),
    [anon_sym_our] = ACTIONS(1863),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1863),
    [anon_sym_and] = ACTIONS(1863),
    [anon_sym_or] = ACTIONS(1863),
    [anon_sym_xor] = ACTIONS(1863),
    [anon_sym_LBRACK] = ACTIONS(1863),
    [anon_sym_RBRACK] = ACTIONS(1863),
    [anon_sym_DASH_GT] = ACTIONS(1863),
    [anon_sym_PERCENT] = ACTIONS(1863),
    [anon_sym_GT] = ACTIONS(1863),
    [anon_sym_LT_LT] = ACTIONS(1863),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1863),
    [anon_sym_PLUS_EQ] = ACTIONS(1863),
    [anon_sym_DASH_EQ] = ACTIONS(1863),
    [anon_sym_DOT_EQ] = ACTIONS(1863),
    [anon_sym_STAR_EQ] = ACTIONS(1863),
    [anon_sym_SLASH_EQ] = ACTIONS(1863),
    [anon_sym_PERCENT_EQ] = ACTIONS(1863),
    [anon_sym_x_EQ] = ACTIONS(1863),
    [anon_sym_AMP_EQ] = ACTIONS(1863),
    [anon_sym_PIPE_EQ] = ACTIONS(1863),
    [anon_sym_CARET_EQ] = ACTIONS(1863),
    [anon_sym_LT_LT_EQ] = ACTIONS(1863),
    [anon_sym_GT_GT_EQ] = ACTIONS(1863),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1863),
    [anon_sym_DOT_DOT] = ACTIONS(1863),
    [anon_sym_STAR_STAR] = ACTIONS(1863),
    [anon_sym_PIPE_PIPE] = ACTIONS(1863),
    [anon_sym_SLASH_SLASH] = ACTIONS(1863),
    [anon_sym_CARET_CARET] = ACTIONS(1863),
    [anon_sym_AMP_AMP] = ACTIONS(1863),
    [anon_sym_PIPE] = ACTIONS(1863),
    [anon_sym_CARET] = ACTIONS(1863),
    [anon_sym_AMP] = ACTIONS(1863),
    [anon_sym_GT_GT2] = ACTIONS(1863),
    [anon_sym_PLUS] = ACTIONS(1863),
    [anon_sym_DASH] = ACTIONS(1863),
    [anon_sym_DOT] = ACTIONS(1863),
    [anon_sym_STAR] = ACTIONS(1863),
    [anon_sym_SLASH] = ACTIONS(1863),
    [anon_sym_x] = ACTIONS(1863),
    [anon_sym_EQ_TILDE] = ACTIONS(1863),
    [anon_sym_BANG_TILDE] = ACTIONS(1863),
    [anon_sym_EQ_EQ] = ACTIONS(1863),
    [anon_sym_BANG_EQ] = ACTIONS(1863),
    [anon_sym_eq] = ACTIONS(1863),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1863),
    [anon_sym_equ] = ACTIONS(1863),
    [anon_sym_eqr] = ACTIONS(1863),
    [anon_sym_ne] = ACTIONS(1863),
    [anon_sym_LT_EQ_GT] = ACTIONS(1863),
    [anon_sym_cmp] = ACTIONS(1863),
    [anon_sym_TILDE_TILDE] = ACTIONS(1863),
    [anon_sym_LT] = ACTIONS(1863),
    [anon_sym_LT_EQ] = ACTIONS(1863),
    [anon_sym_GT_EQ] = ACTIONS(1863),
    [anon_sym_lt] = ACTIONS(1863),
    [anon_sym_le] = ACTIONS(1863),
    [anon_sym_ge] = ACTIONS(1863),
    [anon_sym_gt] = ACTIONS(1863),
    [anon_sym_isa] = ACTIONS(1863),
    [anon_sym_TILDE] = ACTIONS(1863),
    [anon_sym_BANG] = ACTIONS(1863),
    [anon_sym_PLUS_PLUS] = ACTIONS(1863),
    [anon_sym_DASH_DASH] = ACTIONS(1863),
    [anon_sym_QMARK] = ACTIONS(1863),
    [anon_sym_BSLASH] = ACTIONS(1865),
    [anon_sym_do] = ACTIONS(1863),
    [anon_sym_eval] = ACTIONS(1863),
    [anon_sym_await] = ACTIONS(1863),
    [anon_sym_field] = ACTIONS(1863),
    [anon_sym_local] = ACTIONS(1863),
    [anon_sym_dynamically] = ACTIONS(1863),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1863),
    [anon_sym_require] = ACTIONS(1863),
    [anon_sym_map] = ACTIONS(1863),
    [anon_sym_grep] = ACTIONS(1863),
    [anon_sym_sort] = ACTIONS(1863),
    [anon_sym_goto] = ACTIONS(1863),
    [anon_sym_return] = ACTIONS(1863),
    [anon_sym_undef] = ACTIONS(1863),
    [anon_sym_PERCENT2] = ACTIONS(1863),
    [anon_sym_AMP2] = ACTIONS(1863),
    [anon_sym_STAR2] = ACTIONS(1863),
    [anon_sym_EQ_GT] = ACTIONS(1863),
    [anon_sym_last] = ACTIONS(1863),
    [anon_sym_next] = ACTIONS(1863),
    [anon_sym_redo] = ACTIONS(1863),
    [anon_sym___FILE__] = ACTIONS(1863),
    [anon_sym___LINE__] = ACTIONS(1863),
    [anon_sym___PACKAGE__] = ACTIONS(1863),
    [anon_sym___SUB__] = ACTIONS(1863),
    [anon_sym_break] = ACTIONS(1863),
    [anon_sym_fork] = ACTIONS(1863),
    [anon_sym_getppid] = ACTIONS(1863),
    [anon_sym_time] = ACTIONS(1863),
    [anon_sym_times] = ACTIONS(1863),
    [anon_sym_wait] = ACTIONS(1863),
    [anon_sym_wantarray] = ACTIONS(1863),
    [anon_sym_abs] = ACTIONS(1863),
    [anon_sym_alarm] = ACTIONS(1863),
    [anon_sym_chop] = ACTIONS(1863),
    [anon_sym_chdir] = ACTIONS(1863),
    [anon_sym_close] = ACTIONS(1863),
    [anon_sym_closedir] = ACTIONS(1863),
    [anon_sym_caller] = ACTIONS(1863),
    [anon_sym_chomp] = ACTIONS(1863),
    [anon_sym_chr] = ACTIONS(1863),
    [anon_sym_cos] = ACTIONS(1863),
    [anon_sym_chroot] = ACTIONS(1863),
    [anon_sym_defined] = ACTIONS(1863),
    [anon_sym_delete] = ACTIONS(1863),
    [anon_sym_dbmclose] = ACTIONS(1863),
    [anon_sym_exists] = ACTIONS(1863),
    [anon_sym_exit] = ACTIONS(1863),
    [anon_sym_eof] = ACTIONS(1863),
    [anon_sym_exp] = ACTIONS(1863),
    [anon_sym_each] = ACTIONS(1863),
    [anon_sym_fc] = ACTIONS(1863),
    [anon_sym_fileno] = ACTIONS(1863),
    [anon_sym_gmtime] = ACTIONS(1863),
    [anon_sym_getc] = ACTIONS(1863),
    [anon_sym_getpgrp] = ACTIONS(1863),
    [anon_sym_getprotobyname] = ACTIONS(1863),
    [anon_sym_getpwname] = ACTIONS(1863),
    [anon_sym_getpwuid] = ACTIONS(1863),
    [anon_sym_getpeername] = ACTIONS(1863),
    [anon_sym_getnetbyname] = ACTIONS(1863),
    [anon_sym_getsockname] = ACTIONS(1863),
    [anon_sym_getgrnam] = ACTIONS(1863),
    [anon_sym_getgrgid] = ACTIONS(1863),
    [anon_sym_hex] = ACTIONS(1863),
    [anon_sym_int] = ACTIONS(1863),
    [anon_sym_keys] = ACTIONS(1863),
    [anon_sym_lc] = ACTIONS(1863),
    [anon_sym_lcfirst] = ACTIONS(1863),
    [anon_sym_length] = ACTIONS(1863),
    [anon_sym_localtime] = ACTIONS(1863),
    [anon_sym_log] = ACTIONS(1863),
    [anon_sym_lock] = ACTIONS(1863),
    [anon_sym_lstat] = ACTIONS(1863),
    [anon_sym_oct] = ACTIONS(1863),
    [anon_sym_ord] = ACTIONS(1863),
    [anon_sym_prototype] = ACTIONS(1863),
    [anon_sym_pop] = ACTIONS(1863),
    [anon_sym_pos] = ACTIONS(1863),
    [anon_sym_quotemeta] = ACTIONS(1863),
    [anon_sym_reset] = ACTIONS(1863),
    [anon_sym_rand] = ACTIONS(1863),
    [anon_sym_rmdir] = ACTIONS(1863),
    [anon_sym_readdir] = ACTIONS(1863),
    [anon_sym_readline] = ACTIONS(1863),
    [anon_sym_readpipe] = ACTIONS(1863),
    [anon_sym_rewinddir] = ACTIONS(1863),
    [anon_sym_readlink] = ACTIONS(1863),
    [anon_sym_ref] = ACTIONS(1863),
    [anon_sym_scalar] = ACTIONS(1863),
    [anon_sym_shift] = ACTIONS(1863),
    [anon_sym_sin] = ACTIONS(1863),
    [anon_sym_sleep] = ACTIONS(1863),
    [anon_sym_sqrt] = ACTIONS(1863),
    [anon_sym_srand] = ACTIONS(1863),
    [anon_sym_stat] = ACTIONS(1863),
    [anon_sym_study] = ACTIONS(1863),
    [anon_sym_tell] = ACTIONS(1863),
    [anon_sym_telldir] = ACTIONS(1863),
    [anon_sym_tied] = ACTIONS(1863),
    [anon_sym_uc] = ACTIONS(1863),
    [anon_sym_ucfirst] = ACTIONS(1863),
    [anon_sym_untie] = ACTIONS(1863),
    [anon_sym_umask] = ACTIONS(1863),
    [anon_sym_values] = ACTIONS(1863),
    [anon_sym_write] = ACTIONS(1863),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1863),
    [anon_sym_qq] = ACTIONS(1863),
    [anon_sym_qw] = ACTIONS(1863),
    [anon_sym_qx] = ACTIONS(1863),
    [anon_sym_qr] = ACTIONS(1863),
    [anon_sym_m] = ACTIONS(1863),
    [anon_sym_s] = ACTIONS(1863),
    [anon_sym_tr] = ACTIONS(1863),
    [anon_sym_y] = ACTIONS(1863),
    [aux_sym__bareword_token1] = ACTIONS(1863),
    [sym_number] = ACTIONS(1863),
    [anon_sym_true] = ACTIONS(1863),
    [anon_sym_false] = ACTIONS(1863),
    [sym__single_quote] = ACTIONS(1865),
    [sym__double_quote] = ACTIONS(1865),
    [sym__backtick_quote] = ACTIONS(1865),
    [sym__search_slash_quote] = ACTIONS(1865),
    [sym__no_search_slash_plz] = ACTIONS(1865),
    [sym__open_readline_bracket] = ACTIONS(1865),
    [sym__open_fileglob_bracket] = ACTIONS(1865),
    [sym__PERLY_HEREDOC] = ACTIONS(1865),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1865),
    [sym__filetest] = ACTIONS(1865),
  },
  [804] = {
    [sym_heredoc_content] = STATE(804),
    [sym__identifier] = ACTIONS(1855),
    [anon_sym_LBRACE] = ACTIONS(1855),
    [anon_sym_RBRACE] = ACTIONS(1855),
    [anon_sym_DOLLAR] = ACTIONS(1855),
    [anon_sym_EQ] = ACTIONS(1855),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1855),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1855),
    [anon_sym_AT] = ACTIONS(1855),
    [anon_sym_COMMA] = ACTIONS(1855),
    [anon_sym_RPAREN] = ACTIONS(1855),
    [anon_sym_my] = ACTIONS(1855),
    [anon_sym_extended] = ACTIONS(1855),
    [anon_sym_async] = ACTIONS(1855),
    [anon_sym_sub] = ACTIONS(1855),
    [anon_sym_method] = ACTIONS(1855),
    [anon_sym_LPAREN] = ACTIONS(1855),
    [anon_sym_continue] = ACTIONS(1855),
    [anon_sym_state] = ACTIONS(1855),
    [anon_sym_our] = ACTIONS(1855),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1855),
    [anon_sym_and] = ACTIONS(1855),
    [anon_sym_or] = ACTIONS(1855),
    [anon_sym_xor] = ACTIONS(1855),
    [anon_sym_LBRACK] = ACTIONS(1855),
    [anon_sym_RBRACK] = ACTIONS(1855),
    [anon_sym_DASH_GT] = ACTIONS(1855),
    [anon_sym_PERCENT] = ACTIONS(1855),
    [anon_sym_GT] = ACTIONS(1855),
    [anon_sym_LT_LT] = ACTIONS(1855),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1855),
    [anon_sym_PLUS_EQ] = ACTIONS(1855),
    [anon_sym_DASH_EQ] = ACTIONS(1855),
    [anon_sym_DOT_EQ] = ACTIONS(1855),
    [anon_sym_STAR_EQ] = ACTIONS(1855),
    [anon_sym_SLASH_EQ] = ACTIONS(1855),
    [anon_sym_PERCENT_EQ] = ACTIONS(1855),
    [anon_sym_x_EQ] = ACTIONS(1855),
    [anon_sym_AMP_EQ] = ACTIONS(1855),
    [anon_sym_PIPE_EQ] = ACTIONS(1855),
    [anon_sym_CARET_EQ] = ACTIONS(1855),
    [anon_sym_LT_LT_EQ] = ACTIONS(1855),
    [anon_sym_GT_GT_EQ] = ACTIONS(1855),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1855),
    [anon_sym_DOT_DOT] = ACTIONS(1855),
    [anon_sym_STAR_STAR] = ACTIONS(1855),
    [anon_sym_PIPE_PIPE] = ACTIONS(1855),
    [anon_sym_SLASH_SLASH] = ACTIONS(1855),
    [anon_sym_CARET_CARET] = ACTIONS(1855),
    [anon_sym_AMP_AMP] = ACTIONS(1855),
    [anon_sym_PIPE] = ACTIONS(1855),
    [anon_sym_CARET] = ACTIONS(1855),
    [anon_sym_AMP] = ACTIONS(1855),
    [anon_sym_GT_GT2] = ACTIONS(1855),
    [anon_sym_PLUS] = ACTIONS(1855),
    [anon_sym_DASH] = ACTIONS(1855),
    [anon_sym_DOT] = ACTIONS(1855),
    [anon_sym_STAR] = ACTIONS(1855),
    [anon_sym_SLASH] = ACTIONS(1855),
    [anon_sym_x] = ACTIONS(1855),
    [anon_sym_EQ_TILDE] = ACTIONS(1855),
    [anon_sym_BANG_TILDE] = ACTIONS(1855),
    [anon_sym_EQ_EQ] = ACTIONS(1855),
    [anon_sym_BANG_EQ] = ACTIONS(1855),
    [anon_sym_eq] = ACTIONS(1855),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1855),
    [anon_sym_equ] = ACTIONS(1855),
    [anon_sym_eqr] = ACTIONS(1855),
    [anon_sym_ne] = ACTIONS(1855),
    [anon_sym_LT_EQ_GT] = ACTIONS(1855),
    [anon_sym_cmp] = ACTIONS(1855),
    [anon_sym_TILDE_TILDE] = ACTIONS(1855),
    [anon_sym_LT] = ACTIONS(1855),
    [anon_sym_LT_EQ] = ACTIONS(1855),
    [anon_sym_GT_EQ] = ACTIONS(1855),
    [anon_sym_lt] = ACTIONS(1855),
    [anon_sym_le] = ACTIONS(1855),
    [anon_sym_ge] = ACTIONS(1855),
    [anon_sym_gt] = ACTIONS(1855),
    [anon_sym_isa] = ACTIONS(1855),
    [anon_sym_TILDE] = ACTIONS(1855),
    [anon_sym_BANG] = ACTIONS(1855),
    [anon_sym_PLUS_PLUS] = ACTIONS(1855),
    [anon_sym_DASH_DASH] = ACTIONS(1855),
    [anon_sym_QMARK] = ACTIONS(1855),
    [anon_sym_BSLASH] = ACTIONS(1857),
    [anon_sym_do] = ACTIONS(1855),
    [anon_sym_eval] = ACTIONS(1855),
    [anon_sym_await] = ACTIONS(1855),
    [anon_sym_field] = ACTIONS(1855),
    [anon_sym_local] = ACTIONS(1855),
    [anon_sym_dynamically] = ACTIONS(1855),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1855),
    [anon_sym_require] = ACTIONS(1855),
    [anon_sym_map] = ACTIONS(1855),
    [anon_sym_grep] = ACTIONS(1855),
    [anon_sym_sort] = ACTIONS(1855),
    [anon_sym_goto] = ACTIONS(1855),
    [anon_sym_return] = ACTIONS(1855),
    [anon_sym_undef] = ACTIONS(1855),
    [anon_sym_PERCENT2] = ACTIONS(1855),
    [anon_sym_AMP2] = ACTIONS(1855),
    [anon_sym_STAR2] = ACTIONS(1855),
    [anon_sym_EQ_GT] = ACTIONS(1855),
    [anon_sym_last] = ACTIONS(1855),
    [anon_sym_next] = ACTIONS(1855),
    [anon_sym_redo] = ACTIONS(1855),
    [anon_sym___FILE__] = ACTIONS(1855),
    [anon_sym___LINE__] = ACTIONS(1855),
    [anon_sym___PACKAGE__] = ACTIONS(1855),
    [anon_sym___SUB__] = ACTIONS(1855),
    [anon_sym_break] = ACTIONS(1855),
    [anon_sym_fork] = ACTIONS(1855),
    [anon_sym_getppid] = ACTIONS(1855),
    [anon_sym_time] = ACTIONS(1855),
    [anon_sym_times] = ACTIONS(1855),
    [anon_sym_wait] = ACTIONS(1855),
    [anon_sym_wantarray] = ACTIONS(1855),
    [anon_sym_abs] = ACTIONS(1855),
    [anon_sym_alarm] = ACTIONS(1855),
    [anon_sym_chop] = ACTIONS(1855),
    [anon_sym_chdir] = ACTIONS(1855),
    [anon_sym_close] = ACTIONS(1855),
    [anon_sym_closedir] = ACTIONS(1855),
    [anon_sym_caller] = ACTIONS(1855),
    [anon_sym_chomp] = ACTIONS(1855),
    [anon_sym_chr] = ACTIONS(1855),
    [anon_sym_cos] = ACTIONS(1855),
    [anon_sym_chroot] = ACTIONS(1855),
    [anon_sym_defined] = ACTIONS(1855),
    [anon_sym_delete] = ACTIONS(1855),
    [anon_sym_dbmclose] = ACTIONS(1855),
    [anon_sym_exists] = ACTIONS(1855),
    [anon_sym_exit] = ACTIONS(1855),
    [anon_sym_eof] = ACTIONS(1855),
    [anon_sym_exp] = ACTIONS(1855),
    [anon_sym_each] = ACTIONS(1855),
    [anon_sym_fc] = ACTIONS(1855),
    [anon_sym_fileno] = ACTIONS(1855),
    [anon_sym_gmtime] = ACTIONS(1855),
    [anon_sym_getc] = ACTIONS(1855),
    [anon_sym_getpgrp] = ACTIONS(1855),
    [anon_sym_getprotobyname] = ACTIONS(1855),
    [anon_sym_getpwname] = ACTIONS(1855),
    [anon_sym_getpwuid] = ACTIONS(1855),
    [anon_sym_getpeername] = ACTIONS(1855),
    [anon_sym_getnetbyname] = ACTIONS(1855),
    [anon_sym_getsockname] = ACTIONS(1855),
    [anon_sym_getgrnam] = ACTIONS(1855),
    [anon_sym_getgrgid] = ACTIONS(1855),
    [anon_sym_hex] = ACTIONS(1855),
    [anon_sym_int] = ACTIONS(1855),
    [anon_sym_keys] = ACTIONS(1855),
    [anon_sym_lc] = ACTIONS(1855),
    [anon_sym_lcfirst] = ACTIONS(1855),
    [anon_sym_length] = ACTIONS(1855),
    [anon_sym_localtime] = ACTIONS(1855),
    [anon_sym_log] = ACTIONS(1855),
    [anon_sym_lock] = ACTIONS(1855),
    [anon_sym_lstat] = ACTIONS(1855),
    [anon_sym_oct] = ACTIONS(1855),
    [anon_sym_ord] = ACTIONS(1855),
    [anon_sym_prototype] = ACTIONS(1855),
    [anon_sym_pop] = ACTIONS(1855),
    [anon_sym_pos] = ACTIONS(1855),
    [anon_sym_quotemeta] = ACTIONS(1855),
    [anon_sym_reset] = ACTIONS(1855),
    [anon_sym_rand] = ACTIONS(1855),
    [anon_sym_rmdir] = ACTIONS(1855),
    [anon_sym_readdir] = ACTIONS(1855),
    [anon_sym_readline] = ACTIONS(1855),
    [anon_sym_readpipe] = ACTIONS(1855),
    [anon_sym_rewinddir] = ACTIONS(1855),
    [anon_sym_readlink] = ACTIONS(1855),
    [anon_sym_ref] = ACTIONS(1855),
    [anon_sym_scalar] = ACTIONS(1855),
    [anon_sym_shift] = ACTIONS(1855),
    [anon_sym_sin] = ACTIONS(1855),
    [anon_sym_sleep] = ACTIONS(1855),
    [anon_sym_sqrt] = ACTIONS(1855),
    [anon_sym_srand] = ACTIONS(1855),
    [anon_sym_stat] = ACTIONS(1855),
    [anon_sym_study] = ACTIONS(1855),
    [anon_sym_tell] = ACTIONS(1855),
    [anon_sym_telldir] = ACTIONS(1855),
    [anon_sym_tied] = ACTIONS(1855),
    [anon_sym_uc] = ACTIONS(1855),
    [anon_sym_ucfirst] = ACTIONS(1855),
    [anon_sym_untie] = ACTIONS(1855),
    [anon_sym_umask] = ACTIONS(1855),
    [anon_sym_values] = ACTIONS(1855),
    [anon_sym_write] = ACTIONS(1855),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1855),
    [anon_sym_qq] = ACTIONS(1855),
    [anon_sym_qw] = ACTIONS(1855),
    [anon_sym_qx] = ACTIONS(1855),
    [anon_sym_qr] = ACTIONS(1855),
    [anon_sym_m] = ACTIONS(1855),
    [anon_sym_s] = ACTIONS(1855),
    [anon_sym_tr] = ACTIONS(1855),
    [anon_sym_y] = ACTIONS(1855),
    [aux_sym__bareword_token1] = ACTIONS(1855),
    [sym_number] = ACTIONS(1855),
    [anon_sym_true] = ACTIONS(1855),
    [anon_sym_false] = ACTIONS(1855),
    [sym__single_quote] = ACTIONS(1857),
    [sym__double_quote] = ACTIONS(1857),
    [sym__backtick_quote] = ACTIONS(1857),
    [sym__search_slash_quote] = ACTIONS(1857),
    [sym__no_search_slash_plz] = ACTIONS(1857),
    [sym__open_readline_bracket] = ACTIONS(1857),
    [sym__open_fileglob_bracket] = ACTIONS(1857),
    [sym__PERLY_HEREDOC] = ACTIONS(1857),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1857),
    [sym__filetest] = ACTIONS(1857),
  },
  [805] = {
    [sym_heredoc_content] = STATE(805),
    [sym__identifier] = ACTIONS(1851),
    [anon_sym_LBRACE] = ACTIONS(1851),
    [anon_sym_RBRACE] = ACTIONS(1851),
    [anon_sym_DOLLAR] = ACTIONS(1851),
    [anon_sym_EQ] = ACTIONS(1851),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1851),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(1851),
    [anon_sym_COMMA] = ACTIONS(1851),
    [anon_sym_RPAREN] = ACTIONS(1851),
    [anon_sym_my] = ACTIONS(1851),
    [anon_sym_extended] = ACTIONS(1851),
    [anon_sym_async] = ACTIONS(1851),
    [anon_sym_sub] = ACTIONS(1851),
    [anon_sym_method] = ACTIONS(1851),
    [anon_sym_LPAREN] = ACTIONS(1851),
    [anon_sym_continue] = ACTIONS(1851),
    [anon_sym_state] = ACTIONS(1851),
    [anon_sym_our] = ACTIONS(1851),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1851),
    [anon_sym_and] = ACTIONS(1851),
    [anon_sym_or] = ACTIONS(1851),
    [anon_sym_xor] = ACTIONS(1851),
    [anon_sym_LBRACK] = ACTIONS(1851),
    [anon_sym_RBRACK] = ACTIONS(1851),
    [anon_sym_DASH_GT] = ACTIONS(1851),
    [anon_sym_PERCENT] = ACTIONS(1851),
    [anon_sym_GT] = ACTIONS(1851),
    [anon_sym_LT_LT] = ACTIONS(1851),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1851),
    [anon_sym_PLUS_EQ] = ACTIONS(1851),
    [anon_sym_DASH_EQ] = ACTIONS(1851),
    [anon_sym_DOT_EQ] = ACTIONS(1851),
    [anon_sym_STAR_EQ] = ACTIONS(1851),
    [anon_sym_SLASH_EQ] = ACTIONS(1851),
    [anon_sym_PERCENT_EQ] = ACTIONS(1851),
    [anon_sym_x_EQ] = ACTIONS(1851),
    [anon_sym_AMP_EQ] = ACTIONS(1851),
    [anon_sym_PIPE_EQ] = ACTIONS(1851),
    [anon_sym_CARET_EQ] = ACTIONS(1851),
    [anon_sym_LT_LT_EQ] = ACTIONS(1851),
    [anon_sym_GT_GT_EQ] = ACTIONS(1851),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1851),
    [anon_sym_DOT_DOT] = ACTIONS(1851),
    [anon_sym_STAR_STAR] = ACTIONS(1851),
    [anon_sym_PIPE_PIPE] = ACTIONS(1851),
    [anon_sym_SLASH_SLASH] = ACTIONS(1851),
    [anon_sym_CARET_CARET] = ACTIONS(1851),
    [anon_sym_AMP_AMP] = ACTIONS(1851),
    [anon_sym_PIPE] = ACTIONS(1851),
    [anon_sym_CARET] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym_GT_GT2] = ACTIONS(1851),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_DOT] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_SLASH] = ACTIONS(1851),
    [anon_sym_x] = ACTIONS(1851),
    [anon_sym_EQ_TILDE] = ACTIONS(1851),
    [anon_sym_BANG_TILDE] = ACTIONS(1851),
    [anon_sym_EQ_EQ] = ACTIONS(1851),
    [anon_sym_BANG_EQ] = ACTIONS(1851),
    [anon_sym_eq] = ACTIONS(1851),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1851),
    [anon_sym_equ] = ACTIONS(1851),
    [anon_sym_eqr] = ACTIONS(1851),
    [anon_sym_ne] = ACTIONS(1851),
    [anon_sym_LT_EQ_GT] = ACTIONS(1851),
    [anon_sym_cmp] = ACTIONS(1851),
    [anon_sym_TILDE_TILDE] = ACTIONS(1851),
    [anon_sym_LT] = ACTIONS(1851),
    [anon_sym_LT_EQ] = ACTIONS(1851),
    [anon_sym_GT_EQ] = ACTIONS(1851),
    [anon_sym_lt] = ACTIONS(1851),
    [anon_sym_le] = ACTIONS(1851),
    [anon_sym_ge] = ACTIONS(1851),
    [anon_sym_gt] = ACTIONS(1851),
    [anon_sym_isa] = ACTIONS(1851),
    [anon_sym_TILDE] = ACTIONS(1851),
    [anon_sym_BANG] = ACTIONS(1851),
    [anon_sym_PLUS_PLUS] = ACTIONS(1851),
    [anon_sym_DASH_DASH] = ACTIONS(1851),
    [anon_sym_QMARK] = ACTIONS(1851),
    [anon_sym_BSLASH] = ACTIONS(1853),
    [anon_sym_do] = ACTIONS(1851),
    [anon_sym_eval] = ACTIONS(1851),
    [anon_sym_await] = ACTIONS(1851),
    [anon_sym_field] = ACTIONS(1851),
    [anon_sym_local] = ACTIONS(1851),
    [anon_sym_dynamically] = ACTIONS(1851),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1851),
    [anon_sym_require] = ACTIONS(1851),
    [anon_sym_map] = ACTIONS(1851),
    [anon_sym_grep] = ACTIONS(1851),
    [anon_sym_sort] = ACTIONS(1851),
    [anon_sym_goto] = ACTIONS(1851),
    [anon_sym_return] = ACTIONS(1851),
    [anon_sym_undef] = ACTIONS(1851),
    [anon_sym_PERCENT2] = ACTIONS(1851),
    [anon_sym_AMP2] = ACTIONS(1851),
    [anon_sym_STAR2] = ACTIONS(1851),
    [anon_sym_EQ_GT] = ACTIONS(1851),
    [anon_sym_last] = ACTIONS(1851),
    [anon_sym_next] = ACTIONS(1851),
    [anon_sym_redo] = ACTIONS(1851),
    [anon_sym___FILE__] = ACTIONS(1851),
    [anon_sym___LINE__] = ACTIONS(1851),
    [anon_sym___PACKAGE__] = ACTIONS(1851),
    [anon_sym___SUB__] = ACTIONS(1851),
    [anon_sym_break] = ACTIONS(1851),
    [anon_sym_fork] = ACTIONS(1851),
    [anon_sym_getppid] = ACTIONS(1851),
    [anon_sym_time] = ACTIONS(1851),
    [anon_sym_times] = ACTIONS(1851),
    [anon_sym_wait] = ACTIONS(1851),
    [anon_sym_wantarray] = ACTIONS(1851),
    [anon_sym_abs] = ACTIONS(1851),
    [anon_sym_alarm] = ACTIONS(1851),
    [anon_sym_chop] = ACTIONS(1851),
    [anon_sym_chdir] = ACTIONS(1851),
    [anon_sym_close] = ACTIONS(1851),
    [anon_sym_closedir] = ACTIONS(1851),
    [anon_sym_caller] = ACTIONS(1851),
    [anon_sym_chomp] = ACTIONS(1851),
    [anon_sym_chr] = ACTIONS(1851),
    [anon_sym_cos] = ACTIONS(1851),
    [anon_sym_chroot] = ACTIONS(1851),
    [anon_sym_defined] = ACTIONS(1851),
    [anon_sym_delete] = ACTIONS(1851),
    [anon_sym_dbmclose] = ACTIONS(1851),
    [anon_sym_exists] = ACTIONS(1851),
    [anon_sym_exit] = ACTIONS(1851),
    [anon_sym_eof] = ACTIONS(1851),
    [anon_sym_exp] = ACTIONS(1851),
    [anon_sym_each] = ACTIONS(1851),
    [anon_sym_fc] = ACTIONS(1851),
    [anon_sym_fileno] = ACTIONS(1851),
    [anon_sym_gmtime] = ACTIONS(1851),
    [anon_sym_getc] = ACTIONS(1851),
    [anon_sym_getpgrp] = ACTIONS(1851),
    [anon_sym_getprotobyname] = ACTIONS(1851),
    [anon_sym_getpwname] = ACTIONS(1851),
    [anon_sym_getpwuid] = ACTIONS(1851),
    [anon_sym_getpeername] = ACTIONS(1851),
    [anon_sym_getnetbyname] = ACTIONS(1851),
    [anon_sym_getsockname] = ACTIONS(1851),
    [anon_sym_getgrnam] = ACTIONS(1851),
    [anon_sym_getgrgid] = ACTIONS(1851),
    [anon_sym_hex] = ACTIONS(1851),
    [anon_sym_int] = ACTIONS(1851),
    [anon_sym_keys] = ACTIONS(1851),
    [anon_sym_lc] = ACTIONS(1851),
    [anon_sym_lcfirst] = ACTIONS(1851),
    [anon_sym_length] = ACTIONS(1851),
    [anon_sym_localtime] = ACTIONS(1851),
    [anon_sym_log] = ACTIONS(1851),
    [anon_sym_lock] = ACTIONS(1851),
    [anon_sym_lstat] = ACTIONS(1851),
    [anon_sym_oct] = ACTIONS(1851),
    [anon_sym_ord] = ACTIONS(1851),
    [anon_sym_prototype] = ACTIONS(1851),
    [anon_sym_pop] = ACTIONS(1851),
    [anon_sym_pos] = ACTIONS(1851),
    [anon_sym_quotemeta] = ACTIONS(1851),
    [anon_sym_reset] = ACTIONS(1851),
    [anon_sym_rand] = ACTIONS(1851),
    [anon_sym_rmdir] = ACTIONS(1851),
    [anon_sym_readdir] = ACTIONS(1851),
    [anon_sym_readline] = ACTIONS(1851),
    [anon_sym_readpipe] = ACTIONS(1851),
    [anon_sym_rewinddir] = ACTIONS(1851),
    [anon_sym_readlink] = ACTIONS(1851),
    [anon_sym_ref] = ACTIONS(1851),
    [anon_sym_scalar] = ACTIONS(1851),
    [anon_sym_shift] = ACTIONS(1851),
    [anon_sym_sin] = ACTIONS(1851),
    [anon_sym_sleep] = ACTIONS(1851),
    [anon_sym_sqrt] = ACTIONS(1851),
    [anon_sym_srand] = ACTIONS(1851),
    [anon_sym_stat] = ACTIONS(1851),
    [anon_sym_study] = ACTIONS(1851),
    [anon_sym_tell] = ACTIONS(1851),
    [anon_sym_telldir] = ACTIONS(1851),
    [anon_sym_tied] = ACTIONS(1851),
    [anon_sym_uc] = ACTIONS(1851),
    [anon_sym_ucfirst] = ACTIONS(1851),
    [anon_sym_untie] = ACTIONS(1851),
    [anon_sym_umask] = ACTIONS(1851),
    [anon_sym_values] = ACTIONS(1851),
    [anon_sym_write] = ACTIONS(1851),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1851),
    [anon_sym_qq] = ACTIONS(1851),
    [anon_sym_qw] = ACTIONS(1851),
    [anon_sym_qx] = ACTIONS(1851),
    [anon_sym_qr] = ACTIONS(1851),
    [anon_sym_m] = ACTIONS(1851),
    [anon_sym_s] = ACTIONS(1851),
    [anon_sym_tr] = ACTIONS(1851),
    [anon_sym_y] = ACTIONS(1851),
    [aux_sym__bareword_token1] = ACTIONS(1851),
    [sym_number] = ACTIONS(1851),
    [anon_sym_true] = ACTIONS(1851),
    [anon_sym_false] = ACTIONS(1851),
    [sym__single_quote] = ACTIONS(1853),
    [sym__double_quote] = ACTIONS(1853),
    [sym__backtick_quote] = ACTIONS(1853),
    [sym__search_slash_quote] = ACTIONS(1853),
    [sym__open_readline_bracket] = ACTIONS(1853),
    [sym__open_fileglob_bracket] = ACTIONS(1853),
    [sym__PERLY_HEREDOC] = ACTIONS(1853),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1853),
    [sym__filetest] = ACTIONS(1853),
  },
  [806] = {
    [sym_heredoc_content] = STATE(806),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_RBRACE] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_RPAREN] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1957),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_RBRACK] = ACTIONS(1871),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
  },
  [807] = {
    [sym_heredoc_content] = STATE(807),
    [sym__identifier] = ACTIONS(1889),
    [anon_sym_LBRACE] = ACTIONS(1889),
    [anon_sym_RBRACE] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1889),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1889),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_RPAREN] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1889),
    [anon_sym_extended] = ACTIONS(1889),
    [anon_sym_async] = ACTIONS(1889),
    [anon_sym_sub] = ACTIONS(1889),
    [anon_sym_method] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1889),
    [anon_sym_continue] = ACTIONS(1889),
    [anon_sym_state] = ACTIONS(1889),
    [anon_sym_our] = ACTIONS(1889),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1889),
    [anon_sym_RBRACK] = ACTIONS(1871),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1889),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1889),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1889),
    [anon_sym_DASH] = ACTIONS(1889),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1889),
    [anon_sym_BANG] = ACTIONS(1889),
    [anon_sym_PLUS_PLUS] = ACTIONS(1889),
    [anon_sym_DASH_DASH] = ACTIONS(1889),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1891),
    [anon_sym_do] = ACTIONS(1889),
    [anon_sym_eval] = ACTIONS(1889),
    [anon_sym_await] = ACTIONS(1889),
    [anon_sym_field] = ACTIONS(1889),
    [anon_sym_local] = ACTIONS(1889),
    [anon_sym_dynamically] = ACTIONS(1889),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1889),
    [anon_sym_require] = ACTIONS(1889),
    [anon_sym_map] = ACTIONS(1889),
    [anon_sym_grep] = ACTIONS(1889),
    [anon_sym_sort] = ACTIONS(1889),
    [anon_sym_goto] = ACTIONS(1889),
    [anon_sym_return] = ACTIONS(1889),
    [anon_sym_undef] = ACTIONS(1889),
    [anon_sym_PERCENT2] = ACTIONS(1889),
    [anon_sym_AMP2] = ACTIONS(1889),
    [anon_sym_STAR2] = ACTIONS(1889),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1889),
    [anon_sym_next] = ACTIONS(1889),
    [anon_sym_redo] = ACTIONS(1889),
    [anon_sym___FILE__] = ACTIONS(1889),
    [anon_sym___LINE__] = ACTIONS(1889),
    [anon_sym___PACKAGE__] = ACTIONS(1889),
    [anon_sym___SUB__] = ACTIONS(1889),
    [anon_sym_break] = ACTIONS(1889),
    [anon_sym_fork] = ACTIONS(1889),
    [anon_sym_getppid] = ACTIONS(1889),
    [anon_sym_time] = ACTIONS(1889),
    [anon_sym_times] = ACTIONS(1889),
    [anon_sym_wait] = ACTIONS(1889),
    [anon_sym_wantarray] = ACTIONS(1889),
    [anon_sym_abs] = ACTIONS(1889),
    [anon_sym_alarm] = ACTIONS(1889),
    [anon_sym_chop] = ACTIONS(1889),
    [anon_sym_chdir] = ACTIONS(1889),
    [anon_sym_close] = ACTIONS(1889),
    [anon_sym_closedir] = ACTIONS(1889),
    [anon_sym_caller] = ACTIONS(1889),
    [anon_sym_chomp] = ACTIONS(1889),
    [anon_sym_chr] = ACTIONS(1889),
    [anon_sym_cos] = ACTIONS(1889),
    [anon_sym_chroot] = ACTIONS(1889),
    [anon_sym_defined] = ACTIONS(1889),
    [anon_sym_delete] = ACTIONS(1889),
    [anon_sym_dbmclose] = ACTIONS(1889),
    [anon_sym_exists] = ACTIONS(1889),
    [anon_sym_exit] = ACTIONS(1889),
    [anon_sym_eof] = ACTIONS(1889),
    [anon_sym_exp] = ACTIONS(1889),
    [anon_sym_each] = ACTIONS(1889),
    [anon_sym_fc] = ACTIONS(1889),
    [anon_sym_fileno] = ACTIONS(1889),
    [anon_sym_gmtime] = ACTIONS(1889),
    [anon_sym_getc] = ACTIONS(1889),
    [anon_sym_getpgrp] = ACTIONS(1889),
    [anon_sym_getprotobyname] = ACTIONS(1889),
    [anon_sym_getpwname] = ACTIONS(1889),
    [anon_sym_getpwuid] = ACTIONS(1889),
    [anon_sym_getpeername] = ACTIONS(1889),
    [anon_sym_getnetbyname] = ACTIONS(1889),
    [anon_sym_getsockname] = ACTIONS(1889),
    [anon_sym_getgrnam] = ACTIONS(1889),
    [anon_sym_getgrgid] = ACTIONS(1889),
    [anon_sym_hex] = ACTIONS(1889),
    [anon_sym_int] = ACTIONS(1889),
    [anon_sym_keys] = ACTIONS(1889),
    [anon_sym_lc] = ACTIONS(1889),
    [anon_sym_lcfirst] = ACTIONS(1889),
    [anon_sym_length] = ACTIONS(1889),
    [anon_sym_localtime] = ACTIONS(1889),
    [anon_sym_log] = ACTIONS(1889),
    [anon_sym_lock] = ACTIONS(1889),
    [anon_sym_lstat] = ACTIONS(1889),
    [anon_sym_oct] = ACTIONS(1889),
    [anon_sym_ord] = ACTIONS(1889),
    [anon_sym_prototype] = ACTIONS(1889),
    [anon_sym_pop] = ACTIONS(1889),
    [anon_sym_pos] = ACTIONS(1889),
    [anon_sym_quotemeta] = ACTIONS(1889),
    [anon_sym_reset] = ACTIONS(1889),
    [anon_sym_rand] = ACTIONS(1889),
    [anon_sym_rmdir] = ACTIONS(1889),
    [anon_sym_readdir] = ACTIONS(1889),
    [anon_sym_readline] = ACTIONS(1889),
    [anon_sym_readpipe] = ACTIONS(1889),
    [anon_sym_rewinddir] = ACTIONS(1889),
    [anon_sym_readlink] = ACTIONS(1889),
    [anon_sym_ref] = ACTIONS(1889),
    [anon_sym_scalar] = ACTIONS(1889),
    [anon_sym_shift] = ACTIONS(1889),
    [anon_sym_sin] = ACTIONS(1889),
    [anon_sym_sleep] = ACTIONS(1889),
    [anon_sym_sqrt] = ACTIONS(1889),
    [anon_sym_srand] = ACTIONS(1889),
    [anon_sym_stat] = ACTIONS(1889),
    [anon_sym_study] = ACTIONS(1889),
    [anon_sym_tell] = ACTIONS(1889),
    [anon_sym_telldir] = ACTIONS(1889),
    [anon_sym_tied] = ACTIONS(1889),
    [anon_sym_uc] = ACTIONS(1889),
    [anon_sym_ucfirst] = ACTIONS(1889),
    [anon_sym_untie] = ACTIONS(1889),
    [anon_sym_umask] = ACTIONS(1889),
    [anon_sym_values] = ACTIONS(1889),
    [anon_sym_write] = ACTIONS(1889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1889),
    [anon_sym_qq] = ACTIONS(1889),
    [anon_sym_qw] = ACTIONS(1889),
    [anon_sym_qx] = ACTIONS(1889),
    [anon_sym_qr] = ACTIONS(1889),
    [anon_sym_m] = ACTIONS(1889),
    [anon_sym_s] = ACTIONS(1889),
    [anon_sym_tr] = ACTIONS(1889),
    [anon_sym_y] = ACTIONS(1889),
    [aux_sym__bareword_token1] = ACTIONS(1889),
    [sym_number] = ACTIONS(1889),
    [anon_sym_true] = ACTIONS(1889),
    [anon_sym_false] = ACTIONS(1889),
    [sym__single_quote] = ACTIONS(1891),
    [sym__double_quote] = ACTIONS(1891),
    [sym__backtick_quote] = ACTIONS(1891),
    [sym__search_slash_quote] = ACTIONS(1891),
    [sym__open_readline_bracket] = ACTIONS(1891),
    [sym__open_fileglob_bracket] = ACTIONS(1891),
    [sym__PERLY_HEREDOC] = ACTIONS(1891),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1891),
    [sym__filetest] = ACTIONS(1891),
  },
  [808] = {
    [sym_heredoc_content] = STATE(808),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_RBRACE] = ACTIONS(1901),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1901),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1901),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1901),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1901),
    [anon_sym_RPAREN] = ACTIONS(1901),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1957),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1901),
    [anon_sym_and] = ACTIONS(1901),
    [anon_sym_or] = ACTIONS(1901),
    [anon_sym_xor] = ACTIONS(1901),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_RBRACK] = ACTIONS(1901),
    [anon_sym_DASH_GT] = ACTIONS(1901),
    [anon_sym_PERCENT] = ACTIONS(1901),
    [anon_sym_GT] = ACTIONS(1901),
    [anon_sym_LT_LT] = ACTIONS(1901),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1901),
    [anon_sym_PLUS_EQ] = ACTIONS(1901),
    [anon_sym_DASH_EQ] = ACTIONS(1901),
    [anon_sym_DOT_EQ] = ACTIONS(1901),
    [anon_sym_STAR_EQ] = ACTIONS(1901),
    [anon_sym_SLASH_EQ] = ACTIONS(1901),
    [anon_sym_PERCENT_EQ] = ACTIONS(1901),
    [anon_sym_x_EQ] = ACTIONS(1901),
    [anon_sym_AMP_EQ] = ACTIONS(1901),
    [anon_sym_PIPE_EQ] = ACTIONS(1901),
    [anon_sym_CARET_EQ] = ACTIONS(1901),
    [anon_sym_LT_LT_EQ] = ACTIONS(1901),
    [anon_sym_GT_GT_EQ] = ACTIONS(1901),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1901),
    [anon_sym_DOT_DOT] = ACTIONS(1901),
    [anon_sym_STAR_STAR] = ACTIONS(1901),
    [anon_sym_PIPE_PIPE] = ACTIONS(1901),
    [anon_sym_SLASH_SLASH] = ACTIONS(1901),
    [anon_sym_CARET_CARET] = ACTIONS(1901),
    [anon_sym_AMP_AMP] = ACTIONS(1901),
    [anon_sym_PIPE] = ACTIONS(1901),
    [anon_sym_CARET] = ACTIONS(1901),
    [anon_sym_AMP] = ACTIONS(1901),
    [anon_sym_GT_GT2] = ACTIONS(1901),
    [anon_sym_PLUS] = ACTIONS(1901),
    [anon_sym_DASH] = ACTIONS(1901),
    [anon_sym_DOT] = ACTIONS(1901),
    [anon_sym_STAR] = ACTIONS(1901),
    [anon_sym_SLASH] = ACTIONS(1901),
    [anon_sym_x] = ACTIONS(1901),
    [anon_sym_EQ_TILDE] = ACTIONS(1901),
    [anon_sym_BANG_TILDE] = ACTIONS(1901),
    [anon_sym_EQ_EQ] = ACTIONS(1901),
    [anon_sym_BANG_EQ] = ACTIONS(1901),
    [anon_sym_eq] = ACTIONS(1901),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1901),
    [anon_sym_equ] = ACTIONS(1901),
    [anon_sym_eqr] = ACTIONS(1901),
    [anon_sym_ne] = ACTIONS(1901),
    [anon_sym_LT_EQ_GT] = ACTIONS(1901),
    [anon_sym_cmp] = ACTIONS(1901),
    [anon_sym_TILDE_TILDE] = ACTIONS(1901),
    [anon_sym_LT] = ACTIONS(1901),
    [anon_sym_LT_EQ] = ACTIONS(1901),
    [anon_sym_GT_EQ] = ACTIONS(1901),
    [anon_sym_lt] = ACTIONS(1901),
    [anon_sym_le] = ACTIONS(1901),
    [anon_sym_ge] = ACTIONS(1901),
    [anon_sym_gt] = ACTIONS(1901),
    [anon_sym_isa] = ACTIONS(1901),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1901),
    [anon_sym_DASH_DASH] = ACTIONS(1901),
    [anon_sym_QMARK] = ACTIONS(1901),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1901),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
  },
  [809] = {
    [sym_heredoc_content] = STATE(809),
    [sym__identifier] = ACTIONS(1859),
    [anon_sym_LBRACE] = ACTIONS(1859),
    [anon_sym_RBRACE] = ACTIONS(1859),
    [anon_sym_DOLLAR] = ACTIONS(1859),
    [anon_sym_EQ] = ACTIONS(1859),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1859),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(1859),
    [anon_sym_COMMA] = ACTIONS(1859),
    [anon_sym_RPAREN] = ACTIONS(1859),
    [anon_sym_my] = ACTIONS(1859),
    [anon_sym_extended] = ACTIONS(1859),
    [anon_sym_async] = ACTIONS(1859),
    [anon_sym_sub] = ACTIONS(1859),
    [anon_sym_method] = ACTIONS(1859),
    [anon_sym_LPAREN] = ACTIONS(1859),
    [anon_sym_continue] = ACTIONS(1859),
    [anon_sym_state] = ACTIONS(1859),
    [anon_sym_our] = ACTIONS(1859),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1859),
    [anon_sym_and] = ACTIONS(1859),
    [anon_sym_or] = ACTIONS(1859),
    [anon_sym_xor] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1859),
    [anon_sym_RBRACK] = ACTIONS(1859),
    [anon_sym_DASH_GT] = ACTIONS(1859),
    [anon_sym_PERCENT] = ACTIONS(1859),
    [anon_sym_GT] = ACTIONS(1859),
    [anon_sym_LT_LT] = ACTIONS(1859),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1859),
    [anon_sym_PLUS_EQ] = ACTIONS(1859),
    [anon_sym_DASH_EQ] = ACTIONS(1859),
    [anon_sym_DOT_EQ] = ACTIONS(1859),
    [anon_sym_STAR_EQ] = ACTIONS(1859),
    [anon_sym_SLASH_EQ] = ACTIONS(1859),
    [anon_sym_PERCENT_EQ] = ACTIONS(1859),
    [anon_sym_x_EQ] = ACTIONS(1859),
    [anon_sym_AMP_EQ] = ACTIONS(1859),
    [anon_sym_PIPE_EQ] = ACTIONS(1859),
    [anon_sym_CARET_EQ] = ACTIONS(1859),
    [anon_sym_LT_LT_EQ] = ACTIONS(1859),
    [anon_sym_GT_GT_EQ] = ACTIONS(1859),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1859),
    [anon_sym_DOT_DOT] = ACTIONS(1859),
    [anon_sym_STAR_STAR] = ACTIONS(1859),
    [anon_sym_PIPE_PIPE] = ACTIONS(1859),
    [anon_sym_SLASH_SLASH] = ACTIONS(1859),
    [anon_sym_CARET_CARET] = ACTIONS(1859),
    [anon_sym_AMP_AMP] = ACTIONS(1859),
    [anon_sym_PIPE] = ACTIONS(1859),
    [anon_sym_CARET] = ACTIONS(1859),
    [anon_sym_AMP] = ACTIONS(1859),
    [anon_sym_GT_GT2] = ACTIONS(1859),
    [anon_sym_PLUS] = ACTIONS(1859),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_DOT] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1859),
    [anon_sym_SLASH] = ACTIONS(1859),
    [anon_sym_x] = ACTIONS(1859),
    [anon_sym_EQ_TILDE] = ACTIONS(1859),
    [anon_sym_BANG_TILDE] = ACTIONS(1859),
    [anon_sym_EQ_EQ] = ACTIONS(1859),
    [anon_sym_BANG_EQ] = ACTIONS(1859),
    [anon_sym_eq] = ACTIONS(1859),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1859),
    [anon_sym_equ] = ACTIONS(1859),
    [anon_sym_eqr] = ACTIONS(1859),
    [anon_sym_ne] = ACTIONS(1859),
    [anon_sym_LT_EQ_GT] = ACTIONS(1859),
    [anon_sym_cmp] = ACTIONS(1859),
    [anon_sym_TILDE_TILDE] = ACTIONS(1859),
    [anon_sym_LT] = ACTIONS(1859),
    [anon_sym_LT_EQ] = ACTIONS(1859),
    [anon_sym_GT_EQ] = ACTIONS(1859),
    [anon_sym_lt] = ACTIONS(1859),
    [anon_sym_le] = ACTIONS(1859),
    [anon_sym_ge] = ACTIONS(1859),
    [anon_sym_gt] = ACTIONS(1859),
    [anon_sym_isa] = ACTIONS(1859),
    [anon_sym_TILDE] = ACTIONS(1859),
    [anon_sym_BANG] = ACTIONS(1859),
    [anon_sym_PLUS_PLUS] = ACTIONS(1859),
    [anon_sym_DASH_DASH] = ACTIONS(1859),
    [anon_sym_QMARK] = ACTIONS(1859),
    [anon_sym_BSLASH] = ACTIONS(1861),
    [anon_sym_do] = ACTIONS(1859),
    [anon_sym_eval] = ACTIONS(1859),
    [anon_sym_await] = ACTIONS(1859),
    [anon_sym_field] = ACTIONS(1859),
    [anon_sym_local] = ACTIONS(1859),
    [anon_sym_dynamically] = ACTIONS(1859),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1859),
    [anon_sym_require] = ACTIONS(1859),
    [anon_sym_map] = ACTIONS(1859),
    [anon_sym_grep] = ACTIONS(1859),
    [anon_sym_sort] = ACTIONS(1859),
    [anon_sym_goto] = ACTIONS(1859),
    [anon_sym_return] = ACTIONS(1859),
    [anon_sym_undef] = ACTIONS(1859),
    [anon_sym_PERCENT2] = ACTIONS(1859),
    [anon_sym_AMP2] = ACTIONS(1859),
    [anon_sym_STAR2] = ACTIONS(1859),
    [anon_sym_EQ_GT] = ACTIONS(1859),
    [anon_sym_last] = ACTIONS(1859),
    [anon_sym_next] = ACTIONS(1859),
    [anon_sym_redo] = ACTIONS(1859),
    [anon_sym___FILE__] = ACTIONS(1859),
    [anon_sym___LINE__] = ACTIONS(1859),
    [anon_sym___PACKAGE__] = ACTIONS(1859),
    [anon_sym___SUB__] = ACTIONS(1859),
    [anon_sym_break] = ACTIONS(1859),
    [anon_sym_fork] = ACTIONS(1859),
    [anon_sym_getppid] = ACTIONS(1859),
    [anon_sym_time] = ACTIONS(1859),
    [anon_sym_times] = ACTIONS(1859),
    [anon_sym_wait] = ACTIONS(1859),
    [anon_sym_wantarray] = ACTIONS(1859),
    [anon_sym_abs] = ACTIONS(1859),
    [anon_sym_alarm] = ACTIONS(1859),
    [anon_sym_chop] = ACTIONS(1859),
    [anon_sym_chdir] = ACTIONS(1859),
    [anon_sym_close] = ACTIONS(1859),
    [anon_sym_closedir] = ACTIONS(1859),
    [anon_sym_caller] = ACTIONS(1859),
    [anon_sym_chomp] = ACTIONS(1859),
    [anon_sym_chr] = ACTIONS(1859),
    [anon_sym_cos] = ACTIONS(1859),
    [anon_sym_chroot] = ACTIONS(1859),
    [anon_sym_defined] = ACTIONS(1859),
    [anon_sym_delete] = ACTIONS(1859),
    [anon_sym_dbmclose] = ACTIONS(1859),
    [anon_sym_exists] = ACTIONS(1859),
    [anon_sym_exit] = ACTIONS(1859),
    [anon_sym_eof] = ACTIONS(1859),
    [anon_sym_exp] = ACTIONS(1859),
    [anon_sym_each] = ACTIONS(1859),
    [anon_sym_fc] = ACTIONS(1859),
    [anon_sym_fileno] = ACTIONS(1859),
    [anon_sym_gmtime] = ACTIONS(1859),
    [anon_sym_getc] = ACTIONS(1859),
    [anon_sym_getpgrp] = ACTIONS(1859),
    [anon_sym_getprotobyname] = ACTIONS(1859),
    [anon_sym_getpwname] = ACTIONS(1859),
    [anon_sym_getpwuid] = ACTIONS(1859),
    [anon_sym_getpeername] = ACTIONS(1859),
    [anon_sym_getnetbyname] = ACTIONS(1859),
    [anon_sym_getsockname] = ACTIONS(1859),
    [anon_sym_getgrnam] = ACTIONS(1859),
    [anon_sym_getgrgid] = ACTIONS(1859),
    [anon_sym_hex] = ACTIONS(1859),
    [anon_sym_int] = ACTIONS(1859),
    [anon_sym_keys] = ACTIONS(1859),
    [anon_sym_lc] = ACTIONS(1859),
    [anon_sym_lcfirst] = ACTIONS(1859),
    [anon_sym_length] = ACTIONS(1859),
    [anon_sym_localtime] = ACTIONS(1859),
    [anon_sym_log] = ACTIONS(1859),
    [anon_sym_lock] = ACTIONS(1859),
    [anon_sym_lstat] = ACTIONS(1859),
    [anon_sym_oct] = ACTIONS(1859),
    [anon_sym_ord] = ACTIONS(1859),
    [anon_sym_prototype] = ACTIONS(1859),
    [anon_sym_pop] = ACTIONS(1859),
    [anon_sym_pos] = ACTIONS(1859),
    [anon_sym_quotemeta] = ACTIONS(1859),
    [anon_sym_reset] = ACTIONS(1859),
    [anon_sym_rand] = ACTIONS(1859),
    [anon_sym_rmdir] = ACTIONS(1859),
    [anon_sym_readdir] = ACTIONS(1859),
    [anon_sym_readline] = ACTIONS(1859),
    [anon_sym_readpipe] = ACTIONS(1859),
    [anon_sym_rewinddir] = ACTIONS(1859),
    [anon_sym_readlink] = ACTIONS(1859),
    [anon_sym_ref] = ACTIONS(1859),
    [anon_sym_scalar] = ACTIONS(1859),
    [anon_sym_shift] = ACTIONS(1859),
    [anon_sym_sin] = ACTIONS(1859),
    [anon_sym_sleep] = ACTIONS(1859),
    [anon_sym_sqrt] = ACTIONS(1859),
    [anon_sym_srand] = ACTIONS(1859),
    [anon_sym_stat] = ACTIONS(1859),
    [anon_sym_study] = ACTIONS(1859),
    [anon_sym_tell] = ACTIONS(1859),
    [anon_sym_telldir] = ACTIONS(1859),
    [anon_sym_tied] = ACTIONS(1859),
    [anon_sym_uc] = ACTIONS(1859),
    [anon_sym_ucfirst] = ACTIONS(1859),
    [anon_sym_untie] = ACTIONS(1859),
    [anon_sym_umask] = ACTIONS(1859),
    [anon_sym_values] = ACTIONS(1859),
    [anon_sym_write] = ACTIONS(1859),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1859),
    [anon_sym_qq] = ACTIONS(1859),
    [anon_sym_qw] = ACTIONS(1859),
    [anon_sym_qx] = ACTIONS(1859),
    [anon_sym_qr] = ACTIONS(1859),
    [anon_sym_m] = ACTIONS(1859),
    [anon_sym_s] = ACTIONS(1859),
    [anon_sym_tr] = ACTIONS(1859),
    [anon_sym_y] = ACTIONS(1859),
    [aux_sym__bareword_token1] = ACTIONS(1859),
    [sym_number] = ACTIONS(1859),
    [anon_sym_true] = ACTIONS(1859),
    [anon_sym_false] = ACTIONS(1859),
    [sym__single_quote] = ACTIONS(1861),
    [sym__double_quote] = ACTIONS(1861),
    [sym__backtick_quote] = ACTIONS(1861),
    [sym__search_slash_quote] = ACTIONS(1861),
    [sym__open_readline_bracket] = ACTIONS(1861),
    [sym__open_fileglob_bracket] = ACTIONS(1861),
    [sym__PERLY_HEREDOC] = ACTIONS(1861),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1861),
    [sym__filetest] = ACTIONS(1861),
  },
  [810] = {
    [sym_heredoc_content] = STATE(810),
    [sym__identifier] = ACTIONS(1947),
    [anon_sym_LBRACE] = ACTIONS(1947),
    [anon_sym_RBRACE] = ACTIONS(1840),
    [anon_sym_DOLLAR] = ACTIONS(1947),
    [anon_sym_EQ] = ACTIONS(1840),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1840),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1840),
    [anon_sym_AT] = ACTIONS(1947),
    [anon_sym_COMMA] = ACTIONS(1840),
    [anon_sym_RPAREN] = ACTIONS(1840),
    [anon_sym_my] = ACTIONS(1947),
    [anon_sym_extended] = ACTIONS(1947),
    [anon_sym_async] = ACTIONS(1947),
    [anon_sym_sub] = ACTIONS(1947),
    [anon_sym_method] = ACTIONS(1947),
    [anon_sym_LPAREN] = ACTIONS(1947),
    [anon_sym_continue] = ACTIONS(1947),
    [anon_sym_state] = ACTIONS(1947),
    [anon_sym_our] = ACTIONS(1947),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1840),
    [anon_sym_and] = ACTIONS(1840),
    [anon_sym_or] = ACTIONS(1840),
    [anon_sym_xor] = ACTIONS(1840),
    [anon_sym_LBRACK] = ACTIONS(1947),
    [anon_sym_RBRACK] = ACTIONS(1840),
    [anon_sym_DASH_GT] = ACTIONS(1840),
    [anon_sym_PERCENT] = ACTIONS(1840),
    [anon_sym_GT] = ACTIONS(1840),
    [anon_sym_LT_LT] = ACTIONS(1947),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1840),
    [anon_sym_PLUS_EQ] = ACTIONS(1840),
    [anon_sym_DASH_EQ] = ACTIONS(1840),
    [anon_sym_DOT_EQ] = ACTIONS(1840),
    [anon_sym_STAR_EQ] = ACTIONS(1840),
    [anon_sym_SLASH_EQ] = ACTIONS(1840),
    [anon_sym_PERCENT_EQ] = ACTIONS(1840),
    [anon_sym_x_EQ] = ACTIONS(1840),
    [anon_sym_AMP_EQ] = ACTIONS(1840),
    [anon_sym_PIPE_EQ] = ACTIONS(1840),
    [anon_sym_CARET_EQ] = ACTIONS(1840),
    [anon_sym_LT_LT_EQ] = ACTIONS(1840),
    [anon_sym_GT_GT_EQ] = ACTIONS(1840),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1840),
    [anon_sym_DOT_DOT] = ACTIONS(1840),
    [anon_sym_STAR_STAR] = ACTIONS(1840),
    [anon_sym_PIPE_PIPE] = ACTIONS(1840),
    [anon_sym_SLASH_SLASH] = ACTIONS(1947),
    [anon_sym_CARET_CARET] = ACTIONS(1840),
    [anon_sym_AMP_AMP] = ACTIONS(1840),
    [anon_sym_PIPE] = ACTIONS(1840),
    [anon_sym_CARET] = ACTIONS(1840),
    [anon_sym_AMP] = ACTIONS(1840),
    [anon_sym_GT_GT2] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1947),
    [anon_sym_DASH] = ACTIONS(1947),
    [anon_sym_DOT] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1840),
    [anon_sym_SLASH] = ACTIONS(1840),
    [anon_sym_x] = ACTIONS(1840),
    [anon_sym_EQ_TILDE] = ACTIONS(1840),
    [anon_sym_BANG_TILDE] = ACTIONS(1840),
    [anon_sym_EQ_EQ] = ACTIONS(1840),
    [anon_sym_BANG_EQ] = ACTIONS(1840),
    [anon_sym_eq] = ACTIONS(1840),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1840),
    [anon_sym_equ] = ACTIONS(1840),
    [anon_sym_eqr] = ACTIONS(1840),
    [anon_sym_ne] = ACTIONS(1840),
    [anon_sym_LT_EQ_GT] = ACTIONS(1840),
    [anon_sym_cmp] = ACTIONS(1840),
    [anon_sym_TILDE_TILDE] = ACTIONS(1840),
    [anon_sym_LT] = ACTIONS(1840),
    [anon_sym_LT_EQ] = ACTIONS(1840),
    [anon_sym_GT_EQ] = ACTIONS(1840),
    [anon_sym_lt] = ACTIONS(1840),
    [anon_sym_le] = ACTIONS(1840),
    [anon_sym_ge] = ACTIONS(1840),
    [anon_sym_gt] = ACTIONS(1840),
    [anon_sym_isa] = ACTIONS(1840),
    [anon_sym_TILDE] = ACTIONS(1947),
    [anon_sym_BANG] = ACTIONS(1947),
    [anon_sym_PLUS_PLUS] = ACTIONS(1947),
    [anon_sym_DASH_DASH] = ACTIONS(1947),
    [anon_sym_QMARK] = ACTIONS(1840),
    [anon_sym_BSLASH] = ACTIONS(1949),
    [anon_sym_do] = ACTIONS(1947),
    [anon_sym_eval] = ACTIONS(1947),
    [anon_sym_await] = ACTIONS(1947),
    [anon_sym_field] = ACTIONS(1947),
    [anon_sym_local] = ACTIONS(1947),
    [anon_sym_dynamically] = ACTIONS(1947),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1947),
    [anon_sym_require] = ACTIONS(1947),
    [anon_sym_map] = ACTIONS(1947),
    [anon_sym_grep] = ACTIONS(1947),
    [anon_sym_sort] = ACTIONS(1947),
    [anon_sym_goto] = ACTIONS(1947),
    [anon_sym_return] = ACTIONS(1947),
    [anon_sym_undef] = ACTIONS(1947),
    [anon_sym_PERCENT2] = ACTIONS(1947),
    [anon_sym_AMP2] = ACTIONS(1947),
    [anon_sym_STAR2] = ACTIONS(1947),
    [anon_sym_EQ_GT] = ACTIONS(1840),
    [anon_sym_last] = ACTIONS(1947),
    [anon_sym_next] = ACTIONS(1947),
    [anon_sym_redo] = ACTIONS(1947),
    [anon_sym___FILE__] = ACTIONS(1947),
    [anon_sym___LINE__] = ACTIONS(1947),
    [anon_sym___PACKAGE__] = ACTIONS(1947),
    [anon_sym___SUB__] = ACTIONS(1947),
    [anon_sym_break] = ACTIONS(1947),
    [anon_sym_fork] = ACTIONS(1947),
    [anon_sym_getppid] = ACTIONS(1947),
    [anon_sym_time] = ACTIONS(1947),
    [anon_sym_times] = ACTIONS(1947),
    [anon_sym_wait] = ACTIONS(1947),
    [anon_sym_wantarray] = ACTIONS(1947),
    [anon_sym_abs] = ACTIONS(1947),
    [anon_sym_alarm] = ACTIONS(1947),
    [anon_sym_chop] = ACTIONS(1947),
    [anon_sym_chdir] = ACTIONS(1947),
    [anon_sym_close] = ACTIONS(1947),
    [anon_sym_closedir] = ACTIONS(1947),
    [anon_sym_caller] = ACTIONS(1947),
    [anon_sym_chomp] = ACTIONS(1947),
    [anon_sym_chr] = ACTIONS(1947),
    [anon_sym_cos] = ACTIONS(1947),
    [anon_sym_chroot] = ACTIONS(1947),
    [anon_sym_defined] = ACTIONS(1947),
    [anon_sym_delete] = ACTIONS(1947),
    [anon_sym_dbmclose] = ACTIONS(1947),
    [anon_sym_exists] = ACTIONS(1947),
    [anon_sym_exit] = ACTIONS(1947),
    [anon_sym_eof] = ACTIONS(1947),
    [anon_sym_exp] = ACTIONS(1947),
    [anon_sym_each] = ACTIONS(1947),
    [anon_sym_fc] = ACTIONS(1947),
    [anon_sym_fileno] = ACTIONS(1947),
    [anon_sym_gmtime] = ACTIONS(1947),
    [anon_sym_getc] = ACTIONS(1947),
    [anon_sym_getpgrp] = ACTIONS(1947),
    [anon_sym_getprotobyname] = ACTIONS(1947),
    [anon_sym_getpwname] = ACTIONS(1947),
    [anon_sym_getpwuid] = ACTIONS(1947),
    [anon_sym_getpeername] = ACTIONS(1947),
    [anon_sym_getnetbyname] = ACTIONS(1947),
    [anon_sym_getsockname] = ACTIONS(1947),
    [anon_sym_getgrnam] = ACTIONS(1947),
    [anon_sym_getgrgid] = ACTIONS(1947),
    [anon_sym_hex] = ACTIONS(1947),
    [anon_sym_int] = ACTIONS(1947),
    [anon_sym_keys] = ACTIONS(1947),
    [anon_sym_lc] = ACTIONS(1947),
    [anon_sym_lcfirst] = ACTIONS(1947),
    [anon_sym_length] = ACTIONS(1947),
    [anon_sym_localtime] = ACTIONS(1947),
    [anon_sym_log] = ACTIONS(1947),
    [anon_sym_lock] = ACTIONS(1947),
    [anon_sym_lstat] = ACTIONS(1947),
    [anon_sym_oct] = ACTIONS(1947),
    [anon_sym_ord] = ACTIONS(1947),
    [anon_sym_prototype] = ACTIONS(1947),
    [anon_sym_pop] = ACTIONS(1947),
    [anon_sym_pos] = ACTIONS(1947),
    [anon_sym_quotemeta] = ACTIONS(1947),
    [anon_sym_reset] = ACTIONS(1947),
    [anon_sym_rand] = ACTIONS(1947),
    [anon_sym_rmdir] = ACTIONS(1947),
    [anon_sym_readdir] = ACTIONS(1947),
    [anon_sym_readline] = ACTIONS(1947),
    [anon_sym_readpipe] = ACTIONS(1947),
    [anon_sym_rewinddir] = ACTIONS(1947),
    [anon_sym_readlink] = ACTIONS(1947),
    [anon_sym_ref] = ACTIONS(1947),
    [anon_sym_scalar] = ACTIONS(1947),
    [anon_sym_shift] = ACTIONS(1947),
    [anon_sym_sin] = ACTIONS(1947),
    [anon_sym_sleep] = ACTIONS(1947),
    [anon_sym_sqrt] = ACTIONS(1947),
    [anon_sym_srand] = ACTIONS(1947),
    [anon_sym_stat] = ACTIONS(1947),
    [anon_sym_study] = ACTIONS(1947),
    [anon_sym_tell] = ACTIONS(1947),
    [anon_sym_telldir] = ACTIONS(1947),
    [anon_sym_tied] = ACTIONS(1947),
    [anon_sym_uc] = ACTIONS(1947),
    [anon_sym_ucfirst] = ACTIONS(1947),
    [anon_sym_untie] = ACTIONS(1947),
    [anon_sym_umask] = ACTIONS(1947),
    [anon_sym_values] = ACTIONS(1947),
    [anon_sym_write] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1947),
    [anon_sym_qq] = ACTIONS(1947),
    [anon_sym_qw] = ACTIONS(1947),
    [anon_sym_qx] = ACTIONS(1947),
    [anon_sym_qr] = ACTIONS(1947),
    [anon_sym_m] = ACTIONS(1947),
    [anon_sym_s] = ACTIONS(1947),
    [anon_sym_tr] = ACTIONS(1947),
    [anon_sym_y] = ACTIONS(1947),
    [aux_sym__bareword_token1] = ACTIONS(1947),
    [sym_number] = ACTIONS(1947),
    [anon_sym_true] = ACTIONS(1947),
    [anon_sym_false] = ACTIONS(1947),
    [sym__single_quote] = ACTIONS(1949),
    [sym__double_quote] = ACTIONS(1949),
    [sym__backtick_quote] = ACTIONS(1949),
    [sym__search_slash_quote] = ACTIONS(1949),
    [sym__open_readline_bracket] = ACTIONS(1949),
    [sym__open_fileglob_bracket] = ACTIONS(1949),
    [sym__PERLY_HEREDOC] = ACTIONS(1949),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1949),
    [sym__filetest] = ACTIONS(1949),
  },
  [811] = {
    [sym_heredoc_content] = STATE(811),
    [sym__identifier] = ACTIONS(1824),
    [anon_sym_LBRACE] = ACTIONS(1824),
    [anon_sym_RBRACE] = ACTIONS(1824),
    [anon_sym_DOLLAR] = ACTIONS(1824),
    [anon_sym_EQ] = ACTIONS(1824),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1824),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1824),
    [anon_sym_AT] = ACTIONS(1824),
    [anon_sym_COMMA] = ACTIONS(1824),
    [anon_sym_RPAREN] = ACTIONS(1824),
    [anon_sym_my] = ACTIONS(1824),
    [anon_sym_extended] = ACTIONS(1824),
    [anon_sym_async] = ACTIONS(1824),
    [anon_sym_sub] = ACTIONS(1824),
    [anon_sym_method] = ACTIONS(1824),
    [anon_sym_LPAREN] = ACTIONS(1824),
    [anon_sym_continue] = ACTIONS(1824),
    [anon_sym_state] = ACTIONS(1824),
    [anon_sym_our] = ACTIONS(1824),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1824),
    [anon_sym_and] = ACTIONS(1824),
    [anon_sym_or] = ACTIONS(1824),
    [anon_sym_xor] = ACTIONS(1824),
    [anon_sym_LBRACK] = ACTIONS(1824),
    [anon_sym_RBRACK] = ACTIONS(1824),
    [anon_sym_DASH_GT] = ACTIONS(1824),
    [anon_sym_PERCENT] = ACTIONS(1824),
    [anon_sym_GT] = ACTIONS(1824),
    [anon_sym_LT_LT] = ACTIONS(1824),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1824),
    [anon_sym_PLUS_EQ] = ACTIONS(1824),
    [anon_sym_DASH_EQ] = ACTIONS(1824),
    [anon_sym_DOT_EQ] = ACTIONS(1824),
    [anon_sym_STAR_EQ] = ACTIONS(1824),
    [anon_sym_SLASH_EQ] = ACTIONS(1824),
    [anon_sym_PERCENT_EQ] = ACTIONS(1824),
    [anon_sym_x_EQ] = ACTIONS(1824),
    [anon_sym_AMP_EQ] = ACTIONS(1824),
    [anon_sym_PIPE_EQ] = ACTIONS(1824),
    [anon_sym_CARET_EQ] = ACTIONS(1824),
    [anon_sym_LT_LT_EQ] = ACTIONS(1824),
    [anon_sym_GT_GT_EQ] = ACTIONS(1824),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1824),
    [anon_sym_DOT_DOT] = ACTIONS(1824),
    [anon_sym_STAR_STAR] = ACTIONS(1824),
    [anon_sym_PIPE_PIPE] = ACTIONS(1824),
    [anon_sym_SLASH_SLASH] = ACTIONS(1824),
    [anon_sym_CARET_CARET] = ACTIONS(1824),
    [anon_sym_AMP_AMP] = ACTIONS(1824),
    [anon_sym_PIPE] = ACTIONS(1824),
    [anon_sym_CARET] = ACTIONS(1824),
    [anon_sym_AMP] = ACTIONS(1824),
    [anon_sym_GT_GT2] = ACTIONS(1824),
    [anon_sym_PLUS] = ACTIONS(1824),
    [anon_sym_DASH] = ACTIONS(1824),
    [anon_sym_DOT] = ACTIONS(1824),
    [anon_sym_STAR] = ACTIONS(1824),
    [anon_sym_SLASH] = ACTIONS(1824),
    [anon_sym_x] = ACTIONS(1824),
    [anon_sym_EQ_TILDE] = ACTIONS(1824),
    [anon_sym_BANG_TILDE] = ACTIONS(1824),
    [anon_sym_EQ_EQ] = ACTIONS(1824),
    [anon_sym_BANG_EQ] = ACTIONS(1824),
    [anon_sym_eq] = ACTIONS(1824),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1824),
    [anon_sym_equ] = ACTIONS(1824),
    [anon_sym_eqr] = ACTIONS(1824),
    [anon_sym_ne] = ACTIONS(1824),
    [anon_sym_LT_EQ_GT] = ACTIONS(1824),
    [anon_sym_cmp] = ACTIONS(1824),
    [anon_sym_TILDE_TILDE] = ACTIONS(1824),
    [anon_sym_LT] = ACTIONS(1824),
    [anon_sym_LT_EQ] = ACTIONS(1824),
    [anon_sym_GT_EQ] = ACTIONS(1824),
    [anon_sym_lt] = ACTIONS(1824),
    [anon_sym_le] = ACTIONS(1824),
    [anon_sym_ge] = ACTIONS(1824),
    [anon_sym_gt] = ACTIONS(1824),
    [anon_sym_isa] = ACTIONS(1824),
    [anon_sym_TILDE] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1824),
    [anon_sym_PLUS_PLUS] = ACTIONS(1824),
    [anon_sym_DASH_DASH] = ACTIONS(1824),
    [anon_sym_QMARK] = ACTIONS(1824),
    [anon_sym_BSLASH] = ACTIONS(1826),
    [anon_sym_do] = ACTIONS(1824),
    [anon_sym_eval] = ACTIONS(1824),
    [anon_sym_await] = ACTIONS(1824),
    [anon_sym_field] = ACTIONS(1824),
    [anon_sym_local] = ACTIONS(1824),
    [anon_sym_dynamically] = ACTIONS(1824),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1824),
    [anon_sym_require] = ACTIONS(1824),
    [anon_sym_map] = ACTIONS(1824),
    [anon_sym_grep] = ACTIONS(1824),
    [anon_sym_sort] = ACTIONS(1824),
    [anon_sym_goto] = ACTIONS(1824),
    [anon_sym_return] = ACTIONS(1824),
    [anon_sym_undef] = ACTIONS(1824),
    [anon_sym_PERCENT2] = ACTIONS(1824),
    [anon_sym_AMP2] = ACTIONS(1824),
    [anon_sym_STAR2] = ACTIONS(1824),
    [anon_sym_EQ_GT] = ACTIONS(1824),
    [anon_sym_last] = ACTIONS(1824),
    [anon_sym_next] = ACTIONS(1824),
    [anon_sym_redo] = ACTIONS(1824),
    [anon_sym___FILE__] = ACTIONS(1824),
    [anon_sym___LINE__] = ACTIONS(1824),
    [anon_sym___PACKAGE__] = ACTIONS(1824),
    [anon_sym___SUB__] = ACTIONS(1824),
    [anon_sym_break] = ACTIONS(1824),
    [anon_sym_fork] = ACTIONS(1824),
    [anon_sym_getppid] = ACTIONS(1824),
    [anon_sym_time] = ACTIONS(1824),
    [anon_sym_times] = ACTIONS(1824),
    [anon_sym_wait] = ACTIONS(1824),
    [anon_sym_wantarray] = ACTIONS(1824),
    [anon_sym_abs] = ACTIONS(1824),
    [anon_sym_alarm] = ACTIONS(1824),
    [anon_sym_chop] = ACTIONS(1824),
    [anon_sym_chdir] = ACTIONS(1824),
    [anon_sym_close] = ACTIONS(1824),
    [anon_sym_closedir] = ACTIONS(1824),
    [anon_sym_caller] = ACTIONS(1824),
    [anon_sym_chomp] = ACTIONS(1824),
    [anon_sym_chr] = ACTIONS(1824),
    [anon_sym_cos] = ACTIONS(1824),
    [anon_sym_chroot] = ACTIONS(1824),
    [anon_sym_defined] = ACTIONS(1824),
    [anon_sym_delete] = ACTIONS(1824),
    [anon_sym_dbmclose] = ACTIONS(1824),
    [anon_sym_exists] = ACTIONS(1824),
    [anon_sym_exit] = ACTIONS(1824),
    [anon_sym_eof] = ACTIONS(1824),
    [anon_sym_exp] = ACTIONS(1824),
    [anon_sym_each] = ACTIONS(1824),
    [anon_sym_fc] = ACTIONS(1824),
    [anon_sym_fileno] = ACTIONS(1824),
    [anon_sym_gmtime] = ACTIONS(1824),
    [anon_sym_getc] = ACTIONS(1824),
    [anon_sym_getpgrp] = ACTIONS(1824),
    [anon_sym_getprotobyname] = ACTIONS(1824),
    [anon_sym_getpwname] = ACTIONS(1824),
    [anon_sym_getpwuid] = ACTIONS(1824),
    [anon_sym_getpeername] = ACTIONS(1824),
    [anon_sym_getnetbyname] = ACTIONS(1824),
    [anon_sym_getsockname] = ACTIONS(1824),
    [anon_sym_getgrnam] = ACTIONS(1824),
    [anon_sym_getgrgid] = ACTIONS(1824),
    [anon_sym_hex] = ACTIONS(1824),
    [anon_sym_int] = ACTIONS(1824),
    [anon_sym_keys] = ACTIONS(1824),
    [anon_sym_lc] = ACTIONS(1824),
    [anon_sym_lcfirst] = ACTIONS(1824),
    [anon_sym_length] = ACTIONS(1824),
    [anon_sym_localtime] = ACTIONS(1824),
    [anon_sym_log] = ACTIONS(1824),
    [anon_sym_lock] = ACTIONS(1824),
    [anon_sym_lstat] = ACTIONS(1824),
    [anon_sym_oct] = ACTIONS(1824),
    [anon_sym_ord] = ACTIONS(1824),
    [anon_sym_prototype] = ACTIONS(1824),
    [anon_sym_pop] = ACTIONS(1824),
    [anon_sym_pos] = ACTIONS(1824),
    [anon_sym_quotemeta] = ACTIONS(1824),
    [anon_sym_reset] = ACTIONS(1824),
    [anon_sym_rand] = ACTIONS(1824),
    [anon_sym_rmdir] = ACTIONS(1824),
    [anon_sym_readdir] = ACTIONS(1824),
    [anon_sym_readline] = ACTIONS(1824),
    [anon_sym_readpipe] = ACTIONS(1824),
    [anon_sym_rewinddir] = ACTIONS(1824),
    [anon_sym_readlink] = ACTIONS(1824),
    [anon_sym_ref] = ACTIONS(1824),
    [anon_sym_scalar] = ACTIONS(1824),
    [anon_sym_shift] = ACTIONS(1824),
    [anon_sym_sin] = ACTIONS(1824),
    [anon_sym_sleep] = ACTIONS(1824),
    [anon_sym_sqrt] = ACTIONS(1824),
    [anon_sym_srand] = ACTIONS(1824),
    [anon_sym_stat] = ACTIONS(1824),
    [anon_sym_study] = ACTIONS(1824),
    [anon_sym_tell] = ACTIONS(1824),
    [anon_sym_telldir] = ACTIONS(1824),
    [anon_sym_tied] = ACTIONS(1824),
    [anon_sym_uc] = ACTIONS(1824),
    [anon_sym_ucfirst] = ACTIONS(1824),
    [anon_sym_untie] = ACTIONS(1824),
    [anon_sym_umask] = ACTIONS(1824),
    [anon_sym_values] = ACTIONS(1824),
    [anon_sym_write] = ACTIONS(1824),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1824),
    [anon_sym_qq] = ACTIONS(1824),
    [anon_sym_qw] = ACTIONS(1824),
    [anon_sym_qx] = ACTIONS(1824),
    [anon_sym_qr] = ACTIONS(1824),
    [anon_sym_m] = ACTIONS(1824),
    [anon_sym_s] = ACTIONS(1824),
    [anon_sym_tr] = ACTIONS(1824),
    [anon_sym_y] = ACTIONS(1824),
    [aux_sym__bareword_token1] = ACTIONS(1824),
    [sym_number] = ACTIONS(1824),
    [anon_sym_true] = ACTIONS(1824),
    [anon_sym_false] = ACTIONS(1824),
    [sym__single_quote] = ACTIONS(1826),
    [sym__double_quote] = ACTIONS(1826),
    [sym__backtick_quote] = ACTIONS(1826),
    [sym__search_slash_quote] = ACTIONS(1826),
    [sym__open_readline_bracket] = ACTIONS(1826),
    [sym__open_fileglob_bracket] = ACTIONS(1826),
    [sym__PERLY_HEREDOC] = ACTIONS(1826),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1826),
    [sym__filetest] = ACTIONS(1826),
  },
  [812] = {
    [sym_heredoc_content] = STATE(812),
    [sym__identifier] = ACTIONS(1855),
    [anon_sym_LBRACE] = ACTIONS(1855),
    [anon_sym_RBRACE] = ACTIONS(1855),
    [anon_sym_DOLLAR] = ACTIONS(1855),
    [anon_sym_EQ] = ACTIONS(1855),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1855),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1855),
    [anon_sym_AT] = ACTIONS(1855),
    [anon_sym_COMMA] = ACTIONS(1855),
    [anon_sym_RPAREN] = ACTIONS(1855),
    [anon_sym_my] = ACTIONS(1855),
    [anon_sym_extended] = ACTIONS(1855),
    [anon_sym_async] = ACTIONS(1855),
    [anon_sym_sub] = ACTIONS(1855),
    [anon_sym_method] = ACTIONS(1855),
    [anon_sym_LPAREN] = ACTIONS(1855),
    [anon_sym_continue] = ACTIONS(1855),
    [anon_sym_state] = ACTIONS(1855),
    [anon_sym_our] = ACTIONS(1855),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1855),
    [anon_sym_and] = ACTIONS(1855),
    [anon_sym_or] = ACTIONS(1855),
    [anon_sym_xor] = ACTIONS(1855),
    [anon_sym_LBRACK] = ACTIONS(1855),
    [anon_sym_RBRACK] = ACTIONS(1855),
    [anon_sym_DASH_GT] = ACTIONS(1855),
    [anon_sym_PERCENT] = ACTIONS(1855),
    [anon_sym_GT] = ACTIONS(1855),
    [anon_sym_LT_LT] = ACTIONS(1855),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1855),
    [anon_sym_PLUS_EQ] = ACTIONS(1855),
    [anon_sym_DASH_EQ] = ACTIONS(1855),
    [anon_sym_DOT_EQ] = ACTIONS(1855),
    [anon_sym_STAR_EQ] = ACTIONS(1855),
    [anon_sym_SLASH_EQ] = ACTIONS(1855),
    [anon_sym_PERCENT_EQ] = ACTIONS(1855),
    [anon_sym_x_EQ] = ACTIONS(1855),
    [anon_sym_AMP_EQ] = ACTIONS(1855),
    [anon_sym_PIPE_EQ] = ACTIONS(1855),
    [anon_sym_CARET_EQ] = ACTIONS(1855),
    [anon_sym_LT_LT_EQ] = ACTIONS(1855),
    [anon_sym_GT_GT_EQ] = ACTIONS(1855),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1855),
    [anon_sym_DOT_DOT] = ACTIONS(1855),
    [anon_sym_STAR_STAR] = ACTIONS(1855),
    [anon_sym_PIPE_PIPE] = ACTIONS(1855),
    [anon_sym_SLASH_SLASH] = ACTIONS(1855),
    [anon_sym_CARET_CARET] = ACTIONS(1855),
    [anon_sym_AMP_AMP] = ACTIONS(1855),
    [anon_sym_PIPE] = ACTIONS(1855),
    [anon_sym_CARET] = ACTIONS(1855),
    [anon_sym_AMP] = ACTIONS(1855),
    [anon_sym_GT_GT2] = ACTIONS(1855),
    [anon_sym_PLUS] = ACTIONS(1855),
    [anon_sym_DASH] = ACTIONS(1855),
    [anon_sym_DOT] = ACTIONS(1855),
    [anon_sym_STAR] = ACTIONS(1855),
    [anon_sym_SLASH] = ACTIONS(1855),
    [anon_sym_x] = ACTIONS(1855),
    [anon_sym_EQ_TILDE] = ACTIONS(1855),
    [anon_sym_BANG_TILDE] = ACTIONS(1855),
    [anon_sym_EQ_EQ] = ACTIONS(1855),
    [anon_sym_BANG_EQ] = ACTIONS(1855),
    [anon_sym_eq] = ACTIONS(1855),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1855),
    [anon_sym_equ] = ACTIONS(1855),
    [anon_sym_eqr] = ACTIONS(1855),
    [anon_sym_ne] = ACTIONS(1855),
    [anon_sym_LT_EQ_GT] = ACTIONS(1855),
    [anon_sym_cmp] = ACTIONS(1855),
    [anon_sym_TILDE_TILDE] = ACTIONS(1855),
    [anon_sym_LT] = ACTIONS(1855),
    [anon_sym_LT_EQ] = ACTIONS(1855),
    [anon_sym_GT_EQ] = ACTIONS(1855),
    [anon_sym_lt] = ACTIONS(1855),
    [anon_sym_le] = ACTIONS(1855),
    [anon_sym_ge] = ACTIONS(1855),
    [anon_sym_gt] = ACTIONS(1855),
    [anon_sym_isa] = ACTIONS(1855),
    [anon_sym_TILDE] = ACTIONS(1855),
    [anon_sym_BANG] = ACTIONS(1855),
    [anon_sym_PLUS_PLUS] = ACTIONS(1855),
    [anon_sym_DASH_DASH] = ACTIONS(1855),
    [anon_sym_QMARK] = ACTIONS(1855),
    [anon_sym_BSLASH] = ACTIONS(1857),
    [anon_sym_do] = ACTIONS(1855),
    [anon_sym_eval] = ACTIONS(1855),
    [anon_sym_await] = ACTIONS(1855),
    [anon_sym_field] = ACTIONS(1855),
    [anon_sym_local] = ACTIONS(1855),
    [anon_sym_dynamically] = ACTIONS(1855),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1855),
    [anon_sym_require] = ACTIONS(1855),
    [anon_sym_map] = ACTIONS(1855),
    [anon_sym_grep] = ACTIONS(1855),
    [anon_sym_sort] = ACTIONS(1855),
    [anon_sym_goto] = ACTIONS(1855),
    [anon_sym_return] = ACTIONS(1855),
    [anon_sym_undef] = ACTIONS(1855),
    [anon_sym_PERCENT2] = ACTIONS(1855),
    [anon_sym_AMP2] = ACTIONS(1855),
    [anon_sym_STAR2] = ACTIONS(1855),
    [anon_sym_EQ_GT] = ACTIONS(1855),
    [anon_sym_last] = ACTIONS(1855),
    [anon_sym_next] = ACTIONS(1855),
    [anon_sym_redo] = ACTIONS(1855),
    [anon_sym___FILE__] = ACTIONS(1855),
    [anon_sym___LINE__] = ACTIONS(1855),
    [anon_sym___PACKAGE__] = ACTIONS(1855),
    [anon_sym___SUB__] = ACTIONS(1855),
    [anon_sym_break] = ACTIONS(1855),
    [anon_sym_fork] = ACTIONS(1855),
    [anon_sym_getppid] = ACTIONS(1855),
    [anon_sym_time] = ACTIONS(1855),
    [anon_sym_times] = ACTIONS(1855),
    [anon_sym_wait] = ACTIONS(1855),
    [anon_sym_wantarray] = ACTIONS(1855),
    [anon_sym_abs] = ACTIONS(1855),
    [anon_sym_alarm] = ACTIONS(1855),
    [anon_sym_chop] = ACTIONS(1855),
    [anon_sym_chdir] = ACTIONS(1855),
    [anon_sym_close] = ACTIONS(1855),
    [anon_sym_closedir] = ACTIONS(1855),
    [anon_sym_caller] = ACTIONS(1855),
    [anon_sym_chomp] = ACTIONS(1855),
    [anon_sym_chr] = ACTIONS(1855),
    [anon_sym_cos] = ACTIONS(1855),
    [anon_sym_chroot] = ACTIONS(1855),
    [anon_sym_defined] = ACTIONS(1855),
    [anon_sym_delete] = ACTIONS(1855),
    [anon_sym_dbmclose] = ACTIONS(1855),
    [anon_sym_exists] = ACTIONS(1855),
    [anon_sym_exit] = ACTIONS(1855),
    [anon_sym_eof] = ACTIONS(1855),
    [anon_sym_exp] = ACTIONS(1855),
    [anon_sym_each] = ACTIONS(1855),
    [anon_sym_fc] = ACTIONS(1855),
    [anon_sym_fileno] = ACTIONS(1855),
    [anon_sym_gmtime] = ACTIONS(1855),
    [anon_sym_getc] = ACTIONS(1855),
    [anon_sym_getpgrp] = ACTIONS(1855),
    [anon_sym_getprotobyname] = ACTIONS(1855),
    [anon_sym_getpwname] = ACTIONS(1855),
    [anon_sym_getpwuid] = ACTIONS(1855),
    [anon_sym_getpeername] = ACTIONS(1855),
    [anon_sym_getnetbyname] = ACTIONS(1855),
    [anon_sym_getsockname] = ACTIONS(1855),
    [anon_sym_getgrnam] = ACTIONS(1855),
    [anon_sym_getgrgid] = ACTIONS(1855),
    [anon_sym_hex] = ACTIONS(1855),
    [anon_sym_int] = ACTIONS(1855),
    [anon_sym_keys] = ACTIONS(1855),
    [anon_sym_lc] = ACTIONS(1855),
    [anon_sym_lcfirst] = ACTIONS(1855),
    [anon_sym_length] = ACTIONS(1855),
    [anon_sym_localtime] = ACTIONS(1855),
    [anon_sym_log] = ACTIONS(1855),
    [anon_sym_lock] = ACTIONS(1855),
    [anon_sym_lstat] = ACTIONS(1855),
    [anon_sym_oct] = ACTIONS(1855),
    [anon_sym_ord] = ACTIONS(1855),
    [anon_sym_prototype] = ACTIONS(1855),
    [anon_sym_pop] = ACTIONS(1855),
    [anon_sym_pos] = ACTIONS(1855),
    [anon_sym_quotemeta] = ACTIONS(1855),
    [anon_sym_reset] = ACTIONS(1855),
    [anon_sym_rand] = ACTIONS(1855),
    [anon_sym_rmdir] = ACTIONS(1855),
    [anon_sym_readdir] = ACTIONS(1855),
    [anon_sym_readline] = ACTIONS(1855),
    [anon_sym_readpipe] = ACTIONS(1855),
    [anon_sym_rewinddir] = ACTIONS(1855),
    [anon_sym_readlink] = ACTIONS(1855),
    [anon_sym_ref] = ACTIONS(1855),
    [anon_sym_scalar] = ACTIONS(1855),
    [anon_sym_shift] = ACTIONS(1855),
    [anon_sym_sin] = ACTIONS(1855),
    [anon_sym_sleep] = ACTIONS(1855),
    [anon_sym_sqrt] = ACTIONS(1855),
    [anon_sym_srand] = ACTIONS(1855),
    [anon_sym_stat] = ACTIONS(1855),
    [anon_sym_study] = ACTIONS(1855),
    [anon_sym_tell] = ACTIONS(1855),
    [anon_sym_telldir] = ACTIONS(1855),
    [anon_sym_tied] = ACTIONS(1855),
    [anon_sym_uc] = ACTIONS(1855),
    [anon_sym_ucfirst] = ACTIONS(1855),
    [anon_sym_untie] = ACTIONS(1855),
    [anon_sym_umask] = ACTIONS(1855),
    [anon_sym_values] = ACTIONS(1855),
    [anon_sym_write] = ACTIONS(1855),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1855),
    [anon_sym_qq] = ACTIONS(1855),
    [anon_sym_qw] = ACTIONS(1855),
    [anon_sym_qx] = ACTIONS(1855),
    [anon_sym_qr] = ACTIONS(1855),
    [anon_sym_m] = ACTIONS(1855),
    [anon_sym_s] = ACTIONS(1855),
    [anon_sym_tr] = ACTIONS(1855),
    [anon_sym_y] = ACTIONS(1855),
    [aux_sym__bareword_token1] = ACTIONS(1855),
    [sym_number] = ACTIONS(1855),
    [anon_sym_true] = ACTIONS(1855),
    [anon_sym_false] = ACTIONS(1855),
    [sym__single_quote] = ACTIONS(1857),
    [sym__double_quote] = ACTIONS(1857),
    [sym__backtick_quote] = ACTIONS(1857),
    [sym__search_slash_quote] = ACTIONS(1857),
    [sym__open_readline_bracket] = ACTIONS(1857),
    [sym__open_fileglob_bracket] = ACTIONS(1857),
    [sym__PERLY_HEREDOC] = ACTIONS(1857),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1857),
    [sym__filetest] = ACTIONS(1857),
  },
  [813] = {
    [sym_heredoc_content] = STATE(813),
    [sym__identifier] = ACTIONS(1834),
    [anon_sym_LBRACE] = ACTIONS(1834),
    [anon_sym_RBRACE] = ACTIONS(1834),
    [anon_sym_DOLLAR] = ACTIONS(1834),
    [anon_sym_EQ] = ACTIONS(1834),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1834),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1834),
    [anon_sym_AT] = ACTIONS(1834),
    [anon_sym_COMMA] = ACTIONS(1834),
    [anon_sym_RPAREN] = ACTIONS(1834),
    [anon_sym_my] = ACTIONS(1834),
    [anon_sym_extended] = ACTIONS(1834),
    [anon_sym_async] = ACTIONS(1834),
    [anon_sym_sub] = ACTIONS(1834),
    [anon_sym_method] = ACTIONS(1834),
    [anon_sym_LPAREN] = ACTIONS(1834),
    [anon_sym_continue] = ACTIONS(1834),
    [anon_sym_state] = ACTIONS(1834),
    [anon_sym_our] = ACTIONS(1834),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1834),
    [anon_sym_and] = ACTIONS(1834),
    [anon_sym_or] = ACTIONS(1834),
    [anon_sym_xor] = ACTIONS(1834),
    [anon_sym_LBRACK] = ACTIONS(1834),
    [anon_sym_RBRACK] = ACTIONS(1834),
    [anon_sym_DASH_GT] = ACTIONS(1834),
    [anon_sym_PERCENT] = ACTIONS(1834),
    [anon_sym_GT] = ACTIONS(1834),
    [anon_sym_LT_LT] = ACTIONS(1834),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1834),
    [anon_sym_PLUS_EQ] = ACTIONS(1834),
    [anon_sym_DASH_EQ] = ACTIONS(1834),
    [anon_sym_DOT_EQ] = ACTIONS(1834),
    [anon_sym_STAR_EQ] = ACTIONS(1834),
    [anon_sym_SLASH_EQ] = ACTIONS(1834),
    [anon_sym_PERCENT_EQ] = ACTIONS(1834),
    [anon_sym_x_EQ] = ACTIONS(1834),
    [anon_sym_AMP_EQ] = ACTIONS(1834),
    [anon_sym_PIPE_EQ] = ACTIONS(1834),
    [anon_sym_CARET_EQ] = ACTIONS(1834),
    [anon_sym_LT_LT_EQ] = ACTIONS(1834),
    [anon_sym_GT_GT_EQ] = ACTIONS(1834),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1834),
    [anon_sym_DOT_DOT] = ACTIONS(1834),
    [anon_sym_STAR_STAR] = ACTIONS(1834),
    [anon_sym_PIPE_PIPE] = ACTIONS(1834),
    [anon_sym_SLASH_SLASH] = ACTIONS(1834),
    [anon_sym_CARET_CARET] = ACTIONS(1834),
    [anon_sym_AMP_AMP] = ACTIONS(1834),
    [anon_sym_PIPE] = ACTIONS(1834),
    [anon_sym_CARET] = ACTIONS(1834),
    [anon_sym_AMP] = ACTIONS(1834),
    [anon_sym_GT_GT2] = ACTIONS(1834),
    [anon_sym_PLUS] = ACTIONS(1834),
    [anon_sym_DASH] = ACTIONS(1834),
    [anon_sym_DOT] = ACTIONS(1834),
    [anon_sym_STAR] = ACTIONS(1834),
    [anon_sym_SLASH] = ACTIONS(1834),
    [anon_sym_x] = ACTIONS(1834),
    [anon_sym_EQ_TILDE] = ACTIONS(1834),
    [anon_sym_BANG_TILDE] = ACTIONS(1834),
    [anon_sym_EQ_EQ] = ACTIONS(1834),
    [anon_sym_BANG_EQ] = ACTIONS(1834),
    [anon_sym_eq] = ACTIONS(1834),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1834),
    [anon_sym_equ] = ACTIONS(1834),
    [anon_sym_eqr] = ACTIONS(1834),
    [anon_sym_ne] = ACTIONS(1834),
    [anon_sym_LT_EQ_GT] = ACTIONS(1834),
    [anon_sym_cmp] = ACTIONS(1834),
    [anon_sym_TILDE_TILDE] = ACTIONS(1834),
    [anon_sym_LT] = ACTIONS(1834),
    [anon_sym_LT_EQ] = ACTIONS(1834),
    [anon_sym_GT_EQ] = ACTIONS(1834),
    [anon_sym_lt] = ACTIONS(1834),
    [anon_sym_le] = ACTIONS(1834),
    [anon_sym_ge] = ACTIONS(1834),
    [anon_sym_gt] = ACTIONS(1834),
    [anon_sym_isa] = ACTIONS(1834),
    [anon_sym_TILDE] = ACTIONS(1834),
    [anon_sym_BANG] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1834),
    [anon_sym_DASH_DASH] = ACTIONS(1834),
    [anon_sym_QMARK] = ACTIONS(1834),
    [anon_sym_BSLASH] = ACTIONS(1836),
    [anon_sym_do] = ACTIONS(1834),
    [anon_sym_eval] = ACTIONS(1834),
    [anon_sym_await] = ACTIONS(1834),
    [anon_sym_field] = ACTIONS(1834),
    [anon_sym_local] = ACTIONS(1834),
    [anon_sym_dynamically] = ACTIONS(1834),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1834),
    [anon_sym_require] = ACTIONS(1834),
    [anon_sym_map] = ACTIONS(1834),
    [anon_sym_grep] = ACTIONS(1834),
    [anon_sym_sort] = ACTIONS(1834),
    [anon_sym_goto] = ACTIONS(1834),
    [anon_sym_return] = ACTIONS(1834),
    [anon_sym_undef] = ACTIONS(1834),
    [anon_sym_PERCENT2] = ACTIONS(1834),
    [anon_sym_AMP2] = ACTIONS(1834),
    [anon_sym_STAR2] = ACTIONS(1834),
    [anon_sym_EQ_GT] = ACTIONS(1834),
    [anon_sym_last] = ACTIONS(1834),
    [anon_sym_next] = ACTIONS(1834),
    [anon_sym_redo] = ACTIONS(1834),
    [anon_sym___FILE__] = ACTIONS(1834),
    [anon_sym___LINE__] = ACTIONS(1834),
    [anon_sym___PACKAGE__] = ACTIONS(1834),
    [anon_sym___SUB__] = ACTIONS(1834),
    [anon_sym_break] = ACTIONS(1834),
    [anon_sym_fork] = ACTIONS(1834),
    [anon_sym_getppid] = ACTIONS(1834),
    [anon_sym_time] = ACTIONS(1834),
    [anon_sym_times] = ACTIONS(1834),
    [anon_sym_wait] = ACTIONS(1834),
    [anon_sym_wantarray] = ACTIONS(1834),
    [anon_sym_abs] = ACTIONS(1834),
    [anon_sym_alarm] = ACTIONS(1834),
    [anon_sym_chop] = ACTIONS(1834),
    [anon_sym_chdir] = ACTIONS(1834),
    [anon_sym_close] = ACTIONS(1834),
    [anon_sym_closedir] = ACTIONS(1834),
    [anon_sym_caller] = ACTIONS(1834),
    [anon_sym_chomp] = ACTIONS(1834),
    [anon_sym_chr] = ACTIONS(1834),
    [anon_sym_cos] = ACTIONS(1834),
    [anon_sym_chroot] = ACTIONS(1834),
    [anon_sym_defined] = ACTIONS(1834),
    [anon_sym_delete] = ACTIONS(1834),
    [anon_sym_dbmclose] = ACTIONS(1834),
    [anon_sym_exists] = ACTIONS(1834),
    [anon_sym_exit] = ACTIONS(1834),
    [anon_sym_eof] = ACTIONS(1834),
    [anon_sym_exp] = ACTIONS(1834),
    [anon_sym_each] = ACTIONS(1834),
    [anon_sym_fc] = ACTIONS(1834),
    [anon_sym_fileno] = ACTIONS(1834),
    [anon_sym_gmtime] = ACTIONS(1834),
    [anon_sym_getc] = ACTIONS(1834),
    [anon_sym_getpgrp] = ACTIONS(1834),
    [anon_sym_getprotobyname] = ACTIONS(1834),
    [anon_sym_getpwname] = ACTIONS(1834),
    [anon_sym_getpwuid] = ACTIONS(1834),
    [anon_sym_getpeername] = ACTIONS(1834),
    [anon_sym_getnetbyname] = ACTIONS(1834),
    [anon_sym_getsockname] = ACTIONS(1834),
    [anon_sym_getgrnam] = ACTIONS(1834),
    [anon_sym_getgrgid] = ACTIONS(1834),
    [anon_sym_hex] = ACTIONS(1834),
    [anon_sym_int] = ACTIONS(1834),
    [anon_sym_keys] = ACTIONS(1834),
    [anon_sym_lc] = ACTIONS(1834),
    [anon_sym_lcfirst] = ACTIONS(1834),
    [anon_sym_length] = ACTIONS(1834),
    [anon_sym_localtime] = ACTIONS(1834),
    [anon_sym_log] = ACTIONS(1834),
    [anon_sym_lock] = ACTIONS(1834),
    [anon_sym_lstat] = ACTIONS(1834),
    [anon_sym_oct] = ACTIONS(1834),
    [anon_sym_ord] = ACTIONS(1834),
    [anon_sym_prototype] = ACTIONS(1834),
    [anon_sym_pop] = ACTIONS(1834),
    [anon_sym_pos] = ACTIONS(1834),
    [anon_sym_quotemeta] = ACTIONS(1834),
    [anon_sym_reset] = ACTIONS(1834),
    [anon_sym_rand] = ACTIONS(1834),
    [anon_sym_rmdir] = ACTIONS(1834),
    [anon_sym_readdir] = ACTIONS(1834),
    [anon_sym_readline] = ACTIONS(1834),
    [anon_sym_readpipe] = ACTIONS(1834),
    [anon_sym_rewinddir] = ACTIONS(1834),
    [anon_sym_readlink] = ACTIONS(1834),
    [anon_sym_ref] = ACTIONS(1834),
    [anon_sym_scalar] = ACTIONS(1834),
    [anon_sym_shift] = ACTIONS(1834),
    [anon_sym_sin] = ACTIONS(1834),
    [anon_sym_sleep] = ACTIONS(1834),
    [anon_sym_sqrt] = ACTIONS(1834),
    [anon_sym_srand] = ACTIONS(1834),
    [anon_sym_stat] = ACTIONS(1834),
    [anon_sym_study] = ACTIONS(1834),
    [anon_sym_tell] = ACTIONS(1834),
    [anon_sym_telldir] = ACTIONS(1834),
    [anon_sym_tied] = ACTIONS(1834),
    [anon_sym_uc] = ACTIONS(1834),
    [anon_sym_ucfirst] = ACTIONS(1834),
    [anon_sym_untie] = ACTIONS(1834),
    [anon_sym_umask] = ACTIONS(1834),
    [anon_sym_values] = ACTIONS(1834),
    [anon_sym_write] = ACTIONS(1834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1834),
    [anon_sym_qq] = ACTIONS(1834),
    [anon_sym_qw] = ACTIONS(1834),
    [anon_sym_qx] = ACTIONS(1834),
    [anon_sym_qr] = ACTIONS(1834),
    [anon_sym_m] = ACTIONS(1834),
    [anon_sym_s] = ACTIONS(1834),
    [anon_sym_tr] = ACTIONS(1834),
    [anon_sym_y] = ACTIONS(1834),
    [aux_sym__bareword_token1] = ACTIONS(1834),
    [sym_number] = ACTIONS(1834),
    [anon_sym_true] = ACTIONS(1834),
    [anon_sym_false] = ACTIONS(1834),
    [sym__single_quote] = ACTIONS(1836),
    [sym__double_quote] = ACTIONS(1836),
    [sym__backtick_quote] = ACTIONS(1836),
    [sym__search_slash_quote] = ACTIONS(1836),
    [sym__open_readline_bracket] = ACTIONS(1836),
    [sym__open_fileglob_bracket] = ACTIONS(1836),
    [sym__PERLY_HEREDOC] = ACTIONS(1836),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1836),
    [sym__filetest] = ACTIONS(1836),
  },
  [814] = {
    [sym_heredoc_content] = STATE(814),
    [sym__identifier] = ACTIONS(1661),
    [anon_sym_LBRACE] = ACTIONS(1661),
    [anon_sym_RBRACE] = ACTIONS(1663),
    [anon_sym_DOLLAR] = ACTIONS(1661),
    [anon_sym_EQ] = ACTIONS(1663),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1663),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1663),
    [anon_sym_AT] = ACTIONS(1661),
    [anon_sym_COMMA] = ACTIONS(1663),
    [anon_sym_RPAREN] = ACTIONS(1663),
    [anon_sym_my] = ACTIONS(1661),
    [anon_sym_extended] = ACTIONS(1661),
    [anon_sym_async] = ACTIONS(1661),
    [anon_sym_sub] = ACTIONS(1661),
    [anon_sym_method] = ACTIONS(1661),
    [anon_sym_LPAREN] = ACTIONS(1661),
    [anon_sym_continue] = ACTIONS(1661),
    [anon_sym_state] = ACTIONS(1661),
    [anon_sym_our] = ACTIONS(1661),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1663),
    [anon_sym_and] = ACTIONS(1663),
    [anon_sym_or] = ACTIONS(1663),
    [anon_sym_xor] = ACTIONS(1663),
    [anon_sym_LBRACK] = ACTIONS(1661),
    [anon_sym_RBRACK] = ACTIONS(1663),
    [anon_sym_DASH_GT] = ACTIONS(1663),
    [anon_sym_PERCENT] = ACTIONS(1663),
    [anon_sym_GT] = ACTIONS(1663),
    [anon_sym_LT_LT] = ACTIONS(1663),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1663),
    [anon_sym_PLUS_EQ] = ACTIONS(1663),
    [anon_sym_DASH_EQ] = ACTIONS(1663),
    [anon_sym_DOT_EQ] = ACTIONS(1663),
    [anon_sym_STAR_EQ] = ACTIONS(1663),
    [anon_sym_SLASH_EQ] = ACTIONS(1663),
    [anon_sym_PERCENT_EQ] = ACTIONS(1663),
    [anon_sym_x_EQ] = ACTIONS(1663),
    [anon_sym_AMP_EQ] = ACTIONS(1663),
    [anon_sym_PIPE_EQ] = ACTIONS(1663),
    [anon_sym_CARET_EQ] = ACTIONS(1663),
    [anon_sym_LT_LT_EQ] = ACTIONS(1663),
    [anon_sym_GT_GT_EQ] = ACTIONS(1663),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1663),
    [anon_sym_DOT_DOT] = ACTIONS(1663),
    [anon_sym_STAR_STAR] = ACTIONS(1663),
    [anon_sym_PIPE_PIPE] = ACTIONS(1663),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_CARET_CARET] = ACTIONS(1663),
    [anon_sym_AMP_AMP] = ACTIONS(1663),
    [anon_sym_PIPE] = ACTIONS(1663),
    [anon_sym_CARET] = ACTIONS(1663),
    [anon_sym_AMP] = ACTIONS(1663),
    [anon_sym_GT_GT2] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(1663),
    [anon_sym_DASH] = ACTIONS(1663),
    [anon_sym_DOT] = ACTIONS(1663),
    [anon_sym_STAR] = ACTIONS(1663),
    [anon_sym_SLASH] = ACTIONS(1663),
    [anon_sym_x] = ACTIONS(1663),
    [anon_sym_EQ_TILDE] = ACTIONS(1663),
    [anon_sym_BANG_TILDE] = ACTIONS(1663),
    [anon_sym_EQ_EQ] = ACTIONS(1663),
    [anon_sym_BANG_EQ] = ACTIONS(1663),
    [anon_sym_eq] = ACTIONS(1663),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1663),
    [anon_sym_equ] = ACTIONS(1663),
    [anon_sym_eqr] = ACTIONS(1663),
    [anon_sym_ne] = ACTIONS(1663),
    [anon_sym_LT_EQ_GT] = ACTIONS(1663),
    [anon_sym_cmp] = ACTIONS(1663),
    [anon_sym_TILDE_TILDE] = ACTIONS(1663),
    [anon_sym_LT] = ACTIONS(1663),
    [anon_sym_LT_EQ] = ACTIONS(1663),
    [anon_sym_GT_EQ] = ACTIONS(1663),
    [anon_sym_lt] = ACTIONS(1663),
    [anon_sym_le] = ACTIONS(1663),
    [anon_sym_ge] = ACTIONS(1663),
    [anon_sym_gt] = ACTIONS(1663),
    [anon_sym_isa] = ACTIONS(1663),
    [anon_sym_TILDE] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1661),
    [anon_sym_PLUS_PLUS] = ACTIONS(1663),
    [anon_sym_DASH_DASH] = ACTIONS(1663),
    [anon_sym_QMARK] = ACTIONS(1663),
    [anon_sym_BSLASH] = ACTIONS(1659),
    [anon_sym_do] = ACTIONS(1661),
    [anon_sym_eval] = ACTIONS(1661),
    [anon_sym_await] = ACTIONS(1661),
    [anon_sym_field] = ACTIONS(1661),
    [anon_sym_local] = ACTIONS(1661),
    [anon_sym_dynamically] = ACTIONS(1661),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1661),
    [anon_sym_require] = ACTIONS(1661),
    [anon_sym_map] = ACTIONS(1661),
    [anon_sym_grep] = ACTIONS(1661),
    [anon_sym_sort] = ACTIONS(1661),
    [anon_sym_goto] = ACTIONS(1661),
    [anon_sym_return] = ACTIONS(1661),
    [anon_sym_undef] = ACTIONS(1661),
    [anon_sym_PERCENT2] = ACTIONS(1661),
    [anon_sym_AMP2] = ACTIONS(1661),
    [anon_sym_STAR2] = ACTIONS(1661),
    [anon_sym_EQ_GT] = ACTIONS(1663),
    [anon_sym_last] = ACTIONS(1661),
    [anon_sym_next] = ACTIONS(1661),
    [anon_sym_redo] = ACTIONS(1661),
    [anon_sym___FILE__] = ACTIONS(1661),
    [anon_sym___LINE__] = ACTIONS(1661),
    [anon_sym___PACKAGE__] = ACTIONS(1661),
    [anon_sym___SUB__] = ACTIONS(1661),
    [anon_sym_break] = ACTIONS(1661),
    [anon_sym_fork] = ACTIONS(1661),
    [anon_sym_getppid] = ACTIONS(1661),
    [anon_sym_time] = ACTIONS(1661),
    [anon_sym_times] = ACTIONS(1661),
    [anon_sym_wait] = ACTIONS(1661),
    [anon_sym_wantarray] = ACTIONS(1661),
    [anon_sym_abs] = ACTIONS(1661),
    [anon_sym_alarm] = ACTIONS(1661),
    [anon_sym_chop] = ACTIONS(1661),
    [anon_sym_chdir] = ACTIONS(1661),
    [anon_sym_close] = ACTIONS(1661),
    [anon_sym_closedir] = ACTIONS(1661),
    [anon_sym_caller] = ACTIONS(1661),
    [anon_sym_chomp] = ACTIONS(1661),
    [anon_sym_chr] = ACTIONS(1661),
    [anon_sym_cos] = ACTIONS(1661),
    [anon_sym_chroot] = ACTIONS(1661),
    [anon_sym_defined] = ACTIONS(1661),
    [anon_sym_delete] = ACTIONS(1661),
    [anon_sym_dbmclose] = ACTIONS(1661),
    [anon_sym_exists] = ACTIONS(1661),
    [anon_sym_exit] = ACTIONS(1661),
    [anon_sym_eof] = ACTIONS(1661),
    [anon_sym_exp] = ACTIONS(1661),
    [anon_sym_each] = ACTIONS(1661),
    [anon_sym_fc] = ACTIONS(1661),
    [anon_sym_fileno] = ACTIONS(1661),
    [anon_sym_gmtime] = ACTIONS(1661),
    [anon_sym_getc] = ACTIONS(1661),
    [anon_sym_getpgrp] = ACTIONS(1661),
    [anon_sym_getprotobyname] = ACTIONS(1661),
    [anon_sym_getpwname] = ACTIONS(1661),
    [anon_sym_getpwuid] = ACTIONS(1661),
    [anon_sym_getpeername] = ACTIONS(1661),
    [anon_sym_getnetbyname] = ACTIONS(1661),
    [anon_sym_getsockname] = ACTIONS(1661),
    [anon_sym_getgrnam] = ACTIONS(1661),
    [anon_sym_getgrgid] = ACTIONS(1661),
    [anon_sym_hex] = ACTIONS(1661),
    [anon_sym_int] = ACTIONS(1661),
    [anon_sym_keys] = ACTIONS(1661),
    [anon_sym_lc] = ACTIONS(1661),
    [anon_sym_lcfirst] = ACTIONS(1661),
    [anon_sym_length] = ACTIONS(1661),
    [anon_sym_localtime] = ACTIONS(1661),
    [anon_sym_log] = ACTIONS(1661),
    [anon_sym_lock] = ACTIONS(1661),
    [anon_sym_lstat] = ACTIONS(1661),
    [anon_sym_oct] = ACTIONS(1661),
    [anon_sym_ord] = ACTIONS(1661),
    [anon_sym_prototype] = ACTIONS(1661),
    [anon_sym_pop] = ACTIONS(1661),
    [anon_sym_pos] = ACTIONS(1661),
    [anon_sym_quotemeta] = ACTIONS(1661),
    [anon_sym_reset] = ACTIONS(1661),
    [anon_sym_rand] = ACTIONS(1661),
    [anon_sym_rmdir] = ACTIONS(1661),
    [anon_sym_readdir] = ACTIONS(1661),
    [anon_sym_readline] = ACTIONS(1661),
    [anon_sym_readpipe] = ACTIONS(1661),
    [anon_sym_rewinddir] = ACTIONS(1661),
    [anon_sym_readlink] = ACTIONS(1661),
    [anon_sym_ref] = ACTIONS(1661),
    [anon_sym_scalar] = ACTIONS(1661),
    [anon_sym_shift] = ACTIONS(1661),
    [anon_sym_sin] = ACTIONS(1661),
    [anon_sym_sleep] = ACTIONS(1661),
    [anon_sym_sqrt] = ACTIONS(1661),
    [anon_sym_srand] = ACTIONS(1661),
    [anon_sym_stat] = ACTIONS(1661),
    [anon_sym_study] = ACTIONS(1661),
    [anon_sym_tell] = ACTIONS(1661),
    [anon_sym_telldir] = ACTIONS(1661),
    [anon_sym_tied] = ACTIONS(1661),
    [anon_sym_uc] = ACTIONS(1661),
    [anon_sym_ucfirst] = ACTIONS(1661),
    [anon_sym_untie] = ACTIONS(1661),
    [anon_sym_umask] = ACTIONS(1661),
    [anon_sym_values] = ACTIONS(1661),
    [anon_sym_write] = ACTIONS(1661),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1661),
    [anon_sym_qq] = ACTIONS(1661),
    [anon_sym_qw] = ACTIONS(1661),
    [anon_sym_qx] = ACTIONS(1661),
    [anon_sym_qr] = ACTIONS(1661),
    [anon_sym_m] = ACTIONS(1661),
    [anon_sym_s] = ACTIONS(1661),
    [anon_sym_tr] = ACTIONS(1661),
    [anon_sym_y] = ACTIONS(1661),
    [aux_sym__bareword_token1] = ACTIONS(1661),
    [sym_number] = ACTIONS(1661),
    [anon_sym_true] = ACTIONS(1661),
    [anon_sym_false] = ACTIONS(1661),
    [sym__single_quote] = ACTIONS(1659),
    [sym__double_quote] = ACTIONS(1659),
    [sym__backtick_quote] = ACTIONS(1659),
    [sym__search_slash_quote] = ACTIONS(1659),
    [sym__open_readline_bracket] = ACTIONS(1659),
    [sym__open_fileglob_bracket] = ACTIONS(1659),
    [sym__PERLY_HEREDOC] = ACTIONS(1659),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1659),
    [sym__filetest] = ACTIONS(1659),
  },
  [815] = {
    [sym_heredoc_content] = STATE(815),
    [sym__identifier] = ACTIONS(1863),
    [anon_sym_LBRACE] = ACTIONS(1863),
    [anon_sym_RBRACE] = ACTIONS(1863),
    [anon_sym_DOLLAR] = ACTIONS(1863),
    [anon_sym_EQ] = ACTIONS(1863),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1863),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1863),
    [anon_sym_AT] = ACTIONS(1863),
    [anon_sym_COMMA] = ACTIONS(1863),
    [anon_sym_RPAREN] = ACTIONS(1863),
    [anon_sym_my] = ACTIONS(1863),
    [anon_sym_extended] = ACTIONS(1863),
    [anon_sym_async] = ACTIONS(1863),
    [anon_sym_sub] = ACTIONS(1863),
    [anon_sym_method] = ACTIONS(1863),
    [anon_sym_LPAREN] = ACTIONS(1863),
    [anon_sym_continue] = ACTIONS(1863),
    [anon_sym_state] = ACTIONS(1863),
    [anon_sym_our] = ACTIONS(1863),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1863),
    [anon_sym_and] = ACTIONS(1863),
    [anon_sym_or] = ACTIONS(1863),
    [anon_sym_xor] = ACTIONS(1863),
    [anon_sym_LBRACK] = ACTIONS(1863),
    [anon_sym_RBRACK] = ACTIONS(1863),
    [anon_sym_DASH_GT] = ACTIONS(1863),
    [anon_sym_PERCENT] = ACTIONS(1863),
    [anon_sym_GT] = ACTIONS(1863),
    [anon_sym_LT_LT] = ACTIONS(1863),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1863),
    [anon_sym_PLUS_EQ] = ACTIONS(1863),
    [anon_sym_DASH_EQ] = ACTIONS(1863),
    [anon_sym_DOT_EQ] = ACTIONS(1863),
    [anon_sym_STAR_EQ] = ACTIONS(1863),
    [anon_sym_SLASH_EQ] = ACTIONS(1863),
    [anon_sym_PERCENT_EQ] = ACTIONS(1863),
    [anon_sym_x_EQ] = ACTIONS(1863),
    [anon_sym_AMP_EQ] = ACTIONS(1863),
    [anon_sym_PIPE_EQ] = ACTIONS(1863),
    [anon_sym_CARET_EQ] = ACTIONS(1863),
    [anon_sym_LT_LT_EQ] = ACTIONS(1863),
    [anon_sym_GT_GT_EQ] = ACTIONS(1863),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1863),
    [anon_sym_DOT_DOT] = ACTIONS(1863),
    [anon_sym_STAR_STAR] = ACTIONS(1863),
    [anon_sym_PIPE_PIPE] = ACTIONS(1863),
    [anon_sym_SLASH_SLASH] = ACTIONS(1863),
    [anon_sym_CARET_CARET] = ACTIONS(1863),
    [anon_sym_AMP_AMP] = ACTIONS(1863),
    [anon_sym_PIPE] = ACTIONS(1863),
    [anon_sym_CARET] = ACTIONS(1863),
    [anon_sym_AMP] = ACTIONS(1863),
    [anon_sym_GT_GT2] = ACTIONS(1863),
    [anon_sym_PLUS] = ACTIONS(1863),
    [anon_sym_DASH] = ACTIONS(1863),
    [anon_sym_DOT] = ACTIONS(1863),
    [anon_sym_STAR] = ACTIONS(1863),
    [anon_sym_SLASH] = ACTIONS(1863),
    [anon_sym_x] = ACTIONS(1863),
    [anon_sym_EQ_TILDE] = ACTIONS(1863),
    [anon_sym_BANG_TILDE] = ACTIONS(1863),
    [anon_sym_EQ_EQ] = ACTIONS(1863),
    [anon_sym_BANG_EQ] = ACTIONS(1863),
    [anon_sym_eq] = ACTIONS(1863),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1863),
    [anon_sym_equ] = ACTIONS(1863),
    [anon_sym_eqr] = ACTIONS(1863),
    [anon_sym_ne] = ACTIONS(1863),
    [anon_sym_LT_EQ_GT] = ACTIONS(1863),
    [anon_sym_cmp] = ACTIONS(1863),
    [anon_sym_TILDE_TILDE] = ACTIONS(1863),
    [anon_sym_LT] = ACTIONS(1863),
    [anon_sym_LT_EQ] = ACTIONS(1863),
    [anon_sym_GT_EQ] = ACTIONS(1863),
    [anon_sym_lt] = ACTIONS(1863),
    [anon_sym_le] = ACTIONS(1863),
    [anon_sym_ge] = ACTIONS(1863),
    [anon_sym_gt] = ACTIONS(1863),
    [anon_sym_isa] = ACTIONS(1863),
    [anon_sym_TILDE] = ACTIONS(1863),
    [anon_sym_BANG] = ACTIONS(1863),
    [anon_sym_PLUS_PLUS] = ACTIONS(1863),
    [anon_sym_DASH_DASH] = ACTIONS(1863),
    [anon_sym_QMARK] = ACTIONS(1863),
    [anon_sym_BSLASH] = ACTIONS(1865),
    [anon_sym_do] = ACTIONS(1863),
    [anon_sym_eval] = ACTIONS(1863),
    [anon_sym_await] = ACTIONS(1863),
    [anon_sym_field] = ACTIONS(1863),
    [anon_sym_local] = ACTIONS(1863),
    [anon_sym_dynamically] = ACTIONS(1863),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1863),
    [anon_sym_require] = ACTIONS(1863),
    [anon_sym_map] = ACTIONS(1863),
    [anon_sym_grep] = ACTIONS(1863),
    [anon_sym_sort] = ACTIONS(1863),
    [anon_sym_goto] = ACTIONS(1863),
    [anon_sym_return] = ACTIONS(1863),
    [anon_sym_undef] = ACTIONS(1863),
    [anon_sym_PERCENT2] = ACTIONS(1863),
    [anon_sym_AMP2] = ACTIONS(1863),
    [anon_sym_STAR2] = ACTIONS(1863),
    [anon_sym_EQ_GT] = ACTIONS(1863),
    [anon_sym_last] = ACTIONS(1863),
    [anon_sym_next] = ACTIONS(1863),
    [anon_sym_redo] = ACTIONS(1863),
    [anon_sym___FILE__] = ACTIONS(1863),
    [anon_sym___LINE__] = ACTIONS(1863),
    [anon_sym___PACKAGE__] = ACTIONS(1863),
    [anon_sym___SUB__] = ACTIONS(1863),
    [anon_sym_break] = ACTIONS(1863),
    [anon_sym_fork] = ACTIONS(1863),
    [anon_sym_getppid] = ACTIONS(1863),
    [anon_sym_time] = ACTIONS(1863),
    [anon_sym_times] = ACTIONS(1863),
    [anon_sym_wait] = ACTIONS(1863),
    [anon_sym_wantarray] = ACTIONS(1863),
    [anon_sym_abs] = ACTIONS(1863),
    [anon_sym_alarm] = ACTIONS(1863),
    [anon_sym_chop] = ACTIONS(1863),
    [anon_sym_chdir] = ACTIONS(1863),
    [anon_sym_close] = ACTIONS(1863),
    [anon_sym_closedir] = ACTIONS(1863),
    [anon_sym_caller] = ACTIONS(1863),
    [anon_sym_chomp] = ACTIONS(1863),
    [anon_sym_chr] = ACTIONS(1863),
    [anon_sym_cos] = ACTIONS(1863),
    [anon_sym_chroot] = ACTIONS(1863),
    [anon_sym_defined] = ACTIONS(1863),
    [anon_sym_delete] = ACTIONS(1863),
    [anon_sym_dbmclose] = ACTIONS(1863),
    [anon_sym_exists] = ACTIONS(1863),
    [anon_sym_exit] = ACTIONS(1863),
    [anon_sym_eof] = ACTIONS(1863),
    [anon_sym_exp] = ACTIONS(1863),
    [anon_sym_each] = ACTIONS(1863),
    [anon_sym_fc] = ACTIONS(1863),
    [anon_sym_fileno] = ACTIONS(1863),
    [anon_sym_gmtime] = ACTIONS(1863),
    [anon_sym_getc] = ACTIONS(1863),
    [anon_sym_getpgrp] = ACTIONS(1863),
    [anon_sym_getprotobyname] = ACTIONS(1863),
    [anon_sym_getpwname] = ACTIONS(1863),
    [anon_sym_getpwuid] = ACTIONS(1863),
    [anon_sym_getpeername] = ACTIONS(1863),
    [anon_sym_getnetbyname] = ACTIONS(1863),
    [anon_sym_getsockname] = ACTIONS(1863),
    [anon_sym_getgrnam] = ACTIONS(1863),
    [anon_sym_getgrgid] = ACTIONS(1863),
    [anon_sym_hex] = ACTIONS(1863),
    [anon_sym_int] = ACTIONS(1863),
    [anon_sym_keys] = ACTIONS(1863),
    [anon_sym_lc] = ACTIONS(1863),
    [anon_sym_lcfirst] = ACTIONS(1863),
    [anon_sym_length] = ACTIONS(1863),
    [anon_sym_localtime] = ACTIONS(1863),
    [anon_sym_log] = ACTIONS(1863),
    [anon_sym_lock] = ACTIONS(1863),
    [anon_sym_lstat] = ACTIONS(1863),
    [anon_sym_oct] = ACTIONS(1863),
    [anon_sym_ord] = ACTIONS(1863),
    [anon_sym_prototype] = ACTIONS(1863),
    [anon_sym_pop] = ACTIONS(1863),
    [anon_sym_pos] = ACTIONS(1863),
    [anon_sym_quotemeta] = ACTIONS(1863),
    [anon_sym_reset] = ACTIONS(1863),
    [anon_sym_rand] = ACTIONS(1863),
    [anon_sym_rmdir] = ACTIONS(1863),
    [anon_sym_readdir] = ACTIONS(1863),
    [anon_sym_readline] = ACTIONS(1863),
    [anon_sym_readpipe] = ACTIONS(1863),
    [anon_sym_rewinddir] = ACTIONS(1863),
    [anon_sym_readlink] = ACTIONS(1863),
    [anon_sym_ref] = ACTIONS(1863),
    [anon_sym_scalar] = ACTIONS(1863),
    [anon_sym_shift] = ACTIONS(1863),
    [anon_sym_sin] = ACTIONS(1863),
    [anon_sym_sleep] = ACTIONS(1863),
    [anon_sym_sqrt] = ACTIONS(1863),
    [anon_sym_srand] = ACTIONS(1863),
    [anon_sym_stat] = ACTIONS(1863),
    [anon_sym_study] = ACTIONS(1863),
    [anon_sym_tell] = ACTIONS(1863),
    [anon_sym_telldir] = ACTIONS(1863),
    [anon_sym_tied] = ACTIONS(1863),
    [anon_sym_uc] = ACTIONS(1863),
    [anon_sym_ucfirst] = ACTIONS(1863),
    [anon_sym_untie] = ACTIONS(1863),
    [anon_sym_umask] = ACTIONS(1863),
    [anon_sym_values] = ACTIONS(1863),
    [anon_sym_write] = ACTIONS(1863),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1863),
    [anon_sym_qq] = ACTIONS(1863),
    [anon_sym_qw] = ACTIONS(1863),
    [anon_sym_qx] = ACTIONS(1863),
    [anon_sym_qr] = ACTIONS(1863),
    [anon_sym_m] = ACTIONS(1863),
    [anon_sym_s] = ACTIONS(1863),
    [anon_sym_tr] = ACTIONS(1863),
    [anon_sym_y] = ACTIONS(1863),
    [aux_sym__bareword_token1] = ACTIONS(1863),
    [sym_number] = ACTIONS(1863),
    [anon_sym_true] = ACTIONS(1863),
    [anon_sym_false] = ACTIONS(1863),
    [sym__single_quote] = ACTIONS(1865),
    [sym__double_quote] = ACTIONS(1865),
    [sym__backtick_quote] = ACTIONS(1865),
    [sym__search_slash_quote] = ACTIONS(1865),
    [sym__open_readline_bracket] = ACTIONS(1865),
    [sym__open_fileglob_bracket] = ACTIONS(1865),
    [sym__PERLY_HEREDOC] = ACTIONS(1865),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1865),
    [sym__filetest] = ACTIONS(1865),
  },
  [816] = {
    [sym_heredoc_content] = STATE(816),
    [sym__identifier] = ACTIONS(1828),
    [anon_sym_LBRACE] = ACTIONS(1830),
    [anon_sym_RBRACE] = ACTIONS(1828),
    [anon_sym_DOLLAR] = ACTIONS(1828),
    [anon_sym_EQ] = ACTIONS(1828),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1828),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1828),
    [anon_sym_AT] = ACTIONS(1828),
    [anon_sym_COMMA] = ACTIONS(1828),
    [anon_sym_RPAREN] = ACTIONS(1828),
    [anon_sym_my] = ACTIONS(1828),
    [anon_sym_extended] = ACTIONS(1828),
    [anon_sym_async] = ACTIONS(1828),
    [anon_sym_sub] = ACTIONS(1828),
    [anon_sym_method] = ACTIONS(1828),
    [anon_sym_LPAREN] = ACTIONS(1828),
    [anon_sym_continue] = ACTIONS(1828),
    [anon_sym_state] = ACTIONS(1828),
    [anon_sym_our] = ACTIONS(1828),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1828),
    [anon_sym_and] = ACTIONS(1828),
    [anon_sym_or] = ACTIONS(1828),
    [anon_sym_xor] = ACTIONS(1828),
    [anon_sym_LBRACK] = ACTIONS(1830),
    [anon_sym_RBRACK] = ACTIONS(1828),
    [anon_sym_DASH_GT] = ACTIONS(1828),
    [anon_sym_PERCENT] = ACTIONS(1828),
    [anon_sym_GT] = ACTIONS(1828),
    [anon_sym_LT_LT] = ACTIONS(1828),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1828),
    [anon_sym_PLUS_EQ] = ACTIONS(1828),
    [anon_sym_DASH_EQ] = ACTIONS(1828),
    [anon_sym_DOT_EQ] = ACTIONS(1828),
    [anon_sym_STAR_EQ] = ACTIONS(1828),
    [anon_sym_SLASH_EQ] = ACTIONS(1828),
    [anon_sym_PERCENT_EQ] = ACTIONS(1828),
    [anon_sym_x_EQ] = ACTIONS(1828),
    [anon_sym_AMP_EQ] = ACTIONS(1828),
    [anon_sym_PIPE_EQ] = ACTIONS(1828),
    [anon_sym_CARET_EQ] = ACTIONS(1828),
    [anon_sym_LT_LT_EQ] = ACTIONS(1828),
    [anon_sym_GT_GT_EQ] = ACTIONS(1828),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1828),
    [anon_sym_DOT_DOT] = ACTIONS(1828),
    [anon_sym_STAR_STAR] = ACTIONS(1828),
    [anon_sym_PIPE_PIPE] = ACTIONS(1828),
    [anon_sym_SLASH_SLASH] = ACTIONS(1828),
    [anon_sym_CARET_CARET] = ACTIONS(1828),
    [anon_sym_AMP_AMP] = ACTIONS(1828),
    [anon_sym_PIPE] = ACTIONS(1828),
    [anon_sym_CARET] = ACTIONS(1828),
    [anon_sym_AMP] = ACTIONS(1828),
    [anon_sym_GT_GT2] = ACTIONS(1828),
    [anon_sym_PLUS] = ACTIONS(1828),
    [anon_sym_DASH] = ACTIONS(1828),
    [anon_sym_DOT] = ACTIONS(1828),
    [anon_sym_STAR] = ACTIONS(1828),
    [anon_sym_SLASH] = ACTIONS(1828),
    [anon_sym_x] = ACTIONS(1828),
    [anon_sym_EQ_TILDE] = ACTIONS(1828),
    [anon_sym_BANG_TILDE] = ACTIONS(1828),
    [anon_sym_EQ_EQ] = ACTIONS(1828),
    [anon_sym_BANG_EQ] = ACTIONS(1828),
    [anon_sym_eq] = ACTIONS(1828),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1828),
    [anon_sym_equ] = ACTIONS(1828),
    [anon_sym_eqr] = ACTIONS(1828),
    [anon_sym_ne] = ACTIONS(1828),
    [anon_sym_LT_EQ_GT] = ACTIONS(1828),
    [anon_sym_cmp] = ACTIONS(1828),
    [anon_sym_TILDE_TILDE] = ACTIONS(1828),
    [anon_sym_LT] = ACTIONS(1828),
    [anon_sym_LT_EQ] = ACTIONS(1828),
    [anon_sym_GT_EQ] = ACTIONS(1828),
    [anon_sym_lt] = ACTIONS(1828),
    [anon_sym_le] = ACTIONS(1828),
    [anon_sym_ge] = ACTIONS(1828),
    [anon_sym_gt] = ACTIONS(1828),
    [anon_sym_isa] = ACTIONS(1828),
    [anon_sym_TILDE] = ACTIONS(1828),
    [anon_sym_BANG] = ACTIONS(1828),
    [anon_sym_PLUS_PLUS] = ACTIONS(1828),
    [anon_sym_DASH_DASH] = ACTIONS(1828),
    [anon_sym_QMARK] = ACTIONS(1828),
    [anon_sym_BSLASH] = ACTIONS(1832),
    [anon_sym_do] = ACTIONS(1828),
    [anon_sym_eval] = ACTIONS(1828),
    [anon_sym_await] = ACTIONS(1828),
    [anon_sym_field] = ACTIONS(1828),
    [anon_sym_local] = ACTIONS(1828),
    [anon_sym_dynamically] = ACTIONS(1828),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1828),
    [anon_sym_require] = ACTIONS(1828),
    [anon_sym_map] = ACTIONS(1828),
    [anon_sym_grep] = ACTIONS(1828),
    [anon_sym_sort] = ACTIONS(1828),
    [anon_sym_goto] = ACTIONS(1828),
    [anon_sym_return] = ACTIONS(1828),
    [anon_sym_undef] = ACTIONS(1828),
    [anon_sym_PERCENT2] = ACTIONS(1828),
    [anon_sym_AMP2] = ACTIONS(1828),
    [anon_sym_STAR2] = ACTIONS(1828),
    [anon_sym_EQ_GT] = ACTIONS(1828),
    [anon_sym_last] = ACTIONS(1828),
    [anon_sym_next] = ACTIONS(1828),
    [anon_sym_redo] = ACTIONS(1828),
    [anon_sym___FILE__] = ACTIONS(1828),
    [anon_sym___LINE__] = ACTIONS(1828),
    [anon_sym___PACKAGE__] = ACTIONS(1828),
    [anon_sym___SUB__] = ACTIONS(1828),
    [anon_sym_break] = ACTIONS(1828),
    [anon_sym_fork] = ACTIONS(1828),
    [anon_sym_getppid] = ACTIONS(1828),
    [anon_sym_time] = ACTIONS(1828),
    [anon_sym_times] = ACTIONS(1828),
    [anon_sym_wait] = ACTIONS(1828),
    [anon_sym_wantarray] = ACTIONS(1828),
    [anon_sym_abs] = ACTIONS(1828),
    [anon_sym_alarm] = ACTIONS(1828),
    [anon_sym_chop] = ACTIONS(1828),
    [anon_sym_chdir] = ACTIONS(1828),
    [anon_sym_close] = ACTIONS(1828),
    [anon_sym_closedir] = ACTIONS(1828),
    [anon_sym_caller] = ACTIONS(1828),
    [anon_sym_chomp] = ACTIONS(1828),
    [anon_sym_chr] = ACTIONS(1828),
    [anon_sym_cos] = ACTIONS(1828),
    [anon_sym_chroot] = ACTIONS(1828),
    [anon_sym_defined] = ACTIONS(1828),
    [anon_sym_delete] = ACTIONS(1828),
    [anon_sym_dbmclose] = ACTIONS(1828),
    [anon_sym_exists] = ACTIONS(1828),
    [anon_sym_exit] = ACTIONS(1828),
    [anon_sym_eof] = ACTIONS(1828),
    [anon_sym_exp] = ACTIONS(1828),
    [anon_sym_each] = ACTIONS(1828),
    [anon_sym_fc] = ACTIONS(1828),
    [anon_sym_fileno] = ACTIONS(1828),
    [anon_sym_gmtime] = ACTIONS(1828),
    [anon_sym_getc] = ACTIONS(1828),
    [anon_sym_getpgrp] = ACTIONS(1828),
    [anon_sym_getprotobyname] = ACTIONS(1828),
    [anon_sym_getpwname] = ACTIONS(1828),
    [anon_sym_getpwuid] = ACTIONS(1828),
    [anon_sym_getpeername] = ACTIONS(1828),
    [anon_sym_getnetbyname] = ACTIONS(1828),
    [anon_sym_getsockname] = ACTIONS(1828),
    [anon_sym_getgrnam] = ACTIONS(1828),
    [anon_sym_getgrgid] = ACTIONS(1828),
    [anon_sym_hex] = ACTIONS(1828),
    [anon_sym_int] = ACTIONS(1828),
    [anon_sym_keys] = ACTIONS(1828),
    [anon_sym_lc] = ACTIONS(1828),
    [anon_sym_lcfirst] = ACTIONS(1828),
    [anon_sym_length] = ACTIONS(1828),
    [anon_sym_localtime] = ACTIONS(1828),
    [anon_sym_log] = ACTIONS(1828),
    [anon_sym_lock] = ACTIONS(1828),
    [anon_sym_lstat] = ACTIONS(1828),
    [anon_sym_oct] = ACTIONS(1828),
    [anon_sym_ord] = ACTIONS(1828),
    [anon_sym_prototype] = ACTIONS(1828),
    [anon_sym_pop] = ACTIONS(1828),
    [anon_sym_pos] = ACTIONS(1828),
    [anon_sym_quotemeta] = ACTIONS(1828),
    [anon_sym_reset] = ACTIONS(1828),
    [anon_sym_rand] = ACTIONS(1828),
    [anon_sym_rmdir] = ACTIONS(1828),
    [anon_sym_readdir] = ACTIONS(1828),
    [anon_sym_readline] = ACTIONS(1828),
    [anon_sym_readpipe] = ACTIONS(1828),
    [anon_sym_rewinddir] = ACTIONS(1828),
    [anon_sym_readlink] = ACTIONS(1828),
    [anon_sym_ref] = ACTIONS(1828),
    [anon_sym_scalar] = ACTIONS(1828),
    [anon_sym_shift] = ACTIONS(1828),
    [anon_sym_sin] = ACTIONS(1828),
    [anon_sym_sleep] = ACTIONS(1828),
    [anon_sym_sqrt] = ACTIONS(1828),
    [anon_sym_srand] = ACTIONS(1828),
    [anon_sym_stat] = ACTIONS(1828),
    [anon_sym_study] = ACTIONS(1828),
    [anon_sym_tell] = ACTIONS(1828),
    [anon_sym_telldir] = ACTIONS(1828),
    [anon_sym_tied] = ACTIONS(1828),
    [anon_sym_uc] = ACTIONS(1828),
    [anon_sym_ucfirst] = ACTIONS(1828),
    [anon_sym_untie] = ACTIONS(1828),
    [anon_sym_umask] = ACTIONS(1828),
    [anon_sym_values] = ACTIONS(1828),
    [anon_sym_write] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1828),
    [anon_sym_qq] = ACTIONS(1828),
    [anon_sym_qw] = ACTIONS(1828),
    [anon_sym_qx] = ACTIONS(1828),
    [anon_sym_qr] = ACTIONS(1828),
    [anon_sym_m] = ACTIONS(1828),
    [anon_sym_s] = ACTIONS(1828),
    [anon_sym_tr] = ACTIONS(1828),
    [anon_sym_y] = ACTIONS(1828),
    [aux_sym__bareword_token1] = ACTIONS(1828),
    [sym_number] = ACTIONS(1828),
    [anon_sym_true] = ACTIONS(1828),
    [anon_sym_false] = ACTIONS(1828),
    [sym__single_quote] = ACTIONS(1832),
    [sym__double_quote] = ACTIONS(1832),
    [sym__backtick_quote] = ACTIONS(1832),
    [sym__search_slash_quote] = ACTIONS(1832),
    [sym__open_readline_bracket] = ACTIONS(1832),
    [sym__open_fileglob_bracket] = ACTIONS(1832),
    [sym__PERLY_HEREDOC] = ACTIONS(1832),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1832),
    [sym__filetest] = ACTIONS(1832),
  },
  [817] = {
    [sym_heredoc_content] = STATE(817),
    [sym__identifier] = ACTIONS(1838),
    [anon_sym_LBRACE] = ACTIONS(1838),
    [anon_sym_RBRACE] = ACTIONS(1951),
    [anon_sym_DOLLAR] = ACTIONS(1838),
    [anon_sym_EQ] = ACTIONS(1951),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1951),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1951),
    [anon_sym_AT] = ACTIONS(1838),
    [anon_sym_COMMA] = ACTIONS(1951),
    [anon_sym_RPAREN] = ACTIONS(1951),
    [anon_sym_my] = ACTIONS(1838),
    [anon_sym_extended] = ACTIONS(1838),
    [anon_sym_async] = ACTIONS(1838),
    [anon_sym_sub] = ACTIONS(1838),
    [anon_sym_method] = ACTIONS(1838),
    [anon_sym_LPAREN] = ACTIONS(1838),
    [anon_sym_continue] = ACTIONS(1838),
    [anon_sym_state] = ACTIONS(1838),
    [anon_sym_our] = ACTIONS(1838),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1951),
    [anon_sym_and] = ACTIONS(1951),
    [anon_sym_or] = ACTIONS(1951),
    [anon_sym_xor] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1838),
    [anon_sym_RBRACK] = ACTIONS(1951),
    [anon_sym_DASH_GT] = ACTIONS(1951),
    [anon_sym_PERCENT] = ACTIONS(1951),
    [anon_sym_GT] = ACTIONS(1951),
    [anon_sym_LT_LT] = ACTIONS(1951),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1951),
    [anon_sym_PLUS_EQ] = ACTIONS(1951),
    [anon_sym_DASH_EQ] = ACTIONS(1951),
    [anon_sym_DOT_EQ] = ACTIONS(1951),
    [anon_sym_STAR_EQ] = ACTIONS(1951),
    [anon_sym_SLASH_EQ] = ACTIONS(1951),
    [anon_sym_PERCENT_EQ] = ACTIONS(1951),
    [anon_sym_x_EQ] = ACTIONS(1951),
    [anon_sym_AMP_EQ] = ACTIONS(1951),
    [anon_sym_PIPE_EQ] = ACTIONS(1951),
    [anon_sym_CARET_EQ] = ACTIONS(1951),
    [anon_sym_LT_LT_EQ] = ACTIONS(1951),
    [anon_sym_GT_GT_EQ] = ACTIONS(1951),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1951),
    [anon_sym_DOT_DOT] = ACTIONS(1951),
    [anon_sym_STAR_STAR] = ACTIONS(1951),
    [anon_sym_PIPE_PIPE] = ACTIONS(1951),
    [anon_sym_SLASH_SLASH] = ACTIONS(1951),
    [anon_sym_CARET_CARET] = ACTIONS(1951),
    [anon_sym_AMP_AMP] = ACTIONS(1951),
    [anon_sym_PIPE] = ACTIONS(1951),
    [anon_sym_CARET] = ACTIONS(1951),
    [anon_sym_AMP] = ACTIONS(1951),
    [anon_sym_GT_GT2] = ACTIONS(1951),
    [anon_sym_PLUS] = ACTIONS(1951),
    [anon_sym_DASH] = ACTIONS(1951),
    [anon_sym_DOT] = ACTIONS(1951),
    [anon_sym_STAR] = ACTIONS(1951),
    [anon_sym_SLASH] = ACTIONS(1951),
    [anon_sym_x] = ACTIONS(1951),
    [anon_sym_EQ_TILDE] = ACTIONS(1951),
    [anon_sym_BANG_TILDE] = ACTIONS(1951),
    [anon_sym_EQ_EQ] = ACTIONS(1951),
    [anon_sym_BANG_EQ] = ACTIONS(1951),
    [anon_sym_eq] = ACTIONS(1951),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1951),
    [anon_sym_equ] = ACTIONS(1951),
    [anon_sym_eqr] = ACTIONS(1951),
    [anon_sym_ne] = ACTIONS(1951),
    [anon_sym_LT_EQ_GT] = ACTIONS(1951),
    [anon_sym_cmp] = ACTIONS(1951),
    [anon_sym_TILDE_TILDE] = ACTIONS(1951),
    [anon_sym_LT] = ACTIONS(1951),
    [anon_sym_LT_EQ] = ACTIONS(1951),
    [anon_sym_GT_EQ] = ACTIONS(1951),
    [anon_sym_lt] = ACTIONS(1951),
    [anon_sym_le] = ACTIONS(1951),
    [anon_sym_ge] = ACTIONS(1951),
    [anon_sym_gt] = ACTIONS(1951),
    [anon_sym_isa] = ACTIONS(1951),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_PLUS_PLUS] = ACTIONS(1951),
    [anon_sym_DASH_DASH] = ACTIONS(1951),
    [anon_sym_QMARK] = ACTIONS(1951),
    [anon_sym_BSLASH] = ACTIONS(1845),
    [anon_sym_do] = ACTIONS(1838),
    [anon_sym_eval] = ACTIONS(1838),
    [anon_sym_await] = ACTIONS(1838),
    [anon_sym_field] = ACTIONS(1838),
    [anon_sym_local] = ACTIONS(1838),
    [anon_sym_dynamically] = ACTIONS(1838),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1838),
    [anon_sym_require] = ACTIONS(1838),
    [anon_sym_map] = ACTIONS(1838),
    [anon_sym_grep] = ACTIONS(1838),
    [anon_sym_sort] = ACTIONS(1838),
    [anon_sym_goto] = ACTIONS(1838),
    [anon_sym_return] = ACTIONS(1838),
    [anon_sym_undef] = ACTIONS(1838),
    [anon_sym_PERCENT2] = ACTIONS(1838),
    [anon_sym_AMP2] = ACTIONS(1838),
    [anon_sym_STAR2] = ACTIONS(1838),
    [anon_sym_EQ_GT] = ACTIONS(1951),
    [anon_sym_last] = ACTIONS(1838),
    [anon_sym_next] = ACTIONS(1838),
    [anon_sym_redo] = ACTIONS(1838),
    [anon_sym___FILE__] = ACTIONS(1838),
    [anon_sym___LINE__] = ACTIONS(1838),
    [anon_sym___PACKAGE__] = ACTIONS(1838),
    [anon_sym___SUB__] = ACTIONS(1838),
    [anon_sym_break] = ACTIONS(1838),
    [anon_sym_fork] = ACTIONS(1838),
    [anon_sym_getppid] = ACTIONS(1838),
    [anon_sym_time] = ACTIONS(1838),
    [anon_sym_times] = ACTIONS(1838),
    [anon_sym_wait] = ACTIONS(1838),
    [anon_sym_wantarray] = ACTIONS(1838),
    [anon_sym_abs] = ACTIONS(1838),
    [anon_sym_alarm] = ACTIONS(1838),
    [anon_sym_chop] = ACTIONS(1838),
    [anon_sym_chdir] = ACTIONS(1838),
    [anon_sym_close] = ACTIONS(1838),
    [anon_sym_closedir] = ACTIONS(1838),
    [anon_sym_caller] = ACTIONS(1838),
    [anon_sym_chomp] = ACTIONS(1838),
    [anon_sym_chr] = ACTIONS(1838),
    [anon_sym_cos] = ACTIONS(1838),
    [anon_sym_chroot] = ACTIONS(1838),
    [anon_sym_defined] = ACTIONS(1838),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_dbmclose] = ACTIONS(1838),
    [anon_sym_exists] = ACTIONS(1838),
    [anon_sym_exit] = ACTIONS(1838),
    [anon_sym_eof] = ACTIONS(1838),
    [anon_sym_exp] = ACTIONS(1838),
    [anon_sym_each] = ACTIONS(1838),
    [anon_sym_fc] = ACTIONS(1838),
    [anon_sym_fileno] = ACTIONS(1838),
    [anon_sym_gmtime] = ACTIONS(1838),
    [anon_sym_getc] = ACTIONS(1838),
    [anon_sym_getpgrp] = ACTIONS(1838),
    [anon_sym_getprotobyname] = ACTIONS(1838),
    [anon_sym_getpwname] = ACTIONS(1838),
    [anon_sym_getpwuid] = ACTIONS(1838),
    [anon_sym_getpeername] = ACTIONS(1838),
    [anon_sym_getnetbyname] = ACTIONS(1838),
    [anon_sym_getsockname] = ACTIONS(1838),
    [anon_sym_getgrnam] = ACTIONS(1838),
    [anon_sym_getgrgid] = ACTIONS(1838),
    [anon_sym_hex] = ACTIONS(1838),
    [anon_sym_int] = ACTIONS(1838),
    [anon_sym_keys] = ACTIONS(1838),
    [anon_sym_lc] = ACTIONS(1838),
    [anon_sym_lcfirst] = ACTIONS(1838),
    [anon_sym_length] = ACTIONS(1838),
    [anon_sym_localtime] = ACTIONS(1838),
    [anon_sym_log] = ACTIONS(1838),
    [anon_sym_lock] = ACTIONS(1838),
    [anon_sym_lstat] = ACTIONS(1838),
    [anon_sym_oct] = ACTIONS(1838),
    [anon_sym_ord] = ACTIONS(1838),
    [anon_sym_prototype] = ACTIONS(1838),
    [anon_sym_pop] = ACTIONS(1838),
    [anon_sym_pos] = ACTIONS(1838),
    [anon_sym_quotemeta] = ACTIONS(1838),
    [anon_sym_reset] = ACTIONS(1838),
    [anon_sym_rand] = ACTIONS(1838),
    [anon_sym_rmdir] = ACTIONS(1838),
    [anon_sym_readdir] = ACTIONS(1838),
    [anon_sym_readline] = ACTIONS(1838),
    [anon_sym_readpipe] = ACTIONS(1838),
    [anon_sym_rewinddir] = ACTIONS(1838),
    [anon_sym_readlink] = ACTIONS(1838),
    [anon_sym_ref] = ACTIONS(1838),
    [anon_sym_scalar] = ACTIONS(1838),
    [anon_sym_shift] = ACTIONS(1838),
    [anon_sym_sin] = ACTIONS(1838),
    [anon_sym_sleep] = ACTIONS(1838),
    [anon_sym_sqrt] = ACTIONS(1838),
    [anon_sym_srand] = ACTIONS(1838),
    [anon_sym_stat] = ACTIONS(1838),
    [anon_sym_study] = ACTIONS(1838),
    [anon_sym_tell] = ACTIONS(1838),
    [anon_sym_telldir] = ACTIONS(1838),
    [anon_sym_tied] = ACTIONS(1838),
    [anon_sym_uc] = ACTIONS(1838),
    [anon_sym_ucfirst] = ACTIONS(1838),
    [anon_sym_untie] = ACTIONS(1838),
    [anon_sym_umask] = ACTIONS(1838),
    [anon_sym_values] = ACTIONS(1838),
    [anon_sym_write] = ACTIONS(1838),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1838),
    [anon_sym_qq] = ACTIONS(1838),
    [anon_sym_qw] = ACTIONS(1838),
    [anon_sym_qx] = ACTIONS(1838),
    [anon_sym_qr] = ACTIONS(1838),
    [anon_sym_m] = ACTIONS(1838),
    [anon_sym_s] = ACTIONS(1838),
    [anon_sym_tr] = ACTIONS(1838),
    [anon_sym_y] = ACTIONS(1838),
    [aux_sym__bareword_token1] = ACTIONS(1838),
    [sym_number] = ACTIONS(1838),
    [anon_sym_true] = ACTIONS(1838),
    [anon_sym_false] = ACTIONS(1838),
    [sym__single_quote] = ACTIONS(1845),
    [sym__double_quote] = ACTIONS(1845),
    [sym__backtick_quote] = ACTIONS(1845),
    [sym__search_slash_quote] = ACTIONS(1845),
    [sym__open_readline_bracket] = ACTIONS(1845),
    [sym__open_fileglob_bracket] = ACTIONS(1845),
    [sym__PERLY_HEREDOC] = ACTIONS(1845),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1845),
    [sym__filetest] = ACTIONS(1845),
  },
  [818] = {
    [sym_heredoc_content] = STATE(818),
    [sym__identifier] = ACTIONS(1661),
    [anon_sym_LBRACE] = ACTIONS(1661),
    [anon_sym_RBRACE] = ACTIONS(1661),
    [anon_sym_DOLLAR] = ACTIONS(1661),
    [anon_sym_EQ] = ACTIONS(1661),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1661),
    [anon_sym_AT] = ACTIONS(1661),
    [anon_sym_COMMA] = ACTIONS(1661),
    [anon_sym_RPAREN] = ACTIONS(1661),
    [anon_sym_my] = ACTIONS(1661),
    [anon_sym_extended] = ACTIONS(1661),
    [anon_sym_async] = ACTIONS(1661),
    [anon_sym_sub] = ACTIONS(1661),
    [anon_sym_method] = ACTIONS(1661),
    [anon_sym_LPAREN] = ACTIONS(1661),
    [anon_sym_continue] = ACTIONS(1661),
    [anon_sym_state] = ACTIONS(1661),
    [anon_sym_our] = ACTIONS(1661),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1661),
    [anon_sym_and] = ACTIONS(1661),
    [anon_sym_or] = ACTIONS(1661),
    [anon_sym_xor] = ACTIONS(1661),
    [anon_sym_LBRACK] = ACTIONS(1661),
    [anon_sym_RBRACK] = ACTIONS(1661),
    [anon_sym_DASH_GT] = ACTIONS(1661),
    [anon_sym_PERCENT] = ACTIONS(1661),
    [anon_sym_GT] = ACTIONS(1661),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1661),
    [anon_sym_PLUS_EQ] = ACTIONS(1661),
    [anon_sym_DASH_EQ] = ACTIONS(1661),
    [anon_sym_DOT_EQ] = ACTIONS(1661),
    [anon_sym_STAR_EQ] = ACTIONS(1661),
    [anon_sym_SLASH_EQ] = ACTIONS(1661),
    [anon_sym_PERCENT_EQ] = ACTIONS(1661),
    [anon_sym_x_EQ] = ACTIONS(1661),
    [anon_sym_AMP_EQ] = ACTIONS(1661),
    [anon_sym_PIPE_EQ] = ACTIONS(1661),
    [anon_sym_CARET_EQ] = ACTIONS(1661),
    [anon_sym_LT_LT_EQ] = ACTIONS(1661),
    [anon_sym_GT_GT_EQ] = ACTIONS(1661),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1661),
    [anon_sym_DOT_DOT] = ACTIONS(1661),
    [anon_sym_STAR_STAR] = ACTIONS(1661),
    [anon_sym_PIPE_PIPE] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1661),
    [anon_sym_CARET_CARET] = ACTIONS(1661),
    [anon_sym_AMP_AMP] = ACTIONS(1661),
    [anon_sym_PIPE] = ACTIONS(1661),
    [anon_sym_CARET] = ACTIONS(1661),
    [anon_sym_AMP] = ACTIONS(1661),
    [anon_sym_GT_GT2] = ACTIONS(1661),
    [anon_sym_PLUS] = ACTIONS(1661),
    [anon_sym_DASH] = ACTIONS(1661),
    [anon_sym_DOT] = ACTIONS(1661),
    [anon_sym_STAR] = ACTIONS(1661),
    [anon_sym_SLASH] = ACTIONS(1661),
    [anon_sym_x] = ACTIONS(1661),
    [anon_sym_EQ_TILDE] = ACTIONS(1661),
    [anon_sym_BANG_TILDE] = ACTIONS(1661),
    [anon_sym_EQ_EQ] = ACTIONS(1661),
    [anon_sym_BANG_EQ] = ACTIONS(1661),
    [anon_sym_eq] = ACTIONS(1661),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1661),
    [anon_sym_equ] = ACTIONS(1661),
    [anon_sym_eqr] = ACTIONS(1661),
    [anon_sym_ne] = ACTIONS(1661),
    [anon_sym_LT_EQ_GT] = ACTIONS(1661),
    [anon_sym_cmp] = ACTIONS(1661),
    [anon_sym_TILDE_TILDE] = ACTIONS(1661),
    [anon_sym_LT] = ACTIONS(1661),
    [anon_sym_LT_EQ] = ACTIONS(1661),
    [anon_sym_GT_EQ] = ACTIONS(1661),
    [anon_sym_lt] = ACTIONS(1661),
    [anon_sym_le] = ACTIONS(1661),
    [anon_sym_ge] = ACTIONS(1661),
    [anon_sym_gt] = ACTIONS(1661),
    [anon_sym_isa] = ACTIONS(1661),
    [anon_sym_TILDE] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1661),
    [anon_sym_PLUS_PLUS] = ACTIONS(1661),
    [anon_sym_DASH_DASH] = ACTIONS(1661),
    [anon_sym_QMARK] = ACTIONS(1661),
    [anon_sym_BSLASH] = ACTIONS(1659),
    [anon_sym_do] = ACTIONS(1661),
    [anon_sym_eval] = ACTIONS(1661),
    [anon_sym_await] = ACTIONS(1661),
    [anon_sym_field] = ACTIONS(1661),
    [anon_sym_local] = ACTIONS(1661),
    [anon_sym_dynamically] = ACTIONS(1661),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1661),
    [anon_sym_require] = ACTIONS(1661),
    [anon_sym_map] = ACTIONS(1661),
    [anon_sym_grep] = ACTIONS(1661),
    [anon_sym_sort] = ACTIONS(1661),
    [anon_sym_goto] = ACTIONS(1661),
    [anon_sym_return] = ACTIONS(1661),
    [anon_sym_undef] = ACTIONS(1661),
    [anon_sym_PERCENT2] = ACTIONS(1661),
    [anon_sym_AMP2] = ACTIONS(1661),
    [anon_sym_STAR2] = ACTIONS(1661),
    [anon_sym_EQ_GT] = ACTIONS(1661),
    [anon_sym_last] = ACTIONS(1661),
    [anon_sym_next] = ACTIONS(1661),
    [anon_sym_redo] = ACTIONS(1661),
    [anon_sym___FILE__] = ACTIONS(1661),
    [anon_sym___LINE__] = ACTIONS(1661),
    [anon_sym___PACKAGE__] = ACTIONS(1661),
    [anon_sym___SUB__] = ACTIONS(1661),
    [anon_sym_break] = ACTIONS(1661),
    [anon_sym_fork] = ACTIONS(1661),
    [anon_sym_getppid] = ACTIONS(1661),
    [anon_sym_time] = ACTIONS(1661),
    [anon_sym_times] = ACTIONS(1661),
    [anon_sym_wait] = ACTIONS(1661),
    [anon_sym_wantarray] = ACTIONS(1661),
    [anon_sym_abs] = ACTIONS(1661),
    [anon_sym_alarm] = ACTIONS(1661),
    [anon_sym_chop] = ACTIONS(1661),
    [anon_sym_chdir] = ACTIONS(1661),
    [anon_sym_close] = ACTIONS(1661),
    [anon_sym_closedir] = ACTIONS(1661),
    [anon_sym_caller] = ACTIONS(1661),
    [anon_sym_chomp] = ACTIONS(1661),
    [anon_sym_chr] = ACTIONS(1661),
    [anon_sym_cos] = ACTIONS(1661),
    [anon_sym_chroot] = ACTIONS(1661),
    [anon_sym_defined] = ACTIONS(1661),
    [anon_sym_delete] = ACTIONS(1661),
    [anon_sym_dbmclose] = ACTIONS(1661),
    [anon_sym_exists] = ACTIONS(1661),
    [anon_sym_exit] = ACTIONS(1661),
    [anon_sym_eof] = ACTIONS(1661),
    [anon_sym_exp] = ACTIONS(1661),
    [anon_sym_each] = ACTIONS(1661),
    [anon_sym_fc] = ACTIONS(1661),
    [anon_sym_fileno] = ACTIONS(1661),
    [anon_sym_gmtime] = ACTIONS(1661),
    [anon_sym_getc] = ACTIONS(1661),
    [anon_sym_getpgrp] = ACTIONS(1661),
    [anon_sym_getprotobyname] = ACTIONS(1661),
    [anon_sym_getpwname] = ACTIONS(1661),
    [anon_sym_getpwuid] = ACTIONS(1661),
    [anon_sym_getpeername] = ACTIONS(1661),
    [anon_sym_getnetbyname] = ACTIONS(1661),
    [anon_sym_getsockname] = ACTIONS(1661),
    [anon_sym_getgrnam] = ACTIONS(1661),
    [anon_sym_getgrgid] = ACTIONS(1661),
    [anon_sym_hex] = ACTIONS(1661),
    [anon_sym_int] = ACTIONS(1661),
    [anon_sym_keys] = ACTIONS(1661),
    [anon_sym_lc] = ACTIONS(1661),
    [anon_sym_lcfirst] = ACTIONS(1661),
    [anon_sym_length] = ACTIONS(1661),
    [anon_sym_localtime] = ACTIONS(1661),
    [anon_sym_log] = ACTIONS(1661),
    [anon_sym_lock] = ACTIONS(1661),
    [anon_sym_lstat] = ACTIONS(1661),
    [anon_sym_oct] = ACTIONS(1661),
    [anon_sym_ord] = ACTIONS(1661),
    [anon_sym_prototype] = ACTIONS(1661),
    [anon_sym_pop] = ACTIONS(1661),
    [anon_sym_pos] = ACTIONS(1661),
    [anon_sym_quotemeta] = ACTIONS(1661),
    [anon_sym_reset] = ACTIONS(1661),
    [anon_sym_rand] = ACTIONS(1661),
    [anon_sym_rmdir] = ACTIONS(1661),
    [anon_sym_readdir] = ACTIONS(1661),
    [anon_sym_readline] = ACTIONS(1661),
    [anon_sym_readpipe] = ACTIONS(1661),
    [anon_sym_rewinddir] = ACTIONS(1661),
    [anon_sym_readlink] = ACTIONS(1661),
    [anon_sym_ref] = ACTIONS(1661),
    [anon_sym_scalar] = ACTIONS(1661),
    [anon_sym_shift] = ACTIONS(1661),
    [anon_sym_sin] = ACTIONS(1661),
    [anon_sym_sleep] = ACTIONS(1661),
    [anon_sym_sqrt] = ACTIONS(1661),
    [anon_sym_srand] = ACTIONS(1661),
    [anon_sym_stat] = ACTIONS(1661),
    [anon_sym_study] = ACTIONS(1661),
    [anon_sym_tell] = ACTIONS(1661),
    [anon_sym_telldir] = ACTIONS(1661),
    [anon_sym_tied] = ACTIONS(1661),
    [anon_sym_uc] = ACTIONS(1661),
    [anon_sym_ucfirst] = ACTIONS(1661),
    [anon_sym_untie] = ACTIONS(1661),
    [anon_sym_umask] = ACTIONS(1661),
    [anon_sym_values] = ACTIONS(1661),
    [anon_sym_write] = ACTIONS(1661),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1661),
    [anon_sym_qq] = ACTIONS(1661),
    [anon_sym_qw] = ACTIONS(1661),
    [anon_sym_qx] = ACTIONS(1661),
    [anon_sym_qr] = ACTIONS(1661),
    [anon_sym_m] = ACTIONS(1661),
    [anon_sym_s] = ACTIONS(1661),
    [anon_sym_tr] = ACTIONS(1661),
    [anon_sym_y] = ACTIONS(1661),
    [aux_sym__bareword_token1] = ACTIONS(1661),
    [sym_number] = ACTIONS(1661),
    [anon_sym_true] = ACTIONS(1661),
    [anon_sym_false] = ACTIONS(1661),
    [sym__single_quote] = ACTIONS(1659),
    [sym__double_quote] = ACTIONS(1659),
    [sym__backtick_quote] = ACTIONS(1659),
    [sym__search_slash_quote] = ACTIONS(1659),
    [sym__open_readline_bracket] = ACTIONS(1659),
    [sym__open_fileglob_bracket] = ACTIONS(1659),
    [sym__PERLY_HEREDOC] = ACTIONS(1659),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1659),
    [sym__filetest] = ACTIONS(1659),
  },
  [819] = {
    [sym_heredoc_content] = STATE(819),
    [sym__identifier] = ACTIONS(1828),
    [anon_sym_LBRACE] = ACTIONS(1828),
    [anon_sym_RBRACE] = ACTIONS(1828),
    [anon_sym_DOLLAR] = ACTIONS(1828),
    [anon_sym_EQ] = ACTIONS(1828),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1828),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1828),
    [anon_sym_AT] = ACTIONS(1828),
    [anon_sym_COMMA] = ACTIONS(1828),
    [anon_sym_RPAREN] = ACTIONS(1828),
    [anon_sym_my] = ACTIONS(1828),
    [anon_sym_extended] = ACTIONS(1828),
    [anon_sym_async] = ACTIONS(1828),
    [anon_sym_sub] = ACTIONS(1828),
    [anon_sym_method] = ACTIONS(1828),
    [anon_sym_LPAREN] = ACTIONS(1828),
    [anon_sym_continue] = ACTIONS(1828),
    [anon_sym_state] = ACTIONS(1828),
    [anon_sym_our] = ACTIONS(1828),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1828),
    [anon_sym_and] = ACTIONS(1828),
    [anon_sym_or] = ACTIONS(1828),
    [anon_sym_xor] = ACTIONS(1828),
    [anon_sym_LBRACK] = ACTIONS(1828),
    [anon_sym_RBRACK] = ACTIONS(1828),
    [anon_sym_DASH_GT] = ACTIONS(1828),
    [anon_sym_PERCENT] = ACTIONS(1828),
    [anon_sym_GT] = ACTIONS(1828),
    [anon_sym_LT_LT] = ACTIONS(1828),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1828),
    [anon_sym_PLUS_EQ] = ACTIONS(1828),
    [anon_sym_DASH_EQ] = ACTIONS(1828),
    [anon_sym_DOT_EQ] = ACTIONS(1828),
    [anon_sym_STAR_EQ] = ACTIONS(1828),
    [anon_sym_SLASH_EQ] = ACTIONS(1828),
    [anon_sym_PERCENT_EQ] = ACTIONS(1828),
    [anon_sym_x_EQ] = ACTIONS(1828),
    [anon_sym_AMP_EQ] = ACTIONS(1828),
    [anon_sym_PIPE_EQ] = ACTIONS(1828),
    [anon_sym_CARET_EQ] = ACTIONS(1828),
    [anon_sym_LT_LT_EQ] = ACTIONS(1828),
    [anon_sym_GT_GT_EQ] = ACTIONS(1828),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1828),
    [anon_sym_DOT_DOT] = ACTIONS(1828),
    [anon_sym_STAR_STAR] = ACTIONS(1828),
    [anon_sym_PIPE_PIPE] = ACTIONS(1828),
    [anon_sym_SLASH_SLASH] = ACTIONS(1828),
    [anon_sym_CARET_CARET] = ACTIONS(1828),
    [anon_sym_AMP_AMP] = ACTIONS(1828),
    [anon_sym_PIPE] = ACTIONS(1828),
    [anon_sym_CARET] = ACTIONS(1828),
    [anon_sym_AMP] = ACTIONS(1828),
    [anon_sym_GT_GT2] = ACTIONS(1828),
    [anon_sym_PLUS] = ACTIONS(1828),
    [anon_sym_DASH] = ACTIONS(1828),
    [anon_sym_DOT] = ACTIONS(1828),
    [anon_sym_STAR] = ACTIONS(1828),
    [anon_sym_SLASH] = ACTIONS(1828),
    [anon_sym_x] = ACTIONS(1828),
    [anon_sym_EQ_TILDE] = ACTIONS(1828),
    [anon_sym_BANG_TILDE] = ACTIONS(1828),
    [anon_sym_EQ_EQ] = ACTIONS(1828),
    [anon_sym_BANG_EQ] = ACTIONS(1828),
    [anon_sym_eq] = ACTIONS(1828),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1828),
    [anon_sym_equ] = ACTIONS(1828),
    [anon_sym_eqr] = ACTIONS(1828),
    [anon_sym_ne] = ACTIONS(1828),
    [anon_sym_LT_EQ_GT] = ACTIONS(1828),
    [anon_sym_cmp] = ACTIONS(1828),
    [anon_sym_TILDE_TILDE] = ACTIONS(1828),
    [anon_sym_LT] = ACTIONS(1828),
    [anon_sym_LT_EQ] = ACTIONS(1828),
    [anon_sym_GT_EQ] = ACTIONS(1828),
    [anon_sym_lt] = ACTIONS(1828),
    [anon_sym_le] = ACTIONS(1828),
    [anon_sym_ge] = ACTIONS(1828),
    [anon_sym_gt] = ACTIONS(1828),
    [anon_sym_isa] = ACTIONS(1828),
    [anon_sym_TILDE] = ACTIONS(1828),
    [anon_sym_BANG] = ACTIONS(1828),
    [anon_sym_PLUS_PLUS] = ACTIONS(1828),
    [anon_sym_DASH_DASH] = ACTIONS(1828),
    [anon_sym_QMARK] = ACTIONS(1828),
    [anon_sym_BSLASH] = ACTIONS(1832),
    [anon_sym_do] = ACTIONS(1828),
    [anon_sym_eval] = ACTIONS(1828),
    [anon_sym_await] = ACTIONS(1828),
    [anon_sym_field] = ACTIONS(1828),
    [anon_sym_local] = ACTIONS(1828),
    [anon_sym_dynamically] = ACTIONS(1828),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1828),
    [anon_sym_require] = ACTIONS(1828),
    [anon_sym_map] = ACTIONS(1828),
    [anon_sym_grep] = ACTIONS(1828),
    [anon_sym_sort] = ACTIONS(1828),
    [anon_sym_goto] = ACTIONS(1828),
    [anon_sym_return] = ACTIONS(1828),
    [anon_sym_undef] = ACTIONS(1828),
    [anon_sym_PERCENT2] = ACTIONS(1828),
    [anon_sym_AMP2] = ACTIONS(1828),
    [anon_sym_STAR2] = ACTIONS(1828),
    [anon_sym_EQ_GT] = ACTIONS(1828),
    [anon_sym_last] = ACTIONS(1828),
    [anon_sym_next] = ACTIONS(1828),
    [anon_sym_redo] = ACTIONS(1828),
    [anon_sym___FILE__] = ACTIONS(1828),
    [anon_sym___LINE__] = ACTIONS(1828),
    [anon_sym___PACKAGE__] = ACTIONS(1828),
    [anon_sym___SUB__] = ACTIONS(1828),
    [anon_sym_break] = ACTIONS(1828),
    [anon_sym_fork] = ACTIONS(1828),
    [anon_sym_getppid] = ACTIONS(1828),
    [anon_sym_time] = ACTIONS(1828),
    [anon_sym_times] = ACTIONS(1828),
    [anon_sym_wait] = ACTIONS(1828),
    [anon_sym_wantarray] = ACTIONS(1828),
    [anon_sym_abs] = ACTIONS(1828),
    [anon_sym_alarm] = ACTIONS(1828),
    [anon_sym_chop] = ACTIONS(1828),
    [anon_sym_chdir] = ACTIONS(1828),
    [anon_sym_close] = ACTIONS(1828),
    [anon_sym_closedir] = ACTIONS(1828),
    [anon_sym_caller] = ACTIONS(1828),
    [anon_sym_chomp] = ACTIONS(1828),
    [anon_sym_chr] = ACTIONS(1828),
    [anon_sym_cos] = ACTIONS(1828),
    [anon_sym_chroot] = ACTIONS(1828),
    [anon_sym_defined] = ACTIONS(1828),
    [anon_sym_delete] = ACTIONS(1828),
    [anon_sym_dbmclose] = ACTIONS(1828),
    [anon_sym_exists] = ACTIONS(1828),
    [anon_sym_exit] = ACTIONS(1828),
    [anon_sym_eof] = ACTIONS(1828),
    [anon_sym_exp] = ACTIONS(1828),
    [anon_sym_each] = ACTIONS(1828),
    [anon_sym_fc] = ACTIONS(1828),
    [anon_sym_fileno] = ACTIONS(1828),
    [anon_sym_gmtime] = ACTIONS(1828),
    [anon_sym_getc] = ACTIONS(1828),
    [anon_sym_getpgrp] = ACTIONS(1828),
    [anon_sym_getprotobyname] = ACTIONS(1828),
    [anon_sym_getpwname] = ACTIONS(1828),
    [anon_sym_getpwuid] = ACTIONS(1828),
    [anon_sym_getpeername] = ACTIONS(1828),
    [anon_sym_getnetbyname] = ACTIONS(1828),
    [anon_sym_getsockname] = ACTIONS(1828),
    [anon_sym_getgrnam] = ACTIONS(1828),
    [anon_sym_getgrgid] = ACTIONS(1828),
    [anon_sym_hex] = ACTIONS(1828),
    [anon_sym_int] = ACTIONS(1828),
    [anon_sym_keys] = ACTIONS(1828),
    [anon_sym_lc] = ACTIONS(1828),
    [anon_sym_lcfirst] = ACTIONS(1828),
    [anon_sym_length] = ACTIONS(1828),
    [anon_sym_localtime] = ACTIONS(1828),
    [anon_sym_log] = ACTIONS(1828),
    [anon_sym_lock] = ACTIONS(1828),
    [anon_sym_lstat] = ACTIONS(1828),
    [anon_sym_oct] = ACTIONS(1828),
    [anon_sym_ord] = ACTIONS(1828),
    [anon_sym_prototype] = ACTIONS(1828),
    [anon_sym_pop] = ACTIONS(1828),
    [anon_sym_pos] = ACTIONS(1828),
    [anon_sym_quotemeta] = ACTIONS(1828),
    [anon_sym_reset] = ACTIONS(1828),
    [anon_sym_rand] = ACTIONS(1828),
    [anon_sym_rmdir] = ACTIONS(1828),
    [anon_sym_readdir] = ACTIONS(1828),
    [anon_sym_readline] = ACTIONS(1828),
    [anon_sym_readpipe] = ACTIONS(1828),
    [anon_sym_rewinddir] = ACTIONS(1828),
    [anon_sym_readlink] = ACTIONS(1828),
    [anon_sym_ref] = ACTIONS(1828),
    [anon_sym_scalar] = ACTIONS(1828),
    [anon_sym_shift] = ACTIONS(1828),
    [anon_sym_sin] = ACTIONS(1828),
    [anon_sym_sleep] = ACTIONS(1828),
    [anon_sym_sqrt] = ACTIONS(1828),
    [anon_sym_srand] = ACTIONS(1828),
    [anon_sym_stat] = ACTIONS(1828),
    [anon_sym_study] = ACTIONS(1828),
    [anon_sym_tell] = ACTIONS(1828),
    [anon_sym_telldir] = ACTIONS(1828),
    [anon_sym_tied] = ACTIONS(1828),
    [anon_sym_uc] = ACTIONS(1828),
    [anon_sym_ucfirst] = ACTIONS(1828),
    [anon_sym_untie] = ACTIONS(1828),
    [anon_sym_umask] = ACTIONS(1828),
    [anon_sym_values] = ACTIONS(1828),
    [anon_sym_write] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1828),
    [anon_sym_qq] = ACTIONS(1828),
    [anon_sym_qw] = ACTIONS(1828),
    [anon_sym_qx] = ACTIONS(1828),
    [anon_sym_qr] = ACTIONS(1828),
    [anon_sym_m] = ACTIONS(1828),
    [anon_sym_s] = ACTIONS(1828),
    [anon_sym_tr] = ACTIONS(1828),
    [anon_sym_y] = ACTIONS(1828),
    [aux_sym__bareword_token1] = ACTIONS(1828),
    [sym_number] = ACTIONS(1828),
    [anon_sym_true] = ACTIONS(1828),
    [anon_sym_false] = ACTIONS(1828),
    [sym__single_quote] = ACTIONS(1832),
    [sym__double_quote] = ACTIONS(1832),
    [sym__backtick_quote] = ACTIONS(1832),
    [sym__search_slash_quote] = ACTIONS(1832),
    [sym__open_readline_bracket] = ACTIONS(1832),
    [sym__open_fileglob_bracket] = ACTIONS(1832),
    [sym__PERLY_HEREDOC] = ACTIONS(1832),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1832),
    [sym__filetest] = ACTIONS(1832),
  },
  [820] = {
    [sym_heredoc_content] = STATE(820),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_RBRACE] = ACTIONS(1869),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1869),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1869),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1869),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1869),
    [anon_sym_RPAREN] = ACTIONS(1869),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1957),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1869),
    [anon_sym_and] = ACTIONS(1869),
    [anon_sym_or] = ACTIONS(1869),
    [anon_sym_xor] = ACTIONS(1869),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_RBRACK] = ACTIONS(1869),
    [anon_sym_DASH_GT] = ACTIONS(1869),
    [anon_sym_PERCENT] = ACTIONS(1869),
    [anon_sym_GT] = ACTIONS(1869),
    [anon_sym_LT_LT] = ACTIONS(1869),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1869),
    [anon_sym_PLUS_EQ] = ACTIONS(1869),
    [anon_sym_DASH_EQ] = ACTIONS(1869),
    [anon_sym_DOT_EQ] = ACTIONS(1869),
    [anon_sym_STAR_EQ] = ACTIONS(1869),
    [anon_sym_SLASH_EQ] = ACTIONS(1869),
    [anon_sym_PERCENT_EQ] = ACTIONS(1869),
    [anon_sym_x_EQ] = ACTIONS(1869),
    [anon_sym_AMP_EQ] = ACTIONS(1869),
    [anon_sym_PIPE_EQ] = ACTIONS(1869),
    [anon_sym_CARET_EQ] = ACTIONS(1869),
    [anon_sym_LT_LT_EQ] = ACTIONS(1869),
    [anon_sym_GT_GT_EQ] = ACTIONS(1869),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1869),
    [anon_sym_DOT_DOT] = ACTIONS(1869),
    [anon_sym_STAR_STAR] = ACTIONS(1869),
    [anon_sym_PIPE_PIPE] = ACTIONS(1869),
    [anon_sym_SLASH_SLASH] = ACTIONS(1869),
    [anon_sym_CARET_CARET] = ACTIONS(1869),
    [anon_sym_AMP_AMP] = ACTIONS(1869),
    [anon_sym_PIPE] = ACTIONS(1869),
    [anon_sym_CARET] = ACTIONS(1869),
    [anon_sym_AMP] = ACTIONS(1869),
    [anon_sym_GT_GT2] = ACTIONS(1869),
    [anon_sym_PLUS] = ACTIONS(1869),
    [anon_sym_DASH] = ACTIONS(1869),
    [anon_sym_DOT] = ACTIONS(1869),
    [anon_sym_STAR] = ACTIONS(1869),
    [anon_sym_SLASH] = ACTIONS(1869),
    [anon_sym_x] = ACTIONS(1869),
    [anon_sym_EQ_TILDE] = ACTIONS(1869),
    [anon_sym_BANG_TILDE] = ACTIONS(1869),
    [anon_sym_EQ_EQ] = ACTIONS(1869),
    [anon_sym_BANG_EQ] = ACTIONS(1869),
    [anon_sym_eq] = ACTIONS(1869),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1869),
    [anon_sym_equ] = ACTIONS(1869),
    [anon_sym_eqr] = ACTIONS(1869),
    [anon_sym_ne] = ACTIONS(1869),
    [anon_sym_LT_EQ_GT] = ACTIONS(1869),
    [anon_sym_cmp] = ACTIONS(1869),
    [anon_sym_TILDE_TILDE] = ACTIONS(1869),
    [anon_sym_LT] = ACTIONS(1869),
    [anon_sym_LT_EQ] = ACTIONS(1869),
    [anon_sym_GT_EQ] = ACTIONS(1869),
    [anon_sym_lt] = ACTIONS(1869),
    [anon_sym_le] = ACTIONS(1869),
    [anon_sym_ge] = ACTIONS(1869),
    [anon_sym_gt] = ACTIONS(1869),
    [anon_sym_isa] = ACTIONS(1869),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_QMARK] = ACTIONS(1869),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1869),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
  },
  [821] = {
    [sym_heredoc_content] = STATE(821),
    [sym__identifier] = ACTIONS(1828),
    [anon_sym_LBRACE] = ACTIONS(1830),
    [anon_sym_RBRACE] = ACTIONS(1828),
    [anon_sym_COLON] = ACTIONS(1828),
    [anon_sym_DOLLAR] = ACTIONS(1828),
    [anon_sym_EQ] = ACTIONS(1828),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1828),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1828),
    [anon_sym_AT] = ACTIONS(1828),
    [anon_sym_COMMA] = ACTIONS(1828),
    [anon_sym_RPAREN] = ACTIONS(1828),
    [anon_sym_my] = ACTIONS(1828),
    [anon_sym_extended] = ACTIONS(1828),
    [anon_sym_async] = ACTIONS(1828),
    [anon_sym_sub] = ACTIONS(1828),
    [anon_sym_method] = ACTIONS(1828),
    [anon_sym_LPAREN] = ACTIONS(1828),
    [anon_sym_continue] = ACTIONS(1828),
    [anon_sym_state] = ACTIONS(1828),
    [anon_sym_our] = ACTIONS(1828),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1828),
    [anon_sym_LBRACK] = ACTIONS(1830),
    [anon_sym_DASH_GT] = ACTIONS(1828),
    [anon_sym_PERCENT] = ACTIONS(1828),
    [anon_sym_GT] = ACTIONS(1828),
    [anon_sym_LT_LT] = ACTIONS(1828),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1828),
    [anon_sym_PLUS_EQ] = ACTIONS(1828),
    [anon_sym_DASH_EQ] = ACTIONS(1828),
    [anon_sym_DOT_EQ] = ACTIONS(1828),
    [anon_sym_STAR_EQ] = ACTIONS(1828),
    [anon_sym_SLASH_EQ] = ACTIONS(1828),
    [anon_sym_PERCENT_EQ] = ACTIONS(1828),
    [anon_sym_x_EQ] = ACTIONS(1828),
    [anon_sym_AMP_EQ] = ACTIONS(1828),
    [anon_sym_PIPE_EQ] = ACTIONS(1828),
    [anon_sym_CARET_EQ] = ACTIONS(1828),
    [anon_sym_LT_LT_EQ] = ACTIONS(1828),
    [anon_sym_GT_GT_EQ] = ACTIONS(1828),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1828),
    [anon_sym_DOT_DOT] = ACTIONS(1828),
    [anon_sym_STAR_STAR] = ACTIONS(1828),
    [anon_sym_PIPE_PIPE] = ACTIONS(1828),
    [anon_sym_SLASH_SLASH] = ACTIONS(1828),
    [anon_sym_CARET_CARET] = ACTIONS(1828),
    [anon_sym_AMP_AMP] = ACTIONS(1828),
    [anon_sym_PIPE] = ACTIONS(1828),
    [anon_sym_CARET] = ACTIONS(1828),
    [anon_sym_AMP] = ACTIONS(1828),
    [anon_sym_GT_GT2] = ACTIONS(1828),
    [anon_sym_PLUS] = ACTIONS(1828),
    [anon_sym_DASH] = ACTIONS(1828),
    [anon_sym_DOT] = ACTIONS(1828),
    [anon_sym_STAR] = ACTIONS(1828),
    [anon_sym_SLASH] = ACTIONS(1828),
    [anon_sym_x] = ACTIONS(1828),
    [anon_sym_EQ_TILDE] = ACTIONS(1828),
    [anon_sym_BANG_TILDE] = ACTIONS(1828),
    [anon_sym_EQ_EQ] = ACTIONS(1828),
    [anon_sym_BANG_EQ] = ACTIONS(1828),
    [anon_sym_eq] = ACTIONS(1828),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1828),
    [anon_sym_equ] = ACTIONS(1828),
    [anon_sym_eqr] = ACTIONS(1828),
    [anon_sym_ne] = ACTIONS(1828),
    [anon_sym_LT_EQ_GT] = ACTIONS(1828),
    [anon_sym_cmp] = ACTIONS(1828),
    [anon_sym_TILDE_TILDE] = ACTIONS(1828),
    [anon_sym_LT] = ACTIONS(1828),
    [anon_sym_LT_EQ] = ACTIONS(1828),
    [anon_sym_GT_EQ] = ACTIONS(1828),
    [anon_sym_lt] = ACTIONS(1828),
    [anon_sym_le] = ACTIONS(1828),
    [anon_sym_ge] = ACTIONS(1828),
    [anon_sym_gt] = ACTIONS(1828),
    [anon_sym_isa] = ACTIONS(1828),
    [anon_sym_TILDE] = ACTIONS(1828),
    [anon_sym_BANG] = ACTIONS(1828),
    [anon_sym_PLUS_PLUS] = ACTIONS(1828),
    [anon_sym_DASH_DASH] = ACTIONS(1828),
    [anon_sym_QMARK] = ACTIONS(1828),
    [anon_sym_BSLASH] = ACTIONS(1832),
    [anon_sym_do] = ACTIONS(1828),
    [anon_sym_eval] = ACTIONS(1828),
    [anon_sym_await] = ACTIONS(1828),
    [anon_sym_field] = ACTIONS(1828),
    [anon_sym_local] = ACTIONS(1828),
    [anon_sym_dynamically] = ACTIONS(1828),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1828),
    [anon_sym_require] = ACTIONS(1828),
    [anon_sym_map] = ACTIONS(1828),
    [anon_sym_grep] = ACTIONS(1828),
    [anon_sym_sort] = ACTIONS(1828),
    [anon_sym_goto] = ACTIONS(1828),
    [anon_sym_return] = ACTIONS(1828),
    [anon_sym_undef] = ACTIONS(1828),
    [anon_sym_PERCENT2] = ACTIONS(1828),
    [anon_sym_AMP2] = ACTIONS(1828),
    [anon_sym_STAR2] = ACTIONS(1828),
    [anon_sym_EQ_GT] = ACTIONS(1828),
    [anon_sym_last] = ACTIONS(1828),
    [anon_sym_next] = ACTIONS(1828),
    [anon_sym_redo] = ACTIONS(1828),
    [anon_sym___FILE__] = ACTIONS(1828),
    [anon_sym___LINE__] = ACTIONS(1828),
    [anon_sym___PACKAGE__] = ACTIONS(1828),
    [anon_sym___SUB__] = ACTIONS(1828),
    [anon_sym_break] = ACTIONS(1828),
    [anon_sym_fork] = ACTIONS(1828),
    [anon_sym_getppid] = ACTIONS(1828),
    [anon_sym_time] = ACTIONS(1828),
    [anon_sym_times] = ACTIONS(1828),
    [anon_sym_wait] = ACTIONS(1828),
    [anon_sym_wantarray] = ACTIONS(1828),
    [anon_sym_abs] = ACTIONS(1828),
    [anon_sym_alarm] = ACTIONS(1828),
    [anon_sym_chop] = ACTIONS(1828),
    [anon_sym_chdir] = ACTIONS(1828),
    [anon_sym_close] = ACTIONS(1828),
    [anon_sym_closedir] = ACTIONS(1828),
    [anon_sym_caller] = ACTIONS(1828),
    [anon_sym_chomp] = ACTIONS(1828),
    [anon_sym_chr] = ACTIONS(1828),
    [anon_sym_cos] = ACTIONS(1828),
    [anon_sym_chroot] = ACTIONS(1828),
    [anon_sym_defined] = ACTIONS(1828),
    [anon_sym_delete] = ACTIONS(1828),
    [anon_sym_dbmclose] = ACTIONS(1828),
    [anon_sym_exists] = ACTIONS(1828),
    [anon_sym_exit] = ACTIONS(1828),
    [anon_sym_eof] = ACTIONS(1828),
    [anon_sym_exp] = ACTIONS(1828),
    [anon_sym_each] = ACTIONS(1828),
    [anon_sym_fc] = ACTIONS(1828),
    [anon_sym_fileno] = ACTIONS(1828),
    [anon_sym_gmtime] = ACTIONS(1828),
    [anon_sym_getc] = ACTIONS(1828),
    [anon_sym_getpgrp] = ACTIONS(1828),
    [anon_sym_getprotobyname] = ACTIONS(1828),
    [anon_sym_getpwname] = ACTIONS(1828),
    [anon_sym_getpwuid] = ACTIONS(1828),
    [anon_sym_getpeername] = ACTIONS(1828),
    [anon_sym_getnetbyname] = ACTIONS(1828),
    [anon_sym_getsockname] = ACTIONS(1828),
    [anon_sym_getgrnam] = ACTIONS(1828),
    [anon_sym_getgrgid] = ACTIONS(1828),
    [anon_sym_hex] = ACTIONS(1828),
    [anon_sym_int] = ACTIONS(1828),
    [anon_sym_keys] = ACTIONS(1828),
    [anon_sym_lc] = ACTIONS(1828),
    [anon_sym_lcfirst] = ACTIONS(1828),
    [anon_sym_length] = ACTIONS(1828),
    [anon_sym_localtime] = ACTIONS(1828),
    [anon_sym_log] = ACTIONS(1828),
    [anon_sym_lock] = ACTIONS(1828),
    [anon_sym_lstat] = ACTIONS(1828),
    [anon_sym_oct] = ACTIONS(1828),
    [anon_sym_ord] = ACTIONS(1828),
    [anon_sym_prototype] = ACTIONS(1828),
    [anon_sym_pop] = ACTIONS(1828),
    [anon_sym_pos] = ACTIONS(1828),
    [anon_sym_quotemeta] = ACTIONS(1828),
    [anon_sym_reset] = ACTIONS(1828),
    [anon_sym_rand] = ACTIONS(1828),
    [anon_sym_rmdir] = ACTIONS(1828),
    [anon_sym_readdir] = ACTIONS(1828),
    [anon_sym_readline] = ACTIONS(1828),
    [anon_sym_readpipe] = ACTIONS(1828),
    [anon_sym_rewinddir] = ACTIONS(1828),
    [anon_sym_readlink] = ACTIONS(1828),
    [anon_sym_ref] = ACTIONS(1828),
    [anon_sym_scalar] = ACTIONS(1828),
    [anon_sym_shift] = ACTIONS(1828),
    [anon_sym_sin] = ACTIONS(1828),
    [anon_sym_sleep] = ACTIONS(1828),
    [anon_sym_sqrt] = ACTIONS(1828),
    [anon_sym_srand] = ACTIONS(1828),
    [anon_sym_stat] = ACTIONS(1828),
    [anon_sym_study] = ACTIONS(1828),
    [anon_sym_tell] = ACTIONS(1828),
    [anon_sym_telldir] = ACTIONS(1828),
    [anon_sym_tied] = ACTIONS(1828),
    [anon_sym_uc] = ACTIONS(1828),
    [anon_sym_ucfirst] = ACTIONS(1828),
    [anon_sym_untie] = ACTIONS(1828),
    [anon_sym_umask] = ACTIONS(1828),
    [anon_sym_values] = ACTIONS(1828),
    [anon_sym_write] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1828),
    [anon_sym_qq] = ACTIONS(1828),
    [anon_sym_qw] = ACTIONS(1828),
    [anon_sym_qx] = ACTIONS(1828),
    [anon_sym_qr] = ACTIONS(1828),
    [anon_sym_m] = ACTIONS(1828),
    [anon_sym_s] = ACTIONS(1828),
    [anon_sym_tr] = ACTIONS(1828),
    [anon_sym_y] = ACTIONS(1828),
    [aux_sym__bareword_token1] = ACTIONS(1828),
    [sym_number] = ACTIONS(1828),
    [anon_sym_true] = ACTIONS(1828),
    [anon_sym_false] = ACTIONS(1828),
    [sym__single_quote] = ACTIONS(1832),
    [sym__double_quote] = ACTIONS(1832),
    [sym__backtick_quote] = ACTIONS(1832),
    [sym__search_slash_quote] = ACTIONS(1832),
    [sym__no_search_slash_plz] = ACTIONS(1832),
    [sym__open_readline_bracket] = ACTIONS(1832),
    [sym__open_fileglob_bracket] = ACTIONS(1832),
    [sym__PERLY_HEREDOC] = ACTIONS(1832),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1832),
    [sym__filetest] = ACTIONS(1832),
  },
  [822] = {
    [sym_heredoc_content] = STATE(822),
    [sym__identifier] = ACTIONS(1838),
    [anon_sym_LBRACE] = ACTIONS(1838),
    [anon_sym_RBRACE] = ACTIONS(1840),
    [anon_sym_COLON] = ACTIONS(1840),
    [anon_sym_DOLLAR] = ACTIONS(1838),
    [anon_sym_EQ] = ACTIONS(1840),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1840),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1840),
    [anon_sym_AT] = ACTIONS(1838),
    [anon_sym_COMMA] = ACTIONS(1840),
    [anon_sym_RPAREN] = ACTIONS(1840),
    [anon_sym_my] = ACTIONS(1838),
    [anon_sym_extended] = ACTIONS(1838),
    [anon_sym_async] = ACTIONS(1838),
    [anon_sym_sub] = ACTIONS(1838),
    [anon_sym_method] = ACTIONS(1838),
    [anon_sym_LPAREN] = ACTIONS(1838),
    [anon_sym_continue] = ACTIONS(1838),
    [anon_sym_state] = ACTIONS(1838),
    [anon_sym_our] = ACTIONS(1838),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1840),
    [anon_sym_LBRACK] = ACTIONS(1838),
    [anon_sym_DASH_GT] = ACTIONS(1840),
    [anon_sym_PERCENT] = ACTIONS(1840),
    [anon_sym_GT] = ACTIONS(1840),
    [anon_sym_LT_LT] = ACTIONS(1842),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1840),
    [anon_sym_PLUS_EQ] = ACTIONS(1840),
    [anon_sym_DASH_EQ] = ACTIONS(1840),
    [anon_sym_DOT_EQ] = ACTIONS(1840),
    [anon_sym_STAR_EQ] = ACTIONS(1840),
    [anon_sym_SLASH_EQ] = ACTIONS(1840),
    [anon_sym_PERCENT_EQ] = ACTIONS(1840),
    [anon_sym_x_EQ] = ACTIONS(1840),
    [anon_sym_AMP_EQ] = ACTIONS(1840),
    [anon_sym_PIPE_EQ] = ACTIONS(1840),
    [anon_sym_CARET_EQ] = ACTIONS(1840),
    [anon_sym_LT_LT_EQ] = ACTIONS(1840),
    [anon_sym_GT_GT_EQ] = ACTIONS(1840),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1840),
    [anon_sym_DOT_DOT] = ACTIONS(1840),
    [anon_sym_STAR_STAR] = ACTIONS(1840),
    [anon_sym_PIPE_PIPE] = ACTIONS(1840),
    [anon_sym_SLASH_SLASH] = ACTIONS(1842),
    [anon_sym_CARET_CARET] = ACTIONS(1840),
    [anon_sym_AMP_AMP] = ACTIONS(1840),
    [anon_sym_PIPE] = ACTIONS(1840),
    [anon_sym_CARET] = ACTIONS(1840),
    [anon_sym_AMP] = ACTIONS(1840),
    [anon_sym_GT_GT2] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1842),
    [anon_sym_DASH] = ACTIONS(1842),
    [anon_sym_DOT] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1840),
    [anon_sym_SLASH] = ACTIONS(1840),
    [anon_sym_x] = ACTIONS(1840),
    [anon_sym_EQ_TILDE] = ACTIONS(1840),
    [anon_sym_BANG_TILDE] = ACTIONS(1840),
    [anon_sym_EQ_EQ] = ACTIONS(1840),
    [anon_sym_BANG_EQ] = ACTIONS(1840),
    [anon_sym_eq] = ACTIONS(1840),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1840),
    [anon_sym_equ] = ACTIONS(1840),
    [anon_sym_eqr] = ACTIONS(1840),
    [anon_sym_ne] = ACTIONS(1840),
    [anon_sym_LT_EQ_GT] = ACTIONS(1840),
    [anon_sym_cmp] = ACTIONS(1840),
    [anon_sym_TILDE_TILDE] = ACTIONS(1840),
    [anon_sym_LT] = ACTIONS(1840),
    [anon_sym_LT_EQ] = ACTIONS(1840),
    [anon_sym_GT_EQ] = ACTIONS(1840),
    [anon_sym_lt] = ACTIONS(1840),
    [anon_sym_le] = ACTIONS(1840),
    [anon_sym_ge] = ACTIONS(1840),
    [anon_sym_gt] = ACTIONS(1840),
    [anon_sym_isa] = ACTIONS(1840),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_PLUS_PLUS] = ACTIONS(1842),
    [anon_sym_DASH_DASH] = ACTIONS(1842),
    [anon_sym_QMARK] = ACTIONS(1840),
    [anon_sym_BSLASH] = ACTIONS(1845),
    [anon_sym_do] = ACTIONS(1838),
    [anon_sym_eval] = ACTIONS(1838),
    [anon_sym_await] = ACTIONS(1838),
    [anon_sym_field] = ACTIONS(1838),
    [anon_sym_local] = ACTIONS(1838),
    [anon_sym_dynamically] = ACTIONS(1838),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1838),
    [anon_sym_require] = ACTIONS(1838),
    [anon_sym_map] = ACTIONS(1838),
    [anon_sym_grep] = ACTIONS(1838),
    [anon_sym_sort] = ACTIONS(1838),
    [anon_sym_goto] = ACTIONS(1838),
    [anon_sym_return] = ACTIONS(1838),
    [anon_sym_undef] = ACTIONS(1838),
    [anon_sym_PERCENT2] = ACTIONS(1838),
    [anon_sym_AMP2] = ACTIONS(1838),
    [anon_sym_STAR2] = ACTIONS(1838),
    [anon_sym_EQ_GT] = ACTIONS(1840),
    [anon_sym_last] = ACTIONS(1838),
    [anon_sym_next] = ACTIONS(1838),
    [anon_sym_redo] = ACTIONS(1838),
    [anon_sym___FILE__] = ACTIONS(1838),
    [anon_sym___LINE__] = ACTIONS(1838),
    [anon_sym___PACKAGE__] = ACTIONS(1838),
    [anon_sym___SUB__] = ACTIONS(1838),
    [anon_sym_break] = ACTIONS(1838),
    [anon_sym_fork] = ACTIONS(1838),
    [anon_sym_getppid] = ACTIONS(1838),
    [anon_sym_time] = ACTIONS(1838),
    [anon_sym_times] = ACTIONS(1838),
    [anon_sym_wait] = ACTIONS(1838),
    [anon_sym_wantarray] = ACTIONS(1838),
    [anon_sym_abs] = ACTIONS(1838),
    [anon_sym_alarm] = ACTIONS(1838),
    [anon_sym_chop] = ACTIONS(1838),
    [anon_sym_chdir] = ACTIONS(1838),
    [anon_sym_close] = ACTIONS(1838),
    [anon_sym_closedir] = ACTIONS(1838),
    [anon_sym_caller] = ACTIONS(1838),
    [anon_sym_chomp] = ACTIONS(1838),
    [anon_sym_chr] = ACTIONS(1838),
    [anon_sym_cos] = ACTIONS(1838),
    [anon_sym_chroot] = ACTIONS(1838),
    [anon_sym_defined] = ACTIONS(1838),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_dbmclose] = ACTIONS(1838),
    [anon_sym_exists] = ACTIONS(1838),
    [anon_sym_exit] = ACTIONS(1838),
    [anon_sym_eof] = ACTIONS(1838),
    [anon_sym_exp] = ACTIONS(1838),
    [anon_sym_each] = ACTIONS(1838),
    [anon_sym_fc] = ACTIONS(1838),
    [anon_sym_fileno] = ACTIONS(1838),
    [anon_sym_gmtime] = ACTIONS(1838),
    [anon_sym_getc] = ACTIONS(1838),
    [anon_sym_getpgrp] = ACTIONS(1838),
    [anon_sym_getprotobyname] = ACTIONS(1838),
    [anon_sym_getpwname] = ACTIONS(1838),
    [anon_sym_getpwuid] = ACTIONS(1838),
    [anon_sym_getpeername] = ACTIONS(1838),
    [anon_sym_getnetbyname] = ACTIONS(1838),
    [anon_sym_getsockname] = ACTIONS(1838),
    [anon_sym_getgrnam] = ACTIONS(1838),
    [anon_sym_getgrgid] = ACTIONS(1838),
    [anon_sym_hex] = ACTIONS(1838),
    [anon_sym_int] = ACTIONS(1838),
    [anon_sym_keys] = ACTIONS(1838),
    [anon_sym_lc] = ACTIONS(1838),
    [anon_sym_lcfirst] = ACTIONS(1838),
    [anon_sym_length] = ACTIONS(1838),
    [anon_sym_localtime] = ACTIONS(1838),
    [anon_sym_log] = ACTIONS(1838),
    [anon_sym_lock] = ACTIONS(1838),
    [anon_sym_lstat] = ACTIONS(1838),
    [anon_sym_oct] = ACTIONS(1838),
    [anon_sym_ord] = ACTIONS(1838),
    [anon_sym_prototype] = ACTIONS(1838),
    [anon_sym_pop] = ACTIONS(1838),
    [anon_sym_pos] = ACTIONS(1838),
    [anon_sym_quotemeta] = ACTIONS(1838),
    [anon_sym_reset] = ACTIONS(1838),
    [anon_sym_rand] = ACTIONS(1838),
    [anon_sym_rmdir] = ACTIONS(1838),
    [anon_sym_readdir] = ACTIONS(1838),
    [anon_sym_readline] = ACTIONS(1838),
    [anon_sym_readpipe] = ACTIONS(1838),
    [anon_sym_rewinddir] = ACTIONS(1838),
    [anon_sym_readlink] = ACTIONS(1838),
    [anon_sym_ref] = ACTIONS(1838),
    [anon_sym_scalar] = ACTIONS(1838),
    [anon_sym_shift] = ACTIONS(1838),
    [anon_sym_sin] = ACTIONS(1838),
    [anon_sym_sleep] = ACTIONS(1838),
    [anon_sym_sqrt] = ACTIONS(1838),
    [anon_sym_srand] = ACTIONS(1838),
    [anon_sym_stat] = ACTIONS(1838),
    [anon_sym_study] = ACTIONS(1838),
    [anon_sym_tell] = ACTIONS(1838),
    [anon_sym_telldir] = ACTIONS(1838),
    [anon_sym_tied] = ACTIONS(1838),
    [anon_sym_uc] = ACTIONS(1838),
    [anon_sym_ucfirst] = ACTIONS(1838),
    [anon_sym_untie] = ACTIONS(1838),
    [anon_sym_umask] = ACTIONS(1838),
    [anon_sym_values] = ACTIONS(1838),
    [anon_sym_write] = ACTIONS(1838),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1838),
    [anon_sym_qq] = ACTIONS(1838),
    [anon_sym_qw] = ACTIONS(1838),
    [anon_sym_qx] = ACTIONS(1838),
    [anon_sym_qr] = ACTIONS(1838),
    [anon_sym_m] = ACTIONS(1838),
    [anon_sym_s] = ACTIONS(1838),
    [anon_sym_tr] = ACTIONS(1838),
    [anon_sym_y] = ACTIONS(1838),
    [aux_sym__bareword_token1] = ACTIONS(1838),
    [sym_number] = ACTIONS(1838),
    [anon_sym_true] = ACTIONS(1838),
    [anon_sym_false] = ACTIONS(1838),
    [sym__single_quote] = ACTIONS(1845),
    [sym__double_quote] = ACTIONS(1845),
    [sym__backtick_quote] = ACTIONS(1845),
    [sym__search_slash_quote] = ACTIONS(1845),
    [sym__no_search_slash_plz] = ACTIONS(1847),
    [sym__open_readline_bracket] = ACTIONS(1845),
    [sym__open_fileglob_bracket] = ACTIONS(1845),
    [sym__PERLY_HEREDOC] = ACTIONS(1845),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1845),
    [sym__filetest] = ACTIONS(1845),
  },
  [823] = {
    [sym_heredoc_content] = STATE(823),
    [sym__identifier] = ACTIONS(1851),
    [anon_sym_LBRACE] = ACTIONS(1851),
    [anon_sym_RBRACE] = ACTIONS(1851),
    [anon_sym_COLON] = ACTIONS(1851),
    [anon_sym_DOLLAR] = ACTIONS(1851),
    [anon_sym_EQ] = ACTIONS(1851),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1851),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(1851),
    [anon_sym_COMMA] = ACTIONS(1851),
    [anon_sym_RPAREN] = ACTIONS(1851),
    [anon_sym_my] = ACTIONS(1851),
    [anon_sym_extended] = ACTIONS(1851),
    [anon_sym_async] = ACTIONS(1851),
    [anon_sym_sub] = ACTIONS(1851),
    [anon_sym_method] = ACTIONS(1851),
    [anon_sym_LPAREN] = ACTIONS(1851),
    [anon_sym_continue] = ACTIONS(1851),
    [anon_sym_state] = ACTIONS(1851),
    [anon_sym_our] = ACTIONS(1851),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1851),
    [anon_sym_LBRACK] = ACTIONS(1851),
    [anon_sym_DASH_GT] = ACTIONS(1851),
    [anon_sym_PERCENT] = ACTIONS(1851),
    [anon_sym_GT] = ACTIONS(1851),
    [anon_sym_LT_LT] = ACTIONS(1851),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1851),
    [anon_sym_PLUS_EQ] = ACTIONS(1851),
    [anon_sym_DASH_EQ] = ACTIONS(1851),
    [anon_sym_DOT_EQ] = ACTIONS(1851),
    [anon_sym_STAR_EQ] = ACTIONS(1851),
    [anon_sym_SLASH_EQ] = ACTIONS(1851),
    [anon_sym_PERCENT_EQ] = ACTIONS(1851),
    [anon_sym_x_EQ] = ACTIONS(1851),
    [anon_sym_AMP_EQ] = ACTIONS(1851),
    [anon_sym_PIPE_EQ] = ACTIONS(1851),
    [anon_sym_CARET_EQ] = ACTIONS(1851),
    [anon_sym_LT_LT_EQ] = ACTIONS(1851),
    [anon_sym_GT_GT_EQ] = ACTIONS(1851),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1851),
    [anon_sym_DOT_DOT] = ACTIONS(1851),
    [anon_sym_STAR_STAR] = ACTIONS(1851),
    [anon_sym_PIPE_PIPE] = ACTIONS(1851),
    [anon_sym_SLASH_SLASH] = ACTIONS(1851),
    [anon_sym_CARET_CARET] = ACTIONS(1851),
    [anon_sym_AMP_AMP] = ACTIONS(1851),
    [anon_sym_PIPE] = ACTIONS(1851),
    [anon_sym_CARET] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym_GT_GT2] = ACTIONS(1851),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_DOT] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_SLASH] = ACTIONS(1851),
    [anon_sym_x] = ACTIONS(1851),
    [anon_sym_EQ_TILDE] = ACTIONS(1851),
    [anon_sym_BANG_TILDE] = ACTIONS(1851),
    [anon_sym_EQ_EQ] = ACTIONS(1851),
    [anon_sym_BANG_EQ] = ACTIONS(1851),
    [anon_sym_eq] = ACTIONS(1851),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1851),
    [anon_sym_equ] = ACTIONS(1851),
    [anon_sym_eqr] = ACTIONS(1851),
    [anon_sym_ne] = ACTIONS(1851),
    [anon_sym_LT_EQ_GT] = ACTIONS(1851),
    [anon_sym_cmp] = ACTIONS(1851),
    [anon_sym_TILDE_TILDE] = ACTIONS(1851),
    [anon_sym_LT] = ACTIONS(1851),
    [anon_sym_LT_EQ] = ACTIONS(1851),
    [anon_sym_GT_EQ] = ACTIONS(1851),
    [anon_sym_lt] = ACTIONS(1851),
    [anon_sym_le] = ACTIONS(1851),
    [anon_sym_ge] = ACTIONS(1851),
    [anon_sym_gt] = ACTIONS(1851),
    [anon_sym_isa] = ACTIONS(1851),
    [anon_sym_TILDE] = ACTIONS(1851),
    [anon_sym_BANG] = ACTIONS(1851),
    [anon_sym_PLUS_PLUS] = ACTIONS(1851),
    [anon_sym_DASH_DASH] = ACTIONS(1851),
    [anon_sym_QMARK] = ACTIONS(1851),
    [anon_sym_BSLASH] = ACTIONS(1853),
    [anon_sym_do] = ACTIONS(1851),
    [anon_sym_eval] = ACTIONS(1851),
    [anon_sym_await] = ACTIONS(1851),
    [anon_sym_field] = ACTIONS(1851),
    [anon_sym_local] = ACTIONS(1851),
    [anon_sym_dynamically] = ACTIONS(1851),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1851),
    [anon_sym_require] = ACTIONS(1851),
    [anon_sym_map] = ACTIONS(1851),
    [anon_sym_grep] = ACTIONS(1851),
    [anon_sym_sort] = ACTIONS(1851),
    [anon_sym_goto] = ACTIONS(1851),
    [anon_sym_return] = ACTIONS(1851),
    [anon_sym_undef] = ACTIONS(1851),
    [anon_sym_PERCENT2] = ACTIONS(1851),
    [anon_sym_AMP2] = ACTIONS(1851),
    [anon_sym_STAR2] = ACTIONS(1851),
    [anon_sym_EQ_GT] = ACTIONS(1851),
    [anon_sym_last] = ACTIONS(1851),
    [anon_sym_next] = ACTIONS(1851),
    [anon_sym_redo] = ACTIONS(1851),
    [anon_sym___FILE__] = ACTIONS(1851),
    [anon_sym___LINE__] = ACTIONS(1851),
    [anon_sym___PACKAGE__] = ACTIONS(1851),
    [anon_sym___SUB__] = ACTIONS(1851),
    [anon_sym_break] = ACTIONS(1851),
    [anon_sym_fork] = ACTIONS(1851),
    [anon_sym_getppid] = ACTIONS(1851),
    [anon_sym_time] = ACTIONS(1851),
    [anon_sym_times] = ACTIONS(1851),
    [anon_sym_wait] = ACTIONS(1851),
    [anon_sym_wantarray] = ACTIONS(1851),
    [anon_sym_abs] = ACTIONS(1851),
    [anon_sym_alarm] = ACTIONS(1851),
    [anon_sym_chop] = ACTIONS(1851),
    [anon_sym_chdir] = ACTIONS(1851),
    [anon_sym_close] = ACTIONS(1851),
    [anon_sym_closedir] = ACTIONS(1851),
    [anon_sym_caller] = ACTIONS(1851),
    [anon_sym_chomp] = ACTIONS(1851),
    [anon_sym_chr] = ACTIONS(1851),
    [anon_sym_cos] = ACTIONS(1851),
    [anon_sym_chroot] = ACTIONS(1851),
    [anon_sym_defined] = ACTIONS(1851),
    [anon_sym_delete] = ACTIONS(1851),
    [anon_sym_dbmclose] = ACTIONS(1851),
    [anon_sym_exists] = ACTIONS(1851),
    [anon_sym_exit] = ACTIONS(1851),
    [anon_sym_eof] = ACTIONS(1851),
    [anon_sym_exp] = ACTIONS(1851),
    [anon_sym_each] = ACTIONS(1851),
    [anon_sym_fc] = ACTIONS(1851),
    [anon_sym_fileno] = ACTIONS(1851),
    [anon_sym_gmtime] = ACTIONS(1851),
    [anon_sym_getc] = ACTIONS(1851),
    [anon_sym_getpgrp] = ACTIONS(1851),
    [anon_sym_getprotobyname] = ACTIONS(1851),
    [anon_sym_getpwname] = ACTIONS(1851),
    [anon_sym_getpwuid] = ACTIONS(1851),
    [anon_sym_getpeername] = ACTIONS(1851),
    [anon_sym_getnetbyname] = ACTIONS(1851),
    [anon_sym_getsockname] = ACTIONS(1851),
    [anon_sym_getgrnam] = ACTIONS(1851),
    [anon_sym_getgrgid] = ACTIONS(1851),
    [anon_sym_hex] = ACTIONS(1851),
    [anon_sym_int] = ACTIONS(1851),
    [anon_sym_keys] = ACTIONS(1851),
    [anon_sym_lc] = ACTIONS(1851),
    [anon_sym_lcfirst] = ACTIONS(1851),
    [anon_sym_length] = ACTIONS(1851),
    [anon_sym_localtime] = ACTIONS(1851),
    [anon_sym_log] = ACTIONS(1851),
    [anon_sym_lock] = ACTIONS(1851),
    [anon_sym_lstat] = ACTIONS(1851),
    [anon_sym_oct] = ACTIONS(1851),
    [anon_sym_ord] = ACTIONS(1851),
    [anon_sym_prototype] = ACTIONS(1851),
    [anon_sym_pop] = ACTIONS(1851),
    [anon_sym_pos] = ACTIONS(1851),
    [anon_sym_quotemeta] = ACTIONS(1851),
    [anon_sym_reset] = ACTIONS(1851),
    [anon_sym_rand] = ACTIONS(1851),
    [anon_sym_rmdir] = ACTIONS(1851),
    [anon_sym_readdir] = ACTIONS(1851),
    [anon_sym_readline] = ACTIONS(1851),
    [anon_sym_readpipe] = ACTIONS(1851),
    [anon_sym_rewinddir] = ACTIONS(1851),
    [anon_sym_readlink] = ACTIONS(1851),
    [anon_sym_ref] = ACTIONS(1851),
    [anon_sym_scalar] = ACTIONS(1851),
    [anon_sym_shift] = ACTIONS(1851),
    [anon_sym_sin] = ACTIONS(1851),
    [anon_sym_sleep] = ACTIONS(1851),
    [anon_sym_sqrt] = ACTIONS(1851),
    [anon_sym_srand] = ACTIONS(1851),
    [anon_sym_stat] = ACTIONS(1851),
    [anon_sym_study] = ACTIONS(1851),
    [anon_sym_tell] = ACTIONS(1851),
    [anon_sym_telldir] = ACTIONS(1851),
    [anon_sym_tied] = ACTIONS(1851),
    [anon_sym_uc] = ACTIONS(1851),
    [anon_sym_ucfirst] = ACTIONS(1851),
    [anon_sym_untie] = ACTIONS(1851),
    [anon_sym_umask] = ACTIONS(1851),
    [anon_sym_values] = ACTIONS(1851),
    [anon_sym_write] = ACTIONS(1851),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1851),
    [anon_sym_qq] = ACTIONS(1851),
    [anon_sym_qw] = ACTIONS(1851),
    [anon_sym_qx] = ACTIONS(1851),
    [anon_sym_qr] = ACTIONS(1851),
    [anon_sym_m] = ACTIONS(1851),
    [anon_sym_s] = ACTIONS(1851),
    [anon_sym_tr] = ACTIONS(1851),
    [anon_sym_y] = ACTIONS(1851),
    [aux_sym__bareword_token1] = ACTIONS(1851),
    [sym_number] = ACTIONS(1851),
    [anon_sym_true] = ACTIONS(1851),
    [anon_sym_false] = ACTIONS(1851),
    [sym__single_quote] = ACTIONS(1853),
    [sym__double_quote] = ACTIONS(1853),
    [sym__backtick_quote] = ACTIONS(1853),
    [sym__search_slash_quote] = ACTIONS(1853),
    [sym__no_search_slash_plz] = ACTIONS(1853),
    [sym__open_readline_bracket] = ACTIONS(1853),
    [sym__open_fileglob_bracket] = ACTIONS(1853),
    [sym__PERLY_HEREDOC] = ACTIONS(1853),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1853),
    [sym__filetest] = ACTIONS(1853),
  },
  [824] = {
    [sym_heredoc_content] = STATE(824),
    [sym__identifier] = ACTIONS(1855),
    [anon_sym_LBRACE] = ACTIONS(1855),
    [anon_sym_RBRACE] = ACTIONS(1855),
    [anon_sym_COLON] = ACTIONS(1855),
    [anon_sym_DOLLAR] = ACTIONS(1855),
    [anon_sym_EQ] = ACTIONS(1855),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1855),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1855),
    [anon_sym_AT] = ACTIONS(1855),
    [anon_sym_COMMA] = ACTIONS(1855),
    [anon_sym_RPAREN] = ACTIONS(1855),
    [anon_sym_my] = ACTIONS(1855),
    [anon_sym_extended] = ACTIONS(1855),
    [anon_sym_async] = ACTIONS(1855),
    [anon_sym_sub] = ACTIONS(1855),
    [anon_sym_method] = ACTIONS(1855),
    [anon_sym_LPAREN] = ACTIONS(1855),
    [anon_sym_continue] = ACTIONS(1855),
    [anon_sym_state] = ACTIONS(1855),
    [anon_sym_our] = ACTIONS(1855),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1855),
    [anon_sym_LBRACK] = ACTIONS(1855),
    [anon_sym_DASH_GT] = ACTIONS(1855),
    [anon_sym_PERCENT] = ACTIONS(1855),
    [anon_sym_GT] = ACTIONS(1855),
    [anon_sym_LT_LT] = ACTIONS(1855),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1855),
    [anon_sym_PLUS_EQ] = ACTIONS(1855),
    [anon_sym_DASH_EQ] = ACTIONS(1855),
    [anon_sym_DOT_EQ] = ACTIONS(1855),
    [anon_sym_STAR_EQ] = ACTIONS(1855),
    [anon_sym_SLASH_EQ] = ACTIONS(1855),
    [anon_sym_PERCENT_EQ] = ACTIONS(1855),
    [anon_sym_x_EQ] = ACTIONS(1855),
    [anon_sym_AMP_EQ] = ACTIONS(1855),
    [anon_sym_PIPE_EQ] = ACTIONS(1855),
    [anon_sym_CARET_EQ] = ACTIONS(1855),
    [anon_sym_LT_LT_EQ] = ACTIONS(1855),
    [anon_sym_GT_GT_EQ] = ACTIONS(1855),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1855),
    [anon_sym_DOT_DOT] = ACTIONS(1855),
    [anon_sym_STAR_STAR] = ACTIONS(1855),
    [anon_sym_PIPE_PIPE] = ACTIONS(1855),
    [anon_sym_SLASH_SLASH] = ACTIONS(1855),
    [anon_sym_CARET_CARET] = ACTIONS(1855),
    [anon_sym_AMP_AMP] = ACTIONS(1855),
    [anon_sym_PIPE] = ACTIONS(1855),
    [anon_sym_CARET] = ACTIONS(1855),
    [anon_sym_AMP] = ACTIONS(1855),
    [anon_sym_GT_GT2] = ACTIONS(1855),
    [anon_sym_PLUS] = ACTIONS(1855),
    [anon_sym_DASH] = ACTIONS(1855),
    [anon_sym_DOT] = ACTIONS(1855),
    [anon_sym_STAR] = ACTIONS(1855),
    [anon_sym_SLASH] = ACTIONS(1855),
    [anon_sym_x] = ACTIONS(1855),
    [anon_sym_EQ_TILDE] = ACTIONS(1855),
    [anon_sym_BANG_TILDE] = ACTIONS(1855),
    [anon_sym_EQ_EQ] = ACTIONS(1855),
    [anon_sym_BANG_EQ] = ACTIONS(1855),
    [anon_sym_eq] = ACTIONS(1855),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1855),
    [anon_sym_equ] = ACTIONS(1855),
    [anon_sym_eqr] = ACTIONS(1855),
    [anon_sym_ne] = ACTIONS(1855),
    [anon_sym_LT_EQ_GT] = ACTIONS(1855),
    [anon_sym_cmp] = ACTIONS(1855),
    [anon_sym_TILDE_TILDE] = ACTIONS(1855),
    [anon_sym_LT] = ACTIONS(1855),
    [anon_sym_LT_EQ] = ACTIONS(1855),
    [anon_sym_GT_EQ] = ACTIONS(1855),
    [anon_sym_lt] = ACTIONS(1855),
    [anon_sym_le] = ACTIONS(1855),
    [anon_sym_ge] = ACTIONS(1855),
    [anon_sym_gt] = ACTIONS(1855),
    [anon_sym_isa] = ACTIONS(1855),
    [anon_sym_TILDE] = ACTIONS(1855),
    [anon_sym_BANG] = ACTIONS(1855),
    [anon_sym_PLUS_PLUS] = ACTIONS(1855),
    [anon_sym_DASH_DASH] = ACTIONS(1855),
    [anon_sym_QMARK] = ACTIONS(1855),
    [anon_sym_BSLASH] = ACTIONS(1857),
    [anon_sym_do] = ACTIONS(1855),
    [anon_sym_eval] = ACTIONS(1855),
    [anon_sym_await] = ACTIONS(1855),
    [anon_sym_field] = ACTIONS(1855),
    [anon_sym_local] = ACTIONS(1855),
    [anon_sym_dynamically] = ACTIONS(1855),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1855),
    [anon_sym_require] = ACTIONS(1855),
    [anon_sym_map] = ACTIONS(1855),
    [anon_sym_grep] = ACTIONS(1855),
    [anon_sym_sort] = ACTIONS(1855),
    [anon_sym_goto] = ACTIONS(1855),
    [anon_sym_return] = ACTIONS(1855),
    [anon_sym_undef] = ACTIONS(1855),
    [anon_sym_PERCENT2] = ACTIONS(1855),
    [anon_sym_AMP2] = ACTIONS(1855),
    [anon_sym_STAR2] = ACTIONS(1855),
    [anon_sym_EQ_GT] = ACTIONS(1855),
    [anon_sym_last] = ACTIONS(1855),
    [anon_sym_next] = ACTIONS(1855),
    [anon_sym_redo] = ACTIONS(1855),
    [anon_sym___FILE__] = ACTIONS(1855),
    [anon_sym___LINE__] = ACTIONS(1855),
    [anon_sym___PACKAGE__] = ACTIONS(1855),
    [anon_sym___SUB__] = ACTIONS(1855),
    [anon_sym_break] = ACTIONS(1855),
    [anon_sym_fork] = ACTIONS(1855),
    [anon_sym_getppid] = ACTIONS(1855),
    [anon_sym_time] = ACTIONS(1855),
    [anon_sym_times] = ACTIONS(1855),
    [anon_sym_wait] = ACTIONS(1855),
    [anon_sym_wantarray] = ACTIONS(1855),
    [anon_sym_abs] = ACTIONS(1855),
    [anon_sym_alarm] = ACTIONS(1855),
    [anon_sym_chop] = ACTIONS(1855),
    [anon_sym_chdir] = ACTIONS(1855),
    [anon_sym_close] = ACTIONS(1855),
    [anon_sym_closedir] = ACTIONS(1855),
    [anon_sym_caller] = ACTIONS(1855),
    [anon_sym_chomp] = ACTIONS(1855),
    [anon_sym_chr] = ACTIONS(1855),
    [anon_sym_cos] = ACTIONS(1855),
    [anon_sym_chroot] = ACTIONS(1855),
    [anon_sym_defined] = ACTIONS(1855),
    [anon_sym_delete] = ACTIONS(1855),
    [anon_sym_dbmclose] = ACTIONS(1855),
    [anon_sym_exists] = ACTIONS(1855),
    [anon_sym_exit] = ACTIONS(1855),
    [anon_sym_eof] = ACTIONS(1855),
    [anon_sym_exp] = ACTIONS(1855),
    [anon_sym_each] = ACTIONS(1855),
    [anon_sym_fc] = ACTIONS(1855),
    [anon_sym_fileno] = ACTIONS(1855),
    [anon_sym_gmtime] = ACTIONS(1855),
    [anon_sym_getc] = ACTIONS(1855),
    [anon_sym_getpgrp] = ACTIONS(1855),
    [anon_sym_getprotobyname] = ACTIONS(1855),
    [anon_sym_getpwname] = ACTIONS(1855),
    [anon_sym_getpwuid] = ACTIONS(1855),
    [anon_sym_getpeername] = ACTIONS(1855),
    [anon_sym_getnetbyname] = ACTIONS(1855),
    [anon_sym_getsockname] = ACTIONS(1855),
    [anon_sym_getgrnam] = ACTIONS(1855),
    [anon_sym_getgrgid] = ACTIONS(1855),
    [anon_sym_hex] = ACTIONS(1855),
    [anon_sym_int] = ACTIONS(1855),
    [anon_sym_keys] = ACTIONS(1855),
    [anon_sym_lc] = ACTIONS(1855),
    [anon_sym_lcfirst] = ACTIONS(1855),
    [anon_sym_length] = ACTIONS(1855),
    [anon_sym_localtime] = ACTIONS(1855),
    [anon_sym_log] = ACTIONS(1855),
    [anon_sym_lock] = ACTIONS(1855),
    [anon_sym_lstat] = ACTIONS(1855),
    [anon_sym_oct] = ACTIONS(1855),
    [anon_sym_ord] = ACTIONS(1855),
    [anon_sym_prototype] = ACTIONS(1855),
    [anon_sym_pop] = ACTIONS(1855),
    [anon_sym_pos] = ACTIONS(1855),
    [anon_sym_quotemeta] = ACTIONS(1855),
    [anon_sym_reset] = ACTIONS(1855),
    [anon_sym_rand] = ACTIONS(1855),
    [anon_sym_rmdir] = ACTIONS(1855),
    [anon_sym_readdir] = ACTIONS(1855),
    [anon_sym_readline] = ACTIONS(1855),
    [anon_sym_readpipe] = ACTIONS(1855),
    [anon_sym_rewinddir] = ACTIONS(1855),
    [anon_sym_readlink] = ACTIONS(1855),
    [anon_sym_ref] = ACTIONS(1855),
    [anon_sym_scalar] = ACTIONS(1855),
    [anon_sym_shift] = ACTIONS(1855),
    [anon_sym_sin] = ACTIONS(1855),
    [anon_sym_sleep] = ACTIONS(1855),
    [anon_sym_sqrt] = ACTIONS(1855),
    [anon_sym_srand] = ACTIONS(1855),
    [anon_sym_stat] = ACTIONS(1855),
    [anon_sym_study] = ACTIONS(1855),
    [anon_sym_tell] = ACTIONS(1855),
    [anon_sym_telldir] = ACTIONS(1855),
    [anon_sym_tied] = ACTIONS(1855),
    [anon_sym_uc] = ACTIONS(1855),
    [anon_sym_ucfirst] = ACTIONS(1855),
    [anon_sym_untie] = ACTIONS(1855),
    [anon_sym_umask] = ACTIONS(1855),
    [anon_sym_values] = ACTIONS(1855),
    [anon_sym_write] = ACTIONS(1855),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1855),
    [anon_sym_qq] = ACTIONS(1855),
    [anon_sym_qw] = ACTIONS(1855),
    [anon_sym_qx] = ACTIONS(1855),
    [anon_sym_qr] = ACTIONS(1855),
    [anon_sym_m] = ACTIONS(1855),
    [anon_sym_s] = ACTIONS(1855),
    [anon_sym_tr] = ACTIONS(1855),
    [anon_sym_y] = ACTIONS(1855),
    [aux_sym__bareword_token1] = ACTIONS(1855),
    [sym_number] = ACTIONS(1855),
    [anon_sym_true] = ACTIONS(1855),
    [anon_sym_false] = ACTIONS(1855),
    [sym__single_quote] = ACTIONS(1857),
    [sym__double_quote] = ACTIONS(1857),
    [sym__backtick_quote] = ACTIONS(1857),
    [sym__search_slash_quote] = ACTIONS(1857),
    [sym__no_search_slash_plz] = ACTIONS(1857),
    [sym__open_readline_bracket] = ACTIONS(1857),
    [sym__open_fileglob_bracket] = ACTIONS(1857),
    [sym__PERLY_HEREDOC] = ACTIONS(1857),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1857),
    [sym__filetest] = ACTIONS(1857),
  },
  [825] = {
    [sym_heredoc_content] = STATE(825),
    [sym__identifier] = ACTIONS(1834),
    [anon_sym_LBRACE] = ACTIONS(1834),
    [anon_sym_RBRACE] = ACTIONS(1834),
    [anon_sym_COLON] = ACTIONS(1834),
    [anon_sym_DOLLAR] = ACTIONS(1834),
    [anon_sym_EQ] = ACTIONS(1834),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1834),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1834),
    [anon_sym_AT] = ACTIONS(1834),
    [anon_sym_COMMA] = ACTIONS(1834),
    [anon_sym_RPAREN] = ACTIONS(1834),
    [anon_sym_my] = ACTIONS(1834),
    [anon_sym_extended] = ACTIONS(1834),
    [anon_sym_async] = ACTIONS(1834),
    [anon_sym_sub] = ACTIONS(1834),
    [anon_sym_method] = ACTIONS(1834),
    [anon_sym_LPAREN] = ACTIONS(1834),
    [anon_sym_continue] = ACTIONS(1834),
    [anon_sym_state] = ACTIONS(1834),
    [anon_sym_our] = ACTIONS(1834),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1834),
    [anon_sym_LBRACK] = ACTIONS(1834),
    [anon_sym_DASH_GT] = ACTIONS(1834),
    [anon_sym_PERCENT] = ACTIONS(1834),
    [anon_sym_GT] = ACTIONS(1834),
    [anon_sym_LT_LT] = ACTIONS(1834),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1834),
    [anon_sym_PLUS_EQ] = ACTIONS(1834),
    [anon_sym_DASH_EQ] = ACTIONS(1834),
    [anon_sym_DOT_EQ] = ACTIONS(1834),
    [anon_sym_STAR_EQ] = ACTIONS(1834),
    [anon_sym_SLASH_EQ] = ACTIONS(1834),
    [anon_sym_PERCENT_EQ] = ACTIONS(1834),
    [anon_sym_x_EQ] = ACTIONS(1834),
    [anon_sym_AMP_EQ] = ACTIONS(1834),
    [anon_sym_PIPE_EQ] = ACTIONS(1834),
    [anon_sym_CARET_EQ] = ACTIONS(1834),
    [anon_sym_LT_LT_EQ] = ACTIONS(1834),
    [anon_sym_GT_GT_EQ] = ACTIONS(1834),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1834),
    [anon_sym_DOT_DOT] = ACTIONS(1834),
    [anon_sym_STAR_STAR] = ACTIONS(1834),
    [anon_sym_PIPE_PIPE] = ACTIONS(1834),
    [anon_sym_SLASH_SLASH] = ACTIONS(1834),
    [anon_sym_CARET_CARET] = ACTIONS(1834),
    [anon_sym_AMP_AMP] = ACTIONS(1834),
    [anon_sym_PIPE] = ACTIONS(1834),
    [anon_sym_CARET] = ACTIONS(1834),
    [anon_sym_AMP] = ACTIONS(1834),
    [anon_sym_GT_GT2] = ACTIONS(1834),
    [anon_sym_PLUS] = ACTIONS(1834),
    [anon_sym_DASH] = ACTIONS(1834),
    [anon_sym_DOT] = ACTIONS(1834),
    [anon_sym_STAR] = ACTIONS(1834),
    [anon_sym_SLASH] = ACTIONS(1834),
    [anon_sym_x] = ACTIONS(1834),
    [anon_sym_EQ_TILDE] = ACTIONS(1834),
    [anon_sym_BANG_TILDE] = ACTIONS(1834),
    [anon_sym_EQ_EQ] = ACTIONS(1834),
    [anon_sym_BANG_EQ] = ACTIONS(1834),
    [anon_sym_eq] = ACTIONS(1834),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1834),
    [anon_sym_equ] = ACTIONS(1834),
    [anon_sym_eqr] = ACTIONS(1834),
    [anon_sym_ne] = ACTIONS(1834),
    [anon_sym_LT_EQ_GT] = ACTIONS(1834),
    [anon_sym_cmp] = ACTIONS(1834),
    [anon_sym_TILDE_TILDE] = ACTIONS(1834),
    [anon_sym_LT] = ACTIONS(1834),
    [anon_sym_LT_EQ] = ACTIONS(1834),
    [anon_sym_GT_EQ] = ACTIONS(1834),
    [anon_sym_lt] = ACTIONS(1834),
    [anon_sym_le] = ACTIONS(1834),
    [anon_sym_ge] = ACTIONS(1834),
    [anon_sym_gt] = ACTIONS(1834),
    [anon_sym_isa] = ACTIONS(1834),
    [anon_sym_TILDE] = ACTIONS(1834),
    [anon_sym_BANG] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1834),
    [anon_sym_DASH_DASH] = ACTIONS(1834),
    [anon_sym_QMARK] = ACTIONS(1834),
    [anon_sym_BSLASH] = ACTIONS(1836),
    [anon_sym_do] = ACTIONS(1834),
    [anon_sym_eval] = ACTIONS(1834),
    [anon_sym_await] = ACTIONS(1834),
    [anon_sym_field] = ACTIONS(1834),
    [anon_sym_local] = ACTIONS(1834),
    [anon_sym_dynamically] = ACTIONS(1834),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1834),
    [anon_sym_require] = ACTIONS(1834),
    [anon_sym_map] = ACTIONS(1834),
    [anon_sym_grep] = ACTIONS(1834),
    [anon_sym_sort] = ACTIONS(1834),
    [anon_sym_goto] = ACTIONS(1834),
    [anon_sym_return] = ACTIONS(1834),
    [anon_sym_undef] = ACTIONS(1834),
    [anon_sym_PERCENT2] = ACTIONS(1834),
    [anon_sym_AMP2] = ACTIONS(1834),
    [anon_sym_STAR2] = ACTIONS(1834),
    [anon_sym_EQ_GT] = ACTIONS(1834),
    [anon_sym_last] = ACTIONS(1834),
    [anon_sym_next] = ACTIONS(1834),
    [anon_sym_redo] = ACTIONS(1834),
    [anon_sym___FILE__] = ACTIONS(1834),
    [anon_sym___LINE__] = ACTIONS(1834),
    [anon_sym___PACKAGE__] = ACTIONS(1834),
    [anon_sym___SUB__] = ACTIONS(1834),
    [anon_sym_break] = ACTIONS(1834),
    [anon_sym_fork] = ACTIONS(1834),
    [anon_sym_getppid] = ACTIONS(1834),
    [anon_sym_time] = ACTIONS(1834),
    [anon_sym_times] = ACTIONS(1834),
    [anon_sym_wait] = ACTIONS(1834),
    [anon_sym_wantarray] = ACTIONS(1834),
    [anon_sym_abs] = ACTIONS(1834),
    [anon_sym_alarm] = ACTIONS(1834),
    [anon_sym_chop] = ACTIONS(1834),
    [anon_sym_chdir] = ACTIONS(1834),
    [anon_sym_close] = ACTIONS(1834),
    [anon_sym_closedir] = ACTIONS(1834),
    [anon_sym_caller] = ACTIONS(1834),
    [anon_sym_chomp] = ACTIONS(1834),
    [anon_sym_chr] = ACTIONS(1834),
    [anon_sym_cos] = ACTIONS(1834),
    [anon_sym_chroot] = ACTIONS(1834),
    [anon_sym_defined] = ACTIONS(1834),
    [anon_sym_delete] = ACTIONS(1834),
    [anon_sym_dbmclose] = ACTIONS(1834),
    [anon_sym_exists] = ACTIONS(1834),
    [anon_sym_exit] = ACTIONS(1834),
    [anon_sym_eof] = ACTIONS(1834),
    [anon_sym_exp] = ACTIONS(1834),
    [anon_sym_each] = ACTIONS(1834),
    [anon_sym_fc] = ACTIONS(1834),
    [anon_sym_fileno] = ACTIONS(1834),
    [anon_sym_gmtime] = ACTIONS(1834),
    [anon_sym_getc] = ACTIONS(1834),
    [anon_sym_getpgrp] = ACTIONS(1834),
    [anon_sym_getprotobyname] = ACTIONS(1834),
    [anon_sym_getpwname] = ACTIONS(1834),
    [anon_sym_getpwuid] = ACTIONS(1834),
    [anon_sym_getpeername] = ACTIONS(1834),
    [anon_sym_getnetbyname] = ACTIONS(1834),
    [anon_sym_getsockname] = ACTIONS(1834),
    [anon_sym_getgrnam] = ACTIONS(1834),
    [anon_sym_getgrgid] = ACTIONS(1834),
    [anon_sym_hex] = ACTIONS(1834),
    [anon_sym_int] = ACTIONS(1834),
    [anon_sym_keys] = ACTIONS(1834),
    [anon_sym_lc] = ACTIONS(1834),
    [anon_sym_lcfirst] = ACTIONS(1834),
    [anon_sym_length] = ACTIONS(1834),
    [anon_sym_localtime] = ACTIONS(1834),
    [anon_sym_log] = ACTIONS(1834),
    [anon_sym_lock] = ACTIONS(1834),
    [anon_sym_lstat] = ACTIONS(1834),
    [anon_sym_oct] = ACTIONS(1834),
    [anon_sym_ord] = ACTIONS(1834),
    [anon_sym_prototype] = ACTIONS(1834),
    [anon_sym_pop] = ACTIONS(1834),
    [anon_sym_pos] = ACTIONS(1834),
    [anon_sym_quotemeta] = ACTIONS(1834),
    [anon_sym_reset] = ACTIONS(1834),
    [anon_sym_rand] = ACTIONS(1834),
    [anon_sym_rmdir] = ACTIONS(1834),
    [anon_sym_readdir] = ACTIONS(1834),
    [anon_sym_readline] = ACTIONS(1834),
    [anon_sym_readpipe] = ACTIONS(1834),
    [anon_sym_rewinddir] = ACTIONS(1834),
    [anon_sym_readlink] = ACTIONS(1834),
    [anon_sym_ref] = ACTIONS(1834),
    [anon_sym_scalar] = ACTIONS(1834),
    [anon_sym_shift] = ACTIONS(1834),
    [anon_sym_sin] = ACTIONS(1834),
    [anon_sym_sleep] = ACTIONS(1834),
    [anon_sym_sqrt] = ACTIONS(1834),
    [anon_sym_srand] = ACTIONS(1834),
    [anon_sym_stat] = ACTIONS(1834),
    [anon_sym_study] = ACTIONS(1834),
    [anon_sym_tell] = ACTIONS(1834),
    [anon_sym_telldir] = ACTIONS(1834),
    [anon_sym_tied] = ACTIONS(1834),
    [anon_sym_uc] = ACTIONS(1834),
    [anon_sym_ucfirst] = ACTIONS(1834),
    [anon_sym_untie] = ACTIONS(1834),
    [anon_sym_umask] = ACTIONS(1834),
    [anon_sym_values] = ACTIONS(1834),
    [anon_sym_write] = ACTIONS(1834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1834),
    [anon_sym_qq] = ACTIONS(1834),
    [anon_sym_qw] = ACTIONS(1834),
    [anon_sym_qx] = ACTIONS(1834),
    [anon_sym_qr] = ACTIONS(1834),
    [anon_sym_m] = ACTIONS(1834),
    [anon_sym_s] = ACTIONS(1834),
    [anon_sym_tr] = ACTIONS(1834),
    [anon_sym_y] = ACTIONS(1834),
    [aux_sym__bareword_token1] = ACTIONS(1834),
    [sym_number] = ACTIONS(1834),
    [anon_sym_true] = ACTIONS(1834),
    [anon_sym_false] = ACTIONS(1834),
    [sym__single_quote] = ACTIONS(1836),
    [sym__double_quote] = ACTIONS(1836),
    [sym__backtick_quote] = ACTIONS(1836),
    [sym__search_slash_quote] = ACTIONS(1836),
    [sym__no_search_slash_plz] = ACTIONS(1836),
    [sym__open_readline_bracket] = ACTIONS(1836),
    [sym__open_fileglob_bracket] = ACTIONS(1836),
    [sym__PERLY_HEREDOC] = ACTIONS(1836),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1836),
    [sym__filetest] = ACTIONS(1836),
  },
  [826] = {
    [sym_heredoc_content] = STATE(826),
    [sym__identifier] = ACTIONS(1828),
    [anon_sym_LBRACE] = ACTIONS(1828),
    [anon_sym_RBRACE] = ACTIONS(1828),
    [anon_sym_COLON] = ACTIONS(1828),
    [anon_sym_DOLLAR] = ACTIONS(1828),
    [anon_sym_EQ] = ACTIONS(1828),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1828),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1828),
    [anon_sym_AT] = ACTIONS(1828),
    [anon_sym_COMMA] = ACTIONS(1828),
    [anon_sym_RPAREN] = ACTIONS(1828),
    [anon_sym_my] = ACTIONS(1828),
    [anon_sym_extended] = ACTIONS(1828),
    [anon_sym_async] = ACTIONS(1828),
    [anon_sym_sub] = ACTIONS(1828),
    [anon_sym_method] = ACTIONS(1828),
    [anon_sym_LPAREN] = ACTIONS(1828),
    [anon_sym_continue] = ACTIONS(1828),
    [anon_sym_state] = ACTIONS(1828),
    [anon_sym_our] = ACTIONS(1828),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1828),
    [anon_sym_LBRACK] = ACTIONS(1828),
    [anon_sym_DASH_GT] = ACTIONS(1828),
    [anon_sym_PERCENT] = ACTIONS(1828),
    [anon_sym_GT] = ACTIONS(1828),
    [anon_sym_LT_LT] = ACTIONS(1828),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1828),
    [anon_sym_PLUS_EQ] = ACTIONS(1828),
    [anon_sym_DASH_EQ] = ACTIONS(1828),
    [anon_sym_DOT_EQ] = ACTIONS(1828),
    [anon_sym_STAR_EQ] = ACTIONS(1828),
    [anon_sym_SLASH_EQ] = ACTIONS(1828),
    [anon_sym_PERCENT_EQ] = ACTIONS(1828),
    [anon_sym_x_EQ] = ACTIONS(1828),
    [anon_sym_AMP_EQ] = ACTIONS(1828),
    [anon_sym_PIPE_EQ] = ACTIONS(1828),
    [anon_sym_CARET_EQ] = ACTIONS(1828),
    [anon_sym_LT_LT_EQ] = ACTIONS(1828),
    [anon_sym_GT_GT_EQ] = ACTIONS(1828),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1828),
    [anon_sym_DOT_DOT] = ACTIONS(1828),
    [anon_sym_STAR_STAR] = ACTIONS(1828),
    [anon_sym_PIPE_PIPE] = ACTIONS(1828),
    [anon_sym_SLASH_SLASH] = ACTIONS(1828),
    [anon_sym_CARET_CARET] = ACTIONS(1828),
    [anon_sym_AMP_AMP] = ACTIONS(1828),
    [anon_sym_PIPE] = ACTIONS(1828),
    [anon_sym_CARET] = ACTIONS(1828),
    [anon_sym_AMP] = ACTIONS(1828),
    [anon_sym_GT_GT2] = ACTIONS(1828),
    [anon_sym_PLUS] = ACTIONS(1828),
    [anon_sym_DASH] = ACTIONS(1828),
    [anon_sym_DOT] = ACTIONS(1828),
    [anon_sym_STAR] = ACTIONS(1828),
    [anon_sym_SLASH] = ACTIONS(1828),
    [anon_sym_x] = ACTIONS(1828),
    [anon_sym_EQ_TILDE] = ACTIONS(1828),
    [anon_sym_BANG_TILDE] = ACTIONS(1828),
    [anon_sym_EQ_EQ] = ACTIONS(1828),
    [anon_sym_BANG_EQ] = ACTIONS(1828),
    [anon_sym_eq] = ACTIONS(1828),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1828),
    [anon_sym_equ] = ACTIONS(1828),
    [anon_sym_eqr] = ACTIONS(1828),
    [anon_sym_ne] = ACTIONS(1828),
    [anon_sym_LT_EQ_GT] = ACTIONS(1828),
    [anon_sym_cmp] = ACTIONS(1828),
    [anon_sym_TILDE_TILDE] = ACTIONS(1828),
    [anon_sym_LT] = ACTIONS(1828),
    [anon_sym_LT_EQ] = ACTIONS(1828),
    [anon_sym_GT_EQ] = ACTIONS(1828),
    [anon_sym_lt] = ACTIONS(1828),
    [anon_sym_le] = ACTIONS(1828),
    [anon_sym_ge] = ACTIONS(1828),
    [anon_sym_gt] = ACTIONS(1828),
    [anon_sym_isa] = ACTIONS(1828),
    [anon_sym_TILDE] = ACTIONS(1828),
    [anon_sym_BANG] = ACTIONS(1828),
    [anon_sym_PLUS_PLUS] = ACTIONS(1828),
    [anon_sym_DASH_DASH] = ACTIONS(1828),
    [anon_sym_QMARK] = ACTIONS(1828),
    [anon_sym_BSLASH] = ACTIONS(1832),
    [anon_sym_do] = ACTIONS(1828),
    [anon_sym_eval] = ACTIONS(1828),
    [anon_sym_await] = ACTIONS(1828),
    [anon_sym_field] = ACTIONS(1828),
    [anon_sym_local] = ACTIONS(1828),
    [anon_sym_dynamically] = ACTIONS(1828),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1828),
    [anon_sym_require] = ACTIONS(1828),
    [anon_sym_map] = ACTIONS(1828),
    [anon_sym_grep] = ACTIONS(1828),
    [anon_sym_sort] = ACTIONS(1828),
    [anon_sym_goto] = ACTIONS(1828),
    [anon_sym_return] = ACTIONS(1828),
    [anon_sym_undef] = ACTIONS(1828),
    [anon_sym_PERCENT2] = ACTIONS(1828),
    [anon_sym_AMP2] = ACTIONS(1828),
    [anon_sym_STAR2] = ACTIONS(1828),
    [anon_sym_EQ_GT] = ACTIONS(1828),
    [anon_sym_last] = ACTIONS(1828),
    [anon_sym_next] = ACTIONS(1828),
    [anon_sym_redo] = ACTIONS(1828),
    [anon_sym___FILE__] = ACTIONS(1828),
    [anon_sym___LINE__] = ACTIONS(1828),
    [anon_sym___PACKAGE__] = ACTIONS(1828),
    [anon_sym___SUB__] = ACTIONS(1828),
    [anon_sym_break] = ACTIONS(1828),
    [anon_sym_fork] = ACTIONS(1828),
    [anon_sym_getppid] = ACTIONS(1828),
    [anon_sym_time] = ACTIONS(1828),
    [anon_sym_times] = ACTIONS(1828),
    [anon_sym_wait] = ACTIONS(1828),
    [anon_sym_wantarray] = ACTIONS(1828),
    [anon_sym_abs] = ACTIONS(1828),
    [anon_sym_alarm] = ACTIONS(1828),
    [anon_sym_chop] = ACTIONS(1828),
    [anon_sym_chdir] = ACTIONS(1828),
    [anon_sym_close] = ACTIONS(1828),
    [anon_sym_closedir] = ACTIONS(1828),
    [anon_sym_caller] = ACTIONS(1828),
    [anon_sym_chomp] = ACTIONS(1828),
    [anon_sym_chr] = ACTIONS(1828),
    [anon_sym_cos] = ACTIONS(1828),
    [anon_sym_chroot] = ACTIONS(1828),
    [anon_sym_defined] = ACTIONS(1828),
    [anon_sym_delete] = ACTIONS(1828),
    [anon_sym_dbmclose] = ACTIONS(1828),
    [anon_sym_exists] = ACTIONS(1828),
    [anon_sym_exit] = ACTIONS(1828),
    [anon_sym_eof] = ACTIONS(1828),
    [anon_sym_exp] = ACTIONS(1828),
    [anon_sym_each] = ACTIONS(1828),
    [anon_sym_fc] = ACTIONS(1828),
    [anon_sym_fileno] = ACTIONS(1828),
    [anon_sym_gmtime] = ACTIONS(1828),
    [anon_sym_getc] = ACTIONS(1828),
    [anon_sym_getpgrp] = ACTIONS(1828),
    [anon_sym_getprotobyname] = ACTIONS(1828),
    [anon_sym_getpwname] = ACTIONS(1828),
    [anon_sym_getpwuid] = ACTIONS(1828),
    [anon_sym_getpeername] = ACTIONS(1828),
    [anon_sym_getnetbyname] = ACTIONS(1828),
    [anon_sym_getsockname] = ACTIONS(1828),
    [anon_sym_getgrnam] = ACTIONS(1828),
    [anon_sym_getgrgid] = ACTIONS(1828),
    [anon_sym_hex] = ACTIONS(1828),
    [anon_sym_int] = ACTIONS(1828),
    [anon_sym_keys] = ACTIONS(1828),
    [anon_sym_lc] = ACTIONS(1828),
    [anon_sym_lcfirst] = ACTIONS(1828),
    [anon_sym_length] = ACTIONS(1828),
    [anon_sym_localtime] = ACTIONS(1828),
    [anon_sym_log] = ACTIONS(1828),
    [anon_sym_lock] = ACTIONS(1828),
    [anon_sym_lstat] = ACTIONS(1828),
    [anon_sym_oct] = ACTIONS(1828),
    [anon_sym_ord] = ACTIONS(1828),
    [anon_sym_prototype] = ACTIONS(1828),
    [anon_sym_pop] = ACTIONS(1828),
    [anon_sym_pos] = ACTIONS(1828),
    [anon_sym_quotemeta] = ACTIONS(1828),
    [anon_sym_reset] = ACTIONS(1828),
    [anon_sym_rand] = ACTIONS(1828),
    [anon_sym_rmdir] = ACTIONS(1828),
    [anon_sym_readdir] = ACTIONS(1828),
    [anon_sym_readline] = ACTIONS(1828),
    [anon_sym_readpipe] = ACTIONS(1828),
    [anon_sym_rewinddir] = ACTIONS(1828),
    [anon_sym_readlink] = ACTIONS(1828),
    [anon_sym_ref] = ACTIONS(1828),
    [anon_sym_scalar] = ACTIONS(1828),
    [anon_sym_shift] = ACTIONS(1828),
    [anon_sym_sin] = ACTIONS(1828),
    [anon_sym_sleep] = ACTIONS(1828),
    [anon_sym_sqrt] = ACTIONS(1828),
    [anon_sym_srand] = ACTIONS(1828),
    [anon_sym_stat] = ACTIONS(1828),
    [anon_sym_study] = ACTIONS(1828),
    [anon_sym_tell] = ACTIONS(1828),
    [anon_sym_telldir] = ACTIONS(1828),
    [anon_sym_tied] = ACTIONS(1828),
    [anon_sym_uc] = ACTIONS(1828),
    [anon_sym_ucfirst] = ACTIONS(1828),
    [anon_sym_untie] = ACTIONS(1828),
    [anon_sym_umask] = ACTIONS(1828),
    [anon_sym_values] = ACTIONS(1828),
    [anon_sym_write] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1828),
    [anon_sym_qq] = ACTIONS(1828),
    [anon_sym_qw] = ACTIONS(1828),
    [anon_sym_qx] = ACTIONS(1828),
    [anon_sym_qr] = ACTIONS(1828),
    [anon_sym_m] = ACTIONS(1828),
    [anon_sym_s] = ACTIONS(1828),
    [anon_sym_tr] = ACTIONS(1828),
    [anon_sym_y] = ACTIONS(1828),
    [aux_sym__bareword_token1] = ACTIONS(1828),
    [sym_number] = ACTIONS(1828),
    [anon_sym_true] = ACTIONS(1828),
    [anon_sym_false] = ACTIONS(1828),
    [sym__single_quote] = ACTIONS(1832),
    [sym__double_quote] = ACTIONS(1832),
    [sym__backtick_quote] = ACTIONS(1832),
    [sym__search_slash_quote] = ACTIONS(1832),
    [sym__no_search_slash_plz] = ACTIONS(1832),
    [sym__open_readline_bracket] = ACTIONS(1832),
    [sym__open_fileglob_bracket] = ACTIONS(1832),
    [sym__PERLY_HEREDOC] = ACTIONS(1832),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1832),
    [sym__filetest] = ACTIONS(1832),
  },
  [827] = {
    [sym_heredoc_content] = STATE(827),
    [sym__identifier] = ACTIONS(1859),
    [anon_sym_LBRACE] = ACTIONS(1859),
    [anon_sym_RBRACE] = ACTIONS(1859),
    [anon_sym_COLON] = ACTIONS(1859),
    [anon_sym_DOLLAR] = ACTIONS(1859),
    [anon_sym_EQ] = ACTIONS(1859),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1859),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(1859),
    [anon_sym_COMMA] = ACTIONS(1859),
    [anon_sym_RPAREN] = ACTIONS(1859),
    [anon_sym_my] = ACTIONS(1859),
    [anon_sym_extended] = ACTIONS(1859),
    [anon_sym_async] = ACTIONS(1859),
    [anon_sym_sub] = ACTIONS(1859),
    [anon_sym_method] = ACTIONS(1859),
    [anon_sym_LPAREN] = ACTIONS(1859),
    [anon_sym_continue] = ACTIONS(1859),
    [anon_sym_state] = ACTIONS(1859),
    [anon_sym_our] = ACTIONS(1859),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1859),
    [anon_sym_DASH_GT] = ACTIONS(1859),
    [anon_sym_PERCENT] = ACTIONS(1859),
    [anon_sym_GT] = ACTIONS(1859),
    [anon_sym_LT_LT] = ACTIONS(1859),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1859),
    [anon_sym_PLUS_EQ] = ACTIONS(1859),
    [anon_sym_DASH_EQ] = ACTIONS(1859),
    [anon_sym_DOT_EQ] = ACTIONS(1859),
    [anon_sym_STAR_EQ] = ACTIONS(1859),
    [anon_sym_SLASH_EQ] = ACTIONS(1859),
    [anon_sym_PERCENT_EQ] = ACTIONS(1859),
    [anon_sym_x_EQ] = ACTIONS(1859),
    [anon_sym_AMP_EQ] = ACTIONS(1859),
    [anon_sym_PIPE_EQ] = ACTIONS(1859),
    [anon_sym_CARET_EQ] = ACTIONS(1859),
    [anon_sym_LT_LT_EQ] = ACTIONS(1859),
    [anon_sym_GT_GT_EQ] = ACTIONS(1859),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1859),
    [anon_sym_DOT_DOT] = ACTIONS(1859),
    [anon_sym_STAR_STAR] = ACTIONS(1859),
    [anon_sym_PIPE_PIPE] = ACTIONS(1859),
    [anon_sym_SLASH_SLASH] = ACTIONS(1859),
    [anon_sym_CARET_CARET] = ACTIONS(1859),
    [anon_sym_AMP_AMP] = ACTIONS(1859),
    [anon_sym_PIPE] = ACTIONS(1859),
    [anon_sym_CARET] = ACTIONS(1859),
    [anon_sym_AMP] = ACTIONS(1859),
    [anon_sym_GT_GT2] = ACTIONS(1859),
    [anon_sym_PLUS] = ACTIONS(1859),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_DOT] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1859),
    [anon_sym_SLASH] = ACTIONS(1859),
    [anon_sym_x] = ACTIONS(1859),
    [anon_sym_EQ_TILDE] = ACTIONS(1859),
    [anon_sym_BANG_TILDE] = ACTIONS(1859),
    [anon_sym_EQ_EQ] = ACTIONS(1859),
    [anon_sym_BANG_EQ] = ACTIONS(1859),
    [anon_sym_eq] = ACTIONS(1859),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1859),
    [anon_sym_equ] = ACTIONS(1859),
    [anon_sym_eqr] = ACTIONS(1859),
    [anon_sym_ne] = ACTIONS(1859),
    [anon_sym_LT_EQ_GT] = ACTIONS(1859),
    [anon_sym_cmp] = ACTIONS(1859),
    [anon_sym_TILDE_TILDE] = ACTIONS(1859),
    [anon_sym_LT] = ACTIONS(1859),
    [anon_sym_LT_EQ] = ACTIONS(1859),
    [anon_sym_GT_EQ] = ACTIONS(1859),
    [anon_sym_lt] = ACTIONS(1859),
    [anon_sym_le] = ACTIONS(1859),
    [anon_sym_ge] = ACTIONS(1859),
    [anon_sym_gt] = ACTIONS(1859),
    [anon_sym_isa] = ACTIONS(1859),
    [anon_sym_TILDE] = ACTIONS(1859),
    [anon_sym_BANG] = ACTIONS(1859),
    [anon_sym_PLUS_PLUS] = ACTIONS(1859),
    [anon_sym_DASH_DASH] = ACTIONS(1859),
    [anon_sym_QMARK] = ACTIONS(1859),
    [anon_sym_BSLASH] = ACTIONS(1861),
    [anon_sym_do] = ACTIONS(1859),
    [anon_sym_eval] = ACTIONS(1859),
    [anon_sym_await] = ACTIONS(1859),
    [anon_sym_field] = ACTIONS(1859),
    [anon_sym_local] = ACTIONS(1859),
    [anon_sym_dynamically] = ACTIONS(1859),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1859),
    [anon_sym_require] = ACTIONS(1859),
    [anon_sym_map] = ACTIONS(1859),
    [anon_sym_grep] = ACTIONS(1859),
    [anon_sym_sort] = ACTIONS(1859),
    [anon_sym_goto] = ACTIONS(1859),
    [anon_sym_return] = ACTIONS(1859),
    [anon_sym_undef] = ACTIONS(1859),
    [anon_sym_PERCENT2] = ACTIONS(1859),
    [anon_sym_AMP2] = ACTIONS(1859),
    [anon_sym_STAR2] = ACTIONS(1859),
    [anon_sym_EQ_GT] = ACTIONS(1859),
    [anon_sym_last] = ACTIONS(1859),
    [anon_sym_next] = ACTIONS(1859),
    [anon_sym_redo] = ACTIONS(1859),
    [anon_sym___FILE__] = ACTIONS(1859),
    [anon_sym___LINE__] = ACTIONS(1859),
    [anon_sym___PACKAGE__] = ACTIONS(1859),
    [anon_sym___SUB__] = ACTIONS(1859),
    [anon_sym_break] = ACTIONS(1859),
    [anon_sym_fork] = ACTIONS(1859),
    [anon_sym_getppid] = ACTIONS(1859),
    [anon_sym_time] = ACTIONS(1859),
    [anon_sym_times] = ACTIONS(1859),
    [anon_sym_wait] = ACTIONS(1859),
    [anon_sym_wantarray] = ACTIONS(1859),
    [anon_sym_abs] = ACTIONS(1859),
    [anon_sym_alarm] = ACTIONS(1859),
    [anon_sym_chop] = ACTIONS(1859),
    [anon_sym_chdir] = ACTIONS(1859),
    [anon_sym_close] = ACTIONS(1859),
    [anon_sym_closedir] = ACTIONS(1859),
    [anon_sym_caller] = ACTIONS(1859),
    [anon_sym_chomp] = ACTIONS(1859),
    [anon_sym_chr] = ACTIONS(1859),
    [anon_sym_cos] = ACTIONS(1859),
    [anon_sym_chroot] = ACTIONS(1859),
    [anon_sym_defined] = ACTIONS(1859),
    [anon_sym_delete] = ACTIONS(1859),
    [anon_sym_dbmclose] = ACTIONS(1859),
    [anon_sym_exists] = ACTIONS(1859),
    [anon_sym_exit] = ACTIONS(1859),
    [anon_sym_eof] = ACTIONS(1859),
    [anon_sym_exp] = ACTIONS(1859),
    [anon_sym_each] = ACTIONS(1859),
    [anon_sym_fc] = ACTIONS(1859),
    [anon_sym_fileno] = ACTIONS(1859),
    [anon_sym_gmtime] = ACTIONS(1859),
    [anon_sym_getc] = ACTIONS(1859),
    [anon_sym_getpgrp] = ACTIONS(1859),
    [anon_sym_getprotobyname] = ACTIONS(1859),
    [anon_sym_getpwname] = ACTIONS(1859),
    [anon_sym_getpwuid] = ACTIONS(1859),
    [anon_sym_getpeername] = ACTIONS(1859),
    [anon_sym_getnetbyname] = ACTIONS(1859),
    [anon_sym_getsockname] = ACTIONS(1859),
    [anon_sym_getgrnam] = ACTIONS(1859),
    [anon_sym_getgrgid] = ACTIONS(1859),
    [anon_sym_hex] = ACTIONS(1859),
    [anon_sym_int] = ACTIONS(1859),
    [anon_sym_keys] = ACTIONS(1859),
    [anon_sym_lc] = ACTIONS(1859),
    [anon_sym_lcfirst] = ACTIONS(1859),
    [anon_sym_length] = ACTIONS(1859),
    [anon_sym_localtime] = ACTIONS(1859),
    [anon_sym_log] = ACTIONS(1859),
    [anon_sym_lock] = ACTIONS(1859),
    [anon_sym_lstat] = ACTIONS(1859),
    [anon_sym_oct] = ACTIONS(1859),
    [anon_sym_ord] = ACTIONS(1859),
    [anon_sym_prototype] = ACTIONS(1859),
    [anon_sym_pop] = ACTIONS(1859),
    [anon_sym_pos] = ACTIONS(1859),
    [anon_sym_quotemeta] = ACTIONS(1859),
    [anon_sym_reset] = ACTIONS(1859),
    [anon_sym_rand] = ACTIONS(1859),
    [anon_sym_rmdir] = ACTIONS(1859),
    [anon_sym_readdir] = ACTIONS(1859),
    [anon_sym_readline] = ACTIONS(1859),
    [anon_sym_readpipe] = ACTIONS(1859),
    [anon_sym_rewinddir] = ACTIONS(1859),
    [anon_sym_readlink] = ACTIONS(1859),
    [anon_sym_ref] = ACTIONS(1859),
    [anon_sym_scalar] = ACTIONS(1859),
    [anon_sym_shift] = ACTIONS(1859),
    [anon_sym_sin] = ACTIONS(1859),
    [anon_sym_sleep] = ACTIONS(1859),
    [anon_sym_sqrt] = ACTIONS(1859),
    [anon_sym_srand] = ACTIONS(1859),
    [anon_sym_stat] = ACTIONS(1859),
    [anon_sym_study] = ACTIONS(1859),
    [anon_sym_tell] = ACTIONS(1859),
    [anon_sym_telldir] = ACTIONS(1859),
    [anon_sym_tied] = ACTIONS(1859),
    [anon_sym_uc] = ACTIONS(1859),
    [anon_sym_ucfirst] = ACTIONS(1859),
    [anon_sym_untie] = ACTIONS(1859),
    [anon_sym_umask] = ACTIONS(1859),
    [anon_sym_values] = ACTIONS(1859),
    [anon_sym_write] = ACTIONS(1859),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1859),
    [anon_sym_qq] = ACTIONS(1859),
    [anon_sym_qw] = ACTIONS(1859),
    [anon_sym_qx] = ACTIONS(1859),
    [anon_sym_qr] = ACTIONS(1859),
    [anon_sym_m] = ACTIONS(1859),
    [anon_sym_s] = ACTIONS(1859),
    [anon_sym_tr] = ACTIONS(1859),
    [anon_sym_y] = ACTIONS(1859),
    [aux_sym__bareword_token1] = ACTIONS(1859),
    [sym_number] = ACTIONS(1859),
    [anon_sym_true] = ACTIONS(1859),
    [anon_sym_false] = ACTIONS(1859),
    [sym__single_quote] = ACTIONS(1861),
    [sym__double_quote] = ACTIONS(1861),
    [sym__backtick_quote] = ACTIONS(1861),
    [sym__search_slash_quote] = ACTIONS(1861),
    [sym__no_search_slash_plz] = ACTIONS(1861),
    [sym__open_readline_bracket] = ACTIONS(1861),
    [sym__open_fileglob_bracket] = ACTIONS(1861),
    [sym__PERLY_HEREDOC] = ACTIONS(1861),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1861),
    [sym__filetest] = ACTIONS(1861),
  },
  [828] = {
    [sym_heredoc_content] = STATE(828),
    [sym__identifier] = ACTIONS(1661),
    [anon_sym_LBRACE] = ACTIONS(1661),
    [anon_sym_RBRACE] = ACTIONS(1661),
    [anon_sym_COLON] = ACTIONS(1661),
    [anon_sym_DOLLAR] = ACTIONS(1661),
    [anon_sym_EQ] = ACTIONS(1661),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1661),
    [anon_sym_AT] = ACTIONS(1661),
    [anon_sym_COMMA] = ACTIONS(1661),
    [anon_sym_RPAREN] = ACTIONS(1661),
    [anon_sym_my] = ACTIONS(1661),
    [anon_sym_extended] = ACTIONS(1661),
    [anon_sym_async] = ACTIONS(1661),
    [anon_sym_sub] = ACTIONS(1661),
    [anon_sym_method] = ACTIONS(1661),
    [anon_sym_LPAREN] = ACTIONS(1661),
    [anon_sym_continue] = ACTIONS(1661),
    [anon_sym_state] = ACTIONS(1661),
    [anon_sym_our] = ACTIONS(1661),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1661),
    [anon_sym_LBRACK] = ACTIONS(1661),
    [anon_sym_DASH_GT] = ACTIONS(1661),
    [anon_sym_PERCENT] = ACTIONS(1661),
    [anon_sym_GT] = ACTIONS(1661),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1661),
    [anon_sym_PLUS_EQ] = ACTIONS(1661),
    [anon_sym_DASH_EQ] = ACTIONS(1661),
    [anon_sym_DOT_EQ] = ACTIONS(1661),
    [anon_sym_STAR_EQ] = ACTIONS(1661),
    [anon_sym_SLASH_EQ] = ACTIONS(1661),
    [anon_sym_PERCENT_EQ] = ACTIONS(1661),
    [anon_sym_x_EQ] = ACTIONS(1661),
    [anon_sym_AMP_EQ] = ACTIONS(1661),
    [anon_sym_PIPE_EQ] = ACTIONS(1661),
    [anon_sym_CARET_EQ] = ACTIONS(1661),
    [anon_sym_LT_LT_EQ] = ACTIONS(1661),
    [anon_sym_GT_GT_EQ] = ACTIONS(1661),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1661),
    [anon_sym_DOT_DOT] = ACTIONS(1661),
    [anon_sym_STAR_STAR] = ACTIONS(1661),
    [anon_sym_PIPE_PIPE] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1661),
    [anon_sym_CARET_CARET] = ACTIONS(1661),
    [anon_sym_AMP_AMP] = ACTIONS(1661),
    [anon_sym_PIPE] = ACTIONS(1661),
    [anon_sym_CARET] = ACTIONS(1661),
    [anon_sym_AMP] = ACTIONS(1661),
    [anon_sym_GT_GT2] = ACTIONS(1661),
    [anon_sym_PLUS] = ACTIONS(1661),
    [anon_sym_DASH] = ACTIONS(1661),
    [anon_sym_DOT] = ACTIONS(1661),
    [anon_sym_STAR] = ACTIONS(1661),
    [anon_sym_SLASH] = ACTIONS(1661),
    [anon_sym_x] = ACTIONS(1661),
    [anon_sym_EQ_TILDE] = ACTIONS(1661),
    [anon_sym_BANG_TILDE] = ACTIONS(1661),
    [anon_sym_EQ_EQ] = ACTIONS(1661),
    [anon_sym_BANG_EQ] = ACTIONS(1661),
    [anon_sym_eq] = ACTIONS(1661),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1661),
    [anon_sym_equ] = ACTIONS(1661),
    [anon_sym_eqr] = ACTIONS(1661),
    [anon_sym_ne] = ACTIONS(1661),
    [anon_sym_LT_EQ_GT] = ACTIONS(1661),
    [anon_sym_cmp] = ACTIONS(1661),
    [anon_sym_TILDE_TILDE] = ACTIONS(1661),
    [anon_sym_LT] = ACTIONS(1661),
    [anon_sym_LT_EQ] = ACTIONS(1661),
    [anon_sym_GT_EQ] = ACTIONS(1661),
    [anon_sym_lt] = ACTIONS(1661),
    [anon_sym_le] = ACTIONS(1661),
    [anon_sym_ge] = ACTIONS(1661),
    [anon_sym_gt] = ACTIONS(1661),
    [anon_sym_isa] = ACTIONS(1661),
    [anon_sym_TILDE] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1661),
    [anon_sym_PLUS_PLUS] = ACTIONS(1661),
    [anon_sym_DASH_DASH] = ACTIONS(1661),
    [anon_sym_QMARK] = ACTIONS(1661),
    [anon_sym_BSLASH] = ACTIONS(1659),
    [anon_sym_do] = ACTIONS(1661),
    [anon_sym_eval] = ACTIONS(1661),
    [anon_sym_await] = ACTIONS(1661),
    [anon_sym_field] = ACTIONS(1661),
    [anon_sym_local] = ACTIONS(1661),
    [anon_sym_dynamically] = ACTIONS(1661),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1661),
    [anon_sym_require] = ACTIONS(1661),
    [anon_sym_map] = ACTIONS(1661),
    [anon_sym_grep] = ACTIONS(1661),
    [anon_sym_sort] = ACTIONS(1661),
    [anon_sym_goto] = ACTIONS(1661),
    [anon_sym_return] = ACTIONS(1661),
    [anon_sym_undef] = ACTIONS(1661),
    [anon_sym_PERCENT2] = ACTIONS(1661),
    [anon_sym_AMP2] = ACTIONS(1661),
    [anon_sym_STAR2] = ACTIONS(1661),
    [anon_sym_EQ_GT] = ACTIONS(1661),
    [anon_sym_last] = ACTIONS(1661),
    [anon_sym_next] = ACTIONS(1661),
    [anon_sym_redo] = ACTIONS(1661),
    [anon_sym___FILE__] = ACTIONS(1661),
    [anon_sym___LINE__] = ACTIONS(1661),
    [anon_sym___PACKAGE__] = ACTIONS(1661),
    [anon_sym___SUB__] = ACTIONS(1661),
    [anon_sym_break] = ACTIONS(1661),
    [anon_sym_fork] = ACTIONS(1661),
    [anon_sym_getppid] = ACTIONS(1661),
    [anon_sym_time] = ACTIONS(1661),
    [anon_sym_times] = ACTIONS(1661),
    [anon_sym_wait] = ACTIONS(1661),
    [anon_sym_wantarray] = ACTIONS(1661),
    [anon_sym_abs] = ACTIONS(1661),
    [anon_sym_alarm] = ACTIONS(1661),
    [anon_sym_chop] = ACTIONS(1661),
    [anon_sym_chdir] = ACTIONS(1661),
    [anon_sym_close] = ACTIONS(1661),
    [anon_sym_closedir] = ACTIONS(1661),
    [anon_sym_caller] = ACTIONS(1661),
    [anon_sym_chomp] = ACTIONS(1661),
    [anon_sym_chr] = ACTIONS(1661),
    [anon_sym_cos] = ACTIONS(1661),
    [anon_sym_chroot] = ACTIONS(1661),
    [anon_sym_defined] = ACTIONS(1661),
    [anon_sym_delete] = ACTIONS(1661),
    [anon_sym_dbmclose] = ACTIONS(1661),
    [anon_sym_exists] = ACTIONS(1661),
    [anon_sym_exit] = ACTIONS(1661),
    [anon_sym_eof] = ACTIONS(1661),
    [anon_sym_exp] = ACTIONS(1661),
    [anon_sym_each] = ACTIONS(1661),
    [anon_sym_fc] = ACTIONS(1661),
    [anon_sym_fileno] = ACTIONS(1661),
    [anon_sym_gmtime] = ACTIONS(1661),
    [anon_sym_getc] = ACTIONS(1661),
    [anon_sym_getpgrp] = ACTIONS(1661),
    [anon_sym_getprotobyname] = ACTIONS(1661),
    [anon_sym_getpwname] = ACTIONS(1661),
    [anon_sym_getpwuid] = ACTIONS(1661),
    [anon_sym_getpeername] = ACTIONS(1661),
    [anon_sym_getnetbyname] = ACTIONS(1661),
    [anon_sym_getsockname] = ACTIONS(1661),
    [anon_sym_getgrnam] = ACTIONS(1661),
    [anon_sym_getgrgid] = ACTIONS(1661),
    [anon_sym_hex] = ACTIONS(1661),
    [anon_sym_int] = ACTIONS(1661),
    [anon_sym_keys] = ACTIONS(1661),
    [anon_sym_lc] = ACTIONS(1661),
    [anon_sym_lcfirst] = ACTIONS(1661),
    [anon_sym_length] = ACTIONS(1661),
    [anon_sym_localtime] = ACTIONS(1661),
    [anon_sym_log] = ACTIONS(1661),
    [anon_sym_lock] = ACTIONS(1661),
    [anon_sym_lstat] = ACTIONS(1661),
    [anon_sym_oct] = ACTIONS(1661),
    [anon_sym_ord] = ACTIONS(1661),
    [anon_sym_prototype] = ACTIONS(1661),
    [anon_sym_pop] = ACTIONS(1661),
    [anon_sym_pos] = ACTIONS(1661),
    [anon_sym_quotemeta] = ACTIONS(1661),
    [anon_sym_reset] = ACTIONS(1661),
    [anon_sym_rand] = ACTIONS(1661),
    [anon_sym_rmdir] = ACTIONS(1661),
    [anon_sym_readdir] = ACTIONS(1661),
    [anon_sym_readline] = ACTIONS(1661),
    [anon_sym_readpipe] = ACTIONS(1661),
    [anon_sym_rewinddir] = ACTIONS(1661),
    [anon_sym_readlink] = ACTIONS(1661),
    [anon_sym_ref] = ACTIONS(1661),
    [anon_sym_scalar] = ACTIONS(1661),
    [anon_sym_shift] = ACTIONS(1661),
    [anon_sym_sin] = ACTIONS(1661),
    [anon_sym_sleep] = ACTIONS(1661),
    [anon_sym_sqrt] = ACTIONS(1661),
    [anon_sym_srand] = ACTIONS(1661),
    [anon_sym_stat] = ACTIONS(1661),
    [anon_sym_study] = ACTIONS(1661),
    [anon_sym_tell] = ACTIONS(1661),
    [anon_sym_telldir] = ACTIONS(1661),
    [anon_sym_tied] = ACTIONS(1661),
    [anon_sym_uc] = ACTIONS(1661),
    [anon_sym_ucfirst] = ACTIONS(1661),
    [anon_sym_untie] = ACTIONS(1661),
    [anon_sym_umask] = ACTIONS(1661),
    [anon_sym_values] = ACTIONS(1661),
    [anon_sym_write] = ACTIONS(1661),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1661),
    [anon_sym_qq] = ACTIONS(1661),
    [anon_sym_qw] = ACTIONS(1661),
    [anon_sym_qx] = ACTIONS(1661),
    [anon_sym_qr] = ACTIONS(1661),
    [anon_sym_m] = ACTIONS(1661),
    [anon_sym_s] = ACTIONS(1661),
    [anon_sym_tr] = ACTIONS(1661),
    [anon_sym_y] = ACTIONS(1661),
    [aux_sym__bareword_token1] = ACTIONS(1661),
    [sym_number] = ACTIONS(1661),
    [anon_sym_true] = ACTIONS(1661),
    [anon_sym_false] = ACTIONS(1661),
    [sym__single_quote] = ACTIONS(1659),
    [sym__double_quote] = ACTIONS(1659),
    [sym__backtick_quote] = ACTIONS(1659),
    [sym__search_slash_quote] = ACTIONS(1659),
    [sym__no_search_slash_plz] = ACTIONS(1659),
    [sym__open_readline_bracket] = ACTIONS(1659),
    [sym__open_fileglob_bracket] = ACTIONS(1659),
    [sym__PERLY_HEREDOC] = ACTIONS(1659),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1659),
    [sym__filetest] = ACTIONS(1659),
  },
  [829] = {
    [sym_heredoc_content] = STATE(829),
    [sym__identifier] = ACTIONS(1824),
    [anon_sym_LBRACE] = ACTIONS(1824),
    [anon_sym_RBRACE] = ACTIONS(1824),
    [anon_sym_COLON] = ACTIONS(1824),
    [anon_sym_DOLLAR] = ACTIONS(1824),
    [anon_sym_EQ] = ACTIONS(1824),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1824),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1824),
    [anon_sym_AT] = ACTIONS(1824),
    [anon_sym_COMMA] = ACTIONS(1824),
    [anon_sym_RPAREN] = ACTIONS(1824),
    [anon_sym_my] = ACTIONS(1824),
    [anon_sym_extended] = ACTIONS(1824),
    [anon_sym_async] = ACTIONS(1824),
    [anon_sym_sub] = ACTIONS(1824),
    [anon_sym_method] = ACTIONS(1824),
    [anon_sym_LPAREN] = ACTIONS(1824),
    [anon_sym_continue] = ACTIONS(1824),
    [anon_sym_state] = ACTIONS(1824),
    [anon_sym_our] = ACTIONS(1824),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1824),
    [anon_sym_LBRACK] = ACTIONS(1824),
    [anon_sym_DASH_GT] = ACTIONS(1824),
    [anon_sym_PERCENT] = ACTIONS(1824),
    [anon_sym_GT] = ACTIONS(1824),
    [anon_sym_LT_LT] = ACTIONS(1824),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1824),
    [anon_sym_PLUS_EQ] = ACTIONS(1824),
    [anon_sym_DASH_EQ] = ACTIONS(1824),
    [anon_sym_DOT_EQ] = ACTIONS(1824),
    [anon_sym_STAR_EQ] = ACTIONS(1824),
    [anon_sym_SLASH_EQ] = ACTIONS(1824),
    [anon_sym_PERCENT_EQ] = ACTIONS(1824),
    [anon_sym_x_EQ] = ACTIONS(1824),
    [anon_sym_AMP_EQ] = ACTIONS(1824),
    [anon_sym_PIPE_EQ] = ACTIONS(1824),
    [anon_sym_CARET_EQ] = ACTIONS(1824),
    [anon_sym_LT_LT_EQ] = ACTIONS(1824),
    [anon_sym_GT_GT_EQ] = ACTIONS(1824),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1824),
    [anon_sym_DOT_DOT] = ACTIONS(1824),
    [anon_sym_STAR_STAR] = ACTIONS(1824),
    [anon_sym_PIPE_PIPE] = ACTIONS(1824),
    [anon_sym_SLASH_SLASH] = ACTIONS(1824),
    [anon_sym_CARET_CARET] = ACTIONS(1824),
    [anon_sym_AMP_AMP] = ACTIONS(1824),
    [anon_sym_PIPE] = ACTIONS(1824),
    [anon_sym_CARET] = ACTIONS(1824),
    [anon_sym_AMP] = ACTIONS(1824),
    [anon_sym_GT_GT2] = ACTIONS(1824),
    [anon_sym_PLUS] = ACTIONS(1824),
    [anon_sym_DASH] = ACTIONS(1824),
    [anon_sym_DOT] = ACTIONS(1824),
    [anon_sym_STAR] = ACTIONS(1824),
    [anon_sym_SLASH] = ACTIONS(1824),
    [anon_sym_x] = ACTIONS(1824),
    [anon_sym_EQ_TILDE] = ACTIONS(1824),
    [anon_sym_BANG_TILDE] = ACTIONS(1824),
    [anon_sym_EQ_EQ] = ACTIONS(1824),
    [anon_sym_BANG_EQ] = ACTIONS(1824),
    [anon_sym_eq] = ACTIONS(1824),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1824),
    [anon_sym_equ] = ACTIONS(1824),
    [anon_sym_eqr] = ACTIONS(1824),
    [anon_sym_ne] = ACTIONS(1824),
    [anon_sym_LT_EQ_GT] = ACTIONS(1824),
    [anon_sym_cmp] = ACTIONS(1824),
    [anon_sym_TILDE_TILDE] = ACTIONS(1824),
    [anon_sym_LT] = ACTIONS(1824),
    [anon_sym_LT_EQ] = ACTIONS(1824),
    [anon_sym_GT_EQ] = ACTIONS(1824),
    [anon_sym_lt] = ACTIONS(1824),
    [anon_sym_le] = ACTIONS(1824),
    [anon_sym_ge] = ACTIONS(1824),
    [anon_sym_gt] = ACTIONS(1824),
    [anon_sym_isa] = ACTIONS(1824),
    [anon_sym_TILDE] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1824),
    [anon_sym_PLUS_PLUS] = ACTIONS(1824),
    [anon_sym_DASH_DASH] = ACTIONS(1824),
    [anon_sym_QMARK] = ACTIONS(1824),
    [anon_sym_BSLASH] = ACTIONS(1826),
    [anon_sym_do] = ACTIONS(1824),
    [anon_sym_eval] = ACTIONS(1824),
    [anon_sym_await] = ACTIONS(1824),
    [anon_sym_field] = ACTIONS(1824),
    [anon_sym_local] = ACTIONS(1824),
    [anon_sym_dynamically] = ACTIONS(1824),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1824),
    [anon_sym_require] = ACTIONS(1824),
    [anon_sym_map] = ACTIONS(1824),
    [anon_sym_grep] = ACTIONS(1824),
    [anon_sym_sort] = ACTIONS(1824),
    [anon_sym_goto] = ACTIONS(1824),
    [anon_sym_return] = ACTIONS(1824),
    [anon_sym_undef] = ACTIONS(1824),
    [anon_sym_PERCENT2] = ACTIONS(1824),
    [anon_sym_AMP2] = ACTIONS(1824),
    [anon_sym_STAR2] = ACTIONS(1824),
    [anon_sym_EQ_GT] = ACTIONS(1824),
    [anon_sym_last] = ACTIONS(1824),
    [anon_sym_next] = ACTIONS(1824),
    [anon_sym_redo] = ACTIONS(1824),
    [anon_sym___FILE__] = ACTIONS(1824),
    [anon_sym___LINE__] = ACTIONS(1824),
    [anon_sym___PACKAGE__] = ACTIONS(1824),
    [anon_sym___SUB__] = ACTIONS(1824),
    [anon_sym_break] = ACTIONS(1824),
    [anon_sym_fork] = ACTIONS(1824),
    [anon_sym_getppid] = ACTIONS(1824),
    [anon_sym_time] = ACTIONS(1824),
    [anon_sym_times] = ACTIONS(1824),
    [anon_sym_wait] = ACTIONS(1824),
    [anon_sym_wantarray] = ACTIONS(1824),
    [anon_sym_abs] = ACTIONS(1824),
    [anon_sym_alarm] = ACTIONS(1824),
    [anon_sym_chop] = ACTIONS(1824),
    [anon_sym_chdir] = ACTIONS(1824),
    [anon_sym_close] = ACTIONS(1824),
    [anon_sym_closedir] = ACTIONS(1824),
    [anon_sym_caller] = ACTIONS(1824),
    [anon_sym_chomp] = ACTIONS(1824),
    [anon_sym_chr] = ACTIONS(1824),
    [anon_sym_cos] = ACTIONS(1824),
    [anon_sym_chroot] = ACTIONS(1824),
    [anon_sym_defined] = ACTIONS(1824),
    [anon_sym_delete] = ACTIONS(1824),
    [anon_sym_dbmclose] = ACTIONS(1824),
    [anon_sym_exists] = ACTIONS(1824),
    [anon_sym_exit] = ACTIONS(1824),
    [anon_sym_eof] = ACTIONS(1824),
    [anon_sym_exp] = ACTIONS(1824),
    [anon_sym_each] = ACTIONS(1824),
    [anon_sym_fc] = ACTIONS(1824),
    [anon_sym_fileno] = ACTIONS(1824),
    [anon_sym_gmtime] = ACTIONS(1824),
    [anon_sym_getc] = ACTIONS(1824),
    [anon_sym_getpgrp] = ACTIONS(1824),
    [anon_sym_getprotobyname] = ACTIONS(1824),
    [anon_sym_getpwname] = ACTIONS(1824),
    [anon_sym_getpwuid] = ACTIONS(1824),
    [anon_sym_getpeername] = ACTIONS(1824),
    [anon_sym_getnetbyname] = ACTIONS(1824),
    [anon_sym_getsockname] = ACTIONS(1824),
    [anon_sym_getgrnam] = ACTIONS(1824),
    [anon_sym_getgrgid] = ACTIONS(1824),
    [anon_sym_hex] = ACTIONS(1824),
    [anon_sym_int] = ACTIONS(1824),
    [anon_sym_keys] = ACTIONS(1824),
    [anon_sym_lc] = ACTIONS(1824),
    [anon_sym_lcfirst] = ACTIONS(1824),
    [anon_sym_length] = ACTIONS(1824),
    [anon_sym_localtime] = ACTIONS(1824),
    [anon_sym_log] = ACTIONS(1824),
    [anon_sym_lock] = ACTIONS(1824),
    [anon_sym_lstat] = ACTIONS(1824),
    [anon_sym_oct] = ACTIONS(1824),
    [anon_sym_ord] = ACTIONS(1824),
    [anon_sym_prototype] = ACTIONS(1824),
    [anon_sym_pop] = ACTIONS(1824),
    [anon_sym_pos] = ACTIONS(1824),
    [anon_sym_quotemeta] = ACTIONS(1824),
    [anon_sym_reset] = ACTIONS(1824),
    [anon_sym_rand] = ACTIONS(1824),
    [anon_sym_rmdir] = ACTIONS(1824),
    [anon_sym_readdir] = ACTIONS(1824),
    [anon_sym_readline] = ACTIONS(1824),
    [anon_sym_readpipe] = ACTIONS(1824),
    [anon_sym_rewinddir] = ACTIONS(1824),
    [anon_sym_readlink] = ACTIONS(1824),
    [anon_sym_ref] = ACTIONS(1824),
    [anon_sym_scalar] = ACTIONS(1824),
    [anon_sym_shift] = ACTIONS(1824),
    [anon_sym_sin] = ACTIONS(1824),
    [anon_sym_sleep] = ACTIONS(1824),
    [anon_sym_sqrt] = ACTIONS(1824),
    [anon_sym_srand] = ACTIONS(1824),
    [anon_sym_stat] = ACTIONS(1824),
    [anon_sym_study] = ACTIONS(1824),
    [anon_sym_tell] = ACTIONS(1824),
    [anon_sym_telldir] = ACTIONS(1824),
    [anon_sym_tied] = ACTIONS(1824),
    [anon_sym_uc] = ACTIONS(1824),
    [anon_sym_ucfirst] = ACTIONS(1824),
    [anon_sym_untie] = ACTIONS(1824),
    [anon_sym_umask] = ACTIONS(1824),
    [anon_sym_values] = ACTIONS(1824),
    [anon_sym_write] = ACTIONS(1824),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1824),
    [anon_sym_qq] = ACTIONS(1824),
    [anon_sym_qw] = ACTIONS(1824),
    [anon_sym_qx] = ACTIONS(1824),
    [anon_sym_qr] = ACTIONS(1824),
    [anon_sym_m] = ACTIONS(1824),
    [anon_sym_s] = ACTIONS(1824),
    [anon_sym_tr] = ACTIONS(1824),
    [anon_sym_y] = ACTIONS(1824),
    [aux_sym__bareword_token1] = ACTIONS(1824),
    [sym_number] = ACTIONS(1824),
    [anon_sym_true] = ACTIONS(1824),
    [anon_sym_false] = ACTIONS(1824),
    [sym__single_quote] = ACTIONS(1826),
    [sym__double_quote] = ACTIONS(1826),
    [sym__backtick_quote] = ACTIONS(1826),
    [sym__search_slash_quote] = ACTIONS(1826),
    [sym__no_search_slash_plz] = ACTIONS(1826),
    [sym__open_readline_bracket] = ACTIONS(1826),
    [sym__open_fileglob_bracket] = ACTIONS(1826),
    [sym__PERLY_HEREDOC] = ACTIONS(1826),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1826),
    [sym__filetest] = ACTIONS(1826),
  },
  [830] = {
    [sym_heredoc_content] = STATE(830),
    [sym__identifier] = ACTIONS(1863),
    [anon_sym_LBRACE] = ACTIONS(1863),
    [anon_sym_RBRACE] = ACTIONS(1863),
    [anon_sym_COLON] = ACTIONS(1863),
    [anon_sym_DOLLAR] = ACTIONS(1863),
    [anon_sym_EQ] = ACTIONS(1863),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1863),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1863),
    [anon_sym_AT] = ACTIONS(1863),
    [anon_sym_COMMA] = ACTIONS(1863),
    [anon_sym_RPAREN] = ACTIONS(1863),
    [anon_sym_my] = ACTIONS(1863),
    [anon_sym_extended] = ACTIONS(1863),
    [anon_sym_async] = ACTIONS(1863),
    [anon_sym_sub] = ACTIONS(1863),
    [anon_sym_method] = ACTIONS(1863),
    [anon_sym_LPAREN] = ACTIONS(1863),
    [anon_sym_continue] = ACTIONS(1863),
    [anon_sym_state] = ACTIONS(1863),
    [anon_sym_our] = ACTIONS(1863),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1863),
    [anon_sym_LBRACK] = ACTIONS(1863),
    [anon_sym_DASH_GT] = ACTIONS(1863),
    [anon_sym_PERCENT] = ACTIONS(1863),
    [anon_sym_GT] = ACTIONS(1863),
    [anon_sym_LT_LT] = ACTIONS(1863),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1863),
    [anon_sym_PLUS_EQ] = ACTIONS(1863),
    [anon_sym_DASH_EQ] = ACTIONS(1863),
    [anon_sym_DOT_EQ] = ACTIONS(1863),
    [anon_sym_STAR_EQ] = ACTIONS(1863),
    [anon_sym_SLASH_EQ] = ACTIONS(1863),
    [anon_sym_PERCENT_EQ] = ACTIONS(1863),
    [anon_sym_x_EQ] = ACTIONS(1863),
    [anon_sym_AMP_EQ] = ACTIONS(1863),
    [anon_sym_PIPE_EQ] = ACTIONS(1863),
    [anon_sym_CARET_EQ] = ACTIONS(1863),
    [anon_sym_LT_LT_EQ] = ACTIONS(1863),
    [anon_sym_GT_GT_EQ] = ACTIONS(1863),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1863),
    [anon_sym_DOT_DOT] = ACTIONS(1863),
    [anon_sym_STAR_STAR] = ACTIONS(1863),
    [anon_sym_PIPE_PIPE] = ACTIONS(1863),
    [anon_sym_SLASH_SLASH] = ACTIONS(1863),
    [anon_sym_CARET_CARET] = ACTIONS(1863),
    [anon_sym_AMP_AMP] = ACTIONS(1863),
    [anon_sym_PIPE] = ACTIONS(1863),
    [anon_sym_CARET] = ACTIONS(1863),
    [anon_sym_AMP] = ACTIONS(1863),
    [anon_sym_GT_GT2] = ACTIONS(1863),
    [anon_sym_PLUS] = ACTIONS(1863),
    [anon_sym_DASH] = ACTIONS(1863),
    [anon_sym_DOT] = ACTIONS(1863),
    [anon_sym_STAR] = ACTIONS(1863),
    [anon_sym_SLASH] = ACTIONS(1863),
    [anon_sym_x] = ACTIONS(1863),
    [anon_sym_EQ_TILDE] = ACTIONS(1863),
    [anon_sym_BANG_TILDE] = ACTIONS(1863),
    [anon_sym_EQ_EQ] = ACTIONS(1863),
    [anon_sym_BANG_EQ] = ACTIONS(1863),
    [anon_sym_eq] = ACTIONS(1863),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1863),
    [anon_sym_equ] = ACTIONS(1863),
    [anon_sym_eqr] = ACTIONS(1863),
    [anon_sym_ne] = ACTIONS(1863),
    [anon_sym_LT_EQ_GT] = ACTIONS(1863),
    [anon_sym_cmp] = ACTIONS(1863),
    [anon_sym_TILDE_TILDE] = ACTIONS(1863),
    [anon_sym_LT] = ACTIONS(1863),
    [anon_sym_LT_EQ] = ACTIONS(1863),
    [anon_sym_GT_EQ] = ACTIONS(1863),
    [anon_sym_lt] = ACTIONS(1863),
    [anon_sym_le] = ACTIONS(1863),
    [anon_sym_ge] = ACTIONS(1863),
    [anon_sym_gt] = ACTIONS(1863),
    [anon_sym_isa] = ACTIONS(1863),
    [anon_sym_TILDE] = ACTIONS(1863),
    [anon_sym_BANG] = ACTIONS(1863),
    [anon_sym_PLUS_PLUS] = ACTIONS(1863),
    [anon_sym_DASH_DASH] = ACTIONS(1863),
    [anon_sym_QMARK] = ACTIONS(1863),
    [anon_sym_BSLASH] = ACTIONS(1865),
    [anon_sym_do] = ACTIONS(1863),
    [anon_sym_eval] = ACTIONS(1863),
    [anon_sym_await] = ACTIONS(1863),
    [anon_sym_field] = ACTIONS(1863),
    [anon_sym_local] = ACTIONS(1863),
    [anon_sym_dynamically] = ACTIONS(1863),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1863),
    [anon_sym_require] = ACTIONS(1863),
    [anon_sym_map] = ACTIONS(1863),
    [anon_sym_grep] = ACTIONS(1863),
    [anon_sym_sort] = ACTIONS(1863),
    [anon_sym_goto] = ACTIONS(1863),
    [anon_sym_return] = ACTIONS(1863),
    [anon_sym_undef] = ACTIONS(1863),
    [anon_sym_PERCENT2] = ACTIONS(1863),
    [anon_sym_AMP2] = ACTIONS(1863),
    [anon_sym_STAR2] = ACTIONS(1863),
    [anon_sym_EQ_GT] = ACTIONS(1863),
    [anon_sym_last] = ACTIONS(1863),
    [anon_sym_next] = ACTIONS(1863),
    [anon_sym_redo] = ACTIONS(1863),
    [anon_sym___FILE__] = ACTIONS(1863),
    [anon_sym___LINE__] = ACTIONS(1863),
    [anon_sym___PACKAGE__] = ACTIONS(1863),
    [anon_sym___SUB__] = ACTIONS(1863),
    [anon_sym_break] = ACTIONS(1863),
    [anon_sym_fork] = ACTIONS(1863),
    [anon_sym_getppid] = ACTIONS(1863),
    [anon_sym_time] = ACTIONS(1863),
    [anon_sym_times] = ACTIONS(1863),
    [anon_sym_wait] = ACTIONS(1863),
    [anon_sym_wantarray] = ACTIONS(1863),
    [anon_sym_abs] = ACTIONS(1863),
    [anon_sym_alarm] = ACTIONS(1863),
    [anon_sym_chop] = ACTIONS(1863),
    [anon_sym_chdir] = ACTIONS(1863),
    [anon_sym_close] = ACTIONS(1863),
    [anon_sym_closedir] = ACTIONS(1863),
    [anon_sym_caller] = ACTIONS(1863),
    [anon_sym_chomp] = ACTIONS(1863),
    [anon_sym_chr] = ACTIONS(1863),
    [anon_sym_cos] = ACTIONS(1863),
    [anon_sym_chroot] = ACTIONS(1863),
    [anon_sym_defined] = ACTIONS(1863),
    [anon_sym_delete] = ACTIONS(1863),
    [anon_sym_dbmclose] = ACTIONS(1863),
    [anon_sym_exists] = ACTIONS(1863),
    [anon_sym_exit] = ACTIONS(1863),
    [anon_sym_eof] = ACTIONS(1863),
    [anon_sym_exp] = ACTIONS(1863),
    [anon_sym_each] = ACTIONS(1863),
    [anon_sym_fc] = ACTIONS(1863),
    [anon_sym_fileno] = ACTIONS(1863),
    [anon_sym_gmtime] = ACTIONS(1863),
    [anon_sym_getc] = ACTIONS(1863),
    [anon_sym_getpgrp] = ACTIONS(1863),
    [anon_sym_getprotobyname] = ACTIONS(1863),
    [anon_sym_getpwname] = ACTIONS(1863),
    [anon_sym_getpwuid] = ACTIONS(1863),
    [anon_sym_getpeername] = ACTIONS(1863),
    [anon_sym_getnetbyname] = ACTIONS(1863),
    [anon_sym_getsockname] = ACTIONS(1863),
    [anon_sym_getgrnam] = ACTIONS(1863),
    [anon_sym_getgrgid] = ACTIONS(1863),
    [anon_sym_hex] = ACTIONS(1863),
    [anon_sym_int] = ACTIONS(1863),
    [anon_sym_keys] = ACTIONS(1863),
    [anon_sym_lc] = ACTIONS(1863),
    [anon_sym_lcfirst] = ACTIONS(1863),
    [anon_sym_length] = ACTIONS(1863),
    [anon_sym_localtime] = ACTIONS(1863),
    [anon_sym_log] = ACTIONS(1863),
    [anon_sym_lock] = ACTIONS(1863),
    [anon_sym_lstat] = ACTIONS(1863),
    [anon_sym_oct] = ACTIONS(1863),
    [anon_sym_ord] = ACTIONS(1863),
    [anon_sym_prototype] = ACTIONS(1863),
    [anon_sym_pop] = ACTIONS(1863),
    [anon_sym_pos] = ACTIONS(1863),
    [anon_sym_quotemeta] = ACTIONS(1863),
    [anon_sym_reset] = ACTIONS(1863),
    [anon_sym_rand] = ACTIONS(1863),
    [anon_sym_rmdir] = ACTIONS(1863),
    [anon_sym_readdir] = ACTIONS(1863),
    [anon_sym_readline] = ACTIONS(1863),
    [anon_sym_readpipe] = ACTIONS(1863),
    [anon_sym_rewinddir] = ACTIONS(1863),
    [anon_sym_readlink] = ACTIONS(1863),
    [anon_sym_ref] = ACTIONS(1863),
    [anon_sym_scalar] = ACTIONS(1863),
    [anon_sym_shift] = ACTIONS(1863),
    [anon_sym_sin] = ACTIONS(1863),
    [anon_sym_sleep] = ACTIONS(1863),
    [anon_sym_sqrt] = ACTIONS(1863),
    [anon_sym_srand] = ACTIONS(1863),
    [anon_sym_stat] = ACTIONS(1863),
    [anon_sym_study] = ACTIONS(1863),
    [anon_sym_tell] = ACTIONS(1863),
    [anon_sym_telldir] = ACTIONS(1863),
    [anon_sym_tied] = ACTIONS(1863),
    [anon_sym_uc] = ACTIONS(1863),
    [anon_sym_ucfirst] = ACTIONS(1863),
    [anon_sym_untie] = ACTIONS(1863),
    [anon_sym_umask] = ACTIONS(1863),
    [anon_sym_values] = ACTIONS(1863),
    [anon_sym_write] = ACTIONS(1863),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1863),
    [anon_sym_qq] = ACTIONS(1863),
    [anon_sym_qw] = ACTIONS(1863),
    [anon_sym_qx] = ACTIONS(1863),
    [anon_sym_qr] = ACTIONS(1863),
    [anon_sym_m] = ACTIONS(1863),
    [anon_sym_s] = ACTIONS(1863),
    [anon_sym_tr] = ACTIONS(1863),
    [anon_sym_y] = ACTIONS(1863),
    [aux_sym__bareword_token1] = ACTIONS(1863),
    [sym_number] = ACTIONS(1863),
    [anon_sym_true] = ACTIONS(1863),
    [anon_sym_false] = ACTIONS(1863),
    [sym__single_quote] = ACTIONS(1865),
    [sym__double_quote] = ACTIONS(1865),
    [sym__backtick_quote] = ACTIONS(1865),
    [sym__search_slash_quote] = ACTIONS(1865),
    [sym__no_search_slash_plz] = ACTIONS(1865),
    [sym__open_readline_bracket] = ACTIONS(1865),
    [sym__open_fileglob_bracket] = ACTIONS(1865),
    [sym__PERLY_HEREDOC] = ACTIONS(1865),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1865),
    [sym__filetest] = ACTIONS(1865),
  },
  [831] = {
    [sym_heredoc_content] = STATE(831),
    [sym__identifier] = ACTIONS(1828),
    [anon_sym_LBRACE] = ACTIONS(1828),
    [anon_sym_RBRACE] = ACTIONS(1828),
    [anon_sym_COLON] = ACTIONS(1828),
    [anon_sym_DOLLAR] = ACTIONS(1828),
    [anon_sym_EQ] = ACTIONS(1828),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1828),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1828),
    [anon_sym_AT] = ACTIONS(1828),
    [anon_sym_COMMA] = ACTIONS(1828),
    [anon_sym_RPAREN] = ACTIONS(1828),
    [anon_sym_my] = ACTIONS(1828),
    [anon_sym_extended] = ACTIONS(1828),
    [anon_sym_async] = ACTIONS(1828),
    [anon_sym_sub] = ACTIONS(1828),
    [anon_sym_method] = ACTIONS(1828),
    [anon_sym_LPAREN] = ACTIONS(1828),
    [anon_sym_continue] = ACTIONS(1828),
    [anon_sym_state] = ACTIONS(1828),
    [anon_sym_our] = ACTIONS(1828),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1828),
    [anon_sym_LBRACK] = ACTIONS(1828),
    [anon_sym_DASH_GT] = ACTIONS(1828),
    [anon_sym_PERCENT] = ACTIONS(1828),
    [anon_sym_GT] = ACTIONS(1828),
    [anon_sym_LT_LT] = ACTIONS(1828),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1828),
    [anon_sym_PLUS_EQ] = ACTIONS(1828),
    [anon_sym_DASH_EQ] = ACTIONS(1828),
    [anon_sym_DOT_EQ] = ACTIONS(1828),
    [anon_sym_STAR_EQ] = ACTIONS(1828),
    [anon_sym_SLASH_EQ] = ACTIONS(1828),
    [anon_sym_PERCENT_EQ] = ACTIONS(1828),
    [anon_sym_x_EQ] = ACTIONS(1828),
    [anon_sym_AMP_EQ] = ACTIONS(1828),
    [anon_sym_PIPE_EQ] = ACTIONS(1828),
    [anon_sym_CARET_EQ] = ACTIONS(1828),
    [anon_sym_LT_LT_EQ] = ACTIONS(1828),
    [anon_sym_GT_GT_EQ] = ACTIONS(1828),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1828),
    [anon_sym_DOT_DOT] = ACTIONS(1828),
    [anon_sym_STAR_STAR] = ACTIONS(1828),
    [anon_sym_PIPE_PIPE] = ACTIONS(1828),
    [anon_sym_SLASH_SLASH] = ACTIONS(1828),
    [anon_sym_CARET_CARET] = ACTIONS(1828),
    [anon_sym_AMP_AMP] = ACTIONS(1828),
    [anon_sym_PIPE] = ACTIONS(1828),
    [anon_sym_CARET] = ACTIONS(1828),
    [anon_sym_AMP] = ACTIONS(1828),
    [anon_sym_GT_GT2] = ACTIONS(1828),
    [anon_sym_PLUS] = ACTIONS(1828),
    [anon_sym_DASH] = ACTIONS(1828),
    [anon_sym_DOT] = ACTIONS(1828),
    [anon_sym_STAR] = ACTIONS(1828),
    [anon_sym_SLASH] = ACTIONS(1828),
    [anon_sym_x] = ACTIONS(1828),
    [anon_sym_EQ_TILDE] = ACTIONS(1828),
    [anon_sym_BANG_TILDE] = ACTIONS(1828),
    [anon_sym_EQ_EQ] = ACTIONS(1828),
    [anon_sym_BANG_EQ] = ACTIONS(1828),
    [anon_sym_eq] = ACTIONS(1828),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1828),
    [anon_sym_equ] = ACTIONS(1828),
    [anon_sym_eqr] = ACTIONS(1828),
    [anon_sym_ne] = ACTIONS(1828),
    [anon_sym_LT_EQ_GT] = ACTIONS(1828),
    [anon_sym_cmp] = ACTIONS(1828),
    [anon_sym_TILDE_TILDE] = ACTIONS(1828),
    [anon_sym_LT] = ACTIONS(1828),
    [anon_sym_LT_EQ] = ACTIONS(1828),
    [anon_sym_GT_EQ] = ACTIONS(1828),
    [anon_sym_lt] = ACTIONS(1828),
    [anon_sym_le] = ACTIONS(1828),
    [anon_sym_ge] = ACTIONS(1828),
    [anon_sym_gt] = ACTIONS(1828),
    [anon_sym_isa] = ACTIONS(1828),
    [anon_sym_TILDE] = ACTIONS(1828),
    [anon_sym_BANG] = ACTIONS(1828),
    [anon_sym_PLUS_PLUS] = ACTIONS(1828),
    [anon_sym_DASH_DASH] = ACTIONS(1828),
    [anon_sym_QMARK] = ACTIONS(1828),
    [anon_sym_BSLASH] = ACTIONS(1832),
    [anon_sym_do] = ACTIONS(1828),
    [anon_sym_eval] = ACTIONS(1828),
    [anon_sym_await] = ACTIONS(1828),
    [anon_sym_field] = ACTIONS(1828),
    [anon_sym_local] = ACTIONS(1828),
    [anon_sym_dynamically] = ACTIONS(1828),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1828),
    [anon_sym_require] = ACTIONS(1828),
    [anon_sym_map] = ACTIONS(1828),
    [anon_sym_grep] = ACTIONS(1828),
    [anon_sym_sort] = ACTIONS(1828),
    [anon_sym_goto] = ACTIONS(1828),
    [anon_sym_return] = ACTIONS(1828),
    [anon_sym_undef] = ACTIONS(1828),
    [anon_sym_PERCENT2] = ACTIONS(1828),
    [anon_sym_AMP2] = ACTIONS(1828),
    [anon_sym_STAR2] = ACTIONS(1828),
    [anon_sym_EQ_GT] = ACTIONS(1828),
    [anon_sym_last] = ACTIONS(1828),
    [anon_sym_next] = ACTIONS(1828),
    [anon_sym_redo] = ACTIONS(1828),
    [anon_sym___FILE__] = ACTIONS(1828),
    [anon_sym___LINE__] = ACTIONS(1828),
    [anon_sym___PACKAGE__] = ACTIONS(1828),
    [anon_sym___SUB__] = ACTIONS(1828),
    [anon_sym_break] = ACTIONS(1828),
    [anon_sym_fork] = ACTIONS(1828),
    [anon_sym_getppid] = ACTIONS(1828),
    [anon_sym_time] = ACTIONS(1828),
    [anon_sym_times] = ACTIONS(1828),
    [anon_sym_wait] = ACTIONS(1828),
    [anon_sym_wantarray] = ACTIONS(1828),
    [anon_sym_abs] = ACTIONS(1828),
    [anon_sym_alarm] = ACTIONS(1828),
    [anon_sym_chop] = ACTIONS(1828),
    [anon_sym_chdir] = ACTIONS(1828),
    [anon_sym_close] = ACTIONS(1828),
    [anon_sym_closedir] = ACTIONS(1828),
    [anon_sym_caller] = ACTIONS(1828),
    [anon_sym_chomp] = ACTIONS(1828),
    [anon_sym_chr] = ACTIONS(1828),
    [anon_sym_cos] = ACTIONS(1828),
    [anon_sym_chroot] = ACTIONS(1828),
    [anon_sym_defined] = ACTIONS(1828),
    [anon_sym_delete] = ACTIONS(1828),
    [anon_sym_dbmclose] = ACTIONS(1828),
    [anon_sym_exists] = ACTIONS(1828),
    [anon_sym_exit] = ACTIONS(1828),
    [anon_sym_eof] = ACTIONS(1828),
    [anon_sym_exp] = ACTIONS(1828),
    [anon_sym_each] = ACTIONS(1828),
    [anon_sym_fc] = ACTIONS(1828),
    [anon_sym_fileno] = ACTIONS(1828),
    [anon_sym_gmtime] = ACTIONS(1828),
    [anon_sym_getc] = ACTIONS(1828),
    [anon_sym_getpgrp] = ACTIONS(1828),
    [anon_sym_getprotobyname] = ACTIONS(1828),
    [anon_sym_getpwname] = ACTIONS(1828),
    [anon_sym_getpwuid] = ACTIONS(1828),
    [anon_sym_getpeername] = ACTIONS(1828),
    [anon_sym_getnetbyname] = ACTIONS(1828),
    [anon_sym_getsockname] = ACTIONS(1828),
    [anon_sym_getgrnam] = ACTIONS(1828),
    [anon_sym_getgrgid] = ACTIONS(1828),
    [anon_sym_hex] = ACTIONS(1828),
    [anon_sym_int] = ACTIONS(1828),
    [anon_sym_keys] = ACTIONS(1828),
    [anon_sym_lc] = ACTIONS(1828),
    [anon_sym_lcfirst] = ACTIONS(1828),
    [anon_sym_length] = ACTIONS(1828),
    [anon_sym_localtime] = ACTIONS(1828),
    [anon_sym_log] = ACTIONS(1828),
    [anon_sym_lock] = ACTIONS(1828),
    [anon_sym_lstat] = ACTIONS(1828),
    [anon_sym_oct] = ACTIONS(1828),
    [anon_sym_ord] = ACTIONS(1828),
    [anon_sym_prototype] = ACTIONS(1828),
    [anon_sym_pop] = ACTIONS(1828),
    [anon_sym_pos] = ACTIONS(1828),
    [anon_sym_quotemeta] = ACTIONS(1828),
    [anon_sym_reset] = ACTIONS(1828),
    [anon_sym_rand] = ACTIONS(1828),
    [anon_sym_rmdir] = ACTIONS(1828),
    [anon_sym_readdir] = ACTIONS(1828),
    [anon_sym_readline] = ACTIONS(1828),
    [anon_sym_readpipe] = ACTIONS(1828),
    [anon_sym_rewinddir] = ACTIONS(1828),
    [anon_sym_readlink] = ACTIONS(1828),
    [anon_sym_ref] = ACTIONS(1828),
    [anon_sym_scalar] = ACTIONS(1828),
    [anon_sym_shift] = ACTIONS(1828),
    [anon_sym_sin] = ACTIONS(1828),
    [anon_sym_sleep] = ACTIONS(1828),
    [anon_sym_sqrt] = ACTIONS(1828),
    [anon_sym_srand] = ACTIONS(1828),
    [anon_sym_stat] = ACTIONS(1828),
    [anon_sym_study] = ACTIONS(1828),
    [anon_sym_tell] = ACTIONS(1828),
    [anon_sym_telldir] = ACTIONS(1828),
    [anon_sym_tied] = ACTIONS(1828),
    [anon_sym_uc] = ACTIONS(1828),
    [anon_sym_ucfirst] = ACTIONS(1828),
    [anon_sym_untie] = ACTIONS(1828),
    [anon_sym_umask] = ACTIONS(1828),
    [anon_sym_values] = ACTIONS(1828),
    [anon_sym_write] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1828),
    [anon_sym_qq] = ACTIONS(1828),
    [anon_sym_qw] = ACTIONS(1828),
    [anon_sym_qx] = ACTIONS(1828),
    [anon_sym_qr] = ACTIONS(1828),
    [anon_sym_m] = ACTIONS(1828),
    [anon_sym_s] = ACTIONS(1828),
    [anon_sym_tr] = ACTIONS(1828),
    [anon_sym_y] = ACTIONS(1828),
    [aux_sym__bareword_token1] = ACTIONS(1828),
    [sym_number] = ACTIONS(1828),
    [anon_sym_true] = ACTIONS(1828),
    [anon_sym_false] = ACTIONS(1828),
    [sym__single_quote] = ACTIONS(1832),
    [sym__double_quote] = ACTIONS(1832),
    [sym__backtick_quote] = ACTIONS(1832),
    [sym__search_slash_quote] = ACTIONS(1832),
    [sym__open_readline_bracket] = ACTIONS(1832),
    [sym__open_fileglob_bracket] = ACTIONS(1832),
    [sym__PERLY_HEREDOC] = ACTIONS(1832),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1832),
    [sym__filetest] = ACTIONS(1832),
  },
  [832] = {
    [sym_heredoc_content] = STATE(832),
    [sym__identifier] = ACTIONS(1824),
    [anon_sym_LBRACE] = ACTIONS(1824),
    [anon_sym_SEMI] = ACTIONS(1824),
    [anon_sym_DOLLAR] = ACTIONS(1824),
    [anon_sym_EQ] = ACTIONS(1824),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1824),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1824),
    [anon_sym_AT] = ACTIONS(1824),
    [anon_sym_COMMA] = ACTIONS(1824),
    [anon_sym_my] = ACTIONS(1824),
    [anon_sym_extended] = ACTIONS(1824),
    [anon_sym_async] = ACTIONS(1824),
    [anon_sym_sub] = ACTIONS(1824),
    [anon_sym_method] = ACTIONS(1824),
    [anon_sym_LPAREN] = ACTIONS(1824),
    [anon_sym_continue] = ACTIONS(1824),
    [anon_sym_state] = ACTIONS(1824),
    [anon_sym_our] = ACTIONS(1824),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1824),
    [anon_sym_LBRACK] = ACTIONS(1824),
    [anon_sym_DASH_GT] = ACTIONS(1824),
    [anon_sym_PERCENT] = ACTIONS(1824),
    [anon_sym_GT] = ACTIONS(1824),
    [anon_sym_LT_LT] = ACTIONS(1824),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1824),
    [anon_sym_PLUS_EQ] = ACTIONS(1824),
    [anon_sym_DASH_EQ] = ACTIONS(1824),
    [anon_sym_DOT_EQ] = ACTIONS(1824),
    [anon_sym_STAR_EQ] = ACTIONS(1824),
    [anon_sym_SLASH_EQ] = ACTIONS(1824),
    [anon_sym_PERCENT_EQ] = ACTIONS(1824),
    [anon_sym_x_EQ] = ACTIONS(1824),
    [anon_sym_AMP_EQ] = ACTIONS(1824),
    [anon_sym_PIPE_EQ] = ACTIONS(1824),
    [anon_sym_CARET_EQ] = ACTIONS(1824),
    [anon_sym_LT_LT_EQ] = ACTIONS(1824),
    [anon_sym_GT_GT_EQ] = ACTIONS(1824),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1824),
    [anon_sym_DOT_DOT] = ACTIONS(1824),
    [anon_sym_STAR_STAR] = ACTIONS(1824),
    [anon_sym_PIPE_PIPE] = ACTIONS(1824),
    [anon_sym_SLASH_SLASH] = ACTIONS(1824),
    [anon_sym_CARET_CARET] = ACTIONS(1824),
    [anon_sym_AMP_AMP] = ACTIONS(1824),
    [anon_sym_PIPE] = ACTIONS(1824),
    [anon_sym_CARET] = ACTIONS(1824),
    [anon_sym_AMP] = ACTIONS(1824),
    [anon_sym_GT_GT2] = ACTIONS(1824),
    [anon_sym_PLUS] = ACTIONS(1824),
    [anon_sym_DASH] = ACTIONS(1824),
    [anon_sym_DOT] = ACTIONS(1824),
    [anon_sym_STAR] = ACTIONS(1824),
    [anon_sym_SLASH] = ACTIONS(1824),
    [anon_sym_x] = ACTIONS(1824),
    [anon_sym_EQ_TILDE] = ACTIONS(1824),
    [anon_sym_BANG_TILDE] = ACTIONS(1824),
    [anon_sym_EQ_EQ] = ACTIONS(1824),
    [anon_sym_BANG_EQ] = ACTIONS(1824),
    [anon_sym_eq] = ACTIONS(1824),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1824),
    [anon_sym_equ] = ACTIONS(1824),
    [anon_sym_eqr] = ACTIONS(1824),
    [anon_sym_ne] = ACTIONS(1824),
    [anon_sym_LT_EQ_GT] = ACTIONS(1824),
    [anon_sym_cmp] = ACTIONS(1824),
    [anon_sym_TILDE_TILDE] = ACTIONS(1824),
    [anon_sym_LT] = ACTIONS(1824),
    [anon_sym_LT_EQ] = ACTIONS(1824),
    [anon_sym_GT_EQ] = ACTIONS(1824),
    [anon_sym_lt] = ACTIONS(1824),
    [anon_sym_le] = ACTIONS(1824),
    [anon_sym_ge] = ACTIONS(1824),
    [anon_sym_gt] = ACTIONS(1824),
    [anon_sym_isa] = ACTIONS(1824),
    [anon_sym_TILDE] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1824),
    [anon_sym_PLUS_PLUS] = ACTIONS(1824),
    [anon_sym_DASH_DASH] = ACTIONS(1824),
    [anon_sym_QMARK] = ACTIONS(1824),
    [anon_sym_BSLASH] = ACTIONS(1826),
    [anon_sym_do] = ACTIONS(1824),
    [anon_sym_eval] = ACTIONS(1824),
    [anon_sym_await] = ACTIONS(1824),
    [anon_sym_field] = ACTIONS(1824),
    [anon_sym_local] = ACTIONS(1824),
    [anon_sym_dynamically] = ACTIONS(1824),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1824),
    [anon_sym_require] = ACTIONS(1824),
    [anon_sym_map] = ACTIONS(1824),
    [anon_sym_grep] = ACTIONS(1824),
    [anon_sym_sort] = ACTIONS(1824),
    [anon_sym_goto] = ACTIONS(1824),
    [anon_sym_return] = ACTIONS(1824),
    [anon_sym_undef] = ACTIONS(1824),
    [anon_sym_PERCENT2] = ACTIONS(1824),
    [anon_sym_AMP2] = ACTIONS(1824),
    [anon_sym_STAR2] = ACTIONS(1824),
    [anon_sym_EQ_GT] = ACTIONS(1824),
    [anon_sym_last] = ACTIONS(1824),
    [anon_sym_next] = ACTIONS(1824),
    [anon_sym_redo] = ACTIONS(1824),
    [anon_sym___FILE__] = ACTIONS(1824),
    [anon_sym___LINE__] = ACTIONS(1824),
    [anon_sym___PACKAGE__] = ACTIONS(1824),
    [anon_sym___SUB__] = ACTIONS(1824),
    [anon_sym_break] = ACTIONS(1824),
    [anon_sym_fork] = ACTIONS(1824),
    [anon_sym_getppid] = ACTIONS(1824),
    [anon_sym_time] = ACTIONS(1824),
    [anon_sym_times] = ACTIONS(1824),
    [anon_sym_wait] = ACTIONS(1824),
    [anon_sym_wantarray] = ACTIONS(1824),
    [anon_sym_abs] = ACTIONS(1824),
    [anon_sym_alarm] = ACTIONS(1824),
    [anon_sym_chop] = ACTIONS(1824),
    [anon_sym_chdir] = ACTIONS(1824),
    [anon_sym_close] = ACTIONS(1824),
    [anon_sym_closedir] = ACTIONS(1824),
    [anon_sym_caller] = ACTIONS(1824),
    [anon_sym_chomp] = ACTIONS(1824),
    [anon_sym_chr] = ACTIONS(1824),
    [anon_sym_cos] = ACTIONS(1824),
    [anon_sym_chroot] = ACTIONS(1824),
    [anon_sym_defined] = ACTIONS(1824),
    [anon_sym_delete] = ACTIONS(1824),
    [anon_sym_dbmclose] = ACTIONS(1824),
    [anon_sym_exists] = ACTIONS(1824),
    [anon_sym_exit] = ACTIONS(1824),
    [anon_sym_eof] = ACTIONS(1824),
    [anon_sym_exp] = ACTIONS(1824),
    [anon_sym_each] = ACTIONS(1824),
    [anon_sym_fc] = ACTIONS(1824),
    [anon_sym_fileno] = ACTIONS(1824),
    [anon_sym_gmtime] = ACTIONS(1824),
    [anon_sym_getc] = ACTIONS(1824),
    [anon_sym_getpgrp] = ACTIONS(1824),
    [anon_sym_getprotobyname] = ACTIONS(1824),
    [anon_sym_getpwname] = ACTIONS(1824),
    [anon_sym_getpwuid] = ACTIONS(1824),
    [anon_sym_getpeername] = ACTIONS(1824),
    [anon_sym_getnetbyname] = ACTIONS(1824),
    [anon_sym_getsockname] = ACTIONS(1824),
    [anon_sym_getgrnam] = ACTIONS(1824),
    [anon_sym_getgrgid] = ACTIONS(1824),
    [anon_sym_hex] = ACTIONS(1824),
    [anon_sym_int] = ACTIONS(1824),
    [anon_sym_keys] = ACTIONS(1824),
    [anon_sym_lc] = ACTIONS(1824),
    [anon_sym_lcfirst] = ACTIONS(1824),
    [anon_sym_length] = ACTIONS(1824),
    [anon_sym_localtime] = ACTIONS(1824),
    [anon_sym_log] = ACTIONS(1824),
    [anon_sym_lock] = ACTIONS(1824),
    [anon_sym_lstat] = ACTIONS(1824),
    [anon_sym_oct] = ACTIONS(1824),
    [anon_sym_ord] = ACTIONS(1824),
    [anon_sym_prototype] = ACTIONS(1824),
    [anon_sym_pop] = ACTIONS(1824),
    [anon_sym_pos] = ACTIONS(1824),
    [anon_sym_quotemeta] = ACTIONS(1824),
    [anon_sym_reset] = ACTIONS(1824),
    [anon_sym_rand] = ACTIONS(1824),
    [anon_sym_rmdir] = ACTIONS(1824),
    [anon_sym_readdir] = ACTIONS(1824),
    [anon_sym_readline] = ACTIONS(1824),
    [anon_sym_readpipe] = ACTIONS(1824),
    [anon_sym_rewinddir] = ACTIONS(1824),
    [anon_sym_readlink] = ACTIONS(1824),
    [anon_sym_ref] = ACTIONS(1824),
    [anon_sym_scalar] = ACTIONS(1824),
    [anon_sym_shift] = ACTIONS(1824),
    [anon_sym_sin] = ACTIONS(1824),
    [anon_sym_sleep] = ACTIONS(1824),
    [anon_sym_sqrt] = ACTIONS(1824),
    [anon_sym_srand] = ACTIONS(1824),
    [anon_sym_stat] = ACTIONS(1824),
    [anon_sym_study] = ACTIONS(1824),
    [anon_sym_tell] = ACTIONS(1824),
    [anon_sym_telldir] = ACTIONS(1824),
    [anon_sym_tied] = ACTIONS(1824),
    [anon_sym_uc] = ACTIONS(1824),
    [anon_sym_ucfirst] = ACTIONS(1824),
    [anon_sym_untie] = ACTIONS(1824),
    [anon_sym_umask] = ACTIONS(1824),
    [anon_sym_values] = ACTIONS(1824),
    [anon_sym_write] = ACTIONS(1824),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1824),
    [anon_sym_qq] = ACTIONS(1824),
    [anon_sym_qw] = ACTIONS(1824),
    [anon_sym_qx] = ACTIONS(1824),
    [anon_sym_qr] = ACTIONS(1824),
    [anon_sym_m] = ACTIONS(1824),
    [anon_sym_s] = ACTIONS(1824),
    [anon_sym_tr] = ACTIONS(1824),
    [anon_sym_y] = ACTIONS(1824),
    [aux_sym__bareword_token1] = ACTIONS(1824),
    [sym_number] = ACTIONS(1824),
    [anon_sym_true] = ACTIONS(1824),
    [anon_sym_false] = ACTIONS(1824),
    [sym__single_quote] = ACTIONS(1826),
    [sym__double_quote] = ACTIONS(1826),
    [sym__backtick_quote] = ACTIONS(1826),
    [sym__search_slash_quote] = ACTIONS(1826),
    [sym__no_search_slash_plz] = ACTIONS(1826),
    [sym__open_readline_bracket] = ACTIONS(1826),
    [sym__open_fileglob_bracket] = ACTIONS(1826),
    [sym__PERLY_SEMICOLON] = ACTIONS(1826),
    [sym__PERLY_HEREDOC] = ACTIONS(1826),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1826),
    [sym__filetest] = ACTIONS(1826),
  },
  [833] = {
    [sym_heredoc_content] = STATE(833),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_RBRACE] = ACTIONS(1871),
    [anon_sym_COLON] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_RPAREN] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1960),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
  },
  [834] = {
    [sym_heredoc_content] = STATE(834),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_RBRACE] = ACTIONS(1901),
    [anon_sym_COLON] = ACTIONS(1901),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1901),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1901),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1901),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1901),
    [anon_sym_RPAREN] = ACTIONS(1901),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1960),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1901),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_DASH_GT] = ACTIONS(1901),
    [anon_sym_PERCENT] = ACTIONS(1901),
    [anon_sym_GT] = ACTIONS(1901),
    [anon_sym_LT_LT] = ACTIONS(1901),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1901),
    [anon_sym_PLUS_EQ] = ACTIONS(1901),
    [anon_sym_DASH_EQ] = ACTIONS(1901),
    [anon_sym_DOT_EQ] = ACTIONS(1901),
    [anon_sym_STAR_EQ] = ACTIONS(1901),
    [anon_sym_SLASH_EQ] = ACTIONS(1901),
    [anon_sym_PERCENT_EQ] = ACTIONS(1901),
    [anon_sym_x_EQ] = ACTIONS(1901),
    [anon_sym_AMP_EQ] = ACTIONS(1901),
    [anon_sym_PIPE_EQ] = ACTIONS(1901),
    [anon_sym_CARET_EQ] = ACTIONS(1901),
    [anon_sym_LT_LT_EQ] = ACTIONS(1901),
    [anon_sym_GT_GT_EQ] = ACTIONS(1901),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1901),
    [anon_sym_DOT_DOT] = ACTIONS(1901),
    [anon_sym_STAR_STAR] = ACTIONS(1901),
    [anon_sym_PIPE_PIPE] = ACTIONS(1901),
    [anon_sym_SLASH_SLASH] = ACTIONS(1901),
    [anon_sym_CARET_CARET] = ACTIONS(1901),
    [anon_sym_AMP_AMP] = ACTIONS(1901),
    [anon_sym_PIPE] = ACTIONS(1901),
    [anon_sym_CARET] = ACTIONS(1901),
    [anon_sym_AMP] = ACTIONS(1901),
    [anon_sym_GT_GT2] = ACTIONS(1901),
    [anon_sym_PLUS] = ACTIONS(1901),
    [anon_sym_DASH] = ACTIONS(1901),
    [anon_sym_DOT] = ACTIONS(1901),
    [anon_sym_STAR] = ACTIONS(1901),
    [anon_sym_SLASH] = ACTIONS(1901),
    [anon_sym_x] = ACTIONS(1901),
    [anon_sym_EQ_TILDE] = ACTIONS(1901),
    [anon_sym_BANG_TILDE] = ACTIONS(1901),
    [anon_sym_EQ_EQ] = ACTIONS(1901),
    [anon_sym_BANG_EQ] = ACTIONS(1901),
    [anon_sym_eq] = ACTIONS(1901),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1901),
    [anon_sym_equ] = ACTIONS(1901),
    [anon_sym_eqr] = ACTIONS(1901),
    [anon_sym_ne] = ACTIONS(1901),
    [anon_sym_LT_EQ_GT] = ACTIONS(1901),
    [anon_sym_cmp] = ACTIONS(1901),
    [anon_sym_TILDE_TILDE] = ACTIONS(1901),
    [anon_sym_LT] = ACTIONS(1901),
    [anon_sym_LT_EQ] = ACTIONS(1901),
    [anon_sym_GT_EQ] = ACTIONS(1901),
    [anon_sym_lt] = ACTIONS(1901),
    [anon_sym_le] = ACTIONS(1901),
    [anon_sym_ge] = ACTIONS(1901),
    [anon_sym_gt] = ACTIONS(1901),
    [anon_sym_isa] = ACTIONS(1901),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1901),
    [anon_sym_DASH_DASH] = ACTIONS(1901),
    [anon_sym_QMARK] = ACTIONS(1901),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1901),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
  },
  [835] = {
    [sym_heredoc_content] = STATE(835),
    [sym__identifier] = ACTIONS(1889),
    [anon_sym_LBRACE] = ACTIONS(1889),
    [anon_sym_RBRACE] = ACTIONS(1871),
    [anon_sym_COLON] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1889),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1889),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_RPAREN] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1889),
    [anon_sym_extended] = ACTIONS(1889),
    [anon_sym_async] = ACTIONS(1889),
    [anon_sym_sub] = ACTIONS(1889),
    [anon_sym_method] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1889),
    [anon_sym_continue] = ACTIONS(1889),
    [anon_sym_state] = ACTIONS(1889),
    [anon_sym_our] = ACTIONS(1889),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1889),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1889),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1889),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1889),
    [anon_sym_DASH] = ACTIONS(1889),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1889),
    [anon_sym_BANG] = ACTIONS(1889),
    [anon_sym_PLUS_PLUS] = ACTIONS(1889),
    [anon_sym_DASH_DASH] = ACTIONS(1889),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1891),
    [anon_sym_do] = ACTIONS(1889),
    [anon_sym_eval] = ACTIONS(1889),
    [anon_sym_await] = ACTIONS(1889),
    [anon_sym_field] = ACTIONS(1889),
    [anon_sym_local] = ACTIONS(1889),
    [anon_sym_dynamically] = ACTIONS(1889),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1889),
    [anon_sym_require] = ACTIONS(1889),
    [anon_sym_map] = ACTIONS(1889),
    [anon_sym_grep] = ACTIONS(1889),
    [anon_sym_sort] = ACTIONS(1889),
    [anon_sym_goto] = ACTIONS(1889),
    [anon_sym_return] = ACTIONS(1889),
    [anon_sym_undef] = ACTIONS(1889),
    [anon_sym_PERCENT2] = ACTIONS(1889),
    [anon_sym_AMP2] = ACTIONS(1889),
    [anon_sym_STAR2] = ACTIONS(1889),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1889),
    [anon_sym_next] = ACTIONS(1889),
    [anon_sym_redo] = ACTIONS(1889),
    [anon_sym___FILE__] = ACTIONS(1889),
    [anon_sym___LINE__] = ACTIONS(1889),
    [anon_sym___PACKAGE__] = ACTIONS(1889),
    [anon_sym___SUB__] = ACTIONS(1889),
    [anon_sym_break] = ACTIONS(1889),
    [anon_sym_fork] = ACTIONS(1889),
    [anon_sym_getppid] = ACTIONS(1889),
    [anon_sym_time] = ACTIONS(1889),
    [anon_sym_times] = ACTIONS(1889),
    [anon_sym_wait] = ACTIONS(1889),
    [anon_sym_wantarray] = ACTIONS(1889),
    [anon_sym_abs] = ACTIONS(1889),
    [anon_sym_alarm] = ACTIONS(1889),
    [anon_sym_chop] = ACTIONS(1889),
    [anon_sym_chdir] = ACTIONS(1889),
    [anon_sym_close] = ACTIONS(1889),
    [anon_sym_closedir] = ACTIONS(1889),
    [anon_sym_caller] = ACTIONS(1889),
    [anon_sym_chomp] = ACTIONS(1889),
    [anon_sym_chr] = ACTIONS(1889),
    [anon_sym_cos] = ACTIONS(1889),
    [anon_sym_chroot] = ACTIONS(1889),
    [anon_sym_defined] = ACTIONS(1889),
    [anon_sym_delete] = ACTIONS(1889),
    [anon_sym_dbmclose] = ACTIONS(1889),
    [anon_sym_exists] = ACTIONS(1889),
    [anon_sym_exit] = ACTIONS(1889),
    [anon_sym_eof] = ACTIONS(1889),
    [anon_sym_exp] = ACTIONS(1889),
    [anon_sym_each] = ACTIONS(1889),
    [anon_sym_fc] = ACTIONS(1889),
    [anon_sym_fileno] = ACTIONS(1889),
    [anon_sym_gmtime] = ACTIONS(1889),
    [anon_sym_getc] = ACTIONS(1889),
    [anon_sym_getpgrp] = ACTIONS(1889),
    [anon_sym_getprotobyname] = ACTIONS(1889),
    [anon_sym_getpwname] = ACTIONS(1889),
    [anon_sym_getpwuid] = ACTIONS(1889),
    [anon_sym_getpeername] = ACTIONS(1889),
    [anon_sym_getnetbyname] = ACTIONS(1889),
    [anon_sym_getsockname] = ACTIONS(1889),
    [anon_sym_getgrnam] = ACTIONS(1889),
    [anon_sym_getgrgid] = ACTIONS(1889),
    [anon_sym_hex] = ACTIONS(1889),
    [anon_sym_int] = ACTIONS(1889),
    [anon_sym_keys] = ACTIONS(1889),
    [anon_sym_lc] = ACTIONS(1889),
    [anon_sym_lcfirst] = ACTIONS(1889),
    [anon_sym_length] = ACTIONS(1889),
    [anon_sym_localtime] = ACTIONS(1889),
    [anon_sym_log] = ACTIONS(1889),
    [anon_sym_lock] = ACTIONS(1889),
    [anon_sym_lstat] = ACTIONS(1889),
    [anon_sym_oct] = ACTIONS(1889),
    [anon_sym_ord] = ACTIONS(1889),
    [anon_sym_prototype] = ACTIONS(1889),
    [anon_sym_pop] = ACTIONS(1889),
    [anon_sym_pos] = ACTIONS(1889),
    [anon_sym_quotemeta] = ACTIONS(1889),
    [anon_sym_reset] = ACTIONS(1889),
    [anon_sym_rand] = ACTIONS(1889),
    [anon_sym_rmdir] = ACTIONS(1889),
    [anon_sym_readdir] = ACTIONS(1889),
    [anon_sym_readline] = ACTIONS(1889),
    [anon_sym_readpipe] = ACTIONS(1889),
    [anon_sym_rewinddir] = ACTIONS(1889),
    [anon_sym_readlink] = ACTIONS(1889),
    [anon_sym_ref] = ACTIONS(1889),
    [anon_sym_scalar] = ACTIONS(1889),
    [anon_sym_shift] = ACTIONS(1889),
    [anon_sym_sin] = ACTIONS(1889),
    [anon_sym_sleep] = ACTIONS(1889),
    [anon_sym_sqrt] = ACTIONS(1889),
    [anon_sym_srand] = ACTIONS(1889),
    [anon_sym_stat] = ACTIONS(1889),
    [anon_sym_study] = ACTIONS(1889),
    [anon_sym_tell] = ACTIONS(1889),
    [anon_sym_telldir] = ACTIONS(1889),
    [anon_sym_tied] = ACTIONS(1889),
    [anon_sym_uc] = ACTIONS(1889),
    [anon_sym_ucfirst] = ACTIONS(1889),
    [anon_sym_untie] = ACTIONS(1889),
    [anon_sym_umask] = ACTIONS(1889),
    [anon_sym_values] = ACTIONS(1889),
    [anon_sym_write] = ACTIONS(1889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1889),
    [anon_sym_qq] = ACTIONS(1889),
    [anon_sym_qw] = ACTIONS(1889),
    [anon_sym_qx] = ACTIONS(1889),
    [anon_sym_qr] = ACTIONS(1889),
    [anon_sym_m] = ACTIONS(1889),
    [anon_sym_s] = ACTIONS(1889),
    [anon_sym_tr] = ACTIONS(1889),
    [anon_sym_y] = ACTIONS(1889),
    [aux_sym__bareword_token1] = ACTIONS(1889),
    [sym_number] = ACTIONS(1889),
    [anon_sym_true] = ACTIONS(1889),
    [anon_sym_false] = ACTIONS(1889),
    [sym__single_quote] = ACTIONS(1891),
    [sym__double_quote] = ACTIONS(1891),
    [sym__backtick_quote] = ACTIONS(1891),
    [sym__search_slash_quote] = ACTIONS(1891),
    [sym__open_readline_bracket] = ACTIONS(1891),
    [sym__open_fileglob_bracket] = ACTIONS(1891),
    [sym__PERLY_HEREDOC] = ACTIONS(1891),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1891),
    [sym__filetest] = ACTIONS(1891),
  },
  [836] = {
    [sym_heredoc_content] = STATE(836),
    [sym__identifier] = ACTIONS(1947),
    [anon_sym_LBRACE] = ACTIONS(1947),
    [anon_sym_RBRACE] = ACTIONS(1840),
    [anon_sym_COLON] = ACTIONS(1840),
    [anon_sym_DOLLAR] = ACTIONS(1947),
    [anon_sym_EQ] = ACTIONS(1840),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1840),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1840),
    [anon_sym_AT] = ACTIONS(1947),
    [anon_sym_COMMA] = ACTIONS(1840),
    [anon_sym_RPAREN] = ACTIONS(1840),
    [anon_sym_my] = ACTIONS(1947),
    [anon_sym_extended] = ACTIONS(1947),
    [anon_sym_async] = ACTIONS(1947),
    [anon_sym_sub] = ACTIONS(1947),
    [anon_sym_method] = ACTIONS(1947),
    [anon_sym_LPAREN] = ACTIONS(1947),
    [anon_sym_continue] = ACTIONS(1947),
    [anon_sym_state] = ACTIONS(1947),
    [anon_sym_our] = ACTIONS(1947),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1840),
    [anon_sym_LBRACK] = ACTIONS(1947),
    [anon_sym_DASH_GT] = ACTIONS(1840),
    [anon_sym_PERCENT] = ACTIONS(1840),
    [anon_sym_GT] = ACTIONS(1840),
    [anon_sym_LT_LT] = ACTIONS(1947),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1840),
    [anon_sym_PLUS_EQ] = ACTIONS(1840),
    [anon_sym_DASH_EQ] = ACTIONS(1840),
    [anon_sym_DOT_EQ] = ACTIONS(1840),
    [anon_sym_STAR_EQ] = ACTIONS(1840),
    [anon_sym_SLASH_EQ] = ACTIONS(1840),
    [anon_sym_PERCENT_EQ] = ACTIONS(1840),
    [anon_sym_x_EQ] = ACTIONS(1840),
    [anon_sym_AMP_EQ] = ACTIONS(1840),
    [anon_sym_PIPE_EQ] = ACTIONS(1840),
    [anon_sym_CARET_EQ] = ACTIONS(1840),
    [anon_sym_LT_LT_EQ] = ACTIONS(1840),
    [anon_sym_GT_GT_EQ] = ACTIONS(1840),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1840),
    [anon_sym_DOT_DOT] = ACTIONS(1840),
    [anon_sym_STAR_STAR] = ACTIONS(1840),
    [anon_sym_PIPE_PIPE] = ACTIONS(1840),
    [anon_sym_SLASH_SLASH] = ACTIONS(1947),
    [anon_sym_CARET_CARET] = ACTIONS(1840),
    [anon_sym_AMP_AMP] = ACTIONS(1840),
    [anon_sym_PIPE] = ACTIONS(1840),
    [anon_sym_CARET] = ACTIONS(1840),
    [anon_sym_AMP] = ACTIONS(1840),
    [anon_sym_GT_GT2] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1947),
    [anon_sym_DASH] = ACTIONS(1947),
    [anon_sym_DOT] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1840),
    [anon_sym_SLASH] = ACTIONS(1840),
    [anon_sym_x] = ACTIONS(1840),
    [anon_sym_EQ_TILDE] = ACTIONS(1840),
    [anon_sym_BANG_TILDE] = ACTIONS(1840),
    [anon_sym_EQ_EQ] = ACTIONS(1840),
    [anon_sym_BANG_EQ] = ACTIONS(1840),
    [anon_sym_eq] = ACTIONS(1840),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1840),
    [anon_sym_equ] = ACTIONS(1840),
    [anon_sym_eqr] = ACTIONS(1840),
    [anon_sym_ne] = ACTIONS(1840),
    [anon_sym_LT_EQ_GT] = ACTIONS(1840),
    [anon_sym_cmp] = ACTIONS(1840),
    [anon_sym_TILDE_TILDE] = ACTIONS(1840),
    [anon_sym_LT] = ACTIONS(1840),
    [anon_sym_LT_EQ] = ACTIONS(1840),
    [anon_sym_GT_EQ] = ACTIONS(1840),
    [anon_sym_lt] = ACTIONS(1840),
    [anon_sym_le] = ACTIONS(1840),
    [anon_sym_ge] = ACTIONS(1840),
    [anon_sym_gt] = ACTIONS(1840),
    [anon_sym_isa] = ACTIONS(1840),
    [anon_sym_TILDE] = ACTIONS(1947),
    [anon_sym_BANG] = ACTIONS(1947),
    [anon_sym_PLUS_PLUS] = ACTIONS(1947),
    [anon_sym_DASH_DASH] = ACTIONS(1947),
    [anon_sym_QMARK] = ACTIONS(1840),
    [anon_sym_BSLASH] = ACTIONS(1949),
    [anon_sym_do] = ACTIONS(1947),
    [anon_sym_eval] = ACTIONS(1947),
    [anon_sym_await] = ACTIONS(1947),
    [anon_sym_field] = ACTIONS(1947),
    [anon_sym_local] = ACTIONS(1947),
    [anon_sym_dynamically] = ACTIONS(1947),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1947),
    [anon_sym_require] = ACTIONS(1947),
    [anon_sym_map] = ACTIONS(1947),
    [anon_sym_grep] = ACTIONS(1947),
    [anon_sym_sort] = ACTIONS(1947),
    [anon_sym_goto] = ACTIONS(1947),
    [anon_sym_return] = ACTIONS(1947),
    [anon_sym_undef] = ACTIONS(1947),
    [anon_sym_PERCENT2] = ACTIONS(1947),
    [anon_sym_AMP2] = ACTIONS(1947),
    [anon_sym_STAR2] = ACTIONS(1947),
    [anon_sym_EQ_GT] = ACTIONS(1840),
    [anon_sym_last] = ACTIONS(1947),
    [anon_sym_next] = ACTIONS(1947),
    [anon_sym_redo] = ACTIONS(1947),
    [anon_sym___FILE__] = ACTIONS(1947),
    [anon_sym___LINE__] = ACTIONS(1947),
    [anon_sym___PACKAGE__] = ACTIONS(1947),
    [anon_sym___SUB__] = ACTIONS(1947),
    [anon_sym_break] = ACTIONS(1947),
    [anon_sym_fork] = ACTIONS(1947),
    [anon_sym_getppid] = ACTIONS(1947),
    [anon_sym_time] = ACTIONS(1947),
    [anon_sym_times] = ACTIONS(1947),
    [anon_sym_wait] = ACTIONS(1947),
    [anon_sym_wantarray] = ACTIONS(1947),
    [anon_sym_abs] = ACTIONS(1947),
    [anon_sym_alarm] = ACTIONS(1947),
    [anon_sym_chop] = ACTIONS(1947),
    [anon_sym_chdir] = ACTIONS(1947),
    [anon_sym_close] = ACTIONS(1947),
    [anon_sym_closedir] = ACTIONS(1947),
    [anon_sym_caller] = ACTIONS(1947),
    [anon_sym_chomp] = ACTIONS(1947),
    [anon_sym_chr] = ACTIONS(1947),
    [anon_sym_cos] = ACTIONS(1947),
    [anon_sym_chroot] = ACTIONS(1947),
    [anon_sym_defined] = ACTIONS(1947),
    [anon_sym_delete] = ACTIONS(1947),
    [anon_sym_dbmclose] = ACTIONS(1947),
    [anon_sym_exists] = ACTIONS(1947),
    [anon_sym_exit] = ACTIONS(1947),
    [anon_sym_eof] = ACTIONS(1947),
    [anon_sym_exp] = ACTIONS(1947),
    [anon_sym_each] = ACTIONS(1947),
    [anon_sym_fc] = ACTIONS(1947),
    [anon_sym_fileno] = ACTIONS(1947),
    [anon_sym_gmtime] = ACTIONS(1947),
    [anon_sym_getc] = ACTIONS(1947),
    [anon_sym_getpgrp] = ACTIONS(1947),
    [anon_sym_getprotobyname] = ACTIONS(1947),
    [anon_sym_getpwname] = ACTIONS(1947),
    [anon_sym_getpwuid] = ACTIONS(1947),
    [anon_sym_getpeername] = ACTIONS(1947),
    [anon_sym_getnetbyname] = ACTIONS(1947),
    [anon_sym_getsockname] = ACTIONS(1947),
    [anon_sym_getgrnam] = ACTIONS(1947),
    [anon_sym_getgrgid] = ACTIONS(1947),
    [anon_sym_hex] = ACTIONS(1947),
    [anon_sym_int] = ACTIONS(1947),
    [anon_sym_keys] = ACTIONS(1947),
    [anon_sym_lc] = ACTIONS(1947),
    [anon_sym_lcfirst] = ACTIONS(1947),
    [anon_sym_length] = ACTIONS(1947),
    [anon_sym_localtime] = ACTIONS(1947),
    [anon_sym_log] = ACTIONS(1947),
    [anon_sym_lock] = ACTIONS(1947),
    [anon_sym_lstat] = ACTIONS(1947),
    [anon_sym_oct] = ACTIONS(1947),
    [anon_sym_ord] = ACTIONS(1947),
    [anon_sym_prototype] = ACTIONS(1947),
    [anon_sym_pop] = ACTIONS(1947),
    [anon_sym_pos] = ACTIONS(1947),
    [anon_sym_quotemeta] = ACTIONS(1947),
    [anon_sym_reset] = ACTIONS(1947),
    [anon_sym_rand] = ACTIONS(1947),
    [anon_sym_rmdir] = ACTIONS(1947),
    [anon_sym_readdir] = ACTIONS(1947),
    [anon_sym_readline] = ACTIONS(1947),
    [anon_sym_readpipe] = ACTIONS(1947),
    [anon_sym_rewinddir] = ACTIONS(1947),
    [anon_sym_readlink] = ACTIONS(1947),
    [anon_sym_ref] = ACTIONS(1947),
    [anon_sym_scalar] = ACTIONS(1947),
    [anon_sym_shift] = ACTIONS(1947),
    [anon_sym_sin] = ACTIONS(1947),
    [anon_sym_sleep] = ACTIONS(1947),
    [anon_sym_sqrt] = ACTIONS(1947),
    [anon_sym_srand] = ACTIONS(1947),
    [anon_sym_stat] = ACTIONS(1947),
    [anon_sym_study] = ACTIONS(1947),
    [anon_sym_tell] = ACTIONS(1947),
    [anon_sym_telldir] = ACTIONS(1947),
    [anon_sym_tied] = ACTIONS(1947),
    [anon_sym_uc] = ACTIONS(1947),
    [anon_sym_ucfirst] = ACTIONS(1947),
    [anon_sym_untie] = ACTIONS(1947),
    [anon_sym_umask] = ACTIONS(1947),
    [anon_sym_values] = ACTIONS(1947),
    [anon_sym_write] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1947),
    [anon_sym_qq] = ACTIONS(1947),
    [anon_sym_qw] = ACTIONS(1947),
    [anon_sym_qx] = ACTIONS(1947),
    [anon_sym_qr] = ACTIONS(1947),
    [anon_sym_m] = ACTIONS(1947),
    [anon_sym_s] = ACTIONS(1947),
    [anon_sym_tr] = ACTIONS(1947),
    [anon_sym_y] = ACTIONS(1947),
    [aux_sym__bareword_token1] = ACTIONS(1947),
    [sym_number] = ACTIONS(1947),
    [anon_sym_true] = ACTIONS(1947),
    [anon_sym_false] = ACTIONS(1947),
    [sym__single_quote] = ACTIONS(1949),
    [sym__double_quote] = ACTIONS(1949),
    [sym__backtick_quote] = ACTIONS(1949),
    [sym__search_slash_quote] = ACTIONS(1949),
    [sym__open_readline_bracket] = ACTIONS(1949),
    [sym__open_fileglob_bracket] = ACTIONS(1949),
    [sym__PERLY_HEREDOC] = ACTIONS(1949),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1949),
    [sym__filetest] = ACTIONS(1949),
  },
  [837] = {
    [sym_heredoc_content] = STATE(837),
    [sym__identifier] = ACTIONS(1661),
    [anon_sym_LBRACE] = ACTIONS(1661),
    [anon_sym_RBRACE] = ACTIONS(1663),
    [anon_sym_COLON] = ACTIONS(1663),
    [anon_sym_DOLLAR] = ACTIONS(1661),
    [anon_sym_EQ] = ACTIONS(1663),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1663),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1663),
    [anon_sym_AT] = ACTIONS(1661),
    [anon_sym_COMMA] = ACTIONS(1663),
    [anon_sym_RPAREN] = ACTIONS(1663),
    [anon_sym_my] = ACTIONS(1661),
    [anon_sym_extended] = ACTIONS(1661),
    [anon_sym_async] = ACTIONS(1661),
    [anon_sym_sub] = ACTIONS(1661),
    [anon_sym_method] = ACTIONS(1661),
    [anon_sym_LPAREN] = ACTIONS(1661),
    [anon_sym_continue] = ACTIONS(1661),
    [anon_sym_state] = ACTIONS(1661),
    [anon_sym_our] = ACTIONS(1661),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1663),
    [anon_sym_LBRACK] = ACTIONS(1661),
    [anon_sym_DASH_GT] = ACTIONS(1663),
    [anon_sym_PERCENT] = ACTIONS(1663),
    [anon_sym_GT] = ACTIONS(1663),
    [anon_sym_LT_LT] = ACTIONS(1663),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1663),
    [anon_sym_PLUS_EQ] = ACTIONS(1663),
    [anon_sym_DASH_EQ] = ACTIONS(1663),
    [anon_sym_DOT_EQ] = ACTIONS(1663),
    [anon_sym_STAR_EQ] = ACTIONS(1663),
    [anon_sym_SLASH_EQ] = ACTIONS(1663),
    [anon_sym_PERCENT_EQ] = ACTIONS(1663),
    [anon_sym_x_EQ] = ACTIONS(1663),
    [anon_sym_AMP_EQ] = ACTIONS(1663),
    [anon_sym_PIPE_EQ] = ACTIONS(1663),
    [anon_sym_CARET_EQ] = ACTIONS(1663),
    [anon_sym_LT_LT_EQ] = ACTIONS(1663),
    [anon_sym_GT_GT_EQ] = ACTIONS(1663),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1663),
    [anon_sym_DOT_DOT] = ACTIONS(1663),
    [anon_sym_STAR_STAR] = ACTIONS(1663),
    [anon_sym_PIPE_PIPE] = ACTIONS(1663),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_CARET_CARET] = ACTIONS(1663),
    [anon_sym_AMP_AMP] = ACTIONS(1663),
    [anon_sym_PIPE] = ACTIONS(1663),
    [anon_sym_CARET] = ACTIONS(1663),
    [anon_sym_AMP] = ACTIONS(1663),
    [anon_sym_GT_GT2] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(1663),
    [anon_sym_DASH] = ACTIONS(1663),
    [anon_sym_DOT] = ACTIONS(1663),
    [anon_sym_STAR] = ACTIONS(1663),
    [anon_sym_SLASH] = ACTIONS(1663),
    [anon_sym_x] = ACTIONS(1663),
    [anon_sym_EQ_TILDE] = ACTIONS(1663),
    [anon_sym_BANG_TILDE] = ACTIONS(1663),
    [anon_sym_EQ_EQ] = ACTIONS(1663),
    [anon_sym_BANG_EQ] = ACTIONS(1663),
    [anon_sym_eq] = ACTIONS(1663),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1663),
    [anon_sym_equ] = ACTIONS(1663),
    [anon_sym_eqr] = ACTIONS(1663),
    [anon_sym_ne] = ACTIONS(1663),
    [anon_sym_LT_EQ_GT] = ACTIONS(1663),
    [anon_sym_cmp] = ACTIONS(1663),
    [anon_sym_TILDE_TILDE] = ACTIONS(1663),
    [anon_sym_LT] = ACTIONS(1663),
    [anon_sym_LT_EQ] = ACTIONS(1663),
    [anon_sym_GT_EQ] = ACTIONS(1663),
    [anon_sym_lt] = ACTIONS(1663),
    [anon_sym_le] = ACTIONS(1663),
    [anon_sym_ge] = ACTIONS(1663),
    [anon_sym_gt] = ACTIONS(1663),
    [anon_sym_isa] = ACTIONS(1663),
    [anon_sym_TILDE] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1661),
    [anon_sym_PLUS_PLUS] = ACTIONS(1663),
    [anon_sym_DASH_DASH] = ACTIONS(1663),
    [anon_sym_QMARK] = ACTIONS(1663),
    [anon_sym_BSLASH] = ACTIONS(1659),
    [anon_sym_do] = ACTIONS(1661),
    [anon_sym_eval] = ACTIONS(1661),
    [anon_sym_await] = ACTIONS(1661),
    [anon_sym_field] = ACTIONS(1661),
    [anon_sym_local] = ACTIONS(1661),
    [anon_sym_dynamically] = ACTIONS(1661),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1661),
    [anon_sym_require] = ACTIONS(1661),
    [anon_sym_map] = ACTIONS(1661),
    [anon_sym_grep] = ACTIONS(1661),
    [anon_sym_sort] = ACTIONS(1661),
    [anon_sym_goto] = ACTIONS(1661),
    [anon_sym_return] = ACTIONS(1661),
    [anon_sym_undef] = ACTIONS(1661),
    [anon_sym_PERCENT2] = ACTIONS(1661),
    [anon_sym_AMP2] = ACTIONS(1661),
    [anon_sym_STAR2] = ACTIONS(1661),
    [anon_sym_EQ_GT] = ACTIONS(1663),
    [anon_sym_last] = ACTIONS(1661),
    [anon_sym_next] = ACTIONS(1661),
    [anon_sym_redo] = ACTIONS(1661),
    [anon_sym___FILE__] = ACTIONS(1661),
    [anon_sym___LINE__] = ACTIONS(1661),
    [anon_sym___PACKAGE__] = ACTIONS(1661),
    [anon_sym___SUB__] = ACTIONS(1661),
    [anon_sym_break] = ACTIONS(1661),
    [anon_sym_fork] = ACTIONS(1661),
    [anon_sym_getppid] = ACTIONS(1661),
    [anon_sym_time] = ACTIONS(1661),
    [anon_sym_times] = ACTIONS(1661),
    [anon_sym_wait] = ACTIONS(1661),
    [anon_sym_wantarray] = ACTIONS(1661),
    [anon_sym_abs] = ACTIONS(1661),
    [anon_sym_alarm] = ACTIONS(1661),
    [anon_sym_chop] = ACTIONS(1661),
    [anon_sym_chdir] = ACTIONS(1661),
    [anon_sym_close] = ACTIONS(1661),
    [anon_sym_closedir] = ACTIONS(1661),
    [anon_sym_caller] = ACTIONS(1661),
    [anon_sym_chomp] = ACTIONS(1661),
    [anon_sym_chr] = ACTIONS(1661),
    [anon_sym_cos] = ACTIONS(1661),
    [anon_sym_chroot] = ACTIONS(1661),
    [anon_sym_defined] = ACTIONS(1661),
    [anon_sym_delete] = ACTIONS(1661),
    [anon_sym_dbmclose] = ACTIONS(1661),
    [anon_sym_exists] = ACTIONS(1661),
    [anon_sym_exit] = ACTIONS(1661),
    [anon_sym_eof] = ACTIONS(1661),
    [anon_sym_exp] = ACTIONS(1661),
    [anon_sym_each] = ACTIONS(1661),
    [anon_sym_fc] = ACTIONS(1661),
    [anon_sym_fileno] = ACTIONS(1661),
    [anon_sym_gmtime] = ACTIONS(1661),
    [anon_sym_getc] = ACTIONS(1661),
    [anon_sym_getpgrp] = ACTIONS(1661),
    [anon_sym_getprotobyname] = ACTIONS(1661),
    [anon_sym_getpwname] = ACTIONS(1661),
    [anon_sym_getpwuid] = ACTIONS(1661),
    [anon_sym_getpeername] = ACTIONS(1661),
    [anon_sym_getnetbyname] = ACTIONS(1661),
    [anon_sym_getsockname] = ACTIONS(1661),
    [anon_sym_getgrnam] = ACTIONS(1661),
    [anon_sym_getgrgid] = ACTIONS(1661),
    [anon_sym_hex] = ACTIONS(1661),
    [anon_sym_int] = ACTIONS(1661),
    [anon_sym_keys] = ACTIONS(1661),
    [anon_sym_lc] = ACTIONS(1661),
    [anon_sym_lcfirst] = ACTIONS(1661),
    [anon_sym_length] = ACTIONS(1661),
    [anon_sym_localtime] = ACTIONS(1661),
    [anon_sym_log] = ACTIONS(1661),
    [anon_sym_lock] = ACTIONS(1661),
    [anon_sym_lstat] = ACTIONS(1661),
    [anon_sym_oct] = ACTIONS(1661),
    [anon_sym_ord] = ACTIONS(1661),
    [anon_sym_prototype] = ACTIONS(1661),
    [anon_sym_pop] = ACTIONS(1661),
    [anon_sym_pos] = ACTIONS(1661),
    [anon_sym_quotemeta] = ACTIONS(1661),
    [anon_sym_reset] = ACTIONS(1661),
    [anon_sym_rand] = ACTIONS(1661),
    [anon_sym_rmdir] = ACTIONS(1661),
    [anon_sym_readdir] = ACTIONS(1661),
    [anon_sym_readline] = ACTIONS(1661),
    [anon_sym_readpipe] = ACTIONS(1661),
    [anon_sym_rewinddir] = ACTIONS(1661),
    [anon_sym_readlink] = ACTIONS(1661),
    [anon_sym_ref] = ACTIONS(1661),
    [anon_sym_scalar] = ACTIONS(1661),
    [anon_sym_shift] = ACTIONS(1661),
    [anon_sym_sin] = ACTIONS(1661),
    [anon_sym_sleep] = ACTIONS(1661),
    [anon_sym_sqrt] = ACTIONS(1661),
    [anon_sym_srand] = ACTIONS(1661),
    [anon_sym_stat] = ACTIONS(1661),
    [anon_sym_study] = ACTIONS(1661),
    [anon_sym_tell] = ACTIONS(1661),
    [anon_sym_telldir] = ACTIONS(1661),
    [anon_sym_tied] = ACTIONS(1661),
    [anon_sym_uc] = ACTIONS(1661),
    [anon_sym_ucfirst] = ACTIONS(1661),
    [anon_sym_untie] = ACTIONS(1661),
    [anon_sym_umask] = ACTIONS(1661),
    [anon_sym_values] = ACTIONS(1661),
    [anon_sym_write] = ACTIONS(1661),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1661),
    [anon_sym_qq] = ACTIONS(1661),
    [anon_sym_qw] = ACTIONS(1661),
    [anon_sym_qx] = ACTIONS(1661),
    [anon_sym_qr] = ACTIONS(1661),
    [anon_sym_m] = ACTIONS(1661),
    [anon_sym_s] = ACTIONS(1661),
    [anon_sym_tr] = ACTIONS(1661),
    [anon_sym_y] = ACTIONS(1661),
    [aux_sym__bareword_token1] = ACTIONS(1661),
    [sym_number] = ACTIONS(1661),
    [anon_sym_true] = ACTIONS(1661),
    [anon_sym_false] = ACTIONS(1661),
    [sym__single_quote] = ACTIONS(1659),
    [sym__double_quote] = ACTIONS(1659),
    [sym__backtick_quote] = ACTIONS(1659),
    [sym__search_slash_quote] = ACTIONS(1659),
    [sym__open_readline_bracket] = ACTIONS(1659),
    [sym__open_fileglob_bracket] = ACTIONS(1659),
    [sym__PERLY_HEREDOC] = ACTIONS(1659),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1659),
    [sym__filetest] = ACTIONS(1659),
  },
  [838] = {
    [sym_heredoc_content] = STATE(838),
    [sym__identifier] = ACTIONS(1838),
    [anon_sym_LBRACE] = ACTIONS(1838),
    [anon_sym_RBRACE] = ACTIONS(1951),
    [anon_sym_COLON] = ACTIONS(1951),
    [anon_sym_DOLLAR] = ACTIONS(1838),
    [anon_sym_EQ] = ACTIONS(1951),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1951),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1951),
    [anon_sym_AT] = ACTIONS(1838),
    [anon_sym_COMMA] = ACTIONS(1951),
    [anon_sym_RPAREN] = ACTIONS(1951),
    [anon_sym_my] = ACTIONS(1838),
    [anon_sym_extended] = ACTIONS(1838),
    [anon_sym_async] = ACTIONS(1838),
    [anon_sym_sub] = ACTIONS(1838),
    [anon_sym_method] = ACTIONS(1838),
    [anon_sym_LPAREN] = ACTIONS(1838),
    [anon_sym_continue] = ACTIONS(1838),
    [anon_sym_state] = ACTIONS(1838),
    [anon_sym_our] = ACTIONS(1838),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1838),
    [anon_sym_DASH_GT] = ACTIONS(1951),
    [anon_sym_PERCENT] = ACTIONS(1951),
    [anon_sym_GT] = ACTIONS(1951),
    [anon_sym_LT_LT] = ACTIONS(1951),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1951),
    [anon_sym_PLUS_EQ] = ACTIONS(1951),
    [anon_sym_DASH_EQ] = ACTIONS(1951),
    [anon_sym_DOT_EQ] = ACTIONS(1951),
    [anon_sym_STAR_EQ] = ACTIONS(1951),
    [anon_sym_SLASH_EQ] = ACTIONS(1951),
    [anon_sym_PERCENT_EQ] = ACTIONS(1951),
    [anon_sym_x_EQ] = ACTIONS(1951),
    [anon_sym_AMP_EQ] = ACTIONS(1951),
    [anon_sym_PIPE_EQ] = ACTIONS(1951),
    [anon_sym_CARET_EQ] = ACTIONS(1951),
    [anon_sym_LT_LT_EQ] = ACTIONS(1951),
    [anon_sym_GT_GT_EQ] = ACTIONS(1951),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1951),
    [anon_sym_DOT_DOT] = ACTIONS(1951),
    [anon_sym_STAR_STAR] = ACTIONS(1951),
    [anon_sym_PIPE_PIPE] = ACTIONS(1951),
    [anon_sym_SLASH_SLASH] = ACTIONS(1951),
    [anon_sym_CARET_CARET] = ACTIONS(1951),
    [anon_sym_AMP_AMP] = ACTIONS(1951),
    [anon_sym_PIPE] = ACTIONS(1951),
    [anon_sym_CARET] = ACTIONS(1951),
    [anon_sym_AMP] = ACTIONS(1951),
    [anon_sym_GT_GT2] = ACTIONS(1951),
    [anon_sym_PLUS] = ACTIONS(1951),
    [anon_sym_DASH] = ACTIONS(1951),
    [anon_sym_DOT] = ACTIONS(1951),
    [anon_sym_STAR] = ACTIONS(1951),
    [anon_sym_SLASH] = ACTIONS(1951),
    [anon_sym_x] = ACTIONS(1951),
    [anon_sym_EQ_TILDE] = ACTIONS(1951),
    [anon_sym_BANG_TILDE] = ACTIONS(1951),
    [anon_sym_EQ_EQ] = ACTIONS(1951),
    [anon_sym_BANG_EQ] = ACTIONS(1951),
    [anon_sym_eq] = ACTIONS(1951),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1951),
    [anon_sym_equ] = ACTIONS(1951),
    [anon_sym_eqr] = ACTIONS(1951),
    [anon_sym_ne] = ACTIONS(1951),
    [anon_sym_LT_EQ_GT] = ACTIONS(1951),
    [anon_sym_cmp] = ACTIONS(1951),
    [anon_sym_TILDE_TILDE] = ACTIONS(1951),
    [anon_sym_LT] = ACTIONS(1951),
    [anon_sym_LT_EQ] = ACTIONS(1951),
    [anon_sym_GT_EQ] = ACTIONS(1951),
    [anon_sym_lt] = ACTIONS(1951),
    [anon_sym_le] = ACTIONS(1951),
    [anon_sym_ge] = ACTIONS(1951),
    [anon_sym_gt] = ACTIONS(1951),
    [anon_sym_isa] = ACTIONS(1951),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_PLUS_PLUS] = ACTIONS(1951),
    [anon_sym_DASH_DASH] = ACTIONS(1951),
    [anon_sym_QMARK] = ACTIONS(1951),
    [anon_sym_BSLASH] = ACTIONS(1845),
    [anon_sym_do] = ACTIONS(1838),
    [anon_sym_eval] = ACTIONS(1838),
    [anon_sym_await] = ACTIONS(1838),
    [anon_sym_field] = ACTIONS(1838),
    [anon_sym_local] = ACTIONS(1838),
    [anon_sym_dynamically] = ACTIONS(1838),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1838),
    [anon_sym_require] = ACTIONS(1838),
    [anon_sym_map] = ACTIONS(1838),
    [anon_sym_grep] = ACTIONS(1838),
    [anon_sym_sort] = ACTIONS(1838),
    [anon_sym_goto] = ACTIONS(1838),
    [anon_sym_return] = ACTIONS(1838),
    [anon_sym_undef] = ACTIONS(1838),
    [anon_sym_PERCENT2] = ACTIONS(1838),
    [anon_sym_AMP2] = ACTIONS(1838),
    [anon_sym_STAR2] = ACTIONS(1838),
    [anon_sym_EQ_GT] = ACTIONS(1951),
    [anon_sym_last] = ACTIONS(1838),
    [anon_sym_next] = ACTIONS(1838),
    [anon_sym_redo] = ACTIONS(1838),
    [anon_sym___FILE__] = ACTIONS(1838),
    [anon_sym___LINE__] = ACTIONS(1838),
    [anon_sym___PACKAGE__] = ACTIONS(1838),
    [anon_sym___SUB__] = ACTIONS(1838),
    [anon_sym_break] = ACTIONS(1838),
    [anon_sym_fork] = ACTIONS(1838),
    [anon_sym_getppid] = ACTIONS(1838),
    [anon_sym_time] = ACTIONS(1838),
    [anon_sym_times] = ACTIONS(1838),
    [anon_sym_wait] = ACTIONS(1838),
    [anon_sym_wantarray] = ACTIONS(1838),
    [anon_sym_abs] = ACTIONS(1838),
    [anon_sym_alarm] = ACTIONS(1838),
    [anon_sym_chop] = ACTIONS(1838),
    [anon_sym_chdir] = ACTIONS(1838),
    [anon_sym_close] = ACTIONS(1838),
    [anon_sym_closedir] = ACTIONS(1838),
    [anon_sym_caller] = ACTIONS(1838),
    [anon_sym_chomp] = ACTIONS(1838),
    [anon_sym_chr] = ACTIONS(1838),
    [anon_sym_cos] = ACTIONS(1838),
    [anon_sym_chroot] = ACTIONS(1838),
    [anon_sym_defined] = ACTIONS(1838),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_dbmclose] = ACTIONS(1838),
    [anon_sym_exists] = ACTIONS(1838),
    [anon_sym_exit] = ACTIONS(1838),
    [anon_sym_eof] = ACTIONS(1838),
    [anon_sym_exp] = ACTIONS(1838),
    [anon_sym_each] = ACTIONS(1838),
    [anon_sym_fc] = ACTIONS(1838),
    [anon_sym_fileno] = ACTIONS(1838),
    [anon_sym_gmtime] = ACTIONS(1838),
    [anon_sym_getc] = ACTIONS(1838),
    [anon_sym_getpgrp] = ACTIONS(1838),
    [anon_sym_getprotobyname] = ACTIONS(1838),
    [anon_sym_getpwname] = ACTIONS(1838),
    [anon_sym_getpwuid] = ACTIONS(1838),
    [anon_sym_getpeername] = ACTIONS(1838),
    [anon_sym_getnetbyname] = ACTIONS(1838),
    [anon_sym_getsockname] = ACTIONS(1838),
    [anon_sym_getgrnam] = ACTIONS(1838),
    [anon_sym_getgrgid] = ACTIONS(1838),
    [anon_sym_hex] = ACTIONS(1838),
    [anon_sym_int] = ACTIONS(1838),
    [anon_sym_keys] = ACTIONS(1838),
    [anon_sym_lc] = ACTIONS(1838),
    [anon_sym_lcfirst] = ACTIONS(1838),
    [anon_sym_length] = ACTIONS(1838),
    [anon_sym_localtime] = ACTIONS(1838),
    [anon_sym_log] = ACTIONS(1838),
    [anon_sym_lock] = ACTIONS(1838),
    [anon_sym_lstat] = ACTIONS(1838),
    [anon_sym_oct] = ACTIONS(1838),
    [anon_sym_ord] = ACTIONS(1838),
    [anon_sym_prototype] = ACTIONS(1838),
    [anon_sym_pop] = ACTIONS(1838),
    [anon_sym_pos] = ACTIONS(1838),
    [anon_sym_quotemeta] = ACTIONS(1838),
    [anon_sym_reset] = ACTIONS(1838),
    [anon_sym_rand] = ACTIONS(1838),
    [anon_sym_rmdir] = ACTIONS(1838),
    [anon_sym_readdir] = ACTIONS(1838),
    [anon_sym_readline] = ACTIONS(1838),
    [anon_sym_readpipe] = ACTIONS(1838),
    [anon_sym_rewinddir] = ACTIONS(1838),
    [anon_sym_readlink] = ACTIONS(1838),
    [anon_sym_ref] = ACTIONS(1838),
    [anon_sym_scalar] = ACTIONS(1838),
    [anon_sym_shift] = ACTIONS(1838),
    [anon_sym_sin] = ACTIONS(1838),
    [anon_sym_sleep] = ACTIONS(1838),
    [anon_sym_sqrt] = ACTIONS(1838),
    [anon_sym_srand] = ACTIONS(1838),
    [anon_sym_stat] = ACTIONS(1838),
    [anon_sym_study] = ACTIONS(1838),
    [anon_sym_tell] = ACTIONS(1838),
    [anon_sym_telldir] = ACTIONS(1838),
    [anon_sym_tied] = ACTIONS(1838),
    [anon_sym_uc] = ACTIONS(1838),
    [anon_sym_ucfirst] = ACTIONS(1838),
    [anon_sym_untie] = ACTIONS(1838),
    [anon_sym_umask] = ACTIONS(1838),
    [anon_sym_values] = ACTIONS(1838),
    [anon_sym_write] = ACTIONS(1838),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1838),
    [anon_sym_qq] = ACTIONS(1838),
    [anon_sym_qw] = ACTIONS(1838),
    [anon_sym_qx] = ACTIONS(1838),
    [anon_sym_qr] = ACTIONS(1838),
    [anon_sym_m] = ACTIONS(1838),
    [anon_sym_s] = ACTIONS(1838),
    [anon_sym_tr] = ACTIONS(1838),
    [anon_sym_y] = ACTIONS(1838),
    [aux_sym__bareword_token1] = ACTIONS(1838),
    [sym_number] = ACTIONS(1838),
    [anon_sym_true] = ACTIONS(1838),
    [anon_sym_false] = ACTIONS(1838),
    [sym__single_quote] = ACTIONS(1845),
    [sym__double_quote] = ACTIONS(1845),
    [sym__backtick_quote] = ACTIONS(1845),
    [sym__search_slash_quote] = ACTIONS(1845),
    [sym__open_readline_bracket] = ACTIONS(1845),
    [sym__open_fileglob_bracket] = ACTIONS(1845),
    [sym__PERLY_HEREDOC] = ACTIONS(1845),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1845),
    [sym__filetest] = ACTIONS(1845),
  },
  [839] = {
    [sym_heredoc_content] = STATE(839),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_RBRACE] = ACTIONS(1869),
    [anon_sym_COLON] = ACTIONS(1869),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1869),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1869),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1869),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1869),
    [anon_sym_RPAREN] = ACTIONS(1869),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1960),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1869),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_DASH_GT] = ACTIONS(1869),
    [anon_sym_PERCENT] = ACTIONS(1869),
    [anon_sym_GT] = ACTIONS(1869),
    [anon_sym_LT_LT] = ACTIONS(1869),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1869),
    [anon_sym_PLUS_EQ] = ACTIONS(1869),
    [anon_sym_DASH_EQ] = ACTIONS(1869),
    [anon_sym_DOT_EQ] = ACTIONS(1869),
    [anon_sym_STAR_EQ] = ACTIONS(1869),
    [anon_sym_SLASH_EQ] = ACTIONS(1869),
    [anon_sym_PERCENT_EQ] = ACTIONS(1869),
    [anon_sym_x_EQ] = ACTIONS(1869),
    [anon_sym_AMP_EQ] = ACTIONS(1869),
    [anon_sym_PIPE_EQ] = ACTIONS(1869),
    [anon_sym_CARET_EQ] = ACTIONS(1869),
    [anon_sym_LT_LT_EQ] = ACTIONS(1869),
    [anon_sym_GT_GT_EQ] = ACTIONS(1869),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1869),
    [anon_sym_DOT_DOT] = ACTIONS(1869),
    [anon_sym_STAR_STAR] = ACTIONS(1869),
    [anon_sym_PIPE_PIPE] = ACTIONS(1869),
    [anon_sym_SLASH_SLASH] = ACTIONS(1869),
    [anon_sym_CARET_CARET] = ACTIONS(1869),
    [anon_sym_AMP_AMP] = ACTIONS(1869),
    [anon_sym_PIPE] = ACTIONS(1869),
    [anon_sym_CARET] = ACTIONS(1869),
    [anon_sym_AMP] = ACTIONS(1869),
    [anon_sym_GT_GT2] = ACTIONS(1869),
    [anon_sym_PLUS] = ACTIONS(1869),
    [anon_sym_DASH] = ACTIONS(1869),
    [anon_sym_DOT] = ACTIONS(1869),
    [anon_sym_STAR] = ACTIONS(1869),
    [anon_sym_SLASH] = ACTIONS(1869),
    [anon_sym_x] = ACTIONS(1869),
    [anon_sym_EQ_TILDE] = ACTIONS(1869),
    [anon_sym_BANG_TILDE] = ACTIONS(1869),
    [anon_sym_EQ_EQ] = ACTIONS(1869),
    [anon_sym_BANG_EQ] = ACTIONS(1869),
    [anon_sym_eq] = ACTIONS(1869),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1869),
    [anon_sym_equ] = ACTIONS(1869),
    [anon_sym_eqr] = ACTIONS(1869),
    [anon_sym_ne] = ACTIONS(1869),
    [anon_sym_LT_EQ_GT] = ACTIONS(1869),
    [anon_sym_cmp] = ACTIONS(1869),
    [anon_sym_TILDE_TILDE] = ACTIONS(1869),
    [anon_sym_LT] = ACTIONS(1869),
    [anon_sym_LT_EQ] = ACTIONS(1869),
    [anon_sym_GT_EQ] = ACTIONS(1869),
    [anon_sym_lt] = ACTIONS(1869),
    [anon_sym_le] = ACTIONS(1869),
    [anon_sym_ge] = ACTIONS(1869),
    [anon_sym_gt] = ACTIONS(1869),
    [anon_sym_isa] = ACTIONS(1869),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_QMARK] = ACTIONS(1869),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1869),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
  },
  [840] = {
    [sym_heredoc_content] = STATE(840),
    [sym__identifier] = ACTIONS(1838),
    [anon_sym_LBRACE] = ACTIONS(1838),
    [anon_sym_SEMI] = ACTIONS(1840),
    [anon_sym_DOLLAR] = ACTIONS(1838),
    [anon_sym_EQ] = ACTIONS(1840),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1840),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1840),
    [anon_sym_AT] = ACTIONS(1838),
    [anon_sym_COMMA] = ACTIONS(1840),
    [anon_sym_my] = ACTIONS(1838),
    [anon_sym_extended] = ACTIONS(1838),
    [anon_sym_async] = ACTIONS(1838),
    [anon_sym_sub] = ACTIONS(1838),
    [anon_sym_method] = ACTIONS(1838),
    [anon_sym_LPAREN] = ACTIONS(1838),
    [anon_sym_continue] = ACTIONS(1838),
    [anon_sym_state] = ACTIONS(1838),
    [anon_sym_our] = ACTIONS(1838),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1840),
    [anon_sym_LBRACK] = ACTIONS(1838),
    [anon_sym_DASH_GT] = ACTIONS(1840),
    [anon_sym_PERCENT] = ACTIONS(1840),
    [anon_sym_GT] = ACTIONS(1840),
    [anon_sym_LT_LT] = ACTIONS(1842),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1840),
    [anon_sym_PLUS_EQ] = ACTIONS(1840),
    [anon_sym_DASH_EQ] = ACTIONS(1840),
    [anon_sym_DOT_EQ] = ACTIONS(1840),
    [anon_sym_STAR_EQ] = ACTIONS(1840),
    [anon_sym_SLASH_EQ] = ACTIONS(1840),
    [anon_sym_PERCENT_EQ] = ACTIONS(1840),
    [anon_sym_x_EQ] = ACTIONS(1840),
    [anon_sym_AMP_EQ] = ACTIONS(1840),
    [anon_sym_PIPE_EQ] = ACTIONS(1840),
    [anon_sym_CARET_EQ] = ACTIONS(1840),
    [anon_sym_LT_LT_EQ] = ACTIONS(1840),
    [anon_sym_GT_GT_EQ] = ACTIONS(1840),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1840),
    [anon_sym_DOT_DOT] = ACTIONS(1840),
    [anon_sym_STAR_STAR] = ACTIONS(1840),
    [anon_sym_PIPE_PIPE] = ACTIONS(1840),
    [anon_sym_SLASH_SLASH] = ACTIONS(1842),
    [anon_sym_CARET_CARET] = ACTIONS(1840),
    [anon_sym_AMP_AMP] = ACTIONS(1840),
    [anon_sym_PIPE] = ACTIONS(1840),
    [anon_sym_CARET] = ACTIONS(1840),
    [anon_sym_AMP] = ACTIONS(1840),
    [anon_sym_GT_GT2] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1842),
    [anon_sym_DASH] = ACTIONS(1842),
    [anon_sym_DOT] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1840),
    [anon_sym_SLASH] = ACTIONS(1840),
    [anon_sym_x] = ACTIONS(1840),
    [anon_sym_EQ_TILDE] = ACTIONS(1840),
    [anon_sym_BANG_TILDE] = ACTIONS(1840),
    [anon_sym_EQ_EQ] = ACTIONS(1840),
    [anon_sym_BANG_EQ] = ACTIONS(1840),
    [anon_sym_eq] = ACTIONS(1840),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1840),
    [anon_sym_equ] = ACTIONS(1840),
    [anon_sym_eqr] = ACTIONS(1840),
    [anon_sym_ne] = ACTIONS(1840),
    [anon_sym_LT_EQ_GT] = ACTIONS(1840),
    [anon_sym_cmp] = ACTIONS(1840),
    [anon_sym_TILDE_TILDE] = ACTIONS(1840),
    [anon_sym_LT] = ACTIONS(1840),
    [anon_sym_LT_EQ] = ACTIONS(1840),
    [anon_sym_GT_EQ] = ACTIONS(1840),
    [anon_sym_lt] = ACTIONS(1840),
    [anon_sym_le] = ACTIONS(1840),
    [anon_sym_ge] = ACTIONS(1840),
    [anon_sym_gt] = ACTIONS(1840),
    [anon_sym_isa] = ACTIONS(1840),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_PLUS_PLUS] = ACTIONS(1842),
    [anon_sym_DASH_DASH] = ACTIONS(1842),
    [anon_sym_QMARK] = ACTIONS(1840),
    [anon_sym_BSLASH] = ACTIONS(1845),
    [anon_sym_do] = ACTIONS(1838),
    [anon_sym_eval] = ACTIONS(1838),
    [anon_sym_await] = ACTIONS(1838),
    [anon_sym_field] = ACTIONS(1838),
    [anon_sym_local] = ACTIONS(1838),
    [anon_sym_dynamically] = ACTIONS(1838),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1838),
    [anon_sym_require] = ACTIONS(1838),
    [anon_sym_map] = ACTIONS(1838),
    [anon_sym_grep] = ACTIONS(1838),
    [anon_sym_sort] = ACTIONS(1838),
    [anon_sym_goto] = ACTIONS(1838),
    [anon_sym_return] = ACTIONS(1838),
    [anon_sym_undef] = ACTIONS(1838),
    [anon_sym_PERCENT2] = ACTIONS(1838),
    [anon_sym_AMP2] = ACTIONS(1838),
    [anon_sym_STAR2] = ACTIONS(1838),
    [anon_sym_EQ_GT] = ACTIONS(1840),
    [anon_sym_last] = ACTIONS(1838),
    [anon_sym_next] = ACTIONS(1838),
    [anon_sym_redo] = ACTIONS(1838),
    [anon_sym___FILE__] = ACTIONS(1838),
    [anon_sym___LINE__] = ACTIONS(1838),
    [anon_sym___PACKAGE__] = ACTIONS(1838),
    [anon_sym___SUB__] = ACTIONS(1838),
    [anon_sym_break] = ACTIONS(1838),
    [anon_sym_fork] = ACTIONS(1838),
    [anon_sym_getppid] = ACTIONS(1838),
    [anon_sym_time] = ACTIONS(1838),
    [anon_sym_times] = ACTIONS(1838),
    [anon_sym_wait] = ACTIONS(1838),
    [anon_sym_wantarray] = ACTIONS(1838),
    [anon_sym_abs] = ACTIONS(1838),
    [anon_sym_alarm] = ACTIONS(1838),
    [anon_sym_chop] = ACTIONS(1838),
    [anon_sym_chdir] = ACTIONS(1838),
    [anon_sym_close] = ACTIONS(1838),
    [anon_sym_closedir] = ACTIONS(1838),
    [anon_sym_caller] = ACTIONS(1838),
    [anon_sym_chomp] = ACTIONS(1838),
    [anon_sym_chr] = ACTIONS(1838),
    [anon_sym_cos] = ACTIONS(1838),
    [anon_sym_chroot] = ACTIONS(1838),
    [anon_sym_defined] = ACTIONS(1838),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_dbmclose] = ACTIONS(1838),
    [anon_sym_exists] = ACTIONS(1838),
    [anon_sym_exit] = ACTIONS(1838),
    [anon_sym_eof] = ACTIONS(1838),
    [anon_sym_exp] = ACTIONS(1838),
    [anon_sym_each] = ACTIONS(1838),
    [anon_sym_fc] = ACTIONS(1838),
    [anon_sym_fileno] = ACTIONS(1838),
    [anon_sym_gmtime] = ACTIONS(1838),
    [anon_sym_getc] = ACTIONS(1838),
    [anon_sym_getpgrp] = ACTIONS(1838),
    [anon_sym_getprotobyname] = ACTIONS(1838),
    [anon_sym_getpwname] = ACTIONS(1838),
    [anon_sym_getpwuid] = ACTIONS(1838),
    [anon_sym_getpeername] = ACTIONS(1838),
    [anon_sym_getnetbyname] = ACTIONS(1838),
    [anon_sym_getsockname] = ACTIONS(1838),
    [anon_sym_getgrnam] = ACTIONS(1838),
    [anon_sym_getgrgid] = ACTIONS(1838),
    [anon_sym_hex] = ACTIONS(1838),
    [anon_sym_int] = ACTIONS(1838),
    [anon_sym_keys] = ACTIONS(1838),
    [anon_sym_lc] = ACTIONS(1838),
    [anon_sym_lcfirst] = ACTIONS(1838),
    [anon_sym_length] = ACTIONS(1838),
    [anon_sym_localtime] = ACTIONS(1838),
    [anon_sym_log] = ACTIONS(1838),
    [anon_sym_lock] = ACTIONS(1838),
    [anon_sym_lstat] = ACTIONS(1838),
    [anon_sym_oct] = ACTIONS(1838),
    [anon_sym_ord] = ACTIONS(1838),
    [anon_sym_prototype] = ACTIONS(1838),
    [anon_sym_pop] = ACTIONS(1838),
    [anon_sym_pos] = ACTIONS(1838),
    [anon_sym_quotemeta] = ACTIONS(1838),
    [anon_sym_reset] = ACTIONS(1838),
    [anon_sym_rand] = ACTIONS(1838),
    [anon_sym_rmdir] = ACTIONS(1838),
    [anon_sym_readdir] = ACTIONS(1838),
    [anon_sym_readline] = ACTIONS(1838),
    [anon_sym_readpipe] = ACTIONS(1838),
    [anon_sym_rewinddir] = ACTIONS(1838),
    [anon_sym_readlink] = ACTIONS(1838),
    [anon_sym_ref] = ACTIONS(1838),
    [anon_sym_scalar] = ACTIONS(1838),
    [anon_sym_shift] = ACTIONS(1838),
    [anon_sym_sin] = ACTIONS(1838),
    [anon_sym_sleep] = ACTIONS(1838),
    [anon_sym_sqrt] = ACTIONS(1838),
    [anon_sym_srand] = ACTIONS(1838),
    [anon_sym_stat] = ACTIONS(1838),
    [anon_sym_study] = ACTIONS(1838),
    [anon_sym_tell] = ACTIONS(1838),
    [anon_sym_telldir] = ACTIONS(1838),
    [anon_sym_tied] = ACTIONS(1838),
    [anon_sym_uc] = ACTIONS(1838),
    [anon_sym_ucfirst] = ACTIONS(1838),
    [anon_sym_untie] = ACTIONS(1838),
    [anon_sym_umask] = ACTIONS(1838),
    [anon_sym_values] = ACTIONS(1838),
    [anon_sym_write] = ACTIONS(1838),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1838),
    [anon_sym_qq] = ACTIONS(1838),
    [anon_sym_qw] = ACTIONS(1838),
    [anon_sym_qx] = ACTIONS(1838),
    [anon_sym_qr] = ACTIONS(1838),
    [anon_sym_m] = ACTIONS(1838),
    [anon_sym_s] = ACTIONS(1838),
    [anon_sym_tr] = ACTIONS(1838),
    [anon_sym_y] = ACTIONS(1838),
    [aux_sym__bareword_token1] = ACTIONS(1838),
    [sym_number] = ACTIONS(1838),
    [anon_sym_true] = ACTIONS(1838),
    [anon_sym_false] = ACTIONS(1838),
    [sym__single_quote] = ACTIONS(1845),
    [sym__double_quote] = ACTIONS(1845),
    [sym__backtick_quote] = ACTIONS(1845),
    [sym__search_slash_quote] = ACTIONS(1845),
    [sym__no_search_slash_plz] = ACTIONS(1847),
    [sym__open_readline_bracket] = ACTIONS(1845),
    [sym__open_fileglob_bracket] = ACTIONS(1845),
    [sym__PERLY_SEMICOLON] = ACTIONS(1849),
    [sym__PERLY_HEREDOC] = ACTIONS(1845),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1845),
    [sym__filetest] = ACTIONS(1845),
  },
  [841] = {
    [sym_heredoc_content] = STATE(841),
    [sym__identifier] = ACTIONS(1838),
    [anon_sym_LBRACE] = ACTIONS(1838),
    [anon_sym_COLON] = ACTIONS(1840),
    [anon_sym_DOLLAR] = ACTIONS(1842),
    [anon_sym_EQ] = ACTIONS(1840),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1840),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1840),
    [anon_sym_AT] = ACTIONS(1842),
    [anon_sym_COMMA] = ACTIONS(1840),
    [anon_sym_RPAREN] = ACTIONS(1840),
    [anon_sym_my] = ACTIONS(1838),
    [anon_sym_extended] = ACTIONS(1838),
    [anon_sym_async] = ACTIONS(1838),
    [anon_sym_sub] = ACTIONS(1838),
    [anon_sym_method] = ACTIONS(1838),
    [anon_sym_LPAREN] = ACTIONS(1838),
    [anon_sym_continue] = ACTIONS(1838),
    [anon_sym_state] = ACTIONS(1838),
    [anon_sym_our] = ACTIONS(1838),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1840),
    [anon_sym_LBRACK] = ACTIONS(1838),
    [anon_sym_DASH_GT] = ACTIONS(1840),
    [anon_sym_PERCENT] = ACTIONS(1840),
    [anon_sym_GT] = ACTIONS(1840),
    [anon_sym_LT_LT] = ACTIONS(1842),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1840),
    [anon_sym_PLUS_EQ] = ACTIONS(1840),
    [anon_sym_DASH_EQ] = ACTIONS(1840),
    [anon_sym_DOT_EQ] = ACTIONS(1840),
    [anon_sym_STAR_EQ] = ACTIONS(1840),
    [anon_sym_SLASH_EQ] = ACTIONS(1840),
    [anon_sym_PERCENT_EQ] = ACTIONS(1840),
    [anon_sym_x_EQ] = ACTIONS(1840),
    [anon_sym_AMP_EQ] = ACTIONS(1840),
    [anon_sym_PIPE_EQ] = ACTIONS(1840),
    [anon_sym_CARET_EQ] = ACTIONS(1840),
    [anon_sym_LT_LT_EQ] = ACTIONS(1840),
    [anon_sym_GT_GT_EQ] = ACTIONS(1840),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1840),
    [anon_sym_DOT_DOT] = ACTIONS(1840),
    [anon_sym_STAR_STAR] = ACTIONS(1840),
    [anon_sym_PIPE_PIPE] = ACTIONS(1840),
    [anon_sym_SLASH_SLASH] = ACTIONS(1842),
    [anon_sym_CARET_CARET] = ACTIONS(1840),
    [anon_sym_AMP_AMP] = ACTIONS(1840),
    [anon_sym_PIPE] = ACTIONS(1840),
    [anon_sym_CARET] = ACTIONS(1840),
    [anon_sym_AMP] = ACTIONS(1840),
    [anon_sym_GT_GT2] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1842),
    [anon_sym_DASH] = ACTIONS(1842),
    [anon_sym_DOT] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1840),
    [anon_sym_SLASH] = ACTIONS(1840),
    [anon_sym_x] = ACTIONS(1840),
    [anon_sym_EQ_TILDE] = ACTIONS(1840),
    [anon_sym_BANG_TILDE] = ACTIONS(1840),
    [anon_sym_EQ_EQ] = ACTIONS(1840),
    [anon_sym_BANG_EQ] = ACTIONS(1840),
    [anon_sym_eq] = ACTIONS(1840),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1840),
    [anon_sym_equ] = ACTIONS(1840),
    [anon_sym_eqr] = ACTIONS(1840),
    [anon_sym_ne] = ACTIONS(1840),
    [anon_sym_LT_EQ_GT] = ACTIONS(1840),
    [anon_sym_cmp] = ACTIONS(1840),
    [anon_sym_TILDE_TILDE] = ACTIONS(1840),
    [anon_sym_LT] = ACTIONS(1840),
    [anon_sym_LT_EQ] = ACTIONS(1840),
    [anon_sym_GT_EQ] = ACTIONS(1840),
    [anon_sym_lt] = ACTIONS(1840),
    [anon_sym_le] = ACTIONS(1840),
    [anon_sym_ge] = ACTIONS(1840),
    [anon_sym_gt] = ACTIONS(1840),
    [anon_sym_isa] = ACTIONS(1840),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_PLUS_PLUS] = ACTIONS(1842),
    [anon_sym_DASH_DASH] = ACTIONS(1842),
    [anon_sym_QMARK] = ACTIONS(1840),
    [anon_sym_BSLASH] = ACTIONS(1845),
    [anon_sym_do] = ACTIONS(1838),
    [anon_sym_eval] = ACTIONS(1838),
    [anon_sym_await] = ACTIONS(1838),
    [anon_sym_field] = ACTIONS(1838),
    [anon_sym_local] = ACTIONS(1838),
    [anon_sym_dynamically] = ACTIONS(1838),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1838),
    [anon_sym_require] = ACTIONS(1838),
    [anon_sym_map] = ACTIONS(1838),
    [anon_sym_grep] = ACTIONS(1838),
    [anon_sym_sort] = ACTIONS(1838),
    [anon_sym_goto] = ACTIONS(1838),
    [anon_sym_return] = ACTIONS(1838),
    [anon_sym_undef] = ACTIONS(1838),
    [anon_sym_PERCENT2] = ACTIONS(1842),
    [anon_sym_AMP2] = ACTIONS(1838),
    [anon_sym_STAR2] = ACTIONS(1838),
    [anon_sym_EQ_GT] = ACTIONS(1840),
    [anon_sym_last] = ACTIONS(1838),
    [anon_sym_next] = ACTIONS(1838),
    [anon_sym_redo] = ACTIONS(1838),
    [anon_sym___FILE__] = ACTIONS(1838),
    [anon_sym___LINE__] = ACTIONS(1838),
    [anon_sym___PACKAGE__] = ACTIONS(1838),
    [anon_sym___SUB__] = ACTIONS(1838),
    [anon_sym_break] = ACTIONS(1838),
    [anon_sym_fork] = ACTIONS(1838),
    [anon_sym_getppid] = ACTIONS(1838),
    [anon_sym_time] = ACTIONS(1838),
    [anon_sym_times] = ACTIONS(1838),
    [anon_sym_wait] = ACTIONS(1838),
    [anon_sym_wantarray] = ACTIONS(1838),
    [anon_sym_abs] = ACTIONS(1838),
    [anon_sym_alarm] = ACTIONS(1838),
    [anon_sym_chop] = ACTIONS(1838),
    [anon_sym_chdir] = ACTIONS(1838),
    [anon_sym_close] = ACTIONS(1838),
    [anon_sym_closedir] = ACTIONS(1838),
    [anon_sym_caller] = ACTIONS(1838),
    [anon_sym_chomp] = ACTIONS(1838),
    [anon_sym_chr] = ACTIONS(1838),
    [anon_sym_cos] = ACTIONS(1838),
    [anon_sym_chroot] = ACTIONS(1838),
    [anon_sym_defined] = ACTIONS(1838),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_dbmclose] = ACTIONS(1838),
    [anon_sym_exists] = ACTIONS(1838),
    [anon_sym_exit] = ACTIONS(1838),
    [anon_sym_eof] = ACTIONS(1838),
    [anon_sym_exp] = ACTIONS(1838),
    [anon_sym_each] = ACTIONS(1838),
    [anon_sym_fc] = ACTIONS(1838),
    [anon_sym_fileno] = ACTIONS(1838),
    [anon_sym_gmtime] = ACTIONS(1838),
    [anon_sym_getc] = ACTIONS(1838),
    [anon_sym_getpgrp] = ACTIONS(1838),
    [anon_sym_getprotobyname] = ACTIONS(1838),
    [anon_sym_getpwname] = ACTIONS(1838),
    [anon_sym_getpwuid] = ACTIONS(1838),
    [anon_sym_getpeername] = ACTIONS(1838),
    [anon_sym_getnetbyname] = ACTIONS(1838),
    [anon_sym_getsockname] = ACTIONS(1838),
    [anon_sym_getgrnam] = ACTIONS(1838),
    [anon_sym_getgrgid] = ACTIONS(1838),
    [anon_sym_hex] = ACTIONS(1838),
    [anon_sym_int] = ACTIONS(1838),
    [anon_sym_keys] = ACTIONS(1838),
    [anon_sym_lc] = ACTIONS(1838),
    [anon_sym_lcfirst] = ACTIONS(1838),
    [anon_sym_length] = ACTIONS(1838),
    [anon_sym_localtime] = ACTIONS(1838),
    [anon_sym_log] = ACTIONS(1838),
    [anon_sym_lock] = ACTIONS(1838),
    [anon_sym_lstat] = ACTIONS(1838),
    [anon_sym_oct] = ACTIONS(1838),
    [anon_sym_ord] = ACTIONS(1838),
    [anon_sym_prototype] = ACTIONS(1838),
    [anon_sym_pop] = ACTIONS(1838),
    [anon_sym_pos] = ACTIONS(1838),
    [anon_sym_quotemeta] = ACTIONS(1838),
    [anon_sym_reset] = ACTIONS(1838),
    [anon_sym_rand] = ACTIONS(1838),
    [anon_sym_rmdir] = ACTIONS(1838),
    [anon_sym_readdir] = ACTIONS(1838),
    [anon_sym_readline] = ACTIONS(1838),
    [anon_sym_readpipe] = ACTIONS(1838),
    [anon_sym_rewinddir] = ACTIONS(1838),
    [anon_sym_readlink] = ACTIONS(1838),
    [anon_sym_ref] = ACTIONS(1838),
    [anon_sym_scalar] = ACTIONS(1838),
    [anon_sym_shift] = ACTIONS(1838),
    [anon_sym_sin] = ACTIONS(1838),
    [anon_sym_sleep] = ACTIONS(1838),
    [anon_sym_sqrt] = ACTIONS(1838),
    [anon_sym_srand] = ACTIONS(1838),
    [anon_sym_stat] = ACTIONS(1838),
    [anon_sym_study] = ACTIONS(1838),
    [anon_sym_tell] = ACTIONS(1838),
    [anon_sym_telldir] = ACTIONS(1838),
    [anon_sym_tied] = ACTIONS(1838),
    [anon_sym_uc] = ACTIONS(1838),
    [anon_sym_ucfirst] = ACTIONS(1838),
    [anon_sym_untie] = ACTIONS(1838),
    [anon_sym_umask] = ACTIONS(1838),
    [anon_sym_values] = ACTIONS(1838),
    [anon_sym_write] = ACTIONS(1838),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1838),
    [anon_sym_qq] = ACTIONS(1838),
    [anon_sym_qw] = ACTIONS(1838),
    [anon_sym_qx] = ACTIONS(1838),
    [anon_sym_qr] = ACTIONS(1838),
    [anon_sym_m] = ACTIONS(1838),
    [anon_sym_s] = ACTIONS(1838),
    [anon_sym_tr] = ACTIONS(1838),
    [anon_sym_y] = ACTIONS(1838),
    [aux_sym__bareword_token1] = ACTIONS(1838),
    [sym_number] = ACTIONS(1838),
    [anon_sym_true] = ACTIONS(1838),
    [anon_sym_false] = ACTIONS(1838),
    [sym__single_quote] = ACTIONS(1845),
    [sym__double_quote] = ACTIONS(1845),
    [sym__backtick_quote] = ACTIONS(1845),
    [sym__search_slash_quote] = ACTIONS(1845),
    [sym__no_search_slash_plz] = ACTIONS(1847),
    [sym__open_readline_bracket] = ACTIONS(1845),
    [sym__open_fileglob_bracket] = ACTIONS(1845),
    [sym__PERLY_HEREDOC] = ACTIONS(1845),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1845),
    [sym__filetest] = ACTIONS(1845),
  },
  [842] = {
    [sym_heredoc_content] = STATE(842),
    [sym__identifier] = ACTIONS(1859),
    [anon_sym_LBRACE] = ACTIONS(1859),
    [anon_sym_RBRACE] = ACTIONS(1859),
    [anon_sym_COLON] = ACTIONS(1859),
    [anon_sym_DOLLAR] = ACTIONS(1859),
    [anon_sym_EQ] = ACTIONS(1859),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1859),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(1859),
    [anon_sym_COMMA] = ACTIONS(1859),
    [anon_sym_RPAREN] = ACTIONS(1859),
    [anon_sym_my] = ACTIONS(1859),
    [anon_sym_extended] = ACTIONS(1859),
    [anon_sym_async] = ACTIONS(1859),
    [anon_sym_sub] = ACTIONS(1859),
    [anon_sym_method] = ACTIONS(1859),
    [anon_sym_LPAREN] = ACTIONS(1859),
    [anon_sym_continue] = ACTIONS(1859),
    [anon_sym_state] = ACTIONS(1859),
    [anon_sym_our] = ACTIONS(1859),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1859),
    [anon_sym_DASH_GT] = ACTIONS(1859),
    [anon_sym_PERCENT] = ACTIONS(1859),
    [anon_sym_GT] = ACTIONS(1859),
    [anon_sym_LT_LT] = ACTIONS(1859),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1859),
    [anon_sym_PLUS_EQ] = ACTIONS(1859),
    [anon_sym_DASH_EQ] = ACTIONS(1859),
    [anon_sym_DOT_EQ] = ACTIONS(1859),
    [anon_sym_STAR_EQ] = ACTIONS(1859),
    [anon_sym_SLASH_EQ] = ACTIONS(1859),
    [anon_sym_PERCENT_EQ] = ACTIONS(1859),
    [anon_sym_x_EQ] = ACTIONS(1859),
    [anon_sym_AMP_EQ] = ACTIONS(1859),
    [anon_sym_PIPE_EQ] = ACTIONS(1859),
    [anon_sym_CARET_EQ] = ACTIONS(1859),
    [anon_sym_LT_LT_EQ] = ACTIONS(1859),
    [anon_sym_GT_GT_EQ] = ACTIONS(1859),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1859),
    [anon_sym_DOT_DOT] = ACTIONS(1859),
    [anon_sym_STAR_STAR] = ACTIONS(1859),
    [anon_sym_PIPE_PIPE] = ACTIONS(1859),
    [anon_sym_SLASH_SLASH] = ACTIONS(1859),
    [anon_sym_CARET_CARET] = ACTIONS(1859),
    [anon_sym_AMP_AMP] = ACTIONS(1859),
    [anon_sym_PIPE] = ACTIONS(1859),
    [anon_sym_CARET] = ACTIONS(1859),
    [anon_sym_AMP] = ACTIONS(1859),
    [anon_sym_GT_GT2] = ACTIONS(1859),
    [anon_sym_PLUS] = ACTIONS(1859),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_DOT] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1859),
    [anon_sym_SLASH] = ACTIONS(1859),
    [anon_sym_x] = ACTIONS(1859),
    [anon_sym_EQ_TILDE] = ACTIONS(1859),
    [anon_sym_BANG_TILDE] = ACTIONS(1859),
    [anon_sym_EQ_EQ] = ACTIONS(1859),
    [anon_sym_BANG_EQ] = ACTIONS(1859),
    [anon_sym_eq] = ACTIONS(1859),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1859),
    [anon_sym_equ] = ACTIONS(1859),
    [anon_sym_eqr] = ACTIONS(1859),
    [anon_sym_ne] = ACTIONS(1859),
    [anon_sym_LT_EQ_GT] = ACTIONS(1859),
    [anon_sym_cmp] = ACTIONS(1859),
    [anon_sym_TILDE_TILDE] = ACTIONS(1859),
    [anon_sym_LT] = ACTIONS(1859),
    [anon_sym_LT_EQ] = ACTIONS(1859),
    [anon_sym_GT_EQ] = ACTIONS(1859),
    [anon_sym_lt] = ACTIONS(1859),
    [anon_sym_le] = ACTIONS(1859),
    [anon_sym_ge] = ACTIONS(1859),
    [anon_sym_gt] = ACTIONS(1859),
    [anon_sym_isa] = ACTIONS(1859),
    [anon_sym_TILDE] = ACTIONS(1859),
    [anon_sym_BANG] = ACTIONS(1859),
    [anon_sym_PLUS_PLUS] = ACTIONS(1859),
    [anon_sym_DASH_DASH] = ACTIONS(1859),
    [anon_sym_QMARK] = ACTIONS(1859),
    [anon_sym_BSLASH] = ACTIONS(1861),
    [anon_sym_do] = ACTIONS(1859),
    [anon_sym_eval] = ACTIONS(1859),
    [anon_sym_await] = ACTIONS(1859),
    [anon_sym_field] = ACTIONS(1859),
    [anon_sym_local] = ACTIONS(1859),
    [anon_sym_dynamically] = ACTIONS(1859),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1859),
    [anon_sym_require] = ACTIONS(1859),
    [anon_sym_map] = ACTIONS(1859),
    [anon_sym_grep] = ACTIONS(1859),
    [anon_sym_sort] = ACTIONS(1859),
    [anon_sym_goto] = ACTIONS(1859),
    [anon_sym_return] = ACTIONS(1859),
    [anon_sym_undef] = ACTIONS(1859),
    [anon_sym_PERCENT2] = ACTIONS(1859),
    [anon_sym_AMP2] = ACTIONS(1859),
    [anon_sym_STAR2] = ACTIONS(1859),
    [anon_sym_EQ_GT] = ACTIONS(1859),
    [anon_sym_last] = ACTIONS(1859),
    [anon_sym_next] = ACTIONS(1859),
    [anon_sym_redo] = ACTIONS(1859),
    [anon_sym___FILE__] = ACTIONS(1859),
    [anon_sym___LINE__] = ACTIONS(1859),
    [anon_sym___PACKAGE__] = ACTIONS(1859),
    [anon_sym___SUB__] = ACTIONS(1859),
    [anon_sym_break] = ACTIONS(1859),
    [anon_sym_fork] = ACTIONS(1859),
    [anon_sym_getppid] = ACTIONS(1859),
    [anon_sym_time] = ACTIONS(1859),
    [anon_sym_times] = ACTIONS(1859),
    [anon_sym_wait] = ACTIONS(1859),
    [anon_sym_wantarray] = ACTIONS(1859),
    [anon_sym_abs] = ACTIONS(1859),
    [anon_sym_alarm] = ACTIONS(1859),
    [anon_sym_chop] = ACTIONS(1859),
    [anon_sym_chdir] = ACTIONS(1859),
    [anon_sym_close] = ACTIONS(1859),
    [anon_sym_closedir] = ACTIONS(1859),
    [anon_sym_caller] = ACTIONS(1859),
    [anon_sym_chomp] = ACTIONS(1859),
    [anon_sym_chr] = ACTIONS(1859),
    [anon_sym_cos] = ACTIONS(1859),
    [anon_sym_chroot] = ACTIONS(1859),
    [anon_sym_defined] = ACTIONS(1859),
    [anon_sym_delete] = ACTIONS(1859),
    [anon_sym_dbmclose] = ACTIONS(1859),
    [anon_sym_exists] = ACTIONS(1859),
    [anon_sym_exit] = ACTIONS(1859),
    [anon_sym_eof] = ACTIONS(1859),
    [anon_sym_exp] = ACTIONS(1859),
    [anon_sym_each] = ACTIONS(1859),
    [anon_sym_fc] = ACTIONS(1859),
    [anon_sym_fileno] = ACTIONS(1859),
    [anon_sym_gmtime] = ACTIONS(1859),
    [anon_sym_getc] = ACTIONS(1859),
    [anon_sym_getpgrp] = ACTIONS(1859),
    [anon_sym_getprotobyname] = ACTIONS(1859),
    [anon_sym_getpwname] = ACTIONS(1859),
    [anon_sym_getpwuid] = ACTIONS(1859),
    [anon_sym_getpeername] = ACTIONS(1859),
    [anon_sym_getnetbyname] = ACTIONS(1859),
    [anon_sym_getsockname] = ACTIONS(1859),
    [anon_sym_getgrnam] = ACTIONS(1859),
    [anon_sym_getgrgid] = ACTIONS(1859),
    [anon_sym_hex] = ACTIONS(1859),
    [anon_sym_int] = ACTIONS(1859),
    [anon_sym_keys] = ACTIONS(1859),
    [anon_sym_lc] = ACTIONS(1859),
    [anon_sym_lcfirst] = ACTIONS(1859),
    [anon_sym_length] = ACTIONS(1859),
    [anon_sym_localtime] = ACTIONS(1859),
    [anon_sym_log] = ACTIONS(1859),
    [anon_sym_lock] = ACTIONS(1859),
    [anon_sym_lstat] = ACTIONS(1859),
    [anon_sym_oct] = ACTIONS(1859),
    [anon_sym_ord] = ACTIONS(1859),
    [anon_sym_prototype] = ACTIONS(1859),
    [anon_sym_pop] = ACTIONS(1859),
    [anon_sym_pos] = ACTIONS(1859),
    [anon_sym_quotemeta] = ACTIONS(1859),
    [anon_sym_reset] = ACTIONS(1859),
    [anon_sym_rand] = ACTIONS(1859),
    [anon_sym_rmdir] = ACTIONS(1859),
    [anon_sym_readdir] = ACTIONS(1859),
    [anon_sym_readline] = ACTIONS(1859),
    [anon_sym_readpipe] = ACTIONS(1859),
    [anon_sym_rewinddir] = ACTIONS(1859),
    [anon_sym_readlink] = ACTIONS(1859),
    [anon_sym_ref] = ACTIONS(1859),
    [anon_sym_scalar] = ACTIONS(1859),
    [anon_sym_shift] = ACTIONS(1859),
    [anon_sym_sin] = ACTIONS(1859),
    [anon_sym_sleep] = ACTIONS(1859),
    [anon_sym_sqrt] = ACTIONS(1859),
    [anon_sym_srand] = ACTIONS(1859),
    [anon_sym_stat] = ACTIONS(1859),
    [anon_sym_study] = ACTIONS(1859),
    [anon_sym_tell] = ACTIONS(1859),
    [anon_sym_telldir] = ACTIONS(1859),
    [anon_sym_tied] = ACTIONS(1859),
    [anon_sym_uc] = ACTIONS(1859),
    [anon_sym_ucfirst] = ACTIONS(1859),
    [anon_sym_untie] = ACTIONS(1859),
    [anon_sym_umask] = ACTIONS(1859),
    [anon_sym_values] = ACTIONS(1859),
    [anon_sym_write] = ACTIONS(1859),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1859),
    [anon_sym_qq] = ACTIONS(1859),
    [anon_sym_qw] = ACTIONS(1859),
    [anon_sym_qx] = ACTIONS(1859),
    [anon_sym_qr] = ACTIONS(1859),
    [anon_sym_m] = ACTIONS(1859),
    [anon_sym_s] = ACTIONS(1859),
    [anon_sym_tr] = ACTIONS(1859),
    [anon_sym_y] = ACTIONS(1859),
    [aux_sym__bareword_token1] = ACTIONS(1859),
    [sym_number] = ACTIONS(1859),
    [anon_sym_true] = ACTIONS(1859),
    [anon_sym_false] = ACTIONS(1859),
    [sym__single_quote] = ACTIONS(1861),
    [sym__double_quote] = ACTIONS(1861),
    [sym__backtick_quote] = ACTIONS(1861),
    [sym__search_slash_quote] = ACTIONS(1861),
    [sym__open_readline_bracket] = ACTIONS(1861),
    [sym__open_fileglob_bracket] = ACTIONS(1861),
    [sym__PERLY_HEREDOC] = ACTIONS(1861),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1861),
    [sym__filetest] = ACTIONS(1861),
  },
  [843] = {
    [sym_heredoc_content] = STATE(843),
    [sym__identifier] = ACTIONS(1863),
    [anon_sym_LBRACE] = ACTIONS(1863),
    [anon_sym_RBRACE] = ACTIONS(1863),
    [anon_sym_COLON] = ACTIONS(1863),
    [anon_sym_DOLLAR] = ACTIONS(1863),
    [anon_sym_EQ] = ACTIONS(1863),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1863),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1863),
    [anon_sym_AT] = ACTIONS(1863),
    [anon_sym_COMMA] = ACTIONS(1863),
    [anon_sym_RPAREN] = ACTIONS(1863),
    [anon_sym_my] = ACTIONS(1863),
    [anon_sym_extended] = ACTIONS(1863),
    [anon_sym_async] = ACTIONS(1863),
    [anon_sym_sub] = ACTIONS(1863),
    [anon_sym_method] = ACTIONS(1863),
    [anon_sym_LPAREN] = ACTIONS(1863),
    [anon_sym_continue] = ACTIONS(1863),
    [anon_sym_state] = ACTIONS(1863),
    [anon_sym_our] = ACTIONS(1863),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1863),
    [anon_sym_LBRACK] = ACTIONS(1863),
    [anon_sym_DASH_GT] = ACTIONS(1863),
    [anon_sym_PERCENT] = ACTIONS(1863),
    [anon_sym_GT] = ACTIONS(1863),
    [anon_sym_LT_LT] = ACTIONS(1863),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1863),
    [anon_sym_PLUS_EQ] = ACTIONS(1863),
    [anon_sym_DASH_EQ] = ACTIONS(1863),
    [anon_sym_DOT_EQ] = ACTIONS(1863),
    [anon_sym_STAR_EQ] = ACTIONS(1863),
    [anon_sym_SLASH_EQ] = ACTIONS(1863),
    [anon_sym_PERCENT_EQ] = ACTIONS(1863),
    [anon_sym_x_EQ] = ACTIONS(1863),
    [anon_sym_AMP_EQ] = ACTIONS(1863),
    [anon_sym_PIPE_EQ] = ACTIONS(1863),
    [anon_sym_CARET_EQ] = ACTIONS(1863),
    [anon_sym_LT_LT_EQ] = ACTIONS(1863),
    [anon_sym_GT_GT_EQ] = ACTIONS(1863),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1863),
    [anon_sym_DOT_DOT] = ACTIONS(1863),
    [anon_sym_STAR_STAR] = ACTIONS(1863),
    [anon_sym_PIPE_PIPE] = ACTIONS(1863),
    [anon_sym_SLASH_SLASH] = ACTIONS(1863),
    [anon_sym_CARET_CARET] = ACTIONS(1863),
    [anon_sym_AMP_AMP] = ACTIONS(1863),
    [anon_sym_PIPE] = ACTIONS(1863),
    [anon_sym_CARET] = ACTIONS(1863),
    [anon_sym_AMP] = ACTIONS(1863),
    [anon_sym_GT_GT2] = ACTIONS(1863),
    [anon_sym_PLUS] = ACTIONS(1863),
    [anon_sym_DASH] = ACTIONS(1863),
    [anon_sym_DOT] = ACTIONS(1863),
    [anon_sym_STAR] = ACTIONS(1863),
    [anon_sym_SLASH] = ACTIONS(1863),
    [anon_sym_x] = ACTIONS(1863),
    [anon_sym_EQ_TILDE] = ACTIONS(1863),
    [anon_sym_BANG_TILDE] = ACTIONS(1863),
    [anon_sym_EQ_EQ] = ACTIONS(1863),
    [anon_sym_BANG_EQ] = ACTIONS(1863),
    [anon_sym_eq] = ACTIONS(1863),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1863),
    [anon_sym_equ] = ACTIONS(1863),
    [anon_sym_eqr] = ACTIONS(1863),
    [anon_sym_ne] = ACTIONS(1863),
    [anon_sym_LT_EQ_GT] = ACTIONS(1863),
    [anon_sym_cmp] = ACTIONS(1863),
    [anon_sym_TILDE_TILDE] = ACTIONS(1863),
    [anon_sym_LT] = ACTIONS(1863),
    [anon_sym_LT_EQ] = ACTIONS(1863),
    [anon_sym_GT_EQ] = ACTIONS(1863),
    [anon_sym_lt] = ACTIONS(1863),
    [anon_sym_le] = ACTIONS(1863),
    [anon_sym_ge] = ACTIONS(1863),
    [anon_sym_gt] = ACTIONS(1863),
    [anon_sym_isa] = ACTIONS(1863),
    [anon_sym_TILDE] = ACTIONS(1863),
    [anon_sym_BANG] = ACTIONS(1863),
    [anon_sym_PLUS_PLUS] = ACTIONS(1863),
    [anon_sym_DASH_DASH] = ACTIONS(1863),
    [anon_sym_QMARK] = ACTIONS(1863),
    [anon_sym_BSLASH] = ACTIONS(1865),
    [anon_sym_do] = ACTIONS(1863),
    [anon_sym_eval] = ACTIONS(1863),
    [anon_sym_await] = ACTIONS(1863),
    [anon_sym_field] = ACTIONS(1863),
    [anon_sym_local] = ACTIONS(1863),
    [anon_sym_dynamically] = ACTIONS(1863),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1863),
    [anon_sym_require] = ACTIONS(1863),
    [anon_sym_map] = ACTIONS(1863),
    [anon_sym_grep] = ACTIONS(1863),
    [anon_sym_sort] = ACTIONS(1863),
    [anon_sym_goto] = ACTIONS(1863),
    [anon_sym_return] = ACTIONS(1863),
    [anon_sym_undef] = ACTIONS(1863),
    [anon_sym_PERCENT2] = ACTIONS(1863),
    [anon_sym_AMP2] = ACTIONS(1863),
    [anon_sym_STAR2] = ACTIONS(1863),
    [anon_sym_EQ_GT] = ACTIONS(1863),
    [anon_sym_last] = ACTIONS(1863),
    [anon_sym_next] = ACTIONS(1863),
    [anon_sym_redo] = ACTIONS(1863),
    [anon_sym___FILE__] = ACTIONS(1863),
    [anon_sym___LINE__] = ACTIONS(1863),
    [anon_sym___PACKAGE__] = ACTIONS(1863),
    [anon_sym___SUB__] = ACTIONS(1863),
    [anon_sym_break] = ACTIONS(1863),
    [anon_sym_fork] = ACTIONS(1863),
    [anon_sym_getppid] = ACTIONS(1863),
    [anon_sym_time] = ACTIONS(1863),
    [anon_sym_times] = ACTIONS(1863),
    [anon_sym_wait] = ACTIONS(1863),
    [anon_sym_wantarray] = ACTIONS(1863),
    [anon_sym_abs] = ACTIONS(1863),
    [anon_sym_alarm] = ACTIONS(1863),
    [anon_sym_chop] = ACTIONS(1863),
    [anon_sym_chdir] = ACTIONS(1863),
    [anon_sym_close] = ACTIONS(1863),
    [anon_sym_closedir] = ACTIONS(1863),
    [anon_sym_caller] = ACTIONS(1863),
    [anon_sym_chomp] = ACTIONS(1863),
    [anon_sym_chr] = ACTIONS(1863),
    [anon_sym_cos] = ACTIONS(1863),
    [anon_sym_chroot] = ACTIONS(1863),
    [anon_sym_defined] = ACTIONS(1863),
    [anon_sym_delete] = ACTIONS(1863),
    [anon_sym_dbmclose] = ACTIONS(1863),
    [anon_sym_exists] = ACTIONS(1863),
    [anon_sym_exit] = ACTIONS(1863),
    [anon_sym_eof] = ACTIONS(1863),
    [anon_sym_exp] = ACTIONS(1863),
    [anon_sym_each] = ACTIONS(1863),
    [anon_sym_fc] = ACTIONS(1863),
    [anon_sym_fileno] = ACTIONS(1863),
    [anon_sym_gmtime] = ACTIONS(1863),
    [anon_sym_getc] = ACTIONS(1863),
    [anon_sym_getpgrp] = ACTIONS(1863),
    [anon_sym_getprotobyname] = ACTIONS(1863),
    [anon_sym_getpwname] = ACTIONS(1863),
    [anon_sym_getpwuid] = ACTIONS(1863),
    [anon_sym_getpeername] = ACTIONS(1863),
    [anon_sym_getnetbyname] = ACTIONS(1863),
    [anon_sym_getsockname] = ACTIONS(1863),
    [anon_sym_getgrnam] = ACTIONS(1863),
    [anon_sym_getgrgid] = ACTIONS(1863),
    [anon_sym_hex] = ACTIONS(1863),
    [anon_sym_int] = ACTIONS(1863),
    [anon_sym_keys] = ACTIONS(1863),
    [anon_sym_lc] = ACTIONS(1863),
    [anon_sym_lcfirst] = ACTIONS(1863),
    [anon_sym_length] = ACTIONS(1863),
    [anon_sym_localtime] = ACTIONS(1863),
    [anon_sym_log] = ACTIONS(1863),
    [anon_sym_lock] = ACTIONS(1863),
    [anon_sym_lstat] = ACTIONS(1863),
    [anon_sym_oct] = ACTIONS(1863),
    [anon_sym_ord] = ACTIONS(1863),
    [anon_sym_prototype] = ACTIONS(1863),
    [anon_sym_pop] = ACTIONS(1863),
    [anon_sym_pos] = ACTIONS(1863),
    [anon_sym_quotemeta] = ACTIONS(1863),
    [anon_sym_reset] = ACTIONS(1863),
    [anon_sym_rand] = ACTIONS(1863),
    [anon_sym_rmdir] = ACTIONS(1863),
    [anon_sym_readdir] = ACTIONS(1863),
    [anon_sym_readline] = ACTIONS(1863),
    [anon_sym_readpipe] = ACTIONS(1863),
    [anon_sym_rewinddir] = ACTIONS(1863),
    [anon_sym_readlink] = ACTIONS(1863),
    [anon_sym_ref] = ACTIONS(1863),
    [anon_sym_scalar] = ACTIONS(1863),
    [anon_sym_shift] = ACTIONS(1863),
    [anon_sym_sin] = ACTIONS(1863),
    [anon_sym_sleep] = ACTIONS(1863),
    [anon_sym_sqrt] = ACTIONS(1863),
    [anon_sym_srand] = ACTIONS(1863),
    [anon_sym_stat] = ACTIONS(1863),
    [anon_sym_study] = ACTIONS(1863),
    [anon_sym_tell] = ACTIONS(1863),
    [anon_sym_telldir] = ACTIONS(1863),
    [anon_sym_tied] = ACTIONS(1863),
    [anon_sym_uc] = ACTIONS(1863),
    [anon_sym_ucfirst] = ACTIONS(1863),
    [anon_sym_untie] = ACTIONS(1863),
    [anon_sym_umask] = ACTIONS(1863),
    [anon_sym_values] = ACTIONS(1863),
    [anon_sym_write] = ACTIONS(1863),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1863),
    [anon_sym_qq] = ACTIONS(1863),
    [anon_sym_qw] = ACTIONS(1863),
    [anon_sym_qx] = ACTIONS(1863),
    [anon_sym_qr] = ACTIONS(1863),
    [anon_sym_m] = ACTIONS(1863),
    [anon_sym_s] = ACTIONS(1863),
    [anon_sym_tr] = ACTIONS(1863),
    [anon_sym_y] = ACTIONS(1863),
    [aux_sym__bareword_token1] = ACTIONS(1863),
    [sym_number] = ACTIONS(1863),
    [anon_sym_true] = ACTIONS(1863),
    [anon_sym_false] = ACTIONS(1863),
    [sym__single_quote] = ACTIONS(1865),
    [sym__double_quote] = ACTIONS(1865),
    [sym__backtick_quote] = ACTIONS(1865),
    [sym__search_slash_quote] = ACTIONS(1865),
    [sym__open_readline_bracket] = ACTIONS(1865),
    [sym__open_fileglob_bracket] = ACTIONS(1865),
    [sym__PERLY_HEREDOC] = ACTIONS(1865),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1865),
    [sym__filetest] = ACTIONS(1865),
  },
  [844] = {
    [sym_heredoc_content] = STATE(844),
    [sym__identifier] = ACTIONS(1828),
    [anon_sym_LBRACE] = ACTIONS(1830),
    [anon_sym_SEMI] = ACTIONS(1828),
    [anon_sym_DOLLAR] = ACTIONS(1828),
    [anon_sym_EQ] = ACTIONS(1828),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1828),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1828),
    [anon_sym_AT] = ACTIONS(1828),
    [anon_sym_COMMA] = ACTIONS(1828),
    [anon_sym_my] = ACTIONS(1828),
    [anon_sym_extended] = ACTIONS(1828),
    [anon_sym_async] = ACTIONS(1828),
    [anon_sym_sub] = ACTIONS(1828),
    [anon_sym_method] = ACTIONS(1828),
    [anon_sym_LPAREN] = ACTIONS(1828),
    [anon_sym_continue] = ACTIONS(1828),
    [anon_sym_state] = ACTIONS(1828),
    [anon_sym_our] = ACTIONS(1828),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1828),
    [anon_sym_LBRACK] = ACTIONS(1830),
    [anon_sym_DASH_GT] = ACTIONS(1828),
    [anon_sym_PERCENT] = ACTIONS(1828),
    [anon_sym_GT] = ACTIONS(1828),
    [anon_sym_LT_LT] = ACTIONS(1828),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1828),
    [anon_sym_PLUS_EQ] = ACTIONS(1828),
    [anon_sym_DASH_EQ] = ACTIONS(1828),
    [anon_sym_DOT_EQ] = ACTIONS(1828),
    [anon_sym_STAR_EQ] = ACTIONS(1828),
    [anon_sym_SLASH_EQ] = ACTIONS(1828),
    [anon_sym_PERCENT_EQ] = ACTIONS(1828),
    [anon_sym_x_EQ] = ACTIONS(1828),
    [anon_sym_AMP_EQ] = ACTIONS(1828),
    [anon_sym_PIPE_EQ] = ACTIONS(1828),
    [anon_sym_CARET_EQ] = ACTIONS(1828),
    [anon_sym_LT_LT_EQ] = ACTIONS(1828),
    [anon_sym_GT_GT_EQ] = ACTIONS(1828),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1828),
    [anon_sym_DOT_DOT] = ACTIONS(1828),
    [anon_sym_STAR_STAR] = ACTIONS(1828),
    [anon_sym_PIPE_PIPE] = ACTIONS(1828),
    [anon_sym_SLASH_SLASH] = ACTIONS(1828),
    [anon_sym_CARET_CARET] = ACTIONS(1828),
    [anon_sym_AMP_AMP] = ACTIONS(1828),
    [anon_sym_PIPE] = ACTIONS(1828),
    [anon_sym_CARET] = ACTIONS(1828),
    [anon_sym_AMP] = ACTIONS(1828),
    [anon_sym_GT_GT2] = ACTIONS(1828),
    [anon_sym_PLUS] = ACTIONS(1828),
    [anon_sym_DASH] = ACTIONS(1828),
    [anon_sym_DOT] = ACTIONS(1828),
    [anon_sym_STAR] = ACTIONS(1828),
    [anon_sym_SLASH] = ACTIONS(1828),
    [anon_sym_x] = ACTIONS(1828),
    [anon_sym_EQ_TILDE] = ACTIONS(1828),
    [anon_sym_BANG_TILDE] = ACTIONS(1828),
    [anon_sym_EQ_EQ] = ACTIONS(1828),
    [anon_sym_BANG_EQ] = ACTIONS(1828),
    [anon_sym_eq] = ACTIONS(1828),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1828),
    [anon_sym_equ] = ACTIONS(1828),
    [anon_sym_eqr] = ACTIONS(1828),
    [anon_sym_ne] = ACTIONS(1828),
    [anon_sym_LT_EQ_GT] = ACTIONS(1828),
    [anon_sym_cmp] = ACTIONS(1828),
    [anon_sym_TILDE_TILDE] = ACTIONS(1828),
    [anon_sym_LT] = ACTIONS(1828),
    [anon_sym_LT_EQ] = ACTIONS(1828),
    [anon_sym_GT_EQ] = ACTIONS(1828),
    [anon_sym_lt] = ACTIONS(1828),
    [anon_sym_le] = ACTIONS(1828),
    [anon_sym_ge] = ACTIONS(1828),
    [anon_sym_gt] = ACTIONS(1828),
    [anon_sym_isa] = ACTIONS(1828),
    [anon_sym_TILDE] = ACTIONS(1828),
    [anon_sym_BANG] = ACTIONS(1828),
    [anon_sym_PLUS_PLUS] = ACTIONS(1828),
    [anon_sym_DASH_DASH] = ACTIONS(1828),
    [anon_sym_QMARK] = ACTIONS(1828),
    [anon_sym_BSLASH] = ACTIONS(1832),
    [anon_sym_do] = ACTIONS(1828),
    [anon_sym_eval] = ACTIONS(1828),
    [anon_sym_await] = ACTIONS(1828),
    [anon_sym_field] = ACTIONS(1828),
    [anon_sym_local] = ACTIONS(1828),
    [anon_sym_dynamically] = ACTIONS(1828),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1828),
    [anon_sym_require] = ACTIONS(1828),
    [anon_sym_map] = ACTIONS(1828),
    [anon_sym_grep] = ACTIONS(1828),
    [anon_sym_sort] = ACTIONS(1828),
    [anon_sym_goto] = ACTIONS(1828),
    [anon_sym_return] = ACTIONS(1828),
    [anon_sym_undef] = ACTIONS(1828),
    [anon_sym_PERCENT2] = ACTIONS(1828),
    [anon_sym_AMP2] = ACTIONS(1828),
    [anon_sym_STAR2] = ACTIONS(1828),
    [anon_sym_EQ_GT] = ACTIONS(1828),
    [anon_sym_last] = ACTIONS(1828),
    [anon_sym_next] = ACTIONS(1828),
    [anon_sym_redo] = ACTIONS(1828),
    [anon_sym___FILE__] = ACTIONS(1828),
    [anon_sym___LINE__] = ACTIONS(1828),
    [anon_sym___PACKAGE__] = ACTIONS(1828),
    [anon_sym___SUB__] = ACTIONS(1828),
    [anon_sym_break] = ACTIONS(1828),
    [anon_sym_fork] = ACTIONS(1828),
    [anon_sym_getppid] = ACTIONS(1828),
    [anon_sym_time] = ACTIONS(1828),
    [anon_sym_times] = ACTIONS(1828),
    [anon_sym_wait] = ACTIONS(1828),
    [anon_sym_wantarray] = ACTIONS(1828),
    [anon_sym_abs] = ACTIONS(1828),
    [anon_sym_alarm] = ACTIONS(1828),
    [anon_sym_chop] = ACTIONS(1828),
    [anon_sym_chdir] = ACTIONS(1828),
    [anon_sym_close] = ACTIONS(1828),
    [anon_sym_closedir] = ACTIONS(1828),
    [anon_sym_caller] = ACTIONS(1828),
    [anon_sym_chomp] = ACTIONS(1828),
    [anon_sym_chr] = ACTIONS(1828),
    [anon_sym_cos] = ACTIONS(1828),
    [anon_sym_chroot] = ACTIONS(1828),
    [anon_sym_defined] = ACTIONS(1828),
    [anon_sym_delete] = ACTIONS(1828),
    [anon_sym_dbmclose] = ACTIONS(1828),
    [anon_sym_exists] = ACTIONS(1828),
    [anon_sym_exit] = ACTIONS(1828),
    [anon_sym_eof] = ACTIONS(1828),
    [anon_sym_exp] = ACTIONS(1828),
    [anon_sym_each] = ACTIONS(1828),
    [anon_sym_fc] = ACTIONS(1828),
    [anon_sym_fileno] = ACTIONS(1828),
    [anon_sym_gmtime] = ACTIONS(1828),
    [anon_sym_getc] = ACTIONS(1828),
    [anon_sym_getpgrp] = ACTIONS(1828),
    [anon_sym_getprotobyname] = ACTIONS(1828),
    [anon_sym_getpwname] = ACTIONS(1828),
    [anon_sym_getpwuid] = ACTIONS(1828),
    [anon_sym_getpeername] = ACTIONS(1828),
    [anon_sym_getnetbyname] = ACTIONS(1828),
    [anon_sym_getsockname] = ACTIONS(1828),
    [anon_sym_getgrnam] = ACTIONS(1828),
    [anon_sym_getgrgid] = ACTIONS(1828),
    [anon_sym_hex] = ACTIONS(1828),
    [anon_sym_int] = ACTIONS(1828),
    [anon_sym_keys] = ACTIONS(1828),
    [anon_sym_lc] = ACTIONS(1828),
    [anon_sym_lcfirst] = ACTIONS(1828),
    [anon_sym_length] = ACTIONS(1828),
    [anon_sym_localtime] = ACTIONS(1828),
    [anon_sym_log] = ACTIONS(1828),
    [anon_sym_lock] = ACTIONS(1828),
    [anon_sym_lstat] = ACTIONS(1828),
    [anon_sym_oct] = ACTIONS(1828),
    [anon_sym_ord] = ACTIONS(1828),
    [anon_sym_prototype] = ACTIONS(1828),
    [anon_sym_pop] = ACTIONS(1828),
    [anon_sym_pos] = ACTIONS(1828),
    [anon_sym_quotemeta] = ACTIONS(1828),
    [anon_sym_reset] = ACTIONS(1828),
    [anon_sym_rand] = ACTIONS(1828),
    [anon_sym_rmdir] = ACTIONS(1828),
    [anon_sym_readdir] = ACTIONS(1828),
    [anon_sym_readline] = ACTIONS(1828),
    [anon_sym_readpipe] = ACTIONS(1828),
    [anon_sym_rewinddir] = ACTIONS(1828),
    [anon_sym_readlink] = ACTIONS(1828),
    [anon_sym_ref] = ACTIONS(1828),
    [anon_sym_scalar] = ACTIONS(1828),
    [anon_sym_shift] = ACTIONS(1828),
    [anon_sym_sin] = ACTIONS(1828),
    [anon_sym_sleep] = ACTIONS(1828),
    [anon_sym_sqrt] = ACTIONS(1828),
    [anon_sym_srand] = ACTIONS(1828),
    [anon_sym_stat] = ACTIONS(1828),
    [anon_sym_study] = ACTIONS(1828),
    [anon_sym_tell] = ACTIONS(1828),
    [anon_sym_telldir] = ACTIONS(1828),
    [anon_sym_tied] = ACTIONS(1828),
    [anon_sym_uc] = ACTIONS(1828),
    [anon_sym_ucfirst] = ACTIONS(1828),
    [anon_sym_untie] = ACTIONS(1828),
    [anon_sym_umask] = ACTIONS(1828),
    [anon_sym_values] = ACTIONS(1828),
    [anon_sym_write] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1828),
    [anon_sym_qq] = ACTIONS(1828),
    [anon_sym_qw] = ACTIONS(1828),
    [anon_sym_qx] = ACTIONS(1828),
    [anon_sym_qr] = ACTIONS(1828),
    [anon_sym_m] = ACTIONS(1828),
    [anon_sym_s] = ACTIONS(1828),
    [anon_sym_tr] = ACTIONS(1828),
    [anon_sym_y] = ACTIONS(1828),
    [aux_sym__bareword_token1] = ACTIONS(1828),
    [sym_number] = ACTIONS(1828),
    [anon_sym_true] = ACTIONS(1828),
    [anon_sym_false] = ACTIONS(1828),
    [sym__single_quote] = ACTIONS(1832),
    [sym__double_quote] = ACTIONS(1832),
    [sym__backtick_quote] = ACTIONS(1832),
    [sym__search_slash_quote] = ACTIONS(1832),
    [sym__no_search_slash_plz] = ACTIONS(1832),
    [sym__open_readline_bracket] = ACTIONS(1832),
    [sym__open_fileglob_bracket] = ACTIONS(1832),
    [sym__PERLY_SEMICOLON] = ACTIONS(1832),
    [sym__PERLY_HEREDOC] = ACTIONS(1832),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1832),
    [sym__filetest] = ACTIONS(1832),
  },
  [845] = {
    [sym_heredoc_content] = STATE(845),
    [sym__identifier] = ACTIONS(1851),
    [anon_sym_LBRACE] = ACTIONS(1851),
    [anon_sym_RBRACE] = ACTIONS(1851),
    [anon_sym_COLON] = ACTIONS(1851),
    [anon_sym_DOLLAR] = ACTIONS(1851),
    [anon_sym_EQ] = ACTIONS(1851),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1851),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(1851),
    [anon_sym_COMMA] = ACTIONS(1851),
    [anon_sym_RPAREN] = ACTIONS(1851),
    [anon_sym_my] = ACTIONS(1851),
    [anon_sym_extended] = ACTIONS(1851),
    [anon_sym_async] = ACTIONS(1851),
    [anon_sym_sub] = ACTIONS(1851),
    [anon_sym_method] = ACTIONS(1851),
    [anon_sym_LPAREN] = ACTIONS(1851),
    [anon_sym_continue] = ACTIONS(1851),
    [anon_sym_state] = ACTIONS(1851),
    [anon_sym_our] = ACTIONS(1851),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1851),
    [anon_sym_LBRACK] = ACTIONS(1851),
    [anon_sym_DASH_GT] = ACTIONS(1851),
    [anon_sym_PERCENT] = ACTIONS(1851),
    [anon_sym_GT] = ACTIONS(1851),
    [anon_sym_LT_LT] = ACTIONS(1851),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1851),
    [anon_sym_PLUS_EQ] = ACTIONS(1851),
    [anon_sym_DASH_EQ] = ACTIONS(1851),
    [anon_sym_DOT_EQ] = ACTIONS(1851),
    [anon_sym_STAR_EQ] = ACTIONS(1851),
    [anon_sym_SLASH_EQ] = ACTIONS(1851),
    [anon_sym_PERCENT_EQ] = ACTIONS(1851),
    [anon_sym_x_EQ] = ACTIONS(1851),
    [anon_sym_AMP_EQ] = ACTIONS(1851),
    [anon_sym_PIPE_EQ] = ACTIONS(1851),
    [anon_sym_CARET_EQ] = ACTIONS(1851),
    [anon_sym_LT_LT_EQ] = ACTIONS(1851),
    [anon_sym_GT_GT_EQ] = ACTIONS(1851),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1851),
    [anon_sym_DOT_DOT] = ACTIONS(1851),
    [anon_sym_STAR_STAR] = ACTIONS(1851),
    [anon_sym_PIPE_PIPE] = ACTIONS(1851),
    [anon_sym_SLASH_SLASH] = ACTIONS(1851),
    [anon_sym_CARET_CARET] = ACTIONS(1851),
    [anon_sym_AMP_AMP] = ACTIONS(1851),
    [anon_sym_PIPE] = ACTIONS(1851),
    [anon_sym_CARET] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym_GT_GT2] = ACTIONS(1851),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_DOT] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_SLASH] = ACTIONS(1851),
    [anon_sym_x] = ACTIONS(1851),
    [anon_sym_EQ_TILDE] = ACTIONS(1851),
    [anon_sym_BANG_TILDE] = ACTIONS(1851),
    [anon_sym_EQ_EQ] = ACTIONS(1851),
    [anon_sym_BANG_EQ] = ACTIONS(1851),
    [anon_sym_eq] = ACTIONS(1851),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1851),
    [anon_sym_equ] = ACTIONS(1851),
    [anon_sym_eqr] = ACTIONS(1851),
    [anon_sym_ne] = ACTIONS(1851),
    [anon_sym_LT_EQ_GT] = ACTIONS(1851),
    [anon_sym_cmp] = ACTIONS(1851),
    [anon_sym_TILDE_TILDE] = ACTIONS(1851),
    [anon_sym_LT] = ACTIONS(1851),
    [anon_sym_LT_EQ] = ACTIONS(1851),
    [anon_sym_GT_EQ] = ACTIONS(1851),
    [anon_sym_lt] = ACTIONS(1851),
    [anon_sym_le] = ACTIONS(1851),
    [anon_sym_ge] = ACTIONS(1851),
    [anon_sym_gt] = ACTIONS(1851),
    [anon_sym_isa] = ACTIONS(1851),
    [anon_sym_TILDE] = ACTIONS(1851),
    [anon_sym_BANG] = ACTIONS(1851),
    [anon_sym_PLUS_PLUS] = ACTIONS(1851),
    [anon_sym_DASH_DASH] = ACTIONS(1851),
    [anon_sym_QMARK] = ACTIONS(1851),
    [anon_sym_BSLASH] = ACTIONS(1853),
    [anon_sym_do] = ACTIONS(1851),
    [anon_sym_eval] = ACTIONS(1851),
    [anon_sym_await] = ACTIONS(1851),
    [anon_sym_field] = ACTIONS(1851),
    [anon_sym_local] = ACTIONS(1851),
    [anon_sym_dynamically] = ACTIONS(1851),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1851),
    [anon_sym_require] = ACTIONS(1851),
    [anon_sym_map] = ACTIONS(1851),
    [anon_sym_grep] = ACTIONS(1851),
    [anon_sym_sort] = ACTIONS(1851),
    [anon_sym_goto] = ACTIONS(1851),
    [anon_sym_return] = ACTIONS(1851),
    [anon_sym_undef] = ACTIONS(1851),
    [anon_sym_PERCENT2] = ACTIONS(1851),
    [anon_sym_AMP2] = ACTIONS(1851),
    [anon_sym_STAR2] = ACTIONS(1851),
    [anon_sym_EQ_GT] = ACTIONS(1851),
    [anon_sym_last] = ACTIONS(1851),
    [anon_sym_next] = ACTIONS(1851),
    [anon_sym_redo] = ACTIONS(1851),
    [anon_sym___FILE__] = ACTIONS(1851),
    [anon_sym___LINE__] = ACTIONS(1851),
    [anon_sym___PACKAGE__] = ACTIONS(1851),
    [anon_sym___SUB__] = ACTIONS(1851),
    [anon_sym_break] = ACTIONS(1851),
    [anon_sym_fork] = ACTIONS(1851),
    [anon_sym_getppid] = ACTIONS(1851),
    [anon_sym_time] = ACTIONS(1851),
    [anon_sym_times] = ACTIONS(1851),
    [anon_sym_wait] = ACTIONS(1851),
    [anon_sym_wantarray] = ACTIONS(1851),
    [anon_sym_abs] = ACTIONS(1851),
    [anon_sym_alarm] = ACTIONS(1851),
    [anon_sym_chop] = ACTIONS(1851),
    [anon_sym_chdir] = ACTIONS(1851),
    [anon_sym_close] = ACTIONS(1851),
    [anon_sym_closedir] = ACTIONS(1851),
    [anon_sym_caller] = ACTIONS(1851),
    [anon_sym_chomp] = ACTIONS(1851),
    [anon_sym_chr] = ACTIONS(1851),
    [anon_sym_cos] = ACTIONS(1851),
    [anon_sym_chroot] = ACTIONS(1851),
    [anon_sym_defined] = ACTIONS(1851),
    [anon_sym_delete] = ACTIONS(1851),
    [anon_sym_dbmclose] = ACTIONS(1851),
    [anon_sym_exists] = ACTIONS(1851),
    [anon_sym_exit] = ACTIONS(1851),
    [anon_sym_eof] = ACTIONS(1851),
    [anon_sym_exp] = ACTIONS(1851),
    [anon_sym_each] = ACTIONS(1851),
    [anon_sym_fc] = ACTIONS(1851),
    [anon_sym_fileno] = ACTIONS(1851),
    [anon_sym_gmtime] = ACTIONS(1851),
    [anon_sym_getc] = ACTIONS(1851),
    [anon_sym_getpgrp] = ACTIONS(1851),
    [anon_sym_getprotobyname] = ACTIONS(1851),
    [anon_sym_getpwname] = ACTIONS(1851),
    [anon_sym_getpwuid] = ACTIONS(1851),
    [anon_sym_getpeername] = ACTIONS(1851),
    [anon_sym_getnetbyname] = ACTIONS(1851),
    [anon_sym_getsockname] = ACTIONS(1851),
    [anon_sym_getgrnam] = ACTIONS(1851),
    [anon_sym_getgrgid] = ACTIONS(1851),
    [anon_sym_hex] = ACTIONS(1851),
    [anon_sym_int] = ACTIONS(1851),
    [anon_sym_keys] = ACTIONS(1851),
    [anon_sym_lc] = ACTIONS(1851),
    [anon_sym_lcfirst] = ACTIONS(1851),
    [anon_sym_length] = ACTIONS(1851),
    [anon_sym_localtime] = ACTIONS(1851),
    [anon_sym_log] = ACTIONS(1851),
    [anon_sym_lock] = ACTIONS(1851),
    [anon_sym_lstat] = ACTIONS(1851),
    [anon_sym_oct] = ACTIONS(1851),
    [anon_sym_ord] = ACTIONS(1851),
    [anon_sym_prototype] = ACTIONS(1851),
    [anon_sym_pop] = ACTIONS(1851),
    [anon_sym_pos] = ACTIONS(1851),
    [anon_sym_quotemeta] = ACTIONS(1851),
    [anon_sym_reset] = ACTIONS(1851),
    [anon_sym_rand] = ACTIONS(1851),
    [anon_sym_rmdir] = ACTIONS(1851),
    [anon_sym_readdir] = ACTIONS(1851),
    [anon_sym_readline] = ACTIONS(1851),
    [anon_sym_readpipe] = ACTIONS(1851),
    [anon_sym_rewinddir] = ACTIONS(1851),
    [anon_sym_readlink] = ACTIONS(1851),
    [anon_sym_ref] = ACTIONS(1851),
    [anon_sym_scalar] = ACTIONS(1851),
    [anon_sym_shift] = ACTIONS(1851),
    [anon_sym_sin] = ACTIONS(1851),
    [anon_sym_sleep] = ACTIONS(1851),
    [anon_sym_sqrt] = ACTIONS(1851),
    [anon_sym_srand] = ACTIONS(1851),
    [anon_sym_stat] = ACTIONS(1851),
    [anon_sym_study] = ACTIONS(1851),
    [anon_sym_tell] = ACTIONS(1851),
    [anon_sym_telldir] = ACTIONS(1851),
    [anon_sym_tied] = ACTIONS(1851),
    [anon_sym_uc] = ACTIONS(1851),
    [anon_sym_ucfirst] = ACTIONS(1851),
    [anon_sym_untie] = ACTIONS(1851),
    [anon_sym_umask] = ACTIONS(1851),
    [anon_sym_values] = ACTIONS(1851),
    [anon_sym_write] = ACTIONS(1851),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1851),
    [anon_sym_qq] = ACTIONS(1851),
    [anon_sym_qw] = ACTIONS(1851),
    [anon_sym_qx] = ACTIONS(1851),
    [anon_sym_qr] = ACTIONS(1851),
    [anon_sym_m] = ACTIONS(1851),
    [anon_sym_s] = ACTIONS(1851),
    [anon_sym_tr] = ACTIONS(1851),
    [anon_sym_y] = ACTIONS(1851),
    [aux_sym__bareword_token1] = ACTIONS(1851),
    [sym_number] = ACTIONS(1851),
    [anon_sym_true] = ACTIONS(1851),
    [anon_sym_false] = ACTIONS(1851),
    [sym__single_quote] = ACTIONS(1853),
    [sym__double_quote] = ACTIONS(1853),
    [sym__backtick_quote] = ACTIONS(1853),
    [sym__search_slash_quote] = ACTIONS(1853),
    [sym__open_readline_bracket] = ACTIONS(1853),
    [sym__open_fileglob_bracket] = ACTIONS(1853),
    [sym__PERLY_HEREDOC] = ACTIONS(1853),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1853),
    [sym__filetest] = ACTIONS(1853),
  },
  [846] = {
    [sym_heredoc_content] = STATE(846),
    [sym__identifier] = ACTIONS(1855),
    [anon_sym_LBRACE] = ACTIONS(1855),
    [anon_sym_RBRACE] = ACTIONS(1855),
    [anon_sym_COLON] = ACTIONS(1855),
    [anon_sym_DOLLAR] = ACTIONS(1855),
    [anon_sym_EQ] = ACTIONS(1855),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1855),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1855),
    [anon_sym_AT] = ACTIONS(1855),
    [anon_sym_COMMA] = ACTIONS(1855),
    [anon_sym_RPAREN] = ACTIONS(1855),
    [anon_sym_my] = ACTIONS(1855),
    [anon_sym_extended] = ACTIONS(1855),
    [anon_sym_async] = ACTIONS(1855),
    [anon_sym_sub] = ACTIONS(1855),
    [anon_sym_method] = ACTIONS(1855),
    [anon_sym_LPAREN] = ACTIONS(1855),
    [anon_sym_continue] = ACTIONS(1855),
    [anon_sym_state] = ACTIONS(1855),
    [anon_sym_our] = ACTIONS(1855),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1855),
    [anon_sym_LBRACK] = ACTIONS(1855),
    [anon_sym_DASH_GT] = ACTIONS(1855),
    [anon_sym_PERCENT] = ACTIONS(1855),
    [anon_sym_GT] = ACTIONS(1855),
    [anon_sym_LT_LT] = ACTIONS(1855),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1855),
    [anon_sym_PLUS_EQ] = ACTIONS(1855),
    [anon_sym_DASH_EQ] = ACTIONS(1855),
    [anon_sym_DOT_EQ] = ACTIONS(1855),
    [anon_sym_STAR_EQ] = ACTIONS(1855),
    [anon_sym_SLASH_EQ] = ACTIONS(1855),
    [anon_sym_PERCENT_EQ] = ACTIONS(1855),
    [anon_sym_x_EQ] = ACTIONS(1855),
    [anon_sym_AMP_EQ] = ACTIONS(1855),
    [anon_sym_PIPE_EQ] = ACTIONS(1855),
    [anon_sym_CARET_EQ] = ACTIONS(1855),
    [anon_sym_LT_LT_EQ] = ACTIONS(1855),
    [anon_sym_GT_GT_EQ] = ACTIONS(1855),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1855),
    [anon_sym_DOT_DOT] = ACTIONS(1855),
    [anon_sym_STAR_STAR] = ACTIONS(1855),
    [anon_sym_PIPE_PIPE] = ACTIONS(1855),
    [anon_sym_SLASH_SLASH] = ACTIONS(1855),
    [anon_sym_CARET_CARET] = ACTIONS(1855),
    [anon_sym_AMP_AMP] = ACTIONS(1855),
    [anon_sym_PIPE] = ACTIONS(1855),
    [anon_sym_CARET] = ACTIONS(1855),
    [anon_sym_AMP] = ACTIONS(1855),
    [anon_sym_GT_GT2] = ACTIONS(1855),
    [anon_sym_PLUS] = ACTIONS(1855),
    [anon_sym_DASH] = ACTIONS(1855),
    [anon_sym_DOT] = ACTIONS(1855),
    [anon_sym_STAR] = ACTIONS(1855),
    [anon_sym_SLASH] = ACTIONS(1855),
    [anon_sym_x] = ACTIONS(1855),
    [anon_sym_EQ_TILDE] = ACTIONS(1855),
    [anon_sym_BANG_TILDE] = ACTIONS(1855),
    [anon_sym_EQ_EQ] = ACTIONS(1855),
    [anon_sym_BANG_EQ] = ACTIONS(1855),
    [anon_sym_eq] = ACTIONS(1855),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1855),
    [anon_sym_equ] = ACTIONS(1855),
    [anon_sym_eqr] = ACTIONS(1855),
    [anon_sym_ne] = ACTIONS(1855),
    [anon_sym_LT_EQ_GT] = ACTIONS(1855),
    [anon_sym_cmp] = ACTIONS(1855),
    [anon_sym_TILDE_TILDE] = ACTIONS(1855),
    [anon_sym_LT] = ACTIONS(1855),
    [anon_sym_LT_EQ] = ACTIONS(1855),
    [anon_sym_GT_EQ] = ACTIONS(1855),
    [anon_sym_lt] = ACTIONS(1855),
    [anon_sym_le] = ACTIONS(1855),
    [anon_sym_ge] = ACTIONS(1855),
    [anon_sym_gt] = ACTIONS(1855),
    [anon_sym_isa] = ACTIONS(1855),
    [anon_sym_TILDE] = ACTIONS(1855),
    [anon_sym_BANG] = ACTIONS(1855),
    [anon_sym_PLUS_PLUS] = ACTIONS(1855),
    [anon_sym_DASH_DASH] = ACTIONS(1855),
    [anon_sym_QMARK] = ACTIONS(1855),
    [anon_sym_BSLASH] = ACTIONS(1857),
    [anon_sym_do] = ACTIONS(1855),
    [anon_sym_eval] = ACTIONS(1855),
    [anon_sym_await] = ACTIONS(1855),
    [anon_sym_field] = ACTIONS(1855),
    [anon_sym_local] = ACTIONS(1855),
    [anon_sym_dynamically] = ACTIONS(1855),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1855),
    [anon_sym_require] = ACTIONS(1855),
    [anon_sym_map] = ACTIONS(1855),
    [anon_sym_grep] = ACTIONS(1855),
    [anon_sym_sort] = ACTIONS(1855),
    [anon_sym_goto] = ACTIONS(1855),
    [anon_sym_return] = ACTIONS(1855),
    [anon_sym_undef] = ACTIONS(1855),
    [anon_sym_PERCENT2] = ACTIONS(1855),
    [anon_sym_AMP2] = ACTIONS(1855),
    [anon_sym_STAR2] = ACTIONS(1855),
    [anon_sym_EQ_GT] = ACTIONS(1855),
    [anon_sym_last] = ACTIONS(1855),
    [anon_sym_next] = ACTIONS(1855),
    [anon_sym_redo] = ACTIONS(1855),
    [anon_sym___FILE__] = ACTIONS(1855),
    [anon_sym___LINE__] = ACTIONS(1855),
    [anon_sym___PACKAGE__] = ACTIONS(1855),
    [anon_sym___SUB__] = ACTIONS(1855),
    [anon_sym_break] = ACTIONS(1855),
    [anon_sym_fork] = ACTIONS(1855),
    [anon_sym_getppid] = ACTIONS(1855),
    [anon_sym_time] = ACTIONS(1855),
    [anon_sym_times] = ACTIONS(1855),
    [anon_sym_wait] = ACTIONS(1855),
    [anon_sym_wantarray] = ACTIONS(1855),
    [anon_sym_abs] = ACTIONS(1855),
    [anon_sym_alarm] = ACTIONS(1855),
    [anon_sym_chop] = ACTIONS(1855),
    [anon_sym_chdir] = ACTIONS(1855),
    [anon_sym_close] = ACTIONS(1855),
    [anon_sym_closedir] = ACTIONS(1855),
    [anon_sym_caller] = ACTIONS(1855),
    [anon_sym_chomp] = ACTIONS(1855),
    [anon_sym_chr] = ACTIONS(1855),
    [anon_sym_cos] = ACTIONS(1855),
    [anon_sym_chroot] = ACTIONS(1855),
    [anon_sym_defined] = ACTIONS(1855),
    [anon_sym_delete] = ACTIONS(1855),
    [anon_sym_dbmclose] = ACTIONS(1855),
    [anon_sym_exists] = ACTIONS(1855),
    [anon_sym_exit] = ACTIONS(1855),
    [anon_sym_eof] = ACTIONS(1855),
    [anon_sym_exp] = ACTIONS(1855),
    [anon_sym_each] = ACTIONS(1855),
    [anon_sym_fc] = ACTIONS(1855),
    [anon_sym_fileno] = ACTIONS(1855),
    [anon_sym_gmtime] = ACTIONS(1855),
    [anon_sym_getc] = ACTIONS(1855),
    [anon_sym_getpgrp] = ACTIONS(1855),
    [anon_sym_getprotobyname] = ACTIONS(1855),
    [anon_sym_getpwname] = ACTIONS(1855),
    [anon_sym_getpwuid] = ACTIONS(1855),
    [anon_sym_getpeername] = ACTIONS(1855),
    [anon_sym_getnetbyname] = ACTIONS(1855),
    [anon_sym_getsockname] = ACTIONS(1855),
    [anon_sym_getgrnam] = ACTIONS(1855),
    [anon_sym_getgrgid] = ACTIONS(1855),
    [anon_sym_hex] = ACTIONS(1855),
    [anon_sym_int] = ACTIONS(1855),
    [anon_sym_keys] = ACTIONS(1855),
    [anon_sym_lc] = ACTIONS(1855),
    [anon_sym_lcfirst] = ACTIONS(1855),
    [anon_sym_length] = ACTIONS(1855),
    [anon_sym_localtime] = ACTIONS(1855),
    [anon_sym_log] = ACTIONS(1855),
    [anon_sym_lock] = ACTIONS(1855),
    [anon_sym_lstat] = ACTIONS(1855),
    [anon_sym_oct] = ACTIONS(1855),
    [anon_sym_ord] = ACTIONS(1855),
    [anon_sym_prototype] = ACTIONS(1855),
    [anon_sym_pop] = ACTIONS(1855),
    [anon_sym_pos] = ACTIONS(1855),
    [anon_sym_quotemeta] = ACTIONS(1855),
    [anon_sym_reset] = ACTIONS(1855),
    [anon_sym_rand] = ACTIONS(1855),
    [anon_sym_rmdir] = ACTIONS(1855),
    [anon_sym_readdir] = ACTIONS(1855),
    [anon_sym_readline] = ACTIONS(1855),
    [anon_sym_readpipe] = ACTIONS(1855),
    [anon_sym_rewinddir] = ACTIONS(1855),
    [anon_sym_readlink] = ACTIONS(1855),
    [anon_sym_ref] = ACTIONS(1855),
    [anon_sym_scalar] = ACTIONS(1855),
    [anon_sym_shift] = ACTIONS(1855),
    [anon_sym_sin] = ACTIONS(1855),
    [anon_sym_sleep] = ACTIONS(1855),
    [anon_sym_sqrt] = ACTIONS(1855),
    [anon_sym_srand] = ACTIONS(1855),
    [anon_sym_stat] = ACTIONS(1855),
    [anon_sym_study] = ACTIONS(1855),
    [anon_sym_tell] = ACTIONS(1855),
    [anon_sym_telldir] = ACTIONS(1855),
    [anon_sym_tied] = ACTIONS(1855),
    [anon_sym_uc] = ACTIONS(1855),
    [anon_sym_ucfirst] = ACTIONS(1855),
    [anon_sym_untie] = ACTIONS(1855),
    [anon_sym_umask] = ACTIONS(1855),
    [anon_sym_values] = ACTIONS(1855),
    [anon_sym_write] = ACTIONS(1855),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1855),
    [anon_sym_qq] = ACTIONS(1855),
    [anon_sym_qw] = ACTIONS(1855),
    [anon_sym_qx] = ACTIONS(1855),
    [anon_sym_qr] = ACTIONS(1855),
    [anon_sym_m] = ACTIONS(1855),
    [anon_sym_s] = ACTIONS(1855),
    [anon_sym_tr] = ACTIONS(1855),
    [anon_sym_y] = ACTIONS(1855),
    [aux_sym__bareword_token1] = ACTIONS(1855),
    [sym_number] = ACTIONS(1855),
    [anon_sym_true] = ACTIONS(1855),
    [anon_sym_false] = ACTIONS(1855),
    [sym__single_quote] = ACTIONS(1857),
    [sym__double_quote] = ACTIONS(1857),
    [sym__backtick_quote] = ACTIONS(1857),
    [sym__search_slash_quote] = ACTIONS(1857),
    [sym__open_readline_bracket] = ACTIONS(1857),
    [sym__open_fileglob_bracket] = ACTIONS(1857),
    [sym__PERLY_HEREDOC] = ACTIONS(1857),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1857),
    [sym__filetest] = ACTIONS(1857),
  },
  [847] = {
    [sym_heredoc_content] = STATE(847),
    [sym__identifier] = ACTIONS(1824),
    [anon_sym_LBRACE] = ACTIONS(1824),
    [anon_sym_RBRACE] = ACTIONS(1824),
    [anon_sym_COLON] = ACTIONS(1824),
    [anon_sym_DOLLAR] = ACTIONS(1824),
    [anon_sym_EQ] = ACTIONS(1824),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1824),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1824),
    [anon_sym_AT] = ACTIONS(1824),
    [anon_sym_COMMA] = ACTIONS(1824),
    [anon_sym_RPAREN] = ACTIONS(1824),
    [anon_sym_my] = ACTIONS(1824),
    [anon_sym_extended] = ACTIONS(1824),
    [anon_sym_async] = ACTIONS(1824),
    [anon_sym_sub] = ACTIONS(1824),
    [anon_sym_method] = ACTIONS(1824),
    [anon_sym_LPAREN] = ACTIONS(1824),
    [anon_sym_continue] = ACTIONS(1824),
    [anon_sym_state] = ACTIONS(1824),
    [anon_sym_our] = ACTIONS(1824),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1824),
    [anon_sym_LBRACK] = ACTIONS(1824),
    [anon_sym_DASH_GT] = ACTIONS(1824),
    [anon_sym_PERCENT] = ACTIONS(1824),
    [anon_sym_GT] = ACTIONS(1824),
    [anon_sym_LT_LT] = ACTIONS(1824),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1824),
    [anon_sym_PLUS_EQ] = ACTIONS(1824),
    [anon_sym_DASH_EQ] = ACTIONS(1824),
    [anon_sym_DOT_EQ] = ACTIONS(1824),
    [anon_sym_STAR_EQ] = ACTIONS(1824),
    [anon_sym_SLASH_EQ] = ACTIONS(1824),
    [anon_sym_PERCENT_EQ] = ACTIONS(1824),
    [anon_sym_x_EQ] = ACTIONS(1824),
    [anon_sym_AMP_EQ] = ACTIONS(1824),
    [anon_sym_PIPE_EQ] = ACTIONS(1824),
    [anon_sym_CARET_EQ] = ACTIONS(1824),
    [anon_sym_LT_LT_EQ] = ACTIONS(1824),
    [anon_sym_GT_GT_EQ] = ACTIONS(1824),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1824),
    [anon_sym_DOT_DOT] = ACTIONS(1824),
    [anon_sym_STAR_STAR] = ACTIONS(1824),
    [anon_sym_PIPE_PIPE] = ACTIONS(1824),
    [anon_sym_SLASH_SLASH] = ACTIONS(1824),
    [anon_sym_CARET_CARET] = ACTIONS(1824),
    [anon_sym_AMP_AMP] = ACTIONS(1824),
    [anon_sym_PIPE] = ACTIONS(1824),
    [anon_sym_CARET] = ACTIONS(1824),
    [anon_sym_AMP] = ACTIONS(1824),
    [anon_sym_GT_GT2] = ACTIONS(1824),
    [anon_sym_PLUS] = ACTIONS(1824),
    [anon_sym_DASH] = ACTIONS(1824),
    [anon_sym_DOT] = ACTIONS(1824),
    [anon_sym_STAR] = ACTIONS(1824),
    [anon_sym_SLASH] = ACTIONS(1824),
    [anon_sym_x] = ACTIONS(1824),
    [anon_sym_EQ_TILDE] = ACTIONS(1824),
    [anon_sym_BANG_TILDE] = ACTIONS(1824),
    [anon_sym_EQ_EQ] = ACTIONS(1824),
    [anon_sym_BANG_EQ] = ACTIONS(1824),
    [anon_sym_eq] = ACTIONS(1824),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1824),
    [anon_sym_equ] = ACTIONS(1824),
    [anon_sym_eqr] = ACTIONS(1824),
    [anon_sym_ne] = ACTIONS(1824),
    [anon_sym_LT_EQ_GT] = ACTIONS(1824),
    [anon_sym_cmp] = ACTIONS(1824),
    [anon_sym_TILDE_TILDE] = ACTIONS(1824),
    [anon_sym_LT] = ACTIONS(1824),
    [anon_sym_LT_EQ] = ACTIONS(1824),
    [anon_sym_GT_EQ] = ACTIONS(1824),
    [anon_sym_lt] = ACTIONS(1824),
    [anon_sym_le] = ACTIONS(1824),
    [anon_sym_ge] = ACTIONS(1824),
    [anon_sym_gt] = ACTIONS(1824),
    [anon_sym_isa] = ACTIONS(1824),
    [anon_sym_TILDE] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1824),
    [anon_sym_PLUS_PLUS] = ACTIONS(1824),
    [anon_sym_DASH_DASH] = ACTIONS(1824),
    [anon_sym_QMARK] = ACTIONS(1824),
    [anon_sym_BSLASH] = ACTIONS(1826),
    [anon_sym_do] = ACTIONS(1824),
    [anon_sym_eval] = ACTIONS(1824),
    [anon_sym_await] = ACTIONS(1824),
    [anon_sym_field] = ACTIONS(1824),
    [anon_sym_local] = ACTIONS(1824),
    [anon_sym_dynamically] = ACTIONS(1824),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1824),
    [anon_sym_require] = ACTIONS(1824),
    [anon_sym_map] = ACTIONS(1824),
    [anon_sym_grep] = ACTIONS(1824),
    [anon_sym_sort] = ACTIONS(1824),
    [anon_sym_goto] = ACTIONS(1824),
    [anon_sym_return] = ACTIONS(1824),
    [anon_sym_undef] = ACTIONS(1824),
    [anon_sym_PERCENT2] = ACTIONS(1824),
    [anon_sym_AMP2] = ACTIONS(1824),
    [anon_sym_STAR2] = ACTIONS(1824),
    [anon_sym_EQ_GT] = ACTIONS(1824),
    [anon_sym_last] = ACTIONS(1824),
    [anon_sym_next] = ACTIONS(1824),
    [anon_sym_redo] = ACTIONS(1824),
    [anon_sym___FILE__] = ACTIONS(1824),
    [anon_sym___LINE__] = ACTIONS(1824),
    [anon_sym___PACKAGE__] = ACTIONS(1824),
    [anon_sym___SUB__] = ACTIONS(1824),
    [anon_sym_break] = ACTIONS(1824),
    [anon_sym_fork] = ACTIONS(1824),
    [anon_sym_getppid] = ACTIONS(1824),
    [anon_sym_time] = ACTIONS(1824),
    [anon_sym_times] = ACTIONS(1824),
    [anon_sym_wait] = ACTIONS(1824),
    [anon_sym_wantarray] = ACTIONS(1824),
    [anon_sym_abs] = ACTIONS(1824),
    [anon_sym_alarm] = ACTIONS(1824),
    [anon_sym_chop] = ACTIONS(1824),
    [anon_sym_chdir] = ACTIONS(1824),
    [anon_sym_close] = ACTIONS(1824),
    [anon_sym_closedir] = ACTIONS(1824),
    [anon_sym_caller] = ACTIONS(1824),
    [anon_sym_chomp] = ACTIONS(1824),
    [anon_sym_chr] = ACTIONS(1824),
    [anon_sym_cos] = ACTIONS(1824),
    [anon_sym_chroot] = ACTIONS(1824),
    [anon_sym_defined] = ACTIONS(1824),
    [anon_sym_delete] = ACTIONS(1824),
    [anon_sym_dbmclose] = ACTIONS(1824),
    [anon_sym_exists] = ACTIONS(1824),
    [anon_sym_exit] = ACTIONS(1824),
    [anon_sym_eof] = ACTIONS(1824),
    [anon_sym_exp] = ACTIONS(1824),
    [anon_sym_each] = ACTIONS(1824),
    [anon_sym_fc] = ACTIONS(1824),
    [anon_sym_fileno] = ACTIONS(1824),
    [anon_sym_gmtime] = ACTIONS(1824),
    [anon_sym_getc] = ACTIONS(1824),
    [anon_sym_getpgrp] = ACTIONS(1824),
    [anon_sym_getprotobyname] = ACTIONS(1824),
    [anon_sym_getpwname] = ACTIONS(1824),
    [anon_sym_getpwuid] = ACTIONS(1824),
    [anon_sym_getpeername] = ACTIONS(1824),
    [anon_sym_getnetbyname] = ACTIONS(1824),
    [anon_sym_getsockname] = ACTIONS(1824),
    [anon_sym_getgrnam] = ACTIONS(1824),
    [anon_sym_getgrgid] = ACTIONS(1824),
    [anon_sym_hex] = ACTIONS(1824),
    [anon_sym_int] = ACTIONS(1824),
    [anon_sym_keys] = ACTIONS(1824),
    [anon_sym_lc] = ACTIONS(1824),
    [anon_sym_lcfirst] = ACTIONS(1824),
    [anon_sym_length] = ACTIONS(1824),
    [anon_sym_localtime] = ACTIONS(1824),
    [anon_sym_log] = ACTIONS(1824),
    [anon_sym_lock] = ACTIONS(1824),
    [anon_sym_lstat] = ACTIONS(1824),
    [anon_sym_oct] = ACTIONS(1824),
    [anon_sym_ord] = ACTIONS(1824),
    [anon_sym_prototype] = ACTIONS(1824),
    [anon_sym_pop] = ACTIONS(1824),
    [anon_sym_pos] = ACTIONS(1824),
    [anon_sym_quotemeta] = ACTIONS(1824),
    [anon_sym_reset] = ACTIONS(1824),
    [anon_sym_rand] = ACTIONS(1824),
    [anon_sym_rmdir] = ACTIONS(1824),
    [anon_sym_readdir] = ACTIONS(1824),
    [anon_sym_readline] = ACTIONS(1824),
    [anon_sym_readpipe] = ACTIONS(1824),
    [anon_sym_rewinddir] = ACTIONS(1824),
    [anon_sym_readlink] = ACTIONS(1824),
    [anon_sym_ref] = ACTIONS(1824),
    [anon_sym_scalar] = ACTIONS(1824),
    [anon_sym_shift] = ACTIONS(1824),
    [anon_sym_sin] = ACTIONS(1824),
    [anon_sym_sleep] = ACTIONS(1824),
    [anon_sym_sqrt] = ACTIONS(1824),
    [anon_sym_srand] = ACTIONS(1824),
    [anon_sym_stat] = ACTIONS(1824),
    [anon_sym_study] = ACTIONS(1824),
    [anon_sym_tell] = ACTIONS(1824),
    [anon_sym_telldir] = ACTIONS(1824),
    [anon_sym_tied] = ACTIONS(1824),
    [anon_sym_uc] = ACTIONS(1824),
    [anon_sym_ucfirst] = ACTIONS(1824),
    [anon_sym_untie] = ACTIONS(1824),
    [anon_sym_umask] = ACTIONS(1824),
    [anon_sym_values] = ACTIONS(1824),
    [anon_sym_write] = ACTIONS(1824),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1824),
    [anon_sym_qq] = ACTIONS(1824),
    [anon_sym_qw] = ACTIONS(1824),
    [anon_sym_qx] = ACTIONS(1824),
    [anon_sym_qr] = ACTIONS(1824),
    [anon_sym_m] = ACTIONS(1824),
    [anon_sym_s] = ACTIONS(1824),
    [anon_sym_tr] = ACTIONS(1824),
    [anon_sym_y] = ACTIONS(1824),
    [aux_sym__bareword_token1] = ACTIONS(1824),
    [sym_number] = ACTIONS(1824),
    [anon_sym_true] = ACTIONS(1824),
    [anon_sym_false] = ACTIONS(1824),
    [sym__single_quote] = ACTIONS(1826),
    [sym__double_quote] = ACTIONS(1826),
    [sym__backtick_quote] = ACTIONS(1826),
    [sym__search_slash_quote] = ACTIONS(1826),
    [sym__open_readline_bracket] = ACTIONS(1826),
    [sym__open_fileglob_bracket] = ACTIONS(1826),
    [sym__PERLY_HEREDOC] = ACTIONS(1826),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1826),
    [sym__filetest] = ACTIONS(1826),
  },
  [848] = {
    [sym_heredoc_content] = STATE(848),
    [sym__identifier] = ACTIONS(1834),
    [anon_sym_LBRACE] = ACTIONS(1834),
    [anon_sym_RBRACE] = ACTIONS(1834),
    [anon_sym_COLON] = ACTIONS(1834),
    [anon_sym_DOLLAR] = ACTIONS(1834),
    [anon_sym_EQ] = ACTIONS(1834),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1834),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1834),
    [anon_sym_AT] = ACTIONS(1834),
    [anon_sym_COMMA] = ACTIONS(1834),
    [anon_sym_RPAREN] = ACTIONS(1834),
    [anon_sym_my] = ACTIONS(1834),
    [anon_sym_extended] = ACTIONS(1834),
    [anon_sym_async] = ACTIONS(1834),
    [anon_sym_sub] = ACTIONS(1834),
    [anon_sym_method] = ACTIONS(1834),
    [anon_sym_LPAREN] = ACTIONS(1834),
    [anon_sym_continue] = ACTIONS(1834),
    [anon_sym_state] = ACTIONS(1834),
    [anon_sym_our] = ACTIONS(1834),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1834),
    [anon_sym_LBRACK] = ACTIONS(1834),
    [anon_sym_DASH_GT] = ACTIONS(1834),
    [anon_sym_PERCENT] = ACTIONS(1834),
    [anon_sym_GT] = ACTIONS(1834),
    [anon_sym_LT_LT] = ACTIONS(1834),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1834),
    [anon_sym_PLUS_EQ] = ACTIONS(1834),
    [anon_sym_DASH_EQ] = ACTIONS(1834),
    [anon_sym_DOT_EQ] = ACTIONS(1834),
    [anon_sym_STAR_EQ] = ACTIONS(1834),
    [anon_sym_SLASH_EQ] = ACTIONS(1834),
    [anon_sym_PERCENT_EQ] = ACTIONS(1834),
    [anon_sym_x_EQ] = ACTIONS(1834),
    [anon_sym_AMP_EQ] = ACTIONS(1834),
    [anon_sym_PIPE_EQ] = ACTIONS(1834),
    [anon_sym_CARET_EQ] = ACTIONS(1834),
    [anon_sym_LT_LT_EQ] = ACTIONS(1834),
    [anon_sym_GT_GT_EQ] = ACTIONS(1834),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1834),
    [anon_sym_DOT_DOT] = ACTIONS(1834),
    [anon_sym_STAR_STAR] = ACTIONS(1834),
    [anon_sym_PIPE_PIPE] = ACTIONS(1834),
    [anon_sym_SLASH_SLASH] = ACTIONS(1834),
    [anon_sym_CARET_CARET] = ACTIONS(1834),
    [anon_sym_AMP_AMP] = ACTIONS(1834),
    [anon_sym_PIPE] = ACTIONS(1834),
    [anon_sym_CARET] = ACTIONS(1834),
    [anon_sym_AMP] = ACTIONS(1834),
    [anon_sym_GT_GT2] = ACTIONS(1834),
    [anon_sym_PLUS] = ACTIONS(1834),
    [anon_sym_DASH] = ACTIONS(1834),
    [anon_sym_DOT] = ACTIONS(1834),
    [anon_sym_STAR] = ACTIONS(1834),
    [anon_sym_SLASH] = ACTIONS(1834),
    [anon_sym_x] = ACTIONS(1834),
    [anon_sym_EQ_TILDE] = ACTIONS(1834),
    [anon_sym_BANG_TILDE] = ACTIONS(1834),
    [anon_sym_EQ_EQ] = ACTIONS(1834),
    [anon_sym_BANG_EQ] = ACTIONS(1834),
    [anon_sym_eq] = ACTIONS(1834),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1834),
    [anon_sym_equ] = ACTIONS(1834),
    [anon_sym_eqr] = ACTIONS(1834),
    [anon_sym_ne] = ACTIONS(1834),
    [anon_sym_LT_EQ_GT] = ACTIONS(1834),
    [anon_sym_cmp] = ACTIONS(1834),
    [anon_sym_TILDE_TILDE] = ACTIONS(1834),
    [anon_sym_LT] = ACTIONS(1834),
    [anon_sym_LT_EQ] = ACTIONS(1834),
    [anon_sym_GT_EQ] = ACTIONS(1834),
    [anon_sym_lt] = ACTIONS(1834),
    [anon_sym_le] = ACTIONS(1834),
    [anon_sym_ge] = ACTIONS(1834),
    [anon_sym_gt] = ACTIONS(1834),
    [anon_sym_isa] = ACTIONS(1834),
    [anon_sym_TILDE] = ACTIONS(1834),
    [anon_sym_BANG] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1834),
    [anon_sym_DASH_DASH] = ACTIONS(1834),
    [anon_sym_QMARK] = ACTIONS(1834),
    [anon_sym_BSLASH] = ACTIONS(1836),
    [anon_sym_do] = ACTIONS(1834),
    [anon_sym_eval] = ACTIONS(1834),
    [anon_sym_await] = ACTIONS(1834),
    [anon_sym_field] = ACTIONS(1834),
    [anon_sym_local] = ACTIONS(1834),
    [anon_sym_dynamically] = ACTIONS(1834),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1834),
    [anon_sym_require] = ACTIONS(1834),
    [anon_sym_map] = ACTIONS(1834),
    [anon_sym_grep] = ACTIONS(1834),
    [anon_sym_sort] = ACTIONS(1834),
    [anon_sym_goto] = ACTIONS(1834),
    [anon_sym_return] = ACTIONS(1834),
    [anon_sym_undef] = ACTIONS(1834),
    [anon_sym_PERCENT2] = ACTIONS(1834),
    [anon_sym_AMP2] = ACTIONS(1834),
    [anon_sym_STAR2] = ACTIONS(1834),
    [anon_sym_EQ_GT] = ACTIONS(1834),
    [anon_sym_last] = ACTIONS(1834),
    [anon_sym_next] = ACTIONS(1834),
    [anon_sym_redo] = ACTIONS(1834),
    [anon_sym___FILE__] = ACTIONS(1834),
    [anon_sym___LINE__] = ACTIONS(1834),
    [anon_sym___PACKAGE__] = ACTIONS(1834),
    [anon_sym___SUB__] = ACTIONS(1834),
    [anon_sym_break] = ACTIONS(1834),
    [anon_sym_fork] = ACTIONS(1834),
    [anon_sym_getppid] = ACTIONS(1834),
    [anon_sym_time] = ACTIONS(1834),
    [anon_sym_times] = ACTIONS(1834),
    [anon_sym_wait] = ACTIONS(1834),
    [anon_sym_wantarray] = ACTIONS(1834),
    [anon_sym_abs] = ACTIONS(1834),
    [anon_sym_alarm] = ACTIONS(1834),
    [anon_sym_chop] = ACTIONS(1834),
    [anon_sym_chdir] = ACTIONS(1834),
    [anon_sym_close] = ACTIONS(1834),
    [anon_sym_closedir] = ACTIONS(1834),
    [anon_sym_caller] = ACTIONS(1834),
    [anon_sym_chomp] = ACTIONS(1834),
    [anon_sym_chr] = ACTIONS(1834),
    [anon_sym_cos] = ACTIONS(1834),
    [anon_sym_chroot] = ACTIONS(1834),
    [anon_sym_defined] = ACTIONS(1834),
    [anon_sym_delete] = ACTIONS(1834),
    [anon_sym_dbmclose] = ACTIONS(1834),
    [anon_sym_exists] = ACTIONS(1834),
    [anon_sym_exit] = ACTIONS(1834),
    [anon_sym_eof] = ACTIONS(1834),
    [anon_sym_exp] = ACTIONS(1834),
    [anon_sym_each] = ACTIONS(1834),
    [anon_sym_fc] = ACTIONS(1834),
    [anon_sym_fileno] = ACTIONS(1834),
    [anon_sym_gmtime] = ACTIONS(1834),
    [anon_sym_getc] = ACTIONS(1834),
    [anon_sym_getpgrp] = ACTIONS(1834),
    [anon_sym_getprotobyname] = ACTIONS(1834),
    [anon_sym_getpwname] = ACTIONS(1834),
    [anon_sym_getpwuid] = ACTIONS(1834),
    [anon_sym_getpeername] = ACTIONS(1834),
    [anon_sym_getnetbyname] = ACTIONS(1834),
    [anon_sym_getsockname] = ACTIONS(1834),
    [anon_sym_getgrnam] = ACTIONS(1834),
    [anon_sym_getgrgid] = ACTIONS(1834),
    [anon_sym_hex] = ACTIONS(1834),
    [anon_sym_int] = ACTIONS(1834),
    [anon_sym_keys] = ACTIONS(1834),
    [anon_sym_lc] = ACTIONS(1834),
    [anon_sym_lcfirst] = ACTIONS(1834),
    [anon_sym_length] = ACTIONS(1834),
    [anon_sym_localtime] = ACTIONS(1834),
    [anon_sym_log] = ACTIONS(1834),
    [anon_sym_lock] = ACTIONS(1834),
    [anon_sym_lstat] = ACTIONS(1834),
    [anon_sym_oct] = ACTIONS(1834),
    [anon_sym_ord] = ACTIONS(1834),
    [anon_sym_prototype] = ACTIONS(1834),
    [anon_sym_pop] = ACTIONS(1834),
    [anon_sym_pos] = ACTIONS(1834),
    [anon_sym_quotemeta] = ACTIONS(1834),
    [anon_sym_reset] = ACTIONS(1834),
    [anon_sym_rand] = ACTIONS(1834),
    [anon_sym_rmdir] = ACTIONS(1834),
    [anon_sym_readdir] = ACTIONS(1834),
    [anon_sym_readline] = ACTIONS(1834),
    [anon_sym_readpipe] = ACTIONS(1834),
    [anon_sym_rewinddir] = ACTIONS(1834),
    [anon_sym_readlink] = ACTIONS(1834),
    [anon_sym_ref] = ACTIONS(1834),
    [anon_sym_scalar] = ACTIONS(1834),
    [anon_sym_shift] = ACTIONS(1834),
    [anon_sym_sin] = ACTIONS(1834),
    [anon_sym_sleep] = ACTIONS(1834),
    [anon_sym_sqrt] = ACTIONS(1834),
    [anon_sym_srand] = ACTIONS(1834),
    [anon_sym_stat] = ACTIONS(1834),
    [anon_sym_study] = ACTIONS(1834),
    [anon_sym_tell] = ACTIONS(1834),
    [anon_sym_telldir] = ACTIONS(1834),
    [anon_sym_tied] = ACTIONS(1834),
    [anon_sym_uc] = ACTIONS(1834),
    [anon_sym_ucfirst] = ACTIONS(1834),
    [anon_sym_untie] = ACTIONS(1834),
    [anon_sym_umask] = ACTIONS(1834),
    [anon_sym_values] = ACTIONS(1834),
    [anon_sym_write] = ACTIONS(1834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1834),
    [anon_sym_qq] = ACTIONS(1834),
    [anon_sym_qw] = ACTIONS(1834),
    [anon_sym_qx] = ACTIONS(1834),
    [anon_sym_qr] = ACTIONS(1834),
    [anon_sym_m] = ACTIONS(1834),
    [anon_sym_s] = ACTIONS(1834),
    [anon_sym_tr] = ACTIONS(1834),
    [anon_sym_y] = ACTIONS(1834),
    [aux_sym__bareword_token1] = ACTIONS(1834),
    [sym_number] = ACTIONS(1834),
    [anon_sym_true] = ACTIONS(1834),
    [anon_sym_false] = ACTIONS(1834),
    [sym__single_quote] = ACTIONS(1836),
    [sym__double_quote] = ACTIONS(1836),
    [sym__backtick_quote] = ACTIONS(1836),
    [sym__search_slash_quote] = ACTIONS(1836),
    [sym__open_readline_bracket] = ACTIONS(1836),
    [sym__open_fileglob_bracket] = ACTIONS(1836),
    [sym__PERLY_HEREDOC] = ACTIONS(1836),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1836),
    [sym__filetest] = ACTIONS(1836),
  },
  [849] = {
    [sym_heredoc_content] = STATE(849),
    [sym__identifier] = ACTIONS(1859),
    [anon_sym_LBRACE] = ACTIONS(1859),
    [anon_sym_SEMI] = ACTIONS(1859),
    [anon_sym_DOLLAR] = ACTIONS(1859),
    [anon_sym_EQ] = ACTIONS(1859),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1859),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(1859),
    [anon_sym_COMMA] = ACTIONS(1859),
    [anon_sym_my] = ACTIONS(1859),
    [anon_sym_extended] = ACTIONS(1859),
    [anon_sym_async] = ACTIONS(1859),
    [anon_sym_sub] = ACTIONS(1859),
    [anon_sym_method] = ACTIONS(1859),
    [anon_sym_LPAREN] = ACTIONS(1859),
    [anon_sym_continue] = ACTIONS(1859),
    [anon_sym_state] = ACTIONS(1859),
    [anon_sym_our] = ACTIONS(1859),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1859),
    [anon_sym_DASH_GT] = ACTIONS(1859),
    [anon_sym_PERCENT] = ACTIONS(1859),
    [anon_sym_GT] = ACTIONS(1859),
    [anon_sym_LT_LT] = ACTIONS(1859),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1859),
    [anon_sym_PLUS_EQ] = ACTIONS(1859),
    [anon_sym_DASH_EQ] = ACTIONS(1859),
    [anon_sym_DOT_EQ] = ACTIONS(1859),
    [anon_sym_STAR_EQ] = ACTIONS(1859),
    [anon_sym_SLASH_EQ] = ACTIONS(1859),
    [anon_sym_PERCENT_EQ] = ACTIONS(1859),
    [anon_sym_x_EQ] = ACTIONS(1859),
    [anon_sym_AMP_EQ] = ACTIONS(1859),
    [anon_sym_PIPE_EQ] = ACTIONS(1859),
    [anon_sym_CARET_EQ] = ACTIONS(1859),
    [anon_sym_LT_LT_EQ] = ACTIONS(1859),
    [anon_sym_GT_GT_EQ] = ACTIONS(1859),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1859),
    [anon_sym_DOT_DOT] = ACTIONS(1859),
    [anon_sym_STAR_STAR] = ACTIONS(1859),
    [anon_sym_PIPE_PIPE] = ACTIONS(1859),
    [anon_sym_SLASH_SLASH] = ACTIONS(1859),
    [anon_sym_CARET_CARET] = ACTIONS(1859),
    [anon_sym_AMP_AMP] = ACTIONS(1859),
    [anon_sym_PIPE] = ACTIONS(1859),
    [anon_sym_CARET] = ACTIONS(1859),
    [anon_sym_AMP] = ACTIONS(1859),
    [anon_sym_GT_GT2] = ACTIONS(1859),
    [anon_sym_PLUS] = ACTIONS(1859),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_DOT] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1859),
    [anon_sym_SLASH] = ACTIONS(1859),
    [anon_sym_x] = ACTIONS(1859),
    [anon_sym_EQ_TILDE] = ACTIONS(1859),
    [anon_sym_BANG_TILDE] = ACTIONS(1859),
    [anon_sym_EQ_EQ] = ACTIONS(1859),
    [anon_sym_BANG_EQ] = ACTIONS(1859),
    [anon_sym_eq] = ACTIONS(1859),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1859),
    [anon_sym_equ] = ACTIONS(1859),
    [anon_sym_eqr] = ACTIONS(1859),
    [anon_sym_ne] = ACTIONS(1859),
    [anon_sym_LT_EQ_GT] = ACTIONS(1859),
    [anon_sym_cmp] = ACTIONS(1859),
    [anon_sym_TILDE_TILDE] = ACTIONS(1859),
    [anon_sym_LT] = ACTIONS(1859),
    [anon_sym_LT_EQ] = ACTIONS(1859),
    [anon_sym_GT_EQ] = ACTIONS(1859),
    [anon_sym_lt] = ACTIONS(1859),
    [anon_sym_le] = ACTIONS(1859),
    [anon_sym_ge] = ACTIONS(1859),
    [anon_sym_gt] = ACTIONS(1859),
    [anon_sym_isa] = ACTIONS(1859),
    [anon_sym_TILDE] = ACTIONS(1859),
    [anon_sym_BANG] = ACTIONS(1859),
    [anon_sym_PLUS_PLUS] = ACTIONS(1859),
    [anon_sym_DASH_DASH] = ACTIONS(1859),
    [anon_sym_QMARK] = ACTIONS(1859),
    [anon_sym_BSLASH] = ACTIONS(1861),
    [anon_sym_do] = ACTIONS(1859),
    [anon_sym_eval] = ACTIONS(1859),
    [anon_sym_await] = ACTIONS(1859),
    [anon_sym_field] = ACTIONS(1859),
    [anon_sym_local] = ACTIONS(1859),
    [anon_sym_dynamically] = ACTIONS(1859),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1859),
    [anon_sym_require] = ACTIONS(1859),
    [anon_sym_map] = ACTIONS(1859),
    [anon_sym_grep] = ACTIONS(1859),
    [anon_sym_sort] = ACTIONS(1859),
    [anon_sym_goto] = ACTIONS(1859),
    [anon_sym_return] = ACTIONS(1859),
    [anon_sym_undef] = ACTIONS(1859),
    [anon_sym_PERCENT2] = ACTIONS(1859),
    [anon_sym_AMP2] = ACTIONS(1859),
    [anon_sym_STAR2] = ACTIONS(1859),
    [anon_sym_EQ_GT] = ACTIONS(1859),
    [anon_sym_last] = ACTIONS(1859),
    [anon_sym_next] = ACTIONS(1859),
    [anon_sym_redo] = ACTIONS(1859),
    [anon_sym___FILE__] = ACTIONS(1859),
    [anon_sym___LINE__] = ACTIONS(1859),
    [anon_sym___PACKAGE__] = ACTIONS(1859),
    [anon_sym___SUB__] = ACTIONS(1859),
    [anon_sym_break] = ACTIONS(1859),
    [anon_sym_fork] = ACTIONS(1859),
    [anon_sym_getppid] = ACTIONS(1859),
    [anon_sym_time] = ACTIONS(1859),
    [anon_sym_times] = ACTIONS(1859),
    [anon_sym_wait] = ACTIONS(1859),
    [anon_sym_wantarray] = ACTIONS(1859),
    [anon_sym_abs] = ACTIONS(1859),
    [anon_sym_alarm] = ACTIONS(1859),
    [anon_sym_chop] = ACTIONS(1859),
    [anon_sym_chdir] = ACTIONS(1859),
    [anon_sym_close] = ACTIONS(1859),
    [anon_sym_closedir] = ACTIONS(1859),
    [anon_sym_caller] = ACTIONS(1859),
    [anon_sym_chomp] = ACTIONS(1859),
    [anon_sym_chr] = ACTIONS(1859),
    [anon_sym_cos] = ACTIONS(1859),
    [anon_sym_chroot] = ACTIONS(1859),
    [anon_sym_defined] = ACTIONS(1859),
    [anon_sym_delete] = ACTIONS(1859),
    [anon_sym_dbmclose] = ACTIONS(1859),
    [anon_sym_exists] = ACTIONS(1859),
    [anon_sym_exit] = ACTIONS(1859),
    [anon_sym_eof] = ACTIONS(1859),
    [anon_sym_exp] = ACTIONS(1859),
    [anon_sym_each] = ACTIONS(1859),
    [anon_sym_fc] = ACTIONS(1859),
    [anon_sym_fileno] = ACTIONS(1859),
    [anon_sym_gmtime] = ACTIONS(1859),
    [anon_sym_getc] = ACTIONS(1859),
    [anon_sym_getpgrp] = ACTIONS(1859),
    [anon_sym_getprotobyname] = ACTIONS(1859),
    [anon_sym_getpwname] = ACTIONS(1859),
    [anon_sym_getpwuid] = ACTIONS(1859),
    [anon_sym_getpeername] = ACTIONS(1859),
    [anon_sym_getnetbyname] = ACTIONS(1859),
    [anon_sym_getsockname] = ACTIONS(1859),
    [anon_sym_getgrnam] = ACTIONS(1859),
    [anon_sym_getgrgid] = ACTIONS(1859),
    [anon_sym_hex] = ACTIONS(1859),
    [anon_sym_int] = ACTIONS(1859),
    [anon_sym_keys] = ACTIONS(1859),
    [anon_sym_lc] = ACTIONS(1859),
    [anon_sym_lcfirst] = ACTIONS(1859),
    [anon_sym_length] = ACTIONS(1859),
    [anon_sym_localtime] = ACTIONS(1859),
    [anon_sym_log] = ACTIONS(1859),
    [anon_sym_lock] = ACTIONS(1859),
    [anon_sym_lstat] = ACTIONS(1859),
    [anon_sym_oct] = ACTIONS(1859),
    [anon_sym_ord] = ACTIONS(1859),
    [anon_sym_prototype] = ACTIONS(1859),
    [anon_sym_pop] = ACTIONS(1859),
    [anon_sym_pos] = ACTIONS(1859),
    [anon_sym_quotemeta] = ACTIONS(1859),
    [anon_sym_reset] = ACTIONS(1859),
    [anon_sym_rand] = ACTIONS(1859),
    [anon_sym_rmdir] = ACTIONS(1859),
    [anon_sym_readdir] = ACTIONS(1859),
    [anon_sym_readline] = ACTIONS(1859),
    [anon_sym_readpipe] = ACTIONS(1859),
    [anon_sym_rewinddir] = ACTIONS(1859),
    [anon_sym_readlink] = ACTIONS(1859),
    [anon_sym_ref] = ACTIONS(1859),
    [anon_sym_scalar] = ACTIONS(1859),
    [anon_sym_shift] = ACTIONS(1859),
    [anon_sym_sin] = ACTIONS(1859),
    [anon_sym_sleep] = ACTIONS(1859),
    [anon_sym_sqrt] = ACTIONS(1859),
    [anon_sym_srand] = ACTIONS(1859),
    [anon_sym_stat] = ACTIONS(1859),
    [anon_sym_study] = ACTIONS(1859),
    [anon_sym_tell] = ACTIONS(1859),
    [anon_sym_telldir] = ACTIONS(1859),
    [anon_sym_tied] = ACTIONS(1859),
    [anon_sym_uc] = ACTIONS(1859),
    [anon_sym_ucfirst] = ACTIONS(1859),
    [anon_sym_untie] = ACTIONS(1859),
    [anon_sym_umask] = ACTIONS(1859),
    [anon_sym_values] = ACTIONS(1859),
    [anon_sym_write] = ACTIONS(1859),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1859),
    [anon_sym_qq] = ACTIONS(1859),
    [anon_sym_qw] = ACTIONS(1859),
    [anon_sym_qx] = ACTIONS(1859),
    [anon_sym_qr] = ACTIONS(1859),
    [anon_sym_m] = ACTIONS(1859),
    [anon_sym_s] = ACTIONS(1859),
    [anon_sym_tr] = ACTIONS(1859),
    [anon_sym_y] = ACTIONS(1859),
    [aux_sym__bareword_token1] = ACTIONS(1859),
    [sym_number] = ACTIONS(1859),
    [anon_sym_true] = ACTIONS(1859),
    [anon_sym_false] = ACTIONS(1859),
    [sym__single_quote] = ACTIONS(1861),
    [sym__double_quote] = ACTIONS(1861),
    [sym__backtick_quote] = ACTIONS(1861),
    [sym__search_slash_quote] = ACTIONS(1861),
    [sym__no_search_slash_plz] = ACTIONS(1861),
    [sym__open_readline_bracket] = ACTIONS(1861),
    [sym__open_fileglob_bracket] = ACTIONS(1861),
    [sym__PERLY_SEMICOLON] = ACTIONS(1861),
    [sym__PERLY_HEREDOC] = ACTIONS(1861),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1861),
    [sym__filetest] = ACTIONS(1861),
  },
  [850] = {
    [sym_heredoc_content] = STATE(850),
    [sym__identifier] = ACTIONS(1863),
    [anon_sym_LBRACE] = ACTIONS(1863),
    [anon_sym_SEMI] = ACTIONS(1863),
    [anon_sym_DOLLAR] = ACTIONS(1863),
    [anon_sym_EQ] = ACTIONS(1863),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1863),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1863),
    [anon_sym_AT] = ACTIONS(1863),
    [anon_sym_COMMA] = ACTIONS(1863),
    [anon_sym_my] = ACTIONS(1863),
    [anon_sym_extended] = ACTIONS(1863),
    [anon_sym_async] = ACTIONS(1863),
    [anon_sym_sub] = ACTIONS(1863),
    [anon_sym_method] = ACTIONS(1863),
    [anon_sym_LPAREN] = ACTIONS(1863),
    [anon_sym_continue] = ACTIONS(1863),
    [anon_sym_state] = ACTIONS(1863),
    [anon_sym_our] = ACTIONS(1863),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1863),
    [anon_sym_LBRACK] = ACTIONS(1863),
    [anon_sym_DASH_GT] = ACTIONS(1863),
    [anon_sym_PERCENT] = ACTIONS(1863),
    [anon_sym_GT] = ACTIONS(1863),
    [anon_sym_LT_LT] = ACTIONS(1863),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1863),
    [anon_sym_PLUS_EQ] = ACTIONS(1863),
    [anon_sym_DASH_EQ] = ACTIONS(1863),
    [anon_sym_DOT_EQ] = ACTIONS(1863),
    [anon_sym_STAR_EQ] = ACTIONS(1863),
    [anon_sym_SLASH_EQ] = ACTIONS(1863),
    [anon_sym_PERCENT_EQ] = ACTIONS(1863),
    [anon_sym_x_EQ] = ACTIONS(1863),
    [anon_sym_AMP_EQ] = ACTIONS(1863),
    [anon_sym_PIPE_EQ] = ACTIONS(1863),
    [anon_sym_CARET_EQ] = ACTIONS(1863),
    [anon_sym_LT_LT_EQ] = ACTIONS(1863),
    [anon_sym_GT_GT_EQ] = ACTIONS(1863),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1863),
    [anon_sym_DOT_DOT] = ACTIONS(1863),
    [anon_sym_STAR_STAR] = ACTIONS(1863),
    [anon_sym_PIPE_PIPE] = ACTIONS(1863),
    [anon_sym_SLASH_SLASH] = ACTIONS(1863),
    [anon_sym_CARET_CARET] = ACTIONS(1863),
    [anon_sym_AMP_AMP] = ACTIONS(1863),
    [anon_sym_PIPE] = ACTIONS(1863),
    [anon_sym_CARET] = ACTIONS(1863),
    [anon_sym_AMP] = ACTIONS(1863),
    [anon_sym_GT_GT2] = ACTIONS(1863),
    [anon_sym_PLUS] = ACTIONS(1863),
    [anon_sym_DASH] = ACTIONS(1863),
    [anon_sym_DOT] = ACTIONS(1863),
    [anon_sym_STAR] = ACTIONS(1863),
    [anon_sym_SLASH] = ACTIONS(1863),
    [anon_sym_x] = ACTIONS(1863),
    [anon_sym_EQ_TILDE] = ACTIONS(1863),
    [anon_sym_BANG_TILDE] = ACTIONS(1863),
    [anon_sym_EQ_EQ] = ACTIONS(1863),
    [anon_sym_BANG_EQ] = ACTIONS(1863),
    [anon_sym_eq] = ACTIONS(1863),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1863),
    [anon_sym_equ] = ACTIONS(1863),
    [anon_sym_eqr] = ACTIONS(1863),
    [anon_sym_ne] = ACTIONS(1863),
    [anon_sym_LT_EQ_GT] = ACTIONS(1863),
    [anon_sym_cmp] = ACTIONS(1863),
    [anon_sym_TILDE_TILDE] = ACTIONS(1863),
    [anon_sym_LT] = ACTIONS(1863),
    [anon_sym_LT_EQ] = ACTIONS(1863),
    [anon_sym_GT_EQ] = ACTIONS(1863),
    [anon_sym_lt] = ACTIONS(1863),
    [anon_sym_le] = ACTIONS(1863),
    [anon_sym_ge] = ACTIONS(1863),
    [anon_sym_gt] = ACTIONS(1863),
    [anon_sym_isa] = ACTIONS(1863),
    [anon_sym_TILDE] = ACTIONS(1863),
    [anon_sym_BANG] = ACTIONS(1863),
    [anon_sym_PLUS_PLUS] = ACTIONS(1863),
    [anon_sym_DASH_DASH] = ACTIONS(1863),
    [anon_sym_QMARK] = ACTIONS(1863),
    [anon_sym_BSLASH] = ACTIONS(1865),
    [anon_sym_do] = ACTIONS(1863),
    [anon_sym_eval] = ACTIONS(1863),
    [anon_sym_await] = ACTIONS(1863),
    [anon_sym_field] = ACTIONS(1863),
    [anon_sym_local] = ACTIONS(1863),
    [anon_sym_dynamically] = ACTIONS(1863),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1863),
    [anon_sym_require] = ACTIONS(1863),
    [anon_sym_map] = ACTIONS(1863),
    [anon_sym_grep] = ACTIONS(1863),
    [anon_sym_sort] = ACTIONS(1863),
    [anon_sym_goto] = ACTIONS(1863),
    [anon_sym_return] = ACTIONS(1863),
    [anon_sym_undef] = ACTIONS(1863),
    [anon_sym_PERCENT2] = ACTIONS(1863),
    [anon_sym_AMP2] = ACTIONS(1863),
    [anon_sym_STAR2] = ACTIONS(1863),
    [anon_sym_EQ_GT] = ACTIONS(1863),
    [anon_sym_last] = ACTIONS(1863),
    [anon_sym_next] = ACTIONS(1863),
    [anon_sym_redo] = ACTIONS(1863),
    [anon_sym___FILE__] = ACTIONS(1863),
    [anon_sym___LINE__] = ACTIONS(1863),
    [anon_sym___PACKAGE__] = ACTIONS(1863),
    [anon_sym___SUB__] = ACTIONS(1863),
    [anon_sym_break] = ACTIONS(1863),
    [anon_sym_fork] = ACTIONS(1863),
    [anon_sym_getppid] = ACTIONS(1863),
    [anon_sym_time] = ACTIONS(1863),
    [anon_sym_times] = ACTIONS(1863),
    [anon_sym_wait] = ACTIONS(1863),
    [anon_sym_wantarray] = ACTIONS(1863),
    [anon_sym_abs] = ACTIONS(1863),
    [anon_sym_alarm] = ACTIONS(1863),
    [anon_sym_chop] = ACTIONS(1863),
    [anon_sym_chdir] = ACTIONS(1863),
    [anon_sym_close] = ACTIONS(1863),
    [anon_sym_closedir] = ACTIONS(1863),
    [anon_sym_caller] = ACTIONS(1863),
    [anon_sym_chomp] = ACTIONS(1863),
    [anon_sym_chr] = ACTIONS(1863),
    [anon_sym_cos] = ACTIONS(1863),
    [anon_sym_chroot] = ACTIONS(1863),
    [anon_sym_defined] = ACTIONS(1863),
    [anon_sym_delete] = ACTIONS(1863),
    [anon_sym_dbmclose] = ACTIONS(1863),
    [anon_sym_exists] = ACTIONS(1863),
    [anon_sym_exit] = ACTIONS(1863),
    [anon_sym_eof] = ACTIONS(1863),
    [anon_sym_exp] = ACTIONS(1863),
    [anon_sym_each] = ACTIONS(1863),
    [anon_sym_fc] = ACTIONS(1863),
    [anon_sym_fileno] = ACTIONS(1863),
    [anon_sym_gmtime] = ACTIONS(1863),
    [anon_sym_getc] = ACTIONS(1863),
    [anon_sym_getpgrp] = ACTIONS(1863),
    [anon_sym_getprotobyname] = ACTIONS(1863),
    [anon_sym_getpwname] = ACTIONS(1863),
    [anon_sym_getpwuid] = ACTIONS(1863),
    [anon_sym_getpeername] = ACTIONS(1863),
    [anon_sym_getnetbyname] = ACTIONS(1863),
    [anon_sym_getsockname] = ACTIONS(1863),
    [anon_sym_getgrnam] = ACTIONS(1863),
    [anon_sym_getgrgid] = ACTIONS(1863),
    [anon_sym_hex] = ACTIONS(1863),
    [anon_sym_int] = ACTIONS(1863),
    [anon_sym_keys] = ACTIONS(1863),
    [anon_sym_lc] = ACTIONS(1863),
    [anon_sym_lcfirst] = ACTIONS(1863),
    [anon_sym_length] = ACTIONS(1863),
    [anon_sym_localtime] = ACTIONS(1863),
    [anon_sym_log] = ACTIONS(1863),
    [anon_sym_lock] = ACTIONS(1863),
    [anon_sym_lstat] = ACTIONS(1863),
    [anon_sym_oct] = ACTIONS(1863),
    [anon_sym_ord] = ACTIONS(1863),
    [anon_sym_prototype] = ACTIONS(1863),
    [anon_sym_pop] = ACTIONS(1863),
    [anon_sym_pos] = ACTIONS(1863),
    [anon_sym_quotemeta] = ACTIONS(1863),
    [anon_sym_reset] = ACTIONS(1863),
    [anon_sym_rand] = ACTIONS(1863),
    [anon_sym_rmdir] = ACTIONS(1863),
    [anon_sym_readdir] = ACTIONS(1863),
    [anon_sym_readline] = ACTIONS(1863),
    [anon_sym_readpipe] = ACTIONS(1863),
    [anon_sym_rewinddir] = ACTIONS(1863),
    [anon_sym_readlink] = ACTIONS(1863),
    [anon_sym_ref] = ACTIONS(1863),
    [anon_sym_scalar] = ACTIONS(1863),
    [anon_sym_shift] = ACTIONS(1863),
    [anon_sym_sin] = ACTIONS(1863),
    [anon_sym_sleep] = ACTIONS(1863),
    [anon_sym_sqrt] = ACTIONS(1863),
    [anon_sym_srand] = ACTIONS(1863),
    [anon_sym_stat] = ACTIONS(1863),
    [anon_sym_study] = ACTIONS(1863),
    [anon_sym_tell] = ACTIONS(1863),
    [anon_sym_telldir] = ACTIONS(1863),
    [anon_sym_tied] = ACTIONS(1863),
    [anon_sym_uc] = ACTIONS(1863),
    [anon_sym_ucfirst] = ACTIONS(1863),
    [anon_sym_untie] = ACTIONS(1863),
    [anon_sym_umask] = ACTIONS(1863),
    [anon_sym_values] = ACTIONS(1863),
    [anon_sym_write] = ACTIONS(1863),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1863),
    [anon_sym_qq] = ACTIONS(1863),
    [anon_sym_qw] = ACTIONS(1863),
    [anon_sym_qx] = ACTIONS(1863),
    [anon_sym_qr] = ACTIONS(1863),
    [anon_sym_m] = ACTIONS(1863),
    [anon_sym_s] = ACTIONS(1863),
    [anon_sym_tr] = ACTIONS(1863),
    [anon_sym_y] = ACTIONS(1863),
    [aux_sym__bareword_token1] = ACTIONS(1863),
    [sym_number] = ACTIONS(1863),
    [anon_sym_true] = ACTIONS(1863),
    [anon_sym_false] = ACTIONS(1863),
    [sym__single_quote] = ACTIONS(1865),
    [sym__double_quote] = ACTIONS(1865),
    [sym__backtick_quote] = ACTIONS(1865),
    [sym__search_slash_quote] = ACTIONS(1865),
    [sym__no_search_slash_plz] = ACTIONS(1865),
    [sym__open_readline_bracket] = ACTIONS(1865),
    [sym__open_fileglob_bracket] = ACTIONS(1865),
    [sym__PERLY_SEMICOLON] = ACTIONS(1865),
    [sym__PERLY_HEREDOC] = ACTIONS(1865),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1865),
    [sym__filetest] = ACTIONS(1865),
  },
  [851] = {
    [sym_heredoc_content] = STATE(851),
    [sym__identifier] = ACTIONS(1661),
    [anon_sym_LBRACE] = ACTIONS(1661),
    [anon_sym_RBRACE] = ACTIONS(1661),
    [anon_sym_COLON] = ACTIONS(1661),
    [anon_sym_DOLLAR] = ACTIONS(1661),
    [anon_sym_EQ] = ACTIONS(1661),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1661),
    [anon_sym_AT] = ACTIONS(1661),
    [anon_sym_COMMA] = ACTIONS(1661),
    [anon_sym_RPAREN] = ACTIONS(1661),
    [anon_sym_my] = ACTIONS(1661),
    [anon_sym_extended] = ACTIONS(1661),
    [anon_sym_async] = ACTIONS(1661),
    [anon_sym_sub] = ACTIONS(1661),
    [anon_sym_method] = ACTIONS(1661),
    [anon_sym_LPAREN] = ACTIONS(1661),
    [anon_sym_continue] = ACTIONS(1661),
    [anon_sym_state] = ACTIONS(1661),
    [anon_sym_our] = ACTIONS(1661),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1661),
    [anon_sym_LBRACK] = ACTIONS(1661),
    [anon_sym_DASH_GT] = ACTIONS(1661),
    [anon_sym_PERCENT] = ACTIONS(1661),
    [anon_sym_GT] = ACTIONS(1661),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1661),
    [anon_sym_PLUS_EQ] = ACTIONS(1661),
    [anon_sym_DASH_EQ] = ACTIONS(1661),
    [anon_sym_DOT_EQ] = ACTIONS(1661),
    [anon_sym_STAR_EQ] = ACTIONS(1661),
    [anon_sym_SLASH_EQ] = ACTIONS(1661),
    [anon_sym_PERCENT_EQ] = ACTIONS(1661),
    [anon_sym_x_EQ] = ACTIONS(1661),
    [anon_sym_AMP_EQ] = ACTIONS(1661),
    [anon_sym_PIPE_EQ] = ACTIONS(1661),
    [anon_sym_CARET_EQ] = ACTIONS(1661),
    [anon_sym_LT_LT_EQ] = ACTIONS(1661),
    [anon_sym_GT_GT_EQ] = ACTIONS(1661),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1661),
    [anon_sym_DOT_DOT] = ACTIONS(1661),
    [anon_sym_STAR_STAR] = ACTIONS(1661),
    [anon_sym_PIPE_PIPE] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1661),
    [anon_sym_CARET_CARET] = ACTIONS(1661),
    [anon_sym_AMP_AMP] = ACTIONS(1661),
    [anon_sym_PIPE] = ACTIONS(1661),
    [anon_sym_CARET] = ACTIONS(1661),
    [anon_sym_AMP] = ACTIONS(1661),
    [anon_sym_GT_GT2] = ACTIONS(1661),
    [anon_sym_PLUS] = ACTIONS(1661),
    [anon_sym_DASH] = ACTIONS(1661),
    [anon_sym_DOT] = ACTIONS(1661),
    [anon_sym_STAR] = ACTIONS(1661),
    [anon_sym_SLASH] = ACTIONS(1661),
    [anon_sym_x] = ACTIONS(1661),
    [anon_sym_EQ_TILDE] = ACTIONS(1661),
    [anon_sym_BANG_TILDE] = ACTIONS(1661),
    [anon_sym_EQ_EQ] = ACTIONS(1661),
    [anon_sym_BANG_EQ] = ACTIONS(1661),
    [anon_sym_eq] = ACTIONS(1661),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1661),
    [anon_sym_equ] = ACTIONS(1661),
    [anon_sym_eqr] = ACTIONS(1661),
    [anon_sym_ne] = ACTIONS(1661),
    [anon_sym_LT_EQ_GT] = ACTIONS(1661),
    [anon_sym_cmp] = ACTIONS(1661),
    [anon_sym_TILDE_TILDE] = ACTIONS(1661),
    [anon_sym_LT] = ACTIONS(1661),
    [anon_sym_LT_EQ] = ACTIONS(1661),
    [anon_sym_GT_EQ] = ACTIONS(1661),
    [anon_sym_lt] = ACTIONS(1661),
    [anon_sym_le] = ACTIONS(1661),
    [anon_sym_ge] = ACTIONS(1661),
    [anon_sym_gt] = ACTIONS(1661),
    [anon_sym_isa] = ACTIONS(1661),
    [anon_sym_TILDE] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1661),
    [anon_sym_PLUS_PLUS] = ACTIONS(1661),
    [anon_sym_DASH_DASH] = ACTIONS(1661),
    [anon_sym_QMARK] = ACTIONS(1661),
    [anon_sym_BSLASH] = ACTIONS(1659),
    [anon_sym_do] = ACTIONS(1661),
    [anon_sym_eval] = ACTIONS(1661),
    [anon_sym_await] = ACTIONS(1661),
    [anon_sym_field] = ACTIONS(1661),
    [anon_sym_local] = ACTIONS(1661),
    [anon_sym_dynamically] = ACTIONS(1661),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1661),
    [anon_sym_require] = ACTIONS(1661),
    [anon_sym_map] = ACTIONS(1661),
    [anon_sym_grep] = ACTIONS(1661),
    [anon_sym_sort] = ACTIONS(1661),
    [anon_sym_goto] = ACTIONS(1661),
    [anon_sym_return] = ACTIONS(1661),
    [anon_sym_undef] = ACTIONS(1661),
    [anon_sym_PERCENT2] = ACTIONS(1661),
    [anon_sym_AMP2] = ACTIONS(1661),
    [anon_sym_STAR2] = ACTIONS(1661),
    [anon_sym_EQ_GT] = ACTIONS(1661),
    [anon_sym_last] = ACTIONS(1661),
    [anon_sym_next] = ACTIONS(1661),
    [anon_sym_redo] = ACTIONS(1661),
    [anon_sym___FILE__] = ACTIONS(1661),
    [anon_sym___LINE__] = ACTIONS(1661),
    [anon_sym___PACKAGE__] = ACTIONS(1661),
    [anon_sym___SUB__] = ACTIONS(1661),
    [anon_sym_break] = ACTIONS(1661),
    [anon_sym_fork] = ACTIONS(1661),
    [anon_sym_getppid] = ACTIONS(1661),
    [anon_sym_time] = ACTIONS(1661),
    [anon_sym_times] = ACTIONS(1661),
    [anon_sym_wait] = ACTIONS(1661),
    [anon_sym_wantarray] = ACTIONS(1661),
    [anon_sym_abs] = ACTIONS(1661),
    [anon_sym_alarm] = ACTIONS(1661),
    [anon_sym_chop] = ACTIONS(1661),
    [anon_sym_chdir] = ACTIONS(1661),
    [anon_sym_close] = ACTIONS(1661),
    [anon_sym_closedir] = ACTIONS(1661),
    [anon_sym_caller] = ACTIONS(1661),
    [anon_sym_chomp] = ACTIONS(1661),
    [anon_sym_chr] = ACTIONS(1661),
    [anon_sym_cos] = ACTIONS(1661),
    [anon_sym_chroot] = ACTIONS(1661),
    [anon_sym_defined] = ACTIONS(1661),
    [anon_sym_delete] = ACTIONS(1661),
    [anon_sym_dbmclose] = ACTIONS(1661),
    [anon_sym_exists] = ACTIONS(1661),
    [anon_sym_exit] = ACTIONS(1661),
    [anon_sym_eof] = ACTIONS(1661),
    [anon_sym_exp] = ACTIONS(1661),
    [anon_sym_each] = ACTIONS(1661),
    [anon_sym_fc] = ACTIONS(1661),
    [anon_sym_fileno] = ACTIONS(1661),
    [anon_sym_gmtime] = ACTIONS(1661),
    [anon_sym_getc] = ACTIONS(1661),
    [anon_sym_getpgrp] = ACTIONS(1661),
    [anon_sym_getprotobyname] = ACTIONS(1661),
    [anon_sym_getpwname] = ACTIONS(1661),
    [anon_sym_getpwuid] = ACTIONS(1661),
    [anon_sym_getpeername] = ACTIONS(1661),
    [anon_sym_getnetbyname] = ACTIONS(1661),
    [anon_sym_getsockname] = ACTIONS(1661),
    [anon_sym_getgrnam] = ACTIONS(1661),
    [anon_sym_getgrgid] = ACTIONS(1661),
    [anon_sym_hex] = ACTIONS(1661),
    [anon_sym_int] = ACTIONS(1661),
    [anon_sym_keys] = ACTIONS(1661),
    [anon_sym_lc] = ACTIONS(1661),
    [anon_sym_lcfirst] = ACTIONS(1661),
    [anon_sym_length] = ACTIONS(1661),
    [anon_sym_localtime] = ACTIONS(1661),
    [anon_sym_log] = ACTIONS(1661),
    [anon_sym_lock] = ACTIONS(1661),
    [anon_sym_lstat] = ACTIONS(1661),
    [anon_sym_oct] = ACTIONS(1661),
    [anon_sym_ord] = ACTIONS(1661),
    [anon_sym_prototype] = ACTIONS(1661),
    [anon_sym_pop] = ACTIONS(1661),
    [anon_sym_pos] = ACTIONS(1661),
    [anon_sym_quotemeta] = ACTIONS(1661),
    [anon_sym_reset] = ACTIONS(1661),
    [anon_sym_rand] = ACTIONS(1661),
    [anon_sym_rmdir] = ACTIONS(1661),
    [anon_sym_readdir] = ACTIONS(1661),
    [anon_sym_readline] = ACTIONS(1661),
    [anon_sym_readpipe] = ACTIONS(1661),
    [anon_sym_rewinddir] = ACTIONS(1661),
    [anon_sym_readlink] = ACTIONS(1661),
    [anon_sym_ref] = ACTIONS(1661),
    [anon_sym_scalar] = ACTIONS(1661),
    [anon_sym_shift] = ACTIONS(1661),
    [anon_sym_sin] = ACTIONS(1661),
    [anon_sym_sleep] = ACTIONS(1661),
    [anon_sym_sqrt] = ACTIONS(1661),
    [anon_sym_srand] = ACTIONS(1661),
    [anon_sym_stat] = ACTIONS(1661),
    [anon_sym_study] = ACTIONS(1661),
    [anon_sym_tell] = ACTIONS(1661),
    [anon_sym_telldir] = ACTIONS(1661),
    [anon_sym_tied] = ACTIONS(1661),
    [anon_sym_uc] = ACTIONS(1661),
    [anon_sym_ucfirst] = ACTIONS(1661),
    [anon_sym_untie] = ACTIONS(1661),
    [anon_sym_umask] = ACTIONS(1661),
    [anon_sym_values] = ACTIONS(1661),
    [anon_sym_write] = ACTIONS(1661),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1661),
    [anon_sym_qq] = ACTIONS(1661),
    [anon_sym_qw] = ACTIONS(1661),
    [anon_sym_qx] = ACTIONS(1661),
    [anon_sym_qr] = ACTIONS(1661),
    [anon_sym_m] = ACTIONS(1661),
    [anon_sym_s] = ACTIONS(1661),
    [anon_sym_tr] = ACTIONS(1661),
    [anon_sym_y] = ACTIONS(1661),
    [aux_sym__bareword_token1] = ACTIONS(1661),
    [sym_number] = ACTIONS(1661),
    [anon_sym_true] = ACTIONS(1661),
    [anon_sym_false] = ACTIONS(1661),
    [sym__single_quote] = ACTIONS(1659),
    [sym__double_quote] = ACTIONS(1659),
    [sym__backtick_quote] = ACTIONS(1659),
    [sym__search_slash_quote] = ACTIONS(1659),
    [sym__open_readline_bracket] = ACTIONS(1659),
    [sym__open_fileglob_bracket] = ACTIONS(1659),
    [sym__PERLY_HEREDOC] = ACTIONS(1659),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1659),
    [sym__filetest] = ACTIONS(1659),
  },
  [852] = {
    [sym_heredoc_content] = STATE(852),
    [sym__identifier] = ACTIONS(1851),
    [anon_sym_LBRACE] = ACTIONS(1851),
    [anon_sym_SEMI] = ACTIONS(1851),
    [anon_sym_DOLLAR] = ACTIONS(1851),
    [anon_sym_EQ] = ACTIONS(1851),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1851),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(1851),
    [anon_sym_COMMA] = ACTIONS(1851),
    [anon_sym_my] = ACTIONS(1851),
    [anon_sym_extended] = ACTIONS(1851),
    [anon_sym_async] = ACTIONS(1851),
    [anon_sym_sub] = ACTIONS(1851),
    [anon_sym_method] = ACTIONS(1851),
    [anon_sym_LPAREN] = ACTIONS(1851),
    [anon_sym_continue] = ACTIONS(1851),
    [anon_sym_state] = ACTIONS(1851),
    [anon_sym_our] = ACTIONS(1851),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1851),
    [anon_sym_LBRACK] = ACTIONS(1851),
    [anon_sym_DASH_GT] = ACTIONS(1851),
    [anon_sym_PERCENT] = ACTIONS(1851),
    [anon_sym_GT] = ACTIONS(1851),
    [anon_sym_LT_LT] = ACTIONS(1851),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1851),
    [anon_sym_PLUS_EQ] = ACTIONS(1851),
    [anon_sym_DASH_EQ] = ACTIONS(1851),
    [anon_sym_DOT_EQ] = ACTIONS(1851),
    [anon_sym_STAR_EQ] = ACTIONS(1851),
    [anon_sym_SLASH_EQ] = ACTIONS(1851),
    [anon_sym_PERCENT_EQ] = ACTIONS(1851),
    [anon_sym_x_EQ] = ACTIONS(1851),
    [anon_sym_AMP_EQ] = ACTIONS(1851),
    [anon_sym_PIPE_EQ] = ACTIONS(1851),
    [anon_sym_CARET_EQ] = ACTIONS(1851),
    [anon_sym_LT_LT_EQ] = ACTIONS(1851),
    [anon_sym_GT_GT_EQ] = ACTIONS(1851),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1851),
    [anon_sym_DOT_DOT] = ACTIONS(1851),
    [anon_sym_STAR_STAR] = ACTIONS(1851),
    [anon_sym_PIPE_PIPE] = ACTIONS(1851),
    [anon_sym_SLASH_SLASH] = ACTIONS(1851),
    [anon_sym_CARET_CARET] = ACTIONS(1851),
    [anon_sym_AMP_AMP] = ACTIONS(1851),
    [anon_sym_PIPE] = ACTIONS(1851),
    [anon_sym_CARET] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym_GT_GT2] = ACTIONS(1851),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_DOT] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_SLASH] = ACTIONS(1851),
    [anon_sym_x] = ACTIONS(1851),
    [anon_sym_EQ_TILDE] = ACTIONS(1851),
    [anon_sym_BANG_TILDE] = ACTIONS(1851),
    [anon_sym_EQ_EQ] = ACTIONS(1851),
    [anon_sym_BANG_EQ] = ACTIONS(1851),
    [anon_sym_eq] = ACTIONS(1851),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1851),
    [anon_sym_equ] = ACTIONS(1851),
    [anon_sym_eqr] = ACTIONS(1851),
    [anon_sym_ne] = ACTIONS(1851),
    [anon_sym_LT_EQ_GT] = ACTIONS(1851),
    [anon_sym_cmp] = ACTIONS(1851),
    [anon_sym_TILDE_TILDE] = ACTIONS(1851),
    [anon_sym_LT] = ACTIONS(1851),
    [anon_sym_LT_EQ] = ACTIONS(1851),
    [anon_sym_GT_EQ] = ACTIONS(1851),
    [anon_sym_lt] = ACTIONS(1851),
    [anon_sym_le] = ACTIONS(1851),
    [anon_sym_ge] = ACTIONS(1851),
    [anon_sym_gt] = ACTIONS(1851),
    [anon_sym_isa] = ACTIONS(1851),
    [anon_sym_TILDE] = ACTIONS(1851),
    [anon_sym_BANG] = ACTIONS(1851),
    [anon_sym_PLUS_PLUS] = ACTIONS(1851),
    [anon_sym_DASH_DASH] = ACTIONS(1851),
    [anon_sym_QMARK] = ACTIONS(1851),
    [anon_sym_BSLASH] = ACTIONS(1853),
    [anon_sym_do] = ACTIONS(1851),
    [anon_sym_eval] = ACTIONS(1851),
    [anon_sym_await] = ACTIONS(1851),
    [anon_sym_field] = ACTIONS(1851),
    [anon_sym_local] = ACTIONS(1851),
    [anon_sym_dynamically] = ACTIONS(1851),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1851),
    [anon_sym_require] = ACTIONS(1851),
    [anon_sym_map] = ACTIONS(1851),
    [anon_sym_grep] = ACTIONS(1851),
    [anon_sym_sort] = ACTIONS(1851),
    [anon_sym_goto] = ACTIONS(1851),
    [anon_sym_return] = ACTIONS(1851),
    [anon_sym_undef] = ACTIONS(1851),
    [anon_sym_PERCENT2] = ACTIONS(1851),
    [anon_sym_AMP2] = ACTIONS(1851),
    [anon_sym_STAR2] = ACTIONS(1851),
    [anon_sym_EQ_GT] = ACTIONS(1851),
    [anon_sym_last] = ACTIONS(1851),
    [anon_sym_next] = ACTIONS(1851),
    [anon_sym_redo] = ACTIONS(1851),
    [anon_sym___FILE__] = ACTIONS(1851),
    [anon_sym___LINE__] = ACTIONS(1851),
    [anon_sym___PACKAGE__] = ACTIONS(1851),
    [anon_sym___SUB__] = ACTIONS(1851),
    [anon_sym_break] = ACTIONS(1851),
    [anon_sym_fork] = ACTIONS(1851),
    [anon_sym_getppid] = ACTIONS(1851),
    [anon_sym_time] = ACTIONS(1851),
    [anon_sym_times] = ACTIONS(1851),
    [anon_sym_wait] = ACTIONS(1851),
    [anon_sym_wantarray] = ACTIONS(1851),
    [anon_sym_abs] = ACTIONS(1851),
    [anon_sym_alarm] = ACTIONS(1851),
    [anon_sym_chop] = ACTIONS(1851),
    [anon_sym_chdir] = ACTIONS(1851),
    [anon_sym_close] = ACTIONS(1851),
    [anon_sym_closedir] = ACTIONS(1851),
    [anon_sym_caller] = ACTIONS(1851),
    [anon_sym_chomp] = ACTIONS(1851),
    [anon_sym_chr] = ACTIONS(1851),
    [anon_sym_cos] = ACTIONS(1851),
    [anon_sym_chroot] = ACTIONS(1851),
    [anon_sym_defined] = ACTIONS(1851),
    [anon_sym_delete] = ACTIONS(1851),
    [anon_sym_dbmclose] = ACTIONS(1851),
    [anon_sym_exists] = ACTIONS(1851),
    [anon_sym_exit] = ACTIONS(1851),
    [anon_sym_eof] = ACTIONS(1851),
    [anon_sym_exp] = ACTIONS(1851),
    [anon_sym_each] = ACTIONS(1851),
    [anon_sym_fc] = ACTIONS(1851),
    [anon_sym_fileno] = ACTIONS(1851),
    [anon_sym_gmtime] = ACTIONS(1851),
    [anon_sym_getc] = ACTIONS(1851),
    [anon_sym_getpgrp] = ACTIONS(1851),
    [anon_sym_getprotobyname] = ACTIONS(1851),
    [anon_sym_getpwname] = ACTIONS(1851),
    [anon_sym_getpwuid] = ACTIONS(1851),
    [anon_sym_getpeername] = ACTIONS(1851),
    [anon_sym_getnetbyname] = ACTIONS(1851),
    [anon_sym_getsockname] = ACTIONS(1851),
    [anon_sym_getgrnam] = ACTIONS(1851),
    [anon_sym_getgrgid] = ACTIONS(1851),
    [anon_sym_hex] = ACTIONS(1851),
    [anon_sym_int] = ACTIONS(1851),
    [anon_sym_keys] = ACTIONS(1851),
    [anon_sym_lc] = ACTIONS(1851),
    [anon_sym_lcfirst] = ACTIONS(1851),
    [anon_sym_length] = ACTIONS(1851),
    [anon_sym_localtime] = ACTIONS(1851),
    [anon_sym_log] = ACTIONS(1851),
    [anon_sym_lock] = ACTIONS(1851),
    [anon_sym_lstat] = ACTIONS(1851),
    [anon_sym_oct] = ACTIONS(1851),
    [anon_sym_ord] = ACTIONS(1851),
    [anon_sym_prototype] = ACTIONS(1851),
    [anon_sym_pop] = ACTIONS(1851),
    [anon_sym_pos] = ACTIONS(1851),
    [anon_sym_quotemeta] = ACTIONS(1851),
    [anon_sym_reset] = ACTIONS(1851),
    [anon_sym_rand] = ACTIONS(1851),
    [anon_sym_rmdir] = ACTIONS(1851),
    [anon_sym_readdir] = ACTIONS(1851),
    [anon_sym_readline] = ACTIONS(1851),
    [anon_sym_readpipe] = ACTIONS(1851),
    [anon_sym_rewinddir] = ACTIONS(1851),
    [anon_sym_readlink] = ACTIONS(1851),
    [anon_sym_ref] = ACTIONS(1851),
    [anon_sym_scalar] = ACTIONS(1851),
    [anon_sym_shift] = ACTIONS(1851),
    [anon_sym_sin] = ACTIONS(1851),
    [anon_sym_sleep] = ACTIONS(1851),
    [anon_sym_sqrt] = ACTIONS(1851),
    [anon_sym_srand] = ACTIONS(1851),
    [anon_sym_stat] = ACTIONS(1851),
    [anon_sym_study] = ACTIONS(1851),
    [anon_sym_tell] = ACTIONS(1851),
    [anon_sym_telldir] = ACTIONS(1851),
    [anon_sym_tied] = ACTIONS(1851),
    [anon_sym_uc] = ACTIONS(1851),
    [anon_sym_ucfirst] = ACTIONS(1851),
    [anon_sym_untie] = ACTIONS(1851),
    [anon_sym_umask] = ACTIONS(1851),
    [anon_sym_values] = ACTIONS(1851),
    [anon_sym_write] = ACTIONS(1851),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1851),
    [anon_sym_qq] = ACTIONS(1851),
    [anon_sym_qw] = ACTIONS(1851),
    [anon_sym_qx] = ACTIONS(1851),
    [anon_sym_qr] = ACTIONS(1851),
    [anon_sym_m] = ACTIONS(1851),
    [anon_sym_s] = ACTIONS(1851),
    [anon_sym_tr] = ACTIONS(1851),
    [anon_sym_y] = ACTIONS(1851),
    [aux_sym__bareword_token1] = ACTIONS(1851),
    [sym_number] = ACTIONS(1851),
    [anon_sym_true] = ACTIONS(1851),
    [anon_sym_false] = ACTIONS(1851),
    [sym__single_quote] = ACTIONS(1853),
    [sym__double_quote] = ACTIONS(1853),
    [sym__backtick_quote] = ACTIONS(1853),
    [sym__search_slash_quote] = ACTIONS(1853),
    [sym__no_search_slash_plz] = ACTIONS(1853),
    [sym__open_readline_bracket] = ACTIONS(1853),
    [sym__open_fileglob_bracket] = ACTIONS(1853),
    [sym__PERLY_SEMICOLON] = ACTIONS(1853),
    [sym__PERLY_HEREDOC] = ACTIONS(1853),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1853),
    [sym__filetest] = ACTIONS(1853),
  },
  [853] = {
    [sym_heredoc_content] = STATE(853),
    [sym__identifier] = ACTIONS(1828),
    [anon_sym_LBRACE] = ACTIONS(1828),
    [anon_sym_SEMI] = ACTIONS(1828),
    [anon_sym_DOLLAR] = ACTIONS(1828),
    [anon_sym_EQ] = ACTIONS(1828),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1828),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1828),
    [anon_sym_AT] = ACTIONS(1828),
    [anon_sym_COMMA] = ACTIONS(1828),
    [anon_sym_my] = ACTIONS(1828),
    [anon_sym_extended] = ACTIONS(1828),
    [anon_sym_async] = ACTIONS(1828),
    [anon_sym_sub] = ACTIONS(1828),
    [anon_sym_method] = ACTIONS(1828),
    [anon_sym_LPAREN] = ACTIONS(1828),
    [anon_sym_continue] = ACTIONS(1828),
    [anon_sym_state] = ACTIONS(1828),
    [anon_sym_our] = ACTIONS(1828),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1828),
    [anon_sym_LBRACK] = ACTIONS(1828),
    [anon_sym_DASH_GT] = ACTIONS(1828),
    [anon_sym_PERCENT] = ACTIONS(1828),
    [anon_sym_GT] = ACTIONS(1828),
    [anon_sym_LT_LT] = ACTIONS(1828),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1828),
    [anon_sym_PLUS_EQ] = ACTIONS(1828),
    [anon_sym_DASH_EQ] = ACTIONS(1828),
    [anon_sym_DOT_EQ] = ACTIONS(1828),
    [anon_sym_STAR_EQ] = ACTIONS(1828),
    [anon_sym_SLASH_EQ] = ACTIONS(1828),
    [anon_sym_PERCENT_EQ] = ACTIONS(1828),
    [anon_sym_x_EQ] = ACTIONS(1828),
    [anon_sym_AMP_EQ] = ACTIONS(1828),
    [anon_sym_PIPE_EQ] = ACTIONS(1828),
    [anon_sym_CARET_EQ] = ACTIONS(1828),
    [anon_sym_LT_LT_EQ] = ACTIONS(1828),
    [anon_sym_GT_GT_EQ] = ACTIONS(1828),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1828),
    [anon_sym_DOT_DOT] = ACTIONS(1828),
    [anon_sym_STAR_STAR] = ACTIONS(1828),
    [anon_sym_PIPE_PIPE] = ACTIONS(1828),
    [anon_sym_SLASH_SLASH] = ACTIONS(1828),
    [anon_sym_CARET_CARET] = ACTIONS(1828),
    [anon_sym_AMP_AMP] = ACTIONS(1828),
    [anon_sym_PIPE] = ACTIONS(1828),
    [anon_sym_CARET] = ACTIONS(1828),
    [anon_sym_AMP] = ACTIONS(1828),
    [anon_sym_GT_GT2] = ACTIONS(1828),
    [anon_sym_PLUS] = ACTIONS(1828),
    [anon_sym_DASH] = ACTIONS(1828),
    [anon_sym_DOT] = ACTIONS(1828),
    [anon_sym_STAR] = ACTIONS(1828),
    [anon_sym_SLASH] = ACTIONS(1828),
    [anon_sym_x] = ACTIONS(1828),
    [anon_sym_EQ_TILDE] = ACTIONS(1828),
    [anon_sym_BANG_TILDE] = ACTIONS(1828),
    [anon_sym_EQ_EQ] = ACTIONS(1828),
    [anon_sym_BANG_EQ] = ACTIONS(1828),
    [anon_sym_eq] = ACTIONS(1828),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1828),
    [anon_sym_equ] = ACTIONS(1828),
    [anon_sym_eqr] = ACTIONS(1828),
    [anon_sym_ne] = ACTIONS(1828),
    [anon_sym_LT_EQ_GT] = ACTIONS(1828),
    [anon_sym_cmp] = ACTIONS(1828),
    [anon_sym_TILDE_TILDE] = ACTIONS(1828),
    [anon_sym_LT] = ACTIONS(1828),
    [anon_sym_LT_EQ] = ACTIONS(1828),
    [anon_sym_GT_EQ] = ACTIONS(1828),
    [anon_sym_lt] = ACTIONS(1828),
    [anon_sym_le] = ACTIONS(1828),
    [anon_sym_ge] = ACTIONS(1828),
    [anon_sym_gt] = ACTIONS(1828),
    [anon_sym_isa] = ACTIONS(1828),
    [anon_sym_TILDE] = ACTIONS(1828),
    [anon_sym_BANG] = ACTIONS(1828),
    [anon_sym_PLUS_PLUS] = ACTIONS(1828),
    [anon_sym_DASH_DASH] = ACTIONS(1828),
    [anon_sym_QMARK] = ACTIONS(1828),
    [anon_sym_BSLASH] = ACTIONS(1832),
    [anon_sym_do] = ACTIONS(1828),
    [anon_sym_eval] = ACTIONS(1828),
    [anon_sym_await] = ACTIONS(1828),
    [anon_sym_field] = ACTIONS(1828),
    [anon_sym_local] = ACTIONS(1828),
    [anon_sym_dynamically] = ACTIONS(1828),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1828),
    [anon_sym_require] = ACTIONS(1828),
    [anon_sym_map] = ACTIONS(1828),
    [anon_sym_grep] = ACTIONS(1828),
    [anon_sym_sort] = ACTIONS(1828),
    [anon_sym_goto] = ACTIONS(1828),
    [anon_sym_return] = ACTIONS(1828),
    [anon_sym_undef] = ACTIONS(1828),
    [anon_sym_PERCENT2] = ACTIONS(1828),
    [anon_sym_AMP2] = ACTIONS(1828),
    [anon_sym_STAR2] = ACTIONS(1828),
    [anon_sym_EQ_GT] = ACTIONS(1828),
    [anon_sym_last] = ACTIONS(1828),
    [anon_sym_next] = ACTIONS(1828),
    [anon_sym_redo] = ACTIONS(1828),
    [anon_sym___FILE__] = ACTIONS(1828),
    [anon_sym___LINE__] = ACTIONS(1828),
    [anon_sym___PACKAGE__] = ACTIONS(1828),
    [anon_sym___SUB__] = ACTIONS(1828),
    [anon_sym_break] = ACTIONS(1828),
    [anon_sym_fork] = ACTIONS(1828),
    [anon_sym_getppid] = ACTIONS(1828),
    [anon_sym_time] = ACTIONS(1828),
    [anon_sym_times] = ACTIONS(1828),
    [anon_sym_wait] = ACTIONS(1828),
    [anon_sym_wantarray] = ACTIONS(1828),
    [anon_sym_abs] = ACTIONS(1828),
    [anon_sym_alarm] = ACTIONS(1828),
    [anon_sym_chop] = ACTIONS(1828),
    [anon_sym_chdir] = ACTIONS(1828),
    [anon_sym_close] = ACTIONS(1828),
    [anon_sym_closedir] = ACTIONS(1828),
    [anon_sym_caller] = ACTIONS(1828),
    [anon_sym_chomp] = ACTIONS(1828),
    [anon_sym_chr] = ACTIONS(1828),
    [anon_sym_cos] = ACTIONS(1828),
    [anon_sym_chroot] = ACTIONS(1828),
    [anon_sym_defined] = ACTIONS(1828),
    [anon_sym_delete] = ACTIONS(1828),
    [anon_sym_dbmclose] = ACTIONS(1828),
    [anon_sym_exists] = ACTIONS(1828),
    [anon_sym_exit] = ACTIONS(1828),
    [anon_sym_eof] = ACTIONS(1828),
    [anon_sym_exp] = ACTIONS(1828),
    [anon_sym_each] = ACTIONS(1828),
    [anon_sym_fc] = ACTIONS(1828),
    [anon_sym_fileno] = ACTIONS(1828),
    [anon_sym_gmtime] = ACTIONS(1828),
    [anon_sym_getc] = ACTIONS(1828),
    [anon_sym_getpgrp] = ACTIONS(1828),
    [anon_sym_getprotobyname] = ACTIONS(1828),
    [anon_sym_getpwname] = ACTIONS(1828),
    [anon_sym_getpwuid] = ACTIONS(1828),
    [anon_sym_getpeername] = ACTIONS(1828),
    [anon_sym_getnetbyname] = ACTIONS(1828),
    [anon_sym_getsockname] = ACTIONS(1828),
    [anon_sym_getgrnam] = ACTIONS(1828),
    [anon_sym_getgrgid] = ACTIONS(1828),
    [anon_sym_hex] = ACTIONS(1828),
    [anon_sym_int] = ACTIONS(1828),
    [anon_sym_keys] = ACTIONS(1828),
    [anon_sym_lc] = ACTIONS(1828),
    [anon_sym_lcfirst] = ACTIONS(1828),
    [anon_sym_length] = ACTIONS(1828),
    [anon_sym_localtime] = ACTIONS(1828),
    [anon_sym_log] = ACTIONS(1828),
    [anon_sym_lock] = ACTIONS(1828),
    [anon_sym_lstat] = ACTIONS(1828),
    [anon_sym_oct] = ACTIONS(1828),
    [anon_sym_ord] = ACTIONS(1828),
    [anon_sym_prototype] = ACTIONS(1828),
    [anon_sym_pop] = ACTIONS(1828),
    [anon_sym_pos] = ACTIONS(1828),
    [anon_sym_quotemeta] = ACTIONS(1828),
    [anon_sym_reset] = ACTIONS(1828),
    [anon_sym_rand] = ACTIONS(1828),
    [anon_sym_rmdir] = ACTIONS(1828),
    [anon_sym_readdir] = ACTIONS(1828),
    [anon_sym_readline] = ACTIONS(1828),
    [anon_sym_readpipe] = ACTIONS(1828),
    [anon_sym_rewinddir] = ACTIONS(1828),
    [anon_sym_readlink] = ACTIONS(1828),
    [anon_sym_ref] = ACTIONS(1828),
    [anon_sym_scalar] = ACTIONS(1828),
    [anon_sym_shift] = ACTIONS(1828),
    [anon_sym_sin] = ACTIONS(1828),
    [anon_sym_sleep] = ACTIONS(1828),
    [anon_sym_sqrt] = ACTIONS(1828),
    [anon_sym_srand] = ACTIONS(1828),
    [anon_sym_stat] = ACTIONS(1828),
    [anon_sym_study] = ACTIONS(1828),
    [anon_sym_tell] = ACTIONS(1828),
    [anon_sym_telldir] = ACTIONS(1828),
    [anon_sym_tied] = ACTIONS(1828),
    [anon_sym_uc] = ACTIONS(1828),
    [anon_sym_ucfirst] = ACTIONS(1828),
    [anon_sym_untie] = ACTIONS(1828),
    [anon_sym_umask] = ACTIONS(1828),
    [anon_sym_values] = ACTIONS(1828),
    [anon_sym_write] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1828),
    [anon_sym_qq] = ACTIONS(1828),
    [anon_sym_qw] = ACTIONS(1828),
    [anon_sym_qx] = ACTIONS(1828),
    [anon_sym_qr] = ACTIONS(1828),
    [anon_sym_m] = ACTIONS(1828),
    [anon_sym_s] = ACTIONS(1828),
    [anon_sym_tr] = ACTIONS(1828),
    [anon_sym_y] = ACTIONS(1828),
    [aux_sym__bareword_token1] = ACTIONS(1828),
    [sym_number] = ACTIONS(1828),
    [anon_sym_true] = ACTIONS(1828),
    [anon_sym_false] = ACTIONS(1828),
    [sym__single_quote] = ACTIONS(1832),
    [sym__double_quote] = ACTIONS(1832),
    [sym__backtick_quote] = ACTIONS(1832),
    [sym__search_slash_quote] = ACTIONS(1832),
    [sym__no_search_slash_plz] = ACTIONS(1832),
    [sym__open_readline_bracket] = ACTIONS(1832),
    [sym__open_fileglob_bracket] = ACTIONS(1832),
    [sym__PERLY_SEMICOLON] = ACTIONS(1832),
    [sym__PERLY_HEREDOC] = ACTIONS(1832),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1832),
    [sym__filetest] = ACTIONS(1832),
  },
  [854] = {
    [sym_heredoc_content] = STATE(854),
    [sym__identifier] = ACTIONS(1855),
    [anon_sym_LBRACE] = ACTIONS(1855),
    [anon_sym_SEMI] = ACTIONS(1855),
    [anon_sym_DOLLAR] = ACTIONS(1855),
    [anon_sym_EQ] = ACTIONS(1855),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1855),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1855),
    [anon_sym_AT] = ACTIONS(1855),
    [anon_sym_COMMA] = ACTIONS(1855),
    [anon_sym_my] = ACTIONS(1855),
    [anon_sym_extended] = ACTIONS(1855),
    [anon_sym_async] = ACTIONS(1855),
    [anon_sym_sub] = ACTIONS(1855),
    [anon_sym_method] = ACTIONS(1855),
    [anon_sym_LPAREN] = ACTIONS(1855),
    [anon_sym_continue] = ACTIONS(1855),
    [anon_sym_state] = ACTIONS(1855),
    [anon_sym_our] = ACTIONS(1855),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1855),
    [anon_sym_LBRACK] = ACTIONS(1855),
    [anon_sym_DASH_GT] = ACTIONS(1855),
    [anon_sym_PERCENT] = ACTIONS(1855),
    [anon_sym_GT] = ACTIONS(1855),
    [anon_sym_LT_LT] = ACTIONS(1855),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1855),
    [anon_sym_PLUS_EQ] = ACTIONS(1855),
    [anon_sym_DASH_EQ] = ACTIONS(1855),
    [anon_sym_DOT_EQ] = ACTIONS(1855),
    [anon_sym_STAR_EQ] = ACTIONS(1855),
    [anon_sym_SLASH_EQ] = ACTIONS(1855),
    [anon_sym_PERCENT_EQ] = ACTIONS(1855),
    [anon_sym_x_EQ] = ACTIONS(1855),
    [anon_sym_AMP_EQ] = ACTIONS(1855),
    [anon_sym_PIPE_EQ] = ACTIONS(1855),
    [anon_sym_CARET_EQ] = ACTIONS(1855),
    [anon_sym_LT_LT_EQ] = ACTIONS(1855),
    [anon_sym_GT_GT_EQ] = ACTIONS(1855),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1855),
    [anon_sym_DOT_DOT] = ACTIONS(1855),
    [anon_sym_STAR_STAR] = ACTIONS(1855),
    [anon_sym_PIPE_PIPE] = ACTIONS(1855),
    [anon_sym_SLASH_SLASH] = ACTIONS(1855),
    [anon_sym_CARET_CARET] = ACTIONS(1855),
    [anon_sym_AMP_AMP] = ACTIONS(1855),
    [anon_sym_PIPE] = ACTIONS(1855),
    [anon_sym_CARET] = ACTIONS(1855),
    [anon_sym_AMP] = ACTIONS(1855),
    [anon_sym_GT_GT2] = ACTIONS(1855),
    [anon_sym_PLUS] = ACTIONS(1855),
    [anon_sym_DASH] = ACTIONS(1855),
    [anon_sym_DOT] = ACTIONS(1855),
    [anon_sym_STAR] = ACTIONS(1855),
    [anon_sym_SLASH] = ACTIONS(1855),
    [anon_sym_x] = ACTIONS(1855),
    [anon_sym_EQ_TILDE] = ACTIONS(1855),
    [anon_sym_BANG_TILDE] = ACTIONS(1855),
    [anon_sym_EQ_EQ] = ACTIONS(1855),
    [anon_sym_BANG_EQ] = ACTIONS(1855),
    [anon_sym_eq] = ACTIONS(1855),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1855),
    [anon_sym_equ] = ACTIONS(1855),
    [anon_sym_eqr] = ACTIONS(1855),
    [anon_sym_ne] = ACTIONS(1855),
    [anon_sym_LT_EQ_GT] = ACTIONS(1855),
    [anon_sym_cmp] = ACTIONS(1855),
    [anon_sym_TILDE_TILDE] = ACTIONS(1855),
    [anon_sym_LT] = ACTIONS(1855),
    [anon_sym_LT_EQ] = ACTIONS(1855),
    [anon_sym_GT_EQ] = ACTIONS(1855),
    [anon_sym_lt] = ACTIONS(1855),
    [anon_sym_le] = ACTIONS(1855),
    [anon_sym_ge] = ACTIONS(1855),
    [anon_sym_gt] = ACTIONS(1855),
    [anon_sym_isa] = ACTIONS(1855),
    [anon_sym_TILDE] = ACTIONS(1855),
    [anon_sym_BANG] = ACTIONS(1855),
    [anon_sym_PLUS_PLUS] = ACTIONS(1855),
    [anon_sym_DASH_DASH] = ACTIONS(1855),
    [anon_sym_QMARK] = ACTIONS(1855),
    [anon_sym_BSLASH] = ACTIONS(1857),
    [anon_sym_do] = ACTIONS(1855),
    [anon_sym_eval] = ACTIONS(1855),
    [anon_sym_await] = ACTIONS(1855),
    [anon_sym_field] = ACTIONS(1855),
    [anon_sym_local] = ACTIONS(1855),
    [anon_sym_dynamically] = ACTIONS(1855),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1855),
    [anon_sym_require] = ACTIONS(1855),
    [anon_sym_map] = ACTIONS(1855),
    [anon_sym_grep] = ACTIONS(1855),
    [anon_sym_sort] = ACTIONS(1855),
    [anon_sym_goto] = ACTIONS(1855),
    [anon_sym_return] = ACTIONS(1855),
    [anon_sym_undef] = ACTIONS(1855),
    [anon_sym_PERCENT2] = ACTIONS(1855),
    [anon_sym_AMP2] = ACTIONS(1855),
    [anon_sym_STAR2] = ACTIONS(1855),
    [anon_sym_EQ_GT] = ACTIONS(1855),
    [anon_sym_last] = ACTIONS(1855),
    [anon_sym_next] = ACTIONS(1855),
    [anon_sym_redo] = ACTIONS(1855),
    [anon_sym___FILE__] = ACTIONS(1855),
    [anon_sym___LINE__] = ACTIONS(1855),
    [anon_sym___PACKAGE__] = ACTIONS(1855),
    [anon_sym___SUB__] = ACTIONS(1855),
    [anon_sym_break] = ACTIONS(1855),
    [anon_sym_fork] = ACTIONS(1855),
    [anon_sym_getppid] = ACTIONS(1855),
    [anon_sym_time] = ACTIONS(1855),
    [anon_sym_times] = ACTIONS(1855),
    [anon_sym_wait] = ACTIONS(1855),
    [anon_sym_wantarray] = ACTIONS(1855),
    [anon_sym_abs] = ACTIONS(1855),
    [anon_sym_alarm] = ACTIONS(1855),
    [anon_sym_chop] = ACTIONS(1855),
    [anon_sym_chdir] = ACTIONS(1855),
    [anon_sym_close] = ACTIONS(1855),
    [anon_sym_closedir] = ACTIONS(1855),
    [anon_sym_caller] = ACTIONS(1855),
    [anon_sym_chomp] = ACTIONS(1855),
    [anon_sym_chr] = ACTIONS(1855),
    [anon_sym_cos] = ACTIONS(1855),
    [anon_sym_chroot] = ACTIONS(1855),
    [anon_sym_defined] = ACTIONS(1855),
    [anon_sym_delete] = ACTIONS(1855),
    [anon_sym_dbmclose] = ACTIONS(1855),
    [anon_sym_exists] = ACTIONS(1855),
    [anon_sym_exit] = ACTIONS(1855),
    [anon_sym_eof] = ACTIONS(1855),
    [anon_sym_exp] = ACTIONS(1855),
    [anon_sym_each] = ACTIONS(1855),
    [anon_sym_fc] = ACTIONS(1855),
    [anon_sym_fileno] = ACTIONS(1855),
    [anon_sym_gmtime] = ACTIONS(1855),
    [anon_sym_getc] = ACTIONS(1855),
    [anon_sym_getpgrp] = ACTIONS(1855),
    [anon_sym_getprotobyname] = ACTIONS(1855),
    [anon_sym_getpwname] = ACTIONS(1855),
    [anon_sym_getpwuid] = ACTIONS(1855),
    [anon_sym_getpeername] = ACTIONS(1855),
    [anon_sym_getnetbyname] = ACTIONS(1855),
    [anon_sym_getsockname] = ACTIONS(1855),
    [anon_sym_getgrnam] = ACTIONS(1855),
    [anon_sym_getgrgid] = ACTIONS(1855),
    [anon_sym_hex] = ACTIONS(1855),
    [anon_sym_int] = ACTIONS(1855),
    [anon_sym_keys] = ACTIONS(1855),
    [anon_sym_lc] = ACTIONS(1855),
    [anon_sym_lcfirst] = ACTIONS(1855),
    [anon_sym_length] = ACTIONS(1855),
    [anon_sym_localtime] = ACTIONS(1855),
    [anon_sym_log] = ACTIONS(1855),
    [anon_sym_lock] = ACTIONS(1855),
    [anon_sym_lstat] = ACTIONS(1855),
    [anon_sym_oct] = ACTIONS(1855),
    [anon_sym_ord] = ACTIONS(1855),
    [anon_sym_prototype] = ACTIONS(1855),
    [anon_sym_pop] = ACTIONS(1855),
    [anon_sym_pos] = ACTIONS(1855),
    [anon_sym_quotemeta] = ACTIONS(1855),
    [anon_sym_reset] = ACTIONS(1855),
    [anon_sym_rand] = ACTIONS(1855),
    [anon_sym_rmdir] = ACTIONS(1855),
    [anon_sym_readdir] = ACTIONS(1855),
    [anon_sym_readline] = ACTIONS(1855),
    [anon_sym_readpipe] = ACTIONS(1855),
    [anon_sym_rewinddir] = ACTIONS(1855),
    [anon_sym_readlink] = ACTIONS(1855),
    [anon_sym_ref] = ACTIONS(1855),
    [anon_sym_scalar] = ACTIONS(1855),
    [anon_sym_shift] = ACTIONS(1855),
    [anon_sym_sin] = ACTIONS(1855),
    [anon_sym_sleep] = ACTIONS(1855),
    [anon_sym_sqrt] = ACTIONS(1855),
    [anon_sym_srand] = ACTIONS(1855),
    [anon_sym_stat] = ACTIONS(1855),
    [anon_sym_study] = ACTIONS(1855),
    [anon_sym_tell] = ACTIONS(1855),
    [anon_sym_telldir] = ACTIONS(1855),
    [anon_sym_tied] = ACTIONS(1855),
    [anon_sym_uc] = ACTIONS(1855),
    [anon_sym_ucfirst] = ACTIONS(1855),
    [anon_sym_untie] = ACTIONS(1855),
    [anon_sym_umask] = ACTIONS(1855),
    [anon_sym_values] = ACTIONS(1855),
    [anon_sym_write] = ACTIONS(1855),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1855),
    [anon_sym_qq] = ACTIONS(1855),
    [anon_sym_qw] = ACTIONS(1855),
    [anon_sym_qx] = ACTIONS(1855),
    [anon_sym_qr] = ACTIONS(1855),
    [anon_sym_m] = ACTIONS(1855),
    [anon_sym_s] = ACTIONS(1855),
    [anon_sym_tr] = ACTIONS(1855),
    [anon_sym_y] = ACTIONS(1855),
    [aux_sym__bareword_token1] = ACTIONS(1855),
    [sym_number] = ACTIONS(1855),
    [anon_sym_true] = ACTIONS(1855),
    [anon_sym_false] = ACTIONS(1855),
    [sym__single_quote] = ACTIONS(1857),
    [sym__double_quote] = ACTIONS(1857),
    [sym__backtick_quote] = ACTIONS(1857),
    [sym__search_slash_quote] = ACTIONS(1857),
    [sym__no_search_slash_plz] = ACTIONS(1857),
    [sym__open_readline_bracket] = ACTIONS(1857),
    [sym__open_fileglob_bracket] = ACTIONS(1857),
    [sym__PERLY_SEMICOLON] = ACTIONS(1857),
    [sym__PERLY_HEREDOC] = ACTIONS(1857),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1857),
    [sym__filetest] = ACTIONS(1857),
  },
  [855] = {
    [sym_heredoc_content] = STATE(855),
    [sym__identifier] = ACTIONS(1834),
    [anon_sym_LBRACE] = ACTIONS(1834),
    [anon_sym_SEMI] = ACTIONS(1834),
    [anon_sym_DOLLAR] = ACTIONS(1834),
    [anon_sym_EQ] = ACTIONS(1834),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1834),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1834),
    [anon_sym_AT] = ACTIONS(1834),
    [anon_sym_COMMA] = ACTIONS(1834),
    [anon_sym_my] = ACTIONS(1834),
    [anon_sym_extended] = ACTIONS(1834),
    [anon_sym_async] = ACTIONS(1834),
    [anon_sym_sub] = ACTIONS(1834),
    [anon_sym_method] = ACTIONS(1834),
    [anon_sym_LPAREN] = ACTIONS(1834),
    [anon_sym_continue] = ACTIONS(1834),
    [anon_sym_state] = ACTIONS(1834),
    [anon_sym_our] = ACTIONS(1834),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1834),
    [anon_sym_LBRACK] = ACTIONS(1834),
    [anon_sym_DASH_GT] = ACTIONS(1834),
    [anon_sym_PERCENT] = ACTIONS(1834),
    [anon_sym_GT] = ACTIONS(1834),
    [anon_sym_LT_LT] = ACTIONS(1834),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1834),
    [anon_sym_PLUS_EQ] = ACTIONS(1834),
    [anon_sym_DASH_EQ] = ACTIONS(1834),
    [anon_sym_DOT_EQ] = ACTIONS(1834),
    [anon_sym_STAR_EQ] = ACTIONS(1834),
    [anon_sym_SLASH_EQ] = ACTIONS(1834),
    [anon_sym_PERCENT_EQ] = ACTIONS(1834),
    [anon_sym_x_EQ] = ACTIONS(1834),
    [anon_sym_AMP_EQ] = ACTIONS(1834),
    [anon_sym_PIPE_EQ] = ACTIONS(1834),
    [anon_sym_CARET_EQ] = ACTIONS(1834),
    [anon_sym_LT_LT_EQ] = ACTIONS(1834),
    [anon_sym_GT_GT_EQ] = ACTIONS(1834),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1834),
    [anon_sym_DOT_DOT] = ACTIONS(1834),
    [anon_sym_STAR_STAR] = ACTIONS(1834),
    [anon_sym_PIPE_PIPE] = ACTIONS(1834),
    [anon_sym_SLASH_SLASH] = ACTIONS(1834),
    [anon_sym_CARET_CARET] = ACTIONS(1834),
    [anon_sym_AMP_AMP] = ACTIONS(1834),
    [anon_sym_PIPE] = ACTIONS(1834),
    [anon_sym_CARET] = ACTIONS(1834),
    [anon_sym_AMP] = ACTIONS(1834),
    [anon_sym_GT_GT2] = ACTIONS(1834),
    [anon_sym_PLUS] = ACTIONS(1834),
    [anon_sym_DASH] = ACTIONS(1834),
    [anon_sym_DOT] = ACTIONS(1834),
    [anon_sym_STAR] = ACTIONS(1834),
    [anon_sym_SLASH] = ACTIONS(1834),
    [anon_sym_x] = ACTIONS(1834),
    [anon_sym_EQ_TILDE] = ACTIONS(1834),
    [anon_sym_BANG_TILDE] = ACTIONS(1834),
    [anon_sym_EQ_EQ] = ACTIONS(1834),
    [anon_sym_BANG_EQ] = ACTIONS(1834),
    [anon_sym_eq] = ACTIONS(1834),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1834),
    [anon_sym_equ] = ACTIONS(1834),
    [anon_sym_eqr] = ACTIONS(1834),
    [anon_sym_ne] = ACTIONS(1834),
    [anon_sym_LT_EQ_GT] = ACTIONS(1834),
    [anon_sym_cmp] = ACTIONS(1834),
    [anon_sym_TILDE_TILDE] = ACTIONS(1834),
    [anon_sym_LT] = ACTIONS(1834),
    [anon_sym_LT_EQ] = ACTIONS(1834),
    [anon_sym_GT_EQ] = ACTIONS(1834),
    [anon_sym_lt] = ACTIONS(1834),
    [anon_sym_le] = ACTIONS(1834),
    [anon_sym_ge] = ACTIONS(1834),
    [anon_sym_gt] = ACTIONS(1834),
    [anon_sym_isa] = ACTIONS(1834),
    [anon_sym_TILDE] = ACTIONS(1834),
    [anon_sym_BANG] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1834),
    [anon_sym_DASH_DASH] = ACTIONS(1834),
    [anon_sym_QMARK] = ACTIONS(1834),
    [anon_sym_BSLASH] = ACTIONS(1836),
    [anon_sym_do] = ACTIONS(1834),
    [anon_sym_eval] = ACTIONS(1834),
    [anon_sym_await] = ACTIONS(1834),
    [anon_sym_field] = ACTIONS(1834),
    [anon_sym_local] = ACTIONS(1834),
    [anon_sym_dynamically] = ACTIONS(1834),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1834),
    [anon_sym_require] = ACTIONS(1834),
    [anon_sym_map] = ACTIONS(1834),
    [anon_sym_grep] = ACTIONS(1834),
    [anon_sym_sort] = ACTIONS(1834),
    [anon_sym_goto] = ACTIONS(1834),
    [anon_sym_return] = ACTIONS(1834),
    [anon_sym_undef] = ACTIONS(1834),
    [anon_sym_PERCENT2] = ACTIONS(1834),
    [anon_sym_AMP2] = ACTIONS(1834),
    [anon_sym_STAR2] = ACTIONS(1834),
    [anon_sym_EQ_GT] = ACTIONS(1834),
    [anon_sym_last] = ACTIONS(1834),
    [anon_sym_next] = ACTIONS(1834),
    [anon_sym_redo] = ACTIONS(1834),
    [anon_sym___FILE__] = ACTIONS(1834),
    [anon_sym___LINE__] = ACTIONS(1834),
    [anon_sym___PACKAGE__] = ACTIONS(1834),
    [anon_sym___SUB__] = ACTIONS(1834),
    [anon_sym_break] = ACTIONS(1834),
    [anon_sym_fork] = ACTIONS(1834),
    [anon_sym_getppid] = ACTIONS(1834),
    [anon_sym_time] = ACTIONS(1834),
    [anon_sym_times] = ACTIONS(1834),
    [anon_sym_wait] = ACTIONS(1834),
    [anon_sym_wantarray] = ACTIONS(1834),
    [anon_sym_abs] = ACTIONS(1834),
    [anon_sym_alarm] = ACTIONS(1834),
    [anon_sym_chop] = ACTIONS(1834),
    [anon_sym_chdir] = ACTIONS(1834),
    [anon_sym_close] = ACTIONS(1834),
    [anon_sym_closedir] = ACTIONS(1834),
    [anon_sym_caller] = ACTIONS(1834),
    [anon_sym_chomp] = ACTIONS(1834),
    [anon_sym_chr] = ACTIONS(1834),
    [anon_sym_cos] = ACTIONS(1834),
    [anon_sym_chroot] = ACTIONS(1834),
    [anon_sym_defined] = ACTIONS(1834),
    [anon_sym_delete] = ACTIONS(1834),
    [anon_sym_dbmclose] = ACTIONS(1834),
    [anon_sym_exists] = ACTIONS(1834),
    [anon_sym_exit] = ACTIONS(1834),
    [anon_sym_eof] = ACTIONS(1834),
    [anon_sym_exp] = ACTIONS(1834),
    [anon_sym_each] = ACTIONS(1834),
    [anon_sym_fc] = ACTIONS(1834),
    [anon_sym_fileno] = ACTIONS(1834),
    [anon_sym_gmtime] = ACTIONS(1834),
    [anon_sym_getc] = ACTIONS(1834),
    [anon_sym_getpgrp] = ACTIONS(1834),
    [anon_sym_getprotobyname] = ACTIONS(1834),
    [anon_sym_getpwname] = ACTIONS(1834),
    [anon_sym_getpwuid] = ACTIONS(1834),
    [anon_sym_getpeername] = ACTIONS(1834),
    [anon_sym_getnetbyname] = ACTIONS(1834),
    [anon_sym_getsockname] = ACTIONS(1834),
    [anon_sym_getgrnam] = ACTIONS(1834),
    [anon_sym_getgrgid] = ACTIONS(1834),
    [anon_sym_hex] = ACTIONS(1834),
    [anon_sym_int] = ACTIONS(1834),
    [anon_sym_keys] = ACTIONS(1834),
    [anon_sym_lc] = ACTIONS(1834),
    [anon_sym_lcfirst] = ACTIONS(1834),
    [anon_sym_length] = ACTIONS(1834),
    [anon_sym_localtime] = ACTIONS(1834),
    [anon_sym_log] = ACTIONS(1834),
    [anon_sym_lock] = ACTIONS(1834),
    [anon_sym_lstat] = ACTIONS(1834),
    [anon_sym_oct] = ACTIONS(1834),
    [anon_sym_ord] = ACTIONS(1834),
    [anon_sym_prototype] = ACTIONS(1834),
    [anon_sym_pop] = ACTIONS(1834),
    [anon_sym_pos] = ACTIONS(1834),
    [anon_sym_quotemeta] = ACTIONS(1834),
    [anon_sym_reset] = ACTIONS(1834),
    [anon_sym_rand] = ACTIONS(1834),
    [anon_sym_rmdir] = ACTIONS(1834),
    [anon_sym_readdir] = ACTIONS(1834),
    [anon_sym_readline] = ACTIONS(1834),
    [anon_sym_readpipe] = ACTIONS(1834),
    [anon_sym_rewinddir] = ACTIONS(1834),
    [anon_sym_readlink] = ACTIONS(1834),
    [anon_sym_ref] = ACTIONS(1834),
    [anon_sym_scalar] = ACTIONS(1834),
    [anon_sym_shift] = ACTIONS(1834),
    [anon_sym_sin] = ACTIONS(1834),
    [anon_sym_sleep] = ACTIONS(1834),
    [anon_sym_sqrt] = ACTIONS(1834),
    [anon_sym_srand] = ACTIONS(1834),
    [anon_sym_stat] = ACTIONS(1834),
    [anon_sym_study] = ACTIONS(1834),
    [anon_sym_tell] = ACTIONS(1834),
    [anon_sym_telldir] = ACTIONS(1834),
    [anon_sym_tied] = ACTIONS(1834),
    [anon_sym_uc] = ACTIONS(1834),
    [anon_sym_ucfirst] = ACTIONS(1834),
    [anon_sym_untie] = ACTIONS(1834),
    [anon_sym_umask] = ACTIONS(1834),
    [anon_sym_values] = ACTIONS(1834),
    [anon_sym_write] = ACTIONS(1834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1834),
    [anon_sym_qq] = ACTIONS(1834),
    [anon_sym_qw] = ACTIONS(1834),
    [anon_sym_qx] = ACTIONS(1834),
    [anon_sym_qr] = ACTIONS(1834),
    [anon_sym_m] = ACTIONS(1834),
    [anon_sym_s] = ACTIONS(1834),
    [anon_sym_tr] = ACTIONS(1834),
    [anon_sym_y] = ACTIONS(1834),
    [aux_sym__bareword_token1] = ACTIONS(1834),
    [sym_number] = ACTIONS(1834),
    [anon_sym_true] = ACTIONS(1834),
    [anon_sym_false] = ACTIONS(1834),
    [sym__single_quote] = ACTIONS(1836),
    [sym__double_quote] = ACTIONS(1836),
    [sym__backtick_quote] = ACTIONS(1836),
    [sym__search_slash_quote] = ACTIONS(1836),
    [sym__no_search_slash_plz] = ACTIONS(1836),
    [sym__open_readline_bracket] = ACTIONS(1836),
    [sym__open_fileglob_bracket] = ACTIONS(1836),
    [sym__PERLY_SEMICOLON] = ACTIONS(1836),
    [sym__PERLY_HEREDOC] = ACTIONS(1836),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1836),
    [sym__filetest] = ACTIONS(1836),
  },
  [856] = {
    [sym_heredoc_content] = STATE(856),
    [sym__identifier] = ACTIONS(1661),
    [anon_sym_LBRACE] = ACTIONS(1661),
    [anon_sym_SEMI] = ACTIONS(1661),
    [anon_sym_DOLLAR] = ACTIONS(1661),
    [anon_sym_EQ] = ACTIONS(1661),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1661),
    [anon_sym_AT] = ACTIONS(1661),
    [anon_sym_COMMA] = ACTIONS(1661),
    [anon_sym_my] = ACTIONS(1661),
    [anon_sym_extended] = ACTIONS(1661),
    [anon_sym_async] = ACTIONS(1661),
    [anon_sym_sub] = ACTIONS(1661),
    [anon_sym_method] = ACTIONS(1661),
    [anon_sym_LPAREN] = ACTIONS(1661),
    [anon_sym_continue] = ACTIONS(1661),
    [anon_sym_state] = ACTIONS(1661),
    [anon_sym_our] = ACTIONS(1661),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1661),
    [anon_sym_LBRACK] = ACTIONS(1661),
    [anon_sym_DASH_GT] = ACTIONS(1661),
    [anon_sym_PERCENT] = ACTIONS(1661),
    [anon_sym_GT] = ACTIONS(1661),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1661),
    [anon_sym_PLUS_EQ] = ACTIONS(1661),
    [anon_sym_DASH_EQ] = ACTIONS(1661),
    [anon_sym_DOT_EQ] = ACTIONS(1661),
    [anon_sym_STAR_EQ] = ACTIONS(1661),
    [anon_sym_SLASH_EQ] = ACTIONS(1661),
    [anon_sym_PERCENT_EQ] = ACTIONS(1661),
    [anon_sym_x_EQ] = ACTIONS(1661),
    [anon_sym_AMP_EQ] = ACTIONS(1661),
    [anon_sym_PIPE_EQ] = ACTIONS(1661),
    [anon_sym_CARET_EQ] = ACTIONS(1661),
    [anon_sym_LT_LT_EQ] = ACTIONS(1661),
    [anon_sym_GT_GT_EQ] = ACTIONS(1661),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1661),
    [anon_sym_DOT_DOT] = ACTIONS(1661),
    [anon_sym_STAR_STAR] = ACTIONS(1661),
    [anon_sym_PIPE_PIPE] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1661),
    [anon_sym_CARET_CARET] = ACTIONS(1661),
    [anon_sym_AMP_AMP] = ACTIONS(1661),
    [anon_sym_PIPE] = ACTIONS(1661),
    [anon_sym_CARET] = ACTIONS(1661),
    [anon_sym_AMP] = ACTIONS(1661),
    [anon_sym_GT_GT2] = ACTIONS(1661),
    [anon_sym_PLUS] = ACTIONS(1661),
    [anon_sym_DASH] = ACTIONS(1661),
    [anon_sym_DOT] = ACTIONS(1661),
    [anon_sym_STAR] = ACTIONS(1661),
    [anon_sym_SLASH] = ACTIONS(1661),
    [anon_sym_x] = ACTIONS(1661),
    [anon_sym_EQ_TILDE] = ACTIONS(1661),
    [anon_sym_BANG_TILDE] = ACTIONS(1661),
    [anon_sym_EQ_EQ] = ACTIONS(1661),
    [anon_sym_BANG_EQ] = ACTIONS(1661),
    [anon_sym_eq] = ACTIONS(1661),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1661),
    [anon_sym_equ] = ACTIONS(1661),
    [anon_sym_eqr] = ACTIONS(1661),
    [anon_sym_ne] = ACTIONS(1661),
    [anon_sym_LT_EQ_GT] = ACTIONS(1661),
    [anon_sym_cmp] = ACTIONS(1661),
    [anon_sym_TILDE_TILDE] = ACTIONS(1661),
    [anon_sym_LT] = ACTIONS(1661),
    [anon_sym_LT_EQ] = ACTIONS(1661),
    [anon_sym_GT_EQ] = ACTIONS(1661),
    [anon_sym_lt] = ACTIONS(1661),
    [anon_sym_le] = ACTIONS(1661),
    [anon_sym_ge] = ACTIONS(1661),
    [anon_sym_gt] = ACTIONS(1661),
    [anon_sym_isa] = ACTIONS(1661),
    [anon_sym_TILDE] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1661),
    [anon_sym_PLUS_PLUS] = ACTIONS(1661),
    [anon_sym_DASH_DASH] = ACTIONS(1661),
    [anon_sym_QMARK] = ACTIONS(1661),
    [anon_sym_BSLASH] = ACTIONS(1659),
    [anon_sym_do] = ACTIONS(1661),
    [anon_sym_eval] = ACTIONS(1661),
    [anon_sym_await] = ACTIONS(1661),
    [anon_sym_field] = ACTIONS(1661),
    [anon_sym_local] = ACTIONS(1661),
    [anon_sym_dynamically] = ACTIONS(1661),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1661),
    [anon_sym_require] = ACTIONS(1661),
    [anon_sym_map] = ACTIONS(1661),
    [anon_sym_grep] = ACTIONS(1661),
    [anon_sym_sort] = ACTIONS(1661),
    [anon_sym_goto] = ACTIONS(1661),
    [anon_sym_return] = ACTIONS(1661),
    [anon_sym_undef] = ACTIONS(1661),
    [anon_sym_PERCENT2] = ACTIONS(1661),
    [anon_sym_AMP2] = ACTIONS(1661),
    [anon_sym_STAR2] = ACTIONS(1661),
    [anon_sym_EQ_GT] = ACTIONS(1661),
    [anon_sym_last] = ACTIONS(1661),
    [anon_sym_next] = ACTIONS(1661),
    [anon_sym_redo] = ACTIONS(1661),
    [anon_sym___FILE__] = ACTIONS(1661),
    [anon_sym___LINE__] = ACTIONS(1661),
    [anon_sym___PACKAGE__] = ACTIONS(1661),
    [anon_sym___SUB__] = ACTIONS(1661),
    [anon_sym_break] = ACTIONS(1661),
    [anon_sym_fork] = ACTIONS(1661),
    [anon_sym_getppid] = ACTIONS(1661),
    [anon_sym_time] = ACTIONS(1661),
    [anon_sym_times] = ACTIONS(1661),
    [anon_sym_wait] = ACTIONS(1661),
    [anon_sym_wantarray] = ACTIONS(1661),
    [anon_sym_abs] = ACTIONS(1661),
    [anon_sym_alarm] = ACTIONS(1661),
    [anon_sym_chop] = ACTIONS(1661),
    [anon_sym_chdir] = ACTIONS(1661),
    [anon_sym_close] = ACTIONS(1661),
    [anon_sym_closedir] = ACTIONS(1661),
    [anon_sym_caller] = ACTIONS(1661),
    [anon_sym_chomp] = ACTIONS(1661),
    [anon_sym_chr] = ACTIONS(1661),
    [anon_sym_cos] = ACTIONS(1661),
    [anon_sym_chroot] = ACTIONS(1661),
    [anon_sym_defined] = ACTIONS(1661),
    [anon_sym_delete] = ACTIONS(1661),
    [anon_sym_dbmclose] = ACTIONS(1661),
    [anon_sym_exists] = ACTIONS(1661),
    [anon_sym_exit] = ACTIONS(1661),
    [anon_sym_eof] = ACTIONS(1661),
    [anon_sym_exp] = ACTIONS(1661),
    [anon_sym_each] = ACTIONS(1661),
    [anon_sym_fc] = ACTIONS(1661),
    [anon_sym_fileno] = ACTIONS(1661),
    [anon_sym_gmtime] = ACTIONS(1661),
    [anon_sym_getc] = ACTIONS(1661),
    [anon_sym_getpgrp] = ACTIONS(1661),
    [anon_sym_getprotobyname] = ACTIONS(1661),
    [anon_sym_getpwname] = ACTIONS(1661),
    [anon_sym_getpwuid] = ACTIONS(1661),
    [anon_sym_getpeername] = ACTIONS(1661),
    [anon_sym_getnetbyname] = ACTIONS(1661),
    [anon_sym_getsockname] = ACTIONS(1661),
    [anon_sym_getgrnam] = ACTIONS(1661),
    [anon_sym_getgrgid] = ACTIONS(1661),
    [anon_sym_hex] = ACTIONS(1661),
    [anon_sym_int] = ACTIONS(1661),
    [anon_sym_keys] = ACTIONS(1661),
    [anon_sym_lc] = ACTIONS(1661),
    [anon_sym_lcfirst] = ACTIONS(1661),
    [anon_sym_length] = ACTIONS(1661),
    [anon_sym_localtime] = ACTIONS(1661),
    [anon_sym_log] = ACTIONS(1661),
    [anon_sym_lock] = ACTIONS(1661),
    [anon_sym_lstat] = ACTIONS(1661),
    [anon_sym_oct] = ACTIONS(1661),
    [anon_sym_ord] = ACTIONS(1661),
    [anon_sym_prototype] = ACTIONS(1661),
    [anon_sym_pop] = ACTIONS(1661),
    [anon_sym_pos] = ACTIONS(1661),
    [anon_sym_quotemeta] = ACTIONS(1661),
    [anon_sym_reset] = ACTIONS(1661),
    [anon_sym_rand] = ACTIONS(1661),
    [anon_sym_rmdir] = ACTIONS(1661),
    [anon_sym_readdir] = ACTIONS(1661),
    [anon_sym_readline] = ACTIONS(1661),
    [anon_sym_readpipe] = ACTIONS(1661),
    [anon_sym_rewinddir] = ACTIONS(1661),
    [anon_sym_readlink] = ACTIONS(1661),
    [anon_sym_ref] = ACTIONS(1661),
    [anon_sym_scalar] = ACTIONS(1661),
    [anon_sym_shift] = ACTIONS(1661),
    [anon_sym_sin] = ACTIONS(1661),
    [anon_sym_sleep] = ACTIONS(1661),
    [anon_sym_sqrt] = ACTIONS(1661),
    [anon_sym_srand] = ACTIONS(1661),
    [anon_sym_stat] = ACTIONS(1661),
    [anon_sym_study] = ACTIONS(1661),
    [anon_sym_tell] = ACTIONS(1661),
    [anon_sym_telldir] = ACTIONS(1661),
    [anon_sym_tied] = ACTIONS(1661),
    [anon_sym_uc] = ACTIONS(1661),
    [anon_sym_ucfirst] = ACTIONS(1661),
    [anon_sym_untie] = ACTIONS(1661),
    [anon_sym_umask] = ACTIONS(1661),
    [anon_sym_values] = ACTIONS(1661),
    [anon_sym_write] = ACTIONS(1661),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1661),
    [anon_sym_qq] = ACTIONS(1661),
    [anon_sym_qw] = ACTIONS(1661),
    [anon_sym_qx] = ACTIONS(1661),
    [anon_sym_qr] = ACTIONS(1661),
    [anon_sym_m] = ACTIONS(1661),
    [anon_sym_s] = ACTIONS(1661),
    [anon_sym_tr] = ACTIONS(1661),
    [anon_sym_y] = ACTIONS(1661),
    [aux_sym__bareword_token1] = ACTIONS(1661),
    [sym_number] = ACTIONS(1661),
    [anon_sym_true] = ACTIONS(1661),
    [anon_sym_false] = ACTIONS(1661),
    [sym__single_quote] = ACTIONS(1659),
    [sym__double_quote] = ACTIONS(1659),
    [sym__backtick_quote] = ACTIONS(1659),
    [sym__search_slash_quote] = ACTIONS(1659),
    [sym__no_search_slash_plz] = ACTIONS(1659),
    [sym__open_readline_bracket] = ACTIONS(1659),
    [sym__open_fileglob_bracket] = ACTIONS(1659),
    [sym__PERLY_SEMICOLON] = ACTIONS(1659),
    [sym__PERLY_HEREDOC] = ACTIONS(1659),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1659),
    [sym__filetest] = ACTIONS(1659),
  },
  [857] = {
    [sym_heredoc_content] = STATE(857),
    [sym__identifier] = ACTIONS(1828),
    [anon_sym_LBRACE] = ACTIONS(1830),
    [anon_sym_RBRACE] = ACTIONS(1828),
    [anon_sym_COLON] = ACTIONS(1828),
    [anon_sym_DOLLAR] = ACTIONS(1828),
    [anon_sym_EQ] = ACTIONS(1828),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1828),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1828),
    [anon_sym_AT] = ACTIONS(1828),
    [anon_sym_COMMA] = ACTIONS(1828),
    [anon_sym_RPAREN] = ACTIONS(1828),
    [anon_sym_my] = ACTIONS(1828),
    [anon_sym_extended] = ACTIONS(1828),
    [anon_sym_async] = ACTIONS(1828),
    [anon_sym_sub] = ACTIONS(1828),
    [anon_sym_method] = ACTIONS(1828),
    [anon_sym_LPAREN] = ACTIONS(1828),
    [anon_sym_continue] = ACTIONS(1828),
    [anon_sym_state] = ACTIONS(1828),
    [anon_sym_our] = ACTIONS(1828),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1828),
    [anon_sym_LBRACK] = ACTIONS(1830),
    [anon_sym_DASH_GT] = ACTIONS(1828),
    [anon_sym_PERCENT] = ACTIONS(1828),
    [anon_sym_GT] = ACTIONS(1828),
    [anon_sym_LT_LT] = ACTIONS(1828),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1828),
    [anon_sym_PLUS_EQ] = ACTIONS(1828),
    [anon_sym_DASH_EQ] = ACTIONS(1828),
    [anon_sym_DOT_EQ] = ACTIONS(1828),
    [anon_sym_STAR_EQ] = ACTIONS(1828),
    [anon_sym_SLASH_EQ] = ACTIONS(1828),
    [anon_sym_PERCENT_EQ] = ACTIONS(1828),
    [anon_sym_x_EQ] = ACTIONS(1828),
    [anon_sym_AMP_EQ] = ACTIONS(1828),
    [anon_sym_PIPE_EQ] = ACTIONS(1828),
    [anon_sym_CARET_EQ] = ACTIONS(1828),
    [anon_sym_LT_LT_EQ] = ACTIONS(1828),
    [anon_sym_GT_GT_EQ] = ACTIONS(1828),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1828),
    [anon_sym_DOT_DOT] = ACTIONS(1828),
    [anon_sym_STAR_STAR] = ACTIONS(1828),
    [anon_sym_PIPE_PIPE] = ACTIONS(1828),
    [anon_sym_SLASH_SLASH] = ACTIONS(1828),
    [anon_sym_CARET_CARET] = ACTIONS(1828),
    [anon_sym_AMP_AMP] = ACTIONS(1828),
    [anon_sym_PIPE] = ACTIONS(1828),
    [anon_sym_CARET] = ACTIONS(1828),
    [anon_sym_AMP] = ACTIONS(1828),
    [anon_sym_GT_GT2] = ACTIONS(1828),
    [anon_sym_PLUS] = ACTIONS(1828),
    [anon_sym_DASH] = ACTIONS(1828),
    [anon_sym_DOT] = ACTIONS(1828),
    [anon_sym_STAR] = ACTIONS(1828),
    [anon_sym_SLASH] = ACTIONS(1828),
    [anon_sym_x] = ACTIONS(1828),
    [anon_sym_EQ_TILDE] = ACTIONS(1828),
    [anon_sym_BANG_TILDE] = ACTIONS(1828),
    [anon_sym_EQ_EQ] = ACTIONS(1828),
    [anon_sym_BANG_EQ] = ACTIONS(1828),
    [anon_sym_eq] = ACTIONS(1828),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1828),
    [anon_sym_equ] = ACTIONS(1828),
    [anon_sym_eqr] = ACTIONS(1828),
    [anon_sym_ne] = ACTIONS(1828),
    [anon_sym_LT_EQ_GT] = ACTIONS(1828),
    [anon_sym_cmp] = ACTIONS(1828),
    [anon_sym_TILDE_TILDE] = ACTIONS(1828),
    [anon_sym_LT] = ACTIONS(1828),
    [anon_sym_LT_EQ] = ACTIONS(1828),
    [anon_sym_GT_EQ] = ACTIONS(1828),
    [anon_sym_lt] = ACTIONS(1828),
    [anon_sym_le] = ACTIONS(1828),
    [anon_sym_ge] = ACTIONS(1828),
    [anon_sym_gt] = ACTIONS(1828),
    [anon_sym_isa] = ACTIONS(1828),
    [anon_sym_TILDE] = ACTIONS(1828),
    [anon_sym_BANG] = ACTIONS(1828),
    [anon_sym_PLUS_PLUS] = ACTIONS(1828),
    [anon_sym_DASH_DASH] = ACTIONS(1828),
    [anon_sym_QMARK] = ACTIONS(1828),
    [anon_sym_BSLASH] = ACTIONS(1832),
    [anon_sym_do] = ACTIONS(1828),
    [anon_sym_eval] = ACTIONS(1828),
    [anon_sym_await] = ACTIONS(1828),
    [anon_sym_field] = ACTIONS(1828),
    [anon_sym_local] = ACTIONS(1828),
    [anon_sym_dynamically] = ACTIONS(1828),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1828),
    [anon_sym_require] = ACTIONS(1828),
    [anon_sym_map] = ACTIONS(1828),
    [anon_sym_grep] = ACTIONS(1828),
    [anon_sym_sort] = ACTIONS(1828),
    [anon_sym_goto] = ACTIONS(1828),
    [anon_sym_return] = ACTIONS(1828),
    [anon_sym_undef] = ACTIONS(1828),
    [anon_sym_PERCENT2] = ACTIONS(1828),
    [anon_sym_AMP2] = ACTIONS(1828),
    [anon_sym_STAR2] = ACTIONS(1828),
    [anon_sym_EQ_GT] = ACTIONS(1828),
    [anon_sym_last] = ACTIONS(1828),
    [anon_sym_next] = ACTIONS(1828),
    [anon_sym_redo] = ACTIONS(1828),
    [anon_sym___FILE__] = ACTIONS(1828),
    [anon_sym___LINE__] = ACTIONS(1828),
    [anon_sym___PACKAGE__] = ACTIONS(1828),
    [anon_sym___SUB__] = ACTIONS(1828),
    [anon_sym_break] = ACTIONS(1828),
    [anon_sym_fork] = ACTIONS(1828),
    [anon_sym_getppid] = ACTIONS(1828),
    [anon_sym_time] = ACTIONS(1828),
    [anon_sym_times] = ACTIONS(1828),
    [anon_sym_wait] = ACTIONS(1828),
    [anon_sym_wantarray] = ACTIONS(1828),
    [anon_sym_abs] = ACTIONS(1828),
    [anon_sym_alarm] = ACTIONS(1828),
    [anon_sym_chop] = ACTIONS(1828),
    [anon_sym_chdir] = ACTIONS(1828),
    [anon_sym_close] = ACTIONS(1828),
    [anon_sym_closedir] = ACTIONS(1828),
    [anon_sym_caller] = ACTIONS(1828),
    [anon_sym_chomp] = ACTIONS(1828),
    [anon_sym_chr] = ACTIONS(1828),
    [anon_sym_cos] = ACTIONS(1828),
    [anon_sym_chroot] = ACTIONS(1828),
    [anon_sym_defined] = ACTIONS(1828),
    [anon_sym_delete] = ACTIONS(1828),
    [anon_sym_dbmclose] = ACTIONS(1828),
    [anon_sym_exists] = ACTIONS(1828),
    [anon_sym_exit] = ACTIONS(1828),
    [anon_sym_eof] = ACTIONS(1828),
    [anon_sym_exp] = ACTIONS(1828),
    [anon_sym_each] = ACTIONS(1828),
    [anon_sym_fc] = ACTIONS(1828),
    [anon_sym_fileno] = ACTIONS(1828),
    [anon_sym_gmtime] = ACTIONS(1828),
    [anon_sym_getc] = ACTIONS(1828),
    [anon_sym_getpgrp] = ACTIONS(1828),
    [anon_sym_getprotobyname] = ACTIONS(1828),
    [anon_sym_getpwname] = ACTIONS(1828),
    [anon_sym_getpwuid] = ACTIONS(1828),
    [anon_sym_getpeername] = ACTIONS(1828),
    [anon_sym_getnetbyname] = ACTIONS(1828),
    [anon_sym_getsockname] = ACTIONS(1828),
    [anon_sym_getgrnam] = ACTIONS(1828),
    [anon_sym_getgrgid] = ACTIONS(1828),
    [anon_sym_hex] = ACTIONS(1828),
    [anon_sym_int] = ACTIONS(1828),
    [anon_sym_keys] = ACTIONS(1828),
    [anon_sym_lc] = ACTIONS(1828),
    [anon_sym_lcfirst] = ACTIONS(1828),
    [anon_sym_length] = ACTIONS(1828),
    [anon_sym_localtime] = ACTIONS(1828),
    [anon_sym_log] = ACTIONS(1828),
    [anon_sym_lock] = ACTIONS(1828),
    [anon_sym_lstat] = ACTIONS(1828),
    [anon_sym_oct] = ACTIONS(1828),
    [anon_sym_ord] = ACTIONS(1828),
    [anon_sym_prototype] = ACTIONS(1828),
    [anon_sym_pop] = ACTIONS(1828),
    [anon_sym_pos] = ACTIONS(1828),
    [anon_sym_quotemeta] = ACTIONS(1828),
    [anon_sym_reset] = ACTIONS(1828),
    [anon_sym_rand] = ACTIONS(1828),
    [anon_sym_rmdir] = ACTIONS(1828),
    [anon_sym_readdir] = ACTIONS(1828),
    [anon_sym_readline] = ACTIONS(1828),
    [anon_sym_readpipe] = ACTIONS(1828),
    [anon_sym_rewinddir] = ACTIONS(1828),
    [anon_sym_readlink] = ACTIONS(1828),
    [anon_sym_ref] = ACTIONS(1828),
    [anon_sym_scalar] = ACTIONS(1828),
    [anon_sym_shift] = ACTIONS(1828),
    [anon_sym_sin] = ACTIONS(1828),
    [anon_sym_sleep] = ACTIONS(1828),
    [anon_sym_sqrt] = ACTIONS(1828),
    [anon_sym_srand] = ACTIONS(1828),
    [anon_sym_stat] = ACTIONS(1828),
    [anon_sym_study] = ACTIONS(1828),
    [anon_sym_tell] = ACTIONS(1828),
    [anon_sym_telldir] = ACTIONS(1828),
    [anon_sym_tied] = ACTIONS(1828),
    [anon_sym_uc] = ACTIONS(1828),
    [anon_sym_ucfirst] = ACTIONS(1828),
    [anon_sym_untie] = ACTIONS(1828),
    [anon_sym_umask] = ACTIONS(1828),
    [anon_sym_values] = ACTIONS(1828),
    [anon_sym_write] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1828),
    [anon_sym_qq] = ACTIONS(1828),
    [anon_sym_qw] = ACTIONS(1828),
    [anon_sym_qx] = ACTIONS(1828),
    [anon_sym_qr] = ACTIONS(1828),
    [anon_sym_m] = ACTIONS(1828),
    [anon_sym_s] = ACTIONS(1828),
    [anon_sym_tr] = ACTIONS(1828),
    [anon_sym_y] = ACTIONS(1828),
    [aux_sym__bareword_token1] = ACTIONS(1828),
    [sym_number] = ACTIONS(1828),
    [anon_sym_true] = ACTIONS(1828),
    [anon_sym_false] = ACTIONS(1828),
    [sym__single_quote] = ACTIONS(1832),
    [sym__double_quote] = ACTIONS(1832),
    [sym__backtick_quote] = ACTIONS(1832),
    [sym__search_slash_quote] = ACTIONS(1832),
    [sym__open_readline_bracket] = ACTIONS(1832),
    [sym__open_fileglob_bracket] = ACTIONS(1832),
    [sym__PERLY_HEREDOC] = ACTIONS(1832),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1832),
    [sym__filetest] = ACTIONS(1832),
  },
  [858] = {
    [sym_heredoc_content] = STATE(858),
    [sym__identifier] = ACTIONS(1889),
    [anon_sym_LBRACE] = ACTIONS(1889),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1889),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1889),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1889),
    [anon_sym_extended] = ACTIONS(1889),
    [anon_sym_async] = ACTIONS(1889),
    [anon_sym_sub] = ACTIONS(1889),
    [anon_sym_method] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1889),
    [anon_sym_continue] = ACTIONS(1889),
    [anon_sym_state] = ACTIONS(1889),
    [anon_sym_our] = ACTIONS(1889),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1889),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1889),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1889),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1889),
    [anon_sym_DASH] = ACTIONS(1889),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1889),
    [anon_sym_BANG] = ACTIONS(1889),
    [anon_sym_PLUS_PLUS] = ACTIONS(1889),
    [anon_sym_DASH_DASH] = ACTIONS(1889),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1891),
    [anon_sym_do] = ACTIONS(1889),
    [anon_sym_eval] = ACTIONS(1889),
    [anon_sym_await] = ACTIONS(1889),
    [anon_sym_field] = ACTIONS(1889),
    [anon_sym_local] = ACTIONS(1889),
    [anon_sym_dynamically] = ACTIONS(1889),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1889),
    [anon_sym_require] = ACTIONS(1889),
    [anon_sym_map] = ACTIONS(1889),
    [anon_sym_grep] = ACTIONS(1889),
    [anon_sym_sort] = ACTIONS(1889),
    [anon_sym_goto] = ACTIONS(1889),
    [anon_sym_return] = ACTIONS(1889),
    [anon_sym_undef] = ACTIONS(1889),
    [anon_sym_PERCENT2] = ACTIONS(1889),
    [anon_sym_AMP2] = ACTIONS(1889),
    [anon_sym_STAR2] = ACTIONS(1889),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1889),
    [anon_sym_next] = ACTIONS(1889),
    [anon_sym_redo] = ACTIONS(1889),
    [anon_sym___FILE__] = ACTIONS(1889),
    [anon_sym___LINE__] = ACTIONS(1889),
    [anon_sym___PACKAGE__] = ACTIONS(1889),
    [anon_sym___SUB__] = ACTIONS(1889),
    [anon_sym_break] = ACTIONS(1889),
    [anon_sym_fork] = ACTIONS(1889),
    [anon_sym_getppid] = ACTIONS(1889),
    [anon_sym_time] = ACTIONS(1889),
    [anon_sym_times] = ACTIONS(1889),
    [anon_sym_wait] = ACTIONS(1889),
    [anon_sym_wantarray] = ACTIONS(1889),
    [anon_sym_abs] = ACTIONS(1889),
    [anon_sym_alarm] = ACTIONS(1889),
    [anon_sym_chop] = ACTIONS(1889),
    [anon_sym_chdir] = ACTIONS(1889),
    [anon_sym_close] = ACTIONS(1889),
    [anon_sym_closedir] = ACTIONS(1889),
    [anon_sym_caller] = ACTIONS(1889),
    [anon_sym_chomp] = ACTIONS(1889),
    [anon_sym_chr] = ACTIONS(1889),
    [anon_sym_cos] = ACTIONS(1889),
    [anon_sym_chroot] = ACTIONS(1889),
    [anon_sym_defined] = ACTIONS(1889),
    [anon_sym_delete] = ACTIONS(1889),
    [anon_sym_dbmclose] = ACTIONS(1889),
    [anon_sym_exists] = ACTIONS(1889),
    [anon_sym_exit] = ACTIONS(1889),
    [anon_sym_eof] = ACTIONS(1889),
    [anon_sym_exp] = ACTIONS(1889),
    [anon_sym_each] = ACTIONS(1889),
    [anon_sym_fc] = ACTIONS(1889),
    [anon_sym_fileno] = ACTIONS(1889),
    [anon_sym_gmtime] = ACTIONS(1889),
    [anon_sym_getc] = ACTIONS(1889),
    [anon_sym_getpgrp] = ACTIONS(1889),
    [anon_sym_getprotobyname] = ACTIONS(1889),
    [anon_sym_getpwname] = ACTIONS(1889),
    [anon_sym_getpwuid] = ACTIONS(1889),
    [anon_sym_getpeername] = ACTIONS(1889),
    [anon_sym_getnetbyname] = ACTIONS(1889),
    [anon_sym_getsockname] = ACTIONS(1889),
    [anon_sym_getgrnam] = ACTIONS(1889),
    [anon_sym_getgrgid] = ACTIONS(1889),
    [anon_sym_hex] = ACTIONS(1889),
    [anon_sym_int] = ACTIONS(1889),
    [anon_sym_keys] = ACTIONS(1889),
    [anon_sym_lc] = ACTIONS(1889),
    [anon_sym_lcfirst] = ACTIONS(1889),
    [anon_sym_length] = ACTIONS(1889),
    [anon_sym_localtime] = ACTIONS(1889),
    [anon_sym_log] = ACTIONS(1889),
    [anon_sym_lock] = ACTIONS(1889),
    [anon_sym_lstat] = ACTIONS(1889),
    [anon_sym_oct] = ACTIONS(1889),
    [anon_sym_ord] = ACTIONS(1889),
    [anon_sym_prototype] = ACTIONS(1889),
    [anon_sym_pop] = ACTIONS(1889),
    [anon_sym_pos] = ACTIONS(1889),
    [anon_sym_quotemeta] = ACTIONS(1889),
    [anon_sym_reset] = ACTIONS(1889),
    [anon_sym_rand] = ACTIONS(1889),
    [anon_sym_rmdir] = ACTIONS(1889),
    [anon_sym_readdir] = ACTIONS(1889),
    [anon_sym_readline] = ACTIONS(1889),
    [anon_sym_readpipe] = ACTIONS(1889),
    [anon_sym_rewinddir] = ACTIONS(1889),
    [anon_sym_readlink] = ACTIONS(1889),
    [anon_sym_ref] = ACTIONS(1889),
    [anon_sym_scalar] = ACTIONS(1889),
    [anon_sym_shift] = ACTIONS(1889),
    [anon_sym_sin] = ACTIONS(1889),
    [anon_sym_sleep] = ACTIONS(1889),
    [anon_sym_sqrt] = ACTIONS(1889),
    [anon_sym_srand] = ACTIONS(1889),
    [anon_sym_stat] = ACTIONS(1889),
    [anon_sym_study] = ACTIONS(1889),
    [anon_sym_tell] = ACTIONS(1889),
    [anon_sym_telldir] = ACTIONS(1889),
    [anon_sym_tied] = ACTIONS(1889),
    [anon_sym_uc] = ACTIONS(1889),
    [anon_sym_ucfirst] = ACTIONS(1889),
    [anon_sym_untie] = ACTIONS(1889),
    [anon_sym_umask] = ACTIONS(1889),
    [anon_sym_values] = ACTIONS(1889),
    [anon_sym_write] = ACTIONS(1889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1889),
    [anon_sym_qq] = ACTIONS(1889),
    [anon_sym_qw] = ACTIONS(1889),
    [anon_sym_qx] = ACTIONS(1889),
    [anon_sym_qr] = ACTIONS(1889),
    [anon_sym_m] = ACTIONS(1889),
    [anon_sym_s] = ACTIONS(1889),
    [anon_sym_tr] = ACTIONS(1889),
    [anon_sym_y] = ACTIONS(1889),
    [aux_sym__bareword_token1] = ACTIONS(1889),
    [sym_number] = ACTIONS(1889),
    [anon_sym_true] = ACTIONS(1889),
    [anon_sym_false] = ACTIONS(1889),
    [sym__single_quote] = ACTIONS(1891),
    [sym__double_quote] = ACTIONS(1891),
    [sym__backtick_quote] = ACTIONS(1891),
    [sym__search_slash_quote] = ACTIONS(1891),
    [sym__open_readline_bracket] = ACTIONS(1891),
    [sym__open_fileglob_bracket] = ACTIONS(1891),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1891),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1891),
    [sym__filetest] = ACTIONS(1891),
  },
  [859] = {
    [sym_heredoc_content] = STATE(859),
    [sym__identifier] = ACTIONS(1838),
    [anon_sym_LBRACE] = ACTIONS(1838),
    [anon_sym_COLON] = ACTIONS(1951),
    [anon_sym_DOLLAR] = ACTIONS(1951),
    [anon_sym_EQ] = ACTIONS(1951),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1951),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1951),
    [anon_sym_AT] = ACTIONS(1951),
    [anon_sym_COMMA] = ACTIONS(1951),
    [anon_sym_RPAREN] = ACTIONS(1951),
    [anon_sym_my] = ACTIONS(1838),
    [anon_sym_extended] = ACTIONS(1838),
    [anon_sym_async] = ACTIONS(1838),
    [anon_sym_sub] = ACTIONS(1838),
    [anon_sym_method] = ACTIONS(1838),
    [anon_sym_LPAREN] = ACTIONS(1838),
    [anon_sym_continue] = ACTIONS(1838),
    [anon_sym_state] = ACTIONS(1838),
    [anon_sym_our] = ACTIONS(1838),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1838),
    [anon_sym_DASH_GT] = ACTIONS(1951),
    [anon_sym_PERCENT] = ACTIONS(1951),
    [anon_sym_GT] = ACTIONS(1951),
    [anon_sym_LT_LT] = ACTIONS(1951),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1951),
    [anon_sym_PLUS_EQ] = ACTIONS(1951),
    [anon_sym_DASH_EQ] = ACTIONS(1951),
    [anon_sym_DOT_EQ] = ACTIONS(1951),
    [anon_sym_STAR_EQ] = ACTIONS(1951),
    [anon_sym_SLASH_EQ] = ACTIONS(1951),
    [anon_sym_PERCENT_EQ] = ACTIONS(1951),
    [anon_sym_x_EQ] = ACTIONS(1951),
    [anon_sym_AMP_EQ] = ACTIONS(1951),
    [anon_sym_PIPE_EQ] = ACTIONS(1951),
    [anon_sym_CARET_EQ] = ACTIONS(1951),
    [anon_sym_LT_LT_EQ] = ACTIONS(1951),
    [anon_sym_GT_GT_EQ] = ACTIONS(1951),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1951),
    [anon_sym_DOT_DOT] = ACTIONS(1951),
    [anon_sym_STAR_STAR] = ACTIONS(1951),
    [anon_sym_PIPE_PIPE] = ACTIONS(1951),
    [anon_sym_SLASH_SLASH] = ACTIONS(1951),
    [anon_sym_CARET_CARET] = ACTIONS(1951),
    [anon_sym_AMP_AMP] = ACTIONS(1951),
    [anon_sym_PIPE] = ACTIONS(1951),
    [anon_sym_CARET] = ACTIONS(1951),
    [anon_sym_AMP] = ACTIONS(1951),
    [anon_sym_GT_GT2] = ACTIONS(1951),
    [anon_sym_PLUS] = ACTIONS(1951),
    [anon_sym_DASH] = ACTIONS(1951),
    [anon_sym_DOT] = ACTIONS(1951),
    [anon_sym_STAR] = ACTIONS(1951),
    [anon_sym_SLASH] = ACTIONS(1951),
    [anon_sym_x] = ACTIONS(1951),
    [anon_sym_EQ_TILDE] = ACTIONS(1951),
    [anon_sym_BANG_TILDE] = ACTIONS(1951),
    [anon_sym_EQ_EQ] = ACTIONS(1951),
    [anon_sym_BANG_EQ] = ACTIONS(1951),
    [anon_sym_eq] = ACTIONS(1951),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1951),
    [anon_sym_equ] = ACTIONS(1951),
    [anon_sym_eqr] = ACTIONS(1951),
    [anon_sym_ne] = ACTIONS(1951),
    [anon_sym_LT_EQ_GT] = ACTIONS(1951),
    [anon_sym_cmp] = ACTIONS(1951),
    [anon_sym_TILDE_TILDE] = ACTIONS(1951),
    [anon_sym_LT] = ACTIONS(1951),
    [anon_sym_LT_EQ] = ACTIONS(1951),
    [anon_sym_GT_EQ] = ACTIONS(1951),
    [anon_sym_lt] = ACTIONS(1951),
    [anon_sym_le] = ACTIONS(1951),
    [anon_sym_ge] = ACTIONS(1951),
    [anon_sym_gt] = ACTIONS(1951),
    [anon_sym_isa] = ACTIONS(1951),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_PLUS_PLUS] = ACTIONS(1951),
    [anon_sym_DASH_DASH] = ACTIONS(1951),
    [anon_sym_QMARK] = ACTIONS(1951),
    [anon_sym_BSLASH] = ACTIONS(1845),
    [anon_sym_do] = ACTIONS(1838),
    [anon_sym_eval] = ACTIONS(1838),
    [anon_sym_await] = ACTIONS(1838),
    [anon_sym_field] = ACTIONS(1838),
    [anon_sym_local] = ACTIONS(1838),
    [anon_sym_dynamically] = ACTIONS(1838),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1838),
    [anon_sym_require] = ACTIONS(1838),
    [anon_sym_map] = ACTIONS(1838),
    [anon_sym_grep] = ACTIONS(1838),
    [anon_sym_sort] = ACTIONS(1838),
    [anon_sym_goto] = ACTIONS(1838),
    [anon_sym_return] = ACTIONS(1838),
    [anon_sym_undef] = ACTIONS(1838),
    [anon_sym_PERCENT2] = ACTIONS(1951),
    [anon_sym_AMP2] = ACTIONS(1838),
    [anon_sym_STAR2] = ACTIONS(1838),
    [anon_sym_EQ_GT] = ACTIONS(1951),
    [anon_sym_last] = ACTIONS(1838),
    [anon_sym_next] = ACTIONS(1838),
    [anon_sym_redo] = ACTIONS(1838),
    [anon_sym___FILE__] = ACTIONS(1838),
    [anon_sym___LINE__] = ACTIONS(1838),
    [anon_sym___PACKAGE__] = ACTIONS(1838),
    [anon_sym___SUB__] = ACTIONS(1838),
    [anon_sym_break] = ACTIONS(1838),
    [anon_sym_fork] = ACTIONS(1838),
    [anon_sym_getppid] = ACTIONS(1838),
    [anon_sym_time] = ACTIONS(1838),
    [anon_sym_times] = ACTIONS(1838),
    [anon_sym_wait] = ACTIONS(1838),
    [anon_sym_wantarray] = ACTIONS(1838),
    [anon_sym_abs] = ACTIONS(1838),
    [anon_sym_alarm] = ACTIONS(1838),
    [anon_sym_chop] = ACTIONS(1838),
    [anon_sym_chdir] = ACTIONS(1838),
    [anon_sym_close] = ACTIONS(1838),
    [anon_sym_closedir] = ACTIONS(1838),
    [anon_sym_caller] = ACTIONS(1838),
    [anon_sym_chomp] = ACTIONS(1838),
    [anon_sym_chr] = ACTIONS(1838),
    [anon_sym_cos] = ACTIONS(1838),
    [anon_sym_chroot] = ACTIONS(1838),
    [anon_sym_defined] = ACTIONS(1838),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_dbmclose] = ACTIONS(1838),
    [anon_sym_exists] = ACTIONS(1838),
    [anon_sym_exit] = ACTIONS(1838),
    [anon_sym_eof] = ACTIONS(1838),
    [anon_sym_exp] = ACTIONS(1838),
    [anon_sym_each] = ACTIONS(1838),
    [anon_sym_fc] = ACTIONS(1838),
    [anon_sym_fileno] = ACTIONS(1838),
    [anon_sym_gmtime] = ACTIONS(1838),
    [anon_sym_getc] = ACTIONS(1838),
    [anon_sym_getpgrp] = ACTIONS(1838),
    [anon_sym_getprotobyname] = ACTIONS(1838),
    [anon_sym_getpwname] = ACTIONS(1838),
    [anon_sym_getpwuid] = ACTIONS(1838),
    [anon_sym_getpeername] = ACTIONS(1838),
    [anon_sym_getnetbyname] = ACTIONS(1838),
    [anon_sym_getsockname] = ACTIONS(1838),
    [anon_sym_getgrnam] = ACTIONS(1838),
    [anon_sym_getgrgid] = ACTIONS(1838),
    [anon_sym_hex] = ACTIONS(1838),
    [anon_sym_int] = ACTIONS(1838),
    [anon_sym_keys] = ACTIONS(1838),
    [anon_sym_lc] = ACTIONS(1838),
    [anon_sym_lcfirst] = ACTIONS(1838),
    [anon_sym_length] = ACTIONS(1838),
    [anon_sym_localtime] = ACTIONS(1838),
    [anon_sym_log] = ACTIONS(1838),
    [anon_sym_lock] = ACTIONS(1838),
    [anon_sym_lstat] = ACTIONS(1838),
    [anon_sym_oct] = ACTIONS(1838),
    [anon_sym_ord] = ACTIONS(1838),
    [anon_sym_prototype] = ACTIONS(1838),
    [anon_sym_pop] = ACTIONS(1838),
    [anon_sym_pos] = ACTIONS(1838),
    [anon_sym_quotemeta] = ACTIONS(1838),
    [anon_sym_reset] = ACTIONS(1838),
    [anon_sym_rand] = ACTIONS(1838),
    [anon_sym_rmdir] = ACTIONS(1838),
    [anon_sym_readdir] = ACTIONS(1838),
    [anon_sym_readline] = ACTIONS(1838),
    [anon_sym_readpipe] = ACTIONS(1838),
    [anon_sym_rewinddir] = ACTIONS(1838),
    [anon_sym_readlink] = ACTIONS(1838),
    [anon_sym_ref] = ACTIONS(1838),
    [anon_sym_scalar] = ACTIONS(1838),
    [anon_sym_shift] = ACTIONS(1838),
    [anon_sym_sin] = ACTIONS(1838),
    [anon_sym_sleep] = ACTIONS(1838),
    [anon_sym_sqrt] = ACTIONS(1838),
    [anon_sym_srand] = ACTIONS(1838),
    [anon_sym_stat] = ACTIONS(1838),
    [anon_sym_study] = ACTIONS(1838),
    [anon_sym_tell] = ACTIONS(1838),
    [anon_sym_telldir] = ACTIONS(1838),
    [anon_sym_tied] = ACTIONS(1838),
    [anon_sym_uc] = ACTIONS(1838),
    [anon_sym_ucfirst] = ACTIONS(1838),
    [anon_sym_untie] = ACTIONS(1838),
    [anon_sym_umask] = ACTIONS(1838),
    [anon_sym_values] = ACTIONS(1838),
    [anon_sym_write] = ACTIONS(1838),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1838),
    [anon_sym_qq] = ACTIONS(1838),
    [anon_sym_qw] = ACTIONS(1838),
    [anon_sym_qx] = ACTIONS(1838),
    [anon_sym_qr] = ACTIONS(1838),
    [anon_sym_m] = ACTIONS(1838),
    [anon_sym_s] = ACTIONS(1838),
    [anon_sym_tr] = ACTIONS(1838),
    [anon_sym_y] = ACTIONS(1838),
    [aux_sym__bareword_token1] = ACTIONS(1838),
    [sym_number] = ACTIONS(1838),
    [anon_sym_true] = ACTIONS(1838),
    [anon_sym_false] = ACTIONS(1838),
    [sym__single_quote] = ACTIONS(1845),
    [sym__double_quote] = ACTIONS(1845),
    [sym__backtick_quote] = ACTIONS(1845),
    [sym__search_slash_quote] = ACTIONS(1845),
    [sym__open_readline_bracket] = ACTIONS(1845),
    [sym__open_fileglob_bracket] = ACTIONS(1845),
    [sym__PERLY_HEREDOC] = ACTIONS(1845),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1845),
    [sym__filetest] = ACTIONS(1845),
  },
  [860] = {
    [sym_heredoc_content] = STATE(860),
    [sym__identifier] = ACTIONS(1661),
    [anon_sym_LBRACE] = ACTIONS(1661),
    [anon_sym_SEMI] = ACTIONS(1663),
    [anon_sym_DOLLAR] = ACTIONS(1661),
    [anon_sym_EQ] = ACTIONS(1663),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1663),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1663),
    [anon_sym_AT] = ACTIONS(1661),
    [anon_sym_COMMA] = ACTIONS(1663),
    [anon_sym_my] = ACTIONS(1661),
    [anon_sym_extended] = ACTIONS(1661),
    [anon_sym_async] = ACTIONS(1661),
    [anon_sym_sub] = ACTIONS(1661),
    [anon_sym_method] = ACTIONS(1661),
    [anon_sym_LPAREN] = ACTIONS(1661),
    [anon_sym_continue] = ACTIONS(1661),
    [anon_sym_state] = ACTIONS(1661),
    [anon_sym_our] = ACTIONS(1661),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1663),
    [anon_sym_LBRACK] = ACTIONS(1661),
    [anon_sym_DASH_GT] = ACTIONS(1663),
    [anon_sym_PERCENT] = ACTIONS(1663),
    [anon_sym_GT] = ACTIONS(1663),
    [anon_sym_LT_LT] = ACTIONS(1663),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1663),
    [anon_sym_PLUS_EQ] = ACTIONS(1663),
    [anon_sym_DASH_EQ] = ACTIONS(1663),
    [anon_sym_DOT_EQ] = ACTIONS(1663),
    [anon_sym_STAR_EQ] = ACTIONS(1663),
    [anon_sym_SLASH_EQ] = ACTIONS(1663),
    [anon_sym_PERCENT_EQ] = ACTIONS(1663),
    [anon_sym_x_EQ] = ACTIONS(1663),
    [anon_sym_AMP_EQ] = ACTIONS(1663),
    [anon_sym_PIPE_EQ] = ACTIONS(1663),
    [anon_sym_CARET_EQ] = ACTIONS(1663),
    [anon_sym_LT_LT_EQ] = ACTIONS(1663),
    [anon_sym_GT_GT_EQ] = ACTIONS(1663),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1663),
    [anon_sym_DOT_DOT] = ACTIONS(1663),
    [anon_sym_STAR_STAR] = ACTIONS(1663),
    [anon_sym_PIPE_PIPE] = ACTIONS(1663),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_CARET_CARET] = ACTIONS(1663),
    [anon_sym_AMP_AMP] = ACTIONS(1663),
    [anon_sym_PIPE] = ACTIONS(1663),
    [anon_sym_CARET] = ACTIONS(1663),
    [anon_sym_AMP] = ACTIONS(1663),
    [anon_sym_GT_GT2] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(1663),
    [anon_sym_DASH] = ACTIONS(1663),
    [anon_sym_DOT] = ACTIONS(1663),
    [anon_sym_STAR] = ACTIONS(1663),
    [anon_sym_SLASH] = ACTIONS(1663),
    [anon_sym_x] = ACTIONS(1663),
    [anon_sym_EQ_TILDE] = ACTIONS(1663),
    [anon_sym_BANG_TILDE] = ACTIONS(1663),
    [anon_sym_EQ_EQ] = ACTIONS(1663),
    [anon_sym_BANG_EQ] = ACTIONS(1663),
    [anon_sym_eq] = ACTIONS(1663),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1663),
    [anon_sym_equ] = ACTIONS(1663),
    [anon_sym_eqr] = ACTIONS(1663),
    [anon_sym_ne] = ACTIONS(1663),
    [anon_sym_LT_EQ_GT] = ACTIONS(1663),
    [anon_sym_cmp] = ACTIONS(1663),
    [anon_sym_TILDE_TILDE] = ACTIONS(1663),
    [anon_sym_LT] = ACTIONS(1663),
    [anon_sym_LT_EQ] = ACTIONS(1663),
    [anon_sym_GT_EQ] = ACTIONS(1663),
    [anon_sym_lt] = ACTIONS(1663),
    [anon_sym_le] = ACTIONS(1663),
    [anon_sym_ge] = ACTIONS(1663),
    [anon_sym_gt] = ACTIONS(1663),
    [anon_sym_isa] = ACTIONS(1663),
    [anon_sym_TILDE] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1661),
    [anon_sym_PLUS_PLUS] = ACTIONS(1663),
    [anon_sym_DASH_DASH] = ACTIONS(1663),
    [anon_sym_QMARK] = ACTIONS(1663),
    [anon_sym_BSLASH] = ACTIONS(1659),
    [anon_sym_do] = ACTIONS(1661),
    [anon_sym_eval] = ACTIONS(1661),
    [anon_sym_await] = ACTIONS(1661),
    [anon_sym_field] = ACTIONS(1661),
    [anon_sym_local] = ACTIONS(1661),
    [anon_sym_dynamically] = ACTIONS(1661),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1661),
    [anon_sym_require] = ACTIONS(1661),
    [anon_sym_map] = ACTIONS(1661),
    [anon_sym_grep] = ACTIONS(1661),
    [anon_sym_sort] = ACTIONS(1661),
    [anon_sym_goto] = ACTIONS(1661),
    [anon_sym_return] = ACTIONS(1661),
    [anon_sym_undef] = ACTIONS(1661),
    [anon_sym_PERCENT2] = ACTIONS(1661),
    [anon_sym_AMP2] = ACTIONS(1661),
    [anon_sym_STAR2] = ACTIONS(1661),
    [anon_sym_EQ_GT] = ACTIONS(1663),
    [anon_sym_last] = ACTIONS(1661),
    [anon_sym_next] = ACTIONS(1661),
    [anon_sym_redo] = ACTIONS(1661),
    [anon_sym___FILE__] = ACTIONS(1661),
    [anon_sym___LINE__] = ACTIONS(1661),
    [anon_sym___PACKAGE__] = ACTIONS(1661),
    [anon_sym___SUB__] = ACTIONS(1661),
    [anon_sym_break] = ACTIONS(1661),
    [anon_sym_fork] = ACTIONS(1661),
    [anon_sym_getppid] = ACTIONS(1661),
    [anon_sym_time] = ACTIONS(1661),
    [anon_sym_times] = ACTIONS(1661),
    [anon_sym_wait] = ACTIONS(1661),
    [anon_sym_wantarray] = ACTIONS(1661),
    [anon_sym_abs] = ACTIONS(1661),
    [anon_sym_alarm] = ACTIONS(1661),
    [anon_sym_chop] = ACTIONS(1661),
    [anon_sym_chdir] = ACTIONS(1661),
    [anon_sym_close] = ACTIONS(1661),
    [anon_sym_closedir] = ACTIONS(1661),
    [anon_sym_caller] = ACTIONS(1661),
    [anon_sym_chomp] = ACTIONS(1661),
    [anon_sym_chr] = ACTIONS(1661),
    [anon_sym_cos] = ACTIONS(1661),
    [anon_sym_chroot] = ACTIONS(1661),
    [anon_sym_defined] = ACTIONS(1661),
    [anon_sym_delete] = ACTIONS(1661),
    [anon_sym_dbmclose] = ACTIONS(1661),
    [anon_sym_exists] = ACTIONS(1661),
    [anon_sym_exit] = ACTIONS(1661),
    [anon_sym_eof] = ACTIONS(1661),
    [anon_sym_exp] = ACTIONS(1661),
    [anon_sym_each] = ACTIONS(1661),
    [anon_sym_fc] = ACTIONS(1661),
    [anon_sym_fileno] = ACTIONS(1661),
    [anon_sym_gmtime] = ACTIONS(1661),
    [anon_sym_getc] = ACTIONS(1661),
    [anon_sym_getpgrp] = ACTIONS(1661),
    [anon_sym_getprotobyname] = ACTIONS(1661),
    [anon_sym_getpwname] = ACTIONS(1661),
    [anon_sym_getpwuid] = ACTIONS(1661),
    [anon_sym_getpeername] = ACTIONS(1661),
    [anon_sym_getnetbyname] = ACTIONS(1661),
    [anon_sym_getsockname] = ACTIONS(1661),
    [anon_sym_getgrnam] = ACTIONS(1661),
    [anon_sym_getgrgid] = ACTIONS(1661),
    [anon_sym_hex] = ACTIONS(1661),
    [anon_sym_int] = ACTIONS(1661),
    [anon_sym_keys] = ACTIONS(1661),
    [anon_sym_lc] = ACTIONS(1661),
    [anon_sym_lcfirst] = ACTIONS(1661),
    [anon_sym_length] = ACTIONS(1661),
    [anon_sym_localtime] = ACTIONS(1661),
    [anon_sym_log] = ACTIONS(1661),
    [anon_sym_lock] = ACTIONS(1661),
    [anon_sym_lstat] = ACTIONS(1661),
    [anon_sym_oct] = ACTIONS(1661),
    [anon_sym_ord] = ACTIONS(1661),
    [anon_sym_prototype] = ACTIONS(1661),
    [anon_sym_pop] = ACTIONS(1661),
    [anon_sym_pos] = ACTIONS(1661),
    [anon_sym_quotemeta] = ACTIONS(1661),
    [anon_sym_reset] = ACTIONS(1661),
    [anon_sym_rand] = ACTIONS(1661),
    [anon_sym_rmdir] = ACTIONS(1661),
    [anon_sym_readdir] = ACTIONS(1661),
    [anon_sym_readline] = ACTIONS(1661),
    [anon_sym_readpipe] = ACTIONS(1661),
    [anon_sym_rewinddir] = ACTIONS(1661),
    [anon_sym_readlink] = ACTIONS(1661),
    [anon_sym_ref] = ACTIONS(1661),
    [anon_sym_scalar] = ACTIONS(1661),
    [anon_sym_shift] = ACTIONS(1661),
    [anon_sym_sin] = ACTIONS(1661),
    [anon_sym_sleep] = ACTIONS(1661),
    [anon_sym_sqrt] = ACTIONS(1661),
    [anon_sym_srand] = ACTIONS(1661),
    [anon_sym_stat] = ACTIONS(1661),
    [anon_sym_study] = ACTIONS(1661),
    [anon_sym_tell] = ACTIONS(1661),
    [anon_sym_telldir] = ACTIONS(1661),
    [anon_sym_tied] = ACTIONS(1661),
    [anon_sym_uc] = ACTIONS(1661),
    [anon_sym_ucfirst] = ACTIONS(1661),
    [anon_sym_untie] = ACTIONS(1661),
    [anon_sym_umask] = ACTIONS(1661),
    [anon_sym_values] = ACTIONS(1661),
    [anon_sym_write] = ACTIONS(1661),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1661),
    [anon_sym_qq] = ACTIONS(1661),
    [anon_sym_qw] = ACTIONS(1661),
    [anon_sym_qx] = ACTIONS(1661),
    [anon_sym_qr] = ACTIONS(1661),
    [anon_sym_m] = ACTIONS(1661),
    [anon_sym_s] = ACTIONS(1661),
    [anon_sym_tr] = ACTIONS(1661),
    [anon_sym_y] = ACTIONS(1661),
    [aux_sym__bareword_token1] = ACTIONS(1661),
    [sym_number] = ACTIONS(1661),
    [anon_sym_true] = ACTIONS(1661),
    [anon_sym_false] = ACTIONS(1661),
    [sym__single_quote] = ACTIONS(1659),
    [sym__double_quote] = ACTIONS(1659),
    [sym__backtick_quote] = ACTIONS(1659),
    [sym__search_slash_quote] = ACTIONS(1659),
    [sym__open_readline_bracket] = ACTIONS(1659),
    [sym__open_fileglob_bracket] = ACTIONS(1659),
    [sym__PERLY_SEMICOLON] = ACTIONS(1665),
    [sym__PERLY_HEREDOC] = ACTIONS(1659),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1659),
    [sym__filetest] = ACTIONS(1659),
  },
  [861] = {
    [sym_heredoc_content] = STATE(861),
    [sym__identifier] = ACTIONS(1828),
    [anon_sym_LBRACE] = ACTIONS(1830),
    [anon_sym_SEMI] = ACTIONS(1828),
    [anon_sym_DOLLAR] = ACTIONS(1828),
    [anon_sym_EQ] = ACTIONS(1828),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1828),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1828),
    [anon_sym_AT] = ACTIONS(1828),
    [anon_sym_COMMA] = ACTIONS(1828),
    [anon_sym_my] = ACTIONS(1828),
    [anon_sym_extended] = ACTIONS(1828),
    [anon_sym_async] = ACTIONS(1828),
    [anon_sym_sub] = ACTIONS(1828),
    [anon_sym_method] = ACTIONS(1828),
    [anon_sym_LPAREN] = ACTIONS(1828),
    [anon_sym_continue] = ACTIONS(1828),
    [anon_sym_state] = ACTIONS(1828),
    [anon_sym_our] = ACTIONS(1828),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1828),
    [anon_sym_LBRACK] = ACTIONS(1830),
    [anon_sym_DASH_GT] = ACTIONS(1828),
    [anon_sym_PERCENT] = ACTIONS(1828),
    [anon_sym_GT] = ACTIONS(1828),
    [anon_sym_LT_LT] = ACTIONS(1828),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1828),
    [anon_sym_PLUS_EQ] = ACTIONS(1828),
    [anon_sym_DASH_EQ] = ACTIONS(1828),
    [anon_sym_DOT_EQ] = ACTIONS(1828),
    [anon_sym_STAR_EQ] = ACTIONS(1828),
    [anon_sym_SLASH_EQ] = ACTIONS(1828),
    [anon_sym_PERCENT_EQ] = ACTIONS(1828),
    [anon_sym_x_EQ] = ACTIONS(1828),
    [anon_sym_AMP_EQ] = ACTIONS(1828),
    [anon_sym_PIPE_EQ] = ACTIONS(1828),
    [anon_sym_CARET_EQ] = ACTIONS(1828),
    [anon_sym_LT_LT_EQ] = ACTIONS(1828),
    [anon_sym_GT_GT_EQ] = ACTIONS(1828),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1828),
    [anon_sym_DOT_DOT] = ACTIONS(1828),
    [anon_sym_STAR_STAR] = ACTIONS(1828),
    [anon_sym_PIPE_PIPE] = ACTIONS(1828),
    [anon_sym_SLASH_SLASH] = ACTIONS(1828),
    [anon_sym_CARET_CARET] = ACTIONS(1828),
    [anon_sym_AMP_AMP] = ACTIONS(1828),
    [anon_sym_PIPE] = ACTIONS(1828),
    [anon_sym_CARET] = ACTIONS(1828),
    [anon_sym_AMP] = ACTIONS(1828),
    [anon_sym_GT_GT2] = ACTIONS(1828),
    [anon_sym_PLUS] = ACTIONS(1828),
    [anon_sym_DASH] = ACTIONS(1828),
    [anon_sym_DOT] = ACTIONS(1828),
    [anon_sym_STAR] = ACTIONS(1828),
    [anon_sym_SLASH] = ACTIONS(1828),
    [anon_sym_x] = ACTIONS(1828),
    [anon_sym_EQ_TILDE] = ACTIONS(1828),
    [anon_sym_BANG_TILDE] = ACTIONS(1828),
    [anon_sym_EQ_EQ] = ACTIONS(1828),
    [anon_sym_BANG_EQ] = ACTIONS(1828),
    [anon_sym_eq] = ACTIONS(1828),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1828),
    [anon_sym_equ] = ACTIONS(1828),
    [anon_sym_eqr] = ACTIONS(1828),
    [anon_sym_ne] = ACTIONS(1828),
    [anon_sym_LT_EQ_GT] = ACTIONS(1828),
    [anon_sym_cmp] = ACTIONS(1828),
    [anon_sym_TILDE_TILDE] = ACTIONS(1828),
    [anon_sym_LT] = ACTIONS(1828),
    [anon_sym_LT_EQ] = ACTIONS(1828),
    [anon_sym_GT_EQ] = ACTIONS(1828),
    [anon_sym_lt] = ACTIONS(1828),
    [anon_sym_le] = ACTIONS(1828),
    [anon_sym_ge] = ACTIONS(1828),
    [anon_sym_gt] = ACTIONS(1828),
    [anon_sym_isa] = ACTIONS(1828),
    [anon_sym_TILDE] = ACTIONS(1828),
    [anon_sym_BANG] = ACTIONS(1828),
    [anon_sym_PLUS_PLUS] = ACTIONS(1828),
    [anon_sym_DASH_DASH] = ACTIONS(1828),
    [anon_sym_QMARK] = ACTIONS(1828),
    [anon_sym_BSLASH] = ACTIONS(1832),
    [anon_sym_do] = ACTIONS(1828),
    [anon_sym_eval] = ACTIONS(1828),
    [anon_sym_await] = ACTIONS(1828),
    [anon_sym_field] = ACTIONS(1828),
    [anon_sym_local] = ACTIONS(1828),
    [anon_sym_dynamically] = ACTIONS(1828),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1828),
    [anon_sym_require] = ACTIONS(1828),
    [anon_sym_map] = ACTIONS(1828),
    [anon_sym_grep] = ACTIONS(1828),
    [anon_sym_sort] = ACTIONS(1828),
    [anon_sym_goto] = ACTIONS(1828),
    [anon_sym_return] = ACTIONS(1828),
    [anon_sym_undef] = ACTIONS(1828),
    [anon_sym_PERCENT2] = ACTIONS(1828),
    [anon_sym_AMP2] = ACTIONS(1828),
    [anon_sym_STAR2] = ACTIONS(1828),
    [anon_sym_EQ_GT] = ACTIONS(1828),
    [anon_sym_last] = ACTIONS(1828),
    [anon_sym_next] = ACTIONS(1828),
    [anon_sym_redo] = ACTIONS(1828),
    [anon_sym___FILE__] = ACTIONS(1828),
    [anon_sym___LINE__] = ACTIONS(1828),
    [anon_sym___PACKAGE__] = ACTIONS(1828),
    [anon_sym___SUB__] = ACTIONS(1828),
    [anon_sym_break] = ACTIONS(1828),
    [anon_sym_fork] = ACTIONS(1828),
    [anon_sym_getppid] = ACTIONS(1828),
    [anon_sym_time] = ACTIONS(1828),
    [anon_sym_times] = ACTIONS(1828),
    [anon_sym_wait] = ACTIONS(1828),
    [anon_sym_wantarray] = ACTIONS(1828),
    [anon_sym_abs] = ACTIONS(1828),
    [anon_sym_alarm] = ACTIONS(1828),
    [anon_sym_chop] = ACTIONS(1828),
    [anon_sym_chdir] = ACTIONS(1828),
    [anon_sym_close] = ACTIONS(1828),
    [anon_sym_closedir] = ACTIONS(1828),
    [anon_sym_caller] = ACTIONS(1828),
    [anon_sym_chomp] = ACTIONS(1828),
    [anon_sym_chr] = ACTIONS(1828),
    [anon_sym_cos] = ACTIONS(1828),
    [anon_sym_chroot] = ACTIONS(1828),
    [anon_sym_defined] = ACTIONS(1828),
    [anon_sym_delete] = ACTIONS(1828),
    [anon_sym_dbmclose] = ACTIONS(1828),
    [anon_sym_exists] = ACTIONS(1828),
    [anon_sym_exit] = ACTIONS(1828),
    [anon_sym_eof] = ACTIONS(1828),
    [anon_sym_exp] = ACTIONS(1828),
    [anon_sym_each] = ACTIONS(1828),
    [anon_sym_fc] = ACTIONS(1828),
    [anon_sym_fileno] = ACTIONS(1828),
    [anon_sym_gmtime] = ACTIONS(1828),
    [anon_sym_getc] = ACTIONS(1828),
    [anon_sym_getpgrp] = ACTIONS(1828),
    [anon_sym_getprotobyname] = ACTIONS(1828),
    [anon_sym_getpwname] = ACTIONS(1828),
    [anon_sym_getpwuid] = ACTIONS(1828),
    [anon_sym_getpeername] = ACTIONS(1828),
    [anon_sym_getnetbyname] = ACTIONS(1828),
    [anon_sym_getsockname] = ACTIONS(1828),
    [anon_sym_getgrnam] = ACTIONS(1828),
    [anon_sym_getgrgid] = ACTIONS(1828),
    [anon_sym_hex] = ACTIONS(1828),
    [anon_sym_int] = ACTIONS(1828),
    [anon_sym_keys] = ACTIONS(1828),
    [anon_sym_lc] = ACTIONS(1828),
    [anon_sym_lcfirst] = ACTIONS(1828),
    [anon_sym_length] = ACTIONS(1828),
    [anon_sym_localtime] = ACTIONS(1828),
    [anon_sym_log] = ACTIONS(1828),
    [anon_sym_lock] = ACTIONS(1828),
    [anon_sym_lstat] = ACTIONS(1828),
    [anon_sym_oct] = ACTIONS(1828),
    [anon_sym_ord] = ACTIONS(1828),
    [anon_sym_prototype] = ACTIONS(1828),
    [anon_sym_pop] = ACTIONS(1828),
    [anon_sym_pos] = ACTIONS(1828),
    [anon_sym_quotemeta] = ACTIONS(1828),
    [anon_sym_reset] = ACTIONS(1828),
    [anon_sym_rand] = ACTIONS(1828),
    [anon_sym_rmdir] = ACTIONS(1828),
    [anon_sym_readdir] = ACTIONS(1828),
    [anon_sym_readline] = ACTIONS(1828),
    [anon_sym_readpipe] = ACTIONS(1828),
    [anon_sym_rewinddir] = ACTIONS(1828),
    [anon_sym_readlink] = ACTIONS(1828),
    [anon_sym_ref] = ACTIONS(1828),
    [anon_sym_scalar] = ACTIONS(1828),
    [anon_sym_shift] = ACTIONS(1828),
    [anon_sym_sin] = ACTIONS(1828),
    [anon_sym_sleep] = ACTIONS(1828),
    [anon_sym_sqrt] = ACTIONS(1828),
    [anon_sym_srand] = ACTIONS(1828),
    [anon_sym_stat] = ACTIONS(1828),
    [anon_sym_study] = ACTIONS(1828),
    [anon_sym_tell] = ACTIONS(1828),
    [anon_sym_telldir] = ACTIONS(1828),
    [anon_sym_tied] = ACTIONS(1828),
    [anon_sym_uc] = ACTIONS(1828),
    [anon_sym_ucfirst] = ACTIONS(1828),
    [anon_sym_untie] = ACTIONS(1828),
    [anon_sym_umask] = ACTIONS(1828),
    [anon_sym_values] = ACTIONS(1828),
    [anon_sym_write] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1828),
    [anon_sym_qq] = ACTIONS(1828),
    [anon_sym_qw] = ACTIONS(1828),
    [anon_sym_qx] = ACTIONS(1828),
    [anon_sym_qr] = ACTIONS(1828),
    [anon_sym_m] = ACTIONS(1828),
    [anon_sym_s] = ACTIONS(1828),
    [anon_sym_tr] = ACTIONS(1828),
    [anon_sym_y] = ACTIONS(1828),
    [aux_sym__bareword_token1] = ACTIONS(1828),
    [sym_number] = ACTIONS(1828),
    [anon_sym_true] = ACTIONS(1828),
    [anon_sym_false] = ACTIONS(1828),
    [sym__single_quote] = ACTIONS(1832),
    [sym__double_quote] = ACTIONS(1832),
    [sym__backtick_quote] = ACTIONS(1832),
    [sym__search_slash_quote] = ACTIONS(1832),
    [sym__open_readline_bracket] = ACTIONS(1832),
    [sym__open_fileglob_bracket] = ACTIONS(1832),
    [sym__PERLY_SEMICOLON] = ACTIONS(1832),
    [sym__PERLY_HEREDOC] = ACTIONS(1832),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1832),
    [sym__filetest] = ACTIONS(1832),
  },
  [862] = {
    [sym_heredoc_content] = STATE(862),
    [sym__identifier] = ACTIONS(1661),
    [anon_sym_LBRACE] = ACTIONS(1661),
    [anon_sym_COLON] = ACTIONS(1663),
    [anon_sym_DOLLAR] = ACTIONS(1663),
    [anon_sym_EQ] = ACTIONS(1663),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1663),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1663),
    [anon_sym_AT] = ACTIONS(1663),
    [anon_sym_COMMA] = ACTIONS(1663),
    [anon_sym_RPAREN] = ACTIONS(1663),
    [anon_sym_my] = ACTIONS(1661),
    [anon_sym_extended] = ACTIONS(1661),
    [anon_sym_async] = ACTIONS(1661),
    [anon_sym_sub] = ACTIONS(1661),
    [anon_sym_method] = ACTIONS(1661),
    [anon_sym_LPAREN] = ACTIONS(1661),
    [anon_sym_continue] = ACTIONS(1661),
    [anon_sym_state] = ACTIONS(1661),
    [anon_sym_our] = ACTIONS(1661),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1663),
    [anon_sym_LBRACK] = ACTIONS(1661),
    [anon_sym_DASH_GT] = ACTIONS(1663),
    [anon_sym_PERCENT] = ACTIONS(1663),
    [anon_sym_GT] = ACTIONS(1663),
    [anon_sym_LT_LT] = ACTIONS(1663),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1663),
    [anon_sym_PLUS_EQ] = ACTIONS(1663),
    [anon_sym_DASH_EQ] = ACTIONS(1663),
    [anon_sym_DOT_EQ] = ACTIONS(1663),
    [anon_sym_STAR_EQ] = ACTIONS(1663),
    [anon_sym_SLASH_EQ] = ACTIONS(1663),
    [anon_sym_PERCENT_EQ] = ACTIONS(1663),
    [anon_sym_x_EQ] = ACTIONS(1663),
    [anon_sym_AMP_EQ] = ACTIONS(1663),
    [anon_sym_PIPE_EQ] = ACTIONS(1663),
    [anon_sym_CARET_EQ] = ACTIONS(1663),
    [anon_sym_LT_LT_EQ] = ACTIONS(1663),
    [anon_sym_GT_GT_EQ] = ACTIONS(1663),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1663),
    [anon_sym_DOT_DOT] = ACTIONS(1663),
    [anon_sym_STAR_STAR] = ACTIONS(1663),
    [anon_sym_PIPE_PIPE] = ACTIONS(1663),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_CARET_CARET] = ACTIONS(1663),
    [anon_sym_AMP_AMP] = ACTIONS(1663),
    [anon_sym_PIPE] = ACTIONS(1663),
    [anon_sym_CARET] = ACTIONS(1663),
    [anon_sym_AMP] = ACTIONS(1663),
    [anon_sym_GT_GT2] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(1663),
    [anon_sym_DASH] = ACTIONS(1663),
    [anon_sym_DOT] = ACTIONS(1663),
    [anon_sym_STAR] = ACTIONS(1663),
    [anon_sym_SLASH] = ACTIONS(1663),
    [anon_sym_x] = ACTIONS(1663),
    [anon_sym_EQ_TILDE] = ACTIONS(1663),
    [anon_sym_BANG_TILDE] = ACTIONS(1663),
    [anon_sym_EQ_EQ] = ACTIONS(1663),
    [anon_sym_BANG_EQ] = ACTIONS(1663),
    [anon_sym_eq] = ACTIONS(1663),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1663),
    [anon_sym_equ] = ACTIONS(1663),
    [anon_sym_eqr] = ACTIONS(1663),
    [anon_sym_ne] = ACTIONS(1663),
    [anon_sym_LT_EQ_GT] = ACTIONS(1663),
    [anon_sym_cmp] = ACTIONS(1663),
    [anon_sym_TILDE_TILDE] = ACTIONS(1663),
    [anon_sym_LT] = ACTIONS(1663),
    [anon_sym_LT_EQ] = ACTIONS(1663),
    [anon_sym_GT_EQ] = ACTIONS(1663),
    [anon_sym_lt] = ACTIONS(1663),
    [anon_sym_le] = ACTIONS(1663),
    [anon_sym_ge] = ACTIONS(1663),
    [anon_sym_gt] = ACTIONS(1663),
    [anon_sym_isa] = ACTIONS(1663),
    [anon_sym_TILDE] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1661),
    [anon_sym_PLUS_PLUS] = ACTIONS(1663),
    [anon_sym_DASH_DASH] = ACTIONS(1663),
    [anon_sym_QMARK] = ACTIONS(1663),
    [anon_sym_BSLASH] = ACTIONS(1659),
    [anon_sym_do] = ACTIONS(1661),
    [anon_sym_eval] = ACTIONS(1661),
    [anon_sym_await] = ACTIONS(1661),
    [anon_sym_field] = ACTIONS(1661),
    [anon_sym_local] = ACTIONS(1661),
    [anon_sym_dynamically] = ACTIONS(1661),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1661),
    [anon_sym_require] = ACTIONS(1661),
    [anon_sym_map] = ACTIONS(1661),
    [anon_sym_grep] = ACTIONS(1661),
    [anon_sym_sort] = ACTIONS(1661),
    [anon_sym_goto] = ACTIONS(1661),
    [anon_sym_return] = ACTIONS(1661),
    [anon_sym_undef] = ACTIONS(1661),
    [anon_sym_PERCENT2] = ACTIONS(1663),
    [anon_sym_AMP2] = ACTIONS(1661),
    [anon_sym_STAR2] = ACTIONS(1661),
    [anon_sym_EQ_GT] = ACTIONS(1663),
    [anon_sym_last] = ACTIONS(1661),
    [anon_sym_next] = ACTIONS(1661),
    [anon_sym_redo] = ACTIONS(1661),
    [anon_sym___FILE__] = ACTIONS(1661),
    [anon_sym___LINE__] = ACTIONS(1661),
    [anon_sym___PACKAGE__] = ACTIONS(1661),
    [anon_sym___SUB__] = ACTIONS(1661),
    [anon_sym_break] = ACTIONS(1661),
    [anon_sym_fork] = ACTIONS(1661),
    [anon_sym_getppid] = ACTIONS(1661),
    [anon_sym_time] = ACTIONS(1661),
    [anon_sym_times] = ACTIONS(1661),
    [anon_sym_wait] = ACTIONS(1661),
    [anon_sym_wantarray] = ACTIONS(1661),
    [anon_sym_abs] = ACTIONS(1661),
    [anon_sym_alarm] = ACTIONS(1661),
    [anon_sym_chop] = ACTIONS(1661),
    [anon_sym_chdir] = ACTIONS(1661),
    [anon_sym_close] = ACTIONS(1661),
    [anon_sym_closedir] = ACTIONS(1661),
    [anon_sym_caller] = ACTIONS(1661),
    [anon_sym_chomp] = ACTIONS(1661),
    [anon_sym_chr] = ACTIONS(1661),
    [anon_sym_cos] = ACTIONS(1661),
    [anon_sym_chroot] = ACTIONS(1661),
    [anon_sym_defined] = ACTIONS(1661),
    [anon_sym_delete] = ACTIONS(1661),
    [anon_sym_dbmclose] = ACTIONS(1661),
    [anon_sym_exists] = ACTIONS(1661),
    [anon_sym_exit] = ACTIONS(1661),
    [anon_sym_eof] = ACTIONS(1661),
    [anon_sym_exp] = ACTIONS(1661),
    [anon_sym_each] = ACTIONS(1661),
    [anon_sym_fc] = ACTIONS(1661),
    [anon_sym_fileno] = ACTIONS(1661),
    [anon_sym_gmtime] = ACTIONS(1661),
    [anon_sym_getc] = ACTIONS(1661),
    [anon_sym_getpgrp] = ACTIONS(1661),
    [anon_sym_getprotobyname] = ACTIONS(1661),
    [anon_sym_getpwname] = ACTIONS(1661),
    [anon_sym_getpwuid] = ACTIONS(1661),
    [anon_sym_getpeername] = ACTIONS(1661),
    [anon_sym_getnetbyname] = ACTIONS(1661),
    [anon_sym_getsockname] = ACTIONS(1661),
    [anon_sym_getgrnam] = ACTIONS(1661),
    [anon_sym_getgrgid] = ACTIONS(1661),
    [anon_sym_hex] = ACTIONS(1661),
    [anon_sym_int] = ACTIONS(1661),
    [anon_sym_keys] = ACTIONS(1661),
    [anon_sym_lc] = ACTIONS(1661),
    [anon_sym_lcfirst] = ACTIONS(1661),
    [anon_sym_length] = ACTIONS(1661),
    [anon_sym_localtime] = ACTIONS(1661),
    [anon_sym_log] = ACTIONS(1661),
    [anon_sym_lock] = ACTIONS(1661),
    [anon_sym_lstat] = ACTIONS(1661),
    [anon_sym_oct] = ACTIONS(1661),
    [anon_sym_ord] = ACTIONS(1661),
    [anon_sym_prototype] = ACTIONS(1661),
    [anon_sym_pop] = ACTIONS(1661),
    [anon_sym_pos] = ACTIONS(1661),
    [anon_sym_quotemeta] = ACTIONS(1661),
    [anon_sym_reset] = ACTIONS(1661),
    [anon_sym_rand] = ACTIONS(1661),
    [anon_sym_rmdir] = ACTIONS(1661),
    [anon_sym_readdir] = ACTIONS(1661),
    [anon_sym_readline] = ACTIONS(1661),
    [anon_sym_readpipe] = ACTIONS(1661),
    [anon_sym_rewinddir] = ACTIONS(1661),
    [anon_sym_readlink] = ACTIONS(1661),
    [anon_sym_ref] = ACTIONS(1661),
    [anon_sym_scalar] = ACTIONS(1661),
    [anon_sym_shift] = ACTIONS(1661),
    [anon_sym_sin] = ACTIONS(1661),
    [anon_sym_sleep] = ACTIONS(1661),
    [anon_sym_sqrt] = ACTIONS(1661),
    [anon_sym_srand] = ACTIONS(1661),
    [anon_sym_stat] = ACTIONS(1661),
    [anon_sym_study] = ACTIONS(1661),
    [anon_sym_tell] = ACTIONS(1661),
    [anon_sym_telldir] = ACTIONS(1661),
    [anon_sym_tied] = ACTIONS(1661),
    [anon_sym_uc] = ACTIONS(1661),
    [anon_sym_ucfirst] = ACTIONS(1661),
    [anon_sym_untie] = ACTIONS(1661),
    [anon_sym_umask] = ACTIONS(1661),
    [anon_sym_values] = ACTIONS(1661),
    [anon_sym_write] = ACTIONS(1661),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1661),
    [anon_sym_qq] = ACTIONS(1661),
    [anon_sym_qw] = ACTIONS(1661),
    [anon_sym_qx] = ACTIONS(1661),
    [anon_sym_qr] = ACTIONS(1661),
    [anon_sym_m] = ACTIONS(1661),
    [anon_sym_s] = ACTIONS(1661),
    [anon_sym_tr] = ACTIONS(1661),
    [anon_sym_y] = ACTIONS(1661),
    [aux_sym__bareword_token1] = ACTIONS(1661),
    [sym_number] = ACTIONS(1661),
    [anon_sym_true] = ACTIONS(1661),
    [anon_sym_false] = ACTIONS(1661),
    [sym__single_quote] = ACTIONS(1659),
    [sym__double_quote] = ACTIONS(1659),
    [sym__backtick_quote] = ACTIONS(1659),
    [sym__search_slash_quote] = ACTIONS(1659),
    [sym__open_readline_bracket] = ACTIONS(1659),
    [sym__open_fileglob_bracket] = ACTIONS(1659),
    [sym__PERLY_HEREDOC] = ACTIONS(1659),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1659),
    [sym__filetest] = ACTIONS(1659),
  },
  [863] = {
    [sym_heredoc_content] = STATE(863),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1963),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
  },
  [864] = {
    [sym_heredoc_content] = STATE(864),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_SEMI] = ACTIONS(1901),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1901),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1901),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1901),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1901),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1963),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1901),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_DASH_GT] = ACTIONS(1901),
    [anon_sym_PERCENT] = ACTIONS(1901),
    [anon_sym_GT] = ACTIONS(1901),
    [anon_sym_LT_LT] = ACTIONS(1901),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1901),
    [anon_sym_PLUS_EQ] = ACTIONS(1901),
    [anon_sym_DASH_EQ] = ACTIONS(1901),
    [anon_sym_DOT_EQ] = ACTIONS(1901),
    [anon_sym_STAR_EQ] = ACTIONS(1901),
    [anon_sym_SLASH_EQ] = ACTIONS(1901),
    [anon_sym_PERCENT_EQ] = ACTIONS(1901),
    [anon_sym_x_EQ] = ACTIONS(1901),
    [anon_sym_AMP_EQ] = ACTIONS(1901),
    [anon_sym_PIPE_EQ] = ACTIONS(1901),
    [anon_sym_CARET_EQ] = ACTIONS(1901),
    [anon_sym_LT_LT_EQ] = ACTIONS(1901),
    [anon_sym_GT_GT_EQ] = ACTIONS(1901),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1901),
    [anon_sym_DOT_DOT] = ACTIONS(1901),
    [anon_sym_STAR_STAR] = ACTIONS(1901),
    [anon_sym_PIPE_PIPE] = ACTIONS(1901),
    [anon_sym_SLASH_SLASH] = ACTIONS(1901),
    [anon_sym_CARET_CARET] = ACTIONS(1901),
    [anon_sym_AMP_AMP] = ACTIONS(1901),
    [anon_sym_PIPE] = ACTIONS(1901),
    [anon_sym_CARET] = ACTIONS(1901),
    [anon_sym_AMP] = ACTIONS(1901),
    [anon_sym_GT_GT2] = ACTIONS(1901),
    [anon_sym_PLUS] = ACTIONS(1901),
    [anon_sym_DASH] = ACTIONS(1901),
    [anon_sym_DOT] = ACTIONS(1901),
    [anon_sym_STAR] = ACTIONS(1901),
    [anon_sym_SLASH] = ACTIONS(1901),
    [anon_sym_x] = ACTIONS(1901),
    [anon_sym_EQ_TILDE] = ACTIONS(1901),
    [anon_sym_BANG_TILDE] = ACTIONS(1901),
    [anon_sym_EQ_EQ] = ACTIONS(1901),
    [anon_sym_BANG_EQ] = ACTIONS(1901),
    [anon_sym_eq] = ACTIONS(1901),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1901),
    [anon_sym_equ] = ACTIONS(1901),
    [anon_sym_eqr] = ACTIONS(1901),
    [anon_sym_ne] = ACTIONS(1901),
    [anon_sym_LT_EQ_GT] = ACTIONS(1901),
    [anon_sym_cmp] = ACTIONS(1901),
    [anon_sym_TILDE_TILDE] = ACTIONS(1901),
    [anon_sym_LT] = ACTIONS(1901),
    [anon_sym_LT_EQ] = ACTIONS(1901),
    [anon_sym_GT_EQ] = ACTIONS(1901),
    [anon_sym_lt] = ACTIONS(1901),
    [anon_sym_le] = ACTIONS(1901),
    [anon_sym_ge] = ACTIONS(1901),
    [anon_sym_gt] = ACTIONS(1901),
    [anon_sym_isa] = ACTIONS(1901),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1901),
    [anon_sym_DASH_DASH] = ACTIONS(1901),
    [anon_sym_QMARK] = ACTIONS(1901),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1901),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1903),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
  },
  [865] = {
    [sym_heredoc_content] = STATE(865),
    [sym__identifier] = ACTIONS(1966),
    [anon_sym_LBRACE] = ACTIONS(1966),
    [anon_sym_SEMI] = ACTIONS(1966),
    [anon_sym_DOLLAR] = ACTIONS(1966),
    [anon_sym_EQ] = ACTIONS(1968),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1968),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1968),
    [anon_sym_AT] = ACTIONS(1966),
    [anon_sym_COMMA] = ACTIONS(1968),
    [anon_sym_my] = ACTIONS(1966),
    [anon_sym_extended] = ACTIONS(1966),
    [anon_sym_async] = ACTIONS(1966),
    [anon_sym_sub] = ACTIONS(1966),
    [anon_sym_method] = ACTIONS(1966),
    [anon_sym_LPAREN] = ACTIONS(1966),
    [anon_sym_continue] = ACTIONS(1966),
    [anon_sym_state] = ACTIONS(1966),
    [anon_sym_our] = ACTIONS(1966),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1968),
    [anon_sym_LBRACK] = ACTIONS(1966),
    [anon_sym_DASH_GT] = ACTIONS(1968),
    [anon_sym_PERCENT] = ACTIONS(1968),
    [anon_sym_GT] = ACTIONS(1968),
    [anon_sym_LT_LT] = ACTIONS(1966),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1968),
    [anon_sym_PLUS_EQ] = ACTIONS(1968),
    [anon_sym_DASH_EQ] = ACTIONS(1968),
    [anon_sym_DOT_EQ] = ACTIONS(1968),
    [anon_sym_STAR_EQ] = ACTIONS(1968),
    [anon_sym_SLASH_EQ] = ACTIONS(1968),
    [anon_sym_PERCENT_EQ] = ACTIONS(1968),
    [anon_sym_x_EQ] = ACTIONS(1968),
    [anon_sym_AMP_EQ] = ACTIONS(1968),
    [anon_sym_PIPE_EQ] = ACTIONS(1968),
    [anon_sym_CARET_EQ] = ACTIONS(1968),
    [anon_sym_LT_LT_EQ] = ACTIONS(1968),
    [anon_sym_GT_GT_EQ] = ACTIONS(1968),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1968),
    [anon_sym_DOT_DOT] = ACTIONS(1968),
    [anon_sym_STAR_STAR] = ACTIONS(1968),
    [anon_sym_PIPE_PIPE] = ACTIONS(1968),
    [anon_sym_SLASH_SLASH] = ACTIONS(1966),
    [anon_sym_CARET_CARET] = ACTIONS(1968),
    [anon_sym_AMP_AMP] = ACTIONS(1968),
    [anon_sym_PIPE] = ACTIONS(1968),
    [anon_sym_CARET] = ACTIONS(1968),
    [anon_sym_AMP] = ACTIONS(1968),
    [anon_sym_GT_GT2] = ACTIONS(1968),
    [anon_sym_PLUS] = ACTIONS(1966),
    [anon_sym_DASH] = ACTIONS(1966),
    [anon_sym_DOT] = ACTIONS(1968),
    [anon_sym_STAR] = ACTIONS(1968),
    [anon_sym_SLASH] = ACTIONS(1968),
    [anon_sym_x] = ACTIONS(1968),
    [anon_sym_EQ_TILDE] = ACTIONS(1968),
    [anon_sym_BANG_TILDE] = ACTIONS(1968),
    [anon_sym_EQ_EQ] = ACTIONS(1968),
    [anon_sym_BANG_EQ] = ACTIONS(1968),
    [anon_sym_eq] = ACTIONS(1968),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1968),
    [anon_sym_equ] = ACTIONS(1968),
    [anon_sym_eqr] = ACTIONS(1968),
    [anon_sym_ne] = ACTIONS(1968),
    [anon_sym_LT_EQ_GT] = ACTIONS(1968),
    [anon_sym_cmp] = ACTIONS(1968),
    [anon_sym_TILDE_TILDE] = ACTIONS(1968),
    [anon_sym_LT] = ACTIONS(1968),
    [anon_sym_LT_EQ] = ACTIONS(1968),
    [anon_sym_GT_EQ] = ACTIONS(1968),
    [anon_sym_lt] = ACTIONS(1968),
    [anon_sym_le] = ACTIONS(1968),
    [anon_sym_ge] = ACTIONS(1968),
    [anon_sym_gt] = ACTIONS(1968),
    [anon_sym_isa] = ACTIONS(1968),
    [anon_sym_TILDE] = ACTIONS(1966),
    [anon_sym_BANG] = ACTIONS(1966),
    [anon_sym_PLUS_PLUS] = ACTIONS(1966),
    [anon_sym_DASH_DASH] = ACTIONS(1966),
    [anon_sym_QMARK] = ACTIONS(1968),
    [anon_sym_BSLASH] = ACTIONS(1970),
    [anon_sym_do] = ACTIONS(1966),
    [anon_sym_eval] = ACTIONS(1966),
    [anon_sym_await] = ACTIONS(1966),
    [anon_sym_field] = ACTIONS(1966),
    [anon_sym_local] = ACTIONS(1966),
    [anon_sym_dynamically] = ACTIONS(1966),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1966),
    [anon_sym_require] = ACTIONS(1966),
    [anon_sym_map] = ACTIONS(1966),
    [anon_sym_grep] = ACTIONS(1966),
    [anon_sym_sort] = ACTIONS(1966),
    [anon_sym_goto] = ACTIONS(1966),
    [anon_sym_return] = ACTIONS(1966),
    [anon_sym_undef] = ACTIONS(1966),
    [anon_sym_PERCENT2] = ACTIONS(1966),
    [anon_sym_AMP2] = ACTIONS(1966),
    [anon_sym_STAR2] = ACTIONS(1966),
    [anon_sym_EQ_GT] = ACTIONS(1968),
    [anon_sym_last] = ACTIONS(1966),
    [anon_sym_next] = ACTIONS(1966),
    [anon_sym_redo] = ACTIONS(1966),
    [anon_sym___FILE__] = ACTIONS(1966),
    [anon_sym___LINE__] = ACTIONS(1966),
    [anon_sym___PACKAGE__] = ACTIONS(1966),
    [anon_sym___SUB__] = ACTIONS(1966),
    [anon_sym_break] = ACTIONS(1966),
    [anon_sym_fork] = ACTIONS(1966),
    [anon_sym_getppid] = ACTIONS(1966),
    [anon_sym_time] = ACTIONS(1966),
    [anon_sym_times] = ACTIONS(1966),
    [anon_sym_wait] = ACTIONS(1966),
    [anon_sym_wantarray] = ACTIONS(1966),
    [anon_sym_abs] = ACTIONS(1966),
    [anon_sym_alarm] = ACTIONS(1966),
    [anon_sym_chop] = ACTIONS(1966),
    [anon_sym_chdir] = ACTIONS(1966),
    [anon_sym_close] = ACTIONS(1966),
    [anon_sym_closedir] = ACTIONS(1966),
    [anon_sym_caller] = ACTIONS(1966),
    [anon_sym_chomp] = ACTIONS(1966),
    [anon_sym_chr] = ACTIONS(1966),
    [anon_sym_cos] = ACTIONS(1966),
    [anon_sym_chroot] = ACTIONS(1966),
    [anon_sym_defined] = ACTIONS(1966),
    [anon_sym_delete] = ACTIONS(1966),
    [anon_sym_dbmclose] = ACTIONS(1966),
    [anon_sym_exists] = ACTIONS(1966),
    [anon_sym_exit] = ACTIONS(1966),
    [anon_sym_eof] = ACTIONS(1966),
    [anon_sym_exp] = ACTIONS(1966),
    [anon_sym_each] = ACTIONS(1966),
    [anon_sym_fc] = ACTIONS(1966),
    [anon_sym_fileno] = ACTIONS(1966),
    [anon_sym_gmtime] = ACTIONS(1966),
    [anon_sym_getc] = ACTIONS(1966),
    [anon_sym_getpgrp] = ACTIONS(1966),
    [anon_sym_getprotobyname] = ACTIONS(1966),
    [anon_sym_getpwname] = ACTIONS(1966),
    [anon_sym_getpwuid] = ACTIONS(1966),
    [anon_sym_getpeername] = ACTIONS(1966),
    [anon_sym_getnetbyname] = ACTIONS(1966),
    [anon_sym_getsockname] = ACTIONS(1966),
    [anon_sym_getgrnam] = ACTIONS(1966),
    [anon_sym_getgrgid] = ACTIONS(1966),
    [anon_sym_hex] = ACTIONS(1966),
    [anon_sym_int] = ACTIONS(1966),
    [anon_sym_keys] = ACTIONS(1966),
    [anon_sym_lc] = ACTIONS(1966),
    [anon_sym_lcfirst] = ACTIONS(1966),
    [anon_sym_length] = ACTIONS(1966),
    [anon_sym_localtime] = ACTIONS(1966),
    [anon_sym_log] = ACTIONS(1966),
    [anon_sym_lock] = ACTIONS(1966),
    [anon_sym_lstat] = ACTIONS(1966),
    [anon_sym_oct] = ACTIONS(1966),
    [anon_sym_ord] = ACTIONS(1966),
    [anon_sym_prototype] = ACTIONS(1966),
    [anon_sym_pop] = ACTIONS(1966),
    [anon_sym_pos] = ACTIONS(1966),
    [anon_sym_quotemeta] = ACTIONS(1966),
    [anon_sym_reset] = ACTIONS(1966),
    [anon_sym_rand] = ACTIONS(1966),
    [anon_sym_rmdir] = ACTIONS(1966),
    [anon_sym_readdir] = ACTIONS(1966),
    [anon_sym_readline] = ACTIONS(1966),
    [anon_sym_readpipe] = ACTIONS(1966),
    [anon_sym_rewinddir] = ACTIONS(1966),
    [anon_sym_readlink] = ACTIONS(1966),
    [anon_sym_ref] = ACTIONS(1966),
    [anon_sym_scalar] = ACTIONS(1966),
    [anon_sym_shift] = ACTIONS(1966),
    [anon_sym_sin] = ACTIONS(1966),
    [anon_sym_sleep] = ACTIONS(1966),
    [anon_sym_sqrt] = ACTIONS(1966),
    [anon_sym_srand] = ACTIONS(1966),
    [anon_sym_stat] = ACTIONS(1966),
    [anon_sym_study] = ACTIONS(1966),
    [anon_sym_tell] = ACTIONS(1966),
    [anon_sym_telldir] = ACTIONS(1966),
    [anon_sym_tied] = ACTIONS(1966),
    [anon_sym_uc] = ACTIONS(1966),
    [anon_sym_ucfirst] = ACTIONS(1966),
    [anon_sym_untie] = ACTIONS(1966),
    [anon_sym_umask] = ACTIONS(1966),
    [anon_sym_values] = ACTIONS(1966),
    [anon_sym_write] = ACTIONS(1966),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1966),
    [anon_sym_qq] = ACTIONS(1966),
    [anon_sym_qw] = ACTIONS(1966),
    [anon_sym_qx] = ACTIONS(1966),
    [anon_sym_qr] = ACTIONS(1966),
    [anon_sym_m] = ACTIONS(1966),
    [anon_sym_s] = ACTIONS(1966),
    [anon_sym_tr] = ACTIONS(1966),
    [anon_sym_y] = ACTIONS(1966),
    [aux_sym__bareword_token1] = ACTIONS(1966),
    [sym_number] = ACTIONS(1966),
    [anon_sym_true] = ACTIONS(1966),
    [anon_sym_false] = ACTIONS(1966),
    [sym__single_quote] = ACTIONS(1970),
    [sym__double_quote] = ACTIONS(1970),
    [sym__backtick_quote] = ACTIONS(1970),
    [sym__search_slash_quote] = ACTIONS(1970),
    [sym__open_readline_bracket] = ACTIONS(1970),
    [sym__open_fileglob_bracket] = ACTIONS(1970),
    [sym__PERLY_SEMICOLON] = ACTIONS(1970),
    [sym__PERLY_HEREDOC] = ACTIONS(1970),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1970),
    [sym__filetest] = ACTIONS(1970),
  },
  [866] = {
    [sym_heredoc_content] = STATE(866),
    [sym__identifier] = ACTIONS(1859),
    [anon_sym_LBRACE] = ACTIONS(1859),
    [anon_sym_SEMI] = ACTIONS(1859),
    [anon_sym_DOLLAR] = ACTIONS(1859),
    [anon_sym_EQ] = ACTIONS(1859),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1859),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(1859),
    [anon_sym_COMMA] = ACTIONS(1859),
    [anon_sym_my] = ACTIONS(1859),
    [anon_sym_extended] = ACTIONS(1859),
    [anon_sym_async] = ACTIONS(1859),
    [anon_sym_sub] = ACTIONS(1859),
    [anon_sym_method] = ACTIONS(1859),
    [anon_sym_LPAREN] = ACTIONS(1859),
    [anon_sym_continue] = ACTIONS(1859),
    [anon_sym_state] = ACTIONS(1859),
    [anon_sym_our] = ACTIONS(1859),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1859),
    [anon_sym_DASH_GT] = ACTIONS(1859),
    [anon_sym_PERCENT] = ACTIONS(1859),
    [anon_sym_GT] = ACTIONS(1859),
    [anon_sym_LT_LT] = ACTIONS(1859),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1859),
    [anon_sym_PLUS_EQ] = ACTIONS(1859),
    [anon_sym_DASH_EQ] = ACTIONS(1859),
    [anon_sym_DOT_EQ] = ACTIONS(1859),
    [anon_sym_STAR_EQ] = ACTIONS(1859),
    [anon_sym_SLASH_EQ] = ACTIONS(1859),
    [anon_sym_PERCENT_EQ] = ACTIONS(1859),
    [anon_sym_x_EQ] = ACTIONS(1859),
    [anon_sym_AMP_EQ] = ACTIONS(1859),
    [anon_sym_PIPE_EQ] = ACTIONS(1859),
    [anon_sym_CARET_EQ] = ACTIONS(1859),
    [anon_sym_LT_LT_EQ] = ACTIONS(1859),
    [anon_sym_GT_GT_EQ] = ACTIONS(1859),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1859),
    [anon_sym_DOT_DOT] = ACTIONS(1859),
    [anon_sym_STAR_STAR] = ACTIONS(1859),
    [anon_sym_PIPE_PIPE] = ACTIONS(1859),
    [anon_sym_SLASH_SLASH] = ACTIONS(1859),
    [anon_sym_CARET_CARET] = ACTIONS(1859),
    [anon_sym_AMP_AMP] = ACTIONS(1859),
    [anon_sym_PIPE] = ACTIONS(1859),
    [anon_sym_CARET] = ACTIONS(1859),
    [anon_sym_AMP] = ACTIONS(1859),
    [anon_sym_GT_GT2] = ACTIONS(1859),
    [anon_sym_PLUS] = ACTIONS(1859),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_DOT] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1859),
    [anon_sym_SLASH] = ACTIONS(1859),
    [anon_sym_x] = ACTIONS(1859),
    [anon_sym_EQ_TILDE] = ACTIONS(1859),
    [anon_sym_BANG_TILDE] = ACTIONS(1859),
    [anon_sym_EQ_EQ] = ACTIONS(1859),
    [anon_sym_BANG_EQ] = ACTIONS(1859),
    [anon_sym_eq] = ACTIONS(1859),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1859),
    [anon_sym_equ] = ACTIONS(1859),
    [anon_sym_eqr] = ACTIONS(1859),
    [anon_sym_ne] = ACTIONS(1859),
    [anon_sym_LT_EQ_GT] = ACTIONS(1859),
    [anon_sym_cmp] = ACTIONS(1859),
    [anon_sym_TILDE_TILDE] = ACTIONS(1859),
    [anon_sym_LT] = ACTIONS(1859),
    [anon_sym_LT_EQ] = ACTIONS(1859),
    [anon_sym_GT_EQ] = ACTIONS(1859),
    [anon_sym_lt] = ACTIONS(1859),
    [anon_sym_le] = ACTIONS(1859),
    [anon_sym_ge] = ACTIONS(1859),
    [anon_sym_gt] = ACTIONS(1859),
    [anon_sym_isa] = ACTIONS(1859),
    [anon_sym_TILDE] = ACTIONS(1859),
    [anon_sym_BANG] = ACTIONS(1859),
    [anon_sym_PLUS_PLUS] = ACTIONS(1859),
    [anon_sym_DASH_DASH] = ACTIONS(1859),
    [anon_sym_QMARK] = ACTIONS(1859),
    [anon_sym_BSLASH] = ACTIONS(1861),
    [anon_sym_do] = ACTIONS(1859),
    [anon_sym_eval] = ACTIONS(1859),
    [anon_sym_await] = ACTIONS(1859),
    [anon_sym_field] = ACTIONS(1859),
    [anon_sym_local] = ACTIONS(1859),
    [anon_sym_dynamically] = ACTIONS(1859),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1859),
    [anon_sym_require] = ACTIONS(1859),
    [anon_sym_map] = ACTIONS(1859),
    [anon_sym_grep] = ACTIONS(1859),
    [anon_sym_sort] = ACTIONS(1859),
    [anon_sym_goto] = ACTIONS(1859),
    [anon_sym_return] = ACTIONS(1859),
    [anon_sym_undef] = ACTIONS(1859),
    [anon_sym_PERCENT2] = ACTIONS(1859),
    [anon_sym_AMP2] = ACTIONS(1859),
    [anon_sym_STAR2] = ACTIONS(1859),
    [anon_sym_EQ_GT] = ACTIONS(1859),
    [anon_sym_last] = ACTIONS(1859),
    [anon_sym_next] = ACTIONS(1859),
    [anon_sym_redo] = ACTIONS(1859),
    [anon_sym___FILE__] = ACTIONS(1859),
    [anon_sym___LINE__] = ACTIONS(1859),
    [anon_sym___PACKAGE__] = ACTIONS(1859),
    [anon_sym___SUB__] = ACTIONS(1859),
    [anon_sym_break] = ACTIONS(1859),
    [anon_sym_fork] = ACTIONS(1859),
    [anon_sym_getppid] = ACTIONS(1859),
    [anon_sym_time] = ACTIONS(1859),
    [anon_sym_times] = ACTIONS(1859),
    [anon_sym_wait] = ACTIONS(1859),
    [anon_sym_wantarray] = ACTIONS(1859),
    [anon_sym_abs] = ACTIONS(1859),
    [anon_sym_alarm] = ACTIONS(1859),
    [anon_sym_chop] = ACTIONS(1859),
    [anon_sym_chdir] = ACTIONS(1859),
    [anon_sym_close] = ACTIONS(1859),
    [anon_sym_closedir] = ACTIONS(1859),
    [anon_sym_caller] = ACTIONS(1859),
    [anon_sym_chomp] = ACTIONS(1859),
    [anon_sym_chr] = ACTIONS(1859),
    [anon_sym_cos] = ACTIONS(1859),
    [anon_sym_chroot] = ACTIONS(1859),
    [anon_sym_defined] = ACTIONS(1859),
    [anon_sym_delete] = ACTIONS(1859),
    [anon_sym_dbmclose] = ACTIONS(1859),
    [anon_sym_exists] = ACTIONS(1859),
    [anon_sym_exit] = ACTIONS(1859),
    [anon_sym_eof] = ACTIONS(1859),
    [anon_sym_exp] = ACTIONS(1859),
    [anon_sym_each] = ACTIONS(1859),
    [anon_sym_fc] = ACTIONS(1859),
    [anon_sym_fileno] = ACTIONS(1859),
    [anon_sym_gmtime] = ACTIONS(1859),
    [anon_sym_getc] = ACTIONS(1859),
    [anon_sym_getpgrp] = ACTIONS(1859),
    [anon_sym_getprotobyname] = ACTIONS(1859),
    [anon_sym_getpwname] = ACTIONS(1859),
    [anon_sym_getpwuid] = ACTIONS(1859),
    [anon_sym_getpeername] = ACTIONS(1859),
    [anon_sym_getnetbyname] = ACTIONS(1859),
    [anon_sym_getsockname] = ACTIONS(1859),
    [anon_sym_getgrnam] = ACTIONS(1859),
    [anon_sym_getgrgid] = ACTIONS(1859),
    [anon_sym_hex] = ACTIONS(1859),
    [anon_sym_int] = ACTIONS(1859),
    [anon_sym_keys] = ACTIONS(1859),
    [anon_sym_lc] = ACTIONS(1859),
    [anon_sym_lcfirst] = ACTIONS(1859),
    [anon_sym_length] = ACTIONS(1859),
    [anon_sym_localtime] = ACTIONS(1859),
    [anon_sym_log] = ACTIONS(1859),
    [anon_sym_lock] = ACTIONS(1859),
    [anon_sym_lstat] = ACTIONS(1859),
    [anon_sym_oct] = ACTIONS(1859),
    [anon_sym_ord] = ACTIONS(1859),
    [anon_sym_prototype] = ACTIONS(1859),
    [anon_sym_pop] = ACTIONS(1859),
    [anon_sym_pos] = ACTIONS(1859),
    [anon_sym_quotemeta] = ACTIONS(1859),
    [anon_sym_reset] = ACTIONS(1859),
    [anon_sym_rand] = ACTIONS(1859),
    [anon_sym_rmdir] = ACTIONS(1859),
    [anon_sym_readdir] = ACTIONS(1859),
    [anon_sym_readline] = ACTIONS(1859),
    [anon_sym_readpipe] = ACTIONS(1859),
    [anon_sym_rewinddir] = ACTIONS(1859),
    [anon_sym_readlink] = ACTIONS(1859),
    [anon_sym_ref] = ACTIONS(1859),
    [anon_sym_scalar] = ACTIONS(1859),
    [anon_sym_shift] = ACTIONS(1859),
    [anon_sym_sin] = ACTIONS(1859),
    [anon_sym_sleep] = ACTIONS(1859),
    [anon_sym_sqrt] = ACTIONS(1859),
    [anon_sym_srand] = ACTIONS(1859),
    [anon_sym_stat] = ACTIONS(1859),
    [anon_sym_study] = ACTIONS(1859),
    [anon_sym_tell] = ACTIONS(1859),
    [anon_sym_telldir] = ACTIONS(1859),
    [anon_sym_tied] = ACTIONS(1859),
    [anon_sym_uc] = ACTIONS(1859),
    [anon_sym_ucfirst] = ACTIONS(1859),
    [anon_sym_untie] = ACTIONS(1859),
    [anon_sym_umask] = ACTIONS(1859),
    [anon_sym_values] = ACTIONS(1859),
    [anon_sym_write] = ACTIONS(1859),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1859),
    [anon_sym_qq] = ACTIONS(1859),
    [anon_sym_qw] = ACTIONS(1859),
    [anon_sym_qx] = ACTIONS(1859),
    [anon_sym_qr] = ACTIONS(1859),
    [anon_sym_m] = ACTIONS(1859),
    [anon_sym_s] = ACTIONS(1859),
    [anon_sym_tr] = ACTIONS(1859),
    [anon_sym_y] = ACTIONS(1859),
    [aux_sym__bareword_token1] = ACTIONS(1859),
    [sym_number] = ACTIONS(1859),
    [anon_sym_true] = ACTIONS(1859),
    [anon_sym_false] = ACTIONS(1859),
    [sym__single_quote] = ACTIONS(1861),
    [sym__double_quote] = ACTIONS(1861),
    [sym__backtick_quote] = ACTIONS(1861),
    [sym__search_slash_quote] = ACTIONS(1861),
    [sym__open_readline_bracket] = ACTIONS(1861),
    [sym__open_fileglob_bracket] = ACTIONS(1861),
    [sym__PERLY_SEMICOLON] = ACTIONS(1861),
    [sym__PERLY_HEREDOC] = ACTIONS(1861),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1861),
    [sym__filetest] = ACTIONS(1861),
  },
  [867] = {
    [sym_heredoc_content] = STATE(867),
    [sym__identifier] = ACTIONS(1863),
    [anon_sym_LBRACE] = ACTIONS(1863),
    [anon_sym_SEMI] = ACTIONS(1863),
    [anon_sym_DOLLAR] = ACTIONS(1863),
    [anon_sym_EQ] = ACTIONS(1863),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1863),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1863),
    [anon_sym_AT] = ACTIONS(1863),
    [anon_sym_COMMA] = ACTIONS(1863),
    [anon_sym_my] = ACTIONS(1863),
    [anon_sym_extended] = ACTIONS(1863),
    [anon_sym_async] = ACTIONS(1863),
    [anon_sym_sub] = ACTIONS(1863),
    [anon_sym_method] = ACTIONS(1863),
    [anon_sym_LPAREN] = ACTIONS(1863),
    [anon_sym_continue] = ACTIONS(1863),
    [anon_sym_state] = ACTIONS(1863),
    [anon_sym_our] = ACTIONS(1863),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1863),
    [anon_sym_LBRACK] = ACTIONS(1863),
    [anon_sym_DASH_GT] = ACTIONS(1863),
    [anon_sym_PERCENT] = ACTIONS(1863),
    [anon_sym_GT] = ACTIONS(1863),
    [anon_sym_LT_LT] = ACTIONS(1863),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1863),
    [anon_sym_PLUS_EQ] = ACTIONS(1863),
    [anon_sym_DASH_EQ] = ACTIONS(1863),
    [anon_sym_DOT_EQ] = ACTIONS(1863),
    [anon_sym_STAR_EQ] = ACTIONS(1863),
    [anon_sym_SLASH_EQ] = ACTIONS(1863),
    [anon_sym_PERCENT_EQ] = ACTIONS(1863),
    [anon_sym_x_EQ] = ACTIONS(1863),
    [anon_sym_AMP_EQ] = ACTIONS(1863),
    [anon_sym_PIPE_EQ] = ACTIONS(1863),
    [anon_sym_CARET_EQ] = ACTIONS(1863),
    [anon_sym_LT_LT_EQ] = ACTIONS(1863),
    [anon_sym_GT_GT_EQ] = ACTIONS(1863),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1863),
    [anon_sym_DOT_DOT] = ACTIONS(1863),
    [anon_sym_STAR_STAR] = ACTIONS(1863),
    [anon_sym_PIPE_PIPE] = ACTIONS(1863),
    [anon_sym_SLASH_SLASH] = ACTIONS(1863),
    [anon_sym_CARET_CARET] = ACTIONS(1863),
    [anon_sym_AMP_AMP] = ACTIONS(1863),
    [anon_sym_PIPE] = ACTIONS(1863),
    [anon_sym_CARET] = ACTIONS(1863),
    [anon_sym_AMP] = ACTIONS(1863),
    [anon_sym_GT_GT2] = ACTIONS(1863),
    [anon_sym_PLUS] = ACTIONS(1863),
    [anon_sym_DASH] = ACTIONS(1863),
    [anon_sym_DOT] = ACTIONS(1863),
    [anon_sym_STAR] = ACTIONS(1863),
    [anon_sym_SLASH] = ACTIONS(1863),
    [anon_sym_x] = ACTIONS(1863),
    [anon_sym_EQ_TILDE] = ACTIONS(1863),
    [anon_sym_BANG_TILDE] = ACTIONS(1863),
    [anon_sym_EQ_EQ] = ACTIONS(1863),
    [anon_sym_BANG_EQ] = ACTIONS(1863),
    [anon_sym_eq] = ACTIONS(1863),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1863),
    [anon_sym_equ] = ACTIONS(1863),
    [anon_sym_eqr] = ACTIONS(1863),
    [anon_sym_ne] = ACTIONS(1863),
    [anon_sym_LT_EQ_GT] = ACTIONS(1863),
    [anon_sym_cmp] = ACTIONS(1863),
    [anon_sym_TILDE_TILDE] = ACTIONS(1863),
    [anon_sym_LT] = ACTIONS(1863),
    [anon_sym_LT_EQ] = ACTIONS(1863),
    [anon_sym_GT_EQ] = ACTIONS(1863),
    [anon_sym_lt] = ACTIONS(1863),
    [anon_sym_le] = ACTIONS(1863),
    [anon_sym_ge] = ACTIONS(1863),
    [anon_sym_gt] = ACTIONS(1863),
    [anon_sym_isa] = ACTIONS(1863),
    [anon_sym_TILDE] = ACTIONS(1863),
    [anon_sym_BANG] = ACTIONS(1863),
    [anon_sym_PLUS_PLUS] = ACTIONS(1863),
    [anon_sym_DASH_DASH] = ACTIONS(1863),
    [anon_sym_QMARK] = ACTIONS(1863),
    [anon_sym_BSLASH] = ACTIONS(1865),
    [anon_sym_do] = ACTIONS(1863),
    [anon_sym_eval] = ACTIONS(1863),
    [anon_sym_await] = ACTIONS(1863),
    [anon_sym_field] = ACTIONS(1863),
    [anon_sym_local] = ACTIONS(1863),
    [anon_sym_dynamically] = ACTIONS(1863),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1863),
    [anon_sym_require] = ACTIONS(1863),
    [anon_sym_map] = ACTIONS(1863),
    [anon_sym_grep] = ACTIONS(1863),
    [anon_sym_sort] = ACTIONS(1863),
    [anon_sym_goto] = ACTIONS(1863),
    [anon_sym_return] = ACTIONS(1863),
    [anon_sym_undef] = ACTIONS(1863),
    [anon_sym_PERCENT2] = ACTIONS(1863),
    [anon_sym_AMP2] = ACTIONS(1863),
    [anon_sym_STAR2] = ACTIONS(1863),
    [anon_sym_EQ_GT] = ACTIONS(1863),
    [anon_sym_last] = ACTIONS(1863),
    [anon_sym_next] = ACTIONS(1863),
    [anon_sym_redo] = ACTIONS(1863),
    [anon_sym___FILE__] = ACTIONS(1863),
    [anon_sym___LINE__] = ACTIONS(1863),
    [anon_sym___PACKAGE__] = ACTIONS(1863),
    [anon_sym___SUB__] = ACTIONS(1863),
    [anon_sym_break] = ACTIONS(1863),
    [anon_sym_fork] = ACTIONS(1863),
    [anon_sym_getppid] = ACTIONS(1863),
    [anon_sym_time] = ACTIONS(1863),
    [anon_sym_times] = ACTIONS(1863),
    [anon_sym_wait] = ACTIONS(1863),
    [anon_sym_wantarray] = ACTIONS(1863),
    [anon_sym_abs] = ACTIONS(1863),
    [anon_sym_alarm] = ACTIONS(1863),
    [anon_sym_chop] = ACTIONS(1863),
    [anon_sym_chdir] = ACTIONS(1863),
    [anon_sym_close] = ACTIONS(1863),
    [anon_sym_closedir] = ACTIONS(1863),
    [anon_sym_caller] = ACTIONS(1863),
    [anon_sym_chomp] = ACTIONS(1863),
    [anon_sym_chr] = ACTIONS(1863),
    [anon_sym_cos] = ACTIONS(1863),
    [anon_sym_chroot] = ACTIONS(1863),
    [anon_sym_defined] = ACTIONS(1863),
    [anon_sym_delete] = ACTIONS(1863),
    [anon_sym_dbmclose] = ACTIONS(1863),
    [anon_sym_exists] = ACTIONS(1863),
    [anon_sym_exit] = ACTIONS(1863),
    [anon_sym_eof] = ACTIONS(1863),
    [anon_sym_exp] = ACTIONS(1863),
    [anon_sym_each] = ACTIONS(1863),
    [anon_sym_fc] = ACTIONS(1863),
    [anon_sym_fileno] = ACTIONS(1863),
    [anon_sym_gmtime] = ACTIONS(1863),
    [anon_sym_getc] = ACTIONS(1863),
    [anon_sym_getpgrp] = ACTIONS(1863),
    [anon_sym_getprotobyname] = ACTIONS(1863),
    [anon_sym_getpwname] = ACTIONS(1863),
    [anon_sym_getpwuid] = ACTIONS(1863),
    [anon_sym_getpeername] = ACTIONS(1863),
    [anon_sym_getnetbyname] = ACTIONS(1863),
    [anon_sym_getsockname] = ACTIONS(1863),
    [anon_sym_getgrnam] = ACTIONS(1863),
    [anon_sym_getgrgid] = ACTIONS(1863),
    [anon_sym_hex] = ACTIONS(1863),
    [anon_sym_int] = ACTIONS(1863),
    [anon_sym_keys] = ACTIONS(1863),
    [anon_sym_lc] = ACTIONS(1863),
    [anon_sym_lcfirst] = ACTIONS(1863),
    [anon_sym_length] = ACTIONS(1863),
    [anon_sym_localtime] = ACTIONS(1863),
    [anon_sym_log] = ACTIONS(1863),
    [anon_sym_lock] = ACTIONS(1863),
    [anon_sym_lstat] = ACTIONS(1863),
    [anon_sym_oct] = ACTIONS(1863),
    [anon_sym_ord] = ACTIONS(1863),
    [anon_sym_prototype] = ACTIONS(1863),
    [anon_sym_pop] = ACTIONS(1863),
    [anon_sym_pos] = ACTIONS(1863),
    [anon_sym_quotemeta] = ACTIONS(1863),
    [anon_sym_reset] = ACTIONS(1863),
    [anon_sym_rand] = ACTIONS(1863),
    [anon_sym_rmdir] = ACTIONS(1863),
    [anon_sym_readdir] = ACTIONS(1863),
    [anon_sym_readline] = ACTIONS(1863),
    [anon_sym_readpipe] = ACTIONS(1863),
    [anon_sym_rewinddir] = ACTIONS(1863),
    [anon_sym_readlink] = ACTIONS(1863),
    [anon_sym_ref] = ACTIONS(1863),
    [anon_sym_scalar] = ACTIONS(1863),
    [anon_sym_shift] = ACTIONS(1863),
    [anon_sym_sin] = ACTIONS(1863),
    [anon_sym_sleep] = ACTIONS(1863),
    [anon_sym_sqrt] = ACTIONS(1863),
    [anon_sym_srand] = ACTIONS(1863),
    [anon_sym_stat] = ACTIONS(1863),
    [anon_sym_study] = ACTIONS(1863),
    [anon_sym_tell] = ACTIONS(1863),
    [anon_sym_telldir] = ACTIONS(1863),
    [anon_sym_tied] = ACTIONS(1863),
    [anon_sym_uc] = ACTIONS(1863),
    [anon_sym_ucfirst] = ACTIONS(1863),
    [anon_sym_untie] = ACTIONS(1863),
    [anon_sym_umask] = ACTIONS(1863),
    [anon_sym_values] = ACTIONS(1863),
    [anon_sym_write] = ACTIONS(1863),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1863),
    [anon_sym_qq] = ACTIONS(1863),
    [anon_sym_qw] = ACTIONS(1863),
    [anon_sym_qx] = ACTIONS(1863),
    [anon_sym_qr] = ACTIONS(1863),
    [anon_sym_m] = ACTIONS(1863),
    [anon_sym_s] = ACTIONS(1863),
    [anon_sym_tr] = ACTIONS(1863),
    [anon_sym_y] = ACTIONS(1863),
    [aux_sym__bareword_token1] = ACTIONS(1863),
    [sym_number] = ACTIONS(1863),
    [anon_sym_true] = ACTIONS(1863),
    [anon_sym_false] = ACTIONS(1863),
    [sym__single_quote] = ACTIONS(1865),
    [sym__double_quote] = ACTIONS(1865),
    [sym__backtick_quote] = ACTIONS(1865),
    [sym__search_slash_quote] = ACTIONS(1865),
    [sym__open_readline_bracket] = ACTIONS(1865),
    [sym__open_fileglob_bracket] = ACTIONS(1865),
    [sym__PERLY_SEMICOLON] = ACTIONS(1865),
    [sym__PERLY_HEREDOC] = ACTIONS(1865),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1865),
    [sym__filetest] = ACTIONS(1865),
  },
  [868] = {
    [sym_heredoc_content] = STATE(868),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_COLON] = ACTIONS(1869),
    [anon_sym_DOLLAR] = ACTIONS(1869),
    [anon_sym_EQ] = ACTIONS(1869),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1869),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1869),
    [anon_sym_AT] = ACTIONS(1869),
    [anon_sym_COMMA] = ACTIONS(1869),
    [anon_sym_RPAREN] = ACTIONS(1869),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1972),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1869),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_DASH_GT] = ACTIONS(1869),
    [anon_sym_PERCENT] = ACTIONS(1869),
    [anon_sym_GT] = ACTIONS(1869),
    [anon_sym_LT_LT] = ACTIONS(1869),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1869),
    [anon_sym_PLUS_EQ] = ACTIONS(1869),
    [anon_sym_DASH_EQ] = ACTIONS(1869),
    [anon_sym_DOT_EQ] = ACTIONS(1869),
    [anon_sym_STAR_EQ] = ACTIONS(1869),
    [anon_sym_SLASH_EQ] = ACTIONS(1869),
    [anon_sym_PERCENT_EQ] = ACTIONS(1869),
    [anon_sym_x_EQ] = ACTIONS(1869),
    [anon_sym_AMP_EQ] = ACTIONS(1869),
    [anon_sym_PIPE_EQ] = ACTIONS(1869),
    [anon_sym_CARET_EQ] = ACTIONS(1869),
    [anon_sym_LT_LT_EQ] = ACTIONS(1869),
    [anon_sym_GT_GT_EQ] = ACTIONS(1869),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1869),
    [anon_sym_DOT_DOT] = ACTIONS(1869),
    [anon_sym_STAR_STAR] = ACTIONS(1869),
    [anon_sym_PIPE_PIPE] = ACTIONS(1869),
    [anon_sym_SLASH_SLASH] = ACTIONS(1869),
    [anon_sym_CARET_CARET] = ACTIONS(1869),
    [anon_sym_AMP_AMP] = ACTIONS(1869),
    [anon_sym_PIPE] = ACTIONS(1869),
    [anon_sym_CARET] = ACTIONS(1869),
    [anon_sym_AMP] = ACTIONS(1869),
    [anon_sym_GT_GT2] = ACTIONS(1869),
    [anon_sym_PLUS] = ACTIONS(1869),
    [anon_sym_DASH] = ACTIONS(1869),
    [anon_sym_DOT] = ACTIONS(1869),
    [anon_sym_STAR] = ACTIONS(1869),
    [anon_sym_SLASH] = ACTIONS(1869),
    [anon_sym_x] = ACTIONS(1869),
    [anon_sym_EQ_TILDE] = ACTIONS(1869),
    [anon_sym_BANG_TILDE] = ACTIONS(1869),
    [anon_sym_EQ_EQ] = ACTIONS(1869),
    [anon_sym_BANG_EQ] = ACTIONS(1869),
    [anon_sym_eq] = ACTIONS(1869),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1869),
    [anon_sym_equ] = ACTIONS(1869),
    [anon_sym_eqr] = ACTIONS(1869),
    [anon_sym_ne] = ACTIONS(1869),
    [anon_sym_LT_EQ_GT] = ACTIONS(1869),
    [anon_sym_cmp] = ACTIONS(1869),
    [anon_sym_TILDE_TILDE] = ACTIONS(1869),
    [anon_sym_LT] = ACTIONS(1869),
    [anon_sym_LT_EQ] = ACTIONS(1869),
    [anon_sym_GT_EQ] = ACTIONS(1869),
    [anon_sym_lt] = ACTIONS(1869),
    [anon_sym_le] = ACTIONS(1869),
    [anon_sym_ge] = ACTIONS(1869),
    [anon_sym_gt] = ACTIONS(1869),
    [anon_sym_isa] = ACTIONS(1869),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_QMARK] = ACTIONS(1869),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1869),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1869),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
  },
  [869] = {
    [sym_heredoc_content] = STATE(869),
    [sym__identifier] = ACTIONS(1947),
    [anon_sym_LBRACE] = ACTIONS(1947),
    [anon_sym_SEMI] = ACTIONS(1840),
    [anon_sym_DOLLAR] = ACTIONS(1947),
    [anon_sym_EQ] = ACTIONS(1840),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1840),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1840),
    [anon_sym_AT] = ACTIONS(1947),
    [anon_sym_COMMA] = ACTIONS(1840),
    [anon_sym_my] = ACTIONS(1947),
    [anon_sym_extended] = ACTIONS(1947),
    [anon_sym_async] = ACTIONS(1947),
    [anon_sym_sub] = ACTIONS(1947),
    [anon_sym_method] = ACTIONS(1947),
    [anon_sym_LPAREN] = ACTIONS(1947),
    [anon_sym_continue] = ACTIONS(1947),
    [anon_sym_state] = ACTIONS(1947),
    [anon_sym_our] = ACTIONS(1947),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1840),
    [anon_sym_LBRACK] = ACTIONS(1947),
    [anon_sym_DASH_GT] = ACTIONS(1840),
    [anon_sym_PERCENT] = ACTIONS(1840),
    [anon_sym_GT] = ACTIONS(1840),
    [anon_sym_LT_LT] = ACTIONS(1947),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1840),
    [anon_sym_PLUS_EQ] = ACTIONS(1840),
    [anon_sym_DASH_EQ] = ACTIONS(1840),
    [anon_sym_DOT_EQ] = ACTIONS(1840),
    [anon_sym_STAR_EQ] = ACTIONS(1840),
    [anon_sym_SLASH_EQ] = ACTIONS(1840),
    [anon_sym_PERCENT_EQ] = ACTIONS(1840),
    [anon_sym_x_EQ] = ACTIONS(1840),
    [anon_sym_AMP_EQ] = ACTIONS(1840),
    [anon_sym_PIPE_EQ] = ACTIONS(1840),
    [anon_sym_CARET_EQ] = ACTIONS(1840),
    [anon_sym_LT_LT_EQ] = ACTIONS(1840),
    [anon_sym_GT_GT_EQ] = ACTIONS(1840),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1840),
    [anon_sym_DOT_DOT] = ACTIONS(1840),
    [anon_sym_STAR_STAR] = ACTIONS(1840),
    [anon_sym_PIPE_PIPE] = ACTIONS(1840),
    [anon_sym_SLASH_SLASH] = ACTIONS(1947),
    [anon_sym_CARET_CARET] = ACTIONS(1840),
    [anon_sym_AMP_AMP] = ACTIONS(1840),
    [anon_sym_PIPE] = ACTIONS(1840),
    [anon_sym_CARET] = ACTIONS(1840),
    [anon_sym_AMP] = ACTIONS(1840),
    [anon_sym_GT_GT2] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1947),
    [anon_sym_DASH] = ACTIONS(1947),
    [anon_sym_DOT] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1840),
    [anon_sym_SLASH] = ACTIONS(1840),
    [anon_sym_x] = ACTIONS(1840),
    [anon_sym_EQ_TILDE] = ACTIONS(1840),
    [anon_sym_BANG_TILDE] = ACTIONS(1840),
    [anon_sym_EQ_EQ] = ACTIONS(1840),
    [anon_sym_BANG_EQ] = ACTIONS(1840),
    [anon_sym_eq] = ACTIONS(1840),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1840),
    [anon_sym_equ] = ACTIONS(1840),
    [anon_sym_eqr] = ACTIONS(1840),
    [anon_sym_ne] = ACTIONS(1840),
    [anon_sym_LT_EQ_GT] = ACTIONS(1840),
    [anon_sym_cmp] = ACTIONS(1840),
    [anon_sym_TILDE_TILDE] = ACTIONS(1840),
    [anon_sym_LT] = ACTIONS(1840),
    [anon_sym_LT_EQ] = ACTIONS(1840),
    [anon_sym_GT_EQ] = ACTIONS(1840),
    [anon_sym_lt] = ACTIONS(1840),
    [anon_sym_le] = ACTIONS(1840),
    [anon_sym_ge] = ACTIONS(1840),
    [anon_sym_gt] = ACTIONS(1840),
    [anon_sym_isa] = ACTIONS(1840),
    [anon_sym_TILDE] = ACTIONS(1947),
    [anon_sym_BANG] = ACTIONS(1947),
    [anon_sym_PLUS_PLUS] = ACTIONS(1947),
    [anon_sym_DASH_DASH] = ACTIONS(1947),
    [anon_sym_QMARK] = ACTIONS(1840),
    [anon_sym_BSLASH] = ACTIONS(1949),
    [anon_sym_do] = ACTIONS(1947),
    [anon_sym_eval] = ACTIONS(1947),
    [anon_sym_await] = ACTIONS(1947),
    [anon_sym_field] = ACTIONS(1947),
    [anon_sym_local] = ACTIONS(1947),
    [anon_sym_dynamically] = ACTIONS(1947),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1947),
    [anon_sym_require] = ACTIONS(1947),
    [anon_sym_map] = ACTIONS(1947),
    [anon_sym_grep] = ACTIONS(1947),
    [anon_sym_sort] = ACTIONS(1947),
    [anon_sym_goto] = ACTIONS(1947),
    [anon_sym_return] = ACTIONS(1947),
    [anon_sym_undef] = ACTIONS(1947),
    [anon_sym_PERCENT2] = ACTIONS(1947),
    [anon_sym_AMP2] = ACTIONS(1947),
    [anon_sym_STAR2] = ACTIONS(1947),
    [anon_sym_EQ_GT] = ACTIONS(1840),
    [anon_sym_last] = ACTIONS(1947),
    [anon_sym_next] = ACTIONS(1947),
    [anon_sym_redo] = ACTIONS(1947),
    [anon_sym___FILE__] = ACTIONS(1947),
    [anon_sym___LINE__] = ACTIONS(1947),
    [anon_sym___PACKAGE__] = ACTIONS(1947),
    [anon_sym___SUB__] = ACTIONS(1947),
    [anon_sym_break] = ACTIONS(1947),
    [anon_sym_fork] = ACTIONS(1947),
    [anon_sym_getppid] = ACTIONS(1947),
    [anon_sym_time] = ACTIONS(1947),
    [anon_sym_times] = ACTIONS(1947),
    [anon_sym_wait] = ACTIONS(1947),
    [anon_sym_wantarray] = ACTIONS(1947),
    [anon_sym_abs] = ACTIONS(1947),
    [anon_sym_alarm] = ACTIONS(1947),
    [anon_sym_chop] = ACTIONS(1947),
    [anon_sym_chdir] = ACTIONS(1947),
    [anon_sym_close] = ACTIONS(1947),
    [anon_sym_closedir] = ACTIONS(1947),
    [anon_sym_caller] = ACTIONS(1947),
    [anon_sym_chomp] = ACTIONS(1947),
    [anon_sym_chr] = ACTIONS(1947),
    [anon_sym_cos] = ACTIONS(1947),
    [anon_sym_chroot] = ACTIONS(1947),
    [anon_sym_defined] = ACTIONS(1947),
    [anon_sym_delete] = ACTIONS(1947),
    [anon_sym_dbmclose] = ACTIONS(1947),
    [anon_sym_exists] = ACTIONS(1947),
    [anon_sym_exit] = ACTIONS(1947),
    [anon_sym_eof] = ACTIONS(1947),
    [anon_sym_exp] = ACTIONS(1947),
    [anon_sym_each] = ACTIONS(1947),
    [anon_sym_fc] = ACTIONS(1947),
    [anon_sym_fileno] = ACTIONS(1947),
    [anon_sym_gmtime] = ACTIONS(1947),
    [anon_sym_getc] = ACTIONS(1947),
    [anon_sym_getpgrp] = ACTIONS(1947),
    [anon_sym_getprotobyname] = ACTIONS(1947),
    [anon_sym_getpwname] = ACTIONS(1947),
    [anon_sym_getpwuid] = ACTIONS(1947),
    [anon_sym_getpeername] = ACTIONS(1947),
    [anon_sym_getnetbyname] = ACTIONS(1947),
    [anon_sym_getsockname] = ACTIONS(1947),
    [anon_sym_getgrnam] = ACTIONS(1947),
    [anon_sym_getgrgid] = ACTIONS(1947),
    [anon_sym_hex] = ACTIONS(1947),
    [anon_sym_int] = ACTIONS(1947),
    [anon_sym_keys] = ACTIONS(1947),
    [anon_sym_lc] = ACTIONS(1947),
    [anon_sym_lcfirst] = ACTIONS(1947),
    [anon_sym_length] = ACTIONS(1947),
    [anon_sym_localtime] = ACTIONS(1947),
    [anon_sym_log] = ACTIONS(1947),
    [anon_sym_lock] = ACTIONS(1947),
    [anon_sym_lstat] = ACTIONS(1947),
    [anon_sym_oct] = ACTIONS(1947),
    [anon_sym_ord] = ACTIONS(1947),
    [anon_sym_prototype] = ACTIONS(1947),
    [anon_sym_pop] = ACTIONS(1947),
    [anon_sym_pos] = ACTIONS(1947),
    [anon_sym_quotemeta] = ACTIONS(1947),
    [anon_sym_reset] = ACTIONS(1947),
    [anon_sym_rand] = ACTIONS(1947),
    [anon_sym_rmdir] = ACTIONS(1947),
    [anon_sym_readdir] = ACTIONS(1947),
    [anon_sym_readline] = ACTIONS(1947),
    [anon_sym_readpipe] = ACTIONS(1947),
    [anon_sym_rewinddir] = ACTIONS(1947),
    [anon_sym_readlink] = ACTIONS(1947),
    [anon_sym_ref] = ACTIONS(1947),
    [anon_sym_scalar] = ACTIONS(1947),
    [anon_sym_shift] = ACTIONS(1947),
    [anon_sym_sin] = ACTIONS(1947),
    [anon_sym_sleep] = ACTIONS(1947),
    [anon_sym_sqrt] = ACTIONS(1947),
    [anon_sym_srand] = ACTIONS(1947),
    [anon_sym_stat] = ACTIONS(1947),
    [anon_sym_study] = ACTIONS(1947),
    [anon_sym_tell] = ACTIONS(1947),
    [anon_sym_telldir] = ACTIONS(1947),
    [anon_sym_tied] = ACTIONS(1947),
    [anon_sym_uc] = ACTIONS(1947),
    [anon_sym_ucfirst] = ACTIONS(1947),
    [anon_sym_untie] = ACTIONS(1947),
    [anon_sym_umask] = ACTIONS(1947),
    [anon_sym_values] = ACTIONS(1947),
    [anon_sym_write] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1947),
    [anon_sym_qq] = ACTIONS(1947),
    [anon_sym_qw] = ACTIONS(1947),
    [anon_sym_qx] = ACTIONS(1947),
    [anon_sym_qr] = ACTIONS(1947),
    [anon_sym_m] = ACTIONS(1947),
    [anon_sym_s] = ACTIONS(1947),
    [anon_sym_tr] = ACTIONS(1947),
    [anon_sym_y] = ACTIONS(1947),
    [aux_sym__bareword_token1] = ACTIONS(1947),
    [sym_number] = ACTIONS(1947),
    [anon_sym_true] = ACTIONS(1947),
    [anon_sym_false] = ACTIONS(1947),
    [sym__single_quote] = ACTIONS(1949),
    [sym__double_quote] = ACTIONS(1949),
    [sym__backtick_quote] = ACTIONS(1949),
    [sym__search_slash_quote] = ACTIONS(1949),
    [sym__open_readline_bracket] = ACTIONS(1949),
    [sym__open_fileglob_bracket] = ACTIONS(1949),
    [sym__PERLY_SEMICOLON] = ACTIONS(1849),
    [sym__PERLY_HEREDOC] = ACTIONS(1949),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1949),
    [sym__filetest] = ACTIONS(1949),
  },
  [870] = {
    [sym_heredoc_content] = STATE(870),
    [sym__identifier] = ACTIONS(1828),
    [anon_sym_LBRACE] = ACTIONS(1828),
    [anon_sym_SEMI] = ACTIONS(1828),
    [anon_sym_DOLLAR] = ACTIONS(1828),
    [anon_sym_EQ] = ACTIONS(1828),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1828),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1828),
    [anon_sym_AT] = ACTIONS(1828),
    [anon_sym_COMMA] = ACTIONS(1828),
    [anon_sym_my] = ACTIONS(1828),
    [anon_sym_extended] = ACTIONS(1828),
    [anon_sym_async] = ACTIONS(1828),
    [anon_sym_sub] = ACTIONS(1828),
    [anon_sym_method] = ACTIONS(1828),
    [anon_sym_LPAREN] = ACTIONS(1828),
    [anon_sym_continue] = ACTIONS(1828),
    [anon_sym_state] = ACTIONS(1828),
    [anon_sym_our] = ACTIONS(1828),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1828),
    [anon_sym_LBRACK] = ACTIONS(1828),
    [anon_sym_DASH_GT] = ACTIONS(1828),
    [anon_sym_PERCENT] = ACTIONS(1828),
    [anon_sym_GT] = ACTIONS(1828),
    [anon_sym_LT_LT] = ACTIONS(1828),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1828),
    [anon_sym_PLUS_EQ] = ACTIONS(1828),
    [anon_sym_DASH_EQ] = ACTIONS(1828),
    [anon_sym_DOT_EQ] = ACTIONS(1828),
    [anon_sym_STAR_EQ] = ACTIONS(1828),
    [anon_sym_SLASH_EQ] = ACTIONS(1828),
    [anon_sym_PERCENT_EQ] = ACTIONS(1828),
    [anon_sym_x_EQ] = ACTIONS(1828),
    [anon_sym_AMP_EQ] = ACTIONS(1828),
    [anon_sym_PIPE_EQ] = ACTIONS(1828),
    [anon_sym_CARET_EQ] = ACTIONS(1828),
    [anon_sym_LT_LT_EQ] = ACTIONS(1828),
    [anon_sym_GT_GT_EQ] = ACTIONS(1828),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1828),
    [anon_sym_DOT_DOT] = ACTIONS(1828),
    [anon_sym_STAR_STAR] = ACTIONS(1828),
    [anon_sym_PIPE_PIPE] = ACTIONS(1828),
    [anon_sym_SLASH_SLASH] = ACTIONS(1828),
    [anon_sym_CARET_CARET] = ACTIONS(1828),
    [anon_sym_AMP_AMP] = ACTIONS(1828),
    [anon_sym_PIPE] = ACTIONS(1828),
    [anon_sym_CARET] = ACTIONS(1828),
    [anon_sym_AMP] = ACTIONS(1828),
    [anon_sym_GT_GT2] = ACTIONS(1828),
    [anon_sym_PLUS] = ACTIONS(1828),
    [anon_sym_DASH] = ACTIONS(1828),
    [anon_sym_DOT] = ACTIONS(1828),
    [anon_sym_STAR] = ACTIONS(1828),
    [anon_sym_SLASH] = ACTIONS(1828),
    [anon_sym_x] = ACTIONS(1828),
    [anon_sym_EQ_TILDE] = ACTIONS(1828),
    [anon_sym_BANG_TILDE] = ACTIONS(1828),
    [anon_sym_EQ_EQ] = ACTIONS(1828),
    [anon_sym_BANG_EQ] = ACTIONS(1828),
    [anon_sym_eq] = ACTIONS(1828),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1828),
    [anon_sym_equ] = ACTIONS(1828),
    [anon_sym_eqr] = ACTIONS(1828),
    [anon_sym_ne] = ACTIONS(1828),
    [anon_sym_LT_EQ_GT] = ACTIONS(1828),
    [anon_sym_cmp] = ACTIONS(1828),
    [anon_sym_TILDE_TILDE] = ACTIONS(1828),
    [anon_sym_LT] = ACTIONS(1828),
    [anon_sym_LT_EQ] = ACTIONS(1828),
    [anon_sym_GT_EQ] = ACTIONS(1828),
    [anon_sym_lt] = ACTIONS(1828),
    [anon_sym_le] = ACTIONS(1828),
    [anon_sym_ge] = ACTIONS(1828),
    [anon_sym_gt] = ACTIONS(1828),
    [anon_sym_isa] = ACTIONS(1828),
    [anon_sym_TILDE] = ACTIONS(1828),
    [anon_sym_BANG] = ACTIONS(1828),
    [anon_sym_PLUS_PLUS] = ACTIONS(1828),
    [anon_sym_DASH_DASH] = ACTIONS(1828),
    [anon_sym_QMARK] = ACTIONS(1828),
    [anon_sym_BSLASH] = ACTIONS(1832),
    [anon_sym_do] = ACTIONS(1828),
    [anon_sym_eval] = ACTIONS(1828),
    [anon_sym_await] = ACTIONS(1828),
    [anon_sym_field] = ACTIONS(1828),
    [anon_sym_local] = ACTIONS(1828),
    [anon_sym_dynamically] = ACTIONS(1828),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1828),
    [anon_sym_require] = ACTIONS(1828),
    [anon_sym_map] = ACTIONS(1828),
    [anon_sym_grep] = ACTIONS(1828),
    [anon_sym_sort] = ACTIONS(1828),
    [anon_sym_goto] = ACTIONS(1828),
    [anon_sym_return] = ACTIONS(1828),
    [anon_sym_undef] = ACTIONS(1828),
    [anon_sym_PERCENT2] = ACTIONS(1828),
    [anon_sym_AMP2] = ACTIONS(1828),
    [anon_sym_STAR2] = ACTIONS(1828),
    [anon_sym_EQ_GT] = ACTIONS(1828),
    [anon_sym_last] = ACTIONS(1828),
    [anon_sym_next] = ACTIONS(1828),
    [anon_sym_redo] = ACTIONS(1828),
    [anon_sym___FILE__] = ACTIONS(1828),
    [anon_sym___LINE__] = ACTIONS(1828),
    [anon_sym___PACKAGE__] = ACTIONS(1828),
    [anon_sym___SUB__] = ACTIONS(1828),
    [anon_sym_break] = ACTIONS(1828),
    [anon_sym_fork] = ACTIONS(1828),
    [anon_sym_getppid] = ACTIONS(1828),
    [anon_sym_time] = ACTIONS(1828),
    [anon_sym_times] = ACTIONS(1828),
    [anon_sym_wait] = ACTIONS(1828),
    [anon_sym_wantarray] = ACTIONS(1828),
    [anon_sym_abs] = ACTIONS(1828),
    [anon_sym_alarm] = ACTIONS(1828),
    [anon_sym_chop] = ACTIONS(1828),
    [anon_sym_chdir] = ACTIONS(1828),
    [anon_sym_close] = ACTIONS(1828),
    [anon_sym_closedir] = ACTIONS(1828),
    [anon_sym_caller] = ACTIONS(1828),
    [anon_sym_chomp] = ACTIONS(1828),
    [anon_sym_chr] = ACTIONS(1828),
    [anon_sym_cos] = ACTIONS(1828),
    [anon_sym_chroot] = ACTIONS(1828),
    [anon_sym_defined] = ACTIONS(1828),
    [anon_sym_delete] = ACTIONS(1828),
    [anon_sym_dbmclose] = ACTIONS(1828),
    [anon_sym_exists] = ACTIONS(1828),
    [anon_sym_exit] = ACTIONS(1828),
    [anon_sym_eof] = ACTIONS(1828),
    [anon_sym_exp] = ACTIONS(1828),
    [anon_sym_each] = ACTIONS(1828),
    [anon_sym_fc] = ACTIONS(1828),
    [anon_sym_fileno] = ACTIONS(1828),
    [anon_sym_gmtime] = ACTIONS(1828),
    [anon_sym_getc] = ACTIONS(1828),
    [anon_sym_getpgrp] = ACTIONS(1828),
    [anon_sym_getprotobyname] = ACTIONS(1828),
    [anon_sym_getpwname] = ACTIONS(1828),
    [anon_sym_getpwuid] = ACTIONS(1828),
    [anon_sym_getpeername] = ACTIONS(1828),
    [anon_sym_getnetbyname] = ACTIONS(1828),
    [anon_sym_getsockname] = ACTIONS(1828),
    [anon_sym_getgrnam] = ACTIONS(1828),
    [anon_sym_getgrgid] = ACTIONS(1828),
    [anon_sym_hex] = ACTIONS(1828),
    [anon_sym_int] = ACTIONS(1828),
    [anon_sym_keys] = ACTIONS(1828),
    [anon_sym_lc] = ACTIONS(1828),
    [anon_sym_lcfirst] = ACTIONS(1828),
    [anon_sym_length] = ACTIONS(1828),
    [anon_sym_localtime] = ACTIONS(1828),
    [anon_sym_log] = ACTIONS(1828),
    [anon_sym_lock] = ACTIONS(1828),
    [anon_sym_lstat] = ACTIONS(1828),
    [anon_sym_oct] = ACTIONS(1828),
    [anon_sym_ord] = ACTIONS(1828),
    [anon_sym_prototype] = ACTIONS(1828),
    [anon_sym_pop] = ACTIONS(1828),
    [anon_sym_pos] = ACTIONS(1828),
    [anon_sym_quotemeta] = ACTIONS(1828),
    [anon_sym_reset] = ACTIONS(1828),
    [anon_sym_rand] = ACTIONS(1828),
    [anon_sym_rmdir] = ACTIONS(1828),
    [anon_sym_readdir] = ACTIONS(1828),
    [anon_sym_readline] = ACTIONS(1828),
    [anon_sym_readpipe] = ACTIONS(1828),
    [anon_sym_rewinddir] = ACTIONS(1828),
    [anon_sym_readlink] = ACTIONS(1828),
    [anon_sym_ref] = ACTIONS(1828),
    [anon_sym_scalar] = ACTIONS(1828),
    [anon_sym_shift] = ACTIONS(1828),
    [anon_sym_sin] = ACTIONS(1828),
    [anon_sym_sleep] = ACTIONS(1828),
    [anon_sym_sqrt] = ACTIONS(1828),
    [anon_sym_srand] = ACTIONS(1828),
    [anon_sym_stat] = ACTIONS(1828),
    [anon_sym_study] = ACTIONS(1828),
    [anon_sym_tell] = ACTIONS(1828),
    [anon_sym_telldir] = ACTIONS(1828),
    [anon_sym_tied] = ACTIONS(1828),
    [anon_sym_uc] = ACTIONS(1828),
    [anon_sym_ucfirst] = ACTIONS(1828),
    [anon_sym_untie] = ACTIONS(1828),
    [anon_sym_umask] = ACTIONS(1828),
    [anon_sym_values] = ACTIONS(1828),
    [anon_sym_write] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1828),
    [anon_sym_qq] = ACTIONS(1828),
    [anon_sym_qw] = ACTIONS(1828),
    [anon_sym_qx] = ACTIONS(1828),
    [anon_sym_qr] = ACTIONS(1828),
    [anon_sym_m] = ACTIONS(1828),
    [anon_sym_s] = ACTIONS(1828),
    [anon_sym_tr] = ACTIONS(1828),
    [anon_sym_y] = ACTIONS(1828),
    [aux_sym__bareword_token1] = ACTIONS(1828),
    [sym_number] = ACTIONS(1828),
    [anon_sym_true] = ACTIONS(1828),
    [anon_sym_false] = ACTIONS(1828),
    [sym__single_quote] = ACTIONS(1832),
    [sym__double_quote] = ACTIONS(1832),
    [sym__backtick_quote] = ACTIONS(1832),
    [sym__search_slash_quote] = ACTIONS(1832),
    [sym__open_readline_bracket] = ACTIONS(1832),
    [sym__open_fileglob_bracket] = ACTIONS(1832),
    [sym__PERLY_SEMICOLON] = ACTIONS(1832),
    [sym__PERLY_HEREDOC] = ACTIONS(1832),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1832),
    [sym__filetest] = ACTIONS(1832),
  },
  [871] = {
    [sym_heredoc_content] = STATE(871),
    [sym__identifier] = ACTIONS(1838),
    [anon_sym_LBRACE] = ACTIONS(1838),
    [anon_sym_SEMI] = ACTIONS(1951),
    [anon_sym_DOLLAR] = ACTIONS(1838),
    [anon_sym_EQ] = ACTIONS(1951),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1951),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1951),
    [anon_sym_AT] = ACTIONS(1838),
    [anon_sym_COMMA] = ACTIONS(1951),
    [anon_sym_my] = ACTIONS(1838),
    [anon_sym_extended] = ACTIONS(1838),
    [anon_sym_async] = ACTIONS(1838),
    [anon_sym_sub] = ACTIONS(1838),
    [anon_sym_method] = ACTIONS(1838),
    [anon_sym_LPAREN] = ACTIONS(1838),
    [anon_sym_continue] = ACTIONS(1838),
    [anon_sym_state] = ACTIONS(1838),
    [anon_sym_our] = ACTIONS(1838),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1838),
    [anon_sym_DASH_GT] = ACTIONS(1951),
    [anon_sym_PERCENT] = ACTIONS(1951),
    [anon_sym_GT] = ACTIONS(1951),
    [anon_sym_LT_LT] = ACTIONS(1951),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1951),
    [anon_sym_PLUS_EQ] = ACTIONS(1951),
    [anon_sym_DASH_EQ] = ACTIONS(1951),
    [anon_sym_DOT_EQ] = ACTIONS(1951),
    [anon_sym_STAR_EQ] = ACTIONS(1951),
    [anon_sym_SLASH_EQ] = ACTIONS(1951),
    [anon_sym_PERCENT_EQ] = ACTIONS(1951),
    [anon_sym_x_EQ] = ACTIONS(1951),
    [anon_sym_AMP_EQ] = ACTIONS(1951),
    [anon_sym_PIPE_EQ] = ACTIONS(1951),
    [anon_sym_CARET_EQ] = ACTIONS(1951),
    [anon_sym_LT_LT_EQ] = ACTIONS(1951),
    [anon_sym_GT_GT_EQ] = ACTIONS(1951),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1951),
    [anon_sym_DOT_DOT] = ACTIONS(1951),
    [anon_sym_STAR_STAR] = ACTIONS(1951),
    [anon_sym_PIPE_PIPE] = ACTIONS(1951),
    [anon_sym_SLASH_SLASH] = ACTIONS(1951),
    [anon_sym_CARET_CARET] = ACTIONS(1951),
    [anon_sym_AMP_AMP] = ACTIONS(1951),
    [anon_sym_PIPE] = ACTIONS(1951),
    [anon_sym_CARET] = ACTIONS(1951),
    [anon_sym_AMP] = ACTIONS(1951),
    [anon_sym_GT_GT2] = ACTIONS(1951),
    [anon_sym_PLUS] = ACTIONS(1951),
    [anon_sym_DASH] = ACTIONS(1951),
    [anon_sym_DOT] = ACTIONS(1951),
    [anon_sym_STAR] = ACTIONS(1951),
    [anon_sym_SLASH] = ACTIONS(1951),
    [anon_sym_x] = ACTIONS(1951),
    [anon_sym_EQ_TILDE] = ACTIONS(1951),
    [anon_sym_BANG_TILDE] = ACTIONS(1951),
    [anon_sym_EQ_EQ] = ACTIONS(1951),
    [anon_sym_BANG_EQ] = ACTIONS(1951),
    [anon_sym_eq] = ACTIONS(1951),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1951),
    [anon_sym_equ] = ACTIONS(1951),
    [anon_sym_eqr] = ACTIONS(1951),
    [anon_sym_ne] = ACTIONS(1951),
    [anon_sym_LT_EQ_GT] = ACTIONS(1951),
    [anon_sym_cmp] = ACTIONS(1951),
    [anon_sym_TILDE_TILDE] = ACTIONS(1951),
    [anon_sym_LT] = ACTIONS(1951),
    [anon_sym_LT_EQ] = ACTIONS(1951),
    [anon_sym_GT_EQ] = ACTIONS(1951),
    [anon_sym_lt] = ACTIONS(1951),
    [anon_sym_le] = ACTIONS(1951),
    [anon_sym_ge] = ACTIONS(1951),
    [anon_sym_gt] = ACTIONS(1951),
    [anon_sym_isa] = ACTIONS(1951),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_PLUS_PLUS] = ACTIONS(1951),
    [anon_sym_DASH_DASH] = ACTIONS(1951),
    [anon_sym_QMARK] = ACTIONS(1951),
    [anon_sym_BSLASH] = ACTIONS(1845),
    [anon_sym_do] = ACTIONS(1838),
    [anon_sym_eval] = ACTIONS(1838),
    [anon_sym_await] = ACTIONS(1838),
    [anon_sym_field] = ACTIONS(1838),
    [anon_sym_local] = ACTIONS(1838),
    [anon_sym_dynamically] = ACTIONS(1838),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1838),
    [anon_sym_require] = ACTIONS(1838),
    [anon_sym_map] = ACTIONS(1838),
    [anon_sym_grep] = ACTIONS(1838),
    [anon_sym_sort] = ACTIONS(1838),
    [anon_sym_goto] = ACTIONS(1838),
    [anon_sym_return] = ACTIONS(1838),
    [anon_sym_undef] = ACTIONS(1838),
    [anon_sym_PERCENT2] = ACTIONS(1838),
    [anon_sym_AMP2] = ACTIONS(1838),
    [anon_sym_STAR2] = ACTIONS(1838),
    [anon_sym_EQ_GT] = ACTIONS(1951),
    [anon_sym_last] = ACTIONS(1838),
    [anon_sym_next] = ACTIONS(1838),
    [anon_sym_redo] = ACTIONS(1838),
    [anon_sym___FILE__] = ACTIONS(1838),
    [anon_sym___LINE__] = ACTIONS(1838),
    [anon_sym___PACKAGE__] = ACTIONS(1838),
    [anon_sym___SUB__] = ACTIONS(1838),
    [anon_sym_break] = ACTIONS(1838),
    [anon_sym_fork] = ACTIONS(1838),
    [anon_sym_getppid] = ACTIONS(1838),
    [anon_sym_time] = ACTIONS(1838),
    [anon_sym_times] = ACTIONS(1838),
    [anon_sym_wait] = ACTIONS(1838),
    [anon_sym_wantarray] = ACTIONS(1838),
    [anon_sym_abs] = ACTIONS(1838),
    [anon_sym_alarm] = ACTIONS(1838),
    [anon_sym_chop] = ACTIONS(1838),
    [anon_sym_chdir] = ACTIONS(1838),
    [anon_sym_close] = ACTIONS(1838),
    [anon_sym_closedir] = ACTIONS(1838),
    [anon_sym_caller] = ACTIONS(1838),
    [anon_sym_chomp] = ACTIONS(1838),
    [anon_sym_chr] = ACTIONS(1838),
    [anon_sym_cos] = ACTIONS(1838),
    [anon_sym_chroot] = ACTIONS(1838),
    [anon_sym_defined] = ACTIONS(1838),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_dbmclose] = ACTIONS(1838),
    [anon_sym_exists] = ACTIONS(1838),
    [anon_sym_exit] = ACTIONS(1838),
    [anon_sym_eof] = ACTIONS(1838),
    [anon_sym_exp] = ACTIONS(1838),
    [anon_sym_each] = ACTIONS(1838),
    [anon_sym_fc] = ACTIONS(1838),
    [anon_sym_fileno] = ACTIONS(1838),
    [anon_sym_gmtime] = ACTIONS(1838),
    [anon_sym_getc] = ACTIONS(1838),
    [anon_sym_getpgrp] = ACTIONS(1838),
    [anon_sym_getprotobyname] = ACTIONS(1838),
    [anon_sym_getpwname] = ACTIONS(1838),
    [anon_sym_getpwuid] = ACTIONS(1838),
    [anon_sym_getpeername] = ACTIONS(1838),
    [anon_sym_getnetbyname] = ACTIONS(1838),
    [anon_sym_getsockname] = ACTIONS(1838),
    [anon_sym_getgrnam] = ACTIONS(1838),
    [anon_sym_getgrgid] = ACTIONS(1838),
    [anon_sym_hex] = ACTIONS(1838),
    [anon_sym_int] = ACTIONS(1838),
    [anon_sym_keys] = ACTIONS(1838),
    [anon_sym_lc] = ACTIONS(1838),
    [anon_sym_lcfirst] = ACTIONS(1838),
    [anon_sym_length] = ACTIONS(1838),
    [anon_sym_localtime] = ACTIONS(1838),
    [anon_sym_log] = ACTIONS(1838),
    [anon_sym_lock] = ACTIONS(1838),
    [anon_sym_lstat] = ACTIONS(1838),
    [anon_sym_oct] = ACTIONS(1838),
    [anon_sym_ord] = ACTIONS(1838),
    [anon_sym_prototype] = ACTIONS(1838),
    [anon_sym_pop] = ACTIONS(1838),
    [anon_sym_pos] = ACTIONS(1838),
    [anon_sym_quotemeta] = ACTIONS(1838),
    [anon_sym_reset] = ACTIONS(1838),
    [anon_sym_rand] = ACTIONS(1838),
    [anon_sym_rmdir] = ACTIONS(1838),
    [anon_sym_readdir] = ACTIONS(1838),
    [anon_sym_readline] = ACTIONS(1838),
    [anon_sym_readpipe] = ACTIONS(1838),
    [anon_sym_rewinddir] = ACTIONS(1838),
    [anon_sym_readlink] = ACTIONS(1838),
    [anon_sym_ref] = ACTIONS(1838),
    [anon_sym_scalar] = ACTIONS(1838),
    [anon_sym_shift] = ACTIONS(1838),
    [anon_sym_sin] = ACTIONS(1838),
    [anon_sym_sleep] = ACTIONS(1838),
    [anon_sym_sqrt] = ACTIONS(1838),
    [anon_sym_srand] = ACTIONS(1838),
    [anon_sym_stat] = ACTIONS(1838),
    [anon_sym_study] = ACTIONS(1838),
    [anon_sym_tell] = ACTIONS(1838),
    [anon_sym_telldir] = ACTIONS(1838),
    [anon_sym_tied] = ACTIONS(1838),
    [anon_sym_uc] = ACTIONS(1838),
    [anon_sym_ucfirst] = ACTIONS(1838),
    [anon_sym_untie] = ACTIONS(1838),
    [anon_sym_umask] = ACTIONS(1838),
    [anon_sym_values] = ACTIONS(1838),
    [anon_sym_write] = ACTIONS(1838),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1838),
    [anon_sym_qq] = ACTIONS(1838),
    [anon_sym_qw] = ACTIONS(1838),
    [anon_sym_qx] = ACTIONS(1838),
    [anon_sym_qr] = ACTIONS(1838),
    [anon_sym_m] = ACTIONS(1838),
    [anon_sym_s] = ACTIONS(1838),
    [anon_sym_tr] = ACTIONS(1838),
    [anon_sym_y] = ACTIONS(1838),
    [aux_sym__bareword_token1] = ACTIONS(1838),
    [sym_number] = ACTIONS(1838),
    [anon_sym_true] = ACTIONS(1838),
    [anon_sym_false] = ACTIONS(1838),
    [sym__single_quote] = ACTIONS(1845),
    [sym__double_quote] = ACTIONS(1845),
    [sym__backtick_quote] = ACTIONS(1845),
    [sym__search_slash_quote] = ACTIONS(1845),
    [sym__open_readline_bracket] = ACTIONS(1845),
    [sym__open_fileglob_bracket] = ACTIONS(1845),
    [sym__PERLY_SEMICOLON] = ACTIONS(1953),
    [sym__PERLY_HEREDOC] = ACTIONS(1845),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1845),
    [sym__filetest] = ACTIONS(1845),
  },
  [872] = {
    [sym_heredoc_content] = STATE(872),
    [sym__identifier] = ACTIONS(1855),
    [anon_sym_LBRACE] = ACTIONS(1855),
    [anon_sym_SEMI] = ACTIONS(1855),
    [anon_sym_DOLLAR] = ACTIONS(1855),
    [anon_sym_EQ] = ACTIONS(1855),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1855),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1855),
    [anon_sym_AT] = ACTIONS(1855),
    [anon_sym_COMMA] = ACTIONS(1855),
    [anon_sym_my] = ACTIONS(1855),
    [anon_sym_extended] = ACTIONS(1855),
    [anon_sym_async] = ACTIONS(1855),
    [anon_sym_sub] = ACTIONS(1855),
    [anon_sym_method] = ACTIONS(1855),
    [anon_sym_LPAREN] = ACTIONS(1855),
    [anon_sym_continue] = ACTIONS(1855),
    [anon_sym_state] = ACTIONS(1855),
    [anon_sym_our] = ACTIONS(1855),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1855),
    [anon_sym_LBRACK] = ACTIONS(1855),
    [anon_sym_DASH_GT] = ACTIONS(1855),
    [anon_sym_PERCENT] = ACTIONS(1855),
    [anon_sym_GT] = ACTIONS(1855),
    [anon_sym_LT_LT] = ACTIONS(1855),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1855),
    [anon_sym_PLUS_EQ] = ACTIONS(1855),
    [anon_sym_DASH_EQ] = ACTIONS(1855),
    [anon_sym_DOT_EQ] = ACTIONS(1855),
    [anon_sym_STAR_EQ] = ACTIONS(1855),
    [anon_sym_SLASH_EQ] = ACTIONS(1855),
    [anon_sym_PERCENT_EQ] = ACTIONS(1855),
    [anon_sym_x_EQ] = ACTIONS(1855),
    [anon_sym_AMP_EQ] = ACTIONS(1855),
    [anon_sym_PIPE_EQ] = ACTIONS(1855),
    [anon_sym_CARET_EQ] = ACTIONS(1855),
    [anon_sym_LT_LT_EQ] = ACTIONS(1855),
    [anon_sym_GT_GT_EQ] = ACTIONS(1855),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1855),
    [anon_sym_DOT_DOT] = ACTIONS(1855),
    [anon_sym_STAR_STAR] = ACTIONS(1855),
    [anon_sym_PIPE_PIPE] = ACTIONS(1855),
    [anon_sym_SLASH_SLASH] = ACTIONS(1855),
    [anon_sym_CARET_CARET] = ACTIONS(1855),
    [anon_sym_AMP_AMP] = ACTIONS(1855),
    [anon_sym_PIPE] = ACTIONS(1855),
    [anon_sym_CARET] = ACTIONS(1855),
    [anon_sym_AMP] = ACTIONS(1855),
    [anon_sym_GT_GT2] = ACTIONS(1855),
    [anon_sym_PLUS] = ACTIONS(1855),
    [anon_sym_DASH] = ACTIONS(1855),
    [anon_sym_DOT] = ACTIONS(1855),
    [anon_sym_STAR] = ACTIONS(1855),
    [anon_sym_SLASH] = ACTIONS(1855),
    [anon_sym_x] = ACTIONS(1855),
    [anon_sym_EQ_TILDE] = ACTIONS(1855),
    [anon_sym_BANG_TILDE] = ACTIONS(1855),
    [anon_sym_EQ_EQ] = ACTIONS(1855),
    [anon_sym_BANG_EQ] = ACTIONS(1855),
    [anon_sym_eq] = ACTIONS(1855),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1855),
    [anon_sym_equ] = ACTIONS(1855),
    [anon_sym_eqr] = ACTIONS(1855),
    [anon_sym_ne] = ACTIONS(1855),
    [anon_sym_LT_EQ_GT] = ACTIONS(1855),
    [anon_sym_cmp] = ACTIONS(1855),
    [anon_sym_TILDE_TILDE] = ACTIONS(1855),
    [anon_sym_LT] = ACTIONS(1855),
    [anon_sym_LT_EQ] = ACTIONS(1855),
    [anon_sym_GT_EQ] = ACTIONS(1855),
    [anon_sym_lt] = ACTIONS(1855),
    [anon_sym_le] = ACTIONS(1855),
    [anon_sym_ge] = ACTIONS(1855),
    [anon_sym_gt] = ACTIONS(1855),
    [anon_sym_isa] = ACTIONS(1855),
    [anon_sym_TILDE] = ACTIONS(1855),
    [anon_sym_BANG] = ACTIONS(1855),
    [anon_sym_PLUS_PLUS] = ACTIONS(1855),
    [anon_sym_DASH_DASH] = ACTIONS(1855),
    [anon_sym_QMARK] = ACTIONS(1855),
    [anon_sym_BSLASH] = ACTIONS(1857),
    [anon_sym_do] = ACTIONS(1855),
    [anon_sym_eval] = ACTIONS(1855),
    [anon_sym_await] = ACTIONS(1855),
    [anon_sym_field] = ACTIONS(1855),
    [anon_sym_local] = ACTIONS(1855),
    [anon_sym_dynamically] = ACTIONS(1855),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1855),
    [anon_sym_require] = ACTIONS(1855),
    [anon_sym_map] = ACTIONS(1855),
    [anon_sym_grep] = ACTIONS(1855),
    [anon_sym_sort] = ACTIONS(1855),
    [anon_sym_goto] = ACTIONS(1855),
    [anon_sym_return] = ACTIONS(1855),
    [anon_sym_undef] = ACTIONS(1855),
    [anon_sym_PERCENT2] = ACTIONS(1855),
    [anon_sym_AMP2] = ACTIONS(1855),
    [anon_sym_STAR2] = ACTIONS(1855),
    [anon_sym_EQ_GT] = ACTIONS(1855),
    [anon_sym_last] = ACTIONS(1855),
    [anon_sym_next] = ACTIONS(1855),
    [anon_sym_redo] = ACTIONS(1855),
    [anon_sym___FILE__] = ACTIONS(1855),
    [anon_sym___LINE__] = ACTIONS(1855),
    [anon_sym___PACKAGE__] = ACTIONS(1855),
    [anon_sym___SUB__] = ACTIONS(1855),
    [anon_sym_break] = ACTIONS(1855),
    [anon_sym_fork] = ACTIONS(1855),
    [anon_sym_getppid] = ACTIONS(1855),
    [anon_sym_time] = ACTIONS(1855),
    [anon_sym_times] = ACTIONS(1855),
    [anon_sym_wait] = ACTIONS(1855),
    [anon_sym_wantarray] = ACTIONS(1855),
    [anon_sym_abs] = ACTIONS(1855),
    [anon_sym_alarm] = ACTIONS(1855),
    [anon_sym_chop] = ACTIONS(1855),
    [anon_sym_chdir] = ACTIONS(1855),
    [anon_sym_close] = ACTIONS(1855),
    [anon_sym_closedir] = ACTIONS(1855),
    [anon_sym_caller] = ACTIONS(1855),
    [anon_sym_chomp] = ACTIONS(1855),
    [anon_sym_chr] = ACTIONS(1855),
    [anon_sym_cos] = ACTIONS(1855),
    [anon_sym_chroot] = ACTIONS(1855),
    [anon_sym_defined] = ACTIONS(1855),
    [anon_sym_delete] = ACTIONS(1855),
    [anon_sym_dbmclose] = ACTIONS(1855),
    [anon_sym_exists] = ACTIONS(1855),
    [anon_sym_exit] = ACTIONS(1855),
    [anon_sym_eof] = ACTIONS(1855),
    [anon_sym_exp] = ACTIONS(1855),
    [anon_sym_each] = ACTIONS(1855),
    [anon_sym_fc] = ACTIONS(1855),
    [anon_sym_fileno] = ACTIONS(1855),
    [anon_sym_gmtime] = ACTIONS(1855),
    [anon_sym_getc] = ACTIONS(1855),
    [anon_sym_getpgrp] = ACTIONS(1855),
    [anon_sym_getprotobyname] = ACTIONS(1855),
    [anon_sym_getpwname] = ACTIONS(1855),
    [anon_sym_getpwuid] = ACTIONS(1855),
    [anon_sym_getpeername] = ACTIONS(1855),
    [anon_sym_getnetbyname] = ACTIONS(1855),
    [anon_sym_getsockname] = ACTIONS(1855),
    [anon_sym_getgrnam] = ACTIONS(1855),
    [anon_sym_getgrgid] = ACTIONS(1855),
    [anon_sym_hex] = ACTIONS(1855),
    [anon_sym_int] = ACTIONS(1855),
    [anon_sym_keys] = ACTIONS(1855),
    [anon_sym_lc] = ACTIONS(1855),
    [anon_sym_lcfirst] = ACTIONS(1855),
    [anon_sym_length] = ACTIONS(1855),
    [anon_sym_localtime] = ACTIONS(1855),
    [anon_sym_log] = ACTIONS(1855),
    [anon_sym_lock] = ACTIONS(1855),
    [anon_sym_lstat] = ACTIONS(1855),
    [anon_sym_oct] = ACTIONS(1855),
    [anon_sym_ord] = ACTIONS(1855),
    [anon_sym_prototype] = ACTIONS(1855),
    [anon_sym_pop] = ACTIONS(1855),
    [anon_sym_pos] = ACTIONS(1855),
    [anon_sym_quotemeta] = ACTIONS(1855),
    [anon_sym_reset] = ACTIONS(1855),
    [anon_sym_rand] = ACTIONS(1855),
    [anon_sym_rmdir] = ACTIONS(1855),
    [anon_sym_readdir] = ACTIONS(1855),
    [anon_sym_readline] = ACTIONS(1855),
    [anon_sym_readpipe] = ACTIONS(1855),
    [anon_sym_rewinddir] = ACTIONS(1855),
    [anon_sym_readlink] = ACTIONS(1855),
    [anon_sym_ref] = ACTIONS(1855),
    [anon_sym_scalar] = ACTIONS(1855),
    [anon_sym_shift] = ACTIONS(1855),
    [anon_sym_sin] = ACTIONS(1855),
    [anon_sym_sleep] = ACTIONS(1855),
    [anon_sym_sqrt] = ACTIONS(1855),
    [anon_sym_srand] = ACTIONS(1855),
    [anon_sym_stat] = ACTIONS(1855),
    [anon_sym_study] = ACTIONS(1855),
    [anon_sym_tell] = ACTIONS(1855),
    [anon_sym_telldir] = ACTIONS(1855),
    [anon_sym_tied] = ACTIONS(1855),
    [anon_sym_uc] = ACTIONS(1855),
    [anon_sym_ucfirst] = ACTIONS(1855),
    [anon_sym_untie] = ACTIONS(1855),
    [anon_sym_umask] = ACTIONS(1855),
    [anon_sym_values] = ACTIONS(1855),
    [anon_sym_write] = ACTIONS(1855),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1855),
    [anon_sym_qq] = ACTIONS(1855),
    [anon_sym_qw] = ACTIONS(1855),
    [anon_sym_qx] = ACTIONS(1855),
    [anon_sym_qr] = ACTIONS(1855),
    [anon_sym_m] = ACTIONS(1855),
    [anon_sym_s] = ACTIONS(1855),
    [anon_sym_tr] = ACTIONS(1855),
    [anon_sym_y] = ACTIONS(1855),
    [aux_sym__bareword_token1] = ACTIONS(1855),
    [sym_number] = ACTIONS(1855),
    [anon_sym_true] = ACTIONS(1855),
    [anon_sym_false] = ACTIONS(1855),
    [sym__single_quote] = ACTIONS(1857),
    [sym__double_quote] = ACTIONS(1857),
    [sym__backtick_quote] = ACTIONS(1857),
    [sym__search_slash_quote] = ACTIONS(1857),
    [sym__open_readline_bracket] = ACTIONS(1857),
    [sym__open_fileglob_bracket] = ACTIONS(1857),
    [sym__PERLY_SEMICOLON] = ACTIONS(1857),
    [sym__PERLY_HEREDOC] = ACTIONS(1857),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1857),
    [sym__filetest] = ACTIONS(1857),
  },
  [873] = {
    [sym_heredoc_content] = STATE(873),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_SEMI] = ACTIONS(1869),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1869),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1869),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1869),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1869),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1963),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1869),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_DASH_GT] = ACTIONS(1869),
    [anon_sym_PERCENT] = ACTIONS(1869),
    [anon_sym_GT] = ACTIONS(1869),
    [anon_sym_LT_LT] = ACTIONS(1869),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1869),
    [anon_sym_PLUS_EQ] = ACTIONS(1869),
    [anon_sym_DASH_EQ] = ACTIONS(1869),
    [anon_sym_DOT_EQ] = ACTIONS(1869),
    [anon_sym_STAR_EQ] = ACTIONS(1869),
    [anon_sym_SLASH_EQ] = ACTIONS(1869),
    [anon_sym_PERCENT_EQ] = ACTIONS(1869),
    [anon_sym_x_EQ] = ACTIONS(1869),
    [anon_sym_AMP_EQ] = ACTIONS(1869),
    [anon_sym_PIPE_EQ] = ACTIONS(1869),
    [anon_sym_CARET_EQ] = ACTIONS(1869),
    [anon_sym_LT_LT_EQ] = ACTIONS(1869),
    [anon_sym_GT_GT_EQ] = ACTIONS(1869),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1869),
    [anon_sym_DOT_DOT] = ACTIONS(1869),
    [anon_sym_STAR_STAR] = ACTIONS(1869),
    [anon_sym_PIPE_PIPE] = ACTIONS(1869),
    [anon_sym_SLASH_SLASH] = ACTIONS(1869),
    [anon_sym_CARET_CARET] = ACTIONS(1869),
    [anon_sym_AMP_AMP] = ACTIONS(1869),
    [anon_sym_PIPE] = ACTIONS(1869),
    [anon_sym_CARET] = ACTIONS(1869),
    [anon_sym_AMP] = ACTIONS(1869),
    [anon_sym_GT_GT2] = ACTIONS(1869),
    [anon_sym_PLUS] = ACTIONS(1869),
    [anon_sym_DASH] = ACTIONS(1869),
    [anon_sym_DOT] = ACTIONS(1869),
    [anon_sym_STAR] = ACTIONS(1869),
    [anon_sym_SLASH] = ACTIONS(1869),
    [anon_sym_x] = ACTIONS(1869),
    [anon_sym_EQ_TILDE] = ACTIONS(1869),
    [anon_sym_BANG_TILDE] = ACTIONS(1869),
    [anon_sym_EQ_EQ] = ACTIONS(1869),
    [anon_sym_BANG_EQ] = ACTIONS(1869),
    [anon_sym_eq] = ACTIONS(1869),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1869),
    [anon_sym_equ] = ACTIONS(1869),
    [anon_sym_eqr] = ACTIONS(1869),
    [anon_sym_ne] = ACTIONS(1869),
    [anon_sym_LT_EQ_GT] = ACTIONS(1869),
    [anon_sym_cmp] = ACTIONS(1869),
    [anon_sym_TILDE_TILDE] = ACTIONS(1869),
    [anon_sym_LT] = ACTIONS(1869),
    [anon_sym_LT_EQ] = ACTIONS(1869),
    [anon_sym_GT_EQ] = ACTIONS(1869),
    [anon_sym_lt] = ACTIONS(1869),
    [anon_sym_le] = ACTIONS(1869),
    [anon_sym_ge] = ACTIONS(1869),
    [anon_sym_gt] = ACTIONS(1869),
    [anon_sym_isa] = ACTIONS(1869),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_QMARK] = ACTIONS(1869),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1869),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1899),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
  },
  [874] = {
    [sym_heredoc_content] = STATE(874),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_COLON] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1876),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1876),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_RPAREN] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1972),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1876),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
  },
  [875] = {
    [sym_heredoc_content] = STATE(875),
    [sym__identifier] = ACTIONS(1834),
    [anon_sym_LBRACE] = ACTIONS(1834),
    [anon_sym_SEMI] = ACTIONS(1834),
    [anon_sym_DOLLAR] = ACTIONS(1834),
    [anon_sym_EQ] = ACTIONS(1834),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1834),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1834),
    [anon_sym_AT] = ACTIONS(1834),
    [anon_sym_COMMA] = ACTIONS(1834),
    [anon_sym_my] = ACTIONS(1834),
    [anon_sym_extended] = ACTIONS(1834),
    [anon_sym_async] = ACTIONS(1834),
    [anon_sym_sub] = ACTIONS(1834),
    [anon_sym_method] = ACTIONS(1834),
    [anon_sym_LPAREN] = ACTIONS(1834),
    [anon_sym_continue] = ACTIONS(1834),
    [anon_sym_state] = ACTIONS(1834),
    [anon_sym_our] = ACTIONS(1834),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1834),
    [anon_sym_LBRACK] = ACTIONS(1834),
    [anon_sym_DASH_GT] = ACTIONS(1834),
    [anon_sym_PERCENT] = ACTIONS(1834),
    [anon_sym_GT] = ACTIONS(1834),
    [anon_sym_LT_LT] = ACTIONS(1834),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1834),
    [anon_sym_PLUS_EQ] = ACTIONS(1834),
    [anon_sym_DASH_EQ] = ACTIONS(1834),
    [anon_sym_DOT_EQ] = ACTIONS(1834),
    [anon_sym_STAR_EQ] = ACTIONS(1834),
    [anon_sym_SLASH_EQ] = ACTIONS(1834),
    [anon_sym_PERCENT_EQ] = ACTIONS(1834),
    [anon_sym_x_EQ] = ACTIONS(1834),
    [anon_sym_AMP_EQ] = ACTIONS(1834),
    [anon_sym_PIPE_EQ] = ACTIONS(1834),
    [anon_sym_CARET_EQ] = ACTIONS(1834),
    [anon_sym_LT_LT_EQ] = ACTIONS(1834),
    [anon_sym_GT_GT_EQ] = ACTIONS(1834),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1834),
    [anon_sym_DOT_DOT] = ACTIONS(1834),
    [anon_sym_STAR_STAR] = ACTIONS(1834),
    [anon_sym_PIPE_PIPE] = ACTIONS(1834),
    [anon_sym_SLASH_SLASH] = ACTIONS(1834),
    [anon_sym_CARET_CARET] = ACTIONS(1834),
    [anon_sym_AMP_AMP] = ACTIONS(1834),
    [anon_sym_PIPE] = ACTIONS(1834),
    [anon_sym_CARET] = ACTIONS(1834),
    [anon_sym_AMP] = ACTIONS(1834),
    [anon_sym_GT_GT2] = ACTIONS(1834),
    [anon_sym_PLUS] = ACTIONS(1834),
    [anon_sym_DASH] = ACTIONS(1834),
    [anon_sym_DOT] = ACTIONS(1834),
    [anon_sym_STAR] = ACTIONS(1834),
    [anon_sym_SLASH] = ACTIONS(1834),
    [anon_sym_x] = ACTIONS(1834),
    [anon_sym_EQ_TILDE] = ACTIONS(1834),
    [anon_sym_BANG_TILDE] = ACTIONS(1834),
    [anon_sym_EQ_EQ] = ACTIONS(1834),
    [anon_sym_BANG_EQ] = ACTIONS(1834),
    [anon_sym_eq] = ACTIONS(1834),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1834),
    [anon_sym_equ] = ACTIONS(1834),
    [anon_sym_eqr] = ACTIONS(1834),
    [anon_sym_ne] = ACTIONS(1834),
    [anon_sym_LT_EQ_GT] = ACTIONS(1834),
    [anon_sym_cmp] = ACTIONS(1834),
    [anon_sym_TILDE_TILDE] = ACTIONS(1834),
    [anon_sym_LT] = ACTIONS(1834),
    [anon_sym_LT_EQ] = ACTIONS(1834),
    [anon_sym_GT_EQ] = ACTIONS(1834),
    [anon_sym_lt] = ACTIONS(1834),
    [anon_sym_le] = ACTIONS(1834),
    [anon_sym_ge] = ACTIONS(1834),
    [anon_sym_gt] = ACTIONS(1834),
    [anon_sym_isa] = ACTIONS(1834),
    [anon_sym_TILDE] = ACTIONS(1834),
    [anon_sym_BANG] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1834),
    [anon_sym_DASH_DASH] = ACTIONS(1834),
    [anon_sym_QMARK] = ACTIONS(1834),
    [anon_sym_BSLASH] = ACTIONS(1836),
    [anon_sym_do] = ACTIONS(1834),
    [anon_sym_eval] = ACTIONS(1834),
    [anon_sym_await] = ACTIONS(1834),
    [anon_sym_field] = ACTIONS(1834),
    [anon_sym_local] = ACTIONS(1834),
    [anon_sym_dynamically] = ACTIONS(1834),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1834),
    [anon_sym_require] = ACTIONS(1834),
    [anon_sym_map] = ACTIONS(1834),
    [anon_sym_grep] = ACTIONS(1834),
    [anon_sym_sort] = ACTIONS(1834),
    [anon_sym_goto] = ACTIONS(1834),
    [anon_sym_return] = ACTIONS(1834),
    [anon_sym_undef] = ACTIONS(1834),
    [anon_sym_PERCENT2] = ACTIONS(1834),
    [anon_sym_AMP2] = ACTIONS(1834),
    [anon_sym_STAR2] = ACTIONS(1834),
    [anon_sym_EQ_GT] = ACTIONS(1834),
    [anon_sym_last] = ACTIONS(1834),
    [anon_sym_next] = ACTIONS(1834),
    [anon_sym_redo] = ACTIONS(1834),
    [anon_sym___FILE__] = ACTIONS(1834),
    [anon_sym___LINE__] = ACTIONS(1834),
    [anon_sym___PACKAGE__] = ACTIONS(1834),
    [anon_sym___SUB__] = ACTIONS(1834),
    [anon_sym_break] = ACTIONS(1834),
    [anon_sym_fork] = ACTIONS(1834),
    [anon_sym_getppid] = ACTIONS(1834),
    [anon_sym_time] = ACTIONS(1834),
    [anon_sym_times] = ACTIONS(1834),
    [anon_sym_wait] = ACTIONS(1834),
    [anon_sym_wantarray] = ACTIONS(1834),
    [anon_sym_abs] = ACTIONS(1834),
    [anon_sym_alarm] = ACTIONS(1834),
    [anon_sym_chop] = ACTIONS(1834),
    [anon_sym_chdir] = ACTIONS(1834),
    [anon_sym_close] = ACTIONS(1834),
    [anon_sym_closedir] = ACTIONS(1834),
    [anon_sym_caller] = ACTIONS(1834),
    [anon_sym_chomp] = ACTIONS(1834),
    [anon_sym_chr] = ACTIONS(1834),
    [anon_sym_cos] = ACTIONS(1834),
    [anon_sym_chroot] = ACTIONS(1834),
    [anon_sym_defined] = ACTIONS(1834),
    [anon_sym_delete] = ACTIONS(1834),
    [anon_sym_dbmclose] = ACTIONS(1834),
    [anon_sym_exists] = ACTIONS(1834),
    [anon_sym_exit] = ACTIONS(1834),
    [anon_sym_eof] = ACTIONS(1834),
    [anon_sym_exp] = ACTIONS(1834),
    [anon_sym_each] = ACTIONS(1834),
    [anon_sym_fc] = ACTIONS(1834),
    [anon_sym_fileno] = ACTIONS(1834),
    [anon_sym_gmtime] = ACTIONS(1834),
    [anon_sym_getc] = ACTIONS(1834),
    [anon_sym_getpgrp] = ACTIONS(1834),
    [anon_sym_getprotobyname] = ACTIONS(1834),
    [anon_sym_getpwname] = ACTIONS(1834),
    [anon_sym_getpwuid] = ACTIONS(1834),
    [anon_sym_getpeername] = ACTIONS(1834),
    [anon_sym_getnetbyname] = ACTIONS(1834),
    [anon_sym_getsockname] = ACTIONS(1834),
    [anon_sym_getgrnam] = ACTIONS(1834),
    [anon_sym_getgrgid] = ACTIONS(1834),
    [anon_sym_hex] = ACTIONS(1834),
    [anon_sym_int] = ACTIONS(1834),
    [anon_sym_keys] = ACTIONS(1834),
    [anon_sym_lc] = ACTIONS(1834),
    [anon_sym_lcfirst] = ACTIONS(1834),
    [anon_sym_length] = ACTIONS(1834),
    [anon_sym_localtime] = ACTIONS(1834),
    [anon_sym_log] = ACTIONS(1834),
    [anon_sym_lock] = ACTIONS(1834),
    [anon_sym_lstat] = ACTIONS(1834),
    [anon_sym_oct] = ACTIONS(1834),
    [anon_sym_ord] = ACTIONS(1834),
    [anon_sym_prototype] = ACTIONS(1834),
    [anon_sym_pop] = ACTIONS(1834),
    [anon_sym_pos] = ACTIONS(1834),
    [anon_sym_quotemeta] = ACTIONS(1834),
    [anon_sym_reset] = ACTIONS(1834),
    [anon_sym_rand] = ACTIONS(1834),
    [anon_sym_rmdir] = ACTIONS(1834),
    [anon_sym_readdir] = ACTIONS(1834),
    [anon_sym_readline] = ACTIONS(1834),
    [anon_sym_readpipe] = ACTIONS(1834),
    [anon_sym_rewinddir] = ACTIONS(1834),
    [anon_sym_readlink] = ACTIONS(1834),
    [anon_sym_ref] = ACTIONS(1834),
    [anon_sym_scalar] = ACTIONS(1834),
    [anon_sym_shift] = ACTIONS(1834),
    [anon_sym_sin] = ACTIONS(1834),
    [anon_sym_sleep] = ACTIONS(1834),
    [anon_sym_sqrt] = ACTIONS(1834),
    [anon_sym_srand] = ACTIONS(1834),
    [anon_sym_stat] = ACTIONS(1834),
    [anon_sym_study] = ACTIONS(1834),
    [anon_sym_tell] = ACTIONS(1834),
    [anon_sym_telldir] = ACTIONS(1834),
    [anon_sym_tied] = ACTIONS(1834),
    [anon_sym_uc] = ACTIONS(1834),
    [anon_sym_ucfirst] = ACTIONS(1834),
    [anon_sym_untie] = ACTIONS(1834),
    [anon_sym_umask] = ACTIONS(1834),
    [anon_sym_values] = ACTIONS(1834),
    [anon_sym_write] = ACTIONS(1834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1834),
    [anon_sym_qq] = ACTIONS(1834),
    [anon_sym_qw] = ACTIONS(1834),
    [anon_sym_qx] = ACTIONS(1834),
    [anon_sym_qr] = ACTIONS(1834),
    [anon_sym_m] = ACTIONS(1834),
    [anon_sym_s] = ACTIONS(1834),
    [anon_sym_tr] = ACTIONS(1834),
    [anon_sym_y] = ACTIONS(1834),
    [aux_sym__bareword_token1] = ACTIONS(1834),
    [sym_number] = ACTIONS(1834),
    [anon_sym_true] = ACTIONS(1834),
    [anon_sym_false] = ACTIONS(1834),
    [sym__single_quote] = ACTIONS(1836),
    [sym__double_quote] = ACTIONS(1836),
    [sym__backtick_quote] = ACTIONS(1836),
    [sym__search_slash_quote] = ACTIONS(1836),
    [sym__open_readline_bracket] = ACTIONS(1836),
    [sym__open_fileglob_bracket] = ACTIONS(1836),
    [sym__PERLY_SEMICOLON] = ACTIONS(1836),
    [sym__PERLY_HEREDOC] = ACTIONS(1836),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1836),
    [sym__filetest] = ACTIONS(1836),
  },
  [876] = {
    [sym_heredoc_content] = STATE(876),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_COLON] = ACTIONS(1901),
    [anon_sym_DOLLAR] = ACTIONS(1901),
    [anon_sym_EQ] = ACTIONS(1901),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1901),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1901),
    [anon_sym_AT] = ACTIONS(1901),
    [anon_sym_COMMA] = ACTIONS(1901),
    [anon_sym_RPAREN] = ACTIONS(1901),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1972),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1901),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_DASH_GT] = ACTIONS(1901),
    [anon_sym_PERCENT] = ACTIONS(1901),
    [anon_sym_GT] = ACTIONS(1901),
    [anon_sym_LT_LT] = ACTIONS(1901),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1901),
    [anon_sym_PLUS_EQ] = ACTIONS(1901),
    [anon_sym_DASH_EQ] = ACTIONS(1901),
    [anon_sym_DOT_EQ] = ACTIONS(1901),
    [anon_sym_STAR_EQ] = ACTIONS(1901),
    [anon_sym_SLASH_EQ] = ACTIONS(1901),
    [anon_sym_PERCENT_EQ] = ACTIONS(1901),
    [anon_sym_x_EQ] = ACTIONS(1901),
    [anon_sym_AMP_EQ] = ACTIONS(1901),
    [anon_sym_PIPE_EQ] = ACTIONS(1901),
    [anon_sym_CARET_EQ] = ACTIONS(1901),
    [anon_sym_LT_LT_EQ] = ACTIONS(1901),
    [anon_sym_GT_GT_EQ] = ACTIONS(1901),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1901),
    [anon_sym_DOT_DOT] = ACTIONS(1901),
    [anon_sym_STAR_STAR] = ACTIONS(1901),
    [anon_sym_PIPE_PIPE] = ACTIONS(1901),
    [anon_sym_SLASH_SLASH] = ACTIONS(1901),
    [anon_sym_CARET_CARET] = ACTIONS(1901),
    [anon_sym_AMP_AMP] = ACTIONS(1901),
    [anon_sym_PIPE] = ACTIONS(1901),
    [anon_sym_CARET] = ACTIONS(1901),
    [anon_sym_AMP] = ACTIONS(1901),
    [anon_sym_GT_GT2] = ACTIONS(1901),
    [anon_sym_PLUS] = ACTIONS(1901),
    [anon_sym_DASH] = ACTIONS(1901),
    [anon_sym_DOT] = ACTIONS(1901),
    [anon_sym_STAR] = ACTIONS(1901),
    [anon_sym_SLASH] = ACTIONS(1901),
    [anon_sym_x] = ACTIONS(1901),
    [anon_sym_EQ_TILDE] = ACTIONS(1901),
    [anon_sym_BANG_TILDE] = ACTIONS(1901),
    [anon_sym_EQ_EQ] = ACTIONS(1901),
    [anon_sym_BANG_EQ] = ACTIONS(1901),
    [anon_sym_eq] = ACTIONS(1901),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1901),
    [anon_sym_equ] = ACTIONS(1901),
    [anon_sym_eqr] = ACTIONS(1901),
    [anon_sym_ne] = ACTIONS(1901),
    [anon_sym_LT_EQ_GT] = ACTIONS(1901),
    [anon_sym_cmp] = ACTIONS(1901),
    [anon_sym_TILDE_TILDE] = ACTIONS(1901),
    [anon_sym_LT] = ACTIONS(1901),
    [anon_sym_LT_EQ] = ACTIONS(1901),
    [anon_sym_GT_EQ] = ACTIONS(1901),
    [anon_sym_lt] = ACTIONS(1901),
    [anon_sym_le] = ACTIONS(1901),
    [anon_sym_ge] = ACTIONS(1901),
    [anon_sym_gt] = ACTIONS(1901),
    [anon_sym_isa] = ACTIONS(1901),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1901),
    [anon_sym_DASH_DASH] = ACTIONS(1901),
    [anon_sym_QMARK] = ACTIONS(1901),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1901),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1901),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
  },
  [877] = {
    [sym_heredoc_content] = STATE(877),
    [sym__identifier] = ACTIONS(1824),
    [anon_sym_LBRACE] = ACTIONS(1824),
    [anon_sym_SEMI] = ACTIONS(1824),
    [anon_sym_DOLLAR] = ACTIONS(1824),
    [anon_sym_EQ] = ACTIONS(1824),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1824),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1824),
    [anon_sym_AT] = ACTIONS(1824),
    [anon_sym_COMMA] = ACTIONS(1824),
    [anon_sym_my] = ACTIONS(1824),
    [anon_sym_extended] = ACTIONS(1824),
    [anon_sym_async] = ACTIONS(1824),
    [anon_sym_sub] = ACTIONS(1824),
    [anon_sym_method] = ACTIONS(1824),
    [anon_sym_LPAREN] = ACTIONS(1824),
    [anon_sym_continue] = ACTIONS(1824),
    [anon_sym_state] = ACTIONS(1824),
    [anon_sym_our] = ACTIONS(1824),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1824),
    [anon_sym_LBRACK] = ACTIONS(1824),
    [anon_sym_DASH_GT] = ACTIONS(1824),
    [anon_sym_PERCENT] = ACTIONS(1824),
    [anon_sym_GT] = ACTIONS(1824),
    [anon_sym_LT_LT] = ACTIONS(1824),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1824),
    [anon_sym_PLUS_EQ] = ACTIONS(1824),
    [anon_sym_DASH_EQ] = ACTIONS(1824),
    [anon_sym_DOT_EQ] = ACTIONS(1824),
    [anon_sym_STAR_EQ] = ACTIONS(1824),
    [anon_sym_SLASH_EQ] = ACTIONS(1824),
    [anon_sym_PERCENT_EQ] = ACTIONS(1824),
    [anon_sym_x_EQ] = ACTIONS(1824),
    [anon_sym_AMP_EQ] = ACTIONS(1824),
    [anon_sym_PIPE_EQ] = ACTIONS(1824),
    [anon_sym_CARET_EQ] = ACTIONS(1824),
    [anon_sym_LT_LT_EQ] = ACTIONS(1824),
    [anon_sym_GT_GT_EQ] = ACTIONS(1824),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1824),
    [anon_sym_DOT_DOT] = ACTIONS(1824),
    [anon_sym_STAR_STAR] = ACTIONS(1824),
    [anon_sym_PIPE_PIPE] = ACTIONS(1824),
    [anon_sym_SLASH_SLASH] = ACTIONS(1824),
    [anon_sym_CARET_CARET] = ACTIONS(1824),
    [anon_sym_AMP_AMP] = ACTIONS(1824),
    [anon_sym_PIPE] = ACTIONS(1824),
    [anon_sym_CARET] = ACTIONS(1824),
    [anon_sym_AMP] = ACTIONS(1824),
    [anon_sym_GT_GT2] = ACTIONS(1824),
    [anon_sym_PLUS] = ACTIONS(1824),
    [anon_sym_DASH] = ACTIONS(1824),
    [anon_sym_DOT] = ACTIONS(1824),
    [anon_sym_STAR] = ACTIONS(1824),
    [anon_sym_SLASH] = ACTIONS(1824),
    [anon_sym_x] = ACTIONS(1824),
    [anon_sym_EQ_TILDE] = ACTIONS(1824),
    [anon_sym_BANG_TILDE] = ACTIONS(1824),
    [anon_sym_EQ_EQ] = ACTIONS(1824),
    [anon_sym_BANG_EQ] = ACTIONS(1824),
    [anon_sym_eq] = ACTIONS(1824),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1824),
    [anon_sym_equ] = ACTIONS(1824),
    [anon_sym_eqr] = ACTIONS(1824),
    [anon_sym_ne] = ACTIONS(1824),
    [anon_sym_LT_EQ_GT] = ACTIONS(1824),
    [anon_sym_cmp] = ACTIONS(1824),
    [anon_sym_TILDE_TILDE] = ACTIONS(1824),
    [anon_sym_LT] = ACTIONS(1824),
    [anon_sym_LT_EQ] = ACTIONS(1824),
    [anon_sym_GT_EQ] = ACTIONS(1824),
    [anon_sym_lt] = ACTIONS(1824),
    [anon_sym_le] = ACTIONS(1824),
    [anon_sym_ge] = ACTIONS(1824),
    [anon_sym_gt] = ACTIONS(1824),
    [anon_sym_isa] = ACTIONS(1824),
    [anon_sym_TILDE] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1824),
    [anon_sym_PLUS_PLUS] = ACTIONS(1824),
    [anon_sym_DASH_DASH] = ACTIONS(1824),
    [anon_sym_QMARK] = ACTIONS(1824),
    [anon_sym_BSLASH] = ACTIONS(1826),
    [anon_sym_do] = ACTIONS(1824),
    [anon_sym_eval] = ACTIONS(1824),
    [anon_sym_await] = ACTIONS(1824),
    [anon_sym_field] = ACTIONS(1824),
    [anon_sym_local] = ACTIONS(1824),
    [anon_sym_dynamically] = ACTIONS(1824),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1824),
    [anon_sym_require] = ACTIONS(1824),
    [anon_sym_map] = ACTIONS(1824),
    [anon_sym_grep] = ACTIONS(1824),
    [anon_sym_sort] = ACTIONS(1824),
    [anon_sym_goto] = ACTIONS(1824),
    [anon_sym_return] = ACTIONS(1824),
    [anon_sym_undef] = ACTIONS(1824),
    [anon_sym_PERCENT2] = ACTIONS(1824),
    [anon_sym_AMP2] = ACTIONS(1824),
    [anon_sym_STAR2] = ACTIONS(1824),
    [anon_sym_EQ_GT] = ACTIONS(1824),
    [anon_sym_last] = ACTIONS(1824),
    [anon_sym_next] = ACTIONS(1824),
    [anon_sym_redo] = ACTIONS(1824),
    [anon_sym___FILE__] = ACTIONS(1824),
    [anon_sym___LINE__] = ACTIONS(1824),
    [anon_sym___PACKAGE__] = ACTIONS(1824),
    [anon_sym___SUB__] = ACTIONS(1824),
    [anon_sym_break] = ACTIONS(1824),
    [anon_sym_fork] = ACTIONS(1824),
    [anon_sym_getppid] = ACTIONS(1824),
    [anon_sym_time] = ACTIONS(1824),
    [anon_sym_times] = ACTIONS(1824),
    [anon_sym_wait] = ACTIONS(1824),
    [anon_sym_wantarray] = ACTIONS(1824),
    [anon_sym_abs] = ACTIONS(1824),
    [anon_sym_alarm] = ACTIONS(1824),
    [anon_sym_chop] = ACTIONS(1824),
    [anon_sym_chdir] = ACTIONS(1824),
    [anon_sym_close] = ACTIONS(1824),
    [anon_sym_closedir] = ACTIONS(1824),
    [anon_sym_caller] = ACTIONS(1824),
    [anon_sym_chomp] = ACTIONS(1824),
    [anon_sym_chr] = ACTIONS(1824),
    [anon_sym_cos] = ACTIONS(1824),
    [anon_sym_chroot] = ACTIONS(1824),
    [anon_sym_defined] = ACTIONS(1824),
    [anon_sym_delete] = ACTIONS(1824),
    [anon_sym_dbmclose] = ACTIONS(1824),
    [anon_sym_exists] = ACTIONS(1824),
    [anon_sym_exit] = ACTIONS(1824),
    [anon_sym_eof] = ACTIONS(1824),
    [anon_sym_exp] = ACTIONS(1824),
    [anon_sym_each] = ACTIONS(1824),
    [anon_sym_fc] = ACTIONS(1824),
    [anon_sym_fileno] = ACTIONS(1824),
    [anon_sym_gmtime] = ACTIONS(1824),
    [anon_sym_getc] = ACTIONS(1824),
    [anon_sym_getpgrp] = ACTIONS(1824),
    [anon_sym_getprotobyname] = ACTIONS(1824),
    [anon_sym_getpwname] = ACTIONS(1824),
    [anon_sym_getpwuid] = ACTIONS(1824),
    [anon_sym_getpeername] = ACTIONS(1824),
    [anon_sym_getnetbyname] = ACTIONS(1824),
    [anon_sym_getsockname] = ACTIONS(1824),
    [anon_sym_getgrnam] = ACTIONS(1824),
    [anon_sym_getgrgid] = ACTIONS(1824),
    [anon_sym_hex] = ACTIONS(1824),
    [anon_sym_int] = ACTIONS(1824),
    [anon_sym_keys] = ACTIONS(1824),
    [anon_sym_lc] = ACTIONS(1824),
    [anon_sym_lcfirst] = ACTIONS(1824),
    [anon_sym_length] = ACTIONS(1824),
    [anon_sym_localtime] = ACTIONS(1824),
    [anon_sym_log] = ACTIONS(1824),
    [anon_sym_lock] = ACTIONS(1824),
    [anon_sym_lstat] = ACTIONS(1824),
    [anon_sym_oct] = ACTIONS(1824),
    [anon_sym_ord] = ACTIONS(1824),
    [anon_sym_prototype] = ACTIONS(1824),
    [anon_sym_pop] = ACTIONS(1824),
    [anon_sym_pos] = ACTIONS(1824),
    [anon_sym_quotemeta] = ACTIONS(1824),
    [anon_sym_reset] = ACTIONS(1824),
    [anon_sym_rand] = ACTIONS(1824),
    [anon_sym_rmdir] = ACTIONS(1824),
    [anon_sym_readdir] = ACTIONS(1824),
    [anon_sym_readline] = ACTIONS(1824),
    [anon_sym_readpipe] = ACTIONS(1824),
    [anon_sym_rewinddir] = ACTIONS(1824),
    [anon_sym_readlink] = ACTIONS(1824),
    [anon_sym_ref] = ACTIONS(1824),
    [anon_sym_scalar] = ACTIONS(1824),
    [anon_sym_shift] = ACTIONS(1824),
    [anon_sym_sin] = ACTIONS(1824),
    [anon_sym_sleep] = ACTIONS(1824),
    [anon_sym_sqrt] = ACTIONS(1824),
    [anon_sym_srand] = ACTIONS(1824),
    [anon_sym_stat] = ACTIONS(1824),
    [anon_sym_study] = ACTIONS(1824),
    [anon_sym_tell] = ACTIONS(1824),
    [anon_sym_telldir] = ACTIONS(1824),
    [anon_sym_tied] = ACTIONS(1824),
    [anon_sym_uc] = ACTIONS(1824),
    [anon_sym_ucfirst] = ACTIONS(1824),
    [anon_sym_untie] = ACTIONS(1824),
    [anon_sym_umask] = ACTIONS(1824),
    [anon_sym_values] = ACTIONS(1824),
    [anon_sym_write] = ACTIONS(1824),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1824),
    [anon_sym_qq] = ACTIONS(1824),
    [anon_sym_qw] = ACTIONS(1824),
    [anon_sym_qx] = ACTIONS(1824),
    [anon_sym_qr] = ACTIONS(1824),
    [anon_sym_m] = ACTIONS(1824),
    [anon_sym_s] = ACTIONS(1824),
    [anon_sym_tr] = ACTIONS(1824),
    [anon_sym_y] = ACTIONS(1824),
    [aux_sym__bareword_token1] = ACTIONS(1824),
    [sym_number] = ACTIONS(1824),
    [anon_sym_true] = ACTIONS(1824),
    [anon_sym_false] = ACTIONS(1824),
    [sym__single_quote] = ACTIONS(1826),
    [sym__double_quote] = ACTIONS(1826),
    [sym__backtick_quote] = ACTIONS(1826),
    [sym__search_slash_quote] = ACTIONS(1826),
    [sym__open_readline_bracket] = ACTIONS(1826),
    [sym__open_fileglob_bracket] = ACTIONS(1826),
    [sym__PERLY_SEMICOLON] = ACTIONS(1826),
    [sym__PERLY_HEREDOC] = ACTIONS(1826),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1826),
    [sym__filetest] = ACTIONS(1826),
  },
  [878] = {
    [sym_heredoc_content] = STATE(878),
    [sym__identifier] = ACTIONS(1661),
    [anon_sym_LBRACE] = ACTIONS(1661),
    [anon_sym_SEMI] = ACTIONS(1661),
    [anon_sym_DOLLAR] = ACTIONS(1661),
    [anon_sym_EQ] = ACTIONS(1661),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1661),
    [anon_sym_AT] = ACTIONS(1661),
    [anon_sym_COMMA] = ACTIONS(1661),
    [anon_sym_my] = ACTIONS(1661),
    [anon_sym_extended] = ACTIONS(1661),
    [anon_sym_async] = ACTIONS(1661),
    [anon_sym_sub] = ACTIONS(1661),
    [anon_sym_method] = ACTIONS(1661),
    [anon_sym_LPAREN] = ACTIONS(1661),
    [anon_sym_continue] = ACTIONS(1661),
    [anon_sym_state] = ACTIONS(1661),
    [anon_sym_our] = ACTIONS(1661),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1661),
    [anon_sym_LBRACK] = ACTIONS(1661),
    [anon_sym_DASH_GT] = ACTIONS(1661),
    [anon_sym_PERCENT] = ACTIONS(1661),
    [anon_sym_GT] = ACTIONS(1661),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1661),
    [anon_sym_PLUS_EQ] = ACTIONS(1661),
    [anon_sym_DASH_EQ] = ACTIONS(1661),
    [anon_sym_DOT_EQ] = ACTIONS(1661),
    [anon_sym_STAR_EQ] = ACTIONS(1661),
    [anon_sym_SLASH_EQ] = ACTIONS(1661),
    [anon_sym_PERCENT_EQ] = ACTIONS(1661),
    [anon_sym_x_EQ] = ACTIONS(1661),
    [anon_sym_AMP_EQ] = ACTIONS(1661),
    [anon_sym_PIPE_EQ] = ACTIONS(1661),
    [anon_sym_CARET_EQ] = ACTIONS(1661),
    [anon_sym_LT_LT_EQ] = ACTIONS(1661),
    [anon_sym_GT_GT_EQ] = ACTIONS(1661),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1661),
    [anon_sym_DOT_DOT] = ACTIONS(1661),
    [anon_sym_STAR_STAR] = ACTIONS(1661),
    [anon_sym_PIPE_PIPE] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1661),
    [anon_sym_CARET_CARET] = ACTIONS(1661),
    [anon_sym_AMP_AMP] = ACTIONS(1661),
    [anon_sym_PIPE] = ACTIONS(1661),
    [anon_sym_CARET] = ACTIONS(1661),
    [anon_sym_AMP] = ACTIONS(1661),
    [anon_sym_GT_GT2] = ACTIONS(1661),
    [anon_sym_PLUS] = ACTIONS(1661),
    [anon_sym_DASH] = ACTIONS(1661),
    [anon_sym_DOT] = ACTIONS(1661),
    [anon_sym_STAR] = ACTIONS(1661),
    [anon_sym_SLASH] = ACTIONS(1661),
    [anon_sym_x] = ACTIONS(1661),
    [anon_sym_EQ_TILDE] = ACTIONS(1661),
    [anon_sym_BANG_TILDE] = ACTIONS(1661),
    [anon_sym_EQ_EQ] = ACTIONS(1661),
    [anon_sym_BANG_EQ] = ACTIONS(1661),
    [anon_sym_eq] = ACTIONS(1661),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1661),
    [anon_sym_equ] = ACTIONS(1661),
    [anon_sym_eqr] = ACTIONS(1661),
    [anon_sym_ne] = ACTIONS(1661),
    [anon_sym_LT_EQ_GT] = ACTIONS(1661),
    [anon_sym_cmp] = ACTIONS(1661),
    [anon_sym_TILDE_TILDE] = ACTIONS(1661),
    [anon_sym_LT] = ACTIONS(1661),
    [anon_sym_LT_EQ] = ACTIONS(1661),
    [anon_sym_GT_EQ] = ACTIONS(1661),
    [anon_sym_lt] = ACTIONS(1661),
    [anon_sym_le] = ACTIONS(1661),
    [anon_sym_ge] = ACTIONS(1661),
    [anon_sym_gt] = ACTIONS(1661),
    [anon_sym_isa] = ACTIONS(1661),
    [anon_sym_TILDE] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1661),
    [anon_sym_PLUS_PLUS] = ACTIONS(1661),
    [anon_sym_DASH_DASH] = ACTIONS(1661),
    [anon_sym_QMARK] = ACTIONS(1661),
    [anon_sym_BSLASH] = ACTIONS(1659),
    [anon_sym_do] = ACTIONS(1661),
    [anon_sym_eval] = ACTIONS(1661),
    [anon_sym_await] = ACTIONS(1661),
    [anon_sym_field] = ACTIONS(1661),
    [anon_sym_local] = ACTIONS(1661),
    [anon_sym_dynamically] = ACTIONS(1661),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1661),
    [anon_sym_require] = ACTIONS(1661),
    [anon_sym_map] = ACTIONS(1661),
    [anon_sym_grep] = ACTIONS(1661),
    [anon_sym_sort] = ACTIONS(1661),
    [anon_sym_goto] = ACTIONS(1661),
    [anon_sym_return] = ACTIONS(1661),
    [anon_sym_undef] = ACTIONS(1661),
    [anon_sym_PERCENT2] = ACTIONS(1661),
    [anon_sym_AMP2] = ACTIONS(1661),
    [anon_sym_STAR2] = ACTIONS(1661),
    [anon_sym_EQ_GT] = ACTIONS(1661),
    [anon_sym_last] = ACTIONS(1661),
    [anon_sym_next] = ACTIONS(1661),
    [anon_sym_redo] = ACTIONS(1661),
    [anon_sym___FILE__] = ACTIONS(1661),
    [anon_sym___LINE__] = ACTIONS(1661),
    [anon_sym___PACKAGE__] = ACTIONS(1661),
    [anon_sym___SUB__] = ACTIONS(1661),
    [anon_sym_break] = ACTIONS(1661),
    [anon_sym_fork] = ACTIONS(1661),
    [anon_sym_getppid] = ACTIONS(1661),
    [anon_sym_time] = ACTIONS(1661),
    [anon_sym_times] = ACTIONS(1661),
    [anon_sym_wait] = ACTIONS(1661),
    [anon_sym_wantarray] = ACTIONS(1661),
    [anon_sym_abs] = ACTIONS(1661),
    [anon_sym_alarm] = ACTIONS(1661),
    [anon_sym_chop] = ACTIONS(1661),
    [anon_sym_chdir] = ACTIONS(1661),
    [anon_sym_close] = ACTIONS(1661),
    [anon_sym_closedir] = ACTIONS(1661),
    [anon_sym_caller] = ACTIONS(1661),
    [anon_sym_chomp] = ACTIONS(1661),
    [anon_sym_chr] = ACTIONS(1661),
    [anon_sym_cos] = ACTIONS(1661),
    [anon_sym_chroot] = ACTIONS(1661),
    [anon_sym_defined] = ACTIONS(1661),
    [anon_sym_delete] = ACTIONS(1661),
    [anon_sym_dbmclose] = ACTIONS(1661),
    [anon_sym_exists] = ACTIONS(1661),
    [anon_sym_exit] = ACTIONS(1661),
    [anon_sym_eof] = ACTIONS(1661),
    [anon_sym_exp] = ACTIONS(1661),
    [anon_sym_each] = ACTIONS(1661),
    [anon_sym_fc] = ACTIONS(1661),
    [anon_sym_fileno] = ACTIONS(1661),
    [anon_sym_gmtime] = ACTIONS(1661),
    [anon_sym_getc] = ACTIONS(1661),
    [anon_sym_getpgrp] = ACTIONS(1661),
    [anon_sym_getprotobyname] = ACTIONS(1661),
    [anon_sym_getpwname] = ACTIONS(1661),
    [anon_sym_getpwuid] = ACTIONS(1661),
    [anon_sym_getpeername] = ACTIONS(1661),
    [anon_sym_getnetbyname] = ACTIONS(1661),
    [anon_sym_getsockname] = ACTIONS(1661),
    [anon_sym_getgrnam] = ACTIONS(1661),
    [anon_sym_getgrgid] = ACTIONS(1661),
    [anon_sym_hex] = ACTIONS(1661),
    [anon_sym_int] = ACTIONS(1661),
    [anon_sym_keys] = ACTIONS(1661),
    [anon_sym_lc] = ACTIONS(1661),
    [anon_sym_lcfirst] = ACTIONS(1661),
    [anon_sym_length] = ACTIONS(1661),
    [anon_sym_localtime] = ACTIONS(1661),
    [anon_sym_log] = ACTIONS(1661),
    [anon_sym_lock] = ACTIONS(1661),
    [anon_sym_lstat] = ACTIONS(1661),
    [anon_sym_oct] = ACTIONS(1661),
    [anon_sym_ord] = ACTIONS(1661),
    [anon_sym_prototype] = ACTIONS(1661),
    [anon_sym_pop] = ACTIONS(1661),
    [anon_sym_pos] = ACTIONS(1661),
    [anon_sym_quotemeta] = ACTIONS(1661),
    [anon_sym_reset] = ACTIONS(1661),
    [anon_sym_rand] = ACTIONS(1661),
    [anon_sym_rmdir] = ACTIONS(1661),
    [anon_sym_readdir] = ACTIONS(1661),
    [anon_sym_readline] = ACTIONS(1661),
    [anon_sym_readpipe] = ACTIONS(1661),
    [anon_sym_rewinddir] = ACTIONS(1661),
    [anon_sym_readlink] = ACTIONS(1661),
    [anon_sym_ref] = ACTIONS(1661),
    [anon_sym_scalar] = ACTIONS(1661),
    [anon_sym_shift] = ACTIONS(1661),
    [anon_sym_sin] = ACTIONS(1661),
    [anon_sym_sleep] = ACTIONS(1661),
    [anon_sym_sqrt] = ACTIONS(1661),
    [anon_sym_srand] = ACTIONS(1661),
    [anon_sym_stat] = ACTIONS(1661),
    [anon_sym_study] = ACTIONS(1661),
    [anon_sym_tell] = ACTIONS(1661),
    [anon_sym_telldir] = ACTIONS(1661),
    [anon_sym_tied] = ACTIONS(1661),
    [anon_sym_uc] = ACTIONS(1661),
    [anon_sym_ucfirst] = ACTIONS(1661),
    [anon_sym_untie] = ACTIONS(1661),
    [anon_sym_umask] = ACTIONS(1661),
    [anon_sym_values] = ACTIONS(1661),
    [anon_sym_write] = ACTIONS(1661),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1661),
    [anon_sym_qq] = ACTIONS(1661),
    [anon_sym_qw] = ACTIONS(1661),
    [anon_sym_qx] = ACTIONS(1661),
    [anon_sym_qr] = ACTIONS(1661),
    [anon_sym_m] = ACTIONS(1661),
    [anon_sym_s] = ACTIONS(1661),
    [anon_sym_tr] = ACTIONS(1661),
    [anon_sym_y] = ACTIONS(1661),
    [aux_sym__bareword_token1] = ACTIONS(1661),
    [sym_number] = ACTIONS(1661),
    [anon_sym_true] = ACTIONS(1661),
    [anon_sym_false] = ACTIONS(1661),
    [sym__single_quote] = ACTIONS(1659),
    [sym__double_quote] = ACTIONS(1659),
    [sym__backtick_quote] = ACTIONS(1659),
    [sym__search_slash_quote] = ACTIONS(1659),
    [sym__open_readline_bracket] = ACTIONS(1659),
    [sym__open_fileglob_bracket] = ACTIONS(1659),
    [sym__PERLY_SEMICOLON] = ACTIONS(1659),
    [sym__PERLY_HEREDOC] = ACTIONS(1659),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1659),
    [sym__filetest] = ACTIONS(1659),
  },
  [879] = {
    [sym_heredoc_content] = STATE(879),
    [sym__identifier] = ACTIONS(1851),
    [anon_sym_LBRACE] = ACTIONS(1851),
    [anon_sym_SEMI] = ACTIONS(1851),
    [anon_sym_DOLLAR] = ACTIONS(1851),
    [anon_sym_EQ] = ACTIONS(1851),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1851),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(1851),
    [anon_sym_COMMA] = ACTIONS(1851),
    [anon_sym_my] = ACTIONS(1851),
    [anon_sym_extended] = ACTIONS(1851),
    [anon_sym_async] = ACTIONS(1851),
    [anon_sym_sub] = ACTIONS(1851),
    [anon_sym_method] = ACTIONS(1851),
    [anon_sym_LPAREN] = ACTIONS(1851),
    [anon_sym_continue] = ACTIONS(1851),
    [anon_sym_state] = ACTIONS(1851),
    [anon_sym_our] = ACTIONS(1851),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1851),
    [anon_sym_LBRACK] = ACTIONS(1851),
    [anon_sym_DASH_GT] = ACTIONS(1851),
    [anon_sym_PERCENT] = ACTIONS(1851),
    [anon_sym_GT] = ACTIONS(1851),
    [anon_sym_LT_LT] = ACTIONS(1851),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1851),
    [anon_sym_PLUS_EQ] = ACTIONS(1851),
    [anon_sym_DASH_EQ] = ACTIONS(1851),
    [anon_sym_DOT_EQ] = ACTIONS(1851),
    [anon_sym_STAR_EQ] = ACTIONS(1851),
    [anon_sym_SLASH_EQ] = ACTIONS(1851),
    [anon_sym_PERCENT_EQ] = ACTIONS(1851),
    [anon_sym_x_EQ] = ACTIONS(1851),
    [anon_sym_AMP_EQ] = ACTIONS(1851),
    [anon_sym_PIPE_EQ] = ACTIONS(1851),
    [anon_sym_CARET_EQ] = ACTIONS(1851),
    [anon_sym_LT_LT_EQ] = ACTIONS(1851),
    [anon_sym_GT_GT_EQ] = ACTIONS(1851),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1851),
    [anon_sym_DOT_DOT] = ACTIONS(1851),
    [anon_sym_STAR_STAR] = ACTIONS(1851),
    [anon_sym_PIPE_PIPE] = ACTIONS(1851),
    [anon_sym_SLASH_SLASH] = ACTIONS(1851),
    [anon_sym_CARET_CARET] = ACTIONS(1851),
    [anon_sym_AMP_AMP] = ACTIONS(1851),
    [anon_sym_PIPE] = ACTIONS(1851),
    [anon_sym_CARET] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym_GT_GT2] = ACTIONS(1851),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_DOT] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_SLASH] = ACTIONS(1851),
    [anon_sym_x] = ACTIONS(1851),
    [anon_sym_EQ_TILDE] = ACTIONS(1851),
    [anon_sym_BANG_TILDE] = ACTIONS(1851),
    [anon_sym_EQ_EQ] = ACTIONS(1851),
    [anon_sym_BANG_EQ] = ACTIONS(1851),
    [anon_sym_eq] = ACTIONS(1851),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1851),
    [anon_sym_equ] = ACTIONS(1851),
    [anon_sym_eqr] = ACTIONS(1851),
    [anon_sym_ne] = ACTIONS(1851),
    [anon_sym_LT_EQ_GT] = ACTIONS(1851),
    [anon_sym_cmp] = ACTIONS(1851),
    [anon_sym_TILDE_TILDE] = ACTIONS(1851),
    [anon_sym_LT] = ACTIONS(1851),
    [anon_sym_LT_EQ] = ACTIONS(1851),
    [anon_sym_GT_EQ] = ACTIONS(1851),
    [anon_sym_lt] = ACTIONS(1851),
    [anon_sym_le] = ACTIONS(1851),
    [anon_sym_ge] = ACTIONS(1851),
    [anon_sym_gt] = ACTIONS(1851),
    [anon_sym_isa] = ACTIONS(1851),
    [anon_sym_TILDE] = ACTIONS(1851),
    [anon_sym_BANG] = ACTIONS(1851),
    [anon_sym_PLUS_PLUS] = ACTIONS(1851),
    [anon_sym_DASH_DASH] = ACTIONS(1851),
    [anon_sym_QMARK] = ACTIONS(1851),
    [anon_sym_BSLASH] = ACTIONS(1853),
    [anon_sym_do] = ACTIONS(1851),
    [anon_sym_eval] = ACTIONS(1851),
    [anon_sym_await] = ACTIONS(1851),
    [anon_sym_field] = ACTIONS(1851),
    [anon_sym_local] = ACTIONS(1851),
    [anon_sym_dynamically] = ACTIONS(1851),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1851),
    [anon_sym_require] = ACTIONS(1851),
    [anon_sym_map] = ACTIONS(1851),
    [anon_sym_grep] = ACTIONS(1851),
    [anon_sym_sort] = ACTIONS(1851),
    [anon_sym_goto] = ACTIONS(1851),
    [anon_sym_return] = ACTIONS(1851),
    [anon_sym_undef] = ACTIONS(1851),
    [anon_sym_PERCENT2] = ACTIONS(1851),
    [anon_sym_AMP2] = ACTIONS(1851),
    [anon_sym_STAR2] = ACTIONS(1851),
    [anon_sym_EQ_GT] = ACTIONS(1851),
    [anon_sym_last] = ACTIONS(1851),
    [anon_sym_next] = ACTIONS(1851),
    [anon_sym_redo] = ACTIONS(1851),
    [anon_sym___FILE__] = ACTIONS(1851),
    [anon_sym___LINE__] = ACTIONS(1851),
    [anon_sym___PACKAGE__] = ACTIONS(1851),
    [anon_sym___SUB__] = ACTIONS(1851),
    [anon_sym_break] = ACTIONS(1851),
    [anon_sym_fork] = ACTIONS(1851),
    [anon_sym_getppid] = ACTIONS(1851),
    [anon_sym_time] = ACTIONS(1851),
    [anon_sym_times] = ACTIONS(1851),
    [anon_sym_wait] = ACTIONS(1851),
    [anon_sym_wantarray] = ACTIONS(1851),
    [anon_sym_abs] = ACTIONS(1851),
    [anon_sym_alarm] = ACTIONS(1851),
    [anon_sym_chop] = ACTIONS(1851),
    [anon_sym_chdir] = ACTIONS(1851),
    [anon_sym_close] = ACTIONS(1851),
    [anon_sym_closedir] = ACTIONS(1851),
    [anon_sym_caller] = ACTIONS(1851),
    [anon_sym_chomp] = ACTIONS(1851),
    [anon_sym_chr] = ACTIONS(1851),
    [anon_sym_cos] = ACTIONS(1851),
    [anon_sym_chroot] = ACTIONS(1851),
    [anon_sym_defined] = ACTIONS(1851),
    [anon_sym_delete] = ACTIONS(1851),
    [anon_sym_dbmclose] = ACTIONS(1851),
    [anon_sym_exists] = ACTIONS(1851),
    [anon_sym_exit] = ACTIONS(1851),
    [anon_sym_eof] = ACTIONS(1851),
    [anon_sym_exp] = ACTIONS(1851),
    [anon_sym_each] = ACTIONS(1851),
    [anon_sym_fc] = ACTIONS(1851),
    [anon_sym_fileno] = ACTIONS(1851),
    [anon_sym_gmtime] = ACTIONS(1851),
    [anon_sym_getc] = ACTIONS(1851),
    [anon_sym_getpgrp] = ACTIONS(1851),
    [anon_sym_getprotobyname] = ACTIONS(1851),
    [anon_sym_getpwname] = ACTIONS(1851),
    [anon_sym_getpwuid] = ACTIONS(1851),
    [anon_sym_getpeername] = ACTIONS(1851),
    [anon_sym_getnetbyname] = ACTIONS(1851),
    [anon_sym_getsockname] = ACTIONS(1851),
    [anon_sym_getgrnam] = ACTIONS(1851),
    [anon_sym_getgrgid] = ACTIONS(1851),
    [anon_sym_hex] = ACTIONS(1851),
    [anon_sym_int] = ACTIONS(1851),
    [anon_sym_keys] = ACTIONS(1851),
    [anon_sym_lc] = ACTIONS(1851),
    [anon_sym_lcfirst] = ACTIONS(1851),
    [anon_sym_length] = ACTIONS(1851),
    [anon_sym_localtime] = ACTIONS(1851),
    [anon_sym_log] = ACTIONS(1851),
    [anon_sym_lock] = ACTIONS(1851),
    [anon_sym_lstat] = ACTIONS(1851),
    [anon_sym_oct] = ACTIONS(1851),
    [anon_sym_ord] = ACTIONS(1851),
    [anon_sym_prototype] = ACTIONS(1851),
    [anon_sym_pop] = ACTIONS(1851),
    [anon_sym_pos] = ACTIONS(1851),
    [anon_sym_quotemeta] = ACTIONS(1851),
    [anon_sym_reset] = ACTIONS(1851),
    [anon_sym_rand] = ACTIONS(1851),
    [anon_sym_rmdir] = ACTIONS(1851),
    [anon_sym_readdir] = ACTIONS(1851),
    [anon_sym_readline] = ACTIONS(1851),
    [anon_sym_readpipe] = ACTIONS(1851),
    [anon_sym_rewinddir] = ACTIONS(1851),
    [anon_sym_readlink] = ACTIONS(1851),
    [anon_sym_ref] = ACTIONS(1851),
    [anon_sym_scalar] = ACTIONS(1851),
    [anon_sym_shift] = ACTIONS(1851),
    [anon_sym_sin] = ACTIONS(1851),
    [anon_sym_sleep] = ACTIONS(1851),
    [anon_sym_sqrt] = ACTIONS(1851),
    [anon_sym_srand] = ACTIONS(1851),
    [anon_sym_stat] = ACTIONS(1851),
    [anon_sym_study] = ACTIONS(1851),
    [anon_sym_tell] = ACTIONS(1851),
    [anon_sym_telldir] = ACTIONS(1851),
    [anon_sym_tied] = ACTIONS(1851),
    [anon_sym_uc] = ACTIONS(1851),
    [anon_sym_ucfirst] = ACTIONS(1851),
    [anon_sym_untie] = ACTIONS(1851),
    [anon_sym_umask] = ACTIONS(1851),
    [anon_sym_values] = ACTIONS(1851),
    [anon_sym_write] = ACTIONS(1851),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1851),
    [anon_sym_qq] = ACTIONS(1851),
    [anon_sym_qw] = ACTIONS(1851),
    [anon_sym_qx] = ACTIONS(1851),
    [anon_sym_qr] = ACTIONS(1851),
    [anon_sym_m] = ACTIONS(1851),
    [anon_sym_s] = ACTIONS(1851),
    [anon_sym_tr] = ACTIONS(1851),
    [anon_sym_y] = ACTIONS(1851),
    [aux_sym__bareword_token1] = ACTIONS(1851),
    [sym_number] = ACTIONS(1851),
    [anon_sym_true] = ACTIONS(1851),
    [anon_sym_false] = ACTIONS(1851),
    [sym__single_quote] = ACTIONS(1853),
    [sym__double_quote] = ACTIONS(1853),
    [sym__backtick_quote] = ACTIONS(1853),
    [sym__search_slash_quote] = ACTIONS(1853),
    [sym__open_readline_bracket] = ACTIONS(1853),
    [sym__open_fileglob_bracket] = ACTIONS(1853),
    [sym__PERLY_SEMICOLON] = ACTIONS(1853),
    [sym__PERLY_HEREDOC] = ACTIONS(1853),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1853),
    [sym__filetest] = ACTIONS(1853),
  },
  [880] = {
    [sym__else] = STATE(921),
    [sym_else] = STATE(928),
    [sym_elsif] = STATE(928),
    [sym_heredoc_content] = STATE(880),
    [ts_builtin_sym_end] = ACTIONS(1975),
    [sym__identifier] = ACTIONS(1977),
    [anon_sym_LBRACE] = ACTIONS(1977),
    [anon_sym_SEMI] = ACTIONS(1977),
    [anon_sym_package] = ACTIONS(1977),
    [anon_sym_class] = ACTIONS(1977),
    [anon_sym_role] = ACTIONS(1977),
    [anon_sym_BUILD] = ACTIONS(1977),
    [anon_sym_ADJUST] = ACTIONS(1977),
    [anon_sym_DOLLAR] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(1977),
    [anon_sym_my] = ACTIONS(1977),
    [anon_sym_extended] = ACTIONS(1977),
    [anon_sym_async] = ACTIONS(1977),
    [anon_sym_sub] = ACTIONS(1977),
    [anon_sym_method] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(1977),
    [anon_sym_continue] = ACTIONS(1977),
    [anon_sym_state] = ACTIONS(1977),
    [anon_sym_our] = ACTIONS(1977),
    [anon_sym_try] = ACTIONS(1977),
    [anon_sym_defer] = ACTIONS(1977),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1977),
    [anon_sym_else] = ACTIONS(1979),
    [anon_sym_elsif] = ACTIONS(1981),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(1977),
    [anon_sym_SLASH_SLASH] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_TILDE] = ACTIONS(1977),
    [anon_sym_BANG] = ACTIONS(1977),
    [anon_sym_PLUS_PLUS] = ACTIONS(1977),
    [anon_sym_DASH_DASH] = ACTIONS(1977),
    [anon_sym_BSLASH] = ACTIONS(1975),
    [anon_sym_do] = ACTIONS(1977),
    [anon_sym_eval] = ACTIONS(1977),
    [anon_sym_await] = ACTIONS(1977),
    [anon_sym_field] = ACTIONS(1977),
    [anon_sym_local] = ACTIONS(1977),
    [anon_sym_dynamically] = ACTIONS(1977),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1977),
    [anon_sym_require] = ACTIONS(1977),
    [anon_sym_map] = ACTIONS(1977),
    [anon_sym_grep] = ACTIONS(1977),
    [anon_sym_sort] = ACTIONS(1977),
    [anon_sym_goto] = ACTIONS(1977),
    [anon_sym_return] = ACTIONS(1977),
    [anon_sym_undef] = ACTIONS(1977),
    [anon_sym_PERCENT2] = ACTIONS(1977),
    [anon_sym_AMP2] = ACTIONS(1977),
    [anon_sym_STAR2] = ACTIONS(1977),
    [anon_sym_use] = ACTIONS(1977),
    [anon_sym_no] = ACTIONS(1977),
    [anon_sym_for] = ACTIONS(1977),
    [anon_sym_foreach] = ACTIONS(1977),
    [anon_sym_last] = ACTIONS(1977),
    [anon_sym_next] = ACTIONS(1977),
    [anon_sym_redo] = ACTIONS(1977),
    [anon_sym_BEGIN] = ACTIONS(1977),
    [anon_sym_INIT] = ACTIONS(1977),
    [anon_sym_CHECK] = ACTIONS(1977),
    [anon_sym_UNITCHECK] = ACTIONS(1977),
    [anon_sym_END] = ACTIONS(1977),
    [anon_sym___FILE__] = ACTIONS(1977),
    [anon_sym___LINE__] = ACTIONS(1977),
    [anon_sym___PACKAGE__] = ACTIONS(1977),
    [anon_sym___SUB__] = ACTIONS(1977),
    [anon_sym_break] = ACTIONS(1977),
    [anon_sym_fork] = ACTIONS(1977),
    [anon_sym_getppid] = ACTIONS(1977),
    [anon_sym_time] = ACTIONS(1977),
    [anon_sym_times] = ACTIONS(1977),
    [anon_sym_wait] = ACTIONS(1977),
    [anon_sym_wantarray] = ACTIONS(1977),
    [anon_sym_abs] = ACTIONS(1977),
    [anon_sym_alarm] = ACTIONS(1977),
    [anon_sym_chop] = ACTIONS(1977),
    [anon_sym_chdir] = ACTIONS(1977),
    [anon_sym_close] = ACTIONS(1977),
    [anon_sym_closedir] = ACTIONS(1977),
    [anon_sym_caller] = ACTIONS(1977),
    [anon_sym_chomp] = ACTIONS(1977),
    [anon_sym_chr] = ACTIONS(1977),
    [anon_sym_cos] = ACTIONS(1977),
    [anon_sym_chroot] = ACTIONS(1977),
    [anon_sym_defined] = ACTIONS(1977),
    [anon_sym_delete] = ACTIONS(1977),
    [anon_sym_dbmclose] = ACTIONS(1977),
    [anon_sym_exists] = ACTIONS(1977),
    [anon_sym_exit] = ACTIONS(1977),
    [anon_sym_eof] = ACTIONS(1977),
    [anon_sym_exp] = ACTIONS(1977),
    [anon_sym_each] = ACTIONS(1977),
    [anon_sym_fc] = ACTIONS(1977),
    [anon_sym_fileno] = ACTIONS(1977),
    [anon_sym_gmtime] = ACTIONS(1977),
    [anon_sym_getc] = ACTIONS(1977),
    [anon_sym_getpgrp] = ACTIONS(1977),
    [anon_sym_getprotobyname] = ACTIONS(1977),
    [anon_sym_getpwname] = ACTIONS(1977),
    [anon_sym_getpwuid] = ACTIONS(1977),
    [anon_sym_getpeername] = ACTIONS(1977),
    [anon_sym_getnetbyname] = ACTIONS(1977),
    [anon_sym_getsockname] = ACTIONS(1977),
    [anon_sym_getgrnam] = ACTIONS(1977),
    [anon_sym_getgrgid] = ACTIONS(1977),
    [anon_sym_hex] = ACTIONS(1977),
    [anon_sym_int] = ACTIONS(1977),
    [anon_sym_keys] = ACTIONS(1977),
    [anon_sym_lc] = ACTIONS(1977),
    [anon_sym_lcfirst] = ACTIONS(1977),
    [anon_sym_length] = ACTIONS(1977),
    [anon_sym_localtime] = ACTIONS(1977),
    [anon_sym_log] = ACTIONS(1977),
    [anon_sym_lock] = ACTIONS(1977),
    [anon_sym_lstat] = ACTIONS(1977),
    [anon_sym_oct] = ACTIONS(1977),
    [anon_sym_ord] = ACTIONS(1977),
    [anon_sym_prototype] = ACTIONS(1977),
    [anon_sym_pop] = ACTIONS(1977),
    [anon_sym_pos] = ACTIONS(1977),
    [anon_sym_quotemeta] = ACTIONS(1977),
    [anon_sym_reset] = ACTIONS(1977),
    [anon_sym_rand] = ACTIONS(1977),
    [anon_sym_rmdir] = ACTIONS(1977),
    [anon_sym_readdir] = ACTIONS(1977),
    [anon_sym_readline] = ACTIONS(1977),
    [anon_sym_readpipe] = ACTIONS(1977),
    [anon_sym_rewinddir] = ACTIONS(1977),
    [anon_sym_readlink] = ACTIONS(1977),
    [anon_sym_ref] = ACTIONS(1977),
    [anon_sym_scalar] = ACTIONS(1977),
    [anon_sym_shift] = ACTIONS(1977),
    [anon_sym_sin] = ACTIONS(1977),
    [anon_sym_sleep] = ACTIONS(1977),
    [anon_sym_sqrt] = ACTIONS(1977),
    [anon_sym_srand] = ACTIONS(1977),
    [anon_sym_stat] = ACTIONS(1977),
    [anon_sym_study] = ACTIONS(1977),
    [anon_sym_tell] = ACTIONS(1977),
    [anon_sym_telldir] = ACTIONS(1977),
    [anon_sym_tied] = ACTIONS(1977),
    [anon_sym_uc] = ACTIONS(1977),
    [anon_sym_ucfirst] = ACTIONS(1977),
    [anon_sym_untie] = ACTIONS(1977),
    [anon_sym_umask] = ACTIONS(1977),
    [anon_sym_values] = ACTIONS(1977),
    [anon_sym_write] = ACTIONS(1977),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1977),
    [anon_sym___END__] = ACTIONS(1977),
    [anon_sym_EOT] = ACTIONS(1977),
    [anon_sym_q] = ACTIONS(1977),
    [anon_sym_qq] = ACTIONS(1977),
    [anon_sym_qw] = ACTIONS(1977),
    [anon_sym_qx] = ACTIONS(1977),
    [anon_sym_qr] = ACTIONS(1977),
    [anon_sym_m] = ACTIONS(1977),
    [anon_sym_s] = ACTIONS(1977),
    [anon_sym_tr] = ACTIONS(1977),
    [anon_sym_y] = ACTIONS(1977),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_unless] = ACTIONS(1977),
    [anon_sym_while] = ACTIONS(1977),
    [anon_sym_until] = ACTIONS(1977),
    [aux_sym__bareword_token1] = ACTIONS(1977),
    [sym_number] = ACTIONS(1977),
    [anon_sym_true] = ACTIONS(1977),
    [anon_sym_false] = ACTIONS(1977),
    [sym__single_quote] = ACTIONS(1975),
    [sym__double_quote] = ACTIONS(1975),
    [sym__backtick_quote] = ACTIONS(1975),
    [sym__search_slash_quote] = ACTIONS(1975),
    [sym__open_readline_bracket] = ACTIONS(1975),
    [sym__open_fileglob_bracket] = ACTIONS(1975),
    [sym__PERLY_HEREDOC] = ACTIONS(1975),
    [sym__ctrl_z_hack] = ACTIONS(1975),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1975),
    [sym__filetest] = ACTIONS(1975),
  },
  [881] = {
    [sym__else] = STATE(915),
    [sym_else] = STATE(928),
    [sym_elsif] = STATE(928),
    [sym_heredoc_content] = STATE(881),
    [ts_builtin_sym_end] = ACTIONS(1983),
    [sym__identifier] = ACTIONS(1985),
    [anon_sym_LBRACE] = ACTIONS(1985),
    [anon_sym_SEMI] = ACTIONS(1985),
    [anon_sym_package] = ACTIONS(1985),
    [anon_sym_class] = ACTIONS(1985),
    [anon_sym_role] = ACTIONS(1985),
    [anon_sym_BUILD] = ACTIONS(1985),
    [anon_sym_ADJUST] = ACTIONS(1985),
    [anon_sym_DOLLAR] = ACTIONS(1985),
    [anon_sym_AT] = ACTIONS(1985),
    [anon_sym_my] = ACTIONS(1985),
    [anon_sym_extended] = ACTIONS(1985),
    [anon_sym_async] = ACTIONS(1985),
    [anon_sym_sub] = ACTIONS(1985),
    [anon_sym_method] = ACTIONS(1985),
    [anon_sym_LPAREN] = ACTIONS(1985),
    [anon_sym_continue] = ACTIONS(1985),
    [anon_sym_state] = ACTIONS(1985),
    [anon_sym_our] = ACTIONS(1985),
    [anon_sym_try] = ACTIONS(1985),
    [anon_sym_defer] = ACTIONS(1985),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1985),
    [anon_sym_else] = ACTIONS(1979),
    [anon_sym_elsif] = ACTIONS(1981),
    [anon_sym_LBRACK] = ACTIONS(1985),
    [anon_sym_LT_LT] = ACTIONS(1985),
    [anon_sym_SLASH_SLASH] = ACTIONS(1985),
    [anon_sym_PLUS] = ACTIONS(1985),
    [anon_sym_DASH] = ACTIONS(1985),
    [anon_sym_TILDE] = ACTIONS(1985),
    [anon_sym_BANG] = ACTIONS(1985),
    [anon_sym_PLUS_PLUS] = ACTIONS(1985),
    [anon_sym_DASH_DASH] = ACTIONS(1985),
    [anon_sym_BSLASH] = ACTIONS(1983),
    [anon_sym_do] = ACTIONS(1985),
    [anon_sym_eval] = ACTIONS(1985),
    [anon_sym_await] = ACTIONS(1985),
    [anon_sym_field] = ACTIONS(1985),
    [anon_sym_local] = ACTIONS(1985),
    [anon_sym_dynamically] = ACTIONS(1985),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1985),
    [anon_sym_require] = ACTIONS(1985),
    [anon_sym_map] = ACTIONS(1985),
    [anon_sym_grep] = ACTIONS(1985),
    [anon_sym_sort] = ACTIONS(1985),
    [anon_sym_goto] = ACTIONS(1985),
    [anon_sym_return] = ACTIONS(1985),
    [anon_sym_undef] = ACTIONS(1985),
    [anon_sym_PERCENT2] = ACTIONS(1985),
    [anon_sym_AMP2] = ACTIONS(1985),
    [anon_sym_STAR2] = ACTIONS(1985),
    [anon_sym_use] = ACTIONS(1985),
    [anon_sym_no] = ACTIONS(1985),
    [anon_sym_for] = ACTIONS(1985),
    [anon_sym_foreach] = ACTIONS(1985),
    [anon_sym_last] = ACTIONS(1985),
    [anon_sym_next] = ACTIONS(1985),
    [anon_sym_redo] = ACTIONS(1985),
    [anon_sym_BEGIN] = ACTIONS(1985),
    [anon_sym_INIT] = ACTIONS(1985),
    [anon_sym_CHECK] = ACTIONS(1985),
    [anon_sym_UNITCHECK] = ACTIONS(1985),
    [anon_sym_END] = ACTIONS(1985),
    [anon_sym___FILE__] = ACTIONS(1985),
    [anon_sym___LINE__] = ACTIONS(1985),
    [anon_sym___PACKAGE__] = ACTIONS(1985),
    [anon_sym___SUB__] = ACTIONS(1985),
    [anon_sym_break] = ACTIONS(1985),
    [anon_sym_fork] = ACTIONS(1985),
    [anon_sym_getppid] = ACTIONS(1985),
    [anon_sym_time] = ACTIONS(1985),
    [anon_sym_times] = ACTIONS(1985),
    [anon_sym_wait] = ACTIONS(1985),
    [anon_sym_wantarray] = ACTIONS(1985),
    [anon_sym_abs] = ACTIONS(1985),
    [anon_sym_alarm] = ACTIONS(1985),
    [anon_sym_chop] = ACTIONS(1985),
    [anon_sym_chdir] = ACTIONS(1985),
    [anon_sym_close] = ACTIONS(1985),
    [anon_sym_closedir] = ACTIONS(1985),
    [anon_sym_caller] = ACTIONS(1985),
    [anon_sym_chomp] = ACTIONS(1985),
    [anon_sym_chr] = ACTIONS(1985),
    [anon_sym_cos] = ACTIONS(1985),
    [anon_sym_chroot] = ACTIONS(1985),
    [anon_sym_defined] = ACTIONS(1985),
    [anon_sym_delete] = ACTIONS(1985),
    [anon_sym_dbmclose] = ACTIONS(1985),
    [anon_sym_exists] = ACTIONS(1985),
    [anon_sym_exit] = ACTIONS(1985),
    [anon_sym_eof] = ACTIONS(1985),
    [anon_sym_exp] = ACTIONS(1985),
    [anon_sym_each] = ACTIONS(1985),
    [anon_sym_fc] = ACTIONS(1985),
    [anon_sym_fileno] = ACTIONS(1985),
    [anon_sym_gmtime] = ACTIONS(1985),
    [anon_sym_getc] = ACTIONS(1985),
    [anon_sym_getpgrp] = ACTIONS(1985),
    [anon_sym_getprotobyname] = ACTIONS(1985),
    [anon_sym_getpwname] = ACTIONS(1985),
    [anon_sym_getpwuid] = ACTIONS(1985),
    [anon_sym_getpeername] = ACTIONS(1985),
    [anon_sym_getnetbyname] = ACTIONS(1985),
    [anon_sym_getsockname] = ACTIONS(1985),
    [anon_sym_getgrnam] = ACTIONS(1985),
    [anon_sym_getgrgid] = ACTIONS(1985),
    [anon_sym_hex] = ACTIONS(1985),
    [anon_sym_int] = ACTIONS(1985),
    [anon_sym_keys] = ACTIONS(1985),
    [anon_sym_lc] = ACTIONS(1985),
    [anon_sym_lcfirst] = ACTIONS(1985),
    [anon_sym_length] = ACTIONS(1985),
    [anon_sym_localtime] = ACTIONS(1985),
    [anon_sym_log] = ACTIONS(1985),
    [anon_sym_lock] = ACTIONS(1985),
    [anon_sym_lstat] = ACTIONS(1985),
    [anon_sym_oct] = ACTIONS(1985),
    [anon_sym_ord] = ACTIONS(1985),
    [anon_sym_prototype] = ACTIONS(1985),
    [anon_sym_pop] = ACTIONS(1985),
    [anon_sym_pos] = ACTIONS(1985),
    [anon_sym_quotemeta] = ACTIONS(1985),
    [anon_sym_reset] = ACTIONS(1985),
    [anon_sym_rand] = ACTIONS(1985),
    [anon_sym_rmdir] = ACTIONS(1985),
    [anon_sym_readdir] = ACTIONS(1985),
    [anon_sym_readline] = ACTIONS(1985),
    [anon_sym_readpipe] = ACTIONS(1985),
    [anon_sym_rewinddir] = ACTIONS(1985),
    [anon_sym_readlink] = ACTIONS(1985),
    [anon_sym_ref] = ACTIONS(1985),
    [anon_sym_scalar] = ACTIONS(1985),
    [anon_sym_shift] = ACTIONS(1985),
    [anon_sym_sin] = ACTIONS(1985),
    [anon_sym_sleep] = ACTIONS(1985),
    [anon_sym_sqrt] = ACTIONS(1985),
    [anon_sym_srand] = ACTIONS(1985),
    [anon_sym_stat] = ACTIONS(1985),
    [anon_sym_study] = ACTIONS(1985),
    [anon_sym_tell] = ACTIONS(1985),
    [anon_sym_telldir] = ACTIONS(1985),
    [anon_sym_tied] = ACTIONS(1985),
    [anon_sym_uc] = ACTIONS(1985),
    [anon_sym_ucfirst] = ACTIONS(1985),
    [anon_sym_untie] = ACTIONS(1985),
    [anon_sym_umask] = ACTIONS(1985),
    [anon_sym_values] = ACTIONS(1985),
    [anon_sym_write] = ACTIONS(1985),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1985),
    [anon_sym___END__] = ACTIONS(1985),
    [anon_sym_EOT] = ACTIONS(1985),
    [anon_sym_q] = ACTIONS(1985),
    [anon_sym_qq] = ACTIONS(1985),
    [anon_sym_qw] = ACTIONS(1985),
    [anon_sym_qx] = ACTIONS(1985),
    [anon_sym_qr] = ACTIONS(1985),
    [anon_sym_m] = ACTIONS(1985),
    [anon_sym_s] = ACTIONS(1985),
    [anon_sym_tr] = ACTIONS(1985),
    [anon_sym_y] = ACTIONS(1985),
    [anon_sym_if] = ACTIONS(1985),
    [anon_sym_unless] = ACTIONS(1985),
    [anon_sym_while] = ACTIONS(1985),
    [anon_sym_until] = ACTIONS(1985),
    [aux_sym__bareword_token1] = ACTIONS(1985),
    [sym_number] = ACTIONS(1985),
    [anon_sym_true] = ACTIONS(1985),
    [anon_sym_false] = ACTIONS(1985),
    [sym__single_quote] = ACTIONS(1983),
    [sym__double_quote] = ACTIONS(1983),
    [sym__backtick_quote] = ACTIONS(1983),
    [sym__search_slash_quote] = ACTIONS(1983),
    [sym__open_readline_bracket] = ACTIONS(1983),
    [sym__open_fileglob_bracket] = ACTIONS(1983),
    [sym__PERLY_HEREDOC] = ACTIONS(1983),
    [sym__ctrl_z_hack] = ACTIONS(1983),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1983),
    [sym__filetest] = ACTIONS(1983),
  },
  [882] = {
    [sym_heredoc_content] = STATE(882),
    [ts_builtin_sym_end] = ACTIONS(1659),
    [sym__identifier] = ACTIONS(1661),
    [anon_sym_LBRACE] = ACTIONS(1661),
    [anon_sym_SEMI] = ACTIONS(1661),
    [anon_sym_package] = ACTIONS(1661),
    [anon_sym_class] = ACTIONS(1661),
    [anon_sym_role] = ACTIONS(1661),
    [anon_sym_BUILD] = ACTIONS(1661),
    [anon_sym_ADJUST] = ACTIONS(1661),
    [anon_sym_DOLLAR] = ACTIONS(1661),
    [anon_sym_AT] = ACTIONS(1661),
    [anon_sym_my] = ACTIONS(1661),
    [anon_sym_extended] = ACTIONS(1661),
    [anon_sym_async] = ACTIONS(1661),
    [anon_sym_sub] = ACTIONS(1661),
    [anon_sym_method] = ACTIONS(1661),
    [anon_sym_LPAREN] = ACTIONS(1661),
    [anon_sym_continue] = ACTIONS(1661),
    [anon_sym_state] = ACTIONS(1661),
    [anon_sym_our] = ACTIONS(1661),
    [anon_sym_try] = ACTIONS(1661),
    [anon_sym_defer] = ACTIONS(1661),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1661),
    [anon_sym_else] = ACTIONS(1661),
    [anon_sym_elsif] = ACTIONS(1661),
    [anon_sym_LBRACK] = ACTIONS(1661),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1661),
    [anon_sym_PLUS] = ACTIONS(1661),
    [anon_sym_DASH] = ACTIONS(1661),
    [anon_sym_TILDE] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1661),
    [anon_sym_PLUS_PLUS] = ACTIONS(1661),
    [anon_sym_DASH_DASH] = ACTIONS(1661),
    [anon_sym_BSLASH] = ACTIONS(1659),
    [anon_sym_do] = ACTIONS(1661),
    [anon_sym_eval] = ACTIONS(1661),
    [anon_sym_await] = ACTIONS(1661),
    [anon_sym_field] = ACTIONS(1661),
    [anon_sym_local] = ACTIONS(1661),
    [anon_sym_dynamically] = ACTIONS(1661),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1661),
    [anon_sym_require] = ACTIONS(1661),
    [anon_sym_map] = ACTIONS(1661),
    [anon_sym_grep] = ACTIONS(1661),
    [anon_sym_sort] = ACTIONS(1661),
    [anon_sym_goto] = ACTIONS(1661),
    [anon_sym_return] = ACTIONS(1661),
    [anon_sym_undef] = ACTIONS(1661),
    [anon_sym_PERCENT2] = ACTIONS(1661),
    [anon_sym_AMP2] = ACTIONS(1661),
    [anon_sym_STAR2] = ACTIONS(1661),
    [anon_sym_use] = ACTIONS(1661),
    [anon_sym_no] = ACTIONS(1661),
    [anon_sym_for] = ACTIONS(1661),
    [anon_sym_foreach] = ACTIONS(1661),
    [anon_sym_last] = ACTIONS(1661),
    [anon_sym_next] = ACTIONS(1661),
    [anon_sym_redo] = ACTIONS(1661),
    [anon_sym_BEGIN] = ACTIONS(1661),
    [anon_sym_INIT] = ACTIONS(1661),
    [anon_sym_CHECK] = ACTIONS(1661),
    [anon_sym_UNITCHECK] = ACTIONS(1661),
    [anon_sym_END] = ACTIONS(1661),
    [anon_sym___FILE__] = ACTIONS(1661),
    [anon_sym___LINE__] = ACTIONS(1661),
    [anon_sym___PACKAGE__] = ACTIONS(1661),
    [anon_sym___SUB__] = ACTIONS(1661),
    [anon_sym_break] = ACTIONS(1661),
    [anon_sym_fork] = ACTIONS(1661),
    [anon_sym_getppid] = ACTIONS(1661),
    [anon_sym_time] = ACTIONS(1661),
    [anon_sym_times] = ACTIONS(1661),
    [anon_sym_wait] = ACTIONS(1661),
    [anon_sym_wantarray] = ACTIONS(1661),
    [anon_sym_abs] = ACTIONS(1661),
    [anon_sym_alarm] = ACTIONS(1661),
    [anon_sym_chop] = ACTIONS(1661),
    [anon_sym_chdir] = ACTIONS(1661),
    [anon_sym_close] = ACTIONS(1661),
    [anon_sym_closedir] = ACTIONS(1661),
    [anon_sym_caller] = ACTIONS(1661),
    [anon_sym_chomp] = ACTIONS(1661),
    [anon_sym_chr] = ACTIONS(1661),
    [anon_sym_cos] = ACTIONS(1661),
    [anon_sym_chroot] = ACTIONS(1661),
    [anon_sym_defined] = ACTIONS(1661),
    [anon_sym_delete] = ACTIONS(1661),
    [anon_sym_dbmclose] = ACTIONS(1661),
    [anon_sym_exists] = ACTIONS(1661),
    [anon_sym_exit] = ACTIONS(1661),
    [anon_sym_eof] = ACTIONS(1661),
    [anon_sym_exp] = ACTIONS(1661),
    [anon_sym_each] = ACTIONS(1661),
    [anon_sym_fc] = ACTIONS(1661),
    [anon_sym_fileno] = ACTIONS(1661),
    [anon_sym_gmtime] = ACTIONS(1661),
    [anon_sym_getc] = ACTIONS(1661),
    [anon_sym_getpgrp] = ACTIONS(1661),
    [anon_sym_getprotobyname] = ACTIONS(1661),
    [anon_sym_getpwname] = ACTIONS(1661),
    [anon_sym_getpwuid] = ACTIONS(1661),
    [anon_sym_getpeername] = ACTIONS(1661),
    [anon_sym_getnetbyname] = ACTIONS(1661),
    [anon_sym_getsockname] = ACTIONS(1661),
    [anon_sym_getgrnam] = ACTIONS(1661),
    [anon_sym_getgrgid] = ACTIONS(1661),
    [anon_sym_hex] = ACTIONS(1661),
    [anon_sym_int] = ACTIONS(1661),
    [anon_sym_keys] = ACTIONS(1661),
    [anon_sym_lc] = ACTIONS(1661),
    [anon_sym_lcfirst] = ACTIONS(1661),
    [anon_sym_length] = ACTIONS(1661),
    [anon_sym_localtime] = ACTIONS(1661),
    [anon_sym_log] = ACTIONS(1661),
    [anon_sym_lock] = ACTIONS(1661),
    [anon_sym_lstat] = ACTIONS(1661),
    [anon_sym_oct] = ACTIONS(1661),
    [anon_sym_ord] = ACTIONS(1661),
    [anon_sym_prototype] = ACTIONS(1661),
    [anon_sym_pop] = ACTIONS(1661),
    [anon_sym_pos] = ACTIONS(1661),
    [anon_sym_quotemeta] = ACTIONS(1661),
    [anon_sym_reset] = ACTIONS(1661),
    [anon_sym_rand] = ACTIONS(1661),
    [anon_sym_rmdir] = ACTIONS(1661),
    [anon_sym_readdir] = ACTIONS(1661),
    [anon_sym_readline] = ACTIONS(1661),
    [anon_sym_readpipe] = ACTIONS(1661),
    [anon_sym_rewinddir] = ACTIONS(1661),
    [anon_sym_readlink] = ACTIONS(1661),
    [anon_sym_ref] = ACTIONS(1661),
    [anon_sym_scalar] = ACTIONS(1661),
    [anon_sym_shift] = ACTIONS(1661),
    [anon_sym_sin] = ACTIONS(1661),
    [anon_sym_sleep] = ACTIONS(1661),
    [anon_sym_sqrt] = ACTIONS(1661),
    [anon_sym_srand] = ACTIONS(1661),
    [anon_sym_stat] = ACTIONS(1661),
    [anon_sym_study] = ACTIONS(1661),
    [anon_sym_tell] = ACTIONS(1661),
    [anon_sym_telldir] = ACTIONS(1661),
    [anon_sym_tied] = ACTIONS(1661),
    [anon_sym_uc] = ACTIONS(1661),
    [anon_sym_ucfirst] = ACTIONS(1661),
    [anon_sym_untie] = ACTIONS(1661),
    [anon_sym_umask] = ACTIONS(1661),
    [anon_sym_values] = ACTIONS(1661),
    [anon_sym_write] = ACTIONS(1661),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1661),
    [anon_sym___END__] = ACTIONS(1661),
    [anon_sym_EOT] = ACTIONS(1661),
    [anon_sym_q] = ACTIONS(1661),
    [anon_sym_qq] = ACTIONS(1661),
    [anon_sym_qw] = ACTIONS(1661),
    [anon_sym_qx] = ACTIONS(1661),
    [anon_sym_qr] = ACTIONS(1661),
    [anon_sym_m] = ACTIONS(1661),
    [anon_sym_s] = ACTIONS(1661),
    [anon_sym_tr] = ACTIONS(1661),
    [anon_sym_y] = ACTIONS(1661),
    [anon_sym_if] = ACTIONS(1661),
    [anon_sym_unless] = ACTIONS(1661),
    [anon_sym_while] = ACTIONS(1661),
    [anon_sym_until] = ACTIONS(1661),
    [aux_sym__bareword_token1] = ACTIONS(1661),
    [sym_number] = ACTIONS(1661),
    [anon_sym_true] = ACTIONS(1661),
    [anon_sym_false] = ACTIONS(1661),
    [sym__single_quote] = ACTIONS(1659),
    [sym__double_quote] = ACTIONS(1659),
    [sym__backtick_quote] = ACTIONS(1659),
    [sym__search_slash_quote] = ACTIONS(1659),
    [sym__open_readline_bracket] = ACTIONS(1659),
    [sym__open_fileglob_bracket] = ACTIONS(1659),
    [sym__PERLY_HEREDOC] = ACTIONS(1659),
    [sym__ctrl_z_hack] = ACTIONS(1659),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1659),
    [sym__filetest] = ACTIONS(1659),
  },
  [883] = {
    [sym_heredoc_content] = STATE(883),
    [ts_builtin_sym_end] = ACTIONS(1659),
    [sym__identifier] = ACTIONS(1661),
    [anon_sym_LBRACE] = ACTIONS(1661),
    [anon_sym_SEMI] = ACTIONS(1661),
    [anon_sym_package] = ACTIONS(1661),
    [anon_sym_class] = ACTIONS(1661),
    [anon_sym_role] = ACTIONS(1661),
    [anon_sym_BUILD] = ACTIONS(1661),
    [anon_sym_ADJUST] = ACTIONS(1661),
    [anon_sym_DOLLAR] = ACTIONS(1661),
    [anon_sym_AT] = ACTIONS(1661),
    [anon_sym_my] = ACTIONS(1661),
    [anon_sym_extended] = ACTIONS(1661),
    [anon_sym_async] = ACTIONS(1661),
    [anon_sym_sub] = ACTIONS(1661),
    [anon_sym_method] = ACTIONS(1661),
    [anon_sym_LPAREN] = ACTIONS(1661),
    [anon_sym_continue] = ACTIONS(1661),
    [anon_sym_state] = ACTIONS(1661),
    [anon_sym_our] = ACTIONS(1661),
    [anon_sym_try] = ACTIONS(1661),
    [anon_sym_catch] = ACTIONS(1661),
    [anon_sym_finally] = ACTIONS(1661),
    [anon_sym_defer] = ACTIONS(1661),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1661),
    [anon_sym_LBRACK] = ACTIONS(1661),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1661),
    [anon_sym_PLUS] = ACTIONS(1661),
    [anon_sym_DASH] = ACTIONS(1661),
    [anon_sym_TILDE] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1661),
    [anon_sym_PLUS_PLUS] = ACTIONS(1661),
    [anon_sym_DASH_DASH] = ACTIONS(1661),
    [anon_sym_BSLASH] = ACTIONS(1659),
    [anon_sym_do] = ACTIONS(1661),
    [anon_sym_eval] = ACTIONS(1661),
    [anon_sym_await] = ACTIONS(1661),
    [anon_sym_field] = ACTIONS(1661),
    [anon_sym_local] = ACTIONS(1661),
    [anon_sym_dynamically] = ACTIONS(1661),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1661),
    [anon_sym_require] = ACTIONS(1661),
    [anon_sym_map] = ACTIONS(1661),
    [anon_sym_grep] = ACTIONS(1661),
    [anon_sym_sort] = ACTIONS(1661),
    [anon_sym_goto] = ACTIONS(1661),
    [anon_sym_return] = ACTIONS(1661),
    [anon_sym_undef] = ACTIONS(1661),
    [anon_sym_PERCENT2] = ACTIONS(1661),
    [anon_sym_AMP2] = ACTIONS(1661),
    [anon_sym_STAR2] = ACTIONS(1661),
    [anon_sym_use] = ACTIONS(1661),
    [anon_sym_no] = ACTIONS(1661),
    [anon_sym_for] = ACTIONS(1661),
    [anon_sym_foreach] = ACTIONS(1661),
    [anon_sym_last] = ACTIONS(1661),
    [anon_sym_next] = ACTIONS(1661),
    [anon_sym_redo] = ACTIONS(1661),
    [anon_sym_BEGIN] = ACTIONS(1661),
    [anon_sym_INIT] = ACTIONS(1661),
    [anon_sym_CHECK] = ACTIONS(1661),
    [anon_sym_UNITCHECK] = ACTIONS(1661),
    [anon_sym_END] = ACTIONS(1661),
    [anon_sym___FILE__] = ACTIONS(1661),
    [anon_sym___LINE__] = ACTIONS(1661),
    [anon_sym___PACKAGE__] = ACTIONS(1661),
    [anon_sym___SUB__] = ACTIONS(1661),
    [anon_sym_break] = ACTIONS(1661),
    [anon_sym_fork] = ACTIONS(1661),
    [anon_sym_getppid] = ACTIONS(1661),
    [anon_sym_time] = ACTIONS(1661),
    [anon_sym_times] = ACTIONS(1661),
    [anon_sym_wait] = ACTIONS(1661),
    [anon_sym_wantarray] = ACTIONS(1661),
    [anon_sym_abs] = ACTIONS(1661),
    [anon_sym_alarm] = ACTIONS(1661),
    [anon_sym_chop] = ACTIONS(1661),
    [anon_sym_chdir] = ACTIONS(1661),
    [anon_sym_close] = ACTIONS(1661),
    [anon_sym_closedir] = ACTIONS(1661),
    [anon_sym_caller] = ACTIONS(1661),
    [anon_sym_chomp] = ACTIONS(1661),
    [anon_sym_chr] = ACTIONS(1661),
    [anon_sym_cos] = ACTIONS(1661),
    [anon_sym_chroot] = ACTIONS(1661),
    [anon_sym_defined] = ACTIONS(1661),
    [anon_sym_delete] = ACTIONS(1661),
    [anon_sym_dbmclose] = ACTIONS(1661),
    [anon_sym_exists] = ACTIONS(1661),
    [anon_sym_exit] = ACTIONS(1661),
    [anon_sym_eof] = ACTIONS(1661),
    [anon_sym_exp] = ACTIONS(1661),
    [anon_sym_each] = ACTIONS(1661),
    [anon_sym_fc] = ACTIONS(1661),
    [anon_sym_fileno] = ACTIONS(1661),
    [anon_sym_gmtime] = ACTIONS(1661),
    [anon_sym_getc] = ACTIONS(1661),
    [anon_sym_getpgrp] = ACTIONS(1661),
    [anon_sym_getprotobyname] = ACTIONS(1661),
    [anon_sym_getpwname] = ACTIONS(1661),
    [anon_sym_getpwuid] = ACTIONS(1661),
    [anon_sym_getpeername] = ACTIONS(1661),
    [anon_sym_getnetbyname] = ACTIONS(1661),
    [anon_sym_getsockname] = ACTIONS(1661),
    [anon_sym_getgrnam] = ACTIONS(1661),
    [anon_sym_getgrgid] = ACTIONS(1661),
    [anon_sym_hex] = ACTIONS(1661),
    [anon_sym_int] = ACTIONS(1661),
    [anon_sym_keys] = ACTIONS(1661),
    [anon_sym_lc] = ACTIONS(1661),
    [anon_sym_lcfirst] = ACTIONS(1661),
    [anon_sym_length] = ACTIONS(1661),
    [anon_sym_localtime] = ACTIONS(1661),
    [anon_sym_log] = ACTIONS(1661),
    [anon_sym_lock] = ACTIONS(1661),
    [anon_sym_lstat] = ACTIONS(1661),
    [anon_sym_oct] = ACTIONS(1661),
    [anon_sym_ord] = ACTIONS(1661),
    [anon_sym_prototype] = ACTIONS(1661),
    [anon_sym_pop] = ACTIONS(1661),
    [anon_sym_pos] = ACTIONS(1661),
    [anon_sym_quotemeta] = ACTIONS(1661),
    [anon_sym_reset] = ACTIONS(1661),
    [anon_sym_rand] = ACTIONS(1661),
    [anon_sym_rmdir] = ACTIONS(1661),
    [anon_sym_readdir] = ACTIONS(1661),
    [anon_sym_readline] = ACTIONS(1661),
    [anon_sym_readpipe] = ACTIONS(1661),
    [anon_sym_rewinddir] = ACTIONS(1661),
    [anon_sym_readlink] = ACTIONS(1661),
    [anon_sym_ref] = ACTIONS(1661),
    [anon_sym_scalar] = ACTIONS(1661),
    [anon_sym_shift] = ACTIONS(1661),
    [anon_sym_sin] = ACTIONS(1661),
    [anon_sym_sleep] = ACTIONS(1661),
    [anon_sym_sqrt] = ACTIONS(1661),
    [anon_sym_srand] = ACTIONS(1661),
    [anon_sym_stat] = ACTIONS(1661),
    [anon_sym_study] = ACTIONS(1661),
    [anon_sym_tell] = ACTIONS(1661),
    [anon_sym_telldir] = ACTIONS(1661),
    [anon_sym_tied] = ACTIONS(1661),
    [anon_sym_uc] = ACTIONS(1661),
    [anon_sym_ucfirst] = ACTIONS(1661),
    [anon_sym_untie] = ACTIONS(1661),
    [anon_sym_umask] = ACTIONS(1661),
    [anon_sym_values] = ACTIONS(1661),
    [anon_sym_write] = ACTIONS(1661),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1661),
    [anon_sym___END__] = ACTIONS(1661),
    [anon_sym_EOT] = ACTIONS(1661),
    [anon_sym_q] = ACTIONS(1661),
    [anon_sym_qq] = ACTIONS(1661),
    [anon_sym_qw] = ACTIONS(1661),
    [anon_sym_qx] = ACTIONS(1661),
    [anon_sym_qr] = ACTIONS(1661),
    [anon_sym_m] = ACTIONS(1661),
    [anon_sym_s] = ACTIONS(1661),
    [anon_sym_tr] = ACTIONS(1661),
    [anon_sym_y] = ACTIONS(1661),
    [anon_sym_if] = ACTIONS(1661),
    [anon_sym_unless] = ACTIONS(1661),
    [anon_sym_while] = ACTIONS(1661),
    [anon_sym_until] = ACTIONS(1661),
    [aux_sym__bareword_token1] = ACTIONS(1661),
    [sym_number] = ACTIONS(1661),
    [anon_sym_true] = ACTIONS(1661),
    [anon_sym_false] = ACTIONS(1661),
    [sym__single_quote] = ACTIONS(1659),
    [sym__double_quote] = ACTIONS(1659),
    [sym__backtick_quote] = ACTIONS(1659),
    [sym__search_slash_quote] = ACTIONS(1659),
    [sym__open_readline_bracket] = ACTIONS(1659),
    [sym__open_fileglob_bracket] = ACTIONS(1659),
    [sym__PERLY_HEREDOC] = ACTIONS(1659),
    [sym__ctrl_z_hack] = ACTIONS(1659),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1659),
    [sym__filetest] = ACTIONS(1659),
  },
  [884] = {
    [sym_heredoc_content] = STATE(884),
    [ts_builtin_sym_end] = ACTIONS(1987),
    [sym__identifier] = ACTIONS(1989),
    [anon_sym_LBRACE] = ACTIONS(1989),
    [anon_sym_SEMI] = ACTIONS(1989),
    [anon_sym_package] = ACTIONS(1989),
    [anon_sym_class] = ACTIONS(1989),
    [anon_sym_role] = ACTIONS(1989),
    [anon_sym_BUILD] = ACTIONS(1989),
    [anon_sym_ADJUST] = ACTIONS(1989),
    [anon_sym_DOLLAR] = ACTIONS(1989),
    [anon_sym_AT] = ACTIONS(1989),
    [anon_sym_my] = ACTIONS(1989),
    [anon_sym_extended] = ACTIONS(1989),
    [anon_sym_async] = ACTIONS(1989),
    [anon_sym_sub] = ACTIONS(1989),
    [anon_sym_method] = ACTIONS(1989),
    [anon_sym_LPAREN] = ACTIONS(1989),
    [anon_sym_continue] = ACTIONS(1989),
    [anon_sym_state] = ACTIONS(1989),
    [anon_sym_our] = ACTIONS(1989),
    [anon_sym_try] = ACTIONS(1989),
    [anon_sym_catch] = ACTIONS(1991),
    [anon_sym_finally] = ACTIONS(1993),
    [anon_sym_defer] = ACTIONS(1989),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1989),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_LT_LT] = ACTIONS(1989),
    [anon_sym_SLASH_SLASH] = ACTIONS(1989),
    [anon_sym_PLUS] = ACTIONS(1989),
    [anon_sym_DASH] = ACTIONS(1989),
    [anon_sym_TILDE] = ACTIONS(1989),
    [anon_sym_BANG] = ACTIONS(1989),
    [anon_sym_PLUS_PLUS] = ACTIONS(1989),
    [anon_sym_DASH_DASH] = ACTIONS(1989),
    [anon_sym_BSLASH] = ACTIONS(1987),
    [anon_sym_do] = ACTIONS(1989),
    [anon_sym_eval] = ACTIONS(1989),
    [anon_sym_await] = ACTIONS(1989),
    [anon_sym_field] = ACTIONS(1989),
    [anon_sym_local] = ACTIONS(1989),
    [anon_sym_dynamically] = ACTIONS(1989),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1989),
    [anon_sym_require] = ACTIONS(1989),
    [anon_sym_map] = ACTIONS(1989),
    [anon_sym_grep] = ACTIONS(1989),
    [anon_sym_sort] = ACTIONS(1989),
    [anon_sym_goto] = ACTIONS(1989),
    [anon_sym_return] = ACTIONS(1989),
    [anon_sym_undef] = ACTIONS(1989),
    [anon_sym_PERCENT2] = ACTIONS(1989),
    [anon_sym_AMP2] = ACTIONS(1989),
    [anon_sym_STAR2] = ACTIONS(1989),
    [anon_sym_use] = ACTIONS(1989),
    [anon_sym_no] = ACTIONS(1989),
    [anon_sym_for] = ACTIONS(1989),
    [anon_sym_foreach] = ACTIONS(1989),
    [anon_sym_last] = ACTIONS(1989),
    [anon_sym_next] = ACTIONS(1989),
    [anon_sym_redo] = ACTIONS(1989),
    [anon_sym_BEGIN] = ACTIONS(1989),
    [anon_sym_INIT] = ACTIONS(1989),
    [anon_sym_CHECK] = ACTIONS(1989),
    [anon_sym_UNITCHECK] = ACTIONS(1989),
    [anon_sym_END] = ACTIONS(1989),
    [anon_sym___FILE__] = ACTIONS(1989),
    [anon_sym___LINE__] = ACTIONS(1989),
    [anon_sym___PACKAGE__] = ACTIONS(1989),
    [anon_sym___SUB__] = ACTIONS(1989),
    [anon_sym_break] = ACTIONS(1989),
    [anon_sym_fork] = ACTIONS(1989),
    [anon_sym_getppid] = ACTIONS(1989),
    [anon_sym_time] = ACTIONS(1989),
    [anon_sym_times] = ACTIONS(1989),
    [anon_sym_wait] = ACTIONS(1989),
    [anon_sym_wantarray] = ACTIONS(1989),
    [anon_sym_abs] = ACTIONS(1989),
    [anon_sym_alarm] = ACTIONS(1989),
    [anon_sym_chop] = ACTIONS(1989),
    [anon_sym_chdir] = ACTIONS(1989),
    [anon_sym_close] = ACTIONS(1989),
    [anon_sym_closedir] = ACTIONS(1989),
    [anon_sym_caller] = ACTIONS(1989),
    [anon_sym_chomp] = ACTIONS(1989),
    [anon_sym_chr] = ACTIONS(1989),
    [anon_sym_cos] = ACTIONS(1989),
    [anon_sym_chroot] = ACTIONS(1989),
    [anon_sym_defined] = ACTIONS(1989),
    [anon_sym_delete] = ACTIONS(1989),
    [anon_sym_dbmclose] = ACTIONS(1989),
    [anon_sym_exists] = ACTIONS(1989),
    [anon_sym_exit] = ACTIONS(1989),
    [anon_sym_eof] = ACTIONS(1989),
    [anon_sym_exp] = ACTIONS(1989),
    [anon_sym_each] = ACTIONS(1989),
    [anon_sym_fc] = ACTIONS(1989),
    [anon_sym_fileno] = ACTIONS(1989),
    [anon_sym_gmtime] = ACTIONS(1989),
    [anon_sym_getc] = ACTIONS(1989),
    [anon_sym_getpgrp] = ACTIONS(1989),
    [anon_sym_getprotobyname] = ACTIONS(1989),
    [anon_sym_getpwname] = ACTIONS(1989),
    [anon_sym_getpwuid] = ACTIONS(1989),
    [anon_sym_getpeername] = ACTIONS(1989),
    [anon_sym_getnetbyname] = ACTIONS(1989),
    [anon_sym_getsockname] = ACTIONS(1989),
    [anon_sym_getgrnam] = ACTIONS(1989),
    [anon_sym_getgrgid] = ACTIONS(1989),
    [anon_sym_hex] = ACTIONS(1989),
    [anon_sym_int] = ACTIONS(1989),
    [anon_sym_keys] = ACTIONS(1989),
    [anon_sym_lc] = ACTIONS(1989),
    [anon_sym_lcfirst] = ACTIONS(1989),
    [anon_sym_length] = ACTIONS(1989),
    [anon_sym_localtime] = ACTIONS(1989),
    [anon_sym_log] = ACTIONS(1989),
    [anon_sym_lock] = ACTIONS(1989),
    [anon_sym_lstat] = ACTIONS(1989),
    [anon_sym_oct] = ACTIONS(1989),
    [anon_sym_ord] = ACTIONS(1989),
    [anon_sym_prototype] = ACTIONS(1989),
    [anon_sym_pop] = ACTIONS(1989),
    [anon_sym_pos] = ACTIONS(1989),
    [anon_sym_quotemeta] = ACTIONS(1989),
    [anon_sym_reset] = ACTIONS(1989),
    [anon_sym_rand] = ACTIONS(1989),
    [anon_sym_rmdir] = ACTIONS(1989),
    [anon_sym_readdir] = ACTIONS(1989),
    [anon_sym_readline] = ACTIONS(1989),
    [anon_sym_readpipe] = ACTIONS(1989),
    [anon_sym_rewinddir] = ACTIONS(1989),
    [anon_sym_readlink] = ACTIONS(1989),
    [anon_sym_ref] = ACTIONS(1989),
    [anon_sym_scalar] = ACTIONS(1989),
    [anon_sym_shift] = ACTIONS(1989),
    [anon_sym_sin] = ACTIONS(1989),
    [anon_sym_sleep] = ACTIONS(1989),
    [anon_sym_sqrt] = ACTIONS(1989),
    [anon_sym_srand] = ACTIONS(1989),
    [anon_sym_stat] = ACTIONS(1989),
    [anon_sym_study] = ACTIONS(1989),
    [anon_sym_tell] = ACTIONS(1989),
    [anon_sym_telldir] = ACTIONS(1989),
    [anon_sym_tied] = ACTIONS(1989),
    [anon_sym_uc] = ACTIONS(1989),
    [anon_sym_ucfirst] = ACTIONS(1989),
    [anon_sym_untie] = ACTIONS(1989),
    [anon_sym_umask] = ACTIONS(1989),
    [anon_sym_values] = ACTIONS(1989),
    [anon_sym_write] = ACTIONS(1989),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1989),
    [anon_sym___END__] = ACTIONS(1989),
    [anon_sym_EOT] = ACTIONS(1989),
    [anon_sym_q] = ACTIONS(1989),
    [anon_sym_qq] = ACTIONS(1989),
    [anon_sym_qw] = ACTIONS(1989),
    [anon_sym_qx] = ACTIONS(1989),
    [anon_sym_qr] = ACTIONS(1989),
    [anon_sym_m] = ACTIONS(1989),
    [anon_sym_s] = ACTIONS(1989),
    [anon_sym_tr] = ACTIONS(1989),
    [anon_sym_y] = ACTIONS(1989),
    [anon_sym_if] = ACTIONS(1989),
    [anon_sym_unless] = ACTIONS(1989),
    [anon_sym_while] = ACTIONS(1989),
    [anon_sym_until] = ACTIONS(1989),
    [aux_sym__bareword_token1] = ACTIONS(1989),
    [sym_number] = ACTIONS(1989),
    [anon_sym_true] = ACTIONS(1989),
    [anon_sym_false] = ACTIONS(1989),
    [sym__single_quote] = ACTIONS(1987),
    [sym__double_quote] = ACTIONS(1987),
    [sym__backtick_quote] = ACTIONS(1987),
    [sym__search_slash_quote] = ACTIONS(1987),
    [sym__open_readline_bracket] = ACTIONS(1987),
    [sym__open_fileglob_bracket] = ACTIONS(1987),
    [sym__PERLY_HEREDOC] = ACTIONS(1987),
    [sym__ctrl_z_hack] = ACTIONS(1987),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1987),
    [sym__filetest] = ACTIONS(1987),
  },
  [885] = {
    [sym_heredoc_content] = STATE(885),
    [ts_builtin_sym_end] = ACTIONS(1826),
    [sym__identifier] = ACTIONS(1824),
    [anon_sym_LBRACE] = ACTIONS(1824),
    [anon_sym_SEMI] = ACTIONS(1824),
    [anon_sym_package] = ACTIONS(1824),
    [anon_sym_class] = ACTIONS(1824),
    [anon_sym_role] = ACTIONS(1824),
    [anon_sym_BUILD] = ACTIONS(1824),
    [anon_sym_ADJUST] = ACTIONS(1824),
    [anon_sym_DOLLAR] = ACTIONS(1824),
    [anon_sym_AT] = ACTIONS(1824),
    [anon_sym_my] = ACTIONS(1824),
    [anon_sym_extended] = ACTIONS(1824),
    [anon_sym_async] = ACTIONS(1824),
    [anon_sym_sub] = ACTIONS(1824),
    [anon_sym_method] = ACTIONS(1824),
    [anon_sym_LPAREN] = ACTIONS(1824),
    [anon_sym_continue] = ACTIONS(1824),
    [anon_sym_state] = ACTIONS(1824),
    [anon_sym_our] = ACTIONS(1824),
    [anon_sym_try] = ACTIONS(1824),
    [anon_sym_defer] = ACTIONS(1824),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1824),
    [anon_sym_else] = ACTIONS(1824),
    [anon_sym_elsif] = ACTIONS(1824),
    [anon_sym_LBRACK] = ACTIONS(1824),
    [anon_sym_LT_LT] = ACTIONS(1824),
    [anon_sym_SLASH_SLASH] = ACTIONS(1824),
    [anon_sym_PLUS] = ACTIONS(1824),
    [anon_sym_DASH] = ACTIONS(1824),
    [anon_sym_TILDE] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1824),
    [anon_sym_PLUS_PLUS] = ACTIONS(1824),
    [anon_sym_DASH_DASH] = ACTIONS(1824),
    [anon_sym_BSLASH] = ACTIONS(1826),
    [anon_sym_do] = ACTIONS(1824),
    [anon_sym_eval] = ACTIONS(1824),
    [anon_sym_await] = ACTIONS(1824),
    [anon_sym_field] = ACTIONS(1824),
    [anon_sym_local] = ACTIONS(1824),
    [anon_sym_dynamically] = ACTIONS(1824),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1824),
    [anon_sym_require] = ACTIONS(1824),
    [anon_sym_map] = ACTIONS(1824),
    [anon_sym_grep] = ACTIONS(1824),
    [anon_sym_sort] = ACTIONS(1824),
    [anon_sym_goto] = ACTIONS(1824),
    [anon_sym_return] = ACTIONS(1824),
    [anon_sym_undef] = ACTIONS(1824),
    [anon_sym_PERCENT2] = ACTIONS(1824),
    [anon_sym_AMP2] = ACTIONS(1824),
    [anon_sym_STAR2] = ACTIONS(1824),
    [anon_sym_use] = ACTIONS(1824),
    [anon_sym_no] = ACTIONS(1824),
    [anon_sym_for] = ACTIONS(1824),
    [anon_sym_foreach] = ACTIONS(1824),
    [anon_sym_last] = ACTIONS(1824),
    [anon_sym_next] = ACTIONS(1824),
    [anon_sym_redo] = ACTIONS(1824),
    [anon_sym_BEGIN] = ACTIONS(1824),
    [anon_sym_INIT] = ACTIONS(1824),
    [anon_sym_CHECK] = ACTIONS(1824),
    [anon_sym_UNITCHECK] = ACTIONS(1824),
    [anon_sym_END] = ACTIONS(1824),
    [anon_sym___FILE__] = ACTIONS(1824),
    [anon_sym___LINE__] = ACTIONS(1824),
    [anon_sym___PACKAGE__] = ACTIONS(1824),
    [anon_sym___SUB__] = ACTIONS(1824),
    [anon_sym_break] = ACTIONS(1824),
    [anon_sym_fork] = ACTIONS(1824),
    [anon_sym_getppid] = ACTIONS(1824),
    [anon_sym_time] = ACTIONS(1824),
    [anon_sym_times] = ACTIONS(1824),
    [anon_sym_wait] = ACTIONS(1824),
    [anon_sym_wantarray] = ACTIONS(1824),
    [anon_sym_abs] = ACTIONS(1824),
    [anon_sym_alarm] = ACTIONS(1824),
    [anon_sym_chop] = ACTIONS(1824),
    [anon_sym_chdir] = ACTIONS(1824),
    [anon_sym_close] = ACTIONS(1824),
    [anon_sym_closedir] = ACTIONS(1824),
    [anon_sym_caller] = ACTIONS(1824),
    [anon_sym_chomp] = ACTIONS(1824),
    [anon_sym_chr] = ACTIONS(1824),
    [anon_sym_cos] = ACTIONS(1824),
    [anon_sym_chroot] = ACTIONS(1824),
    [anon_sym_defined] = ACTIONS(1824),
    [anon_sym_delete] = ACTIONS(1824),
    [anon_sym_dbmclose] = ACTIONS(1824),
    [anon_sym_exists] = ACTIONS(1824),
    [anon_sym_exit] = ACTIONS(1824),
    [anon_sym_eof] = ACTIONS(1824),
    [anon_sym_exp] = ACTIONS(1824),
    [anon_sym_each] = ACTIONS(1824),
    [anon_sym_fc] = ACTIONS(1824),
    [anon_sym_fileno] = ACTIONS(1824),
    [anon_sym_gmtime] = ACTIONS(1824),
    [anon_sym_getc] = ACTIONS(1824),
    [anon_sym_getpgrp] = ACTIONS(1824),
    [anon_sym_getprotobyname] = ACTIONS(1824),
    [anon_sym_getpwname] = ACTIONS(1824),
    [anon_sym_getpwuid] = ACTIONS(1824),
    [anon_sym_getpeername] = ACTIONS(1824),
    [anon_sym_getnetbyname] = ACTIONS(1824),
    [anon_sym_getsockname] = ACTIONS(1824),
    [anon_sym_getgrnam] = ACTIONS(1824),
    [anon_sym_getgrgid] = ACTIONS(1824),
    [anon_sym_hex] = ACTIONS(1824),
    [anon_sym_int] = ACTIONS(1824),
    [anon_sym_keys] = ACTIONS(1824),
    [anon_sym_lc] = ACTIONS(1824),
    [anon_sym_lcfirst] = ACTIONS(1824),
    [anon_sym_length] = ACTIONS(1824),
    [anon_sym_localtime] = ACTIONS(1824),
    [anon_sym_log] = ACTIONS(1824),
    [anon_sym_lock] = ACTIONS(1824),
    [anon_sym_lstat] = ACTIONS(1824),
    [anon_sym_oct] = ACTIONS(1824),
    [anon_sym_ord] = ACTIONS(1824),
    [anon_sym_prototype] = ACTIONS(1824),
    [anon_sym_pop] = ACTIONS(1824),
    [anon_sym_pos] = ACTIONS(1824),
    [anon_sym_quotemeta] = ACTIONS(1824),
    [anon_sym_reset] = ACTIONS(1824),
    [anon_sym_rand] = ACTIONS(1824),
    [anon_sym_rmdir] = ACTIONS(1824),
    [anon_sym_readdir] = ACTIONS(1824),
    [anon_sym_readline] = ACTIONS(1824),
    [anon_sym_readpipe] = ACTIONS(1824),
    [anon_sym_rewinddir] = ACTIONS(1824),
    [anon_sym_readlink] = ACTIONS(1824),
    [anon_sym_ref] = ACTIONS(1824),
    [anon_sym_scalar] = ACTIONS(1824),
    [anon_sym_shift] = ACTIONS(1824),
    [anon_sym_sin] = ACTIONS(1824),
    [anon_sym_sleep] = ACTIONS(1824),
    [anon_sym_sqrt] = ACTIONS(1824),
    [anon_sym_srand] = ACTIONS(1824),
    [anon_sym_stat] = ACTIONS(1824),
    [anon_sym_study] = ACTIONS(1824),
    [anon_sym_tell] = ACTIONS(1824),
    [anon_sym_telldir] = ACTIONS(1824),
    [anon_sym_tied] = ACTIONS(1824),
    [anon_sym_uc] = ACTIONS(1824),
    [anon_sym_ucfirst] = ACTIONS(1824),
    [anon_sym_untie] = ACTIONS(1824),
    [anon_sym_umask] = ACTIONS(1824),
    [anon_sym_values] = ACTIONS(1824),
    [anon_sym_write] = ACTIONS(1824),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1824),
    [anon_sym___END__] = ACTIONS(1824),
    [anon_sym_EOT] = ACTIONS(1824),
    [anon_sym_q] = ACTIONS(1824),
    [anon_sym_qq] = ACTIONS(1824),
    [anon_sym_qw] = ACTIONS(1824),
    [anon_sym_qx] = ACTIONS(1824),
    [anon_sym_qr] = ACTIONS(1824),
    [anon_sym_m] = ACTIONS(1824),
    [anon_sym_s] = ACTIONS(1824),
    [anon_sym_tr] = ACTIONS(1824),
    [anon_sym_y] = ACTIONS(1824),
    [anon_sym_if] = ACTIONS(1824),
    [anon_sym_unless] = ACTIONS(1824),
    [anon_sym_while] = ACTIONS(1824),
    [anon_sym_until] = ACTIONS(1824),
    [aux_sym__bareword_token1] = ACTIONS(1824),
    [sym_number] = ACTIONS(1824),
    [anon_sym_true] = ACTIONS(1824),
    [anon_sym_false] = ACTIONS(1824),
    [sym__single_quote] = ACTIONS(1826),
    [sym__double_quote] = ACTIONS(1826),
    [sym__backtick_quote] = ACTIONS(1826),
    [sym__search_slash_quote] = ACTIONS(1826),
    [sym__open_readline_bracket] = ACTIONS(1826),
    [sym__open_fileglob_bracket] = ACTIONS(1826),
    [sym__PERLY_HEREDOC] = ACTIONS(1826),
    [sym__ctrl_z_hack] = ACTIONS(1826),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1826),
    [sym__filetest] = ACTIONS(1826),
  },
  [886] = {
    [sym_heredoc_content] = STATE(886),
    [ts_builtin_sym_end] = ACTIONS(1826),
    [sym__identifier] = ACTIONS(1824),
    [anon_sym_LBRACE] = ACTIONS(1824),
    [anon_sym_SEMI] = ACTIONS(1824),
    [anon_sym_package] = ACTIONS(1824),
    [anon_sym_class] = ACTIONS(1824),
    [anon_sym_role] = ACTIONS(1824),
    [anon_sym_BUILD] = ACTIONS(1824),
    [anon_sym_ADJUST] = ACTIONS(1824),
    [anon_sym_DOLLAR] = ACTIONS(1824),
    [anon_sym_AT] = ACTIONS(1824),
    [anon_sym_my] = ACTIONS(1824),
    [anon_sym_extended] = ACTIONS(1824),
    [anon_sym_async] = ACTIONS(1824),
    [anon_sym_sub] = ACTIONS(1824),
    [anon_sym_method] = ACTIONS(1824),
    [anon_sym_LPAREN] = ACTIONS(1824),
    [anon_sym_continue] = ACTIONS(1824),
    [anon_sym_state] = ACTIONS(1824),
    [anon_sym_our] = ACTIONS(1824),
    [anon_sym_try] = ACTIONS(1824),
    [anon_sym_catch] = ACTIONS(1824),
    [anon_sym_finally] = ACTIONS(1824),
    [anon_sym_defer] = ACTIONS(1824),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1824),
    [anon_sym_LBRACK] = ACTIONS(1824),
    [anon_sym_LT_LT] = ACTIONS(1824),
    [anon_sym_SLASH_SLASH] = ACTIONS(1824),
    [anon_sym_PLUS] = ACTIONS(1824),
    [anon_sym_DASH] = ACTIONS(1824),
    [anon_sym_TILDE] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1824),
    [anon_sym_PLUS_PLUS] = ACTIONS(1824),
    [anon_sym_DASH_DASH] = ACTIONS(1824),
    [anon_sym_BSLASH] = ACTIONS(1826),
    [anon_sym_do] = ACTIONS(1824),
    [anon_sym_eval] = ACTIONS(1824),
    [anon_sym_await] = ACTIONS(1824),
    [anon_sym_field] = ACTIONS(1824),
    [anon_sym_local] = ACTIONS(1824),
    [anon_sym_dynamically] = ACTIONS(1824),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1824),
    [anon_sym_require] = ACTIONS(1824),
    [anon_sym_map] = ACTIONS(1824),
    [anon_sym_grep] = ACTIONS(1824),
    [anon_sym_sort] = ACTIONS(1824),
    [anon_sym_goto] = ACTIONS(1824),
    [anon_sym_return] = ACTIONS(1824),
    [anon_sym_undef] = ACTIONS(1824),
    [anon_sym_PERCENT2] = ACTIONS(1824),
    [anon_sym_AMP2] = ACTIONS(1824),
    [anon_sym_STAR2] = ACTIONS(1824),
    [anon_sym_use] = ACTIONS(1824),
    [anon_sym_no] = ACTIONS(1824),
    [anon_sym_for] = ACTIONS(1824),
    [anon_sym_foreach] = ACTIONS(1824),
    [anon_sym_last] = ACTIONS(1824),
    [anon_sym_next] = ACTIONS(1824),
    [anon_sym_redo] = ACTIONS(1824),
    [anon_sym_BEGIN] = ACTIONS(1824),
    [anon_sym_INIT] = ACTIONS(1824),
    [anon_sym_CHECK] = ACTIONS(1824),
    [anon_sym_UNITCHECK] = ACTIONS(1824),
    [anon_sym_END] = ACTIONS(1824),
    [anon_sym___FILE__] = ACTIONS(1824),
    [anon_sym___LINE__] = ACTIONS(1824),
    [anon_sym___PACKAGE__] = ACTIONS(1824),
    [anon_sym___SUB__] = ACTIONS(1824),
    [anon_sym_break] = ACTIONS(1824),
    [anon_sym_fork] = ACTIONS(1824),
    [anon_sym_getppid] = ACTIONS(1824),
    [anon_sym_time] = ACTIONS(1824),
    [anon_sym_times] = ACTIONS(1824),
    [anon_sym_wait] = ACTIONS(1824),
    [anon_sym_wantarray] = ACTIONS(1824),
    [anon_sym_abs] = ACTIONS(1824),
    [anon_sym_alarm] = ACTIONS(1824),
    [anon_sym_chop] = ACTIONS(1824),
    [anon_sym_chdir] = ACTIONS(1824),
    [anon_sym_close] = ACTIONS(1824),
    [anon_sym_closedir] = ACTIONS(1824),
    [anon_sym_caller] = ACTIONS(1824),
    [anon_sym_chomp] = ACTIONS(1824),
    [anon_sym_chr] = ACTIONS(1824),
    [anon_sym_cos] = ACTIONS(1824),
    [anon_sym_chroot] = ACTIONS(1824),
    [anon_sym_defined] = ACTIONS(1824),
    [anon_sym_delete] = ACTIONS(1824),
    [anon_sym_dbmclose] = ACTIONS(1824),
    [anon_sym_exists] = ACTIONS(1824),
    [anon_sym_exit] = ACTIONS(1824),
    [anon_sym_eof] = ACTIONS(1824),
    [anon_sym_exp] = ACTIONS(1824),
    [anon_sym_each] = ACTIONS(1824),
    [anon_sym_fc] = ACTIONS(1824),
    [anon_sym_fileno] = ACTIONS(1824),
    [anon_sym_gmtime] = ACTIONS(1824),
    [anon_sym_getc] = ACTIONS(1824),
    [anon_sym_getpgrp] = ACTIONS(1824),
    [anon_sym_getprotobyname] = ACTIONS(1824),
    [anon_sym_getpwname] = ACTIONS(1824),
    [anon_sym_getpwuid] = ACTIONS(1824),
    [anon_sym_getpeername] = ACTIONS(1824),
    [anon_sym_getnetbyname] = ACTIONS(1824),
    [anon_sym_getsockname] = ACTIONS(1824),
    [anon_sym_getgrnam] = ACTIONS(1824),
    [anon_sym_getgrgid] = ACTIONS(1824),
    [anon_sym_hex] = ACTIONS(1824),
    [anon_sym_int] = ACTIONS(1824),
    [anon_sym_keys] = ACTIONS(1824),
    [anon_sym_lc] = ACTIONS(1824),
    [anon_sym_lcfirst] = ACTIONS(1824),
    [anon_sym_length] = ACTIONS(1824),
    [anon_sym_localtime] = ACTIONS(1824),
    [anon_sym_log] = ACTIONS(1824),
    [anon_sym_lock] = ACTIONS(1824),
    [anon_sym_lstat] = ACTIONS(1824),
    [anon_sym_oct] = ACTIONS(1824),
    [anon_sym_ord] = ACTIONS(1824),
    [anon_sym_prototype] = ACTIONS(1824),
    [anon_sym_pop] = ACTIONS(1824),
    [anon_sym_pos] = ACTIONS(1824),
    [anon_sym_quotemeta] = ACTIONS(1824),
    [anon_sym_reset] = ACTIONS(1824),
    [anon_sym_rand] = ACTIONS(1824),
    [anon_sym_rmdir] = ACTIONS(1824),
    [anon_sym_readdir] = ACTIONS(1824),
    [anon_sym_readline] = ACTIONS(1824),
    [anon_sym_readpipe] = ACTIONS(1824),
    [anon_sym_rewinddir] = ACTIONS(1824),
    [anon_sym_readlink] = ACTIONS(1824),
    [anon_sym_ref] = ACTIONS(1824),
    [anon_sym_scalar] = ACTIONS(1824),
    [anon_sym_shift] = ACTIONS(1824),
    [anon_sym_sin] = ACTIONS(1824),
    [anon_sym_sleep] = ACTIONS(1824),
    [anon_sym_sqrt] = ACTIONS(1824),
    [anon_sym_srand] = ACTIONS(1824),
    [anon_sym_stat] = ACTIONS(1824),
    [anon_sym_study] = ACTIONS(1824),
    [anon_sym_tell] = ACTIONS(1824),
    [anon_sym_telldir] = ACTIONS(1824),
    [anon_sym_tied] = ACTIONS(1824),
    [anon_sym_uc] = ACTIONS(1824),
    [anon_sym_ucfirst] = ACTIONS(1824),
    [anon_sym_untie] = ACTIONS(1824),
    [anon_sym_umask] = ACTIONS(1824),
    [anon_sym_values] = ACTIONS(1824),
    [anon_sym_write] = ACTIONS(1824),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1824),
    [anon_sym___END__] = ACTIONS(1824),
    [anon_sym_EOT] = ACTIONS(1824),
    [anon_sym_q] = ACTIONS(1824),
    [anon_sym_qq] = ACTIONS(1824),
    [anon_sym_qw] = ACTIONS(1824),
    [anon_sym_qx] = ACTIONS(1824),
    [anon_sym_qr] = ACTIONS(1824),
    [anon_sym_m] = ACTIONS(1824),
    [anon_sym_s] = ACTIONS(1824),
    [anon_sym_tr] = ACTIONS(1824),
    [anon_sym_y] = ACTIONS(1824),
    [anon_sym_if] = ACTIONS(1824),
    [anon_sym_unless] = ACTIONS(1824),
    [anon_sym_while] = ACTIONS(1824),
    [anon_sym_until] = ACTIONS(1824),
    [aux_sym__bareword_token1] = ACTIONS(1824),
    [sym_number] = ACTIONS(1824),
    [anon_sym_true] = ACTIONS(1824),
    [anon_sym_false] = ACTIONS(1824),
    [sym__single_quote] = ACTIONS(1826),
    [sym__double_quote] = ACTIONS(1826),
    [sym__backtick_quote] = ACTIONS(1826),
    [sym__search_slash_quote] = ACTIONS(1826),
    [sym__open_readline_bracket] = ACTIONS(1826),
    [sym__open_fileglob_bracket] = ACTIONS(1826),
    [sym__PERLY_HEREDOC] = ACTIONS(1826),
    [sym__ctrl_z_hack] = ACTIONS(1826),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1826),
    [sym__filetest] = ACTIONS(1826),
  },
  [887] = {
    [sym_heredoc_content] = STATE(887),
    [ts_builtin_sym_end] = ACTIONS(1826),
    [sym__identifier] = ACTIONS(1824),
    [anon_sym_LBRACE] = ACTIONS(1824),
    [anon_sym_SEMI] = ACTIONS(1824),
    [anon_sym_package] = ACTIONS(1824),
    [anon_sym_class] = ACTIONS(1824),
    [anon_sym_role] = ACTIONS(1824),
    [anon_sym_BUILD] = ACTIONS(1824),
    [anon_sym_ADJUST] = ACTIONS(1824),
    [anon_sym_DOLLAR] = ACTIONS(1824),
    [anon_sym_AT] = ACTIONS(1824),
    [anon_sym_my] = ACTIONS(1824),
    [anon_sym_extended] = ACTIONS(1824),
    [anon_sym_async] = ACTIONS(1824),
    [anon_sym_sub] = ACTIONS(1824),
    [anon_sym_method] = ACTIONS(1824),
    [anon_sym_LPAREN] = ACTIONS(1824),
    [anon_sym_continue] = ACTIONS(1824),
    [anon_sym_state] = ACTIONS(1824),
    [anon_sym_our] = ACTIONS(1824),
    [anon_sym_try] = ACTIONS(1824),
    [anon_sym_finally] = ACTIONS(1824),
    [anon_sym_defer] = ACTIONS(1824),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1824),
    [anon_sym_LBRACK] = ACTIONS(1824),
    [anon_sym_LT_LT] = ACTIONS(1824),
    [anon_sym_SLASH_SLASH] = ACTIONS(1824),
    [anon_sym_PLUS] = ACTIONS(1824),
    [anon_sym_DASH] = ACTIONS(1824),
    [anon_sym_TILDE] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1824),
    [anon_sym_PLUS_PLUS] = ACTIONS(1824),
    [anon_sym_DASH_DASH] = ACTIONS(1824),
    [anon_sym_BSLASH] = ACTIONS(1826),
    [anon_sym_do] = ACTIONS(1824),
    [anon_sym_eval] = ACTIONS(1824),
    [anon_sym_await] = ACTIONS(1824),
    [anon_sym_field] = ACTIONS(1824),
    [anon_sym_local] = ACTIONS(1824),
    [anon_sym_dynamically] = ACTIONS(1824),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1824),
    [anon_sym_require] = ACTIONS(1824),
    [anon_sym_map] = ACTIONS(1824),
    [anon_sym_grep] = ACTIONS(1824),
    [anon_sym_sort] = ACTIONS(1824),
    [anon_sym_goto] = ACTIONS(1824),
    [anon_sym_return] = ACTIONS(1824),
    [anon_sym_undef] = ACTIONS(1824),
    [anon_sym_PERCENT2] = ACTIONS(1824),
    [anon_sym_AMP2] = ACTIONS(1824),
    [anon_sym_STAR2] = ACTIONS(1824),
    [anon_sym_use] = ACTIONS(1824),
    [anon_sym_no] = ACTIONS(1824),
    [anon_sym_for] = ACTIONS(1824),
    [anon_sym_foreach] = ACTIONS(1824),
    [anon_sym_last] = ACTIONS(1824),
    [anon_sym_next] = ACTIONS(1824),
    [anon_sym_redo] = ACTIONS(1824),
    [anon_sym_BEGIN] = ACTIONS(1824),
    [anon_sym_INIT] = ACTIONS(1824),
    [anon_sym_CHECK] = ACTIONS(1824),
    [anon_sym_UNITCHECK] = ACTIONS(1824),
    [anon_sym_END] = ACTIONS(1824),
    [anon_sym___FILE__] = ACTIONS(1824),
    [anon_sym___LINE__] = ACTIONS(1824),
    [anon_sym___PACKAGE__] = ACTIONS(1824),
    [anon_sym___SUB__] = ACTIONS(1824),
    [anon_sym_break] = ACTIONS(1824),
    [anon_sym_fork] = ACTIONS(1824),
    [anon_sym_getppid] = ACTIONS(1824),
    [anon_sym_time] = ACTIONS(1824),
    [anon_sym_times] = ACTIONS(1824),
    [anon_sym_wait] = ACTIONS(1824),
    [anon_sym_wantarray] = ACTIONS(1824),
    [anon_sym_abs] = ACTIONS(1824),
    [anon_sym_alarm] = ACTIONS(1824),
    [anon_sym_chop] = ACTIONS(1824),
    [anon_sym_chdir] = ACTIONS(1824),
    [anon_sym_close] = ACTIONS(1824),
    [anon_sym_closedir] = ACTIONS(1824),
    [anon_sym_caller] = ACTIONS(1824),
    [anon_sym_chomp] = ACTIONS(1824),
    [anon_sym_chr] = ACTIONS(1824),
    [anon_sym_cos] = ACTIONS(1824),
    [anon_sym_chroot] = ACTIONS(1824),
    [anon_sym_defined] = ACTIONS(1824),
    [anon_sym_delete] = ACTIONS(1824),
    [anon_sym_dbmclose] = ACTIONS(1824),
    [anon_sym_exists] = ACTIONS(1824),
    [anon_sym_exit] = ACTIONS(1824),
    [anon_sym_eof] = ACTIONS(1824),
    [anon_sym_exp] = ACTIONS(1824),
    [anon_sym_each] = ACTIONS(1824),
    [anon_sym_fc] = ACTIONS(1824),
    [anon_sym_fileno] = ACTIONS(1824),
    [anon_sym_gmtime] = ACTIONS(1824),
    [anon_sym_getc] = ACTIONS(1824),
    [anon_sym_getpgrp] = ACTIONS(1824),
    [anon_sym_getprotobyname] = ACTIONS(1824),
    [anon_sym_getpwname] = ACTIONS(1824),
    [anon_sym_getpwuid] = ACTIONS(1824),
    [anon_sym_getpeername] = ACTIONS(1824),
    [anon_sym_getnetbyname] = ACTIONS(1824),
    [anon_sym_getsockname] = ACTIONS(1824),
    [anon_sym_getgrnam] = ACTIONS(1824),
    [anon_sym_getgrgid] = ACTIONS(1824),
    [anon_sym_hex] = ACTIONS(1824),
    [anon_sym_int] = ACTIONS(1824),
    [anon_sym_keys] = ACTIONS(1824),
    [anon_sym_lc] = ACTIONS(1824),
    [anon_sym_lcfirst] = ACTIONS(1824),
    [anon_sym_length] = ACTIONS(1824),
    [anon_sym_localtime] = ACTIONS(1824),
    [anon_sym_log] = ACTIONS(1824),
    [anon_sym_lock] = ACTIONS(1824),
    [anon_sym_lstat] = ACTIONS(1824),
    [anon_sym_oct] = ACTIONS(1824),
    [anon_sym_ord] = ACTIONS(1824),
    [anon_sym_prototype] = ACTIONS(1824),
    [anon_sym_pop] = ACTIONS(1824),
    [anon_sym_pos] = ACTIONS(1824),
    [anon_sym_quotemeta] = ACTIONS(1824),
    [anon_sym_reset] = ACTIONS(1824),
    [anon_sym_rand] = ACTIONS(1824),
    [anon_sym_rmdir] = ACTIONS(1824),
    [anon_sym_readdir] = ACTIONS(1824),
    [anon_sym_readline] = ACTIONS(1824),
    [anon_sym_readpipe] = ACTIONS(1824),
    [anon_sym_rewinddir] = ACTIONS(1824),
    [anon_sym_readlink] = ACTIONS(1824),
    [anon_sym_ref] = ACTIONS(1824),
    [anon_sym_scalar] = ACTIONS(1824),
    [anon_sym_shift] = ACTIONS(1824),
    [anon_sym_sin] = ACTIONS(1824),
    [anon_sym_sleep] = ACTIONS(1824),
    [anon_sym_sqrt] = ACTIONS(1824),
    [anon_sym_srand] = ACTIONS(1824),
    [anon_sym_stat] = ACTIONS(1824),
    [anon_sym_study] = ACTIONS(1824),
    [anon_sym_tell] = ACTIONS(1824),
    [anon_sym_telldir] = ACTIONS(1824),
    [anon_sym_tied] = ACTIONS(1824),
    [anon_sym_uc] = ACTIONS(1824),
    [anon_sym_ucfirst] = ACTIONS(1824),
    [anon_sym_untie] = ACTIONS(1824),
    [anon_sym_umask] = ACTIONS(1824),
    [anon_sym_values] = ACTIONS(1824),
    [anon_sym_write] = ACTIONS(1824),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1824),
    [anon_sym___END__] = ACTIONS(1824),
    [anon_sym_EOT] = ACTIONS(1824),
    [anon_sym_q] = ACTIONS(1824),
    [anon_sym_qq] = ACTIONS(1824),
    [anon_sym_qw] = ACTIONS(1824),
    [anon_sym_qx] = ACTIONS(1824),
    [anon_sym_qr] = ACTIONS(1824),
    [anon_sym_m] = ACTIONS(1824),
    [anon_sym_s] = ACTIONS(1824),
    [anon_sym_tr] = ACTIONS(1824),
    [anon_sym_y] = ACTIONS(1824),
    [anon_sym_if] = ACTIONS(1824),
    [anon_sym_unless] = ACTIONS(1824),
    [anon_sym_while] = ACTIONS(1824),
    [anon_sym_until] = ACTIONS(1824),
    [aux_sym__bareword_token1] = ACTIONS(1824),
    [sym_number] = ACTIONS(1824),
    [anon_sym_true] = ACTIONS(1824),
    [anon_sym_false] = ACTIONS(1824),
    [sym__single_quote] = ACTIONS(1826),
    [sym__double_quote] = ACTIONS(1826),
    [sym__backtick_quote] = ACTIONS(1826),
    [sym__search_slash_quote] = ACTIONS(1826),
    [sym__open_readline_bracket] = ACTIONS(1826),
    [sym__open_fileglob_bracket] = ACTIONS(1826),
    [sym__PERLY_HEREDOC] = ACTIONS(1826),
    [sym__ctrl_z_hack] = ACTIONS(1826),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1826),
    [sym__filetest] = ACTIONS(1826),
  },
  [888] = {
    [sym__else] = STATE(1045),
    [sym_else] = STATE(1000),
    [sym_elsif] = STATE(1000),
    [sym_heredoc_content] = STATE(888),
    [sym__identifier] = ACTIONS(1985),
    [anon_sym_LBRACE] = ACTIONS(1985),
    [anon_sym_RBRACE] = ACTIONS(1985),
    [anon_sym_SEMI] = ACTIONS(1985),
    [anon_sym_package] = ACTIONS(1985),
    [anon_sym_class] = ACTIONS(1985),
    [anon_sym_role] = ACTIONS(1985),
    [anon_sym_BUILD] = ACTIONS(1985),
    [anon_sym_ADJUST] = ACTIONS(1985),
    [anon_sym_DOLLAR] = ACTIONS(1985),
    [anon_sym_AT] = ACTIONS(1985),
    [anon_sym_my] = ACTIONS(1985),
    [anon_sym_extended] = ACTIONS(1985),
    [anon_sym_async] = ACTIONS(1985),
    [anon_sym_sub] = ACTIONS(1985),
    [anon_sym_method] = ACTIONS(1985),
    [anon_sym_LPAREN] = ACTIONS(1985),
    [anon_sym_continue] = ACTIONS(1985),
    [anon_sym_state] = ACTIONS(1985),
    [anon_sym_our] = ACTIONS(1985),
    [anon_sym_try] = ACTIONS(1985),
    [anon_sym_defer] = ACTIONS(1985),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1985),
    [anon_sym_else] = ACTIONS(1995),
    [anon_sym_elsif] = ACTIONS(1997),
    [anon_sym_LBRACK] = ACTIONS(1985),
    [anon_sym_LT_LT] = ACTIONS(1985),
    [anon_sym_SLASH_SLASH] = ACTIONS(1985),
    [anon_sym_PLUS] = ACTIONS(1985),
    [anon_sym_DASH] = ACTIONS(1985),
    [anon_sym_TILDE] = ACTIONS(1985),
    [anon_sym_BANG] = ACTIONS(1985),
    [anon_sym_PLUS_PLUS] = ACTIONS(1985),
    [anon_sym_DASH_DASH] = ACTIONS(1985),
    [anon_sym_BSLASH] = ACTIONS(1983),
    [anon_sym_do] = ACTIONS(1985),
    [anon_sym_eval] = ACTIONS(1985),
    [anon_sym_await] = ACTIONS(1985),
    [anon_sym_field] = ACTIONS(1985),
    [anon_sym_local] = ACTIONS(1985),
    [anon_sym_dynamically] = ACTIONS(1985),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1985),
    [anon_sym_require] = ACTIONS(1985),
    [anon_sym_map] = ACTIONS(1985),
    [anon_sym_grep] = ACTIONS(1985),
    [anon_sym_sort] = ACTIONS(1985),
    [anon_sym_goto] = ACTIONS(1985),
    [anon_sym_return] = ACTIONS(1985),
    [anon_sym_undef] = ACTIONS(1985),
    [anon_sym_PERCENT2] = ACTIONS(1985),
    [anon_sym_AMP2] = ACTIONS(1985),
    [anon_sym_STAR2] = ACTIONS(1985),
    [anon_sym_use] = ACTIONS(1985),
    [anon_sym_no] = ACTIONS(1985),
    [anon_sym_for] = ACTIONS(1985),
    [anon_sym_foreach] = ACTIONS(1985),
    [anon_sym_last] = ACTIONS(1985),
    [anon_sym_next] = ACTIONS(1985),
    [anon_sym_redo] = ACTIONS(1985),
    [anon_sym_BEGIN] = ACTIONS(1985),
    [anon_sym_INIT] = ACTIONS(1985),
    [anon_sym_CHECK] = ACTIONS(1985),
    [anon_sym_UNITCHECK] = ACTIONS(1985),
    [anon_sym_END] = ACTIONS(1985),
    [anon_sym___FILE__] = ACTIONS(1985),
    [anon_sym___LINE__] = ACTIONS(1985),
    [anon_sym___PACKAGE__] = ACTIONS(1985),
    [anon_sym___SUB__] = ACTIONS(1985),
    [anon_sym_break] = ACTIONS(1985),
    [anon_sym_fork] = ACTIONS(1985),
    [anon_sym_getppid] = ACTIONS(1985),
    [anon_sym_time] = ACTIONS(1985),
    [anon_sym_times] = ACTIONS(1985),
    [anon_sym_wait] = ACTIONS(1985),
    [anon_sym_wantarray] = ACTIONS(1985),
    [anon_sym_abs] = ACTIONS(1985),
    [anon_sym_alarm] = ACTIONS(1985),
    [anon_sym_chop] = ACTIONS(1985),
    [anon_sym_chdir] = ACTIONS(1985),
    [anon_sym_close] = ACTIONS(1985),
    [anon_sym_closedir] = ACTIONS(1985),
    [anon_sym_caller] = ACTIONS(1985),
    [anon_sym_chomp] = ACTIONS(1985),
    [anon_sym_chr] = ACTIONS(1985),
    [anon_sym_cos] = ACTIONS(1985),
    [anon_sym_chroot] = ACTIONS(1985),
    [anon_sym_defined] = ACTIONS(1985),
    [anon_sym_delete] = ACTIONS(1985),
    [anon_sym_dbmclose] = ACTIONS(1985),
    [anon_sym_exists] = ACTIONS(1985),
    [anon_sym_exit] = ACTIONS(1985),
    [anon_sym_eof] = ACTIONS(1985),
    [anon_sym_exp] = ACTIONS(1985),
    [anon_sym_each] = ACTIONS(1985),
    [anon_sym_fc] = ACTIONS(1985),
    [anon_sym_fileno] = ACTIONS(1985),
    [anon_sym_gmtime] = ACTIONS(1985),
    [anon_sym_getc] = ACTIONS(1985),
    [anon_sym_getpgrp] = ACTIONS(1985),
    [anon_sym_getprotobyname] = ACTIONS(1985),
    [anon_sym_getpwname] = ACTIONS(1985),
    [anon_sym_getpwuid] = ACTIONS(1985),
    [anon_sym_getpeername] = ACTIONS(1985),
    [anon_sym_getnetbyname] = ACTIONS(1985),
    [anon_sym_getsockname] = ACTIONS(1985),
    [anon_sym_getgrnam] = ACTIONS(1985),
    [anon_sym_getgrgid] = ACTIONS(1985),
    [anon_sym_hex] = ACTIONS(1985),
    [anon_sym_int] = ACTIONS(1985),
    [anon_sym_keys] = ACTIONS(1985),
    [anon_sym_lc] = ACTIONS(1985),
    [anon_sym_lcfirst] = ACTIONS(1985),
    [anon_sym_length] = ACTIONS(1985),
    [anon_sym_localtime] = ACTIONS(1985),
    [anon_sym_log] = ACTIONS(1985),
    [anon_sym_lock] = ACTIONS(1985),
    [anon_sym_lstat] = ACTIONS(1985),
    [anon_sym_oct] = ACTIONS(1985),
    [anon_sym_ord] = ACTIONS(1985),
    [anon_sym_prototype] = ACTIONS(1985),
    [anon_sym_pop] = ACTIONS(1985),
    [anon_sym_pos] = ACTIONS(1985),
    [anon_sym_quotemeta] = ACTIONS(1985),
    [anon_sym_reset] = ACTIONS(1985),
    [anon_sym_rand] = ACTIONS(1985),
    [anon_sym_rmdir] = ACTIONS(1985),
    [anon_sym_readdir] = ACTIONS(1985),
    [anon_sym_readline] = ACTIONS(1985),
    [anon_sym_readpipe] = ACTIONS(1985),
    [anon_sym_rewinddir] = ACTIONS(1985),
    [anon_sym_readlink] = ACTIONS(1985),
    [anon_sym_ref] = ACTIONS(1985),
    [anon_sym_scalar] = ACTIONS(1985),
    [anon_sym_shift] = ACTIONS(1985),
    [anon_sym_sin] = ACTIONS(1985),
    [anon_sym_sleep] = ACTIONS(1985),
    [anon_sym_sqrt] = ACTIONS(1985),
    [anon_sym_srand] = ACTIONS(1985),
    [anon_sym_stat] = ACTIONS(1985),
    [anon_sym_study] = ACTIONS(1985),
    [anon_sym_tell] = ACTIONS(1985),
    [anon_sym_telldir] = ACTIONS(1985),
    [anon_sym_tied] = ACTIONS(1985),
    [anon_sym_uc] = ACTIONS(1985),
    [anon_sym_ucfirst] = ACTIONS(1985),
    [anon_sym_untie] = ACTIONS(1985),
    [anon_sym_umask] = ACTIONS(1985),
    [anon_sym_values] = ACTIONS(1985),
    [anon_sym_write] = ACTIONS(1985),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1985),
    [anon_sym_qq] = ACTIONS(1985),
    [anon_sym_qw] = ACTIONS(1985),
    [anon_sym_qx] = ACTIONS(1985),
    [anon_sym_qr] = ACTIONS(1985),
    [anon_sym_m] = ACTIONS(1985),
    [anon_sym_s] = ACTIONS(1985),
    [anon_sym_tr] = ACTIONS(1985),
    [anon_sym_y] = ACTIONS(1985),
    [anon_sym_if] = ACTIONS(1985),
    [anon_sym_unless] = ACTIONS(1985),
    [anon_sym_while] = ACTIONS(1985),
    [anon_sym_until] = ACTIONS(1985),
    [aux_sym__bareword_token1] = ACTIONS(1985),
    [sym_number] = ACTIONS(1985),
    [anon_sym_true] = ACTIONS(1985),
    [anon_sym_false] = ACTIONS(1985),
    [sym__single_quote] = ACTIONS(1983),
    [sym__double_quote] = ACTIONS(1983),
    [sym__backtick_quote] = ACTIONS(1983),
    [sym__search_slash_quote] = ACTIONS(1983),
    [sym__open_readline_bracket] = ACTIONS(1983),
    [sym__open_fileglob_bracket] = ACTIONS(1983),
    [sym__PERLY_HEREDOC] = ACTIONS(1983),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1983),
    [sym__filetest] = ACTIONS(1983),
  },
  [889] = {
    [sym_heredoc_content] = STATE(889),
    [ts_builtin_sym_end] = ACTIONS(1659),
    [sym__identifier] = ACTIONS(1661),
    [anon_sym_LBRACE] = ACTIONS(1661),
    [anon_sym_SEMI] = ACTIONS(1661),
    [anon_sym_package] = ACTIONS(1661),
    [anon_sym_class] = ACTIONS(1661),
    [anon_sym_role] = ACTIONS(1661),
    [anon_sym_BUILD] = ACTIONS(1661),
    [anon_sym_ADJUST] = ACTIONS(1661),
    [anon_sym_DOLLAR] = ACTIONS(1661),
    [anon_sym_AT] = ACTIONS(1661),
    [anon_sym_my] = ACTIONS(1661),
    [anon_sym_extended] = ACTIONS(1661),
    [anon_sym_async] = ACTIONS(1661),
    [anon_sym_sub] = ACTIONS(1661),
    [anon_sym_method] = ACTIONS(1661),
    [anon_sym_LPAREN] = ACTIONS(1661),
    [anon_sym_continue] = ACTIONS(1661),
    [anon_sym_state] = ACTIONS(1661),
    [anon_sym_our] = ACTIONS(1661),
    [anon_sym_try] = ACTIONS(1661),
    [anon_sym_finally] = ACTIONS(1661),
    [anon_sym_defer] = ACTIONS(1661),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1661),
    [anon_sym_LBRACK] = ACTIONS(1661),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1661),
    [anon_sym_PLUS] = ACTIONS(1661),
    [anon_sym_DASH] = ACTIONS(1661),
    [anon_sym_TILDE] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1661),
    [anon_sym_PLUS_PLUS] = ACTIONS(1661),
    [anon_sym_DASH_DASH] = ACTIONS(1661),
    [anon_sym_BSLASH] = ACTIONS(1659),
    [anon_sym_do] = ACTIONS(1661),
    [anon_sym_eval] = ACTIONS(1661),
    [anon_sym_await] = ACTIONS(1661),
    [anon_sym_field] = ACTIONS(1661),
    [anon_sym_local] = ACTIONS(1661),
    [anon_sym_dynamically] = ACTIONS(1661),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1661),
    [anon_sym_require] = ACTIONS(1661),
    [anon_sym_map] = ACTIONS(1661),
    [anon_sym_grep] = ACTIONS(1661),
    [anon_sym_sort] = ACTIONS(1661),
    [anon_sym_goto] = ACTIONS(1661),
    [anon_sym_return] = ACTIONS(1661),
    [anon_sym_undef] = ACTIONS(1661),
    [anon_sym_PERCENT2] = ACTIONS(1661),
    [anon_sym_AMP2] = ACTIONS(1661),
    [anon_sym_STAR2] = ACTIONS(1661),
    [anon_sym_use] = ACTIONS(1661),
    [anon_sym_no] = ACTIONS(1661),
    [anon_sym_for] = ACTIONS(1661),
    [anon_sym_foreach] = ACTIONS(1661),
    [anon_sym_last] = ACTIONS(1661),
    [anon_sym_next] = ACTIONS(1661),
    [anon_sym_redo] = ACTIONS(1661),
    [anon_sym_BEGIN] = ACTIONS(1661),
    [anon_sym_INIT] = ACTIONS(1661),
    [anon_sym_CHECK] = ACTIONS(1661),
    [anon_sym_UNITCHECK] = ACTIONS(1661),
    [anon_sym_END] = ACTIONS(1661),
    [anon_sym___FILE__] = ACTIONS(1661),
    [anon_sym___LINE__] = ACTIONS(1661),
    [anon_sym___PACKAGE__] = ACTIONS(1661),
    [anon_sym___SUB__] = ACTIONS(1661),
    [anon_sym_break] = ACTIONS(1661),
    [anon_sym_fork] = ACTIONS(1661),
    [anon_sym_getppid] = ACTIONS(1661),
    [anon_sym_time] = ACTIONS(1661),
    [anon_sym_times] = ACTIONS(1661),
    [anon_sym_wait] = ACTIONS(1661),
    [anon_sym_wantarray] = ACTIONS(1661),
    [anon_sym_abs] = ACTIONS(1661),
    [anon_sym_alarm] = ACTIONS(1661),
    [anon_sym_chop] = ACTIONS(1661),
    [anon_sym_chdir] = ACTIONS(1661),
    [anon_sym_close] = ACTIONS(1661),
    [anon_sym_closedir] = ACTIONS(1661),
    [anon_sym_caller] = ACTIONS(1661),
    [anon_sym_chomp] = ACTIONS(1661),
    [anon_sym_chr] = ACTIONS(1661),
    [anon_sym_cos] = ACTIONS(1661),
    [anon_sym_chroot] = ACTIONS(1661),
    [anon_sym_defined] = ACTIONS(1661),
    [anon_sym_delete] = ACTIONS(1661),
    [anon_sym_dbmclose] = ACTIONS(1661),
    [anon_sym_exists] = ACTIONS(1661),
    [anon_sym_exit] = ACTIONS(1661),
    [anon_sym_eof] = ACTIONS(1661),
    [anon_sym_exp] = ACTIONS(1661),
    [anon_sym_each] = ACTIONS(1661),
    [anon_sym_fc] = ACTIONS(1661),
    [anon_sym_fileno] = ACTIONS(1661),
    [anon_sym_gmtime] = ACTIONS(1661),
    [anon_sym_getc] = ACTIONS(1661),
    [anon_sym_getpgrp] = ACTIONS(1661),
    [anon_sym_getprotobyname] = ACTIONS(1661),
    [anon_sym_getpwname] = ACTIONS(1661),
    [anon_sym_getpwuid] = ACTIONS(1661),
    [anon_sym_getpeername] = ACTIONS(1661),
    [anon_sym_getnetbyname] = ACTIONS(1661),
    [anon_sym_getsockname] = ACTIONS(1661),
    [anon_sym_getgrnam] = ACTIONS(1661),
    [anon_sym_getgrgid] = ACTIONS(1661),
    [anon_sym_hex] = ACTIONS(1661),
    [anon_sym_int] = ACTIONS(1661),
    [anon_sym_keys] = ACTIONS(1661),
    [anon_sym_lc] = ACTIONS(1661),
    [anon_sym_lcfirst] = ACTIONS(1661),
    [anon_sym_length] = ACTIONS(1661),
    [anon_sym_localtime] = ACTIONS(1661),
    [anon_sym_log] = ACTIONS(1661),
    [anon_sym_lock] = ACTIONS(1661),
    [anon_sym_lstat] = ACTIONS(1661),
    [anon_sym_oct] = ACTIONS(1661),
    [anon_sym_ord] = ACTIONS(1661),
    [anon_sym_prototype] = ACTIONS(1661),
    [anon_sym_pop] = ACTIONS(1661),
    [anon_sym_pos] = ACTIONS(1661),
    [anon_sym_quotemeta] = ACTIONS(1661),
    [anon_sym_reset] = ACTIONS(1661),
    [anon_sym_rand] = ACTIONS(1661),
    [anon_sym_rmdir] = ACTIONS(1661),
    [anon_sym_readdir] = ACTIONS(1661),
    [anon_sym_readline] = ACTIONS(1661),
    [anon_sym_readpipe] = ACTIONS(1661),
    [anon_sym_rewinddir] = ACTIONS(1661),
    [anon_sym_readlink] = ACTIONS(1661),
    [anon_sym_ref] = ACTIONS(1661),
    [anon_sym_scalar] = ACTIONS(1661),
    [anon_sym_shift] = ACTIONS(1661),
    [anon_sym_sin] = ACTIONS(1661),
    [anon_sym_sleep] = ACTIONS(1661),
    [anon_sym_sqrt] = ACTIONS(1661),
    [anon_sym_srand] = ACTIONS(1661),
    [anon_sym_stat] = ACTIONS(1661),
    [anon_sym_study] = ACTIONS(1661),
    [anon_sym_tell] = ACTIONS(1661),
    [anon_sym_telldir] = ACTIONS(1661),
    [anon_sym_tied] = ACTIONS(1661),
    [anon_sym_uc] = ACTIONS(1661),
    [anon_sym_ucfirst] = ACTIONS(1661),
    [anon_sym_untie] = ACTIONS(1661),
    [anon_sym_umask] = ACTIONS(1661),
    [anon_sym_values] = ACTIONS(1661),
    [anon_sym_write] = ACTIONS(1661),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1661),
    [anon_sym___END__] = ACTIONS(1661),
    [anon_sym_EOT] = ACTIONS(1661),
    [anon_sym_q] = ACTIONS(1661),
    [anon_sym_qq] = ACTIONS(1661),
    [anon_sym_qw] = ACTIONS(1661),
    [anon_sym_qx] = ACTIONS(1661),
    [anon_sym_qr] = ACTIONS(1661),
    [anon_sym_m] = ACTIONS(1661),
    [anon_sym_s] = ACTIONS(1661),
    [anon_sym_tr] = ACTIONS(1661),
    [anon_sym_y] = ACTIONS(1661),
    [anon_sym_if] = ACTIONS(1661),
    [anon_sym_unless] = ACTIONS(1661),
    [anon_sym_while] = ACTIONS(1661),
    [anon_sym_until] = ACTIONS(1661),
    [aux_sym__bareword_token1] = ACTIONS(1661),
    [sym_number] = ACTIONS(1661),
    [anon_sym_true] = ACTIONS(1661),
    [anon_sym_false] = ACTIONS(1661),
    [sym__single_quote] = ACTIONS(1659),
    [sym__double_quote] = ACTIONS(1659),
    [sym__backtick_quote] = ACTIONS(1659),
    [sym__search_slash_quote] = ACTIONS(1659),
    [sym__open_readline_bracket] = ACTIONS(1659),
    [sym__open_fileglob_bracket] = ACTIONS(1659),
    [sym__PERLY_HEREDOC] = ACTIONS(1659),
    [sym__ctrl_z_hack] = ACTIONS(1659),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1659),
    [sym__filetest] = ACTIONS(1659),
  },
  [890] = {
    [sym_heredoc_content] = STATE(890),
    [ts_builtin_sym_end] = ACTIONS(1999),
    [sym__identifier] = ACTIONS(2001),
    [anon_sym_LBRACE] = ACTIONS(2001),
    [anon_sym_SEMI] = ACTIONS(2001),
    [anon_sym_package] = ACTIONS(2001),
    [anon_sym_class] = ACTIONS(2001),
    [anon_sym_role] = ACTIONS(2001),
    [anon_sym_BUILD] = ACTIONS(2001),
    [anon_sym_ADJUST] = ACTIONS(2001),
    [anon_sym_DOLLAR] = ACTIONS(2001),
    [anon_sym_AT] = ACTIONS(2001),
    [anon_sym_my] = ACTIONS(2001),
    [anon_sym_extended] = ACTIONS(2001),
    [anon_sym_async] = ACTIONS(2001),
    [anon_sym_sub] = ACTIONS(2001),
    [anon_sym_method] = ACTIONS(2001),
    [anon_sym_LPAREN] = ACTIONS(2001),
    [anon_sym_continue] = ACTIONS(2001),
    [anon_sym_state] = ACTIONS(2001),
    [anon_sym_our] = ACTIONS(2001),
    [anon_sym_try] = ACTIONS(2001),
    [anon_sym_finally] = ACTIONS(2003),
    [anon_sym_defer] = ACTIONS(2001),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2001),
    [anon_sym_LBRACK] = ACTIONS(2001),
    [anon_sym_LT_LT] = ACTIONS(2001),
    [anon_sym_SLASH_SLASH] = ACTIONS(2001),
    [anon_sym_PLUS] = ACTIONS(2001),
    [anon_sym_DASH] = ACTIONS(2001),
    [anon_sym_TILDE] = ACTIONS(2001),
    [anon_sym_BANG] = ACTIONS(2001),
    [anon_sym_PLUS_PLUS] = ACTIONS(2001),
    [anon_sym_DASH_DASH] = ACTIONS(2001),
    [anon_sym_BSLASH] = ACTIONS(1999),
    [anon_sym_do] = ACTIONS(2001),
    [anon_sym_eval] = ACTIONS(2001),
    [anon_sym_await] = ACTIONS(2001),
    [anon_sym_field] = ACTIONS(2001),
    [anon_sym_local] = ACTIONS(2001),
    [anon_sym_dynamically] = ACTIONS(2001),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2001),
    [anon_sym_require] = ACTIONS(2001),
    [anon_sym_map] = ACTIONS(2001),
    [anon_sym_grep] = ACTIONS(2001),
    [anon_sym_sort] = ACTIONS(2001),
    [anon_sym_goto] = ACTIONS(2001),
    [anon_sym_return] = ACTIONS(2001),
    [anon_sym_undef] = ACTIONS(2001),
    [anon_sym_PERCENT2] = ACTIONS(2001),
    [anon_sym_AMP2] = ACTIONS(2001),
    [anon_sym_STAR2] = ACTIONS(2001),
    [anon_sym_use] = ACTIONS(2001),
    [anon_sym_no] = ACTIONS(2001),
    [anon_sym_for] = ACTIONS(2001),
    [anon_sym_foreach] = ACTIONS(2001),
    [anon_sym_last] = ACTIONS(2001),
    [anon_sym_next] = ACTIONS(2001),
    [anon_sym_redo] = ACTIONS(2001),
    [anon_sym_BEGIN] = ACTIONS(2001),
    [anon_sym_INIT] = ACTIONS(2001),
    [anon_sym_CHECK] = ACTIONS(2001),
    [anon_sym_UNITCHECK] = ACTIONS(2001),
    [anon_sym_END] = ACTIONS(2001),
    [anon_sym___FILE__] = ACTIONS(2001),
    [anon_sym___LINE__] = ACTIONS(2001),
    [anon_sym___PACKAGE__] = ACTIONS(2001),
    [anon_sym___SUB__] = ACTIONS(2001),
    [anon_sym_break] = ACTIONS(2001),
    [anon_sym_fork] = ACTIONS(2001),
    [anon_sym_getppid] = ACTIONS(2001),
    [anon_sym_time] = ACTIONS(2001),
    [anon_sym_times] = ACTIONS(2001),
    [anon_sym_wait] = ACTIONS(2001),
    [anon_sym_wantarray] = ACTIONS(2001),
    [anon_sym_abs] = ACTIONS(2001),
    [anon_sym_alarm] = ACTIONS(2001),
    [anon_sym_chop] = ACTIONS(2001),
    [anon_sym_chdir] = ACTIONS(2001),
    [anon_sym_close] = ACTIONS(2001),
    [anon_sym_closedir] = ACTIONS(2001),
    [anon_sym_caller] = ACTIONS(2001),
    [anon_sym_chomp] = ACTIONS(2001),
    [anon_sym_chr] = ACTIONS(2001),
    [anon_sym_cos] = ACTIONS(2001),
    [anon_sym_chroot] = ACTIONS(2001),
    [anon_sym_defined] = ACTIONS(2001),
    [anon_sym_delete] = ACTIONS(2001),
    [anon_sym_dbmclose] = ACTIONS(2001),
    [anon_sym_exists] = ACTIONS(2001),
    [anon_sym_exit] = ACTIONS(2001),
    [anon_sym_eof] = ACTIONS(2001),
    [anon_sym_exp] = ACTIONS(2001),
    [anon_sym_each] = ACTIONS(2001),
    [anon_sym_fc] = ACTIONS(2001),
    [anon_sym_fileno] = ACTIONS(2001),
    [anon_sym_gmtime] = ACTIONS(2001),
    [anon_sym_getc] = ACTIONS(2001),
    [anon_sym_getpgrp] = ACTIONS(2001),
    [anon_sym_getprotobyname] = ACTIONS(2001),
    [anon_sym_getpwname] = ACTIONS(2001),
    [anon_sym_getpwuid] = ACTIONS(2001),
    [anon_sym_getpeername] = ACTIONS(2001),
    [anon_sym_getnetbyname] = ACTIONS(2001),
    [anon_sym_getsockname] = ACTIONS(2001),
    [anon_sym_getgrnam] = ACTIONS(2001),
    [anon_sym_getgrgid] = ACTIONS(2001),
    [anon_sym_hex] = ACTIONS(2001),
    [anon_sym_int] = ACTIONS(2001),
    [anon_sym_keys] = ACTIONS(2001),
    [anon_sym_lc] = ACTIONS(2001),
    [anon_sym_lcfirst] = ACTIONS(2001),
    [anon_sym_length] = ACTIONS(2001),
    [anon_sym_localtime] = ACTIONS(2001),
    [anon_sym_log] = ACTIONS(2001),
    [anon_sym_lock] = ACTIONS(2001),
    [anon_sym_lstat] = ACTIONS(2001),
    [anon_sym_oct] = ACTIONS(2001),
    [anon_sym_ord] = ACTIONS(2001),
    [anon_sym_prototype] = ACTIONS(2001),
    [anon_sym_pop] = ACTIONS(2001),
    [anon_sym_pos] = ACTIONS(2001),
    [anon_sym_quotemeta] = ACTIONS(2001),
    [anon_sym_reset] = ACTIONS(2001),
    [anon_sym_rand] = ACTIONS(2001),
    [anon_sym_rmdir] = ACTIONS(2001),
    [anon_sym_readdir] = ACTIONS(2001),
    [anon_sym_readline] = ACTIONS(2001),
    [anon_sym_readpipe] = ACTIONS(2001),
    [anon_sym_rewinddir] = ACTIONS(2001),
    [anon_sym_readlink] = ACTIONS(2001),
    [anon_sym_ref] = ACTIONS(2001),
    [anon_sym_scalar] = ACTIONS(2001),
    [anon_sym_shift] = ACTIONS(2001),
    [anon_sym_sin] = ACTIONS(2001),
    [anon_sym_sleep] = ACTIONS(2001),
    [anon_sym_sqrt] = ACTIONS(2001),
    [anon_sym_srand] = ACTIONS(2001),
    [anon_sym_stat] = ACTIONS(2001),
    [anon_sym_study] = ACTIONS(2001),
    [anon_sym_tell] = ACTIONS(2001),
    [anon_sym_telldir] = ACTIONS(2001),
    [anon_sym_tied] = ACTIONS(2001),
    [anon_sym_uc] = ACTIONS(2001),
    [anon_sym_ucfirst] = ACTIONS(2001),
    [anon_sym_untie] = ACTIONS(2001),
    [anon_sym_umask] = ACTIONS(2001),
    [anon_sym_values] = ACTIONS(2001),
    [anon_sym_write] = ACTIONS(2001),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2001),
    [anon_sym___END__] = ACTIONS(2001),
    [anon_sym_EOT] = ACTIONS(2001),
    [anon_sym_q] = ACTIONS(2001),
    [anon_sym_qq] = ACTIONS(2001),
    [anon_sym_qw] = ACTIONS(2001),
    [anon_sym_qx] = ACTIONS(2001),
    [anon_sym_qr] = ACTIONS(2001),
    [anon_sym_m] = ACTIONS(2001),
    [anon_sym_s] = ACTIONS(2001),
    [anon_sym_tr] = ACTIONS(2001),
    [anon_sym_y] = ACTIONS(2001),
    [anon_sym_if] = ACTIONS(2001),
    [anon_sym_unless] = ACTIONS(2001),
    [anon_sym_while] = ACTIONS(2001),
    [anon_sym_until] = ACTIONS(2001),
    [aux_sym__bareword_token1] = ACTIONS(2001),
    [sym_number] = ACTIONS(2001),
    [anon_sym_true] = ACTIONS(2001),
    [anon_sym_false] = ACTIONS(2001),
    [sym__single_quote] = ACTIONS(1999),
    [sym__double_quote] = ACTIONS(1999),
    [sym__backtick_quote] = ACTIONS(1999),
    [sym__search_slash_quote] = ACTIONS(1999),
    [sym__open_readline_bracket] = ACTIONS(1999),
    [sym__open_fileglob_bracket] = ACTIONS(1999),
    [sym__PERLY_HEREDOC] = ACTIONS(1999),
    [sym__ctrl_z_hack] = ACTIONS(1999),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1999),
    [sym__filetest] = ACTIONS(1999),
  },
  [891] = {
    [sym__else] = STATE(998),
    [sym_else] = STATE(1000),
    [sym_elsif] = STATE(1000),
    [sym_heredoc_content] = STATE(891),
    [sym__identifier] = ACTIONS(1977),
    [anon_sym_LBRACE] = ACTIONS(1977),
    [anon_sym_RBRACE] = ACTIONS(1977),
    [anon_sym_SEMI] = ACTIONS(1977),
    [anon_sym_package] = ACTIONS(1977),
    [anon_sym_class] = ACTIONS(1977),
    [anon_sym_role] = ACTIONS(1977),
    [anon_sym_BUILD] = ACTIONS(1977),
    [anon_sym_ADJUST] = ACTIONS(1977),
    [anon_sym_DOLLAR] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(1977),
    [anon_sym_my] = ACTIONS(1977),
    [anon_sym_extended] = ACTIONS(1977),
    [anon_sym_async] = ACTIONS(1977),
    [anon_sym_sub] = ACTIONS(1977),
    [anon_sym_method] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(1977),
    [anon_sym_continue] = ACTIONS(1977),
    [anon_sym_state] = ACTIONS(1977),
    [anon_sym_our] = ACTIONS(1977),
    [anon_sym_try] = ACTIONS(1977),
    [anon_sym_defer] = ACTIONS(1977),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1977),
    [anon_sym_else] = ACTIONS(1995),
    [anon_sym_elsif] = ACTIONS(1997),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(1977),
    [anon_sym_SLASH_SLASH] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_TILDE] = ACTIONS(1977),
    [anon_sym_BANG] = ACTIONS(1977),
    [anon_sym_PLUS_PLUS] = ACTIONS(1977),
    [anon_sym_DASH_DASH] = ACTIONS(1977),
    [anon_sym_BSLASH] = ACTIONS(1975),
    [anon_sym_do] = ACTIONS(1977),
    [anon_sym_eval] = ACTIONS(1977),
    [anon_sym_await] = ACTIONS(1977),
    [anon_sym_field] = ACTIONS(1977),
    [anon_sym_local] = ACTIONS(1977),
    [anon_sym_dynamically] = ACTIONS(1977),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1977),
    [anon_sym_require] = ACTIONS(1977),
    [anon_sym_map] = ACTIONS(1977),
    [anon_sym_grep] = ACTIONS(1977),
    [anon_sym_sort] = ACTIONS(1977),
    [anon_sym_goto] = ACTIONS(1977),
    [anon_sym_return] = ACTIONS(1977),
    [anon_sym_undef] = ACTIONS(1977),
    [anon_sym_PERCENT2] = ACTIONS(1977),
    [anon_sym_AMP2] = ACTIONS(1977),
    [anon_sym_STAR2] = ACTIONS(1977),
    [anon_sym_use] = ACTIONS(1977),
    [anon_sym_no] = ACTIONS(1977),
    [anon_sym_for] = ACTIONS(1977),
    [anon_sym_foreach] = ACTIONS(1977),
    [anon_sym_last] = ACTIONS(1977),
    [anon_sym_next] = ACTIONS(1977),
    [anon_sym_redo] = ACTIONS(1977),
    [anon_sym_BEGIN] = ACTIONS(1977),
    [anon_sym_INIT] = ACTIONS(1977),
    [anon_sym_CHECK] = ACTIONS(1977),
    [anon_sym_UNITCHECK] = ACTIONS(1977),
    [anon_sym_END] = ACTIONS(1977),
    [anon_sym___FILE__] = ACTIONS(1977),
    [anon_sym___LINE__] = ACTIONS(1977),
    [anon_sym___PACKAGE__] = ACTIONS(1977),
    [anon_sym___SUB__] = ACTIONS(1977),
    [anon_sym_break] = ACTIONS(1977),
    [anon_sym_fork] = ACTIONS(1977),
    [anon_sym_getppid] = ACTIONS(1977),
    [anon_sym_time] = ACTIONS(1977),
    [anon_sym_times] = ACTIONS(1977),
    [anon_sym_wait] = ACTIONS(1977),
    [anon_sym_wantarray] = ACTIONS(1977),
    [anon_sym_abs] = ACTIONS(1977),
    [anon_sym_alarm] = ACTIONS(1977),
    [anon_sym_chop] = ACTIONS(1977),
    [anon_sym_chdir] = ACTIONS(1977),
    [anon_sym_close] = ACTIONS(1977),
    [anon_sym_closedir] = ACTIONS(1977),
    [anon_sym_caller] = ACTIONS(1977),
    [anon_sym_chomp] = ACTIONS(1977),
    [anon_sym_chr] = ACTIONS(1977),
    [anon_sym_cos] = ACTIONS(1977),
    [anon_sym_chroot] = ACTIONS(1977),
    [anon_sym_defined] = ACTIONS(1977),
    [anon_sym_delete] = ACTIONS(1977),
    [anon_sym_dbmclose] = ACTIONS(1977),
    [anon_sym_exists] = ACTIONS(1977),
    [anon_sym_exit] = ACTIONS(1977),
    [anon_sym_eof] = ACTIONS(1977),
    [anon_sym_exp] = ACTIONS(1977),
    [anon_sym_each] = ACTIONS(1977),
    [anon_sym_fc] = ACTIONS(1977),
    [anon_sym_fileno] = ACTIONS(1977),
    [anon_sym_gmtime] = ACTIONS(1977),
    [anon_sym_getc] = ACTIONS(1977),
    [anon_sym_getpgrp] = ACTIONS(1977),
    [anon_sym_getprotobyname] = ACTIONS(1977),
    [anon_sym_getpwname] = ACTIONS(1977),
    [anon_sym_getpwuid] = ACTIONS(1977),
    [anon_sym_getpeername] = ACTIONS(1977),
    [anon_sym_getnetbyname] = ACTIONS(1977),
    [anon_sym_getsockname] = ACTIONS(1977),
    [anon_sym_getgrnam] = ACTIONS(1977),
    [anon_sym_getgrgid] = ACTIONS(1977),
    [anon_sym_hex] = ACTIONS(1977),
    [anon_sym_int] = ACTIONS(1977),
    [anon_sym_keys] = ACTIONS(1977),
    [anon_sym_lc] = ACTIONS(1977),
    [anon_sym_lcfirst] = ACTIONS(1977),
    [anon_sym_length] = ACTIONS(1977),
    [anon_sym_localtime] = ACTIONS(1977),
    [anon_sym_log] = ACTIONS(1977),
    [anon_sym_lock] = ACTIONS(1977),
    [anon_sym_lstat] = ACTIONS(1977),
    [anon_sym_oct] = ACTIONS(1977),
    [anon_sym_ord] = ACTIONS(1977),
    [anon_sym_prototype] = ACTIONS(1977),
    [anon_sym_pop] = ACTIONS(1977),
    [anon_sym_pos] = ACTIONS(1977),
    [anon_sym_quotemeta] = ACTIONS(1977),
    [anon_sym_reset] = ACTIONS(1977),
    [anon_sym_rand] = ACTIONS(1977),
    [anon_sym_rmdir] = ACTIONS(1977),
    [anon_sym_readdir] = ACTIONS(1977),
    [anon_sym_readline] = ACTIONS(1977),
    [anon_sym_readpipe] = ACTIONS(1977),
    [anon_sym_rewinddir] = ACTIONS(1977),
    [anon_sym_readlink] = ACTIONS(1977),
    [anon_sym_ref] = ACTIONS(1977),
    [anon_sym_scalar] = ACTIONS(1977),
    [anon_sym_shift] = ACTIONS(1977),
    [anon_sym_sin] = ACTIONS(1977),
    [anon_sym_sleep] = ACTIONS(1977),
    [anon_sym_sqrt] = ACTIONS(1977),
    [anon_sym_srand] = ACTIONS(1977),
    [anon_sym_stat] = ACTIONS(1977),
    [anon_sym_study] = ACTIONS(1977),
    [anon_sym_tell] = ACTIONS(1977),
    [anon_sym_telldir] = ACTIONS(1977),
    [anon_sym_tied] = ACTIONS(1977),
    [anon_sym_uc] = ACTIONS(1977),
    [anon_sym_ucfirst] = ACTIONS(1977),
    [anon_sym_untie] = ACTIONS(1977),
    [anon_sym_umask] = ACTIONS(1977),
    [anon_sym_values] = ACTIONS(1977),
    [anon_sym_write] = ACTIONS(1977),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1977),
    [anon_sym_qq] = ACTIONS(1977),
    [anon_sym_qw] = ACTIONS(1977),
    [anon_sym_qx] = ACTIONS(1977),
    [anon_sym_qr] = ACTIONS(1977),
    [anon_sym_m] = ACTIONS(1977),
    [anon_sym_s] = ACTIONS(1977),
    [anon_sym_tr] = ACTIONS(1977),
    [anon_sym_y] = ACTIONS(1977),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_unless] = ACTIONS(1977),
    [anon_sym_while] = ACTIONS(1977),
    [anon_sym_until] = ACTIONS(1977),
    [aux_sym__bareword_token1] = ACTIONS(1977),
    [sym_number] = ACTIONS(1977),
    [anon_sym_true] = ACTIONS(1977),
    [anon_sym_false] = ACTIONS(1977),
    [sym__single_quote] = ACTIONS(1975),
    [sym__double_quote] = ACTIONS(1975),
    [sym__backtick_quote] = ACTIONS(1975),
    [sym__search_slash_quote] = ACTIONS(1975),
    [sym__open_readline_bracket] = ACTIONS(1975),
    [sym__open_fileglob_bracket] = ACTIONS(1975),
    [sym__PERLY_HEREDOC] = ACTIONS(1975),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1975),
    [sym__filetest] = ACTIONS(1975),
  },
  [892] = {
    [sym_heredoc_content] = STATE(892),
    [ts_builtin_sym_end] = ACTIONS(2005),
    [sym__identifier] = ACTIONS(2007),
    [anon_sym_LBRACE] = ACTIONS(2007),
    [anon_sym_SEMI] = ACTIONS(2007),
    [anon_sym_package] = ACTIONS(2007),
    [anon_sym_class] = ACTIONS(2007),
    [anon_sym_role] = ACTIONS(2007),
    [anon_sym_BUILD] = ACTIONS(2007),
    [anon_sym_ADJUST] = ACTIONS(2007),
    [anon_sym_DOLLAR] = ACTIONS(2007),
    [anon_sym_AT] = ACTIONS(2007),
    [anon_sym_my] = ACTIONS(2007),
    [anon_sym_extended] = ACTIONS(2007),
    [anon_sym_async] = ACTIONS(2007),
    [anon_sym_sub] = ACTIONS(2007),
    [anon_sym_method] = ACTIONS(2007),
    [anon_sym_LPAREN] = ACTIONS(2007),
    [anon_sym_continue] = ACTIONS(2007),
    [anon_sym_state] = ACTIONS(2007),
    [anon_sym_our] = ACTIONS(2007),
    [anon_sym_try] = ACTIONS(2007),
    [anon_sym_finally] = ACTIONS(2009),
    [anon_sym_defer] = ACTIONS(2007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2007),
    [anon_sym_LBRACK] = ACTIONS(2007),
    [anon_sym_LT_LT] = ACTIONS(2007),
    [anon_sym_SLASH_SLASH] = ACTIONS(2007),
    [anon_sym_PLUS] = ACTIONS(2007),
    [anon_sym_DASH] = ACTIONS(2007),
    [anon_sym_TILDE] = ACTIONS(2007),
    [anon_sym_BANG] = ACTIONS(2007),
    [anon_sym_PLUS_PLUS] = ACTIONS(2007),
    [anon_sym_DASH_DASH] = ACTIONS(2007),
    [anon_sym_BSLASH] = ACTIONS(2005),
    [anon_sym_do] = ACTIONS(2007),
    [anon_sym_eval] = ACTIONS(2007),
    [anon_sym_await] = ACTIONS(2007),
    [anon_sym_field] = ACTIONS(2007),
    [anon_sym_local] = ACTIONS(2007),
    [anon_sym_dynamically] = ACTIONS(2007),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2007),
    [anon_sym_require] = ACTIONS(2007),
    [anon_sym_map] = ACTIONS(2007),
    [anon_sym_grep] = ACTIONS(2007),
    [anon_sym_sort] = ACTIONS(2007),
    [anon_sym_goto] = ACTIONS(2007),
    [anon_sym_return] = ACTIONS(2007),
    [anon_sym_undef] = ACTIONS(2007),
    [anon_sym_PERCENT2] = ACTIONS(2007),
    [anon_sym_AMP2] = ACTIONS(2007),
    [anon_sym_STAR2] = ACTIONS(2007),
    [anon_sym_use] = ACTIONS(2007),
    [anon_sym_no] = ACTIONS(2007),
    [anon_sym_for] = ACTIONS(2007),
    [anon_sym_foreach] = ACTIONS(2007),
    [anon_sym_last] = ACTIONS(2007),
    [anon_sym_next] = ACTIONS(2007),
    [anon_sym_redo] = ACTIONS(2007),
    [anon_sym_BEGIN] = ACTIONS(2007),
    [anon_sym_INIT] = ACTIONS(2007),
    [anon_sym_CHECK] = ACTIONS(2007),
    [anon_sym_UNITCHECK] = ACTIONS(2007),
    [anon_sym_END] = ACTIONS(2007),
    [anon_sym___FILE__] = ACTIONS(2007),
    [anon_sym___LINE__] = ACTIONS(2007),
    [anon_sym___PACKAGE__] = ACTIONS(2007),
    [anon_sym___SUB__] = ACTIONS(2007),
    [anon_sym_break] = ACTIONS(2007),
    [anon_sym_fork] = ACTIONS(2007),
    [anon_sym_getppid] = ACTIONS(2007),
    [anon_sym_time] = ACTIONS(2007),
    [anon_sym_times] = ACTIONS(2007),
    [anon_sym_wait] = ACTIONS(2007),
    [anon_sym_wantarray] = ACTIONS(2007),
    [anon_sym_abs] = ACTIONS(2007),
    [anon_sym_alarm] = ACTIONS(2007),
    [anon_sym_chop] = ACTIONS(2007),
    [anon_sym_chdir] = ACTIONS(2007),
    [anon_sym_close] = ACTIONS(2007),
    [anon_sym_closedir] = ACTIONS(2007),
    [anon_sym_caller] = ACTIONS(2007),
    [anon_sym_chomp] = ACTIONS(2007),
    [anon_sym_chr] = ACTIONS(2007),
    [anon_sym_cos] = ACTIONS(2007),
    [anon_sym_chroot] = ACTIONS(2007),
    [anon_sym_defined] = ACTIONS(2007),
    [anon_sym_delete] = ACTIONS(2007),
    [anon_sym_dbmclose] = ACTIONS(2007),
    [anon_sym_exists] = ACTIONS(2007),
    [anon_sym_exit] = ACTIONS(2007),
    [anon_sym_eof] = ACTIONS(2007),
    [anon_sym_exp] = ACTIONS(2007),
    [anon_sym_each] = ACTIONS(2007),
    [anon_sym_fc] = ACTIONS(2007),
    [anon_sym_fileno] = ACTIONS(2007),
    [anon_sym_gmtime] = ACTIONS(2007),
    [anon_sym_getc] = ACTIONS(2007),
    [anon_sym_getpgrp] = ACTIONS(2007),
    [anon_sym_getprotobyname] = ACTIONS(2007),
    [anon_sym_getpwname] = ACTIONS(2007),
    [anon_sym_getpwuid] = ACTIONS(2007),
    [anon_sym_getpeername] = ACTIONS(2007),
    [anon_sym_getnetbyname] = ACTIONS(2007),
    [anon_sym_getsockname] = ACTIONS(2007),
    [anon_sym_getgrnam] = ACTIONS(2007),
    [anon_sym_getgrgid] = ACTIONS(2007),
    [anon_sym_hex] = ACTIONS(2007),
    [anon_sym_int] = ACTIONS(2007),
    [anon_sym_keys] = ACTIONS(2007),
    [anon_sym_lc] = ACTIONS(2007),
    [anon_sym_lcfirst] = ACTIONS(2007),
    [anon_sym_length] = ACTIONS(2007),
    [anon_sym_localtime] = ACTIONS(2007),
    [anon_sym_log] = ACTIONS(2007),
    [anon_sym_lock] = ACTIONS(2007),
    [anon_sym_lstat] = ACTIONS(2007),
    [anon_sym_oct] = ACTIONS(2007),
    [anon_sym_ord] = ACTIONS(2007),
    [anon_sym_prototype] = ACTIONS(2007),
    [anon_sym_pop] = ACTIONS(2007),
    [anon_sym_pos] = ACTIONS(2007),
    [anon_sym_quotemeta] = ACTIONS(2007),
    [anon_sym_reset] = ACTIONS(2007),
    [anon_sym_rand] = ACTIONS(2007),
    [anon_sym_rmdir] = ACTIONS(2007),
    [anon_sym_readdir] = ACTIONS(2007),
    [anon_sym_readline] = ACTIONS(2007),
    [anon_sym_readpipe] = ACTIONS(2007),
    [anon_sym_rewinddir] = ACTIONS(2007),
    [anon_sym_readlink] = ACTIONS(2007),
    [anon_sym_ref] = ACTIONS(2007),
    [anon_sym_scalar] = ACTIONS(2007),
    [anon_sym_shift] = ACTIONS(2007),
    [anon_sym_sin] = ACTIONS(2007),
    [anon_sym_sleep] = ACTIONS(2007),
    [anon_sym_sqrt] = ACTIONS(2007),
    [anon_sym_srand] = ACTIONS(2007),
    [anon_sym_stat] = ACTIONS(2007),
    [anon_sym_study] = ACTIONS(2007),
    [anon_sym_tell] = ACTIONS(2007),
    [anon_sym_telldir] = ACTIONS(2007),
    [anon_sym_tied] = ACTIONS(2007),
    [anon_sym_uc] = ACTIONS(2007),
    [anon_sym_ucfirst] = ACTIONS(2007),
    [anon_sym_untie] = ACTIONS(2007),
    [anon_sym_umask] = ACTIONS(2007),
    [anon_sym_values] = ACTIONS(2007),
    [anon_sym_write] = ACTIONS(2007),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2007),
    [anon_sym___END__] = ACTIONS(2007),
    [anon_sym_EOT] = ACTIONS(2007),
    [anon_sym_q] = ACTIONS(2007),
    [anon_sym_qq] = ACTIONS(2007),
    [anon_sym_qw] = ACTIONS(2007),
    [anon_sym_qx] = ACTIONS(2007),
    [anon_sym_qr] = ACTIONS(2007),
    [anon_sym_m] = ACTIONS(2007),
    [anon_sym_s] = ACTIONS(2007),
    [anon_sym_tr] = ACTIONS(2007),
    [anon_sym_y] = ACTIONS(2007),
    [anon_sym_if] = ACTIONS(2007),
    [anon_sym_unless] = ACTIONS(2007),
    [anon_sym_while] = ACTIONS(2007),
    [anon_sym_until] = ACTIONS(2007),
    [aux_sym__bareword_token1] = ACTIONS(2007),
    [sym_number] = ACTIONS(2007),
    [anon_sym_true] = ACTIONS(2007),
    [anon_sym_false] = ACTIONS(2007),
    [sym__single_quote] = ACTIONS(2005),
    [sym__double_quote] = ACTIONS(2005),
    [sym__backtick_quote] = ACTIONS(2005),
    [sym__search_slash_quote] = ACTIONS(2005),
    [sym__open_readline_bracket] = ACTIONS(2005),
    [sym__open_fileglob_bracket] = ACTIONS(2005),
    [sym__PERLY_HEREDOC] = ACTIONS(2005),
    [sym__ctrl_z_hack] = ACTIONS(2005),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2005),
    [sym__filetest] = ACTIONS(2005),
  },
  [893] = {
    [sym_heredoc_content] = STATE(893),
    [ts_builtin_sym_end] = ACTIONS(2011),
    [sym__identifier] = ACTIONS(2013),
    [anon_sym_LBRACE] = ACTIONS(2013),
    [anon_sym_SEMI] = ACTIONS(2013),
    [anon_sym_package] = ACTIONS(2013),
    [anon_sym_class] = ACTIONS(2013),
    [anon_sym_role] = ACTIONS(2013),
    [anon_sym_BUILD] = ACTIONS(2013),
    [anon_sym_ADJUST] = ACTIONS(2013),
    [anon_sym_DOLLAR] = ACTIONS(2013),
    [anon_sym_AT] = ACTIONS(2013),
    [anon_sym_my] = ACTIONS(2013),
    [anon_sym_extended] = ACTIONS(2013),
    [anon_sym_async] = ACTIONS(2013),
    [anon_sym_sub] = ACTIONS(2013),
    [anon_sym_method] = ACTIONS(2013),
    [anon_sym_LPAREN] = ACTIONS(2013),
    [anon_sym_continue] = ACTIONS(2013),
    [anon_sym_state] = ACTIONS(2013),
    [anon_sym_our] = ACTIONS(2013),
    [anon_sym_try] = ACTIONS(2013),
    [anon_sym_defer] = ACTIONS(2013),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2013),
    [anon_sym_LBRACK] = ACTIONS(2013),
    [anon_sym_LT_LT] = ACTIONS(2013),
    [anon_sym_SLASH_SLASH] = ACTIONS(2013),
    [anon_sym_PLUS] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2013),
    [anon_sym_TILDE] = ACTIONS(2013),
    [anon_sym_BANG] = ACTIONS(2013),
    [anon_sym_PLUS_PLUS] = ACTIONS(2013),
    [anon_sym_DASH_DASH] = ACTIONS(2013),
    [anon_sym_BSLASH] = ACTIONS(2011),
    [anon_sym_do] = ACTIONS(2013),
    [anon_sym_eval] = ACTIONS(2013),
    [anon_sym_await] = ACTIONS(2013),
    [anon_sym_field] = ACTIONS(2013),
    [anon_sym_local] = ACTIONS(2013),
    [anon_sym_dynamically] = ACTIONS(2013),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2013),
    [anon_sym_require] = ACTIONS(2013),
    [anon_sym_map] = ACTIONS(2013),
    [anon_sym_grep] = ACTIONS(2013),
    [anon_sym_sort] = ACTIONS(2013),
    [anon_sym_goto] = ACTIONS(2013),
    [anon_sym_return] = ACTIONS(2013),
    [anon_sym_undef] = ACTIONS(2013),
    [anon_sym_PERCENT2] = ACTIONS(2013),
    [anon_sym_AMP2] = ACTIONS(2013),
    [anon_sym_STAR2] = ACTIONS(2013),
    [anon_sym_use] = ACTIONS(2013),
    [anon_sym_no] = ACTIONS(2013),
    [anon_sym_for] = ACTIONS(2013),
    [anon_sym_foreach] = ACTIONS(2013),
    [anon_sym_last] = ACTIONS(2013),
    [anon_sym_next] = ACTIONS(2013),
    [anon_sym_redo] = ACTIONS(2013),
    [anon_sym_BEGIN] = ACTIONS(2013),
    [anon_sym_INIT] = ACTIONS(2013),
    [anon_sym_CHECK] = ACTIONS(2013),
    [anon_sym_UNITCHECK] = ACTIONS(2013),
    [anon_sym_END] = ACTIONS(2013),
    [anon_sym___FILE__] = ACTIONS(2013),
    [anon_sym___LINE__] = ACTIONS(2013),
    [anon_sym___PACKAGE__] = ACTIONS(2013),
    [anon_sym___SUB__] = ACTIONS(2013),
    [anon_sym_break] = ACTIONS(2013),
    [anon_sym_fork] = ACTIONS(2013),
    [anon_sym_getppid] = ACTIONS(2013),
    [anon_sym_time] = ACTIONS(2013),
    [anon_sym_times] = ACTIONS(2013),
    [anon_sym_wait] = ACTIONS(2013),
    [anon_sym_wantarray] = ACTIONS(2013),
    [anon_sym_abs] = ACTIONS(2013),
    [anon_sym_alarm] = ACTIONS(2013),
    [anon_sym_chop] = ACTIONS(2013),
    [anon_sym_chdir] = ACTIONS(2013),
    [anon_sym_close] = ACTIONS(2013),
    [anon_sym_closedir] = ACTIONS(2013),
    [anon_sym_caller] = ACTIONS(2013),
    [anon_sym_chomp] = ACTIONS(2013),
    [anon_sym_chr] = ACTIONS(2013),
    [anon_sym_cos] = ACTIONS(2013),
    [anon_sym_chroot] = ACTIONS(2013),
    [anon_sym_defined] = ACTIONS(2013),
    [anon_sym_delete] = ACTIONS(2013),
    [anon_sym_dbmclose] = ACTIONS(2013),
    [anon_sym_exists] = ACTIONS(2013),
    [anon_sym_exit] = ACTIONS(2013),
    [anon_sym_eof] = ACTIONS(2013),
    [anon_sym_exp] = ACTIONS(2013),
    [anon_sym_each] = ACTIONS(2013),
    [anon_sym_fc] = ACTIONS(2013),
    [anon_sym_fileno] = ACTIONS(2013),
    [anon_sym_gmtime] = ACTIONS(2013),
    [anon_sym_getc] = ACTIONS(2013),
    [anon_sym_getpgrp] = ACTIONS(2013),
    [anon_sym_getprotobyname] = ACTIONS(2013),
    [anon_sym_getpwname] = ACTIONS(2013),
    [anon_sym_getpwuid] = ACTIONS(2013),
    [anon_sym_getpeername] = ACTIONS(2013),
    [anon_sym_getnetbyname] = ACTIONS(2013),
    [anon_sym_getsockname] = ACTIONS(2013),
    [anon_sym_getgrnam] = ACTIONS(2013),
    [anon_sym_getgrgid] = ACTIONS(2013),
    [anon_sym_hex] = ACTIONS(2013),
    [anon_sym_int] = ACTIONS(2013),
    [anon_sym_keys] = ACTIONS(2013),
    [anon_sym_lc] = ACTIONS(2013),
    [anon_sym_lcfirst] = ACTIONS(2013),
    [anon_sym_length] = ACTIONS(2013),
    [anon_sym_localtime] = ACTIONS(2013),
    [anon_sym_log] = ACTIONS(2013),
    [anon_sym_lock] = ACTIONS(2013),
    [anon_sym_lstat] = ACTIONS(2013),
    [anon_sym_oct] = ACTIONS(2013),
    [anon_sym_ord] = ACTIONS(2013),
    [anon_sym_prototype] = ACTIONS(2013),
    [anon_sym_pop] = ACTIONS(2013),
    [anon_sym_pos] = ACTIONS(2013),
    [anon_sym_quotemeta] = ACTIONS(2013),
    [anon_sym_reset] = ACTIONS(2013),
    [anon_sym_rand] = ACTIONS(2013),
    [anon_sym_rmdir] = ACTIONS(2013),
    [anon_sym_readdir] = ACTIONS(2013),
    [anon_sym_readline] = ACTIONS(2013),
    [anon_sym_readpipe] = ACTIONS(2013),
    [anon_sym_rewinddir] = ACTIONS(2013),
    [anon_sym_readlink] = ACTIONS(2013),
    [anon_sym_ref] = ACTIONS(2013),
    [anon_sym_scalar] = ACTIONS(2013),
    [anon_sym_shift] = ACTIONS(2013),
    [anon_sym_sin] = ACTIONS(2013),
    [anon_sym_sleep] = ACTIONS(2013),
    [anon_sym_sqrt] = ACTIONS(2013),
    [anon_sym_srand] = ACTIONS(2013),
    [anon_sym_stat] = ACTIONS(2013),
    [anon_sym_study] = ACTIONS(2013),
    [anon_sym_tell] = ACTIONS(2013),
    [anon_sym_telldir] = ACTIONS(2013),
    [anon_sym_tied] = ACTIONS(2013),
    [anon_sym_uc] = ACTIONS(2013),
    [anon_sym_ucfirst] = ACTIONS(2013),
    [anon_sym_untie] = ACTIONS(2013),
    [anon_sym_umask] = ACTIONS(2013),
    [anon_sym_values] = ACTIONS(2013),
    [anon_sym_write] = ACTIONS(2013),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2013),
    [anon_sym___END__] = ACTIONS(2013),
    [anon_sym_EOT] = ACTIONS(2013),
    [anon_sym_q] = ACTIONS(2013),
    [anon_sym_qq] = ACTIONS(2013),
    [anon_sym_qw] = ACTIONS(2013),
    [anon_sym_qx] = ACTIONS(2013),
    [anon_sym_qr] = ACTIONS(2013),
    [anon_sym_m] = ACTIONS(2013),
    [anon_sym_s] = ACTIONS(2013),
    [anon_sym_tr] = ACTIONS(2013),
    [anon_sym_y] = ACTIONS(2013),
    [anon_sym_if] = ACTIONS(2013),
    [anon_sym_unless] = ACTIONS(2013),
    [anon_sym_while] = ACTIONS(2013),
    [anon_sym_until] = ACTIONS(2013),
    [aux_sym__bareword_token1] = ACTIONS(2013),
    [sym_number] = ACTIONS(2013),
    [anon_sym_true] = ACTIONS(2013),
    [anon_sym_false] = ACTIONS(2013),
    [sym__single_quote] = ACTIONS(2011),
    [sym__double_quote] = ACTIONS(2011),
    [sym__backtick_quote] = ACTIONS(2011),
    [sym__search_slash_quote] = ACTIONS(2011),
    [sym__open_readline_bracket] = ACTIONS(2011),
    [sym__open_fileglob_bracket] = ACTIONS(2011),
    [sym__PERLY_HEREDOC] = ACTIONS(2011),
    [sym__ctrl_z_hack] = ACTIONS(2011),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2011),
    [sym__filetest] = ACTIONS(2011),
  },
  [894] = {
    [sym_heredoc_content] = STATE(894),
    [ts_builtin_sym_end] = ACTIONS(2015),
    [sym__identifier] = ACTIONS(2017),
    [anon_sym_LBRACE] = ACTIONS(2017),
    [anon_sym_SEMI] = ACTIONS(2017),
    [anon_sym_package] = ACTIONS(2017),
    [anon_sym_class] = ACTIONS(2017),
    [anon_sym_role] = ACTIONS(2017),
    [anon_sym_BUILD] = ACTIONS(2017),
    [anon_sym_ADJUST] = ACTIONS(2017),
    [anon_sym_DOLLAR] = ACTIONS(2017),
    [anon_sym_AT] = ACTIONS(2017),
    [anon_sym_my] = ACTIONS(2017),
    [anon_sym_extended] = ACTIONS(2017),
    [anon_sym_async] = ACTIONS(2017),
    [anon_sym_sub] = ACTIONS(2017),
    [anon_sym_method] = ACTIONS(2017),
    [anon_sym_LPAREN] = ACTIONS(2017),
    [anon_sym_continue] = ACTIONS(2017),
    [anon_sym_state] = ACTIONS(2017),
    [anon_sym_our] = ACTIONS(2017),
    [anon_sym_try] = ACTIONS(2017),
    [anon_sym_defer] = ACTIONS(2017),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2017),
    [anon_sym_LBRACK] = ACTIONS(2017),
    [anon_sym_LT_LT] = ACTIONS(2017),
    [anon_sym_SLASH_SLASH] = ACTIONS(2017),
    [anon_sym_PLUS] = ACTIONS(2017),
    [anon_sym_DASH] = ACTIONS(2017),
    [anon_sym_TILDE] = ACTIONS(2017),
    [anon_sym_BANG] = ACTIONS(2017),
    [anon_sym_PLUS_PLUS] = ACTIONS(2017),
    [anon_sym_DASH_DASH] = ACTIONS(2017),
    [anon_sym_BSLASH] = ACTIONS(2015),
    [anon_sym_do] = ACTIONS(2017),
    [anon_sym_eval] = ACTIONS(2017),
    [anon_sym_await] = ACTIONS(2017),
    [anon_sym_field] = ACTIONS(2017),
    [anon_sym_local] = ACTIONS(2017),
    [anon_sym_dynamically] = ACTIONS(2017),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2017),
    [anon_sym_require] = ACTIONS(2017),
    [anon_sym_map] = ACTIONS(2017),
    [anon_sym_grep] = ACTIONS(2017),
    [anon_sym_sort] = ACTIONS(2017),
    [anon_sym_goto] = ACTIONS(2017),
    [anon_sym_return] = ACTIONS(2017),
    [anon_sym_undef] = ACTIONS(2017),
    [anon_sym_PERCENT2] = ACTIONS(2017),
    [anon_sym_AMP2] = ACTIONS(2017),
    [anon_sym_STAR2] = ACTIONS(2017),
    [anon_sym_use] = ACTIONS(2017),
    [anon_sym_no] = ACTIONS(2017),
    [anon_sym_for] = ACTIONS(2017),
    [anon_sym_foreach] = ACTIONS(2017),
    [anon_sym_last] = ACTIONS(2017),
    [anon_sym_next] = ACTIONS(2017),
    [anon_sym_redo] = ACTIONS(2017),
    [anon_sym_BEGIN] = ACTIONS(2017),
    [anon_sym_INIT] = ACTIONS(2017),
    [anon_sym_CHECK] = ACTIONS(2017),
    [anon_sym_UNITCHECK] = ACTIONS(2017),
    [anon_sym_END] = ACTIONS(2017),
    [anon_sym___FILE__] = ACTIONS(2017),
    [anon_sym___LINE__] = ACTIONS(2017),
    [anon_sym___PACKAGE__] = ACTIONS(2017),
    [anon_sym___SUB__] = ACTIONS(2017),
    [anon_sym_break] = ACTIONS(2017),
    [anon_sym_fork] = ACTIONS(2017),
    [anon_sym_getppid] = ACTIONS(2017),
    [anon_sym_time] = ACTIONS(2017),
    [anon_sym_times] = ACTIONS(2017),
    [anon_sym_wait] = ACTIONS(2017),
    [anon_sym_wantarray] = ACTIONS(2017),
    [anon_sym_abs] = ACTIONS(2017),
    [anon_sym_alarm] = ACTIONS(2017),
    [anon_sym_chop] = ACTIONS(2017),
    [anon_sym_chdir] = ACTIONS(2017),
    [anon_sym_close] = ACTIONS(2017),
    [anon_sym_closedir] = ACTIONS(2017),
    [anon_sym_caller] = ACTIONS(2017),
    [anon_sym_chomp] = ACTIONS(2017),
    [anon_sym_chr] = ACTIONS(2017),
    [anon_sym_cos] = ACTIONS(2017),
    [anon_sym_chroot] = ACTIONS(2017),
    [anon_sym_defined] = ACTIONS(2017),
    [anon_sym_delete] = ACTIONS(2017),
    [anon_sym_dbmclose] = ACTIONS(2017),
    [anon_sym_exists] = ACTIONS(2017),
    [anon_sym_exit] = ACTIONS(2017),
    [anon_sym_eof] = ACTIONS(2017),
    [anon_sym_exp] = ACTIONS(2017),
    [anon_sym_each] = ACTIONS(2017),
    [anon_sym_fc] = ACTIONS(2017),
    [anon_sym_fileno] = ACTIONS(2017),
    [anon_sym_gmtime] = ACTIONS(2017),
    [anon_sym_getc] = ACTIONS(2017),
    [anon_sym_getpgrp] = ACTIONS(2017),
    [anon_sym_getprotobyname] = ACTIONS(2017),
    [anon_sym_getpwname] = ACTIONS(2017),
    [anon_sym_getpwuid] = ACTIONS(2017),
    [anon_sym_getpeername] = ACTIONS(2017),
    [anon_sym_getnetbyname] = ACTIONS(2017),
    [anon_sym_getsockname] = ACTIONS(2017),
    [anon_sym_getgrnam] = ACTIONS(2017),
    [anon_sym_getgrgid] = ACTIONS(2017),
    [anon_sym_hex] = ACTIONS(2017),
    [anon_sym_int] = ACTIONS(2017),
    [anon_sym_keys] = ACTIONS(2017),
    [anon_sym_lc] = ACTIONS(2017),
    [anon_sym_lcfirst] = ACTIONS(2017),
    [anon_sym_length] = ACTIONS(2017),
    [anon_sym_localtime] = ACTIONS(2017),
    [anon_sym_log] = ACTIONS(2017),
    [anon_sym_lock] = ACTIONS(2017),
    [anon_sym_lstat] = ACTIONS(2017),
    [anon_sym_oct] = ACTIONS(2017),
    [anon_sym_ord] = ACTIONS(2017),
    [anon_sym_prototype] = ACTIONS(2017),
    [anon_sym_pop] = ACTIONS(2017),
    [anon_sym_pos] = ACTIONS(2017),
    [anon_sym_quotemeta] = ACTIONS(2017),
    [anon_sym_reset] = ACTIONS(2017),
    [anon_sym_rand] = ACTIONS(2017),
    [anon_sym_rmdir] = ACTIONS(2017),
    [anon_sym_readdir] = ACTIONS(2017),
    [anon_sym_readline] = ACTIONS(2017),
    [anon_sym_readpipe] = ACTIONS(2017),
    [anon_sym_rewinddir] = ACTIONS(2017),
    [anon_sym_readlink] = ACTIONS(2017),
    [anon_sym_ref] = ACTIONS(2017),
    [anon_sym_scalar] = ACTIONS(2017),
    [anon_sym_shift] = ACTIONS(2017),
    [anon_sym_sin] = ACTIONS(2017),
    [anon_sym_sleep] = ACTIONS(2017),
    [anon_sym_sqrt] = ACTIONS(2017),
    [anon_sym_srand] = ACTIONS(2017),
    [anon_sym_stat] = ACTIONS(2017),
    [anon_sym_study] = ACTIONS(2017),
    [anon_sym_tell] = ACTIONS(2017),
    [anon_sym_telldir] = ACTIONS(2017),
    [anon_sym_tied] = ACTIONS(2017),
    [anon_sym_uc] = ACTIONS(2017),
    [anon_sym_ucfirst] = ACTIONS(2017),
    [anon_sym_untie] = ACTIONS(2017),
    [anon_sym_umask] = ACTIONS(2017),
    [anon_sym_values] = ACTIONS(2017),
    [anon_sym_write] = ACTIONS(2017),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2017),
    [anon_sym___END__] = ACTIONS(2017),
    [anon_sym_EOT] = ACTIONS(2017),
    [anon_sym_q] = ACTIONS(2017),
    [anon_sym_qq] = ACTIONS(2017),
    [anon_sym_qw] = ACTIONS(2017),
    [anon_sym_qx] = ACTIONS(2017),
    [anon_sym_qr] = ACTIONS(2017),
    [anon_sym_m] = ACTIONS(2017),
    [anon_sym_s] = ACTIONS(2017),
    [anon_sym_tr] = ACTIONS(2017),
    [anon_sym_y] = ACTIONS(2017),
    [anon_sym_if] = ACTIONS(2017),
    [anon_sym_unless] = ACTIONS(2017),
    [anon_sym_while] = ACTIONS(2017),
    [anon_sym_until] = ACTIONS(2017),
    [aux_sym__bareword_token1] = ACTIONS(2017),
    [sym_number] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(2017),
    [anon_sym_false] = ACTIONS(2017),
    [sym__single_quote] = ACTIONS(2015),
    [sym__double_quote] = ACTIONS(2015),
    [sym__backtick_quote] = ACTIONS(2015),
    [sym__search_slash_quote] = ACTIONS(2015),
    [sym__open_readline_bracket] = ACTIONS(2015),
    [sym__open_fileglob_bracket] = ACTIONS(2015),
    [sym__PERLY_HEREDOC] = ACTIONS(2015),
    [sym__ctrl_z_hack] = ACTIONS(2015),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2015),
    [sym__filetest] = ACTIONS(2015),
  },
  [895] = {
    [sym_heredoc_content] = STATE(895),
    [ts_builtin_sym_end] = ACTIONS(2019),
    [sym__identifier] = ACTIONS(2021),
    [anon_sym_LBRACE] = ACTIONS(2021),
    [anon_sym_SEMI] = ACTIONS(2021),
    [anon_sym_package] = ACTIONS(2021),
    [anon_sym_class] = ACTIONS(2021),
    [anon_sym_role] = ACTIONS(2021),
    [anon_sym_BUILD] = ACTIONS(2021),
    [anon_sym_ADJUST] = ACTIONS(2021),
    [anon_sym_DOLLAR] = ACTIONS(2021),
    [anon_sym_AT] = ACTIONS(2021),
    [anon_sym_my] = ACTIONS(2021),
    [anon_sym_extended] = ACTIONS(2021),
    [anon_sym_async] = ACTIONS(2021),
    [anon_sym_sub] = ACTIONS(2021),
    [anon_sym_method] = ACTIONS(2021),
    [anon_sym_LPAREN] = ACTIONS(2021),
    [anon_sym_continue] = ACTIONS(2021),
    [anon_sym_state] = ACTIONS(2021),
    [anon_sym_our] = ACTIONS(2021),
    [anon_sym_try] = ACTIONS(2021),
    [anon_sym_defer] = ACTIONS(2021),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2021),
    [anon_sym_LBRACK] = ACTIONS(2021),
    [anon_sym_LT_LT] = ACTIONS(2021),
    [anon_sym_SLASH_SLASH] = ACTIONS(2021),
    [anon_sym_PLUS] = ACTIONS(2021),
    [anon_sym_DASH] = ACTIONS(2021),
    [anon_sym_TILDE] = ACTIONS(2021),
    [anon_sym_BANG] = ACTIONS(2021),
    [anon_sym_PLUS_PLUS] = ACTIONS(2021),
    [anon_sym_DASH_DASH] = ACTIONS(2021),
    [anon_sym_BSLASH] = ACTIONS(2019),
    [anon_sym_do] = ACTIONS(2021),
    [anon_sym_eval] = ACTIONS(2021),
    [anon_sym_await] = ACTIONS(2021),
    [anon_sym_field] = ACTIONS(2021),
    [anon_sym_local] = ACTIONS(2021),
    [anon_sym_dynamically] = ACTIONS(2021),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2021),
    [anon_sym_require] = ACTIONS(2021),
    [anon_sym_map] = ACTIONS(2021),
    [anon_sym_grep] = ACTIONS(2021),
    [anon_sym_sort] = ACTIONS(2021),
    [anon_sym_goto] = ACTIONS(2021),
    [anon_sym_return] = ACTIONS(2021),
    [anon_sym_undef] = ACTIONS(2021),
    [anon_sym_PERCENT2] = ACTIONS(2021),
    [anon_sym_AMP2] = ACTIONS(2021),
    [anon_sym_STAR2] = ACTIONS(2021),
    [anon_sym_use] = ACTIONS(2021),
    [anon_sym_no] = ACTIONS(2021),
    [anon_sym_for] = ACTIONS(2021),
    [anon_sym_foreach] = ACTIONS(2021),
    [anon_sym_last] = ACTIONS(2021),
    [anon_sym_next] = ACTIONS(2021),
    [anon_sym_redo] = ACTIONS(2021),
    [anon_sym_BEGIN] = ACTIONS(2021),
    [anon_sym_INIT] = ACTIONS(2021),
    [anon_sym_CHECK] = ACTIONS(2021),
    [anon_sym_UNITCHECK] = ACTIONS(2021),
    [anon_sym_END] = ACTIONS(2021),
    [anon_sym___FILE__] = ACTIONS(2021),
    [anon_sym___LINE__] = ACTIONS(2021),
    [anon_sym___PACKAGE__] = ACTIONS(2021),
    [anon_sym___SUB__] = ACTIONS(2021),
    [anon_sym_break] = ACTIONS(2021),
    [anon_sym_fork] = ACTIONS(2021),
    [anon_sym_getppid] = ACTIONS(2021),
    [anon_sym_time] = ACTIONS(2021),
    [anon_sym_times] = ACTIONS(2021),
    [anon_sym_wait] = ACTIONS(2021),
    [anon_sym_wantarray] = ACTIONS(2021),
    [anon_sym_abs] = ACTIONS(2021),
    [anon_sym_alarm] = ACTIONS(2021),
    [anon_sym_chop] = ACTIONS(2021),
    [anon_sym_chdir] = ACTIONS(2021),
    [anon_sym_close] = ACTIONS(2021),
    [anon_sym_closedir] = ACTIONS(2021),
    [anon_sym_caller] = ACTIONS(2021),
    [anon_sym_chomp] = ACTIONS(2021),
    [anon_sym_chr] = ACTIONS(2021),
    [anon_sym_cos] = ACTIONS(2021),
    [anon_sym_chroot] = ACTIONS(2021),
    [anon_sym_defined] = ACTIONS(2021),
    [anon_sym_delete] = ACTIONS(2021),
    [anon_sym_dbmclose] = ACTIONS(2021),
    [anon_sym_exists] = ACTIONS(2021),
    [anon_sym_exit] = ACTIONS(2021),
    [anon_sym_eof] = ACTIONS(2021),
    [anon_sym_exp] = ACTIONS(2021),
    [anon_sym_each] = ACTIONS(2021),
    [anon_sym_fc] = ACTIONS(2021),
    [anon_sym_fileno] = ACTIONS(2021),
    [anon_sym_gmtime] = ACTIONS(2021),
    [anon_sym_getc] = ACTIONS(2021),
    [anon_sym_getpgrp] = ACTIONS(2021),
    [anon_sym_getprotobyname] = ACTIONS(2021),
    [anon_sym_getpwname] = ACTIONS(2021),
    [anon_sym_getpwuid] = ACTIONS(2021),
    [anon_sym_getpeername] = ACTIONS(2021),
    [anon_sym_getnetbyname] = ACTIONS(2021),
    [anon_sym_getsockname] = ACTIONS(2021),
    [anon_sym_getgrnam] = ACTIONS(2021),
    [anon_sym_getgrgid] = ACTIONS(2021),
    [anon_sym_hex] = ACTIONS(2021),
    [anon_sym_int] = ACTIONS(2021),
    [anon_sym_keys] = ACTIONS(2021),
    [anon_sym_lc] = ACTIONS(2021),
    [anon_sym_lcfirst] = ACTIONS(2021),
    [anon_sym_length] = ACTIONS(2021),
    [anon_sym_localtime] = ACTIONS(2021),
    [anon_sym_log] = ACTIONS(2021),
    [anon_sym_lock] = ACTIONS(2021),
    [anon_sym_lstat] = ACTIONS(2021),
    [anon_sym_oct] = ACTIONS(2021),
    [anon_sym_ord] = ACTIONS(2021),
    [anon_sym_prototype] = ACTIONS(2021),
    [anon_sym_pop] = ACTIONS(2021),
    [anon_sym_pos] = ACTIONS(2021),
    [anon_sym_quotemeta] = ACTIONS(2021),
    [anon_sym_reset] = ACTIONS(2021),
    [anon_sym_rand] = ACTIONS(2021),
    [anon_sym_rmdir] = ACTIONS(2021),
    [anon_sym_readdir] = ACTIONS(2021),
    [anon_sym_readline] = ACTIONS(2021),
    [anon_sym_readpipe] = ACTIONS(2021),
    [anon_sym_rewinddir] = ACTIONS(2021),
    [anon_sym_readlink] = ACTIONS(2021),
    [anon_sym_ref] = ACTIONS(2021),
    [anon_sym_scalar] = ACTIONS(2021),
    [anon_sym_shift] = ACTIONS(2021),
    [anon_sym_sin] = ACTIONS(2021),
    [anon_sym_sleep] = ACTIONS(2021),
    [anon_sym_sqrt] = ACTIONS(2021),
    [anon_sym_srand] = ACTIONS(2021),
    [anon_sym_stat] = ACTIONS(2021),
    [anon_sym_study] = ACTIONS(2021),
    [anon_sym_tell] = ACTIONS(2021),
    [anon_sym_telldir] = ACTIONS(2021),
    [anon_sym_tied] = ACTIONS(2021),
    [anon_sym_uc] = ACTIONS(2021),
    [anon_sym_ucfirst] = ACTIONS(2021),
    [anon_sym_untie] = ACTIONS(2021),
    [anon_sym_umask] = ACTIONS(2021),
    [anon_sym_values] = ACTIONS(2021),
    [anon_sym_write] = ACTIONS(2021),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2021),
    [anon_sym___END__] = ACTIONS(2021),
    [anon_sym_EOT] = ACTIONS(2021),
    [anon_sym_q] = ACTIONS(2021),
    [anon_sym_qq] = ACTIONS(2021),
    [anon_sym_qw] = ACTIONS(2021),
    [anon_sym_qx] = ACTIONS(2021),
    [anon_sym_qr] = ACTIONS(2021),
    [anon_sym_m] = ACTIONS(2021),
    [anon_sym_s] = ACTIONS(2021),
    [anon_sym_tr] = ACTIONS(2021),
    [anon_sym_y] = ACTIONS(2021),
    [anon_sym_if] = ACTIONS(2021),
    [anon_sym_unless] = ACTIONS(2021),
    [anon_sym_while] = ACTIONS(2021),
    [anon_sym_until] = ACTIONS(2021),
    [aux_sym__bareword_token1] = ACTIONS(2021),
    [sym_number] = ACTIONS(2021),
    [anon_sym_true] = ACTIONS(2021),
    [anon_sym_false] = ACTIONS(2021),
    [sym__single_quote] = ACTIONS(2019),
    [sym__double_quote] = ACTIONS(2019),
    [sym__backtick_quote] = ACTIONS(2019),
    [sym__search_slash_quote] = ACTIONS(2019),
    [sym__open_readline_bracket] = ACTIONS(2019),
    [sym__open_fileglob_bracket] = ACTIONS(2019),
    [sym__PERLY_HEREDOC] = ACTIONS(2019),
    [sym__ctrl_z_hack] = ACTIONS(2019),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2019),
    [sym__filetest] = ACTIONS(2019),
  },
  [896] = {
    [sym_heredoc_content] = STATE(896),
    [ts_builtin_sym_end] = ACTIONS(2023),
    [sym__identifier] = ACTIONS(2025),
    [anon_sym_LBRACE] = ACTIONS(2025),
    [anon_sym_SEMI] = ACTIONS(2025),
    [anon_sym_package] = ACTIONS(2025),
    [anon_sym_class] = ACTIONS(2025),
    [anon_sym_role] = ACTIONS(2025),
    [anon_sym_BUILD] = ACTIONS(2025),
    [anon_sym_ADJUST] = ACTIONS(2025),
    [anon_sym_DOLLAR] = ACTIONS(2025),
    [anon_sym_AT] = ACTIONS(2025),
    [anon_sym_my] = ACTIONS(2025),
    [anon_sym_extended] = ACTIONS(2025),
    [anon_sym_async] = ACTIONS(2025),
    [anon_sym_sub] = ACTIONS(2025),
    [anon_sym_method] = ACTIONS(2025),
    [anon_sym_LPAREN] = ACTIONS(2025),
    [anon_sym_continue] = ACTIONS(2025),
    [anon_sym_state] = ACTIONS(2025),
    [anon_sym_our] = ACTIONS(2025),
    [anon_sym_try] = ACTIONS(2025),
    [anon_sym_defer] = ACTIONS(2025),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2025),
    [anon_sym_LBRACK] = ACTIONS(2025),
    [anon_sym_LT_LT] = ACTIONS(2025),
    [anon_sym_SLASH_SLASH] = ACTIONS(2025),
    [anon_sym_PLUS] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_PLUS_PLUS] = ACTIONS(2025),
    [anon_sym_DASH_DASH] = ACTIONS(2025),
    [anon_sym_BSLASH] = ACTIONS(2023),
    [anon_sym_do] = ACTIONS(2025),
    [anon_sym_eval] = ACTIONS(2025),
    [anon_sym_await] = ACTIONS(2025),
    [anon_sym_field] = ACTIONS(2025),
    [anon_sym_local] = ACTIONS(2025),
    [anon_sym_dynamically] = ACTIONS(2025),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2025),
    [anon_sym_require] = ACTIONS(2025),
    [anon_sym_map] = ACTIONS(2025),
    [anon_sym_grep] = ACTIONS(2025),
    [anon_sym_sort] = ACTIONS(2025),
    [anon_sym_goto] = ACTIONS(2025),
    [anon_sym_return] = ACTIONS(2025),
    [anon_sym_undef] = ACTIONS(2025),
    [anon_sym_PERCENT2] = ACTIONS(2025),
    [anon_sym_AMP2] = ACTIONS(2025),
    [anon_sym_STAR2] = ACTIONS(2025),
    [anon_sym_use] = ACTIONS(2025),
    [anon_sym_no] = ACTIONS(2025),
    [anon_sym_for] = ACTIONS(2025),
    [anon_sym_foreach] = ACTIONS(2025),
    [anon_sym_last] = ACTIONS(2025),
    [anon_sym_next] = ACTIONS(2025),
    [anon_sym_redo] = ACTIONS(2025),
    [anon_sym_BEGIN] = ACTIONS(2025),
    [anon_sym_INIT] = ACTIONS(2025),
    [anon_sym_CHECK] = ACTIONS(2025),
    [anon_sym_UNITCHECK] = ACTIONS(2025),
    [anon_sym_END] = ACTIONS(2025),
    [anon_sym___FILE__] = ACTIONS(2025),
    [anon_sym___LINE__] = ACTIONS(2025),
    [anon_sym___PACKAGE__] = ACTIONS(2025),
    [anon_sym___SUB__] = ACTIONS(2025),
    [anon_sym_break] = ACTIONS(2025),
    [anon_sym_fork] = ACTIONS(2025),
    [anon_sym_getppid] = ACTIONS(2025),
    [anon_sym_time] = ACTIONS(2025),
    [anon_sym_times] = ACTIONS(2025),
    [anon_sym_wait] = ACTIONS(2025),
    [anon_sym_wantarray] = ACTIONS(2025),
    [anon_sym_abs] = ACTIONS(2025),
    [anon_sym_alarm] = ACTIONS(2025),
    [anon_sym_chop] = ACTIONS(2025),
    [anon_sym_chdir] = ACTIONS(2025),
    [anon_sym_close] = ACTIONS(2025),
    [anon_sym_closedir] = ACTIONS(2025),
    [anon_sym_caller] = ACTIONS(2025),
    [anon_sym_chomp] = ACTIONS(2025),
    [anon_sym_chr] = ACTIONS(2025),
    [anon_sym_cos] = ACTIONS(2025),
    [anon_sym_chroot] = ACTIONS(2025),
    [anon_sym_defined] = ACTIONS(2025),
    [anon_sym_delete] = ACTIONS(2025),
    [anon_sym_dbmclose] = ACTIONS(2025),
    [anon_sym_exists] = ACTIONS(2025),
    [anon_sym_exit] = ACTIONS(2025),
    [anon_sym_eof] = ACTIONS(2025),
    [anon_sym_exp] = ACTIONS(2025),
    [anon_sym_each] = ACTIONS(2025),
    [anon_sym_fc] = ACTIONS(2025),
    [anon_sym_fileno] = ACTIONS(2025),
    [anon_sym_gmtime] = ACTIONS(2025),
    [anon_sym_getc] = ACTIONS(2025),
    [anon_sym_getpgrp] = ACTIONS(2025),
    [anon_sym_getprotobyname] = ACTIONS(2025),
    [anon_sym_getpwname] = ACTIONS(2025),
    [anon_sym_getpwuid] = ACTIONS(2025),
    [anon_sym_getpeername] = ACTIONS(2025),
    [anon_sym_getnetbyname] = ACTIONS(2025),
    [anon_sym_getsockname] = ACTIONS(2025),
    [anon_sym_getgrnam] = ACTIONS(2025),
    [anon_sym_getgrgid] = ACTIONS(2025),
    [anon_sym_hex] = ACTIONS(2025),
    [anon_sym_int] = ACTIONS(2025),
    [anon_sym_keys] = ACTIONS(2025),
    [anon_sym_lc] = ACTIONS(2025),
    [anon_sym_lcfirst] = ACTIONS(2025),
    [anon_sym_length] = ACTIONS(2025),
    [anon_sym_localtime] = ACTIONS(2025),
    [anon_sym_log] = ACTIONS(2025),
    [anon_sym_lock] = ACTIONS(2025),
    [anon_sym_lstat] = ACTIONS(2025),
    [anon_sym_oct] = ACTIONS(2025),
    [anon_sym_ord] = ACTIONS(2025),
    [anon_sym_prototype] = ACTIONS(2025),
    [anon_sym_pop] = ACTIONS(2025),
    [anon_sym_pos] = ACTIONS(2025),
    [anon_sym_quotemeta] = ACTIONS(2025),
    [anon_sym_reset] = ACTIONS(2025),
    [anon_sym_rand] = ACTIONS(2025),
    [anon_sym_rmdir] = ACTIONS(2025),
    [anon_sym_readdir] = ACTIONS(2025),
    [anon_sym_readline] = ACTIONS(2025),
    [anon_sym_readpipe] = ACTIONS(2025),
    [anon_sym_rewinddir] = ACTIONS(2025),
    [anon_sym_readlink] = ACTIONS(2025),
    [anon_sym_ref] = ACTIONS(2025),
    [anon_sym_scalar] = ACTIONS(2025),
    [anon_sym_shift] = ACTIONS(2025),
    [anon_sym_sin] = ACTIONS(2025),
    [anon_sym_sleep] = ACTIONS(2025),
    [anon_sym_sqrt] = ACTIONS(2025),
    [anon_sym_srand] = ACTIONS(2025),
    [anon_sym_stat] = ACTIONS(2025),
    [anon_sym_study] = ACTIONS(2025),
    [anon_sym_tell] = ACTIONS(2025),
    [anon_sym_telldir] = ACTIONS(2025),
    [anon_sym_tied] = ACTIONS(2025),
    [anon_sym_uc] = ACTIONS(2025),
    [anon_sym_ucfirst] = ACTIONS(2025),
    [anon_sym_untie] = ACTIONS(2025),
    [anon_sym_umask] = ACTIONS(2025),
    [anon_sym_values] = ACTIONS(2025),
    [anon_sym_write] = ACTIONS(2025),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2025),
    [anon_sym___END__] = ACTIONS(2025),
    [anon_sym_EOT] = ACTIONS(2025),
    [anon_sym_q] = ACTIONS(2025),
    [anon_sym_qq] = ACTIONS(2025),
    [anon_sym_qw] = ACTIONS(2025),
    [anon_sym_qx] = ACTIONS(2025),
    [anon_sym_qr] = ACTIONS(2025),
    [anon_sym_m] = ACTIONS(2025),
    [anon_sym_s] = ACTIONS(2025),
    [anon_sym_tr] = ACTIONS(2025),
    [anon_sym_y] = ACTIONS(2025),
    [anon_sym_if] = ACTIONS(2025),
    [anon_sym_unless] = ACTIONS(2025),
    [anon_sym_while] = ACTIONS(2025),
    [anon_sym_until] = ACTIONS(2025),
    [aux_sym__bareword_token1] = ACTIONS(2025),
    [sym_number] = ACTIONS(2025),
    [anon_sym_true] = ACTIONS(2025),
    [anon_sym_false] = ACTIONS(2025),
    [sym__single_quote] = ACTIONS(2023),
    [sym__double_quote] = ACTIONS(2023),
    [sym__backtick_quote] = ACTIONS(2023),
    [sym__search_slash_quote] = ACTIONS(2023),
    [sym__open_readline_bracket] = ACTIONS(2023),
    [sym__open_fileglob_bracket] = ACTIONS(2023),
    [sym__PERLY_HEREDOC] = ACTIONS(2023),
    [sym__ctrl_z_hack] = ACTIONS(2023),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2023),
    [sym__filetest] = ACTIONS(2023),
  },
  [897] = {
    [sym_heredoc_content] = STATE(897),
    [ts_builtin_sym_end] = ACTIONS(2027),
    [sym__identifier] = ACTIONS(2029),
    [anon_sym_LBRACE] = ACTIONS(2029),
    [anon_sym_SEMI] = ACTIONS(2029),
    [anon_sym_package] = ACTIONS(2029),
    [anon_sym_class] = ACTIONS(2029),
    [anon_sym_role] = ACTIONS(2029),
    [anon_sym_BUILD] = ACTIONS(2029),
    [anon_sym_ADJUST] = ACTIONS(2029),
    [anon_sym_DOLLAR] = ACTIONS(2029),
    [anon_sym_AT] = ACTIONS(2029),
    [anon_sym_my] = ACTIONS(2029),
    [anon_sym_extended] = ACTIONS(2029),
    [anon_sym_async] = ACTIONS(2029),
    [anon_sym_sub] = ACTIONS(2029),
    [anon_sym_method] = ACTIONS(2029),
    [anon_sym_LPAREN] = ACTIONS(2029),
    [anon_sym_continue] = ACTIONS(2029),
    [anon_sym_state] = ACTIONS(2029),
    [anon_sym_our] = ACTIONS(2029),
    [anon_sym_try] = ACTIONS(2029),
    [anon_sym_defer] = ACTIONS(2029),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2029),
    [anon_sym_LBRACK] = ACTIONS(2029),
    [anon_sym_LT_LT] = ACTIONS(2029),
    [anon_sym_SLASH_SLASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_TILDE] = ACTIONS(2029),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_BSLASH] = ACTIONS(2027),
    [anon_sym_do] = ACTIONS(2029),
    [anon_sym_eval] = ACTIONS(2029),
    [anon_sym_await] = ACTIONS(2029),
    [anon_sym_field] = ACTIONS(2029),
    [anon_sym_local] = ACTIONS(2029),
    [anon_sym_dynamically] = ACTIONS(2029),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2029),
    [anon_sym_require] = ACTIONS(2029),
    [anon_sym_map] = ACTIONS(2029),
    [anon_sym_grep] = ACTIONS(2029),
    [anon_sym_sort] = ACTIONS(2029),
    [anon_sym_goto] = ACTIONS(2029),
    [anon_sym_return] = ACTIONS(2029),
    [anon_sym_undef] = ACTIONS(2029),
    [anon_sym_PERCENT2] = ACTIONS(2029),
    [anon_sym_AMP2] = ACTIONS(2029),
    [anon_sym_STAR2] = ACTIONS(2029),
    [anon_sym_use] = ACTIONS(2029),
    [anon_sym_no] = ACTIONS(2029),
    [anon_sym_for] = ACTIONS(2029),
    [anon_sym_foreach] = ACTIONS(2029),
    [anon_sym_last] = ACTIONS(2029),
    [anon_sym_next] = ACTIONS(2029),
    [anon_sym_redo] = ACTIONS(2029),
    [anon_sym_BEGIN] = ACTIONS(2029),
    [anon_sym_INIT] = ACTIONS(2029),
    [anon_sym_CHECK] = ACTIONS(2029),
    [anon_sym_UNITCHECK] = ACTIONS(2029),
    [anon_sym_END] = ACTIONS(2029),
    [anon_sym___FILE__] = ACTIONS(2029),
    [anon_sym___LINE__] = ACTIONS(2029),
    [anon_sym___PACKAGE__] = ACTIONS(2029),
    [anon_sym___SUB__] = ACTIONS(2029),
    [anon_sym_break] = ACTIONS(2029),
    [anon_sym_fork] = ACTIONS(2029),
    [anon_sym_getppid] = ACTIONS(2029),
    [anon_sym_time] = ACTIONS(2029),
    [anon_sym_times] = ACTIONS(2029),
    [anon_sym_wait] = ACTIONS(2029),
    [anon_sym_wantarray] = ACTIONS(2029),
    [anon_sym_abs] = ACTIONS(2029),
    [anon_sym_alarm] = ACTIONS(2029),
    [anon_sym_chop] = ACTIONS(2029),
    [anon_sym_chdir] = ACTIONS(2029),
    [anon_sym_close] = ACTIONS(2029),
    [anon_sym_closedir] = ACTIONS(2029),
    [anon_sym_caller] = ACTIONS(2029),
    [anon_sym_chomp] = ACTIONS(2029),
    [anon_sym_chr] = ACTIONS(2029),
    [anon_sym_cos] = ACTIONS(2029),
    [anon_sym_chroot] = ACTIONS(2029),
    [anon_sym_defined] = ACTIONS(2029),
    [anon_sym_delete] = ACTIONS(2029),
    [anon_sym_dbmclose] = ACTIONS(2029),
    [anon_sym_exists] = ACTIONS(2029),
    [anon_sym_exit] = ACTIONS(2029),
    [anon_sym_eof] = ACTIONS(2029),
    [anon_sym_exp] = ACTIONS(2029),
    [anon_sym_each] = ACTIONS(2029),
    [anon_sym_fc] = ACTIONS(2029),
    [anon_sym_fileno] = ACTIONS(2029),
    [anon_sym_gmtime] = ACTIONS(2029),
    [anon_sym_getc] = ACTIONS(2029),
    [anon_sym_getpgrp] = ACTIONS(2029),
    [anon_sym_getprotobyname] = ACTIONS(2029),
    [anon_sym_getpwname] = ACTIONS(2029),
    [anon_sym_getpwuid] = ACTIONS(2029),
    [anon_sym_getpeername] = ACTIONS(2029),
    [anon_sym_getnetbyname] = ACTIONS(2029),
    [anon_sym_getsockname] = ACTIONS(2029),
    [anon_sym_getgrnam] = ACTIONS(2029),
    [anon_sym_getgrgid] = ACTIONS(2029),
    [anon_sym_hex] = ACTIONS(2029),
    [anon_sym_int] = ACTIONS(2029),
    [anon_sym_keys] = ACTIONS(2029),
    [anon_sym_lc] = ACTIONS(2029),
    [anon_sym_lcfirst] = ACTIONS(2029),
    [anon_sym_length] = ACTIONS(2029),
    [anon_sym_localtime] = ACTIONS(2029),
    [anon_sym_log] = ACTIONS(2029),
    [anon_sym_lock] = ACTIONS(2029),
    [anon_sym_lstat] = ACTIONS(2029),
    [anon_sym_oct] = ACTIONS(2029),
    [anon_sym_ord] = ACTIONS(2029),
    [anon_sym_prototype] = ACTIONS(2029),
    [anon_sym_pop] = ACTIONS(2029),
    [anon_sym_pos] = ACTIONS(2029),
    [anon_sym_quotemeta] = ACTIONS(2029),
    [anon_sym_reset] = ACTIONS(2029),
    [anon_sym_rand] = ACTIONS(2029),
    [anon_sym_rmdir] = ACTIONS(2029),
    [anon_sym_readdir] = ACTIONS(2029),
    [anon_sym_readline] = ACTIONS(2029),
    [anon_sym_readpipe] = ACTIONS(2029),
    [anon_sym_rewinddir] = ACTIONS(2029),
    [anon_sym_readlink] = ACTIONS(2029),
    [anon_sym_ref] = ACTIONS(2029),
    [anon_sym_scalar] = ACTIONS(2029),
    [anon_sym_shift] = ACTIONS(2029),
    [anon_sym_sin] = ACTIONS(2029),
    [anon_sym_sleep] = ACTIONS(2029),
    [anon_sym_sqrt] = ACTIONS(2029),
    [anon_sym_srand] = ACTIONS(2029),
    [anon_sym_stat] = ACTIONS(2029),
    [anon_sym_study] = ACTIONS(2029),
    [anon_sym_tell] = ACTIONS(2029),
    [anon_sym_telldir] = ACTIONS(2029),
    [anon_sym_tied] = ACTIONS(2029),
    [anon_sym_uc] = ACTIONS(2029),
    [anon_sym_ucfirst] = ACTIONS(2029),
    [anon_sym_untie] = ACTIONS(2029),
    [anon_sym_umask] = ACTIONS(2029),
    [anon_sym_values] = ACTIONS(2029),
    [anon_sym_write] = ACTIONS(2029),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2029),
    [anon_sym___END__] = ACTIONS(2029),
    [anon_sym_EOT] = ACTIONS(2029),
    [anon_sym_q] = ACTIONS(2029),
    [anon_sym_qq] = ACTIONS(2029),
    [anon_sym_qw] = ACTIONS(2029),
    [anon_sym_qx] = ACTIONS(2029),
    [anon_sym_qr] = ACTIONS(2029),
    [anon_sym_m] = ACTIONS(2029),
    [anon_sym_s] = ACTIONS(2029),
    [anon_sym_tr] = ACTIONS(2029),
    [anon_sym_y] = ACTIONS(2029),
    [anon_sym_if] = ACTIONS(2029),
    [anon_sym_unless] = ACTIONS(2029),
    [anon_sym_while] = ACTIONS(2029),
    [anon_sym_until] = ACTIONS(2029),
    [aux_sym__bareword_token1] = ACTIONS(2029),
    [sym_number] = ACTIONS(2029),
    [anon_sym_true] = ACTIONS(2029),
    [anon_sym_false] = ACTIONS(2029),
    [sym__single_quote] = ACTIONS(2027),
    [sym__double_quote] = ACTIONS(2027),
    [sym__backtick_quote] = ACTIONS(2027),
    [sym__search_slash_quote] = ACTIONS(2027),
    [sym__open_readline_bracket] = ACTIONS(2027),
    [sym__open_fileglob_bracket] = ACTIONS(2027),
    [sym__PERLY_HEREDOC] = ACTIONS(2027),
    [sym__ctrl_z_hack] = ACTIONS(2027),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2027),
    [sym__filetest] = ACTIONS(2027),
  },
  [898] = {
    [sym_heredoc_content] = STATE(898),
    [ts_builtin_sym_end] = ACTIONS(2031),
    [sym__identifier] = ACTIONS(2033),
    [anon_sym_LBRACE] = ACTIONS(2033),
    [anon_sym_SEMI] = ACTIONS(2033),
    [anon_sym_package] = ACTIONS(2033),
    [anon_sym_class] = ACTIONS(2033),
    [anon_sym_role] = ACTIONS(2033),
    [anon_sym_BUILD] = ACTIONS(2033),
    [anon_sym_ADJUST] = ACTIONS(2033),
    [anon_sym_DOLLAR] = ACTIONS(2033),
    [anon_sym_AT] = ACTIONS(2033),
    [anon_sym_my] = ACTIONS(2033),
    [anon_sym_extended] = ACTIONS(2033),
    [anon_sym_async] = ACTIONS(2033),
    [anon_sym_sub] = ACTIONS(2033),
    [anon_sym_method] = ACTIONS(2033),
    [anon_sym_LPAREN] = ACTIONS(2033),
    [anon_sym_continue] = ACTIONS(2033),
    [anon_sym_state] = ACTIONS(2033),
    [anon_sym_our] = ACTIONS(2033),
    [anon_sym_try] = ACTIONS(2033),
    [anon_sym_defer] = ACTIONS(2033),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2033),
    [anon_sym_LBRACK] = ACTIONS(2033),
    [anon_sym_LT_LT] = ACTIONS(2033),
    [anon_sym_SLASH_SLASH] = ACTIONS(2033),
    [anon_sym_PLUS] = ACTIONS(2033),
    [anon_sym_DASH] = ACTIONS(2033),
    [anon_sym_TILDE] = ACTIONS(2033),
    [anon_sym_BANG] = ACTIONS(2033),
    [anon_sym_PLUS_PLUS] = ACTIONS(2033),
    [anon_sym_DASH_DASH] = ACTIONS(2033),
    [anon_sym_BSLASH] = ACTIONS(2031),
    [anon_sym_do] = ACTIONS(2033),
    [anon_sym_eval] = ACTIONS(2033),
    [anon_sym_await] = ACTIONS(2033),
    [anon_sym_field] = ACTIONS(2033),
    [anon_sym_local] = ACTIONS(2033),
    [anon_sym_dynamically] = ACTIONS(2033),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2033),
    [anon_sym_require] = ACTIONS(2033),
    [anon_sym_map] = ACTIONS(2033),
    [anon_sym_grep] = ACTIONS(2033),
    [anon_sym_sort] = ACTIONS(2033),
    [anon_sym_goto] = ACTIONS(2033),
    [anon_sym_return] = ACTIONS(2033),
    [anon_sym_undef] = ACTIONS(2033),
    [anon_sym_PERCENT2] = ACTIONS(2033),
    [anon_sym_AMP2] = ACTIONS(2033),
    [anon_sym_STAR2] = ACTIONS(2033),
    [anon_sym_use] = ACTIONS(2033),
    [anon_sym_no] = ACTIONS(2033),
    [anon_sym_for] = ACTIONS(2033),
    [anon_sym_foreach] = ACTIONS(2033),
    [anon_sym_last] = ACTIONS(2033),
    [anon_sym_next] = ACTIONS(2033),
    [anon_sym_redo] = ACTIONS(2033),
    [anon_sym_BEGIN] = ACTIONS(2033),
    [anon_sym_INIT] = ACTIONS(2033),
    [anon_sym_CHECK] = ACTIONS(2033),
    [anon_sym_UNITCHECK] = ACTIONS(2033),
    [anon_sym_END] = ACTIONS(2033),
    [anon_sym___FILE__] = ACTIONS(2033),
    [anon_sym___LINE__] = ACTIONS(2033),
    [anon_sym___PACKAGE__] = ACTIONS(2033),
    [anon_sym___SUB__] = ACTIONS(2033),
    [anon_sym_break] = ACTIONS(2033),
    [anon_sym_fork] = ACTIONS(2033),
    [anon_sym_getppid] = ACTIONS(2033),
    [anon_sym_time] = ACTIONS(2033),
    [anon_sym_times] = ACTIONS(2033),
    [anon_sym_wait] = ACTIONS(2033),
    [anon_sym_wantarray] = ACTIONS(2033),
    [anon_sym_abs] = ACTIONS(2033),
    [anon_sym_alarm] = ACTIONS(2033),
    [anon_sym_chop] = ACTIONS(2033),
    [anon_sym_chdir] = ACTIONS(2033),
    [anon_sym_close] = ACTIONS(2033),
    [anon_sym_closedir] = ACTIONS(2033),
    [anon_sym_caller] = ACTIONS(2033),
    [anon_sym_chomp] = ACTIONS(2033),
    [anon_sym_chr] = ACTIONS(2033),
    [anon_sym_cos] = ACTIONS(2033),
    [anon_sym_chroot] = ACTIONS(2033),
    [anon_sym_defined] = ACTIONS(2033),
    [anon_sym_delete] = ACTIONS(2033),
    [anon_sym_dbmclose] = ACTIONS(2033),
    [anon_sym_exists] = ACTIONS(2033),
    [anon_sym_exit] = ACTIONS(2033),
    [anon_sym_eof] = ACTIONS(2033),
    [anon_sym_exp] = ACTIONS(2033),
    [anon_sym_each] = ACTIONS(2033),
    [anon_sym_fc] = ACTIONS(2033),
    [anon_sym_fileno] = ACTIONS(2033),
    [anon_sym_gmtime] = ACTIONS(2033),
    [anon_sym_getc] = ACTIONS(2033),
    [anon_sym_getpgrp] = ACTIONS(2033),
    [anon_sym_getprotobyname] = ACTIONS(2033),
    [anon_sym_getpwname] = ACTIONS(2033),
    [anon_sym_getpwuid] = ACTIONS(2033),
    [anon_sym_getpeername] = ACTIONS(2033),
    [anon_sym_getnetbyname] = ACTIONS(2033),
    [anon_sym_getsockname] = ACTIONS(2033),
    [anon_sym_getgrnam] = ACTIONS(2033),
    [anon_sym_getgrgid] = ACTIONS(2033),
    [anon_sym_hex] = ACTIONS(2033),
    [anon_sym_int] = ACTIONS(2033),
    [anon_sym_keys] = ACTIONS(2033),
    [anon_sym_lc] = ACTIONS(2033),
    [anon_sym_lcfirst] = ACTIONS(2033),
    [anon_sym_length] = ACTIONS(2033),
    [anon_sym_localtime] = ACTIONS(2033),
    [anon_sym_log] = ACTIONS(2033),
    [anon_sym_lock] = ACTIONS(2033),
    [anon_sym_lstat] = ACTIONS(2033),
    [anon_sym_oct] = ACTIONS(2033),
    [anon_sym_ord] = ACTIONS(2033),
    [anon_sym_prototype] = ACTIONS(2033),
    [anon_sym_pop] = ACTIONS(2033),
    [anon_sym_pos] = ACTIONS(2033),
    [anon_sym_quotemeta] = ACTIONS(2033),
    [anon_sym_reset] = ACTIONS(2033),
    [anon_sym_rand] = ACTIONS(2033),
    [anon_sym_rmdir] = ACTIONS(2033),
    [anon_sym_readdir] = ACTIONS(2033),
    [anon_sym_readline] = ACTIONS(2033),
    [anon_sym_readpipe] = ACTIONS(2033),
    [anon_sym_rewinddir] = ACTIONS(2033),
    [anon_sym_readlink] = ACTIONS(2033),
    [anon_sym_ref] = ACTIONS(2033),
    [anon_sym_scalar] = ACTIONS(2033),
    [anon_sym_shift] = ACTIONS(2033),
    [anon_sym_sin] = ACTIONS(2033),
    [anon_sym_sleep] = ACTIONS(2033),
    [anon_sym_sqrt] = ACTIONS(2033),
    [anon_sym_srand] = ACTIONS(2033),
    [anon_sym_stat] = ACTIONS(2033),
    [anon_sym_study] = ACTIONS(2033),
    [anon_sym_tell] = ACTIONS(2033),
    [anon_sym_telldir] = ACTIONS(2033),
    [anon_sym_tied] = ACTIONS(2033),
    [anon_sym_uc] = ACTIONS(2033),
    [anon_sym_ucfirst] = ACTIONS(2033),
    [anon_sym_untie] = ACTIONS(2033),
    [anon_sym_umask] = ACTIONS(2033),
    [anon_sym_values] = ACTIONS(2033),
    [anon_sym_write] = ACTIONS(2033),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2033),
    [anon_sym___END__] = ACTIONS(2033),
    [anon_sym_EOT] = ACTIONS(2033),
    [anon_sym_q] = ACTIONS(2033),
    [anon_sym_qq] = ACTIONS(2033),
    [anon_sym_qw] = ACTIONS(2033),
    [anon_sym_qx] = ACTIONS(2033),
    [anon_sym_qr] = ACTIONS(2033),
    [anon_sym_m] = ACTIONS(2033),
    [anon_sym_s] = ACTIONS(2033),
    [anon_sym_tr] = ACTIONS(2033),
    [anon_sym_y] = ACTIONS(2033),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_unless] = ACTIONS(2033),
    [anon_sym_while] = ACTIONS(2033),
    [anon_sym_until] = ACTIONS(2033),
    [aux_sym__bareword_token1] = ACTIONS(2033),
    [sym_number] = ACTIONS(2033),
    [anon_sym_true] = ACTIONS(2033),
    [anon_sym_false] = ACTIONS(2033),
    [sym__single_quote] = ACTIONS(2031),
    [sym__double_quote] = ACTIONS(2031),
    [sym__backtick_quote] = ACTIONS(2031),
    [sym__search_slash_quote] = ACTIONS(2031),
    [sym__open_readline_bracket] = ACTIONS(2031),
    [sym__open_fileglob_bracket] = ACTIONS(2031),
    [sym__PERLY_HEREDOC] = ACTIONS(2031),
    [sym__ctrl_z_hack] = ACTIONS(2031),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2031),
    [sym__filetest] = ACTIONS(2031),
  },
  [899] = {
    [sym_heredoc_content] = STATE(899),
    [ts_builtin_sym_end] = ACTIONS(2035),
    [sym__identifier] = ACTIONS(2037),
    [anon_sym_LBRACE] = ACTIONS(2037),
    [anon_sym_SEMI] = ACTIONS(2037),
    [anon_sym_package] = ACTIONS(2037),
    [anon_sym_class] = ACTIONS(2037),
    [anon_sym_role] = ACTIONS(2037),
    [anon_sym_BUILD] = ACTIONS(2037),
    [anon_sym_ADJUST] = ACTIONS(2037),
    [anon_sym_DOLLAR] = ACTIONS(2037),
    [anon_sym_AT] = ACTIONS(2037),
    [anon_sym_my] = ACTIONS(2037),
    [anon_sym_extended] = ACTIONS(2037),
    [anon_sym_async] = ACTIONS(2037),
    [anon_sym_sub] = ACTIONS(2037),
    [anon_sym_method] = ACTIONS(2037),
    [anon_sym_LPAREN] = ACTIONS(2037),
    [anon_sym_continue] = ACTIONS(2037),
    [anon_sym_state] = ACTIONS(2037),
    [anon_sym_our] = ACTIONS(2037),
    [anon_sym_try] = ACTIONS(2037),
    [anon_sym_defer] = ACTIONS(2037),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2037),
    [anon_sym_LBRACK] = ACTIONS(2037),
    [anon_sym_LT_LT] = ACTIONS(2037),
    [anon_sym_SLASH_SLASH] = ACTIONS(2037),
    [anon_sym_PLUS] = ACTIONS(2037),
    [anon_sym_DASH] = ACTIONS(2037),
    [anon_sym_TILDE] = ACTIONS(2037),
    [anon_sym_BANG] = ACTIONS(2037),
    [anon_sym_PLUS_PLUS] = ACTIONS(2037),
    [anon_sym_DASH_DASH] = ACTIONS(2037),
    [anon_sym_BSLASH] = ACTIONS(2035),
    [anon_sym_do] = ACTIONS(2037),
    [anon_sym_eval] = ACTIONS(2037),
    [anon_sym_await] = ACTIONS(2037),
    [anon_sym_field] = ACTIONS(2037),
    [anon_sym_local] = ACTIONS(2037),
    [anon_sym_dynamically] = ACTIONS(2037),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2037),
    [anon_sym_require] = ACTIONS(2037),
    [anon_sym_map] = ACTIONS(2037),
    [anon_sym_grep] = ACTIONS(2037),
    [anon_sym_sort] = ACTIONS(2037),
    [anon_sym_goto] = ACTIONS(2037),
    [anon_sym_return] = ACTIONS(2037),
    [anon_sym_undef] = ACTIONS(2037),
    [anon_sym_PERCENT2] = ACTIONS(2037),
    [anon_sym_AMP2] = ACTIONS(2037),
    [anon_sym_STAR2] = ACTIONS(2037),
    [anon_sym_use] = ACTIONS(2037),
    [anon_sym_no] = ACTIONS(2037),
    [anon_sym_for] = ACTIONS(2037),
    [anon_sym_foreach] = ACTIONS(2037),
    [anon_sym_last] = ACTIONS(2037),
    [anon_sym_next] = ACTIONS(2037),
    [anon_sym_redo] = ACTIONS(2037),
    [anon_sym_BEGIN] = ACTIONS(2037),
    [anon_sym_INIT] = ACTIONS(2037),
    [anon_sym_CHECK] = ACTIONS(2037),
    [anon_sym_UNITCHECK] = ACTIONS(2037),
    [anon_sym_END] = ACTIONS(2037),
    [anon_sym___FILE__] = ACTIONS(2037),
    [anon_sym___LINE__] = ACTIONS(2037),
    [anon_sym___PACKAGE__] = ACTIONS(2037),
    [anon_sym___SUB__] = ACTIONS(2037),
    [anon_sym_break] = ACTIONS(2037),
    [anon_sym_fork] = ACTIONS(2037),
    [anon_sym_getppid] = ACTIONS(2037),
    [anon_sym_time] = ACTIONS(2037),
    [anon_sym_times] = ACTIONS(2037),
    [anon_sym_wait] = ACTIONS(2037),
    [anon_sym_wantarray] = ACTIONS(2037),
    [anon_sym_abs] = ACTIONS(2037),
    [anon_sym_alarm] = ACTIONS(2037),
    [anon_sym_chop] = ACTIONS(2037),
    [anon_sym_chdir] = ACTIONS(2037),
    [anon_sym_close] = ACTIONS(2037),
    [anon_sym_closedir] = ACTIONS(2037),
    [anon_sym_caller] = ACTIONS(2037),
    [anon_sym_chomp] = ACTIONS(2037),
    [anon_sym_chr] = ACTIONS(2037),
    [anon_sym_cos] = ACTIONS(2037),
    [anon_sym_chroot] = ACTIONS(2037),
    [anon_sym_defined] = ACTIONS(2037),
    [anon_sym_delete] = ACTIONS(2037),
    [anon_sym_dbmclose] = ACTIONS(2037),
    [anon_sym_exists] = ACTIONS(2037),
    [anon_sym_exit] = ACTIONS(2037),
    [anon_sym_eof] = ACTIONS(2037),
    [anon_sym_exp] = ACTIONS(2037),
    [anon_sym_each] = ACTIONS(2037),
    [anon_sym_fc] = ACTIONS(2037),
    [anon_sym_fileno] = ACTIONS(2037),
    [anon_sym_gmtime] = ACTIONS(2037),
    [anon_sym_getc] = ACTIONS(2037),
    [anon_sym_getpgrp] = ACTIONS(2037),
    [anon_sym_getprotobyname] = ACTIONS(2037),
    [anon_sym_getpwname] = ACTIONS(2037),
    [anon_sym_getpwuid] = ACTIONS(2037),
    [anon_sym_getpeername] = ACTIONS(2037),
    [anon_sym_getnetbyname] = ACTIONS(2037),
    [anon_sym_getsockname] = ACTIONS(2037),
    [anon_sym_getgrnam] = ACTIONS(2037),
    [anon_sym_getgrgid] = ACTIONS(2037),
    [anon_sym_hex] = ACTIONS(2037),
    [anon_sym_int] = ACTIONS(2037),
    [anon_sym_keys] = ACTIONS(2037),
    [anon_sym_lc] = ACTIONS(2037),
    [anon_sym_lcfirst] = ACTIONS(2037),
    [anon_sym_length] = ACTIONS(2037),
    [anon_sym_localtime] = ACTIONS(2037),
    [anon_sym_log] = ACTIONS(2037),
    [anon_sym_lock] = ACTIONS(2037),
    [anon_sym_lstat] = ACTIONS(2037),
    [anon_sym_oct] = ACTIONS(2037),
    [anon_sym_ord] = ACTIONS(2037),
    [anon_sym_prototype] = ACTIONS(2037),
    [anon_sym_pop] = ACTIONS(2037),
    [anon_sym_pos] = ACTIONS(2037),
    [anon_sym_quotemeta] = ACTIONS(2037),
    [anon_sym_reset] = ACTIONS(2037),
    [anon_sym_rand] = ACTIONS(2037),
    [anon_sym_rmdir] = ACTIONS(2037),
    [anon_sym_readdir] = ACTIONS(2037),
    [anon_sym_readline] = ACTIONS(2037),
    [anon_sym_readpipe] = ACTIONS(2037),
    [anon_sym_rewinddir] = ACTIONS(2037),
    [anon_sym_readlink] = ACTIONS(2037),
    [anon_sym_ref] = ACTIONS(2037),
    [anon_sym_scalar] = ACTIONS(2037),
    [anon_sym_shift] = ACTIONS(2037),
    [anon_sym_sin] = ACTIONS(2037),
    [anon_sym_sleep] = ACTIONS(2037),
    [anon_sym_sqrt] = ACTIONS(2037),
    [anon_sym_srand] = ACTIONS(2037),
    [anon_sym_stat] = ACTIONS(2037),
    [anon_sym_study] = ACTIONS(2037),
    [anon_sym_tell] = ACTIONS(2037),
    [anon_sym_telldir] = ACTIONS(2037),
    [anon_sym_tied] = ACTIONS(2037),
    [anon_sym_uc] = ACTIONS(2037),
    [anon_sym_ucfirst] = ACTIONS(2037),
    [anon_sym_untie] = ACTIONS(2037),
    [anon_sym_umask] = ACTIONS(2037),
    [anon_sym_values] = ACTIONS(2037),
    [anon_sym_write] = ACTIONS(2037),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2037),
    [anon_sym___END__] = ACTIONS(2037),
    [anon_sym_EOT] = ACTIONS(2037),
    [anon_sym_q] = ACTIONS(2037),
    [anon_sym_qq] = ACTIONS(2037),
    [anon_sym_qw] = ACTIONS(2037),
    [anon_sym_qx] = ACTIONS(2037),
    [anon_sym_qr] = ACTIONS(2037),
    [anon_sym_m] = ACTIONS(2037),
    [anon_sym_s] = ACTIONS(2037),
    [anon_sym_tr] = ACTIONS(2037),
    [anon_sym_y] = ACTIONS(2037),
    [anon_sym_if] = ACTIONS(2037),
    [anon_sym_unless] = ACTIONS(2037),
    [anon_sym_while] = ACTIONS(2037),
    [anon_sym_until] = ACTIONS(2037),
    [aux_sym__bareword_token1] = ACTIONS(2037),
    [sym_number] = ACTIONS(2037),
    [anon_sym_true] = ACTIONS(2037),
    [anon_sym_false] = ACTIONS(2037),
    [sym__single_quote] = ACTIONS(2035),
    [sym__double_quote] = ACTIONS(2035),
    [sym__backtick_quote] = ACTIONS(2035),
    [sym__search_slash_quote] = ACTIONS(2035),
    [sym__open_readline_bracket] = ACTIONS(2035),
    [sym__open_fileglob_bracket] = ACTIONS(2035),
    [sym__PERLY_HEREDOC] = ACTIONS(2035),
    [sym__ctrl_z_hack] = ACTIONS(2035),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2035),
    [sym__filetest] = ACTIONS(2035),
  },
  [900] = {
    [sym_heredoc_content] = STATE(900),
    [ts_builtin_sym_end] = ACTIONS(2039),
    [sym__identifier] = ACTIONS(2041),
    [anon_sym_LBRACE] = ACTIONS(2041),
    [anon_sym_SEMI] = ACTIONS(2041),
    [anon_sym_package] = ACTIONS(2041),
    [anon_sym_class] = ACTIONS(2041),
    [anon_sym_role] = ACTIONS(2041),
    [anon_sym_BUILD] = ACTIONS(2041),
    [anon_sym_ADJUST] = ACTIONS(2041),
    [anon_sym_DOLLAR] = ACTIONS(2041),
    [anon_sym_AT] = ACTIONS(2041),
    [anon_sym_my] = ACTIONS(2041),
    [anon_sym_extended] = ACTIONS(2041),
    [anon_sym_async] = ACTIONS(2041),
    [anon_sym_sub] = ACTIONS(2041),
    [anon_sym_method] = ACTIONS(2041),
    [anon_sym_LPAREN] = ACTIONS(2041),
    [anon_sym_continue] = ACTIONS(2041),
    [anon_sym_state] = ACTIONS(2041),
    [anon_sym_our] = ACTIONS(2041),
    [anon_sym_try] = ACTIONS(2041),
    [anon_sym_defer] = ACTIONS(2041),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2041),
    [anon_sym_LBRACK] = ACTIONS(2041),
    [anon_sym_LT_LT] = ACTIONS(2041),
    [anon_sym_SLASH_SLASH] = ACTIONS(2041),
    [anon_sym_PLUS] = ACTIONS(2041),
    [anon_sym_DASH] = ACTIONS(2041),
    [anon_sym_TILDE] = ACTIONS(2041),
    [anon_sym_BANG] = ACTIONS(2041),
    [anon_sym_PLUS_PLUS] = ACTIONS(2041),
    [anon_sym_DASH_DASH] = ACTIONS(2041),
    [anon_sym_BSLASH] = ACTIONS(2039),
    [anon_sym_do] = ACTIONS(2041),
    [anon_sym_eval] = ACTIONS(2041),
    [anon_sym_await] = ACTIONS(2041),
    [anon_sym_field] = ACTIONS(2041),
    [anon_sym_local] = ACTIONS(2041),
    [anon_sym_dynamically] = ACTIONS(2041),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2041),
    [anon_sym_require] = ACTIONS(2041),
    [anon_sym_map] = ACTIONS(2041),
    [anon_sym_grep] = ACTIONS(2041),
    [anon_sym_sort] = ACTIONS(2041),
    [anon_sym_goto] = ACTIONS(2041),
    [anon_sym_return] = ACTIONS(2041),
    [anon_sym_undef] = ACTIONS(2041),
    [anon_sym_PERCENT2] = ACTIONS(2041),
    [anon_sym_AMP2] = ACTIONS(2041),
    [anon_sym_STAR2] = ACTIONS(2041),
    [anon_sym_use] = ACTIONS(2041),
    [anon_sym_no] = ACTIONS(2041),
    [anon_sym_for] = ACTIONS(2041),
    [anon_sym_foreach] = ACTIONS(2041),
    [anon_sym_last] = ACTIONS(2041),
    [anon_sym_next] = ACTIONS(2041),
    [anon_sym_redo] = ACTIONS(2041),
    [anon_sym_BEGIN] = ACTIONS(2041),
    [anon_sym_INIT] = ACTIONS(2041),
    [anon_sym_CHECK] = ACTIONS(2041),
    [anon_sym_UNITCHECK] = ACTIONS(2041),
    [anon_sym_END] = ACTIONS(2041),
    [anon_sym___FILE__] = ACTIONS(2041),
    [anon_sym___LINE__] = ACTIONS(2041),
    [anon_sym___PACKAGE__] = ACTIONS(2041),
    [anon_sym___SUB__] = ACTIONS(2041),
    [anon_sym_break] = ACTIONS(2041),
    [anon_sym_fork] = ACTIONS(2041),
    [anon_sym_getppid] = ACTIONS(2041),
    [anon_sym_time] = ACTIONS(2041),
    [anon_sym_times] = ACTIONS(2041),
    [anon_sym_wait] = ACTIONS(2041),
    [anon_sym_wantarray] = ACTIONS(2041),
    [anon_sym_abs] = ACTIONS(2041),
    [anon_sym_alarm] = ACTIONS(2041),
    [anon_sym_chop] = ACTIONS(2041),
    [anon_sym_chdir] = ACTIONS(2041),
    [anon_sym_close] = ACTIONS(2041),
    [anon_sym_closedir] = ACTIONS(2041),
    [anon_sym_caller] = ACTIONS(2041),
    [anon_sym_chomp] = ACTIONS(2041),
    [anon_sym_chr] = ACTIONS(2041),
    [anon_sym_cos] = ACTIONS(2041),
    [anon_sym_chroot] = ACTIONS(2041),
    [anon_sym_defined] = ACTIONS(2041),
    [anon_sym_delete] = ACTIONS(2041),
    [anon_sym_dbmclose] = ACTIONS(2041),
    [anon_sym_exists] = ACTIONS(2041),
    [anon_sym_exit] = ACTIONS(2041),
    [anon_sym_eof] = ACTIONS(2041),
    [anon_sym_exp] = ACTIONS(2041),
    [anon_sym_each] = ACTIONS(2041),
    [anon_sym_fc] = ACTIONS(2041),
    [anon_sym_fileno] = ACTIONS(2041),
    [anon_sym_gmtime] = ACTIONS(2041),
    [anon_sym_getc] = ACTIONS(2041),
    [anon_sym_getpgrp] = ACTIONS(2041),
    [anon_sym_getprotobyname] = ACTIONS(2041),
    [anon_sym_getpwname] = ACTIONS(2041),
    [anon_sym_getpwuid] = ACTIONS(2041),
    [anon_sym_getpeername] = ACTIONS(2041),
    [anon_sym_getnetbyname] = ACTIONS(2041),
    [anon_sym_getsockname] = ACTIONS(2041),
    [anon_sym_getgrnam] = ACTIONS(2041),
    [anon_sym_getgrgid] = ACTIONS(2041),
    [anon_sym_hex] = ACTIONS(2041),
    [anon_sym_int] = ACTIONS(2041),
    [anon_sym_keys] = ACTIONS(2041),
    [anon_sym_lc] = ACTIONS(2041),
    [anon_sym_lcfirst] = ACTIONS(2041),
    [anon_sym_length] = ACTIONS(2041),
    [anon_sym_localtime] = ACTIONS(2041),
    [anon_sym_log] = ACTIONS(2041),
    [anon_sym_lock] = ACTIONS(2041),
    [anon_sym_lstat] = ACTIONS(2041),
    [anon_sym_oct] = ACTIONS(2041),
    [anon_sym_ord] = ACTIONS(2041),
    [anon_sym_prototype] = ACTIONS(2041),
    [anon_sym_pop] = ACTIONS(2041),
    [anon_sym_pos] = ACTIONS(2041),
    [anon_sym_quotemeta] = ACTIONS(2041),
    [anon_sym_reset] = ACTIONS(2041),
    [anon_sym_rand] = ACTIONS(2041),
    [anon_sym_rmdir] = ACTIONS(2041),
    [anon_sym_readdir] = ACTIONS(2041),
    [anon_sym_readline] = ACTIONS(2041),
    [anon_sym_readpipe] = ACTIONS(2041),
    [anon_sym_rewinddir] = ACTIONS(2041),
    [anon_sym_readlink] = ACTIONS(2041),
    [anon_sym_ref] = ACTIONS(2041),
    [anon_sym_scalar] = ACTIONS(2041),
    [anon_sym_shift] = ACTIONS(2041),
    [anon_sym_sin] = ACTIONS(2041),
    [anon_sym_sleep] = ACTIONS(2041),
    [anon_sym_sqrt] = ACTIONS(2041),
    [anon_sym_srand] = ACTIONS(2041),
    [anon_sym_stat] = ACTIONS(2041),
    [anon_sym_study] = ACTIONS(2041),
    [anon_sym_tell] = ACTIONS(2041),
    [anon_sym_telldir] = ACTIONS(2041),
    [anon_sym_tied] = ACTIONS(2041),
    [anon_sym_uc] = ACTIONS(2041),
    [anon_sym_ucfirst] = ACTIONS(2041),
    [anon_sym_untie] = ACTIONS(2041),
    [anon_sym_umask] = ACTIONS(2041),
    [anon_sym_values] = ACTIONS(2041),
    [anon_sym_write] = ACTIONS(2041),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2041),
    [anon_sym___END__] = ACTIONS(2041),
    [anon_sym_EOT] = ACTIONS(2041),
    [anon_sym_q] = ACTIONS(2041),
    [anon_sym_qq] = ACTIONS(2041),
    [anon_sym_qw] = ACTIONS(2041),
    [anon_sym_qx] = ACTIONS(2041),
    [anon_sym_qr] = ACTIONS(2041),
    [anon_sym_m] = ACTIONS(2041),
    [anon_sym_s] = ACTIONS(2041),
    [anon_sym_tr] = ACTIONS(2041),
    [anon_sym_y] = ACTIONS(2041),
    [anon_sym_if] = ACTIONS(2041),
    [anon_sym_unless] = ACTIONS(2041),
    [anon_sym_while] = ACTIONS(2041),
    [anon_sym_until] = ACTIONS(2041),
    [aux_sym__bareword_token1] = ACTIONS(2041),
    [sym_number] = ACTIONS(2041),
    [anon_sym_true] = ACTIONS(2041),
    [anon_sym_false] = ACTIONS(2041),
    [sym__single_quote] = ACTIONS(2039),
    [sym__double_quote] = ACTIONS(2039),
    [sym__backtick_quote] = ACTIONS(2039),
    [sym__search_slash_quote] = ACTIONS(2039),
    [sym__open_readline_bracket] = ACTIONS(2039),
    [sym__open_fileglob_bracket] = ACTIONS(2039),
    [sym__PERLY_HEREDOC] = ACTIONS(2039),
    [sym__ctrl_z_hack] = ACTIONS(2039),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2039),
    [sym__filetest] = ACTIONS(2039),
  },
  [901] = {
    [sym_heredoc_content] = STATE(901),
    [ts_builtin_sym_end] = ACTIONS(2043),
    [sym__identifier] = ACTIONS(2045),
    [anon_sym_LBRACE] = ACTIONS(2045),
    [anon_sym_SEMI] = ACTIONS(2045),
    [anon_sym_package] = ACTIONS(2045),
    [anon_sym_class] = ACTIONS(2045),
    [anon_sym_role] = ACTIONS(2045),
    [anon_sym_BUILD] = ACTIONS(2045),
    [anon_sym_ADJUST] = ACTIONS(2045),
    [anon_sym_DOLLAR] = ACTIONS(2045),
    [anon_sym_AT] = ACTIONS(2045),
    [anon_sym_my] = ACTIONS(2045),
    [anon_sym_extended] = ACTIONS(2045),
    [anon_sym_async] = ACTIONS(2045),
    [anon_sym_sub] = ACTIONS(2045),
    [anon_sym_method] = ACTIONS(2045),
    [anon_sym_LPAREN] = ACTIONS(2045),
    [anon_sym_continue] = ACTIONS(2045),
    [anon_sym_state] = ACTIONS(2045),
    [anon_sym_our] = ACTIONS(2045),
    [anon_sym_try] = ACTIONS(2045),
    [anon_sym_defer] = ACTIONS(2045),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2045),
    [anon_sym_LBRACK] = ACTIONS(2045),
    [anon_sym_LT_LT] = ACTIONS(2045),
    [anon_sym_SLASH_SLASH] = ACTIONS(2045),
    [anon_sym_PLUS] = ACTIONS(2045),
    [anon_sym_DASH] = ACTIONS(2045),
    [anon_sym_TILDE] = ACTIONS(2045),
    [anon_sym_BANG] = ACTIONS(2045),
    [anon_sym_PLUS_PLUS] = ACTIONS(2045),
    [anon_sym_DASH_DASH] = ACTIONS(2045),
    [anon_sym_BSLASH] = ACTIONS(2043),
    [anon_sym_do] = ACTIONS(2045),
    [anon_sym_eval] = ACTIONS(2045),
    [anon_sym_await] = ACTIONS(2045),
    [anon_sym_field] = ACTIONS(2045),
    [anon_sym_local] = ACTIONS(2045),
    [anon_sym_dynamically] = ACTIONS(2045),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2045),
    [anon_sym_require] = ACTIONS(2045),
    [anon_sym_map] = ACTIONS(2045),
    [anon_sym_grep] = ACTIONS(2045),
    [anon_sym_sort] = ACTIONS(2045),
    [anon_sym_goto] = ACTIONS(2045),
    [anon_sym_return] = ACTIONS(2045),
    [anon_sym_undef] = ACTIONS(2045),
    [anon_sym_PERCENT2] = ACTIONS(2045),
    [anon_sym_AMP2] = ACTIONS(2045),
    [anon_sym_STAR2] = ACTIONS(2045),
    [anon_sym_use] = ACTIONS(2045),
    [anon_sym_no] = ACTIONS(2045),
    [anon_sym_for] = ACTIONS(2045),
    [anon_sym_foreach] = ACTIONS(2045),
    [anon_sym_last] = ACTIONS(2045),
    [anon_sym_next] = ACTIONS(2045),
    [anon_sym_redo] = ACTIONS(2045),
    [anon_sym_BEGIN] = ACTIONS(2045),
    [anon_sym_INIT] = ACTIONS(2045),
    [anon_sym_CHECK] = ACTIONS(2045),
    [anon_sym_UNITCHECK] = ACTIONS(2045),
    [anon_sym_END] = ACTIONS(2045),
    [anon_sym___FILE__] = ACTIONS(2045),
    [anon_sym___LINE__] = ACTIONS(2045),
    [anon_sym___PACKAGE__] = ACTIONS(2045),
    [anon_sym___SUB__] = ACTIONS(2045),
    [anon_sym_break] = ACTIONS(2045),
    [anon_sym_fork] = ACTIONS(2045),
    [anon_sym_getppid] = ACTIONS(2045),
    [anon_sym_time] = ACTIONS(2045),
    [anon_sym_times] = ACTIONS(2045),
    [anon_sym_wait] = ACTIONS(2045),
    [anon_sym_wantarray] = ACTIONS(2045),
    [anon_sym_abs] = ACTIONS(2045),
    [anon_sym_alarm] = ACTIONS(2045),
    [anon_sym_chop] = ACTIONS(2045),
    [anon_sym_chdir] = ACTIONS(2045),
    [anon_sym_close] = ACTIONS(2045),
    [anon_sym_closedir] = ACTIONS(2045),
    [anon_sym_caller] = ACTIONS(2045),
    [anon_sym_chomp] = ACTIONS(2045),
    [anon_sym_chr] = ACTIONS(2045),
    [anon_sym_cos] = ACTIONS(2045),
    [anon_sym_chroot] = ACTIONS(2045),
    [anon_sym_defined] = ACTIONS(2045),
    [anon_sym_delete] = ACTIONS(2045),
    [anon_sym_dbmclose] = ACTIONS(2045),
    [anon_sym_exists] = ACTIONS(2045),
    [anon_sym_exit] = ACTIONS(2045),
    [anon_sym_eof] = ACTIONS(2045),
    [anon_sym_exp] = ACTIONS(2045),
    [anon_sym_each] = ACTIONS(2045),
    [anon_sym_fc] = ACTIONS(2045),
    [anon_sym_fileno] = ACTIONS(2045),
    [anon_sym_gmtime] = ACTIONS(2045),
    [anon_sym_getc] = ACTIONS(2045),
    [anon_sym_getpgrp] = ACTIONS(2045),
    [anon_sym_getprotobyname] = ACTIONS(2045),
    [anon_sym_getpwname] = ACTIONS(2045),
    [anon_sym_getpwuid] = ACTIONS(2045),
    [anon_sym_getpeername] = ACTIONS(2045),
    [anon_sym_getnetbyname] = ACTIONS(2045),
    [anon_sym_getsockname] = ACTIONS(2045),
    [anon_sym_getgrnam] = ACTIONS(2045),
    [anon_sym_getgrgid] = ACTIONS(2045),
    [anon_sym_hex] = ACTIONS(2045),
    [anon_sym_int] = ACTIONS(2045),
    [anon_sym_keys] = ACTIONS(2045),
    [anon_sym_lc] = ACTIONS(2045),
    [anon_sym_lcfirst] = ACTIONS(2045),
    [anon_sym_length] = ACTIONS(2045),
    [anon_sym_localtime] = ACTIONS(2045),
    [anon_sym_log] = ACTIONS(2045),
    [anon_sym_lock] = ACTIONS(2045),
    [anon_sym_lstat] = ACTIONS(2045),
    [anon_sym_oct] = ACTIONS(2045),
    [anon_sym_ord] = ACTIONS(2045),
    [anon_sym_prototype] = ACTIONS(2045),
    [anon_sym_pop] = ACTIONS(2045),
    [anon_sym_pos] = ACTIONS(2045),
    [anon_sym_quotemeta] = ACTIONS(2045),
    [anon_sym_reset] = ACTIONS(2045),
    [anon_sym_rand] = ACTIONS(2045),
    [anon_sym_rmdir] = ACTIONS(2045),
    [anon_sym_readdir] = ACTIONS(2045),
    [anon_sym_readline] = ACTIONS(2045),
    [anon_sym_readpipe] = ACTIONS(2045),
    [anon_sym_rewinddir] = ACTIONS(2045),
    [anon_sym_readlink] = ACTIONS(2045),
    [anon_sym_ref] = ACTIONS(2045),
    [anon_sym_scalar] = ACTIONS(2045),
    [anon_sym_shift] = ACTIONS(2045),
    [anon_sym_sin] = ACTIONS(2045),
    [anon_sym_sleep] = ACTIONS(2045),
    [anon_sym_sqrt] = ACTIONS(2045),
    [anon_sym_srand] = ACTIONS(2045),
    [anon_sym_stat] = ACTIONS(2045),
    [anon_sym_study] = ACTIONS(2045),
    [anon_sym_tell] = ACTIONS(2045),
    [anon_sym_telldir] = ACTIONS(2045),
    [anon_sym_tied] = ACTIONS(2045),
    [anon_sym_uc] = ACTIONS(2045),
    [anon_sym_ucfirst] = ACTIONS(2045),
    [anon_sym_untie] = ACTIONS(2045),
    [anon_sym_umask] = ACTIONS(2045),
    [anon_sym_values] = ACTIONS(2045),
    [anon_sym_write] = ACTIONS(2045),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2045),
    [anon_sym___END__] = ACTIONS(2045),
    [anon_sym_EOT] = ACTIONS(2045),
    [anon_sym_q] = ACTIONS(2045),
    [anon_sym_qq] = ACTIONS(2045),
    [anon_sym_qw] = ACTIONS(2045),
    [anon_sym_qx] = ACTIONS(2045),
    [anon_sym_qr] = ACTIONS(2045),
    [anon_sym_m] = ACTIONS(2045),
    [anon_sym_s] = ACTIONS(2045),
    [anon_sym_tr] = ACTIONS(2045),
    [anon_sym_y] = ACTIONS(2045),
    [anon_sym_if] = ACTIONS(2045),
    [anon_sym_unless] = ACTIONS(2045),
    [anon_sym_while] = ACTIONS(2045),
    [anon_sym_until] = ACTIONS(2045),
    [aux_sym__bareword_token1] = ACTIONS(2045),
    [sym_number] = ACTIONS(2045),
    [anon_sym_true] = ACTIONS(2045),
    [anon_sym_false] = ACTIONS(2045),
    [sym__single_quote] = ACTIONS(2043),
    [sym__double_quote] = ACTIONS(2043),
    [sym__backtick_quote] = ACTIONS(2043),
    [sym__search_slash_quote] = ACTIONS(2043),
    [sym__open_readline_bracket] = ACTIONS(2043),
    [sym__open_fileglob_bracket] = ACTIONS(2043),
    [sym__PERLY_HEREDOC] = ACTIONS(2043),
    [sym__ctrl_z_hack] = ACTIONS(2043),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2043),
    [sym__filetest] = ACTIONS(2043),
  },
  [902] = {
    [sym_heredoc_content] = STATE(902),
    [ts_builtin_sym_end] = ACTIONS(2047),
    [sym__identifier] = ACTIONS(2049),
    [anon_sym_LBRACE] = ACTIONS(2049),
    [anon_sym_SEMI] = ACTIONS(2049),
    [anon_sym_package] = ACTIONS(2049),
    [anon_sym_class] = ACTIONS(2049),
    [anon_sym_role] = ACTIONS(2049),
    [anon_sym_BUILD] = ACTIONS(2049),
    [anon_sym_ADJUST] = ACTIONS(2049),
    [anon_sym_DOLLAR] = ACTIONS(2049),
    [anon_sym_AT] = ACTIONS(2049),
    [anon_sym_my] = ACTIONS(2049),
    [anon_sym_extended] = ACTIONS(2049),
    [anon_sym_async] = ACTIONS(2049),
    [anon_sym_sub] = ACTIONS(2049),
    [anon_sym_method] = ACTIONS(2049),
    [anon_sym_LPAREN] = ACTIONS(2049),
    [anon_sym_continue] = ACTIONS(2049),
    [anon_sym_state] = ACTIONS(2049),
    [anon_sym_our] = ACTIONS(2049),
    [anon_sym_try] = ACTIONS(2049),
    [anon_sym_defer] = ACTIONS(2049),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2049),
    [anon_sym_LBRACK] = ACTIONS(2049),
    [anon_sym_LT_LT] = ACTIONS(2049),
    [anon_sym_SLASH_SLASH] = ACTIONS(2049),
    [anon_sym_PLUS] = ACTIONS(2049),
    [anon_sym_DASH] = ACTIONS(2049),
    [anon_sym_TILDE] = ACTIONS(2049),
    [anon_sym_BANG] = ACTIONS(2049),
    [anon_sym_PLUS_PLUS] = ACTIONS(2049),
    [anon_sym_DASH_DASH] = ACTIONS(2049),
    [anon_sym_BSLASH] = ACTIONS(2047),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_eval] = ACTIONS(2049),
    [anon_sym_await] = ACTIONS(2049),
    [anon_sym_field] = ACTIONS(2049),
    [anon_sym_local] = ACTIONS(2049),
    [anon_sym_dynamically] = ACTIONS(2049),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2049),
    [anon_sym_require] = ACTIONS(2049),
    [anon_sym_map] = ACTIONS(2049),
    [anon_sym_grep] = ACTIONS(2049),
    [anon_sym_sort] = ACTIONS(2049),
    [anon_sym_goto] = ACTIONS(2049),
    [anon_sym_return] = ACTIONS(2049),
    [anon_sym_undef] = ACTIONS(2049),
    [anon_sym_PERCENT2] = ACTIONS(2049),
    [anon_sym_AMP2] = ACTIONS(2049),
    [anon_sym_STAR2] = ACTIONS(2049),
    [anon_sym_use] = ACTIONS(2049),
    [anon_sym_no] = ACTIONS(2049),
    [anon_sym_for] = ACTIONS(2049),
    [anon_sym_foreach] = ACTIONS(2049),
    [anon_sym_last] = ACTIONS(2049),
    [anon_sym_next] = ACTIONS(2049),
    [anon_sym_redo] = ACTIONS(2049),
    [anon_sym_BEGIN] = ACTIONS(2049),
    [anon_sym_INIT] = ACTIONS(2049),
    [anon_sym_CHECK] = ACTIONS(2049),
    [anon_sym_UNITCHECK] = ACTIONS(2049),
    [anon_sym_END] = ACTIONS(2049),
    [anon_sym___FILE__] = ACTIONS(2049),
    [anon_sym___LINE__] = ACTIONS(2049),
    [anon_sym___PACKAGE__] = ACTIONS(2049),
    [anon_sym___SUB__] = ACTIONS(2049),
    [anon_sym_break] = ACTIONS(2049),
    [anon_sym_fork] = ACTIONS(2049),
    [anon_sym_getppid] = ACTIONS(2049),
    [anon_sym_time] = ACTIONS(2049),
    [anon_sym_times] = ACTIONS(2049),
    [anon_sym_wait] = ACTIONS(2049),
    [anon_sym_wantarray] = ACTIONS(2049),
    [anon_sym_abs] = ACTIONS(2049),
    [anon_sym_alarm] = ACTIONS(2049),
    [anon_sym_chop] = ACTIONS(2049),
    [anon_sym_chdir] = ACTIONS(2049),
    [anon_sym_close] = ACTIONS(2049),
    [anon_sym_closedir] = ACTIONS(2049),
    [anon_sym_caller] = ACTIONS(2049),
    [anon_sym_chomp] = ACTIONS(2049),
    [anon_sym_chr] = ACTIONS(2049),
    [anon_sym_cos] = ACTIONS(2049),
    [anon_sym_chroot] = ACTIONS(2049),
    [anon_sym_defined] = ACTIONS(2049),
    [anon_sym_delete] = ACTIONS(2049),
    [anon_sym_dbmclose] = ACTIONS(2049),
    [anon_sym_exists] = ACTIONS(2049),
    [anon_sym_exit] = ACTIONS(2049),
    [anon_sym_eof] = ACTIONS(2049),
    [anon_sym_exp] = ACTIONS(2049),
    [anon_sym_each] = ACTIONS(2049),
    [anon_sym_fc] = ACTIONS(2049),
    [anon_sym_fileno] = ACTIONS(2049),
    [anon_sym_gmtime] = ACTIONS(2049),
    [anon_sym_getc] = ACTIONS(2049),
    [anon_sym_getpgrp] = ACTIONS(2049),
    [anon_sym_getprotobyname] = ACTIONS(2049),
    [anon_sym_getpwname] = ACTIONS(2049),
    [anon_sym_getpwuid] = ACTIONS(2049),
    [anon_sym_getpeername] = ACTIONS(2049),
    [anon_sym_getnetbyname] = ACTIONS(2049),
    [anon_sym_getsockname] = ACTIONS(2049),
    [anon_sym_getgrnam] = ACTIONS(2049),
    [anon_sym_getgrgid] = ACTIONS(2049),
    [anon_sym_hex] = ACTIONS(2049),
    [anon_sym_int] = ACTIONS(2049),
    [anon_sym_keys] = ACTIONS(2049),
    [anon_sym_lc] = ACTIONS(2049),
    [anon_sym_lcfirst] = ACTIONS(2049),
    [anon_sym_length] = ACTIONS(2049),
    [anon_sym_localtime] = ACTIONS(2049),
    [anon_sym_log] = ACTIONS(2049),
    [anon_sym_lock] = ACTIONS(2049),
    [anon_sym_lstat] = ACTIONS(2049),
    [anon_sym_oct] = ACTIONS(2049),
    [anon_sym_ord] = ACTIONS(2049),
    [anon_sym_prototype] = ACTIONS(2049),
    [anon_sym_pop] = ACTIONS(2049),
    [anon_sym_pos] = ACTIONS(2049),
    [anon_sym_quotemeta] = ACTIONS(2049),
    [anon_sym_reset] = ACTIONS(2049),
    [anon_sym_rand] = ACTIONS(2049),
    [anon_sym_rmdir] = ACTIONS(2049),
    [anon_sym_readdir] = ACTIONS(2049),
    [anon_sym_readline] = ACTIONS(2049),
    [anon_sym_readpipe] = ACTIONS(2049),
    [anon_sym_rewinddir] = ACTIONS(2049),
    [anon_sym_readlink] = ACTIONS(2049),
    [anon_sym_ref] = ACTIONS(2049),
    [anon_sym_scalar] = ACTIONS(2049),
    [anon_sym_shift] = ACTIONS(2049),
    [anon_sym_sin] = ACTIONS(2049),
    [anon_sym_sleep] = ACTIONS(2049),
    [anon_sym_sqrt] = ACTIONS(2049),
    [anon_sym_srand] = ACTIONS(2049),
    [anon_sym_stat] = ACTIONS(2049),
    [anon_sym_study] = ACTIONS(2049),
    [anon_sym_tell] = ACTIONS(2049),
    [anon_sym_telldir] = ACTIONS(2049),
    [anon_sym_tied] = ACTIONS(2049),
    [anon_sym_uc] = ACTIONS(2049),
    [anon_sym_ucfirst] = ACTIONS(2049),
    [anon_sym_untie] = ACTIONS(2049),
    [anon_sym_umask] = ACTIONS(2049),
    [anon_sym_values] = ACTIONS(2049),
    [anon_sym_write] = ACTIONS(2049),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2049),
    [anon_sym___END__] = ACTIONS(2049),
    [anon_sym_EOT] = ACTIONS(2049),
    [anon_sym_q] = ACTIONS(2049),
    [anon_sym_qq] = ACTIONS(2049),
    [anon_sym_qw] = ACTIONS(2049),
    [anon_sym_qx] = ACTIONS(2049),
    [anon_sym_qr] = ACTIONS(2049),
    [anon_sym_m] = ACTIONS(2049),
    [anon_sym_s] = ACTIONS(2049),
    [anon_sym_tr] = ACTIONS(2049),
    [anon_sym_y] = ACTIONS(2049),
    [anon_sym_if] = ACTIONS(2049),
    [anon_sym_unless] = ACTIONS(2049),
    [anon_sym_while] = ACTIONS(2049),
    [anon_sym_until] = ACTIONS(2049),
    [aux_sym__bareword_token1] = ACTIONS(2049),
    [sym_number] = ACTIONS(2049),
    [anon_sym_true] = ACTIONS(2049),
    [anon_sym_false] = ACTIONS(2049),
    [sym__single_quote] = ACTIONS(2047),
    [sym__double_quote] = ACTIONS(2047),
    [sym__backtick_quote] = ACTIONS(2047),
    [sym__search_slash_quote] = ACTIONS(2047),
    [sym__open_readline_bracket] = ACTIONS(2047),
    [sym__open_fileglob_bracket] = ACTIONS(2047),
    [sym__PERLY_HEREDOC] = ACTIONS(2047),
    [sym__ctrl_z_hack] = ACTIONS(2047),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2047),
    [sym__filetest] = ACTIONS(2047),
  },
  [903] = {
    [sym_heredoc_content] = STATE(903),
    [ts_builtin_sym_end] = ACTIONS(2051),
    [sym__identifier] = ACTIONS(2053),
    [anon_sym_LBRACE] = ACTIONS(2053),
    [anon_sym_SEMI] = ACTIONS(2053),
    [anon_sym_package] = ACTIONS(2053),
    [anon_sym_class] = ACTIONS(2053),
    [anon_sym_role] = ACTIONS(2053),
    [anon_sym_BUILD] = ACTIONS(2053),
    [anon_sym_ADJUST] = ACTIONS(2053),
    [anon_sym_DOLLAR] = ACTIONS(2053),
    [anon_sym_AT] = ACTIONS(2053),
    [anon_sym_my] = ACTIONS(2053),
    [anon_sym_extended] = ACTIONS(2053),
    [anon_sym_async] = ACTIONS(2053),
    [anon_sym_sub] = ACTIONS(2053),
    [anon_sym_method] = ACTIONS(2053),
    [anon_sym_LPAREN] = ACTIONS(2053),
    [anon_sym_continue] = ACTIONS(2053),
    [anon_sym_state] = ACTIONS(2053),
    [anon_sym_our] = ACTIONS(2053),
    [anon_sym_try] = ACTIONS(2053),
    [anon_sym_defer] = ACTIONS(2053),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2053),
    [anon_sym_LBRACK] = ACTIONS(2053),
    [anon_sym_LT_LT] = ACTIONS(2053),
    [anon_sym_SLASH_SLASH] = ACTIONS(2053),
    [anon_sym_PLUS] = ACTIONS(2053),
    [anon_sym_DASH] = ACTIONS(2053),
    [anon_sym_TILDE] = ACTIONS(2053),
    [anon_sym_BANG] = ACTIONS(2053),
    [anon_sym_PLUS_PLUS] = ACTIONS(2053),
    [anon_sym_DASH_DASH] = ACTIONS(2053),
    [anon_sym_BSLASH] = ACTIONS(2051),
    [anon_sym_do] = ACTIONS(2053),
    [anon_sym_eval] = ACTIONS(2053),
    [anon_sym_await] = ACTIONS(2053),
    [anon_sym_field] = ACTIONS(2053),
    [anon_sym_local] = ACTIONS(2053),
    [anon_sym_dynamically] = ACTIONS(2053),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2053),
    [anon_sym_require] = ACTIONS(2053),
    [anon_sym_map] = ACTIONS(2053),
    [anon_sym_grep] = ACTIONS(2053),
    [anon_sym_sort] = ACTIONS(2053),
    [anon_sym_goto] = ACTIONS(2053),
    [anon_sym_return] = ACTIONS(2053),
    [anon_sym_undef] = ACTIONS(2053),
    [anon_sym_PERCENT2] = ACTIONS(2053),
    [anon_sym_AMP2] = ACTIONS(2053),
    [anon_sym_STAR2] = ACTIONS(2053),
    [anon_sym_use] = ACTIONS(2053),
    [anon_sym_no] = ACTIONS(2053),
    [anon_sym_for] = ACTIONS(2053),
    [anon_sym_foreach] = ACTIONS(2053),
    [anon_sym_last] = ACTIONS(2053),
    [anon_sym_next] = ACTIONS(2053),
    [anon_sym_redo] = ACTIONS(2053),
    [anon_sym_BEGIN] = ACTIONS(2053),
    [anon_sym_INIT] = ACTIONS(2053),
    [anon_sym_CHECK] = ACTIONS(2053),
    [anon_sym_UNITCHECK] = ACTIONS(2053),
    [anon_sym_END] = ACTIONS(2053),
    [anon_sym___FILE__] = ACTIONS(2053),
    [anon_sym___LINE__] = ACTIONS(2053),
    [anon_sym___PACKAGE__] = ACTIONS(2053),
    [anon_sym___SUB__] = ACTIONS(2053),
    [anon_sym_break] = ACTIONS(2053),
    [anon_sym_fork] = ACTIONS(2053),
    [anon_sym_getppid] = ACTIONS(2053),
    [anon_sym_time] = ACTIONS(2053),
    [anon_sym_times] = ACTIONS(2053),
    [anon_sym_wait] = ACTIONS(2053),
    [anon_sym_wantarray] = ACTIONS(2053),
    [anon_sym_abs] = ACTIONS(2053),
    [anon_sym_alarm] = ACTIONS(2053),
    [anon_sym_chop] = ACTIONS(2053),
    [anon_sym_chdir] = ACTIONS(2053),
    [anon_sym_close] = ACTIONS(2053),
    [anon_sym_closedir] = ACTIONS(2053),
    [anon_sym_caller] = ACTIONS(2053),
    [anon_sym_chomp] = ACTIONS(2053),
    [anon_sym_chr] = ACTIONS(2053),
    [anon_sym_cos] = ACTIONS(2053),
    [anon_sym_chroot] = ACTIONS(2053),
    [anon_sym_defined] = ACTIONS(2053),
    [anon_sym_delete] = ACTIONS(2053),
    [anon_sym_dbmclose] = ACTIONS(2053),
    [anon_sym_exists] = ACTIONS(2053),
    [anon_sym_exit] = ACTIONS(2053),
    [anon_sym_eof] = ACTIONS(2053),
    [anon_sym_exp] = ACTIONS(2053),
    [anon_sym_each] = ACTIONS(2053),
    [anon_sym_fc] = ACTIONS(2053),
    [anon_sym_fileno] = ACTIONS(2053),
    [anon_sym_gmtime] = ACTIONS(2053),
    [anon_sym_getc] = ACTIONS(2053),
    [anon_sym_getpgrp] = ACTIONS(2053),
    [anon_sym_getprotobyname] = ACTIONS(2053),
    [anon_sym_getpwname] = ACTIONS(2053),
    [anon_sym_getpwuid] = ACTIONS(2053),
    [anon_sym_getpeername] = ACTIONS(2053),
    [anon_sym_getnetbyname] = ACTIONS(2053),
    [anon_sym_getsockname] = ACTIONS(2053),
    [anon_sym_getgrnam] = ACTIONS(2053),
    [anon_sym_getgrgid] = ACTIONS(2053),
    [anon_sym_hex] = ACTIONS(2053),
    [anon_sym_int] = ACTIONS(2053),
    [anon_sym_keys] = ACTIONS(2053),
    [anon_sym_lc] = ACTIONS(2053),
    [anon_sym_lcfirst] = ACTIONS(2053),
    [anon_sym_length] = ACTIONS(2053),
    [anon_sym_localtime] = ACTIONS(2053),
    [anon_sym_log] = ACTIONS(2053),
    [anon_sym_lock] = ACTIONS(2053),
    [anon_sym_lstat] = ACTIONS(2053),
    [anon_sym_oct] = ACTIONS(2053),
    [anon_sym_ord] = ACTIONS(2053),
    [anon_sym_prototype] = ACTIONS(2053),
    [anon_sym_pop] = ACTIONS(2053),
    [anon_sym_pos] = ACTIONS(2053),
    [anon_sym_quotemeta] = ACTIONS(2053),
    [anon_sym_reset] = ACTIONS(2053),
    [anon_sym_rand] = ACTIONS(2053),
    [anon_sym_rmdir] = ACTIONS(2053),
    [anon_sym_readdir] = ACTIONS(2053),
    [anon_sym_readline] = ACTIONS(2053),
    [anon_sym_readpipe] = ACTIONS(2053),
    [anon_sym_rewinddir] = ACTIONS(2053),
    [anon_sym_readlink] = ACTIONS(2053),
    [anon_sym_ref] = ACTIONS(2053),
    [anon_sym_scalar] = ACTIONS(2053),
    [anon_sym_shift] = ACTIONS(2053),
    [anon_sym_sin] = ACTIONS(2053),
    [anon_sym_sleep] = ACTIONS(2053),
    [anon_sym_sqrt] = ACTIONS(2053),
    [anon_sym_srand] = ACTIONS(2053),
    [anon_sym_stat] = ACTIONS(2053),
    [anon_sym_study] = ACTIONS(2053),
    [anon_sym_tell] = ACTIONS(2053),
    [anon_sym_telldir] = ACTIONS(2053),
    [anon_sym_tied] = ACTIONS(2053),
    [anon_sym_uc] = ACTIONS(2053),
    [anon_sym_ucfirst] = ACTIONS(2053),
    [anon_sym_untie] = ACTIONS(2053),
    [anon_sym_umask] = ACTIONS(2053),
    [anon_sym_values] = ACTIONS(2053),
    [anon_sym_write] = ACTIONS(2053),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2053),
    [anon_sym___END__] = ACTIONS(2053),
    [anon_sym_EOT] = ACTIONS(2053),
    [anon_sym_q] = ACTIONS(2053),
    [anon_sym_qq] = ACTIONS(2053),
    [anon_sym_qw] = ACTIONS(2053),
    [anon_sym_qx] = ACTIONS(2053),
    [anon_sym_qr] = ACTIONS(2053),
    [anon_sym_m] = ACTIONS(2053),
    [anon_sym_s] = ACTIONS(2053),
    [anon_sym_tr] = ACTIONS(2053),
    [anon_sym_y] = ACTIONS(2053),
    [anon_sym_if] = ACTIONS(2053),
    [anon_sym_unless] = ACTIONS(2053),
    [anon_sym_while] = ACTIONS(2053),
    [anon_sym_until] = ACTIONS(2053),
    [aux_sym__bareword_token1] = ACTIONS(2053),
    [sym_number] = ACTIONS(2053),
    [anon_sym_true] = ACTIONS(2053),
    [anon_sym_false] = ACTIONS(2053),
    [sym__single_quote] = ACTIONS(2051),
    [sym__double_quote] = ACTIONS(2051),
    [sym__backtick_quote] = ACTIONS(2051),
    [sym__search_slash_quote] = ACTIONS(2051),
    [sym__open_readline_bracket] = ACTIONS(2051),
    [sym__open_fileglob_bracket] = ACTIONS(2051),
    [sym__PERLY_HEREDOC] = ACTIONS(2051),
    [sym__ctrl_z_hack] = ACTIONS(2051),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2051),
    [sym__filetest] = ACTIONS(2051),
  },
  [904] = {
    [sym_heredoc_content] = STATE(904),
    [ts_builtin_sym_end] = ACTIONS(2055),
    [sym__identifier] = ACTIONS(2057),
    [anon_sym_LBRACE] = ACTIONS(2057),
    [anon_sym_SEMI] = ACTIONS(2057),
    [anon_sym_package] = ACTIONS(2057),
    [anon_sym_class] = ACTIONS(2057),
    [anon_sym_role] = ACTIONS(2057),
    [anon_sym_BUILD] = ACTIONS(2057),
    [anon_sym_ADJUST] = ACTIONS(2057),
    [anon_sym_DOLLAR] = ACTIONS(2057),
    [anon_sym_AT] = ACTIONS(2057),
    [anon_sym_my] = ACTIONS(2057),
    [anon_sym_extended] = ACTIONS(2057),
    [anon_sym_async] = ACTIONS(2057),
    [anon_sym_sub] = ACTIONS(2057),
    [anon_sym_method] = ACTIONS(2057),
    [anon_sym_LPAREN] = ACTIONS(2057),
    [anon_sym_continue] = ACTIONS(2057),
    [anon_sym_state] = ACTIONS(2057),
    [anon_sym_our] = ACTIONS(2057),
    [anon_sym_try] = ACTIONS(2057),
    [anon_sym_defer] = ACTIONS(2057),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2057),
    [anon_sym_LBRACK] = ACTIONS(2057),
    [anon_sym_LT_LT] = ACTIONS(2057),
    [anon_sym_SLASH_SLASH] = ACTIONS(2057),
    [anon_sym_PLUS] = ACTIONS(2057),
    [anon_sym_DASH] = ACTIONS(2057),
    [anon_sym_TILDE] = ACTIONS(2057),
    [anon_sym_BANG] = ACTIONS(2057),
    [anon_sym_PLUS_PLUS] = ACTIONS(2057),
    [anon_sym_DASH_DASH] = ACTIONS(2057),
    [anon_sym_BSLASH] = ACTIONS(2055),
    [anon_sym_do] = ACTIONS(2057),
    [anon_sym_eval] = ACTIONS(2057),
    [anon_sym_await] = ACTIONS(2057),
    [anon_sym_field] = ACTIONS(2057),
    [anon_sym_local] = ACTIONS(2057),
    [anon_sym_dynamically] = ACTIONS(2057),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2057),
    [anon_sym_require] = ACTIONS(2057),
    [anon_sym_map] = ACTIONS(2057),
    [anon_sym_grep] = ACTIONS(2057),
    [anon_sym_sort] = ACTIONS(2057),
    [anon_sym_goto] = ACTIONS(2057),
    [anon_sym_return] = ACTIONS(2057),
    [anon_sym_undef] = ACTIONS(2057),
    [anon_sym_PERCENT2] = ACTIONS(2057),
    [anon_sym_AMP2] = ACTIONS(2057),
    [anon_sym_STAR2] = ACTIONS(2057),
    [anon_sym_use] = ACTIONS(2057),
    [anon_sym_no] = ACTIONS(2057),
    [anon_sym_for] = ACTIONS(2057),
    [anon_sym_foreach] = ACTIONS(2057),
    [anon_sym_last] = ACTIONS(2057),
    [anon_sym_next] = ACTIONS(2057),
    [anon_sym_redo] = ACTIONS(2057),
    [anon_sym_BEGIN] = ACTIONS(2057),
    [anon_sym_INIT] = ACTIONS(2057),
    [anon_sym_CHECK] = ACTIONS(2057),
    [anon_sym_UNITCHECK] = ACTIONS(2057),
    [anon_sym_END] = ACTIONS(2057),
    [anon_sym___FILE__] = ACTIONS(2057),
    [anon_sym___LINE__] = ACTIONS(2057),
    [anon_sym___PACKAGE__] = ACTIONS(2057),
    [anon_sym___SUB__] = ACTIONS(2057),
    [anon_sym_break] = ACTIONS(2057),
    [anon_sym_fork] = ACTIONS(2057),
    [anon_sym_getppid] = ACTIONS(2057),
    [anon_sym_time] = ACTIONS(2057),
    [anon_sym_times] = ACTIONS(2057),
    [anon_sym_wait] = ACTIONS(2057),
    [anon_sym_wantarray] = ACTIONS(2057),
    [anon_sym_abs] = ACTIONS(2057),
    [anon_sym_alarm] = ACTIONS(2057),
    [anon_sym_chop] = ACTIONS(2057),
    [anon_sym_chdir] = ACTIONS(2057),
    [anon_sym_close] = ACTIONS(2057),
    [anon_sym_closedir] = ACTIONS(2057),
    [anon_sym_caller] = ACTIONS(2057),
    [anon_sym_chomp] = ACTIONS(2057),
    [anon_sym_chr] = ACTIONS(2057),
    [anon_sym_cos] = ACTIONS(2057),
    [anon_sym_chroot] = ACTIONS(2057),
    [anon_sym_defined] = ACTIONS(2057),
    [anon_sym_delete] = ACTIONS(2057),
    [anon_sym_dbmclose] = ACTIONS(2057),
    [anon_sym_exists] = ACTIONS(2057),
    [anon_sym_exit] = ACTIONS(2057),
    [anon_sym_eof] = ACTIONS(2057),
    [anon_sym_exp] = ACTIONS(2057),
    [anon_sym_each] = ACTIONS(2057),
    [anon_sym_fc] = ACTIONS(2057),
    [anon_sym_fileno] = ACTIONS(2057),
    [anon_sym_gmtime] = ACTIONS(2057),
    [anon_sym_getc] = ACTIONS(2057),
    [anon_sym_getpgrp] = ACTIONS(2057),
    [anon_sym_getprotobyname] = ACTIONS(2057),
    [anon_sym_getpwname] = ACTIONS(2057),
    [anon_sym_getpwuid] = ACTIONS(2057),
    [anon_sym_getpeername] = ACTIONS(2057),
    [anon_sym_getnetbyname] = ACTIONS(2057),
    [anon_sym_getsockname] = ACTIONS(2057),
    [anon_sym_getgrnam] = ACTIONS(2057),
    [anon_sym_getgrgid] = ACTIONS(2057),
    [anon_sym_hex] = ACTIONS(2057),
    [anon_sym_int] = ACTIONS(2057),
    [anon_sym_keys] = ACTIONS(2057),
    [anon_sym_lc] = ACTIONS(2057),
    [anon_sym_lcfirst] = ACTIONS(2057),
    [anon_sym_length] = ACTIONS(2057),
    [anon_sym_localtime] = ACTIONS(2057),
    [anon_sym_log] = ACTIONS(2057),
    [anon_sym_lock] = ACTIONS(2057),
    [anon_sym_lstat] = ACTIONS(2057),
    [anon_sym_oct] = ACTIONS(2057),
    [anon_sym_ord] = ACTIONS(2057),
    [anon_sym_prototype] = ACTIONS(2057),
    [anon_sym_pop] = ACTIONS(2057),
    [anon_sym_pos] = ACTIONS(2057),
    [anon_sym_quotemeta] = ACTIONS(2057),
    [anon_sym_reset] = ACTIONS(2057),
    [anon_sym_rand] = ACTIONS(2057),
    [anon_sym_rmdir] = ACTIONS(2057),
    [anon_sym_readdir] = ACTIONS(2057),
    [anon_sym_readline] = ACTIONS(2057),
    [anon_sym_readpipe] = ACTIONS(2057),
    [anon_sym_rewinddir] = ACTIONS(2057),
    [anon_sym_readlink] = ACTIONS(2057),
    [anon_sym_ref] = ACTIONS(2057),
    [anon_sym_scalar] = ACTIONS(2057),
    [anon_sym_shift] = ACTIONS(2057),
    [anon_sym_sin] = ACTIONS(2057),
    [anon_sym_sleep] = ACTIONS(2057),
    [anon_sym_sqrt] = ACTIONS(2057),
    [anon_sym_srand] = ACTIONS(2057),
    [anon_sym_stat] = ACTIONS(2057),
    [anon_sym_study] = ACTIONS(2057),
    [anon_sym_tell] = ACTIONS(2057),
    [anon_sym_telldir] = ACTIONS(2057),
    [anon_sym_tied] = ACTIONS(2057),
    [anon_sym_uc] = ACTIONS(2057),
    [anon_sym_ucfirst] = ACTIONS(2057),
    [anon_sym_untie] = ACTIONS(2057),
    [anon_sym_umask] = ACTIONS(2057),
    [anon_sym_values] = ACTIONS(2057),
    [anon_sym_write] = ACTIONS(2057),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2057),
    [anon_sym___END__] = ACTIONS(2057),
    [anon_sym_EOT] = ACTIONS(2057),
    [anon_sym_q] = ACTIONS(2057),
    [anon_sym_qq] = ACTIONS(2057),
    [anon_sym_qw] = ACTIONS(2057),
    [anon_sym_qx] = ACTIONS(2057),
    [anon_sym_qr] = ACTIONS(2057),
    [anon_sym_m] = ACTIONS(2057),
    [anon_sym_s] = ACTIONS(2057),
    [anon_sym_tr] = ACTIONS(2057),
    [anon_sym_y] = ACTIONS(2057),
    [anon_sym_if] = ACTIONS(2057),
    [anon_sym_unless] = ACTIONS(2057),
    [anon_sym_while] = ACTIONS(2057),
    [anon_sym_until] = ACTIONS(2057),
    [aux_sym__bareword_token1] = ACTIONS(2057),
    [sym_number] = ACTIONS(2057),
    [anon_sym_true] = ACTIONS(2057),
    [anon_sym_false] = ACTIONS(2057),
    [sym__single_quote] = ACTIONS(2055),
    [sym__double_quote] = ACTIONS(2055),
    [sym__backtick_quote] = ACTIONS(2055),
    [sym__search_slash_quote] = ACTIONS(2055),
    [sym__open_readline_bracket] = ACTIONS(2055),
    [sym__open_fileglob_bracket] = ACTIONS(2055),
    [sym__PERLY_HEREDOC] = ACTIONS(2055),
    [sym__ctrl_z_hack] = ACTIONS(2055),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2055),
    [sym__filetest] = ACTIONS(2055),
  },
  [905] = {
    [sym_heredoc_content] = STATE(905),
    [ts_builtin_sym_end] = ACTIONS(2059),
    [sym__identifier] = ACTIONS(2061),
    [anon_sym_LBRACE] = ACTIONS(2061),
    [anon_sym_SEMI] = ACTIONS(2061),
    [anon_sym_package] = ACTIONS(2061),
    [anon_sym_class] = ACTIONS(2061),
    [anon_sym_role] = ACTIONS(2061),
    [anon_sym_BUILD] = ACTIONS(2061),
    [anon_sym_ADJUST] = ACTIONS(2061),
    [anon_sym_DOLLAR] = ACTIONS(2061),
    [anon_sym_AT] = ACTIONS(2061),
    [anon_sym_my] = ACTIONS(2061),
    [anon_sym_extended] = ACTIONS(2061),
    [anon_sym_async] = ACTIONS(2061),
    [anon_sym_sub] = ACTIONS(2061),
    [anon_sym_method] = ACTIONS(2061),
    [anon_sym_LPAREN] = ACTIONS(2061),
    [anon_sym_continue] = ACTIONS(2061),
    [anon_sym_state] = ACTIONS(2061),
    [anon_sym_our] = ACTIONS(2061),
    [anon_sym_try] = ACTIONS(2061),
    [anon_sym_defer] = ACTIONS(2061),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2061),
    [anon_sym_LBRACK] = ACTIONS(2061),
    [anon_sym_LT_LT] = ACTIONS(2061),
    [anon_sym_SLASH_SLASH] = ACTIONS(2061),
    [anon_sym_PLUS] = ACTIONS(2061),
    [anon_sym_DASH] = ACTIONS(2061),
    [anon_sym_TILDE] = ACTIONS(2061),
    [anon_sym_BANG] = ACTIONS(2061),
    [anon_sym_PLUS_PLUS] = ACTIONS(2061),
    [anon_sym_DASH_DASH] = ACTIONS(2061),
    [anon_sym_BSLASH] = ACTIONS(2059),
    [anon_sym_do] = ACTIONS(2061),
    [anon_sym_eval] = ACTIONS(2061),
    [anon_sym_await] = ACTIONS(2061),
    [anon_sym_field] = ACTIONS(2061),
    [anon_sym_local] = ACTIONS(2061),
    [anon_sym_dynamically] = ACTIONS(2061),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2061),
    [anon_sym_require] = ACTIONS(2061),
    [anon_sym_map] = ACTIONS(2061),
    [anon_sym_grep] = ACTIONS(2061),
    [anon_sym_sort] = ACTIONS(2061),
    [anon_sym_goto] = ACTIONS(2061),
    [anon_sym_return] = ACTIONS(2061),
    [anon_sym_undef] = ACTIONS(2061),
    [anon_sym_PERCENT2] = ACTIONS(2061),
    [anon_sym_AMP2] = ACTIONS(2061),
    [anon_sym_STAR2] = ACTIONS(2061),
    [anon_sym_use] = ACTIONS(2061),
    [anon_sym_no] = ACTIONS(2061),
    [anon_sym_for] = ACTIONS(2061),
    [anon_sym_foreach] = ACTIONS(2061),
    [anon_sym_last] = ACTIONS(2061),
    [anon_sym_next] = ACTIONS(2061),
    [anon_sym_redo] = ACTIONS(2061),
    [anon_sym_BEGIN] = ACTIONS(2061),
    [anon_sym_INIT] = ACTIONS(2061),
    [anon_sym_CHECK] = ACTIONS(2061),
    [anon_sym_UNITCHECK] = ACTIONS(2061),
    [anon_sym_END] = ACTIONS(2061),
    [anon_sym___FILE__] = ACTIONS(2061),
    [anon_sym___LINE__] = ACTIONS(2061),
    [anon_sym___PACKAGE__] = ACTIONS(2061),
    [anon_sym___SUB__] = ACTIONS(2061),
    [anon_sym_break] = ACTIONS(2061),
    [anon_sym_fork] = ACTIONS(2061),
    [anon_sym_getppid] = ACTIONS(2061),
    [anon_sym_time] = ACTIONS(2061),
    [anon_sym_times] = ACTIONS(2061),
    [anon_sym_wait] = ACTIONS(2061),
    [anon_sym_wantarray] = ACTIONS(2061),
    [anon_sym_abs] = ACTIONS(2061),
    [anon_sym_alarm] = ACTIONS(2061),
    [anon_sym_chop] = ACTIONS(2061),
    [anon_sym_chdir] = ACTIONS(2061),
    [anon_sym_close] = ACTIONS(2061),
    [anon_sym_closedir] = ACTIONS(2061),
    [anon_sym_caller] = ACTIONS(2061),
    [anon_sym_chomp] = ACTIONS(2061),
    [anon_sym_chr] = ACTIONS(2061),
    [anon_sym_cos] = ACTIONS(2061),
    [anon_sym_chroot] = ACTIONS(2061),
    [anon_sym_defined] = ACTIONS(2061),
    [anon_sym_delete] = ACTIONS(2061),
    [anon_sym_dbmclose] = ACTIONS(2061),
    [anon_sym_exists] = ACTIONS(2061),
    [anon_sym_exit] = ACTIONS(2061),
    [anon_sym_eof] = ACTIONS(2061),
    [anon_sym_exp] = ACTIONS(2061),
    [anon_sym_each] = ACTIONS(2061),
    [anon_sym_fc] = ACTIONS(2061),
    [anon_sym_fileno] = ACTIONS(2061),
    [anon_sym_gmtime] = ACTIONS(2061),
    [anon_sym_getc] = ACTIONS(2061),
    [anon_sym_getpgrp] = ACTIONS(2061),
    [anon_sym_getprotobyname] = ACTIONS(2061),
    [anon_sym_getpwname] = ACTIONS(2061),
    [anon_sym_getpwuid] = ACTIONS(2061),
    [anon_sym_getpeername] = ACTIONS(2061),
    [anon_sym_getnetbyname] = ACTIONS(2061),
    [anon_sym_getsockname] = ACTIONS(2061),
    [anon_sym_getgrnam] = ACTIONS(2061),
    [anon_sym_getgrgid] = ACTIONS(2061),
    [anon_sym_hex] = ACTIONS(2061),
    [anon_sym_int] = ACTIONS(2061),
    [anon_sym_keys] = ACTIONS(2061),
    [anon_sym_lc] = ACTIONS(2061),
    [anon_sym_lcfirst] = ACTIONS(2061),
    [anon_sym_length] = ACTIONS(2061),
    [anon_sym_localtime] = ACTIONS(2061),
    [anon_sym_log] = ACTIONS(2061),
    [anon_sym_lock] = ACTIONS(2061),
    [anon_sym_lstat] = ACTIONS(2061),
    [anon_sym_oct] = ACTIONS(2061),
    [anon_sym_ord] = ACTIONS(2061),
    [anon_sym_prototype] = ACTIONS(2061),
    [anon_sym_pop] = ACTIONS(2061),
    [anon_sym_pos] = ACTIONS(2061),
    [anon_sym_quotemeta] = ACTIONS(2061),
    [anon_sym_reset] = ACTIONS(2061),
    [anon_sym_rand] = ACTIONS(2061),
    [anon_sym_rmdir] = ACTIONS(2061),
    [anon_sym_readdir] = ACTIONS(2061),
    [anon_sym_readline] = ACTIONS(2061),
    [anon_sym_readpipe] = ACTIONS(2061),
    [anon_sym_rewinddir] = ACTIONS(2061),
    [anon_sym_readlink] = ACTIONS(2061),
    [anon_sym_ref] = ACTIONS(2061),
    [anon_sym_scalar] = ACTIONS(2061),
    [anon_sym_shift] = ACTIONS(2061),
    [anon_sym_sin] = ACTIONS(2061),
    [anon_sym_sleep] = ACTIONS(2061),
    [anon_sym_sqrt] = ACTIONS(2061),
    [anon_sym_srand] = ACTIONS(2061),
    [anon_sym_stat] = ACTIONS(2061),
    [anon_sym_study] = ACTIONS(2061),
    [anon_sym_tell] = ACTIONS(2061),
    [anon_sym_telldir] = ACTIONS(2061),
    [anon_sym_tied] = ACTIONS(2061),
    [anon_sym_uc] = ACTIONS(2061),
    [anon_sym_ucfirst] = ACTIONS(2061),
    [anon_sym_untie] = ACTIONS(2061),
    [anon_sym_umask] = ACTIONS(2061),
    [anon_sym_values] = ACTIONS(2061),
    [anon_sym_write] = ACTIONS(2061),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2061),
    [anon_sym___END__] = ACTIONS(2061),
    [anon_sym_EOT] = ACTIONS(2061),
    [anon_sym_q] = ACTIONS(2061),
    [anon_sym_qq] = ACTIONS(2061),
    [anon_sym_qw] = ACTIONS(2061),
    [anon_sym_qx] = ACTIONS(2061),
    [anon_sym_qr] = ACTIONS(2061),
    [anon_sym_m] = ACTIONS(2061),
    [anon_sym_s] = ACTIONS(2061),
    [anon_sym_tr] = ACTIONS(2061),
    [anon_sym_y] = ACTIONS(2061),
    [anon_sym_if] = ACTIONS(2061),
    [anon_sym_unless] = ACTIONS(2061),
    [anon_sym_while] = ACTIONS(2061),
    [anon_sym_until] = ACTIONS(2061),
    [aux_sym__bareword_token1] = ACTIONS(2061),
    [sym_number] = ACTIONS(2061),
    [anon_sym_true] = ACTIONS(2061),
    [anon_sym_false] = ACTIONS(2061),
    [sym__single_quote] = ACTIONS(2059),
    [sym__double_quote] = ACTIONS(2059),
    [sym__backtick_quote] = ACTIONS(2059),
    [sym__search_slash_quote] = ACTIONS(2059),
    [sym__open_readline_bracket] = ACTIONS(2059),
    [sym__open_fileglob_bracket] = ACTIONS(2059),
    [sym__PERLY_HEREDOC] = ACTIONS(2059),
    [sym__ctrl_z_hack] = ACTIONS(2059),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2059),
    [sym__filetest] = ACTIONS(2059),
  },
  [906] = {
    [sym_heredoc_content] = STATE(906),
    [ts_builtin_sym_end] = ACTIONS(2063),
    [sym__identifier] = ACTIONS(2065),
    [anon_sym_LBRACE] = ACTIONS(2065),
    [anon_sym_SEMI] = ACTIONS(2065),
    [anon_sym_package] = ACTIONS(2065),
    [anon_sym_class] = ACTIONS(2065),
    [anon_sym_role] = ACTIONS(2065),
    [anon_sym_BUILD] = ACTIONS(2065),
    [anon_sym_ADJUST] = ACTIONS(2065),
    [anon_sym_DOLLAR] = ACTIONS(2065),
    [anon_sym_AT] = ACTIONS(2065),
    [anon_sym_my] = ACTIONS(2065),
    [anon_sym_extended] = ACTIONS(2065),
    [anon_sym_async] = ACTIONS(2065),
    [anon_sym_sub] = ACTIONS(2065),
    [anon_sym_method] = ACTIONS(2065),
    [anon_sym_LPAREN] = ACTIONS(2065),
    [anon_sym_continue] = ACTIONS(2065),
    [anon_sym_state] = ACTIONS(2065),
    [anon_sym_our] = ACTIONS(2065),
    [anon_sym_try] = ACTIONS(2065),
    [anon_sym_defer] = ACTIONS(2065),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2065),
    [anon_sym_LBRACK] = ACTIONS(2065),
    [anon_sym_LT_LT] = ACTIONS(2065),
    [anon_sym_SLASH_SLASH] = ACTIONS(2065),
    [anon_sym_PLUS] = ACTIONS(2065),
    [anon_sym_DASH] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_BSLASH] = ACTIONS(2063),
    [anon_sym_do] = ACTIONS(2065),
    [anon_sym_eval] = ACTIONS(2065),
    [anon_sym_await] = ACTIONS(2065),
    [anon_sym_field] = ACTIONS(2065),
    [anon_sym_local] = ACTIONS(2065),
    [anon_sym_dynamically] = ACTIONS(2065),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2065),
    [anon_sym_require] = ACTIONS(2065),
    [anon_sym_map] = ACTIONS(2065),
    [anon_sym_grep] = ACTIONS(2065),
    [anon_sym_sort] = ACTIONS(2065),
    [anon_sym_goto] = ACTIONS(2065),
    [anon_sym_return] = ACTIONS(2065),
    [anon_sym_undef] = ACTIONS(2065),
    [anon_sym_PERCENT2] = ACTIONS(2065),
    [anon_sym_AMP2] = ACTIONS(2065),
    [anon_sym_STAR2] = ACTIONS(2065),
    [anon_sym_use] = ACTIONS(2065),
    [anon_sym_no] = ACTIONS(2065),
    [anon_sym_for] = ACTIONS(2065),
    [anon_sym_foreach] = ACTIONS(2065),
    [anon_sym_last] = ACTIONS(2065),
    [anon_sym_next] = ACTIONS(2065),
    [anon_sym_redo] = ACTIONS(2065),
    [anon_sym_BEGIN] = ACTIONS(2065),
    [anon_sym_INIT] = ACTIONS(2065),
    [anon_sym_CHECK] = ACTIONS(2065),
    [anon_sym_UNITCHECK] = ACTIONS(2065),
    [anon_sym_END] = ACTIONS(2065),
    [anon_sym___FILE__] = ACTIONS(2065),
    [anon_sym___LINE__] = ACTIONS(2065),
    [anon_sym___PACKAGE__] = ACTIONS(2065),
    [anon_sym___SUB__] = ACTIONS(2065),
    [anon_sym_break] = ACTIONS(2065),
    [anon_sym_fork] = ACTIONS(2065),
    [anon_sym_getppid] = ACTIONS(2065),
    [anon_sym_time] = ACTIONS(2065),
    [anon_sym_times] = ACTIONS(2065),
    [anon_sym_wait] = ACTIONS(2065),
    [anon_sym_wantarray] = ACTIONS(2065),
    [anon_sym_abs] = ACTIONS(2065),
    [anon_sym_alarm] = ACTIONS(2065),
    [anon_sym_chop] = ACTIONS(2065),
    [anon_sym_chdir] = ACTIONS(2065),
    [anon_sym_close] = ACTIONS(2065),
    [anon_sym_closedir] = ACTIONS(2065),
    [anon_sym_caller] = ACTIONS(2065),
    [anon_sym_chomp] = ACTIONS(2065),
    [anon_sym_chr] = ACTIONS(2065),
    [anon_sym_cos] = ACTIONS(2065),
    [anon_sym_chroot] = ACTIONS(2065),
    [anon_sym_defined] = ACTIONS(2065),
    [anon_sym_delete] = ACTIONS(2065),
    [anon_sym_dbmclose] = ACTIONS(2065),
    [anon_sym_exists] = ACTIONS(2065),
    [anon_sym_exit] = ACTIONS(2065),
    [anon_sym_eof] = ACTIONS(2065),
    [anon_sym_exp] = ACTIONS(2065),
    [anon_sym_each] = ACTIONS(2065),
    [anon_sym_fc] = ACTIONS(2065),
    [anon_sym_fileno] = ACTIONS(2065),
    [anon_sym_gmtime] = ACTIONS(2065),
    [anon_sym_getc] = ACTIONS(2065),
    [anon_sym_getpgrp] = ACTIONS(2065),
    [anon_sym_getprotobyname] = ACTIONS(2065),
    [anon_sym_getpwname] = ACTIONS(2065),
    [anon_sym_getpwuid] = ACTIONS(2065),
    [anon_sym_getpeername] = ACTIONS(2065),
    [anon_sym_getnetbyname] = ACTIONS(2065),
    [anon_sym_getsockname] = ACTIONS(2065),
    [anon_sym_getgrnam] = ACTIONS(2065),
    [anon_sym_getgrgid] = ACTIONS(2065),
    [anon_sym_hex] = ACTIONS(2065),
    [anon_sym_int] = ACTIONS(2065),
    [anon_sym_keys] = ACTIONS(2065),
    [anon_sym_lc] = ACTIONS(2065),
    [anon_sym_lcfirst] = ACTIONS(2065),
    [anon_sym_length] = ACTIONS(2065),
    [anon_sym_localtime] = ACTIONS(2065),
    [anon_sym_log] = ACTIONS(2065),
    [anon_sym_lock] = ACTIONS(2065),
    [anon_sym_lstat] = ACTIONS(2065),
    [anon_sym_oct] = ACTIONS(2065),
    [anon_sym_ord] = ACTIONS(2065),
    [anon_sym_prototype] = ACTIONS(2065),
    [anon_sym_pop] = ACTIONS(2065),
    [anon_sym_pos] = ACTIONS(2065),
    [anon_sym_quotemeta] = ACTIONS(2065),
    [anon_sym_reset] = ACTIONS(2065),
    [anon_sym_rand] = ACTIONS(2065),
    [anon_sym_rmdir] = ACTIONS(2065),
    [anon_sym_readdir] = ACTIONS(2065),
    [anon_sym_readline] = ACTIONS(2065),
    [anon_sym_readpipe] = ACTIONS(2065),
    [anon_sym_rewinddir] = ACTIONS(2065),
    [anon_sym_readlink] = ACTIONS(2065),
    [anon_sym_ref] = ACTIONS(2065),
    [anon_sym_scalar] = ACTIONS(2065),
    [anon_sym_shift] = ACTIONS(2065),
    [anon_sym_sin] = ACTIONS(2065),
    [anon_sym_sleep] = ACTIONS(2065),
    [anon_sym_sqrt] = ACTIONS(2065),
    [anon_sym_srand] = ACTIONS(2065),
    [anon_sym_stat] = ACTIONS(2065),
    [anon_sym_study] = ACTIONS(2065),
    [anon_sym_tell] = ACTIONS(2065),
    [anon_sym_telldir] = ACTIONS(2065),
    [anon_sym_tied] = ACTIONS(2065),
    [anon_sym_uc] = ACTIONS(2065),
    [anon_sym_ucfirst] = ACTIONS(2065),
    [anon_sym_untie] = ACTIONS(2065),
    [anon_sym_umask] = ACTIONS(2065),
    [anon_sym_values] = ACTIONS(2065),
    [anon_sym_write] = ACTIONS(2065),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2065),
    [anon_sym___END__] = ACTIONS(2065),
    [anon_sym_EOT] = ACTIONS(2065),
    [anon_sym_q] = ACTIONS(2065),
    [anon_sym_qq] = ACTIONS(2065),
    [anon_sym_qw] = ACTIONS(2065),
    [anon_sym_qx] = ACTIONS(2065),
    [anon_sym_qr] = ACTIONS(2065),
    [anon_sym_m] = ACTIONS(2065),
    [anon_sym_s] = ACTIONS(2065),
    [anon_sym_tr] = ACTIONS(2065),
    [anon_sym_y] = ACTIONS(2065),
    [anon_sym_if] = ACTIONS(2065),
    [anon_sym_unless] = ACTIONS(2065),
    [anon_sym_while] = ACTIONS(2065),
    [anon_sym_until] = ACTIONS(2065),
    [aux_sym__bareword_token1] = ACTIONS(2065),
    [sym_number] = ACTIONS(2065),
    [anon_sym_true] = ACTIONS(2065),
    [anon_sym_false] = ACTIONS(2065),
    [sym__single_quote] = ACTIONS(2063),
    [sym__double_quote] = ACTIONS(2063),
    [sym__backtick_quote] = ACTIONS(2063),
    [sym__search_slash_quote] = ACTIONS(2063),
    [sym__open_readline_bracket] = ACTIONS(2063),
    [sym__open_fileglob_bracket] = ACTIONS(2063),
    [sym__PERLY_HEREDOC] = ACTIONS(2063),
    [sym__ctrl_z_hack] = ACTIONS(2063),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2063),
    [sym__filetest] = ACTIONS(2063),
  },
  [907] = {
    [sym_heredoc_content] = STATE(907),
    [ts_builtin_sym_end] = ACTIONS(2067),
    [sym__identifier] = ACTIONS(2069),
    [anon_sym_LBRACE] = ACTIONS(2069),
    [anon_sym_SEMI] = ACTIONS(2069),
    [anon_sym_package] = ACTIONS(2069),
    [anon_sym_class] = ACTIONS(2069),
    [anon_sym_role] = ACTIONS(2069),
    [anon_sym_BUILD] = ACTIONS(2069),
    [anon_sym_ADJUST] = ACTIONS(2069),
    [anon_sym_DOLLAR] = ACTIONS(2069),
    [anon_sym_AT] = ACTIONS(2069),
    [anon_sym_my] = ACTIONS(2069),
    [anon_sym_extended] = ACTIONS(2069),
    [anon_sym_async] = ACTIONS(2069),
    [anon_sym_sub] = ACTIONS(2069),
    [anon_sym_method] = ACTIONS(2069),
    [anon_sym_LPAREN] = ACTIONS(2069),
    [anon_sym_continue] = ACTIONS(2069),
    [anon_sym_state] = ACTIONS(2069),
    [anon_sym_our] = ACTIONS(2069),
    [anon_sym_try] = ACTIONS(2069),
    [anon_sym_defer] = ACTIONS(2069),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2069),
    [anon_sym_LBRACK] = ACTIONS(2069),
    [anon_sym_LT_LT] = ACTIONS(2069),
    [anon_sym_SLASH_SLASH] = ACTIONS(2069),
    [anon_sym_PLUS] = ACTIONS(2069),
    [anon_sym_DASH] = ACTIONS(2069),
    [anon_sym_TILDE] = ACTIONS(2069),
    [anon_sym_BANG] = ACTIONS(2069),
    [anon_sym_PLUS_PLUS] = ACTIONS(2069),
    [anon_sym_DASH_DASH] = ACTIONS(2069),
    [anon_sym_BSLASH] = ACTIONS(2067),
    [anon_sym_do] = ACTIONS(2069),
    [anon_sym_eval] = ACTIONS(2069),
    [anon_sym_await] = ACTIONS(2069),
    [anon_sym_field] = ACTIONS(2069),
    [anon_sym_local] = ACTIONS(2069),
    [anon_sym_dynamically] = ACTIONS(2069),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2069),
    [anon_sym_require] = ACTIONS(2069),
    [anon_sym_map] = ACTIONS(2069),
    [anon_sym_grep] = ACTIONS(2069),
    [anon_sym_sort] = ACTIONS(2069),
    [anon_sym_goto] = ACTIONS(2069),
    [anon_sym_return] = ACTIONS(2069),
    [anon_sym_undef] = ACTIONS(2069),
    [anon_sym_PERCENT2] = ACTIONS(2069),
    [anon_sym_AMP2] = ACTIONS(2069),
    [anon_sym_STAR2] = ACTIONS(2069),
    [anon_sym_use] = ACTIONS(2069),
    [anon_sym_no] = ACTIONS(2069),
    [anon_sym_for] = ACTIONS(2069),
    [anon_sym_foreach] = ACTIONS(2069),
    [anon_sym_last] = ACTIONS(2069),
    [anon_sym_next] = ACTIONS(2069),
    [anon_sym_redo] = ACTIONS(2069),
    [anon_sym_BEGIN] = ACTIONS(2069),
    [anon_sym_INIT] = ACTIONS(2069),
    [anon_sym_CHECK] = ACTIONS(2069),
    [anon_sym_UNITCHECK] = ACTIONS(2069),
    [anon_sym_END] = ACTIONS(2069),
    [anon_sym___FILE__] = ACTIONS(2069),
    [anon_sym___LINE__] = ACTIONS(2069),
    [anon_sym___PACKAGE__] = ACTIONS(2069),
    [anon_sym___SUB__] = ACTIONS(2069),
    [anon_sym_break] = ACTIONS(2069),
    [anon_sym_fork] = ACTIONS(2069),
    [anon_sym_getppid] = ACTIONS(2069),
    [anon_sym_time] = ACTIONS(2069),
    [anon_sym_times] = ACTIONS(2069),
    [anon_sym_wait] = ACTIONS(2069),
    [anon_sym_wantarray] = ACTIONS(2069),
    [anon_sym_abs] = ACTIONS(2069),
    [anon_sym_alarm] = ACTIONS(2069),
    [anon_sym_chop] = ACTIONS(2069),
    [anon_sym_chdir] = ACTIONS(2069),
    [anon_sym_close] = ACTIONS(2069),
    [anon_sym_closedir] = ACTIONS(2069),
    [anon_sym_caller] = ACTIONS(2069),
    [anon_sym_chomp] = ACTIONS(2069),
    [anon_sym_chr] = ACTIONS(2069),
    [anon_sym_cos] = ACTIONS(2069),
    [anon_sym_chroot] = ACTIONS(2069),
    [anon_sym_defined] = ACTIONS(2069),
    [anon_sym_delete] = ACTIONS(2069),
    [anon_sym_dbmclose] = ACTIONS(2069),
    [anon_sym_exists] = ACTIONS(2069),
    [anon_sym_exit] = ACTIONS(2069),
    [anon_sym_eof] = ACTIONS(2069),
    [anon_sym_exp] = ACTIONS(2069),
    [anon_sym_each] = ACTIONS(2069),
    [anon_sym_fc] = ACTIONS(2069),
    [anon_sym_fileno] = ACTIONS(2069),
    [anon_sym_gmtime] = ACTIONS(2069),
    [anon_sym_getc] = ACTIONS(2069),
    [anon_sym_getpgrp] = ACTIONS(2069),
    [anon_sym_getprotobyname] = ACTIONS(2069),
    [anon_sym_getpwname] = ACTIONS(2069),
    [anon_sym_getpwuid] = ACTIONS(2069),
    [anon_sym_getpeername] = ACTIONS(2069),
    [anon_sym_getnetbyname] = ACTIONS(2069),
    [anon_sym_getsockname] = ACTIONS(2069),
    [anon_sym_getgrnam] = ACTIONS(2069),
    [anon_sym_getgrgid] = ACTIONS(2069),
    [anon_sym_hex] = ACTIONS(2069),
    [anon_sym_int] = ACTIONS(2069),
    [anon_sym_keys] = ACTIONS(2069),
    [anon_sym_lc] = ACTIONS(2069),
    [anon_sym_lcfirst] = ACTIONS(2069),
    [anon_sym_length] = ACTIONS(2069),
    [anon_sym_localtime] = ACTIONS(2069),
    [anon_sym_log] = ACTIONS(2069),
    [anon_sym_lock] = ACTIONS(2069),
    [anon_sym_lstat] = ACTIONS(2069),
    [anon_sym_oct] = ACTIONS(2069),
    [anon_sym_ord] = ACTIONS(2069),
    [anon_sym_prototype] = ACTIONS(2069),
    [anon_sym_pop] = ACTIONS(2069),
    [anon_sym_pos] = ACTIONS(2069),
    [anon_sym_quotemeta] = ACTIONS(2069),
    [anon_sym_reset] = ACTIONS(2069),
    [anon_sym_rand] = ACTIONS(2069),
    [anon_sym_rmdir] = ACTIONS(2069),
    [anon_sym_readdir] = ACTIONS(2069),
    [anon_sym_readline] = ACTIONS(2069),
    [anon_sym_readpipe] = ACTIONS(2069),
    [anon_sym_rewinddir] = ACTIONS(2069),
    [anon_sym_readlink] = ACTIONS(2069),
    [anon_sym_ref] = ACTIONS(2069),
    [anon_sym_scalar] = ACTIONS(2069),
    [anon_sym_shift] = ACTIONS(2069),
    [anon_sym_sin] = ACTIONS(2069),
    [anon_sym_sleep] = ACTIONS(2069),
    [anon_sym_sqrt] = ACTIONS(2069),
    [anon_sym_srand] = ACTIONS(2069),
    [anon_sym_stat] = ACTIONS(2069),
    [anon_sym_study] = ACTIONS(2069),
    [anon_sym_tell] = ACTIONS(2069),
    [anon_sym_telldir] = ACTIONS(2069),
    [anon_sym_tied] = ACTIONS(2069),
    [anon_sym_uc] = ACTIONS(2069),
    [anon_sym_ucfirst] = ACTIONS(2069),
    [anon_sym_untie] = ACTIONS(2069),
    [anon_sym_umask] = ACTIONS(2069),
    [anon_sym_values] = ACTIONS(2069),
    [anon_sym_write] = ACTIONS(2069),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2069),
    [anon_sym___END__] = ACTIONS(2069),
    [anon_sym_EOT] = ACTIONS(2069),
    [anon_sym_q] = ACTIONS(2069),
    [anon_sym_qq] = ACTIONS(2069),
    [anon_sym_qw] = ACTIONS(2069),
    [anon_sym_qx] = ACTIONS(2069),
    [anon_sym_qr] = ACTIONS(2069),
    [anon_sym_m] = ACTIONS(2069),
    [anon_sym_s] = ACTIONS(2069),
    [anon_sym_tr] = ACTIONS(2069),
    [anon_sym_y] = ACTIONS(2069),
    [anon_sym_if] = ACTIONS(2069),
    [anon_sym_unless] = ACTIONS(2069),
    [anon_sym_while] = ACTIONS(2069),
    [anon_sym_until] = ACTIONS(2069),
    [aux_sym__bareword_token1] = ACTIONS(2069),
    [sym_number] = ACTIONS(2069),
    [anon_sym_true] = ACTIONS(2069),
    [anon_sym_false] = ACTIONS(2069),
    [sym__single_quote] = ACTIONS(2067),
    [sym__double_quote] = ACTIONS(2067),
    [sym__backtick_quote] = ACTIONS(2067),
    [sym__search_slash_quote] = ACTIONS(2067),
    [sym__open_readline_bracket] = ACTIONS(2067),
    [sym__open_fileglob_bracket] = ACTIONS(2067),
    [sym__PERLY_HEREDOC] = ACTIONS(2067),
    [sym__ctrl_z_hack] = ACTIONS(2067),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2067),
    [sym__filetest] = ACTIONS(2067),
  },
  [908] = {
    [sym_heredoc_content] = STATE(908),
    [ts_builtin_sym_end] = ACTIONS(2071),
    [sym__identifier] = ACTIONS(2073),
    [anon_sym_LBRACE] = ACTIONS(2073),
    [anon_sym_SEMI] = ACTIONS(2073),
    [anon_sym_package] = ACTIONS(2073),
    [anon_sym_class] = ACTIONS(2073),
    [anon_sym_role] = ACTIONS(2073),
    [anon_sym_BUILD] = ACTIONS(2073),
    [anon_sym_ADJUST] = ACTIONS(2073),
    [anon_sym_DOLLAR] = ACTIONS(2073),
    [anon_sym_AT] = ACTIONS(2073),
    [anon_sym_my] = ACTIONS(2073),
    [anon_sym_extended] = ACTIONS(2073),
    [anon_sym_async] = ACTIONS(2073),
    [anon_sym_sub] = ACTIONS(2073),
    [anon_sym_method] = ACTIONS(2073),
    [anon_sym_LPAREN] = ACTIONS(2073),
    [anon_sym_continue] = ACTIONS(2073),
    [anon_sym_state] = ACTIONS(2073),
    [anon_sym_our] = ACTIONS(2073),
    [anon_sym_try] = ACTIONS(2073),
    [anon_sym_defer] = ACTIONS(2073),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2073),
    [anon_sym_LBRACK] = ACTIONS(2073),
    [anon_sym_LT_LT] = ACTIONS(2073),
    [anon_sym_SLASH_SLASH] = ACTIONS(2073),
    [anon_sym_PLUS] = ACTIONS(2073),
    [anon_sym_DASH] = ACTIONS(2073),
    [anon_sym_TILDE] = ACTIONS(2073),
    [anon_sym_BANG] = ACTIONS(2073),
    [anon_sym_PLUS_PLUS] = ACTIONS(2073),
    [anon_sym_DASH_DASH] = ACTIONS(2073),
    [anon_sym_BSLASH] = ACTIONS(2071),
    [anon_sym_do] = ACTIONS(2073),
    [anon_sym_eval] = ACTIONS(2073),
    [anon_sym_await] = ACTIONS(2073),
    [anon_sym_field] = ACTIONS(2073),
    [anon_sym_local] = ACTIONS(2073),
    [anon_sym_dynamically] = ACTIONS(2073),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2073),
    [anon_sym_require] = ACTIONS(2073),
    [anon_sym_map] = ACTIONS(2073),
    [anon_sym_grep] = ACTIONS(2073),
    [anon_sym_sort] = ACTIONS(2073),
    [anon_sym_goto] = ACTIONS(2073),
    [anon_sym_return] = ACTIONS(2073),
    [anon_sym_undef] = ACTIONS(2073),
    [anon_sym_PERCENT2] = ACTIONS(2073),
    [anon_sym_AMP2] = ACTIONS(2073),
    [anon_sym_STAR2] = ACTIONS(2073),
    [anon_sym_use] = ACTIONS(2073),
    [anon_sym_no] = ACTIONS(2073),
    [anon_sym_for] = ACTIONS(2073),
    [anon_sym_foreach] = ACTIONS(2073),
    [anon_sym_last] = ACTIONS(2073),
    [anon_sym_next] = ACTIONS(2073),
    [anon_sym_redo] = ACTIONS(2073),
    [anon_sym_BEGIN] = ACTIONS(2073),
    [anon_sym_INIT] = ACTIONS(2073),
    [anon_sym_CHECK] = ACTIONS(2073),
    [anon_sym_UNITCHECK] = ACTIONS(2073),
    [anon_sym_END] = ACTIONS(2073),
    [anon_sym___FILE__] = ACTIONS(2073),
    [anon_sym___LINE__] = ACTIONS(2073),
    [anon_sym___PACKAGE__] = ACTIONS(2073),
    [anon_sym___SUB__] = ACTIONS(2073),
    [anon_sym_break] = ACTIONS(2073),
    [anon_sym_fork] = ACTIONS(2073),
    [anon_sym_getppid] = ACTIONS(2073),
    [anon_sym_time] = ACTIONS(2073),
    [anon_sym_times] = ACTIONS(2073),
    [anon_sym_wait] = ACTIONS(2073),
    [anon_sym_wantarray] = ACTIONS(2073),
    [anon_sym_abs] = ACTIONS(2073),
    [anon_sym_alarm] = ACTIONS(2073),
    [anon_sym_chop] = ACTIONS(2073),
    [anon_sym_chdir] = ACTIONS(2073),
    [anon_sym_close] = ACTIONS(2073),
    [anon_sym_closedir] = ACTIONS(2073),
    [anon_sym_caller] = ACTIONS(2073),
    [anon_sym_chomp] = ACTIONS(2073),
    [anon_sym_chr] = ACTIONS(2073),
    [anon_sym_cos] = ACTIONS(2073),
    [anon_sym_chroot] = ACTIONS(2073),
    [anon_sym_defined] = ACTIONS(2073),
    [anon_sym_delete] = ACTIONS(2073),
    [anon_sym_dbmclose] = ACTIONS(2073),
    [anon_sym_exists] = ACTIONS(2073),
    [anon_sym_exit] = ACTIONS(2073),
    [anon_sym_eof] = ACTIONS(2073),
    [anon_sym_exp] = ACTIONS(2073),
    [anon_sym_each] = ACTIONS(2073),
    [anon_sym_fc] = ACTIONS(2073),
    [anon_sym_fileno] = ACTIONS(2073),
    [anon_sym_gmtime] = ACTIONS(2073),
    [anon_sym_getc] = ACTIONS(2073),
    [anon_sym_getpgrp] = ACTIONS(2073),
    [anon_sym_getprotobyname] = ACTIONS(2073),
    [anon_sym_getpwname] = ACTIONS(2073),
    [anon_sym_getpwuid] = ACTIONS(2073),
    [anon_sym_getpeername] = ACTIONS(2073),
    [anon_sym_getnetbyname] = ACTIONS(2073),
    [anon_sym_getsockname] = ACTIONS(2073),
    [anon_sym_getgrnam] = ACTIONS(2073),
    [anon_sym_getgrgid] = ACTIONS(2073),
    [anon_sym_hex] = ACTIONS(2073),
    [anon_sym_int] = ACTIONS(2073),
    [anon_sym_keys] = ACTIONS(2073),
    [anon_sym_lc] = ACTIONS(2073),
    [anon_sym_lcfirst] = ACTIONS(2073),
    [anon_sym_length] = ACTIONS(2073),
    [anon_sym_localtime] = ACTIONS(2073),
    [anon_sym_log] = ACTIONS(2073),
    [anon_sym_lock] = ACTIONS(2073),
    [anon_sym_lstat] = ACTIONS(2073),
    [anon_sym_oct] = ACTIONS(2073),
    [anon_sym_ord] = ACTIONS(2073),
    [anon_sym_prototype] = ACTIONS(2073),
    [anon_sym_pop] = ACTIONS(2073),
    [anon_sym_pos] = ACTIONS(2073),
    [anon_sym_quotemeta] = ACTIONS(2073),
    [anon_sym_reset] = ACTIONS(2073),
    [anon_sym_rand] = ACTIONS(2073),
    [anon_sym_rmdir] = ACTIONS(2073),
    [anon_sym_readdir] = ACTIONS(2073),
    [anon_sym_readline] = ACTIONS(2073),
    [anon_sym_readpipe] = ACTIONS(2073),
    [anon_sym_rewinddir] = ACTIONS(2073),
    [anon_sym_readlink] = ACTIONS(2073),
    [anon_sym_ref] = ACTIONS(2073),
    [anon_sym_scalar] = ACTIONS(2073),
    [anon_sym_shift] = ACTIONS(2073),
    [anon_sym_sin] = ACTIONS(2073),
    [anon_sym_sleep] = ACTIONS(2073),
    [anon_sym_sqrt] = ACTIONS(2073),
    [anon_sym_srand] = ACTIONS(2073),
    [anon_sym_stat] = ACTIONS(2073),
    [anon_sym_study] = ACTIONS(2073),
    [anon_sym_tell] = ACTIONS(2073),
    [anon_sym_telldir] = ACTIONS(2073),
    [anon_sym_tied] = ACTIONS(2073),
    [anon_sym_uc] = ACTIONS(2073),
    [anon_sym_ucfirst] = ACTIONS(2073),
    [anon_sym_untie] = ACTIONS(2073),
    [anon_sym_umask] = ACTIONS(2073),
    [anon_sym_values] = ACTIONS(2073),
    [anon_sym_write] = ACTIONS(2073),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2073),
    [anon_sym___END__] = ACTIONS(2073),
    [anon_sym_EOT] = ACTIONS(2073),
    [anon_sym_q] = ACTIONS(2073),
    [anon_sym_qq] = ACTIONS(2073),
    [anon_sym_qw] = ACTIONS(2073),
    [anon_sym_qx] = ACTIONS(2073),
    [anon_sym_qr] = ACTIONS(2073),
    [anon_sym_m] = ACTIONS(2073),
    [anon_sym_s] = ACTIONS(2073),
    [anon_sym_tr] = ACTIONS(2073),
    [anon_sym_y] = ACTIONS(2073),
    [anon_sym_if] = ACTIONS(2073),
    [anon_sym_unless] = ACTIONS(2073),
    [anon_sym_while] = ACTIONS(2073),
    [anon_sym_until] = ACTIONS(2073),
    [aux_sym__bareword_token1] = ACTIONS(2073),
    [sym_number] = ACTIONS(2073),
    [anon_sym_true] = ACTIONS(2073),
    [anon_sym_false] = ACTIONS(2073),
    [sym__single_quote] = ACTIONS(2071),
    [sym__double_quote] = ACTIONS(2071),
    [sym__backtick_quote] = ACTIONS(2071),
    [sym__search_slash_quote] = ACTIONS(2071),
    [sym__open_readline_bracket] = ACTIONS(2071),
    [sym__open_fileglob_bracket] = ACTIONS(2071),
    [sym__PERLY_HEREDOC] = ACTIONS(2071),
    [sym__ctrl_z_hack] = ACTIONS(2071),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2071),
    [sym__filetest] = ACTIONS(2071),
  },
  [909] = {
    [sym_heredoc_content] = STATE(909),
    [ts_builtin_sym_end] = ACTIONS(2075),
    [sym__identifier] = ACTIONS(2077),
    [anon_sym_LBRACE] = ACTIONS(2077),
    [anon_sym_SEMI] = ACTIONS(2077),
    [anon_sym_package] = ACTIONS(2077),
    [anon_sym_class] = ACTIONS(2077),
    [anon_sym_role] = ACTIONS(2077),
    [anon_sym_BUILD] = ACTIONS(2077),
    [anon_sym_ADJUST] = ACTIONS(2077),
    [anon_sym_DOLLAR] = ACTIONS(2077),
    [anon_sym_AT] = ACTIONS(2077),
    [anon_sym_my] = ACTIONS(2077),
    [anon_sym_extended] = ACTIONS(2077),
    [anon_sym_async] = ACTIONS(2077),
    [anon_sym_sub] = ACTIONS(2077),
    [anon_sym_method] = ACTIONS(2077),
    [anon_sym_LPAREN] = ACTIONS(2077),
    [anon_sym_continue] = ACTIONS(2077),
    [anon_sym_state] = ACTIONS(2077),
    [anon_sym_our] = ACTIONS(2077),
    [anon_sym_try] = ACTIONS(2077),
    [anon_sym_defer] = ACTIONS(2077),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2077),
    [anon_sym_LBRACK] = ACTIONS(2077),
    [anon_sym_LT_LT] = ACTIONS(2077),
    [anon_sym_SLASH_SLASH] = ACTIONS(2077),
    [anon_sym_PLUS] = ACTIONS(2077),
    [anon_sym_DASH] = ACTIONS(2077),
    [anon_sym_TILDE] = ACTIONS(2077),
    [anon_sym_BANG] = ACTIONS(2077),
    [anon_sym_PLUS_PLUS] = ACTIONS(2077),
    [anon_sym_DASH_DASH] = ACTIONS(2077),
    [anon_sym_BSLASH] = ACTIONS(2075),
    [anon_sym_do] = ACTIONS(2077),
    [anon_sym_eval] = ACTIONS(2077),
    [anon_sym_await] = ACTIONS(2077),
    [anon_sym_field] = ACTIONS(2077),
    [anon_sym_local] = ACTIONS(2077),
    [anon_sym_dynamically] = ACTIONS(2077),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2077),
    [anon_sym_require] = ACTIONS(2077),
    [anon_sym_map] = ACTIONS(2077),
    [anon_sym_grep] = ACTIONS(2077),
    [anon_sym_sort] = ACTIONS(2077),
    [anon_sym_goto] = ACTIONS(2077),
    [anon_sym_return] = ACTIONS(2077),
    [anon_sym_undef] = ACTIONS(2077),
    [anon_sym_PERCENT2] = ACTIONS(2077),
    [anon_sym_AMP2] = ACTIONS(2077),
    [anon_sym_STAR2] = ACTIONS(2077),
    [anon_sym_use] = ACTIONS(2077),
    [anon_sym_no] = ACTIONS(2077),
    [anon_sym_for] = ACTIONS(2077),
    [anon_sym_foreach] = ACTIONS(2077),
    [anon_sym_last] = ACTIONS(2077),
    [anon_sym_next] = ACTIONS(2077),
    [anon_sym_redo] = ACTIONS(2077),
    [anon_sym_BEGIN] = ACTIONS(2077),
    [anon_sym_INIT] = ACTIONS(2077),
    [anon_sym_CHECK] = ACTIONS(2077),
    [anon_sym_UNITCHECK] = ACTIONS(2077),
    [anon_sym_END] = ACTIONS(2077),
    [anon_sym___FILE__] = ACTIONS(2077),
    [anon_sym___LINE__] = ACTIONS(2077),
    [anon_sym___PACKAGE__] = ACTIONS(2077),
    [anon_sym___SUB__] = ACTIONS(2077),
    [anon_sym_break] = ACTIONS(2077),
    [anon_sym_fork] = ACTIONS(2077),
    [anon_sym_getppid] = ACTIONS(2077),
    [anon_sym_time] = ACTIONS(2077),
    [anon_sym_times] = ACTIONS(2077),
    [anon_sym_wait] = ACTIONS(2077),
    [anon_sym_wantarray] = ACTIONS(2077),
    [anon_sym_abs] = ACTIONS(2077),
    [anon_sym_alarm] = ACTIONS(2077),
    [anon_sym_chop] = ACTIONS(2077),
    [anon_sym_chdir] = ACTIONS(2077),
    [anon_sym_close] = ACTIONS(2077),
    [anon_sym_closedir] = ACTIONS(2077),
    [anon_sym_caller] = ACTIONS(2077),
    [anon_sym_chomp] = ACTIONS(2077),
    [anon_sym_chr] = ACTIONS(2077),
    [anon_sym_cos] = ACTIONS(2077),
    [anon_sym_chroot] = ACTIONS(2077),
    [anon_sym_defined] = ACTIONS(2077),
    [anon_sym_delete] = ACTIONS(2077),
    [anon_sym_dbmclose] = ACTIONS(2077),
    [anon_sym_exists] = ACTIONS(2077),
    [anon_sym_exit] = ACTIONS(2077),
    [anon_sym_eof] = ACTIONS(2077),
    [anon_sym_exp] = ACTIONS(2077),
    [anon_sym_each] = ACTIONS(2077),
    [anon_sym_fc] = ACTIONS(2077),
    [anon_sym_fileno] = ACTIONS(2077),
    [anon_sym_gmtime] = ACTIONS(2077),
    [anon_sym_getc] = ACTIONS(2077),
    [anon_sym_getpgrp] = ACTIONS(2077),
    [anon_sym_getprotobyname] = ACTIONS(2077),
    [anon_sym_getpwname] = ACTIONS(2077),
    [anon_sym_getpwuid] = ACTIONS(2077),
    [anon_sym_getpeername] = ACTIONS(2077),
    [anon_sym_getnetbyname] = ACTIONS(2077),
    [anon_sym_getsockname] = ACTIONS(2077),
    [anon_sym_getgrnam] = ACTIONS(2077),
    [anon_sym_getgrgid] = ACTIONS(2077),
    [anon_sym_hex] = ACTIONS(2077),
    [anon_sym_int] = ACTIONS(2077),
    [anon_sym_keys] = ACTIONS(2077),
    [anon_sym_lc] = ACTIONS(2077),
    [anon_sym_lcfirst] = ACTIONS(2077),
    [anon_sym_length] = ACTIONS(2077),
    [anon_sym_localtime] = ACTIONS(2077),
    [anon_sym_log] = ACTIONS(2077),
    [anon_sym_lock] = ACTIONS(2077),
    [anon_sym_lstat] = ACTIONS(2077),
    [anon_sym_oct] = ACTIONS(2077),
    [anon_sym_ord] = ACTIONS(2077),
    [anon_sym_prototype] = ACTIONS(2077),
    [anon_sym_pop] = ACTIONS(2077),
    [anon_sym_pos] = ACTIONS(2077),
    [anon_sym_quotemeta] = ACTIONS(2077),
    [anon_sym_reset] = ACTIONS(2077),
    [anon_sym_rand] = ACTIONS(2077),
    [anon_sym_rmdir] = ACTIONS(2077),
    [anon_sym_readdir] = ACTIONS(2077),
    [anon_sym_readline] = ACTIONS(2077),
    [anon_sym_readpipe] = ACTIONS(2077),
    [anon_sym_rewinddir] = ACTIONS(2077),
    [anon_sym_readlink] = ACTIONS(2077),
    [anon_sym_ref] = ACTIONS(2077),
    [anon_sym_scalar] = ACTIONS(2077),
    [anon_sym_shift] = ACTIONS(2077),
    [anon_sym_sin] = ACTIONS(2077),
    [anon_sym_sleep] = ACTIONS(2077),
    [anon_sym_sqrt] = ACTIONS(2077),
    [anon_sym_srand] = ACTIONS(2077),
    [anon_sym_stat] = ACTIONS(2077),
    [anon_sym_study] = ACTIONS(2077),
    [anon_sym_tell] = ACTIONS(2077),
    [anon_sym_telldir] = ACTIONS(2077),
    [anon_sym_tied] = ACTIONS(2077),
    [anon_sym_uc] = ACTIONS(2077),
    [anon_sym_ucfirst] = ACTIONS(2077),
    [anon_sym_untie] = ACTIONS(2077),
    [anon_sym_umask] = ACTIONS(2077),
    [anon_sym_values] = ACTIONS(2077),
    [anon_sym_write] = ACTIONS(2077),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2077),
    [anon_sym___END__] = ACTIONS(2077),
    [anon_sym_EOT] = ACTIONS(2077),
    [anon_sym_q] = ACTIONS(2077),
    [anon_sym_qq] = ACTIONS(2077),
    [anon_sym_qw] = ACTIONS(2077),
    [anon_sym_qx] = ACTIONS(2077),
    [anon_sym_qr] = ACTIONS(2077),
    [anon_sym_m] = ACTIONS(2077),
    [anon_sym_s] = ACTIONS(2077),
    [anon_sym_tr] = ACTIONS(2077),
    [anon_sym_y] = ACTIONS(2077),
    [anon_sym_if] = ACTIONS(2077),
    [anon_sym_unless] = ACTIONS(2077),
    [anon_sym_while] = ACTIONS(2077),
    [anon_sym_until] = ACTIONS(2077),
    [aux_sym__bareword_token1] = ACTIONS(2077),
    [sym_number] = ACTIONS(2077),
    [anon_sym_true] = ACTIONS(2077),
    [anon_sym_false] = ACTIONS(2077),
    [sym__single_quote] = ACTIONS(2075),
    [sym__double_quote] = ACTIONS(2075),
    [sym__backtick_quote] = ACTIONS(2075),
    [sym__search_slash_quote] = ACTIONS(2075),
    [sym__open_readline_bracket] = ACTIONS(2075),
    [sym__open_fileglob_bracket] = ACTIONS(2075),
    [sym__PERLY_HEREDOC] = ACTIONS(2075),
    [sym__ctrl_z_hack] = ACTIONS(2075),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2075),
    [sym__filetest] = ACTIONS(2075),
  },
  [910] = {
    [sym_heredoc_content] = STATE(910),
    [ts_builtin_sym_end] = ACTIONS(2079),
    [sym__identifier] = ACTIONS(2081),
    [anon_sym_LBRACE] = ACTIONS(2081),
    [anon_sym_SEMI] = ACTIONS(2081),
    [anon_sym_package] = ACTIONS(2081),
    [anon_sym_class] = ACTIONS(2081),
    [anon_sym_role] = ACTIONS(2081),
    [anon_sym_BUILD] = ACTIONS(2081),
    [anon_sym_ADJUST] = ACTIONS(2081),
    [anon_sym_DOLLAR] = ACTIONS(2081),
    [anon_sym_AT] = ACTIONS(2081),
    [anon_sym_my] = ACTIONS(2081),
    [anon_sym_extended] = ACTIONS(2081),
    [anon_sym_async] = ACTIONS(2081),
    [anon_sym_sub] = ACTIONS(2081),
    [anon_sym_method] = ACTIONS(2081),
    [anon_sym_LPAREN] = ACTIONS(2081),
    [anon_sym_continue] = ACTIONS(2081),
    [anon_sym_state] = ACTIONS(2081),
    [anon_sym_our] = ACTIONS(2081),
    [anon_sym_try] = ACTIONS(2081),
    [anon_sym_defer] = ACTIONS(2081),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2081),
    [anon_sym_LBRACK] = ACTIONS(2081),
    [anon_sym_LT_LT] = ACTIONS(2081),
    [anon_sym_SLASH_SLASH] = ACTIONS(2081),
    [anon_sym_PLUS] = ACTIONS(2081),
    [anon_sym_DASH] = ACTIONS(2081),
    [anon_sym_TILDE] = ACTIONS(2081),
    [anon_sym_BANG] = ACTIONS(2081),
    [anon_sym_PLUS_PLUS] = ACTIONS(2081),
    [anon_sym_DASH_DASH] = ACTIONS(2081),
    [anon_sym_BSLASH] = ACTIONS(2079),
    [anon_sym_do] = ACTIONS(2081),
    [anon_sym_eval] = ACTIONS(2081),
    [anon_sym_await] = ACTIONS(2081),
    [anon_sym_field] = ACTIONS(2081),
    [anon_sym_local] = ACTIONS(2081),
    [anon_sym_dynamically] = ACTIONS(2081),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2081),
    [anon_sym_require] = ACTIONS(2081),
    [anon_sym_map] = ACTIONS(2081),
    [anon_sym_grep] = ACTIONS(2081),
    [anon_sym_sort] = ACTIONS(2081),
    [anon_sym_goto] = ACTIONS(2081),
    [anon_sym_return] = ACTIONS(2081),
    [anon_sym_undef] = ACTIONS(2081),
    [anon_sym_PERCENT2] = ACTIONS(2081),
    [anon_sym_AMP2] = ACTIONS(2081),
    [anon_sym_STAR2] = ACTIONS(2081),
    [anon_sym_use] = ACTIONS(2081),
    [anon_sym_no] = ACTIONS(2081),
    [anon_sym_for] = ACTIONS(2081),
    [anon_sym_foreach] = ACTIONS(2081),
    [anon_sym_last] = ACTIONS(2081),
    [anon_sym_next] = ACTIONS(2081),
    [anon_sym_redo] = ACTIONS(2081),
    [anon_sym_BEGIN] = ACTIONS(2081),
    [anon_sym_INIT] = ACTIONS(2081),
    [anon_sym_CHECK] = ACTIONS(2081),
    [anon_sym_UNITCHECK] = ACTIONS(2081),
    [anon_sym_END] = ACTIONS(2081),
    [anon_sym___FILE__] = ACTIONS(2081),
    [anon_sym___LINE__] = ACTIONS(2081),
    [anon_sym___PACKAGE__] = ACTIONS(2081),
    [anon_sym___SUB__] = ACTIONS(2081),
    [anon_sym_break] = ACTIONS(2081),
    [anon_sym_fork] = ACTIONS(2081),
    [anon_sym_getppid] = ACTIONS(2081),
    [anon_sym_time] = ACTIONS(2081),
    [anon_sym_times] = ACTIONS(2081),
    [anon_sym_wait] = ACTIONS(2081),
    [anon_sym_wantarray] = ACTIONS(2081),
    [anon_sym_abs] = ACTIONS(2081),
    [anon_sym_alarm] = ACTIONS(2081),
    [anon_sym_chop] = ACTIONS(2081),
    [anon_sym_chdir] = ACTIONS(2081),
    [anon_sym_close] = ACTIONS(2081),
    [anon_sym_closedir] = ACTIONS(2081),
    [anon_sym_caller] = ACTIONS(2081),
    [anon_sym_chomp] = ACTIONS(2081),
    [anon_sym_chr] = ACTIONS(2081),
    [anon_sym_cos] = ACTIONS(2081),
    [anon_sym_chroot] = ACTIONS(2081),
    [anon_sym_defined] = ACTIONS(2081),
    [anon_sym_delete] = ACTIONS(2081),
    [anon_sym_dbmclose] = ACTIONS(2081),
    [anon_sym_exists] = ACTIONS(2081),
    [anon_sym_exit] = ACTIONS(2081),
    [anon_sym_eof] = ACTIONS(2081),
    [anon_sym_exp] = ACTIONS(2081),
    [anon_sym_each] = ACTIONS(2081),
    [anon_sym_fc] = ACTIONS(2081),
    [anon_sym_fileno] = ACTIONS(2081),
    [anon_sym_gmtime] = ACTIONS(2081),
    [anon_sym_getc] = ACTIONS(2081),
    [anon_sym_getpgrp] = ACTIONS(2081),
    [anon_sym_getprotobyname] = ACTIONS(2081),
    [anon_sym_getpwname] = ACTIONS(2081),
    [anon_sym_getpwuid] = ACTIONS(2081),
    [anon_sym_getpeername] = ACTIONS(2081),
    [anon_sym_getnetbyname] = ACTIONS(2081),
    [anon_sym_getsockname] = ACTIONS(2081),
    [anon_sym_getgrnam] = ACTIONS(2081),
    [anon_sym_getgrgid] = ACTIONS(2081),
    [anon_sym_hex] = ACTIONS(2081),
    [anon_sym_int] = ACTIONS(2081),
    [anon_sym_keys] = ACTIONS(2081),
    [anon_sym_lc] = ACTIONS(2081),
    [anon_sym_lcfirst] = ACTIONS(2081),
    [anon_sym_length] = ACTIONS(2081),
    [anon_sym_localtime] = ACTIONS(2081),
    [anon_sym_log] = ACTIONS(2081),
    [anon_sym_lock] = ACTIONS(2081),
    [anon_sym_lstat] = ACTIONS(2081),
    [anon_sym_oct] = ACTIONS(2081),
    [anon_sym_ord] = ACTIONS(2081),
    [anon_sym_prototype] = ACTIONS(2081),
    [anon_sym_pop] = ACTIONS(2081),
    [anon_sym_pos] = ACTIONS(2081),
    [anon_sym_quotemeta] = ACTIONS(2081),
    [anon_sym_reset] = ACTIONS(2081),
    [anon_sym_rand] = ACTIONS(2081),
    [anon_sym_rmdir] = ACTIONS(2081),
    [anon_sym_readdir] = ACTIONS(2081),
    [anon_sym_readline] = ACTIONS(2081),
    [anon_sym_readpipe] = ACTIONS(2081),
    [anon_sym_rewinddir] = ACTIONS(2081),
    [anon_sym_readlink] = ACTIONS(2081),
    [anon_sym_ref] = ACTIONS(2081),
    [anon_sym_scalar] = ACTIONS(2081),
    [anon_sym_shift] = ACTIONS(2081),
    [anon_sym_sin] = ACTIONS(2081),
    [anon_sym_sleep] = ACTIONS(2081),
    [anon_sym_sqrt] = ACTIONS(2081),
    [anon_sym_srand] = ACTIONS(2081),
    [anon_sym_stat] = ACTIONS(2081),
    [anon_sym_study] = ACTIONS(2081),
    [anon_sym_tell] = ACTIONS(2081),
    [anon_sym_telldir] = ACTIONS(2081),
    [anon_sym_tied] = ACTIONS(2081),
    [anon_sym_uc] = ACTIONS(2081),
    [anon_sym_ucfirst] = ACTIONS(2081),
    [anon_sym_untie] = ACTIONS(2081),
    [anon_sym_umask] = ACTIONS(2081),
    [anon_sym_values] = ACTIONS(2081),
    [anon_sym_write] = ACTIONS(2081),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2081),
    [anon_sym___END__] = ACTIONS(2081),
    [anon_sym_EOT] = ACTIONS(2081),
    [anon_sym_q] = ACTIONS(2081),
    [anon_sym_qq] = ACTIONS(2081),
    [anon_sym_qw] = ACTIONS(2081),
    [anon_sym_qx] = ACTIONS(2081),
    [anon_sym_qr] = ACTIONS(2081),
    [anon_sym_m] = ACTIONS(2081),
    [anon_sym_s] = ACTIONS(2081),
    [anon_sym_tr] = ACTIONS(2081),
    [anon_sym_y] = ACTIONS(2081),
    [anon_sym_if] = ACTIONS(2081),
    [anon_sym_unless] = ACTIONS(2081),
    [anon_sym_while] = ACTIONS(2081),
    [anon_sym_until] = ACTIONS(2081),
    [aux_sym__bareword_token1] = ACTIONS(2081),
    [sym_number] = ACTIONS(2081),
    [anon_sym_true] = ACTIONS(2081),
    [anon_sym_false] = ACTIONS(2081),
    [sym__single_quote] = ACTIONS(2079),
    [sym__double_quote] = ACTIONS(2079),
    [sym__backtick_quote] = ACTIONS(2079),
    [sym__search_slash_quote] = ACTIONS(2079),
    [sym__open_readline_bracket] = ACTIONS(2079),
    [sym__open_fileglob_bracket] = ACTIONS(2079),
    [sym__PERLY_HEREDOC] = ACTIONS(2079),
    [sym__ctrl_z_hack] = ACTIONS(2079),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2079),
    [sym__filetest] = ACTIONS(2079),
  },
  [911] = {
    [sym_heredoc_content] = STATE(911),
    [ts_builtin_sym_end] = ACTIONS(2083),
    [sym__identifier] = ACTIONS(2085),
    [anon_sym_LBRACE] = ACTIONS(2085),
    [anon_sym_SEMI] = ACTIONS(2085),
    [anon_sym_package] = ACTIONS(2085),
    [anon_sym_class] = ACTIONS(2085),
    [anon_sym_role] = ACTIONS(2085),
    [anon_sym_BUILD] = ACTIONS(2085),
    [anon_sym_ADJUST] = ACTIONS(2085),
    [anon_sym_DOLLAR] = ACTIONS(2085),
    [anon_sym_AT] = ACTIONS(2085),
    [anon_sym_my] = ACTIONS(2085),
    [anon_sym_extended] = ACTIONS(2085),
    [anon_sym_async] = ACTIONS(2085),
    [anon_sym_sub] = ACTIONS(2085),
    [anon_sym_method] = ACTIONS(2085),
    [anon_sym_LPAREN] = ACTIONS(2085),
    [anon_sym_continue] = ACTIONS(2085),
    [anon_sym_state] = ACTIONS(2085),
    [anon_sym_our] = ACTIONS(2085),
    [anon_sym_try] = ACTIONS(2085),
    [anon_sym_defer] = ACTIONS(2085),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2085),
    [anon_sym_LBRACK] = ACTIONS(2085),
    [anon_sym_LT_LT] = ACTIONS(2085),
    [anon_sym_SLASH_SLASH] = ACTIONS(2085),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_TILDE] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2085),
    [anon_sym_PLUS_PLUS] = ACTIONS(2085),
    [anon_sym_DASH_DASH] = ACTIONS(2085),
    [anon_sym_BSLASH] = ACTIONS(2083),
    [anon_sym_do] = ACTIONS(2085),
    [anon_sym_eval] = ACTIONS(2085),
    [anon_sym_await] = ACTIONS(2085),
    [anon_sym_field] = ACTIONS(2085),
    [anon_sym_local] = ACTIONS(2085),
    [anon_sym_dynamically] = ACTIONS(2085),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2085),
    [anon_sym_require] = ACTIONS(2085),
    [anon_sym_map] = ACTIONS(2085),
    [anon_sym_grep] = ACTIONS(2085),
    [anon_sym_sort] = ACTIONS(2085),
    [anon_sym_goto] = ACTIONS(2085),
    [anon_sym_return] = ACTIONS(2085),
    [anon_sym_undef] = ACTIONS(2085),
    [anon_sym_PERCENT2] = ACTIONS(2085),
    [anon_sym_AMP2] = ACTIONS(2085),
    [anon_sym_STAR2] = ACTIONS(2085),
    [anon_sym_use] = ACTIONS(2085),
    [anon_sym_no] = ACTIONS(2085),
    [anon_sym_for] = ACTIONS(2085),
    [anon_sym_foreach] = ACTIONS(2085),
    [anon_sym_last] = ACTIONS(2085),
    [anon_sym_next] = ACTIONS(2085),
    [anon_sym_redo] = ACTIONS(2085),
    [anon_sym_BEGIN] = ACTIONS(2085),
    [anon_sym_INIT] = ACTIONS(2085),
    [anon_sym_CHECK] = ACTIONS(2085),
    [anon_sym_UNITCHECK] = ACTIONS(2085),
    [anon_sym_END] = ACTIONS(2085),
    [anon_sym___FILE__] = ACTIONS(2085),
    [anon_sym___LINE__] = ACTIONS(2085),
    [anon_sym___PACKAGE__] = ACTIONS(2085),
    [anon_sym___SUB__] = ACTIONS(2085),
    [anon_sym_break] = ACTIONS(2085),
    [anon_sym_fork] = ACTIONS(2085),
    [anon_sym_getppid] = ACTIONS(2085),
    [anon_sym_time] = ACTIONS(2085),
    [anon_sym_times] = ACTIONS(2085),
    [anon_sym_wait] = ACTIONS(2085),
    [anon_sym_wantarray] = ACTIONS(2085),
    [anon_sym_abs] = ACTIONS(2085),
    [anon_sym_alarm] = ACTIONS(2085),
    [anon_sym_chop] = ACTIONS(2085),
    [anon_sym_chdir] = ACTIONS(2085),
    [anon_sym_close] = ACTIONS(2085),
    [anon_sym_closedir] = ACTIONS(2085),
    [anon_sym_caller] = ACTIONS(2085),
    [anon_sym_chomp] = ACTIONS(2085),
    [anon_sym_chr] = ACTIONS(2085),
    [anon_sym_cos] = ACTIONS(2085),
    [anon_sym_chroot] = ACTIONS(2085),
    [anon_sym_defined] = ACTIONS(2085),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_dbmclose] = ACTIONS(2085),
    [anon_sym_exists] = ACTIONS(2085),
    [anon_sym_exit] = ACTIONS(2085),
    [anon_sym_eof] = ACTIONS(2085),
    [anon_sym_exp] = ACTIONS(2085),
    [anon_sym_each] = ACTIONS(2085),
    [anon_sym_fc] = ACTIONS(2085),
    [anon_sym_fileno] = ACTIONS(2085),
    [anon_sym_gmtime] = ACTIONS(2085),
    [anon_sym_getc] = ACTIONS(2085),
    [anon_sym_getpgrp] = ACTIONS(2085),
    [anon_sym_getprotobyname] = ACTIONS(2085),
    [anon_sym_getpwname] = ACTIONS(2085),
    [anon_sym_getpwuid] = ACTIONS(2085),
    [anon_sym_getpeername] = ACTIONS(2085),
    [anon_sym_getnetbyname] = ACTIONS(2085),
    [anon_sym_getsockname] = ACTIONS(2085),
    [anon_sym_getgrnam] = ACTIONS(2085),
    [anon_sym_getgrgid] = ACTIONS(2085),
    [anon_sym_hex] = ACTIONS(2085),
    [anon_sym_int] = ACTIONS(2085),
    [anon_sym_keys] = ACTIONS(2085),
    [anon_sym_lc] = ACTIONS(2085),
    [anon_sym_lcfirst] = ACTIONS(2085),
    [anon_sym_length] = ACTIONS(2085),
    [anon_sym_localtime] = ACTIONS(2085),
    [anon_sym_log] = ACTIONS(2085),
    [anon_sym_lock] = ACTIONS(2085),
    [anon_sym_lstat] = ACTIONS(2085),
    [anon_sym_oct] = ACTIONS(2085),
    [anon_sym_ord] = ACTIONS(2085),
    [anon_sym_prototype] = ACTIONS(2085),
    [anon_sym_pop] = ACTIONS(2085),
    [anon_sym_pos] = ACTIONS(2085),
    [anon_sym_quotemeta] = ACTIONS(2085),
    [anon_sym_reset] = ACTIONS(2085),
    [anon_sym_rand] = ACTIONS(2085),
    [anon_sym_rmdir] = ACTIONS(2085),
    [anon_sym_readdir] = ACTIONS(2085),
    [anon_sym_readline] = ACTIONS(2085),
    [anon_sym_readpipe] = ACTIONS(2085),
    [anon_sym_rewinddir] = ACTIONS(2085),
    [anon_sym_readlink] = ACTIONS(2085),
    [anon_sym_ref] = ACTIONS(2085),
    [anon_sym_scalar] = ACTIONS(2085),
    [anon_sym_shift] = ACTIONS(2085),
    [anon_sym_sin] = ACTIONS(2085),
    [anon_sym_sleep] = ACTIONS(2085),
    [anon_sym_sqrt] = ACTIONS(2085),
    [anon_sym_srand] = ACTIONS(2085),
    [anon_sym_stat] = ACTIONS(2085),
    [anon_sym_study] = ACTIONS(2085),
    [anon_sym_tell] = ACTIONS(2085),
    [anon_sym_telldir] = ACTIONS(2085),
    [anon_sym_tied] = ACTIONS(2085),
    [anon_sym_uc] = ACTIONS(2085),
    [anon_sym_ucfirst] = ACTIONS(2085),
    [anon_sym_untie] = ACTIONS(2085),
    [anon_sym_umask] = ACTIONS(2085),
    [anon_sym_values] = ACTIONS(2085),
    [anon_sym_write] = ACTIONS(2085),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2085),
    [anon_sym___END__] = ACTIONS(2085),
    [anon_sym_EOT] = ACTIONS(2085),
    [anon_sym_q] = ACTIONS(2085),
    [anon_sym_qq] = ACTIONS(2085),
    [anon_sym_qw] = ACTIONS(2085),
    [anon_sym_qx] = ACTIONS(2085),
    [anon_sym_qr] = ACTIONS(2085),
    [anon_sym_m] = ACTIONS(2085),
    [anon_sym_s] = ACTIONS(2085),
    [anon_sym_tr] = ACTIONS(2085),
    [anon_sym_y] = ACTIONS(2085),
    [anon_sym_if] = ACTIONS(2085),
    [anon_sym_unless] = ACTIONS(2085),
    [anon_sym_while] = ACTIONS(2085),
    [anon_sym_until] = ACTIONS(2085),
    [aux_sym__bareword_token1] = ACTIONS(2085),
    [sym_number] = ACTIONS(2085),
    [anon_sym_true] = ACTIONS(2085),
    [anon_sym_false] = ACTIONS(2085),
    [sym__single_quote] = ACTIONS(2083),
    [sym__double_quote] = ACTIONS(2083),
    [sym__backtick_quote] = ACTIONS(2083),
    [sym__search_slash_quote] = ACTIONS(2083),
    [sym__open_readline_bracket] = ACTIONS(2083),
    [sym__open_fileglob_bracket] = ACTIONS(2083),
    [sym__PERLY_HEREDOC] = ACTIONS(2083),
    [sym__ctrl_z_hack] = ACTIONS(2083),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2083),
    [sym__filetest] = ACTIONS(2083),
  },
  [912] = {
    [sym_heredoc_content] = STATE(912),
    [ts_builtin_sym_end] = ACTIONS(2087),
    [sym__identifier] = ACTIONS(2089),
    [anon_sym_LBRACE] = ACTIONS(2089),
    [anon_sym_SEMI] = ACTIONS(2089),
    [anon_sym_package] = ACTIONS(2089),
    [anon_sym_class] = ACTIONS(2089),
    [anon_sym_role] = ACTIONS(2089),
    [anon_sym_BUILD] = ACTIONS(2089),
    [anon_sym_ADJUST] = ACTIONS(2089),
    [anon_sym_DOLLAR] = ACTIONS(2089),
    [anon_sym_AT] = ACTIONS(2089),
    [anon_sym_my] = ACTIONS(2089),
    [anon_sym_extended] = ACTIONS(2089),
    [anon_sym_async] = ACTIONS(2089),
    [anon_sym_sub] = ACTIONS(2089),
    [anon_sym_method] = ACTIONS(2089),
    [anon_sym_LPAREN] = ACTIONS(2089),
    [anon_sym_continue] = ACTIONS(2089),
    [anon_sym_state] = ACTIONS(2089),
    [anon_sym_our] = ACTIONS(2089),
    [anon_sym_try] = ACTIONS(2089),
    [anon_sym_defer] = ACTIONS(2089),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2089),
    [anon_sym_LBRACK] = ACTIONS(2089),
    [anon_sym_LT_LT] = ACTIONS(2089),
    [anon_sym_SLASH_SLASH] = ACTIONS(2089),
    [anon_sym_PLUS] = ACTIONS(2089),
    [anon_sym_DASH] = ACTIONS(2089),
    [anon_sym_TILDE] = ACTIONS(2089),
    [anon_sym_BANG] = ACTIONS(2089),
    [anon_sym_PLUS_PLUS] = ACTIONS(2089),
    [anon_sym_DASH_DASH] = ACTIONS(2089),
    [anon_sym_BSLASH] = ACTIONS(2087),
    [anon_sym_do] = ACTIONS(2089),
    [anon_sym_eval] = ACTIONS(2089),
    [anon_sym_await] = ACTIONS(2089),
    [anon_sym_field] = ACTIONS(2089),
    [anon_sym_local] = ACTIONS(2089),
    [anon_sym_dynamically] = ACTIONS(2089),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2089),
    [anon_sym_require] = ACTIONS(2089),
    [anon_sym_map] = ACTIONS(2089),
    [anon_sym_grep] = ACTIONS(2089),
    [anon_sym_sort] = ACTIONS(2089),
    [anon_sym_goto] = ACTIONS(2089),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_undef] = ACTIONS(2089),
    [anon_sym_PERCENT2] = ACTIONS(2089),
    [anon_sym_AMP2] = ACTIONS(2089),
    [anon_sym_STAR2] = ACTIONS(2089),
    [anon_sym_use] = ACTIONS(2089),
    [anon_sym_no] = ACTIONS(2089),
    [anon_sym_for] = ACTIONS(2089),
    [anon_sym_foreach] = ACTIONS(2089),
    [anon_sym_last] = ACTIONS(2089),
    [anon_sym_next] = ACTIONS(2089),
    [anon_sym_redo] = ACTIONS(2089),
    [anon_sym_BEGIN] = ACTIONS(2089),
    [anon_sym_INIT] = ACTIONS(2089),
    [anon_sym_CHECK] = ACTIONS(2089),
    [anon_sym_UNITCHECK] = ACTIONS(2089),
    [anon_sym_END] = ACTIONS(2089),
    [anon_sym___FILE__] = ACTIONS(2089),
    [anon_sym___LINE__] = ACTIONS(2089),
    [anon_sym___PACKAGE__] = ACTIONS(2089),
    [anon_sym___SUB__] = ACTIONS(2089),
    [anon_sym_break] = ACTIONS(2089),
    [anon_sym_fork] = ACTIONS(2089),
    [anon_sym_getppid] = ACTIONS(2089),
    [anon_sym_time] = ACTIONS(2089),
    [anon_sym_times] = ACTIONS(2089),
    [anon_sym_wait] = ACTIONS(2089),
    [anon_sym_wantarray] = ACTIONS(2089),
    [anon_sym_abs] = ACTIONS(2089),
    [anon_sym_alarm] = ACTIONS(2089),
    [anon_sym_chop] = ACTIONS(2089),
    [anon_sym_chdir] = ACTIONS(2089),
    [anon_sym_close] = ACTIONS(2089),
    [anon_sym_closedir] = ACTIONS(2089),
    [anon_sym_caller] = ACTIONS(2089),
    [anon_sym_chomp] = ACTIONS(2089),
    [anon_sym_chr] = ACTIONS(2089),
    [anon_sym_cos] = ACTIONS(2089),
    [anon_sym_chroot] = ACTIONS(2089),
    [anon_sym_defined] = ACTIONS(2089),
    [anon_sym_delete] = ACTIONS(2089),
    [anon_sym_dbmclose] = ACTIONS(2089),
    [anon_sym_exists] = ACTIONS(2089),
    [anon_sym_exit] = ACTIONS(2089),
    [anon_sym_eof] = ACTIONS(2089),
    [anon_sym_exp] = ACTIONS(2089),
    [anon_sym_each] = ACTIONS(2089),
    [anon_sym_fc] = ACTIONS(2089),
    [anon_sym_fileno] = ACTIONS(2089),
    [anon_sym_gmtime] = ACTIONS(2089),
    [anon_sym_getc] = ACTIONS(2089),
    [anon_sym_getpgrp] = ACTIONS(2089),
    [anon_sym_getprotobyname] = ACTIONS(2089),
    [anon_sym_getpwname] = ACTIONS(2089),
    [anon_sym_getpwuid] = ACTIONS(2089),
    [anon_sym_getpeername] = ACTIONS(2089),
    [anon_sym_getnetbyname] = ACTIONS(2089),
    [anon_sym_getsockname] = ACTIONS(2089),
    [anon_sym_getgrnam] = ACTIONS(2089),
    [anon_sym_getgrgid] = ACTIONS(2089),
    [anon_sym_hex] = ACTIONS(2089),
    [anon_sym_int] = ACTIONS(2089),
    [anon_sym_keys] = ACTIONS(2089),
    [anon_sym_lc] = ACTIONS(2089),
    [anon_sym_lcfirst] = ACTIONS(2089),
    [anon_sym_length] = ACTIONS(2089),
    [anon_sym_localtime] = ACTIONS(2089),
    [anon_sym_log] = ACTIONS(2089),
    [anon_sym_lock] = ACTIONS(2089),
    [anon_sym_lstat] = ACTIONS(2089),
    [anon_sym_oct] = ACTIONS(2089),
    [anon_sym_ord] = ACTIONS(2089),
    [anon_sym_prototype] = ACTIONS(2089),
    [anon_sym_pop] = ACTIONS(2089),
    [anon_sym_pos] = ACTIONS(2089),
    [anon_sym_quotemeta] = ACTIONS(2089),
    [anon_sym_reset] = ACTIONS(2089),
    [anon_sym_rand] = ACTIONS(2089),
    [anon_sym_rmdir] = ACTIONS(2089),
    [anon_sym_readdir] = ACTIONS(2089),
    [anon_sym_readline] = ACTIONS(2089),
    [anon_sym_readpipe] = ACTIONS(2089),
    [anon_sym_rewinddir] = ACTIONS(2089),
    [anon_sym_readlink] = ACTIONS(2089),
    [anon_sym_ref] = ACTIONS(2089),
    [anon_sym_scalar] = ACTIONS(2089),
    [anon_sym_shift] = ACTIONS(2089),
    [anon_sym_sin] = ACTIONS(2089),
    [anon_sym_sleep] = ACTIONS(2089),
    [anon_sym_sqrt] = ACTIONS(2089),
    [anon_sym_srand] = ACTIONS(2089),
    [anon_sym_stat] = ACTIONS(2089),
    [anon_sym_study] = ACTIONS(2089),
    [anon_sym_tell] = ACTIONS(2089),
    [anon_sym_telldir] = ACTIONS(2089),
    [anon_sym_tied] = ACTIONS(2089),
    [anon_sym_uc] = ACTIONS(2089),
    [anon_sym_ucfirst] = ACTIONS(2089),
    [anon_sym_untie] = ACTIONS(2089),
    [anon_sym_umask] = ACTIONS(2089),
    [anon_sym_values] = ACTIONS(2089),
    [anon_sym_write] = ACTIONS(2089),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2089),
    [anon_sym___END__] = ACTIONS(2089),
    [anon_sym_EOT] = ACTIONS(2089),
    [anon_sym_q] = ACTIONS(2089),
    [anon_sym_qq] = ACTIONS(2089),
    [anon_sym_qw] = ACTIONS(2089),
    [anon_sym_qx] = ACTIONS(2089),
    [anon_sym_qr] = ACTIONS(2089),
    [anon_sym_m] = ACTIONS(2089),
    [anon_sym_s] = ACTIONS(2089),
    [anon_sym_tr] = ACTIONS(2089),
    [anon_sym_y] = ACTIONS(2089),
    [anon_sym_if] = ACTIONS(2089),
    [anon_sym_unless] = ACTIONS(2089),
    [anon_sym_while] = ACTIONS(2089),
    [anon_sym_until] = ACTIONS(2089),
    [aux_sym__bareword_token1] = ACTIONS(2089),
    [sym_number] = ACTIONS(2089),
    [anon_sym_true] = ACTIONS(2089),
    [anon_sym_false] = ACTIONS(2089),
    [sym__single_quote] = ACTIONS(2087),
    [sym__double_quote] = ACTIONS(2087),
    [sym__backtick_quote] = ACTIONS(2087),
    [sym__search_slash_quote] = ACTIONS(2087),
    [sym__open_readline_bracket] = ACTIONS(2087),
    [sym__open_fileglob_bracket] = ACTIONS(2087),
    [sym__PERLY_HEREDOC] = ACTIONS(2087),
    [sym__ctrl_z_hack] = ACTIONS(2087),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2087),
    [sym__filetest] = ACTIONS(2087),
  },
  [913] = {
    [sym_heredoc_content] = STATE(913),
    [ts_builtin_sym_end] = ACTIONS(2091),
    [sym__identifier] = ACTIONS(2093),
    [anon_sym_LBRACE] = ACTIONS(2093),
    [anon_sym_SEMI] = ACTIONS(2093),
    [anon_sym_package] = ACTIONS(2093),
    [anon_sym_class] = ACTIONS(2093),
    [anon_sym_role] = ACTIONS(2093),
    [anon_sym_BUILD] = ACTIONS(2093),
    [anon_sym_ADJUST] = ACTIONS(2093),
    [anon_sym_DOLLAR] = ACTIONS(2093),
    [anon_sym_AT] = ACTIONS(2093),
    [anon_sym_my] = ACTIONS(2093),
    [anon_sym_extended] = ACTIONS(2093),
    [anon_sym_async] = ACTIONS(2093),
    [anon_sym_sub] = ACTIONS(2093),
    [anon_sym_method] = ACTIONS(2093),
    [anon_sym_LPAREN] = ACTIONS(2093),
    [anon_sym_continue] = ACTIONS(2093),
    [anon_sym_state] = ACTIONS(2093),
    [anon_sym_our] = ACTIONS(2093),
    [anon_sym_try] = ACTIONS(2093),
    [anon_sym_defer] = ACTIONS(2093),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2093),
    [anon_sym_LBRACK] = ACTIONS(2093),
    [anon_sym_LT_LT] = ACTIONS(2093),
    [anon_sym_SLASH_SLASH] = ACTIONS(2093),
    [anon_sym_PLUS] = ACTIONS(2093),
    [anon_sym_DASH] = ACTIONS(2093),
    [anon_sym_TILDE] = ACTIONS(2093),
    [anon_sym_BANG] = ACTIONS(2093),
    [anon_sym_PLUS_PLUS] = ACTIONS(2093),
    [anon_sym_DASH_DASH] = ACTIONS(2093),
    [anon_sym_BSLASH] = ACTIONS(2091),
    [anon_sym_do] = ACTIONS(2093),
    [anon_sym_eval] = ACTIONS(2093),
    [anon_sym_await] = ACTIONS(2093),
    [anon_sym_field] = ACTIONS(2093),
    [anon_sym_local] = ACTIONS(2093),
    [anon_sym_dynamically] = ACTIONS(2093),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2093),
    [anon_sym_require] = ACTIONS(2093),
    [anon_sym_map] = ACTIONS(2093),
    [anon_sym_grep] = ACTIONS(2093),
    [anon_sym_sort] = ACTIONS(2093),
    [anon_sym_goto] = ACTIONS(2093),
    [anon_sym_return] = ACTIONS(2093),
    [anon_sym_undef] = ACTIONS(2093),
    [anon_sym_PERCENT2] = ACTIONS(2093),
    [anon_sym_AMP2] = ACTIONS(2093),
    [anon_sym_STAR2] = ACTIONS(2093),
    [anon_sym_use] = ACTIONS(2093),
    [anon_sym_no] = ACTIONS(2093),
    [anon_sym_for] = ACTIONS(2093),
    [anon_sym_foreach] = ACTIONS(2093),
    [anon_sym_last] = ACTIONS(2093),
    [anon_sym_next] = ACTIONS(2093),
    [anon_sym_redo] = ACTIONS(2093),
    [anon_sym_BEGIN] = ACTIONS(2093),
    [anon_sym_INIT] = ACTIONS(2093),
    [anon_sym_CHECK] = ACTIONS(2093),
    [anon_sym_UNITCHECK] = ACTIONS(2093),
    [anon_sym_END] = ACTIONS(2093),
    [anon_sym___FILE__] = ACTIONS(2093),
    [anon_sym___LINE__] = ACTIONS(2093),
    [anon_sym___PACKAGE__] = ACTIONS(2093),
    [anon_sym___SUB__] = ACTIONS(2093),
    [anon_sym_break] = ACTIONS(2093),
    [anon_sym_fork] = ACTIONS(2093),
    [anon_sym_getppid] = ACTIONS(2093),
    [anon_sym_time] = ACTIONS(2093),
    [anon_sym_times] = ACTIONS(2093),
    [anon_sym_wait] = ACTIONS(2093),
    [anon_sym_wantarray] = ACTIONS(2093),
    [anon_sym_abs] = ACTIONS(2093),
    [anon_sym_alarm] = ACTIONS(2093),
    [anon_sym_chop] = ACTIONS(2093),
    [anon_sym_chdir] = ACTIONS(2093),
    [anon_sym_close] = ACTIONS(2093),
    [anon_sym_closedir] = ACTIONS(2093),
    [anon_sym_caller] = ACTIONS(2093),
    [anon_sym_chomp] = ACTIONS(2093),
    [anon_sym_chr] = ACTIONS(2093),
    [anon_sym_cos] = ACTIONS(2093),
    [anon_sym_chroot] = ACTIONS(2093),
    [anon_sym_defined] = ACTIONS(2093),
    [anon_sym_delete] = ACTIONS(2093),
    [anon_sym_dbmclose] = ACTIONS(2093),
    [anon_sym_exists] = ACTIONS(2093),
    [anon_sym_exit] = ACTIONS(2093),
    [anon_sym_eof] = ACTIONS(2093),
    [anon_sym_exp] = ACTIONS(2093),
    [anon_sym_each] = ACTIONS(2093),
    [anon_sym_fc] = ACTIONS(2093),
    [anon_sym_fileno] = ACTIONS(2093),
    [anon_sym_gmtime] = ACTIONS(2093),
    [anon_sym_getc] = ACTIONS(2093),
    [anon_sym_getpgrp] = ACTIONS(2093),
    [anon_sym_getprotobyname] = ACTIONS(2093),
    [anon_sym_getpwname] = ACTIONS(2093),
    [anon_sym_getpwuid] = ACTIONS(2093),
    [anon_sym_getpeername] = ACTIONS(2093),
    [anon_sym_getnetbyname] = ACTIONS(2093),
    [anon_sym_getsockname] = ACTIONS(2093),
    [anon_sym_getgrnam] = ACTIONS(2093),
    [anon_sym_getgrgid] = ACTIONS(2093),
    [anon_sym_hex] = ACTIONS(2093),
    [anon_sym_int] = ACTIONS(2093),
    [anon_sym_keys] = ACTIONS(2093),
    [anon_sym_lc] = ACTIONS(2093),
    [anon_sym_lcfirst] = ACTIONS(2093),
    [anon_sym_length] = ACTIONS(2093),
    [anon_sym_localtime] = ACTIONS(2093),
    [anon_sym_log] = ACTIONS(2093),
    [anon_sym_lock] = ACTIONS(2093),
    [anon_sym_lstat] = ACTIONS(2093),
    [anon_sym_oct] = ACTIONS(2093),
    [anon_sym_ord] = ACTIONS(2093),
    [anon_sym_prototype] = ACTIONS(2093),
    [anon_sym_pop] = ACTIONS(2093),
    [anon_sym_pos] = ACTIONS(2093),
    [anon_sym_quotemeta] = ACTIONS(2093),
    [anon_sym_reset] = ACTIONS(2093),
    [anon_sym_rand] = ACTIONS(2093),
    [anon_sym_rmdir] = ACTIONS(2093),
    [anon_sym_readdir] = ACTIONS(2093),
    [anon_sym_readline] = ACTIONS(2093),
    [anon_sym_readpipe] = ACTIONS(2093),
    [anon_sym_rewinddir] = ACTIONS(2093),
    [anon_sym_readlink] = ACTIONS(2093),
    [anon_sym_ref] = ACTIONS(2093),
    [anon_sym_scalar] = ACTIONS(2093),
    [anon_sym_shift] = ACTIONS(2093),
    [anon_sym_sin] = ACTIONS(2093),
    [anon_sym_sleep] = ACTIONS(2093),
    [anon_sym_sqrt] = ACTIONS(2093),
    [anon_sym_srand] = ACTIONS(2093),
    [anon_sym_stat] = ACTIONS(2093),
    [anon_sym_study] = ACTIONS(2093),
    [anon_sym_tell] = ACTIONS(2093),
    [anon_sym_telldir] = ACTIONS(2093),
    [anon_sym_tied] = ACTIONS(2093),
    [anon_sym_uc] = ACTIONS(2093),
    [anon_sym_ucfirst] = ACTIONS(2093),
    [anon_sym_untie] = ACTIONS(2093),
    [anon_sym_umask] = ACTIONS(2093),
    [anon_sym_values] = ACTIONS(2093),
    [anon_sym_write] = ACTIONS(2093),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2093),
    [anon_sym___END__] = ACTIONS(2093),
    [anon_sym_EOT] = ACTIONS(2093),
    [anon_sym_q] = ACTIONS(2093),
    [anon_sym_qq] = ACTIONS(2093),
    [anon_sym_qw] = ACTIONS(2093),
    [anon_sym_qx] = ACTIONS(2093),
    [anon_sym_qr] = ACTIONS(2093),
    [anon_sym_m] = ACTIONS(2093),
    [anon_sym_s] = ACTIONS(2093),
    [anon_sym_tr] = ACTIONS(2093),
    [anon_sym_y] = ACTIONS(2093),
    [anon_sym_if] = ACTIONS(2093),
    [anon_sym_unless] = ACTIONS(2093),
    [anon_sym_while] = ACTIONS(2093),
    [anon_sym_until] = ACTIONS(2093),
    [aux_sym__bareword_token1] = ACTIONS(2093),
    [sym_number] = ACTIONS(2093),
    [anon_sym_true] = ACTIONS(2093),
    [anon_sym_false] = ACTIONS(2093),
    [sym__single_quote] = ACTIONS(2091),
    [sym__double_quote] = ACTIONS(2091),
    [sym__backtick_quote] = ACTIONS(2091),
    [sym__search_slash_quote] = ACTIONS(2091),
    [sym__open_readline_bracket] = ACTIONS(2091),
    [sym__open_fileglob_bracket] = ACTIONS(2091),
    [sym__PERLY_HEREDOC] = ACTIONS(2091),
    [sym__ctrl_z_hack] = ACTIONS(2091),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2091),
    [sym__filetest] = ACTIONS(2091),
  },
  [914] = {
    [sym_heredoc_content] = STATE(914),
    [ts_builtin_sym_end] = ACTIONS(2095),
    [sym__identifier] = ACTIONS(2097),
    [anon_sym_LBRACE] = ACTIONS(2097),
    [anon_sym_SEMI] = ACTIONS(2097),
    [anon_sym_package] = ACTIONS(2097),
    [anon_sym_class] = ACTIONS(2097),
    [anon_sym_role] = ACTIONS(2097),
    [anon_sym_BUILD] = ACTIONS(2097),
    [anon_sym_ADJUST] = ACTIONS(2097),
    [anon_sym_DOLLAR] = ACTIONS(2097),
    [anon_sym_AT] = ACTIONS(2097),
    [anon_sym_my] = ACTIONS(2097),
    [anon_sym_extended] = ACTIONS(2097),
    [anon_sym_async] = ACTIONS(2097),
    [anon_sym_sub] = ACTIONS(2097),
    [anon_sym_method] = ACTIONS(2097),
    [anon_sym_LPAREN] = ACTIONS(2097),
    [anon_sym_continue] = ACTIONS(2097),
    [anon_sym_state] = ACTIONS(2097),
    [anon_sym_our] = ACTIONS(2097),
    [anon_sym_try] = ACTIONS(2097),
    [anon_sym_defer] = ACTIONS(2097),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2097),
    [anon_sym_LBRACK] = ACTIONS(2097),
    [anon_sym_LT_LT] = ACTIONS(2097),
    [anon_sym_SLASH_SLASH] = ACTIONS(2097),
    [anon_sym_PLUS] = ACTIONS(2097),
    [anon_sym_DASH] = ACTIONS(2097),
    [anon_sym_TILDE] = ACTIONS(2097),
    [anon_sym_BANG] = ACTIONS(2097),
    [anon_sym_PLUS_PLUS] = ACTIONS(2097),
    [anon_sym_DASH_DASH] = ACTIONS(2097),
    [anon_sym_BSLASH] = ACTIONS(2095),
    [anon_sym_do] = ACTIONS(2097),
    [anon_sym_eval] = ACTIONS(2097),
    [anon_sym_await] = ACTIONS(2097),
    [anon_sym_field] = ACTIONS(2097),
    [anon_sym_local] = ACTIONS(2097),
    [anon_sym_dynamically] = ACTIONS(2097),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2097),
    [anon_sym_require] = ACTIONS(2097),
    [anon_sym_map] = ACTIONS(2097),
    [anon_sym_grep] = ACTIONS(2097),
    [anon_sym_sort] = ACTIONS(2097),
    [anon_sym_goto] = ACTIONS(2097),
    [anon_sym_return] = ACTIONS(2097),
    [anon_sym_undef] = ACTIONS(2097),
    [anon_sym_PERCENT2] = ACTIONS(2097),
    [anon_sym_AMP2] = ACTIONS(2097),
    [anon_sym_STAR2] = ACTIONS(2097),
    [anon_sym_use] = ACTIONS(2097),
    [anon_sym_no] = ACTIONS(2097),
    [anon_sym_for] = ACTIONS(2097),
    [anon_sym_foreach] = ACTIONS(2097),
    [anon_sym_last] = ACTIONS(2097),
    [anon_sym_next] = ACTIONS(2097),
    [anon_sym_redo] = ACTIONS(2097),
    [anon_sym_BEGIN] = ACTIONS(2097),
    [anon_sym_INIT] = ACTIONS(2097),
    [anon_sym_CHECK] = ACTIONS(2097),
    [anon_sym_UNITCHECK] = ACTIONS(2097),
    [anon_sym_END] = ACTIONS(2097),
    [anon_sym___FILE__] = ACTIONS(2097),
    [anon_sym___LINE__] = ACTIONS(2097),
    [anon_sym___PACKAGE__] = ACTIONS(2097),
    [anon_sym___SUB__] = ACTIONS(2097),
    [anon_sym_break] = ACTIONS(2097),
    [anon_sym_fork] = ACTIONS(2097),
    [anon_sym_getppid] = ACTIONS(2097),
    [anon_sym_time] = ACTIONS(2097),
    [anon_sym_times] = ACTIONS(2097),
    [anon_sym_wait] = ACTIONS(2097),
    [anon_sym_wantarray] = ACTIONS(2097),
    [anon_sym_abs] = ACTIONS(2097),
    [anon_sym_alarm] = ACTIONS(2097),
    [anon_sym_chop] = ACTIONS(2097),
    [anon_sym_chdir] = ACTIONS(2097),
    [anon_sym_close] = ACTIONS(2097),
    [anon_sym_closedir] = ACTIONS(2097),
    [anon_sym_caller] = ACTIONS(2097),
    [anon_sym_chomp] = ACTIONS(2097),
    [anon_sym_chr] = ACTIONS(2097),
    [anon_sym_cos] = ACTIONS(2097),
    [anon_sym_chroot] = ACTIONS(2097),
    [anon_sym_defined] = ACTIONS(2097),
    [anon_sym_delete] = ACTIONS(2097),
    [anon_sym_dbmclose] = ACTIONS(2097),
    [anon_sym_exists] = ACTIONS(2097),
    [anon_sym_exit] = ACTIONS(2097),
    [anon_sym_eof] = ACTIONS(2097),
    [anon_sym_exp] = ACTIONS(2097),
    [anon_sym_each] = ACTIONS(2097),
    [anon_sym_fc] = ACTIONS(2097),
    [anon_sym_fileno] = ACTIONS(2097),
    [anon_sym_gmtime] = ACTIONS(2097),
    [anon_sym_getc] = ACTIONS(2097),
    [anon_sym_getpgrp] = ACTIONS(2097),
    [anon_sym_getprotobyname] = ACTIONS(2097),
    [anon_sym_getpwname] = ACTIONS(2097),
    [anon_sym_getpwuid] = ACTIONS(2097),
    [anon_sym_getpeername] = ACTIONS(2097),
    [anon_sym_getnetbyname] = ACTIONS(2097),
    [anon_sym_getsockname] = ACTIONS(2097),
    [anon_sym_getgrnam] = ACTIONS(2097),
    [anon_sym_getgrgid] = ACTIONS(2097),
    [anon_sym_hex] = ACTIONS(2097),
    [anon_sym_int] = ACTIONS(2097),
    [anon_sym_keys] = ACTIONS(2097),
    [anon_sym_lc] = ACTIONS(2097),
    [anon_sym_lcfirst] = ACTIONS(2097),
    [anon_sym_length] = ACTIONS(2097),
    [anon_sym_localtime] = ACTIONS(2097),
    [anon_sym_log] = ACTIONS(2097),
    [anon_sym_lock] = ACTIONS(2097),
    [anon_sym_lstat] = ACTIONS(2097),
    [anon_sym_oct] = ACTIONS(2097),
    [anon_sym_ord] = ACTIONS(2097),
    [anon_sym_prototype] = ACTIONS(2097),
    [anon_sym_pop] = ACTIONS(2097),
    [anon_sym_pos] = ACTIONS(2097),
    [anon_sym_quotemeta] = ACTIONS(2097),
    [anon_sym_reset] = ACTIONS(2097),
    [anon_sym_rand] = ACTIONS(2097),
    [anon_sym_rmdir] = ACTIONS(2097),
    [anon_sym_readdir] = ACTIONS(2097),
    [anon_sym_readline] = ACTIONS(2097),
    [anon_sym_readpipe] = ACTIONS(2097),
    [anon_sym_rewinddir] = ACTIONS(2097),
    [anon_sym_readlink] = ACTIONS(2097),
    [anon_sym_ref] = ACTIONS(2097),
    [anon_sym_scalar] = ACTIONS(2097),
    [anon_sym_shift] = ACTIONS(2097),
    [anon_sym_sin] = ACTIONS(2097),
    [anon_sym_sleep] = ACTIONS(2097),
    [anon_sym_sqrt] = ACTIONS(2097),
    [anon_sym_srand] = ACTIONS(2097),
    [anon_sym_stat] = ACTIONS(2097),
    [anon_sym_study] = ACTIONS(2097),
    [anon_sym_tell] = ACTIONS(2097),
    [anon_sym_telldir] = ACTIONS(2097),
    [anon_sym_tied] = ACTIONS(2097),
    [anon_sym_uc] = ACTIONS(2097),
    [anon_sym_ucfirst] = ACTIONS(2097),
    [anon_sym_untie] = ACTIONS(2097),
    [anon_sym_umask] = ACTIONS(2097),
    [anon_sym_values] = ACTIONS(2097),
    [anon_sym_write] = ACTIONS(2097),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2097),
    [anon_sym___END__] = ACTIONS(2097),
    [anon_sym_EOT] = ACTIONS(2097),
    [anon_sym_q] = ACTIONS(2097),
    [anon_sym_qq] = ACTIONS(2097),
    [anon_sym_qw] = ACTIONS(2097),
    [anon_sym_qx] = ACTIONS(2097),
    [anon_sym_qr] = ACTIONS(2097),
    [anon_sym_m] = ACTIONS(2097),
    [anon_sym_s] = ACTIONS(2097),
    [anon_sym_tr] = ACTIONS(2097),
    [anon_sym_y] = ACTIONS(2097),
    [anon_sym_if] = ACTIONS(2097),
    [anon_sym_unless] = ACTIONS(2097),
    [anon_sym_while] = ACTIONS(2097),
    [anon_sym_until] = ACTIONS(2097),
    [aux_sym__bareword_token1] = ACTIONS(2097),
    [sym_number] = ACTIONS(2097),
    [anon_sym_true] = ACTIONS(2097),
    [anon_sym_false] = ACTIONS(2097),
    [sym__single_quote] = ACTIONS(2095),
    [sym__double_quote] = ACTIONS(2095),
    [sym__backtick_quote] = ACTIONS(2095),
    [sym__search_slash_quote] = ACTIONS(2095),
    [sym__open_readline_bracket] = ACTIONS(2095),
    [sym__open_fileglob_bracket] = ACTIONS(2095),
    [sym__PERLY_HEREDOC] = ACTIONS(2095),
    [sym__ctrl_z_hack] = ACTIONS(2095),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2095),
    [sym__filetest] = ACTIONS(2095),
  },
  [915] = {
    [sym_heredoc_content] = STATE(915),
    [ts_builtin_sym_end] = ACTIONS(2099),
    [sym__identifier] = ACTIONS(2101),
    [anon_sym_LBRACE] = ACTIONS(2101),
    [anon_sym_SEMI] = ACTIONS(2101),
    [anon_sym_package] = ACTIONS(2101),
    [anon_sym_class] = ACTIONS(2101),
    [anon_sym_role] = ACTIONS(2101),
    [anon_sym_BUILD] = ACTIONS(2101),
    [anon_sym_ADJUST] = ACTIONS(2101),
    [anon_sym_DOLLAR] = ACTIONS(2101),
    [anon_sym_AT] = ACTIONS(2101),
    [anon_sym_my] = ACTIONS(2101),
    [anon_sym_extended] = ACTIONS(2101),
    [anon_sym_async] = ACTIONS(2101),
    [anon_sym_sub] = ACTIONS(2101),
    [anon_sym_method] = ACTIONS(2101),
    [anon_sym_LPAREN] = ACTIONS(2101),
    [anon_sym_continue] = ACTIONS(2101),
    [anon_sym_state] = ACTIONS(2101),
    [anon_sym_our] = ACTIONS(2101),
    [anon_sym_try] = ACTIONS(2101),
    [anon_sym_defer] = ACTIONS(2101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2101),
    [anon_sym_LBRACK] = ACTIONS(2101),
    [anon_sym_LT_LT] = ACTIONS(2101),
    [anon_sym_SLASH_SLASH] = ACTIONS(2101),
    [anon_sym_PLUS] = ACTIONS(2101),
    [anon_sym_DASH] = ACTIONS(2101),
    [anon_sym_TILDE] = ACTIONS(2101),
    [anon_sym_BANG] = ACTIONS(2101),
    [anon_sym_PLUS_PLUS] = ACTIONS(2101),
    [anon_sym_DASH_DASH] = ACTIONS(2101),
    [anon_sym_BSLASH] = ACTIONS(2099),
    [anon_sym_do] = ACTIONS(2101),
    [anon_sym_eval] = ACTIONS(2101),
    [anon_sym_await] = ACTIONS(2101),
    [anon_sym_field] = ACTIONS(2101),
    [anon_sym_local] = ACTIONS(2101),
    [anon_sym_dynamically] = ACTIONS(2101),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2101),
    [anon_sym_require] = ACTIONS(2101),
    [anon_sym_map] = ACTIONS(2101),
    [anon_sym_grep] = ACTIONS(2101),
    [anon_sym_sort] = ACTIONS(2101),
    [anon_sym_goto] = ACTIONS(2101),
    [anon_sym_return] = ACTIONS(2101),
    [anon_sym_undef] = ACTIONS(2101),
    [anon_sym_PERCENT2] = ACTIONS(2101),
    [anon_sym_AMP2] = ACTIONS(2101),
    [anon_sym_STAR2] = ACTIONS(2101),
    [anon_sym_use] = ACTIONS(2101),
    [anon_sym_no] = ACTIONS(2101),
    [anon_sym_for] = ACTIONS(2101),
    [anon_sym_foreach] = ACTIONS(2101),
    [anon_sym_last] = ACTIONS(2101),
    [anon_sym_next] = ACTIONS(2101),
    [anon_sym_redo] = ACTIONS(2101),
    [anon_sym_BEGIN] = ACTIONS(2101),
    [anon_sym_INIT] = ACTIONS(2101),
    [anon_sym_CHECK] = ACTIONS(2101),
    [anon_sym_UNITCHECK] = ACTIONS(2101),
    [anon_sym_END] = ACTIONS(2101),
    [anon_sym___FILE__] = ACTIONS(2101),
    [anon_sym___LINE__] = ACTIONS(2101),
    [anon_sym___PACKAGE__] = ACTIONS(2101),
    [anon_sym___SUB__] = ACTIONS(2101),
    [anon_sym_break] = ACTIONS(2101),
    [anon_sym_fork] = ACTIONS(2101),
    [anon_sym_getppid] = ACTIONS(2101),
    [anon_sym_time] = ACTIONS(2101),
    [anon_sym_times] = ACTIONS(2101),
    [anon_sym_wait] = ACTIONS(2101),
    [anon_sym_wantarray] = ACTIONS(2101),
    [anon_sym_abs] = ACTIONS(2101),
    [anon_sym_alarm] = ACTIONS(2101),
    [anon_sym_chop] = ACTIONS(2101),
    [anon_sym_chdir] = ACTIONS(2101),
    [anon_sym_close] = ACTIONS(2101),
    [anon_sym_closedir] = ACTIONS(2101),
    [anon_sym_caller] = ACTIONS(2101),
    [anon_sym_chomp] = ACTIONS(2101),
    [anon_sym_chr] = ACTIONS(2101),
    [anon_sym_cos] = ACTIONS(2101),
    [anon_sym_chroot] = ACTIONS(2101),
    [anon_sym_defined] = ACTIONS(2101),
    [anon_sym_delete] = ACTIONS(2101),
    [anon_sym_dbmclose] = ACTIONS(2101),
    [anon_sym_exists] = ACTIONS(2101),
    [anon_sym_exit] = ACTIONS(2101),
    [anon_sym_eof] = ACTIONS(2101),
    [anon_sym_exp] = ACTIONS(2101),
    [anon_sym_each] = ACTIONS(2101),
    [anon_sym_fc] = ACTIONS(2101),
    [anon_sym_fileno] = ACTIONS(2101),
    [anon_sym_gmtime] = ACTIONS(2101),
    [anon_sym_getc] = ACTIONS(2101),
    [anon_sym_getpgrp] = ACTIONS(2101),
    [anon_sym_getprotobyname] = ACTIONS(2101),
    [anon_sym_getpwname] = ACTIONS(2101),
    [anon_sym_getpwuid] = ACTIONS(2101),
    [anon_sym_getpeername] = ACTIONS(2101),
    [anon_sym_getnetbyname] = ACTIONS(2101),
    [anon_sym_getsockname] = ACTIONS(2101),
    [anon_sym_getgrnam] = ACTIONS(2101),
    [anon_sym_getgrgid] = ACTIONS(2101),
    [anon_sym_hex] = ACTIONS(2101),
    [anon_sym_int] = ACTIONS(2101),
    [anon_sym_keys] = ACTIONS(2101),
    [anon_sym_lc] = ACTIONS(2101),
    [anon_sym_lcfirst] = ACTIONS(2101),
    [anon_sym_length] = ACTIONS(2101),
    [anon_sym_localtime] = ACTIONS(2101),
    [anon_sym_log] = ACTIONS(2101),
    [anon_sym_lock] = ACTIONS(2101),
    [anon_sym_lstat] = ACTIONS(2101),
    [anon_sym_oct] = ACTIONS(2101),
    [anon_sym_ord] = ACTIONS(2101),
    [anon_sym_prototype] = ACTIONS(2101),
    [anon_sym_pop] = ACTIONS(2101),
    [anon_sym_pos] = ACTIONS(2101),
    [anon_sym_quotemeta] = ACTIONS(2101),
    [anon_sym_reset] = ACTIONS(2101),
    [anon_sym_rand] = ACTIONS(2101),
    [anon_sym_rmdir] = ACTIONS(2101),
    [anon_sym_readdir] = ACTIONS(2101),
    [anon_sym_readline] = ACTIONS(2101),
    [anon_sym_readpipe] = ACTIONS(2101),
    [anon_sym_rewinddir] = ACTIONS(2101),
    [anon_sym_readlink] = ACTIONS(2101),
    [anon_sym_ref] = ACTIONS(2101),
    [anon_sym_scalar] = ACTIONS(2101),
    [anon_sym_shift] = ACTIONS(2101),
    [anon_sym_sin] = ACTIONS(2101),
    [anon_sym_sleep] = ACTIONS(2101),
    [anon_sym_sqrt] = ACTIONS(2101),
    [anon_sym_srand] = ACTIONS(2101),
    [anon_sym_stat] = ACTIONS(2101),
    [anon_sym_study] = ACTIONS(2101),
    [anon_sym_tell] = ACTIONS(2101),
    [anon_sym_telldir] = ACTIONS(2101),
    [anon_sym_tied] = ACTIONS(2101),
    [anon_sym_uc] = ACTIONS(2101),
    [anon_sym_ucfirst] = ACTIONS(2101),
    [anon_sym_untie] = ACTIONS(2101),
    [anon_sym_umask] = ACTIONS(2101),
    [anon_sym_values] = ACTIONS(2101),
    [anon_sym_write] = ACTIONS(2101),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2101),
    [anon_sym___END__] = ACTIONS(2101),
    [anon_sym_EOT] = ACTIONS(2101),
    [anon_sym_q] = ACTIONS(2101),
    [anon_sym_qq] = ACTIONS(2101),
    [anon_sym_qw] = ACTIONS(2101),
    [anon_sym_qx] = ACTIONS(2101),
    [anon_sym_qr] = ACTIONS(2101),
    [anon_sym_m] = ACTIONS(2101),
    [anon_sym_s] = ACTIONS(2101),
    [anon_sym_tr] = ACTIONS(2101),
    [anon_sym_y] = ACTIONS(2101),
    [anon_sym_if] = ACTIONS(2101),
    [anon_sym_unless] = ACTIONS(2101),
    [anon_sym_while] = ACTIONS(2101),
    [anon_sym_until] = ACTIONS(2101),
    [aux_sym__bareword_token1] = ACTIONS(2101),
    [sym_number] = ACTIONS(2101),
    [anon_sym_true] = ACTIONS(2101),
    [anon_sym_false] = ACTIONS(2101),
    [sym__single_quote] = ACTIONS(2099),
    [sym__double_quote] = ACTIONS(2099),
    [sym__backtick_quote] = ACTIONS(2099),
    [sym__search_slash_quote] = ACTIONS(2099),
    [sym__open_readline_bracket] = ACTIONS(2099),
    [sym__open_fileglob_bracket] = ACTIONS(2099),
    [sym__PERLY_HEREDOC] = ACTIONS(2099),
    [sym__ctrl_z_hack] = ACTIONS(2099),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2099),
    [sym__filetest] = ACTIONS(2099),
  },
  [916] = {
    [sym_heredoc_content] = STATE(916),
    [ts_builtin_sym_end] = ACTIONS(2103),
    [sym__identifier] = ACTIONS(2105),
    [anon_sym_LBRACE] = ACTIONS(2105),
    [anon_sym_SEMI] = ACTIONS(2105),
    [anon_sym_package] = ACTIONS(2105),
    [anon_sym_class] = ACTIONS(2105),
    [anon_sym_role] = ACTIONS(2105),
    [anon_sym_BUILD] = ACTIONS(2105),
    [anon_sym_ADJUST] = ACTIONS(2105),
    [anon_sym_DOLLAR] = ACTIONS(2105),
    [anon_sym_AT] = ACTIONS(2105),
    [anon_sym_my] = ACTIONS(2105),
    [anon_sym_extended] = ACTIONS(2105),
    [anon_sym_async] = ACTIONS(2105),
    [anon_sym_sub] = ACTIONS(2105),
    [anon_sym_method] = ACTIONS(2105),
    [anon_sym_LPAREN] = ACTIONS(2105),
    [anon_sym_continue] = ACTIONS(2105),
    [anon_sym_state] = ACTIONS(2105),
    [anon_sym_our] = ACTIONS(2105),
    [anon_sym_try] = ACTIONS(2105),
    [anon_sym_defer] = ACTIONS(2105),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2105),
    [anon_sym_LBRACK] = ACTIONS(2105),
    [anon_sym_LT_LT] = ACTIONS(2105),
    [anon_sym_SLASH_SLASH] = ACTIONS(2105),
    [anon_sym_PLUS] = ACTIONS(2105),
    [anon_sym_DASH] = ACTIONS(2105),
    [anon_sym_TILDE] = ACTIONS(2105),
    [anon_sym_BANG] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [anon_sym_BSLASH] = ACTIONS(2103),
    [anon_sym_do] = ACTIONS(2105),
    [anon_sym_eval] = ACTIONS(2105),
    [anon_sym_await] = ACTIONS(2105),
    [anon_sym_field] = ACTIONS(2105),
    [anon_sym_local] = ACTIONS(2105),
    [anon_sym_dynamically] = ACTIONS(2105),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2105),
    [anon_sym_require] = ACTIONS(2105),
    [anon_sym_map] = ACTIONS(2105),
    [anon_sym_grep] = ACTIONS(2105),
    [anon_sym_sort] = ACTIONS(2105),
    [anon_sym_goto] = ACTIONS(2105),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_undef] = ACTIONS(2105),
    [anon_sym_PERCENT2] = ACTIONS(2105),
    [anon_sym_AMP2] = ACTIONS(2105),
    [anon_sym_STAR2] = ACTIONS(2105),
    [anon_sym_use] = ACTIONS(2105),
    [anon_sym_no] = ACTIONS(2105),
    [anon_sym_for] = ACTIONS(2105),
    [anon_sym_foreach] = ACTIONS(2105),
    [anon_sym_last] = ACTIONS(2105),
    [anon_sym_next] = ACTIONS(2105),
    [anon_sym_redo] = ACTIONS(2105),
    [anon_sym_BEGIN] = ACTIONS(2105),
    [anon_sym_INIT] = ACTIONS(2105),
    [anon_sym_CHECK] = ACTIONS(2105),
    [anon_sym_UNITCHECK] = ACTIONS(2105),
    [anon_sym_END] = ACTIONS(2105),
    [anon_sym___FILE__] = ACTIONS(2105),
    [anon_sym___LINE__] = ACTIONS(2105),
    [anon_sym___PACKAGE__] = ACTIONS(2105),
    [anon_sym___SUB__] = ACTIONS(2105),
    [anon_sym_break] = ACTIONS(2105),
    [anon_sym_fork] = ACTIONS(2105),
    [anon_sym_getppid] = ACTIONS(2105),
    [anon_sym_time] = ACTIONS(2105),
    [anon_sym_times] = ACTIONS(2105),
    [anon_sym_wait] = ACTIONS(2105),
    [anon_sym_wantarray] = ACTIONS(2105),
    [anon_sym_abs] = ACTIONS(2105),
    [anon_sym_alarm] = ACTIONS(2105),
    [anon_sym_chop] = ACTIONS(2105),
    [anon_sym_chdir] = ACTIONS(2105),
    [anon_sym_close] = ACTIONS(2105),
    [anon_sym_closedir] = ACTIONS(2105),
    [anon_sym_caller] = ACTIONS(2105),
    [anon_sym_chomp] = ACTIONS(2105),
    [anon_sym_chr] = ACTIONS(2105),
    [anon_sym_cos] = ACTIONS(2105),
    [anon_sym_chroot] = ACTIONS(2105),
    [anon_sym_defined] = ACTIONS(2105),
    [anon_sym_delete] = ACTIONS(2105),
    [anon_sym_dbmclose] = ACTIONS(2105),
    [anon_sym_exists] = ACTIONS(2105),
    [anon_sym_exit] = ACTIONS(2105),
    [anon_sym_eof] = ACTIONS(2105),
    [anon_sym_exp] = ACTIONS(2105),
    [anon_sym_each] = ACTIONS(2105),
    [anon_sym_fc] = ACTIONS(2105),
    [anon_sym_fileno] = ACTIONS(2105),
    [anon_sym_gmtime] = ACTIONS(2105),
    [anon_sym_getc] = ACTIONS(2105),
    [anon_sym_getpgrp] = ACTIONS(2105),
    [anon_sym_getprotobyname] = ACTIONS(2105),
    [anon_sym_getpwname] = ACTIONS(2105),
    [anon_sym_getpwuid] = ACTIONS(2105),
    [anon_sym_getpeername] = ACTIONS(2105),
    [anon_sym_getnetbyname] = ACTIONS(2105),
    [anon_sym_getsockname] = ACTIONS(2105),
    [anon_sym_getgrnam] = ACTIONS(2105),
    [anon_sym_getgrgid] = ACTIONS(2105),
    [anon_sym_hex] = ACTIONS(2105),
    [anon_sym_int] = ACTIONS(2105),
    [anon_sym_keys] = ACTIONS(2105),
    [anon_sym_lc] = ACTIONS(2105),
    [anon_sym_lcfirst] = ACTIONS(2105),
    [anon_sym_length] = ACTIONS(2105),
    [anon_sym_localtime] = ACTIONS(2105),
    [anon_sym_log] = ACTIONS(2105),
    [anon_sym_lock] = ACTIONS(2105),
    [anon_sym_lstat] = ACTIONS(2105),
    [anon_sym_oct] = ACTIONS(2105),
    [anon_sym_ord] = ACTIONS(2105),
    [anon_sym_prototype] = ACTIONS(2105),
    [anon_sym_pop] = ACTIONS(2105),
    [anon_sym_pos] = ACTIONS(2105),
    [anon_sym_quotemeta] = ACTIONS(2105),
    [anon_sym_reset] = ACTIONS(2105),
    [anon_sym_rand] = ACTIONS(2105),
    [anon_sym_rmdir] = ACTIONS(2105),
    [anon_sym_readdir] = ACTIONS(2105),
    [anon_sym_readline] = ACTIONS(2105),
    [anon_sym_readpipe] = ACTIONS(2105),
    [anon_sym_rewinddir] = ACTIONS(2105),
    [anon_sym_readlink] = ACTIONS(2105),
    [anon_sym_ref] = ACTIONS(2105),
    [anon_sym_scalar] = ACTIONS(2105),
    [anon_sym_shift] = ACTIONS(2105),
    [anon_sym_sin] = ACTIONS(2105),
    [anon_sym_sleep] = ACTIONS(2105),
    [anon_sym_sqrt] = ACTIONS(2105),
    [anon_sym_srand] = ACTIONS(2105),
    [anon_sym_stat] = ACTIONS(2105),
    [anon_sym_study] = ACTIONS(2105),
    [anon_sym_tell] = ACTIONS(2105),
    [anon_sym_telldir] = ACTIONS(2105),
    [anon_sym_tied] = ACTIONS(2105),
    [anon_sym_uc] = ACTIONS(2105),
    [anon_sym_ucfirst] = ACTIONS(2105),
    [anon_sym_untie] = ACTIONS(2105),
    [anon_sym_umask] = ACTIONS(2105),
    [anon_sym_values] = ACTIONS(2105),
    [anon_sym_write] = ACTIONS(2105),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2105),
    [anon_sym___END__] = ACTIONS(2105),
    [anon_sym_EOT] = ACTIONS(2105),
    [anon_sym_q] = ACTIONS(2105),
    [anon_sym_qq] = ACTIONS(2105),
    [anon_sym_qw] = ACTIONS(2105),
    [anon_sym_qx] = ACTIONS(2105),
    [anon_sym_qr] = ACTIONS(2105),
    [anon_sym_m] = ACTIONS(2105),
    [anon_sym_s] = ACTIONS(2105),
    [anon_sym_tr] = ACTIONS(2105),
    [anon_sym_y] = ACTIONS(2105),
    [anon_sym_if] = ACTIONS(2105),
    [anon_sym_unless] = ACTIONS(2105),
    [anon_sym_while] = ACTIONS(2105),
    [anon_sym_until] = ACTIONS(2105),
    [aux_sym__bareword_token1] = ACTIONS(2105),
    [sym_number] = ACTIONS(2105),
    [anon_sym_true] = ACTIONS(2105),
    [anon_sym_false] = ACTIONS(2105),
    [sym__single_quote] = ACTIONS(2103),
    [sym__double_quote] = ACTIONS(2103),
    [sym__backtick_quote] = ACTIONS(2103),
    [sym__search_slash_quote] = ACTIONS(2103),
    [sym__open_readline_bracket] = ACTIONS(2103),
    [sym__open_fileglob_bracket] = ACTIONS(2103),
    [sym__PERLY_HEREDOC] = ACTIONS(2103),
    [sym__ctrl_z_hack] = ACTIONS(2103),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2103),
    [sym__filetest] = ACTIONS(2103),
  },
  [917] = {
    [sym_heredoc_content] = STATE(917),
    [ts_builtin_sym_end] = ACTIONS(2107),
    [sym__identifier] = ACTIONS(2109),
    [anon_sym_LBRACE] = ACTIONS(2109),
    [anon_sym_SEMI] = ACTIONS(2109),
    [anon_sym_package] = ACTIONS(2109),
    [anon_sym_class] = ACTIONS(2109),
    [anon_sym_role] = ACTIONS(2109),
    [anon_sym_BUILD] = ACTIONS(2109),
    [anon_sym_ADJUST] = ACTIONS(2109),
    [anon_sym_DOLLAR] = ACTIONS(2109),
    [anon_sym_AT] = ACTIONS(2109),
    [anon_sym_my] = ACTIONS(2109),
    [anon_sym_extended] = ACTIONS(2109),
    [anon_sym_async] = ACTIONS(2109),
    [anon_sym_sub] = ACTIONS(2109),
    [anon_sym_method] = ACTIONS(2109),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_continue] = ACTIONS(2109),
    [anon_sym_state] = ACTIONS(2109),
    [anon_sym_our] = ACTIONS(2109),
    [anon_sym_try] = ACTIONS(2109),
    [anon_sym_defer] = ACTIONS(2109),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2109),
    [anon_sym_LBRACK] = ACTIONS(2109),
    [anon_sym_LT_LT] = ACTIONS(2109),
    [anon_sym_SLASH_SLASH] = ACTIONS(2109),
    [anon_sym_PLUS] = ACTIONS(2109),
    [anon_sym_DASH] = ACTIONS(2109),
    [anon_sym_TILDE] = ACTIONS(2109),
    [anon_sym_BANG] = ACTIONS(2109),
    [anon_sym_PLUS_PLUS] = ACTIONS(2109),
    [anon_sym_DASH_DASH] = ACTIONS(2109),
    [anon_sym_BSLASH] = ACTIONS(2107),
    [anon_sym_do] = ACTIONS(2109),
    [anon_sym_eval] = ACTIONS(2109),
    [anon_sym_await] = ACTIONS(2109),
    [anon_sym_field] = ACTIONS(2109),
    [anon_sym_local] = ACTIONS(2109),
    [anon_sym_dynamically] = ACTIONS(2109),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2109),
    [anon_sym_require] = ACTIONS(2109),
    [anon_sym_map] = ACTIONS(2109),
    [anon_sym_grep] = ACTIONS(2109),
    [anon_sym_sort] = ACTIONS(2109),
    [anon_sym_goto] = ACTIONS(2109),
    [anon_sym_return] = ACTIONS(2109),
    [anon_sym_undef] = ACTIONS(2109),
    [anon_sym_PERCENT2] = ACTIONS(2109),
    [anon_sym_AMP2] = ACTIONS(2109),
    [anon_sym_STAR2] = ACTIONS(2109),
    [anon_sym_use] = ACTIONS(2109),
    [anon_sym_no] = ACTIONS(2109),
    [anon_sym_for] = ACTIONS(2109),
    [anon_sym_foreach] = ACTIONS(2109),
    [anon_sym_last] = ACTIONS(2109),
    [anon_sym_next] = ACTIONS(2109),
    [anon_sym_redo] = ACTIONS(2109),
    [anon_sym_BEGIN] = ACTIONS(2109),
    [anon_sym_INIT] = ACTIONS(2109),
    [anon_sym_CHECK] = ACTIONS(2109),
    [anon_sym_UNITCHECK] = ACTIONS(2109),
    [anon_sym_END] = ACTIONS(2109),
    [anon_sym___FILE__] = ACTIONS(2109),
    [anon_sym___LINE__] = ACTIONS(2109),
    [anon_sym___PACKAGE__] = ACTIONS(2109),
    [anon_sym___SUB__] = ACTIONS(2109),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_fork] = ACTIONS(2109),
    [anon_sym_getppid] = ACTIONS(2109),
    [anon_sym_time] = ACTIONS(2109),
    [anon_sym_times] = ACTIONS(2109),
    [anon_sym_wait] = ACTIONS(2109),
    [anon_sym_wantarray] = ACTIONS(2109),
    [anon_sym_abs] = ACTIONS(2109),
    [anon_sym_alarm] = ACTIONS(2109),
    [anon_sym_chop] = ACTIONS(2109),
    [anon_sym_chdir] = ACTIONS(2109),
    [anon_sym_close] = ACTIONS(2109),
    [anon_sym_closedir] = ACTIONS(2109),
    [anon_sym_caller] = ACTIONS(2109),
    [anon_sym_chomp] = ACTIONS(2109),
    [anon_sym_chr] = ACTIONS(2109),
    [anon_sym_cos] = ACTIONS(2109),
    [anon_sym_chroot] = ACTIONS(2109),
    [anon_sym_defined] = ACTIONS(2109),
    [anon_sym_delete] = ACTIONS(2109),
    [anon_sym_dbmclose] = ACTIONS(2109),
    [anon_sym_exists] = ACTIONS(2109),
    [anon_sym_exit] = ACTIONS(2109),
    [anon_sym_eof] = ACTIONS(2109),
    [anon_sym_exp] = ACTIONS(2109),
    [anon_sym_each] = ACTIONS(2109),
    [anon_sym_fc] = ACTIONS(2109),
    [anon_sym_fileno] = ACTIONS(2109),
    [anon_sym_gmtime] = ACTIONS(2109),
    [anon_sym_getc] = ACTIONS(2109),
    [anon_sym_getpgrp] = ACTIONS(2109),
    [anon_sym_getprotobyname] = ACTIONS(2109),
    [anon_sym_getpwname] = ACTIONS(2109),
    [anon_sym_getpwuid] = ACTIONS(2109),
    [anon_sym_getpeername] = ACTIONS(2109),
    [anon_sym_getnetbyname] = ACTIONS(2109),
    [anon_sym_getsockname] = ACTIONS(2109),
    [anon_sym_getgrnam] = ACTIONS(2109),
    [anon_sym_getgrgid] = ACTIONS(2109),
    [anon_sym_hex] = ACTIONS(2109),
    [anon_sym_int] = ACTIONS(2109),
    [anon_sym_keys] = ACTIONS(2109),
    [anon_sym_lc] = ACTIONS(2109),
    [anon_sym_lcfirst] = ACTIONS(2109),
    [anon_sym_length] = ACTIONS(2109),
    [anon_sym_localtime] = ACTIONS(2109),
    [anon_sym_log] = ACTIONS(2109),
    [anon_sym_lock] = ACTIONS(2109),
    [anon_sym_lstat] = ACTIONS(2109),
    [anon_sym_oct] = ACTIONS(2109),
    [anon_sym_ord] = ACTIONS(2109),
    [anon_sym_prototype] = ACTIONS(2109),
    [anon_sym_pop] = ACTIONS(2109),
    [anon_sym_pos] = ACTIONS(2109),
    [anon_sym_quotemeta] = ACTIONS(2109),
    [anon_sym_reset] = ACTIONS(2109),
    [anon_sym_rand] = ACTIONS(2109),
    [anon_sym_rmdir] = ACTIONS(2109),
    [anon_sym_readdir] = ACTIONS(2109),
    [anon_sym_readline] = ACTIONS(2109),
    [anon_sym_readpipe] = ACTIONS(2109),
    [anon_sym_rewinddir] = ACTIONS(2109),
    [anon_sym_readlink] = ACTIONS(2109),
    [anon_sym_ref] = ACTIONS(2109),
    [anon_sym_scalar] = ACTIONS(2109),
    [anon_sym_shift] = ACTIONS(2109),
    [anon_sym_sin] = ACTIONS(2109),
    [anon_sym_sleep] = ACTIONS(2109),
    [anon_sym_sqrt] = ACTIONS(2109),
    [anon_sym_srand] = ACTIONS(2109),
    [anon_sym_stat] = ACTIONS(2109),
    [anon_sym_study] = ACTIONS(2109),
    [anon_sym_tell] = ACTIONS(2109),
    [anon_sym_telldir] = ACTIONS(2109),
    [anon_sym_tied] = ACTIONS(2109),
    [anon_sym_uc] = ACTIONS(2109),
    [anon_sym_ucfirst] = ACTIONS(2109),
    [anon_sym_untie] = ACTIONS(2109),
    [anon_sym_umask] = ACTIONS(2109),
    [anon_sym_values] = ACTIONS(2109),
    [anon_sym_write] = ACTIONS(2109),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2109),
    [anon_sym___END__] = ACTIONS(2109),
    [anon_sym_EOT] = ACTIONS(2109),
    [anon_sym_q] = ACTIONS(2109),
    [anon_sym_qq] = ACTIONS(2109),
    [anon_sym_qw] = ACTIONS(2109),
    [anon_sym_qx] = ACTIONS(2109),
    [anon_sym_qr] = ACTIONS(2109),
    [anon_sym_m] = ACTIONS(2109),
    [anon_sym_s] = ACTIONS(2109),
    [anon_sym_tr] = ACTIONS(2109),
    [anon_sym_y] = ACTIONS(2109),
    [anon_sym_if] = ACTIONS(2109),
    [anon_sym_unless] = ACTIONS(2109),
    [anon_sym_while] = ACTIONS(2109),
    [anon_sym_until] = ACTIONS(2109),
    [aux_sym__bareword_token1] = ACTIONS(2109),
    [sym_number] = ACTIONS(2109),
    [anon_sym_true] = ACTIONS(2109),
    [anon_sym_false] = ACTIONS(2109),
    [sym__single_quote] = ACTIONS(2107),
    [sym__double_quote] = ACTIONS(2107),
    [sym__backtick_quote] = ACTIONS(2107),
    [sym__search_slash_quote] = ACTIONS(2107),
    [sym__open_readline_bracket] = ACTIONS(2107),
    [sym__open_fileglob_bracket] = ACTIONS(2107),
    [sym__PERLY_HEREDOC] = ACTIONS(2107),
    [sym__ctrl_z_hack] = ACTIONS(2107),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2107),
    [sym__filetest] = ACTIONS(2107),
  },
  [918] = {
    [sym_heredoc_content] = STATE(918),
    [ts_builtin_sym_end] = ACTIONS(2111),
    [sym__identifier] = ACTIONS(2113),
    [anon_sym_LBRACE] = ACTIONS(2113),
    [anon_sym_SEMI] = ACTIONS(2113),
    [anon_sym_package] = ACTIONS(2113),
    [anon_sym_class] = ACTIONS(2113),
    [anon_sym_role] = ACTIONS(2113),
    [anon_sym_BUILD] = ACTIONS(2113),
    [anon_sym_ADJUST] = ACTIONS(2113),
    [anon_sym_DOLLAR] = ACTIONS(2113),
    [anon_sym_AT] = ACTIONS(2113),
    [anon_sym_my] = ACTIONS(2113),
    [anon_sym_extended] = ACTIONS(2113),
    [anon_sym_async] = ACTIONS(2113),
    [anon_sym_sub] = ACTIONS(2113),
    [anon_sym_method] = ACTIONS(2113),
    [anon_sym_LPAREN] = ACTIONS(2113),
    [anon_sym_continue] = ACTIONS(2113),
    [anon_sym_state] = ACTIONS(2113),
    [anon_sym_our] = ACTIONS(2113),
    [anon_sym_try] = ACTIONS(2113),
    [anon_sym_defer] = ACTIONS(2113),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2113),
    [anon_sym_LBRACK] = ACTIONS(2113),
    [anon_sym_LT_LT] = ACTIONS(2113),
    [anon_sym_SLASH_SLASH] = ACTIONS(2113),
    [anon_sym_PLUS] = ACTIONS(2113),
    [anon_sym_DASH] = ACTIONS(2113),
    [anon_sym_TILDE] = ACTIONS(2113),
    [anon_sym_BANG] = ACTIONS(2113),
    [anon_sym_PLUS_PLUS] = ACTIONS(2113),
    [anon_sym_DASH_DASH] = ACTIONS(2113),
    [anon_sym_BSLASH] = ACTIONS(2111),
    [anon_sym_do] = ACTIONS(2113),
    [anon_sym_eval] = ACTIONS(2113),
    [anon_sym_await] = ACTIONS(2113),
    [anon_sym_field] = ACTIONS(2113),
    [anon_sym_local] = ACTIONS(2113),
    [anon_sym_dynamically] = ACTIONS(2113),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2113),
    [anon_sym_require] = ACTIONS(2113),
    [anon_sym_map] = ACTIONS(2113),
    [anon_sym_grep] = ACTIONS(2113),
    [anon_sym_sort] = ACTIONS(2113),
    [anon_sym_goto] = ACTIONS(2113),
    [anon_sym_return] = ACTIONS(2113),
    [anon_sym_undef] = ACTIONS(2113),
    [anon_sym_PERCENT2] = ACTIONS(2113),
    [anon_sym_AMP2] = ACTIONS(2113),
    [anon_sym_STAR2] = ACTIONS(2113),
    [anon_sym_use] = ACTIONS(2113),
    [anon_sym_no] = ACTIONS(2113),
    [anon_sym_for] = ACTIONS(2113),
    [anon_sym_foreach] = ACTIONS(2113),
    [anon_sym_last] = ACTIONS(2113),
    [anon_sym_next] = ACTIONS(2113),
    [anon_sym_redo] = ACTIONS(2113),
    [anon_sym_BEGIN] = ACTIONS(2113),
    [anon_sym_INIT] = ACTIONS(2113),
    [anon_sym_CHECK] = ACTIONS(2113),
    [anon_sym_UNITCHECK] = ACTIONS(2113),
    [anon_sym_END] = ACTIONS(2113),
    [anon_sym___FILE__] = ACTIONS(2113),
    [anon_sym___LINE__] = ACTIONS(2113),
    [anon_sym___PACKAGE__] = ACTIONS(2113),
    [anon_sym___SUB__] = ACTIONS(2113),
    [anon_sym_break] = ACTIONS(2113),
    [anon_sym_fork] = ACTIONS(2113),
    [anon_sym_getppid] = ACTIONS(2113),
    [anon_sym_time] = ACTIONS(2113),
    [anon_sym_times] = ACTIONS(2113),
    [anon_sym_wait] = ACTIONS(2113),
    [anon_sym_wantarray] = ACTIONS(2113),
    [anon_sym_abs] = ACTIONS(2113),
    [anon_sym_alarm] = ACTIONS(2113),
    [anon_sym_chop] = ACTIONS(2113),
    [anon_sym_chdir] = ACTIONS(2113),
    [anon_sym_close] = ACTIONS(2113),
    [anon_sym_closedir] = ACTIONS(2113),
    [anon_sym_caller] = ACTIONS(2113),
    [anon_sym_chomp] = ACTIONS(2113),
    [anon_sym_chr] = ACTIONS(2113),
    [anon_sym_cos] = ACTIONS(2113),
    [anon_sym_chroot] = ACTIONS(2113),
    [anon_sym_defined] = ACTIONS(2113),
    [anon_sym_delete] = ACTIONS(2113),
    [anon_sym_dbmclose] = ACTIONS(2113),
    [anon_sym_exists] = ACTIONS(2113),
    [anon_sym_exit] = ACTIONS(2113),
    [anon_sym_eof] = ACTIONS(2113),
    [anon_sym_exp] = ACTIONS(2113),
    [anon_sym_each] = ACTIONS(2113),
    [anon_sym_fc] = ACTIONS(2113),
    [anon_sym_fileno] = ACTIONS(2113),
    [anon_sym_gmtime] = ACTIONS(2113),
    [anon_sym_getc] = ACTIONS(2113),
    [anon_sym_getpgrp] = ACTIONS(2113),
    [anon_sym_getprotobyname] = ACTIONS(2113),
    [anon_sym_getpwname] = ACTIONS(2113),
    [anon_sym_getpwuid] = ACTIONS(2113),
    [anon_sym_getpeername] = ACTIONS(2113),
    [anon_sym_getnetbyname] = ACTIONS(2113),
    [anon_sym_getsockname] = ACTIONS(2113),
    [anon_sym_getgrnam] = ACTIONS(2113),
    [anon_sym_getgrgid] = ACTIONS(2113),
    [anon_sym_hex] = ACTIONS(2113),
    [anon_sym_int] = ACTIONS(2113),
    [anon_sym_keys] = ACTIONS(2113),
    [anon_sym_lc] = ACTIONS(2113),
    [anon_sym_lcfirst] = ACTIONS(2113),
    [anon_sym_length] = ACTIONS(2113),
    [anon_sym_localtime] = ACTIONS(2113),
    [anon_sym_log] = ACTIONS(2113),
    [anon_sym_lock] = ACTIONS(2113),
    [anon_sym_lstat] = ACTIONS(2113),
    [anon_sym_oct] = ACTIONS(2113),
    [anon_sym_ord] = ACTIONS(2113),
    [anon_sym_prototype] = ACTIONS(2113),
    [anon_sym_pop] = ACTIONS(2113),
    [anon_sym_pos] = ACTIONS(2113),
    [anon_sym_quotemeta] = ACTIONS(2113),
    [anon_sym_reset] = ACTIONS(2113),
    [anon_sym_rand] = ACTIONS(2113),
    [anon_sym_rmdir] = ACTIONS(2113),
    [anon_sym_readdir] = ACTIONS(2113),
    [anon_sym_readline] = ACTIONS(2113),
    [anon_sym_readpipe] = ACTIONS(2113),
    [anon_sym_rewinddir] = ACTIONS(2113),
    [anon_sym_readlink] = ACTIONS(2113),
    [anon_sym_ref] = ACTIONS(2113),
    [anon_sym_scalar] = ACTIONS(2113),
    [anon_sym_shift] = ACTIONS(2113),
    [anon_sym_sin] = ACTIONS(2113),
    [anon_sym_sleep] = ACTIONS(2113),
    [anon_sym_sqrt] = ACTIONS(2113),
    [anon_sym_srand] = ACTIONS(2113),
    [anon_sym_stat] = ACTIONS(2113),
    [anon_sym_study] = ACTIONS(2113),
    [anon_sym_tell] = ACTIONS(2113),
    [anon_sym_telldir] = ACTIONS(2113),
    [anon_sym_tied] = ACTIONS(2113),
    [anon_sym_uc] = ACTIONS(2113),
    [anon_sym_ucfirst] = ACTIONS(2113),
    [anon_sym_untie] = ACTIONS(2113),
    [anon_sym_umask] = ACTIONS(2113),
    [anon_sym_values] = ACTIONS(2113),
    [anon_sym_write] = ACTIONS(2113),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2113),
    [anon_sym___END__] = ACTIONS(2113),
    [anon_sym_EOT] = ACTIONS(2113),
    [anon_sym_q] = ACTIONS(2113),
    [anon_sym_qq] = ACTIONS(2113),
    [anon_sym_qw] = ACTIONS(2113),
    [anon_sym_qx] = ACTIONS(2113),
    [anon_sym_qr] = ACTIONS(2113),
    [anon_sym_m] = ACTIONS(2113),
    [anon_sym_s] = ACTIONS(2113),
    [anon_sym_tr] = ACTIONS(2113),
    [anon_sym_y] = ACTIONS(2113),
    [anon_sym_if] = ACTIONS(2113),
    [anon_sym_unless] = ACTIONS(2113),
    [anon_sym_while] = ACTIONS(2113),
    [anon_sym_until] = ACTIONS(2113),
    [aux_sym__bareword_token1] = ACTIONS(2113),
    [sym_number] = ACTIONS(2113),
    [anon_sym_true] = ACTIONS(2113),
    [anon_sym_false] = ACTIONS(2113),
    [sym__single_quote] = ACTIONS(2111),
    [sym__double_quote] = ACTIONS(2111),
    [sym__backtick_quote] = ACTIONS(2111),
    [sym__search_slash_quote] = ACTIONS(2111),
    [sym__open_readline_bracket] = ACTIONS(2111),
    [sym__open_fileglob_bracket] = ACTIONS(2111),
    [sym__PERLY_HEREDOC] = ACTIONS(2111),
    [sym__ctrl_z_hack] = ACTIONS(2111),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2111),
    [sym__filetest] = ACTIONS(2111),
  },
  [919] = {
    [sym_heredoc_content] = STATE(919),
    [ts_builtin_sym_end] = ACTIONS(2115),
    [sym__identifier] = ACTIONS(2117),
    [anon_sym_LBRACE] = ACTIONS(2117),
    [anon_sym_SEMI] = ACTIONS(2117),
    [anon_sym_package] = ACTIONS(2117),
    [anon_sym_class] = ACTIONS(2117),
    [anon_sym_role] = ACTIONS(2117),
    [anon_sym_BUILD] = ACTIONS(2117),
    [anon_sym_ADJUST] = ACTIONS(2117),
    [anon_sym_DOLLAR] = ACTIONS(2117),
    [anon_sym_AT] = ACTIONS(2117),
    [anon_sym_my] = ACTIONS(2117),
    [anon_sym_extended] = ACTIONS(2117),
    [anon_sym_async] = ACTIONS(2117),
    [anon_sym_sub] = ACTIONS(2117),
    [anon_sym_method] = ACTIONS(2117),
    [anon_sym_LPAREN] = ACTIONS(2117),
    [anon_sym_continue] = ACTIONS(2117),
    [anon_sym_state] = ACTIONS(2117),
    [anon_sym_our] = ACTIONS(2117),
    [anon_sym_try] = ACTIONS(2117),
    [anon_sym_defer] = ACTIONS(2117),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2117),
    [anon_sym_LBRACK] = ACTIONS(2117),
    [anon_sym_LT_LT] = ACTIONS(2117),
    [anon_sym_SLASH_SLASH] = ACTIONS(2117),
    [anon_sym_PLUS] = ACTIONS(2117),
    [anon_sym_DASH] = ACTIONS(2117),
    [anon_sym_TILDE] = ACTIONS(2117),
    [anon_sym_BANG] = ACTIONS(2117),
    [anon_sym_PLUS_PLUS] = ACTIONS(2117),
    [anon_sym_DASH_DASH] = ACTIONS(2117),
    [anon_sym_BSLASH] = ACTIONS(2115),
    [anon_sym_do] = ACTIONS(2117),
    [anon_sym_eval] = ACTIONS(2117),
    [anon_sym_await] = ACTIONS(2117),
    [anon_sym_field] = ACTIONS(2117),
    [anon_sym_local] = ACTIONS(2117),
    [anon_sym_dynamically] = ACTIONS(2117),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2117),
    [anon_sym_require] = ACTIONS(2117),
    [anon_sym_map] = ACTIONS(2117),
    [anon_sym_grep] = ACTIONS(2117),
    [anon_sym_sort] = ACTIONS(2117),
    [anon_sym_goto] = ACTIONS(2117),
    [anon_sym_return] = ACTIONS(2117),
    [anon_sym_undef] = ACTIONS(2117),
    [anon_sym_PERCENT2] = ACTIONS(2117),
    [anon_sym_AMP2] = ACTIONS(2117),
    [anon_sym_STAR2] = ACTIONS(2117),
    [anon_sym_use] = ACTIONS(2117),
    [anon_sym_no] = ACTIONS(2117),
    [anon_sym_for] = ACTIONS(2117),
    [anon_sym_foreach] = ACTIONS(2117),
    [anon_sym_last] = ACTIONS(2117),
    [anon_sym_next] = ACTIONS(2117),
    [anon_sym_redo] = ACTIONS(2117),
    [anon_sym_BEGIN] = ACTIONS(2117),
    [anon_sym_INIT] = ACTIONS(2117),
    [anon_sym_CHECK] = ACTIONS(2117),
    [anon_sym_UNITCHECK] = ACTIONS(2117),
    [anon_sym_END] = ACTIONS(2117),
    [anon_sym___FILE__] = ACTIONS(2117),
    [anon_sym___LINE__] = ACTIONS(2117),
    [anon_sym___PACKAGE__] = ACTIONS(2117),
    [anon_sym___SUB__] = ACTIONS(2117),
    [anon_sym_break] = ACTIONS(2117),
    [anon_sym_fork] = ACTIONS(2117),
    [anon_sym_getppid] = ACTIONS(2117),
    [anon_sym_time] = ACTIONS(2117),
    [anon_sym_times] = ACTIONS(2117),
    [anon_sym_wait] = ACTIONS(2117),
    [anon_sym_wantarray] = ACTIONS(2117),
    [anon_sym_abs] = ACTIONS(2117),
    [anon_sym_alarm] = ACTIONS(2117),
    [anon_sym_chop] = ACTIONS(2117),
    [anon_sym_chdir] = ACTIONS(2117),
    [anon_sym_close] = ACTIONS(2117),
    [anon_sym_closedir] = ACTIONS(2117),
    [anon_sym_caller] = ACTIONS(2117),
    [anon_sym_chomp] = ACTIONS(2117),
    [anon_sym_chr] = ACTIONS(2117),
    [anon_sym_cos] = ACTIONS(2117),
    [anon_sym_chroot] = ACTIONS(2117),
    [anon_sym_defined] = ACTIONS(2117),
    [anon_sym_delete] = ACTIONS(2117),
    [anon_sym_dbmclose] = ACTIONS(2117),
    [anon_sym_exists] = ACTIONS(2117),
    [anon_sym_exit] = ACTIONS(2117),
    [anon_sym_eof] = ACTIONS(2117),
    [anon_sym_exp] = ACTIONS(2117),
    [anon_sym_each] = ACTIONS(2117),
    [anon_sym_fc] = ACTIONS(2117),
    [anon_sym_fileno] = ACTIONS(2117),
    [anon_sym_gmtime] = ACTIONS(2117),
    [anon_sym_getc] = ACTIONS(2117),
    [anon_sym_getpgrp] = ACTIONS(2117),
    [anon_sym_getprotobyname] = ACTIONS(2117),
    [anon_sym_getpwname] = ACTIONS(2117),
    [anon_sym_getpwuid] = ACTIONS(2117),
    [anon_sym_getpeername] = ACTIONS(2117),
    [anon_sym_getnetbyname] = ACTIONS(2117),
    [anon_sym_getsockname] = ACTIONS(2117),
    [anon_sym_getgrnam] = ACTIONS(2117),
    [anon_sym_getgrgid] = ACTIONS(2117),
    [anon_sym_hex] = ACTIONS(2117),
    [anon_sym_int] = ACTIONS(2117),
    [anon_sym_keys] = ACTIONS(2117),
    [anon_sym_lc] = ACTIONS(2117),
    [anon_sym_lcfirst] = ACTIONS(2117),
    [anon_sym_length] = ACTIONS(2117),
    [anon_sym_localtime] = ACTIONS(2117),
    [anon_sym_log] = ACTIONS(2117),
    [anon_sym_lock] = ACTIONS(2117),
    [anon_sym_lstat] = ACTIONS(2117),
    [anon_sym_oct] = ACTIONS(2117),
    [anon_sym_ord] = ACTIONS(2117),
    [anon_sym_prototype] = ACTIONS(2117),
    [anon_sym_pop] = ACTIONS(2117),
    [anon_sym_pos] = ACTIONS(2117),
    [anon_sym_quotemeta] = ACTIONS(2117),
    [anon_sym_reset] = ACTIONS(2117),
    [anon_sym_rand] = ACTIONS(2117),
    [anon_sym_rmdir] = ACTIONS(2117),
    [anon_sym_readdir] = ACTIONS(2117),
    [anon_sym_readline] = ACTIONS(2117),
    [anon_sym_readpipe] = ACTIONS(2117),
    [anon_sym_rewinddir] = ACTIONS(2117),
    [anon_sym_readlink] = ACTIONS(2117),
    [anon_sym_ref] = ACTIONS(2117),
    [anon_sym_scalar] = ACTIONS(2117),
    [anon_sym_shift] = ACTIONS(2117),
    [anon_sym_sin] = ACTIONS(2117),
    [anon_sym_sleep] = ACTIONS(2117),
    [anon_sym_sqrt] = ACTIONS(2117),
    [anon_sym_srand] = ACTIONS(2117),
    [anon_sym_stat] = ACTIONS(2117),
    [anon_sym_study] = ACTIONS(2117),
    [anon_sym_tell] = ACTIONS(2117),
    [anon_sym_telldir] = ACTIONS(2117),
    [anon_sym_tied] = ACTIONS(2117),
    [anon_sym_uc] = ACTIONS(2117),
    [anon_sym_ucfirst] = ACTIONS(2117),
    [anon_sym_untie] = ACTIONS(2117),
    [anon_sym_umask] = ACTIONS(2117),
    [anon_sym_values] = ACTIONS(2117),
    [anon_sym_write] = ACTIONS(2117),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2117),
    [anon_sym___END__] = ACTIONS(2117),
    [anon_sym_EOT] = ACTIONS(2117),
    [anon_sym_q] = ACTIONS(2117),
    [anon_sym_qq] = ACTIONS(2117),
    [anon_sym_qw] = ACTIONS(2117),
    [anon_sym_qx] = ACTIONS(2117),
    [anon_sym_qr] = ACTIONS(2117),
    [anon_sym_m] = ACTIONS(2117),
    [anon_sym_s] = ACTIONS(2117),
    [anon_sym_tr] = ACTIONS(2117),
    [anon_sym_y] = ACTIONS(2117),
    [anon_sym_if] = ACTIONS(2117),
    [anon_sym_unless] = ACTIONS(2117),
    [anon_sym_while] = ACTIONS(2117),
    [anon_sym_until] = ACTIONS(2117),
    [aux_sym__bareword_token1] = ACTIONS(2117),
    [sym_number] = ACTIONS(2117),
    [anon_sym_true] = ACTIONS(2117),
    [anon_sym_false] = ACTIONS(2117),
    [sym__single_quote] = ACTIONS(2115),
    [sym__double_quote] = ACTIONS(2115),
    [sym__backtick_quote] = ACTIONS(2115),
    [sym__search_slash_quote] = ACTIONS(2115),
    [sym__open_readline_bracket] = ACTIONS(2115),
    [sym__open_fileglob_bracket] = ACTIONS(2115),
    [sym__PERLY_HEREDOC] = ACTIONS(2115),
    [sym__ctrl_z_hack] = ACTIONS(2115),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2115),
    [sym__filetest] = ACTIONS(2115),
  },
  [920] = {
    [sym_heredoc_content] = STATE(920),
    [ts_builtin_sym_end] = ACTIONS(2119),
    [sym__identifier] = ACTIONS(2121),
    [anon_sym_LBRACE] = ACTIONS(2121),
    [anon_sym_SEMI] = ACTIONS(2121),
    [anon_sym_package] = ACTIONS(2121),
    [anon_sym_class] = ACTIONS(2121),
    [anon_sym_role] = ACTIONS(2121),
    [anon_sym_BUILD] = ACTIONS(2121),
    [anon_sym_ADJUST] = ACTIONS(2121),
    [anon_sym_DOLLAR] = ACTIONS(2121),
    [anon_sym_AT] = ACTIONS(2121),
    [anon_sym_my] = ACTIONS(2121),
    [anon_sym_extended] = ACTIONS(2121),
    [anon_sym_async] = ACTIONS(2121),
    [anon_sym_sub] = ACTIONS(2121),
    [anon_sym_method] = ACTIONS(2121),
    [anon_sym_LPAREN] = ACTIONS(2121),
    [anon_sym_continue] = ACTIONS(2121),
    [anon_sym_state] = ACTIONS(2121),
    [anon_sym_our] = ACTIONS(2121),
    [anon_sym_try] = ACTIONS(2121),
    [anon_sym_defer] = ACTIONS(2121),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2121),
    [anon_sym_LBRACK] = ACTIONS(2121),
    [anon_sym_LT_LT] = ACTIONS(2121),
    [anon_sym_SLASH_SLASH] = ACTIONS(2121),
    [anon_sym_PLUS] = ACTIONS(2121),
    [anon_sym_DASH] = ACTIONS(2121),
    [anon_sym_TILDE] = ACTIONS(2121),
    [anon_sym_BANG] = ACTIONS(2121),
    [anon_sym_PLUS_PLUS] = ACTIONS(2121),
    [anon_sym_DASH_DASH] = ACTIONS(2121),
    [anon_sym_BSLASH] = ACTIONS(2119),
    [anon_sym_do] = ACTIONS(2121),
    [anon_sym_eval] = ACTIONS(2121),
    [anon_sym_await] = ACTIONS(2121),
    [anon_sym_field] = ACTIONS(2121),
    [anon_sym_local] = ACTIONS(2121),
    [anon_sym_dynamically] = ACTIONS(2121),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2121),
    [anon_sym_require] = ACTIONS(2121),
    [anon_sym_map] = ACTIONS(2121),
    [anon_sym_grep] = ACTIONS(2121),
    [anon_sym_sort] = ACTIONS(2121),
    [anon_sym_goto] = ACTIONS(2121),
    [anon_sym_return] = ACTIONS(2121),
    [anon_sym_undef] = ACTIONS(2121),
    [anon_sym_PERCENT2] = ACTIONS(2121),
    [anon_sym_AMP2] = ACTIONS(2121),
    [anon_sym_STAR2] = ACTIONS(2121),
    [anon_sym_use] = ACTIONS(2121),
    [anon_sym_no] = ACTIONS(2121),
    [anon_sym_for] = ACTIONS(2121),
    [anon_sym_foreach] = ACTIONS(2121),
    [anon_sym_last] = ACTIONS(2121),
    [anon_sym_next] = ACTIONS(2121),
    [anon_sym_redo] = ACTIONS(2121),
    [anon_sym_BEGIN] = ACTIONS(2121),
    [anon_sym_INIT] = ACTIONS(2121),
    [anon_sym_CHECK] = ACTIONS(2121),
    [anon_sym_UNITCHECK] = ACTIONS(2121),
    [anon_sym_END] = ACTIONS(2121),
    [anon_sym___FILE__] = ACTIONS(2121),
    [anon_sym___LINE__] = ACTIONS(2121),
    [anon_sym___PACKAGE__] = ACTIONS(2121),
    [anon_sym___SUB__] = ACTIONS(2121),
    [anon_sym_break] = ACTIONS(2121),
    [anon_sym_fork] = ACTIONS(2121),
    [anon_sym_getppid] = ACTIONS(2121),
    [anon_sym_time] = ACTIONS(2121),
    [anon_sym_times] = ACTIONS(2121),
    [anon_sym_wait] = ACTIONS(2121),
    [anon_sym_wantarray] = ACTIONS(2121),
    [anon_sym_abs] = ACTIONS(2121),
    [anon_sym_alarm] = ACTIONS(2121),
    [anon_sym_chop] = ACTIONS(2121),
    [anon_sym_chdir] = ACTIONS(2121),
    [anon_sym_close] = ACTIONS(2121),
    [anon_sym_closedir] = ACTIONS(2121),
    [anon_sym_caller] = ACTIONS(2121),
    [anon_sym_chomp] = ACTIONS(2121),
    [anon_sym_chr] = ACTIONS(2121),
    [anon_sym_cos] = ACTIONS(2121),
    [anon_sym_chroot] = ACTIONS(2121),
    [anon_sym_defined] = ACTIONS(2121),
    [anon_sym_delete] = ACTIONS(2121),
    [anon_sym_dbmclose] = ACTIONS(2121),
    [anon_sym_exists] = ACTIONS(2121),
    [anon_sym_exit] = ACTIONS(2121),
    [anon_sym_eof] = ACTIONS(2121),
    [anon_sym_exp] = ACTIONS(2121),
    [anon_sym_each] = ACTIONS(2121),
    [anon_sym_fc] = ACTIONS(2121),
    [anon_sym_fileno] = ACTIONS(2121),
    [anon_sym_gmtime] = ACTIONS(2121),
    [anon_sym_getc] = ACTIONS(2121),
    [anon_sym_getpgrp] = ACTIONS(2121),
    [anon_sym_getprotobyname] = ACTIONS(2121),
    [anon_sym_getpwname] = ACTIONS(2121),
    [anon_sym_getpwuid] = ACTIONS(2121),
    [anon_sym_getpeername] = ACTIONS(2121),
    [anon_sym_getnetbyname] = ACTIONS(2121),
    [anon_sym_getsockname] = ACTIONS(2121),
    [anon_sym_getgrnam] = ACTIONS(2121),
    [anon_sym_getgrgid] = ACTIONS(2121),
    [anon_sym_hex] = ACTIONS(2121),
    [anon_sym_int] = ACTIONS(2121),
    [anon_sym_keys] = ACTIONS(2121),
    [anon_sym_lc] = ACTIONS(2121),
    [anon_sym_lcfirst] = ACTIONS(2121),
    [anon_sym_length] = ACTIONS(2121),
    [anon_sym_localtime] = ACTIONS(2121),
    [anon_sym_log] = ACTIONS(2121),
    [anon_sym_lock] = ACTIONS(2121),
    [anon_sym_lstat] = ACTIONS(2121),
    [anon_sym_oct] = ACTIONS(2121),
    [anon_sym_ord] = ACTIONS(2121),
    [anon_sym_prototype] = ACTIONS(2121),
    [anon_sym_pop] = ACTIONS(2121),
    [anon_sym_pos] = ACTIONS(2121),
    [anon_sym_quotemeta] = ACTIONS(2121),
    [anon_sym_reset] = ACTIONS(2121),
    [anon_sym_rand] = ACTIONS(2121),
    [anon_sym_rmdir] = ACTIONS(2121),
    [anon_sym_readdir] = ACTIONS(2121),
    [anon_sym_readline] = ACTIONS(2121),
    [anon_sym_readpipe] = ACTIONS(2121),
    [anon_sym_rewinddir] = ACTIONS(2121),
    [anon_sym_readlink] = ACTIONS(2121),
    [anon_sym_ref] = ACTIONS(2121),
    [anon_sym_scalar] = ACTIONS(2121),
    [anon_sym_shift] = ACTIONS(2121),
    [anon_sym_sin] = ACTIONS(2121),
    [anon_sym_sleep] = ACTIONS(2121),
    [anon_sym_sqrt] = ACTIONS(2121),
    [anon_sym_srand] = ACTIONS(2121),
    [anon_sym_stat] = ACTIONS(2121),
    [anon_sym_study] = ACTIONS(2121),
    [anon_sym_tell] = ACTIONS(2121),
    [anon_sym_telldir] = ACTIONS(2121),
    [anon_sym_tied] = ACTIONS(2121),
    [anon_sym_uc] = ACTIONS(2121),
    [anon_sym_ucfirst] = ACTIONS(2121),
    [anon_sym_untie] = ACTIONS(2121),
    [anon_sym_umask] = ACTIONS(2121),
    [anon_sym_values] = ACTIONS(2121),
    [anon_sym_write] = ACTIONS(2121),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2121),
    [anon_sym___END__] = ACTIONS(2121),
    [anon_sym_EOT] = ACTIONS(2121),
    [anon_sym_q] = ACTIONS(2121),
    [anon_sym_qq] = ACTIONS(2121),
    [anon_sym_qw] = ACTIONS(2121),
    [anon_sym_qx] = ACTIONS(2121),
    [anon_sym_qr] = ACTIONS(2121),
    [anon_sym_m] = ACTIONS(2121),
    [anon_sym_s] = ACTIONS(2121),
    [anon_sym_tr] = ACTIONS(2121),
    [anon_sym_y] = ACTIONS(2121),
    [anon_sym_if] = ACTIONS(2121),
    [anon_sym_unless] = ACTIONS(2121),
    [anon_sym_while] = ACTIONS(2121),
    [anon_sym_until] = ACTIONS(2121),
    [aux_sym__bareword_token1] = ACTIONS(2121),
    [sym_number] = ACTIONS(2121),
    [anon_sym_true] = ACTIONS(2121),
    [anon_sym_false] = ACTIONS(2121),
    [sym__single_quote] = ACTIONS(2119),
    [sym__double_quote] = ACTIONS(2119),
    [sym__backtick_quote] = ACTIONS(2119),
    [sym__search_slash_quote] = ACTIONS(2119),
    [sym__open_readline_bracket] = ACTIONS(2119),
    [sym__open_fileglob_bracket] = ACTIONS(2119),
    [sym__PERLY_HEREDOC] = ACTIONS(2119),
    [sym__ctrl_z_hack] = ACTIONS(2119),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2119),
    [sym__filetest] = ACTIONS(2119),
  },
  [921] = {
    [sym_heredoc_content] = STATE(921),
    [ts_builtin_sym_end] = ACTIONS(2123),
    [sym__identifier] = ACTIONS(2125),
    [anon_sym_LBRACE] = ACTIONS(2125),
    [anon_sym_SEMI] = ACTIONS(2125),
    [anon_sym_package] = ACTIONS(2125),
    [anon_sym_class] = ACTIONS(2125),
    [anon_sym_role] = ACTIONS(2125),
    [anon_sym_BUILD] = ACTIONS(2125),
    [anon_sym_ADJUST] = ACTIONS(2125),
    [anon_sym_DOLLAR] = ACTIONS(2125),
    [anon_sym_AT] = ACTIONS(2125),
    [anon_sym_my] = ACTIONS(2125),
    [anon_sym_extended] = ACTIONS(2125),
    [anon_sym_async] = ACTIONS(2125),
    [anon_sym_sub] = ACTIONS(2125),
    [anon_sym_method] = ACTIONS(2125),
    [anon_sym_LPAREN] = ACTIONS(2125),
    [anon_sym_continue] = ACTIONS(2125),
    [anon_sym_state] = ACTIONS(2125),
    [anon_sym_our] = ACTIONS(2125),
    [anon_sym_try] = ACTIONS(2125),
    [anon_sym_defer] = ACTIONS(2125),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2125),
    [anon_sym_LBRACK] = ACTIONS(2125),
    [anon_sym_LT_LT] = ACTIONS(2125),
    [anon_sym_SLASH_SLASH] = ACTIONS(2125),
    [anon_sym_PLUS] = ACTIONS(2125),
    [anon_sym_DASH] = ACTIONS(2125),
    [anon_sym_TILDE] = ACTIONS(2125),
    [anon_sym_BANG] = ACTIONS(2125),
    [anon_sym_PLUS_PLUS] = ACTIONS(2125),
    [anon_sym_DASH_DASH] = ACTIONS(2125),
    [anon_sym_BSLASH] = ACTIONS(2123),
    [anon_sym_do] = ACTIONS(2125),
    [anon_sym_eval] = ACTIONS(2125),
    [anon_sym_await] = ACTIONS(2125),
    [anon_sym_field] = ACTIONS(2125),
    [anon_sym_local] = ACTIONS(2125),
    [anon_sym_dynamically] = ACTIONS(2125),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2125),
    [anon_sym_require] = ACTIONS(2125),
    [anon_sym_map] = ACTIONS(2125),
    [anon_sym_grep] = ACTIONS(2125),
    [anon_sym_sort] = ACTIONS(2125),
    [anon_sym_goto] = ACTIONS(2125),
    [anon_sym_return] = ACTIONS(2125),
    [anon_sym_undef] = ACTIONS(2125),
    [anon_sym_PERCENT2] = ACTIONS(2125),
    [anon_sym_AMP2] = ACTIONS(2125),
    [anon_sym_STAR2] = ACTIONS(2125),
    [anon_sym_use] = ACTIONS(2125),
    [anon_sym_no] = ACTIONS(2125),
    [anon_sym_for] = ACTIONS(2125),
    [anon_sym_foreach] = ACTIONS(2125),
    [anon_sym_last] = ACTIONS(2125),
    [anon_sym_next] = ACTIONS(2125),
    [anon_sym_redo] = ACTIONS(2125),
    [anon_sym_BEGIN] = ACTIONS(2125),
    [anon_sym_INIT] = ACTIONS(2125),
    [anon_sym_CHECK] = ACTIONS(2125),
    [anon_sym_UNITCHECK] = ACTIONS(2125),
    [anon_sym_END] = ACTIONS(2125),
    [anon_sym___FILE__] = ACTIONS(2125),
    [anon_sym___LINE__] = ACTIONS(2125),
    [anon_sym___PACKAGE__] = ACTIONS(2125),
    [anon_sym___SUB__] = ACTIONS(2125),
    [anon_sym_break] = ACTIONS(2125),
    [anon_sym_fork] = ACTIONS(2125),
    [anon_sym_getppid] = ACTIONS(2125),
    [anon_sym_time] = ACTIONS(2125),
    [anon_sym_times] = ACTIONS(2125),
    [anon_sym_wait] = ACTIONS(2125),
    [anon_sym_wantarray] = ACTIONS(2125),
    [anon_sym_abs] = ACTIONS(2125),
    [anon_sym_alarm] = ACTIONS(2125),
    [anon_sym_chop] = ACTIONS(2125),
    [anon_sym_chdir] = ACTIONS(2125),
    [anon_sym_close] = ACTIONS(2125),
    [anon_sym_closedir] = ACTIONS(2125),
    [anon_sym_caller] = ACTIONS(2125),
    [anon_sym_chomp] = ACTIONS(2125),
    [anon_sym_chr] = ACTIONS(2125),
    [anon_sym_cos] = ACTIONS(2125),
    [anon_sym_chroot] = ACTIONS(2125),
    [anon_sym_defined] = ACTIONS(2125),
    [anon_sym_delete] = ACTIONS(2125),
    [anon_sym_dbmclose] = ACTIONS(2125),
    [anon_sym_exists] = ACTIONS(2125),
    [anon_sym_exit] = ACTIONS(2125),
    [anon_sym_eof] = ACTIONS(2125),
    [anon_sym_exp] = ACTIONS(2125),
    [anon_sym_each] = ACTIONS(2125),
    [anon_sym_fc] = ACTIONS(2125),
    [anon_sym_fileno] = ACTIONS(2125),
    [anon_sym_gmtime] = ACTIONS(2125),
    [anon_sym_getc] = ACTIONS(2125),
    [anon_sym_getpgrp] = ACTIONS(2125),
    [anon_sym_getprotobyname] = ACTIONS(2125),
    [anon_sym_getpwname] = ACTIONS(2125),
    [anon_sym_getpwuid] = ACTIONS(2125),
    [anon_sym_getpeername] = ACTIONS(2125),
    [anon_sym_getnetbyname] = ACTIONS(2125),
    [anon_sym_getsockname] = ACTIONS(2125),
    [anon_sym_getgrnam] = ACTIONS(2125),
    [anon_sym_getgrgid] = ACTIONS(2125),
    [anon_sym_hex] = ACTIONS(2125),
    [anon_sym_int] = ACTIONS(2125),
    [anon_sym_keys] = ACTIONS(2125),
    [anon_sym_lc] = ACTIONS(2125),
    [anon_sym_lcfirst] = ACTIONS(2125),
    [anon_sym_length] = ACTIONS(2125),
    [anon_sym_localtime] = ACTIONS(2125),
    [anon_sym_log] = ACTIONS(2125),
    [anon_sym_lock] = ACTIONS(2125),
    [anon_sym_lstat] = ACTIONS(2125),
    [anon_sym_oct] = ACTIONS(2125),
    [anon_sym_ord] = ACTIONS(2125),
    [anon_sym_prototype] = ACTIONS(2125),
    [anon_sym_pop] = ACTIONS(2125),
    [anon_sym_pos] = ACTIONS(2125),
    [anon_sym_quotemeta] = ACTIONS(2125),
    [anon_sym_reset] = ACTIONS(2125),
    [anon_sym_rand] = ACTIONS(2125),
    [anon_sym_rmdir] = ACTIONS(2125),
    [anon_sym_readdir] = ACTIONS(2125),
    [anon_sym_readline] = ACTIONS(2125),
    [anon_sym_readpipe] = ACTIONS(2125),
    [anon_sym_rewinddir] = ACTIONS(2125),
    [anon_sym_readlink] = ACTIONS(2125),
    [anon_sym_ref] = ACTIONS(2125),
    [anon_sym_scalar] = ACTIONS(2125),
    [anon_sym_shift] = ACTIONS(2125),
    [anon_sym_sin] = ACTIONS(2125),
    [anon_sym_sleep] = ACTIONS(2125),
    [anon_sym_sqrt] = ACTIONS(2125),
    [anon_sym_srand] = ACTIONS(2125),
    [anon_sym_stat] = ACTIONS(2125),
    [anon_sym_study] = ACTIONS(2125),
    [anon_sym_tell] = ACTIONS(2125),
    [anon_sym_telldir] = ACTIONS(2125),
    [anon_sym_tied] = ACTIONS(2125),
    [anon_sym_uc] = ACTIONS(2125),
    [anon_sym_ucfirst] = ACTIONS(2125),
    [anon_sym_untie] = ACTIONS(2125),
    [anon_sym_umask] = ACTIONS(2125),
    [anon_sym_values] = ACTIONS(2125),
    [anon_sym_write] = ACTIONS(2125),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2125),
    [anon_sym___END__] = ACTIONS(2125),
    [anon_sym_EOT] = ACTIONS(2125),
    [anon_sym_q] = ACTIONS(2125),
    [anon_sym_qq] = ACTIONS(2125),
    [anon_sym_qw] = ACTIONS(2125),
    [anon_sym_qx] = ACTIONS(2125),
    [anon_sym_qr] = ACTIONS(2125),
    [anon_sym_m] = ACTIONS(2125),
    [anon_sym_s] = ACTIONS(2125),
    [anon_sym_tr] = ACTIONS(2125),
    [anon_sym_y] = ACTIONS(2125),
    [anon_sym_if] = ACTIONS(2125),
    [anon_sym_unless] = ACTIONS(2125),
    [anon_sym_while] = ACTIONS(2125),
    [anon_sym_until] = ACTIONS(2125),
    [aux_sym__bareword_token1] = ACTIONS(2125),
    [sym_number] = ACTIONS(2125),
    [anon_sym_true] = ACTIONS(2125),
    [anon_sym_false] = ACTIONS(2125),
    [sym__single_quote] = ACTIONS(2123),
    [sym__double_quote] = ACTIONS(2123),
    [sym__backtick_quote] = ACTIONS(2123),
    [sym__search_slash_quote] = ACTIONS(2123),
    [sym__open_readline_bracket] = ACTIONS(2123),
    [sym__open_fileglob_bracket] = ACTIONS(2123),
    [sym__PERLY_HEREDOC] = ACTIONS(2123),
    [sym__ctrl_z_hack] = ACTIONS(2123),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2123),
    [sym__filetest] = ACTIONS(2123),
  },
  [922] = {
    [sym_heredoc_content] = STATE(922),
    [ts_builtin_sym_end] = ACTIONS(2127),
    [sym__identifier] = ACTIONS(2129),
    [anon_sym_LBRACE] = ACTIONS(2129),
    [anon_sym_SEMI] = ACTIONS(2129),
    [anon_sym_package] = ACTIONS(2129),
    [anon_sym_class] = ACTIONS(2129),
    [anon_sym_role] = ACTIONS(2129),
    [anon_sym_BUILD] = ACTIONS(2129),
    [anon_sym_ADJUST] = ACTIONS(2129),
    [anon_sym_DOLLAR] = ACTIONS(2129),
    [anon_sym_AT] = ACTIONS(2129),
    [anon_sym_my] = ACTIONS(2129),
    [anon_sym_extended] = ACTIONS(2129),
    [anon_sym_async] = ACTIONS(2129),
    [anon_sym_sub] = ACTIONS(2129),
    [anon_sym_method] = ACTIONS(2129),
    [anon_sym_LPAREN] = ACTIONS(2129),
    [anon_sym_continue] = ACTIONS(2129),
    [anon_sym_state] = ACTIONS(2129),
    [anon_sym_our] = ACTIONS(2129),
    [anon_sym_try] = ACTIONS(2129),
    [anon_sym_defer] = ACTIONS(2129),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2129),
    [anon_sym_LBRACK] = ACTIONS(2129),
    [anon_sym_LT_LT] = ACTIONS(2129),
    [anon_sym_SLASH_SLASH] = ACTIONS(2129),
    [anon_sym_PLUS] = ACTIONS(2129),
    [anon_sym_DASH] = ACTIONS(2129),
    [anon_sym_TILDE] = ACTIONS(2129),
    [anon_sym_BANG] = ACTIONS(2129),
    [anon_sym_PLUS_PLUS] = ACTIONS(2129),
    [anon_sym_DASH_DASH] = ACTIONS(2129),
    [anon_sym_BSLASH] = ACTIONS(2127),
    [anon_sym_do] = ACTIONS(2129),
    [anon_sym_eval] = ACTIONS(2129),
    [anon_sym_await] = ACTIONS(2129),
    [anon_sym_field] = ACTIONS(2129),
    [anon_sym_local] = ACTIONS(2129),
    [anon_sym_dynamically] = ACTIONS(2129),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2129),
    [anon_sym_require] = ACTIONS(2129),
    [anon_sym_map] = ACTIONS(2129),
    [anon_sym_grep] = ACTIONS(2129),
    [anon_sym_sort] = ACTIONS(2129),
    [anon_sym_goto] = ACTIONS(2129),
    [anon_sym_return] = ACTIONS(2129),
    [anon_sym_undef] = ACTIONS(2129),
    [anon_sym_PERCENT2] = ACTIONS(2129),
    [anon_sym_AMP2] = ACTIONS(2129),
    [anon_sym_STAR2] = ACTIONS(2129),
    [anon_sym_use] = ACTIONS(2129),
    [anon_sym_no] = ACTIONS(2129),
    [anon_sym_for] = ACTIONS(2129),
    [anon_sym_foreach] = ACTIONS(2129),
    [anon_sym_last] = ACTIONS(2129),
    [anon_sym_next] = ACTIONS(2129),
    [anon_sym_redo] = ACTIONS(2129),
    [anon_sym_BEGIN] = ACTIONS(2129),
    [anon_sym_INIT] = ACTIONS(2129),
    [anon_sym_CHECK] = ACTIONS(2129),
    [anon_sym_UNITCHECK] = ACTIONS(2129),
    [anon_sym_END] = ACTIONS(2129),
    [anon_sym___FILE__] = ACTIONS(2129),
    [anon_sym___LINE__] = ACTIONS(2129),
    [anon_sym___PACKAGE__] = ACTIONS(2129),
    [anon_sym___SUB__] = ACTIONS(2129),
    [anon_sym_break] = ACTIONS(2129),
    [anon_sym_fork] = ACTIONS(2129),
    [anon_sym_getppid] = ACTIONS(2129),
    [anon_sym_time] = ACTIONS(2129),
    [anon_sym_times] = ACTIONS(2129),
    [anon_sym_wait] = ACTIONS(2129),
    [anon_sym_wantarray] = ACTIONS(2129),
    [anon_sym_abs] = ACTIONS(2129),
    [anon_sym_alarm] = ACTIONS(2129),
    [anon_sym_chop] = ACTIONS(2129),
    [anon_sym_chdir] = ACTIONS(2129),
    [anon_sym_close] = ACTIONS(2129),
    [anon_sym_closedir] = ACTIONS(2129),
    [anon_sym_caller] = ACTIONS(2129),
    [anon_sym_chomp] = ACTIONS(2129),
    [anon_sym_chr] = ACTIONS(2129),
    [anon_sym_cos] = ACTIONS(2129),
    [anon_sym_chroot] = ACTIONS(2129),
    [anon_sym_defined] = ACTIONS(2129),
    [anon_sym_delete] = ACTIONS(2129),
    [anon_sym_dbmclose] = ACTIONS(2129),
    [anon_sym_exists] = ACTIONS(2129),
    [anon_sym_exit] = ACTIONS(2129),
    [anon_sym_eof] = ACTIONS(2129),
    [anon_sym_exp] = ACTIONS(2129),
    [anon_sym_each] = ACTIONS(2129),
    [anon_sym_fc] = ACTIONS(2129),
    [anon_sym_fileno] = ACTIONS(2129),
    [anon_sym_gmtime] = ACTIONS(2129),
    [anon_sym_getc] = ACTIONS(2129),
    [anon_sym_getpgrp] = ACTIONS(2129),
    [anon_sym_getprotobyname] = ACTIONS(2129),
    [anon_sym_getpwname] = ACTIONS(2129),
    [anon_sym_getpwuid] = ACTIONS(2129),
    [anon_sym_getpeername] = ACTIONS(2129),
    [anon_sym_getnetbyname] = ACTIONS(2129),
    [anon_sym_getsockname] = ACTIONS(2129),
    [anon_sym_getgrnam] = ACTIONS(2129),
    [anon_sym_getgrgid] = ACTIONS(2129),
    [anon_sym_hex] = ACTIONS(2129),
    [anon_sym_int] = ACTIONS(2129),
    [anon_sym_keys] = ACTIONS(2129),
    [anon_sym_lc] = ACTIONS(2129),
    [anon_sym_lcfirst] = ACTIONS(2129),
    [anon_sym_length] = ACTIONS(2129),
    [anon_sym_localtime] = ACTIONS(2129),
    [anon_sym_log] = ACTIONS(2129),
    [anon_sym_lock] = ACTIONS(2129),
    [anon_sym_lstat] = ACTIONS(2129),
    [anon_sym_oct] = ACTIONS(2129),
    [anon_sym_ord] = ACTIONS(2129),
    [anon_sym_prototype] = ACTIONS(2129),
    [anon_sym_pop] = ACTIONS(2129),
    [anon_sym_pos] = ACTIONS(2129),
    [anon_sym_quotemeta] = ACTIONS(2129),
    [anon_sym_reset] = ACTIONS(2129),
    [anon_sym_rand] = ACTIONS(2129),
    [anon_sym_rmdir] = ACTIONS(2129),
    [anon_sym_readdir] = ACTIONS(2129),
    [anon_sym_readline] = ACTIONS(2129),
    [anon_sym_readpipe] = ACTIONS(2129),
    [anon_sym_rewinddir] = ACTIONS(2129),
    [anon_sym_readlink] = ACTIONS(2129),
    [anon_sym_ref] = ACTIONS(2129),
    [anon_sym_scalar] = ACTIONS(2129),
    [anon_sym_shift] = ACTIONS(2129),
    [anon_sym_sin] = ACTIONS(2129),
    [anon_sym_sleep] = ACTIONS(2129),
    [anon_sym_sqrt] = ACTIONS(2129),
    [anon_sym_srand] = ACTIONS(2129),
    [anon_sym_stat] = ACTIONS(2129),
    [anon_sym_study] = ACTIONS(2129),
    [anon_sym_tell] = ACTIONS(2129),
    [anon_sym_telldir] = ACTIONS(2129),
    [anon_sym_tied] = ACTIONS(2129),
    [anon_sym_uc] = ACTIONS(2129),
    [anon_sym_ucfirst] = ACTIONS(2129),
    [anon_sym_untie] = ACTIONS(2129),
    [anon_sym_umask] = ACTIONS(2129),
    [anon_sym_values] = ACTIONS(2129),
    [anon_sym_write] = ACTIONS(2129),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2129),
    [anon_sym___END__] = ACTIONS(2129),
    [anon_sym_EOT] = ACTIONS(2129),
    [anon_sym_q] = ACTIONS(2129),
    [anon_sym_qq] = ACTIONS(2129),
    [anon_sym_qw] = ACTIONS(2129),
    [anon_sym_qx] = ACTIONS(2129),
    [anon_sym_qr] = ACTIONS(2129),
    [anon_sym_m] = ACTIONS(2129),
    [anon_sym_s] = ACTIONS(2129),
    [anon_sym_tr] = ACTIONS(2129),
    [anon_sym_y] = ACTIONS(2129),
    [anon_sym_if] = ACTIONS(2129),
    [anon_sym_unless] = ACTIONS(2129),
    [anon_sym_while] = ACTIONS(2129),
    [anon_sym_until] = ACTIONS(2129),
    [aux_sym__bareword_token1] = ACTIONS(2129),
    [sym_number] = ACTIONS(2129),
    [anon_sym_true] = ACTIONS(2129),
    [anon_sym_false] = ACTIONS(2129),
    [sym__single_quote] = ACTIONS(2127),
    [sym__double_quote] = ACTIONS(2127),
    [sym__backtick_quote] = ACTIONS(2127),
    [sym__search_slash_quote] = ACTIONS(2127),
    [sym__open_readline_bracket] = ACTIONS(2127),
    [sym__open_fileglob_bracket] = ACTIONS(2127),
    [sym__PERLY_HEREDOC] = ACTIONS(2127),
    [sym__ctrl_z_hack] = ACTIONS(2127),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2127),
    [sym__filetest] = ACTIONS(2127),
  },
  [923] = {
    [sym_heredoc_content] = STATE(923),
    [ts_builtin_sym_end] = ACTIONS(2131),
    [sym__identifier] = ACTIONS(2133),
    [anon_sym_LBRACE] = ACTIONS(2133),
    [anon_sym_SEMI] = ACTIONS(2133),
    [anon_sym_package] = ACTIONS(2133),
    [anon_sym_class] = ACTIONS(2133),
    [anon_sym_role] = ACTIONS(2133),
    [anon_sym_BUILD] = ACTIONS(2133),
    [anon_sym_ADJUST] = ACTIONS(2133),
    [anon_sym_DOLLAR] = ACTIONS(2133),
    [anon_sym_AT] = ACTIONS(2133),
    [anon_sym_my] = ACTIONS(2133),
    [anon_sym_extended] = ACTIONS(2133),
    [anon_sym_async] = ACTIONS(2133),
    [anon_sym_sub] = ACTIONS(2133),
    [anon_sym_method] = ACTIONS(2133),
    [anon_sym_LPAREN] = ACTIONS(2133),
    [anon_sym_continue] = ACTIONS(2133),
    [anon_sym_state] = ACTIONS(2133),
    [anon_sym_our] = ACTIONS(2133),
    [anon_sym_try] = ACTIONS(2133),
    [anon_sym_defer] = ACTIONS(2133),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2133),
    [anon_sym_LBRACK] = ACTIONS(2133),
    [anon_sym_LT_LT] = ACTIONS(2133),
    [anon_sym_SLASH_SLASH] = ACTIONS(2133),
    [anon_sym_PLUS] = ACTIONS(2133),
    [anon_sym_DASH] = ACTIONS(2133),
    [anon_sym_TILDE] = ACTIONS(2133),
    [anon_sym_BANG] = ACTIONS(2133),
    [anon_sym_PLUS_PLUS] = ACTIONS(2133),
    [anon_sym_DASH_DASH] = ACTIONS(2133),
    [anon_sym_BSLASH] = ACTIONS(2131),
    [anon_sym_do] = ACTIONS(2133),
    [anon_sym_eval] = ACTIONS(2133),
    [anon_sym_await] = ACTIONS(2133),
    [anon_sym_field] = ACTIONS(2133),
    [anon_sym_local] = ACTIONS(2133),
    [anon_sym_dynamically] = ACTIONS(2133),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2133),
    [anon_sym_require] = ACTIONS(2133),
    [anon_sym_map] = ACTIONS(2133),
    [anon_sym_grep] = ACTIONS(2133),
    [anon_sym_sort] = ACTIONS(2133),
    [anon_sym_goto] = ACTIONS(2133),
    [anon_sym_return] = ACTIONS(2133),
    [anon_sym_undef] = ACTIONS(2133),
    [anon_sym_PERCENT2] = ACTIONS(2133),
    [anon_sym_AMP2] = ACTIONS(2133),
    [anon_sym_STAR2] = ACTIONS(2133),
    [anon_sym_use] = ACTIONS(2133),
    [anon_sym_no] = ACTIONS(2133),
    [anon_sym_for] = ACTIONS(2133),
    [anon_sym_foreach] = ACTIONS(2133),
    [anon_sym_last] = ACTIONS(2133),
    [anon_sym_next] = ACTIONS(2133),
    [anon_sym_redo] = ACTIONS(2133),
    [anon_sym_BEGIN] = ACTIONS(2133),
    [anon_sym_INIT] = ACTIONS(2133),
    [anon_sym_CHECK] = ACTIONS(2133),
    [anon_sym_UNITCHECK] = ACTIONS(2133),
    [anon_sym_END] = ACTIONS(2133),
    [anon_sym___FILE__] = ACTIONS(2133),
    [anon_sym___LINE__] = ACTIONS(2133),
    [anon_sym___PACKAGE__] = ACTIONS(2133),
    [anon_sym___SUB__] = ACTIONS(2133),
    [anon_sym_break] = ACTIONS(2133),
    [anon_sym_fork] = ACTIONS(2133),
    [anon_sym_getppid] = ACTIONS(2133),
    [anon_sym_time] = ACTIONS(2133),
    [anon_sym_times] = ACTIONS(2133),
    [anon_sym_wait] = ACTIONS(2133),
    [anon_sym_wantarray] = ACTIONS(2133),
    [anon_sym_abs] = ACTIONS(2133),
    [anon_sym_alarm] = ACTIONS(2133),
    [anon_sym_chop] = ACTIONS(2133),
    [anon_sym_chdir] = ACTIONS(2133),
    [anon_sym_close] = ACTIONS(2133),
    [anon_sym_closedir] = ACTIONS(2133),
    [anon_sym_caller] = ACTIONS(2133),
    [anon_sym_chomp] = ACTIONS(2133),
    [anon_sym_chr] = ACTIONS(2133),
    [anon_sym_cos] = ACTIONS(2133),
    [anon_sym_chroot] = ACTIONS(2133),
    [anon_sym_defined] = ACTIONS(2133),
    [anon_sym_delete] = ACTIONS(2133),
    [anon_sym_dbmclose] = ACTIONS(2133),
    [anon_sym_exists] = ACTIONS(2133),
    [anon_sym_exit] = ACTIONS(2133),
    [anon_sym_eof] = ACTIONS(2133),
    [anon_sym_exp] = ACTIONS(2133),
    [anon_sym_each] = ACTIONS(2133),
    [anon_sym_fc] = ACTIONS(2133),
    [anon_sym_fileno] = ACTIONS(2133),
    [anon_sym_gmtime] = ACTIONS(2133),
    [anon_sym_getc] = ACTIONS(2133),
    [anon_sym_getpgrp] = ACTIONS(2133),
    [anon_sym_getprotobyname] = ACTIONS(2133),
    [anon_sym_getpwname] = ACTIONS(2133),
    [anon_sym_getpwuid] = ACTIONS(2133),
    [anon_sym_getpeername] = ACTIONS(2133),
    [anon_sym_getnetbyname] = ACTIONS(2133),
    [anon_sym_getsockname] = ACTIONS(2133),
    [anon_sym_getgrnam] = ACTIONS(2133),
    [anon_sym_getgrgid] = ACTIONS(2133),
    [anon_sym_hex] = ACTIONS(2133),
    [anon_sym_int] = ACTIONS(2133),
    [anon_sym_keys] = ACTIONS(2133),
    [anon_sym_lc] = ACTIONS(2133),
    [anon_sym_lcfirst] = ACTIONS(2133),
    [anon_sym_length] = ACTIONS(2133),
    [anon_sym_localtime] = ACTIONS(2133),
    [anon_sym_log] = ACTIONS(2133),
    [anon_sym_lock] = ACTIONS(2133),
    [anon_sym_lstat] = ACTIONS(2133),
    [anon_sym_oct] = ACTIONS(2133),
    [anon_sym_ord] = ACTIONS(2133),
    [anon_sym_prototype] = ACTIONS(2133),
    [anon_sym_pop] = ACTIONS(2133),
    [anon_sym_pos] = ACTIONS(2133),
    [anon_sym_quotemeta] = ACTIONS(2133),
    [anon_sym_reset] = ACTIONS(2133),
    [anon_sym_rand] = ACTIONS(2133),
    [anon_sym_rmdir] = ACTIONS(2133),
    [anon_sym_readdir] = ACTIONS(2133),
    [anon_sym_readline] = ACTIONS(2133),
    [anon_sym_readpipe] = ACTIONS(2133),
    [anon_sym_rewinddir] = ACTIONS(2133),
    [anon_sym_readlink] = ACTIONS(2133),
    [anon_sym_ref] = ACTIONS(2133),
    [anon_sym_scalar] = ACTIONS(2133),
    [anon_sym_shift] = ACTIONS(2133),
    [anon_sym_sin] = ACTIONS(2133),
    [anon_sym_sleep] = ACTIONS(2133),
    [anon_sym_sqrt] = ACTIONS(2133),
    [anon_sym_srand] = ACTIONS(2133),
    [anon_sym_stat] = ACTIONS(2133),
    [anon_sym_study] = ACTIONS(2133),
    [anon_sym_tell] = ACTIONS(2133),
    [anon_sym_telldir] = ACTIONS(2133),
    [anon_sym_tied] = ACTIONS(2133),
    [anon_sym_uc] = ACTIONS(2133),
    [anon_sym_ucfirst] = ACTIONS(2133),
    [anon_sym_untie] = ACTIONS(2133),
    [anon_sym_umask] = ACTIONS(2133),
    [anon_sym_values] = ACTIONS(2133),
    [anon_sym_write] = ACTIONS(2133),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2133),
    [anon_sym___END__] = ACTIONS(2133),
    [anon_sym_EOT] = ACTIONS(2133),
    [anon_sym_q] = ACTIONS(2133),
    [anon_sym_qq] = ACTIONS(2133),
    [anon_sym_qw] = ACTIONS(2133),
    [anon_sym_qx] = ACTIONS(2133),
    [anon_sym_qr] = ACTIONS(2133),
    [anon_sym_m] = ACTIONS(2133),
    [anon_sym_s] = ACTIONS(2133),
    [anon_sym_tr] = ACTIONS(2133),
    [anon_sym_y] = ACTIONS(2133),
    [anon_sym_if] = ACTIONS(2133),
    [anon_sym_unless] = ACTIONS(2133),
    [anon_sym_while] = ACTIONS(2133),
    [anon_sym_until] = ACTIONS(2133),
    [aux_sym__bareword_token1] = ACTIONS(2133),
    [sym_number] = ACTIONS(2133),
    [anon_sym_true] = ACTIONS(2133),
    [anon_sym_false] = ACTIONS(2133),
    [sym__single_quote] = ACTIONS(2131),
    [sym__double_quote] = ACTIONS(2131),
    [sym__backtick_quote] = ACTIONS(2131),
    [sym__search_slash_quote] = ACTIONS(2131),
    [sym__open_readline_bracket] = ACTIONS(2131),
    [sym__open_fileglob_bracket] = ACTIONS(2131),
    [sym__PERLY_HEREDOC] = ACTIONS(2131),
    [sym__ctrl_z_hack] = ACTIONS(2131),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2131),
    [sym__filetest] = ACTIONS(2131),
  },
  [924] = {
    [sym_heredoc_content] = STATE(924),
    [ts_builtin_sym_end] = ACTIONS(1659),
    [sym__identifier] = ACTIONS(1661),
    [anon_sym_LBRACE] = ACTIONS(1661),
    [anon_sym_SEMI] = ACTIONS(1661),
    [anon_sym_package] = ACTIONS(1661),
    [anon_sym_class] = ACTIONS(1661),
    [anon_sym_role] = ACTIONS(1661),
    [anon_sym_BUILD] = ACTIONS(1661),
    [anon_sym_ADJUST] = ACTIONS(1661),
    [anon_sym_DOLLAR] = ACTIONS(1661),
    [anon_sym_AT] = ACTIONS(1661),
    [anon_sym_my] = ACTIONS(1661),
    [anon_sym_extended] = ACTIONS(1661),
    [anon_sym_async] = ACTIONS(1661),
    [anon_sym_sub] = ACTIONS(1661),
    [anon_sym_method] = ACTIONS(1661),
    [anon_sym_LPAREN] = ACTIONS(1661),
    [anon_sym_continue] = ACTIONS(1661),
    [anon_sym_state] = ACTIONS(1661),
    [anon_sym_our] = ACTIONS(1661),
    [anon_sym_try] = ACTIONS(1661),
    [anon_sym_defer] = ACTIONS(1661),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1661),
    [anon_sym_LBRACK] = ACTIONS(1661),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1661),
    [anon_sym_PLUS] = ACTIONS(1661),
    [anon_sym_DASH] = ACTIONS(1661),
    [anon_sym_TILDE] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1661),
    [anon_sym_PLUS_PLUS] = ACTIONS(1661),
    [anon_sym_DASH_DASH] = ACTIONS(1661),
    [anon_sym_BSLASH] = ACTIONS(1659),
    [anon_sym_do] = ACTIONS(1661),
    [anon_sym_eval] = ACTIONS(1661),
    [anon_sym_await] = ACTIONS(1661),
    [anon_sym_field] = ACTIONS(1661),
    [anon_sym_local] = ACTIONS(1661),
    [anon_sym_dynamically] = ACTIONS(1661),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1661),
    [anon_sym_require] = ACTIONS(1661),
    [anon_sym_map] = ACTIONS(1661),
    [anon_sym_grep] = ACTIONS(1661),
    [anon_sym_sort] = ACTIONS(1661),
    [anon_sym_goto] = ACTIONS(1661),
    [anon_sym_return] = ACTIONS(1661),
    [anon_sym_undef] = ACTIONS(1661),
    [anon_sym_PERCENT2] = ACTIONS(1661),
    [anon_sym_AMP2] = ACTIONS(1661),
    [anon_sym_STAR2] = ACTIONS(1661),
    [anon_sym_use] = ACTIONS(1661),
    [anon_sym_no] = ACTIONS(1661),
    [anon_sym_for] = ACTIONS(1661),
    [anon_sym_foreach] = ACTIONS(1661),
    [anon_sym_last] = ACTIONS(1661),
    [anon_sym_next] = ACTIONS(1661),
    [anon_sym_redo] = ACTIONS(1661),
    [anon_sym_BEGIN] = ACTIONS(1661),
    [anon_sym_INIT] = ACTIONS(1661),
    [anon_sym_CHECK] = ACTIONS(1661),
    [anon_sym_UNITCHECK] = ACTIONS(1661),
    [anon_sym_END] = ACTIONS(1661),
    [anon_sym___FILE__] = ACTIONS(1661),
    [anon_sym___LINE__] = ACTIONS(1661),
    [anon_sym___PACKAGE__] = ACTIONS(1661),
    [anon_sym___SUB__] = ACTIONS(1661),
    [anon_sym_break] = ACTIONS(1661),
    [anon_sym_fork] = ACTIONS(1661),
    [anon_sym_getppid] = ACTIONS(1661),
    [anon_sym_time] = ACTIONS(1661),
    [anon_sym_times] = ACTIONS(1661),
    [anon_sym_wait] = ACTIONS(1661),
    [anon_sym_wantarray] = ACTIONS(1661),
    [anon_sym_abs] = ACTIONS(1661),
    [anon_sym_alarm] = ACTIONS(1661),
    [anon_sym_chop] = ACTIONS(1661),
    [anon_sym_chdir] = ACTIONS(1661),
    [anon_sym_close] = ACTIONS(1661),
    [anon_sym_closedir] = ACTIONS(1661),
    [anon_sym_caller] = ACTIONS(1661),
    [anon_sym_chomp] = ACTIONS(1661),
    [anon_sym_chr] = ACTIONS(1661),
    [anon_sym_cos] = ACTIONS(1661),
    [anon_sym_chroot] = ACTIONS(1661),
    [anon_sym_defined] = ACTIONS(1661),
    [anon_sym_delete] = ACTIONS(1661),
    [anon_sym_dbmclose] = ACTIONS(1661),
    [anon_sym_exists] = ACTIONS(1661),
    [anon_sym_exit] = ACTIONS(1661),
    [anon_sym_eof] = ACTIONS(1661),
    [anon_sym_exp] = ACTIONS(1661),
    [anon_sym_each] = ACTIONS(1661),
    [anon_sym_fc] = ACTIONS(1661),
    [anon_sym_fileno] = ACTIONS(1661),
    [anon_sym_gmtime] = ACTIONS(1661),
    [anon_sym_getc] = ACTIONS(1661),
    [anon_sym_getpgrp] = ACTIONS(1661),
    [anon_sym_getprotobyname] = ACTIONS(1661),
    [anon_sym_getpwname] = ACTIONS(1661),
    [anon_sym_getpwuid] = ACTIONS(1661),
    [anon_sym_getpeername] = ACTIONS(1661),
    [anon_sym_getnetbyname] = ACTIONS(1661),
    [anon_sym_getsockname] = ACTIONS(1661),
    [anon_sym_getgrnam] = ACTIONS(1661),
    [anon_sym_getgrgid] = ACTIONS(1661),
    [anon_sym_hex] = ACTIONS(1661),
    [anon_sym_int] = ACTIONS(1661),
    [anon_sym_keys] = ACTIONS(1661),
    [anon_sym_lc] = ACTIONS(1661),
    [anon_sym_lcfirst] = ACTIONS(1661),
    [anon_sym_length] = ACTIONS(1661),
    [anon_sym_localtime] = ACTIONS(1661),
    [anon_sym_log] = ACTIONS(1661),
    [anon_sym_lock] = ACTIONS(1661),
    [anon_sym_lstat] = ACTIONS(1661),
    [anon_sym_oct] = ACTIONS(1661),
    [anon_sym_ord] = ACTIONS(1661),
    [anon_sym_prototype] = ACTIONS(1661),
    [anon_sym_pop] = ACTIONS(1661),
    [anon_sym_pos] = ACTIONS(1661),
    [anon_sym_quotemeta] = ACTIONS(1661),
    [anon_sym_reset] = ACTIONS(1661),
    [anon_sym_rand] = ACTIONS(1661),
    [anon_sym_rmdir] = ACTIONS(1661),
    [anon_sym_readdir] = ACTIONS(1661),
    [anon_sym_readline] = ACTIONS(1661),
    [anon_sym_readpipe] = ACTIONS(1661),
    [anon_sym_rewinddir] = ACTIONS(1661),
    [anon_sym_readlink] = ACTIONS(1661),
    [anon_sym_ref] = ACTIONS(1661),
    [anon_sym_scalar] = ACTIONS(1661),
    [anon_sym_shift] = ACTIONS(1661),
    [anon_sym_sin] = ACTIONS(1661),
    [anon_sym_sleep] = ACTIONS(1661),
    [anon_sym_sqrt] = ACTIONS(1661),
    [anon_sym_srand] = ACTIONS(1661),
    [anon_sym_stat] = ACTIONS(1661),
    [anon_sym_study] = ACTIONS(1661),
    [anon_sym_tell] = ACTIONS(1661),
    [anon_sym_telldir] = ACTIONS(1661),
    [anon_sym_tied] = ACTIONS(1661),
    [anon_sym_uc] = ACTIONS(1661),
    [anon_sym_ucfirst] = ACTIONS(1661),
    [anon_sym_untie] = ACTIONS(1661),
    [anon_sym_umask] = ACTIONS(1661),
    [anon_sym_values] = ACTIONS(1661),
    [anon_sym_write] = ACTIONS(1661),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1661),
    [anon_sym___END__] = ACTIONS(1661),
    [anon_sym_EOT] = ACTIONS(1661),
    [anon_sym_q] = ACTIONS(1661),
    [anon_sym_qq] = ACTIONS(1661),
    [anon_sym_qw] = ACTIONS(1661),
    [anon_sym_qx] = ACTIONS(1661),
    [anon_sym_qr] = ACTIONS(1661),
    [anon_sym_m] = ACTIONS(1661),
    [anon_sym_s] = ACTIONS(1661),
    [anon_sym_tr] = ACTIONS(1661),
    [anon_sym_y] = ACTIONS(1661),
    [anon_sym_if] = ACTIONS(1661),
    [anon_sym_unless] = ACTIONS(1661),
    [anon_sym_while] = ACTIONS(1661),
    [anon_sym_until] = ACTIONS(1661),
    [aux_sym__bareword_token1] = ACTIONS(1661),
    [sym_number] = ACTIONS(1661),
    [anon_sym_true] = ACTIONS(1661),
    [anon_sym_false] = ACTIONS(1661),
    [sym__single_quote] = ACTIONS(1659),
    [sym__double_quote] = ACTIONS(1659),
    [sym__backtick_quote] = ACTIONS(1659),
    [sym__search_slash_quote] = ACTIONS(1659),
    [sym__open_readline_bracket] = ACTIONS(1659),
    [sym__open_fileglob_bracket] = ACTIONS(1659),
    [sym__PERLY_HEREDOC] = ACTIONS(1659),
    [sym__ctrl_z_hack] = ACTIONS(1659),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1659),
    [sym__filetest] = ACTIONS(1659),
  },
  [925] = {
    [sym_heredoc_content] = STATE(925),
    [ts_builtin_sym_end] = ACTIONS(2135),
    [sym__identifier] = ACTIONS(2137),
    [anon_sym_LBRACE] = ACTIONS(2137),
    [anon_sym_SEMI] = ACTIONS(2137),
    [anon_sym_package] = ACTIONS(2137),
    [anon_sym_class] = ACTIONS(2137),
    [anon_sym_role] = ACTIONS(2137),
    [anon_sym_BUILD] = ACTIONS(2137),
    [anon_sym_ADJUST] = ACTIONS(2137),
    [anon_sym_DOLLAR] = ACTIONS(2137),
    [anon_sym_AT] = ACTIONS(2137),
    [anon_sym_my] = ACTIONS(2137),
    [anon_sym_extended] = ACTIONS(2137),
    [anon_sym_async] = ACTIONS(2137),
    [anon_sym_sub] = ACTIONS(2137),
    [anon_sym_method] = ACTIONS(2137),
    [anon_sym_LPAREN] = ACTIONS(2137),
    [anon_sym_continue] = ACTIONS(2137),
    [anon_sym_state] = ACTIONS(2137),
    [anon_sym_our] = ACTIONS(2137),
    [anon_sym_try] = ACTIONS(2137),
    [anon_sym_defer] = ACTIONS(2137),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2137),
    [anon_sym_LBRACK] = ACTIONS(2137),
    [anon_sym_LT_LT] = ACTIONS(2137),
    [anon_sym_SLASH_SLASH] = ACTIONS(2137),
    [anon_sym_PLUS] = ACTIONS(2137),
    [anon_sym_DASH] = ACTIONS(2137),
    [anon_sym_TILDE] = ACTIONS(2137),
    [anon_sym_BANG] = ACTIONS(2137),
    [anon_sym_PLUS_PLUS] = ACTIONS(2137),
    [anon_sym_DASH_DASH] = ACTIONS(2137),
    [anon_sym_BSLASH] = ACTIONS(2135),
    [anon_sym_do] = ACTIONS(2137),
    [anon_sym_eval] = ACTIONS(2137),
    [anon_sym_await] = ACTIONS(2137),
    [anon_sym_field] = ACTIONS(2137),
    [anon_sym_local] = ACTIONS(2137),
    [anon_sym_dynamically] = ACTIONS(2137),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2137),
    [anon_sym_require] = ACTIONS(2137),
    [anon_sym_map] = ACTIONS(2137),
    [anon_sym_grep] = ACTIONS(2137),
    [anon_sym_sort] = ACTIONS(2137),
    [anon_sym_goto] = ACTIONS(2137),
    [anon_sym_return] = ACTIONS(2137),
    [anon_sym_undef] = ACTIONS(2137),
    [anon_sym_PERCENT2] = ACTIONS(2137),
    [anon_sym_AMP2] = ACTIONS(2137),
    [anon_sym_STAR2] = ACTIONS(2137),
    [anon_sym_use] = ACTIONS(2137),
    [anon_sym_no] = ACTIONS(2137),
    [anon_sym_for] = ACTIONS(2137),
    [anon_sym_foreach] = ACTIONS(2137),
    [anon_sym_last] = ACTIONS(2137),
    [anon_sym_next] = ACTIONS(2137),
    [anon_sym_redo] = ACTIONS(2137),
    [anon_sym_BEGIN] = ACTIONS(2137),
    [anon_sym_INIT] = ACTIONS(2137),
    [anon_sym_CHECK] = ACTIONS(2137),
    [anon_sym_UNITCHECK] = ACTIONS(2137),
    [anon_sym_END] = ACTIONS(2137),
    [anon_sym___FILE__] = ACTIONS(2137),
    [anon_sym___LINE__] = ACTIONS(2137),
    [anon_sym___PACKAGE__] = ACTIONS(2137),
    [anon_sym___SUB__] = ACTIONS(2137),
    [anon_sym_break] = ACTIONS(2137),
    [anon_sym_fork] = ACTIONS(2137),
    [anon_sym_getppid] = ACTIONS(2137),
    [anon_sym_time] = ACTIONS(2137),
    [anon_sym_times] = ACTIONS(2137),
    [anon_sym_wait] = ACTIONS(2137),
    [anon_sym_wantarray] = ACTIONS(2137),
    [anon_sym_abs] = ACTIONS(2137),
    [anon_sym_alarm] = ACTIONS(2137),
    [anon_sym_chop] = ACTIONS(2137),
    [anon_sym_chdir] = ACTIONS(2137),
    [anon_sym_close] = ACTIONS(2137),
    [anon_sym_closedir] = ACTIONS(2137),
    [anon_sym_caller] = ACTIONS(2137),
    [anon_sym_chomp] = ACTIONS(2137),
    [anon_sym_chr] = ACTIONS(2137),
    [anon_sym_cos] = ACTIONS(2137),
    [anon_sym_chroot] = ACTIONS(2137),
    [anon_sym_defined] = ACTIONS(2137),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_dbmclose] = ACTIONS(2137),
    [anon_sym_exists] = ACTIONS(2137),
    [anon_sym_exit] = ACTIONS(2137),
    [anon_sym_eof] = ACTIONS(2137),
    [anon_sym_exp] = ACTIONS(2137),
    [anon_sym_each] = ACTIONS(2137),
    [anon_sym_fc] = ACTIONS(2137),
    [anon_sym_fileno] = ACTIONS(2137),
    [anon_sym_gmtime] = ACTIONS(2137),
    [anon_sym_getc] = ACTIONS(2137),
    [anon_sym_getpgrp] = ACTIONS(2137),
    [anon_sym_getprotobyname] = ACTIONS(2137),
    [anon_sym_getpwname] = ACTIONS(2137),
    [anon_sym_getpwuid] = ACTIONS(2137),
    [anon_sym_getpeername] = ACTIONS(2137),
    [anon_sym_getnetbyname] = ACTIONS(2137),
    [anon_sym_getsockname] = ACTIONS(2137),
    [anon_sym_getgrnam] = ACTIONS(2137),
    [anon_sym_getgrgid] = ACTIONS(2137),
    [anon_sym_hex] = ACTIONS(2137),
    [anon_sym_int] = ACTIONS(2137),
    [anon_sym_keys] = ACTIONS(2137),
    [anon_sym_lc] = ACTIONS(2137),
    [anon_sym_lcfirst] = ACTIONS(2137),
    [anon_sym_length] = ACTIONS(2137),
    [anon_sym_localtime] = ACTIONS(2137),
    [anon_sym_log] = ACTIONS(2137),
    [anon_sym_lock] = ACTIONS(2137),
    [anon_sym_lstat] = ACTIONS(2137),
    [anon_sym_oct] = ACTIONS(2137),
    [anon_sym_ord] = ACTIONS(2137),
    [anon_sym_prototype] = ACTIONS(2137),
    [anon_sym_pop] = ACTIONS(2137),
    [anon_sym_pos] = ACTIONS(2137),
    [anon_sym_quotemeta] = ACTIONS(2137),
    [anon_sym_reset] = ACTIONS(2137),
    [anon_sym_rand] = ACTIONS(2137),
    [anon_sym_rmdir] = ACTIONS(2137),
    [anon_sym_readdir] = ACTIONS(2137),
    [anon_sym_readline] = ACTIONS(2137),
    [anon_sym_readpipe] = ACTIONS(2137),
    [anon_sym_rewinddir] = ACTIONS(2137),
    [anon_sym_readlink] = ACTIONS(2137),
    [anon_sym_ref] = ACTIONS(2137),
    [anon_sym_scalar] = ACTIONS(2137),
    [anon_sym_shift] = ACTIONS(2137),
    [anon_sym_sin] = ACTIONS(2137),
    [anon_sym_sleep] = ACTIONS(2137),
    [anon_sym_sqrt] = ACTIONS(2137),
    [anon_sym_srand] = ACTIONS(2137),
    [anon_sym_stat] = ACTIONS(2137),
    [anon_sym_study] = ACTIONS(2137),
    [anon_sym_tell] = ACTIONS(2137),
    [anon_sym_telldir] = ACTIONS(2137),
    [anon_sym_tied] = ACTIONS(2137),
    [anon_sym_uc] = ACTIONS(2137),
    [anon_sym_ucfirst] = ACTIONS(2137),
    [anon_sym_untie] = ACTIONS(2137),
    [anon_sym_umask] = ACTIONS(2137),
    [anon_sym_values] = ACTIONS(2137),
    [anon_sym_write] = ACTIONS(2137),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2137),
    [anon_sym___END__] = ACTIONS(2137),
    [anon_sym_EOT] = ACTIONS(2137),
    [anon_sym_q] = ACTIONS(2137),
    [anon_sym_qq] = ACTIONS(2137),
    [anon_sym_qw] = ACTIONS(2137),
    [anon_sym_qx] = ACTIONS(2137),
    [anon_sym_qr] = ACTIONS(2137),
    [anon_sym_m] = ACTIONS(2137),
    [anon_sym_s] = ACTIONS(2137),
    [anon_sym_tr] = ACTIONS(2137),
    [anon_sym_y] = ACTIONS(2137),
    [anon_sym_if] = ACTIONS(2137),
    [anon_sym_unless] = ACTIONS(2137),
    [anon_sym_while] = ACTIONS(2137),
    [anon_sym_until] = ACTIONS(2137),
    [aux_sym__bareword_token1] = ACTIONS(2137),
    [sym_number] = ACTIONS(2137),
    [anon_sym_true] = ACTIONS(2137),
    [anon_sym_false] = ACTIONS(2137),
    [sym__single_quote] = ACTIONS(2135),
    [sym__double_quote] = ACTIONS(2135),
    [sym__backtick_quote] = ACTIONS(2135),
    [sym__search_slash_quote] = ACTIONS(2135),
    [sym__open_readline_bracket] = ACTIONS(2135),
    [sym__open_fileglob_bracket] = ACTIONS(2135),
    [sym__PERLY_HEREDOC] = ACTIONS(2135),
    [sym__ctrl_z_hack] = ACTIONS(2135),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2135),
    [sym__filetest] = ACTIONS(2135),
  },
  [926] = {
    [sym_heredoc_content] = STATE(926),
    [ts_builtin_sym_end] = ACTIONS(2139),
    [sym__identifier] = ACTIONS(2141),
    [anon_sym_LBRACE] = ACTIONS(2141),
    [anon_sym_SEMI] = ACTIONS(2141),
    [anon_sym_package] = ACTIONS(2141),
    [anon_sym_class] = ACTIONS(2141),
    [anon_sym_role] = ACTIONS(2141),
    [anon_sym_BUILD] = ACTIONS(2141),
    [anon_sym_ADJUST] = ACTIONS(2141),
    [anon_sym_DOLLAR] = ACTIONS(2141),
    [anon_sym_AT] = ACTIONS(2141),
    [anon_sym_my] = ACTIONS(2141),
    [anon_sym_extended] = ACTIONS(2141),
    [anon_sym_async] = ACTIONS(2141),
    [anon_sym_sub] = ACTIONS(2141),
    [anon_sym_method] = ACTIONS(2141),
    [anon_sym_LPAREN] = ACTIONS(2141),
    [anon_sym_continue] = ACTIONS(2141),
    [anon_sym_state] = ACTIONS(2141),
    [anon_sym_our] = ACTIONS(2141),
    [anon_sym_try] = ACTIONS(2141),
    [anon_sym_defer] = ACTIONS(2141),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2141),
    [anon_sym_LBRACK] = ACTIONS(2141),
    [anon_sym_LT_LT] = ACTIONS(2141),
    [anon_sym_SLASH_SLASH] = ACTIONS(2141),
    [anon_sym_PLUS] = ACTIONS(2141),
    [anon_sym_DASH] = ACTIONS(2141),
    [anon_sym_TILDE] = ACTIONS(2141),
    [anon_sym_BANG] = ACTIONS(2141),
    [anon_sym_PLUS_PLUS] = ACTIONS(2141),
    [anon_sym_DASH_DASH] = ACTIONS(2141),
    [anon_sym_BSLASH] = ACTIONS(2139),
    [anon_sym_do] = ACTIONS(2141),
    [anon_sym_eval] = ACTIONS(2141),
    [anon_sym_await] = ACTIONS(2141),
    [anon_sym_field] = ACTIONS(2141),
    [anon_sym_local] = ACTIONS(2141),
    [anon_sym_dynamically] = ACTIONS(2141),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2141),
    [anon_sym_require] = ACTIONS(2141),
    [anon_sym_map] = ACTIONS(2141),
    [anon_sym_grep] = ACTIONS(2141),
    [anon_sym_sort] = ACTIONS(2141),
    [anon_sym_goto] = ACTIONS(2141),
    [anon_sym_return] = ACTIONS(2141),
    [anon_sym_undef] = ACTIONS(2141),
    [anon_sym_PERCENT2] = ACTIONS(2141),
    [anon_sym_AMP2] = ACTIONS(2141),
    [anon_sym_STAR2] = ACTIONS(2141),
    [anon_sym_use] = ACTIONS(2141),
    [anon_sym_no] = ACTIONS(2141),
    [anon_sym_for] = ACTIONS(2141),
    [anon_sym_foreach] = ACTIONS(2141),
    [anon_sym_last] = ACTIONS(2141),
    [anon_sym_next] = ACTIONS(2141),
    [anon_sym_redo] = ACTIONS(2141),
    [anon_sym_BEGIN] = ACTIONS(2141),
    [anon_sym_INIT] = ACTIONS(2141),
    [anon_sym_CHECK] = ACTIONS(2141),
    [anon_sym_UNITCHECK] = ACTIONS(2141),
    [anon_sym_END] = ACTIONS(2141),
    [anon_sym___FILE__] = ACTIONS(2141),
    [anon_sym___LINE__] = ACTIONS(2141),
    [anon_sym___PACKAGE__] = ACTIONS(2141),
    [anon_sym___SUB__] = ACTIONS(2141),
    [anon_sym_break] = ACTIONS(2141),
    [anon_sym_fork] = ACTIONS(2141),
    [anon_sym_getppid] = ACTIONS(2141),
    [anon_sym_time] = ACTIONS(2141),
    [anon_sym_times] = ACTIONS(2141),
    [anon_sym_wait] = ACTIONS(2141),
    [anon_sym_wantarray] = ACTIONS(2141),
    [anon_sym_abs] = ACTIONS(2141),
    [anon_sym_alarm] = ACTIONS(2141),
    [anon_sym_chop] = ACTIONS(2141),
    [anon_sym_chdir] = ACTIONS(2141),
    [anon_sym_close] = ACTIONS(2141),
    [anon_sym_closedir] = ACTIONS(2141),
    [anon_sym_caller] = ACTIONS(2141),
    [anon_sym_chomp] = ACTIONS(2141),
    [anon_sym_chr] = ACTIONS(2141),
    [anon_sym_cos] = ACTIONS(2141),
    [anon_sym_chroot] = ACTIONS(2141),
    [anon_sym_defined] = ACTIONS(2141),
    [anon_sym_delete] = ACTIONS(2141),
    [anon_sym_dbmclose] = ACTIONS(2141),
    [anon_sym_exists] = ACTIONS(2141),
    [anon_sym_exit] = ACTIONS(2141),
    [anon_sym_eof] = ACTIONS(2141),
    [anon_sym_exp] = ACTIONS(2141),
    [anon_sym_each] = ACTIONS(2141),
    [anon_sym_fc] = ACTIONS(2141),
    [anon_sym_fileno] = ACTIONS(2141),
    [anon_sym_gmtime] = ACTIONS(2141),
    [anon_sym_getc] = ACTIONS(2141),
    [anon_sym_getpgrp] = ACTIONS(2141),
    [anon_sym_getprotobyname] = ACTIONS(2141),
    [anon_sym_getpwname] = ACTIONS(2141),
    [anon_sym_getpwuid] = ACTIONS(2141),
    [anon_sym_getpeername] = ACTIONS(2141),
    [anon_sym_getnetbyname] = ACTIONS(2141),
    [anon_sym_getsockname] = ACTIONS(2141),
    [anon_sym_getgrnam] = ACTIONS(2141),
    [anon_sym_getgrgid] = ACTIONS(2141),
    [anon_sym_hex] = ACTIONS(2141),
    [anon_sym_int] = ACTIONS(2141),
    [anon_sym_keys] = ACTIONS(2141),
    [anon_sym_lc] = ACTIONS(2141),
    [anon_sym_lcfirst] = ACTIONS(2141),
    [anon_sym_length] = ACTIONS(2141),
    [anon_sym_localtime] = ACTIONS(2141),
    [anon_sym_log] = ACTIONS(2141),
    [anon_sym_lock] = ACTIONS(2141),
    [anon_sym_lstat] = ACTIONS(2141),
    [anon_sym_oct] = ACTIONS(2141),
    [anon_sym_ord] = ACTIONS(2141),
    [anon_sym_prototype] = ACTIONS(2141),
    [anon_sym_pop] = ACTIONS(2141),
    [anon_sym_pos] = ACTIONS(2141),
    [anon_sym_quotemeta] = ACTIONS(2141),
    [anon_sym_reset] = ACTIONS(2141),
    [anon_sym_rand] = ACTIONS(2141),
    [anon_sym_rmdir] = ACTIONS(2141),
    [anon_sym_readdir] = ACTIONS(2141),
    [anon_sym_readline] = ACTIONS(2141),
    [anon_sym_readpipe] = ACTIONS(2141),
    [anon_sym_rewinddir] = ACTIONS(2141),
    [anon_sym_readlink] = ACTIONS(2141),
    [anon_sym_ref] = ACTIONS(2141),
    [anon_sym_scalar] = ACTIONS(2141),
    [anon_sym_shift] = ACTIONS(2141),
    [anon_sym_sin] = ACTIONS(2141),
    [anon_sym_sleep] = ACTIONS(2141),
    [anon_sym_sqrt] = ACTIONS(2141),
    [anon_sym_srand] = ACTIONS(2141),
    [anon_sym_stat] = ACTIONS(2141),
    [anon_sym_study] = ACTIONS(2141),
    [anon_sym_tell] = ACTIONS(2141),
    [anon_sym_telldir] = ACTIONS(2141),
    [anon_sym_tied] = ACTIONS(2141),
    [anon_sym_uc] = ACTIONS(2141),
    [anon_sym_ucfirst] = ACTIONS(2141),
    [anon_sym_untie] = ACTIONS(2141),
    [anon_sym_umask] = ACTIONS(2141),
    [anon_sym_values] = ACTIONS(2141),
    [anon_sym_write] = ACTIONS(2141),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2141),
    [anon_sym___END__] = ACTIONS(2141),
    [anon_sym_EOT] = ACTIONS(2141),
    [anon_sym_q] = ACTIONS(2141),
    [anon_sym_qq] = ACTIONS(2141),
    [anon_sym_qw] = ACTIONS(2141),
    [anon_sym_qx] = ACTIONS(2141),
    [anon_sym_qr] = ACTIONS(2141),
    [anon_sym_m] = ACTIONS(2141),
    [anon_sym_s] = ACTIONS(2141),
    [anon_sym_tr] = ACTIONS(2141),
    [anon_sym_y] = ACTIONS(2141),
    [anon_sym_if] = ACTIONS(2141),
    [anon_sym_unless] = ACTIONS(2141),
    [anon_sym_while] = ACTIONS(2141),
    [anon_sym_until] = ACTIONS(2141),
    [aux_sym__bareword_token1] = ACTIONS(2141),
    [sym_number] = ACTIONS(2141),
    [anon_sym_true] = ACTIONS(2141),
    [anon_sym_false] = ACTIONS(2141),
    [sym__single_quote] = ACTIONS(2139),
    [sym__double_quote] = ACTIONS(2139),
    [sym__backtick_quote] = ACTIONS(2139),
    [sym__search_slash_quote] = ACTIONS(2139),
    [sym__open_readline_bracket] = ACTIONS(2139),
    [sym__open_fileglob_bracket] = ACTIONS(2139),
    [sym__PERLY_HEREDOC] = ACTIONS(2139),
    [sym__ctrl_z_hack] = ACTIONS(2139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2139),
    [sym__filetest] = ACTIONS(2139),
  },
  [927] = {
    [sym_heredoc_content] = STATE(927),
    [ts_builtin_sym_end] = ACTIONS(2143),
    [sym__identifier] = ACTIONS(2145),
    [anon_sym_LBRACE] = ACTIONS(2145),
    [anon_sym_SEMI] = ACTIONS(2145),
    [anon_sym_package] = ACTIONS(2145),
    [anon_sym_class] = ACTIONS(2145),
    [anon_sym_role] = ACTIONS(2145),
    [anon_sym_BUILD] = ACTIONS(2145),
    [anon_sym_ADJUST] = ACTIONS(2145),
    [anon_sym_DOLLAR] = ACTIONS(2145),
    [anon_sym_AT] = ACTIONS(2145),
    [anon_sym_my] = ACTIONS(2145),
    [anon_sym_extended] = ACTIONS(2145),
    [anon_sym_async] = ACTIONS(2145),
    [anon_sym_sub] = ACTIONS(2145),
    [anon_sym_method] = ACTIONS(2145),
    [anon_sym_LPAREN] = ACTIONS(2145),
    [anon_sym_continue] = ACTIONS(2145),
    [anon_sym_state] = ACTIONS(2145),
    [anon_sym_our] = ACTIONS(2145),
    [anon_sym_try] = ACTIONS(2145),
    [anon_sym_defer] = ACTIONS(2145),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2145),
    [anon_sym_LBRACK] = ACTIONS(2145),
    [anon_sym_LT_LT] = ACTIONS(2145),
    [anon_sym_SLASH_SLASH] = ACTIONS(2145),
    [anon_sym_PLUS] = ACTIONS(2145),
    [anon_sym_DASH] = ACTIONS(2145),
    [anon_sym_TILDE] = ACTIONS(2145),
    [anon_sym_BANG] = ACTIONS(2145),
    [anon_sym_PLUS_PLUS] = ACTIONS(2145),
    [anon_sym_DASH_DASH] = ACTIONS(2145),
    [anon_sym_BSLASH] = ACTIONS(2143),
    [anon_sym_do] = ACTIONS(2145),
    [anon_sym_eval] = ACTIONS(2145),
    [anon_sym_await] = ACTIONS(2145),
    [anon_sym_field] = ACTIONS(2145),
    [anon_sym_local] = ACTIONS(2145),
    [anon_sym_dynamically] = ACTIONS(2145),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2145),
    [anon_sym_require] = ACTIONS(2145),
    [anon_sym_map] = ACTIONS(2145),
    [anon_sym_grep] = ACTIONS(2145),
    [anon_sym_sort] = ACTIONS(2145),
    [anon_sym_goto] = ACTIONS(2145),
    [anon_sym_return] = ACTIONS(2145),
    [anon_sym_undef] = ACTIONS(2145),
    [anon_sym_PERCENT2] = ACTIONS(2145),
    [anon_sym_AMP2] = ACTIONS(2145),
    [anon_sym_STAR2] = ACTIONS(2145),
    [anon_sym_use] = ACTIONS(2145),
    [anon_sym_no] = ACTIONS(2145),
    [anon_sym_for] = ACTIONS(2145),
    [anon_sym_foreach] = ACTIONS(2145),
    [anon_sym_last] = ACTIONS(2145),
    [anon_sym_next] = ACTIONS(2145),
    [anon_sym_redo] = ACTIONS(2145),
    [anon_sym_BEGIN] = ACTIONS(2145),
    [anon_sym_INIT] = ACTIONS(2145),
    [anon_sym_CHECK] = ACTIONS(2145),
    [anon_sym_UNITCHECK] = ACTIONS(2145),
    [anon_sym_END] = ACTIONS(2145),
    [anon_sym___FILE__] = ACTIONS(2145),
    [anon_sym___LINE__] = ACTIONS(2145),
    [anon_sym___PACKAGE__] = ACTIONS(2145),
    [anon_sym___SUB__] = ACTIONS(2145),
    [anon_sym_break] = ACTIONS(2145),
    [anon_sym_fork] = ACTIONS(2145),
    [anon_sym_getppid] = ACTIONS(2145),
    [anon_sym_time] = ACTIONS(2145),
    [anon_sym_times] = ACTIONS(2145),
    [anon_sym_wait] = ACTIONS(2145),
    [anon_sym_wantarray] = ACTIONS(2145),
    [anon_sym_abs] = ACTIONS(2145),
    [anon_sym_alarm] = ACTIONS(2145),
    [anon_sym_chop] = ACTIONS(2145),
    [anon_sym_chdir] = ACTIONS(2145),
    [anon_sym_close] = ACTIONS(2145),
    [anon_sym_closedir] = ACTIONS(2145),
    [anon_sym_caller] = ACTIONS(2145),
    [anon_sym_chomp] = ACTIONS(2145),
    [anon_sym_chr] = ACTIONS(2145),
    [anon_sym_cos] = ACTIONS(2145),
    [anon_sym_chroot] = ACTIONS(2145),
    [anon_sym_defined] = ACTIONS(2145),
    [anon_sym_delete] = ACTIONS(2145),
    [anon_sym_dbmclose] = ACTIONS(2145),
    [anon_sym_exists] = ACTIONS(2145),
    [anon_sym_exit] = ACTIONS(2145),
    [anon_sym_eof] = ACTIONS(2145),
    [anon_sym_exp] = ACTIONS(2145),
    [anon_sym_each] = ACTIONS(2145),
    [anon_sym_fc] = ACTIONS(2145),
    [anon_sym_fileno] = ACTIONS(2145),
    [anon_sym_gmtime] = ACTIONS(2145),
    [anon_sym_getc] = ACTIONS(2145),
    [anon_sym_getpgrp] = ACTIONS(2145),
    [anon_sym_getprotobyname] = ACTIONS(2145),
    [anon_sym_getpwname] = ACTIONS(2145),
    [anon_sym_getpwuid] = ACTIONS(2145),
    [anon_sym_getpeername] = ACTIONS(2145),
    [anon_sym_getnetbyname] = ACTIONS(2145),
    [anon_sym_getsockname] = ACTIONS(2145),
    [anon_sym_getgrnam] = ACTIONS(2145),
    [anon_sym_getgrgid] = ACTIONS(2145),
    [anon_sym_hex] = ACTIONS(2145),
    [anon_sym_int] = ACTIONS(2145),
    [anon_sym_keys] = ACTIONS(2145),
    [anon_sym_lc] = ACTIONS(2145),
    [anon_sym_lcfirst] = ACTIONS(2145),
    [anon_sym_length] = ACTIONS(2145),
    [anon_sym_localtime] = ACTIONS(2145),
    [anon_sym_log] = ACTIONS(2145),
    [anon_sym_lock] = ACTIONS(2145),
    [anon_sym_lstat] = ACTIONS(2145),
    [anon_sym_oct] = ACTIONS(2145),
    [anon_sym_ord] = ACTIONS(2145),
    [anon_sym_prototype] = ACTIONS(2145),
    [anon_sym_pop] = ACTIONS(2145),
    [anon_sym_pos] = ACTIONS(2145),
    [anon_sym_quotemeta] = ACTIONS(2145),
    [anon_sym_reset] = ACTIONS(2145),
    [anon_sym_rand] = ACTIONS(2145),
    [anon_sym_rmdir] = ACTIONS(2145),
    [anon_sym_readdir] = ACTIONS(2145),
    [anon_sym_readline] = ACTIONS(2145),
    [anon_sym_readpipe] = ACTIONS(2145),
    [anon_sym_rewinddir] = ACTIONS(2145),
    [anon_sym_readlink] = ACTIONS(2145),
    [anon_sym_ref] = ACTIONS(2145),
    [anon_sym_scalar] = ACTIONS(2145),
    [anon_sym_shift] = ACTIONS(2145),
    [anon_sym_sin] = ACTIONS(2145),
    [anon_sym_sleep] = ACTIONS(2145),
    [anon_sym_sqrt] = ACTIONS(2145),
    [anon_sym_srand] = ACTIONS(2145),
    [anon_sym_stat] = ACTIONS(2145),
    [anon_sym_study] = ACTIONS(2145),
    [anon_sym_tell] = ACTIONS(2145),
    [anon_sym_telldir] = ACTIONS(2145),
    [anon_sym_tied] = ACTIONS(2145),
    [anon_sym_uc] = ACTIONS(2145),
    [anon_sym_ucfirst] = ACTIONS(2145),
    [anon_sym_untie] = ACTIONS(2145),
    [anon_sym_umask] = ACTIONS(2145),
    [anon_sym_values] = ACTIONS(2145),
    [anon_sym_write] = ACTIONS(2145),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2145),
    [anon_sym___END__] = ACTIONS(2145),
    [anon_sym_EOT] = ACTIONS(2145),
    [anon_sym_q] = ACTIONS(2145),
    [anon_sym_qq] = ACTIONS(2145),
    [anon_sym_qw] = ACTIONS(2145),
    [anon_sym_qx] = ACTIONS(2145),
    [anon_sym_qr] = ACTIONS(2145),
    [anon_sym_m] = ACTIONS(2145),
    [anon_sym_s] = ACTIONS(2145),
    [anon_sym_tr] = ACTIONS(2145),
    [anon_sym_y] = ACTIONS(2145),
    [anon_sym_if] = ACTIONS(2145),
    [anon_sym_unless] = ACTIONS(2145),
    [anon_sym_while] = ACTIONS(2145),
    [anon_sym_until] = ACTIONS(2145),
    [aux_sym__bareword_token1] = ACTIONS(2145),
    [sym_number] = ACTIONS(2145),
    [anon_sym_true] = ACTIONS(2145),
    [anon_sym_false] = ACTIONS(2145),
    [sym__single_quote] = ACTIONS(2143),
    [sym__double_quote] = ACTIONS(2143),
    [sym__backtick_quote] = ACTIONS(2143),
    [sym__search_slash_quote] = ACTIONS(2143),
    [sym__open_readline_bracket] = ACTIONS(2143),
    [sym__open_fileglob_bracket] = ACTIONS(2143),
    [sym__PERLY_HEREDOC] = ACTIONS(2143),
    [sym__ctrl_z_hack] = ACTIONS(2143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2143),
    [sym__filetest] = ACTIONS(2143),
  },
  [928] = {
    [sym_heredoc_content] = STATE(928),
    [ts_builtin_sym_end] = ACTIONS(2147),
    [sym__identifier] = ACTIONS(2149),
    [anon_sym_LBRACE] = ACTIONS(2149),
    [anon_sym_SEMI] = ACTIONS(2149),
    [anon_sym_package] = ACTIONS(2149),
    [anon_sym_class] = ACTIONS(2149),
    [anon_sym_role] = ACTIONS(2149),
    [anon_sym_BUILD] = ACTIONS(2149),
    [anon_sym_ADJUST] = ACTIONS(2149),
    [anon_sym_DOLLAR] = ACTIONS(2149),
    [anon_sym_AT] = ACTIONS(2149),
    [anon_sym_my] = ACTIONS(2149),
    [anon_sym_extended] = ACTIONS(2149),
    [anon_sym_async] = ACTIONS(2149),
    [anon_sym_sub] = ACTIONS(2149),
    [anon_sym_method] = ACTIONS(2149),
    [anon_sym_LPAREN] = ACTIONS(2149),
    [anon_sym_continue] = ACTIONS(2149),
    [anon_sym_state] = ACTIONS(2149),
    [anon_sym_our] = ACTIONS(2149),
    [anon_sym_try] = ACTIONS(2149),
    [anon_sym_defer] = ACTIONS(2149),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2149),
    [anon_sym_LBRACK] = ACTIONS(2149),
    [anon_sym_LT_LT] = ACTIONS(2149),
    [anon_sym_SLASH_SLASH] = ACTIONS(2149),
    [anon_sym_PLUS] = ACTIONS(2149),
    [anon_sym_DASH] = ACTIONS(2149),
    [anon_sym_TILDE] = ACTIONS(2149),
    [anon_sym_BANG] = ACTIONS(2149),
    [anon_sym_PLUS_PLUS] = ACTIONS(2149),
    [anon_sym_DASH_DASH] = ACTIONS(2149),
    [anon_sym_BSLASH] = ACTIONS(2147),
    [anon_sym_do] = ACTIONS(2149),
    [anon_sym_eval] = ACTIONS(2149),
    [anon_sym_await] = ACTIONS(2149),
    [anon_sym_field] = ACTIONS(2149),
    [anon_sym_local] = ACTIONS(2149),
    [anon_sym_dynamically] = ACTIONS(2149),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2149),
    [anon_sym_require] = ACTIONS(2149),
    [anon_sym_map] = ACTIONS(2149),
    [anon_sym_grep] = ACTIONS(2149),
    [anon_sym_sort] = ACTIONS(2149),
    [anon_sym_goto] = ACTIONS(2149),
    [anon_sym_return] = ACTIONS(2149),
    [anon_sym_undef] = ACTIONS(2149),
    [anon_sym_PERCENT2] = ACTIONS(2149),
    [anon_sym_AMP2] = ACTIONS(2149),
    [anon_sym_STAR2] = ACTIONS(2149),
    [anon_sym_use] = ACTIONS(2149),
    [anon_sym_no] = ACTIONS(2149),
    [anon_sym_for] = ACTIONS(2149),
    [anon_sym_foreach] = ACTIONS(2149),
    [anon_sym_last] = ACTIONS(2149),
    [anon_sym_next] = ACTIONS(2149),
    [anon_sym_redo] = ACTIONS(2149),
    [anon_sym_BEGIN] = ACTIONS(2149),
    [anon_sym_INIT] = ACTIONS(2149),
    [anon_sym_CHECK] = ACTIONS(2149),
    [anon_sym_UNITCHECK] = ACTIONS(2149),
    [anon_sym_END] = ACTIONS(2149),
    [anon_sym___FILE__] = ACTIONS(2149),
    [anon_sym___LINE__] = ACTIONS(2149),
    [anon_sym___PACKAGE__] = ACTIONS(2149),
    [anon_sym___SUB__] = ACTIONS(2149),
    [anon_sym_break] = ACTIONS(2149),
    [anon_sym_fork] = ACTIONS(2149),
    [anon_sym_getppid] = ACTIONS(2149),
    [anon_sym_time] = ACTIONS(2149),
    [anon_sym_times] = ACTIONS(2149),
    [anon_sym_wait] = ACTIONS(2149),
    [anon_sym_wantarray] = ACTIONS(2149),
    [anon_sym_abs] = ACTIONS(2149),
    [anon_sym_alarm] = ACTIONS(2149),
    [anon_sym_chop] = ACTIONS(2149),
    [anon_sym_chdir] = ACTIONS(2149),
    [anon_sym_close] = ACTIONS(2149),
    [anon_sym_closedir] = ACTIONS(2149),
    [anon_sym_caller] = ACTIONS(2149),
    [anon_sym_chomp] = ACTIONS(2149),
    [anon_sym_chr] = ACTIONS(2149),
    [anon_sym_cos] = ACTIONS(2149),
    [anon_sym_chroot] = ACTIONS(2149),
    [anon_sym_defined] = ACTIONS(2149),
    [anon_sym_delete] = ACTIONS(2149),
    [anon_sym_dbmclose] = ACTIONS(2149),
    [anon_sym_exists] = ACTIONS(2149),
    [anon_sym_exit] = ACTIONS(2149),
    [anon_sym_eof] = ACTIONS(2149),
    [anon_sym_exp] = ACTIONS(2149),
    [anon_sym_each] = ACTIONS(2149),
    [anon_sym_fc] = ACTIONS(2149),
    [anon_sym_fileno] = ACTIONS(2149),
    [anon_sym_gmtime] = ACTIONS(2149),
    [anon_sym_getc] = ACTIONS(2149),
    [anon_sym_getpgrp] = ACTIONS(2149),
    [anon_sym_getprotobyname] = ACTIONS(2149),
    [anon_sym_getpwname] = ACTIONS(2149),
    [anon_sym_getpwuid] = ACTIONS(2149),
    [anon_sym_getpeername] = ACTIONS(2149),
    [anon_sym_getnetbyname] = ACTIONS(2149),
    [anon_sym_getsockname] = ACTIONS(2149),
    [anon_sym_getgrnam] = ACTIONS(2149),
    [anon_sym_getgrgid] = ACTIONS(2149),
    [anon_sym_hex] = ACTIONS(2149),
    [anon_sym_int] = ACTIONS(2149),
    [anon_sym_keys] = ACTIONS(2149),
    [anon_sym_lc] = ACTIONS(2149),
    [anon_sym_lcfirst] = ACTIONS(2149),
    [anon_sym_length] = ACTIONS(2149),
    [anon_sym_localtime] = ACTIONS(2149),
    [anon_sym_log] = ACTIONS(2149),
    [anon_sym_lock] = ACTIONS(2149),
    [anon_sym_lstat] = ACTIONS(2149),
    [anon_sym_oct] = ACTIONS(2149),
    [anon_sym_ord] = ACTIONS(2149),
    [anon_sym_prototype] = ACTIONS(2149),
    [anon_sym_pop] = ACTIONS(2149),
    [anon_sym_pos] = ACTIONS(2149),
    [anon_sym_quotemeta] = ACTIONS(2149),
    [anon_sym_reset] = ACTIONS(2149),
    [anon_sym_rand] = ACTIONS(2149),
    [anon_sym_rmdir] = ACTIONS(2149),
    [anon_sym_readdir] = ACTIONS(2149),
    [anon_sym_readline] = ACTIONS(2149),
    [anon_sym_readpipe] = ACTIONS(2149),
    [anon_sym_rewinddir] = ACTIONS(2149),
    [anon_sym_readlink] = ACTIONS(2149),
    [anon_sym_ref] = ACTIONS(2149),
    [anon_sym_scalar] = ACTIONS(2149),
    [anon_sym_shift] = ACTIONS(2149),
    [anon_sym_sin] = ACTIONS(2149),
    [anon_sym_sleep] = ACTIONS(2149),
    [anon_sym_sqrt] = ACTIONS(2149),
    [anon_sym_srand] = ACTIONS(2149),
    [anon_sym_stat] = ACTIONS(2149),
    [anon_sym_study] = ACTIONS(2149),
    [anon_sym_tell] = ACTIONS(2149),
    [anon_sym_telldir] = ACTIONS(2149),
    [anon_sym_tied] = ACTIONS(2149),
    [anon_sym_uc] = ACTIONS(2149),
    [anon_sym_ucfirst] = ACTIONS(2149),
    [anon_sym_untie] = ACTIONS(2149),
    [anon_sym_umask] = ACTIONS(2149),
    [anon_sym_values] = ACTIONS(2149),
    [anon_sym_write] = ACTIONS(2149),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2149),
    [anon_sym___END__] = ACTIONS(2149),
    [anon_sym_EOT] = ACTIONS(2149),
    [anon_sym_q] = ACTIONS(2149),
    [anon_sym_qq] = ACTIONS(2149),
    [anon_sym_qw] = ACTIONS(2149),
    [anon_sym_qx] = ACTIONS(2149),
    [anon_sym_qr] = ACTIONS(2149),
    [anon_sym_m] = ACTIONS(2149),
    [anon_sym_s] = ACTIONS(2149),
    [anon_sym_tr] = ACTIONS(2149),
    [anon_sym_y] = ACTIONS(2149),
    [anon_sym_if] = ACTIONS(2149),
    [anon_sym_unless] = ACTIONS(2149),
    [anon_sym_while] = ACTIONS(2149),
    [anon_sym_until] = ACTIONS(2149),
    [aux_sym__bareword_token1] = ACTIONS(2149),
    [sym_number] = ACTIONS(2149),
    [anon_sym_true] = ACTIONS(2149),
    [anon_sym_false] = ACTIONS(2149),
    [sym__single_quote] = ACTIONS(2147),
    [sym__double_quote] = ACTIONS(2147),
    [sym__backtick_quote] = ACTIONS(2147),
    [sym__search_slash_quote] = ACTIONS(2147),
    [sym__open_readline_bracket] = ACTIONS(2147),
    [sym__open_fileglob_bracket] = ACTIONS(2147),
    [sym__PERLY_HEREDOC] = ACTIONS(2147),
    [sym__ctrl_z_hack] = ACTIONS(2147),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2147),
    [sym__filetest] = ACTIONS(2147),
  },
  [929] = {
    [sym_heredoc_content] = STATE(929),
    [ts_builtin_sym_end] = ACTIONS(2151),
    [sym__identifier] = ACTIONS(2153),
    [anon_sym_LBRACE] = ACTIONS(2153),
    [anon_sym_SEMI] = ACTIONS(2153),
    [anon_sym_package] = ACTIONS(2153),
    [anon_sym_class] = ACTIONS(2153),
    [anon_sym_role] = ACTIONS(2153),
    [anon_sym_BUILD] = ACTIONS(2153),
    [anon_sym_ADJUST] = ACTIONS(2153),
    [anon_sym_DOLLAR] = ACTIONS(2153),
    [anon_sym_AT] = ACTIONS(2153),
    [anon_sym_my] = ACTIONS(2153),
    [anon_sym_extended] = ACTIONS(2153),
    [anon_sym_async] = ACTIONS(2153),
    [anon_sym_sub] = ACTIONS(2153),
    [anon_sym_method] = ACTIONS(2153),
    [anon_sym_LPAREN] = ACTIONS(2153),
    [anon_sym_continue] = ACTIONS(2153),
    [anon_sym_state] = ACTIONS(2153),
    [anon_sym_our] = ACTIONS(2153),
    [anon_sym_try] = ACTIONS(2153),
    [anon_sym_defer] = ACTIONS(2153),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2153),
    [anon_sym_LBRACK] = ACTIONS(2153),
    [anon_sym_LT_LT] = ACTIONS(2153),
    [anon_sym_SLASH_SLASH] = ACTIONS(2153),
    [anon_sym_PLUS] = ACTIONS(2153),
    [anon_sym_DASH] = ACTIONS(2153),
    [anon_sym_TILDE] = ACTIONS(2153),
    [anon_sym_BANG] = ACTIONS(2153),
    [anon_sym_PLUS_PLUS] = ACTIONS(2153),
    [anon_sym_DASH_DASH] = ACTIONS(2153),
    [anon_sym_BSLASH] = ACTIONS(2151),
    [anon_sym_do] = ACTIONS(2153),
    [anon_sym_eval] = ACTIONS(2153),
    [anon_sym_await] = ACTIONS(2153),
    [anon_sym_field] = ACTIONS(2153),
    [anon_sym_local] = ACTIONS(2153),
    [anon_sym_dynamically] = ACTIONS(2153),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2153),
    [anon_sym_require] = ACTIONS(2153),
    [anon_sym_map] = ACTIONS(2153),
    [anon_sym_grep] = ACTIONS(2153),
    [anon_sym_sort] = ACTIONS(2153),
    [anon_sym_goto] = ACTIONS(2153),
    [anon_sym_return] = ACTIONS(2153),
    [anon_sym_undef] = ACTIONS(2153),
    [anon_sym_PERCENT2] = ACTIONS(2153),
    [anon_sym_AMP2] = ACTIONS(2153),
    [anon_sym_STAR2] = ACTIONS(2153),
    [anon_sym_use] = ACTIONS(2153),
    [anon_sym_no] = ACTIONS(2153),
    [anon_sym_for] = ACTIONS(2153),
    [anon_sym_foreach] = ACTIONS(2153),
    [anon_sym_last] = ACTIONS(2153),
    [anon_sym_next] = ACTIONS(2153),
    [anon_sym_redo] = ACTIONS(2153),
    [anon_sym_BEGIN] = ACTIONS(2153),
    [anon_sym_INIT] = ACTIONS(2153),
    [anon_sym_CHECK] = ACTIONS(2153),
    [anon_sym_UNITCHECK] = ACTIONS(2153),
    [anon_sym_END] = ACTIONS(2153),
    [anon_sym___FILE__] = ACTIONS(2153),
    [anon_sym___LINE__] = ACTIONS(2153),
    [anon_sym___PACKAGE__] = ACTIONS(2153),
    [anon_sym___SUB__] = ACTIONS(2153),
    [anon_sym_break] = ACTIONS(2153),
    [anon_sym_fork] = ACTIONS(2153),
    [anon_sym_getppid] = ACTIONS(2153),
    [anon_sym_time] = ACTIONS(2153),
    [anon_sym_times] = ACTIONS(2153),
    [anon_sym_wait] = ACTIONS(2153),
    [anon_sym_wantarray] = ACTIONS(2153),
    [anon_sym_abs] = ACTIONS(2153),
    [anon_sym_alarm] = ACTIONS(2153),
    [anon_sym_chop] = ACTIONS(2153),
    [anon_sym_chdir] = ACTIONS(2153),
    [anon_sym_close] = ACTIONS(2153),
    [anon_sym_closedir] = ACTIONS(2153),
    [anon_sym_caller] = ACTIONS(2153),
    [anon_sym_chomp] = ACTIONS(2153),
    [anon_sym_chr] = ACTIONS(2153),
    [anon_sym_cos] = ACTIONS(2153),
    [anon_sym_chroot] = ACTIONS(2153),
    [anon_sym_defined] = ACTIONS(2153),
    [anon_sym_delete] = ACTIONS(2153),
    [anon_sym_dbmclose] = ACTIONS(2153),
    [anon_sym_exists] = ACTIONS(2153),
    [anon_sym_exit] = ACTIONS(2153),
    [anon_sym_eof] = ACTIONS(2153),
    [anon_sym_exp] = ACTIONS(2153),
    [anon_sym_each] = ACTIONS(2153),
    [anon_sym_fc] = ACTIONS(2153),
    [anon_sym_fileno] = ACTIONS(2153),
    [anon_sym_gmtime] = ACTIONS(2153),
    [anon_sym_getc] = ACTIONS(2153),
    [anon_sym_getpgrp] = ACTIONS(2153),
    [anon_sym_getprotobyname] = ACTIONS(2153),
    [anon_sym_getpwname] = ACTIONS(2153),
    [anon_sym_getpwuid] = ACTIONS(2153),
    [anon_sym_getpeername] = ACTIONS(2153),
    [anon_sym_getnetbyname] = ACTIONS(2153),
    [anon_sym_getsockname] = ACTIONS(2153),
    [anon_sym_getgrnam] = ACTIONS(2153),
    [anon_sym_getgrgid] = ACTIONS(2153),
    [anon_sym_hex] = ACTIONS(2153),
    [anon_sym_int] = ACTIONS(2153),
    [anon_sym_keys] = ACTIONS(2153),
    [anon_sym_lc] = ACTIONS(2153),
    [anon_sym_lcfirst] = ACTIONS(2153),
    [anon_sym_length] = ACTIONS(2153),
    [anon_sym_localtime] = ACTIONS(2153),
    [anon_sym_log] = ACTIONS(2153),
    [anon_sym_lock] = ACTIONS(2153),
    [anon_sym_lstat] = ACTIONS(2153),
    [anon_sym_oct] = ACTIONS(2153),
    [anon_sym_ord] = ACTIONS(2153),
    [anon_sym_prototype] = ACTIONS(2153),
    [anon_sym_pop] = ACTIONS(2153),
    [anon_sym_pos] = ACTIONS(2153),
    [anon_sym_quotemeta] = ACTIONS(2153),
    [anon_sym_reset] = ACTIONS(2153),
    [anon_sym_rand] = ACTIONS(2153),
    [anon_sym_rmdir] = ACTIONS(2153),
    [anon_sym_readdir] = ACTIONS(2153),
    [anon_sym_readline] = ACTIONS(2153),
    [anon_sym_readpipe] = ACTIONS(2153),
    [anon_sym_rewinddir] = ACTIONS(2153),
    [anon_sym_readlink] = ACTIONS(2153),
    [anon_sym_ref] = ACTIONS(2153),
    [anon_sym_scalar] = ACTIONS(2153),
    [anon_sym_shift] = ACTIONS(2153),
    [anon_sym_sin] = ACTIONS(2153),
    [anon_sym_sleep] = ACTIONS(2153),
    [anon_sym_sqrt] = ACTIONS(2153),
    [anon_sym_srand] = ACTIONS(2153),
    [anon_sym_stat] = ACTIONS(2153),
    [anon_sym_study] = ACTIONS(2153),
    [anon_sym_tell] = ACTIONS(2153),
    [anon_sym_telldir] = ACTIONS(2153),
    [anon_sym_tied] = ACTIONS(2153),
    [anon_sym_uc] = ACTIONS(2153),
    [anon_sym_ucfirst] = ACTIONS(2153),
    [anon_sym_untie] = ACTIONS(2153),
    [anon_sym_umask] = ACTIONS(2153),
    [anon_sym_values] = ACTIONS(2153),
    [anon_sym_write] = ACTIONS(2153),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2153),
    [anon_sym___END__] = ACTIONS(2153),
    [anon_sym_EOT] = ACTIONS(2153),
    [anon_sym_q] = ACTIONS(2153),
    [anon_sym_qq] = ACTIONS(2153),
    [anon_sym_qw] = ACTIONS(2153),
    [anon_sym_qx] = ACTIONS(2153),
    [anon_sym_qr] = ACTIONS(2153),
    [anon_sym_m] = ACTIONS(2153),
    [anon_sym_s] = ACTIONS(2153),
    [anon_sym_tr] = ACTIONS(2153),
    [anon_sym_y] = ACTIONS(2153),
    [anon_sym_if] = ACTIONS(2153),
    [anon_sym_unless] = ACTIONS(2153),
    [anon_sym_while] = ACTIONS(2153),
    [anon_sym_until] = ACTIONS(2153),
    [aux_sym__bareword_token1] = ACTIONS(2153),
    [sym_number] = ACTIONS(2153),
    [anon_sym_true] = ACTIONS(2153),
    [anon_sym_false] = ACTIONS(2153),
    [sym__single_quote] = ACTIONS(2151),
    [sym__double_quote] = ACTIONS(2151),
    [sym__backtick_quote] = ACTIONS(2151),
    [sym__search_slash_quote] = ACTIONS(2151),
    [sym__open_readline_bracket] = ACTIONS(2151),
    [sym__open_fileglob_bracket] = ACTIONS(2151),
    [sym__PERLY_HEREDOC] = ACTIONS(2151),
    [sym__ctrl_z_hack] = ACTIONS(2151),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2151),
    [sym__filetest] = ACTIONS(2151),
  },
  [930] = {
    [sym_heredoc_content] = STATE(930),
    [ts_builtin_sym_end] = ACTIONS(2155),
    [sym__identifier] = ACTIONS(2157),
    [anon_sym_LBRACE] = ACTIONS(2157),
    [anon_sym_SEMI] = ACTIONS(2157),
    [anon_sym_package] = ACTIONS(2157),
    [anon_sym_class] = ACTIONS(2157),
    [anon_sym_role] = ACTIONS(2157),
    [anon_sym_BUILD] = ACTIONS(2157),
    [anon_sym_ADJUST] = ACTIONS(2157),
    [anon_sym_DOLLAR] = ACTIONS(2157),
    [anon_sym_AT] = ACTIONS(2157),
    [anon_sym_my] = ACTIONS(2157),
    [anon_sym_extended] = ACTIONS(2157),
    [anon_sym_async] = ACTIONS(2157),
    [anon_sym_sub] = ACTIONS(2157),
    [anon_sym_method] = ACTIONS(2157),
    [anon_sym_LPAREN] = ACTIONS(2157),
    [anon_sym_continue] = ACTIONS(2157),
    [anon_sym_state] = ACTIONS(2157),
    [anon_sym_our] = ACTIONS(2157),
    [anon_sym_try] = ACTIONS(2157),
    [anon_sym_defer] = ACTIONS(2157),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2157),
    [anon_sym_LBRACK] = ACTIONS(2157),
    [anon_sym_LT_LT] = ACTIONS(2157),
    [anon_sym_SLASH_SLASH] = ACTIONS(2157),
    [anon_sym_PLUS] = ACTIONS(2157),
    [anon_sym_DASH] = ACTIONS(2157),
    [anon_sym_TILDE] = ACTIONS(2157),
    [anon_sym_BANG] = ACTIONS(2157),
    [anon_sym_PLUS_PLUS] = ACTIONS(2157),
    [anon_sym_DASH_DASH] = ACTIONS(2157),
    [anon_sym_BSLASH] = ACTIONS(2155),
    [anon_sym_do] = ACTIONS(2157),
    [anon_sym_eval] = ACTIONS(2157),
    [anon_sym_await] = ACTIONS(2157),
    [anon_sym_field] = ACTIONS(2157),
    [anon_sym_local] = ACTIONS(2157),
    [anon_sym_dynamically] = ACTIONS(2157),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2157),
    [anon_sym_require] = ACTIONS(2157),
    [anon_sym_map] = ACTIONS(2157),
    [anon_sym_grep] = ACTIONS(2157),
    [anon_sym_sort] = ACTIONS(2157),
    [anon_sym_goto] = ACTIONS(2157),
    [anon_sym_return] = ACTIONS(2157),
    [anon_sym_undef] = ACTIONS(2157),
    [anon_sym_PERCENT2] = ACTIONS(2157),
    [anon_sym_AMP2] = ACTIONS(2157),
    [anon_sym_STAR2] = ACTIONS(2157),
    [anon_sym_use] = ACTIONS(2157),
    [anon_sym_no] = ACTIONS(2157),
    [anon_sym_for] = ACTIONS(2157),
    [anon_sym_foreach] = ACTIONS(2157),
    [anon_sym_last] = ACTIONS(2157),
    [anon_sym_next] = ACTIONS(2157),
    [anon_sym_redo] = ACTIONS(2157),
    [anon_sym_BEGIN] = ACTIONS(2157),
    [anon_sym_INIT] = ACTIONS(2157),
    [anon_sym_CHECK] = ACTIONS(2157),
    [anon_sym_UNITCHECK] = ACTIONS(2157),
    [anon_sym_END] = ACTIONS(2157),
    [anon_sym___FILE__] = ACTIONS(2157),
    [anon_sym___LINE__] = ACTIONS(2157),
    [anon_sym___PACKAGE__] = ACTIONS(2157),
    [anon_sym___SUB__] = ACTIONS(2157),
    [anon_sym_break] = ACTIONS(2157),
    [anon_sym_fork] = ACTIONS(2157),
    [anon_sym_getppid] = ACTIONS(2157),
    [anon_sym_time] = ACTIONS(2157),
    [anon_sym_times] = ACTIONS(2157),
    [anon_sym_wait] = ACTIONS(2157),
    [anon_sym_wantarray] = ACTIONS(2157),
    [anon_sym_abs] = ACTIONS(2157),
    [anon_sym_alarm] = ACTIONS(2157),
    [anon_sym_chop] = ACTIONS(2157),
    [anon_sym_chdir] = ACTIONS(2157),
    [anon_sym_close] = ACTIONS(2157),
    [anon_sym_closedir] = ACTIONS(2157),
    [anon_sym_caller] = ACTIONS(2157),
    [anon_sym_chomp] = ACTIONS(2157),
    [anon_sym_chr] = ACTIONS(2157),
    [anon_sym_cos] = ACTIONS(2157),
    [anon_sym_chroot] = ACTIONS(2157),
    [anon_sym_defined] = ACTIONS(2157),
    [anon_sym_delete] = ACTIONS(2157),
    [anon_sym_dbmclose] = ACTIONS(2157),
    [anon_sym_exists] = ACTIONS(2157),
    [anon_sym_exit] = ACTIONS(2157),
    [anon_sym_eof] = ACTIONS(2157),
    [anon_sym_exp] = ACTIONS(2157),
    [anon_sym_each] = ACTIONS(2157),
    [anon_sym_fc] = ACTIONS(2157),
    [anon_sym_fileno] = ACTIONS(2157),
    [anon_sym_gmtime] = ACTIONS(2157),
    [anon_sym_getc] = ACTIONS(2157),
    [anon_sym_getpgrp] = ACTIONS(2157),
    [anon_sym_getprotobyname] = ACTIONS(2157),
    [anon_sym_getpwname] = ACTIONS(2157),
    [anon_sym_getpwuid] = ACTIONS(2157),
    [anon_sym_getpeername] = ACTIONS(2157),
    [anon_sym_getnetbyname] = ACTIONS(2157),
    [anon_sym_getsockname] = ACTIONS(2157),
    [anon_sym_getgrnam] = ACTIONS(2157),
    [anon_sym_getgrgid] = ACTIONS(2157),
    [anon_sym_hex] = ACTIONS(2157),
    [anon_sym_int] = ACTIONS(2157),
    [anon_sym_keys] = ACTIONS(2157),
    [anon_sym_lc] = ACTIONS(2157),
    [anon_sym_lcfirst] = ACTIONS(2157),
    [anon_sym_length] = ACTIONS(2157),
    [anon_sym_localtime] = ACTIONS(2157),
    [anon_sym_log] = ACTIONS(2157),
    [anon_sym_lock] = ACTIONS(2157),
    [anon_sym_lstat] = ACTIONS(2157),
    [anon_sym_oct] = ACTIONS(2157),
    [anon_sym_ord] = ACTIONS(2157),
    [anon_sym_prototype] = ACTIONS(2157),
    [anon_sym_pop] = ACTIONS(2157),
    [anon_sym_pos] = ACTIONS(2157),
    [anon_sym_quotemeta] = ACTIONS(2157),
    [anon_sym_reset] = ACTIONS(2157),
    [anon_sym_rand] = ACTIONS(2157),
    [anon_sym_rmdir] = ACTIONS(2157),
    [anon_sym_readdir] = ACTIONS(2157),
    [anon_sym_readline] = ACTIONS(2157),
    [anon_sym_readpipe] = ACTIONS(2157),
    [anon_sym_rewinddir] = ACTIONS(2157),
    [anon_sym_readlink] = ACTIONS(2157),
    [anon_sym_ref] = ACTIONS(2157),
    [anon_sym_scalar] = ACTIONS(2157),
    [anon_sym_shift] = ACTIONS(2157),
    [anon_sym_sin] = ACTIONS(2157),
    [anon_sym_sleep] = ACTIONS(2157),
    [anon_sym_sqrt] = ACTIONS(2157),
    [anon_sym_srand] = ACTIONS(2157),
    [anon_sym_stat] = ACTIONS(2157),
    [anon_sym_study] = ACTIONS(2157),
    [anon_sym_tell] = ACTIONS(2157),
    [anon_sym_telldir] = ACTIONS(2157),
    [anon_sym_tied] = ACTIONS(2157),
    [anon_sym_uc] = ACTIONS(2157),
    [anon_sym_ucfirst] = ACTIONS(2157),
    [anon_sym_untie] = ACTIONS(2157),
    [anon_sym_umask] = ACTIONS(2157),
    [anon_sym_values] = ACTIONS(2157),
    [anon_sym_write] = ACTIONS(2157),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2157),
    [anon_sym___END__] = ACTIONS(2157),
    [anon_sym_EOT] = ACTIONS(2157),
    [anon_sym_q] = ACTIONS(2157),
    [anon_sym_qq] = ACTIONS(2157),
    [anon_sym_qw] = ACTIONS(2157),
    [anon_sym_qx] = ACTIONS(2157),
    [anon_sym_qr] = ACTIONS(2157),
    [anon_sym_m] = ACTIONS(2157),
    [anon_sym_s] = ACTIONS(2157),
    [anon_sym_tr] = ACTIONS(2157),
    [anon_sym_y] = ACTIONS(2157),
    [anon_sym_if] = ACTIONS(2157),
    [anon_sym_unless] = ACTIONS(2157),
    [anon_sym_while] = ACTIONS(2157),
    [anon_sym_until] = ACTIONS(2157),
    [aux_sym__bareword_token1] = ACTIONS(2157),
    [sym_number] = ACTIONS(2157),
    [anon_sym_true] = ACTIONS(2157),
    [anon_sym_false] = ACTIONS(2157),
    [sym__single_quote] = ACTIONS(2155),
    [sym__double_quote] = ACTIONS(2155),
    [sym__backtick_quote] = ACTIONS(2155),
    [sym__search_slash_quote] = ACTIONS(2155),
    [sym__open_readline_bracket] = ACTIONS(2155),
    [sym__open_fileglob_bracket] = ACTIONS(2155),
    [sym__PERLY_HEREDOC] = ACTIONS(2155),
    [sym__ctrl_z_hack] = ACTIONS(2155),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2155),
    [sym__filetest] = ACTIONS(2155),
  },
  [931] = {
    [sym_heredoc_content] = STATE(931),
    [ts_builtin_sym_end] = ACTIONS(2159),
    [sym__identifier] = ACTIONS(2161),
    [anon_sym_LBRACE] = ACTIONS(2161),
    [anon_sym_SEMI] = ACTIONS(2161),
    [anon_sym_package] = ACTIONS(2161),
    [anon_sym_class] = ACTIONS(2161),
    [anon_sym_role] = ACTIONS(2161),
    [anon_sym_BUILD] = ACTIONS(2161),
    [anon_sym_ADJUST] = ACTIONS(2161),
    [anon_sym_DOLLAR] = ACTIONS(2161),
    [anon_sym_AT] = ACTIONS(2161),
    [anon_sym_my] = ACTIONS(2161),
    [anon_sym_extended] = ACTIONS(2161),
    [anon_sym_async] = ACTIONS(2161),
    [anon_sym_sub] = ACTIONS(2161),
    [anon_sym_method] = ACTIONS(2161),
    [anon_sym_LPAREN] = ACTIONS(2161),
    [anon_sym_continue] = ACTIONS(2161),
    [anon_sym_state] = ACTIONS(2161),
    [anon_sym_our] = ACTIONS(2161),
    [anon_sym_try] = ACTIONS(2161),
    [anon_sym_defer] = ACTIONS(2161),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2161),
    [anon_sym_LBRACK] = ACTIONS(2161),
    [anon_sym_LT_LT] = ACTIONS(2161),
    [anon_sym_SLASH_SLASH] = ACTIONS(2161),
    [anon_sym_PLUS] = ACTIONS(2161),
    [anon_sym_DASH] = ACTIONS(2161),
    [anon_sym_TILDE] = ACTIONS(2161),
    [anon_sym_BANG] = ACTIONS(2161),
    [anon_sym_PLUS_PLUS] = ACTIONS(2161),
    [anon_sym_DASH_DASH] = ACTIONS(2161),
    [anon_sym_BSLASH] = ACTIONS(2159),
    [anon_sym_do] = ACTIONS(2161),
    [anon_sym_eval] = ACTIONS(2161),
    [anon_sym_await] = ACTIONS(2161),
    [anon_sym_field] = ACTIONS(2161),
    [anon_sym_local] = ACTIONS(2161),
    [anon_sym_dynamically] = ACTIONS(2161),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2161),
    [anon_sym_require] = ACTIONS(2161),
    [anon_sym_map] = ACTIONS(2161),
    [anon_sym_grep] = ACTIONS(2161),
    [anon_sym_sort] = ACTIONS(2161),
    [anon_sym_goto] = ACTIONS(2161),
    [anon_sym_return] = ACTIONS(2161),
    [anon_sym_undef] = ACTIONS(2161),
    [anon_sym_PERCENT2] = ACTIONS(2161),
    [anon_sym_AMP2] = ACTIONS(2161),
    [anon_sym_STAR2] = ACTIONS(2161),
    [anon_sym_use] = ACTIONS(2161),
    [anon_sym_no] = ACTIONS(2161),
    [anon_sym_for] = ACTIONS(2161),
    [anon_sym_foreach] = ACTIONS(2161),
    [anon_sym_last] = ACTIONS(2161),
    [anon_sym_next] = ACTIONS(2161),
    [anon_sym_redo] = ACTIONS(2161),
    [anon_sym_BEGIN] = ACTIONS(2161),
    [anon_sym_INIT] = ACTIONS(2161),
    [anon_sym_CHECK] = ACTIONS(2161),
    [anon_sym_UNITCHECK] = ACTIONS(2161),
    [anon_sym_END] = ACTIONS(2161),
    [anon_sym___FILE__] = ACTIONS(2161),
    [anon_sym___LINE__] = ACTIONS(2161),
    [anon_sym___PACKAGE__] = ACTIONS(2161),
    [anon_sym___SUB__] = ACTIONS(2161),
    [anon_sym_break] = ACTIONS(2161),
    [anon_sym_fork] = ACTIONS(2161),
    [anon_sym_getppid] = ACTIONS(2161),
    [anon_sym_time] = ACTIONS(2161),
    [anon_sym_times] = ACTIONS(2161),
    [anon_sym_wait] = ACTIONS(2161),
    [anon_sym_wantarray] = ACTIONS(2161),
    [anon_sym_abs] = ACTIONS(2161),
    [anon_sym_alarm] = ACTIONS(2161),
    [anon_sym_chop] = ACTIONS(2161),
    [anon_sym_chdir] = ACTIONS(2161),
    [anon_sym_close] = ACTIONS(2161),
    [anon_sym_closedir] = ACTIONS(2161),
    [anon_sym_caller] = ACTIONS(2161),
    [anon_sym_chomp] = ACTIONS(2161),
    [anon_sym_chr] = ACTIONS(2161),
    [anon_sym_cos] = ACTIONS(2161),
    [anon_sym_chroot] = ACTIONS(2161),
    [anon_sym_defined] = ACTIONS(2161),
    [anon_sym_delete] = ACTIONS(2161),
    [anon_sym_dbmclose] = ACTIONS(2161),
    [anon_sym_exists] = ACTIONS(2161),
    [anon_sym_exit] = ACTIONS(2161),
    [anon_sym_eof] = ACTIONS(2161),
    [anon_sym_exp] = ACTIONS(2161),
    [anon_sym_each] = ACTIONS(2161),
    [anon_sym_fc] = ACTIONS(2161),
    [anon_sym_fileno] = ACTIONS(2161),
    [anon_sym_gmtime] = ACTIONS(2161),
    [anon_sym_getc] = ACTIONS(2161),
    [anon_sym_getpgrp] = ACTIONS(2161),
    [anon_sym_getprotobyname] = ACTIONS(2161),
    [anon_sym_getpwname] = ACTIONS(2161),
    [anon_sym_getpwuid] = ACTIONS(2161),
    [anon_sym_getpeername] = ACTIONS(2161),
    [anon_sym_getnetbyname] = ACTIONS(2161),
    [anon_sym_getsockname] = ACTIONS(2161),
    [anon_sym_getgrnam] = ACTIONS(2161),
    [anon_sym_getgrgid] = ACTIONS(2161),
    [anon_sym_hex] = ACTIONS(2161),
    [anon_sym_int] = ACTIONS(2161),
    [anon_sym_keys] = ACTIONS(2161),
    [anon_sym_lc] = ACTIONS(2161),
    [anon_sym_lcfirst] = ACTIONS(2161),
    [anon_sym_length] = ACTIONS(2161),
    [anon_sym_localtime] = ACTIONS(2161),
    [anon_sym_log] = ACTIONS(2161),
    [anon_sym_lock] = ACTIONS(2161),
    [anon_sym_lstat] = ACTIONS(2161),
    [anon_sym_oct] = ACTIONS(2161),
    [anon_sym_ord] = ACTIONS(2161),
    [anon_sym_prototype] = ACTIONS(2161),
    [anon_sym_pop] = ACTIONS(2161),
    [anon_sym_pos] = ACTIONS(2161),
    [anon_sym_quotemeta] = ACTIONS(2161),
    [anon_sym_reset] = ACTIONS(2161),
    [anon_sym_rand] = ACTIONS(2161),
    [anon_sym_rmdir] = ACTIONS(2161),
    [anon_sym_readdir] = ACTIONS(2161),
    [anon_sym_readline] = ACTIONS(2161),
    [anon_sym_readpipe] = ACTIONS(2161),
    [anon_sym_rewinddir] = ACTIONS(2161),
    [anon_sym_readlink] = ACTIONS(2161),
    [anon_sym_ref] = ACTIONS(2161),
    [anon_sym_scalar] = ACTIONS(2161),
    [anon_sym_shift] = ACTIONS(2161),
    [anon_sym_sin] = ACTIONS(2161),
    [anon_sym_sleep] = ACTIONS(2161),
    [anon_sym_sqrt] = ACTIONS(2161),
    [anon_sym_srand] = ACTIONS(2161),
    [anon_sym_stat] = ACTIONS(2161),
    [anon_sym_study] = ACTIONS(2161),
    [anon_sym_tell] = ACTIONS(2161),
    [anon_sym_telldir] = ACTIONS(2161),
    [anon_sym_tied] = ACTIONS(2161),
    [anon_sym_uc] = ACTIONS(2161),
    [anon_sym_ucfirst] = ACTIONS(2161),
    [anon_sym_untie] = ACTIONS(2161),
    [anon_sym_umask] = ACTIONS(2161),
    [anon_sym_values] = ACTIONS(2161),
    [anon_sym_write] = ACTIONS(2161),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2161),
    [anon_sym___END__] = ACTIONS(2161),
    [anon_sym_EOT] = ACTIONS(2161),
    [anon_sym_q] = ACTIONS(2161),
    [anon_sym_qq] = ACTIONS(2161),
    [anon_sym_qw] = ACTIONS(2161),
    [anon_sym_qx] = ACTIONS(2161),
    [anon_sym_qr] = ACTIONS(2161),
    [anon_sym_m] = ACTIONS(2161),
    [anon_sym_s] = ACTIONS(2161),
    [anon_sym_tr] = ACTIONS(2161),
    [anon_sym_y] = ACTIONS(2161),
    [anon_sym_if] = ACTIONS(2161),
    [anon_sym_unless] = ACTIONS(2161),
    [anon_sym_while] = ACTIONS(2161),
    [anon_sym_until] = ACTIONS(2161),
    [aux_sym__bareword_token1] = ACTIONS(2161),
    [sym_number] = ACTIONS(2161),
    [anon_sym_true] = ACTIONS(2161),
    [anon_sym_false] = ACTIONS(2161),
    [sym__single_quote] = ACTIONS(2159),
    [sym__double_quote] = ACTIONS(2159),
    [sym__backtick_quote] = ACTIONS(2159),
    [sym__search_slash_quote] = ACTIONS(2159),
    [sym__open_readline_bracket] = ACTIONS(2159),
    [sym__open_fileglob_bracket] = ACTIONS(2159),
    [sym__PERLY_HEREDOC] = ACTIONS(2159),
    [sym__ctrl_z_hack] = ACTIONS(2159),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2159),
    [sym__filetest] = ACTIONS(2159),
  },
  [932] = {
    [sym_heredoc_content] = STATE(932),
    [ts_builtin_sym_end] = ACTIONS(2163),
    [sym__identifier] = ACTIONS(2165),
    [anon_sym_LBRACE] = ACTIONS(2165),
    [anon_sym_SEMI] = ACTIONS(2165),
    [anon_sym_package] = ACTIONS(2165),
    [anon_sym_class] = ACTIONS(2165),
    [anon_sym_role] = ACTIONS(2165),
    [anon_sym_BUILD] = ACTIONS(2165),
    [anon_sym_ADJUST] = ACTIONS(2165),
    [anon_sym_DOLLAR] = ACTIONS(2165),
    [anon_sym_AT] = ACTIONS(2165),
    [anon_sym_my] = ACTIONS(2165),
    [anon_sym_extended] = ACTIONS(2165),
    [anon_sym_async] = ACTIONS(2165),
    [anon_sym_sub] = ACTIONS(2165),
    [anon_sym_method] = ACTIONS(2165),
    [anon_sym_LPAREN] = ACTIONS(2165),
    [anon_sym_continue] = ACTIONS(2165),
    [anon_sym_state] = ACTIONS(2165),
    [anon_sym_our] = ACTIONS(2165),
    [anon_sym_try] = ACTIONS(2165),
    [anon_sym_defer] = ACTIONS(2165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2165),
    [anon_sym_LBRACK] = ACTIONS(2165),
    [anon_sym_LT_LT] = ACTIONS(2165),
    [anon_sym_SLASH_SLASH] = ACTIONS(2165),
    [anon_sym_PLUS] = ACTIONS(2165),
    [anon_sym_DASH] = ACTIONS(2165),
    [anon_sym_TILDE] = ACTIONS(2165),
    [anon_sym_BANG] = ACTIONS(2165),
    [anon_sym_PLUS_PLUS] = ACTIONS(2165),
    [anon_sym_DASH_DASH] = ACTIONS(2165),
    [anon_sym_BSLASH] = ACTIONS(2163),
    [anon_sym_do] = ACTIONS(2165),
    [anon_sym_eval] = ACTIONS(2165),
    [anon_sym_await] = ACTIONS(2165),
    [anon_sym_field] = ACTIONS(2165),
    [anon_sym_local] = ACTIONS(2165),
    [anon_sym_dynamically] = ACTIONS(2165),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2165),
    [anon_sym_require] = ACTIONS(2165),
    [anon_sym_map] = ACTIONS(2165),
    [anon_sym_grep] = ACTIONS(2165),
    [anon_sym_sort] = ACTIONS(2165),
    [anon_sym_goto] = ACTIONS(2165),
    [anon_sym_return] = ACTIONS(2165),
    [anon_sym_undef] = ACTIONS(2165),
    [anon_sym_PERCENT2] = ACTIONS(2165),
    [anon_sym_AMP2] = ACTIONS(2165),
    [anon_sym_STAR2] = ACTIONS(2165),
    [anon_sym_use] = ACTIONS(2165),
    [anon_sym_no] = ACTIONS(2165),
    [anon_sym_for] = ACTIONS(2165),
    [anon_sym_foreach] = ACTIONS(2165),
    [anon_sym_last] = ACTIONS(2165),
    [anon_sym_next] = ACTIONS(2165),
    [anon_sym_redo] = ACTIONS(2165),
    [anon_sym_BEGIN] = ACTIONS(2165),
    [anon_sym_INIT] = ACTIONS(2165),
    [anon_sym_CHECK] = ACTIONS(2165),
    [anon_sym_UNITCHECK] = ACTIONS(2165),
    [anon_sym_END] = ACTIONS(2165),
    [anon_sym___FILE__] = ACTIONS(2165),
    [anon_sym___LINE__] = ACTIONS(2165),
    [anon_sym___PACKAGE__] = ACTIONS(2165),
    [anon_sym___SUB__] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2165),
    [anon_sym_fork] = ACTIONS(2165),
    [anon_sym_getppid] = ACTIONS(2165),
    [anon_sym_time] = ACTIONS(2165),
    [anon_sym_times] = ACTIONS(2165),
    [anon_sym_wait] = ACTIONS(2165),
    [anon_sym_wantarray] = ACTIONS(2165),
    [anon_sym_abs] = ACTIONS(2165),
    [anon_sym_alarm] = ACTIONS(2165),
    [anon_sym_chop] = ACTIONS(2165),
    [anon_sym_chdir] = ACTIONS(2165),
    [anon_sym_close] = ACTIONS(2165),
    [anon_sym_closedir] = ACTIONS(2165),
    [anon_sym_caller] = ACTIONS(2165),
    [anon_sym_chomp] = ACTIONS(2165),
    [anon_sym_chr] = ACTIONS(2165),
    [anon_sym_cos] = ACTIONS(2165),
    [anon_sym_chroot] = ACTIONS(2165),
    [anon_sym_defined] = ACTIONS(2165),
    [anon_sym_delete] = ACTIONS(2165),
    [anon_sym_dbmclose] = ACTIONS(2165),
    [anon_sym_exists] = ACTIONS(2165),
    [anon_sym_exit] = ACTIONS(2165),
    [anon_sym_eof] = ACTIONS(2165),
    [anon_sym_exp] = ACTIONS(2165),
    [anon_sym_each] = ACTIONS(2165),
    [anon_sym_fc] = ACTIONS(2165),
    [anon_sym_fileno] = ACTIONS(2165),
    [anon_sym_gmtime] = ACTIONS(2165),
    [anon_sym_getc] = ACTIONS(2165),
    [anon_sym_getpgrp] = ACTIONS(2165),
    [anon_sym_getprotobyname] = ACTIONS(2165),
    [anon_sym_getpwname] = ACTIONS(2165),
    [anon_sym_getpwuid] = ACTIONS(2165),
    [anon_sym_getpeername] = ACTIONS(2165),
    [anon_sym_getnetbyname] = ACTIONS(2165),
    [anon_sym_getsockname] = ACTIONS(2165),
    [anon_sym_getgrnam] = ACTIONS(2165),
    [anon_sym_getgrgid] = ACTIONS(2165),
    [anon_sym_hex] = ACTIONS(2165),
    [anon_sym_int] = ACTIONS(2165),
    [anon_sym_keys] = ACTIONS(2165),
    [anon_sym_lc] = ACTIONS(2165),
    [anon_sym_lcfirst] = ACTIONS(2165),
    [anon_sym_length] = ACTIONS(2165),
    [anon_sym_localtime] = ACTIONS(2165),
    [anon_sym_log] = ACTIONS(2165),
    [anon_sym_lock] = ACTIONS(2165),
    [anon_sym_lstat] = ACTIONS(2165),
    [anon_sym_oct] = ACTIONS(2165),
    [anon_sym_ord] = ACTIONS(2165),
    [anon_sym_prototype] = ACTIONS(2165),
    [anon_sym_pop] = ACTIONS(2165),
    [anon_sym_pos] = ACTIONS(2165),
    [anon_sym_quotemeta] = ACTIONS(2165),
    [anon_sym_reset] = ACTIONS(2165),
    [anon_sym_rand] = ACTIONS(2165),
    [anon_sym_rmdir] = ACTIONS(2165),
    [anon_sym_readdir] = ACTIONS(2165),
    [anon_sym_readline] = ACTIONS(2165),
    [anon_sym_readpipe] = ACTIONS(2165),
    [anon_sym_rewinddir] = ACTIONS(2165),
    [anon_sym_readlink] = ACTIONS(2165),
    [anon_sym_ref] = ACTIONS(2165),
    [anon_sym_scalar] = ACTIONS(2165),
    [anon_sym_shift] = ACTIONS(2165),
    [anon_sym_sin] = ACTIONS(2165),
    [anon_sym_sleep] = ACTIONS(2165),
    [anon_sym_sqrt] = ACTIONS(2165),
    [anon_sym_srand] = ACTIONS(2165),
    [anon_sym_stat] = ACTIONS(2165),
    [anon_sym_study] = ACTIONS(2165),
    [anon_sym_tell] = ACTIONS(2165),
    [anon_sym_telldir] = ACTIONS(2165),
    [anon_sym_tied] = ACTIONS(2165),
    [anon_sym_uc] = ACTIONS(2165),
    [anon_sym_ucfirst] = ACTIONS(2165),
    [anon_sym_untie] = ACTIONS(2165),
    [anon_sym_umask] = ACTIONS(2165),
    [anon_sym_values] = ACTIONS(2165),
    [anon_sym_write] = ACTIONS(2165),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2165),
    [anon_sym___END__] = ACTIONS(2165),
    [anon_sym_EOT] = ACTIONS(2165),
    [anon_sym_q] = ACTIONS(2165),
    [anon_sym_qq] = ACTIONS(2165),
    [anon_sym_qw] = ACTIONS(2165),
    [anon_sym_qx] = ACTIONS(2165),
    [anon_sym_qr] = ACTIONS(2165),
    [anon_sym_m] = ACTIONS(2165),
    [anon_sym_s] = ACTIONS(2165),
    [anon_sym_tr] = ACTIONS(2165),
    [anon_sym_y] = ACTIONS(2165),
    [anon_sym_if] = ACTIONS(2165),
    [anon_sym_unless] = ACTIONS(2165),
    [anon_sym_while] = ACTIONS(2165),
    [anon_sym_until] = ACTIONS(2165),
    [aux_sym__bareword_token1] = ACTIONS(2165),
    [sym_number] = ACTIONS(2165),
    [anon_sym_true] = ACTIONS(2165),
    [anon_sym_false] = ACTIONS(2165),
    [sym__single_quote] = ACTIONS(2163),
    [sym__double_quote] = ACTIONS(2163),
    [sym__backtick_quote] = ACTIONS(2163),
    [sym__search_slash_quote] = ACTIONS(2163),
    [sym__open_readline_bracket] = ACTIONS(2163),
    [sym__open_fileglob_bracket] = ACTIONS(2163),
    [sym__PERLY_HEREDOC] = ACTIONS(2163),
    [sym__ctrl_z_hack] = ACTIONS(2163),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2163),
    [sym__filetest] = ACTIONS(2163),
  },
  [933] = {
    [sym_heredoc_content] = STATE(933),
    [ts_builtin_sym_end] = ACTIONS(2167),
    [sym__identifier] = ACTIONS(2169),
    [anon_sym_LBRACE] = ACTIONS(2169),
    [anon_sym_SEMI] = ACTIONS(2169),
    [anon_sym_package] = ACTIONS(2169),
    [anon_sym_class] = ACTIONS(2169),
    [anon_sym_role] = ACTIONS(2169),
    [anon_sym_BUILD] = ACTIONS(2169),
    [anon_sym_ADJUST] = ACTIONS(2169),
    [anon_sym_DOLLAR] = ACTIONS(2169),
    [anon_sym_AT] = ACTIONS(2169),
    [anon_sym_my] = ACTIONS(2169),
    [anon_sym_extended] = ACTIONS(2169),
    [anon_sym_async] = ACTIONS(2169),
    [anon_sym_sub] = ACTIONS(2169),
    [anon_sym_method] = ACTIONS(2169),
    [anon_sym_LPAREN] = ACTIONS(2169),
    [anon_sym_continue] = ACTIONS(2169),
    [anon_sym_state] = ACTIONS(2169),
    [anon_sym_our] = ACTIONS(2169),
    [anon_sym_try] = ACTIONS(2169),
    [anon_sym_defer] = ACTIONS(2169),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2169),
    [anon_sym_LBRACK] = ACTIONS(2169),
    [anon_sym_LT_LT] = ACTIONS(2169),
    [anon_sym_SLASH_SLASH] = ACTIONS(2169),
    [anon_sym_PLUS] = ACTIONS(2169),
    [anon_sym_DASH] = ACTIONS(2169),
    [anon_sym_TILDE] = ACTIONS(2169),
    [anon_sym_BANG] = ACTIONS(2169),
    [anon_sym_PLUS_PLUS] = ACTIONS(2169),
    [anon_sym_DASH_DASH] = ACTIONS(2169),
    [anon_sym_BSLASH] = ACTIONS(2167),
    [anon_sym_do] = ACTIONS(2169),
    [anon_sym_eval] = ACTIONS(2169),
    [anon_sym_await] = ACTIONS(2169),
    [anon_sym_field] = ACTIONS(2169),
    [anon_sym_local] = ACTIONS(2169),
    [anon_sym_dynamically] = ACTIONS(2169),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2169),
    [anon_sym_require] = ACTIONS(2169),
    [anon_sym_map] = ACTIONS(2169),
    [anon_sym_grep] = ACTIONS(2169),
    [anon_sym_sort] = ACTIONS(2169),
    [anon_sym_goto] = ACTIONS(2169),
    [anon_sym_return] = ACTIONS(2169),
    [anon_sym_undef] = ACTIONS(2169),
    [anon_sym_PERCENT2] = ACTIONS(2169),
    [anon_sym_AMP2] = ACTIONS(2169),
    [anon_sym_STAR2] = ACTIONS(2169),
    [anon_sym_use] = ACTIONS(2169),
    [anon_sym_no] = ACTIONS(2169),
    [anon_sym_for] = ACTIONS(2169),
    [anon_sym_foreach] = ACTIONS(2169),
    [anon_sym_last] = ACTIONS(2169),
    [anon_sym_next] = ACTIONS(2169),
    [anon_sym_redo] = ACTIONS(2169),
    [anon_sym_BEGIN] = ACTIONS(2169),
    [anon_sym_INIT] = ACTIONS(2169),
    [anon_sym_CHECK] = ACTIONS(2169),
    [anon_sym_UNITCHECK] = ACTIONS(2169),
    [anon_sym_END] = ACTIONS(2169),
    [anon_sym___FILE__] = ACTIONS(2169),
    [anon_sym___LINE__] = ACTIONS(2169),
    [anon_sym___PACKAGE__] = ACTIONS(2169),
    [anon_sym___SUB__] = ACTIONS(2169),
    [anon_sym_break] = ACTIONS(2169),
    [anon_sym_fork] = ACTIONS(2169),
    [anon_sym_getppid] = ACTIONS(2169),
    [anon_sym_time] = ACTIONS(2169),
    [anon_sym_times] = ACTIONS(2169),
    [anon_sym_wait] = ACTIONS(2169),
    [anon_sym_wantarray] = ACTIONS(2169),
    [anon_sym_abs] = ACTIONS(2169),
    [anon_sym_alarm] = ACTIONS(2169),
    [anon_sym_chop] = ACTIONS(2169),
    [anon_sym_chdir] = ACTIONS(2169),
    [anon_sym_close] = ACTIONS(2169),
    [anon_sym_closedir] = ACTIONS(2169),
    [anon_sym_caller] = ACTIONS(2169),
    [anon_sym_chomp] = ACTIONS(2169),
    [anon_sym_chr] = ACTIONS(2169),
    [anon_sym_cos] = ACTIONS(2169),
    [anon_sym_chroot] = ACTIONS(2169),
    [anon_sym_defined] = ACTIONS(2169),
    [anon_sym_delete] = ACTIONS(2169),
    [anon_sym_dbmclose] = ACTIONS(2169),
    [anon_sym_exists] = ACTIONS(2169),
    [anon_sym_exit] = ACTIONS(2169),
    [anon_sym_eof] = ACTIONS(2169),
    [anon_sym_exp] = ACTIONS(2169),
    [anon_sym_each] = ACTIONS(2169),
    [anon_sym_fc] = ACTIONS(2169),
    [anon_sym_fileno] = ACTIONS(2169),
    [anon_sym_gmtime] = ACTIONS(2169),
    [anon_sym_getc] = ACTIONS(2169),
    [anon_sym_getpgrp] = ACTIONS(2169),
    [anon_sym_getprotobyname] = ACTIONS(2169),
    [anon_sym_getpwname] = ACTIONS(2169),
    [anon_sym_getpwuid] = ACTIONS(2169),
    [anon_sym_getpeername] = ACTIONS(2169),
    [anon_sym_getnetbyname] = ACTIONS(2169),
    [anon_sym_getsockname] = ACTIONS(2169),
    [anon_sym_getgrnam] = ACTIONS(2169),
    [anon_sym_getgrgid] = ACTIONS(2169),
    [anon_sym_hex] = ACTIONS(2169),
    [anon_sym_int] = ACTIONS(2169),
    [anon_sym_keys] = ACTIONS(2169),
    [anon_sym_lc] = ACTIONS(2169),
    [anon_sym_lcfirst] = ACTIONS(2169),
    [anon_sym_length] = ACTIONS(2169),
    [anon_sym_localtime] = ACTIONS(2169),
    [anon_sym_log] = ACTIONS(2169),
    [anon_sym_lock] = ACTIONS(2169),
    [anon_sym_lstat] = ACTIONS(2169),
    [anon_sym_oct] = ACTIONS(2169),
    [anon_sym_ord] = ACTIONS(2169),
    [anon_sym_prototype] = ACTIONS(2169),
    [anon_sym_pop] = ACTIONS(2169),
    [anon_sym_pos] = ACTIONS(2169),
    [anon_sym_quotemeta] = ACTIONS(2169),
    [anon_sym_reset] = ACTIONS(2169),
    [anon_sym_rand] = ACTIONS(2169),
    [anon_sym_rmdir] = ACTIONS(2169),
    [anon_sym_readdir] = ACTIONS(2169),
    [anon_sym_readline] = ACTIONS(2169),
    [anon_sym_readpipe] = ACTIONS(2169),
    [anon_sym_rewinddir] = ACTIONS(2169),
    [anon_sym_readlink] = ACTIONS(2169),
    [anon_sym_ref] = ACTIONS(2169),
    [anon_sym_scalar] = ACTIONS(2169),
    [anon_sym_shift] = ACTIONS(2169),
    [anon_sym_sin] = ACTIONS(2169),
    [anon_sym_sleep] = ACTIONS(2169),
    [anon_sym_sqrt] = ACTIONS(2169),
    [anon_sym_srand] = ACTIONS(2169),
    [anon_sym_stat] = ACTIONS(2169),
    [anon_sym_study] = ACTIONS(2169),
    [anon_sym_tell] = ACTIONS(2169),
    [anon_sym_telldir] = ACTIONS(2169),
    [anon_sym_tied] = ACTIONS(2169),
    [anon_sym_uc] = ACTIONS(2169),
    [anon_sym_ucfirst] = ACTIONS(2169),
    [anon_sym_untie] = ACTIONS(2169),
    [anon_sym_umask] = ACTIONS(2169),
    [anon_sym_values] = ACTIONS(2169),
    [anon_sym_write] = ACTIONS(2169),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2169),
    [anon_sym___END__] = ACTIONS(2169),
    [anon_sym_EOT] = ACTIONS(2169),
    [anon_sym_q] = ACTIONS(2169),
    [anon_sym_qq] = ACTIONS(2169),
    [anon_sym_qw] = ACTIONS(2169),
    [anon_sym_qx] = ACTIONS(2169),
    [anon_sym_qr] = ACTIONS(2169),
    [anon_sym_m] = ACTIONS(2169),
    [anon_sym_s] = ACTIONS(2169),
    [anon_sym_tr] = ACTIONS(2169),
    [anon_sym_y] = ACTIONS(2169),
    [anon_sym_if] = ACTIONS(2169),
    [anon_sym_unless] = ACTIONS(2169),
    [anon_sym_while] = ACTIONS(2169),
    [anon_sym_until] = ACTIONS(2169),
    [aux_sym__bareword_token1] = ACTIONS(2169),
    [sym_number] = ACTIONS(2169),
    [anon_sym_true] = ACTIONS(2169),
    [anon_sym_false] = ACTIONS(2169),
    [sym__single_quote] = ACTIONS(2167),
    [sym__double_quote] = ACTIONS(2167),
    [sym__backtick_quote] = ACTIONS(2167),
    [sym__search_slash_quote] = ACTIONS(2167),
    [sym__open_readline_bracket] = ACTIONS(2167),
    [sym__open_fileglob_bracket] = ACTIONS(2167),
    [sym__PERLY_HEREDOC] = ACTIONS(2167),
    [sym__ctrl_z_hack] = ACTIONS(2167),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2167),
    [sym__filetest] = ACTIONS(2167),
  },
  [934] = {
    [sym_heredoc_content] = STATE(934),
    [ts_builtin_sym_end] = ACTIONS(1826),
    [sym__identifier] = ACTIONS(1824),
    [anon_sym_LBRACE] = ACTIONS(1824),
    [anon_sym_SEMI] = ACTIONS(1824),
    [anon_sym_package] = ACTIONS(1824),
    [anon_sym_class] = ACTIONS(1824),
    [anon_sym_role] = ACTIONS(1824),
    [anon_sym_BUILD] = ACTIONS(1824),
    [anon_sym_ADJUST] = ACTIONS(1824),
    [anon_sym_DOLLAR] = ACTIONS(1824),
    [anon_sym_AT] = ACTIONS(1824),
    [anon_sym_my] = ACTIONS(1824),
    [anon_sym_extended] = ACTIONS(1824),
    [anon_sym_async] = ACTIONS(1824),
    [anon_sym_sub] = ACTIONS(1824),
    [anon_sym_method] = ACTIONS(1824),
    [anon_sym_LPAREN] = ACTIONS(1824),
    [anon_sym_continue] = ACTIONS(1824),
    [anon_sym_state] = ACTIONS(1824),
    [anon_sym_our] = ACTIONS(1824),
    [anon_sym_try] = ACTIONS(1824),
    [anon_sym_defer] = ACTIONS(1824),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1824),
    [anon_sym_LBRACK] = ACTIONS(1824),
    [anon_sym_LT_LT] = ACTIONS(1824),
    [anon_sym_SLASH_SLASH] = ACTIONS(1824),
    [anon_sym_PLUS] = ACTIONS(1824),
    [anon_sym_DASH] = ACTIONS(1824),
    [anon_sym_TILDE] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1824),
    [anon_sym_PLUS_PLUS] = ACTIONS(1824),
    [anon_sym_DASH_DASH] = ACTIONS(1824),
    [anon_sym_BSLASH] = ACTIONS(1826),
    [anon_sym_do] = ACTIONS(1824),
    [anon_sym_eval] = ACTIONS(1824),
    [anon_sym_await] = ACTIONS(1824),
    [anon_sym_field] = ACTIONS(1824),
    [anon_sym_local] = ACTIONS(1824),
    [anon_sym_dynamically] = ACTIONS(1824),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1824),
    [anon_sym_require] = ACTIONS(1824),
    [anon_sym_map] = ACTIONS(1824),
    [anon_sym_grep] = ACTIONS(1824),
    [anon_sym_sort] = ACTIONS(1824),
    [anon_sym_goto] = ACTIONS(1824),
    [anon_sym_return] = ACTIONS(1824),
    [anon_sym_undef] = ACTIONS(1824),
    [anon_sym_PERCENT2] = ACTIONS(1824),
    [anon_sym_AMP2] = ACTIONS(1824),
    [anon_sym_STAR2] = ACTIONS(1824),
    [anon_sym_use] = ACTIONS(1824),
    [anon_sym_no] = ACTIONS(1824),
    [anon_sym_for] = ACTIONS(1824),
    [anon_sym_foreach] = ACTIONS(1824),
    [anon_sym_last] = ACTIONS(1824),
    [anon_sym_next] = ACTIONS(1824),
    [anon_sym_redo] = ACTIONS(1824),
    [anon_sym_BEGIN] = ACTIONS(1824),
    [anon_sym_INIT] = ACTIONS(1824),
    [anon_sym_CHECK] = ACTIONS(1824),
    [anon_sym_UNITCHECK] = ACTIONS(1824),
    [anon_sym_END] = ACTIONS(1824),
    [anon_sym___FILE__] = ACTIONS(1824),
    [anon_sym___LINE__] = ACTIONS(1824),
    [anon_sym___PACKAGE__] = ACTIONS(1824),
    [anon_sym___SUB__] = ACTIONS(1824),
    [anon_sym_break] = ACTIONS(1824),
    [anon_sym_fork] = ACTIONS(1824),
    [anon_sym_getppid] = ACTIONS(1824),
    [anon_sym_time] = ACTIONS(1824),
    [anon_sym_times] = ACTIONS(1824),
    [anon_sym_wait] = ACTIONS(1824),
    [anon_sym_wantarray] = ACTIONS(1824),
    [anon_sym_abs] = ACTIONS(1824),
    [anon_sym_alarm] = ACTIONS(1824),
    [anon_sym_chop] = ACTIONS(1824),
    [anon_sym_chdir] = ACTIONS(1824),
    [anon_sym_close] = ACTIONS(1824),
    [anon_sym_closedir] = ACTIONS(1824),
    [anon_sym_caller] = ACTIONS(1824),
    [anon_sym_chomp] = ACTIONS(1824),
    [anon_sym_chr] = ACTIONS(1824),
    [anon_sym_cos] = ACTIONS(1824),
    [anon_sym_chroot] = ACTIONS(1824),
    [anon_sym_defined] = ACTIONS(1824),
    [anon_sym_delete] = ACTIONS(1824),
    [anon_sym_dbmclose] = ACTIONS(1824),
    [anon_sym_exists] = ACTIONS(1824),
    [anon_sym_exit] = ACTIONS(1824),
    [anon_sym_eof] = ACTIONS(1824),
    [anon_sym_exp] = ACTIONS(1824),
    [anon_sym_each] = ACTIONS(1824),
    [anon_sym_fc] = ACTIONS(1824),
    [anon_sym_fileno] = ACTIONS(1824),
    [anon_sym_gmtime] = ACTIONS(1824),
    [anon_sym_getc] = ACTIONS(1824),
    [anon_sym_getpgrp] = ACTIONS(1824),
    [anon_sym_getprotobyname] = ACTIONS(1824),
    [anon_sym_getpwname] = ACTIONS(1824),
    [anon_sym_getpwuid] = ACTIONS(1824),
    [anon_sym_getpeername] = ACTIONS(1824),
    [anon_sym_getnetbyname] = ACTIONS(1824),
    [anon_sym_getsockname] = ACTIONS(1824),
    [anon_sym_getgrnam] = ACTIONS(1824),
    [anon_sym_getgrgid] = ACTIONS(1824),
    [anon_sym_hex] = ACTIONS(1824),
    [anon_sym_int] = ACTIONS(1824),
    [anon_sym_keys] = ACTIONS(1824),
    [anon_sym_lc] = ACTIONS(1824),
    [anon_sym_lcfirst] = ACTIONS(1824),
    [anon_sym_length] = ACTIONS(1824),
    [anon_sym_localtime] = ACTIONS(1824),
    [anon_sym_log] = ACTIONS(1824),
    [anon_sym_lock] = ACTIONS(1824),
    [anon_sym_lstat] = ACTIONS(1824),
    [anon_sym_oct] = ACTIONS(1824),
    [anon_sym_ord] = ACTIONS(1824),
    [anon_sym_prototype] = ACTIONS(1824),
    [anon_sym_pop] = ACTIONS(1824),
    [anon_sym_pos] = ACTIONS(1824),
    [anon_sym_quotemeta] = ACTIONS(1824),
    [anon_sym_reset] = ACTIONS(1824),
    [anon_sym_rand] = ACTIONS(1824),
    [anon_sym_rmdir] = ACTIONS(1824),
    [anon_sym_readdir] = ACTIONS(1824),
    [anon_sym_readline] = ACTIONS(1824),
    [anon_sym_readpipe] = ACTIONS(1824),
    [anon_sym_rewinddir] = ACTIONS(1824),
    [anon_sym_readlink] = ACTIONS(1824),
    [anon_sym_ref] = ACTIONS(1824),
    [anon_sym_scalar] = ACTIONS(1824),
    [anon_sym_shift] = ACTIONS(1824),
    [anon_sym_sin] = ACTIONS(1824),
    [anon_sym_sleep] = ACTIONS(1824),
    [anon_sym_sqrt] = ACTIONS(1824),
    [anon_sym_srand] = ACTIONS(1824),
    [anon_sym_stat] = ACTIONS(1824),
    [anon_sym_study] = ACTIONS(1824),
    [anon_sym_tell] = ACTIONS(1824),
    [anon_sym_telldir] = ACTIONS(1824),
    [anon_sym_tied] = ACTIONS(1824),
    [anon_sym_uc] = ACTIONS(1824),
    [anon_sym_ucfirst] = ACTIONS(1824),
    [anon_sym_untie] = ACTIONS(1824),
    [anon_sym_umask] = ACTIONS(1824),
    [anon_sym_values] = ACTIONS(1824),
    [anon_sym_write] = ACTIONS(1824),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1824),
    [anon_sym___END__] = ACTIONS(1824),
    [anon_sym_EOT] = ACTIONS(1824),
    [anon_sym_q] = ACTIONS(1824),
    [anon_sym_qq] = ACTIONS(1824),
    [anon_sym_qw] = ACTIONS(1824),
    [anon_sym_qx] = ACTIONS(1824),
    [anon_sym_qr] = ACTIONS(1824),
    [anon_sym_m] = ACTIONS(1824),
    [anon_sym_s] = ACTIONS(1824),
    [anon_sym_tr] = ACTIONS(1824),
    [anon_sym_y] = ACTIONS(1824),
    [anon_sym_if] = ACTIONS(1824),
    [anon_sym_unless] = ACTIONS(1824),
    [anon_sym_while] = ACTIONS(1824),
    [anon_sym_until] = ACTIONS(1824),
    [aux_sym__bareword_token1] = ACTIONS(1824),
    [sym_number] = ACTIONS(1824),
    [anon_sym_true] = ACTIONS(1824),
    [anon_sym_false] = ACTIONS(1824),
    [sym__single_quote] = ACTIONS(1826),
    [sym__double_quote] = ACTIONS(1826),
    [sym__backtick_quote] = ACTIONS(1826),
    [sym__search_slash_quote] = ACTIONS(1826),
    [sym__open_readline_bracket] = ACTIONS(1826),
    [sym__open_fileglob_bracket] = ACTIONS(1826),
    [sym__PERLY_HEREDOC] = ACTIONS(1826),
    [sym__ctrl_z_hack] = ACTIONS(1826),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1826),
    [sym__filetest] = ACTIONS(1826),
  },
  [935] = {
    [sym_heredoc_content] = STATE(935),
    [ts_builtin_sym_end] = ACTIONS(2171),
    [sym__identifier] = ACTIONS(2173),
    [anon_sym_LBRACE] = ACTIONS(2173),
    [anon_sym_SEMI] = ACTIONS(2173),
    [anon_sym_package] = ACTIONS(2173),
    [anon_sym_class] = ACTIONS(2173),
    [anon_sym_role] = ACTIONS(2173),
    [anon_sym_BUILD] = ACTIONS(2173),
    [anon_sym_ADJUST] = ACTIONS(2173),
    [anon_sym_DOLLAR] = ACTIONS(2173),
    [anon_sym_AT] = ACTIONS(2173),
    [anon_sym_my] = ACTIONS(2173),
    [anon_sym_extended] = ACTIONS(2173),
    [anon_sym_async] = ACTIONS(2173),
    [anon_sym_sub] = ACTIONS(2173),
    [anon_sym_method] = ACTIONS(2173),
    [anon_sym_LPAREN] = ACTIONS(2173),
    [anon_sym_continue] = ACTIONS(2173),
    [anon_sym_state] = ACTIONS(2173),
    [anon_sym_our] = ACTIONS(2173),
    [anon_sym_try] = ACTIONS(2173),
    [anon_sym_defer] = ACTIONS(2173),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2173),
    [anon_sym_LBRACK] = ACTIONS(2173),
    [anon_sym_LT_LT] = ACTIONS(2173),
    [anon_sym_SLASH_SLASH] = ACTIONS(2173),
    [anon_sym_PLUS] = ACTIONS(2173),
    [anon_sym_DASH] = ACTIONS(2173),
    [anon_sym_TILDE] = ACTIONS(2173),
    [anon_sym_BANG] = ACTIONS(2173),
    [anon_sym_PLUS_PLUS] = ACTIONS(2173),
    [anon_sym_DASH_DASH] = ACTIONS(2173),
    [anon_sym_BSLASH] = ACTIONS(2171),
    [anon_sym_do] = ACTIONS(2173),
    [anon_sym_eval] = ACTIONS(2173),
    [anon_sym_await] = ACTIONS(2173),
    [anon_sym_field] = ACTIONS(2173),
    [anon_sym_local] = ACTIONS(2173),
    [anon_sym_dynamically] = ACTIONS(2173),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2173),
    [anon_sym_require] = ACTIONS(2173),
    [anon_sym_map] = ACTIONS(2173),
    [anon_sym_grep] = ACTIONS(2173),
    [anon_sym_sort] = ACTIONS(2173),
    [anon_sym_goto] = ACTIONS(2173),
    [anon_sym_return] = ACTIONS(2173),
    [anon_sym_undef] = ACTIONS(2173),
    [anon_sym_PERCENT2] = ACTIONS(2173),
    [anon_sym_AMP2] = ACTIONS(2173),
    [anon_sym_STAR2] = ACTIONS(2173),
    [anon_sym_use] = ACTIONS(2173),
    [anon_sym_no] = ACTIONS(2173),
    [anon_sym_for] = ACTIONS(2173),
    [anon_sym_foreach] = ACTIONS(2173),
    [anon_sym_last] = ACTIONS(2173),
    [anon_sym_next] = ACTIONS(2173),
    [anon_sym_redo] = ACTIONS(2173),
    [anon_sym_BEGIN] = ACTIONS(2173),
    [anon_sym_INIT] = ACTIONS(2173),
    [anon_sym_CHECK] = ACTIONS(2173),
    [anon_sym_UNITCHECK] = ACTIONS(2173),
    [anon_sym_END] = ACTIONS(2173),
    [anon_sym___FILE__] = ACTIONS(2173),
    [anon_sym___LINE__] = ACTIONS(2173),
    [anon_sym___PACKAGE__] = ACTIONS(2173),
    [anon_sym___SUB__] = ACTIONS(2173),
    [anon_sym_break] = ACTIONS(2173),
    [anon_sym_fork] = ACTIONS(2173),
    [anon_sym_getppid] = ACTIONS(2173),
    [anon_sym_time] = ACTIONS(2173),
    [anon_sym_times] = ACTIONS(2173),
    [anon_sym_wait] = ACTIONS(2173),
    [anon_sym_wantarray] = ACTIONS(2173),
    [anon_sym_abs] = ACTIONS(2173),
    [anon_sym_alarm] = ACTIONS(2173),
    [anon_sym_chop] = ACTIONS(2173),
    [anon_sym_chdir] = ACTIONS(2173),
    [anon_sym_close] = ACTIONS(2173),
    [anon_sym_closedir] = ACTIONS(2173),
    [anon_sym_caller] = ACTIONS(2173),
    [anon_sym_chomp] = ACTIONS(2173),
    [anon_sym_chr] = ACTIONS(2173),
    [anon_sym_cos] = ACTIONS(2173),
    [anon_sym_chroot] = ACTIONS(2173),
    [anon_sym_defined] = ACTIONS(2173),
    [anon_sym_delete] = ACTIONS(2173),
    [anon_sym_dbmclose] = ACTIONS(2173),
    [anon_sym_exists] = ACTIONS(2173),
    [anon_sym_exit] = ACTIONS(2173),
    [anon_sym_eof] = ACTIONS(2173),
    [anon_sym_exp] = ACTIONS(2173),
    [anon_sym_each] = ACTIONS(2173),
    [anon_sym_fc] = ACTIONS(2173),
    [anon_sym_fileno] = ACTIONS(2173),
    [anon_sym_gmtime] = ACTIONS(2173),
    [anon_sym_getc] = ACTIONS(2173),
    [anon_sym_getpgrp] = ACTIONS(2173),
    [anon_sym_getprotobyname] = ACTIONS(2173),
    [anon_sym_getpwname] = ACTIONS(2173),
    [anon_sym_getpwuid] = ACTIONS(2173),
    [anon_sym_getpeername] = ACTIONS(2173),
    [anon_sym_getnetbyname] = ACTIONS(2173),
    [anon_sym_getsockname] = ACTIONS(2173),
    [anon_sym_getgrnam] = ACTIONS(2173),
    [anon_sym_getgrgid] = ACTIONS(2173),
    [anon_sym_hex] = ACTIONS(2173),
    [anon_sym_int] = ACTIONS(2173),
    [anon_sym_keys] = ACTIONS(2173),
    [anon_sym_lc] = ACTIONS(2173),
    [anon_sym_lcfirst] = ACTIONS(2173),
    [anon_sym_length] = ACTIONS(2173),
    [anon_sym_localtime] = ACTIONS(2173),
    [anon_sym_log] = ACTIONS(2173),
    [anon_sym_lock] = ACTIONS(2173),
    [anon_sym_lstat] = ACTIONS(2173),
    [anon_sym_oct] = ACTIONS(2173),
    [anon_sym_ord] = ACTIONS(2173),
    [anon_sym_prototype] = ACTIONS(2173),
    [anon_sym_pop] = ACTIONS(2173),
    [anon_sym_pos] = ACTIONS(2173),
    [anon_sym_quotemeta] = ACTIONS(2173),
    [anon_sym_reset] = ACTIONS(2173),
    [anon_sym_rand] = ACTIONS(2173),
    [anon_sym_rmdir] = ACTIONS(2173),
    [anon_sym_readdir] = ACTIONS(2173),
    [anon_sym_readline] = ACTIONS(2173),
    [anon_sym_readpipe] = ACTIONS(2173),
    [anon_sym_rewinddir] = ACTIONS(2173),
    [anon_sym_readlink] = ACTIONS(2173),
    [anon_sym_ref] = ACTIONS(2173),
    [anon_sym_scalar] = ACTIONS(2173),
    [anon_sym_shift] = ACTIONS(2173),
    [anon_sym_sin] = ACTIONS(2173),
    [anon_sym_sleep] = ACTIONS(2173),
    [anon_sym_sqrt] = ACTIONS(2173),
    [anon_sym_srand] = ACTIONS(2173),
    [anon_sym_stat] = ACTIONS(2173),
    [anon_sym_study] = ACTIONS(2173),
    [anon_sym_tell] = ACTIONS(2173),
    [anon_sym_telldir] = ACTIONS(2173),
    [anon_sym_tied] = ACTIONS(2173),
    [anon_sym_uc] = ACTIONS(2173),
    [anon_sym_ucfirst] = ACTIONS(2173),
    [anon_sym_untie] = ACTIONS(2173),
    [anon_sym_umask] = ACTIONS(2173),
    [anon_sym_values] = ACTIONS(2173),
    [anon_sym_write] = ACTIONS(2173),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2173),
    [anon_sym___END__] = ACTIONS(2173),
    [anon_sym_EOT] = ACTIONS(2173),
    [anon_sym_q] = ACTIONS(2173),
    [anon_sym_qq] = ACTIONS(2173),
    [anon_sym_qw] = ACTIONS(2173),
    [anon_sym_qx] = ACTIONS(2173),
    [anon_sym_qr] = ACTIONS(2173),
    [anon_sym_m] = ACTIONS(2173),
    [anon_sym_s] = ACTIONS(2173),
    [anon_sym_tr] = ACTIONS(2173),
    [anon_sym_y] = ACTIONS(2173),
    [anon_sym_if] = ACTIONS(2173),
    [anon_sym_unless] = ACTIONS(2173),
    [anon_sym_while] = ACTIONS(2173),
    [anon_sym_until] = ACTIONS(2173),
    [aux_sym__bareword_token1] = ACTIONS(2173),
    [sym_number] = ACTIONS(2173),
    [anon_sym_true] = ACTIONS(2173),
    [anon_sym_false] = ACTIONS(2173),
    [sym__single_quote] = ACTIONS(2171),
    [sym__double_quote] = ACTIONS(2171),
    [sym__backtick_quote] = ACTIONS(2171),
    [sym__search_slash_quote] = ACTIONS(2171),
    [sym__open_readline_bracket] = ACTIONS(2171),
    [sym__open_fileglob_bracket] = ACTIONS(2171),
    [sym__PERLY_HEREDOC] = ACTIONS(2171),
    [sym__ctrl_z_hack] = ACTIONS(2171),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2171),
    [sym__filetest] = ACTIONS(2171),
  },
  [936] = {
    [sym_heredoc_content] = STATE(936),
    [ts_builtin_sym_end] = ACTIONS(2175),
    [sym__identifier] = ACTIONS(2177),
    [anon_sym_LBRACE] = ACTIONS(2177),
    [anon_sym_SEMI] = ACTIONS(2177),
    [anon_sym_package] = ACTIONS(2177),
    [anon_sym_class] = ACTIONS(2177),
    [anon_sym_role] = ACTIONS(2177),
    [anon_sym_BUILD] = ACTIONS(2177),
    [anon_sym_ADJUST] = ACTIONS(2177),
    [anon_sym_DOLLAR] = ACTIONS(2177),
    [anon_sym_AT] = ACTIONS(2177),
    [anon_sym_my] = ACTIONS(2177),
    [anon_sym_extended] = ACTIONS(2177),
    [anon_sym_async] = ACTIONS(2177),
    [anon_sym_sub] = ACTIONS(2177),
    [anon_sym_method] = ACTIONS(2177),
    [anon_sym_LPAREN] = ACTIONS(2177),
    [anon_sym_continue] = ACTIONS(2177),
    [anon_sym_state] = ACTIONS(2177),
    [anon_sym_our] = ACTIONS(2177),
    [anon_sym_try] = ACTIONS(2177),
    [anon_sym_defer] = ACTIONS(2177),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2177),
    [anon_sym_LBRACK] = ACTIONS(2177),
    [anon_sym_LT_LT] = ACTIONS(2177),
    [anon_sym_SLASH_SLASH] = ACTIONS(2177),
    [anon_sym_PLUS] = ACTIONS(2177),
    [anon_sym_DASH] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_PLUS_PLUS] = ACTIONS(2177),
    [anon_sym_DASH_DASH] = ACTIONS(2177),
    [anon_sym_BSLASH] = ACTIONS(2175),
    [anon_sym_do] = ACTIONS(2177),
    [anon_sym_eval] = ACTIONS(2177),
    [anon_sym_await] = ACTIONS(2177),
    [anon_sym_field] = ACTIONS(2177),
    [anon_sym_local] = ACTIONS(2177),
    [anon_sym_dynamically] = ACTIONS(2177),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2177),
    [anon_sym_require] = ACTIONS(2177),
    [anon_sym_map] = ACTIONS(2177),
    [anon_sym_grep] = ACTIONS(2177),
    [anon_sym_sort] = ACTIONS(2177),
    [anon_sym_goto] = ACTIONS(2177),
    [anon_sym_return] = ACTIONS(2177),
    [anon_sym_undef] = ACTIONS(2177),
    [anon_sym_PERCENT2] = ACTIONS(2177),
    [anon_sym_AMP2] = ACTIONS(2177),
    [anon_sym_STAR2] = ACTIONS(2177),
    [anon_sym_use] = ACTIONS(2177),
    [anon_sym_no] = ACTIONS(2177),
    [anon_sym_for] = ACTIONS(2177),
    [anon_sym_foreach] = ACTIONS(2177),
    [anon_sym_last] = ACTIONS(2177),
    [anon_sym_next] = ACTIONS(2177),
    [anon_sym_redo] = ACTIONS(2177),
    [anon_sym_BEGIN] = ACTIONS(2177),
    [anon_sym_INIT] = ACTIONS(2177),
    [anon_sym_CHECK] = ACTIONS(2177),
    [anon_sym_UNITCHECK] = ACTIONS(2177),
    [anon_sym_END] = ACTIONS(2177),
    [anon_sym___FILE__] = ACTIONS(2177),
    [anon_sym___LINE__] = ACTIONS(2177),
    [anon_sym___PACKAGE__] = ACTIONS(2177),
    [anon_sym___SUB__] = ACTIONS(2177),
    [anon_sym_break] = ACTIONS(2177),
    [anon_sym_fork] = ACTIONS(2177),
    [anon_sym_getppid] = ACTIONS(2177),
    [anon_sym_time] = ACTIONS(2177),
    [anon_sym_times] = ACTIONS(2177),
    [anon_sym_wait] = ACTIONS(2177),
    [anon_sym_wantarray] = ACTIONS(2177),
    [anon_sym_abs] = ACTIONS(2177),
    [anon_sym_alarm] = ACTIONS(2177),
    [anon_sym_chop] = ACTIONS(2177),
    [anon_sym_chdir] = ACTIONS(2177),
    [anon_sym_close] = ACTIONS(2177),
    [anon_sym_closedir] = ACTIONS(2177),
    [anon_sym_caller] = ACTIONS(2177),
    [anon_sym_chomp] = ACTIONS(2177),
    [anon_sym_chr] = ACTIONS(2177),
    [anon_sym_cos] = ACTIONS(2177),
    [anon_sym_chroot] = ACTIONS(2177),
    [anon_sym_defined] = ACTIONS(2177),
    [anon_sym_delete] = ACTIONS(2177),
    [anon_sym_dbmclose] = ACTIONS(2177),
    [anon_sym_exists] = ACTIONS(2177),
    [anon_sym_exit] = ACTIONS(2177),
    [anon_sym_eof] = ACTIONS(2177),
    [anon_sym_exp] = ACTIONS(2177),
    [anon_sym_each] = ACTIONS(2177),
    [anon_sym_fc] = ACTIONS(2177),
    [anon_sym_fileno] = ACTIONS(2177),
    [anon_sym_gmtime] = ACTIONS(2177),
    [anon_sym_getc] = ACTIONS(2177),
    [anon_sym_getpgrp] = ACTIONS(2177),
    [anon_sym_getprotobyname] = ACTIONS(2177),
    [anon_sym_getpwname] = ACTIONS(2177),
    [anon_sym_getpwuid] = ACTIONS(2177),
    [anon_sym_getpeername] = ACTIONS(2177),
    [anon_sym_getnetbyname] = ACTIONS(2177),
    [anon_sym_getsockname] = ACTIONS(2177),
    [anon_sym_getgrnam] = ACTIONS(2177),
    [anon_sym_getgrgid] = ACTIONS(2177),
    [anon_sym_hex] = ACTIONS(2177),
    [anon_sym_int] = ACTIONS(2177),
    [anon_sym_keys] = ACTIONS(2177),
    [anon_sym_lc] = ACTIONS(2177),
    [anon_sym_lcfirst] = ACTIONS(2177),
    [anon_sym_length] = ACTIONS(2177),
    [anon_sym_localtime] = ACTIONS(2177),
    [anon_sym_log] = ACTIONS(2177),
    [anon_sym_lock] = ACTIONS(2177),
    [anon_sym_lstat] = ACTIONS(2177),
    [anon_sym_oct] = ACTIONS(2177),
    [anon_sym_ord] = ACTIONS(2177),
    [anon_sym_prototype] = ACTIONS(2177),
    [anon_sym_pop] = ACTIONS(2177),
    [anon_sym_pos] = ACTIONS(2177),
    [anon_sym_quotemeta] = ACTIONS(2177),
    [anon_sym_reset] = ACTIONS(2177),
    [anon_sym_rand] = ACTIONS(2177),
    [anon_sym_rmdir] = ACTIONS(2177),
    [anon_sym_readdir] = ACTIONS(2177),
    [anon_sym_readline] = ACTIONS(2177),
    [anon_sym_readpipe] = ACTIONS(2177),
    [anon_sym_rewinddir] = ACTIONS(2177),
    [anon_sym_readlink] = ACTIONS(2177),
    [anon_sym_ref] = ACTIONS(2177),
    [anon_sym_scalar] = ACTIONS(2177),
    [anon_sym_shift] = ACTIONS(2177),
    [anon_sym_sin] = ACTIONS(2177),
    [anon_sym_sleep] = ACTIONS(2177),
    [anon_sym_sqrt] = ACTIONS(2177),
    [anon_sym_srand] = ACTIONS(2177),
    [anon_sym_stat] = ACTIONS(2177),
    [anon_sym_study] = ACTIONS(2177),
    [anon_sym_tell] = ACTIONS(2177),
    [anon_sym_telldir] = ACTIONS(2177),
    [anon_sym_tied] = ACTIONS(2177),
    [anon_sym_uc] = ACTIONS(2177),
    [anon_sym_ucfirst] = ACTIONS(2177),
    [anon_sym_untie] = ACTIONS(2177),
    [anon_sym_umask] = ACTIONS(2177),
    [anon_sym_values] = ACTIONS(2177),
    [anon_sym_write] = ACTIONS(2177),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2177),
    [anon_sym___END__] = ACTIONS(2177),
    [anon_sym_EOT] = ACTIONS(2177),
    [anon_sym_q] = ACTIONS(2177),
    [anon_sym_qq] = ACTIONS(2177),
    [anon_sym_qw] = ACTIONS(2177),
    [anon_sym_qx] = ACTIONS(2177),
    [anon_sym_qr] = ACTIONS(2177),
    [anon_sym_m] = ACTIONS(2177),
    [anon_sym_s] = ACTIONS(2177),
    [anon_sym_tr] = ACTIONS(2177),
    [anon_sym_y] = ACTIONS(2177),
    [anon_sym_if] = ACTIONS(2177),
    [anon_sym_unless] = ACTIONS(2177),
    [anon_sym_while] = ACTIONS(2177),
    [anon_sym_until] = ACTIONS(2177),
    [aux_sym__bareword_token1] = ACTIONS(2177),
    [sym_number] = ACTIONS(2177),
    [anon_sym_true] = ACTIONS(2177),
    [anon_sym_false] = ACTIONS(2177),
    [sym__single_quote] = ACTIONS(2175),
    [sym__double_quote] = ACTIONS(2175),
    [sym__backtick_quote] = ACTIONS(2175),
    [sym__search_slash_quote] = ACTIONS(2175),
    [sym__open_readline_bracket] = ACTIONS(2175),
    [sym__open_fileglob_bracket] = ACTIONS(2175),
    [sym__PERLY_HEREDOC] = ACTIONS(2175),
    [sym__ctrl_z_hack] = ACTIONS(2175),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2175),
    [sym__filetest] = ACTIONS(2175),
  },
  [937] = {
    [sym_heredoc_content] = STATE(937),
    [ts_builtin_sym_end] = ACTIONS(2179),
    [sym__identifier] = ACTIONS(2181),
    [anon_sym_LBRACE] = ACTIONS(2181),
    [anon_sym_SEMI] = ACTIONS(2181),
    [anon_sym_package] = ACTIONS(2181),
    [anon_sym_class] = ACTIONS(2181),
    [anon_sym_role] = ACTIONS(2181),
    [anon_sym_BUILD] = ACTIONS(2181),
    [anon_sym_ADJUST] = ACTIONS(2181),
    [anon_sym_DOLLAR] = ACTIONS(2181),
    [anon_sym_AT] = ACTIONS(2181),
    [anon_sym_my] = ACTIONS(2181),
    [anon_sym_extended] = ACTIONS(2181),
    [anon_sym_async] = ACTIONS(2181),
    [anon_sym_sub] = ACTIONS(2181),
    [anon_sym_method] = ACTIONS(2181),
    [anon_sym_LPAREN] = ACTIONS(2181),
    [anon_sym_continue] = ACTIONS(2181),
    [anon_sym_state] = ACTIONS(2181),
    [anon_sym_our] = ACTIONS(2181),
    [anon_sym_try] = ACTIONS(2181),
    [anon_sym_defer] = ACTIONS(2181),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2181),
    [anon_sym_LBRACK] = ACTIONS(2181),
    [anon_sym_LT_LT] = ACTIONS(2181),
    [anon_sym_SLASH_SLASH] = ACTIONS(2181),
    [anon_sym_PLUS] = ACTIONS(2181),
    [anon_sym_DASH] = ACTIONS(2181),
    [anon_sym_TILDE] = ACTIONS(2181),
    [anon_sym_BANG] = ACTIONS(2181),
    [anon_sym_PLUS_PLUS] = ACTIONS(2181),
    [anon_sym_DASH_DASH] = ACTIONS(2181),
    [anon_sym_BSLASH] = ACTIONS(2179),
    [anon_sym_do] = ACTIONS(2181),
    [anon_sym_eval] = ACTIONS(2181),
    [anon_sym_await] = ACTIONS(2181),
    [anon_sym_field] = ACTIONS(2181),
    [anon_sym_local] = ACTIONS(2181),
    [anon_sym_dynamically] = ACTIONS(2181),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2181),
    [anon_sym_require] = ACTIONS(2181),
    [anon_sym_map] = ACTIONS(2181),
    [anon_sym_grep] = ACTIONS(2181),
    [anon_sym_sort] = ACTIONS(2181),
    [anon_sym_goto] = ACTIONS(2181),
    [anon_sym_return] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2181),
    [anon_sym_PERCENT2] = ACTIONS(2181),
    [anon_sym_AMP2] = ACTIONS(2181),
    [anon_sym_STAR2] = ACTIONS(2181),
    [anon_sym_use] = ACTIONS(2181),
    [anon_sym_no] = ACTIONS(2181),
    [anon_sym_for] = ACTIONS(2181),
    [anon_sym_foreach] = ACTIONS(2181),
    [anon_sym_last] = ACTIONS(2181),
    [anon_sym_next] = ACTIONS(2181),
    [anon_sym_redo] = ACTIONS(2181),
    [anon_sym_BEGIN] = ACTIONS(2181),
    [anon_sym_INIT] = ACTIONS(2181),
    [anon_sym_CHECK] = ACTIONS(2181),
    [anon_sym_UNITCHECK] = ACTIONS(2181),
    [anon_sym_END] = ACTIONS(2181),
    [anon_sym___FILE__] = ACTIONS(2181),
    [anon_sym___LINE__] = ACTIONS(2181),
    [anon_sym___PACKAGE__] = ACTIONS(2181),
    [anon_sym___SUB__] = ACTIONS(2181),
    [anon_sym_break] = ACTIONS(2181),
    [anon_sym_fork] = ACTIONS(2181),
    [anon_sym_getppid] = ACTIONS(2181),
    [anon_sym_time] = ACTIONS(2181),
    [anon_sym_times] = ACTIONS(2181),
    [anon_sym_wait] = ACTIONS(2181),
    [anon_sym_wantarray] = ACTIONS(2181),
    [anon_sym_abs] = ACTIONS(2181),
    [anon_sym_alarm] = ACTIONS(2181),
    [anon_sym_chop] = ACTIONS(2181),
    [anon_sym_chdir] = ACTIONS(2181),
    [anon_sym_close] = ACTIONS(2181),
    [anon_sym_closedir] = ACTIONS(2181),
    [anon_sym_caller] = ACTIONS(2181),
    [anon_sym_chomp] = ACTIONS(2181),
    [anon_sym_chr] = ACTIONS(2181),
    [anon_sym_cos] = ACTIONS(2181),
    [anon_sym_chroot] = ACTIONS(2181),
    [anon_sym_defined] = ACTIONS(2181),
    [anon_sym_delete] = ACTIONS(2181),
    [anon_sym_dbmclose] = ACTIONS(2181),
    [anon_sym_exists] = ACTIONS(2181),
    [anon_sym_exit] = ACTIONS(2181),
    [anon_sym_eof] = ACTIONS(2181),
    [anon_sym_exp] = ACTIONS(2181),
    [anon_sym_each] = ACTIONS(2181),
    [anon_sym_fc] = ACTIONS(2181),
    [anon_sym_fileno] = ACTIONS(2181),
    [anon_sym_gmtime] = ACTIONS(2181),
    [anon_sym_getc] = ACTIONS(2181),
    [anon_sym_getpgrp] = ACTIONS(2181),
    [anon_sym_getprotobyname] = ACTIONS(2181),
    [anon_sym_getpwname] = ACTIONS(2181),
    [anon_sym_getpwuid] = ACTIONS(2181),
    [anon_sym_getpeername] = ACTIONS(2181),
    [anon_sym_getnetbyname] = ACTIONS(2181),
    [anon_sym_getsockname] = ACTIONS(2181),
    [anon_sym_getgrnam] = ACTIONS(2181),
    [anon_sym_getgrgid] = ACTIONS(2181),
    [anon_sym_hex] = ACTIONS(2181),
    [anon_sym_int] = ACTIONS(2181),
    [anon_sym_keys] = ACTIONS(2181),
    [anon_sym_lc] = ACTIONS(2181),
    [anon_sym_lcfirst] = ACTIONS(2181),
    [anon_sym_length] = ACTIONS(2181),
    [anon_sym_localtime] = ACTIONS(2181),
    [anon_sym_log] = ACTIONS(2181),
    [anon_sym_lock] = ACTIONS(2181),
    [anon_sym_lstat] = ACTIONS(2181),
    [anon_sym_oct] = ACTIONS(2181),
    [anon_sym_ord] = ACTIONS(2181),
    [anon_sym_prototype] = ACTIONS(2181),
    [anon_sym_pop] = ACTIONS(2181),
    [anon_sym_pos] = ACTIONS(2181),
    [anon_sym_quotemeta] = ACTIONS(2181),
    [anon_sym_reset] = ACTIONS(2181),
    [anon_sym_rand] = ACTIONS(2181),
    [anon_sym_rmdir] = ACTIONS(2181),
    [anon_sym_readdir] = ACTIONS(2181),
    [anon_sym_readline] = ACTIONS(2181),
    [anon_sym_readpipe] = ACTIONS(2181),
    [anon_sym_rewinddir] = ACTIONS(2181),
    [anon_sym_readlink] = ACTIONS(2181),
    [anon_sym_ref] = ACTIONS(2181),
    [anon_sym_scalar] = ACTIONS(2181),
    [anon_sym_shift] = ACTIONS(2181),
    [anon_sym_sin] = ACTIONS(2181),
    [anon_sym_sleep] = ACTIONS(2181),
    [anon_sym_sqrt] = ACTIONS(2181),
    [anon_sym_srand] = ACTIONS(2181),
    [anon_sym_stat] = ACTIONS(2181),
    [anon_sym_study] = ACTIONS(2181),
    [anon_sym_tell] = ACTIONS(2181),
    [anon_sym_telldir] = ACTIONS(2181),
    [anon_sym_tied] = ACTIONS(2181),
    [anon_sym_uc] = ACTIONS(2181),
    [anon_sym_ucfirst] = ACTIONS(2181),
    [anon_sym_untie] = ACTIONS(2181),
    [anon_sym_umask] = ACTIONS(2181),
    [anon_sym_values] = ACTIONS(2181),
    [anon_sym_write] = ACTIONS(2181),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2181),
    [anon_sym___END__] = ACTIONS(2181),
    [anon_sym_EOT] = ACTIONS(2181),
    [anon_sym_q] = ACTIONS(2181),
    [anon_sym_qq] = ACTIONS(2181),
    [anon_sym_qw] = ACTIONS(2181),
    [anon_sym_qx] = ACTIONS(2181),
    [anon_sym_qr] = ACTIONS(2181),
    [anon_sym_m] = ACTIONS(2181),
    [anon_sym_s] = ACTIONS(2181),
    [anon_sym_tr] = ACTIONS(2181),
    [anon_sym_y] = ACTIONS(2181),
    [anon_sym_if] = ACTIONS(2181),
    [anon_sym_unless] = ACTIONS(2181),
    [anon_sym_while] = ACTIONS(2181),
    [anon_sym_until] = ACTIONS(2181),
    [aux_sym__bareword_token1] = ACTIONS(2181),
    [sym_number] = ACTIONS(2181),
    [anon_sym_true] = ACTIONS(2181),
    [anon_sym_false] = ACTIONS(2181),
    [sym__single_quote] = ACTIONS(2179),
    [sym__double_quote] = ACTIONS(2179),
    [sym__backtick_quote] = ACTIONS(2179),
    [sym__search_slash_quote] = ACTIONS(2179),
    [sym__open_readline_bracket] = ACTIONS(2179),
    [sym__open_fileglob_bracket] = ACTIONS(2179),
    [sym__PERLY_HEREDOC] = ACTIONS(2179),
    [sym__ctrl_z_hack] = ACTIONS(2179),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2179),
    [sym__filetest] = ACTIONS(2179),
  },
  [938] = {
    [sym_heredoc_content] = STATE(938),
    [ts_builtin_sym_end] = ACTIONS(2183),
    [sym__identifier] = ACTIONS(2185),
    [anon_sym_LBRACE] = ACTIONS(2185),
    [anon_sym_SEMI] = ACTIONS(2185),
    [anon_sym_package] = ACTIONS(2185),
    [anon_sym_class] = ACTIONS(2185),
    [anon_sym_role] = ACTIONS(2185),
    [anon_sym_BUILD] = ACTIONS(2185),
    [anon_sym_ADJUST] = ACTIONS(2185),
    [anon_sym_DOLLAR] = ACTIONS(2185),
    [anon_sym_AT] = ACTIONS(2185),
    [anon_sym_my] = ACTIONS(2185),
    [anon_sym_extended] = ACTIONS(2185),
    [anon_sym_async] = ACTIONS(2185),
    [anon_sym_sub] = ACTIONS(2185),
    [anon_sym_method] = ACTIONS(2185),
    [anon_sym_LPAREN] = ACTIONS(2185),
    [anon_sym_continue] = ACTIONS(2185),
    [anon_sym_state] = ACTIONS(2185),
    [anon_sym_our] = ACTIONS(2185),
    [anon_sym_try] = ACTIONS(2185),
    [anon_sym_defer] = ACTIONS(2185),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2185),
    [anon_sym_LBRACK] = ACTIONS(2185),
    [anon_sym_LT_LT] = ACTIONS(2185),
    [anon_sym_SLASH_SLASH] = ACTIONS(2185),
    [anon_sym_PLUS] = ACTIONS(2185),
    [anon_sym_DASH] = ACTIONS(2185),
    [anon_sym_TILDE] = ACTIONS(2185),
    [anon_sym_BANG] = ACTIONS(2185),
    [anon_sym_PLUS_PLUS] = ACTIONS(2185),
    [anon_sym_DASH_DASH] = ACTIONS(2185),
    [anon_sym_BSLASH] = ACTIONS(2183),
    [anon_sym_do] = ACTIONS(2185),
    [anon_sym_eval] = ACTIONS(2185),
    [anon_sym_await] = ACTIONS(2185),
    [anon_sym_field] = ACTIONS(2185),
    [anon_sym_local] = ACTIONS(2185),
    [anon_sym_dynamically] = ACTIONS(2185),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2185),
    [anon_sym_require] = ACTIONS(2185),
    [anon_sym_map] = ACTIONS(2185),
    [anon_sym_grep] = ACTIONS(2185),
    [anon_sym_sort] = ACTIONS(2185),
    [anon_sym_goto] = ACTIONS(2185),
    [anon_sym_return] = ACTIONS(2185),
    [anon_sym_undef] = ACTIONS(2185),
    [anon_sym_PERCENT2] = ACTIONS(2185),
    [anon_sym_AMP2] = ACTIONS(2185),
    [anon_sym_STAR2] = ACTIONS(2185),
    [anon_sym_use] = ACTIONS(2185),
    [anon_sym_no] = ACTIONS(2185),
    [anon_sym_for] = ACTIONS(2185),
    [anon_sym_foreach] = ACTIONS(2185),
    [anon_sym_last] = ACTIONS(2185),
    [anon_sym_next] = ACTIONS(2185),
    [anon_sym_redo] = ACTIONS(2185),
    [anon_sym_BEGIN] = ACTIONS(2185),
    [anon_sym_INIT] = ACTIONS(2185),
    [anon_sym_CHECK] = ACTIONS(2185),
    [anon_sym_UNITCHECK] = ACTIONS(2185),
    [anon_sym_END] = ACTIONS(2185),
    [anon_sym___FILE__] = ACTIONS(2185),
    [anon_sym___LINE__] = ACTIONS(2185),
    [anon_sym___PACKAGE__] = ACTIONS(2185),
    [anon_sym___SUB__] = ACTIONS(2185),
    [anon_sym_break] = ACTIONS(2185),
    [anon_sym_fork] = ACTIONS(2185),
    [anon_sym_getppid] = ACTIONS(2185),
    [anon_sym_time] = ACTIONS(2185),
    [anon_sym_times] = ACTIONS(2185),
    [anon_sym_wait] = ACTIONS(2185),
    [anon_sym_wantarray] = ACTIONS(2185),
    [anon_sym_abs] = ACTIONS(2185),
    [anon_sym_alarm] = ACTIONS(2185),
    [anon_sym_chop] = ACTIONS(2185),
    [anon_sym_chdir] = ACTIONS(2185),
    [anon_sym_close] = ACTIONS(2185),
    [anon_sym_closedir] = ACTIONS(2185),
    [anon_sym_caller] = ACTIONS(2185),
    [anon_sym_chomp] = ACTIONS(2185),
    [anon_sym_chr] = ACTIONS(2185),
    [anon_sym_cos] = ACTIONS(2185),
    [anon_sym_chroot] = ACTIONS(2185),
    [anon_sym_defined] = ACTIONS(2185),
    [anon_sym_delete] = ACTIONS(2185),
    [anon_sym_dbmclose] = ACTIONS(2185),
    [anon_sym_exists] = ACTIONS(2185),
    [anon_sym_exit] = ACTIONS(2185),
    [anon_sym_eof] = ACTIONS(2185),
    [anon_sym_exp] = ACTIONS(2185),
    [anon_sym_each] = ACTIONS(2185),
    [anon_sym_fc] = ACTIONS(2185),
    [anon_sym_fileno] = ACTIONS(2185),
    [anon_sym_gmtime] = ACTIONS(2185),
    [anon_sym_getc] = ACTIONS(2185),
    [anon_sym_getpgrp] = ACTIONS(2185),
    [anon_sym_getprotobyname] = ACTIONS(2185),
    [anon_sym_getpwname] = ACTIONS(2185),
    [anon_sym_getpwuid] = ACTIONS(2185),
    [anon_sym_getpeername] = ACTIONS(2185),
    [anon_sym_getnetbyname] = ACTIONS(2185),
    [anon_sym_getsockname] = ACTIONS(2185),
    [anon_sym_getgrnam] = ACTIONS(2185),
    [anon_sym_getgrgid] = ACTIONS(2185),
    [anon_sym_hex] = ACTIONS(2185),
    [anon_sym_int] = ACTIONS(2185),
    [anon_sym_keys] = ACTIONS(2185),
    [anon_sym_lc] = ACTIONS(2185),
    [anon_sym_lcfirst] = ACTIONS(2185),
    [anon_sym_length] = ACTIONS(2185),
    [anon_sym_localtime] = ACTIONS(2185),
    [anon_sym_log] = ACTIONS(2185),
    [anon_sym_lock] = ACTIONS(2185),
    [anon_sym_lstat] = ACTIONS(2185),
    [anon_sym_oct] = ACTIONS(2185),
    [anon_sym_ord] = ACTIONS(2185),
    [anon_sym_prototype] = ACTIONS(2185),
    [anon_sym_pop] = ACTIONS(2185),
    [anon_sym_pos] = ACTIONS(2185),
    [anon_sym_quotemeta] = ACTIONS(2185),
    [anon_sym_reset] = ACTIONS(2185),
    [anon_sym_rand] = ACTIONS(2185),
    [anon_sym_rmdir] = ACTIONS(2185),
    [anon_sym_readdir] = ACTIONS(2185),
    [anon_sym_readline] = ACTIONS(2185),
    [anon_sym_readpipe] = ACTIONS(2185),
    [anon_sym_rewinddir] = ACTIONS(2185),
    [anon_sym_readlink] = ACTIONS(2185),
    [anon_sym_ref] = ACTIONS(2185),
    [anon_sym_scalar] = ACTIONS(2185),
    [anon_sym_shift] = ACTIONS(2185),
    [anon_sym_sin] = ACTIONS(2185),
    [anon_sym_sleep] = ACTIONS(2185),
    [anon_sym_sqrt] = ACTIONS(2185),
    [anon_sym_srand] = ACTIONS(2185),
    [anon_sym_stat] = ACTIONS(2185),
    [anon_sym_study] = ACTIONS(2185),
    [anon_sym_tell] = ACTIONS(2185),
    [anon_sym_telldir] = ACTIONS(2185),
    [anon_sym_tied] = ACTIONS(2185),
    [anon_sym_uc] = ACTIONS(2185),
    [anon_sym_ucfirst] = ACTIONS(2185),
    [anon_sym_untie] = ACTIONS(2185),
    [anon_sym_umask] = ACTIONS(2185),
    [anon_sym_values] = ACTIONS(2185),
    [anon_sym_write] = ACTIONS(2185),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2185),
    [anon_sym___END__] = ACTIONS(2185),
    [anon_sym_EOT] = ACTIONS(2185),
    [anon_sym_q] = ACTIONS(2185),
    [anon_sym_qq] = ACTIONS(2185),
    [anon_sym_qw] = ACTIONS(2185),
    [anon_sym_qx] = ACTIONS(2185),
    [anon_sym_qr] = ACTIONS(2185),
    [anon_sym_m] = ACTIONS(2185),
    [anon_sym_s] = ACTIONS(2185),
    [anon_sym_tr] = ACTIONS(2185),
    [anon_sym_y] = ACTIONS(2185),
    [anon_sym_if] = ACTIONS(2185),
    [anon_sym_unless] = ACTIONS(2185),
    [anon_sym_while] = ACTIONS(2185),
    [anon_sym_until] = ACTIONS(2185),
    [aux_sym__bareword_token1] = ACTIONS(2185),
    [sym_number] = ACTIONS(2185),
    [anon_sym_true] = ACTIONS(2185),
    [anon_sym_false] = ACTIONS(2185),
    [sym__single_quote] = ACTIONS(2183),
    [sym__double_quote] = ACTIONS(2183),
    [sym__backtick_quote] = ACTIONS(2183),
    [sym__search_slash_quote] = ACTIONS(2183),
    [sym__open_readline_bracket] = ACTIONS(2183),
    [sym__open_fileglob_bracket] = ACTIONS(2183),
    [sym__PERLY_HEREDOC] = ACTIONS(2183),
    [sym__ctrl_z_hack] = ACTIONS(2183),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2183),
    [sym__filetest] = ACTIONS(2183),
  },
  [939] = {
    [sym_heredoc_content] = STATE(939),
    [ts_builtin_sym_end] = ACTIONS(2187),
    [sym__identifier] = ACTIONS(2189),
    [anon_sym_LBRACE] = ACTIONS(2189),
    [anon_sym_SEMI] = ACTIONS(2189),
    [anon_sym_package] = ACTIONS(2189),
    [anon_sym_class] = ACTIONS(2189),
    [anon_sym_role] = ACTIONS(2189),
    [anon_sym_BUILD] = ACTIONS(2189),
    [anon_sym_ADJUST] = ACTIONS(2189),
    [anon_sym_DOLLAR] = ACTIONS(2189),
    [anon_sym_AT] = ACTIONS(2189),
    [anon_sym_my] = ACTIONS(2189),
    [anon_sym_extended] = ACTIONS(2189),
    [anon_sym_async] = ACTIONS(2189),
    [anon_sym_sub] = ACTIONS(2189),
    [anon_sym_method] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(2189),
    [anon_sym_continue] = ACTIONS(2189),
    [anon_sym_state] = ACTIONS(2189),
    [anon_sym_our] = ACTIONS(2189),
    [anon_sym_try] = ACTIONS(2189),
    [anon_sym_defer] = ACTIONS(2189),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2189),
    [anon_sym_LBRACK] = ACTIONS(2189),
    [anon_sym_LT_LT] = ACTIONS(2189),
    [anon_sym_SLASH_SLASH] = ACTIONS(2189),
    [anon_sym_PLUS] = ACTIONS(2189),
    [anon_sym_DASH] = ACTIONS(2189),
    [anon_sym_TILDE] = ACTIONS(2189),
    [anon_sym_BANG] = ACTIONS(2189),
    [anon_sym_PLUS_PLUS] = ACTIONS(2189),
    [anon_sym_DASH_DASH] = ACTIONS(2189),
    [anon_sym_BSLASH] = ACTIONS(2187),
    [anon_sym_do] = ACTIONS(2189),
    [anon_sym_eval] = ACTIONS(2189),
    [anon_sym_await] = ACTIONS(2189),
    [anon_sym_field] = ACTIONS(2189),
    [anon_sym_local] = ACTIONS(2189),
    [anon_sym_dynamically] = ACTIONS(2189),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2189),
    [anon_sym_require] = ACTIONS(2189),
    [anon_sym_map] = ACTIONS(2189),
    [anon_sym_grep] = ACTIONS(2189),
    [anon_sym_sort] = ACTIONS(2189),
    [anon_sym_goto] = ACTIONS(2189),
    [anon_sym_return] = ACTIONS(2189),
    [anon_sym_undef] = ACTIONS(2189),
    [anon_sym_PERCENT2] = ACTIONS(2189),
    [anon_sym_AMP2] = ACTIONS(2189),
    [anon_sym_STAR2] = ACTIONS(2189),
    [anon_sym_use] = ACTIONS(2189),
    [anon_sym_no] = ACTIONS(2189),
    [anon_sym_for] = ACTIONS(2189),
    [anon_sym_foreach] = ACTIONS(2189),
    [anon_sym_last] = ACTIONS(2189),
    [anon_sym_next] = ACTIONS(2189),
    [anon_sym_redo] = ACTIONS(2189),
    [anon_sym_BEGIN] = ACTIONS(2189),
    [anon_sym_INIT] = ACTIONS(2189),
    [anon_sym_CHECK] = ACTIONS(2189),
    [anon_sym_UNITCHECK] = ACTIONS(2189),
    [anon_sym_END] = ACTIONS(2189),
    [anon_sym___FILE__] = ACTIONS(2189),
    [anon_sym___LINE__] = ACTIONS(2189),
    [anon_sym___PACKAGE__] = ACTIONS(2189),
    [anon_sym___SUB__] = ACTIONS(2189),
    [anon_sym_break] = ACTIONS(2189),
    [anon_sym_fork] = ACTIONS(2189),
    [anon_sym_getppid] = ACTIONS(2189),
    [anon_sym_time] = ACTIONS(2189),
    [anon_sym_times] = ACTIONS(2189),
    [anon_sym_wait] = ACTIONS(2189),
    [anon_sym_wantarray] = ACTIONS(2189),
    [anon_sym_abs] = ACTIONS(2189),
    [anon_sym_alarm] = ACTIONS(2189),
    [anon_sym_chop] = ACTIONS(2189),
    [anon_sym_chdir] = ACTIONS(2189),
    [anon_sym_close] = ACTIONS(2189),
    [anon_sym_closedir] = ACTIONS(2189),
    [anon_sym_caller] = ACTIONS(2189),
    [anon_sym_chomp] = ACTIONS(2189),
    [anon_sym_chr] = ACTIONS(2189),
    [anon_sym_cos] = ACTIONS(2189),
    [anon_sym_chroot] = ACTIONS(2189),
    [anon_sym_defined] = ACTIONS(2189),
    [anon_sym_delete] = ACTIONS(2189),
    [anon_sym_dbmclose] = ACTIONS(2189),
    [anon_sym_exists] = ACTIONS(2189),
    [anon_sym_exit] = ACTIONS(2189),
    [anon_sym_eof] = ACTIONS(2189),
    [anon_sym_exp] = ACTIONS(2189),
    [anon_sym_each] = ACTIONS(2189),
    [anon_sym_fc] = ACTIONS(2189),
    [anon_sym_fileno] = ACTIONS(2189),
    [anon_sym_gmtime] = ACTIONS(2189),
    [anon_sym_getc] = ACTIONS(2189),
    [anon_sym_getpgrp] = ACTIONS(2189),
    [anon_sym_getprotobyname] = ACTIONS(2189),
    [anon_sym_getpwname] = ACTIONS(2189),
    [anon_sym_getpwuid] = ACTIONS(2189),
    [anon_sym_getpeername] = ACTIONS(2189),
    [anon_sym_getnetbyname] = ACTIONS(2189),
    [anon_sym_getsockname] = ACTIONS(2189),
    [anon_sym_getgrnam] = ACTIONS(2189),
    [anon_sym_getgrgid] = ACTIONS(2189),
    [anon_sym_hex] = ACTIONS(2189),
    [anon_sym_int] = ACTIONS(2189),
    [anon_sym_keys] = ACTIONS(2189),
    [anon_sym_lc] = ACTIONS(2189),
    [anon_sym_lcfirst] = ACTIONS(2189),
    [anon_sym_length] = ACTIONS(2189),
    [anon_sym_localtime] = ACTIONS(2189),
    [anon_sym_log] = ACTIONS(2189),
    [anon_sym_lock] = ACTIONS(2189),
    [anon_sym_lstat] = ACTIONS(2189),
    [anon_sym_oct] = ACTIONS(2189),
    [anon_sym_ord] = ACTIONS(2189),
    [anon_sym_prototype] = ACTIONS(2189),
    [anon_sym_pop] = ACTIONS(2189),
    [anon_sym_pos] = ACTIONS(2189),
    [anon_sym_quotemeta] = ACTIONS(2189),
    [anon_sym_reset] = ACTIONS(2189),
    [anon_sym_rand] = ACTIONS(2189),
    [anon_sym_rmdir] = ACTIONS(2189),
    [anon_sym_readdir] = ACTIONS(2189),
    [anon_sym_readline] = ACTIONS(2189),
    [anon_sym_readpipe] = ACTIONS(2189),
    [anon_sym_rewinddir] = ACTIONS(2189),
    [anon_sym_readlink] = ACTIONS(2189),
    [anon_sym_ref] = ACTIONS(2189),
    [anon_sym_scalar] = ACTIONS(2189),
    [anon_sym_shift] = ACTIONS(2189),
    [anon_sym_sin] = ACTIONS(2189),
    [anon_sym_sleep] = ACTIONS(2189),
    [anon_sym_sqrt] = ACTIONS(2189),
    [anon_sym_srand] = ACTIONS(2189),
    [anon_sym_stat] = ACTIONS(2189),
    [anon_sym_study] = ACTIONS(2189),
    [anon_sym_tell] = ACTIONS(2189),
    [anon_sym_telldir] = ACTIONS(2189),
    [anon_sym_tied] = ACTIONS(2189),
    [anon_sym_uc] = ACTIONS(2189),
    [anon_sym_ucfirst] = ACTIONS(2189),
    [anon_sym_untie] = ACTIONS(2189),
    [anon_sym_umask] = ACTIONS(2189),
    [anon_sym_values] = ACTIONS(2189),
    [anon_sym_write] = ACTIONS(2189),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2189),
    [anon_sym___END__] = ACTIONS(2189),
    [anon_sym_EOT] = ACTIONS(2189),
    [anon_sym_q] = ACTIONS(2189),
    [anon_sym_qq] = ACTIONS(2189),
    [anon_sym_qw] = ACTIONS(2189),
    [anon_sym_qx] = ACTIONS(2189),
    [anon_sym_qr] = ACTIONS(2189),
    [anon_sym_m] = ACTIONS(2189),
    [anon_sym_s] = ACTIONS(2189),
    [anon_sym_tr] = ACTIONS(2189),
    [anon_sym_y] = ACTIONS(2189),
    [anon_sym_if] = ACTIONS(2189),
    [anon_sym_unless] = ACTIONS(2189),
    [anon_sym_while] = ACTIONS(2189),
    [anon_sym_until] = ACTIONS(2189),
    [aux_sym__bareword_token1] = ACTIONS(2189),
    [sym_number] = ACTIONS(2189),
    [anon_sym_true] = ACTIONS(2189),
    [anon_sym_false] = ACTIONS(2189),
    [sym__single_quote] = ACTIONS(2187),
    [sym__double_quote] = ACTIONS(2187),
    [sym__backtick_quote] = ACTIONS(2187),
    [sym__search_slash_quote] = ACTIONS(2187),
    [sym__open_readline_bracket] = ACTIONS(2187),
    [sym__open_fileglob_bracket] = ACTIONS(2187),
    [sym__PERLY_HEREDOC] = ACTIONS(2187),
    [sym__ctrl_z_hack] = ACTIONS(2187),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2187),
    [sym__filetest] = ACTIONS(2187),
  },
  [940] = {
    [sym_heredoc_content] = STATE(940),
    [ts_builtin_sym_end] = ACTIONS(2191),
    [sym__identifier] = ACTIONS(2193),
    [anon_sym_LBRACE] = ACTIONS(2193),
    [anon_sym_SEMI] = ACTIONS(2193),
    [anon_sym_package] = ACTIONS(2193),
    [anon_sym_class] = ACTIONS(2193),
    [anon_sym_role] = ACTIONS(2193),
    [anon_sym_BUILD] = ACTIONS(2193),
    [anon_sym_ADJUST] = ACTIONS(2193),
    [anon_sym_DOLLAR] = ACTIONS(2193),
    [anon_sym_AT] = ACTIONS(2193),
    [anon_sym_my] = ACTIONS(2193),
    [anon_sym_extended] = ACTIONS(2193),
    [anon_sym_async] = ACTIONS(2193),
    [anon_sym_sub] = ACTIONS(2193),
    [anon_sym_method] = ACTIONS(2193),
    [anon_sym_LPAREN] = ACTIONS(2193),
    [anon_sym_continue] = ACTIONS(2193),
    [anon_sym_state] = ACTIONS(2193),
    [anon_sym_our] = ACTIONS(2193),
    [anon_sym_try] = ACTIONS(2193),
    [anon_sym_defer] = ACTIONS(2193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2193),
    [anon_sym_LBRACK] = ACTIONS(2193),
    [anon_sym_LT_LT] = ACTIONS(2193),
    [anon_sym_SLASH_SLASH] = ACTIONS(2193),
    [anon_sym_PLUS] = ACTIONS(2193),
    [anon_sym_DASH] = ACTIONS(2193),
    [anon_sym_TILDE] = ACTIONS(2193),
    [anon_sym_BANG] = ACTIONS(2193),
    [anon_sym_PLUS_PLUS] = ACTIONS(2193),
    [anon_sym_DASH_DASH] = ACTIONS(2193),
    [anon_sym_BSLASH] = ACTIONS(2191),
    [anon_sym_do] = ACTIONS(2193),
    [anon_sym_eval] = ACTIONS(2193),
    [anon_sym_await] = ACTIONS(2193),
    [anon_sym_field] = ACTIONS(2193),
    [anon_sym_local] = ACTIONS(2193),
    [anon_sym_dynamically] = ACTIONS(2193),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2193),
    [anon_sym_require] = ACTIONS(2193),
    [anon_sym_map] = ACTIONS(2193),
    [anon_sym_grep] = ACTIONS(2193),
    [anon_sym_sort] = ACTIONS(2193),
    [anon_sym_goto] = ACTIONS(2193),
    [anon_sym_return] = ACTIONS(2193),
    [anon_sym_undef] = ACTIONS(2193),
    [anon_sym_PERCENT2] = ACTIONS(2193),
    [anon_sym_AMP2] = ACTIONS(2193),
    [anon_sym_STAR2] = ACTIONS(2193),
    [anon_sym_use] = ACTIONS(2193),
    [anon_sym_no] = ACTIONS(2193),
    [anon_sym_for] = ACTIONS(2193),
    [anon_sym_foreach] = ACTIONS(2193),
    [anon_sym_last] = ACTIONS(2193),
    [anon_sym_next] = ACTIONS(2193),
    [anon_sym_redo] = ACTIONS(2193),
    [anon_sym_BEGIN] = ACTIONS(2193),
    [anon_sym_INIT] = ACTIONS(2193),
    [anon_sym_CHECK] = ACTIONS(2193),
    [anon_sym_UNITCHECK] = ACTIONS(2193),
    [anon_sym_END] = ACTIONS(2193),
    [anon_sym___FILE__] = ACTIONS(2193),
    [anon_sym___LINE__] = ACTIONS(2193),
    [anon_sym___PACKAGE__] = ACTIONS(2193),
    [anon_sym___SUB__] = ACTIONS(2193),
    [anon_sym_break] = ACTIONS(2193),
    [anon_sym_fork] = ACTIONS(2193),
    [anon_sym_getppid] = ACTIONS(2193),
    [anon_sym_time] = ACTIONS(2193),
    [anon_sym_times] = ACTIONS(2193),
    [anon_sym_wait] = ACTIONS(2193),
    [anon_sym_wantarray] = ACTIONS(2193),
    [anon_sym_abs] = ACTIONS(2193),
    [anon_sym_alarm] = ACTIONS(2193),
    [anon_sym_chop] = ACTIONS(2193),
    [anon_sym_chdir] = ACTIONS(2193),
    [anon_sym_close] = ACTIONS(2193),
    [anon_sym_closedir] = ACTIONS(2193),
    [anon_sym_caller] = ACTIONS(2193),
    [anon_sym_chomp] = ACTIONS(2193),
    [anon_sym_chr] = ACTIONS(2193),
    [anon_sym_cos] = ACTIONS(2193),
    [anon_sym_chroot] = ACTIONS(2193),
    [anon_sym_defined] = ACTIONS(2193),
    [anon_sym_delete] = ACTIONS(2193),
    [anon_sym_dbmclose] = ACTIONS(2193),
    [anon_sym_exists] = ACTIONS(2193),
    [anon_sym_exit] = ACTIONS(2193),
    [anon_sym_eof] = ACTIONS(2193),
    [anon_sym_exp] = ACTIONS(2193),
    [anon_sym_each] = ACTIONS(2193),
    [anon_sym_fc] = ACTIONS(2193),
    [anon_sym_fileno] = ACTIONS(2193),
    [anon_sym_gmtime] = ACTIONS(2193),
    [anon_sym_getc] = ACTIONS(2193),
    [anon_sym_getpgrp] = ACTIONS(2193),
    [anon_sym_getprotobyname] = ACTIONS(2193),
    [anon_sym_getpwname] = ACTIONS(2193),
    [anon_sym_getpwuid] = ACTIONS(2193),
    [anon_sym_getpeername] = ACTIONS(2193),
    [anon_sym_getnetbyname] = ACTIONS(2193),
    [anon_sym_getsockname] = ACTIONS(2193),
    [anon_sym_getgrnam] = ACTIONS(2193),
    [anon_sym_getgrgid] = ACTIONS(2193),
    [anon_sym_hex] = ACTIONS(2193),
    [anon_sym_int] = ACTIONS(2193),
    [anon_sym_keys] = ACTIONS(2193),
    [anon_sym_lc] = ACTIONS(2193),
    [anon_sym_lcfirst] = ACTIONS(2193),
    [anon_sym_length] = ACTIONS(2193),
    [anon_sym_localtime] = ACTIONS(2193),
    [anon_sym_log] = ACTIONS(2193),
    [anon_sym_lock] = ACTIONS(2193),
    [anon_sym_lstat] = ACTIONS(2193),
    [anon_sym_oct] = ACTIONS(2193),
    [anon_sym_ord] = ACTIONS(2193),
    [anon_sym_prototype] = ACTIONS(2193),
    [anon_sym_pop] = ACTIONS(2193),
    [anon_sym_pos] = ACTIONS(2193),
    [anon_sym_quotemeta] = ACTIONS(2193),
    [anon_sym_reset] = ACTIONS(2193),
    [anon_sym_rand] = ACTIONS(2193),
    [anon_sym_rmdir] = ACTIONS(2193),
    [anon_sym_readdir] = ACTIONS(2193),
    [anon_sym_readline] = ACTIONS(2193),
    [anon_sym_readpipe] = ACTIONS(2193),
    [anon_sym_rewinddir] = ACTIONS(2193),
    [anon_sym_readlink] = ACTIONS(2193),
    [anon_sym_ref] = ACTIONS(2193),
    [anon_sym_scalar] = ACTIONS(2193),
    [anon_sym_shift] = ACTIONS(2193),
    [anon_sym_sin] = ACTIONS(2193),
    [anon_sym_sleep] = ACTIONS(2193),
    [anon_sym_sqrt] = ACTIONS(2193),
    [anon_sym_srand] = ACTIONS(2193),
    [anon_sym_stat] = ACTIONS(2193),
    [anon_sym_study] = ACTIONS(2193),
    [anon_sym_tell] = ACTIONS(2193),
    [anon_sym_telldir] = ACTIONS(2193),
    [anon_sym_tied] = ACTIONS(2193),
    [anon_sym_uc] = ACTIONS(2193),
    [anon_sym_ucfirst] = ACTIONS(2193),
    [anon_sym_untie] = ACTIONS(2193),
    [anon_sym_umask] = ACTIONS(2193),
    [anon_sym_values] = ACTIONS(2193),
    [anon_sym_write] = ACTIONS(2193),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2193),
    [anon_sym___END__] = ACTIONS(2193),
    [anon_sym_EOT] = ACTIONS(2193),
    [anon_sym_q] = ACTIONS(2193),
    [anon_sym_qq] = ACTIONS(2193),
    [anon_sym_qw] = ACTIONS(2193),
    [anon_sym_qx] = ACTIONS(2193),
    [anon_sym_qr] = ACTIONS(2193),
    [anon_sym_m] = ACTIONS(2193),
    [anon_sym_s] = ACTIONS(2193),
    [anon_sym_tr] = ACTIONS(2193),
    [anon_sym_y] = ACTIONS(2193),
    [anon_sym_if] = ACTIONS(2193),
    [anon_sym_unless] = ACTIONS(2193),
    [anon_sym_while] = ACTIONS(2193),
    [anon_sym_until] = ACTIONS(2193),
    [aux_sym__bareword_token1] = ACTIONS(2193),
    [sym_number] = ACTIONS(2193),
    [anon_sym_true] = ACTIONS(2193),
    [anon_sym_false] = ACTIONS(2193),
    [sym__single_quote] = ACTIONS(2191),
    [sym__double_quote] = ACTIONS(2191),
    [sym__backtick_quote] = ACTIONS(2191),
    [sym__search_slash_quote] = ACTIONS(2191),
    [sym__open_readline_bracket] = ACTIONS(2191),
    [sym__open_fileglob_bracket] = ACTIONS(2191),
    [sym__PERLY_HEREDOC] = ACTIONS(2191),
    [sym__ctrl_z_hack] = ACTIONS(2191),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2191),
    [sym__filetest] = ACTIONS(2191),
  },
  [941] = {
    [sym_heredoc_content] = STATE(941),
    [ts_builtin_sym_end] = ACTIONS(2195),
    [sym__identifier] = ACTIONS(2197),
    [anon_sym_LBRACE] = ACTIONS(2197),
    [anon_sym_SEMI] = ACTIONS(2197),
    [anon_sym_package] = ACTIONS(2197),
    [anon_sym_class] = ACTIONS(2197),
    [anon_sym_role] = ACTIONS(2197),
    [anon_sym_BUILD] = ACTIONS(2197),
    [anon_sym_ADJUST] = ACTIONS(2197),
    [anon_sym_DOLLAR] = ACTIONS(2197),
    [anon_sym_AT] = ACTIONS(2197),
    [anon_sym_my] = ACTIONS(2197),
    [anon_sym_extended] = ACTIONS(2197),
    [anon_sym_async] = ACTIONS(2197),
    [anon_sym_sub] = ACTIONS(2197),
    [anon_sym_method] = ACTIONS(2197),
    [anon_sym_LPAREN] = ACTIONS(2197),
    [anon_sym_continue] = ACTIONS(2197),
    [anon_sym_state] = ACTIONS(2197),
    [anon_sym_our] = ACTIONS(2197),
    [anon_sym_try] = ACTIONS(2197),
    [anon_sym_defer] = ACTIONS(2197),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2197),
    [anon_sym_LBRACK] = ACTIONS(2197),
    [anon_sym_LT_LT] = ACTIONS(2197),
    [anon_sym_SLASH_SLASH] = ACTIONS(2197),
    [anon_sym_PLUS] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2197),
    [anon_sym_TILDE] = ACTIONS(2197),
    [anon_sym_BANG] = ACTIONS(2197),
    [anon_sym_PLUS_PLUS] = ACTIONS(2197),
    [anon_sym_DASH_DASH] = ACTIONS(2197),
    [anon_sym_BSLASH] = ACTIONS(2195),
    [anon_sym_do] = ACTIONS(2197),
    [anon_sym_eval] = ACTIONS(2197),
    [anon_sym_await] = ACTIONS(2197),
    [anon_sym_field] = ACTIONS(2197),
    [anon_sym_local] = ACTIONS(2197),
    [anon_sym_dynamically] = ACTIONS(2197),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2197),
    [anon_sym_require] = ACTIONS(2197),
    [anon_sym_map] = ACTIONS(2197),
    [anon_sym_grep] = ACTIONS(2197),
    [anon_sym_sort] = ACTIONS(2197),
    [anon_sym_goto] = ACTIONS(2197),
    [anon_sym_return] = ACTIONS(2197),
    [anon_sym_undef] = ACTIONS(2197),
    [anon_sym_PERCENT2] = ACTIONS(2197),
    [anon_sym_AMP2] = ACTIONS(2197),
    [anon_sym_STAR2] = ACTIONS(2197),
    [anon_sym_use] = ACTIONS(2197),
    [anon_sym_no] = ACTIONS(2197),
    [anon_sym_for] = ACTIONS(2197),
    [anon_sym_foreach] = ACTIONS(2197),
    [anon_sym_last] = ACTIONS(2197),
    [anon_sym_next] = ACTIONS(2197),
    [anon_sym_redo] = ACTIONS(2197),
    [anon_sym_BEGIN] = ACTIONS(2197),
    [anon_sym_INIT] = ACTIONS(2197),
    [anon_sym_CHECK] = ACTIONS(2197),
    [anon_sym_UNITCHECK] = ACTIONS(2197),
    [anon_sym_END] = ACTIONS(2197),
    [anon_sym___FILE__] = ACTIONS(2197),
    [anon_sym___LINE__] = ACTIONS(2197),
    [anon_sym___PACKAGE__] = ACTIONS(2197),
    [anon_sym___SUB__] = ACTIONS(2197),
    [anon_sym_break] = ACTIONS(2197),
    [anon_sym_fork] = ACTIONS(2197),
    [anon_sym_getppid] = ACTIONS(2197),
    [anon_sym_time] = ACTIONS(2197),
    [anon_sym_times] = ACTIONS(2197),
    [anon_sym_wait] = ACTIONS(2197),
    [anon_sym_wantarray] = ACTIONS(2197),
    [anon_sym_abs] = ACTIONS(2197),
    [anon_sym_alarm] = ACTIONS(2197),
    [anon_sym_chop] = ACTIONS(2197),
    [anon_sym_chdir] = ACTIONS(2197),
    [anon_sym_close] = ACTIONS(2197),
    [anon_sym_closedir] = ACTIONS(2197),
    [anon_sym_caller] = ACTIONS(2197),
    [anon_sym_chomp] = ACTIONS(2197),
    [anon_sym_chr] = ACTIONS(2197),
    [anon_sym_cos] = ACTIONS(2197),
    [anon_sym_chroot] = ACTIONS(2197),
    [anon_sym_defined] = ACTIONS(2197),
    [anon_sym_delete] = ACTIONS(2197),
    [anon_sym_dbmclose] = ACTIONS(2197),
    [anon_sym_exists] = ACTIONS(2197),
    [anon_sym_exit] = ACTIONS(2197),
    [anon_sym_eof] = ACTIONS(2197),
    [anon_sym_exp] = ACTIONS(2197),
    [anon_sym_each] = ACTIONS(2197),
    [anon_sym_fc] = ACTIONS(2197),
    [anon_sym_fileno] = ACTIONS(2197),
    [anon_sym_gmtime] = ACTIONS(2197),
    [anon_sym_getc] = ACTIONS(2197),
    [anon_sym_getpgrp] = ACTIONS(2197),
    [anon_sym_getprotobyname] = ACTIONS(2197),
    [anon_sym_getpwname] = ACTIONS(2197),
    [anon_sym_getpwuid] = ACTIONS(2197),
    [anon_sym_getpeername] = ACTIONS(2197),
    [anon_sym_getnetbyname] = ACTIONS(2197),
    [anon_sym_getsockname] = ACTIONS(2197),
    [anon_sym_getgrnam] = ACTIONS(2197),
    [anon_sym_getgrgid] = ACTIONS(2197),
    [anon_sym_hex] = ACTIONS(2197),
    [anon_sym_int] = ACTIONS(2197),
    [anon_sym_keys] = ACTIONS(2197),
    [anon_sym_lc] = ACTIONS(2197),
    [anon_sym_lcfirst] = ACTIONS(2197),
    [anon_sym_length] = ACTIONS(2197),
    [anon_sym_localtime] = ACTIONS(2197),
    [anon_sym_log] = ACTIONS(2197),
    [anon_sym_lock] = ACTIONS(2197),
    [anon_sym_lstat] = ACTIONS(2197),
    [anon_sym_oct] = ACTIONS(2197),
    [anon_sym_ord] = ACTIONS(2197),
    [anon_sym_prototype] = ACTIONS(2197),
    [anon_sym_pop] = ACTIONS(2197),
    [anon_sym_pos] = ACTIONS(2197),
    [anon_sym_quotemeta] = ACTIONS(2197),
    [anon_sym_reset] = ACTIONS(2197),
    [anon_sym_rand] = ACTIONS(2197),
    [anon_sym_rmdir] = ACTIONS(2197),
    [anon_sym_readdir] = ACTIONS(2197),
    [anon_sym_readline] = ACTIONS(2197),
    [anon_sym_readpipe] = ACTIONS(2197),
    [anon_sym_rewinddir] = ACTIONS(2197),
    [anon_sym_readlink] = ACTIONS(2197),
    [anon_sym_ref] = ACTIONS(2197),
    [anon_sym_scalar] = ACTIONS(2197),
    [anon_sym_shift] = ACTIONS(2197),
    [anon_sym_sin] = ACTIONS(2197),
    [anon_sym_sleep] = ACTIONS(2197),
    [anon_sym_sqrt] = ACTIONS(2197),
    [anon_sym_srand] = ACTIONS(2197),
    [anon_sym_stat] = ACTIONS(2197),
    [anon_sym_study] = ACTIONS(2197),
    [anon_sym_tell] = ACTIONS(2197),
    [anon_sym_telldir] = ACTIONS(2197),
    [anon_sym_tied] = ACTIONS(2197),
    [anon_sym_uc] = ACTIONS(2197),
    [anon_sym_ucfirst] = ACTIONS(2197),
    [anon_sym_untie] = ACTIONS(2197),
    [anon_sym_umask] = ACTIONS(2197),
    [anon_sym_values] = ACTIONS(2197),
    [anon_sym_write] = ACTIONS(2197),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2197),
    [anon_sym___END__] = ACTIONS(2197),
    [anon_sym_EOT] = ACTIONS(2197),
    [anon_sym_q] = ACTIONS(2197),
    [anon_sym_qq] = ACTIONS(2197),
    [anon_sym_qw] = ACTIONS(2197),
    [anon_sym_qx] = ACTIONS(2197),
    [anon_sym_qr] = ACTIONS(2197),
    [anon_sym_m] = ACTIONS(2197),
    [anon_sym_s] = ACTIONS(2197),
    [anon_sym_tr] = ACTIONS(2197),
    [anon_sym_y] = ACTIONS(2197),
    [anon_sym_if] = ACTIONS(2197),
    [anon_sym_unless] = ACTIONS(2197),
    [anon_sym_while] = ACTIONS(2197),
    [anon_sym_until] = ACTIONS(2197),
    [aux_sym__bareword_token1] = ACTIONS(2197),
    [sym_number] = ACTIONS(2197),
    [anon_sym_true] = ACTIONS(2197),
    [anon_sym_false] = ACTIONS(2197),
    [sym__single_quote] = ACTIONS(2195),
    [sym__double_quote] = ACTIONS(2195),
    [sym__backtick_quote] = ACTIONS(2195),
    [sym__search_slash_quote] = ACTIONS(2195),
    [sym__open_readline_bracket] = ACTIONS(2195),
    [sym__open_fileglob_bracket] = ACTIONS(2195),
    [sym__PERLY_HEREDOC] = ACTIONS(2195),
    [sym__ctrl_z_hack] = ACTIONS(2195),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2195),
    [sym__filetest] = ACTIONS(2195),
  },
  [942] = {
    [sym_heredoc_content] = STATE(942),
    [ts_builtin_sym_end] = ACTIONS(2199),
    [sym__identifier] = ACTIONS(2201),
    [anon_sym_LBRACE] = ACTIONS(2201),
    [anon_sym_SEMI] = ACTIONS(2201),
    [anon_sym_package] = ACTIONS(2201),
    [anon_sym_class] = ACTIONS(2201),
    [anon_sym_role] = ACTIONS(2201),
    [anon_sym_BUILD] = ACTIONS(2201),
    [anon_sym_ADJUST] = ACTIONS(2201),
    [anon_sym_DOLLAR] = ACTIONS(2201),
    [anon_sym_AT] = ACTIONS(2201),
    [anon_sym_my] = ACTIONS(2201),
    [anon_sym_extended] = ACTIONS(2201),
    [anon_sym_async] = ACTIONS(2201),
    [anon_sym_sub] = ACTIONS(2201),
    [anon_sym_method] = ACTIONS(2201),
    [anon_sym_LPAREN] = ACTIONS(2201),
    [anon_sym_continue] = ACTIONS(2201),
    [anon_sym_state] = ACTIONS(2201),
    [anon_sym_our] = ACTIONS(2201),
    [anon_sym_try] = ACTIONS(2201),
    [anon_sym_defer] = ACTIONS(2201),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2201),
    [anon_sym_LBRACK] = ACTIONS(2201),
    [anon_sym_LT_LT] = ACTIONS(2201),
    [anon_sym_SLASH_SLASH] = ACTIONS(2201),
    [anon_sym_PLUS] = ACTIONS(2201),
    [anon_sym_DASH] = ACTIONS(2201),
    [anon_sym_TILDE] = ACTIONS(2201),
    [anon_sym_BANG] = ACTIONS(2201),
    [anon_sym_PLUS_PLUS] = ACTIONS(2201),
    [anon_sym_DASH_DASH] = ACTIONS(2201),
    [anon_sym_BSLASH] = ACTIONS(2199),
    [anon_sym_do] = ACTIONS(2201),
    [anon_sym_eval] = ACTIONS(2201),
    [anon_sym_await] = ACTIONS(2201),
    [anon_sym_field] = ACTIONS(2201),
    [anon_sym_local] = ACTIONS(2201),
    [anon_sym_dynamically] = ACTIONS(2201),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2201),
    [anon_sym_require] = ACTIONS(2201),
    [anon_sym_map] = ACTIONS(2201),
    [anon_sym_grep] = ACTIONS(2201),
    [anon_sym_sort] = ACTIONS(2201),
    [anon_sym_goto] = ACTIONS(2201),
    [anon_sym_return] = ACTIONS(2201),
    [anon_sym_undef] = ACTIONS(2201),
    [anon_sym_PERCENT2] = ACTIONS(2201),
    [anon_sym_AMP2] = ACTIONS(2201),
    [anon_sym_STAR2] = ACTIONS(2201),
    [anon_sym_use] = ACTIONS(2201),
    [anon_sym_no] = ACTIONS(2201),
    [anon_sym_for] = ACTIONS(2201),
    [anon_sym_foreach] = ACTIONS(2201),
    [anon_sym_last] = ACTIONS(2201),
    [anon_sym_next] = ACTIONS(2201),
    [anon_sym_redo] = ACTIONS(2201),
    [anon_sym_BEGIN] = ACTIONS(2201),
    [anon_sym_INIT] = ACTIONS(2201),
    [anon_sym_CHECK] = ACTIONS(2201),
    [anon_sym_UNITCHECK] = ACTIONS(2201),
    [anon_sym_END] = ACTIONS(2201),
    [anon_sym___FILE__] = ACTIONS(2201),
    [anon_sym___LINE__] = ACTIONS(2201),
    [anon_sym___PACKAGE__] = ACTIONS(2201),
    [anon_sym___SUB__] = ACTIONS(2201),
    [anon_sym_break] = ACTIONS(2201),
    [anon_sym_fork] = ACTIONS(2201),
    [anon_sym_getppid] = ACTIONS(2201),
    [anon_sym_time] = ACTIONS(2201),
    [anon_sym_times] = ACTIONS(2201),
    [anon_sym_wait] = ACTIONS(2201),
    [anon_sym_wantarray] = ACTIONS(2201),
    [anon_sym_abs] = ACTIONS(2201),
    [anon_sym_alarm] = ACTIONS(2201),
    [anon_sym_chop] = ACTIONS(2201),
    [anon_sym_chdir] = ACTIONS(2201),
    [anon_sym_close] = ACTIONS(2201),
    [anon_sym_closedir] = ACTIONS(2201),
    [anon_sym_caller] = ACTIONS(2201),
    [anon_sym_chomp] = ACTIONS(2201),
    [anon_sym_chr] = ACTIONS(2201),
    [anon_sym_cos] = ACTIONS(2201),
    [anon_sym_chroot] = ACTIONS(2201),
    [anon_sym_defined] = ACTIONS(2201),
    [anon_sym_delete] = ACTIONS(2201),
    [anon_sym_dbmclose] = ACTIONS(2201),
    [anon_sym_exists] = ACTIONS(2201),
    [anon_sym_exit] = ACTIONS(2201),
    [anon_sym_eof] = ACTIONS(2201),
    [anon_sym_exp] = ACTIONS(2201),
    [anon_sym_each] = ACTIONS(2201),
    [anon_sym_fc] = ACTIONS(2201),
    [anon_sym_fileno] = ACTIONS(2201),
    [anon_sym_gmtime] = ACTIONS(2201),
    [anon_sym_getc] = ACTIONS(2201),
    [anon_sym_getpgrp] = ACTIONS(2201),
    [anon_sym_getprotobyname] = ACTIONS(2201),
    [anon_sym_getpwname] = ACTIONS(2201),
    [anon_sym_getpwuid] = ACTIONS(2201),
    [anon_sym_getpeername] = ACTIONS(2201),
    [anon_sym_getnetbyname] = ACTIONS(2201),
    [anon_sym_getsockname] = ACTIONS(2201),
    [anon_sym_getgrnam] = ACTIONS(2201),
    [anon_sym_getgrgid] = ACTIONS(2201),
    [anon_sym_hex] = ACTIONS(2201),
    [anon_sym_int] = ACTIONS(2201),
    [anon_sym_keys] = ACTIONS(2201),
    [anon_sym_lc] = ACTIONS(2201),
    [anon_sym_lcfirst] = ACTIONS(2201),
    [anon_sym_length] = ACTIONS(2201),
    [anon_sym_localtime] = ACTIONS(2201),
    [anon_sym_log] = ACTIONS(2201),
    [anon_sym_lock] = ACTIONS(2201),
    [anon_sym_lstat] = ACTIONS(2201),
    [anon_sym_oct] = ACTIONS(2201),
    [anon_sym_ord] = ACTIONS(2201),
    [anon_sym_prototype] = ACTIONS(2201),
    [anon_sym_pop] = ACTIONS(2201),
    [anon_sym_pos] = ACTIONS(2201),
    [anon_sym_quotemeta] = ACTIONS(2201),
    [anon_sym_reset] = ACTIONS(2201),
    [anon_sym_rand] = ACTIONS(2201),
    [anon_sym_rmdir] = ACTIONS(2201),
    [anon_sym_readdir] = ACTIONS(2201),
    [anon_sym_readline] = ACTIONS(2201),
    [anon_sym_readpipe] = ACTIONS(2201),
    [anon_sym_rewinddir] = ACTIONS(2201),
    [anon_sym_readlink] = ACTIONS(2201),
    [anon_sym_ref] = ACTIONS(2201),
    [anon_sym_scalar] = ACTIONS(2201),
    [anon_sym_shift] = ACTIONS(2201),
    [anon_sym_sin] = ACTIONS(2201),
    [anon_sym_sleep] = ACTIONS(2201),
    [anon_sym_sqrt] = ACTIONS(2201),
    [anon_sym_srand] = ACTIONS(2201),
    [anon_sym_stat] = ACTIONS(2201),
    [anon_sym_study] = ACTIONS(2201),
    [anon_sym_tell] = ACTIONS(2201),
    [anon_sym_telldir] = ACTIONS(2201),
    [anon_sym_tied] = ACTIONS(2201),
    [anon_sym_uc] = ACTIONS(2201),
    [anon_sym_ucfirst] = ACTIONS(2201),
    [anon_sym_untie] = ACTIONS(2201),
    [anon_sym_umask] = ACTIONS(2201),
    [anon_sym_values] = ACTIONS(2201),
    [anon_sym_write] = ACTIONS(2201),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2201),
    [anon_sym___END__] = ACTIONS(2201),
    [anon_sym_EOT] = ACTIONS(2201),
    [anon_sym_q] = ACTIONS(2201),
    [anon_sym_qq] = ACTIONS(2201),
    [anon_sym_qw] = ACTIONS(2201),
    [anon_sym_qx] = ACTIONS(2201),
    [anon_sym_qr] = ACTIONS(2201),
    [anon_sym_m] = ACTIONS(2201),
    [anon_sym_s] = ACTIONS(2201),
    [anon_sym_tr] = ACTIONS(2201),
    [anon_sym_y] = ACTIONS(2201),
    [anon_sym_if] = ACTIONS(2201),
    [anon_sym_unless] = ACTIONS(2201),
    [anon_sym_while] = ACTIONS(2201),
    [anon_sym_until] = ACTIONS(2201),
    [aux_sym__bareword_token1] = ACTIONS(2201),
    [sym_number] = ACTIONS(2201),
    [anon_sym_true] = ACTIONS(2201),
    [anon_sym_false] = ACTIONS(2201),
    [sym__single_quote] = ACTIONS(2199),
    [sym__double_quote] = ACTIONS(2199),
    [sym__backtick_quote] = ACTIONS(2199),
    [sym__search_slash_quote] = ACTIONS(2199),
    [sym__open_readline_bracket] = ACTIONS(2199),
    [sym__open_fileglob_bracket] = ACTIONS(2199),
    [sym__PERLY_HEREDOC] = ACTIONS(2199),
    [sym__ctrl_z_hack] = ACTIONS(2199),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2199),
    [sym__filetest] = ACTIONS(2199),
  },
  [943] = {
    [sym_heredoc_content] = STATE(943),
    [ts_builtin_sym_end] = ACTIONS(2203),
    [sym__identifier] = ACTIONS(2205),
    [anon_sym_LBRACE] = ACTIONS(2205),
    [anon_sym_SEMI] = ACTIONS(2205),
    [anon_sym_package] = ACTIONS(2205),
    [anon_sym_class] = ACTIONS(2205),
    [anon_sym_role] = ACTIONS(2205),
    [anon_sym_BUILD] = ACTIONS(2205),
    [anon_sym_ADJUST] = ACTIONS(2205),
    [anon_sym_DOLLAR] = ACTIONS(2205),
    [anon_sym_AT] = ACTIONS(2205),
    [anon_sym_my] = ACTIONS(2205),
    [anon_sym_extended] = ACTIONS(2205),
    [anon_sym_async] = ACTIONS(2205),
    [anon_sym_sub] = ACTIONS(2205),
    [anon_sym_method] = ACTIONS(2205),
    [anon_sym_LPAREN] = ACTIONS(2205),
    [anon_sym_continue] = ACTIONS(2205),
    [anon_sym_state] = ACTIONS(2205),
    [anon_sym_our] = ACTIONS(2205),
    [anon_sym_try] = ACTIONS(2205),
    [anon_sym_defer] = ACTIONS(2205),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2205),
    [anon_sym_LBRACK] = ACTIONS(2205),
    [anon_sym_LT_LT] = ACTIONS(2205),
    [anon_sym_SLASH_SLASH] = ACTIONS(2205),
    [anon_sym_PLUS] = ACTIONS(2205),
    [anon_sym_DASH] = ACTIONS(2205),
    [anon_sym_TILDE] = ACTIONS(2205),
    [anon_sym_BANG] = ACTIONS(2205),
    [anon_sym_PLUS_PLUS] = ACTIONS(2205),
    [anon_sym_DASH_DASH] = ACTIONS(2205),
    [anon_sym_BSLASH] = ACTIONS(2203),
    [anon_sym_do] = ACTIONS(2205),
    [anon_sym_eval] = ACTIONS(2205),
    [anon_sym_await] = ACTIONS(2205),
    [anon_sym_field] = ACTIONS(2205),
    [anon_sym_local] = ACTIONS(2205),
    [anon_sym_dynamically] = ACTIONS(2205),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2205),
    [anon_sym_require] = ACTIONS(2205),
    [anon_sym_map] = ACTIONS(2205),
    [anon_sym_grep] = ACTIONS(2205),
    [anon_sym_sort] = ACTIONS(2205),
    [anon_sym_goto] = ACTIONS(2205),
    [anon_sym_return] = ACTIONS(2205),
    [anon_sym_undef] = ACTIONS(2205),
    [anon_sym_PERCENT2] = ACTIONS(2205),
    [anon_sym_AMP2] = ACTIONS(2205),
    [anon_sym_STAR2] = ACTIONS(2205),
    [anon_sym_use] = ACTIONS(2205),
    [anon_sym_no] = ACTIONS(2205),
    [anon_sym_for] = ACTIONS(2205),
    [anon_sym_foreach] = ACTIONS(2205),
    [anon_sym_last] = ACTIONS(2205),
    [anon_sym_next] = ACTIONS(2205),
    [anon_sym_redo] = ACTIONS(2205),
    [anon_sym_BEGIN] = ACTIONS(2205),
    [anon_sym_INIT] = ACTIONS(2205),
    [anon_sym_CHECK] = ACTIONS(2205),
    [anon_sym_UNITCHECK] = ACTIONS(2205),
    [anon_sym_END] = ACTIONS(2205),
    [anon_sym___FILE__] = ACTIONS(2205),
    [anon_sym___LINE__] = ACTIONS(2205),
    [anon_sym___PACKAGE__] = ACTIONS(2205),
    [anon_sym___SUB__] = ACTIONS(2205),
    [anon_sym_break] = ACTIONS(2205),
    [anon_sym_fork] = ACTIONS(2205),
    [anon_sym_getppid] = ACTIONS(2205),
    [anon_sym_time] = ACTIONS(2205),
    [anon_sym_times] = ACTIONS(2205),
    [anon_sym_wait] = ACTIONS(2205),
    [anon_sym_wantarray] = ACTIONS(2205),
    [anon_sym_abs] = ACTIONS(2205),
    [anon_sym_alarm] = ACTIONS(2205),
    [anon_sym_chop] = ACTIONS(2205),
    [anon_sym_chdir] = ACTIONS(2205),
    [anon_sym_close] = ACTIONS(2205),
    [anon_sym_closedir] = ACTIONS(2205),
    [anon_sym_caller] = ACTIONS(2205),
    [anon_sym_chomp] = ACTIONS(2205),
    [anon_sym_chr] = ACTIONS(2205),
    [anon_sym_cos] = ACTIONS(2205),
    [anon_sym_chroot] = ACTIONS(2205),
    [anon_sym_defined] = ACTIONS(2205),
    [anon_sym_delete] = ACTIONS(2205),
    [anon_sym_dbmclose] = ACTIONS(2205),
    [anon_sym_exists] = ACTIONS(2205),
    [anon_sym_exit] = ACTIONS(2205),
    [anon_sym_eof] = ACTIONS(2205),
    [anon_sym_exp] = ACTIONS(2205),
    [anon_sym_each] = ACTIONS(2205),
    [anon_sym_fc] = ACTIONS(2205),
    [anon_sym_fileno] = ACTIONS(2205),
    [anon_sym_gmtime] = ACTIONS(2205),
    [anon_sym_getc] = ACTIONS(2205),
    [anon_sym_getpgrp] = ACTIONS(2205),
    [anon_sym_getprotobyname] = ACTIONS(2205),
    [anon_sym_getpwname] = ACTIONS(2205),
    [anon_sym_getpwuid] = ACTIONS(2205),
    [anon_sym_getpeername] = ACTIONS(2205),
    [anon_sym_getnetbyname] = ACTIONS(2205),
    [anon_sym_getsockname] = ACTIONS(2205),
    [anon_sym_getgrnam] = ACTIONS(2205),
    [anon_sym_getgrgid] = ACTIONS(2205),
    [anon_sym_hex] = ACTIONS(2205),
    [anon_sym_int] = ACTIONS(2205),
    [anon_sym_keys] = ACTIONS(2205),
    [anon_sym_lc] = ACTIONS(2205),
    [anon_sym_lcfirst] = ACTIONS(2205),
    [anon_sym_length] = ACTIONS(2205),
    [anon_sym_localtime] = ACTIONS(2205),
    [anon_sym_log] = ACTIONS(2205),
    [anon_sym_lock] = ACTIONS(2205),
    [anon_sym_lstat] = ACTIONS(2205),
    [anon_sym_oct] = ACTIONS(2205),
    [anon_sym_ord] = ACTIONS(2205),
    [anon_sym_prototype] = ACTIONS(2205),
    [anon_sym_pop] = ACTIONS(2205),
    [anon_sym_pos] = ACTIONS(2205),
    [anon_sym_quotemeta] = ACTIONS(2205),
    [anon_sym_reset] = ACTIONS(2205),
    [anon_sym_rand] = ACTIONS(2205),
    [anon_sym_rmdir] = ACTIONS(2205),
    [anon_sym_readdir] = ACTIONS(2205),
    [anon_sym_readline] = ACTIONS(2205),
    [anon_sym_readpipe] = ACTIONS(2205),
    [anon_sym_rewinddir] = ACTIONS(2205),
    [anon_sym_readlink] = ACTIONS(2205),
    [anon_sym_ref] = ACTIONS(2205),
    [anon_sym_scalar] = ACTIONS(2205),
    [anon_sym_shift] = ACTIONS(2205),
    [anon_sym_sin] = ACTIONS(2205),
    [anon_sym_sleep] = ACTIONS(2205),
    [anon_sym_sqrt] = ACTIONS(2205),
    [anon_sym_srand] = ACTIONS(2205),
    [anon_sym_stat] = ACTIONS(2205),
    [anon_sym_study] = ACTIONS(2205),
    [anon_sym_tell] = ACTIONS(2205),
    [anon_sym_telldir] = ACTIONS(2205),
    [anon_sym_tied] = ACTIONS(2205),
    [anon_sym_uc] = ACTIONS(2205),
    [anon_sym_ucfirst] = ACTIONS(2205),
    [anon_sym_untie] = ACTIONS(2205),
    [anon_sym_umask] = ACTIONS(2205),
    [anon_sym_values] = ACTIONS(2205),
    [anon_sym_write] = ACTIONS(2205),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2205),
    [anon_sym___END__] = ACTIONS(2205),
    [anon_sym_EOT] = ACTIONS(2205),
    [anon_sym_q] = ACTIONS(2205),
    [anon_sym_qq] = ACTIONS(2205),
    [anon_sym_qw] = ACTIONS(2205),
    [anon_sym_qx] = ACTIONS(2205),
    [anon_sym_qr] = ACTIONS(2205),
    [anon_sym_m] = ACTIONS(2205),
    [anon_sym_s] = ACTIONS(2205),
    [anon_sym_tr] = ACTIONS(2205),
    [anon_sym_y] = ACTIONS(2205),
    [anon_sym_if] = ACTIONS(2205),
    [anon_sym_unless] = ACTIONS(2205),
    [anon_sym_while] = ACTIONS(2205),
    [anon_sym_until] = ACTIONS(2205),
    [aux_sym__bareword_token1] = ACTIONS(2205),
    [sym_number] = ACTIONS(2205),
    [anon_sym_true] = ACTIONS(2205),
    [anon_sym_false] = ACTIONS(2205),
    [sym__single_quote] = ACTIONS(2203),
    [sym__double_quote] = ACTIONS(2203),
    [sym__backtick_quote] = ACTIONS(2203),
    [sym__search_slash_quote] = ACTIONS(2203),
    [sym__open_readline_bracket] = ACTIONS(2203),
    [sym__open_fileglob_bracket] = ACTIONS(2203),
    [sym__PERLY_HEREDOC] = ACTIONS(2203),
    [sym__ctrl_z_hack] = ACTIONS(2203),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2203),
    [sym__filetest] = ACTIONS(2203),
  },
  [944] = {
    [sym_heredoc_content] = STATE(944),
    [ts_builtin_sym_end] = ACTIONS(2207),
    [sym__identifier] = ACTIONS(2209),
    [anon_sym_LBRACE] = ACTIONS(2209),
    [anon_sym_SEMI] = ACTIONS(2209),
    [anon_sym_package] = ACTIONS(2209),
    [anon_sym_class] = ACTIONS(2209),
    [anon_sym_role] = ACTIONS(2209),
    [anon_sym_BUILD] = ACTIONS(2209),
    [anon_sym_ADJUST] = ACTIONS(2209),
    [anon_sym_DOLLAR] = ACTIONS(2209),
    [anon_sym_AT] = ACTIONS(2209),
    [anon_sym_my] = ACTIONS(2209),
    [anon_sym_extended] = ACTIONS(2209),
    [anon_sym_async] = ACTIONS(2209),
    [anon_sym_sub] = ACTIONS(2209),
    [anon_sym_method] = ACTIONS(2209),
    [anon_sym_LPAREN] = ACTIONS(2209),
    [anon_sym_continue] = ACTIONS(2209),
    [anon_sym_state] = ACTIONS(2209),
    [anon_sym_our] = ACTIONS(2209),
    [anon_sym_try] = ACTIONS(2209),
    [anon_sym_defer] = ACTIONS(2209),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2209),
    [anon_sym_LBRACK] = ACTIONS(2209),
    [anon_sym_LT_LT] = ACTIONS(2209),
    [anon_sym_SLASH_SLASH] = ACTIONS(2209),
    [anon_sym_PLUS] = ACTIONS(2209),
    [anon_sym_DASH] = ACTIONS(2209),
    [anon_sym_TILDE] = ACTIONS(2209),
    [anon_sym_BANG] = ACTIONS(2209),
    [anon_sym_PLUS_PLUS] = ACTIONS(2209),
    [anon_sym_DASH_DASH] = ACTIONS(2209),
    [anon_sym_BSLASH] = ACTIONS(2207),
    [anon_sym_do] = ACTIONS(2209),
    [anon_sym_eval] = ACTIONS(2209),
    [anon_sym_await] = ACTIONS(2209),
    [anon_sym_field] = ACTIONS(2209),
    [anon_sym_local] = ACTIONS(2209),
    [anon_sym_dynamically] = ACTIONS(2209),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2209),
    [anon_sym_require] = ACTIONS(2209),
    [anon_sym_map] = ACTIONS(2209),
    [anon_sym_grep] = ACTIONS(2209),
    [anon_sym_sort] = ACTIONS(2209),
    [anon_sym_goto] = ACTIONS(2209),
    [anon_sym_return] = ACTIONS(2209),
    [anon_sym_undef] = ACTIONS(2209),
    [anon_sym_PERCENT2] = ACTIONS(2209),
    [anon_sym_AMP2] = ACTIONS(2209),
    [anon_sym_STAR2] = ACTIONS(2209),
    [anon_sym_use] = ACTIONS(2209),
    [anon_sym_no] = ACTIONS(2209),
    [anon_sym_for] = ACTIONS(2209),
    [anon_sym_foreach] = ACTIONS(2209),
    [anon_sym_last] = ACTIONS(2209),
    [anon_sym_next] = ACTIONS(2209),
    [anon_sym_redo] = ACTIONS(2209),
    [anon_sym_BEGIN] = ACTIONS(2209),
    [anon_sym_INIT] = ACTIONS(2209),
    [anon_sym_CHECK] = ACTIONS(2209),
    [anon_sym_UNITCHECK] = ACTIONS(2209),
    [anon_sym_END] = ACTIONS(2209),
    [anon_sym___FILE__] = ACTIONS(2209),
    [anon_sym___LINE__] = ACTIONS(2209),
    [anon_sym___PACKAGE__] = ACTIONS(2209),
    [anon_sym___SUB__] = ACTIONS(2209),
    [anon_sym_break] = ACTIONS(2209),
    [anon_sym_fork] = ACTIONS(2209),
    [anon_sym_getppid] = ACTIONS(2209),
    [anon_sym_time] = ACTIONS(2209),
    [anon_sym_times] = ACTIONS(2209),
    [anon_sym_wait] = ACTIONS(2209),
    [anon_sym_wantarray] = ACTIONS(2209),
    [anon_sym_abs] = ACTIONS(2209),
    [anon_sym_alarm] = ACTIONS(2209),
    [anon_sym_chop] = ACTIONS(2209),
    [anon_sym_chdir] = ACTIONS(2209),
    [anon_sym_close] = ACTIONS(2209),
    [anon_sym_closedir] = ACTIONS(2209),
    [anon_sym_caller] = ACTIONS(2209),
    [anon_sym_chomp] = ACTIONS(2209),
    [anon_sym_chr] = ACTIONS(2209),
    [anon_sym_cos] = ACTIONS(2209),
    [anon_sym_chroot] = ACTIONS(2209),
    [anon_sym_defined] = ACTIONS(2209),
    [anon_sym_delete] = ACTIONS(2209),
    [anon_sym_dbmclose] = ACTIONS(2209),
    [anon_sym_exists] = ACTIONS(2209),
    [anon_sym_exit] = ACTIONS(2209),
    [anon_sym_eof] = ACTIONS(2209),
    [anon_sym_exp] = ACTIONS(2209),
    [anon_sym_each] = ACTIONS(2209),
    [anon_sym_fc] = ACTIONS(2209),
    [anon_sym_fileno] = ACTIONS(2209),
    [anon_sym_gmtime] = ACTIONS(2209),
    [anon_sym_getc] = ACTIONS(2209),
    [anon_sym_getpgrp] = ACTIONS(2209),
    [anon_sym_getprotobyname] = ACTIONS(2209),
    [anon_sym_getpwname] = ACTIONS(2209),
    [anon_sym_getpwuid] = ACTIONS(2209),
    [anon_sym_getpeername] = ACTIONS(2209),
    [anon_sym_getnetbyname] = ACTIONS(2209),
    [anon_sym_getsockname] = ACTIONS(2209),
    [anon_sym_getgrnam] = ACTIONS(2209),
    [anon_sym_getgrgid] = ACTIONS(2209),
    [anon_sym_hex] = ACTIONS(2209),
    [anon_sym_int] = ACTIONS(2209),
    [anon_sym_keys] = ACTIONS(2209),
    [anon_sym_lc] = ACTIONS(2209),
    [anon_sym_lcfirst] = ACTIONS(2209),
    [anon_sym_length] = ACTIONS(2209),
    [anon_sym_localtime] = ACTIONS(2209),
    [anon_sym_log] = ACTIONS(2209),
    [anon_sym_lock] = ACTIONS(2209),
    [anon_sym_lstat] = ACTIONS(2209),
    [anon_sym_oct] = ACTIONS(2209),
    [anon_sym_ord] = ACTIONS(2209),
    [anon_sym_prototype] = ACTIONS(2209),
    [anon_sym_pop] = ACTIONS(2209),
    [anon_sym_pos] = ACTIONS(2209),
    [anon_sym_quotemeta] = ACTIONS(2209),
    [anon_sym_reset] = ACTIONS(2209),
    [anon_sym_rand] = ACTIONS(2209),
    [anon_sym_rmdir] = ACTIONS(2209),
    [anon_sym_readdir] = ACTIONS(2209),
    [anon_sym_readline] = ACTIONS(2209),
    [anon_sym_readpipe] = ACTIONS(2209),
    [anon_sym_rewinddir] = ACTIONS(2209),
    [anon_sym_readlink] = ACTIONS(2209),
    [anon_sym_ref] = ACTIONS(2209),
    [anon_sym_scalar] = ACTIONS(2209),
    [anon_sym_shift] = ACTIONS(2209),
    [anon_sym_sin] = ACTIONS(2209),
    [anon_sym_sleep] = ACTIONS(2209),
    [anon_sym_sqrt] = ACTIONS(2209),
    [anon_sym_srand] = ACTIONS(2209),
    [anon_sym_stat] = ACTIONS(2209),
    [anon_sym_study] = ACTIONS(2209),
    [anon_sym_tell] = ACTIONS(2209),
    [anon_sym_telldir] = ACTIONS(2209),
    [anon_sym_tied] = ACTIONS(2209),
    [anon_sym_uc] = ACTIONS(2209),
    [anon_sym_ucfirst] = ACTIONS(2209),
    [anon_sym_untie] = ACTIONS(2209),
    [anon_sym_umask] = ACTIONS(2209),
    [anon_sym_values] = ACTIONS(2209),
    [anon_sym_write] = ACTIONS(2209),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2209),
    [anon_sym___END__] = ACTIONS(2209),
    [anon_sym_EOT] = ACTIONS(2209),
    [anon_sym_q] = ACTIONS(2209),
    [anon_sym_qq] = ACTIONS(2209),
    [anon_sym_qw] = ACTIONS(2209),
    [anon_sym_qx] = ACTIONS(2209),
    [anon_sym_qr] = ACTIONS(2209),
    [anon_sym_m] = ACTIONS(2209),
    [anon_sym_s] = ACTIONS(2209),
    [anon_sym_tr] = ACTIONS(2209),
    [anon_sym_y] = ACTIONS(2209),
    [anon_sym_if] = ACTIONS(2209),
    [anon_sym_unless] = ACTIONS(2209),
    [anon_sym_while] = ACTIONS(2209),
    [anon_sym_until] = ACTIONS(2209),
    [aux_sym__bareword_token1] = ACTIONS(2209),
    [sym_number] = ACTIONS(2209),
    [anon_sym_true] = ACTIONS(2209),
    [anon_sym_false] = ACTIONS(2209),
    [sym__single_quote] = ACTIONS(2207),
    [sym__double_quote] = ACTIONS(2207),
    [sym__backtick_quote] = ACTIONS(2207),
    [sym__search_slash_quote] = ACTIONS(2207),
    [sym__open_readline_bracket] = ACTIONS(2207),
    [sym__open_fileglob_bracket] = ACTIONS(2207),
    [sym__PERLY_HEREDOC] = ACTIONS(2207),
    [sym__ctrl_z_hack] = ACTIONS(2207),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2207),
    [sym__filetest] = ACTIONS(2207),
  },
  [945] = {
    [sym_heredoc_content] = STATE(945),
    [ts_builtin_sym_end] = ACTIONS(2211),
    [sym__identifier] = ACTIONS(2213),
    [anon_sym_LBRACE] = ACTIONS(2213),
    [anon_sym_SEMI] = ACTIONS(2213),
    [anon_sym_package] = ACTIONS(2213),
    [anon_sym_class] = ACTIONS(2213),
    [anon_sym_role] = ACTIONS(2213),
    [anon_sym_BUILD] = ACTIONS(2213),
    [anon_sym_ADJUST] = ACTIONS(2213),
    [anon_sym_DOLLAR] = ACTIONS(2213),
    [anon_sym_AT] = ACTIONS(2213),
    [anon_sym_my] = ACTIONS(2213),
    [anon_sym_extended] = ACTIONS(2213),
    [anon_sym_async] = ACTIONS(2213),
    [anon_sym_sub] = ACTIONS(2213),
    [anon_sym_method] = ACTIONS(2213),
    [anon_sym_LPAREN] = ACTIONS(2213),
    [anon_sym_continue] = ACTIONS(2213),
    [anon_sym_state] = ACTIONS(2213),
    [anon_sym_our] = ACTIONS(2213),
    [anon_sym_try] = ACTIONS(2213),
    [anon_sym_defer] = ACTIONS(2213),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2213),
    [anon_sym_LBRACK] = ACTIONS(2213),
    [anon_sym_LT_LT] = ACTIONS(2213),
    [anon_sym_SLASH_SLASH] = ACTIONS(2213),
    [anon_sym_PLUS] = ACTIONS(2213),
    [anon_sym_DASH] = ACTIONS(2213),
    [anon_sym_TILDE] = ACTIONS(2213),
    [anon_sym_BANG] = ACTIONS(2213),
    [anon_sym_PLUS_PLUS] = ACTIONS(2213),
    [anon_sym_DASH_DASH] = ACTIONS(2213),
    [anon_sym_BSLASH] = ACTIONS(2211),
    [anon_sym_do] = ACTIONS(2213),
    [anon_sym_eval] = ACTIONS(2213),
    [anon_sym_await] = ACTIONS(2213),
    [anon_sym_field] = ACTIONS(2213),
    [anon_sym_local] = ACTIONS(2213),
    [anon_sym_dynamically] = ACTIONS(2213),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2213),
    [anon_sym_require] = ACTIONS(2213),
    [anon_sym_map] = ACTIONS(2213),
    [anon_sym_grep] = ACTIONS(2213),
    [anon_sym_sort] = ACTIONS(2213),
    [anon_sym_goto] = ACTIONS(2213),
    [anon_sym_return] = ACTIONS(2213),
    [anon_sym_undef] = ACTIONS(2213),
    [anon_sym_PERCENT2] = ACTIONS(2213),
    [anon_sym_AMP2] = ACTIONS(2213),
    [anon_sym_STAR2] = ACTIONS(2213),
    [anon_sym_use] = ACTIONS(2213),
    [anon_sym_no] = ACTIONS(2213),
    [anon_sym_for] = ACTIONS(2213),
    [anon_sym_foreach] = ACTIONS(2213),
    [anon_sym_last] = ACTIONS(2213),
    [anon_sym_next] = ACTIONS(2213),
    [anon_sym_redo] = ACTIONS(2213),
    [anon_sym_BEGIN] = ACTIONS(2213),
    [anon_sym_INIT] = ACTIONS(2213),
    [anon_sym_CHECK] = ACTIONS(2213),
    [anon_sym_UNITCHECK] = ACTIONS(2213),
    [anon_sym_END] = ACTIONS(2213),
    [anon_sym___FILE__] = ACTIONS(2213),
    [anon_sym___LINE__] = ACTIONS(2213),
    [anon_sym___PACKAGE__] = ACTIONS(2213),
    [anon_sym___SUB__] = ACTIONS(2213),
    [anon_sym_break] = ACTIONS(2213),
    [anon_sym_fork] = ACTIONS(2213),
    [anon_sym_getppid] = ACTIONS(2213),
    [anon_sym_time] = ACTIONS(2213),
    [anon_sym_times] = ACTIONS(2213),
    [anon_sym_wait] = ACTIONS(2213),
    [anon_sym_wantarray] = ACTIONS(2213),
    [anon_sym_abs] = ACTIONS(2213),
    [anon_sym_alarm] = ACTIONS(2213),
    [anon_sym_chop] = ACTIONS(2213),
    [anon_sym_chdir] = ACTIONS(2213),
    [anon_sym_close] = ACTIONS(2213),
    [anon_sym_closedir] = ACTIONS(2213),
    [anon_sym_caller] = ACTIONS(2213),
    [anon_sym_chomp] = ACTIONS(2213),
    [anon_sym_chr] = ACTIONS(2213),
    [anon_sym_cos] = ACTIONS(2213),
    [anon_sym_chroot] = ACTIONS(2213),
    [anon_sym_defined] = ACTIONS(2213),
    [anon_sym_delete] = ACTIONS(2213),
    [anon_sym_dbmclose] = ACTIONS(2213),
    [anon_sym_exists] = ACTIONS(2213),
    [anon_sym_exit] = ACTIONS(2213),
    [anon_sym_eof] = ACTIONS(2213),
    [anon_sym_exp] = ACTIONS(2213),
    [anon_sym_each] = ACTIONS(2213),
    [anon_sym_fc] = ACTIONS(2213),
    [anon_sym_fileno] = ACTIONS(2213),
    [anon_sym_gmtime] = ACTIONS(2213),
    [anon_sym_getc] = ACTIONS(2213),
    [anon_sym_getpgrp] = ACTIONS(2213),
    [anon_sym_getprotobyname] = ACTIONS(2213),
    [anon_sym_getpwname] = ACTIONS(2213),
    [anon_sym_getpwuid] = ACTIONS(2213),
    [anon_sym_getpeername] = ACTIONS(2213),
    [anon_sym_getnetbyname] = ACTIONS(2213),
    [anon_sym_getsockname] = ACTIONS(2213),
    [anon_sym_getgrnam] = ACTIONS(2213),
    [anon_sym_getgrgid] = ACTIONS(2213),
    [anon_sym_hex] = ACTIONS(2213),
    [anon_sym_int] = ACTIONS(2213),
    [anon_sym_keys] = ACTIONS(2213),
    [anon_sym_lc] = ACTIONS(2213),
    [anon_sym_lcfirst] = ACTIONS(2213),
    [anon_sym_length] = ACTIONS(2213),
    [anon_sym_localtime] = ACTIONS(2213),
    [anon_sym_log] = ACTIONS(2213),
    [anon_sym_lock] = ACTIONS(2213),
    [anon_sym_lstat] = ACTIONS(2213),
    [anon_sym_oct] = ACTIONS(2213),
    [anon_sym_ord] = ACTIONS(2213),
    [anon_sym_prototype] = ACTIONS(2213),
    [anon_sym_pop] = ACTIONS(2213),
    [anon_sym_pos] = ACTIONS(2213),
    [anon_sym_quotemeta] = ACTIONS(2213),
    [anon_sym_reset] = ACTIONS(2213),
    [anon_sym_rand] = ACTIONS(2213),
    [anon_sym_rmdir] = ACTIONS(2213),
    [anon_sym_readdir] = ACTIONS(2213),
    [anon_sym_readline] = ACTIONS(2213),
    [anon_sym_readpipe] = ACTIONS(2213),
    [anon_sym_rewinddir] = ACTIONS(2213),
    [anon_sym_readlink] = ACTIONS(2213),
    [anon_sym_ref] = ACTIONS(2213),
    [anon_sym_scalar] = ACTIONS(2213),
    [anon_sym_shift] = ACTIONS(2213),
    [anon_sym_sin] = ACTIONS(2213),
    [anon_sym_sleep] = ACTIONS(2213),
    [anon_sym_sqrt] = ACTIONS(2213),
    [anon_sym_srand] = ACTIONS(2213),
    [anon_sym_stat] = ACTIONS(2213),
    [anon_sym_study] = ACTIONS(2213),
    [anon_sym_tell] = ACTIONS(2213),
    [anon_sym_telldir] = ACTIONS(2213),
    [anon_sym_tied] = ACTIONS(2213),
    [anon_sym_uc] = ACTIONS(2213),
    [anon_sym_ucfirst] = ACTIONS(2213),
    [anon_sym_untie] = ACTIONS(2213),
    [anon_sym_umask] = ACTIONS(2213),
    [anon_sym_values] = ACTIONS(2213),
    [anon_sym_write] = ACTIONS(2213),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2213),
    [anon_sym___END__] = ACTIONS(2213),
    [anon_sym_EOT] = ACTIONS(2213),
    [anon_sym_q] = ACTIONS(2213),
    [anon_sym_qq] = ACTIONS(2213),
    [anon_sym_qw] = ACTIONS(2213),
    [anon_sym_qx] = ACTIONS(2213),
    [anon_sym_qr] = ACTIONS(2213),
    [anon_sym_m] = ACTIONS(2213),
    [anon_sym_s] = ACTIONS(2213),
    [anon_sym_tr] = ACTIONS(2213),
    [anon_sym_y] = ACTIONS(2213),
    [anon_sym_if] = ACTIONS(2213),
    [anon_sym_unless] = ACTIONS(2213),
    [anon_sym_while] = ACTIONS(2213),
    [anon_sym_until] = ACTIONS(2213),
    [aux_sym__bareword_token1] = ACTIONS(2213),
    [sym_number] = ACTIONS(2213),
    [anon_sym_true] = ACTIONS(2213),
    [anon_sym_false] = ACTIONS(2213),
    [sym__single_quote] = ACTIONS(2211),
    [sym__double_quote] = ACTIONS(2211),
    [sym__backtick_quote] = ACTIONS(2211),
    [sym__search_slash_quote] = ACTIONS(2211),
    [sym__open_readline_bracket] = ACTIONS(2211),
    [sym__open_fileglob_bracket] = ACTIONS(2211),
    [sym__PERLY_HEREDOC] = ACTIONS(2211),
    [sym__ctrl_z_hack] = ACTIONS(2211),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2211),
    [sym__filetest] = ACTIONS(2211),
  },
  [946] = {
    [sym_heredoc_content] = STATE(946),
    [ts_builtin_sym_end] = ACTIONS(2215),
    [sym__identifier] = ACTIONS(2217),
    [anon_sym_LBRACE] = ACTIONS(2217),
    [anon_sym_SEMI] = ACTIONS(2217),
    [anon_sym_package] = ACTIONS(2217),
    [anon_sym_class] = ACTIONS(2217),
    [anon_sym_role] = ACTIONS(2217),
    [anon_sym_BUILD] = ACTIONS(2217),
    [anon_sym_ADJUST] = ACTIONS(2217),
    [anon_sym_DOLLAR] = ACTIONS(2217),
    [anon_sym_AT] = ACTIONS(2217),
    [anon_sym_my] = ACTIONS(2217),
    [anon_sym_extended] = ACTIONS(2217),
    [anon_sym_async] = ACTIONS(2217),
    [anon_sym_sub] = ACTIONS(2217),
    [anon_sym_method] = ACTIONS(2217),
    [anon_sym_LPAREN] = ACTIONS(2217),
    [anon_sym_continue] = ACTIONS(2217),
    [anon_sym_state] = ACTIONS(2217),
    [anon_sym_our] = ACTIONS(2217),
    [anon_sym_try] = ACTIONS(2217),
    [anon_sym_defer] = ACTIONS(2217),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2217),
    [anon_sym_LBRACK] = ACTIONS(2217),
    [anon_sym_LT_LT] = ACTIONS(2217),
    [anon_sym_SLASH_SLASH] = ACTIONS(2217),
    [anon_sym_PLUS] = ACTIONS(2217),
    [anon_sym_DASH] = ACTIONS(2217),
    [anon_sym_TILDE] = ACTIONS(2217),
    [anon_sym_BANG] = ACTIONS(2217),
    [anon_sym_PLUS_PLUS] = ACTIONS(2217),
    [anon_sym_DASH_DASH] = ACTIONS(2217),
    [anon_sym_BSLASH] = ACTIONS(2215),
    [anon_sym_do] = ACTIONS(2217),
    [anon_sym_eval] = ACTIONS(2217),
    [anon_sym_await] = ACTIONS(2217),
    [anon_sym_field] = ACTIONS(2217),
    [anon_sym_local] = ACTIONS(2217),
    [anon_sym_dynamically] = ACTIONS(2217),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2217),
    [anon_sym_require] = ACTIONS(2217),
    [anon_sym_map] = ACTIONS(2217),
    [anon_sym_grep] = ACTIONS(2217),
    [anon_sym_sort] = ACTIONS(2217),
    [anon_sym_goto] = ACTIONS(2217),
    [anon_sym_return] = ACTIONS(2217),
    [anon_sym_undef] = ACTIONS(2217),
    [anon_sym_PERCENT2] = ACTIONS(2217),
    [anon_sym_AMP2] = ACTIONS(2217),
    [anon_sym_STAR2] = ACTIONS(2217),
    [anon_sym_use] = ACTIONS(2217),
    [anon_sym_no] = ACTIONS(2217),
    [anon_sym_for] = ACTIONS(2217),
    [anon_sym_foreach] = ACTIONS(2217),
    [anon_sym_last] = ACTIONS(2217),
    [anon_sym_next] = ACTIONS(2217),
    [anon_sym_redo] = ACTIONS(2217),
    [anon_sym_BEGIN] = ACTIONS(2217),
    [anon_sym_INIT] = ACTIONS(2217),
    [anon_sym_CHECK] = ACTIONS(2217),
    [anon_sym_UNITCHECK] = ACTIONS(2217),
    [anon_sym_END] = ACTIONS(2217),
    [anon_sym___FILE__] = ACTIONS(2217),
    [anon_sym___LINE__] = ACTIONS(2217),
    [anon_sym___PACKAGE__] = ACTIONS(2217),
    [anon_sym___SUB__] = ACTIONS(2217),
    [anon_sym_break] = ACTIONS(2217),
    [anon_sym_fork] = ACTIONS(2217),
    [anon_sym_getppid] = ACTIONS(2217),
    [anon_sym_time] = ACTIONS(2217),
    [anon_sym_times] = ACTIONS(2217),
    [anon_sym_wait] = ACTIONS(2217),
    [anon_sym_wantarray] = ACTIONS(2217),
    [anon_sym_abs] = ACTIONS(2217),
    [anon_sym_alarm] = ACTIONS(2217),
    [anon_sym_chop] = ACTIONS(2217),
    [anon_sym_chdir] = ACTIONS(2217),
    [anon_sym_close] = ACTIONS(2217),
    [anon_sym_closedir] = ACTIONS(2217),
    [anon_sym_caller] = ACTIONS(2217),
    [anon_sym_chomp] = ACTIONS(2217),
    [anon_sym_chr] = ACTIONS(2217),
    [anon_sym_cos] = ACTIONS(2217),
    [anon_sym_chroot] = ACTIONS(2217),
    [anon_sym_defined] = ACTIONS(2217),
    [anon_sym_delete] = ACTIONS(2217),
    [anon_sym_dbmclose] = ACTIONS(2217),
    [anon_sym_exists] = ACTIONS(2217),
    [anon_sym_exit] = ACTIONS(2217),
    [anon_sym_eof] = ACTIONS(2217),
    [anon_sym_exp] = ACTIONS(2217),
    [anon_sym_each] = ACTIONS(2217),
    [anon_sym_fc] = ACTIONS(2217),
    [anon_sym_fileno] = ACTIONS(2217),
    [anon_sym_gmtime] = ACTIONS(2217),
    [anon_sym_getc] = ACTIONS(2217),
    [anon_sym_getpgrp] = ACTIONS(2217),
    [anon_sym_getprotobyname] = ACTIONS(2217),
    [anon_sym_getpwname] = ACTIONS(2217),
    [anon_sym_getpwuid] = ACTIONS(2217),
    [anon_sym_getpeername] = ACTIONS(2217),
    [anon_sym_getnetbyname] = ACTIONS(2217),
    [anon_sym_getsockname] = ACTIONS(2217),
    [anon_sym_getgrnam] = ACTIONS(2217),
    [anon_sym_getgrgid] = ACTIONS(2217),
    [anon_sym_hex] = ACTIONS(2217),
    [anon_sym_int] = ACTIONS(2217),
    [anon_sym_keys] = ACTIONS(2217),
    [anon_sym_lc] = ACTIONS(2217),
    [anon_sym_lcfirst] = ACTIONS(2217),
    [anon_sym_length] = ACTIONS(2217),
    [anon_sym_localtime] = ACTIONS(2217),
    [anon_sym_log] = ACTIONS(2217),
    [anon_sym_lock] = ACTIONS(2217),
    [anon_sym_lstat] = ACTIONS(2217),
    [anon_sym_oct] = ACTIONS(2217),
    [anon_sym_ord] = ACTIONS(2217),
    [anon_sym_prototype] = ACTIONS(2217),
    [anon_sym_pop] = ACTIONS(2217),
    [anon_sym_pos] = ACTIONS(2217),
    [anon_sym_quotemeta] = ACTIONS(2217),
    [anon_sym_reset] = ACTIONS(2217),
    [anon_sym_rand] = ACTIONS(2217),
    [anon_sym_rmdir] = ACTIONS(2217),
    [anon_sym_readdir] = ACTIONS(2217),
    [anon_sym_readline] = ACTIONS(2217),
    [anon_sym_readpipe] = ACTIONS(2217),
    [anon_sym_rewinddir] = ACTIONS(2217),
    [anon_sym_readlink] = ACTIONS(2217),
    [anon_sym_ref] = ACTIONS(2217),
    [anon_sym_scalar] = ACTIONS(2217),
    [anon_sym_shift] = ACTIONS(2217),
    [anon_sym_sin] = ACTIONS(2217),
    [anon_sym_sleep] = ACTIONS(2217),
    [anon_sym_sqrt] = ACTIONS(2217),
    [anon_sym_srand] = ACTIONS(2217),
    [anon_sym_stat] = ACTIONS(2217),
    [anon_sym_study] = ACTIONS(2217),
    [anon_sym_tell] = ACTIONS(2217),
    [anon_sym_telldir] = ACTIONS(2217),
    [anon_sym_tied] = ACTIONS(2217),
    [anon_sym_uc] = ACTIONS(2217),
    [anon_sym_ucfirst] = ACTIONS(2217),
    [anon_sym_untie] = ACTIONS(2217),
    [anon_sym_umask] = ACTIONS(2217),
    [anon_sym_values] = ACTIONS(2217),
    [anon_sym_write] = ACTIONS(2217),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2217),
    [anon_sym___END__] = ACTIONS(2217),
    [anon_sym_EOT] = ACTIONS(2217),
    [anon_sym_q] = ACTIONS(2217),
    [anon_sym_qq] = ACTIONS(2217),
    [anon_sym_qw] = ACTIONS(2217),
    [anon_sym_qx] = ACTIONS(2217),
    [anon_sym_qr] = ACTIONS(2217),
    [anon_sym_m] = ACTIONS(2217),
    [anon_sym_s] = ACTIONS(2217),
    [anon_sym_tr] = ACTIONS(2217),
    [anon_sym_y] = ACTIONS(2217),
    [anon_sym_if] = ACTIONS(2217),
    [anon_sym_unless] = ACTIONS(2217),
    [anon_sym_while] = ACTIONS(2217),
    [anon_sym_until] = ACTIONS(2217),
    [aux_sym__bareword_token1] = ACTIONS(2217),
    [sym_number] = ACTIONS(2217),
    [anon_sym_true] = ACTIONS(2217),
    [anon_sym_false] = ACTIONS(2217),
    [sym__single_quote] = ACTIONS(2215),
    [sym__double_quote] = ACTIONS(2215),
    [sym__backtick_quote] = ACTIONS(2215),
    [sym__search_slash_quote] = ACTIONS(2215),
    [sym__open_readline_bracket] = ACTIONS(2215),
    [sym__open_fileglob_bracket] = ACTIONS(2215),
    [sym__PERLY_HEREDOC] = ACTIONS(2215),
    [sym__ctrl_z_hack] = ACTIONS(2215),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2215),
    [sym__filetest] = ACTIONS(2215),
  },
  [947] = {
    [sym_heredoc_content] = STATE(947),
    [ts_builtin_sym_end] = ACTIONS(2219),
    [sym__identifier] = ACTIONS(2221),
    [anon_sym_LBRACE] = ACTIONS(2221),
    [anon_sym_SEMI] = ACTIONS(2221),
    [anon_sym_package] = ACTIONS(2221),
    [anon_sym_class] = ACTIONS(2221),
    [anon_sym_role] = ACTIONS(2221),
    [anon_sym_BUILD] = ACTIONS(2221),
    [anon_sym_ADJUST] = ACTIONS(2221),
    [anon_sym_DOLLAR] = ACTIONS(2221),
    [anon_sym_AT] = ACTIONS(2221),
    [anon_sym_my] = ACTIONS(2221),
    [anon_sym_extended] = ACTIONS(2221),
    [anon_sym_async] = ACTIONS(2221),
    [anon_sym_sub] = ACTIONS(2221),
    [anon_sym_method] = ACTIONS(2221),
    [anon_sym_LPAREN] = ACTIONS(2221),
    [anon_sym_continue] = ACTIONS(2221),
    [anon_sym_state] = ACTIONS(2221),
    [anon_sym_our] = ACTIONS(2221),
    [anon_sym_try] = ACTIONS(2221),
    [anon_sym_defer] = ACTIONS(2221),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2221),
    [anon_sym_LBRACK] = ACTIONS(2221),
    [anon_sym_LT_LT] = ACTIONS(2221),
    [anon_sym_SLASH_SLASH] = ACTIONS(2221),
    [anon_sym_PLUS] = ACTIONS(2221),
    [anon_sym_DASH] = ACTIONS(2221),
    [anon_sym_TILDE] = ACTIONS(2221),
    [anon_sym_BANG] = ACTIONS(2221),
    [anon_sym_PLUS_PLUS] = ACTIONS(2221),
    [anon_sym_DASH_DASH] = ACTIONS(2221),
    [anon_sym_BSLASH] = ACTIONS(2219),
    [anon_sym_do] = ACTIONS(2221),
    [anon_sym_eval] = ACTIONS(2221),
    [anon_sym_await] = ACTIONS(2221),
    [anon_sym_field] = ACTIONS(2221),
    [anon_sym_local] = ACTIONS(2221),
    [anon_sym_dynamically] = ACTIONS(2221),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2221),
    [anon_sym_require] = ACTIONS(2221),
    [anon_sym_map] = ACTIONS(2221),
    [anon_sym_grep] = ACTIONS(2221),
    [anon_sym_sort] = ACTIONS(2221),
    [anon_sym_goto] = ACTIONS(2221),
    [anon_sym_return] = ACTIONS(2221),
    [anon_sym_undef] = ACTIONS(2221),
    [anon_sym_PERCENT2] = ACTIONS(2221),
    [anon_sym_AMP2] = ACTIONS(2221),
    [anon_sym_STAR2] = ACTIONS(2221),
    [anon_sym_use] = ACTIONS(2221),
    [anon_sym_no] = ACTIONS(2221),
    [anon_sym_for] = ACTIONS(2221),
    [anon_sym_foreach] = ACTIONS(2221),
    [anon_sym_last] = ACTIONS(2221),
    [anon_sym_next] = ACTIONS(2221),
    [anon_sym_redo] = ACTIONS(2221),
    [anon_sym_BEGIN] = ACTIONS(2221),
    [anon_sym_INIT] = ACTIONS(2221),
    [anon_sym_CHECK] = ACTIONS(2221),
    [anon_sym_UNITCHECK] = ACTIONS(2221),
    [anon_sym_END] = ACTIONS(2221),
    [anon_sym___FILE__] = ACTIONS(2221),
    [anon_sym___LINE__] = ACTIONS(2221),
    [anon_sym___PACKAGE__] = ACTIONS(2221),
    [anon_sym___SUB__] = ACTIONS(2221),
    [anon_sym_break] = ACTIONS(2221),
    [anon_sym_fork] = ACTIONS(2221),
    [anon_sym_getppid] = ACTIONS(2221),
    [anon_sym_time] = ACTIONS(2221),
    [anon_sym_times] = ACTIONS(2221),
    [anon_sym_wait] = ACTIONS(2221),
    [anon_sym_wantarray] = ACTIONS(2221),
    [anon_sym_abs] = ACTIONS(2221),
    [anon_sym_alarm] = ACTIONS(2221),
    [anon_sym_chop] = ACTIONS(2221),
    [anon_sym_chdir] = ACTIONS(2221),
    [anon_sym_close] = ACTIONS(2221),
    [anon_sym_closedir] = ACTIONS(2221),
    [anon_sym_caller] = ACTIONS(2221),
    [anon_sym_chomp] = ACTIONS(2221),
    [anon_sym_chr] = ACTIONS(2221),
    [anon_sym_cos] = ACTIONS(2221),
    [anon_sym_chroot] = ACTIONS(2221),
    [anon_sym_defined] = ACTIONS(2221),
    [anon_sym_delete] = ACTIONS(2221),
    [anon_sym_dbmclose] = ACTIONS(2221),
    [anon_sym_exists] = ACTIONS(2221),
    [anon_sym_exit] = ACTIONS(2221),
    [anon_sym_eof] = ACTIONS(2221),
    [anon_sym_exp] = ACTIONS(2221),
    [anon_sym_each] = ACTIONS(2221),
    [anon_sym_fc] = ACTIONS(2221),
    [anon_sym_fileno] = ACTIONS(2221),
    [anon_sym_gmtime] = ACTIONS(2221),
    [anon_sym_getc] = ACTIONS(2221),
    [anon_sym_getpgrp] = ACTIONS(2221),
    [anon_sym_getprotobyname] = ACTIONS(2221),
    [anon_sym_getpwname] = ACTIONS(2221),
    [anon_sym_getpwuid] = ACTIONS(2221),
    [anon_sym_getpeername] = ACTIONS(2221),
    [anon_sym_getnetbyname] = ACTIONS(2221),
    [anon_sym_getsockname] = ACTIONS(2221),
    [anon_sym_getgrnam] = ACTIONS(2221),
    [anon_sym_getgrgid] = ACTIONS(2221),
    [anon_sym_hex] = ACTIONS(2221),
    [anon_sym_int] = ACTIONS(2221),
    [anon_sym_keys] = ACTIONS(2221),
    [anon_sym_lc] = ACTIONS(2221),
    [anon_sym_lcfirst] = ACTIONS(2221),
    [anon_sym_length] = ACTIONS(2221),
    [anon_sym_localtime] = ACTIONS(2221),
    [anon_sym_log] = ACTIONS(2221),
    [anon_sym_lock] = ACTIONS(2221),
    [anon_sym_lstat] = ACTIONS(2221),
    [anon_sym_oct] = ACTIONS(2221),
    [anon_sym_ord] = ACTIONS(2221),
    [anon_sym_prototype] = ACTIONS(2221),
    [anon_sym_pop] = ACTIONS(2221),
    [anon_sym_pos] = ACTIONS(2221),
    [anon_sym_quotemeta] = ACTIONS(2221),
    [anon_sym_reset] = ACTIONS(2221),
    [anon_sym_rand] = ACTIONS(2221),
    [anon_sym_rmdir] = ACTIONS(2221),
    [anon_sym_readdir] = ACTIONS(2221),
    [anon_sym_readline] = ACTIONS(2221),
    [anon_sym_readpipe] = ACTIONS(2221),
    [anon_sym_rewinddir] = ACTIONS(2221),
    [anon_sym_readlink] = ACTIONS(2221),
    [anon_sym_ref] = ACTIONS(2221),
    [anon_sym_scalar] = ACTIONS(2221),
    [anon_sym_shift] = ACTIONS(2221),
    [anon_sym_sin] = ACTIONS(2221),
    [anon_sym_sleep] = ACTIONS(2221),
    [anon_sym_sqrt] = ACTIONS(2221),
    [anon_sym_srand] = ACTIONS(2221),
    [anon_sym_stat] = ACTIONS(2221),
    [anon_sym_study] = ACTIONS(2221),
    [anon_sym_tell] = ACTIONS(2221),
    [anon_sym_telldir] = ACTIONS(2221),
    [anon_sym_tied] = ACTIONS(2221),
    [anon_sym_uc] = ACTIONS(2221),
    [anon_sym_ucfirst] = ACTIONS(2221),
    [anon_sym_untie] = ACTIONS(2221),
    [anon_sym_umask] = ACTIONS(2221),
    [anon_sym_values] = ACTIONS(2221),
    [anon_sym_write] = ACTIONS(2221),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2221),
    [anon_sym___END__] = ACTIONS(2221),
    [anon_sym_EOT] = ACTIONS(2221),
    [anon_sym_q] = ACTIONS(2221),
    [anon_sym_qq] = ACTIONS(2221),
    [anon_sym_qw] = ACTIONS(2221),
    [anon_sym_qx] = ACTIONS(2221),
    [anon_sym_qr] = ACTIONS(2221),
    [anon_sym_m] = ACTIONS(2221),
    [anon_sym_s] = ACTIONS(2221),
    [anon_sym_tr] = ACTIONS(2221),
    [anon_sym_y] = ACTIONS(2221),
    [anon_sym_if] = ACTIONS(2221),
    [anon_sym_unless] = ACTIONS(2221),
    [anon_sym_while] = ACTIONS(2221),
    [anon_sym_until] = ACTIONS(2221),
    [aux_sym__bareword_token1] = ACTIONS(2221),
    [sym_number] = ACTIONS(2221),
    [anon_sym_true] = ACTIONS(2221),
    [anon_sym_false] = ACTIONS(2221),
    [sym__single_quote] = ACTIONS(2219),
    [sym__double_quote] = ACTIONS(2219),
    [sym__backtick_quote] = ACTIONS(2219),
    [sym__search_slash_quote] = ACTIONS(2219),
    [sym__open_readline_bracket] = ACTIONS(2219),
    [sym__open_fileglob_bracket] = ACTIONS(2219),
    [sym__PERLY_HEREDOC] = ACTIONS(2219),
    [sym__ctrl_z_hack] = ACTIONS(2219),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2219),
    [sym__filetest] = ACTIONS(2219),
  },
  [948] = {
    [sym_heredoc_content] = STATE(948),
    [ts_builtin_sym_end] = ACTIONS(2223),
    [sym__identifier] = ACTIONS(2225),
    [anon_sym_LBRACE] = ACTIONS(2225),
    [anon_sym_SEMI] = ACTIONS(2225),
    [anon_sym_package] = ACTIONS(2225),
    [anon_sym_class] = ACTIONS(2225),
    [anon_sym_role] = ACTIONS(2225),
    [anon_sym_BUILD] = ACTIONS(2225),
    [anon_sym_ADJUST] = ACTIONS(2225),
    [anon_sym_DOLLAR] = ACTIONS(2225),
    [anon_sym_AT] = ACTIONS(2225),
    [anon_sym_my] = ACTIONS(2225),
    [anon_sym_extended] = ACTIONS(2225),
    [anon_sym_async] = ACTIONS(2225),
    [anon_sym_sub] = ACTIONS(2225),
    [anon_sym_method] = ACTIONS(2225),
    [anon_sym_LPAREN] = ACTIONS(2225),
    [anon_sym_continue] = ACTIONS(2225),
    [anon_sym_state] = ACTIONS(2225),
    [anon_sym_our] = ACTIONS(2225),
    [anon_sym_try] = ACTIONS(2225),
    [anon_sym_defer] = ACTIONS(2225),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2225),
    [anon_sym_LBRACK] = ACTIONS(2225),
    [anon_sym_LT_LT] = ACTIONS(2225),
    [anon_sym_SLASH_SLASH] = ACTIONS(2225),
    [anon_sym_PLUS] = ACTIONS(2225),
    [anon_sym_DASH] = ACTIONS(2225),
    [anon_sym_TILDE] = ACTIONS(2225),
    [anon_sym_BANG] = ACTIONS(2225),
    [anon_sym_PLUS_PLUS] = ACTIONS(2225),
    [anon_sym_DASH_DASH] = ACTIONS(2225),
    [anon_sym_BSLASH] = ACTIONS(2223),
    [anon_sym_do] = ACTIONS(2225),
    [anon_sym_eval] = ACTIONS(2225),
    [anon_sym_await] = ACTIONS(2225),
    [anon_sym_field] = ACTIONS(2225),
    [anon_sym_local] = ACTIONS(2225),
    [anon_sym_dynamically] = ACTIONS(2225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2225),
    [anon_sym_require] = ACTIONS(2225),
    [anon_sym_map] = ACTIONS(2225),
    [anon_sym_grep] = ACTIONS(2225),
    [anon_sym_sort] = ACTIONS(2225),
    [anon_sym_goto] = ACTIONS(2225),
    [anon_sym_return] = ACTIONS(2225),
    [anon_sym_undef] = ACTIONS(2225),
    [anon_sym_PERCENT2] = ACTIONS(2225),
    [anon_sym_AMP2] = ACTIONS(2225),
    [anon_sym_STAR2] = ACTIONS(2225),
    [anon_sym_use] = ACTIONS(2225),
    [anon_sym_no] = ACTIONS(2225),
    [anon_sym_for] = ACTIONS(2225),
    [anon_sym_foreach] = ACTIONS(2225),
    [anon_sym_last] = ACTIONS(2225),
    [anon_sym_next] = ACTIONS(2225),
    [anon_sym_redo] = ACTIONS(2225),
    [anon_sym_BEGIN] = ACTIONS(2225),
    [anon_sym_INIT] = ACTIONS(2225),
    [anon_sym_CHECK] = ACTIONS(2225),
    [anon_sym_UNITCHECK] = ACTIONS(2225),
    [anon_sym_END] = ACTIONS(2225),
    [anon_sym___FILE__] = ACTIONS(2225),
    [anon_sym___LINE__] = ACTIONS(2225),
    [anon_sym___PACKAGE__] = ACTIONS(2225),
    [anon_sym___SUB__] = ACTIONS(2225),
    [anon_sym_break] = ACTIONS(2225),
    [anon_sym_fork] = ACTIONS(2225),
    [anon_sym_getppid] = ACTIONS(2225),
    [anon_sym_time] = ACTIONS(2225),
    [anon_sym_times] = ACTIONS(2225),
    [anon_sym_wait] = ACTIONS(2225),
    [anon_sym_wantarray] = ACTIONS(2225),
    [anon_sym_abs] = ACTIONS(2225),
    [anon_sym_alarm] = ACTIONS(2225),
    [anon_sym_chop] = ACTIONS(2225),
    [anon_sym_chdir] = ACTIONS(2225),
    [anon_sym_close] = ACTIONS(2225),
    [anon_sym_closedir] = ACTIONS(2225),
    [anon_sym_caller] = ACTIONS(2225),
    [anon_sym_chomp] = ACTIONS(2225),
    [anon_sym_chr] = ACTIONS(2225),
    [anon_sym_cos] = ACTIONS(2225),
    [anon_sym_chroot] = ACTIONS(2225),
    [anon_sym_defined] = ACTIONS(2225),
    [anon_sym_delete] = ACTIONS(2225),
    [anon_sym_dbmclose] = ACTIONS(2225),
    [anon_sym_exists] = ACTIONS(2225),
    [anon_sym_exit] = ACTIONS(2225),
    [anon_sym_eof] = ACTIONS(2225),
    [anon_sym_exp] = ACTIONS(2225),
    [anon_sym_each] = ACTIONS(2225),
    [anon_sym_fc] = ACTIONS(2225),
    [anon_sym_fileno] = ACTIONS(2225),
    [anon_sym_gmtime] = ACTIONS(2225),
    [anon_sym_getc] = ACTIONS(2225),
    [anon_sym_getpgrp] = ACTIONS(2225),
    [anon_sym_getprotobyname] = ACTIONS(2225),
    [anon_sym_getpwname] = ACTIONS(2225),
    [anon_sym_getpwuid] = ACTIONS(2225),
    [anon_sym_getpeername] = ACTIONS(2225),
    [anon_sym_getnetbyname] = ACTIONS(2225),
    [anon_sym_getsockname] = ACTIONS(2225),
    [anon_sym_getgrnam] = ACTIONS(2225),
    [anon_sym_getgrgid] = ACTIONS(2225),
    [anon_sym_hex] = ACTIONS(2225),
    [anon_sym_int] = ACTIONS(2225),
    [anon_sym_keys] = ACTIONS(2225),
    [anon_sym_lc] = ACTIONS(2225),
    [anon_sym_lcfirst] = ACTIONS(2225),
    [anon_sym_length] = ACTIONS(2225),
    [anon_sym_localtime] = ACTIONS(2225),
    [anon_sym_log] = ACTIONS(2225),
    [anon_sym_lock] = ACTIONS(2225),
    [anon_sym_lstat] = ACTIONS(2225),
    [anon_sym_oct] = ACTIONS(2225),
    [anon_sym_ord] = ACTIONS(2225),
    [anon_sym_prototype] = ACTIONS(2225),
    [anon_sym_pop] = ACTIONS(2225),
    [anon_sym_pos] = ACTIONS(2225),
    [anon_sym_quotemeta] = ACTIONS(2225),
    [anon_sym_reset] = ACTIONS(2225),
    [anon_sym_rand] = ACTIONS(2225),
    [anon_sym_rmdir] = ACTIONS(2225),
    [anon_sym_readdir] = ACTIONS(2225),
    [anon_sym_readline] = ACTIONS(2225),
    [anon_sym_readpipe] = ACTIONS(2225),
    [anon_sym_rewinddir] = ACTIONS(2225),
    [anon_sym_readlink] = ACTIONS(2225),
    [anon_sym_ref] = ACTIONS(2225),
    [anon_sym_scalar] = ACTIONS(2225),
    [anon_sym_shift] = ACTIONS(2225),
    [anon_sym_sin] = ACTIONS(2225),
    [anon_sym_sleep] = ACTIONS(2225),
    [anon_sym_sqrt] = ACTIONS(2225),
    [anon_sym_srand] = ACTIONS(2225),
    [anon_sym_stat] = ACTIONS(2225),
    [anon_sym_study] = ACTIONS(2225),
    [anon_sym_tell] = ACTIONS(2225),
    [anon_sym_telldir] = ACTIONS(2225),
    [anon_sym_tied] = ACTIONS(2225),
    [anon_sym_uc] = ACTIONS(2225),
    [anon_sym_ucfirst] = ACTIONS(2225),
    [anon_sym_untie] = ACTIONS(2225),
    [anon_sym_umask] = ACTIONS(2225),
    [anon_sym_values] = ACTIONS(2225),
    [anon_sym_write] = ACTIONS(2225),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2225),
    [anon_sym___END__] = ACTIONS(2225),
    [anon_sym_EOT] = ACTIONS(2225),
    [anon_sym_q] = ACTIONS(2225),
    [anon_sym_qq] = ACTIONS(2225),
    [anon_sym_qw] = ACTIONS(2225),
    [anon_sym_qx] = ACTIONS(2225),
    [anon_sym_qr] = ACTIONS(2225),
    [anon_sym_m] = ACTIONS(2225),
    [anon_sym_s] = ACTIONS(2225),
    [anon_sym_tr] = ACTIONS(2225),
    [anon_sym_y] = ACTIONS(2225),
    [anon_sym_if] = ACTIONS(2225),
    [anon_sym_unless] = ACTIONS(2225),
    [anon_sym_while] = ACTIONS(2225),
    [anon_sym_until] = ACTIONS(2225),
    [aux_sym__bareword_token1] = ACTIONS(2225),
    [sym_number] = ACTIONS(2225),
    [anon_sym_true] = ACTIONS(2225),
    [anon_sym_false] = ACTIONS(2225),
    [sym__single_quote] = ACTIONS(2223),
    [sym__double_quote] = ACTIONS(2223),
    [sym__backtick_quote] = ACTIONS(2223),
    [sym__search_slash_quote] = ACTIONS(2223),
    [sym__open_readline_bracket] = ACTIONS(2223),
    [sym__open_fileglob_bracket] = ACTIONS(2223),
    [sym__PERLY_HEREDOC] = ACTIONS(2223),
    [sym__ctrl_z_hack] = ACTIONS(2223),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2223),
    [sym__filetest] = ACTIONS(2223),
  },
  [949] = {
    [sym_heredoc_content] = STATE(949),
    [ts_builtin_sym_end] = ACTIONS(2227),
    [sym__identifier] = ACTIONS(2229),
    [anon_sym_LBRACE] = ACTIONS(2229),
    [anon_sym_SEMI] = ACTIONS(2229),
    [anon_sym_package] = ACTIONS(2229),
    [anon_sym_class] = ACTIONS(2229),
    [anon_sym_role] = ACTIONS(2229),
    [anon_sym_BUILD] = ACTIONS(2229),
    [anon_sym_ADJUST] = ACTIONS(2229),
    [anon_sym_DOLLAR] = ACTIONS(2229),
    [anon_sym_AT] = ACTIONS(2229),
    [anon_sym_my] = ACTIONS(2229),
    [anon_sym_extended] = ACTIONS(2229),
    [anon_sym_async] = ACTIONS(2229),
    [anon_sym_sub] = ACTIONS(2229),
    [anon_sym_method] = ACTIONS(2229),
    [anon_sym_LPAREN] = ACTIONS(2229),
    [anon_sym_continue] = ACTIONS(2229),
    [anon_sym_state] = ACTIONS(2229),
    [anon_sym_our] = ACTIONS(2229),
    [anon_sym_try] = ACTIONS(2229),
    [anon_sym_defer] = ACTIONS(2229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2229),
    [anon_sym_LBRACK] = ACTIONS(2229),
    [anon_sym_LT_LT] = ACTIONS(2229),
    [anon_sym_SLASH_SLASH] = ACTIONS(2229),
    [anon_sym_PLUS] = ACTIONS(2229),
    [anon_sym_DASH] = ACTIONS(2229),
    [anon_sym_TILDE] = ACTIONS(2229),
    [anon_sym_BANG] = ACTIONS(2229),
    [anon_sym_PLUS_PLUS] = ACTIONS(2229),
    [anon_sym_DASH_DASH] = ACTIONS(2229),
    [anon_sym_BSLASH] = ACTIONS(2227),
    [anon_sym_do] = ACTIONS(2229),
    [anon_sym_eval] = ACTIONS(2229),
    [anon_sym_await] = ACTIONS(2229),
    [anon_sym_field] = ACTIONS(2229),
    [anon_sym_local] = ACTIONS(2229),
    [anon_sym_dynamically] = ACTIONS(2229),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2229),
    [anon_sym_require] = ACTIONS(2229),
    [anon_sym_map] = ACTIONS(2229),
    [anon_sym_grep] = ACTIONS(2229),
    [anon_sym_sort] = ACTIONS(2229),
    [anon_sym_goto] = ACTIONS(2229),
    [anon_sym_return] = ACTIONS(2229),
    [anon_sym_undef] = ACTIONS(2229),
    [anon_sym_PERCENT2] = ACTIONS(2229),
    [anon_sym_AMP2] = ACTIONS(2229),
    [anon_sym_STAR2] = ACTIONS(2229),
    [anon_sym_use] = ACTIONS(2229),
    [anon_sym_no] = ACTIONS(2229),
    [anon_sym_for] = ACTIONS(2229),
    [anon_sym_foreach] = ACTIONS(2229),
    [anon_sym_last] = ACTIONS(2229),
    [anon_sym_next] = ACTIONS(2229),
    [anon_sym_redo] = ACTIONS(2229),
    [anon_sym_BEGIN] = ACTIONS(2229),
    [anon_sym_INIT] = ACTIONS(2229),
    [anon_sym_CHECK] = ACTIONS(2229),
    [anon_sym_UNITCHECK] = ACTIONS(2229),
    [anon_sym_END] = ACTIONS(2229),
    [anon_sym___FILE__] = ACTIONS(2229),
    [anon_sym___LINE__] = ACTIONS(2229),
    [anon_sym___PACKAGE__] = ACTIONS(2229),
    [anon_sym___SUB__] = ACTIONS(2229),
    [anon_sym_break] = ACTIONS(2229),
    [anon_sym_fork] = ACTIONS(2229),
    [anon_sym_getppid] = ACTIONS(2229),
    [anon_sym_time] = ACTIONS(2229),
    [anon_sym_times] = ACTIONS(2229),
    [anon_sym_wait] = ACTIONS(2229),
    [anon_sym_wantarray] = ACTIONS(2229),
    [anon_sym_abs] = ACTIONS(2229),
    [anon_sym_alarm] = ACTIONS(2229),
    [anon_sym_chop] = ACTIONS(2229),
    [anon_sym_chdir] = ACTIONS(2229),
    [anon_sym_close] = ACTIONS(2229),
    [anon_sym_closedir] = ACTIONS(2229),
    [anon_sym_caller] = ACTIONS(2229),
    [anon_sym_chomp] = ACTIONS(2229),
    [anon_sym_chr] = ACTIONS(2229),
    [anon_sym_cos] = ACTIONS(2229),
    [anon_sym_chroot] = ACTIONS(2229),
    [anon_sym_defined] = ACTIONS(2229),
    [anon_sym_delete] = ACTIONS(2229),
    [anon_sym_dbmclose] = ACTIONS(2229),
    [anon_sym_exists] = ACTIONS(2229),
    [anon_sym_exit] = ACTIONS(2229),
    [anon_sym_eof] = ACTIONS(2229),
    [anon_sym_exp] = ACTIONS(2229),
    [anon_sym_each] = ACTIONS(2229),
    [anon_sym_fc] = ACTIONS(2229),
    [anon_sym_fileno] = ACTIONS(2229),
    [anon_sym_gmtime] = ACTIONS(2229),
    [anon_sym_getc] = ACTIONS(2229),
    [anon_sym_getpgrp] = ACTIONS(2229),
    [anon_sym_getprotobyname] = ACTIONS(2229),
    [anon_sym_getpwname] = ACTIONS(2229),
    [anon_sym_getpwuid] = ACTIONS(2229),
    [anon_sym_getpeername] = ACTIONS(2229),
    [anon_sym_getnetbyname] = ACTIONS(2229),
    [anon_sym_getsockname] = ACTIONS(2229),
    [anon_sym_getgrnam] = ACTIONS(2229),
    [anon_sym_getgrgid] = ACTIONS(2229),
    [anon_sym_hex] = ACTIONS(2229),
    [anon_sym_int] = ACTIONS(2229),
    [anon_sym_keys] = ACTIONS(2229),
    [anon_sym_lc] = ACTIONS(2229),
    [anon_sym_lcfirst] = ACTIONS(2229),
    [anon_sym_length] = ACTIONS(2229),
    [anon_sym_localtime] = ACTIONS(2229),
    [anon_sym_log] = ACTIONS(2229),
    [anon_sym_lock] = ACTIONS(2229),
    [anon_sym_lstat] = ACTIONS(2229),
    [anon_sym_oct] = ACTIONS(2229),
    [anon_sym_ord] = ACTIONS(2229),
    [anon_sym_prototype] = ACTIONS(2229),
    [anon_sym_pop] = ACTIONS(2229),
    [anon_sym_pos] = ACTIONS(2229),
    [anon_sym_quotemeta] = ACTIONS(2229),
    [anon_sym_reset] = ACTIONS(2229),
    [anon_sym_rand] = ACTIONS(2229),
    [anon_sym_rmdir] = ACTIONS(2229),
    [anon_sym_readdir] = ACTIONS(2229),
    [anon_sym_readline] = ACTIONS(2229),
    [anon_sym_readpipe] = ACTIONS(2229),
    [anon_sym_rewinddir] = ACTIONS(2229),
    [anon_sym_readlink] = ACTIONS(2229),
    [anon_sym_ref] = ACTIONS(2229),
    [anon_sym_scalar] = ACTIONS(2229),
    [anon_sym_shift] = ACTIONS(2229),
    [anon_sym_sin] = ACTIONS(2229),
    [anon_sym_sleep] = ACTIONS(2229),
    [anon_sym_sqrt] = ACTIONS(2229),
    [anon_sym_srand] = ACTIONS(2229),
    [anon_sym_stat] = ACTIONS(2229),
    [anon_sym_study] = ACTIONS(2229),
    [anon_sym_tell] = ACTIONS(2229),
    [anon_sym_telldir] = ACTIONS(2229),
    [anon_sym_tied] = ACTIONS(2229),
    [anon_sym_uc] = ACTIONS(2229),
    [anon_sym_ucfirst] = ACTIONS(2229),
    [anon_sym_untie] = ACTIONS(2229),
    [anon_sym_umask] = ACTIONS(2229),
    [anon_sym_values] = ACTIONS(2229),
    [anon_sym_write] = ACTIONS(2229),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2229),
    [anon_sym___END__] = ACTIONS(2229),
    [anon_sym_EOT] = ACTIONS(2229),
    [anon_sym_q] = ACTIONS(2229),
    [anon_sym_qq] = ACTIONS(2229),
    [anon_sym_qw] = ACTIONS(2229),
    [anon_sym_qx] = ACTIONS(2229),
    [anon_sym_qr] = ACTIONS(2229),
    [anon_sym_m] = ACTIONS(2229),
    [anon_sym_s] = ACTIONS(2229),
    [anon_sym_tr] = ACTIONS(2229),
    [anon_sym_y] = ACTIONS(2229),
    [anon_sym_if] = ACTIONS(2229),
    [anon_sym_unless] = ACTIONS(2229),
    [anon_sym_while] = ACTIONS(2229),
    [anon_sym_until] = ACTIONS(2229),
    [aux_sym__bareword_token1] = ACTIONS(2229),
    [sym_number] = ACTIONS(2229),
    [anon_sym_true] = ACTIONS(2229),
    [anon_sym_false] = ACTIONS(2229),
    [sym__single_quote] = ACTIONS(2227),
    [sym__double_quote] = ACTIONS(2227),
    [sym__backtick_quote] = ACTIONS(2227),
    [sym__search_slash_quote] = ACTIONS(2227),
    [sym__open_readline_bracket] = ACTIONS(2227),
    [sym__open_fileglob_bracket] = ACTIONS(2227),
    [sym__PERLY_HEREDOC] = ACTIONS(2227),
    [sym__ctrl_z_hack] = ACTIONS(2227),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2227),
    [sym__filetest] = ACTIONS(2227),
  },
  [950] = {
    [sym_heredoc_content] = STATE(950),
    [ts_builtin_sym_end] = ACTIONS(2231),
    [sym__identifier] = ACTIONS(2233),
    [anon_sym_LBRACE] = ACTIONS(2233),
    [anon_sym_SEMI] = ACTIONS(2233),
    [anon_sym_package] = ACTIONS(2233),
    [anon_sym_class] = ACTIONS(2233),
    [anon_sym_role] = ACTIONS(2233),
    [anon_sym_BUILD] = ACTIONS(2233),
    [anon_sym_ADJUST] = ACTIONS(2233),
    [anon_sym_DOLLAR] = ACTIONS(2233),
    [anon_sym_AT] = ACTIONS(2233),
    [anon_sym_my] = ACTIONS(2233),
    [anon_sym_extended] = ACTIONS(2233),
    [anon_sym_async] = ACTIONS(2233),
    [anon_sym_sub] = ACTIONS(2233),
    [anon_sym_method] = ACTIONS(2233),
    [anon_sym_LPAREN] = ACTIONS(2233),
    [anon_sym_continue] = ACTIONS(2233),
    [anon_sym_state] = ACTIONS(2233),
    [anon_sym_our] = ACTIONS(2233),
    [anon_sym_try] = ACTIONS(2233),
    [anon_sym_defer] = ACTIONS(2233),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2233),
    [anon_sym_LBRACK] = ACTIONS(2233),
    [anon_sym_LT_LT] = ACTIONS(2233),
    [anon_sym_SLASH_SLASH] = ACTIONS(2233),
    [anon_sym_PLUS] = ACTIONS(2233),
    [anon_sym_DASH] = ACTIONS(2233),
    [anon_sym_TILDE] = ACTIONS(2233),
    [anon_sym_BANG] = ACTIONS(2233),
    [anon_sym_PLUS_PLUS] = ACTIONS(2233),
    [anon_sym_DASH_DASH] = ACTIONS(2233),
    [anon_sym_BSLASH] = ACTIONS(2231),
    [anon_sym_do] = ACTIONS(2233),
    [anon_sym_eval] = ACTIONS(2233),
    [anon_sym_await] = ACTIONS(2233),
    [anon_sym_field] = ACTIONS(2233),
    [anon_sym_local] = ACTIONS(2233),
    [anon_sym_dynamically] = ACTIONS(2233),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2233),
    [anon_sym_require] = ACTIONS(2233),
    [anon_sym_map] = ACTIONS(2233),
    [anon_sym_grep] = ACTIONS(2233),
    [anon_sym_sort] = ACTIONS(2233),
    [anon_sym_goto] = ACTIONS(2233),
    [anon_sym_return] = ACTIONS(2233),
    [anon_sym_undef] = ACTIONS(2233),
    [anon_sym_PERCENT2] = ACTIONS(2233),
    [anon_sym_AMP2] = ACTIONS(2233),
    [anon_sym_STAR2] = ACTIONS(2233),
    [anon_sym_use] = ACTIONS(2233),
    [anon_sym_no] = ACTIONS(2233),
    [anon_sym_for] = ACTIONS(2233),
    [anon_sym_foreach] = ACTIONS(2233),
    [anon_sym_last] = ACTIONS(2233),
    [anon_sym_next] = ACTIONS(2233),
    [anon_sym_redo] = ACTIONS(2233),
    [anon_sym_BEGIN] = ACTIONS(2233),
    [anon_sym_INIT] = ACTIONS(2233),
    [anon_sym_CHECK] = ACTIONS(2233),
    [anon_sym_UNITCHECK] = ACTIONS(2233),
    [anon_sym_END] = ACTIONS(2233),
    [anon_sym___FILE__] = ACTIONS(2233),
    [anon_sym___LINE__] = ACTIONS(2233),
    [anon_sym___PACKAGE__] = ACTIONS(2233),
    [anon_sym___SUB__] = ACTIONS(2233),
    [anon_sym_break] = ACTIONS(2233),
    [anon_sym_fork] = ACTIONS(2233),
    [anon_sym_getppid] = ACTIONS(2233),
    [anon_sym_time] = ACTIONS(2233),
    [anon_sym_times] = ACTIONS(2233),
    [anon_sym_wait] = ACTIONS(2233),
    [anon_sym_wantarray] = ACTIONS(2233),
    [anon_sym_abs] = ACTIONS(2233),
    [anon_sym_alarm] = ACTIONS(2233),
    [anon_sym_chop] = ACTIONS(2233),
    [anon_sym_chdir] = ACTIONS(2233),
    [anon_sym_close] = ACTIONS(2233),
    [anon_sym_closedir] = ACTIONS(2233),
    [anon_sym_caller] = ACTIONS(2233),
    [anon_sym_chomp] = ACTIONS(2233),
    [anon_sym_chr] = ACTIONS(2233),
    [anon_sym_cos] = ACTIONS(2233),
    [anon_sym_chroot] = ACTIONS(2233),
    [anon_sym_defined] = ACTIONS(2233),
    [anon_sym_delete] = ACTIONS(2233),
    [anon_sym_dbmclose] = ACTIONS(2233),
    [anon_sym_exists] = ACTIONS(2233),
    [anon_sym_exit] = ACTIONS(2233),
    [anon_sym_eof] = ACTIONS(2233),
    [anon_sym_exp] = ACTIONS(2233),
    [anon_sym_each] = ACTIONS(2233),
    [anon_sym_fc] = ACTIONS(2233),
    [anon_sym_fileno] = ACTIONS(2233),
    [anon_sym_gmtime] = ACTIONS(2233),
    [anon_sym_getc] = ACTIONS(2233),
    [anon_sym_getpgrp] = ACTIONS(2233),
    [anon_sym_getprotobyname] = ACTIONS(2233),
    [anon_sym_getpwname] = ACTIONS(2233),
    [anon_sym_getpwuid] = ACTIONS(2233),
    [anon_sym_getpeername] = ACTIONS(2233),
    [anon_sym_getnetbyname] = ACTIONS(2233),
    [anon_sym_getsockname] = ACTIONS(2233),
    [anon_sym_getgrnam] = ACTIONS(2233),
    [anon_sym_getgrgid] = ACTIONS(2233),
    [anon_sym_hex] = ACTIONS(2233),
    [anon_sym_int] = ACTIONS(2233),
    [anon_sym_keys] = ACTIONS(2233),
    [anon_sym_lc] = ACTIONS(2233),
    [anon_sym_lcfirst] = ACTIONS(2233),
    [anon_sym_length] = ACTIONS(2233),
    [anon_sym_localtime] = ACTIONS(2233),
    [anon_sym_log] = ACTIONS(2233),
    [anon_sym_lock] = ACTIONS(2233),
    [anon_sym_lstat] = ACTIONS(2233),
    [anon_sym_oct] = ACTIONS(2233),
    [anon_sym_ord] = ACTIONS(2233),
    [anon_sym_prototype] = ACTIONS(2233),
    [anon_sym_pop] = ACTIONS(2233),
    [anon_sym_pos] = ACTIONS(2233),
    [anon_sym_quotemeta] = ACTIONS(2233),
    [anon_sym_reset] = ACTIONS(2233),
    [anon_sym_rand] = ACTIONS(2233),
    [anon_sym_rmdir] = ACTIONS(2233),
    [anon_sym_readdir] = ACTIONS(2233),
    [anon_sym_readline] = ACTIONS(2233),
    [anon_sym_readpipe] = ACTIONS(2233),
    [anon_sym_rewinddir] = ACTIONS(2233),
    [anon_sym_readlink] = ACTIONS(2233),
    [anon_sym_ref] = ACTIONS(2233),
    [anon_sym_scalar] = ACTIONS(2233),
    [anon_sym_shift] = ACTIONS(2233),
    [anon_sym_sin] = ACTIONS(2233),
    [anon_sym_sleep] = ACTIONS(2233),
    [anon_sym_sqrt] = ACTIONS(2233),
    [anon_sym_srand] = ACTIONS(2233),
    [anon_sym_stat] = ACTIONS(2233),
    [anon_sym_study] = ACTIONS(2233),
    [anon_sym_tell] = ACTIONS(2233),
    [anon_sym_telldir] = ACTIONS(2233),
    [anon_sym_tied] = ACTIONS(2233),
    [anon_sym_uc] = ACTIONS(2233),
    [anon_sym_ucfirst] = ACTIONS(2233),
    [anon_sym_untie] = ACTIONS(2233),
    [anon_sym_umask] = ACTIONS(2233),
    [anon_sym_values] = ACTIONS(2233),
    [anon_sym_write] = ACTIONS(2233),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2233),
    [anon_sym___END__] = ACTIONS(2233),
    [anon_sym_EOT] = ACTIONS(2233),
    [anon_sym_q] = ACTIONS(2233),
    [anon_sym_qq] = ACTIONS(2233),
    [anon_sym_qw] = ACTIONS(2233),
    [anon_sym_qx] = ACTIONS(2233),
    [anon_sym_qr] = ACTIONS(2233),
    [anon_sym_m] = ACTIONS(2233),
    [anon_sym_s] = ACTIONS(2233),
    [anon_sym_tr] = ACTIONS(2233),
    [anon_sym_y] = ACTIONS(2233),
    [anon_sym_if] = ACTIONS(2233),
    [anon_sym_unless] = ACTIONS(2233),
    [anon_sym_while] = ACTIONS(2233),
    [anon_sym_until] = ACTIONS(2233),
    [aux_sym__bareword_token1] = ACTIONS(2233),
    [sym_number] = ACTIONS(2233),
    [anon_sym_true] = ACTIONS(2233),
    [anon_sym_false] = ACTIONS(2233),
    [sym__single_quote] = ACTIONS(2231),
    [sym__double_quote] = ACTIONS(2231),
    [sym__backtick_quote] = ACTIONS(2231),
    [sym__search_slash_quote] = ACTIONS(2231),
    [sym__open_readline_bracket] = ACTIONS(2231),
    [sym__open_fileglob_bracket] = ACTIONS(2231),
    [sym__PERLY_HEREDOC] = ACTIONS(2231),
    [sym__ctrl_z_hack] = ACTIONS(2231),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2231),
    [sym__filetest] = ACTIONS(2231),
  },
  [951] = {
    [sym_heredoc_content] = STATE(951),
    [ts_builtin_sym_end] = ACTIONS(2235),
    [sym__identifier] = ACTIONS(2237),
    [anon_sym_LBRACE] = ACTIONS(2237),
    [anon_sym_SEMI] = ACTIONS(2237),
    [anon_sym_package] = ACTIONS(2237),
    [anon_sym_class] = ACTIONS(2237),
    [anon_sym_role] = ACTIONS(2237),
    [anon_sym_BUILD] = ACTIONS(2237),
    [anon_sym_ADJUST] = ACTIONS(2237),
    [anon_sym_DOLLAR] = ACTIONS(2237),
    [anon_sym_AT] = ACTIONS(2237),
    [anon_sym_my] = ACTIONS(2237),
    [anon_sym_extended] = ACTIONS(2237),
    [anon_sym_async] = ACTIONS(2237),
    [anon_sym_sub] = ACTIONS(2237),
    [anon_sym_method] = ACTIONS(2237),
    [anon_sym_LPAREN] = ACTIONS(2237),
    [anon_sym_continue] = ACTIONS(2237),
    [anon_sym_state] = ACTIONS(2237),
    [anon_sym_our] = ACTIONS(2237),
    [anon_sym_try] = ACTIONS(2237),
    [anon_sym_defer] = ACTIONS(2237),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2237),
    [anon_sym_LBRACK] = ACTIONS(2237),
    [anon_sym_LT_LT] = ACTIONS(2237),
    [anon_sym_SLASH_SLASH] = ACTIONS(2237),
    [anon_sym_PLUS] = ACTIONS(2237),
    [anon_sym_DASH] = ACTIONS(2237),
    [anon_sym_TILDE] = ACTIONS(2237),
    [anon_sym_BANG] = ACTIONS(2237),
    [anon_sym_PLUS_PLUS] = ACTIONS(2237),
    [anon_sym_DASH_DASH] = ACTIONS(2237),
    [anon_sym_BSLASH] = ACTIONS(2235),
    [anon_sym_do] = ACTIONS(2237),
    [anon_sym_eval] = ACTIONS(2237),
    [anon_sym_await] = ACTIONS(2237),
    [anon_sym_field] = ACTIONS(2237),
    [anon_sym_local] = ACTIONS(2237),
    [anon_sym_dynamically] = ACTIONS(2237),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2237),
    [anon_sym_require] = ACTIONS(2237),
    [anon_sym_map] = ACTIONS(2237),
    [anon_sym_grep] = ACTIONS(2237),
    [anon_sym_sort] = ACTIONS(2237),
    [anon_sym_goto] = ACTIONS(2237),
    [anon_sym_return] = ACTIONS(2237),
    [anon_sym_undef] = ACTIONS(2237),
    [anon_sym_PERCENT2] = ACTIONS(2237),
    [anon_sym_AMP2] = ACTIONS(2237),
    [anon_sym_STAR2] = ACTIONS(2237),
    [anon_sym_use] = ACTIONS(2237),
    [anon_sym_no] = ACTIONS(2237),
    [anon_sym_for] = ACTIONS(2237),
    [anon_sym_foreach] = ACTIONS(2237),
    [anon_sym_last] = ACTIONS(2237),
    [anon_sym_next] = ACTIONS(2237),
    [anon_sym_redo] = ACTIONS(2237),
    [anon_sym_BEGIN] = ACTIONS(2237),
    [anon_sym_INIT] = ACTIONS(2237),
    [anon_sym_CHECK] = ACTIONS(2237),
    [anon_sym_UNITCHECK] = ACTIONS(2237),
    [anon_sym_END] = ACTIONS(2237),
    [anon_sym___FILE__] = ACTIONS(2237),
    [anon_sym___LINE__] = ACTIONS(2237),
    [anon_sym___PACKAGE__] = ACTIONS(2237),
    [anon_sym___SUB__] = ACTIONS(2237),
    [anon_sym_break] = ACTIONS(2237),
    [anon_sym_fork] = ACTIONS(2237),
    [anon_sym_getppid] = ACTIONS(2237),
    [anon_sym_time] = ACTIONS(2237),
    [anon_sym_times] = ACTIONS(2237),
    [anon_sym_wait] = ACTIONS(2237),
    [anon_sym_wantarray] = ACTIONS(2237),
    [anon_sym_abs] = ACTIONS(2237),
    [anon_sym_alarm] = ACTIONS(2237),
    [anon_sym_chop] = ACTIONS(2237),
    [anon_sym_chdir] = ACTIONS(2237),
    [anon_sym_close] = ACTIONS(2237),
    [anon_sym_closedir] = ACTIONS(2237),
    [anon_sym_caller] = ACTIONS(2237),
    [anon_sym_chomp] = ACTIONS(2237),
    [anon_sym_chr] = ACTIONS(2237),
    [anon_sym_cos] = ACTIONS(2237),
    [anon_sym_chroot] = ACTIONS(2237),
    [anon_sym_defined] = ACTIONS(2237),
    [anon_sym_delete] = ACTIONS(2237),
    [anon_sym_dbmclose] = ACTIONS(2237),
    [anon_sym_exists] = ACTIONS(2237),
    [anon_sym_exit] = ACTIONS(2237),
    [anon_sym_eof] = ACTIONS(2237),
    [anon_sym_exp] = ACTIONS(2237),
    [anon_sym_each] = ACTIONS(2237),
    [anon_sym_fc] = ACTIONS(2237),
    [anon_sym_fileno] = ACTIONS(2237),
    [anon_sym_gmtime] = ACTIONS(2237),
    [anon_sym_getc] = ACTIONS(2237),
    [anon_sym_getpgrp] = ACTIONS(2237),
    [anon_sym_getprotobyname] = ACTIONS(2237),
    [anon_sym_getpwname] = ACTIONS(2237),
    [anon_sym_getpwuid] = ACTIONS(2237),
    [anon_sym_getpeername] = ACTIONS(2237),
    [anon_sym_getnetbyname] = ACTIONS(2237),
    [anon_sym_getsockname] = ACTIONS(2237),
    [anon_sym_getgrnam] = ACTIONS(2237),
    [anon_sym_getgrgid] = ACTIONS(2237),
    [anon_sym_hex] = ACTIONS(2237),
    [anon_sym_int] = ACTIONS(2237),
    [anon_sym_keys] = ACTIONS(2237),
    [anon_sym_lc] = ACTIONS(2237),
    [anon_sym_lcfirst] = ACTIONS(2237),
    [anon_sym_length] = ACTIONS(2237),
    [anon_sym_localtime] = ACTIONS(2237),
    [anon_sym_log] = ACTIONS(2237),
    [anon_sym_lock] = ACTIONS(2237),
    [anon_sym_lstat] = ACTIONS(2237),
    [anon_sym_oct] = ACTIONS(2237),
    [anon_sym_ord] = ACTIONS(2237),
    [anon_sym_prototype] = ACTIONS(2237),
    [anon_sym_pop] = ACTIONS(2237),
    [anon_sym_pos] = ACTIONS(2237),
    [anon_sym_quotemeta] = ACTIONS(2237),
    [anon_sym_reset] = ACTIONS(2237),
    [anon_sym_rand] = ACTIONS(2237),
    [anon_sym_rmdir] = ACTIONS(2237),
    [anon_sym_readdir] = ACTIONS(2237),
    [anon_sym_readline] = ACTIONS(2237),
    [anon_sym_readpipe] = ACTIONS(2237),
    [anon_sym_rewinddir] = ACTIONS(2237),
    [anon_sym_readlink] = ACTIONS(2237),
    [anon_sym_ref] = ACTIONS(2237),
    [anon_sym_scalar] = ACTIONS(2237),
    [anon_sym_shift] = ACTIONS(2237),
    [anon_sym_sin] = ACTIONS(2237),
    [anon_sym_sleep] = ACTIONS(2237),
    [anon_sym_sqrt] = ACTIONS(2237),
    [anon_sym_srand] = ACTIONS(2237),
    [anon_sym_stat] = ACTIONS(2237),
    [anon_sym_study] = ACTIONS(2237),
    [anon_sym_tell] = ACTIONS(2237),
    [anon_sym_telldir] = ACTIONS(2237),
    [anon_sym_tied] = ACTIONS(2237),
    [anon_sym_uc] = ACTIONS(2237),
    [anon_sym_ucfirst] = ACTIONS(2237),
    [anon_sym_untie] = ACTIONS(2237),
    [anon_sym_umask] = ACTIONS(2237),
    [anon_sym_values] = ACTIONS(2237),
    [anon_sym_write] = ACTIONS(2237),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2237),
    [anon_sym___END__] = ACTIONS(2237),
    [anon_sym_EOT] = ACTIONS(2237),
    [anon_sym_q] = ACTIONS(2237),
    [anon_sym_qq] = ACTIONS(2237),
    [anon_sym_qw] = ACTIONS(2237),
    [anon_sym_qx] = ACTIONS(2237),
    [anon_sym_qr] = ACTIONS(2237),
    [anon_sym_m] = ACTIONS(2237),
    [anon_sym_s] = ACTIONS(2237),
    [anon_sym_tr] = ACTIONS(2237),
    [anon_sym_y] = ACTIONS(2237),
    [anon_sym_if] = ACTIONS(2237),
    [anon_sym_unless] = ACTIONS(2237),
    [anon_sym_while] = ACTIONS(2237),
    [anon_sym_until] = ACTIONS(2237),
    [aux_sym__bareword_token1] = ACTIONS(2237),
    [sym_number] = ACTIONS(2237),
    [anon_sym_true] = ACTIONS(2237),
    [anon_sym_false] = ACTIONS(2237),
    [sym__single_quote] = ACTIONS(2235),
    [sym__double_quote] = ACTIONS(2235),
    [sym__backtick_quote] = ACTIONS(2235),
    [sym__search_slash_quote] = ACTIONS(2235),
    [sym__open_readline_bracket] = ACTIONS(2235),
    [sym__open_fileglob_bracket] = ACTIONS(2235),
    [sym__PERLY_HEREDOC] = ACTIONS(2235),
    [sym__ctrl_z_hack] = ACTIONS(2235),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2235),
    [sym__filetest] = ACTIONS(2235),
  },
  [952] = {
    [sym_heredoc_content] = STATE(952),
    [ts_builtin_sym_end] = ACTIONS(2239),
    [sym__identifier] = ACTIONS(2241),
    [anon_sym_LBRACE] = ACTIONS(2241),
    [anon_sym_SEMI] = ACTIONS(2241),
    [anon_sym_package] = ACTIONS(2241),
    [anon_sym_class] = ACTIONS(2241),
    [anon_sym_role] = ACTIONS(2241),
    [anon_sym_BUILD] = ACTIONS(2241),
    [anon_sym_ADJUST] = ACTIONS(2241),
    [anon_sym_DOLLAR] = ACTIONS(2241),
    [anon_sym_AT] = ACTIONS(2241),
    [anon_sym_my] = ACTIONS(2241),
    [anon_sym_extended] = ACTIONS(2241),
    [anon_sym_async] = ACTIONS(2241),
    [anon_sym_sub] = ACTIONS(2241),
    [anon_sym_method] = ACTIONS(2241),
    [anon_sym_LPAREN] = ACTIONS(2241),
    [anon_sym_continue] = ACTIONS(2241),
    [anon_sym_state] = ACTIONS(2241),
    [anon_sym_our] = ACTIONS(2241),
    [anon_sym_try] = ACTIONS(2241),
    [anon_sym_defer] = ACTIONS(2241),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2241),
    [anon_sym_LBRACK] = ACTIONS(2241),
    [anon_sym_LT_LT] = ACTIONS(2241),
    [anon_sym_SLASH_SLASH] = ACTIONS(2241),
    [anon_sym_PLUS] = ACTIONS(2241),
    [anon_sym_DASH] = ACTIONS(2241),
    [anon_sym_TILDE] = ACTIONS(2241),
    [anon_sym_BANG] = ACTIONS(2241),
    [anon_sym_PLUS_PLUS] = ACTIONS(2241),
    [anon_sym_DASH_DASH] = ACTIONS(2241),
    [anon_sym_BSLASH] = ACTIONS(2239),
    [anon_sym_do] = ACTIONS(2241),
    [anon_sym_eval] = ACTIONS(2241),
    [anon_sym_await] = ACTIONS(2241),
    [anon_sym_field] = ACTIONS(2241),
    [anon_sym_local] = ACTIONS(2241),
    [anon_sym_dynamically] = ACTIONS(2241),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2241),
    [anon_sym_require] = ACTIONS(2241),
    [anon_sym_map] = ACTIONS(2241),
    [anon_sym_grep] = ACTIONS(2241),
    [anon_sym_sort] = ACTIONS(2241),
    [anon_sym_goto] = ACTIONS(2241),
    [anon_sym_return] = ACTIONS(2241),
    [anon_sym_undef] = ACTIONS(2241),
    [anon_sym_PERCENT2] = ACTIONS(2241),
    [anon_sym_AMP2] = ACTIONS(2241),
    [anon_sym_STAR2] = ACTIONS(2241),
    [anon_sym_use] = ACTIONS(2241),
    [anon_sym_no] = ACTIONS(2241),
    [anon_sym_for] = ACTIONS(2241),
    [anon_sym_foreach] = ACTIONS(2241),
    [anon_sym_last] = ACTIONS(2241),
    [anon_sym_next] = ACTIONS(2241),
    [anon_sym_redo] = ACTIONS(2241),
    [anon_sym_BEGIN] = ACTIONS(2241),
    [anon_sym_INIT] = ACTIONS(2241),
    [anon_sym_CHECK] = ACTIONS(2241),
    [anon_sym_UNITCHECK] = ACTIONS(2241),
    [anon_sym_END] = ACTIONS(2241),
    [anon_sym___FILE__] = ACTIONS(2241),
    [anon_sym___LINE__] = ACTIONS(2241),
    [anon_sym___PACKAGE__] = ACTIONS(2241),
    [anon_sym___SUB__] = ACTIONS(2241),
    [anon_sym_break] = ACTIONS(2241),
    [anon_sym_fork] = ACTIONS(2241),
    [anon_sym_getppid] = ACTIONS(2241),
    [anon_sym_time] = ACTIONS(2241),
    [anon_sym_times] = ACTIONS(2241),
    [anon_sym_wait] = ACTIONS(2241),
    [anon_sym_wantarray] = ACTIONS(2241),
    [anon_sym_abs] = ACTIONS(2241),
    [anon_sym_alarm] = ACTIONS(2241),
    [anon_sym_chop] = ACTIONS(2241),
    [anon_sym_chdir] = ACTIONS(2241),
    [anon_sym_close] = ACTIONS(2241),
    [anon_sym_closedir] = ACTIONS(2241),
    [anon_sym_caller] = ACTIONS(2241),
    [anon_sym_chomp] = ACTIONS(2241),
    [anon_sym_chr] = ACTIONS(2241),
    [anon_sym_cos] = ACTIONS(2241),
    [anon_sym_chroot] = ACTIONS(2241),
    [anon_sym_defined] = ACTIONS(2241),
    [anon_sym_delete] = ACTIONS(2241),
    [anon_sym_dbmclose] = ACTIONS(2241),
    [anon_sym_exists] = ACTIONS(2241),
    [anon_sym_exit] = ACTIONS(2241),
    [anon_sym_eof] = ACTIONS(2241),
    [anon_sym_exp] = ACTIONS(2241),
    [anon_sym_each] = ACTIONS(2241),
    [anon_sym_fc] = ACTIONS(2241),
    [anon_sym_fileno] = ACTIONS(2241),
    [anon_sym_gmtime] = ACTIONS(2241),
    [anon_sym_getc] = ACTIONS(2241),
    [anon_sym_getpgrp] = ACTIONS(2241),
    [anon_sym_getprotobyname] = ACTIONS(2241),
    [anon_sym_getpwname] = ACTIONS(2241),
    [anon_sym_getpwuid] = ACTIONS(2241),
    [anon_sym_getpeername] = ACTIONS(2241),
    [anon_sym_getnetbyname] = ACTIONS(2241),
    [anon_sym_getsockname] = ACTIONS(2241),
    [anon_sym_getgrnam] = ACTIONS(2241),
    [anon_sym_getgrgid] = ACTIONS(2241),
    [anon_sym_hex] = ACTIONS(2241),
    [anon_sym_int] = ACTIONS(2241),
    [anon_sym_keys] = ACTIONS(2241),
    [anon_sym_lc] = ACTIONS(2241),
    [anon_sym_lcfirst] = ACTIONS(2241),
    [anon_sym_length] = ACTIONS(2241),
    [anon_sym_localtime] = ACTIONS(2241),
    [anon_sym_log] = ACTIONS(2241),
    [anon_sym_lock] = ACTIONS(2241),
    [anon_sym_lstat] = ACTIONS(2241),
    [anon_sym_oct] = ACTIONS(2241),
    [anon_sym_ord] = ACTIONS(2241),
    [anon_sym_prototype] = ACTIONS(2241),
    [anon_sym_pop] = ACTIONS(2241),
    [anon_sym_pos] = ACTIONS(2241),
    [anon_sym_quotemeta] = ACTIONS(2241),
    [anon_sym_reset] = ACTIONS(2241),
    [anon_sym_rand] = ACTIONS(2241),
    [anon_sym_rmdir] = ACTIONS(2241),
    [anon_sym_readdir] = ACTIONS(2241),
    [anon_sym_readline] = ACTIONS(2241),
    [anon_sym_readpipe] = ACTIONS(2241),
    [anon_sym_rewinddir] = ACTIONS(2241),
    [anon_sym_readlink] = ACTIONS(2241),
    [anon_sym_ref] = ACTIONS(2241),
    [anon_sym_scalar] = ACTIONS(2241),
    [anon_sym_shift] = ACTIONS(2241),
    [anon_sym_sin] = ACTIONS(2241),
    [anon_sym_sleep] = ACTIONS(2241),
    [anon_sym_sqrt] = ACTIONS(2241),
    [anon_sym_srand] = ACTIONS(2241),
    [anon_sym_stat] = ACTIONS(2241),
    [anon_sym_study] = ACTIONS(2241),
    [anon_sym_tell] = ACTIONS(2241),
    [anon_sym_telldir] = ACTIONS(2241),
    [anon_sym_tied] = ACTIONS(2241),
    [anon_sym_uc] = ACTIONS(2241),
    [anon_sym_ucfirst] = ACTIONS(2241),
    [anon_sym_untie] = ACTIONS(2241),
    [anon_sym_umask] = ACTIONS(2241),
    [anon_sym_values] = ACTIONS(2241),
    [anon_sym_write] = ACTIONS(2241),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2241),
    [anon_sym___END__] = ACTIONS(2241),
    [anon_sym_EOT] = ACTIONS(2241),
    [anon_sym_q] = ACTIONS(2241),
    [anon_sym_qq] = ACTIONS(2241),
    [anon_sym_qw] = ACTIONS(2241),
    [anon_sym_qx] = ACTIONS(2241),
    [anon_sym_qr] = ACTIONS(2241),
    [anon_sym_m] = ACTIONS(2241),
    [anon_sym_s] = ACTIONS(2241),
    [anon_sym_tr] = ACTIONS(2241),
    [anon_sym_y] = ACTIONS(2241),
    [anon_sym_if] = ACTIONS(2241),
    [anon_sym_unless] = ACTIONS(2241),
    [anon_sym_while] = ACTIONS(2241),
    [anon_sym_until] = ACTIONS(2241),
    [aux_sym__bareword_token1] = ACTIONS(2241),
    [sym_number] = ACTIONS(2241),
    [anon_sym_true] = ACTIONS(2241),
    [anon_sym_false] = ACTIONS(2241),
    [sym__single_quote] = ACTIONS(2239),
    [sym__double_quote] = ACTIONS(2239),
    [sym__backtick_quote] = ACTIONS(2239),
    [sym__search_slash_quote] = ACTIONS(2239),
    [sym__open_readline_bracket] = ACTIONS(2239),
    [sym__open_fileglob_bracket] = ACTIONS(2239),
    [sym__PERLY_HEREDOC] = ACTIONS(2239),
    [sym__ctrl_z_hack] = ACTIONS(2239),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2239),
    [sym__filetest] = ACTIONS(2239),
  },
  [953] = {
    [sym_heredoc_content] = STATE(953),
    [ts_builtin_sym_end] = ACTIONS(2243),
    [sym__identifier] = ACTIONS(2245),
    [anon_sym_LBRACE] = ACTIONS(2245),
    [anon_sym_SEMI] = ACTIONS(2245),
    [anon_sym_package] = ACTIONS(2245),
    [anon_sym_class] = ACTIONS(2245),
    [anon_sym_role] = ACTIONS(2245),
    [anon_sym_BUILD] = ACTIONS(2245),
    [anon_sym_ADJUST] = ACTIONS(2245),
    [anon_sym_DOLLAR] = ACTIONS(2245),
    [anon_sym_AT] = ACTIONS(2245),
    [anon_sym_my] = ACTIONS(2245),
    [anon_sym_extended] = ACTIONS(2245),
    [anon_sym_async] = ACTIONS(2245),
    [anon_sym_sub] = ACTIONS(2245),
    [anon_sym_method] = ACTIONS(2245),
    [anon_sym_LPAREN] = ACTIONS(2245),
    [anon_sym_continue] = ACTIONS(2245),
    [anon_sym_state] = ACTIONS(2245),
    [anon_sym_our] = ACTIONS(2245),
    [anon_sym_try] = ACTIONS(2245),
    [anon_sym_defer] = ACTIONS(2245),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2245),
    [anon_sym_LBRACK] = ACTIONS(2245),
    [anon_sym_LT_LT] = ACTIONS(2245),
    [anon_sym_SLASH_SLASH] = ACTIONS(2245),
    [anon_sym_PLUS] = ACTIONS(2245),
    [anon_sym_DASH] = ACTIONS(2245),
    [anon_sym_TILDE] = ACTIONS(2245),
    [anon_sym_BANG] = ACTIONS(2245),
    [anon_sym_PLUS_PLUS] = ACTIONS(2245),
    [anon_sym_DASH_DASH] = ACTIONS(2245),
    [anon_sym_BSLASH] = ACTIONS(2243),
    [anon_sym_do] = ACTIONS(2245),
    [anon_sym_eval] = ACTIONS(2245),
    [anon_sym_await] = ACTIONS(2245),
    [anon_sym_field] = ACTIONS(2245),
    [anon_sym_local] = ACTIONS(2245),
    [anon_sym_dynamically] = ACTIONS(2245),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2245),
    [anon_sym_require] = ACTIONS(2245),
    [anon_sym_map] = ACTIONS(2245),
    [anon_sym_grep] = ACTIONS(2245),
    [anon_sym_sort] = ACTIONS(2245),
    [anon_sym_goto] = ACTIONS(2245),
    [anon_sym_return] = ACTIONS(2245),
    [anon_sym_undef] = ACTIONS(2245),
    [anon_sym_PERCENT2] = ACTIONS(2245),
    [anon_sym_AMP2] = ACTIONS(2245),
    [anon_sym_STAR2] = ACTIONS(2245),
    [anon_sym_use] = ACTIONS(2245),
    [anon_sym_no] = ACTIONS(2245),
    [anon_sym_for] = ACTIONS(2245),
    [anon_sym_foreach] = ACTIONS(2245),
    [anon_sym_last] = ACTIONS(2245),
    [anon_sym_next] = ACTIONS(2245),
    [anon_sym_redo] = ACTIONS(2245),
    [anon_sym_BEGIN] = ACTIONS(2245),
    [anon_sym_INIT] = ACTIONS(2245),
    [anon_sym_CHECK] = ACTIONS(2245),
    [anon_sym_UNITCHECK] = ACTIONS(2245),
    [anon_sym_END] = ACTIONS(2245),
    [anon_sym___FILE__] = ACTIONS(2245),
    [anon_sym___LINE__] = ACTIONS(2245),
    [anon_sym___PACKAGE__] = ACTIONS(2245),
    [anon_sym___SUB__] = ACTIONS(2245),
    [anon_sym_break] = ACTIONS(2245),
    [anon_sym_fork] = ACTIONS(2245),
    [anon_sym_getppid] = ACTIONS(2245),
    [anon_sym_time] = ACTIONS(2245),
    [anon_sym_times] = ACTIONS(2245),
    [anon_sym_wait] = ACTIONS(2245),
    [anon_sym_wantarray] = ACTIONS(2245),
    [anon_sym_abs] = ACTIONS(2245),
    [anon_sym_alarm] = ACTIONS(2245),
    [anon_sym_chop] = ACTIONS(2245),
    [anon_sym_chdir] = ACTIONS(2245),
    [anon_sym_close] = ACTIONS(2245),
    [anon_sym_closedir] = ACTIONS(2245),
    [anon_sym_caller] = ACTIONS(2245),
    [anon_sym_chomp] = ACTIONS(2245),
    [anon_sym_chr] = ACTIONS(2245),
    [anon_sym_cos] = ACTIONS(2245),
    [anon_sym_chroot] = ACTIONS(2245),
    [anon_sym_defined] = ACTIONS(2245),
    [anon_sym_delete] = ACTIONS(2245),
    [anon_sym_dbmclose] = ACTIONS(2245),
    [anon_sym_exists] = ACTIONS(2245),
    [anon_sym_exit] = ACTIONS(2245),
    [anon_sym_eof] = ACTIONS(2245),
    [anon_sym_exp] = ACTIONS(2245),
    [anon_sym_each] = ACTIONS(2245),
    [anon_sym_fc] = ACTIONS(2245),
    [anon_sym_fileno] = ACTIONS(2245),
    [anon_sym_gmtime] = ACTIONS(2245),
    [anon_sym_getc] = ACTIONS(2245),
    [anon_sym_getpgrp] = ACTIONS(2245),
    [anon_sym_getprotobyname] = ACTIONS(2245),
    [anon_sym_getpwname] = ACTIONS(2245),
    [anon_sym_getpwuid] = ACTIONS(2245),
    [anon_sym_getpeername] = ACTIONS(2245),
    [anon_sym_getnetbyname] = ACTIONS(2245),
    [anon_sym_getsockname] = ACTIONS(2245),
    [anon_sym_getgrnam] = ACTIONS(2245),
    [anon_sym_getgrgid] = ACTIONS(2245),
    [anon_sym_hex] = ACTIONS(2245),
    [anon_sym_int] = ACTIONS(2245),
    [anon_sym_keys] = ACTIONS(2245),
    [anon_sym_lc] = ACTIONS(2245),
    [anon_sym_lcfirst] = ACTIONS(2245),
    [anon_sym_length] = ACTIONS(2245),
    [anon_sym_localtime] = ACTIONS(2245),
    [anon_sym_log] = ACTIONS(2245),
    [anon_sym_lock] = ACTIONS(2245),
    [anon_sym_lstat] = ACTIONS(2245),
    [anon_sym_oct] = ACTIONS(2245),
    [anon_sym_ord] = ACTIONS(2245),
    [anon_sym_prototype] = ACTIONS(2245),
    [anon_sym_pop] = ACTIONS(2245),
    [anon_sym_pos] = ACTIONS(2245),
    [anon_sym_quotemeta] = ACTIONS(2245),
    [anon_sym_reset] = ACTIONS(2245),
    [anon_sym_rand] = ACTIONS(2245),
    [anon_sym_rmdir] = ACTIONS(2245),
    [anon_sym_readdir] = ACTIONS(2245),
    [anon_sym_readline] = ACTIONS(2245),
    [anon_sym_readpipe] = ACTIONS(2245),
    [anon_sym_rewinddir] = ACTIONS(2245),
    [anon_sym_readlink] = ACTIONS(2245),
    [anon_sym_ref] = ACTIONS(2245),
    [anon_sym_scalar] = ACTIONS(2245),
    [anon_sym_shift] = ACTIONS(2245),
    [anon_sym_sin] = ACTIONS(2245),
    [anon_sym_sleep] = ACTIONS(2245),
    [anon_sym_sqrt] = ACTIONS(2245),
    [anon_sym_srand] = ACTIONS(2245),
    [anon_sym_stat] = ACTIONS(2245),
    [anon_sym_study] = ACTIONS(2245),
    [anon_sym_tell] = ACTIONS(2245),
    [anon_sym_telldir] = ACTIONS(2245),
    [anon_sym_tied] = ACTIONS(2245),
    [anon_sym_uc] = ACTIONS(2245),
    [anon_sym_ucfirst] = ACTIONS(2245),
    [anon_sym_untie] = ACTIONS(2245),
    [anon_sym_umask] = ACTIONS(2245),
    [anon_sym_values] = ACTIONS(2245),
    [anon_sym_write] = ACTIONS(2245),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2245),
    [anon_sym___END__] = ACTIONS(2245),
    [anon_sym_EOT] = ACTIONS(2245),
    [anon_sym_q] = ACTIONS(2245),
    [anon_sym_qq] = ACTIONS(2245),
    [anon_sym_qw] = ACTIONS(2245),
    [anon_sym_qx] = ACTIONS(2245),
    [anon_sym_qr] = ACTIONS(2245),
    [anon_sym_m] = ACTIONS(2245),
    [anon_sym_s] = ACTIONS(2245),
    [anon_sym_tr] = ACTIONS(2245),
    [anon_sym_y] = ACTIONS(2245),
    [anon_sym_if] = ACTIONS(2245),
    [anon_sym_unless] = ACTIONS(2245),
    [anon_sym_while] = ACTIONS(2245),
    [anon_sym_until] = ACTIONS(2245),
    [aux_sym__bareword_token1] = ACTIONS(2245),
    [sym_number] = ACTIONS(2245),
    [anon_sym_true] = ACTIONS(2245),
    [anon_sym_false] = ACTIONS(2245),
    [sym__single_quote] = ACTIONS(2243),
    [sym__double_quote] = ACTIONS(2243),
    [sym__backtick_quote] = ACTIONS(2243),
    [sym__search_slash_quote] = ACTIONS(2243),
    [sym__open_readline_bracket] = ACTIONS(2243),
    [sym__open_fileglob_bracket] = ACTIONS(2243),
    [sym__PERLY_HEREDOC] = ACTIONS(2243),
    [sym__ctrl_z_hack] = ACTIONS(2243),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2243),
    [sym__filetest] = ACTIONS(2243),
  },
  [954] = {
    [sym_heredoc_content] = STATE(954),
    [ts_builtin_sym_end] = ACTIONS(2247),
    [sym__identifier] = ACTIONS(2249),
    [anon_sym_LBRACE] = ACTIONS(2249),
    [anon_sym_SEMI] = ACTIONS(2249),
    [anon_sym_package] = ACTIONS(2249),
    [anon_sym_class] = ACTIONS(2249),
    [anon_sym_role] = ACTIONS(2249),
    [anon_sym_BUILD] = ACTIONS(2249),
    [anon_sym_ADJUST] = ACTIONS(2249),
    [anon_sym_DOLLAR] = ACTIONS(2249),
    [anon_sym_AT] = ACTIONS(2249),
    [anon_sym_my] = ACTIONS(2249),
    [anon_sym_extended] = ACTIONS(2249),
    [anon_sym_async] = ACTIONS(2249),
    [anon_sym_sub] = ACTIONS(2249),
    [anon_sym_method] = ACTIONS(2249),
    [anon_sym_LPAREN] = ACTIONS(2249),
    [anon_sym_continue] = ACTIONS(2249),
    [anon_sym_state] = ACTIONS(2249),
    [anon_sym_our] = ACTIONS(2249),
    [anon_sym_try] = ACTIONS(2249),
    [anon_sym_defer] = ACTIONS(2249),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2249),
    [anon_sym_LBRACK] = ACTIONS(2249),
    [anon_sym_LT_LT] = ACTIONS(2249),
    [anon_sym_SLASH_SLASH] = ACTIONS(2249),
    [anon_sym_PLUS] = ACTIONS(2249),
    [anon_sym_DASH] = ACTIONS(2249),
    [anon_sym_TILDE] = ACTIONS(2249),
    [anon_sym_BANG] = ACTIONS(2249),
    [anon_sym_PLUS_PLUS] = ACTIONS(2249),
    [anon_sym_DASH_DASH] = ACTIONS(2249),
    [anon_sym_BSLASH] = ACTIONS(2247),
    [anon_sym_do] = ACTIONS(2249),
    [anon_sym_eval] = ACTIONS(2249),
    [anon_sym_await] = ACTIONS(2249),
    [anon_sym_field] = ACTIONS(2249),
    [anon_sym_local] = ACTIONS(2249),
    [anon_sym_dynamically] = ACTIONS(2249),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2249),
    [anon_sym_require] = ACTIONS(2249),
    [anon_sym_map] = ACTIONS(2249),
    [anon_sym_grep] = ACTIONS(2249),
    [anon_sym_sort] = ACTIONS(2249),
    [anon_sym_goto] = ACTIONS(2249),
    [anon_sym_return] = ACTIONS(2249),
    [anon_sym_undef] = ACTIONS(2249),
    [anon_sym_PERCENT2] = ACTIONS(2249),
    [anon_sym_AMP2] = ACTIONS(2249),
    [anon_sym_STAR2] = ACTIONS(2249),
    [anon_sym_use] = ACTIONS(2249),
    [anon_sym_no] = ACTIONS(2249),
    [anon_sym_for] = ACTIONS(2249),
    [anon_sym_foreach] = ACTIONS(2249),
    [anon_sym_last] = ACTIONS(2249),
    [anon_sym_next] = ACTIONS(2249),
    [anon_sym_redo] = ACTIONS(2249),
    [anon_sym_BEGIN] = ACTIONS(2249),
    [anon_sym_INIT] = ACTIONS(2249),
    [anon_sym_CHECK] = ACTIONS(2249),
    [anon_sym_UNITCHECK] = ACTIONS(2249),
    [anon_sym_END] = ACTIONS(2249),
    [anon_sym___FILE__] = ACTIONS(2249),
    [anon_sym___LINE__] = ACTIONS(2249),
    [anon_sym___PACKAGE__] = ACTIONS(2249),
    [anon_sym___SUB__] = ACTIONS(2249),
    [anon_sym_break] = ACTIONS(2249),
    [anon_sym_fork] = ACTIONS(2249),
    [anon_sym_getppid] = ACTIONS(2249),
    [anon_sym_time] = ACTIONS(2249),
    [anon_sym_times] = ACTIONS(2249),
    [anon_sym_wait] = ACTIONS(2249),
    [anon_sym_wantarray] = ACTIONS(2249),
    [anon_sym_abs] = ACTIONS(2249),
    [anon_sym_alarm] = ACTIONS(2249),
    [anon_sym_chop] = ACTIONS(2249),
    [anon_sym_chdir] = ACTIONS(2249),
    [anon_sym_close] = ACTIONS(2249),
    [anon_sym_closedir] = ACTIONS(2249),
    [anon_sym_caller] = ACTIONS(2249),
    [anon_sym_chomp] = ACTIONS(2249),
    [anon_sym_chr] = ACTIONS(2249),
    [anon_sym_cos] = ACTIONS(2249),
    [anon_sym_chroot] = ACTIONS(2249),
    [anon_sym_defined] = ACTIONS(2249),
    [anon_sym_delete] = ACTIONS(2249),
    [anon_sym_dbmclose] = ACTIONS(2249),
    [anon_sym_exists] = ACTIONS(2249),
    [anon_sym_exit] = ACTIONS(2249),
    [anon_sym_eof] = ACTIONS(2249),
    [anon_sym_exp] = ACTIONS(2249),
    [anon_sym_each] = ACTIONS(2249),
    [anon_sym_fc] = ACTIONS(2249),
    [anon_sym_fileno] = ACTIONS(2249),
    [anon_sym_gmtime] = ACTIONS(2249),
    [anon_sym_getc] = ACTIONS(2249),
    [anon_sym_getpgrp] = ACTIONS(2249),
    [anon_sym_getprotobyname] = ACTIONS(2249),
    [anon_sym_getpwname] = ACTIONS(2249),
    [anon_sym_getpwuid] = ACTIONS(2249),
    [anon_sym_getpeername] = ACTIONS(2249),
    [anon_sym_getnetbyname] = ACTIONS(2249),
    [anon_sym_getsockname] = ACTIONS(2249),
    [anon_sym_getgrnam] = ACTIONS(2249),
    [anon_sym_getgrgid] = ACTIONS(2249),
    [anon_sym_hex] = ACTIONS(2249),
    [anon_sym_int] = ACTIONS(2249),
    [anon_sym_keys] = ACTIONS(2249),
    [anon_sym_lc] = ACTIONS(2249),
    [anon_sym_lcfirst] = ACTIONS(2249),
    [anon_sym_length] = ACTIONS(2249),
    [anon_sym_localtime] = ACTIONS(2249),
    [anon_sym_log] = ACTIONS(2249),
    [anon_sym_lock] = ACTIONS(2249),
    [anon_sym_lstat] = ACTIONS(2249),
    [anon_sym_oct] = ACTIONS(2249),
    [anon_sym_ord] = ACTIONS(2249),
    [anon_sym_prototype] = ACTIONS(2249),
    [anon_sym_pop] = ACTIONS(2249),
    [anon_sym_pos] = ACTIONS(2249),
    [anon_sym_quotemeta] = ACTIONS(2249),
    [anon_sym_reset] = ACTIONS(2249),
    [anon_sym_rand] = ACTIONS(2249),
    [anon_sym_rmdir] = ACTIONS(2249),
    [anon_sym_readdir] = ACTIONS(2249),
    [anon_sym_readline] = ACTIONS(2249),
    [anon_sym_readpipe] = ACTIONS(2249),
    [anon_sym_rewinddir] = ACTIONS(2249),
    [anon_sym_readlink] = ACTIONS(2249),
    [anon_sym_ref] = ACTIONS(2249),
    [anon_sym_scalar] = ACTIONS(2249),
    [anon_sym_shift] = ACTIONS(2249),
    [anon_sym_sin] = ACTIONS(2249),
    [anon_sym_sleep] = ACTIONS(2249),
    [anon_sym_sqrt] = ACTIONS(2249),
    [anon_sym_srand] = ACTIONS(2249),
    [anon_sym_stat] = ACTIONS(2249),
    [anon_sym_study] = ACTIONS(2249),
    [anon_sym_tell] = ACTIONS(2249),
    [anon_sym_telldir] = ACTIONS(2249),
    [anon_sym_tied] = ACTIONS(2249),
    [anon_sym_uc] = ACTIONS(2249),
    [anon_sym_ucfirst] = ACTIONS(2249),
    [anon_sym_untie] = ACTIONS(2249),
    [anon_sym_umask] = ACTIONS(2249),
    [anon_sym_values] = ACTIONS(2249),
    [anon_sym_write] = ACTIONS(2249),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2249),
    [anon_sym___END__] = ACTIONS(2249),
    [anon_sym_EOT] = ACTIONS(2249),
    [anon_sym_q] = ACTIONS(2249),
    [anon_sym_qq] = ACTIONS(2249),
    [anon_sym_qw] = ACTIONS(2249),
    [anon_sym_qx] = ACTIONS(2249),
    [anon_sym_qr] = ACTIONS(2249),
    [anon_sym_m] = ACTIONS(2249),
    [anon_sym_s] = ACTIONS(2249),
    [anon_sym_tr] = ACTIONS(2249),
    [anon_sym_y] = ACTIONS(2249),
    [anon_sym_if] = ACTIONS(2249),
    [anon_sym_unless] = ACTIONS(2249),
    [anon_sym_while] = ACTIONS(2249),
    [anon_sym_until] = ACTIONS(2249),
    [aux_sym__bareword_token1] = ACTIONS(2249),
    [sym_number] = ACTIONS(2249),
    [anon_sym_true] = ACTIONS(2249),
    [anon_sym_false] = ACTIONS(2249),
    [sym__single_quote] = ACTIONS(2247),
    [sym__double_quote] = ACTIONS(2247),
    [sym__backtick_quote] = ACTIONS(2247),
    [sym__search_slash_quote] = ACTIONS(2247),
    [sym__open_readline_bracket] = ACTIONS(2247),
    [sym__open_fileglob_bracket] = ACTIONS(2247),
    [sym__PERLY_HEREDOC] = ACTIONS(2247),
    [sym__ctrl_z_hack] = ACTIONS(2247),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2247),
    [sym__filetest] = ACTIONS(2247),
  },
  [955] = {
    [sym_heredoc_content] = STATE(955),
    [ts_builtin_sym_end] = ACTIONS(2251),
    [sym__identifier] = ACTIONS(2253),
    [anon_sym_LBRACE] = ACTIONS(2253),
    [anon_sym_SEMI] = ACTIONS(2253),
    [anon_sym_package] = ACTIONS(2253),
    [anon_sym_class] = ACTIONS(2253),
    [anon_sym_role] = ACTIONS(2253),
    [anon_sym_BUILD] = ACTIONS(2253),
    [anon_sym_ADJUST] = ACTIONS(2253),
    [anon_sym_DOLLAR] = ACTIONS(2253),
    [anon_sym_AT] = ACTIONS(2253),
    [anon_sym_my] = ACTIONS(2253),
    [anon_sym_extended] = ACTIONS(2253),
    [anon_sym_async] = ACTIONS(2253),
    [anon_sym_sub] = ACTIONS(2253),
    [anon_sym_method] = ACTIONS(2253),
    [anon_sym_LPAREN] = ACTIONS(2253),
    [anon_sym_continue] = ACTIONS(2253),
    [anon_sym_state] = ACTIONS(2253),
    [anon_sym_our] = ACTIONS(2253),
    [anon_sym_try] = ACTIONS(2253),
    [anon_sym_defer] = ACTIONS(2253),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2253),
    [anon_sym_LBRACK] = ACTIONS(2253),
    [anon_sym_LT_LT] = ACTIONS(2253),
    [anon_sym_SLASH_SLASH] = ACTIONS(2253),
    [anon_sym_PLUS] = ACTIONS(2253),
    [anon_sym_DASH] = ACTIONS(2253),
    [anon_sym_TILDE] = ACTIONS(2253),
    [anon_sym_BANG] = ACTIONS(2253),
    [anon_sym_PLUS_PLUS] = ACTIONS(2253),
    [anon_sym_DASH_DASH] = ACTIONS(2253),
    [anon_sym_BSLASH] = ACTIONS(2251),
    [anon_sym_do] = ACTIONS(2253),
    [anon_sym_eval] = ACTIONS(2253),
    [anon_sym_await] = ACTIONS(2253),
    [anon_sym_field] = ACTIONS(2253),
    [anon_sym_local] = ACTIONS(2253),
    [anon_sym_dynamically] = ACTIONS(2253),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2253),
    [anon_sym_require] = ACTIONS(2253),
    [anon_sym_map] = ACTIONS(2253),
    [anon_sym_grep] = ACTIONS(2253),
    [anon_sym_sort] = ACTIONS(2253),
    [anon_sym_goto] = ACTIONS(2253),
    [anon_sym_return] = ACTIONS(2253),
    [anon_sym_undef] = ACTIONS(2253),
    [anon_sym_PERCENT2] = ACTIONS(2253),
    [anon_sym_AMP2] = ACTIONS(2253),
    [anon_sym_STAR2] = ACTIONS(2253),
    [anon_sym_use] = ACTIONS(2253),
    [anon_sym_no] = ACTIONS(2253),
    [anon_sym_for] = ACTIONS(2253),
    [anon_sym_foreach] = ACTIONS(2253),
    [anon_sym_last] = ACTIONS(2253),
    [anon_sym_next] = ACTIONS(2253),
    [anon_sym_redo] = ACTIONS(2253),
    [anon_sym_BEGIN] = ACTIONS(2253),
    [anon_sym_INIT] = ACTIONS(2253),
    [anon_sym_CHECK] = ACTIONS(2253),
    [anon_sym_UNITCHECK] = ACTIONS(2253),
    [anon_sym_END] = ACTIONS(2253),
    [anon_sym___FILE__] = ACTIONS(2253),
    [anon_sym___LINE__] = ACTIONS(2253),
    [anon_sym___PACKAGE__] = ACTIONS(2253),
    [anon_sym___SUB__] = ACTIONS(2253),
    [anon_sym_break] = ACTIONS(2253),
    [anon_sym_fork] = ACTIONS(2253),
    [anon_sym_getppid] = ACTIONS(2253),
    [anon_sym_time] = ACTIONS(2253),
    [anon_sym_times] = ACTIONS(2253),
    [anon_sym_wait] = ACTIONS(2253),
    [anon_sym_wantarray] = ACTIONS(2253),
    [anon_sym_abs] = ACTIONS(2253),
    [anon_sym_alarm] = ACTIONS(2253),
    [anon_sym_chop] = ACTIONS(2253),
    [anon_sym_chdir] = ACTIONS(2253),
    [anon_sym_close] = ACTIONS(2253),
    [anon_sym_closedir] = ACTIONS(2253),
    [anon_sym_caller] = ACTIONS(2253),
    [anon_sym_chomp] = ACTIONS(2253),
    [anon_sym_chr] = ACTIONS(2253),
    [anon_sym_cos] = ACTIONS(2253),
    [anon_sym_chroot] = ACTIONS(2253),
    [anon_sym_defined] = ACTIONS(2253),
    [anon_sym_delete] = ACTIONS(2253),
    [anon_sym_dbmclose] = ACTIONS(2253),
    [anon_sym_exists] = ACTIONS(2253),
    [anon_sym_exit] = ACTIONS(2253),
    [anon_sym_eof] = ACTIONS(2253),
    [anon_sym_exp] = ACTIONS(2253),
    [anon_sym_each] = ACTIONS(2253),
    [anon_sym_fc] = ACTIONS(2253),
    [anon_sym_fileno] = ACTIONS(2253),
    [anon_sym_gmtime] = ACTIONS(2253),
    [anon_sym_getc] = ACTIONS(2253),
    [anon_sym_getpgrp] = ACTIONS(2253),
    [anon_sym_getprotobyname] = ACTIONS(2253),
    [anon_sym_getpwname] = ACTIONS(2253),
    [anon_sym_getpwuid] = ACTIONS(2253),
    [anon_sym_getpeername] = ACTIONS(2253),
    [anon_sym_getnetbyname] = ACTIONS(2253),
    [anon_sym_getsockname] = ACTIONS(2253),
    [anon_sym_getgrnam] = ACTIONS(2253),
    [anon_sym_getgrgid] = ACTIONS(2253),
    [anon_sym_hex] = ACTIONS(2253),
    [anon_sym_int] = ACTIONS(2253),
    [anon_sym_keys] = ACTIONS(2253),
    [anon_sym_lc] = ACTIONS(2253),
    [anon_sym_lcfirst] = ACTIONS(2253),
    [anon_sym_length] = ACTIONS(2253),
    [anon_sym_localtime] = ACTIONS(2253),
    [anon_sym_log] = ACTIONS(2253),
    [anon_sym_lock] = ACTIONS(2253),
    [anon_sym_lstat] = ACTIONS(2253),
    [anon_sym_oct] = ACTIONS(2253),
    [anon_sym_ord] = ACTIONS(2253),
    [anon_sym_prototype] = ACTIONS(2253),
    [anon_sym_pop] = ACTIONS(2253),
    [anon_sym_pos] = ACTIONS(2253),
    [anon_sym_quotemeta] = ACTIONS(2253),
    [anon_sym_reset] = ACTIONS(2253),
    [anon_sym_rand] = ACTIONS(2253),
    [anon_sym_rmdir] = ACTIONS(2253),
    [anon_sym_readdir] = ACTIONS(2253),
    [anon_sym_readline] = ACTIONS(2253),
    [anon_sym_readpipe] = ACTIONS(2253),
    [anon_sym_rewinddir] = ACTIONS(2253),
    [anon_sym_readlink] = ACTIONS(2253),
    [anon_sym_ref] = ACTIONS(2253),
    [anon_sym_scalar] = ACTIONS(2253),
    [anon_sym_shift] = ACTIONS(2253),
    [anon_sym_sin] = ACTIONS(2253),
    [anon_sym_sleep] = ACTIONS(2253),
    [anon_sym_sqrt] = ACTIONS(2253),
    [anon_sym_srand] = ACTIONS(2253),
    [anon_sym_stat] = ACTIONS(2253),
    [anon_sym_study] = ACTIONS(2253),
    [anon_sym_tell] = ACTIONS(2253),
    [anon_sym_telldir] = ACTIONS(2253),
    [anon_sym_tied] = ACTIONS(2253),
    [anon_sym_uc] = ACTIONS(2253),
    [anon_sym_ucfirst] = ACTIONS(2253),
    [anon_sym_untie] = ACTIONS(2253),
    [anon_sym_umask] = ACTIONS(2253),
    [anon_sym_values] = ACTIONS(2253),
    [anon_sym_write] = ACTIONS(2253),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2253),
    [anon_sym___END__] = ACTIONS(2253),
    [anon_sym_EOT] = ACTIONS(2253),
    [anon_sym_q] = ACTIONS(2253),
    [anon_sym_qq] = ACTIONS(2253),
    [anon_sym_qw] = ACTIONS(2253),
    [anon_sym_qx] = ACTIONS(2253),
    [anon_sym_qr] = ACTIONS(2253),
    [anon_sym_m] = ACTIONS(2253),
    [anon_sym_s] = ACTIONS(2253),
    [anon_sym_tr] = ACTIONS(2253),
    [anon_sym_y] = ACTIONS(2253),
    [anon_sym_if] = ACTIONS(2253),
    [anon_sym_unless] = ACTIONS(2253),
    [anon_sym_while] = ACTIONS(2253),
    [anon_sym_until] = ACTIONS(2253),
    [aux_sym__bareword_token1] = ACTIONS(2253),
    [sym_number] = ACTIONS(2253),
    [anon_sym_true] = ACTIONS(2253),
    [anon_sym_false] = ACTIONS(2253),
    [sym__single_quote] = ACTIONS(2251),
    [sym__double_quote] = ACTIONS(2251),
    [sym__backtick_quote] = ACTIONS(2251),
    [sym__search_slash_quote] = ACTIONS(2251),
    [sym__open_readline_bracket] = ACTIONS(2251),
    [sym__open_fileglob_bracket] = ACTIONS(2251),
    [sym__PERLY_HEREDOC] = ACTIONS(2251),
    [sym__ctrl_z_hack] = ACTIONS(2251),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2251),
    [sym__filetest] = ACTIONS(2251),
  },
  [956] = {
    [sym_heredoc_content] = STATE(956),
    [ts_builtin_sym_end] = ACTIONS(2255),
    [sym__identifier] = ACTIONS(2257),
    [anon_sym_LBRACE] = ACTIONS(2257),
    [anon_sym_SEMI] = ACTIONS(2257),
    [anon_sym_package] = ACTIONS(2257),
    [anon_sym_class] = ACTIONS(2257),
    [anon_sym_role] = ACTIONS(2257),
    [anon_sym_BUILD] = ACTIONS(2257),
    [anon_sym_ADJUST] = ACTIONS(2257),
    [anon_sym_DOLLAR] = ACTIONS(2257),
    [anon_sym_AT] = ACTIONS(2257),
    [anon_sym_my] = ACTIONS(2257),
    [anon_sym_extended] = ACTIONS(2257),
    [anon_sym_async] = ACTIONS(2257),
    [anon_sym_sub] = ACTIONS(2257),
    [anon_sym_method] = ACTIONS(2257),
    [anon_sym_LPAREN] = ACTIONS(2257),
    [anon_sym_continue] = ACTIONS(2257),
    [anon_sym_state] = ACTIONS(2257),
    [anon_sym_our] = ACTIONS(2257),
    [anon_sym_try] = ACTIONS(2257),
    [anon_sym_defer] = ACTIONS(2257),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2257),
    [anon_sym_LBRACK] = ACTIONS(2257),
    [anon_sym_LT_LT] = ACTIONS(2257),
    [anon_sym_SLASH_SLASH] = ACTIONS(2257),
    [anon_sym_PLUS] = ACTIONS(2257),
    [anon_sym_DASH] = ACTIONS(2257),
    [anon_sym_TILDE] = ACTIONS(2257),
    [anon_sym_BANG] = ACTIONS(2257),
    [anon_sym_PLUS_PLUS] = ACTIONS(2257),
    [anon_sym_DASH_DASH] = ACTIONS(2257),
    [anon_sym_BSLASH] = ACTIONS(2255),
    [anon_sym_do] = ACTIONS(2257),
    [anon_sym_eval] = ACTIONS(2257),
    [anon_sym_await] = ACTIONS(2257),
    [anon_sym_field] = ACTIONS(2257),
    [anon_sym_local] = ACTIONS(2257),
    [anon_sym_dynamically] = ACTIONS(2257),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2257),
    [anon_sym_require] = ACTIONS(2257),
    [anon_sym_map] = ACTIONS(2257),
    [anon_sym_grep] = ACTIONS(2257),
    [anon_sym_sort] = ACTIONS(2257),
    [anon_sym_goto] = ACTIONS(2257),
    [anon_sym_return] = ACTIONS(2257),
    [anon_sym_undef] = ACTIONS(2257),
    [anon_sym_PERCENT2] = ACTIONS(2257),
    [anon_sym_AMP2] = ACTIONS(2257),
    [anon_sym_STAR2] = ACTIONS(2257),
    [anon_sym_use] = ACTIONS(2257),
    [anon_sym_no] = ACTIONS(2257),
    [anon_sym_for] = ACTIONS(2257),
    [anon_sym_foreach] = ACTIONS(2257),
    [anon_sym_last] = ACTIONS(2257),
    [anon_sym_next] = ACTIONS(2257),
    [anon_sym_redo] = ACTIONS(2257),
    [anon_sym_BEGIN] = ACTIONS(2257),
    [anon_sym_INIT] = ACTIONS(2257),
    [anon_sym_CHECK] = ACTIONS(2257),
    [anon_sym_UNITCHECK] = ACTIONS(2257),
    [anon_sym_END] = ACTIONS(2257),
    [anon_sym___FILE__] = ACTIONS(2257),
    [anon_sym___LINE__] = ACTIONS(2257),
    [anon_sym___PACKAGE__] = ACTIONS(2257),
    [anon_sym___SUB__] = ACTIONS(2257),
    [anon_sym_break] = ACTIONS(2257),
    [anon_sym_fork] = ACTIONS(2257),
    [anon_sym_getppid] = ACTIONS(2257),
    [anon_sym_time] = ACTIONS(2257),
    [anon_sym_times] = ACTIONS(2257),
    [anon_sym_wait] = ACTIONS(2257),
    [anon_sym_wantarray] = ACTIONS(2257),
    [anon_sym_abs] = ACTIONS(2257),
    [anon_sym_alarm] = ACTIONS(2257),
    [anon_sym_chop] = ACTIONS(2257),
    [anon_sym_chdir] = ACTIONS(2257),
    [anon_sym_close] = ACTIONS(2257),
    [anon_sym_closedir] = ACTIONS(2257),
    [anon_sym_caller] = ACTIONS(2257),
    [anon_sym_chomp] = ACTIONS(2257),
    [anon_sym_chr] = ACTIONS(2257),
    [anon_sym_cos] = ACTIONS(2257),
    [anon_sym_chroot] = ACTIONS(2257),
    [anon_sym_defined] = ACTIONS(2257),
    [anon_sym_delete] = ACTIONS(2257),
    [anon_sym_dbmclose] = ACTIONS(2257),
    [anon_sym_exists] = ACTIONS(2257),
    [anon_sym_exit] = ACTIONS(2257),
    [anon_sym_eof] = ACTIONS(2257),
    [anon_sym_exp] = ACTIONS(2257),
    [anon_sym_each] = ACTIONS(2257),
    [anon_sym_fc] = ACTIONS(2257),
    [anon_sym_fileno] = ACTIONS(2257),
    [anon_sym_gmtime] = ACTIONS(2257),
    [anon_sym_getc] = ACTIONS(2257),
    [anon_sym_getpgrp] = ACTIONS(2257),
    [anon_sym_getprotobyname] = ACTIONS(2257),
    [anon_sym_getpwname] = ACTIONS(2257),
    [anon_sym_getpwuid] = ACTIONS(2257),
    [anon_sym_getpeername] = ACTIONS(2257),
    [anon_sym_getnetbyname] = ACTIONS(2257),
    [anon_sym_getsockname] = ACTIONS(2257),
    [anon_sym_getgrnam] = ACTIONS(2257),
    [anon_sym_getgrgid] = ACTIONS(2257),
    [anon_sym_hex] = ACTIONS(2257),
    [anon_sym_int] = ACTIONS(2257),
    [anon_sym_keys] = ACTIONS(2257),
    [anon_sym_lc] = ACTIONS(2257),
    [anon_sym_lcfirst] = ACTIONS(2257),
    [anon_sym_length] = ACTIONS(2257),
    [anon_sym_localtime] = ACTIONS(2257),
    [anon_sym_log] = ACTIONS(2257),
    [anon_sym_lock] = ACTIONS(2257),
    [anon_sym_lstat] = ACTIONS(2257),
    [anon_sym_oct] = ACTIONS(2257),
    [anon_sym_ord] = ACTIONS(2257),
    [anon_sym_prototype] = ACTIONS(2257),
    [anon_sym_pop] = ACTIONS(2257),
    [anon_sym_pos] = ACTIONS(2257),
    [anon_sym_quotemeta] = ACTIONS(2257),
    [anon_sym_reset] = ACTIONS(2257),
    [anon_sym_rand] = ACTIONS(2257),
    [anon_sym_rmdir] = ACTIONS(2257),
    [anon_sym_readdir] = ACTIONS(2257),
    [anon_sym_readline] = ACTIONS(2257),
    [anon_sym_readpipe] = ACTIONS(2257),
    [anon_sym_rewinddir] = ACTIONS(2257),
    [anon_sym_readlink] = ACTIONS(2257),
    [anon_sym_ref] = ACTIONS(2257),
    [anon_sym_scalar] = ACTIONS(2257),
    [anon_sym_shift] = ACTIONS(2257),
    [anon_sym_sin] = ACTIONS(2257),
    [anon_sym_sleep] = ACTIONS(2257),
    [anon_sym_sqrt] = ACTIONS(2257),
    [anon_sym_srand] = ACTIONS(2257),
    [anon_sym_stat] = ACTIONS(2257),
    [anon_sym_study] = ACTIONS(2257),
    [anon_sym_tell] = ACTIONS(2257),
    [anon_sym_telldir] = ACTIONS(2257),
    [anon_sym_tied] = ACTIONS(2257),
    [anon_sym_uc] = ACTIONS(2257),
    [anon_sym_ucfirst] = ACTIONS(2257),
    [anon_sym_untie] = ACTIONS(2257),
    [anon_sym_umask] = ACTIONS(2257),
    [anon_sym_values] = ACTIONS(2257),
    [anon_sym_write] = ACTIONS(2257),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2257),
    [anon_sym___END__] = ACTIONS(2257),
    [anon_sym_EOT] = ACTIONS(2257),
    [anon_sym_q] = ACTIONS(2257),
    [anon_sym_qq] = ACTIONS(2257),
    [anon_sym_qw] = ACTIONS(2257),
    [anon_sym_qx] = ACTIONS(2257),
    [anon_sym_qr] = ACTIONS(2257),
    [anon_sym_m] = ACTIONS(2257),
    [anon_sym_s] = ACTIONS(2257),
    [anon_sym_tr] = ACTIONS(2257),
    [anon_sym_y] = ACTIONS(2257),
    [anon_sym_if] = ACTIONS(2257),
    [anon_sym_unless] = ACTIONS(2257),
    [anon_sym_while] = ACTIONS(2257),
    [anon_sym_until] = ACTIONS(2257),
    [aux_sym__bareword_token1] = ACTIONS(2257),
    [sym_number] = ACTIONS(2257),
    [anon_sym_true] = ACTIONS(2257),
    [anon_sym_false] = ACTIONS(2257),
    [sym__single_quote] = ACTIONS(2255),
    [sym__double_quote] = ACTIONS(2255),
    [sym__backtick_quote] = ACTIONS(2255),
    [sym__search_slash_quote] = ACTIONS(2255),
    [sym__open_readline_bracket] = ACTIONS(2255),
    [sym__open_fileglob_bracket] = ACTIONS(2255),
    [sym__PERLY_HEREDOC] = ACTIONS(2255),
    [sym__ctrl_z_hack] = ACTIONS(2255),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2255),
    [sym__filetest] = ACTIONS(2255),
  },
  [957] = {
    [sym_heredoc_content] = STATE(957),
    [ts_builtin_sym_end] = ACTIONS(2259),
    [sym__identifier] = ACTIONS(2261),
    [anon_sym_LBRACE] = ACTIONS(2261),
    [anon_sym_SEMI] = ACTIONS(2261),
    [anon_sym_package] = ACTIONS(2261),
    [anon_sym_class] = ACTIONS(2261),
    [anon_sym_role] = ACTIONS(2261),
    [anon_sym_BUILD] = ACTIONS(2261),
    [anon_sym_ADJUST] = ACTIONS(2261),
    [anon_sym_DOLLAR] = ACTIONS(2261),
    [anon_sym_AT] = ACTIONS(2261),
    [anon_sym_my] = ACTIONS(2261),
    [anon_sym_extended] = ACTIONS(2261),
    [anon_sym_async] = ACTIONS(2261),
    [anon_sym_sub] = ACTIONS(2261),
    [anon_sym_method] = ACTIONS(2261),
    [anon_sym_LPAREN] = ACTIONS(2261),
    [anon_sym_continue] = ACTIONS(2261),
    [anon_sym_state] = ACTIONS(2261),
    [anon_sym_our] = ACTIONS(2261),
    [anon_sym_try] = ACTIONS(2261),
    [anon_sym_defer] = ACTIONS(2261),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2261),
    [anon_sym_LBRACK] = ACTIONS(2261),
    [anon_sym_LT_LT] = ACTIONS(2261),
    [anon_sym_SLASH_SLASH] = ACTIONS(2261),
    [anon_sym_PLUS] = ACTIONS(2261),
    [anon_sym_DASH] = ACTIONS(2261),
    [anon_sym_TILDE] = ACTIONS(2261),
    [anon_sym_BANG] = ACTIONS(2261),
    [anon_sym_PLUS_PLUS] = ACTIONS(2261),
    [anon_sym_DASH_DASH] = ACTIONS(2261),
    [anon_sym_BSLASH] = ACTIONS(2259),
    [anon_sym_do] = ACTIONS(2261),
    [anon_sym_eval] = ACTIONS(2261),
    [anon_sym_await] = ACTIONS(2261),
    [anon_sym_field] = ACTIONS(2261),
    [anon_sym_local] = ACTIONS(2261),
    [anon_sym_dynamically] = ACTIONS(2261),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2261),
    [anon_sym_require] = ACTIONS(2261),
    [anon_sym_map] = ACTIONS(2261),
    [anon_sym_grep] = ACTIONS(2261),
    [anon_sym_sort] = ACTIONS(2261),
    [anon_sym_goto] = ACTIONS(2261),
    [anon_sym_return] = ACTIONS(2261),
    [anon_sym_undef] = ACTIONS(2261),
    [anon_sym_PERCENT2] = ACTIONS(2261),
    [anon_sym_AMP2] = ACTIONS(2261),
    [anon_sym_STAR2] = ACTIONS(2261),
    [anon_sym_use] = ACTIONS(2261),
    [anon_sym_no] = ACTIONS(2261),
    [anon_sym_for] = ACTIONS(2261),
    [anon_sym_foreach] = ACTIONS(2261),
    [anon_sym_last] = ACTIONS(2261),
    [anon_sym_next] = ACTIONS(2261),
    [anon_sym_redo] = ACTIONS(2261),
    [anon_sym_BEGIN] = ACTIONS(2261),
    [anon_sym_INIT] = ACTIONS(2261),
    [anon_sym_CHECK] = ACTIONS(2261),
    [anon_sym_UNITCHECK] = ACTIONS(2261),
    [anon_sym_END] = ACTIONS(2261),
    [anon_sym___FILE__] = ACTIONS(2261),
    [anon_sym___LINE__] = ACTIONS(2261),
    [anon_sym___PACKAGE__] = ACTIONS(2261),
    [anon_sym___SUB__] = ACTIONS(2261),
    [anon_sym_break] = ACTIONS(2261),
    [anon_sym_fork] = ACTIONS(2261),
    [anon_sym_getppid] = ACTIONS(2261),
    [anon_sym_time] = ACTIONS(2261),
    [anon_sym_times] = ACTIONS(2261),
    [anon_sym_wait] = ACTIONS(2261),
    [anon_sym_wantarray] = ACTIONS(2261),
    [anon_sym_abs] = ACTIONS(2261),
    [anon_sym_alarm] = ACTIONS(2261),
    [anon_sym_chop] = ACTIONS(2261),
    [anon_sym_chdir] = ACTIONS(2261),
    [anon_sym_close] = ACTIONS(2261),
    [anon_sym_closedir] = ACTIONS(2261),
    [anon_sym_caller] = ACTIONS(2261),
    [anon_sym_chomp] = ACTIONS(2261),
    [anon_sym_chr] = ACTIONS(2261),
    [anon_sym_cos] = ACTIONS(2261),
    [anon_sym_chroot] = ACTIONS(2261),
    [anon_sym_defined] = ACTIONS(2261),
    [anon_sym_delete] = ACTIONS(2261),
    [anon_sym_dbmclose] = ACTIONS(2261),
    [anon_sym_exists] = ACTIONS(2261),
    [anon_sym_exit] = ACTIONS(2261),
    [anon_sym_eof] = ACTIONS(2261),
    [anon_sym_exp] = ACTIONS(2261),
    [anon_sym_each] = ACTIONS(2261),
    [anon_sym_fc] = ACTIONS(2261),
    [anon_sym_fileno] = ACTIONS(2261),
    [anon_sym_gmtime] = ACTIONS(2261),
    [anon_sym_getc] = ACTIONS(2261),
    [anon_sym_getpgrp] = ACTIONS(2261),
    [anon_sym_getprotobyname] = ACTIONS(2261),
    [anon_sym_getpwname] = ACTIONS(2261),
    [anon_sym_getpwuid] = ACTIONS(2261),
    [anon_sym_getpeername] = ACTIONS(2261),
    [anon_sym_getnetbyname] = ACTIONS(2261),
    [anon_sym_getsockname] = ACTIONS(2261),
    [anon_sym_getgrnam] = ACTIONS(2261),
    [anon_sym_getgrgid] = ACTIONS(2261),
    [anon_sym_hex] = ACTIONS(2261),
    [anon_sym_int] = ACTIONS(2261),
    [anon_sym_keys] = ACTIONS(2261),
    [anon_sym_lc] = ACTIONS(2261),
    [anon_sym_lcfirst] = ACTIONS(2261),
    [anon_sym_length] = ACTIONS(2261),
    [anon_sym_localtime] = ACTIONS(2261),
    [anon_sym_log] = ACTIONS(2261),
    [anon_sym_lock] = ACTIONS(2261),
    [anon_sym_lstat] = ACTIONS(2261),
    [anon_sym_oct] = ACTIONS(2261),
    [anon_sym_ord] = ACTIONS(2261),
    [anon_sym_prototype] = ACTIONS(2261),
    [anon_sym_pop] = ACTIONS(2261),
    [anon_sym_pos] = ACTIONS(2261),
    [anon_sym_quotemeta] = ACTIONS(2261),
    [anon_sym_reset] = ACTIONS(2261),
    [anon_sym_rand] = ACTIONS(2261),
    [anon_sym_rmdir] = ACTIONS(2261),
    [anon_sym_readdir] = ACTIONS(2261),
    [anon_sym_readline] = ACTIONS(2261),
    [anon_sym_readpipe] = ACTIONS(2261),
    [anon_sym_rewinddir] = ACTIONS(2261),
    [anon_sym_readlink] = ACTIONS(2261),
    [anon_sym_ref] = ACTIONS(2261),
    [anon_sym_scalar] = ACTIONS(2261),
    [anon_sym_shift] = ACTIONS(2261),
    [anon_sym_sin] = ACTIONS(2261),
    [anon_sym_sleep] = ACTIONS(2261),
    [anon_sym_sqrt] = ACTIONS(2261),
    [anon_sym_srand] = ACTIONS(2261),
    [anon_sym_stat] = ACTIONS(2261),
    [anon_sym_study] = ACTIONS(2261),
    [anon_sym_tell] = ACTIONS(2261),
    [anon_sym_telldir] = ACTIONS(2261),
    [anon_sym_tied] = ACTIONS(2261),
    [anon_sym_uc] = ACTIONS(2261),
    [anon_sym_ucfirst] = ACTIONS(2261),
    [anon_sym_untie] = ACTIONS(2261),
    [anon_sym_umask] = ACTIONS(2261),
    [anon_sym_values] = ACTIONS(2261),
    [anon_sym_write] = ACTIONS(2261),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2261),
    [anon_sym___END__] = ACTIONS(2261),
    [anon_sym_EOT] = ACTIONS(2261),
    [anon_sym_q] = ACTIONS(2261),
    [anon_sym_qq] = ACTIONS(2261),
    [anon_sym_qw] = ACTIONS(2261),
    [anon_sym_qx] = ACTIONS(2261),
    [anon_sym_qr] = ACTIONS(2261),
    [anon_sym_m] = ACTIONS(2261),
    [anon_sym_s] = ACTIONS(2261),
    [anon_sym_tr] = ACTIONS(2261),
    [anon_sym_y] = ACTIONS(2261),
    [anon_sym_if] = ACTIONS(2261),
    [anon_sym_unless] = ACTIONS(2261),
    [anon_sym_while] = ACTIONS(2261),
    [anon_sym_until] = ACTIONS(2261),
    [aux_sym__bareword_token1] = ACTIONS(2261),
    [sym_number] = ACTIONS(2261),
    [anon_sym_true] = ACTIONS(2261),
    [anon_sym_false] = ACTIONS(2261),
    [sym__single_quote] = ACTIONS(2259),
    [sym__double_quote] = ACTIONS(2259),
    [sym__backtick_quote] = ACTIONS(2259),
    [sym__search_slash_quote] = ACTIONS(2259),
    [sym__open_readline_bracket] = ACTIONS(2259),
    [sym__open_fileglob_bracket] = ACTIONS(2259),
    [sym__PERLY_HEREDOC] = ACTIONS(2259),
    [sym__ctrl_z_hack] = ACTIONS(2259),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2259),
    [sym__filetest] = ACTIONS(2259),
  },
  [958] = {
    [sym_heredoc_content] = STATE(958),
    [ts_builtin_sym_end] = ACTIONS(2263),
    [sym__identifier] = ACTIONS(2265),
    [anon_sym_LBRACE] = ACTIONS(2265),
    [anon_sym_SEMI] = ACTIONS(2265),
    [anon_sym_package] = ACTIONS(2265),
    [anon_sym_class] = ACTIONS(2265),
    [anon_sym_role] = ACTIONS(2265),
    [anon_sym_BUILD] = ACTIONS(2265),
    [anon_sym_ADJUST] = ACTIONS(2265),
    [anon_sym_DOLLAR] = ACTIONS(2265),
    [anon_sym_AT] = ACTIONS(2265),
    [anon_sym_my] = ACTIONS(2265),
    [anon_sym_extended] = ACTIONS(2265),
    [anon_sym_async] = ACTIONS(2265),
    [anon_sym_sub] = ACTIONS(2265),
    [anon_sym_method] = ACTIONS(2265),
    [anon_sym_LPAREN] = ACTIONS(2265),
    [anon_sym_continue] = ACTIONS(2265),
    [anon_sym_state] = ACTIONS(2265),
    [anon_sym_our] = ACTIONS(2265),
    [anon_sym_try] = ACTIONS(2265),
    [anon_sym_defer] = ACTIONS(2265),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2265),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_LT_LT] = ACTIONS(2265),
    [anon_sym_SLASH_SLASH] = ACTIONS(2265),
    [anon_sym_PLUS] = ACTIONS(2265),
    [anon_sym_DASH] = ACTIONS(2265),
    [anon_sym_TILDE] = ACTIONS(2265),
    [anon_sym_BANG] = ACTIONS(2265),
    [anon_sym_PLUS_PLUS] = ACTIONS(2265),
    [anon_sym_DASH_DASH] = ACTIONS(2265),
    [anon_sym_BSLASH] = ACTIONS(2263),
    [anon_sym_do] = ACTIONS(2265),
    [anon_sym_eval] = ACTIONS(2265),
    [anon_sym_await] = ACTIONS(2265),
    [anon_sym_field] = ACTIONS(2265),
    [anon_sym_local] = ACTIONS(2265),
    [anon_sym_dynamically] = ACTIONS(2265),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2265),
    [anon_sym_require] = ACTIONS(2265),
    [anon_sym_map] = ACTIONS(2265),
    [anon_sym_grep] = ACTIONS(2265),
    [anon_sym_sort] = ACTIONS(2265),
    [anon_sym_goto] = ACTIONS(2265),
    [anon_sym_return] = ACTIONS(2265),
    [anon_sym_undef] = ACTIONS(2265),
    [anon_sym_PERCENT2] = ACTIONS(2265),
    [anon_sym_AMP2] = ACTIONS(2265),
    [anon_sym_STAR2] = ACTIONS(2265),
    [anon_sym_use] = ACTIONS(2265),
    [anon_sym_no] = ACTIONS(2265),
    [anon_sym_for] = ACTIONS(2265),
    [anon_sym_foreach] = ACTIONS(2265),
    [anon_sym_last] = ACTIONS(2265),
    [anon_sym_next] = ACTIONS(2265),
    [anon_sym_redo] = ACTIONS(2265),
    [anon_sym_BEGIN] = ACTIONS(2265),
    [anon_sym_INIT] = ACTIONS(2265),
    [anon_sym_CHECK] = ACTIONS(2265),
    [anon_sym_UNITCHECK] = ACTIONS(2265),
    [anon_sym_END] = ACTIONS(2265),
    [anon_sym___FILE__] = ACTIONS(2265),
    [anon_sym___LINE__] = ACTIONS(2265),
    [anon_sym___PACKAGE__] = ACTIONS(2265),
    [anon_sym___SUB__] = ACTIONS(2265),
    [anon_sym_break] = ACTIONS(2265),
    [anon_sym_fork] = ACTIONS(2265),
    [anon_sym_getppid] = ACTIONS(2265),
    [anon_sym_time] = ACTIONS(2265),
    [anon_sym_times] = ACTIONS(2265),
    [anon_sym_wait] = ACTIONS(2265),
    [anon_sym_wantarray] = ACTIONS(2265),
    [anon_sym_abs] = ACTIONS(2265),
    [anon_sym_alarm] = ACTIONS(2265),
    [anon_sym_chop] = ACTIONS(2265),
    [anon_sym_chdir] = ACTIONS(2265),
    [anon_sym_close] = ACTIONS(2265),
    [anon_sym_closedir] = ACTIONS(2265),
    [anon_sym_caller] = ACTIONS(2265),
    [anon_sym_chomp] = ACTIONS(2265),
    [anon_sym_chr] = ACTIONS(2265),
    [anon_sym_cos] = ACTIONS(2265),
    [anon_sym_chroot] = ACTIONS(2265),
    [anon_sym_defined] = ACTIONS(2265),
    [anon_sym_delete] = ACTIONS(2265),
    [anon_sym_dbmclose] = ACTIONS(2265),
    [anon_sym_exists] = ACTIONS(2265),
    [anon_sym_exit] = ACTIONS(2265),
    [anon_sym_eof] = ACTIONS(2265),
    [anon_sym_exp] = ACTIONS(2265),
    [anon_sym_each] = ACTIONS(2265),
    [anon_sym_fc] = ACTIONS(2265),
    [anon_sym_fileno] = ACTIONS(2265),
    [anon_sym_gmtime] = ACTIONS(2265),
    [anon_sym_getc] = ACTIONS(2265),
    [anon_sym_getpgrp] = ACTIONS(2265),
    [anon_sym_getprotobyname] = ACTIONS(2265),
    [anon_sym_getpwname] = ACTIONS(2265),
    [anon_sym_getpwuid] = ACTIONS(2265),
    [anon_sym_getpeername] = ACTIONS(2265),
    [anon_sym_getnetbyname] = ACTIONS(2265),
    [anon_sym_getsockname] = ACTIONS(2265),
    [anon_sym_getgrnam] = ACTIONS(2265),
    [anon_sym_getgrgid] = ACTIONS(2265),
    [anon_sym_hex] = ACTIONS(2265),
    [anon_sym_int] = ACTIONS(2265),
    [anon_sym_keys] = ACTIONS(2265),
    [anon_sym_lc] = ACTIONS(2265),
    [anon_sym_lcfirst] = ACTIONS(2265),
    [anon_sym_length] = ACTIONS(2265),
    [anon_sym_localtime] = ACTIONS(2265),
    [anon_sym_log] = ACTIONS(2265),
    [anon_sym_lock] = ACTIONS(2265),
    [anon_sym_lstat] = ACTIONS(2265),
    [anon_sym_oct] = ACTIONS(2265),
    [anon_sym_ord] = ACTIONS(2265),
    [anon_sym_prototype] = ACTIONS(2265),
    [anon_sym_pop] = ACTIONS(2265),
    [anon_sym_pos] = ACTIONS(2265),
    [anon_sym_quotemeta] = ACTIONS(2265),
    [anon_sym_reset] = ACTIONS(2265),
    [anon_sym_rand] = ACTIONS(2265),
    [anon_sym_rmdir] = ACTIONS(2265),
    [anon_sym_readdir] = ACTIONS(2265),
    [anon_sym_readline] = ACTIONS(2265),
    [anon_sym_readpipe] = ACTIONS(2265),
    [anon_sym_rewinddir] = ACTIONS(2265),
    [anon_sym_readlink] = ACTIONS(2265),
    [anon_sym_ref] = ACTIONS(2265),
    [anon_sym_scalar] = ACTIONS(2265),
    [anon_sym_shift] = ACTIONS(2265),
    [anon_sym_sin] = ACTIONS(2265),
    [anon_sym_sleep] = ACTIONS(2265),
    [anon_sym_sqrt] = ACTIONS(2265),
    [anon_sym_srand] = ACTIONS(2265),
    [anon_sym_stat] = ACTIONS(2265),
    [anon_sym_study] = ACTIONS(2265),
    [anon_sym_tell] = ACTIONS(2265),
    [anon_sym_telldir] = ACTIONS(2265),
    [anon_sym_tied] = ACTIONS(2265),
    [anon_sym_uc] = ACTIONS(2265),
    [anon_sym_ucfirst] = ACTIONS(2265),
    [anon_sym_untie] = ACTIONS(2265),
    [anon_sym_umask] = ACTIONS(2265),
    [anon_sym_values] = ACTIONS(2265),
    [anon_sym_write] = ACTIONS(2265),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2265),
    [anon_sym___END__] = ACTIONS(2265),
    [anon_sym_EOT] = ACTIONS(2265),
    [anon_sym_q] = ACTIONS(2265),
    [anon_sym_qq] = ACTIONS(2265),
    [anon_sym_qw] = ACTIONS(2265),
    [anon_sym_qx] = ACTIONS(2265),
    [anon_sym_qr] = ACTIONS(2265),
    [anon_sym_m] = ACTIONS(2265),
    [anon_sym_s] = ACTIONS(2265),
    [anon_sym_tr] = ACTIONS(2265),
    [anon_sym_y] = ACTIONS(2265),
    [anon_sym_if] = ACTIONS(2265),
    [anon_sym_unless] = ACTIONS(2265),
    [anon_sym_while] = ACTIONS(2265),
    [anon_sym_until] = ACTIONS(2265),
    [aux_sym__bareword_token1] = ACTIONS(2265),
    [sym_number] = ACTIONS(2265),
    [anon_sym_true] = ACTIONS(2265),
    [anon_sym_false] = ACTIONS(2265),
    [sym__single_quote] = ACTIONS(2263),
    [sym__double_quote] = ACTIONS(2263),
    [sym__backtick_quote] = ACTIONS(2263),
    [sym__search_slash_quote] = ACTIONS(2263),
    [sym__open_readline_bracket] = ACTIONS(2263),
    [sym__open_fileglob_bracket] = ACTIONS(2263),
    [sym__PERLY_HEREDOC] = ACTIONS(2263),
    [sym__ctrl_z_hack] = ACTIONS(2263),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2263),
    [sym__filetest] = ACTIONS(2263),
  },
  [959] = {
    [sym_heredoc_content] = STATE(959),
    [ts_builtin_sym_end] = ACTIONS(2267),
    [sym__identifier] = ACTIONS(2269),
    [anon_sym_LBRACE] = ACTIONS(2269),
    [anon_sym_SEMI] = ACTIONS(2269),
    [anon_sym_package] = ACTIONS(2269),
    [anon_sym_class] = ACTIONS(2269),
    [anon_sym_role] = ACTIONS(2269),
    [anon_sym_BUILD] = ACTIONS(2269),
    [anon_sym_ADJUST] = ACTIONS(2269),
    [anon_sym_DOLLAR] = ACTIONS(2269),
    [anon_sym_AT] = ACTIONS(2269),
    [anon_sym_my] = ACTIONS(2269),
    [anon_sym_extended] = ACTIONS(2269),
    [anon_sym_async] = ACTIONS(2269),
    [anon_sym_sub] = ACTIONS(2269),
    [anon_sym_method] = ACTIONS(2269),
    [anon_sym_LPAREN] = ACTIONS(2269),
    [anon_sym_continue] = ACTIONS(2269),
    [anon_sym_state] = ACTIONS(2269),
    [anon_sym_our] = ACTIONS(2269),
    [anon_sym_try] = ACTIONS(2269),
    [anon_sym_defer] = ACTIONS(2269),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2269),
    [anon_sym_LBRACK] = ACTIONS(2269),
    [anon_sym_LT_LT] = ACTIONS(2269),
    [anon_sym_SLASH_SLASH] = ACTIONS(2269),
    [anon_sym_PLUS] = ACTIONS(2269),
    [anon_sym_DASH] = ACTIONS(2269),
    [anon_sym_TILDE] = ACTIONS(2269),
    [anon_sym_BANG] = ACTIONS(2269),
    [anon_sym_PLUS_PLUS] = ACTIONS(2269),
    [anon_sym_DASH_DASH] = ACTIONS(2269),
    [anon_sym_BSLASH] = ACTIONS(2267),
    [anon_sym_do] = ACTIONS(2269),
    [anon_sym_eval] = ACTIONS(2269),
    [anon_sym_await] = ACTIONS(2269),
    [anon_sym_field] = ACTIONS(2269),
    [anon_sym_local] = ACTIONS(2269),
    [anon_sym_dynamically] = ACTIONS(2269),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2269),
    [anon_sym_require] = ACTIONS(2269),
    [anon_sym_map] = ACTIONS(2269),
    [anon_sym_grep] = ACTIONS(2269),
    [anon_sym_sort] = ACTIONS(2269),
    [anon_sym_goto] = ACTIONS(2269),
    [anon_sym_return] = ACTIONS(2269),
    [anon_sym_undef] = ACTIONS(2269),
    [anon_sym_PERCENT2] = ACTIONS(2269),
    [anon_sym_AMP2] = ACTIONS(2269),
    [anon_sym_STAR2] = ACTIONS(2269),
    [anon_sym_use] = ACTIONS(2269),
    [anon_sym_no] = ACTIONS(2269),
    [anon_sym_for] = ACTIONS(2269),
    [anon_sym_foreach] = ACTIONS(2269),
    [anon_sym_last] = ACTIONS(2269),
    [anon_sym_next] = ACTIONS(2269),
    [anon_sym_redo] = ACTIONS(2269),
    [anon_sym_BEGIN] = ACTIONS(2269),
    [anon_sym_INIT] = ACTIONS(2269),
    [anon_sym_CHECK] = ACTIONS(2269),
    [anon_sym_UNITCHECK] = ACTIONS(2269),
    [anon_sym_END] = ACTIONS(2269),
    [anon_sym___FILE__] = ACTIONS(2269),
    [anon_sym___LINE__] = ACTIONS(2269),
    [anon_sym___PACKAGE__] = ACTIONS(2269),
    [anon_sym___SUB__] = ACTIONS(2269),
    [anon_sym_break] = ACTIONS(2269),
    [anon_sym_fork] = ACTIONS(2269),
    [anon_sym_getppid] = ACTIONS(2269),
    [anon_sym_time] = ACTIONS(2269),
    [anon_sym_times] = ACTIONS(2269),
    [anon_sym_wait] = ACTIONS(2269),
    [anon_sym_wantarray] = ACTIONS(2269),
    [anon_sym_abs] = ACTIONS(2269),
    [anon_sym_alarm] = ACTIONS(2269),
    [anon_sym_chop] = ACTIONS(2269),
    [anon_sym_chdir] = ACTIONS(2269),
    [anon_sym_close] = ACTIONS(2269),
    [anon_sym_closedir] = ACTIONS(2269),
    [anon_sym_caller] = ACTIONS(2269),
    [anon_sym_chomp] = ACTIONS(2269),
    [anon_sym_chr] = ACTIONS(2269),
    [anon_sym_cos] = ACTIONS(2269),
    [anon_sym_chroot] = ACTIONS(2269),
    [anon_sym_defined] = ACTIONS(2269),
    [anon_sym_delete] = ACTIONS(2269),
    [anon_sym_dbmclose] = ACTIONS(2269),
    [anon_sym_exists] = ACTIONS(2269),
    [anon_sym_exit] = ACTIONS(2269),
    [anon_sym_eof] = ACTIONS(2269),
    [anon_sym_exp] = ACTIONS(2269),
    [anon_sym_each] = ACTIONS(2269),
    [anon_sym_fc] = ACTIONS(2269),
    [anon_sym_fileno] = ACTIONS(2269),
    [anon_sym_gmtime] = ACTIONS(2269),
    [anon_sym_getc] = ACTIONS(2269),
    [anon_sym_getpgrp] = ACTIONS(2269),
    [anon_sym_getprotobyname] = ACTIONS(2269),
    [anon_sym_getpwname] = ACTIONS(2269),
    [anon_sym_getpwuid] = ACTIONS(2269),
    [anon_sym_getpeername] = ACTIONS(2269),
    [anon_sym_getnetbyname] = ACTIONS(2269),
    [anon_sym_getsockname] = ACTIONS(2269),
    [anon_sym_getgrnam] = ACTIONS(2269),
    [anon_sym_getgrgid] = ACTIONS(2269),
    [anon_sym_hex] = ACTIONS(2269),
    [anon_sym_int] = ACTIONS(2269),
    [anon_sym_keys] = ACTIONS(2269),
    [anon_sym_lc] = ACTIONS(2269),
    [anon_sym_lcfirst] = ACTIONS(2269),
    [anon_sym_length] = ACTIONS(2269),
    [anon_sym_localtime] = ACTIONS(2269),
    [anon_sym_log] = ACTIONS(2269),
    [anon_sym_lock] = ACTIONS(2269),
    [anon_sym_lstat] = ACTIONS(2269),
    [anon_sym_oct] = ACTIONS(2269),
    [anon_sym_ord] = ACTIONS(2269),
    [anon_sym_prototype] = ACTIONS(2269),
    [anon_sym_pop] = ACTIONS(2269),
    [anon_sym_pos] = ACTIONS(2269),
    [anon_sym_quotemeta] = ACTIONS(2269),
    [anon_sym_reset] = ACTIONS(2269),
    [anon_sym_rand] = ACTIONS(2269),
    [anon_sym_rmdir] = ACTIONS(2269),
    [anon_sym_readdir] = ACTIONS(2269),
    [anon_sym_readline] = ACTIONS(2269),
    [anon_sym_readpipe] = ACTIONS(2269),
    [anon_sym_rewinddir] = ACTIONS(2269),
    [anon_sym_readlink] = ACTIONS(2269),
    [anon_sym_ref] = ACTIONS(2269),
    [anon_sym_scalar] = ACTIONS(2269),
    [anon_sym_shift] = ACTIONS(2269),
    [anon_sym_sin] = ACTIONS(2269),
    [anon_sym_sleep] = ACTIONS(2269),
    [anon_sym_sqrt] = ACTIONS(2269),
    [anon_sym_srand] = ACTIONS(2269),
    [anon_sym_stat] = ACTIONS(2269),
    [anon_sym_study] = ACTIONS(2269),
    [anon_sym_tell] = ACTIONS(2269),
    [anon_sym_telldir] = ACTIONS(2269),
    [anon_sym_tied] = ACTIONS(2269),
    [anon_sym_uc] = ACTIONS(2269),
    [anon_sym_ucfirst] = ACTIONS(2269),
    [anon_sym_untie] = ACTIONS(2269),
    [anon_sym_umask] = ACTIONS(2269),
    [anon_sym_values] = ACTIONS(2269),
    [anon_sym_write] = ACTIONS(2269),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2269),
    [anon_sym___END__] = ACTIONS(2269),
    [anon_sym_EOT] = ACTIONS(2269),
    [anon_sym_q] = ACTIONS(2269),
    [anon_sym_qq] = ACTIONS(2269),
    [anon_sym_qw] = ACTIONS(2269),
    [anon_sym_qx] = ACTIONS(2269),
    [anon_sym_qr] = ACTIONS(2269),
    [anon_sym_m] = ACTIONS(2269),
    [anon_sym_s] = ACTIONS(2269),
    [anon_sym_tr] = ACTIONS(2269),
    [anon_sym_y] = ACTIONS(2269),
    [anon_sym_if] = ACTIONS(2269),
    [anon_sym_unless] = ACTIONS(2269),
    [anon_sym_while] = ACTIONS(2269),
    [anon_sym_until] = ACTIONS(2269),
    [aux_sym__bareword_token1] = ACTIONS(2269),
    [sym_number] = ACTIONS(2269),
    [anon_sym_true] = ACTIONS(2269),
    [anon_sym_false] = ACTIONS(2269),
    [sym__single_quote] = ACTIONS(2267),
    [sym__double_quote] = ACTIONS(2267),
    [sym__backtick_quote] = ACTIONS(2267),
    [sym__search_slash_quote] = ACTIONS(2267),
    [sym__open_readline_bracket] = ACTIONS(2267),
    [sym__open_fileglob_bracket] = ACTIONS(2267),
    [sym__PERLY_HEREDOC] = ACTIONS(2267),
    [sym__ctrl_z_hack] = ACTIONS(2267),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2267),
    [sym__filetest] = ACTIONS(2267),
  },
  [960] = {
    [sym_heredoc_content] = STATE(960),
    [ts_builtin_sym_end] = ACTIONS(2271),
    [sym__identifier] = ACTIONS(2273),
    [anon_sym_LBRACE] = ACTIONS(2273),
    [anon_sym_SEMI] = ACTIONS(2273),
    [anon_sym_package] = ACTIONS(2273),
    [anon_sym_class] = ACTIONS(2273),
    [anon_sym_role] = ACTIONS(2273),
    [anon_sym_BUILD] = ACTIONS(2273),
    [anon_sym_ADJUST] = ACTIONS(2273),
    [anon_sym_DOLLAR] = ACTIONS(2273),
    [anon_sym_AT] = ACTIONS(2273),
    [anon_sym_my] = ACTIONS(2273),
    [anon_sym_extended] = ACTIONS(2273),
    [anon_sym_async] = ACTIONS(2273),
    [anon_sym_sub] = ACTIONS(2273),
    [anon_sym_method] = ACTIONS(2273),
    [anon_sym_LPAREN] = ACTIONS(2273),
    [anon_sym_continue] = ACTIONS(2273),
    [anon_sym_state] = ACTIONS(2273),
    [anon_sym_our] = ACTIONS(2273),
    [anon_sym_try] = ACTIONS(2273),
    [anon_sym_defer] = ACTIONS(2273),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2273),
    [anon_sym_LBRACK] = ACTIONS(2273),
    [anon_sym_LT_LT] = ACTIONS(2273),
    [anon_sym_SLASH_SLASH] = ACTIONS(2273),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_TILDE] = ACTIONS(2273),
    [anon_sym_BANG] = ACTIONS(2273),
    [anon_sym_PLUS_PLUS] = ACTIONS(2273),
    [anon_sym_DASH_DASH] = ACTIONS(2273),
    [anon_sym_BSLASH] = ACTIONS(2271),
    [anon_sym_do] = ACTIONS(2273),
    [anon_sym_eval] = ACTIONS(2273),
    [anon_sym_await] = ACTIONS(2273),
    [anon_sym_field] = ACTIONS(2273),
    [anon_sym_local] = ACTIONS(2273),
    [anon_sym_dynamically] = ACTIONS(2273),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2273),
    [anon_sym_require] = ACTIONS(2273),
    [anon_sym_map] = ACTIONS(2273),
    [anon_sym_grep] = ACTIONS(2273),
    [anon_sym_sort] = ACTIONS(2273),
    [anon_sym_goto] = ACTIONS(2273),
    [anon_sym_return] = ACTIONS(2273),
    [anon_sym_undef] = ACTIONS(2273),
    [anon_sym_PERCENT2] = ACTIONS(2273),
    [anon_sym_AMP2] = ACTIONS(2273),
    [anon_sym_STAR2] = ACTIONS(2273),
    [anon_sym_use] = ACTIONS(2273),
    [anon_sym_no] = ACTIONS(2273),
    [anon_sym_for] = ACTIONS(2273),
    [anon_sym_foreach] = ACTIONS(2273),
    [anon_sym_last] = ACTIONS(2273),
    [anon_sym_next] = ACTIONS(2273),
    [anon_sym_redo] = ACTIONS(2273),
    [anon_sym_BEGIN] = ACTIONS(2273),
    [anon_sym_INIT] = ACTIONS(2273),
    [anon_sym_CHECK] = ACTIONS(2273),
    [anon_sym_UNITCHECK] = ACTIONS(2273),
    [anon_sym_END] = ACTIONS(2273),
    [anon_sym___FILE__] = ACTIONS(2273),
    [anon_sym___LINE__] = ACTIONS(2273),
    [anon_sym___PACKAGE__] = ACTIONS(2273),
    [anon_sym___SUB__] = ACTIONS(2273),
    [anon_sym_break] = ACTIONS(2273),
    [anon_sym_fork] = ACTIONS(2273),
    [anon_sym_getppid] = ACTIONS(2273),
    [anon_sym_time] = ACTIONS(2273),
    [anon_sym_times] = ACTIONS(2273),
    [anon_sym_wait] = ACTIONS(2273),
    [anon_sym_wantarray] = ACTIONS(2273),
    [anon_sym_abs] = ACTIONS(2273),
    [anon_sym_alarm] = ACTIONS(2273),
    [anon_sym_chop] = ACTIONS(2273),
    [anon_sym_chdir] = ACTIONS(2273),
    [anon_sym_close] = ACTIONS(2273),
    [anon_sym_closedir] = ACTIONS(2273),
    [anon_sym_caller] = ACTIONS(2273),
    [anon_sym_chomp] = ACTIONS(2273),
    [anon_sym_chr] = ACTIONS(2273),
    [anon_sym_cos] = ACTIONS(2273),
    [anon_sym_chroot] = ACTIONS(2273),
    [anon_sym_defined] = ACTIONS(2273),
    [anon_sym_delete] = ACTIONS(2273),
    [anon_sym_dbmclose] = ACTIONS(2273),
    [anon_sym_exists] = ACTIONS(2273),
    [anon_sym_exit] = ACTIONS(2273),
    [anon_sym_eof] = ACTIONS(2273),
    [anon_sym_exp] = ACTIONS(2273),
    [anon_sym_each] = ACTIONS(2273),
    [anon_sym_fc] = ACTIONS(2273),
    [anon_sym_fileno] = ACTIONS(2273),
    [anon_sym_gmtime] = ACTIONS(2273),
    [anon_sym_getc] = ACTIONS(2273),
    [anon_sym_getpgrp] = ACTIONS(2273),
    [anon_sym_getprotobyname] = ACTIONS(2273),
    [anon_sym_getpwname] = ACTIONS(2273),
    [anon_sym_getpwuid] = ACTIONS(2273),
    [anon_sym_getpeername] = ACTIONS(2273),
    [anon_sym_getnetbyname] = ACTIONS(2273),
    [anon_sym_getsockname] = ACTIONS(2273),
    [anon_sym_getgrnam] = ACTIONS(2273),
    [anon_sym_getgrgid] = ACTIONS(2273),
    [anon_sym_hex] = ACTIONS(2273),
    [anon_sym_int] = ACTIONS(2273),
    [anon_sym_keys] = ACTIONS(2273),
    [anon_sym_lc] = ACTIONS(2273),
    [anon_sym_lcfirst] = ACTIONS(2273),
    [anon_sym_length] = ACTIONS(2273),
    [anon_sym_localtime] = ACTIONS(2273),
    [anon_sym_log] = ACTIONS(2273),
    [anon_sym_lock] = ACTIONS(2273),
    [anon_sym_lstat] = ACTIONS(2273),
    [anon_sym_oct] = ACTIONS(2273),
    [anon_sym_ord] = ACTIONS(2273),
    [anon_sym_prototype] = ACTIONS(2273),
    [anon_sym_pop] = ACTIONS(2273),
    [anon_sym_pos] = ACTIONS(2273),
    [anon_sym_quotemeta] = ACTIONS(2273),
    [anon_sym_reset] = ACTIONS(2273),
    [anon_sym_rand] = ACTIONS(2273),
    [anon_sym_rmdir] = ACTIONS(2273),
    [anon_sym_readdir] = ACTIONS(2273),
    [anon_sym_readline] = ACTIONS(2273),
    [anon_sym_readpipe] = ACTIONS(2273),
    [anon_sym_rewinddir] = ACTIONS(2273),
    [anon_sym_readlink] = ACTIONS(2273),
    [anon_sym_ref] = ACTIONS(2273),
    [anon_sym_scalar] = ACTIONS(2273),
    [anon_sym_shift] = ACTIONS(2273),
    [anon_sym_sin] = ACTIONS(2273),
    [anon_sym_sleep] = ACTIONS(2273),
    [anon_sym_sqrt] = ACTIONS(2273),
    [anon_sym_srand] = ACTIONS(2273),
    [anon_sym_stat] = ACTIONS(2273),
    [anon_sym_study] = ACTIONS(2273),
    [anon_sym_tell] = ACTIONS(2273),
    [anon_sym_telldir] = ACTIONS(2273),
    [anon_sym_tied] = ACTIONS(2273),
    [anon_sym_uc] = ACTIONS(2273),
    [anon_sym_ucfirst] = ACTIONS(2273),
    [anon_sym_untie] = ACTIONS(2273),
    [anon_sym_umask] = ACTIONS(2273),
    [anon_sym_values] = ACTIONS(2273),
    [anon_sym_write] = ACTIONS(2273),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2273),
    [anon_sym___END__] = ACTIONS(2273),
    [anon_sym_EOT] = ACTIONS(2273),
    [anon_sym_q] = ACTIONS(2273),
    [anon_sym_qq] = ACTIONS(2273),
    [anon_sym_qw] = ACTIONS(2273),
    [anon_sym_qx] = ACTIONS(2273),
    [anon_sym_qr] = ACTIONS(2273),
    [anon_sym_m] = ACTIONS(2273),
    [anon_sym_s] = ACTIONS(2273),
    [anon_sym_tr] = ACTIONS(2273),
    [anon_sym_y] = ACTIONS(2273),
    [anon_sym_if] = ACTIONS(2273),
    [anon_sym_unless] = ACTIONS(2273),
    [anon_sym_while] = ACTIONS(2273),
    [anon_sym_until] = ACTIONS(2273),
    [aux_sym__bareword_token1] = ACTIONS(2273),
    [sym_number] = ACTIONS(2273),
    [anon_sym_true] = ACTIONS(2273),
    [anon_sym_false] = ACTIONS(2273),
    [sym__single_quote] = ACTIONS(2271),
    [sym__double_quote] = ACTIONS(2271),
    [sym__backtick_quote] = ACTIONS(2271),
    [sym__search_slash_quote] = ACTIONS(2271),
    [sym__open_readline_bracket] = ACTIONS(2271),
    [sym__open_fileglob_bracket] = ACTIONS(2271),
    [sym__PERLY_HEREDOC] = ACTIONS(2271),
    [sym__ctrl_z_hack] = ACTIONS(2271),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2271),
    [sym__filetest] = ACTIONS(2271),
  },
  [961] = {
    [sym_heredoc_content] = STATE(961),
    [ts_builtin_sym_end] = ACTIONS(2275),
    [sym__identifier] = ACTIONS(2277),
    [anon_sym_LBRACE] = ACTIONS(2277),
    [anon_sym_SEMI] = ACTIONS(2277),
    [anon_sym_package] = ACTIONS(2277),
    [anon_sym_class] = ACTIONS(2277),
    [anon_sym_role] = ACTIONS(2277),
    [anon_sym_BUILD] = ACTIONS(2277),
    [anon_sym_ADJUST] = ACTIONS(2277),
    [anon_sym_DOLLAR] = ACTIONS(2277),
    [anon_sym_AT] = ACTIONS(2277),
    [anon_sym_my] = ACTIONS(2277),
    [anon_sym_extended] = ACTIONS(2277),
    [anon_sym_async] = ACTIONS(2277),
    [anon_sym_sub] = ACTIONS(2277),
    [anon_sym_method] = ACTIONS(2277),
    [anon_sym_LPAREN] = ACTIONS(2277),
    [anon_sym_continue] = ACTIONS(2277),
    [anon_sym_state] = ACTIONS(2277),
    [anon_sym_our] = ACTIONS(2277),
    [anon_sym_try] = ACTIONS(2277),
    [anon_sym_defer] = ACTIONS(2277),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2277),
    [anon_sym_LBRACK] = ACTIONS(2277),
    [anon_sym_LT_LT] = ACTIONS(2277),
    [anon_sym_SLASH_SLASH] = ACTIONS(2277),
    [anon_sym_PLUS] = ACTIONS(2277),
    [anon_sym_DASH] = ACTIONS(2277),
    [anon_sym_TILDE] = ACTIONS(2277),
    [anon_sym_BANG] = ACTIONS(2277),
    [anon_sym_PLUS_PLUS] = ACTIONS(2277),
    [anon_sym_DASH_DASH] = ACTIONS(2277),
    [anon_sym_BSLASH] = ACTIONS(2275),
    [anon_sym_do] = ACTIONS(2277),
    [anon_sym_eval] = ACTIONS(2277),
    [anon_sym_await] = ACTIONS(2277),
    [anon_sym_field] = ACTIONS(2277),
    [anon_sym_local] = ACTIONS(2277),
    [anon_sym_dynamically] = ACTIONS(2277),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2277),
    [anon_sym_require] = ACTIONS(2277),
    [anon_sym_map] = ACTIONS(2277),
    [anon_sym_grep] = ACTIONS(2277),
    [anon_sym_sort] = ACTIONS(2277),
    [anon_sym_goto] = ACTIONS(2277),
    [anon_sym_return] = ACTIONS(2277),
    [anon_sym_undef] = ACTIONS(2277),
    [anon_sym_PERCENT2] = ACTIONS(2277),
    [anon_sym_AMP2] = ACTIONS(2277),
    [anon_sym_STAR2] = ACTIONS(2277),
    [anon_sym_use] = ACTIONS(2277),
    [anon_sym_no] = ACTIONS(2277),
    [anon_sym_for] = ACTIONS(2277),
    [anon_sym_foreach] = ACTIONS(2277),
    [anon_sym_last] = ACTIONS(2277),
    [anon_sym_next] = ACTIONS(2277),
    [anon_sym_redo] = ACTIONS(2277),
    [anon_sym_BEGIN] = ACTIONS(2277),
    [anon_sym_INIT] = ACTIONS(2277),
    [anon_sym_CHECK] = ACTIONS(2277),
    [anon_sym_UNITCHECK] = ACTIONS(2277),
    [anon_sym_END] = ACTIONS(2277),
    [anon_sym___FILE__] = ACTIONS(2277),
    [anon_sym___LINE__] = ACTIONS(2277),
    [anon_sym___PACKAGE__] = ACTIONS(2277),
    [anon_sym___SUB__] = ACTIONS(2277),
    [anon_sym_break] = ACTIONS(2277),
    [anon_sym_fork] = ACTIONS(2277),
    [anon_sym_getppid] = ACTIONS(2277),
    [anon_sym_time] = ACTIONS(2277),
    [anon_sym_times] = ACTIONS(2277),
    [anon_sym_wait] = ACTIONS(2277),
    [anon_sym_wantarray] = ACTIONS(2277),
    [anon_sym_abs] = ACTIONS(2277),
    [anon_sym_alarm] = ACTIONS(2277),
    [anon_sym_chop] = ACTIONS(2277),
    [anon_sym_chdir] = ACTIONS(2277),
    [anon_sym_close] = ACTIONS(2277),
    [anon_sym_closedir] = ACTIONS(2277),
    [anon_sym_caller] = ACTIONS(2277),
    [anon_sym_chomp] = ACTIONS(2277),
    [anon_sym_chr] = ACTIONS(2277),
    [anon_sym_cos] = ACTIONS(2277),
    [anon_sym_chroot] = ACTIONS(2277),
    [anon_sym_defined] = ACTIONS(2277),
    [anon_sym_delete] = ACTIONS(2277),
    [anon_sym_dbmclose] = ACTIONS(2277),
    [anon_sym_exists] = ACTIONS(2277),
    [anon_sym_exit] = ACTIONS(2277),
    [anon_sym_eof] = ACTIONS(2277),
    [anon_sym_exp] = ACTIONS(2277),
    [anon_sym_each] = ACTIONS(2277),
    [anon_sym_fc] = ACTIONS(2277),
    [anon_sym_fileno] = ACTIONS(2277),
    [anon_sym_gmtime] = ACTIONS(2277),
    [anon_sym_getc] = ACTIONS(2277),
    [anon_sym_getpgrp] = ACTIONS(2277),
    [anon_sym_getprotobyname] = ACTIONS(2277),
    [anon_sym_getpwname] = ACTIONS(2277),
    [anon_sym_getpwuid] = ACTIONS(2277),
    [anon_sym_getpeername] = ACTIONS(2277),
    [anon_sym_getnetbyname] = ACTIONS(2277),
    [anon_sym_getsockname] = ACTIONS(2277),
    [anon_sym_getgrnam] = ACTIONS(2277),
    [anon_sym_getgrgid] = ACTIONS(2277),
    [anon_sym_hex] = ACTIONS(2277),
    [anon_sym_int] = ACTIONS(2277),
    [anon_sym_keys] = ACTIONS(2277),
    [anon_sym_lc] = ACTIONS(2277),
    [anon_sym_lcfirst] = ACTIONS(2277),
    [anon_sym_length] = ACTIONS(2277),
    [anon_sym_localtime] = ACTIONS(2277),
    [anon_sym_log] = ACTIONS(2277),
    [anon_sym_lock] = ACTIONS(2277),
    [anon_sym_lstat] = ACTIONS(2277),
    [anon_sym_oct] = ACTIONS(2277),
    [anon_sym_ord] = ACTIONS(2277),
    [anon_sym_prototype] = ACTIONS(2277),
    [anon_sym_pop] = ACTIONS(2277),
    [anon_sym_pos] = ACTIONS(2277),
    [anon_sym_quotemeta] = ACTIONS(2277),
    [anon_sym_reset] = ACTIONS(2277),
    [anon_sym_rand] = ACTIONS(2277),
    [anon_sym_rmdir] = ACTIONS(2277),
    [anon_sym_readdir] = ACTIONS(2277),
    [anon_sym_readline] = ACTIONS(2277),
    [anon_sym_readpipe] = ACTIONS(2277),
    [anon_sym_rewinddir] = ACTIONS(2277),
    [anon_sym_readlink] = ACTIONS(2277),
    [anon_sym_ref] = ACTIONS(2277),
    [anon_sym_scalar] = ACTIONS(2277),
    [anon_sym_shift] = ACTIONS(2277),
    [anon_sym_sin] = ACTIONS(2277),
    [anon_sym_sleep] = ACTIONS(2277),
    [anon_sym_sqrt] = ACTIONS(2277),
    [anon_sym_srand] = ACTIONS(2277),
    [anon_sym_stat] = ACTIONS(2277),
    [anon_sym_study] = ACTIONS(2277),
    [anon_sym_tell] = ACTIONS(2277),
    [anon_sym_telldir] = ACTIONS(2277),
    [anon_sym_tied] = ACTIONS(2277),
    [anon_sym_uc] = ACTIONS(2277),
    [anon_sym_ucfirst] = ACTIONS(2277),
    [anon_sym_untie] = ACTIONS(2277),
    [anon_sym_umask] = ACTIONS(2277),
    [anon_sym_values] = ACTIONS(2277),
    [anon_sym_write] = ACTIONS(2277),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2277),
    [anon_sym___END__] = ACTIONS(2277),
    [anon_sym_EOT] = ACTIONS(2277),
    [anon_sym_q] = ACTIONS(2277),
    [anon_sym_qq] = ACTIONS(2277),
    [anon_sym_qw] = ACTIONS(2277),
    [anon_sym_qx] = ACTIONS(2277),
    [anon_sym_qr] = ACTIONS(2277),
    [anon_sym_m] = ACTIONS(2277),
    [anon_sym_s] = ACTIONS(2277),
    [anon_sym_tr] = ACTIONS(2277),
    [anon_sym_y] = ACTIONS(2277),
    [anon_sym_if] = ACTIONS(2277),
    [anon_sym_unless] = ACTIONS(2277),
    [anon_sym_while] = ACTIONS(2277),
    [anon_sym_until] = ACTIONS(2277),
    [aux_sym__bareword_token1] = ACTIONS(2277),
    [sym_number] = ACTIONS(2277),
    [anon_sym_true] = ACTIONS(2277),
    [anon_sym_false] = ACTIONS(2277),
    [sym__single_quote] = ACTIONS(2275),
    [sym__double_quote] = ACTIONS(2275),
    [sym__backtick_quote] = ACTIONS(2275),
    [sym__search_slash_quote] = ACTIONS(2275),
    [sym__open_readline_bracket] = ACTIONS(2275),
    [sym__open_fileglob_bracket] = ACTIONS(2275),
    [sym__PERLY_HEREDOC] = ACTIONS(2275),
    [sym__ctrl_z_hack] = ACTIONS(2275),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2275),
    [sym__filetest] = ACTIONS(2275),
  },
  [962] = {
    [sym_heredoc_content] = STATE(962),
    [ts_builtin_sym_end] = ACTIONS(2279),
    [sym__identifier] = ACTIONS(2281),
    [anon_sym_LBRACE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2281),
    [anon_sym_package] = ACTIONS(2281),
    [anon_sym_class] = ACTIONS(2281),
    [anon_sym_role] = ACTIONS(2281),
    [anon_sym_BUILD] = ACTIONS(2281),
    [anon_sym_ADJUST] = ACTIONS(2281),
    [anon_sym_DOLLAR] = ACTIONS(2281),
    [anon_sym_AT] = ACTIONS(2281),
    [anon_sym_my] = ACTIONS(2281),
    [anon_sym_extended] = ACTIONS(2281),
    [anon_sym_async] = ACTIONS(2281),
    [anon_sym_sub] = ACTIONS(2281),
    [anon_sym_method] = ACTIONS(2281),
    [anon_sym_LPAREN] = ACTIONS(2281),
    [anon_sym_continue] = ACTIONS(2281),
    [anon_sym_state] = ACTIONS(2281),
    [anon_sym_our] = ACTIONS(2281),
    [anon_sym_try] = ACTIONS(2281),
    [anon_sym_defer] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2281),
    [anon_sym_LBRACK] = ACTIONS(2281),
    [anon_sym_LT_LT] = ACTIONS(2281),
    [anon_sym_SLASH_SLASH] = ACTIONS(2281),
    [anon_sym_PLUS] = ACTIONS(2281),
    [anon_sym_DASH] = ACTIONS(2281),
    [anon_sym_TILDE] = ACTIONS(2281),
    [anon_sym_BANG] = ACTIONS(2281),
    [anon_sym_PLUS_PLUS] = ACTIONS(2281),
    [anon_sym_DASH_DASH] = ACTIONS(2281),
    [anon_sym_BSLASH] = ACTIONS(2279),
    [anon_sym_do] = ACTIONS(2281),
    [anon_sym_eval] = ACTIONS(2281),
    [anon_sym_await] = ACTIONS(2281),
    [anon_sym_field] = ACTIONS(2281),
    [anon_sym_local] = ACTIONS(2281),
    [anon_sym_dynamically] = ACTIONS(2281),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2281),
    [anon_sym_require] = ACTIONS(2281),
    [anon_sym_map] = ACTIONS(2281),
    [anon_sym_grep] = ACTIONS(2281),
    [anon_sym_sort] = ACTIONS(2281),
    [anon_sym_goto] = ACTIONS(2281),
    [anon_sym_return] = ACTIONS(2281),
    [anon_sym_undef] = ACTIONS(2281),
    [anon_sym_PERCENT2] = ACTIONS(2281),
    [anon_sym_AMP2] = ACTIONS(2281),
    [anon_sym_STAR2] = ACTIONS(2281),
    [anon_sym_use] = ACTIONS(2281),
    [anon_sym_no] = ACTIONS(2281),
    [anon_sym_for] = ACTIONS(2281),
    [anon_sym_foreach] = ACTIONS(2281),
    [anon_sym_last] = ACTIONS(2281),
    [anon_sym_next] = ACTIONS(2281),
    [anon_sym_redo] = ACTIONS(2281),
    [anon_sym_BEGIN] = ACTIONS(2281),
    [anon_sym_INIT] = ACTIONS(2281),
    [anon_sym_CHECK] = ACTIONS(2281),
    [anon_sym_UNITCHECK] = ACTIONS(2281),
    [anon_sym_END] = ACTIONS(2281),
    [anon_sym___FILE__] = ACTIONS(2281),
    [anon_sym___LINE__] = ACTIONS(2281),
    [anon_sym___PACKAGE__] = ACTIONS(2281),
    [anon_sym___SUB__] = ACTIONS(2281),
    [anon_sym_break] = ACTIONS(2281),
    [anon_sym_fork] = ACTIONS(2281),
    [anon_sym_getppid] = ACTIONS(2281),
    [anon_sym_time] = ACTIONS(2281),
    [anon_sym_times] = ACTIONS(2281),
    [anon_sym_wait] = ACTIONS(2281),
    [anon_sym_wantarray] = ACTIONS(2281),
    [anon_sym_abs] = ACTIONS(2281),
    [anon_sym_alarm] = ACTIONS(2281),
    [anon_sym_chop] = ACTIONS(2281),
    [anon_sym_chdir] = ACTIONS(2281),
    [anon_sym_close] = ACTIONS(2281),
    [anon_sym_closedir] = ACTIONS(2281),
    [anon_sym_caller] = ACTIONS(2281),
    [anon_sym_chomp] = ACTIONS(2281),
    [anon_sym_chr] = ACTIONS(2281),
    [anon_sym_cos] = ACTIONS(2281),
    [anon_sym_chroot] = ACTIONS(2281),
    [anon_sym_defined] = ACTIONS(2281),
    [anon_sym_delete] = ACTIONS(2281),
    [anon_sym_dbmclose] = ACTIONS(2281),
    [anon_sym_exists] = ACTIONS(2281),
    [anon_sym_exit] = ACTIONS(2281),
    [anon_sym_eof] = ACTIONS(2281),
    [anon_sym_exp] = ACTIONS(2281),
    [anon_sym_each] = ACTIONS(2281),
    [anon_sym_fc] = ACTIONS(2281),
    [anon_sym_fileno] = ACTIONS(2281),
    [anon_sym_gmtime] = ACTIONS(2281),
    [anon_sym_getc] = ACTIONS(2281),
    [anon_sym_getpgrp] = ACTIONS(2281),
    [anon_sym_getprotobyname] = ACTIONS(2281),
    [anon_sym_getpwname] = ACTIONS(2281),
    [anon_sym_getpwuid] = ACTIONS(2281),
    [anon_sym_getpeername] = ACTIONS(2281),
    [anon_sym_getnetbyname] = ACTIONS(2281),
    [anon_sym_getsockname] = ACTIONS(2281),
    [anon_sym_getgrnam] = ACTIONS(2281),
    [anon_sym_getgrgid] = ACTIONS(2281),
    [anon_sym_hex] = ACTIONS(2281),
    [anon_sym_int] = ACTIONS(2281),
    [anon_sym_keys] = ACTIONS(2281),
    [anon_sym_lc] = ACTIONS(2281),
    [anon_sym_lcfirst] = ACTIONS(2281),
    [anon_sym_length] = ACTIONS(2281),
    [anon_sym_localtime] = ACTIONS(2281),
    [anon_sym_log] = ACTIONS(2281),
    [anon_sym_lock] = ACTIONS(2281),
    [anon_sym_lstat] = ACTIONS(2281),
    [anon_sym_oct] = ACTIONS(2281),
    [anon_sym_ord] = ACTIONS(2281),
    [anon_sym_prototype] = ACTIONS(2281),
    [anon_sym_pop] = ACTIONS(2281),
    [anon_sym_pos] = ACTIONS(2281),
    [anon_sym_quotemeta] = ACTIONS(2281),
    [anon_sym_reset] = ACTIONS(2281),
    [anon_sym_rand] = ACTIONS(2281),
    [anon_sym_rmdir] = ACTIONS(2281),
    [anon_sym_readdir] = ACTIONS(2281),
    [anon_sym_readline] = ACTIONS(2281),
    [anon_sym_readpipe] = ACTIONS(2281),
    [anon_sym_rewinddir] = ACTIONS(2281),
    [anon_sym_readlink] = ACTIONS(2281),
    [anon_sym_ref] = ACTIONS(2281),
    [anon_sym_scalar] = ACTIONS(2281),
    [anon_sym_shift] = ACTIONS(2281),
    [anon_sym_sin] = ACTIONS(2281),
    [anon_sym_sleep] = ACTIONS(2281),
    [anon_sym_sqrt] = ACTIONS(2281),
    [anon_sym_srand] = ACTIONS(2281),
    [anon_sym_stat] = ACTIONS(2281),
    [anon_sym_study] = ACTIONS(2281),
    [anon_sym_tell] = ACTIONS(2281),
    [anon_sym_telldir] = ACTIONS(2281),
    [anon_sym_tied] = ACTIONS(2281),
    [anon_sym_uc] = ACTIONS(2281),
    [anon_sym_ucfirst] = ACTIONS(2281),
    [anon_sym_untie] = ACTIONS(2281),
    [anon_sym_umask] = ACTIONS(2281),
    [anon_sym_values] = ACTIONS(2281),
    [anon_sym_write] = ACTIONS(2281),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2281),
    [anon_sym___END__] = ACTIONS(2281),
    [anon_sym_EOT] = ACTIONS(2281),
    [anon_sym_q] = ACTIONS(2281),
    [anon_sym_qq] = ACTIONS(2281),
    [anon_sym_qw] = ACTIONS(2281),
    [anon_sym_qx] = ACTIONS(2281),
    [anon_sym_qr] = ACTIONS(2281),
    [anon_sym_m] = ACTIONS(2281),
    [anon_sym_s] = ACTIONS(2281),
    [anon_sym_tr] = ACTIONS(2281),
    [anon_sym_y] = ACTIONS(2281),
    [anon_sym_if] = ACTIONS(2281),
    [anon_sym_unless] = ACTIONS(2281),
    [anon_sym_while] = ACTIONS(2281),
    [anon_sym_until] = ACTIONS(2281),
    [aux_sym__bareword_token1] = ACTIONS(2281),
    [sym_number] = ACTIONS(2281),
    [anon_sym_true] = ACTIONS(2281),
    [anon_sym_false] = ACTIONS(2281),
    [sym__single_quote] = ACTIONS(2279),
    [sym__double_quote] = ACTIONS(2279),
    [sym__backtick_quote] = ACTIONS(2279),
    [sym__search_slash_quote] = ACTIONS(2279),
    [sym__open_readline_bracket] = ACTIONS(2279),
    [sym__open_fileglob_bracket] = ACTIONS(2279),
    [sym__PERLY_HEREDOC] = ACTIONS(2279),
    [sym__ctrl_z_hack] = ACTIONS(2279),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2279),
    [sym__filetest] = ACTIONS(2279),
  },
  [963] = {
    [sym_heredoc_content] = STATE(963),
    [ts_builtin_sym_end] = ACTIONS(2283),
    [sym__identifier] = ACTIONS(2285),
    [anon_sym_LBRACE] = ACTIONS(2285),
    [anon_sym_SEMI] = ACTIONS(2285),
    [anon_sym_package] = ACTIONS(2285),
    [anon_sym_class] = ACTIONS(2285),
    [anon_sym_role] = ACTIONS(2285),
    [anon_sym_BUILD] = ACTIONS(2285),
    [anon_sym_ADJUST] = ACTIONS(2285),
    [anon_sym_DOLLAR] = ACTIONS(2285),
    [anon_sym_AT] = ACTIONS(2285),
    [anon_sym_my] = ACTIONS(2285),
    [anon_sym_extended] = ACTIONS(2285),
    [anon_sym_async] = ACTIONS(2285),
    [anon_sym_sub] = ACTIONS(2285),
    [anon_sym_method] = ACTIONS(2285),
    [anon_sym_LPAREN] = ACTIONS(2285),
    [anon_sym_continue] = ACTIONS(2285),
    [anon_sym_state] = ACTIONS(2285),
    [anon_sym_our] = ACTIONS(2285),
    [anon_sym_try] = ACTIONS(2285),
    [anon_sym_defer] = ACTIONS(2285),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2285),
    [anon_sym_LBRACK] = ACTIONS(2285),
    [anon_sym_LT_LT] = ACTIONS(2285),
    [anon_sym_SLASH_SLASH] = ACTIONS(2285),
    [anon_sym_PLUS] = ACTIONS(2285),
    [anon_sym_DASH] = ACTIONS(2285),
    [anon_sym_TILDE] = ACTIONS(2285),
    [anon_sym_BANG] = ACTIONS(2285),
    [anon_sym_PLUS_PLUS] = ACTIONS(2285),
    [anon_sym_DASH_DASH] = ACTIONS(2285),
    [anon_sym_BSLASH] = ACTIONS(2283),
    [anon_sym_do] = ACTIONS(2285),
    [anon_sym_eval] = ACTIONS(2285),
    [anon_sym_await] = ACTIONS(2285),
    [anon_sym_field] = ACTIONS(2285),
    [anon_sym_local] = ACTIONS(2285),
    [anon_sym_dynamically] = ACTIONS(2285),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2285),
    [anon_sym_require] = ACTIONS(2285),
    [anon_sym_map] = ACTIONS(2285),
    [anon_sym_grep] = ACTIONS(2285),
    [anon_sym_sort] = ACTIONS(2285),
    [anon_sym_goto] = ACTIONS(2285),
    [anon_sym_return] = ACTIONS(2285),
    [anon_sym_undef] = ACTIONS(2285),
    [anon_sym_PERCENT2] = ACTIONS(2285),
    [anon_sym_AMP2] = ACTIONS(2285),
    [anon_sym_STAR2] = ACTIONS(2285),
    [anon_sym_use] = ACTIONS(2285),
    [anon_sym_no] = ACTIONS(2285),
    [anon_sym_for] = ACTIONS(2285),
    [anon_sym_foreach] = ACTIONS(2285),
    [anon_sym_last] = ACTIONS(2285),
    [anon_sym_next] = ACTIONS(2285),
    [anon_sym_redo] = ACTIONS(2285),
    [anon_sym_BEGIN] = ACTIONS(2285),
    [anon_sym_INIT] = ACTIONS(2285),
    [anon_sym_CHECK] = ACTIONS(2285),
    [anon_sym_UNITCHECK] = ACTIONS(2285),
    [anon_sym_END] = ACTIONS(2285),
    [anon_sym___FILE__] = ACTIONS(2285),
    [anon_sym___LINE__] = ACTIONS(2285),
    [anon_sym___PACKAGE__] = ACTIONS(2285),
    [anon_sym___SUB__] = ACTIONS(2285),
    [anon_sym_break] = ACTIONS(2285),
    [anon_sym_fork] = ACTIONS(2285),
    [anon_sym_getppid] = ACTIONS(2285),
    [anon_sym_time] = ACTIONS(2285),
    [anon_sym_times] = ACTIONS(2285),
    [anon_sym_wait] = ACTIONS(2285),
    [anon_sym_wantarray] = ACTIONS(2285),
    [anon_sym_abs] = ACTIONS(2285),
    [anon_sym_alarm] = ACTIONS(2285),
    [anon_sym_chop] = ACTIONS(2285),
    [anon_sym_chdir] = ACTIONS(2285),
    [anon_sym_close] = ACTIONS(2285),
    [anon_sym_closedir] = ACTIONS(2285),
    [anon_sym_caller] = ACTIONS(2285),
    [anon_sym_chomp] = ACTIONS(2285),
    [anon_sym_chr] = ACTIONS(2285),
    [anon_sym_cos] = ACTIONS(2285),
    [anon_sym_chroot] = ACTIONS(2285),
    [anon_sym_defined] = ACTIONS(2285),
    [anon_sym_delete] = ACTIONS(2285),
    [anon_sym_dbmclose] = ACTIONS(2285),
    [anon_sym_exists] = ACTIONS(2285),
    [anon_sym_exit] = ACTIONS(2285),
    [anon_sym_eof] = ACTIONS(2285),
    [anon_sym_exp] = ACTIONS(2285),
    [anon_sym_each] = ACTIONS(2285),
    [anon_sym_fc] = ACTIONS(2285),
    [anon_sym_fileno] = ACTIONS(2285),
    [anon_sym_gmtime] = ACTIONS(2285),
    [anon_sym_getc] = ACTIONS(2285),
    [anon_sym_getpgrp] = ACTIONS(2285),
    [anon_sym_getprotobyname] = ACTIONS(2285),
    [anon_sym_getpwname] = ACTIONS(2285),
    [anon_sym_getpwuid] = ACTIONS(2285),
    [anon_sym_getpeername] = ACTIONS(2285),
    [anon_sym_getnetbyname] = ACTIONS(2285),
    [anon_sym_getsockname] = ACTIONS(2285),
    [anon_sym_getgrnam] = ACTIONS(2285),
    [anon_sym_getgrgid] = ACTIONS(2285),
    [anon_sym_hex] = ACTIONS(2285),
    [anon_sym_int] = ACTIONS(2285),
    [anon_sym_keys] = ACTIONS(2285),
    [anon_sym_lc] = ACTIONS(2285),
    [anon_sym_lcfirst] = ACTIONS(2285),
    [anon_sym_length] = ACTIONS(2285),
    [anon_sym_localtime] = ACTIONS(2285),
    [anon_sym_log] = ACTIONS(2285),
    [anon_sym_lock] = ACTIONS(2285),
    [anon_sym_lstat] = ACTIONS(2285),
    [anon_sym_oct] = ACTIONS(2285),
    [anon_sym_ord] = ACTIONS(2285),
    [anon_sym_prototype] = ACTIONS(2285),
    [anon_sym_pop] = ACTIONS(2285),
    [anon_sym_pos] = ACTIONS(2285),
    [anon_sym_quotemeta] = ACTIONS(2285),
    [anon_sym_reset] = ACTIONS(2285),
    [anon_sym_rand] = ACTIONS(2285),
    [anon_sym_rmdir] = ACTIONS(2285),
    [anon_sym_readdir] = ACTIONS(2285),
    [anon_sym_readline] = ACTIONS(2285),
    [anon_sym_readpipe] = ACTIONS(2285),
    [anon_sym_rewinddir] = ACTIONS(2285),
    [anon_sym_readlink] = ACTIONS(2285),
    [anon_sym_ref] = ACTIONS(2285),
    [anon_sym_scalar] = ACTIONS(2285),
    [anon_sym_shift] = ACTIONS(2285),
    [anon_sym_sin] = ACTIONS(2285),
    [anon_sym_sleep] = ACTIONS(2285),
    [anon_sym_sqrt] = ACTIONS(2285),
    [anon_sym_srand] = ACTIONS(2285),
    [anon_sym_stat] = ACTIONS(2285),
    [anon_sym_study] = ACTIONS(2285),
    [anon_sym_tell] = ACTIONS(2285),
    [anon_sym_telldir] = ACTIONS(2285),
    [anon_sym_tied] = ACTIONS(2285),
    [anon_sym_uc] = ACTIONS(2285),
    [anon_sym_ucfirst] = ACTIONS(2285),
    [anon_sym_untie] = ACTIONS(2285),
    [anon_sym_umask] = ACTIONS(2285),
    [anon_sym_values] = ACTIONS(2285),
    [anon_sym_write] = ACTIONS(2285),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2285),
    [anon_sym___END__] = ACTIONS(2285),
    [anon_sym_EOT] = ACTIONS(2285),
    [anon_sym_q] = ACTIONS(2285),
    [anon_sym_qq] = ACTIONS(2285),
    [anon_sym_qw] = ACTIONS(2285),
    [anon_sym_qx] = ACTIONS(2285),
    [anon_sym_qr] = ACTIONS(2285),
    [anon_sym_m] = ACTIONS(2285),
    [anon_sym_s] = ACTIONS(2285),
    [anon_sym_tr] = ACTIONS(2285),
    [anon_sym_y] = ACTIONS(2285),
    [anon_sym_if] = ACTIONS(2285),
    [anon_sym_unless] = ACTIONS(2285),
    [anon_sym_while] = ACTIONS(2285),
    [anon_sym_until] = ACTIONS(2285),
    [aux_sym__bareword_token1] = ACTIONS(2285),
    [sym_number] = ACTIONS(2285),
    [anon_sym_true] = ACTIONS(2285),
    [anon_sym_false] = ACTIONS(2285),
    [sym__single_quote] = ACTIONS(2283),
    [sym__double_quote] = ACTIONS(2283),
    [sym__backtick_quote] = ACTIONS(2283),
    [sym__search_slash_quote] = ACTIONS(2283),
    [sym__open_readline_bracket] = ACTIONS(2283),
    [sym__open_fileglob_bracket] = ACTIONS(2283),
    [sym__PERLY_HEREDOC] = ACTIONS(2283),
    [sym__ctrl_z_hack] = ACTIONS(2283),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2283),
    [sym__filetest] = ACTIONS(2283),
  },
  [964] = {
    [sym_heredoc_content] = STATE(964),
    [ts_builtin_sym_end] = ACTIONS(2287),
    [sym__identifier] = ACTIONS(2289),
    [anon_sym_LBRACE] = ACTIONS(2289),
    [anon_sym_SEMI] = ACTIONS(2289),
    [anon_sym_package] = ACTIONS(2289),
    [anon_sym_class] = ACTIONS(2289),
    [anon_sym_role] = ACTIONS(2289),
    [anon_sym_BUILD] = ACTIONS(2289),
    [anon_sym_ADJUST] = ACTIONS(2289),
    [anon_sym_DOLLAR] = ACTIONS(2289),
    [anon_sym_AT] = ACTIONS(2289),
    [anon_sym_my] = ACTIONS(2289),
    [anon_sym_extended] = ACTIONS(2289),
    [anon_sym_async] = ACTIONS(2289),
    [anon_sym_sub] = ACTIONS(2289),
    [anon_sym_method] = ACTIONS(2289),
    [anon_sym_LPAREN] = ACTIONS(2289),
    [anon_sym_continue] = ACTIONS(2289),
    [anon_sym_state] = ACTIONS(2289),
    [anon_sym_our] = ACTIONS(2289),
    [anon_sym_try] = ACTIONS(2289),
    [anon_sym_defer] = ACTIONS(2289),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(2289),
    [anon_sym_LT_LT] = ACTIONS(2289),
    [anon_sym_SLASH_SLASH] = ACTIONS(2289),
    [anon_sym_PLUS] = ACTIONS(2289),
    [anon_sym_DASH] = ACTIONS(2289),
    [anon_sym_TILDE] = ACTIONS(2289),
    [anon_sym_BANG] = ACTIONS(2289),
    [anon_sym_PLUS_PLUS] = ACTIONS(2289),
    [anon_sym_DASH_DASH] = ACTIONS(2289),
    [anon_sym_BSLASH] = ACTIONS(2287),
    [anon_sym_do] = ACTIONS(2289),
    [anon_sym_eval] = ACTIONS(2289),
    [anon_sym_await] = ACTIONS(2289),
    [anon_sym_field] = ACTIONS(2289),
    [anon_sym_local] = ACTIONS(2289),
    [anon_sym_dynamically] = ACTIONS(2289),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2289),
    [anon_sym_require] = ACTIONS(2289),
    [anon_sym_map] = ACTIONS(2289),
    [anon_sym_grep] = ACTIONS(2289),
    [anon_sym_sort] = ACTIONS(2289),
    [anon_sym_goto] = ACTIONS(2289),
    [anon_sym_return] = ACTIONS(2289),
    [anon_sym_undef] = ACTIONS(2289),
    [anon_sym_PERCENT2] = ACTIONS(2289),
    [anon_sym_AMP2] = ACTIONS(2289),
    [anon_sym_STAR2] = ACTIONS(2289),
    [anon_sym_use] = ACTIONS(2289),
    [anon_sym_no] = ACTIONS(2289),
    [anon_sym_for] = ACTIONS(2289),
    [anon_sym_foreach] = ACTIONS(2289),
    [anon_sym_last] = ACTIONS(2289),
    [anon_sym_next] = ACTIONS(2289),
    [anon_sym_redo] = ACTIONS(2289),
    [anon_sym_BEGIN] = ACTIONS(2289),
    [anon_sym_INIT] = ACTIONS(2289),
    [anon_sym_CHECK] = ACTIONS(2289),
    [anon_sym_UNITCHECK] = ACTIONS(2289),
    [anon_sym_END] = ACTIONS(2289),
    [anon_sym___FILE__] = ACTIONS(2289),
    [anon_sym___LINE__] = ACTIONS(2289),
    [anon_sym___PACKAGE__] = ACTIONS(2289),
    [anon_sym___SUB__] = ACTIONS(2289),
    [anon_sym_break] = ACTIONS(2289),
    [anon_sym_fork] = ACTIONS(2289),
    [anon_sym_getppid] = ACTIONS(2289),
    [anon_sym_time] = ACTIONS(2289),
    [anon_sym_times] = ACTIONS(2289),
    [anon_sym_wait] = ACTIONS(2289),
    [anon_sym_wantarray] = ACTIONS(2289),
    [anon_sym_abs] = ACTIONS(2289),
    [anon_sym_alarm] = ACTIONS(2289),
    [anon_sym_chop] = ACTIONS(2289),
    [anon_sym_chdir] = ACTIONS(2289),
    [anon_sym_close] = ACTIONS(2289),
    [anon_sym_closedir] = ACTIONS(2289),
    [anon_sym_caller] = ACTIONS(2289),
    [anon_sym_chomp] = ACTIONS(2289),
    [anon_sym_chr] = ACTIONS(2289),
    [anon_sym_cos] = ACTIONS(2289),
    [anon_sym_chroot] = ACTIONS(2289),
    [anon_sym_defined] = ACTIONS(2289),
    [anon_sym_delete] = ACTIONS(2289),
    [anon_sym_dbmclose] = ACTIONS(2289),
    [anon_sym_exists] = ACTIONS(2289),
    [anon_sym_exit] = ACTIONS(2289),
    [anon_sym_eof] = ACTIONS(2289),
    [anon_sym_exp] = ACTIONS(2289),
    [anon_sym_each] = ACTIONS(2289),
    [anon_sym_fc] = ACTIONS(2289),
    [anon_sym_fileno] = ACTIONS(2289),
    [anon_sym_gmtime] = ACTIONS(2289),
    [anon_sym_getc] = ACTIONS(2289),
    [anon_sym_getpgrp] = ACTIONS(2289),
    [anon_sym_getprotobyname] = ACTIONS(2289),
    [anon_sym_getpwname] = ACTIONS(2289),
    [anon_sym_getpwuid] = ACTIONS(2289),
    [anon_sym_getpeername] = ACTIONS(2289),
    [anon_sym_getnetbyname] = ACTIONS(2289),
    [anon_sym_getsockname] = ACTIONS(2289),
    [anon_sym_getgrnam] = ACTIONS(2289),
    [anon_sym_getgrgid] = ACTIONS(2289),
    [anon_sym_hex] = ACTIONS(2289),
    [anon_sym_int] = ACTIONS(2289),
    [anon_sym_keys] = ACTIONS(2289),
    [anon_sym_lc] = ACTIONS(2289),
    [anon_sym_lcfirst] = ACTIONS(2289),
    [anon_sym_length] = ACTIONS(2289),
    [anon_sym_localtime] = ACTIONS(2289),
    [anon_sym_log] = ACTIONS(2289),
    [anon_sym_lock] = ACTIONS(2289),
    [anon_sym_lstat] = ACTIONS(2289),
    [anon_sym_oct] = ACTIONS(2289),
    [anon_sym_ord] = ACTIONS(2289),
    [anon_sym_prototype] = ACTIONS(2289),
    [anon_sym_pop] = ACTIONS(2289),
    [anon_sym_pos] = ACTIONS(2289),
    [anon_sym_quotemeta] = ACTIONS(2289),
    [anon_sym_reset] = ACTIONS(2289),
    [anon_sym_rand] = ACTIONS(2289),
    [anon_sym_rmdir] = ACTIONS(2289),
    [anon_sym_readdir] = ACTIONS(2289),
    [anon_sym_readline] = ACTIONS(2289),
    [anon_sym_readpipe] = ACTIONS(2289),
    [anon_sym_rewinddir] = ACTIONS(2289),
    [anon_sym_readlink] = ACTIONS(2289),
    [anon_sym_ref] = ACTIONS(2289),
    [anon_sym_scalar] = ACTIONS(2289),
    [anon_sym_shift] = ACTIONS(2289),
    [anon_sym_sin] = ACTIONS(2289),
    [anon_sym_sleep] = ACTIONS(2289),
    [anon_sym_sqrt] = ACTIONS(2289),
    [anon_sym_srand] = ACTIONS(2289),
    [anon_sym_stat] = ACTIONS(2289),
    [anon_sym_study] = ACTIONS(2289),
    [anon_sym_tell] = ACTIONS(2289),
    [anon_sym_telldir] = ACTIONS(2289),
    [anon_sym_tied] = ACTIONS(2289),
    [anon_sym_uc] = ACTIONS(2289),
    [anon_sym_ucfirst] = ACTIONS(2289),
    [anon_sym_untie] = ACTIONS(2289),
    [anon_sym_umask] = ACTIONS(2289),
    [anon_sym_values] = ACTIONS(2289),
    [anon_sym_write] = ACTIONS(2289),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2289),
    [anon_sym___END__] = ACTIONS(2289),
    [anon_sym_EOT] = ACTIONS(2289),
    [anon_sym_q] = ACTIONS(2289),
    [anon_sym_qq] = ACTIONS(2289),
    [anon_sym_qw] = ACTIONS(2289),
    [anon_sym_qx] = ACTIONS(2289),
    [anon_sym_qr] = ACTIONS(2289),
    [anon_sym_m] = ACTIONS(2289),
    [anon_sym_s] = ACTIONS(2289),
    [anon_sym_tr] = ACTIONS(2289),
    [anon_sym_y] = ACTIONS(2289),
    [anon_sym_if] = ACTIONS(2289),
    [anon_sym_unless] = ACTIONS(2289),
    [anon_sym_while] = ACTIONS(2289),
    [anon_sym_until] = ACTIONS(2289),
    [aux_sym__bareword_token1] = ACTIONS(2289),
    [sym_number] = ACTIONS(2289),
    [anon_sym_true] = ACTIONS(2289),
    [anon_sym_false] = ACTIONS(2289),
    [sym__single_quote] = ACTIONS(2287),
    [sym__double_quote] = ACTIONS(2287),
    [sym__backtick_quote] = ACTIONS(2287),
    [sym__search_slash_quote] = ACTIONS(2287),
    [sym__open_readline_bracket] = ACTIONS(2287),
    [sym__open_fileglob_bracket] = ACTIONS(2287),
    [sym__PERLY_HEREDOC] = ACTIONS(2287),
    [sym__ctrl_z_hack] = ACTIONS(2287),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2287),
    [sym__filetest] = ACTIONS(2287),
  },
  [965] = {
    [sym_heredoc_content] = STATE(965),
    [ts_builtin_sym_end] = ACTIONS(2291),
    [sym__identifier] = ACTIONS(2293),
    [anon_sym_LBRACE] = ACTIONS(2293),
    [anon_sym_SEMI] = ACTIONS(2293),
    [anon_sym_package] = ACTIONS(2293),
    [anon_sym_class] = ACTIONS(2293),
    [anon_sym_role] = ACTIONS(2293),
    [anon_sym_BUILD] = ACTIONS(2293),
    [anon_sym_ADJUST] = ACTIONS(2293),
    [anon_sym_DOLLAR] = ACTIONS(2293),
    [anon_sym_AT] = ACTIONS(2293),
    [anon_sym_my] = ACTIONS(2293),
    [anon_sym_extended] = ACTIONS(2293),
    [anon_sym_async] = ACTIONS(2293),
    [anon_sym_sub] = ACTIONS(2293),
    [anon_sym_method] = ACTIONS(2293),
    [anon_sym_LPAREN] = ACTIONS(2293),
    [anon_sym_continue] = ACTIONS(2293),
    [anon_sym_state] = ACTIONS(2293),
    [anon_sym_our] = ACTIONS(2293),
    [anon_sym_try] = ACTIONS(2293),
    [anon_sym_defer] = ACTIONS(2293),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2293),
    [anon_sym_LBRACK] = ACTIONS(2293),
    [anon_sym_LT_LT] = ACTIONS(2293),
    [anon_sym_SLASH_SLASH] = ACTIONS(2293),
    [anon_sym_PLUS] = ACTIONS(2293),
    [anon_sym_DASH] = ACTIONS(2293),
    [anon_sym_TILDE] = ACTIONS(2293),
    [anon_sym_BANG] = ACTIONS(2293),
    [anon_sym_PLUS_PLUS] = ACTIONS(2293),
    [anon_sym_DASH_DASH] = ACTIONS(2293),
    [anon_sym_BSLASH] = ACTIONS(2291),
    [anon_sym_do] = ACTIONS(2293),
    [anon_sym_eval] = ACTIONS(2293),
    [anon_sym_await] = ACTIONS(2293),
    [anon_sym_field] = ACTIONS(2293),
    [anon_sym_local] = ACTIONS(2293),
    [anon_sym_dynamically] = ACTIONS(2293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2293),
    [anon_sym_require] = ACTIONS(2293),
    [anon_sym_map] = ACTIONS(2293),
    [anon_sym_grep] = ACTIONS(2293),
    [anon_sym_sort] = ACTIONS(2293),
    [anon_sym_goto] = ACTIONS(2293),
    [anon_sym_return] = ACTIONS(2293),
    [anon_sym_undef] = ACTIONS(2293),
    [anon_sym_PERCENT2] = ACTIONS(2293),
    [anon_sym_AMP2] = ACTIONS(2293),
    [anon_sym_STAR2] = ACTIONS(2293),
    [anon_sym_use] = ACTIONS(2293),
    [anon_sym_no] = ACTIONS(2293),
    [anon_sym_for] = ACTIONS(2293),
    [anon_sym_foreach] = ACTIONS(2293),
    [anon_sym_last] = ACTIONS(2293),
    [anon_sym_next] = ACTIONS(2293),
    [anon_sym_redo] = ACTIONS(2293),
    [anon_sym_BEGIN] = ACTIONS(2293),
    [anon_sym_INIT] = ACTIONS(2293),
    [anon_sym_CHECK] = ACTIONS(2293),
    [anon_sym_UNITCHECK] = ACTIONS(2293),
    [anon_sym_END] = ACTIONS(2293),
    [anon_sym___FILE__] = ACTIONS(2293),
    [anon_sym___LINE__] = ACTIONS(2293),
    [anon_sym___PACKAGE__] = ACTIONS(2293),
    [anon_sym___SUB__] = ACTIONS(2293),
    [anon_sym_break] = ACTIONS(2293),
    [anon_sym_fork] = ACTIONS(2293),
    [anon_sym_getppid] = ACTIONS(2293),
    [anon_sym_time] = ACTIONS(2293),
    [anon_sym_times] = ACTIONS(2293),
    [anon_sym_wait] = ACTIONS(2293),
    [anon_sym_wantarray] = ACTIONS(2293),
    [anon_sym_abs] = ACTIONS(2293),
    [anon_sym_alarm] = ACTIONS(2293),
    [anon_sym_chop] = ACTIONS(2293),
    [anon_sym_chdir] = ACTIONS(2293),
    [anon_sym_close] = ACTIONS(2293),
    [anon_sym_closedir] = ACTIONS(2293),
    [anon_sym_caller] = ACTIONS(2293),
    [anon_sym_chomp] = ACTIONS(2293),
    [anon_sym_chr] = ACTIONS(2293),
    [anon_sym_cos] = ACTIONS(2293),
    [anon_sym_chroot] = ACTIONS(2293),
    [anon_sym_defined] = ACTIONS(2293),
    [anon_sym_delete] = ACTIONS(2293),
    [anon_sym_dbmclose] = ACTIONS(2293),
    [anon_sym_exists] = ACTIONS(2293),
    [anon_sym_exit] = ACTIONS(2293),
    [anon_sym_eof] = ACTIONS(2293),
    [anon_sym_exp] = ACTIONS(2293),
    [anon_sym_each] = ACTIONS(2293),
    [anon_sym_fc] = ACTIONS(2293),
    [anon_sym_fileno] = ACTIONS(2293),
    [anon_sym_gmtime] = ACTIONS(2293),
    [anon_sym_getc] = ACTIONS(2293),
    [anon_sym_getpgrp] = ACTIONS(2293),
    [anon_sym_getprotobyname] = ACTIONS(2293),
    [anon_sym_getpwname] = ACTIONS(2293),
    [anon_sym_getpwuid] = ACTIONS(2293),
    [anon_sym_getpeername] = ACTIONS(2293),
    [anon_sym_getnetbyname] = ACTIONS(2293),
    [anon_sym_getsockname] = ACTIONS(2293),
    [anon_sym_getgrnam] = ACTIONS(2293),
    [anon_sym_getgrgid] = ACTIONS(2293),
    [anon_sym_hex] = ACTIONS(2293),
    [anon_sym_int] = ACTIONS(2293),
    [anon_sym_keys] = ACTIONS(2293),
    [anon_sym_lc] = ACTIONS(2293),
    [anon_sym_lcfirst] = ACTIONS(2293),
    [anon_sym_length] = ACTIONS(2293),
    [anon_sym_localtime] = ACTIONS(2293),
    [anon_sym_log] = ACTIONS(2293),
    [anon_sym_lock] = ACTIONS(2293),
    [anon_sym_lstat] = ACTIONS(2293),
    [anon_sym_oct] = ACTIONS(2293),
    [anon_sym_ord] = ACTIONS(2293),
    [anon_sym_prototype] = ACTIONS(2293),
    [anon_sym_pop] = ACTIONS(2293),
    [anon_sym_pos] = ACTIONS(2293),
    [anon_sym_quotemeta] = ACTIONS(2293),
    [anon_sym_reset] = ACTIONS(2293),
    [anon_sym_rand] = ACTIONS(2293),
    [anon_sym_rmdir] = ACTIONS(2293),
    [anon_sym_readdir] = ACTIONS(2293),
    [anon_sym_readline] = ACTIONS(2293),
    [anon_sym_readpipe] = ACTIONS(2293),
    [anon_sym_rewinddir] = ACTIONS(2293),
    [anon_sym_readlink] = ACTIONS(2293),
    [anon_sym_ref] = ACTIONS(2293),
    [anon_sym_scalar] = ACTIONS(2293),
    [anon_sym_shift] = ACTIONS(2293),
    [anon_sym_sin] = ACTIONS(2293),
    [anon_sym_sleep] = ACTIONS(2293),
    [anon_sym_sqrt] = ACTIONS(2293),
    [anon_sym_srand] = ACTIONS(2293),
    [anon_sym_stat] = ACTIONS(2293),
    [anon_sym_study] = ACTIONS(2293),
    [anon_sym_tell] = ACTIONS(2293),
    [anon_sym_telldir] = ACTIONS(2293),
    [anon_sym_tied] = ACTIONS(2293),
    [anon_sym_uc] = ACTIONS(2293),
    [anon_sym_ucfirst] = ACTIONS(2293),
    [anon_sym_untie] = ACTIONS(2293),
    [anon_sym_umask] = ACTIONS(2293),
    [anon_sym_values] = ACTIONS(2293),
    [anon_sym_write] = ACTIONS(2293),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2293),
    [anon_sym___END__] = ACTIONS(2293),
    [anon_sym_EOT] = ACTIONS(2293),
    [anon_sym_q] = ACTIONS(2293),
    [anon_sym_qq] = ACTIONS(2293),
    [anon_sym_qw] = ACTIONS(2293),
    [anon_sym_qx] = ACTIONS(2293),
    [anon_sym_qr] = ACTIONS(2293),
    [anon_sym_m] = ACTIONS(2293),
    [anon_sym_s] = ACTIONS(2293),
    [anon_sym_tr] = ACTIONS(2293),
    [anon_sym_y] = ACTIONS(2293),
    [anon_sym_if] = ACTIONS(2293),
    [anon_sym_unless] = ACTIONS(2293),
    [anon_sym_while] = ACTIONS(2293),
    [anon_sym_until] = ACTIONS(2293),
    [aux_sym__bareword_token1] = ACTIONS(2293),
    [sym_number] = ACTIONS(2293),
    [anon_sym_true] = ACTIONS(2293),
    [anon_sym_false] = ACTIONS(2293),
    [sym__single_quote] = ACTIONS(2291),
    [sym__double_quote] = ACTIONS(2291),
    [sym__backtick_quote] = ACTIONS(2291),
    [sym__search_slash_quote] = ACTIONS(2291),
    [sym__open_readline_bracket] = ACTIONS(2291),
    [sym__open_fileglob_bracket] = ACTIONS(2291),
    [sym__PERLY_HEREDOC] = ACTIONS(2291),
    [sym__ctrl_z_hack] = ACTIONS(2291),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2291),
    [sym__filetest] = ACTIONS(2291),
  },
  [966] = {
    [sym_heredoc_content] = STATE(966),
    [ts_builtin_sym_end] = ACTIONS(2295),
    [sym__identifier] = ACTIONS(2297),
    [anon_sym_LBRACE] = ACTIONS(2297),
    [anon_sym_SEMI] = ACTIONS(2297),
    [anon_sym_package] = ACTIONS(2297),
    [anon_sym_class] = ACTIONS(2297),
    [anon_sym_role] = ACTIONS(2297),
    [anon_sym_BUILD] = ACTIONS(2297),
    [anon_sym_ADJUST] = ACTIONS(2297),
    [anon_sym_DOLLAR] = ACTIONS(2297),
    [anon_sym_AT] = ACTIONS(2297),
    [anon_sym_my] = ACTIONS(2297),
    [anon_sym_extended] = ACTIONS(2297),
    [anon_sym_async] = ACTIONS(2297),
    [anon_sym_sub] = ACTIONS(2297),
    [anon_sym_method] = ACTIONS(2297),
    [anon_sym_LPAREN] = ACTIONS(2297),
    [anon_sym_continue] = ACTIONS(2299),
    [anon_sym_state] = ACTIONS(2297),
    [anon_sym_our] = ACTIONS(2297),
    [anon_sym_try] = ACTIONS(2297),
    [anon_sym_defer] = ACTIONS(2297),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2297),
    [anon_sym_LBRACK] = ACTIONS(2297),
    [anon_sym_LT_LT] = ACTIONS(2297),
    [anon_sym_SLASH_SLASH] = ACTIONS(2297),
    [anon_sym_PLUS] = ACTIONS(2297),
    [anon_sym_DASH] = ACTIONS(2297),
    [anon_sym_TILDE] = ACTIONS(2297),
    [anon_sym_BANG] = ACTIONS(2297),
    [anon_sym_PLUS_PLUS] = ACTIONS(2297),
    [anon_sym_DASH_DASH] = ACTIONS(2297),
    [anon_sym_BSLASH] = ACTIONS(2295),
    [anon_sym_do] = ACTIONS(2297),
    [anon_sym_eval] = ACTIONS(2297),
    [anon_sym_await] = ACTIONS(2297),
    [anon_sym_field] = ACTIONS(2297),
    [anon_sym_local] = ACTIONS(2297),
    [anon_sym_dynamically] = ACTIONS(2297),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2297),
    [anon_sym_require] = ACTIONS(2297),
    [anon_sym_map] = ACTIONS(2297),
    [anon_sym_grep] = ACTIONS(2297),
    [anon_sym_sort] = ACTIONS(2297),
    [anon_sym_goto] = ACTIONS(2297),
    [anon_sym_return] = ACTIONS(2297),
    [anon_sym_undef] = ACTIONS(2297),
    [anon_sym_PERCENT2] = ACTIONS(2297),
    [anon_sym_AMP2] = ACTIONS(2297),
    [anon_sym_STAR2] = ACTIONS(2297),
    [anon_sym_use] = ACTIONS(2297),
    [anon_sym_no] = ACTIONS(2297),
    [anon_sym_for] = ACTIONS(2297),
    [anon_sym_foreach] = ACTIONS(2297),
    [anon_sym_last] = ACTIONS(2297),
    [anon_sym_next] = ACTIONS(2297),
    [anon_sym_redo] = ACTIONS(2297),
    [anon_sym_BEGIN] = ACTIONS(2297),
    [anon_sym_INIT] = ACTIONS(2297),
    [anon_sym_CHECK] = ACTIONS(2297),
    [anon_sym_UNITCHECK] = ACTIONS(2297),
    [anon_sym_END] = ACTIONS(2297),
    [anon_sym___FILE__] = ACTIONS(2297),
    [anon_sym___LINE__] = ACTIONS(2297),
    [anon_sym___PACKAGE__] = ACTIONS(2297),
    [anon_sym___SUB__] = ACTIONS(2297),
    [anon_sym_break] = ACTIONS(2297),
    [anon_sym_fork] = ACTIONS(2297),
    [anon_sym_getppid] = ACTIONS(2297),
    [anon_sym_time] = ACTIONS(2297),
    [anon_sym_times] = ACTIONS(2297),
    [anon_sym_wait] = ACTIONS(2297),
    [anon_sym_wantarray] = ACTIONS(2297),
    [anon_sym_abs] = ACTIONS(2297),
    [anon_sym_alarm] = ACTIONS(2297),
    [anon_sym_chop] = ACTIONS(2297),
    [anon_sym_chdir] = ACTIONS(2297),
    [anon_sym_close] = ACTIONS(2297),
    [anon_sym_closedir] = ACTIONS(2297),
    [anon_sym_caller] = ACTIONS(2297),
    [anon_sym_chomp] = ACTIONS(2297),
    [anon_sym_chr] = ACTIONS(2297),
    [anon_sym_cos] = ACTIONS(2297),
    [anon_sym_chroot] = ACTIONS(2297),
    [anon_sym_defined] = ACTIONS(2297),
    [anon_sym_delete] = ACTIONS(2297),
    [anon_sym_dbmclose] = ACTIONS(2297),
    [anon_sym_exists] = ACTIONS(2297),
    [anon_sym_exit] = ACTIONS(2297),
    [anon_sym_eof] = ACTIONS(2297),
    [anon_sym_exp] = ACTIONS(2297),
    [anon_sym_each] = ACTIONS(2297),
    [anon_sym_fc] = ACTIONS(2297),
    [anon_sym_fileno] = ACTIONS(2297),
    [anon_sym_gmtime] = ACTIONS(2297),
    [anon_sym_getc] = ACTIONS(2297),
    [anon_sym_getpgrp] = ACTIONS(2297),
    [anon_sym_getprotobyname] = ACTIONS(2297),
    [anon_sym_getpwname] = ACTIONS(2297),
    [anon_sym_getpwuid] = ACTIONS(2297),
    [anon_sym_getpeername] = ACTIONS(2297),
    [anon_sym_getnetbyname] = ACTIONS(2297),
    [anon_sym_getsockname] = ACTIONS(2297),
    [anon_sym_getgrnam] = ACTIONS(2297),
    [anon_sym_getgrgid] = ACTIONS(2297),
    [anon_sym_hex] = ACTIONS(2297),
    [anon_sym_int] = ACTIONS(2297),
    [anon_sym_keys] = ACTIONS(2297),
    [anon_sym_lc] = ACTIONS(2297),
    [anon_sym_lcfirst] = ACTIONS(2297),
    [anon_sym_length] = ACTIONS(2297),
    [anon_sym_localtime] = ACTIONS(2297),
    [anon_sym_log] = ACTIONS(2297),
    [anon_sym_lock] = ACTIONS(2297),
    [anon_sym_lstat] = ACTIONS(2297),
    [anon_sym_oct] = ACTIONS(2297),
    [anon_sym_ord] = ACTIONS(2297),
    [anon_sym_prototype] = ACTIONS(2297),
    [anon_sym_pop] = ACTIONS(2297),
    [anon_sym_pos] = ACTIONS(2297),
    [anon_sym_quotemeta] = ACTIONS(2297),
    [anon_sym_reset] = ACTIONS(2297),
    [anon_sym_rand] = ACTIONS(2297),
    [anon_sym_rmdir] = ACTIONS(2297),
    [anon_sym_readdir] = ACTIONS(2297),
    [anon_sym_readline] = ACTIONS(2297),
    [anon_sym_readpipe] = ACTIONS(2297),
    [anon_sym_rewinddir] = ACTIONS(2297),
    [anon_sym_readlink] = ACTIONS(2297),
    [anon_sym_ref] = ACTIONS(2297),
    [anon_sym_scalar] = ACTIONS(2297),
    [anon_sym_shift] = ACTIONS(2297),
    [anon_sym_sin] = ACTIONS(2297),
    [anon_sym_sleep] = ACTIONS(2297),
    [anon_sym_sqrt] = ACTIONS(2297),
    [anon_sym_srand] = ACTIONS(2297),
    [anon_sym_stat] = ACTIONS(2297),
    [anon_sym_study] = ACTIONS(2297),
    [anon_sym_tell] = ACTIONS(2297),
    [anon_sym_telldir] = ACTIONS(2297),
    [anon_sym_tied] = ACTIONS(2297),
    [anon_sym_uc] = ACTIONS(2297),
    [anon_sym_ucfirst] = ACTIONS(2297),
    [anon_sym_untie] = ACTIONS(2297),
    [anon_sym_umask] = ACTIONS(2297),
    [anon_sym_values] = ACTIONS(2297),
    [anon_sym_write] = ACTIONS(2297),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2297),
    [anon_sym___END__] = ACTIONS(2297),
    [anon_sym_EOT] = ACTIONS(2297),
    [anon_sym_q] = ACTIONS(2297),
    [anon_sym_qq] = ACTIONS(2297),
    [anon_sym_qw] = ACTIONS(2297),
    [anon_sym_qx] = ACTIONS(2297),
    [anon_sym_qr] = ACTIONS(2297),
    [anon_sym_m] = ACTIONS(2297),
    [anon_sym_s] = ACTIONS(2297),
    [anon_sym_tr] = ACTIONS(2297),
    [anon_sym_y] = ACTIONS(2297),
    [anon_sym_if] = ACTIONS(2297),
    [anon_sym_unless] = ACTIONS(2297),
    [anon_sym_while] = ACTIONS(2297),
    [anon_sym_until] = ACTIONS(2297),
    [aux_sym__bareword_token1] = ACTIONS(2297),
    [sym_number] = ACTIONS(2297),
    [anon_sym_true] = ACTIONS(2297),
    [anon_sym_false] = ACTIONS(2297),
    [sym__single_quote] = ACTIONS(2295),
    [sym__double_quote] = ACTIONS(2295),
    [sym__backtick_quote] = ACTIONS(2295),
    [sym__search_slash_quote] = ACTIONS(2295),
    [sym__open_readline_bracket] = ACTIONS(2295),
    [sym__open_fileglob_bracket] = ACTIONS(2295),
    [sym__PERLY_HEREDOC] = ACTIONS(2295),
    [sym__ctrl_z_hack] = ACTIONS(2295),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2295),
    [sym__filetest] = ACTIONS(2295),
  },
  [967] = {
    [sym_heredoc_content] = STATE(967),
    [ts_builtin_sym_end] = ACTIONS(2302),
    [sym__identifier] = ACTIONS(2304),
    [anon_sym_LBRACE] = ACTIONS(2304),
    [anon_sym_SEMI] = ACTIONS(2304),
    [anon_sym_package] = ACTIONS(2304),
    [anon_sym_class] = ACTIONS(2304),
    [anon_sym_role] = ACTIONS(2304),
    [anon_sym_BUILD] = ACTIONS(2304),
    [anon_sym_ADJUST] = ACTIONS(2304),
    [anon_sym_DOLLAR] = ACTIONS(2304),
    [anon_sym_AT] = ACTIONS(2304),
    [anon_sym_my] = ACTIONS(2304),
    [anon_sym_extended] = ACTIONS(2304),
    [anon_sym_async] = ACTIONS(2304),
    [anon_sym_sub] = ACTIONS(2304),
    [anon_sym_method] = ACTIONS(2304),
    [anon_sym_LPAREN] = ACTIONS(2304),
    [anon_sym_continue] = ACTIONS(2304),
    [anon_sym_state] = ACTIONS(2304),
    [anon_sym_our] = ACTIONS(2304),
    [anon_sym_try] = ACTIONS(2304),
    [anon_sym_defer] = ACTIONS(2304),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2304),
    [anon_sym_LBRACK] = ACTIONS(2304),
    [anon_sym_LT_LT] = ACTIONS(2304),
    [anon_sym_SLASH_SLASH] = ACTIONS(2304),
    [anon_sym_PLUS] = ACTIONS(2304),
    [anon_sym_DASH] = ACTIONS(2304),
    [anon_sym_TILDE] = ACTIONS(2304),
    [anon_sym_BANG] = ACTIONS(2304),
    [anon_sym_PLUS_PLUS] = ACTIONS(2304),
    [anon_sym_DASH_DASH] = ACTIONS(2304),
    [anon_sym_BSLASH] = ACTIONS(2302),
    [anon_sym_do] = ACTIONS(2304),
    [anon_sym_eval] = ACTIONS(2304),
    [anon_sym_await] = ACTIONS(2304),
    [anon_sym_field] = ACTIONS(2304),
    [anon_sym_local] = ACTIONS(2304),
    [anon_sym_dynamically] = ACTIONS(2304),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2304),
    [anon_sym_require] = ACTIONS(2304),
    [anon_sym_map] = ACTIONS(2304),
    [anon_sym_grep] = ACTIONS(2304),
    [anon_sym_sort] = ACTIONS(2304),
    [anon_sym_goto] = ACTIONS(2304),
    [anon_sym_return] = ACTIONS(2304),
    [anon_sym_undef] = ACTIONS(2304),
    [anon_sym_PERCENT2] = ACTIONS(2304),
    [anon_sym_AMP2] = ACTIONS(2304),
    [anon_sym_STAR2] = ACTIONS(2304),
    [anon_sym_use] = ACTIONS(2304),
    [anon_sym_no] = ACTIONS(2304),
    [anon_sym_for] = ACTIONS(2304),
    [anon_sym_foreach] = ACTIONS(2304),
    [anon_sym_last] = ACTIONS(2304),
    [anon_sym_next] = ACTIONS(2304),
    [anon_sym_redo] = ACTIONS(2304),
    [anon_sym_BEGIN] = ACTIONS(2304),
    [anon_sym_INIT] = ACTIONS(2304),
    [anon_sym_CHECK] = ACTIONS(2304),
    [anon_sym_UNITCHECK] = ACTIONS(2304),
    [anon_sym_END] = ACTIONS(2304),
    [anon_sym___FILE__] = ACTIONS(2304),
    [anon_sym___LINE__] = ACTIONS(2304),
    [anon_sym___PACKAGE__] = ACTIONS(2304),
    [anon_sym___SUB__] = ACTIONS(2304),
    [anon_sym_break] = ACTIONS(2304),
    [anon_sym_fork] = ACTIONS(2304),
    [anon_sym_getppid] = ACTIONS(2304),
    [anon_sym_time] = ACTIONS(2304),
    [anon_sym_times] = ACTIONS(2304),
    [anon_sym_wait] = ACTIONS(2304),
    [anon_sym_wantarray] = ACTIONS(2304),
    [anon_sym_abs] = ACTIONS(2304),
    [anon_sym_alarm] = ACTIONS(2304),
    [anon_sym_chop] = ACTIONS(2304),
    [anon_sym_chdir] = ACTIONS(2304),
    [anon_sym_close] = ACTIONS(2304),
    [anon_sym_closedir] = ACTIONS(2304),
    [anon_sym_caller] = ACTIONS(2304),
    [anon_sym_chomp] = ACTIONS(2304),
    [anon_sym_chr] = ACTIONS(2304),
    [anon_sym_cos] = ACTIONS(2304),
    [anon_sym_chroot] = ACTIONS(2304),
    [anon_sym_defined] = ACTIONS(2304),
    [anon_sym_delete] = ACTIONS(2304),
    [anon_sym_dbmclose] = ACTIONS(2304),
    [anon_sym_exists] = ACTIONS(2304),
    [anon_sym_exit] = ACTIONS(2304),
    [anon_sym_eof] = ACTIONS(2304),
    [anon_sym_exp] = ACTIONS(2304),
    [anon_sym_each] = ACTIONS(2304),
    [anon_sym_fc] = ACTIONS(2304),
    [anon_sym_fileno] = ACTIONS(2304),
    [anon_sym_gmtime] = ACTIONS(2304),
    [anon_sym_getc] = ACTIONS(2304),
    [anon_sym_getpgrp] = ACTIONS(2304),
    [anon_sym_getprotobyname] = ACTIONS(2304),
    [anon_sym_getpwname] = ACTIONS(2304),
    [anon_sym_getpwuid] = ACTIONS(2304),
    [anon_sym_getpeername] = ACTIONS(2304),
    [anon_sym_getnetbyname] = ACTIONS(2304),
    [anon_sym_getsockname] = ACTIONS(2304),
    [anon_sym_getgrnam] = ACTIONS(2304),
    [anon_sym_getgrgid] = ACTIONS(2304),
    [anon_sym_hex] = ACTIONS(2304),
    [anon_sym_int] = ACTIONS(2304),
    [anon_sym_keys] = ACTIONS(2304),
    [anon_sym_lc] = ACTIONS(2304),
    [anon_sym_lcfirst] = ACTIONS(2304),
    [anon_sym_length] = ACTIONS(2304),
    [anon_sym_localtime] = ACTIONS(2304),
    [anon_sym_log] = ACTIONS(2304),
    [anon_sym_lock] = ACTIONS(2304),
    [anon_sym_lstat] = ACTIONS(2304),
    [anon_sym_oct] = ACTIONS(2304),
    [anon_sym_ord] = ACTIONS(2304),
    [anon_sym_prototype] = ACTIONS(2304),
    [anon_sym_pop] = ACTIONS(2304),
    [anon_sym_pos] = ACTIONS(2304),
    [anon_sym_quotemeta] = ACTIONS(2304),
    [anon_sym_reset] = ACTIONS(2304),
    [anon_sym_rand] = ACTIONS(2304),
    [anon_sym_rmdir] = ACTIONS(2304),
    [anon_sym_readdir] = ACTIONS(2304),
    [anon_sym_readline] = ACTIONS(2304),
    [anon_sym_readpipe] = ACTIONS(2304),
    [anon_sym_rewinddir] = ACTIONS(2304),
    [anon_sym_readlink] = ACTIONS(2304),
    [anon_sym_ref] = ACTIONS(2304),
    [anon_sym_scalar] = ACTIONS(2304),
    [anon_sym_shift] = ACTIONS(2304),
    [anon_sym_sin] = ACTIONS(2304),
    [anon_sym_sleep] = ACTIONS(2304),
    [anon_sym_sqrt] = ACTIONS(2304),
    [anon_sym_srand] = ACTIONS(2304),
    [anon_sym_stat] = ACTIONS(2304),
    [anon_sym_study] = ACTIONS(2304),
    [anon_sym_tell] = ACTIONS(2304),
    [anon_sym_telldir] = ACTIONS(2304),
    [anon_sym_tied] = ACTIONS(2304),
    [anon_sym_uc] = ACTIONS(2304),
    [anon_sym_ucfirst] = ACTIONS(2304),
    [anon_sym_untie] = ACTIONS(2304),
    [anon_sym_umask] = ACTIONS(2304),
    [anon_sym_values] = ACTIONS(2304),
    [anon_sym_write] = ACTIONS(2304),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2304),
    [anon_sym___END__] = ACTIONS(2304),
    [anon_sym_EOT] = ACTIONS(2304),
    [anon_sym_q] = ACTIONS(2304),
    [anon_sym_qq] = ACTIONS(2304),
    [anon_sym_qw] = ACTIONS(2304),
    [anon_sym_qx] = ACTIONS(2304),
    [anon_sym_qr] = ACTIONS(2304),
    [anon_sym_m] = ACTIONS(2304),
    [anon_sym_s] = ACTIONS(2304),
    [anon_sym_tr] = ACTIONS(2304),
    [anon_sym_y] = ACTIONS(2304),
    [anon_sym_if] = ACTIONS(2304),
    [anon_sym_unless] = ACTIONS(2304),
    [anon_sym_while] = ACTIONS(2304),
    [anon_sym_until] = ACTIONS(2304),
    [aux_sym__bareword_token1] = ACTIONS(2304),
    [sym_number] = ACTIONS(2304),
    [anon_sym_true] = ACTIONS(2304),
    [anon_sym_false] = ACTIONS(2304),
    [sym__single_quote] = ACTIONS(2302),
    [sym__double_quote] = ACTIONS(2302),
    [sym__backtick_quote] = ACTIONS(2302),
    [sym__search_slash_quote] = ACTIONS(2302),
    [sym__open_readline_bracket] = ACTIONS(2302),
    [sym__open_fileglob_bracket] = ACTIONS(2302),
    [sym__PERLY_HEREDOC] = ACTIONS(2302),
    [sym__ctrl_z_hack] = ACTIONS(2302),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2302),
    [sym__filetest] = ACTIONS(2302),
  },
  [968] = {
    [sym_heredoc_content] = STATE(968),
    [ts_builtin_sym_end] = ACTIONS(2306),
    [sym__identifier] = ACTIONS(2308),
    [anon_sym_LBRACE] = ACTIONS(2308),
    [anon_sym_SEMI] = ACTIONS(2308),
    [anon_sym_package] = ACTIONS(2308),
    [anon_sym_class] = ACTIONS(2308),
    [anon_sym_role] = ACTIONS(2308),
    [anon_sym_BUILD] = ACTIONS(2308),
    [anon_sym_ADJUST] = ACTIONS(2308),
    [anon_sym_DOLLAR] = ACTIONS(2308),
    [anon_sym_AT] = ACTIONS(2308),
    [anon_sym_my] = ACTIONS(2308),
    [anon_sym_extended] = ACTIONS(2308),
    [anon_sym_async] = ACTIONS(2308),
    [anon_sym_sub] = ACTIONS(2308),
    [anon_sym_method] = ACTIONS(2308),
    [anon_sym_LPAREN] = ACTIONS(2308),
    [anon_sym_continue] = ACTIONS(2308),
    [anon_sym_state] = ACTIONS(2308),
    [anon_sym_our] = ACTIONS(2308),
    [anon_sym_try] = ACTIONS(2308),
    [anon_sym_defer] = ACTIONS(2308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2308),
    [anon_sym_LT_LT] = ACTIONS(2308),
    [anon_sym_SLASH_SLASH] = ACTIONS(2308),
    [anon_sym_PLUS] = ACTIONS(2308),
    [anon_sym_DASH] = ACTIONS(2308),
    [anon_sym_TILDE] = ACTIONS(2308),
    [anon_sym_BANG] = ACTIONS(2308),
    [anon_sym_PLUS_PLUS] = ACTIONS(2308),
    [anon_sym_DASH_DASH] = ACTIONS(2308),
    [anon_sym_BSLASH] = ACTIONS(2306),
    [anon_sym_do] = ACTIONS(2308),
    [anon_sym_eval] = ACTIONS(2308),
    [anon_sym_await] = ACTIONS(2308),
    [anon_sym_field] = ACTIONS(2308),
    [anon_sym_local] = ACTIONS(2308),
    [anon_sym_dynamically] = ACTIONS(2308),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2308),
    [anon_sym_require] = ACTIONS(2308),
    [anon_sym_map] = ACTIONS(2308),
    [anon_sym_grep] = ACTIONS(2308),
    [anon_sym_sort] = ACTIONS(2308),
    [anon_sym_goto] = ACTIONS(2308),
    [anon_sym_return] = ACTIONS(2308),
    [anon_sym_undef] = ACTIONS(2308),
    [anon_sym_PERCENT2] = ACTIONS(2308),
    [anon_sym_AMP2] = ACTIONS(2308),
    [anon_sym_STAR2] = ACTIONS(2308),
    [anon_sym_use] = ACTIONS(2308),
    [anon_sym_no] = ACTIONS(2308),
    [anon_sym_for] = ACTIONS(2308),
    [anon_sym_foreach] = ACTIONS(2308),
    [anon_sym_last] = ACTIONS(2308),
    [anon_sym_next] = ACTIONS(2308),
    [anon_sym_redo] = ACTIONS(2308),
    [anon_sym_BEGIN] = ACTIONS(2308),
    [anon_sym_INIT] = ACTIONS(2308),
    [anon_sym_CHECK] = ACTIONS(2308),
    [anon_sym_UNITCHECK] = ACTIONS(2308),
    [anon_sym_END] = ACTIONS(2308),
    [anon_sym___FILE__] = ACTIONS(2308),
    [anon_sym___LINE__] = ACTIONS(2308),
    [anon_sym___PACKAGE__] = ACTIONS(2308),
    [anon_sym___SUB__] = ACTIONS(2308),
    [anon_sym_break] = ACTIONS(2308),
    [anon_sym_fork] = ACTIONS(2308),
    [anon_sym_getppid] = ACTIONS(2308),
    [anon_sym_time] = ACTIONS(2308),
    [anon_sym_times] = ACTIONS(2308),
    [anon_sym_wait] = ACTIONS(2308),
    [anon_sym_wantarray] = ACTIONS(2308),
    [anon_sym_abs] = ACTIONS(2308),
    [anon_sym_alarm] = ACTIONS(2308),
    [anon_sym_chop] = ACTIONS(2308),
    [anon_sym_chdir] = ACTIONS(2308),
    [anon_sym_close] = ACTIONS(2308),
    [anon_sym_closedir] = ACTIONS(2308),
    [anon_sym_caller] = ACTIONS(2308),
    [anon_sym_chomp] = ACTIONS(2308),
    [anon_sym_chr] = ACTIONS(2308),
    [anon_sym_cos] = ACTIONS(2308),
    [anon_sym_chroot] = ACTIONS(2308),
    [anon_sym_defined] = ACTIONS(2308),
    [anon_sym_delete] = ACTIONS(2308),
    [anon_sym_dbmclose] = ACTIONS(2308),
    [anon_sym_exists] = ACTIONS(2308),
    [anon_sym_exit] = ACTIONS(2308),
    [anon_sym_eof] = ACTIONS(2308),
    [anon_sym_exp] = ACTIONS(2308),
    [anon_sym_each] = ACTIONS(2308),
    [anon_sym_fc] = ACTIONS(2308),
    [anon_sym_fileno] = ACTIONS(2308),
    [anon_sym_gmtime] = ACTIONS(2308),
    [anon_sym_getc] = ACTIONS(2308),
    [anon_sym_getpgrp] = ACTIONS(2308),
    [anon_sym_getprotobyname] = ACTIONS(2308),
    [anon_sym_getpwname] = ACTIONS(2308),
    [anon_sym_getpwuid] = ACTIONS(2308),
    [anon_sym_getpeername] = ACTIONS(2308),
    [anon_sym_getnetbyname] = ACTIONS(2308),
    [anon_sym_getsockname] = ACTIONS(2308),
    [anon_sym_getgrnam] = ACTIONS(2308),
    [anon_sym_getgrgid] = ACTIONS(2308),
    [anon_sym_hex] = ACTIONS(2308),
    [anon_sym_int] = ACTIONS(2308),
    [anon_sym_keys] = ACTIONS(2308),
    [anon_sym_lc] = ACTIONS(2308),
    [anon_sym_lcfirst] = ACTIONS(2308),
    [anon_sym_length] = ACTIONS(2308),
    [anon_sym_localtime] = ACTIONS(2308),
    [anon_sym_log] = ACTIONS(2308),
    [anon_sym_lock] = ACTIONS(2308),
    [anon_sym_lstat] = ACTIONS(2308),
    [anon_sym_oct] = ACTIONS(2308),
    [anon_sym_ord] = ACTIONS(2308),
    [anon_sym_prototype] = ACTIONS(2308),
    [anon_sym_pop] = ACTIONS(2308),
    [anon_sym_pos] = ACTIONS(2308),
    [anon_sym_quotemeta] = ACTIONS(2308),
    [anon_sym_reset] = ACTIONS(2308),
    [anon_sym_rand] = ACTIONS(2308),
    [anon_sym_rmdir] = ACTIONS(2308),
    [anon_sym_readdir] = ACTIONS(2308),
    [anon_sym_readline] = ACTIONS(2308),
    [anon_sym_readpipe] = ACTIONS(2308),
    [anon_sym_rewinddir] = ACTIONS(2308),
    [anon_sym_readlink] = ACTIONS(2308),
    [anon_sym_ref] = ACTIONS(2308),
    [anon_sym_scalar] = ACTIONS(2308),
    [anon_sym_shift] = ACTIONS(2308),
    [anon_sym_sin] = ACTIONS(2308),
    [anon_sym_sleep] = ACTIONS(2308),
    [anon_sym_sqrt] = ACTIONS(2308),
    [anon_sym_srand] = ACTIONS(2308),
    [anon_sym_stat] = ACTIONS(2308),
    [anon_sym_study] = ACTIONS(2308),
    [anon_sym_tell] = ACTIONS(2308),
    [anon_sym_telldir] = ACTIONS(2308),
    [anon_sym_tied] = ACTIONS(2308),
    [anon_sym_uc] = ACTIONS(2308),
    [anon_sym_ucfirst] = ACTIONS(2308),
    [anon_sym_untie] = ACTIONS(2308),
    [anon_sym_umask] = ACTIONS(2308),
    [anon_sym_values] = ACTIONS(2308),
    [anon_sym_write] = ACTIONS(2308),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2308),
    [anon_sym___END__] = ACTIONS(2308),
    [anon_sym_EOT] = ACTIONS(2308),
    [anon_sym_q] = ACTIONS(2308),
    [anon_sym_qq] = ACTIONS(2308),
    [anon_sym_qw] = ACTIONS(2308),
    [anon_sym_qx] = ACTIONS(2308),
    [anon_sym_qr] = ACTIONS(2308),
    [anon_sym_m] = ACTIONS(2308),
    [anon_sym_s] = ACTIONS(2308),
    [anon_sym_tr] = ACTIONS(2308),
    [anon_sym_y] = ACTIONS(2308),
    [anon_sym_if] = ACTIONS(2308),
    [anon_sym_unless] = ACTIONS(2308),
    [anon_sym_while] = ACTIONS(2308),
    [anon_sym_until] = ACTIONS(2308),
    [aux_sym__bareword_token1] = ACTIONS(2308),
    [sym_number] = ACTIONS(2308),
    [anon_sym_true] = ACTIONS(2308),
    [anon_sym_false] = ACTIONS(2308),
    [sym__single_quote] = ACTIONS(2306),
    [sym__double_quote] = ACTIONS(2306),
    [sym__backtick_quote] = ACTIONS(2306),
    [sym__search_slash_quote] = ACTIONS(2306),
    [sym__open_readline_bracket] = ACTIONS(2306),
    [sym__open_fileglob_bracket] = ACTIONS(2306),
    [sym__PERLY_HEREDOC] = ACTIONS(2306),
    [sym__ctrl_z_hack] = ACTIONS(2306),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2306),
    [sym__filetest] = ACTIONS(2306),
  },
  [969] = {
    [sym_heredoc_content] = STATE(969),
    [ts_builtin_sym_end] = ACTIONS(2310),
    [sym__identifier] = ACTIONS(2312),
    [anon_sym_LBRACE] = ACTIONS(2312),
    [anon_sym_SEMI] = ACTIONS(2312),
    [anon_sym_package] = ACTIONS(2312),
    [anon_sym_class] = ACTIONS(2312),
    [anon_sym_role] = ACTIONS(2312),
    [anon_sym_BUILD] = ACTIONS(2312),
    [anon_sym_ADJUST] = ACTIONS(2312),
    [anon_sym_DOLLAR] = ACTIONS(2312),
    [anon_sym_AT] = ACTIONS(2312),
    [anon_sym_my] = ACTIONS(2312),
    [anon_sym_extended] = ACTIONS(2312),
    [anon_sym_async] = ACTIONS(2312),
    [anon_sym_sub] = ACTIONS(2312),
    [anon_sym_method] = ACTIONS(2312),
    [anon_sym_LPAREN] = ACTIONS(2312),
    [anon_sym_continue] = ACTIONS(2312),
    [anon_sym_state] = ACTIONS(2312),
    [anon_sym_our] = ACTIONS(2312),
    [anon_sym_try] = ACTIONS(2312),
    [anon_sym_defer] = ACTIONS(2312),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2312),
    [anon_sym_LBRACK] = ACTIONS(2312),
    [anon_sym_LT_LT] = ACTIONS(2312),
    [anon_sym_SLASH_SLASH] = ACTIONS(2312),
    [anon_sym_PLUS] = ACTIONS(2312),
    [anon_sym_DASH] = ACTIONS(2312),
    [anon_sym_TILDE] = ACTIONS(2312),
    [anon_sym_BANG] = ACTIONS(2312),
    [anon_sym_PLUS_PLUS] = ACTIONS(2312),
    [anon_sym_DASH_DASH] = ACTIONS(2312),
    [anon_sym_BSLASH] = ACTIONS(2310),
    [anon_sym_do] = ACTIONS(2312),
    [anon_sym_eval] = ACTIONS(2312),
    [anon_sym_await] = ACTIONS(2312),
    [anon_sym_field] = ACTIONS(2312),
    [anon_sym_local] = ACTIONS(2312),
    [anon_sym_dynamically] = ACTIONS(2312),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2312),
    [anon_sym_require] = ACTIONS(2312),
    [anon_sym_map] = ACTIONS(2312),
    [anon_sym_grep] = ACTIONS(2312),
    [anon_sym_sort] = ACTIONS(2312),
    [anon_sym_goto] = ACTIONS(2312),
    [anon_sym_return] = ACTIONS(2312),
    [anon_sym_undef] = ACTIONS(2312),
    [anon_sym_PERCENT2] = ACTIONS(2312),
    [anon_sym_AMP2] = ACTIONS(2312),
    [anon_sym_STAR2] = ACTIONS(2312),
    [anon_sym_use] = ACTIONS(2312),
    [anon_sym_no] = ACTIONS(2312),
    [anon_sym_for] = ACTIONS(2312),
    [anon_sym_foreach] = ACTIONS(2312),
    [anon_sym_last] = ACTIONS(2312),
    [anon_sym_next] = ACTIONS(2312),
    [anon_sym_redo] = ACTIONS(2312),
    [anon_sym_BEGIN] = ACTIONS(2312),
    [anon_sym_INIT] = ACTIONS(2312),
    [anon_sym_CHECK] = ACTIONS(2312),
    [anon_sym_UNITCHECK] = ACTIONS(2312),
    [anon_sym_END] = ACTIONS(2312),
    [anon_sym___FILE__] = ACTIONS(2312),
    [anon_sym___LINE__] = ACTIONS(2312),
    [anon_sym___PACKAGE__] = ACTIONS(2312),
    [anon_sym___SUB__] = ACTIONS(2312),
    [anon_sym_break] = ACTIONS(2312),
    [anon_sym_fork] = ACTIONS(2312),
    [anon_sym_getppid] = ACTIONS(2312),
    [anon_sym_time] = ACTIONS(2312),
    [anon_sym_times] = ACTIONS(2312),
    [anon_sym_wait] = ACTIONS(2312),
    [anon_sym_wantarray] = ACTIONS(2312),
    [anon_sym_abs] = ACTIONS(2312),
    [anon_sym_alarm] = ACTIONS(2312),
    [anon_sym_chop] = ACTIONS(2312),
    [anon_sym_chdir] = ACTIONS(2312),
    [anon_sym_close] = ACTIONS(2312),
    [anon_sym_closedir] = ACTIONS(2312),
    [anon_sym_caller] = ACTIONS(2312),
    [anon_sym_chomp] = ACTIONS(2312),
    [anon_sym_chr] = ACTIONS(2312),
    [anon_sym_cos] = ACTIONS(2312),
    [anon_sym_chroot] = ACTIONS(2312),
    [anon_sym_defined] = ACTIONS(2312),
    [anon_sym_delete] = ACTIONS(2312),
    [anon_sym_dbmclose] = ACTIONS(2312),
    [anon_sym_exists] = ACTIONS(2312),
    [anon_sym_exit] = ACTIONS(2312),
    [anon_sym_eof] = ACTIONS(2312),
    [anon_sym_exp] = ACTIONS(2312),
    [anon_sym_each] = ACTIONS(2312),
    [anon_sym_fc] = ACTIONS(2312),
    [anon_sym_fileno] = ACTIONS(2312),
    [anon_sym_gmtime] = ACTIONS(2312),
    [anon_sym_getc] = ACTIONS(2312),
    [anon_sym_getpgrp] = ACTIONS(2312),
    [anon_sym_getprotobyname] = ACTIONS(2312),
    [anon_sym_getpwname] = ACTIONS(2312),
    [anon_sym_getpwuid] = ACTIONS(2312),
    [anon_sym_getpeername] = ACTIONS(2312),
    [anon_sym_getnetbyname] = ACTIONS(2312),
    [anon_sym_getsockname] = ACTIONS(2312),
    [anon_sym_getgrnam] = ACTIONS(2312),
    [anon_sym_getgrgid] = ACTIONS(2312),
    [anon_sym_hex] = ACTIONS(2312),
    [anon_sym_int] = ACTIONS(2312),
    [anon_sym_keys] = ACTIONS(2312),
    [anon_sym_lc] = ACTIONS(2312),
    [anon_sym_lcfirst] = ACTIONS(2312),
    [anon_sym_length] = ACTIONS(2312),
    [anon_sym_localtime] = ACTIONS(2312),
    [anon_sym_log] = ACTIONS(2312),
    [anon_sym_lock] = ACTIONS(2312),
    [anon_sym_lstat] = ACTIONS(2312),
    [anon_sym_oct] = ACTIONS(2312),
    [anon_sym_ord] = ACTIONS(2312),
    [anon_sym_prototype] = ACTIONS(2312),
    [anon_sym_pop] = ACTIONS(2312),
    [anon_sym_pos] = ACTIONS(2312),
    [anon_sym_quotemeta] = ACTIONS(2312),
    [anon_sym_reset] = ACTIONS(2312),
    [anon_sym_rand] = ACTIONS(2312),
    [anon_sym_rmdir] = ACTIONS(2312),
    [anon_sym_readdir] = ACTIONS(2312),
    [anon_sym_readline] = ACTIONS(2312),
    [anon_sym_readpipe] = ACTIONS(2312),
    [anon_sym_rewinddir] = ACTIONS(2312),
    [anon_sym_readlink] = ACTIONS(2312),
    [anon_sym_ref] = ACTIONS(2312),
    [anon_sym_scalar] = ACTIONS(2312),
    [anon_sym_shift] = ACTIONS(2312),
    [anon_sym_sin] = ACTIONS(2312),
    [anon_sym_sleep] = ACTIONS(2312),
    [anon_sym_sqrt] = ACTIONS(2312),
    [anon_sym_srand] = ACTIONS(2312),
    [anon_sym_stat] = ACTIONS(2312),
    [anon_sym_study] = ACTIONS(2312),
    [anon_sym_tell] = ACTIONS(2312),
    [anon_sym_telldir] = ACTIONS(2312),
    [anon_sym_tied] = ACTIONS(2312),
    [anon_sym_uc] = ACTIONS(2312),
    [anon_sym_ucfirst] = ACTIONS(2312),
    [anon_sym_untie] = ACTIONS(2312),
    [anon_sym_umask] = ACTIONS(2312),
    [anon_sym_values] = ACTIONS(2312),
    [anon_sym_write] = ACTIONS(2312),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2312),
    [anon_sym___END__] = ACTIONS(2312),
    [anon_sym_EOT] = ACTIONS(2312),
    [anon_sym_q] = ACTIONS(2312),
    [anon_sym_qq] = ACTIONS(2312),
    [anon_sym_qw] = ACTIONS(2312),
    [anon_sym_qx] = ACTIONS(2312),
    [anon_sym_qr] = ACTIONS(2312),
    [anon_sym_m] = ACTIONS(2312),
    [anon_sym_s] = ACTIONS(2312),
    [anon_sym_tr] = ACTIONS(2312),
    [anon_sym_y] = ACTIONS(2312),
    [anon_sym_if] = ACTIONS(2312),
    [anon_sym_unless] = ACTIONS(2312),
    [anon_sym_while] = ACTIONS(2312),
    [anon_sym_until] = ACTIONS(2312),
    [aux_sym__bareword_token1] = ACTIONS(2312),
    [sym_number] = ACTIONS(2312),
    [anon_sym_true] = ACTIONS(2312),
    [anon_sym_false] = ACTIONS(2312),
    [sym__single_quote] = ACTIONS(2310),
    [sym__double_quote] = ACTIONS(2310),
    [sym__backtick_quote] = ACTIONS(2310),
    [sym__search_slash_quote] = ACTIONS(2310),
    [sym__open_readline_bracket] = ACTIONS(2310),
    [sym__open_fileglob_bracket] = ACTIONS(2310),
    [sym__PERLY_HEREDOC] = ACTIONS(2310),
    [sym__ctrl_z_hack] = ACTIONS(2310),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2310),
    [sym__filetest] = ACTIONS(2310),
  },
  [970] = {
    [sym_heredoc_content] = STATE(970),
    [ts_builtin_sym_end] = ACTIONS(2314),
    [sym__identifier] = ACTIONS(2316),
    [anon_sym_LBRACE] = ACTIONS(2316),
    [anon_sym_SEMI] = ACTIONS(2316),
    [anon_sym_package] = ACTIONS(2316),
    [anon_sym_class] = ACTIONS(2316),
    [anon_sym_role] = ACTIONS(2316),
    [anon_sym_BUILD] = ACTIONS(2316),
    [anon_sym_ADJUST] = ACTIONS(2316),
    [anon_sym_DOLLAR] = ACTIONS(2316),
    [anon_sym_AT] = ACTIONS(2316),
    [anon_sym_my] = ACTIONS(2316),
    [anon_sym_extended] = ACTIONS(2316),
    [anon_sym_async] = ACTIONS(2316),
    [anon_sym_sub] = ACTIONS(2316),
    [anon_sym_method] = ACTIONS(2316),
    [anon_sym_LPAREN] = ACTIONS(2316),
    [anon_sym_continue] = ACTIONS(2316),
    [anon_sym_state] = ACTIONS(2316),
    [anon_sym_our] = ACTIONS(2316),
    [anon_sym_try] = ACTIONS(2316),
    [anon_sym_defer] = ACTIONS(2316),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2316),
    [anon_sym_LT_LT] = ACTIONS(2316),
    [anon_sym_SLASH_SLASH] = ACTIONS(2316),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_TILDE] = ACTIONS(2316),
    [anon_sym_BANG] = ACTIONS(2316),
    [anon_sym_PLUS_PLUS] = ACTIONS(2316),
    [anon_sym_DASH_DASH] = ACTIONS(2316),
    [anon_sym_BSLASH] = ACTIONS(2314),
    [anon_sym_do] = ACTIONS(2316),
    [anon_sym_eval] = ACTIONS(2316),
    [anon_sym_await] = ACTIONS(2316),
    [anon_sym_field] = ACTIONS(2316),
    [anon_sym_local] = ACTIONS(2316),
    [anon_sym_dynamically] = ACTIONS(2316),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2316),
    [anon_sym_require] = ACTIONS(2316),
    [anon_sym_map] = ACTIONS(2316),
    [anon_sym_grep] = ACTIONS(2316),
    [anon_sym_sort] = ACTIONS(2316),
    [anon_sym_goto] = ACTIONS(2316),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_undef] = ACTIONS(2316),
    [anon_sym_PERCENT2] = ACTIONS(2316),
    [anon_sym_AMP2] = ACTIONS(2316),
    [anon_sym_STAR2] = ACTIONS(2316),
    [anon_sym_use] = ACTIONS(2316),
    [anon_sym_no] = ACTIONS(2316),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_foreach] = ACTIONS(2316),
    [anon_sym_last] = ACTIONS(2316),
    [anon_sym_next] = ACTIONS(2316),
    [anon_sym_redo] = ACTIONS(2316),
    [anon_sym_BEGIN] = ACTIONS(2316),
    [anon_sym_INIT] = ACTIONS(2316),
    [anon_sym_CHECK] = ACTIONS(2316),
    [anon_sym_UNITCHECK] = ACTIONS(2316),
    [anon_sym_END] = ACTIONS(2316),
    [anon_sym___FILE__] = ACTIONS(2316),
    [anon_sym___LINE__] = ACTIONS(2316),
    [anon_sym___PACKAGE__] = ACTIONS(2316),
    [anon_sym___SUB__] = ACTIONS(2316),
    [anon_sym_break] = ACTIONS(2316),
    [anon_sym_fork] = ACTIONS(2316),
    [anon_sym_getppid] = ACTIONS(2316),
    [anon_sym_time] = ACTIONS(2316),
    [anon_sym_times] = ACTIONS(2316),
    [anon_sym_wait] = ACTIONS(2316),
    [anon_sym_wantarray] = ACTIONS(2316),
    [anon_sym_abs] = ACTIONS(2316),
    [anon_sym_alarm] = ACTIONS(2316),
    [anon_sym_chop] = ACTIONS(2316),
    [anon_sym_chdir] = ACTIONS(2316),
    [anon_sym_close] = ACTIONS(2316),
    [anon_sym_closedir] = ACTIONS(2316),
    [anon_sym_caller] = ACTIONS(2316),
    [anon_sym_chomp] = ACTIONS(2316),
    [anon_sym_chr] = ACTIONS(2316),
    [anon_sym_cos] = ACTIONS(2316),
    [anon_sym_chroot] = ACTIONS(2316),
    [anon_sym_defined] = ACTIONS(2316),
    [anon_sym_delete] = ACTIONS(2316),
    [anon_sym_dbmclose] = ACTIONS(2316),
    [anon_sym_exists] = ACTIONS(2316),
    [anon_sym_exit] = ACTIONS(2316),
    [anon_sym_eof] = ACTIONS(2316),
    [anon_sym_exp] = ACTIONS(2316),
    [anon_sym_each] = ACTIONS(2316),
    [anon_sym_fc] = ACTIONS(2316),
    [anon_sym_fileno] = ACTIONS(2316),
    [anon_sym_gmtime] = ACTIONS(2316),
    [anon_sym_getc] = ACTIONS(2316),
    [anon_sym_getpgrp] = ACTIONS(2316),
    [anon_sym_getprotobyname] = ACTIONS(2316),
    [anon_sym_getpwname] = ACTIONS(2316),
    [anon_sym_getpwuid] = ACTIONS(2316),
    [anon_sym_getpeername] = ACTIONS(2316),
    [anon_sym_getnetbyname] = ACTIONS(2316),
    [anon_sym_getsockname] = ACTIONS(2316),
    [anon_sym_getgrnam] = ACTIONS(2316),
    [anon_sym_getgrgid] = ACTIONS(2316),
    [anon_sym_hex] = ACTIONS(2316),
    [anon_sym_int] = ACTIONS(2316),
    [anon_sym_keys] = ACTIONS(2316),
    [anon_sym_lc] = ACTIONS(2316),
    [anon_sym_lcfirst] = ACTIONS(2316),
    [anon_sym_length] = ACTIONS(2316),
    [anon_sym_localtime] = ACTIONS(2316),
    [anon_sym_log] = ACTIONS(2316),
    [anon_sym_lock] = ACTIONS(2316),
    [anon_sym_lstat] = ACTIONS(2316),
    [anon_sym_oct] = ACTIONS(2316),
    [anon_sym_ord] = ACTIONS(2316),
    [anon_sym_prototype] = ACTIONS(2316),
    [anon_sym_pop] = ACTIONS(2316),
    [anon_sym_pos] = ACTIONS(2316),
    [anon_sym_quotemeta] = ACTIONS(2316),
    [anon_sym_reset] = ACTIONS(2316),
    [anon_sym_rand] = ACTIONS(2316),
    [anon_sym_rmdir] = ACTIONS(2316),
    [anon_sym_readdir] = ACTIONS(2316),
    [anon_sym_readline] = ACTIONS(2316),
    [anon_sym_readpipe] = ACTIONS(2316),
    [anon_sym_rewinddir] = ACTIONS(2316),
    [anon_sym_readlink] = ACTIONS(2316),
    [anon_sym_ref] = ACTIONS(2316),
    [anon_sym_scalar] = ACTIONS(2316),
    [anon_sym_shift] = ACTIONS(2316),
    [anon_sym_sin] = ACTIONS(2316),
    [anon_sym_sleep] = ACTIONS(2316),
    [anon_sym_sqrt] = ACTIONS(2316),
    [anon_sym_srand] = ACTIONS(2316),
    [anon_sym_stat] = ACTIONS(2316),
    [anon_sym_study] = ACTIONS(2316),
    [anon_sym_tell] = ACTIONS(2316),
    [anon_sym_telldir] = ACTIONS(2316),
    [anon_sym_tied] = ACTIONS(2316),
    [anon_sym_uc] = ACTIONS(2316),
    [anon_sym_ucfirst] = ACTIONS(2316),
    [anon_sym_untie] = ACTIONS(2316),
    [anon_sym_umask] = ACTIONS(2316),
    [anon_sym_values] = ACTIONS(2316),
    [anon_sym_write] = ACTIONS(2316),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2316),
    [anon_sym___END__] = ACTIONS(2316),
    [anon_sym_EOT] = ACTIONS(2316),
    [anon_sym_q] = ACTIONS(2316),
    [anon_sym_qq] = ACTIONS(2316),
    [anon_sym_qw] = ACTIONS(2316),
    [anon_sym_qx] = ACTIONS(2316),
    [anon_sym_qr] = ACTIONS(2316),
    [anon_sym_m] = ACTIONS(2316),
    [anon_sym_s] = ACTIONS(2316),
    [anon_sym_tr] = ACTIONS(2316),
    [anon_sym_y] = ACTIONS(2316),
    [anon_sym_if] = ACTIONS(2316),
    [anon_sym_unless] = ACTIONS(2316),
    [anon_sym_while] = ACTIONS(2316),
    [anon_sym_until] = ACTIONS(2316),
    [aux_sym__bareword_token1] = ACTIONS(2316),
    [sym_number] = ACTIONS(2316),
    [anon_sym_true] = ACTIONS(2316),
    [anon_sym_false] = ACTIONS(2316),
    [sym__single_quote] = ACTIONS(2314),
    [sym__double_quote] = ACTIONS(2314),
    [sym__backtick_quote] = ACTIONS(2314),
    [sym__search_slash_quote] = ACTIONS(2314),
    [sym__open_readline_bracket] = ACTIONS(2314),
    [sym__open_fileglob_bracket] = ACTIONS(2314),
    [sym__PERLY_HEREDOC] = ACTIONS(2314),
    [sym__ctrl_z_hack] = ACTIONS(2314),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2314),
    [sym__filetest] = ACTIONS(2314),
  },
  [971] = {
    [sym_heredoc_content] = STATE(971),
    [ts_builtin_sym_end] = ACTIONS(2318),
    [sym__identifier] = ACTIONS(2320),
    [anon_sym_LBRACE] = ACTIONS(2320),
    [anon_sym_SEMI] = ACTIONS(2320),
    [anon_sym_package] = ACTIONS(2320),
    [anon_sym_class] = ACTIONS(2320),
    [anon_sym_role] = ACTIONS(2320),
    [anon_sym_BUILD] = ACTIONS(2320),
    [anon_sym_ADJUST] = ACTIONS(2320),
    [anon_sym_DOLLAR] = ACTIONS(2320),
    [anon_sym_AT] = ACTIONS(2320),
    [anon_sym_my] = ACTIONS(2320),
    [anon_sym_extended] = ACTIONS(2320),
    [anon_sym_async] = ACTIONS(2320),
    [anon_sym_sub] = ACTIONS(2320),
    [anon_sym_method] = ACTIONS(2320),
    [anon_sym_LPAREN] = ACTIONS(2320),
    [anon_sym_continue] = ACTIONS(2320),
    [anon_sym_state] = ACTIONS(2320),
    [anon_sym_our] = ACTIONS(2320),
    [anon_sym_try] = ACTIONS(2320),
    [anon_sym_defer] = ACTIONS(2320),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2320),
    [anon_sym_LBRACK] = ACTIONS(2320),
    [anon_sym_LT_LT] = ACTIONS(2320),
    [anon_sym_SLASH_SLASH] = ACTIONS(2320),
    [anon_sym_PLUS] = ACTIONS(2320),
    [anon_sym_DASH] = ACTIONS(2320),
    [anon_sym_TILDE] = ACTIONS(2320),
    [anon_sym_BANG] = ACTIONS(2320),
    [anon_sym_PLUS_PLUS] = ACTIONS(2320),
    [anon_sym_DASH_DASH] = ACTIONS(2320),
    [anon_sym_BSLASH] = ACTIONS(2318),
    [anon_sym_do] = ACTIONS(2320),
    [anon_sym_eval] = ACTIONS(2320),
    [anon_sym_await] = ACTIONS(2320),
    [anon_sym_field] = ACTIONS(2320),
    [anon_sym_local] = ACTIONS(2320),
    [anon_sym_dynamically] = ACTIONS(2320),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2320),
    [anon_sym_require] = ACTIONS(2320),
    [anon_sym_map] = ACTIONS(2320),
    [anon_sym_grep] = ACTIONS(2320),
    [anon_sym_sort] = ACTIONS(2320),
    [anon_sym_goto] = ACTIONS(2320),
    [anon_sym_return] = ACTIONS(2320),
    [anon_sym_undef] = ACTIONS(2320),
    [anon_sym_PERCENT2] = ACTIONS(2320),
    [anon_sym_AMP2] = ACTIONS(2320),
    [anon_sym_STAR2] = ACTIONS(2320),
    [anon_sym_use] = ACTIONS(2320),
    [anon_sym_no] = ACTIONS(2320),
    [anon_sym_for] = ACTIONS(2320),
    [anon_sym_foreach] = ACTIONS(2320),
    [anon_sym_last] = ACTIONS(2320),
    [anon_sym_next] = ACTIONS(2320),
    [anon_sym_redo] = ACTIONS(2320),
    [anon_sym_BEGIN] = ACTIONS(2320),
    [anon_sym_INIT] = ACTIONS(2320),
    [anon_sym_CHECK] = ACTIONS(2320),
    [anon_sym_UNITCHECK] = ACTIONS(2320),
    [anon_sym_END] = ACTIONS(2320),
    [anon_sym___FILE__] = ACTIONS(2320),
    [anon_sym___LINE__] = ACTIONS(2320),
    [anon_sym___PACKAGE__] = ACTIONS(2320),
    [anon_sym___SUB__] = ACTIONS(2320),
    [anon_sym_break] = ACTIONS(2320),
    [anon_sym_fork] = ACTIONS(2320),
    [anon_sym_getppid] = ACTIONS(2320),
    [anon_sym_time] = ACTIONS(2320),
    [anon_sym_times] = ACTIONS(2320),
    [anon_sym_wait] = ACTIONS(2320),
    [anon_sym_wantarray] = ACTIONS(2320),
    [anon_sym_abs] = ACTIONS(2320),
    [anon_sym_alarm] = ACTIONS(2320),
    [anon_sym_chop] = ACTIONS(2320),
    [anon_sym_chdir] = ACTIONS(2320),
    [anon_sym_close] = ACTIONS(2320),
    [anon_sym_closedir] = ACTIONS(2320),
    [anon_sym_caller] = ACTIONS(2320),
    [anon_sym_chomp] = ACTIONS(2320),
    [anon_sym_chr] = ACTIONS(2320),
    [anon_sym_cos] = ACTIONS(2320),
    [anon_sym_chroot] = ACTIONS(2320),
    [anon_sym_defined] = ACTIONS(2320),
    [anon_sym_delete] = ACTIONS(2320),
    [anon_sym_dbmclose] = ACTIONS(2320),
    [anon_sym_exists] = ACTIONS(2320),
    [anon_sym_exit] = ACTIONS(2320),
    [anon_sym_eof] = ACTIONS(2320),
    [anon_sym_exp] = ACTIONS(2320),
    [anon_sym_each] = ACTIONS(2320),
    [anon_sym_fc] = ACTIONS(2320),
    [anon_sym_fileno] = ACTIONS(2320),
    [anon_sym_gmtime] = ACTIONS(2320),
    [anon_sym_getc] = ACTIONS(2320),
    [anon_sym_getpgrp] = ACTIONS(2320),
    [anon_sym_getprotobyname] = ACTIONS(2320),
    [anon_sym_getpwname] = ACTIONS(2320),
    [anon_sym_getpwuid] = ACTIONS(2320),
    [anon_sym_getpeername] = ACTIONS(2320),
    [anon_sym_getnetbyname] = ACTIONS(2320),
    [anon_sym_getsockname] = ACTIONS(2320),
    [anon_sym_getgrnam] = ACTIONS(2320),
    [anon_sym_getgrgid] = ACTIONS(2320),
    [anon_sym_hex] = ACTIONS(2320),
    [anon_sym_int] = ACTIONS(2320),
    [anon_sym_keys] = ACTIONS(2320),
    [anon_sym_lc] = ACTIONS(2320),
    [anon_sym_lcfirst] = ACTIONS(2320),
    [anon_sym_length] = ACTIONS(2320),
    [anon_sym_localtime] = ACTIONS(2320),
    [anon_sym_log] = ACTIONS(2320),
    [anon_sym_lock] = ACTIONS(2320),
    [anon_sym_lstat] = ACTIONS(2320),
    [anon_sym_oct] = ACTIONS(2320),
    [anon_sym_ord] = ACTIONS(2320),
    [anon_sym_prototype] = ACTIONS(2320),
    [anon_sym_pop] = ACTIONS(2320),
    [anon_sym_pos] = ACTIONS(2320),
    [anon_sym_quotemeta] = ACTIONS(2320),
    [anon_sym_reset] = ACTIONS(2320),
    [anon_sym_rand] = ACTIONS(2320),
    [anon_sym_rmdir] = ACTIONS(2320),
    [anon_sym_readdir] = ACTIONS(2320),
    [anon_sym_readline] = ACTIONS(2320),
    [anon_sym_readpipe] = ACTIONS(2320),
    [anon_sym_rewinddir] = ACTIONS(2320),
    [anon_sym_readlink] = ACTIONS(2320),
    [anon_sym_ref] = ACTIONS(2320),
    [anon_sym_scalar] = ACTIONS(2320),
    [anon_sym_shift] = ACTIONS(2320),
    [anon_sym_sin] = ACTIONS(2320),
    [anon_sym_sleep] = ACTIONS(2320),
    [anon_sym_sqrt] = ACTIONS(2320),
    [anon_sym_srand] = ACTIONS(2320),
    [anon_sym_stat] = ACTIONS(2320),
    [anon_sym_study] = ACTIONS(2320),
    [anon_sym_tell] = ACTIONS(2320),
    [anon_sym_telldir] = ACTIONS(2320),
    [anon_sym_tied] = ACTIONS(2320),
    [anon_sym_uc] = ACTIONS(2320),
    [anon_sym_ucfirst] = ACTIONS(2320),
    [anon_sym_untie] = ACTIONS(2320),
    [anon_sym_umask] = ACTIONS(2320),
    [anon_sym_values] = ACTIONS(2320),
    [anon_sym_write] = ACTIONS(2320),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2320),
    [anon_sym___END__] = ACTIONS(2320),
    [anon_sym_EOT] = ACTIONS(2320),
    [anon_sym_q] = ACTIONS(2320),
    [anon_sym_qq] = ACTIONS(2320),
    [anon_sym_qw] = ACTIONS(2320),
    [anon_sym_qx] = ACTIONS(2320),
    [anon_sym_qr] = ACTIONS(2320),
    [anon_sym_m] = ACTIONS(2320),
    [anon_sym_s] = ACTIONS(2320),
    [anon_sym_tr] = ACTIONS(2320),
    [anon_sym_y] = ACTIONS(2320),
    [anon_sym_if] = ACTIONS(2320),
    [anon_sym_unless] = ACTIONS(2320),
    [anon_sym_while] = ACTIONS(2320),
    [anon_sym_until] = ACTIONS(2320),
    [aux_sym__bareword_token1] = ACTIONS(2320),
    [sym_number] = ACTIONS(2320),
    [anon_sym_true] = ACTIONS(2320),
    [anon_sym_false] = ACTIONS(2320),
    [sym__single_quote] = ACTIONS(2318),
    [sym__double_quote] = ACTIONS(2318),
    [sym__backtick_quote] = ACTIONS(2318),
    [sym__search_slash_quote] = ACTIONS(2318),
    [sym__open_readline_bracket] = ACTIONS(2318),
    [sym__open_fileglob_bracket] = ACTIONS(2318),
    [sym__PERLY_HEREDOC] = ACTIONS(2318),
    [sym__ctrl_z_hack] = ACTIONS(2318),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2318),
    [sym__filetest] = ACTIONS(2318),
  },
  [972] = {
    [sym_heredoc_content] = STATE(972),
    [ts_builtin_sym_end] = ACTIONS(2322),
    [sym__identifier] = ACTIONS(2324),
    [anon_sym_LBRACE] = ACTIONS(2324),
    [anon_sym_SEMI] = ACTIONS(2324),
    [anon_sym_package] = ACTIONS(2324),
    [anon_sym_class] = ACTIONS(2324),
    [anon_sym_role] = ACTIONS(2324),
    [anon_sym_BUILD] = ACTIONS(2324),
    [anon_sym_ADJUST] = ACTIONS(2324),
    [anon_sym_DOLLAR] = ACTIONS(2324),
    [anon_sym_AT] = ACTIONS(2324),
    [anon_sym_my] = ACTIONS(2324),
    [anon_sym_extended] = ACTIONS(2324),
    [anon_sym_async] = ACTIONS(2324),
    [anon_sym_sub] = ACTIONS(2324),
    [anon_sym_method] = ACTIONS(2324),
    [anon_sym_LPAREN] = ACTIONS(2324),
    [anon_sym_continue] = ACTIONS(2324),
    [anon_sym_state] = ACTIONS(2324),
    [anon_sym_our] = ACTIONS(2324),
    [anon_sym_try] = ACTIONS(2324),
    [anon_sym_defer] = ACTIONS(2324),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2324),
    [anon_sym_LBRACK] = ACTIONS(2324),
    [anon_sym_LT_LT] = ACTIONS(2324),
    [anon_sym_SLASH_SLASH] = ACTIONS(2324),
    [anon_sym_PLUS] = ACTIONS(2324),
    [anon_sym_DASH] = ACTIONS(2324),
    [anon_sym_TILDE] = ACTIONS(2324),
    [anon_sym_BANG] = ACTIONS(2324),
    [anon_sym_PLUS_PLUS] = ACTIONS(2324),
    [anon_sym_DASH_DASH] = ACTIONS(2324),
    [anon_sym_BSLASH] = ACTIONS(2322),
    [anon_sym_do] = ACTIONS(2324),
    [anon_sym_eval] = ACTIONS(2324),
    [anon_sym_await] = ACTIONS(2324),
    [anon_sym_field] = ACTIONS(2324),
    [anon_sym_local] = ACTIONS(2324),
    [anon_sym_dynamically] = ACTIONS(2324),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2324),
    [anon_sym_require] = ACTIONS(2324),
    [anon_sym_map] = ACTIONS(2324),
    [anon_sym_grep] = ACTIONS(2324),
    [anon_sym_sort] = ACTIONS(2324),
    [anon_sym_goto] = ACTIONS(2324),
    [anon_sym_return] = ACTIONS(2324),
    [anon_sym_undef] = ACTIONS(2324),
    [anon_sym_PERCENT2] = ACTIONS(2324),
    [anon_sym_AMP2] = ACTIONS(2324),
    [anon_sym_STAR2] = ACTIONS(2324),
    [anon_sym_use] = ACTIONS(2324),
    [anon_sym_no] = ACTIONS(2324),
    [anon_sym_for] = ACTIONS(2324),
    [anon_sym_foreach] = ACTIONS(2324),
    [anon_sym_last] = ACTIONS(2324),
    [anon_sym_next] = ACTIONS(2324),
    [anon_sym_redo] = ACTIONS(2324),
    [anon_sym_BEGIN] = ACTIONS(2324),
    [anon_sym_INIT] = ACTIONS(2324),
    [anon_sym_CHECK] = ACTIONS(2324),
    [anon_sym_UNITCHECK] = ACTIONS(2324),
    [anon_sym_END] = ACTIONS(2324),
    [anon_sym___FILE__] = ACTIONS(2324),
    [anon_sym___LINE__] = ACTIONS(2324),
    [anon_sym___PACKAGE__] = ACTIONS(2324),
    [anon_sym___SUB__] = ACTIONS(2324),
    [anon_sym_break] = ACTIONS(2324),
    [anon_sym_fork] = ACTIONS(2324),
    [anon_sym_getppid] = ACTIONS(2324),
    [anon_sym_time] = ACTIONS(2324),
    [anon_sym_times] = ACTIONS(2324),
    [anon_sym_wait] = ACTIONS(2324),
    [anon_sym_wantarray] = ACTIONS(2324),
    [anon_sym_abs] = ACTIONS(2324),
    [anon_sym_alarm] = ACTIONS(2324),
    [anon_sym_chop] = ACTIONS(2324),
    [anon_sym_chdir] = ACTIONS(2324),
    [anon_sym_close] = ACTIONS(2324),
    [anon_sym_closedir] = ACTIONS(2324),
    [anon_sym_caller] = ACTIONS(2324),
    [anon_sym_chomp] = ACTIONS(2324),
    [anon_sym_chr] = ACTIONS(2324),
    [anon_sym_cos] = ACTIONS(2324),
    [anon_sym_chroot] = ACTIONS(2324),
    [anon_sym_defined] = ACTIONS(2324),
    [anon_sym_delete] = ACTIONS(2324),
    [anon_sym_dbmclose] = ACTIONS(2324),
    [anon_sym_exists] = ACTIONS(2324),
    [anon_sym_exit] = ACTIONS(2324),
    [anon_sym_eof] = ACTIONS(2324),
    [anon_sym_exp] = ACTIONS(2324),
    [anon_sym_each] = ACTIONS(2324),
    [anon_sym_fc] = ACTIONS(2324),
    [anon_sym_fileno] = ACTIONS(2324),
    [anon_sym_gmtime] = ACTIONS(2324),
    [anon_sym_getc] = ACTIONS(2324),
    [anon_sym_getpgrp] = ACTIONS(2324),
    [anon_sym_getprotobyname] = ACTIONS(2324),
    [anon_sym_getpwname] = ACTIONS(2324),
    [anon_sym_getpwuid] = ACTIONS(2324),
    [anon_sym_getpeername] = ACTIONS(2324),
    [anon_sym_getnetbyname] = ACTIONS(2324),
    [anon_sym_getsockname] = ACTIONS(2324),
    [anon_sym_getgrnam] = ACTIONS(2324),
    [anon_sym_getgrgid] = ACTIONS(2324),
    [anon_sym_hex] = ACTIONS(2324),
    [anon_sym_int] = ACTIONS(2324),
    [anon_sym_keys] = ACTIONS(2324),
    [anon_sym_lc] = ACTIONS(2324),
    [anon_sym_lcfirst] = ACTIONS(2324),
    [anon_sym_length] = ACTIONS(2324),
    [anon_sym_localtime] = ACTIONS(2324),
    [anon_sym_log] = ACTIONS(2324),
    [anon_sym_lock] = ACTIONS(2324),
    [anon_sym_lstat] = ACTIONS(2324),
    [anon_sym_oct] = ACTIONS(2324),
    [anon_sym_ord] = ACTIONS(2324),
    [anon_sym_prototype] = ACTIONS(2324),
    [anon_sym_pop] = ACTIONS(2324),
    [anon_sym_pos] = ACTIONS(2324),
    [anon_sym_quotemeta] = ACTIONS(2324),
    [anon_sym_reset] = ACTIONS(2324),
    [anon_sym_rand] = ACTIONS(2324),
    [anon_sym_rmdir] = ACTIONS(2324),
    [anon_sym_readdir] = ACTIONS(2324),
    [anon_sym_readline] = ACTIONS(2324),
    [anon_sym_readpipe] = ACTIONS(2324),
    [anon_sym_rewinddir] = ACTIONS(2324),
    [anon_sym_readlink] = ACTIONS(2324),
    [anon_sym_ref] = ACTIONS(2324),
    [anon_sym_scalar] = ACTIONS(2324),
    [anon_sym_shift] = ACTIONS(2324),
    [anon_sym_sin] = ACTIONS(2324),
    [anon_sym_sleep] = ACTIONS(2324),
    [anon_sym_sqrt] = ACTIONS(2324),
    [anon_sym_srand] = ACTIONS(2324),
    [anon_sym_stat] = ACTIONS(2324),
    [anon_sym_study] = ACTIONS(2324),
    [anon_sym_tell] = ACTIONS(2324),
    [anon_sym_telldir] = ACTIONS(2324),
    [anon_sym_tied] = ACTIONS(2324),
    [anon_sym_uc] = ACTIONS(2324),
    [anon_sym_ucfirst] = ACTIONS(2324),
    [anon_sym_untie] = ACTIONS(2324),
    [anon_sym_umask] = ACTIONS(2324),
    [anon_sym_values] = ACTIONS(2324),
    [anon_sym_write] = ACTIONS(2324),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2324),
    [anon_sym___END__] = ACTIONS(2324),
    [anon_sym_EOT] = ACTIONS(2324),
    [anon_sym_q] = ACTIONS(2324),
    [anon_sym_qq] = ACTIONS(2324),
    [anon_sym_qw] = ACTIONS(2324),
    [anon_sym_qx] = ACTIONS(2324),
    [anon_sym_qr] = ACTIONS(2324),
    [anon_sym_m] = ACTIONS(2324),
    [anon_sym_s] = ACTIONS(2324),
    [anon_sym_tr] = ACTIONS(2324),
    [anon_sym_y] = ACTIONS(2324),
    [anon_sym_if] = ACTIONS(2324),
    [anon_sym_unless] = ACTIONS(2324),
    [anon_sym_while] = ACTIONS(2324),
    [anon_sym_until] = ACTIONS(2324),
    [aux_sym__bareword_token1] = ACTIONS(2324),
    [sym_number] = ACTIONS(2324),
    [anon_sym_true] = ACTIONS(2324),
    [anon_sym_false] = ACTIONS(2324),
    [sym__single_quote] = ACTIONS(2322),
    [sym__double_quote] = ACTIONS(2322),
    [sym__backtick_quote] = ACTIONS(2322),
    [sym__search_slash_quote] = ACTIONS(2322),
    [sym__open_readline_bracket] = ACTIONS(2322),
    [sym__open_fileglob_bracket] = ACTIONS(2322),
    [sym__PERLY_HEREDOC] = ACTIONS(2322),
    [sym__ctrl_z_hack] = ACTIONS(2322),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2322),
    [sym__filetest] = ACTIONS(2322),
  },
  [973] = {
    [sym_heredoc_content] = STATE(973),
    [ts_builtin_sym_end] = ACTIONS(2326),
    [sym__identifier] = ACTIONS(2328),
    [anon_sym_LBRACE] = ACTIONS(2328),
    [anon_sym_SEMI] = ACTIONS(2328),
    [anon_sym_package] = ACTIONS(2328),
    [anon_sym_class] = ACTIONS(2328),
    [anon_sym_role] = ACTIONS(2328),
    [anon_sym_BUILD] = ACTIONS(2328),
    [anon_sym_ADJUST] = ACTIONS(2328),
    [anon_sym_DOLLAR] = ACTIONS(2328),
    [anon_sym_AT] = ACTIONS(2328),
    [anon_sym_my] = ACTIONS(2328),
    [anon_sym_extended] = ACTIONS(2328),
    [anon_sym_async] = ACTIONS(2328),
    [anon_sym_sub] = ACTIONS(2328),
    [anon_sym_method] = ACTIONS(2328),
    [anon_sym_LPAREN] = ACTIONS(2328),
    [anon_sym_continue] = ACTIONS(2328),
    [anon_sym_state] = ACTIONS(2328),
    [anon_sym_our] = ACTIONS(2328),
    [anon_sym_try] = ACTIONS(2328),
    [anon_sym_defer] = ACTIONS(2328),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2328),
    [anon_sym_LBRACK] = ACTIONS(2328),
    [anon_sym_LT_LT] = ACTIONS(2328),
    [anon_sym_SLASH_SLASH] = ACTIONS(2328),
    [anon_sym_PLUS] = ACTIONS(2328),
    [anon_sym_DASH] = ACTIONS(2328),
    [anon_sym_TILDE] = ACTIONS(2328),
    [anon_sym_BANG] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2328),
    [anon_sym_DASH_DASH] = ACTIONS(2328),
    [anon_sym_BSLASH] = ACTIONS(2326),
    [anon_sym_do] = ACTIONS(2328),
    [anon_sym_eval] = ACTIONS(2328),
    [anon_sym_await] = ACTIONS(2328),
    [anon_sym_field] = ACTIONS(2328),
    [anon_sym_local] = ACTIONS(2328),
    [anon_sym_dynamically] = ACTIONS(2328),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2328),
    [anon_sym_require] = ACTIONS(2328),
    [anon_sym_map] = ACTIONS(2328),
    [anon_sym_grep] = ACTIONS(2328),
    [anon_sym_sort] = ACTIONS(2328),
    [anon_sym_goto] = ACTIONS(2328),
    [anon_sym_return] = ACTIONS(2328),
    [anon_sym_undef] = ACTIONS(2328),
    [anon_sym_PERCENT2] = ACTIONS(2328),
    [anon_sym_AMP2] = ACTIONS(2328),
    [anon_sym_STAR2] = ACTIONS(2328),
    [anon_sym_use] = ACTIONS(2328),
    [anon_sym_no] = ACTIONS(2328),
    [anon_sym_for] = ACTIONS(2328),
    [anon_sym_foreach] = ACTIONS(2328),
    [anon_sym_last] = ACTIONS(2328),
    [anon_sym_next] = ACTIONS(2328),
    [anon_sym_redo] = ACTIONS(2328),
    [anon_sym_BEGIN] = ACTIONS(2328),
    [anon_sym_INIT] = ACTIONS(2328),
    [anon_sym_CHECK] = ACTIONS(2328),
    [anon_sym_UNITCHECK] = ACTIONS(2328),
    [anon_sym_END] = ACTIONS(2328),
    [anon_sym___FILE__] = ACTIONS(2328),
    [anon_sym___LINE__] = ACTIONS(2328),
    [anon_sym___PACKAGE__] = ACTIONS(2328),
    [anon_sym___SUB__] = ACTIONS(2328),
    [anon_sym_break] = ACTIONS(2328),
    [anon_sym_fork] = ACTIONS(2328),
    [anon_sym_getppid] = ACTIONS(2328),
    [anon_sym_time] = ACTIONS(2328),
    [anon_sym_times] = ACTIONS(2328),
    [anon_sym_wait] = ACTIONS(2328),
    [anon_sym_wantarray] = ACTIONS(2328),
    [anon_sym_abs] = ACTIONS(2328),
    [anon_sym_alarm] = ACTIONS(2328),
    [anon_sym_chop] = ACTIONS(2328),
    [anon_sym_chdir] = ACTIONS(2328),
    [anon_sym_close] = ACTIONS(2328),
    [anon_sym_closedir] = ACTIONS(2328),
    [anon_sym_caller] = ACTIONS(2328),
    [anon_sym_chomp] = ACTIONS(2328),
    [anon_sym_chr] = ACTIONS(2328),
    [anon_sym_cos] = ACTIONS(2328),
    [anon_sym_chroot] = ACTIONS(2328),
    [anon_sym_defined] = ACTIONS(2328),
    [anon_sym_delete] = ACTIONS(2328),
    [anon_sym_dbmclose] = ACTIONS(2328),
    [anon_sym_exists] = ACTIONS(2328),
    [anon_sym_exit] = ACTIONS(2328),
    [anon_sym_eof] = ACTIONS(2328),
    [anon_sym_exp] = ACTIONS(2328),
    [anon_sym_each] = ACTIONS(2328),
    [anon_sym_fc] = ACTIONS(2328),
    [anon_sym_fileno] = ACTIONS(2328),
    [anon_sym_gmtime] = ACTIONS(2328),
    [anon_sym_getc] = ACTIONS(2328),
    [anon_sym_getpgrp] = ACTIONS(2328),
    [anon_sym_getprotobyname] = ACTIONS(2328),
    [anon_sym_getpwname] = ACTIONS(2328),
    [anon_sym_getpwuid] = ACTIONS(2328),
    [anon_sym_getpeername] = ACTIONS(2328),
    [anon_sym_getnetbyname] = ACTIONS(2328),
    [anon_sym_getsockname] = ACTIONS(2328),
    [anon_sym_getgrnam] = ACTIONS(2328),
    [anon_sym_getgrgid] = ACTIONS(2328),
    [anon_sym_hex] = ACTIONS(2328),
    [anon_sym_int] = ACTIONS(2328),
    [anon_sym_keys] = ACTIONS(2328),
    [anon_sym_lc] = ACTIONS(2328),
    [anon_sym_lcfirst] = ACTIONS(2328),
    [anon_sym_length] = ACTIONS(2328),
    [anon_sym_localtime] = ACTIONS(2328),
    [anon_sym_log] = ACTIONS(2328),
    [anon_sym_lock] = ACTIONS(2328),
    [anon_sym_lstat] = ACTIONS(2328),
    [anon_sym_oct] = ACTIONS(2328),
    [anon_sym_ord] = ACTIONS(2328),
    [anon_sym_prototype] = ACTIONS(2328),
    [anon_sym_pop] = ACTIONS(2328),
    [anon_sym_pos] = ACTIONS(2328),
    [anon_sym_quotemeta] = ACTIONS(2328),
    [anon_sym_reset] = ACTIONS(2328),
    [anon_sym_rand] = ACTIONS(2328),
    [anon_sym_rmdir] = ACTIONS(2328),
    [anon_sym_readdir] = ACTIONS(2328),
    [anon_sym_readline] = ACTIONS(2328),
    [anon_sym_readpipe] = ACTIONS(2328),
    [anon_sym_rewinddir] = ACTIONS(2328),
    [anon_sym_readlink] = ACTIONS(2328),
    [anon_sym_ref] = ACTIONS(2328),
    [anon_sym_scalar] = ACTIONS(2328),
    [anon_sym_shift] = ACTIONS(2328),
    [anon_sym_sin] = ACTIONS(2328),
    [anon_sym_sleep] = ACTIONS(2328),
    [anon_sym_sqrt] = ACTIONS(2328),
    [anon_sym_srand] = ACTIONS(2328),
    [anon_sym_stat] = ACTIONS(2328),
    [anon_sym_study] = ACTIONS(2328),
    [anon_sym_tell] = ACTIONS(2328),
    [anon_sym_telldir] = ACTIONS(2328),
    [anon_sym_tied] = ACTIONS(2328),
    [anon_sym_uc] = ACTIONS(2328),
    [anon_sym_ucfirst] = ACTIONS(2328),
    [anon_sym_untie] = ACTIONS(2328),
    [anon_sym_umask] = ACTIONS(2328),
    [anon_sym_values] = ACTIONS(2328),
    [anon_sym_write] = ACTIONS(2328),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2328),
    [anon_sym___END__] = ACTIONS(2328),
    [anon_sym_EOT] = ACTIONS(2328),
    [anon_sym_q] = ACTIONS(2328),
    [anon_sym_qq] = ACTIONS(2328),
    [anon_sym_qw] = ACTIONS(2328),
    [anon_sym_qx] = ACTIONS(2328),
    [anon_sym_qr] = ACTIONS(2328),
    [anon_sym_m] = ACTIONS(2328),
    [anon_sym_s] = ACTIONS(2328),
    [anon_sym_tr] = ACTIONS(2328),
    [anon_sym_y] = ACTIONS(2328),
    [anon_sym_if] = ACTIONS(2328),
    [anon_sym_unless] = ACTIONS(2328),
    [anon_sym_while] = ACTIONS(2328),
    [anon_sym_until] = ACTIONS(2328),
    [aux_sym__bareword_token1] = ACTIONS(2328),
    [sym_number] = ACTIONS(2328),
    [anon_sym_true] = ACTIONS(2328),
    [anon_sym_false] = ACTIONS(2328),
    [sym__single_quote] = ACTIONS(2326),
    [sym__double_quote] = ACTIONS(2326),
    [sym__backtick_quote] = ACTIONS(2326),
    [sym__search_slash_quote] = ACTIONS(2326),
    [sym__open_readline_bracket] = ACTIONS(2326),
    [sym__open_fileglob_bracket] = ACTIONS(2326),
    [sym__PERLY_HEREDOC] = ACTIONS(2326),
    [sym__ctrl_z_hack] = ACTIONS(2326),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2326),
    [sym__filetest] = ACTIONS(2326),
  },
  [974] = {
    [sym_heredoc_content] = STATE(974),
    [ts_builtin_sym_end] = ACTIONS(2330),
    [sym__identifier] = ACTIONS(2332),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym_package] = ACTIONS(2332),
    [anon_sym_class] = ACTIONS(2332),
    [anon_sym_role] = ACTIONS(2332),
    [anon_sym_BUILD] = ACTIONS(2332),
    [anon_sym_ADJUST] = ACTIONS(2332),
    [anon_sym_DOLLAR] = ACTIONS(2332),
    [anon_sym_AT] = ACTIONS(2332),
    [anon_sym_my] = ACTIONS(2332),
    [anon_sym_extended] = ACTIONS(2332),
    [anon_sym_async] = ACTIONS(2332),
    [anon_sym_sub] = ACTIONS(2332),
    [anon_sym_method] = ACTIONS(2332),
    [anon_sym_LPAREN] = ACTIONS(2332),
    [anon_sym_continue] = ACTIONS(2332),
    [anon_sym_state] = ACTIONS(2332),
    [anon_sym_our] = ACTIONS(2332),
    [anon_sym_try] = ACTIONS(2332),
    [anon_sym_defer] = ACTIONS(2332),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2332),
    [anon_sym_LBRACK] = ACTIONS(2332),
    [anon_sym_LT_LT] = ACTIONS(2332),
    [anon_sym_SLASH_SLASH] = ACTIONS(2332),
    [anon_sym_PLUS] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_BSLASH] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2332),
    [anon_sym_eval] = ACTIONS(2332),
    [anon_sym_await] = ACTIONS(2332),
    [anon_sym_field] = ACTIONS(2332),
    [anon_sym_local] = ACTIONS(2332),
    [anon_sym_dynamically] = ACTIONS(2332),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2332),
    [anon_sym_require] = ACTIONS(2332),
    [anon_sym_map] = ACTIONS(2332),
    [anon_sym_grep] = ACTIONS(2332),
    [anon_sym_sort] = ACTIONS(2332),
    [anon_sym_goto] = ACTIONS(2332),
    [anon_sym_return] = ACTIONS(2332),
    [anon_sym_undef] = ACTIONS(2332),
    [anon_sym_PERCENT2] = ACTIONS(2332),
    [anon_sym_AMP2] = ACTIONS(2332),
    [anon_sym_STAR2] = ACTIONS(2332),
    [anon_sym_use] = ACTIONS(2332),
    [anon_sym_no] = ACTIONS(2332),
    [anon_sym_for] = ACTIONS(2332),
    [anon_sym_foreach] = ACTIONS(2332),
    [anon_sym_last] = ACTIONS(2332),
    [anon_sym_next] = ACTIONS(2332),
    [anon_sym_redo] = ACTIONS(2332),
    [anon_sym_BEGIN] = ACTIONS(2332),
    [anon_sym_INIT] = ACTIONS(2332),
    [anon_sym_CHECK] = ACTIONS(2332),
    [anon_sym_UNITCHECK] = ACTIONS(2332),
    [anon_sym_END] = ACTIONS(2332),
    [anon_sym___FILE__] = ACTIONS(2332),
    [anon_sym___LINE__] = ACTIONS(2332),
    [anon_sym___PACKAGE__] = ACTIONS(2332),
    [anon_sym___SUB__] = ACTIONS(2332),
    [anon_sym_break] = ACTIONS(2332),
    [anon_sym_fork] = ACTIONS(2332),
    [anon_sym_getppid] = ACTIONS(2332),
    [anon_sym_time] = ACTIONS(2332),
    [anon_sym_times] = ACTIONS(2332),
    [anon_sym_wait] = ACTIONS(2332),
    [anon_sym_wantarray] = ACTIONS(2332),
    [anon_sym_abs] = ACTIONS(2332),
    [anon_sym_alarm] = ACTIONS(2332),
    [anon_sym_chop] = ACTIONS(2332),
    [anon_sym_chdir] = ACTIONS(2332),
    [anon_sym_close] = ACTIONS(2332),
    [anon_sym_closedir] = ACTIONS(2332),
    [anon_sym_caller] = ACTIONS(2332),
    [anon_sym_chomp] = ACTIONS(2332),
    [anon_sym_chr] = ACTIONS(2332),
    [anon_sym_cos] = ACTIONS(2332),
    [anon_sym_chroot] = ACTIONS(2332),
    [anon_sym_defined] = ACTIONS(2332),
    [anon_sym_delete] = ACTIONS(2332),
    [anon_sym_dbmclose] = ACTIONS(2332),
    [anon_sym_exists] = ACTIONS(2332),
    [anon_sym_exit] = ACTIONS(2332),
    [anon_sym_eof] = ACTIONS(2332),
    [anon_sym_exp] = ACTIONS(2332),
    [anon_sym_each] = ACTIONS(2332),
    [anon_sym_fc] = ACTIONS(2332),
    [anon_sym_fileno] = ACTIONS(2332),
    [anon_sym_gmtime] = ACTIONS(2332),
    [anon_sym_getc] = ACTIONS(2332),
    [anon_sym_getpgrp] = ACTIONS(2332),
    [anon_sym_getprotobyname] = ACTIONS(2332),
    [anon_sym_getpwname] = ACTIONS(2332),
    [anon_sym_getpwuid] = ACTIONS(2332),
    [anon_sym_getpeername] = ACTIONS(2332),
    [anon_sym_getnetbyname] = ACTIONS(2332),
    [anon_sym_getsockname] = ACTIONS(2332),
    [anon_sym_getgrnam] = ACTIONS(2332),
    [anon_sym_getgrgid] = ACTIONS(2332),
    [anon_sym_hex] = ACTIONS(2332),
    [anon_sym_int] = ACTIONS(2332),
    [anon_sym_keys] = ACTIONS(2332),
    [anon_sym_lc] = ACTIONS(2332),
    [anon_sym_lcfirst] = ACTIONS(2332),
    [anon_sym_length] = ACTIONS(2332),
    [anon_sym_localtime] = ACTIONS(2332),
    [anon_sym_log] = ACTIONS(2332),
    [anon_sym_lock] = ACTIONS(2332),
    [anon_sym_lstat] = ACTIONS(2332),
    [anon_sym_oct] = ACTIONS(2332),
    [anon_sym_ord] = ACTIONS(2332),
    [anon_sym_prototype] = ACTIONS(2332),
    [anon_sym_pop] = ACTIONS(2332),
    [anon_sym_pos] = ACTIONS(2332),
    [anon_sym_quotemeta] = ACTIONS(2332),
    [anon_sym_reset] = ACTIONS(2332),
    [anon_sym_rand] = ACTIONS(2332),
    [anon_sym_rmdir] = ACTIONS(2332),
    [anon_sym_readdir] = ACTIONS(2332),
    [anon_sym_readline] = ACTIONS(2332),
    [anon_sym_readpipe] = ACTIONS(2332),
    [anon_sym_rewinddir] = ACTIONS(2332),
    [anon_sym_readlink] = ACTIONS(2332),
    [anon_sym_ref] = ACTIONS(2332),
    [anon_sym_scalar] = ACTIONS(2332),
    [anon_sym_shift] = ACTIONS(2332),
    [anon_sym_sin] = ACTIONS(2332),
    [anon_sym_sleep] = ACTIONS(2332),
    [anon_sym_sqrt] = ACTIONS(2332),
    [anon_sym_srand] = ACTIONS(2332),
    [anon_sym_stat] = ACTIONS(2332),
    [anon_sym_study] = ACTIONS(2332),
    [anon_sym_tell] = ACTIONS(2332),
    [anon_sym_telldir] = ACTIONS(2332),
    [anon_sym_tied] = ACTIONS(2332),
    [anon_sym_uc] = ACTIONS(2332),
    [anon_sym_ucfirst] = ACTIONS(2332),
    [anon_sym_untie] = ACTIONS(2332),
    [anon_sym_umask] = ACTIONS(2332),
    [anon_sym_values] = ACTIONS(2332),
    [anon_sym_write] = ACTIONS(2332),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2332),
    [anon_sym___END__] = ACTIONS(2332),
    [anon_sym_EOT] = ACTIONS(2332),
    [anon_sym_q] = ACTIONS(2332),
    [anon_sym_qq] = ACTIONS(2332),
    [anon_sym_qw] = ACTIONS(2332),
    [anon_sym_qx] = ACTIONS(2332),
    [anon_sym_qr] = ACTIONS(2332),
    [anon_sym_m] = ACTIONS(2332),
    [anon_sym_s] = ACTIONS(2332),
    [anon_sym_tr] = ACTIONS(2332),
    [anon_sym_y] = ACTIONS(2332),
    [anon_sym_if] = ACTIONS(2332),
    [anon_sym_unless] = ACTIONS(2332),
    [anon_sym_while] = ACTIONS(2332),
    [anon_sym_until] = ACTIONS(2332),
    [aux_sym__bareword_token1] = ACTIONS(2332),
    [sym_number] = ACTIONS(2332),
    [anon_sym_true] = ACTIONS(2332),
    [anon_sym_false] = ACTIONS(2332),
    [sym__single_quote] = ACTIONS(2330),
    [sym__double_quote] = ACTIONS(2330),
    [sym__backtick_quote] = ACTIONS(2330),
    [sym__search_slash_quote] = ACTIONS(2330),
    [sym__open_readline_bracket] = ACTIONS(2330),
    [sym__open_fileglob_bracket] = ACTIONS(2330),
    [sym__PERLY_HEREDOC] = ACTIONS(2330),
    [sym__ctrl_z_hack] = ACTIONS(2330),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2330),
    [sym__filetest] = ACTIONS(2330),
  },
  [975] = {
    [sym_heredoc_content] = STATE(975),
    [ts_builtin_sym_end] = ACTIONS(2334),
    [sym__identifier] = ACTIONS(2336),
    [anon_sym_LBRACE] = ACTIONS(2336),
    [anon_sym_SEMI] = ACTIONS(2336),
    [anon_sym_package] = ACTIONS(2336),
    [anon_sym_class] = ACTIONS(2336),
    [anon_sym_role] = ACTIONS(2336),
    [anon_sym_BUILD] = ACTIONS(2336),
    [anon_sym_ADJUST] = ACTIONS(2336),
    [anon_sym_DOLLAR] = ACTIONS(2336),
    [anon_sym_AT] = ACTIONS(2336),
    [anon_sym_my] = ACTIONS(2336),
    [anon_sym_extended] = ACTIONS(2336),
    [anon_sym_async] = ACTIONS(2336),
    [anon_sym_sub] = ACTIONS(2336),
    [anon_sym_method] = ACTIONS(2336),
    [anon_sym_LPAREN] = ACTIONS(2336),
    [anon_sym_continue] = ACTIONS(2336),
    [anon_sym_state] = ACTIONS(2336),
    [anon_sym_our] = ACTIONS(2336),
    [anon_sym_try] = ACTIONS(2336),
    [anon_sym_defer] = ACTIONS(2336),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2336),
    [anon_sym_LBRACK] = ACTIONS(2336),
    [anon_sym_LT_LT] = ACTIONS(2336),
    [anon_sym_SLASH_SLASH] = ACTIONS(2336),
    [anon_sym_PLUS] = ACTIONS(2336),
    [anon_sym_DASH] = ACTIONS(2336),
    [anon_sym_TILDE] = ACTIONS(2336),
    [anon_sym_BANG] = ACTIONS(2336),
    [anon_sym_PLUS_PLUS] = ACTIONS(2336),
    [anon_sym_DASH_DASH] = ACTIONS(2336),
    [anon_sym_BSLASH] = ACTIONS(2334),
    [anon_sym_do] = ACTIONS(2336),
    [anon_sym_eval] = ACTIONS(2336),
    [anon_sym_await] = ACTIONS(2336),
    [anon_sym_field] = ACTIONS(2336),
    [anon_sym_local] = ACTIONS(2336),
    [anon_sym_dynamically] = ACTIONS(2336),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2336),
    [anon_sym_require] = ACTIONS(2336),
    [anon_sym_map] = ACTIONS(2336),
    [anon_sym_grep] = ACTIONS(2336),
    [anon_sym_sort] = ACTIONS(2336),
    [anon_sym_goto] = ACTIONS(2336),
    [anon_sym_return] = ACTIONS(2336),
    [anon_sym_undef] = ACTIONS(2336),
    [anon_sym_PERCENT2] = ACTIONS(2336),
    [anon_sym_AMP2] = ACTIONS(2336),
    [anon_sym_STAR2] = ACTIONS(2336),
    [anon_sym_use] = ACTIONS(2336),
    [anon_sym_no] = ACTIONS(2336),
    [anon_sym_for] = ACTIONS(2336),
    [anon_sym_foreach] = ACTIONS(2336),
    [anon_sym_last] = ACTIONS(2336),
    [anon_sym_next] = ACTIONS(2336),
    [anon_sym_redo] = ACTIONS(2336),
    [anon_sym_BEGIN] = ACTIONS(2336),
    [anon_sym_INIT] = ACTIONS(2336),
    [anon_sym_CHECK] = ACTIONS(2336),
    [anon_sym_UNITCHECK] = ACTIONS(2336),
    [anon_sym_END] = ACTIONS(2336),
    [anon_sym___FILE__] = ACTIONS(2336),
    [anon_sym___LINE__] = ACTIONS(2336),
    [anon_sym___PACKAGE__] = ACTIONS(2336),
    [anon_sym___SUB__] = ACTIONS(2336),
    [anon_sym_break] = ACTIONS(2336),
    [anon_sym_fork] = ACTIONS(2336),
    [anon_sym_getppid] = ACTIONS(2336),
    [anon_sym_time] = ACTIONS(2336),
    [anon_sym_times] = ACTIONS(2336),
    [anon_sym_wait] = ACTIONS(2336),
    [anon_sym_wantarray] = ACTIONS(2336),
    [anon_sym_abs] = ACTIONS(2336),
    [anon_sym_alarm] = ACTIONS(2336),
    [anon_sym_chop] = ACTIONS(2336),
    [anon_sym_chdir] = ACTIONS(2336),
    [anon_sym_close] = ACTIONS(2336),
    [anon_sym_closedir] = ACTIONS(2336),
    [anon_sym_caller] = ACTIONS(2336),
    [anon_sym_chomp] = ACTIONS(2336),
    [anon_sym_chr] = ACTIONS(2336),
    [anon_sym_cos] = ACTIONS(2336),
    [anon_sym_chroot] = ACTIONS(2336),
    [anon_sym_defined] = ACTIONS(2336),
    [anon_sym_delete] = ACTIONS(2336),
    [anon_sym_dbmclose] = ACTIONS(2336),
    [anon_sym_exists] = ACTIONS(2336),
    [anon_sym_exit] = ACTIONS(2336),
    [anon_sym_eof] = ACTIONS(2336),
    [anon_sym_exp] = ACTIONS(2336),
    [anon_sym_each] = ACTIONS(2336),
    [anon_sym_fc] = ACTIONS(2336),
    [anon_sym_fileno] = ACTIONS(2336),
    [anon_sym_gmtime] = ACTIONS(2336),
    [anon_sym_getc] = ACTIONS(2336),
    [anon_sym_getpgrp] = ACTIONS(2336),
    [anon_sym_getprotobyname] = ACTIONS(2336),
    [anon_sym_getpwname] = ACTIONS(2336),
    [anon_sym_getpwuid] = ACTIONS(2336),
    [anon_sym_getpeername] = ACTIONS(2336),
    [anon_sym_getnetbyname] = ACTIONS(2336),
    [anon_sym_getsockname] = ACTIONS(2336),
    [anon_sym_getgrnam] = ACTIONS(2336),
    [anon_sym_getgrgid] = ACTIONS(2336),
    [anon_sym_hex] = ACTIONS(2336),
    [anon_sym_int] = ACTIONS(2336),
    [anon_sym_keys] = ACTIONS(2336),
    [anon_sym_lc] = ACTIONS(2336),
    [anon_sym_lcfirst] = ACTIONS(2336),
    [anon_sym_length] = ACTIONS(2336),
    [anon_sym_localtime] = ACTIONS(2336),
    [anon_sym_log] = ACTIONS(2336),
    [anon_sym_lock] = ACTIONS(2336),
    [anon_sym_lstat] = ACTIONS(2336),
    [anon_sym_oct] = ACTIONS(2336),
    [anon_sym_ord] = ACTIONS(2336),
    [anon_sym_prototype] = ACTIONS(2336),
    [anon_sym_pop] = ACTIONS(2336),
    [anon_sym_pos] = ACTIONS(2336),
    [anon_sym_quotemeta] = ACTIONS(2336),
    [anon_sym_reset] = ACTIONS(2336),
    [anon_sym_rand] = ACTIONS(2336),
    [anon_sym_rmdir] = ACTIONS(2336),
    [anon_sym_readdir] = ACTIONS(2336),
    [anon_sym_readline] = ACTIONS(2336),
    [anon_sym_readpipe] = ACTIONS(2336),
    [anon_sym_rewinddir] = ACTIONS(2336),
    [anon_sym_readlink] = ACTIONS(2336),
    [anon_sym_ref] = ACTIONS(2336),
    [anon_sym_scalar] = ACTIONS(2336),
    [anon_sym_shift] = ACTIONS(2336),
    [anon_sym_sin] = ACTIONS(2336),
    [anon_sym_sleep] = ACTIONS(2336),
    [anon_sym_sqrt] = ACTIONS(2336),
    [anon_sym_srand] = ACTIONS(2336),
    [anon_sym_stat] = ACTIONS(2336),
    [anon_sym_study] = ACTIONS(2336),
    [anon_sym_tell] = ACTIONS(2336),
    [anon_sym_telldir] = ACTIONS(2336),
    [anon_sym_tied] = ACTIONS(2336),
    [anon_sym_uc] = ACTIONS(2336),
    [anon_sym_ucfirst] = ACTIONS(2336),
    [anon_sym_untie] = ACTIONS(2336),
    [anon_sym_umask] = ACTIONS(2336),
    [anon_sym_values] = ACTIONS(2336),
    [anon_sym_write] = ACTIONS(2336),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2336),
    [anon_sym___END__] = ACTIONS(2336),
    [anon_sym_EOT] = ACTIONS(2336),
    [anon_sym_q] = ACTIONS(2336),
    [anon_sym_qq] = ACTIONS(2336),
    [anon_sym_qw] = ACTIONS(2336),
    [anon_sym_qx] = ACTIONS(2336),
    [anon_sym_qr] = ACTIONS(2336),
    [anon_sym_m] = ACTIONS(2336),
    [anon_sym_s] = ACTIONS(2336),
    [anon_sym_tr] = ACTIONS(2336),
    [anon_sym_y] = ACTIONS(2336),
    [anon_sym_if] = ACTIONS(2336),
    [anon_sym_unless] = ACTIONS(2336),
    [anon_sym_while] = ACTIONS(2336),
    [anon_sym_until] = ACTIONS(2336),
    [aux_sym__bareword_token1] = ACTIONS(2336),
    [sym_number] = ACTIONS(2336),
    [anon_sym_true] = ACTIONS(2336),
    [anon_sym_false] = ACTIONS(2336),
    [sym__single_quote] = ACTIONS(2334),
    [sym__double_quote] = ACTIONS(2334),
    [sym__backtick_quote] = ACTIONS(2334),
    [sym__search_slash_quote] = ACTIONS(2334),
    [sym__open_readline_bracket] = ACTIONS(2334),
    [sym__open_fileglob_bracket] = ACTIONS(2334),
    [sym__PERLY_HEREDOC] = ACTIONS(2334),
    [sym__ctrl_z_hack] = ACTIONS(2334),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2334),
    [sym__filetest] = ACTIONS(2334),
  },
  [976] = {
    [sym_heredoc_content] = STATE(976),
    [ts_builtin_sym_end] = ACTIONS(2338),
    [sym__identifier] = ACTIONS(2340),
    [anon_sym_LBRACE] = ACTIONS(2340),
    [anon_sym_SEMI] = ACTIONS(2340),
    [anon_sym_package] = ACTIONS(2340),
    [anon_sym_class] = ACTIONS(2340),
    [anon_sym_role] = ACTIONS(2340),
    [anon_sym_BUILD] = ACTIONS(2340),
    [anon_sym_ADJUST] = ACTIONS(2340),
    [anon_sym_DOLLAR] = ACTIONS(2340),
    [anon_sym_AT] = ACTIONS(2340),
    [anon_sym_my] = ACTIONS(2340),
    [anon_sym_extended] = ACTIONS(2340),
    [anon_sym_async] = ACTIONS(2340),
    [anon_sym_sub] = ACTIONS(2340),
    [anon_sym_method] = ACTIONS(2340),
    [anon_sym_LPAREN] = ACTIONS(2340),
    [anon_sym_continue] = ACTIONS(2340),
    [anon_sym_state] = ACTIONS(2340),
    [anon_sym_our] = ACTIONS(2340),
    [anon_sym_try] = ACTIONS(2340),
    [anon_sym_defer] = ACTIONS(2340),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2340),
    [anon_sym_LBRACK] = ACTIONS(2340),
    [anon_sym_LT_LT] = ACTIONS(2340),
    [anon_sym_SLASH_SLASH] = ACTIONS(2340),
    [anon_sym_PLUS] = ACTIONS(2340),
    [anon_sym_DASH] = ACTIONS(2340),
    [anon_sym_TILDE] = ACTIONS(2340),
    [anon_sym_BANG] = ACTIONS(2340),
    [anon_sym_PLUS_PLUS] = ACTIONS(2340),
    [anon_sym_DASH_DASH] = ACTIONS(2340),
    [anon_sym_BSLASH] = ACTIONS(2338),
    [anon_sym_do] = ACTIONS(2340),
    [anon_sym_eval] = ACTIONS(2340),
    [anon_sym_await] = ACTIONS(2340),
    [anon_sym_field] = ACTIONS(2340),
    [anon_sym_local] = ACTIONS(2340),
    [anon_sym_dynamically] = ACTIONS(2340),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2340),
    [anon_sym_require] = ACTIONS(2340),
    [anon_sym_map] = ACTIONS(2340),
    [anon_sym_grep] = ACTIONS(2340),
    [anon_sym_sort] = ACTIONS(2340),
    [anon_sym_goto] = ACTIONS(2340),
    [anon_sym_return] = ACTIONS(2340),
    [anon_sym_undef] = ACTIONS(2340),
    [anon_sym_PERCENT2] = ACTIONS(2340),
    [anon_sym_AMP2] = ACTIONS(2340),
    [anon_sym_STAR2] = ACTIONS(2340),
    [anon_sym_use] = ACTIONS(2340),
    [anon_sym_no] = ACTIONS(2340),
    [anon_sym_for] = ACTIONS(2340),
    [anon_sym_foreach] = ACTIONS(2340),
    [anon_sym_last] = ACTIONS(2340),
    [anon_sym_next] = ACTIONS(2340),
    [anon_sym_redo] = ACTIONS(2340),
    [anon_sym_BEGIN] = ACTIONS(2340),
    [anon_sym_INIT] = ACTIONS(2340),
    [anon_sym_CHECK] = ACTIONS(2340),
    [anon_sym_UNITCHECK] = ACTIONS(2340),
    [anon_sym_END] = ACTIONS(2340),
    [anon_sym___FILE__] = ACTIONS(2340),
    [anon_sym___LINE__] = ACTIONS(2340),
    [anon_sym___PACKAGE__] = ACTIONS(2340),
    [anon_sym___SUB__] = ACTIONS(2340),
    [anon_sym_break] = ACTIONS(2340),
    [anon_sym_fork] = ACTIONS(2340),
    [anon_sym_getppid] = ACTIONS(2340),
    [anon_sym_time] = ACTIONS(2340),
    [anon_sym_times] = ACTIONS(2340),
    [anon_sym_wait] = ACTIONS(2340),
    [anon_sym_wantarray] = ACTIONS(2340),
    [anon_sym_abs] = ACTIONS(2340),
    [anon_sym_alarm] = ACTIONS(2340),
    [anon_sym_chop] = ACTIONS(2340),
    [anon_sym_chdir] = ACTIONS(2340),
    [anon_sym_close] = ACTIONS(2340),
    [anon_sym_closedir] = ACTIONS(2340),
    [anon_sym_caller] = ACTIONS(2340),
    [anon_sym_chomp] = ACTIONS(2340),
    [anon_sym_chr] = ACTIONS(2340),
    [anon_sym_cos] = ACTIONS(2340),
    [anon_sym_chroot] = ACTIONS(2340),
    [anon_sym_defined] = ACTIONS(2340),
    [anon_sym_delete] = ACTIONS(2340),
    [anon_sym_dbmclose] = ACTIONS(2340),
    [anon_sym_exists] = ACTIONS(2340),
    [anon_sym_exit] = ACTIONS(2340),
    [anon_sym_eof] = ACTIONS(2340),
    [anon_sym_exp] = ACTIONS(2340),
    [anon_sym_each] = ACTIONS(2340),
    [anon_sym_fc] = ACTIONS(2340),
    [anon_sym_fileno] = ACTIONS(2340),
    [anon_sym_gmtime] = ACTIONS(2340),
    [anon_sym_getc] = ACTIONS(2340),
    [anon_sym_getpgrp] = ACTIONS(2340),
    [anon_sym_getprotobyname] = ACTIONS(2340),
    [anon_sym_getpwname] = ACTIONS(2340),
    [anon_sym_getpwuid] = ACTIONS(2340),
    [anon_sym_getpeername] = ACTIONS(2340),
    [anon_sym_getnetbyname] = ACTIONS(2340),
    [anon_sym_getsockname] = ACTIONS(2340),
    [anon_sym_getgrnam] = ACTIONS(2340),
    [anon_sym_getgrgid] = ACTIONS(2340),
    [anon_sym_hex] = ACTIONS(2340),
    [anon_sym_int] = ACTIONS(2340),
    [anon_sym_keys] = ACTIONS(2340),
    [anon_sym_lc] = ACTIONS(2340),
    [anon_sym_lcfirst] = ACTIONS(2340),
    [anon_sym_length] = ACTIONS(2340),
    [anon_sym_localtime] = ACTIONS(2340),
    [anon_sym_log] = ACTIONS(2340),
    [anon_sym_lock] = ACTIONS(2340),
    [anon_sym_lstat] = ACTIONS(2340),
    [anon_sym_oct] = ACTIONS(2340),
    [anon_sym_ord] = ACTIONS(2340),
    [anon_sym_prototype] = ACTIONS(2340),
    [anon_sym_pop] = ACTIONS(2340),
    [anon_sym_pos] = ACTIONS(2340),
    [anon_sym_quotemeta] = ACTIONS(2340),
    [anon_sym_reset] = ACTIONS(2340),
    [anon_sym_rand] = ACTIONS(2340),
    [anon_sym_rmdir] = ACTIONS(2340),
    [anon_sym_readdir] = ACTIONS(2340),
    [anon_sym_readline] = ACTIONS(2340),
    [anon_sym_readpipe] = ACTIONS(2340),
    [anon_sym_rewinddir] = ACTIONS(2340),
    [anon_sym_readlink] = ACTIONS(2340),
    [anon_sym_ref] = ACTIONS(2340),
    [anon_sym_scalar] = ACTIONS(2340),
    [anon_sym_shift] = ACTIONS(2340),
    [anon_sym_sin] = ACTIONS(2340),
    [anon_sym_sleep] = ACTIONS(2340),
    [anon_sym_sqrt] = ACTIONS(2340),
    [anon_sym_srand] = ACTIONS(2340),
    [anon_sym_stat] = ACTIONS(2340),
    [anon_sym_study] = ACTIONS(2340),
    [anon_sym_tell] = ACTIONS(2340),
    [anon_sym_telldir] = ACTIONS(2340),
    [anon_sym_tied] = ACTIONS(2340),
    [anon_sym_uc] = ACTIONS(2340),
    [anon_sym_ucfirst] = ACTIONS(2340),
    [anon_sym_untie] = ACTIONS(2340),
    [anon_sym_umask] = ACTIONS(2340),
    [anon_sym_values] = ACTIONS(2340),
    [anon_sym_write] = ACTIONS(2340),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2340),
    [anon_sym___END__] = ACTIONS(2340),
    [anon_sym_EOT] = ACTIONS(2340),
    [anon_sym_q] = ACTIONS(2340),
    [anon_sym_qq] = ACTIONS(2340),
    [anon_sym_qw] = ACTIONS(2340),
    [anon_sym_qx] = ACTIONS(2340),
    [anon_sym_qr] = ACTIONS(2340),
    [anon_sym_m] = ACTIONS(2340),
    [anon_sym_s] = ACTIONS(2340),
    [anon_sym_tr] = ACTIONS(2340),
    [anon_sym_y] = ACTIONS(2340),
    [anon_sym_if] = ACTIONS(2340),
    [anon_sym_unless] = ACTIONS(2340),
    [anon_sym_while] = ACTIONS(2340),
    [anon_sym_until] = ACTIONS(2340),
    [aux_sym__bareword_token1] = ACTIONS(2340),
    [sym_number] = ACTIONS(2340),
    [anon_sym_true] = ACTIONS(2340),
    [anon_sym_false] = ACTIONS(2340),
    [sym__single_quote] = ACTIONS(2338),
    [sym__double_quote] = ACTIONS(2338),
    [sym__backtick_quote] = ACTIONS(2338),
    [sym__search_slash_quote] = ACTIONS(2338),
    [sym__open_readline_bracket] = ACTIONS(2338),
    [sym__open_fileglob_bracket] = ACTIONS(2338),
    [sym__PERLY_HEREDOC] = ACTIONS(2338),
    [sym__ctrl_z_hack] = ACTIONS(2338),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2338),
    [sym__filetest] = ACTIONS(2338),
  },
  [977] = {
    [sym_heredoc_content] = STATE(977),
    [ts_builtin_sym_end] = ACTIONS(2342),
    [sym__identifier] = ACTIONS(2344),
    [anon_sym_LBRACE] = ACTIONS(2344),
    [anon_sym_SEMI] = ACTIONS(2344),
    [anon_sym_package] = ACTIONS(2344),
    [anon_sym_class] = ACTIONS(2344),
    [anon_sym_role] = ACTIONS(2344),
    [anon_sym_BUILD] = ACTIONS(2344),
    [anon_sym_ADJUST] = ACTIONS(2344),
    [anon_sym_DOLLAR] = ACTIONS(2344),
    [anon_sym_AT] = ACTIONS(2344),
    [anon_sym_my] = ACTIONS(2344),
    [anon_sym_extended] = ACTIONS(2344),
    [anon_sym_async] = ACTIONS(2344),
    [anon_sym_sub] = ACTIONS(2344),
    [anon_sym_method] = ACTIONS(2344),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_continue] = ACTIONS(2344),
    [anon_sym_state] = ACTIONS(2344),
    [anon_sym_our] = ACTIONS(2344),
    [anon_sym_try] = ACTIONS(2344),
    [anon_sym_defer] = ACTIONS(2344),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2344),
    [anon_sym_LBRACK] = ACTIONS(2344),
    [anon_sym_LT_LT] = ACTIONS(2344),
    [anon_sym_SLASH_SLASH] = ACTIONS(2344),
    [anon_sym_PLUS] = ACTIONS(2344),
    [anon_sym_DASH] = ACTIONS(2344),
    [anon_sym_TILDE] = ACTIONS(2344),
    [anon_sym_BANG] = ACTIONS(2344),
    [anon_sym_PLUS_PLUS] = ACTIONS(2344),
    [anon_sym_DASH_DASH] = ACTIONS(2344),
    [anon_sym_BSLASH] = ACTIONS(2342),
    [anon_sym_do] = ACTIONS(2344),
    [anon_sym_eval] = ACTIONS(2344),
    [anon_sym_await] = ACTIONS(2344),
    [anon_sym_field] = ACTIONS(2344),
    [anon_sym_local] = ACTIONS(2344),
    [anon_sym_dynamically] = ACTIONS(2344),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2344),
    [anon_sym_require] = ACTIONS(2344),
    [anon_sym_map] = ACTIONS(2344),
    [anon_sym_grep] = ACTIONS(2344),
    [anon_sym_sort] = ACTIONS(2344),
    [anon_sym_goto] = ACTIONS(2344),
    [anon_sym_return] = ACTIONS(2344),
    [anon_sym_undef] = ACTIONS(2344),
    [anon_sym_PERCENT2] = ACTIONS(2344),
    [anon_sym_AMP2] = ACTIONS(2344),
    [anon_sym_STAR2] = ACTIONS(2344),
    [anon_sym_use] = ACTIONS(2344),
    [anon_sym_no] = ACTIONS(2344),
    [anon_sym_for] = ACTIONS(2344),
    [anon_sym_foreach] = ACTIONS(2344),
    [anon_sym_last] = ACTIONS(2344),
    [anon_sym_next] = ACTIONS(2344),
    [anon_sym_redo] = ACTIONS(2344),
    [anon_sym_BEGIN] = ACTIONS(2344),
    [anon_sym_INIT] = ACTIONS(2344),
    [anon_sym_CHECK] = ACTIONS(2344),
    [anon_sym_UNITCHECK] = ACTIONS(2344),
    [anon_sym_END] = ACTIONS(2344),
    [anon_sym___FILE__] = ACTIONS(2344),
    [anon_sym___LINE__] = ACTIONS(2344),
    [anon_sym___PACKAGE__] = ACTIONS(2344),
    [anon_sym___SUB__] = ACTIONS(2344),
    [anon_sym_break] = ACTIONS(2344),
    [anon_sym_fork] = ACTIONS(2344),
    [anon_sym_getppid] = ACTIONS(2344),
    [anon_sym_time] = ACTIONS(2344),
    [anon_sym_times] = ACTIONS(2344),
    [anon_sym_wait] = ACTIONS(2344),
    [anon_sym_wantarray] = ACTIONS(2344),
    [anon_sym_abs] = ACTIONS(2344),
    [anon_sym_alarm] = ACTIONS(2344),
    [anon_sym_chop] = ACTIONS(2344),
    [anon_sym_chdir] = ACTIONS(2344),
    [anon_sym_close] = ACTIONS(2344),
    [anon_sym_closedir] = ACTIONS(2344),
    [anon_sym_caller] = ACTIONS(2344),
    [anon_sym_chomp] = ACTIONS(2344),
    [anon_sym_chr] = ACTIONS(2344),
    [anon_sym_cos] = ACTIONS(2344),
    [anon_sym_chroot] = ACTIONS(2344),
    [anon_sym_defined] = ACTIONS(2344),
    [anon_sym_delete] = ACTIONS(2344),
    [anon_sym_dbmclose] = ACTIONS(2344),
    [anon_sym_exists] = ACTIONS(2344),
    [anon_sym_exit] = ACTIONS(2344),
    [anon_sym_eof] = ACTIONS(2344),
    [anon_sym_exp] = ACTIONS(2344),
    [anon_sym_each] = ACTIONS(2344),
    [anon_sym_fc] = ACTIONS(2344),
    [anon_sym_fileno] = ACTIONS(2344),
    [anon_sym_gmtime] = ACTIONS(2344),
    [anon_sym_getc] = ACTIONS(2344),
    [anon_sym_getpgrp] = ACTIONS(2344),
    [anon_sym_getprotobyname] = ACTIONS(2344),
    [anon_sym_getpwname] = ACTIONS(2344),
    [anon_sym_getpwuid] = ACTIONS(2344),
    [anon_sym_getpeername] = ACTIONS(2344),
    [anon_sym_getnetbyname] = ACTIONS(2344),
    [anon_sym_getsockname] = ACTIONS(2344),
    [anon_sym_getgrnam] = ACTIONS(2344),
    [anon_sym_getgrgid] = ACTIONS(2344),
    [anon_sym_hex] = ACTIONS(2344),
    [anon_sym_int] = ACTIONS(2344),
    [anon_sym_keys] = ACTIONS(2344),
    [anon_sym_lc] = ACTIONS(2344),
    [anon_sym_lcfirst] = ACTIONS(2344),
    [anon_sym_length] = ACTIONS(2344),
    [anon_sym_localtime] = ACTIONS(2344),
    [anon_sym_log] = ACTIONS(2344),
    [anon_sym_lock] = ACTIONS(2344),
    [anon_sym_lstat] = ACTIONS(2344),
    [anon_sym_oct] = ACTIONS(2344),
    [anon_sym_ord] = ACTIONS(2344),
    [anon_sym_prototype] = ACTIONS(2344),
    [anon_sym_pop] = ACTIONS(2344),
    [anon_sym_pos] = ACTIONS(2344),
    [anon_sym_quotemeta] = ACTIONS(2344),
    [anon_sym_reset] = ACTIONS(2344),
    [anon_sym_rand] = ACTIONS(2344),
    [anon_sym_rmdir] = ACTIONS(2344),
    [anon_sym_readdir] = ACTIONS(2344),
    [anon_sym_readline] = ACTIONS(2344),
    [anon_sym_readpipe] = ACTIONS(2344),
    [anon_sym_rewinddir] = ACTIONS(2344),
    [anon_sym_readlink] = ACTIONS(2344),
    [anon_sym_ref] = ACTIONS(2344),
    [anon_sym_scalar] = ACTIONS(2344),
    [anon_sym_shift] = ACTIONS(2344),
    [anon_sym_sin] = ACTIONS(2344),
    [anon_sym_sleep] = ACTIONS(2344),
    [anon_sym_sqrt] = ACTIONS(2344),
    [anon_sym_srand] = ACTIONS(2344),
    [anon_sym_stat] = ACTIONS(2344),
    [anon_sym_study] = ACTIONS(2344),
    [anon_sym_tell] = ACTIONS(2344),
    [anon_sym_telldir] = ACTIONS(2344),
    [anon_sym_tied] = ACTIONS(2344),
    [anon_sym_uc] = ACTIONS(2344),
    [anon_sym_ucfirst] = ACTIONS(2344),
    [anon_sym_untie] = ACTIONS(2344),
    [anon_sym_umask] = ACTIONS(2344),
    [anon_sym_values] = ACTIONS(2344),
    [anon_sym_write] = ACTIONS(2344),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2344),
    [anon_sym___END__] = ACTIONS(2344),
    [anon_sym_EOT] = ACTIONS(2344),
    [anon_sym_q] = ACTIONS(2344),
    [anon_sym_qq] = ACTIONS(2344),
    [anon_sym_qw] = ACTIONS(2344),
    [anon_sym_qx] = ACTIONS(2344),
    [anon_sym_qr] = ACTIONS(2344),
    [anon_sym_m] = ACTIONS(2344),
    [anon_sym_s] = ACTIONS(2344),
    [anon_sym_tr] = ACTIONS(2344),
    [anon_sym_y] = ACTIONS(2344),
    [anon_sym_if] = ACTIONS(2344),
    [anon_sym_unless] = ACTIONS(2344),
    [anon_sym_while] = ACTIONS(2344),
    [anon_sym_until] = ACTIONS(2344),
    [aux_sym__bareword_token1] = ACTIONS(2344),
    [sym_number] = ACTIONS(2344),
    [anon_sym_true] = ACTIONS(2344),
    [anon_sym_false] = ACTIONS(2344),
    [sym__single_quote] = ACTIONS(2342),
    [sym__double_quote] = ACTIONS(2342),
    [sym__backtick_quote] = ACTIONS(2342),
    [sym__search_slash_quote] = ACTIONS(2342),
    [sym__open_readline_bracket] = ACTIONS(2342),
    [sym__open_fileglob_bracket] = ACTIONS(2342),
    [sym__PERLY_HEREDOC] = ACTIONS(2342),
    [sym__ctrl_z_hack] = ACTIONS(2342),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2342),
    [sym__filetest] = ACTIONS(2342),
  },
  [978] = {
    [sym_heredoc_content] = STATE(978),
    [ts_builtin_sym_end] = ACTIONS(2346),
    [sym__identifier] = ACTIONS(2348),
    [anon_sym_LBRACE] = ACTIONS(2348),
    [anon_sym_SEMI] = ACTIONS(2348),
    [anon_sym_package] = ACTIONS(2348),
    [anon_sym_class] = ACTIONS(2348),
    [anon_sym_role] = ACTIONS(2348),
    [anon_sym_BUILD] = ACTIONS(2348),
    [anon_sym_ADJUST] = ACTIONS(2348),
    [anon_sym_DOLLAR] = ACTIONS(2348),
    [anon_sym_AT] = ACTIONS(2348),
    [anon_sym_my] = ACTIONS(2348),
    [anon_sym_extended] = ACTIONS(2348),
    [anon_sym_async] = ACTIONS(2348),
    [anon_sym_sub] = ACTIONS(2348),
    [anon_sym_method] = ACTIONS(2348),
    [anon_sym_LPAREN] = ACTIONS(2348),
    [anon_sym_continue] = ACTIONS(2348),
    [anon_sym_state] = ACTIONS(2348),
    [anon_sym_our] = ACTIONS(2348),
    [anon_sym_try] = ACTIONS(2348),
    [anon_sym_defer] = ACTIONS(2348),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2348),
    [anon_sym_LBRACK] = ACTIONS(2348),
    [anon_sym_LT_LT] = ACTIONS(2348),
    [anon_sym_SLASH_SLASH] = ACTIONS(2348),
    [anon_sym_PLUS] = ACTIONS(2348),
    [anon_sym_DASH] = ACTIONS(2348),
    [anon_sym_TILDE] = ACTIONS(2348),
    [anon_sym_BANG] = ACTIONS(2348),
    [anon_sym_PLUS_PLUS] = ACTIONS(2348),
    [anon_sym_DASH_DASH] = ACTIONS(2348),
    [anon_sym_BSLASH] = ACTIONS(2346),
    [anon_sym_do] = ACTIONS(2348),
    [anon_sym_eval] = ACTIONS(2348),
    [anon_sym_await] = ACTIONS(2348),
    [anon_sym_field] = ACTIONS(2348),
    [anon_sym_local] = ACTIONS(2348),
    [anon_sym_dynamically] = ACTIONS(2348),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2348),
    [anon_sym_require] = ACTIONS(2348),
    [anon_sym_map] = ACTIONS(2348),
    [anon_sym_grep] = ACTIONS(2348),
    [anon_sym_sort] = ACTIONS(2348),
    [anon_sym_goto] = ACTIONS(2348),
    [anon_sym_return] = ACTIONS(2348),
    [anon_sym_undef] = ACTIONS(2348),
    [anon_sym_PERCENT2] = ACTIONS(2348),
    [anon_sym_AMP2] = ACTIONS(2348),
    [anon_sym_STAR2] = ACTIONS(2348),
    [anon_sym_use] = ACTIONS(2348),
    [anon_sym_no] = ACTIONS(2348),
    [anon_sym_for] = ACTIONS(2348),
    [anon_sym_foreach] = ACTIONS(2348),
    [anon_sym_last] = ACTIONS(2348),
    [anon_sym_next] = ACTIONS(2348),
    [anon_sym_redo] = ACTIONS(2348),
    [anon_sym_BEGIN] = ACTIONS(2348),
    [anon_sym_INIT] = ACTIONS(2348),
    [anon_sym_CHECK] = ACTIONS(2348),
    [anon_sym_UNITCHECK] = ACTIONS(2348),
    [anon_sym_END] = ACTIONS(2348),
    [anon_sym___FILE__] = ACTIONS(2348),
    [anon_sym___LINE__] = ACTIONS(2348),
    [anon_sym___PACKAGE__] = ACTIONS(2348),
    [anon_sym___SUB__] = ACTIONS(2348),
    [anon_sym_break] = ACTIONS(2348),
    [anon_sym_fork] = ACTIONS(2348),
    [anon_sym_getppid] = ACTIONS(2348),
    [anon_sym_time] = ACTIONS(2348),
    [anon_sym_times] = ACTIONS(2348),
    [anon_sym_wait] = ACTIONS(2348),
    [anon_sym_wantarray] = ACTIONS(2348),
    [anon_sym_abs] = ACTIONS(2348),
    [anon_sym_alarm] = ACTIONS(2348),
    [anon_sym_chop] = ACTIONS(2348),
    [anon_sym_chdir] = ACTIONS(2348),
    [anon_sym_close] = ACTIONS(2348),
    [anon_sym_closedir] = ACTIONS(2348),
    [anon_sym_caller] = ACTIONS(2348),
    [anon_sym_chomp] = ACTIONS(2348),
    [anon_sym_chr] = ACTIONS(2348),
    [anon_sym_cos] = ACTIONS(2348),
    [anon_sym_chroot] = ACTIONS(2348),
    [anon_sym_defined] = ACTIONS(2348),
    [anon_sym_delete] = ACTIONS(2348),
    [anon_sym_dbmclose] = ACTIONS(2348),
    [anon_sym_exists] = ACTIONS(2348),
    [anon_sym_exit] = ACTIONS(2348),
    [anon_sym_eof] = ACTIONS(2348),
    [anon_sym_exp] = ACTIONS(2348),
    [anon_sym_each] = ACTIONS(2348),
    [anon_sym_fc] = ACTIONS(2348),
    [anon_sym_fileno] = ACTIONS(2348),
    [anon_sym_gmtime] = ACTIONS(2348),
    [anon_sym_getc] = ACTIONS(2348),
    [anon_sym_getpgrp] = ACTIONS(2348),
    [anon_sym_getprotobyname] = ACTIONS(2348),
    [anon_sym_getpwname] = ACTIONS(2348),
    [anon_sym_getpwuid] = ACTIONS(2348),
    [anon_sym_getpeername] = ACTIONS(2348),
    [anon_sym_getnetbyname] = ACTIONS(2348),
    [anon_sym_getsockname] = ACTIONS(2348),
    [anon_sym_getgrnam] = ACTIONS(2348),
    [anon_sym_getgrgid] = ACTIONS(2348),
    [anon_sym_hex] = ACTIONS(2348),
    [anon_sym_int] = ACTIONS(2348),
    [anon_sym_keys] = ACTIONS(2348),
    [anon_sym_lc] = ACTIONS(2348),
    [anon_sym_lcfirst] = ACTIONS(2348),
    [anon_sym_length] = ACTIONS(2348),
    [anon_sym_localtime] = ACTIONS(2348),
    [anon_sym_log] = ACTIONS(2348),
    [anon_sym_lock] = ACTIONS(2348),
    [anon_sym_lstat] = ACTIONS(2348),
    [anon_sym_oct] = ACTIONS(2348),
    [anon_sym_ord] = ACTIONS(2348),
    [anon_sym_prototype] = ACTIONS(2348),
    [anon_sym_pop] = ACTIONS(2348),
    [anon_sym_pos] = ACTIONS(2348),
    [anon_sym_quotemeta] = ACTIONS(2348),
    [anon_sym_reset] = ACTIONS(2348),
    [anon_sym_rand] = ACTIONS(2348),
    [anon_sym_rmdir] = ACTIONS(2348),
    [anon_sym_readdir] = ACTIONS(2348),
    [anon_sym_readline] = ACTIONS(2348),
    [anon_sym_readpipe] = ACTIONS(2348),
    [anon_sym_rewinddir] = ACTIONS(2348),
    [anon_sym_readlink] = ACTIONS(2348),
    [anon_sym_ref] = ACTIONS(2348),
    [anon_sym_scalar] = ACTIONS(2348),
    [anon_sym_shift] = ACTIONS(2348),
    [anon_sym_sin] = ACTIONS(2348),
    [anon_sym_sleep] = ACTIONS(2348),
    [anon_sym_sqrt] = ACTIONS(2348),
    [anon_sym_srand] = ACTIONS(2348),
    [anon_sym_stat] = ACTIONS(2348),
    [anon_sym_study] = ACTIONS(2348),
    [anon_sym_tell] = ACTIONS(2348),
    [anon_sym_telldir] = ACTIONS(2348),
    [anon_sym_tied] = ACTIONS(2348),
    [anon_sym_uc] = ACTIONS(2348),
    [anon_sym_ucfirst] = ACTIONS(2348),
    [anon_sym_untie] = ACTIONS(2348),
    [anon_sym_umask] = ACTIONS(2348),
    [anon_sym_values] = ACTIONS(2348),
    [anon_sym_write] = ACTIONS(2348),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2348),
    [anon_sym___END__] = ACTIONS(2348),
    [anon_sym_EOT] = ACTIONS(2348),
    [anon_sym_q] = ACTIONS(2348),
    [anon_sym_qq] = ACTIONS(2348),
    [anon_sym_qw] = ACTIONS(2348),
    [anon_sym_qx] = ACTIONS(2348),
    [anon_sym_qr] = ACTIONS(2348),
    [anon_sym_m] = ACTIONS(2348),
    [anon_sym_s] = ACTIONS(2348),
    [anon_sym_tr] = ACTIONS(2348),
    [anon_sym_y] = ACTIONS(2348),
    [anon_sym_if] = ACTIONS(2348),
    [anon_sym_unless] = ACTIONS(2348),
    [anon_sym_while] = ACTIONS(2348),
    [anon_sym_until] = ACTIONS(2348),
    [aux_sym__bareword_token1] = ACTIONS(2348),
    [sym_number] = ACTIONS(2348),
    [anon_sym_true] = ACTIONS(2348),
    [anon_sym_false] = ACTIONS(2348),
    [sym__single_quote] = ACTIONS(2346),
    [sym__double_quote] = ACTIONS(2346),
    [sym__backtick_quote] = ACTIONS(2346),
    [sym__search_slash_quote] = ACTIONS(2346),
    [sym__open_readline_bracket] = ACTIONS(2346),
    [sym__open_fileglob_bracket] = ACTIONS(2346),
    [sym__PERLY_HEREDOC] = ACTIONS(2346),
    [sym__ctrl_z_hack] = ACTIONS(2346),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2346),
    [sym__filetest] = ACTIONS(2346),
  },
  [979] = {
    [sym_heredoc_content] = STATE(979),
    [ts_builtin_sym_end] = ACTIONS(2350),
    [sym__identifier] = ACTIONS(2352),
    [anon_sym_LBRACE] = ACTIONS(2352),
    [anon_sym_SEMI] = ACTIONS(2352),
    [anon_sym_package] = ACTIONS(2352),
    [anon_sym_class] = ACTIONS(2352),
    [anon_sym_role] = ACTIONS(2352),
    [anon_sym_BUILD] = ACTIONS(2352),
    [anon_sym_ADJUST] = ACTIONS(2352),
    [anon_sym_DOLLAR] = ACTIONS(2352),
    [anon_sym_AT] = ACTIONS(2352),
    [anon_sym_my] = ACTIONS(2352),
    [anon_sym_extended] = ACTIONS(2352),
    [anon_sym_async] = ACTIONS(2352),
    [anon_sym_sub] = ACTIONS(2352),
    [anon_sym_method] = ACTIONS(2352),
    [anon_sym_LPAREN] = ACTIONS(2352),
    [anon_sym_continue] = ACTIONS(2352),
    [anon_sym_state] = ACTIONS(2352),
    [anon_sym_our] = ACTIONS(2352),
    [anon_sym_try] = ACTIONS(2352),
    [anon_sym_defer] = ACTIONS(2352),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2352),
    [anon_sym_LBRACK] = ACTIONS(2352),
    [anon_sym_LT_LT] = ACTIONS(2352),
    [anon_sym_SLASH_SLASH] = ACTIONS(2352),
    [anon_sym_PLUS] = ACTIONS(2352),
    [anon_sym_DASH] = ACTIONS(2352),
    [anon_sym_TILDE] = ACTIONS(2352),
    [anon_sym_BANG] = ACTIONS(2352),
    [anon_sym_PLUS_PLUS] = ACTIONS(2352),
    [anon_sym_DASH_DASH] = ACTIONS(2352),
    [anon_sym_BSLASH] = ACTIONS(2350),
    [anon_sym_do] = ACTIONS(2352),
    [anon_sym_eval] = ACTIONS(2352),
    [anon_sym_await] = ACTIONS(2352),
    [anon_sym_field] = ACTIONS(2352),
    [anon_sym_local] = ACTIONS(2352),
    [anon_sym_dynamically] = ACTIONS(2352),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2352),
    [anon_sym_require] = ACTIONS(2352),
    [anon_sym_map] = ACTIONS(2352),
    [anon_sym_grep] = ACTIONS(2352),
    [anon_sym_sort] = ACTIONS(2352),
    [anon_sym_goto] = ACTIONS(2352),
    [anon_sym_return] = ACTIONS(2352),
    [anon_sym_undef] = ACTIONS(2352),
    [anon_sym_PERCENT2] = ACTIONS(2352),
    [anon_sym_AMP2] = ACTIONS(2352),
    [anon_sym_STAR2] = ACTIONS(2352),
    [anon_sym_use] = ACTIONS(2352),
    [anon_sym_no] = ACTIONS(2352),
    [anon_sym_for] = ACTIONS(2352),
    [anon_sym_foreach] = ACTIONS(2352),
    [anon_sym_last] = ACTIONS(2352),
    [anon_sym_next] = ACTIONS(2352),
    [anon_sym_redo] = ACTIONS(2352),
    [anon_sym_BEGIN] = ACTIONS(2352),
    [anon_sym_INIT] = ACTIONS(2352),
    [anon_sym_CHECK] = ACTIONS(2352),
    [anon_sym_UNITCHECK] = ACTIONS(2352),
    [anon_sym_END] = ACTIONS(2352),
    [anon_sym___FILE__] = ACTIONS(2352),
    [anon_sym___LINE__] = ACTIONS(2352),
    [anon_sym___PACKAGE__] = ACTIONS(2352),
    [anon_sym___SUB__] = ACTIONS(2352),
    [anon_sym_break] = ACTIONS(2352),
    [anon_sym_fork] = ACTIONS(2352),
    [anon_sym_getppid] = ACTIONS(2352),
    [anon_sym_time] = ACTIONS(2352),
    [anon_sym_times] = ACTIONS(2352),
    [anon_sym_wait] = ACTIONS(2352),
    [anon_sym_wantarray] = ACTIONS(2352),
    [anon_sym_abs] = ACTIONS(2352),
    [anon_sym_alarm] = ACTIONS(2352),
    [anon_sym_chop] = ACTIONS(2352),
    [anon_sym_chdir] = ACTIONS(2352),
    [anon_sym_close] = ACTIONS(2352),
    [anon_sym_closedir] = ACTIONS(2352),
    [anon_sym_caller] = ACTIONS(2352),
    [anon_sym_chomp] = ACTIONS(2352),
    [anon_sym_chr] = ACTIONS(2352),
    [anon_sym_cos] = ACTIONS(2352),
    [anon_sym_chroot] = ACTIONS(2352),
    [anon_sym_defined] = ACTIONS(2352),
    [anon_sym_delete] = ACTIONS(2352),
    [anon_sym_dbmclose] = ACTIONS(2352),
    [anon_sym_exists] = ACTIONS(2352),
    [anon_sym_exit] = ACTIONS(2352),
    [anon_sym_eof] = ACTIONS(2352),
    [anon_sym_exp] = ACTIONS(2352),
    [anon_sym_each] = ACTIONS(2352),
    [anon_sym_fc] = ACTIONS(2352),
    [anon_sym_fileno] = ACTIONS(2352),
    [anon_sym_gmtime] = ACTIONS(2352),
    [anon_sym_getc] = ACTIONS(2352),
    [anon_sym_getpgrp] = ACTIONS(2352),
    [anon_sym_getprotobyname] = ACTIONS(2352),
    [anon_sym_getpwname] = ACTIONS(2352),
    [anon_sym_getpwuid] = ACTIONS(2352),
    [anon_sym_getpeername] = ACTIONS(2352),
    [anon_sym_getnetbyname] = ACTIONS(2352),
    [anon_sym_getsockname] = ACTIONS(2352),
    [anon_sym_getgrnam] = ACTIONS(2352),
    [anon_sym_getgrgid] = ACTIONS(2352),
    [anon_sym_hex] = ACTIONS(2352),
    [anon_sym_int] = ACTIONS(2352),
    [anon_sym_keys] = ACTIONS(2352),
    [anon_sym_lc] = ACTIONS(2352),
    [anon_sym_lcfirst] = ACTIONS(2352),
    [anon_sym_length] = ACTIONS(2352),
    [anon_sym_localtime] = ACTIONS(2352),
    [anon_sym_log] = ACTIONS(2352),
    [anon_sym_lock] = ACTIONS(2352),
    [anon_sym_lstat] = ACTIONS(2352),
    [anon_sym_oct] = ACTIONS(2352),
    [anon_sym_ord] = ACTIONS(2352),
    [anon_sym_prototype] = ACTIONS(2352),
    [anon_sym_pop] = ACTIONS(2352),
    [anon_sym_pos] = ACTIONS(2352),
    [anon_sym_quotemeta] = ACTIONS(2352),
    [anon_sym_reset] = ACTIONS(2352),
    [anon_sym_rand] = ACTIONS(2352),
    [anon_sym_rmdir] = ACTIONS(2352),
    [anon_sym_readdir] = ACTIONS(2352),
    [anon_sym_readline] = ACTIONS(2352),
    [anon_sym_readpipe] = ACTIONS(2352),
    [anon_sym_rewinddir] = ACTIONS(2352),
    [anon_sym_readlink] = ACTIONS(2352),
    [anon_sym_ref] = ACTIONS(2352),
    [anon_sym_scalar] = ACTIONS(2352),
    [anon_sym_shift] = ACTIONS(2352),
    [anon_sym_sin] = ACTIONS(2352),
    [anon_sym_sleep] = ACTIONS(2352),
    [anon_sym_sqrt] = ACTIONS(2352),
    [anon_sym_srand] = ACTIONS(2352),
    [anon_sym_stat] = ACTIONS(2352),
    [anon_sym_study] = ACTIONS(2352),
    [anon_sym_tell] = ACTIONS(2352),
    [anon_sym_telldir] = ACTIONS(2352),
    [anon_sym_tied] = ACTIONS(2352),
    [anon_sym_uc] = ACTIONS(2352),
    [anon_sym_ucfirst] = ACTIONS(2352),
    [anon_sym_untie] = ACTIONS(2352),
    [anon_sym_umask] = ACTIONS(2352),
    [anon_sym_values] = ACTIONS(2352),
    [anon_sym_write] = ACTIONS(2352),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2352),
    [anon_sym___END__] = ACTIONS(2352),
    [anon_sym_EOT] = ACTIONS(2352),
    [anon_sym_q] = ACTIONS(2352),
    [anon_sym_qq] = ACTIONS(2352),
    [anon_sym_qw] = ACTIONS(2352),
    [anon_sym_qx] = ACTIONS(2352),
    [anon_sym_qr] = ACTIONS(2352),
    [anon_sym_m] = ACTIONS(2352),
    [anon_sym_s] = ACTIONS(2352),
    [anon_sym_tr] = ACTIONS(2352),
    [anon_sym_y] = ACTIONS(2352),
    [anon_sym_if] = ACTIONS(2352),
    [anon_sym_unless] = ACTIONS(2352),
    [anon_sym_while] = ACTIONS(2352),
    [anon_sym_until] = ACTIONS(2352),
    [aux_sym__bareword_token1] = ACTIONS(2352),
    [sym_number] = ACTIONS(2352),
    [anon_sym_true] = ACTIONS(2352),
    [anon_sym_false] = ACTIONS(2352),
    [sym__single_quote] = ACTIONS(2350),
    [sym__double_quote] = ACTIONS(2350),
    [sym__backtick_quote] = ACTIONS(2350),
    [sym__search_slash_quote] = ACTIONS(2350),
    [sym__open_readline_bracket] = ACTIONS(2350),
    [sym__open_fileglob_bracket] = ACTIONS(2350),
    [sym__PERLY_HEREDOC] = ACTIONS(2350),
    [sym__ctrl_z_hack] = ACTIONS(2350),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2350),
    [sym__filetest] = ACTIONS(2350),
  },
  [980] = {
    [sym_heredoc_content] = STATE(980),
    [ts_builtin_sym_end] = ACTIONS(2354),
    [sym__identifier] = ACTIONS(2356),
    [anon_sym_LBRACE] = ACTIONS(2356),
    [anon_sym_SEMI] = ACTIONS(2356),
    [anon_sym_package] = ACTIONS(2356),
    [anon_sym_class] = ACTIONS(2356),
    [anon_sym_role] = ACTIONS(2356),
    [anon_sym_BUILD] = ACTIONS(2356),
    [anon_sym_ADJUST] = ACTIONS(2356),
    [anon_sym_DOLLAR] = ACTIONS(2356),
    [anon_sym_AT] = ACTIONS(2356),
    [anon_sym_my] = ACTIONS(2356),
    [anon_sym_extended] = ACTIONS(2356),
    [anon_sym_async] = ACTIONS(2356),
    [anon_sym_sub] = ACTIONS(2356),
    [anon_sym_method] = ACTIONS(2356),
    [anon_sym_LPAREN] = ACTIONS(2356),
    [anon_sym_continue] = ACTIONS(2356),
    [anon_sym_state] = ACTIONS(2356),
    [anon_sym_our] = ACTIONS(2356),
    [anon_sym_try] = ACTIONS(2356),
    [anon_sym_defer] = ACTIONS(2356),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2356),
    [anon_sym_LBRACK] = ACTIONS(2356),
    [anon_sym_LT_LT] = ACTIONS(2356),
    [anon_sym_SLASH_SLASH] = ACTIONS(2356),
    [anon_sym_PLUS] = ACTIONS(2356),
    [anon_sym_DASH] = ACTIONS(2356),
    [anon_sym_TILDE] = ACTIONS(2356),
    [anon_sym_BANG] = ACTIONS(2356),
    [anon_sym_PLUS_PLUS] = ACTIONS(2356),
    [anon_sym_DASH_DASH] = ACTIONS(2356),
    [anon_sym_BSLASH] = ACTIONS(2354),
    [anon_sym_do] = ACTIONS(2356),
    [anon_sym_eval] = ACTIONS(2356),
    [anon_sym_await] = ACTIONS(2356),
    [anon_sym_field] = ACTIONS(2356),
    [anon_sym_local] = ACTIONS(2356),
    [anon_sym_dynamically] = ACTIONS(2356),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2356),
    [anon_sym_require] = ACTIONS(2356),
    [anon_sym_map] = ACTIONS(2356),
    [anon_sym_grep] = ACTIONS(2356),
    [anon_sym_sort] = ACTIONS(2356),
    [anon_sym_goto] = ACTIONS(2356),
    [anon_sym_return] = ACTIONS(2356),
    [anon_sym_undef] = ACTIONS(2356),
    [anon_sym_PERCENT2] = ACTIONS(2356),
    [anon_sym_AMP2] = ACTIONS(2356),
    [anon_sym_STAR2] = ACTIONS(2356),
    [anon_sym_use] = ACTIONS(2356),
    [anon_sym_no] = ACTIONS(2356),
    [anon_sym_for] = ACTIONS(2356),
    [anon_sym_foreach] = ACTIONS(2356),
    [anon_sym_last] = ACTIONS(2356),
    [anon_sym_next] = ACTIONS(2356),
    [anon_sym_redo] = ACTIONS(2356),
    [anon_sym_BEGIN] = ACTIONS(2356),
    [anon_sym_INIT] = ACTIONS(2356),
    [anon_sym_CHECK] = ACTIONS(2356),
    [anon_sym_UNITCHECK] = ACTIONS(2356),
    [anon_sym_END] = ACTIONS(2356),
    [anon_sym___FILE__] = ACTIONS(2356),
    [anon_sym___LINE__] = ACTIONS(2356),
    [anon_sym___PACKAGE__] = ACTIONS(2356),
    [anon_sym___SUB__] = ACTIONS(2356),
    [anon_sym_break] = ACTIONS(2356),
    [anon_sym_fork] = ACTIONS(2356),
    [anon_sym_getppid] = ACTIONS(2356),
    [anon_sym_time] = ACTIONS(2356),
    [anon_sym_times] = ACTIONS(2356),
    [anon_sym_wait] = ACTIONS(2356),
    [anon_sym_wantarray] = ACTIONS(2356),
    [anon_sym_abs] = ACTIONS(2356),
    [anon_sym_alarm] = ACTIONS(2356),
    [anon_sym_chop] = ACTIONS(2356),
    [anon_sym_chdir] = ACTIONS(2356),
    [anon_sym_close] = ACTIONS(2356),
    [anon_sym_closedir] = ACTIONS(2356),
    [anon_sym_caller] = ACTIONS(2356),
    [anon_sym_chomp] = ACTIONS(2356),
    [anon_sym_chr] = ACTIONS(2356),
    [anon_sym_cos] = ACTIONS(2356),
    [anon_sym_chroot] = ACTIONS(2356),
    [anon_sym_defined] = ACTIONS(2356),
    [anon_sym_delete] = ACTIONS(2356),
    [anon_sym_dbmclose] = ACTIONS(2356),
    [anon_sym_exists] = ACTIONS(2356),
    [anon_sym_exit] = ACTIONS(2356),
    [anon_sym_eof] = ACTIONS(2356),
    [anon_sym_exp] = ACTIONS(2356),
    [anon_sym_each] = ACTIONS(2356),
    [anon_sym_fc] = ACTIONS(2356),
    [anon_sym_fileno] = ACTIONS(2356),
    [anon_sym_gmtime] = ACTIONS(2356),
    [anon_sym_getc] = ACTIONS(2356),
    [anon_sym_getpgrp] = ACTIONS(2356),
    [anon_sym_getprotobyname] = ACTIONS(2356),
    [anon_sym_getpwname] = ACTIONS(2356),
    [anon_sym_getpwuid] = ACTIONS(2356),
    [anon_sym_getpeername] = ACTIONS(2356),
    [anon_sym_getnetbyname] = ACTIONS(2356),
    [anon_sym_getsockname] = ACTIONS(2356),
    [anon_sym_getgrnam] = ACTIONS(2356),
    [anon_sym_getgrgid] = ACTIONS(2356),
    [anon_sym_hex] = ACTIONS(2356),
    [anon_sym_int] = ACTIONS(2356),
    [anon_sym_keys] = ACTIONS(2356),
    [anon_sym_lc] = ACTIONS(2356),
    [anon_sym_lcfirst] = ACTIONS(2356),
    [anon_sym_length] = ACTIONS(2356),
    [anon_sym_localtime] = ACTIONS(2356),
    [anon_sym_log] = ACTIONS(2356),
    [anon_sym_lock] = ACTIONS(2356),
    [anon_sym_lstat] = ACTIONS(2356),
    [anon_sym_oct] = ACTIONS(2356),
    [anon_sym_ord] = ACTIONS(2356),
    [anon_sym_prototype] = ACTIONS(2356),
    [anon_sym_pop] = ACTIONS(2356),
    [anon_sym_pos] = ACTIONS(2356),
    [anon_sym_quotemeta] = ACTIONS(2356),
    [anon_sym_reset] = ACTIONS(2356),
    [anon_sym_rand] = ACTIONS(2356),
    [anon_sym_rmdir] = ACTIONS(2356),
    [anon_sym_readdir] = ACTIONS(2356),
    [anon_sym_readline] = ACTIONS(2356),
    [anon_sym_readpipe] = ACTIONS(2356),
    [anon_sym_rewinddir] = ACTIONS(2356),
    [anon_sym_readlink] = ACTIONS(2356),
    [anon_sym_ref] = ACTIONS(2356),
    [anon_sym_scalar] = ACTIONS(2356),
    [anon_sym_shift] = ACTIONS(2356),
    [anon_sym_sin] = ACTIONS(2356),
    [anon_sym_sleep] = ACTIONS(2356),
    [anon_sym_sqrt] = ACTIONS(2356),
    [anon_sym_srand] = ACTIONS(2356),
    [anon_sym_stat] = ACTIONS(2356),
    [anon_sym_study] = ACTIONS(2356),
    [anon_sym_tell] = ACTIONS(2356),
    [anon_sym_telldir] = ACTIONS(2356),
    [anon_sym_tied] = ACTIONS(2356),
    [anon_sym_uc] = ACTIONS(2356),
    [anon_sym_ucfirst] = ACTIONS(2356),
    [anon_sym_untie] = ACTIONS(2356),
    [anon_sym_umask] = ACTIONS(2356),
    [anon_sym_values] = ACTIONS(2356),
    [anon_sym_write] = ACTIONS(2356),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2356),
    [anon_sym___END__] = ACTIONS(2356),
    [anon_sym_EOT] = ACTIONS(2356),
    [anon_sym_q] = ACTIONS(2356),
    [anon_sym_qq] = ACTIONS(2356),
    [anon_sym_qw] = ACTIONS(2356),
    [anon_sym_qx] = ACTIONS(2356),
    [anon_sym_qr] = ACTIONS(2356),
    [anon_sym_m] = ACTIONS(2356),
    [anon_sym_s] = ACTIONS(2356),
    [anon_sym_tr] = ACTIONS(2356),
    [anon_sym_y] = ACTIONS(2356),
    [anon_sym_if] = ACTIONS(2356),
    [anon_sym_unless] = ACTIONS(2356),
    [anon_sym_while] = ACTIONS(2356),
    [anon_sym_until] = ACTIONS(2356),
    [aux_sym__bareword_token1] = ACTIONS(2356),
    [sym_number] = ACTIONS(2356),
    [anon_sym_true] = ACTIONS(2356),
    [anon_sym_false] = ACTIONS(2356),
    [sym__single_quote] = ACTIONS(2354),
    [sym__double_quote] = ACTIONS(2354),
    [sym__backtick_quote] = ACTIONS(2354),
    [sym__search_slash_quote] = ACTIONS(2354),
    [sym__open_readline_bracket] = ACTIONS(2354),
    [sym__open_fileglob_bracket] = ACTIONS(2354),
    [sym__PERLY_HEREDOC] = ACTIONS(2354),
    [sym__ctrl_z_hack] = ACTIONS(2354),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2354),
    [sym__filetest] = ACTIONS(2354),
  },
  [981] = {
    [sym_heredoc_content] = STATE(981),
    [ts_builtin_sym_end] = ACTIONS(2358),
    [sym__identifier] = ACTIONS(2360),
    [anon_sym_LBRACE] = ACTIONS(2360),
    [anon_sym_SEMI] = ACTIONS(2360),
    [anon_sym_package] = ACTIONS(2360),
    [anon_sym_class] = ACTIONS(2360),
    [anon_sym_role] = ACTIONS(2360),
    [anon_sym_BUILD] = ACTIONS(2360),
    [anon_sym_ADJUST] = ACTIONS(2360),
    [anon_sym_DOLLAR] = ACTIONS(2360),
    [anon_sym_AT] = ACTIONS(2360),
    [anon_sym_my] = ACTIONS(2360),
    [anon_sym_extended] = ACTIONS(2360),
    [anon_sym_async] = ACTIONS(2360),
    [anon_sym_sub] = ACTIONS(2360),
    [anon_sym_method] = ACTIONS(2360),
    [anon_sym_LPAREN] = ACTIONS(2360),
    [anon_sym_continue] = ACTIONS(2360),
    [anon_sym_state] = ACTIONS(2360),
    [anon_sym_our] = ACTIONS(2360),
    [anon_sym_try] = ACTIONS(2360),
    [anon_sym_defer] = ACTIONS(2360),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2360),
    [anon_sym_LBRACK] = ACTIONS(2360),
    [anon_sym_LT_LT] = ACTIONS(2360),
    [anon_sym_SLASH_SLASH] = ACTIONS(2360),
    [anon_sym_PLUS] = ACTIONS(2360),
    [anon_sym_DASH] = ACTIONS(2360),
    [anon_sym_TILDE] = ACTIONS(2360),
    [anon_sym_BANG] = ACTIONS(2360),
    [anon_sym_PLUS_PLUS] = ACTIONS(2360),
    [anon_sym_DASH_DASH] = ACTIONS(2360),
    [anon_sym_BSLASH] = ACTIONS(2358),
    [anon_sym_do] = ACTIONS(2360),
    [anon_sym_eval] = ACTIONS(2360),
    [anon_sym_await] = ACTIONS(2360),
    [anon_sym_field] = ACTIONS(2360),
    [anon_sym_local] = ACTIONS(2360),
    [anon_sym_dynamically] = ACTIONS(2360),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2360),
    [anon_sym_require] = ACTIONS(2360),
    [anon_sym_map] = ACTIONS(2360),
    [anon_sym_grep] = ACTIONS(2360),
    [anon_sym_sort] = ACTIONS(2360),
    [anon_sym_goto] = ACTIONS(2360),
    [anon_sym_return] = ACTIONS(2360),
    [anon_sym_undef] = ACTIONS(2360),
    [anon_sym_PERCENT2] = ACTIONS(2360),
    [anon_sym_AMP2] = ACTIONS(2360),
    [anon_sym_STAR2] = ACTIONS(2360),
    [anon_sym_use] = ACTIONS(2360),
    [anon_sym_no] = ACTIONS(2360),
    [anon_sym_for] = ACTIONS(2360),
    [anon_sym_foreach] = ACTIONS(2360),
    [anon_sym_last] = ACTIONS(2360),
    [anon_sym_next] = ACTIONS(2360),
    [anon_sym_redo] = ACTIONS(2360),
    [anon_sym_BEGIN] = ACTIONS(2360),
    [anon_sym_INIT] = ACTIONS(2360),
    [anon_sym_CHECK] = ACTIONS(2360),
    [anon_sym_UNITCHECK] = ACTIONS(2360),
    [anon_sym_END] = ACTIONS(2360),
    [anon_sym___FILE__] = ACTIONS(2360),
    [anon_sym___LINE__] = ACTIONS(2360),
    [anon_sym___PACKAGE__] = ACTIONS(2360),
    [anon_sym___SUB__] = ACTIONS(2360),
    [anon_sym_break] = ACTIONS(2360),
    [anon_sym_fork] = ACTIONS(2360),
    [anon_sym_getppid] = ACTIONS(2360),
    [anon_sym_time] = ACTIONS(2360),
    [anon_sym_times] = ACTIONS(2360),
    [anon_sym_wait] = ACTIONS(2360),
    [anon_sym_wantarray] = ACTIONS(2360),
    [anon_sym_abs] = ACTIONS(2360),
    [anon_sym_alarm] = ACTIONS(2360),
    [anon_sym_chop] = ACTIONS(2360),
    [anon_sym_chdir] = ACTIONS(2360),
    [anon_sym_close] = ACTIONS(2360),
    [anon_sym_closedir] = ACTIONS(2360),
    [anon_sym_caller] = ACTIONS(2360),
    [anon_sym_chomp] = ACTIONS(2360),
    [anon_sym_chr] = ACTIONS(2360),
    [anon_sym_cos] = ACTIONS(2360),
    [anon_sym_chroot] = ACTIONS(2360),
    [anon_sym_defined] = ACTIONS(2360),
    [anon_sym_delete] = ACTIONS(2360),
    [anon_sym_dbmclose] = ACTIONS(2360),
    [anon_sym_exists] = ACTIONS(2360),
    [anon_sym_exit] = ACTIONS(2360),
    [anon_sym_eof] = ACTIONS(2360),
    [anon_sym_exp] = ACTIONS(2360),
    [anon_sym_each] = ACTIONS(2360),
    [anon_sym_fc] = ACTIONS(2360),
    [anon_sym_fileno] = ACTIONS(2360),
    [anon_sym_gmtime] = ACTIONS(2360),
    [anon_sym_getc] = ACTIONS(2360),
    [anon_sym_getpgrp] = ACTIONS(2360),
    [anon_sym_getprotobyname] = ACTIONS(2360),
    [anon_sym_getpwname] = ACTIONS(2360),
    [anon_sym_getpwuid] = ACTIONS(2360),
    [anon_sym_getpeername] = ACTIONS(2360),
    [anon_sym_getnetbyname] = ACTIONS(2360),
    [anon_sym_getsockname] = ACTIONS(2360),
    [anon_sym_getgrnam] = ACTIONS(2360),
    [anon_sym_getgrgid] = ACTIONS(2360),
    [anon_sym_hex] = ACTIONS(2360),
    [anon_sym_int] = ACTIONS(2360),
    [anon_sym_keys] = ACTIONS(2360),
    [anon_sym_lc] = ACTIONS(2360),
    [anon_sym_lcfirst] = ACTIONS(2360),
    [anon_sym_length] = ACTIONS(2360),
    [anon_sym_localtime] = ACTIONS(2360),
    [anon_sym_log] = ACTIONS(2360),
    [anon_sym_lock] = ACTIONS(2360),
    [anon_sym_lstat] = ACTIONS(2360),
    [anon_sym_oct] = ACTIONS(2360),
    [anon_sym_ord] = ACTIONS(2360),
    [anon_sym_prototype] = ACTIONS(2360),
    [anon_sym_pop] = ACTIONS(2360),
    [anon_sym_pos] = ACTIONS(2360),
    [anon_sym_quotemeta] = ACTIONS(2360),
    [anon_sym_reset] = ACTIONS(2360),
    [anon_sym_rand] = ACTIONS(2360),
    [anon_sym_rmdir] = ACTIONS(2360),
    [anon_sym_readdir] = ACTIONS(2360),
    [anon_sym_readline] = ACTIONS(2360),
    [anon_sym_readpipe] = ACTIONS(2360),
    [anon_sym_rewinddir] = ACTIONS(2360),
    [anon_sym_readlink] = ACTIONS(2360),
    [anon_sym_ref] = ACTIONS(2360),
    [anon_sym_scalar] = ACTIONS(2360),
    [anon_sym_shift] = ACTIONS(2360),
    [anon_sym_sin] = ACTIONS(2360),
    [anon_sym_sleep] = ACTIONS(2360),
    [anon_sym_sqrt] = ACTIONS(2360),
    [anon_sym_srand] = ACTIONS(2360),
    [anon_sym_stat] = ACTIONS(2360),
    [anon_sym_study] = ACTIONS(2360),
    [anon_sym_tell] = ACTIONS(2360),
    [anon_sym_telldir] = ACTIONS(2360),
    [anon_sym_tied] = ACTIONS(2360),
    [anon_sym_uc] = ACTIONS(2360),
    [anon_sym_ucfirst] = ACTIONS(2360),
    [anon_sym_untie] = ACTIONS(2360),
    [anon_sym_umask] = ACTIONS(2360),
    [anon_sym_values] = ACTIONS(2360),
    [anon_sym_write] = ACTIONS(2360),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2360),
    [anon_sym___END__] = ACTIONS(2360),
    [anon_sym_EOT] = ACTIONS(2360),
    [anon_sym_q] = ACTIONS(2360),
    [anon_sym_qq] = ACTIONS(2360),
    [anon_sym_qw] = ACTIONS(2360),
    [anon_sym_qx] = ACTIONS(2360),
    [anon_sym_qr] = ACTIONS(2360),
    [anon_sym_m] = ACTIONS(2360),
    [anon_sym_s] = ACTIONS(2360),
    [anon_sym_tr] = ACTIONS(2360),
    [anon_sym_y] = ACTIONS(2360),
    [anon_sym_if] = ACTIONS(2360),
    [anon_sym_unless] = ACTIONS(2360),
    [anon_sym_while] = ACTIONS(2360),
    [anon_sym_until] = ACTIONS(2360),
    [aux_sym__bareword_token1] = ACTIONS(2360),
    [sym_number] = ACTIONS(2360),
    [anon_sym_true] = ACTIONS(2360),
    [anon_sym_false] = ACTIONS(2360),
    [sym__single_quote] = ACTIONS(2358),
    [sym__double_quote] = ACTIONS(2358),
    [sym__backtick_quote] = ACTIONS(2358),
    [sym__search_slash_quote] = ACTIONS(2358),
    [sym__open_readline_bracket] = ACTIONS(2358),
    [sym__open_fileglob_bracket] = ACTIONS(2358),
    [sym__PERLY_HEREDOC] = ACTIONS(2358),
    [sym__ctrl_z_hack] = ACTIONS(2358),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2358),
    [sym__filetest] = ACTIONS(2358),
  },
  [982] = {
    [sym_heredoc_content] = STATE(982),
    [ts_builtin_sym_end] = ACTIONS(2362),
    [sym__identifier] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2364),
    [anon_sym_package] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_role] = ACTIONS(2364),
    [anon_sym_BUILD] = ACTIONS(2364),
    [anon_sym_ADJUST] = ACTIONS(2364),
    [anon_sym_DOLLAR] = ACTIONS(2364),
    [anon_sym_AT] = ACTIONS(2364),
    [anon_sym_my] = ACTIONS(2364),
    [anon_sym_extended] = ACTIONS(2364),
    [anon_sym_async] = ACTIONS(2364),
    [anon_sym_sub] = ACTIONS(2364),
    [anon_sym_method] = ACTIONS(2364),
    [anon_sym_LPAREN] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_state] = ACTIONS(2364),
    [anon_sym_our] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_defer] = ACTIONS(2364),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_LT_LT] = ACTIONS(2364),
    [anon_sym_SLASH_SLASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_TILDE] = ACTIONS(2364),
    [anon_sym_BANG] = ACTIONS(2364),
    [anon_sym_PLUS_PLUS] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2364),
    [anon_sym_BSLASH] = ACTIONS(2362),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_eval] = ACTIONS(2364),
    [anon_sym_await] = ACTIONS(2364),
    [anon_sym_field] = ACTIONS(2364),
    [anon_sym_local] = ACTIONS(2364),
    [anon_sym_dynamically] = ACTIONS(2364),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2364),
    [anon_sym_require] = ACTIONS(2364),
    [anon_sym_map] = ACTIONS(2364),
    [anon_sym_grep] = ACTIONS(2364),
    [anon_sym_sort] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_undef] = ACTIONS(2364),
    [anon_sym_PERCENT2] = ACTIONS(2364),
    [anon_sym_AMP2] = ACTIONS(2364),
    [anon_sym_STAR2] = ACTIONS(2364),
    [anon_sym_use] = ACTIONS(2364),
    [anon_sym_no] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_foreach] = ACTIONS(2364),
    [anon_sym_last] = ACTIONS(2364),
    [anon_sym_next] = ACTIONS(2364),
    [anon_sym_redo] = ACTIONS(2364),
    [anon_sym_BEGIN] = ACTIONS(2364),
    [anon_sym_INIT] = ACTIONS(2364),
    [anon_sym_CHECK] = ACTIONS(2364),
    [anon_sym_UNITCHECK] = ACTIONS(2364),
    [anon_sym_END] = ACTIONS(2364),
    [anon_sym___FILE__] = ACTIONS(2364),
    [anon_sym___LINE__] = ACTIONS(2364),
    [anon_sym___PACKAGE__] = ACTIONS(2364),
    [anon_sym___SUB__] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_fork] = ACTIONS(2364),
    [anon_sym_getppid] = ACTIONS(2364),
    [anon_sym_time] = ACTIONS(2364),
    [anon_sym_times] = ACTIONS(2364),
    [anon_sym_wait] = ACTIONS(2364),
    [anon_sym_wantarray] = ACTIONS(2364),
    [anon_sym_abs] = ACTIONS(2364),
    [anon_sym_alarm] = ACTIONS(2364),
    [anon_sym_chop] = ACTIONS(2364),
    [anon_sym_chdir] = ACTIONS(2364),
    [anon_sym_close] = ACTIONS(2364),
    [anon_sym_closedir] = ACTIONS(2364),
    [anon_sym_caller] = ACTIONS(2364),
    [anon_sym_chomp] = ACTIONS(2364),
    [anon_sym_chr] = ACTIONS(2364),
    [anon_sym_cos] = ACTIONS(2364),
    [anon_sym_chroot] = ACTIONS(2364),
    [anon_sym_defined] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_dbmclose] = ACTIONS(2364),
    [anon_sym_exists] = ACTIONS(2364),
    [anon_sym_exit] = ACTIONS(2364),
    [anon_sym_eof] = ACTIONS(2364),
    [anon_sym_exp] = ACTIONS(2364),
    [anon_sym_each] = ACTIONS(2364),
    [anon_sym_fc] = ACTIONS(2364),
    [anon_sym_fileno] = ACTIONS(2364),
    [anon_sym_gmtime] = ACTIONS(2364),
    [anon_sym_getc] = ACTIONS(2364),
    [anon_sym_getpgrp] = ACTIONS(2364),
    [anon_sym_getprotobyname] = ACTIONS(2364),
    [anon_sym_getpwname] = ACTIONS(2364),
    [anon_sym_getpwuid] = ACTIONS(2364),
    [anon_sym_getpeername] = ACTIONS(2364),
    [anon_sym_getnetbyname] = ACTIONS(2364),
    [anon_sym_getsockname] = ACTIONS(2364),
    [anon_sym_getgrnam] = ACTIONS(2364),
    [anon_sym_getgrgid] = ACTIONS(2364),
    [anon_sym_hex] = ACTIONS(2364),
    [anon_sym_int] = ACTIONS(2364),
    [anon_sym_keys] = ACTIONS(2364),
    [anon_sym_lc] = ACTIONS(2364),
    [anon_sym_lcfirst] = ACTIONS(2364),
    [anon_sym_length] = ACTIONS(2364),
    [anon_sym_localtime] = ACTIONS(2364),
    [anon_sym_log] = ACTIONS(2364),
    [anon_sym_lock] = ACTIONS(2364),
    [anon_sym_lstat] = ACTIONS(2364),
    [anon_sym_oct] = ACTIONS(2364),
    [anon_sym_ord] = ACTIONS(2364),
    [anon_sym_prototype] = ACTIONS(2364),
    [anon_sym_pop] = ACTIONS(2364),
    [anon_sym_pos] = ACTIONS(2364),
    [anon_sym_quotemeta] = ACTIONS(2364),
    [anon_sym_reset] = ACTIONS(2364),
    [anon_sym_rand] = ACTIONS(2364),
    [anon_sym_rmdir] = ACTIONS(2364),
    [anon_sym_readdir] = ACTIONS(2364),
    [anon_sym_readline] = ACTIONS(2364),
    [anon_sym_readpipe] = ACTIONS(2364),
    [anon_sym_rewinddir] = ACTIONS(2364),
    [anon_sym_readlink] = ACTIONS(2364),
    [anon_sym_ref] = ACTIONS(2364),
    [anon_sym_scalar] = ACTIONS(2364),
    [anon_sym_shift] = ACTIONS(2364),
    [anon_sym_sin] = ACTIONS(2364),
    [anon_sym_sleep] = ACTIONS(2364),
    [anon_sym_sqrt] = ACTIONS(2364),
    [anon_sym_srand] = ACTIONS(2364),
    [anon_sym_stat] = ACTIONS(2364),
    [anon_sym_study] = ACTIONS(2364),
    [anon_sym_tell] = ACTIONS(2364),
    [anon_sym_telldir] = ACTIONS(2364),
    [anon_sym_tied] = ACTIONS(2364),
    [anon_sym_uc] = ACTIONS(2364),
    [anon_sym_ucfirst] = ACTIONS(2364),
    [anon_sym_untie] = ACTIONS(2364),
    [anon_sym_umask] = ACTIONS(2364),
    [anon_sym_values] = ACTIONS(2364),
    [anon_sym_write] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2364),
    [anon_sym___END__] = ACTIONS(2364),
    [anon_sym_EOT] = ACTIONS(2364),
    [anon_sym_q] = ACTIONS(2364),
    [anon_sym_qq] = ACTIONS(2364),
    [anon_sym_qw] = ACTIONS(2364),
    [anon_sym_qx] = ACTIONS(2364),
    [anon_sym_qr] = ACTIONS(2364),
    [anon_sym_m] = ACTIONS(2364),
    [anon_sym_s] = ACTIONS(2364),
    [anon_sym_tr] = ACTIONS(2364),
    [anon_sym_y] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_unless] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_until] = ACTIONS(2364),
    [aux_sym__bareword_token1] = ACTIONS(2364),
    [sym_number] = ACTIONS(2364),
    [anon_sym_true] = ACTIONS(2364),
    [anon_sym_false] = ACTIONS(2364),
    [sym__single_quote] = ACTIONS(2362),
    [sym__double_quote] = ACTIONS(2362),
    [sym__backtick_quote] = ACTIONS(2362),
    [sym__search_slash_quote] = ACTIONS(2362),
    [sym__open_readline_bracket] = ACTIONS(2362),
    [sym__open_fileglob_bracket] = ACTIONS(2362),
    [sym__PERLY_HEREDOC] = ACTIONS(2362),
    [sym__ctrl_z_hack] = ACTIONS(2362),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2362),
    [sym__filetest] = ACTIONS(2362),
  },
  [983] = {
    [sym_heredoc_content] = STATE(983),
    [ts_builtin_sym_end] = ACTIONS(2366),
    [sym__identifier] = ACTIONS(2368),
    [anon_sym_LBRACE] = ACTIONS(2368),
    [anon_sym_SEMI] = ACTIONS(2368),
    [anon_sym_package] = ACTIONS(2368),
    [anon_sym_class] = ACTIONS(2368),
    [anon_sym_role] = ACTIONS(2368),
    [anon_sym_BUILD] = ACTIONS(2368),
    [anon_sym_ADJUST] = ACTIONS(2368),
    [anon_sym_DOLLAR] = ACTIONS(2368),
    [anon_sym_AT] = ACTIONS(2368),
    [anon_sym_my] = ACTIONS(2368),
    [anon_sym_extended] = ACTIONS(2368),
    [anon_sym_async] = ACTIONS(2368),
    [anon_sym_sub] = ACTIONS(2368),
    [anon_sym_method] = ACTIONS(2368),
    [anon_sym_LPAREN] = ACTIONS(2368),
    [anon_sym_continue] = ACTIONS(2368),
    [anon_sym_state] = ACTIONS(2368),
    [anon_sym_our] = ACTIONS(2368),
    [anon_sym_try] = ACTIONS(2368),
    [anon_sym_defer] = ACTIONS(2368),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2368),
    [anon_sym_LBRACK] = ACTIONS(2368),
    [anon_sym_LT_LT] = ACTIONS(2368),
    [anon_sym_SLASH_SLASH] = ACTIONS(2368),
    [anon_sym_PLUS] = ACTIONS(2368),
    [anon_sym_DASH] = ACTIONS(2368),
    [anon_sym_TILDE] = ACTIONS(2368),
    [anon_sym_BANG] = ACTIONS(2368),
    [anon_sym_PLUS_PLUS] = ACTIONS(2368),
    [anon_sym_DASH_DASH] = ACTIONS(2368),
    [anon_sym_BSLASH] = ACTIONS(2366),
    [anon_sym_do] = ACTIONS(2368),
    [anon_sym_eval] = ACTIONS(2368),
    [anon_sym_await] = ACTIONS(2368),
    [anon_sym_field] = ACTIONS(2368),
    [anon_sym_local] = ACTIONS(2368),
    [anon_sym_dynamically] = ACTIONS(2368),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2368),
    [anon_sym_require] = ACTIONS(2368),
    [anon_sym_map] = ACTIONS(2368),
    [anon_sym_grep] = ACTIONS(2368),
    [anon_sym_sort] = ACTIONS(2368),
    [anon_sym_goto] = ACTIONS(2368),
    [anon_sym_return] = ACTIONS(2368),
    [anon_sym_undef] = ACTIONS(2368),
    [anon_sym_PERCENT2] = ACTIONS(2368),
    [anon_sym_AMP2] = ACTIONS(2368),
    [anon_sym_STAR2] = ACTIONS(2368),
    [anon_sym_use] = ACTIONS(2368),
    [anon_sym_no] = ACTIONS(2368),
    [anon_sym_for] = ACTIONS(2368),
    [anon_sym_foreach] = ACTIONS(2368),
    [anon_sym_last] = ACTIONS(2368),
    [anon_sym_next] = ACTIONS(2368),
    [anon_sym_redo] = ACTIONS(2368),
    [anon_sym_BEGIN] = ACTIONS(2368),
    [anon_sym_INIT] = ACTIONS(2368),
    [anon_sym_CHECK] = ACTIONS(2368),
    [anon_sym_UNITCHECK] = ACTIONS(2368),
    [anon_sym_END] = ACTIONS(2368),
    [anon_sym___FILE__] = ACTIONS(2368),
    [anon_sym___LINE__] = ACTIONS(2368),
    [anon_sym___PACKAGE__] = ACTIONS(2368),
    [anon_sym___SUB__] = ACTIONS(2368),
    [anon_sym_break] = ACTIONS(2368),
    [anon_sym_fork] = ACTIONS(2368),
    [anon_sym_getppid] = ACTIONS(2368),
    [anon_sym_time] = ACTIONS(2368),
    [anon_sym_times] = ACTIONS(2368),
    [anon_sym_wait] = ACTIONS(2368),
    [anon_sym_wantarray] = ACTIONS(2368),
    [anon_sym_abs] = ACTIONS(2368),
    [anon_sym_alarm] = ACTIONS(2368),
    [anon_sym_chop] = ACTIONS(2368),
    [anon_sym_chdir] = ACTIONS(2368),
    [anon_sym_close] = ACTIONS(2368),
    [anon_sym_closedir] = ACTIONS(2368),
    [anon_sym_caller] = ACTIONS(2368),
    [anon_sym_chomp] = ACTIONS(2368),
    [anon_sym_chr] = ACTIONS(2368),
    [anon_sym_cos] = ACTIONS(2368),
    [anon_sym_chroot] = ACTIONS(2368),
    [anon_sym_defined] = ACTIONS(2368),
    [anon_sym_delete] = ACTIONS(2368),
    [anon_sym_dbmclose] = ACTIONS(2368),
    [anon_sym_exists] = ACTIONS(2368),
    [anon_sym_exit] = ACTIONS(2368),
    [anon_sym_eof] = ACTIONS(2368),
    [anon_sym_exp] = ACTIONS(2368),
    [anon_sym_each] = ACTIONS(2368),
    [anon_sym_fc] = ACTIONS(2368),
    [anon_sym_fileno] = ACTIONS(2368),
    [anon_sym_gmtime] = ACTIONS(2368),
    [anon_sym_getc] = ACTIONS(2368),
    [anon_sym_getpgrp] = ACTIONS(2368),
    [anon_sym_getprotobyname] = ACTIONS(2368),
    [anon_sym_getpwname] = ACTIONS(2368),
    [anon_sym_getpwuid] = ACTIONS(2368),
    [anon_sym_getpeername] = ACTIONS(2368),
    [anon_sym_getnetbyname] = ACTIONS(2368),
    [anon_sym_getsockname] = ACTIONS(2368),
    [anon_sym_getgrnam] = ACTIONS(2368),
    [anon_sym_getgrgid] = ACTIONS(2368),
    [anon_sym_hex] = ACTIONS(2368),
    [anon_sym_int] = ACTIONS(2368),
    [anon_sym_keys] = ACTIONS(2368),
    [anon_sym_lc] = ACTIONS(2368),
    [anon_sym_lcfirst] = ACTIONS(2368),
    [anon_sym_length] = ACTIONS(2368),
    [anon_sym_localtime] = ACTIONS(2368),
    [anon_sym_log] = ACTIONS(2368),
    [anon_sym_lock] = ACTIONS(2368),
    [anon_sym_lstat] = ACTIONS(2368),
    [anon_sym_oct] = ACTIONS(2368),
    [anon_sym_ord] = ACTIONS(2368),
    [anon_sym_prototype] = ACTIONS(2368),
    [anon_sym_pop] = ACTIONS(2368),
    [anon_sym_pos] = ACTIONS(2368),
    [anon_sym_quotemeta] = ACTIONS(2368),
    [anon_sym_reset] = ACTIONS(2368),
    [anon_sym_rand] = ACTIONS(2368),
    [anon_sym_rmdir] = ACTIONS(2368),
    [anon_sym_readdir] = ACTIONS(2368),
    [anon_sym_readline] = ACTIONS(2368),
    [anon_sym_readpipe] = ACTIONS(2368),
    [anon_sym_rewinddir] = ACTIONS(2368),
    [anon_sym_readlink] = ACTIONS(2368),
    [anon_sym_ref] = ACTIONS(2368),
    [anon_sym_scalar] = ACTIONS(2368),
    [anon_sym_shift] = ACTIONS(2368),
    [anon_sym_sin] = ACTIONS(2368),
    [anon_sym_sleep] = ACTIONS(2368),
    [anon_sym_sqrt] = ACTIONS(2368),
    [anon_sym_srand] = ACTIONS(2368),
    [anon_sym_stat] = ACTIONS(2368),
    [anon_sym_study] = ACTIONS(2368),
    [anon_sym_tell] = ACTIONS(2368),
    [anon_sym_telldir] = ACTIONS(2368),
    [anon_sym_tied] = ACTIONS(2368),
    [anon_sym_uc] = ACTIONS(2368),
    [anon_sym_ucfirst] = ACTIONS(2368),
    [anon_sym_untie] = ACTIONS(2368),
    [anon_sym_umask] = ACTIONS(2368),
    [anon_sym_values] = ACTIONS(2368),
    [anon_sym_write] = ACTIONS(2368),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2368),
    [anon_sym___END__] = ACTIONS(2368),
    [anon_sym_EOT] = ACTIONS(2368),
    [anon_sym_q] = ACTIONS(2368),
    [anon_sym_qq] = ACTIONS(2368),
    [anon_sym_qw] = ACTIONS(2368),
    [anon_sym_qx] = ACTIONS(2368),
    [anon_sym_qr] = ACTIONS(2368),
    [anon_sym_m] = ACTIONS(2368),
    [anon_sym_s] = ACTIONS(2368),
    [anon_sym_tr] = ACTIONS(2368),
    [anon_sym_y] = ACTIONS(2368),
    [anon_sym_if] = ACTIONS(2368),
    [anon_sym_unless] = ACTIONS(2368),
    [anon_sym_while] = ACTIONS(2368),
    [anon_sym_until] = ACTIONS(2368),
    [aux_sym__bareword_token1] = ACTIONS(2368),
    [sym_number] = ACTIONS(2368),
    [anon_sym_true] = ACTIONS(2368),
    [anon_sym_false] = ACTIONS(2368),
    [sym__single_quote] = ACTIONS(2366),
    [sym__double_quote] = ACTIONS(2366),
    [sym__backtick_quote] = ACTIONS(2366),
    [sym__search_slash_quote] = ACTIONS(2366),
    [sym__open_readline_bracket] = ACTIONS(2366),
    [sym__open_fileglob_bracket] = ACTIONS(2366),
    [sym__PERLY_HEREDOC] = ACTIONS(2366),
    [sym__ctrl_z_hack] = ACTIONS(2366),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2366),
    [sym__filetest] = ACTIONS(2366),
  },
  [984] = {
    [sym_heredoc_content] = STATE(984),
    [sym__identifier] = ACTIONS(2370),
    [anon_sym_LBRACE] = ACTIONS(2370),
    [anon_sym_RBRACE] = ACTIONS(2370),
    [anon_sym_SEMI] = ACTIONS(2370),
    [anon_sym_package] = ACTIONS(2370),
    [anon_sym_class] = ACTIONS(2370),
    [anon_sym_role] = ACTIONS(2370),
    [anon_sym_BUILD] = ACTIONS(2370),
    [anon_sym_ADJUST] = ACTIONS(2370),
    [anon_sym_DOLLAR] = ACTIONS(2370),
    [anon_sym_AT] = ACTIONS(2370),
    [anon_sym_my] = ACTIONS(2370),
    [anon_sym_extended] = ACTIONS(2370),
    [anon_sym_async] = ACTIONS(2370),
    [anon_sym_sub] = ACTIONS(2370),
    [anon_sym_method] = ACTIONS(2370),
    [anon_sym_LPAREN] = ACTIONS(2370),
    [anon_sym_continue] = ACTIONS(2370),
    [anon_sym_state] = ACTIONS(2370),
    [anon_sym_our] = ACTIONS(2370),
    [anon_sym_try] = ACTIONS(2370),
    [anon_sym_defer] = ACTIONS(2370),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2370),
    [anon_sym_LBRACK] = ACTIONS(2370),
    [anon_sym_LT_LT] = ACTIONS(2370),
    [anon_sym_SLASH_SLASH] = ACTIONS(2370),
    [anon_sym_PLUS] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2370),
    [anon_sym_TILDE] = ACTIONS(2370),
    [anon_sym_BANG] = ACTIONS(2370),
    [anon_sym_PLUS_PLUS] = ACTIONS(2370),
    [anon_sym_DASH_DASH] = ACTIONS(2370),
    [anon_sym_BSLASH] = ACTIONS(2370),
    [anon_sym_do] = ACTIONS(2370),
    [anon_sym_eval] = ACTIONS(2370),
    [anon_sym_await] = ACTIONS(2370),
    [anon_sym_field] = ACTIONS(2370),
    [anon_sym_local] = ACTIONS(2370),
    [anon_sym_dynamically] = ACTIONS(2370),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2370),
    [anon_sym_require] = ACTIONS(2370),
    [anon_sym_map] = ACTIONS(2370),
    [anon_sym_grep] = ACTIONS(2370),
    [anon_sym_sort] = ACTIONS(2370),
    [anon_sym_goto] = ACTIONS(2370),
    [anon_sym_return] = ACTIONS(2370),
    [anon_sym_undef] = ACTIONS(2370),
    [anon_sym_PERCENT2] = ACTIONS(2370),
    [anon_sym_AMP2] = ACTIONS(2370),
    [anon_sym_STAR2] = ACTIONS(2370),
    [aux_sym__var_indirob_autoquote_token1] = ACTIONS(2370),
    [anon_sym_use] = ACTIONS(2370),
    [anon_sym_no] = ACTIONS(2370),
    [anon_sym_for] = ACTIONS(2370),
    [anon_sym_foreach] = ACTIONS(2370),
    [anon_sym_last] = ACTIONS(2370),
    [anon_sym_next] = ACTIONS(2370),
    [anon_sym_redo] = ACTIONS(2370),
    [anon_sym_BEGIN] = ACTIONS(2370),
    [anon_sym_INIT] = ACTIONS(2370),
    [anon_sym_CHECK] = ACTIONS(2370),
    [anon_sym_UNITCHECK] = ACTIONS(2370),
    [anon_sym_END] = ACTIONS(2370),
    [anon_sym___FILE__] = ACTIONS(2370),
    [anon_sym___LINE__] = ACTIONS(2370),
    [anon_sym___PACKAGE__] = ACTIONS(2370),
    [anon_sym___SUB__] = ACTIONS(2370),
    [anon_sym_break] = ACTIONS(2370),
    [anon_sym_fork] = ACTIONS(2370),
    [anon_sym_getppid] = ACTIONS(2370),
    [anon_sym_time] = ACTIONS(2370),
    [anon_sym_times] = ACTIONS(2370),
    [anon_sym_wait] = ACTIONS(2370),
    [anon_sym_wantarray] = ACTIONS(2370),
    [anon_sym_abs] = ACTIONS(2370),
    [anon_sym_alarm] = ACTIONS(2370),
    [anon_sym_chop] = ACTIONS(2370),
    [anon_sym_chdir] = ACTIONS(2370),
    [anon_sym_close] = ACTIONS(2370),
    [anon_sym_closedir] = ACTIONS(2370),
    [anon_sym_caller] = ACTIONS(2370),
    [anon_sym_chomp] = ACTIONS(2370),
    [anon_sym_chr] = ACTIONS(2370),
    [anon_sym_cos] = ACTIONS(2370),
    [anon_sym_chroot] = ACTIONS(2370),
    [anon_sym_defined] = ACTIONS(2370),
    [anon_sym_delete] = ACTIONS(2370),
    [anon_sym_dbmclose] = ACTIONS(2370),
    [anon_sym_exists] = ACTIONS(2370),
    [anon_sym_exit] = ACTIONS(2370),
    [anon_sym_eof] = ACTIONS(2370),
    [anon_sym_exp] = ACTIONS(2370),
    [anon_sym_each] = ACTIONS(2370),
    [anon_sym_fc] = ACTIONS(2370),
    [anon_sym_fileno] = ACTIONS(2370),
    [anon_sym_gmtime] = ACTIONS(2370),
    [anon_sym_getc] = ACTIONS(2370),
    [anon_sym_getpgrp] = ACTIONS(2370),
    [anon_sym_getprotobyname] = ACTIONS(2370),
    [anon_sym_getpwname] = ACTIONS(2370),
    [anon_sym_getpwuid] = ACTIONS(2370),
    [anon_sym_getpeername] = ACTIONS(2370),
    [anon_sym_getnetbyname] = ACTIONS(2370),
    [anon_sym_getsockname] = ACTIONS(2370),
    [anon_sym_getgrnam] = ACTIONS(2370),
    [anon_sym_getgrgid] = ACTIONS(2370),
    [anon_sym_hex] = ACTIONS(2370),
    [anon_sym_int] = ACTIONS(2370),
    [anon_sym_keys] = ACTIONS(2370),
    [anon_sym_lc] = ACTIONS(2370),
    [anon_sym_lcfirst] = ACTIONS(2370),
    [anon_sym_length] = ACTIONS(2370),
    [anon_sym_localtime] = ACTIONS(2370),
    [anon_sym_log] = ACTIONS(2370),
    [anon_sym_lock] = ACTIONS(2370),
    [anon_sym_lstat] = ACTIONS(2370),
    [anon_sym_oct] = ACTIONS(2370),
    [anon_sym_ord] = ACTIONS(2370),
    [anon_sym_prototype] = ACTIONS(2370),
    [anon_sym_pop] = ACTIONS(2370),
    [anon_sym_pos] = ACTIONS(2370),
    [anon_sym_quotemeta] = ACTIONS(2370),
    [anon_sym_reset] = ACTIONS(2370),
    [anon_sym_rand] = ACTIONS(2370),
    [anon_sym_rmdir] = ACTIONS(2370),
    [anon_sym_readdir] = ACTIONS(2370),
    [anon_sym_readline] = ACTIONS(2370),
    [anon_sym_readpipe] = ACTIONS(2370),
    [anon_sym_rewinddir] = ACTIONS(2370),
    [anon_sym_readlink] = ACTIONS(2370),
    [anon_sym_ref] = ACTIONS(2370),
    [anon_sym_scalar] = ACTIONS(2370),
    [anon_sym_shift] = ACTIONS(2370),
    [anon_sym_sin] = ACTIONS(2370),
    [anon_sym_sleep] = ACTIONS(2370),
    [anon_sym_sqrt] = ACTIONS(2370),
    [anon_sym_srand] = ACTIONS(2370),
    [anon_sym_stat] = ACTIONS(2370),
    [anon_sym_study] = ACTIONS(2370),
    [anon_sym_tell] = ACTIONS(2370),
    [anon_sym_telldir] = ACTIONS(2370),
    [anon_sym_tied] = ACTIONS(2370),
    [anon_sym_uc] = ACTIONS(2370),
    [anon_sym_ucfirst] = ACTIONS(2370),
    [anon_sym_untie] = ACTIONS(2370),
    [anon_sym_umask] = ACTIONS(2370),
    [anon_sym_values] = ACTIONS(2370),
    [anon_sym_write] = ACTIONS(2370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2370),
    [anon_sym_qq] = ACTIONS(2370),
    [anon_sym_qw] = ACTIONS(2370),
    [anon_sym_qx] = ACTIONS(2370),
    [anon_sym_qr] = ACTIONS(2370),
    [anon_sym_m] = ACTIONS(2370),
    [anon_sym_s] = ACTIONS(2370),
    [anon_sym_tr] = ACTIONS(2370),
    [anon_sym_y] = ACTIONS(2370),
    [anon_sym_if] = ACTIONS(2370),
    [anon_sym_unless] = ACTIONS(2370),
    [anon_sym_while] = ACTIONS(2370),
    [anon_sym_until] = ACTIONS(2370),
    [aux_sym__ident_special_token1] = ACTIONS(2370),
    [aux_sym__bareword_token1] = ACTIONS(2370),
    [sym_number] = ACTIONS(2370),
    [anon_sym_true] = ACTIONS(2370),
    [anon_sym_false] = ACTIONS(2370),
    [sym__single_quote] = ACTIONS(2372),
    [sym__double_quote] = ACTIONS(2372),
    [sym__backtick_quote] = ACTIONS(2372),
    [sym__search_slash_quote] = ACTIONS(2372),
    [sym__open_readline_bracket] = ACTIONS(2372),
    [sym__open_fileglob_bracket] = ACTIONS(2372),
    [sym__PERLY_HEREDOC] = ACTIONS(2372),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2372),
    [sym__filetest] = ACTIONS(2372),
    [sym__brace_autoquoted_token] = ACTIONS(2372),
  },
  [985] = {
    [sym_heredoc_content] = STATE(985),
    [sym__identifier] = ACTIONS(1661),
    [anon_sym_LBRACE] = ACTIONS(1661),
    [anon_sym_RBRACE] = ACTIONS(1661),
    [anon_sym_SEMI] = ACTIONS(1661),
    [anon_sym_package] = ACTIONS(1661),
    [anon_sym_class] = ACTIONS(1661),
    [anon_sym_role] = ACTIONS(1661),
    [anon_sym_BUILD] = ACTIONS(1661),
    [anon_sym_ADJUST] = ACTIONS(1661),
    [anon_sym_DOLLAR] = ACTIONS(1661),
    [anon_sym_AT] = ACTIONS(1661),
    [anon_sym_my] = ACTIONS(1661),
    [anon_sym_extended] = ACTIONS(1661),
    [anon_sym_async] = ACTIONS(1661),
    [anon_sym_sub] = ACTIONS(1661),
    [anon_sym_method] = ACTIONS(1661),
    [anon_sym_LPAREN] = ACTIONS(1661),
    [anon_sym_continue] = ACTIONS(1661),
    [anon_sym_state] = ACTIONS(1661),
    [anon_sym_our] = ACTIONS(1661),
    [anon_sym_try] = ACTIONS(1661),
    [anon_sym_catch] = ACTIONS(1661),
    [anon_sym_finally] = ACTIONS(1661),
    [anon_sym_defer] = ACTIONS(1661),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1661),
    [anon_sym_LBRACK] = ACTIONS(1661),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1661),
    [anon_sym_PLUS] = ACTIONS(1661),
    [anon_sym_DASH] = ACTIONS(1661),
    [anon_sym_TILDE] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1661),
    [anon_sym_PLUS_PLUS] = ACTIONS(1661),
    [anon_sym_DASH_DASH] = ACTIONS(1661),
    [anon_sym_BSLASH] = ACTIONS(1659),
    [anon_sym_do] = ACTIONS(1661),
    [anon_sym_eval] = ACTIONS(1661),
    [anon_sym_await] = ACTIONS(1661),
    [anon_sym_field] = ACTIONS(1661),
    [anon_sym_local] = ACTIONS(1661),
    [anon_sym_dynamically] = ACTIONS(1661),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1661),
    [anon_sym_require] = ACTIONS(1661),
    [anon_sym_map] = ACTIONS(1661),
    [anon_sym_grep] = ACTIONS(1661),
    [anon_sym_sort] = ACTIONS(1661),
    [anon_sym_goto] = ACTIONS(1661),
    [anon_sym_return] = ACTIONS(1661),
    [anon_sym_undef] = ACTIONS(1661),
    [anon_sym_PERCENT2] = ACTIONS(1661),
    [anon_sym_AMP2] = ACTIONS(1661),
    [anon_sym_STAR2] = ACTIONS(1661),
    [anon_sym_use] = ACTIONS(1661),
    [anon_sym_no] = ACTIONS(1661),
    [anon_sym_for] = ACTIONS(1661),
    [anon_sym_foreach] = ACTIONS(1661),
    [anon_sym_last] = ACTIONS(1661),
    [anon_sym_next] = ACTIONS(1661),
    [anon_sym_redo] = ACTIONS(1661),
    [anon_sym_BEGIN] = ACTIONS(1661),
    [anon_sym_INIT] = ACTIONS(1661),
    [anon_sym_CHECK] = ACTIONS(1661),
    [anon_sym_UNITCHECK] = ACTIONS(1661),
    [anon_sym_END] = ACTIONS(1661),
    [anon_sym___FILE__] = ACTIONS(1661),
    [anon_sym___LINE__] = ACTIONS(1661),
    [anon_sym___PACKAGE__] = ACTIONS(1661),
    [anon_sym___SUB__] = ACTIONS(1661),
    [anon_sym_break] = ACTIONS(1661),
    [anon_sym_fork] = ACTIONS(1661),
    [anon_sym_getppid] = ACTIONS(1661),
    [anon_sym_time] = ACTIONS(1661),
    [anon_sym_times] = ACTIONS(1661),
    [anon_sym_wait] = ACTIONS(1661),
    [anon_sym_wantarray] = ACTIONS(1661),
    [anon_sym_abs] = ACTIONS(1661),
    [anon_sym_alarm] = ACTIONS(1661),
    [anon_sym_chop] = ACTIONS(1661),
    [anon_sym_chdir] = ACTIONS(1661),
    [anon_sym_close] = ACTIONS(1661),
    [anon_sym_closedir] = ACTIONS(1661),
    [anon_sym_caller] = ACTIONS(1661),
    [anon_sym_chomp] = ACTIONS(1661),
    [anon_sym_chr] = ACTIONS(1661),
    [anon_sym_cos] = ACTIONS(1661),
    [anon_sym_chroot] = ACTIONS(1661),
    [anon_sym_defined] = ACTIONS(1661),
    [anon_sym_delete] = ACTIONS(1661),
    [anon_sym_dbmclose] = ACTIONS(1661),
    [anon_sym_exists] = ACTIONS(1661),
    [anon_sym_exit] = ACTIONS(1661),
    [anon_sym_eof] = ACTIONS(1661),
    [anon_sym_exp] = ACTIONS(1661),
    [anon_sym_each] = ACTIONS(1661),
    [anon_sym_fc] = ACTIONS(1661),
    [anon_sym_fileno] = ACTIONS(1661),
    [anon_sym_gmtime] = ACTIONS(1661),
    [anon_sym_getc] = ACTIONS(1661),
    [anon_sym_getpgrp] = ACTIONS(1661),
    [anon_sym_getprotobyname] = ACTIONS(1661),
    [anon_sym_getpwname] = ACTIONS(1661),
    [anon_sym_getpwuid] = ACTIONS(1661),
    [anon_sym_getpeername] = ACTIONS(1661),
    [anon_sym_getnetbyname] = ACTIONS(1661),
    [anon_sym_getsockname] = ACTIONS(1661),
    [anon_sym_getgrnam] = ACTIONS(1661),
    [anon_sym_getgrgid] = ACTIONS(1661),
    [anon_sym_hex] = ACTIONS(1661),
    [anon_sym_int] = ACTIONS(1661),
    [anon_sym_keys] = ACTIONS(1661),
    [anon_sym_lc] = ACTIONS(1661),
    [anon_sym_lcfirst] = ACTIONS(1661),
    [anon_sym_length] = ACTIONS(1661),
    [anon_sym_localtime] = ACTIONS(1661),
    [anon_sym_log] = ACTIONS(1661),
    [anon_sym_lock] = ACTIONS(1661),
    [anon_sym_lstat] = ACTIONS(1661),
    [anon_sym_oct] = ACTIONS(1661),
    [anon_sym_ord] = ACTIONS(1661),
    [anon_sym_prototype] = ACTIONS(1661),
    [anon_sym_pop] = ACTIONS(1661),
    [anon_sym_pos] = ACTIONS(1661),
    [anon_sym_quotemeta] = ACTIONS(1661),
    [anon_sym_reset] = ACTIONS(1661),
    [anon_sym_rand] = ACTIONS(1661),
    [anon_sym_rmdir] = ACTIONS(1661),
    [anon_sym_readdir] = ACTIONS(1661),
    [anon_sym_readline] = ACTIONS(1661),
    [anon_sym_readpipe] = ACTIONS(1661),
    [anon_sym_rewinddir] = ACTIONS(1661),
    [anon_sym_readlink] = ACTIONS(1661),
    [anon_sym_ref] = ACTIONS(1661),
    [anon_sym_scalar] = ACTIONS(1661),
    [anon_sym_shift] = ACTIONS(1661),
    [anon_sym_sin] = ACTIONS(1661),
    [anon_sym_sleep] = ACTIONS(1661),
    [anon_sym_sqrt] = ACTIONS(1661),
    [anon_sym_srand] = ACTIONS(1661),
    [anon_sym_stat] = ACTIONS(1661),
    [anon_sym_study] = ACTIONS(1661),
    [anon_sym_tell] = ACTIONS(1661),
    [anon_sym_telldir] = ACTIONS(1661),
    [anon_sym_tied] = ACTIONS(1661),
    [anon_sym_uc] = ACTIONS(1661),
    [anon_sym_ucfirst] = ACTIONS(1661),
    [anon_sym_untie] = ACTIONS(1661),
    [anon_sym_umask] = ACTIONS(1661),
    [anon_sym_values] = ACTIONS(1661),
    [anon_sym_write] = ACTIONS(1661),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1661),
    [anon_sym_qq] = ACTIONS(1661),
    [anon_sym_qw] = ACTIONS(1661),
    [anon_sym_qx] = ACTIONS(1661),
    [anon_sym_qr] = ACTIONS(1661),
    [anon_sym_m] = ACTIONS(1661),
    [anon_sym_s] = ACTIONS(1661),
    [anon_sym_tr] = ACTIONS(1661),
    [anon_sym_y] = ACTIONS(1661),
    [anon_sym_if] = ACTIONS(1661),
    [anon_sym_unless] = ACTIONS(1661),
    [anon_sym_while] = ACTIONS(1661),
    [anon_sym_until] = ACTIONS(1661),
    [aux_sym__bareword_token1] = ACTIONS(1661),
    [sym_number] = ACTIONS(1661),
    [anon_sym_true] = ACTIONS(1661),
    [anon_sym_false] = ACTIONS(1661),
    [sym__single_quote] = ACTIONS(1659),
    [sym__double_quote] = ACTIONS(1659),
    [sym__backtick_quote] = ACTIONS(1659),
    [sym__search_slash_quote] = ACTIONS(1659),
    [sym__open_readline_bracket] = ACTIONS(1659),
    [sym__open_fileglob_bracket] = ACTIONS(1659),
    [sym__PERLY_HEREDOC] = ACTIONS(1659),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1659),
    [sym__filetest] = ACTIONS(1659),
  },
  [986] = {
    [sym_heredoc_content] = STATE(986),
    [sym__identifier] = ACTIONS(1824),
    [anon_sym_LBRACE] = ACTIONS(1824),
    [anon_sym_RBRACE] = ACTIONS(1824),
    [anon_sym_SEMI] = ACTIONS(1824),
    [anon_sym_package] = ACTIONS(1824),
    [anon_sym_class] = ACTIONS(1824),
    [anon_sym_role] = ACTIONS(1824),
    [anon_sym_BUILD] = ACTIONS(1824),
    [anon_sym_ADJUST] = ACTIONS(1824),
    [anon_sym_DOLLAR] = ACTIONS(1824),
    [anon_sym_AT] = ACTIONS(1824),
    [anon_sym_my] = ACTIONS(1824),
    [anon_sym_extended] = ACTIONS(1824),
    [anon_sym_async] = ACTIONS(1824),
    [anon_sym_sub] = ACTIONS(1824),
    [anon_sym_method] = ACTIONS(1824),
    [anon_sym_LPAREN] = ACTIONS(1824),
    [anon_sym_continue] = ACTIONS(1824),
    [anon_sym_state] = ACTIONS(1824),
    [anon_sym_our] = ACTIONS(1824),
    [anon_sym_try] = ACTIONS(1824),
    [anon_sym_catch] = ACTIONS(1824),
    [anon_sym_finally] = ACTIONS(1824),
    [anon_sym_defer] = ACTIONS(1824),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1824),
    [anon_sym_LBRACK] = ACTIONS(1824),
    [anon_sym_LT_LT] = ACTIONS(1824),
    [anon_sym_SLASH_SLASH] = ACTIONS(1824),
    [anon_sym_PLUS] = ACTIONS(1824),
    [anon_sym_DASH] = ACTIONS(1824),
    [anon_sym_TILDE] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1824),
    [anon_sym_PLUS_PLUS] = ACTIONS(1824),
    [anon_sym_DASH_DASH] = ACTIONS(1824),
    [anon_sym_BSLASH] = ACTIONS(1826),
    [anon_sym_do] = ACTIONS(1824),
    [anon_sym_eval] = ACTIONS(1824),
    [anon_sym_await] = ACTIONS(1824),
    [anon_sym_field] = ACTIONS(1824),
    [anon_sym_local] = ACTIONS(1824),
    [anon_sym_dynamically] = ACTIONS(1824),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1824),
    [anon_sym_require] = ACTIONS(1824),
    [anon_sym_map] = ACTIONS(1824),
    [anon_sym_grep] = ACTIONS(1824),
    [anon_sym_sort] = ACTIONS(1824),
    [anon_sym_goto] = ACTIONS(1824),
    [anon_sym_return] = ACTIONS(1824),
    [anon_sym_undef] = ACTIONS(1824),
    [anon_sym_PERCENT2] = ACTIONS(1824),
    [anon_sym_AMP2] = ACTIONS(1824),
    [anon_sym_STAR2] = ACTIONS(1824),
    [anon_sym_use] = ACTIONS(1824),
    [anon_sym_no] = ACTIONS(1824),
    [anon_sym_for] = ACTIONS(1824),
    [anon_sym_foreach] = ACTIONS(1824),
    [anon_sym_last] = ACTIONS(1824),
    [anon_sym_next] = ACTIONS(1824),
    [anon_sym_redo] = ACTIONS(1824),
    [anon_sym_BEGIN] = ACTIONS(1824),
    [anon_sym_INIT] = ACTIONS(1824),
    [anon_sym_CHECK] = ACTIONS(1824),
    [anon_sym_UNITCHECK] = ACTIONS(1824),
    [anon_sym_END] = ACTIONS(1824),
    [anon_sym___FILE__] = ACTIONS(1824),
    [anon_sym___LINE__] = ACTIONS(1824),
    [anon_sym___PACKAGE__] = ACTIONS(1824),
    [anon_sym___SUB__] = ACTIONS(1824),
    [anon_sym_break] = ACTIONS(1824),
    [anon_sym_fork] = ACTIONS(1824),
    [anon_sym_getppid] = ACTIONS(1824),
    [anon_sym_time] = ACTIONS(1824),
    [anon_sym_times] = ACTIONS(1824),
    [anon_sym_wait] = ACTIONS(1824),
    [anon_sym_wantarray] = ACTIONS(1824),
    [anon_sym_abs] = ACTIONS(1824),
    [anon_sym_alarm] = ACTIONS(1824),
    [anon_sym_chop] = ACTIONS(1824),
    [anon_sym_chdir] = ACTIONS(1824),
    [anon_sym_close] = ACTIONS(1824),
    [anon_sym_closedir] = ACTIONS(1824),
    [anon_sym_caller] = ACTIONS(1824),
    [anon_sym_chomp] = ACTIONS(1824),
    [anon_sym_chr] = ACTIONS(1824),
    [anon_sym_cos] = ACTIONS(1824),
    [anon_sym_chroot] = ACTIONS(1824),
    [anon_sym_defined] = ACTIONS(1824),
    [anon_sym_delete] = ACTIONS(1824),
    [anon_sym_dbmclose] = ACTIONS(1824),
    [anon_sym_exists] = ACTIONS(1824),
    [anon_sym_exit] = ACTIONS(1824),
    [anon_sym_eof] = ACTIONS(1824),
    [anon_sym_exp] = ACTIONS(1824),
    [anon_sym_each] = ACTIONS(1824),
    [anon_sym_fc] = ACTIONS(1824),
    [anon_sym_fileno] = ACTIONS(1824),
    [anon_sym_gmtime] = ACTIONS(1824),
    [anon_sym_getc] = ACTIONS(1824),
    [anon_sym_getpgrp] = ACTIONS(1824),
    [anon_sym_getprotobyname] = ACTIONS(1824),
    [anon_sym_getpwname] = ACTIONS(1824),
    [anon_sym_getpwuid] = ACTIONS(1824),
    [anon_sym_getpeername] = ACTIONS(1824),
    [anon_sym_getnetbyname] = ACTIONS(1824),
    [anon_sym_getsockname] = ACTIONS(1824),
    [anon_sym_getgrnam] = ACTIONS(1824),
    [anon_sym_getgrgid] = ACTIONS(1824),
    [anon_sym_hex] = ACTIONS(1824),
    [anon_sym_int] = ACTIONS(1824),
    [anon_sym_keys] = ACTIONS(1824),
    [anon_sym_lc] = ACTIONS(1824),
    [anon_sym_lcfirst] = ACTIONS(1824),
    [anon_sym_length] = ACTIONS(1824),
    [anon_sym_localtime] = ACTIONS(1824),
    [anon_sym_log] = ACTIONS(1824),
    [anon_sym_lock] = ACTIONS(1824),
    [anon_sym_lstat] = ACTIONS(1824),
    [anon_sym_oct] = ACTIONS(1824),
    [anon_sym_ord] = ACTIONS(1824),
    [anon_sym_prototype] = ACTIONS(1824),
    [anon_sym_pop] = ACTIONS(1824),
    [anon_sym_pos] = ACTIONS(1824),
    [anon_sym_quotemeta] = ACTIONS(1824),
    [anon_sym_reset] = ACTIONS(1824),
    [anon_sym_rand] = ACTIONS(1824),
    [anon_sym_rmdir] = ACTIONS(1824),
    [anon_sym_readdir] = ACTIONS(1824),
    [anon_sym_readline] = ACTIONS(1824),
    [anon_sym_readpipe] = ACTIONS(1824),
    [anon_sym_rewinddir] = ACTIONS(1824),
    [anon_sym_readlink] = ACTIONS(1824),
    [anon_sym_ref] = ACTIONS(1824),
    [anon_sym_scalar] = ACTIONS(1824),
    [anon_sym_shift] = ACTIONS(1824),
    [anon_sym_sin] = ACTIONS(1824),
    [anon_sym_sleep] = ACTIONS(1824),
    [anon_sym_sqrt] = ACTIONS(1824),
    [anon_sym_srand] = ACTIONS(1824),
    [anon_sym_stat] = ACTIONS(1824),
    [anon_sym_study] = ACTIONS(1824),
    [anon_sym_tell] = ACTIONS(1824),
    [anon_sym_telldir] = ACTIONS(1824),
    [anon_sym_tied] = ACTIONS(1824),
    [anon_sym_uc] = ACTIONS(1824),
    [anon_sym_ucfirst] = ACTIONS(1824),
    [anon_sym_untie] = ACTIONS(1824),
    [anon_sym_umask] = ACTIONS(1824),
    [anon_sym_values] = ACTIONS(1824),
    [anon_sym_write] = ACTIONS(1824),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1824),
    [anon_sym_qq] = ACTIONS(1824),
    [anon_sym_qw] = ACTIONS(1824),
    [anon_sym_qx] = ACTIONS(1824),
    [anon_sym_qr] = ACTIONS(1824),
    [anon_sym_m] = ACTIONS(1824),
    [anon_sym_s] = ACTIONS(1824),
    [anon_sym_tr] = ACTIONS(1824),
    [anon_sym_y] = ACTIONS(1824),
    [anon_sym_if] = ACTIONS(1824),
    [anon_sym_unless] = ACTIONS(1824),
    [anon_sym_while] = ACTIONS(1824),
    [anon_sym_until] = ACTIONS(1824),
    [aux_sym__bareword_token1] = ACTIONS(1824),
    [sym_number] = ACTIONS(1824),
    [anon_sym_true] = ACTIONS(1824),
    [anon_sym_false] = ACTIONS(1824),
    [sym__single_quote] = ACTIONS(1826),
    [sym__double_quote] = ACTIONS(1826),
    [sym__backtick_quote] = ACTIONS(1826),
    [sym__search_slash_quote] = ACTIONS(1826),
    [sym__open_readline_bracket] = ACTIONS(1826),
    [sym__open_fileglob_bracket] = ACTIONS(1826),
    [sym__PERLY_HEREDOC] = ACTIONS(1826),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1826),
    [sym__filetest] = ACTIONS(1826),
  },
  [987] = {
    [sym_heredoc_content] = STATE(987),
    [sym__identifier] = ACTIONS(1824),
    [anon_sym_LBRACE] = ACTIONS(1824),
    [anon_sym_RBRACE] = ACTIONS(1824),
    [anon_sym_SEMI] = ACTIONS(1824),
    [anon_sym_package] = ACTIONS(1824),
    [anon_sym_class] = ACTIONS(1824),
    [anon_sym_role] = ACTIONS(1824),
    [anon_sym_BUILD] = ACTIONS(1824),
    [anon_sym_ADJUST] = ACTIONS(1824),
    [anon_sym_DOLLAR] = ACTIONS(1824),
    [anon_sym_AT] = ACTIONS(1824),
    [anon_sym_my] = ACTIONS(1824),
    [anon_sym_extended] = ACTIONS(1824),
    [anon_sym_async] = ACTIONS(1824),
    [anon_sym_sub] = ACTIONS(1824),
    [anon_sym_method] = ACTIONS(1824),
    [anon_sym_LPAREN] = ACTIONS(1824),
    [anon_sym_continue] = ACTIONS(1824),
    [anon_sym_state] = ACTIONS(1824),
    [anon_sym_our] = ACTIONS(1824),
    [anon_sym_try] = ACTIONS(1824),
    [anon_sym_defer] = ACTIONS(1824),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1824),
    [anon_sym_else] = ACTIONS(1824),
    [anon_sym_elsif] = ACTIONS(1824),
    [anon_sym_LBRACK] = ACTIONS(1824),
    [anon_sym_LT_LT] = ACTIONS(1824),
    [anon_sym_SLASH_SLASH] = ACTIONS(1824),
    [anon_sym_PLUS] = ACTIONS(1824),
    [anon_sym_DASH] = ACTIONS(1824),
    [anon_sym_TILDE] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1824),
    [anon_sym_PLUS_PLUS] = ACTIONS(1824),
    [anon_sym_DASH_DASH] = ACTIONS(1824),
    [anon_sym_BSLASH] = ACTIONS(1826),
    [anon_sym_do] = ACTIONS(1824),
    [anon_sym_eval] = ACTIONS(1824),
    [anon_sym_await] = ACTIONS(1824),
    [anon_sym_field] = ACTIONS(1824),
    [anon_sym_local] = ACTIONS(1824),
    [anon_sym_dynamically] = ACTIONS(1824),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1824),
    [anon_sym_require] = ACTIONS(1824),
    [anon_sym_map] = ACTIONS(1824),
    [anon_sym_grep] = ACTIONS(1824),
    [anon_sym_sort] = ACTIONS(1824),
    [anon_sym_goto] = ACTIONS(1824),
    [anon_sym_return] = ACTIONS(1824),
    [anon_sym_undef] = ACTIONS(1824),
    [anon_sym_PERCENT2] = ACTIONS(1824),
    [anon_sym_AMP2] = ACTIONS(1824),
    [anon_sym_STAR2] = ACTIONS(1824),
    [anon_sym_use] = ACTIONS(1824),
    [anon_sym_no] = ACTIONS(1824),
    [anon_sym_for] = ACTIONS(1824),
    [anon_sym_foreach] = ACTIONS(1824),
    [anon_sym_last] = ACTIONS(1824),
    [anon_sym_next] = ACTIONS(1824),
    [anon_sym_redo] = ACTIONS(1824),
    [anon_sym_BEGIN] = ACTIONS(1824),
    [anon_sym_INIT] = ACTIONS(1824),
    [anon_sym_CHECK] = ACTIONS(1824),
    [anon_sym_UNITCHECK] = ACTIONS(1824),
    [anon_sym_END] = ACTIONS(1824),
    [anon_sym___FILE__] = ACTIONS(1824),
    [anon_sym___LINE__] = ACTIONS(1824),
    [anon_sym___PACKAGE__] = ACTIONS(1824),
    [anon_sym___SUB__] = ACTIONS(1824),
    [anon_sym_break] = ACTIONS(1824),
    [anon_sym_fork] = ACTIONS(1824),
    [anon_sym_getppid] = ACTIONS(1824),
    [anon_sym_time] = ACTIONS(1824),
    [anon_sym_times] = ACTIONS(1824),
    [anon_sym_wait] = ACTIONS(1824),
    [anon_sym_wantarray] = ACTIONS(1824),
    [anon_sym_abs] = ACTIONS(1824),
    [anon_sym_alarm] = ACTIONS(1824),
    [anon_sym_chop] = ACTIONS(1824),
    [anon_sym_chdir] = ACTIONS(1824),
    [anon_sym_close] = ACTIONS(1824),
    [anon_sym_closedir] = ACTIONS(1824),
    [anon_sym_caller] = ACTIONS(1824),
    [anon_sym_chomp] = ACTIONS(1824),
    [anon_sym_chr] = ACTIONS(1824),
    [anon_sym_cos] = ACTIONS(1824),
    [anon_sym_chroot] = ACTIONS(1824),
    [anon_sym_defined] = ACTIONS(1824),
    [anon_sym_delete] = ACTIONS(1824),
    [anon_sym_dbmclose] = ACTIONS(1824),
    [anon_sym_exists] = ACTIONS(1824),
    [anon_sym_exit] = ACTIONS(1824),
    [anon_sym_eof] = ACTIONS(1824),
    [anon_sym_exp] = ACTIONS(1824),
    [anon_sym_each] = ACTIONS(1824),
    [anon_sym_fc] = ACTIONS(1824),
    [anon_sym_fileno] = ACTIONS(1824),
    [anon_sym_gmtime] = ACTIONS(1824),
    [anon_sym_getc] = ACTIONS(1824),
    [anon_sym_getpgrp] = ACTIONS(1824),
    [anon_sym_getprotobyname] = ACTIONS(1824),
    [anon_sym_getpwname] = ACTIONS(1824),
    [anon_sym_getpwuid] = ACTIONS(1824),
    [anon_sym_getpeername] = ACTIONS(1824),
    [anon_sym_getnetbyname] = ACTIONS(1824),
    [anon_sym_getsockname] = ACTIONS(1824),
    [anon_sym_getgrnam] = ACTIONS(1824),
    [anon_sym_getgrgid] = ACTIONS(1824),
    [anon_sym_hex] = ACTIONS(1824),
    [anon_sym_int] = ACTIONS(1824),
    [anon_sym_keys] = ACTIONS(1824),
    [anon_sym_lc] = ACTIONS(1824),
    [anon_sym_lcfirst] = ACTIONS(1824),
    [anon_sym_length] = ACTIONS(1824),
    [anon_sym_localtime] = ACTIONS(1824),
    [anon_sym_log] = ACTIONS(1824),
    [anon_sym_lock] = ACTIONS(1824),
    [anon_sym_lstat] = ACTIONS(1824),
    [anon_sym_oct] = ACTIONS(1824),
    [anon_sym_ord] = ACTIONS(1824),
    [anon_sym_prototype] = ACTIONS(1824),
    [anon_sym_pop] = ACTIONS(1824),
    [anon_sym_pos] = ACTIONS(1824),
    [anon_sym_quotemeta] = ACTIONS(1824),
    [anon_sym_reset] = ACTIONS(1824),
    [anon_sym_rand] = ACTIONS(1824),
    [anon_sym_rmdir] = ACTIONS(1824),
    [anon_sym_readdir] = ACTIONS(1824),
    [anon_sym_readline] = ACTIONS(1824),
    [anon_sym_readpipe] = ACTIONS(1824),
    [anon_sym_rewinddir] = ACTIONS(1824),
    [anon_sym_readlink] = ACTIONS(1824),
    [anon_sym_ref] = ACTIONS(1824),
    [anon_sym_scalar] = ACTIONS(1824),
    [anon_sym_shift] = ACTIONS(1824),
    [anon_sym_sin] = ACTIONS(1824),
    [anon_sym_sleep] = ACTIONS(1824),
    [anon_sym_sqrt] = ACTIONS(1824),
    [anon_sym_srand] = ACTIONS(1824),
    [anon_sym_stat] = ACTIONS(1824),
    [anon_sym_study] = ACTIONS(1824),
    [anon_sym_tell] = ACTIONS(1824),
    [anon_sym_telldir] = ACTIONS(1824),
    [anon_sym_tied] = ACTIONS(1824),
    [anon_sym_uc] = ACTIONS(1824),
    [anon_sym_ucfirst] = ACTIONS(1824),
    [anon_sym_untie] = ACTIONS(1824),
    [anon_sym_umask] = ACTIONS(1824),
    [anon_sym_values] = ACTIONS(1824),
    [anon_sym_write] = ACTIONS(1824),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1824),
    [anon_sym_qq] = ACTIONS(1824),
    [anon_sym_qw] = ACTIONS(1824),
    [anon_sym_qx] = ACTIONS(1824),
    [anon_sym_qr] = ACTIONS(1824),
    [anon_sym_m] = ACTIONS(1824),
    [anon_sym_s] = ACTIONS(1824),
    [anon_sym_tr] = ACTIONS(1824),
    [anon_sym_y] = ACTIONS(1824),
    [anon_sym_if] = ACTIONS(1824),
    [anon_sym_unless] = ACTIONS(1824),
    [anon_sym_while] = ACTIONS(1824),
    [anon_sym_until] = ACTIONS(1824),
    [aux_sym__bareword_token1] = ACTIONS(1824),
    [sym_number] = ACTIONS(1824),
    [anon_sym_true] = ACTIONS(1824),
    [anon_sym_false] = ACTIONS(1824),
    [sym__single_quote] = ACTIONS(1826),
    [sym__double_quote] = ACTIONS(1826),
    [sym__backtick_quote] = ACTIONS(1826),
    [sym__search_slash_quote] = ACTIONS(1826),
    [sym__open_readline_bracket] = ACTIONS(1826),
    [sym__open_fileglob_bracket] = ACTIONS(1826),
    [sym__PERLY_HEREDOC] = ACTIONS(1826),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1826),
    [sym__filetest] = ACTIONS(1826),
  },
  [988] = {
    [sym_heredoc_content] = STATE(988),
    [sym__identifier] = ACTIONS(1989),
    [anon_sym_LBRACE] = ACTIONS(1989),
    [anon_sym_RBRACE] = ACTIONS(1989),
    [anon_sym_SEMI] = ACTIONS(1989),
    [anon_sym_package] = ACTIONS(1989),
    [anon_sym_class] = ACTIONS(1989),
    [anon_sym_role] = ACTIONS(1989),
    [anon_sym_BUILD] = ACTIONS(1989),
    [anon_sym_ADJUST] = ACTIONS(1989),
    [anon_sym_DOLLAR] = ACTIONS(1989),
    [anon_sym_AT] = ACTIONS(1989),
    [anon_sym_my] = ACTIONS(1989),
    [anon_sym_extended] = ACTIONS(1989),
    [anon_sym_async] = ACTIONS(1989),
    [anon_sym_sub] = ACTIONS(1989),
    [anon_sym_method] = ACTIONS(1989),
    [anon_sym_LPAREN] = ACTIONS(1989),
    [anon_sym_continue] = ACTIONS(1989),
    [anon_sym_state] = ACTIONS(1989),
    [anon_sym_our] = ACTIONS(1989),
    [anon_sym_try] = ACTIONS(1989),
    [anon_sym_catch] = ACTIONS(2374),
    [anon_sym_finally] = ACTIONS(2376),
    [anon_sym_defer] = ACTIONS(1989),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1989),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_LT_LT] = ACTIONS(1989),
    [anon_sym_SLASH_SLASH] = ACTIONS(1989),
    [anon_sym_PLUS] = ACTIONS(1989),
    [anon_sym_DASH] = ACTIONS(1989),
    [anon_sym_TILDE] = ACTIONS(1989),
    [anon_sym_BANG] = ACTIONS(1989),
    [anon_sym_PLUS_PLUS] = ACTIONS(1989),
    [anon_sym_DASH_DASH] = ACTIONS(1989),
    [anon_sym_BSLASH] = ACTIONS(1987),
    [anon_sym_do] = ACTIONS(1989),
    [anon_sym_eval] = ACTIONS(1989),
    [anon_sym_await] = ACTIONS(1989),
    [anon_sym_field] = ACTIONS(1989),
    [anon_sym_local] = ACTIONS(1989),
    [anon_sym_dynamically] = ACTIONS(1989),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1989),
    [anon_sym_require] = ACTIONS(1989),
    [anon_sym_map] = ACTIONS(1989),
    [anon_sym_grep] = ACTIONS(1989),
    [anon_sym_sort] = ACTIONS(1989),
    [anon_sym_goto] = ACTIONS(1989),
    [anon_sym_return] = ACTIONS(1989),
    [anon_sym_undef] = ACTIONS(1989),
    [anon_sym_PERCENT2] = ACTIONS(1989),
    [anon_sym_AMP2] = ACTIONS(1989),
    [anon_sym_STAR2] = ACTIONS(1989),
    [anon_sym_use] = ACTIONS(1989),
    [anon_sym_no] = ACTIONS(1989),
    [anon_sym_for] = ACTIONS(1989),
    [anon_sym_foreach] = ACTIONS(1989),
    [anon_sym_last] = ACTIONS(1989),
    [anon_sym_next] = ACTIONS(1989),
    [anon_sym_redo] = ACTIONS(1989),
    [anon_sym_BEGIN] = ACTIONS(1989),
    [anon_sym_INIT] = ACTIONS(1989),
    [anon_sym_CHECK] = ACTIONS(1989),
    [anon_sym_UNITCHECK] = ACTIONS(1989),
    [anon_sym_END] = ACTIONS(1989),
    [anon_sym___FILE__] = ACTIONS(1989),
    [anon_sym___LINE__] = ACTIONS(1989),
    [anon_sym___PACKAGE__] = ACTIONS(1989),
    [anon_sym___SUB__] = ACTIONS(1989),
    [anon_sym_break] = ACTIONS(1989),
    [anon_sym_fork] = ACTIONS(1989),
    [anon_sym_getppid] = ACTIONS(1989),
    [anon_sym_time] = ACTIONS(1989),
    [anon_sym_times] = ACTIONS(1989),
    [anon_sym_wait] = ACTIONS(1989),
    [anon_sym_wantarray] = ACTIONS(1989),
    [anon_sym_abs] = ACTIONS(1989),
    [anon_sym_alarm] = ACTIONS(1989),
    [anon_sym_chop] = ACTIONS(1989),
    [anon_sym_chdir] = ACTIONS(1989),
    [anon_sym_close] = ACTIONS(1989),
    [anon_sym_closedir] = ACTIONS(1989),
    [anon_sym_caller] = ACTIONS(1989),
    [anon_sym_chomp] = ACTIONS(1989),
    [anon_sym_chr] = ACTIONS(1989),
    [anon_sym_cos] = ACTIONS(1989),
    [anon_sym_chroot] = ACTIONS(1989),
    [anon_sym_defined] = ACTIONS(1989),
    [anon_sym_delete] = ACTIONS(1989),
    [anon_sym_dbmclose] = ACTIONS(1989),
    [anon_sym_exists] = ACTIONS(1989),
    [anon_sym_exit] = ACTIONS(1989),
    [anon_sym_eof] = ACTIONS(1989),
    [anon_sym_exp] = ACTIONS(1989),
    [anon_sym_each] = ACTIONS(1989),
    [anon_sym_fc] = ACTIONS(1989),
    [anon_sym_fileno] = ACTIONS(1989),
    [anon_sym_gmtime] = ACTIONS(1989),
    [anon_sym_getc] = ACTIONS(1989),
    [anon_sym_getpgrp] = ACTIONS(1989),
    [anon_sym_getprotobyname] = ACTIONS(1989),
    [anon_sym_getpwname] = ACTIONS(1989),
    [anon_sym_getpwuid] = ACTIONS(1989),
    [anon_sym_getpeername] = ACTIONS(1989),
    [anon_sym_getnetbyname] = ACTIONS(1989),
    [anon_sym_getsockname] = ACTIONS(1989),
    [anon_sym_getgrnam] = ACTIONS(1989),
    [anon_sym_getgrgid] = ACTIONS(1989),
    [anon_sym_hex] = ACTIONS(1989),
    [anon_sym_int] = ACTIONS(1989),
    [anon_sym_keys] = ACTIONS(1989),
    [anon_sym_lc] = ACTIONS(1989),
    [anon_sym_lcfirst] = ACTIONS(1989),
    [anon_sym_length] = ACTIONS(1989),
    [anon_sym_localtime] = ACTIONS(1989),
    [anon_sym_log] = ACTIONS(1989),
    [anon_sym_lock] = ACTIONS(1989),
    [anon_sym_lstat] = ACTIONS(1989),
    [anon_sym_oct] = ACTIONS(1989),
    [anon_sym_ord] = ACTIONS(1989),
    [anon_sym_prototype] = ACTIONS(1989),
    [anon_sym_pop] = ACTIONS(1989),
    [anon_sym_pos] = ACTIONS(1989),
    [anon_sym_quotemeta] = ACTIONS(1989),
    [anon_sym_reset] = ACTIONS(1989),
    [anon_sym_rand] = ACTIONS(1989),
    [anon_sym_rmdir] = ACTIONS(1989),
    [anon_sym_readdir] = ACTIONS(1989),
    [anon_sym_readline] = ACTIONS(1989),
    [anon_sym_readpipe] = ACTIONS(1989),
    [anon_sym_rewinddir] = ACTIONS(1989),
    [anon_sym_readlink] = ACTIONS(1989),
    [anon_sym_ref] = ACTIONS(1989),
    [anon_sym_scalar] = ACTIONS(1989),
    [anon_sym_shift] = ACTIONS(1989),
    [anon_sym_sin] = ACTIONS(1989),
    [anon_sym_sleep] = ACTIONS(1989),
    [anon_sym_sqrt] = ACTIONS(1989),
    [anon_sym_srand] = ACTIONS(1989),
    [anon_sym_stat] = ACTIONS(1989),
    [anon_sym_study] = ACTIONS(1989),
    [anon_sym_tell] = ACTIONS(1989),
    [anon_sym_telldir] = ACTIONS(1989),
    [anon_sym_tied] = ACTIONS(1989),
    [anon_sym_uc] = ACTIONS(1989),
    [anon_sym_ucfirst] = ACTIONS(1989),
    [anon_sym_untie] = ACTIONS(1989),
    [anon_sym_umask] = ACTIONS(1989),
    [anon_sym_values] = ACTIONS(1989),
    [anon_sym_write] = ACTIONS(1989),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1989),
    [anon_sym_qq] = ACTIONS(1989),
    [anon_sym_qw] = ACTIONS(1989),
    [anon_sym_qx] = ACTIONS(1989),
    [anon_sym_qr] = ACTIONS(1989),
    [anon_sym_m] = ACTIONS(1989),
    [anon_sym_s] = ACTIONS(1989),
    [anon_sym_tr] = ACTIONS(1989),
    [anon_sym_y] = ACTIONS(1989),
    [anon_sym_if] = ACTIONS(1989),
    [anon_sym_unless] = ACTIONS(1989),
    [anon_sym_while] = ACTIONS(1989),
    [anon_sym_until] = ACTIONS(1989),
    [aux_sym__bareword_token1] = ACTIONS(1989),
    [sym_number] = ACTIONS(1989),
    [anon_sym_true] = ACTIONS(1989),
    [anon_sym_false] = ACTIONS(1989),
    [sym__single_quote] = ACTIONS(1987),
    [sym__double_quote] = ACTIONS(1987),
    [sym__backtick_quote] = ACTIONS(1987),
    [sym__search_slash_quote] = ACTIONS(1987),
    [sym__open_readline_bracket] = ACTIONS(1987),
    [sym__open_fileglob_bracket] = ACTIONS(1987),
    [sym__PERLY_HEREDOC] = ACTIONS(1987),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1987),
    [sym__filetest] = ACTIONS(1987),
  },
  [989] = {
    [sym_heredoc_content] = STATE(989),
    [sym__identifier] = ACTIONS(1661),
    [anon_sym_LBRACE] = ACTIONS(1661),
    [anon_sym_RBRACE] = ACTIONS(1661),
    [anon_sym_SEMI] = ACTIONS(1661),
    [anon_sym_package] = ACTIONS(1661),
    [anon_sym_class] = ACTIONS(1661),
    [anon_sym_role] = ACTIONS(1661),
    [anon_sym_BUILD] = ACTIONS(1661),
    [anon_sym_ADJUST] = ACTIONS(1661),
    [anon_sym_DOLLAR] = ACTIONS(1661),
    [anon_sym_AT] = ACTIONS(1661),
    [anon_sym_my] = ACTIONS(1661),
    [anon_sym_extended] = ACTIONS(1661),
    [anon_sym_async] = ACTIONS(1661),
    [anon_sym_sub] = ACTIONS(1661),
    [anon_sym_method] = ACTIONS(1661),
    [anon_sym_LPAREN] = ACTIONS(1661),
    [anon_sym_continue] = ACTIONS(1661),
    [anon_sym_state] = ACTIONS(1661),
    [anon_sym_our] = ACTIONS(1661),
    [anon_sym_try] = ACTIONS(1661),
    [anon_sym_defer] = ACTIONS(1661),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1661),
    [anon_sym_else] = ACTIONS(1661),
    [anon_sym_elsif] = ACTIONS(1661),
    [anon_sym_LBRACK] = ACTIONS(1661),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1661),
    [anon_sym_PLUS] = ACTIONS(1661),
    [anon_sym_DASH] = ACTIONS(1661),
    [anon_sym_TILDE] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1661),
    [anon_sym_PLUS_PLUS] = ACTIONS(1661),
    [anon_sym_DASH_DASH] = ACTIONS(1661),
    [anon_sym_BSLASH] = ACTIONS(1659),
    [anon_sym_do] = ACTIONS(1661),
    [anon_sym_eval] = ACTIONS(1661),
    [anon_sym_await] = ACTIONS(1661),
    [anon_sym_field] = ACTIONS(1661),
    [anon_sym_local] = ACTIONS(1661),
    [anon_sym_dynamically] = ACTIONS(1661),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1661),
    [anon_sym_require] = ACTIONS(1661),
    [anon_sym_map] = ACTIONS(1661),
    [anon_sym_grep] = ACTIONS(1661),
    [anon_sym_sort] = ACTIONS(1661),
    [anon_sym_goto] = ACTIONS(1661),
    [anon_sym_return] = ACTIONS(1661),
    [anon_sym_undef] = ACTIONS(1661),
    [anon_sym_PERCENT2] = ACTIONS(1661),
    [anon_sym_AMP2] = ACTIONS(1661),
    [anon_sym_STAR2] = ACTIONS(1661),
    [anon_sym_use] = ACTIONS(1661),
    [anon_sym_no] = ACTIONS(1661),
    [anon_sym_for] = ACTIONS(1661),
    [anon_sym_foreach] = ACTIONS(1661),
    [anon_sym_last] = ACTIONS(1661),
    [anon_sym_next] = ACTIONS(1661),
    [anon_sym_redo] = ACTIONS(1661),
    [anon_sym_BEGIN] = ACTIONS(1661),
    [anon_sym_INIT] = ACTIONS(1661),
    [anon_sym_CHECK] = ACTIONS(1661),
    [anon_sym_UNITCHECK] = ACTIONS(1661),
    [anon_sym_END] = ACTIONS(1661),
    [anon_sym___FILE__] = ACTIONS(1661),
    [anon_sym___LINE__] = ACTIONS(1661),
    [anon_sym___PACKAGE__] = ACTIONS(1661),
    [anon_sym___SUB__] = ACTIONS(1661),
    [anon_sym_break] = ACTIONS(1661),
    [anon_sym_fork] = ACTIONS(1661),
    [anon_sym_getppid] = ACTIONS(1661),
    [anon_sym_time] = ACTIONS(1661),
    [anon_sym_times] = ACTIONS(1661),
    [anon_sym_wait] = ACTIONS(1661),
    [anon_sym_wantarray] = ACTIONS(1661),
    [anon_sym_abs] = ACTIONS(1661),
    [anon_sym_alarm] = ACTIONS(1661),
    [anon_sym_chop] = ACTIONS(1661),
    [anon_sym_chdir] = ACTIONS(1661),
    [anon_sym_close] = ACTIONS(1661),
    [anon_sym_closedir] = ACTIONS(1661),
    [anon_sym_caller] = ACTIONS(1661),
    [anon_sym_chomp] = ACTIONS(1661),
    [anon_sym_chr] = ACTIONS(1661),
    [anon_sym_cos] = ACTIONS(1661),
    [anon_sym_chroot] = ACTIONS(1661),
    [anon_sym_defined] = ACTIONS(1661),
    [anon_sym_delete] = ACTIONS(1661),
    [anon_sym_dbmclose] = ACTIONS(1661),
    [anon_sym_exists] = ACTIONS(1661),
    [anon_sym_exit] = ACTIONS(1661),
    [anon_sym_eof] = ACTIONS(1661),
    [anon_sym_exp] = ACTIONS(1661),
    [anon_sym_each] = ACTIONS(1661),
    [anon_sym_fc] = ACTIONS(1661),
    [anon_sym_fileno] = ACTIONS(1661),
    [anon_sym_gmtime] = ACTIONS(1661),
    [anon_sym_getc] = ACTIONS(1661),
    [anon_sym_getpgrp] = ACTIONS(1661),
    [anon_sym_getprotobyname] = ACTIONS(1661),
    [anon_sym_getpwname] = ACTIONS(1661),
    [anon_sym_getpwuid] = ACTIONS(1661),
    [anon_sym_getpeername] = ACTIONS(1661),
    [anon_sym_getnetbyname] = ACTIONS(1661),
    [anon_sym_getsockname] = ACTIONS(1661),
    [anon_sym_getgrnam] = ACTIONS(1661),
    [anon_sym_getgrgid] = ACTIONS(1661),
    [anon_sym_hex] = ACTIONS(1661),
    [anon_sym_int] = ACTIONS(1661),
    [anon_sym_keys] = ACTIONS(1661),
    [anon_sym_lc] = ACTIONS(1661),
    [anon_sym_lcfirst] = ACTIONS(1661),
    [anon_sym_length] = ACTIONS(1661),
    [anon_sym_localtime] = ACTIONS(1661),
    [anon_sym_log] = ACTIONS(1661),
    [anon_sym_lock] = ACTIONS(1661),
    [anon_sym_lstat] = ACTIONS(1661),
    [anon_sym_oct] = ACTIONS(1661),
    [anon_sym_ord] = ACTIONS(1661),
    [anon_sym_prototype] = ACTIONS(1661),
    [anon_sym_pop] = ACTIONS(1661),
    [anon_sym_pos] = ACTIONS(1661),
    [anon_sym_quotemeta] = ACTIONS(1661),
    [anon_sym_reset] = ACTIONS(1661),
    [anon_sym_rand] = ACTIONS(1661),
    [anon_sym_rmdir] = ACTIONS(1661),
    [anon_sym_readdir] = ACTIONS(1661),
    [anon_sym_readline] = ACTIONS(1661),
    [anon_sym_readpipe] = ACTIONS(1661),
    [anon_sym_rewinddir] = ACTIONS(1661),
    [anon_sym_readlink] = ACTIONS(1661),
    [anon_sym_ref] = ACTIONS(1661),
    [anon_sym_scalar] = ACTIONS(1661),
    [anon_sym_shift] = ACTIONS(1661),
    [anon_sym_sin] = ACTIONS(1661),
    [anon_sym_sleep] = ACTIONS(1661),
    [anon_sym_sqrt] = ACTIONS(1661),
    [anon_sym_srand] = ACTIONS(1661),
    [anon_sym_stat] = ACTIONS(1661),
    [anon_sym_study] = ACTIONS(1661),
    [anon_sym_tell] = ACTIONS(1661),
    [anon_sym_telldir] = ACTIONS(1661),
    [anon_sym_tied] = ACTIONS(1661),
    [anon_sym_uc] = ACTIONS(1661),
    [anon_sym_ucfirst] = ACTIONS(1661),
    [anon_sym_untie] = ACTIONS(1661),
    [anon_sym_umask] = ACTIONS(1661),
    [anon_sym_values] = ACTIONS(1661),
    [anon_sym_write] = ACTIONS(1661),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1661),
    [anon_sym_qq] = ACTIONS(1661),
    [anon_sym_qw] = ACTIONS(1661),
    [anon_sym_qx] = ACTIONS(1661),
    [anon_sym_qr] = ACTIONS(1661),
    [anon_sym_m] = ACTIONS(1661),
    [anon_sym_s] = ACTIONS(1661),
    [anon_sym_tr] = ACTIONS(1661),
    [anon_sym_y] = ACTIONS(1661),
    [anon_sym_if] = ACTIONS(1661),
    [anon_sym_unless] = ACTIONS(1661),
    [anon_sym_while] = ACTIONS(1661),
    [anon_sym_until] = ACTIONS(1661),
    [aux_sym__bareword_token1] = ACTIONS(1661),
    [sym_number] = ACTIONS(1661),
    [anon_sym_true] = ACTIONS(1661),
    [anon_sym_false] = ACTIONS(1661),
    [sym__single_quote] = ACTIONS(1659),
    [sym__double_quote] = ACTIONS(1659),
    [sym__backtick_quote] = ACTIONS(1659),
    [sym__search_slash_quote] = ACTIONS(1659),
    [sym__open_readline_bracket] = ACTIONS(1659),
    [sym__open_fileglob_bracket] = ACTIONS(1659),
    [sym__PERLY_HEREDOC] = ACTIONS(1659),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1659),
    [sym__filetest] = ACTIONS(1659),
  },
  [990] = {
    [sym_heredoc_content] = STATE(990),
    [sym__identifier] = ACTIONS(2001),
    [anon_sym_LBRACE] = ACTIONS(2001),
    [anon_sym_RBRACE] = ACTIONS(2001),
    [anon_sym_SEMI] = ACTIONS(2001),
    [anon_sym_package] = ACTIONS(2001),
    [anon_sym_class] = ACTIONS(2001),
    [anon_sym_role] = ACTIONS(2001),
    [anon_sym_BUILD] = ACTIONS(2001),
    [anon_sym_ADJUST] = ACTIONS(2001),
    [anon_sym_DOLLAR] = ACTIONS(2001),
    [anon_sym_AT] = ACTIONS(2001),
    [anon_sym_my] = ACTIONS(2001),
    [anon_sym_extended] = ACTIONS(2001),
    [anon_sym_async] = ACTIONS(2001),
    [anon_sym_sub] = ACTIONS(2001),
    [anon_sym_method] = ACTIONS(2001),
    [anon_sym_LPAREN] = ACTIONS(2001),
    [anon_sym_continue] = ACTIONS(2001),
    [anon_sym_state] = ACTIONS(2001),
    [anon_sym_our] = ACTIONS(2001),
    [anon_sym_try] = ACTIONS(2001),
    [anon_sym_finally] = ACTIONS(2378),
    [anon_sym_defer] = ACTIONS(2001),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2001),
    [anon_sym_LBRACK] = ACTIONS(2001),
    [anon_sym_LT_LT] = ACTIONS(2001),
    [anon_sym_SLASH_SLASH] = ACTIONS(2001),
    [anon_sym_PLUS] = ACTIONS(2001),
    [anon_sym_DASH] = ACTIONS(2001),
    [anon_sym_TILDE] = ACTIONS(2001),
    [anon_sym_BANG] = ACTIONS(2001),
    [anon_sym_PLUS_PLUS] = ACTIONS(2001),
    [anon_sym_DASH_DASH] = ACTIONS(2001),
    [anon_sym_BSLASH] = ACTIONS(1999),
    [anon_sym_do] = ACTIONS(2001),
    [anon_sym_eval] = ACTIONS(2001),
    [anon_sym_await] = ACTIONS(2001),
    [anon_sym_field] = ACTIONS(2001),
    [anon_sym_local] = ACTIONS(2001),
    [anon_sym_dynamically] = ACTIONS(2001),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2001),
    [anon_sym_require] = ACTIONS(2001),
    [anon_sym_map] = ACTIONS(2001),
    [anon_sym_grep] = ACTIONS(2001),
    [anon_sym_sort] = ACTIONS(2001),
    [anon_sym_goto] = ACTIONS(2001),
    [anon_sym_return] = ACTIONS(2001),
    [anon_sym_undef] = ACTIONS(2001),
    [anon_sym_PERCENT2] = ACTIONS(2001),
    [anon_sym_AMP2] = ACTIONS(2001),
    [anon_sym_STAR2] = ACTIONS(2001),
    [anon_sym_use] = ACTIONS(2001),
    [anon_sym_no] = ACTIONS(2001),
    [anon_sym_for] = ACTIONS(2001),
    [anon_sym_foreach] = ACTIONS(2001),
    [anon_sym_last] = ACTIONS(2001),
    [anon_sym_next] = ACTIONS(2001),
    [anon_sym_redo] = ACTIONS(2001),
    [anon_sym_BEGIN] = ACTIONS(2001),
    [anon_sym_INIT] = ACTIONS(2001),
    [anon_sym_CHECK] = ACTIONS(2001),
    [anon_sym_UNITCHECK] = ACTIONS(2001),
    [anon_sym_END] = ACTIONS(2001),
    [anon_sym___FILE__] = ACTIONS(2001),
    [anon_sym___LINE__] = ACTIONS(2001),
    [anon_sym___PACKAGE__] = ACTIONS(2001),
    [anon_sym___SUB__] = ACTIONS(2001),
    [anon_sym_break] = ACTIONS(2001),
    [anon_sym_fork] = ACTIONS(2001),
    [anon_sym_getppid] = ACTIONS(2001),
    [anon_sym_time] = ACTIONS(2001),
    [anon_sym_times] = ACTIONS(2001),
    [anon_sym_wait] = ACTIONS(2001),
    [anon_sym_wantarray] = ACTIONS(2001),
    [anon_sym_abs] = ACTIONS(2001),
    [anon_sym_alarm] = ACTIONS(2001),
    [anon_sym_chop] = ACTIONS(2001),
    [anon_sym_chdir] = ACTIONS(2001),
    [anon_sym_close] = ACTIONS(2001),
    [anon_sym_closedir] = ACTIONS(2001),
    [anon_sym_caller] = ACTIONS(2001),
    [anon_sym_chomp] = ACTIONS(2001),
    [anon_sym_chr] = ACTIONS(2001),
    [anon_sym_cos] = ACTIONS(2001),
    [anon_sym_chroot] = ACTIONS(2001),
    [anon_sym_defined] = ACTIONS(2001),
    [anon_sym_delete] = ACTIONS(2001),
    [anon_sym_dbmclose] = ACTIONS(2001),
    [anon_sym_exists] = ACTIONS(2001),
    [anon_sym_exit] = ACTIONS(2001),
    [anon_sym_eof] = ACTIONS(2001),
    [anon_sym_exp] = ACTIONS(2001),
    [anon_sym_each] = ACTIONS(2001),
    [anon_sym_fc] = ACTIONS(2001),
    [anon_sym_fileno] = ACTIONS(2001),
    [anon_sym_gmtime] = ACTIONS(2001),
    [anon_sym_getc] = ACTIONS(2001),
    [anon_sym_getpgrp] = ACTIONS(2001),
    [anon_sym_getprotobyname] = ACTIONS(2001),
    [anon_sym_getpwname] = ACTIONS(2001),
    [anon_sym_getpwuid] = ACTIONS(2001),
    [anon_sym_getpeername] = ACTIONS(2001),
    [anon_sym_getnetbyname] = ACTIONS(2001),
    [anon_sym_getsockname] = ACTIONS(2001),
    [anon_sym_getgrnam] = ACTIONS(2001),
    [anon_sym_getgrgid] = ACTIONS(2001),
    [anon_sym_hex] = ACTIONS(2001),
    [anon_sym_int] = ACTIONS(2001),
    [anon_sym_keys] = ACTIONS(2001),
    [anon_sym_lc] = ACTIONS(2001),
    [anon_sym_lcfirst] = ACTIONS(2001),
    [anon_sym_length] = ACTIONS(2001),
    [anon_sym_localtime] = ACTIONS(2001),
    [anon_sym_log] = ACTIONS(2001),
    [anon_sym_lock] = ACTIONS(2001),
    [anon_sym_lstat] = ACTIONS(2001),
    [anon_sym_oct] = ACTIONS(2001),
    [anon_sym_ord] = ACTIONS(2001),
    [anon_sym_prototype] = ACTIONS(2001),
    [anon_sym_pop] = ACTIONS(2001),
    [anon_sym_pos] = ACTIONS(2001),
    [anon_sym_quotemeta] = ACTIONS(2001),
    [anon_sym_reset] = ACTIONS(2001),
    [anon_sym_rand] = ACTIONS(2001),
    [anon_sym_rmdir] = ACTIONS(2001),
    [anon_sym_readdir] = ACTIONS(2001),
    [anon_sym_readline] = ACTIONS(2001),
    [anon_sym_readpipe] = ACTIONS(2001),
    [anon_sym_rewinddir] = ACTIONS(2001),
    [anon_sym_readlink] = ACTIONS(2001),
    [anon_sym_ref] = ACTIONS(2001),
    [anon_sym_scalar] = ACTIONS(2001),
    [anon_sym_shift] = ACTIONS(2001),
    [anon_sym_sin] = ACTIONS(2001),
    [anon_sym_sleep] = ACTIONS(2001),
    [anon_sym_sqrt] = ACTIONS(2001),
    [anon_sym_srand] = ACTIONS(2001),
    [anon_sym_stat] = ACTIONS(2001),
    [anon_sym_study] = ACTIONS(2001),
    [anon_sym_tell] = ACTIONS(2001),
    [anon_sym_telldir] = ACTIONS(2001),
    [anon_sym_tied] = ACTIONS(2001),
    [anon_sym_uc] = ACTIONS(2001),
    [anon_sym_ucfirst] = ACTIONS(2001),
    [anon_sym_untie] = ACTIONS(2001),
    [anon_sym_umask] = ACTIONS(2001),
    [anon_sym_values] = ACTIONS(2001),
    [anon_sym_write] = ACTIONS(2001),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2001),
    [anon_sym_qq] = ACTIONS(2001),
    [anon_sym_qw] = ACTIONS(2001),
    [anon_sym_qx] = ACTIONS(2001),
    [anon_sym_qr] = ACTIONS(2001),
    [anon_sym_m] = ACTIONS(2001),
    [anon_sym_s] = ACTIONS(2001),
    [anon_sym_tr] = ACTIONS(2001),
    [anon_sym_y] = ACTIONS(2001),
    [anon_sym_if] = ACTIONS(2001),
    [anon_sym_unless] = ACTIONS(2001),
    [anon_sym_while] = ACTIONS(2001),
    [anon_sym_until] = ACTIONS(2001),
    [aux_sym__bareword_token1] = ACTIONS(2001),
    [sym_number] = ACTIONS(2001),
    [anon_sym_true] = ACTIONS(2001),
    [anon_sym_false] = ACTIONS(2001),
    [sym__single_quote] = ACTIONS(1999),
    [sym__double_quote] = ACTIONS(1999),
    [sym__backtick_quote] = ACTIONS(1999),
    [sym__search_slash_quote] = ACTIONS(1999),
    [sym__open_readline_bracket] = ACTIONS(1999),
    [sym__open_fileglob_bracket] = ACTIONS(1999),
    [sym__PERLY_HEREDOC] = ACTIONS(1999),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1999),
    [sym__filetest] = ACTIONS(1999),
  },
  [991] = {
    [sym_heredoc_content] = STATE(991),
    [sym__identifier] = ACTIONS(1661),
    [anon_sym_LBRACE] = ACTIONS(1661),
    [anon_sym_RBRACE] = ACTIONS(1661),
    [anon_sym_SEMI] = ACTIONS(1661),
    [anon_sym_package] = ACTIONS(1661),
    [anon_sym_class] = ACTIONS(1661),
    [anon_sym_role] = ACTIONS(1661),
    [anon_sym_BUILD] = ACTIONS(1661),
    [anon_sym_ADJUST] = ACTIONS(1661),
    [anon_sym_DOLLAR] = ACTIONS(1661),
    [anon_sym_AT] = ACTIONS(1661),
    [anon_sym_my] = ACTIONS(1661),
    [anon_sym_extended] = ACTIONS(1661),
    [anon_sym_async] = ACTIONS(1661),
    [anon_sym_sub] = ACTIONS(1661),
    [anon_sym_method] = ACTIONS(1661),
    [anon_sym_LPAREN] = ACTIONS(1661),
    [anon_sym_continue] = ACTIONS(1661),
    [anon_sym_state] = ACTIONS(1661),
    [anon_sym_our] = ACTIONS(1661),
    [anon_sym_try] = ACTIONS(1661),
    [anon_sym_finally] = ACTIONS(1661),
    [anon_sym_defer] = ACTIONS(1661),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1661),
    [anon_sym_LBRACK] = ACTIONS(1661),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1661),
    [anon_sym_PLUS] = ACTIONS(1661),
    [anon_sym_DASH] = ACTIONS(1661),
    [anon_sym_TILDE] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1661),
    [anon_sym_PLUS_PLUS] = ACTIONS(1661),
    [anon_sym_DASH_DASH] = ACTIONS(1661),
    [anon_sym_BSLASH] = ACTIONS(1659),
    [anon_sym_do] = ACTIONS(1661),
    [anon_sym_eval] = ACTIONS(1661),
    [anon_sym_await] = ACTIONS(1661),
    [anon_sym_field] = ACTIONS(1661),
    [anon_sym_local] = ACTIONS(1661),
    [anon_sym_dynamically] = ACTIONS(1661),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1661),
    [anon_sym_require] = ACTIONS(1661),
    [anon_sym_map] = ACTIONS(1661),
    [anon_sym_grep] = ACTIONS(1661),
    [anon_sym_sort] = ACTIONS(1661),
    [anon_sym_goto] = ACTIONS(1661),
    [anon_sym_return] = ACTIONS(1661),
    [anon_sym_undef] = ACTIONS(1661),
    [anon_sym_PERCENT2] = ACTIONS(1661),
    [anon_sym_AMP2] = ACTIONS(1661),
    [anon_sym_STAR2] = ACTIONS(1661),
    [anon_sym_use] = ACTIONS(1661),
    [anon_sym_no] = ACTIONS(1661),
    [anon_sym_for] = ACTIONS(1661),
    [anon_sym_foreach] = ACTIONS(1661),
    [anon_sym_last] = ACTIONS(1661),
    [anon_sym_next] = ACTIONS(1661),
    [anon_sym_redo] = ACTIONS(1661),
    [anon_sym_BEGIN] = ACTIONS(1661),
    [anon_sym_INIT] = ACTIONS(1661),
    [anon_sym_CHECK] = ACTIONS(1661),
    [anon_sym_UNITCHECK] = ACTIONS(1661),
    [anon_sym_END] = ACTIONS(1661),
    [anon_sym___FILE__] = ACTIONS(1661),
    [anon_sym___LINE__] = ACTIONS(1661),
    [anon_sym___PACKAGE__] = ACTIONS(1661),
    [anon_sym___SUB__] = ACTIONS(1661),
    [anon_sym_break] = ACTIONS(1661),
    [anon_sym_fork] = ACTIONS(1661),
    [anon_sym_getppid] = ACTIONS(1661),
    [anon_sym_time] = ACTIONS(1661),
    [anon_sym_times] = ACTIONS(1661),
    [anon_sym_wait] = ACTIONS(1661),
    [anon_sym_wantarray] = ACTIONS(1661),
    [anon_sym_abs] = ACTIONS(1661),
    [anon_sym_alarm] = ACTIONS(1661),
    [anon_sym_chop] = ACTIONS(1661),
    [anon_sym_chdir] = ACTIONS(1661),
    [anon_sym_close] = ACTIONS(1661),
    [anon_sym_closedir] = ACTIONS(1661),
    [anon_sym_caller] = ACTIONS(1661),
    [anon_sym_chomp] = ACTIONS(1661),
    [anon_sym_chr] = ACTIONS(1661),
    [anon_sym_cos] = ACTIONS(1661),
    [anon_sym_chroot] = ACTIONS(1661),
    [anon_sym_defined] = ACTIONS(1661),
    [anon_sym_delete] = ACTIONS(1661),
    [anon_sym_dbmclose] = ACTIONS(1661),
    [anon_sym_exists] = ACTIONS(1661),
    [anon_sym_exit] = ACTIONS(1661),
    [anon_sym_eof] = ACTIONS(1661),
    [anon_sym_exp] = ACTIONS(1661),
    [anon_sym_each] = ACTIONS(1661),
    [anon_sym_fc] = ACTIONS(1661),
    [anon_sym_fileno] = ACTIONS(1661),
    [anon_sym_gmtime] = ACTIONS(1661),
    [anon_sym_getc] = ACTIONS(1661),
    [anon_sym_getpgrp] = ACTIONS(1661),
    [anon_sym_getprotobyname] = ACTIONS(1661),
    [anon_sym_getpwname] = ACTIONS(1661),
    [anon_sym_getpwuid] = ACTIONS(1661),
    [anon_sym_getpeername] = ACTIONS(1661),
    [anon_sym_getnetbyname] = ACTIONS(1661),
    [anon_sym_getsockname] = ACTIONS(1661),
    [anon_sym_getgrnam] = ACTIONS(1661),
    [anon_sym_getgrgid] = ACTIONS(1661),
    [anon_sym_hex] = ACTIONS(1661),
    [anon_sym_int] = ACTIONS(1661),
    [anon_sym_keys] = ACTIONS(1661),
    [anon_sym_lc] = ACTIONS(1661),
    [anon_sym_lcfirst] = ACTIONS(1661),
    [anon_sym_length] = ACTIONS(1661),
    [anon_sym_localtime] = ACTIONS(1661),
    [anon_sym_log] = ACTIONS(1661),
    [anon_sym_lock] = ACTIONS(1661),
    [anon_sym_lstat] = ACTIONS(1661),
    [anon_sym_oct] = ACTIONS(1661),
    [anon_sym_ord] = ACTIONS(1661),
    [anon_sym_prototype] = ACTIONS(1661),
    [anon_sym_pop] = ACTIONS(1661),
    [anon_sym_pos] = ACTIONS(1661),
    [anon_sym_quotemeta] = ACTIONS(1661),
    [anon_sym_reset] = ACTIONS(1661),
    [anon_sym_rand] = ACTIONS(1661),
    [anon_sym_rmdir] = ACTIONS(1661),
    [anon_sym_readdir] = ACTIONS(1661),
    [anon_sym_readline] = ACTIONS(1661),
    [anon_sym_readpipe] = ACTIONS(1661),
    [anon_sym_rewinddir] = ACTIONS(1661),
    [anon_sym_readlink] = ACTIONS(1661),
    [anon_sym_ref] = ACTIONS(1661),
    [anon_sym_scalar] = ACTIONS(1661),
    [anon_sym_shift] = ACTIONS(1661),
    [anon_sym_sin] = ACTIONS(1661),
    [anon_sym_sleep] = ACTIONS(1661),
    [anon_sym_sqrt] = ACTIONS(1661),
    [anon_sym_srand] = ACTIONS(1661),
    [anon_sym_stat] = ACTIONS(1661),
    [anon_sym_study] = ACTIONS(1661),
    [anon_sym_tell] = ACTIONS(1661),
    [anon_sym_telldir] = ACTIONS(1661),
    [anon_sym_tied] = ACTIONS(1661),
    [anon_sym_uc] = ACTIONS(1661),
    [anon_sym_ucfirst] = ACTIONS(1661),
    [anon_sym_untie] = ACTIONS(1661),
    [anon_sym_umask] = ACTIONS(1661),
    [anon_sym_values] = ACTIONS(1661),
    [anon_sym_write] = ACTIONS(1661),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1661),
    [anon_sym_qq] = ACTIONS(1661),
    [anon_sym_qw] = ACTIONS(1661),
    [anon_sym_qx] = ACTIONS(1661),
    [anon_sym_qr] = ACTIONS(1661),
    [anon_sym_m] = ACTIONS(1661),
    [anon_sym_s] = ACTIONS(1661),
    [anon_sym_tr] = ACTIONS(1661),
    [anon_sym_y] = ACTIONS(1661),
    [anon_sym_if] = ACTIONS(1661),
    [anon_sym_unless] = ACTIONS(1661),
    [anon_sym_while] = ACTIONS(1661),
    [anon_sym_until] = ACTIONS(1661),
    [aux_sym__bareword_token1] = ACTIONS(1661),
    [sym_number] = ACTIONS(1661),
    [anon_sym_true] = ACTIONS(1661),
    [anon_sym_false] = ACTIONS(1661),
    [sym__single_quote] = ACTIONS(1659),
    [sym__double_quote] = ACTIONS(1659),
    [sym__backtick_quote] = ACTIONS(1659),
    [sym__search_slash_quote] = ACTIONS(1659),
    [sym__open_readline_bracket] = ACTIONS(1659),
    [sym__open_fileglob_bracket] = ACTIONS(1659),
    [sym__PERLY_HEREDOC] = ACTIONS(1659),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1659),
    [sym__filetest] = ACTIONS(1659),
  },
  [992] = {
    [sym_heredoc_content] = STATE(992),
    [sym__identifier] = ACTIONS(1824),
    [anon_sym_LBRACE] = ACTIONS(1824),
    [anon_sym_RBRACE] = ACTIONS(1824),
    [anon_sym_SEMI] = ACTIONS(1824),
    [anon_sym_package] = ACTIONS(1824),
    [anon_sym_class] = ACTIONS(1824),
    [anon_sym_role] = ACTIONS(1824),
    [anon_sym_BUILD] = ACTIONS(1824),
    [anon_sym_ADJUST] = ACTIONS(1824),
    [anon_sym_DOLLAR] = ACTIONS(1824),
    [anon_sym_AT] = ACTIONS(1824),
    [anon_sym_my] = ACTIONS(1824),
    [anon_sym_extended] = ACTIONS(1824),
    [anon_sym_async] = ACTIONS(1824),
    [anon_sym_sub] = ACTIONS(1824),
    [anon_sym_method] = ACTIONS(1824),
    [anon_sym_LPAREN] = ACTIONS(1824),
    [anon_sym_continue] = ACTIONS(1824),
    [anon_sym_state] = ACTIONS(1824),
    [anon_sym_our] = ACTIONS(1824),
    [anon_sym_try] = ACTIONS(1824),
    [anon_sym_finally] = ACTIONS(1824),
    [anon_sym_defer] = ACTIONS(1824),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1824),
    [anon_sym_LBRACK] = ACTIONS(1824),
    [anon_sym_LT_LT] = ACTIONS(1824),
    [anon_sym_SLASH_SLASH] = ACTIONS(1824),
    [anon_sym_PLUS] = ACTIONS(1824),
    [anon_sym_DASH] = ACTIONS(1824),
    [anon_sym_TILDE] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1824),
    [anon_sym_PLUS_PLUS] = ACTIONS(1824),
    [anon_sym_DASH_DASH] = ACTIONS(1824),
    [anon_sym_BSLASH] = ACTIONS(1826),
    [anon_sym_do] = ACTIONS(1824),
    [anon_sym_eval] = ACTIONS(1824),
    [anon_sym_await] = ACTIONS(1824),
    [anon_sym_field] = ACTIONS(1824),
    [anon_sym_local] = ACTIONS(1824),
    [anon_sym_dynamically] = ACTIONS(1824),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1824),
    [anon_sym_require] = ACTIONS(1824),
    [anon_sym_map] = ACTIONS(1824),
    [anon_sym_grep] = ACTIONS(1824),
    [anon_sym_sort] = ACTIONS(1824),
    [anon_sym_goto] = ACTIONS(1824),
    [anon_sym_return] = ACTIONS(1824),
    [anon_sym_undef] = ACTIONS(1824),
    [anon_sym_PERCENT2] = ACTIONS(1824),
    [anon_sym_AMP2] = ACTIONS(1824),
    [anon_sym_STAR2] = ACTIONS(1824),
    [anon_sym_use] = ACTIONS(1824),
    [anon_sym_no] = ACTIONS(1824),
    [anon_sym_for] = ACTIONS(1824),
    [anon_sym_foreach] = ACTIONS(1824),
    [anon_sym_last] = ACTIONS(1824),
    [anon_sym_next] = ACTIONS(1824),
    [anon_sym_redo] = ACTIONS(1824),
    [anon_sym_BEGIN] = ACTIONS(1824),
    [anon_sym_INIT] = ACTIONS(1824),
    [anon_sym_CHECK] = ACTIONS(1824),
    [anon_sym_UNITCHECK] = ACTIONS(1824),
    [anon_sym_END] = ACTIONS(1824),
    [anon_sym___FILE__] = ACTIONS(1824),
    [anon_sym___LINE__] = ACTIONS(1824),
    [anon_sym___PACKAGE__] = ACTIONS(1824),
    [anon_sym___SUB__] = ACTIONS(1824),
    [anon_sym_break] = ACTIONS(1824),
    [anon_sym_fork] = ACTIONS(1824),
    [anon_sym_getppid] = ACTIONS(1824),
    [anon_sym_time] = ACTIONS(1824),
    [anon_sym_times] = ACTIONS(1824),
    [anon_sym_wait] = ACTIONS(1824),
    [anon_sym_wantarray] = ACTIONS(1824),
    [anon_sym_abs] = ACTIONS(1824),
    [anon_sym_alarm] = ACTIONS(1824),
    [anon_sym_chop] = ACTIONS(1824),
    [anon_sym_chdir] = ACTIONS(1824),
    [anon_sym_close] = ACTIONS(1824),
    [anon_sym_closedir] = ACTIONS(1824),
    [anon_sym_caller] = ACTIONS(1824),
    [anon_sym_chomp] = ACTIONS(1824),
    [anon_sym_chr] = ACTIONS(1824),
    [anon_sym_cos] = ACTIONS(1824),
    [anon_sym_chroot] = ACTIONS(1824),
    [anon_sym_defined] = ACTIONS(1824),
    [anon_sym_delete] = ACTIONS(1824),
    [anon_sym_dbmclose] = ACTIONS(1824),
    [anon_sym_exists] = ACTIONS(1824),
    [anon_sym_exit] = ACTIONS(1824),
    [anon_sym_eof] = ACTIONS(1824),
    [anon_sym_exp] = ACTIONS(1824),
    [anon_sym_each] = ACTIONS(1824),
    [anon_sym_fc] = ACTIONS(1824),
    [anon_sym_fileno] = ACTIONS(1824),
    [anon_sym_gmtime] = ACTIONS(1824),
    [anon_sym_getc] = ACTIONS(1824),
    [anon_sym_getpgrp] = ACTIONS(1824),
    [anon_sym_getprotobyname] = ACTIONS(1824),
    [anon_sym_getpwname] = ACTIONS(1824),
    [anon_sym_getpwuid] = ACTIONS(1824),
    [anon_sym_getpeername] = ACTIONS(1824),
    [anon_sym_getnetbyname] = ACTIONS(1824),
    [anon_sym_getsockname] = ACTIONS(1824),
    [anon_sym_getgrnam] = ACTIONS(1824),
    [anon_sym_getgrgid] = ACTIONS(1824),
    [anon_sym_hex] = ACTIONS(1824),
    [anon_sym_int] = ACTIONS(1824),
    [anon_sym_keys] = ACTIONS(1824),
    [anon_sym_lc] = ACTIONS(1824),
    [anon_sym_lcfirst] = ACTIONS(1824),
    [anon_sym_length] = ACTIONS(1824),
    [anon_sym_localtime] = ACTIONS(1824),
    [anon_sym_log] = ACTIONS(1824),
    [anon_sym_lock] = ACTIONS(1824),
    [anon_sym_lstat] = ACTIONS(1824),
    [anon_sym_oct] = ACTIONS(1824),
    [anon_sym_ord] = ACTIONS(1824),
    [anon_sym_prototype] = ACTIONS(1824),
    [anon_sym_pop] = ACTIONS(1824),
    [anon_sym_pos] = ACTIONS(1824),
    [anon_sym_quotemeta] = ACTIONS(1824),
    [anon_sym_reset] = ACTIONS(1824),
    [anon_sym_rand] = ACTIONS(1824),
    [anon_sym_rmdir] = ACTIONS(1824),
    [anon_sym_readdir] = ACTIONS(1824),
    [anon_sym_readline] = ACTIONS(1824),
    [anon_sym_readpipe] = ACTIONS(1824),
    [anon_sym_rewinddir] = ACTIONS(1824),
    [anon_sym_readlink] = ACTIONS(1824),
    [anon_sym_ref] = ACTIONS(1824),
    [anon_sym_scalar] = ACTIONS(1824),
    [anon_sym_shift] = ACTIONS(1824),
    [anon_sym_sin] = ACTIONS(1824),
    [anon_sym_sleep] = ACTIONS(1824),
    [anon_sym_sqrt] = ACTIONS(1824),
    [anon_sym_srand] = ACTIONS(1824),
    [anon_sym_stat] = ACTIONS(1824),
    [anon_sym_study] = ACTIONS(1824),
    [anon_sym_tell] = ACTIONS(1824),
    [anon_sym_telldir] = ACTIONS(1824),
    [anon_sym_tied] = ACTIONS(1824),
    [anon_sym_uc] = ACTIONS(1824),
    [anon_sym_ucfirst] = ACTIONS(1824),
    [anon_sym_untie] = ACTIONS(1824),
    [anon_sym_umask] = ACTIONS(1824),
    [anon_sym_values] = ACTIONS(1824),
    [anon_sym_write] = ACTIONS(1824),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1824),
    [anon_sym_qq] = ACTIONS(1824),
    [anon_sym_qw] = ACTIONS(1824),
    [anon_sym_qx] = ACTIONS(1824),
    [anon_sym_qr] = ACTIONS(1824),
    [anon_sym_m] = ACTIONS(1824),
    [anon_sym_s] = ACTIONS(1824),
    [anon_sym_tr] = ACTIONS(1824),
    [anon_sym_y] = ACTIONS(1824),
    [anon_sym_if] = ACTIONS(1824),
    [anon_sym_unless] = ACTIONS(1824),
    [anon_sym_while] = ACTIONS(1824),
    [anon_sym_until] = ACTIONS(1824),
    [aux_sym__bareword_token1] = ACTIONS(1824),
    [sym_number] = ACTIONS(1824),
    [anon_sym_true] = ACTIONS(1824),
    [anon_sym_false] = ACTIONS(1824),
    [sym__single_quote] = ACTIONS(1826),
    [sym__double_quote] = ACTIONS(1826),
    [sym__backtick_quote] = ACTIONS(1826),
    [sym__search_slash_quote] = ACTIONS(1826),
    [sym__open_readline_bracket] = ACTIONS(1826),
    [sym__open_fileglob_bracket] = ACTIONS(1826),
    [sym__PERLY_HEREDOC] = ACTIONS(1826),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1826),
    [sym__filetest] = ACTIONS(1826),
  },
  [993] = {
    [sym_heredoc_content] = STATE(993),
    [sym__identifier] = ACTIONS(2007),
    [anon_sym_LBRACE] = ACTIONS(2007),
    [anon_sym_RBRACE] = ACTIONS(2007),
    [anon_sym_SEMI] = ACTIONS(2007),
    [anon_sym_package] = ACTIONS(2007),
    [anon_sym_class] = ACTIONS(2007),
    [anon_sym_role] = ACTIONS(2007),
    [anon_sym_BUILD] = ACTIONS(2007),
    [anon_sym_ADJUST] = ACTIONS(2007),
    [anon_sym_DOLLAR] = ACTIONS(2007),
    [anon_sym_AT] = ACTIONS(2007),
    [anon_sym_my] = ACTIONS(2007),
    [anon_sym_extended] = ACTIONS(2007),
    [anon_sym_async] = ACTIONS(2007),
    [anon_sym_sub] = ACTIONS(2007),
    [anon_sym_method] = ACTIONS(2007),
    [anon_sym_LPAREN] = ACTIONS(2007),
    [anon_sym_continue] = ACTIONS(2007),
    [anon_sym_state] = ACTIONS(2007),
    [anon_sym_our] = ACTIONS(2007),
    [anon_sym_try] = ACTIONS(2007),
    [anon_sym_finally] = ACTIONS(2380),
    [anon_sym_defer] = ACTIONS(2007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2007),
    [anon_sym_LBRACK] = ACTIONS(2007),
    [anon_sym_LT_LT] = ACTIONS(2007),
    [anon_sym_SLASH_SLASH] = ACTIONS(2007),
    [anon_sym_PLUS] = ACTIONS(2007),
    [anon_sym_DASH] = ACTIONS(2007),
    [anon_sym_TILDE] = ACTIONS(2007),
    [anon_sym_BANG] = ACTIONS(2007),
    [anon_sym_PLUS_PLUS] = ACTIONS(2007),
    [anon_sym_DASH_DASH] = ACTIONS(2007),
    [anon_sym_BSLASH] = ACTIONS(2005),
    [anon_sym_do] = ACTIONS(2007),
    [anon_sym_eval] = ACTIONS(2007),
    [anon_sym_await] = ACTIONS(2007),
    [anon_sym_field] = ACTIONS(2007),
    [anon_sym_local] = ACTIONS(2007),
    [anon_sym_dynamically] = ACTIONS(2007),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2007),
    [anon_sym_require] = ACTIONS(2007),
    [anon_sym_map] = ACTIONS(2007),
    [anon_sym_grep] = ACTIONS(2007),
    [anon_sym_sort] = ACTIONS(2007),
    [anon_sym_goto] = ACTIONS(2007),
    [anon_sym_return] = ACTIONS(2007),
    [anon_sym_undef] = ACTIONS(2007),
    [anon_sym_PERCENT2] = ACTIONS(2007),
    [anon_sym_AMP2] = ACTIONS(2007),
    [anon_sym_STAR2] = ACTIONS(2007),
    [anon_sym_use] = ACTIONS(2007),
    [anon_sym_no] = ACTIONS(2007),
    [anon_sym_for] = ACTIONS(2007),
    [anon_sym_foreach] = ACTIONS(2007),
    [anon_sym_last] = ACTIONS(2007),
    [anon_sym_next] = ACTIONS(2007),
    [anon_sym_redo] = ACTIONS(2007),
    [anon_sym_BEGIN] = ACTIONS(2007),
    [anon_sym_INIT] = ACTIONS(2007),
    [anon_sym_CHECK] = ACTIONS(2007),
    [anon_sym_UNITCHECK] = ACTIONS(2007),
    [anon_sym_END] = ACTIONS(2007),
    [anon_sym___FILE__] = ACTIONS(2007),
    [anon_sym___LINE__] = ACTIONS(2007),
    [anon_sym___PACKAGE__] = ACTIONS(2007),
    [anon_sym___SUB__] = ACTIONS(2007),
    [anon_sym_break] = ACTIONS(2007),
    [anon_sym_fork] = ACTIONS(2007),
    [anon_sym_getppid] = ACTIONS(2007),
    [anon_sym_time] = ACTIONS(2007),
    [anon_sym_times] = ACTIONS(2007),
    [anon_sym_wait] = ACTIONS(2007),
    [anon_sym_wantarray] = ACTIONS(2007),
    [anon_sym_abs] = ACTIONS(2007),
    [anon_sym_alarm] = ACTIONS(2007),
    [anon_sym_chop] = ACTIONS(2007),
    [anon_sym_chdir] = ACTIONS(2007),
    [anon_sym_close] = ACTIONS(2007),
    [anon_sym_closedir] = ACTIONS(2007),
    [anon_sym_caller] = ACTIONS(2007),
    [anon_sym_chomp] = ACTIONS(2007),
    [anon_sym_chr] = ACTIONS(2007),
    [anon_sym_cos] = ACTIONS(2007),
    [anon_sym_chroot] = ACTIONS(2007),
    [anon_sym_defined] = ACTIONS(2007),
    [anon_sym_delete] = ACTIONS(2007),
    [anon_sym_dbmclose] = ACTIONS(2007),
    [anon_sym_exists] = ACTIONS(2007),
    [anon_sym_exit] = ACTIONS(2007),
    [anon_sym_eof] = ACTIONS(2007),
    [anon_sym_exp] = ACTIONS(2007),
    [anon_sym_each] = ACTIONS(2007),
    [anon_sym_fc] = ACTIONS(2007),
    [anon_sym_fileno] = ACTIONS(2007),
    [anon_sym_gmtime] = ACTIONS(2007),
    [anon_sym_getc] = ACTIONS(2007),
    [anon_sym_getpgrp] = ACTIONS(2007),
    [anon_sym_getprotobyname] = ACTIONS(2007),
    [anon_sym_getpwname] = ACTIONS(2007),
    [anon_sym_getpwuid] = ACTIONS(2007),
    [anon_sym_getpeername] = ACTIONS(2007),
    [anon_sym_getnetbyname] = ACTIONS(2007),
    [anon_sym_getsockname] = ACTIONS(2007),
    [anon_sym_getgrnam] = ACTIONS(2007),
    [anon_sym_getgrgid] = ACTIONS(2007),
    [anon_sym_hex] = ACTIONS(2007),
    [anon_sym_int] = ACTIONS(2007),
    [anon_sym_keys] = ACTIONS(2007),
    [anon_sym_lc] = ACTIONS(2007),
    [anon_sym_lcfirst] = ACTIONS(2007),
    [anon_sym_length] = ACTIONS(2007),
    [anon_sym_localtime] = ACTIONS(2007),
    [anon_sym_log] = ACTIONS(2007),
    [anon_sym_lock] = ACTIONS(2007),
    [anon_sym_lstat] = ACTIONS(2007),
    [anon_sym_oct] = ACTIONS(2007),
    [anon_sym_ord] = ACTIONS(2007),
    [anon_sym_prototype] = ACTIONS(2007),
    [anon_sym_pop] = ACTIONS(2007),
    [anon_sym_pos] = ACTIONS(2007),
    [anon_sym_quotemeta] = ACTIONS(2007),
    [anon_sym_reset] = ACTIONS(2007),
    [anon_sym_rand] = ACTIONS(2007),
    [anon_sym_rmdir] = ACTIONS(2007),
    [anon_sym_readdir] = ACTIONS(2007),
    [anon_sym_readline] = ACTIONS(2007),
    [anon_sym_readpipe] = ACTIONS(2007),
    [anon_sym_rewinddir] = ACTIONS(2007),
    [anon_sym_readlink] = ACTIONS(2007),
    [anon_sym_ref] = ACTIONS(2007),
    [anon_sym_scalar] = ACTIONS(2007),
    [anon_sym_shift] = ACTIONS(2007),
    [anon_sym_sin] = ACTIONS(2007),
    [anon_sym_sleep] = ACTIONS(2007),
    [anon_sym_sqrt] = ACTIONS(2007),
    [anon_sym_srand] = ACTIONS(2007),
    [anon_sym_stat] = ACTIONS(2007),
    [anon_sym_study] = ACTIONS(2007),
    [anon_sym_tell] = ACTIONS(2007),
    [anon_sym_telldir] = ACTIONS(2007),
    [anon_sym_tied] = ACTIONS(2007),
    [anon_sym_uc] = ACTIONS(2007),
    [anon_sym_ucfirst] = ACTIONS(2007),
    [anon_sym_untie] = ACTIONS(2007),
    [anon_sym_umask] = ACTIONS(2007),
    [anon_sym_values] = ACTIONS(2007),
    [anon_sym_write] = ACTIONS(2007),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2007),
    [anon_sym_qq] = ACTIONS(2007),
    [anon_sym_qw] = ACTIONS(2007),
    [anon_sym_qx] = ACTIONS(2007),
    [anon_sym_qr] = ACTIONS(2007),
    [anon_sym_m] = ACTIONS(2007),
    [anon_sym_s] = ACTIONS(2007),
    [anon_sym_tr] = ACTIONS(2007),
    [anon_sym_y] = ACTIONS(2007),
    [anon_sym_if] = ACTIONS(2007),
    [anon_sym_unless] = ACTIONS(2007),
    [anon_sym_while] = ACTIONS(2007),
    [anon_sym_until] = ACTIONS(2007),
    [aux_sym__bareword_token1] = ACTIONS(2007),
    [sym_number] = ACTIONS(2007),
    [anon_sym_true] = ACTIONS(2007),
    [anon_sym_false] = ACTIONS(2007),
    [sym__single_quote] = ACTIONS(2005),
    [sym__double_quote] = ACTIONS(2005),
    [sym__backtick_quote] = ACTIONS(2005),
    [sym__search_slash_quote] = ACTIONS(2005),
    [sym__open_readline_bracket] = ACTIONS(2005),
    [sym__open_fileglob_bracket] = ACTIONS(2005),
    [sym__PERLY_HEREDOC] = ACTIONS(2005),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2005),
    [sym__filetest] = ACTIONS(2005),
  },
  [994] = {
    [sym_heredoc_content] = STATE(994),
    [sym__identifier] = ACTIONS(2049),
    [anon_sym_LBRACE] = ACTIONS(2049),
    [anon_sym_RBRACE] = ACTIONS(2049),
    [anon_sym_SEMI] = ACTIONS(2049),
    [anon_sym_package] = ACTIONS(2049),
    [anon_sym_class] = ACTIONS(2049),
    [anon_sym_role] = ACTIONS(2049),
    [anon_sym_BUILD] = ACTIONS(2049),
    [anon_sym_ADJUST] = ACTIONS(2049),
    [anon_sym_DOLLAR] = ACTIONS(2049),
    [anon_sym_AT] = ACTIONS(2049),
    [anon_sym_my] = ACTIONS(2049),
    [anon_sym_extended] = ACTIONS(2049),
    [anon_sym_async] = ACTIONS(2049),
    [anon_sym_sub] = ACTIONS(2049),
    [anon_sym_method] = ACTIONS(2049),
    [anon_sym_LPAREN] = ACTIONS(2049),
    [anon_sym_continue] = ACTIONS(2049),
    [anon_sym_state] = ACTIONS(2049),
    [anon_sym_our] = ACTIONS(2049),
    [anon_sym_try] = ACTIONS(2049),
    [anon_sym_defer] = ACTIONS(2049),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2049),
    [anon_sym_LBRACK] = ACTIONS(2049),
    [anon_sym_LT_LT] = ACTIONS(2049),
    [anon_sym_SLASH_SLASH] = ACTIONS(2049),
    [anon_sym_PLUS] = ACTIONS(2049),
    [anon_sym_DASH] = ACTIONS(2049),
    [anon_sym_TILDE] = ACTIONS(2049),
    [anon_sym_BANG] = ACTIONS(2049),
    [anon_sym_PLUS_PLUS] = ACTIONS(2049),
    [anon_sym_DASH_DASH] = ACTIONS(2049),
    [anon_sym_BSLASH] = ACTIONS(2047),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_eval] = ACTIONS(2049),
    [anon_sym_await] = ACTIONS(2049),
    [anon_sym_field] = ACTIONS(2049),
    [anon_sym_local] = ACTIONS(2049),
    [anon_sym_dynamically] = ACTIONS(2049),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2049),
    [anon_sym_require] = ACTIONS(2049),
    [anon_sym_map] = ACTIONS(2049),
    [anon_sym_grep] = ACTIONS(2049),
    [anon_sym_sort] = ACTIONS(2049),
    [anon_sym_goto] = ACTIONS(2049),
    [anon_sym_return] = ACTIONS(2049),
    [anon_sym_undef] = ACTIONS(2049),
    [anon_sym_PERCENT2] = ACTIONS(2049),
    [anon_sym_AMP2] = ACTIONS(2049),
    [anon_sym_STAR2] = ACTIONS(2049),
    [anon_sym_use] = ACTIONS(2049),
    [anon_sym_no] = ACTIONS(2049),
    [anon_sym_for] = ACTIONS(2049),
    [anon_sym_foreach] = ACTIONS(2049),
    [anon_sym_last] = ACTIONS(2049),
    [anon_sym_next] = ACTIONS(2049),
    [anon_sym_redo] = ACTIONS(2049),
    [anon_sym_BEGIN] = ACTIONS(2049),
    [anon_sym_INIT] = ACTIONS(2049),
    [anon_sym_CHECK] = ACTIONS(2049),
    [anon_sym_UNITCHECK] = ACTIONS(2049),
    [anon_sym_END] = ACTIONS(2049),
    [anon_sym___FILE__] = ACTIONS(2049),
    [anon_sym___LINE__] = ACTIONS(2049),
    [anon_sym___PACKAGE__] = ACTIONS(2049),
    [anon_sym___SUB__] = ACTIONS(2049),
    [anon_sym_break] = ACTIONS(2049),
    [anon_sym_fork] = ACTIONS(2049),
    [anon_sym_getppid] = ACTIONS(2049),
    [anon_sym_time] = ACTIONS(2049),
    [anon_sym_times] = ACTIONS(2049),
    [anon_sym_wait] = ACTIONS(2049),
    [anon_sym_wantarray] = ACTIONS(2049),
    [anon_sym_abs] = ACTIONS(2049),
    [anon_sym_alarm] = ACTIONS(2049),
    [anon_sym_chop] = ACTIONS(2049),
    [anon_sym_chdir] = ACTIONS(2049),
    [anon_sym_close] = ACTIONS(2049),
    [anon_sym_closedir] = ACTIONS(2049),
    [anon_sym_caller] = ACTIONS(2049),
    [anon_sym_chomp] = ACTIONS(2049),
    [anon_sym_chr] = ACTIONS(2049),
    [anon_sym_cos] = ACTIONS(2049),
    [anon_sym_chroot] = ACTIONS(2049),
    [anon_sym_defined] = ACTIONS(2049),
    [anon_sym_delete] = ACTIONS(2049),
    [anon_sym_dbmclose] = ACTIONS(2049),
    [anon_sym_exists] = ACTIONS(2049),
    [anon_sym_exit] = ACTIONS(2049),
    [anon_sym_eof] = ACTIONS(2049),
    [anon_sym_exp] = ACTIONS(2049),
    [anon_sym_each] = ACTIONS(2049),
    [anon_sym_fc] = ACTIONS(2049),
    [anon_sym_fileno] = ACTIONS(2049),
    [anon_sym_gmtime] = ACTIONS(2049),
    [anon_sym_getc] = ACTIONS(2049),
    [anon_sym_getpgrp] = ACTIONS(2049),
    [anon_sym_getprotobyname] = ACTIONS(2049),
    [anon_sym_getpwname] = ACTIONS(2049),
    [anon_sym_getpwuid] = ACTIONS(2049),
    [anon_sym_getpeername] = ACTIONS(2049),
    [anon_sym_getnetbyname] = ACTIONS(2049),
    [anon_sym_getsockname] = ACTIONS(2049),
    [anon_sym_getgrnam] = ACTIONS(2049),
    [anon_sym_getgrgid] = ACTIONS(2049),
    [anon_sym_hex] = ACTIONS(2049),
    [anon_sym_int] = ACTIONS(2049),
    [anon_sym_keys] = ACTIONS(2049),
    [anon_sym_lc] = ACTIONS(2049),
    [anon_sym_lcfirst] = ACTIONS(2049),
    [anon_sym_length] = ACTIONS(2049),
    [anon_sym_localtime] = ACTIONS(2049),
    [anon_sym_log] = ACTIONS(2049),
    [anon_sym_lock] = ACTIONS(2049),
    [anon_sym_lstat] = ACTIONS(2049),
    [anon_sym_oct] = ACTIONS(2049),
    [anon_sym_ord] = ACTIONS(2049),
    [anon_sym_prototype] = ACTIONS(2049),
    [anon_sym_pop] = ACTIONS(2049),
    [anon_sym_pos] = ACTIONS(2049),
    [anon_sym_quotemeta] = ACTIONS(2049),
    [anon_sym_reset] = ACTIONS(2049),
    [anon_sym_rand] = ACTIONS(2049),
    [anon_sym_rmdir] = ACTIONS(2049),
    [anon_sym_readdir] = ACTIONS(2049),
    [anon_sym_readline] = ACTIONS(2049),
    [anon_sym_readpipe] = ACTIONS(2049),
    [anon_sym_rewinddir] = ACTIONS(2049),
    [anon_sym_readlink] = ACTIONS(2049),
    [anon_sym_ref] = ACTIONS(2049),
    [anon_sym_scalar] = ACTIONS(2049),
    [anon_sym_shift] = ACTIONS(2049),
    [anon_sym_sin] = ACTIONS(2049),
    [anon_sym_sleep] = ACTIONS(2049),
    [anon_sym_sqrt] = ACTIONS(2049),
    [anon_sym_srand] = ACTIONS(2049),
    [anon_sym_stat] = ACTIONS(2049),
    [anon_sym_study] = ACTIONS(2049),
    [anon_sym_tell] = ACTIONS(2049),
    [anon_sym_telldir] = ACTIONS(2049),
    [anon_sym_tied] = ACTIONS(2049),
    [anon_sym_uc] = ACTIONS(2049),
    [anon_sym_ucfirst] = ACTIONS(2049),
    [anon_sym_untie] = ACTIONS(2049),
    [anon_sym_umask] = ACTIONS(2049),
    [anon_sym_values] = ACTIONS(2049),
    [anon_sym_write] = ACTIONS(2049),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2049),
    [anon_sym_qq] = ACTIONS(2049),
    [anon_sym_qw] = ACTIONS(2049),
    [anon_sym_qx] = ACTIONS(2049),
    [anon_sym_qr] = ACTIONS(2049),
    [anon_sym_m] = ACTIONS(2049),
    [anon_sym_s] = ACTIONS(2049),
    [anon_sym_tr] = ACTIONS(2049),
    [anon_sym_y] = ACTIONS(2049),
    [anon_sym_if] = ACTIONS(2049),
    [anon_sym_unless] = ACTIONS(2049),
    [anon_sym_while] = ACTIONS(2049),
    [anon_sym_until] = ACTIONS(2049),
    [aux_sym__bareword_token1] = ACTIONS(2049),
    [sym_number] = ACTIONS(2049),
    [anon_sym_true] = ACTIONS(2049),
    [anon_sym_false] = ACTIONS(2049),
    [sym__single_quote] = ACTIONS(2047),
    [sym__double_quote] = ACTIONS(2047),
    [sym__backtick_quote] = ACTIONS(2047),
    [sym__search_slash_quote] = ACTIONS(2047),
    [sym__open_readline_bracket] = ACTIONS(2047),
    [sym__open_fileglob_bracket] = ACTIONS(2047),
    [sym__PERLY_HEREDOC] = ACTIONS(2047),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2047),
    [sym__filetest] = ACTIONS(2047),
  },
  [995] = {
    [sym_heredoc_content] = STATE(995),
    [sym__identifier] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2364),
    [anon_sym_RBRACE] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2364),
    [anon_sym_package] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_role] = ACTIONS(2364),
    [anon_sym_BUILD] = ACTIONS(2364),
    [anon_sym_ADJUST] = ACTIONS(2364),
    [anon_sym_DOLLAR] = ACTIONS(2364),
    [anon_sym_AT] = ACTIONS(2364),
    [anon_sym_my] = ACTIONS(2364),
    [anon_sym_extended] = ACTIONS(2364),
    [anon_sym_async] = ACTIONS(2364),
    [anon_sym_sub] = ACTIONS(2364),
    [anon_sym_method] = ACTIONS(2364),
    [anon_sym_LPAREN] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_state] = ACTIONS(2364),
    [anon_sym_our] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_defer] = ACTIONS(2364),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_LT_LT] = ACTIONS(2364),
    [anon_sym_SLASH_SLASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_TILDE] = ACTIONS(2364),
    [anon_sym_BANG] = ACTIONS(2364),
    [anon_sym_PLUS_PLUS] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2364),
    [anon_sym_BSLASH] = ACTIONS(2362),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_eval] = ACTIONS(2364),
    [anon_sym_await] = ACTIONS(2364),
    [anon_sym_field] = ACTIONS(2364),
    [anon_sym_local] = ACTIONS(2364),
    [anon_sym_dynamically] = ACTIONS(2364),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2364),
    [anon_sym_require] = ACTIONS(2364),
    [anon_sym_map] = ACTIONS(2364),
    [anon_sym_grep] = ACTIONS(2364),
    [anon_sym_sort] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_undef] = ACTIONS(2364),
    [anon_sym_PERCENT2] = ACTIONS(2364),
    [anon_sym_AMP2] = ACTIONS(2364),
    [anon_sym_STAR2] = ACTIONS(2364),
    [anon_sym_use] = ACTIONS(2364),
    [anon_sym_no] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_foreach] = ACTIONS(2364),
    [anon_sym_last] = ACTIONS(2364),
    [anon_sym_next] = ACTIONS(2364),
    [anon_sym_redo] = ACTIONS(2364),
    [anon_sym_BEGIN] = ACTIONS(2364),
    [anon_sym_INIT] = ACTIONS(2364),
    [anon_sym_CHECK] = ACTIONS(2364),
    [anon_sym_UNITCHECK] = ACTIONS(2364),
    [anon_sym_END] = ACTIONS(2364),
    [anon_sym___FILE__] = ACTIONS(2364),
    [anon_sym___LINE__] = ACTIONS(2364),
    [anon_sym___PACKAGE__] = ACTIONS(2364),
    [anon_sym___SUB__] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_fork] = ACTIONS(2364),
    [anon_sym_getppid] = ACTIONS(2364),
    [anon_sym_time] = ACTIONS(2364),
    [anon_sym_times] = ACTIONS(2364),
    [anon_sym_wait] = ACTIONS(2364),
    [anon_sym_wantarray] = ACTIONS(2364),
    [anon_sym_abs] = ACTIONS(2364),
    [anon_sym_alarm] = ACTIONS(2364),
    [anon_sym_chop] = ACTIONS(2364),
    [anon_sym_chdir] = ACTIONS(2364),
    [anon_sym_close] = ACTIONS(2364),
    [anon_sym_closedir] = ACTIONS(2364),
    [anon_sym_caller] = ACTIONS(2364),
    [anon_sym_chomp] = ACTIONS(2364),
    [anon_sym_chr] = ACTIONS(2364),
    [anon_sym_cos] = ACTIONS(2364),
    [anon_sym_chroot] = ACTIONS(2364),
    [anon_sym_defined] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_dbmclose] = ACTIONS(2364),
    [anon_sym_exists] = ACTIONS(2364),
    [anon_sym_exit] = ACTIONS(2364),
    [anon_sym_eof] = ACTIONS(2364),
    [anon_sym_exp] = ACTIONS(2364),
    [anon_sym_each] = ACTIONS(2364),
    [anon_sym_fc] = ACTIONS(2364),
    [anon_sym_fileno] = ACTIONS(2364),
    [anon_sym_gmtime] = ACTIONS(2364),
    [anon_sym_getc] = ACTIONS(2364),
    [anon_sym_getpgrp] = ACTIONS(2364),
    [anon_sym_getprotobyname] = ACTIONS(2364),
    [anon_sym_getpwname] = ACTIONS(2364),
    [anon_sym_getpwuid] = ACTIONS(2364),
    [anon_sym_getpeername] = ACTIONS(2364),
    [anon_sym_getnetbyname] = ACTIONS(2364),
    [anon_sym_getsockname] = ACTIONS(2364),
    [anon_sym_getgrnam] = ACTIONS(2364),
    [anon_sym_getgrgid] = ACTIONS(2364),
    [anon_sym_hex] = ACTIONS(2364),
    [anon_sym_int] = ACTIONS(2364),
    [anon_sym_keys] = ACTIONS(2364),
    [anon_sym_lc] = ACTIONS(2364),
    [anon_sym_lcfirst] = ACTIONS(2364),
    [anon_sym_length] = ACTIONS(2364),
    [anon_sym_localtime] = ACTIONS(2364),
    [anon_sym_log] = ACTIONS(2364),
    [anon_sym_lock] = ACTIONS(2364),
    [anon_sym_lstat] = ACTIONS(2364),
    [anon_sym_oct] = ACTIONS(2364),
    [anon_sym_ord] = ACTIONS(2364),
    [anon_sym_prototype] = ACTIONS(2364),
    [anon_sym_pop] = ACTIONS(2364),
    [anon_sym_pos] = ACTIONS(2364),
    [anon_sym_quotemeta] = ACTIONS(2364),
    [anon_sym_reset] = ACTIONS(2364),
    [anon_sym_rand] = ACTIONS(2364),
    [anon_sym_rmdir] = ACTIONS(2364),
    [anon_sym_readdir] = ACTIONS(2364),
    [anon_sym_readline] = ACTIONS(2364),
    [anon_sym_readpipe] = ACTIONS(2364),
    [anon_sym_rewinddir] = ACTIONS(2364),
    [anon_sym_readlink] = ACTIONS(2364),
    [anon_sym_ref] = ACTIONS(2364),
    [anon_sym_scalar] = ACTIONS(2364),
    [anon_sym_shift] = ACTIONS(2364),
    [anon_sym_sin] = ACTIONS(2364),
    [anon_sym_sleep] = ACTIONS(2364),
    [anon_sym_sqrt] = ACTIONS(2364),
    [anon_sym_srand] = ACTIONS(2364),
    [anon_sym_stat] = ACTIONS(2364),
    [anon_sym_study] = ACTIONS(2364),
    [anon_sym_tell] = ACTIONS(2364),
    [anon_sym_telldir] = ACTIONS(2364),
    [anon_sym_tied] = ACTIONS(2364),
    [anon_sym_uc] = ACTIONS(2364),
    [anon_sym_ucfirst] = ACTIONS(2364),
    [anon_sym_untie] = ACTIONS(2364),
    [anon_sym_umask] = ACTIONS(2364),
    [anon_sym_values] = ACTIONS(2364),
    [anon_sym_write] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2364),
    [anon_sym_qq] = ACTIONS(2364),
    [anon_sym_qw] = ACTIONS(2364),
    [anon_sym_qx] = ACTIONS(2364),
    [anon_sym_qr] = ACTIONS(2364),
    [anon_sym_m] = ACTIONS(2364),
    [anon_sym_s] = ACTIONS(2364),
    [anon_sym_tr] = ACTIONS(2364),
    [anon_sym_y] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_unless] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_until] = ACTIONS(2364),
    [aux_sym__bareword_token1] = ACTIONS(2364),
    [sym_number] = ACTIONS(2364),
    [anon_sym_true] = ACTIONS(2364),
    [anon_sym_false] = ACTIONS(2364),
    [sym__single_quote] = ACTIONS(2362),
    [sym__double_quote] = ACTIONS(2362),
    [sym__backtick_quote] = ACTIONS(2362),
    [sym__search_slash_quote] = ACTIONS(2362),
    [sym__open_readline_bracket] = ACTIONS(2362),
    [sym__open_fileglob_bracket] = ACTIONS(2362),
    [sym__PERLY_HEREDOC] = ACTIONS(2362),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2362),
    [sym__filetest] = ACTIONS(2362),
  },
  [996] = {
    [sym_heredoc_content] = STATE(996),
    [sym__identifier] = ACTIONS(2173),
    [anon_sym_LBRACE] = ACTIONS(2173),
    [anon_sym_RBRACE] = ACTIONS(2173),
    [anon_sym_SEMI] = ACTIONS(2173),
    [anon_sym_package] = ACTIONS(2173),
    [anon_sym_class] = ACTIONS(2173),
    [anon_sym_role] = ACTIONS(2173),
    [anon_sym_BUILD] = ACTIONS(2173),
    [anon_sym_ADJUST] = ACTIONS(2173),
    [anon_sym_DOLLAR] = ACTIONS(2173),
    [anon_sym_AT] = ACTIONS(2173),
    [anon_sym_my] = ACTIONS(2173),
    [anon_sym_extended] = ACTIONS(2173),
    [anon_sym_async] = ACTIONS(2173),
    [anon_sym_sub] = ACTIONS(2173),
    [anon_sym_method] = ACTIONS(2173),
    [anon_sym_LPAREN] = ACTIONS(2173),
    [anon_sym_continue] = ACTIONS(2173),
    [anon_sym_state] = ACTIONS(2173),
    [anon_sym_our] = ACTIONS(2173),
    [anon_sym_try] = ACTIONS(2173),
    [anon_sym_defer] = ACTIONS(2173),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2173),
    [anon_sym_LBRACK] = ACTIONS(2173),
    [anon_sym_LT_LT] = ACTIONS(2173),
    [anon_sym_SLASH_SLASH] = ACTIONS(2173),
    [anon_sym_PLUS] = ACTIONS(2173),
    [anon_sym_DASH] = ACTIONS(2173),
    [anon_sym_TILDE] = ACTIONS(2173),
    [anon_sym_BANG] = ACTIONS(2173),
    [anon_sym_PLUS_PLUS] = ACTIONS(2173),
    [anon_sym_DASH_DASH] = ACTIONS(2173),
    [anon_sym_BSLASH] = ACTIONS(2171),
    [anon_sym_do] = ACTIONS(2173),
    [anon_sym_eval] = ACTIONS(2173),
    [anon_sym_await] = ACTIONS(2173),
    [anon_sym_field] = ACTIONS(2173),
    [anon_sym_local] = ACTIONS(2173),
    [anon_sym_dynamically] = ACTIONS(2173),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2173),
    [anon_sym_require] = ACTIONS(2173),
    [anon_sym_map] = ACTIONS(2173),
    [anon_sym_grep] = ACTIONS(2173),
    [anon_sym_sort] = ACTIONS(2173),
    [anon_sym_goto] = ACTIONS(2173),
    [anon_sym_return] = ACTIONS(2173),
    [anon_sym_undef] = ACTIONS(2173),
    [anon_sym_PERCENT2] = ACTIONS(2173),
    [anon_sym_AMP2] = ACTIONS(2173),
    [anon_sym_STAR2] = ACTIONS(2173),
    [anon_sym_use] = ACTIONS(2173),
    [anon_sym_no] = ACTIONS(2173),
    [anon_sym_for] = ACTIONS(2173),
    [anon_sym_foreach] = ACTIONS(2173),
    [anon_sym_last] = ACTIONS(2173),
    [anon_sym_next] = ACTIONS(2173),
    [anon_sym_redo] = ACTIONS(2173),
    [anon_sym_BEGIN] = ACTIONS(2173),
    [anon_sym_INIT] = ACTIONS(2173),
    [anon_sym_CHECK] = ACTIONS(2173),
    [anon_sym_UNITCHECK] = ACTIONS(2173),
    [anon_sym_END] = ACTIONS(2173),
    [anon_sym___FILE__] = ACTIONS(2173),
    [anon_sym___LINE__] = ACTIONS(2173),
    [anon_sym___PACKAGE__] = ACTIONS(2173),
    [anon_sym___SUB__] = ACTIONS(2173),
    [anon_sym_break] = ACTIONS(2173),
    [anon_sym_fork] = ACTIONS(2173),
    [anon_sym_getppid] = ACTIONS(2173),
    [anon_sym_time] = ACTIONS(2173),
    [anon_sym_times] = ACTIONS(2173),
    [anon_sym_wait] = ACTIONS(2173),
    [anon_sym_wantarray] = ACTIONS(2173),
    [anon_sym_abs] = ACTIONS(2173),
    [anon_sym_alarm] = ACTIONS(2173),
    [anon_sym_chop] = ACTIONS(2173),
    [anon_sym_chdir] = ACTIONS(2173),
    [anon_sym_close] = ACTIONS(2173),
    [anon_sym_closedir] = ACTIONS(2173),
    [anon_sym_caller] = ACTIONS(2173),
    [anon_sym_chomp] = ACTIONS(2173),
    [anon_sym_chr] = ACTIONS(2173),
    [anon_sym_cos] = ACTIONS(2173),
    [anon_sym_chroot] = ACTIONS(2173),
    [anon_sym_defined] = ACTIONS(2173),
    [anon_sym_delete] = ACTIONS(2173),
    [anon_sym_dbmclose] = ACTIONS(2173),
    [anon_sym_exists] = ACTIONS(2173),
    [anon_sym_exit] = ACTIONS(2173),
    [anon_sym_eof] = ACTIONS(2173),
    [anon_sym_exp] = ACTIONS(2173),
    [anon_sym_each] = ACTIONS(2173),
    [anon_sym_fc] = ACTIONS(2173),
    [anon_sym_fileno] = ACTIONS(2173),
    [anon_sym_gmtime] = ACTIONS(2173),
    [anon_sym_getc] = ACTIONS(2173),
    [anon_sym_getpgrp] = ACTIONS(2173),
    [anon_sym_getprotobyname] = ACTIONS(2173),
    [anon_sym_getpwname] = ACTIONS(2173),
    [anon_sym_getpwuid] = ACTIONS(2173),
    [anon_sym_getpeername] = ACTIONS(2173),
    [anon_sym_getnetbyname] = ACTIONS(2173),
    [anon_sym_getsockname] = ACTIONS(2173),
    [anon_sym_getgrnam] = ACTIONS(2173),
    [anon_sym_getgrgid] = ACTIONS(2173),
    [anon_sym_hex] = ACTIONS(2173),
    [anon_sym_int] = ACTIONS(2173),
    [anon_sym_keys] = ACTIONS(2173),
    [anon_sym_lc] = ACTIONS(2173),
    [anon_sym_lcfirst] = ACTIONS(2173),
    [anon_sym_length] = ACTIONS(2173),
    [anon_sym_localtime] = ACTIONS(2173),
    [anon_sym_log] = ACTIONS(2173),
    [anon_sym_lock] = ACTIONS(2173),
    [anon_sym_lstat] = ACTIONS(2173),
    [anon_sym_oct] = ACTIONS(2173),
    [anon_sym_ord] = ACTIONS(2173),
    [anon_sym_prototype] = ACTIONS(2173),
    [anon_sym_pop] = ACTIONS(2173),
    [anon_sym_pos] = ACTIONS(2173),
    [anon_sym_quotemeta] = ACTIONS(2173),
    [anon_sym_reset] = ACTIONS(2173),
    [anon_sym_rand] = ACTIONS(2173),
    [anon_sym_rmdir] = ACTIONS(2173),
    [anon_sym_readdir] = ACTIONS(2173),
    [anon_sym_readline] = ACTIONS(2173),
    [anon_sym_readpipe] = ACTIONS(2173),
    [anon_sym_rewinddir] = ACTIONS(2173),
    [anon_sym_readlink] = ACTIONS(2173),
    [anon_sym_ref] = ACTIONS(2173),
    [anon_sym_scalar] = ACTIONS(2173),
    [anon_sym_shift] = ACTIONS(2173),
    [anon_sym_sin] = ACTIONS(2173),
    [anon_sym_sleep] = ACTIONS(2173),
    [anon_sym_sqrt] = ACTIONS(2173),
    [anon_sym_srand] = ACTIONS(2173),
    [anon_sym_stat] = ACTIONS(2173),
    [anon_sym_study] = ACTIONS(2173),
    [anon_sym_tell] = ACTIONS(2173),
    [anon_sym_telldir] = ACTIONS(2173),
    [anon_sym_tied] = ACTIONS(2173),
    [anon_sym_uc] = ACTIONS(2173),
    [anon_sym_ucfirst] = ACTIONS(2173),
    [anon_sym_untie] = ACTIONS(2173),
    [anon_sym_umask] = ACTIONS(2173),
    [anon_sym_values] = ACTIONS(2173),
    [anon_sym_write] = ACTIONS(2173),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2173),
    [anon_sym_qq] = ACTIONS(2173),
    [anon_sym_qw] = ACTIONS(2173),
    [anon_sym_qx] = ACTIONS(2173),
    [anon_sym_qr] = ACTIONS(2173),
    [anon_sym_m] = ACTIONS(2173),
    [anon_sym_s] = ACTIONS(2173),
    [anon_sym_tr] = ACTIONS(2173),
    [anon_sym_y] = ACTIONS(2173),
    [anon_sym_if] = ACTIONS(2173),
    [anon_sym_unless] = ACTIONS(2173),
    [anon_sym_while] = ACTIONS(2173),
    [anon_sym_until] = ACTIONS(2173),
    [aux_sym__bareword_token1] = ACTIONS(2173),
    [sym_number] = ACTIONS(2173),
    [anon_sym_true] = ACTIONS(2173),
    [anon_sym_false] = ACTIONS(2173),
    [sym__single_quote] = ACTIONS(2171),
    [sym__double_quote] = ACTIONS(2171),
    [sym__backtick_quote] = ACTIONS(2171),
    [sym__search_slash_quote] = ACTIONS(2171),
    [sym__open_readline_bracket] = ACTIONS(2171),
    [sym__open_fileglob_bracket] = ACTIONS(2171),
    [sym__PERLY_HEREDOC] = ACTIONS(2171),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2171),
    [sym__filetest] = ACTIONS(2171),
  },
  [997] = {
    [sym_heredoc_content] = STATE(997),
    [sym__identifier] = ACTIONS(2133),
    [anon_sym_LBRACE] = ACTIONS(2133),
    [anon_sym_RBRACE] = ACTIONS(2133),
    [anon_sym_SEMI] = ACTIONS(2133),
    [anon_sym_package] = ACTIONS(2133),
    [anon_sym_class] = ACTIONS(2133),
    [anon_sym_role] = ACTIONS(2133),
    [anon_sym_BUILD] = ACTIONS(2133),
    [anon_sym_ADJUST] = ACTIONS(2133),
    [anon_sym_DOLLAR] = ACTIONS(2133),
    [anon_sym_AT] = ACTIONS(2133),
    [anon_sym_my] = ACTIONS(2133),
    [anon_sym_extended] = ACTIONS(2133),
    [anon_sym_async] = ACTIONS(2133),
    [anon_sym_sub] = ACTIONS(2133),
    [anon_sym_method] = ACTIONS(2133),
    [anon_sym_LPAREN] = ACTIONS(2133),
    [anon_sym_continue] = ACTIONS(2133),
    [anon_sym_state] = ACTIONS(2133),
    [anon_sym_our] = ACTIONS(2133),
    [anon_sym_try] = ACTIONS(2133),
    [anon_sym_defer] = ACTIONS(2133),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2133),
    [anon_sym_LBRACK] = ACTIONS(2133),
    [anon_sym_LT_LT] = ACTIONS(2133),
    [anon_sym_SLASH_SLASH] = ACTIONS(2133),
    [anon_sym_PLUS] = ACTIONS(2133),
    [anon_sym_DASH] = ACTIONS(2133),
    [anon_sym_TILDE] = ACTIONS(2133),
    [anon_sym_BANG] = ACTIONS(2133),
    [anon_sym_PLUS_PLUS] = ACTIONS(2133),
    [anon_sym_DASH_DASH] = ACTIONS(2133),
    [anon_sym_BSLASH] = ACTIONS(2131),
    [anon_sym_do] = ACTIONS(2133),
    [anon_sym_eval] = ACTIONS(2133),
    [anon_sym_await] = ACTIONS(2133),
    [anon_sym_field] = ACTIONS(2133),
    [anon_sym_local] = ACTIONS(2133),
    [anon_sym_dynamically] = ACTIONS(2133),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2133),
    [anon_sym_require] = ACTIONS(2133),
    [anon_sym_map] = ACTIONS(2133),
    [anon_sym_grep] = ACTIONS(2133),
    [anon_sym_sort] = ACTIONS(2133),
    [anon_sym_goto] = ACTIONS(2133),
    [anon_sym_return] = ACTIONS(2133),
    [anon_sym_undef] = ACTIONS(2133),
    [anon_sym_PERCENT2] = ACTIONS(2133),
    [anon_sym_AMP2] = ACTIONS(2133),
    [anon_sym_STAR2] = ACTIONS(2133),
    [anon_sym_use] = ACTIONS(2133),
    [anon_sym_no] = ACTIONS(2133),
    [anon_sym_for] = ACTIONS(2133),
    [anon_sym_foreach] = ACTIONS(2133),
    [anon_sym_last] = ACTIONS(2133),
    [anon_sym_next] = ACTIONS(2133),
    [anon_sym_redo] = ACTIONS(2133),
    [anon_sym_BEGIN] = ACTIONS(2133),
    [anon_sym_INIT] = ACTIONS(2133),
    [anon_sym_CHECK] = ACTIONS(2133),
    [anon_sym_UNITCHECK] = ACTIONS(2133),
    [anon_sym_END] = ACTIONS(2133),
    [anon_sym___FILE__] = ACTIONS(2133),
    [anon_sym___LINE__] = ACTIONS(2133),
    [anon_sym___PACKAGE__] = ACTIONS(2133),
    [anon_sym___SUB__] = ACTIONS(2133),
    [anon_sym_break] = ACTIONS(2133),
    [anon_sym_fork] = ACTIONS(2133),
    [anon_sym_getppid] = ACTIONS(2133),
    [anon_sym_time] = ACTIONS(2133),
    [anon_sym_times] = ACTIONS(2133),
    [anon_sym_wait] = ACTIONS(2133),
    [anon_sym_wantarray] = ACTIONS(2133),
    [anon_sym_abs] = ACTIONS(2133),
    [anon_sym_alarm] = ACTIONS(2133),
    [anon_sym_chop] = ACTIONS(2133),
    [anon_sym_chdir] = ACTIONS(2133),
    [anon_sym_close] = ACTIONS(2133),
    [anon_sym_closedir] = ACTIONS(2133),
    [anon_sym_caller] = ACTIONS(2133),
    [anon_sym_chomp] = ACTIONS(2133),
    [anon_sym_chr] = ACTIONS(2133),
    [anon_sym_cos] = ACTIONS(2133),
    [anon_sym_chroot] = ACTIONS(2133),
    [anon_sym_defined] = ACTIONS(2133),
    [anon_sym_delete] = ACTIONS(2133),
    [anon_sym_dbmclose] = ACTIONS(2133),
    [anon_sym_exists] = ACTIONS(2133),
    [anon_sym_exit] = ACTIONS(2133),
    [anon_sym_eof] = ACTIONS(2133),
    [anon_sym_exp] = ACTIONS(2133),
    [anon_sym_each] = ACTIONS(2133),
    [anon_sym_fc] = ACTIONS(2133),
    [anon_sym_fileno] = ACTIONS(2133),
    [anon_sym_gmtime] = ACTIONS(2133),
    [anon_sym_getc] = ACTIONS(2133),
    [anon_sym_getpgrp] = ACTIONS(2133),
    [anon_sym_getprotobyname] = ACTIONS(2133),
    [anon_sym_getpwname] = ACTIONS(2133),
    [anon_sym_getpwuid] = ACTIONS(2133),
    [anon_sym_getpeername] = ACTIONS(2133),
    [anon_sym_getnetbyname] = ACTIONS(2133),
    [anon_sym_getsockname] = ACTIONS(2133),
    [anon_sym_getgrnam] = ACTIONS(2133),
    [anon_sym_getgrgid] = ACTIONS(2133),
    [anon_sym_hex] = ACTIONS(2133),
    [anon_sym_int] = ACTIONS(2133),
    [anon_sym_keys] = ACTIONS(2133),
    [anon_sym_lc] = ACTIONS(2133),
    [anon_sym_lcfirst] = ACTIONS(2133),
    [anon_sym_length] = ACTIONS(2133),
    [anon_sym_localtime] = ACTIONS(2133),
    [anon_sym_log] = ACTIONS(2133),
    [anon_sym_lock] = ACTIONS(2133),
    [anon_sym_lstat] = ACTIONS(2133),
    [anon_sym_oct] = ACTIONS(2133),
    [anon_sym_ord] = ACTIONS(2133),
    [anon_sym_prototype] = ACTIONS(2133),
    [anon_sym_pop] = ACTIONS(2133),
    [anon_sym_pos] = ACTIONS(2133),
    [anon_sym_quotemeta] = ACTIONS(2133),
    [anon_sym_reset] = ACTIONS(2133),
    [anon_sym_rand] = ACTIONS(2133),
    [anon_sym_rmdir] = ACTIONS(2133),
    [anon_sym_readdir] = ACTIONS(2133),
    [anon_sym_readline] = ACTIONS(2133),
    [anon_sym_readpipe] = ACTIONS(2133),
    [anon_sym_rewinddir] = ACTIONS(2133),
    [anon_sym_readlink] = ACTIONS(2133),
    [anon_sym_ref] = ACTIONS(2133),
    [anon_sym_scalar] = ACTIONS(2133),
    [anon_sym_shift] = ACTIONS(2133),
    [anon_sym_sin] = ACTIONS(2133),
    [anon_sym_sleep] = ACTIONS(2133),
    [anon_sym_sqrt] = ACTIONS(2133),
    [anon_sym_srand] = ACTIONS(2133),
    [anon_sym_stat] = ACTIONS(2133),
    [anon_sym_study] = ACTIONS(2133),
    [anon_sym_tell] = ACTIONS(2133),
    [anon_sym_telldir] = ACTIONS(2133),
    [anon_sym_tied] = ACTIONS(2133),
    [anon_sym_uc] = ACTIONS(2133),
    [anon_sym_ucfirst] = ACTIONS(2133),
    [anon_sym_untie] = ACTIONS(2133),
    [anon_sym_umask] = ACTIONS(2133),
    [anon_sym_values] = ACTIONS(2133),
    [anon_sym_write] = ACTIONS(2133),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2133),
    [anon_sym_qq] = ACTIONS(2133),
    [anon_sym_qw] = ACTIONS(2133),
    [anon_sym_qx] = ACTIONS(2133),
    [anon_sym_qr] = ACTIONS(2133),
    [anon_sym_m] = ACTIONS(2133),
    [anon_sym_s] = ACTIONS(2133),
    [anon_sym_tr] = ACTIONS(2133),
    [anon_sym_y] = ACTIONS(2133),
    [anon_sym_if] = ACTIONS(2133),
    [anon_sym_unless] = ACTIONS(2133),
    [anon_sym_while] = ACTIONS(2133),
    [anon_sym_until] = ACTIONS(2133),
    [aux_sym__bareword_token1] = ACTIONS(2133),
    [sym_number] = ACTIONS(2133),
    [anon_sym_true] = ACTIONS(2133),
    [anon_sym_false] = ACTIONS(2133),
    [sym__single_quote] = ACTIONS(2131),
    [sym__double_quote] = ACTIONS(2131),
    [sym__backtick_quote] = ACTIONS(2131),
    [sym__search_slash_quote] = ACTIONS(2131),
    [sym__open_readline_bracket] = ACTIONS(2131),
    [sym__open_fileglob_bracket] = ACTIONS(2131),
    [sym__PERLY_HEREDOC] = ACTIONS(2131),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2131),
    [sym__filetest] = ACTIONS(2131),
  },
  [998] = {
    [sym_heredoc_content] = STATE(998),
    [sym__identifier] = ACTIONS(2125),
    [anon_sym_LBRACE] = ACTIONS(2125),
    [anon_sym_RBRACE] = ACTIONS(2125),
    [anon_sym_SEMI] = ACTIONS(2125),
    [anon_sym_package] = ACTIONS(2125),
    [anon_sym_class] = ACTIONS(2125),
    [anon_sym_role] = ACTIONS(2125),
    [anon_sym_BUILD] = ACTIONS(2125),
    [anon_sym_ADJUST] = ACTIONS(2125),
    [anon_sym_DOLLAR] = ACTIONS(2125),
    [anon_sym_AT] = ACTIONS(2125),
    [anon_sym_my] = ACTIONS(2125),
    [anon_sym_extended] = ACTIONS(2125),
    [anon_sym_async] = ACTIONS(2125),
    [anon_sym_sub] = ACTIONS(2125),
    [anon_sym_method] = ACTIONS(2125),
    [anon_sym_LPAREN] = ACTIONS(2125),
    [anon_sym_continue] = ACTIONS(2125),
    [anon_sym_state] = ACTIONS(2125),
    [anon_sym_our] = ACTIONS(2125),
    [anon_sym_try] = ACTIONS(2125),
    [anon_sym_defer] = ACTIONS(2125),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2125),
    [anon_sym_LBRACK] = ACTIONS(2125),
    [anon_sym_LT_LT] = ACTIONS(2125),
    [anon_sym_SLASH_SLASH] = ACTIONS(2125),
    [anon_sym_PLUS] = ACTIONS(2125),
    [anon_sym_DASH] = ACTIONS(2125),
    [anon_sym_TILDE] = ACTIONS(2125),
    [anon_sym_BANG] = ACTIONS(2125),
    [anon_sym_PLUS_PLUS] = ACTIONS(2125),
    [anon_sym_DASH_DASH] = ACTIONS(2125),
    [anon_sym_BSLASH] = ACTIONS(2123),
    [anon_sym_do] = ACTIONS(2125),
    [anon_sym_eval] = ACTIONS(2125),
    [anon_sym_await] = ACTIONS(2125),
    [anon_sym_field] = ACTIONS(2125),
    [anon_sym_local] = ACTIONS(2125),
    [anon_sym_dynamically] = ACTIONS(2125),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2125),
    [anon_sym_require] = ACTIONS(2125),
    [anon_sym_map] = ACTIONS(2125),
    [anon_sym_grep] = ACTIONS(2125),
    [anon_sym_sort] = ACTIONS(2125),
    [anon_sym_goto] = ACTIONS(2125),
    [anon_sym_return] = ACTIONS(2125),
    [anon_sym_undef] = ACTIONS(2125),
    [anon_sym_PERCENT2] = ACTIONS(2125),
    [anon_sym_AMP2] = ACTIONS(2125),
    [anon_sym_STAR2] = ACTIONS(2125),
    [anon_sym_use] = ACTIONS(2125),
    [anon_sym_no] = ACTIONS(2125),
    [anon_sym_for] = ACTIONS(2125),
    [anon_sym_foreach] = ACTIONS(2125),
    [anon_sym_last] = ACTIONS(2125),
    [anon_sym_next] = ACTIONS(2125),
    [anon_sym_redo] = ACTIONS(2125),
    [anon_sym_BEGIN] = ACTIONS(2125),
    [anon_sym_INIT] = ACTIONS(2125),
    [anon_sym_CHECK] = ACTIONS(2125),
    [anon_sym_UNITCHECK] = ACTIONS(2125),
    [anon_sym_END] = ACTIONS(2125),
    [anon_sym___FILE__] = ACTIONS(2125),
    [anon_sym___LINE__] = ACTIONS(2125),
    [anon_sym___PACKAGE__] = ACTIONS(2125),
    [anon_sym___SUB__] = ACTIONS(2125),
    [anon_sym_break] = ACTIONS(2125),
    [anon_sym_fork] = ACTIONS(2125),
    [anon_sym_getppid] = ACTIONS(2125),
    [anon_sym_time] = ACTIONS(2125),
    [anon_sym_times] = ACTIONS(2125),
    [anon_sym_wait] = ACTIONS(2125),
    [anon_sym_wantarray] = ACTIONS(2125),
    [anon_sym_abs] = ACTIONS(2125),
    [anon_sym_alarm] = ACTIONS(2125),
    [anon_sym_chop] = ACTIONS(2125),
    [anon_sym_chdir] = ACTIONS(2125),
    [anon_sym_close] = ACTIONS(2125),
    [anon_sym_closedir] = ACTIONS(2125),
    [anon_sym_caller] = ACTIONS(2125),
    [anon_sym_chomp] = ACTIONS(2125),
    [anon_sym_chr] = ACTIONS(2125),
    [anon_sym_cos] = ACTIONS(2125),
    [anon_sym_chroot] = ACTIONS(2125),
    [anon_sym_defined] = ACTIONS(2125),
    [anon_sym_delete] = ACTIONS(2125),
    [anon_sym_dbmclose] = ACTIONS(2125),
    [anon_sym_exists] = ACTIONS(2125),
    [anon_sym_exit] = ACTIONS(2125),
    [anon_sym_eof] = ACTIONS(2125),
    [anon_sym_exp] = ACTIONS(2125),
    [anon_sym_each] = ACTIONS(2125),
    [anon_sym_fc] = ACTIONS(2125),
    [anon_sym_fileno] = ACTIONS(2125),
    [anon_sym_gmtime] = ACTIONS(2125),
    [anon_sym_getc] = ACTIONS(2125),
    [anon_sym_getpgrp] = ACTIONS(2125),
    [anon_sym_getprotobyname] = ACTIONS(2125),
    [anon_sym_getpwname] = ACTIONS(2125),
    [anon_sym_getpwuid] = ACTIONS(2125),
    [anon_sym_getpeername] = ACTIONS(2125),
    [anon_sym_getnetbyname] = ACTIONS(2125),
    [anon_sym_getsockname] = ACTIONS(2125),
    [anon_sym_getgrnam] = ACTIONS(2125),
    [anon_sym_getgrgid] = ACTIONS(2125),
    [anon_sym_hex] = ACTIONS(2125),
    [anon_sym_int] = ACTIONS(2125),
    [anon_sym_keys] = ACTIONS(2125),
    [anon_sym_lc] = ACTIONS(2125),
    [anon_sym_lcfirst] = ACTIONS(2125),
    [anon_sym_length] = ACTIONS(2125),
    [anon_sym_localtime] = ACTIONS(2125),
    [anon_sym_log] = ACTIONS(2125),
    [anon_sym_lock] = ACTIONS(2125),
    [anon_sym_lstat] = ACTIONS(2125),
    [anon_sym_oct] = ACTIONS(2125),
    [anon_sym_ord] = ACTIONS(2125),
    [anon_sym_prototype] = ACTIONS(2125),
    [anon_sym_pop] = ACTIONS(2125),
    [anon_sym_pos] = ACTIONS(2125),
    [anon_sym_quotemeta] = ACTIONS(2125),
    [anon_sym_reset] = ACTIONS(2125),
    [anon_sym_rand] = ACTIONS(2125),
    [anon_sym_rmdir] = ACTIONS(2125),
    [anon_sym_readdir] = ACTIONS(2125),
    [anon_sym_readline] = ACTIONS(2125),
    [anon_sym_readpipe] = ACTIONS(2125),
    [anon_sym_rewinddir] = ACTIONS(2125),
    [anon_sym_readlink] = ACTIONS(2125),
    [anon_sym_ref] = ACTIONS(2125),
    [anon_sym_scalar] = ACTIONS(2125),
    [anon_sym_shift] = ACTIONS(2125),
    [anon_sym_sin] = ACTIONS(2125),
    [anon_sym_sleep] = ACTIONS(2125),
    [anon_sym_sqrt] = ACTIONS(2125),
    [anon_sym_srand] = ACTIONS(2125),
    [anon_sym_stat] = ACTIONS(2125),
    [anon_sym_study] = ACTIONS(2125),
    [anon_sym_tell] = ACTIONS(2125),
    [anon_sym_telldir] = ACTIONS(2125),
    [anon_sym_tied] = ACTIONS(2125),
    [anon_sym_uc] = ACTIONS(2125),
    [anon_sym_ucfirst] = ACTIONS(2125),
    [anon_sym_untie] = ACTIONS(2125),
    [anon_sym_umask] = ACTIONS(2125),
    [anon_sym_values] = ACTIONS(2125),
    [anon_sym_write] = ACTIONS(2125),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2125),
    [anon_sym_qq] = ACTIONS(2125),
    [anon_sym_qw] = ACTIONS(2125),
    [anon_sym_qx] = ACTIONS(2125),
    [anon_sym_qr] = ACTIONS(2125),
    [anon_sym_m] = ACTIONS(2125),
    [anon_sym_s] = ACTIONS(2125),
    [anon_sym_tr] = ACTIONS(2125),
    [anon_sym_y] = ACTIONS(2125),
    [anon_sym_if] = ACTIONS(2125),
    [anon_sym_unless] = ACTIONS(2125),
    [anon_sym_while] = ACTIONS(2125),
    [anon_sym_until] = ACTIONS(2125),
    [aux_sym__bareword_token1] = ACTIONS(2125),
    [sym_number] = ACTIONS(2125),
    [anon_sym_true] = ACTIONS(2125),
    [anon_sym_false] = ACTIONS(2125),
    [sym__single_quote] = ACTIONS(2123),
    [sym__double_quote] = ACTIONS(2123),
    [sym__backtick_quote] = ACTIONS(2123),
    [sym__search_slash_quote] = ACTIONS(2123),
    [sym__open_readline_bracket] = ACTIONS(2123),
    [sym__open_fileglob_bracket] = ACTIONS(2123),
    [sym__PERLY_HEREDOC] = ACTIONS(2123),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2123),
    [sym__filetest] = ACTIONS(2123),
  },
  [999] = {
    [sym_heredoc_content] = STATE(999),
    [sym__identifier] = ACTIONS(1661),
    [anon_sym_LBRACE] = ACTIONS(1661),
    [anon_sym_RBRACE] = ACTIONS(1661),
    [anon_sym_SEMI] = ACTIONS(1661),
    [anon_sym_package] = ACTIONS(1661),
    [anon_sym_class] = ACTIONS(1661),
    [anon_sym_role] = ACTIONS(1661),
    [anon_sym_BUILD] = ACTIONS(1661),
    [anon_sym_ADJUST] = ACTIONS(1661),
    [anon_sym_DOLLAR] = ACTIONS(1661),
    [anon_sym_AT] = ACTIONS(1661),
    [anon_sym_my] = ACTIONS(1661),
    [anon_sym_extended] = ACTIONS(1661),
    [anon_sym_async] = ACTIONS(1661),
    [anon_sym_sub] = ACTIONS(1661),
    [anon_sym_method] = ACTIONS(1661),
    [anon_sym_LPAREN] = ACTIONS(1661),
    [anon_sym_continue] = ACTIONS(1661),
    [anon_sym_state] = ACTIONS(1661),
    [anon_sym_our] = ACTIONS(1661),
    [anon_sym_try] = ACTIONS(1661),
    [anon_sym_defer] = ACTIONS(1661),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1661),
    [anon_sym_LBRACK] = ACTIONS(1661),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1661),
    [anon_sym_PLUS] = ACTIONS(1661),
    [anon_sym_DASH] = ACTIONS(1661),
    [anon_sym_TILDE] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1661),
    [anon_sym_PLUS_PLUS] = ACTIONS(1661),
    [anon_sym_DASH_DASH] = ACTIONS(1661),
    [anon_sym_BSLASH] = ACTIONS(1659),
    [anon_sym_do] = ACTIONS(1661),
    [anon_sym_eval] = ACTIONS(1661),
    [anon_sym_await] = ACTIONS(1661),
    [anon_sym_field] = ACTIONS(1661),
    [anon_sym_local] = ACTIONS(1661),
    [anon_sym_dynamically] = ACTIONS(1661),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1661),
    [anon_sym_require] = ACTIONS(1661),
    [anon_sym_map] = ACTIONS(1661),
    [anon_sym_grep] = ACTIONS(1661),
    [anon_sym_sort] = ACTIONS(1661),
    [anon_sym_goto] = ACTIONS(1661),
    [anon_sym_return] = ACTIONS(1661),
    [anon_sym_undef] = ACTIONS(1661),
    [anon_sym_PERCENT2] = ACTIONS(1661),
    [anon_sym_AMP2] = ACTIONS(1661),
    [anon_sym_STAR2] = ACTIONS(1661),
    [anon_sym_use] = ACTIONS(1661),
    [anon_sym_no] = ACTIONS(1661),
    [anon_sym_for] = ACTIONS(1661),
    [anon_sym_foreach] = ACTIONS(1661),
    [anon_sym_last] = ACTIONS(1661),
    [anon_sym_next] = ACTIONS(1661),
    [anon_sym_redo] = ACTIONS(1661),
    [anon_sym_BEGIN] = ACTIONS(1661),
    [anon_sym_INIT] = ACTIONS(1661),
    [anon_sym_CHECK] = ACTIONS(1661),
    [anon_sym_UNITCHECK] = ACTIONS(1661),
    [anon_sym_END] = ACTIONS(1661),
    [anon_sym___FILE__] = ACTIONS(1661),
    [anon_sym___LINE__] = ACTIONS(1661),
    [anon_sym___PACKAGE__] = ACTIONS(1661),
    [anon_sym___SUB__] = ACTIONS(1661),
    [anon_sym_break] = ACTIONS(1661),
    [anon_sym_fork] = ACTIONS(1661),
    [anon_sym_getppid] = ACTIONS(1661),
    [anon_sym_time] = ACTIONS(1661),
    [anon_sym_times] = ACTIONS(1661),
    [anon_sym_wait] = ACTIONS(1661),
    [anon_sym_wantarray] = ACTIONS(1661),
    [anon_sym_abs] = ACTIONS(1661),
    [anon_sym_alarm] = ACTIONS(1661),
    [anon_sym_chop] = ACTIONS(1661),
    [anon_sym_chdir] = ACTIONS(1661),
    [anon_sym_close] = ACTIONS(1661),
    [anon_sym_closedir] = ACTIONS(1661),
    [anon_sym_caller] = ACTIONS(1661),
    [anon_sym_chomp] = ACTIONS(1661),
    [anon_sym_chr] = ACTIONS(1661),
    [anon_sym_cos] = ACTIONS(1661),
    [anon_sym_chroot] = ACTIONS(1661),
    [anon_sym_defined] = ACTIONS(1661),
    [anon_sym_delete] = ACTIONS(1661),
    [anon_sym_dbmclose] = ACTIONS(1661),
    [anon_sym_exists] = ACTIONS(1661),
    [anon_sym_exit] = ACTIONS(1661),
    [anon_sym_eof] = ACTIONS(1661),
    [anon_sym_exp] = ACTIONS(1661),
    [anon_sym_each] = ACTIONS(1661),
    [anon_sym_fc] = ACTIONS(1661),
    [anon_sym_fileno] = ACTIONS(1661),
    [anon_sym_gmtime] = ACTIONS(1661),
    [anon_sym_getc] = ACTIONS(1661),
    [anon_sym_getpgrp] = ACTIONS(1661),
    [anon_sym_getprotobyname] = ACTIONS(1661),
    [anon_sym_getpwname] = ACTIONS(1661),
    [anon_sym_getpwuid] = ACTIONS(1661),
    [anon_sym_getpeername] = ACTIONS(1661),
    [anon_sym_getnetbyname] = ACTIONS(1661),
    [anon_sym_getsockname] = ACTIONS(1661),
    [anon_sym_getgrnam] = ACTIONS(1661),
    [anon_sym_getgrgid] = ACTIONS(1661),
    [anon_sym_hex] = ACTIONS(1661),
    [anon_sym_int] = ACTIONS(1661),
    [anon_sym_keys] = ACTIONS(1661),
    [anon_sym_lc] = ACTIONS(1661),
    [anon_sym_lcfirst] = ACTIONS(1661),
    [anon_sym_length] = ACTIONS(1661),
    [anon_sym_localtime] = ACTIONS(1661),
    [anon_sym_log] = ACTIONS(1661),
    [anon_sym_lock] = ACTIONS(1661),
    [anon_sym_lstat] = ACTIONS(1661),
    [anon_sym_oct] = ACTIONS(1661),
    [anon_sym_ord] = ACTIONS(1661),
    [anon_sym_prototype] = ACTIONS(1661),
    [anon_sym_pop] = ACTIONS(1661),
    [anon_sym_pos] = ACTIONS(1661),
    [anon_sym_quotemeta] = ACTIONS(1661),
    [anon_sym_reset] = ACTIONS(1661),
    [anon_sym_rand] = ACTIONS(1661),
    [anon_sym_rmdir] = ACTIONS(1661),
    [anon_sym_readdir] = ACTIONS(1661),
    [anon_sym_readline] = ACTIONS(1661),
    [anon_sym_readpipe] = ACTIONS(1661),
    [anon_sym_rewinddir] = ACTIONS(1661),
    [anon_sym_readlink] = ACTIONS(1661),
    [anon_sym_ref] = ACTIONS(1661),
    [anon_sym_scalar] = ACTIONS(1661),
    [anon_sym_shift] = ACTIONS(1661),
    [anon_sym_sin] = ACTIONS(1661),
    [anon_sym_sleep] = ACTIONS(1661),
    [anon_sym_sqrt] = ACTIONS(1661),
    [anon_sym_srand] = ACTIONS(1661),
    [anon_sym_stat] = ACTIONS(1661),
    [anon_sym_study] = ACTIONS(1661),
    [anon_sym_tell] = ACTIONS(1661),
    [anon_sym_telldir] = ACTIONS(1661),
    [anon_sym_tied] = ACTIONS(1661),
    [anon_sym_uc] = ACTIONS(1661),
    [anon_sym_ucfirst] = ACTIONS(1661),
    [anon_sym_untie] = ACTIONS(1661),
    [anon_sym_umask] = ACTIONS(1661),
    [anon_sym_values] = ACTIONS(1661),
    [anon_sym_write] = ACTIONS(1661),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1661),
    [anon_sym_qq] = ACTIONS(1661),
    [anon_sym_qw] = ACTIONS(1661),
    [anon_sym_qx] = ACTIONS(1661),
    [anon_sym_qr] = ACTIONS(1661),
    [anon_sym_m] = ACTIONS(1661),
    [anon_sym_s] = ACTIONS(1661),
    [anon_sym_tr] = ACTIONS(1661),
    [anon_sym_y] = ACTIONS(1661),
    [anon_sym_if] = ACTIONS(1661),
    [anon_sym_unless] = ACTIONS(1661),
    [anon_sym_while] = ACTIONS(1661),
    [anon_sym_until] = ACTIONS(1661),
    [aux_sym__bareword_token1] = ACTIONS(1661),
    [sym_number] = ACTIONS(1661),
    [anon_sym_true] = ACTIONS(1661),
    [anon_sym_false] = ACTIONS(1661),
    [sym__single_quote] = ACTIONS(1659),
    [sym__double_quote] = ACTIONS(1659),
    [sym__backtick_quote] = ACTIONS(1659),
    [sym__search_slash_quote] = ACTIONS(1659),
    [sym__open_readline_bracket] = ACTIONS(1659),
    [sym__open_fileglob_bracket] = ACTIONS(1659),
    [sym__PERLY_HEREDOC] = ACTIONS(1659),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1659),
    [sym__filetest] = ACTIONS(1659),
  },
  [1000] = {
    [sym_heredoc_content] = STATE(1000),
    [sym__identifier] = ACTIONS(2149),
    [anon_sym_LBRACE] = ACTIONS(2149),
    [anon_sym_RBRACE] = ACTIONS(2149),
    [anon_sym_SEMI] = ACTIONS(2149),
    [anon_sym_package] = ACTIONS(2149),
    [anon_sym_class] = ACTIONS(2149),
    [anon_sym_role] = ACTIONS(2149),
    [anon_sym_BUILD] = ACTIONS(2149),
    [anon_sym_ADJUST] = ACTIONS(2149),
    [anon_sym_DOLLAR] = ACTIONS(2149),
    [anon_sym_AT] = ACTIONS(2149),
    [anon_sym_my] = ACTIONS(2149),
    [anon_sym_extended] = ACTIONS(2149),
    [anon_sym_async] = ACTIONS(2149),
    [anon_sym_sub] = ACTIONS(2149),
    [anon_sym_method] = ACTIONS(2149),
    [anon_sym_LPAREN] = ACTIONS(2149),
    [anon_sym_continue] = ACTIONS(2149),
    [anon_sym_state] = ACTIONS(2149),
    [anon_sym_our] = ACTIONS(2149),
    [anon_sym_try] = ACTIONS(2149),
    [anon_sym_defer] = ACTIONS(2149),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2149),
    [anon_sym_LBRACK] = ACTIONS(2149),
    [anon_sym_LT_LT] = ACTIONS(2149),
    [anon_sym_SLASH_SLASH] = ACTIONS(2149),
    [anon_sym_PLUS] = ACTIONS(2149),
    [anon_sym_DASH] = ACTIONS(2149),
    [anon_sym_TILDE] = ACTIONS(2149),
    [anon_sym_BANG] = ACTIONS(2149),
    [anon_sym_PLUS_PLUS] = ACTIONS(2149),
    [anon_sym_DASH_DASH] = ACTIONS(2149),
    [anon_sym_BSLASH] = ACTIONS(2147),
    [anon_sym_do] = ACTIONS(2149),
    [anon_sym_eval] = ACTIONS(2149),
    [anon_sym_await] = ACTIONS(2149),
    [anon_sym_field] = ACTIONS(2149),
    [anon_sym_local] = ACTIONS(2149),
    [anon_sym_dynamically] = ACTIONS(2149),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2149),
    [anon_sym_require] = ACTIONS(2149),
    [anon_sym_map] = ACTIONS(2149),
    [anon_sym_grep] = ACTIONS(2149),
    [anon_sym_sort] = ACTIONS(2149),
    [anon_sym_goto] = ACTIONS(2149),
    [anon_sym_return] = ACTIONS(2149),
    [anon_sym_undef] = ACTIONS(2149),
    [anon_sym_PERCENT2] = ACTIONS(2149),
    [anon_sym_AMP2] = ACTIONS(2149),
    [anon_sym_STAR2] = ACTIONS(2149),
    [anon_sym_use] = ACTIONS(2149),
    [anon_sym_no] = ACTIONS(2149),
    [anon_sym_for] = ACTIONS(2149),
    [anon_sym_foreach] = ACTIONS(2149),
    [anon_sym_last] = ACTIONS(2149),
    [anon_sym_next] = ACTIONS(2149),
    [anon_sym_redo] = ACTIONS(2149),
    [anon_sym_BEGIN] = ACTIONS(2149),
    [anon_sym_INIT] = ACTIONS(2149),
    [anon_sym_CHECK] = ACTIONS(2149),
    [anon_sym_UNITCHECK] = ACTIONS(2149),
    [anon_sym_END] = ACTIONS(2149),
    [anon_sym___FILE__] = ACTIONS(2149),
    [anon_sym___LINE__] = ACTIONS(2149),
    [anon_sym___PACKAGE__] = ACTIONS(2149),
    [anon_sym___SUB__] = ACTIONS(2149),
    [anon_sym_break] = ACTIONS(2149),
    [anon_sym_fork] = ACTIONS(2149),
    [anon_sym_getppid] = ACTIONS(2149),
    [anon_sym_time] = ACTIONS(2149),
    [anon_sym_times] = ACTIONS(2149),
    [anon_sym_wait] = ACTIONS(2149),
    [anon_sym_wantarray] = ACTIONS(2149),
    [anon_sym_abs] = ACTIONS(2149),
    [anon_sym_alarm] = ACTIONS(2149),
    [anon_sym_chop] = ACTIONS(2149),
    [anon_sym_chdir] = ACTIONS(2149),
    [anon_sym_close] = ACTIONS(2149),
    [anon_sym_closedir] = ACTIONS(2149),
    [anon_sym_caller] = ACTIONS(2149),
    [anon_sym_chomp] = ACTIONS(2149),
    [anon_sym_chr] = ACTIONS(2149),
    [anon_sym_cos] = ACTIONS(2149),
    [anon_sym_chroot] = ACTIONS(2149),
    [anon_sym_defined] = ACTIONS(2149),
    [anon_sym_delete] = ACTIONS(2149),
    [anon_sym_dbmclose] = ACTIONS(2149),
    [anon_sym_exists] = ACTIONS(2149),
    [anon_sym_exit] = ACTIONS(2149),
    [anon_sym_eof] = ACTIONS(2149),
    [anon_sym_exp] = ACTIONS(2149),
    [anon_sym_each] = ACTIONS(2149),
    [anon_sym_fc] = ACTIONS(2149),
    [anon_sym_fileno] = ACTIONS(2149),
    [anon_sym_gmtime] = ACTIONS(2149),
    [anon_sym_getc] = ACTIONS(2149),
    [anon_sym_getpgrp] = ACTIONS(2149),
    [anon_sym_getprotobyname] = ACTIONS(2149),
    [anon_sym_getpwname] = ACTIONS(2149),
    [anon_sym_getpwuid] = ACTIONS(2149),
    [anon_sym_getpeername] = ACTIONS(2149),
    [anon_sym_getnetbyname] = ACTIONS(2149),
    [anon_sym_getsockname] = ACTIONS(2149),
    [anon_sym_getgrnam] = ACTIONS(2149),
    [anon_sym_getgrgid] = ACTIONS(2149),
    [anon_sym_hex] = ACTIONS(2149),
    [anon_sym_int] = ACTIONS(2149),
    [anon_sym_keys] = ACTIONS(2149),
    [anon_sym_lc] = ACTIONS(2149),
    [anon_sym_lcfirst] = ACTIONS(2149),
    [anon_sym_length] = ACTIONS(2149),
    [anon_sym_localtime] = ACTIONS(2149),
    [anon_sym_log] = ACTIONS(2149),
    [anon_sym_lock] = ACTIONS(2149),
    [anon_sym_lstat] = ACTIONS(2149),
    [anon_sym_oct] = ACTIONS(2149),
    [anon_sym_ord] = ACTIONS(2149),
    [anon_sym_prototype] = ACTIONS(2149),
    [anon_sym_pop] = ACTIONS(2149),
    [anon_sym_pos] = ACTIONS(2149),
    [anon_sym_quotemeta] = ACTIONS(2149),
    [anon_sym_reset] = ACTIONS(2149),
    [anon_sym_rand] = ACTIONS(2149),
    [anon_sym_rmdir] = ACTIONS(2149),
    [anon_sym_readdir] = ACTIONS(2149),
    [anon_sym_readline] = ACTIONS(2149),
    [anon_sym_readpipe] = ACTIONS(2149),
    [anon_sym_rewinddir] = ACTIONS(2149),
    [anon_sym_readlink] = ACTIONS(2149),
    [anon_sym_ref] = ACTIONS(2149),
    [anon_sym_scalar] = ACTIONS(2149),
    [anon_sym_shift] = ACTIONS(2149),
    [anon_sym_sin] = ACTIONS(2149),
    [anon_sym_sleep] = ACTIONS(2149),
    [anon_sym_sqrt] = ACTIONS(2149),
    [anon_sym_srand] = ACTIONS(2149),
    [anon_sym_stat] = ACTIONS(2149),
    [anon_sym_study] = ACTIONS(2149),
    [anon_sym_tell] = ACTIONS(2149),
    [anon_sym_telldir] = ACTIONS(2149),
    [anon_sym_tied] = ACTIONS(2149),
    [anon_sym_uc] = ACTIONS(2149),
    [anon_sym_ucfirst] = ACTIONS(2149),
    [anon_sym_untie] = ACTIONS(2149),
    [anon_sym_umask] = ACTIONS(2149),
    [anon_sym_values] = ACTIONS(2149),
    [anon_sym_write] = ACTIONS(2149),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2149),
    [anon_sym_qq] = ACTIONS(2149),
    [anon_sym_qw] = ACTIONS(2149),
    [anon_sym_qx] = ACTIONS(2149),
    [anon_sym_qr] = ACTIONS(2149),
    [anon_sym_m] = ACTIONS(2149),
    [anon_sym_s] = ACTIONS(2149),
    [anon_sym_tr] = ACTIONS(2149),
    [anon_sym_y] = ACTIONS(2149),
    [anon_sym_if] = ACTIONS(2149),
    [anon_sym_unless] = ACTIONS(2149),
    [anon_sym_while] = ACTIONS(2149),
    [anon_sym_until] = ACTIONS(2149),
    [aux_sym__bareword_token1] = ACTIONS(2149),
    [sym_number] = ACTIONS(2149),
    [anon_sym_true] = ACTIONS(2149),
    [anon_sym_false] = ACTIONS(2149),
    [sym__single_quote] = ACTIONS(2147),
    [sym__double_quote] = ACTIONS(2147),
    [sym__backtick_quote] = ACTIONS(2147),
    [sym__search_slash_quote] = ACTIONS(2147),
    [sym__open_readline_bracket] = ACTIONS(2147),
    [sym__open_fileglob_bracket] = ACTIONS(2147),
    [sym__PERLY_HEREDOC] = ACTIONS(2147),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2147),
    [sym__filetest] = ACTIONS(2147),
  },
  [1001] = {
    [sym_heredoc_content] = STATE(1001),
    [sym__identifier] = ACTIONS(2045),
    [anon_sym_LBRACE] = ACTIONS(2045),
    [anon_sym_RBRACE] = ACTIONS(2045),
    [anon_sym_SEMI] = ACTIONS(2045),
    [anon_sym_package] = ACTIONS(2045),
    [anon_sym_class] = ACTIONS(2045),
    [anon_sym_role] = ACTIONS(2045),
    [anon_sym_BUILD] = ACTIONS(2045),
    [anon_sym_ADJUST] = ACTIONS(2045),
    [anon_sym_DOLLAR] = ACTIONS(2045),
    [anon_sym_AT] = ACTIONS(2045),
    [anon_sym_my] = ACTIONS(2045),
    [anon_sym_extended] = ACTIONS(2045),
    [anon_sym_async] = ACTIONS(2045),
    [anon_sym_sub] = ACTIONS(2045),
    [anon_sym_method] = ACTIONS(2045),
    [anon_sym_LPAREN] = ACTIONS(2045),
    [anon_sym_continue] = ACTIONS(2045),
    [anon_sym_state] = ACTIONS(2045),
    [anon_sym_our] = ACTIONS(2045),
    [anon_sym_try] = ACTIONS(2045),
    [anon_sym_defer] = ACTIONS(2045),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2045),
    [anon_sym_LBRACK] = ACTIONS(2045),
    [anon_sym_LT_LT] = ACTIONS(2045),
    [anon_sym_SLASH_SLASH] = ACTIONS(2045),
    [anon_sym_PLUS] = ACTIONS(2045),
    [anon_sym_DASH] = ACTIONS(2045),
    [anon_sym_TILDE] = ACTIONS(2045),
    [anon_sym_BANG] = ACTIONS(2045),
    [anon_sym_PLUS_PLUS] = ACTIONS(2045),
    [anon_sym_DASH_DASH] = ACTIONS(2045),
    [anon_sym_BSLASH] = ACTIONS(2043),
    [anon_sym_do] = ACTIONS(2045),
    [anon_sym_eval] = ACTIONS(2045),
    [anon_sym_await] = ACTIONS(2045),
    [anon_sym_field] = ACTIONS(2045),
    [anon_sym_local] = ACTIONS(2045),
    [anon_sym_dynamically] = ACTIONS(2045),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2045),
    [anon_sym_require] = ACTIONS(2045),
    [anon_sym_map] = ACTIONS(2045),
    [anon_sym_grep] = ACTIONS(2045),
    [anon_sym_sort] = ACTIONS(2045),
    [anon_sym_goto] = ACTIONS(2045),
    [anon_sym_return] = ACTIONS(2045),
    [anon_sym_undef] = ACTIONS(2045),
    [anon_sym_PERCENT2] = ACTIONS(2045),
    [anon_sym_AMP2] = ACTIONS(2045),
    [anon_sym_STAR2] = ACTIONS(2045),
    [anon_sym_use] = ACTIONS(2045),
    [anon_sym_no] = ACTIONS(2045),
    [anon_sym_for] = ACTIONS(2045),
    [anon_sym_foreach] = ACTIONS(2045),
    [anon_sym_last] = ACTIONS(2045),
    [anon_sym_next] = ACTIONS(2045),
    [anon_sym_redo] = ACTIONS(2045),
    [anon_sym_BEGIN] = ACTIONS(2045),
    [anon_sym_INIT] = ACTIONS(2045),
    [anon_sym_CHECK] = ACTIONS(2045),
    [anon_sym_UNITCHECK] = ACTIONS(2045),
    [anon_sym_END] = ACTIONS(2045),
    [anon_sym___FILE__] = ACTIONS(2045),
    [anon_sym___LINE__] = ACTIONS(2045),
    [anon_sym___PACKAGE__] = ACTIONS(2045),
    [anon_sym___SUB__] = ACTIONS(2045),
    [anon_sym_break] = ACTIONS(2045),
    [anon_sym_fork] = ACTIONS(2045),
    [anon_sym_getppid] = ACTIONS(2045),
    [anon_sym_time] = ACTIONS(2045),
    [anon_sym_times] = ACTIONS(2045),
    [anon_sym_wait] = ACTIONS(2045),
    [anon_sym_wantarray] = ACTIONS(2045),
    [anon_sym_abs] = ACTIONS(2045),
    [anon_sym_alarm] = ACTIONS(2045),
    [anon_sym_chop] = ACTIONS(2045),
    [anon_sym_chdir] = ACTIONS(2045),
    [anon_sym_close] = ACTIONS(2045),
    [anon_sym_closedir] = ACTIONS(2045),
    [anon_sym_caller] = ACTIONS(2045),
    [anon_sym_chomp] = ACTIONS(2045),
    [anon_sym_chr] = ACTIONS(2045),
    [anon_sym_cos] = ACTIONS(2045),
    [anon_sym_chroot] = ACTIONS(2045),
    [anon_sym_defined] = ACTIONS(2045),
    [anon_sym_delete] = ACTIONS(2045),
    [anon_sym_dbmclose] = ACTIONS(2045),
    [anon_sym_exists] = ACTIONS(2045),
    [anon_sym_exit] = ACTIONS(2045),
    [anon_sym_eof] = ACTIONS(2045),
    [anon_sym_exp] = ACTIONS(2045),
    [anon_sym_each] = ACTIONS(2045),
    [anon_sym_fc] = ACTIONS(2045),
    [anon_sym_fileno] = ACTIONS(2045),
    [anon_sym_gmtime] = ACTIONS(2045),
    [anon_sym_getc] = ACTIONS(2045),
    [anon_sym_getpgrp] = ACTIONS(2045),
    [anon_sym_getprotobyname] = ACTIONS(2045),
    [anon_sym_getpwname] = ACTIONS(2045),
    [anon_sym_getpwuid] = ACTIONS(2045),
    [anon_sym_getpeername] = ACTIONS(2045),
    [anon_sym_getnetbyname] = ACTIONS(2045),
    [anon_sym_getsockname] = ACTIONS(2045),
    [anon_sym_getgrnam] = ACTIONS(2045),
    [anon_sym_getgrgid] = ACTIONS(2045),
    [anon_sym_hex] = ACTIONS(2045),
    [anon_sym_int] = ACTIONS(2045),
    [anon_sym_keys] = ACTIONS(2045),
    [anon_sym_lc] = ACTIONS(2045),
    [anon_sym_lcfirst] = ACTIONS(2045),
    [anon_sym_length] = ACTIONS(2045),
    [anon_sym_localtime] = ACTIONS(2045),
    [anon_sym_log] = ACTIONS(2045),
    [anon_sym_lock] = ACTIONS(2045),
    [anon_sym_lstat] = ACTIONS(2045),
    [anon_sym_oct] = ACTIONS(2045),
    [anon_sym_ord] = ACTIONS(2045),
    [anon_sym_prototype] = ACTIONS(2045),
    [anon_sym_pop] = ACTIONS(2045),
    [anon_sym_pos] = ACTIONS(2045),
    [anon_sym_quotemeta] = ACTIONS(2045),
    [anon_sym_reset] = ACTIONS(2045),
    [anon_sym_rand] = ACTIONS(2045),
    [anon_sym_rmdir] = ACTIONS(2045),
    [anon_sym_readdir] = ACTIONS(2045),
    [anon_sym_readline] = ACTIONS(2045),
    [anon_sym_readpipe] = ACTIONS(2045),
    [anon_sym_rewinddir] = ACTIONS(2045),
    [anon_sym_readlink] = ACTIONS(2045),
    [anon_sym_ref] = ACTIONS(2045),
    [anon_sym_scalar] = ACTIONS(2045),
    [anon_sym_shift] = ACTIONS(2045),
    [anon_sym_sin] = ACTIONS(2045),
    [anon_sym_sleep] = ACTIONS(2045),
    [anon_sym_sqrt] = ACTIONS(2045),
    [anon_sym_srand] = ACTIONS(2045),
    [anon_sym_stat] = ACTIONS(2045),
    [anon_sym_study] = ACTIONS(2045),
    [anon_sym_tell] = ACTIONS(2045),
    [anon_sym_telldir] = ACTIONS(2045),
    [anon_sym_tied] = ACTIONS(2045),
    [anon_sym_uc] = ACTIONS(2045),
    [anon_sym_ucfirst] = ACTIONS(2045),
    [anon_sym_untie] = ACTIONS(2045),
    [anon_sym_umask] = ACTIONS(2045),
    [anon_sym_values] = ACTIONS(2045),
    [anon_sym_write] = ACTIONS(2045),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2045),
    [anon_sym_qq] = ACTIONS(2045),
    [anon_sym_qw] = ACTIONS(2045),
    [anon_sym_qx] = ACTIONS(2045),
    [anon_sym_qr] = ACTIONS(2045),
    [anon_sym_m] = ACTIONS(2045),
    [anon_sym_s] = ACTIONS(2045),
    [anon_sym_tr] = ACTIONS(2045),
    [anon_sym_y] = ACTIONS(2045),
    [anon_sym_if] = ACTIONS(2045),
    [anon_sym_unless] = ACTIONS(2045),
    [anon_sym_while] = ACTIONS(2045),
    [anon_sym_until] = ACTIONS(2045),
    [aux_sym__bareword_token1] = ACTIONS(2045),
    [sym_number] = ACTIONS(2045),
    [anon_sym_true] = ACTIONS(2045),
    [anon_sym_false] = ACTIONS(2045),
    [sym__single_quote] = ACTIONS(2043),
    [sym__double_quote] = ACTIONS(2043),
    [sym__backtick_quote] = ACTIONS(2043),
    [sym__search_slash_quote] = ACTIONS(2043),
    [sym__open_readline_bracket] = ACTIONS(2043),
    [sym__open_fileglob_bracket] = ACTIONS(2043),
    [sym__PERLY_HEREDOC] = ACTIONS(2043),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2043),
    [sym__filetest] = ACTIONS(2043),
  },
  [1002] = {
    [sym_heredoc_content] = STATE(1002),
    [sym__identifier] = ACTIONS(2097),
    [anon_sym_LBRACE] = ACTIONS(2097),
    [anon_sym_RBRACE] = ACTIONS(2097),
    [anon_sym_SEMI] = ACTIONS(2097),
    [anon_sym_package] = ACTIONS(2097),
    [anon_sym_class] = ACTIONS(2097),
    [anon_sym_role] = ACTIONS(2097),
    [anon_sym_BUILD] = ACTIONS(2097),
    [anon_sym_ADJUST] = ACTIONS(2097),
    [anon_sym_DOLLAR] = ACTIONS(2097),
    [anon_sym_AT] = ACTIONS(2097),
    [anon_sym_my] = ACTIONS(2097),
    [anon_sym_extended] = ACTIONS(2097),
    [anon_sym_async] = ACTIONS(2097),
    [anon_sym_sub] = ACTIONS(2097),
    [anon_sym_method] = ACTIONS(2097),
    [anon_sym_LPAREN] = ACTIONS(2097),
    [anon_sym_continue] = ACTIONS(2097),
    [anon_sym_state] = ACTIONS(2097),
    [anon_sym_our] = ACTIONS(2097),
    [anon_sym_try] = ACTIONS(2097),
    [anon_sym_defer] = ACTIONS(2097),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2097),
    [anon_sym_LBRACK] = ACTIONS(2097),
    [anon_sym_LT_LT] = ACTIONS(2097),
    [anon_sym_SLASH_SLASH] = ACTIONS(2097),
    [anon_sym_PLUS] = ACTIONS(2097),
    [anon_sym_DASH] = ACTIONS(2097),
    [anon_sym_TILDE] = ACTIONS(2097),
    [anon_sym_BANG] = ACTIONS(2097),
    [anon_sym_PLUS_PLUS] = ACTIONS(2097),
    [anon_sym_DASH_DASH] = ACTIONS(2097),
    [anon_sym_BSLASH] = ACTIONS(2095),
    [anon_sym_do] = ACTIONS(2097),
    [anon_sym_eval] = ACTIONS(2097),
    [anon_sym_await] = ACTIONS(2097),
    [anon_sym_field] = ACTIONS(2097),
    [anon_sym_local] = ACTIONS(2097),
    [anon_sym_dynamically] = ACTIONS(2097),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2097),
    [anon_sym_require] = ACTIONS(2097),
    [anon_sym_map] = ACTIONS(2097),
    [anon_sym_grep] = ACTIONS(2097),
    [anon_sym_sort] = ACTIONS(2097),
    [anon_sym_goto] = ACTIONS(2097),
    [anon_sym_return] = ACTIONS(2097),
    [anon_sym_undef] = ACTIONS(2097),
    [anon_sym_PERCENT2] = ACTIONS(2097),
    [anon_sym_AMP2] = ACTIONS(2097),
    [anon_sym_STAR2] = ACTIONS(2097),
    [anon_sym_use] = ACTIONS(2097),
    [anon_sym_no] = ACTIONS(2097),
    [anon_sym_for] = ACTIONS(2097),
    [anon_sym_foreach] = ACTIONS(2097),
    [anon_sym_last] = ACTIONS(2097),
    [anon_sym_next] = ACTIONS(2097),
    [anon_sym_redo] = ACTIONS(2097),
    [anon_sym_BEGIN] = ACTIONS(2097),
    [anon_sym_INIT] = ACTIONS(2097),
    [anon_sym_CHECK] = ACTIONS(2097),
    [anon_sym_UNITCHECK] = ACTIONS(2097),
    [anon_sym_END] = ACTIONS(2097),
    [anon_sym___FILE__] = ACTIONS(2097),
    [anon_sym___LINE__] = ACTIONS(2097),
    [anon_sym___PACKAGE__] = ACTIONS(2097),
    [anon_sym___SUB__] = ACTIONS(2097),
    [anon_sym_break] = ACTIONS(2097),
    [anon_sym_fork] = ACTIONS(2097),
    [anon_sym_getppid] = ACTIONS(2097),
    [anon_sym_time] = ACTIONS(2097),
    [anon_sym_times] = ACTIONS(2097),
    [anon_sym_wait] = ACTIONS(2097),
    [anon_sym_wantarray] = ACTIONS(2097),
    [anon_sym_abs] = ACTIONS(2097),
    [anon_sym_alarm] = ACTIONS(2097),
    [anon_sym_chop] = ACTIONS(2097),
    [anon_sym_chdir] = ACTIONS(2097),
    [anon_sym_close] = ACTIONS(2097),
    [anon_sym_closedir] = ACTIONS(2097),
    [anon_sym_caller] = ACTIONS(2097),
    [anon_sym_chomp] = ACTIONS(2097),
    [anon_sym_chr] = ACTIONS(2097),
    [anon_sym_cos] = ACTIONS(2097),
    [anon_sym_chroot] = ACTIONS(2097),
    [anon_sym_defined] = ACTIONS(2097),
    [anon_sym_delete] = ACTIONS(2097),
    [anon_sym_dbmclose] = ACTIONS(2097),
    [anon_sym_exists] = ACTIONS(2097),
    [anon_sym_exit] = ACTIONS(2097),
    [anon_sym_eof] = ACTIONS(2097),
    [anon_sym_exp] = ACTIONS(2097),
    [anon_sym_each] = ACTIONS(2097),
    [anon_sym_fc] = ACTIONS(2097),
    [anon_sym_fileno] = ACTIONS(2097),
    [anon_sym_gmtime] = ACTIONS(2097),
    [anon_sym_getc] = ACTIONS(2097),
    [anon_sym_getpgrp] = ACTIONS(2097),
    [anon_sym_getprotobyname] = ACTIONS(2097),
    [anon_sym_getpwname] = ACTIONS(2097),
    [anon_sym_getpwuid] = ACTIONS(2097),
    [anon_sym_getpeername] = ACTIONS(2097),
    [anon_sym_getnetbyname] = ACTIONS(2097),
    [anon_sym_getsockname] = ACTIONS(2097),
    [anon_sym_getgrnam] = ACTIONS(2097),
    [anon_sym_getgrgid] = ACTIONS(2097),
    [anon_sym_hex] = ACTIONS(2097),
    [anon_sym_int] = ACTIONS(2097),
    [anon_sym_keys] = ACTIONS(2097),
    [anon_sym_lc] = ACTIONS(2097),
    [anon_sym_lcfirst] = ACTIONS(2097),
    [anon_sym_length] = ACTIONS(2097),
    [anon_sym_localtime] = ACTIONS(2097),
    [anon_sym_log] = ACTIONS(2097),
    [anon_sym_lock] = ACTIONS(2097),
    [anon_sym_lstat] = ACTIONS(2097),
    [anon_sym_oct] = ACTIONS(2097),
    [anon_sym_ord] = ACTIONS(2097),
    [anon_sym_prototype] = ACTIONS(2097),
    [anon_sym_pop] = ACTIONS(2097),
    [anon_sym_pos] = ACTIONS(2097),
    [anon_sym_quotemeta] = ACTIONS(2097),
    [anon_sym_reset] = ACTIONS(2097),
    [anon_sym_rand] = ACTIONS(2097),
    [anon_sym_rmdir] = ACTIONS(2097),
    [anon_sym_readdir] = ACTIONS(2097),
    [anon_sym_readline] = ACTIONS(2097),
    [anon_sym_readpipe] = ACTIONS(2097),
    [anon_sym_rewinddir] = ACTIONS(2097),
    [anon_sym_readlink] = ACTIONS(2097),
    [anon_sym_ref] = ACTIONS(2097),
    [anon_sym_scalar] = ACTIONS(2097),
    [anon_sym_shift] = ACTIONS(2097),
    [anon_sym_sin] = ACTIONS(2097),
    [anon_sym_sleep] = ACTIONS(2097),
    [anon_sym_sqrt] = ACTIONS(2097),
    [anon_sym_srand] = ACTIONS(2097),
    [anon_sym_stat] = ACTIONS(2097),
    [anon_sym_study] = ACTIONS(2097),
    [anon_sym_tell] = ACTIONS(2097),
    [anon_sym_telldir] = ACTIONS(2097),
    [anon_sym_tied] = ACTIONS(2097),
    [anon_sym_uc] = ACTIONS(2097),
    [anon_sym_ucfirst] = ACTIONS(2097),
    [anon_sym_untie] = ACTIONS(2097),
    [anon_sym_umask] = ACTIONS(2097),
    [anon_sym_values] = ACTIONS(2097),
    [anon_sym_write] = ACTIONS(2097),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2097),
    [anon_sym_qq] = ACTIONS(2097),
    [anon_sym_qw] = ACTIONS(2097),
    [anon_sym_qx] = ACTIONS(2097),
    [anon_sym_qr] = ACTIONS(2097),
    [anon_sym_m] = ACTIONS(2097),
    [anon_sym_s] = ACTIONS(2097),
    [anon_sym_tr] = ACTIONS(2097),
    [anon_sym_y] = ACTIONS(2097),
    [anon_sym_if] = ACTIONS(2097),
    [anon_sym_unless] = ACTIONS(2097),
    [anon_sym_while] = ACTIONS(2097),
    [anon_sym_until] = ACTIONS(2097),
    [aux_sym__bareword_token1] = ACTIONS(2097),
    [sym_number] = ACTIONS(2097),
    [anon_sym_true] = ACTIONS(2097),
    [anon_sym_false] = ACTIONS(2097),
    [sym__single_quote] = ACTIONS(2095),
    [sym__double_quote] = ACTIONS(2095),
    [sym__backtick_quote] = ACTIONS(2095),
    [sym__search_slash_quote] = ACTIONS(2095),
    [sym__open_readline_bracket] = ACTIONS(2095),
    [sym__open_fileglob_bracket] = ACTIONS(2095),
    [sym__PERLY_HEREDOC] = ACTIONS(2095),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2095),
    [sym__filetest] = ACTIONS(2095),
  },
  [1003] = {
    [sym_heredoc_content] = STATE(1003),
    [sym__identifier] = ACTIONS(2165),
    [anon_sym_LBRACE] = ACTIONS(2165),
    [anon_sym_RBRACE] = ACTIONS(2165),
    [anon_sym_SEMI] = ACTIONS(2165),
    [anon_sym_package] = ACTIONS(2165),
    [anon_sym_class] = ACTIONS(2165),
    [anon_sym_role] = ACTIONS(2165),
    [anon_sym_BUILD] = ACTIONS(2165),
    [anon_sym_ADJUST] = ACTIONS(2165),
    [anon_sym_DOLLAR] = ACTIONS(2165),
    [anon_sym_AT] = ACTIONS(2165),
    [anon_sym_my] = ACTIONS(2165),
    [anon_sym_extended] = ACTIONS(2165),
    [anon_sym_async] = ACTIONS(2165),
    [anon_sym_sub] = ACTIONS(2165),
    [anon_sym_method] = ACTIONS(2165),
    [anon_sym_LPAREN] = ACTIONS(2165),
    [anon_sym_continue] = ACTIONS(2165),
    [anon_sym_state] = ACTIONS(2165),
    [anon_sym_our] = ACTIONS(2165),
    [anon_sym_try] = ACTIONS(2165),
    [anon_sym_defer] = ACTIONS(2165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2165),
    [anon_sym_LBRACK] = ACTIONS(2165),
    [anon_sym_LT_LT] = ACTIONS(2165),
    [anon_sym_SLASH_SLASH] = ACTIONS(2165),
    [anon_sym_PLUS] = ACTIONS(2165),
    [anon_sym_DASH] = ACTIONS(2165),
    [anon_sym_TILDE] = ACTIONS(2165),
    [anon_sym_BANG] = ACTIONS(2165),
    [anon_sym_PLUS_PLUS] = ACTIONS(2165),
    [anon_sym_DASH_DASH] = ACTIONS(2165),
    [anon_sym_BSLASH] = ACTIONS(2163),
    [anon_sym_do] = ACTIONS(2165),
    [anon_sym_eval] = ACTIONS(2165),
    [anon_sym_await] = ACTIONS(2165),
    [anon_sym_field] = ACTIONS(2165),
    [anon_sym_local] = ACTIONS(2165),
    [anon_sym_dynamically] = ACTIONS(2165),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2165),
    [anon_sym_require] = ACTIONS(2165),
    [anon_sym_map] = ACTIONS(2165),
    [anon_sym_grep] = ACTIONS(2165),
    [anon_sym_sort] = ACTIONS(2165),
    [anon_sym_goto] = ACTIONS(2165),
    [anon_sym_return] = ACTIONS(2165),
    [anon_sym_undef] = ACTIONS(2165),
    [anon_sym_PERCENT2] = ACTIONS(2165),
    [anon_sym_AMP2] = ACTIONS(2165),
    [anon_sym_STAR2] = ACTIONS(2165),
    [anon_sym_use] = ACTIONS(2165),
    [anon_sym_no] = ACTIONS(2165),
    [anon_sym_for] = ACTIONS(2165),
    [anon_sym_foreach] = ACTIONS(2165),
    [anon_sym_last] = ACTIONS(2165),
    [anon_sym_next] = ACTIONS(2165),
    [anon_sym_redo] = ACTIONS(2165),
    [anon_sym_BEGIN] = ACTIONS(2165),
    [anon_sym_INIT] = ACTIONS(2165),
    [anon_sym_CHECK] = ACTIONS(2165),
    [anon_sym_UNITCHECK] = ACTIONS(2165),
    [anon_sym_END] = ACTIONS(2165),
    [anon_sym___FILE__] = ACTIONS(2165),
    [anon_sym___LINE__] = ACTIONS(2165),
    [anon_sym___PACKAGE__] = ACTIONS(2165),
    [anon_sym___SUB__] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2165),
    [anon_sym_fork] = ACTIONS(2165),
    [anon_sym_getppid] = ACTIONS(2165),
    [anon_sym_time] = ACTIONS(2165),
    [anon_sym_times] = ACTIONS(2165),
    [anon_sym_wait] = ACTIONS(2165),
    [anon_sym_wantarray] = ACTIONS(2165),
    [anon_sym_abs] = ACTIONS(2165),
    [anon_sym_alarm] = ACTIONS(2165),
    [anon_sym_chop] = ACTIONS(2165),
    [anon_sym_chdir] = ACTIONS(2165),
    [anon_sym_close] = ACTIONS(2165),
    [anon_sym_closedir] = ACTIONS(2165),
    [anon_sym_caller] = ACTIONS(2165),
    [anon_sym_chomp] = ACTIONS(2165),
    [anon_sym_chr] = ACTIONS(2165),
    [anon_sym_cos] = ACTIONS(2165),
    [anon_sym_chroot] = ACTIONS(2165),
    [anon_sym_defined] = ACTIONS(2165),
    [anon_sym_delete] = ACTIONS(2165),
    [anon_sym_dbmclose] = ACTIONS(2165),
    [anon_sym_exists] = ACTIONS(2165),
    [anon_sym_exit] = ACTIONS(2165),
    [anon_sym_eof] = ACTIONS(2165),
    [anon_sym_exp] = ACTIONS(2165),
    [anon_sym_each] = ACTIONS(2165),
    [anon_sym_fc] = ACTIONS(2165),
    [anon_sym_fileno] = ACTIONS(2165),
    [anon_sym_gmtime] = ACTIONS(2165),
    [anon_sym_getc] = ACTIONS(2165),
    [anon_sym_getpgrp] = ACTIONS(2165),
    [anon_sym_getprotobyname] = ACTIONS(2165),
    [anon_sym_getpwname] = ACTIONS(2165),
    [anon_sym_getpwuid] = ACTIONS(2165),
    [anon_sym_getpeername] = ACTIONS(2165),
    [anon_sym_getnetbyname] = ACTIONS(2165),
    [anon_sym_getsockname] = ACTIONS(2165),
    [anon_sym_getgrnam] = ACTIONS(2165),
    [anon_sym_getgrgid] = ACTIONS(2165),
    [anon_sym_hex] = ACTIONS(2165),
    [anon_sym_int] = ACTIONS(2165),
    [anon_sym_keys] = ACTIONS(2165),
    [anon_sym_lc] = ACTIONS(2165),
    [anon_sym_lcfirst] = ACTIONS(2165),
    [anon_sym_length] = ACTIONS(2165),
    [anon_sym_localtime] = ACTIONS(2165),
    [anon_sym_log] = ACTIONS(2165),
    [anon_sym_lock] = ACTIONS(2165),
    [anon_sym_lstat] = ACTIONS(2165),
    [anon_sym_oct] = ACTIONS(2165),
    [anon_sym_ord] = ACTIONS(2165),
    [anon_sym_prototype] = ACTIONS(2165),
    [anon_sym_pop] = ACTIONS(2165),
    [anon_sym_pos] = ACTIONS(2165),
    [anon_sym_quotemeta] = ACTIONS(2165),
    [anon_sym_reset] = ACTIONS(2165),
    [anon_sym_rand] = ACTIONS(2165),
    [anon_sym_rmdir] = ACTIONS(2165),
    [anon_sym_readdir] = ACTIONS(2165),
    [anon_sym_readline] = ACTIONS(2165),
    [anon_sym_readpipe] = ACTIONS(2165),
    [anon_sym_rewinddir] = ACTIONS(2165),
    [anon_sym_readlink] = ACTIONS(2165),
    [anon_sym_ref] = ACTIONS(2165),
    [anon_sym_scalar] = ACTIONS(2165),
    [anon_sym_shift] = ACTIONS(2165),
    [anon_sym_sin] = ACTIONS(2165),
    [anon_sym_sleep] = ACTIONS(2165),
    [anon_sym_sqrt] = ACTIONS(2165),
    [anon_sym_srand] = ACTIONS(2165),
    [anon_sym_stat] = ACTIONS(2165),
    [anon_sym_study] = ACTIONS(2165),
    [anon_sym_tell] = ACTIONS(2165),
    [anon_sym_telldir] = ACTIONS(2165),
    [anon_sym_tied] = ACTIONS(2165),
    [anon_sym_uc] = ACTIONS(2165),
    [anon_sym_ucfirst] = ACTIONS(2165),
    [anon_sym_untie] = ACTIONS(2165),
    [anon_sym_umask] = ACTIONS(2165),
    [anon_sym_values] = ACTIONS(2165),
    [anon_sym_write] = ACTIONS(2165),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2165),
    [anon_sym_qq] = ACTIONS(2165),
    [anon_sym_qw] = ACTIONS(2165),
    [anon_sym_qx] = ACTIONS(2165),
    [anon_sym_qr] = ACTIONS(2165),
    [anon_sym_m] = ACTIONS(2165),
    [anon_sym_s] = ACTIONS(2165),
    [anon_sym_tr] = ACTIONS(2165),
    [anon_sym_y] = ACTIONS(2165),
    [anon_sym_if] = ACTIONS(2165),
    [anon_sym_unless] = ACTIONS(2165),
    [anon_sym_while] = ACTIONS(2165),
    [anon_sym_until] = ACTIONS(2165),
    [aux_sym__bareword_token1] = ACTIONS(2165),
    [sym_number] = ACTIONS(2165),
    [anon_sym_true] = ACTIONS(2165),
    [anon_sym_false] = ACTIONS(2165),
    [sym__single_quote] = ACTIONS(2163),
    [sym__double_quote] = ACTIONS(2163),
    [sym__backtick_quote] = ACTIONS(2163),
    [sym__search_slash_quote] = ACTIONS(2163),
    [sym__open_readline_bracket] = ACTIONS(2163),
    [sym__open_fileglob_bracket] = ACTIONS(2163),
    [sym__PERLY_HEREDOC] = ACTIONS(2163),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2163),
    [sym__filetest] = ACTIONS(2163),
  },
  [1004] = {
    [sym_heredoc_content] = STATE(1004),
    [sym__identifier] = ACTIONS(2161),
    [anon_sym_LBRACE] = ACTIONS(2161),
    [anon_sym_RBRACE] = ACTIONS(2161),
    [anon_sym_SEMI] = ACTIONS(2161),
    [anon_sym_package] = ACTIONS(2161),
    [anon_sym_class] = ACTIONS(2161),
    [anon_sym_role] = ACTIONS(2161),
    [anon_sym_BUILD] = ACTIONS(2161),
    [anon_sym_ADJUST] = ACTIONS(2161),
    [anon_sym_DOLLAR] = ACTIONS(2161),
    [anon_sym_AT] = ACTIONS(2161),
    [anon_sym_my] = ACTIONS(2161),
    [anon_sym_extended] = ACTIONS(2161),
    [anon_sym_async] = ACTIONS(2161),
    [anon_sym_sub] = ACTIONS(2161),
    [anon_sym_method] = ACTIONS(2161),
    [anon_sym_LPAREN] = ACTIONS(2161),
    [anon_sym_continue] = ACTIONS(2161),
    [anon_sym_state] = ACTIONS(2161),
    [anon_sym_our] = ACTIONS(2161),
    [anon_sym_try] = ACTIONS(2161),
    [anon_sym_defer] = ACTIONS(2161),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2161),
    [anon_sym_LBRACK] = ACTIONS(2161),
    [anon_sym_LT_LT] = ACTIONS(2161),
    [anon_sym_SLASH_SLASH] = ACTIONS(2161),
    [anon_sym_PLUS] = ACTIONS(2161),
    [anon_sym_DASH] = ACTIONS(2161),
    [anon_sym_TILDE] = ACTIONS(2161),
    [anon_sym_BANG] = ACTIONS(2161),
    [anon_sym_PLUS_PLUS] = ACTIONS(2161),
    [anon_sym_DASH_DASH] = ACTIONS(2161),
    [anon_sym_BSLASH] = ACTIONS(2159),
    [anon_sym_do] = ACTIONS(2161),
    [anon_sym_eval] = ACTIONS(2161),
    [anon_sym_await] = ACTIONS(2161),
    [anon_sym_field] = ACTIONS(2161),
    [anon_sym_local] = ACTIONS(2161),
    [anon_sym_dynamically] = ACTIONS(2161),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2161),
    [anon_sym_require] = ACTIONS(2161),
    [anon_sym_map] = ACTIONS(2161),
    [anon_sym_grep] = ACTIONS(2161),
    [anon_sym_sort] = ACTIONS(2161),
    [anon_sym_goto] = ACTIONS(2161),
    [anon_sym_return] = ACTIONS(2161),
    [anon_sym_undef] = ACTIONS(2161),
    [anon_sym_PERCENT2] = ACTIONS(2161),
    [anon_sym_AMP2] = ACTIONS(2161),
    [anon_sym_STAR2] = ACTIONS(2161),
    [anon_sym_use] = ACTIONS(2161),
    [anon_sym_no] = ACTIONS(2161),
    [anon_sym_for] = ACTIONS(2161),
    [anon_sym_foreach] = ACTIONS(2161),
    [anon_sym_last] = ACTIONS(2161),
    [anon_sym_next] = ACTIONS(2161),
    [anon_sym_redo] = ACTIONS(2161),
    [anon_sym_BEGIN] = ACTIONS(2161),
    [anon_sym_INIT] = ACTIONS(2161),
    [anon_sym_CHECK] = ACTIONS(2161),
    [anon_sym_UNITCHECK] = ACTIONS(2161),
    [anon_sym_END] = ACTIONS(2161),
    [anon_sym___FILE__] = ACTIONS(2161),
    [anon_sym___LINE__] = ACTIONS(2161),
    [anon_sym___PACKAGE__] = ACTIONS(2161),
    [anon_sym___SUB__] = ACTIONS(2161),
    [anon_sym_break] = ACTIONS(2161),
    [anon_sym_fork] = ACTIONS(2161),
    [anon_sym_getppid] = ACTIONS(2161),
    [anon_sym_time] = ACTIONS(2161),
    [anon_sym_times] = ACTIONS(2161),
    [anon_sym_wait] = ACTIONS(2161),
    [anon_sym_wantarray] = ACTIONS(2161),
    [anon_sym_abs] = ACTIONS(2161),
    [anon_sym_alarm] = ACTIONS(2161),
    [anon_sym_chop] = ACTIONS(2161),
    [anon_sym_chdir] = ACTIONS(2161),
    [anon_sym_close] = ACTIONS(2161),
    [anon_sym_closedir] = ACTIONS(2161),
    [anon_sym_caller] = ACTIONS(2161),
    [anon_sym_chomp] = ACTIONS(2161),
    [anon_sym_chr] = ACTIONS(2161),
    [anon_sym_cos] = ACTIONS(2161),
    [anon_sym_chroot] = ACTIONS(2161),
    [anon_sym_defined] = ACTIONS(2161),
    [anon_sym_delete] = ACTIONS(2161),
    [anon_sym_dbmclose] = ACTIONS(2161),
    [anon_sym_exists] = ACTIONS(2161),
    [anon_sym_exit] = ACTIONS(2161),
    [anon_sym_eof] = ACTIONS(2161),
    [anon_sym_exp] = ACTIONS(2161),
    [anon_sym_each] = ACTIONS(2161),
    [anon_sym_fc] = ACTIONS(2161),
    [anon_sym_fileno] = ACTIONS(2161),
    [anon_sym_gmtime] = ACTIONS(2161),
    [anon_sym_getc] = ACTIONS(2161),
    [anon_sym_getpgrp] = ACTIONS(2161),
    [anon_sym_getprotobyname] = ACTIONS(2161),
    [anon_sym_getpwname] = ACTIONS(2161),
    [anon_sym_getpwuid] = ACTIONS(2161),
    [anon_sym_getpeername] = ACTIONS(2161),
    [anon_sym_getnetbyname] = ACTIONS(2161),
    [anon_sym_getsockname] = ACTIONS(2161),
    [anon_sym_getgrnam] = ACTIONS(2161),
    [anon_sym_getgrgid] = ACTIONS(2161),
    [anon_sym_hex] = ACTIONS(2161),
    [anon_sym_int] = ACTIONS(2161),
    [anon_sym_keys] = ACTIONS(2161),
    [anon_sym_lc] = ACTIONS(2161),
    [anon_sym_lcfirst] = ACTIONS(2161),
    [anon_sym_length] = ACTIONS(2161),
    [anon_sym_localtime] = ACTIONS(2161),
    [anon_sym_log] = ACTIONS(2161),
    [anon_sym_lock] = ACTIONS(2161),
    [anon_sym_lstat] = ACTIONS(2161),
    [anon_sym_oct] = ACTIONS(2161),
    [anon_sym_ord] = ACTIONS(2161),
    [anon_sym_prototype] = ACTIONS(2161),
    [anon_sym_pop] = ACTIONS(2161),
    [anon_sym_pos] = ACTIONS(2161),
    [anon_sym_quotemeta] = ACTIONS(2161),
    [anon_sym_reset] = ACTIONS(2161),
    [anon_sym_rand] = ACTIONS(2161),
    [anon_sym_rmdir] = ACTIONS(2161),
    [anon_sym_readdir] = ACTIONS(2161),
    [anon_sym_readline] = ACTIONS(2161),
    [anon_sym_readpipe] = ACTIONS(2161),
    [anon_sym_rewinddir] = ACTIONS(2161),
    [anon_sym_readlink] = ACTIONS(2161),
    [anon_sym_ref] = ACTIONS(2161),
    [anon_sym_scalar] = ACTIONS(2161),
    [anon_sym_shift] = ACTIONS(2161),
    [anon_sym_sin] = ACTIONS(2161),
    [anon_sym_sleep] = ACTIONS(2161),
    [anon_sym_sqrt] = ACTIONS(2161),
    [anon_sym_srand] = ACTIONS(2161),
    [anon_sym_stat] = ACTIONS(2161),
    [anon_sym_study] = ACTIONS(2161),
    [anon_sym_tell] = ACTIONS(2161),
    [anon_sym_telldir] = ACTIONS(2161),
    [anon_sym_tied] = ACTIONS(2161),
    [anon_sym_uc] = ACTIONS(2161),
    [anon_sym_ucfirst] = ACTIONS(2161),
    [anon_sym_untie] = ACTIONS(2161),
    [anon_sym_umask] = ACTIONS(2161),
    [anon_sym_values] = ACTIONS(2161),
    [anon_sym_write] = ACTIONS(2161),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2161),
    [anon_sym_qq] = ACTIONS(2161),
    [anon_sym_qw] = ACTIONS(2161),
    [anon_sym_qx] = ACTIONS(2161),
    [anon_sym_qr] = ACTIONS(2161),
    [anon_sym_m] = ACTIONS(2161),
    [anon_sym_s] = ACTIONS(2161),
    [anon_sym_tr] = ACTIONS(2161),
    [anon_sym_y] = ACTIONS(2161),
    [anon_sym_if] = ACTIONS(2161),
    [anon_sym_unless] = ACTIONS(2161),
    [anon_sym_while] = ACTIONS(2161),
    [anon_sym_until] = ACTIONS(2161),
    [aux_sym__bareword_token1] = ACTIONS(2161),
    [sym_number] = ACTIONS(2161),
    [anon_sym_true] = ACTIONS(2161),
    [anon_sym_false] = ACTIONS(2161),
    [sym__single_quote] = ACTIONS(2159),
    [sym__double_quote] = ACTIONS(2159),
    [sym__backtick_quote] = ACTIONS(2159),
    [sym__search_slash_quote] = ACTIONS(2159),
    [sym__open_readline_bracket] = ACTIONS(2159),
    [sym__open_fileglob_bracket] = ACTIONS(2159),
    [sym__PERLY_HEREDOC] = ACTIONS(2159),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2159),
    [sym__filetest] = ACTIONS(2159),
  },
  [1005] = {
    [sym_heredoc_content] = STATE(1005),
    [sym__identifier] = ACTIONS(2069),
    [anon_sym_LBRACE] = ACTIONS(2069),
    [anon_sym_RBRACE] = ACTIONS(2069),
    [anon_sym_SEMI] = ACTIONS(2069),
    [anon_sym_package] = ACTIONS(2069),
    [anon_sym_class] = ACTIONS(2069),
    [anon_sym_role] = ACTIONS(2069),
    [anon_sym_BUILD] = ACTIONS(2069),
    [anon_sym_ADJUST] = ACTIONS(2069),
    [anon_sym_DOLLAR] = ACTIONS(2069),
    [anon_sym_AT] = ACTIONS(2069),
    [anon_sym_my] = ACTIONS(2069),
    [anon_sym_extended] = ACTIONS(2069),
    [anon_sym_async] = ACTIONS(2069),
    [anon_sym_sub] = ACTIONS(2069),
    [anon_sym_method] = ACTIONS(2069),
    [anon_sym_LPAREN] = ACTIONS(2069),
    [anon_sym_continue] = ACTIONS(2069),
    [anon_sym_state] = ACTIONS(2069),
    [anon_sym_our] = ACTIONS(2069),
    [anon_sym_try] = ACTIONS(2069),
    [anon_sym_defer] = ACTIONS(2069),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2069),
    [anon_sym_LBRACK] = ACTIONS(2069),
    [anon_sym_LT_LT] = ACTIONS(2069),
    [anon_sym_SLASH_SLASH] = ACTIONS(2069),
    [anon_sym_PLUS] = ACTIONS(2069),
    [anon_sym_DASH] = ACTIONS(2069),
    [anon_sym_TILDE] = ACTIONS(2069),
    [anon_sym_BANG] = ACTIONS(2069),
    [anon_sym_PLUS_PLUS] = ACTIONS(2069),
    [anon_sym_DASH_DASH] = ACTIONS(2069),
    [anon_sym_BSLASH] = ACTIONS(2067),
    [anon_sym_do] = ACTIONS(2069),
    [anon_sym_eval] = ACTIONS(2069),
    [anon_sym_await] = ACTIONS(2069),
    [anon_sym_field] = ACTIONS(2069),
    [anon_sym_local] = ACTIONS(2069),
    [anon_sym_dynamically] = ACTIONS(2069),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2069),
    [anon_sym_require] = ACTIONS(2069),
    [anon_sym_map] = ACTIONS(2069),
    [anon_sym_grep] = ACTIONS(2069),
    [anon_sym_sort] = ACTIONS(2069),
    [anon_sym_goto] = ACTIONS(2069),
    [anon_sym_return] = ACTIONS(2069),
    [anon_sym_undef] = ACTIONS(2069),
    [anon_sym_PERCENT2] = ACTIONS(2069),
    [anon_sym_AMP2] = ACTIONS(2069),
    [anon_sym_STAR2] = ACTIONS(2069),
    [anon_sym_use] = ACTIONS(2069),
    [anon_sym_no] = ACTIONS(2069),
    [anon_sym_for] = ACTIONS(2069),
    [anon_sym_foreach] = ACTIONS(2069),
    [anon_sym_last] = ACTIONS(2069),
    [anon_sym_next] = ACTIONS(2069),
    [anon_sym_redo] = ACTIONS(2069),
    [anon_sym_BEGIN] = ACTIONS(2069),
    [anon_sym_INIT] = ACTIONS(2069),
    [anon_sym_CHECK] = ACTIONS(2069),
    [anon_sym_UNITCHECK] = ACTIONS(2069),
    [anon_sym_END] = ACTIONS(2069),
    [anon_sym___FILE__] = ACTIONS(2069),
    [anon_sym___LINE__] = ACTIONS(2069),
    [anon_sym___PACKAGE__] = ACTIONS(2069),
    [anon_sym___SUB__] = ACTIONS(2069),
    [anon_sym_break] = ACTIONS(2069),
    [anon_sym_fork] = ACTIONS(2069),
    [anon_sym_getppid] = ACTIONS(2069),
    [anon_sym_time] = ACTIONS(2069),
    [anon_sym_times] = ACTIONS(2069),
    [anon_sym_wait] = ACTIONS(2069),
    [anon_sym_wantarray] = ACTIONS(2069),
    [anon_sym_abs] = ACTIONS(2069),
    [anon_sym_alarm] = ACTIONS(2069),
    [anon_sym_chop] = ACTIONS(2069),
    [anon_sym_chdir] = ACTIONS(2069),
    [anon_sym_close] = ACTIONS(2069),
    [anon_sym_closedir] = ACTIONS(2069),
    [anon_sym_caller] = ACTIONS(2069),
    [anon_sym_chomp] = ACTIONS(2069),
    [anon_sym_chr] = ACTIONS(2069),
    [anon_sym_cos] = ACTIONS(2069),
    [anon_sym_chroot] = ACTIONS(2069),
    [anon_sym_defined] = ACTIONS(2069),
    [anon_sym_delete] = ACTIONS(2069),
    [anon_sym_dbmclose] = ACTIONS(2069),
    [anon_sym_exists] = ACTIONS(2069),
    [anon_sym_exit] = ACTIONS(2069),
    [anon_sym_eof] = ACTIONS(2069),
    [anon_sym_exp] = ACTIONS(2069),
    [anon_sym_each] = ACTIONS(2069),
    [anon_sym_fc] = ACTIONS(2069),
    [anon_sym_fileno] = ACTIONS(2069),
    [anon_sym_gmtime] = ACTIONS(2069),
    [anon_sym_getc] = ACTIONS(2069),
    [anon_sym_getpgrp] = ACTIONS(2069),
    [anon_sym_getprotobyname] = ACTIONS(2069),
    [anon_sym_getpwname] = ACTIONS(2069),
    [anon_sym_getpwuid] = ACTIONS(2069),
    [anon_sym_getpeername] = ACTIONS(2069),
    [anon_sym_getnetbyname] = ACTIONS(2069),
    [anon_sym_getsockname] = ACTIONS(2069),
    [anon_sym_getgrnam] = ACTIONS(2069),
    [anon_sym_getgrgid] = ACTIONS(2069),
    [anon_sym_hex] = ACTIONS(2069),
    [anon_sym_int] = ACTIONS(2069),
    [anon_sym_keys] = ACTIONS(2069),
    [anon_sym_lc] = ACTIONS(2069),
    [anon_sym_lcfirst] = ACTIONS(2069),
    [anon_sym_length] = ACTIONS(2069),
    [anon_sym_localtime] = ACTIONS(2069),
    [anon_sym_log] = ACTIONS(2069),
    [anon_sym_lock] = ACTIONS(2069),
    [anon_sym_lstat] = ACTIONS(2069),
    [anon_sym_oct] = ACTIONS(2069),
    [anon_sym_ord] = ACTIONS(2069),
    [anon_sym_prototype] = ACTIONS(2069),
    [anon_sym_pop] = ACTIONS(2069),
    [anon_sym_pos] = ACTIONS(2069),
    [anon_sym_quotemeta] = ACTIONS(2069),
    [anon_sym_reset] = ACTIONS(2069),
    [anon_sym_rand] = ACTIONS(2069),
    [anon_sym_rmdir] = ACTIONS(2069),
    [anon_sym_readdir] = ACTIONS(2069),
    [anon_sym_readline] = ACTIONS(2069),
    [anon_sym_readpipe] = ACTIONS(2069),
    [anon_sym_rewinddir] = ACTIONS(2069),
    [anon_sym_readlink] = ACTIONS(2069),
    [anon_sym_ref] = ACTIONS(2069),
    [anon_sym_scalar] = ACTIONS(2069),
    [anon_sym_shift] = ACTIONS(2069),
    [anon_sym_sin] = ACTIONS(2069),
    [anon_sym_sleep] = ACTIONS(2069),
    [anon_sym_sqrt] = ACTIONS(2069),
    [anon_sym_srand] = ACTIONS(2069),
    [anon_sym_stat] = ACTIONS(2069),
    [anon_sym_study] = ACTIONS(2069),
    [anon_sym_tell] = ACTIONS(2069),
    [anon_sym_telldir] = ACTIONS(2069),
    [anon_sym_tied] = ACTIONS(2069),
    [anon_sym_uc] = ACTIONS(2069),
    [anon_sym_ucfirst] = ACTIONS(2069),
    [anon_sym_untie] = ACTIONS(2069),
    [anon_sym_umask] = ACTIONS(2069),
    [anon_sym_values] = ACTIONS(2069),
    [anon_sym_write] = ACTIONS(2069),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2069),
    [anon_sym_qq] = ACTIONS(2069),
    [anon_sym_qw] = ACTIONS(2069),
    [anon_sym_qx] = ACTIONS(2069),
    [anon_sym_qr] = ACTIONS(2069),
    [anon_sym_m] = ACTIONS(2069),
    [anon_sym_s] = ACTIONS(2069),
    [anon_sym_tr] = ACTIONS(2069),
    [anon_sym_y] = ACTIONS(2069),
    [anon_sym_if] = ACTIONS(2069),
    [anon_sym_unless] = ACTIONS(2069),
    [anon_sym_while] = ACTIONS(2069),
    [anon_sym_until] = ACTIONS(2069),
    [aux_sym__bareword_token1] = ACTIONS(2069),
    [sym_number] = ACTIONS(2069),
    [anon_sym_true] = ACTIONS(2069),
    [anon_sym_false] = ACTIONS(2069),
    [sym__single_quote] = ACTIONS(2067),
    [sym__double_quote] = ACTIONS(2067),
    [sym__backtick_quote] = ACTIONS(2067),
    [sym__search_slash_quote] = ACTIONS(2067),
    [sym__open_readline_bracket] = ACTIONS(2067),
    [sym__open_fileglob_bracket] = ACTIONS(2067),
    [sym__PERLY_HEREDOC] = ACTIONS(2067),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2067),
    [sym__filetest] = ACTIONS(2067),
  },
  [1006] = {
    [sym_heredoc_content] = STATE(1006),
    [sym__identifier] = ACTIONS(2081),
    [anon_sym_LBRACE] = ACTIONS(2081),
    [anon_sym_RBRACE] = ACTIONS(2081),
    [anon_sym_SEMI] = ACTIONS(2081),
    [anon_sym_package] = ACTIONS(2081),
    [anon_sym_class] = ACTIONS(2081),
    [anon_sym_role] = ACTIONS(2081),
    [anon_sym_BUILD] = ACTIONS(2081),
    [anon_sym_ADJUST] = ACTIONS(2081),
    [anon_sym_DOLLAR] = ACTIONS(2081),
    [anon_sym_AT] = ACTIONS(2081),
    [anon_sym_my] = ACTIONS(2081),
    [anon_sym_extended] = ACTIONS(2081),
    [anon_sym_async] = ACTIONS(2081),
    [anon_sym_sub] = ACTIONS(2081),
    [anon_sym_method] = ACTIONS(2081),
    [anon_sym_LPAREN] = ACTIONS(2081),
    [anon_sym_continue] = ACTIONS(2081),
    [anon_sym_state] = ACTIONS(2081),
    [anon_sym_our] = ACTIONS(2081),
    [anon_sym_try] = ACTIONS(2081),
    [anon_sym_defer] = ACTIONS(2081),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2081),
    [anon_sym_LBRACK] = ACTIONS(2081),
    [anon_sym_LT_LT] = ACTIONS(2081),
    [anon_sym_SLASH_SLASH] = ACTIONS(2081),
    [anon_sym_PLUS] = ACTIONS(2081),
    [anon_sym_DASH] = ACTIONS(2081),
    [anon_sym_TILDE] = ACTIONS(2081),
    [anon_sym_BANG] = ACTIONS(2081),
    [anon_sym_PLUS_PLUS] = ACTIONS(2081),
    [anon_sym_DASH_DASH] = ACTIONS(2081),
    [anon_sym_BSLASH] = ACTIONS(2079),
    [anon_sym_do] = ACTIONS(2081),
    [anon_sym_eval] = ACTIONS(2081),
    [anon_sym_await] = ACTIONS(2081),
    [anon_sym_field] = ACTIONS(2081),
    [anon_sym_local] = ACTIONS(2081),
    [anon_sym_dynamically] = ACTIONS(2081),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2081),
    [anon_sym_require] = ACTIONS(2081),
    [anon_sym_map] = ACTIONS(2081),
    [anon_sym_grep] = ACTIONS(2081),
    [anon_sym_sort] = ACTIONS(2081),
    [anon_sym_goto] = ACTIONS(2081),
    [anon_sym_return] = ACTIONS(2081),
    [anon_sym_undef] = ACTIONS(2081),
    [anon_sym_PERCENT2] = ACTIONS(2081),
    [anon_sym_AMP2] = ACTIONS(2081),
    [anon_sym_STAR2] = ACTIONS(2081),
    [anon_sym_use] = ACTIONS(2081),
    [anon_sym_no] = ACTIONS(2081),
    [anon_sym_for] = ACTIONS(2081),
    [anon_sym_foreach] = ACTIONS(2081),
    [anon_sym_last] = ACTIONS(2081),
    [anon_sym_next] = ACTIONS(2081),
    [anon_sym_redo] = ACTIONS(2081),
    [anon_sym_BEGIN] = ACTIONS(2081),
    [anon_sym_INIT] = ACTIONS(2081),
    [anon_sym_CHECK] = ACTIONS(2081),
    [anon_sym_UNITCHECK] = ACTIONS(2081),
    [anon_sym_END] = ACTIONS(2081),
    [anon_sym___FILE__] = ACTIONS(2081),
    [anon_sym___LINE__] = ACTIONS(2081),
    [anon_sym___PACKAGE__] = ACTIONS(2081),
    [anon_sym___SUB__] = ACTIONS(2081),
    [anon_sym_break] = ACTIONS(2081),
    [anon_sym_fork] = ACTIONS(2081),
    [anon_sym_getppid] = ACTIONS(2081),
    [anon_sym_time] = ACTIONS(2081),
    [anon_sym_times] = ACTIONS(2081),
    [anon_sym_wait] = ACTIONS(2081),
    [anon_sym_wantarray] = ACTIONS(2081),
    [anon_sym_abs] = ACTIONS(2081),
    [anon_sym_alarm] = ACTIONS(2081),
    [anon_sym_chop] = ACTIONS(2081),
    [anon_sym_chdir] = ACTIONS(2081),
    [anon_sym_close] = ACTIONS(2081),
    [anon_sym_closedir] = ACTIONS(2081),
    [anon_sym_caller] = ACTIONS(2081),
    [anon_sym_chomp] = ACTIONS(2081),
    [anon_sym_chr] = ACTIONS(2081),
    [anon_sym_cos] = ACTIONS(2081),
    [anon_sym_chroot] = ACTIONS(2081),
    [anon_sym_defined] = ACTIONS(2081),
    [anon_sym_delete] = ACTIONS(2081),
    [anon_sym_dbmclose] = ACTIONS(2081),
    [anon_sym_exists] = ACTIONS(2081),
    [anon_sym_exit] = ACTIONS(2081),
    [anon_sym_eof] = ACTIONS(2081),
    [anon_sym_exp] = ACTIONS(2081),
    [anon_sym_each] = ACTIONS(2081),
    [anon_sym_fc] = ACTIONS(2081),
    [anon_sym_fileno] = ACTIONS(2081),
    [anon_sym_gmtime] = ACTIONS(2081),
    [anon_sym_getc] = ACTIONS(2081),
    [anon_sym_getpgrp] = ACTIONS(2081),
    [anon_sym_getprotobyname] = ACTIONS(2081),
    [anon_sym_getpwname] = ACTIONS(2081),
    [anon_sym_getpwuid] = ACTIONS(2081),
    [anon_sym_getpeername] = ACTIONS(2081),
    [anon_sym_getnetbyname] = ACTIONS(2081),
    [anon_sym_getsockname] = ACTIONS(2081),
    [anon_sym_getgrnam] = ACTIONS(2081),
    [anon_sym_getgrgid] = ACTIONS(2081),
    [anon_sym_hex] = ACTIONS(2081),
    [anon_sym_int] = ACTIONS(2081),
    [anon_sym_keys] = ACTIONS(2081),
    [anon_sym_lc] = ACTIONS(2081),
    [anon_sym_lcfirst] = ACTIONS(2081),
    [anon_sym_length] = ACTIONS(2081),
    [anon_sym_localtime] = ACTIONS(2081),
    [anon_sym_log] = ACTIONS(2081),
    [anon_sym_lock] = ACTIONS(2081),
    [anon_sym_lstat] = ACTIONS(2081),
    [anon_sym_oct] = ACTIONS(2081),
    [anon_sym_ord] = ACTIONS(2081),
    [anon_sym_prototype] = ACTIONS(2081),
    [anon_sym_pop] = ACTIONS(2081),
    [anon_sym_pos] = ACTIONS(2081),
    [anon_sym_quotemeta] = ACTIONS(2081),
    [anon_sym_reset] = ACTIONS(2081),
    [anon_sym_rand] = ACTIONS(2081),
    [anon_sym_rmdir] = ACTIONS(2081),
    [anon_sym_readdir] = ACTIONS(2081),
    [anon_sym_readline] = ACTIONS(2081),
    [anon_sym_readpipe] = ACTIONS(2081),
    [anon_sym_rewinddir] = ACTIONS(2081),
    [anon_sym_readlink] = ACTIONS(2081),
    [anon_sym_ref] = ACTIONS(2081),
    [anon_sym_scalar] = ACTIONS(2081),
    [anon_sym_shift] = ACTIONS(2081),
    [anon_sym_sin] = ACTIONS(2081),
    [anon_sym_sleep] = ACTIONS(2081),
    [anon_sym_sqrt] = ACTIONS(2081),
    [anon_sym_srand] = ACTIONS(2081),
    [anon_sym_stat] = ACTIONS(2081),
    [anon_sym_study] = ACTIONS(2081),
    [anon_sym_tell] = ACTIONS(2081),
    [anon_sym_telldir] = ACTIONS(2081),
    [anon_sym_tied] = ACTIONS(2081),
    [anon_sym_uc] = ACTIONS(2081),
    [anon_sym_ucfirst] = ACTIONS(2081),
    [anon_sym_untie] = ACTIONS(2081),
    [anon_sym_umask] = ACTIONS(2081),
    [anon_sym_values] = ACTIONS(2081),
    [anon_sym_write] = ACTIONS(2081),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2081),
    [anon_sym_qq] = ACTIONS(2081),
    [anon_sym_qw] = ACTIONS(2081),
    [anon_sym_qx] = ACTIONS(2081),
    [anon_sym_qr] = ACTIONS(2081),
    [anon_sym_m] = ACTIONS(2081),
    [anon_sym_s] = ACTIONS(2081),
    [anon_sym_tr] = ACTIONS(2081),
    [anon_sym_y] = ACTIONS(2081),
    [anon_sym_if] = ACTIONS(2081),
    [anon_sym_unless] = ACTIONS(2081),
    [anon_sym_while] = ACTIONS(2081),
    [anon_sym_until] = ACTIONS(2081),
    [aux_sym__bareword_token1] = ACTIONS(2081),
    [sym_number] = ACTIONS(2081),
    [anon_sym_true] = ACTIONS(2081),
    [anon_sym_false] = ACTIONS(2081),
    [sym__single_quote] = ACTIONS(2079),
    [sym__double_quote] = ACTIONS(2079),
    [sym__backtick_quote] = ACTIONS(2079),
    [sym__search_slash_quote] = ACTIONS(2079),
    [sym__open_readline_bracket] = ACTIONS(2079),
    [sym__open_fileglob_bracket] = ACTIONS(2079),
    [sym__PERLY_HEREDOC] = ACTIONS(2079),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2079),
    [sym__filetest] = ACTIONS(2079),
  },
  [1007] = {
    [sym_heredoc_content] = STATE(1007),
    [sym__identifier] = ACTIONS(2117),
    [anon_sym_LBRACE] = ACTIONS(2117),
    [anon_sym_RBRACE] = ACTIONS(2117),
    [anon_sym_SEMI] = ACTIONS(2117),
    [anon_sym_package] = ACTIONS(2117),
    [anon_sym_class] = ACTIONS(2117),
    [anon_sym_role] = ACTIONS(2117),
    [anon_sym_BUILD] = ACTIONS(2117),
    [anon_sym_ADJUST] = ACTIONS(2117),
    [anon_sym_DOLLAR] = ACTIONS(2117),
    [anon_sym_AT] = ACTIONS(2117),
    [anon_sym_my] = ACTIONS(2117),
    [anon_sym_extended] = ACTIONS(2117),
    [anon_sym_async] = ACTIONS(2117),
    [anon_sym_sub] = ACTIONS(2117),
    [anon_sym_method] = ACTIONS(2117),
    [anon_sym_LPAREN] = ACTIONS(2117),
    [anon_sym_continue] = ACTIONS(2117),
    [anon_sym_state] = ACTIONS(2117),
    [anon_sym_our] = ACTIONS(2117),
    [anon_sym_try] = ACTIONS(2117),
    [anon_sym_defer] = ACTIONS(2117),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2117),
    [anon_sym_LBRACK] = ACTIONS(2117),
    [anon_sym_LT_LT] = ACTIONS(2117),
    [anon_sym_SLASH_SLASH] = ACTIONS(2117),
    [anon_sym_PLUS] = ACTIONS(2117),
    [anon_sym_DASH] = ACTIONS(2117),
    [anon_sym_TILDE] = ACTIONS(2117),
    [anon_sym_BANG] = ACTIONS(2117),
    [anon_sym_PLUS_PLUS] = ACTIONS(2117),
    [anon_sym_DASH_DASH] = ACTIONS(2117),
    [anon_sym_BSLASH] = ACTIONS(2115),
    [anon_sym_do] = ACTIONS(2117),
    [anon_sym_eval] = ACTIONS(2117),
    [anon_sym_await] = ACTIONS(2117),
    [anon_sym_field] = ACTIONS(2117),
    [anon_sym_local] = ACTIONS(2117),
    [anon_sym_dynamically] = ACTIONS(2117),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2117),
    [anon_sym_require] = ACTIONS(2117),
    [anon_sym_map] = ACTIONS(2117),
    [anon_sym_grep] = ACTIONS(2117),
    [anon_sym_sort] = ACTIONS(2117),
    [anon_sym_goto] = ACTIONS(2117),
    [anon_sym_return] = ACTIONS(2117),
    [anon_sym_undef] = ACTIONS(2117),
    [anon_sym_PERCENT2] = ACTIONS(2117),
    [anon_sym_AMP2] = ACTIONS(2117),
    [anon_sym_STAR2] = ACTIONS(2117),
    [anon_sym_use] = ACTIONS(2117),
    [anon_sym_no] = ACTIONS(2117),
    [anon_sym_for] = ACTIONS(2117),
    [anon_sym_foreach] = ACTIONS(2117),
    [anon_sym_last] = ACTIONS(2117),
    [anon_sym_next] = ACTIONS(2117),
    [anon_sym_redo] = ACTIONS(2117),
    [anon_sym_BEGIN] = ACTIONS(2117),
    [anon_sym_INIT] = ACTIONS(2117),
    [anon_sym_CHECK] = ACTIONS(2117),
    [anon_sym_UNITCHECK] = ACTIONS(2117),
    [anon_sym_END] = ACTIONS(2117),
    [anon_sym___FILE__] = ACTIONS(2117),
    [anon_sym___LINE__] = ACTIONS(2117),
    [anon_sym___PACKAGE__] = ACTIONS(2117),
    [anon_sym___SUB__] = ACTIONS(2117),
    [anon_sym_break] = ACTIONS(2117),
    [anon_sym_fork] = ACTIONS(2117),
    [anon_sym_getppid] = ACTIONS(2117),
    [anon_sym_time] = ACTIONS(2117),
    [anon_sym_times] = ACTIONS(2117),
    [anon_sym_wait] = ACTIONS(2117),
    [anon_sym_wantarray] = ACTIONS(2117),
    [anon_sym_abs] = ACTIONS(2117),
    [anon_sym_alarm] = ACTIONS(2117),
    [anon_sym_chop] = ACTIONS(2117),
    [anon_sym_chdir] = ACTIONS(2117),
    [anon_sym_close] = ACTIONS(2117),
    [anon_sym_closedir] = ACTIONS(2117),
    [anon_sym_caller] = ACTIONS(2117),
    [anon_sym_chomp] = ACTIONS(2117),
    [anon_sym_chr] = ACTIONS(2117),
    [anon_sym_cos] = ACTIONS(2117),
    [anon_sym_chroot] = ACTIONS(2117),
    [anon_sym_defined] = ACTIONS(2117),
    [anon_sym_delete] = ACTIONS(2117),
    [anon_sym_dbmclose] = ACTIONS(2117),
    [anon_sym_exists] = ACTIONS(2117),
    [anon_sym_exit] = ACTIONS(2117),
    [anon_sym_eof] = ACTIONS(2117),
    [anon_sym_exp] = ACTIONS(2117),
    [anon_sym_each] = ACTIONS(2117),
    [anon_sym_fc] = ACTIONS(2117),
    [anon_sym_fileno] = ACTIONS(2117),
    [anon_sym_gmtime] = ACTIONS(2117),
    [anon_sym_getc] = ACTIONS(2117),
    [anon_sym_getpgrp] = ACTIONS(2117),
    [anon_sym_getprotobyname] = ACTIONS(2117),
    [anon_sym_getpwname] = ACTIONS(2117),
    [anon_sym_getpwuid] = ACTIONS(2117),
    [anon_sym_getpeername] = ACTIONS(2117),
    [anon_sym_getnetbyname] = ACTIONS(2117),
    [anon_sym_getsockname] = ACTIONS(2117),
    [anon_sym_getgrnam] = ACTIONS(2117),
    [anon_sym_getgrgid] = ACTIONS(2117),
    [anon_sym_hex] = ACTIONS(2117),
    [anon_sym_int] = ACTIONS(2117),
    [anon_sym_keys] = ACTIONS(2117),
    [anon_sym_lc] = ACTIONS(2117),
    [anon_sym_lcfirst] = ACTIONS(2117),
    [anon_sym_length] = ACTIONS(2117),
    [anon_sym_localtime] = ACTIONS(2117),
    [anon_sym_log] = ACTIONS(2117),
    [anon_sym_lock] = ACTIONS(2117),
    [anon_sym_lstat] = ACTIONS(2117),
    [anon_sym_oct] = ACTIONS(2117),
    [anon_sym_ord] = ACTIONS(2117),
    [anon_sym_prototype] = ACTIONS(2117),
    [anon_sym_pop] = ACTIONS(2117),
    [anon_sym_pos] = ACTIONS(2117),
    [anon_sym_quotemeta] = ACTIONS(2117),
    [anon_sym_reset] = ACTIONS(2117),
    [anon_sym_rand] = ACTIONS(2117),
    [anon_sym_rmdir] = ACTIONS(2117),
    [anon_sym_readdir] = ACTIONS(2117),
    [anon_sym_readline] = ACTIONS(2117),
    [anon_sym_readpipe] = ACTIONS(2117),
    [anon_sym_rewinddir] = ACTIONS(2117),
    [anon_sym_readlink] = ACTIONS(2117),
    [anon_sym_ref] = ACTIONS(2117),
    [anon_sym_scalar] = ACTIONS(2117),
    [anon_sym_shift] = ACTIONS(2117),
    [anon_sym_sin] = ACTIONS(2117),
    [anon_sym_sleep] = ACTIONS(2117),
    [anon_sym_sqrt] = ACTIONS(2117),
    [anon_sym_srand] = ACTIONS(2117),
    [anon_sym_stat] = ACTIONS(2117),
    [anon_sym_study] = ACTIONS(2117),
    [anon_sym_tell] = ACTIONS(2117),
    [anon_sym_telldir] = ACTIONS(2117),
    [anon_sym_tied] = ACTIONS(2117),
    [anon_sym_uc] = ACTIONS(2117),
    [anon_sym_ucfirst] = ACTIONS(2117),
    [anon_sym_untie] = ACTIONS(2117),
    [anon_sym_umask] = ACTIONS(2117),
    [anon_sym_values] = ACTIONS(2117),
    [anon_sym_write] = ACTIONS(2117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2117),
    [anon_sym_qq] = ACTIONS(2117),
    [anon_sym_qw] = ACTIONS(2117),
    [anon_sym_qx] = ACTIONS(2117),
    [anon_sym_qr] = ACTIONS(2117),
    [anon_sym_m] = ACTIONS(2117),
    [anon_sym_s] = ACTIONS(2117),
    [anon_sym_tr] = ACTIONS(2117),
    [anon_sym_y] = ACTIONS(2117),
    [anon_sym_if] = ACTIONS(2117),
    [anon_sym_unless] = ACTIONS(2117),
    [anon_sym_while] = ACTIONS(2117),
    [anon_sym_until] = ACTIONS(2117),
    [aux_sym__bareword_token1] = ACTIONS(2117),
    [sym_number] = ACTIONS(2117),
    [anon_sym_true] = ACTIONS(2117),
    [anon_sym_false] = ACTIONS(2117),
    [sym__single_quote] = ACTIONS(2115),
    [sym__double_quote] = ACTIONS(2115),
    [sym__backtick_quote] = ACTIONS(2115),
    [sym__search_slash_quote] = ACTIONS(2115),
    [sym__open_readline_bracket] = ACTIONS(2115),
    [sym__open_fileglob_bracket] = ACTIONS(2115),
    [sym__PERLY_HEREDOC] = ACTIONS(2115),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2115),
    [sym__filetest] = ACTIONS(2115),
  },
  [1008] = {
    [sym_heredoc_content] = STATE(1008),
    [sym__identifier] = ACTIONS(2121),
    [anon_sym_LBRACE] = ACTIONS(2121),
    [anon_sym_RBRACE] = ACTIONS(2121),
    [anon_sym_SEMI] = ACTIONS(2121),
    [anon_sym_package] = ACTIONS(2121),
    [anon_sym_class] = ACTIONS(2121),
    [anon_sym_role] = ACTIONS(2121),
    [anon_sym_BUILD] = ACTIONS(2121),
    [anon_sym_ADJUST] = ACTIONS(2121),
    [anon_sym_DOLLAR] = ACTIONS(2121),
    [anon_sym_AT] = ACTIONS(2121),
    [anon_sym_my] = ACTIONS(2121),
    [anon_sym_extended] = ACTIONS(2121),
    [anon_sym_async] = ACTIONS(2121),
    [anon_sym_sub] = ACTIONS(2121),
    [anon_sym_method] = ACTIONS(2121),
    [anon_sym_LPAREN] = ACTIONS(2121),
    [anon_sym_continue] = ACTIONS(2121),
    [anon_sym_state] = ACTIONS(2121),
    [anon_sym_our] = ACTIONS(2121),
    [anon_sym_try] = ACTIONS(2121),
    [anon_sym_defer] = ACTIONS(2121),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2121),
    [anon_sym_LBRACK] = ACTIONS(2121),
    [anon_sym_LT_LT] = ACTIONS(2121),
    [anon_sym_SLASH_SLASH] = ACTIONS(2121),
    [anon_sym_PLUS] = ACTIONS(2121),
    [anon_sym_DASH] = ACTIONS(2121),
    [anon_sym_TILDE] = ACTIONS(2121),
    [anon_sym_BANG] = ACTIONS(2121),
    [anon_sym_PLUS_PLUS] = ACTIONS(2121),
    [anon_sym_DASH_DASH] = ACTIONS(2121),
    [anon_sym_BSLASH] = ACTIONS(2119),
    [anon_sym_do] = ACTIONS(2121),
    [anon_sym_eval] = ACTIONS(2121),
    [anon_sym_await] = ACTIONS(2121),
    [anon_sym_field] = ACTIONS(2121),
    [anon_sym_local] = ACTIONS(2121),
    [anon_sym_dynamically] = ACTIONS(2121),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2121),
    [anon_sym_require] = ACTIONS(2121),
    [anon_sym_map] = ACTIONS(2121),
    [anon_sym_grep] = ACTIONS(2121),
    [anon_sym_sort] = ACTIONS(2121),
    [anon_sym_goto] = ACTIONS(2121),
    [anon_sym_return] = ACTIONS(2121),
    [anon_sym_undef] = ACTIONS(2121),
    [anon_sym_PERCENT2] = ACTIONS(2121),
    [anon_sym_AMP2] = ACTIONS(2121),
    [anon_sym_STAR2] = ACTIONS(2121),
    [anon_sym_use] = ACTIONS(2121),
    [anon_sym_no] = ACTIONS(2121),
    [anon_sym_for] = ACTIONS(2121),
    [anon_sym_foreach] = ACTIONS(2121),
    [anon_sym_last] = ACTIONS(2121),
    [anon_sym_next] = ACTIONS(2121),
    [anon_sym_redo] = ACTIONS(2121),
    [anon_sym_BEGIN] = ACTIONS(2121),
    [anon_sym_INIT] = ACTIONS(2121),
    [anon_sym_CHECK] = ACTIONS(2121),
    [anon_sym_UNITCHECK] = ACTIONS(2121),
    [anon_sym_END] = ACTIONS(2121),
    [anon_sym___FILE__] = ACTIONS(2121),
    [anon_sym___LINE__] = ACTIONS(2121),
    [anon_sym___PACKAGE__] = ACTIONS(2121),
    [anon_sym___SUB__] = ACTIONS(2121),
    [anon_sym_break] = ACTIONS(2121),
    [anon_sym_fork] = ACTIONS(2121),
    [anon_sym_getppid] = ACTIONS(2121),
    [anon_sym_time] = ACTIONS(2121),
    [anon_sym_times] = ACTIONS(2121),
    [anon_sym_wait] = ACTIONS(2121),
    [anon_sym_wantarray] = ACTIONS(2121),
    [anon_sym_abs] = ACTIONS(2121),
    [anon_sym_alarm] = ACTIONS(2121),
    [anon_sym_chop] = ACTIONS(2121),
    [anon_sym_chdir] = ACTIONS(2121),
    [anon_sym_close] = ACTIONS(2121),
    [anon_sym_closedir] = ACTIONS(2121),
    [anon_sym_caller] = ACTIONS(2121),
    [anon_sym_chomp] = ACTIONS(2121),
    [anon_sym_chr] = ACTIONS(2121),
    [anon_sym_cos] = ACTIONS(2121),
    [anon_sym_chroot] = ACTIONS(2121),
    [anon_sym_defined] = ACTIONS(2121),
    [anon_sym_delete] = ACTIONS(2121),
    [anon_sym_dbmclose] = ACTIONS(2121),
    [anon_sym_exists] = ACTIONS(2121),
    [anon_sym_exit] = ACTIONS(2121),
    [anon_sym_eof] = ACTIONS(2121),
    [anon_sym_exp] = ACTIONS(2121),
    [anon_sym_each] = ACTIONS(2121),
    [anon_sym_fc] = ACTIONS(2121),
    [anon_sym_fileno] = ACTIONS(2121),
    [anon_sym_gmtime] = ACTIONS(2121),
    [anon_sym_getc] = ACTIONS(2121),
    [anon_sym_getpgrp] = ACTIONS(2121),
    [anon_sym_getprotobyname] = ACTIONS(2121),
    [anon_sym_getpwname] = ACTIONS(2121),
    [anon_sym_getpwuid] = ACTIONS(2121),
    [anon_sym_getpeername] = ACTIONS(2121),
    [anon_sym_getnetbyname] = ACTIONS(2121),
    [anon_sym_getsockname] = ACTIONS(2121),
    [anon_sym_getgrnam] = ACTIONS(2121),
    [anon_sym_getgrgid] = ACTIONS(2121),
    [anon_sym_hex] = ACTIONS(2121),
    [anon_sym_int] = ACTIONS(2121),
    [anon_sym_keys] = ACTIONS(2121),
    [anon_sym_lc] = ACTIONS(2121),
    [anon_sym_lcfirst] = ACTIONS(2121),
    [anon_sym_length] = ACTIONS(2121),
    [anon_sym_localtime] = ACTIONS(2121),
    [anon_sym_log] = ACTIONS(2121),
    [anon_sym_lock] = ACTIONS(2121),
    [anon_sym_lstat] = ACTIONS(2121),
    [anon_sym_oct] = ACTIONS(2121),
    [anon_sym_ord] = ACTIONS(2121),
    [anon_sym_prototype] = ACTIONS(2121),
    [anon_sym_pop] = ACTIONS(2121),
    [anon_sym_pos] = ACTIONS(2121),
    [anon_sym_quotemeta] = ACTIONS(2121),
    [anon_sym_reset] = ACTIONS(2121),
    [anon_sym_rand] = ACTIONS(2121),
    [anon_sym_rmdir] = ACTIONS(2121),
    [anon_sym_readdir] = ACTIONS(2121),
    [anon_sym_readline] = ACTIONS(2121),
    [anon_sym_readpipe] = ACTIONS(2121),
    [anon_sym_rewinddir] = ACTIONS(2121),
    [anon_sym_readlink] = ACTIONS(2121),
    [anon_sym_ref] = ACTIONS(2121),
    [anon_sym_scalar] = ACTIONS(2121),
    [anon_sym_shift] = ACTIONS(2121),
    [anon_sym_sin] = ACTIONS(2121),
    [anon_sym_sleep] = ACTIONS(2121),
    [anon_sym_sqrt] = ACTIONS(2121),
    [anon_sym_srand] = ACTIONS(2121),
    [anon_sym_stat] = ACTIONS(2121),
    [anon_sym_study] = ACTIONS(2121),
    [anon_sym_tell] = ACTIONS(2121),
    [anon_sym_telldir] = ACTIONS(2121),
    [anon_sym_tied] = ACTIONS(2121),
    [anon_sym_uc] = ACTIONS(2121),
    [anon_sym_ucfirst] = ACTIONS(2121),
    [anon_sym_untie] = ACTIONS(2121),
    [anon_sym_umask] = ACTIONS(2121),
    [anon_sym_values] = ACTIONS(2121),
    [anon_sym_write] = ACTIONS(2121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2121),
    [anon_sym_qq] = ACTIONS(2121),
    [anon_sym_qw] = ACTIONS(2121),
    [anon_sym_qx] = ACTIONS(2121),
    [anon_sym_qr] = ACTIONS(2121),
    [anon_sym_m] = ACTIONS(2121),
    [anon_sym_s] = ACTIONS(2121),
    [anon_sym_tr] = ACTIONS(2121),
    [anon_sym_y] = ACTIONS(2121),
    [anon_sym_if] = ACTIONS(2121),
    [anon_sym_unless] = ACTIONS(2121),
    [anon_sym_while] = ACTIONS(2121),
    [anon_sym_until] = ACTIONS(2121),
    [aux_sym__bareword_token1] = ACTIONS(2121),
    [sym_number] = ACTIONS(2121),
    [anon_sym_true] = ACTIONS(2121),
    [anon_sym_false] = ACTIONS(2121),
    [sym__single_quote] = ACTIONS(2119),
    [sym__double_quote] = ACTIONS(2119),
    [sym__backtick_quote] = ACTIONS(2119),
    [sym__search_slash_quote] = ACTIONS(2119),
    [sym__open_readline_bracket] = ACTIONS(2119),
    [sym__open_fileglob_bracket] = ACTIONS(2119),
    [sym__PERLY_HEREDOC] = ACTIONS(2119),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2119),
    [sym__filetest] = ACTIONS(2119),
  },
  [1009] = {
    [sym_heredoc_content] = STATE(1009),
    [sym__identifier] = ACTIONS(2013),
    [anon_sym_LBRACE] = ACTIONS(2013),
    [anon_sym_RBRACE] = ACTIONS(2013),
    [anon_sym_SEMI] = ACTIONS(2013),
    [anon_sym_package] = ACTIONS(2013),
    [anon_sym_class] = ACTIONS(2013),
    [anon_sym_role] = ACTIONS(2013),
    [anon_sym_BUILD] = ACTIONS(2013),
    [anon_sym_ADJUST] = ACTIONS(2013),
    [anon_sym_DOLLAR] = ACTIONS(2013),
    [anon_sym_AT] = ACTIONS(2013),
    [anon_sym_my] = ACTIONS(2013),
    [anon_sym_extended] = ACTIONS(2013),
    [anon_sym_async] = ACTIONS(2013),
    [anon_sym_sub] = ACTIONS(2013),
    [anon_sym_method] = ACTIONS(2013),
    [anon_sym_LPAREN] = ACTIONS(2013),
    [anon_sym_continue] = ACTIONS(2013),
    [anon_sym_state] = ACTIONS(2013),
    [anon_sym_our] = ACTIONS(2013),
    [anon_sym_try] = ACTIONS(2013),
    [anon_sym_defer] = ACTIONS(2013),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2013),
    [anon_sym_LBRACK] = ACTIONS(2013),
    [anon_sym_LT_LT] = ACTIONS(2013),
    [anon_sym_SLASH_SLASH] = ACTIONS(2013),
    [anon_sym_PLUS] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2013),
    [anon_sym_TILDE] = ACTIONS(2013),
    [anon_sym_BANG] = ACTIONS(2013),
    [anon_sym_PLUS_PLUS] = ACTIONS(2013),
    [anon_sym_DASH_DASH] = ACTIONS(2013),
    [anon_sym_BSLASH] = ACTIONS(2011),
    [anon_sym_do] = ACTIONS(2013),
    [anon_sym_eval] = ACTIONS(2013),
    [anon_sym_await] = ACTIONS(2013),
    [anon_sym_field] = ACTIONS(2013),
    [anon_sym_local] = ACTIONS(2013),
    [anon_sym_dynamically] = ACTIONS(2013),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2013),
    [anon_sym_require] = ACTIONS(2013),
    [anon_sym_map] = ACTIONS(2013),
    [anon_sym_grep] = ACTIONS(2013),
    [anon_sym_sort] = ACTIONS(2013),
    [anon_sym_goto] = ACTIONS(2013),
    [anon_sym_return] = ACTIONS(2013),
    [anon_sym_undef] = ACTIONS(2013),
    [anon_sym_PERCENT2] = ACTIONS(2013),
    [anon_sym_AMP2] = ACTIONS(2013),
    [anon_sym_STAR2] = ACTIONS(2013),
    [anon_sym_use] = ACTIONS(2013),
    [anon_sym_no] = ACTIONS(2013),
    [anon_sym_for] = ACTIONS(2013),
    [anon_sym_foreach] = ACTIONS(2013),
    [anon_sym_last] = ACTIONS(2013),
    [anon_sym_next] = ACTIONS(2013),
    [anon_sym_redo] = ACTIONS(2013),
    [anon_sym_BEGIN] = ACTIONS(2013),
    [anon_sym_INIT] = ACTIONS(2013),
    [anon_sym_CHECK] = ACTIONS(2013),
    [anon_sym_UNITCHECK] = ACTIONS(2013),
    [anon_sym_END] = ACTIONS(2013),
    [anon_sym___FILE__] = ACTIONS(2013),
    [anon_sym___LINE__] = ACTIONS(2013),
    [anon_sym___PACKAGE__] = ACTIONS(2013),
    [anon_sym___SUB__] = ACTIONS(2013),
    [anon_sym_break] = ACTIONS(2013),
    [anon_sym_fork] = ACTIONS(2013),
    [anon_sym_getppid] = ACTIONS(2013),
    [anon_sym_time] = ACTIONS(2013),
    [anon_sym_times] = ACTIONS(2013),
    [anon_sym_wait] = ACTIONS(2013),
    [anon_sym_wantarray] = ACTIONS(2013),
    [anon_sym_abs] = ACTIONS(2013),
    [anon_sym_alarm] = ACTIONS(2013),
    [anon_sym_chop] = ACTIONS(2013),
    [anon_sym_chdir] = ACTIONS(2013),
    [anon_sym_close] = ACTIONS(2013),
    [anon_sym_closedir] = ACTIONS(2013),
    [anon_sym_caller] = ACTIONS(2013),
    [anon_sym_chomp] = ACTIONS(2013),
    [anon_sym_chr] = ACTIONS(2013),
    [anon_sym_cos] = ACTIONS(2013),
    [anon_sym_chroot] = ACTIONS(2013),
    [anon_sym_defined] = ACTIONS(2013),
    [anon_sym_delete] = ACTIONS(2013),
    [anon_sym_dbmclose] = ACTIONS(2013),
    [anon_sym_exists] = ACTIONS(2013),
    [anon_sym_exit] = ACTIONS(2013),
    [anon_sym_eof] = ACTIONS(2013),
    [anon_sym_exp] = ACTIONS(2013),
    [anon_sym_each] = ACTIONS(2013),
    [anon_sym_fc] = ACTIONS(2013),
    [anon_sym_fileno] = ACTIONS(2013),
    [anon_sym_gmtime] = ACTIONS(2013),
    [anon_sym_getc] = ACTIONS(2013),
    [anon_sym_getpgrp] = ACTIONS(2013),
    [anon_sym_getprotobyname] = ACTIONS(2013),
    [anon_sym_getpwname] = ACTIONS(2013),
    [anon_sym_getpwuid] = ACTIONS(2013),
    [anon_sym_getpeername] = ACTIONS(2013),
    [anon_sym_getnetbyname] = ACTIONS(2013),
    [anon_sym_getsockname] = ACTIONS(2013),
    [anon_sym_getgrnam] = ACTIONS(2013),
    [anon_sym_getgrgid] = ACTIONS(2013),
    [anon_sym_hex] = ACTIONS(2013),
    [anon_sym_int] = ACTIONS(2013),
    [anon_sym_keys] = ACTIONS(2013),
    [anon_sym_lc] = ACTIONS(2013),
    [anon_sym_lcfirst] = ACTIONS(2013),
    [anon_sym_length] = ACTIONS(2013),
    [anon_sym_localtime] = ACTIONS(2013),
    [anon_sym_log] = ACTIONS(2013),
    [anon_sym_lock] = ACTIONS(2013),
    [anon_sym_lstat] = ACTIONS(2013),
    [anon_sym_oct] = ACTIONS(2013),
    [anon_sym_ord] = ACTIONS(2013),
    [anon_sym_prototype] = ACTIONS(2013),
    [anon_sym_pop] = ACTIONS(2013),
    [anon_sym_pos] = ACTIONS(2013),
    [anon_sym_quotemeta] = ACTIONS(2013),
    [anon_sym_reset] = ACTIONS(2013),
    [anon_sym_rand] = ACTIONS(2013),
    [anon_sym_rmdir] = ACTIONS(2013),
    [anon_sym_readdir] = ACTIONS(2013),
    [anon_sym_readline] = ACTIONS(2013),
    [anon_sym_readpipe] = ACTIONS(2013),
    [anon_sym_rewinddir] = ACTIONS(2013),
    [anon_sym_readlink] = ACTIONS(2013),
    [anon_sym_ref] = ACTIONS(2013),
    [anon_sym_scalar] = ACTIONS(2013),
    [anon_sym_shift] = ACTIONS(2013),
    [anon_sym_sin] = ACTIONS(2013),
    [anon_sym_sleep] = ACTIONS(2013),
    [anon_sym_sqrt] = ACTIONS(2013),
    [anon_sym_srand] = ACTIONS(2013),
    [anon_sym_stat] = ACTIONS(2013),
    [anon_sym_study] = ACTIONS(2013),
    [anon_sym_tell] = ACTIONS(2013),
    [anon_sym_telldir] = ACTIONS(2013),
    [anon_sym_tied] = ACTIONS(2013),
    [anon_sym_uc] = ACTIONS(2013),
    [anon_sym_ucfirst] = ACTIONS(2013),
    [anon_sym_untie] = ACTIONS(2013),
    [anon_sym_umask] = ACTIONS(2013),
    [anon_sym_values] = ACTIONS(2013),
    [anon_sym_write] = ACTIONS(2013),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2013),
    [anon_sym_qq] = ACTIONS(2013),
    [anon_sym_qw] = ACTIONS(2013),
    [anon_sym_qx] = ACTIONS(2013),
    [anon_sym_qr] = ACTIONS(2013),
    [anon_sym_m] = ACTIONS(2013),
    [anon_sym_s] = ACTIONS(2013),
    [anon_sym_tr] = ACTIONS(2013),
    [anon_sym_y] = ACTIONS(2013),
    [anon_sym_if] = ACTIONS(2013),
    [anon_sym_unless] = ACTIONS(2013),
    [anon_sym_while] = ACTIONS(2013),
    [anon_sym_until] = ACTIONS(2013),
    [aux_sym__bareword_token1] = ACTIONS(2013),
    [sym_number] = ACTIONS(2013),
    [anon_sym_true] = ACTIONS(2013),
    [anon_sym_false] = ACTIONS(2013),
    [sym__single_quote] = ACTIONS(2011),
    [sym__double_quote] = ACTIONS(2011),
    [sym__backtick_quote] = ACTIONS(2011),
    [sym__search_slash_quote] = ACTIONS(2011),
    [sym__open_readline_bracket] = ACTIONS(2011),
    [sym__open_fileglob_bracket] = ACTIONS(2011),
    [sym__PERLY_HEREDOC] = ACTIONS(2011),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2011),
    [sym__filetest] = ACTIONS(2011),
  },
  [1010] = {
    [sym_heredoc_content] = STATE(1010),
    [sym__identifier] = ACTIONS(2017),
    [anon_sym_LBRACE] = ACTIONS(2017),
    [anon_sym_RBRACE] = ACTIONS(2017),
    [anon_sym_SEMI] = ACTIONS(2017),
    [anon_sym_package] = ACTIONS(2017),
    [anon_sym_class] = ACTIONS(2017),
    [anon_sym_role] = ACTIONS(2017),
    [anon_sym_BUILD] = ACTIONS(2017),
    [anon_sym_ADJUST] = ACTIONS(2017),
    [anon_sym_DOLLAR] = ACTIONS(2017),
    [anon_sym_AT] = ACTIONS(2017),
    [anon_sym_my] = ACTIONS(2017),
    [anon_sym_extended] = ACTIONS(2017),
    [anon_sym_async] = ACTIONS(2017),
    [anon_sym_sub] = ACTIONS(2017),
    [anon_sym_method] = ACTIONS(2017),
    [anon_sym_LPAREN] = ACTIONS(2017),
    [anon_sym_continue] = ACTIONS(2017),
    [anon_sym_state] = ACTIONS(2017),
    [anon_sym_our] = ACTIONS(2017),
    [anon_sym_try] = ACTIONS(2017),
    [anon_sym_defer] = ACTIONS(2017),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2017),
    [anon_sym_LBRACK] = ACTIONS(2017),
    [anon_sym_LT_LT] = ACTIONS(2017),
    [anon_sym_SLASH_SLASH] = ACTIONS(2017),
    [anon_sym_PLUS] = ACTIONS(2017),
    [anon_sym_DASH] = ACTIONS(2017),
    [anon_sym_TILDE] = ACTIONS(2017),
    [anon_sym_BANG] = ACTIONS(2017),
    [anon_sym_PLUS_PLUS] = ACTIONS(2017),
    [anon_sym_DASH_DASH] = ACTIONS(2017),
    [anon_sym_BSLASH] = ACTIONS(2015),
    [anon_sym_do] = ACTIONS(2017),
    [anon_sym_eval] = ACTIONS(2017),
    [anon_sym_await] = ACTIONS(2017),
    [anon_sym_field] = ACTIONS(2017),
    [anon_sym_local] = ACTIONS(2017),
    [anon_sym_dynamically] = ACTIONS(2017),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2017),
    [anon_sym_require] = ACTIONS(2017),
    [anon_sym_map] = ACTIONS(2017),
    [anon_sym_grep] = ACTIONS(2017),
    [anon_sym_sort] = ACTIONS(2017),
    [anon_sym_goto] = ACTIONS(2017),
    [anon_sym_return] = ACTIONS(2017),
    [anon_sym_undef] = ACTIONS(2017),
    [anon_sym_PERCENT2] = ACTIONS(2017),
    [anon_sym_AMP2] = ACTIONS(2017),
    [anon_sym_STAR2] = ACTIONS(2017),
    [anon_sym_use] = ACTIONS(2017),
    [anon_sym_no] = ACTIONS(2017),
    [anon_sym_for] = ACTIONS(2017),
    [anon_sym_foreach] = ACTIONS(2017),
    [anon_sym_last] = ACTIONS(2017),
    [anon_sym_next] = ACTIONS(2017),
    [anon_sym_redo] = ACTIONS(2017),
    [anon_sym_BEGIN] = ACTIONS(2017),
    [anon_sym_INIT] = ACTIONS(2017),
    [anon_sym_CHECK] = ACTIONS(2017),
    [anon_sym_UNITCHECK] = ACTIONS(2017),
    [anon_sym_END] = ACTIONS(2017),
    [anon_sym___FILE__] = ACTIONS(2017),
    [anon_sym___LINE__] = ACTIONS(2017),
    [anon_sym___PACKAGE__] = ACTIONS(2017),
    [anon_sym___SUB__] = ACTIONS(2017),
    [anon_sym_break] = ACTIONS(2017),
    [anon_sym_fork] = ACTIONS(2017),
    [anon_sym_getppid] = ACTIONS(2017),
    [anon_sym_time] = ACTIONS(2017),
    [anon_sym_times] = ACTIONS(2017),
    [anon_sym_wait] = ACTIONS(2017),
    [anon_sym_wantarray] = ACTIONS(2017),
    [anon_sym_abs] = ACTIONS(2017),
    [anon_sym_alarm] = ACTIONS(2017),
    [anon_sym_chop] = ACTIONS(2017),
    [anon_sym_chdir] = ACTIONS(2017),
    [anon_sym_close] = ACTIONS(2017),
    [anon_sym_closedir] = ACTIONS(2017),
    [anon_sym_caller] = ACTIONS(2017),
    [anon_sym_chomp] = ACTIONS(2017),
    [anon_sym_chr] = ACTIONS(2017),
    [anon_sym_cos] = ACTIONS(2017),
    [anon_sym_chroot] = ACTIONS(2017),
    [anon_sym_defined] = ACTIONS(2017),
    [anon_sym_delete] = ACTIONS(2017),
    [anon_sym_dbmclose] = ACTIONS(2017),
    [anon_sym_exists] = ACTIONS(2017),
    [anon_sym_exit] = ACTIONS(2017),
    [anon_sym_eof] = ACTIONS(2017),
    [anon_sym_exp] = ACTIONS(2017),
    [anon_sym_each] = ACTIONS(2017),
    [anon_sym_fc] = ACTIONS(2017),
    [anon_sym_fileno] = ACTIONS(2017),
    [anon_sym_gmtime] = ACTIONS(2017),
    [anon_sym_getc] = ACTIONS(2017),
    [anon_sym_getpgrp] = ACTIONS(2017),
    [anon_sym_getprotobyname] = ACTIONS(2017),
    [anon_sym_getpwname] = ACTIONS(2017),
    [anon_sym_getpwuid] = ACTIONS(2017),
    [anon_sym_getpeername] = ACTIONS(2017),
    [anon_sym_getnetbyname] = ACTIONS(2017),
    [anon_sym_getsockname] = ACTIONS(2017),
    [anon_sym_getgrnam] = ACTIONS(2017),
    [anon_sym_getgrgid] = ACTIONS(2017),
    [anon_sym_hex] = ACTIONS(2017),
    [anon_sym_int] = ACTIONS(2017),
    [anon_sym_keys] = ACTIONS(2017),
    [anon_sym_lc] = ACTIONS(2017),
    [anon_sym_lcfirst] = ACTIONS(2017),
    [anon_sym_length] = ACTIONS(2017),
    [anon_sym_localtime] = ACTIONS(2017),
    [anon_sym_log] = ACTIONS(2017),
    [anon_sym_lock] = ACTIONS(2017),
    [anon_sym_lstat] = ACTIONS(2017),
    [anon_sym_oct] = ACTIONS(2017),
    [anon_sym_ord] = ACTIONS(2017),
    [anon_sym_prototype] = ACTIONS(2017),
    [anon_sym_pop] = ACTIONS(2017),
    [anon_sym_pos] = ACTIONS(2017),
    [anon_sym_quotemeta] = ACTIONS(2017),
    [anon_sym_reset] = ACTIONS(2017),
    [anon_sym_rand] = ACTIONS(2017),
    [anon_sym_rmdir] = ACTIONS(2017),
    [anon_sym_readdir] = ACTIONS(2017),
    [anon_sym_readline] = ACTIONS(2017),
    [anon_sym_readpipe] = ACTIONS(2017),
    [anon_sym_rewinddir] = ACTIONS(2017),
    [anon_sym_readlink] = ACTIONS(2017),
    [anon_sym_ref] = ACTIONS(2017),
    [anon_sym_scalar] = ACTIONS(2017),
    [anon_sym_shift] = ACTIONS(2017),
    [anon_sym_sin] = ACTIONS(2017),
    [anon_sym_sleep] = ACTIONS(2017),
    [anon_sym_sqrt] = ACTIONS(2017),
    [anon_sym_srand] = ACTIONS(2017),
    [anon_sym_stat] = ACTIONS(2017),
    [anon_sym_study] = ACTIONS(2017),
    [anon_sym_tell] = ACTIONS(2017),
    [anon_sym_telldir] = ACTIONS(2017),
    [anon_sym_tied] = ACTIONS(2017),
    [anon_sym_uc] = ACTIONS(2017),
    [anon_sym_ucfirst] = ACTIONS(2017),
    [anon_sym_untie] = ACTIONS(2017),
    [anon_sym_umask] = ACTIONS(2017),
    [anon_sym_values] = ACTIONS(2017),
    [anon_sym_write] = ACTIONS(2017),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2017),
    [anon_sym_qq] = ACTIONS(2017),
    [anon_sym_qw] = ACTIONS(2017),
    [anon_sym_qx] = ACTIONS(2017),
    [anon_sym_qr] = ACTIONS(2017),
    [anon_sym_m] = ACTIONS(2017),
    [anon_sym_s] = ACTIONS(2017),
    [anon_sym_tr] = ACTIONS(2017),
    [anon_sym_y] = ACTIONS(2017),
    [anon_sym_if] = ACTIONS(2017),
    [anon_sym_unless] = ACTIONS(2017),
    [anon_sym_while] = ACTIONS(2017),
    [anon_sym_until] = ACTIONS(2017),
    [aux_sym__bareword_token1] = ACTIONS(2017),
    [sym_number] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(2017),
    [anon_sym_false] = ACTIONS(2017),
    [sym__single_quote] = ACTIONS(2015),
    [sym__double_quote] = ACTIONS(2015),
    [sym__backtick_quote] = ACTIONS(2015),
    [sym__search_slash_quote] = ACTIONS(2015),
    [sym__open_readline_bracket] = ACTIONS(2015),
    [sym__open_fileglob_bracket] = ACTIONS(2015),
    [sym__PERLY_HEREDOC] = ACTIONS(2015),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2015),
    [sym__filetest] = ACTIONS(2015),
  },
  [1011] = {
    [sym_heredoc_content] = STATE(1011),
    [sym__identifier] = ACTIONS(2021),
    [anon_sym_LBRACE] = ACTIONS(2021),
    [anon_sym_RBRACE] = ACTIONS(2021),
    [anon_sym_SEMI] = ACTIONS(2021),
    [anon_sym_package] = ACTIONS(2021),
    [anon_sym_class] = ACTIONS(2021),
    [anon_sym_role] = ACTIONS(2021),
    [anon_sym_BUILD] = ACTIONS(2021),
    [anon_sym_ADJUST] = ACTIONS(2021),
    [anon_sym_DOLLAR] = ACTIONS(2021),
    [anon_sym_AT] = ACTIONS(2021),
    [anon_sym_my] = ACTIONS(2021),
    [anon_sym_extended] = ACTIONS(2021),
    [anon_sym_async] = ACTIONS(2021),
    [anon_sym_sub] = ACTIONS(2021),
    [anon_sym_method] = ACTIONS(2021),
    [anon_sym_LPAREN] = ACTIONS(2021),
    [anon_sym_continue] = ACTIONS(2021),
    [anon_sym_state] = ACTIONS(2021),
    [anon_sym_our] = ACTIONS(2021),
    [anon_sym_try] = ACTIONS(2021),
    [anon_sym_defer] = ACTIONS(2021),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2021),
    [anon_sym_LBRACK] = ACTIONS(2021),
    [anon_sym_LT_LT] = ACTIONS(2021),
    [anon_sym_SLASH_SLASH] = ACTIONS(2021),
    [anon_sym_PLUS] = ACTIONS(2021),
    [anon_sym_DASH] = ACTIONS(2021),
    [anon_sym_TILDE] = ACTIONS(2021),
    [anon_sym_BANG] = ACTIONS(2021),
    [anon_sym_PLUS_PLUS] = ACTIONS(2021),
    [anon_sym_DASH_DASH] = ACTIONS(2021),
    [anon_sym_BSLASH] = ACTIONS(2019),
    [anon_sym_do] = ACTIONS(2021),
    [anon_sym_eval] = ACTIONS(2021),
    [anon_sym_await] = ACTIONS(2021),
    [anon_sym_field] = ACTIONS(2021),
    [anon_sym_local] = ACTIONS(2021),
    [anon_sym_dynamically] = ACTIONS(2021),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2021),
    [anon_sym_require] = ACTIONS(2021),
    [anon_sym_map] = ACTIONS(2021),
    [anon_sym_grep] = ACTIONS(2021),
    [anon_sym_sort] = ACTIONS(2021),
    [anon_sym_goto] = ACTIONS(2021),
    [anon_sym_return] = ACTIONS(2021),
    [anon_sym_undef] = ACTIONS(2021),
    [anon_sym_PERCENT2] = ACTIONS(2021),
    [anon_sym_AMP2] = ACTIONS(2021),
    [anon_sym_STAR2] = ACTIONS(2021),
    [anon_sym_use] = ACTIONS(2021),
    [anon_sym_no] = ACTIONS(2021),
    [anon_sym_for] = ACTIONS(2021),
    [anon_sym_foreach] = ACTIONS(2021),
    [anon_sym_last] = ACTIONS(2021),
    [anon_sym_next] = ACTIONS(2021),
    [anon_sym_redo] = ACTIONS(2021),
    [anon_sym_BEGIN] = ACTIONS(2021),
    [anon_sym_INIT] = ACTIONS(2021),
    [anon_sym_CHECK] = ACTIONS(2021),
    [anon_sym_UNITCHECK] = ACTIONS(2021),
    [anon_sym_END] = ACTIONS(2021),
    [anon_sym___FILE__] = ACTIONS(2021),
    [anon_sym___LINE__] = ACTIONS(2021),
    [anon_sym___PACKAGE__] = ACTIONS(2021),
    [anon_sym___SUB__] = ACTIONS(2021),
    [anon_sym_break] = ACTIONS(2021),
    [anon_sym_fork] = ACTIONS(2021),
    [anon_sym_getppid] = ACTIONS(2021),
    [anon_sym_time] = ACTIONS(2021),
    [anon_sym_times] = ACTIONS(2021),
    [anon_sym_wait] = ACTIONS(2021),
    [anon_sym_wantarray] = ACTIONS(2021),
    [anon_sym_abs] = ACTIONS(2021),
    [anon_sym_alarm] = ACTIONS(2021),
    [anon_sym_chop] = ACTIONS(2021),
    [anon_sym_chdir] = ACTIONS(2021),
    [anon_sym_close] = ACTIONS(2021),
    [anon_sym_closedir] = ACTIONS(2021),
    [anon_sym_caller] = ACTIONS(2021),
    [anon_sym_chomp] = ACTIONS(2021),
    [anon_sym_chr] = ACTIONS(2021),
    [anon_sym_cos] = ACTIONS(2021),
    [anon_sym_chroot] = ACTIONS(2021),
    [anon_sym_defined] = ACTIONS(2021),
    [anon_sym_delete] = ACTIONS(2021),
    [anon_sym_dbmclose] = ACTIONS(2021),
    [anon_sym_exists] = ACTIONS(2021),
    [anon_sym_exit] = ACTIONS(2021),
    [anon_sym_eof] = ACTIONS(2021),
    [anon_sym_exp] = ACTIONS(2021),
    [anon_sym_each] = ACTIONS(2021),
    [anon_sym_fc] = ACTIONS(2021),
    [anon_sym_fileno] = ACTIONS(2021),
    [anon_sym_gmtime] = ACTIONS(2021),
    [anon_sym_getc] = ACTIONS(2021),
    [anon_sym_getpgrp] = ACTIONS(2021),
    [anon_sym_getprotobyname] = ACTIONS(2021),
    [anon_sym_getpwname] = ACTIONS(2021),
    [anon_sym_getpwuid] = ACTIONS(2021),
    [anon_sym_getpeername] = ACTIONS(2021),
    [anon_sym_getnetbyname] = ACTIONS(2021),
    [anon_sym_getsockname] = ACTIONS(2021),
    [anon_sym_getgrnam] = ACTIONS(2021),
    [anon_sym_getgrgid] = ACTIONS(2021),
    [anon_sym_hex] = ACTIONS(2021),
    [anon_sym_int] = ACTIONS(2021),
    [anon_sym_keys] = ACTIONS(2021),
    [anon_sym_lc] = ACTIONS(2021),
    [anon_sym_lcfirst] = ACTIONS(2021),
    [anon_sym_length] = ACTIONS(2021),
    [anon_sym_localtime] = ACTIONS(2021),
    [anon_sym_log] = ACTIONS(2021),
    [anon_sym_lock] = ACTIONS(2021),
    [anon_sym_lstat] = ACTIONS(2021),
    [anon_sym_oct] = ACTIONS(2021),
    [anon_sym_ord] = ACTIONS(2021),
    [anon_sym_prototype] = ACTIONS(2021),
    [anon_sym_pop] = ACTIONS(2021),
    [anon_sym_pos] = ACTIONS(2021),
    [anon_sym_quotemeta] = ACTIONS(2021),
    [anon_sym_reset] = ACTIONS(2021),
    [anon_sym_rand] = ACTIONS(2021),
    [anon_sym_rmdir] = ACTIONS(2021),
    [anon_sym_readdir] = ACTIONS(2021),
    [anon_sym_readline] = ACTIONS(2021),
    [anon_sym_readpipe] = ACTIONS(2021),
    [anon_sym_rewinddir] = ACTIONS(2021),
    [anon_sym_readlink] = ACTIONS(2021),
    [anon_sym_ref] = ACTIONS(2021),
    [anon_sym_scalar] = ACTIONS(2021),
    [anon_sym_shift] = ACTIONS(2021),
    [anon_sym_sin] = ACTIONS(2021),
    [anon_sym_sleep] = ACTIONS(2021),
    [anon_sym_sqrt] = ACTIONS(2021),
    [anon_sym_srand] = ACTIONS(2021),
    [anon_sym_stat] = ACTIONS(2021),
    [anon_sym_study] = ACTIONS(2021),
    [anon_sym_tell] = ACTIONS(2021),
    [anon_sym_telldir] = ACTIONS(2021),
    [anon_sym_tied] = ACTIONS(2021),
    [anon_sym_uc] = ACTIONS(2021),
    [anon_sym_ucfirst] = ACTIONS(2021),
    [anon_sym_untie] = ACTIONS(2021),
    [anon_sym_umask] = ACTIONS(2021),
    [anon_sym_values] = ACTIONS(2021),
    [anon_sym_write] = ACTIONS(2021),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2021),
    [anon_sym_qq] = ACTIONS(2021),
    [anon_sym_qw] = ACTIONS(2021),
    [anon_sym_qx] = ACTIONS(2021),
    [anon_sym_qr] = ACTIONS(2021),
    [anon_sym_m] = ACTIONS(2021),
    [anon_sym_s] = ACTIONS(2021),
    [anon_sym_tr] = ACTIONS(2021),
    [anon_sym_y] = ACTIONS(2021),
    [anon_sym_if] = ACTIONS(2021),
    [anon_sym_unless] = ACTIONS(2021),
    [anon_sym_while] = ACTIONS(2021),
    [anon_sym_until] = ACTIONS(2021),
    [aux_sym__bareword_token1] = ACTIONS(2021),
    [sym_number] = ACTIONS(2021),
    [anon_sym_true] = ACTIONS(2021),
    [anon_sym_false] = ACTIONS(2021),
    [sym__single_quote] = ACTIONS(2019),
    [sym__double_quote] = ACTIONS(2019),
    [sym__backtick_quote] = ACTIONS(2019),
    [sym__search_slash_quote] = ACTIONS(2019),
    [sym__open_readline_bracket] = ACTIONS(2019),
    [sym__open_fileglob_bracket] = ACTIONS(2019),
    [sym__PERLY_HEREDOC] = ACTIONS(2019),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2019),
    [sym__filetest] = ACTIONS(2019),
  },
  [1012] = {
    [sym_heredoc_content] = STATE(1012),
    [sym__identifier] = ACTIONS(2025),
    [anon_sym_LBRACE] = ACTIONS(2025),
    [anon_sym_RBRACE] = ACTIONS(2025),
    [anon_sym_SEMI] = ACTIONS(2025),
    [anon_sym_package] = ACTIONS(2025),
    [anon_sym_class] = ACTIONS(2025),
    [anon_sym_role] = ACTIONS(2025),
    [anon_sym_BUILD] = ACTIONS(2025),
    [anon_sym_ADJUST] = ACTIONS(2025),
    [anon_sym_DOLLAR] = ACTIONS(2025),
    [anon_sym_AT] = ACTIONS(2025),
    [anon_sym_my] = ACTIONS(2025),
    [anon_sym_extended] = ACTIONS(2025),
    [anon_sym_async] = ACTIONS(2025),
    [anon_sym_sub] = ACTIONS(2025),
    [anon_sym_method] = ACTIONS(2025),
    [anon_sym_LPAREN] = ACTIONS(2025),
    [anon_sym_continue] = ACTIONS(2025),
    [anon_sym_state] = ACTIONS(2025),
    [anon_sym_our] = ACTIONS(2025),
    [anon_sym_try] = ACTIONS(2025),
    [anon_sym_defer] = ACTIONS(2025),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2025),
    [anon_sym_LBRACK] = ACTIONS(2025),
    [anon_sym_LT_LT] = ACTIONS(2025),
    [anon_sym_SLASH_SLASH] = ACTIONS(2025),
    [anon_sym_PLUS] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_PLUS_PLUS] = ACTIONS(2025),
    [anon_sym_DASH_DASH] = ACTIONS(2025),
    [anon_sym_BSLASH] = ACTIONS(2023),
    [anon_sym_do] = ACTIONS(2025),
    [anon_sym_eval] = ACTIONS(2025),
    [anon_sym_await] = ACTIONS(2025),
    [anon_sym_field] = ACTIONS(2025),
    [anon_sym_local] = ACTIONS(2025),
    [anon_sym_dynamically] = ACTIONS(2025),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2025),
    [anon_sym_require] = ACTIONS(2025),
    [anon_sym_map] = ACTIONS(2025),
    [anon_sym_grep] = ACTIONS(2025),
    [anon_sym_sort] = ACTIONS(2025),
    [anon_sym_goto] = ACTIONS(2025),
    [anon_sym_return] = ACTIONS(2025),
    [anon_sym_undef] = ACTIONS(2025),
    [anon_sym_PERCENT2] = ACTIONS(2025),
    [anon_sym_AMP2] = ACTIONS(2025),
    [anon_sym_STAR2] = ACTIONS(2025),
    [anon_sym_use] = ACTIONS(2025),
    [anon_sym_no] = ACTIONS(2025),
    [anon_sym_for] = ACTIONS(2025),
    [anon_sym_foreach] = ACTIONS(2025),
    [anon_sym_last] = ACTIONS(2025),
    [anon_sym_next] = ACTIONS(2025),
    [anon_sym_redo] = ACTIONS(2025),
    [anon_sym_BEGIN] = ACTIONS(2025),
    [anon_sym_INIT] = ACTIONS(2025),
    [anon_sym_CHECK] = ACTIONS(2025),
    [anon_sym_UNITCHECK] = ACTIONS(2025),
    [anon_sym_END] = ACTIONS(2025),
    [anon_sym___FILE__] = ACTIONS(2025),
    [anon_sym___LINE__] = ACTIONS(2025),
    [anon_sym___PACKAGE__] = ACTIONS(2025),
    [anon_sym___SUB__] = ACTIONS(2025),
    [anon_sym_break] = ACTIONS(2025),
    [anon_sym_fork] = ACTIONS(2025),
    [anon_sym_getppid] = ACTIONS(2025),
    [anon_sym_time] = ACTIONS(2025),
    [anon_sym_times] = ACTIONS(2025),
    [anon_sym_wait] = ACTIONS(2025),
    [anon_sym_wantarray] = ACTIONS(2025),
    [anon_sym_abs] = ACTIONS(2025),
    [anon_sym_alarm] = ACTIONS(2025),
    [anon_sym_chop] = ACTIONS(2025),
    [anon_sym_chdir] = ACTIONS(2025),
    [anon_sym_close] = ACTIONS(2025),
    [anon_sym_closedir] = ACTIONS(2025),
    [anon_sym_caller] = ACTIONS(2025),
    [anon_sym_chomp] = ACTIONS(2025),
    [anon_sym_chr] = ACTIONS(2025),
    [anon_sym_cos] = ACTIONS(2025),
    [anon_sym_chroot] = ACTIONS(2025),
    [anon_sym_defined] = ACTIONS(2025),
    [anon_sym_delete] = ACTIONS(2025),
    [anon_sym_dbmclose] = ACTIONS(2025),
    [anon_sym_exists] = ACTIONS(2025),
    [anon_sym_exit] = ACTIONS(2025),
    [anon_sym_eof] = ACTIONS(2025),
    [anon_sym_exp] = ACTIONS(2025),
    [anon_sym_each] = ACTIONS(2025),
    [anon_sym_fc] = ACTIONS(2025),
    [anon_sym_fileno] = ACTIONS(2025),
    [anon_sym_gmtime] = ACTIONS(2025),
    [anon_sym_getc] = ACTIONS(2025),
    [anon_sym_getpgrp] = ACTIONS(2025),
    [anon_sym_getprotobyname] = ACTIONS(2025),
    [anon_sym_getpwname] = ACTIONS(2025),
    [anon_sym_getpwuid] = ACTIONS(2025),
    [anon_sym_getpeername] = ACTIONS(2025),
    [anon_sym_getnetbyname] = ACTIONS(2025),
    [anon_sym_getsockname] = ACTIONS(2025),
    [anon_sym_getgrnam] = ACTIONS(2025),
    [anon_sym_getgrgid] = ACTIONS(2025),
    [anon_sym_hex] = ACTIONS(2025),
    [anon_sym_int] = ACTIONS(2025),
    [anon_sym_keys] = ACTIONS(2025),
    [anon_sym_lc] = ACTIONS(2025),
    [anon_sym_lcfirst] = ACTIONS(2025),
    [anon_sym_length] = ACTIONS(2025),
    [anon_sym_localtime] = ACTIONS(2025),
    [anon_sym_log] = ACTIONS(2025),
    [anon_sym_lock] = ACTIONS(2025),
    [anon_sym_lstat] = ACTIONS(2025),
    [anon_sym_oct] = ACTIONS(2025),
    [anon_sym_ord] = ACTIONS(2025),
    [anon_sym_prototype] = ACTIONS(2025),
    [anon_sym_pop] = ACTIONS(2025),
    [anon_sym_pos] = ACTIONS(2025),
    [anon_sym_quotemeta] = ACTIONS(2025),
    [anon_sym_reset] = ACTIONS(2025),
    [anon_sym_rand] = ACTIONS(2025),
    [anon_sym_rmdir] = ACTIONS(2025),
    [anon_sym_readdir] = ACTIONS(2025),
    [anon_sym_readline] = ACTIONS(2025),
    [anon_sym_readpipe] = ACTIONS(2025),
    [anon_sym_rewinddir] = ACTIONS(2025),
    [anon_sym_readlink] = ACTIONS(2025),
    [anon_sym_ref] = ACTIONS(2025),
    [anon_sym_scalar] = ACTIONS(2025),
    [anon_sym_shift] = ACTIONS(2025),
    [anon_sym_sin] = ACTIONS(2025),
    [anon_sym_sleep] = ACTIONS(2025),
    [anon_sym_sqrt] = ACTIONS(2025),
    [anon_sym_srand] = ACTIONS(2025),
    [anon_sym_stat] = ACTIONS(2025),
    [anon_sym_study] = ACTIONS(2025),
    [anon_sym_tell] = ACTIONS(2025),
    [anon_sym_telldir] = ACTIONS(2025),
    [anon_sym_tied] = ACTIONS(2025),
    [anon_sym_uc] = ACTIONS(2025),
    [anon_sym_ucfirst] = ACTIONS(2025),
    [anon_sym_untie] = ACTIONS(2025),
    [anon_sym_umask] = ACTIONS(2025),
    [anon_sym_values] = ACTIONS(2025),
    [anon_sym_write] = ACTIONS(2025),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2025),
    [anon_sym_qq] = ACTIONS(2025),
    [anon_sym_qw] = ACTIONS(2025),
    [anon_sym_qx] = ACTIONS(2025),
    [anon_sym_qr] = ACTIONS(2025),
    [anon_sym_m] = ACTIONS(2025),
    [anon_sym_s] = ACTIONS(2025),
    [anon_sym_tr] = ACTIONS(2025),
    [anon_sym_y] = ACTIONS(2025),
    [anon_sym_if] = ACTIONS(2025),
    [anon_sym_unless] = ACTIONS(2025),
    [anon_sym_while] = ACTIONS(2025),
    [anon_sym_until] = ACTIONS(2025),
    [aux_sym__bareword_token1] = ACTIONS(2025),
    [sym_number] = ACTIONS(2025),
    [anon_sym_true] = ACTIONS(2025),
    [anon_sym_false] = ACTIONS(2025),
    [sym__single_quote] = ACTIONS(2023),
    [sym__double_quote] = ACTIONS(2023),
    [sym__backtick_quote] = ACTIONS(2023),
    [sym__search_slash_quote] = ACTIONS(2023),
    [sym__open_readline_bracket] = ACTIONS(2023),
    [sym__open_fileglob_bracket] = ACTIONS(2023),
    [sym__PERLY_HEREDOC] = ACTIONS(2023),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2023),
    [sym__filetest] = ACTIONS(2023),
  },
  [1013] = {
    [sym_heredoc_content] = STATE(1013),
    [sym__identifier] = ACTIONS(2129),
    [anon_sym_LBRACE] = ACTIONS(2129),
    [anon_sym_RBRACE] = ACTIONS(2129),
    [anon_sym_SEMI] = ACTIONS(2129),
    [anon_sym_package] = ACTIONS(2129),
    [anon_sym_class] = ACTIONS(2129),
    [anon_sym_role] = ACTIONS(2129),
    [anon_sym_BUILD] = ACTIONS(2129),
    [anon_sym_ADJUST] = ACTIONS(2129),
    [anon_sym_DOLLAR] = ACTIONS(2129),
    [anon_sym_AT] = ACTIONS(2129),
    [anon_sym_my] = ACTIONS(2129),
    [anon_sym_extended] = ACTIONS(2129),
    [anon_sym_async] = ACTIONS(2129),
    [anon_sym_sub] = ACTIONS(2129),
    [anon_sym_method] = ACTIONS(2129),
    [anon_sym_LPAREN] = ACTIONS(2129),
    [anon_sym_continue] = ACTIONS(2129),
    [anon_sym_state] = ACTIONS(2129),
    [anon_sym_our] = ACTIONS(2129),
    [anon_sym_try] = ACTIONS(2129),
    [anon_sym_defer] = ACTIONS(2129),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2129),
    [anon_sym_LBRACK] = ACTIONS(2129),
    [anon_sym_LT_LT] = ACTIONS(2129),
    [anon_sym_SLASH_SLASH] = ACTIONS(2129),
    [anon_sym_PLUS] = ACTIONS(2129),
    [anon_sym_DASH] = ACTIONS(2129),
    [anon_sym_TILDE] = ACTIONS(2129),
    [anon_sym_BANG] = ACTIONS(2129),
    [anon_sym_PLUS_PLUS] = ACTIONS(2129),
    [anon_sym_DASH_DASH] = ACTIONS(2129),
    [anon_sym_BSLASH] = ACTIONS(2127),
    [anon_sym_do] = ACTIONS(2129),
    [anon_sym_eval] = ACTIONS(2129),
    [anon_sym_await] = ACTIONS(2129),
    [anon_sym_field] = ACTIONS(2129),
    [anon_sym_local] = ACTIONS(2129),
    [anon_sym_dynamically] = ACTIONS(2129),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2129),
    [anon_sym_require] = ACTIONS(2129),
    [anon_sym_map] = ACTIONS(2129),
    [anon_sym_grep] = ACTIONS(2129),
    [anon_sym_sort] = ACTIONS(2129),
    [anon_sym_goto] = ACTIONS(2129),
    [anon_sym_return] = ACTIONS(2129),
    [anon_sym_undef] = ACTIONS(2129),
    [anon_sym_PERCENT2] = ACTIONS(2129),
    [anon_sym_AMP2] = ACTIONS(2129),
    [anon_sym_STAR2] = ACTIONS(2129),
    [anon_sym_use] = ACTIONS(2129),
    [anon_sym_no] = ACTIONS(2129),
    [anon_sym_for] = ACTIONS(2129),
    [anon_sym_foreach] = ACTIONS(2129),
    [anon_sym_last] = ACTIONS(2129),
    [anon_sym_next] = ACTIONS(2129),
    [anon_sym_redo] = ACTIONS(2129),
    [anon_sym_BEGIN] = ACTIONS(2129),
    [anon_sym_INIT] = ACTIONS(2129),
    [anon_sym_CHECK] = ACTIONS(2129),
    [anon_sym_UNITCHECK] = ACTIONS(2129),
    [anon_sym_END] = ACTIONS(2129),
    [anon_sym___FILE__] = ACTIONS(2129),
    [anon_sym___LINE__] = ACTIONS(2129),
    [anon_sym___PACKAGE__] = ACTIONS(2129),
    [anon_sym___SUB__] = ACTIONS(2129),
    [anon_sym_break] = ACTIONS(2129),
    [anon_sym_fork] = ACTIONS(2129),
    [anon_sym_getppid] = ACTIONS(2129),
    [anon_sym_time] = ACTIONS(2129),
    [anon_sym_times] = ACTIONS(2129),
    [anon_sym_wait] = ACTIONS(2129),
    [anon_sym_wantarray] = ACTIONS(2129),
    [anon_sym_abs] = ACTIONS(2129),
    [anon_sym_alarm] = ACTIONS(2129),
    [anon_sym_chop] = ACTIONS(2129),
    [anon_sym_chdir] = ACTIONS(2129),
    [anon_sym_close] = ACTIONS(2129),
    [anon_sym_closedir] = ACTIONS(2129),
    [anon_sym_caller] = ACTIONS(2129),
    [anon_sym_chomp] = ACTIONS(2129),
    [anon_sym_chr] = ACTIONS(2129),
    [anon_sym_cos] = ACTIONS(2129),
    [anon_sym_chroot] = ACTIONS(2129),
    [anon_sym_defined] = ACTIONS(2129),
    [anon_sym_delete] = ACTIONS(2129),
    [anon_sym_dbmclose] = ACTIONS(2129),
    [anon_sym_exists] = ACTIONS(2129),
    [anon_sym_exit] = ACTIONS(2129),
    [anon_sym_eof] = ACTIONS(2129),
    [anon_sym_exp] = ACTIONS(2129),
    [anon_sym_each] = ACTIONS(2129),
    [anon_sym_fc] = ACTIONS(2129),
    [anon_sym_fileno] = ACTIONS(2129),
    [anon_sym_gmtime] = ACTIONS(2129),
    [anon_sym_getc] = ACTIONS(2129),
    [anon_sym_getpgrp] = ACTIONS(2129),
    [anon_sym_getprotobyname] = ACTIONS(2129),
    [anon_sym_getpwname] = ACTIONS(2129),
    [anon_sym_getpwuid] = ACTIONS(2129),
    [anon_sym_getpeername] = ACTIONS(2129),
    [anon_sym_getnetbyname] = ACTIONS(2129),
    [anon_sym_getsockname] = ACTIONS(2129),
    [anon_sym_getgrnam] = ACTIONS(2129),
    [anon_sym_getgrgid] = ACTIONS(2129),
    [anon_sym_hex] = ACTIONS(2129),
    [anon_sym_int] = ACTIONS(2129),
    [anon_sym_keys] = ACTIONS(2129),
    [anon_sym_lc] = ACTIONS(2129),
    [anon_sym_lcfirst] = ACTIONS(2129),
    [anon_sym_length] = ACTIONS(2129),
    [anon_sym_localtime] = ACTIONS(2129),
    [anon_sym_log] = ACTIONS(2129),
    [anon_sym_lock] = ACTIONS(2129),
    [anon_sym_lstat] = ACTIONS(2129),
    [anon_sym_oct] = ACTIONS(2129),
    [anon_sym_ord] = ACTIONS(2129),
    [anon_sym_prototype] = ACTIONS(2129),
    [anon_sym_pop] = ACTIONS(2129),
    [anon_sym_pos] = ACTIONS(2129),
    [anon_sym_quotemeta] = ACTIONS(2129),
    [anon_sym_reset] = ACTIONS(2129),
    [anon_sym_rand] = ACTIONS(2129),
    [anon_sym_rmdir] = ACTIONS(2129),
    [anon_sym_readdir] = ACTIONS(2129),
    [anon_sym_readline] = ACTIONS(2129),
    [anon_sym_readpipe] = ACTIONS(2129),
    [anon_sym_rewinddir] = ACTIONS(2129),
    [anon_sym_readlink] = ACTIONS(2129),
    [anon_sym_ref] = ACTIONS(2129),
    [anon_sym_scalar] = ACTIONS(2129),
    [anon_sym_shift] = ACTIONS(2129),
    [anon_sym_sin] = ACTIONS(2129),
    [anon_sym_sleep] = ACTIONS(2129),
    [anon_sym_sqrt] = ACTIONS(2129),
    [anon_sym_srand] = ACTIONS(2129),
    [anon_sym_stat] = ACTIONS(2129),
    [anon_sym_study] = ACTIONS(2129),
    [anon_sym_tell] = ACTIONS(2129),
    [anon_sym_telldir] = ACTIONS(2129),
    [anon_sym_tied] = ACTIONS(2129),
    [anon_sym_uc] = ACTIONS(2129),
    [anon_sym_ucfirst] = ACTIONS(2129),
    [anon_sym_untie] = ACTIONS(2129),
    [anon_sym_umask] = ACTIONS(2129),
    [anon_sym_values] = ACTIONS(2129),
    [anon_sym_write] = ACTIONS(2129),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2129),
    [anon_sym_qq] = ACTIONS(2129),
    [anon_sym_qw] = ACTIONS(2129),
    [anon_sym_qx] = ACTIONS(2129),
    [anon_sym_qr] = ACTIONS(2129),
    [anon_sym_m] = ACTIONS(2129),
    [anon_sym_s] = ACTIONS(2129),
    [anon_sym_tr] = ACTIONS(2129),
    [anon_sym_y] = ACTIONS(2129),
    [anon_sym_if] = ACTIONS(2129),
    [anon_sym_unless] = ACTIONS(2129),
    [anon_sym_while] = ACTIONS(2129),
    [anon_sym_until] = ACTIONS(2129),
    [aux_sym__bareword_token1] = ACTIONS(2129),
    [sym_number] = ACTIONS(2129),
    [anon_sym_true] = ACTIONS(2129),
    [anon_sym_false] = ACTIONS(2129),
    [sym__single_quote] = ACTIONS(2127),
    [sym__double_quote] = ACTIONS(2127),
    [sym__backtick_quote] = ACTIONS(2127),
    [sym__search_slash_quote] = ACTIONS(2127),
    [sym__open_readline_bracket] = ACTIONS(2127),
    [sym__open_fileglob_bracket] = ACTIONS(2127),
    [sym__PERLY_HEREDOC] = ACTIONS(2127),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2127),
    [sym__filetest] = ACTIONS(2127),
  },
  [1014] = {
    [sym_heredoc_content] = STATE(1014),
    [sym__identifier] = ACTIONS(2141),
    [anon_sym_LBRACE] = ACTIONS(2141),
    [anon_sym_RBRACE] = ACTIONS(2141),
    [anon_sym_SEMI] = ACTIONS(2141),
    [anon_sym_package] = ACTIONS(2141),
    [anon_sym_class] = ACTIONS(2141),
    [anon_sym_role] = ACTIONS(2141),
    [anon_sym_BUILD] = ACTIONS(2141),
    [anon_sym_ADJUST] = ACTIONS(2141),
    [anon_sym_DOLLAR] = ACTIONS(2141),
    [anon_sym_AT] = ACTIONS(2141),
    [anon_sym_my] = ACTIONS(2141),
    [anon_sym_extended] = ACTIONS(2141),
    [anon_sym_async] = ACTIONS(2141),
    [anon_sym_sub] = ACTIONS(2141),
    [anon_sym_method] = ACTIONS(2141),
    [anon_sym_LPAREN] = ACTIONS(2141),
    [anon_sym_continue] = ACTIONS(2141),
    [anon_sym_state] = ACTIONS(2141),
    [anon_sym_our] = ACTIONS(2141),
    [anon_sym_try] = ACTIONS(2141),
    [anon_sym_defer] = ACTIONS(2141),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2141),
    [anon_sym_LBRACK] = ACTIONS(2141),
    [anon_sym_LT_LT] = ACTIONS(2141),
    [anon_sym_SLASH_SLASH] = ACTIONS(2141),
    [anon_sym_PLUS] = ACTIONS(2141),
    [anon_sym_DASH] = ACTIONS(2141),
    [anon_sym_TILDE] = ACTIONS(2141),
    [anon_sym_BANG] = ACTIONS(2141),
    [anon_sym_PLUS_PLUS] = ACTIONS(2141),
    [anon_sym_DASH_DASH] = ACTIONS(2141),
    [anon_sym_BSLASH] = ACTIONS(2139),
    [anon_sym_do] = ACTIONS(2141),
    [anon_sym_eval] = ACTIONS(2141),
    [anon_sym_await] = ACTIONS(2141),
    [anon_sym_field] = ACTIONS(2141),
    [anon_sym_local] = ACTIONS(2141),
    [anon_sym_dynamically] = ACTIONS(2141),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2141),
    [anon_sym_require] = ACTIONS(2141),
    [anon_sym_map] = ACTIONS(2141),
    [anon_sym_grep] = ACTIONS(2141),
    [anon_sym_sort] = ACTIONS(2141),
    [anon_sym_goto] = ACTIONS(2141),
    [anon_sym_return] = ACTIONS(2141),
    [anon_sym_undef] = ACTIONS(2141),
    [anon_sym_PERCENT2] = ACTIONS(2141),
    [anon_sym_AMP2] = ACTIONS(2141),
    [anon_sym_STAR2] = ACTIONS(2141),
    [anon_sym_use] = ACTIONS(2141),
    [anon_sym_no] = ACTIONS(2141),
    [anon_sym_for] = ACTIONS(2141),
    [anon_sym_foreach] = ACTIONS(2141),
    [anon_sym_last] = ACTIONS(2141),
    [anon_sym_next] = ACTIONS(2141),
    [anon_sym_redo] = ACTIONS(2141),
    [anon_sym_BEGIN] = ACTIONS(2141),
    [anon_sym_INIT] = ACTIONS(2141),
    [anon_sym_CHECK] = ACTIONS(2141),
    [anon_sym_UNITCHECK] = ACTIONS(2141),
    [anon_sym_END] = ACTIONS(2141),
    [anon_sym___FILE__] = ACTIONS(2141),
    [anon_sym___LINE__] = ACTIONS(2141),
    [anon_sym___PACKAGE__] = ACTIONS(2141),
    [anon_sym___SUB__] = ACTIONS(2141),
    [anon_sym_break] = ACTIONS(2141),
    [anon_sym_fork] = ACTIONS(2141),
    [anon_sym_getppid] = ACTIONS(2141),
    [anon_sym_time] = ACTIONS(2141),
    [anon_sym_times] = ACTIONS(2141),
    [anon_sym_wait] = ACTIONS(2141),
    [anon_sym_wantarray] = ACTIONS(2141),
    [anon_sym_abs] = ACTIONS(2141),
    [anon_sym_alarm] = ACTIONS(2141),
    [anon_sym_chop] = ACTIONS(2141),
    [anon_sym_chdir] = ACTIONS(2141),
    [anon_sym_close] = ACTIONS(2141),
    [anon_sym_closedir] = ACTIONS(2141),
    [anon_sym_caller] = ACTIONS(2141),
    [anon_sym_chomp] = ACTIONS(2141),
    [anon_sym_chr] = ACTIONS(2141),
    [anon_sym_cos] = ACTIONS(2141),
    [anon_sym_chroot] = ACTIONS(2141),
    [anon_sym_defined] = ACTIONS(2141),
    [anon_sym_delete] = ACTIONS(2141),
    [anon_sym_dbmclose] = ACTIONS(2141),
    [anon_sym_exists] = ACTIONS(2141),
    [anon_sym_exit] = ACTIONS(2141),
    [anon_sym_eof] = ACTIONS(2141),
    [anon_sym_exp] = ACTIONS(2141),
    [anon_sym_each] = ACTIONS(2141),
    [anon_sym_fc] = ACTIONS(2141),
    [anon_sym_fileno] = ACTIONS(2141),
    [anon_sym_gmtime] = ACTIONS(2141),
    [anon_sym_getc] = ACTIONS(2141),
    [anon_sym_getpgrp] = ACTIONS(2141),
    [anon_sym_getprotobyname] = ACTIONS(2141),
    [anon_sym_getpwname] = ACTIONS(2141),
    [anon_sym_getpwuid] = ACTIONS(2141),
    [anon_sym_getpeername] = ACTIONS(2141),
    [anon_sym_getnetbyname] = ACTIONS(2141),
    [anon_sym_getsockname] = ACTIONS(2141),
    [anon_sym_getgrnam] = ACTIONS(2141),
    [anon_sym_getgrgid] = ACTIONS(2141),
    [anon_sym_hex] = ACTIONS(2141),
    [anon_sym_int] = ACTIONS(2141),
    [anon_sym_keys] = ACTIONS(2141),
    [anon_sym_lc] = ACTIONS(2141),
    [anon_sym_lcfirst] = ACTIONS(2141),
    [anon_sym_length] = ACTIONS(2141),
    [anon_sym_localtime] = ACTIONS(2141),
    [anon_sym_log] = ACTIONS(2141),
    [anon_sym_lock] = ACTIONS(2141),
    [anon_sym_lstat] = ACTIONS(2141),
    [anon_sym_oct] = ACTIONS(2141),
    [anon_sym_ord] = ACTIONS(2141),
    [anon_sym_prototype] = ACTIONS(2141),
    [anon_sym_pop] = ACTIONS(2141),
    [anon_sym_pos] = ACTIONS(2141),
    [anon_sym_quotemeta] = ACTIONS(2141),
    [anon_sym_reset] = ACTIONS(2141),
    [anon_sym_rand] = ACTIONS(2141),
    [anon_sym_rmdir] = ACTIONS(2141),
    [anon_sym_readdir] = ACTIONS(2141),
    [anon_sym_readline] = ACTIONS(2141),
    [anon_sym_readpipe] = ACTIONS(2141),
    [anon_sym_rewinddir] = ACTIONS(2141),
    [anon_sym_readlink] = ACTIONS(2141),
    [anon_sym_ref] = ACTIONS(2141),
    [anon_sym_scalar] = ACTIONS(2141),
    [anon_sym_shift] = ACTIONS(2141),
    [anon_sym_sin] = ACTIONS(2141),
    [anon_sym_sleep] = ACTIONS(2141),
    [anon_sym_sqrt] = ACTIONS(2141),
    [anon_sym_srand] = ACTIONS(2141),
    [anon_sym_stat] = ACTIONS(2141),
    [anon_sym_study] = ACTIONS(2141),
    [anon_sym_tell] = ACTIONS(2141),
    [anon_sym_telldir] = ACTIONS(2141),
    [anon_sym_tied] = ACTIONS(2141),
    [anon_sym_uc] = ACTIONS(2141),
    [anon_sym_ucfirst] = ACTIONS(2141),
    [anon_sym_untie] = ACTIONS(2141),
    [anon_sym_umask] = ACTIONS(2141),
    [anon_sym_values] = ACTIONS(2141),
    [anon_sym_write] = ACTIONS(2141),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2141),
    [anon_sym_qq] = ACTIONS(2141),
    [anon_sym_qw] = ACTIONS(2141),
    [anon_sym_qx] = ACTIONS(2141),
    [anon_sym_qr] = ACTIONS(2141),
    [anon_sym_m] = ACTIONS(2141),
    [anon_sym_s] = ACTIONS(2141),
    [anon_sym_tr] = ACTIONS(2141),
    [anon_sym_y] = ACTIONS(2141),
    [anon_sym_if] = ACTIONS(2141),
    [anon_sym_unless] = ACTIONS(2141),
    [anon_sym_while] = ACTIONS(2141),
    [anon_sym_until] = ACTIONS(2141),
    [aux_sym__bareword_token1] = ACTIONS(2141),
    [sym_number] = ACTIONS(2141),
    [anon_sym_true] = ACTIONS(2141),
    [anon_sym_false] = ACTIONS(2141),
    [sym__single_quote] = ACTIONS(2139),
    [sym__double_quote] = ACTIONS(2139),
    [sym__backtick_quote] = ACTIONS(2139),
    [sym__search_slash_quote] = ACTIONS(2139),
    [sym__open_readline_bracket] = ACTIONS(2139),
    [sym__open_fileglob_bracket] = ACTIONS(2139),
    [sym__PERLY_HEREDOC] = ACTIONS(2139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2139),
    [sym__filetest] = ACTIONS(2139),
  },
  [1015] = {
    [sym_heredoc_content] = STATE(1015),
    [sym__identifier] = ACTIONS(2145),
    [anon_sym_LBRACE] = ACTIONS(2145),
    [anon_sym_RBRACE] = ACTIONS(2145),
    [anon_sym_SEMI] = ACTIONS(2145),
    [anon_sym_package] = ACTIONS(2145),
    [anon_sym_class] = ACTIONS(2145),
    [anon_sym_role] = ACTIONS(2145),
    [anon_sym_BUILD] = ACTIONS(2145),
    [anon_sym_ADJUST] = ACTIONS(2145),
    [anon_sym_DOLLAR] = ACTIONS(2145),
    [anon_sym_AT] = ACTIONS(2145),
    [anon_sym_my] = ACTIONS(2145),
    [anon_sym_extended] = ACTIONS(2145),
    [anon_sym_async] = ACTIONS(2145),
    [anon_sym_sub] = ACTIONS(2145),
    [anon_sym_method] = ACTIONS(2145),
    [anon_sym_LPAREN] = ACTIONS(2145),
    [anon_sym_continue] = ACTIONS(2145),
    [anon_sym_state] = ACTIONS(2145),
    [anon_sym_our] = ACTIONS(2145),
    [anon_sym_try] = ACTIONS(2145),
    [anon_sym_defer] = ACTIONS(2145),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2145),
    [anon_sym_LBRACK] = ACTIONS(2145),
    [anon_sym_LT_LT] = ACTIONS(2145),
    [anon_sym_SLASH_SLASH] = ACTIONS(2145),
    [anon_sym_PLUS] = ACTIONS(2145),
    [anon_sym_DASH] = ACTIONS(2145),
    [anon_sym_TILDE] = ACTIONS(2145),
    [anon_sym_BANG] = ACTIONS(2145),
    [anon_sym_PLUS_PLUS] = ACTIONS(2145),
    [anon_sym_DASH_DASH] = ACTIONS(2145),
    [anon_sym_BSLASH] = ACTIONS(2143),
    [anon_sym_do] = ACTIONS(2145),
    [anon_sym_eval] = ACTIONS(2145),
    [anon_sym_await] = ACTIONS(2145),
    [anon_sym_field] = ACTIONS(2145),
    [anon_sym_local] = ACTIONS(2145),
    [anon_sym_dynamically] = ACTIONS(2145),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2145),
    [anon_sym_require] = ACTIONS(2145),
    [anon_sym_map] = ACTIONS(2145),
    [anon_sym_grep] = ACTIONS(2145),
    [anon_sym_sort] = ACTIONS(2145),
    [anon_sym_goto] = ACTIONS(2145),
    [anon_sym_return] = ACTIONS(2145),
    [anon_sym_undef] = ACTIONS(2145),
    [anon_sym_PERCENT2] = ACTIONS(2145),
    [anon_sym_AMP2] = ACTIONS(2145),
    [anon_sym_STAR2] = ACTIONS(2145),
    [anon_sym_use] = ACTIONS(2145),
    [anon_sym_no] = ACTIONS(2145),
    [anon_sym_for] = ACTIONS(2145),
    [anon_sym_foreach] = ACTIONS(2145),
    [anon_sym_last] = ACTIONS(2145),
    [anon_sym_next] = ACTIONS(2145),
    [anon_sym_redo] = ACTIONS(2145),
    [anon_sym_BEGIN] = ACTIONS(2145),
    [anon_sym_INIT] = ACTIONS(2145),
    [anon_sym_CHECK] = ACTIONS(2145),
    [anon_sym_UNITCHECK] = ACTIONS(2145),
    [anon_sym_END] = ACTIONS(2145),
    [anon_sym___FILE__] = ACTIONS(2145),
    [anon_sym___LINE__] = ACTIONS(2145),
    [anon_sym___PACKAGE__] = ACTIONS(2145),
    [anon_sym___SUB__] = ACTIONS(2145),
    [anon_sym_break] = ACTIONS(2145),
    [anon_sym_fork] = ACTIONS(2145),
    [anon_sym_getppid] = ACTIONS(2145),
    [anon_sym_time] = ACTIONS(2145),
    [anon_sym_times] = ACTIONS(2145),
    [anon_sym_wait] = ACTIONS(2145),
    [anon_sym_wantarray] = ACTIONS(2145),
    [anon_sym_abs] = ACTIONS(2145),
    [anon_sym_alarm] = ACTIONS(2145),
    [anon_sym_chop] = ACTIONS(2145),
    [anon_sym_chdir] = ACTIONS(2145),
    [anon_sym_close] = ACTIONS(2145),
    [anon_sym_closedir] = ACTIONS(2145),
    [anon_sym_caller] = ACTIONS(2145),
    [anon_sym_chomp] = ACTIONS(2145),
    [anon_sym_chr] = ACTIONS(2145),
    [anon_sym_cos] = ACTIONS(2145),
    [anon_sym_chroot] = ACTIONS(2145),
    [anon_sym_defined] = ACTIONS(2145),
    [anon_sym_delete] = ACTIONS(2145),
    [anon_sym_dbmclose] = ACTIONS(2145),
    [anon_sym_exists] = ACTIONS(2145),
    [anon_sym_exit] = ACTIONS(2145),
    [anon_sym_eof] = ACTIONS(2145),
    [anon_sym_exp] = ACTIONS(2145),
    [anon_sym_each] = ACTIONS(2145),
    [anon_sym_fc] = ACTIONS(2145),
    [anon_sym_fileno] = ACTIONS(2145),
    [anon_sym_gmtime] = ACTIONS(2145),
    [anon_sym_getc] = ACTIONS(2145),
    [anon_sym_getpgrp] = ACTIONS(2145),
    [anon_sym_getprotobyname] = ACTIONS(2145),
    [anon_sym_getpwname] = ACTIONS(2145),
    [anon_sym_getpwuid] = ACTIONS(2145),
    [anon_sym_getpeername] = ACTIONS(2145),
    [anon_sym_getnetbyname] = ACTIONS(2145),
    [anon_sym_getsockname] = ACTIONS(2145),
    [anon_sym_getgrnam] = ACTIONS(2145),
    [anon_sym_getgrgid] = ACTIONS(2145),
    [anon_sym_hex] = ACTIONS(2145),
    [anon_sym_int] = ACTIONS(2145),
    [anon_sym_keys] = ACTIONS(2145),
    [anon_sym_lc] = ACTIONS(2145),
    [anon_sym_lcfirst] = ACTIONS(2145),
    [anon_sym_length] = ACTIONS(2145),
    [anon_sym_localtime] = ACTIONS(2145),
    [anon_sym_log] = ACTIONS(2145),
    [anon_sym_lock] = ACTIONS(2145),
    [anon_sym_lstat] = ACTIONS(2145),
    [anon_sym_oct] = ACTIONS(2145),
    [anon_sym_ord] = ACTIONS(2145),
    [anon_sym_prototype] = ACTIONS(2145),
    [anon_sym_pop] = ACTIONS(2145),
    [anon_sym_pos] = ACTIONS(2145),
    [anon_sym_quotemeta] = ACTIONS(2145),
    [anon_sym_reset] = ACTIONS(2145),
    [anon_sym_rand] = ACTIONS(2145),
    [anon_sym_rmdir] = ACTIONS(2145),
    [anon_sym_readdir] = ACTIONS(2145),
    [anon_sym_readline] = ACTIONS(2145),
    [anon_sym_readpipe] = ACTIONS(2145),
    [anon_sym_rewinddir] = ACTIONS(2145),
    [anon_sym_readlink] = ACTIONS(2145),
    [anon_sym_ref] = ACTIONS(2145),
    [anon_sym_scalar] = ACTIONS(2145),
    [anon_sym_shift] = ACTIONS(2145),
    [anon_sym_sin] = ACTIONS(2145),
    [anon_sym_sleep] = ACTIONS(2145),
    [anon_sym_sqrt] = ACTIONS(2145),
    [anon_sym_srand] = ACTIONS(2145),
    [anon_sym_stat] = ACTIONS(2145),
    [anon_sym_study] = ACTIONS(2145),
    [anon_sym_tell] = ACTIONS(2145),
    [anon_sym_telldir] = ACTIONS(2145),
    [anon_sym_tied] = ACTIONS(2145),
    [anon_sym_uc] = ACTIONS(2145),
    [anon_sym_ucfirst] = ACTIONS(2145),
    [anon_sym_untie] = ACTIONS(2145),
    [anon_sym_umask] = ACTIONS(2145),
    [anon_sym_values] = ACTIONS(2145),
    [anon_sym_write] = ACTIONS(2145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2145),
    [anon_sym_qq] = ACTIONS(2145),
    [anon_sym_qw] = ACTIONS(2145),
    [anon_sym_qx] = ACTIONS(2145),
    [anon_sym_qr] = ACTIONS(2145),
    [anon_sym_m] = ACTIONS(2145),
    [anon_sym_s] = ACTIONS(2145),
    [anon_sym_tr] = ACTIONS(2145),
    [anon_sym_y] = ACTIONS(2145),
    [anon_sym_if] = ACTIONS(2145),
    [anon_sym_unless] = ACTIONS(2145),
    [anon_sym_while] = ACTIONS(2145),
    [anon_sym_until] = ACTIONS(2145),
    [aux_sym__bareword_token1] = ACTIONS(2145),
    [sym_number] = ACTIONS(2145),
    [anon_sym_true] = ACTIONS(2145),
    [anon_sym_false] = ACTIONS(2145),
    [sym__single_quote] = ACTIONS(2143),
    [sym__double_quote] = ACTIONS(2143),
    [sym__backtick_quote] = ACTIONS(2143),
    [sym__search_slash_quote] = ACTIONS(2143),
    [sym__open_readline_bracket] = ACTIONS(2143),
    [sym__open_fileglob_bracket] = ACTIONS(2143),
    [sym__PERLY_HEREDOC] = ACTIONS(2143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2143),
    [sym__filetest] = ACTIONS(2143),
  },
  [1016] = {
    [sym_heredoc_content] = STATE(1016),
    [sym__identifier] = ACTIONS(2029),
    [anon_sym_LBRACE] = ACTIONS(2029),
    [anon_sym_RBRACE] = ACTIONS(2029),
    [anon_sym_SEMI] = ACTIONS(2029),
    [anon_sym_package] = ACTIONS(2029),
    [anon_sym_class] = ACTIONS(2029),
    [anon_sym_role] = ACTIONS(2029),
    [anon_sym_BUILD] = ACTIONS(2029),
    [anon_sym_ADJUST] = ACTIONS(2029),
    [anon_sym_DOLLAR] = ACTIONS(2029),
    [anon_sym_AT] = ACTIONS(2029),
    [anon_sym_my] = ACTIONS(2029),
    [anon_sym_extended] = ACTIONS(2029),
    [anon_sym_async] = ACTIONS(2029),
    [anon_sym_sub] = ACTIONS(2029),
    [anon_sym_method] = ACTIONS(2029),
    [anon_sym_LPAREN] = ACTIONS(2029),
    [anon_sym_continue] = ACTIONS(2029),
    [anon_sym_state] = ACTIONS(2029),
    [anon_sym_our] = ACTIONS(2029),
    [anon_sym_try] = ACTIONS(2029),
    [anon_sym_defer] = ACTIONS(2029),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2029),
    [anon_sym_LBRACK] = ACTIONS(2029),
    [anon_sym_LT_LT] = ACTIONS(2029),
    [anon_sym_SLASH_SLASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_TILDE] = ACTIONS(2029),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_BSLASH] = ACTIONS(2027),
    [anon_sym_do] = ACTIONS(2029),
    [anon_sym_eval] = ACTIONS(2029),
    [anon_sym_await] = ACTIONS(2029),
    [anon_sym_field] = ACTIONS(2029),
    [anon_sym_local] = ACTIONS(2029),
    [anon_sym_dynamically] = ACTIONS(2029),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2029),
    [anon_sym_require] = ACTIONS(2029),
    [anon_sym_map] = ACTIONS(2029),
    [anon_sym_grep] = ACTIONS(2029),
    [anon_sym_sort] = ACTIONS(2029),
    [anon_sym_goto] = ACTIONS(2029),
    [anon_sym_return] = ACTIONS(2029),
    [anon_sym_undef] = ACTIONS(2029),
    [anon_sym_PERCENT2] = ACTIONS(2029),
    [anon_sym_AMP2] = ACTIONS(2029),
    [anon_sym_STAR2] = ACTIONS(2029),
    [anon_sym_use] = ACTIONS(2029),
    [anon_sym_no] = ACTIONS(2029),
    [anon_sym_for] = ACTIONS(2029),
    [anon_sym_foreach] = ACTIONS(2029),
    [anon_sym_last] = ACTIONS(2029),
    [anon_sym_next] = ACTIONS(2029),
    [anon_sym_redo] = ACTIONS(2029),
    [anon_sym_BEGIN] = ACTIONS(2029),
    [anon_sym_INIT] = ACTIONS(2029),
    [anon_sym_CHECK] = ACTIONS(2029),
    [anon_sym_UNITCHECK] = ACTIONS(2029),
    [anon_sym_END] = ACTIONS(2029),
    [anon_sym___FILE__] = ACTIONS(2029),
    [anon_sym___LINE__] = ACTIONS(2029),
    [anon_sym___PACKAGE__] = ACTIONS(2029),
    [anon_sym___SUB__] = ACTIONS(2029),
    [anon_sym_break] = ACTIONS(2029),
    [anon_sym_fork] = ACTIONS(2029),
    [anon_sym_getppid] = ACTIONS(2029),
    [anon_sym_time] = ACTIONS(2029),
    [anon_sym_times] = ACTIONS(2029),
    [anon_sym_wait] = ACTIONS(2029),
    [anon_sym_wantarray] = ACTIONS(2029),
    [anon_sym_abs] = ACTIONS(2029),
    [anon_sym_alarm] = ACTIONS(2029),
    [anon_sym_chop] = ACTIONS(2029),
    [anon_sym_chdir] = ACTIONS(2029),
    [anon_sym_close] = ACTIONS(2029),
    [anon_sym_closedir] = ACTIONS(2029),
    [anon_sym_caller] = ACTIONS(2029),
    [anon_sym_chomp] = ACTIONS(2029),
    [anon_sym_chr] = ACTIONS(2029),
    [anon_sym_cos] = ACTIONS(2029),
    [anon_sym_chroot] = ACTIONS(2029),
    [anon_sym_defined] = ACTIONS(2029),
    [anon_sym_delete] = ACTIONS(2029),
    [anon_sym_dbmclose] = ACTIONS(2029),
    [anon_sym_exists] = ACTIONS(2029),
    [anon_sym_exit] = ACTIONS(2029),
    [anon_sym_eof] = ACTIONS(2029),
    [anon_sym_exp] = ACTIONS(2029),
    [anon_sym_each] = ACTIONS(2029),
    [anon_sym_fc] = ACTIONS(2029),
    [anon_sym_fileno] = ACTIONS(2029),
    [anon_sym_gmtime] = ACTIONS(2029),
    [anon_sym_getc] = ACTIONS(2029),
    [anon_sym_getpgrp] = ACTIONS(2029),
    [anon_sym_getprotobyname] = ACTIONS(2029),
    [anon_sym_getpwname] = ACTIONS(2029),
    [anon_sym_getpwuid] = ACTIONS(2029),
    [anon_sym_getpeername] = ACTIONS(2029),
    [anon_sym_getnetbyname] = ACTIONS(2029),
    [anon_sym_getsockname] = ACTIONS(2029),
    [anon_sym_getgrnam] = ACTIONS(2029),
    [anon_sym_getgrgid] = ACTIONS(2029),
    [anon_sym_hex] = ACTIONS(2029),
    [anon_sym_int] = ACTIONS(2029),
    [anon_sym_keys] = ACTIONS(2029),
    [anon_sym_lc] = ACTIONS(2029),
    [anon_sym_lcfirst] = ACTIONS(2029),
    [anon_sym_length] = ACTIONS(2029),
    [anon_sym_localtime] = ACTIONS(2029),
    [anon_sym_log] = ACTIONS(2029),
    [anon_sym_lock] = ACTIONS(2029),
    [anon_sym_lstat] = ACTIONS(2029),
    [anon_sym_oct] = ACTIONS(2029),
    [anon_sym_ord] = ACTIONS(2029),
    [anon_sym_prototype] = ACTIONS(2029),
    [anon_sym_pop] = ACTIONS(2029),
    [anon_sym_pos] = ACTIONS(2029),
    [anon_sym_quotemeta] = ACTIONS(2029),
    [anon_sym_reset] = ACTIONS(2029),
    [anon_sym_rand] = ACTIONS(2029),
    [anon_sym_rmdir] = ACTIONS(2029),
    [anon_sym_readdir] = ACTIONS(2029),
    [anon_sym_readline] = ACTIONS(2029),
    [anon_sym_readpipe] = ACTIONS(2029),
    [anon_sym_rewinddir] = ACTIONS(2029),
    [anon_sym_readlink] = ACTIONS(2029),
    [anon_sym_ref] = ACTIONS(2029),
    [anon_sym_scalar] = ACTIONS(2029),
    [anon_sym_shift] = ACTIONS(2029),
    [anon_sym_sin] = ACTIONS(2029),
    [anon_sym_sleep] = ACTIONS(2029),
    [anon_sym_sqrt] = ACTIONS(2029),
    [anon_sym_srand] = ACTIONS(2029),
    [anon_sym_stat] = ACTIONS(2029),
    [anon_sym_study] = ACTIONS(2029),
    [anon_sym_tell] = ACTIONS(2029),
    [anon_sym_telldir] = ACTIONS(2029),
    [anon_sym_tied] = ACTIONS(2029),
    [anon_sym_uc] = ACTIONS(2029),
    [anon_sym_ucfirst] = ACTIONS(2029),
    [anon_sym_untie] = ACTIONS(2029),
    [anon_sym_umask] = ACTIONS(2029),
    [anon_sym_values] = ACTIONS(2029),
    [anon_sym_write] = ACTIONS(2029),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2029),
    [anon_sym_qq] = ACTIONS(2029),
    [anon_sym_qw] = ACTIONS(2029),
    [anon_sym_qx] = ACTIONS(2029),
    [anon_sym_qr] = ACTIONS(2029),
    [anon_sym_m] = ACTIONS(2029),
    [anon_sym_s] = ACTIONS(2029),
    [anon_sym_tr] = ACTIONS(2029),
    [anon_sym_y] = ACTIONS(2029),
    [anon_sym_if] = ACTIONS(2029),
    [anon_sym_unless] = ACTIONS(2029),
    [anon_sym_while] = ACTIONS(2029),
    [anon_sym_until] = ACTIONS(2029),
    [aux_sym__bareword_token1] = ACTIONS(2029),
    [sym_number] = ACTIONS(2029),
    [anon_sym_true] = ACTIONS(2029),
    [anon_sym_false] = ACTIONS(2029),
    [sym__single_quote] = ACTIONS(2027),
    [sym__double_quote] = ACTIONS(2027),
    [sym__backtick_quote] = ACTIONS(2027),
    [sym__search_slash_quote] = ACTIONS(2027),
    [sym__open_readline_bracket] = ACTIONS(2027),
    [sym__open_fileglob_bracket] = ACTIONS(2027),
    [sym__PERLY_HEREDOC] = ACTIONS(2027),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2027),
    [sym__filetest] = ACTIONS(2027),
  },
  [1017] = {
    [sym_heredoc_content] = STATE(1017),
    [sym__identifier] = ACTIONS(2153),
    [anon_sym_LBRACE] = ACTIONS(2153),
    [anon_sym_RBRACE] = ACTIONS(2153),
    [anon_sym_SEMI] = ACTIONS(2153),
    [anon_sym_package] = ACTIONS(2153),
    [anon_sym_class] = ACTIONS(2153),
    [anon_sym_role] = ACTIONS(2153),
    [anon_sym_BUILD] = ACTIONS(2153),
    [anon_sym_ADJUST] = ACTIONS(2153),
    [anon_sym_DOLLAR] = ACTIONS(2153),
    [anon_sym_AT] = ACTIONS(2153),
    [anon_sym_my] = ACTIONS(2153),
    [anon_sym_extended] = ACTIONS(2153),
    [anon_sym_async] = ACTIONS(2153),
    [anon_sym_sub] = ACTIONS(2153),
    [anon_sym_method] = ACTIONS(2153),
    [anon_sym_LPAREN] = ACTIONS(2153),
    [anon_sym_continue] = ACTIONS(2153),
    [anon_sym_state] = ACTIONS(2153),
    [anon_sym_our] = ACTIONS(2153),
    [anon_sym_try] = ACTIONS(2153),
    [anon_sym_defer] = ACTIONS(2153),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2153),
    [anon_sym_LBRACK] = ACTIONS(2153),
    [anon_sym_LT_LT] = ACTIONS(2153),
    [anon_sym_SLASH_SLASH] = ACTIONS(2153),
    [anon_sym_PLUS] = ACTIONS(2153),
    [anon_sym_DASH] = ACTIONS(2153),
    [anon_sym_TILDE] = ACTIONS(2153),
    [anon_sym_BANG] = ACTIONS(2153),
    [anon_sym_PLUS_PLUS] = ACTIONS(2153),
    [anon_sym_DASH_DASH] = ACTIONS(2153),
    [anon_sym_BSLASH] = ACTIONS(2151),
    [anon_sym_do] = ACTIONS(2153),
    [anon_sym_eval] = ACTIONS(2153),
    [anon_sym_await] = ACTIONS(2153),
    [anon_sym_field] = ACTIONS(2153),
    [anon_sym_local] = ACTIONS(2153),
    [anon_sym_dynamically] = ACTIONS(2153),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2153),
    [anon_sym_require] = ACTIONS(2153),
    [anon_sym_map] = ACTIONS(2153),
    [anon_sym_grep] = ACTIONS(2153),
    [anon_sym_sort] = ACTIONS(2153),
    [anon_sym_goto] = ACTIONS(2153),
    [anon_sym_return] = ACTIONS(2153),
    [anon_sym_undef] = ACTIONS(2153),
    [anon_sym_PERCENT2] = ACTIONS(2153),
    [anon_sym_AMP2] = ACTIONS(2153),
    [anon_sym_STAR2] = ACTIONS(2153),
    [anon_sym_use] = ACTIONS(2153),
    [anon_sym_no] = ACTIONS(2153),
    [anon_sym_for] = ACTIONS(2153),
    [anon_sym_foreach] = ACTIONS(2153),
    [anon_sym_last] = ACTIONS(2153),
    [anon_sym_next] = ACTIONS(2153),
    [anon_sym_redo] = ACTIONS(2153),
    [anon_sym_BEGIN] = ACTIONS(2153),
    [anon_sym_INIT] = ACTIONS(2153),
    [anon_sym_CHECK] = ACTIONS(2153),
    [anon_sym_UNITCHECK] = ACTIONS(2153),
    [anon_sym_END] = ACTIONS(2153),
    [anon_sym___FILE__] = ACTIONS(2153),
    [anon_sym___LINE__] = ACTIONS(2153),
    [anon_sym___PACKAGE__] = ACTIONS(2153),
    [anon_sym___SUB__] = ACTIONS(2153),
    [anon_sym_break] = ACTIONS(2153),
    [anon_sym_fork] = ACTIONS(2153),
    [anon_sym_getppid] = ACTIONS(2153),
    [anon_sym_time] = ACTIONS(2153),
    [anon_sym_times] = ACTIONS(2153),
    [anon_sym_wait] = ACTIONS(2153),
    [anon_sym_wantarray] = ACTIONS(2153),
    [anon_sym_abs] = ACTIONS(2153),
    [anon_sym_alarm] = ACTIONS(2153),
    [anon_sym_chop] = ACTIONS(2153),
    [anon_sym_chdir] = ACTIONS(2153),
    [anon_sym_close] = ACTIONS(2153),
    [anon_sym_closedir] = ACTIONS(2153),
    [anon_sym_caller] = ACTIONS(2153),
    [anon_sym_chomp] = ACTIONS(2153),
    [anon_sym_chr] = ACTIONS(2153),
    [anon_sym_cos] = ACTIONS(2153),
    [anon_sym_chroot] = ACTIONS(2153),
    [anon_sym_defined] = ACTIONS(2153),
    [anon_sym_delete] = ACTIONS(2153),
    [anon_sym_dbmclose] = ACTIONS(2153),
    [anon_sym_exists] = ACTIONS(2153),
    [anon_sym_exit] = ACTIONS(2153),
    [anon_sym_eof] = ACTIONS(2153),
    [anon_sym_exp] = ACTIONS(2153),
    [anon_sym_each] = ACTIONS(2153),
    [anon_sym_fc] = ACTIONS(2153),
    [anon_sym_fileno] = ACTIONS(2153),
    [anon_sym_gmtime] = ACTIONS(2153),
    [anon_sym_getc] = ACTIONS(2153),
    [anon_sym_getpgrp] = ACTIONS(2153),
    [anon_sym_getprotobyname] = ACTIONS(2153),
    [anon_sym_getpwname] = ACTIONS(2153),
    [anon_sym_getpwuid] = ACTIONS(2153),
    [anon_sym_getpeername] = ACTIONS(2153),
    [anon_sym_getnetbyname] = ACTIONS(2153),
    [anon_sym_getsockname] = ACTIONS(2153),
    [anon_sym_getgrnam] = ACTIONS(2153),
    [anon_sym_getgrgid] = ACTIONS(2153),
    [anon_sym_hex] = ACTIONS(2153),
    [anon_sym_int] = ACTIONS(2153),
    [anon_sym_keys] = ACTIONS(2153),
    [anon_sym_lc] = ACTIONS(2153),
    [anon_sym_lcfirst] = ACTIONS(2153),
    [anon_sym_length] = ACTIONS(2153),
    [anon_sym_localtime] = ACTIONS(2153),
    [anon_sym_log] = ACTIONS(2153),
    [anon_sym_lock] = ACTIONS(2153),
    [anon_sym_lstat] = ACTIONS(2153),
    [anon_sym_oct] = ACTIONS(2153),
    [anon_sym_ord] = ACTIONS(2153),
    [anon_sym_prototype] = ACTIONS(2153),
    [anon_sym_pop] = ACTIONS(2153),
    [anon_sym_pos] = ACTIONS(2153),
    [anon_sym_quotemeta] = ACTIONS(2153),
    [anon_sym_reset] = ACTIONS(2153),
    [anon_sym_rand] = ACTIONS(2153),
    [anon_sym_rmdir] = ACTIONS(2153),
    [anon_sym_readdir] = ACTIONS(2153),
    [anon_sym_readline] = ACTIONS(2153),
    [anon_sym_readpipe] = ACTIONS(2153),
    [anon_sym_rewinddir] = ACTIONS(2153),
    [anon_sym_readlink] = ACTIONS(2153),
    [anon_sym_ref] = ACTIONS(2153),
    [anon_sym_scalar] = ACTIONS(2153),
    [anon_sym_shift] = ACTIONS(2153),
    [anon_sym_sin] = ACTIONS(2153),
    [anon_sym_sleep] = ACTIONS(2153),
    [anon_sym_sqrt] = ACTIONS(2153),
    [anon_sym_srand] = ACTIONS(2153),
    [anon_sym_stat] = ACTIONS(2153),
    [anon_sym_study] = ACTIONS(2153),
    [anon_sym_tell] = ACTIONS(2153),
    [anon_sym_telldir] = ACTIONS(2153),
    [anon_sym_tied] = ACTIONS(2153),
    [anon_sym_uc] = ACTIONS(2153),
    [anon_sym_ucfirst] = ACTIONS(2153),
    [anon_sym_untie] = ACTIONS(2153),
    [anon_sym_umask] = ACTIONS(2153),
    [anon_sym_values] = ACTIONS(2153),
    [anon_sym_write] = ACTIONS(2153),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2153),
    [anon_sym_qq] = ACTIONS(2153),
    [anon_sym_qw] = ACTIONS(2153),
    [anon_sym_qx] = ACTIONS(2153),
    [anon_sym_qr] = ACTIONS(2153),
    [anon_sym_m] = ACTIONS(2153),
    [anon_sym_s] = ACTIONS(2153),
    [anon_sym_tr] = ACTIONS(2153),
    [anon_sym_y] = ACTIONS(2153),
    [anon_sym_if] = ACTIONS(2153),
    [anon_sym_unless] = ACTIONS(2153),
    [anon_sym_while] = ACTIONS(2153),
    [anon_sym_until] = ACTIONS(2153),
    [aux_sym__bareword_token1] = ACTIONS(2153),
    [sym_number] = ACTIONS(2153),
    [anon_sym_true] = ACTIONS(2153),
    [anon_sym_false] = ACTIONS(2153),
    [sym__single_quote] = ACTIONS(2151),
    [sym__double_quote] = ACTIONS(2151),
    [sym__backtick_quote] = ACTIONS(2151),
    [sym__search_slash_quote] = ACTIONS(2151),
    [sym__open_readline_bracket] = ACTIONS(2151),
    [sym__open_fileglob_bracket] = ACTIONS(2151),
    [sym__PERLY_HEREDOC] = ACTIONS(2151),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2151),
    [sym__filetest] = ACTIONS(2151),
  },
  [1018] = {
    [sym_heredoc_content] = STATE(1018),
    [sym__identifier] = ACTIONS(2033),
    [anon_sym_LBRACE] = ACTIONS(2033),
    [anon_sym_RBRACE] = ACTIONS(2033),
    [anon_sym_SEMI] = ACTIONS(2033),
    [anon_sym_package] = ACTIONS(2033),
    [anon_sym_class] = ACTIONS(2033),
    [anon_sym_role] = ACTIONS(2033),
    [anon_sym_BUILD] = ACTIONS(2033),
    [anon_sym_ADJUST] = ACTIONS(2033),
    [anon_sym_DOLLAR] = ACTIONS(2033),
    [anon_sym_AT] = ACTIONS(2033),
    [anon_sym_my] = ACTIONS(2033),
    [anon_sym_extended] = ACTIONS(2033),
    [anon_sym_async] = ACTIONS(2033),
    [anon_sym_sub] = ACTIONS(2033),
    [anon_sym_method] = ACTIONS(2033),
    [anon_sym_LPAREN] = ACTIONS(2033),
    [anon_sym_continue] = ACTIONS(2033),
    [anon_sym_state] = ACTIONS(2033),
    [anon_sym_our] = ACTIONS(2033),
    [anon_sym_try] = ACTIONS(2033),
    [anon_sym_defer] = ACTIONS(2033),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2033),
    [anon_sym_LBRACK] = ACTIONS(2033),
    [anon_sym_LT_LT] = ACTIONS(2033),
    [anon_sym_SLASH_SLASH] = ACTIONS(2033),
    [anon_sym_PLUS] = ACTIONS(2033),
    [anon_sym_DASH] = ACTIONS(2033),
    [anon_sym_TILDE] = ACTIONS(2033),
    [anon_sym_BANG] = ACTIONS(2033),
    [anon_sym_PLUS_PLUS] = ACTIONS(2033),
    [anon_sym_DASH_DASH] = ACTIONS(2033),
    [anon_sym_BSLASH] = ACTIONS(2031),
    [anon_sym_do] = ACTIONS(2033),
    [anon_sym_eval] = ACTIONS(2033),
    [anon_sym_await] = ACTIONS(2033),
    [anon_sym_field] = ACTIONS(2033),
    [anon_sym_local] = ACTIONS(2033),
    [anon_sym_dynamically] = ACTIONS(2033),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2033),
    [anon_sym_require] = ACTIONS(2033),
    [anon_sym_map] = ACTIONS(2033),
    [anon_sym_grep] = ACTIONS(2033),
    [anon_sym_sort] = ACTIONS(2033),
    [anon_sym_goto] = ACTIONS(2033),
    [anon_sym_return] = ACTIONS(2033),
    [anon_sym_undef] = ACTIONS(2033),
    [anon_sym_PERCENT2] = ACTIONS(2033),
    [anon_sym_AMP2] = ACTIONS(2033),
    [anon_sym_STAR2] = ACTIONS(2033),
    [anon_sym_use] = ACTIONS(2033),
    [anon_sym_no] = ACTIONS(2033),
    [anon_sym_for] = ACTIONS(2033),
    [anon_sym_foreach] = ACTIONS(2033),
    [anon_sym_last] = ACTIONS(2033),
    [anon_sym_next] = ACTIONS(2033),
    [anon_sym_redo] = ACTIONS(2033),
    [anon_sym_BEGIN] = ACTIONS(2033),
    [anon_sym_INIT] = ACTIONS(2033),
    [anon_sym_CHECK] = ACTIONS(2033),
    [anon_sym_UNITCHECK] = ACTIONS(2033),
    [anon_sym_END] = ACTIONS(2033),
    [anon_sym___FILE__] = ACTIONS(2033),
    [anon_sym___LINE__] = ACTIONS(2033),
    [anon_sym___PACKAGE__] = ACTIONS(2033),
    [anon_sym___SUB__] = ACTIONS(2033),
    [anon_sym_break] = ACTIONS(2033),
    [anon_sym_fork] = ACTIONS(2033),
    [anon_sym_getppid] = ACTIONS(2033),
    [anon_sym_time] = ACTIONS(2033),
    [anon_sym_times] = ACTIONS(2033),
    [anon_sym_wait] = ACTIONS(2033),
    [anon_sym_wantarray] = ACTIONS(2033),
    [anon_sym_abs] = ACTIONS(2033),
    [anon_sym_alarm] = ACTIONS(2033),
    [anon_sym_chop] = ACTIONS(2033),
    [anon_sym_chdir] = ACTIONS(2033),
    [anon_sym_close] = ACTIONS(2033),
    [anon_sym_closedir] = ACTIONS(2033),
    [anon_sym_caller] = ACTIONS(2033),
    [anon_sym_chomp] = ACTIONS(2033),
    [anon_sym_chr] = ACTIONS(2033),
    [anon_sym_cos] = ACTIONS(2033),
    [anon_sym_chroot] = ACTIONS(2033),
    [anon_sym_defined] = ACTIONS(2033),
    [anon_sym_delete] = ACTIONS(2033),
    [anon_sym_dbmclose] = ACTIONS(2033),
    [anon_sym_exists] = ACTIONS(2033),
    [anon_sym_exit] = ACTIONS(2033),
    [anon_sym_eof] = ACTIONS(2033),
    [anon_sym_exp] = ACTIONS(2033),
    [anon_sym_each] = ACTIONS(2033),
    [anon_sym_fc] = ACTIONS(2033),
    [anon_sym_fileno] = ACTIONS(2033),
    [anon_sym_gmtime] = ACTIONS(2033),
    [anon_sym_getc] = ACTIONS(2033),
    [anon_sym_getpgrp] = ACTIONS(2033),
    [anon_sym_getprotobyname] = ACTIONS(2033),
    [anon_sym_getpwname] = ACTIONS(2033),
    [anon_sym_getpwuid] = ACTIONS(2033),
    [anon_sym_getpeername] = ACTIONS(2033),
    [anon_sym_getnetbyname] = ACTIONS(2033),
    [anon_sym_getsockname] = ACTIONS(2033),
    [anon_sym_getgrnam] = ACTIONS(2033),
    [anon_sym_getgrgid] = ACTIONS(2033),
    [anon_sym_hex] = ACTIONS(2033),
    [anon_sym_int] = ACTIONS(2033),
    [anon_sym_keys] = ACTIONS(2033),
    [anon_sym_lc] = ACTIONS(2033),
    [anon_sym_lcfirst] = ACTIONS(2033),
    [anon_sym_length] = ACTIONS(2033),
    [anon_sym_localtime] = ACTIONS(2033),
    [anon_sym_log] = ACTIONS(2033),
    [anon_sym_lock] = ACTIONS(2033),
    [anon_sym_lstat] = ACTIONS(2033),
    [anon_sym_oct] = ACTIONS(2033),
    [anon_sym_ord] = ACTIONS(2033),
    [anon_sym_prototype] = ACTIONS(2033),
    [anon_sym_pop] = ACTIONS(2033),
    [anon_sym_pos] = ACTIONS(2033),
    [anon_sym_quotemeta] = ACTIONS(2033),
    [anon_sym_reset] = ACTIONS(2033),
    [anon_sym_rand] = ACTIONS(2033),
    [anon_sym_rmdir] = ACTIONS(2033),
    [anon_sym_readdir] = ACTIONS(2033),
    [anon_sym_readline] = ACTIONS(2033),
    [anon_sym_readpipe] = ACTIONS(2033),
    [anon_sym_rewinddir] = ACTIONS(2033),
    [anon_sym_readlink] = ACTIONS(2033),
    [anon_sym_ref] = ACTIONS(2033),
    [anon_sym_scalar] = ACTIONS(2033),
    [anon_sym_shift] = ACTIONS(2033),
    [anon_sym_sin] = ACTIONS(2033),
    [anon_sym_sleep] = ACTIONS(2033),
    [anon_sym_sqrt] = ACTIONS(2033),
    [anon_sym_srand] = ACTIONS(2033),
    [anon_sym_stat] = ACTIONS(2033),
    [anon_sym_study] = ACTIONS(2033),
    [anon_sym_tell] = ACTIONS(2033),
    [anon_sym_telldir] = ACTIONS(2033),
    [anon_sym_tied] = ACTIONS(2033),
    [anon_sym_uc] = ACTIONS(2033),
    [anon_sym_ucfirst] = ACTIONS(2033),
    [anon_sym_untie] = ACTIONS(2033),
    [anon_sym_umask] = ACTIONS(2033),
    [anon_sym_values] = ACTIONS(2033),
    [anon_sym_write] = ACTIONS(2033),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2033),
    [anon_sym_qq] = ACTIONS(2033),
    [anon_sym_qw] = ACTIONS(2033),
    [anon_sym_qx] = ACTIONS(2033),
    [anon_sym_qr] = ACTIONS(2033),
    [anon_sym_m] = ACTIONS(2033),
    [anon_sym_s] = ACTIONS(2033),
    [anon_sym_tr] = ACTIONS(2033),
    [anon_sym_y] = ACTIONS(2033),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_unless] = ACTIONS(2033),
    [anon_sym_while] = ACTIONS(2033),
    [anon_sym_until] = ACTIONS(2033),
    [aux_sym__bareword_token1] = ACTIONS(2033),
    [sym_number] = ACTIONS(2033),
    [anon_sym_true] = ACTIONS(2033),
    [anon_sym_false] = ACTIONS(2033),
    [sym__single_quote] = ACTIONS(2031),
    [sym__double_quote] = ACTIONS(2031),
    [sym__backtick_quote] = ACTIONS(2031),
    [sym__search_slash_quote] = ACTIONS(2031),
    [sym__open_readline_bracket] = ACTIONS(2031),
    [sym__open_fileglob_bracket] = ACTIONS(2031),
    [sym__PERLY_HEREDOC] = ACTIONS(2031),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2031),
    [sym__filetest] = ACTIONS(2031),
  },
  [1019] = {
    [sym_heredoc_content] = STATE(1019),
    [sym__identifier] = ACTIONS(2157),
    [anon_sym_LBRACE] = ACTIONS(2157),
    [anon_sym_RBRACE] = ACTIONS(2157),
    [anon_sym_SEMI] = ACTIONS(2157),
    [anon_sym_package] = ACTIONS(2157),
    [anon_sym_class] = ACTIONS(2157),
    [anon_sym_role] = ACTIONS(2157),
    [anon_sym_BUILD] = ACTIONS(2157),
    [anon_sym_ADJUST] = ACTIONS(2157),
    [anon_sym_DOLLAR] = ACTIONS(2157),
    [anon_sym_AT] = ACTIONS(2157),
    [anon_sym_my] = ACTIONS(2157),
    [anon_sym_extended] = ACTIONS(2157),
    [anon_sym_async] = ACTIONS(2157),
    [anon_sym_sub] = ACTIONS(2157),
    [anon_sym_method] = ACTIONS(2157),
    [anon_sym_LPAREN] = ACTIONS(2157),
    [anon_sym_continue] = ACTIONS(2157),
    [anon_sym_state] = ACTIONS(2157),
    [anon_sym_our] = ACTIONS(2157),
    [anon_sym_try] = ACTIONS(2157),
    [anon_sym_defer] = ACTIONS(2157),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2157),
    [anon_sym_LBRACK] = ACTIONS(2157),
    [anon_sym_LT_LT] = ACTIONS(2157),
    [anon_sym_SLASH_SLASH] = ACTIONS(2157),
    [anon_sym_PLUS] = ACTIONS(2157),
    [anon_sym_DASH] = ACTIONS(2157),
    [anon_sym_TILDE] = ACTIONS(2157),
    [anon_sym_BANG] = ACTIONS(2157),
    [anon_sym_PLUS_PLUS] = ACTIONS(2157),
    [anon_sym_DASH_DASH] = ACTIONS(2157),
    [anon_sym_BSLASH] = ACTIONS(2155),
    [anon_sym_do] = ACTIONS(2157),
    [anon_sym_eval] = ACTIONS(2157),
    [anon_sym_await] = ACTIONS(2157),
    [anon_sym_field] = ACTIONS(2157),
    [anon_sym_local] = ACTIONS(2157),
    [anon_sym_dynamically] = ACTIONS(2157),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2157),
    [anon_sym_require] = ACTIONS(2157),
    [anon_sym_map] = ACTIONS(2157),
    [anon_sym_grep] = ACTIONS(2157),
    [anon_sym_sort] = ACTIONS(2157),
    [anon_sym_goto] = ACTIONS(2157),
    [anon_sym_return] = ACTIONS(2157),
    [anon_sym_undef] = ACTIONS(2157),
    [anon_sym_PERCENT2] = ACTIONS(2157),
    [anon_sym_AMP2] = ACTIONS(2157),
    [anon_sym_STAR2] = ACTIONS(2157),
    [anon_sym_use] = ACTIONS(2157),
    [anon_sym_no] = ACTIONS(2157),
    [anon_sym_for] = ACTIONS(2157),
    [anon_sym_foreach] = ACTIONS(2157),
    [anon_sym_last] = ACTIONS(2157),
    [anon_sym_next] = ACTIONS(2157),
    [anon_sym_redo] = ACTIONS(2157),
    [anon_sym_BEGIN] = ACTIONS(2157),
    [anon_sym_INIT] = ACTIONS(2157),
    [anon_sym_CHECK] = ACTIONS(2157),
    [anon_sym_UNITCHECK] = ACTIONS(2157),
    [anon_sym_END] = ACTIONS(2157),
    [anon_sym___FILE__] = ACTIONS(2157),
    [anon_sym___LINE__] = ACTIONS(2157),
    [anon_sym___PACKAGE__] = ACTIONS(2157),
    [anon_sym___SUB__] = ACTIONS(2157),
    [anon_sym_break] = ACTIONS(2157),
    [anon_sym_fork] = ACTIONS(2157),
    [anon_sym_getppid] = ACTIONS(2157),
    [anon_sym_time] = ACTIONS(2157),
    [anon_sym_times] = ACTIONS(2157),
    [anon_sym_wait] = ACTIONS(2157),
    [anon_sym_wantarray] = ACTIONS(2157),
    [anon_sym_abs] = ACTIONS(2157),
    [anon_sym_alarm] = ACTIONS(2157),
    [anon_sym_chop] = ACTIONS(2157),
    [anon_sym_chdir] = ACTIONS(2157),
    [anon_sym_close] = ACTIONS(2157),
    [anon_sym_closedir] = ACTIONS(2157),
    [anon_sym_caller] = ACTIONS(2157),
    [anon_sym_chomp] = ACTIONS(2157),
    [anon_sym_chr] = ACTIONS(2157),
    [anon_sym_cos] = ACTIONS(2157),
    [anon_sym_chroot] = ACTIONS(2157),
    [anon_sym_defined] = ACTIONS(2157),
    [anon_sym_delete] = ACTIONS(2157),
    [anon_sym_dbmclose] = ACTIONS(2157),
    [anon_sym_exists] = ACTIONS(2157),
    [anon_sym_exit] = ACTIONS(2157),
    [anon_sym_eof] = ACTIONS(2157),
    [anon_sym_exp] = ACTIONS(2157),
    [anon_sym_each] = ACTIONS(2157),
    [anon_sym_fc] = ACTIONS(2157),
    [anon_sym_fileno] = ACTIONS(2157),
    [anon_sym_gmtime] = ACTIONS(2157),
    [anon_sym_getc] = ACTIONS(2157),
    [anon_sym_getpgrp] = ACTIONS(2157),
    [anon_sym_getprotobyname] = ACTIONS(2157),
    [anon_sym_getpwname] = ACTIONS(2157),
    [anon_sym_getpwuid] = ACTIONS(2157),
    [anon_sym_getpeername] = ACTIONS(2157),
    [anon_sym_getnetbyname] = ACTIONS(2157),
    [anon_sym_getsockname] = ACTIONS(2157),
    [anon_sym_getgrnam] = ACTIONS(2157),
    [anon_sym_getgrgid] = ACTIONS(2157),
    [anon_sym_hex] = ACTIONS(2157),
    [anon_sym_int] = ACTIONS(2157),
    [anon_sym_keys] = ACTIONS(2157),
    [anon_sym_lc] = ACTIONS(2157),
    [anon_sym_lcfirst] = ACTIONS(2157),
    [anon_sym_length] = ACTIONS(2157),
    [anon_sym_localtime] = ACTIONS(2157),
    [anon_sym_log] = ACTIONS(2157),
    [anon_sym_lock] = ACTIONS(2157),
    [anon_sym_lstat] = ACTIONS(2157),
    [anon_sym_oct] = ACTIONS(2157),
    [anon_sym_ord] = ACTIONS(2157),
    [anon_sym_prototype] = ACTIONS(2157),
    [anon_sym_pop] = ACTIONS(2157),
    [anon_sym_pos] = ACTIONS(2157),
    [anon_sym_quotemeta] = ACTIONS(2157),
    [anon_sym_reset] = ACTIONS(2157),
    [anon_sym_rand] = ACTIONS(2157),
    [anon_sym_rmdir] = ACTIONS(2157),
    [anon_sym_readdir] = ACTIONS(2157),
    [anon_sym_readline] = ACTIONS(2157),
    [anon_sym_readpipe] = ACTIONS(2157),
    [anon_sym_rewinddir] = ACTIONS(2157),
    [anon_sym_readlink] = ACTIONS(2157),
    [anon_sym_ref] = ACTIONS(2157),
    [anon_sym_scalar] = ACTIONS(2157),
    [anon_sym_shift] = ACTIONS(2157),
    [anon_sym_sin] = ACTIONS(2157),
    [anon_sym_sleep] = ACTIONS(2157),
    [anon_sym_sqrt] = ACTIONS(2157),
    [anon_sym_srand] = ACTIONS(2157),
    [anon_sym_stat] = ACTIONS(2157),
    [anon_sym_study] = ACTIONS(2157),
    [anon_sym_tell] = ACTIONS(2157),
    [anon_sym_telldir] = ACTIONS(2157),
    [anon_sym_tied] = ACTIONS(2157),
    [anon_sym_uc] = ACTIONS(2157),
    [anon_sym_ucfirst] = ACTIONS(2157),
    [anon_sym_untie] = ACTIONS(2157),
    [anon_sym_umask] = ACTIONS(2157),
    [anon_sym_values] = ACTIONS(2157),
    [anon_sym_write] = ACTIONS(2157),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2157),
    [anon_sym_qq] = ACTIONS(2157),
    [anon_sym_qw] = ACTIONS(2157),
    [anon_sym_qx] = ACTIONS(2157),
    [anon_sym_qr] = ACTIONS(2157),
    [anon_sym_m] = ACTIONS(2157),
    [anon_sym_s] = ACTIONS(2157),
    [anon_sym_tr] = ACTIONS(2157),
    [anon_sym_y] = ACTIONS(2157),
    [anon_sym_if] = ACTIONS(2157),
    [anon_sym_unless] = ACTIONS(2157),
    [anon_sym_while] = ACTIONS(2157),
    [anon_sym_until] = ACTIONS(2157),
    [aux_sym__bareword_token1] = ACTIONS(2157),
    [sym_number] = ACTIONS(2157),
    [anon_sym_true] = ACTIONS(2157),
    [anon_sym_false] = ACTIONS(2157),
    [sym__single_quote] = ACTIONS(2155),
    [sym__double_quote] = ACTIONS(2155),
    [sym__backtick_quote] = ACTIONS(2155),
    [sym__search_slash_quote] = ACTIONS(2155),
    [sym__open_readline_bracket] = ACTIONS(2155),
    [sym__open_fileglob_bracket] = ACTIONS(2155),
    [sym__PERLY_HEREDOC] = ACTIONS(2155),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2155),
    [sym__filetest] = ACTIONS(2155),
  },
  [1020] = {
    [sym_heredoc_content] = STATE(1020),
    [sym__identifier] = ACTIONS(2037),
    [anon_sym_LBRACE] = ACTIONS(2037),
    [anon_sym_RBRACE] = ACTIONS(2037),
    [anon_sym_SEMI] = ACTIONS(2037),
    [anon_sym_package] = ACTIONS(2037),
    [anon_sym_class] = ACTIONS(2037),
    [anon_sym_role] = ACTIONS(2037),
    [anon_sym_BUILD] = ACTIONS(2037),
    [anon_sym_ADJUST] = ACTIONS(2037),
    [anon_sym_DOLLAR] = ACTIONS(2037),
    [anon_sym_AT] = ACTIONS(2037),
    [anon_sym_my] = ACTIONS(2037),
    [anon_sym_extended] = ACTIONS(2037),
    [anon_sym_async] = ACTIONS(2037),
    [anon_sym_sub] = ACTIONS(2037),
    [anon_sym_method] = ACTIONS(2037),
    [anon_sym_LPAREN] = ACTIONS(2037),
    [anon_sym_continue] = ACTIONS(2037),
    [anon_sym_state] = ACTIONS(2037),
    [anon_sym_our] = ACTIONS(2037),
    [anon_sym_try] = ACTIONS(2037),
    [anon_sym_defer] = ACTIONS(2037),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2037),
    [anon_sym_LBRACK] = ACTIONS(2037),
    [anon_sym_LT_LT] = ACTIONS(2037),
    [anon_sym_SLASH_SLASH] = ACTIONS(2037),
    [anon_sym_PLUS] = ACTIONS(2037),
    [anon_sym_DASH] = ACTIONS(2037),
    [anon_sym_TILDE] = ACTIONS(2037),
    [anon_sym_BANG] = ACTIONS(2037),
    [anon_sym_PLUS_PLUS] = ACTIONS(2037),
    [anon_sym_DASH_DASH] = ACTIONS(2037),
    [anon_sym_BSLASH] = ACTIONS(2035),
    [anon_sym_do] = ACTIONS(2037),
    [anon_sym_eval] = ACTIONS(2037),
    [anon_sym_await] = ACTIONS(2037),
    [anon_sym_field] = ACTIONS(2037),
    [anon_sym_local] = ACTIONS(2037),
    [anon_sym_dynamically] = ACTIONS(2037),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2037),
    [anon_sym_require] = ACTIONS(2037),
    [anon_sym_map] = ACTIONS(2037),
    [anon_sym_grep] = ACTIONS(2037),
    [anon_sym_sort] = ACTIONS(2037),
    [anon_sym_goto] = ACTIONS(2037),
    [anon_sym_return] = ACTIONS(2037),
    [anon_sym_undef] = ACTIONS(2037),
    [anon_sym_PERCENT2] = ACTIONS(2037),
    [anon_sym_AMP2] = ACTIONS(2037),
    [anon_sym_STAR2] = ACTIONS(2037),
    [anon_sym_use] = ACTIONS(2037),
    [anon_sym_no] = ACTIONS(2037),
    [anon_sym_for] = ACTIONS(2037),
    [anon_sym_foreach] = ACTIONS(2037),
    [anon_sym_last] = ACTIONS(2037),
    [anon_sym_next] = ACTIONS(2037),
    [anon_sym_redo] = ACTIONS(2037),
    [anon_sym_BEGIN] = ACTIONS(2037),
    [anon_sym_INIT] = ACTIONS(2037),
    [anon_sym_CHECK] = ACTIONS(2037),
    [anon_sym_UNITCHECK] = ACTIONS(2037),
    [anon_sym_END] = ACTIONS(2037),
    [anon_sym___FILE__] = ACTIONS(2037),
    [anon_sym___LINE__] = ACTIONS(2037),
    [anon_sym___PACKAGE__] = ACTIONS(2037),
    [anon_sym___SUB__] = ACTIONS(2037),
    [anon_sym_break] = ACTIONS(2037),
    [anon_sym_fork] = ACTIONS(2037),
    [anon_sym_getppid] = ACTIONS(2037),
    [anon_sym_time] = ACTIONS(2037),
    [anon_sym_times] = ACTIONS(2037),
    [anon_sym_wait] = ACTIONS(2037),
    [anon_sym_wantarray] = ACTIONS(2037),
    [anon_sym_abs] = ACTIONS(2037),
    [anon_sym_alarm] = ACTIONS(2037),
    [anon_sym_chop] = ACTIONS(2037),
    [anon_sym_chdir] = ACTIONS(2037),
    [anon_sym_close] = ACTIONS(2037),
    [anon_sym_closedir] = ACTIONS(2037),
    [anon_sym_caller] = ACTIONS(2037),
    [anon_sym_chomp] = ACTIONS(2037),
    [anon_sym_chr] = ACTIONS(2037),
    [anon_sym_cos] = ACTIONS(2037),
    [anon_sym_chroot] = ACTIONS(2037),
    [anon_sym_defined] = ACTIONS(2037),
    [anon_sym_delete] = ACTIONS(2037),
    [anon_sym_dbmclose] = ACTIONS(2037),
    [anon_sym_exists] = ACTIONS(2037),
    [anon_sym_exit] = ACTIONS(2037),
    [anon_sym_eof] = ACTIONS(2037),
    [anon_sym_exp] = ACTIONS(2037),
    [anon_sym_each] = ACTIONS(2037),
    [anon_sym_fc] = ACTIONS(2037),
    [anon_sym_fileno] = ACTIONS(2037),
    [anon_sym_gmtime] = ACTIONS(2037),
    [anon_sym_getc] = ACTIONS(2037),
    [anon_sym_getpgrp] = ACTIONS(2037),
    [anon_sym_getprotobyname] = ACTIONS(2037),
    [anon_sym_getpwname] = ACTIONS(2037),
    [anon_sym_getpwuid] = ACTIONS(2037),
    [anon_sym_getpeername] = ACTIONS(2037),
    [anon_sym_getnetbyname] = ACTIONS(2037),
    [anon_sym_getsockname] = ACTIONS(2037),
    [anon_sym_getgrnam] = ACTIONS(2037),
    [anon_sym_getgrgid] = ACTIONS(2037),
    [anon_sym_hex] = ACTIONS(2037),
    [anon_sym_int] = ACTIONS(2037),
    [anon_sym_keys] = ACTIONS(2037),
    [anon_sym_lc] = ACTIONS(2037),
    [anon_sym_lcfirst] = ACTIONS(2037),
    [anon_sym_length] = ACTIONS(2037),
    [anon_sym_localtime] = ACTIONS(2037),
    [anon_sym_log] = ACTIONS(2037),
    [anon_sym_lock] = ACTIONS(2037),
    [anon_sym_lstat] = ACTIONS(2037),
    [anon_sym_oct] = ACTIONS(2037),
    [anon_sym_ord] = ACTIONS(2037),
    [anon_sym_prototype] = ACTIONS(2037),
    [anon_sym_pop] = ACTIONS(2037),
    [anon_sym_pos] = ACTIONS(2037),
    [anon_sym_quotemeta] = ACTIONS(2037),
    [anon_sym_reset] = ACTIONS(2037),
    [anon_sym_rand] = ACTIONS(2037),
    [anon_sym_rmdir] = ACTIONS(2037),
    [anon_sym_readdir] = ACTIONS(2037),
    [anon_sym_readline] = ACTIONS(2037),
    [anon_sym_readpipe] = ACTIONS(2037),
    [anon_sym_rewinddir] = ACTIONS(2037),
    [anon_sym_readlink] = ACTIONS(2037),
    [anon_sym_ref] = ACTIONS(2037),
    [anon_sym_scalar] = ACTIONS(2037),
    [anon_sym_shift] = ACTIONS(2037),
    [anon_sym_sin] = ACTIONS(2037),
    [anon_sym_sleep] = ACTIONS(2037),
    [anon_sym_sqrt] = ACTIONS(2037),
    [anon_sym_srand] = ACTIONS(2037),
    [anon_sym_stat] = ACTIONS(2037),
    [anon_sym_study] = ACTIONS(2037),
    [anon_sym_tell] = ACTIONS(2037),
    [anon_sym_telldir] = ACTIONS(2037),
    [anon_sym_tied] = ACTIONS(2037),
    [anon_sym_uc] = ACTIONS(2037),
    [anon_sym_ucfirst] = ACTIONS(2037),
    [anon_sym_untie] = ACTIONS(2037),
    [anon_sym_umask] = ACTIONS(2037),
    [anon_sym_values] = ACTIONS(2037),
    [anon_sym_write] = ACTIONS(2037),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2037),
    [anon_sym_qq] = ACTIONS(2037),
    [anon_sym_qw] = ACTIONS(2037),
    [anon_sym_qx] = ACTIONS(2037),
    [anon_sym_qr] = ACTIONS(2037),
    [anon_sym_m] = ACTIONS(2037),
    [anon_sym_s] = ACTIONS(2037),
    [anon_sym_tr] = ACTIONS(2037),
    [anon_sym_y] = ACTIONS(2037),
    [anon_sym_if] = ACTIONS(2037),
    [anon_sym_unless] = ACTIONS(2037),
    [anon_sym_while] = ACTIONS(2037),
    [anon_sym_until] = ACTIONS(2037),
    [aux_sym__bareword_token1] = ACTIONS(2037),
    [sym_number] = ACTIONS(2037),
    [anon_sym_true] = ACTIONS(2037),
    [anon_sym_false] = ACTIONS(2037),
    [sym__single_quote] = ACTIONS(2035),
    [sym__double_quote] = ACTIONS(2035),
    [sym__backtick_quote] = ACTIONS(2035),
    [sym__search_slash_quote] = ACTIONS(2035),
    [sym__open_readline_bracket] = ACTIONS(2035),
    [sym__open_fileglob_bracket] = ACTIONS(2035),
    [sym__PERLY_HEREDOC] = ACTIONS(2035),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2035),
    [sym__filetest] = ACTIONS(2035),
  },
  [1021] = {
    [sym_heredoc_content] = STATE(1021),
    [sym__identifier] = ACTIONS(2368),
    [anon_sym_LBRACE] = ACTIONS(2368),
    [anon_sym_RBRACE] = ACTIONS(2368),
    [anon_sym_SEMI] = ACTIONS(2368),
    [anon_sym_package] = ACTIONS(2368),
    [anon_sym_class] = ACTIONS(2368),
    [anon_sym_role] = ACTIONS(2368),
    [anon_sym_BUILD] = ACTIONS(2368),
    [anon_sym_ADJUST] = ACTIONS(2368),
    [anon_sym_DOLLAR] = ACTIONS(2368),
    [anon_sym_AT] = ACTIONS(2368),
    [anon_sym_my] = ACTIONS(2368),
    [anon_sym_extended] = ACTIONS(2368),
    [anon_sym_async] = ACTIONS(2368),
    [anon_sym_sub] = ACTIONS(2368),
    [anon_sym_method] = ACTIONS(2368),
    [anon_sym_LPAREN] = ACTIONS(2368),
    [anon_sym_continue] = ACTIONS(2368),
    [anon_sym_state] = ACTIONS(2368),
    [anon_sym_our] = ACTIONS(2368),
    [anon_sym_try] = ACTIONS(2368),
    [anon_sym_defer] = ACTIONS(2368),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2368),
    [anon_sym_LBRACK] = ACTIONS(2368),
    [anon_sym_LT_LT] = ACTIONS(2368),
    [anon_sym_SLASH_SLASH] = ACTIONS(2368),
    [anon_sym_PLUS] = ACTIONS(2368),
    [anon_sym_DASH] = ACTIONS(2368),
    [anon_sym_TILDE] = ACTIONS(2368),
    [anon_sym_BANG] = ACTIONS(2368),
    [anon_sym_PLUS_PLUS] = ACTIONS(2368),
    [anon_sym_DASH_DASH] = ACTIONS(2368),
    [anon_sym_BSLASH] = ACTIONS(2366),
    [anon_sym_do] = ACTIONS(2368),
    [anon_sym_eval] = ACTIONS(2368),
    [anon_sym_await] = ACTIONS(2368),
    [anon_sym_field] = ACTIONS(2368),
    [anon_sym_local] = ACTIONS(2368),
    [anon_sym_dynamically] = ACTIONS(2368),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2368),
    [anon_sym_require] = ACTIONS(2368),
    [anon_sym_map] = ACTIONS(2368),
    [anon_sym_grep] = ACTIONS(2368),
    [anon_sym_sort] = ACTIONS(2368),
    [anon_sym_goto] = ACTIONS(2368),
    [anon_sym_return] = ACTIONS(2368),
    [anon_sym_undef] = ACTIONS(2368),
    [anon_sym_PERCENT2] = ACTIONS(2368),
    [anon_sym_AMP2] = ACTIONS(2368),
    [anon_sym_STAR2] = ACTIONS(2368),
    [anon_sym_use] = ACTIONS(2368),
    [anon_sym_no] = ACTIONS(2368),
    [anon_sym_for] = ACTIONS(2368),
    [anon_sym_foreach] = ACTIONS(2368),
    [anon_sym_last] = ACTIONS(2368),
    [anon_sym_next] = ACTIONS(2368),
    [anon_sym_redo] = ACTIONS(2368),
    [anon_sym_BEGIN] = ACTIONS(2368),
    [anon_sym_INIT] = ACTIONS(2368),
    [anon_sym_CHECK] = ACTIONS(2368),
    [anon_sym_UNITCHECK] = ACTIONS(2368),
    [anon_sym_END] = ACTIONS(2368),
    [anon_sym___FILE__] = ACTIONS(2368),
    [anon_sym___LINE__] = ACTIONS(2368),
    [anon_sym___PACKAGE__] = ACTIONS(2368),
    [anon_sym___SUB__] = ACTIONS(2368),
    [anon_sym_break] = ACTIONS(2368),
    [anon_sym_fork] = ACTIONS(2368),
    [anon_sym_getppid] = ACTIONS(2368),
    [anon_sym_time] = ACTIONS(2368),
    [anon_sym_times] = ACTIONS(2368),
    [anon_sym_wait] = ACTIONS(2368),
    [anon_sym_wantarray] = ACTIONS(2368),
    [anon_sym_abs] = ACTIONS(2368),
    [anon_sym_alarm] = ACTIONS(2368),
    [anon_sym_chop] = ACTIONS(2368),
    [anon_sym_chdir] = ACTIONS(2368),
    [anon_sym_close] = ACTIONS(2368),
    [anon_sym_closedir] = ACTIONS(2368),
    [anon_sym_caller] = ACTIONS(2368),
    [anon_sym_chomp] = ACTIONS(2368),
    [anon_sym_chr] = ACTIONS(2368),
    [anon_sym_cos] = ACTIONS(2368),
    [anon_sym_chroot] = ACTIONS(2368),
    [anon_sym_defined] = ACTIONS(2368),
    [anon_sym_delete] = ACTIONS(2368),
    [anon_sym_dbmclose] = ACTIONS(2368),
    [anon_sym_exists] = ACTIONS(2368),
    [anon_sym_exit] = ACTIONS(2368),
    [anon_sym_eof] = ACTIONS(2368),
    [anon_sym_exp] = ACTIONS(2368),
    [anon_sym_each] = ACTIONS(2368),
    [anon_sym_fc] = ACTIONS(2368),
    [anon_sym_fileno] = ACTIONS(2368),
    [anon_sym_gmtime] = ACTIONS(2368),
    [anon_sym_getc] = ACTIONS(2368),
    [anon_sym_getpgrp] = ACTIONS(2368),
    [anon_sym_getprotobyname] = ACTIONS(2368),
    [anon_sym_getpwname] = ACTIONS(2368),
    [anon_sym_getpwuid] = ACTIONS(2368),
    [anon_sym_getpeername] = ACTIONS(2368),
    [anon_sym_getnetbyname] = ACTIONS(2368),
    [anon_sym_getsockname] = ACTIONS(2368),
    [anon_sym_getgrnam] = ACTIONS(2368),
    [anon_sym_getgrgid] = ACTIONS(2368),
    [anon_sym_hex] = ACTIONS(2368),
    [anon_sym_int] = ACTIONS(2368),
    [anon_sym_keys] = ACTIONS(2368),
    [anon_sym_lc] = ACTIONS(2368),
    [anon_sym_lcfirst] = ACTIONS(2368),
    [anon_sym_length] = ACTIONS(2368),
    [anon_sym_localtime] = ACTIONS(2368),
    [anon_sym_log] = ACTIONS(2368),
    [anon_sym_lock] = ACTIONS(2368),
    [anon_sym_lstat] = ACTIONS(2368),
    [anon_sym_oct] = ACTIONS(2368),
    [anon_sym_ord] = ACTIONS(2368),
    [anon_sym_prototype] = ACTIONS(2368),
    [anon_sym_pop] = ACTIONS(2368),
    [anon_sym_pos] = ACTIONS(2368),
    [anon_sym_quotemeta] = ACTIONS(2368),
    [anon_sym_reset] = ACTIONS(2368),
    [anon_sym_rand] = ACTIONS(2368),
    [anon_sym_rmdir] = ACTIONS(2368),
    [anon_sym_readdir] = ACTIONS(2368),
    [anon_sym_readline] = ACTIONS(2368),
    [anon_sym_readpipe] = ACTIONS(2368),
    [anon_sym_rewinddir] = ACTIONS(2368),
    [anon_sym_readlink] = ACTIONS(2368),
    [anon_sym_ref] = ACTIONS(2368),
    [anon_sym_scalar] = ACTIONS(2368),
    [anon_sym_shift] = ACTIONS(2368),
    [anon_sym_sin] = ACTIONS(2368),
    [anon_sym_sleep] = ACTIONS(2368),
    [anon_sym_sqrt] = ACTIONS(2368),
    [anon_sym_srand] = ACTIONS(2368),
    [anon_sym_stat] = ACTIONS(2368),
    [anon_sym_study] = ACTIONS(2368),
    [anon_sym_tell] = ACTIONS(2368),
    [anon_sym_telldir] = ACTIONS(2368),
    [anon_sym_tied] = ACTIONS(2368),
    [anon_sym_uc] = ACTIONS(2368),
    [anon_sym_ucfirst] = ACTIONS(2368),
    [anon_sym_untie] = ACTIONS(2368),
    [anon_sym_umask] = ACTIONS(2368),
    [anon_sym_values] = ACTIONS(2368),
    [anon_sym_write] = ACTIONS(2368),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2368),
    [anon_sym_qq] = ACTIONS(2368),
    [anon_sym_qw] = ACTIONS(2368),
    [anon_sym_qx] = ACTIONS(2368),
    [anon_sym_qr] = ACTIONS(2368),
    [anon_sym_m] = ACTIONS(2368),
    [anon_sym_s] = ACTIONS(2368),
    [anon_sym_tr] = ACTIONS(2368),
    [anon_sym_y] = ACTIONS(2368),
    [anon_sym_if] = ACTIONS(2368),
    [anon_sym_unless] = ACTIONS(2368),
    [anon_sym_while] = ACTIONS(2368),
    [anon_sym_until] = ACTIONS(2368),
    [aux_sym__bareword_token1] = ACTIONS(2368),
    [sym_number] = ACTIONS(2368),
    [anon_sym_true] = ACTIONS(2368),
    [anon_sym_false] = ACTIONS(2368),
    [sym__single_quote] = ACTIONS(2366),
    [sym__double_quote] = ACTIONS(2366),
    [sym__backtick_quote] = ACTIONS(2366),
    [sym__search_slash_quote] = ACTIONS(2366),
    [sym__open_readline_bracket] = ACTIONS(2366),
    [sym__open_fileglob_bracket] = ACTIONS(2366),
    [sym__PERLY_HEREDOC] = ACTIONS(2366),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2366),
    [sym__filetest] = ACTIONS(2366),
  },
  [1022] = {
    [sym_heredoc_content] = STATE(1022),
    [sym__identifier] = ACTIONS(2177),
    [anon_sym_LBRACE] = ACTIONS(2177),
    [anon_sym_RBRACE] = ACTIONS(2177),
    [anon_sym_SEMI] = ACTIONS(2177),
    [anon_sym_package] = ACTIONS(2177),
    [anon_sym_class] = ACTIONS(2177),
    [anon_sym_role] = ACTIONS(2177),
    [anon_sym_BUILD] = ACTIONS(2177),
    [anon_sym_ADJUST] = ACTIONS(2177),
    [anon_sym_DOLLAR] = ACTIONS(2177),
    [anon_sym_AT] = ACTIONS(2177),
    [anon_sym_my] = ACTIONS(2177),
    [anon_sym_extended] = ACTIONS(2177),
    [anon_sym_async] = ACTIONS(2177),
    [anon_sym_sub] = ACTIONS(2177),
    [anon_sym_method] = ACTIONS(2177),
    [anon_sym_LPAREN] = ACTIONS(2177),
    [anon_sym_continue] = ACTIONS(2177),
    [anon_sym_state] = ACTIONS(2177),
    [anon_sym_our] = ACTIONS(2177),
    [anon_sym_try] = ACTIONS(2177),
    [anon_sym_defer] = ACTIONS(2177),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2177),
    [anon_sym_LBRACK] = ACTIONS(2177),
    [anon_sym_LT_LT] = ACTIONS(2177),
    [anon_sym_SLASH_SLASH] = ACTIONS(2177),
    [anon_sym_PLUS] = ACTIONS(2177),
    [anon_sym_DASH] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_PLUS_PLUS] = ACTIONS(2177),
    [anon_sym_DASH_DASH] = ACTIONS(2177),
    [anon_sym_BSLASH] = ACTIONS(2175),
    [anon_sym_do] = ACTIONS(2177),
    [anon_sym_eval] = ACTIONS(2177),
    [anon_sym_await] = ACTIONS(2177),
    [anon_sym_field] = ACTIONS(2177),
    [anon_sym_local] = ACTIONS(2177),
    [anon_sym_dynamically] = ACTIONS(2177),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2177),
    [anon_sym_require] = ACTIONS(2177),
    [anon_sym_map] = ACTIONS(2177),
    [anon_sym_grep] = ACTIONS(2177),
    [anon_sym_sort] = ACTIONS(2177),
    [anon_sym_goto] = ACTIONS(2177),
    [anon_sym_return] = ACTIONS(2177),
    [anon_sym_undef] = ACTIONS(2177),
    [anon_sym_PERCENT2] = ACTIONS(2177),
    [anon_sym_AMP2] = ACTIONS(2177),
    [anon_sym_STAR2] = ACTIONS(2177),
    [anon_sym_use] = ACTIONS(2177),
    [anon_sym_no] = ACTIONS(2177),
    [anon_sym_for] = ACTIONS(2177),
    [anon_sym_foreach] = ACTIONS(2177),
    [anon_sym_last] = ACTIONS(2177),
    [anon_sym_next] = ACTIONS(2177),
    [anon_sym_redo] = ACTIONS(2177),
    [anon_sym_BEGIN] = ACTIONS(2177),
    [anon_sym_INIT] = ACTIONS(2177),
    [anon_sym_CHECK] = ACTIONS(2177),
    [anon_sym_UNITCHECK] = ACTIONS(2177),
    [anon_sym_END] = ACTIONS(2177),
    [anon_sym___FILE__] = ACTIONS(2177),
    [anon_sym___LINE__] = ACTIONS(2177),
    [anon_sym___PACKAGE__] = ACTIONS(2177),
    [anon_sym___SUB__] = ACTIONS(2177),
    [anon_sym_break] = ACTIONS(2177),
    [anon_sym_fork] = ACTIONS(2177),
    [anon_sym_getppid] = ACTIONS(2177),
    [anon_sym_time] = ACTIONS(2177),
    [anon_sym_times] = ACTIONS(2177),
    [anon_sym_wait] = ACTIONS(2177),
    [anon_sym_wantarray] = ACTIONS(2177),
    [anon_sym_abs] = ACTIONS(2177),
    [anon_sym_alarm] = ACTIONS(2177),
    [anon_sym_chop] = ACTIONS(2177),
    [anon_sym_chdir] = ACTIONS(2177),
    [anon_sym_close] = ACTIONS(2177),
    [anon_sym_closedir] = ACTIONS(2177),
    [anon_sym_caller] = ACTIONS(2177),
    [anon_sym_chomp] = ACTIONS(2177),
    [anon_sym_chr] = ACTIONS(2177),
    [anon_sym_cos] = ACTIONS(2177),
    [anon_sym_chroot] = ACTIONS(2177),
    [anon_sym_defined] = ACTIONS(2177),
    [anon_sym_delete] = ACTIONS(2177),
    [anon_sym_dbmclose] = ACTIONS(2177),
    [anon_sym_exists] = ACTIONS(2177),
    [anon_sym_exit] = ACTIONS(2177),
    [anon_sym_eof] = ACTIONS(2177),
    [anon_sym_exp] = ACTIONS(2177),
    [anon_sym_each] = ACTIONS(2177),
    [anon_sym_fc] = ACTIONS(2177),
    [anon_sym_fileno] = ACTIONS(2177),
    [anon_sym_gmtime] = ACTIONS(2177),
    [anon_sym_getc] = ACTIONS(2177),
    [anon_sym_getpgrp] = ACTIONS(2177),
    [anon_sym_getprotobyname] = ACTIONS(2177),
    [anon_sym_getpwname] = ACTIONS(2177),
    [anon_sym_getpwuid] = ACTIONS(2177),
    [anon_sym_getpeername] = ACTIONS(2177),
    [anon_sym_getnetbyname] = ACTIONS(2177),
    [anon_sym_getsockname] = ACTIONS(2177),
    [anon_sym_getgrnam] = ACTIONS(2177),
    [anon_sym_getgrgid] = ACTIONS(2177),
    [anon_sym_hex] = ACTIONS(2177),
    [anon_sym_int] = ACTIONS(2177),
    [anon_sym_keys] = ACTIONS(2177),
    [anon_sym_lc] = ACTIONS(2177),
    [anon_sym_lcfirst] = ACTIONS(2177),
    [anon_sym_length] = ACTIONS(2177),
    [anon_sym_localtime] = ACTIONS(2177),
    [anon_sym_log] = ACTIONS(2177),
    [anon_sym_lock] = ACTIONS(2177),
    [anon_sym_lstat] = ACTIONS(2177),
    [anon_sym_oct] = ACTIONS(2177),
    [anon_sym_ord] = ACTIONS(2177),
    [anon_sym_prototype] = ACTIONS(2177),
    [anon_sym_pop] = ACTIONS(2177),
    [anon_sym_pos] = ACTIONS(2177),
    [anon_sym_quotemeta] = ACTIONS(2177),
    [anon_sym_reset] = ACTIONS(2177),
    [anon_sym_rand] = ACTIONS(2177),
    [anon_sym_rmdir] = ACTIONS(2177),
    [anon_sym_readdir] = ACTIONS(2177),
    [anon_sym_readline] = ACTIONS(2177),
    [anon_sym_readpipe] = ACTIONS(2177),
    [anon_sym_rewinddir] = ACTIONS(2177),
    [anon_sym_readlink] = ACTIONS(2177),
    [anon_sym_ref] = ACTIONS(2177),
    [anon_sym_scalar] = ACTIONS(2177),
    [anon_sym_shift] = ACTIONS(2177),
    [anon_sym_sin] = ACTIONS(2177),
    [anon_sym_sleep] = ACTIONS(2177),
    [anon_sym_sqrt] = ACTIONS(2177),
    [anon_sym_srand] = ACTIONS(2177),
    [anon_sym_stat] = ACTIONS(2177),
    [anon_sym_study] = ACTIONS(2177),
    [anon_sym_tell] = ACTIONS(2177),
    [anon_sym_telldir] = ACTIONS(2177),
    [anon_sym_tied] = ACTIONS(2177),
    [anon_sym_uc] = ACTIONS(2177),
    [anon_sym_ucfirst] = ACTIONS(2177),
    [anon_sym_untie] = ACTIONS(2177),
    [anon_sym_umask] = ACTIONS(2177),
    [anon_sym_values] = ACTIONS(2177),
    [anon_sym_write] = ACTIONS(2177),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2177),
    [anon_sym_qq] = ACTIONS(2177),
    [anon_sym_qw] = ACTIONS(2177),
    [anon_sym_qx] = ACTIONS(2177),
    [anon_sym_qr] = ACTIONS(2177),
    [anon_sym_m] = ACTIONS(2177),
    [anon_sym_s] = ACTIONS(2177),
    [anon_sym_tr] = ACTIONS(2177),
    [anon_sym_y] = ACTIONS(2177),
    [anon_sym_if] = ACTIONS(2177),
    [anon_sym_unless] = ACTIONS(2177),
    [anon_sym_while] = ACTIONS(2177),
    [anon_sym_until] = ACTIONS(2177),
    [aux_sym__bareword_token1] = ACTIONS(2177),
    [sym_number] = ACTIONS(2177),
    [anon_sym_true] = ACTIONS(2177),
    [anon_sym_false] = ACTIONS(2177),
    [sym__single_quote] = ACTIONS(2175),
    [sym__double_quote] = ACTIONS(2175),
    [sym__backtick_quote] = ACTIONS(2175),
    [sym__search_slash_quote] = ACTIONS(2175),
    [sym__open_readline_bracket] = ACTIONS(2175),
    [sym__open_fileglob_bracket] = ACTIONS(2175),
    [sym__PERLY_HEREDOC] = ACTIONS(2175),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2175),
    [sym__filetest] = ACTIONS(2175),
  },
  [1023] = {
    [sym_heredoc_content] = STATE(1023),
    [sym__identifier] = ACTIONS(2181),
    [anon_sym_LBRACE] = ACTIONS(2181),
    [anon_sym_RBRACE] = ACTIONS(2181),
    [anon_sym_SEMI] = ACTIONS(2181),
    [anon_sym_package] = ACTIONS(2181),
    [anon_sym_class] = ACTIONS(2181),
    [anon_sym_role] = ACTIONS(2181),
    [anon_sym_BUILD] = ACTIONS(2181),
    [anon_sym_ADJUST] = ACTIONS(2181),
    [anon_sym_DOLLAR] = ACTIONS(2181),
    [anon_sym_AT] = ACTIONS(2181),
    [anon_sym_my] = ACTIONS(2181),
    [anon_sym_extended] = ACTIONS(2181),
    [anon_sym_async] = ACTIONS(2181),
    [anon_sym_sub] = ACTIONS(2181),
    [anon_sym_method] = ACTIONS(2181),
    [anon_sym_LPAREN] = ACTIONS(2181),
    [anon_sym_continue] = ACTIONS(2181),
    [anon_sym_state] = ACTIONS(2181),
    [anon_sym_our] = ACTIONS(2181),
    [anon_sym_try] = ACTIONS(2181),
    [anon_sym_defer] = ACTIONS(2181),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2181),
    [anon_sym_LBRACK] = ACTIONS(2181),
    [anon_sym_LT_LT] = ACTIONS(2181),
    [anon_sym_SLASH_SLASH] = ACTIONS(2181),
    [anon_sym_PLUS] = ACTIONS(2181),
    [anon_sym_DASH] = ACTIONS(2181),
    [anon_sym_TILDE] = ACTIONS(2181),
    [anon_sym_BANG] = ACTIONS(2181),
    [anon_sym_PLUS_PLUS] = ACTIONS(2181),
    [anon_sym_DASH_DASH] = ACTIONS(2181),
    [anon_sym_BSLASH] = ACTIONS(2179),
    [anon_sym_do] = ACTIONS(2181),
    [anon_sym_eval] = ACTIONS(2181),
    [anon_sym_await] = ACTIONS(2181),
    [anon_sym_field] = ACTIONS(2181),
    [anon_sym_local] = ACTIONS(2181),
    [anon_sym_dynamically] = ACTIONS(2181),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2181),
    [anon_sym_require] = ACTIONS(2181),
    [anon_sym_map] = ACTIONS(2181),
    [anon_sym_grep] = ACTIONS(2181),
    [anon_sym_sort] = ACTIONS(2181),
    [anon_sym_goto] = ACTIONS(2181),
    [anon_sym_return] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2181),
    [anon_sym_PERCENT2] = ACTIONS(2181),
    [anon_sym_AMP2] = ACTIONS(2181),
    [anon_sym_STAR2] = ACTIONS(2181),
    [anon_sym_use] = ACTIONS(2181),
    [anon_sym_no] = ACTIONS(2181),
    [anon_sym_for] = ACTIONS(2181),
    [anon_sym_foreach] = ACTIONS(2181),
    [anon_sym_last] = ACTIONS(2181),
    [anon_sym_next] = ACTIONS(2181),
    [anon_sym_redo] = ACTIONS(2181),
    [anon_sym_BEGIN] = ACTIONS(2181),
    [anon_sym_INIT] = ACTIONS(2181),
    [anon_sym_CHECK] = ACTIONS(2181),
    [anon_sym_UNITCHECK] = ACTIONS(2181),
    [anon_sym_END] = ACTIONS(2181),
    [anon_sym___FILE__] = ACTIONS(2181),
    [anon_sym___LINE__] = ACTIONS(2181),
    [anon_sym___PACKAGE__] = ACTIONS(2181),
    [anon_sym___SUB__] = ACTIONS(2181),
    [anon_sym_break] = ACTIONS(2181),
    [anon_sym_fork] = ACTIONS(2181),
    [anon_sym_getppid] = ACTIONS(2181),
    [anon_sym_time] = ACTIONS(2181),
    [anon_sym_times] = ACTIONS(2181),
    [anon_sym_wait] = ACTIONS(2181),
    [anon_sym_wantarray] = ACTIONS(2181),
    [anon_sym_abs] = ACTIONS(2181),
    [anon_sym_alarm] = ACTIONS(2181),
    [anon_sym_chop] = ACTIONS(2181),
    [anon_sym_chdir] = ACTIONS(2181),
    [anon_sym_close] = ACTIONS(2181),
    [anon_sym_closedir] = ACTIONS(2181),
    [anon_sym_caller] = ACTIONS(2181),
    [anon_sym_chomp] = ACTIONS(2181),
    [anon_sym_chr] = ACTIONS(2181),
    [anon_sym_cos] = ACTIONS(2181),
    [anon_sym_chroot] = ACTIONS(2181),
    [anon_sym_defined] = ACTIONS(2181),
    [anon_sym_delete] = ACTIONS(2181),
    [anon_sym_dbmclose] = ACTIONS(2181),
    [anon_sym_exists] = ACTIONS(2181),
    [anon_sym_exit] = ACTIONS(2181),
    [anon_sym_eof] = ACTIONS(2181),
    [anon_sym_exp] = ACTIONS(2181),
    [anon_sym_each] = ACTIONS(2181),
    [anon_sym_fc] = ACTIONS(2181),
    [anon_sym_fileno] = ACTIONS(2181),
    [anon_sym_gmtime] = ACTIONS(2181),
    [anon_sym_getc] = ACTIONS(2181),
    [anon_sym_getpgrp] = ACTIONS(2181),
    [anon_sym_getprotobyname] = ACTIONS(2181),
    [anon_sym_getpwname] = ACTIONS(2181),
    [anon_sym_getpwuid] = ACTIONS(2181),
    [anon_sym_getpeername] = ACTIONS(2181),
    [anon_sym_getnetbyname] = ACTIONS(2181),
    [anon_sym_getsockname] = ACTIONS(2181),
    [anon_sym_getgrnam] = ACTIONS(2181),
    [anon_sym_getgrgid] = ACTIONS(2181),
    [anon_sym_hex] = ACTIONS(2181),
    [anon_sym_int] = ACTIONS(2181),
    [anon_sym_keys] = ACTIONS(2181),
    [anon_sym_lc] = ACTIONS(2181),
    [anon_sym_lcfirst] = ACTIONS(2181),
    [anon_sym_length] = ACTIONS(2181),
    [anon_sym_localtime] = ACTIONS(2181),
    [anon_sym_log] = ACTIONS(2181),
    [anon_sym_lock] = ACTIONS(2181),
    [anon_sym_lstat] = ACTIONS(2181),
    [anon_sym_oct] = ACTIONS(2181),
    [anon_sym_ord] = ACTIONS(2181),
    [anon_sym_prototype] = ACTIONS(2181),
    [anon_sym_pop] = ACTIONS(2181),
    [anon_sym_pos] = ACTIONS(2181),
    [anon_sym_quotemeta] = ACTIONS(2181),
    [anon_sym_reset] = ACTIONS(2181),
    [anon_sym_rand] = ACTIONS(2181),
    [anon_sym_rmdir] = ACTIONS(2181),
    [anon_sym_readdir] = ACTIONS(2181),
    [anon_sym_readline] = ACTIONS(2181),
    [anon_sym_readpipe] = ACTIONS(2181),
    [anon_sym_rewinddir] = ACTIONS(2181),
    [anon_sym_readlink] = ACTIONS(2181),
    [anon_sym_ref] = ACTIONS(2181),
    [anon_sym_scalar] = ACTIONS(2181),
    [anon_sym_shift] = ACTIONS(2181),
    [anon_sym_sin] = ACTIONS(2181),
    [anon_sym_sleep] = ACTIONS(2181),
    [anon_sym_sqrt] = ACTIONS(2181),
    [anon_sym_srand] = ACTIONS(2181),
    [anon_sym_stat] = ACTIONS(2181),
    [anon_sym_study] = ACTIONS(2181),
    [anon_sym_tell] = ACTIONS(2181),
    [anon_sym_telldir] = ACTIONS(2181),
    [anon_sym_tied] = ACTIONS(2181),
    [anon_sym_uc] = ACTIONS(2181),
    [anon_sym_ucfirst] = ACTIONS(2181),
    [anon_sym_untie] = ACTIONS(2181),
    [anon_sym_umask] = ACTIONS(2181),
    [anon_sym_values] = ACTIONS(2181),
    [anon_sym_write] = ACTIONS(2181),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2181),
    [anon_sym_qq] = ACTIONS(2181),
    [anon_sym_qw] = ACTIONS(2181),
    [anon_sym_qx] = ACTIONS(2181),
    [anon_sym_qr] = ACTIONS(2181),
    [anon_sym_m] = ACTIONS(2181),
    [anon_sym_s] = ACTIONS(2181),
    [anon_sym_tr] = ACTIONS(2181),
    [anon_sym_y] = ACTIONS(2181),
    [anon_sym_if] = ACTIONS(2181),
    [anon_sym_unless] = ACTIONS(2181),
    [anon_sym_while] = ACTIONS(2181),
    [anon_sym_until] = ACTIONS(2181),
    [aux_sym__bareword_token1] = ACTIONS(2181),
    [sym_number] = ACTIONS(2181),
    [anon_sym_true] = ACTIONS(2181),
    [anon_sym_false] = ACTIONS(2181),
    [sym__single_quote] = ACTIONS(2179),
    [sym__double_quote] = ACTIONS(2179),
    [sym__backtick_quote] = ACTIONS(2179),
    [sym__search_slash_quote] = ACTIONS(2179),
    [sym__open_readline_bracket] = ACTIONS(2179),
    [sym__open_fileglob_bracket] = ACTIONS(2179),
    [sym__PERLY_HEREDOC] = ACTIONS(2179),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2179),
    [sym__filetest] = ACTIONS(2179),
  },
  [1024] = {
    [sym_heredoc_content] = STATE(1024),
    [sym__identifier] = ACTIONS(2185),
    [anon_sym_LBRACE] = ACTIONS(2185),
    [anon_sym_RBRACE] = ACTIONS(2185),
    [anon_sym_SEMI] = ACTIONS(2185),
    [anon_sym_package] = ACTIONS(2185),
    [anon_sym_class] = ACTIONS(2185),
    [anon_sym_role] = ACTIONS(2185),
    [anon_sym_BUILD] = ACTIONS(2185),
    [anon_sym_ADJUST] = ACTIONS(2185),
    [anon_sym_DOLLAR] = ACTIONS(2185),
    [anon_sym_AT] = ACTIONS(2185),
    [anon_sym_my] = ACTIONS(2185),
    [anon_sym_extended] = ACTIONS(2185),
    [anon_sym_async] = ACTIONS(2185),
    [anon_sym_sub] = ACTIONS(2185),
    [anon_sym_method] = ACTIONS(2185),
    [anon_sym_LPAREN] = ACTIONS(2185),
    [anon_sym_continue] = ACTIONS(2185),
    [anon_sym_state] = ACTIONS(2185),
    [anon_sym_our] = ACTIONS(2185),
    [anon_sym_try] = ACTIONS(2185),
    [anon_sym_defer] = ACTIONS(2185),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2185),
    [anon_sym_LBRACK] = ACTIONS(2185),
    [anon_sym_LT_LT] = ACTIONS(2185),
    [anon_sym_SLASH_SLASH] = ACTIONS(2185),
    [anon_sym_PLUS] = ACTIONS(2185),
    [anon_sym_DASH] = ACTIONS(2185),
    [anon_sym_TILDE] = ACTIONS(2185),
    [anon_sym_BANG] = ACTIONS(2185),
    [anon_sym_PLUS_PLUS] = ACTIONS(2185),
    [anon_sym_DASH_DASH] = ACTIONS(2185),
    [anon_sym_BSLASH] = ACTIONS(2183),
    [anon_sym_do] = ACTIONS(2185),
    [anon_sym_eval] = ACTIONS(2185),
    [anon_sym_await] = ACTIONS(2185),
    [anon_sym_field] = ACTIONS(2185),
    [anon_sym_local] = ACTIONS(2185),
    [anon_sym_dynamically] = ACTIONS(2185),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2185),
    [anon_sym_require] = ACTIONS(2185),
    [anon_sym_map] = ACTIONS(2185),
    [anon_sym_grep] = ACTIONS(2185),
    [anon_sym_sort] = ACTIONS(2185),
    [anon_sym_goto] = ACTIONS(2185),
    [anon_sym_return] = ACTIONS(2185),
    [anon_sym_undef] = ACTIONS(2185),
    [anon_sym_PERCENT2] = ACTIONS(2185),
    [anon_sym_AMP2] = ACTIONS(2185),
    [anon_sym_STAR2] = ACTIONS(2185),
    [anon_sym_use] = ACTIONS(2185),
    [anon_sym_no] = ACTIONS(2185),
    [anon_sym_for] = ACTIONS(2185),
    [anon_sym_foreach] = ACTIONS(2185),
    [anon_sym_last] = ACTIONS(2185),
    [anon_sym_next] = ACTIONS(2185),
    [anon_sym_redo] = ACTIONS(2185),
    [anon_sym_BEGIN] = ACTIONS(2185),
    [anon_sym_INIT] = ACTIONS(2185),
    [anon_sym_CHECK] = ACTIONS(2185),
    [anon_sym_UNITCHECK] = ACTIONS(2185),
    [anon_sym_END] = ACTIONS(2185),
    [anon_sym___FILE__] = ACTIONS(2185),
    [anon_sym___LINE__] = ACTIONS(2185),
    [anon_sym___PACKAGE__] = ACTIONS(2185),
    [anon_sym___SUB__] = ACTIONS(2185),
    [anon_sym_break] = ACTIONS(2185),
    [anon_sym_fork] = ACTIONS(2185),
    [anon_sym_getppid] = ACTIONS(2185),
    [anon_sym_time] = ACTIONS(2185),
    [anon_sym_times] = ACTIONS(2185),
    [anon_sym_wait] = ACTIONS(2185),
    [anon_sym_wantarray] = ACTIONS(2185),
    [anon_sym_abs] = ACTIONS(2185),
    [anon_sym_alarm] = ACTIONS(2185),
    [anon_sym_chop] = ACTIONS(2185),
    [anon_sym_chdir] = ACTIONS(2185),
    [anon_sym_close] = ACTIONS(2185),
    [anon_sym_closedir] = ACTIONS(2185),
    [anon_sym_caller] = ACTIONS(2185),
    [anon_sym_chomp] = ACTIONS(2185),
    [anon_sym_chr] = ACTIONS(2185),
    [anon_sym_cos] = ACTIONS(2185),
    [anon_sym_chroot] = ACTIONS(2185),
    [anon_sym_defined] = ACTIONS(2185),
    [anon_sym_delete] = ACTIONS(2185),
    [anon_sym_dbmclose] = ACTIONS(2185),
    [anon_sym_exists] = ACTIONS(2185),
    [anon_sym_exit] = ACTIONS(2185),
    [anon_sym_eof] = ACTIONS(2185),
    [anon_sym_exp] = ACTIONS(2185),
    [anon_sym_each] = ACTIONS(2185),
    [anon_sym_fc] = ACTIONS(2185),
    [anon_sym_fileno] = ACTIONS(2185),
    [anon_sym_gmtime] = ACTIONS(2185),
    [anon_sym_getc] = ACTIONS(2185),
    [anon_sym_getpgrp] = ACTIONS(2185),
    [anon_sym_getprotobyname] = ACTIONS(2185),
    [anon_sym_getpwname] = ACTIONS(2185),
    [anon_sym_getpwuid] = ACTIONS(2185),
    [anon_sym_getpeername] = ACTIONS(2185),
    [anon_sym_getnetbyname] = ACTIONS(2185),
    [anon_sym_getsockname] = ACTIONS(2185),
    [anon_sym_getgrnam] = ACTIONS(2185),
    [anon_sym_getgrgid] = ACTIONS(2185),
    [anon_sym_hex] = ACTIONS(2185),
    [anon_sym_int] = ACTIONS(2185),
    [anon_sym_keys] = ACTIONS(2185),
    [anon_sym_lc] = ACTIONS(2185),
    [anon_sym_lcfirst] = ACTIONS(2185),
    [anon_sym_length] = ACTIONS(2185),
    [anon_sym_localtime] = ACTIONS(2185),
    [anon_sym_log] = ACTIONS(2185),
    [anon_sym_lock] = ACTIONS(2185),
    [anon_sym_lstat] = ACTIONS(2185),
    [anon_sym_oct] = ACTIONS(2185),
    [anon_sym_ord] = ACTIONS(2185),
    [anon_sym_prototype] = ACTIONS(2185),
    [anon_sym_pop] = ACTIONS(2185),
    [anon_sym_pos] = ACTIONS(2185),
    [anon_sym_quotemeta] = ACTIONS(2185),
    [anon_sym_reset] = ACTIONS(2185),
    [anon_sym_rand] = ACTIONS(2185),
    [anon_sym_rmdir] = ACTIONS(2185),
    [anon_sym_readdir] = ACTIONS(2185),
    [anon_sym_readline] = ACTIONS(2185),
    [anon_sym_readpipe] = ACTIONS(2185),
    [anon_sym_rewinddir] = ACTIONS(2185),
    [anon_sym_readlink] = ACTIONS(2185),
    [anon_sym_ref] = ACTIONS(2185),
    [anon_sym_scalar] = ACTIONS(2185),
    [anon_sym_shift] = ACTIONS(2185),
    [anon_sym_sin] = ACTIONS(2185),
    [anon_sym_sleep] = ACTIONS(2185),
    [anon_sym_sqrt] = ACTIONS(2185),
    [anon_sym_srand] = ACTIONS(2185),
    [anon_sym_stat] = ACTIONS(2185),
    [anon_sym_study] = ACTIONS(2185),
    [anon_sym_tell] = ACTIONS(2185),
    [anon_sym_telldir] = ACTIONS(2185),
    [anon_sym_tied] = ACTIONS(2185),
    [anon_sym_uc] = ACTIONS(2185),
    [anon_sym_ucfirst] = ACTIONS(2185),
    [anon_sym_untie] = ACTIONS(2185),
    [anon_sym_umask] = ACTIONS(2185),
    [anon_sym_values] = ACTIONS(2185),
    [anon_sym_write] = ACTIONS(2185),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2185),
    [anon_sym_qq] = ACTIONS(2185),
    [anon_sym_qw] = ACTIONS(2185),
    [anon_sym_qx] = ACTIONS(2185),
    [anon_sym_qr] = ACTIONS(2185),
    [anon_sym_m] = ACTIONS(2185),
    [anon_sym_s] = ACTIONS(2185),
    [anon_sym_tr] = ACTIONS(2185),
    [anon_sym_y] = ACTIONS(2185),
    [anon_sym_if] = ACTIONS(2185),
    [anon_sym_unless] = ACTIONS(2185),
    [anon_sym_while] = ACTIONS(2185),
    [anon_sym_until] = ACTIONS(2185),
    [aux_sym__bareword_token1] = ACTIONS(2185),
    [sym_number] = ACTIONS(2185),
    [anon_sym_true] = ACTIONS(2185),
    [anon_sym_false] = ACTIONS(2185),
    [sym__single_quote] = ACTIONS(2183),
    [sym__double_quote] = ACTIONS(2183),
    [sym__backtick_quote] = ACTIONS(2183),
    [sym__search_slash_quote] = ACTIONS(2183),
    [sym__open_readline_bracket] = ACTIONS(2183),
    [sym__open_fileglob_bracket] = ACTIONS(2183),
    [sym__PERLY_HEREDOC] = ACTIONS(2183),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2183),
    [sym__filetest] = ACTIONS(2183),
  },
  [1025] = {
    [sym_heredoc_content] = STATE(1025),
    [sym__identifier] = ACTIONS(2189),
    [anon_sym_LBRACE] = ACTIONS(2189),
    [anon_sym_RBRACE] = ACTIONS(2189),
    [anon_sym_SEMI] = ACTIONS(2189),
    [anon_sym_package] = ACTIONS(2189),
    [anon_sym_class] = ACTIONS(2189),
    [anon_sym_role] = ACTIONS(2189),
    [anon_sym_BUILD] = ACTIONS(2189),
    [anon_sym_ADJUST] = ACTIONS(2189),
    [anon_sym_DOLLAR] = ACTIONS(2189),
    [anon_sym_AT] = ACTIONS(2189),
    [anon_sym_my] = ACTIONS(2189),
    [anon_sym_extended] = ACTIONS(2189),
    [anon_sym_async] = ACTIONS(2189),
    [anon_sym_sub] = ACTIONS(2189),
    [anon_sym_method] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(2189),
    [anon_sym_continue] = ACTIONS(2189),
    [anon_sym_state] = ACTIONS(2189),
    [anon_sym_our] = ACTIONS(2189),
    [anon_sym_try] = ACTIONS(2189),
    [anon_sym_defer] = ACTIONS(2189),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2189),
    [anon_sym_LBRACK] = ACTIONS(2189),
    [anon_sym_LT_LT] = ACTIONS(2189),
    [anon_sym_SLASH_SLASH] = ACTIONS(2189),
    [anon_sym_PLUS] = ACTIONS(2189),
    [anon_sym_DASH] = ACTIONS(2189),
    [anon_sym_TILDE] = ACTIONS(2189),
    [anon_sym_BANG] = ACTIONS(2189),
    [anon_sym_PLUS_PLUS] = ACTIONS(2189),
    [anon_sym_DASH_DASH] = ACTIONS(2189),
    [anon_sym_BSLASH] = ACTIONS(2187),
    [anon_sym_do] = ACTIONS(2189),
    [anon_sym_eval] = ACTIONS(2189),
    [anon_sym_await] = ACTIONS(2189),
    [anon_sym_field] = ACTIONS(2189),
    [anon_sym_local] = ACTIONS(2189),
    [anon_sym_dynamically] = ACTIONS(2189),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2189),
    [anon_sym_require] = ACTIONS(2189),
    [anon_sym_map] = ACTIONS(2189),
    [anon_sym_grep] = ACTIONS(2189),
    [anon_sym_sort] = ACTIONS(2189),
    [anon_sym_goto] = ACTIONS(2189),
    [anon_sym_return] = ACTIONS(2189),
    [anon_sym_undef] = ACTIONS(2189),
    [anon_sym_PERCENT2] = ACTIONS(2189),
    [anon_sym_AMP2] = ACTIONS(2189),
    [anon_sym_STAR2] = ACTIONS(2189),
    [anon_sym_use] = ACTIONS(2189),
    [anon_sym_no] = ACTIONS(2189),
    [anon_sym_for] = ACTIONS(2189),
    [anon_sym_foreach] = ACTIONS(2189),
    [anon_sym_last] = ACTIONS(2189),
    [anon_sym_next] = ACTIONS(2189),
    [anon_sym_redo] = ACTIONS(2189),
    [anon_sym_BEGIN] = ACTIONS(2189),
    [anon_sym_INIT] = ACTIONS(2189),
    [anon_sym_CHECK] = ACTIONS(2189),
    [anon_sym_UNITCHECK] = ACTIONS(2189),
    [anon_sym_END] = ACTIONS(2189),
    [anon_sym___FILE__] = ACTIONS(2189),
    [anon_sym___LINE__] = ACTIONS(2189),
    [anon_sym___PACKAGE__] = ACTIONS(2189),
    [anon_sym___SUB__] = ACTIONS(2189),
    [anon_sym_break] = ACTIONS(2189),
    [anon_sym_fork] = ACTIONS(2189),
    [anon_sym_getppid] = ACTIONS(2189),
    [anon_sym_time] = ACTIONS(2189),
    [anon_sym_times] = ACTIONS(2189),
    [anon_sym_wait] = ACTIONS(2189),
    [anon_sym_wantarray] = ACTIONS(2189),
    [anon_sym_abs] = ACTIONS(2189),
    [anon_sym_alarm] = ACTIONS(2189),
    [anon_sym_chop] = ACTIONS(2189),
    [anon_sym_chdir] = ACTIONS(2189),
    [anon_sym_close] = ACTIONS(2189),
    [anon_sym_closedir] = ACTIONS(2189),
    [anon_sym_caller] = ACTIONS(2189),
    [anon_sym_chomp] = ACTIONS(2189),
    [anon_sym_chr] = ACTIONS(2189),
    [anon_sym_cos] = ACTIONS(2189),
    [anon_sym_chroot] = ACTIONS(2189),
    [anon_sym_defined] = ACTIONS(2189),
    [anon_sym_delete] = ACTIONS(2189),
    [anon_sym_dbmclose] = ACTIONS(2189),
    [anon_sym_exists] = ACTIONS(2189),
    [anon_sym_exit] = ACTIONS(2189),
    [anon_sym_eof] = ACTIONS(2189),
    [anon_sym_exp] = ACTIONS(2189),
    [anon_sym_each] = ACTIONS(2189),
    [anon_sym_fc] = ACTIONS(2189),
    [anon_sym_fileno] = ACTIONS(2189),
    [anon_sym_gmtime] = ACTIONS(2189),
    [anon_sym_getc] = ACTIONS(2189),
    [anon_sym_getpgrp] = ACTIONS(2189),
    [anon_sym_getprotobyname] = ACTIONS(2189),
    [anon_sym_getpwname] = ACTIONS(2189),
    [anon_sym_getpwuid] = ACTIONS(2189),
    [anon_sym_getpeername] = ACTIONS(2189),
    [anon_sym_getnetbyname] = ACTIONS(2189),
    [anon_sym_getsockname] = ACTIONS(2189),
    [anon_sym_getgrnam] = ACTIONS(2189),
    [anon_sym_getgrgid] = ACTIONS(2189),
    [anon_sym_hex] = ACTIONS(2189),
    [anon_sym_int] = ACTIONS(2189),
    [anon_sym_keys] = ACTIONS(2189),
    [anon_sym_lc] = ACTIONS(2189),
    [anon_sym_lcfirst] = ACTIONS(2189),
    [anon_sym_length] = ACTIONS(2189),
    [anon_sym_localtime] = ACTIONS(2189),
    [anon_sym_log] = ACTIONS(2189),
    [anon_sym_lock] = ACTIONS(2189),
    [anon_sym_lstat] = ACTIONS(2189),
    [anon_sym_oct] = ACTIONS(2189),
    [anon_sym_ord] = ACTIONS(2189),
    [anon_sym_prototype] = ACTIONS(2189),
    [anon_sym_pop] = ACTIONS(2189),
    [anon_sym_pos] = ACTIONS(2189),
    [anon_sym_quotemeta] = ACTIONS(2189),
    [anon_sym_reset] = ACTIONS(2189),
    [anon_sym_rand] = ACTIONS(2189),
    [anon_sym_rmdir] = ACTIONS(2189),
    [anon_sym_readdir] = ACTIONS(2189),
    [anon_sym_readline] = ACTIONS(2189),
    [anon_sym_readpipe] = ACTIONS(2189),
    [anon_sym_rewinddir] = ACTIONS(2189),
    [anon_sym_readlink] = ACTIONS(2189),
    [anon_sym_ref] = ACTIONS(2189),
    [anon_sym_scalar] = ACTIONS(2189),
    [anon_sym_shift] = ACTIONS(2189),
    [anon_sym_sin] = ACTIONS(2189),
    [anon_sym_sleep] = ACTIONS(2189),
    [anon_sym_sqrt] = ACTIONS(2189),
    [anon_sym_srand] = ACTIONS(2189),
    [anon_sym_stat] = ACTIONS(2189),
    [anon_sym_study] = ACTIONS(2189),
    [anon_sym_tell] = ACTIONS(2189),
    [anon_sym_telldir] = ACTIONS(2189),
    [anon_sym_tied] = ACTIONS(2189),
    [anon_sym_uc] = ACTIONS(2189),
    [anon_sym_ucfirst] = ACTIONS(2189),
    [anon_sym_untie] = ACTIONS(2189),
    [anon_sym_umask] = ACTIONS(2189),
    [anon_sym_values] = ACTIONS(2189),
    [anon_sym_write] = ACTIONS(2189),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2189),
    [anon_sym_qq] = ACTIONS(2189),
    [anon_sym_qw] = ACTIONS(2189),
    [anon_sym_qx] = ACTIONS(2189),
    [anon_sym_qr] = ACTIONS(2189),
    [anon_sym_m] = ACTIONS(2189),
    [anon_sym_s] = ACTIONS(2189),
    [anon_sym_tr] = ACTIONS(2189),
    [anon_sym_y] = ACTIONS(2189),
    [anon_sym_if] = ACTIONS(2189),
    [anon_sym_unless] = ACTIONS(2189),
    [anon_sym_while] = ACTIONS(2189),
    [anon_sym_until] = ACTIONS(2189),
    [aux_sym__bareword_token1] = ACTIONS(2189),
    [sym_number] = ACTIONS(2189),
    [anon_sym_true] = ACTIONS(2189),
    [anon_sym_false] = ACTIONS(2189),
    [sym__single_quote] = ACTIONS(2187),
    [sym__double_quote] = ACTIONS(2187),
    [sym__backtick_quote] = ACTIONS(2187),
    [sym__search_slash_quote] = ACTIONS(2187),
    [sym__open_readline_bracket] = ACTIONS(2187),
    [sym__open_fileglob_bracket] = ACTIONS(2187),
    [sym__PERLY_HEREDOC] = ACTIONS(2187),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2187),
    [sym__filetest] = ACTIONS(2187),
  },
  [1026] = {
    [sym_heredoc_content] = STATE(1026),
    [sym__identifier] = ACTIONS(2193),
    [anon_sym_LBRACE] = ACTIONS(2193),
    [anon_sym_RBRACE] = ACTIONS(2193),
    [anon_sym_SEMI] = ACTIONS(2193),
    [anon_sym_package] = ACTIONS(2193),
    [anon_sym_class] = ACTIONS(2193),
    [anon_sym_role] = ACTIONS(2193),
    [anon_sym_BUILD] = ACTIONS(2193),
    [anon_sym_ADJUST] = ACTIONS(2193),
    [anon_sym_DOLLAR] = ACTIONS(2193),
    [anon_sym_AT] = ACTIONS(2193),
    [anon_sym_my] = ACTIONS(2193),
    [anon_sym_extended] = ACTIONS(2193),
    [anon_sym_async] = ACTIONS(2193),
    [anon_sym_sub] = ACTIONS(2193),
    [anon_sym_method] = ACTIONS(2193),
    [anon_sym_LPAREN] = ACTIONS(2193),
    [anon_sym_continue] = ACTIONS(2193),
    [anon_sym_state] = ACTIONS(2193),
    [anon_sym_our] = ACTIONS(2193),
    [anon_sym_try] = ACTIONS(2193),
    [anon_sym_defer] = ACTIONS(2193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2193),
    [anon_sym_LBRACK] = ACTIONS(2193),
    [anon_sym_LT_LT] = ACTIONS(2193),
    [anon_sym_SLASH_SLASH] = ACTIONS(2193),
    [anon_sym_PLUS] = ACTIONS(2193),
    [anon_sym_DASH] = ACTIONS(2193),
    [anon_sym_TILDE] = ACTIONS(2193),
    [anon_sym_BANG] = ACTIONS(2193),
    [anon_sym_PLUS_PLUS] = ACTIONS(2193),
    [anon_sym_DASH_DASH] = ACTIONS(2193),
    [anon_sym_BSLASH] = ACTIONS(2191),
    [anon_sym_do] = ACTIONS(2193),
    [anon_sym_eval] = ACTIONS(2193),
    [anon_sym_await] = ACTIONS(2193),
    [anon_sym_field] = ACTIONS(2193),
    [anon_sym_local] = ACTIONS(2193),
    [anon_sym_dynamically] = ACTIONS(2193),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2193),
    [anon_sym_require] = ACTIONS(2193),
    [anon_sym_map] = ACTIONS(2193),
    [anon_sym_grep] = ACTIONS(2193),
    [anon_sym_sort] = ACTIONS(2193),
    [anon_sym_goto] = ACTIONS(2193),
    [anon_sym_return] = ACTIONS(2193),
    [anon_sym_undef] = ACTIONS(2193),
    [anon_sym_PERCENT2] = ACTIONS(2193),
    [anon_sym_AMP2] = ACTIONS(2193),
    [anon_sym_STAR2] = ACTIONS(2193),
    [anon_sym_use] = ACTIONS(2193),
    [anon_sym_no] = ACTIONS(2193),
    [anon_sym_for] = ACTIONS(2193),
    [anon_sym_foreach] = ACTIONS(2193),
    [anon_sym_last] = ACTIONS(2193),
    [anon_sym_next] = ACTIONS(2193),
    [anon_sym_redo] = ACTIONS(2193),
    [anon_sym_BEGIN] = ACTIONS(2193),
    [anon_sym_INIT] = ACTIONS(2193),
    [anon_sym_CHECK] = ACTIONS(2193),
    [anon_sym_UNITCHECK] = ACTIONS(2193),
    [anon_sym_END] = ACTIONS(2193),
    [anon_sym___FILE__] = ACTIONS(2193),
    [anon_sym___LINE__] = ACTIONS(2193),
    [anon_sym___PACKAGE__] = ACTIONS(2193),
    [anon_sym___SUB__] = ACTIONS(2193),
    [anon_sym_break] = ACTIONS(2193),
    [anon_sym_fork] = ACTIONS(2193),
    [anon_sym_getppid] = ACTIONS(2193),
    [anon_sym_time] = ACTIONS(2193),
    [anon_sym_times] = ACTIONS(2193),
    [anon_sym_wait] = ACTIONS(2193),
    [anon_sym_wantarray] = ACTIONS(2193),
    [anon_sym_abs] = ACTIONS(2193),
    [anon_sym_alarm] = ACTIONS(2193),
    [anon_sym_chop] = ACTIONS(2193),
    [anon_sym_chdir] = ACTIONS(2193),
    [anon_sym_close] = ACTIONS(2193),
    [anon_sym_closedir] = ACTIONS(2193),
    [anon_sym_caller] = ACTIONS(2193),
    [anon_sym_chomp] = ACTIONS(2193),
    [anon_sym_chr] = ACTIONS(2193),
    [anon_sym_cos] = ACTIONS(2193),
    [anon_sym_chroot] = ACTIONS(2193),
    [anon_sym_defined] = ACTIONS(2193),
    [anon_sym_delete] = ACTIONS(2193),
    [anon_sym_dbmclose] = ACTIONS(2193),
    [anon_sym_exists] = ACTIONS(2193),
    [anon_sym_exit] = ACTIONS(2193),
    [anon_sym_eof] = ACTIONS(2193),
    [anon_sym_exp] = ACTIONS(2193),
    [anon_sym_each] = ACTIONS(2193),
    [anon_sym_fc] = ACTIONS(2193),
    [anon_sym_fileno] = ACTIONS(2193),
    [anon_sym_gmtime] = ACTIONS(2193),
    [anon_sym_getc] = ACTIONS(2193),
    [anon_sym_getpgrp] = ACTIONS(2193),
    [anon_sym_getprotobyname] = ACTIONS(2193),
    [anon_sym_getpwname] = ACTIONS(2193),
    [anon_sym_getpwuid] = ACTIONS(2193),
    [anon_sym_getpeername] = ACTIONS(2193),
    [anon_sym_getnetbyname] = ACTIONS(2193),
    [anon_sym_getsockname] = ACTIONS(2193),
    [anon_sym_getgrnam] = ACTIONS(2193),
    [anon_sym_getgrgid] = ACTIONS(2193),
    [anon_sym_hex] = ACTIONS(2193),
    [anon_sym_int] = ACTIONS(2193),
    [anon_sym_keys] = ACTIONS(2193),
    [anon_sym_lc] = ACTIONS(2193),
    [anon_sym_lcfirst] = ACTIONS(2193),
    [anon_sym_length] = ACTIONS(2193),
    [anon_sym_localtime] = ACTIONS(2193),
    [anon_sym_log] = ACTIONS(2193),
    [anon_sym_lock] = ACTIONS(2193),
    [anon_sym_lstat] = ACTIONS(2193),
    [anon_sym_oct] = ACTIONS(2193),
    [anon_sym_ord] = ACTIONS(2193),
    [anon_sym_prototype] = ACTIONS(2193),
    [anon_sym_pop] = ACTIONS(2193),
    [anon_sym_pos] = ACTIONS(2193),
    [anon_sym_quotemeta] = ACTIONS(2193),
    [anon_sym_reset] = ACTIONS(2193),
    [anon_sym_rand] = ACTIONS(2193),
    [anon_sym_rmdir] = ACTIONS(2193),
    [anon_sym_readdir] = ACTIONS(2193),
    [anon_sym_readline] = ACTIONS(2193),
    [anon_sym_readpipe] = ACTIONS(2193),
    [anon_sym_rewinddir] = ACTIONS(2193),
    [anon_sym_readlink] = ACTIONS(2193),
    [anon_sym_ref] = ACTIONS(2193),
    [anon_sym_scalar] = ACTIONS(2193),
    [anon_sym_shift] = ACTIONS(2193),
    [anon_sym_sin] = ACTIONS(2193),
    [anon_sym_sleep] = ACTIONS(2193),
    [anon_sym_sqrt] = ACTIONS(2193),
    [anon_sym_srand] = ACTIONS(2193),
    [anon_sym_stat] = ACTIONS(2193),
    [anon_sym_study] = ACTIONS(2193),
    [anon_sym_tell] = ACTIONS(2193),
    [anon_sym_telldir] = ACTIONS(2193),
    [anon_sym_tied] = ACTIONS(2193),
    [anon_sym_uc] = ACTIONS(2193),
    [anon_sym_ucfirst] = ACTIONS(2193),
    [anon_sym_untie] = ACTIONS(2193),
    [anon_sym_umask] = ACTIONS(2193),
    [anon_sym_values] = ACTIONS(2193),
    [anon_sym_write] = ACTIONS(2193),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2193),
    [anon_sym_qq] = ACTIONS(2193),
    [anon_sym_qw] = ACTIONS(2193),
    [anon_sym_qx] = ACTIONS(2193),
    [anon_sym_qr] = ACTIONS(2193),
    [anon_sym_m] = ACTIONS(2193),
    [anon_sym_s] = ACTIONS(2193),
    [anon_sym_tr] = ACTIONS(2193),
    [anon_sym_y] = ACTIONS(2193),
    [anon_sym_if] = ACTIONS(2193),
    [anon_sym_unless] = ACTIONS(2193),
    [anon_sym_while] = ACTIONS(2193),
    [anon_sym_until] = ACTIONS(2193),
    [aux_sym__bareword_token1] = ACTIONS(2193),
    [sym_number] = ACTIONS(2193),
    [anon_sym_true] = ACTIONS(2193),
    [anon_sym_false] = ACTIONS(2193),
    [sym__single_quote] = ACTIONS(2191),
    [sym__double_quote] = ACTIONS(2191),
    [sym__backtick_quote] = ACTIONS(2191),
    [sym__search_slash_quote] = ACTIONS(2191),
    [sym__open_readline_bracket] = ACTIONS(2191),
    [sym__open_fileglob_bracket] = ACTIONS(2191),
    [sym__PERLY_HEREDOC] = ACTIONS(2191),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2191),
    [sym__filetest] = ACTIONS(2191),
  },
  [1027] = {
    [sym_heredoc_content] = STATE(1027),
    [sym__identifier] = ACTIONS(2197),
    [anon_sym_LBRACE] = ACTIONS(2197),
    [anon_sym_RBRACE] = ACTIONS(2197),
    [anon_sym_SEMI] = ACTIONS(2197),
    [anon_sym_package] = ACTIONS(2197),
    [anon_sym_class] = ACTIONS(2197),
    [anon_sym_role] = ACTIONS(2197),
    [anon_sym_BUILD] = ACTIONS(2197),
    [anon_sym_ADJUST] = ACTIONS(2197),
    [anon_sym_DOLLAR] = ACTIONS(2197),
    [anon_sym_AT] = ACTIONS(2197),
    [anon_sym_my] = ACTIONS(2197),
    [anon_sym_extended] = ACTIONS(2197),
    [anon_sym_async] = ACTIONS(2197),
    [anon_sym_sub] = ACTIONS(2197),
    [anon_sym_method] = ACTIONS(2197),
    [anon_sym_LPAREN] = ACTIONS(2197),
    [anon_sym_continue] = ACTIONS(2197),
    [anon_sym_state] = ACTIONS(2197),
    [anon_sym_our] = ACTIONS(2197),
    [anon_sym_try] = ACTIONS(2197),
    [anon_sym_defer] = ACTIONS(2197),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2197),
    [anon_sym_LBRACK] = ACTIONS(2197),
    [anon_sym_LT_LT] = ACTIONS(2197),
    [anon_sym_SLASH_SLASH] = ACTIONS(2197),
    [anon_sym_PLUS] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2197),
    [anon_sym_TILDE] = ACTIONS(2197),
    [anon_sym_BANG] = ACTIONS(2197),
    [anon_sym_PLUS_PLUS] = ACTIONS(2197),
    [anon_sym_DASH_DASH] = ACTIONS(2197),
    [anon_sym_BSLASH] = ACTIONS(2195),
    [anon_sym_do] = ACTIONS(2197),
    [anon_sym_eval] = ACTIONS(2197),
    [anon_sym_await] = ACTIONS(2197),
    [anon_sym_field] = ACTIONS(2197),
    [anon_sym_local] = ACTIONS(2197),
    [anon_sym_dynamically] = ACTIONS(2197),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2197),
    [anon_sym_require] = ACTIONS(2197),
    [anon_sym_map] = ACTIONS(2197),
    [anon_sym_grep] = ACTIONS(2197),
    [anon_sym_sort] = ACTIONS(2197),
    [anon_sym_goto] = ACTIONS(2197),
    [anon_sym_return] = ACTIONS(2197),
    [anon_sym_undef] = ACTIONS(2197),
    [anon_sym_PERCENT2] = ACTIONS(2197),
    [anon_sym_AMP2] = ACTIONS(2197),
    [anon_sym_STAR2] = ACTIONS(2197),
    [anon_sym_use] = ACTIONS(2197),
    [anon_sym_no] = ACTIONS(2197),
    [anon_sym_for] = ACTIONS(2197),
    [anon_sym_foreach] = ACTIONS(2197),
    [anon_sym_last] = ACTIONS(2197),
    [anon_sym_next] = ACTIONS(2197),
    [anon_sym_redo] = ACTIONS(2197),
    [anon_sym_BEGIN] = ACTIONS(2197),
    [anon_sym_INIT] = ACTIONS(2197),
    [anon_sym_CHECK] = ACTIONS(2197),
    [anon_sym_UNITCHECK] = ACTIONS(2197),
    [anon_sym_END] = ACTIONS(2197),
    [anon_sym___FILE__] = ACTIONS(2197),
    [anon_sym___LINE__] = ACTIONS(2197),
    [anon_sym___PACKAGE__] = ACTIONS(2197),
    [anon_sym___SUB__] = ACTIONS(2197),
    [anon_sym_break] = ACTIONS(2197),
    [anon_sym_fork] = ACTIONS(2197),
    [anon_sym_getppid] = ACTIONS(2197),
    [anon_sym_time] = ACTIONS(2197),
    [anon_sym_times] = ACTIONS(2197),
    [anon_sym_wait] = ACTIONS(2197),
    [anon_sym_wantarray] = ACTIONS(2197),
    [anon_sym_abs] = ACTIONS(2197),
    [anon_sym_alarm] = ACTIONS(2197),
    [anon_sym_chop] = ACTIONS(2197),
    [anon_sym_chdir] = ACTIONS(2197),
    [anon_sym_close] = ACTIONS(2197),
    [anon_sym_closedir] = ACTIONS(2197),
    [anon_sym_caller] = ACTIONS(2197),
    [anon_sym_chomp] = ACTIONS(2197),
    [anon_sym_chr] = ACTIONS(2197),
    [anon_sym_cos] = ACTIONS(2197),
    [anon_sym_chroot] = ACTIONS(2197),
    [anon_sym_defined] = ACTIONS(2197),
    [anon_sym_delete] = ACTIONS(2197),
    [anon_sym_dbmclose] = ACTIONS(2197),
    [anon_sym_exists] = ACTIONS(2197),
    [anon_sym_exit] = ACTIONS(2197),
    [anon_sym_eof] = ACTIONS(2197),
    [anon_sym_exp] = ACTIONS(2197),
    [anon_sym_each] = ACTIONS(2197),
    [anon_sym_fc] = ACTIONS(2197),
    [anon_sym_fileno] = ACTIONS(2197),
    [anon_sym_gmtime] = ACTIONS(2197),
    [anon_sym_getc] = ACTIONS(2197),
    [anon_sym_getpgrp] = ACTIONS(2197),
    [anon_sym_getprotobyname] = ACTIONS(2197),
    [anon_sym_getpwname] = ACTIONS(2197),
    [anon_sym_getpwuid] = ACTIONS(2197),
    [anon_sym_getpeername] = ACTIONS(2197),
    [anon_sym_getnetbyname] = ACTIONS(2197),
    [anon_sym_getsockname] = ACTIONS(2197),
    [anon_sym_getgrnam] = ACTIONS(2197),
    [anon_sym_getgrgid] = ACTIONS(2197),
    [anon_sym_hex] = ACTIONS(2197),
    [anon_sym_int] = ACTIONS(2197),
    [anon_sym_keys] = ACTIONS(2197),
    [anon_sym_lc] = ACTIONS(2197),
    [anon_sym_lcfirst] = ACTIONS(2197),
    [anon_sym_length] = ACTIONS(2197),
    [anon_sym_localtime] = ACTIONS(2197),
    [anon_sym_log] = ACTIONS(2197),
    [anon_sym_lock] = ACTIONS(2197),
    [anon_sym_lstat] = ACTIONS(2197),
    [anon_sym_oct] = ACTIONS(2197),
    [anon_sym_ord] = ACTIONS(2197),
    [anon_sym_prototype] = ACTIONS(2197),
    [anon_sym_pop] = ACTIONS(2197),
    [anon_sym_pos] = ACTIONS(2197),
    [anon_sym_quotemeta] = ACTIONS(2197),
    [anon_sym_reset] = ACTIONS(2197),
    [anon_sym_rand] = ACTIONS(2197),
    [anon_sym_rmdir] = ACTIONS(2197),
    [anon_sym_readdir] = ACTIONS(2197),
    [anon_sym_readline] = ACTIONS(2197),
    [anon_sym_readpipe] = ACTIONS(2197),
    [anon_sym_rewinddir] = ACTIONS(2197),
    [anon_sym_readlink] = ACTIONS(2197),
    [anon_sym_ref] = ACTIONS(2197),
    [anon_sym_scalar] = ACTIONS(2197),
    [anon_sym_shift] = ACTIONS(2197),
    [anon_sym_sin] = ACTIONS(2197),
    [anon_sym_sleep] = ACTIONS(2197),
    [anon_sym_sqrt] = ACTIONS(2197),
    [anon_sym_srand] = ACTIONS(2197),
    [anon_sym_stat] = ACTIONS(2197),
    [anon_sym_study] = ACTIONS(2197),
    [anon_sym_tell] = ACTIONS(2197),
    [anon_sym_telldir] = ACTIONS(2197),
    [anon_sym_tied] = ACTIONS(2197),
    [anon_sym_uc] = ACTIONS(2197),
    [anon_sym_ucfirst] = ACTIONS(2197),
    [anon_sym_untie] = ACTIONS(2197),
    [anon_sym_umask] = ACTIONS(2197),
    [anon_sym_values] = ACTIONS(2197),
    [anon_sym_write] = ACTIONS(2197),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2197),
    [anon_sym_qq] = ACTIONS(2197),
    [anon_sym_qw] = ACTIONS(2197),
    [anon_sym_qx] = ACTIONS(2197),
    [anon_sym_qr] = ACTIONS(2197),
    [anon_sym_m] = ACTIONS(2197),
    [anon_sym_s] = ACTIONS(2197),
    [anon_sym_tr] = ACTIONS(2197),
    [anon_sym_y] = ACTIONS(2197),
    [anon_sym_if] = ACTIONS(2197),
    [anon_sym_unless] = ACTIONS(2197),
    [anon_sym_while] = ACTIONS(2197),
    [anon_sym_until] = ACTIONS(2197),
    [aux_sym__bareword_token1] = ACTIONS(2197),
    [sym_number] = ACTIONS(2197),
    [anon_sym_true] = ACTIONS(2197),
    [anon_sym_false] = ACTIONS(2197),
    [sym__single_quote] = ACTIONS(2195),
    [sym__double_quote] = ACTIONS(2195),
    [sym__backtick_quote] = ACTIONS(2195),
    [sym__search_slash_quote] = ACTIONS(2195),
    [sym__open_readline_bracket] = ACTIONS(2195),
    [sym__open_fileglob_bracket] = ACTIONS(2195),
    [sym__PERLY_HEREDOC] = ACTIONS(2195),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2195),
    [sym__filetest] = ACTIONS(2195),
  },
  [1028] = {
    [sym_heredoc_content] = STATE(1028),
    [sym__identifier] = ACTIONS(2201),
    [anon_sym_LBRACE] = ACTIONS(2201),
    [anon_sym_RBRACE] = ACTIONS(2201),
    [anon_sym_SEMI] = ACTIONS(2201),
    [anon_sym_package] = ACTIONS(2201),
    [anon_sym_class] = ACTIONS(2201),
    [anon_sym_role] = ACTIONS(2201),
    [anon_sym_BUILD] = ACTIONS(2201),
    [anon_sym_ADJUST] = ACTIONS(2201),
    [anon_sym_DOLLAR] = ACTIONS(2201),
    [anon_sym_AT] = ACTIONS(2201),
    [anon_sym_my] = ACTIONS(2201),
    [anon_sym_extended] = ACTIONS(2201),
    [anon_sym_async] = ACTIONS(2201),
    [anon_sym_sub] = ACTIONS(2201),
    [anon_sym_method] = ACTIONS(2201),
    [anon_sym_LPAREN] = ACTIONS(2201),
    [anon_sym_continue] = ACTIONS(2201),
    [anon_sym_state] = ACTIONS(2201),
    [anon_sym_our] = ACTIONS(2201),
    [anon_sym_try] = ACTIONS(2201),
    [anon_sym_defer] = ACTIONS(2201),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2201),
    [anon_sym_LBRACK] = ACTIONS(2201),
    [anon_sym_LT_LT] = ACTIONS(2201),
    [anon_sym_SLASH_SLASH] = ACTIONS(2201),
    [anon_sym_PLUS] = ACTIONS(2201),
    [anon_sym_DASH] = ACTIONS(2201),
    [anon_sym_TILDE] = ACTIONS(2201),
    [anon_sym_BANG] = ACTIONS(2201),
    [anon_sym_PLUS_PLUS] = ACTIONS(2201),
    [anon_sym_DASH_DASH] = ACTIONS(2201),
    [anon_sym_BSLASH] = ACTIONS(2199),
    [anon_sym_do] = ACTIONS(2201),
    [anon_sym_eval] = ACTIONS(2201),
    [anon_sym_await] = ACTIONS(2201),
    [anon_sym_field] = ACTIONS(2201),
    [anon_sym_local] = ACTIONS(2201),
    [anon_sym_dynamically] = ACTIONS(2201),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2201),
    [anon_sym_require] = ACTIONS(2201),
    [anon_sym_map] = ACTIONS(2201),
    [anon_sym_grep] = ACTIONS(2201),
    [anon_sym_sort] = ACTIONS(2201),
    [anon_sym_goto] = ACTIONS(2201),
    [anon_sym_return] = ACTIONS(2201),
    [anon_sym_undef] = ACTIONS(2201),
    [anon_sym_PERCENT2] = ACTIONS(2201),
    [anon_sym_AMP2] = ACTIONS(2201),
    [anon_sym_STAR2] = ACTIONS(2201),
    [anon_sym_use] = ACTIONS(2201),
    [anon_sym_no] = ACTIONS(2201),
    [anon_sym_for] = ACTIONS(2201),
    [anon_sym_foreach] = ACTIONS(2201),
    [anon_sym_last] = ACTIONS(2201),
    [anon_sym_next] = ACTIONS(2201),
    [anon_sym_redo] = ACTIONS(2201),
    [anon_sym_BEGIN] = ACTIONS(2201),
    [anon_sym_INIT] = ACTIONS(2201),
    [anon_sym_CHECK] = ACTIONS(2201),
    [anon_sym_UNITCHECK] = ACTIONS(2201),
    [anon_sym_END] = ACTIONS(2201),
    [anon_sym___FILE__] = ACTIONS(2201),
    [anon_sym___LINE__] = ACTIONS(2201),
    [anon_sym___PACKAGE__] = ACTIONS(2201),
    [anon_sym___SUB__] = ACTIONS(2201),
    [anon_sym_break] = ACTIONS(2201),
    [anon_sym_fork] = ACTIONS(2201),
    [anon_sym_getppid] = ACTIONS(2201),
    [anon_sym_time] = ACTIONS(2201),
    [anon_sym_times] = ACTIONS(2201),
    [anon_sym_wait] = ACTIONS(2201),
    [anon_sym_wantarray] = ACTIONS(2201),
    [anon_sym_abs] = ACTIONS(2201),
    [anon_sym_alarm] = ACTIONS(2201),
    [anon_sym_chop] = ACTIONS(2201),
    [anon_sym_chdir] = ACTIONS(2201),
    [anon_sym_close] = ACTIONS(2201),
    [anon_sym_closedir] = ACTIONS(2201),
    [anon_sym_caller] = ACTIONS(2201),
    [anon_sym_chomp] = ACTIONS(2201),
    [anon_sym_chr] = ACTIONS(2201),
    [anon_sym_cos] = ACTIONS(2201),
    [anon_sym_chroot] = ACTIONS(2201),
    [anon_sym_defined] = ACTIONS(2201),
    [anon_sym_delete] = ACTIONS(2201),
    [anon_sym_dbmclose] = ACTIONS(2201),
    [anon_sym_exists] = ACTIONS(2201),
    [anon_sym_exit] = ACTIONS(2201),
    [anon_sym_eof] = ACTIONS(2201),
    [anon_sym_exp] = ACTIONS(2201),
    [anon_sym_each] = ACTIONS(2201),
    [anon_sym_fc] = ACTIONS(2201),
    [anon_sym_fileno] = ACTIONS(2201),
    [anon_sym_gmtime] = ACTIONS(2201),
    [anon_sym_getc] = ACTIONS(2201),
    [anon_sym_getpgrp] = ACTIONS(2201),
    [anon_sym_getprotobyname] = ACTIONS(2201),
    [anon_sym_getpwname] = ACTIONS(2201),
    [anon_sym_getpwuid] = ACTIONS(2201),
    [anon_sym_getpeername] = ACTIONS(2201),
    [anon_sym_getnetbyname] = ACTIONS(2201),
    [anon_sym_getsockname] = ACTIONS(2201),
    [anon_sym_getgrnam] = ACTIONS(2201),
    [anon_sym_getgrgid] = ACTIONS(2201),
    [anon_sym_hex] = ACTIONS(2201),
    [anon_sym_int] = ACTIONS(2201),
    [anon_sym_keys] = ACTIONS(2201),
    [anon_sym_lc] = ACTIONS(2201),
    [anon_sym_lcfirst] = ACTIONS(2201),
    [anon_sym_length] = ACTIONS(2201),
    [anon_sym_localtime] = ACTIONS(2201),
    [anon_sym_log] = ACTIONS(2201),
    [anon_sym_lock] = ACTIONS(2201),
    [anon_sym_lstat] = ACTIONS(2201),
    [anon_sym_oct] = ACTIONS(2201),
    [anon_sym_ord] = ACTIONS(2201),
    [anon_sym_prototype] = ACTIONS(2201),
    [anon_sym_pop] = ACTIONS(2201),
    [anon_sym_pos] = ACTIONS(2201),
    [anon_sym_quotemeta] = ACTIONS(2201),
    [anon_sym_reset] = ACTIONS(2201),
    [anon_sym_rand] = ACTIONS(2201),
    [anon_sym_rmdir] = ACTIONS(2201),
    [anon_sym_readdir] = ACTIONS(2201),
    [anon_sym_readline] = ACTIONS(2201),
    [anon_sym_readpipe] = ACTIONS(2201),
    [anon_sym_rewinddir] = ACTIONS(2201),
    [anon_sym_readlink] = ACTIONS(2201),
    [anon_sym_ref] = ACTIONS(2201),
    [anon_sym_scalar] = ACTIONS(2201),
    [anon_sym_shift] = ACTIONS(2201),
    [anon_sym_sin] = ACTIONS(2201),
    [anon_sym_sleep] = ACTIONS(2201),
    [anon_sym_sqrt] = ACTIONS(2201),
    [anon_sym_srand] = ACTIONS(2201),
    [anon_sym_stat] = ACTIONS(2201),
    [anon_sym_study] = ACTIONS(2201),
    [anon_sym_tell] = ACTIONS(2201),
    [anon_sym_telldir] = ACTIONS(2201),
    [anon_sym_tied] = ACTIONS(2201),
    [anon_sym_uc] = ACTIONS(2201),
    [anon_sym_ucfirst] = ACTIONS(2201),
    [anon_sym_untie] = ACTIONS(2201),
    [anon_sym_umask] = ACTIONS(2201),
    [anon_sym_values] = ACTIONS(2201),
    [anon_sym_write] = ACTIONS(2201),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2201),
    [anon_sym_qq] = ACTIONS(2201),
    [anon_sym_qw] = ACTIONS(2201),
    [anon_sym_qx] = ACTIONS(2201),
    [anon_sym_qr] = ACTIONS(2201),
    [anon_sym_m] = ACTIONS(2201),
    [anon_sym_s] = ACTIONS(2201),
    [anon_sym_tr] = ACTIONS(2201),
    [anon_sym_y] = ACTIONS(2201),
    [anon_sym_if] = ACTIONS(2201),
    [anon_sym_unless] = ACTIONS(2201),
    [anon_sym_while] = ACTIONS(2201),
    [anon_sym_until] = ACTIONS(2201),
    [aux_sym__bareword_token1] = ACTIONS(2201),
    [sym_number] = ACTIONS(2201),
    [anon_sym_true] = ACTIONS(2201),
    [anon_sym_false] = ACTIONS(2201),
    [sym__single_quote] = ACTIONS(2199),
    [sym__double_quote] = ACTIONS(2199),
    [sym__backtick_quote] = ACTIONS(2199),
    [sym__search_slash_quote] = ACTIONS(2199),
    [sym__open_readline_bracket] = ACTIONS(2199),
    [sym__open_fileglob_bracket] = ACTIONS(2199),
    [sym__PERLY_HEREDOC] = ACTIONS(2199),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2199),
    [sym__filetest] = ACTIONS(2199),
  },
  [1029] = {
    [sym_heredoc_content] = STATE(1029),
    [sym__identifier] = ACTIONS(2205),
    [anon_sym_LBRACE] = ACTIONS(2205),
    [anon_sym_RBRACE] = ACTIONS(2205),
    [anon_sym_SEMI] = ACTIONS(2205),
    [anon_sym_package] = ACTIONS(2205),
    [anon_sym_class] = ACTIONS(2205),
    [anon_sym_role] = ACTIONS(2205),
    [anon_sym_BUILD] = ACTIONS(2205),
    [anon_sym_ADJUST] = ACTIONS(2205),
    [anon_sym_DOLLAR] = ACTIONS(2205),
    [anon_sym_AT] = ACTIONS(2205),
    [anon_sym_my] = ACTIONS(2205),
    [anon_sym_extended] = ACTIONS(2205),
    [anon_sym_async] = ACTIONS(2205),
    [anon_sym_sub] = ACTIONS(2205),
    [anon_sym_method] = ACTIONS(2205),
    [anon_sym_LPAREN] = ACTIONS(2205),
    [anon_sym_continue] = ACTIONS(2205),
    [anon_sym_state] = ACTIONS(2205),
    [anon_sym_our] = ACTIONS(2205),
    [anon_sym_try] = ACTIONS(2205),
    [anon_sym_defer] = ACTIONS(2205),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2205),
    [anon_sym_LBRACK] = ACTIONS(2205),
    [anon_sym_LT_LT] = ACTIONS(2205),
    [anon_sym_SLASH_SLASH] = ACTIONS(2205),
    [anon_sym_PLUS] = ACTIONS(2205),
    [anon_sym_DASH] = ACTIONS(2205),
    [anon_sym_TILDE] = ACTIONS(2205),
    [anon_sym_BANG] = ACTIONS(2205),
    [anon_sym_PLUS_PLUS] = ACTIONS(2205),
    [anon_sym_DASH_DASH] = ACTIONS(2205),
    [anon_sym_BSLASH] = ACTIONS(2203),
    [anon_sym_do] = ACTIONS(2205),
    [anon_sym_eval] = ACTIONS(2205),
    [anon_sym_await] = ACTIONS(2205),
    [anon_sym_field] = ACTIONS(2205),
    [anon_sym_local] = ACTIONS(2205),
    [anon_sym_dynamically] = ACTIONS(2205),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2205),
    [anon_sym_require] = ACTIONS(2205),
    [anon_sym_map] = ACTIONS(2205),
    [anon_sym_grep] = ACTIONS(2205),
    [anon_sym_sort] = ACTIONS(2205),
    [anon_sym_goto] = ACTIONS(2205),
    [anon_sym_return] = ACTIONS(2205),
    [anon_sym_undef] = ACTIONS(2205),
    [anon_sym_PERCENT2] = ACTIONS(2205),
    [anon_sym_AMP2] = ACTIONS(2205),
    [anon_sym_STAR2] = ACTIONS(2205),
    [anon_sym_use] = ACTIONS(2205),
    [anon_sym_no] = ACTIONS(2205),
    [anon_sym_for] = ACTIONS(2205),
    [anon_sym_foreach] = ACTIONS(2205),
    [anon_sym_last] = ACTIONS(2205),
    [anon_sym_next] = ACTIONS(2205),
    [anon_sym_redo] = ACTIONS(2205),
    [anon_sym_BEGIN] = ACTIONS(2205),
    [anon_sym_INIT] = ACTIONS(2205),
    [anon_sym_CHECK] = ACTIONS(2205),
    [anon_sym_UNITCHECK] = ACTIONS(2205),
    [anon_sym_END] = ACTIONS(2205),
    [anon_sym___FILE__] = ACTIONS(2205),
    [anon_sym___LINE__] = ACTIONS(2205),
    [anon_sym___PACKAGE__] = ACTIONS(2205),
    [anon_sym___SUB__] = ACTIONS(2205),
    [anon_sym_break] = ACTIONS(2205),
    [anon_sym_fork] = ACTIONS(2205),
    [anon_sym_getppid] = ACTIONS(2205),
    [anon_sym_time] = ACTIONS(2205),
    [anon_sym_times] = ACTIONS(2205),
    [anon_sym_wait] = ACTIONS(2205),
    [anon_sym_wantarray] = ACTIONS(2205),
    [anon_sym_abs] = ACTIONS(2205),
    [anon_sym_alarm] = ACTIONS(2205),
    [anon_sym_chop] = ACTIONS(2205),
    [anon_sym_chdir] = ACTIONS(2205),
    [anon_sym_close] = ACTIONS(2205),
    [anon_sym_closedir] = ACTIONS(2205),
    [anon_sym_caller] = ACTIONS(2205),
    [anon_sym_chomp] = ACTIONS(2205),
    [anon_sym_chr] = ACTIONS(2205),
    [anon_sym_cos] = ACTIONS(2205),
    [anon_sym_chroot] = ACTIONS(2205),
    [anon_sym_defined] = ACTIONS(2205),
    [anon_sym_delete] = ACTIONS(2205),
    [anon_sym_dbmclose] = ACTIONS(2205),
    [anon_sym_exists] = ACTIONS(2205),
    [anon_sym_exit] = ACTIONS(2205),
    [anon_sym_eof] = ACTIONS(2205),
    [anon_sym_exp] = ACTIONS(2205),
    [anon_sym_each] = ACTIONS(2205),
    [anon_sym_fc] = ACTIONS(2205),
    [anon_sym_fileno] = ACTIONS(2205),
    [anon_sym_gmtime] = ACTIONS(2205),
    [anon_sym_getc] = ACTIONS(2205),
    [anon_sym_getpgrp] = ACTIONS(2205),
    [anon_sym_getprotobyname] = ACTIONS(2205),
    [anon_sym_getpwname] = ACTIONS(2205),
    [anon_sym_getpwuid] = ACTIONS(2205),
    [anon_sym_getpeername] = ACTIONS(2205),
    [anon_sym_getnetbyname] = ACTIONS(2205),
    [anon_sym_getsockname] = ACTIONS(2205),
    [anon_sym_getgrnam] = ACTIONS(2205),
    [anon_sym_getgrgid] = ACTIONS(2205),
    [anon_sym_hex] = ACTIONS(2205),
    [anon_sym_int] = ACTIONS(2205),
    [anon_sym_keys] = ACTIONS(2205),
    [anon_sym_lc] = ACTIONS(2205),
    [anon_sym_lcfirst] = ACTIONS(2205),
    [anon_sym_length] = ACTIONS(2205),
    [anon_sym_localtime] = ACTIONS(2205),
    [anon_sym_log] = ACTIONS(2205),
    [anon_sym_lock] = ACTIONS(2205),
    [anon_sym_lstat] = ACTIONS(2205),
    [anon_sym_oct] = ACTIONS(2205),
    [anon_sym_ord] = ACTIONS(2205),
    [anon_sym_prototype] = ACTIONS(2205),
    [anon_sym_pop] = ACTIONS(2205),
    [anon_sym_pos] = ACTIONS(2205),
    [anon_sym_quotemeta] = ACTIONS(2205),
    [anon_sym_reset] = ACTIONS(2205),
    [anon_sym_rand] = ACTIONS(2205),
    [anon_sym_rmdir] = ACTIONS(2205),
    [anon_sym_readdir] = ACTIONS(2205),
    [anon_sym_readline] = ACTIONS(2205),
    [anon_sym_readpipe] = ACTIONS(2205),
    [anon_sym_rewinddir] = ACTIONS(2205),
    [anon_sym_readlink] = ACTIONS(2205),
    [anon_sym_ref] = ACTIONS(2205),
    [anon_sym_scalar] = ACTIONS(2205),
    [anon_sym_shift] = ACTIONS(2205),
    [anon_sym_sin] = ACTIONS(2205),
    [anon_sym_sleep] = ACTIONS(2205),
    [anon_sym_sqrt] = ACTIONS(2205),
    [anon_sym_srand] = ACTIONS(2205),
    [anon_sym_stat] = ACTIONS(2205),
    [anon_sym_study] = ACTIONS(2205),
    [anon_sym_tell] = ACTIONS(2205),
    [anon_sym_telldir] = ACTIONS(2205),
    [anon_sym_tied] = ACTIONS(2205),
    [anon_sym_uc] = ACTIONS(2205),
    [anon_sym_ucfirst] = ACTIONS(2205),
    [anon_sym_untie] = ACTIONS(2205),
    [anon_sym_umask] = ACTIONS(2205),
    [anon_sym_values] = ACTIONS(2205),
    [anon_sym_write] = ACTIONS(2205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2205),
    [anon_sym_qq] = ACTIONS(2205),
    [anon_sym_qw] = ACTIONS(2205),
    [anon_sym_qx] = ACTIONS(2205),
    [anon_sym_qr] = ACTIONS(2205),
    [anon_sym_m] = ACTIONS(2205),
    [anon_sym_s] = ACTIONS(2205),
    [anon_sym_tr] = ACTIONS(2205),
    [anon_sym_y] = ACTIONS(2205),
    [anon_sym_if] = ACTIONS(2205),
    [anon_sym_unless] = ACTIONS(2205),
    [anon_sym_while] = ACTIONS(2205),
    [anon_sym_until] = ACTIONS(2205),
    [aux_sym__bareword_token1] = ACTIONS(2205),
    [sym_number] = ACTIONS(2205),
    [anon_sym_true] = ACTIONS(2205),
    [anon_sym_false] = ACTIONS(2205),
    [sym__single_quote] = ACTIONS(2203),
    [sym__double_quote] = ACTIONS(2203),
    [sym__backtick_quote] = ACTIONS(2203),
    [sym__search_slash_quote] = ACTIONS(2203),
    [sym__open_readline_bracket] = ACTIONS(2203),
    [sym__open_fileglob_bracket] = ACTIONS(2203),
    [sym__PERLY_HEREDOC] = ACTIONS(2203),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2203),
    [sym__filetest] = ACTIONS(2203),
  },
  [1030] = {
    [sym_heredoc_content] = STATE(1030),
    [sym__identifier] = ACTIONS(2209),
    [anon_sym_LBRACE] = ACTIONS(2209),
    [anon_sym_RBRACE] = ACTIONS(2209),
    [anon_sym_SEMI] = ACTIONS(2209),
    [anon_sym_package] = ACTIONS(2209),
    [anon_sym_class] = ACTIONS(2209),
    [anon_sym_role] = ACTIONS(2209),
    [anon_sym_BUILD] = ACTIONS(2209),
    [anon_sym_ADJUST] = ACTIONS(2209),
    [anon_sym_DOLLAR] = ACTIONS(2209),
    [anon_sym_AT] = ACTIONS(2209),
    [anon_sym_my] = ACTIONS(2209),
    [anon_sym_extended] = ACTIONS(2209),
    [anon_sym_async] = ACTIONS(2209),
    [anon_sym_sub] = ACTIONS(2209),
    [anon_sym_method] = ACTIONS(2209),
    [anon_sym_LPAREN] = ACTIONS(2209),
    [anon_sym_continue] = ACTIONS(2209),
    [anon_sym_state] = ACTIONS(2209),
    [anon_sym_our] = ACTIONS(2209),
    [anon_sym_try] = ACTIONS(2209),
    [anon_sym_defer] = ACTIONS(2209),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2209),
    [anon_sym_LBRACK] = ACTIONS(2209),
    [anon_sym_LT_LT] = ACTIONS(2209),
    [anon_sym_SLASH_SLASH] = ACTIONS(2209),
    [anon_sym_PLUS] = ACTIONS(2209),
    [anon_sym_DASH] = ACTIONS(2209),
    [anon_sym_TILDE] = ACTIONS(2209),
    [anon_sym_BANG] = ACTIONS(2209),
    [anon_sym_PLUS_PLUS] = ACTIONS(2209),
    [anon_sym_DASH_DASH] = ACTIONS(2209),
    [anon_sym_BSLASH] = ACTIONS(2207),
    [anon_sym_do] = ACTIONS(2209),
    [anon_sym_eval] = ACTIONS(2209),
    [anon_sym_await] = ACTIONS(2209),
    [anon_sym_field] = ACTIONS(2209),
    [anon_sym_local] = ACTIONS(2209),
    [anon_sym_dynamically] = ACTIONS(2209),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2209),
    [anon_sym_require] = ACTIONS(2209),
    [anon_sym_map] = ACTIONS(2209),
    [anon_sym_grep] = ACTIONS(2209),
    [anon_sym_sort] = ACTIONS(2209),
    [anon_sym_goto] = ACTIONS(2209),
    [anon_sym_return] = ACTIONS(2209),
    [anon_sym_undef] = ACTIONS(2209),
    [anon_sym_PERCENT2] = ACTIONS(2209),
    [anon_sym_AMP2] = ACTIONS(2209),
    [anon_sym_STAR2] = ACTIONS(2209),
    [anon_sym_use] = ACTIONS(2209),
    [anon_sym_no] = ACTIONS(2209),
    [anon_sym_for] = ACTIONS(2209),
    [anon_sym_foreach] = ACTIONS(2209),
    [anon_sym_last] = ACTIONS(2209),
    [anon_sym_next] = ACTIONS(2209),
    [anon_sym_redo] = ACTIONS(2209),
    [anon_sym_BEGIN] = ACTIONS(2209),
    [anon_sym_INIT] = ACTIONS(2209),
    [anon_sym_CHECK] = ACTIONS(2209),
    [anon_sym_UNITCHECK] = ACTIONS(2209),
    [anon_sym_END] = ACTIONS(2209),
    [anon_sym___FILE__] = ACTIONS(2209),
    [anon_sym___LINE__] = ACTIONS(2209),
    [anon_sym___PACKAGE__] = ACTIONS(2209),
    [anon_sym___SUB__] = ACTIONS(2209),
    [anon_sym_break] = ACTIONS(2209),
    [anon_sym_fork] = ACTIONS(2209),
    [anon_sym_getppid] = ACTIONS(2209),
    [anon_sym_time] = ACTIONS(2209),
    [anon_sym_times] = ACTIONS(2209),
    [anon_sym_wait] = ACTIONS(2209),
    [anon_sym_wantarray] = ACTIONS(2209),
    [anon_sym_abs] = ACTIONS(2209),
    [anon_sym_alarm] = ACTIONS(2209),
    [anon_sym_chop] = ACTIONS(2209),
    [anon_sym_chdir] = ACTIONS(2209),
    [anon_sym_close] = ACTIONS(2209),
    [anon_sym_closedir] = ACTIONS(2209),
    [anon_sym_caller] = ACTIONS(2209),
    [anon_sym_chomp] = ACTIONS(2209),
    [anon_sym_chr] = ACTIONS(2209),
    [anon_sym_cos] = ACTIONS(2209),
    [anon_sym_chroot] = ACTIONS(2209),
    [anon_sym_defined] = ACTIONS(2209),
    [anon_sym_delete] = ACTIONS(2209),
    [anon_sym_dbmclose] = ACTIONS(2209),
    [anon_sym_exists] = ACTIONS(2209),
    [anon_sym_exit] = ACTIONS(2209),
    [anon_sym_eof] = ACTIONS(2209),
    [anon_sym_exp] = ACTIONS(2209),
    [anon_sym_each] = ACTIONS(2209),
    [anon_sym_fc] = ACTIONS(2209),
    [anon_sym_fileno] = ACTIONS(2209),
    [anon_sym_gmtime] = ACTIONS(2209),
    [anon_sym_getc] = ACTIONS(2209),
    [anon_sym_getpgrp] = ACTIONS(2209),
    [anon_sym_getprotobyname] = ACTIONS(2209),
    [anon_sym_getpwname] = ACTIONS(2209),
    [anon_sym_getpwuid] = ACTIONS(2209),
    [anon_sym_getpeername] = ACTIONS(2209),
    [anon_sym_getnetbyname] = ACTIONS(2209),
    [anon_sym_getsockname] = ACTIONS(2209),
    [anon_sym_getgrnam] = ACTIONS(2209),
    [anon_sym_getgrgid] = ACTIONS(2209),
    [anon_sym_hex] = ACTIONS(2209),
    [anon_sym_int] = ACTIONS(2209),
    [anon_sym_keys] = ACTIONS(2209),
    [anon_sym_lc] = ACTIONS(2209),
    [anon_sym_lcfirst] = ACTIONS(2209),
    [anon_sym_length] = ACTIONS(2209),
    [anon_sym_localtime] = ACTIONS(2209),
    [anon_sym_log] = ACTIONS(2209),
    [anon_sym_lock] = ACTIONS(2209),
    [anon_sym_lstat] = ACTIONS(2209),
    [anon_sym_oct] = ACTIONS(2209),
    [anon_sym_ord] = ACTIONS(2209),
    [anon_sym_prototype] = ACTIONS(2209),
    [anon_sym_pop] = ACTIONS(2209),
    [anon_sym_pos] = ACTIONS(2209),
    [anon_sym_quotemeta] = ACTIONS(2209),
    [anon_sym_reset] = ACTIONS(2209),
    [anon_sym_rand] = ACTIONS(2209),
    [anon_sym_rmdir] = ACTIONS(2209),
    [anon_sym_readdir] = ACTIONS(2209),
    [anon_sym_readline] = ACTIONS(2209),
    [anon_sym_readpipe] = ACTIONS(2209),
    [anon_sym_rewinddir] = ACTIONS(2209),
    [anon_sym_readlink] = ACTIONS(2209),
    [anon_sym_ref] = ACTIONS(2209),
    [anon_sym_scalar] = ACTIONS(2209),
    [anon_sym_shift] = ACTIONS(2209),
    [anon_sym_sin] = ACTIONS(2209),
    [anon_sym_sleep] = ACTIONS(2209),
    [anon_sym_sqrt] = ACTIONS(2209),
    [anon_sym_srand] = ACTIONS(2209),
    [anon_sym_stat] = ACTIONS(2209),
    [anon_sym_study] = ACTIONS(2209),
    [anon_sym_tell] = ACTIONS(2209),
    [anon_sym_telldir] = ACTIONS(2209),
    [anon_sym_tied] = ACTIONS(2209),
    [anon_sym_uc] = ACTIONS(2209),
    [anon_sym_ucfirst] = ACTIONS(2209),
    [anon_sym_untie] = ACTIONS(2209),
    [anon_sym_umask] = ACTIONS(2209),
    [anon_sym_values] = ACTIONS(2209),
    [anon_sym_write] = ACTIONS(2209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2209),
    [anon_sym_qq] = ACTIONS(2209),
    [anon_sym_qw] = ACTIONS(2209),
    [anon_sym_qx] = ACTIONS(2209),
    [anon_sym_qr] = ACTIONS(2209),
    [anon_sym_m] = ACTIONS(2209),
    [anon_sym_s] = ACTIONS(2209),
    [anon_sym_tr] = ACTIONS(2209),
    [anon_sym_y] = ACTIONS(2209),
    [anon_sym_if] = ACTIONS(2209),
    [anon_sym_unless] = ACTIONS(2209),
    [anon_sym_while] = ACTIONS(2209),
    [anon_sym_until] = ACTIONS(2209),
    [aux_sym__bareword_token1] = ACTIONS(2209),
    [sym_number] = ACTIONS(2209),
    [anon_sym_true] = ACTIONS(2209),
    [anon_sym_false] = ACTIONS(2209),
    [sym__single_quote] = ACTIONS(2207),
    [sym__double_quote] = ACTIONS(2207),
    [sym__backtick_quote] = ACTIONS(2207),
    [sym__search_slash_quote] = ACTIONS(2207),
    [sym__open_readline_bracket] = ACTIONS(2207),
    [sym__open_fileglob_bracket] = ACTIONS(2207),
    [sym__PERLY_HEREDOC] = ACTIONS(2207),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2207),
    [sym__filetest] = ACTIONS(2207),
  },
  [1031] = {
    [sym_heredoc_content] = STATE(1031),
    [sym__identifier] = ACTIONS(2213),
    [anon_sym_LBRACE] = ACTIONS(2213),
    [anon_sym_RBRACE] = ACTIONS(2213),
    [anon_sym_SEMI] = ACTIONS(2213),
    [anon_sym_package] = ACTIONS(2213),
    [anon_sym_class] = ACTIONS(2213),
    [anon_sym_role] = ACTIONS(2213),
    [anon_sym_BUILD] = ACTIONS(2213),
    [anon_sym_ADJUST] = ACTIONS(2213),
    [anon_sym_DOLLAR] = ACTIONS(2213),
    [anon_sym_AT] = ACTIONS(2213),
    [anon_sym_my] = ACTIONS(2213),
    [anon_sym_extended] = ACTIONS(2213),
    [anon_sym_async] = ACTIONS(2213),
    [anon_sym_sub] = ACTIONS(2213),
    [anon_sym_method] = ACTIONS(2213),
    [anon_sym_LPAREN] = ACTIONS(2213),
    [anon_sym_continue] = ACTIONS(2213),
    [anon_sym_state] = ACTIONS(2213),
    [anon_sym_our] = ACTIONS(2213),
    [anon_sym_try] = ACTIONS(2213),
    [anon_sym_defer] = ACTIONS(2213),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2213),
    [anon_sym_LBRACK] = ACTIONS(2213),
    [anon_sym_LT_LT] = ACTIONS(2213),
    [anon_sym_SLASH_SLASH] = ACTIONS(2213),
    [anon_sym_PLUS] = ACTIONS(2213),
    [anon_sym_DASH] = ACTIONS(2213),
    [anon_sym_TILDE] = ACTIONS(2213),
    [anon_sym_BANG] = ACTIONS(2213),
    [anon_sym_PLUS_PLUS] = ACTIONS(2213),
    [anon_sym_DASH_DASH] = ACTIONS(2213),
    [anon_sym_BSLASH] = ACTIONS(2211),
    [anon_sym_do] = ACTIONS(2213),
    [anon_sym_eval] = ACTIONS(2213),
    [anon_sym_await] = ACTIONS(2213),
    [anon_sym_field] = ACTIONS(2213),
    [anon_sym_local] = ACTIONS(2213),
    [anon_sym_dynamically] = ACTIONS(2213),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2213),
    [anon_sym_require] = ACTIONS(2213),
    [anon_sym_map] = ACTIONS(2213),
    [anon_sym_grep] = ACTIONS(2213),
    [anon_sym_sort] = ACTIONS(2213),
    [anon_sym_goto] = ACTIONS(2213),
    [anon_sym_return] = ACTIONS(2213),
    [anon_sym_undef] = ACTIONS(2213),
    [anon_sym_PERCENT2] = ACTIONS(2213),
    [anon_sym_AMP2] = ACTIONS(2213),
    [anon_sym_STAR2] = ACTIONS(2213),
    [anon_sym_use] = ACTIONS(2213),
    [anon_sym_no] = ACTIONS(2213),
    [anon_sym_for] = ACTIONS(2213),
    [anon_sym_foreach] = ACTIONS(2213),
    [anon_sym_last] = ACTIONS(2213),
    [anon_sym_next] = ACTIONS(2213),
    [anon_sym_redo] = ACTIONS(2213),
    [anon_sym_BEGIN] = ACTIONS(2213),
    [anon_sym_INIT] = ACTIONS(2213),
    [anon_sym_CHECK] = ACTIONS(2213),
    [anon_sym_UNITCHECK] = ACTIONS(2213),
    [anon_sym_END] = ACTIONS(2213),
    [anon_sym___FILE__] = ACTIONS(2213),
    [anon_sym___LINE__] = ACTIONS(2213),
    [anon_sym___PACKAGE__] = ACTIONS(2213),
    [anon_sym___SUB__] = ACTIONS(2213),
    [anon_sym_break] = ACTIONS(2213),
    [anon_sym_fork] = ACTIONS(2213),
    [anon_sym_getppid] = ACTIONS(2213),
    [anon_sym_time] = ACTIONS(2213),
    [anon_sym_times] = ACTIONS(2213),
    [anon_sym_wait] = ACTIONS(2213),
    [anon_sym_wantarray] = ACTIONS(2213),
    [anon_sym_abs] = ACTIONS(2213),
    [anon_sym_alarm] = ACTIONS(2213),
    [anon_sym_chop] = ACTIONS(2213),
    [anon_sym_chdir] = ACTIONS(2213),
    [anon_sym_close] = ACTIONS(2213),
    [anon_sym_closedir] = ACTIONS(2213),
    [anon_sym_caller] = ACTIONS(2213),
    [anon_sym_chomp] = ACTIONS(2213),
    [anon_sym_chr] = ACTIONS(2213),
    [anon_sym_cos] = ACTIONS(2213),
    [anon_sym_chroot] = ACTIONS(2213),
    [anon_sym_defined] = ACTIONS(2213),
    [anon_sym_delete] = ACTIONS(2213),
    [anon_sym_dbmclose] = ACTIONS(2213),
    [anon_sym_exists] = ACTIONS(2213),
    [anon_sym_exit] = ACTIONS(2213),
    [anon_sym_eof] = ACTIONS(2213),
    [anon_sym_exp] = ACTIONS(2213),
    [anon_sym_each] = ACTIONS(2213),
    [anon_sym_fc] = ACTIONS(2213),
    [anon_sym_fileno] = ACTIONS(2213),
    [anon_sym_gmtime] = ACTIONS(2213),
    [anon_sym_getc] = ACTIONS(2213),
    [anon_sym_getpgrp] = ACTIONS(2213),
    [anon_sym_getprotobyname] = ACTIONS(2213),
    [anon_sym_getpwname] = ACTIONS(2213),
    [anon_sym_getpwuid] = ACTIONS(2213),
    [anon_sym_getpeername] = ACTIONS(2213),
    [anon_sym_getnetbyname] = ACTIONS(2213),
    [anon_sym_getsockname] = ACTIONS(2213),
    [anon_sym_getgrnam] = ACTIONS(2213),
    [anon_sym_getgrgid] = ACTIONS(2213),
    [anon_sym_hex] = ACTIONS(2213),
    [anon_sym_int] = ACTIONS(2213),
    [anon_sym_keys] = ACTIONS(2213),
    [anon_sym_lc] = ACTIONS(2213),
    [anon_sym_lcfirst] = ACTIONS(2213),
    [anon_sym_length] = ACTIONS(2213),
    [anon_sym_localtime] = ACTIONS(2213),
    [anon_sym_log] = ACTIONS(2213),
    [anon_sym_lock] = ACTIONS(2213),
    [anon_sym_lstat] = ACTIONS(2213),
    [anon_sym_oct] = ACTIONS(2213),
    [anon_sym_ord] = ACTIONS(2213),
    [anon_sym_prototype] = ACTIONS(2213),
    [anon_sym_pop] = ACTIONS(2213),
    [anon_sym_pos] = ACTIONS(2213),
    [anon_sym_quotemeta] = ACTIONS(2213),
    [anon_sym_reset] = ACTIONS(2213),
    [anon_sym_rand] = ACTIONS(2213),
    [anon_sym_rmdir] = ACTIONS(2213),
    [anon_sym_readdir] = ACTIONS(2213),
    [anon_sym_readline] = ACTIONS(2213),
    [anon_sym_readpipe] = ACTIONS(2213),
    [anon_sym_rewinddir] = ACTIONS(2213),
    [anon_sym_readlink] = ACTIONS(2213),
    [anon_sym_ref] = ACTIONS(2213),
    [anon_sym_scalar] = ACTIONS(2213),
    [anon_sym_shift] = ACTIONS(2213),
    [anon_sym_sin] = ACTIONS(2213),
    [anon_sym_sleep] = ACTIONS(2213),
    [anon_sym_sqrt] = ACTIONS(2213),
    [anon_sym_srand] = ACTIONS(2213),
    [anon_sym_stat] = ACTIONS(2213),
    [anon_sym_study] = ACTIONS(2213),
    [anon_sym_tell] = ACTIONS(2213),
    [anon_sym_telldir] = ACTIONS(2213),
    [anon_sym_tied] = ACTIONS(2213),
    [anon_sym_uc] = ACTIONS(2213),
    [anon_sym_ucfirst] = ACTIONS(2213),
    [anon_sym_untie] = ACTIONS(2213),
    [anon_sym_umask] = ACTIONS(2213),
    [anon_sym_values] = ACTIONS(2213),
    [anon_sym_write] = ACTIONS(2213),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2213),
    [anon_sym_qq] = ACTIONS(2213),
    [anon_sym_qw] = ACTIONS(2213),
    [anon_sym_qx] = ACTIONS(2213),
    [anon_sym_qr] = ACTIONS(2213),
    [anon_sym_m] = ACTIONS(2213),
    [anon_sym_s] = ACTIONS(2213),
    [anon_sym_tr] = ACTIONS(2213),
    [anon_sym_y] = ACTIONS(2213),
    [anon_sym_if] = ACTIONS(2213),
    [anon_sym_unless] = ACTIONS(2213),
    [anon_sym_while] = ACTIONS(2213),
    [anon_sym_until] = ACTIONS(2213),
    [aux_sym__bareword_token1] = ACTIONS(2213),
    [sym_number] = ACTIONS(2213),
    [anon_sym_true] = ACTIONS(2213),
    [anon_sym_false] = ACTIONS(2213),
    [sym__single_quote] = ACTIONS(2211),
    [sym__double_quote] = ACTIONS(2211),
    [sym__backtick_quote] = ACTIONS(2211),
    [sym__search_slash_quote] = ACTIONS(2211),
    [sym__open_readline_bracket] = ACTIONS(2211),
    [sym__open_fileglob_bracket] = ACTIONS(2211),
    [sym__PERLY_HEREDOC] = ACTIONS(2211),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2211),
    [sym__filetest] = ACTIONS(2211),
  },
  [1032] = {
    [sym_heredoc_content] = STATE(1032),
    [sym__identifier] = ACTIONS(2217),
    [anon_sym_LBRACE] = ACTIONS(2217),
    [anon_sym_RBRACE] = ACTIONS(2217),
    [anon_sym_SEMI] = ACTIONS(2217),
    [anon_sym_package] = ACTIONS(2217),
    [anon_sym_class] = ACTIONS(2217),
    [anon_sym_role] = ACTIONS(2217),
    [anon_sym_BUILD] = ACTIONS(2217),
    [anon_sym_ADJUST] = ACTIONS(2217),
    [anon_sym_DOLLAR] = ACTIONS(2217),
    [anon_sym_AT] = ACTIONS(2217),
    [anon_sym_my] = ACTIONS(2217),
    [anon_sym_extended] = ACTIONS(2217),
    [anon_sym_async] = ACTIONS(2217),
    [anon_sym_sub] = ACTIONS(2217),
    [anon_sym_method] = ACTIONS(2217),
    [anon_sym_LPAREN] = ACTIONS(2217),
    [anon_sym_continue] = ACTIONS(2217),
    [anon_sym_state] = ACTIONS(2217),
    [anon_sym_our] = ACTIONS(2217),
    [anon_sym_try] = ACTIONS(2217),
    [anon_sym_defer] = ACTIONS(2217),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2217),
    [anon_sym_LBRACK] = ACTIONS(2217),
    [anon_sym_LT_LT] = ACTIONS(2217),
    [anon_sym_SLASH_SLASH] = ACTIONS(2217),
    [anon_sym_PLUS] = ACTIONS(2217),
    [anon_sym_DASH] = ACTIONS(2217),
    [anon_sym_TILDE] = ACTIONS(2217),
    [anon_sym_BANG] = ACTIONS(2217),
    [anon_sym_PLUS_PLUS] = ACTIONS(2217),
    [anon_sym_DASH_DASH] = ACTIONS(2217),
    [anon_sym_BSLASH] = ACTIONS(2215),
    [anon_sym_do] = ACTIONS(2217),
    [anon_sym_eval] = ACTIONS(2217),
    [anon_sym_await] = ACTIONS(2217),
    [anon_sym_field] = ACTIONS(2217),
    [anon_sym_local] = ACTIONS(2217),
    [anon_sym_dynamically] = ACTIONS(2217),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2217),
    [anon_sym_require] = ACTIONS(2217),
    [anon_sym_map] = ACTIONS(2217),
    [anon_sym_grep] = ACTIONS(2217),
    [anon_sym_sort] = ACTIONS(2217),
    [anon_sym_goto] = ACTIONS(2217),
    [anon_sym_return] = ACTIONS(2217),
    [anon_sym_undef] = ACTIONS(2217),
    [anon_sym_PERCENT2] = ACTIONS(2217),
    [anon_sym_AMP2] = ACTIONS(2217),
    [anon_sym_STAR2] = ACTIONS(2217),
    [anon_sym_use] = ACTIONS(2217),
    [anon_sym_no] = ACTIONS(2217),
    [anon_sym_for] = ACTIONS(2217),
    [anon_sym_foreach] = ACTIONS(2217),
    [anon_sym_last] = ACTIONS(2217),
    [anon_sym_next] = ACTIONS(2217),
    [anon_sym_redo] = ACTIONS(2217),
    [anon_sym_BEGIN] = ACTIONS(2217),
    [anon_sym_INIT] = ACTIONS(2217),
    [anon_sym_CHECK] = ACTIONS(2217),
    [anon_sym_UNITCHECK] = ACTIONS(2217),
    [anon_sym_END] = ACTIONS(2217),
    [anon_sym___FILE__] = ACTIONS(2217),
    [anon_sym___LINE__] = ACTIONS(2217),
    [anon_sym___PACKAGE__] = ACTIONS(2217),
    [anon_sym___SUB__] = ACTIONS(2217),
    [anon_sym_break] = ACTIONS(2217),
    [anon_sym_fork] = ACTIONS(2217),
    [anon_sym_getppid] = ACTIONS(2217),
    [anon_sym_time] = ACTIONS(2217),
    [anon_sym_times] = ACTIONS(2217),
    [anon_sym_wait] = ACTIONS(2217),
    [anon_sym_wantarray] = ACTIONS(2217),
    [anon_sym_abs] = ACTIONS(2217),
    [anon_sym_alarm] = ACTIONS(2217),
    [anon_sym_chop] = ACTIONS(2217),
    [anon_sym_chdir] = ACTIONS(2217),
    [anon_sym_close] = ACTIONS(2217),
    [anon_sym_closedir] = ACTIONS(2217),
    [anon_sym_caller] = ACTIONS(2217),
    [anon_sym_chomp] = ACTIONS(2217),
    [anon_sym_chr] = ACTIONS(2217),
    [anon_sym_cos] = ACTIONS(2217),
    [anon_sym_chroot] = ACTIONS(2217),
    [anon_sym_defined] = ACTIONS(2217),
    [anon_sym_delete] = ACTIONS(2217),
    [anon_sym_dbmclose] = ACTIONS(2217),
    [anon_sym_exists] = ACTIONS(2217),
    [anon_sym_exit] = ACTIONS(2217),
    [anon_sym_eof] = ACTIONS(2217),
    [anon_sym_exp] = ACTIONS(2217),
    [anon_sym_each] = ACTIONS(2217),
    [anon_sym_fc] = ACTIONS(2217),
    [anon_sym_fileno] = ACTIONS(2217),
    [anon_sym_gmtime] = ACTIONS(2217),
    [anon_sym_getc] = ACTIONS(2217),
    [anon_sym_getpgrp] = ACTIONS(2217),
    [anon_sym_getprotobyname] = ACTIONS(2217),
    [anon_sym_getpwname] = ACTIONS(2217),
    [anon_sym_getpwuid] = ACTIONS(2217),
    [anon_sym_getpeername] = ACTIONS(2217),
    [anon_sym_getnetbyname] = ACTIONS(2217),
    [anon_sym_getsockname] = ACTIONS(2217),
    [anon_sym_getgrnam] = ACTIONS(2217),
    [anon_sym_getgrgid] = ACTIONS(2217),
    [anon_sym_hex] = ACTIONS(2217),
    [anon_sym_int] = ACTIONS(2217),
    [anon_sym_keys] = ACTIONS(2217),
    [anon_sym_lc] = ACTIONS(2217),
    [anon_sym_lcfirst] = ACTIONS(2217),
    [anon_sym_length] = ACTIONS(2217),
    [anon_sym_localtime] = ACTIONS(2217),
    [anon_sym_log] = ACTIONS(2217),
    [anon_sym_lock] = ACTIONS(2217),
    [anon_sym_lstat] = ACTIONS(2217),
    [anon_sym_oct] = ACTIONS(2217),
    [anon_sym_ord] = ACTIONS(2217),
    [anon_sym_prototype] = ACTIONS(2217),
    [anon_sym_pop] = ACTIONS(2217),
    [anon_sym_pos] = ACTIONS(2217),
    [anon_sym_quotemeta] = ACTIONS(2217),
    [anon_sym_reset] = ACTIONS(2217),
    [anon_sym_rand] = ACTIONS(2217),
    [anon_sym_rmdir] = ACTIONS(2217),
    [anon_sym_readdir] = ACTIONS(2217),
    [anon_sym_readline] = ACTIONS(2217),
    [anon_sym_readpipe] = ACTIONS(2217),
    [anon_sym_rewinddir] = ACTIONS(2217),
    [anon_sym_readlink] = ACTIONS(2217),
    [anon_sym_ref] = ACTIONS(2217),
    [anon_sym_scalar] = ACTIONS(2217),
    [anon_sym_shift] = ACTIONS(2217),
    [anon_sym_sin] = ACTIONS(2217),
    [anon_sym_sleep] = ACTIONS(2217),
    [anon_sym_sqrt] = ACTIONS(2217),
    [anon_sym_srand] = ACTIONS(2217),
    [anon_sym_stat] = ACTIONS(2217),
    [anon_sym_study] = ACTIONS(2217),
    [anon_sym_tell] = ACTIONS(2217),
    [anon_sym_telldir] = ACTIONS(2217),
    [anon_sym_tied] = ACTIONS(2217),
    [anon_sym_uc] = ACTIONS(2217),
    [anon_sym_ucfirst] = ACTIONS(2217),
    [anon_sym_untie] = ACTIONS(2217),
    [anon_sym_umask] = ACTIONS(2217),
    [anon_sym_values] = ACTIONS(2217),
    [anon_sym_write] = ACTIONS(2217),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2217),
    [anon_sym_qq] = ACTIONS(2217),
    [anon_sym_qw] = ACTIONS(2217),
    [anon_sym_qx] = ACTIONS(2217),
    [anon_sym_qr] = ACTIONS(2217),
    [anon_sym_m] = ACTIONS(2217),
    [anon_sym_s] = ACTIONS(2217),
    [anon_sym_tr] = ACTIONS(2217),
    [anon_sym_y] = ACTIONS(2217),
    [anon_sym_if] = ACTIONS(2217),
    [anon_sym_unless] = ACTIONS(2217),
    [anon_sym_while] = ACTIONS(2217),
    [anon_sym_until] = ACTIONS(2217),
    [aux_sym__bareword_token1] = ACTIONS(2217),
    [sym_number] = ACTIONS(2217),
    [anon_sym_true] = ACTIONS(2217),
    [anon_sym_false] = ACTIONS(2217),
    [sym__single_quote] = ACTIONS(2215),
    [sym__double_quote] = ACTIONS(2215),
    [sym__backtick_quote] = ACTIONS(2215),
    [sym__search_slash_quote] = ACTIONS(2215),
    [sym__open_readline_bracket] = ACTIONS(2215),
    [sym__open_fileglob_bracket] = ACTIONS(2215),
    [sym__PERLY_HEREDOC] = ACTIONS(2215),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2215),
    [sym__filetest] = ACTIONS(2215),
  },
  [1033] = {
    [sym_heredoc_content] = STATE(1033),
    [sym__identifier] = ACTIONS(2041),
    [anon_sym_LBRACE] = ACTIONS(2041),
    [anon_sym_RBRACE] = ACTIONS(2041),
    [anon_sym_SEMI] = ACTIONS(2041),
    [anon_sym_package] = ACTIONS(2041),
    [anon_sym_class] = ACTIONS(2041),
    [anon_sym_role] = ACTIONS(2041),
    [anon_sym_BUILD] = ACTIONS(2041),
    [anon_sym_ADJUST] = ACTIONS(2041),
    [anon_sym_DOLLAR] = ACTIONS(2041),
    [anon_sym_AT] = ACTIONS(2041),
    [anon_sym_my] = ACTIONS(2041),
    [anon_sym_extended] = ACTIONS(2041),
    [anon_sym_async] = ACTIONS(2041),
    [anon_sym_sub] = ACTIONS(2041),
    [anon_sym_method] = ACTIONS(2041),
    [anon_sym_LPAREN] = ACTIONS(2041),
    [anon_sym_continue] = ACTIONS(2041),
    [anon_sym_state] = ACTIONS(2041),
    [anon_sym_our] = ACTIONS(2041),
    [anon_sym_try] = ACTIONS(2041),
    [anon_sym_defer] = ACTIONS(2041),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2041),
    [anon_sym_LBRACK] = ACTIONS(2041),
    [anon_sym_LT_LT] = ACTIONS(2041),
    [anon_sym_SLASH_SLASH] = ACTIONS(2041),
    [anon_sym_PLUS] = ACTIONS(2041),
    [anon_sym_DASH] = ACTIONS(2041),
    [anon_sym_TILDE] = ACTIONS(2041),
    [anon_sym_BANG] = ACTIONS(2041),
    [anon_sym_PLUS_PLUS] = ACTIONS(2041),
    [anon_sym_DASH_DASH] = ACTIONS(2041),
    [anon_sym_BSLASH] = ACTIONS(2039),
    [anon_sym_do] = ACTIONS(2041),
    [anon_sym_eval] = ACTIONS(2041),
    [anon_sym_await] = ACTIONS(2041),
    [anon_sym_field] = ACTIONS(2041),
    [anon_sym_local] = ACTIONS(2041),
    [anon_sym_dynamically] = ACTIONS(2041),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2041),
    [anon_sym_require] = ACTIONS(2041),
    [anon_sym_map] = ACTIONS(2041),
    [anon_sym_grep] = ACTIONS(2041),
    [anon_sym_sort] = ACTIONS(2041),
    [anon_sym_goto] = ACTIONS(2041),
    [anon_sym_return] = ACTIONS(2041),
    [anon_sym_undef] = ACTIONS(2041),
    [anon_sym_PERCENT2] = ACTIONS(2041),
    [anon_sym_AMP2] = ACTIONS(2041),
    [anon_sym_STAR2] = ACTIONS(2041),
    [anon_sym_use] = ACTIONS(2041),
    [anon_sym_no] = ACTIONS(2041),
    [anon_sym_for] = ACTIONS(2041),
    [anon_sym_foreach] = ACTIONS(2041),
    [anon_sym_last] = ACTIONS(2041),
    [anon_sym_next] = ACTIONS(2041),
    [anon_sym_redo] = ACTIONS(2041),
    [anon_sym_BEGIN] = ACTIONS(2041),
    [anon_sym_INIT] = ACTIONS(2041),
    [anon_sym_CHECK] = ACTIONS(2041),
    [anon_sym_UNITCHECK] = ACTIONS(2041),
    [anon_sym_END] = ACTIONS(2041),
    [anon_sym___FILE__] = ACTIONS(2041),
    [anon_sym___LINE__] = ACTIONS(2041),
    [anon_sym___PACKAGE__] = ACTIONS(2041),
    [anon_sym___SUB__] = ACTIONS(2041),
    [anon_sym_break] = ACTIONS(2041),
    [anon_sym_fork] = ACTIONS(2041),
    [anon_sym_getppid] = ACTIONS(2041),
    [anon_sym_time] = ACTIONS(2041),
    [anon_sym_times] = ACTIONS(2041),
    [anon_sym_wait] = ACTIONS(2041),
    [anon_sym_wantarray] = ACTIONS(2041),
    [anon_sym_abs] = ACTIONS(2041),
    [anon_sym_alarm] = ACTIONS(2041),
    [anon_sym_chop] = ACTIONS(2041),
    [anon_sym_chdir] = ACTIONS(2041),
    [anon_sym_close] = ACTIONS(2041),
    [anon_sym_closedir] = ACTIONS(2041),
    [anon_sym_caller] = ACTIONS(2041),
    [anon_sym_chomp] = ACTIONS(2041),
    [anon_sym_chr] = ACTIONS(2041),
    [anon_sym_cos] = ACTIONS(2041),
    [anon_sym_chroot] = ACTIONS(2041),
    [anon_sym_defined] = ACTIONS(2041),
    [anon_sym_delete] = ACTIONS(2041),
    [anon_sym_dbmclose] = ACTIONS(2041),
    [anon_sym_exists] = ACTIONS(2041),
    [anon_sym_exit] = ACTIONS(2041),
    [anon_sym_eof] = ACTIONS(2041),
    [anon_sym_exp] = ACTIONS(2041),
    [anon_sym_each] = ACTIONS(2041),
    [anon_sym_fc] = ACTIONS(2041),
    [anon_sym_fileno] = ACTIONS(2041),
    [anon_sym_gmtime] = ACTIONS(2041),
    [anon_sym_getc] = ACTIONS(2041),
    [anon_sym_getpgrp] = ACTIONS(2041),
    [anon_sym_getprotobyname] = ACTIONS(2041),
    [anon_sym_getpwname] = ACTIONS(2041),
    [anon_sym_getpwuid] = ACTIONS(2041),
    [anon_sym_getpeername] = ACTIONS(2041),
    [anon_sym_getnetbyname] = ACTIONS(2041),
    [anon_sym_getsockname] = ACTIONS(2041),
    [anon_sym_getgrnam] = ACTIONS(2041),
    [anon_sym_getgrgid] = ACTIONS(2041),
    [anon_sym_hex] = ACTIONS(2041),
    [anon_sym_int] = ACTIONS(2041),
    [anon_sym_keys] = ACTIONS(2041),
    [anon_sym_lc] = ACTIONS(2041),
    [anon_sym_lcfirst] = ACTIONS(2041),
    [anon_sym_length] = ACTIONS(2041),
    [anon_sym_localtime] = ACTIONS(2041),
    [anon_sym_log] = ACTIONS(2041),
    [anon_sym_lock] = ACTIONS(2041),
    [anon_sym_lstat] = ACTIONS(2041),
    [anon_sym_oct] = ACTIONS(2041),
    [anon_sym_ord] = ACTIONS(2041),
    [anon_sym_prototype] = ACTIONS(2041),
    [anon_sym_pop] = ACTIONS(2041),
    [anon_sym_pos] = ACTIONS(2041),
    [anon_sym_quotemeta] = ACTIONS(2041),
    [anon_sym_reset] = ACTIONS(2041),
    [anon_sym_rand] = ACTIONS(2041),
    [anon_sym_rmdir] = ACTIONS(2041),
    [anon_sym_readdir] = ACTIONS(2041),
    [anon_sym_readline] = ACTIONS(2041),
    [anon_sym_readpipe] = ACTIONS(2041),
    [anon_sym_rewinddir] = ACTIONS(2041),
    [anon_sym_readlink] = ACTIONS(2041),
    [anon_sym_ref] = ACTIONS(2041),
    [anon_sym_scalar] = ACTIONS(2041),
    [anon_sym_shift] = ACTIONS(2041),
    [anon_sym_sin] = ACTIONS(2041),
    [anon_sym_sleep] = ACTIONS(2041),
    [anon_sym_sqrt] = ACTIONS(2041),
    [anon_sym_srand] = ACTIONS(2041),
    [anon_sym_stat] = ACTIONS(2041),
    [anon_sym_study] = ACTIONS(2041),
    [anon_sym_tell] = ACTIONS(2041),
    [anon_sym_telldir] = ACTIONS(2041),
    [anon_sym_tied] = ACTIONS(2041),
    [anon_sym_uc] = ACTIONS(2041),
    [anon_sym_ucfirst] = ACTIONS(2041),
    [anon_sym_untie] = ACTIONS(2041),
    [anon_sym_umask] = ACTIONS(2041),
    [anon_sym_values] = ACTIONS(2041),
    [anon_sym_write] = ACTIONS(2041),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2041),
    [anon_sym_qq] = ACTIONS(2041),
    [anon_sym_qw] = ACTIONS(2041),
    [anon_sym_qx] = ACTIONS(2041),
    [anon_sym_qr] = ACTIONS(2041),
    [anon_sym_m] = ACTIONS(2041),
    [anon_sym_s] = ACTIONS(2041),
    [anon_sym_tr] = ACTIONS(2041),
    [anon_sym_y] = ACTIONS(2041),
    [anon_sym_if] = ACTIONS(2041),
    [anon_sym_unless] = ACTIONS(2041),
    [anon_sym_while] = ACTIONS(2041),
    [anon_sym_until] = ACTIONS(2041),
    [aux_sym__bareword_token1] = ACTIONS(2041),
    [sym_number] = ACTIONS(2041),
    [anon_sym_true] = ACTIONS(2041),
    [anon_sym_false] = ACTIONS(2041),
    [sym__single_quote] = ACTIONS(2039),
    [sym__double_quote] = ACTIONS(2039),
    [sym__backtick_quote] = ACTIONS(2039),
    [sym__search_slash_quote] = ACTIONS(2039),
    [sym__open_readline_bracket] = ACTIONS(2039),
    [sym__open_fileglob_bracket] = ACTIONS(2039),
    [sym__PERLY_HEREDOC] = ACTIONS(2039),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2039),
    [sym__filetest] = ACTIONS(2039),
  },
  [1034] = {
    [sym_heredoc_content] = STATE(1034),
    [sym__identifier] = ACTIONS(2241),
    [anon_sym_LBRACE] = ACTIONS(2241),
    [anon_sym_RBRACE] = ACTIONS(2241),
    [anon_sym_SEMI] = ACTIONS(2241),
    [anon_sym_package] = ACTIONS(2241),
    [anon_sym_class] = ACTIONS(2241),
    [anon_sym_role] = ACTIONS(2241),
    [anon_sym_BUILD] = ACTIONS(2241),
    [anon_sym_ADJUST] = ACTIONS(2241),
    [anon_sym_DOLLAR] = ACTIONS(2241),
    [anon_sym_AT] = ACTIONS(2241),
    [anon_sym_my] = ACTIONS(2241),
    [anon_sym_extended] = ACTIONS(2241),
    [anon_sym_async] = ACTIONS(2241),
    [anon_sym_sub] = ACTIONS(2241),
    [anon_sym_method] = ACTIONS(2241),
    [anon_sym_LPAREN] = ACTIONS(2241),
    [anon_sym_continue] = ACTIONS(2241),
    [anon_sym_state] = ACTIONS(2241),
    [anon_sym_our] = ACTIONS(2241),
    [anon_sym_try] = ACTIONS(2241),
    [anon_sym_defer] = ACTIONS(2241),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2241),
    [anon_sym_LBRACK] = ACTIONS(2241),
    [anon_sym_LT_LT] = ACTIONS(2241),
    [anon_sym_SLASH_SLASH] = ACTIONS(2241),
    [anon_sym_PLUS] = ACTIONS(2241),
    [anon_sym_DASH] = ACTIONS(2241),
    [anon_sym_TILDE] = ACTIONS(2241),
    [anon_sym_BANG] = ACTIONS(2241),
    [anon_sym_PLUS_PLUS] = ACTIONS(2241),
    [anon_sym_DASH_DASH] = ACTIONS(2241),
    [anon_sym_BSLASH] = ACTIONS(2239),
    [anon_sym_do] = ACTIONS(2241),
    [anon_sym_eval] = ACTIONS(2241),
    [anon_sym_await] = ACTIONS(2241),
    [anon_sym_field] = ACTIONS(2241),
    [anon_sym_local] = ACTIONS(2241),
    [anon_sym_dynamically] = ACTIONS(2241),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2241),
    [anon_sym_require] = ACTIONS(2241),
    [anon_sym_map] = ACTIONS(2241),
    [anon_sym_grep] = ACTIONS(2241),
    [anon_sym_sort] = ACTIONS(2241),
    [anon_sym_goto] = ACTIONS(2241),
    [anon_sym_return] = ACTIONS(2241),
    [anon_sym_undef] = ACTIONS(2241),
    [anon_sym_PERCENT2] = ACTIONS(2241),
    [anon_sym_AMP2] = ACTIONS(2241),
    [anon_sym_STAR2] = ACTIONS(2241),
    [anon_sym_use] = ACTIONS(2241),
    [anon_sym_no] = ACTIONS(2241),
    [anon_sym_for] = ACTIONS(2241),
    [anon_sym_foreach] = ACTIONS(2241),
    [anon_sym_last] = ACTIONS(2241),
    [anon_sym_next] = ACTIONS(2241),
    [anon_sym_redo] = ACTIONS(2241),
    [anon_sym_BEGIN] = ACTIONS(2241),
    [anon_sym_INIT] = ACTIONS(2241),
    [anon_sym_CHECK] = ACTIONS(2241),
    [anon_sym_UNITCHECK] = ACTIONS(2241),
    [anon_sym_END] = ACTIONS(2241),
    [anon_sym___FILE__] = ACTIONS(2241),
    [anon_sym___LINE__] = ACTIONS(2241),
    [anon_sym___PACKAGE__] = ACTIONS(2241),
    [anon_sym___SUB__] = ACTIONS(2241),
    [anon_sym_break] = ACTIONS(2241),
    [anon_sym_fork] = ACTIONS(2241),
    [anon_sym_getppid] = ACTIONS(2241),
    [anon_sym_time] = ACTIONS(2241),
    [anon_sym_times] = ACTIONS(2241),
    [anon_sym_wait] = ACTIONS(2241),
    [anon_sym_wantarray] = ACTIONS(2241),
    [anon_sym_abs] = ACTIONS(2241),
    [anon_sym_alarm] = ACTIONS(2241),
    [anon_sym_chop] = ACTIONS(2241),
    [anon_sym_chdir] = ACTIONS(2241),
    [anon_sym_close] = ACTIONS(2241),
    [anon_sym_closedir] = ACTIONS(2241),
    [anon_sym_caller] = ACTIONS(2241),
    [anon_sym_chomp] = ACTIONS(2241),
    [anon_sym_chr] = ACTIONS(2241),
    [anon_sym_cos] = ACTIONS(2241),
    [anon_sym_chroot] = ACTIONS(2241),
    [anon_sym_defined] = ACTIONS(2241),
    [anon_sym_delete] = ACTIONS(2241),
    [anon_sym_dbmclose] = ACTIONS(2241),
    [anon_sym_exists] = ACTIONS(2241),
    [anon_sym_exit] = ACTIONS(2241),
    [anon_sym_eof] = ACTIONS(2241),
    [anon_sym_exp] = ACTIONS(2241),
    [anon_sym_each] = ACTIONS(2241),
    [anon_sym_fc] = ACTIONS(2241),
    [anon_sym_fileno] = ACTIONS(2241),
    [anon_sym_gmtime] = ACTIONS(2241),
    [anon_sym_getc] = ACTIONS(2241),
    [anon_sym_getpgrp] = ACTIONS(2241),
    [anon_sym_getprotobyname] = ACTIONS(2241),
    [anon_sym_getpwname] = ACTIONS(2241),
    [anon_sym_getpwuid] = ACTIONS(2241),
    [anon_sym_getpeername] = ACTIONS(2241),
    [anon_sym_getnetbyname] = ACTIONS(2241),
    [anon_sym_getsockname] = ACTIONS(2241),
    [anon_sym_getgrnam] = ACTIONS(2241),
    [anon_sym_getgrgid] = ACTIONS(2241),
    [anon_sym_hex] = ACTIONS(2241),
    [anon_sym_int] = ACTIONS(2241),
    [anon_sym_keys] = ACTIONS(2241),
    [anon_sym_lc] = ACTIONS(2241),
    [anon_sym_lcfirst] = ACTIONS(2241),
    [anon_sym_length] = ACTIONS(2241),
    [anon_sym_localtime] = ACTIONS(2241),
    [anon_sym_log] = ACTIONS(2241),
    [anon_sym_lock] = ACTIONS(2241),
    [anon_sym_lstat] = ACTIONS(2241),
    [anon_sym_oct] = ACTIONS(2241),
    [anon_sym_ord] = ACTIONS(2241),
    [anon_sym_prototype] = ACTIONS(2241),
    [anon_sym_pop] = ACTIONS(2241),
    [anon_sym_pos] = ACTIONS(2241),
    [anon_sym_quotemeta] = ACTIONS(2241),
    [anon_sym_reset] = ACTIONS(2241),
    [anon_sym_rand] = ACTIONS(2241),
    [anon_sym_rmdir] = ACTIONS(2241),
    [anon_sym_readdir] = ACTIONS(2241),
    [anon_sym_readline] = ACTIONS(2241),
    [anon_sym_readpipe] = ACTIONS(2241),
    [anon_sym_rewinddir] = ACTIONS(2241),
    [anon_sym_readlink] = ACTIONS(2241),
    [anon_sym_ref] = ACTIONS(2241),
    [anon_sym_scalar] = ACTIONS(2241),
    [anon_sym_shift] = ACTIONS(2241),
    [anon_sym_sin] = ACTIONS(2241),
    [anon_sym_sleep] = ACTIONS(2241),
    [anon_sym_sqrt] = ACTIONS(2241),
    [anon_sym_srand] = ACTIONS(2241),
    [anon_sym_stat] = ACTIONS(2241),
    [anon_sym_study] = ACTIONS(2241),
    [anon_sym_tell] = ACTIONS(2241),
    [anon_sym_telldir] = ACTIONS(2241),
    [anon_sym_tied] = ACTIONS(2241),
    [anon_sym_uc] = ACTIONS(2241),
    [anon_sym_ucfirst] = ACTIONS(2241),
    [anon_sym_untie] = ACTIONS(2241),
    [anon_sym_umask] = ACTIONS(2241),
    [anon_sym_values] = ACTIONS(2241),
    [anon_sym_write] = ACTIONS(2241),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2241),
    [anon_sym_qq] = ACTIONS(2241),
    [anon_sym_qw] = ACTIONS(2241),
    [anon_sym_qx] = ACTIONS(2241),
    [anon_sym_qr] = ACTIONS(2241),
    [anon_sym_m] = ACTIONS(2241),
    [anon_sym_s] = ACTIONS(2241),
    [anon_sym_tr] = ACTIONS(2241),
    [anon_sym_y] = ACTIONS(2241),
    [anon_sym_if] = ACTIONS(2241),
    [anon_sym_unless] = ACTIONS(2241),
    [anon_sym_while] = ACTIONS(2241),
    [anon_sym_until] = ACTIONS(2241),
    [aux_sym__bareword_token1] = ACTIONS(2241),
    [sym_number] = ACTIONS(2241),
    [anon_sym_true] = ACTIONS(2241),
    [anon_sym_false] = ACTIONS(2241),
    [sym__single_quote] = ACTIONS(2239),
    [sym__double_quote] = ACTIONS(2239),
    [sym__backtick_quote] = ACTIONS(2239),
    [sym__search_slash_quote] = ACTIONS(2239),
    [sym__open_readline_bracket] = ACTIONS(2239),
    [sym__open_fileglob_bracket] = ACTIONS(2239),
    [sym__PERLY_HEREDOC] = ACTIONS(2239),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2239),
    [sym__filetest] = ACTIONS(2239),
  },
  [1035] = {
    [sym_heredoc_content] = STATE(1035),
    [sym__identifier] = ACTIONS(2053),
    [anon_sym_LBRACE] = ACTIONS(2053),
    [anon_sym_RBRACE] = ACTIONS(2053),
    [anon_sym_SEMI] = ACTIONS(2053),
    [anon_sym_package] = ACTIONS(2053),
    [anon_sym_class] = ACTIONS(2053),
    [anon_sym_role] = ACTIONS(2053),
    [anon_sym_BUILD] = ACTIONS(2053),
    [anon_sym_ADJUST] = ACTIONS(2053),
    [anon_sym_DOLLAR] = ACTIONS(2053),
    [anon_sym_AT] = ACTIONS(2053),
    [anon_sym_my] = ACTIONS(2053),
    [anon_sym_extended] = ACTIONS(2053),
    [anon_sym_async] = ACTIONS(2053),
    [anon_sym_sub] = ACTIONS(2053),
    [anon_sym_method] = ACTIONS(2053),
    [anon_sym_LPAREN] = ACTIONS(2053),
    [anon_sym_continue] = ACTIONS(2053),
    [anon_sym_state] = ACTIONS(2053),
    [anon_sym_our] = ACTIONS(2053),
    [anon_sym_try] = ACTIONS(2053),
    [anon_sym_defer] = ACTIONS(2053),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2053),
    [anon_sym_LBRACK] = ACTIONS(2053),
    [anon_sym_LT_LT] = ACTIONS(2053),
    [anon_sym_SLASH_SLASH] = ACTIONS(2053),
    [anon_sym_PLUS] = ACTIONS(2053),
    [anon_sym_DASH] = ACTIONS(2053),
    [anon_sym_TILDE] = ACTIONS(2053),
    [anon_sym_BANG] = ACTIONS(2053),
    [anon_sym_PLUS_PLUS] = ACTIONS(2053),
    [anon_sym_DASH_DASH] = ACTIONS(2053),
    [anon_sym_BSLASH] = ACTIONS(2051),
    [anon_sym_do] = ACTIONS(2053),
    [anon_sym_eval] = ACTIONS(2053),
    [anon_sym_await] = ACTIONS(2053),
    [anon_sym_field] = ACTIONS(2053),
    [anon_sym_local] = ACTIONS(2053),
    [anon_sym_dynamically] = ACTIONS(2053),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2053),
    [anon_sym_require] = ACTIONS(2053),
    [anon_sym_map] = ACTIONS(2053),
    [anon_sym_grep] = ACTIONS(2053),
    [anon_sym_sort] = ACTIONS(2053),
    [anon_sym_goto] = ACTIONS(2053),
    [anon_sym_return] = ACTIONS(2053),
    [anon_sym_undef] = ACTIONS(2053),
    [anon_sym_PERCENT2] = ACTIONS(2053),
    [anon_sym_AMP2] = ACTIONS(2053),
    [anon_sym_STAR2] = ACTIONS(2053),
    [anon_sym_use] = ACTIONS(2053),
    [anon_sym_no] = ACTIONS(2053),
    [anon_sym_for] = ACTIONS(2053),
    [anon_sym_foreach] = ACTIONS(2053),
    [anon_sym_last] = ACTIONS(2053),
    [anon_sym_next] = ACTIONS(2053),
    [anon_sym_redo] = ACTIONS(2053),
    [anon_sym_BEGIN] = ACTIONS(2053),
    [anon_sym_INIT] = ACTIONS(2053),
    [anon_sym_CHECK] = ACTIONS(2053),
    [anon_sym_UNITCHECK] = ACTIONS(2053),
    [anon_sym_END] = ACTIONS(2053),
    [anon_sym___FILE__] = ACTIONS(2053),
    [anon_sym___LINE__] = ACTIONS(2053),
    [anon_sym___PACKAGE__] = ACTIONS(2053),
    [anon_sym___SUB__] = ACTIONS(2053),
    [anon_sym_break] = ACTIONS(2053),
    [anon_sym_fork] = ACTIONS(2053),
    [anon_sym_getppid] = ACTIONS(2053),
    [anon_sym_time] = ACTIONS(2053),
    [anon_sym_times] = ACTIONS(2053),
    [anon_sym_wait] = ACTIONS(2053),
    [anon_sym_wantarray] = ACTIONS(2053),
    [anon_sym_abs] = ACTIONS(2053),
    [anon_sym_alarm] = ACTIONS(2053),
    [anon_sym_chop] = ACTIONS(2053),
    [anon_sym_chdir] = ACTIONS(2053),
    [anon_sym_close] = ACTIONS(2053),
    [anon_sym_closedir] = ACTIONS(2053),
    [anon_sym_caller] = ACTIONS(2053),
    [anon_sym_chomp] = ACTIONS(2053),
    [anon_sym_chr] = ACTIONS(2053),
    [anon_sym_cos] = ACTIONS(2053),
    [anon_sym_chroot] = ACTIONS(2053),
    [anon_sym_defined] = ACTIONS(2053),
    [anon_sym_delete] = ACTIONS(2053),
    [anon_sym_dbmclose] = ACTIONS(2053),
    [anon_sym_exists] = ACTIONS(2053),
    [anon_sym_exit] = ACTIONS(2053),
    [anon_sym_eof] = ACTIONS(2053),
    [anon_sym_exp] = ACTIONS(2053),
    [anon_sym_each] = ACTIONS(2053),
    [anon_sym_fc] = ACTIONS(2053),
    [anon_sym_fileno] = ACTIONS(2053),
    [anon_sym_gmtime] = ACTIONS(2053),
    [anon_sym_getc] = ACTIONS(2053),
    [anon_sym_getpgrp] = ACTIONS(2053),
    [anon_sym_getprotobyname] = ACTIONS(2053),
    [anon_sym_getpwname] = ACTIONS(2053),
    [anon_sym_getpwuid] = ACTIONS(2053),
    [anon_sym_getpeername] = ACTIONS(2053),
    [anon_sym_getnetbyname] = ACTIONS(2053),
    [anon_sym_getsockname] = ACTIONS(2053),
    [anon_sym_getgrnam] = ACTIONS(2053),
    [anon_sym_getgrgid] = ACTIONS(2053),
    [anon_sym_hex] = ACTIONS(2053),
    [anon_sym_int] = ACTIONS(2053),
    [anon_sym_keys] = ACTIONS(2053),
    [anon_sym_lc] = ACTIONS(2053),
    [anon_sym_lcfirst] = ACTIONS(2053),
    [anon_sym_length] = ACTIONS(2053),
    [anon_sym_localtime] = ACTIONS(2053),
    [anon_sym_log] = ACTIONS(2053),
    [anon_sym_lock] = ACTIONS(2053),
    [anon_sym_lstat] = ACTIONS(2053),
    [anon_sym_oct] = ACTIONS(2053),
    [anon_sym_ord] = ACTIONS(2053),
    [anon_sym_prototype] = ACTIONS(2053),
    [anon_sym_pop] = ACTIONS(2053),
    [anon_sym_pos] = ACTIONS(2053),
    [anon_sym_quotemeta] = ACTIONS(2053),
    [anon_sym_reset] = ACTIONS(2053),
    [anon_sym_rand] = ACTIONS(2053),
    [anon_sym_rmdir] = ACTIONS(2053),
    [anon_sym_readdir] = ACTIONS(2053),
    [anon_sym_readline] = ACTIONS(2053),
    [anon_sym_readpipe] = ACTIONS(2053),
    [anon_sym_rewinddir] = ACTIONS(2053),
    [anon_sym_readlink] = ACTIONS(2053),
    [anon_sym_ref] = ACTIONS(2053),
    [anon_sym_scalar] = ACTIONS(2053),
    [anon_sym_shift] = ACTIONS(2053),
    [anon_sym_sin] = ACTIONS(2053),
    [anon_sym_sleep] = ACTIONS(2053),
    [anon_sym_sqrt] = ACTIONS(2053),
    [anon_sym_srand] = ACTIONS(2053),
    [anon_sym_stat] = ACTIONS(2053),
    [anon_sym_study] = ACTIONS(2053),
    [anon_sym_tell] = ACTIONS(2053),
    [anon_sym_telldir] = ACTIONS(2053),
    [anon_sym_tied] = ACTIONS(2053),
    [anon_sym_uc] = ACTIONS(2053),
    [anon_sym_ucfirst] = ACTIONS(2053),
    [anon_sym_untie] = ACTIONS(2053),
    [anon_sym_umask] = ACTIONS(2053),
    [anon_sym_values] = ACTIONS(2053),
    [anon_sym_write] = ACTIONS(2053),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2053),
    [anon_sym_qq] = ACTIONS(2053),
    [anon_sym_qw] = ACTIONS(2053),
    [anon_sym_qx] = ACTIONS(2053),
    [anon_sym_qr] = ACTIONS(2053),
    [anon_sym_m] = ACTIONS(2053),
    [anon_sym_s] = ACTIONS(2053),
    [anon_sym_tr] = ACTIONS(2053),
    [anon_sym_y] = ACTIONS(2053),
    [anon_sym_if] = ACTIONS(2053),
    [anon_sym_unless] = ACTIONS(2053),
    [anon_sym_while] = ACTIONS(2053),
    [anon_sym_until] = ACTIONS(2053),
    [aux_sym__bareword_token1] = ACTIONS(2053),
    [sym_number] = ACTIONS(2053),
    [anon_sym_true] = ACTIONS(2053),
    [anon_sym_false] = ACTIONS(2053),
    [sym__single_quote] = ACTIONS(2051),
    [sym__double_quote] = ACTIONS(2051),
    [sym__backtick_quote] = ACTIONS(2051),
    [sym__search_slash_quote] = ACTIONS(2051),
    [sym__open_readline_bracket] = ACTIONS(2051),
    [sym__open_fileglob_bracket] = ACTIONS(2051),
    [sym__PERLY_HEREDOC] = ACTIONS(2051),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2051),
    [sym__filetest] = ACTIONS(2051),
  },
  [1036] = {
    [sym_heredoc_content] = STATE(1036),
    [sym__identifier] = ACTIONS(2221),
    [anon_sym_LBRACE] = ACTIONS(2221),
    [anon_sym_RBRACE] = ACTIONS(2221),
    [anon_sym_SEMI] = ACTIONS(2221),
    [anon_sym_package] = ACTIONS(2221),
    [anon_sym_class] = ACTIONS(2221),
    [anon_sym_role] = ACTIONS(2221),
    [anon_sym_BUILD] = ACTIONS(2221),
    [anon_sym_ADJUST] = ACTIONS(2221),
    [anon_sym_DOLLAR] = ACTIONS(2221),
    [anon_sym_AT] = ACTIONS(2221),
    [anon_sym_my] = ACTIONS(2221),
    [anon_sym_extended] = ACTIONS(2221),
    [anon_sym_async] = ACTIONS(2221),
    [anon_sym_sub] = ACTIONS(2221),
    [anon_sym_method] = ACTIONS(2221),
    [anon_sym_LPAREN] = ACTIONS(2221),
    [anon_sym_continue] = ACTIONS(2221),
    [anon_sym_state] = ACTIONS(2221),
    [anon_sym_our] = ACTIONS(2221),
    [anon_sym_try] = ACTIONS(2221),
    [anon_sym_defer] = ACTIONS(2221),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2221),
    [anon_sym_LBRACK] = ACTIONS(2221),
    [anon_sym_LT_LT] = ACTIONS(2221),
    [anon_sym_SLASH_SLASH] = ACTIONS(2221),
    [anon_sym_PLUS] = ACTIONS(2221),
    [anon_sym_DASH] = ACTIONS(2221),
    [anon_sym_TILDE] = ACTIONS(2221),
    [anon_sym_BANG] = ACTIONS(2221),
    [anon_sym_PLUS_PLUS] = ACTIONS(2221),
    [anon_sym_DASH_DASH] = ACTIONS(2221),
    [anon_sym_BSLASH] = ACTIONS(2219),
    [anon_sym_do] = ACTIONS(2221),
    [anon_sym_eval] = ACTIONS(2221),
    [anon_sym_await] = ACTIONS(2221),
    [anon_sym_field] = ACTIONS(2221),
    [anon_sym_local] = ACTIONS(2221),
    [anon_sym_dynamically] = ACTIONS(2221),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2221),
    [anon_sym_require] = ACTIONS(2221),
    [anon_sym_map] = ACTIONS(2221),
    [anon_sym_grep] = ACTIONS(2221),
    [anon_sym_sort] = ACTIONS(2221),
    [anon_sym_goto] = ACTIONS(2221),
    [anon_sym_return] = ACTIONS(2221),
    [anon_sym_undef] = ACTIONS(2221),
    [anon_sym_PERCENT2] = ACTIONS(2221),
    [anon_sym_AMP2] = ACTIONS(2221),
    [anon_sym_STAR2] = ACTIONS(2221),
    [anon_sym_use] = ACTIONS(2221),
    [anon_sym_no] = ACTIONS(2221),
    [anon_sym_for] = ACTIONS(2221),
    [anon_sym_foreach] = ACTIONS(2221),
    [anon_sym_last] = ACTIONS(2221),
    [anon_sym_next] = ACTIONS(2221),
    [anon_sym_redo] = ACTIONS(2221),
    [anon_sym_BEGIN] = ACTIONS(2221),
    [anon_sym_INIT] = ACTIONS(2221),
    [anon_sym_CHECK] = ACTIONS(2221),
    [anon_sym_UNITCHECK] = ACTIONS(2221),
    [anon_sym_END] = ACTIONS(2221),
    [anon_sym___FILE__] = ACTIONS(2221),
    [anon_sym___LINE__] = ACTIONS(2221),
    [anon_sym___PACKAGE__] = ACTIONS(2221),
    [anon_sym___SUB__] = ACTIONS(2221),
    [anon_sym_break] = ACTIONS(2221),
    [anon_sym_fork] = ACTIONS(2221),
    [anon_sym_getppid] = ACTIONS(2221),
    [anon_sym_time] = ACTIONS(2221),
    [anon_sym_times] = ACTIONS(2221),
    [anon_sym_wait] = ACTIONS(2221),
    [anon_sym_wantarray] = ACTIONS(2221),
    [anon_sym_abs] = ACTIONS(2221),
    [anon_sym_alarm] = ACTIONS(2221),
    [anon_sym_chop] = ACTIONS(2221),
    [anon_sym_chdir] = ACTIONS(2221),
    [anon_sym_close] = ACTIONS(2221),
    [anon_sym_closedir] = ACTIONS(2221),
    [anon_sym_caller] = ACTIONS(2221),
    [anon_sym_chomp] = ACTIONS(2221),
    [anon_sym_chr] = ACTIONS(2221),
    [anon_sym_cos] = ACTIONS(2221),
    [anon_sym_chroot] = ACTIONS(2221),
    [anon_sym_defined] = ACTIONS(2221),
    [anon_sym_delete] = ACTIONS(2221),
    [anon_sym_dbmclose] = ACTIONS(2221),
    [anon_sym_exists] = ACTIONS(2221),
    [anon_sym_exit] = ACTIONS(2221),
    [anon_sym_eof] = ACTIONS(2221),
    [anon_sym_exp] = ACTIONS(2221),
    [anon_sym_each] = ACTIONS(2221),
    [anon_sym_fc] = ACTIONS(2221),
    [anon_sym_fileno] = ACTIONS(2221),
    [anon_sym_gmtime] = ACTIONS(2221),
    [anon_sym_getc] = ACTIONS(2221),
    [anon_sym_getpgrp] = ACTIONS(2221),
    [anon_sym_getprotobyname] = ACTIONS(2221),
    [anon_sym_getpwname] = ACTIONS(2221),
    [anon_sym_getpwuid] = ACTIONS(2221),
    [anon_sym_getpeername] = ACTIONS(2221),
    [anon_sym_getnetbyname] = ACTIONS(2221),
    [anon_sym_getsockname] = ACTIONS(2221),
    [anon_sym_getgrnam] = ACTIONS(2221),
    [anon_sym_getgrgid] = ACTIONS(2221),
    [anon_sym_hex] = ACTIONS(2221),
    [anon_sym_int] = ACTIONS(2221),
    [anon_sym_keys] = ACTIONS(2221),
    [anon_sym_lc] = ACTIONS(2221),
    [anon_sym_lcfirst] = ACTIONS(2221),
    [anon_sym_length] = ACTIONS(2221),
    [anon_sym_localtime] = ACTIONS(2221),
    [anon_sym_log] = ACTIONS(2221),
    [anon_sym_lock] = ACTIONS(2221),
    [anon_sym_lstat] = ACTIONS(2221),
    [anon_sym_oct] = ACTIONS(2221),
    [anon_sym_ord] = ACTIONS(2221),
    [anon_sym_prototype] = ACTIONS(2221),
    [anon_sym_pop] = ACTIONS(2221),
    [anon_sym_pos] = ACTIONS(2221),
    [anon_sym_quotemeta] = ACTIONS(2221),
    [anon_sym_reset] = ACTIONS(2221),
    [anon_sym_rand] = ACTIONS(2221),
    [anon_sym_rmdir] = ACTIONS(2221),
    [anon_sym_readdir] = ACTIONS(2221),
    [anon_sym_readline] = ACTIONS(2221),
    [anon_sym_readpipe] = ACTIONS(2221),
    [anon_sym_rewinddir] = ACTIONS(2221),
    [anon_sym_readlink] = ACTIONS(2221),
    [anon_sym_ref] = ACTIONS(2221),
    [anon_sym_scalar] = ACTIONS(2221),
    [anon_sym_shift] = ACTIONS(2221),
    [anon_sym_sin] = ACTIONS(2221),
    [anon_sym_sleep] = ACTIONS(2221),
    [anon_sym_sqrt] = ACTIONS(2221),
    [anon_sym_srand] = ACTIONS(2221),
    [anon_sym_stat] = ACTIONS(2221),
    [anon_sym_study] = ACTIONS(2221),
    [anon_sym_tell] = ACTIONS(2221),
    [anon_sym_telldir] = ACTIONS(2221),
    [anon_sym_tied] = ACTIONS(2221),
    [anon_sym_uc] = ACTIONS(2221),
    [anon_sym_ucfirst] = ACTIONS(2221),
    [anon_sym_untie] = ACTIONS(2221),
    [anon_sym_umask] = ACTIONS(2221),
    [anon_sym_values] = ACTIONS(2221),
    [anon_sym_write] = ACTIONS(2221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2221),
    [anon_sym_qq] = ACTIONS(2221),
    [anon_sym_qw] = ACTIONS(2221),
    [anon_sym_qx] = ACTIONS(2221),
    [anon_sym_qr] = ACTIONS(2221),
    [anon_sym_m] = ACTIONS(2221),
    [anon_sym_s] = ACTIONS(2221),
    [anon_sym_tr] = ACTIONS(2221),
    [anon_sym_y] = ACTIONS(2221),
    [anon_sym_if] = ACTIONS(2221),
    [anon_sym_unless] = ACTIONS(2221),
    [anon_sym_while] = ACTIONS(2221),
    [anon_sym_until] = ACTIONS(2221),
    [aux_sym__bareword_token1] = ACTIONS(2221),
    [sym_number] = ACTIONS(2221),
    [anon_sym_true] = ACTIONS(2221),
    [anon_sym_false] = ACTIONS(2221),
    [sym__single_quote] = ACTIONS(2219),
    [sym__double_quote] = ACTIONS(2219),
    [sym__backtick_quote] = ACTIONS(2219),
    [sym__search_slash_quote] = ACTIONS(2219),
    [sym__open_readline_bracket] = ACTIONS(2219),
    [sym__open_fileglob_bracket] = ACTIONS(2219),
    [sym__PERLY_HEREDOC] = ACTIONS(2219),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2219),
    [sym__filetest] = ACTIONS(2219),
  },
  [1037] = {
    [sym_heredoc_content] = STATE(1037),
    [sym__identifier] = ACTIONS(2057),
    [anon_sym_LBRACE] = ACTIONS(2057),
    [anon_sym_RBRACE] = ACTIONS(2057),
    [anon_sym_SEMI] = ACTIONS(2057),
    [anon_sym_package] = ACTIONS(2057),
    [anon_sym_class] = ACTIONS(2057),
    [anon_sym_role] = ACTIONS(2057),
    [anon_sym_BUILD] = ACTIONS(2057),
    [anon_sym_ADJUST] = ACTIONS(2057),
    [anon_sym_DOLLAR] = ACTIONS(2057),
    [anon_sym_AT] = ACTIONS(2057),
    [anon_sym_my] = ACTIONS(2057),
    [anon_sym_extended] = ACTIONS(2057),
    [anon_sym_async] = ACTIONS(2057),
    [anon_sym_sub] = ACTIONS(2057),
    [anon_sym_method] = ACTIONS(2057),
    [anon_sym_LPAREN] = ACTIONS(2057),
    [anon_sym_continue] = ACTIONS(2057),
    [anon_sym_state] = ACTIONS(2057),
    [anon_sym_our] = ACTIONS(2057),
    [anon_sym_try] = ACTIONS(2057),
    [anon_sym_defer] = ACTIONS(2057),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2057),
    [anon_sym_LBRACK] = ACTIONS(2057),
    [anon_sym_LT_LT] = ACTIONS(2057),
    [anon_sym_SLASH_SLASH] = ACTIONS(2057),
    [anon_sym_PLUS] = ACTIONS(2057),
    [anon_sym_DASH] = ACTIONS(2057),
    [anon_sym_TILDE] = ACTIONS(2057),
    [anon_sym_BANG] = ACTIONS(2057),
    [anon_sym_PLUS_PLUS] = ACTIONS(2057),
    [anon_sym_DASH_DASH] = ACTIONS(2057),
    [anon_sym_BSLASH] = ACTIONS(2055),
    [anon_sym_do] = ACTIONS(2057),
    [anon_sym_eval] = ACTIONS(2057),
    [anon_sym_await] = ACTIONS(2057),
    [anon_sym_field] = ACTIONS(2057),
    [anon_sym_local] = ACTIONS(2057),
    [anon_sym_dynamically] = ACTIONS(2057),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2057),
    [anon_sym_require] = ACTIONS(2057),
    [anon_sym_map] = ACTIONS(2057),
    [anon_sym_grep] = ACTIONS(2057),
    [anon_sym_sort] = ACTIONS(2057),
    [anon_sym_goto] = ACTIONS(2057),
    [anon_sym_return] = ACTIONS(2057),
    [anon_sym_undef] = ACTIONS(2057),
    [anon_sym_PERCENT2] = ACTIONS(2057),
    [anon_sym_AMP2] = ACTIONS(2057),
    [anon_sym_STAR2] = ACTIONS(2057),
    [anon_sym_use] = ACTIONS(2057),
    [anon_sym_no] = ACTIONS(2057),
    [anon_sym_for] = ACTIONS(2057),
    [anon_sym_foreach] = ACTIONS(2057),
    [anon_sym_last] = ACTIONS(2057),
    [anon_sym_next] = ACTIONS(2057),
    [anon_sym_redo] = ACTIONS(2057),
    [anon_sym_BEGIN] = ACTIONS(2057),
    [anon_sym_INIT] = ACTIONS(2057),
    [anon_sym_CHECK] = ACTIONS(2057),
    [anon_sym_UNITCHECK] = ACTIONS(2057),
    [anon_sym_END] = ACTIONS(2057),
    [anon_sym___FILE__] = ACTIONS(2057),
    [anon_sym___LINE__] = ACTIONS(2057),
    [anon_sym___PACKAGE__] = ACTIONS(2057),
    [anon_sym___SUB__] = ACTIONS(2057),
    [anon_sym_break] = ACTIONS(2057),
    [anon_sym_fork] = ACTIONS(2057),
    [anon_sym_getppid] = ACTIONS(2057),
    [anon_sym_time] = ACTIONS(2057),
    [anon_sym_times] = ACTIONS(2057),
    [anon_sym_wait] = ACTIONS(2057),
    [anon_sym_wantarray] = ACTIONS(2057),
    [anon_sym_abs] = ACTIONS(2057),
    [anon_sym_alarm] = ACTIONS(2057),
    [anon_sym_chop] = ACTIONS(2057),
    [anon_sym_chdir] = ACTIONS(2057),
    [anon_sym_close] = ACTIONS(2057),
    [anon_sym_closedir] = ACTIONS(2057),
    [anon_sym_caller] = ACTIONS(2057),
    [anon_sym_chomp] = ACTIONS(2057),
    [anon_sym_chr] = ACTIONS(2057),
    [anon_sym_cos] = ACTIONS(2057),
    [anon_sym_chroot] = ACTIONS(2057),
    [anon_sym_defined] = ACTIONS(2057),
    [anon_sym_delete] = ACTIONS(2057),
    [anon_sym_dbmclose] = ACTIONS(2057),
    [anon_sym_exists] = ACTIONS(2057),
    [anon_sym_exit] = ACTIONS(2057),
    [anon_sym_eof] = ACTIONS(2057),
    [anon_sym_exp] = ACTIONS(2057),
    [anon_sym_each] = ACTIONS(2057),
    [anon_sym_fc] = ACTIONS(2057),
    [anon_sym_fileno] = ACTIONS(2057),
    [anon_sym_gmtime] = ACTIONS(2057),
    [anon_sym_getc] = ACTIONS(2057),
    [anon_sym_getpgrp] = ACTIONS(2057),
    [anon_sym_getprotobyname] = ACTIONS(2057),
    [anon_sym_getpwname] = ACTIONS(2057),
    [anon_sym_getpwuid] = ACTIONS(2057),
    [anon_sym_getpeername] = ACTIONS(2057),
    [anon_sym_getnetbyname] = ACTIONS(2057),
    [anon_sym_getsockname] = ACTIONS(2057),
    [anon_sym_getgrnam] = ACTIONS(2057),
    [anon_sym_getgrgid] = ACTIONS(2057),
    [anon_sym_hex] = ACTIONS(2057),
    [anon_sym_int] = ACTIONS(2057),
    [anon_sym_keys] = ACTIONS(2057),
    [anon_sym_lc] = ACTIONS(2057),
    [anon_sym_lcfirst] = ACTIONS(2057),
    [anon_sym_length] = ACTIONS(2057),
    [anon_sym_localtime] = ACTIONS(2057),
    [anon_sym_log] = ACTIONS(2057),
    [anon_sym_lock] = ACTIONS(2057),
    [anon_sym_lstat] = ACTIONS(2057),
    [anon_sym_oct] = ACTIONS(2057),
    [anon_sym_ord] = ACTIONS(2057),
    [anon_sym_prototype] = ACTIONS(2057),
    [anon_sym_pop] = ACTIONS(2057),
    [anon_sym_pos] = ACTIONS(2057),
    [anon_sym_quotemeta] = ACTIONS(2057),
    [anon_sym_reset] = ACTIONS(2057),
    [anon_sym_rand] = ACTIONS(2057),
    [anon_sym_rmdir] = ACTIONS(2057),
    [anon_sym_readdir] = ACTIONS(2057),
    [anon_sym_readline] = ACTIONS(2057),
    [anon_sym_readpipe] = ACTIONS(2057),
    [anon_sym_rewinddir] = ACTIONS(2057),
    [anon_sym_readlink] = ACTIONS(2057),
    [anon_sym_ref] = ACTIONS(2057),
    [anon_sym_scalar] = ACTIONS(2057),
    [anon_sym_shift] = ACTIONS(2057),
    [anon_sym_sin] = ACTIONS(2057),
    [anon_sym_sleep] = ACTIONS(2057),
    [anon_sym_sqrt] = ACTIONS(2057),
    [anon_sym_srand] = ACTIONS(2057),
    [anon_sym_stat] = ACTIONS(2057),
    [anon_sym_study] = ACTIONS(2057),
    [anon_sym_tell] = ACTIONS(2057),
    [anon_sym_telldir] = ACTIONS(2057),
    [anon_sym_tied] = ACTIONS(2057),
    [anon_sym_uc] = ACTIONS(2057),
    [anon_sym_ucfirst] = ACTIONS(2057),
    [anon_sym_untie] = ACTIONS(2057),
    [anon_sym_umask] = ACTIONS(2057),
    [anon_sym_values] = ACTIONS(2057),
    [anon_sym_write] = ACTIONS(2057),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2057),
    [anon_sym_qq] = ACTIONS(2057),
    [anon_sym_qw] = ACTIONS(2057),
    [anon_sym_qx] = ACTIONS(2057),
    [anon_sym_qr] = ACTIONS(2057),
    [anon_sym_m] = ACTIONS(2057),
    [anon_sym_s] = ACTIONS(2057),
    [anon_sym_tr] = ACTIONS(2057),
    [anon_sym_y] = ACTIONS(2057),
    [anon_sym_if] = ACTIONS(2057),
    [anon_sym_unless] = ACTIONS(2057),
    [anon_sym_while] = ACTIONS(2057),
    [anon_sym_until] = ACTIONS(2057),
    [aux_sym__bareword_token1] = ACTIONS(2057),
    [sym_number] = ACTIONS(2057),
    [anon_sym_true] = ACTIONS(2057),
    [anon_sym_false] = ACTIONS(2057),
    [sym__single_quote] = ACTIONS(2055),
    [sym__double_quote] = ACTIONS(2055),
    [sym__backtick_quote] = ACTIONS(2055),
    [sym__search_slash_quote] = ACTIONS(2055),
    [sym__open_readline_bracket] = ACTIONS(2055),
    [sym__open_fileglob_bracket] = ACTIONS(2055),
    [sym__PERLY_HEREDOC] = ACTIONS(2055),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2055),
    [sym__filetest] = ACTIONS(2055),
  },
  [1038] = {
    [sym_heredoc_content] = STATE(1038),
    [sym__identifier] = ACTIONS(2061),
    [anon_sym_LBRACE] = ACTIONS(2061),
    [anon_sym_RBRACE] = ACTIONS(2061),
    [anon_sym_SEMI] = ACTIONS(2061),
    [anon_sym_package] = ACTIONS(2061),
    [anon_sym_class] = ACTIONS(2061),
    [anon_sym_role] = ACTIONS(2061),
    [anon_sym_BUILD] = ACTIONS(2061),
    [anon_sym_ADJUST] = ACTIONS(2061),
    [anon_sym_DOLLAR] = ACTIONS(2061),
    [anon_sym_AT] = ACTIONS(2061),
    [anon_sym_my] = ACTIONS(2061),
    [anon_sym_extended] = ACTIONS(2061),
    [anon_sym_async] = ACTIONS(2061),
    [anon_sym_sub] = ACTIONS(2061),
    [anon_sym_method] = ACTIONS(2061),
    [anon_sym_LPAREN] = ACTIONS(2061),
    [anon_sym_continue] = ACTIONS(2061),
    [anon_sym_state] = ACTIONS(2061),
    [anon_sym_our] = ACTIONS(2061),
    [anon_sym_try] = ACTIONS(2061),
    [anon_sym_defer] = ACTIONS(2061),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2061),
    [anon_sym_LBRACK] = ACTIONS(2061),
    [anon_sym_LT_LT] = ACTIONS(2061),
    [anon_sym_SLASH_SLASH] = ACTIONS(2061),
    [anon_sym_PLUS] = ACTIONS(2061),
    [anon_sym_DASH] = ACTIONS(2061),
    [anon_sym_TILDE] = ACTIONS(2061),
    [anon_sym_BANG] = ACTIONS(2061),
    [anon_sym_PLUS_PLUS] = ACTIONS(2061),
    [anon_sym_DASH_DASH] = ACTIONS(2061),
    [anon_sym_BSLASH] = ACTIONS(2059),
    [anon_sym_do] = ACTIONS(2061),
    [anon_sym_eval] = ACTIONS(2061),
    [anon_sym_await] = ACTIONS(2061),
    [anon_sym_field] = ACTIONS(2061),
    [anon_sym_local] = ACTIONS(2061),
    [anon_sym_dynamically] = ACTIONS(2061),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2061),
    [anon_sym_require] = ACTIONS(2061),
    [anon_sym_map] = ACTIONS(2061),
    [anon_sym_grep] = ACTIONS(2061),
    [anon_sym_sort] = ACTIONS(2061),
    [anon_sym_goto] = ACTIONS(2061),
    [anon_sym_return] = ACTIONS(2061),
    [anon_sym_undef] = ACTIONS(2061),
    [anon_sym_PERCENT2] = ACTIONS(2061),
    [anon_sym_AMP2] = ACTIONS(2061),
    [anon_sym_STAR2] = ACTIONS(2061),
    [anon_sym_use] = ACTIONS(2061),
    [anon_sym_no] = ACTIONS(2061),
    [anon_sym_for] = ACTIONS(2061),
    [anon_sym_foreach] = ACTIONS(2061),
    [anon_sym_last] = ACTIONS(2061),
    [anon_sym_next] = ACTIONS(2061),
    [anon_sym_redo] = ACTIONS(2061),
    [anon_sym_BEGIN] = ACTIONS(2061),
    [anon_sym_INIT] = ACTIONS(2061),
    [anon_sym_CHECK] = ACTIONS(2061),
    [anon_sym_UNITCHECK] = ACTIONS(2061),
    [anon_sym_END] = ACTIONS(2061),
    [anon_sym___FILE__] = ACTIONS(2061),
    [anon_sym___LINE__] = ACTIONS(2061),
    [anon_sym___PACKAGE__] = ACTIONS(2061),
    [anon_sym___SUB__] = ACTIONS(2061),
    [anon_sym_break] = ACTIONS(2061),
    [anon_sym_fork] = ACTIONS(2061),
    [anon_sym_getppid] = ACTIONS(2061),
    [anon_sym_time] = ACTIONS(2061),
    [anon_sym_times] = ACTIONS(2061),
    [anon_sym_wait] = ACTIONS(2061),
    [anon_sym_wantarray] = ACTIONS(2061),
    [anon_sym_abs] = ACTIONS(2061),
    [anon_sym_alarm] = ACTIONS(2061),
    [anon_sym_chop] = ACTIONS(2061),
    [anon_sym_chdir] = ACTIONS(2061),
    [anon_sym_close] = ACTIONS(2061),
    [anon_sym_closedir] = ACTIONS(2061),
    [anon_sym_caller] = ACTIONS(2061),
    [anon_sym_chomp] = ACTIONS(2061),
    [anon_sym_chr] = ACTIONS(2061),
    [anon_sym_cos] = ACTIONS(2061),
    [anon_sym_chroot] = ACTIONS(2061),
    [anon_sym_defined] = ACTIONS(2061),
    [anon_sym_delete] = ACTIONS(2061),
    [anon_sym_dbmclose] = ACTIONS(2061),
    [anon_sym_exists] = ACTIONS(2061),
    [anon_sym_exit] = ACTIONS(2061),
    [anon_sym_eof] = ACTIONS(2061),
    [anon_sym_exp] = ACTIONS(2061),
    [anon_sym_each] = ACTIONS(2061),
    [anon_sym_fc] = ACTIONS(2061),
    [anon_sym_fileno] = ACTIONS(2061),
    [anon_sym_gmtime] = ACTIONS(2061),
    [anon_sym_getc] = ACTIONS(2061),
    [anon_sym_getpgrp] = ACTIONS(2061),
    [anon_sym_getprotobyname] = ACTIONS(2061),
    [anon_sym_getpwname] = ACTIONS(2061),
    [anon_sym_getpwuid] = ACTIONS(2061),
    [anon_sym_getpeername] = ACTIONS(2061),
    [anon_sym_getnetbyname] = ACTIONS(2061),
    [anon_sym_getsockname] = ACTIONS(2061),
    [anon_sym_getgrnam] = ACTIONS(2061),
    [anon_sym_getgrgid] = ACTIONS(2061),
    [anon_sym_hex] = ACTIONS(2061),
    [anon_sym_int] = ACTIONS(2061),
    [anon_sym_keys] = ACTIONS(2061),
    [anon_sym_lc] = ACTIONS(2061),
    [anon_sym_lcfirst] = ACTIONS(2061),
    [anon_sym_length] = ACTIONS(2061),
    [anon_sym_localtime] = ACTIONS(2061),
    [anon_sym_log] = ACTIONS(2061),
    [anon_sym_lock] = ACTIONS(2061),
    [anon_sym_lstat] = ACTIONS(2061),
    [anon_sym_oct] = ACTIONS(2061),
    [anon_sym_ord] = ACTIONS(2061),
    [anon_sym_prototype] = ACTIONS(2061),
    [anon_sym_pop] = ACTIONS(2061),
    [anon_sym_pos] = ACTIONS(2061),
    [anon_sym_quotemeta] = ACTIONS(2061),
    [anon_sym_reset] = ACTIONS(2061),
    [anon_sym_rand] = ACTIONS(2061),
    [anon_sym_rmdir] = ACTIONS(2061),
    [anon_sym_readdir] = ACTIONS(2061),
    [anon_sym_readline] = ACTIONS(2061),
    [anon_sym_readpipe] = ACTIONS(2061),
    [anon_sym_rewinddir] = ACTIONS(2061),
    [anon_sym_readlink] = ACTIONS(2061),
    [anon_sym_ref] = ACTIONS(2061),
    [anon_sym_scalar] = ACTIONS(2061),
    [anon_sym_shift] = ACTIONS(2061),
    [anon_sym_sin] = ACTIONS(2061),
    [anon_sym_sleep] = ACTIONS(2061),
    [anon_sym_sqrt] = ACTIONS(2061),
    [anon_sym_srand] = ACTIONS(2061),
    [anon_sym_stat] = ACTIONS(2061),
    [anon_sym_study] = ACTIONS(2061),
    [anon_sym_tell] = ACTIONS(2061),
    [anon_sym_telldir] = ACTIONS(2061),
    [anon_sym_tied] = ACTIONS(2061),
    [anon_sym_uc] = ACTIONS(2061),
    [anon_sym_ucfirst] = ACTIONS(2061),
    [anon_sym_untie] = ACTIONS(2061),
    [anon_sym_umask] = ACTIONS(2061),
    [anon_sym_values] = ACTIONS(2061),
    [anon_sym_write] = ACTIONS(2061),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2061),
    [anon_sym_qq] = ACTIONS(2061),
    [anon_sym_qw] = ACTIONS(2061),
    [anon_sym_qx] = ACTIONS(2061),
    [anon_sym_qr] = ACTIONS(2061),
    [anon_sym_m] = ACTIONS(2061),
    [anon_sym_s] = ACTIONS(2061),
    [anon_sym_tr] = ACTIONS(2061),
    [anon_sym_y] = ACTIONS(2061),
    [anon_sym_if] = ACTIONS(2061),
    [anon_sym_unless] = ACTIONS(2061),
    [anon_sym_while] = ACTIONS(2061),
    [anon_sym_until] = ACTIONS(2061),
    [aux_sym__bareword_token1] = ACTIONS(2061),
    [sym_number] = ACTIONS(2061),
    [anon_sym_true] = ACTIONS(2061),
    [anon_sym_false] = ACTIONS(2061),
    [sym__single_quote] = ACTIONS(2059),
    [sym__double_quote] = ACTIONS(2059),
    [sym__backtick_quote] = ACTIONS(2059),
    [sym__search_slash_quote] = ACTIONS(2059),
    [sym__open_readline_bracket] = ACTIONS(2059),
    [sym__open_fileglob_bracket] = ACTIONS(2059),
    [sym__PERLY_HEREDOC] = ACTIONS(2059),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2059),
    [sym__filetest] = ACTIONS(2059),
  },
  [1039] = {
    [sym_heredoc_content] = STATE(1039),
    [sym__identifier] = ACTIONS(2065),
    [anon_sym_LBRACE] = ACTIONS(2065),
    [anon_sym_RBRACE] = ACTIONS(2065),
    [anon_sym_SEMI] = ACTIONS(2065),
    [anon_sym_package] = ACTIONS(2065),
    [anon_sym_class] = ACTIONS(2065),
    [anon_sym_role] = ACTIONS(2065),
    [anon_sym_BUILD] = ACTIONS(2065),
    [anon_sym_ADJUST] = ACTIONS(2065),
    [anon_sym_DOLLAR] = ACTIONS(2065),
    [anon_sym_AT] = ACTIONS(2065),
    [anon_sym_my] = ACTIONS(2065),
    [anon_sym_extended] = ACTIONS(2065),
    [anon_sym_async] = ACTIONS(2065),
    [anon_sym_sub] = ACTIONS(2065),
    [anon_sym_method] = ACTIONS(2065),
    [anon_sym_LPAREN] = ACTIONS(2065),
    [anon_sym_continue] = ACTIONS(2065),
    [anon_sym_state] = ACTIONS(2065),
    [anon_sym_our] = ACTIONS(2065),
    [anon_sym_try] = ACTIONS(2065),
    [anon_sym_defer] = ACTIONS(2065),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2065),
    [anon_sym_LBRACK] = ACTIONS(2065),
    [anon_sym_LT_LT] = ACTIONS(2065),
    [anon_sym_SLASH_SLASH] = ACTIONS(2065),
    [anon_sym_PLUS] = ACTIONS(2065),
    [anon_sym_DASH] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_BSLASH] = ACTIONS(2063),
    [anon_sym_do] = ACTIONS(2065),
    [anon_sym_eval] = ACTIONS(2065),
    [anon_sym_await] = ACTIONS(2065),
    [anon_sym_field] = ACTIONS(2065),
    [anon_sym_local] = ACTIONS(2065),
    [anon_sym_dynamically] = ACTIONS(2065),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2065),
    [anon_sym_require] = ACTIONS(2065),
    [anon_sym_map] = ACTIONS(2065),
    [anon_sym_grep] = ACTIONS(2065),
    [anon_sym_sort] = ACTIONS(2065),
    [anon_sym_goto] = ACTIONS(2065),
    [anon_sym_return] = ACTIONS(2065),
    [anon_sym_undef] = ACTIONS(2065),
    [anon_sym_PERCENT2] = ACTIONS(2065),
    [anon_sym_AMP2] = ACTIONS(2065),
    [anon_sym_STAR2] = ACTIONS(2065),
    [anon_sym_use] = ACTIONS(2065),
    [anon_sym_no] = ACTIONS(2065),
    [anon_sym_for] = ACTIONS(2065),
    [anon_sym_foreach] = ACTIONS(2065),
    [anon_sym_last] = ACTIONS(2065),
    [anon_sym_next] = ACTIONS(2065),
    [anon_sym_redo] = ACTIONS(2065),
    [anon_sym_BEGIN] = ACTIONS(2065),
    [anon_sym_INIT] = ACTIONS(2065),
    [anon_sym_CHECK] = ACTIONS(2065),
    [anon_sym_UNITCHECK] = ACTIONS(2065),
    [anon_sym_END] = ACTIONS(2065),
    [anon_sym___FILE__] = ACTIONS(2065),
    [anon_sym___LINE__] = ACTIONS(2065),
    [anon_sym___PACKAGE__] = ACTIONS(2065),
    [anon_sym___SUB__] = ACTIONS(2065),
    [anon_sym_break] = ACTIONS(2065),
    [anon_sym_fork] = ACTIONS(2065),
    [anon_sym_getppid] = ACTIONS(2065),
    [anon_sym_time] = ACTIONS(2065),
    [anon_sym_times] = ACTIONS(2065),
    [anon_sym_wait] = ACTIONS(2065),
    [anon_sym_wantarray] = ACTIONS(2065),
    [anon_sym_abs] = ACTIONS(2065),
    [anon_sym_alarm] = ACTIONS(2065),
    [anon_sym_chop] = ACTIONS(2065),
    [anon_sym_chdir] = ACTIONS(2065),
    [anon_sym_close] = ACTIONS(2065),
    [anon_sym_closedir] = ACTIONS(2065),
    [anon_sym_caller] = ACTIONS(2065),
    [anon_sym_chomp] = ACTIONS(2065),
    [anon_sym_chr] = ACTIONS(2065),
    [anon_sym_cos] = ACTIONS(2065),
    [anon_sym_chroot] = ACTIONS(2065),
    [anon_sym_defined] = ACTIONS(2065),
    [anon_sym_delete] = ACTIONS(2065),
    [anon_sym_dbmclose] = ACTIONS(2065),
    [anon_sym_exists] = ACTIONS(2065),
    [anon_sym_exit] = ACTIONS(2065),
    [anon_sym_eof] = ACTIONS(2065),
    [anon_sym_exp] = ACTIONS(2065),
    [anon_sym_each] = ACTIONS(2065),
    [anon_sym_fc] = ACTIONS(2065),
    [anon_sym_fileno] = ACTIONS(2065),
    [anon_sym_gmtime] = ACTIONS(2065),
    [anon_sym_getc] = ACTIONS(2065),
    [anon_sym_getpgrp] = ACTIONS(2065),
    [anon_sym_getprotobyname] = ACTIONS(2065),
    [anon_sym_getpwname] = ACTIONS(2065),
    [anon_sym_getpwuid] = ACTIONS(2065),
    [anon_sym_getpeername] = ACTIONS(2065),
    [anon_sym_getnetbyname] = ACTIONS(2065),
    [anon_sym_getsockname] = ACTIONS(2065),
    [anon_sym_getgrnam] = ACTIONS(2065),
    [anon_sym_getgrgid] = ACTIONS(2065),
    [anon_sym_hex] = ACTIONS(2065),
    [anon_sym_int] = ACTIONS(2065),
    [anon_sym_keys] = ACTIONS(2065),
    [anon_sym_lc] = ACTIONS(2065),
    [anon_sym_lcfirst] = ACTIONS(2065),
    [anon_sym_length] = ACTIONS(2065),
    [anon_sym_localtime] = ACTIONS(2065),
    [anon_sym_log] = ACTIONS(2065),
    [anon_sym_lock] = ACTIONS(2065),
    [anon_sym_lstat] = ACTIONS(2065),
    [anon_sym_oct] = ACTIONS(2065),
    [anon_sym_ord] = ACTIONS(2065),
    [anon_sym_prototype] = ACTIONS(2065),
    [anon_sym_pop] = ACTIONS(2065),
    [anon_sym_pos] = ACTIONS(2065),
    [anon_sym_quotemeta] = ACTIONS(2065),
    [anon_sym_reset] = ACTIONS(2065),
    [anon_sym_rand] = ACTIONS(2065),
    [anon_sym_rmdir] = ACTIONS(2065),
    [anon_sym_readdir] = ACTIONS(2065),
    [anon_sym_readline] = ACTIONS(2065),
    [anon_sym_readpipe] = ACTIONS(2065),
    [anon_sym_rewinddir] = ACTIONS(2065),
    [anon_sym_readlink] = ACTIONS(2065),
    [anon_sym_ref] = ACTIONS(2065),
    [anon_sym_scalar] = ACTIONS(2065),
    [anon_sym_shift] = ACTIONS(2065),
    [anon_sym_sin] = ACTIONS(2065),
    [anon_sym_sleep] = ACTIONS(2065),
    [anon_sym_sqrt] = ACTIONS(2065),
    [anon_sym_srand] = ACTIONS(2065),
    [anon_sym_stat] = ACTIONS(2065),
    [anon_sym_study] = ACTIONS(2065),
    [anon_sym_tell] = ACTIONS(2065),
    [anon_sym_telldir] = ACTIONS(2065),
    [anon_sym_tied] = ACTIONS(2065),
    [anon_sym_uc] = ACTIONS(2065),
    [anon_sym_ucfirst] = ACTIONS(2065),
    [anon_sym_untie] = ACTIONS(2065),
    [anon_sym_umask] = ACTIONS(2065),
    [anon_sym_values] = ACTIONS(2065),
    [anon_sym_write] = ACTIONS(2065),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2065),
    [anon_sym_qq] = ACTIONS(2065),
    [anon_sym_qw] = ACTIONS(2065),
    [anon_sym_qx] = ACTIONS(2065),
    [anon_sym_qr] = ACTIONS(2065),
    [anon_sym_m] = ACTIONS(2065),
    [anon_sym_s] = ACTIONS(2065),
    [anon_sym_tr] = ACTIONS(2065),
    [anon_sym_y] = ACTIONS(2065),
    [anon_sym_if] = ACTIONS(2065),
    [anon_sym_unless] = ACTIONS(2065),
    [anon_sym_while] = ACTIONS(2065),
    [anon_sym_until] = ACTIONS(2065),
    [aux_sym__bareword_token1] = ACTIONS(2065),
    [sym_number] = ACTIONS(2065),
    [anon_sym_true] = ACTIONS(2065),
    [anon_sym_false] = ACTIONS(2065),
    [sym__single_quote] = ACTIONS(2063),
    [sym__double_quote] = ACTIONS(2063),
    [sym__backtick_quote] = ACTIONS(2063),
    [sym__search_slash_quote] = ACTIONS(2063),
    [sym__open_readline_bracket] = ACTIONS(2063),
    [sym__open_fileglob_bracket] = ACTIONS(2063),
    [sym__PERLY_HEREDOC] = ACTIONS(2063),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2063),
    [sym__filetest] = ACTIONS(2063),
  },
  [1040] = {
    [sym_heredoc_content] = STATE(1040),
    [sym__identifier] = ACTIONS(2073),
    [anon_sym_LBRACE] = ACTIONS(2073),
    [anon_sym_RBRACE] = ACTIONS(2073),
    [anon_sym_SEMI] = ACTIONS(2073),
    [anon_sym_package] = ACTIONS(2073),
    [anon_sym_class] = ACTIONS(2073),
    [anon_sym_role] = ACTIONS(2073),
    [anon_sym_BUILD] = ACTIONS(2073),
    [anon_sym_ADJUST] = ACTIONS(2073),
    [anon_sym_DOLLAR] = ACTIONS(2073),
    [anon_sym_AT] = ACTIONS(2073),
    [anon_sym_my] = ACTIONS(2073),
    [anon_sym_extended] = ACTIONS(2073),
    [anon_sym_async] = ACTIONS(2073),
    [anon_sym_sub] = ACTIONS(2073),
    [anon_sym_method] = ACTIONS(2073),
    [anon_sym_LPAREN] = ACTIONS(2073),
    [anon_sym_continue] = ACTIONS(2073),
    [anon_sym_state] = ACTIONS(2073),
    [anon_sym_our] = ACTIONS(2073),
    [anon_sym_try] = ACTIONS(2073),
    [anon_sym_defer] = ACTIONS(2073),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2073),
    [anon_sym_LBRACK] = ACTIONS(2073),
    [anon_sym_LT_LT] = ACTIONS(2073),
    [anon_sym_SLASH_SLASH] = ACTIONS(2073),
    [anon_sym_PLUS] = ACTIONS(2073),
    [anon_sym_DASH] = ACTIONS(2073),
    [anon_sym_TILDE] = ACTIONS(2073),
    [anon_sym_BANG] = ACTIONS(2073),
    [anon_sym_PLUS_PLUS] = ACTIONS(2073),
    [anon_sym_DASH_DASH] = ACTIONS(2073),
    [anon_sym_BSLASH] = ACTIONS(2071),
    [anon_sym_do] = ACTIONS(2073),
    [anon_sym_eval] = ACTIONS(2073),
    [anon_sym_await] = ACTIONS(2073),
    [anon_sym_field] = ACTIONS(2073),
    [anon_sym_local] = ACTIONS(2073),
    [anon_sym_dynamically] = ACTIONS(2073),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2073),
    [anon_sym_require] = ACTIONS(2073),
    [anon_sym_map] = ACTIONS(2073),
    [anon_sym_grep] = ACTIONS(2073),
    [anon_sym_sort] = ACTIONS(2073),
    [anon_sym_goto] = ACTIONS(2073),
    [anon_sym_return] = ACTIONS(2073),
    [anon_sym_undef] = ACTIONS(2073),
    [anon_sym_PERCENT2] = ACTIONS(2073),
    [anon_sym_AMP2] = ACTIONS(2073),
    [anon_sym_STAR2] = ACTIONS(2073),
    [anon_sym_use] = ACTIONS(2073),
    [anon_sym_no] = ACTIONS(2073),
    [anon_sym_for] = ACTIONS(2073),
    [anon_sym_foreach] = ACTIONS(2073),
    [anon_sym_last] = ACTIONS(2073),
    [anon_sym_next] = ACTIONS(2073),
    [anon_sym_redo] = ACTIONS(2073),
    [anon_sym_BEGIN] = ACTIONS(2073),
    [anon_sym_INIT] = ACTIONS(2073),
    [anon_sym_CHECK] = ACTIONS(2073),
    [anon_sym_UNITCHECK] = ACTIONS(2073),
    [anon_sym_END] = ACTIONS(2073),
    [anon_sym___FILE__] = ACTIONS(2073),
    [anon_sym___LINE__] = ACTIONS(2073),
    [anon_sym___PACKAGE__] = ACTIONS(2073),
    [anon_sym___SUB__] = ACTIONS(2073),
    [anon_sym_break] = ACTIONS(2073),
    [anon_sym_fork] = ACTIONS(2073),
    [anon_sym_getppid] = ACTIONS(2073),
    [anon_sym_time] = ACTIONS(2073),
    [anon_sym_times] = ACTIONS(2073),
    [anon_sym_wait] = ACTIONS(2073),
    [anon_sym_wantarray] = ACTIONS(2073),
    [anon_sym_abs] = ACTIONS(2073),
    [anon_sym_alarm] = ACTIONS(2073),
    [anon_sym_chop] = ACTIONS(2073),
    [anon_sym_chdir] = ACTIONS(2073),
    [anon_sym_close] = ACTIONS(2073),
    [anon_sym_closedir] = ACTIONS(2073),
    [anon_sym_caller] = ACTIONS(2073),
    [anon_sym_chomp] = ACTIONS(2073),
    [anon_sym_chr] = ACTIONS(2073),
    [anon_sym_cos] = ACTIONS(2073),
    [anon_sym_chroot] = ACTIONS(2073),
    [anon_sym_defined] = ACTIONS(2073),
    [anon_sym_delete] = ACTIONS(2073),
    [anon_sym_dbmclose] = ACTIONS(2073),
    [anon_sym_exists] = ACTIONS(2073),
    [anon_sym_exit] = ACTIONS(2073),
    [anon_sym_eof] = ACTIONS(2073),
    [anon_sym_exp] = ACTIONS(2073),
    [anon_sym_each] = ACTIONS(2073),
    [anon_sym_fc] = ACTIONS(2073),
    [anon_sym_fileno] = ACTIONS(2073),
    [anon_sym_gmtime] = ACTIONS(2073),
    [anon_sym_getc] = ACTIONS(2073),
    [anon_sym_getpgrp] = ACTIONS(2073),
    [anon_sym_getprotobyname] = ACTIONS(2073),
    [anon_sym_getpwname] = ACTIONS(2073),
    [anon_sym_getpwuid] = ACTIONS(2073),
    [anon_sym_getpeername] = ACTIONS(2073),
    [anon_sym_getnetbyname] = ACTIONS(2073),
    [anon_sym_getsockname] = ACTIONS(2073),
    [anon_sym_getgrnam] = ACTIONS(2073),
    [anon_sym_getgrgid] = ACTIONS(2073),
    [anon_sym_hex] = ACTIONS(2073),
    [anon_sym_int] = ACTIONS(2073),
    [anon_sym_keys] = ACTIONS(2073),
    [anon_sym_lc] = ACTIONS(2073),
    [anon_sym_lcfirst] = ACTIONS(2073),
    [anon_sym_length] = ACTIONS(2073),
    [anon_sym_localtime] = ACTIONS(2073),
    [anon_sym_log] = ACTIONS(2073),
    [anon_sym_lock] = ACTIONS(2073),
    [anon_sym_lstat] = ACTIONS(2073),
    [anon_sym_oct] = ACTIONS(2073),
    [anon_sym_ord] = ACTIONS(2073),
    [anon_sym_prototype] = ACTIONS(2073),
    [anon_sym_pop] = ACTIONS(2073),
    [anon_sym_pos] = ACTIONS(2073),
    [anon_sym_quotemeta] = ACTIONS(2073),
    [anon_sym_reset] = ACTIONS(2073),
    [anon_sym_rand] = ACTIONS(2073),
    [anon_sym_rmdir] = ACTIONS(2073),
    [anon_sym_readdir] = ACTIONS(2073),
    [anon_sym_readline] = ACTIONS(2073),
    [anon_sym_readpipe] = ACTIONS(2073),
    [anon_sym_rewinddir] = ACTIONS(2073),
    [anon_sym_readlink] = ACTIONS(2073),
    [anon_sym_ref] = ACTIONS(2073),
    [anon_sym_scalar] = ACTIONS(2073),
    [anon_sym_shift] = ACTIONS(2073),
    [anon_sym_sin] = ACTIONS(2073),
    [anon_sym_sleep] = ACTIONS(2073),
    [anon_sym_sqrt] = ACTIONS(2073),
    [anon_sym_srand] = ACTIONS(2073),
    [anon_sym_stat] = ACTIONS(2073),
    [anon_sym_study] = ACTIONS(2073),
    [anon_sym_tell] = ACTIONS(2073),
    [anon_sym_telldir] = ACTIONS(2073),
    [anon_sym_tied] = ACTIONS(2073),
    [anon_sym_uc] = ACTIONS(2073),
    [anon_sym_ucfirst] = ACTIONS(2073),
    [anon_sym_untie] = ACTIONS(2073),
    [anon_sym_umask] = ACTIONS(2073),
    [anon_sym_values] = ACTIONS(2073),
    [anon_sym_write] = ACTIONS(2073),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2073),
    [anon_sym_qq] = ACTIONS(2073),
    [anon_sym_qw] = ACTIONS(2073),
    [anon_sym_qx] = ACTIONS(2073),
    [anon_sym_qr] = ACTIONS(2073),
    [anon_sym_m] = ACTIONS(2073),
    [anon_sym_s] = ACTIONS(2073),
    [anon_sym_tr] = ACTIONS(2073),
    [anon_sym_y] = ACTIONS(2073),
    [anon_sym_if] = ACTIONS(2073),
    [anon_sym_unless] = ACTIONS(2073),
    [anon_sym_while] = ACTIONS(2073),
    [anon_sym_until] = ACTIONS(2073),
    [aux_sym__bareword_token1] = ACTIONS(2073),
    [sym_number] = ACTIONS(2073),
    [anon_sym_true] = ACTIONS(2073),
    [anon_sym_false] = ACTIONS(2073),
    [sym__single_quote] = ACTIONS(2071),
    [sym__double_quote] = ACTIONS(2071),
    [sym__backtick_quote] = ACTIONS(2071),
    [sym__search_slash_quote] = ACTIONS(2071),
    [sym__open_readline_bracket] = ACTIONS(2071),
    [sym__open_fileglob_bracket] = ACTIONS(2071),
    [sym__PERLY_HEREDOC] = ACTIONS(2071),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2071),
    [sym__filetest] = ACTIONS(2071),
  },
  [1041] = {
    [sym_heredoc_content] = STATE(1041),
    [sym__identifier] = ACTIONS(2077),
    [anon_sym_LBRACE] = ACTIONS(2077),
    [anon_sym_RBRACE] = ACTIONS(2077),
    [anon_sym_SEMI] = ACTIONS(2077),
    [anon_sym_package] = ACTIONS(2077),
    [anon_sym_class] = ACTIONS(2077),
    [anon_sym_role] = ACTIONS(2077),
    [anon_sym_BUILD] = ACTIONS(2077),
    [anon_sym_ADJUST] = ACTIONS(2077),
    [anon_sym_DOLLAR] = ACTIONS(2077),
    [anon_sym_AT] = ACTIONS(2077),
    [anon_sym_my] = ACTIONS(2077),
    [anon_sym_extended] = ACTIONS(2077),
    [anon_sym_async] = ACTIONS(2077),
    [anon_sym_sub] = ACTIONS(2077),
    [anon_sym_method] = ACTIONS(2077),
    [anon_sym_LPAREN] = ACTIONS(2077),
    [anon_sym_continue] = ACTIONS(2077),
    [anon_sym_state] = ACTIONS(2077),
    [anon_sym_our] = ACTIONS(2077),
    [anon_sym_try] = ACTIONS(2077),
    [anon_sym_defer] = ACTIONS(2077),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2077),
    [anon_sym_LBRACK] = ACTIONS(2077),
    [anon_sym_LT_LT] = ACTIONS(2077),
    [anon_sym_SLASH_SLASH] = ACTIONS(2077),
    [anon_sym_PLUS] = ACTIONS(2077),
    [anon_sym_DASH] = ACTIONS(2077),
    [anon_sym_TILDE] = ACTIONS(2077),
    [anon_sym_BANG] = ACTIONS(2077),
    [anon_sym_PLUS_PLUS] = ACTIONS(2077),
    [anon_sym_DASH_DASH] = ACTIONS(2077),
    [anon_sym_BSLASH] = ACTIONS(2075),
    [anon_sym_do] = ACTIONS(2077),
    [anon_sym_eval] = ACTIONS(2077),
    [anon_sym_await] = ACTIONS(2077),
    [anon_sym_field] = ACTIONS(2077),
    [anon_sym_local] = ACTIONS(2077),
    [anon_sym_dynamically] = ACTIONS(2077),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2077),
    [anon_sym_require] = ACTIONS(2077),
    [anon_sym_map] = ACTIONS(2077),
    [anon_sym_grep] = ACTIONS(2077),
    [anon_sym_sort] = ACTIONS(2077),
    [anon_sym_goto] = ACTIONS(2077),
    [anon_sym_return] = ACTIONS(2077),
    [anon_sym_undef] = ACTIONS(2077),
    [anon_sym_PERCENT2] = ACTIONS(2077),
    [anon_sym_AMP2] = ACTIONS(2077),
    [anon_sym_STAR2] = ACTIONS(2077),
    [anon_sym_use] = ACTIONS(2077),
    [anon_sym_no] = ACTIONS(2077),
    [anon_sym_for] = ACTIONS(2077),
    [anon_sym_foreach] = ACTIONS(2077),
    [anon_sym_last] = ACTIONS(2077),
    [anon_sym_next] = ACTIONS(2077),
    [anon_sym_redo] = ACTIONS(2077),
    [anon_sym_BEGIN] = ACTIONS(2077),
    [anon_sym_INIT] = ACTIONS(2077),
    [anon_sym_CHECK] = ACTIONS(2077),
    [anon_sym_UNITCHECK] = ACTIONS(2077),
    [anon_sym_END] = ACTIONS(2077),
    [anon_sym___FILE__] = ACTIONS(2077),
    [anon_sym___LINE__] = ACTIONS(2077),
    [anon_sym___PACKAGE__] = ACTIONS(2077),
    [anon_sym___SUB__] = ACTIONS(2077),
    [anon_sym_break] = ACTIONS(2077),
    [anon_sym_fork] = ACTIONS(2077),
    [anon_sym_getppid] = ACTIONS(2077),
    [anon_sym_time] = ACTIONS(2077),
    [anon_sym_times] = ACTIONS(2077),
    [anon_sym_wait] = ACTIONS(2077),
    [anon_sym_wantarray] = ACTIONS(2077),
    [anon_sym_abs] = ACTIONS(2077),
    [anon_sym_alarm] = ACTIONS(2077),
    [anon_sym_chop] = ACTIONS(2077),
    [anon_sym_chdir] = ACTIONS(2077),
    [anon_sym_close] = ACTIONS(2077),
    [anon_sym_closedir] = ACTIONS(2077),
    [anon_sym_caller] = ACTIONS(2077),
    [anon_sym_chomp] = ACTIONS(2077),
    [anon_sym_chr] = ACTIONS(2077),
    [anon_sym_cos] = ACTIONS(2077),
    [anon_sym_chroot] = ACTIONS(2077),
    [anon_sym_defined] = ACTIONS(2077),
    [anon_sym_delete] = ACTIONS(2077),
    [anon_sym_dbmclose] = ACTIONS(2077),
    [anon_sym_exists] = ACTIONS(2077),
    [anon_sym_exit] = ACTIONS(2077),
    [anon_sym_eof] = ACTIONS(2077),
    [anon_sym_exp] = ACTIONS(2077),
    [anon_sym_each] = ACTIONS(2077),
    [anon_sym_fc] = ACTIONS(2077),
    [anon_sym_fileno] = ACTIONS(2077),
    [anon_sym_gmtime] = ACTIONS(2077),
    [anon_sym_getc] = ACTIONS(2077),
    [anon_sym_getpgrp] = ACTIONS(2077),
    [anon_sym_getprotobyname] = ACTIONS(2077),
    [anon_sym_getpwname] = ACTIONS(2077),
    [anon_sym_getpwuid] = ACTIONS(2077),
    [anon_sym_getpeername] = ACTIONS(2077),
    [anon_sym_getnetbyname] = ACTIONS(2077),
    [anon_sym_getsockname] = ACTIONS(2077),
    [anon_sym_getgrnam] = ACTIONS(2077),
    [anon_sym_getgrgid] = ACTIONS(2077),
    [anon_sym_hex] = ACTIONS(2077),
    [anon_sym_int] = ACTIONS(2077),
    [anon_sym_keys] = ACTIONS(2077),
    [anon_sym_lc] = ACTIONS(2077),
    [anon_sym_lcfirst] = ACTIONS(2077),
    [anon_sym_length] = ACTIONS(2077),
    [anon_sym_localtime] = ACTIONS(2077),
    [anon_sym_log] = ACTIONS(2077),
    [anon_sym_lock] = ACTIONS(2077),
    [anon_sym_lstat] = ACTIONS(2077),
    [anon_sym_oct] = ACTIONS(2077),
    [anon_sym_ord] = ACTIONS(2077),
    [anon_sym_prototype] = ACTIONS(2077),
    [anon_sym_pop] = ACTIONS(2077),
    [anon_sym_pos] = ACTIONS(2077),
    [anon_sym_quotemeta] = ACTIONS(2077),
    [anon_sym_reset] = ACTIONS(2077),
    [anon_sym_rand] = ACTIONS(2077),
    [anon_sym_rmdir] = ACTIONS(2077),
    [anon_sym_readdir] = ACTIONS(2077),
    [anon_sym_readline] = ACTIONS(2077),
    [anon_sym_readpipe] = ACTIONS(2077),
    [anon_sym_rewinddir] = ACTIONS(2077),
    [anon_sym_readlink] = ACTIONS(2077),
    [anon_sym_ref] = ACTIONS(2077),
    [anon_sym_scalar] = ACTIONS(2077),
    [anon_sym_shift] = ACTIONS(2077),
    [anon_sym_sin] = ACTIONS(2077),
    [anon_sym_sleep] = ACTIONS(2077),
    [anon_sym_sqrt] = ACTIONS(2077),
    [anon_sym_srand] = ACTIONS(2077),
    [anon_sym_stat] = ACTIONS(2077),
    [anon_sym_study] = ACTIONS(2077),
    [anon_sym_tell] = ACTIONS(2077),
    [anon_sym_telldir] = ACTIONS(2077),
    [anon_sym_tied] = ACTIONS(2077),
    [anon_sym_uc] = ACTIONS(2077),
    [anon_sym_ucfirst] = ACTIONS(2077),
    [anon_sym_untie] = ACTIONS(2077),
    [anon_sym_umask] = ACTIONS(2077),
    [anon_sym_values] = ACTIONS(2077),
    [anon_sym_write] = ACTIONS(2077),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2077),
    [anon_sym_qq] = ACTIONS(2077),
    [anon_sym_qw] = ACTIONS(2077),
    [anon_sym_qx] = ACTIONS(2077),
    [anon_sym_qr] = ACTIONS(2077),
    [anon_sym_m] = ACTIONS(2077),
    [anon_sym_s] = ACTIONS(2077),
    [anon_sym_tr] = ACTIONS(2077),
    [anon_sym_y] = ACTIONS(2077),
    [anon_sym_if] = ACTIONS(2077),
    [anon_sym_unless] = ACTIONS(2077),
    [anon_sym_while] = ACTIONS(2077),
    [anon_sym_until] = ACTIONS(2077),
    [aux_sym__bareword_token1] = ACTIONS(2077),
    [sym_number] = ACTIONS(2077),
    [anon_sym_true] = ACTIONS(2077),
    [anon_sym_false] = ACTIONS(2077),
    [sym__single_quote] = ACTIONS(2075),
    [sym__double_quote] = ACTIONS(2075),
    [sym__backtick_quote] = ACTIONS(2075),
    [sym__search_slash_quote] = ACTIONS(2075),
    [sym__open_readline_bracket] = ACTIONS(2075),
    [sym__open_fileglob_bracket] = ACTIONS(2075),
    [sym__PERLY_HEREDOC] = ACTIONS(2075),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2075),
    [sym__filetest] = ACTIONS(2075),
  },
  [1042] = {
    [sym_heredoc_content] = STATE(1042),
    [sym__identifier] = ACTIONS(2085),
    [anon_sym_LBRACE] = ACTIONS(2085),
    [anon_sym_RBRACE] = ACTIONS(2085),
    [anon_sym_SEMI] = ACTIONS(2085),
    [anon_sym_package] = ACTIONS(2085),
    [anon_sym_class] = ACTIONS(2085),
    [anon_sym_role] = ACTIONS(2085),
    [anon_sym_BUILD] = ACTIONS(2085),
    [anon_sym_ADJUST] = ACTIONS(2085),
    [anon_sym_DOLLAR] = ACTIONS(2085),
    [anon_sym_AT] = ACTIONS(2085),
    [anon_sym_my] = ACTIONS(2085),
    [anon_sym_extended] = ACTIONS(2085),
    [anon_sym_async] = ACTIONS(2085),
    [anon_sym_sub] = ACTIONS(2085),
    [anon_sym_method] = ACTIONS(2085),
    [anon_sym_LPAREN] = ACTIONS(2085),
    [anon_sym_continue] = ACTIONS(2085),
    [anon_sym_state] = ACTIONS(2085),
    [anon_sym_our] = ACTIONS(2085),
    [anon_sym_try] = ACTIONS(2085),
    [anon_sym_defer] = ACTIONS(2085),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2085),
    [anon_sym_LBRACK] = ACTIONS(2085),
    [anon_sym_LT_LT] = ACTIONS(2085),
    [anon_sym_SLASH_SLASH] = ACTIONS(2085),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_TILDE] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2085),
    [anon_sym_PLUS_PLUS] = ACTIONS(2085),
    [anon_sym_DASH_DASH] = ACTIONS(2085),
    [anon_sym_BSLASH] = ACTIONS(2083),
    [anon_sym_do] = ACTIONS(2085),
    [anon_sym_eval] = ACTIONS(2085),
    [anon_sym_await] = ACTIONS(2085),
    [anon_sym_field] = ACTIONS(2085),
    [anon_sym_local] = ACTIONS(2085),
    [anon_sym_dynamically] = ACTIONS(2085),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2085),
    [anon_sym_require] = ACTIONS(2085),
    [anon_sym_map] = ACTIONS(2085),
    [anon_sym_grep] = ACTIONS(2085),
    [anon_sym_sort] = ACTIONS(2085),
    [anon_sym_goto] = ACTIONS(2085),
    [anon_sym_return] = ACTIONS(2085),
    [anon_sym_undef] = ACTIONS(2085),
    [anon_sym_PERCENT2] = ACTIONS(2085),
    [anon_sym_AMP2] = ACTIONS(2085),
    [anon_sym_STAR2] = ACTIONS(2085),
    [anon_sym_use] = ACTIONS(2085),
    [anon_sym_no] = ACTIONS(2085),
    [anon_sym_for] = ACTIONS(2085),
    [anon_sym_foreach] = ACTIONS(2085),
    [anon_sym_last] = ACTIONS(2085),
    [anon_sym_next] = ACTIONS(2085),
    [anon_sym_redo] = ACTIONS(2085),
    [anon_sym_BEGIN] = ACTIONS(2085),
    [anon_sym_INIT] = ACTIONS(2085),
    [anon_sym_CHECK] = ACTIONS(2085),
    [anon_sym_UNITCHECK] = ACTIONS(2085),
    [anon_sym_END] = ACTIONS(2085),
    [anon_sym___FILE__] = ACTIONS(2085),
    [anon_sym___LINE__] = ACTIONS(2085),
    [anon_sym___PACKAGE__] = ACTIONS(2085),
    [anon_sym___SUB__] = ACTIONS(2085),
    [anon_sym_break] = ACTIONS(2085),
    [anon_sym_fork] = ACTIONS(2085),
    [anon_sym_getppid] = ACTIONS(2085),
    [anon_sym_time] = ACTIONS(2085),
    [anon_sym_times] = ACTIONS(2085),
    [anon_sym_wait] = ACTIONS(2085),
    [anon_sym_wantarray] = ACTIONS(2085),
    [anon_sym_abs] = ACTIONS(2085),
    [anon_sym_alarm] = ACTIONS(2085),
    [anon_sym_chop] = ACTIONS(2085),
    [anon_sym_chdir] = ACTIONS(2085),
    [anon_sym_close] = ACTIONS(2085),
    [anon_sym_closedir] = ACTIONS(2085),
    [anon_sym_caller] = ACTIONS(2085),
    [anon_sym_chomp] = ACTIONS(2085),
    [anon_sym_chr] = ACTIONS(2085),
    [anon_sym_cos] = ACTIONS(2085),
    [anon_sym_chroot] = ACTIONS(2085),
    [anon_sym_defined] = ACTIONS(2085),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_dbmclose] = ACTIONS(2085),
    [anon_sym_exists] = ACTIONS(2085),
    [anon_sym_exit] = ACTIONS(2085),
    [anon_sym_eof] = ACTIONS(2085),
    [anon_sym_exp] = ACTIONS(2085),
    [anon_sym_each] = ACTIONS(2085),
    [anon_sym_fc] = ACTIONS(2085),
    [anon_sym_fileno] = ACTIONS(2085),
    [anon_sym_gmtime] = ACTIONS(2085),
    [anon_sym_getc] = ACTIONS(2085),
    [anon_sym_getpgrp] = ACTIONS(2085),
    [anon_sym_getprotobyname] = ACTIONS(2085),
    [anon_sym_getpwname] = ACTIONS(2085),
    [anon_sym_getpwuid] = ACTIONS(2085),
    [anon_sym_getpeername] = ACTIONS(2085),
    [anon_sym_getnetbyname] = ACTIONS(2085),
    [anon_sym_getsockname] = ACTIONS(2085),
    [anon_sym_getgrnam] = ACTIONS(2085),
    [anon_sym_getgrgid] = ACTIONS(2085),
    [anon_sym_hex] = ACTIONS(2085),
    [anon_sym_int] = ACTIONS(2085),
    [anon_sym_keys] = ACTIONS(2085),
    [anon_sym_lc] = ACTIONS(2085),
    [anon_sym_lcfirst] = ACTIONS(2085),
    [anon_sym_length] = ACTIONS(2085),
    [anon_sym_localtime] = ACTIONS(2085),
    [anon_sym_log] = ACTIONS(2085),
    [anon_sym_lock] = ACTIONS(2085),
    [anon_sym_lstat] = ACTIONS(2085),
    [anon_sym_oct] = ACTIONS(2085),
    [anon_sym_ord] = ACTIONS(2085),
    [anon_sym_prototype] = ACTIONS(2085),
    [anon_sym_pop] = ACTIONS(2085),
    [anon_sym_pos] = ACTIONS(2085),
    [anon_sym_quotemeta] = ACTIONS(2085),
    [anon_sym_reset] = ACTIONS(2085),
    [anon_sym_rand] = ACTIONS(2085),
    [anon_sym_rmdir] = ACTIONS(2085),
    [anon_sym_readdir] = ACTIONS(2085),
    [anon_sym_readline] = ACTIONS(2085),
    [anon_sym_readpipe] = ACTIONS(2085),
    [anon_sym_rewinddir] = ACTIONS(2085),
    [anon_sym_readlink] = ACTIONS(2085),
    [anon_sym_ref] = ACTIONS(2085),
    [anon_sym_scalar] = ACTIONS(2085),
    [anon_sym_shift] = ACTIONS(2085),
    [anon_sym_sin] = ACTIONS(2085),
    [anon_sym_sleep] = ACTIONS(2085),
    [anon_sym_sqrt] = ACTIONS(2085),
    [anon_sym_srand] = ACTIONS(2085),
    [anon_sym_stat] = ACTIONS(2085),
    [anon_sym_study] = ACTIONS(2085),
    [anon_sym_tell] = ACTIONS(2085),
    [anon_sym_telldir] = ACTIONS(2085),
    [anon_sym_tied] = ACTIONS(2085),
    [anon_sym_uc] = ACTIONS(2085),
    [anon_sym_ucfirst] = ACTIONS(2085),
    [anon_sym_untie] = ACTIONS(2085),
    [anon_sym_umask] = ACTIONS(2085),
    [anon_sym_values] = ACTIONS(2085),
    [anon_sym_write] = ACTIONS(2085),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2085),
    [anon_sym_qq] = ACTIONS(2085),
    [anon_sym_qw] = ACTIONS(2085),
    [anon_sym_qx] = ACTIONS(2085),
    [anon_sym_qr] = ACTIONS(2085),
    [anon_sym_m] = ACTIONS(2085),
    [anon_sym_s] = ACTIONS(2085),
    [anon_sym_tr] = ACTIONS(2085),
    [anon_sym_y] = ACTIONS(2085),
    [anon_sym_if] = ACTIONS(2085),
    [anon_sym_unless] = ACTIONS(2085),
    [anon_sym_while] = ACTIONS(2085),
    [anon_sym_until] = ACTIONS(2085),
    [aux_sym__bareword_token1] = ACTIONS(2085),
    [sym_number] = ACTIONS(2085),
    [anon_sym_true] = ACTIONS(2085),
    [anon_sym_false] = ACTIONS(2085),
    [sym__single_quote] = ACTIONS(2083),
    [sym__double_quote] = ACTIONS(2083),
    [sym__backtick_quote] = ACTIONS(2083),
    [sym__search_slash_quote] = ACTIONS(2083),
    [sym__open_readline_bracket] = ACTIONS(2083),
    [sym__open_fileglob_bracket] = ACTIONS(2083),
    [sym__PERLY_HEREDOC] = ACTIONS(2083),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2083),
    [sym__filetest] = ACTIONS(2083),
  },
  [1043] = {
    [sym_heredoc_content] = STATE(1043),
    [sym__identifier] = ACTIONS(2233),
    [anon_sym_LBRACE] = ACTIONS(2233),
    [anon_sym_RBRACE] = ACTIONS(2233),
    [anon_sym_SEMI] = ACTIONS(2233),
    [anon_sym_package] = ACTIONS(2233),
    [anon_sym_class] = ACTIONS(2233),
    [anon_sym_role] = ACTIONS(2233),
    [anon_sym_BUILD] = ACTIONS(2233),
    [anon_sym_ADJUST] = ACTIONS(2233),
    [anon_sym_DOLLAR] = ACTIONS(2233),
    [anon_sym_AT] = ACTIONS(2233),
    [anon_sym_my] = ACTIONS(2233),
    [anon_sym_extended] = ACTIONS(2233),
    [anon_sym_async] = ACTIONS(2233),
    [anon_sym_sub] = ACTIONS(2233),
    [anon_sym_method] = ACTIONS(2233),
    [anon_sym_LPAREN] = ACTIONS(2233),
    [anon_sym_continue] = ACTIONS(2233),
    [anon_sym_state] = ACTIONS(2233),
    [anon_sym_our] = ACTIONS(2233),
    [anon_sym_try] = ACTIONS(2233),
    [anon_sym_defer] = ACTIONS(2233),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2233),
    [anon_sym_LBRACK] = ACTIONS(2233),
    [anon_sym_LT_LT] = ACTIONS(2233),
    [anon_sym_SLASH_SLASH] = ACTIONS(2233),
    [anon_sym_PLUS] = ACTIONS(2233),
    [anon_sym_DASH] = ACTIONS(2233),
    [anon_sym_TILDE] = ACTIONS(2233),
    [anon_sym_BANG] = ACTIONS(2233),
    [anon_sym_PLUS_PLUS] = ACTIONS(2233),
    [anon_sym_DASH_DASH] = ACTIONS(2233),
    [anon_sym_BSLASH] = ACTIONS(2231),
    [anon_sym_do] = ACTIONS(2233),
    [anon_sym_eval] = ACTIONS(2233),
    [anon_sym_await] = ACTIONS(2233),
    [anon_sym_field] = ACTIONS(2233),
    [anon_sym_local] = ACTIONS(2233),
    [anon_sym_dynamically] = ACTIONS(2233),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2233),
    [anon_sym_require] = ACTIONS(2233),
    [anon_sym_map] = ACTIONS(2233),
    [anon_sym_grep] = ACTIONS(2233),
    [anon_sym_sort] = ACTIONS(2233),
    [anon_sym_goto] = ACTIONS(2233),
    [anon_sym_return] = ACTIONS(2233),
    [anon_sym_undef] = ACTIONS(2233),
    [anon_sym_PERCENT2] = ACTIONS(2233),
    [anon_sym_AMP2] = ACTIONS(2233),
    [anon_sym_STAR2] = ACTIONS(2233),
    [anon_sym_use] = ACTIONS(2233),
    [anon_sym_no] = ACTIONS(2233),
    [anon_sym_for] = ACTIONS(2233),
    [anon_sym_foreach] = ACTIONS(2233),
    [anon_sym_last] = ACTIONS(2233),
    [anon_sym_next] = ACTIONS(2233),
    [anon_sym_redo] = ACTIONS(2233),
    [anon_sym_BEGIN] = ACTIONS(2233),
    [anon_sym_INIT] = ACTIONS(2233),
    [anon_sym_CHECK] = ACTIONS(2233),
    [anon_sym_UNITCHECK] = ACTIONS(2233),
    [anon_sym_END] = ACTIONS(2233),
    [anon_sym___FILE__] = ACTIONS(2233),
    [anon_sym___LINE__] = ACTIONS(2233),
    [anon_sym___PACKAGE__] = ACTIONS(2233),
    [anon_sym___SUB__] = ACTIONS(2233),
    [anon_sym_break] = ACTIONS(2233),
    [anon_sym_fork] = ACTIONS(2233),
    [anon_sym_getppid] = ACTIONS(2233),
    [anon_sym_time] = ACTIONS(2233),
    [anon_sym_times] = ACTIONS(2233),
    [anon_sym_wait] = ACTIONS(2233),
    [anon_sym_wantarray] = ACTIONS(2233),
    [anon_sym_abs] = ACTIONS(2233),
    [anon_sym_alarm] = ACTIONS(2233),
    [anon_sym_chop] = ACTIONS(2233),
    [anon_sym_chdir] = ACTIONS(2233),
    [anon_sym_close] = ACTIONS(2233),
    [anon_sym_closedir] = ACTIONS(2233),
    [anon_sym_caller] = ACTIONS(2233),
    [anon_sym_chomp] = ACTIONS(2233),
    [anon_sym_chr] = ACTIONS(2233),
    [anon_sym_cos] = ACTIONS(2233),
    [anon_sym_chroot] = ACTIONS(2233),
    [anon_sym_defined] = ACTIONS(2233),
    [anon_sym_delete] = ACTIONS(2233),
    [anon_sym_dbmclose] = ACTIONS(2233),
    [anon_sym_exists] = ACTIONS(2233),
    [anon_sym_exit] = ACTIONS(2233),
    [anon_sym_eof] = ACTIONS(2233),
    [anon_sym_exp] = ACTIONS(2233),
    [anon_sym_each] = ACTIONS(2233),
    [anon_sym_fc] = ACTIONS(2233),
    [anon_sym_fileno] = ACTIONS(2233),
    [anon_sym_gmtime] = ACTIONS(2233),
    [anon_sym_getc] = ACTIONS(2233),
    [anon_sym_getpgrp] = ACTIONS(2233),
    [anon_sym_getprotobyname] = ACTIONS(2233),
    [anon_sym_getpwname] = ACTIONS(2233),
    [anon_sym_getpwuid] = ACTIONS(2233),
    [anon_sym_getpeername] = ACTIONS(2233),
    [anon_sym_getnetbyname] = ACTIONS(2233),
    [anon_sym_getsockname] = ACTIONS(2233),
    [anon_sym_getgrnam] = ACTIONS(2233),
    [anon_sym_getgrgid] = ACTIONS(2233),
    [anon_sym_hex] = ACTIONS(2233),
    [anon_sym_int] = ACTIONS(2233),
    [anon_sym_keys] = ACTIONS(2233),
    [anon_sym_lc] = ACTIONS(2233),
    [anon_sym_lcfirst] = ACTIONS(2233),
    [anon_sym_length] = ACTIONS(2233),
    [anon_sym_localtime] = ACTIONS(2233),
    [anon_sym_log] = ACTIONS(2233),
    [anon_sym_lock] = ACTIONS(2233),
    [anon_sym_lstat] = ACTIONS(2233),
    [anon_sym_oct] = ACTIONS(2233),
    [anon_sym_ord] = ACTIONS(2233),
    [anon_sym_prototype] = ACTIONS(2233),
    [anon_sym_pop] = ACTIONS(2233),
    [anon_sym_pos] = ACTIONS(2233),
    [anon_sym_quotemeta] = ACTIONS(2233),
    [anon_sym_reset] = ACTIONS(2233),
    [anon_sym_rand] = ACTIONS(2233),
    [anon_sym_rmdir] = ACTIONS(2233),
    [anon_sym_readdir] = ACTIONS(2233),
    [anon_sym_readline] = ACTIONS(2233),
    [anon_sym_readpipe] = ACTIONS(2233),
    [anon_sym_rewinddir] = ACTIONS(2233),
    [anon_sym_readlink] = ACTIONS(2233),
    [anon_sym_ref] = ACTIONS(2233),
    [anon_sym_scalar] = ACTIONS(2233),
    [anon_sym_shift] = ACTIONS(2233),
    [anon_sym_sin] = ACTIONS(2233),
    [anon_sym_sleep] = ACTIONS(2233),
    [anon_sym_sqrt] = ACTIONS(2233),
    [anon_sym_srand] = ACTIONS(2233),
    [anon_sym_stat] = ACTIONS(2233),
    [anon_sym_study] = ACTIONS(2233),
    [anon_sym_tell] = ACTIONS(2233),
    [anon_sym_telldir] = ACTIONS(2233),
    [anon_sym_tied] = ACTIONS(2233),
    [anon_sym_uc] = ACTIONS(2233),
    [anon_sym_ucfirst] = ACTIONS(2233),
    [anon_sym_untie] = ACTIONS(2233),
    [anon_sym_umask] = ACTIONS(2233),
    [anon_sym_values] = ACTIONS(2233),
    [anon_sym_write] = ACTIONS(2233),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2233),
    [anon_sym_qq] = ACTIONS(2233),
    [anon_sym_qw] = ACTIONS(2233),
    [anon_sym_qx] = ACTIONS(2233),
    [anon_sym_qr] = ACTIONS(2233),
    [anon_sym_m] = ACTIONS(2233),
    [anon_sym_s] = ACTIONS(2233),
    [anon_sym_tr] = ACTIONS(2233),
    [anon_sym_y] = ACTIONS(2233),
    [anon_sym_if] = ACTIONS(2233),
    [anon_sym_unless] = ACTIONS(2233),
    [anon_sym_while] = ACTIONS(2233),
    [anon_sym_until] = ACTIONS(2233),
    [aux_sym__bareword_token1] = ACTIONS(2233),
    [sym_number] = ACTIONS(2233),
    [anon_sym_true] = ACTIONS(2233),
    [anon_sym_false] = ACTIONS(2233),
    [sym__single_quote] = ACTIONS(2231),
    [sym__double_quote] = ACTIONS(2231),
    [sym__backtick_quote] = ACTIONS(2231),
    [sym__search_slash_quote] = ACTIONS(2231),
    [sym__open_readline_bracket] = ACTIONS(2231),
    [sym__open_fileglob_bracket] = ACTIONS(2231),
    [sym__PERLY_HEREDOC] = ACTIONS(2231),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2231),
    [sym__filetest] = ACTIONS(2231),
  },
  [1044] = {
    [sym_heredoc_content] = STATE(1044),
    [sym__identifier] = ACTIONS(2245),
    [anon_sym_LBRACE] = ACTIONS(2245),
    [anon_sym_RBRACE] = ACTIONS(2245),
    [anon_sym_SEMI] = ACTIONS(2245),
    [anon_sym_package] = ACTIONS(2245),
    [anon_sym_class] = ACTIONS(2245),
    [anon_sym_role] = ACTIONS(2245),
    [anon_sym_BUILD] = ACTIONS(2245),
    [anon_sym_ADJUST] = ACTIONS(2245),
    [anon_sym_DOLLAR] = ACTIONS(2245),
    [anon_sym_AT] = ACTIONS(2245),
    [anon_sym_my] = ACTIONS(2245),
    [anon_sym_extended] = ACTIONS(2245),
    [anon_sym_async] = ACTIONS(2245),
    [anon_sym_sub] = ACTIONS(2245),
    [anon_sym_method] = ACTIONS(2245),
    [anon_sym_LPAREN] = ACTIONS(2245),
    [anon_sym_continue] = ACTIONS(2245),
    [anon_sym_state] = ACTIONS(2245),
    [anon_sym_our] = ACTIONS(2245),
    [anon_sym_try] = ACTIONS(2245),
    [anon_sym_defer] = ACTIONS(2245),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2245),
    [anon_sym_LBRACK] = ACTIONS(2245),
    [anon_sym_LT_LT] = ACTIONS(2245),
    [anon_sym_SLASH_SLASH] = ACTIONS(2245),
    [anon_sym_PLUS] = ACTIONS(2245),
    [anon_sym_DASH] = ACTIONS(2245),
    [anon_sym_TILDE] = ACTIONS(2245),
    [anon_sym_BANG] = ACTIONS(2245),
    [anon_sym_PLUS_PLUS] = ACTIONS(2245),
    [anon_sym_DASH_DASH] = ACTIONS(2245),
    [anon_sym_BSLASH] = ACTIONS(2243),
    [anon_sym_do] = ACTIONS(2245),
    [anon_sym_eval] = ACTIONS(2245),
    [anon_sym_await] = ACTIONS(2245),
    [anon_sym_field] = ACTIONS(2245),
    [anon_sym_local] = ACTIONS(2245),
    [anon_sym_dynamically] = ACTIONS(2245),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2245),
    [anon_sym_require] = ACTIONS(2245),
    [anon_sym_map] = ACTIONS(2245),
    [anon_sym_grep] = ACTIONS(2245),
    [anon_sym_sort] = ACTIONS(2245),
    [anon_sym_goto] = ACTIONS(2245),
    [anon_sym_return] = ACTIONS(2245),
    [anon_sym_undef] = ACTIONS(2245),
    [anon_sym_PERCENT2] = ACTIONS(2245),
    [anon_sym_AMP2] = ACTIONS(2245),
    [anon_sym_STAR2] = ACTIONS(2245),
    [anon_sym_use] = ACTIONS(2245),
    [anon_sym_no] = ACTIONS(2245),
    [anon_sym_for] = ACTIONS(2245),
    [anon_sym_foreach] = ACTIONS(2245),
    [anon_sym_last] = ACTIONS(2245),
    [anon_sym_next] = ACTIONS(2245),
    [anon_sym_redo] = ACTIONS(2245),
    [anon_sym_BEGIN] = ACTIONS(2245),
    [anon_sym_INIT] = ACTIONS(2245),
    [anon_sym_CHECK] = ACTIONS(2245),
    [anon_sym_UNITCHECK] = ACTIONS(2245),
    [anon_sym_END] = ACTIONS(2245),
    [anon_sym___FILE__] = ACTIONS(2245),
    [anon_sym___LINE__] = ACTIONS(2245),
    [anon_sym___PACKAGE__] = ACTIONS(2245),
    [anon_sym___SUB__] = ACTIONS(2245),
    [anon_sym_break] = ACTIONS(2245),
    [anon_sym_fork] = ACTIONS(2245),
    [anon_sym_getppid] = ACTIONS(2245),
    [anon_sym_time] = ACTIONS(2245),
    [anon_sym_times] = ACTIONS(2245),
    [anon_sym_wait] = ACTIONS(2245),
    [anon_sym_wantarray] = ACTIONS(2245),
    [anon_sym_abs] = ACTIONS(2245),
    [anon_sym_alarm] = ACTIONS(2245),
    [anon_sym_chop] = ACTIONS(2245),
    [anon_sym_chdir] = ACTIONS(2245),
    [anon_sym_close] = ACTIONS(2245),
    [anon_sym_closedir] = ACTIONS(2245),
    [anon_sym_caller] = ACTIONS(2245),
    [anon_sym_chomp] = ACTIONS(2245),
    [anon_sym_chr] = ACTIONS(2245),
    [anon_sym_cos] = ACTIONS(2245),
    [anon_sym_chroot] = ACTIONS(2245),
    [anon_sym_defined] = ACTIONS(2245),
    [anon_sym_delete] = ACTIONS(2245),
    [anon_sym_dbmclose] = ACTIONS(2245),
    [anon_sym_exists] = ACTIONS(2245),
    [anon_sym_exit] = ACTIONS(2245),
    [anon_sym_eof] = ACTIONS(2245),
    [anon_sym_exp] = ACTIONS(2245),
    [anon_sym_each] = ACTIONS(2245),
    [anon_sym_fc] = ACTIONS(2245),
    [anon_sym_fileno] = ACTIONS(2245),
    [anon_sym_gmtime] = ACTIONS(2245),
    [anon_sym_getc] = ACTIONS(2245),
    [anon_sym_getpgrp] = ACTIONS(2245),
    [anon_sym_getprotobyname] = ACTIONS(2245),
    [anon_sym_getpwname] = ACTIONS(2245),
    [anon_sym_getpwuid] = ACTIONS(2245),
    [anon_sym_getpeername] = ACTIONS(2245),
    [anon_sym_getnetbyname] = ACTIONS(2245),
    [anon_sym_getsockname] = ACTIONS(2245),
    [anon_sym_getgrnam] = ACTIONS(2245),
    [anon_sym_getgrgid] = ACTIONS(2245),
    [anon_sym_hex] = ACTIONS(2245),
    [anon_sym_int] = ACTIONS(2245),
    [anon_sym_keys] = ACTIONS(2245),
    [anon_sym_lc] = ACTIONS(2245),
    [anon_sym_lcfirst] = ACTIONS(2245),
    [anon_sym_length] = ACTIONS(2245),
    [anon_sym_localtime] = ACTIONS(2245),
    [anon_sym_log] = ACTIONS(2245),
    [anon_sym_lock] = ACTIONS(2245),
    [anon_sym_lstat] = ACTIONS(2245),
    [anon_sym_oct] = ACTIONS(2245),
    [anon_sym_ord] = ACTIONS(2245),
    [anon_sym_prototype] = ACTIONS(2245),
    [anon_sym_pop] = ACTIONS(2245),
    [anon_sym_pos] = ACTIONS(2245),
    [anon_sym_quotemeta] = ACTIONS(2245),
    [anon_sym_reset] = ACTIONS(2245),
    [anon_sym_rand] = ACTIONS(2245),
    [anon_sym_rmdir] = ACTIONS(2245),
    [anon_sym_readdir] = ACTIONS(2245),
    [anon_sym_readline] = ACTIONS(2245),
    [anon_sym_readpipe] = ACTIONS(2245),
    [anon_sym_rewinddir] = ACTIONS(2245),
    [anon_sym_readlink] = ACTIONS(2245),
    [anon_sym_ref] = ACTIONS(2245),
    [anon_sym_scalar] = ACTIONS(2245),
    [anon_sym_shift] = ACTIONS(2245),
    [anon_sym_sin] = ACTIONS(2245),
    [anon_sym_sleep] = ACTIONS(2245),
    [anon_sym_sqrt] = ACTIONS(2245),
    [anon_sym_srand] = ACTIONS(2245),
    [anon_sym_stat] = ACTIONS(2245),
    [anon_sym_study] = ACTIONS(2245),
    [anon_sym_tell] = ACTIONS(2245),
    [anon_sym_telldir] = ACTIONS(2245),
    [anon_sym_tied] = ACTIONS(2245),
    [anon_sym_uc] = ACTIONS(2245),
    [anon_sym_ucfirst] = ACTIONS(2245),
    [anon_sym_untie] = ACTIONS(2245),
    [anon_sym_umask] = ACTIONS(2245),
    [anon_sym_values] = ACTIONS(2245),
    [anon_sym_write] = ACTIONS(2245),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2245),
    [anon_sym_qq] = ACTIONS(2245),
    [anon_sym_qw] = ACTIONS(2245),
    [anon_sym_qx] = ACTIONS(2245),
    [anon_sym_qr] = ACTIONS(2245),
    [anon_sym_m] = ACTIONS(2245),
    [anon_sym_s] = ACTIONS(2245),
    [anon_sym_tr] = ACTIONS(2245),
    [anon_sym_y] = ACTIONS(2245),
    [anon_sym_if] = ACTIONS(2245),
    [anon_sym_unless] = ACTIONS(2245),
    [anon_sym_while] = ACTIONS(2245),
    [anon_sym_until] = ACTIONS(2245),
    [aux_sym__bareword_token1] = ACTIONS(2245),
    [sym_number] = ACTIONS(2245),
    [anon_sym_true] = ACTIONS(2245),
    [anon_sym_false] = ACTIONS(2245),
    [sym__single_quote] = ACTIONS(2243),
    [sym__double_quote] = ACTIONS(2243),
    [sym__backtick_quote] = ACTIONS(2243),
    [sym__search_slash_quote] = ACTIONS(2243),
    [sym__open_readline_bracket] = ACTIONS(2243),
    [sym__open_fileglob_bracket] = ACTIONS(2243),
    [sym__PERLY_HEREDOC] = ACTIONS(2243),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2243),
    [sym__filetest] = ACTIONS(2243),
  },
  [1045] = {
    [sym_heredoc_content] = STATE(1045),
    [sym__identifier] = ACTIONS(2101),
    [anon_sym_LBRACE] = ACTIONS(2101),
    [anon_sym_RBRACE] = ACTIONS(2101),
    [anon_sym_SEMI] = ACTIONS(2101),
    [anon_sym_package] = ACTIONS(2101),
    [anon_sym_class] = ACTIONS(2101),
    [anon_sym_role] = ACTIONS(2101),
    [anon_sym_BUILD] = ACTIONS(2101),
    [anon_sym_ADJUST] = ACTIONS(2101),
    [anon_sym_DOLLAR] = ACTIONS(2101),
    [anon_sym_AT] = ACTIONS(2101),
    [anon_sym_my] = ACTIONS(2101),
    [anon_sym_extended] = ACTIONS(2101),
    [anon_sym_async] = ACTIONS(2101),
    [anon_sym_sub] = ACTIONS(2101),
    [anon_sym_method] = ACTIONS(2101),
    [anon_sym_LPAREN] = ACTIONS(2101),
    [anon_sym_continue] = ACTIONS(2101),
    [anon_sym_state] = ACTIONS(2101),
    [anon_sym_our] = ACTIONS(2101),
    [anon_sym_try] = ACTIONS(2101),
    [anon_sym_defer] = ACTIONS(2101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2101),
    [anon_sym_LBRACK] = ACTIONS(2101),
    [anon_sym_LT_LT] = ACTIONS(2101),
    [anon_sym_SLASH_SLASH] = ACTIONS(2101),
    [anon_sym_PLUS] = ACTIONS(2101),
    [anon_sym_DASH] = ACTIONS(2101),
    [anon_sym_TILDE] = ACTIONS(2101),
    [anon_sym_BANG] = ACTIONS(2101),
    [anon_sym_PLUS_PLUS] = ACTIONS(2101),
    [anon_sym_DASH_DASH] = ACTIONS(2101),
    [anon_sym_BSLASH] = ACTIONS(2099),
    [anon_sym_do] = ACTIONS(2101),
    [anon_sym_eval] = ACTIONS(2101),
    [anon_sym_await] = ACTIONS(2101),
    [anon_sym_field] = ACTIONS(2101),
    [anon_sym_local] = ACTIONS(2101),
    [anon_sym_dynamically] = ACTIONS(2101),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2101),
    [anon_sym_require] = ACTIONS(2101),
    [anon_sym_map] = ACTIONS(2101),
    [anon_sym_grep] = ACTIONS(2101),
    [anon_sym_sort] = ACTIONS(2101),
    [anon_sym_goto] = ACTIONS(2101),
    [anon_sym_return] = ACTIONS(2101),
    [anon_sym_undef] = ACTIONS(2101),
    [anon_sym_PERCENT2] = ACTIONS(2101),
    [anon_sym_AMP2] = ACTIONS(2101),
    [anon_sym_STAR2] = ACTIONS(2101),
    [anon_sym_use] = ACTIONS(2101),
    [anon_sym_no] = ACTIONS(2101),
    [anon_sym_for] = ACTIONS(2101),
    [anon_sym_foreach] = ACTIONS(2101),
    [anon_sym_last] = ACTIONS(2101),
    [anon_sym_next] = ACTIONS(2101),
    [anon_sym_redo] = ACTIONS(2101),
    [anon_sym_BEGIN] = ACTIONS(2101),
    [anon_sym_INIT] = ACTIONS(2101),
    [anon_sym_CHECK] = ACTIONS(2101),
    [anon_sym_UNITCHECK] = ACTIONS(2101),
    [anon_sym_END] = ACTIONS(2101),
    [anon_sym___FILE__] = ACTIONS(2101),
    [anon_sym___LINE__] = ACTIONS(2101),
    [anon_sym___PACKAGE__] = ACTIONS(2101),
    [anon_sym___SUB__] = ACTIONS(2101),
    [anon_sym_break] = ACTIONS(2101),
    [anon_sym_fork] = ACTIONS(2101),
    [anon_sym_getppid] = ACTIONS(2101),
    [anon_sym_time] = ACTIONS(2101),
    [anon_sym_times] = ACTIONS(2101),
    [anon_sym_wait] = ACTIONS(2101),
    [anon_sym_wantarray] = ACTIONS(2101),
    [anon_sym_abs] = ACTIONS(2101),
    [anon_sym_alarm] = ACTIONS(2101),
    [anon_sym_chop] = ACTIONS(2101),
    [anon_sym_chdir] = ACTIONS(2101),
    [anon_sym_close] = ACTIONS(2101),
    [anon_sym_closedir] = ACTIONS(2101),
    [anon_sym_caller] = ACTIONS(2101),
    [anon_sym_chomp] = ACTIONS(2101),
    [anon_sym_chr] = ACTIONS(2101),
    [anon_sym_cos] = ACTIONS(2101),
    [anon_sym_chroot] = ACTIONS(2101),
    [anon_sym_defined] = ACTIONS(2101),
    [anon_sym_delete] = ACTIONS(2101),
    [anon_sym_dbmclose] = ACTIONS(2101),
    [anon_sym_exists] = ACTIONS(2101),
    [anon_sym_exit] = ACTIONS(2101),
    [anon_sym_eof] = ACTIONS(2101),
    [anon_sym_exp] = ACTIONS(2101),
    [anon_sym_each] = ACTIONS(2101),
    [anon_sym_fc] = ACTIONS(2101),
    [anon_sym_fileno] = ACTIONS(2101),
    [anon_sym_gmtime] = ACTIONS(2101),
    [anon_sym_getc] = ACTIONS(2101),
    [anon_sym_getpgrp] = ACTIONS(2101),
    [anon_sym_getprotobyname] = ACTIONS(2101),
    [anon_sym_getpwname] = ACTIONS(2101),
    [anon_sym_getpwuid] = ACTIONS(2101),
    [anon_sym_getpeername] = ACTIONS(2101),
    [anon_sym_getnetbyname] = ACTIONS(2101),
    [anon_sym_getsockname] = ACTIONS(2101),
    [anon_sym_getgrnam] = ACTIONS(2101),
    [anon_sym_getgrgid] = ACTIONS(2101),
    [anon_sym_hex] = ACTIONS(2101),
    [anon_sym_int] = ACTIONS(2101),
    [anon_sym_keys] = ACTIONS(2101),
    [anon_sym_lc] = ACTIONS(2101),
    [anon_sym_lcfirst] = ACTIONS(2101),
    [anon_sym_length] = ACTIONS(2101),
    [anon_sym_localtime] = ACTIONS(2101),
    [anon_sym_log] = ACTIONS(2101),
    [anon_sym_lock] = ACTIONS(2101),
    [anon_sym_lstat] = ACTIONS(2101),
    [anon_sym_oct] = ACTIONS(2101),
    [anon_sym_ord] = ACTIONS(2101),
    [anon_sym_prototype] = ACTIONS(2101),
    [anon_sym_pop] = ACTIONS(2101),
    [anon_sym_pos] = ACTIONS(2101),
    [anon_sym_quotemeta] = ACTIONS(2101),
    [anon_sym_reset] = ACTIONS(2101),
    [anon_sym_rand] = ACTIONS(2101),
    [anon_sym_rmdir] = ACTIONS(2101),
    [anon_sym_readdir] = ACTIONS(2101),
    [anon_sym_readline] = ACTIONS(2101),
    [anon_sym_readpipe] = ACTIONS(2101),
    [anon_sym_rewinddir] = ACTIONS(2101),
    [anon_sym_readlink] = ACTIONS(2101),
    [anon_sym_ref] = ACTIONS(2101),
    [anon_sym_scalar] = ACTIONS(2101),
    [anon_sym_shift] = ACTIONS(2101),
    [anon_sym_sin] = ACTIONS(2101),
    [anon_sym_sleep] = ACTIONS(2101),
    [anon_sym_sqrt] = ACTIONS(2101),
    [anon_sym_srand] = ACTIONS(2101),
    [anon_sym_stat] = ACTIONS(2101),
    [anon_sym_study] = ACTIONS(2101),
    [anon_sym_tell] = ACTIONS(2101),
    [anon_sym_telldir] = ACTIONS(2101),
    [anon_sym_tied] = ACTIONS(2101),
    [anon_sym_uc] = ACTIONS(2101),
    [anon_sym_ucfirst] = ACTIONS(2101),
    [anon_sym_untie] = ACTIONS(2101),
    [anon_sym_umask] = ACTIONS(2101),
    [anon_sym_values] = ACTIONS(2101),
    [anon_sym_write] = ACTIONS(2101),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2101),
    [anon_sym_qq] = ACTIONS(2101),
    [anon_sym_qw] = ACTIONS(2101),
    [anon_sym_qx] = ACTIONS(2101),
    [anon_sym_qr] = ACTIONS(2101),
    [anon_sym_m] = ACTIONS(2101),
    [anon_sym_s] = ACTIONS(2101),
    [anon_sym_tr] = ACTIONS(2101),
    [anon_sym_y] = ACTIONS(2101),
    [anon_sym_if] = ACTIONS(2101),
    [anon_sym_unless] = ACTIONS(2101),
    [anon_sym_while] = ACTIONS(2101),
    [anon_sym_until] = ACTIONS(2101),
    [aux_sym__bareword_token1] = ACTIONS(2101),
    [sym_number] = ACTIONS(2101),
    [anon_sym_true] = ACTIONS(2101),
    [anon_sym_false] = ACTIONS(2101),
    [sym__single_quote] = ACTIONS(2099),
    [sym__double_quote] = ACTIONS(2099),
    [sym__backtick_quote] = ACTIONS(2099),
    [sym__search_slash_quote] = ACTIONS(2099),
    [sym__open_readline_bracket] = ACTIONS(2099),
    [sym__open_fileglob_bracket] = ACTIONS(2099),
    [sym__PERLY_HEREDOC] = ACTIONS(2099),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2099),
    [sym__filetest] = ACTIONS(2099),
  },
  [1046] = {
    [sym_heredoc_content] = STATE(1046),
    [sym__identifier] = ACTIONS(2249),
    [anon_sym_LBRACE] = ACTIONS(2249),
    [anon_sym_RBRACE] = ACTIONS(2249),
    [anon_sym_SEMI] = ACTIONS(2249),
    [anon_sym_package] = ACTIONS(2249),
    [anon_sym_class] = ACTIONS(2249),
    [anon_sym_role] = ACTIONS(2249),
    [anon_sym_BUILD] = ACTIONS(2249),
    [anon_sym_ADJUST] = ACTIONS(2249),
    [anon_sym_DOLLAR] = ACTIONS(2249),
    [anon_sym_AT] = ACTIONS(2249),
    [anon_sym_my] = ACTIONS(2249),
    [anon_sym_extended] = ACTIONS(2249),
    [anon_sym_async] = ACTIONS(2249),
    [anon_sym_sub] = ACTIONS(2249),
    [anon_sym_method] = ACTIONS(2249),
    [anon_sym_LPAREN] = ACTIONS(2249),
    [anon_sym_continue] = ACTIONS(2249),
    [anon_sym_state] = ACTIONS(2249),
    [anon_sym_our] = ACTIONS(2249),
    [anon_sym_try] = ACTIONS(2249),
    [anon_sym_defer] = ACTIONS(2249),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2249),
    [anon_sym_LBRACK] = ACTIONS(2249),
    [anon_sym_LT_LT] = ACTIONS(2249),
    [anon_sym_SLASH_SLASH] = ACTIONS(2249),
    [anon_sym_PLUS] = ACTIONS(2249),
    [anon_sym_DASH] = ACTIONS(2249),
    [anon_sym_TILDE] = ACTIONS(2249),
    [anon_sym_BANG] = ACTIONS(2249),
    [anon_sym_PLUS_PLUS] = ACTIONS(2249),
    [anon_sym_DASH_DASH] = ACTIONS(2249),
    [anon_sym_BSLASH] = ACTIONS(2247),
    [anon_sym_do] = ACTIONS(2249),
    [anon_sym_eval] = ACTIONS(2249),
    [anon_sym_await] = ACTIONS(2249),
    [anon_sym_field] = ACTIONS(2249),
    [anon_sym_local] = ACTIONS(2249),
    [anon_sym_dynamically] = ACTIONS(2249),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2249),
    [anon_sym_require] = ACTIONS(2249),
    [anon_sym_map] = ACTIONS(2249),
    [anon_sym_grep] = ACTIONS(2249),
    [anon_sym_sort] = ACTIONS(2249),
    [anon_sym_goto] = ACTIONS(2249),
    [anon_sym_return] = ACTIONS(2249),
    [anon_sym_undef] = ACTIONS(2249),
    [anon_sym_PERCENT2] = ACTIONS(2249),
    [anon_sym_AMP2] = ACTIONS(2249),
    [anon_sym_STAR2] = ACTIONS(2249),
    [anon_sym_use] = ACTIONS(2249),
    [anon_sym_no] = ACTIONS(2249),
    [anon_sym_for] = ACTIONS(2249),
    [anon_sym_foreach] = ACTIONS(2249),
    [anon_sym_last] = ACTIONS(2249),
    [anon_sym_next] = ACTIONS(2249),
    [anon_sym_redo] = ACTIONS(2249),
    [anon_sym_BEGIN] = ACTIONS(2249),
    [anon_sym_INIT] = ACTIONS(2249),
    [anon_sym_CHECK] = ACTIONS(2249),
    [anon_sym_UNITCHECK] = ACTIONS(2249),
    [anon_sym_END] = ACTIONS(2249),
    [anon_sym___FILE__] = ACTIONS(2249),
    [anon_sym___LINE__] = ACTIONS(2249),
    [anon_sym___PACKAGE__] = ACTIONS(2249),
    [anon_sym___SUB__] = ACTIONS(2249),
    [anon_sym_break] = ACTIONS(2249),
    [anon_sym_fork] = ACTIONS(2249),
    [anon_sym_getppid] = ACTIONS(2249),
    [anon_sym_time] = ACTIONS(2249),
    [anon_sym_times] = ACTIONS(2249),
    [anon_sym_wait] = ACTIONS(2249),
    [anon_sym_wantarray] = ACTIONS(2249),
    [anon_sym_abs] = ACTIONS(2249),
    [anon_sym_alarm] = ACTIONS(2249),
    [anon_sym_chop] = ACTIONS(2249),
    [anon_sym_chdir] = ACTIONS(2249),
    [anon_sym_close] = ACTIONS(2249),
    [anon_sym_closedir] = ACTIONS(2249),
    [anon_sym_caller] = ACTIONS(2249),
    [anon_sym_chomp] = ACTIONS(2249),
    [anon_sym_chr] = ACTIONS(2249),
    [anon_sym_cos] = ACTIONS(2249),
    [anon_sym_chroot] = ACTIONS(2249),
    [anon_sym_defined] = ACTIONS(2249),
    [anon_sym_delete] = ACTIONS(2249),
    [anon_sym_dbmclose] = ACTIONS(2249),
    [anon_sym_exists] = ACTIONS(2249),
    [anon_sym_exit] = ACTIONS(2249),
    [anon_sym_eof] = ACTIONS(2249),
    [anon_sym_exp] = ACTIONS(2249),
    [anon_sym_each] = ACTIONS(2249),
    [anon_sym_fc] = ACTIONS(2249),
    [anon_sym_fileno] = ACTIONS(2249),
    [anon_sym_gmtime] = ACTIONS(2249),
    [anon_sym_getc] = ACTIONS(2249),
    [anon_sym_getpgrp] = ACTIONS(2249),
    [anon_sym_getprotobyname] = ACTIONS(2249),
    [anon_sym_getpwname] = ACTIONS(2249),
    [anon_sym_getpwuid] = ACTIONS(2249),
    [anon_sym_getpeername] = ACTIONS(2249),
    [anon_sym_getnetbyname] = ACTIONS(2249),
    [anon_sym_getsockname] = ACTIONS(2249),
    [anon_sym_getgrnam] = ACTIONS(2249),
    [anon_sym_getgrgid] = ACTIONS(2249),
    [anon_sym_hex] = ACTIONS(2249),
    [anon_sym_int] = ACTIONS(2249),
    [anon_sym_keys] = ACTIONS(2249),
    [anon_sym_lc] = ACTIONS(2249),
    [anon_sym_lcfirst] = ACTIONS(2249),
    [anon_sym_length] = ACTIONS(2249),
    [anon_sym_localtime] = ACTIONS(2249),
    [anon_sym_log] = ACTIONS(2249),
    [anon_sym_lock] = ACTIONS(2249),
    [anon_sym_lstat] = ACTIONS(2249),
    [anon_sym_oct] = ACTIONS(2249),
    [anon_sym_ord] = ACTIONS(2249),
    [anon_sym_prototype] = ACTIONS(2249),
    [anon_sym_pop] = ACTIONS(2249),
    [anon_sym_pos] = ACTIONS(2249),
    [anon_sym_quotemeta] = ACTIONS(2249),
    [anon_sym_reset] = ACTIONS(2249),
    [anon_sym_rand] = ACTIONS(2249),
    [anon_sym_rmdir] = ACTIONS(2249),
    [anon_sym_readdir] = ACTIONS(2249),
    [anon_sym_readline] = ACTIONS(2249),
    [anon_sym_readpipe] = ACTIONS(2249),
    [anon_sym_rewinddir] = ACTIONS(2249),
    [anon_sym_readlink] = ACTIONS(2249),
    [anon_sym_ref] = ACTIONS(2249),
    [anon_sym_scalar] = ACTIONS(2249),
    [anon_sym_shift] = ACTIONS(2249),
    [anon_sym_sin] = ACTIONS(2249),
    [anon_sym_sleep] = ACTIONS(2249),
    [anon_sym_sqrt] = ACTIONS(2249),
    [anon_sym_srand] = ACTIONS(2249),
    [anon_sym_stat] = ACTIONS(2249),
    [anon_sym_study] = ACTIONS(2249),
    [anon_sym_tell] = ACTIONS(2249),
    [anon_sym_telldir] = ACTIONS(2249),
    [anon_sym_tied] = ACTIONS(2249),
    [anon_sym_uc] = ACTIONS(2249),
    [anon_sym_ucfirst] = ACTIONS(2249),
    [anon_sym_untie] = ACTIONS(2249),
    [anon_sym_umask] = ACTIONS(2249),
    [anon_sym_values] = ACTIONS(2249),
    [anon_sym_write] = ACTIONS(2249),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2249),
    [anon_sym_qq] = ACTIONS(2249),
    [anon_sym_qw] = ACTIONS(2249),
    [anon_sym_qx] = ACTIONS(2249),
    [anon_sym_qr] = ACTIONS(2249),
    [anon_sym_m] = ACTIONS(2249),
    [anon_sym_s] = ACTIONS(2249),
    [anon_sym_tr] = ACTIONS(2249),
    [anon_sym_y] = ACTIONS(2249),
    [anon_sym_if] = ACTIONS(2249),
    [anon_sym_unless] = ACTIONS(2249),
    [anon_sym_while] = ACTIONS(2249),
    [anon_sym_until] = ACTIONS(2249),
    [aux_sym__bareword_token1] = ACTIONS(2249),
    [sym_number] = ACTIONS(2249),
    [anon_sym_true] = ACTIONS(2249),
    [anon_sym_false] = ACTIONS(2249),
    [sym__single_quote] = ACTIONS(2247),
    [sym__double_quote] = ACTIONS(2247),
    [sym__backtick_quote] = ACTIONS(2247),
    [sym__search_slash_quote] = ACTIONS(2247),
    [sym__open_readline_bracket] = ACTIONS(2247),
    [sym__open_fileglob_bracket] = ACTIONS(2247),
    [sym__PERLY_HEREDOC] = ACTIONS(2247),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2247),
    [sym__filetest] = ACTIONS(2247),
  },
  [1047] = {
    [sym_heredoc_content] = STATE(1047),
    [sym__identifier] = ACTIONS(2253),
    [anon_sym_LBRACE] = ACTIONS(2253),
    [anon_sym_RBRACE] = ACTIONS(2253),
    [anon_sym_SEMI] = ACTIONS(2253),
    [anon_sym_package] = ACTIONS(2253),
    [anon_sym_class] = ACTIONS(2253),
    [anon_sym_role] = ACTIONS(2253),
    [anon_sym_BUILD] = ACTIONS(2253),
    [anon_sym_ADJUST] = ACTIONS(2253),
    [anon_sym_DOLLAR] = ACTIONS(2253),
    [anon_sym_AT] = ACTIONS(2253),
    [anon_sym_my] = ACTIONS(2253),
    [anon_sym_extended] = ACTIONS(2253),
    [anon_sym_async] = ACTIONS(2253),
    [anon_sym_sub] = ACTIONS(2253),
    [anon_sym_method] = ACTIONS(2253),
    [anon_sym_LPAREN] = ACTIONS(2253),
    [anon_sym_continue] = ACTIONS(2253),
    [anon_sym_state] = ACTIONS(2253),
    [anon_sym_our] = ACTIONS(2253),
    [anon_sym_try] = ACTIONS(2253),
    [anon_sym_defer] = ACTIONS(2253),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2253),
    [anon_sym_LBRACK] = ACTIONS(2253),
    [anon_sym_LT_LT] = ACTIONS(2253),
    [anon_sym_SLASH_SLASH] = ACTIONS(2253),
    [anon_sym_PLUS] = ACTIONS(2253),
    [anon_sym_DASH] = ACTIONS(2253),
    [anon_sym_TILDE] = ACTIONS(2253),
    [anon_sym_BANG] = ACTIONS(2253),
    [anon_sym_PLUS_PLUS] = ACTIONS(2253),
    [anon_sym_DASH_DASH] = ACTIONS(2253),
    [anon_sym_BSLASH] = ACTIONS(2251),
    [anon_sym_do] = ACTIONS(2253),
    [anon_sym_eval] = ACTIONS(2253),
    [anon_sym_await] = ACTIONS(2253),
    [anon_sym_field] = ACTIONS(2253),
    [anon_sym_local] = ACTIONS(2253),
    [anon_sym_dynamically] = ACTIONS(2253),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2253),
    [anon_sym_require] = ACTIONS(2253),
    [anon_sym_map] = ACTIONS(2253),
    [anon_sym_grep] = ACTIONS(2253),
    [anon_sym_sort] = ACTIONS(2253),
    [anon_sym_goto] = ACTIONS(2253),
    [anon_sym_return] = ACTIONS(2253),
    [anon_sym_undef] = ACTIONS(2253),
    [anon_sym_PERCENT2] = ACTIONS(2253),
    [anon_sym_AMP2] = ACTIONS(2253),
    [anon_sym_STAR2] = ACTIONS(2253),
    [anon_sym_use] = ACTIONS(2253),
    [anon_sym_no] = ACTIONS(2253),
    [anon_sym_for] = ACTIONS(2253),
    [anon_sym_foreach] = ACTIONS(2253),
    [anon_sym_last] = ACTIONS(2253),
    [anon_sym_next] = ACTIONS(2253),
    [anon_sym_redo] = ACTIONS(2253),
    [anon_sym_BEGIN] = ACTIONS(2253),
    [anon_sym_INIT] = ACTIONS(2253),
    [anon_sym_CHECK] = ACTIONS(2253),
    [anon_sym_UNITCHECK] = ACTIONS(2253),
    [anon_sym_END] = ACTIONS(2253),
    [anon_sym___FILE__] = ACTIONS(2253),
    [anon_sym___LINE__] = ACTIONS(2253),
    [anon_sym___PACKAGE__] = ACTIONS(2253),
    [anon_sym___SUB__] = ACTIONS(2253),
    [anon_sym_break] = ACTIONS(2253),
    [anon_sym_fork] = ACTIONS(2253),
    [anon_sym_getppid] = ACTIONS(2253),
    [anon_sym_time] = ACTIONS(2253),
    [anon_sym_times] = ACTIONS(2253),
    [anon_sym_wait] = ACTIONS(2253),
    [anon_sym_wantarray] = ACTIONS(2253),
    [anon_sym_abs] = ACTIONS(2253),
    [anon_sym_alarm] = ACTIONS(2253),
    [anon_sym_chop] = ACTIONS(2253),
    [anon_sym_chdir] = ACTIONS(2253),
    [anon_sym_close] = ACTIONS(2253),
    [anon_sym_closedir] = ACTIONS(2253),
    [anon_sym_caller] = ACTIONS(2253),
    [anon_sym_chomp] = ACTIONS(2253),
    [anon_sym_chr] = ACTIONS(2253),
    [anon_sym_cos] = ACTIONS(2253),
    [anon_sym_chroot] = ACTIONS(2253),
    [anon_sym_defined] = ACTIONS(2253),
    [anon_sym_delete] = ACTIONS(2253),
    [anon_sym_dbmclose] = ACTIONS(2253),
    [anon_sym_exists] = ACTIONS(2253),
    [anon_sym_exit] = ACTIONS(2253),
    [anon_sym_eof] = ACTIONS(2253),
    [anon_sym_exp] = ACTIONS(2253),
    [anon_sym_each] = ACTIONS(2253),
    [anon_sym_fc] = ACTIONS(2253),
    [anon_sym_fileno] = ACTIONS(2253),
    [anon_sym_gmtime] = ACTIONS(2253),
    [anon_sym_getc] = ACTIONS(2253),
    [anon_sym_getpgrp] = ACTIONS(2253),
    [anon_sym_getprotobyname] = ACTIONS(2253),
    [anon_sym_getpwname] = ACTIONS(2253),
    [anon_sym_getpwuid] = ACTIONS(2253),
    [anon_sym_getpeername] = ACTIONS(2253),
    [anon_sym_getnetbyname] = ACTIONS(2253),
    [anon_sym_getsockname] = ACTIONS(2253),
    [anon_sym_getgrnam] = ACTIONS(2253),
    [anon_sym_getgrgid] = ACTIONS(2253),
    [anon_sym_hex] = ACTIONS(2253),
    [anon_sym_int] = ACTIONS(2253),
    [anon_sym_keys] = ACTIONS(2253),
    [anon_sym_lc] = ACTIONS(2253),
    [anon_sym_lcfirst] = ACTIONS(2253),
    [anon_sym_length] = ACTIONS(2253),
    [anon_sym_localtime] = ACTIONS(2253),
    [anon_sym_log] = ACTIONS(2253),
    [anon_sym_lock] = ACTIONS(2253),
    [anon_sym_lstat] = ACTIONS(2253),
    [anon_sym_oct] = ACTIONS(2253),
    [anon_sym_ord] = ACTIONS(2253),
    [anon_sym_prototype] = ACTIONS(2253),
    [anon_sym_pop] = ACTIONS(2253),
    [anon_sym_pos] = ACTIONS(2253),
    [anon_sym_quotemeta] = ACTIONS(2253),
    [anon_sym_reset] = ACTIONS(2253),
    [anon_sym_rand] = ACTIONS(2253),
    [anon_sym_rmdir] = ACTIONS(2253),
    [anon_sym_readdir] = ACTIONS(2253),
    [anon_sym_readline] = ACTIONS(2253),
    [anon_sym_readpipe] = ACTIONS(2253),
    [anon_sym_rewinddir] = ACTIONS(2253),
    [anon_sym_readlink] = ACTIONS(2253),
    [anon_sym_ref] = ACTIONS(2253),
    [anon_sym_scalar] = ACTIONS(2253),
    [anon_sym_shift] = ACTIONS(2253),
    [anon_sym_sin] = ACTIONS(2253),
    [anon_sym_sleep] = ACTIONS(2253),
    [anon_sym_sqrt] = ACTIONS(2253),
    [anon_sym_srand] = ACTIONS(2253),
    [anon_sym_stat] = ACTIONS(2253),
    [anon_sym_study] = ACTIONS(2253),
    [anon_sym_tell] = ACTIONS(2253),
    [anon_sym_telldir] = ACTIONS(2253),
    [anon_sym_tied] = ACTIONS(2253),
    [anon_sym_uc] = ACTIONS(2253),
    [anon_sym_ucfirst] = ACTIONS(2253),
    [anon_sym_untie] = ACTIONS(2253),
    [anon_sym_umask] = ACTIONS(2253),
    [anon_sym_values] = ACTIONS(2253),
    [anon_sym_write] = ACTIONS(2253),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2253),
    [anon_sym_qq] = ACTIONS(2253),
    [anon_sym_qw] = ACTIONS(2253),
    [anon_sym_qx] = ACTIONS(2253),
    [anon_sym_qr] = ACTIONS(2253),
    [anon_sym_m] = ACTIONS(2253),
    [anon_sym_s] = ACTIONS(2253),
    [anon_sym_tr] = ACTIONS(2253),
    [anon_sym_y] = ACTIONS(2253),
    [anon_sym_if] = ACTIONS(2253),
    [anon_sym_unless] = ACTIONS(2253),
    [anon_sym_while] = ACTIONS(2253),
    [anon_sym_until] = ACTIONS(2253),
    [aux_sym__bareword_token1] = ACTIONS(2253),
    [sym_number] = ACTIONS(2253),
    [anon_sym_true] = ACTIONS(2253),
    [anon_sym_false] = ACTIONS(2253),
    [sym__single_quote] = ACTIONS(2251),
    [sym__double_quote] = ACTIONS(2251),
    [sym__backtick_quote] = ACTIONS(2251),
    [sym__search_slash_quote] = ACTIONS(2251),
    [sym__open_readline_bracket] = ACTIONS(2251),
    [sym__open_fileglob_bracket] = ACTIONS(2251),
    [sym__PERLY_HEREDOC] = ACTIONS(2251),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2251),
    [sym__filetest] = ACTIONS(2251),
  },
  [1048] = {
    [sym_heredoc_content] = STATE(1048),
    [sym__identifier] = ACTIONS(2137),
    [anon_sym_LBRACE] = ACTIONS(2137),
    [anon_sym_RBRACE] = ACTIONS(2137),
    [anon_sym_SEMI] = ACTIONS(2137),
    [anon_sym_package] = ACTIONS(2137),
    [anon_sym_class] = ACTIONS(2137),
    [anon_sym_role] = ACTIONS(2137),
    [anon_sym_BUILD] = ACTIONS(2137),
    [anon_sym_ADJUST] = ACTIONS(2137),
    [anon_sym_DOLLAR] = ACTIONS(2137),
    [anon_sym_AT] = ACTIONS(2137),
    [anon_sym_my] = ACTIONS(2137),
    [anon_sym_extended] = ACTIONS(2137),
    [anon_sym_async] = ACTIONS(2137),
    [anon_sym_sub] = ACTIONS(2137),
    [anon_sym_method] = ACTIONS(2137),
    [anon_sym_LPAREN] = ACTIONS(2137),
    [anon_sym_continue] = ACTIONS(2137),
    [anon_sym_state] = ACTIONS(2137),
    [anon_sym_our] = ACTIONS(2137),
    [anon_sym_try] = ACTIONS(2137),
    [anon_sym_defer] = ACTIONS(2137),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2137),
    [anon_sym_LBRACK] = ACTIONS(2137),
    [anon_sym_LT_LT] = ACTIONS(2137),
    [anon_sym_SLASH_SLASH] = ACTIONS(2137),
    [anon_sym_PLUS] = ACTIONS(2137),
    [anon_sym_DASH] = ACTIONS(2137),
    [anon_sym_TILDE] = ACTIONS(2137),
    [anon_sym_BANG] = ACTIONS(2137),
    [anon_sym_PLUS_PLUS] = ACTIONS(2137),
    [anon_sym_DASH_DASH] = ACTIONS(2137),
    [anon_sym_BSLASH] = ACTIONS(2135),
    [anon_sym_do] = ACTIONS(2137),
    [anon_sym_eval] = ACTIONS(2137),
    [anon_sym_await] = ACTIONS(2137),
    [anon_sym_field] = ACTIONS(2137),
    [anon_sym_local] = ACTIONS(2137),
    [anon_sym_dynamically] = ACTIONS(2137),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2137),
    [anon_sym_require] = ACTIONS(2137),
    [anon_sym_map] = ACTIONS(2137),
    [anon_sym_grep] = ACTIONS(2137),
    [anon_sym_sort] = ACTIONS(2137),
    [anon_sym_goto] = ACTIONS(2137),
    [anon_sym_return] = ACTIONS(2137),
    [anon_sym_undef] = ACTIONS(2137),
    [anon_sym_PERCENT2] = ACTIONS(2137),
    [anon_sym_AMP2] = ACTIONS(2137),
    [anon_sym_STAR2] = ACTIONS(2137),
    [anon_sym_use] = ACTIONS(2137),
    [anon_sym_no] = ACTIONS(2137),
    [anon_sym_for] = ACTIONS(2137),
    [anon_sym_foreach] = ACTIONS(2137),
    [anon_sym_last] = ACTIONS(2137),
    [anon_sym_next] = ACTIONS(2137),
    [anon_sym_redo] = ACTIONS(2137),
    [anon_sym_BEGIN] = ACTIONS(2137),
    [anon_sym_INIT] = ACTIONS(2137),
    [anon_sym_CHECK] = ACTIONS(2137),
    [anon_sym_UNITCHECK] = ACTIONS(2137),
    [anon_sym_END] = ACTIONS(2137),
    [anon_sym___FILE__] = ACTIONS(2137),
    [anon_sym___LINE__] = ACTIONS(2137),
    [anon_sym___PACKAGE__] = ACTIONS(2137),
    [anon_sym___SUB__] = ACTIONS(2137),
    [anon_sym_break] = ACTIONS(2137),
    [anon_sym_fork] = ACTIONS(2137),
    [anon_sym_getppid] = ACTIONS(2137),
    [anon_sym_time] = ACTIONS(2137),
    [anon_sym_times] = ACTIONS(2137),
    [anon_sym_wait] = ACTIONS(2137),
    [anon_sym_wantarray] = ACTIONS(2137),
    [anon_sym_abs] = ACTIONS(2137),
    [anon_sym_alarm] = ACTIONS(2137),
    [anon_sym_chop] = ACTIONS(2137),
    [anon_sym_chdir] = ACTIONS(2137),
    [anon_sym_close] = ACTIONS(2137),
    [anon_sym_closedir] = ACTIONS(2137),
    [anon_sym_caller] = ACTIONS(2137),
    [anon_sym_chomp] = ACTIONS(2137),
    [anon_sym_chr] = ACTIONS(2137),
    [anon_sym_cos] = ACTIONS(2137),
    [anon_sym_chroot] = ACTIONS(2137),
    [anon_sym_defined] = ACTIONS(2137),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_dbmclose] = ACTIONS(2137),
    [anon_sym_exists] = ACTIONS(2137),
    [anon_sym_exit] = ACTIONS(2137),
    [anon_sym_eof] = ACTIONS(2137),
    [anon_sym_exp] = ACTIONS(2137),
    [anon_sym_each] = ACTIONS(2137),
    [anon_sym_fc] = ACTIONS(2137),
    [anon_sym_fileno] = ACTIONS(2137),
    [anon_sym_gmtime] = ACTIONS(2137),
    [anon_sym_getc] = ACTIONS(2137),
    [anon_sym_getpgrp] = ACTIONS(2137),
    [anon_sym_getprotobyname] = ACTIONS(2137),
    [anon_sym_getpwname] = ACTIONS(2137),
    [anon_sym_getpwuid] = ACTIONS(2137),
    [anon_sym_getpeername] = ACTIONS(2137),
    [anon_sym_getnetbyname] = ACTIONS(2137),
    [anon_sym_getsockname] = ACTIONS(2137),
    [anon_sym_getgrnam] = ACTIONS(2137),
    [anon_sym_getgrgid] = ACTIONS(2137),
    [anon_sym_hex] = ACTIONS(2137),
    [anon_sym_int] = ACTIONS(2137),
    [anon_sym_keys] = ACTIONS(2137),
    [anon_sym_lc] = ACTIONS(2137),
    [anon_sym_lcfirst] = ACTIONS(2137),
    [anon_sym_length] = ACTIONS(2137),
    [anon_sym_localtime] = ACTIONS(2137),
    [anon_sym_log] = ACTIONS(2137),
    [anon_sym_lock] = ACTIONS(2137),
    [anon_sym_lstat] = ACTIONS(2137),
    [anon_sym_oct] = ACTIONS(2137),
    [anon_sym_ord] = ACTIONS(2137),
    [anon_sym_prototype] = ACTIONS(2137),
    [anon_sym_pop] = ACTIONS(2137),
    [anon_sym_pos] = ACTIONS(2137),
    [anon_sym_quotemeta] = ACTIONS(2137),
    [anon_sym_reset] = ACTIONS(2137),
    [anon_sym_rand] = ACTIONS(2137),
    [anon_sym_rmdir] = ACTIONS(2137),
    [anon_sym_readdir] = ACTIONS(2137),
    [anon_sym_readline] = ACTIONS(2137),
    [anon_sym_readpipe] = ACTIONS(2137),
    [anon_sym_rewinddir] = ACTIONS(2137),
    [anon_sym_readlink] = ACTIONS(2137),
    [anon_sym_ref] = ACTIONS(2137),
    [anon_sym_scalar] = ACTIONS(2137),
    [anon_sym_shift] = ACTIONS(2137),
    [anon_sym_sin] = ACTIONS(2137),
    [anon_sym_sleep] = ACTIONS(2137),
    [anon_sym_sqrt] = ACTIONS(2137),
    [anon_sym_srand] = ACTIONS(2137),
    [anon_sym_stat] = ACTIONS(2137),
    [anon_sym_study] = ACTIONS(2137),
    [anon_sym_tell] = ACTIONS(2137),
    [anon_sym_telldir] = ACTIONS(2137),
    [anon_sym_tied] = ACTIONS(2137),
    [anon_sym_uc] = ACTIONS(2137),
    [anon_sym_ucfirst] = ACTIONS(2137),
    [anon_sym_untie] = ACTIONS(2137),
    [anon_sym_umask] = ACTIONS(2137),
    [anon_sym_values] = ACTIONS(2137),
    [anon_sym_write] = ACTIONS(2137),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2137),
    [anon_sym_qq] = ACTIONS(2137),
    [anon_sym_qw] = ACTIONS(2137),
    [anon_sym_qx] = ACTIONS(2137),
    [anon_sym_qr] = ACTIONS(2137),
    [anon_sym_m] = ACTIONS(2137),
    [anon_sym_s] = ACTIONS(2137),
    [anon_sym_tr] = ACTIONS(2137),
    [anon_sym_y] = ACTIONS(2137),
    [anon_sym_if] = ACTIONS(2137),
    [anon_sym_unless] = ACTIONS(2137),
    [anon_sym_while] = ACTIONS(2137),
    [anon_sym_until] = ACTIONS(2137),
    [aux_sym__bareword_token1] = ACTIONS(2137),
    [sym_number] = ACTIONS(2137),
    [anon_sym_true] = ACTIONS(2137),
    [anon_sym_false] = ACTIONS(2137),
    [sym__single_quote] = ACTIONS(2135),
    [sym__double_quote] = ACTIONS(2135),
    [sym__backtick_quote] = ACTIONS(2135),
    [sym__search_slash_quote] = ACTIONS(2135),
    [sym__open_readline_bracket] = ACTIONS(2135),
    [sym__open_fileglob_bracket] = ACTIONS(2135),
    [sym__PERLY_HEREDOC] = ACTIONS(2135),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2135),
    [sym__filetest] = ACTIONS(2135),
  },
  [1049] = {
    [sym_heredoc_content] = STATE(1049),
    [sym__identifier] = ACTIONS(2257),
    [anon_sym_LBRACE] = ACTIONS(2257),
    [anon_sym_RBRACE] = ACTIONS(2257),
    [anon_sym_SEMI] = ACTIONS(2257),
    [anon_sym_package] = ACTIONS(2257),
    [anon_sym_class] = ACTIONS(2257),
    [anon_sym_role] = ACTIONS(2257),
    [anon_sym_BUILD] = ACTIONS(2257),
    [anon_sym_ADJUST] = ACTIONS(2257),
    [anon_sym_DOLLAR] = ACTIONS(2257),
    [anon_sym_AT] = ACTIONS(2257),
    [anon_sym_my] = ACTIONS(2257),
    [anon_sym_extended] = ACTIONS(2257),
    [anon_sym_async] = ACTIONS(2257),
    [anon_sym_sub] = ACTIONS(2257),
    [anon_sym_method] = ACTIONS(2257),
    [anon_sym_LPAREN] = ACTIONS(2257),
    [anon_sym_continue] = ACTIONS(2257),
    [anon_sym_state] = ACTIONS(2257),
    [anon_sym_our] = ACTIONS(2257),
    [anon_sym_try] = ACTIONS(2257),
    [anon_sym_defer] = ACTIONS(2257),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2257),
    [anon_sym_LBRACK] = ACTIONS(2257),
    [anon_sym_LT_LT] = ACTIONS(2257),
    [anon_sym_SLASH_SLASH] = ACTIONS(2257),
    [anon_sym_PLUS] = ACTIONS(2257),
    [anon_sym_DASH] = ACTIONS(2257),
    [anon_sym_TILDE] = ACTIONS(2257),
    [anon_sym_BANG] = ACTIONS(2257),
    [anon_sym_PLUS_PLUS] = ACTIONS(2257),
    [anon_sym_DASH_DASH] = ACTIONS(2257),
    [anon_sym_BSLASH] = ACTIONS(2255),
    [anon_sym_do] = ACTIONS(2257),
    [anon_sym_eval] = ACTIONS(2257),
    [anon_sym_await] = ACTIONS(2257),
    [anon_sym_field] = ACTIONS(2257),
    [anon_sym_local] = ACTIONS(2257),
    [anon_sym_dynamically] = ACTIONS(2257),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2257),
    [anon_sym_require] = ACTIONS(2257),
    [anon_sym_map] = ACTIONS(2257),
    [anon_sym_grep] = ACTIONS(2257),
    [anon_sym_sort] = ACTIONS(2257),
    [anon_sym_goto] = ACTIONS(2257),
    [anon_sym_return] = ACTIONS(2257),
    [anon_sym_undef] = ACTIONS(2257),
    [anon_sym_PERCENT2] = ACTIONS(2257),
    [anon_sym_AMP2] = ACTIONS(2257),
    [anon_sym_STAR2] = ACTIONS(2257),
    [anon_sym_use] = ACTIONS(2257),
    [anon_sym_no] = ACTIONS(2257),
    [anon_sym_for] = ACTIONS(2257),
    [anon_sym_foreach] = ACTIONS(2257),
    [anon_sym_last] = ACTIONS(2257),
    [anon_sym_next] = ACTIONS(2257),
    [anon_sym_redo] = ACTIONS(2257),
    [anon_sym_BEGIN] = ACTIONS(2257),
    [anon_sym_INIT] = ACTIONS(2257),
    [anon_sym_CHECK] = ACTIONS(2257),
    [anon_sym_UNITCHECK] = ACTIONS(2257),
    [anon_sym_END] = ACTIONS(2257),
    [anon_sym___FILE__] = ACTIONS(2257),
    [anon_sym___LINE__] = ACTIONS(2257),
    [anon_sym___PACKAGE__] = ACTIONS(2257),
    [anon_sym___SUB__] = ACTIONS(2257),
    [anon_sym_break] = ACTIONS(2257),
    [anon_sym_fork] = ACTIONS(2257),
    [anon_sym_getppid] = ACTIONS(2257),
    [anon_sym_time] = ACTIONS(2257),
    [anon_sym_times] = ACTIONS(2257),
    [anon_sym_wait] = ACTIONS(2257),
    [anon_sym_wantarray] = ACTIONS(2257),
    [anon_sym_abs] = ACTIONS(2257),
    [anon_sym_alarm] = ACTIONS(2257),
    [anon_sym_chop] = ACTIONS(2257),
    [anon_sym_chdir] = ACTIONS(2257),
    [anon_sym_close] = ACTIONS(2257),
    [anon_sym_closedir] = ACTIONS(2257),
    [anon_sym_caller] = ACTIONS(2257),
    [anon_sym_chomp] = ACTIONS(2257),
    [anon_sym_chr] = ACTIONS(2257),
    [anon_sym_cos] = ACTIONS(2257),
    [anon_sym_chroot] = ACTIONS(2257),
    [anon_sym_defined] = ACTIONS(2257),
    [anon_sym_delete] = ACTIONS(2257),
    [anon_sym_dbmclose] = ACTIONS(2257),
    [anon_sym_exists] = ACTIONS(2257),
    [anon_sym_exit] = ACTIONS(2257),
    [anon_sym_eof] = ACTIONS(2257),
    [anon_sym_exp] = ACTIONS(2257),
    [anon_sym_each] = ACTIONS(2257),
    [anon_sym_fc] = ACTIONS(2257),
    [anon_sym_fileno] = ACTIONS(2257),
    [anon_sym_gmtime] = ACTIONS(2257),
    [anon_sym_getc] = ACTIONS(2257),
    [anon_sym_getpgrp] = ACTIONS(2257),
    [anon_sym_getprotobyname] = ACTIONS(2257),
    [anon_sym_getpwname] = ACTIONS(2257),
    [anon_sym_getpwuid] = ACTIONS(2257),
    [anon_sym_getpeername] = ACTIONS(2257),
    [anon_sym_getnetbyname] = ACTIONS(2257),
    [anon_sym_getsockname] = ACTIONS(2257),
    [anon_sym_getgrnam] = ACTIONS(2257),
    [anon_sym_getgrgid] = ACTIONS(2257),
    [anon_sym_hex] = ACTIONS(2257),
    [anon_sym_int] = ACTIONS(2257),
    [anon_sym_keys] = ACTIONS(2257),
    [anon_sym_lc] = ACTIONS(2257),
    [anon_sym_lcfirst] = ACTIONS(2257),
    [anon_sym_length] = ACTIONS(2257),
    [anon_sym_localtime] = ACTIONS(2257),
    [anon_sym_log] = ACTIONS(2257),
    [anon_sym_lock] = ACTIONS(2257),
    [anon_sym_lstat] = ACTIONS(2257),
    [anon_sym_oct] = ACTIONS(2257),
    [anon_sym_ord] = ACTIONS(2257),
    [anon_sym_prototype] = ACTIONS(2257),
    [anon_sym_pop] = ACTIONS(2257),
    [anon_sym_pos] = ACTIONS(2257),
    [anon_sym_quotemeta] = ACTIONS(2257),
    [anon_sym_reset] = ACTIONS(2257),
    [anon_sym_rand] = ACTIONS(2257),
    [anon_sym_rmdir] = ACTIONS(2257),
    [anon_sym_readdir] = ACTIONS(2257),
    [anon_sym_readline] = ACTIONS(2257),
    [anon_sym_readpipe] = ACTIONS(2257),
    [anon_sym_rewinddir] = ACTIONS(2257),
    [anon_sym_readlink] = ACTIONS(2257),
    [anon_sym_ref] = ACTIONS(2257),
    [anon_sym_scalar] = ACTIONS(2257),
    [anon_sym_shift] = ACTIONS(2257),
    [anon_sym_sin] = ACTIONS(2257),
    [anon_sym_sleep] = ACTIONS(2257),
    [anon_sym_sqrt] = ACTIONS(2257),
    [anon_sym_srand] = ACTIONS(2257),
    [anon_sym_stat] = ACTIONS(2257),
    [anon_sym_study] = ACTIONS(2257),
    [anon_sym_tell] = ACTIONS(2257),
    [anon_sym_telldir] = ACTIONS(2257),
    [anon_sym_tied] = ACTIONS(2257),
    [anon_sym_uc] = ACTIONS(2257),
    [anon_sym_ucfirst] = ACTIONS(2257),
    [anon_sym_untie] = ACTIONS(2257),
    [anon_sym_umask] = ACTIONS(2257),
    [anon_sym_values] = ACTIONS(2257),
    [anon_sym_write] = ACTIONS(2257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2257),
    [anon_sym_qq] = ACTIONS(2257),
    [anon_sym_qw] = ACTIONS(2257),
    [anon_sym_qx] = ACTIONS(2257),
    [anon_sym_qr] = ACTIONS(2257),
    [anon_sym_m] = ACTIONS(2257),
    [anon_sym_s] = ACTIONS(2257),
    [anon_sym_tr] = ACTIONS(2257),
    [anon_sym_y] = ACTIONS(2257),
    [anon_sym_if] = ACTIONS(2257),
    [anon_sym_unless] = ACTIONS(2257),
    [anon_sym_while] = ACTIONS(2257),
    [anon_sym_until] = ACTIONS(2257),
    [aux_sym__bareword_token1] = ACTIONS(2257),
    [sym_number] = ACTIONS(2257),
    [anon_sym_true] = ACTIONS(2257),
    [anon_sym_false] = ACTIONS(2257),
    [sym__single_quote] = ACTIONS(2255),
    [sym__double_quote] = ACTIONS(2255),
    [sym__backtick_quote] = ACTIONS(2255),
    [sym__search_slash_quote] = ACTIONS(2255),
    [sym__open_readline_bracket] = ACTIONS(2255),
    [sym__open_fileglob_bracket] = ACTIONS(2255),
    [sym__PERLY_HEREDOC] = ACTIONS(2255),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2255),
    [sym__filetest] = ACTIONS(2255),
  },
  [1050] = {
    [sym_heredoc_content] = STATE(1050),
    [sym__identifier] = ACTIONS(2261),
    [anon_sym_LBRACE] = ACTIONS(2261),
    [anon_sym_RBRACE] = ACTIONS(2261),
    [anon_sym_SEMI] = ACTIONS(2261),
    [anon_sym_package] = ACTIONS(2261),
    [anon_sym_class] = ACTIONS(2261),
    [anon_sym_role] = ACTIONS(2261),
    [anon_sym_BUILD] = ACTIONS(2261),
    [anon_sym_ADJUST] = ACTIONS(2261),
    [anon_sym_DOLLAR] = ACTIONS(2261),
    [anon_sym_AT] = ACTIONS(2261),
    [anon_sym_my] = ACTIONS(2261),
    [anon_sym_extended] = ACTIONS(2261),
    [anon_sym_async] = ACTIONS(2261),
    [anon_sym_sub] = ACTIONS(2261),
    [anon_sym_method] = ACTIONS(2261),
    [anon_sym_LPAREN] = ACTIONS(2261),
    [anon_sym_continue] = ACTIONS(2261),
    [anon_sym_state] = ACTIONS(2261),
    [anon_sym_our] = ACTIONS(2261),
    [anon_sym_try] = ACTIONS(2261),
    [anon_sym_defer] = ACTIONS(2261),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2261),
    [anon_sym_LBRACK] = ACTIONS(2261),
    [anon_sym_LT_LT] = ACTIONS(2261),
    [anon_sym_SLASH_SLASH] = ACTIONS(2261),
    [anon_sym_PLUS] = ACTIONS(2261),
    [anon_sym_DASH] = ACTIONS(2261),
    [anon_sym_TILDE] = ACTIONS(2261),
    [anon_sym_BANG] = ACTIONS(2261),
    [anon_sym_PLUS_PLUS] = ACTIONS(2261),
    [anon_sym_DASH_DASH] = ACTIONS(2261),
    [anon_sym_BSLASH] = ACTIONS(2259),
    [anon_sym_do] = ACTIONS(2261),
    [anon_sym_eval] = ACTIONS(2261),
    [anon_sym_await] = ACTIONS(2261),
    [anon_sym_field] = ACTIONS(2261),
    [anon_sym_local] = ACTIONS(2261),
    [anon_sym_dynamically] = ACTIONS(2261),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2261),
    [anon_sym_require] = ACTIONS(2261),
    [anon_sym_map] = ACTIONS(2261),
    [anon_sym_grep] = ACTIONS(2261),
    [anon_sym_sort] = ACTIONS(2261),
    [anon_sym_goto] = ACTIONS(2261),
    [anon_sym_return] = ACTIONS(2261),
    [anon_sym_undef] = ACTIONS(2261),
    [anon_sym_PERCENT2] = ACTIONS(2261),
    [anon_sym_AMP2] = ACTIONS(2261),
    [anon_sym_STAR2] = ACTIONS(2261),
    [anon_sym_use] = ACTIONS(2261),
    [anon_sym_no] = ACTIONS(2261),
    [anon_sym_for] = ACTIONS(2261),
    [anon_sym_foreach] = ACTIONS(2261),
    [anon_sym_last] = ACTIONS(2261),
    [anon_sym_next] = ACTIONS(2261),
    [anon_sym_redo] = ACTIONS(2261),
    [anon_sym_BEGIN] = ACTIONS(2261),
    [anon_sym_INIT] = ACTIONS(2261),
    [anon_sym_CHECK] = ACTIONS(2261),
    [anon_sym_UNITCHECK] = ACTIONS(2261),
    [anon_sym_END] = ACTIONS(2261),
    [anon_sym___FILE__] = ACTIONS(2261),
    [anon_sym___LINE__] = ACTIONS(2261),
    [anon_sym___PACKAGE__] = ACTIONS(2261),
    [anon_sym___SUB__] = ACTIONS(2261),
    [anon_sym_break] = ACTIONS(2261),
    [anon_sym_fork] = ACTIONS(2261),
    [anon_sym_getppid] = ACTIONS(2261),
    [anon_sym_time] = ACTIONS(2261),
    [anon_sym_times] = ACTIONS(2261),
    [anon_sym_wait] = ACTIONS(2261),
    [anon_sym_wantarray] = ACTIONS(2261),
    [anon_sym_abs] = ACTIONS(2261),
    [anon_sym_alarm] = ACTIONS(2261),
    [anon_sym_chop] = ACTIONS(2261),
    [anon_sym_chdir] = ACTIONS(2261),
    [anon_sym_close] = ACTIONS(2261),
    [anon_sym_closedir] = ACTIONS(2261),
    [anon_sym_caller] = ACTIONS(2261),
    [anon_sym_chomp] = ACTIONS(2261),
    [anon_sym_chr] = ACTIONS(2261),
    [anon_sym_cos] = ACTIONS(2261),
    [anon_sym_chroot] = ACTIONS(2261),
    [anon_sym_defined] = ACTIONS(2261),
    [anon_sym_delete] = ACTIONS(2261),
    [anon_sym_dbmclose] = ACTIONS(2261),
    [anon_sym_exists] = ACTIONS(2261),
    [anon_sym_exit] = ACTIONS(2261),
    [anon_sym_eof] = ACTIONS(2261),
    [anon_sym_exp] = ACTIONS(2261),
    [anon_sym_each] = ACTIONS(2261),
    [anon_sym_fc] = ACTIONS(2261),
    [anon_sym_fileno] = ACTIONS(2261),
    [anon_sym_gmtime] = ACTIONS(2261),
    [anon_sym_getc] = ACTIONS(2261),
    [anon_sym_getpgrp] = ACTIONS(2261),
    [anon_sym_getprotobyname] = ACTIONS(2261),
    [anon_sym_getpwname] = ACTIONS(2261),
    [anon_sym_getpwuid] = ACTIONS(2261),
    [anon_sym_getpeername] = ACTIONS(2261),
    [anon_sym_getnetbyname] = ACTIONS(2261),
    [anon_sym_getsockname] = ACTIONS(2261),
    [anon_sym_getgrnam] = ACTIONS(2261),
    [anon_sym_getgrgid] = ACTIONS(2261),
    [anon_sym_hex] = ACTIONS(2261),
    [anon_sym_int] = ACTIONS(2261),
    [anon_sym_keys] = ACTIONS(2261),
    [anon_sym_lc] = ACTIONS(2261),
    [anon_sym_lcfirst] = ACTIONS(2261),
    [anon_sym_length] = ACTIONS(2261),
    [anon_sym_localtime] = ACTIONS(2261),
    [anon_sym_log] = ACTIONS(2261),
    [anon_sym_lock] = ACTIONS(2261),
    [anon_sym_lstat] = ACTIONS(2261),
    [anon_sym_oct] = ACTIONS(2261),
    [anon_sym_ord] = ACTIONS(2261),
    [anon_sym_prototype] = ACTIONS(2261),
    [anon_sym_pop] = ACTIONS(2261),
    [anon_sym_pos] = ACTIONS(2261),
    [anon_sym_quotemeta] = ACTIONS(2261),
    [anon_sym_reset] = ACTIONS(2261),
    [anon_sym_rand] = ACTIONS(2261),
    [anon_sym_rmdir] = ACTIONS(2261),
    [anon_sym_readdir] = ACTIONS(2261),
    [anon_sym_readline] = ACTIONS(2261),
    [anon_sym_readpipe] = ACTIONS(2261),
    [anon_sym_rewinddir] = ACTIONS(2261),
    [anon_sym_readlink] = ACTIONS(2261),
    [anon_sym_ref] = ACTIONS(2261),
    [anon_sym_scalar] = ACTIONS(2261),
    [anon_sym_shift] = ACTIONS(2261),
    [anon_sym_sin] = ACTIONS(2261),
    [anon_sym_sleep] = ACTIONS(2261),
    [anon_sym_sqrt] = ACTIONS(2261),
    [anon_sym_srand] = ACTIONS(2261),
    [anon_sym_stat] = ACTIONS(2261),
    [anon_sym_study] = ACTIONS(2261),
    [anon_sym_tell] = ACTIONS(2261),
    [anon_sym_telldir] = ACTIONS(2261),
    [anon_sym_tied] = ACTIONS(2261),
    [anon_sym_uc] = ACTIONS(2261),
    [anon_sym_ucfirst] = ACTIONS(2261),
    [anon_sym_untie] = ACTIONS(2261),
    [anon_sym_umask] = ACTIONS(2261),
    [anon_sym_values] = ACTIONS(2261),
    [anon_sym_write] = ACTIONS(2261),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2261),
    [anon_sym_qq] = ACTIONS(2261),
    [anon_sym_qw] = ACTIONS(2261),
    [anon_sym_qx] = ACTIONS(2261),
    [anon_sym_qr] = ACTIONS(2261),
    [anon_sym_m] = ACTIONS(2261),
    [anon_sym_s] = ACTIONS(2261),
    [anon_sym_tr] = ACTIONS(2261),
    [anon_sym_y] = ACTIONS(2261),
    [anon_sym_if] = ACTIONS(2261),
    [anon_sym_unless] = ACTIONS(2261),
    [anon_sym_while] = ACTIONS(2261),
    [anon_sym_until] = ACTIONS(2261),
    [aux_sym__bareword_token1] = ACTIONS(2261),
    [sym_number] = ACTIONS(2261),
    [anon_sym_true] = ACTIONS(2261),
    [anon_sym_false] = ACTIONS(2261),
    [sym__single_quote] = ACTIONS(2259),
    [sym__double_quote] = ACTIONS(2259),
    [sym__backtick_quote] = ACTIONS(2259),
    [sym__search_slash_quote] = ACTIONS(2259),
    [sym__open_readline_bracket] = ACTIONS(2259),
    [sym__open_fileglob_bracket] = ACTIONS(2259),
    [sym__PERLY_HEREDOC] = ACTIONS(2259),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2259),
    [sym__filetest] = ACTIONS(2259),
  },
  [1051] = {
    [sym_heredoc_content] = STATE(1051),
    [sym__identifier] = ACTIONS(2225),
    [anon_sym_LBRACE] = ACTIONS(2225),
    [anon_sym_RBRACE] = ACTIONS(2225),
    [anon_sym_SEMI] = ACTIONS(2225),
    [anon_sym_package] = ACTIONS(2225),
    [anon_sym_class] = ACTIONS(2225),
    [anon_sym_role] = ACTIONS(2225),
    [anon_sym_BUILD] = ACTIONS(2225),
    [anon_sym_ADJUST] = ACTIONS(2225),
    [anon_sym_DOLLAR] = ACTIONS(2225),
    [anon_sym_AT] = ACTIONS(2225),
    [anon_sym_my] = ACTIONS(2225),
    [anon_sym_extended] = ACTIONS(2225),
    [anon_sym_async] = ACTIONS(2225),
    [anon_sym_sub] = ACTIONS(2225),
    [anon_sym_method] = ACTIONS(2225),
    [anon_sym_LPAREN] = ACTIONS(2225),
    [anon_sym_continue] = ACTIONS(2225),
    [anon_sym_state] = ACTIONS(2225),
    [anon_sym_our] = ACTIONS(2225),
    [anon_sym_try] = ACTIONS(2225),
    [anon_sym_defer] = ACTIONS(2225),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2225),
    [anon_sym_LBRACK] = ACTIONS(2225),
    [anon_sym_LT_LT] = ACTIONS(2225),
    [anon_sym_SLASH_SLASH] = ACTIONS(2225),
    [anon_sym_PLUS] = ACTIONS(2225),
    [anon_sym_DASH] = ACTIONS(2225),
    [anon_sym_TILDE] = ACTIONS(2225),
    [anon_sym_BANG] = ACTIONS(2225),
    [anon_sym_PLUS_PLUS] = ACTIONS(2225),
    [anon_sym_DASH_DASH] = ACTIONS(2225),
    [anon_sym_BSLASH] = ACTIONS(2223),
    [anon_sym_do] = ACTIONS(2225),
    [anon_sym_eval] = ACTIONS(2225),
    [anon_sym_await] = ACTIONS(2225),
    [anon_sym_field] = ACTIONS(2225),
    [anon_sym_local] = ACTIONS(2225),
    [anon_sym_dynamically] = ACTIONS(2225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2225),
    [anon_sym_require] = ACTIONS(2225),
    [anon_sym_map] = ACTIONS(2225),
    [anon_sym_grep] = ACTIONS(2225),
    [anon_sym_sort] = ACTIONS(2225),
    [anon_sym_goto] = ACTIONS(2225),
    [anon_sym_return] = ACTIONS(2225),
    [anon_sym_undef] = ACTIONS(2225),
    [anon_sym_PERCENT2] = ACTIONS(2225),
    [anon_sym_AMP2] = ACTIONS(2225),
    [anon_sym_STAR2] = ACTIONS(2225),
    [anon_sym_use] = ACTIONS(2225),
    [anon_sym_no] = ACTIONS(2225),
    [anon_sym_for] = ACTIONS(2225),
    [anon_sym_foreach] = ACTIONS(2225),
    [anon_sym_last] = ACTIONS(2225),
    [anon_sym_next] = ACTIONS(2225),
    [anon_sym_redo] = ACTIONS(2225),
    [anon_sym_BEGIN] = ACTIONS(2225),
    [anon_sym_INIT] = ACTIONS(2225),
    [anon_sym_CHECK] = ACTIONS(2225),
    [anon_sym_UNITCHECK] = ACTIONS(2225),
    [anon_sym_END] = ACTIONS(2225),
    [anon_sym___FILE__] = ACTIONS(2225),
    [anon_sym___LINE__] = ACTIONS(2225),
    [anon_sym___PACKAGE__] = ACTIONS(2225),
    [anon_sym___SUB__] = ACTIONS(2225),
    [anon_sym_break] = ACTIONS(2225),
    [anon_sym_fork] = ACTIONS(2225),
    [anon_sym_getppid] = ACTIONS(2225),
    [anon_sym_time] = ACTIONS(2225),
    [anon_sym_times] = ACTIONS(2225),
    [anon_sym_wait] = ACTIONS(2225),
    [anon_sym_wantarray] = ACTIONS(2225),
    [anon_sym_abs] = ACTIONS(2225),
    [anon_sym_alarm] = ACTIONS(2225),
    [anon_sym_chop] = ACTIONS(2225),
    [anon_sym_chdir] = ACTIONS(2225),
    [anon_sym_close] = ACTIONS(2225),
    [anon_sym_closedir] = ACTIONS(2225),
    [anon_sym_caller] = ACTIONS(2225),
    [anon_sym_chomp] = ACTIONS(2225),
    [anon_sym_chr] = ACTIONS(2225),
    [anon_sym_cos] = ACTIONS(2225),
    [anon_sym_chroot] = ACTIONS(2225),
    [anon_sym_defined] = ACTIONS(2225),
    [anon_sym_delete] = ACTIONS(2225),
    [anon_sym_dbmclose] = ACTIONS(2225),
    [anon_sym_exists] = ACTIONS(2225),
    [anon_sym_exit] = ACTIONS(2225),
    [anon_sym_eof] = ACTIONS(2225),
    [anon_sym_exp] = ACTIONS(2225),
    [anon_sym_each] = ACTIONS(2225),
    [anon_sym_fc] = ACTIONS(2225),
    [anon_sym_fileno] = ACTIONS(2225),
    [anon_sym_gmtime] = ACTIONS(2225),
    [anon_sym_getc] = ACTIONS(2225),
    [anon_sym_getpgrp] = ACTIONS(2225),
    [anon_sym_getprotobyname] = ACTIONS(2225),
    [anon_sym_getpwname] = ACTIONS(2225),
    [anon_sym_getpwuid] = ACTIONS(2225),
    [anon_sym_getpeername] = ACTIONS(2225),
    [anon_sym_getnetbyname] = ACTIONS(2225),
    [anon_sym_getsockname] = ACTIONS(2225),
    [anon_sym_getgrnam] = ACTIONS(2225),
    [anon_sym_getgrgid] = ACTIONS(2225),
    [anon_sym_hex] = ACTIONS(2225),
    [anon_sym_int] = ACTIONS(2225),
    [anon_sym_keys] = ACTIONS(2225),
    [anon_sym_lc] = ACTIONS(2225),
    [anon_sym_lcfirst] = ACTIONS(2225),
    [anon_sym_length] = ACTIONS(2225),
    [anon_sym_localtime] = ACTIONS(2225),
    [anon_sym_log] = ACTIONS(2225),
    [anon_sym_lock] = ACTIONS(2225),
    [anon_sym_lstat] = ACTIONS(2225),
    [anon_sym_oct] = ACTIONS(2225),
    [anon_sym_ord] = ACTIONS(2225),
    [anon_sym_prototype] = ACTIONS(2225),
    [anon_sym_pop] = ACTIONS(2225),
    [anon_sym_pos] = ACTIONS(2225),
    [anon_sym_quotemeta] = ACTIONS(2225),
    [anon_sym_reset] = ACTIONS(2225),
    [anon_sym_rand] = ACTIONS(2225),
    [anon_sym_rmdir] = ACTIONS(2225),
    [anon_sym_readdir] = ACTIONS(2225),
    [anon_sym_readline] = ACTIONS(2225),
    [anon_sym_readpipe] = ACTIONS(2225),
    [anon_sym_rewinddir] = ACTIONS(2225),
    [anon_sym_readlink] = ACTIONS(2225),
    [anon_sym_ref] = ACTIONS(2225),
    [anon_sym_scalar] = ACTIONS(2225),
    [anon_sym_shift] = ACTIONS(2225),
    [anon_sym_sin] = ACTIONS(2225),
    [anon_sym_sleep] = ACTIONS(2225),
    [anon_sym_sqrt] = ACTIONS(2225),
    [anon_sym_srand] = ACTIONS(2225),
    [anon_sym_stat] = ACTIONS(2225),
    [anon_sym_study] = ACTIONS(2225),
    [anon_sym_tell] = ACTIONS(2225),
    [anon_sym_telldir] = ACTIONS(2225),
    [anon_sym_tied] = ACTIONS(2225),
    [anon_sym_uc] = ACTIONS(2225),
    [anon_sym_ucfirst] = ACTIONS(2225),
    [anon_sym_untie] = ACTIONS(2225),
    [anon_sym_umask] = ACTIONS(2225),
    [anon_sym_values] = ACTIONS(2225),
    [anon_sym_write] = ACTIONS(2225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2225),
    [anon_sym_qq] = ACTIONS(2225),
    [anon_sym_qw] = ACTIONS(2225),
    [anon_sym_qx] = ACTIONS(2225),
    [anon_sym_qr] = ACTIONS(2225),
    [anon_sym_m] = ACTIONS(2225),
    [anon_sym_s] = ACTIONS(2225),
    [anon_sym_tr] = ACTIONS(2225),
    [anon_sym_y] = ACTIONS(2225),
    [anon_sym_if] = ACTIONS(2225),
    [anon_sym_unless] = ACTIONS(2225),
    [anon_sym_while] = ACTIONS(2225),
    [anon_sym_until] = ACTIONS(2225),
    [aux_sym__bareword_token1] = ACTIONS(2225),
    [sym_number] = ACTIONS(2225),
    [anon_sym_true] = ACTIONS(2225),
    [anon_sym_false] = ACTIONS(2225),
    [sym__single_quote] = ACTIONS(2223),
    [sym__double_quote] = ACTIONS(2223),
    [sym__backtick_quote] = ACTIONS(2223),
    [sym__search_slash_quote] = ACTIONS(2223),
    [sym__open_readline_bracket] = ACTIONS(2223),
    [sym__open_fileglob_bracket] = ACTIONS(2223),
    [sym__PERLY_HEREDOC] = ACTIONS(2223),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2223),
    [sym__filetest] = ACTIONS(2223),
  },
  [1052] = {
    [sym_heredoc_content] = STATE(1052),
    [sym__identifier] = ACTIONS(2265),
    [anon_sym_LBRACE] = ACTIONS(2265),
    [anon_sym_RBRACE] = ACTIONS(2265),
    [anon_sym_SEMI] = ACTIONS(2265),
    [anon_sym_package] = ACTIONS(2265),
    [anon_sym_class] = ACTIONS(2265),
    [anon_sym_role] = ACTIONS(2265),
    [anon_sym_BUILD] = ACTIONS(2265),
    [anon_sym_ADJUST] = ACTIONS(2265),
    [anon_sym_DOLLAR] = ACTIONS(2265),
    [anon_sym_AT] = ACTIONS(2265),
    [anon_sym_my] = ACTIONS(2265),
    [anon_sym_extended] = ACTIONS(2265),
    [anon_sym_async] = ACTIONS(2265),
    [anon_sym_sub] = ACTIONS(2265),
    [anon_sym_method] = ACTIONS(2265),
    [anon_sym_LPAREN] = ACTIONS(2265),
    [anon_sym_continue] = ACTIONS(2265),
    [anon_sym_state] = ACTIONS(2265),
    [anon_sym_our] = ACTIONS(2265),
    [anon_sym_try] = ACTIONS(2265),
    [anon_sym_defer] = ACTIONS(2265),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2265),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_LT_LT] = ACTIONS(2265),
    [anon_sym_SLASH_SLASH] = ACTIONS(2265),
    [anon_sym_PLUS] = ACTIONS(2265),
    [anon_sym_DASH] = ACTIONS(2265),
    [anon_sym_TILDE] = ACTIONS(2265),
    [anon_sym_BANG] = ACTIONS(2265),
    [anon_sym_PLUS_PLUS] = ACTIONS(2265),
    [anon_sym_DASH_DASH] = ACTIONS(2265),
    [anon_sym_BSLASH] = ACTIONS(2263),
    [anon_sym_do] = ACTIONS(2265),
    [anon_sym_eval] = ACTIONS(2265),
    [anon_sym_await] = ACTIONS(2265),
    [anon_sym_field] = ACTIONS(2265),
    [anon_sym_local] = ACTIONS(2265),
    [anon_sym_dynamically] = ACTIONS(2265),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2265),
    [anon_sym_require] = ACTIONS(2265),
    [anon_sym_map] = ACTIONS(2265),
    [anon_sym_grep] = ACTIONS(2265),
    [anon_sym_sort] = ACTIONS(2265),
    [anon_sym_goto] = ACTIONS(2265),
    [anon_sym_return] = ACTIONS(2265),
    [anon_sym_undef] = ACTIONS(2265),
    [anon_sym_PERCENT2] = ACTIONS(2265),
    [anon_sym_AMP2] = ACTIONS(2265),
    [anon_sym_STAR2] = ACTIONS(2265),
    [anon_sym_use] = ACTIONS(2265),
    [anon_sym_no] = ACTIONS(2265),
    [anon_sym_for] = ACTIONS(2265),
    [anon_sym_foreach] = ACTIONS(2265),
    [anon_sym_last] = ACTIONS(2265),
    [anon_sym_next] = ACTIONS(2265),
    [anon_sym_redo] = ACTIONS(2265),
    [anon_sym_BEGIN] = ACTIONS(2265),
    [anon_sym_INIT] = ACTIONS(2265),
    [anon_sym_CHECK] = ACTIONS(2265),
    [anon_sym_UNITCHECK] = ACTIONS(2265),
    [anon_sym_END] = ACTIONS(2265),
    [anon_sym___FILE__] = ACTIONS(2265),
    [anon_sym___LINE__] = ACTIONS(2265),
    [anon_sym___PACKAGE__] = ACTIONS(2265),
    [anon_sym___SUB__] = ACTIONS(2265),
    [anon_sym_break] = ACTIONS(2265),
    [anon_sym_fork] = ACTIONS(2265),
    [anon_sym_getppid] = ACTIONS(2265),
    [anon_sym_time] = ACTIONS(2265),
    [anon_sym_times] = ACTIONS(2265),
    [anon_sym_wait] = ACTIONS(2265),
    [anon_sym_wantarray] = ACTIONS(2265),
    [anon_sym_abs] = ACTIONS(2265),
    [anon_sym_alarm] = ACTIONS(2265),
    [anon_sym_chop] = ACTIONS(2265),
    [anon_sym_chdir] = ACTIONS(2265),
    [anon_sym_close] = ACTIONS(2265),
    [anon_sym_closedir] = ACTIONS(2265),
    [anon_sym_caller] = ACTIONS(2265),
    [anon_sym_chomp] = ACTIONS(2265),
    [anon_sym_chr] = ACTIONS(2265),
    [anon_sym_cos] = ACTIONS(2265),
    [anon_sym_chroot] = ACTIONS(2265),
    [anon_sym_defined] = ACTIONS(2265),
    [anon_sym_delete] = ACTIONS(2265),
    [anon_sym_dbmclose] = ACTIONS(2265),
    [anon_sym_exists] = ACTIONS(2265),
    [anon_sym_exit] = ACTIONS(2265),
    [anon_sym_eof] = ACTIONS(2265),
    [anon_sym_exp] = ACTIONS(2265),
    [anon_sym_each] = ACTIONS(2265),
    [anon_sym_fc] = ACTIONS(2265),
    [anon_sym_fileno] = ACTIONS(2265),
    [anon_sym_gmtime] = ACTIONS(2265),
    [anon_sym_getc] = ACTIONS(2265),
    [anon_sym_getpgrp] = ACTIONS(2265),
    [anon_sym_getprotobyname] = ACTIONS(2265),
    [anon_sym_getpwname] = ACTIONS(2265),
    [anon_sym_getpwuid] = ACTIONS(2265),
    [anon_sym_getpeername] = ACTIONS(2265),
    [anon_sym_getnetbyname] = ACTIONS(2265),
    [anon_sym_getsockname] = ACTIONS(2265),
    [anon_sym_getgrnam] = ACTIONS(2265),
    [anon_sym_getgrgid] = ACTIONS(2265),
    [anon_sym_hex] = ACTIONS(2265),
    [anon_sym_int] = ACTIONS(2265),
    [anon_sym_keys] = ACTIONS(2265),
    [anon_sym_lc] = ACTIONS(2265),
    [anon_sym_lcfirst] = ACTIONS(2265),
    [anon_sym_length] = ACTIONS(2265),
    [anon_sym_localtime] = ACTIONS(2265),
    [anon_sym_log] = ACTIONS(2265),
    [anon_sym_lock] = ACTIONS(2265),
    [anon_sym_lstat] = ACTIONS(2265),
    [anon_sym_oct] = ACTIONS(2265),
    [anon_sym_ord] = ACTIONS(2265),
    [anon_sym_prototype] = ACTIONS(2265),
    [anon_sym_pop] = ACTIONS(2265),
    [anon_sym_pos] = ACTIONS(2265),
    [anon_sym_quotemeta] = ACTIONS(2265),
    [anon_sym_reset] = ACTIONS(2265),
    [anon_sym_rand] = ACTIONS(2265),
    [anon_sym_rmdir] = ACTIONS(2265),
    [anon_sym_readdir] = ACTIONS(2265),
    [anon_sym_readline] = ACTIONS(2265),
    [anon_sym_readpipe] = ACTIONS(2265),
    [anon_sym_rewinddir] = ACTIONS(2265),
    [anon_sym_readlink] = ACTIONS(2265),
    [anon_sym_ref] = ACTIONS(2265),
    [anon_sym_scalar] = ACTIONS(2265),
    [anon_sym_shift] = ACTIONS(2265),
    [anon_sym_sin] = ACTIONS(2265),
    [anon_sym_sleep] = ACTIONS(2265),
    [anon_sym_sqrt] = ACTIONS(2265),
    [anon_sym_srand] = ACTIONS(2265),
    [anon_sym_stat] = ACTIONS(2265),
    [anon_sym_study] = ACTIONS(2265),
    [anon_sym_tell] = ACTIONS(2265),
    [anon_sym_telldir] = ACTIONS(2265),
    [anon_sym_tied] = ACTIONS(2265),
    [anon_sym_uc] = ACTIONS(2265),
    [anon_sym_ucfirst] = ACTIONS(2265),
    [anon_sym_untie] = ACTIONS(2265),
    [anon_sym_umask] = ACTIONS(2265),
    [anon_sym_values] = ACTIONS(2265),
    [anon_sym_write] = ACTIONS(2265),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2265),
    [anon_sym_qq] = ACTIONS(2265),
    [anon_sym_qw] = ACTIONS(2265),
    [anon_sym_qx] = ACTIONS(2265),
    [anon_sym_qr] = ACTIONS(2265),
    [anon_sym_m] = ACTIONS(2265),
    [anon_sym_s] = ACTIONS(2265),
    [anon_sym_tr] = ACTIONS(2265),
    [anon_sym_y] = ACTIONS(2265),
    [anon_sym_if] = ACTIONS(2265),
    [anon_sym_unless] = ACTIONS(2265),
    [anon_sym_while] = ACTIONS(2265),
    [anon_sym_until] = ACTIONS(2265),
    [aux_sym__bareword_token1] = ACTIONS(2265),
    [sym_number] = ACTIONS(2265),
    [anon_sym_true] = ACTIONS(2265),
    [anon_sym_false] = ACTIONS(2265),
    [sym__single_quote] = ACTIONS(2263),
    [sym__double_quote] = ACTIONS(2263),
    [sym__backtick_quote] = ACTIONS(2263),
    [sym__search_slash_quote] = ACTIONS(2263),
    [sym__open_readline_bracket] = ACTIONS(2263),
    [sym__open_fileglob_bracket] = ACTIONS(2263),
    [sym__PERLY_HEREDOC] = ACTIONS(2263),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2263),
    [sym__filetest] = ACTIONS(2263),
  },
  [1053] = {
    [sym_heredoc_content] = STATE(1053),
    [sym__identifier] = ACTIONS(2269),
    [anon_sym_LBRACE] = ACTIONS(2269),
    [anon_sym_RBRACE] = ACTIONS(2269),
    [anon_sym_SEMI] = ACTIONS(2269),
    [anon_sym_package] = ACTIONS(2269),
    [anon_sym_class] = ACTIONS(2269),
    [anon_sym_role] = ACTIONS(2269),
    [anon_sym_BUILD] = ACTIONS(2269),
    [anon_sym_ADJUST] = ACTIONS(2269),
    [anon_sym_DOLLAR] = ACTIONS(2269),
    [anon_sym_AT] = ACTIONS(2269),
    [anon_sym_my] = ACTIONS(2269),
    [anon_sym_extended] = ACTIONS(2269),
    [anon_sym_async] = ACTIONS(2269),
    [anon_sym_sub] = ACTIONS(2269),
    [anon_sym_method] = ACTIONS(2269),
    [anon_sym_LPAREN] = ACTIONS(2269),
    [anon_sym_continue] = ACTIONS(2269),
    [anon_sym_state] = ACTIONS(2269),
    [anon_sym_our] = ACTIONS(2269),
    [anon_sym_try] = ACTIONS(2269),
    [anon_sym_defer] = ACTIONS(2269),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2269),
    [anon_sym_LBRACK] = ACTIONS(2269),
    [anon_sym_LT_LT] = ACTIONS(2269),
    [anon_sym_SLASH_SLASH] = ACTIONS(2269),
    [anon_sym_PLUS] = ACTIONS(2269),
    [anon_sym_DASH] = ACTIONS(2269),
    [anon_sym_TILDE] = ACTIONS(2269),
    [anon_sym_BANG] = ACTIONS(2269),
    [anon_sym_PLUS_PLUS] = ACTIONS(2269),
    [anon_sym_DASH_DASH] = ACTIONS(2269),
    [anon_sym_BSLASH] = ACTIONS(2267),
    [anon_sym_do] = ACTIONS(2269),
    [anon_sym_eval] = ACTIONS(2269),
    [anon_sym_await] = ACTIONS(2269),
    [anon_sym_field] = ACTIONS(2269),
    [anon_sym_local] = ACTIONS(2269),
    [anon_sym_dynamically] = ACTIONS(2269),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2269),
    [anon_sym_require] = ACTIONS(2269),
    [anon_sym_map] = ACTIONS(2269),
    [anon_sym_grep] = ACTIONS(2269),
    [anon_sym_sort] = ACTIONS(2269),
    [anon_sym_goto] = ACTIONS(2269),
    [anon_sym_return] = ACTIONS(2269),
    [anon_sym_undef] = ACTIONS(2269),
    [anon_sym_PERCENT2] = ACTIONS(2269),
    [anon_sym_AMP2] = ACTIONS(2269),
    [anon_sym_STAR2] = ACTIONS(2269),
    [anon_sym_use] = ACTIONS(2269),
    [anon_sym_no] = ACTIONS(2269),
    [anon_sym_for] = ACTIONS(2269),
    [anon_sym_foreach] = ACTIONS(2269),
    [anon_sym_last] = ACTIONS(2269),
    [anon_sym_next] = ACTIONS(2269),
    [anon_sym_redo] = ACTIONS(2269),
    [anon_sym_BEGIN] = ACTIONS(2269),
    [anon_sym_INIT] = ACTIONS(2269),
    [anon_sym_CHECK] = ACTIONS(2269),
    [anon_sym_UNITCHECK] = ACTIONS(2269),
    [anon_sym_END] = ACTIONS(2269),
    [anon_sym___FILE__] = ACTIONS(2269),
    [anon_sym___LINE__] = ACTIONS(2269),
    [anon_sym___PACKAGE__] = ACTIONS(2269),
    [anon_sym___SUB__] = ACTIONS(2269),
    [anon_sym_break] = ACTIONS(2269),
    [anon_sym_fork] = ACTIONS(2269),
    [anon_sym_getppid] = ACTIONS(2269),
    [anon_sym_time] = ACTIONS(2269),
    [anon_sym_times] = ACTIONS(2269),
    [anon_sym_wait] = ACTIONS(2269),
    [anon_sym_wantarray] = ACTIONS(2269),
    [anon_sym_abs] = ACTIONS(2269),
    [anon_sym_alarm] = ACTIONS(2269),
    [anon_sym_chop] = ACTIONS(2269),
    [anon_sym_chdir] = ACTIONS(2269),
    [anon_sym_close] = ACTIONS(2269),
    [anon_sym_closedir] = ACTIONS(2269),
    [anon_sym_caller] = ACTIONS(2269),
    [anon_sym_chomp] = ACTIONS(2269),
    [anon_sym_chr] = ACTIONS(2269),
    [anon_sym_cos] = ACTIONS(2269),
    [anon_sym_chroot] = ACTIONS(2269),
    [anon_sym_defined] = ACTIONS(2269),
    [anon_sym_delete] = ACTIONS(2269),
    [anon_sym_dbmclose] = ACTIONS(2269),
    [anon_sym_exists] = ACTIONS(2269),
    [anon_sym_exit] = ACTIONS(2269),
    [anon_sym_eof] = ACTIONS(2269),
    [anon_sym_exp] = ACTIONS(2269),
    [anon_sym_each] = ACTIONS(2269),
    [anon_sym_fc] = ACTIONS(2269),
    [anon_sym_fileno] = ACTIONS(2269),
    [anon_sym_gmtime] = ACTIONS(2269),
    [anon_sym_getc] = ACTIONS(2269),
    [anon_sym_getpgrp] = ACTIONS(2269),
    [anon_sym_getprotobyname] = ACTIONS(2269),
    [anon_sym_getpwname] = ACTIONS(2269),
    [anon_sym_getpwuid] = ACTIONS(2269),
    [anon_sym_getpeername] = ACTIONS(2269),
    [anon_sym_getnetbyname] = ACTIONS(2269),
    [anon_sym_getsockname] = ACTIONS(2269),
    [anon_sym_getgrnam] = ACTIONS(2269),
    [anon_sym_getgrgid] = ACTIONS(2269),
    [anon_sym_hex] = ACTIONS(2269),
    [anon_sym_int] = ACTIONS(2269),
    [anon_sym_keys] = ACTIONS(2269),
    [anon_sym_lc] = ACTIONS(2269),
    [anon_sym_lcfirst] = ACTIONS(2269),
    [anon_sym_length] = ACTIONS(2269),
    [anon_sym_localtime] = ACTIONS(2269),
    [anon_sym_log] = ACTIONS(2269),
    [anon_sym_lock] = ACTIONS(2269),
    [anon_sym_lstat] = ACTIONS(2269),
    [anon_sym_oct] = ACTIONS(2269),
    [anon_sym_ord] = ACTIONS(2269),
    [anon_sym_prototype] = ACTIONS(2269),
    [anon_sym_pop] = ACTIONS(2269),
    [anon_sym_pos] = ACTIONS(2269),
    [anon_sym_quotemeta] = ACTIONS(2269),
    [anon_sym_reset] = ACTIONS(2269),
    [anon_sym_rand] = ACTIONS(2269),
    [anon_sym_rmdir] = ACTIONS(2269),
    [anon_sym_readdir] = ACTIONS(2269),
    [anon_sym_readline] = ACTIONS(2269),
    [anon_sym_readpipe] = ACTIONS(2269),
    [anon_sym_rewinddir] = ACTIONS(2269),
    [anon_sym_readlink] = ACTIONS(2269),
    [anon_sym_ref] = ACTIONS(2269),
    [anon_sym_scalar] = ACTIONS(2269),
    [anon_sym_shift] = ACTIONS(2269),
    [anon_sym_sin] = ACTIONS(2269),
    [anon_sym_sleep] = ACTIONS(2269),
    [anon_sym_sqrt] = ACTIONS(2269),
    [anon_sym_srand] = ACTIONS(2269),
    [anon_sym_stat] = ACTIONS(2269),
    [anon_sym_study] = ACTIONS(2269),
    [anon_sym_tell] = ACTIONS(2269),
    [anon_sym_telldir] = ACTIONS(2269),
    [anon_sym_tied] = ACTIONS(2269),
    [anon_sym_uc] = ACTIONS(2269),
    [anon_sym_ucfirst] = ACTIONS(2269),
    [anon_sym_untie] = ACTIONS(2269),
    [anon_sym_umask] = ACTIONS(2269),
    [anon_sym_values] = ACTIONS(2269),
    [anon_sym_write] = ACTIONS(2269),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2269),
    [anon_sym_qq] = ACTIONS(2269),
    [anon_sym_qw] = ACTIONS(2269),
    [anon_sym_qx] = ACTIONS(2269),
    [anon_sym_qr] = ACTIONS(2269),
    [anon_sym_m] = ACTIONS(2269),
    [anon_sym_s] = ACTIONS(2269),
    [anon_sym_tr] = ACTIONS(2269),
    [anon_sym_y] = ACTIONS(2269),
    [anon_sym_if] = ACTIONS(2269),
    [anon_sym_unless] = ACTIONS(2269),
    [anon_sym_while] = ACTIONS(2269),
    [anon_sym_until] = ACTIONS(2269),
    [aux_sym__bareword_token1] = ACTIONS(2269),
    [sym_number] = ACTIONS(2269),
    [anon_sym_true] = ACTIONS(2269),
    [anon_sym_false] = ACTIONS(2269),
    [sym__single_quote] = ACTIONS(2267),
    [sym__double_quote] = ACTIONS(2267),
    [sym__backtick_quote] = ACTIONS(2267),
    [sym__search_slash_quote] = ACTIONS(2267),
    [sym__open_readline_bracket] = ACTIONS(2267),
    [sym__open_fileglob_bracket] = ACTIONS(2267),
    [sym__PERLY_HEREDOC] = ACTIONS(2267),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2267),
    [sym__filetest] = ACTIONS(2267),
  },
  [1054] = {
    [sym_heredoc_content] = STATE(1054),
    [sym__identifier] = ACTIONS(2273),
    [anon_sym_LBRACE] = ACTIONS(2273),
    [anon_sym_RBRACE] = ACTIONS(2273),
    [anon_sym_SEMI] = ACTIONS(2273),
    [anon_sym_package] = ACTIONS(2273),
    [anon_sym_class] = ACTIONS(2273),
    [anon_sym_role] = ACTIONS(2273),
    [anon_sym_BUILD] = ACTIONS(2273),
    [anon_sym_ADJUST] = ACTIONS(2273),
    [anon_sym_DOLLAR] = ACTIONS(2273),
    [anon_sym_AT] = ACTIONS(2273),
    [anon_sym_my] = ACTIONS(2273),
    [anon_sym_extended] = ACTIONS(2273),
    [anon_sym_async] = ACTIONS(2273),
    [anon_sym_sub] = ACTIONS(2273),
    [anon_sym_method] = ACTIONS(2273),
    [anon_sym_LPAREN] = ACTIONS(2273),
    [anon_sym_continue] = ACTIONS(2273),
    [anon_sym_state] = ACTIONS(2273),
    [anon_sym_our] = ACTIONS(2273),
    [anon_sym_try] = ACTIONS(2273),
    [anon_sym_defer] = ACTIONS(2273),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2273),
    [anon_sym_LBRACK] = ACTIONS(2273),
    [anon_sym_LT_LT] = ACTIONS(2273),
    [anon_sym_SLASH_SLASH] = ACTIONS(2273),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_TILDE] = ACTIONS(2273),
    [anon_sym_BANG] = ACTIONS(2273),
    [anon_sym_PLUS_PLUS] = ACTIONS(2273),
    [anon_sym_DASH_DASH] = ACTIONS(2273),
    [anon_sym_BSLASH] = ACTIONS(2271),
    [anon_sym_do] = ACTIONS(2273),
    [anon_sym_eval] = ACTIONS(2273),
    [anon_sym_await] = ACTIONS(2273),
    [anon_sym_field] = ACTIONS(2273),
    [anon_sym_local] = ACTIONS(2273),
    [anon_sym_dynamically] = ACTIONS(2273),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2273),
    [anon_sym_require] = ACTIONS(2273),
    [anon_sym_map] = ACTIONS(2273),
    [anon_sym_grep] = ACTIONS(2273),
    [anon_sym_sort] = ACTIONS(2273),
    [anon_sym_goto] = ACTIONS(2273),
    [anon_sym_return] = ACTIONS(2273),
    [anon_sym_undef] = ACTIONS(2273),
    [anon_sym_PERCENT2] = ACTIONS(2273),
    [anon_sym_AMP2] = ACTIONS(2273),
    [anon_sym_STAR2] = ACTIONS(2273),
    [anon_sym_use] = ACTIONS(2273),
    [anon_sym_no] = ACTIONS(2273),
    [anon_sym_for] = ACTIONS(2273),
    [anon_sym_foreach] = ACTIONS(2273),
    [anon_sym_last] = ACTIONS(2273),
    [anon_sym_next] = ACTIONS(2273),
    [anon_sym_redo] = ACTIONS(2273),
    [anon_sym_BEGIN] = ACTIONS(2273),
    [anon_sym_INIT] = ACTIONS(2273),
    [anon_sym_CHECK] = ACTIONS(2273),
    [anon_sym_UNITCHECK] = ACTIONS(2273),
    [anon_sym_END] = ACTIONS(2273),
    [anon_sym___FILE__] = ACTIONS(2273),
    [anon_sym___LINE__] = ACTIONS(2273),
    [anon_sym___PACKAGE__] = ACTIONS(2273),
    [anon_sym___SUB__] = ACTIONS(2273),
    [anon_sym_break] = ACTIONS(2273),
    [anon_sym_fork] = ACTIONS(2273),
    [anon_sym_getppid] = ACTIONS(2273),
    [anon_sym_time] = ACTIONS(2273),
    [anon_sym_times] = ACTIONS(2273),
    [anon_sym_wait] = ACTIONS(2273),
    [anon_sym_wantarray] = ACTIONS(2273),
    [anon_sym_abs] = ACTIONS(2273),
    [anon_sym_alarm] = ACTIONS(2273),
    [anon_sym_chop] = ACTIONS(2273),
    [anon_sym_chdir] = ACTIONS(2273),
    [anon_sym_close] = ACTIONS(2273),
    [anon_sym_closedir] = ACTIONS(2273),
    [anon_sym_caller] = ACTIONS(2273),
    [anon_sym_chomp] = ACTIONS(2273),
    [anon_sym_chr] = ACTIONS(2273),
    [anon_sym_cos] = ACTIONS(2273),
    [anon_sym_chroot] = ACTIONS(2273),
    [anon_sym_defined] = ACTIONS(2273),
    [anon_sym_delete] = ACTIONS(2273),
    [anon_sym_dbmclose] = ACTIONS(2273),
    [anon_sym_exists] = ACTIONS(2273),
    [anon_sym_exit] = ACTIONS(2273),
    [anon_sym_eof] = ACTIONS(2273),
    [anon_sym_exp] = ACTIONS(2273),
    [anon_sym_each] = ACTIONS(2273),
    [anon_sym_fc] = ACTIONS(2273),
    [anon_sym_fileno] = ACTIONS(2273),
    [anon_sym_gmtime] = ACTIONS(2273),
    [anon_sym_getc] = ACTIONS(2273),
    [anon_sym_getpgrp] = ACTIONS(2273),
    [anon_sym_getprotobyname] = ACTIONS(2273),
    [anon_sym_getpwname] = ACTIONS(2273),
    [anon_sym_getpwuid] = ACTIONS(2273),
    [anon_sym_getpeername] = ACTIONS(2273),
    [anon_sym_getnetbyname] = ACTIONS(2273),
    [anon_sym_getsockname] = ACTIONS(2273),
    [anon_sym_getgrnam] = ACTIONS(2273),
    [anon_sym_getgrgid] = ACTIONS(2273),
    [anon_sym_hex] = ACTIONS(2273),
    [anon_sym_int] = ACTIONS(2273),
    [anon_sym_keys] = ACTIONS(2273),
    [anon_sym_lc] = ACTIONS(2273),
    [anon_sym_lcfirst] = ACTIONS(2273),
    [anon_sym_length] = ACTIONS(2273),
    [anon_sym_localtime] = ACTIONS(2273),
    [anon_sym_log] = ACTIONS(2273),
    [anon_sym_lock] = ACTIONS(2273),
    [anon_sym_lstat] = ACTIONS(2273),
    [anon_sym_oct] = ACTIONS(2273),
    [anon_sym_ord] = ACTIONS(2273),
    [anon_sym_prototype] = ACTIONS(2273),
    [anon_sym_pop] = ACTIONS(2273),
    [anon_sym_pos] = ACTIONS(2273),
    [anon_sym_quotemeta] = ACTIONS(2273),
    [anon_sym_reset] = ACTIONS(2273),
    [anon_sym_rand] = ACTIONS(2273),
    [anon_sym_rmdir] = ACTIONS(2273),
    [anon_sym_readdir] = ACTIONS(2273),
    [anon_sym_readline] = ACTIONS(2273),
    [anon_sym_readpipe] = ACTIONS(2273),
    [anon_sym_rewinddir] = ACTIONS(2273),
    [anon_sym_readlink] = ACTIONS(2273),
    [anon_sym_ref] = ACTIONS(2273),
    [anon_sym_scalar] = ACTIONS(2273),
    [anon_sym_shift] = ACTIONS(2273),
    [anon_sym_sin] = ACTIONS(2273),
    [anon_sym_sleep] = ACTIONS(2273),
    [anon_sym_sqrt] = ACTIONS(2273),
    [anon_sym_srand] = ACTIONS(2273),
    [anon_sym_stat] = ACTIONS(2273),
    [anon_sym_study] = ACTIONS(2273),
    [anon_sym_tell] = ACTIONS(2273),
    [anon_sym_telldir] = ACTIONS(2273),
    [anon_sym_tied] = ACTIONS(2273),
    [anon_sym_uc] = ACTIONS(2273),
    [anon_sym_ucfirst] = ACTIONS(2273),
    [anon_sym_untie] = ACTIONS(2273),
    [anon_sym_umask] = ACTIONS(2273),
    [anon_sym_values] = ACTIONS(2273),
    [anon_sym_write] = ACTIONS(2273),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2273),
    [anon_sym_qq] = ACTIONS(2273),
    [anon_sym_qw] = ACTIONS(2273),
    [anon_sym_qx] = ACTIONS(2273),
    [anon_sym_qr] = ACTIONS(2273),
    [anon_sym_m] = ACTIONS(2273),
    [anon_sym_s] = ACTIONS(2273),
    [anon_sym_tr] = ACTIONS(2273),
    [anon_sym_y] = ACTIONS(2273),
    [anon_sym_if] = ACTIONS(2273),
    [anon_sym_unless] = ACTIONS(2273),
    [anon_sym_while] = ACTIONS(2273),
    [anon_sym_until] = ACTIONS(2273),
    [aux_sym__bareword_token1] = ACTIONS(2273),
    [sym_number] = ACTIONS(2273),
    [anon_sym_true] = ACTIONS(2273),
    [anon_sym_false] = ACTIONS(2273),
    [sym__single_quote] = ACTIONS(2271),
    [sym__double_quote] = ACTIONS(2271),
    [sym__backtick_quote] = ACTIONS(2271),
    [sym__search_slash_quote] = ACTIONS(2271),
    [sym__open_readline_bracket] = ACTIONS(2271),
    [sym__open_fileglob_bracket] = ACTIONS(2271),
    [sym__PERLY_HEREDOC] = ACTIONS(2271),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2271),
    [sym__filetest] = ACTIONS(2271),
  },
  [1055] = {
    [sym_heredoc_content] = STATE(1055),
    [sym__identifier] = ACTIONS(2277),
    [anon_sym_LBRACE] = ACTIONS(2277),
    [anon_sym_RBRACE] = ACTIONS(2277),
    [anon_sym_SEMI] = ACTIONS(2277),
    [anon_sym_package] = ACTIONS(2277),
    [anon_sym_class] = ACTIONS(2277),
    [anon_sym_role] = ACTIONS(2277),
    [anon_sym_BUILD] = ACTIONS(2277),
    [anon_sym_ADJUST] = ACTIONS(2277),
    [anon_sym_DOLLAR] = ACTIONS(2277),
    [anon_sym_AT] = ACTIONS(2277),
    [anon_sym_my] = ACTIONS(2277),
    [anon_sym_extended] = ACTIONS(2277),
    [anon_sym_async] = ACTIONS(2277),
    [anon_sym_sub] = ACTIONS(2277),
    [anon_sym_method] = ACTIONS(2277),
    [anon_sym_LPAREN] = ACTIONS(2277),
    [anon_sym_continue] = ACTIONS(2277),
    [anon_sym_state] = ACTIONS(2277),
    [anon_sym_our] = ACTIONS(2277),
    [anon_sym_try] = ACTIONS(2277),
    [anon_sym_defer] = ACTIONS(2277),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2277),
    [anon_sym_LBRACK] = ACTIONS(2277),
    [anon_sym_LT_LT] = ACTIONS(2277),
    [anon_sym_SLASH_SLASH] = ACTIONS(2277),
    [anon_sym_PLUS] = ACTIONS(2277),
    [anon_sym_DASH] = ACTIONS(2277),
    [anon_sym_TILDE] = ACTIONS(2277),
    [anon_sym_BANG] = ACTIONS(2277),
    [anon_sym_PLUS_PLUS] = ACTIONS(2277),
    [anon_sym_DASH_DASH] = ACTIONS(2277),
    [anon_sym_BSLASH] = ACTIONS(2275),
    [anon_sym_do] = ACTIONS(2277),
    [anon_sym_eval] = ACTIONS(2277),
    [anon_sym_await] = ACTIONS(2277),
    [anon_sym_field] = ACTIONS(2277),
    [anon_sym_local] = ACTIONS(2277),
    [anon_sym_dynamically] = ACTIONS(2277),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2277),
    [anon_sym_require] = ACTIONS(2277),
    [anon_sym_map] = ACTIONS(2277),
    [anon_sym_grep] = ACTIONS(2277),
    [anon_sym_sort] = ACTIONS(2277),
    [anon_sym_goto] = ACTIONS(2277),
    [anon_sym_return] = ACTIONS(2277),
    [anon_sym_undef] = ACTIONS(2277),
    [anon_sym_PERCENT2] = ACTIONS(2277),
    [anon_sym_AMP2] = ACTIONS(2277),
    [anon_sym_STAR2] = ACTIONS(2277),
    [anon_sym_use] = ACTIONS(2277),
    [anon_sym_no] = ACTIONS(2277),
    [anon_sym_for] = ACTIONS(2277),
    [anon_sym_foreach] = ACTIONS(2277),
    [anon_sym_last] = ACTIONS(2277),
    [anon_sym_next] = ACTIONS(2277),
    [anon_sym_redo] = ACTIONS(2277),
    [anon_sym_BEGIN] = ACTIONS(2277),
    [anon_sym_INIT] = ACTIONS(2277),
    [anon_sym_CHECK] = ACTIONS(2277),
    [anon_sym_UNITCHECK] = ACTIONS(2277),
    [anon_sym_END] = ACTIONS(2277),
    [anon_sym___FILE__] = ACTIONS(2277),
    [anon_sym___LINE__] = ACTIONS(2277),
    [anon_sym___PACKAGE__] = ACTIONS(2277),
    [anon_sym___SUB__] = ACTIONS(2277),
    [anon_sym_break] = ACTIONS(2277),
    [anon_sym_fork] = ACTIONS(2277),
    [anon_sym_getppid] = ACTIONS(2277),
    [anon_sym_time] = ACTIONS(2277),
    [anon_sym_times] = ACTIONS(2277),
    [anon_sym_wait] = ACTIONS(2277),
    [anon_sym_wantarray] = ACTIONS(2277),
    [anon_sym_abs] = ACTIONS(2277),
    [anon_sym_alarm] = ACTIONS(2277),
    [anon_sym_chop] = ACTIONS(2277),
    [anon_sym_chdir] = ACTIONS(2277),
    [anon_sym_close] = ACTIONS(2277),
    [anon_sym_closedir] = ACTIONS(2277),
    [anon_sym_caller] = ACTIONS(2277),
    [anon_sym_chomp] = ACTIONS(2277),
    [anon_sym_chr] = ACTIONS(2277),
    [anon_sym_cos] = ACTIONS(2277),
    [anon_sym_chroot] = ACTIONS(2277),
    [anon_sym_defined] = ACTIONS(2277),
    [anon_sym_delete] = ACTIONS(2277),
    [anon_sym_dbmclose] = ACTIONS(2277),
    [anon_sym_exists] = ACTIONS(2277),
    [anon_sym_exit] = ACTIONS(2277),
    [anon_sym_eof] = ACTIONS(2277),
    [anon_sym_exp] = ACTIONS(2277),
    [anon_sym_each] = ACTIONS(2277),
    [anon_sym_fc] = ACTIONS(2277),
    [anon_sym_fileno] = ACTIONS(2277),
    [anon_sym_gmtime] = ACTIONS(2277),
    [anon_sym_getc] = ACTIONS(2277),
    [anon_sym_getpgrp] = ACTIONS(2277),
    [anon_sym_getprotobyname] = ACTIONS(2277),
    [anon_sym_getpwname] = ACTIONS(2277),
    [anon_sym_getpwuid] = ACTIONS(2277),
    [anon_sym_getpeername] = ACTIONS(2277),
    [anon_sym_getnetbyname] = ACTIONS(2277),
    [anon_sym_getsockname] = ACTIONS(2277),
    [anon_sym_getgrnam] = ACTIONS(2277),
    [anon_sym_getgrgid] = ACTIONS(2277),
    [anon_sym_hex] = ACTIONS(2277),
    [anon_sym_int] = ACTIONS(2277),
    [anon_sym_keys] = ACTIONS(2277),
    [anon_sym_lc] = ACTIONS(2277),
    [anon_sym_lcfirst] = ACTIONS(2277),
    [anon_sym_length] = ACTIONS(2277),
    [anon_sym_localtime] = ACTIONS(2277),
    [anon_sym_log] = ACTIONS(2277),
    [anon_sym_lock] = ACTIONS(2277),
    [anon_sym_lstat] = ACTIONS(2277),
    [anon_sym_oct] = ACTIONS(2277),
    [anon_sym_ord] = ACTIONS(2277),
    [anon_sym_prototype] = ACTIONS(2277),
    [anon_sym_pop] = ACTIONS(2277),
    [anon_sym_pos] = ACTIONS(2277),
    [anon_sym_quotemeta] = ACTIONS(2277),
    [anon_sym_reset] = ACTIONS(2277),
    [anon_sym_rand] = ACTIONS(2277),
    [anon_sym_rmdir] = ACTIONS(2277),
    [anon_sym_readdir] = ACTIONS(2277),
    [anon_sym_readline] = ACTIONS(2277),
    [anon_sym_readpipe] = ACTIONS(2277),
    [anon_sym_rewinddir] = ACTIONS(2277),
    [anon_sym_readlink] = ACTIONS(2277),
    [anon_sym_ref] = ACTIONS(2277),
    [anon_sym_scalar] = ACTIONS(2277),
    [anon_sym_shift] = ACTIONS(2277),
    [anon_sym_sin] = ACTIONS(2277),
    [anon_sym_sleep] = ACTIONS(2277),
    [anon_sym_sqrt] = ACTIONS(2277),
    [anon_sym_srand] = ACTIONS(2277),
    [anon_sym_stat] = ACTIONS(2277),
    [anon_sym_study] = ACTIONS(2277),
    [anon_sym_tell] = ACTIONS(2277),
    [anon_sym_telldir] = ACTIONS(2277),
    [anon_sym_tied] = ACTIONS(2277),
    [anon_sym_uc] = ACTIONS(2277),
    [anon_sym_ucfirst] = ACTIONS(2277),
    [anon_sym_untie] = ACTIONS(2277),
    [anon_sym_umask] = ACTIONS(2277),
    [anon_sym_values] = ACTIONS(2277),
    [anon_sym_write] = ACTIONS(2277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2277),
    [anon_sym_qq] = ACTIONS(2277),
    [anon_sym_qw] = ACTIONS(2277),
    [anon_sym_qx] = ACTIONS(2277),
    [anon_sym_qr] = ACTIONS(2277),
    [anon_sym_m] = ACTIONS(2277),
    [anon_sym_s] = ACTIONS(2277),
    [anon_sym_tr] = ACTIONS(2277),
    [anon_sym_y] = ACTIONS(2277),
    [anon_sym_if] = ACTIONS(2277),
    [anon_sym_unless] = ACTIONS(2277),
    [anon_sym_while] = ACTIONS(2277),
    [anon_sym_until] = ACTIONS(2277),
    [aux_sym__bareword_token1] = ACTIONS(2277),
    [sym_number] = ACTIONS(2277),
    [anon_sym_true] = ACTIONS(2277),
    [anon_sym_false] = ACTIONS(2277),
    [sym__single_quote] = ACTIONS(2275),
    [sym__double_quote] = ACTIONS(2275),
    [sym__backtick_quote] = ACTIONS(2275),
    [sym__search_slash_quote] = ACTIONS(2275),
    [sym__open_readline_bracket] = ACTIONS(2275),
    [sym__open_fileglob_bracket] = ACTIONS(2275),
    [sym__PERLY_HEREDOC] = ACTIONS(2275),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2275),
    [sym__filetest] = ACTIONS(2275),
  },
  [1056] = {
    [sym_heredoc_content] = STATE(1056),
    [sym__identifier] = ACTIONS(2281),
    [anon_sym_LBRACE] = ACTIONS(2281),
    [anon_sym_RBRACE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2281),
    [anon_sym_package] = ACTIONS(2281),
    [anon_sym_class] = ACTIONS(2281),
    [anon_sym_role] = ACTIONS(2281),
    [anon_sym_BUILD] = ACTIONS(2281),
    [anon_sym_ADJUST] = ACTIONS(2281),
    [anon_sym_DOLLAR] = ACTIONS(2281),
    [anon_sym_AT] = ACTIONS(2281),
    [anon_sym_my] = ACTIONS(2281),
    [anon_sym_extended] = ACTIONS(2281),
    [anon_sym_async] = ACTIONS(2281),
    [anon_sym_sub] = ACTIONS(2281),
    [anon_sym_method] = ACTIONS(2281),
    [anon_sym_LPAREN] = ACTIONS(2281),
    [anon_sym_continue] = ACTIONS(2281),
    [anon_sym_state] = ACTIONS(2281),
    [anon_sym_our] = ACTIONS(2281),
    [anon_sym_try] = ACTIONS(2281),
    [anon_sym_defer] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2281),
    [anon_sym_LBRACK] = ACTIONS(2281),
    [anon_sym_LT_LT] = ACTIONS(2281),
    [anon_sym_SLASH_SLASH] = ACTIONS(2281),
    [anon_sym_PLUS] = ACTIONS(2281),
    [anon_sym_DASH] = ACTIONS(2281),
    [anon_sym_TILDE] = ACTIONS(2281),
    [anon_sym_BANG] = ACTIONS(2281),
    [anon_sym_PLUS_PLUS] = ACTIONS(2281),
    [anon_sym_DASH_DASH] = ACTIONS(2281),
    [anon_sym_BSLASH] = ACTIONS(2279),
    [anon_sym_do] = ACTIONS(2281),
    [anon_sym_eval] = ACTIONS(2281),
    [anon_sym_await] = ACTIONS(2281),
    [anon_sym_field] = ACTIONS(2281),
    [anon_sym_local] = ACTIONS(2281),
    [anon_sym_dynamically] = ACTIONS(2281),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2281),
    [anon_sym_require] = ACTIONS(2281),
    [anon_sym_map] = ACTIONS(2281),
    [anon_sym_grep] = ACTIONS(2281),
    [anon_sym_sort] = ACTIONS(2281),
    [anon_sym_goto] = ACTIONS(2281),
    [anon_sym_return] = ACTIONS(2281),
    [anon_sym_undef] = ACTIONS(2281),
    [anon_sym_PERCENT2] = ACTIONS(2281),
    [anon_sym_AMP2] = ACTIONS(2281),
    [anon_sym_STAR2] = ACTIONS(2281),
    [anon_sym_use] = ACTIONS(2281),
    [anon_sym_no] = ACTIONS(2281),
    [anon_sym_for] = ACTIONS(2281),
    [anon_sym_foreach] = ACTIONS(2281),
    [anon_sym_last] = ACTIONS(2281),
    [anon_sym_next] = ACTIONS(2281),
    [anon_sym_redo] = ACTIONS(2281),
    [anon_sym_BEGIN] = ACTIONS(2281),
    [anon_sym_INIT] = ACTIONS(2281),
    [anon_sym_CHECK] = ACTIONS(2281),
    [anon_sym_UNITCHECK] = ACTIONS(2281),
    [anon_sym_END] = ACTIONS(2281),
    [anon_sym___FILE__] = ACTIONS(2281),
    [anon_sym___LINE__] = ACTIONS(2281),
    [anon_sym___PACKAGE__] = ACTIONS(2281),
    [anon_sym___SUB__] = ACTIONS(2281),
    [anon_sym_break] = ACTIONS(2281),
    [anon_sym_fork] = ACTIONS(2281),
    [anon_sym_getppid] = ACTIONS(2281),
    [anon_sym_time] = ACTIONS(2281),
    [anon_sym_times] = ACTIONS(2281),
    [anon_sym_wait] = ACTIONS(2281),
    [anon_sym_wantarray] = ACTIONS(2281),
    [anon_sym_abs] = ACTIONS(2281),
    [anon_sym_alarm] = ACTIONS(2281),
    [anon_sym_chop] = ACTIONS(2281),
    [anon_sym_chdir] = ACTIONS(2281),
    [anon_sym_close] = ACTIONS(2281),
    [anon_sym_closedir] = ACTIONS(2281),
    [anon_sym_caller] = ACTIONS(2281),
    [anon_sym_chomp] = ACTIONS(2281),
    [anon_sym_chr] = ACTIONS(2281),
    [anon_sym_cos] = ACTIONS(2281),
    [anon_sym_chroot] = ACTIONS(2281),
    [anon_sym_defined] = ACTIONS(2281),
    [anon_sym_delete] = ACTIONS(2281),
    [anon_sym_dbmclose] = ACTIONS(2281),
    [anon_sym_exists] = ACTIONS(2281),
    [anon_sym_exit] = ACTIONS(2281),
    [anon_sym_eof] = ACTIONS(2281),
    [anon_sym_exp] = ACTIONS(2281),
    [anon_sym_each] = ACTIONS(2281),
    [anon_sym_fc] = ACTIONS(2281),
    [anon_sym_fileno] = ACTIONS(2281),
    [anon_sym_gmtime] = ACTIONS(2281),
    [anon_sym_getc] = ACTIONS(2281),
    [anon_sym_getpgrp] = ACTIONS(2281),
    [anon_sym_getprotobyname] = ACTIONS(2281),
    [anon_sym_getpwname] = ACTIONS(2281),
    [anon_sym_getpwuid] = ACTIONS(2281),
    [anon_sym_getpeername] = ACTIONS(2281),
    [anon_sym_getnetbyname] = ACTIONS(2281),
    [anon_sym_getsockname] = ACTIONS(2281),
    [anon_sym_getgrnam] = ACTIONS(2281),
    [anon_sym_getgrgid] = ACTIONS(2281),
    [anon_sym_hex] = ACTIONS(2281),
    [anon_sym_int] = ACTIONS(2281),
    [anon_sym_keys] = ACTIONS(2281),
    [anon_sym_lc] = ACTIONS(2281),
    [anon_sym_lcfirst] = ACTIONS(2281),
    [anon_sym_length] = ACTIONS(2281),
    [anon_sym_localtime] = ACTIONS(2281),
    [anon_sym_log] = ACTIONS(2281),
    [anon_sym_lock] = ACTIONS(2281),
    [anon_sym_lstat] = ACTIONS(2281),
    [anon_sym_oct] = ACTIONS(2281),
    [anon_sym_ord] = ACTIONS(2281),
    [anon_sym_prototype] = ACTIONS(2281),
    [anon_sym_pop] = ACTIONS(2281),
    [anon_sym_pos] = ACTIONS(2281),
    [anon_sym_quotemeta] = ACTIONS(2281),
    [anon_sym_reset] = ACTIONS(2281),
    [anon_sym_rand] = ACTIONS(2281),
    [anon_sym_rmdir] = ACTIONS(2281),
    [anon_sym_readdir] = ACTIONS(2281),
    [anon_sym_readline] = ACTIONS(2281),
    [anon_sym_readpipe] = ACTIONS(2281),
    [anon_sym_rewinddir] = ACTIONS(2281),
    [anon_sym_readlink] = ACTIONS(2281),
    [anon_sym_ref] = ACTIONS(2281),
    [anon_sym_scalar] = ACTIONS(2281),
    [anon_sym_shift] = ACTIONS(2281),
    [anon_sym_sin] = ACTIONS(2281),
    [anon_sym_sleep] = ACTIONS(2281),
    [anon_sym_sqrt] = ACTIONS(2281),
    [anon_sym_srand] = ACTIONS(2281),
    [anon_sym_stat] = ACTIONS(2281),
    [anon_sym_study] = ACTIONS(2281),
    [anon_sym_tell] = ACTIONS(2281),
    [anon_sym_telldir] = ACTIONS(2281),
    [anon_sym_tied] = ACTIONS(2281),
    [anon_sym_uc] = ACTIONS(2281),
    [anon_sym_ucfirst] = ACTIONS(2281),
    [anon_sym_untie] = ACTIONS(2281),
    [anon_sym_umask] = ACTIONS(2281),
    [anon_sym_values] = ACTIONS(2281),
    [anon_sym_write] = ACTIONS(2281),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2281),
    [anon_sym_qq] = ACTIONS(2281),
    [anon_sym_qw] = ACTIONS(2281),
    [anon_sym_qx] = ACTIONS(2281),
    [anon_sym_qr] = ACTIONS(2281),
    [anon_sym_m] = ACTIONS(2281),
    [anon_sym_s] = ACTIONS(2281),
    [anon_sym_tr] = ACTIONS(2281),
    [anon_sym_y] = ACTIONS(2281),
    [anon_sym_if] = ACTIONS(2281),
    [anon_sym_unless] = ACTIONS(2281),
    [anon_sym_while] = ACTIONS(2281),
    [anon_sym_until] = ACTIONS(2281),
    [aux_sym__bareword_token1] = ACTIONS(2281),
    [sym_number] = ACTIONS(2281),
    [anon_sym_true] = ACTIONS(2281),
    [anon_sym_false] = ACTIONS(2281),
    [sym__single_quote] = ACTIONS(2279),
    [sym__double_quote] = ACTIONS(2279),
    [sym__backtick_quote] = ACTIONS(2279),
    [sym__search_slash_quote] = ACTIONS(2279),
    [sym__open_readline_bracket] = ACTIONS(2279),
    [sym__open_fileglob_bracket] = ACTIONS(2279),
    [sym__PERLY_HEREDOC] = ACTIONS(2279),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2279),
    [sym__filetest] = ACTIONS(2279),
  },
  [1057] = {
    [sym_heredoc_content] = STATE(1057),
    [sym__identifier] = ACTIONS(2169),
    [anon_sym_LBRACE] = ACTIONS(2169),
    [anon_sym_RBRACE] = ACTIONS(2169),
    [anon_sym_SEMI] = ACTIONS(2169),
    [anon_sym_package] = ACTIONS(2169),
    [anon_sym_class] = ACTIONS(2169),
    [anon_sym_role] = ACTIONS(2169),
    [anon_sym_BUILD] = ACTIONS(2169),
    [anon_sym_ADJUST] = ACTIONS(2169),
    [anon_sym_DOLLAR] = ACTIONS(2169),
    [anon_sym_AT] = ACTIONS(2169),
    [anon_sym_my] = ACTIONS(2169),
    [anon_sym_extended] = ACTIONS(2169),
    [anon_sym_async] = ACTIONS(2169),
    [anon_sym_sub] = ACTIONS(2169),
    [anon_sym_method] = ACTIONS(2169),
    [anon_sym_LPAREN] = ACTIONS(2169),
    [anon_sym_continue] = ACTIONS(2169),
    [anon_sym_state] = ACTIONS(2169),
    [anon_sym_our] = ACTIONS(2169),
    [anon_sym_try] = ACTIONS(2169),
    [anon_sym_defer] = ACTIONS(2169),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2169),
    [anon_sym_LBRACK] = ACTIONS(2169),
    [anon_sym_LT_LT] = ACTIONS(2169),
    [anon_sym_SLASH_SLASH] = ACTIONS(2169),
    [anon_sym_PLUS] = ACTIONS(2169),
    [anon_sym_DASH] = ACTIONS(2169),
    [anon_sym_TILDE] = ACTIONS(2169),
    [anon_sym_BANG] = ACTIONS(2169),
    [anon_sym_PLUS_PLUS] = ACTIONS(2169),
    [anon_sym_DASH_DASH] = ACTIONS(2169),
    [anon_sym_BSLASH] = ACTIONS(2167),
    [anon_sym_do] = ACTIONS(2169),
    [anon_sym_eval] = ACTIONS(2169),
    [anon_sym_await] = ACTIONS(2169),
    [anon_sym_field] = ACTIONS(2169),
    [anon_sym_local] = ACTIONS(2169),
    [anon_sym_dynamically] = ACTIONS(2169),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2169),
    [anon_sym_require] = ACTIONS(2169),
    [anon_sym_map] = ACTIONS(2169),
    [anon_sym_grep] = ACTIONS(2169),
    [anon_sym_sort] = ACTIONS(2169),
    [anon_sym_goto] = ACTIONS(2169),
    [anon_sym_return] = ACTIONS(2169),
    [anon_sym_undef] = ACTIONS(2169),
    [anon_sym_PERCENT2] = ACTIONS(2169),
    [anon_sym_AMP2] = ACTIONS(2169),
    [anon_sym_STAR2] = ACTIONS(2169),
    [anon_sym_use] = ACTIONS(2169),
    [anon_sym_no] = ACTIONS(2169),
    [anon_sym_for] = ACTIONS(2169),
    [anon_sym_foreach] = ACTIONS(2169),
    [anon_sym_last] = ACTIONS(2169),
    [anon_sym_next] = ACTIONS(2169),
    [anon_sym_redo] = ACTIONS(2169),
    [anon_sym_BEGIN] = ACTIONS(2169),
    [anon_sym_INIT] = ACTIONS(2169),
    [anon_sym_CHECK] = ACTIONS(2169),
    [anon_sym_UNITCHECK] = ACTIONS(2169),
    [anon_sym_END] = ACTIONS(2169),
    [anon_sym___FILE__] = ACTIONS(2169),
    [anon_sym___LINE__] = ACTIONS(2169),
    [anon_sym___PACKAGE__] = ACTIONS(2169),
    [anon_sym___SUB__] = ACTIONS(2169),
    [anon_sym_break] = ACTIONS(2169),
    [anon_sym_fork] = ACTIONS(2169),
    [anon_sym_getppid] = ACTIONS(2169),
    [anon_sym_time] = ACTIONS(2169),
    [anon_sym_times] = ACTIONS(2169),
    [anon_sym_wait] = ACTIONS(2169),
    [anon_sym_wantarray] = ACTIONS(2169),
    [anon_sym_abs] = ACTIONS(2169),
    [anon_sym_alarm] = ACTIONS(2169),
    [anon_sym_chop] = ACTIONS(2169),
    [anon_sym_chdir] = ACTIONS(2169),
    [anon_sym_close] = ACTIONS(2169),
    [anon_sym_closedir] = ACTIONS(2169),
    [anon_sym_caller] = ACTIONS(2169),
    [anon_sym_chomp] = ACTIONS(2169),
    [anon_sym_chr] = ACTIONS(2169),
    [anon_sym_cos] = ACTIONS(2169),
    [anon_sym_chroot] = ACTIONS(2169),
    [anon_sym_defined] = ACTIONS(2169),
    [anon_sym_delete] = ACTIONS(2169),
    [anon_sym_dbmclose] = ACTIONS(2169),
    [anon_sym_exists] = ACTIONS(2169),
    [anon_sym_exit] = ACTIONS(2169),
    [anon_sym_eof] = ACTIONS(2169),
    [anon_sym_exp] = ACTIONS(2169),
    [anon_sym_each] = ACTIONS(2169),
    [anon_sym_fc] = ACTIONS(2169),
    [anon_sym_fileno] = ACTIONS(2169),
    [anon_sym_gmtime] = ACTIONS(2169),
    [anon_sym_getc] = ACTIONS(2169),
    [anon_sym_getpgrp] = ACTIONS(2169),
    [anon_sym_getprotobyname] = ACTIONS(2169),
    [anon_sym_getpwname] = ACTIONS(2169),
    [anon_sym_getpwuid] = ACTIONS(2169),
    [anon_sym_getpeername] = ACTIONS(2169),
    [anon_sym_getnetbyname] = ACTIONS(2169),
    [anon_sym_getsockname] = ACTIONS(2169),
    [anon_sym_getgrnam] = ACTIONS(2169),
    [anon_sym_getgrgid] = ACTIONS(2169),
    [anon_sym_hex] = ACTIONS(2169),
    [anon_sym_int] = ACTIONS(2169),
    [anon_sym_keys] = ACTIONS(2169),
    [anon_sym_lc] = ACTIONS(2169),
    [anon_sym_lcfirst] = ACTIONS(2169),
    [anon_sym_length] = ACTIONS(2169),
    [anon_sym_localtime] = ACTIONS(2169),
    [anon_sym_log] = ACTIONS(2169),
    [anon_sym_lock] = ACTIONS(2169),
    [anon_sym_lstat] = ACTIONS(2169),
    [anon_sym_oct] = ACTIONS(2169),
    [anon_sym_ord] = ACTIONS(2169),
    [anon_sym_prototype] = ACTIONS(2169),
    [anon_sym_pop] = ACTIONS(2169),
    [anon_sym_pos] = ACTIONS(2169),
    [anon_sym_quotemeta] = ACTIONS(2169),
    [anon_sym_reset] = ACTIONS(2169),
    [anon_sym_rand] = ACTIONS(2169),
    [anon_sym_rmdir] = ACTIONS(2169),
    [anon_sym_readdir] = ACTIONS(2169),
    [anon_sym_readline] = ACTIONS(2169),
    [anon_sym_readpipe] = ACTIONS(2169),
    [anon_sym_rewinddir] = ACTIONS(2169),
    [anon_sym_readlink] = ACTIONS(2169),
    [anon_sym_ref] = ACTIONS(2169),
    [anon_sym_scalar] = ACTIONS(2169),
    [anon_sym_shift] = ACTIONS(2169),
    [anon_sym_sin] = ACTIONS(2169),
    [anon_sym_sleep] = ACTIONS(2169),
    [anon_sym_sqrt] = ACTIONS(2169),
    [anon_sym_srand] = ACTIONS(2169),
    [anon_sym_stat] = ACTIONS(2169),
    [anon_sym_study] = ACTIONS(2169),
    [anon_sym_tell] = ACTIONS(2169),
    [anon_sym_telldir] = ACTIONS(2169),
    [anon_sym_tied] = ACTIONS(2169),
    [anon_sym_uc] = ACTIONS(2169),
    [anon_sym_ucfirst] = ACTIONS(2169),
    [anon_sym_untie] = ACTIONS(2169),
    [anon_sym_umask] = ACTIONS(2169),
    [anon_sym_values] = ACTIONS(2169),
    [anon_sym_write] = ACTIONS(2169),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2169),
    [anon_sym_qq] = ACTIONS(2169),
    [anon_sym_qw] = ACTIONS(2169),
    [anon_sym_qx] = ACTIONS(2169),
    [anon_sym_qr] = ACTIONS(2169),
    [anon_sym_m] = ACTIONS(2169),
    [anon_sym_s] = ACTIONS(2169),
    [anon_sym_tr] = ACTIONS(2169),
    [anon_sym_y] = ACTIONS(2169),
    [anon_sym_if] = ACTIONS(2169),
    [anon_sym_unless] = ACTIONS(2169),
    [anon_sym_while] = ACTIONS(2169),
    [anon_sym_until] = ACTIONS(2169),
    [aux_sym__bareword_token1] = ACTIONS(2169),
    [sym_number] = ACTIONS(2169),
    [anon_sym_true] = ACTIONS(2169),
    [anon_sym_false] = ACTIONS(2169),
    [sym__single_quote] = ACTIONS(2167),
    [sym__double_quote] = ACTIONS(2167),
    [sym__backtick_quote] = ACTIONS(2167),
    [sym__search_slash_quote] = ACTIONS(2167),
    [sym__open_readline_bracket] = ACTIONS(2167),
    [sym__open_fileglob_bracket] = ACTIONS(2167),
    [sym__PERLY_HEREDOC] = ACTIONS(2167),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2167),
    [sym__filetest] = ACTIONS(2167),
  },
  [1058] = {
    [sym_heredoc_content] = STATE(1058),
    [sym__identifier] = ACTIONS(2285),
    [anon_sym_LBRACE] = ACTIONS(2285),
    [anon_sym_RBRACE] = ACTIONS(2285),
    [anon_sym_SEMI] = ACTIONS(2285),
    [anon_sym_package] = ACTIONS(2285),
    [anon_sym_class] = ACTIONS(2285),
    [anon_sym_role] = ACTIONS(2285),
    [anon_sym_BUILD] = ACTIONS(2285),
    [anon_sym_ADJUST] = ACTIONS(2285),
    [anon_sym_DOLLAR] = ACTIONS(2285),
    [anon_sym_AT] = ACTIONS(2285),
    [anon_sym_my] = ACTIONS(2285),
    [anon_sym_extended] = ACTIONS(2285),
    [anon_sym_async] = ACTIONS(2285),
    [anon_sym_sub] = ACTIONS(2285),
    [anon_sym_method] = ACTIONS(2285),
    [anon_sym_LPAREN] = ACTIONS(2285),
    [anon_sym_continue] = ACTIONS(2285),
    [anon_sym_state] = ACTIONS(2285),
    [anon_sym_our] = ACTIONS(2285),
    [anon_sym_try] = ACTIONS(2285),
    [anon_sym_defer] = ACTIONS(2285),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2285),
    [anon_sym_LBRACK] = ACTIONS(2285),
    [anon_sym_LT_LT] = ACTIONS(2285),
    [anon_sym_SLASH_SLASH] = ACTIONS(2285),
    [anon_sym_PLUS] = ACTIONS(2285),
    [anon_sym_DASH] = ACTIONS(2285),
    [anon_sym_TILDE] = ACTIONS(2285),
    [anon_sym_BANG] = ACTIONS(2285),
    [anon_sym_PLUS_PLUS] = ACTIONS(2285),
    [anon_sym_DASH_DASH] = ACTIONS(2285),
    [anon_sym_BSLASH] = ACTIONS(2283),
    [anon_sym_do] = ACTIONS(2285),
    [anon_sym_eval] = ACTIONS(2285),
    [anon_sym_await] = ACTIONS(2285),
    [anon_sym_field] = ACTIONS(2285),
    [anon_sym_local] = ACTIONS(2285),
    [anon_sym_dynamically] = ACTIONS(2285),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2285),
    [anon_sym_require] = ACTIONS(2285),
    [anon_sym_map] = ACTIONS(2285),
    [anon_sym_grep] = ACTIONS(2285),
    [anon_sym_sort] = ACTIONS(2285),
    [anon_sym_goto] = ACTIONS(2285),
    [anon_sym_return] = ACTIONS(2285),
    [anon_sym_undef] = ACTIONS(2285),
    [anon_sym_PERCENT2] = ACTIONS(2285),
    [anon_sym_AMP2] = ACTIONS(2285),
    [anon_sym_STAR2] = ACTIONS(2285),
    [anon_sym_use] = ACTIONS(2285),
    [anon_sym_no] = ACTIONS(2285),
    [anon_sym_for] = ACTIONS(2285),
    [anon_sym_foreach] = ACTIONS(2285),
    [anon_sym_last] = ACTIONS(2285),
    [anon_sym_next] = ACTIONS(2285),
    [anon_sym_redo] = ACTIONS(2285),
    [anon_sym_BEGIN] = ACTIONS(2285),
    [anon_sym_INIT] = ACTIONS(2285),
    [anon_sym_CHECK] = ACTIONS(2285),
    [anon_sym_UNITCHECK] = ACTIONS(2285),
    [anon_sym_END] = ACTIONS(2285),
    [anon_sym___FILE__] = ACTIONS(2285),
    [anon_sym___LINE__] = ACTIONS(2285),
    [anon_sym___PACKAGE__] = ACTIONS(2285),
    [anon_sym___SUB__] = ACTIONS(2285),
    [anon_sym_break] = ACTIONS(2285),
    [anon_sym_fork] = ACTIONS(2285),
    [anon_sym_getppid] = ACTIONS(2285),
    [anon_sym_time] = ACTIONS(2285),
    [anon_sym_times] = ACTIONS(2285),
    [anon_sym_wait] = ACTIONS(2285),
    [anon_sym_wantarray] = ACTIONS(2285),
    [anon_sym_abs] = ACTIONS(2285),
    [anon_sym_alarm] = ACTIONS(2285),
    [anon_sym_chop] = ACTIONS(2285),
    [anon_sym_chdir] = ACTIONS(2285),
    [anon_sym_close] = ACTIONS(2285),
    [anon_sym_closedir] = ACTIONS(2285),
    [anon_sym_caller] = ACTIONS(2285),
    [anon_sym_chomp] = ACTIONS(2285),
    [anon_sym_chr] = ACTIONS(2285),
    [anon_sym_cos] = ACTIONS(2285),
    [anon_sym_chroot] = ACTIONS(2285),
    [anon_sym_defined] = ACTIONS(2285),
    [anon_sym_delete] = ACTIONS(2285),
    [anon_sym_dbmclose] = ACTIONS(2285),
    [anon_sym_exists] = ACTIONS(2285),
    [anon_sym_exit] = ACTIONS(2285),
    [anon_sym_eof] = ACTIONS(2285),
    [anon_sym_exp] = ACTIONS(2285),
    [anon_sym_each] = ACTIONS(2285),
    [anon_sym_fc] = ACTIONS(2285),
    [anon_sym_fileno] = ACTIONS(2285),
    [anon_sym_gmtime] = ACTIONS(2285),
    [anon_sym_getc] = ACTIONS(2285),
    [anon_sym_getpgrp] = ACTIONS(2285),
    [anon_sym_getprotobyname] = ACTIONS(2285),
    [anon_sym_getpwname] = ACTIONS(2285),
    [anon_sym_getpwuid] = ACTIONS(2285),
    [anon_sym_getpeername] = ACTIONS(2285),
    [anon_sym_getnetbyname] = ACTIONS(2285),
    [anon_sym_getsockname] = ACTIONS(2285),
    [anon_sym_getgrnam] = ACTIONS(2285),
    [anon_sym_getgrgid] = ACTIONS(2285),
    [anon_sym_hex] = ACTIONS(2285),
    [anon_sym_int] = ACTIONS(2285),
    [anon_sym_keys] = ACTIONS(2285),
    [anon_sym_lc] = ACTIONS(2285),
    [anon_sym_lcfirst] = ACTIONS(2285),
    [anon_sym_length] = ACTIONS(2285),
    [anon_sym_localtime] = ACTIONS(2285),
    [anon_sym_log] = ACTIONS(2285),
    [anon_sym_lock] = ACTIONS(2285),
    [anon_sym_lstat] = ACTIONS(2285),
    [anon_sym_oct] = ACTIONS(2285),
    [anon_sym_ord] = ACTIONS(2285),
    [anon_sym_prototype] = ACTIONS(2285),
    [anon_sym_pop] = ACTIONS(2285),
    [anon_sym_pos] = ACTIONS(2285),
    [anon_sym_quotemeta] = ACTIONS(2285),
    [anon_sym_reset] = ACTIONS(2285),
    [anon_sym_rand] = ACTIONS(2285),
    [anon_sym_rmdir] = ACTIONS(2285),
    [anon_sym_readdir] = ACTIONS(2285),
    [anon_sym_readline] = ACTIONS(2285),
    [anon_sym_readpipe] = ACTIONS(2285),
    [anon_sym_rewinddir] = ACTIONS(2285),
    [anon_sym_readlink] = ACTIONS(2285),
    [anon_sym_ref] = ACTIONS(2285),
    [anon_sym_scalar] = ACTIONS(2285),
    [anon_sym_shift] = ACTIONS(2285),
    [anon_sym_sin] = ACTIONS(2285),
    [anon_sym_sleep] = ACTIONS(2285),
    [anon_sym_sqrt] = ACTIONS(2285),
    [anon_sym_srand] = ACTIONS(2285),
    [anon_sym_stat] = ACTIONS(2285),
    [anon_sym_study] = ACTIONS(2285),
    [anon_sym_tell] = ACTIONS(2285),
    [anon_sym_telldir] = ACTIONS(2285),
    [anon_sym_tied] = ACTIONS(2285),
    [anon_sym_uc] = ACTIONS(2285),
    [anon_sym_ucfirst] = ACTIONS(2285),
    [anon_sym_untie] = ACTIONS(2285),
    [anon_sym_umask] = ACTIONS(2285),
    [anon_sym_values] = ACTIONS(2285),
    [anon_sym_write] = ACTIONS(2285),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2285),
    [anon_sym_qq] = ACTIONS(2285),
    [anon_sym_qw] = ACTIONS(2285),
    [anon_sym_qx] = ACTIONS(2285),
    [anon_sym_qr] = ACTIONS(2285),
    [anon_sym_m] = ACTIONS(2285),
    [anon_sym_s] = ACTIONS(2285),
    [anon_sym_tr] = ACTIONS(2285),
    [anon_sym_y] = ACTIONS(2285),
    [anon_sym_if] = ACTIONS(2285),
    [anon_sym_unless] = ACTIONS(2285),
    [anon_sym_while] = ACTIONS(2285),
    [anon_sym_until] = ACTIONS(2285),
    [aux_sym__bareword_token1] = ACTIONS(2285),
    [sym_number] = ACTIONS(2285),
    [anon_sym_true] = ACTIONS(2285),
    [anon_sym_false] = ACTIONS(2285),
    [sym__single_quote] = ACTIONS(2283),
    [sym__double_quote] = ACTIONS(2283),
    [sym__backtick_quote] = ACTIONS(2283),
    [sym__search_slash_quote] = ACTIONS(2283),
    [sym__open_readline_bracket] = ACTIONS(2283),
    [sym__open_fileglob_bracket] = ACTIONS(2283),
    [sym__PERLY_HEREDOC] = ACTIONS(2283),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2283),
    [sym__filetest] = ACTIONS(2283),
  },
  [1059] = {
    [sym_heredoc_content] = STATE(1059),
    [sym__identifier] = ACTIONS(2289),
    [anon_sym_LBRACE] = ACTIONS(2289),
    [anon_sym_RBRACE] = ACTIONS(2289),
    [anon_sym_SEMI] = ACTIONS(2289),
    [anon_sym_package] = ACTIONS(2289),
    [anon_sym_class] = ACTIONS(2289),
    [anon_sym_role] = ACTIONS(2289),
    [anon_sym_BUILD] = ACTIONS(2289),
    [anon_sym_ADJUST] = ACTIONS(2289),
    [anon_sym_DOLLAR] = ACTIONS(2289),
    [anon_sym_AT] = ACTIONS(2289),
    [anon_sym_my] = ACTIONS(2289),
    [anon_sym_extended] = ACTIONS(2289),
    [anon_sym_async] = ACTIONS(2289),
    [anon_sym_sub] = ACTIONS(2289),
    [anon_sym_method] = ACTIONS(2289),
    [anon_sym_LPAREN] = ACTIONS(2289),
    [anon_sym_continue] = ACTIONS(2289),
    [anon_sym_state] = ACTIONS(2289),
    [anon_sym_our] = ACTIONS(2289),
    [anon_sym_try] = ACTIONS(2289),
    [anon_sym_defer] = ACTIONS(2289),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(2289),
    [anon_sym_LT_LT] = ACTIONS(2289),
    [anon_sym_SLASH_SLASH] = ACTIONS(2289),
    [anon_sym_PLUS] = ACTIONS(2289),
    [anon_sym_DASH] = ACTIONS(2289),
    [anon_sym_TILDE] = ACTIONS(2289),
    [anon_sym_BANG] = ACTIONS(2289),
    [anon_sym_PLUS_PLUS] = ACTIONS(2289),
    [anon_sym_DASH_DASH] = ACTIONS(2289),
    [anon_sym_BSLASH] = ACTIONS(2287),
    [anon_sym_do] = ACTIONS(2289),
    [anon_sym_eval] = ACTIONS(2289),
    [anon_sym_await] = ACTIONS(2289),
    [anon_sym_field] = ACTIONS(2289),
    [anon_sym_local] = ACTIONS(2289),
    [anon_sym_dynamically] = ACTIONS(2289),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2289),
    [anon_sym_require] = ACTIONS(2289),
    [anon_sym_map] = ACTIONS(2289),
    [anon_sym_grep] = ACTIONS(2289),
    [anon_sym_sort] = ACTIONS(2289),
    [anon_sym_goto] = ACTIONS(2289),
    [anon_sym_return] = ACTIONS(2289),
    [anon_sym_undef] = ACTIONS(2289),
    [anon_sym_PERCENT2] = ACTIONS(2289),
    [anon_sym_AMP2] = ACTIONS(2289),
    [anon_sym_STAR2] = ACTIONS(2289),
    [anon_sym_use] = ACTIONS(2289),
    [anon_sym_no] = ACTIONS(2289),
    [anon_sym_for] = ACTIONS(2289),
    [anon_sym_foreach] = ACTIONS(2289),
    [anon_sym_last] = ACTIONS(2289),
    [anon_sym_next] = ACTIONS(2289),
    [anon_sym_redo] = ACTIONS(2289),
    [anon_sym_BEGIN] = ACTIONS(2289),
    [anon_sym_INIT] = ACTIONS(2289),
    [anon_sym_CHECK] = ACTIONS(2289),
    [anon_sym_UNITCHECK] = ACTIONS(2289),
    [anon_sym_END] = ACTIONS(2289),
    [anon_sym___FILE__] = ACTIONS(2289),
    [anon_sym___LINE__] = ACTIONS(2289),
    [anon_sym___PACKAGE__] = ACTIONS(2289),
    [anon_sym___SUB__] = ACTIONS(2289),
    [anon_sym_break] = ACTIONS(2289),
    [anon_sym_fork] = ACTIONS(2289),
    [anon_sym_getppid] = ACTIONS(2289),
    [anon_sym_time] = ACTIONS(2289),
    [anon_sym_times] = ACTIONS(2289),
    [anon_sym_wait] = ACTIONS(2289),
    [anon_sym_wantarray] = ACTIONS(2289),
    [anon_sym_abs] = ACTIONS(2289),
    [anon_sym_alarm] = ACTIONS(2289),
    [anon_sym_chop] = ACTIONS(2289),
    [anon_sym_chdir] = ACTIONS(2289),
    [anon_sym_close] = ACTIONS(2289),
    [anon_sym_closedir] = ACTIONS(2289),
    [anon_sym_caller] = ACTIONS(2289),
    [anon_sym_chomp] = ACTIONS(2289),
    [anon_sym_chr] = ACTIONS(2289),
    [anon_sym_cos] = ACTIONS(2289),
    [anon_sym_chroot] = ACTIONS(2289),
    [anon_sym_defined] = ACTIONS(2289),
    [anon_sym_delete] = ACTIONS(2289),
    [anon_sym_dbmclose] = ACTIONS(2289),
    [anon_sym_exists] = ACTIONS(2289),
    [anon_sym_exit] = ACTIONS(2289),
    [anon_sym_eof] = ACTIONS(2289),
    [anon_sym_exp] = ACTIONS(2289),
    [anon_sym_each] = ACTIONS(2289),
    [anon_sym_fc] = ACTIONS(2289),
    [anon_sym_fileno] = ACTIONS(2289),
    [anon_sym_gmtime] = ACTIONS(2289),
    [anon_sym_getc] = ACTIONS(2289),
    [anon_sym_getpgrp] = ACTIONS(2289),
    [anon_sym_getprotobyname] = ACTIONS(2289),
    [anon_sym_getpwname] = ACTIONS(2289),
    [anon_sym_getpwuid] = ACTIONS(2289),
    [anon_sym_getpeername] = ACTIONS(2289),
    [anon_sym_getnetbyname] = ACTIONS(2289),
    [anon_sym_getsockname] = ACTIONS(2289),
    [anon_sym_getgrnam] = ACTIONS(2289),
    [anon_sym_getgrgid] = ACTIONS(2289),
    [anon_sym_hex] = ACTIONS(2289),
    [anon_sym_int] = ACTIONS(2289),
    [anon_sym_keys] = ACTIONS(2289),
    [anon_sym_lc] = ACTIONS(2289),
    [anon_sym_lcfirst] = ACTIONS(2289),
    [anon_sym_length] = ACTIONS(2289),
    [anon_sym_localtime] = ACTIONS(2289),
    [anon_sym_log] = ACTIONS(2289),
    [anon_sym_lock] = ACTIONS(2289),
    [anon_sym_lstat] = ACTIONS(2289),
    [anon_sym_oct] = ACTIONS(2289),
    [anon_sym_ord] = ACTIONS(2289),
    [anon_sym_prototype] = ACTIONS(2289),
    [anon_sym_pop] = ACTIONS(2289),
    [anon_sym_pos] = ACTIONS(2289),
    [anon_sym_quotemeta] = ACTIONS(2289),
    [anon_sym_reset] = ACTIONS(2289),
    [anon_sym_rand] = ACTIONS(2289),
    [anon_sym_rmdir] = ACTIONS(2289),
    [anon_sym_readdir] = ACTIONS(2289),
    [anon_sym_readline] = ACTIONS(2289),
    [anon_sym_readpipe] = ACTIONS(2289),
    [anon_sym_rewinddir] = ACTIONS(2289),
    [anon_sym_readlink] = ACTIONS(2289),
    [anon_sym_ref] = ACTIONS(2289),
    [anon_sym_scalar] = ACTIONS(2289),
    [anon_sym_shift] = ACTIONS(2289),
    [anon_sym_sin] = ACTIONS(2289),
    [anon_sym_sleep] = ACTIONS(2289),
    [anon_sym_sqrt] = ACTIONS(2289),
    [anon_sym_srand] = ACTIONS(2289),
    [anon_sym_stat] = ACTIONS(2289),
    [anon_sym_study] = ACTIONS(2289),
    [anon_sym_tell] = ACTIONS(2289),
    [anon_sym_telldir] = ACTIONS(2289),
    [anon_sym_tied] = ACTIONS(2289),
    [anon_sym_uc] = ACTIONS(2289),
    [anon_sym_ucfirst] = ACTIONS(2289),
    [anon_sym_untie] = ACTIONS(2289),
    [anon_sym_umask] = ACTIONS(2289),
    [anon_sym_values] = ACTIONS(2289),
    [anon_sym_write] = ACTIONS(2289),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2289),
    [anon_sym_qq] = ACTIONS(2289),
    [anon_sym_qw] = ACTIONS(2289),
    [anon_sym_qx] = ACTIONS(2289),
    [anon_sym_qr] = ACTIONS(2289),
    [anon_sym_m] = ACTIONS(2289),
    [anon_sym_s] = ACTIONS(2289),
    [anon_sym_tr] = ACTIONS(2289),
    [anon_sym_y] = ACTIONS(2289),
    [anon_sym_if] = ACTIONS(2289),
    [anon_sym_unless] = ACTIONS(2289),
    [anon_sym_while] = ACTIONS(2289),
    [anon_sym_until] = ACTIONS(2289),
    [aux_sym__bareword_token1] = ACTIONS(2289),
    [sym_number] = ACTIONS(2289),
    [anon_sym_true] = ACTIONS(2289),
    [anon_sym_false] = ACTIONS(2289),
    [sym__single_quote] = ACTIONS(2287),
    [sym__double_quote] = ACTIONS(2287),
    [sym__backtick_quote] = ACTIONS(2287),
    [sym__search_slash_quote] = ACTIONS(2287),
    [sym__open_readline_bracket] = ACTIONS(2287),
    [sym__open_fileglob_bracket] = ACTIONS(2287),
    [sym__PERLY_HEREDOC] = ACTIONS(2287),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2287),
    [sym__filetest] = ACTIONS(2287),
  },
  [1060] = {
    [sym_heredoc_content] = STATE(1060),
    [sym__identifier] = ACTIONS(2293),
    [anon_sym_LBRACE] = ACTIONS(2293),
    [anon_sym_RBRACE] = ACTIONS(2293),
    [anon_sym_SEMI] = ACTIONS(2293),
    [anon_sym_package] = ACTIONS(2293),
    [anon_sym_class] = ACTIONS(2293),
    [anon_sym_role] = ACTIONS(2293),
    [anon_sym_BUILD] = ACTIONS(2293),
    [anon_sym_ADJUST] = ACTIONS(2293),
    [anon_sym_DOLLAR] = ACTIONS(2293),
    [anon_sym_AT] = ACTIONS(2293),
    [anon_sym_my] = ACTIONS(2293),
    [anon_sym_extended] = ACTIONS(2293),
    [anon_sym_async] = ACTIONS(2293),
    [anon_sym_sub] = ACTIONS(2293),
    [anon_sym_method] = ACTIONS(2293),
    [anon_sym_LPAREN] = ACTIONS(2293),
    [anon_sym_continue] = ACTIONS(2293),
    [anon_sym_state] = ACTIONS(2293),
    [anon_sym_our] = ACTIONS(2293),
    [anon_sym_try] = ACTIONS(2293),
    [anon_sym_defer] = ACTIONS(2293),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2293),
    [anon_sym_LBRACK] = ACTIONS(2293),
    [anon_sym_LT_LT] = ACTIONS(2293),
    [anon_sym_SLASH_SLASH] = ACTIONS(2293),
    [anon_sym_PLUS] = ACTIONS(2293),
    [anon_sym_DASH] = ACTIONS(2293),
    [anon_sym_TILDE] = ACTIONS(2293),
    [anon_sym_BANG] = ACTIONS(2293),
    [anon_sym_PLUS_PLUS] = ACTIONS(2293),
    [anon_sym_DASH_DASH] = ACTIONS(2293),
    [anon_sym_BSLASH] = ACTIONS(2291),
    [anon_sym_do] = ACTIONS(2293),
    [anon_sym_eval] = ACTIONS(2293),
    [anon_sym_await] = ACTIONS(2293),
    [anon_sym_field] = ACTIONS(2293),
    [anon_sym_local] = ACTIONS(2293),
    [anon_sym_dynamically] = ACTIONS(2293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2293),
    [anon_sym_require] = ACTIONS(2293),
    [anon_sym_map] = ACTIONS(2293),
    [anon_sym_grep] = ACTIONS(2293),
    [anon_sym_sort] = ACTIONS(2293),
    [anon_sym_goto] = ACTIONS(2293),
    [anon_sym_return] = ACTIONS(2293),
    [anon_sym_undef] = ACTIONS(2293),
    [anon_sym_PERCENT2] = ACTIONS(2293),
    [anon_sym_AMP2] = ACTIONS(2293),
    [anon_sym_STAR2] = ACTIONS(2293),
    [anon_sym_use] = ACTIONS(2293),
    [anon_sym_no] = ACTIONS(2293),
    [anon_sym_for] = ACTIONS(2293),
    [anon_sym_foreach] = ACTIONS(2293),
    [anon_sym_last] = ACTIONS(2293),
    [anon_sym_next] = ACTIONS(2293),
    [anon_sym_redo] = ACTIONS(2293),
    [anon_sym_BEGIN] = ACTIONS(2293),
    [anon_sym_INIT] = ACTIONS(2293),
    [anon_sym_CHECK] = ACTIONS(2293),
    [anon_sym_UNITCHECK] = ACTIONS(2293),
    [anon_sym_END] = ACTIONS(2293),
    [anon_sym___FILE__] = ACTIONS(2293),
    [anon_sym___LINE__] = ACTIONS(2293),
    [anon_sym___PACKAGE__] = ACTIONS(2293),
    [anon_sym___SUB__] = ACTIONS(2293),
    [anon_sym_break] = ACTIONS(2293),
    [anon_sym_fork] = ACTIONS(2293),
    [anon_sym_getppid] = ACTIONS(2293),
    [anon_sym_time] = ACTIONS(2293),
    [anon_sym_times] = ACTIONS(2293),
    [anon_sym_wait] = ACTIONS(2293),
    [anon_sym_wantarray] = ACTIONS(2293),
    [anon_sym_abs] = ACTIONS(2293),
    [anon_sym_alarm] = ACTIONS(2293),
    [anon_sym_chop] = ACTIONS(2293),
    [anon_sym_chdir] = ACTIONS(2293),
    [anon_sym_close] = ACTIONS(2293),
    [anon_sym_closedir] = ACTIONS(2293),
    [anon_sym_caller] = ACTIONS(2293),
    [anon_sym_chomp] = ACTIONS(2293),
    [anon_sym_chr] = ACTIONS(2293),
    [anon_sym_cos] = ACTIONS(2293),
    [anon_sym_chroot] = ACTIONS(2293),
    [anon_sym_defined] = ACTIONS(2293),
    [anon_sym_delete] = ACTIONS(2293),
    [anon_sym_dbmclose] = ACTIONS(2293),
    [anon_sym_exists] = ACTIONS(2293),
    [anon_sym_exit] = ACTIONS(2293),
    [anon_sym_eof] = ACTIONS(2293),
    [anon_sym_exp] = ACTIONS(2293),
    [anon_sym_each] = ACTIONS(2293),
    [anon_sym_fc] = ACTIONS(2293),
    [anon_sym_fileno] = ACTIONS(2293),
    [anon_sym_gmtime] = ACTIONS(2293),
    [anon_sym_getc] = ACTIONS(2293),
    [anon_sym_getpgrp] = ACTIONS(2293),
    [anon_sym_getprotobyname] = ACTIONS(2293),
    [anon_sym_getpwname] = ACTIONS(2293),
    [anon_sym_getpwuid] = ACTIONS(2293),
    [anon_sym_getpeername] = ACTIONS(2293),
    [anon_sym_getnetbyname] = ACTIONS(2293),
    [anon_sym_getsockname] = ACTIONS(2293),
    [anon_sym_getgrnam] = ACTIONS(2293),
    [anon_sym_getgrgid] = ACTIONS(2293),
    [anon_sym_hex] = ACTIONS(2293),
    [anon_sym_int] = ACTIONS(2293),
    [anon_sym_keys] = ACTIONS(2293),
    [anon_sym_lc] = ACTIONS(2293),
    [anon_sym_lcfirst] = ACTIONS(2293),
    [anon_sym_length] = ACTIONS(2293),
    [anon_sym_localtime] = ACTIONS(2293),
    [anon_sym_log] = ACTIONS(2293),
    [anon_sym_lock] = ACTIONS(2293),
    [anon_sym_lstat] = ACTIONS(2293),
    [anon_sym_oct] = ACTIONS(2293),
    [anon_sym_ord] = ACTIONS(2293),
    [anon_sym_prototype] = ACTIONS(2293),
    [anon_sym_pop] = ACTIONS(2293),
    [anon_sym_pos] = ACTIONS(2293),
    [anon_sym_quotemeta] = ACTIONS(2293),
    [anon_sym_reset] = ACTIONS(2293),
    [anon_sym_rand] = ACTIONS(2293),
    [anon_sym_rmdir] = ACTIONS(2293),
    [anon_sym_readdir] = ACTIONS(2293),
    [anon_sym_readline] = ACTIONS(2293),
    [anon_sym_readpipe] = ACTIONS(2293),
    [anon_sym_rewinddir] = ACTIONS(2293),
    [anon_sym_readlink] = ACTIONS(2293),
    [anon_sym_ref] = ACTIONS(2293),
    [anon_sym_scalar] = ACTIONS(2293),
    [anon_sym_shift] = ACTIONS(2293),
    [anon_sym_sin] = ACTIONS(2293),
    [anon_sym_sleep] = ACTIONS(2293),
    [anon_sym_sqrt] = ACTIONS(2293),
    [anon_sym_srand] = ACTIONS(2293),
    [anon_sym_stat] = ACTIONS(2293),
    [anon_sym_study] = ACTIONS(2293),
    [anon_sym_tell] = ACTIONS(2293),
    [anon_sym_telldir] = ACTIONS(2293),
    [anon_sym_tied] = ACTIONS(2293),
    [anon_sym_uc] = ACTIONS(2293),
    [anon_sym_ucfirst] = ACTIONS(2293),
    [anon_sym_untie] = ACTIONS(2293),
    [anon_sym_umask] = ACTIONS(2293),
    [anon_sym_values] = ACTIONS(2293),
    [anon_sym_write] = ACTIONS(2293),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2293),
    [anon_sym_qq] = ACTIONS(2293),
    [anon_sym_qw] = ACTIONS(2293),
    [anon_sym_qx] = ACTIONS(2293),
    [anon_sym_qr] = ACTIONS(2293),
    [anon_sym_m] = ACTIONS(2293),
    [anon_sym_s] = ACTIONS(2293),
    [anon_sym_tr] = ACTIONS(2293),
    [anon_sym_y] = ACTIONS(2293),
    [anon_sym_if] = ACTIONS(2293),
    [anon_sym_unless] = ACTIONS(2293),
    [anon_sym_while] = ACTIONS(2293),
    [anon_sym_until] = ACTIONS(2293),
    [aux_sym__bareword_token1] = ACTIONS(2293),
    [sym_number] = ACTIONS(2293),
    [anon_sym_true] = ACTIONS(2293),
    [anon_sym_false] = ACTIONS(2293),
    [sym__single_quote] = ACTIONS(2291),
    [sym__double_quote] = ACTIONS(2291),
    [sym__backtick_quote] = ACTIONS(2291),
    [sym__search_slash_quote] = ACTIONS(2291),
    [sym__open_readline_bracket] = ACTIONS(2291),
    [sym__open_fileglob_bracket] = ACTIONS(2291),
    [sym__PERLY_HEREDOC] = ACTIONS(2291),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2291),
    [sym__filetest] = ACTIONS(2291),
  },
  [1061] = {
    [sym_heredoc_content] = STATE(1061),
    [sym__identifier] = ACTIONS(2297),
    [anon_sym_LBRACE] = ACTIONS(2297),
    [anon_sym_RBRACE] = ACTIONS(2297),
    [anon_sym_SEMI] = ACTIONS(2297),
    [anon_sym_package] = ACTIONS(2297),
    [anon_sym_class] = ACTIONS(2297),
    [anon_sym_role] = ACTIONS(2297),
    [anon_sym_BUILD] = ACTIONS(2297),
    [anon_sym_ADJUST] = ACTIONS(2297),
    [anon_sym_DOLLAR] = ACTIONS(2297),
    [anon_sym_AT] = ACTIONS(2297),
    [anon_sym_my] = ACTIONS(2297),
    [anon_sym_extended] = ACTIONS(2297),
    [anon_sym_async] = ACTIONS(2297),
    [anon_sym_sub] = ACTIONS(2297),
    [anon_sym_method] = ACTIONS(2297),
    [anon_sym_LPAREN] = ACTIONS(2297),
    [anon_sym_continue] = ACTIONS(2382),
    [anon_sym_state] = ACTIONS(2297),
    [anon_sym_our] = ACTIONS(2297),
    [anon_sym_try] = ACTIONS(2297),
    [anon_sym_defer] = ACTIONS(2297),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2297),
    [anon_sym_LBRACK] = ACTIONS(2297),
    [anon_sym_LT_LT] = ACTIONS(2297),
    [anon_sym_SLASH_SLASH] = ACTIONS(2297),
    [anon_sym_PLUS] = ACTIONS(2297),
    [anon_sym_DASH] = ACTIONS(2297),
    [anon_sym_TILDE] = ACTIONS(2297),
    [anon_sym_BANG] = ACTIONS(2297),
    [anon_sym_PLUS_PLUS] = ACTIONS(2297),
    [anon_sym_DASH_DASH] = ACTIONS(2297),
    [anon_sym_BSLASH] = ACTIONS(2295),
    [anon_sym_do] = ACTIONS(2297),
    [anon_sym_eval] = ACTIONS(2297),
    [anon_sym_await] = ACTIONS(2297),
    [anon_sym_field] = ACTIONS(2297),
    [anon_sym_local] = ACTIONS(2297),
    [anon_sym_dynamically] = ACTIONS(2297),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2297),
    [anon_sym_require] = ACTIONS(2297),
    [anon_sym_map] = ACTIONS(2297),
    [anon_sym_grep] = ACTIONS(2297),
    [anon_sym_sort] = ACTIONS(2297),
    [anon_sym_goto] = ACTIONS(2297),
    [anon_sym_return] = ACTIONS(2297),
    [anon_sym_undef] = ACTIONS(2297),
    [anon_sym_PERCENT2] = ACTIONS(2297),
    [anon_sym_AMP2] = ACTIONS(2297),
    [anon_sym_STAR2] = ACTIONS(2297),
    [anon_sym_use] = ACTIONS(2297),
    [anon_sym_no] = ACTIONS(2297),
    [anon_sym_for] = ACTIONS(2297),
    [anon_sym_foreach] = ACTIONS(2297),
    [anon_sym_last] = ACTIONS(2297),
    [anon_sym_next] = ACTIONS(2297),
    [anon_sym_redo] = ACTIONS(2297),
    [anon_sym_BEGIN] = ACTIONS(2297),
    [anon_sym_INIT] = ACTIONS(2297),
    [anon_sym_CHECK] = ACTIONS(2297),
    [anon_sym_UNITCHECK] = ACTIONS(2297),
    [anon_sym_END] = ACTIONS(2297),
    [anon_sym___FILE__] = ACTIONS(2297),
    [anon_sym___LINE__] = ACTIONS(2297),
    [anon_sym___PACKAGE__] = ACTIONS(2297),
    [anon_sym___SUB__] = ACTIONS(2297),
    [anon_sym_break] = ACTIONS(2297),
    [anon_sym_fork] = ACTIONS(2297),
    [anon_sym_getppid] = ACTIONS(2297),
    [anon_sym_time] = ACTIONS(2297),
    [anon_sym_times] = ACTIONS(2297),
    [anon_sym_wait] = ACTIONS(2297),
    [anon_sym_wantarray] = ACTIONS(2297),
    [anon_sym_abs] = ACTIONS(2297),
    [anon_sym_alarm] = ACTIONS(2297),
    [anon_sym_chop] = ACTIONS(2297),
    [anon_sym_chdir] = ACTIONS(2297),
    [anon_sym_close] = ACTIONS(2297),
    [anon_sym_closedir] = ACTIONS(2297),
    [anon_sym_caller] = ACTIONS(2297),
    [anon_sym_chomp] = ACTIONS(2297),
    [anon_sym_chr] = ACTIONS(2297),
    [anon_sym_cos] = ACTIONS(2297),
    [anon_sym_chroot] = ACTIONS(2297),
    [anon_sym_defined] = ACTIONS(2297),
    [anon_sym_delete] = ACTIONS(2297),
    [anon_sym_dbmclose] = ACTIONS(2297),
    [anon_sym_exists] = ACTIONS(2297),
    [anon_sym_exit] = ACTIONS(2297),
    [anon_sym_eof] = ACTIONS(2297),
    [anon_sym_exp] = ACTIONS(2297),
    [anon_sym_each] = ACTIONS(2297),
    [anon_sym_fc] = ACTIONS(2297),
    [anon_sym_fileno] = ACTIONS(2297),
    [anon_sym_gmtime] = ACTIONS(2297),
    [anon_sym_getc] = ACTIONS(2297),
    [anon_sym_getpgrp] = ACTIONS(2297),
    [anon_sym_getprotobyname] = ACTIONS(2297),
    [anon_sym_getpwname] = ACTIONS(2297),
    [anon_sym_getpwuid] = ACTIONS(2297),
    [anon_sym_getpeername] = ACTIONS(2297),
    [anon_sym_getnetbyname] = ACTIONS(2297),
    [anon_sym_getsockname] = ACTIONS(2297),
    [anon_sym_getgrnam] = ACTIONS(2297),
    [anon_sym_getgrgid] = ACTIONS(2297),
    [anon_sym_hex] = ACTIONS(2297),
    [anon_sym_int] = ACTIONS(2297),
    [anon_sym_keys] = ACTIONS(2297),
    [anon_sym_lc] = ACTIONS(2297),
    [anon_sym_lcfirst] = ACTIONS(2297),
    [anon_sym_length] = ACTIONS(2297),
    [anon_sym_localtime] = ACTIONS(2297),
    [anon_sym_log] = ACTIONS(2297),
    [anon_sym_lock] = ACTIONS(2297),
    [anon_sym_lstat] = ACTIONS(2297),
    [anon_sym_oct] = ACTIONS(2297),
    [anon_sym_ord] = ACTIONS(2297),
    [anon_sym_prototype] = ACTIONS(2297),
    [anon_sym_pop] = ACTIONS(2297),
    [anon_sym_pos] = ACTIONS(2297),
    [anon_sym_quotemeta] = ACTIONS(2297),
    [anon_sym_reset] = ACTIONS(2297),
    [anon_sym_rand] = ACTIONS(2297),
    [anon_sym_rmdir] = ACTIONS(2297),
    [anon_sym_readdir] = ACTIONS(2297),
    [anon_sym_readline] = ACTIONS(2297),
    [anon_sym_readpipe] = ACTIONS(2297),
    [anon_sym_rewinddir] = ACTIONS(2297),
    [anon_sym_readlink] = ACTIONS(2297),
    [anon_sym_ref] = ACTIONS(2297),
    [anon_sym_scalar] = ACTIONS(2297),
    [anon_sym_shift] = ACTIONS(2297),
    [anon_sym_sin] = ACTIONS(2297),
    [anon_sym_sleep] = ACTIONS(2297),
    [anon_sym_sqrt] = ACTIONS(2297),
    [anon_sym_srand] = ACTIONS(2297),
    [anon_sym_stat] = ACTIONS(2297),
    [anon_sym_study] = ACTIONS(2297),
    [anon_sym_tell] = ACTIONS(2297),
    [anon_sym_telldir] = ACTIONS(2297),
    [anon_sym_tied] = ACTIONS(2297),
    [anon_sym_uc] = ACTIONS(2297),
    [anon_sym_ucfirst] = ACTIONS(2297),
    [anon_sym_untie] = ACTIONS(2297),
    [anon_sym_umask] = ACTIONS(2297),
    [anon_sym_values] = ACTIONS(2297),
    [anon_sym_write] = ACTIONS(2297),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2297),
    [anon_sym_qq] = ACTIONS(2297),
    [anon_sym_qw] = ACTIONS(2297),
    [anon_sym_qx] = ACTIONS(2297),
    [anon_sym_qr] = ACTIONS(2297),
    [anon_sym_m] = ACTIONS(2297),
    [anon_sym_s] = ACTIONS(2297),
    [anon_sym_tr] = ACTIONS(2297),
    [anon_sym_y] = ACTIONS(2297),
    [anon_sym_if] = ACTIONS(2297),
    [anon_sym_unless] = ACTIONS(2297),
    [anon_sym_while] = ACTIONS(2297),
    [anon_sym_until] = ACTIONS(2297),
    [aux_sym__bareword_token1] = ACTIONS(2297),
    [sym_number] = ACTIONS(2297),
    [anon_sym_true] = ACTIONS(2297),
    [anon_sym_false] = ACTIONS(2297),
    [sym__single_quote] = ACTIONS(2295),
    [sym__double_quote] = ACTIONS(2295),
    [sym__backtick_quote] = ACTIONS(2295),
    [sym__search_slash_quote] = ACTIONS(2295),
    [sym__open_readline_bracket] = ACTIONS(2295),
    [sym__open_fileglob_bracket] = ACTIONS(2295),
    [sym__PERLY_HEREDOC] = ACTIONS(2295),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2295),
    [sym__filetest] = ACTIONS(2295),
  },
  [1062] = {
    [sym_heredoc_content] = STATE(1062),
    [sym__identifier] = ACTIONS(2304),
    [anon_sym_LBRACE] = ACTIONS(2304),
    [anon_sym_RBRACE] = ACTIONS(2304),
    [anon_sym_SEMI] = ACTIONS(2304),
    [anon_sym_package] = ACTIONS(2304),
    [anon_sym_class] = ACTIONS(2304),
    [anon_sym_role] = ACTIONS(2304),
    [anon_sym_BUILD] = ACTIONS(2304),
    [anon_sym_ADJUST] = ACTIONS(2304),
    [anon_sym_DOLLAR] = ACTIONS(2304),
    [anon_sym_AT] = ACTIONS(2304),
    [anon_sym_my] = ACTIONS(2304),
    [anon_sym_extended] = ACTIONS(2304),
    [anon_sym_async] = ACTIONS(2304),
    [anon_sym_sub] = ACTIONS(2304),
    [anon_sym_method] = ACTIONS(2304),
    [anon_sym_LPAREN] = ACTIONS(2304),
    [anon_sym_continue] = ACTIONS(2304),
    [anon_sym_state] = ACTIONS(2304),
    [anon_sym_our] = ACTIONS(2304),
    [anon_sym_try] = ACTIONS(2304),
    [anon_sym_defer] = ACTIONS(2304),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2304),
    [anon_sym_LBRACK] = ACTIONS(2304),
    [anon_sym_LT_LT] = ACTIONS(2304),
    [anon_sym_SLASH_SLASH] = ACTIONS(2304),
    [anon_sym_PLUS] = ACTIONS(2304),
    [anon_sym_DASH] = ACTIONS(2304),
    [anon_sym_TILDE] = ACTIONS(2304),
    [anon_sym_BANG] = ACTIONS(2304),
    [anon_sym_PLUS_PLUS] = ACTIONS(2304),
    [anon_sym_DASH_DASH] = ACTIONS(2304),
    [anon_sym_BSLASH] = ACTIONS(2302),
    [anon_sym_do] = ACTIONS(2304),
    [anon_sym_eval] = ACTIONS(2304),
    [anon_sym_await] = ACTIONS(2304),
    [anon_sym_field] = ACTIONS(2304),
    [anon_sym_local] = ACTIONS(2304),
    [anon_sym_dynamically] = ACTIONS(2304),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2304),
    [anon_sym_require] = ACTIONS(2304),
    [anon_sym_map] = ACTIONS(2304),
    [anon_sym_grep] = ACTIONS(2304),
    [anon_sym_sort] = ACTIONS(2304),
    [anon_sym_goto] = ACTIONS(2304),
    [anon_sym_return] = ACTIONS(2304),
    [anon_sym_undef] = ACTIONS(2304),
    [anon_sym_PERCENT2] = ACTIONS(2304),
    [anon_sym_AMP2] = ACTIONS(2304),
    [anon_sym_STAR2] = ACTIONS(2304),
    [anon_sym_use] = ACTIONS(2304),
    [anon_sym_no] = ACTIONS(2304),
    [anon_sym_for] = ACTIONS(2304),
    [anon_sym_foreach] = ACTIONS(2304),
    [anon_sym_last] = ACTIONS(2304),
    [anon_sym_next] = ACTIONS(2304),
    [anon_sym_redo] = ACTIONS(2304),
    [anon_sym_BEGIN] = ACTIONS(2304),
    [anon_sym_INIT] = ACTIONS(2304),
    [anon_sym_CHECK] = ACTIONS(2304),
    [anon_sym_UNITCHECK] = ACTIONS(2304),
    [anon_sym_END] = ACTIONS(2304),
    [anon_sym___FILE__] = ACTIONS(2304),
    [anon_sym___LINE__] = ACTIONS(2304),
    [anon_sym___PACKAGE__] = ACTIONS(2304),
    [anon_sym___SUB__] = ACTIONS(2304),
    [anon_sym_break] = ACTIONS(2304),
    [anon_sym_fork] = ACTIONS(2304),
    [anon_sym_getppid] = ACTIONS(2304),
    [anon_sym_time] = ACTIONS(2304),
    [anon_sym_times] = ACTIONS(2304),
    [anon_sym_wait] = ACTIONS(2304),
    [anon_sym_wantarray] = ACTIONS(2304),
    [anon_sym_abs] = ACTIONS(2304),
    [anon_sym_alarm] = ACTIONS(2304),
    [anon_sym_chop] = ACTIONS(2304),
    [anon_sym_chdir] = ACTIONS(2304),
    [anon_sym_close] = ACTIONS(2304),
    [anon_sym_closedir] = ACTIONS(2304),
    [anon_sym_caller] = ACTIONS(2304),
    [anon_sym_chomp] = ACTIONS(2304),
    [anon_sym_chr] = ACTIONS(2304),
    [anon_sym_cos] = ACTIONS(2304),
    [anon_sym_chroot] = ACTIONS(2304),
    [anon_sym_defined] = ACTIONS(2304),
    [anon_sym_delete] = ACTIONS(2304),
    [anon_sym_dbmclose] = ACTIONS(2304),
    [anon_sym_exists] = ACTIONS(2304),
    [anon_sym_exit] = ACTIONS(2304),
    [anon_sym_eof] = ACTIONS(2304),
    [anon_sym_exp] = ACTIONS(2304),
    [anon_sym_each] = ACTIONS(2304),
    [anon_sym_fc] = ACTIONS(2304),
    [anon_sym_fileno] = ACTIONS(2304),
    [anon_sym_gmtime] = ACTIONS(2304),
    [anon_sym_getc] = ACTIONS(2304),
    [anon_sym_getpgrp] = ACTIONS(2304),
    [anon_sym_getprotobyname] = ACTIONS(2304),
    [anon_sym_getpwname] = ACTIONS(2304),
    [anon_sym_getpwuid] = ACTIONS(2304),
    [anon_sym_getpeername] = ACTIONS(2304),
    [anon_sym_getnetbyname] = ACTIONS(2304),
    [anon_sym_getsockname] = ACTIONS(2304),
    [anon_sym_getgrnam] = ACTIONS(2304),
    [anon_sym_getgrgid] = ACTIONS(2304),
    [anon_sym_hex] = ACTIONS(2304),
    [anon_sym_int] = ACTIONS(2304),
    [anon_sym_keys] = ACTIONS(2304),
    [anon_sym_lc] = ACTIONS(2304),
    [anon_sym_lcfirst] = ACTIONS(2304),
    [anon_sym_length] = ACTIONS(2304),
    [anon_sym_localtime] = ACTIONS(2304),
    [anon_sym_log] = ACTIONS(2304),
    [anon_sym_lock] = ACTIONS(2304),
    [anon_sym_lstat] = ACTIONS(2304),
    [anon_sym_oct] = ACTIONS(2304),
    [anon_sym_ord] = ACTIONS(2304),
    [anon_sym_prototype] = ACTIONS(2304),
    [anon_sym_pop] = ACTIONS(2304),
    [anon_sym_pos] = ACTIONS(2304),
    [anon_sym_quotemeta] = ACTIONS(2304),
    [anon_sym_reset] = ACTIONS(2304),
    [anon_sym_rand] = ACTIONS(2304),
    [anon_sym_rmdir] = ACTIONS(2304),
    [anon_sym_readdir] = ACTIONS(2304),
    [anon_sym_readline] = ACTIONS(2304),
    [anon_sym_readpipe] = ACTIONS(2304),
    [anon_sym_rewinddir] = ACTIONS(2304),
    [anon_sym_readlink] = ACTIONS(2304),
    [anon_sym_ref] = ACTIONS(2304),
    [anon_sym_scalar] = ACTIONS(2304),
    [anon_sym_shift] = ACTIONS(2304),
    [anon_sym_sin] = ACTIONS(2304),
    [anon_sym_sleep] = ACTIONS(2304),
    [anon_sym_sqrt] = ACTIONS(2304),
    [anon_sym_srand] = ACTIONS(2304),
    [anon_sym_stat] = ACTIONS(2304),
    [anon_sym_study] = ACTIONS(2304),
    [anon_sym_tell] = ACTIONS(2304),
    [anon_sym_telldir] = ACTIONS(2304),
    [anon_sym_tied] = ACTIONS(2304),
    [anon_sym_uc] = ACTIONS(2304),
    [anon_sym_ucfirst] = ACTIONS(2304),
    [anon_sym_untie] = ACTIONS(2304),
    [anon_sym_umask] = ACTIONS(2304),
    [anon_sym_values] = ACTIONS(2304),
    [anon_sym_write] = ACTIONS(2304),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2304),
    [anon_sym_qq] = ACTIONS(2304),
    [anon_sym_qw] = ACTIONS(2304),
    [anon_sym_qx] = ACTIONS(2304),
    [anon_sym_qr] = ACTIONS(2304),
    [anon_sym_m] = ACTIONS(2304),
    [anon_sym_s] = ACTIONS(2304),
    [anon_sym_tr] = ACTIONS(2304),
    [anon_sym_y] = ACTIONS(2304),
    [anon_sym_if] = ACTIONS(2304),
    [anon_sym_unless] = ACTIONS(2304),
    [anon_sym_while] = ACTIONS(2304),
    [anon_sym_until] = ACTIONS(2304),
    [aux_sym__bareword_token1] = ACTIONS(2304),
    [sym_number] = ACTIONS(2304),
    [anon_sym_true] = ACTIONS(2304),
    [anon_sym_false] = ACTIONS(2304),
    [sym__single_quote] = ACTIONS(2302),
    [sym__double_quote] = ACTIONS(2302),
    [sym__backtick_quote] = ACTIONS(2302),
    [sym__search_slash_quote] = ACTIONS(2302),
    [sym__open_readline_bracket] = ACTIONS(2302),
    [sym__open_fileglob_bracket] = ACTIONS(2302),
    [sym__PERLY_HEREDOC] = ACTIONS(2302),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2302),
    [sym__filetest] = ACTIONS(2302),
  },
  [1063] = {
    [sym_heredoc_content] = STATE(1063),
    [sym__identifier] = ACTIONS(2237),
    [anon_sym_LBRACE] = ACTIONS(2237),
    [anon_sym_RBRACE] = ACTIONS(2237),
    [anon_sym_SEMI] = ACTIONS(2237),
    [anon_sym_package] = ACTIONS(2237),
    [anon_sym_class] = ACTIONS(2237),
    [anon_sym_role] = ACTIONS(2237),
    [anon_sym_BUILD] = ACTIONS(2237),
    [anon_sym_ADJUST] = ACTIONS(2237),
    [anon_sym_DOLLAR] = ACTIONS(2237),
    [anon_sym_AT] = ACTIONS(2237),
    [anon_sym_my] = ACTIONS(2237),
    [anon_sym_extended] = ACTIONS(2237),
    [anon_sym_async] = ACTIONS(2237),
    [anon_sym_sub] = ACTIONS(2237),
    [anon_sym_method] = ACTIONS(2237),
    [anon_sym_LPAREN] = ACTIONS(2237),
    [anon_sym_continue] = ACTIONS(2237),
    [anon_sym_state] = ACTIONS(2237),
    [anon_sym_our] = ACTIONS(2237),
    [anon_sym_try] = ACTIONS(2237),
    [anon_sym_defer] = ACTIONS(2237),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2237),
    [anon_sym_LBRACK] = ACTIONS(2237),
    [anon_sym_LT_LT] = ACTIONS(2237),
    [anon_sym_SLASH_SLASH] = ACTIONS(2237),
    [anon_sym_PLUS] = ACTIONS(2237),
    [anon_sym_DASH] = ACTIONS(2237),
    [anon_sym_TILDE] = ACTIONS(2237),
    [anon_sym_BANG] = ACTIONS(2237),
    [anon_sym_PLUS_PLUS] = ACTIONS(2237),
    [anon_sym_DASH_DASH] = ACTIONS(2237),
    [anon_sym_BSLASH] = ACTIONS(2235),
    [anon_sym_do] = ACTIONS(2237),
    [anon_sym_eval] = ACTIONS(2237),
    [anon_sym_await] = ACTIONS(2237),
    [anon_sym_field] = ACTIONS(2237),
    [anon_sym_local] = ACTIONS(2237),
    [anon_sym_dynamically] = ACTIONS(2237),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2237),
    [anon_sym_require] = ACTIONS(2237),
    [anon_sym_map] = ACTIONS(2237),
    [anon_sym_grep] = ACTIONS(2237),
    [anon_sym_sort] = ACTIONS(2237),
    [anon_sym_goto] = ACTIONS(2237),
    [anon_sym_return] = ACTIONS(2237),
    [anon_sym_undef] = ACTIONS(2237),
    [anon_sym_PERCENT2] = ACTIONS(2237),
    [anon_sym_AMP2] = ACTIONS(2237),
    [anon_sym_STAR2] = ACTIONS(2237),
    [anon_sym_use] = ACTIONS(2237),
    [anon_sym_no] = ACTIONS(2237),
    [anon_sym_for] = ACTIONS(2237),
    [anon_sym_foreach] = ACTIONS(2237),
    [anon_sym_last] = ACTIONS(2237),
    [anon_sym_next] = ACTIONS(2237),
    [anon_sym_redo] = ACTIONS(2237),
    [anon_sym_BEGIN] = ACTIONS(2237),
    [anon_sym_INIT] = ACTIONS(2237),
    [anon_sym_CHECK] = ACTIONS(2237),
    [anon_sym_UNITCHECK] = ACTIONS(2237),
    [anon_sym_END] = ACTIONS(2237),
    [anon_sym___FILE__] = ACTIONS(2237),
    [anon_sym___LINE__] = ACTIONS(2237),
    [anon_sym___PACKAGE__] = ACTIONS(2237),
    [anon_sym___SUB__] = ACTIONS(2237),
    [anon_sym_break] = ACTIONS(2237),
    [anon_sym_fork] = ACTIONS(2237),
    [anon_sym_getppid] = ACTIONS(2237),
    [anon_sym_time] = ACTIONS(2237),
    [anon_sym_times] = ACTIONS(2237),
    [anon_sym_wait] = ACTIONS(2237),
    [anon_sym_wantarray] = ACTIONS(2237),
    [anon_sym_abs] = ACTIONS(2237),
    [anon_sym_alarm] = ACTIONS(2237),
    [anon_sym_chop] = ACTIONS(2237),
    [anon_sym_chdir] = ACTIONS(2237),
    [anon_sym_close] = ACTIONS(2237),
    [anon_sym_closedir] = ACTIONS(2237),
    [anon_sym_caller] = ACTIONS(2237),
    [anon_sym_chomp] = ACTIONS(2237),
    [anon_sym_chr] = ACTIONS(2237),
    [anon_sym_cos] = ACTIONS(2237),
    [anon_sym_chroot] = ACTIONS(2237),
    [anon_sym_defined] = ACTIONS(2237),
    [anon_sym_delete] = ACTIONS(2237),
    [anon_sym_dbmclose] = ACTIONS(2237),
    [anon_sym_exists] = ACTIONS(2237),
    [anon_sym_exit] = ACTIONS(2237),
    [anon_sym_eof] = ACTIONS(2237),
    [anon_sym_exp] = ACTIONS(2237),
    [anon_sym_each] = ACTIONS(2237),
    [anon_sym_fc] = ACTIONS(2237),
    [anon_sym_fileno] = ACTIONS(2237),
    [anon_sym_gmtime] = ACTIONS(2237),
    [anon_sym_getc] = ACTIONS(2237),
    [anon_sym_getpgrp] = ACTIONS(2237),
    [anon_sym_getprotobyname] = ACTIONS(2237),
    [anon_sym_getpwname] = ACTIONS(2237),
    [anon_sym_getpwuid] = ACTIONS(2237),
    [anon_sym_getpeername] = ACTIONS(2237),
    [anon_sym_getnetbyname] = ACTIONS(2237),
    [anon_sym_getsockname] = ACTIONS(2237),
    [anon_sym_getgrnam] = ACTIONS(2237),
    [anon_sym_getgrgid] = ACTIONS(2237),
    [anon_sym_hex] = ACTIONS(2237),
    [anon_sym_int] = ACTIONS(2237),
    [anon_sym_keys] = ACTIONS(2237),
    [anon_sym_lc] = ACTIONS(2237),
    [anon_sym_lcfirst] = ACTIONS(2237),
    [anon_sym_length] = ACTIONS(2237),
    [anon_sym_localtime] = ACTIONS(2237),
    [anon_sym_log] = ACTIONS(2237),
    [anon_sym_lock] = ACTIONS(2237),
    [anon_sym_lstat] = ACTIONS(2237),
    [anon_sym_oct] = ACTIONS(2237),
    [anon_sym_ord] = ACTIONS(2237),
    [anon_sym_prototype] = ACTIONS(2237),
    [anon_sym_pop] = ACTIONS(2237),
    [anon_sym_pos] = ACTIONS(2237),
    [anon_sym_quotemeta] = ACTIONS(2237),
    [anon_sym_reset] = ACTIONS(2237),
    [anon_sym_rand] = ACTIONS(2237),
    [anon_sym_rmdir] = ACTIONS(2237),
    [anon_sym_readdir] = ACTIONS(2237),
    [anon_sym_readline] = ACTIONS(2237),
    [anon_sym_readpipe] = ACTIONS(2237),
    [anon_sym_rewinddir] = ACTIONS(2237),
    [anon_sym_readlink] = ACTIONS(2237),
    [anon_sym_ref] = ACTIONS(2237),
    [anon_sym_scalar] = ACTIONS(2237),
    [anon_sym_shift] = ACTIONS(2237),
    [anon_sym_sin] = ACTIONS(2237),
    [anon_sym_sleep] = ACTIONS(2237),
    [anon_sym_sqrt] = ACTIONS(2237),
    [anon_sym_srand] = ACTIONS(2237),
    [anon_sym_stat] = ACTIONS(2237),
    [anon_sym_study] = ACTIONS(2237),
    [anon_sym_tell] = ACTIONS(2237),
    [anon_sym_telldir] = ACTIONS(2237),
    [anon_sym_tied] = ACTIONS(2237),
    [anon_sym_uc] = ACTIONS(2237),
    [anon_sym_ucfirst] = ACTIONS(2237),
    [anon_sym_untie] = ACTIONS(2237),
    [anon_sym_umask] = ACTIONS(2237),
    [anon_sym_values] = ACTIONS(2237),
    [anon_sym_write] = ACTIONS(2237),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2237),
    [anon_sym_qq] = ACTIONS(2237),
    [anon_sym_qw] = ACTIONS(2237),
    [anon_sym_qx] = ACTIONS(2237),
    [anon_sym_qr] = ACTIONS(2237),
    [anon_sym_m] = ACTIONS(2237),
    [anon_sym_s] = ACTIONS(2237),
    [anon_sym_tr] = ACTIONS(2237),
    [anon_sym_y] = ACTIONS(2237),
    [anon_sym_if] = ACTIONS(2237),
    [anon_sym_unless] = ACTIONS(2237),
    [anon_sym_while] = ACTIONS(2237),
    [anon_sym_until] = ACTIONS(2237),
    [aux_sym__bareword_token1] = ACTIONS(2237),
    [sym_number] = ACTIONS(2237),
    [anon_sym_true] = ACTIONS(2237),
    [anon_sym_false] = ACTIONS(2237),
    [sym__single_quote] = ACTIONS(2235),
    [sym__double_quote] = ACTIONS(2235),
    [sym__backtick_quote] = ACTIONS(2235),
    [sym__search_slash_quote] = ACTIONS(2235),
    [sym__open_readline_bracket] = ACTIONS(2235),
    [sym__open_fileglob_bracket] = ACTIONS(2235),
    [sym__PERLY_HEREDOC] = ACTIONS(2235),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2235),
    [sym__filetest] = ACTIONS(2235),
  },
  [1064] = {
    [sym_heredoc_content] = STATE(1064),
    [sym__identifier] = ACTIONS(2308),
    [anon_sym_LBRACE] = ACTIONS(2308),
    [anon_sym_RBRACE] = ACTIONS(2308),
    [anon_sym_SEMI] = ACTIONS(2308),
    [anon_sym_package] = ACTIONS(2308),
    [anon_sym_class] = ACTIONS(2308),
    [anon_sym_role] = ACTIONS(2308),
    [anon_sym_BUILD] = ACTIONS(2308),
    [anon_sym_ADJUST] = ACTIONS(2308),
    [anon_sym_DOLLAR] = ACTIONS(2308),
    [anon_sym_AT] = ACTIONS(2308),
    [anon_sym_my] = ACTIONS(2308),
    [anon_sym_extended] = ACTIONS(2308),
    [anon_sym_async] = ACTIONS(2308),
    [anon_sym_sub] = ACTIONS(2308),
    [anon_sym_method] = ACTIONS(2308),
    [anon_sym_LPAREN] = ACTIONS(2308),
    [anon_sym_continue] = ACTIONS(2308),
    [anon_sym_state] = ACTIONS(2308),
    [anon_sym_our] = ACTIONS(2308),
    [anon_sym_try] = ACTIONS(2308),
    [anon_sym_defer] = ACTIONS(2308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2308),
    [anon_sym_LT_LT] = ACTIONS(2308),
    [anon_sym_SLASH_SLASH] = ACTIONS(2308),
    [anon_sym_PLUS] = ACTIONS(2308),
    [anon_sym_DASH] = ACTIONS(2308),
    [anon_sym_TILDE] = ACTIONS(2308),
    [anon_sym_BANG] = ACTIONS(2308),
    [anon_sym_PLUS_PLUS] = ACTIONS(2308),
    [anon_sym_DASH_DASH] = ACTIONS(2308),
    [anon_sym_BSLASH] = ACTIONS(2306),
    [anon_sym_do] = ACTIONS(2308),
    [anon_sym_eval] = ACTIONS(2308),
    [anon_sym_await] = ACTIONS(2308),
    [anon_sym_field] = ACTIONS(2308),
    [anon_sym_local] = ACTIONS(2308),
    [anon_sym_dynamically] = ACTIONS(2308),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2308),
    [anon_sym_require] = ACTIONS(2308),
    [anon_sym_map] = ACTIONS(2308),
    [anon_sym_grep] = ACTIONS(2308),
    [anon_sym_sort] = ACTIONS(2308),
    [anon_sym_goto] = ACTIONS(2308),
    [anon_sym_return] = ACTIONS(2308),
    [anon_sym_undef] = ACTIONS(2308),
    [anon_sym_PERCENT2] = ACTIONS(2308),
    [anon_sym_AMP2] = ACTIONS(2308),
    [anon_sym_STAR2] = ACTIONS(2308),
    [anon_sym_use] = ACTIONS(2308),
    [anon_sym_no] = ACTIONS(2308),
    [anon_sym_for] = ACTIONS(2308),
    [anon_sym_foreach] = ACTIONS(2308),
    [anon_sym_last] = ACTIONS(2308),
    [anon_sym_next] = ACTIONS(2308),
    [anon_sym_redo] = ACTIONS(2308),
    [anon_sym_BEGIN] = ACTIONS(2308),
    [anon_sym_INIT] = ACTIONS(2308),
    [anon_sym_CHECK] = ACTIONS(2308),
    [anon_sym_UNITCHECK] = ACTIONS(2308),
    [anon_sym_END] = ACTIONS(2308),
    [anon_sym___FILE__] = ACTIONS(2308),
    [anon_sym___LINE__] = ACTIONS(2308),
    [anon_sym___PACKAGE__] = ACTIONS(2308),
    [anon_sym___SUB__] = ACTIONS(2308),
    [anon_sym_break] = ACTIONS(2308),
    [anon_sym_fork] = ACTIONS(2308),
    [anon_sym_getppid] = ACTIONS(2308),
    [anon_sym_time] = ACTIONS(2308),
    [anon_sym_times] = ACTIONS(2308),
    [anon_sym_wait] = ACTIONS(2308),
    [anon_sym_wantarray] = ACTIONS(2308),
    [anon_sym_abs] = ACTIONS(2308),
    [anon_sym_alarm] = ACTIONS(2308),
    [anon_sym_chop] = ACTIONS(2308),
    [anon_sym_chdir] = ACTIONS(2308),
    [anon_sym_close] = ACTIONS(2308),
    [anon_sym_closedir] = ACTIONS(2308),
    [anon_sym_caller] = ACTIONS(2308),
    [anon_sym_chomp] = ACTIONS(2308),
    [anon_sym_chr] = ACTIONS(2308),
    [anon_sym_cos] = ACTIONS(2308),
    [anon_sym_chroot] = ACTIONS(2308),
    [anon_sym_defined] = ACTIONS(2308),
    [anon_sym_delete] = ACTIONS(2308),
    [anon_sym_dbmclose] = ACTIONS(2308),
    [anon_sym_exists] = ACTIONS(2308),
    [anon_sym_exit] = ACTIONS(2308),
    [anon_sym_eof] = ACTIONS(2308),
    [anon_sym_exp] = ACTIONS(2308),
    [anon_sym_each] = ACTIONS(2308),
    [anon_sym_fc] = ACTIONS(2308),
    [anon_sym_fileno] = ACTIONS(2308),
    [anon_sym_gmtime] = ACTIONS(2308),
    [anon_sym_getc] = ACTIONS(2308),
    [anon_sym_getpgrp] = ACTIONS(2308),
    [anon_sym_getprotobyname] = ACTIONS(2308),
    [anon_sym_getpwname] = ACTIONS(2308),
    [anon_sym_getpwuid] = ACTIONS(2308),
    [anon_sym_getpeername] = ACTIONS(2308),
    [anon_sym_getnetbyname] = ACTIONS(2308),
    [anon_sym_getsockname] = ACTIONS(2308),
    [anon_sym_getgrnam] = ACTIONS(2308),
    [anon_sym_getgrgid] = ACTIONS(2308),
    [anon_sym_hex] = ACTIONS(2308),
    [anon_sym_int] = ACTIONS(2308),
    [anon_sym_keys] = ACTIONS(2308),
    [anon_sym_lc] = ACTIONS(2308),
    [anon_sym_lcfirst] = ACTIONS(2308),
    [anon_sym_length] = ACTIONS(2308),
    [anon_sym_localtime] = ACTIONS(2308),
    [anon_sym_log] = ACTIONS(2308),
    [anon_sym_lock] = ACTIONS(2308),
    [anon_sym_lstat] = ACTIONS(2308),
    [anon_sym_oct] = ACTIONS(2308),
    [anon_sym_ord] = ACTIONS(2308),
    [anon_sym_prototype] = ACTIONS(2308),
    [anon_sym_pop] = ACTIONS(2308),
    [anon_sym_pos] = ACTIONS(2308),
    [anon_sym_quotemeta] = ACTIONS(2308),
    [anon_sym_reset] = ACTIONS(2308),
    [anon_sym_rand] = ACTIONS(2308),
    [anon_sym_rmdir] = ACTIONS(2308),
    [anon_sym_readdir] = ACTIONS(2308),
    [anon_sym_readline] = ACTIONS(2308),
    [anon_sym_readpipe] = ACTIONS(2308),
    [anon_sym_rewinddir] = ACTIONS(2308),
    [anon_sym_readlink] = ACTIONS(2308),
    [anon_sym_ref] = ACTIONS(2308),
    [anon_sym_scalar] = ACTIONS(2308),
    [anon_sym_shift] = ACTIONS(2308),
    [anon_sym_sin] = ACTIONS(2308),
    [anon_sym_sleep] = ACTIONS(2308),
    [anon_sym_sqrt] = ACTIONS(2308),
    [anon_sym_srand] = ACTIONS(2308),
    [anon_sym_stat] = ACTIONS(2308),
    [anon_sym_study] = ACTIONS(2308),
    [anon_sym_tell] = ACTIONS(2308),
    [anon_sym_telldir] = ACTIONS(2308),
    [anon_sym_tied] = ACTIONS(2308),
    [anon_sym_uc] = ACTIONS(2308),
    [anon_sym_ucfirst] = ACTIONS(2308),
    [anon_sym_untie] = ACTIONS(2308),
    [anon_sym_umask] = ACTIONS(2308),
    [anon_sym_values] = ACTIONS(2308),
    [anon_sym_write] = ACTIONS(2308),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2308),
    [anon_sym_qq] = ACTIONS(2308),
    [anon_sym_qw] = ACTIONS(2308),
    [anon_sym_qx] = ACTIONS(2308),
    [anon_sym_qr] = ACTIONS(2308),
    [anon_sym_m] = ACTIONS(2308),
    [anon_sym_s] = ACTIONS(2308),
    [anon_sym_tr] = ACTIONS(2308),
    [anon_sym_y] = ACTIONS(2308),
    [anon_sym_if] = ACTIONS(2308),
    [anon_sym_unless] = ACTIONS(2308),
    [anon_sym_while] = ACTIONS(2308),
    [anon_sym_until] = ACTIONS(2308),
    [aux_sym__bareword_token1] = ACTIONS(2308),
    [sym_number] = ACTIONS(2308),
    [anon_sym_true] = ACTIONS(2308),
    [anon_sym_false] = ACTIONS(2308),
    [sym__single_quote] = ACTIONS(2306),
    [sym__double_quote] = ACTIONS(2306),
    [sym__backtick_quote] = ACTIONS(2306),
    [sym__search_slash_quote] = ACTIONS(2306),
    [sym__open_readline_bracket] = ACTIONS(2306),
    [sym__open_fileglob_bracket] = ACTIONS(2306),
    [sym__PERLY_HEREDOC] = ACTIONS(2306),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2306),
    [sym__filetest] = ACTIONS(2306),
  },
  [1065] = {
    [sym_heredoc_content] = STATE(1065),
    [sym__identifier] = ACTIONS(2312),
    [anon_sym_LBRACE] = ACTIONS(2312),
    [anon_sym_RBRACE] = ACTIONS(2312),
    [anon_sym_SEMI] = ACTIONS(2312),
    [anon_sym_package] = ACTIONS(2312),
    [anon_sym_class] = ACTIONS(2312),
    [anon_sym_role] = ACTIONS(2312),
    [anon_sym_BUILD] = ACTIONS(2312),
    [anon_sym_ADJUST] = ACTIONS(2312),
    [anon_sym_DOLLAR] = ACTIONS(2312),
    [anon_sym_AT] = ACTIONS(2312),
    [anon_sym_my] = ACTIONS(2312),
    [anon_sym_extended] = ACTIONS(2312),
    [anon_sym_async] = ACTIONS(2312),
    [anon_sym_sub] = ACTIONS(2312),
    [anon_sym_method] = ACTIONS(2312),
    [anon_sym_LPAREN] = ACTIONS(2312),
    [anon_sym_continue] = ACTIONS(2312),
    [anon_sym_state] = ACTIONS(2312),
    [anon_sym_our] = ACTIONS(2312),
    [anon_sym_try] = ACTIONS(2312),
    [anon_sym_defer] = ACTIONS(2312),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2312),
    [anon_sym_LBRACK] = ACTIONS(2312),
    [anon_sym_LT_LT] = ACTIONS(2312),
    [anon_sym_SLASH_SLASH] = ACTIONS(2312),
    [anon_sym_PLUS] = ACTIONS(2312),
    [anon_sym_DASH] = ACTIONS(2312),
    [anon_sym_TILDE] = ACTIONS(2312),
    [anon_sym_BANG] = ACTIONS(2312),
    [anon_sym_PLUS_PLUS] = ACTIONS(2312),
    [anon_sym_DASH_DASH] = ACTIONS(2312),
    [anon_sym_BSLASH] = ACTIONS(2310),
    [anon_sym_do] = ACTIONS(2312),
    [anon_sym_eval] = ACTIONS(2312),
    [anon_sym_await] = ACTIONS(2312),
    [anon_sym_field] = ACTIONS(2312),
    [anon_sym_local] = ACTIONS(2312),
    [anon_sym_dynamically] = ACTIONS(2312),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2312),
    [anon_sym_require] = ACTIONS(2312),
    [anon_sym_map] = ACTIONS(2312),
    [anon_sym_grep] = ACTIONS(2312),
    [anon_sym_sort] = ACTIONS(2312),
    [anon_sym_goto] = ACTIONS(2312),
    [anon_sym_return] = ACTIONS(2312),
    [anon_sym_undef] = ACTIONS(2312),
    [anon_sym_PERCENT2] = ACTIONS(2312),
    [anon_sym_AMP2] = ACTIONS(2312),
    [anon_sym_STAR2] = ACTIONS(2312),
    [anon_sym_use] = ACTIONS(2312),
    [anon_sym_no] = ACTIONS(2312),
    [anon_sym_for] = ACTIONS(2312),
    [anon_sym_foreach] = ACTIONS(2312),
    [anon_sym_last] = ACTIONS(2312),
    [anon_sym_next] = ACTIONS(2312),
    [anon_sym_redo] = ACTIONS(2312),
    [anon_sym_BEGIN] = ACTIONS(2312),
    [anon_sym_INIT] = ACTIONS(2312),
    [anon_sym_CHECK] = ACTIONS(2312),
    [anon_sym_UNITCHECK] = ACTIONS(2312),
    [anon_sym_END] = ACTIONS(2312),
    [anon_sym___FILE__] = ACTIONS(2312),
    [anon_sym___LINE__] = ACTIONS(2312),
    [anon_sym___PACKAGE__] = ACTIONS(2312),
    [anon_sym___SUB__] = ACTIONS(2312),
    [anon_sym_break] = ACTIONS(2312),
    [anon_sym_fork] = ACTIONS(2312),
    [anon_sym_getppid] = ACTIONS(2312),
    [anon_sym_time] = ACTIONS(2312),
    [anon_sym_times] = ACTIONS(2312),
    [anon_sym_wait] = ACTIONS(2312),
    [anon_sym_wantarray] = ACTIONS(2312),
    [anon_sym_abs] = ACTIONS(2312),
    [anon_sym_alarm] = ACTIONS(2312),
    [anon_sym_chop] = ACTIONS(2312),
    [anon_sym_chdir] = ACTIONS(2312),
    [anon_sym_close] = ACTIONS(2312),
    [anon_sym_closedir] = ACTIONS(2312),
    [anon_sym_caller] = ACTIONS(2312),
    [anon_sym_chomp] = ACTIONS(2312),
    [anon_sym_chr] = ACTIONS(2312),
    [anon_sym_cos] = ACTIONS(2312),
    [anon_sym_chroot] = ACTIONS(2312),
    [anon_sym_defined] = ACTIONS(2312),
    [anon_sym_delete] = ACTIONS(2312),
    [anon_sym_dbmclose] = ACTIONS(2312),
    [anon_sym_exists] = ACTIONS(2312),
    [anon_sym_exit] = ACTIONS(2312),
    [anon_sym_eof] = ACTIONS(2312),
    [anon_sym_exp] = ACTIONS(2312),
    [anon_sym_each] = ACTIONS(2312),
    [anon_sym_fc] = ACTIONS(2312),
    [anon_sym_fileno] = ACTIONS(2312),
    [anon_sym_gmtime] = ACTIONS(2312),
    [anon_sym_getc] = ACTIONS(2312),
    [anon_sym_getpgrp] = ACTIONS(2312),
    [anon_sym_getprotobyname] = ACTIONS(2312),
    [anon_sym_getpwname] = ACTIONS(2312),
    [anon_sym_getpwuid] = ACTIONS(2312),
    [anon_sym_getpeername] = ACTIONS(2312),
    [anon_sym_getnetbyname] = ACTIONS(2312),
    [anon_sym_getsockname] = ACTIONS(2312),
    [anon_sym_getgrnam] = ACTIONS(2312),
    [anon_sym_getgrgid] = ACTIONS(2312),
    [anon_sym_hex] = ACTIONS(2312),
    [anon_sym_int] = ACTIONS(2312),
    [anon_sym_keys] = ACTIONS(2312),
    [anon_sym_lc] = ACTIONS(2312),
    [anon_sym_lcfirst] = ACTIONS(2312),
    [anon_sym_length] = ACTIONS(2312),
    [anon_sym_localtime] = ACTIONS(2312),
    [anon_sym_log] = ACTIONS(2312),
    [anon_sym_lock] = ACTIONS(2312),
    [anon_sym_lstat] = ACTIONS(2312),
    [anon_sym_oct] = ACTIONS(2312),
    [anon_sym_ord] = ACTIONS(2312),
    [anon_sym_prototype] = ACTIONS(2312),
    [anon_sym_pop] = ACTIONS(2312),
    [anon_sym_pos] = ACTIONS(2312),
    [anon_sym_quotemeta] = ACTIONS(2312),
    [anon_sym_reset] = ACTIONS(2312),
    [anon_sym_rand] = ACTIONS(2312),
    [anon_sym_rmdir] = ACTIONS(2312),
    [anon_sym_readdir] = ACTIONS(2312),
    [anon_sym_readline] = ACTIONS(2312),
    [anon_sym_readpipe] = ACTIONS(2312),
    [anon_sym_rewinddir] = ACTIONS(2312),
    [anon_sym_readlink] = ACTIONS(2312),
    [anon_sym_ref] = ACTIONS(2312),
    [anon_sym_scalar] = ACTIONS(2312),
    [anon_sym_shift] = ACTIONS(2312),
    [anon_sym_sin] = ACTIONS(2312),
    [anon_sym_sleep] = ACTIONS(2312),
    [anon_sym_sqrt] = ACTIONS(2312),
    [anon_sym_srand] = ACTIONS(2312),
    [anon_sym_stat] = ACTIONS(2312),
    [anon_sym_study] = ACTIONS(2312),
    [anon_sym_tell] = ACTIONS(2312),
    [anon_sym_telldir] = ACTIONS(2312),
    [anon_sym_tied] = ACTIONS(2312),
    [anon_sym_uc] = ACTIONS(2312),
    [anon_sym_ucfirst] = ACTIONS(2312),
    [anon_sym_untie] = ACTIONS(2312),
    [anon_sym_umask] = ACTIONS(2312),
    [anon_sym_values] = ACTIONS(2312),
    [anon_sym_write] = ACTIONS(2312),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2312),
    [anon_sym_qq] = ACTIONS(2312),
    [anon_sym_qw] = ACTIONS(2312),
    [anon_sym_qx] = ACTIONS(2312),
    [anon_sym_qr] = ACTIONS(2312),
    [anon_sym_m] = ACTIONS(2312),
    [anon_sym_s] = ACTIONS(2312),
    [anon_sym_tr] = ACTIONS(2312),
    [anon_sym_y] = ACTIONS(2312),
    [anon_sym_if] = ACTIONS(2312),
    [anon_sym_unless] = ACTIONS(2312),
    [anon_sym_while] = ACTIONS(2312),
    [anon_sym_until] = ACTIONS(2312),
    [aux_sym__bareword_token1] = ACTIONS(2312),
    [sym_number] = ACTIONS(2312),
    [anon_sym_true] = ACTIONS(2312),
    [anon_sym_false] = ACTIONS(2312),
    [sym__single_quote] = ACTIONS(2310),
    [sym__double_quote] = ACTIONS(2310),
    [sym__backtick_quote] = ACTIONS(2310),
    [sym__search_slash_quote] = ACTIONS(2310),
    [sym__open_readline_bracket] = ACTIONS(2310),
    [sym__open_fileglob_bracket] = ACTIONS(2310),
    [sym__PERLY_HEREDOC] = ACTIONS(2310),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2310),
    [sym__filetest] = ACTIONS(2310),
  },
  [1066] = {
    [sym_heredoc_content] = STATE(1066),
    [sym__identifier] = ACTIONS(2316),
    [anon_sym_LBRACE] = ACTIONS(2316),
    [anon_sym_RBRACE] = ACTIONS(2316),
    [anon_sym_SEMI] = ACTIONS(2316),
    [anon_sym_package] = ACTIONS(2316),
    [anon_sym_class] = ACTIONS(2316),
    [anon_sym_role] = ACTIONS(2316),
    [anon_sym_BUILD] = ACTIONS(2316),
    [anon_sym_ADJUST] = ACTIONS(2316),
    [anon_sym_DOLLAR] = ACTIONS(2316),
    [anon_sym_AT] = ACTIONS(2316),
    [anon_sym_my] = ACTIONS(2316),
    [anon_sym_extended] = ACTIONS(2316),
    [anon_sym_async] = ACTIONS(2316),
    [anon_sym_sub] = ACTIONS(2316),
    [anon_sym_method] = ACTIONS(2316),
    [anon_sym_LPAREN] = ACTIONS(2316),
    [anon_sym_continue] = ACTIONS(2316),
    [anon_sym_state] = ACTIONS(2316),
    [anon_sym_our] = ACTIONS(2316),
    [anon_sym_try] = ACTIONS(2316),
    [anon_sym_defer] = ACTIONS(2316),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2316),
    [anon_sym_LT_LT] = ACTIONS(2316),
    [anon_sym_SLASH_SLASH] = ACTIONS(2316),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_TILDE] = ACTIONS(2316),
    [anon_sym_BANG] = ACTIONS(2316),
    [anon_sym_PLUS_PLUS] = ACTIONS(2316),
    [anon_sym_DASH_DASH] = ACTIONS(2316),
    [anon_sym_BSLASH] = ACTIONS(2314),
    [anon_sym_do] = ACTIONS(2316),
    [anon_sym_eval] = ACTIONS(2316),
    [anon_sym_await] = ACTIONS(2316),
    [anon_sym_field] = ACTIONS(2316),
    [anon_sym_local] = ACTIONS(2316),
    [anon_sym_dynamically] = ACTIONS(2316),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2316),
    [anon_sym_require] = ACTIONS(2316),
    [anon_sym_map] = ACTIONS(2316),
    [anon_sym_grep] = ACTIONS(2316),
    [anon_sym_sort] = ACTIONS(2316),
    [anon_sym_goto] = ACTIONS(2316),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_undef] = ACTIONS(2316),
    [anon_sym_PERCENT2] = ACTIONS(2316),
    [anon_sym_AMP2] = ACTIONS(2316),
    [anon_sym_STAR2] = ACTIONS(2316),
    [anon_sym_use] = ACTIONS(2316),
    [anon_sym_no] = ACTIONS(2316),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_foreach] = ACTIONS(2316),
    [anon_sym_last] = ACTIONS(2316),
    [anon_sym_next] = ACTIONS(2316),
    [anon_sym_redo] = ACTIONS(2316),
    [anon_sym_BEGIN] = ACTIONS(2316),
    [anon_sym_INIT] = ACTIONS(2316),
    [anon_sym_CHECK] = ACTIONS(2316),
    [anon_sym_UNITCHECK] = ACTIONS(2316),
    [anon_sym_END] = ACTIONS(2316),
    [anon_sym___FILE__] = ACTIONS(2316),
    [anon_sym___LINE__] = ACTIONS(2316),
    [anon_sym___PACKAGE__] = ACTIONS(2316),
    [anon_sym___SUB__] = ACTIONS(2316),
    [anon_sym_break] = ACTIONS(2316),
    [anon_sym_fork] = ACTIONS(2316),
    [anon_sym_getppid] = ACTIONS(2316),
    [anon_sym_time] = ACTIONS(2316),
    [anon_sym_times] = ACTIONS(2316),
    [anon_sym_wait] = ACTIONS(2316),
    [anon_sym_wantarray] = ACTIONS(2316),
    [anon_sym_abs] = ACTIONS(2316),
    [anon_sym_alarm] = ACTIONS(2316),
    [anon_sym_chop] = ACTIONS(2316),
    [anon_sym_chdir] = ACTIONS(2316),
    [anon_sym_close] = ACTIONS(2316),
    [anon_sym_closedir] = ACTIONS(2316),
    [anon_sym_caller] = ACTIONS(2316),
    [anon_sym_chomp] = ACTIONS(2316),
    [anon_sym_chr] = ACTIONS(2316),
    [anon_sym_cos] = ACTIONS(2316),
    [anon_sym_chroot] = ACTIONS(2316),
    [anon_sym_defined] = ACTIONS(2316),
    [anon_sym_delete] = ACTIONS(2316),
    [anon_sym_dbmclose] = ACTIONS(2316),
    [anon_sym_exists] = ACTIONS(2316),
    [anon_sym_exit] = ACTIONS(2316),
    [anon_sym_eof] = ACTIONS(2316),
    [anon_sym_exp] = ACTIONS(2316),
    [anon_sym_each] = ACTIONS(2316),
    [anon_sym_fc] = ACTIONS(2316),
    [anon_sym_fileno] = ACTIONS(2316),
    [anon_sym_gmtime] = ACTIONS(2316),
    [anon_sym_getc] = ACTIONS(2316),
    [anon_sym_getpgrp] = ACTIONS(2316),
    [anon_sym_getprotobyname] = ACTIONS(2316),
    [anon_sym_getpwname] = ACTIONS(2316),
    [anon_sym_getpwuid] = ACTIONS(2316),
    [anon_sym_getpeername] = ACTIONS(2316),
    [anon_sym_getnetbyname] = ACTIONS(2316),
    [anon_sym_getsockname] = ACTIONS(2316),
    [anon_sym_getgrnam] = ACTIONS(2316),
    [anon_sym_getgrgid] = ACTIONS(2316),
    [anon_sym_hex] = ACTIONS(2316),
    [anon_sym_int] = ACTIONS(2316),
    [anon_sym_keys] = ACTIONS(2316),
    [anon_sym_lc] = ACTIONS(2316),
    [anon_sym_lcfirst] = ACTIONS(2316),
    [anon_sym_length] = ACTIONS(2316),
    [anon_sym_localtime] = ACTIONS(2316),
    [anon_sym_log] = ACTIONS(2316),
    [anon_sym_lock] = ACTIONS(2316),
    [anon_sym_lstat] = ACTIONS(2316),
    [anon_sym_oct] = ACTIONS(2316),
    [anon_sym_ord] = ACTIONS(2316),
    [anon_sym_prototype] = ACTIONS(2316),
    [anon_sym_pop] = ACTIONS(2316),
    [anon_sym_pos] = ACTIONS(2316),
    [anon_sym_quotemeta] = ACTIONS(2316),
    [anon_sym_reset] = ACTIONS(2316),
    [anon_sym_rand] = ACTIONS(2316),
    [anon_sym_rmdir] = ACTIONS(2316),
    [anon_sym_readdir] = ACTIONS(2316),
    [anon_sym_readline] = ACTIONS(2316),
    [anon_sym_readpipe] = ACTIONS(2316),
    [anon_sym_rewinddir] = ACTIONS(2316),
    [anon_sym_readlink] = ACTIONS(2316),
    [anon_sym_ref] = ACTIONS(2316),
    [anon_sym_scalar] = ACTIONS(2316),
    [anon_sym_shift] = ACTIONS(2316),
    [anon_sym_sin] = ACTIONS(2316),
    [anon_sym_sleep] = ACTIONS(2316),
    [anon_sym_sqrt] = ACTIONS(2316),
    [anon_sym_srand] = ACTIONS(2316),
    [anon_sym_stat] = ACTIONS(2316),
    [anon_sym_study] = ACTIONS(2316),
    [anon_sym_tell] = ACTIONS(2316),
    [anon_sym_telldir] = ACTIONS(2316),
    [anon_sym_tied] = ACTIONS(2316),
    [anon_sym_uc] = ACTIONS(2316),
    [anon_sym_ucfirst] = ACTIONS(2316),
    [anon_sym_untie] = ACTIONS(2316),
    [anon_sym_umask] = ACTIONS(2316),
    [anon_sym_values] = ACTIONS(2316),
    [anon_sym_write] = ACTIONS(2316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2316),
    [anon_sym_qq] = ACTIONS(2316),
    [anon_sym_qw] = ACTIONS(2316),
    [anon_sym_qx] = ACTIONS(2316),
    [anon_sym_qr] = ACTIONS(2316),
    [anon_sym_m] = ACTIONS(2316),
    [anon_sym_s] = ACTIONS(2316),
    [anon_sym_tr] = ACTIONS(2316),
    [anon_sym_y] = ACTIONS(2316),
    [anon_sym_if] = ACTIONS(2316),
    [anon_sym_unless] = ACTIONS(2316),
    [anon_sym_while] = ACTIONS(2316),
    [anon_sym_until] = ACTIONS(2316),
    [aux_sym__bareword_token1] = ACTIONS(2316),
    [sym_number] = ACTIONS(2316),
    [anon_sym_true] = ACTIONS(2316),
    [anon_sym_false] = ACTIONS(2316),
    [sym__single_quote] = ACTIONS(2314),
    [sym__double_quote] = ACTIONS(2314),
    [sym__backtick_quote] = ACTIONS(2314),
    [sym__search_slash_quote] = ACTIONS(2314),
    [sym__open_readline_bracket] = ACTIONS(2314),
    [sym__open_fileglob_bracket] = ACTIONS(2314),
    [sym__PERLY_HEREDOC] = ACTIONS(2314),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2314),
    [sym__filetest] = ACTIONS(2314),
  },
  [1067] = {
    [sym_heredoc_content] = STATE(1067),
    [sym__identifier] = ACTIONS(2370),
    [anon_sym_LBRACE] = ACTIONS(2370),
    [anon_sym_RBRACE] = ACTIONS(2370),
    [anon_sym_SEMI] = ACTIONS(2370),
    [anon_sym_package] = ACTIONS(2370),
    [anon_sym_class] = ACTIONS(2370),
    [anon_sym_role] = ACTIONS(2370),
    [anon_sym_BUILD] = ACTIONS(2370),
    [anon_sym_ADJUST] = ACTIONS(2370),
    [anon_sym_DOLLAR] = ACTIONS(2370),
    [anon_sym_AT] = ACTIONS(2370),
    [anon_sym_my] = ACTIONS(2370),
    [anon_sym_extended] = ACTIONS(2370),
    [anon_sym_async] = ACTIONS(2370),
    [anon_sym_sub] = ACTIONS(2370),
    [anon_sym_method] = ACTIONS(2370),
    [anon_sym_LPAREN] = ACTIONS(2370),
    [anon_sym_continue] = ACTIONS(2370),
    [anon_sym_state] = ACTIONS(2370),
    [anon_sym_our] = ACTIONS(2370),
    [anon_sym_try] = ACTIONS(2370),
    [anon_sym_defer] = ACTIONS(2370),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2370),
    [anon_sym_LBRACK] = ACTIONS(2370),
    [anon_sym_LT_LT] = ACTIONS(2370),
    [anon_sym_SLASH_SLASH] = ACTIONS(2370),
    [anon_sym_PLUS] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2370),
    [anon_sym_TILDE] = ACTIONS(2370),
    [anon_sym_BANG] = ACTIONS(2370),
    [anon_sym_PLUS_PLUS] = ACTIONS(2370),
    [anon_sym_DASH_DASH] = ACTIONS(2370),
    [anon_sym_BSLASH] = ACTIONS(2372),
    [anon_sym_do] = ACTIONS(2370),
    [anon_sym_eval] = ACTIONS(2370),
    [anon_sym_await] = ACTIONS(2370),
    [anon_sym_field] = ACTIONS(2370),
    [anon_sym_local] = ACTIONS(2370),
    [anon_sym_dynamically] = ACTIONS(2370),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2370),
    [anon_sym_require] = ACTIONS(2370),
    [anon_sym_map] = ACTIONS(2370),
    [anon_sym_grep] = ACTIONS(2370),
    [anon_sym_sort] = ACTIONS(2370),
    [anon_sym_goto] = ACTIONS(2370),
    [anon_sym_return] = ACTIONS(2370),
    [anon_sym_undef] = ACTIONS(2370),
    [anon_sym_PERCENT2] = ACTIONS(2370),
    [anon_sym_AMP2] = ACTIONS(2370),
    [anon_sym_STAR2] = ACTIONS(2370),
    [anon_sym_use] = ACTIONS(2370),
    [anon_sym_no] = ACTIONS(2370),
    [anon_sym_for] = ACTIONS(2370),
    [anon_sym_foreach] = ACTIONS(2370),
    [anon_sym_last] = ACTIONS(2370),
    [anon_sym_next] = ACTIONS(2370),
    [anon_sym_redo] = ACTIONS(2370),
    [anon_sym_BEGIN] = ACTIONS(2370),
    [anon_sym_INIT] = ACTIONS(2370),
    [anon_sym_CHECK] = ACTIONS(2370),
    [anon_sym_UNITCHECK] = ACTIONS(2370),
    [anon_sym_END] = ACTIONS(2370),
    [anon_sym___FILE__] = ACTIONS(2370),
    [anon_sym___LINE__] = ACTIONS(2370),
    [anon_sym___PACKAGE__] = ACTIONS(2370),
    [anon_sym___SUB__] = ACTIONS(2370),
    [anon_sym_break] = ACTIONS(2370),
    [anon_sym_fork] = ACTIONS(2370),
    [anon_sym_getppid] = ACTIONS(2370),
    [anon_sym_time] = ACTIONS(2370),
    [anon_sym_times] = ACTIONS(2370),
    [anon_sym_wait] = ACTIONS(2370),
    [anon_sym_wantarray] = ACTIONS(2370),
    [anon_sym_abs] = ACTIONS(2370),
    [anon_sym_alarm] = ACTIONS(2370),
    [anon_sym_chop] = ACTIONS(2370),
    [anon_sym_chdir] = ACTIONS(2370),
    [anon_sym_close] = ACTIONS(2370),
    [anon_sym_closedir] = ACTIONS(2370),
    [anon_sym_caller] = ACTIONS(2370),
    [anon_sym_chomp] = ACTIONS(2370),
    [anon_sym_chr] = ACTIONS(2370),
    [anon_sym_cos] = ACTIONS(2370),
    [anon_sym_chroot] = ACTIONS(2370),
    [anon_sym_defined] = ACTIONS(2370),
    [anon_sym_delete] = ACTIONS(2370),
    [anon_sym_dbmclose] = ACTIONS(2370),
    [anon_sym_exists] = ACTIONS(2370),
    [anon_sym_exit] = ACTIONS(2370),
    [anon_sym_eof] = ACTIONS(2370),
    [anon_sym_exp] = ACTIONS(2370),
    [anon_sym_each] = ACTIONS(2370),
    [anon_sym_fc] = ACTIONS(2370),
    [anon_sym_fileno] = ACTIONS(2370),
    [anon_sym_gmtime] = ACTIONS(2370),
    [anon_sym_getc] = ACTIONS(2370),
    [anon_sym_getpgrp] = ACTIONS(2370),
    [anon_sym_getprotobyname] = ACTIONS(2370),
    [anon_sym_getpwname] = ACTIONS(2370),
    [anon_sym_getpwuid] = ACTIONS(2370),
    [anon_sym_getpeername] = ACTIONS(2370),
    [anon_sym_getnetbyname] = ACTIONS(2370),
    [anon_sym_getsockname] = ACTIONS(2370),
    [anon_sym_getgrnam] = ACTIONS(2370),
    [anon_sym_getgrgid] = ACTIONS(2370),
    [anon_sym_hex] = ACTIONS(2370),
    [anon_sym_int] = ACTIONS(2370),
    [anon_sym_keys] = ACTIONS(2370),
    [anon_sym_lc] = ACTIONS(2370),
    [anon_sym_lcfirst] = ACTIONS(2370),
    [anon_sym_length] = ACTIONS(2370),
    [anon_sym_localtime] = ACTIONS(2370),
    [anon_sym_log] = ACTIONS(2370),
    [anon_sym_lock] = ACTIONS(2370),
    [anon_sym_lstat] = ACTIONS(2370),
    [anon_sym_oct] = ACTIONS(2370),
    [anon_sym_ord] = ACTIONS(2370),
    [anon_sym_prototype] = ACTIONS(2370),
    [anon_sym_pop] = ACTIONS(2370),
    [anon_sym_pos] = ACTIONS(2370),
    [anon_sym_quotemeta] = ACTIONS(2370),
    [anon_sym_reset] = ACTIONS(2370),
    [anon_sym_rand] = ACTIONS(2370),
    [anon_sym_rmdir] = ACTIONS(2370),
    [anon_sym_readdir] = ACTIONS(2370),
    [anon_sym_readline] = ACTIONS(2370),
    [anon_sym_readpipe] = ACTIONS(2370),
    [anon_sym_rewinddir] = ACTIONS(2370),
    [anon_sym_readlink] = ACTIONS(2370),
    [anon_sym_ref] = ACTIONS(2370),
    [anon_sym_scalar] = ACTIONS(2370),
    [anon_sym_shift] = ACTIONS(2370),
    [anon_sym_sin] = ACTIONS(2370),
    [anon_sym_sleep] = ACTIONS(2370),
    [anon_sym_sqrt] = ACTIONS(2370),
    [anon_sym_srand] = ACTIONS(2370),
    [anon_sym_stat] = ACTIONS(2370),
    [anon_sym_study] = ACTIONS(2370),
    [anon_sym_tell] = ACTIONS(2370),
    [anon_sym_telldir] = ACTIONS(2370),
    [anon_sym_tied] = ACTIONS(2370),
    [anon_sym_uc] = ACTIONS(2370),
    [anon_sym_ucfirst] = ACTIONS(2370),
    [anon_sym_untie] = ACTIONS(2370),
    [anon_sym_umask] = ACTIONS(2370),
    [anon_sym_values] = ACTIONS(2370),
    [anon_sym_write] = ACTIONS(2370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2370),
    [anon_sym_qq] = ACTIONS(2370),
    [anon_sym_qw] = ACTIONS(2370),
    [anon_sym_qx] = ACTIONS(2370),
    [anon_sym_qr] = ACTIONS(2370),
    [anon_sym_m] = ACTIONS(2370),
    [anon_sym_s] = ACTIONS(2370),
    [anon_sym_tr] = ACTIONS(2370),
    [anon_sym_y] = ACTIONS(2370),
    [anon_sym_if] = ACTIONS(2370),
    [anon_sym_unless] = ACTIONS(2370),
    [anon_sym_while] = ACTIONS(2370),
    [anon_sym_until] = ACTIONS(2370),
    [aux_sym__bareword_token1] = ACTIONS(2370),
    [sym_number] = ACTIONS(2370),
    [anon_sym_true] = ACTIONS(2370),
    [anon_sym_false] = ACTIONS(2370),
    [sym__single_quote] = ACTIONS(2372),
    [sym__double_quote] = ACTIONS(2372),
    [sym__backtick_quote] = ACTIONS(2372),
    [sym__search_slash_quote] = ACTIONS(2372),
    [sym__open_readline_bracket] = ACTIONS(2372),
    [sym__open_fileglob_bracket] = ACTIONS(2372),
    [sym__PERLY_HEREDOC] = ACTIONS(2372),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2372),
    [sym__filetest] = ACTIONS(2372),
  },
  [1068] = {
    [sym_heredoc_content] = STATE(1068),
    [sym__identifier] = ACTIONS(2320),
    [anon_sym_LBRACE] = ACTIONS(2320),
    [anon_sym_RBRACE] = ACTIONS(2320),
    [anon_sym_SEMI] = ACTIONS(2320),
    [anon_sym_package] = ACTIONS(2320),
    [anon_sym_class] = ACTIONS(2320),
    [anon_sym_role] = ACTIONS(2320),
    [anon_sym_BUILD] = ACTIONS(2320),
    [anon_sym_ADJUST] = ACTIONS(2320),
    [anon_sym_DOLLAR] = ACTIONS(2320),
    [anon_sym_AT] = ACTIONS(2320),
    [anon_sym_my] = ACTIONS(2320),
    [anon_sym_extended] = ACTIONS(2320),
    [anon_sym_async] = ACTIONS(2320),
    [anon_sym_sub] = ACTIONS(2320),
    [anon_sym_method] = ACTIONS(2320),
    [anon_sym_LPAREN] = ACTIONS(2320),
    [anon_sym_continue] = ACTIONS(2320),
    [anon_sym_state] = ACTIONS(2320),
    [anon_sym_our] = ACTIONS(2320),
    [anon_sym_try] = ACTIONS(2320),
    [anon_sym_defer] = ACTIONS(2320),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2320),
    [anon_sym_LBRACK] = ACTIONS(2320),
    [anon_sym_LT_LT] = ACTIONS(2320),
    [anon_sym_SLASH_SLASH] = ACTIONS(2320),
    [anon_sym_PLUS] = ACTIONS(2320),
    [anon_sym_DASH] = ACTIONS(2320),
    [anon_sym_TILDE] = ACTIONS(2320),
    [anon_sym_BANG] = ACTIONS(2320),
    [anon_sym_PLUS_PLUS] = ACTIONS(2320),
    [anon_sym_DASH_DASH] = ACTIONS(2320),
    [anon_sym_BSLASH] = ACTIONS(2318),
    [anon_sym_do] = ACTIONS(2320),
    [anon_sym_eval] = ACTIONS(2320),
    [anon_sym_await] = ACTIONS(2320),
    [anon_sym_field] = ACTIONS(2320),
    [anon_sym_local] = ACTIONS(2320),
    [anon_sym_dynamically] = ACTIONS(2320),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2320),
    [anon_sym_require] = ACTIONS(2320),
    [anon_sym_map] = ACTIONS(2320),
    [anon_sym_grep] = ACTIONS(2320),
    [anon_sym_sort] = ACTIONS(2320),
    [anon_sym_goto] = ACTIONS(2320),
    [anon_sym_return] = ACTIONS(2320),
    [anon_sym_undef] = ACTIONS(2320),
    [anon_sym_PERCENT2] = ACTIONS(2320),
    [anon_sym_AMP2] = ACTIONS(2320),
    [anon_sym_STAR2] = ACTIONS(2320),
    [anon_sym_use] = ACTIONS(2320),
    [anon_sym_no] = ACTIONS(2320),
    [anon_sym_for] = ACTIONS(2320),
    [anon_sym_foreach] = ACTIONS(2320),
    [anon_sym_last] = ACTIONS(2320),
    [anon_sym_next] = ACTIONS(2320),
    [anon_sym_redo] = ACTIONS(2320),
    [anon_sym_BEGIN] = ACTIONS(2320),
    [anon_sym_INIT] = ACTIONS(2320),
    [anon_sym_CHECK] = ACTIONS(2320),
    [anon_sym_UNITCHECK] = ACTIONS(2320),
    [anon_sym_END] = ACTIONS(2320),
    [anon_sym___FILE__] = ACTIONS(2320),
    [anon_sym___LINE__] = ACTIONS(2320),
    [anon_sym___PACKAGE__] = ACTIONS(2320),
    [anon_sym___SUB__] = ACTIONS(2320),
    [anon_sym_break] = ACTIONS(2320),
    [anon_sym_fork] = ACTIONS(2320),
    [anon_sym_getppid] = ACTIONS(2320),
    [anon_sym_time] = ACTIONS(2320),
    [anon_sym_times] = ACTIONS(2320),
    [anon_sym_wait] = ACTIONS(2320),
    [anon_sym_wantarray] = ACTIONS(2320),
    [anon_sym_abs] = ACTIONS(2320),
    [anon_sym_alarm] = ACTIONS(2320),
    [anon_sym_chop] = ACTIONS(2320),
    [anon_sym_chdir] = ACTIONS(2320),
    [anon_sym_close] = ACTIONS(2320),
    [anon_sym_closedir] = ACTIONS(2320),
    [anon_sym_caller] = ACTIONS(2320),
    [anon_sym_chomp] = ACTIONS(2320),
    [anon_sym_chr] = ACTIONS(2320),
    [anon_sym_cos] = ACTIONS(2320),
    [anon_sym_chroot] = ACTIONS(2320),
    [anon_sym_defined] = ACTIONS(2320),
    [anon_sym_delete] = ACTIONS(2320),
    [anon_sym_dbmclose] = ACTIONS(2320),
    [anon_sym_exists] = ACTIONS(2320),
    [anon_sym_exit] = ACTIONS(2320),
    [anon_sym_eof] = ACTIONS(2320),
    [anon_sym_exp] = ACTIONS(2320),
    [anon_sym_each] = ACTIONS(2320),
    [anon_sym_fc] = ACTIONS(2320),
    [anon_sym_fileno] = ACTIONS(2320),
    [anon_sym_gmtime] = ACTIONS(2320),
    [anon_sym_getc] = ACTIONS(2320),
    [anon_sym_getpgrp] = ACTIONS(2320),
    [anon_sym_getprotobyname] = ACTIONS(2320),
    [anon_sym_getpwname] = ACTIONS(2320),
    [anon_sym_getpwuid] = ACTIONS(2320),
    [anon_sym_getpeername] = ACTIONS(2320),
    [anon_sym_getnetbyname] = ACTIONS(2320),
    [anon_sym_getsockname] = ACTIONS(2320),
    [anon_sym_getgrnam] = ACTIONS(2320),
    [anon_sym_getgrgid] = ACTIONS(2320),
    [anon_sym_hex] = ACTIONS(2320),
    [anon_sym_int] = ACTIONS(2320),
    [anon_sym_keys] = ACTIONS(2320),
    [anon_sym_lc] = ACTIONS(2320),
    [anon_sym_lcfirst] = ACTIONS(2320),
    [anon_sym_length] = ACTIONS(2320),
    [anon_sym_localtime] = ACTIONS(2320),
    [anon_sym_log] = ACTIONS(2320),
    [anon_sym_lock] = ACTIONS(2320),
    [anon_sym_lstat] = ACTIONS(2320),
    [anon_sym_oct] = ACTIONS(2320),
    [anon_sym_ord] = ACTIONS(2320),
    [anon_sym_prototype] = ACTIONS(2320),
    [anon_sym_pop] = ACTIONS(2320),
    [anon_sym_pos] = ACTIONS(2320),
    [anon_sym_quotemeta] = ACTIONS(2320),
    [anon_sym_reset] = ACTIONS(2320),
    [anon_sym_rand] = ACTIONS(2320),
    [anon_sym_rmdir] = ACTIONS(2320),
    [anon_sym_readdir] = ACTIONS(2320),
    [anon_sym_readline] = ACTIONS(2320),
    [anon_sym_readpipe] = ACTIONS(2320),
    [anon_sym_rewinddir] = ACTIONS(2320),
    [anon_sym_readlink] = ACTIONS(2320),
    [anon_sym_ref] = ACTIONS(2320),
    [anon_sym_scalar] = ACTIONS(2320),
    [anon_sym_shift] = ACTIONS(2320),
    [anon_sym_sin] = ACTIONS(2320),
    [anon_sym_sleep] = ACTIONS(2320),
    [anon_sym_sqrt] = ACTIONS(2320),
    [anon_sym_srand] = ACTIONS(2320),
    [anon_sym_stat] = ACTIONS(2320),
    [anon_sym_study] = ACTIONS(2320),
    [anon_sym_tell] = ACTIONS(2320),
    [anon_sym_telldir] = ACTIONS(2320),
    [anon_sym_tied] = ACTIONS(2320),
    [anon_sym_uc] = ACTIONS(2320),
    [anon_sym_ucfirst] = ACTIONS(2320),
    [anon_sym_untie] = ACTIONS(2320),
    [anon_sym_umask] = ACTIONS(2320),
    [anon_sym_values] = ACTIONS(2320),
    [anon_sym_write] = ACTIONS(2320),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2320),
    [anon_sym_qq] = ACTIONS(2320),
    [anon_sym_qw] = ACTIONS(2320),
    [anon_sym_qx] = ACTIONS(2320),
    [anon_sym_qr] = ACTIONS(2320),
    [anon_sym_m] = ACTIONS(2320),
    [anon_sym_s] = ACTIONS(2320),
    [anon_sym_tr] = ACTIONS(2320),
    [anon_sym_y] = ACTIONS(2320),
    [anon_sym_if] = ACTIONS(2320),
    [anon_sym_unless] = ACTIONS(2320),
    [anon_sym_while] = ACTIONS(2320),
    [anon_sym_until] = ACTIONS(2320),
    [aux_sym__bareword_token1] = ACTIONS(2320),
    [sym_number] = ACTIONS(2320),
    [anon_sym_true] = ACTIONS(2320),
    [anon_sym_false] = ACTIONS(2320),
    [sym__single_quote] = ACTIONS(2318),
    [sym__double_quote] = ACTIONS(2318),
    [sym__backtick_quote] = ACTIONS(2318),
    [sym__search_slash_quote] = ACTIONS(2318),
    [sym__open_readline_bracket] = ACTIONS(2318),
    [sym__open_fileglob_bracket] = ACTIONS(2318),
    [sym__PERLY_HEREDOC] = ACTIONS(2318),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2318),
    [sym__filetest] = ACTIONS(2318),
  },
  [1069] = {
    [sym_heredoc_content] = STATE(1069),
    [sym__identifier] = ACTIONS(2229),
    [anon_sym_LBRACE] = ACTIONS(2229),
    [anon_sym_RBRACE] = ACTIONS(2229),
    [anon_sym_SEMI] = ACTIONS(2229),
    [anon_sym_package] = ACTIONS(2229),
    [anon_sym_class] = ACTIONS(2229),
    [anon_sym_role] = ACTIONS(2229),
    [anon_sym_BUILD] = ACTIONS(2229),
    [anon_sym_ADJUST] = ACTIONS(2229),
    [anon_sym_DOLLAR] = ACTIONS(2229),
    [anon_sym_AT] = ACTIONS(2229),
    [anon_sym_my] = ACTIONS(2229),
    [anon_sym_extended] = ACTIONS(2229),
    [anon_sym_async] = ACTIONS(2229),
    [anon_sym_sub] = ACTIONS(2229),
    [anon_sym_method] = ACTIONS(2229),
    [anon_sym_LPAREN] = ACTIONS(2229),
    [anon_sym_continue] = ACTIONS(2229),
    [anon_sym_state] = ACTIONS(2229),
    [anon_sym_our] = ACTIONS(2229),
    [anon_sym_try] = ACTIONS(2229),
    [anon_sym_defer] = ACTIONS(2229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2229),
    [anon_sym_LBRACK] = ACTIONS(2229),
    [anon_sym_LT_LT] = ACTIONS(2229),
    [anon_sym_SLASH_SLASH] = ACTIONS(2229),
    [anon_sym_PLUS] = ACTIONS(2229),
    [anon_sym_DASH] = ACTIONS(2229),
    [anon_sym_TILDE] = ACTIONS(2229),
    [anon_sym_BANG] = ACTIONS(2229),
    [anon_sym_PLUS_PLUS] = ACTIONS(2229),
    [anon_sym_DASH_DASH] = ACTIONS(2229),
    [anon_sym_BSLASH] = ACTIONS(2227),
    [anon_sym_do] = ACTIONS(2229),
    [anon_sym_eval] = ACTIONS(2229),
    [anon_sym_await] = ACTIONS(2229),
    [anon_sym_field] = ACTIONS(2229),
    [anon_sym_local] = ACTIONS(2229),
    [anon_sym_dynamically] = ACTIONS(2229),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2229),
    [anon_sym_require] = ACTIONS(2229),
    [anon_sym_map] = ACTIONS(2229),
    [anon_sym_grep] = ACTIONS(2229),
    [anon_sym_sort] = ACTIONS(2229),
    [anon_sym_goto] = ACTIONS(2229),
    [anon_sym_return] = ACTIONS(2229),
    [anon_sym_undef] = ACTIONS(2229),
    [anon_sym_PERCENT2] = ACTIONS(2229),
    [anon_sym_AMP2] = ACTIONS(2229),
    [anon_sym_STAR2] = ACTIONS(2229),
    [anon_sym_use] = ACTIONS(2229),
    [anon_sym_no] = ACTIONS(2229),
    [anon_sym_for] = ACTIONS(2229),
    [anon_sym_foreach] = ACTIONS(2229),
    [anon_sym_last] = ACTIONS(2229),
    [anon_sym_next] = ACTIONS(2229),
    [anon_sym_redo] = ACTIONS(2229),
    [anon_sym_BEGIN] = ACTIONS(2229),
    [anon_sym_INIT] = ACTIONS(2229),
    [anon_sym_CHECK] = ACTIONS(2229),
    [anon_sym_UNITCHECK] = ACTIONS(2229),
    [anon_sym_END] = ACTIONS(2229),
    [anon_sym___FILE__] = ACTIONS(2229),
    [anon_sym___LINE__] = ACTIONS(2229),
    [anon_sym___PACKAGE__] = ACTIONS(2229),
    [anon_sym___SUB__] = ACTIONS(2229),
    [anon_sym_break] = ACTIONS(2229),
    [anon_sym_fork] = ACTIONS(2229),
    [anon_sym_getppid] = ACTIONS(2229),
    [anon_sym_time] = ACTIONS(2229),
    [anon_sym_times] = ACTIONS(2229),
    [anon_sym_wait] = ACTIONS(2229),
    [anon_sym_wantarray] = ACTIONS(2229),
    [anon_sym_abs] = ACTIONS(2229),
    [anon_sym_alarm] = ACTIONS(2229),
    [anon_sym_chop] = ACTIONS(2229),
    [anon_sym_chdir] = ACTIONS(2229),
    [anon_sym_close] = ACTIONS(2229),
    [anon_sym_closedir] = ACTIONS(2229),
    [anon_sym_caller] = ACTIONS(2229),
    [anon_sym_chomp] = ACTIONS(2229),
    [anon_sym_chr] = ACTIONS(2229),
    [anon_sym_cos] = ACTIONS(2229),
    [anon_sym_chroot] = ACTIONS(2229),
    [anon_sym_defined] = ACTIONS(2229),
    [anon_sym_delete] = ACTIONS(2229),
    [anon_sym_dbmclose] = ACTIONS(2229),
    [anon_sym_exists] = ACTIONS(2229),
    [anon_sym_exit] = ACTIONS(2229),
    [anon_sym_eof] = ACTIONS(2229),
    [anon_sym_exp] = ACTIONS(2229),
    [anon_sym_each] = ACTIONS(2229),
    [anon_sym_fc] = ACTIONS(2229),
    [anon_sym_fileno] = ACTIONS(2229),
    [anon_sym_gmtime] = ACTIONS(2229),
    [anon_sym_getc] = ACTIONS(2229),
    [anon_sym_getpgrp] = ACTIONS(2229),
    [anon_sym_getprotobyname] = ACTIONS(2229),
    [anon_sym_getpwname] = ACTIONS(2229),
    [anon_sym_getpwuid] = ACTIONS(2229),
    [anon_sym_getpeername] = ACTIONS(2229),
    [anon_sym_getnetbyname] = ACTIONS(2229),
    [anon_sym_getsockname] = ACTIONS(2229),
    [anon_sym_getgrnam] = ACTIONS(2229),
    [anon_sym_getgrgid] = ACTIONS(2229),
    [anon_sym_hex] = ACTIONS(2229),
    [anon_sym_int] = ACTIONS(2229),
    [anon_sym_keys] = ACTIONS(2229),
    [anon_sym_lc] = ACTIONS(2229),
    [anon_sym_lcfirst] = ACTIONS(2229),
    [anon_sym_length] = ACTIONS(2229),
    [anon_sym_localtime] = ACTIONS(2229),
    [anon_sym_log] = ACTIONS(2229),
    [anon_sym_lock] = ACTIONS(2229),
    [anon_sym_lstat] = ACTIONS(2229),
    [anon_sym_oct] = ACTIONS(2229),
    [anon_sym_ord] = ACTIONS(2229),
    [anon_sym_prototype] = ACTIONS(2229),
    [anon_sym_pop] = ACTIONS(2229),
    [anon_sym_pos] = ACTIONS(2229),
    [anon_sym_quotemeta] = ACTIONS(2229),
    [anon_sym_reset] = ACTIONS(2229),
    [anon_sym_rand] = ACTIONS(2229),
    [anon_sym_rmdir] = ACTIONS(2229),
    [anon_sym_readdir] = ACTIONS(2229),
    [anon_sym_readline] = ACTIONS(2229),
    [anon_sym_readpipe] = ACTIONS(2229),
    [anon_sym_rewinddir] = ACTIONS(2229),
    [anon_sym_readlink] = ACTIONS(2229),
    [anon_sym_ref] = ACTIONS(2229),
    [anon_sym_scalar] = ACTIONS(2229),
    [anon_sym_shift] = ACTIONS(2229),
    [anon_sym_sin] = ACTIONS(2229),
    [anon_sym_sleep] = ACTIONS(2229),
    [anon_sym_sqrt] = ACTIONS(2229),
    [anon_sym_srand] = ACTIONS(2229),
    [anon_sym_stat] = ACTIONS(2229),
    [anon_sym_study] = ACTIONS(2229),
    [anon_sym_tell] = ACTIONS(2229),
    [anon_sym_telldir] = ACTIONS(2229),
    [anon_sym_tied] = ACTIONS(2229),
    [anon_sym_uc] = ACTIONS(2229),
    [anon_sym_ucfirst] = ACTIONS(2229),
    [anon_sym_untie] = ACTIONS(2229),
    [anon_sym_umask] = ACTIONS(2229),
    [anon_sym_values] = ACTIONS(2229),
    [anon_sym_write] = ACTIONS(2229),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2229),
    [anon_sym_qq] = ACTIONS(2229),
    [anon_sym_qw] = ACTIONS(2229),
    [anon_sym_qx] = ACTIONS(2229),
    [anon_sym_qr] = ACTIONS(2229),
    [anon_sym_m] = ACTIONS(2229),
    [anon_sym_s] = ACTIONS(2229),
    [anon_sym_tr] = ACTIONS(2229),
    [anon_sym_y] = ACTIONS(2229),
    [anon_sym_if] = ACTIONS(2229),
    [anon_sym_unless] = ACTIONS(2229),
    [anon_sym_while] = ACTIONS(2229),
    [anon_sym_until] = ACTIONS(2229),
    [aux_sym__bareword_token1] = ACTIONS(2229),
    [sym_number] = ACTIONS(2229),
    [anon_sym_true] = ACTIONS(2229),
    [anon_sym_false] = ACTIONS(2229),
    [sym__single_quote] = ACTIONS(2227),
    [sym__double_quote] = ACTIONS(2227),
    [sym__backtick_quote] = ACTIONS(2227),
    [sym__search_slash_quote] = ACTIONS(2227),
    [sym__open_readline_bracket] = ACTIONS(2227),
    [sym__open_fileglob_bracket] = ACTIONS(2227),
    [sym__PERLY_HEREDOC] = ACTIONS(2227),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2227),
    [sym__filetest] = ACTIONS(2227),
  },
  [1070] = {
    [sym_heredoc_content] = STATE(1070),
    [sym__identifier] = ACTIONS(2324),
    [anon_sym_LBRACE] = ACTIONS(2324),
    [anon_sym_RBRACE] = ACTIONS(2324),
    [anon_sym_SEMI] = ACTIONS(2324),
    [anon_sym_package] = ACTIONS(2324),
    [anon_sym_class] = ACTIONS(2324),
    [anon_sym_role] = ACTIONS(2324),
    [anon_sym_BUILD] = ACTIONS(2324),
    [anon_sym_ADJUST] = ACTIONS(2324),
    [anon_sym_DOLLAR] = ACTIONS(2324),
    [anon_sym_AT] = ACTIONS(2324),
    [anon_sym_my] = ACTIONS(2324),
    [anon_sym_extended] = ACTIONS(2324),
    [anon_sym_async] = ACTIONS(2324),
    [anon_sym_sub] = ACTIONS(2324),
    [anon_sym_method] = ACTIONS(2324),
    [anon_sym_LPAREN] = ACTIONS(2324),
    [anon_sym_continue] = ACTIONS(2324),
    [anon_sym_state] = ACTIONS(2324),
    [anon_sym_our] = ACTIONS(2324),
    [anon_sym_try] = ACTIONS(2324),
    [anon_sym_defer] = ACTIONS(2324),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2324),
    [anon_sym_LBRACK] = ACTIONS(2324),
    [anon_sym_LT_LT] = ACTIONS(2324),
    [anon_sym_SLASH_SLASH] = ACTIONS(2324),
    [anon_sym_PLUS] = ACTIONS(2324),
    [anon_sym_DASH] = ACTIONS(2324),
    [anon_sym_TILDE] = ACTIONS(2324),
    [anon_sym_BANG] = ACTIONS(2324),
    [anon_sym_PLUS_PLUS] = ACTIONS(2324),
    [anon_sym_DASH_DASH] = ACTIONS(2324),
    [anon_sym_BSLASH] = ACTIONS(2322),
    [anon_sym_do] = ACTIONS(2324),
    [anon_sym_eval] = ACTIONS(2324),
    [anon_sym_await] = ACTIONS(2324),
    [anon_sym_field] = ACTIONS(2324),
    [anon_sym_local] = ACTIONS(2324),
    [anon_sym_dynamically] = ACTIONS(2324),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2324),
    [anon_sym_require] = ACTIONS(2324),
    [anon_sym_map] = ACTIONS(2324),
    [anon_sym_grep] = ACTIONS(2324),
    [anon_sym_sort] = ACTIONS(2324),
    [anon_sym_goto] = ACTIONS(2324),
    [anon_sym_return] = ACTIONS(2324),
    [anon_sym_undef] = ACTIONS(2324),
    [anon_sym_PERCENT2] = ACTIONS(2324),
    [anon_sym_AMP2] = ACTIONS(2324),
    [anon_sym_STAR2] = ACTIONS(2324),
    [anon_sym_use] = ACTIONS(2324),
    [anon_sym_no] = ACTIONS(2324),
    [anon_sym_for] = ACTIONS(2324),
    [anon_sym_foreach] = ACTIONS(2324),
    [anon_sym_last] = ACTIONS(2324),
    [anon_sym_next] = ACTIONS(2324),
    [anon_sym_redo] = ACTIONS(2324),
    [anon_sym_BEGIN] = ACTIONS(2324),
    [anon_sym_INIT] = ACTIONS(2324),
    [anon_sym_CHECK] = ACTIONS(2324),
    [anon_sym_UNITCHECK] = ACTIONS(2324),
    [anon_sym_END] = ACTIONS(2324),
    [anon_sym___FILE__] = ACTIONS(2324),
    [anon_sym___LINE__] = ACTIONS(2324),
    [anon_sym___PACKAGE__] = ACTIONS(2324),
    [anon_sym___SUB__] = ACTIONS(2324),
    [anon_sym_break] = ACTIONS(2324),
    [anon_sym_fork] = ACTIONS(2324),
    [anon_sym_getppid] = ACTIONS(2324),
    [anon_sym_time] = ACTIONS(2324),
    [anon_sym_times] = ACTIONS(2324),
    [anon_sym_wait] = ACTIONS(2324),
    [anon_sym_wantarray] = ACTIONS(2324),
    [anon_sym_abs] = ACTIONS(2324),
    [anon_sym_alarm] = ACTIONS(2324),
    [anon_sym_chop] = ACTIONS(2324),
    [anon_sym_chdir] = ACTIONS(2324),
    [anon_sym_close] = ACTIONS(2324),
    [anon_sym_closedir] = ACTIONS(2324),
    [anon_sym_caller] = ACTIONS(2324),
    [anon_sym_chomp] = ACTIONS(2324),
    [anon_sym_chr] = ACTIONS(2324),
    [anon_sym_cos] = ACTIONS(2324),
    [anon_sym_chroot] = ACTIONS(2324),
    [anon_sym_defined] = ACTIONS(2324),
    [anon_sym_delete] = ACTIONS(2324),
    [anon_sym_dbmclose] = ACTIONS(2324),
    [anon_sym_exists] = ACTIONS(2324),
    [anon_sym_exit] = ACTIONS(2324),
    [anon_sym_eof] = ACTIONS(2324),
    [anon_sym_exp] = ACTIONS(2324),
    [anon_sym_each] = ACTIONS(2324),
    [anon_sym_fc] = ACTIONS(2324),
    [anon_sym_fileno] = ACTIONS(2324),
    [anon_sym_gmtime] = ACTIONS(2324),
    [anon_sym_getc] = ACTIONS(2324),
    [anon_sym_getpgrp] = ACTIONS(2324),
    [anon_sym_getprotobyname] = ACTIONS(2324),
    [anon_sym_getpwname] = ACTIONS(2324),
    [anon_sym_getpwuid] = ACTIONS(2324),
    [anon_sym_getpeername] = ACTIONS(2324),
    [anon_sym_getnetbyname] = ACTIONS(2324),
    [anon_sym_getsockname] = ACTIONS(2324),
    [anon_sym_getgrnam] = ACTIONS(2324),
    [anon_sym_getgrgid] = ACTIONS(2324),
    [anon_sym_hex] = ACTIONS(2324),
    [anon_sym_int] = ACTIONS(2324),
    [anon_sym_keys] = ACTIONS(2324),
    [anon_sym_lc] = ACTIONS(2324),
    [anon_sym_lcfirst] = ACTIONS(2324),
    [anon_sym_length] = ACTIONS(2324),
    [anon_sym_localtime] = ACTIONS(2324),
    [anon_sym_log] = ACTIONS(2324),
    [anon_sym_lock] = ACTIONS(2324),
    [anon_sym_lstat] = ACTIONS(2324),
    [anon_sym_oct] = ACTIONS(2324),
    [anon_sym_ord] = ACTIONS(2324),
    [anon_sym_prototype] = ACTIONS(2324),
    [anon_sym_pop] = ACTIONS(2324),
    [anon_sym_pos] = ACTIONS(2324),
    [anon_sym_quotemeta] = ACTIONS(2324),
    [anon_sym_reset] = ACTIONS(2324),
    [anon_sym_rand] = ACTIONS(2324),
    [anon_sym_rmdir] = ACTIONS(2324),
    [anon_sym_readdir] = ACTIONS(2324),
    [anon_sym_readline] = ACTIONS(2324),
    [anon_sym_readpipe] = ACTIONS(2324),
    [anon_sym_rewinddir] = ACTIONS(2324),
    [anon_sym_readlink] = ACTIONS(2324),
    [anon_sym_ref] = ACTIONS(2324),
    [anon_sym_scalar] = ACTIONS(2324),
    [anon_sym_shift] = ACTIONS(2324),
    [anon_sym_sin] = ACTIONS(2324),
    [anon_sym_sleep] = ACTIONS(2324),
    [anon_sym_sqrt] = ACTIONS(2324),
    [anon_sym_srand] = ACTIONS(2324),
    [anon_sym_stat] = ACTIONS(2324),
    [anon_sym_study] = ACTIONS(2324),
    [anon_sym_tell] = ACTIONS(2324),
    [anon_sym_telldir] = ACTIONS(2324),
    [anon_sym_tied] = ACTIONS(2324),
    [anon_sym_uc] = ACTIONS(2324),
    [anon_sym_ucfirst] = ACTIONS(2324),
    [anon_sym_untie] = ACTIONS(2324),
    [anon_sym_umask] = ACTIONS(2324),
    [anon_sym_values] = ACTIONS(2324),
    [anon_sym_write] = ACTIONS(2324),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2324),
    [anon_sym_qq] = ACTIONS(2324),
    [anon_sym_qw] = ACTIONS(2324),
    [anon_sym_qx] = ACTIONS(2324),
    [anon_sym_qr] = ACTIONS(2324),
    [anon_sym_m] = ACTIONS(2324),
    [anon_sym_s] = ACTIONS(2324),
    [anon_sym_tr] = ACTIONS(2324),
    [anon_sym_y] = ACTIONS(2324),
    [anon_sym_if] = ACTIONS(2324),
    [anon_sym_unless] = ACTIONS(2324),
    [anon_sym_while] = ACTIONS(2324),
    [anon_sym_until] = ACTIONS(2324),
    [aux_sym__bareword_token1] = ACTIONS(2324),
    [sym_number] = ACTIONS(2324),
    [anon_sym_true] = ACTIONS(2324),
    [anon_sym_false] = ACTIONS(2324),
    [sym__single_quote] = ACTIONS(2322),
    [sym__double_quote] = ACTIONS(2322),
    [sym__backtick_quote] = ACTIONS(2322),
    [sym__search_slash_quote] = ACTIONS(2322),
    [sym__open_readline_bracket] = ACTIONS(2322),
    [sym__open_fileglob_bracket] = ACTIONS(2322),
    [sym__PERLY_HEREDOC] = ACTIONS(2322),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2322),
    [sym__filetest] = ACTIONS(2322),
  },
  [1071] = {
    [sym_heredoc_content] = STATE(1071),
    [sym__identifier] = ACTIONS(2328),
    [anon_sym_LBRACE] = ACTIONS(2328),
    [anon_sym_RBRACE] = ACTIONS(2328),
    [anon_sym_SEMI] = ACTIONS(2328),
    [anon_sym_package] = ACTIONS(2328),
    [anon_sym_class] = ACTIONS(2328),
    [anon_sym_role] = ACTIONS(2328),
    [anon_sym_BUILD] = ACTIONS(2328),
    [anon_sym_ADJUST] = ACTIONS(2328),
    [anon_sym_DOLLAR] = ACTIONS(2328),
    [anon_sym_AT] = ACTIONS(2328),
    [anon_sym_my] = ACTIONS(2328),
    [anon_sym_extended] = ACTIONS(2328),
    [anon_sym_async] = ACTIONS(2328),
    [anon_sym_sub] = ACTIONS(2328),
    [anon_sym_method] = ACTIONS(2328),
    [anon_sym_LPAREN] = ACTIONS(2328),
    [anon_sym_continue] = ACTIONS(2328),
    [anon_sym_state] = ACTIONS(2328),
    [anon_sym_our] = ACTIONS(2328),
    [anon_sym_try] = ACTIONS(2328),
    [anon_sym_defer] = ACTIONS(2328),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2328),
    [anon_sym_LBRACK] = ACTIONS(2328),
    [anon_sym_LT_LT] = ACTIONS(2328),
    [anon_sym_SLASH_SLASH] = ACTIONS(2328),
    [anon_sym_PLUS] = ACTIONS(2328),
    [anon_sym_DASH] = ACTIONS(2328),
    [anon_sym_TILDE] = ACTIONS(2328),
    [anon_sym_BANG] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2328),
    [anon_sym_DASH_DASH] = ACTIONS(2328),
    [anon_sym_BSLASH] = ACTIONS(2326),
    [anon_sym_do] = ACTIONS(2328),
    [anon_sym_eval] = ACTIONS(2328),
    [anon_sym_await] = ACTIONS(2328),
    [anon_sym_field] = ACTIONS(2328),
    [anon_sym_local] = ACTIONS(2328),
    [anon_sym_dynamically] = ACTIONS(2328),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2328),
    [anon_sym_require] = ACTIONS(2328),
    [anon_sym_map] = ACTIONS(2328),
    [anon_sym_grep] = ACTIONS(2328),
    [anon_sym_sort] = ACTIONS(2328),
    [anon_sym_goto] = ACTIONS(2328),
    [anon_sym_return] = ACTIONS(2328),
    [anon_sym_undef] = ACTIONS(2328),
    [anon_sym_PERCENT2] = ACTIONS(2328),
    [anon_sym_AMP2] = ACTIONS(2328),
    [anon_sym_STAR2] = ACTIONS(2328),
    [anon_sym_use] = ACTIONS(2328),
    [anon_sym_no] = ACTIONS(2328),
    [anon_sym_for] = ACTIONS(2328),
    [anon_sym_foreach] = ACTIONS(2328),
    [anon_sym_last] = ACTIONS(2328),
    [anon_sym_next] = ACTIONS(2328),
    [anon_sym_redo] = ACTIONS(2328),
    [anon_sym_BEGIN] = ACTIONS(2328),
    [anon_sym_INIT] = ACTIONS(2328),
    [anon_sym_CHECK] = ACTIONS(2328),
    [anon_sym_UNITCHECK] = ACTIONS(2328),
    [anon_sym_END] = ACTIONS(2328),
    [anon_sym___FILE__] = ACTIONS(2328),
    [anon_sym___LINE__] = ACTIONS(2328),
    [anon_sym___PACKAGE__] = ACTIONS(2328),
    [anon_sym___SUB__] = ACTIONS(2328),
    [anon_sym_break] = ACTIONS(2328),
    [anon_sym_fork] = ACTIONS(2328),
    [anon_sym_getppid] = ACTIONS(2328),
    [anon_sym_time] = ACTIONS(2328),
    [anon_sym_times] = ACTIONS(2328),
    [anon_sym_wait] = ACTIONS(2328),
    [anon_sym_wantarray] = ACTIONS(2328),
    [anon_sym_abs] = ACTIONS(2328),
    [anon_sym_alarm] = ACTIONS(2328),
    [anon_sym_chop] = ACTIONS(2328),
    [anon_sym_chdir] = ACTIONS(2328),
    [anon_sym_close] = ACTIONS(2328),
    [anon_sym_closedir] = ACTIONS(2328),
    [anon_sym_caller] = ACTIONS(2328),
    [anon_sym_chomp] = ACTIONS(2328),
    [anon_sym_chr] = ACTIONS(2328),
    [anon_sym_cos] = ACTIONS(2328),
    [anon_sym_chroot] = ACTIONS(2328),
    [anon_sym_defined] = ACTIONS(2328),
    [anon_sym_delete] = ACTIONS(2328),
    [anon_sym_dbmclose] = ACTIONS(2328),
    [anon_sym_exists] = ACTIONS(2328),
    [anon_sym_exit] = ACTIONS(2328),
    [anon_sym_eof] = ACTIONS(2328),
    [anon_sym_exp] = ACTIONS(2328),
    [anon_sym_each] = ACTIONS(2328),
    [anon_sym_fc] = ACTIONS(2328),
    [anon_sym_fileno] = ACTIONS(2328),
    [anon_sym_gmtime] = ACTIONS(2328),
    [anon_sym_getc] = ACTIONS(2328),
    [anon_sym_getpgrp] = ACTIONS(2328),
    [anon_sym_getprotobyname] = ACTIONS(2328),
    [anon_sym_getpwname] = ACTIONS(2328),
    [anon_sym_getpwuid] = ACTIONS(2328),
    [anon_sym_getpeername] = ACTIONS(2328),
    [anon_sym_getnetbyname] = ACTIONS(2328),
    [anon_sym_getsockname] = ACTIONS(2328),
    [anon_sym_getgrnam] = ACTIONS(2328),
    [anon_sym_getgrgid] = ACTIONS(2328),
    [anon_sym_hex] = ACTIONS(2328),
    [anon_sym_int] = ACTIONS(2328),
    [anon_sym_keys] = ACTIONS(2328),
    [anon_sym_lc] = ACTIONS(2328),
    [anon_sym_lcfirst] = ACTIONS(2328),
    [anon_sym_length] = ACTIONS(2328),
    [anon_sym_localtime] = ACTIONS(2328),
    [anon_sym_log] = ACTIONS(2328),
    [anon_sym_lock] = ACTIONS(2328),
    [anon_sym_lstat] = ACTIONS(2328),
    [anon_sym_oct] = ACTIONS(2328),
    [anon_sym_ord] = ACTIONS(2328),
    [anon_sym_prototype] = ACTIONS(2328),
    [anon_sym_pop] = ACTIONS(2328),
    [anon_sym_pos] = ACTIONS(2328),
    [anon_sym_quotemeta] = ACTIONS(2328),
    [anon_sym_reset] = ACTIONS(2328),
    [anon_sym_rand] = ACTIONS(2328),
    [anon_sym_rmdir] = ACTIONS(2328),
    [anon_sym_readdir] = ACTIONS(2328),
    [anon_sym_readline] = ACTIONS(2328),
    [anon_sym_readpipe] = ACTIONS(2328),
    [anon_sym_rewinddir] = ACTIONS(2328),
    [anon_sym_readlink] = ACTIONS(2328),
    [anon_sym_ref] = ACTIONS(2328),
    [anon_sym_scalar] = ACTIONS(2328),
    [anon_sym_shift] = ACTIONS(2328),
    [anon_sym_sin] = ACTIONS(2328),
    [anon_sym_sleep] = ACTIONS(2328),
    [anon_sym_sqrt] = ACTIONS(2328),
    [anon_sym_srand] = ACTIONS(2328),
    [anon_sym_stat] = ACTIONS(2328),
    [anon_sym_study] = ACTIONS(2328),
    [anon_sym_tell] = ACTIONS(2328),
    [anon_sym_telldir] = ACTIONS(2328),
    [anon_sym_tied] = ACTIONS(2328),
    [anon_sym_uc] = ACTIONS(2328),
    [anon_sym_ucfirst] = ACTIONS(2328),
    [anon_sym_untie] = ACTIONS(2328),
    [anon_sym_umask] = ACTIONS(2328),
    [anon_sym_values] = ACTIONS(2328),
    [anon_sym_write] = ACTIONS(2328),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2328),
    [anon_sym_qq] = ACTIONS(2328),
    [anon_sym_qw] = ACTIONS(2328),
    [anon_sym_qx] = ACTIONS(2328),
    [anon_sym_qr] = ACTIONS(2328),
    [anon_sym_m] = ACTIONS(2328),
    [anon_sym_s] = ACTIONS(2328),
    [anon_sym_tr] = ACTIONS(2328),
    [anon_sym_y] = ACTIONS(2328),
    [anon_sym_if] = ACTIONS(2328),
    [anon_sym_unless] = ACTIONS(2328),
    [anon_sym_while] = ACTIONS(2328),
    [anon_sym_until] = ACTIONS(2328),
    [aux_sym__bareword_token1] = ACTIONS(2328),
    [sym_number] = ACTIONS(2328),
    [anon_sym_true] = ACTIONS(2328),
    [anon_sym_false] = ACTIONS(2328),
    [sym__single_quote] = ACTIONS(2326),
    [sym__double_quote] = ACTIONS(2326),
    [sym__backtick_quote] = ACTIONS(2326),
    [sym__search_slash_quote] = ACTIONS(2326),
    [sym__open_readline_bracket] = ACTIONS(2326),
    [sym__open_fileglob_bracket] = ACTIONS(2326),
    [sym__PERLY_HEREDOC] = ACTIONS(2326),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2326),
    [sym__filetest] = ACTIONS(2326),
  },
  [1072] = {
    [sym_heredoc_content] = STATE(1072),
    [sym__identifier] = ACTIONS(2332),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_RBRACE] = ACTIONS(2332),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym_package] = ACTIONS(2332),
    [anon_sym_class] = ACTIONS(2332),
    [anon_sym_role] = ACTIONS(2332),
    [anon_sym_BUILD] = ACTIONS(2332),
    [anon_sym_ADJUST] = ACTIONS(2332),
    [anon_sym_DOLLAR] = ACTIONS(2332),
    [anon_sym_AT] = ACTIONS(2332),
    [anon_sym_my] = ACTIONS(2332),
    [anon_sym_extended] = ACTIONS(2332),
    [anon_sym_async] = ACTIONS(2332),
    [anon_sym_sub] = ACTIONS(2332),
    [anon_sym_method] = ACTIONS(2332),
    [anon_sym_LPAREN] = ACTIONS(2332),
    [anon_sym_continue] = ACTIONS(2332),
    [anon_sym_state] = ACTIONS(2332),
    [anon_sym_our] = ACTIONS(2332),
    [anon_sym_try] = ACTIONS(2332),
    [anon_sym_defer] = ACTIONS(2332),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2332),
    [anon_sym_LBRACK] = ACTIONS(2332),
    [anon_sym_LT_LT] = ACTIONS(2332),
    [anon_sym_SLASH_SLASH] = ACTIONS(2332),
    [anon_sym_PLUS] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_BSLASH] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2332),
    [anon_sym_eval] = ACTIONS(2332),
    [anon_sym_await] = ACTIONS(2332),
    [anon_sym_field] = ACTIONS(2332),
    [anon_sym_local] = ACTIONS(2332),
    [anon_sym_dynamically] = ACTIONS(2332),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2332),
    [anon_sym_require] = ACTIONS(2332),
    [anon_sym_map] = ACTIONS(2332),
    [anon_sym_grep] = ACTIONS(2332),
    [anon_sym_sort] = ACTIONS(2332),
    [anon_sym_goto] = ACTIONS(2332),
    [anon_sym_return] = ACTIONS(2332),
    [anon_sym_undef] = ACTIONS(2332),
    [anon_sym_PERCENT2] = ACTIONS(2332),
    [anon_sym_AMP2] = ACTIONS(2332),
    [anon_sym_STAR2] = ACTIONS(2332),
    [anon_sym_use] = ACTIONS(2332),
    [anon_sym_no] = ACTIONS(2332),
    [anon_sym_for] = ACTIONS(2332),
    [anon_sym_foreach] = ACTIONS(2332),
    [anon_sym_last] = ACTIONS(2332),
    [anon_sym_next] = ACTIONS(2332),
    [anon_sym_redo] = ACTIONS(2332),
    [anon_sym_BEGIN] = ACTIONS(2332),
    [anon_sym_INIT] = ACTIONS(2332),
    [anon_sym_CHECK] = ACTIONS(2332),
    [anon_sym_UNITCHECK] = ACTIONS(2332),
    [anon_sym_END] = ACTIONS(2332),
    [anon_sym___FILE__] = ACTIONS(2332),
    [anon_sym___LINE__] = ACTIONS(2332),
    [anon_sym___PACKAGE__] = ACTIONS(2332),
    [anon_sym___SUB__] = ACTIONS(2332),
    [anon_sym_break] = ACTIONS(2332),
    [anon_sym_fork] = ACTIONS(2332),
    [anon_sym_getppid] = ACTIONS(2332),
    [anon_sym_time] = ACTIONS(2332),
    [anon_sym_times] = ACTIONS(2332),
    [anon_sym_wait] = ACTIONS(2332),
    [anon_sym_wantarray] = ACTIONS(2332),
    [anon_sym_abs] = ACTIONS(2332),
    [anon_sym_alarm] = ACTIONS(2332),
    [anon_sym_chop] = ACTIONS(2332),
    [anon_sym_chdir] = ACTIONS(2332),
    [anon_sym_close] = ACTIONS(2332),
    [anon_sym_closedir] = ACTIONS(2332),
    [anon_sym_caller] = ACTIONS(2332),
    [anon_sym_chomp] = ACTIONS(2332),
    [anon_sym_chr] = ACTIONS(2332),
    [anon_sym_cos] = ACTIONS(2332),
    [anon_sym_chroot] = ACTIONS(2332),
    [anon_sym_defined] = ACTIONS(2332),
    [anon_sym_delete] = ACTIONS(2332),
    [anon_sym_dbmclose] = ACTIONS(2332),
    [anon_sym_exists] = ACTIONS(2332),
    [anon_sym_exit] = ACTIONS(2332),
    [anon_sym_eof] = ACTIONS(2332),
    [anon_sym_exp] = ACTIONS(2332),
    [anon_sym_each] = ACTIONS(2332),
    [anon_sym_fc] = ACTIONS(2332),
    [anon_sym_fileno] = ACTIONS(2332),
    [anon_sym_gmtime] = ACTIONS(2332),
    [anon_sym_getc] = ACTIONS(2332),
    [anon_sym_getpgrp] = ACTIONS(2332),
    [anon_sym_getprotobyname] = ACTIONS(2332),
    [anon_sym_getpwname] = ACTIONS(2332),
    [anon_sym_getpwuid] = ACTIONS(2332),
    [anon_sym_getpeername] = ACTIONS(2332),
    [anon_sym_getnetbyname] = ACTIONS(2332),
    [anon_sym_getsockname] = ACTIONS(2332),
    [anon_sym_getgrnam] = ACTIONS(2332),
    [anon_sym_getgrgid] = ACTIONS(2332),
    [anon_sym_hex] = ACTIONS(2332),
    [anon_sym_int] = ACTIONS(2332),
    [anon_sym_keys] = ACTIONS(2332),
    [anon_sym_lc] = ACTIONS(2332),
    [anon_sym_lcfirst] = ACTIONS(2332),
    [anon_sym_length] = ACTIONS(2332),
    [anon_sym_localtime] = ACTIONS(2332),
    [anon_sym_log] = ACTIONS(2332),
    [anon_sym_lock] = ACTIONS(2332),
    [anon_sym_lstat] = ACTIONS(2332),
    [anon_sym_oct] = ACTIONS(2332),
    [anon_sym_ord] = ACTIONS(2332),
    [anon_sym_prototype] = ACTIONS(2332),
    [anon_sym_pop] = ACTIONS(2332),
    [anon_sym_pos] = ACTIONS(2332),
    [anon_sym_quotemeta] = ACTIONS(2332),
    [anon_sym_reset] = ACTIONS(2332),
    [anon_sym_rand] = ACTIONS(2332),
    [anon_sym_rmdir] = ACTIONS(2332),
    [anon_sym_readdir] = ACTIONS(2332),
    [anon_sym_readline] = ACTIONS(2332),
    [anon_sym_readpipe] = ACTIONS(2332),
    [anon_sym_rewinddir] = ACTIONS(2332),
    [anon_sym_readlink] = ACTIONS(2332),
    [anon_sym_ref] = ACTIONS(2332),
    [anon_sym_scalar] = ACTIONS(2332),
    [anon_sym_shift] = ACTIONS(2332),
    [anon_sym_sin] = ACTIONS(2332),
    [anon_sym_sleep] = ACTIONS(2332),
    [anon_sym_sqrt] = ACTIONS(2332),
    [anon_sym_srand] = ACTIONS(2332),
    [anon_sym_stat] = ACTIONS(2332),
    [anon_sym_study] = ACTIONS(2332),
    [anon_sym_tell] = ACTIONS(2332),
    [anon_sym_telldir] = ACTIONS(2332),
    [anon_sym_tied] = ACTIONS(2332),
    [anon_sym_uc] = ACTIONS(2332),
    [anon_sym_ucfirst] = ACTIONS(2332),
    [anon_sym_untie] = ACTIONS(2332),
    [anon_sym_umask] = ACTIONS(2332),
    [anon_sym_values] = ACTIONS(2332),
    [anon_sym_write] = ACTIONS(2332),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2332),
    [anon_sym_qq] = ACTIONS(2332),
    [anon_sym_qw] = ACTIONS(2332),
    [anon_sym_qx] = ACTIONS(2332),
    [anon_sym_qr] = ACTIONS(2332),
    [anon_sym_m] = ACTIONS(2332),
    [anon_sym_s] = ACTIONS(2332),
    [anon_sym_tr] = ACTIONS(2332),
    [anon_sym_y] = ACTIONS(2332),
    [anon_sym_if] = ACTIONS(2332),
    [anon_sym_unless] = ACTIONS(2332),
    [anon_sym_while] = ACTIONS(2332),
    [anon_sym_until] = ACTIONS(2332),
    [aux_sym__bareword_token1] = ACTIONS(2332),
    [sym_number] = ACTIONS(2332),
    [anon_sym_true] = ACTIONS(2332),
    [anon_sym_false] = ACTIONS(2332),
    [sym__single_quote] = ACTIONS(2330),
    [sym__double_quote] = ACTIONS(2330),
    [sym__backtick_quote] = ACTIONS(2330),
    [sym__search_slash_quote] = ACTIONS(2330),
    [sym__open_readline_bracket] = ACTIONS(2330),
    [sym__open_fileglob_bracket] = ACTIONS(2330),
    [sym__PERLY_HEREDOC] = ACTIONS(2330),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2330),
    [sym__filetest] = ACTIONS(2330),
  },
  [1073] = {
    [sym_heredoc_content] = STATE(1073),
    [sym__identifier] = ACTIONS(2336),
    [anon_sym_LBRACE] = ACTIONS(2336),
    [anon_sym_RBRACE] = ACTIONS(2336),
    [anon_sym_SEMI] = ACTIONS(2336),
    [anon_sym_package] = ACTIONS(2336),
    [anon_sym_class] = ACTIONS(2336),
    [anon_sym_role] = ACTIONS(2336),
    [anon_sym_BUILD] = ACTIONS(2336),
    [anon_sym_ADJUST] = ACTIONS(2336),
    [anon_sym_DOLLAR] = ACTIONS(2336),
    [anon_sym_AT] = ACTIONS(2336),
    [anon_sym_my] = ACTIONS(2336),
    [anon_sym_extended] = ACTIONS(2336),
    [anon_sym_async] = ACTIONS(2336),
    [anon_sym_sub] = ACTIONS(2336),
    [anon_sym_method] = ACTIONS(2336),
    [anon_sym_LPAREN] = ACTIONS(2336),
    [anon_sym_continue] = ACTIONS(2336),
    [anon_sym_state] = ACTIONS(2336),
    [anon_sym_our] = ACTIONS(2336),
    [anon_sym_try] = ACTIONS(2336),
    [anon_sym_defer] = ACTIONS(2336),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2336),
    [anon_sym_LBRACK] = ACTIONS(2336),
    [anon_sym_LT_LT] = ACTIONS(2336),
    [anon_sym_SLASH_SLASH] = ACTIONS(2336),
    [anon_sym_PLUS] = ACTIONS(2336),
    [anon_sym_DASH] = ACTIONS(2336),
    [anon_sym_TILDE] = ACTIONS(2336),
    [anon_sym_BANG] = ACTIONS(2336),
    [anon_sym_PLUS_PLUS] = ACTIONS(2336),
    [anon_sym_DASH_DASH] = ACTIONS(2336),
    [anon_sym_BSLASH] = ACTIONS(2334),
    [anon_sym_do] = ACTIONS(2336),
    [anon_sym_eval] = ACTIONS(2336),
    [anon_sym_await] = ACTIONS(2336),
    [anon_sym_field] = ACTIONS(2336),
    [anon_sym_local] = ACTIONS(2336),
    [anon_sym_dynamically] = ACTIONS(2336),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2336),
    [anon_sym_require] = ACTIONS(2336),
    [anon_sym_map] = ACTIONS(2336),
    [anon_sym_grep] = ACTIONS(2336),
    [anon_sym_sort] = ACTIONS(2336),
    [anon_sym_goto] = ACTIONS(2336),
    [anon_sym_return] = ACTIONS(2336),
    [anon_sym_undef] = ACTIONS(2336),
    [anon_sym_PERCENT2] = ACTIONS(2336),
    [anon_sym_AMP2] = ACTIONS(2336),
    [anon_sym_STAR2] = ACTIONS(2336),
    [anon_sym_use] = ACTIONS(2336),
    [anon_sym_no] = ACTIONS(2336),
    [anon_sym_for] = ACTIONS(2336),
    [anon_sym_foreach] = ACTIONS(2336),
    [anon_sym_last] = ACTIONS(2336),
    [anon_sym_next] = ACTIONS(2336),
    [anon_sym_redo] = ACTIONS(2336),
    [anon_sym_BEGIN] = ACTIONS(2336),
    [anon_sym_INIT] = ACTIONS(2336),
    [anon_sym_CHECK] = ACTIONS(2336),
    [anon_sym_UNITCHECK] = ACTIONS(2336),
    [anon_sym_END] = ACTIONS(2336),
    [anon_sym___FILE__] = ACTIONS(2336),
    [anon_sym___LINE__] = ACTIONS(2336),
    [anon_sym___PACKAGE__] = ACTIONS(2336),
    [anon_sym___SUB__] = ACTIONS(2336),
    [anon_sym_break] = ACTIONS(2336),
    [anon_sym_fork] = ACTIONS(2336),
    [anon_sym_getppid] = ACTIONS(2336),
    [anon_sym_time] = ACTIONS(2336),
    [anon_sym_times] = ACTIONS(2336),
    [anon_sym_wait] = ACTIONS(2336),
    [anon_sym_wantarray] = ACTIONS(2336),
    [anon_sym_abs] = ACTIONS(2336),
    [anon_sym_alarm] = ACTIONS(2336),
    [anon_sym_chop] = ACTIONS(2336),
    [anon_sym_chdir] = ACTIONS(2336),
    [anon_sym_close] = ACTIONS(2336),
    [anon_sym_closedir] = ACTIONS(2336),
    [anon_sym_caller] = ACTIONS(2336),
    [anon_sym_chomp] = ACTIONS(2336),
    [anon_sym_chr] = ACTIONS(2336),
    [anon_sym_cos] = ACTIONS(2336),
    [anon_sym_chroot] = ACTIONS(2336),
    [anon_sym_defined] = ACTIONS(2336),
    [anon_sym_delete] = ACTIONS(2336),
    [anon_sym_dbmclose] = ACTIONS(2336),
    [anon_sym_exists] = ACTIONS(2336),
    [anon_sym_exit] = ACTIONS(2336),
    [anon_sym_eof] = ACTIONS(2336),
    [anon_sym_exp] = ACTIONS(2336),
    [anon_sym_each] = ACTIONS(2336),
    [anon_sym_fc] = ACTIONS(2336),
    [anon_sym_fileno] = ACTIONS(2336),
    [anon_sym_gmtime] = ACTIONS(2336),
    [anon_sym_getc] = ACTIONS(2336),
    [anon_sym_getpgrp] = ACTIONS(2336),
    [anon_sym_getprotobyname] = ACTIONS(2336),
    [anon_sym_getpwname] = ACTIONS(2336),
    [anon_sym_getpwuid] = ACTIONS(2336),
    [anon_sym_getpeername] = ACTIONS(2336),
    [anon_sym_getnetbyname] = ACTIONS(2336),
    [anon_sym_getsockname] = ACTIONS(2336),
    [anon_sym_getgrnam] = ACTIONS(2336),
    [anon_sym_getgrgid] = ACTIONS(2336),
    [anon_sym_hex] = ACTIONS(2336),
    [anon_sym_int] = ACTIONS(2336),
    [anon_sym_keys] = ACTIONS(2336),
    [anon_sym_lc] = ACTIONS(2336),
    [anon_sym_lcfirst] = ACTIONS(2336),
    [anon_sym_length] = ACTIONS(2336),
    [anon_sym_localtime] = ACTIONS(2336),
    [anon_sym_log] = ACTIONS(2336),
    [anon_sym_lock] = ACTIONS(2336),
    [anon_sym_lstat] = ACTIONS(2336),
    [anon_sym_oct] = ACTIONS(2336),
    [anon_sym_ord] = ACTIONS(2336),
    [anon_sym_prototype] = ACTIONS(2336),
    [anon_sym_pop] = ACTIONS(2336),
    [anon_sym_pos] = ACTIONS(2336),
    [anon_sym_quotemeta] = ACTIONS(2336),
    [anon_sym_reset] = ACTIONS(2336),
    [anon_sym_rand] = ACTIONS(2336),
    [anon_sym_rmdir] = ACTIONS(2336),
    [anon_sym_readdir] = ACTIONS(2336),
    [anon_sym_readline] = ACTIONS(2336),
    [anon_sym_readpipe] = ACTIONS(2336),
    [anon_sym_rewinddir] = ACTIONS(2336),
    [anon_sym_readlink] = ACTIONS(2336),
    [anon_sym_ref] = ACTIONS(2336),
    [anon_sym_scalar] = ACTIONS(2336),
    [anon_sym_shift] = ACTIONS(2336),
    [anon_sym_sin] = ACTIONS(2336),
    [anon_sym_sleep] = ACTIONS(2336),
    [anon_sym_sqrt] = ACTIONS(2336),
    [anon_sym_srand] = ACTIONS(2336),
    [anon_sym_stat] = ACTIONS(2336),
    [anon_sym_study] = ACTIONS(2336),
    [anon_sym_tell] = ACTIONS(2336),
    [anon_sym_telldir] = ACTIONS(2336),
    [anon_sym_tied] = ACTIONS(2336),
    [anon_sym_uc] = ACTIONS(2336),
    [anon_sym_ucfirst] = ACTIONS(2336),
    [anon_sym_untie] = ACTIONS(2336),
    [anon_sym_umask] = ACTIONS(2336),
    [anon_sym_values] = ACTIONS(2336),
    [anon_sym_write] = ACTIONS(2336),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2336),
    [anon_sym_qq] = ACTIONS(2336),
    [anon_sym_qw] = ACTIONS(2336),
    [anon_sym_qx] = ACTIONS(2336),
    [anon_sym_qr] = ACTIONS(2336),
    [anon_sym_m] = ACTIONS(2336),
    [anon_sym_s] = ACTIONS(2336),
    [anon_sym_tr] = ACTIONS(2336),
    [anon_sym_y] = ACTIONS(2336),
    [anon_sym_if] = ACTIONS(2336),
    [anon_sym_unless] = ACTIONS(2336),
    [anon_sym_while] = ACTIONS(2336),
    [anon_sym_until] = ACTIONS(2336),
    [aux_sym__bareword_token1] = ACTIONS(2336),
    [sym_number] = ACTIONS(2336),
    [anon_sym_true] = ACTIONS(2336),
    [anon_sym_false] = ACTIONS(2336),
    [sym__single_quote] = ACTIONS(2334),
    [sym__double_quote] = ACTIONS(2334),
    [sym__backtick_quote] = ACTIONS(2334),
    [sym__search_slash_quote] = ACTIONS(2334),
    [sym__open_readline_bracket] = ACTIONS(2334),
    [sym__open_fileglob_bracket] = ACTIONS(2334),
    [sym__PERLY_HEREDOC] = ACTIONS(2334),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2334),
    [sym__filetest] = ACTIONS(2334),
  },
  [1074] = {
    [sym_heredoc_content] = STATE(1074),
    [sym__identifier] = ACTIONS(2093),
    [anon_sym_LBRACE] = ACTIONS(2093),
    [anon_sym_RBRACE] = ACTIONS(2093),
    [anon_sym_SEMI] = ACTIONS(2093),
    [anon_sym_package] = ACTIONS(2093),
    [anon_sym_class] = ACTIONS(2093),
    [anon_sym_role] = ACTIONS(2093),
    [anon_sym_BUILD] = ACTIONS(2093),
    [anon_sym_ADJUST] = ACTIONS(2093),
    [anon_sym_DOLLAR] = ACTIONS(2093),
    [anon_sym_AT] = ACTIONS(2093),
    [anon_sym_my] = ACTIONS(2093),
    [anon_sym_extended] = ACTIONS(2093),
    [anon_sym_async] = ACTIONS(2093),
    [anon_sym_sub] = ACTIONS(2093),
    [anon_sym_method] = ACTIONS(2093),
    [anon_sym_LPAREN] = ACTIONS(2093),
    [anon_sym_continue] = ACTIONS(2093),
    [anon_sym_state] = ACTIONS(2093),
    [anon_sym_our] = ACTIONS(2093),
    [anon_sym_try] = ACTIONS(2093),
    [anon_sym_defer] = ACTIONS(2093),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2093),
    [anon_sym_LBRACK] = ACTIONS(2093),
    [anon_sym_LT_LT] = ACTIONS(2093),
    [anon_sym_SLASH_SLASH] = ACTIONS(2093),
    [anon_sym_PLUS] = ACTIONS(2093),
    [anon_sym_DASH] = ACTIONS(2093),
    [anon_sym_TILDE] = ACTIONS(2093),
    [anon_sym_BANG] = ACTIONS(2093),
    [anon_sym_PLUS_PLUS] = ACTIONS(2093),
    [anon_sym_DASH_DASH] = ACTIONS(2093),
    [anon_sym_BSLASH] = ACTIONS(2091),
    [anon_sym_do] = ACTIONS(2093),
    [anon_sym_eval] = ACTIONS(2093),
    [anon_sym_await] = ACTIONS(2093),
    [anon_sym_field] = ACTIONS(2093),
    [anon_sym_local] = ACTIONS(2093),
    [anon_sym_dynamically] = ACTIONS(2093),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2093),
    [anon_sym_require] = ACTIONS(2093),
    [anon_sym_map] = ACTIONS(2093),
    [anon_sym_grep] = ACTIONS(2093),
    [anon_sym_sort] = ACTIONS(2093),
    [anon_sym_goto] = ACTIONS(2093),
    [anon_sym_return] = ACTIONS(2093),
    [anon_sym_undef] = ACTIONS(2093),
    [anon_sym_PERCENT2] = ACTIONS(2093),
    [anon_sym_AMP2] = ACTIONS(2093),
    [anon_sym_STAR2] = ACTIONS(2093),
    [anon_sym_use] = ACTIONS(2093),
    [anon_sym_no] = ACTIONS(2093),
    [anon_sym_for] = ACTIONS(2093),
    [anon_sym_foreach] = ACTIONS(2093),
    [anon_sym_last] = ACTIONS(2093),
    [anon_sym_next] = ACTIONS(2093),
    [anon_sym_redo] = ACTIONS(2093),
    [anon_sym_BEGIN] = ACTIONS(2093),
    [anon_sym_INIT] = ACTIONS(2093),
    [anon_sym_CHECK] = ACTIONS(2093),
    [anon_sym_UNITCHECK] = ACTIONS(2093),
    [anon_sym_END] = ACTIONS(2093),
    [anon_sym___FILE__] = ACTIONS(2093),
    [anon_sym___LINE__] = ACTIONS(2093),
    [anon_sym___PACKAGE__] = ACTIONS(2093),
    [anon_sym___SUB__] = ACTIONS(2093),
    [anon_sym_break] = ACTIONS(2093),
    [anon_sym_fork] = ACTIONS(2093),
    [anon_sym_getppid] = ACTIONS(2093),
    [anon_sym_time] = ACTIONS(2093),
    [anon_sym_times] = ACTIONS(2093),
    [anon_sym_wait] = ACTIONS(2093),
    [anon_sym_wantarray] = ACTIONS(2093),
    [anon_sym_abs] = ACTIONS(2093),
    [anon_sym_alarm] = ACTIONS(2093),
    [anon_sym_chop] = ACTIONS(2093),
    [anon_sym_chdir] = ACTIONS(2093),
    [anon_sym_close] = ACTIONS(2093),
    [anon_sym_closedir] = ACTIONS(2093),
    [anon_sym_caller] = ACTIONS(2093),
    [anon_sym_chomp] = ACTIONS(2093),
    [anon_sym_chr] = ACTIONS(2093),
    [anon_sym_cos] = ACTIONS(2093),
    [anon_sym_chroot] = ACTIONS(2093),
    [anon_sym_defined] = ACTIONS(2093),
    [anon_sym_delete] = ACTIONS(2093),
    [anon_sym_dbmclose] = ACTIONS(2093),
    [anon_sym_exists] = ACTIONS(2093),
    [anon_sym_exit] = ACTIONS(2093),
    [anon_sym_eof] = ACTIONS(2093),
    [anon_sym_exp] = ACTIONS(2093),
    [anon_sym_each] = ACTIONS(2093),
    [anon_sym_fc] = ACTIONS(2093),
    [anon_sym_fileno] = ACTIONS(2093),
    [anon_sym_gmtime] = ACTIONS(2093),
    [anon_sym_getc] = ACTIONS(2093),
    [anon_sym_getpgrp] = ACTIONS(2093),
    [anon_sym_getprotobyname] = ACTIONS(2093),
    [anon_sym_getpwname] = ACTIONS(2093),
    [anon_sym_getpwuid] = ACTIONS(2093),
    [anon_sym_getpeername] = ACTIONS(2093),
    [anon_sym_getnetbyname] = ACTIONS(2093),
    [anon_sym_getsockname] = ACTIONS(2093),
    [anon_sym_getgrnam] = ACTIONS(2093),
    [anon_sym_getgrgid] = ACTIONS(2093),
    [anon_sym_hex] = ACTIONS(2093),
    [anon_sym_int] = ACTIONS(2093),
    [anon_sym_keys] = ACTIONS(2093),
    [anon_sym_lc] = ACTIONS(2093),
    [anon_sym_lcfirst] = ACTIONS(2093),
    [anon_sym_length] = ACTIONS(2093),
    [anon_sym_localtime] = ACTIONS(2093),
    [anon_sym_log] = ACTIONS(2093),
    [anon_sym_lock] = ACTIONS(2093),
    [anon_sym_lstat] = ACTIONS(2093),
    [anon_sym_oct] = ACTIONS(2093),
    [anon_sym_ord] = ACTIONS(2093),
    [anon_sym_prototype] = ACTIONS(2093),
    [anon_sym_pop] = ACTIONS(2093),
    [anon_sym_pos] = ACTIONS(2093),
    [anon_sym_quotemeta] = ACTIONS(2093),
    [anon_sym_reset] = ACTIONS(2093),
    [anon_sym_rand] = ACTIONS(2093),
    [anon_sym_rmdir] = ACTIONS(2093),
    [anon_sym_readdir] = ACTIONS(2093),
    [anon_sym_readline] = ACTIONS(2093),
    [anon_sym_readpipe] = ACTIONS(2093),
    [anon_sym_rewinddir] = ACTIONS(2093),
    [anon_sym_readlink] = ACTIONS(2093),
    [anon_sym_ref] = ACTIONS(2093),
    [anon_sym_scalar] = ACTIONS(2093),
    [anon_sym_shift] = ACTIONS(2093),
    [anon_sym_sin] = ACTIONS(2093),
    [anon_sym_sleep] = ACTIONS(2093),
    [anon_sym_sqrt] = ACTIONS(2093),
    [anon_sym_srand] = ACTIONS(2093),
    [anon_sym_stat] = ACTIONS(2093),
    [anon_sym_study] = ACTIONS(2093),
    [anon_sym_tell] = ACTIONS(2093),
    [anon_sym_telldir] = ACTIONS(2093),
    [anon_sym_tied] = ACTIONS(2093),
    [anon_sym_uc] = ACTIONS(2093),
    [anon_sym_ucfirst] = ACTIONS(2093),
    [anon_sym_untie] = ACTIONS(2093),
    [anon_sym_umask] = ACTIONS(2093),
    [anon_sym_values] = ACTIONS(2093),
    [anon_sym_write] = ACTIONS(2093),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2093),
    [anon_sym_qq] = ACTIONS(2093),
    [anon_sym_qw] = ACTIONS(2093),
    [anon_sym_qx] = ACTIONS(2093),
    [anon_sym_qr] = ACTIONS(2093),
    [anon_sym_m] = ACTIONS(2093),
    [anon_sym_s] = ACTIONS(2093),
    [anon_sym_tr] = ACTIONS(2093),
    [anon_sym_y] = ACTIONS(2093),
    [anon_sym_if] = ACTIONS(2093),
    [anon_sym_unless] = ACTIONS(2093),
    [anon_sym_while] = ACTIONS(2093),
    [anon_sym_until] = ACTIONS(2093),
    [aux_sym__bareword_token1] = ACTIONS(2093),
    [sym_number] = ACTIONS(2093),
    [anon_sym_true] = ACTIONS(2093),
    [anon_sym_false] = ACTIONS(2093),
    [sym__single_quote] = ACTIONS(2091),
    [sym__double_quote] = ACTIONS(2091),
    [sym__backtick_quote] = ACTIONS(2091),
    [sym__search_slash_quote] = ACTIONS(2091),
    [sym__open_readline_bracket] = ACTIONS(2091),
    [sym__open_fileglob_bracket] = ACTIONS(2091),
    [sym__PERLY_HEREDOC] = ACTIONS(2091),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2091),
    [sym__filetest] = ACTIONS(2091),
  },
  [1075] = {
    [sym_heredoc_content] = STATE(1075),
    [sym__identifier] = ACTIONS(2340),
    [anon_sym_LBRACE] = ACTIONS(2340),
    [anon_sym_RBRACE] = ACTIONS(2340),
    [anon_sym_SEMI] = ACTIONS(2340),
    [anon_sym_package] = ACTIONS(2340),
    [anon_sym_class] = ACTIONS(2340),
    [anon_sym_role] = ACTIONS(2340),
    [anon_sym_BUILD] = ACTIONS(2340),
    [anon_sym_ADJUST] = ACTIONS(2340),
    [anon_sym_DOLLAR] = ACTIONS(2340),
    [anon_sym_AT] = ACTIONS(2340),
    [anon_sym_my] = ACTIONS(2340),
    [anon_sym_extended] = ACTIONS(2340),
    [anon_sym_async] = ACTIONS(2340),
    [anon_sym_sub] = ACTIONS(2340),
    [anon_sym_method] = ACTIONS(2340),
    [anon_sym_LPAREN] = ACTIONS(2340),
    [anon_sym_continue] = ACTIONS(2340),
    [anon_sym_state] = ACTIONS(2340),
    [anon_sym_our] = ACTIONS(2340),
    [anon_sym_try] = ACTIONS(2340),
    [anon_sym_defer] = ACTIONS(2340),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2340),
    [anon_sym_LBRACK] = ACTIONS(2340),
    [anon_sym_LT_LT] = ACTIONS(2340),
    [anon_sym_SLASH_SLASH] = ACTIONS(2340),
    [anon_sym_PLUS] = ACTIONS(2340),
    [anon_sym_DASH] = ACTIONS(2340),
    [anon_sym_TILDE] = ACTIONS(2340),
    [anon_sym_BANG] = ACTIONS(2340),
    [anon_sym_PLUS_PLUS] = ACTIONS(2340),
    [anon_sym_DASH_DASH] = ACTIONS(2340),
    [anon_sym_BSLASH] = ACTIONS(2338),
    [anon_sym_do] = ACTIONS(2340),
    [anon_sym_eval] = ACTIONS(2340),
    [anon_sym_await] = ACTIONS(2340),
    [anon_sym_field] = ACTIONS(2340),
    [anon_sym_local] = ACTIONS(2340),
    [anon_sym_dynamically] = ACTIONS(2340),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2340),
    [anon_sym_require] = ACTIONS(2340),
    [anon_sym_map] = ACTIONS(2340),
    [anon_sym_grep] = ACTIONS(2340),
    [anon_sym_sort] = ACTIONS(2340),
    [anon_sym_goto] = ACTIONS(2340),
    [anon_sym_return] = ACTIONS(2340),
    [anon_sym_undef] = ACTIONS(2340),
    [anon_sym_PERCENT2] = ACTIONS(2340),
    [anon_sym_AMP2] = ACTIONS(2340),
    [anon_sym_STAR2] = ACTIONS(2340),
    [anon_sym_use] = ACTIONS(2340),
    [anon_sym_no] = ACTIONS(2340),
    [anon_sym_for] = ACTIONS(2340),
    [anon_sym_foreach] = ACTIONS(2340),
    [anon_sym_last] = ACTIONS(2340),
    [anon_sym_next] = ACTIONS(2340),
    [anon_sym_redo] = ACTIONS(2340),
    [anon_sym_BEGIN] = ACTIONS(2340),
    [anon_sym_INIT] = ACTIONS(2340),
    [anon_sym_CHECK] = ACTIONS(2340),
    [anon_sym_UNITCHECK] = ACTIONS(2340),
    [anon_sym_END] = ACTIONS(2340),
    [anon_sym___FILE__] = ACTIONS(2340),
    [anon_sym___LINE__] = ACTIONS(2340),
    [anon_sym___PACKAGE__] = ACTIONS(2340),
    [anon_sym___SUB__] = ACTIONS(2340),
    [anon_sym_break] = ACTIONS(2340),
    [anon_sym_fork] = ACTIONS(2340),
    [anon_sym_getppid] = ACTIONS(2340),
    [anon_sym_time] = ACTIONS(2340),
    [anon_sym_times] = ACTIONS(2340),
    [anon_sym_wait] = ACTIONS(2340),
    [anon_sym_wantarray] = ACTIONS(2340),
    [anon_sym_abs] = ACTIONS(2340),
    [anon_sym_alarm] = ACTIONS(2340),
    [anon_sym_chop] = ACTIONS(2340),
    [anon_sym_chdir] = ACTIONS(2340),
    [anon_sym_close] = ACTIONS(2340),
    [anon_sym_closedir] = ACTIONS(2340),
    [anon_sym_caller] = ACTIONS(2340),
    [anon_sym_chomp] = ACTIONS(2340),
    [anon_sym_chr] = ACTIONS(2340),
    [anon_sym_cos] = ACTIONS(2340),
    [anon_sym_chroot] = ACTIONS(2340),
    [anon_sym_defined] = ACTIONS(2340),
    [anon_sym_delete] = ACTIONS(2340),
    [anon_sym_dbmclose] = ACTIONS(2340),
    [anon_sym_exists] = ACTIONS(2340),
    [anon_sym_exit] = ACTIONS(2340),
    [anon_sym_eof] = ACTIONS(2340),
    [anon_sym_exp] = ACTIONS(2340),
    [anon_sym_each] = ACTIONS(2340),
    [anon_sym_fc] = ACTIONS(2340),
    [anon_sym_fileno] = ACTIONS(2340),
    [anon_sym_gmtime] = ACTIONS(2340),
    [anon_sym_getc] = ACTIONS(2340),
    [anon_sym_getpgrp] = ACTIONS(2340),
    [anon_sym_getprotobyname] = ACTIONS(2340),
    [anon_sym_getpwname] = ACTIONS(2340),
    [anon_sym_getpwuid] = ACTIONS(2340),
    [anon_sym_getpeername] = ACTIONS(2340),
    [anon_sym_getnetbyname] = ACTIONS(2340),
    [anon_sym_getsockname] = ACTIONS(2340),
    [anon_sym_getgrnam] = ACTIONS(2340),
    [anon_sym_getgrgid] = ACTIONS(2340),
    [anon_sym_hex] = ACTIONS(2340),
    [anon_sym_int] = ACTIONS(2340),
    [anon_sym_keys] = ACTIONS(2340),
    [anon_sym_lc] = ACTIONS(2340),
    [anon_sym_lcfirst] = ACTIONS(2340),
    [anon_sym_length] = ACTIONS(2340),
    [anon_sym_localtime] = ACTIONS(2340),
    [anon_sym_log] = ACTIONS(2340),
    [anon_sym_lock] = ACTIONS(2340),
    [anon_sym_lstat] = ACTIONS(2340),
    [anon_sym_oct] = ACTIONS(2340),
    [anon_sym_ord] = ACTIONS(2340),
    [anon_sym_prototype] = ACTIONS(2340),
    [anon_sym_pop] = ACTIONS(2340),
    [anon_sym_pos] = ACTIONS(2340),
    [anon_sym_quotemeta] = ACTIONS(2340),
    [anon_sym_reset] = ACTIONS(2340),
    [anon_sym_rand] = ACTIONS(2340),
    [anon_sym_rmdir] = ACTIONS(2340),
    [anon_sym_readdir] = ACTIONS(2340),
    [anon_sym_readline] = ACTIONS(2340),
    [anon_sym_readpipe] = ACTIONS(2340),
    [anon_sym_rewinddir] = ACTIONS(2340),
    [anon_sym_readlink] = ACTIONS(2340),
    [anon_sym_ref] = ACTIONS(2340),
    [anon_sym_scalar] = ACTIONS(2340),
    [anon_sym_shift] = ACTIONS(2340),
    [anon_sym_sin] = ACTIONS(2340),
    [anon_sym_sleep] = ACTIONS(2340),
    [anon_sym_sqrt] = ACTIONS(2340),
    [anon_sym_srand] = ACTIONS(2340),
    [anon_sym_stat] = ACTIONS(2340),
    [anon_sym_study] = ACTIONS(2340),
    [anon_sym_tell] = ACTIONS(2340),
    [anon_sym_telldir] = ACTIONS(2340),
    [anon_sym_tied] = ACTIONS(2340),
    [anon_sym_uc] = ACTIONS(2340),
    [anon_sym_ucfirst] = ACTIONS(2340),
    [anon_sym_untie] = ACTIONS(2340),
    [anon_sym_umask] = ACTIONS(2340),
    [anon_sym_values] = ACTIONS(2340),
    [anon_sym_write] = ACTIONS(2340),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2340),
    [anon_sym_qq] = ACTIONS(2340),
    [anon_sym_qw] = ACTIONS(2340),
    [anon_sym_qx] = ACTIONS(2340),
    [anon_sym_qr] = ACTIONS(2340),
    [anon_sym_m] = ACTIONS(2340),
    [anon_sym_s] = ACTIONS(2340),
    [anon_sym_tr] = ACTIONS(2340),
    [anon_sym_y] = ACTIONS(2340),
    [anon_sym_if] = ACTIONS(2340),
    [anon_sym_unless] = ACTIONS(2340),
    [anon_sym_while] = ACTIONS(2340),
    [anon_sym_until] = ACTIONS(2340),
    [aux_sym__bareword_token1] = ACTIONS(2340),
    [sym_number] = ACTIONS(2340),
    [anon_sym_true] = ACTIONS(2340),
    [anon_sym_false] = ACTIONS(2340),
    [sym__single_quote] = ACTIONS(2338),
    [sym__double_quote] = ACTIONS(2338),
    [sym__backtick_quote] = ACTIONS(2338),
    [sym__search_slash_quote] = ACTIONS(2338),
    [sym__open_readline_bracket] = ACTIONS(2338),
    [sym__open_fileglob_bracket] = ACTIONS(2338),
    [sym__PERLY_HEREDOC] = ACTIONS(2338),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2338),
    [sym__filetest] = ACTIONS(2338),
  },
  [1076] = {
    [sym_heredoc_content] = STATE(1076),
    [sym__identifier] = ACTIONS(1824),
    [anon_sym_LBRACE] = ACTIONS(1824),
    [anon_sym_RBRACE] = ACTIONS(1824),
    [anon_sym_SEMI] = ACTIONS(1824),
    [anon_sym_package] = ACTIONS(1824),
    [anon_sym_class] = ACTIONS(1824),
    [anon_sym_role] = ACTIONS(1824),
    [anon_sym_BUILD] = ACTIONS(1824),
    [anon_sym_ADJUST] = ACTIONS(1824),
    [anon_sym_DOLLAR] = ACTIONS(1824),
    [anon_sym_AT] = ACTIONS(1824),
    [anon_sym_my] = ACTIONS(1824),
    [anon_sym_extended] = ACTIONS(1824),
    [anon_sym_async] = ACTIONS(1824),
    [anon_sym_sub] = ACTIONS(1824),
    [anon_sym_method] = ACTIONS(1824),
    [anon_sym_LPAREN] = ACTIONS(1824),
    [anon_sym_continue] = ACTIONS(1824),
    [anon_sym_state] = ACTIONS(1824),
    [anon_sym_our] = ACTIONS(1824),
    [anon_sym_try] = ACTIONS(1824),
    [anon_sym_defer] = ACTIONS(1824),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1824),
    [anon_sym_LBRACK] = ACTIONS(1824),
    [anon_sym_LT_LT] = ACTIONS(1824),
    [anon_sym_SLASH_SLASH] = ACTIONS(1824),
    [anon_sym_PLUS] = ACTIONS(1824),
    [anon_sym_DASH] = ACTIONS(1824),
    [anon_sym_TILDE] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1824),
    [anon_sym_PLUS_PLUS] = ACTIONS(1824),
    [anon_sym_DASH_DASH] = ACTIONS(1824),
    [anon_sym_BSLASH] = ACTIONS(1826),
    [anon_sym_do] = ACTIONS(1824),
    [anon_sym_eval] = ACTIONS(1824),
    [anon_sym_await] = ACTIONS(1824),
    [anon_sym_field] = ACTIONS(1824),
    [anon_sym_local] = ACTIONS(1824),
    [anon_sym_dynamically] = ACTIONS(1824),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1824),
    [anon_sym_require] = ACTIONS(1824),
    [anon_sym_map] = ACTIONS(1824),
    [anon_sym_grep] = ACTIONS(1824),
    [anon_sym_sort] = ACTIONS(1824),
    [anon_sym_goto] = ACTIONS(1824),
    [anon_sym_return] = ACTIONS(1824),
    [anon_sym_undef] = ACTIONS(1824),
    [anon_sym_PERCENT2] = ACTIONS(1824),
    [anon_sym_AMP2] = ACTIONS(1824),
    [anon_sym_STAR2] = ACTIONS(1824),
    [anon_sym_use] = ACTIONS(1824),
    [anon_sym_no] = ACTIONS(1824),
    [anon_sym_for] = ACTIONS(1824),
    [anon_sym_foreach] = ACTIONS(1824),
    [anon_sym_last] = ACTIONS(1824),
    [anon_sym_next] = ACTIONS(1824),
    [anon_sym_redo] = ACTIONS(1824),
    [anon_sym_BEGIN] = ACTIONS(1824),
    [anon_sym_INIT] = ACTIONS(1824),
    [anon_sym_CHECK] = ACTIONS(1824),
    [anon_sym_UNITCHECK] = ACTIONS(1824),
    [anon_sym_END] = ACTIONS(1824),
    [anon_sym___FILE__] = ACTIONS(1824),
    [anon_sym___LINE__] = ACTIONS(1824),
    [anon_sym___PACKAGE__] = ACTIONS(1824),
    [anon_sym___SUB__] = ACTIONS(1824),
    [anon_sym_break] = ACTIONS(1824),
    [anon_sym_fork] = ACTIONS(1824),
    [anon_sym_getppid] = ACTIONS(1824),
    [anon_sym_time] = ACTIONS(1824),
    [anon_sym_times] = ACTIONS(1824),
    [anon_sym_wait] = ACTIONS(1824),
    [anon_sym_wantarray] = ACTIONS(1824),
    [anon_sym_abs] = ACTIONS(1824),
    [anon_sym_alarm] = ACTIONS(1824),
    [anon_sym_chop] = ACTIONS(1824),
    [anon_sym_chdir] = ACTIONS(1824),
    [anon_sym_close] = ACTIONS(1824),
    [anon_sym_closedir] = ACTIONS(1824),
    [anon_sym_caller] = ACTIONS(1824),
    [anon_sym_chomp] = ACTIONS(1824),
    [anon_sym_chr] = ACTIONS(1824),
    [anon_sym_cos] = ACTIONS(1824),
    [anon_sym_chroot] = ACTIONS(1824),
    [anon_sym_defined] = ACTIONS(1824),
    [anon_sym_delete] = ACTIONS(1824),
    [anon_sym_dbmclose] = ACTIONS(1824),
    [anon_sym_exists] = ACTIONS(1824),
    [anon_sym_exit] = ACTIONS(1824),
    [anon_sym_eof] = ACTIONS(1824),
    [anon_sym_exp] = ACTIONS(1824),
    [anon_sym_each] = ACTIONS(1824),
    [anon_sym_fc] = ACTIONS(1824),
    [anon_sym_fileno] = ACTIONS(1824),
    [anon_sym_gmtime] = ACTIONS(1824),
    [anon_sym_getc] = ACTIONS(1824),
    [anon_sym_getpgrp] = ACTIONS(1824),
    [anon_sym_getprotobyname] = ACTIONS(1824),
    [anon_sym_getpwname] = ACTIONS(1824),
    [anon_sym_getpwuid] = ACTIONS(1824),
    [anon_sym_getpeername] = ACTIONS(1824),
    [anon_sym_getnetbyname] = ACTIONS(1824),
    [anon_sym_getsockname] = ACTIONS(1824),
    [anon_sym_getgrnam] = ACTIONS(1824),
    [anon_sym_getgrgid] = ACTIONS(1824),
    [anon_sym_hex] = ACTIONS(1824),
    [anon_sym_int] = ACTIONS(1824),
    [anon_sym_keys] = ACTIONS(1824),
    [anon_sym_lc] = ACTIONS(1824),
    [anon_sym_lcfirst] = ACTIONS(1824),
    [anon_sym_length] = ACTIONS(1824),
    [anon_sym_localtime] = ACTIONS(1824),
    [anon_sym_log] = ACTIONS(1824),
    [anon_sym_lock] = ACTIONS(1824),
    [anon_sym_lstat] = ACTIONS(1824),
    [anon_sym_oct] = ACTIONS(1824),
    [anon_sym_ord] = ACTIONS(1824),
    [anon_sym_prototype] = ACTIONS(1824),
    [anon_sym_pop] = ACTIONS(1824),
    [anon_sym_pos] = ACTIONS(1824),
    [anon_sym_quotemeta] = ACTIONS(1824),
    [anon_sym_reset] = ACTIONS(1824),
    [anon_sym_rand] = ACTIONS(1824),
    [anon_sym_rmdir] = ACTIONS(1824),
    [anon_sym_readdir] = ACTIONS(1824),
    [anon_sym_readline] = ACTIONS(1824),
    [anon_sym_readpipe] = ACTIONS(1824),
    [anon_sym_rewinddir] = ACTIONS(1824),
    [anon_sym_readlink] = ACTIONS(1824),
    [anon_sym_ref] = ACTIONS(1824),
    [anon_sym_scalar] = ACTIONS(1824),
    [anon_sym_shift] = ACTIONS(1824),
    [anon_sym_sin] = ACTIONS(1824),
    [anon_sym_sleep] = ACTIONS(1824),
    [anon_sym_sqrt] = ACTIONS(1824),
    [anon_sym_srand] = ACTIONS(1824),
    [anon_sym_stat] = ACTIONS(1824),
    [anon_sym_study] = ACTIONS(1824),
    [anon_sym_tell] = ACTIONS(1824),
    [anon_sym_telldir] = ACTIONS(1824),
    [anon_sym_tied] = ACTIONS(1824),
    [anon_sym_uc] = ACTIONS(1824),
    [anon_sym_ucfirst] = ACTIONS(1824),
    [anon_sym_untie] = ACTIONS(1824),
    [anon_sym_umask] = ACTIONS(1824),
    [anon_sym_values] = ACTIONS(1824),
    [anon_sym_write] = ACTIONS(1824),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1824),
    [anon_sym_qq] = ACTIONS(1824),
    [anon_sym_qw] = ACTIONS(1824),
    [anon_sym_qx] = ACTIONS(1824),
    [anon_sym_qr] = ACTIONS(1824),
    [anon_sym_m] = ACTIONS(1824),
    [anon_sym_s] = ACTIONS(1824),
    [anon_sym_tr] = ACTIONS(1824),
    [anon_sym_y] = ACTIONS(1824),
    [anon_sym_if] = ACTIONS(1824),
    [anon_sym_unless] = ACTIONS(1824),
    [anon_sym_while] = ACTIONS(1824),
    [anon_sym_until] = ACTIONS(1824),
    [aux_sym__bareword_token1] = ACTIONS(1824),
    [sym_number] = ACTIONS(1824),
    [anon_sym_true] = ACTIONS(1824),
    [anon_sym_false] = ACTIONS(1824),
    [sym__single_quote] = ACTIONS(1826),
    [sym__double_quote] = ACTIONS(1826),
    [sym__backtick_quote] = ACTIONS(1826),
    [sym__search_slash_quote] = ACTIONS(1826),
    [sym__open_readline_bracket] = ACTIONS(1826),
    [sym__open_fileglob_bracket] = ACTIONS(1826),
    [sym__PERLY_HEREDOC] = ACTIONS(1826),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1826),
    [sym__filetest] = ACTIONS(1826),
  },
  [1077] = {
    [sym_heredoc_content] = STATE(1077),
    [sym__identifier] = ACTIONS(2344),
    [anon_sym_LBRACE] = ACTIONS(2344),
    [anon_sym_RBRACE] = ACTIONS(2344),
    [anon_sym_SEMI] = ACTIONS(2344),
    [anon_sym_package] = ACTIONS(2344),
    [anon_sym_class] = ACTIONS(2344),
    [anon_sym_role] = ACTIONS(2344),
    [anon_sym_BUILD] = ACTIONS(2344),
    [anon_sym_ADJUST] = ACTIONS(2344),
    [anon_sym_DOLLAR] = ACTIONS(2344),
    [anon_sym_AT] = ACTIONS(2344),
    [anon_sym_my] = ACTIONS(2344),
    [anon_sym_extended] = ACTIONS(2344),
    [anon_sym_async] = ACTIONS(2344),
    [anon_sym_sub] = ACTIONS(2344),
    [anon_sym_method] = ACTIONS(2344),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_continue] = ACTIONS(2344),
    [anon_sym_state] = ACTIONS(2344),
    [anon_sym_our] = ACTIONS(2344),
    [anon_sym_try] = ACTIONS(2344),
    [anon_sym_defer] = ACTIONS(2344),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2344),
    [anon_sym_LBRACK] = ACTIONS(2344),
    [anon_sym_LT_LT] = ACTIONS(2344),
    [anon_sym_SLASH_SLASH] = ACTIONS(2344),
    [anon_sym_PLUS] = ACTIONS(2344),
    [anon_sym_DASH] = ACTIONS(2344),
    [anon_sym_TILDE] = ACTIONS(2344),
    [anon_sym_BANG] = ACTIONS(2344),
    [anon_sym_PLUS_PLUS] = ACTIONS(2344),
    [anon_sym_DASH_DASH] = ACTIONS(2344),
    [anon_sym_BSLASH] = ACTIONS(2342),
    [anon_sym_do] = ACTIONS(2344),
    [anon_sym_eval] = ACTIONS(2344),
    [anon_sym_await] = ACTIONS(2344),
    [anon_sym_field] = ACTIONS(2344),
    [anon_sym_local] = ACTIONS(2344),
    [anon_sym_dynamically] = ACTIONS(2344),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2344),
    [anon_sym_require] = ACTIONS(2344),
    [anon_sym_map] = ACTIONS(2344),
    [anon_sym_grep] = ACTIONS(2344),
    [anon_sym_sort] = ACTIONS(2344),
    [anon_sym_goto] = ACTIONS(2344),
    [anon_sym_return] = ACTIONS(2344),
    [anon_sym_undef] = ACTIONS(2344),
    [anon_sym_PERCENT2] = ACTIONS(2344),
    [anon_sym_AMP2] = ACTIONS(2344),
    [anon_sym_STAR2] = ACTIONS(2344),
    [anon_sym_use] = ACTIONS(2344),
    [anon_sym_no] = ACTIONS(2344),
    [anon_sym_for] = ACTIONS(2344),
    [anon_sym_foreach] = ACTIONS(2344),
    [anon_sym_last] = ACTIONS(2344),
    [anon_sym_next] = ACTIONS(2344),
    [anon_sym_redo] = ACTIONS(2344),
    [anon_sym_BEGIN] = ACTIONS(2344),
    [anon_sym_INIT] = ACTIONS(2344),
    [anon_sym_CHECK] = ACTIONS(2344),
    [anon_sym_UNITCHECK] = ACTIONS(2344),
    [anon_sym_END] = ACTIONS(2344),
    [anon_sym___FILE__] = ACTIONS(2344),
    [anon_sym___LINE__] = ACTIONS(2344),
    [anon_sym___PACKAGE__] = ACTIONS(2344),
    [anon_sym___SUB__] = ACTIONS(2344),
    [anon_sym_break] = ACTIONS(2344),
    [anon_sym_fork] = ACTIONS(2344),
    [anon_sym_getppid] = ACTIONS(2344),
    [anon_sym_time] = ACTIONS(2344),
    [anon_sym_times] = ACTIONS(2344),
    [anon_sym_wait] = ACTIONS(2344),
    [anon_sym_wantarray] = ACTIONS(2344),
    [anon_sym_abs] = ACTIONS(2344),
    [anon_sym_alarm] = ACTIONS(2344),
    [anon_sym_chop] = ACTIONS(2344),
    [anon_sym_chdir] = ACTIONS(2344),
    [anon_sym_close] = ACTIONS(2344),
    [anon_sym_closedir] = ACTIONS(2344),
    [anon_sym_caller] = ACTIONS(2344),
    [anon_sym_chomp] = ACTIONS(2344),
    [anon_sym_chr] = ACTIONS(2344),
    [anon_sym_cos] = ACTIONS(2344),
    [anon_sym_chroot] = ACTIONS(2344),
    [anon_sym_defined] = ACTIONS(2344),
    [anon_sym_delete] = ACTIONS(2344),
    [anon_sym_dbmclose] = ACTIONS(2344),
    [anon_sym_exists] = ACTIONS(2344),
    [anon_sym_exit] = ACTIONS(2344),
    [anon_sym_eof] = ACTIONS(2344),
    [anon_sym_exp] = ACTIONS(2344),
    [anon_sym_each] = ACTIONS(2344),
    [anon_sym_fc] = ACTIONS(2344),
    [anon_sym_fileno] = ACTIONS(2344),
    [anon_sym_gmtime] = ACTIONS(2344),
    [anon_sym_getc] = ACTIONS(2344),
    [anon_sym_getpgrp] = ACTIONS(2344),
    [anon_sym_getprotobyname] = ACTIONS(2344),
    [anon_sym_getpwname] = ACTIONS(2344),
    [anon_sym_getpwuid] = ACTIONS(2344),
    [anon_sym_getpeername] = ACTIONS(2344),
    [anon_sym_getnetbyname] = ACTIONS(2344),
    [anon_sym_getsockname] = ACTIONS(2344),
    [anon_sym_getgrnam] = ACTIONS(2344),
    [anon_sym_getgrgid] = ACTIONS(2344),
    [anon_sym_hex] = ACTIONS(2344),
    [anon_sym_int] = ACTIONS(2344),
    [anon_sym_keys] = ACTIONS(2344),
    [anon_sym_lc] = ACTIONS(2344),
    [anon_sym_lcfirst] = ACTIONS(2344),
    [anon_sym_length] = ACTIONS(2344),
    [anon_sym_localtime] = ACTIONS(2344),
    [anon_sym_log] = ACTIONS(2344),
    [anon_sym_lock] = ACTIONS(2344),
    [anon_sym_lstat] = ACTIONS(2344),
    [anon_sym_oct] = ACTIONS(2344),
    [anon_sym_ord] = ACTIONS(2344),
    [anon_sym_prototype] = ACTIONS(2344),
    [anon_sym_pop] = ACTIONS(2344),
    [anon_sym_pos] = ACTIONS(2344),
    [anon_sym_quotemeta] = ACTIONS(2344),
    [anon_sym_reset] = ACTIONS(2344),
    [anon_sym_rand] = ACTIONS(2344),
    [anon_sym_rmdir] = ACTIONS(2344),
    [anon_sym_readdir] = ACTIONS(2344),
    [anon_sym_readline] = ACTIONS(2344),
    [anon_sym_readpipe] = ACTIONS(2344),
    [anon_sym_rewinddir] = ACTIONS(2344),
    [anon_sym_readlink] = ACTIONS(2344),
    [anon_sym_ref] = ACTIONS(2344),
    [anon_sym_scalar] = ACTIONS(2344),
    [anon_sym_shift] = ACTIONS(2344),
    [anon_sym_sin] = ACTIONS(2344),
    [anon_sym_sleep] = ACTIONS(2344),
    [anon_sym_sqrt] = ACTIONS(2344),
    [anon_sym_srand] = ACTIONS(2344),
    [anon_sym_stat] = ACTIONS(2344),
    [anon_sym_study] = ACTIONS(2344),
    [anon_sym_tell] = ACTIONS(2344),
    [anon_sym_telldir] = ACTIONS(2344),
    [anon_sym_tied] = ACTIONS(2344),
    [anon_sym_uc] = ACTIONS(2344),
    [anon_sym_ucfirst] = ACTIONS(2344),
    [anon_sym_untie] = ACTIONS(2344),
    [anon_sym_umask] = ACTIONS(2344),
    [anon_sym_values] = ACTIONS(2344),
    [anon_sym_write] = ACTIONS(2344),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2344),
    [anon_sym_qq] = ACTIONS(2344),
    [anon_sym_qw] = ACTIONS(2344),
    [anon_sym_qx] = ACTIONS(2344),
    [anon_sym_qr] = ACTIONS(2344),
    [anon_sym_m] = ACTIONS(2344),
    [anon_sym_s] = ACTIONS(2344),
    [anon_sym_tr] = ACTIONS(2344),
    [anon_sym_y] = ACTIONS(2344),
    [anon_sym_if] = ACTIONS(2344),
    [anon_sym_unless] = ACTIONS(2344),
    [anon_sym_while] = ACTIONS(2344),
    [anon_sym_until] = ACTIONS(2344),
    [aux_sym__bareword_token1] = ACTIONS(2344),
    [sym_number] = ACTIONS(2344),
    [anon_sym_true] = ACTIONS(2344),
    [anon_sym_false] = ACTIONS(2344),
    [sym__single_quote] = ACTIONS(2342),
    [sym__double_quote] = ACTIONS(2342),
    [sym__backtick_quote] = ACTIONS(2342),
    [sym__search_slash_quote] = ACTIONS(2342),
    [sym__open_readline_bracket] = ACTIONS(2342),
    [sym__open_fileglob_bracket] = ACTIONS(2342),
    [sym__PERLY_HEREDOC] = ACTIONS(2342),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2342),
    [sym__filetest] = ACTIONS(2342),
  },
  [1078] = {
    [sym_heredoc_content] = STATE(1078),
    [sym__identifier] = ACTIONS(2105),
    [anon_sym_LBRACE] = ACTIONS(2105),
    [anon_sym_RBRACE] = ACTIONS(2105),
    [anon_sym_SEMI] = ACTIONS(2105),
    [anon_sym_package] = ACTIONS(2105),
    [anon_sym_class] = ACTIONS(2105),
    [anon_sym_role] = ACTIONS(2105),
    [anon_sym_BUILD] = ACTIONS(2105),
    [anon_sym_ADJUST] = ACTIONS(2105),
    [anon_sym_DOLLAR] = ACTIONS(2105),
    [anon_sym_AT] = ACTIONS(2105),
    [anon_sym_my] = ACTIONS(2105),
    [anon_sym_extended] = ACTIONS(2105),
    [anon_sym_async] = ACTIONS(2105),
    [anon_sym_sub] = ACTIONS(2105),
    [anon_sym_method] = ACTIONS(2105),
    [anon_sym_LPAREN] = ACTIONS(2105),
    [anon_sym_continue] = ACTIONS(2105),
    [anon_sym_state] = ACTIONS(2105),
    [anon_sym_our] = ACTIONS(2105),
    [anon_sym_try] = ACTIONS(2105),
    [anon_sym_defer] = ACTIONS(2105),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2105),
    [anon_sym_LBRACK] = ACTIONS(2105),
    [anon_sym_LT_LT] = ACTIONS(2105),
    [anon_sym_SLASH_SLASH] = ACTIONS(2105),
    [anon_sym_PLUS] = ACTIONS(2105),
    [anon_sym_DASH] = ACTIONS(2105),
    [anon_sym_TILDE] = ACTIONS(2105),
    [anon_sym_BANG] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [anon_sym_BSLASH] = ACTIONS(2103),
    [anon_sym_do] = ACTIONS(2105),
    [anon_sym_eval] = ACTIONS(2105),
    [anon_sym_await] = ACTIONS(2105),
    [anon_sym_field] = ACTIONS(2105),
    [anon_sym_local] = ACTIONS(2105),
    [anon_sym_dynamically] = ACTIONS(2105),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2105),
    [anon_sym_require] = ACTIONS(2105),
    [anon_sym_map] = ACTIONS(2105),
    [anon_sym_grep] = ACTIONS(2105),
    [anon_sym_sort] = ACTIONS(2105),
    [anon_sym_goto] = ACTIONS(2105),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_undef] = ACTIONS(2105),
    [anon_sym_PERCENT2] = ACTIONS(2105),
    [anon_sym_AMP2] = ACTIONS(2105),
    [anon_sym_STAR2] = ACTIONS(2105),
    [anon_sym_use] = ACTIONS(2105),
    [anon_sym_no] = ACTIONS(2105),
    [anon_sym_for] = ACTIONS(2105),
    [anon_sym_foreach] = ACTIONS(2105),
    [anon_sym_last] = ACTIONS(2105),
    [anon_sym_next] = ACTIONS(2105),
    [anon_sym_redo] = ACTIONS(2105),
    [anon_sym_BEGIN] = ACTIONS(2105),
    [anon_sym_INIT] = ACTIONS(2105),
    [anon_sym_CHECK] = ACTIONS(2105),
    [anon_sym_UNITCHECK] = ACTIONS(2105),
    [anon_sym_END] = ACTIONS(2105),
    [anon_sym___FILE__] = ACTIONS(2105),
    [anon_sym___LINE__] = ACTIONS(2105),
    [anon_sym___PACKAGE__] = ACTIONS(2105),
    [anon_sym___SUB__] = ACTIONS(2105),
    [anon_sym_break] = ACTIONS(2105),
    [anon_sym_fork] = ACTIONS(2105),
    [anon_sym_getppid] = ACTIONS(2105),
    [anon_sym_time] = ACTIONS(2105),
    [anon_sym_times] = ACTIONS(2105),
    [anon_sym_wait] = ACTIONS(2105),
    [anon_sym_wantarray] = ACTIONS(2105),
    [anon_sym_abs] = ACTIONS(2105),
    [anon_sym_alarm] = ACTIONS(2105),
    [anon_sym_chop] = ACTIONS(2105),
    [anon_sym_chdir] = ACTIONS(2105),
    [anon_sym_close] = ACTIONS(2105),
    [anon_sym_closedir] = ACTIONS(2105),
    [anon_sym_caller] = ACTIONS(2105),
    [anon_sym_chomp] = ACTIONS(2105),
    [anon_sym_chr] = ACTIONS(2105),
    [anon_sym_cos] = ACTIONS(2105),
    [anon_sym_chroot] = ACTIONS(2105),
    [anon_sym_defined] = ACTIONS(2105),
    [anon_sym_delete] = ACTIONS(2105),
    [anon_sym_dbmclose] = ACTIONS(2105),
    [anon_sym_exists] = ACTIONS(2105),
    [anon_sym_exit] = ACTIONS(2105),
    [anon_sym_eof] = ACTIONS(2105),
    [anon_sym_exp] = ACTIONS(2105),
    [anon_sym_each] = ACTIONS(2105),
    [anon_sym_fc] = ACTIONS(2105),
    [anon_sym_fileno] = ACTIONS(2105),
    [anon_sym_gmtime] = ACTIONS(2105),
    [anon_sym_getc] = ACTIONS(2105),
    [anon_sym_getpgrp] = ACTIONS(2105),
    [anon_sym_getprotobyname] = ACTIONS(2105),
    [anon_sym_getpwname] = ACTIONS(2105),
    [anon_sym_getpwuid] = ACTIONS(2105),
    [anon_sym_getpeername] = ACTIONS(2105),
    [anon_sym_getnetbyname] = ACTIONS(2105),
    [anon_sym_getsockname] = ACTIONS(2105),
    [anon_sym_getgrnam] = ACTIONS(2105),
    [anon_sym_getgrgid] = ACTIONS(2105),
    [anon_sym_hex] = ACTIONS(2105),
    [anon_sym_int] = ACTIONS(2105),
    [anon_sym_keys] = ACTIONS(2105),
    [anon_sym_lc] = ACTIONS(2105),
    [anon_sym_lcfirst] = ACTIONS(2105),
    [anon_sym_length] = ACTIONS(2105),
    [anon_sym_localtime] = ACTIONS(2105),
    [anon_sym_log] = ACTIONS(2105),
    [anon_sym_lock] = ACTIONS(2105),
    [anon_sym_lstat] = ACTIONS(2105),
    [anon_sym_oct] = ACTIONS(2105),
    [anon_sym_ord] = ACTIONS(2105),
    [anon_sym_prototype] = ACTIONS(2105),
    [anon_sym_pop] = ACTIONS(2105),
    [anon_sym_pos] = ACTIONS(2105),
    [anon_sym_quotemeta] = ACTIONS(2105),
    [anon_sym_reset] = ACTIONS(2105),
    [anon_sym_rand] = ACTIONS(2105),
    [anon_sym_rmdir] = ACTIONS(2105),
    [anon_sym_readdir] = ACTIONS(2105),
    [anon_sym_readline] = ACTIONS(2105),
    [anon_sym_readpipe] = ACTIONS(2105),
    [anon_sym_rewinddir] = ACTIONS(2105),
    [anon_sym_readlink] = ACTIONS(2105),
    [anon_sym_ref] = ACTIONS(2105),
    [anon_sym_scalar] = ACTIONS(2105),
    [anon_sym_shift] = ACTIONS(2105),
    [anon_sym_sin] = ACTIONS(2105),
    [anon_sym_sleep] = ACTIONS(2105),
    [anon_sym_sqrt] = ACTIONS(2105),
    [anon_sym_srand] = ACTIONS(2105),
    [anon_sym_stat] = ACTIONS(2105),
    [anon_sym_study] = ACTIONS(2105),
    [anon_sym_tell] = ACTIONS(2105),
    [anon_sym_telldir] = ACTIONS(2105),
    [anon_sym_tied] = ACTIONS(2105),
    [anon_sym_uc] = ACTIONS(2105),
    [anon_sym_ucfirst] = ACTIONS(2105),
    [anon_sym_untie] = ACTIONS(2105),
    [anon_sym_umask] = ACTIONS(2105),
    [anon_sym_values] = ACTIONS(2105),
    [anon_sym_write] = ACTIONS(2105),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2105),
    [anon_sym_qq] = ACTIONS(2105),
    [anon_sym_qw] = ACTIONS(2105),
    [anon_sym_qx] = ACTIONS(2105),
    [anon_sym_qr] = ACTIONS(2105),
    [anon_sym_m] = ACTIONS(2105),
    [anon_sym_s] = ACTIONS(2105),
    [anon_sym_tr] = ACTIONS(2105),
    [anon_sym_y] = ACTIONS(2105),
    [anon_sym_if] = ACTIONS(2105),
    [anon_sym_unless] = ACTIONS(2105),
    [anon_sym_while] = ACTIONS(2105),
    [anon_sym_until] = ACTIONS(2105),
    [aux_sym__bareword_token1] = ACTIONS(2105),
    [sym_number] = ACTIONS(2105),
    [anon_sym_true] = ACTIONS(2105),
    [anon_sym_false] = ACTIONS(2105),
    [sym__single_quote] = ACTIONS(2103),
    [sym__double_quote] = ACTIONS(2103),
    [sym__backtick_quote] = ACTIONS(2103),
    [sym__search_slash_quote] = ACTIONS(2103),
    [sym__open_readline_bracket] = ACTIONS(2103),
    [sym__open_fileglob_bracket] = ACTIONS(2103),
    [sym__PERLY_HEREDOC] = ACTIONS(2103),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2103),
    [sym__filetest] = ACTIONS(2103),
  },
  [1079] = {
    [sym_heredoc_content] = STATE(1079),
    [sym__identifier] = ACTIONS(2109),
    [anon_sym_LBRACE] = ACTIONS(2109),
    [anon_sym_RBRACE] = ACTIONS(2109),
    [anon_sym_SEMI] = ACTIONS(2109),
    [anon_sym_package] = ACTIONS(2109),
    [anon_sym_class] = ACTIONS(2109),
    [anon_sym_role] = ACTIONS(2109),
    [anon_sym_BUILD] = ACTIONS(2109),
    [anon_sym_ADJUST] = ACTIONS(2109),
    [anon_sym_DOLLAR] = ACTIONS(2109),
    [anon_sym_AT] = ACTIONS(2109),
    [anon_sym_my] = ACTIONS(2109),
    [anon_sym_extended] = ACTIONS(2109),
    [anon_sym_async] = ACTIONS(2109),
    [anon_sym_sub] = ACTIONS(2109),
    [anon_sym_method] = ACTIONS(2109),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_continue] = ACTIONS(2109),
    [anon_sym_state] = ACTIONS(2109),
    [anon_sym_our] = ACTIONS(2109),
    [anon_sym_try] = ACTIONS(2109),
    [anon_sym_defer] = ACTIONS(2109),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2109),
    [anon_sym_LBRACK] = ACTIONS(2109),
    [anon_sym_LT_LT] = ACTIONS(2109),
    [anon_sym_SLASH_SLASH] = ACTIONS(2109),
    [anon_sym_PLUS] = ACTIONS(2109),
    [anon_sym_DASH] = ACTIONS(2109),
    [anon_sym_TILDE] = ACTIONS(2109),
    [anon_sym_BANG] = ACTIONS(2109),
    [anon_sym_PLUS_PLUS] = ACTIONS(2109),
    [anon_sym_DASH_DASH] = ACTIONS(2109),
    [anon_sym_BSLASH] = ACTIONS(2107),
    [anon_sym_do] = ACTIONS(2109),
    [anon_sym_eval] = ACTIONS(2109),
    [anon_sym_await] = ACTIONS(2109),
    [anon_sym_field] = ACTIONS(2109),
    [anon_sym_local] = ACTIONS(2109),
    [anon_sym_dynamically] = ACTIONS(2109),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2109),
    [anon_sym_require] = ACTIONS(2109),
    [anon_sym_map] = ACTIONS(2109),
    [anon_sym_grep] = ACTIONS(2109),
    [anon_sym_sort] = ACTIONS(2109),
    [anon_sym_goto] = ACTIONS(2109),
    [anon_sym_return] = ACTIONS(2109),
    [anon_sym_undef] = ACTIONS(2109),
    [anon_sym_PERCENT2] = ACTIONS(2109),
    [anon_sym_AMP2] = ACTIONS(2109),
    [anon_sym_STAR2] = ACTIONS(2109),
    [anon_sym_use] = ACTIONS(2109),
    [anon_sym_no] = ACTIONS(2109),
    [anon_sym_for] = ACTIONS(2109),
    [anon_sym_foreach] = ACTIONS(2109),
    [anon_sym_last] = ACTIONS(2109),
    [anon_sym_next] = ACTIONS(2109),
    [anon_sym_redo] = ACTIONS(2109),
    [anon_sym_BEGIN] = ACTIONS(2109),
    [anon_sym_INIT] = ACTIONS(2109),
    [anon_sym_CHECK] = ACTIONS(2109),
    [anon_sym_UNITCHECK] = ACTIONS(2109),
    [anon_sym_END] = ACTIONS(2109),
    [anon_sym___FILE__] = ACTIONS(2109),
    [anon_sym___LINE__] = ACTIONS(2109),
    [anon_sym___PACKAGE__] = ACTIONS(2109),
    [anon_sym___SUB__] = ACTIONS(2109),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_fork] = ACTIONS(2109),
    [anon_sym_getppid] = ACTIONS(2109),
    [anon_sym_time] = ACTIONS(2109),
    [anon_sym_times] = ACTIONS(2109),
    [anon_sym_wait] = ACTIONS(2109),
    [anon_sym_wantarray] = ACTIONS(2109),
    [anon_sym_abs] = ACTIONS(2109),
    [anon_sym_alarm] = ACTIONS(2109),
    [anon_sym_chop] = ACTIONS(2109),
    [anon_sym_chdir] = ACTIONS(2109),
    [anon_sym_close] = ACTIONS(2109),
    [anon_sym_closedir] = ACTIONS(2109),
    [anon_sym_caller] = ACTIONS(2109),
    [anon_sym_chomp] = ACTIONS(2109),
    [anon_sym_chr] = ACTIONS(2109),
    [anon_sym_cos] = ACTIONS(2109),
    [anon_sym_chroot] = ACTIONS(2109),
    [anon_sym_defined] = ACTIONS(2109),
    [anon_sym_delete] = ACTIONS(2109),
    [anon_sym_dbmclose] = ACTIONS(2109),
    [anon_sym_exists] = ACTIONS(2109),
    [anon_sym_exit] = ACTIONS(2109),
    [anon_sym_eof] = ACTIONS(2109),
    [anon_sym_exp] = ACTIONS(2109),
    [anon_sym_each] = ACTIONS(2109),
    [anon_sym_fc] = ACTIONS(2109),
    [anon_sym_fileno] = ACTIONS(2109),
    [anon_sym_gmtime] = ACTIONS(2109),
    [anon_sym_getc] = ACTIONS(2109),
    [anon_sym_getpgrp] = ACTIONS(2109),
    [anon_sym_getprotobyname] = ACTIONS(2109),
    [anon_sym_getpwname] = ACTIONS(2109),
    [anon_sym_getpwuid] = ACTIONS(2109),
    [anon_sym_getpeername] = ACTIONS(2109),
    [anon_sym_getnetbyname] = ACTIONS(2109),
    [anon_sym_getsockname] = ACTIONS(2109),
    [anon_sym_getgrnam] = ACTIONS(2109),
    [anon_sym_getgrgid] = ACTIONS(2109),
    [anon_sym_hex] = ACTIONS(2109),
    [anon_sym_int] = ACTIONS(2109),
    [anon_sym_keys] = ACTIONS(2109),
    [anon_sym_lc] = ACTIONS(2109),
    [anon_sym_lcfirst] = ACTIONS(2109),
    [anon_sym_length] = ACTIONS(2109),
    [anon_sym_localtime] = ACTIONS(2109),
    [anon_sym_log] = ACTIONS(2109),
    [anon_sym_lock] = ACTIONS(2109),
    [anon_sym_lstat] = ACTIONS(2109),
    [anon_sym_oct] = ACTIONS(2109),
    [anon_sym_ord] = ACTIONS(2109),
    [anon_sym_prototype] = ACTIONS(2109),
    [anon_sym_pop] = ACTIONS(2109),
    [anon_sym_pos] = ACTIONS(2109),
    [anon_sym_quotemeta] = ACTIONS(2109),
    [anon_sym_reset] = ACTIONS(2109),
    [anon_sym_rand] = ACTIONS(2109),
    [anon_sym_rmdir] = ACTIONS(2109),
    [anon_sym_readdir] = ACTIONS(2109),
    [anon_sym_readline] = ACTIONS(2109),
    [anon_sym_readpipe] = ACTIONS(2109),
    [anon_sym_rewinddir] = ACTIONS(2109),
    [anon_sym_readlink] = ACTIONS(2109),
    [anon_sym_ref] = ACTIONS(2109),
    [anon_sym_scalar] = ACTIONS(2109),
    [anon_sym_shift] = ACTIONS(2109),
    [anon_sym_sin] = ACTIONS(2109),
    [anon_sym_sleep] = ACTIONS(2109),
    [anon_sym_sqrt] = ACTIONS(2109),
    [anon_sym_srand] = ACTIONS(2109),
    [anon_sym_stat] = ACTIONS(2109),
    [anon_sym_study] = ACTIONS(2109),
    [anon_sym_tell] = ACTIONS(2109),
    [anon_sym_telldir] = ACTIONS(2109),
    [anon_sym_tied] = ACTIONS(2109),
    [anon_sym_uc] = ACTIONS(2109),
    [anon_sym_ucfirst] = ACTIONS(2109),
    [anon_sym_untie] = ACTIONS(2109),
    [anon_sym_umask] = ACTIONS(2109),
    [anon_sym_values] = ACTIONS(2109),
    [anon_sym_write] = ACTIONS(2109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2109),
    [anon_sym_qq] = ACTIONS(2109),
    [anon_sym_qw] = ACTIONS(2109),
    [anon_sym_qx] = ACTIONS(2109),
    [anon_sym_qr] = ACTIONS(2109),
    [anon_sym_m] = ACTIONS(2109),
    [anon_sym_s] = ACTIONS(2109),
    [anon_sym_tr] = ACTIONS(2109),
    [anon_sym_y] = ACTIONS(2109),
    [anon_sym_if] = ACTIONS(2109),
    [anon_sym_unless] = ACTIONS(2109),
    [anon_sym_while] = ACTIONS(2109),
    [anon_sym_until] = ACTIONS(2109),
    [aux_sym__bareword_token1] = ACTIONS(2109),
    [sym_number] = ACTIONS(2109),
    [anon_sym_true] = ACTIONS(2109),
    [anon_sym_false] = ACTIONS(2109),
    [sym__single_quote] = ACTIONS(2107),
    [sym__double_quote] = ACTIONS(2107),
    [sym__backtick_quote] = ACTIONS(2107),
    [sym__search_slash_quote] = ACTIONS(2107),
    [sym__open_readline_bracket] = ACTIONS(2107),
    [sym__open_fileglob_bracket] = ACTIONS(2107),
    [sym__PERLY_HEREDOC] = ACTIONS(2107),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2107),
    [sym__filetest] = ACTIONS(2107),
  },
  [1080] = {
    [sym_heredoc_content] = STATE(1080),
    [sym__identifier] = ACTIONS(2348),
    [anon_sym_LBRACE] = ACTIONS(2348),
    [anon_sym_RBRACE] = ACTIONS(2348),
    [anon_sym_SEMI] = ACTIONS(2348),
    [anon_sym_package] = ACTIONS(2348),
    [anon_sym_class] = ACTIONS(2348),
    [anon_sym_role] = ACTIONS(2348),
    [anon_sym_BUILD] = ACTIONS(2348),
    [anon_sym_ADJUST] = ACTIONS(2348),
    [anon_sym_DOLLAR] = ACTIONS(2348),
    [anon_sym_AT] = ACTIONS(2348),
    [anon_sym_my] = ACTIONS(2348),
    [anon_sym_extended] = ACTIONS(2348),
    [anon_sym_async] = ACTIONS(2348),
    [anon_sym_sub] = ACTIONS(2348),
    [anon_sym_method] = ACTIONS(2348),
    [anon_sym_LPAREN] = ACTIONS(2348),
    [anon_sym_continue] = ACTIONS(2348),
    [anon_sym_state] = ACTIONS(2348),
    [anon_sym_our] = ACTIONS(2348),
    [anon_sym_try] = ACTIONS(2348),
    [anon_sym_defer] = ACTIONS(2348),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2348),
    [anon_sym_LBRACK] = ACTIONS(2348),
    [anon_sym_LT_LT] = ACTIONS(2348),
    [anon_sym_SLASH_SLASH] = ACTIONS(2348),
    [anon_sym_PLUS] = ACTIONS(2348),
    [anon_sym_DASH] = ACTIONS(2348),
    [anon_sym_TILDE] = ACTIONS(2348),
    [anon_sym_BANG] = ACTIONS(2348),
    [anon_sym_PLUS_PLUS] = ACTIONS(2348),
    [anon_sym_DASH_DASH] = ACTIONS(2348),
    [anon_sym_BSLASH] = ACTIONS(2346),
    [anon_sym_do] = ACTIONS(2348),
    [anon_sym_eval] = ACTIONS(2348),
    [anon_sym_await] = ACTIONS(2348),
    [anon_sym_field] = ACTIONS(2348),
    [anon_sym_local] = ACTIONS(2348),
    [anon_sym_dynamically] = ACTIONS(2348),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2348),
    [anon_sym_require] = ACTIONS(2348),
    [anon_sym_map] = ACTIONS(2348),
    [anon_sym_grep] = ACTIONS(2348),
    [anon_sym_sort] = ACTIONS(2348),
    [anon_sym_goto] = ACTIONS(2348),
    [anon_sym_return] = ACTIONS(2348),
    [anon_sym_undef] = ACTIONS(2348),
    [anon_sym_PERCENT2] = ACTIONS(2348),
    [anon_sym_AMP2] = ACTIONS(2348),
    [anon_sym_STAR2] = ACTIONS(2348),
    [anon_sym_use] = ACTIONS(2348),
    [anon_sym_no] = ACTIONS(2348),
    [anon_sym_for] = ACTIONS(2348),
    [anon_sym_foreach] = ACTIONS(2348),
    [anon_sym_last] = ACTIONS(2348),
    [anon_sym_next] = ACTIONS(2348),
    [anon_sym_redo] = ACTIONS(2348),
    [anon_sym_BEGIN] = ACTIONS(2348),
    [anon_sym_INIT] = ACTIONS(2348),
    [anon_sym_CHECK] = ACTIONS(2348),
    [anon_sym_UNITCHECK] = ACTIONS(2348),
    [anon_sym_END] = ACTIONS(2348),
    [anon_sym___FILE__] = ACTIONS(2348),
    [anon_sym___LINE__] = ACTIONS(2348),
    [anon_sym___PACKAGE__] = ACTIONS(2348),
    [anon_sym___SUB__] = ACTIONS(2348),
    [anon_sym_break] = ACTIONS(2348),
    [anon_sym_fork] = ACTIONS(2348),
    [anon_sym_getppid] = ACTIONS(2348),
    [anon_sym_time] = ACTIONS(2348),
    [anon_sym_times] = ACTIONS(2348),
    [anon_sym_wait] = ACTIONS(2348),
    [anon_sym_wantarray] = ACTIONS(2348),
    [anon_sym_abs] = ACTIONS(2348),
    [anon_sym_alarm] = ACTIONS(2348),
    [anon_sym_chop] = ACTIONS(2348),
    [anon_sym_chdir] = ACTIONS(2348),
    [anon_sym_close] = ACTIONS(2348),
    [anon_sym_closedir] = ACTIONS(2348),
    [anon_sym_caller] = ACTIONS(2348),
    [anon_sym_chomp] = ACTIONS(2348),
    [anon_sym_chr] = ACTIONS(2348),
    [anon_sym_cos] = ACTIONS(2348),
    [anon_sym_chroot] = ACTIONS(2348),
    [anon_sym_defined] = ACTIONS(2348),
    [anon_sym_delete] = ACTIONS(2348),
    [anon_sym_dbmclose] = ACTIONS(2348),
    [anon_sym_exists] = ACTIONS(2348),
    [anon_sym_exit] = ACTIONS(2348),
    [anon_sym_eof] = ACTIONS(2348),
    [anon_sym_exp] = ACTIONS(2348),
    [anon_sym_each] = ACTIONS(2348),
    [anon_sym_fc] = ACTIONS(2348),
    [anon_sym_fileno] = ACTIONS(2348),
    [anon_sym_gmtime] = ACTIONS(2348),
    [anon_sym_getc] = ACTIONS(2348),
    [anon_sym_getpgrp] = ACTIONS(2348),
    [anon_sym_getprotobyname] = ACTIONS(2348),
    [anon_sym_getpwname] = ACTIONS(2348),
    [anon_sym_getpwuid] = ACTIONS(2348),
    [anon_sym_getpeername] = ACTIONS(2348),
    [anon_sym_getnetbyname] = ACTIONS(2348),
    [anon_sym_getsockname] = ACTIONS(2348),
    [anon_sym_getgrnam] = ACTIONS(2348),
    [anon_sym_getgrgid] = ACTIONS(2348),
    [anon_sym_hex] = ACTIONS(2348),
    [anon_sym_int] = ACTIONS(2348),
    [anon_sym_keys] = ACTIONS(2348),
    [anon_sym_lc] = ACTIONS(2348),
    [anon_sym_lcfirst] = ACTIONS(2348),
    [anon_sym_length] = ACTIONS(2348),
    [anon_sym_localtime] = ACTIONS(2348),
    [anon_sym_log] = ACTIONS(2348),
    [anon_sym_lock] = ACTIONS(2348),
    [anon_sym_lstat] = ACTIONS(2348),
    [anon_sym_oct] = ACTIONS(2348),
    [anon_sym_ord] = ACTIONS(2348),
    [anon_sym_prototype] = ACTIONS(2348),
    [anon_sym_pop] = ACTIONS(2348),
    [anon_sym_pos] = ACTIONS(2348),
    [anon_sym_quotemeta] = ACTIONS(2348),
    [anon_sym_reset] = ACTIONS(2348),
    [anon_sym_rand] = ACTIONS(2348),
    [anon_sym_rmdir] = ACTIONS(2348),
    [anon_sym_readdir] = ACTIONS(2348),
    [anon_sym_readline] = ACTIONS(2348),
    [anon_sym_readpipe] = ACTIONS(2348),
    [anon_sym_rewinddir] = ACTIONS(2348),
    [anon_sym_readlink] = ACTIONS(2348),
    [anon_sym_ref] = ACTIONS(2348),
    [anon_sym_scalar] = ACTIONS(2348),
    [anon_sym_shift] = ACTIONS(2348),
    [anon_sym_sin] = ACTIONS(2348),
    [anon_sym_sleep] = ACTIONS(2348),
    [anon_sym_sqrt] = ACTIONS(2348),
    [anon_sym_srand] = ACTIONS(2348),
    [anon_sym_stat] = ACTIONS(2348),
    [anon_sym_study] = ACTIONS(2348),
    [anon_sym_tell] = ACTIONS(2348),
    [anon_sym_telldir] = ACTIONS(2348),
    [anon_sym_tied] = ACTIONS(2348),
    [anon_sym_uc] = ACTIONS(2348),
    [anon_sym_ucfirst] = ACTIONS(2348),
    [anon_sym_untie] = ACTIONS(2348),
    [anon_sym_umask] = ACTIONS(2348),
    [anon_sym_values] = ACTIONS(2348),
    [anon_sym_write] = ACTIONS(2348),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2348),
    [anon_sym_qq] = ACTIONS(2348),
    [anon_sym_qw] = ACTIONS(2348),
    [anon_sym_qx] = ACTIONS(2348),
    [anon_sym_qr] = ACTIONS(2348),
    [anon_sym_m] = ACTIONS(2348),
    [anon_sym_s] = ACTIONS(2348),
    [anon_sym_tr] = ACTIONS(2348),
    [anon_sym_y] = ACTIONS(2348),
    [anon_sym_if] = ACTIONS(2348),
    [anon_sym_unless] = ACTIONS(2348),
    [anon_sym_while] = ACTIONS(2348),
    [anon_sym_until] = ACTIONS(2348),
    [aux_sym__bareword_token1] = ACTIONS(2348),
    [sym_number] = ACTIONS(2348),
    [anon_sym_true] = ACTIONS(2348),
    [anon_sym_false] = ACTIONS(2348),
    [sym__single_quote] = ACTIONS(2346),
    [sym__double_quote] = ACTIONS(2346),
    [sym__backtick_quote] = ACTIONS(2346),
    [sym__search_slash_quote] = ACTIONS(2346),
    [sym__open_readline_bracket] = ACTIONS(2346),
    [sym__open_fileglob_bracket] = ACTIONS(2346),
    [sym__PERLY_HEREDOC] = ACTIONS(2346),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2346),
    [sym__filetest] = ACTIONS(2346),
  },
  [1081] = {
    [sym_heredoc_content] = STATE(1081),
    [sym__identifier] = ACTIONS(2352),
    [anon_sym_LBRACE] = ACTIONS(2352),
    [anon_sym_RBRACE] = ACTIONS(2352),
    [anon_sym_SEMI] = ACTIONS(2352),
    [anon_sym_package] = ACTIONS(2352),
    [anon_sym_class] = ACTIONS(2352),
    [anon_sym_role] = ACTIONS(2352),
    [anon_sym_BUILD] = ACTIONS(2352),
    [anon_sym_ADJUST] = ACTIONS(2352),
    [anon_sym_DOLLAR] = ACTIONS(2352),
    [anon_sym_AT] = ACTIONS(2352),
    [anon_sym_my] = ACTIONS(2352),
    [anon_sym_extended] = ACTIONS(2352),
    [anon_sym_async] = ACTIONS(2352),
    [anon_sym_sub] = ACTIONS(2352),
    [anon_sym_method] = ACTIONS(2352),
    [anon_sym_LPAREN] = ACTIONS(2352),
    [anon_sym_continue] = ACTIONS(2352),
    [anon_sym_state] = ACTIONS(2352),
    [anon_sym_our] = ACTIONS(2352),
    [anon_sym_try] = ACTIONS(2352),
    [anon_sym_defer] = ACTIONS(2352),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2352),
    [anon_sym_LBRACK] = ACTIONS(2352),
    [anon_sym_LT_LT] = ACTIONS(2352),
    [anon_sym_SLASH_SLASH] = ACTIONS(2352),
    [anon_sym_PLUS] = ACTIONS(2352),
    [anon_sym_DASH] = ACTIONS(2352),
    [anon_sym_TILDE] = ACTIONS(2352),
    [anon_sym_BANG] = ACTIONS(2352),
    [anon_sym_PLUS_PLUS] = ACTIONS(2352),
    [anon_sym_DASH_DASH] = ACTIONS(2352),
    [anon_sym_BSLASH] = ACTIONS(2350),
    [anon_sym_do] = ACTIONS(2352),
    [anon_sym_eval] = ACTIONS(2352),
    [anon_sym_await] = ACTIONS(2352),
    [anon_sym_field] = ACTIONS(2352),
    [anon_sym_local] = ACTIONS(2352),
    [anon_sym_dynamically] = ACTIONS(2352),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2352),
    [anon_sym_require] = ACTIONS(2352),
    [anon_sym_map] = ACTIONS(2352),
    [anon_sym_grep] = ACTIONS(2352),
    [anon_sym_sort] = ACTIONS(2352),
    [anon_sym_goto] = ACTIONS(2352),
    [anon_sym_return] = ACTIONS(2352),
    [anon_sym_undef] = ACTIONS(2352),
    [anon_sym_PERCENT2] = ACTIONS(2352),
    [anon_sym_AMP2] = ACTIONS(2352),
    [anon_sym_STAR2] = ACTIONS(2352),
    [anon_sym_use] = ACTIONS(2352),
    [anon_sym_no] = ACTIONS(2352),
    [anon_sym_for] = ACTIONS(2352),
    [anon_sym_foreach] = ACTIONS(2352),
    [anon_sym_last] = ACTIONS(2352),
    [anon_sym_next] = ACTIONS(2352),
    [anon_sym_redo] = ACTIONS(2352),
    [anon_sym_BEGIN] = ACTIONS(2352),
    [anon_sym_INIT] = ACTIONS(2352),
    [anon_sym_CHECK] = ACTIONS(2352),
    [anon_sym_UNITCHECK] = ACTIONS(2352),
    [anon_sym_END] = ACTIONS(2352),
    [anon_sym___FILE__] = ACTIONS(2352),
    [anon_sym___LINE__] = ACTIONS(2352),
    [anon_sym___PACKAGE__] = ACTIONS(2352),
    [anon_sym___SUB__] = ACTIONS(2352),
    [anon_sym_break] = ACTIONS(2352),
    [anon_sym_fork] = ACTIONS(2352),
    [anon_sym_getppid] = ACTIONS(2352),
    [anon_sym_time] = ACTIONS(2352),
    [anon_sym_times] = ACTIONS(2352),
    [anon_sym_wait] = ACTIONS(2352),
    [anon_sym_wantarray] = ACTIONS(2352),
    [anon_sym_abs] = ACTIONS(2352),
    [anon_sym_alarm] = ACTIONS(2352),
    [anon_sym_chop] = ACTIONS(2352),
    [anon_sym_chdir] = ACTIONS(2352),
    [anon_sym_close] = ACTIONS(2352),
    [anon_sym_closedir] = ACTIONS(2352),
    [anon_sym_caller] = ACTIONS(2352),
    [anon_sym_chomp] = ACTIONS(2352),
    [anon_sym_chr] = ACTIONS(2352),
    [anon_sym_cos] = ACTIONS(2352),
    [anon_sym_chroot] = ACTIONS(2352),
    [anon_sym_defined] = ACTIONS(2352),
    [anon_sym_delete] = ACTIONS(2352),
    [anon_sym_dbmclose] = ACTIONS(2352),
    [anon_sym_exists] = ACTIONS(2352),
    [anon_sym_exit] = ACTIONS(2352),
    [anon_sym_eof] = ACTIONS(2352),
    [anon_sym_exp] = ACTIONS(2352),
    [anon_sym_each] = ACTIONS(2352),
    [anon_sym_fc] = ACTIONS(2352),
    [anon_sym_fileno] = ACTIONS(2352),
    [anon_sym_gmtime] = ACTIONS(2352),
    [anon_sym_getc] = ACTIONS(2352),
    [anon_sym_getpgrp] = ACTIONS(2352),
    [anon_sym_getprotobyname] = ACTIONS(2352),
    [anon_sym_getpwname] = ACTIONS(2352),
    [anon_sym_getpwuid] = ACTIONS(2352),
    [anon_sym_getpeername] = ACTIONS(2352),
    [anon_sym_getnetbyname] = ACTIONS(2352),
    [anon_sym_getsockname] = ACTIONS(2352),
    [anon_sym_getgrnam] = ACTIONS(2352),
    [anon_sym_getgrgid] = ACTIONS(2352),
    [anon_sym_hex] = ACTIONS(2352),
    [anon_sym_int] = ACTIONS(2352),
    [anon_sym_keys] = ACTIONS(2352),
    [anon_sym_lc] = ACTIONS(2352),
    [anon_sym_lcfirst] = ACTIONS(2352),
    [anon_sym_length] = ACTIONS(2352),
    [anon_sym_localtime] = ACTIONS(2352),
    [anon_sym_log] = ACTIONS(2352),
    [anon_sym_lock] = ACTIONS(2352),
    [anon_sym_lstat] = ACTIONS(2352),
    [anon_sym_oct] = ACTIONS(2352),
    [anon_sym_ord] = ACTIONS(2352),
    [anon_sym_prototype] = ACTIONS(2352),
    [anon_sym_pop] = ACTIONS(2352),
    [anon_sym_pos] = ACTIONS(2352),
    [anon_sym_quotemeta] = ACTIONS(2352),
    [anon_sym_reset] = ACTIONS(2352),
    [anon_sym_rand] = ACTIONS(2352),
    [anon_sym_rmdir] = ACTIONS(2352),
    [anon_sym_readdir] = ACTIONS(2352),
    [anon_sym_readline] = ACTIONS(2352),
    [anon_sym_readpipe] = ACTIONS(2352),
    [anon_sym_rewinddir] = ACTIONS(2352),
    [anon_sym_readlink] = ACTIONS(2352),
    [anon_sym_ref] = ACTIONS(2352),
    [anon_sym_scalar] = ACTIONS(2352),
    [anon_sym_shift] = ACTIONS(2352),
    [anon_sym_sin] = ACTIONS(2352),
    [anon_sym_sleep] = ACTIONS(2352),
    [anon_sym_sqrt] = ACTIONS(2352),
    [anon_sym_srand] = ACTIONS(2352),
    [anon_sym_stat] = ACTIONS(2352),
    [anon_sym_study] = ACTIONS(2352),
    [anon_sym_tell] = ACTIONS(2352),
    [anon_sym_telldir] = ACTIONS(2352),
    [anon_sym_tied] = ACTIONS(2352),
    [anon_sym_uc] = ACTIONS(2352),
    [anon_sym_ucfirst] = ACTIONS(2352),
    [anon_sym_untie] = ACTIONS(2352),
    [anon_sym_umask] = ACTIONS(2352),
    [anon_sym_values] = ACTIONS(2352),
    [anon_sym_write] = ACTIONS(2352),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2352),
    [anon_sym_qq] = ACTIONS(2352),
    [anon_sym_qw] = ACTIONS(2352),
    [anon_sym_qx] = ACTIONS(2352),
    [anon_sym_qr] = ACTIONS(2352),
    [anon_sym_m] = ACTIONS(2352),
    [anon_sym_s] = ACTIONS(2352),
    [anon_sym_tr] = ACTIONS(2352),
    [anon_sym_y] = ACTIONS(2352),
    [anon_sym_if] = ACTIONS(2352),
    [anon_sym_unless] = ACTIONS(2352),
    [anon_sym_while] = ACTIONS(2352),
    [anon_sym_until] = ACTIONS(2352),
    [aux_sym__bareword_token1] = ACTIONS(2352),
    [sym_number] = ACTIONS(2352),
    [anon_sym_true] = ACTIONS(2352),
    [anon_sym_false] = ACTIONS(2352),
    [sym__single_quote] = ACTIONS(2350),
    [sym__double_quote] = ACTIONS(2350),
    [sym__backtick_quote] = ACTIONS(2350),
    [sym__search_slash_quote] = ACTIONS(2350),
    [sym__open_readline_bracket] = ACTIONS(2350),
    [sym__open_fileglob_bracket] = ACTIONS(2350),
    [sym__PERLY_HEREDOC] = ACTIONS(2350),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2350),
    [sym__filetest] = ACTIONS(2350),
  },
  [1082] = {
    [sym_heredoc_content] = STATE(1082),
    [sym__identifier] = ACTIONS(2356),
    [anon_sym_LBRACE] = ACTIONS(2356),
    [anon_sym_RBRACE] = ACTIONS(2356),
    [anon_sym_SEMI] = ACTIONS(2356),
    [anon_sym_package] = ACTIONS(2356),
    [anon_sym_class] = ACTIONS(2356),
    [anon_sym_role] = ACTIONS(2356),
    [anon_sym_BUILD] = ACTIONS(2356),
    [anon_sym_ADJUST] = ACTIONS(2356),
    [anon_sym_DOLLAR] = ACTIONS(2356),
    [anon_sym_AT] = ACTIONS(2356),
    [anon_sym_my] = ACTIONS(2356),
    [anon_sym_extended] = ACTIONS(2356),
    [anon_sym_async] = ACTIONS(2356),
    [anon_sym_sub] = ACTIONS(2356),
    [anon_sym_method] = ACTIONS(2356),
    [anon_sym_LPAREN] = ACTIONS(2356),
    [anon_sym_continue] = ACTIONS(2356),
    [anon_sym_state] = ACTIONS(2356),
    [anon_sym_our] = ACTIONS(2356),
    [anon_sym_try] = ACTIONS(2356),
    [anon_sym_defer] = ACTIONS(2356),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2356),
    [anon_sym_LBRACK] = ACTIONS(2356),
    [anon_sym_LT_LT] = ACTIONS(2356),
    [anon_sym_SLASH_SLASH] = ACTIONS(2356),
    [anon_sym_PLUS] = ACTIONS(2356),
    [anon_sym_DASH] = ACTIONS(2356),
    [anon_sym_TILDE] = ACTIONS(2356),
    [anon_sym_BANG] = ACTIONS(2356),
    [anon_sym_PLUS_PLUS] = ACTIONS(2356),
    [anon_sym_DASH_DASH] = ACTIONS(2356),
    [anon_sym_BSLASH] = ACTIONS(2354),
    [anon_sym_do] = ACTIONS(2356),
    [anon_sym_eval] = ACTIONS(2356),
    [anon_sym_await] = ACTIONS(2356),
    [anon_sym_field] = ACTIONS(2356),
    [anon_sym_local] = ACTIONS(2356),
    [anon_sym_dynamically] = ACTIONS(2356),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2356),
    [anon_sym_require] = ACTIONS(2356),
    [anon_sym_map] = ACTIONS(2356),
    [anon_sym_grep] = ACTIONS(2356),
    [anon_sym_sort] = ACTIONS(2356),
    [anon_sym_goto] = ACTIONS(2356),
    [anon_sym_return] = ACTIONS(2356),
    [anon_sym_undef] = ACTIONS(2356),
    [anon_sym_PERCENT2] = ACTIONS(2356),
    [anon_sym_AMP2] = ACTIONS(2356),
    [anon_sym_STAR2] = ACTIONS(2356),
    [anon_sym_use] = ACTIONS(2356),
    [anon_sym_no] = ACTIONS(2356),
    [anon_sym_for] = ACTIONS(2356),
    [anon_sym_foreach] = ACTIONS(2356),
    [anon_sym_last] = ACTIONS(2356),
    [anon_sym_next] = ACTIONS(2356),
    [anon_sym_redo] = ACTIONS(2356),
    [anon_sym_BEGIN] = ACTIONS(2356),
    [anon_sym_INIT] = ACTIONS(2356),
    [anon_sym_CHECK] = ACTIONS(2356),
    [anon_sym_UNITCHECK] = ACTIONS(2356),
    [anon_sym_END] = ACTIONS(2356),
    [anon_sym___FILE__] = ACTIONS(2356),
    [anon_sym___LINE__] = ACTIONS(2356),
    [anon_sym___PACKAGE__] = ACTIONS(2356),
    [anon_sym___SUB__] = ACTIONS(2356),
    [anon_sym_break] = ACTIONS(2356),
    [anon_sym_fork] = ACTIONS(2356),
    [anon_sym_getppid] = ACTIONS(2356),
    [anon_sym_time] = ACTIONS(2356),
    [anon_sym_times] = ACTIONS(2356),
    [anon_sym_wait] = ACTIONS(2356),
    [anon_sym_wantarray] = ACTIONS(2356),
    [anon_sym_abs] = ACTIONS(2356),
    [anon_sym_alarm] = ACTIONS(2356),
    [anon_sym_chop] = ACTIONS(2356),
    [anon_sym_chdir] = ACTIONS(2356),
    [anon_sym_close] = ACTIONS(2356),
    [anon_sym_closedir] = ACTIONS(2356),
    [anon_sym_caller] = ACTIONS(2356),
    [anon_sym_chomp] = ACTIONS(2356),
    [anon_sym_chr] = ACTIONS(2356),
    [anon_sym_cos] = ACTIONS(2356),
    [anon_sym_chroot] = ACTIONS(2356),
    [anon_sym_defined] = ACTIONS(2356),
    [anon_sym_delete] = ACTIONS(2356),
    [anon_sym_dbmclose] = ACTIONS(2356),
    [anon_sym_exists] = ACTIONS(2356),
    [anon_sym_exit] = ACTIONS(2356),
    [anon_sym_eof] = ACTIONS(2356),
    [anon_sym_exp] = ACTIONS(2356),
    [anon_sym_each] = ACTIONS(2356),
    [anon_sym_fc] = ACTIONS(2356),
    [anon_sym_fileno] = ACTIONS(2356),
    [anon_sym_gmtime] = ACTIONS(2356),
    [anon_sym_getc] = ACTIONS(2356),
    [anon_sym_getpgrp] = ACTIONS(2356),
    [anon_sym_getprotobyname] = ACTIONS(2356),
    [anon_sym_getpwname] = ACTIONS(2356),
    [anon_sym_getpwuid] = ACTIONS(2356),
    [anon_sym_getpeername] = ACTIONS(2356),
    [anon_sym_getnetbyname] = ACTIONS(2356),
    [anon_sym_getsockname] = ACTIONS(2356),
    [anon_sym_getgrnam] = ACTIONS(2356),
    [anon_sym_getgrgid] = ACTIONS(2356),
    [anon_sym_hex] = ACTIONS(2356),
    [anon_sym_int] = ACTIONS(2356),
    [anon_sym_keys] = ACTIONS(2356),
    [anon_sym_lc] = ACTIONS(2356),
    [anon_sym_lcfirst] = ACTIONS(2356),
    [anon_sym_length] = ACTIONS(2356),
    [anon_sym_localtime] = ACTIONS(2356),
    [anon_sym_log] = ACTIONS(2356),
    [anon_sym_lock] = ACTIONS(2356),
    [anon_sym_lstat] = ACTIONS(2356),
    [anon_sym_oct] = ACTIONS(2356),
    [anon_sym_ord] = ACTIONS(2356),
    [anon_sym_prototype] = ACTIONS(2356),
    [anon_sym_pop] = ACTIONS(2356),
    [anon_sym_pos] = ACTIONS(2356),
    [anon_sym_quotemeta] = ACTIONS(2356),
    [anon_sym_reset] = ACTIONS(2356),
    [anon_sym_rand] = ACTIONS(2356),
    [anon_sym_rmdir] = ACTIONS(2356),
    [anon_sym_readdir] = ACTIONS(2356),
    [anon_sym_readline] = ACTIONS(2356),
    [anon_sym_readpipe] = ACTIONS(2356),
    [anon_sym_rewinddir] = ACTIONS(2356),
    [anon_sym_readlink] = ACTIONS(2356),
    [anon_sym_ref] = ACTIONS(2356),
    [anon_sym_scalar] = ACTIONS(2356),
    [anon_sym_shift] = ACTIONS(2356),
    [anon_sym_sin] = ACTIONS(2356),
    [anon_sym_sleep] = ACTIONS(2356),
    [anon_sym_sqrt] = ACTIONS(2356),
    [anon_sym_srand] = ACTIONS(2356),
    [anon_sym_stat] = ACTIONS(2356),
    [anon_sym_study] = ACTIONS(2356),
    [anon_sym_tell] = ACTIONS(2356),
    [anon_sym_telldir] = ACTIONS(2356),
    [anon_sym_tied] = ACTIONS(2356),
    [anon_sym_uc] = ACTIONS(2356),
    [anon_sym_ucfirst] = ACTIONS(2356),
    [anon_sym_untie] = ACTIONS(2356),
    [anon_sym_umask] = ACTIONS(2356),
    [anon_sym_values] = ACTIONS(2356),
    [anon_sym_write] = ACTIONS(2356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2356),
    [anon_sym_qq] = ACTIONS(2356),
    [anon_sym_qw] = ACTIONS(2356),
    [anon_sym_qx] = ACTIONS(2356),
    [anon_sym_qr] = ACTIONS(2356),
    [anon_sym_m] = ACTIONS(2356),
    [anon_sym_s] = ACTIONS(2356),
    [anon_sym_tr] = ACTIONS(2356),
    [anon_sym_y] = ACTIONS(2356),
    [anon_sym_if] = ACTIONS(2356),
    [anon_sym_unless] = ACTIONS(2356),
    [anon_sym_while] = ACTIONS(2356),
    [anon_sym_until] = ACTIONS(2356),
    [aux_sym__bareword_token1] = ACTIONS(2356),
    [sym_number] = ACTIONS(2356),
    [anon_sym_true] = ACTIONS(2356),
    [anon_sym_false] = ACTIONS(2356),
    [sym__single_quote] = ACTIONS(2354),
    [sym__double_quote] = ACTIONS(2354),
    [sym__backtick_quote] = ACTIONS(2354),
    [sym__search_slash_quote] = ACTIONS(2354),
    [sym__open_readline_bracket] = ACTIONS(2354),
    [sym__open_fileglob_bracket] = ACTIONS(2354),
    [sym__PERLY_HEREDOC] = ACTIONS(2354),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2354),
    [sym__filetest] = ACTIONS(2354),
  },
  [1083] = {
    [sym_heredoc_content] = STATE(1083),
    [sym__identifier] = ACTIONS(2113),
    [anon_sym_LBRACE] = ACTIONS(2113),
    [anon_sym_RBRACE] = ACTIONS(2113),
    [anon_sym_SEMI] = ACTIONS(2113),
    [anon_sym_package] = ACTIONS(2113),
    [anon_sym_class] = ACTIONS(2113),
    [anon_sym_role] = ACTIONS(2113),
    [anon_sym_BUILD] = ACTIONS(2113),
    [anon_sym_ADJUST] = ACTIONS(2113),
    [anon_sym_DOLLAR] = ACTIONS(2113),
    [anon_sym_AT] = ACTIONS(2113),
    [anon_sym_my] = ACTIONS(2113),
    [anon_sym_extended] = ACTIONS(2113),
    [anon_sym_async] = ACTIONS(2113),
    [anon_sym_sub] = ACTIONS(2113),
    [anon_sym_method] = ACTIONS(2113),
    [anon_sym_LPAREN] = ACTIONS(2113),
    [anon_sym_continue] = ACTIONS(2113),
    [anon_sym_state] = ACTIONS(2113),
    [anon_sym_our] = ACTIONS(2113),
    [anon_sym_try] = ACTIONS(2113),
    [anon_sym_defer] = ACTIONS(2113),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2113),
    [anon_sym_LBRACK] = ACTIONS(2113),
    [anon_sym_LT_LT] = ACTIONS(2113),
    [anon_sym_SLASH_SLASH] = ACTIONS(2113),
    [anon_sym_PLUS] = ACTIONS(2113),
    [anon_sym_DASH] = ACTIONS(2113),
    [anon_sym_TILDE] = ACTIONS(2113),
    [anon_sym_BANG] = ACTIONS(2113),
    [anon_sym_PLUS_PLUS] = ACTIONS(2113),
    [anon_sym_DASH_DASH] = ACTIONS(2113),
    [anon_sym_BSLASH] = ACTIONS(2111),
    [anon_sym_do] = ACTIONS(2113),
    [anon_sym_eval] = ACTIONS(2113),
    [anon_sym_await] = ACTIONS(2113),
    [anon_sym_field] = ACTIONS(2113),
    [anon_sym_local] = ACTIONS(2113),
    [anon_sym_dynamically] = ACTIONS(2113),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2113),
    [anon_sym_require] = ACTIONS(2113),
    [anon_sym_map] = ACTIONS(2113),
    [anon_sym_grep] = ACTIONS(2113),
    [anon_sym_sort] = ACTIONS(2113),
    [anon_sym_goto] = ACTIONS(2113),
    [anon_sym_return] = ACTIONS(2113),
    [anon_sym_undef] = ACTIONS(2113),
    [anon_sym_PERCENT2] = ACTIONS(2113),
    [anon_sym_AMP2] = ACTIONS(2113),
    [anon_sym_STAR2] = ACTIONS(2113),
    [anon_sym_use] = ACTIONS(2113),
    [anon_sym_no] = ACTIONS(2113),
    [anon_sym_for] = ACTIONS(2113),
    [anon_sym_foreach] = ACTIONS(2113),
    [anon_sym_last] = ACTIONS(2113),
    [anon_sym_next] = ACTIONS(2113),
    [anon_sym_redo] = ACTIONS(2113),
    [anon_sym_BEGIN] = ACTIONS(2113),
    [anon_sym_INIT] = ACTIONS(2113),
    [anon_sym_CHECK] = ACTIONS(2113),
    [anon_sym_UNITCHECK] = ACTIONS(2113),
    [anon_sym_END] = ACTIONS(2113),
    [anon_sym___FILE__] = ACTIONS(2113),
    [anon_sym___LINE__] = ACTIONS(2113),
    [anon_sym___PACKAGE__] = ACTIONS(2113),
    [anon_sym___SUB__] = ACTIONS(2113),
    [anon_sym_break] = ACTIONS(2113),
    [anon_sym_fork] = ACTIONS(2113),
    [anon_sym_getppid] = ACTIONS(2113),
    [anon_sym_time] = ACTIONS(2113),
    [anon_sym_times] = ACTIONS(2113),
    [anon_sym_wait] = ACTIONS(2113),
    [anon_sym_wantarray] = ACTIONS(2113),
    [anon_sym_abs] = ACTIONS(2113),
    [anon_sym_alarm] = ACTIONS(2113),
    [anon_sym_chop] = ACTIONS(2113),
    [anon_sym_chdir] = ACTIONS(2113),
    [anon_sym_close] = ACTIONS(2113),
    [anon_sym_closedir] = ACTIONS(2113),
    [anon_sym_caller] = ACTIONS(2113),
    [anon_sym_chomp] = ACTIONS(2113),
    [anon_sym_chr] = ACTIONS(2113),
    [anon_sym_cos] = ACTIONS(2113),
    [anon_sym_chroot] = ACTIONS(2113),
    [anon_sym_defined] = ACTIONS(2113),
    [anon_sym_delete] = ACTIONS(2113),
    [anon_sym_dbmclose] = ACTIONS(2113),
    [anon_sym_exists] = ACTIONS(2113),
    [anon_sym_exit] = ACTIONS(2113),
    [anon_sym_eof] = ACTIONS(2113),
    [anon_sym_exp] = ACTIONS(2113),
    [anon_sym_each] = ACTIONS(2113),
    [anon_sym_fc] = ACTIONS(2113),
    [anon_sym_fileno] = ACTIONS(2113),
    [anon_sym_gmtime] = ACTIONS(2113),
    [anon_sym_getc] = ACTIONS(2113),
    [anon_sym_getpgrp] = ACTIONS(2113),
    [anon_sym_getprotobyname] = ACTIONS(2113),
    [anon_sym_getpwname] = ACTIONS(2113),
    [anon_sym_getpwuid] = ACTIONS(2113),
    [anon_sym_getpeername] = ACTIONS(2113),
    [anon_sym_getnetbyname] = ACTIONS(2113),
    [anon_sym_getsockname] = ACTIONS(2113),
    [anon_sym_getgrnam] = ACTIONS(2113),
    [anon_sym_getgrgid] = ACTIONS(2113),
    [anon_sym_hex] = ACTIONS(2113),
    [anon_sym_int] = ACTIONS(2113),
    [anon_sym_keys] = ACTIONS(2113),
    [anon_sym_lc] = ACTIONS(2113),
    [anon_sym_lcfirst] = ACTIONS(2113),
    [anon_sym_length] = ACTIONS(2113),
    [anon_sym_localtime] = ACTIONS(2113),
    [anon_sym_log] = ACTIONS(2113),
    [anon_sym_lock] = ACTIONS(2113),
    [anon_sym_lstat] = ACTIONS(2113),
    [anon_sym_oct] = ACTIONS(2113),
    [anon_sym_ord] = ACTIONS(2113),
    [anon_sym_prototype] = ACTIONS(2113),
    [anon_sym_pop] = ACTIONS(2113),
    [anon_sym_pos] = ACTIONS(2113),
    [anon_sym_quotemeta] = ACTIONS(2113),
    [anon_sym_reset] = ACTIONS(2113),
    [anon_sym_rand] = ACTIONS(2113),
    [anon_sym_rmdir] = ACTIONS(2113),
    [anon_sym_readdir] = ACTIONS(2113),
    [anon_sym_readline] = ACTIONS(2113),
    [anon_sym_readpipe] = ACTIONS(2113),
    [anon_sym_rewinddir] = ACTIONS(2113),
    [anon_sym_readlink] = ACTIONS(2113),
    [anon_sym_ref] = ACTIONS(2113),
    [anon_sym_scalar] = ACTIONS(2113),
    [anon_sym_shift] = ACTIONS(2113),
    [anon_sym_sin] = ACTIONS(2113),
    [anon_sym_sleep] = ACTIONS(2113),
    [anon_sym_sqrt] = ACTIONS(2113),
    [anon_sym_srand] = ACTIONS(2113),
    [anon_sym_stat] = ACTIONS(2113),
    [anon_sym_study] = ACTIONS(2113),
    [anon_sym_tell] = ACTIONS(2113),
    [anon_sym_telldir] = ACTIONS(2113),
    [anon_sym_tied] = ACTIONS(2113),
    [anon_sym_uc] = ACTIONS(2113),
    [anon_sym_ucfirst] = ACTIONS(2113),
    [anon_sym_untie] = ACTIONS(2113),
    [anon_sym_umask] = ACTIONS(2113),
    [anon_sym_values] = ACTIONS(2113),
    [anon_sym_write] = ACTIONS(2113),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2113),
    [anon_sym_qq] = ACTIONS(2113),
    [anon_sym_qw] = ACTIONS(2113),
    [anon_sym_qx] = ACTIONS(2113),
    [anon_sym_qr] = ACTIONS(2113),
    [anon_sym_m] = ACTIONS(2113),
    [anon_sym_s] = ACTIONS(2113),
    [anon_sym_tr] = ACTIONS(2113),
    [anon_sym_y] = ACTIONS(2113),
    [anon_sym_if] = ACTIONS(2113),
    [anon_sym_unless] = ACTIONS(2113),
    [anon_sym_while] = ACTIONS(2113),
    [anon_sym_until] = ACTIONS(2113),
    [aux_sym__bareword_token1] = ACTIONS(2113),
    [sym_number] = ACTIONS(2113),
    [anon_sym_true] = ACTIONS(2113),
    [anon_sym_false] = ACTIONS(2113),
    [sym__single_quote] = ACTIONS(2111),
    [sym__double_quote] = ACTIONS(2111),
    [sym__backtick_quote] = ACTIONS(2111),
    [sym__search_slash_quote] = ACTIONS(2111),
    [sym__open_readline_bracket] = ACTIONS(2111),
    [sym__open_fileglob_bracket] = ACTIONS(2111),
    [sym__PERLY_HEREDOC] = ACTIONS(2111),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2111),
    [sym__filetest] = ACTIONS(2111),
  },
  [1084] = {
    [sym_heredoc_content] = STATE(1084),
    [sym__identifier] = ACTIONS(2360),
    [anon_sym_LBRACE] = ACTIONS(2360),
    [anon_sym_RBRACE] = ACTIONS(2360),
    [anon_sym_SEMI] = ACTIONS(2360),
    [anon_sym_package] = ACTIONS(2360),
    [anon_sym_class] = ACTIONS(2360),
    [anon_sym_role] = ACTIONS(2360),
    [anon_sym_BUILD] = ACTIONS(2360),
    [anon_sym_ADJUST] = ACTIONS(2360),
    [anon_sym_DOLLAR] = ACTIONS(2360),
    [anon_sym_AT] = ACTIONS(2360),
    [anon_sym_my] = ACTIONS(2360),
    [anon_sym_extended] = ACTIONS(2360),
    [anon_sym_async] = ACTIONS(2360),
    [anon_sym_sub] = ACTIONS(2360),
    [anon_sym_method] = ACTIONS(2360),
    [anon_sym_LPAREN] = ACTIONS(2360),
    [anon_sym_continue] = ACTIONS(2360),
    [anon_sym_state] = ACTIONS(2360),
    [anon_sym_our] = ACTIONS(2360),
    [anon_sym_try] = ACTIONS(2360),
    [anon_sym_defer] = ACTIONS(2360),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2360),
    [anon_sym_LBRACK] = ACTIONS(2360),
    [anon_sym_LT_LT] = ACTIONS(2360),
    [anon_sym_SLASH_SLASH] = ACTIONS(2360),
    [anon_sym_PLUS] = ACTIONS(2360),
    [anon_sym_DASH] = ACTIONS(2360),
    [anon_sym_TILDE] = ACTIONS(2360),
    [anon_sym_BANG] = ACTIONS(2360),
    [anon_sym_PLUS_PLUS] = ACTIONS(2360),
    [anon_sym_DASH_DASH] = ACTIONS(2360),
    [anon_sym_BSLASH] = ACTIONS(2358),
    [anon_sym_do] = ACTIONS(2360),
    [anon_sym_eval] = ACTIONS(2360),
    [anon_sym_await] = ACTIONS(2360),
    [anon_sym_field] = ACTIONS(2360),
    [anon_sym_local] = ACTIONS(2360),
    [anon_sym_dynamically] = ACTIONS(2360),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2360),
    [anon_sym_require] = ACTIONS(2360),
    [anon_sym_map] = ACTIONS(2360),
    [anon_sym_grep] = ACTIONS(2360),
    [anon_sym_sort] = ACTIONS(2360),
    [anon_sym_goto] = ACTIONS(2360),
    [anon_sym_return] = ACTIONS(2360),
    [anon_sym_undef] = ACTIONS(2360),
    [anon_sym_PERCENT2] = ACTIONS(2360),
    [anon_sym_AMP2] = ACTIONS(2360),
    [anon_sym_STAR2] = ACTIONS(2360),
    [anon_sym_use] = ACTIONS(2360),
    [anon_sym_no] = ACTIONS(2360),
    [anon_sym_for] = ACTIONS(2360),
    [anon_sym_foreach] = ACTIONS(2360),
    [anon_sym_last] = ACTIONS(2360),
    [anon_sym_next] = ACTIONS(2360),
    [anon_sym_redo] = ACTIONS(2360),
    [anon_sym_BEGIN] = ACTIONS(2360),
    [anon_sym_INIT] = ACTIONS(2360),
    [anon_sym_CHECK] = ACTIONS(2360),
    [anon_sym_UNITCHECK] = ACTIONS(2360),
    [anon_sym_END] = ACTIONS(2360),
    [anon_sym___FILE__] = ACTIONS(2360),
    [anon_sym___LINE__] = ACTIONS(2360),
    [anon_sym___PACKAGE__] = ACTIONS(2360),
    [anon_sym___SUB__] = ACTIONS(2360),
    [anon_sym_break] = ACTIONS(2360),
    [anon_sym_fork] = ACTIONS(2360),
    [anon_sym_getppid] = ACTIONS(2360),
    [anon_sym_time] = ACTIONS(2360),
    [anon_sym_times] = ACTIONS(2360),
    [anon_sym_wait] = ACTIONS(2360),
    [anon_sym_wantarray] = ACTIONS(2360),
    [anon_sym_abs] = ACTIONS(2360),
    [anon_sym_alarm] = ACTIONS(2360),
    [anon_sym_chop] = ACTIONS(2360),
    [anon_sym_chdir] = ACTIONS(2360),
    [anon_sym_close] = ACTIONS(2360),
    [anon_sym_closedir] = ACTIONS(2360),
    [anon_sym_caller] = ACTIONS(2360),
    [anon_sym_chomp] = ACTIONS(2360),
    [anon_sym_chr] = ACTIONS(2360),
    [anon_sym_cos] = ACTIONS(2360),
    [anon_sym_chroot] = ACTIONS(2360),
    [anon_sym_defined] = ACTIONS(2360),
    [anon_sym_delete] = ACTIONS(2360),
    [anon_sym_dbmclose] = ACTIONS(2360),
    [anon_sym_exists] = ACTIONS(2360),
    [anon_sym_exit] = ACTIONS(2360),
    [anon_sym_eof] = ACTIONS(2360),
    [anon_sym_exp] = ACTIONS(2360),
    [anon_sym_each] = ACTIONS(2360),
    [anon_sym_fc] = ACTIONS(2360),
    [anon_sym_fileno] = ACTIONS(2360),
    [anon_sym_gmtime] = ACTIONS(2360),
    [anon_sym_getc] = ACTIONS(2360),
    [anon_sym_getpgrp] = ACTIONS(2360),
    [anon_sym_getprotobyname] = ACTIONS(2360),
    [anon_sym_getpwname] = ACTIONS(2360),
    [anon_sym_getpwuid] = ACTIONS(2360),
    [anon_sym_getpeername] = ACTIONS(2360),
    [anon_sym_getnetbyname] = ACTIONS(2360),
    [anon_sym_getsockname] = ACTIONS(2360),
    [anon_sym_getgrnam] = ACTIONS(2360),
    [anon_sym_getgrgid] = ACTIONS(2360),
    [anon_sym_hex] = ACTIONS(2360),
    [anon_sym_int] = ACTIONS(2360),
    [anon_sym_keys] = ACTIONS(2360),
    [anon_sym_lc] = ACTIONS(2360),
    [anon_sym_lcfirst] = ACTIONS(2360),
    [anon_sym_length] = ACTIONS(2360),
    [anon_sym_localtime] = ACTIONS(2360),
    [anon_sym_log] = ACTIONS(2360),
    [anon_sym_lock] = ACTIONS(2360),
    [anon_sym_lstat] = ACTIONS(2360),
    [anon_sym_oct] = ACTIONS(2360),
    [anon_sym_ord] = ACTIONS(2360),
    [anon_sym_prototype] = ACTIONS(2360),
    [anon_sym_pop] = ACTIONS(2360),
    [anon_sym_pos] = ACTIONS(2360),
    [anon_sym_quotemeta] = ACTIONS(2360),
    [anon_sym_reset] = ACTIONS(2360),
    [anon_sym_rand] = ACTIONS(2360),
    [anon_sym_rmdir] = ACTIONS(2360),
    [anon_sym_readdir] = ACTIONS(2360),
    [anon_sym_readline] = ACTIONS(2360),
    [anon_sym_readpipe] = ACTIONS(2360),
    [anon_sym_rewinddir] = ACTIONS(2360),
    [anon_sym_readlink] = ACTIONS(2360),
    [anon_sym_ref] = ACTIONS(2360),
    [anon_sym_scalar] = ACTIONS(2360),
    [anon_sym_shift] = ACTIONS(2360),
    [anon_sym_sin] = ACTIONS(2360),
    [anon_sym_sleep] = ACTIONS(2360),
    [anon_sym_sqrt] = ACTIONS(2360),
    [anon_sym_srand] = ACTIONS(2360),
    [anon_sym_stat] = ACTIONS(2360),
    [anon_sym_study] = ACTIONS(2360),
    [anon_sym_tell] = ACTIONS(2360),
    [anon_sym_telldir] = ACTIONS(2360),
    [anon_sym_tied] = ACTIONS(2360),
    [anon_sym_uc] = ACTIONS(2360),
    [anon_sym_ucfirst] = ACTIONS(2360),
    [anon_sym_untie] = ACTIONS(2360),
    [anon_sym_umask] = ACTIONS(2360),
    [anon_sym_values] = ACTIONS(2360),
    [anon_sym_write] = ACTIONS(2360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2360),
    [anon_sym_qq] = ACTIONS(2360),
    [anon_sym_qw] = ACTIONS(2360),
    [anon_sym_qx] = ACTIONS(2360),
    [anon_sym_qr] = ACTIONS(2360),
    [anon_sym_m] = ACTIONS(2360),
    [anon_sym_s] = ACTIONS(2360),
    [anon_sym_tr] = ACTIONS(2360),
    [anon_sym_y] = ACTIONS(2360),
    [anon_sym_if] = ACTIONS(2360),
    [anon_sym_unless] = ACTIONS(2360),
    [anon_sym_while] = ACTIONS(2360),
    [anon_sym_until] = ACTIONS(2360),
    [aux_sym__bareword_token1] = ACTIONS(2360),
    [sym_number] = ACTIONS(2360),
    [anon_sym_true] = ACTIONS(2360),
    [anon_sym_false] = ACTIONS(2360),
    [sym__single_quote] = ACTIONS(2358),
    [sym__double_quote] = ACTIONS(2358),
    [sym__backtick_quote] = ACTIONS(2358),
    [sym__search_slash_quote] = ACTIONS(2358),
    [sym__open_readline_bracket] = ACTIONS(2358),
    [sym__open_fileglob_bracket] = ACTIONS(2358),
    [sym__PERLY_HEREDOC] = ACTIONS(2358),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2358),
    [sym__filetest] = ACTIONS(2358),
  },
  [1085] = {
    [sym_heredoc_content] = STATE(1085),
    [sym__identifier] = ACTIONS(2089),
    [anon_sym_LBRACE] = ACTIONS(2089),
    [anon_sym_RBRACE] = ACTIONS(2089),
    [anon_sym_SEMI] = ACTIONS(2089),
    [anon_sym_package] = ACTIONS(2089),
    [anon_sym_class] = ACTIONS(2089),
    [anon_sym_role] = ACTIONS(2089),
    [anon_sym_BUILD] = ACTIONS(2089),
    [anon_sym_ADJUST] = ACTIONS(2089),
    [anon_sym_DOLLAR] = ACTIONS(2089),
    [anon_sym_AT] = ACTIONS(2089),
    [anon_sym_my] = ACTIONS(2089),
    [anon_sym_extended] = ACTIONS(2089),
    [anon_sym_async] = ACTIONS(2089),
    [anon_sym_sub] = ACTIONS(2089),
    [anon_sym_method] = ACTIONS(2089),
    [anon_sym_LPAREN] = ACTIONS(2089),
    [anon_sym_continue] = ACTIONS(2089),
    [anon_sym_state] = ACTIONS(2089),
    [anon_sym_our] = ACTIONS(2089),
    [anon_sym_try] = ACTIONS(2089),
    [anon_sym_defer] = ACTIONS(2089),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2089),
    [anon_sym_LBRACK] = ACTIONS(2089),
    [anon_sym_LT_LT] = ACTIONS(2089),
    [anon_sym_SLASH_SLASH] = ACTIONS(2089),
    [anon_sym_PLUS] = ACTIONS(2089),
    [anon_sym_DASH] = ACTIONS(2089),
    [anon_sym_TILDE] = ACTIONS(2089),
    [anon_sym_BANG] = ACTIONS(2089),
    [anon_sym_PLUS_PLUS] = ACTIONS(2089),
    [anon_sym_DASH_DASH] = ACTIONS(2089),
    [anon_sym_BSLASH] = ACTIONS(2087),
    [anon_sym_do] = ACTIONS(2089),
    [anon_sym_eval] = ACTIONS(2089),
    [anon_sym_await] = ACTIONS(2089),
    [anon_sym_field] = ACTIONS(2089),
    [anon_sym_local] = ACTIONS(2089),
    [anon_sym_dynamically] = ACTIONS(2089),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2089),
    [anon_sym_require] = ACTIONS(2089),
    [anon_sym_map] = ACTIONS(2089),
    [anon_sym_grep] = ACTIONS(2089),
    [anon_sym_sort] = ACTIONS(2089),
    [anon_sym_goto] = ACTIONS(2089),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_undef] = ACTIONS(2089),
    [anon_sym_PERCENT2] = ACTIONS(2089),
    [anon_sym_AMP2] = ACTIONS(2089),
    [anon_sym_STAR2] = ACTIONS(2089),
    [anon_sym_use] = ACTIONS(2089),
    [anon_sym_no] = ACTIONS(2089),
    [anon_sym_for] = ACTIONS(2089),
    [anon_sym_foreach] = ACTIONS(2089),
    [anon_sym_last] = ACTIONS(2089),
    [anon_sym_next] = ACTIONS(2089),
    [anon_sym_redo] = ACTIONS(2089),
    [anon_sym_BEGIN] = ACTIONS(2089),
    [anon_sym_INIT] = ACTIONS(2089),
    [anon_sym_CHECK] = ACTIONS(2089),
    [anon_sym_UNITCHECK] = ACTIONS(2089),
    [anon_sym_END] = ACTIONS(2089),
    [anon_sym___FILE__] = ACTIONS(2089),
    [anon_sym___LINE__] = ACTIONS(2089),
    [anon_sym___PACKAGE__] = ACTIONS(2089),
    [anon_sym___SUB__] = ACTIONS(2089),
    [anon_sym_break] = ACTIONS(2089),
    [anon_sym_fork] = ACTIONS(2089),
    [anon_sym_getppid] = ACTIONS(2089),
    [anon_sym_time] = ACTIONS(2089),
    [anon_sym_times] = ACTIONS(2089),
    [anon_sym_wait] = ACTIONS(2089),
    [anon_sym_wantarray] = ACTIONS(2089),
    [anon_sym_abs] = ACTIONS(2089),
    [anon_sym_alarm] = ACTIONS(2089),
    [anon_sym_chop] = ACTIONS(2089),
    [anon_sym_chdir] = ACTIONS(2089),
    [anon_sym_close] = ACTIONS(2089),
    [anon_sym_closedir] = ACTIONS(2089),
    [anon_sym_caller] = ACTIONS(2089),
    [anon_sym_chomp] = ACTIONS(2089),
    [anon_sym_chr] = ACTIONS(2089),
    [anon_sym_cos] = ACTIONS(2089),
    [anon_sym_chroot] = ACTIONS(2089),
    [anon_sym_defined] = ACTIONS(2089),
    [anon_sym_delete] = ACTIONS(2089),
    [anon_sym_dbmclose] = ACTIONS(2089),
    [anon_sym_exists] = ACTIONS(2089),
    [anon_sym_exit] = ACTIONS(2089),
    [anon_sym_eof] = ACTIONS(2089),
    [anon_sym_exp] = ACTIONS(2089),
    [anon_sym_each] = ACTIONS(2089),
    [anon_sym_fc] = ACTIONS(2089),
    [anon_sym_fileno] = ACTIONS(2089),
    [anon_sym_gmtime] = ACTIONS(2089),
    [anon_sym_getc] = ACTIONS(2089),
    [anon_sym_getpgrp] = ACTIONS(2089),
    [anon_sym_getprotobyname] = ACTIONS(2089),
    [anon_sym_getpwname] = ACTIONS(2089),
    [anon_sym_getpwuid] = ACTIONS(2089),
    [anon_sym_getpeername] = ACTIONS(2089),
    [anon_sym_getnetbyname] = ACTIONS(2089),
    [anon_sym_getsockname] = ACTIONS(2089),
    [anon_sym_getgrnam] = ACTIONS(2089),
    [anon_sym_getgrgid] = ACTIONS(2089),
    [anon_sym_hex] = ACTIONS(2089),
    [anon_sym_int] = ACTIONS(2089),
    [anon_sym_keys] = ACTIONS(2089),
    [anon_sym_lc] = ACTIONS(2089),
    [anon_sym_lcfirst] = ACTIONS(2089),
    [anon_sym_length] = ACTIONS(2089),
    [anon_sym_localtime] = ACTIONS(2089),
    [anon_sym_log] = ACTIONS(2089),
    [anon_sym_lock] = ACTIONS(2089),
    [anon_sym_lstat] = ACTIONS(2089),
    [anon_sym_oct] = ACTIONS(2089),
    [anon_sym_ord] = ACTIONS(2089),
    [anon_sym_prototype] = ACTIONS(2089),
    [anon_sym_pop] = ACTIONS(2089),
    [anon_sym_pos] = ACTIONS(2089),
    [anon_sym_quotemeta] = ACTIONS(2089),
    [anon_sym_reset] = ACTIONS(2089),
    [anon_sym_rand] = ACTIONS(2089),
    [anon_sym_rmdir] = ACTIONS(2089),
    [anon_sym_readdir] = ACTIONS(2089),
    [anon_sym_readline] = ACTIONS(2089),
    [anon_sym_readpipe] = ACTIONS(2089),
    [anon_sym_rewinddir] = ACTIONS(2089),
    [anon_sym_readlink] = ACTIONS(2089),
    [anon_sym_ref] = ACTIONS(2089),
    [anon_sym_scalar] = ACTIONS(2089),
    [anon_sym_shift] = ACTIONS(2089),
    [anon_sym_sin] = ACTIONS(2089),
    [anon_sym_sleep] = ACTIONS(2089),
    [anon_sym_sqrt] = ACTIONS(2089),
    [anon_sym_srand] = ACTIONS(2089),
    [anon_sym_stat] = ACTIONS(2089),
    [anon_sym_study] = ACTIONS(2089),
    [anon_sym_tell] = ACTIONS(2089),
    [anon_sym_telldir] = ACTIONS(2089),
    [anon_sym_tied] = ACTIONS(2089),
    [anon_sym_uc] = ACTIONS(2089),
    [anon_sym_ucfirst] = ACTIONS(2089),
    [anon_sym_untie] = ACTIONS(2089),
    [anon_sym_umask] = ACTIONS(2089),
    [anon_sym_values] = ACTIONS(2089),
    [anon_sym_write] = ACTIONS(2089),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2089),
    [anon_sym_qq] = ACTIONS(2089),
    [anon_sym_qw] = ACTIONS(2089),
    [anon_sym_qx] = ACTIONS(2089),
    [anon_sym_qr] = ACTIONS(2089),
    [anon_sym_m] = ACTIONS(2089),
    [anon_sym_s] = ACTIONS(2089),
    [anon_sym_tr] = ACTIONS(2089),
    [anon_sym_y] = ACTIONS(2089),
    [anon_sym_if] = ACTIONS(2089),
    [anon_sym_unless] = ACTIONS(2089),
    [anon_sym_while] = ACTIONS(2089),
    [anon_sym_until] = ACTIONS(2089),
    [aux_sym__bareword_token1] = ACTIONS(2089),
    [sym_number] = ACTIONS(2089),
    [anon_sym_true] = ACTIONS(2089),
    [anon_sym_false] = ACTIONS(2089),
    [sym__single_quote] = ACTIONS(2087),
    [sym__double_quote] = ACTIONS(2087),
    [sym__backtick_quote] = ACTIONS(2087),
    [sym__search_slash_quote] = ACTIONS(2087),
    [sym__open_readline_bracket] = ACTIONS(2087),
    [sym__open_fileglob_bracket] = ACTIONS(2087),
    [sym__PERLY_HEREDOC] = ACTIONS(2087),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2087),
    [sym__filetest] = ACTIONS(2087),
  },
  [1086] = {
    [sym__else] = STATE(1179),
    [sym_else] = STATE(1160),
    [sym_elsif] = STATE(1160),
    [sym_heredoc_content] = STATE(1086),
    [sym__identifier] = ACTIONS(1985),
    [anon_sym_LBRACE] = ACTIONS(1985),
    [anon_sym_DOLLAR] = ACTIONS(1985),
    [anon_sym_AT] = ACTIONS(1985),
    [anon_sym_RPAREN] = ACTIONS(1985),
    [anon_sym_my] = ACTIONS(1985),
    [anon_sym_extended] = ACTIONS(1985),
    [anon_sym_async] = ACTIONS(1985),
    [anon_sym_sub] = ACTIONS(1985),
    [anon_sym_method] = ACTIONS(1985),
    [anon_sym_LPAREN] = ACTIONS(1985),
    [anon_sym_continue] = ACTIONS(1985),
    [anon_sym_state] = ACTIONS(1985),
    [anon_sym_our] = ACTIONS(1985),
    [anon_sym_else] = ACTIONS(2385),
    [anon_sym_elsif] = ACTIONS(2387),
    [anon_sym_LBRACK] = ACTIONS(1985),
    [anon_sym_LT_LT] = ACTIONS(1985),
    [anon_sym_SLASH_SLASH] = ACTIONS(1985),
    [anon_sym_PLUS] = ACTIONS(1985),
    [anon_sym_DASH] = ACTIONS(1985),
    [anon_sym_TILDE] = ACTIONS(1985),
    [anon_sym_BANG] = ACTIONS(1985),
    [anon_sym_PLUS_PLUS] = ACTIONS(1985),
    [anon_sym_DASH_DASH] = ACTIONS(1985),
    [anon_sym_BSLASH] = ACTIONS(1983),
    [anon_sym_do] = ACTIONS(1985),
    [anon_sym_eval] = ACTIONS(1985),
    [anon_sym_await] = ACTIONS(1985),
    [anon_sym_field] = ACTIONS(1985),
    [anon_sym_local] = ACTIONS(1985),
    [anon_sym_dynamically] = ACTIONS(1985),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1985),
    [anon_sym_require] = ACTIONS(1985),
    [anon_sym_map] = ACTIONS(1985),
    [anon_sym_grep] = ACTIONS(1985),
    [anon_sym_sort] = ACTIONS(1985),
    [anon_sym_goto] = ACTIONS(1985),
    [anon_sym_return] = ACTIONS(1985),
    [anon_sym_undef] = ACTIONS(1985),
    [anon_sym_PERCENT2] = ACTIONS(1985),
    [anon_sym_AMP2] = ACTIONS(1985),
    [anon_sym_STAR2] = ACTIONS(1985),
    [anon_sym_last] = ACTIONS(1985),
    [anon_sym_next] = ACTIONS(1985),
    [anon_sym_redo] = ACTIONS(1985),
    [anon_sym___FILE__] = ACTIONS(1985),
    [anon_sym___LINE__] = ACTIONS(1985),
    [anon_sym___PACKAGE__] = ACTIONS(1985),
    [anon_sym___SUB__] = ACTIONS(1985),
    [anon_sym_break] = ACTIONS(1985),
    [anon_sym_fork] = ACTIONS(1985),
    [anon_sym_getppid] = ACTIONS(1985),
    [anon_sym_time] = ACTIONS(1985),
    [anon_sym_times] = ACTIONS(1985),
    [anon_sym_wait] = ACTIONS(1985),
    [anon_sym_wantarray] = ACTIONS(1985),
    [anon_sym_abs] = ACTIONS(1985),
    [anon_sym_alarm] = ACTIONS(1985),
    [anon_sym_chop] = ACTIONS(1985),
    [anon_sym_chdir] = ACTIONS(1985),
    [anon_sym_close] = ACTIONS(1985),
    [anon_sym_closedir] = ACTIONS(1985),
    [anon_sym_caller] = ACTIONS(1985),
    [anon_sym_chomp] = ACTIONS(1985),
    [anon_sym_chr] = ACTIONS(1985),
    [anon_sym_cos] = ACTIONS(1985),
    [anon_sym_chroot] = ACTIONS(1985),
    [anon_sym_defined] = ACTIONS(1985),
    [anon_sym_delete] = ACTIONS(1985),
    [anon_sym_dbmclose] = ACTIONS(1985),
    [anon_sym_exists] = ACTIONS(1985),
    [anon_sym_exit] = ACTIONS(1985),
    [anon_sym_eof] = ACTIONS(1985),
    [anon_sym_exp] = ACTIONS(1985),
    [anon_sym_each] = ACTIONS(1985),
    [anon_sym_fc] = ACTIONS(1985),
    [anon_sym_fileno] = ACTIONS(1985),
    [anon_sym_gmtime] = ACTIONS(1985),
    [anon_sym_getc] = ACTIONS(1985),
    [anon_sym_getpgrp] = ACTIONS(1985),
    [anon_sym_getprotobyname] = ACTIONS(1985),
    [anon_sym_getpwname] = ACTIONS(1985),
    [anon_sym_getpwuid] = ACTIONS(1985),
    [anon_sym_getpeername] = ACTIONS(1985),
    [anon_sym_getnetbyname] = ACTIONS(1985),
    [anon_sym_getsockname] = ACTIONS(1985),
    [anon_sym_getgrnam] = ACTIONS(1985),
    [anon_sym_getgrgid] = ACTIONS(1985),
    [anon_sym_hex] = ACTIONS(1985),
    [anon_sym_int] = ACTIONS(1985),
    [anon_sym_keys] = ACTIONS(1985),
    [anon_sym_lc] = ACTIONS(1985),
    [anon_sym_lcfirst] = ACTIONS(1985),
    [anon_sym_length] = ACTIONS(1985),
    [anon_sym_localtime] = ACTIONS(1985),
    [anon_sym_log] = ACTIONS(1985),
    [anon_sym_lock] = ACTIONS(1985),
    [anon_sym_lstat] = ACTIONS(1985),
    [anon_sym_oct] = ACTIONS(1985),
    [anon_sym_ord] = ACTIONS(1985),
    [anon_sym_prototype] = ACTIONS(1985),
    [anon_sym_pop] = ACTIONS(1985),
    [anon_sym_pos] = ACTIONS(1985),
    [anon_sym_quotemeta] = ACTIONS(1985),
    [anon_sym_reset] = ACTIONS(1985),
    [anon_sym_rand] = ACTIONS(1985),
    [anon_sym_rmdir] = ACTIONS(1985),
    [anon_sym_readdir] = ACTIONS(1985),
    [anon_sym_readline] = ACTIONS(1985),
    [anon_sym_readpipe] = ACTIONS(1985),
    [anon_sym_rewinddir] = ACTIONS(1985),
    [anon_sym_readlink] = ACTIONS(1985),
    [anon_sym_ref] = ACTIONS(1985),
    [anon_sym_scalar] = ACTIONS(1985),
    [anon_sym_shift] = ACTIONS(1985),
    [anon_sym_sin] = ACTIONS(1985),
    [anon_sym_sleep] = ACTIONS(1985),
    [anon_sym_sqrt] = ACTIONS(1985),
    [anon_sym_srand] = ACTIONS(1985),
    [anon_sym_stat] = ACTIONS(1985),
    [anon_sym_study] = ACTIONS(1985),
    [anon_sym_tell] = ACTIONS(1985),
    [anon_sym_telldir] = ACTIONS(1985),
    [anon_sym_tied] = ACTIONS(1985),
    [anon_sym_uc] = ACTIONS(1985),
    [anon_sym_ucfirst] = ACTIONS(1985),
    [anon_sym_untie] = ACTIONS(1985),
    [anon_sym_umask] = ACTIONS(1985),
    [anon_sym_values] = ACTIONS(1985),
    [anon_sym_write] = ACTIONS(1985),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1985),
    [anon_sym_qq] = ACTIONS(1985),
    [anon_sym_qw] = ACTIONS(1985),
    [anon_sym_qx] = ACTIONS(1985),
    [anon_sym_qr] = ACTIONS(1985),
    [anon_sym_m] = ACTIONS(1985),
    [anon_sym_s] = ACTIONS(1985),
    [anon_sym_tr] = ACTIONS(1985),
    [anon_sym_y] = ACTIONS(1985),
    [aux_sym__bareword_token1] = ACTIONS(1985),
    [sym_number] = ACTIONS(1985),
    [anon_sym_true] = ACTIONS(1985),
    [anon_sym_false] = ACTIONS(1985),
    [sym__single_quote] = ACTIONS(1983),
    [sym__double_quote] = ACTIONS(1983),
    [sym__backtick_quote] = ACTIONS(1983),
    [sym__search_slash_quote] = ACTIONS(1983),
    [sym__open_readline_bracket] = ACTIONS(1983),
    [sym__open_fileglob_bracket] = ACTIONS(1983),
    [sym__PERLY_HEREDOC] = ACTIONS(1983),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1983),
    [sym__filetest] = ACTIONS(1983),
  },
  [1087] = {
    [sym__else] = STATE(1159),
    [sym_else] = STATE(1160),
    [sym_elsif] = STATE(1160),
    [sym_heredoc_content] = STATE(1087),
    [sym__identifier] = ACTIONS(1977),
    [anon_sym_LBRACE] = ACTIONS(1977),
    [anon_sym_DOLLAR] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(1977),
    [anon_sym_RPAREN] = ACTIONS(1977),
    [anon_sym_my] = ACTIONS(1977),
    [anon_sym_extended] = ACTIONS(1977),
    [anon_sym_async] = ACTIONS(1977),
    [anon_sym_sub] = ACTIONS(1977),
    [anon_sym_method] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(1977),
    [anon_sym_continue] = ACTIONS(1977),
    [anon_sym_state] = ACTIONS(1977),
    [anon_sym_our] = ACTIONS(1977),
    [anon_sym_else] = ACTIONS(2385),
    [anon_sym_elsif] = ACTIONS(2387),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(1977),
    [anon_sym_SLASH_SLASH] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_TILDE] = ACTIONS(1977),
    [anon_sym_BANG] = ACTIONS(1977),
    [anon_sym_PLUS_PLUS] = ACTIONS(1977),
    [anon_sym_DASH_DASH] = ACTIONS(1977),
    [anon_sym_BSLASH] = ACTIONS(1975),
    [anon_sym_do] = ACTIONS(1977),
    [anon_sym_eval] = ACTIONS(1977),
    [anon_sym_await] = ACTIONS(1977),
    [anon_sym_field] = ACTIONS(1977),
    [anon_sym_local] = ACTIONS(1977),
    [anon_sym_dynamically] = ACTIONS(1977),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1977),
    [anon_sym_require] = ACTIONS(1977),
    [anon_sym_map] = ACTIONS(1977),
    [anon_sym_grep] = ACTIONS(1977),
    [anon_sym_sort] = ACTIONS(1977),
    [anon_sym_goto] = ACTIONS(1977),
    [anon_sym_return] = ACTIONS(1977),
    [anon_sym_undef] = ACTIONS(1977),
    [anon_sym_PERCENT2] = ACTIONS(1977),
    [anon_sym_AMP2] = ACTIONS(1977),
    [anon_sym_STAR2] = ACTIONS(1977),
    [anon_sym_last] = ACTIONS(1977),
    [anon_sym_next] = ACTIONS(1977),
    [anon_sym_redo] = ACTIONS(1977),
    [anon_sym___FILE__] = ACTIONS(1977),
    [anon_sym___LINE__] = ACTIONS(1977),
    [anon_sym___PACKAGE__] = ACTIONS(1977),
    [anon_sym___SUB__] = ACTIONS(1977),
    [anon_sym_break] = ACTIONS(1977),
    [anon_sym_fork] = ACTIONS(1977),
    [anon_sym_getppid] = ACTIONS(1977),
    [anon_sym_time] = ACTIONS(1977),
    [anon_sym_times] = ACTIONS(1977),
    [anon_sym_wait] = ACTIONS(1977),
    [anon_sym_wantarray] = ACTIONS(1977),
    [anon_sym_abs] = ACTIONS(1977),
    [anon_sym_alarm] = ACTIONS(1977),
    [anon_sym_chop] = ACTIONS(1977),
    [anon_sym_chdir] = ACTIONS(1977),
    [anon_sym_close] = ACTIONS(1977),
    [anon_sym_closedir] = ACTIONS(1977),
    [anon_sym_caller] = ACTIONS(1977),
    [anon_sym_chomp] = ACTIONS(1977),
    [anon_sym_chr] = ACTIONS(1977),
    [anon_sym_cos] = ACTIONS(1977),
    [anon_sym_chroot] = ACTIONS(1977),
    [anon_sym_defined] = ACTIONS(1977),
    [anon_sym_delete] = ACTIONS(1977),
    [anon_sym_dbmclose] = ACTIONS(1977),
    [anon_sym_exists] = ACTIONS(1977),
    [anon_sym_exit] = ACTIONS(1977),
    [anon_sym_eof] = ACTIONS(1977),
    [anon_sym_exp] = ACTIONS(1977),
    [anon_sym_each] = ACTIONS(1977),
    [anon_sym_fc] = ACTIONS(1977),
    [anon_sym_fileno] = ACTIONS(1977),
    [anon_sym_gmtime] = ACTIONS(1977),
    [anon_sym_getc] = ACTIONS(1977),
    [anon_sym_getpgrp] = ACTIONS(1977),
    [anon_sym_getprotobyname] = ACTIONS(1977),
    [anon_sym_getpwname] = ACTIONS(1977),
    [anon_sym_getpwuid] = ACTIONS(1977),
    [anon_sym_getpeername] = ACTIONS(1977),
    [anon_sym_getnetbyname] = ACTIONS(1977),
    [anon_sym_getsockname] = ACTIONS(1977),
    [anon_sym_getgrnam] = ACTIONS(1977),
    [anon_sym_getgrgid] = ACTIONS(1977),
    [anon_sym_hex] = ACTIONS(1977),
    [anon_sym_int] = ACTIONS(1977),
    [anon_sym_keys] = ACTIONS(1977),
    [anon_sym_lc] = ACTIONS(1977),
    [anon_sym_lcfirst] = ACTIONS(1977),
    [anon_sym_length] = ACTIONS(1977),
    [anon_sym_localtime] = ACTIONS(1977),
    [anon_sym_log] = ACTIONS(1977),
    [anon_sym_lock] = ACTIONS(1977),
    [anon_sym_lstat] = ACTIONS(1977),
    [anon_sym_oct] = ACTIONS(1977),
    [anon_sym_ord] = ACTIONS(1977),
    [anon_sym_prototype] = ACTIONS(1977),
    [anon_sym_pop] = ACTIONS(1977),
    [anon_sym_pos] = ACTIONS(1977),
    [anon_sym_quotemeta] = ACTIONS(1977),
    [anon_sym_reset] = ACTIONS(1977),
    [anon_sym_rand] = ACTIONS(1977),
    [anon_sym_rmdir] = ACTIONS(1977),
    [anon_sym_readdir] = ACTIONS(1977),
    [anon_sym_readline] = ACTIONS(1977),
    [anon_sym_readpipe] = ACTIONS(1977),
    [anon_sym_rewinddir] = ACTIONS(1977),
    [anon_sym_readlink] = ACTIONS(1977),
    [anon_sym_ref] = ACTIONS(1977),
    [anon_sym_scalar] = ACTIONS(1977),
    [anon_sym_shift] = ACTIONS(1977),
    [anon_sym_sin] = ACTIONS(1977),
    [anon_sym_sleep] = ACTIONS(1977),
    [anon_sym_sqrt] = ACTIONS(1977),
    [anon_sym_srand] = ACTIONS(1977),
    [anon_sym_stat] = ACTIONS(1977),
    [anon_sym_study] = ACTIONS(1977),
    [anon_sym_tell] = ACTIONS(1977),
    [anon_sym_telldir] = ACTIONS(1977),
    [anon_sym_tied] = ACTIONS(1977),
    [anon_sym_uc] = ACTIONS(1977),
    [anon_sym_ucfirst] = ACTIONS(1977),
    [anon_sym_untie] = ACTIONS(1977),
    [anon_sym_umask] = ACTIONS(1977),
    [anon_sym_values] = ACTIONS(1977),
    [anon_sym_write] = ACTIONS(1977),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1977),
    [anon_sym_qq] = ACTIONS(1977),
    [anon_sym_qw] = ACTIONS(1977),
    [anon_sym_qx] = ACTIONS(1977),
    [anon_sym_qr] = ACTIONS(1977),
    [anon_sym_m] = ACTIONS(1977),
    [anon_sym_s] = ACTIONS(1977),
    [anon_sym_tr] = ACTIONS(1977),
    [anon_sym_y] = ACTIONS(1977),
    [aux_sym__bareword_token1] = ACTIONS(1977),
    [sym_number] = ACTIONS(1977),
    [anon_sym_true] = ACTIONS(1977),
    [anon_sym_false] = ACTIONS(1977),
    [sym__single_quote] = ACTIONS(1975),
    [sym__double_quote] = ACTIONS(1975),
    [sym__backtick_quote] = ACTIONS(1975),
    [sym__search_slash_quote] = ACTIONS(1975),
    [sym__open_readline_bracket] = ACTIONS(1975),
    [sym__open_fileglob_bracket] = ACTIONS(1975),
    [sym__PERLY_HEREDOC] = ACTIONS(1975),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1975),
    [sym__filetest] = ACTIONS(1975),
  },
  [1088] = {
    [sym_heredoc_content] = STATE(1088),
    [sym__identifier] = ACTIONS(1824),
    [anon_sym_LBRACE] = ACTIONS(1824),
    [anon_sym_DOLLAR] = ACTIONS(1824),
    [anon_sym_AT] = ACTIONS(1824),
    [anon_sym_RPAREN] = ACTIONS(1824),
    [anon_sym_my] = ACTIONS(1824),
    [anon_sym_extended] = ACTIONS(1824),
    [anon_sym_async] = ACTIONS(1824),
    [anon_sym_sub] = ACTIONS(1824),
    [anon_sym_method] = ACTIONS(1824),
    [anon_sym_LPAREN] = ACTIONS(1824),
    [anon_sym_continue] = ACTIONS(1824),
    [anon_sym_state] = ACTIONS(1824),
    [anon_sym_our] = ACTIONS(1824),
    [anon_sym_catch] = ACTIONS(1824),
    [anon_sym_finally] = ACTIONS(1824),
    [anon_sym_LBRACK] = ACTIONS(1824),
    [anon_sym_LT_LT] = ACTIONS(1824),
    [anon_sym_SLASH_SLASH] = ACTIONS(1824),
    [anon_sym_PLUS] = ACTIONS(1824),
    [anon_sym_DASH] = ACTIONS(1824),
    [anon_sym_TILDE] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1824),
    [anon_sym_PLUS_PLUS] = ACTIONS(1824),
    [anon_sym_DASH_DASH] = ACTIONS(1824),
    [anon_sym_BSLASH] = ACTIONS(1826),
    [anon_sym_do] = ACTIONS(1824),
    [anon_sym_eval] = ACTIONS(1824),
    [anon_sym_await] = ACTIONS(1824),
    [anon_sym_field] = ACTIONS(1824),
    [anon_sym_local] = ACTIONS(1824),
    [anon_sym_dynamically] = ACTIONS(1824),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1824),
    [anon_sym_require] = ACTIONS(1824),
    [anon_sym_map] = ACTIONS(1824),
    [anon_sym_grep] = ACTIONS(1824),
    [anon_sym_sort] = ACTIONS(1824),
    [anon_sym_goto] = ACTIONS(1824),
    [anon_sym_return] = ACTIONS(1824),
    [anon_sym_undef] = ACTIONS(1824),
    [anon_sym_PERCENT2] = ACTIONS(1824),
    [anon_sym_AMP2] = ACTIONS(1824),
    [anon_sym_STAR2] = ACTIONS(1824),
    [anon_sym_last] = ACTIONS(1824),
    [anon_sym_next] = ACTIONS(1824),
    [anon_sym_redo] = ACTIONS(1824),
    [anon_sym___FILE__] = ACTIONS(1824),
    [anon_sym___LINE__] = ACTIONS(1824),
    [anon_sym___PACKAGE__] = ACTIONS(1824),
    [anon_sym___SUB__] = ACTIONS(1824),
    [anon_sym_break] = ACTIONS(1824),
    [anon_sym_fork] = ACTIONS(1824),
    [anon_sym_getppid] = ACTIONS(1824),
    [anon_sym_time] = ACTIONS(1824),
    [anon_sym_times] = ACTIONS(1824),
    [anon_sym_wait] = ACTIONS(1824),
    [anon_sym_wantarray] = ACTIONS(1824),
    [anon_sym_abs] = ACTIONS(1824),
    [anon_sym_alarm] = ACTIONS(1824),
    [anon_sym_chop] = ACTIONS(1824),
    [anon_sym_chdir] = ACTIONS(1824),
    [anon_sym_close] = ACTIONS(1824),
    [anon_sym_closedir] = ACTIONS(1824),
    [anon_sym_caller] = ACTIONS(1824),
    [anon_sym_chomp] = ACTIONS(1824),
    [anon_sym_chr] = ACTIONS(1824),
    [anon_sym_cos] = ACTIONS(1824),
    [anon_sym_chroot] = ACTIONS(1824),
    [anon_sym_defined] = ACTIONS(1824),
    [anon_sym_delete] = ACTIONS(1824),
    [anon_sym_dbmclose] = ACTIONS(1824),
    [anon_sym_exists] = ACTIONS(1824),
    [anon_sym_exit] = ACTIONS(1824),
    [anon_sym_eof] = ACTIONS(1824),
    [anon_sym_exp] = ACTIONS(1824),
    [anon_sym_each] = ACTIONS(1824),
    [anon_sym_fc] = ACTIONS(1824),
    [anon_sym_fileno] = ACTIONS(1824),
    [anon_sym_gmtime] = ACTIONS(1824),
    [anon_sym_getc] = ACTIONS(1824),
    [anon_sym_getpgrp] = ACTIONS(1824),
    [anon_sym_getprotobyname] = ACTIONS(1824),
    [anon_sym_getpwname] = ACTIONS(1824),
    [anon_sym_getpwuid] = ACTIONS(1824),
    [anon_sym_getpeername] = ACTIONS(1824),
    [anon_sym_getnetbyname] = ACTIONS(1824),
    [anon_sym_getsockname] = ACTIONS(1824),
    [anon_sym_getgrnam] = ACTIONS(1824),
    [anon_sym_getgrgid] = ACTIONS(1824),
    [anon_sym_hex] = ACTIONS(1824),
    [anon_sym_int] = ACTIONS(1824),
    [anon_sym_keys] = ACTIONS(1824),
    [anon_sym_lc] = ACTIONS(1824),
    [anon_sym_lcfirst] = ACTIONS(1824),
    [anon_sym_length] = ACTIONS(1824),
    [anon_sym_localtime] = ACTIONS(1824),
    [anon_sym_log] = ACTIONS(1824),
    [anon_sym_lock] = ACTIONS(1824),
    [anon_sym_lstat] = ACTIONS(1824),
    [anon_sym_oct] = ACTIONS(1824),
    [anon_sym_ord] = ACTIONS(1824),
    [anon_sym_prototype] = ACTIONS(1824),
    [anon_sym_pop] = ACTIONS(1824),
    [anon_sym_pos] = ACTIONS(1824),
    [anon_sym_quotemeta] = ACTIONS(1824),
    [anon_sym_reset] = ACTIONS(1824),
    [anon_sym_rand] = ACTIONS(1824),
    [anon_sym_rmdir] = ACTIONS(1824),
    [anon_sym_readdir] = ACTIONS(1824),
    [anon_sym_readline] = ACTIONS(1824),
    [anon_sym_readpipe] = ACTIONS(1824),
    [anon_sym_rewinddir] = ACTIONS(1824),
    [anon_sym_readlink] = ACTIONS(1824),
    [anon_sym_ref] = ACTIONS(1824),
    [anon_sym_scalar] = ACTIONS(1824),
    [anon_sym_shift] = ACTIONS(1824),
    [anon_sym_sin] = ACTIONS(1824),
    [anon_sym_sleep] = ACTIONS(1824),
    [anon_sym_sqrt] = ACTIONS(1824),
    [anon_sym_srand] = ACTIONS(1824),
    [anon_sym_stat] = ACTIONS(1824),
    [anon_sym_study] = ACTIONS(1824),
    [anon_sym_tell] = ACTIONS(1824),
    [anon_sym_telldir] = ACTIONS(1824),
    [anon_sym_tied] = ACTIONS(1824),
    [anon_sym_uc] = ACTIONS(1824),
    [anon_sym_ucfirst] = ACTIONS(1824),
    [anon_sym_untie] = ACTIONS(1824),
    [anon_sym_umask] = ACTIONS(1824),
    [anon_sym_values] = ACTIONS(1824),
    [anon_sym_write] = ACTIONS(1824),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1824),
    [anon_sym_qq] = ACTIONS(1824),
    [anon_sym_qw] = ACTIONS(1824),
    [anon_sym_qx] = ACTIONS(1824),
    [anon_sym_qr] = ACTIONS(1824),
    [anon_sym_m] = ACTIONS(1824),
    [anon_sym_s] = ACTIONS(1824),
    [anon_sym_tr] = ACTIONS(1824),
    [anon_sym_y] = ACTIONS(1824),
    [aux_sym__bareword_token1] = ACTIONS(1824),
    [sym_number] = ACTIONS(1824),
    [anon_sym_true] = ACTIONS(1824),
    [anon_sym_false] = ACTIONS(1824),
    [sym__single_quote] = ACTIONS(1826),
    [sym__double_quote] = ACTIONS(1826),
    [sym__backtick_quote] = ACTIONS(1826),
    [sym__search_slash_quote] = ACTIONS(1826),
    [sym__open_readline_bracket] = ACTIONS(1826),
    [sym__open_fileglob_bracket] = ACTIONS(1826),
    [sym__PERLY_HEREDOC] = ACTIONS(1826),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1826),
    [sym__filetest] = ACTIONS(1826),
  },
  [1089] = {
    [sym_heredoc_content] = STATE(1089),
    [sym__identifier] = ACTIONS(1661),
    [anon_sym_LBRACE] = ACTIONS(1661),
    [anon_sym_DOLLAR] = ACTIONS(1661),
    [anon_sym_AT] = ACTIONS(1661),
    [anon_sym_RPAREN] = ACTIONS(1661),
    [anon_sym_my] = ACTIONS(1661),
    [anon_sym_extended] = ACTIONS(1661),
    [anon_sym_async] = ACTIONS(1661),
    [anon_sym_sub] = ACTIONS(1661),
    [anon_sym_method] = ACTIONS(1661),
    [anon_sym_LPAREN] = ACTIONS(1661),
    [anon_sym_continue] = ACTIONS(1661),
    [anon_sym_state] = ACTIONS(1661),
    [anon_sym_our] = ACTIONS(1661),
    [anon_sym_catch] = ACTIONS(1661),
    [anon_sym_finally] = ACTIONS(1661),
    [anon_sym_LBRACK] = ACTIONS(1661),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1661),
    [anon_sym_PLUS] = ACTIONS(1661),
    [anon_sym_DASH] = ACTIONS(1661),
    [anon_sym_TILDE] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1661),
    [anon_sym_PLUS_PLUS] = ACTIONS(1661),
    [anon_sym_DASH_DASH] = ACTIONS(1661),
    [anon_sym_BSLASH] = ACTIONS(1659),
    [anon_sym_do] = ACTIONS(1661),
    [anon_sym_eval] = ACTIONS(1661),
    [anon_sym_await] = ACTIONS(1661),
    [anon_sym_field] = ACTIONS(1661),
    [anon_sym_local] = ACTIONS(1661),
    [anon_sym_dynamically] = ACTIONS(1661),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1661),
    [anon_sym_require] = ACTIONS(1661),
    [anon_sym_map] = ACTIONS(1661),
    [anon_sym_grep] = ACTIONS(1661),
    [anon_sym_sort] = ACTIONS(1661),
    [anon_sym_goto] = ACTIONS(1661),
    [anon_sym_return] = ACTIONS(1661),
    [anon_sym_undef] = ACTIONS(1661),
    [anon_sym_PERCENT2] = ACTIONS(1661),
    [anon_sym_AMP2] = ACTIONS(1661),
    [anon_sym_STAR2] = ACTIONS(1661),
    [anon_sym_last] = ACTIONS(1661),
    [anon_sym_next] = ACTIONS(1661),
    [anon_sym_redo] = ACTIONS(1661),
    [anon_sym___FILE__] = ACTIONS(1661),
    [anon_sym___LINE__] = ACTIONS(1661),
    [anon_sym___PACKAGE__] = ACTIONS(1661),
    [anon_sym___SUB__] = ACTIONS(1661),
    [anon_sym_break] = ACTIONS(1661),
    [anon_sym_fork] = ACTIONS(1661),
    [anon_sym_getppid] = ACTIONS(1661),
    [anon_sym_time] = ACTIONS(1661),
    [anon_sym_times] = ACTIONS(1661),
    [anon_sym_wait] = ACTIONS(1661),
    [anon_sym_wantarray] = ACTIONS(1661),
    [anon_sym_abs] = ACTIONS(1661),
    [anon_sym_alarm] = ACTIONS(1661),
    [anon_sym_chop] = ACTIONS(1661),
    [anon_sym_chdir] = ACTIONS(1661),
    [anon_sym_close] = ACTIONS(1661),
    [anon_sym_closedir] = ACTIONS(1661),
    [anon_sym_caller] = ACTIONS(1661),
    [anon_sym_chomp] = ACTIONS(1661),
    [anon_sym_chr] = ACTIONS(1661),
    [anon_sym_cos] = ACTIONS(1661),
    [anon_sym_chroot] = ACTIONS(1661),
    [anon_sym_defined] = ACTIONS(1661),
    [anon_sym_delete] = ACTIONS(1661),
    [anon_sym_dbmclose] = ACTIONS(1661),
    [anon_sym_exists] = ACTIONS(1661),
    [anon_sym_exit] = ACTIONS(1661),
    [anon_sym_eof] = ACTIONS(1661),
    [anon_sym_exp] = ACTIONS(1661),
    [anon_sym_each] = ACTIONS(1661),
    [anon_sym_fc] = ACTIONS(1661),
    [anon_sym_fileno] = ACTIONS(1661),
    [anon_sym_gmtime] = ACTIONS(1661),
    [anon_sym_getc] = ACTIONS(1661),
    [anon_sym_getpgrp] = ACTIONS(1661),
    [anon_sym_getprotobyname] = ACTIONS(1661),
    [anon_sym_getpwname] = ACTIONS(1661),
    [anon_sym_getpwuid] = ACTIONS(1661),
    [anon_sym_getpeername] = ACTIONS(1661),
    [anon_sym_getnetbyname] = ACTIONS(1661),
    [anon_sym_getsockname] = ACTIONS(1661),
    [anon_sym_getgrnam] = ACTIONS(1661),
    [anon_sym_getgrgid] = ACTIONS(1661),
    [anon_sym_hex] = ACTIONS(1661),
    [anon_sym_int] = ACTIONS(1661),
    [anon_sym_keys] = ACTIONS(1661),
    [anon_sym_lc] = ACTIONS(1661),
    [anon_sym_lcfirst] = ACTIONS(1661),
    [anon_sym_length] = ACTIONS(1661),
    [anon_sym_localtime] = ACTIONS(1661),
    [anon_sym_log] = ACTIONS(1661),
    [anon_sym_lock] = ACTIONS(1661),
    [anon_sym_lstat] = ACTIONS(1661),
    [anon_sym_oct] = ACTIONS(1661),
    [anon_sym_ord] = ACTIONS(1661),
    [anon_sym_prototype] = ACTIONS(1661),
    [anon_sym_pop] = ACTIONS(1661),
    [anon_sym_pos] = ACTIONS(1661),
    [anon_sym_quotemeta] = ACTIONS(1661),
    [anon_sym_reset] = ACTIONS(1661),
    [anon_sym_rand] = ACTIONS(1661),
    [anon_sym_rmdir] = ACTIONS(1661),
    [anon_sym_readdir] = ACTIONS(1661),
    [anon_sym_readline] = ACTIONS(1661),
    [anon_sym_readpipe] = ACTIONS(1661),
    [anon_sym_rewinddir] = ACTIONS(1661),
    [anon_sym_readlink] = ACTIONS(1661),
    [anon_sym_ref] = ACTIONS(1661),
    [anon_sym_scalar] = ACTIONS(1661),
    [anon_sym_shift] = ACTIONS(1661),
    [anon_sym_sin] = ACTIONS(1661),
    [anon_sym_sleep] = ACTIONS(1661),
    [anon_sym_sqrt] = ACTIONS(1661),
    [anon_sym_srand] = ACTIONS(1661),
    [anon_sym_stat] = ACTIONS(1661),
    [anon_sym_study] = ACTIONS(1661),
    [anon_sym_tell] = ACTIONS(1661),
    [anon_sym_telldir] = ACTIONS(1661),
    [anon_sym_tied] = ACTIONS(1661),
    [anon_sym_uc] = ACTIONS(1661),
    [anon_sym_ucfirst] = ACTIONS(1661),
    [anon_sym_untie] = ACTIONS(1661),
    [anon_sym_umask] = ACTIONS(1661),
    [anon_sym_values] = ACTIONS(1661),
    [anon_sym_write] = ACTIONS(1661),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1661),
    [anon_sym_qq] = ACTIONS(1661),
    [anon_sym_qw] = ACTIONS(1661),
    [anon_sym_qx] = ACTIONS(1661),
    [anon_sym_qr] = ACTIONS(1661),
    [anon_sym_m] = ACTIONS(1661),
    [anon_sym_s] = ACTIONS(1661),
    [anon_sym_tr] = ACTIONS(1661),
    [anon_sym_y] = ACTIONS(1661),
    [aux_sym__bareword_token1] = ACTIONS(1661),
    [sym_number] = ACTIONS(1661),
    [anon_sym_true] = ACTIONS(1661),
    [anon_sym_false] = ACTIONS(1661),
    [sym__single_quote] = ACTIONS(1659),
    [sym__double_quote] = ACTIONS(1659),
    [sym__backtick_quote] = ACTIONS(1659),
    [sym__search_slash_quote] = ACTIONS(1659),
    [sym__open_readline_bracket] = ACTIONS(1659),
    [sym__open_fileglob_bracket] = ACTIONS(1659),
    [sym__PERLY_HEREDOC] = ACTIONS(1659),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1659),
    [sym__filetest] = ACTIONS(1659),
  },
  [1090] = {
    [sym_heredoc_content] = STATE(1090),
    [sym__identifier] = ACTIONS(1989),
    [anon_sym_LBRACE] = ACTIONS(1989),
    [anon_sym_DOLLAR] = ACTIONS(1989),
    [anon_sym_AT] = ACTIONS(1989),
    [anon_sym_RPAREN] = ACTIONS(1989),
    [anon_sym_my] = ACTIONS(1989),
    [anon_sym_extended] = ACTIONS(1989),
    [anon_sym_async] = ACTIONS(1989),
    [anon_sym_sub] = ACTIONS(1989),
    [anon_sym_method] = ACTIONS(1989),
    [anon_sym_LPAREN] = ACTIONS(1989),
    [anon_sym_continue] = ACTIONS(1989),
    [anon_sym_state] = ACTIONS(1989),
    [anon_sym_our] = ACTIONS(1989),
    [anon_sym_catch] = ACTIONS(2389),
    [anon_sym_finally] = ACTIONS(2391),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_LT_LT] = ACTIONS(1989),
    [anon_sym_SLASH_SLASH] = ACTIONS(1989),
    [anon_sym_PLUS] = ACTIONS(1989),
    [anon_sym_DASH] = ACTIONS(1989),
    [anon_sym_TILDE] = ACTIONS(1989),
    [anon_sym_BANG] = ACTIONS(1989),
    [anon_sym_PLUS_PLUS] = ACTIONS(1989),
    [anon_sym_DASH_DASH] = ACTIONS(1989),
    [anon_sym_BSLASH] = ACTIONS(1987),
    [anon_sym_do] = ACTIONS(1989),
    [anon_sym_eval] = ACTIONS(1989),
    [anon_sym_await] = ACTIONS(1989),
    [anon_sym_field] = ACTIONS(1989),
    [anon_sym_local] = ACTIONS(1989),
    [anon_sym_dynamically] = ACTIONS(1989),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1989),
    [anon_sym_require] = ACTIONS(1989),
    [anon_sym_map] = ACTIONS(1989),
    [anon_sym_grep] = ACTIONS(1989),
    [anon_sym_sort] = ACTIONS(1989),
    [anon_sym_goto] = ACTIONS(1989),
    [anon_sym_return] = ACTIONS(1989),
    [anon_sym_undef] = ACTIONS(1989),
    [anon_sym_PERCENT2] = ACTIONS(1989),
    [anon_sym_AMP2] = ACTIONS(1989),
    [anon_sym_STAR2] = ACTIONS(1989),
    [anon_sym_last] = ACTIONS(1989),
    [anon_sym_next] = ACTIONS(1989),
    [anon_sym_redo] = ACTIONS(1989),
    [anon_sym___FILE__] = ACTIONS(1989),
    [anon_sym___LINE__] = ACTIONS(1989),
    [anon_sym___PACKAGE__] = ACTIONS(1989),
    [anon_sym___SUB__] = ACTIONS(1989),
    [anon_sym_break] = ACTIONS(1989),
    [anon_sym_fork] = ACTIONS(1989),
    [anon_sym_getppid] = ACTIONS(1989),
    [anon_sym_time] = ACTIONS(1989),
    [anon_sym_times] = ACTIONS(1989),
    [anon_sym_wait] = ACTIONS(1989),
    [anon_sym_wantarray] = ACTIONS(1989),
    [anon_sym_abs] = ACTIONS(1989),
    [anon_sym_alarm] = ACTIONS(1989),
    [anon_sym_chop] = ACTIONS(1989),
    [anon_sym_chdir] = ACTIONS(1989),
    [anon_sym_close] = ACTIONS(1989),
    [anon_sym_closedir] = ACTIONS(1989),
    [anon_sym_caller] = ACTIONS(1989),
    [anon_sym_chomp] = ACTIONS(1989),
    [anon_sym_chr] = ACTIONS(1989),
    [anon_sym_cos] = ACTIONS(1989),
    [anon_sym_chroot] = ACTIONS(1989),
    [anon_sym_defined] = ACTIONS(1989),
    [anon_sym_delete] = ACTIONS(1989),
    [anon_sym_dbmclose] = ACTIONS(1989),
    [anon_sym_exists] = ACTIONS(1989),
    [anon_sym_exit] = ACTIONS(1989),
    [anon_sym_eof] = ACTIONS(1989),
    [anon_sym_exp] = ACTIONS(1989),
    [anon_sym_each] = ACTIONS(1989),
    [anon_sym_fc] = ACTIONS(1989),
    [anon_sym_fileno] = ACTIONS(1989),
    [anon_sym_gmtime] = ACTIONS(1989),
    [anon_sym_getc] = ACTIONS(1989),
    [anon_sym_getpgrp] = ACTIONS(1989),
    [anon_sym_getprotobyname] = ACTIONS(1989),
    [anon_sym_getpwname] = ACTIONS(1989),
    [anon_sym_getpwuid] = ACTIONS(1989),
    [anon_sym_getpeername] = ACTIONS(1989),
    [anon_sym_getnetbyname] = ACTIONS(1989),
    [anon_sym_getsockname] = ACTIONS(1989),
    [anon_sym_getgrnam] = ACTIONS(1989),
    [anon_sym_getgrgid] = ACTIONS(1989),
    [anon_sym_hex] = ACTIONS(1989),
    [anon_sym_int] = ACTIONS(1989),
    [anon_sym_keys] = ACTIONS(1989),
    [anon_sym_lc] = ACTIONS(1989),
    [anon_sym_lcfirst] = ACTIONS(1989),
    [anon_sym_length] = ACTIONS(1989),
    [anon_sym_localtime] = ACTIONS(1989),
    [anon_sym_log] = ACTIONS(1989),
    [anon_sym_lock] = ACTIONS(1989),
    [anon_sym_lstat] = ACTIONS(1989),
    [anon_sym_oct] = ACTIONS(1989),
    [anon_sym_ord] = ACTIONS(1989),
    [anon_sym_prototype] = ACTIONS(1989),
    [anon_sym_pop] = ACTIONS(1989),
    [anon_sym_pos] = ACTIONS(1989),
    [anon_sym_quotemeta] = ACTIONS(1989),
    [anon_sym_reset] = ACTIONS(1989),
    [anon_sym_rand] = ACTIONS(1989),
    [anon_sym_rmdir] = ACTIONS(1989),
    [anon_sym_readdir] = ACTIONS(1989),
    [anon_sym_readline] = ACTIONS(1989),
    [anon_sym_readpipe] = ACTIONS(1989),
    [anon_sym_rewinddir] = ACTIONS(1989),
    [anon_sym_readlink] = ACTIONS(1989),
    [anon_sym_ref] = ACTIONS(1989),
    [anon_sym_scalar] = ACTIONS(1989),
    [anon_sym_shift] = ACTIONS(1989),
    [anon_sym_sin] = ACTIONS(1989),
    [anon_sym_sleep] = ACTIONS(1989),
    [anon_sym_sqrt] = ACTIONS(1989),
    [anon_sym_srand] = ACTIONS(1989),
    [anon_sym_stat] = ACTIONS(1989),
    [anon_sym_study] = ACTIONS(1989),
    [anon_sym_tell] = ACTIONS(1989),
    [anon_sym_telldir] = ACTIONS(1989),
    [anon_sym_tied] = ACTIONS(1989),
    [anon_sym_uc] = ACTIONS(1989),
    [anon_sym_ucfirst] = ACTIONS(1989),
    [anon_sym_untie] = ACTIONS(1989),
    [anon_sym_umask] = ACTIONS(1989),
    [anon_sym_values] = ACTIONS(1989),
    [anon_sym_write] = ACTIONS(1989),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1989),
    [anon_sym_qq] = ACTIONS(1989),
    [anon_sym_qw] = ACTIONS(1989),
    [anon_sym_qx] = ACTIONS(1989),
    [anon_sym_qr] = ACTIONS(1989),
    [anon_sym_m] = ACTIONS(1989),
    [anon_sym_s] = ACTIONS(1989),
    [anon_sym_tr] = ACTIONS(1989),
    [anon_sym_y] = ACTIONS(1989),
    [aux_sym__bareword_token1] = ACTIONS(1989),
    [sym_number] = ACTIONS(1989),
    [anon_sym_true] = ACTIONS(1989),
    [anon_sym_false] = ACTIONS(1989),
    [sym__single_quote] = ACTIONS(1987),
    [sym__double_quote] = ACTIONS(1987),
    [sym__backtick_quote] = ACTIONS(1987),
    [sym__search_slash_quote] = ACTIONS(1987),
    [sym__open_readline_bracket] = ACTIONS(1987),
    [sym__open_fileglob_bracket] = ACTIONS(1987),
    [sym__PERLY_HEREDOC] = ACTIONS(1987),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1987),
    [sym__filetest] = ACTIONS(1987),
  },
  [1091] = {
    [sym_heredoc_content] = STATE(1091),
    [sym__identifier] = ACTIONS(1661),
    [anon_sym_LBRACE] = ACTIONS(1661),
    [anon_sym_DOLLAR] = ACTIONS(1661),
    [anon_sym_AT] = ACTIONS(1661),
    [anon_sym_RPAREN] = ACTIONS(1661),
    [anon_sym_my] = ACTIONS(1661),
    [anon_sym_extended] = ACTIONS(1661),
    [anon_sym_async] = ACTIONS(1661),
    [anon_sym_sub] = ACTIONS(1661),
    [anon_sym_method] = ACTIONS(1661),
    [anon_sym_LPAREN] = ACTIONS(1661),
    [anon_sym_continue] = ACTIONS(1661),
    [anon_sym_state] = ACTIONS(1661),
    [anon_sym_our] = ACTIONS(1661),
    [anon_sym_else] = ACTIONS(1661),
    [anon_sym_elsif] = ACTIONS(1661),
    [anon_sym_LBRACK] = ACTIONS(1661),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1661),
    [anon_sym_PLUS] = ACTIONS(1661),
    [anon_sym_DASH] = ACTIONS(1661),
    [anon_sym_TILDE] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1661),
    [anon_sym_PLUS_PLUS] = ACTIONS(1661),
    [anon_sym_DASH_DASH] = ACTIONS(1661),
    [anon_sym_BSLASH] = ACTIONS(1659),
    [anon_sym_do] = ACTIONS(1661),
    [anon_sym_eval] = ACTIONS(1661),
    [anon_sym_await] = ACTIONS(1661),
    [anon_sym_field] = ACTIONS(1661),
    [anon_sym_local] = ACTIONS(1661),
    [anon_sym_dynamically] = ACTIONS(1661),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1661),
    [anon_sym_require] = ACTIONS(1661),
    [anon_sym_map] = ACTIONS(1661),
    [anon_sym_grep] = ACTIONS(1661),
    [anon_sym_sort] = ACTIONS(1661),
    [anon_sym_goto] = ACTIONS(1661),
    [anon_sym_return] = ACTIONS(1661),
    [anon_sym_undef] = ACTIONS(1661),
    [anon_sym_PERCENT2] = ACTIONS(1661),
    [anon_sym_AMP2] = ACTIONS(1661),
    [anon_sym_STAR2] = ACTIONS(1661),
    [anon_sym_last] = ACTIONS(1661),
    [anon_sym_next] = ACTIONS(1661),
    [anon_sym_redo] = ACTIONS(1661),
    [anon_sym___FILE__] = ACTIONS(1661),
    [anon_sym___LINE__] = ACTIONS(1661),
    [anon_sym___PACKAGE__] = ACTIONS(1661),
    [anon_sym___SUB__] = ACTIONS(1661),
    [anon_sym_break] = ACTIONS(1661),
    [anon_sym_fork] = ACTIONS(1661),
    [anon_sym_getppid] = ACTIONS(1661),
    [anon_sym_time] = ACTIONS(1661),
    [anon_sym_times] = ACTIONS(1661),
    [anon_sym_wait] = ACTIONS(1661),
    [anon_sym_wantarray] = ACTIONS(1661),
    [anon_sym_abs] = ACTIONS(1661),
    [anon_sym_alarm] = ACTIONS(1661),
    [anon_sym_chop] = ACTIONS(1661),
    [anon_sym_chdir] = ACTIONS(1661),
    [anon_sym_close] = ACTIONS(1661),
    [anon_sym_closedir] = ACTIONS(1661),
    [anon_sym_caller] = ACTIONS(1661),
    [anon_sym_chomp] = ACTIONS(1661),
    [anon_sym_chr] = ACTIONS(1661),
    [anon_sym_cos] = ACTIONS(1661),
    [anon_sym_chroot] = ACTIONS(1661),
    [anon_sym_defined] = ACTIONS(1661),
    [anon_sym_delete] = ACTIONS(1661),
    [anon_sym_dbmclose] = ACTIONS(1661),
    [anon_sym_exists] = ACTIONS(1661),
    [anon_sym_exit] = ACTIONS(1661),
    [anon_sym_eof] = ACTIONS(1661),
    [anon_sym_exp] = ACTIONS(1661),
    [anon_sym_each] = ACTIONS(1661),
    [anon_sym_fc] = ACTIONS(1661),
    [anon_sym_fileno] = ACTIONS(1661),
    [anon_sym_gmtime] = ACTIONS(1661),
    [anon_sym_getc] = ACTIONS(1661),
    [anon_sym_getpgrp] = ACTIONS(1661),
    [anon_sym_getprotobyname] = ACTIONS(1661),
    [anon_sym_getpwname] = ACTIONS(1661),
    [anon_sym_getpwuid] = ACTIONS(1661),
    [anon_sym_getpeername] = ACTIONS(1661),
    [anon_sym_getnetbyname] = ACTIONS(1661),
    [anon_sym_getsockname] = ACTIONS(1661),
    [anon_sym_getgrnam] = ACTIONS(1661),
    [anon_sym_getgrgid] = ACTIONS(1661),
    [anon_sym_hex] = ACTIONS(1661),
    [anon_sym_int] = ACTIONS(1661),
    [anon_sym_keys] = ACTIONS(1661),
    [anon_sym_lc] = ACTIONS(1661),
    [anon_sym_lcfirst] = ACTIONS(1661),
    [anon_sym_length] = ACTIONS(1661),
    [anon_sym_localtime] = ACTIONS(1661),
    [anon_sym_log] = ACTIONS(1661),
    [anon_sym_lock] = ACTIONS(1661),
    [anon_sym_lstat] = ACTIONS(1661),
    [anon_sym_oct] = ACTIONS(1661),
    [anon_sym_ord] = ACTIONS(1661),
    [anon_sym_prototype] = ACTIONS(1661),
    [anon_sym_pop] = ACTIONS(1661),
    [anon_sym_pos] = ACTIONS(1661),
    [anon_sym_quotemeta] = ACTIONS(1661),
    [anon_sym_reset] = ACTIONS(1661),
    [anon_sym_rand] = ACTIONS(1661),
    [anon_sym_rmdir] = ACTIONS(1661),
    [anon_sym_readdir] = ACTIONS(1661),
    [anon_sym_readline] = ACTIONS(1661),
    [anon_sym_readpipe] = ACTIONS(1661),
    [anon_sym_rewinddir] = ACTIONS(1661),
    [anon_sym_readlink] = ACTIONS(1661),
    [anon_sym_ref] = ACTIONS(1661),
    [anon_sym_scalar] = ACTIONS(1661),
    [anon_sym_shift] = ACTIONS(1661),
    [anon_sym_sin] = ACTIONS(1661),
    [anon_sym_sleep] = ACTIONS(1661),
    [anon_sym_sqrt] = ACTIONS(1661),
    [anon_sym_srand] = ACTIONS(1661),
    [anon_sym_stat] = ACTIONS(1661),
    [anon_sym_study] = ACTIONS(1661),
    [anon_sym_tell] = ACTIONS(1661),
    [anon_sym_telldir] = ACTIONS(1661),
    [anon_sym_tied] = ACTIONS(1661),
    [anon_sym_uc] = ACTIONS(1661),
    [anon_sym_ucfirst] = ACTIONS(1661),
    [anon_sym_untie] = ACTIONS(1661),
    [anon_sym_umask] = ACTIONS(1661),
    [anon_sym_values] = ACTIONS(1661),
    [anon_sym_write] = ACTIONS(1661),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1661),
    [anon_sym_qq] = ACTIONS(1661),
    [anon_sym_qw] = ACTIONS(1661),
    [anon_sym_qx] = ACTIONS(1661),
    [anon_sym_qr] = ACTIONS(1661),
    [anon_sym_m] = ACTIONS(1661),
    [anon_sym_s] = ACTIONS(1661),
    [anon_sym_tr] = ACTIONS(1661),
    [anon_sym_y] = ACTIONS(1661),
    [aux_sym__bareword_token1] = ACTIONS(1661),
    [sym_number] = ACTIONS(1661),
    [anon_sym_true] = ACTIONS(1661),
    [anon_sym_false] = ACTIONS(1661),
    [sym__single_quote] = ACTIONS(1659),
    [sym__double_quote] = ACTIONS(1659),
    [sym__backtick_quote] = ACTIONS(1659),
    [sym__search_slash_quote] = ACTIONS(1659),
    [sym__open_readline_bracket] = ACTIONS(1659),
    [sym__open_fileglob_bracket] = ACTIONS(1659),
    [sym__PERLY_HEREDOC] = ACTIONS(1659),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1659),
    [sym__filetest] = ACTIONS(1659),
  },
  [1092] = {
    [sym_heredoc_content] = STATE(1092),
    [sym__identifier] = ACTIONS(1824),
    [anon_sym_LBRACE] = ACTIONS(1824),
    [anon_sym_DOLLAR] = ACTIONS(1824),
    [anon_sym_AT] = ACTIONS(1824),
    [anon_sym_RPAREN] = ACTIONS(1824),
    [anon_sym_my] = ACTIONS(1824),
    [anon_sym_extended] = ACTIONS(1824),
    [anon_sym_async] = ACTIONS(1824),
    [anon_sym_sub] = ACTIONS(1824),
    [anon_sym_method] = ACTIONS(1824),
    [anon_sym_LPAREN] = ACTIONS(1824),
    [anon_sym_continue] = ACTIONS(1824),
    [anon_sym_state] = ACTIONS(1824),
    [anon_sym_our] = ACTIONS(1824),
    [anon_sym_else] = ACTIONS(1824),
    [anon_sym_elsif] = ACTIONS(1824),
    [anon_sym_LBRACK] = ACTIONS(1824),
    [anon_sym_LT_LT] = ACTIONS(1824),
    [anon_sym_SLASH_SLASH] = ACTIONS(1824),
    [anon_sym_PLUS] = ACTIONS(1824),
    [anon_sym_DASH] = ACTIONS(1824),
    [anon_sym_TILDE] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1824),
    [anon_sym_PLUS_PLUS] = ACTIONS(1824),
    [anon_sym_DASH_DASH] = ACTIONS(1824),
    [anon_sym_BSLASH] = ACTIONS(1826),
    [anon_sym_do] = ACTIONS(1824),
    [anon_sym_eval] = ACTIONS(1824),
    [anon_sym_await] = ACTIONS(1824),
    [anon_sym_field] = ACTIONS(1824),
    [anon_sym_local] = ACTIONS(1824),
    [anon_sym_dynamically] = ACTIONS(1824),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1824),
    [anon_sym_require] = ACTIONS(1824),
    [anon_sym_map] = ACTIONS(1824),
    [anon_sym_grep] = ACTIONS(1824),
    [anon_sym_sort] = ACTIONS(1824),
    [anon_sym_goto] = ACTIONS(1824),
    [anon_sym_return] = ACTIONS(1824),
    [anon_sym_undef] = ACTIONS(1824),
    [anon_sym_PERCENT2] = ACTIONS(1824),
    [anon_sym_AMP2] = ACTIONS(1824),
    [anon_sym_STAR2] = ACTIONS(1824),
    [anon_sym_last] = ACTIONS(1824),
    [anon_sym_next] = ACTIONS(1824),
    [anon_sym_redo] = ACTIONS(1824),
    [anon_sym___FILE__] = ACTIONS(1824),
    [anon_sym___LINE__] = ACTIONS(1824),
    [anon_sym___PACKAGE__] = ACTIONS(1824),
    [anon_sym___SUB__] = ACTIONS(1824),
    [anon_sym_break] = ACTIONS(1824),
    [anon_sym_fork] = ACTIONS(1824),
    [anon_sym_getppid] = ACTIONS(1824),
    [anon_sym_time] = ACTIONS(1824),
    [anon_sym_times] = ACTIONS(1824),
    [anon_sym_wait] = ACTIONS(1824),
    [anon_sym_wantarray] = ACTIONS(1824),
    [anon_sym_abs] = ACTIONS(1824),
    [anon_sym_alarm] = ACTIONS(1824),
    [anon_sym_chop] = ACTIONS(1824),
    [anon_sym_chdir] = ACTIONS(1824),
    [anon_sym_close] = ACTIONS(1824),
    [anon_sym_closedir] = ACTIONS(1824),
    [anon_sym_caller] = ACTIONS(1824),
    [anon_sym_chomp] = ACTIONS(1824),
    [anon_sym_chr] = ACTIONS(1824),
    [anon_sym_cos] = ACTIONS(1824),
    [anon_sym_chroot] = ACTIONS(1824),
    [anon_sym_defined] = ACTIONS(1824),
    [anon_sym_delete] = ACTIONS(1824),
    [anon_sym_dbmclose] = ACTIONS(1824),
    [anon_sym_exists] = ACTIONS(1824),
    [anon_sym_exit] = ACTIONS(1824),
    [anon_sym_eof] = ACTIONS(1824),
    [anon_sym_exp] = ACTIONS(1824),
    [anon_sym_each] = ACTIONS(1824),
    [anon_sym_fc] = ACTIONS(1824),
    [anon_sym_fileno] = ACTIONS(1824),
    [anon_sym_gmtime] = ACTIONS(1824),
    [anon_sym_getc] = ACTIONS(1824),
    [anon_sym_getpgrp] = ACTIONS(1824),
    [anon_sym_getprotobyname] = ACTIONS(1824),
    [anon_sym_getpwname] = ACTIONS(1824),
    [anon_sym_getpwuid] = ACTIONS(1824),
    [anon_sym_getpeername] = ACTIONS(1824),
    [anon_sym_getnetbyname] = ACTIONS(1824),
    [anon_sym_getsockname] = ACTIONS(1824),
    [anon_sym_getgrnam] = ACTIONS(1824),
    [anon_sym_getgrgid] = ACTIONS(1824),
    [anon_sym_hex] = ACTIONS(1824),
    [anon_sym_int] = ACTIONS(1824),
    [anon_sym_keys] = ACTIONS(1824),
    [anon_sym_lc] = ACTIONS(1824),
    [anon_sym_lcfirst] = ACTIONS(1824),
    [anon_sym_length] = ACTIONS(1824),
    [anon_sym_localtime] = ACTIONS(1824),
    [anon_sym_log] = ACTIONS(1824),
    [anon_sym_lock] = ACTIONS(1824),
    [anon_sym_lstat] = ACTIONS(1824),
    [anon_sym_oct] = ACTIONS(1824),
    [anon_sym_ord] = ACTIONS(1824),
    [anon_sym_prototype] = ACTIONS(1824),
    [anon_sym_pop] = ACTIONS(1824),
    [anon_sym_pos] = ACTIONS(1824),
    [anon_sym_quotemeta] = ACTIONS(1824),
    [anon_sym_reset] = ACTIONS(1824),
    [anon_sym_rand] = ACTIONS(1824),
    [anon_sym_rmdir] = ACTIONS(1824),
    [anon_sym_readdir] = ACTIONS(1824),
    [anon_sym_readline] = ACTIONS(1824),
    [anon_sym_readpipe] = ACTIONS(1824),
    [anon_sym_rewinddir] = ACTIONS(1824),
    [anon_sym_readlink] = ACTIONS(1824),
    [anon_sym_ref] = ACTIONS(1824),
    [anon_sym_scalar] = ACTIONS(1824),
    [anon_sym_shift] = ACTIONS(1824),
    [anon_sym_sin] = ACTIONS(1824),
    [anon_sym_sleep] = ACTIONS(1824),
    [anon_sym_sqrt] = ACTIONS(1824),
    [anon_sym_srand] = ACTIONS(1824),
    [anon_sym_stat] = ACTIONS(1824),
    [anon_sym_study] = ACTIONS(1824),
    [anon_sym_tell] = ACTIONS(1824),
    [anon_sym_telldir] = ACTIONS(1824),
    [anon_sym_tied] = ACTIONS(1824),
    [anon_sym_uc] = ACTIONS(1824),
    [anon_sym_ucfirst] = ACTIONS(1824),
    [anon_sym_untie] = ACTIONS(1824),
    [anon_sym_umask] = ACTIONS(1824),
    [anon_sym_values] = ACTIONS(1824),
    [anon_sym_write] = ACTIONS(1824),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1824),
    [anon_sym_qq] = ACTIONS(1824),
    [anon_sym_qw] = ACTIONS(1824),
    [anon_sym_qx] = ACTIONS(1824),
    [anon_sym_qr] = ACTIONS(1824),
    [anon_sym_m] = ACTIONS(1824),
    [anon_sym_s] = ACTIONS(1824),
    [anon_sym_tr] = ACTIONS(1824),
    [anon_sym_y] = ACTIONS(1824),
    [aux_sym__bareword_token1] = ACTIONS(1824),
    [sym_number] = ACTIONS(1824),
    [anon_sym_true] = ACTIONS(1824),
    [anon_sym_false] = ACTIONS(1824),
    [sym__single_quote] = ACTIONS(1826),
    [sym__double_quote] = ACTIONS(1826),
    [sym__backtick_quote] = ACTIONS(1826),
    [sym__search_slash_quote] = ACTIONS(1826),
    [sym__open_readline_bracket] = ACTIONS(1826),
    [sym__open_fileglob_bracket] = ACTIONS(1826),
    [sym__PERLY_HEREDOC] = ACTIONS(1826),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1826),
    [sym__filetest] = ACTIONS(1826),
  },
  [1093] = {
    [sym_heredoc_content] = STATE(1093),
    [sym__identifier] = ACTIONS(2393),
    [anon_sym_LBRACE] = ACTIONS(2393),
    [anon_sym_SEMI] = ACTIONS(2393),
    [anon_sym_DOLLAR] = ACTIONS(2393),
    [anon_sym_AT] = ACTIONS(2393),
    [anon_sym_my] = ACTIONS(2393),
    [anon_sym_extended] = ACTIONS(2393),
    [anon_sym_async] = ACTIONS(2393),
    [anon_sym_sub] = ACTIONS(2393),
    [anon_sym_method] = ACTIONS(2393),
    [anon_sym_LPAREN] = ACTIONS(2393),
    [anon_sym_continue] = ACTIONS(2393),
    [anon_sym_state] = ACTIONS(2393),
    [anon_sym_our] = ACTIONS(2393),
    [anon_sym_LBRACK] = ACTIONS(2393),
    [anon_sym_LT_LT] = ACTIONS(2393),
    [anon_sym_SLASH_SLASH] = ACTIONS(2393),
    [anon_sym_PLUS] = ACTIONS(2393),
    [anon_sym_DASH] = ACTIONS(2393),
    [anon_sym_TILDE] = ACTIONS(2393),
    [anon_sym_BANG] = ACTIONS(2393),
    [anon_sym_PLUS_PLUS] = ACTIONS(2393),
    [anon_sym_DASH_DASH] = ACTIONS(2393),
    [anon_sym_BSLASH] = ACTIONS(2395),
    [anon_sym_do] = ACTIONS(2393),
    [anon_sym_eval] = ACTIONS(2393),
    [anon_sym_await] = ACTIONS(2393),
    [anon_sym_field] = ACTIONS(2393),
    [anon_sym_local] = ACTIONS(2393),
    [anon_sym_dynamically] = ACTIONS(2393),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2393),
    [anon_sym_require] = ACTIONS(2393),
    [anon_sym_map] = ACTIONS(2393),
    [anon_sym_grep] = ACTIONS(2393),
    [anon_sym_sort] = ACTIONS(2393),
    [anon_sym_goto] = ACTIONS(2393),
    [anon_sym_return] = ACTIONS(2393),
    [anon_sym_undef] = ACTIONS(2393),
    [anon_sym_PERCENT2] = ACTIONS(2393),
    [anon_sym_AMP2] = ACTIONS(2393),
    [anon_sym_STAR2] = ACTIONS(2393),
    [anon_sym_last] = ACTIONS(2393),
    [anon_sym_next] = ACTIONS(2393),
    [anon_sym_redo] = ACTIONS(2393),
    [anon_sym___FILE__] = ACTIONS(2393),
    [anon_sym___LINE__] = ACTIONS(2393),
    [anon_sym___PACKAGE__] = ACTIONS(2393),
    [anon_sym___SUB__] = ACTIONS(2393),
    [anon_sym_break] = ACTIONS(2393),
    [anon_sym_fork] = ACTIONS(2393),
    [anon_sym_getppid] = ACTIONS(2393),
    [anon_sym_time] = ACTIONS(2393),
    [anon_sym_times] = ACTIONS(2393),
    [anon_sym_wait] = ACTIONS(2393),
    [anon_sym_wantarray] = ACTIONS(2393),
    [anon_sym_abs] = ACTIONS(2393),
    [anon_sym_alarm] = ACTIONS(2393),
    [anon_sym_chop] = ACTIONS(2393),
    [anon_sym_chdir] = ACTIONS(2393),
    [anon_sym_close] = ACTIONS(2393),
    [anon_sym_closedir] = ACTIONS(2393),
    [anon_sym_caller] = ACTIONS(2393),
    [anon_sym_chomp] = ACTIONS(2393),
    [anon_sym_chr] = ACTIONS(2393),
    [anon_sym_cos] = ACTIONS(2393),
    [anon_sym_chroot] = ACTIONS(2393),
    [anon_sym_defined] = ACTIONS(2393),
    [anon_sym_delete] = ACTIONS(2393),
    [anon_sym_dbmclose] = ACTIONS(2393),
    [anon_sym_exists] = ACTIONS(2393),
    [anon_sym_exit] = ACTIONS(2393),
    [anon_sym_eof] = ACTIONS(2393),
    [anon_sym_exp] = ACTIONS(2393),
    [anon_sym_each] = ACTIONS(2393),
    [anon_sym_fc] = ACTIONS(2393),
    [anon_sym_fileno] = ACTIONS(2393),
    [anon_sym_gmtime] = ACTIONS(2393),
    [anon_sym_getc] = ACTIONS(2393),
    [anon_sym_getpgrp] = ACTIONS(2393),
    [anon_sym_getprotobyname] = ACTIONS(2393),
    [anon_sym_getpwname] = ACTIONS(2393),
    [anon_sym_getpwuid] = ACTIONS(2393),
    [anon_sym_getpeername] = ACTIONS(2393),
    [anon_sym_getnetbyname] = ACTIONS(2393),
    [anon_sym_getsockname] = ACTIONS(2393),
    [anon_sym_getgrnam] = ACTIONS(2393),
    [anon_sym_getgrgid] = ACTIONS(2393),
    [anon_sym_hex] = ACTIONS(2393),
    [anon_sym_int] = ACTIONS(2393),
    [anon_sym_keys] = ACTIONS(2393),
    [anon_sym_lc] = ACTIONS(2393),
    [anon_sym_lcfirst] = ACTIONS(2393),
    [anon_sym_length] = ACTIONS(2393),
    [anon_sym_localtime] = ACTIONS(2393),
    [anon_sym_log] = ACTIONS(2393),
    [anon_sym_lock] = ACTIONS(2393),
    [anon_sym_lstat] = ACTIONS(2393),
    [anon_sym_oct] = ACTIONS(2393),
    [anon_sym_ord] = ACTIONS(2393),
    [anon_sym_prototype] = ACTIONS(2393),
    [anon_sym_pop] = ACTIONS(2393),
    [anon_sym_pos] = ACTIONS(2393),
    [anon_sym_quotemeta] = ACTIONS(2393),
    [anon_sym_reset] = ACTIONS(2393),
    [anon_sym_rand] = ACTIONS(2393),
    [anon_sym_rmdir] = ACTIONS(2393),
    [anon_sym_readdir] = ACTIONS(2393),
    [anon_sym_readline] = ACTIONS(2393),
    [anon_sym_readpipe] = ACTIONS(2393),
    [anon_sym_rewinddir] = ACTIONS(2393),
    [anon_sym_readlink] = ACTIONS(2393),
    [anon_sym_ref] = ACTIONS(2393),
    [anon_sym_scalar] = ACTIONS(2393),
    [anon_sym_shift] = ACTIONS(2393),
    [anon_sym_sin] = ACTIONS(2393),
    [anon_sym_sleep] = ACTIONS(2393),
    [anon_sym_sqrt] = ACTIONS(2393),
    [anon_sym_srand] = ACTIONS(2393),
    [anon_sym_stat] = ACTIONS(2393),
    [anon_sym_study] = ACTIONS(2393),
    [anon_sym_tell] = ACTIONS(2393),
    [anon_sym_telldir] = ACTIONS(2393),
    [anon_sym_tied] = ACTIONS(2393),
    [anon_sym_uc] = ACTIONS(2393),
    [anon_sym_ucfirst] = ACTIONS(2393),
    [anon_sym_untie] = ACTIONS(2393),
    [anon_sym_umask] = ACTIONS(2393),
    [anon_sym_values] = ACTIONS(2393),
    [anon_sym_write] = ACTIONS(2393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2393),
    [anon_sym_qq] = ACTIONS(2393),
    [anon_sym_qw] = ACTIONS(2393),
    [anon_sym_qx] = ACTIONS(2393),
    [anon_sym_qr] = ACTIONS(2393),
    [anon_sym_m] = ACTIONS(2393),
    [anon_sym_s] = ACTIONS(2393),
    [anon_sym_tr] = ACTIONS(2393),
    [anon_sym_y] = ACTIONS(2393),
    [sym_version] = ACTIONS(2393),
    [aux_sym__bareword_token1] = ACTIONS(2393),
    [sym_number] = ACTIONS(2393),
    [anon_sym_true] = ACTIONS(2393),
    [anon_sym_false] = ACTIONS(2393),
    [sym__single_quote] = ACTIONS(2395),
    [sym__double_quote] = ACTIONS(2395),
    [sym__backtick_quote] = ACTIONS(2395),
    [sym__search_slash_quote] = ACTIONS(2395),
    [sym__open_readline_bracket] = ACTIONS(2395),
    [sym__open_fileglob_bracket] = ACTIONS(2395),
    [sym__PERLY_SEMICOLON] = ACTIONS(2395),
    [sym__PERLY_HEREDOC] = ACTIONS(2395),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2395),
    [sym__filetest] = ACTIONS(2395),
  },
  [1094] = {
    [sym_heredoc_content] = STATE(1094),
    [sym__identifier] = ACTIONS(1966),
    [anon_sym_LBRACE] = ACTIONS(1966),
    [anon_sym_SEMI] = ACTIONS(1966),
    [anon_sym_DOLLAR] = ACTIONS(1966),
    [anon_sym_AT] = ACTIONS(1966),
    [anon_sym_my] = ACTIONS(1966),
    [anon_sym_extended] = ACTIONS(1966),
    [anon_sym_async] = ACTIONS(1966),
    [anon_sym_sub] = ACTIONS(1966),
    [anon_sym_method] = ACTIONS(1966),
    [anon_sym_LPAREN] = ACTIONS(1966),
    [anon_sym_continue] = ACTIONS(1966),
    [anon_sym_state] = ACTIONS(1966),
    [anon_sym_our] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1966),
    [anon_sym_LT_LT] = ACTIONS(1966),
    [anon_sym_SLASH_SLASH] = ACTIONS(1966),
    [anon_sym_PLUS] = ACTIONS(1966),
    [anon_sym_DASH] = ACTIONS(1966),
    [anon_sym_TILDE] = ACTIONS(1966),
    [anon_sym_BANG] = ACTIONS(1966),
    [anon_sym_PLUS_PLUS] = ACTIONS(1966),
    [anon_sym_DASH_DASH] = ACTIONS(1966),
    [anon_sym_BSLASH] = ACTIONS(1970),
    [anon_sym_do] = ACTIONS(1966),
    [anon_sym_eval] = ACTIONS(1966),
    [anon_sym_await] = ACTIONS(1966),
    [anon_sym_field] = ACTIONS(1966),
    [anon_sym_local] = ACTIONS(1966),
    [anon_sym_dynamically] = ACTIONS(1966),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1966),
    [anon_sym_require] = ACTIONS(1966),
    [anon_sym_map] = ACTIONS(1966),
    [anon_sym_grep] = ACTIONS(1966),
    [anon_sym_sort] = ACTIONS(1966),
    [anon_sym_goto] = ACTIONS(1966),
    [anon_sym_return] = ACTIONS(1966),
    [anon_sym_undef] = ACTIONS(1966),
    [anon_sym_PERCENT2] = ACTIONS(1966),
    [anon_sym_AMP2] = ACTIONS(1966),
    [anon_sym_STAR2] = ACTIONS(1966),
    [anon_sym_last] = ACTIONS(1966),
    [anon_sym_next] = ACTIONS(1966),
    [anon_sym_redo] = ACTIONS(1966),
    [anon_sym___FILE__] = ACTIONS(1966),
    [anon_sym___LINE__] = ACTIONS(1966),
    [anon_sym___PACKAGE__] = ACTIONS(1966),
    [anon_sym___SUB__] = ACTIONS(1966),
    [anon_sym_break] = ACTIONS(1966),
    [anon_sym_fork] = ACTIONS(1966),
    [anon_sym_getppid] = ACTIONS(1966),
    [anon_sym_time] = ACTIONS(1966),
    [anon_sym_times] = ACTIONS(1966),
    [anon_sym_wait] = ACTIONS(1966),
    [anon_sym_wantarray] = ACTIONS(1966),
    [anon_sym_abs] = ACTIONS(1966),
    [anon_sym_alarm] = ACTIONS(1966),
    [anon_sym_chop] = ACTIONS(1966),
    [anon_sym_chdir] = ACTIONS(1966),
    [anon_sym_close] = ACTIONS(1966),
    [anon_sym_closedir] = ACTIONS(1966),
    [anon_sym_caller] = ACTIONS(1966),
    [anon_sym_chomp] = ACTIONS(1966),
    [anon_sym_chr] = ACTIONS(1966),
    [anon_sym_cos] = ACTIONS(1966),
    [anon_sym_chroot] = ACTIONS(1966),
    [anon_sym_defined] = ACTIONS(1966),
    [anon_sym_delete] = ACTIONS(1966),
    [anon_sym_dbmclose] = ACTIONS(1966),
    [anon_sym_exists] = ACTIONS(1966),
    [anon_sym_exit] = ACTIONS(1966),
    [anon_sym_eof] = ACTIONS(1966),
    [anon_sym_exp] = ACTIONS(1966),
    [anon_sym_each] = ACTIONS(1966),
    [anon_sym_fc] = ACTIONS(1966),
    [anon_sym_fileno] = ACTIONS(1966),
    [anon_sym_gmtime] = ACTIONS(1966),
    [anon_sym_getc] = ACTIONS(1966),
    [anon_sym_getpgrp] = ACTIONS(1966),
    [anon_sym_getprotobyname] = ACTIONS(1966),
    [anon_sym_getpwname] = ACTIONS(1966),
    [anon_sym_getpwuid] = ACTIONS(1966),
    [anon_sym_getpeername] = ACTIONS(1966),
    [anon_sym_getnetbyname] = ACTIONS(1966),
    [anon_sym_getsockname] = ACTIONS(1966),
    [anon_sym_getgrnam] = ACTIONS(1966),
    [anon_sym_getgrgid] = ACTIONS(1966),
    [anon_sym_hex] = ACTIONS(1966),
    [anon_sym_int] = ACTIONS(1966),
    [anon_sym_keys] = ACTIONS(1966),
    [anon_sym_lc] = ACTIONS(1966),
    [anon_sym_lcfirst] = ACTIONS(1966),
    [anon_sym_length] = ACTIONS(1966),
    [anon_sym_localtime] = ACTIONS(1966),
    [anon_sym_log] = ACTIONS(1966),
    [anon_sym_lock] = ACTIONS(1966),
    [anon_sym_lstat] = ACTIONS(1966),
    [anon_sym_oct] = ACTIONS(1966),
    [anon_sym_ord] = ACTIONS(1966),
    [anon_sym_prototype] = ACTIONS(1966),
    [anon_sym_pop] = ACTIONS(1966),
    [anon_sym_pos] = ACTIONS(1966),
    [anon_sym_quotemeta] = ACTIONS(1966),
    [anon_sym_reset] = ACTIONS(1966),
    [anon_sym_rand] = ACTIONS(1966),
    [anon_sym_rmdir] = ACTIONS(1966),
    [anon_sym_readdir] = ACTIONS(1966),
    [anon_sym_readline] = ACTIONS(1966),
    [anon_sym_readpipe] = ACTIONS(1966),
    [anon_sym_rewinddir] = ACTIONS(1966),
    [anon_sym_readlink] = ACTIONS(1966),
    [anon_sym_ref] = ACTIONS(1966),
    [anon_sym_scalar] = ACTIONS(1966),
    [anon_sym_shift] = ACTIONS(1966),
    [anon_sym_sin] = ACTIONS(1966),
    [anon_sym_sleep] = ACTIONS(1966),
    [anon_sym_sqrt] = ACTIONS(1966),
    [anon_sym_srand] = ACTIONS(1966),
    [anon_sym_stat] = ACTIONS(1966),
    [anon_sym_study] = ACTIONS(1966),
    [anon_sym_tell] = ACTIONS(1966),
    [anon_sym_telldir] = ACTIONS(1966),
    [anon_sym_tied] = ACTIONS(1966),
    [anon_sym_uc] = ACTIONS(1966),
    [anon_sym_ucfirst] = ACTIONS(1966),
    [anon_sym_untie] = ACTIONS(1966),
    [anon_sym_umask] = ACTIONS(1966),
    [anon_sym_values] = ACTIONS(1966),
    [anon_sym_write] = ACTIONS(1966),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1966),
    [anon_sym_qq] = ACTIONS(1966),
    [anon_sym_qw] = ACTIONS(1966),
    [anon_sym_qx] = ACTIONS(1966),
    [anon_sym_qr] = ACTIONS(1966),
    [anon_sym_m] = ACTIONS(1966),
    [anon_sym_s] = ACTIONS(1966),
    [anon_sym_tr] = ACTIONS(1966),
    [anon_sym_y] = ACTIONS(1966),
    [aux_sym__bareword_token1] = ACTIONS(1966),
    [sym_number] = ACTIONS(1966),
    [anon_sym_true] = ACTIONS(1966),
    [anon_sym_false] = ACTIONS(1966),
    [sym__single_quote] = ACTIONS(1970),
    [sym__double_quote] = ACTIONS(1970),
    [sym__backtick_quote] = ACTIONS(1970),
    [sym__search_slash_quote] = ACTIONS(1970),
    [sym__open_readline_bracket] = ACTIONS(1970),
    [sym__open_fileglob_bracket] = ACTIONS(1970),
    [sym__PERLY_SEMICOLON] = ACTIONS(1970),
    [sym__PERLY_HEREDOC] = ACTIONS(1970),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1970),
    [sym__filetest] = ACTIONS(1970),
  },
  [1095] = {
    [sym_heredoc_content] = STATE(1095),
    [sym__identifier] = ACTIONS(2001),
    [anon_sym_LBRACE] = ACTIONS(2001),
    [anon_sym_DOLLAR] = ACTIONS(2001),
    [anon_sym_AT] = ACTIONS(2001),
    [anon_sym_RPAREN] = ACTIONS(2001),
    [anon_sym_my] = ACTIONS(2001),
    [anon_sym_extended] = ACTIONS(2001),
    [anon_sym_async] = ACTIONS(2001),
    [anon_sym_sub] = ACTIONS(2001),
    [anon_sym_method] = ACTIONS(2001),
    [anon_sym_LPAREN] = ACTIONS(2001),
    [anon_sym_continue] = ACTIONS(2001),
    [anon_sym_state] = ACTIONS(2001),
    [anon_sym_our] = ACTIONS(2001),
    [anon_sym_finally] = ACTIONS(2397),
    [anon_sym_LBRACK] = ACTIONS(2001),
    [anon_sym_LT_LT] = ACTIONS(2001),
    [anon_sym_SLASH_SLASH] = ACTIONS(2001),
    [anon_sym_PLUS] = ACTIONS(2001),
    [anon_sym_DASH] = ACTIONS(2001),
    [anon_sym_TILDE] = ACTIONS(2001),
    [anon_sym_BANG] = ACTIONS(2001),
    [anon_sym_PLUS_PLUS] = ACTIONS(2001),
    [anon_sym_DASH_DASH] = ACTIONS(2001),
    [anon_sym_BSLASH] = ACTIONS(1999),
    [anon_sym_do] = ACTIONS(2001),
    [anon_sym_eval] = ACTIONS(2001),
    [anon_sym_await] = ACTIONS(2001),
    [anon_sym_field] = ACTIONS(2001),
    [anon_sym_local] = ACTIONS(2001),
    [anon_sym_dynamically] = ACTIONS(2001),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2001),
    [anon_sym_require] = ACTIONS(2001),
    [anon_sym_map] = ACTIONS(2001),
    [anon_sym_grep] = ACTIONS(2001),
    [anon_sym_sort] = ACTIONS(2001),
    [anon_sym_goto] = ACTIONS(2001),
    [anon_sym_return] = ACTIONS(2001),
    [anon_sym_undef] = ACTIONS(2001),
    [anon_sym_PERCENT2] = ACTIONS(2001),
    [anon_sym_AMP2] = ACTIONS(2001),
    [anon_sym_STAR2] = ACTIONS(2001),
    [anon_sym_last] = ACTIONS(2001),
    [anon_sym_next] = ACTIONS(2001),
    [anon_sym_redo] = ACTIONS(2001),
    [anon_sym___FILE__] = ACTIONS(2001),
    [anon_sym___LINE__] = ACTIONS(2001),
    [anon_sym___PACKAGE__] = ACTIONS(2001),
    [anon_sym___SUB__] = ACTIONS(2001),
    [anon_sym_break] = ACTIONS(2001),
    [anon_sym_fork] = ACTIONS(2001),
    [anon_sym_getppid] = ACTIONS(2001),
    [anon_sym_time] = ACTIONS(2001),
    [anon_sym_times] = ACTIONS(2001),
    [anon_sym_wait] = ACTIONS(2001),
    [anon_sym_wantarray] = ACTIONS(2001),
    [anon_sym_abs] = ACTIONS(2001),
    [anon_sym_alarm] = ACTIONS(2001),
    [anon_sym_chop] = ACTIONS(2001),
    [anon_sym_chdir] = ACTIONS(2001),
    [anon_sym_close] = ACTIONS(2001),
    [anon_sym_closedir] = ACTIONS(2001),
    [anon_sym_caller] = ACTIONS(2001),
    [anon_sym_chomp] = ACTIONS(2001),
    [anon_sym_chr] = ACTIONS(2001),
    [anon_sym_cos] = ACTIONS(2001),
    [anon_sym_chroot] = ACTIONS(2001),
    [anon_sym_defined] = ACTIONS(2001),
    [anon_sym_delete] = ACTIONS(2001),
    [anon_sym_dbmclose] = ACTIONS(2001),
    [anon_sym_exists] = ACTIONS(2001),
    [anon_sym_exit] = ACTIONS(2001),
    [anon_sym_eof] = ACTIONS(2001),
    [anon_sym_exp] = ACTIONS(2001),
    [anon_sym_each] = ACTIONS(2001),
    [anon_sym_fc] = ACTIONS(2001),
    [anon_sym_fileno] = ACTIONS(2001),
    [anon_sym_gmtime] = ACTIONS(2001),
    [anon_sym_getc] = ACTIONS(2001),
    [anon_sym_getpgrp] = ACTIONS(2001),
    [anon_sym_getprotobyname] = ACTIONS(2001),
    [anon_sym_getpwname] = ACTIONS(2001),
    [anon_sym_getpwuid] = ACTIONS(2001),
    [anon_sym_getpeername] = ACTIONS(2001),
    [anon_sym_getnetbyname] = ACTIONS(2001),
    [anon_sym_getsockname] = ACTIONS(2001),
    [anon_sym_getgrnam] = ACTIONS(2001),
    [anon_sym_getgrgid] = ACTIONS(2001),
    [anon_sym_hex] = ACTIONS(2001),
    [anon_sym_int] = ACTIONS(2001),
    [anon_sym_keys] = ACTIONS(2001),
    [anon_sym_lc] = ACTIONS(2001),
    [anon_sym_lcfirst] = ACTIONS(2001),
    [anon_sym_length] = ACTIONS(2001),
    [anon_sym_localtime] = ACTIONS(2001),
    [anon_sym_log] = ACTIONS(2001),
    [anon_sym_lock] = ACTIONS(2001),
    [anon_sym_lstat] = ACTIONS(2001),
    [anon_sym_oct] = ACTIONS(2001),
    [anon_sym_ord] = ACTIONS(2001),
    [anon_sym_prototype] = ACTIONS(2001),
    [anon_sym_pop] = ACTIONS(2001),
    [anon_sym_pos] = ACTIONS(2001),
    [anon_sym_quotemeta] = ACTIONS(2001),
    [anon_sym_reset] = ACTIONS(2001),
    [anon_sym_rand] = ACTIONS(2001),
    [anon_sym_rmdir] = ACTIONS(2001),
    [anon_sym_readdir] = ACTIONS(2001),
    [anon_sym_readline] = ACTIONS(2001),
    [anon_sym_readpipe] = ACTIONS(2001),
    [anon_sym_rewinddir] = ACTIONS(2001),
    [anon_sym_readlink] = ACTIONS(2001),
    [anon_sym_ref] = ACTIONS(2001),
    [anon_sym_scalar] = ACTIONS(2001),
    [anon_sym_shift] = ACTIONS(2001),
    [anon_sym_sin] = ACTIONS(2001),
    [anon_sym_sleep] = ACTIONS(2001),
    [anon_sym_sqrt] = ACTIONS(2001),
    [anon_sym_srand] = ACTIONS(2001),
    [anon_sym_stat] = ACTIONS(2001),
    [anon_sym_study] = ACTIONS(2001),
    [anon_sym_tell] = ACTIONS(2001),
    [anon_sym_telldir] = ACTIONS(2001),
    [anon_sym_tied] = ACTIONS(2001),
    [anon_sym_uc] = ACTIONS(2001),
    [anon_sym_ucfirst] = ACTIONS(2001),
    [anon_sym_untie] = ACTIONS(2001),
    [anon_sym_umask] = ACTIONS(2001),
    [anon_sym_values] = ACTIONS(2001),
    [anon_sym_write] = ACTIONS(2001),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2001),
    [anon_sym_qq] = ACTIONS(2001),
    [anon_sym_qw] = ACTIONS(2001),
    [anon_sym_qx] = ACTIONS(2001),
    [anon_sym_qr] = ACTIONS(2001),
    [anon_sym_m] = ACTIONS(2001),
    [anon_sym_s] = ACTIONS(2001),
    [anon_sym_tr] = ACTIONS(2001),
    [anon_sym_y] = ACTIONS(2001),
    [aux_sym__bareword_token1] = ACTIONS(2001),
    [sym_number] = ACTIONS(2001),
    [anon_sym_true] = ACTIONS(2001),
    [anon_sym_false] = ACTIONS(2001),
    [sym__single_quote] = ACTIONS(1999),
    [sym__double_quote] = ACTIONS(1999),
    [sym__backtick_quote] = ACTIONS(1999),
    [sym__search_slash_quote] = ACTIONS(1999),
    [sym__open_readline_bracket] = ACTIONS(1999),
    [sym__open_fileglob_bracket] = ACTIONS(1999),
    [sym__PERLY_HEREDOC] = ACTIONS(1999),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1999),
    [sym__filetest] = ACTIONS(1999),
  },
  [1096] = {
    [sym_heredoc_content] = STATE(1096),
    [sym__identifier] = ACTIONS(1824),
    [anon_sym_LBRACE] = ACTIONS(1824),
    [anon_sym_DOLLAR] = ACTIONS(1824),
    [anon_sym_AT] = ACTIONS(1824),
    [anon_sym_RPAREN] = ACTIONS(1824),
    [anon_sym_my] = ACTIONS(1824),
    [anon_sym_extended] = ACTIONS(1824),
    [anon_sym_async] = ACTIONS(1824),
    [anon_sym_sub] = ACTIONS(1824),
    [anon_sym_method] = ACTIONS(1824),
    [anon_sym_LPAREN] = ACTIONS(1824),
    [anon_sym_continue] = ACTIONS(1824),
    [anon_sym_state] = ACTIONS(1824),
    [anon_sym_our] = ACTIONS(1824),
    [anon_sym_finally] = ACTIONS(1824),
    [anon_sym_LBRACK] = ACTIONS(1824),
    [anon_sym_LT_LT] = ACTIONS(1824),
    [anon_sym_SLASH_SLASH] = ACTIONS(1824),
    [anon_sym_PLUS] = ACTIONS(1824),
    [anon_sym_DASH] = ACTIONS(1824),
    [anon_sym_TILDE] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1824),
    [anon_sym_PLUS_PLUS] = ACTIONS(1824),
    [anon_sym_DASH_DASH] = ACTIONS(1824),
    [anon_sym_BSLASH] = ACTIONS(1826),
    [anon_sym_do] = ACTIONS(1824),
    [anon_sym_eval] = ACTIONS(1824),
    [anon_sym_await] = ACTIONS(1824),
    [anon_sym_field] = ACTIONS(1824),
    [anon_sym_local] = ACTIONS(1824),
    [anon_sym_dynamically] = ACTIONS(1824),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1824),
    [anon_sym_require] = ACTIONS(1824),
    [anon_sym_map] = ACTIONS(1824),
    [anon_sym_grep] = ACTIONS(1824),
    [anon_sym_sort] = ACTIONS(1824),
    [anon_sym_goto] = ACTIONS(1824),
    [anon_sym_return] = ACTIONS(1824),
    [anon_sym_undef] = ACTIONS(1824),
    [anon_sym_PERCENT2] = ACTIONS(1824),
    [anon_sym_AMP2] = ACTIONS(1824),
    [anon_sym_STAR2] = ACTIONS(1824),
    [anon_sym_last] = ACTIONS(1824),
    [anon_sym_next] = ACTIONS(1824),
    [anon_sym_redo] = ACTIONS(1824),
    [anon_sym___FILE__] = ACTIONS(1824),
    [anon_sym___LINE__] = ACTIONS(1824),
    [anon_sym___PACKAGE__] = ACTIONS(1824),
    [anon_sym___SUB__] = ACTIONS(1824),
    [anon_sym_break] = ACTIONS(1824),
    [anon_sym_fork] = ACTIONS(1824),
    [anon_sym_getppid] = ACTIONS(1824),
    [anon_sym_time] = ACTIONS(1824),
    [anon_sym_times] = ACTIONS(1824),
    [anon_sym_wait] = ACTIONS(1824),
    [anon_sym_wantarray] = ACTIONS(1824),
    [anon_sym_abs] = ACTIONS(1824),
    [anon_sym_alarm] = ACTIONS(1824),
    [anon_sym_chop] = ACTIONS(1824),
    [anon_sym_chdir] = ACTIONS(1824),
    [anon_sym_close] = ACTIONS(1824),
    [anon_sym_closedir] = ACTIONS(1824),
    [anon_sym_caller] = ACTIONS(1824),
    [anon_sym_chomp] = ACTIONS(1824),
    [anon_sym_chr] = ACTIONS(1824),
    [anon_sym_cos] = ACTIONS(1824),
    [anon_sym_chroot] = ACTIONS(1824),
    [anon_sym_defined] = ACTIONS(1824),
    [anon_sym_delete] = ACTIONS(1824),
    [anon_sym_dbmclose] = ACTIONS(1824),
    [anon_sym_exists] = ACTIONS(1824),
    [anon_sym_exit] = ACTIONS(1824),
    [anon_sym_eof] = ACTIONS(1824),
    [anon_sym_exp] = ACTIONS(1824),
    [anon_sym_each] = ACTIONS(1824),
    [anon_sym_fc] = ACTIONS(1824),
    [anon_sym_fileno] = ACTIONS(1824),
    [anon_sym_gmtime] = ACTIONS(1824),
    [anon_sym_getc] = ACTIONS(1824),
    [anon_sym_getpgrp] = ACTIONS(1824),
    [anon_sym_getprotobyname] = ACTIONS(1824),
    [anon_sym_getpwname] = ACTIONS(1824),
    [anon_sym_getpwuid] = ACTIONS(1824),
    [anon_sym_getpeername] = ACTIONS(1824),
    [anon_sym_getnetbyname] = ACTIONS(1824),
    [anon_sym_getsockname] = ACTIONS(1824),
    [anon_sym_getgrnam] = ACTIONS(1824),
    [anon_sym_getgrgid] = ACTIONS(1824),
    [anon_sym_hex] = ACTIONS(1824),
    [anon_sym_int] = ACTIONS(1824),
    [anon_sym_keys] = ACTIONS(1824),
    [anon_sym_lc] = ACTIONS(1824),
    [anon_sym_lcfirst] = ACTIONS(1824),
    [anon_sym_length] = ACTIONS(1824),
    [anon_sym_localtime] = ACTIONS(1824),
    [anon_sym_log] = ACTIONS(1824),
    [anon_sym_lock] = ACTIONS(1824),
    [anon_sym_lstat] = ACTIONS(1824),
    [anon_sym_oct] = ACTIONS(1824),
    [anon_sym_ord] = ACTIONS(1824),
    [anon_sym_prototype] = ACTIONS(1824),
    [anon_sym_pop] = ACTIONS(1824),
    [anon_sym_pos] = ACTIONS(1824),
    [anon_sym_quotemeta] = ACTIONS(1824),
    [anon_sym_reset] = ACTIONS(1824),
    [anon_sym_rand] = ACTIONS(1824),
    [anon_sym_rmdir] = ACTIONS(1824),
    [anon_sym_readdir] = ACTIONS(1824),
    [anon_sym_readline] = ACTIONS(1824),
    [anon_sym_readpipe] = ACTIONS(1824),
    [anon_sym_rewinddir] = ACTIONS(1824),
    [anon_sym_readlink] = ACTIONS(1824),
    [anon_sym_ref] = ACTIONS(1824),
    [anon_sym_scalar] = ACTIONS(1824),
    [anon_sym_shift] = ACTIONS(1824),
    [anon_sym_sin] = ACTIONS(1824),
    [anon_sym_sleep] = ACTIONS(1824),
    [anon_sym_sqrt] = ACTIONS(1824),
    [anon_sym_srand] = ACTIONS(1824),
    [anon_sym_stat] = ACTIONS(1824),
    [anon_sym_study] = ACTIONS(1824),
    [anon_sym_tell] = ACTIONS(1824),
    [anon_sym_telldir] = ACTIONS(1824),
    [anon_sym_tied] = ACTIONS(1824),
    [anon_sym_uc] = ACTIONS(1824),
    [anon_sym_ucfirst] = ACTIONS(1824),
    [anon_sym_untie] = ACTIONS(1824),
    [anon_sym_umask] = ACTIONS(1824),
    [anon_sym_values] = ACTIONS(1824),
    [anon_sym_write] = ACTIONS(1824),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1824),
    [anon_sym_qq] = ACTIONS(1824),
    [anon_sym_qw] = ACTIONS(1824),
    [anon_sym_qx] = ACTIONS(1824),
    [anon_sym_qr] = ACTIONS(1824),
    [anon_sym_m] = ACTIONS(1824),
    [anon_sym_s] = ACTIONS(1824),
    [anon_sym_tr] = ACTIONS(1824),
    [anon_sym_y] = ACTIONS(1824),
    [aux_sym__bareword_token1] = ACTIONS(1824),
    [sym_number] = ACTIONS(1824),
    [anon_sym_true] = ACTIONS(1824),
    [anon_sym_false] = ACTIONS(1824),
    [sym__single_quote] = ACTIONS(1826),
    [sym__double_quote] = ACTIONS(1826),
    [sym__backtick_quote] = ACTIONS(1826),
    [sym__search_slash_quote] = ACTIONS(1826),
    [sym__open_readline_bracket] = ACTIONS(1826),
    [sym__open_fileglob_bracket] = ACTIONS(1826),
    [sym__PERLY_HEREDOC] = ACTIONS(1826),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1826),
    [sym__filetest] = ACTIONS(1826),
  },
  [1097] = {
    [sym_heredoc_content] = STATE(1097),
    [sym__identifier] = ACTIONS(2007),
    [anon_sym_LBRACE] = ACTIONS(2007),
    [anon_sym_DOLLAR] = ACTIONS(2007),
    [anon_sym_AT] = ACTIONS(2007),
    [anon_sym_RPAREN] = ACTIONS(2007),
    [anon_sym_my] = ACTIONS(2007),
    [anon_sym_extended] = ACTIONS(2007),
    [anon_sym_async] = ACTIONS(2007),
    [anon_sym_sub] = ACTIONS(2007),
    [anon_sym_method] = ACTIONS(2007),
    [anon_sym_LPAREN] = ACTIONS(2007),
    [anon_sym_continue] = ACTIONS(2007),
    [anon_sym_state] = ACTIONS(2007),
    [anon_sym_our] = ACTIONS(2007),
    [anon_sym_finally] = ACTIONS(2399),
    [anon_sym_LBRACK] = ACTIONS(2007),
    [anon_sym_LT_LT] = ACTIONS(2007),
    [anon_sym_SLASH_SLASH] = ACTIONS(2007),
    [anon_sym_PLUS] = ACTIONS(2007),
    [anon_sym_DASH] = ACTIONS(2007),
    [anon_sym_TILDE] = ACTIONS(2007),
    [anon_sym_BANG] = ACTIONS(2007),
    [anon_sym_PLUS_PLUS] = ACTIONS(2007),
    [anon_sym_DASH_DASH] = ACTIONS(2007),
    [anon_sym_BSLASH] = ACTIONS(2005),
    [anon_sym_do] = ACTIONS(2007),
    [anon_sym_eval] = ACTIONS(2007),
    [anon_sym_await] = ACTIONS(2007),
    [anon_sym_field] = ACTIONS(2007),
    [anon_sym_local] = ACTIONS(2007),
    [anon_sym_dynamically] = ACTIONS(2007),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2007),
    [anon_sym_require] = ACTIONS(2007),
    [anon_sym_map] = ACTIONS(2007),
    [anon_sym_grep] = ACTIONS(2007),
    [anon_sym_sort] = ACTIONS(2007),
    [anon_sym_goto] = ACTIONS(2007),
    [anon_sym_return] = ACTIONS(2007),
    [anon_sym_undef] = ACTIONS(2007),
    [anon_sym_PERCENT2] = ACTIONS(2007),
    [anon_sym_AMP2] = ACTIONS(2007),
    [anon_sym_STAR2] = ACTIONS(2007),
    [anon_sym_last] = ACTIONS(2007),
    [anon_sym_next] = ACTIONS(2007),
    [anon_sym_redo] = ACTIONS(2007),
    [anon_sym___FILE__] = ACTIONS(2007),
    [anon_sym___LINE__] = ACTIONS(2007),
    [anon_sym___PACKAGE__] = ACTIONS(2007),
    [anon_sym___SUB__] = ACTIONS(2007),
    [anon_sym_break] = ACTIONS(2007),
    [anon_sym_fork] = ACTIONS(2007),
    [anon_sym_getppid] = ACTIONS(2007),
    [anon_sym_time] = ACTIONS(2007),
    [anon_sym_times] = ACTIONS(2007),
    [anon_sym_wait] = ACTIONS(2007),
    [anon_sym_wantarray] = ACTIONS(2007),
    [anon_sym_abs] = ACTIONS(2007),
    [anon_sym_alarm] = ACTIONS(2007),
    [anon_sym_chop] = ACTIONS(2007),
    [anon_sym_chdir] = ACTIONS(2007),
    [anon_sym_close] = ACTIONS(2007),
    [anon_sym_closedir] = ACTIONS(2007),
    [anon_sym_caller] = ACTIONS(2007),
    [anon_sym_chomp] = ACTIONS(2007),
    [anon_sym_chr] = ACTIONS(2007),
    [anon_sym_cos] = ACTIONS(2007),
    [anon_sym_chroot] = ACTIONS(2007),
    [anon_sym_defined] = ACTIONS(2007),
    [anon_sym_delete] = ACTIONS(2007),
    [anon_sym_dbmclose] = ACTIONS(2007),
    [anon_sym_exists] = ACTIONS(2007),
    [anon_sym_exit] = ACTIONS(2007),
    [anon_sym_eof] = ACTIONS(2007),
    [anon_sym_exp] = ACTIONS(2007),
    [anon_sym_each] = ACTIONS(2007),
    [anon_sym_fc] = ACTIONS(2007),
    [anon_sym_fileno] = ACTIONS(2007),
    [anon_sym_gmtime] = ACTIONS(2007),
    [anon_sym_getc] = ACTIONS(2007),
    [anon_sym_getpgrp] = ACTIONS(2007),
    [anon_sym_getprotobyname] = ACTIONS(2007),
    [anon_sym_getpwname] = ACTIONS(2007),
    [anon_sym_getpwuid] = ACTIONS(2007),
    [anon_sym_getpeername] = ACTIONS(2007),
    [anon_sym_getnetbyname] = ACTIONS(2007),
    [anon_sym_getsockname] = ACTIONS(2007),
    [anon_sym_getgrnam] = ACTIONS(2007),
    [anon_sym_getgrgid] = ACTIONS(2007),
    [anon_sym_hex] = ACTIONS(2007),
    [anon_sym_int] = ACTIONS(2007),
    [anon_sym_keys] = ACTIONS(2007),
    [anon_sym_lc] = ACTIONS(2007),
    [anon_sym_lcfirst] = ACTIONS(2007),
    [anon_sym_length] = ACTIONS(2007),
    [anon_sym_localtime] = ACTIONS(2007),
    [anon_sym_log] = ACTIONS(2007),
    [anon_sym_lock] = ACTIONS(2007),
    [anon_sym_lstat] = ACTIONS(2007),
    [anon_sym_oct] = ACTIONS(2007),
    [anon_sym_ord] = ACTIONS(2007),
    [anon_sym_prototype] = ACTIONS(2007),
    [anon_sym_pop] = ACTIONS(2007),
    [anon_sym_pos] = ACTIONS(2007),
    [anon_sym_quotemeta] = ACTIONS(2007),
    [anon_sym_reset] = ACTIONS(2007),
    [anon_sym_rand] = ACTIONS(2007),
    [anon_sym_rmdir] = ACTIONS(2007),
    [anon_sym_readdir] = ACTIONS(2007),
    [anon_sym_readline] = ACTIONS(2007),
    [anon_sym_readpipe] = ACTIONS(2007),
    [anon_sym_rewinddir] = ACTIONS(2007),
    [anon_sym_readlink] = ACTIONS(2007),
    [anon_sym_ref] = ACTIONS(2007),
    [anon_sym_scalar] = ACTIONS(2007),
    [anon_sym_shift] = ACTIONS(2007),
    [anon_sym_sin] = ACTIONS(2007),
    [anon_sym_sleep] = ACTIONS(2007),
    [anon_sym_sqrt] = ACTIONS(2007),
    [anon_sym_srand] = ACTIONS(2007),
    [anon_sym_stat] = ACTIONS(2007),
    [anon_sym_study] = ACTIONS(2007),
    [anon_sym_tell] = ACTIONS(2007),
    [anon_sym_telldir] = ACTIONS(2007),
    [anon_sym_tied] = ACTIONS(2007),
    [anon_sym_uc] = ACTIONS(2007),
    [anon_sym_ucfirst] = ACTIONS(2007),
    [anon_sym_untie] = ACTIONS(2007),
    [anon_sym_umask] = ACTIONS(2007),
    [anon_sym_values] = ACTIONS(2007),
    [anon_sym_write] = ACTIONS(2007),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2007),
    [anon_sym_qq] = ACTIONS(2007),
    [anon_sym_qw] = ACTIONS(2007),
    [anon_sym_qx] = ACTIONS(2007),
    [anon_sym_qr] = ACTIONS(2007),
    [anon_sym_m] = ACTIONS(2007),
    [anon_sym_s] = ACTIONS(2007),
    [anon_sym_tr] = ACTIONS(2007),
    [anon_sym_y] = ACTIONS(2007),
    [aux_sym__bareword_token1] = ACTIONS(2007),
    [sym_number] = ACTIONS(2007),
    [anon_sym_true] = ACTIONS(2007),
    [anon_sym_false] = ACTIONS(2007),
    [sym__single_quote] = ACTIONS(2005),
    [sym__double_quote] = ACTIONS(2005),
    [sym__backtick_quote] = ACTIONS(2005),
    [sym__search_slash_quote] = ACTIONS(2005),
    [sym__open_readline_bracket] = ACTIONS(2005),
    [sym__open_fileglob_bracket] = ACTIONS(2005),
    [sym__PERLY_HEREDOC] = ACTIONS(2005),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2005),
    [sym__filetest] = ACTIONS(2005),
  },
  [1098] = {
    [sym_heredoc_content] = STATE(1098),
    [sym__identifier] = ACTIONS(1661),
    [anon_sym_LBRACE] = ACTIONS(1661),
    [anon_sym_DOLLAR] = ACTIONS(1661),
    [anon_sym_AT] = ACTIONS(1661),
    [anon_sym_RPAREN] = ACTIONS(1661),
    [anon_sym_my] = ACTIONS(1661),
    [anon_sym_extended] = ACTIONS(1661),
    [anon_sym_async] = ACTIONS(1661),
    [anon_sym_sub] = ACTIONS(1661),
    [anon_sym_method] = ACTIONS(1661),
    [anon_sym_LPAREN] = ACTIONS(1661),
    [anon_sym_continue] = ACTIONS(1661),
    [anon_sym_state] = ACTIONS(1661),
    [anon_sym_our] = ACTIONS(1661),
    [anon_sym_finally] = ACTIONS(1661),
    [anon_sym_LBRACK] = ACTIONS(1661),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1661),
    [anon_sym_PLUS] = ACTIONS(1661),
    [anon_sym_DASH] = ACTIONS(1661),
    [anon_sym_TILDE] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1661),
    [anon_sym_PLUS_PLUS] = ACTIONS(1661),
    [anon_sym_DASH_DASH] = ACTIONS(1661),
    [anon_sym_BSLASH] = ACTIONS(1659),
    [anon_sym_do] = ACTIONS(1661),
    [anon_sym_eval] = ACTIONS(1661),
    [anon_sym_await] = ACTIONS(1661),
    [anon_sym_field] = ACTIONS(1661),
    [anon_sym_local] = ACTIONS(1661),
    [anon_sym_dynamically] = ACTIONS(1661),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1661),
    [anon_sym_require] = ACTIONS(1661),
    [anon_sym_map] = ACTIONS(1661),
    [anon_sym_grep] = ACTIONS(1661),
    [anon_sym_sort] = ACTIONS(1661),
    [anon_sym_goto] = ACTIONS(1661),
    [anon_sym_return] = ACTIONS(1661),
    [anon_sym_undef] = ACTIONS(1661),
    [anon_sym_PERCENT2] = ACTIONS(1661),
    [anon_sym_AMP2] = ACTIONS(1661),
    [anon_sym_STAR2] = ACTIONS(1661),
    [anon_sym_last] = ACTIONS(1661),
    [anon_sym_next] = ACTIONS(1661),
    [anon_sym_redo] = ACTIONS(1661),
    [anon_sym___FILE__] = ACTIONS(1661),
    [anon_sym___LINE__] = ACTIONS(1661),
    [anon_sym___PACKAGE__] = ACTIONS(1661),
    [anon_sym___SUB__] = ACTIONS(1661),
    [anon_sym_break] = ACTIONS(1661),
    [anon_sym_fork] = ACTIONS(1661),
    [anon_sym_getppid] = ACTIONS(1661),
    [anon_sym_time] = ACTIONS(1661),
    [anon_sym_times] = ACTIONS(1661),
    [anon_sym_wait] = ACTIONS(1661),
    [anon_sym_wantarray] = ACTIONS(1661),
    [anon_sym_abs] = ACTIONS(1661),
    [anon_sym_alarm] = ACTIONS(1661),
    [anon_sym_chop] = ACTIONS(1661),
    [anon_sym_chdir] = ACTIONS(1661),
    [anon_sym_close] = ACTIONS(1661),
    [anon_sym_closedir] = ACTIONS(1661),
    [anon_sym_caller] = ACTIONS(1661),
    [anon_sym_chomp] = ACTIONS(1661),
    [anon_sym_chr] = ACTIONS(1661),
    [anon_sym_cos] = ACTIONS(1661),
    [anon_sym_chroot] = ACTIONS(1661),
    [anon_sym_defined] = ACTIONS(1661),
    [anon_sym_delete] = ACTIONS(1661),
    [anon_sym_dbmclose] = ACTIONS(1661),
    [anon_sym_exists] = ACTIONS(1661),
    [anon_sym_exit] = ACTIONS(1661),
    [anon_sym_eof] = ACTIONS(1661),
    [anon_sym_exp] = ACTIONS(1661),
    [anon_sym_each] = ACTIONS(1661),
    [anon_sym_fc] = ACTIONS(1661),
    [anon_sym_fileno] = ACTIONS(1661),
    [anon_sym_gmtime] = ACTIONS(1661),
    [anon_sym_getc] = ACTIONS(1661),
    [anon_sym_getpgrp] = ACTIONS(1661),
    [anon_sym_getprotobyname] = ACTIONS(1661),
    [anon_sym_getpwname] = ACTIONS(1661),
    [anon_sym_getpwuid] = ACTIONS(1661),
    [anon_sym_getpeername] = ACTIONS(1661),
    [anon_sym_getnetbyname] = ACTIONS(1661),
    [anon_sym_getsockname] = ACTIONS(1661),
    [anon_sym_getgrnam] = ACTIONS(1661),
    [anon_sym_getgrgid] = ACTIONS(1661),
    [anon_sym_hex] = ACTIONS(1661),
    [anon_sym_int] = ACTIONS(1661),
    [anon_sym_keys] = ACTIONS(1661),
    [anon_sym_lc] = ACTIONS(1661),
    [anon_sym_lcfirst] = ACTIONS(1661),
    [anon_sym_length] = ACTIONS(1661),
    [anon_sym_localtime] = ACTIONS(1661),
    [anon_sym_log] = ACTIONS(1661),
    [anon_sym_lock] = ACTIONS(1661),
    [anon_sym_lstat] = ACTIONS(1661),
    [anon_sym_oct] = ACTIONS(1661),
    [anon_sym_ord] = ACTIONS(1661),
    [anon_sym_prototype] = ACTIONS(1661),
    [anon_sym_pop] = ACTIONS(1661),
    [anon_sym_pos] = ACTIONS(1661),
    [anon_sym_quotemeta] = ACTIONS(1661),
    [anon_sym_reset] = ACTIONS(1661),
    [anon_sym_rand] = ACTIONS(1661),
    [anon_sym_rmdir] = ACTIONS(1661),
    [anon_sym_readdir] = ACTIONS(1661),
    [anon_sym_readline] = ACTIONS(1661),
    [anon_sym_readpipe] = ACTIONS(1661),
    [anon_sym_rewinddir] = ACTIONS(1661),
    [anon_sym_readlink] = ACTIONS(1661),
    [anon_sym_ref] = ACTIONS(1661),
    [anon_sym_scalar] = ACTIONS(1661),
    [anon_sym_shift] = ACTIONS(1661),
    [anon_sym_sin] = ACTIONS(1661),
    [anon_sym_sleep] = ACTIONS(1661),
    [anon_sym_sqrt] = ACTIONS(1661),
    [anon_sym_srand] = ACTIONS(1661),
    [anon_sym_stat] = ACTIONS(1661),
    [anon_sym_study] = ACTIONS(1661),
    [anon_sym_tell] = ACTIONS(1661),
    [anon_sym_telldir] = ACTIONS(1661),
    [anon_sym_tied] = ACTIONS(1661),
    [anon_sym_uc] = ACTIONS(1661),
    [anon_sym_ucfirst] = ACTIONS(1661),
    [anon_sym_untie] = ACTIONS(1661),
    [anon_sym_umask] = ACTIONS(1661),
    [anon_sym_values] = ACTIONS(1661),
    [anon_sym_write] = ACTIONS(1661),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1661),
    [anon_sym_qq] = ACTIONS(1661),
    [anon_sym_qw] = ACTIONS(1661),
    [anon_sym_qx] = ACTIONS(1661),
    [anon_sym_qr] = ACTIONS(1661),
    [anon_sym_m] = ACTIONS(1661),
    [anon_sym_s] = ACTIONS(1661),
    [anon_sym_tr] = ACTIONS(1661),
    [anon_sym_y] = ACTIONS(1661),
    [aux_sym__bareword_token1] = ACTIONS(1661),
    [sym_number] = ACTIONS(1661),
    [anon_sym_true] = ACTIONS(1661),
    [anon_sym_false] = ACTIONS(1661),
    [sym__single_quote] = ACTIONS(1659),
    [sym__double_quote] = ACTIONS(1659),
    [sym__backtick_quote] = ACTIONS(1659),
    [sym__search_slash_quote] = ACTIONS(1659),
    [sym__open_readline_bracket] = ACTIONS(1659),
    [sym__open_fileglob_bracket] = ACTIONS(1659),
    [sym__PERLY_HEREDOC] = ACTIONS(1659),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1659),
    [sym__filetest] = ACTIONS(1659),
  },
  [1099] = {
    [sym_heredoc_content] = STATE(1099),
    [sym__identifier] = ACTIONS(2370),
    [anon_sym_LBRACE] = ACTIONS(2370),
    [anon_sym_RBRACE] = ACTIONS(2370),
    [anon_sym_DOLLAR] = ACTIONS(2370),
    [anon_sym_AT] = ACTIONS(2370),
    [anon_sym_my] = ACTIONS(2370),
    [anon_sym_extended] = ACTIONS(2370),
    [anon_sym_async] = ACTIONS(2370),
    [anon_sym_sub] = ACTIONS(2370),
    [anon_sym_method] = ACTIONS(2370),
    [anon_sym_LPAREN] = ACTIONS(2370),
    [anon_sym_continue] = ACTIONS(2370),
    [anon_sym_state] = ACTIONS(2370),
    [anon_sym_our] = ACTIONS(2370),
    [anon_sym_LBRACK] = ACTIONS(2370),
    [anon_sym_LT_LT] = ACTIONS(2370),
    [anon_sym_SLASH_SLASH] = ACTIONS(2370),
    [anon_sym_PLUS] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2370),
    [anon_sym_TILDE] = ACTIONS(2370),
    [anon_sym_BANG] = ACTIONS(2370),
    [anon_sym_PLUS_PLUS] = ACTIONS(2370),
    [anon_sym_DASH_DASH] = ACTIONS(2370),
    [anon_sym_BSLASH] = ACTIONS(2372),
    [anon_sym_do] = ACTIONS(2370),
    [anon_sym_eval] = ACTIONS(2370),
    [anon_sym_await] = ACTIONS(2370),
    [anon_sym_field] = ACTIONS(2370),
    [anon_sym_local] = ACTIONS(2370),
    [anon_sym_dynamically] = ACTIONS(2370),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2370),
    [anon_sym_require] = ACTIONS(2370),
    [anon_sym_map] = ACTIONS(2370),
    [anon_sym_grep] = ACTIONS(2370),
    [anon_sym_sort] = ACTIONS(2370),
    [anon_sym_goto] = ACTIONS(2370),
    [anon_sym_return] = ACTIONS(2370),
    [anon_sym_undef] = ACTIONS(2370),
    [anon_sym_PERCENT2] = ACTIONS(2370),
    [anon_sym_AMP2] = ACTIONS(2370),
    [anon_sym_STAR2] = ACTIONS(2370),
    [anon_sym_last] = ACTIONS(2370),
    [anon_sym_next] = ACTIONS(2370),
    [anon_sym_redo] = ACTIONS(2370),
    [anon_sym___FILE__] = ACTIONS(2370),
    [anon_sym___LINE__] = ACTIONS(2370),
    [anon_sym___PACKAGE__] = ACTIONS(2370),
    [anon_sym___SUB__] = ACTIONS(2370),
    [anon_sym_break] = ACTIONS(2370),
    [anon_sym_fork] = ACTIONS(2370),
    [anon_sym_getppid] = ACTIONS(2370),
    [anon_sym_time] = ACTIONS(2370),
    [anon_sym_times] = ACTIONS(2370),
    [anon_sym_wait] = ACTIONS(2370),
    [anon_sym_wantarray] = ACTIONS(2370),
    [anon_sym_abs] = ACTIONS(2370),
    [anon_sym_alarm] = ACTIONS(2370),
    [anon_sym_chop] = ACTIONS(2370),
    [anon_sym_chdir] = ACTIONS(2370),
    [anon_sym_close] = ACTIONS(2370),
    [anon_sym_closedir] = ACTIONS(2370),
    [anon_sym_caller] = ACTIONS(2370),
    [anon_sym_chomp] = ACTIONS(2370),
    [anon_sym_chr] = ACTIONS(2370),
    [anon_sym_cos] = ACTIONS(2370),
    [anon_sym_chroot] = ACTIONS(2370),
    [anon_sym_defined] = ACTIONS(2370),
    [anon_sym_delete] = ACTIONS(2370),
    [anon_sym_dbmclose] = ACTIONS(2370),
    [anon_sym_exists] = ACTIONS(2370),
    [anon_sym_exit] = ACTIONS(2370),
    [anon_sym_eof] = ACTIONS(2370),
    [anon_sym_exp] = ACTIONS(2370),
    [anon_sym_each] = ACTIONS(2370),
    [anon_sym_fc] = ACTIONS(2370),
    [anon_sym_fileno] = ACTIONS(2370),
    [anon_sym_gmtime] = ACTIONS(2370),
    [anon_sym_getc] = ACTIONS(2370),
    [anon_sym_getpgrp] = ACTIONS(2370),
    [anon_sym_getprotobyname] = ACTIONS(2370),
    [anon_sym_getpwname] = ACTIONS(2370),
    [anon_sym_getpwuid] = ACTIONS(2370),
    [anon_sym_getpeername] = ACTIONS(2370),
    [anon_sym_getnetbyname] = ACTIONS(2370),
    [anon_sym_getsockname] = ACTIONS(2370),
    [anon_sym_getgrnam] = ACTIONS(2370),
    [anon_sym_getgrgid] = ACTIONS(2370),
    [anon_sym_hex] = ACTIONS(2370),
    [anon_sym_int] = ACTIONS(2370),
    [anon_sym_keys] = ACTIONS(2370),
    [anon_sym_lc] = ACTIONS(2370),
    [anon_sym_lcfirst] = ACTIONS(2370),
    [anon_sym_length] = ACTIONS(2370),
    [anon_sym_localtime] = ACTIONS(2370),
    [anon_sym_log] = ACTIONS(2370),
    [anon_sym_lock] = ACTIONS(2370),
    [anon_sym_lstat] = ACTIONS(2370),
    [anon_sym_oct] = ACTIONS(2370),
    [anon_sym_ord] = ACTIONS(2370),
    [anon_sym_prototype] = ACTIONS(2370),
    [anon_sym_pop] = ACTIONS(2370),
    [anon_sym_pos] = ACTIONS(2370),
    [anon_sym_quotemeta] = ACTIONS(2370),
    [anon_sym_reset] = ACTIONS(2370),
    [anon_sym_rand] = ACTIONS(2370),
    [anon_sym_rmdir] = ACTIONS(2370),
    [anon_sym_readdir] = ACTIONS(2370),
    [anon_sym_readline] = ACTIONS(2370),
    [anon_sym_readpipe] = ACTIONS(2370),
    [anon_sym_rewinddir] = ACTIONS(2370),
    [anon_sym_readlink] = ACTIONS(2370),
    [anon_sym_ref] = ACTIONS(2370),
    [anon_sym_scalar] = ACTIONS(2370),
    [anon_sym_shift] = ACTIONS(2370),
    [anon_sym_sin] = ACTIONS(2370),
    [anon_sym_sleep] = ACTIONS(2370),
    [anon_sym_sqrt] = ACTIONS(2370),
    [anon_sym_srand] = ACTIONS(2370),
    [anon_sym_stat] = ACTIONS(2370),
    [anon_sym_study] = ACTIONS(2370),
    [anon_sym_tell] = ACTIONS(2370),
    [anon_sym_telldir] = ACTIONS(2370),
    [anon_sym_tied] = ACTIONS(2370),
    [anon_sym_uc] = ACTIONS(2370),
    [anon_sym_ucfirst] = ACTIONS(2370),
    [anon_sym_untie] = ACTIONS(2370),
    [anon_sym_umask] = ACTIONS(2370),
    [anon_sym_values] = ACTIONS(2370),
    [anon_sym_write] = ACTIONS(2370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2370),
    [anon_sym_qq] = ACTIONS(2370),
    [anon_sym_qw] = ACTIONS(2370),
    [anon_sym_qx] = ACTIONS(2370),
    [anon_sym_qr] = ACTIONS(2370),
    [anon_sym_m] = ACTIONS(2370),
    [anon_sym_s] = ACTIONS(2370),
    [anon_sym_tr] = ACTIONS(2370),
    [anon_sym_y] = ACTIONS(2370),
    [aux_sym__bareword_token1] = ACTIONS(2370),
    [sym_number] = ACTIONS(2370),
    [anon_sym_true] = ACTIONS(2370),
    [anon_sym_false] = ACTIONS(2370),
    [sym__single_quote] = ACTIONS(2372),
    [sym__double_quote] = ACTIONS(2372),
    [sym__backtick_quote] = ACTIONS(2372),
    [sym__search_slash_quote] = ACTIONS(2372),
    [sym__open_readline_bracket] = ACTIONS(2372),
    [sym__open_fileglob_bracket] = ACTIONS(2372),
    [sym__PERLY_HEREDOC] = ACTIONS(2372),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2372),
    [sym__filetest] = ACTIONS(2372),
  },
  [1100] = {
    [sym_heredoc_content] = STATE(1100),
    [sym__identifier] = ACTIONS(2049),
    [anon_sym_LBRACE] = ACTIONS(2049),
    [anon_sym_DOLLAR] = ACTIONS(2049),
    [anon_sym_AT] = ACTIONS(2049),
    [anon_sym_RPAREN] = ACTIONS(2049),
    [anon_sym_my] = ACTIONS(2049),
    [anon_sym_extended] = ACTIONS(2049),
    [anon_sym_async] = ACTIONS(2049),
    [anon_sym_sub] = ACTIONS(2049),
    [anon_sym_method] = ACTIONS(2049),
    [anon_sym_LPAREN] = ACTIONS(2049),
    [anon_sym_continue] = ACTIONS(2049),
    [anon_sym_state] = ACTIONS(2049),
    [anon_sym_our] = ACTIONS(2049),
    [anon_sym_LBRACK] = ACTIONS(2049),
    [anon_sym_LT_LT] = ACTIONS(2049),
    [anon_sym_SLASH_SLASH] = ACTIONS(2049),
    [anon_sym_PLUS] = ACTIONS(2049),
    [anon_sym_DASH] = ACTIONS(2049),
    [anon_sym_TILDE] = ACTIONS(2049),
    [anon_sym_BANG] = ACTIONS(2049),
    [anon_sym_PLUS_PLUS] = ACTIONS(2049),
    [anon_sym_DASH_DASH] = ACTIONS(2049),
    [anon_sym_BSLASH] = ACTIONS(2047),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_eval] = ACTIONS(2049),
    [anon_sym_await] = ACTIONS(2049),
    [anon_sym_field] = ACTIONS(2049),
    [anon_sym_local] = ACTIONS(2049),
    [anon_sym_dynamically] = ACTIONS(2049),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2049),
    [anon_sym_require] = ACTIONS(2049),
    [anon_sym_map] = ACTIONS(2049),
    [anon_sym_grep] = ACTIONS(2049),
    [anon_sym_sort] = ACTIONS(2049),
    [anon_sym_goto] = ACTIONS(2049),
    [anon_sym_return] = ACTIONS(2049),
    [anon_sym_undef] = ACTIONS(2049),
    [anon_sym_PERCENT2] = ACTIONS(2049),
    [anon_sym_AMP2] = ACTIONS(2049),
    [anon_sym_STAR2] = ACTIONS(2049),
    [anon_sym_last] = ACTIONS(2049),
    [anon_sym_next] = ACTIONS(2049),
    [anon_sym_redo] = ACTIONS(2049),
    [anon_sym___FILE__] = ACTIONS(2049),
    [anon_sym___LINE__] = ACTIONS(2049),
    [anon_sym___PACKAGE__] = ACTIONS(2049),
    [anon_sym___SUB__] = ACTIONS(2049),
    [anon_sym_break] = ACTIONS(2049),
    [anon_sym_fork] = ACTIONS(2049),
    [anon_sym_getppid] = ACTIONS(2049),
    [anon_sym_time] = ACTIONS(2049),
    [anon_sym_times] = ACTIONS(2049),
    [anon_sym_wait] = ACTIONS(2049),
    [anon_sym_wantarray] = ACTIONS(2049),
    [anon_sym_abs] = ACTIONS(2049),
    [anon_sym_alarm] = ACTIONS(2049),
    [anon_sym_chop] = ACTIONS(2049),
    [anon_sym_chdir] = ACTIONS(2049),
    [anon_sym_close] = ACTIONS(2049),
    [anon_sym_closedir] = ACTIONS(2049),
    [anon_sym_caller] = ACTIONS(2049),
    [anon_sym_chomp] = ACTIONS(2049),
    [anon_sym_chr] = ACTIONS(2049),
    [anon_sym_cos] = ACTIONS(2049),
    [anon_sym_chroot] = ACTIONS(2049),
    [anon_sym_defined] = ACTIONS(2049),
    [anon_sym_delete] = ACTIONS(2049),
    [anon_sym_dbmclose] = ACTIONS(2049),
    [anon_sym_exists] = ACTIONS(2049),
    [anon_sym_exit] = ACTIONS(2049),
    [anon_sym_eof] = ACTIONS(2049),
    [anon_sym_exp] = ACTIONS(2049),
    [anon_sym_each] = ACTIONS(2049),
    [anon_sym_fc] = ACTIONS(2049),
    [anon_sym_fileno] = ACTIONS(2049),
    [anon_sym_gmtime] = ACTIONS(2049),
    [anon_sym_getc] = ACTIONS(2049),
    [anon_sym_getpgrp] = ACTIONS(2049),
    [anon_sym_getprotobyname] = ACTIONS(2049),
    [anon_sym_getpwname] = ACTIONS(2049),
    [anon_sym_getpwuid] = ACTIONS(2049),
    [anon_sym_getpeername] = ACTIONS(2049),
    [anon_sym_getnetbyname] = ACTIONS(2049),
    [anon_sym_getsockname] = ACTIONS(2049),
    [anon_sym_getgrnam] = ACTIONS(2049),
    [anon_sym_getgrgid] = ACTIONS(2049),
    [anon_sym_hex] = ACTIONS(2049),
    [anon_sym_int] = ACTIONS(2049),
    [anon_sym_keys] = ACTIONS(2049),
    [anon_sym_lc] = ACTIONS(2049),
    [anon_sym_lcfirst] = ACTIONS(2049),
    [anon_sym_length] = ACTIONS(2049),
    [anon_sym_localtime] = ACTIONS(2049),
    [anon_sym_log] = ACTIONS(2049),
    [anon_sym_lock] = ACTIONS(2049),
    [anon_sym_lstat] = ACTIONS(2049),
    [anon_sym_oct] = ACTIONS(2049),
    [anon_sym_ord] = ACTIONS(2049),
    [anon_sym_prototype] = ACTIONS(2049),
    [anon_sym_pop] = ACTIONS(2049),
    [anon_sym_pos] = ACTIONS(2049),
    [anon_sym_quotemeta] = ACTIONS(2049),
    [anon_sym_reset] = ACTIONS(2049),
    [anon_sym_rand] = ACTIONS(2049),
    [anon_sym_rmdir] = ACTIONS(2049),
    [anon_sym_readdir] = ACTIONS(2049),
    [anon_sym_readline] = ACTIONS(2049),
    [anon_sym_readpipe] = ACTIONS(2049),
    [anon_sym_rewinddir] = ACTIONS(2049),
    [anon_sym_readlink] = ACTIONS(2049),
    [anon_sym_ref] = ACTIONS(2049),
    [anon_sym_scalar] = ACTIONS(2049),
    [anon_sym_shift] = ACTIONS(2049),
    [anon_sym_sin] = ACTIONS(2049),
    [anon_sym_sleep] = ACTIONS(2049),
    [anon_sym_sqrt] = ACTIONS(2049),
    [anon_sym_srand] = ACTIONS(2049),
    [anon_sym_stat] = ACTIONS(2049),
    [anon_sym_study] = ACTIONS(2049),
    [anon_sym_tell] = ACTIONS(2049),
    [anon_sym_telldir] = ACTIONS(2049),
    [anon_sym_tied] = ACTIONS(2049),
    [anon_sym_uc] = ACTIONS(2049),
    [anon_sym_ucfirst] = ACTIONS(2049),
    [anon_sym_untie] = ACTIONS(2049),
    [anon_sym_umask] = ACTIONS(2049),
    [anon_sym_values] = ACTIONS(2049),
    [anon_sym_write] = ACTIONS(2049),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2049),
    [anon_sym_qq] = ACTIONS(2049),
    [anon_sym_qw] = ACTIONS(2049),
    [anon_sym_qx] = ACTIONS(2049),
    [anon_sym_qr] = ACTIONS(2049),
    [anon_sym_m] = ACTIONS(2049),
    [anon_sym_s] = ACTIONS(2049),
    [anon_sym_tr] = ACTIONS(2049),
    [anon_sym_y] = ACTIONS(2049),
    [aux_sym__bareword_token1] = ACTIONS(2049),
    [sym_number] = ACTIONS(2049),
    [anon_sym_true] = ACTIONS(2049),
    [anon_sym_false] = ACTIONS(2049),
    [sym__single_quote] = ACTIONS(2047),
    [sym__double_quote] = ACTIONS(2047),
    [sym__backtick_quote] = ACTIONS(2047),
    [sym__search_slash_quote] = ACTIONS(2047),
    [sym__open_readline_bracket] = ACTIONS(2047),
    [sym__open_fileglob_bracket] = ACTIONS(2047),
    [sym__PERLY_HEREDOC] = ACTIONS(2047),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2047),
    [sym__filetest] = ACTIONS(2047),
  },
  [1101] = {
    [sym_heredoc_content] = STATE(1101),
    [sym__identifier] = ACTIONS(2069),
    [anon_sym_LBRACE] = ACTIONS(2069),
    [anon_sym_DOLLAR] = ACTIONS(2069),
    [anon_sym_AT] = ACTIONS(2069),
    [anon_sym_RPAREN] = ACTIONS(2069),
    [anon_sym_my] = ACTIONS(2069),
    [anon_sym_extended] = ACTIONS(2069),
    [anon_sym_async] = ACTIONS(2069),
    [anon_sym_sub] = ACTIONS(2069),
    [anon_sym_method] = ACTIONS(2069),
    [anon_sym_LPAREN] = ACTIONS(2069),
    [anon_sym_continue] = ACTIONS(2069),
    [anon_sym_state] = ACTIONS(2069),
    [anon_sym_our] = ACTIONS(2069),
    [anon_sym_LBRACK] = ACTIONS(2069),
    [anon_sym_LT_LT] = ACTIONS(2069),
    [anon_sym_SLASH_SLASH] = ACTIONS(2069),
    [anon_sym_PLUS] = ACTIONS(2069),
    [anon_sym_DASH] = ACTIONS(2069),
    [anon_sym_TILDE] = ACTIONS(2069),
    [anon_sym_BANG] = ACTIONS(2069),
    [anon_sym_PLUS_PLUS] = ACTIONS(2069),
    [anon_sym_DASH_DASH] = ACTIONS(2069),
    [anon_sym_BSLASH] = ACTIONS(2067),
    [anon_sym_do] = ACTIONS(2069),
    [anon_sym_eval] = ACTIONS(2069),
    [anon_sym_await] = ACTIONS(2069),
    [anon_sym_field] = ACTIONS(2069),
    [anon_sym_local] = ACTIONS(2069),
    [anon_sym_dynamically] = ACTIONS(2069),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2069),
    [anon_sym_require] = ACTIONS(2069),
    [anon_sym_map] = ACTIONS(2069),
    [anon_sym_grep] = ACTIONS(2069),
    [anon_sym_sort] = ACTIONS(2069),
    [anon_sym_goto] = ACTIONS(2069),
    [anon_sym_return] = ACTIONS(2069),
    [anon_sym_undef] = ACTIONS(2069),
    [anon_sym_PERCENT2] = ACTIONS(2069),
    [anon_sym_AMP2] = ACTIONS(2069),
    [anon_sym_STAR2] = ACTIONS(2069),
    [anon_sym_last] = ACTIONS(2069),
    [anon_sym_next] = ACTIONS(2069),
    [anon_sym_redo] = ACTIONS(2069),
    [anon_sym___FILE__] = ACTIONS(2069),
    [anon_sym___LINE__] = ACTIONS(2069),
    [anon_sym___PACKAGE__] = ACTIONS(2069),
    [anon_sym___SUB__] = ACTIONS(2069),
    [anon_sym_break] = ACTIONS(2069),
    [anon_sym_fork] = ACTIONS(2069),
    [anon_sym_getppid] = ACTIONS(2069),
    [anon_sym_time] = ACTIONS(2069),
    [anon_sym_times] = ACTIONS(2069),
    [anon_sym_wait] = ACTIONS(2069),
    [anon_sym_wantarray] = ACTIONS(2069),
    [anon_sym_abs] = ACTIONS(2069),
    [anon_sym_alarm] = ACTIONS(2069),
    [anon_sym_chop] = ACTIONS(2069),
    [anon_sym_chdir] = ACTIONS(2069),
    [anon_sym_close] = ACTIONS(2069),
    [anon_sym_closedir] = ACTIONS(2069),
    [anon_sym_caller] = ACTIONS(2069),
    [anon_sym_chomp] = ACTIONS(2069),
    [anon_sym_chr] = ACTIONS(2069),
    [anon_sym_cos] = ACTIONS(2069),
    [anon_sym_chroot] = ACTIONS(2069),
    [anon_sym_defined] = ACTIONS(2069),
    [anon_sym_delete] = ACTIONS(2069),
    [anon_sym_dbmclose] = ACTIONS(2069),
    [anon_sym_exists] = ACTIONS(2069),
    [anon_sym_exit] = ACTIONS(2069),
    [anon_sym_eof] = ACTIONS(2069),
    [anon_sym_exp] = ACTIONS(2069),
    [anon_sym_each] = ACTIONS(2069),
    [anon_sym_fc] = ACTIONS(2069),
    [anon_sym_fileno] = ACTIONS(2069),
    [anon_sym_gmtime] = ACTIONS(2069),
    [anon_sym_getc] = ACTIONS(2069),
    [anon_sym_getpgrp] = ACTIONS(2069),
    [anon_sym_getprotobyname] = ACTIONS(2069),
    [anon_sym_getpwname] = ACTIONS(2069),
    [anon_sym_getpwuid] = ACTIONS(2069),
    [anon_sym_getpeername] = ACTIONS(2069),
    [anon_sym_getnetbyname] = ACTIONS(2069),
    [anon_sym_getsockname] = ACTIONS(2069),
    [anon_sym_getgrnam] = ACTIONS(2069),
    [anon_sym_getgrgid] = ACTIONS(2069),
    [anon_sym_hex] = ACTIONS(2069),
    [anon_sym_int] = ACTIONS(2069),
    [anon_sym_keys] = ACTIONS(2069),
    [anon_sym_lc] = ACTIONS(2069),
    [anon_sym_lcfirst] = ACTIONS(2069),
    [anon_sym_length] = ACTIONS(2069),
    [anon_sym_localtime] = ACTIONS(2069),
    [anon_sym_log] = ACTIONS(2069),
    [anon_sym_lock] = ACTIONS(2069),
    [anon_sym_lstat] = ACTIONS(2069),
    [anon_sym_oct] = ACTIONS(2069),
    [anon_sym_ord] = ACTIONS(2069),
    [anon_sym_prototype] = ACTIONS(2069),
    [anon_sym_pop] = ACTIONS(2069),
    [anon_sym_pos] = ACTIONS(2069),
    [anon_sym_quotemeta] = ACTIONS(2069),
    [anon_sym_reset] = ACTIONS(2069),
    [anon_sym_rand] = ACTIONS(2069),
    [anon_sym_rmdir] = ACTIONS(2069),
    [anon_sym_readdir] = ACTIONS(2069),
    [anon_sym_readline] = ACTIONS(2069),
    [anon_sym_readpipe] = ACTIONS(2069),
    [anon_sym_rewinddir] = ACTIONS(2069),
    [anon_sym_readlink] = ACTIONS(2069),
    [anon_sym_ref] = ACTIONS(2069),
    [anon_sym_scalar] = ACTIONS(2069),
    [anon_sym_shift] = ACTIONS(2069),
    [anon_sym_sin] = ACTIONS(2069),
    [anon_sym_sleep] = ACTIONS(2069),
    [anon_sym_sqrt] = ACTIONS(2069),
    [anon_sym_srand] = ACTIONS(2069),
    [anon_sym_stat] = ACTIONS(2069),
    [anon_sym_study] = ACTIONS(2069),
    [anon_sym_tell] = ACTIONS(2069),
    [anon_sym_telldir] = ACTIONS(2069),
    [anon_sym_tied] = ACTIONS(2069),
    [anon_sym_uc] = ACTIONS(2069),
    [anon_sym_ucfirst] = ACTIONS(2069),
    [anon_sym_untie] = ACTIONS(2069),
    [anon_sym_umask] = ACTIONS(2069),
    [anon_sym_values] = ACTIONS(2069),
    [anon_sym_write] = ACTIONS(2069),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2069),
    [anon_sym_qq] = ACTIONS(2069),
    [anon_sym_qw] = ACTIONS(2069),
    [anon_sym_qx] = ACTIONS(2069),
    [anon_sym_qr] = ACTIONS(2069),
    [anon_sym_m] = ACTIONS(2069),
    [anon_sym_s] = ACTIONS(2069),
    [anon_sym_tr] = ACTIONS(2069),
    [anon_sym_y] = ACTIONS(2069),
    [aux_sym__bareword_token1] = ACTIONS(2069),
    [sym_number] = ACTIONS(2069),
    [anon_sym_true] = ACTIONS(2069),
    [anon_sym_false] = ACTIONS(2069),
    [sym__single_quote] = ACTIONS(2067),
    [sym__double_quote] = ACTIONS(2067),
    [sym__backtick_quote] = ACTIONS(2067),
    [sym__search_slash_quote] = ACTIONS(2067),
    [sym__open_readline_bracket] = ACTIONS(2067),
    [sym__open_fileglob_bracket] = ACTIONS(2067),
    [sym__PERLY_HEREDOC] = ACTIONS(2067),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2067),
    [sym__filetest] = ACTIONS(2067),
  },
  [1102] = {
    [sym_heredoc_content] = STATE(1102),
    [sym__identifier] = ACTIONS(2081),
    [anon_sym_LBRACE] = ACTIONS(2081),
    [anon_sym_DOLLAR] = ACTIONS(2081),
    [anon_sym_AT] = ACTIONS(2081),
    [anon_sym_RPAREN] = ACTIONS(2081),
    [anon_sym_my] = ACTIONS(2081),
    [anon_sym_extended] = ACTIONS(2081),
    [anon_sym_async] = ACTIONS(2081),
    [anon_sym_sub] = ACTIONS(2081),
    [anon_sym_method] = ACTIONS(2081),
    [anon_sym_LPAREN] = ACTIONS(2081),
    [anon_sym_continue] = ACTIONS(2081),
    [anon_sym_state] = ACTIONS(2081),
    [anon_sym_our] = ACTIONS(2081),
    [anon_sym_LBRACK] = ACTIONS(2081),
    [anon_sym_LT_LT] = ACTIONS(2081),
    [anon_sym_SLASH_SLASH] = ACTIONS(2081),
    [anon_sym_PLUS] = ACTIONS(2081),
    [anon_sym_DASH] = ACTIONS(2081),
    [anon_sym_TILDE] = ACTIONS(2081),
    [anon_sym_BANG] = ACTIONS(2081),
    [anon_sym_PLUS_PLUS] = ACTIONS(2081),
    [anon_sym_DASH_DASH] = ACTIONS(2081),
    [anon_sym_BSLASH] = ACTIONS(2079),
    [anon_sym_do] = ACTIONS(2081),
    [anon_sym_eval] = ACTIONS(2081),
    [anon_sym_await] = ACTIONS(2081),
    [anon_sym_field] = ACTIONS(2081),
    [anon_sym_local] = ACTIONS(2081),
    [anon_sym_dynamically] = ACTIONS(2081),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2081),
    [anon_sym_require] = ACTIONS(2081),
    [anon_sym_map] = ACTIONS(2081),
    [anon_sym_grep] = ACTIONS(2081),
    [anon_sym_sort] = ACTIONS(2081),
    [anon_sym_goto] = ACTIONS(2081),
    [anon_sym_return] = ACTIONS(2081),
    [anon_sym_undef] = ACTIONS(2081),
    [anon_sym_PERCENT2] = ACTIONS(2081),
    [anon_sym_AMP2] = ACTIONS(2081),
    [anon_sym_STAR2] = ACTIONS(2081),
    [anon_sym_last] = ACTIONS(2081),
    [anon_sym_next] = ACTIONS(2081),
    [anon_sym_redo] = ACTIONS(2081),
    [anon_sym___FILE__] = ACTIONS(2081),
    [anon_sym___LINE__] = ACTIONS(2081),
    [anon_sym___PACKAGE__] = ACTIONS(2081),
    [anon_sym___SUB__] = ACTIONS(2081),
    [anon_sym_break] = ACTIONS(2081),
    [anon_sym_fork] = ACTIONS(2081),
    [anon_sym_getppid] = ACTIONS(2081),
    [anon_sym_time] = ACTIONS(2081),
    [anon_sym_times] = ACTIONS(2081),
    [anon_sym_wait] = ACTIONS(2081),
    [anon_sym_wantarray] = ACTIONS(2081),
    [anon_sym_abs] = ACTIONS(2081),
    [anon_sym_alarm] = ACTIONS(2081),
    [anon_sym_chop] = ACTIONS(2081),
    [anon_sym_chdir] = ACTIONS(2081),
    [anon_sym_close] = ACTIONS(2081),
    [anon_sym_closedir] = ACTIONS(2081),
    [anon_sym_caller] = ACTIONS(2081),
    [anon_sym_chomp] = ACTIONS(2081),
    [anon_sym_chr] = ACTIONS(2081),
    [anon_sym_cos] = ACTIONS(2081),
    [anon_sym_chroot] = ACTIONS(2081),
    [anon_sym_defined] = ACTIONS(2081),
    [anon_sym_delete] = ACTIONS(2081),
    [anon_sym_dbmclose] = ACTIONS(2081),
    [anon_sym_exists] = ACTIONS(2081),
    [anon_sym_exit] = ACTIONS(2081),
    [anon_sym_eof] = ACTIONS(2081),
    [anon_sym_exp] = ACTIONS(2081),
    [anon_sym_each] = ACTIONS(2081),
    [anon_sym_fc] = ACTIONS(2081),
    [anon_sym_fileno] = ACTIONS(2081),
    [anon_sym_gmtime] = ACTIONS(2081),
    [anon_sym_getc] = ACTIONS(2081),
    [anon_sym_getpgrp] = ACTIONS(2081),
    [anon_sym_getprotobyname] = ACTIONS(2081),
    [anon_sym_getpwname] = ACTIONS(2081),
    [anon_sym_getpwuid] = ACTIONS(2081),
    [anon_sym_getpeername] = ACTIONS(2081),
    [anon_sym_getnetbyname] = ACTIONS(2081),
    [anon_sym_getsockname] = ACTIONS(2081),
    [anon_sym_getgrnam] = ACTIONS(2081),
    [anon_sym_getgrgid] = ACTIONS(2081),
    [anon_sym_hex] = ACTIONS(2081),
    [anon_sym_int] = ACTIONS(2081),
    [anon_sym_keys] = ACTIONS(2081),
    [anon_sym_lc] = ACTIONS(2081),
    [anon_sym_lcfirst] = ACTIONS(2081),
    [anon_sym_length] = ACTIONS(2081),
    [anon_sym_localtime] = ACTIONS(2081),
    [anon_sym_log] = ACTIONS(2081),
    [anon_sym_lock] = ACTIONS(2081),
    [anon_sym_lstat] = ACTIONS(2081),
    [anon_sym_oct] = ACTIONS(2081),
    [anon_sym_ord] = ACTIONS(2081),
    [anon_sym_prototype] = ACTIONS(2081),
    [anon_sym_pop] = ACTIONS(2081),
    [anon_sym_pos] = ACTIONS(2081),
    [anon_sym_quotemeta] = ACTIONS(2081),
    [anon_sym_reset] = ACTIONS(2081),
    [anon_sym_rand] = ACTIONS(2081),
    [anon_sym_rmdir] = ACTIONS(2081),
    [anon_sym_readdir] = ACTIONS(2081),
    [anon_sym_readline] = ACTIONS(2081),
    [anon_sym_readpipe] = ACTIONS(2081),
    [anon_sym_rewinddir] = ACTIONS(2081),
    [anon_sym_readlink] = ACTIONS(2081),
    [anon_sym_ref] = ACTIONS(2081),
    [anon_sym_scalar] = ACTIONS(2081),
    [anon_sym_shift] = ACTIONS(2081),
    [anon_sym_sin] = ACTIONS(2081),
    [anon_sym_sleep] = ACTIONS(2081),
    [anon_sym_sqrt] = ACTIONS(2081),
    [anon_sym_srand] = ACTIONS(2081),
    [anon_sym_stat] = ACTIONS(2081),
    [anon_sym_study] = ACTIONS(2081),
    [anon_sym_tell] = ACTIONS(2081),
    [anon_sym_telldir] = ACTIONS(2081),
    [anon_sym_tied] = ACTIONS(2081),
    [anon_sym_uc] = ACTIONS(2081),
    [anon_sym_ucfirst] = ACTIONS(2081),
    [anon_sym_untie] = ACTIONS(2081),
    [anon_sym_umask] = ACTIONS(2081),
    [anon_sym_values] = ACTIONS(2081),
    [anon_sym_write] = ACTIONS(2081),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2081),
    [anon_sym_qq] = ACTIONS(2081),
    [anon_sym_qw] = ACTIONS(2081),
    [anon_sym_qx] = ACTIONS(2081),
    [anon_sym_qr] = ACTIONS(2081),
    [anon_sym_m] = ACTIONS(2081),
    [anon_sym_s] = ACTIONS(2081),
    [anon_sym_tr] = ACTIONS(2081),
    [anon_sym_y] = ACTIONS(2081),
    [aux_sym__bareword_token1] = ACTIONS(2081),
    [sym_number] = ACTIONS(2081),
    [anon_sym_true] = ACTIONS(2081),
    [anon_sym_false] = ACTIONS(2081),
    [sym__single_quote] = ACTIONS(2079),
    [sym__double_quote] = ACTIONS(2079),
    [sym__backtick_quote] = ACTIONS(2079),
    [sym__search_slash_quote] = ACTIONS(2079),
    [sym__open_readline_bracket] = ACTIONS(2079),
    [sym__open_fileglob_bracket] = ACTIONS(2079),
    [sym__PERLY_HEREDOC] = ACTIONS(2079),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2079),
    [sym__filetest] = ACTIONS(2079),
  },
  [1103] = {
    [sym_heredoc_content] = STATE(1103),
    [sym__identifier] = ACTIONS(2117),
    [anon_sym_LBRACE] = ACTIONS(2117),
    [anon_sym_DOLLAR] = ACTIONS(2117),
    [anon_sym_AT] = ACTIONS(2117),
    [anon_sym_RPAREN] = ACTIONS(2117),
    [anon_sym_my] = ACTIONS(2117),
    [anon_sym_extended] = ACTIONS(2117),
    [anon_sym_async] = ACTIONS(2117),
    [anon_sym_sub] = ACTIONS(2117),
    [anon_sym_method] = ACTIONS(2117),
    [anon_sym_LPAREN] = ACTIONS(2117),
    [anon_sym_continue] = ACTIONS(2117),
    [anon_sym_state] = ACTIONS(2117),
    [anon_sym_our] = ACTIONS(2117),
    [anon_sym_LBRACK] = ACTIONS(2117),
    [anon_sym_LT_LT] = ACTIONS(2117),
    [anon_sym_SLASH_SLASH] = ACTIONS(2117),
    [anon_sym_PLUS] = ACTIONS(2117),
    [anon_sym_DASH] = ACTIONS(2117),
    [anon_sym_TILDE] = ACTIONS(2117),
    [anon_sym_BANG] = ACTIONS(2117),
    [anon_sym_PLUS_PLUS] = ACTIONS(2117),
    [anon_sym_DASH_DASH] = ACTIONS(2117),
    [anon_sym_BSLASH] = ACTIONS(2115),
    [anon_sym_do] = ACTIONS(2117),
    [anon_sym_eval] = ACTIONS(2117),
    [anon_sym_await] = ACTIONS(2117),
    [anon_sym_field] = ACTIONS(2117),
    [anon_sym_local] = ACTIONS(2117),
    [anon_sym_dynamically] = ACTIONS(2117),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2117),
    [anon_sym_require] = ACTIONS(2117),
    [anon_sym_map] = ACTIONS(2117),
    [anon_sym_grep] = ACTIONS(2117),
    [anon_sym_sort] = ACTIONS(2117),
    [anon_sym_goto] = ACTIONS(2117),
    [anon_sym_return] = ACTIONS(2117),
    [anon_sym_undef] = ACTIONS(2117),
    [anon_sym_PERCENT2] = ACTIONS(2117),
    [anon_sym_AMP2] = ACTIONS(2117),
    [anon_sym_STAR2] = ACTIONS(2117),
    [anon_sym_last] = ACTIONS(2117),
    [anon_sym_next] = ACTIONS(2117),
    [anon_sym_redo] = ACTIONS(2117),
    [anon_sym___FILE__] = ACTIONS(2117),
    [anon_sym___LINE__] = ACTIONS(2117),
    [anon_sym___PACKAGE__] = ACTIONS(2117),
    [anon_sym___SUB__] = ACTIONS(2117),
    [anon_sym_break] = ACTIONS(2117),
    [anon_sym_fork] = ACTIONS(2117),
    [anon_sym_getppid] = ACTIONS(2117),
    [anon_sym_time] = ACTIONS(2117),
    [anon_sym_times] = ACTIONS(2117),
    [anon_sym_wait] = ACTIONS(2117),
    [anon_sym_wantarray] = ACTIONS(2117),
    [anon_sym_abs] = ACTIONS(2117),
    [anon_sym_alarm] = ACTIONS(2117),
    [anon_sym_chop] = ACTIONS(2117),
    [anon_sym_chdir] = ACTIONS(2117),
    [anon_sym_close] = ACTIONS(2117),
    [anon_sym_closedir] = ACTIONS(2117),
    [anon_sym_caller] = ACTIONS(2117),
    [anon_sym_chomp] = ACTIONS(2117),
    [anon_sym_chr] = ACTIONS(2117),
    [anon_sym_cos] = ACTIONS(2117),
    [anon_sym_chroot] = ACTIONS(2117),
    [anon_sym_defined] = ACTIONS(2117),
    [anon_sym_delete] = ACTIONS(2117),
    [anon_sym_dbmclose] = ACTIONS(2117),
    [anon_sym_exists] = ACTIONS(2117),
    [anon_sym_exit] = ACTIONS(2117),
    [anon_sym_eof] = ACTIONS(2117),
    [anon_sym_exp] = ACTIONS(2117),
    [anon_sym_each] = ACTIONS(2117),
    [anon_sym_fc] = ACTIONS(2117),
    [anon_sym_fileno] = ACTIONS(2117),
    [anon_sym_gmtime] = ACTIONS(2117),
    [anon_sym_getc] = ACTIONS(2117),
    [anon_sym_getpgrp] = ACTIONS(2117),
    [anon_sym_getprotobyname] = ACTIONS(2117),
    [anon_sym_getpwname] = ACTIONS(2117),
    [anon_sym_getpwuid] = ACTIONS(2117),
    [anon_sym_getpeername] = ACTIONS(2117),
    [anon_sym_getnetbyname] = ACTIONS(2117),
    [anon_sym_getsockname] = ACTIONS(2117),
    [anon_sym_getgrnam] = ACTIONS(2117),
    [anon_sym_getgrgid] = ACTIONS(2117),
    [anon_sym_hex] = ACTIONS(2117),
    [anon_sym_int] = ACTIONS(2117),
    [anon_sym_keys] = ACTIONS(2117),
    [anon_sym_lc] = ACTIONS(2117),
    [anon_sym_lcfirst] = ACTIONS(2117),
    [anon_sym_length] = ACTIONS(2117),
    [anon_sym_localtime] = ACTIONS(2117),
    [anon_sym_log] = ACTIONS(2117),
    [anon_sym_lock] = ACTIONS(2117),
    [anon_sym_lstat] = ACTIONS(2117),
    [anon_sym_oct] = ACTIONS(2117),
    [anon_sym_ord] = ACTIONS(2117),
    [anon_sym_prototype] = ACTIONS(2117),
    [anon_sym_pop] = ACTIONS(2117),
    [anon_sym_pos] = ACTIONS(2117),
    [anon_sym_quotemeta] = ACTIONS(2117),
    [anon_sym_reset] = ACTIONS(2117),
    [anon_sym_rand] = ACTIONS(2117),
    [anon_sym_rmdir] = ACTIONS(2117),
    [anon_sym_readdir] = ACTIONS(2117),
    [anon_sym_readline] = ACTIONS(2117),
    [anon_sym_readpipe] = ACTIONS(2117),
    [anon_sym_rewinddir] = ACTIONS(2117),
    [anon_sym_readlink] = ACTIONS(2117),
    [anon_sym_ref] = ACTIONS(2117),
    [anon_sym_scalar] = ACTIONS(2117),
    [anon_sym_shift] = ACTIONS(2117),
    [anon_sym_sin] = ACTIONS(2117),
    [anon_sym_sleep] = ACTIONS(2117),
    [anon_sym_sqrt] = ACTIONS(2117),
    [anon_sym_srand] = ACTIONS(2117),
    [anon_sym_stat] = ACTIONS(2117),
    [anon_sym_study] = ACTIONS(2117),
    [anon_sym_tell] = ACTIONS(2117),
    [anon_sym_telldir] = ACTIONS(2117),
    [anon_sym_tied] = ACTIONS(2117),
    [anon_sym_uc] = ACTIONS(2117),
    [anon_sym_ucfirst] = ACTIONS(2117),
    [anon_sym_untie] = ACTIONS(2117),
    [anon_sym_umask] = ACTIONS(2117),
    [anon_sym_values] = ACTIONS(2117),
    [anon_sym_write] = ACTIONS(2117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2117),
    [anon_sym_qq] = ACTIONS(2117),
    [anon_sym_qw] = ACTIONS(2117),
    [anon_sym_qx] = ACTIONS(2117),
    [anon_sym_qr] = ACTIONS(2117),
    [anon_sym_m] = ACTIONS(2117),
    [anon_sym_s] = ACTIONS(2117),
    [anon_sym_tr] = ACTIONS(2117),
    [anon_sym_y] = ACTIONS(2117),
    [aux_sym__bareword_token1] = ACTIONS(2117),
    [sym_number] = ACTIONS(2117),
    [anon_sym_true] = ACTIONS(2117),
    [anon_sym_false] = ACTIONS(2117),
    [sym__single_quote] = ACTIONS(2115),
    [sym__double_quote] = ACTIONS(2115),
    [sym__backtick_quote] = ACTIONS(2115),
    [sym__search_slash_quote] = ACTIONS(2115),
    [sym__open_readline_bracket] = ACTIONS(2115),
    [sym__open_fileglob_bracket] = ACTIONS(2115),
    [sym__PERLY_HEREDOC] = ACTIONS(2115),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2115),
    [sym__filetest] = ACTIONS(2115),
  },
  [1104] = {
    [sym_heredoc_content] = STATE(1104),
    [sym__identifier] = ACTIONS(2121),
    [anon_sym_LBRACE] = ACTIONS(2121),
    [anon_sym_DOLLAR] = ACTIONS(2121),
    [anon_sym_AT] = ACTIONS(2121),
    [anon_sym_RPAREN] = ACTIONS(2121),
    [anon_sym_my] = ACTIONS(2121),
    [anon_sym_extended] = ACTIONS(2121),
    [anon_sym_async] = ACTIONS(2121),
    [anon_sym_sub] = ACTIONS(2121),
    [anon_sym_method] = ACTIONS(2121),
    [anon_sym_LPAREN] = ACTIONS(2121),
    [anon_sym_continue] = ACTIONS(2121),
    [anon_sym_state] = ACTIONS(2121),
    [anon_sym_our] = ACTIONS(2121),
    [anon_sym_LBRACK] = ACTIONS(2121),
    [anon_sym_LT_LT] = ACTIONS(2121),
    [anon_sym_SLASH_SLASH] = ACTIONS(2121),
    [anon_sym_PLUS] = ACTIONS(2121),
    [anon_sym_DASH] = ACTIONS(2121),
    [anon_sym_TILDE] = ACTIONS(2121),
    [anon_sym_BANG] = ACTIONS(2121),
    [anon_sym_PLUS_PLUS] = ACTIONS(2121),
    [anon_sym_DASH_DASH] = ACTIONS(2121),
    [anon_sym_BSLASH] = ACTIONS(2119),
    [anon_sym_do] = ACTIONS(2121),
    [anon_sym_eval] = ACTIONS(2121),
    [anon_sym_await] = ACTIONS(2121),
    [anon_sym_field] = ACTIONS(2121),
    [anon_sym_local] = ACTIONS(2121),
    [anon_sym_dynamically] = ACTIONS(2121),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2121),
    [anon_sym_require] = ACTIONS(2121),
    [anon_sym_map] = ACTIONS(2121),
    [anon_sym_grep] = ACTIONS(2121),
    [anon_sym_sort] = ACTIONS(2121),
    [anon_sym_goto] = ACTIONS(2121),
    [anon_sym_return] = ACTIONS(2121),
    [anon_sym_undef] = ACTIONS(2121),
    [anon_sym_PERCENT2] = ACTIONS(2121),
    [anon_sym_AMP2] = ACTIONS(2121),
    [anon_sym_STAR2] = ACTIONS(2121),
    [anon_sym_last] = ACTIONS(2121),
    [anon_sym_next] = ACTIONS(2121),
    [anon_sym_redo] = ACTIONS(2121),
    [anon_sym___FILE__] = ACTIONS(2121),
    [anon_sym___LINE__] = ACTIONS(2121),
    [anon_sym___PACKAGE__] = ACTIONS(2121),
    [anon_sym___SUB__] = ACTIONS(2121),
    [anon_sym_break] = ACTIONS(2121),
    [anon_sym_fork] = ACTIONS(2121),
    [anon_sym_getppid] = ACTIONS(2121),
    [anon_sym_time] = ACTIONS(2121),
    [anon_sym_times] = ACTIONS(2121),
    [anon_sym_wait] = ACTIONS(2121),
    [anon_sym_wantarray] = ACTIONS(2121),
    [anon_sym_abs] = ACTIONS(2121),
    [anon_sym_alarm] = ACTIONS(2121),
    [anon_sym_chop] = ACTIONS(2121),
    [anon_sym_chdir] = ACTIONS(2121),
    [anon_sym_close] = ACTIONS(2121),
    [anon_sym_closedir] = ACTIONS(2121),
    [anon_sym_caller] = ACTIONS(2121),
    [anon_sym_chomp] = ACTIONS(2121),
    [anon_sym_chr] = ACTIONS(2121),
    [anon_sym_cos] = ACTIONS(2121),
    [anon_sym_chroot] = ACTIONS(2121),
    [anon_sym_defined] = ACTIONS(2121),
    [anon_sym_delete] = ACTIONS(2121),
    [anon_sym_dbmclose] = ACTIONS(2121),
    [anon_sym_exists] = ACTIONS(2121),
    [anon_sym_exit] = ACTIONS(2121),
    [anon_sym_eof] = ACTIONS(2121),
    [anon_sym_exp] = ACTIONS(2121),
    [anon_sym_each] = ACTIONS(2121),
    [anon_sym_fc] = ACTIONS(2121),
    [anon_sym_fileno] = ACTIONS(2121),
    [anon_sym_gmtime] = ACTIONS(2121),
    [anon_sym_getc] = ACTIONS(2121),
    [anon_sym_getpgrp] = ACTIONS(2121),
    [anon_sym_getprotobyname] = ACTIONS(2121),
    [anon_sym_getpwname] = ACTIONS(2121),
    [anon_sym_getpwuid] = ACTIONS(2121),
    [anon_sym_getpeername] = ACTIONS(2121),
    [anon_sym_getnetbyname] = ACTIONS(2121),
    [anon_sym_getsockname] = ACTIONS(2121),
    [anon_sym_getgrnam] = ACTIONS(2121),
    [anon_sym_getgrgid] = ACTIONS(2121),
    [anon_sym_hex] = ACTIONS(2121),
    [anon_sym_int] = ACTIONS(2121),
    [anon_sym_keys] = ACTIONS(2121),
    [anon_sym_lc] = ACTIONS(2121),
    [anon_sym_lcfirst] = ACTIONS(2121),
    [anon_sym_length] = ACTIONS(2121),
    [anon_sym_localtime] = ACTIONS(2121),
    [anon_sym_log] = ACTIONS(2121),
    [anon_sym_lock] = ACTIONS(2121),
    [anon_sym_lstat] = ACTIONS(2121),
    [anon_sym_oct] = ACTIONS(2121),
    [anon_sym_ord] = ACTIONS(2121),
    [anon_sym_prototype] = ACTIONS(2121),
    [anon_sym_pop] = ACTIONS(2121),
    [anon_sym_pos] = ACTIONS(2121),
    [anon_sym_quotemeta] = ACTIONS(2121),
    [anon_sym_reset] = ACTIONS(2121),
    [anon_sym_rand] = ACTIONS(2121),
    [anon_sym_rmdir] = ACTIONS(2121),
    [anon_sym_readdir] = ACTIONS(2121),
    [anon_sym_readline] = ACTIONS(2121),
    [anon_sym_readpipe] = ACTIONS(2121),
    [anon_sym_rewinddir] = ACTIONS(2121),
    [anon_sym_readlink] = ACTIONS(2121),
    [anon_sym_ref] = ACTIONS(2121),
    [anon_sym_scalar] = ACTIONS(2121),
    [anon_sym_shift] = ACTIONS(2121),
    [anon_sym_sin] = ACTIONS(2121),
    [anon_sym_sleep] = ACTIONS(2121),
    [anon_sym_sqrt] = ACTIONS(2121),
    [anon_sym_srand] = ACTIONS(2121),
    [anon_sym_stat] = ACTIONS(2121),
    [anon_sym_study] = ACTIONS(2121),
    [anon_sym_tell] = ACTIONS(2121),
    [anon_sym_telldir] = ACTIONS(2121),
    [anon_sym_tied] = ACTIONS(2121),
    [anon_sym_uc] = ACTIONS(2121),
    [anon_sym_ucfirst] = ACTIONS(2121),
    [anon_sym_untie] = ACTIONS(2121),
    [anon_sym_umask] = ACTIONS(2121),
    [anon_sym_values] = ACTIONS(2121),
    [anon_sym_write] = ACTIONS(2121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2121),
    [anon_sym_qq] = ACTIONS(2121),
    [anon_sym_qw] = ACTIONS(2121),
    [anon_sym_qx] = ACTIONS(2121),
    [anon_sym_qr] = ACTIONS(2121),
    [anon_sym_m] = ACTIONS(2121),
    [anon_sym_s] = ACTIONS(2121),
    [anon_sym_tr] = ACTIONS(2121),
    [anon_sym_y] = ACTIONS(2121),
    [aux_sym__bareword_token1] = ACTIONS(2121),
    [sym_number] = ACTIONS(2121),
    [anon_sym_true] = ACTIONS(2121),
    [anon_sym_false] = ACTIONS(2121),
    [sym__single_quote] = ACTIONS(2119),
    [sym__double_quote] = ACTIONS(2119),
    [sym__backtick_quote] = ACTIONS(2119),
    [sym__search_slash_quote] = ACTIONS(2119),
    [sym__open_readline_bracket] = ACTIONS(2119),
    [sym__open_fileglob_bracket] = ACTIONS(2119),
    [sym__PERLY_HEREDOC] = ACTIONS(2119),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2119),
    [sym__filetest] = ACTIONS(2119),
  },
  [1105] = {
    [sym_heredoc_content] = STATE(1105),
    [sym__identifier] = ACTIONS(2013),
    [anon_sym_LBRACE] = ACTIONS(2013),
    [anon_sym_DOLLAR] = ACTIONS(2013),
    [anon_sym_AT] = ACTIONS(2013),
    [anon_sym_RPAREN] = ACTIONS(2013),
    [anon_sym_my] = ACTIONS(2013),
    [anon_sym_extended] = ACTIONS(2013),
    [anon_sym_async] = ACTIONS(2013),
    [anon_sym_sub] = ACTIONS(2013),
    [anon_sym_method] = ACTIONS(2013),
    [anon_sym_LPAREN] = ACTIONS(2013),
    [anon_sym_continue] = ACTIONS(2013),
    [anon_sym_state] = ACTIONS(2013),
    [anon_sym_our] = ACTIONS(2013),
    [anon_sym_LBRACK] = ACTIONS(2013),
    [anon_sym_LT_LT] = ACTIONS(2013),
    [anon_sym_SLASH_SLASH] = ACTIONS(2013),
    [anon_sym_PLUS] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2013),
    [anon_sym_TILDE] = ACTIONS(2013),
    [anon_sym_BANG] = ACTIONS(2013),
    [anon_sym_PLUS_PLUS] = ACTIONS(2013),
    [anon_sym_DASH_DASH] = ACTIONS(2013),
    [anon_sym_BSLASH] = ACTIONS(2011),
    [anon_sym_do] = ACTIONS(2013),
    [anon_sym_eval] = ACTIONS(2013),
    [anon_sym_await] = ACTIONS(2013),
    [anon_sym_field] = ACTIONS(2013),
    [anon_sym_local] = ACTIONS(2013),
    [anon_sym_dynamically] = ACTIONS(2013),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2013),
    [anon_sym_require] = ACTIONS(2013),
    [anon_sym_map] = ACTIONS(2013),
    [anon_sym_grep] = ACTIONS(2013),
    [anon_sym_sort] = ACTIONS(2013),
    [anon_sym_goto] = ACTIONS(2013),
    [anon_sym_return] = ACTIONS(2013),
    [anon_sym_undef] = ACTIONS(2013),
    [anon_sym_PERCENT2] = ACTIONS(2013),
    [anon_sym_AMP2] = ACTIONS(2013),
    [anon_sym_STAR2] = ACTIONS(2013),
    [anon_sym_last] = ACTIONS(2013),
    [anon_sym_next] = ACTIONS(2013),
    [anon_sym_redo] = ACTIONS(2013),
    [anon_sym___FILE__] = ACTIONS(2013),
    [anon_sym___LINE__] = ACTIONS(2013),
    [anon_sym___PACKAGE__] = ACTIONS(2013),
    [anon_sym___SUB__] = ACTIONS(2013),
    [anon_sym_break] = ACTIONS(2013),
    [anon_sym_fork] = ACTIONS(2013),
    [anon_sym_getppid] = ACTIONS(2013),
    [anon_sym_time] = ACTIONS(2013),
    [anon_sym_times] = ACTIONS(2013),
    [anon_sym_wait] = ACTIONS(2013),
    [anon_sym_wantarray] = ACTIONS(2013),
    [anon_sym_abs] = ACTIONS(2013),
    [anon_sym_alarm] = ACTIONS(2013),
    [anon_sym_chop] = ACTIONS(2013),
    [anon_sym_chdir] = ACTIONS(2013),
    [anon_sym_close] = ACTIONS(2013),
    [anon_sym_closedir] = ACTIONS(2013),
    [anon_sym_caller] = ACTIONS(2013),
    [anon_sym_chomp] = ACTIONS(2013),
    [anon_sym_chr] = ACTIONS(2013),
    [anon_sym_cos] = ACTIONS(2013),
    [anon_sym_chroot] = ACTIONS(2013),
    [anon_sym_defined] = ACTIONS(2013),
    [anon_sym_delete] = ACTIONS(2013),
    [anon_sym_dbmclose] = ACTIONS(2013),
    [anon_sym_exists] = ACTIONS(2013),
    [anon_sym_exit] = ACTIONS(2013),
    [anon_sym_eof] = ACTIONS(2013),
    [anon_sym_exp] = ACTIONS(2013),
    [anon_sym_each] = ACTIONS(2013),
    [anon_sym_fc] = ACTIONS(2013),
    [anon_sym_fileno] = ACTIONS(2013),
    [anon_sym_gmtime] = ACTIONS(2013),
    [anon_sym_getc] = ACTIONS(2013),
    [anon_sym_getpgrp] = ACTIONS(2013),
    [anon_sym_getprotobyname] = ACTIONS(2013),
    [anon_sym_getpwname] = ACTIONS(2013),
    [anon_sym_getpwuid] = ACTIONS(2013),
    [anon_sym_getpeername] = ACTIONS(2013),
    [anon_sym_getnetbyname] = ACTIONS(2013),
    [anon_sym_getsockname] = ACTIONS(2013),
    [anon_sym_getgrnam] = ACTIONS(2013),
    [anon_sym_getgrgid] = ACTIONS(2013),
    [anon_sym_hex] = ACTIONS(2013),
    [anon_sym_int] = ACTIONS(2013),
    [anon_sym_keys] = ACTIONS(2013),
    [anon_sym_lc] = ACTIONS(2013),
    [anon_sym_lcfirst] = ACTIONS(2013),
    [anon_sym_length] = ACTIONS(2013),
    [anon_sym_localtime] = ACTIONS(2013),
    [anon_sym_log] = ACTIONS(2013),
    [anon_sym_lock] = ACTIONS(2013),
    [anon_sym_lstat] = ACTIONS(2013),
    [anon_sym_oct] = ACTIONS(2013),
    [anon_sym_ord] = ACTIONS(2013),
    [anon_sym_prototype] = ACTIONS(2013),
    [anon_sym_pop] = ACTIONS(2013),
    [anon_sym_pos] = ACTIONS(2013),
    [anon_sym_quotemeta] = ACTIONS(2013),
    [anon_sym_reset] = ACTIONS(2013),
    [anon_sym_rand] = ACTIONS(2013),
    [anon_sym_rmdir] = ACTIONS(2013),
    [anon_sym_readdir] = ACTIONS(2013),
    [anon_sym_readline] = ACTIONS(2013),
    [anon_sym_readpipe] = ACTIONS(2013),
    [anon_sym_rewinddir] = ACTIONS(2013),
    [anon_sym_readlink] = ACTIONS(2013),
    [anon_sym_ref] = ACTIONS(2013),
    [anon_sym_scalar] = ACTIONS(2013),
    [anon_sym_shift] = ACTIONS(2013),
    [anon_sym_sin] = ACTIONS(2013),
    [anon_sym_sleep] = ACTIONS(2013),
    [anon_sym_sqrt] = ACTIONS(2013),
    [anon_sym_srand] = ACTIONS(2013),
    [anon_sym_stat] = ACTIONS(2013),
    [anon_sym_study] = ACTIONS(2013),
    [anon_sym_tell] = ACTIONS(2013),
    [anon_sym_telldir] = ACTIONS(2013),
    [anon_sym_tied] = ACTIONS(2013),
    [anon_sym_uc] = ACTIONS(2013),
    [anon_sym_ucfirst] = ACTIONS(2013),
    [anon_sym_untie] = ACTIONS(2013),
    [anon_sym_umask] = ACTIONS(2013),
    [anon_sym_values] = ACTIONS(2013),
    [anon_sym_write] = ACTIONS(2013),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2013),
    [anon_sym_qq] = ACTIONS(2013),
    [anon_sym_qw] = ACTIONS(2013),
    [anon_sym_qx] = ACTIONS(2013),
    [anon_sym_qr] = ACTIONS(2013),
    [anon_sym_m] = ACTIONS(2013),
    [anon_sym_s] = ACTIONS(2013),
    [anon_sym_tr] = ACTIONS(2013),
    [anon_sym_y] = ACTIONS(2013),
    [aux_sym__bareword_token1] = ACTIONS(2013),
    [sym_number] = ACTIONS(2013),
    [anon_sym_true] = ACTIONS(2013),
    [anon_sym_false] = ACTIONS(2013),
    [sym__single_quote] = ACTIONS(2011),
    [sym__double_quote] = ACTIONS(2011),
    [sym__backtick_quote] = ACTIONS(2011),
    [sym__search_slash_quote] = ACTIONS(2011),
    [sym__open_readline_bracket] = ACTIONS(2011),
    [sym__open_fileglob_bracket] = ACTIONS(2011),
    [sym__PERLY_HEREDOC] = ACTIONS(2011),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2011),
    [sym__filetest] = ACTIONS(2011),
  },
  [1106] = {
    [sym_heredoc_content] = STATE(1106),
    [sym__identifier] = ACTIONS(2129),
    [anon_sym_LBRACE] = ACTIONS(2129),
    [anon_sym_DOLLAR] = ACTIONS(2129),
    [anon_sym_AT] = ACTIONS(2129),
    [anon_sym_RPAREN] = ACTIONS(2129),
    [anon_sym_my] = ACTIONS(2129),
    [anon_sym_extended] = ACTIONS(2129),
    [anon_sym_async] = ACTIONS(2129),
    [anon_sym_sub] = ACTIONS(2129),
    [anon_sym_method] = ACTIONS(2129),
    [anon_sym_LPAREN] = ACTIONS(2129),
    [anon_sym_continue] = ACTIONS(2129),
    [anon_sym_state] = ACTIONS(2129),
    [anon_sym_our] = ACTIONS(2129),
    [anon_sym_LBRACK] = ACTIONS(2129),
    [anon_sym_LT_LT] = ACTIONS(2129),
    [anon_sym_SLASH_SLASH] = ACTIONS(2129),
    [anon_sym_PLUS] = ACTIONS(2129),
    [anon_sym_DASH] = ACTIONS(2129),
    [anon_sym_TILDE] = ACTIONS(2129),
    [anon_sym_BANG] = ACTIONS(2129),
    [anon_sym_PLUS_PLUS] = ACTIONS(2129),
    [anon_sym_DASH_DASH] = ACTIONS(2129),
    [anon_sym_BSLASH] = ACTIONS(2127),
    [anon_sym_do] = ACTIONS(2129),
    [anon_sym_eval] = ACTIONS(2129),
    [anon_sym_await] = ACTIONS(2129),
    [anon_sym_field] = ACTIONS(2129),
    [anon_sym_local] = ACTIONS(2129),
    [anon_sym_dynamically] = ACTIONS(2129),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2129),
    [anon_sym_require] = ACTIONS(2129),
    [anon_sym_map] = ACTIONS(2129),
    [anon_sym_grep] = ACTIONS(2129),
    [anon_sym_sort] = ACTIONS(2129),
    [anon_sym_goto] = ACTIONS(2129),
    [anon_sym_return] = ACTIONS(2129),
    [anon_sym_undef] = ACTIONS(2129),
    [anon_sym_PERCENT2] = ACTIONS(2129),
    [anon_sym_AMP2] = ACTIONS(2129),
    [anon_sym_STAR2] = ACTIONS(2129),
    [anon_sym_last] = ACTIONS(2129),
    [anon_sym_next] = ACTIONS(2129),
    [anon_sym_redo] = ACTIONS(2129),
    [anon_sym___FILE__] = ACTIONS(2129),
    [anon_sym___LINE__] = ACTIONS(2129),
    [anon_sym___PACKAGE__] = ACTIONS(2129),
    [anon_sym___SUB__] = ACTIONS(2129),
    [anon_sym_break] = ACTIONS(2129),
    [anon_sym_fork] = ACTIONS(2129),
    [anon_sym_getppid] = ACTIONS(2129),
    [anon_sym_time] = ACTIONS(2129),
    [anon_sym_times] = ACTIONS(2129),
    [anon_sym_wait] = ACTIONS(2129),
    [anon_sym_wantarray] = ACTIONS(2129),
    [anon_sym_abs] = ACTIONS(2129),
    [anon_sym_alarm] = ACTIONS(2129),
    [anon_sym_chop] = ACTIONS(2129),
    [anon_sym_chdir] = ACTIONS(2129),
    [anon_sym_close] = ACTIONS(2129),
    [anon_sym_closedir] = ACTIONS(2129),
    [anon_sym_caller] = ACTIONS(2129),
    [anon_sym_chomp] = ACTIONS(2129),
    [anon_sym_chr] = ACTIONS(2129),
    [anon_sym_cos] = ACTIONS(2129),
    [anon_sym_chroot] = ACTIONS(2129),
    [anon_sym_defined] = ACTIONS(2129),
    [anon_sym_delete] = ACTIONS(2129),
    [anon_sym_dbmclose] = ACTIONS(2129),
    [anon_sym_exists] = ACTIONS(2129),
    [anon_sym_exit] = ACTIONS(2129),
    [anon_sym_eof] = ACTIONS(2129),
    [anon_sym_exp] = ACTIONS(2129),
    [anon_sym_each] = ACTIONS(2129),
    [anon_sym_fc] = ACTIONS(2129),
    [anon_sym_fileno] = ACTIONS(2129),
    [anon_sym_gmtime] = ACTIONS(2129),
    [anon_sym_getc] = ACTIONS(2129),
    [anon_sym_getpgrp] = ACTIONS(2129),
    [anon_sym_getprotobyname] = ACTIONS(2129),
    [anon_sym_getpwname] = ACTIONS(2129),
    [anon_sym_getpwuid] = ACTIONS(2129),
    [anon_sym_getpeername] = ACTIONS(2129),
    [anon_sym_getnetbyname] = ACTIONS(2129),
    [anon_sym_getsockname] = ACTIONS(2129),
    [anon_sym_getgrnam] = ACTIONS(2129),
    [anon_sym_getgrgid] = ACTIONS(2129),
    [anon_sym_hex] = ACTIONS(2129),
    [anon_sym_int] = ACTIONS(2129),
    [anon_sym_keys] = ACTIONS(2129),
    [anon_sym_lc] = ACTIONS(2129),
    [anon_sym_lcfirst] = ACTIONS(2129),
    [anon_sym_length] = ACTIONS(2129),
    [anon_sym_localtime] = ACTIONS(2129),
    [anon_sym_log] = ACTIONS(2129),
    [anon_sym_lock] = ACTIONS(2129),
    [anon_sym_lstat] = ACTIONS(2129),
    [anon_sym_oct] = ACTIONS(2129),
    [anon_sym_ord] = ACTIONS(2129),
    [anon_sym_prototype] = ACTIONS(2129),
    [anon_sym_pop] = ACTIONS(2129),
    [anon_sym_pos] = ACTIONS(2129),
    [anon_sym_quotemeta] = ACTIONS(2129),
    [anon_sym_reset] = ACTIONS(2129),
    [anon_sym_rand] = ACTIONS(2129),
    [anon_sym_rmdir] = ACTIONS(2129),
    [anon_sym_readdir] = ACTIONS(2129),
    [anon_sym_readline] = ACTIONS(2129),
    [anon_sym_readpipe] = ACTIONS(2129),
    [anon_sym_rewinddir] = ACTIONS(2129),
    [anon_sym_readlink] = ACTIONS(2129),
    [anon_sym_ref] = ACTIONS(2129),
    [anon_sym_scalar] = ACTIONS(2129),
    [anon_sym_shift] = ACTIONS(2129),
    [anon_sym_sin] = ACTIONS(2129),
    [anon_sym_sleep] = ACTIONS(2129),
    [anon_sym_sqrt] = ACTIONS(2129),
    [anon_sym_srand] = ACTIONS(2129),
    [anon_sym_stat] = ACTIONS(2129),
    [anon_sym_study] = ACTIONS(2129),
    [anon_sym_tell] = ACTIONS(2129),
    [anon_sym_telldir] = ACTIONS(2129),
    [anon_sym_tied] = ACTIONS(2129),
    [anon_sym_uc] = ACTIONS(2129),
    [anon_sym_ucfirst] = ACTIONS(2129),
    [anon_sym_untie] = ACTIONS(2129),
    [anon_sym_umask] = ACTIONS(2129),
    [anon_sym_values] = ACTIONS(2129),
    [anon_sym_write] = ACTIONS(2129),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2129),
    [anon_sym_qq] = ACTIONS(2129),
    [anon_sym_qw] = ACTIONS(2129),
    [anon_sym_qx] = ACTIONS(2129),
    [anon_sym_qr] = ACTIONS(2129),
    [anon_sym_m] = ACTIONS(2129),
    [anon_sym_s] = ACTIONS(2129),
    [anon_sym_tr] = ACTIONS(2129),
    [anon_sym_y] = ACTIONS(2129),
    [aux_sym__bareword_token1] = ACTIONS(2129),
    [sym_number] = ACTIONS(2129),
    [anon_sym_true] = ACTIONS(2129),
    [anon_sym_false] = ACTIONS(2129),
    [sym__single_quote] = ACTIONS(2127),
    [sym__double_quote] = ACTIONS(2127),
    [sym__backtick_quote] = ACTIONS(2127),
    [sym__search_slash_quote] = ACTIONS(2127),
    [sym__open_readline_bracket] = ACTIONS(2127),
    [sym__open_fileglob_bracket] = ACTIONS(2127),
    [sym__PERLY_HEREDOC] = ACTIONS(2127),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2127),
    [sym__filetest] = ACTIONS(2127),
  },
  [1107] = {
    [sym_heredoc_content] = STATE(1107),
    [sym__identifier] = ACTIONS(2141),
    [anon_sym_LBRACE] = ACTIONS(2141),
    [anon_sym_DOLLAR] = ACTIONS(2141),
    [anon_sym_AT] = ACTIONS(2141),
    [anon_sym_RPAREN] = ACTIONS(2141),
    [anon_sym_my] = ACTIONS(2141),
    [anon_sym_extended] = ACTIONS(2141),
    [anon_sym_async] = ACTIONS(2141),
    [anon_sym_sub] = ACTIONS(2141),
    [anon_sym_method] = ACTIONS(2141),
    [anon_sym_LPAREN] = ACTIONS(2141),
    [anon_sym_continue] = ACTIONS(2141),
    [anon_sym_state] = ACTIONS(2141),
    [anon_sym_our] = ACTIONS(2141),
    [anon_sym_LBRACK] = ACTIONS(2141),
    [anon_sym_LT_LT] = ACTIONS(2141),
    [anon_sym_SLASH_SLASH] = ACTIONS(2141),
    [anon_sym_PLUS] = ACTIONS(2141),
    [anon_sym_DASH] = ACTIONS(2141),
    [anon_sym_TILDE] = ACTIONS(2141),
    [anon_sym_BANG] = ACTIONS(2141),
    [anon_sym_PLUS_PLUS] = ACTIONS(2141),
    [anon_sym_DASH_DASH] = ACTIONS(2141),
    [anon_sym_BSLASH] = ACTIONS(2139),
    [anon_sym_do] = ACTIONS(2141),
    [anon_sym_eval] = ACTIONS(2141),
    [anon_sym_await] = ACTIONS(2141),
    [anon_sym_field] = ACTIONS(2141),
    [anon_sym_local] = ACTIONS(2141),
    [anon_sym_dynamically] = ACTIONS(2141),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2141),
    [anon_sym_require] = ACTIONS(2141),
    [anon_sym_map] = ACTIONS(2141),
    [anon_sym_grep] = ACTIONS(2141),
    [anon_sym_sort] = ACTIONS(2141),
    [anon_sym_goto] = ACTIONS(2141),
    [anon_sym_return] = ACTIONS(2141),
    [anon_sym_undef] = ACTIONS(2141),
    [anon_sym_PERCENT2] = ACTIONS(2141),
    [anon_sym_AMP2] = ACTIONS(2141),
    [anon_sym_STAR2] = ACTIONS(2141),
    [anon_sym_last] = ACTIONS(2141),
    [anon_sym_next] = ACTIONS(2141),
    [anon_sym_redo] = ACTIONS(2141),
    [anon_sym___FILE__] = ACTIONS(2141),
    [anon_sym___LINE__] = ACTIONS(2141),
    [anon_sym___PACKAGE__] = ACTIONS(2141),
    [anon_sym___SUB__] = ACTIONS(2141),
    [anon_sym_break] = ACTIONS(2141),
    [anon_sym_fork] = ACTIONS(2141),
    [anon_sym_getppid] = ACTIONS(2141),
    [anon_sym_time] = ACTIONS(2141),
    [anon_sym_times] = ACTIONS(2141),
    [anon_sym_wait] = ACTIONS(2141),
    [anon_sym_wantarray] = ACTIONS(2141),
    [anon_sym_abs] = ACTIONS(2141),
    [anon_sym_alarm] = ACTIONS(2141),
    [anon_sym_chop] = ACTIONS(2141),
    [anon_sym_chdir] = ACTIONS(2141),
    [anon_sym_close] = ACTIONS(2141),
    [anon_sym_closedir] = ACTIONS(2141),
    [anon_sym_caller] = ACTIONS(2141),
    [anon_sym_chomp] = ACTIONS(2141),
    [anon_sym_chr] = ACTIONS(2141),
    [anon_sym_cos] = ACTIONS(2141),
    [anon_sym_chroot] = ACTIONS(2141),
    [anon_sym_defined] = ACTIONS(2141),
    [anon_sym_delete] = ACTIONS(2141),
    [anon_sym_dbmclose] = ACTIONS(2141),
    [anon_sym_exists] = ACTIONS(2141),
    [anon_sym_exit] = ACTIONS(2141),
    [anon_sym_eof] = ACTIONS(2141),
    [anon_sym_exp] = ACTIONS(2141),
    [anon_sym_each] = ACTIONS(2141),
    [anon_sym_fc] = ACTIONS(2141),
    [anon_sym_fileno] = ACTIONS(2141),
    [anon_sym_gmtime] = ACTIONS(2141),
    [anon_sym_getc] = ACTIONS(2141),
    [anon_sym_getpgrp] = ACTIONS(2141),
    [anon_sym_getprotobyname] = ACTIONS(2141),
    [anon_sym_getpwname] = ACTIONS(2141),
    [anon_sym_getpwuid] = ACTIONS(2141),
    [anon_sym_getpeername] = ACTIONS(2141),
    [anon_sym_getnetbyname] = ACTIONS(2141),
    [anon_sym_getsockname] = ACTIONS(2141),
    [anon_sym_getgrnam] = ACTIONS(2141),
    [anon_sym_getgrgid] = ACTIONS(2141),
    [anon_sym_hex] = ACTIONS(2141),
    [anon_sym_int] = ACTIONS(2141),
    [anon_sym_keys] = ACTIONS(2141),
    [anon_sym_lc] = ACTIONS(2141),
    [anon_sym_lcfirst] = ACTIONS(2141),
    [anon_sym_length] = ACTIONS(2141),
    [anon_sym_localtime] = ACTIONS(2141),
    [anon_sym_log] = ACTIONS(2141),
    [anon_sym_lock] = ACTIONS(2141),
    [anon_sym_lstat] = ACTIONS(2141),
    [anon_sym_oct] = ACTIONS(2141),
    [anon_sym_ord] = ACTIONS(2141),
    [anon_sym_prototype] = ACTIONS(2141),
    [anon_sym_pop] = ACTIONS(2141),
    [anon_sym_pos] = ACTIONS(2141),
    [anon_sym_quotemeta] = ACTIONS(2141),
    [anon_sym_reset] = ACTIONS(2141),
    [anon_sym_rand] = ACTIONS(2141),
    [anon_sym_rmdir] = ACTIONS(2141),
    [anon_sym_readdir] = ACTIONS(2141),
    [anon_sym_readline] = ACTIONS(2141),
    [anon_sym_readpipe] = ACTIONS(2141),
    [anon_sym_rewinddir] = ACTIONS(2141),
    [anon_sym_readlink] = ACTIONS(2141),
    [anon_sym_ref] = ACTIONS(2141),
    [anon_sym_scalar] = ACTIONS(2141),
    [anon_sym_shift] = ACTIONS(2141),
    [anon_sym_sin] = ACTIONS(2141),
    [anon_sym_sleep] = ACTIONS(2141),
    [anon_sym_sqrt] = ACTIONS(2141),
    [anon_sym_srand] = ACTIONS(2141),
    [anon_sym_stat] = ACTIONS(2141),
    [anon_sym_study] = ACTIONS(2141),
    [anon_sym_tell] = ACTIONS(2141),
    [anon_sym_telldir] = ACTIONS(2141),
    [anon_sym_tied] = ACTIONS(2141),
    [anon_sym_uc] = ACTIONS(2141),
    [anon_sym_ucfirst] = ACTIONS(2141),
    [anon_sym_untie] = ACTIONS(2141),
    [anon_sym_umask] = ACTIONS(2141),
    [anon_sym_values] = ACTIONS(2141),
    [anon_sym_write] = ACTIONS(2141),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2141),
    [anon_sym_qq] = ACTIONS(2141),
    [anon_sym_qw] = ACTIONS(2141),
    [anon_sym_qx] = ACTIONS(2141),
    [anon_sym_qr] = ACTIONS(2141),
    [anon_sym_m] = ACTIONS(2141),
    [anon_sym_s] = ACTIONS(2141),
    [anon_sym_tr] = ACTIONS(2141),
    [anon_sym_y] = ACTIONS(2141),
    [aux_sym__bareword_token1] = ACTIONS(2141),
    [sym_number] = ACTIONS(2141),
    [anon_sym_true] = ACTIONS(2141),
    [anon_sym_false] = ACTIONS(2141),
    [sym__single_quote] = ACTIONS(2139),
    [sym__double_quote] = ACTIONS(2139),
    [sym__backtick_quote] = ACTIONS(2139),
    [sym__search_slash_quote] = ACTIONS(2139),
    [sym__open_readline_bracket] = ACTIONS(2139),
    [sym__open_fileglob_bracket] = ACTIONS(2139),
    [sym__PERLY_HEREDOC] = ACTIONS(2139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2139),
    [sym__filetest] = ACTIONS(2139),
  },
  [1108] = {
    [sym_heredoc_content] = STATE(1108),
    [sym__identifier] = ACTIONS(2145),
    [anon_sym_LBRACE] = ACTIONS(2145),
    [anon_sym_DOLLAR] = ACTIONS(2145),
    [anon_sym_AT] = ACTIONS(2145),
    [anon_sym_RPAREN] = ACTIONS(2145),
    [anon_sym_my] = ACTIONS(2145),
    [anon_sym_extended] = ACTIONS(2145),
    [anon_sym_async] = ACTIONS(2145),
    [anon_sym_sub] = ACTIONS(2145),
    [anon_sym_method] = ACTIONS(2145),
    [anon_sym_LPAREN] = ACTIONS(2145),
    [anon_sym_continue] = ACTIONS(2145),
    [anon_sym_state] = ACTIONS(2145),
    [anon_sym_our] = ACTIONS(2145),
    [anon_sym_LBRACK] = ACTIONS(2145),
    [anon_sym_LT_LT] = ACTIONS(2145),
    [anon_sym_SLASH_SLASH] = ACTIONS(2145),
    [anon_sym_PLUS] = ACTIONS(2145),
    [anon_sym_DASH] = ACTIONS(2145),
    [anon_sym_TILDE] = ACTIONS(2145),
    [anon_sym_BANG] = ACTIONS(2145),
    [anon_sym_PLUS_PLUS] = ACTIONS(2145),
    [anon_sym_DASH_DASH] = ACTIONS(2145),
    [anon_sym_BSLASH] = ACTIONS(2143),
    [anon_sym_do] = ACTIONS(2145),
    [anon_sym_eval] = ACTIONS(2145),
    [anon_sym_await] = ACTIONS(2145),
    [anon_sym_field] = ACTIONS(2145),
    [anon_sym_local] = ACTIONS(2145),
    [anon_sym_dynamically] = ACTIONS(2145),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2145),
    [anon_sym_require] = ACTIONS(2145),
    [anon_sym_map] = ACTIONS(2145),
    [anon_sym_grep] = ACTIONS(2145),
    [anon_sym_sort] = ACTIONS(2145),
    [anon_sym_goto] = ACTIONS(2145),
    [anon_sym_return] = ACTIONS(2145),
    [anon_sym_undef] = ACTIONS(2145),
    [anon_sym_PERCENT2] = ACTIONS(2145),
    [anon_sym_AMP2] = ACTIONS(2145),
    [anon_sym_STAR2] = ACTIONS(2145),
    [anon_sym_last] = ACTIONS(2145),
    [anon_sym_next] = ACTIONS(2145),
    [anon_sym_redo] = ACTIONS(2145),
    [anon_sym___FILE__] = ACTIONS(2145),
    [anon_sym___LINE__] = ACTIONS(2145),
    [anon_sym___PACKAGE__] = ACTIONS(2145),
    [anon_sym___SUB__] = ACTIONS(2145),
    [anon_sym_break] = ACTIONS(2145),
    [anon_sym_fork] = ACTIONS(2145),
    [anon_sym_getppid] = ACTIONS(2145),
    [anon_sym_time] = ACTIONS(2145),
    [anon_sym_times] = ACTIONS(2145),
    [anon_sym_wait] = ACTIONS(2145),
    [anon_sym_wantarray] = ACTIONS(2145),
    [anon_sym_abs] = ACTIONS(2145),
    [anon_sym_alarm] = ACTIONS(2145),
    [anon_sym_chop] = ACTIONS(2145),
    [anon_sym_chdir] = ACTIONS(2145),
    [anon_sym_close] = ACTIONS(2145),
    [anon_sym_closedir] = ACTIONS(2145),
    [anon_sym_caller] = ACTIONS(2145),
    [anon_sym_chomp] = ACTIONS(2145),
    [anon_sym_chr] = ACTIONS(2145),
    [anon_sym_cos] = ACTIONS(2145),
    [anon_sym_chroot] = ACTIONS(2145),
    [anon_sym_defined] = ACTIONS(2145),
    [anon_sym_delete] = ACTIONS(2145),
    [anon_sym_dbmclose] = ACTIONS(2145),
    [anon_sym_exists] = ACTIONS(2145),
    [anon_sym_exit] = ACTIONS(2145),
    [anon_sym_eof] = ACTIONS(2145),
    [anon_sym_exp] = ACTIONS(2145),
    [anon_sym_each] = ACTIONS(2145),
    [anon_sym_fc] = ACTIONS(2145),
    [anon_sym_fileno] = ACTIONS(2145),
    [anon_sym_gmtime] = ACTIONS(2145),
    [anon_sym_getc] = ACTIONS(2145),
    [anon_sym_getpgrp] = ACTIONS(2145),
    [anon_sym_getprotobyname] = ACTIONS(2145),
    [anon_sym_getpwname] = ACTIONS(2145),
    [anon_sym_getpwuid] = ACTIONS(2145),
    [anon_sym_getpeername] = ACTIONS(2145),
    [anon_sym_getnetbyname] = ACTIONS(2145),
    [anon_sym_getsockname] = ACTIONS(2145),
    [anon_sym_getgrnam] = ACTIONS(2145),
    [anon_sym_getgrgid] = ACTIONS(2145),
    [anon_sym_hex] = ACTIONS(2145),
    [anon_sym_int] = ACTIONS(2145),
    [anon_sym_keys] = ACTIONS(2145),
    [anon_sym_lc] = ACTIONS(2145),
    [anon_sym_lcfirst] = ACTIONS(2145),
    [anon_sym_length] = ACTIONS(2145),
    [anon_sym_localtime] = ACTIONS(2145),
    [anon_sym_log] = ACTIONS(2145),
    [anon_sym_lock] = ACTIONS(2145),
    [anon_sym_lstat] = ACTIONS(2145),
    [anon_sym_oct] = ACTIONS(2145),
    [anon_sym_ord] = ACTIONS(2145),
    [anon_sym_prototype] = ACTIONS(2145),
    [anon_sym_pop] = ACTIONS(2145),
    [anon_sym_pos] = ACTIONS(2145),
    [anon_sym_quotemeta] = ACTIONS(2145),
    [anon_sym_reset] = ACTIONS(2145),
    [anon_sym_rand] = ACTIONS(2145),
    [anon_sym_rmdir] = ACTIONS(2145),
    [anon_sym_readdir] = ACTIONS(2145),
    [anon_sym_readline] = ACTIONS(2145),
    [anon_sym_readpipe] = ACTIONS(2145),
    [anon_sym_rewinddir] = ACTIONS(2145),
    [anon_sym_readlink] = ACTIONS(2145),
    [anon_sym_ref] = ACTIONS(2145),
    [anon_sym_scalar] = ACTIONS(2145),
    [anon_sym_shift] = ACTIONS(2145),
    [anon_sym_sin] = ACTIONS(2145),
    [anon_sym_sleep] = ACTIONS(2145),
    [anon_sym_sqrt] = ACTIONS(2145),
    [anon_sym_srand] = ACTIONS(2145),
    [anon_sym_stat] = ACTIONS(2145),
    [anon_sym_study] = ACTIONS(2145),
    [anon_sym_tell] = ACTIONS(2145),
    [anon_sym_telldir] = ACTIONS(2145),
    [anon_sym_tied] = ACTIONS(2145),
    [anon_sym_uc] = ACTIONS(2145),
    [anon_sym_ucfirst] = ACTIONS(2145),
    [anon_sym_untie] = ACTIONS(2145),
    [anon_sym_umask] = ACTIONS(2145),
    [anon_sym_values] = ACTIONS(2145),
    [anon_sym_write] = ACTIONS(2145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2145),
    [anon_sym_qq] = ACTIONS(2145),
    [anon_sym_qw] = ACTIONS(2145),
    [anon_sym_qx] = ACTIONS(2145),
    [anon_sym_qr] = ACTIONS(2145),
    [anon_sym_m] = ACTIONS(2145),
    [anon_sym_s] = ACTIONS(2145),
    [anon_sym_tr] = ACTIONS(2145),
    [anon_sym_y] = ACTIONS(2145),
    [aux_sym__bareword_token1] = ACTIONS(2145),
    [sym_number] = ACTIONS(2145),
    [anon_sym_true] = ACTIONS(2145),
    [anon_sym_false] = ACTIONS(2145),
    [sym__single_quote] = ACTIONS(2143),
    [sym__double_quote] = ACTIONS(2143),
    [sym__backtick_quote] = ACTIONS(2143),
    [sym__search_slash_quote] = ACTIONS(2143),
    [sym__open_readline_bracket] = ACTIONS(2143),
    [sym__open_fileglob_bracket] = ACTIONS(2143),
    [sym__PERLY_HEREDOC] = ACTIONS(2143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2143),
    [sym__filetest] = ACTIONS(2143),
  },
  [1109] = {
    [sym_heredoc_content] = STATE(1109),
    [sym__identifier] = ACTIONS(2153),
    [anon_sym_LBRACE] = ACTIONS(2153),
    [anon_sym_DOLLAR] = ACTIONS(2153),
    [anon_sym_AT] = ACTIONS(2153),
    [anon_sym_RPAREN] = ACTIONS(2153),
    [anon_sym_my] = ACTIONS(2153),
    [anon_sym_extended] = ACTIONS(2153),
    [anon_sym_async] = ACTIONS(2153),
    [anon_sym_sub] = ACTIONS(2153),
    [anon_sym_method] = ACTIONS(2153),
    [anon_sym_LPAREN] = ACTIONS(2153),
    [anon_sym_continue] = ACTIONS(2153),
    [anon_sym_state] = ACTIONS(2153),
    [anon_sym_our] = ACTIONS(2153),
    [anon_sym_LBRACK] = ACTIONS(2153),
    [anon_sym_LT_LT] = ACTIONS(2153),
    [anon_sym_SLASH_SLASH] = ACTIONS(2153),
    [anon_sym_PLUS] = ACTIONS(2153),
    [anon_sym_DASH] = ACTIONS(2153),
    [anon_sym_TILDE] = ACTIONS(2153),
    [anon_sym_BANG] = ACTIONS(2153),
    [anon_sym_PLUS_PLUS] = ACTIONS(2153),
    [anon_sym_DASH_DASH] = ACTIONS(2153),
    [anon_sym_BSLASH] = ACTIONS(2151),
    [anon_sym_do] = ACTIONS(2153),
    [anon_sym_eval] = ACTIONS(2153),
    [anon_sym_await] = ACTIONS(2153),
    [anon_sym_field] = ACTIONS(2153),
    [anon_sym_local] = ACTIONS(2153),
    [anon_sym_dynamically] = ACTIONS(2153),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2153),
    [anon_sym_require] = ACTIONS(2153),
    [anon_sym_map] = ACTIONS(2153),
    [anon_sym_grep] = ACTIONS(2153),
    [anon_sym_sort] = ACTIONS(2153),
    [anon_sym_goto] = ACTIONS(2153),
    [anon_sym_return] = ACTIONS(2153),
    [anon_sym_undef] = ACTIONS(2153),
    [anon_sym_PERCENT2] = ACTIONS(2153),
    [anon_sym_AMP2] = ACTIONS(2153),
    [anon_sym_STAR2] = ACTIONS(2153),
    [anon_sym_last] = ACTIONS(2153),
    [anon_sym_next] = ACTIONS(2153),
    [anon_sym_redo] = ACTIONS(2153),
    [anon_sym___FILE__] = ACTIONS(2153),
    [anon_sym___LINE__] = ACTIONS(2153),
    [anon_sym___PACKAGE__] = ACTIONS(2153),
    [anon_sym___SUB__] = ACTIONS(2153),
    [anon_sym_break] = ACTIONS(2153),
    [anon_sym_fork] = ACTIONS(2153),
    [anon_sym_getppid] = ACTIONS(2153),
    [anon_sym_time] = ACTIONS(2153),
    [anon_sym_times] = ACTIONS(2153),
    [anon_sym_wait] = ACTIONS(2153),
    [anon_sym_wantarray] = ACTIONS(2153),
    [anon_sym_abs] = ACTIONS(2153),
    [anon_sym_alarm] = ACTIONS(2153),
    [anon_sym_chop] = ACTIONS(2153),
    [anon_sym_chdir] = ACTIONS(2153),
    [anon_sym_close] = ACTIONS(2153),
    [anon_sym_closedir] = ACTIONS(2153),
    [anon_sym_caller] = ACTIONS(2153),
    [anon_sym_chomp] = ACTIONS(2153),
    [anon_sym_chr] = ACTIONS(2153),
    [anon_sym_cos] = ACTIONS(2153),
    [anon_sym_chroot] = ACTIONS(2153),
    [anon_sym_defined] = ACTIONS(2153),
    [anon_sym_delete] = ACTIONS(2153),
    [anon_sym_dbmclose] = ACTIONS(2153),
    [anon_sym_exists] = ACTIONS(2153),
    [anon_sym_exit] = ACTIONS(2153),
    [anon_sym_eof] = ACTIONS(2153),
    [anon_sym_exp] = ACTIONS(2153),
    [anon_sym_each] = ACTIONS(2153),
    [anon_sym_fc] = ACTIONS(2153),
    [anon_sym_fileno] = ACTIONS(2153),
    [anon_sym_gmtime] = ACTIONS(2153),
    [anon_sym_getc] = ACTIONS(2153),
    [anon_sym_getpgrp] = ACTIONS(2153),
    [anon_sym_getprotobyname] = ACTIONS(2153),
    [anon_sym_getpwname] = ACTIONS(2153),
    [anon_sym_getpwuid] = ACTIONS(2153),
    [anon_sym_getpeername] = ACTIONS(2153),
    [anon_sym_getnetbyname] = ACTIONS(2153),
    [anon_sym_getsockname] = ACTIONS(2153),
    [anon_sym_getgrnam] = ACTIONS(2153),
    [anon_sym_getgrgid] = ACTIONS(2153),
    [anon_sym_hex] = ACTIONS(2153),
    [anon_sym_int] = ACTIONS(2153),
    [anon_sym_keys] = ACTIONS(2153),
    [anon_sym_lc] = ACTIONS(2153),
    [anon_sym_lcfirst] = ACTIONS(2153),
    [anon_sym_length] = ACTIONS(2153),
    [anon_sym_localtime] = ACTIONS(2153),
    [anon_sym_log] = ACTIONS(2153),
    [anon_sym_lock] = ACTIONS(2153),
    [anon_sym_lstat] = ACTIONS(2153),
    [anon_sym_oct] = ACTIONS(2153),
    [anon_sym_ord] = ACTIONS(2153),
    [anon_sym_prototype] = ACTIONS(2153),
    [anon_sym_pop] = ACTIONS(2153),
    [anon_sym_pos] = ACTIONS(2153),
    [anon_sym_quotemeta] = ACTIONS(2153),
    [anon_sym_reset] = ACTIONS(2153),
    [anon_sym_rand] = ACTIONS(2153),
    [anon_sym_rmdir] = ACTIONS(2153),
    [anon_sym_readdir] = ACTIONS(2153),
    [anon_sym_readline] = ACTIONS(2153),
    [anon_sym_readpipe] = ACTIONS(2153),
    [anon_sym_rewinddir] = ACTIONS(2153),
    [anon_sym_readlink] = ACTIONS(2153),
    [anon_sym_ref] = ACTIONS(2153),
    [anon_sym_scalar] = ACTIONS(2153),
    [anon_sym_shift] = ACTIONS(2153),
    [anon_sym_sin] = ACTIONS(2153),
    [anon_sym_sleep] = ACTIONS(2153),
    [anon_sym_sqrt] = ACTIONS(2153),
    [anon_sym_srand] = ACTIONS(2153),
    [anon_sym_stat] = ACTIONS(2153),
    [anon_sym_study] = ACTIONS(2153),
    [anon_sym_tell] = ACTIONS(2153),
    [anon_sym_telldir] = ACTIONS(2153),
    [anon_sym_tied] = ACTIONS(2153),
    [anon_sym_uc] = ACTIONS(2153),
    [anon_sym_ucfirst] = ACTIONS(2153),
    [anon_sym_untie] = ACTIONS(2153),
    [anon_sym_umask] = ACTIONS(2153),
    [anon_sym_values] = ACTIONS(2153),
    [anon_sym_write] = ACTIONS(2153),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2153),
    [anon_sym_qq] = ACTIONS(2153),
    [anon_sym_qw] = ACTIONS(2153),
    [anon_sym_qx] = ACTIONS(2153),
    [anon_sym_qr] = ACTIONS(2153),
    [anon_sym_m] = ACTIONS(2153),
    [anon_sym_s] = ACTIONS(2153),
    [anon_sym_tr] = ACTIONS(2153),
    [anon_sym_y] = ACTIONS(2153),
    [aux_sym__bareword_token1] = ACTIONS(2153),
    [sym_number] = ACTIONS(2153),
    [anon_sym_true] = ACTIONS(2153),
    [anon_sym_false] = ACTIONS(2153),
    [sym__single_quote] = ACTIONS(2151),
    [sym__double_quote] = ACTIONS(2151),
    [sym__backtick_quote] = ACTIONS(2151),
    [sym__search_slash_quote] = ACTIONS(2151),
    [sym__open_readline_bracket] = ACTIONS(2151),
    [sym__open_fileglob_bracket] = ACTIONS(2151),
    [sym__PERLY_HEREDOC] = ACTIONS(2151),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2151),
    [sym__filetest] = ACTIONS(2151),
  },
  [1110] = {
    [sym_heredoc_content] = STATE(1110),
    [sym__identifier] = ACTIONS(2157),
    [anon_sym_LBRACE] = ACTIONS(2157),
    [anon_sym_DOLLAR] = ACTIONS(2157),
    [anon_sym_AT] = ACTIONS(2157),
    [anon_sym_RPAREN] = ACTIONS(2157),
    [anon_sym_my] = ACTIONS(2157),
    [anon_sym_extended] = ACTIONS(2157),
    [anon_sym_async] = ACTIONS(2157),
    [anon_sym_sub] = ACTIONS(2157),
    [anon_sym_method] = ACTIONS(2157),
    [anon_sym_LPAREN] = ACTIONS(2157),
    [anon_sym_continue] = ACTIONS(2157),
    [anon_sym_state] = ACTIONS(2157),
    [anon_sym_our] = ACTIONS(2157),
    [anon_sym_LBRACK] = ACTIONS(2157),
    [anon_sym_LT_LT] = ACTIONS(2157),
    [anon_sym_SLASH_SLASH] = ACTIONS(2157),
    [anon_sym_PLUS] = ACTIONS(2157),
    [anon_sym_DASH] = ACTIONS(2157),
    [anon_sym_TILDE] = ACTIONS(2157),
    [anon_sym_BANG] = ACTIONS(2157),
    [anon_sym_PLUS_PLUS] = ACTIONS(2157),
    [anon_sym_DASH_DASH] = ACTIONS(2157),
    [anon_sym_BSLASH] = ACTIONS(2155),
    [anon_sym_do] = ACTIONS(2157),
    [anon_sym_eval] = ACTIONS(2157),
    [anon_sym_await] = ACTIONS(2157),
    [anon_sym_field] = ACTIONS(2157),
    [anon_sym_local] = ACTIONS(2157),
    [anon_sym_dynamically] = ACTIONS(2157),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2157),
    [anon_sym_require] = ACTIONS(2157),
    [anon_sym_map] = ACTIONS(2157),
    [anon_sym_grep] = ACTIONS(2157),
    [anon_sym_sort] = ACTIONS(2157),
    [anon_sym_goto] = ACTIONS(2157),
    [anon_sym_return] = ACTIONS(2157),
    [anon_sym_undef] = ACTIONS(2157),
    [anon_sym_PERCENT2] = ACTIONS(2157),
    [anon_sym_AMP2] = ACTIONS(2157),
    [anon_sym_STAR2] = ACTIONS(2157),
    [anon_sym_last] = ACTIONS(2157),
    [anon_sym_next] = ACTIONS(2157),
    [anon_sym_redo] = ACTIONS(2157),
    [anon_sym___FILE__] = ACTIONS(2157),
    [anon_sym___LINE__] = ACTIONS(2157),
    [anon_sym___PACKAGE__] = ACTIONS(2157),
    [anon_sym___SUB__] = ACTIONS(2157),
    [anon_sym_break] = ACTIONS(2157),
    [anon_sym_fork] = ACTIONS(2157),
    [anon_sym_getppid] = ACTIONS(2157),
    [anon_sym_time] = ACTIONS(2157),
    [anon_sym_times] = ACTIONS(2157),
    [anon_sym_wait] = ACTIONS(2157),
    [anon_sym_wantarray] = ACTIONS(2157),
    [anon_sym_abs] = ACTIONS(2157),
    [anon_sym_alarm] = ACTIONS(2157),
    [anon_sym_chop] = ACTIONS(2157),
    [anon_sym_chdir] = ACTIONS(2157),
    [anon_sym_close] = ACTIONS(2157),
    [anon_sym_closedir] = ACTIONS(2157),
    [anon_sym_caller] = ACTIONS(2157),
    [anon_sym_chomp] = ACTIONS(2157),
    [anon_sym_chr] = ACTIONS(2157),
    [anon_sym_cos] = ACTIONS(2157),
    [anon_sym_chroot] = ACTIONS(2157),
    [anon_sym_defined] = ACTIONS(2157),
    [anon_sym_delete] = ACTIONS(2157),
    [anon_sym_dbmclose] = ACTIONS(2157),
    [anon_sym_exists] = ACTIONS(2157),
    [anon_sym_exit] = ACTIONS(2157),
    [anon_sym_eof] = ACTIONS(2157),
    [anon_sym_exp] = ACTIONS(2157),
    [anon_sym_each] = ACTIONS(2157),
    [anon_sym_fc] = ACTIONS(2157),
    [anon_sym_fileno] = ACTIONS(2157),
    [anon_sym_gmtime] = ACTIONS(2157),
    [anon_sym_getc] = ACTIONS(2157),
    [anon_sym_getpgrp] = ACTIONS(2157),
    [anon_sym_getprotobyname] = ACTIONS(2157),
    [anon_sym_getpwname] = ACTIONS(2157),
    [anon_sym_getpwuid] = ACTIONS(2157),
    [anon_sym_getpeername] = ACTIONS(2157),
    [anon_sym_getnetbyname] = ACTIONS(2157),
    [anon_sym_getsockname] = ACTIONS(2157),
    [anon_sym_getgrnam] = ACTIONS(2157),
    [anon_sym_getgrgid] = ACTIONS(2157),
    [anon_sym_hex] = ACTIONS(2157),
    [anon_sym_int] = ACTIONS(2157),
    [anon_sym_keys] = ACTIONS(2157),
    [anon_sym_lc] = ACTIONS(2157),
    [anon_sym_lcfirst] = ACTIONS(2157),
    [anon_sym_length] = ACTIONS(2157),
    [anon_sym_localtime] = ACTIONS(2157),
    [anon_sym_log] = ACTIONS(2157),
    [anon_sym_lock] = ACTIONS(2157),
    [anon_sym_lstat] = ACTIONS(2157),
    [anon_sym_oct] = ACTIONS(2157),
    [anon_sym_ord] = ACTIONS(2157),
    [anon_sym_prototype] = ACTIONS(2157),
    [anon_sym_pop] = ACTIONS(2157),
    [anon_sym_pos] = ACTIONS(2157),
    [anon_sym_quotemeta] = ACTIONS(2157),
    [anon_sym_reset] = ACTIONS(2157),
    [anon_sym_rand] = ACTIONS(2157),
    [anon_sym_rmdir] = ACTIONS(2157),
    [anon_sym_readdir] = ACTIONS(2157),
    [anon_sym_readline] = ACTIONS(2157),
    [anon_sym_readpipe] = ACTIONS(2157),
    [anon_sym_rewinddir] = ACTIONS(2157),
    [anon_sym_readlink] = ACTIONS(2157),
    [anon_sym_ref] = ACTIONS(2157),
    [anon_sym_scalar] = ACTIONS(2157),
    [anon_sym_shift] = ACTIONS(2157),
    [anon_sym_sin] = ACTIONS(2157),
    [anon_sym_sleep] = ACTIONS(2157),
    [anon_sym_sqrt] = ACTIONS(2157),
    [anon_sym_srand] = ACTIONS(2157),
    [anon_sym_stat] = ACTIONS(2157),
    [anon_sym_study] = ACTIONS(2157),
    [anon_sym_tell] = ACTIONS(2157),
    [anon_sym_telldir] = ACTIONS(2157),
    [anon_sym_tied] = ACTIONS(2157),
    [anon_sym_uc] = ACTIONS(2157),
    [anon_sym_ucfirst] = ACTIONS(2157),
    [anon_sym_untie] = ACTIONS(2157),
    [anon_sym_umask] = ACTIONS(2157),
    [anon_sym_values] = ACTIONS(2157),
    [anon_sym_write] = ACTIONS(2157),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2157),
    [anon_sym_qq] = ACTIONS(2157),
    [anon_sym_qw] = ACTIONS(2157),
    [anon_sym_qx] = ACTIONS(2157),
    [anon_sym_qr] = ACTIONS(2157),
    [anon_sym_m] = ACTIONS(2157),
    [anon_sym_s] = ACTIONS(2157),
    [anon_sym_tr] = ACTIONS(2157),
    [anon_sym_y] = ACTIONS(2157),
    [aux_sym__bareword_token1] = ACTIONS(2157),
    [sym_number] = ACTIONS(2157),
    [anon_sym_true] = ACTIONS(2157),
    [anon_sym_false] = ACTIONS(2157),
    [sym__single_quote] = ACTIONS(2155),
    [sym__double_quote] = ACTIONS(2155),
    [sym__backtick_quote] = ACTIONS(2155),
    [sym__search_slash_quote] = ACTIONS(2155),
    [sym__open_readline_bracket] = ACTIONS(2155),
    [sym__open_fileglob_bracket] = ACTIONS(2155),
    [sym__PERLY_HEREDOC] = ACTIONS(2155),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2155),
    [sym__filetest] = ACTIONS(2155),
  },
  [1111] = {
    [sym_heredoc_content] = STATE(1111),
    [sym__identifier] = ACTIONS(2177),
    [anon_sym_LBRACE] = ACTIONS(2177),
    [anon_sym_DOLLAR] = ACTIONS(2177),
    [anon_sym_AT] = ACTIONS(2177),
    [anon_sym_RPAREN] = ACTIONS(2177),
    [anon_sym_my] = ACTIONS(2177),
    [anon_sym_extended] = ACTIONS(2177),
    [anon_sym_async] = ACTIONS(2177),
    [anon_sym_sub] = ACTIONS(2177),
    [anon_sym_method] = ACTIONS(2177),
    [anon_sym_LPAREN] = ACTIONS(2177),
    [anon_sym_continue] = ACTIONS(2177),
    [anon_sym_state] = ACTIONS(2177),
    [anon_sym_our] = ACTIONS(2177),
    [anon_sym_LBRACK] = ACTIONS(2177),
    [anon_sym_LT_LT] = ACTIONS(2177),
    [anon_sym_SLASH_SLASH] = ACTIONS(2177),
    [anon_sym_PLUS] = ACTIONS(2177),
    [anon_sym_DASH] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_PLUS_PLUS] = ACTIONS(2177),
    [anon_sym_DASH_DASH] = ACTIONS(2177),
    [anon_sym_BSLASH] = ACTIONS(2175),
    [anon_sym_do] = ACTIONS(2177),
    [anon_sym_eval] = ACTIONS(2177),
    [anon_sym_await] = ACTIONS(2177),
    [anon_sym_field] = ACTIONS(2177),
    [anon_sym_local] = ACTIONS(2177),
    [anon_sym_dynamically] = ACTIONS(2177),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2177),
    [anon_sym_require] = ACTIONS(2177),
    [anon_sym_map] = ACTIONS(2177),
    [anon_sym_grep] = ACTIONS(2177),
    [anon_sym_sort] = ACTIONS(2177),
    [anon_sym_goto] = ACTIONS(2177),
    [anon_sym_return] = ACTIONS(2177),
    [anon_sym_undef] = ACTIONS(2177),
    [anon_sym_PERCENT2] = ACTIONS(2177),
    [anon_sym_AMP2] = ACTIONS(2177),
    [anon_sym_STAR2] = ACTIONS(2177),
    [anon_sym_last] = ACTIONS(2177),
    [anon_sym_next] = ACTIONS(2177),
    [anon_sym_redo] = ACTIONS(2177),
    [anon_sym___FILE__] = ACTIONS(2177),
    [anon_sym___LINE__] = ACTIONS(2177),
    [anon_sym___PACKAGE__] = ACTIONS(2177),
    [anon_sym___SUB__] = ACTIONS(2177),
    [anon_sym_break] = ACTIONS(2177),
    [anon_sym_fork] = ACTIONS(2177),
    [anon_sym_getppid] = ACTIONS(2177),
    [anon_sym_time] = ACTIONS(2177),
    [anon_sym_times] = ACTIONS(2177),
    [anon_sym_wait] = ACTIONS(2177),
    [anon_sym_wantarray] = ACTIONS(2177),
    [anon_sym_abs] = ACTIONS(2177),
    [anon_sym_alarm] = ACTIONS(2177),
    [anon_sym_chop] = ACTIONS(2177),
    [anon_sym_chdir] = ACTIONS(2177),
    [anon_sym_close] = ACTIONS(2177),
    [anon_sym_closedir] = ACTIONS(2177),
    [anon_sym_caller] = ACTIONS(2177),
    [anon_sym_chomp] = ACTIONS(2177),
    [anon_sym_chr] = ACTIONS(2177),
    [anon_sym_cos] = ACTIONS(2177),
    [anon_sym_chroot] = ACTIONS(2177),
    [anon_sym_defined] = ACTIONS(2177),
    [anon_sym_delete] = ACTIONS(2177),
    [anon_sym_dbmclose] = ACTIONS(2177),
    [anon_sym_exists] = ACTIONS(2177),
    [anon_sym_exit] = ACTIONS(2177),
    [anon_sym_eof] = ACTIONS(2177),
    [anon_sym_exp] = ACTIONS(2177),
    [anon_sym_each] = ACTIONS(2177),
    [anon_sym_fc] = ACTIONS(2177),
    [anon_sym_fileno] = ACTIONS(2177),
    [anon_sym_gmtime] = ACTIONS(2177),
    [anon_sym_getc] = ACTIONS(2177),
    [anon_sym_getpgrp] = ACTIONS(2177),
    [anon_sym_getprotobyname] = ACTIONS(2177),
    [anon_sym_getpwname] = ACTIONS(2177),
    [anon_sym_getpwuid] = ACTIONS(2177),
    [anon_sym_getpeername] = ACTIONS(2177),
    [anon_sym_getnetbyname] = ACTIONS(2177),
    [anon_sym_getsockname] = ACTIONS(2177),
    [anon_sym_getgrnam] = ACTIONS(2177),
    [anon_sym_getgrgid] = ACTIONS(2177),
    [anon_sym_hex] = ACTIONS(2177),
    [anon_sym_int] = ACTIONS(2177),
    [anon_sym_keys] = ACTIONS(2177),
    [anon_sym_lc] = ACTIONS(2177),
    [anon_sym_lcfirst] = ACTIONS(2177),
    [anon_sym_length] = ACTIONS(2177),
    [anon_sym_localtime] = ACTIONS(2177),
    [anon_sym_log] = ACTIONS(2177),
    [anon_sym_lock] = ACTIONS(2177),
    [anon_sym_lstat] = ACTIONS(2177),
    [anon_sym_oct] = ACTIONS(2177),
    [anon_sym_ord] = ACTIONS(2177),
    [anon_sym_prototype] = ACTIONS(2177),
    [anon_sym_pop] = ACTIONS(2177),
    [anon_sym_pos] = ACTIONS(2177),
    [anon_sym_quotemeta] = ACTIONS(2177),
    [anon_sym_reset] = ACTIONS(2177),
    [anon_sym_rand] = ACTIONS(2177),
    [anon_sym_rmdir] = ACTIONS(2177),
    [anon_sym_readdir] = ACTIONS(2177),
    [anon_sym_readline] = ACTIONS(2177),
    [anon_sym_readpipe] = ACTIONS(2177),
    [anon_sym_rewinddir] = ACTIONS(2177),
    [anon_sym_readlink] = ACTIONS(2177),
    [anon_sym_ref] = ACTIONS(2177),
    [anon_sym_scalar] = ACTIONS(2177),
    [anon_sym_shift] = ACTIONS(2177),
    [anon_sym_sin] = ACTIONS(2177),
    [anon_sym_sleep] = ACTIONS(2177),
    [anon_sym_sqrt] = ACTIONS(2177),
    [anon_sym_srand] = ACTIONS(2177),
    [anon_sym_stat] = ACTIONS(2177),
    [anon_sym_study] = ACTIONS(2177),
    [anon_sym_tell] = ACTIONS(2177),
    [anon_sym_telldir] = ACTIONS(2177),
    [anon_sym_tied] = ACTIONS(2177),
    [anon_sym_uc] = ACTIONS(2177),
    [anon_sym_ucfirst] = ACTIONS(2177),
    [anon_sym_untie] = ACTIONS(2177),
    [anon_sym_umask] = ACTIONS(2177),
    [anon_sym_values] = ACTIONS(2177),
    [anon_sym_write] = ACTIONS(2177),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2177),
    [anon_sym_qq] = ACTIONS(2177),
    [anon_sym_qw] = ACTIONS(2177),
    [anon_sym_qx] = ACTIONS(2177),
    [anon_sym_qr] = ACTIONS(2177),
    [anon_sym_m] = ACTIONS(2177),
    [anon_sym_s] = ACTIONS(2177),
    [anon_sym_tr] = ACTIONS(2177),
    [anon_sym_y] = ACTIONS(2177),
    [aux_sym__bareword_token1] = ACTIONS(2177),
    [sym_number] = ACTIONS(2177),
    [anon_sym_true] = ACTIONS(2177),
    [anon_sym_false] = ACTIONS(2177),
    [sym__single_quote] = ACTIONS(2175),
    [sym__double_quote] = ACTIONS(2175),
    [sym__backtick_quote] = ACTIONS(2175),
    [sym__search_slash_quote] = ACTIONS(2175),
    [sym__open_readline_bracket] = ACTIONS(2175),
    [sym__open_fileglob_bracket] = ACTIONS(2175),
    [sym__PERLY_HEREDOC] = ACTIONS(2175),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2175),
    [sym__filetest] = ACTIONS(2175),
  },
  [1112] = {
    [sym_heredoc_content] = STATE(1112),
    [sym__identifier] = ACTIONS(2181),
    [anon_sym_LBRACE] = ACTIONS(2181),
    [anon_sym_DOLLAR] = ACTIONS(2181),
    [anon_sym_AT] = ACTIONS(2181),
    [anon_sym_RPAREN] = ACTIONS(2181),
    [anon_sym_my] = ACTIONS(2181),
    [anon_sym_extended] = ACTIONS(2181),
    [anon_sym_async] = ACTIONS(2181),
    [anon_sym_sub] = ACTIONS(2181),
    [anon_sym_method] = ACTIONS(2181),
    [anon_sym_LPAREN] = ACTIONS(2181),
    [anon_sym_continue] = ACTIONS(2181),
    [anon_sym_state] = ACTIONS(2181),
    [anon_sym_our] = ACTIONS(2181),
    [anon_sym_LBRACK] = ACTIONS(2181),
    [anon_sym_LT_LT] = ACTIONS(2181),
    [anon_sym_SLASH_SLASH] = ACTIONS(2181),
    [anon_sym_PLUS] = ACTIONS(2181),
    [anon_sym_DASH] = ACTIONS(2181),
    [anon_sym_TILDE] = ACTIONS(2181),
    [anon_sym_BANG] = ACTIONS(2181),
    [anon_sym_PLUS_PLUS] = ACTIONS(2181),
    [anon_sym_DASH_DASH] = ACTIONS(2181),
    [anon_sym_BSLASH] = ACTIONS(2179),
    [anon_sym_do] = ACTIONS(2181),
    [anon_sym_eval] = ACTIONS(2181),
    [anon_sym_await] = ACTIONS(2181),
    [anon_sym_field] = ACTIONS(2181),
    [anon_sym_local] = ACTIONS(2181),
    [anon_sym_dynamically] = ACTIONS(2181),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2181),
    [anon_sym_require] = ACTIONS(2181),
    [anon_sym_map] = ACTIONS(2181),
    [anon_sym_grep] = ACTIONS(2181),
    [anon_sym_sort] = ACTIONS(2181),
    [anon_sym_goto] = ACTIONS(2181),
    [anon_sym_return] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2181),
    [anon_sym_PERCENT2] = ACTIONS(2181),
    [anon_sym_AMP2] = ACTIONS(2181),
    [anon_sym_STAR2] = ACTIONS(2181),
    [anon_sym_last] = ACTIONS(2181),
    [anon_sym_next] = ACTIONS(2181),
    [anon_sym_redo] = ACTIONS(2181),
    [anon_sym___FILE__] = ACTIONS(2181),
    [anon_sym___LINE__] = ACTIONS(2181),
    [anon_sym___PACKAGE__] = ACTIONS(2181),
    [anon_sym___SUB__] = ACTIONS(2181),
    [anon_sym_break] = ACTIONS(2181),
    [anon_sym_fork] = ACTIONS(2181),
    [anon_sym_getppid] = ACTIONS(2181),
    [anon_sym_time] = ACTIONS(2181),
    [anon_sym_times] = ACTIONS(2181),
    [anon_sym_wait] = ACTIONS(2181),
    [anon_sym_wantarray] = ACTIONS(2181),
    [anon_sym_abs] = ACTIONS(2181),
    [anon_sym_alarm] = ACTIONS(2181),
    [anon_sym_chop] = ACTIONS(2181),
    [anon_sym_chdir] = ACTIONS(2181),
    [anon_sym_close] = ACTIONS(2181),
    [anon_sym_closedir] = ACTIONS(2181),
    [anon_sym_caller] = ACTIONS(2181),
    [anon_sym_chomp] = ACTIONS(2181),
    [anon_sym_chr] = ACTIONS(2181),
    [anon_sym_cos] = ACTIONS(2181),
    [anon_sym_chroot] = ACTIONS(2181),
    [anon_sym_defined] = ACTIONS(2181),
    [anon_sym_delete] = ACTIONS(2181),
    [anon_sym_dbmclose] = ACTIONS(2181),
    [anon_sym_exists] = ACTIONS(2181),
    [anon_sym_exit] = ACTIONS(2181),
    [anon_sym_eof] = ACTIONS(2181),
    [anon_sym_exp] = ACTIONS(2181),
    [anon_sym_each] = ACTIONS(2181),
    [anon_sym_fc] = ACTIONS(2181),
    [anon_sym_fileno] = ACTIONS(2181),
    [anon_sym_gmtime] = ACTIONS(2181),
    [anon_sym_getc] = ACTIONS(2181),
    [anon_sym_getpgrp] = ACTIONS(2181),
    [anon_sym_getprotobyname] = ACTIONS(2181),
    [anon_sym_getpwname] = ACTIONS(2181),
    [anon_sym_getpwuid] = ACTIONS(2181),
    [anon_sym_getpeername] = ACTIONS(2181),
    [anon_sym_getnetbyname] = ACTIONS(2181),
    [anon_sym_getsockname] = ACTIONS(2181),
    [anon_sym_getgrnam] = ACTIONS(2181),
    [anon_sym_getgrgid] = ACTIONS(2181),
    [anon_sym_hex] = ACTIONS(2181),
    [anon_sym_int] = ACTIONS(2181),
    [anon_sym_keys] = ACTIONS(2181),
    [anon_sym_lc] = ACTIONS(2181),
    [anon_sym_lcfirst] = ACTIONS(2181),
    [anon_sym_length] = ACTIONS(2181),
    [anon_sym_localtime] = ACTIONS(2181),
    [anon_sym_log] = ACTIONS(2181),
    [anon_sym_lock] = ACTIONS(2181),
    [anon_sym_lstat] = ACTIONS(2181),
    [anon_sym_oct] = ACTIONS(2181),
    [anon_sym_ord] = ACTIONS(2181),
    [anon_sym_prototype] = ACTIONS(2181),
    [anon_sym_pop] = ACTIONS(2181),
    [anon_sym_pos] = ACTIONS(2181),
    [anon_sym_quotemeta] = ACTIONS(2181),
    [anon_sym_reset] = ACTIONS(2181),
    [anon_sym_rand] = ACTIONS(2181),
    [anon_sym_rmdir] = ACTIONS(2181),
    [anon_sym_readdir] = ACTIONS(2181),
    [anon_sym_readline] = ACTIONS(2181),
    [anon_sym_readpipe] = ACTIONS(2181),
    [anon_sym_rewinddir] = ACTIONS(2181),
    [anon_sym_readlink] = ACTIONS(2181),
    [anon_sym_ref] = ACTIONS(2181),
    [anon_sym_scalar] = ACTIONS(2181),
    [anon_sym_shift] = ACTIONS(2181),
    [anon_sym_sin] = ACTIONS(2181),
    [anon_sym_sleep] = ACTIONS(2181),
    [anon_sym_sqrt] = ACTIONS(2181),
    [anon_sym_srand] = ACTIONS(2181),
    [anon_sym_stat] = ACTIONS(2181),
    [anon_sym_study] = ACTIONS(2181),
    [anon_sym_tell] = ACTIONS(2181),
    [anon_sym_telldir] = ACTIONS(2181),
    [anon_sym_tied] = ACTIONS(2181),
    [anon_sym_uc] = ACTIONS(2181),
    [anon_sym_ucfirst] = ACTIONS(2181),
    [anon_sym_untie] = ACTIONS(2181),
    [anon_sym_umask] = ACTIONS(2181),
    [anon_sym_values] = ACTIONS(2181),
    [anon_sym_write] = ACTIONS(2181),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2181),
    [anon_sym_qq] = ACTIONS(2181),
    [anon_sym_qw] = ACTIONS(2181),
    [anon_sym_qx] = ACTIONS(2181),
    [anon_sym_qr] = ACTIONS(2181),
    [anon_sym_m] = ACTIONS(2181),
    [anon_sym_s] = ACTIONS(2181),
    [anon_sym_tr] = ACTIONS(2181),
    [anon_sym_y] = ACTIONS(2181),
    [aux_sym__bareword_token1] = ACTIONS(2181),
    [sym_number] = ACTIONS(2181),
    [anon_sym_true] = ACTIONS(2181),
    [anon_sym_false] = ACTIONS(2181),
    [sym__single_quote] = ACTIONS(2179),
    [sym__double_quote] = ACTIONS(2179),
    [sym__backtick_quote] = ACTIONS(2179),
    [sym__search_slash_quote] = ACTIONS(2179),
    [sym__open_readline_bracket] = ACTIONS(2179),
    [sym__open_fileglob_bracket] = ACTIONS(2179),
    [sym__PERLY_HEREDOC] = ACTIONS(2179),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2179),
    [sym__filetest] = ACTIONS(2179),
  },
  [1113] = {
    [sym_heredoc_content] = STATE(1113),
    [sym__identifier] = ACTIONS(2185),
    [anon_sym_LBRACE] = ACTIONS(2185),
    [anon_sym_DOLLAR] = ACTIONS(2185),
    [anon_sym_AT] = ACTIONS(2185),
    [anon_sym_RPAREN] = ACTIONS(2185),
    [anon_sym_my] = ACTIONS(2185),
    [anon_sym_extended] = ACTIONS(2185),
    [anon_sym_async] = ACTIONS(2185),
    [anon_sym_sub] = ACTIONS(2185),
    [anon_sym_method] = ACTIONS(2185),
    [anon_sym_LPAREN] = ACTIONS(2185),
    [anon_sym_continue] = ACTIONS(2185),
    [anon_sym_state] = ACTIONS(2185),
    [anon_sym_our] = ACTIONS(2185),
    [anon_sym_LBRACK] = ACTIONS(2185),
    [anon_sym_LT_LT] = ACTIONS(2185),
    [anon_sym_SLASH_SLASH] = ACTIONS(2185),
    [anon_sym_PLUS] = ACTIONS(2185),
    [anon_sym_DASH] = ACTIONS(2185),
    [anon_sym_TILDE] = ACTIONS(2185),
    [anon_sym_BANG] = ACTIONS(2185),
    [anon_sym_PLUS_PLUS] = ACTIONS(2185),
    [anon_sym_DASH_DASH] = ACTIONS(2185),
    [anon_sym_BSLASH] = ACTIONS(2183),
    [anon_sym_do] = ACTIONS(2185),
    [anon_sym_eval] = ACTIONS(2185),
    [anon_sym_await] = ACTIONS(2185),
    [anon_sym_field] = ACTIONS(2185),
    [anon_sym_local] = ACTIONS(2185),
    [anon_sym_dynamically] = ACTIONS(2185),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2185),
    [anon_sym_require] = ACTIONS(2185),
    [anon_sym_map] = ACTIONS(2185),
    [anon_sym_grep] = ACTIONS(2185),
    [anon_sym_sort] = ACTIONS(2185),
    [anon_sym_goto] = ACTIONS(2185),
    [anon_sym_return] = ACTIONS(2185),
    [anon_sym_undef] = ACTIONS(2185),
    [anon_sym_PERCENT2] = ACTIONS(2185),
    [anon_sym_AMP2] = ACTIONS(2185),
    [anon_sym_STAR2] = ACTIONS(2185),
    [anon_sym_last] = ACTIONS(2185),
    [anon_sym_next] = ACTIONS(2185),
    [anon_sym_redo] = ACTIONS(2185),
    [anon_sym___FILE__] = ACTIONS(2185),
    [anon_sym___LINE__] = ACTIONS(2185),
    [anon_sym___PACKAGE__] = ACTIONS(2185),
    [anon_sym___SUB__] = ACTIONS(2185),
    [anon_sym_break] = ACTIONS(2185),
    [anon_sym_fork] = ACTIONS(2185),
    [anon_sym_getppid] = ACTIONS(2185),
    [anon_sym_time] = ACTIONS(2185),
    [anon_sym_times] = ACTIONS(2185),
    [anon_sym_wait] = ACTIONS(2185),
    [anon_sym_wantarray] = ACTIONS(2185),
    [anon_sym_abs] = ACTIONS(2185),
    [anon_sym_alarm] = ACTIONS(2185),
    [anon_sym_chop] = ACTIONS(2185),
    [anon_sym_chdir] = ACTIONS(2185),
    [anon_sym_close] = ACTIONS(2185),
    [anon_sym_closedir] = ACTIONS(2185),
    [anon_sym_caller] = ACTIONS(2185),
    [anon_sym_chomp] = ACTIONS(2185),
    [anon_sym_chr] = ACTIONS(2185),
    [anon_sym_cos] = ACTIONS(2185),
    [anon_sym_chroot] = ACTIONS(2185),
    [anon_sym_defined] = ACTIONS(2185),
    [anon_sym_delete] = ACTIONS(2185),
    [anon_sym_dbmclose] = ACTIONS(2185),
    [anon_sym_exists] = ACTIONS(2185),
    [anon_sym_exit] = ACTIONS(2185),
    [anon_sym_eof] = ACTIONS(2185),
    [anon_sym_exp] = ACTIONS(2185),
    [anon_sym_each] = ACTIONS(2185),
    [anon_sym_fc] = ACTIONS(2185),
    [anon_sym_fileno] = ACTIONS(2185),
    [anon_sym_gmtime] = ACTIONS(2185),
    [anon_sym_getc] = ACTIONS(2185),
    [anon_sym_getpgrp] = ACTIONS(2185),
    [anon_sym_getprotobyname] = ACTIONS(2185),
    [anon_sym_getpwname] = ACTIONS(2185),
    [anon_sym_getpwuid] = ACTIONS(2185),
    [anon_sym_getpeername] = ACTIONS(2185),
    [anon_sym_getnetbyname] = ACTIONS(2185),
    [anon_sym_getsockname] = ACTIONS(2185),
    [anon_sym_getgrnam] = ACTIONS(2185),
    [anon_sym_getgrgid] = ACTIONS(2185),
    [anon_sym_hex] = ACTIONS(2185),
    [anon_sym_int] = ACTIONS(2185),
    [anon_sym_keys] = ACTIONS(2185),
    [anon_sym_lc] = ACTIONS(2185),
    [anon_sym_lcfirst] = ACTIONS(2185),
    [anon_sym_length] = ACTIONS(2185),
    [anon_sym_localtime] = ACTIONS(2185),
    [anon_sym_log] = ACTIONS(2185),
    [anon_sym_lock] = ACTIONS(2185),
    [anon_sym_lstat] = ACTIONS(2185),
    [anon_sym_oct] = ACTIONS(2185),
    [anon_sym_ord] = ACTIONS(2185),
    [anon_sym_prototype] = ACTIONS(2185),
    [anon_sym_pop] = ACTIONS(2185),
    [anon_sym_pos] = ACTIONS(2185),
    [anon_sym_quotemeta] = ACTIONS(2185),
    [anon_sym_reset] = ACTIONS(2185),
    [anon_sym_rand] = ACTIONS(2185),
    [anon_sym_rmdir] = ACTIONS(2185),
    [anon_sym_readdir] = ACTIONS(2185),
    [anon_sym_readline] = ACTIONS(2185),
    [anon_sym_readpipe] = ACTIONS(2185),
    [anon_sym_rewinddir] = ACTIONS(2185),
    [anon_sym_readlink] = ACTIONS(2185),
    [anon_sym_ref] = ACTIONS(2185),
    [anon_sym_scalar] = ACTIONS(2185),
    [anon_sym_shift] = ACTIONS(2185),
    [anon_sym_sin] = ACTIONS(2185),
    [anon_sym_sleep] = ACTIONS(2185),
    [anon_sym_sqrt] = ACTIONS(2185),
    [anon_sym_srand] = ACTIONS(2185),
    [anon_sym_stat] = ACTIONS(2185),
    [anon_sym_study] = ACTIONS(2185),
    [anon_sym_tell] = ACTIONS(2185),
    [anon_sym_telldir] = ACTIONS(2185),
    [anon_sym_tied] = ACTIONS(2185),
    [anon_sym_uc] = ACTIONS(2185),
    [anon_sym_ucfirst] = ACTIONS(2185),
    [anon_sym_untie] = ACTIONS(2185),
    [anon_sym_umask] = ACTIONS(2185),
    [anon_sym_values] = ACTIONS(2185),
    [anon_sym_write] = ACTIONS(2185),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2185),
    [anon_sym_qq] = ACTIONS(2185),
    [anon_sym_qw] = ACTIONS(2185),
    [anon_sym_qx] = ACTIONS(2185),
    [anon_sym_qr] = ACTIONS(2185),
    [anon_sym_m] = ACTIONS(2185),
    [anon_sym_s] = ACTIONS(2185),
    [anon_sym_tr] = ACTIONS(2185),
    [anon_sym_y] = ACTIONS(2185),
    [aux_sym__bareword_token1] = ACTIONS(2185),
    [sym_number] = ACTIONS(2185),
    [anon_sym_true] = ACTIONS(2185),
    [anon_sym_false] = ACTIONS(2185),
    [sym__single_quote] = ACTIONS(2183),
    [sym__double_quote] = ACTIONS(2183),
    [sym__backtick_quote] = ACTIONS(2183),
    [sym__search_slash_quote] = ACTIONS(2183),
    [sym__open_readline_bracket] = ACTIONS(2183),
    [sym__open_fileglob_bracket] = ACTIONS(2183),
    [sym__PERLY_HEREDOC] = ACTIONS(2183),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2183),
    [sym__filetest] = ACTIONS(2183),
  },
  [1114] = {
    [sym_heredoc_content] = STATE(1114),
    [sym__identifier] = ACTIONS(2189),
    [anon_sym_LBRACE] = ACTIONS(2189),
    [anon_sym_DOLLAR] = ACTIONS(2189),
    [anon_sym_AT] = ACTIONS(2189),
    [anon_sym_RPAREN] = ACTIONS(2189),
    [anon_sym_my] = ACTIONS(2189),
    [anon_sym_extended] = ACTIONS(2189),
    [anon_sym_async] = ACTIONS(2189),
    [anon_sym_sub] = ACTIONS(2189),
    [anon_sym_method] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(2189),
    [anon_sym_continue] = ACTIONS(2189),
    [anon_sym_state] = ACTIONS(2189),
    [anon_sym_our] = ACTIONS(2189),
    [anon_sym_LBRACK] = ACTIONS(2189),
    [anon_sym_LT_LT] = ACTIONS(2189),
    [anon_sym_SLASH_SLASH] = ACTIONS(2189),
    [anon_sym_PLUS] = ACTIONS(2189),
    [anon_sym_DASH] = ACTIONS(2189),
    [anon_sym_TILDE] = ACTIONS(2189),
    [anon_sym_BANG] = ACTIONS(2189),
    [anon_sym_PLUS_PLUS] = ACTIONS(2189),
    [anon_sym_DASH_DASH] = ACTIONS(2189),
    [anon_sym_BSLASH] = ACTIONS(2187),
    [anon_sym_do] = ACTIONS(2189),
    [anon_sym_eval] = ACTIONS(2189),
    [anon_sym_await] = ACTIONS(2189),
    [anon_sym_field] = ACTIONS(2189),
    [anon_sym_local] = ACTIONS(2189),
    [anon_sym_dynamically] = ACTIONS(2189),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2189),
    [anon_sym_require] = ACTIONS(2189),
    [anon_sym_map] = ACTIONS(2189),
    [anon_sym_grep] = ACTIONS(2189),
    [anon_sym_sort] = ACTIONS(2189),
    [anon_sym_goto] = ACTIONS(2189),
    [anon_sym_return] = ACTIONS(2189),
    [anon_sym_undef] = ACTIONS(2189),
    [anon_sym_PERCENT2] = ACTIONS(2189),
    [anon_sym_AMP2] = ACTIONS(2189),
    [anon_sym_STAR2] = ACTIONS(2189),
    [anon_sym_last] = ACTIONS(2189),
    [anon_sym_next] = ACTIONS(2189),
    [anon_sym_redo] = ACTIONS(2189),
    [anon_sym___FILE__] = ACTIONS(2189),
    [anon_sym___LINE__] = ACTIONS(2189),
    [anon_sym___PACKAGE__] = ACTIONS(2189),
    [anon_sym___SUB__] = ACTIONS(2189),
    [anon_sym_break] = ACTIONS(2189),
    [anon_sym_fork] = ACTIONS(2189),
    [anon_sym_getppid] = ACTIONS(2189),
    [anon_sym_time] = ACTIONS(2189),
    [anon_sym_times] = ACTIONS(2189),
    [anon_sym_wait] = ACTIONS(2189),
    [anon_sym_wantarray] = ACTIONS(2189),
    [anon_sym_abs] = ACTIONS(2189),
    [anon_sym_alarm] = ACTIONS(2189),
    [anon_sym_chop] = ACTIONS(2189),
    [anon_sym_chdir] = ACTIONS(2189),
    [anon_sym_close] = ACTIONS(2189),
    [anon_sym_closedir] = ACTIONS(2189),
    [anon_sym_caller] = ACTIONS(2189),
    [anon_sym_chomp] = ACTIONS(2189),
    [anon_sym_chr] = ACTIONS(2189),
    [anon_sym_cos] = ACTIONS(2189),
    [anon_sym_chroot] = ACTIONS(2189),
    [anon_sym_defined] = ACTIONS(2189),
    [anon_sym_delete] = ACTIONS(2189),
    [anon_sym_dbmclose] = ACTIONS(2189),
    [anon_sym_exists] = ACTIONS(2189),
    [anon_sym_exit] = ACTIONS(2189),
    [anon_sym_eof] = ACTIONS(2189),
    [anon_sym_exp] = ACTIONS(2189),
    [anon_sym_each] = ACTIONS(2189),
    [anon_sym_fc] = ACTIONS(2189),
    [anon_sym_fileno] = ACTIONS(2189),
    [anon_sym_gmtime] = ACTIONS(2189),
    [anon_sym_getc] = ACTIONS(2189),
    [anon_sym_getpgrp] = ACTIONS(2189),
    [anon_sym_getprotobyname] = ACTIONS(2189),
    [anon_sym_getpwname] = ACTIONS(2189),
    [anon_sym_getpwuid] = ACTIONS(2189),
    [anon_sym_getpeername] = ACTIONS(2189),
    [anon_sym_getnetbyname] = ACTIONS(2189),
    [anon_sym_getsockname] = ACTIONS(2189),
    [anon_sym_getgrnam] = ACTIONS(2189),
    [anon_sym_getgrgid] = ACTIONS(2189),
    [anon_sym_hex] = ACTIONS(2189),
    [anon_sym_int] = ACTIONS(2189),
    [anon_sym_keys] = ACTIONS(2189),
    [anon_sym_lc] = ACTIONS(2189),
    [anon_sym_lcfirst] = ACTIONS(2189),
    [anon_sym_length] = ACTIONS(2189),
    [anon_sym_localtime] = ACTIONS(2189),
    [anon_sym_log] = ACTIONS(2189),
    [anon_sym_lock] = ACTIONS(2189),
    [anon_sym_lstat] = ACTIONS(2189),
    [anon_sym_oct] = ACTIONS(2189),
    [anon_sym_ord] = ACTIONS(2189),
    [anon_sym_prototype] = ACTIONS(2189),
    [anon_sym_pop] = ACTIONS(2189),
    [anon_sym_pos] = ACTIONS(2189),
    [anon_sym_quotemeta] = ACTIONS(2189),
    [anon_sym_reset] = ACTIONS(2189),
    [anon_sym_rand] = ACTIONS(2189),
    [anon_sym_rmdir] = ACTIONS(2189),
    [anon_sym_readdir] = ACTIONS(2189),
    [anon_sym_readline] = ACTIONS(2189),
    [anon_sym_readpipe] = ACTIONS(2189),
    [anon_sym_rewinddir] = ACTIONS(2189),
    [anon_sym_readlink] = ACTIONS(2189),
    [anon_sym_ref] = ACTIONS(2189),
    [anon_sym_scalar] = ACTIONS(2189),
    [anon_sym_shift] = ACTIONS(2189),
    [anon_sym_sin] = ACTIONS(2189),
    [anon_sym_sleep] = ACTIONS(2189),
    [anon_sym_sqrt] = ACTIONS(2189),
    [anon_sym_srand] = ACTIONS(2189),
    [anon_sym_stat] = ACTIONS(2189),
    [anon_sym_study] = ACTIONS(2189),
    [anon_sym_tell] = ACTIONS(2189),
    [anon_sym_telldir] = ACTIONS(2189),
    [anon_sym_tied] = ACTIONS(2189),
    [anon_sym_uc] = ACTIONS(2189),
    [anon_sym_ucfirst] = ACTIONS(2189),
    [anon_sym_untie] = ACTIONS(2189),
    [anon_sym_umask] = ACTIONS(2189),
    [anon_sym_values] = ACTIONS(2189),
    [anon_sym_write] = ACTIONS(2189),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2189),
    [anon_sym_qq] = ACTIONS(2189),
    [anon_sym_qw] = ACTIONS(2189),
    [anon_sym_qx] = ACTIONS(2189),
    [anon_sym_qr] = ACTIONS(2189),
    [anon_sym_m] = ACTIONS(2189),
    [anon_sym_s] = ACTIONS(2189),
    [anon_sym_tr] = ACTIONS(2189),
    [anon_sym_y] = ACTIONS(2189),
    [aux_sym__bareword_token1] = ACTIONS(2189),
    [sym_number] = ACTIONS(2189),
    [anon_sym_true] = ACTIONS(2189),
    [anon_sym_false] = ACTIONS(2189),
    [sym__single_quote] = ACTIONS(2187),
    [sym__double_quote] = ACTIONS(2187),
    [sym__backtick_quote] = ACTIONS(2187),
    [sym__search_slash_quote] = ACTIONS(2187),
    [sym__open_readline_bracket] = ACTIONS(2187),
    [sym__open_fileglob_bracket] = ACTIONS(2187),
    [sym__PERLY_HEREDOC] = ACTIONS(2187),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2187),
    [sym__filetest] = ACTIONS(2187),
  },
  [1115] = {
    [sym_heredoc_content] = STATE(1115),
    [sym__identifier] = ACTIONS(2193),
    [anon_sym_LBRACE] = ACTIONS(2193),
    [anon_sym_DOLLAR] = ACTIONS(2193),
    [anon_sym_AT] = ACTIONS(2193),
    [anon_sym_RPAREN] = ACTIONS(2193),
    [anon_sym_my] = ACTIONS(2193),
    [anon_sym_extended] = ACTIONS(2193),
    [anon_sym_async] = ACTIONS(2193),
    [anon_sym_sub] = ACTIONS(2193),
    [anon_sym_method] = ACTIONS(2193),
    [anon_sym_LPAREN] = ACTIONS(2193),
    [anon_sym_continue] = ACTIONS(2193),
    [anon_sym_state] = ACTIONS(2193),
    [anon_sym_our] = ACTIONS(2193),
    [anon_sym_LBRACK] = ACTIONS(2193),
    [anon_sym_LT_LT] = ACTIONS(2193),
    [anon_sym_SLASH_SLASH] = ACTIONS(2193),
    [anon_sym_PLUS] = ACTIONS(2193),
    [anon_sym_DASH] = ACTIONS(2193),
    [anon_sym_TILDE] = ACTIONS(2193),
    [anon_sym_BANG] = ACTIONS(2193),
    [anon_sym_PLUS_PLUS] = ACTIONS(2193),
    [anon_sym_DASH_DASH] = ACTIONS(2193),
    [anon_sym_BSLASH] = ACTIONS(2191),
    [anon_sym_do] = ACTIONS(2193),
    [anon_sym_eval] = ACTIONS(2193),
    [anon_sym_await] = ACTIONS(2193),
    [anon_sym_field] = ACTIONS(2193),
    [anon_sym_local] = ACTIONS(2193),
    [anon_sym_dynamically] = ACTIONS(2193),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2193),
    [anon_sym_require] = ACTIONS(2193),
    [anon_sym_map] = ACTIONS(2193),
    [anon_sym_grep] = ACTIONS(2193),
    [anon_sym_sort] = ACTIONS(2193),
    [anon_sym_goto] = ACTIONS(2193),
    [anon_sym_return] = ACTIONS(2193),
    [anon_sym_undef] = ACTIONS(2193),
    [anon_sym_PERCENT2] = ACTIONS(2193),
    [anon_sym_AMP2] = ACTIONS(2193),
    [anon_sym_STAR2] = ACTIONS(2193),
    [anon_sym_last] = ACTIONS(2193),
    [anon_sym_next] = ACTIONS(2193),
    [anon_sym_redo] = ACTIONS(2193),
    [anon_sym___FILE__] = ACTIONS(2193),
    [anon_sym___LINE__] = ACTIONS(2193),
    [anon_sym___PACKAGE__] = ACTIONS(2193),
    [anon_sym___SUB__] = ACTIONS(2193),
    [anon_sym_break] = ACTIONS(2193),
    [anon_sym_fork] = ACTIONS(2193),
    [anon_sym_getppid] = ACTIONS(2193),
    [anon_sym_time] = ACTIONS(2193),
    [anon_sym_times] = ACTIONS(2193),
    [anon_sym_wait] = ACTIONS(2193),
    [anon_sym_wantarray] = ACTIONS(2193),
    [anon_sym_abs] = ACTIONS(2193),
    [anon_sym_alarm] = ACTIONS(2193),
    [anon_sym_chop] = ACTIONS(2193),
    [anon_sym_chdir] = ACTIONS(2193),
    [anon_sym_close] = ACTIONS(2193),
    [anon_sym_closedir] = ACTIONS(2193),
    [anon_sym_caller] = ACTIONS(2193),
    [anon_sym_chomp] = ACTIONS(2193),
    [anon_sym_chr] = ACTIONS(2193),
    [anon_sym_cos] = ACTIONS(2193),
    [anon_sym_chroot] = ACTIONS(2193),
    [anon_sym_defined] = ACTIONS(2193),
    [anon_sym_delete] = ACTIONS(2193),
    [anon_sym_dbmclose] = ACTIONS(2193),
    [anon_sym_exists] = ACTIONS(2193),
    [anon_sym_exit] = ACTIONS(2193),
    [anon_sym_eof] = ACTIONS(2193),
    [anon_sym_exp] = ACTIONS(2193),
    [anon_sym_each] = ACTIONS(2193),
    [anon_sym_fc] = ACTIONS(2193),
    [anon_sym_fileno] = ACTIONS(2193),
    [anon_sym_gmtime] = ACTIONS(2193),
    [anon_sym_getc] = ACTIONS(2193),
    [anon_sym_getpgrp] = ACTIONS(2193),
    [anon_sym_getprotobyname] = ACTIONS(2193),
    [anon_sym_getpwname] = ACTIONS(2193),
    [anon_sym_getpwuid] = ACTIONS(2193),
    [anon_sym_getpeername] = ACTIONS(2193),
    [anon_sym_getnetbyname] = ACTIONS(2193),
    [anon_sym_getsockname] = ACTIONS(2193),
    [anon_sym_getgrnam] = ACTIONS(2193),
    [anon_sym_getgrgid] = ACTIONS(2193),
    [anon_sym_hex] = ACTIONS(2193),
    [anon_sym_int] = ACTIONS(2193),
    [anon_sym_keys] = ACTIONS(2193),
    [anon_sym_lc] = ACTIONS(2193),
    [anon_sym_lcfirst] = ACTIONS(2193),
    [anon_sym_length] = ACTIONS(2193),
    [anon_sym_localtime] = ACTIONS(2193),
    [anon_sym_log] = ACTIONS(2193),
    [anon_sym_lock] = ACTIONS(2193),
    [anon_sym_lstat] = ACTIONS(2193),
    [anon_sym_oct] = ACTIONS(2193),
    [anon_sym_ord] = ACTIONS(2193),
    [anon_sym_prototype] = ACTIONS(2193),
    [anon_sym_pop] = ACTIONS(2193),
    [anon_sym_pos] = ACTIONS(2193),
    [anon_sym_quotemeta] = ACTIONS(2193),
    [anon_sym_reset] = ACTIONS(2193),
    [anon_sym_rand] = ACTIONS(2193),
    [anon_sym_rmdir] = ACTIONS(2193),
    [anon_sym_readdir] = ACTIONS(2193),
    [anon_sym_readline] = ACTIONS(2193),
    [anon_sym_readpipe] = ACTIONS(2193),
    [anon_sym_rewinddir] = ACTIONS(2193),
    [anon_sym_readlink] = ACTIONS(2193),
    [anon_sym_ref] = ACTIONS(2193),
    [anon_sym_scalar] = ACTIONS(2193),
    [anon_sym_shift] = ACTIONS(2193),
    [anon_sym_sin] = ACTIONS(2193),
    [anon_sym_sleep] = ACTIONS(2193),
    [anon_sym_sqrt] = ACTIONS(2193),
    [anon_sym_srand] = ACTIONS(2193),
    [anon_sym_stat] = ACTIONS(2193),
    [anon_sym_study] = ACTIONS(2193),
    [anon_sym_tell] = ACTIONS(2193),
    [anon_sym_telldir] = ACTIONS(2193),
    [anon_sym_tied] = ACTIONS(2193),
    [anon_sym_uc] = ACTIONS(2193),
    [anon_sym_ucfirst] = ACTIONS(2193),
    [anon_sym_untie] = ACTIONS(2193),
    [anon_sym_umask] = ACTIONS(2193),
    [anon_sym_values] = ACTIONS(2193),
    [anon_sym_write] = ACTIONS(2193),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2193),
    [anon_sym_qq] = ACTIONS(2193),
    [anon_sym_qw] = ACTIONS(2193),
    [anon_sym_qx] = ACTIONS(2193),
    [anon_sym_qr] = ACTIONS(2193),
    [anon_sym_m] = ACTIONS(2193),
    [anon_sym_s] = ACTIONS(2193),
    [anon_sym_tr] = ACTIONS(2193),
    [anon_sym_y] = ACTIONS(2193),
    [aux_sym__bareword_token1] = ACTIONS(2193),
    [sym_number] = ACTIONS(2193),
    [anon_sym_true] = ACTIONS(2193),
    [anon_sym_false] = ACTIONS(2193),
    [sym__single_quote] = ACTIONS(2191),
    [sym__double_quote] = ACTIONS(2191),
    [sym__backtick_quote] = ACTIONS(2191),
    [sym__search_slash_quote] = ACTIONS(2191),
    [sym__open_readline_bracket] = ACTIONS(2191),
    [sym__open_fileglob_bracket] = ACTIONS(2191),
    [sym__PERLY_HEREDOC] = ACTIONS(2191),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2191),
    [sym__filetest] = ACTIONS(2191),
  },
  [1116] = {
    [sym_heredoc_content] = STATE(1116),
    [sym__identifier] = ACTIONS(2197),
    [anon_sym_LBRACE] = ACTIONS(2197),
    [anon_sym_DOLLAR] = ACTIONS(2197),
    [anon_sym_AT] = ACTIONS(2197),
    [anon_sym_RPAREN] = ACTIONS(2197),
    [anon_sym_my] = ACTIONS(2197),
    [anon_sym_extended] = ACTIONS(2197),
    [anon_sym_async] = ACTIONS(2197),
    [anon_sym_sub] = ACTIONS(2197),
    [anon_sym_method] = ACTIONS(2197),
    [anon_sym_LPAREN] = ACTIONS(2197),
    [anon_sym_continue] = ACTIONS(2197),
    [anon_sym_state] = ACTIONS(2197),
    [anon_sym_our] = ACTIONS(2197),
    [anon_sym_LBRACK] = ACTIONS(2197),
    [anon_sym_LT_LT] = ACTIONS(2197),
    [anon_sym_SLASH_SLASH] = ACTIONS(2197),
    [anon_sym_PLUS] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2197),
    [anon_sym_TILDE] = ACTIONS(2197),
    [anon_sym_BANG] = ACTIONS(2197),
    [anon_sym_PLUS_PLUS] = ACTIONS(2197),
    [anon_sym_DASH_DASH] = ACTIONS(2197),
    [anon_sym_BSLASH] = ACTIONS(2195),
    [anon_sym_do] = ACTIONS(2197),
    [anon_sym_eval] = ACTIONS(2197),
    [anon_sym_await] = ACTIONS(2197),
    [anon_sym_field] = ACTIONS(2197),
    [anon_sym_local] = ACTIONS(2197),
    [anon_sym_dynamically] = ACTIONS(2197),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2197),
    [anon_sym_require] = ACTIONS(2197),
    [anon_sym_map] = ACTIONS(2197),
    [anon_sym_grep] = ACTIONS(2197),
    [anon_sym_sort] = ACTIONS(2197),
    [anon_sym_goto] = ACTIONS(2197),
    [anon_sym_return] = ACTIONS(2197),
    [anon_sym_undef] = ACTIONS(2197),
    [anon_sym_PERCENT2] = ACTIONS(2197),
    [anon_sym_AMP2] = ACTIONS(2197),
    [anon_sym_STAR2] = ACTIONS(2197),
    [anon_sym_last] = ACTIONS(2197),
    [anon_sym_next] = ACTIONS(2197),
    [anon_sym_redo] = ACTIONS(2197),
    [anon_sym___FILE__] = ACTIONS(2197),
    [anon_sym___LINE__] = ACTIONS(2197),
    [anon_sym___PACKAGE__] = ACTIONS(2197),
    [anon_sym___SUB__] = ACTIONS(2197),
    [anon_sym_break] = ACTIONS(2197),
    [anon_sym_fork] = ACTIONS(2197),
    [anon_sym_getppid] = ACTIONS(2197),
    [anon_sym_time] = ACTIONS(2197),
    [anon_sym_times] = ACTIONS(2197),
    [anon_sym_wait] = ACTIONS(2197),
    [anon_sym_wantarray] = ACTIONS(2197),
    [anon_sym_abs] = ACTIONS(2197),
    [anon_sym_alarm] = ACTIONS(2197),
    [anon_sym_chop] = ACTIONS(2197),
    [anon_sym_chdir] = ACTIONS(2197),
    [anon_sym_close] = ACTIONS(2197),
    [anon_sym_closedir] = ACTIONS(2197),
    [anon_sym_caller] = ACTIONS(2197),
    [anon_sym_chomp] = ACTIONS(2197),
    [anon_sym_chr] = ACTIONS(2197),
    [anon_sym_cos] = ACTIONS(2197),
    [anon_sym_chroot] = ACTIONS(2197),
    [anon_sym_defined] = ACTIONS(2197),
    [anon_sym_delete] = ACTIONS(2197),
    [anon_sym_dbmclose] = ACTIONS(2197),
    [anon_sym_exists] = ACTIONS(2197),
    [anon_sym_exit] = ACTIONS(2197),
    [anon_sym_eof] = ACTIONS(2197),
    [anon_sym_exp] = ACTIONS(2197),
    [anon_sym_each] = ACTIONS(2197),
    [anon_sym_fc] = ACTIONS(2197),
    [anon_sym_fileno] = ACTIONS(2197),
    [anon_sym_gmtime] = ACTIONS(2197),
    [anon_sym_getc] = ACTIONS(2197),
    [anon_sym_getpgrp] = ACTIONS(2197),
    [anon_sym_getprotobyname] = ACTIONS(2197),
    [anon_sym_getpwname] = ACTIONS(2197),
    [anon_sym_getpwuid] = ACTIONS(2197),
    [anon_sym_getpeername] = ACTIONS(2197),
    [anon_sym_getnetbyname] = ACTIONS(2197),
    [anon_sym_getsockname] = ACTIONS(2197),
    [anon_sym_getgrnam] = ACTIONS(2197),
    [anon_sym_getgrgid] = ACTIONS(2197),
    [anon_sym_hex] = ACTIONS(2197),
    [anon_sym_int] = ACTIONS(2197),
    [anon_sym_keys] = ACTIONS(2197),
    [anon_sym_lc] = ACTIONS(2197),
    [anon_sym_lcfirst] = ACTIONS(2197),
    [anon_sym_length] = ACTIONS(2197),
    [anon_sym_localtime] = ACTIONS(2197),
    [anon_sym_log] = ACTIONS(2197),
    [anon_sym_lock] = ACTIONS(2197),
    [anon_sym_lstat] = ACTIONS(2197),
    [anon_sym_oct] = ACTIONS(2197),
    [anon_sym_ord] = ACTIONS(2197),
    [anon_sym_prototype] = ACTIONS(2197),
    [anon_sym_pop] = ACTIONS(2197),
    [anon_sym_pos] = ACTIONS(2197),
    [anon_sym_quotemeta] = ACTIONS(2197),
    [anon_sym_reset] = ACTIONS(2197),
    [anon_sym_rand] = ACTIONS(2197),
    [anon_sym_rmdir] = ACTIONS(2197),
    [anon_sym_readdir] = ACTIONS(2197),
    [anon_sym_readline] = ACTIONS(2197),
    [anon_sym_readpipe] = ACTIONS(2197),
    [anon_sym_rewinddir] = ACTIONS(2197),
    [anon_sym_readlink] = ACTIONS(2197),
    [anon_sym_ref] = ACTIONS(2197),
    [anon_sym_scalar] = ACTIONS(2197),
    [anon_sym_shift] = ACTIONS(2197),
    [anon_sym_sin] = ACTIONS(2197),
    [anon_sym_sleep] = ACTIONS(2197),
    [anon_sym_sqrt] = ACTIONS(2197),
    [anon_sym_srand] = ACTIONS(2197),
    [anon_sym_stat] = ACTIONS(2197),
    [anon_sym_study] = ACTIONS(2197),
    [anon_sym_tell] = ACTIONS(2197),
    [anon_sym_telldir] = ACTIONS(2197),
    [anon_sym_tied] = ACTIONS(2197),
    [anon_sym_uc] = ACTIONS(2197),
    [anon_sym_ucfirst] = ACTIONS(2197),
    [anon_sym_untie] = ACTIONS(2197),
    [anon_sym_umask] = ACTIONS(2197),
    [anon_sym_values] = ACTIONS(2197),
    [anon_sym_write] = ACTIONS(2197),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2197),
    [anon_sym_qq] = ACTIONS(2197),
    [anon_sym_qw] = ACTIONS(2197),
    [anon_sym_qx] = ACTIONS(2197),
    [anon_sym_qr] = ACTIONS(2197),
    [anon_sym_m] = ACTIONS(2197),
    [anon_sym_s] = ACTIONS(2197),
    [anon_sym_tr] = ACTIONS(2197),
    [anon_sym_y] = ACTIONS(2197),
    [aux_sym__bareword_token1] = ACTIONS(2197),
    [sym_number] = ACTIONS(2197),
    [anon_sym_true] = ACTIONS(2197),
    [anon_sym_false] = ACTIONS(2197),
    [sym__single_quote] = ACTIONS(2195),
    [sym__double_quote] = ACTIONS(2195),
    [sym__backtick_quote] = ACTIONS(2195),
    [sym__search_slash_quote] = ACTIONS(2195),
    [sym__open_readline_bracket] = ACTIONS(2195),
    [sym__open_fileglob_bracket] = ACTIONS(2195),
    [sym__PERLY_HEREDOC] = ACTIONS(2195),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2195),
    [sym__filetest] = ACTIONS(2195),
  },
  [1117] = {
    [sym_heredoc_content] = STATE(1117),
    [sym__identifier] = ACTIONS(2201),
    [anon_sym_LBRACE] = ACTIONS(2201),
    [anon_sym_DOLLAR] = ACTIONS(2201),
    [anon_sym_AT] = ACTIONS(2201),
    [anon_sym_RPAREN] = ACTIONS(2201),
    [anon_sym_my] = ACTIONS(2201),
    [anon_sym_extended] = ACTIONS(2201),
    [anon_sym_async] = ACTIONS(2201),
    [anon_sym_sub] = ACTIONS(2201),
    [anon_sym_method] = ACTIONS(2201),
    [anon_sym_LPAREN] = ACTIONS(2201),
    [anon_sym_continue] = ACTIONS(2201),
    [anon_sym_state] = ACTIONS(2201),
    [anon_sym_our] = ACTIONS(2201),
    [anon_sym_LBRACK] = ACTIONS(2201),
    [anon_sym_LT_LT] = ACTIONS(2201),
    [anon_sym_SLASH_SLASH] = ACTIONS(2201),
    [anon_sym_PLUS] = ACTIONS(2201),
    [anon_sym_DASH] = ACTIONS(2201),
    [anon_sym_TILDE] = ACTIONS(2201),
    [anon_sym_BANG] = ACTIONS(2201),
    [anon_sym_PLUS_PLUS] = ACTIONS(2201),
    [anon_sym_DASH_DASH] = ACTIONS(2201),
    [anon_sym_BSLASH] = ACTIONS(2199),
    [anon_sym_do] = ACTIONS(2201),
    [anon_sym_eval] = ACTIONS(2201),
    [anon_sym_await] = ACTIONS(2201),
    [anon_sym_field] = ACTIONS(2201),
    [anon_sym_local] = ACTIONS(2201),
    [anon_sym_dynamically] = ACTIONS(2201),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2201),
    [anon_sym_require] = ACTIONS(2201),
    [anon_sym_map] = ACTIONS(2201),
    [anon_sym_grep] = ACTIONS(2201),
    [anon_sym_sort] = ACTIONS(2201),
    [anon_sym_goto] = ACTIONS(2201),
    [anon_sym_return] = ACTIONS(2201),
    [anon_sym_undef] = ACTIONS(2201),
    [anon_sym_PERCENT2] = ACTIONS(2201),
    [anon_sym_AMP2] = ACTIONS(2201),
    [anon_sym_STAR2] = ACTIONS(2201),
    [anon_sym_last] = ACTIONS(2201),
    [anon_sym_next] = ACTIONS(2201),
    [anon_sym_redo] = ACTIONS(2201),
    [anon_sym___FILE__] = ACTIONS(2201),
    [anon_sym___LINE__] = ACTIONS(2201),
    [anon_sym___PACKAGE__] = ACTIONS(2201),
    [anon_sym___SUB__] = ACTIONS(2201),
    [anon_sym_break] = ACTIONS(2201),
    [anon_sym_fork] = ACTIONS(2201),
    [anon_sym_getppid] = ACTIONS(2201),
    [anon_sym_time] = ACTIONS(2201),
    [anon_sym_times] = ACTIONS(2201),
    [anon_sym_wait] = ACTIONS(2201),
    [anon_sym_wantarray] = ACTIONS(2201),
    [anon_sym_abs] = ACTIONS(2201),
    [anon_sym_alarm] = ACTIONS(2201),
    [anon_sym_chop] = ACTIONS(2201),
    [anon_sym_chdir] = ACTIONS(2201),
    [anon_sym_close] = ACTIONS(2201),
    [anon_sym_closedir] = ACTIONS(2201),
    [anon_sym_caller] = ACTIONS(2201),
    [anon_sym_chomp] = ACTIONS(2201),
    [anon_sym_chr] = ACTIONS(2201),
    [anon_sym_cos] = ACTIONS(2201),
    [anon_sym_chroot] = ACTIONS(2201),
    [anon_sym_defined] = ACTIONS(2201),
    [anon_sym_delete] = ACTIONS(2201),
    [anon_sym_dbmclose] = ACTIONS(2201),
    [anon_sym_exists] = ACTIONS(2201),
    [anon_sym_exit] = ACTIONS(2201),
    [anon_sym_eof] = ACTIONS(2201),
    [anon_sym_exp] = ACTIONS(2201),
    [anon_sym_each] = ACTIONS(2201),
    [anon_sym_fc] = ACTIONS(2201),
    [anon_sym_fileno] = ACTIONS(2201),
    [anon_sym_gmtime] = ACTIONS(2201),
    [anon_sym_getc] = ACTIONS(2201),
    [anon_sym_getpgrp] = ACTIONS(2201),
    [anon_sym_getprotobyname] = ACTIONS(2201),
    [anon_sym_getpwname] = ACTIONS(2201),
    [anon_sym_getpwuid] = ACTIONS(2201),
    [anon_sym_getpeername] = ACTIONS(2201),
    [anon_sym_getnetbyname] = ACTIONS(2201),
    [anon_sym_getsockname] = ACTIONS(2201),
    [anon_sym_getgrnam] = ACTIONS(2201),
    [anon_sym_getgrgid] = ACTIONS(2201),
    [anon_sym_hex] = ACTIONS(2201),
    [anon_sym_int] = ACTIONS(2201),
    [anon_sym_keys] = ACTIONS(2201),
    [anon_sym_lc] = ACTIONS(2201),
    [anon_sym_lcfirst] = ACTIONS(2201),
    [anon_sym_length] = ACTIONS(2201),
    [anon_sym_localtime] = ACTIONS(2201),
    [anon_sym_log] = ACTIONS(2201),
    [anon_sym_lock] = ACTIONS(2201),
    [anon_sym_lstat] = ACTIONS(2201),
    [anon_sym_oct] = ACTIONS(2201),
    [anon_sym_ord] = ACTIONS(2201),
    [anon_sym_prototype] = ACTIONS(2201),
    [anon_sym_pop] = ACTIONS(2201),
    [anon_sym_pos] = ACTIONS(2201),
    [anon_sym_quotemeta] = ACTIONS(2201),
    [anon_sym_reset] = ACTIONS(2201),
    [anon_sym_rand] = ACTIONS(2201),
    [anon_sym_rmdir] = ACTIONS(2201),
    [anon_sym_readdir] = ACTIONS(2201),
    [anon_sym_readline] = ACTIONS(2201),
    [anon_sym_readpipe] = ACTIONS(2201),
    [anon_sym_rewinddir] = ACTIONS(2201),
    [anon_sym_readlink] = ACTIONS(2201),
    [anon_sym_ref] = ACTIONS(2201),
    [anon_sym_scalar] = ACTIONS(2201),
    [anon_sym_shift] = ACTIONS(2201),
    [anon_sym_sin] = ACTIONS(2201),
    [anon_sym_sleep] = ACTIONS(2201),
    [anon_sym_sqrt] = ACTIONS(2201),
    [anon_sym_srand] = ACTIONS(2201),
    [anon_sym_stat] = ACTIONS(2201),
    [anon_sym_study] = ACTIONS(2201),
    [anon_sym_tell] = ACTIONS(2201),
    [anon_sym_telldir] = ACTIONS(2201),
    [anon_sym_tied] = ACTIONS(2201),
    [anon_sym_uc] = ACTIONS(2201),
    [anon_sym_ucfirst] = ACTIONS(2201),
    [anon_sym_untie] = ACTIONS(2201),
    [anon_sym_umask] = ACTIONS(2201),
    [anon_sym_values] = ACTIONS(2201),
    [anon_sym_write] = ACTIONS(2201),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2201),
    [anon_sym_qq] = ACTIONS(2201),
    [anon_sym_qw] = ACTIONS(2201),
    [anon_sym_qx] = ACTIONS(2201),
    [anon_sym_qr] = ACTIONS(2201),
    [anon_sym_m] = ACTIONS(2201),
    [anon_sym_s] = ACTIONS(2201),
    [anon_sym_tr] = ACTIONS(2201),
    [anon_sym_y] = ACTIONS(2201),
    [aux_sym__bareword_token1] = ACTIONS(2201),
    [sym_number] = ACTIONS(2201),
    [anon_sym_true] = ACTIONS(2201),
    [anon_sym_false] = ACTIONS(2201),
    [sym__single_quote] = ACTIONS(2199),
    [sym__double_quote] = ACTIONS(2199),
    [sym__backtick_quote] = ACTIONS(2199),
    [sym__search_slash_quote] = ACTIONS(2199),
    [sym__open_readline_bracket] = ACTIONS(2199),
    [sym__open_fileglob_bracket] = ACTIONS(2199),
    [sym__PERLY_HEREDOC] = ACTIONS(2199),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2199),
    [sym__filetest] = ACTIONS(2199),
  },
  [1118] = {
    [sym_heredoc_content] = STATE(1118),
    [sym__identifier] = ACTIONS(2205),
    [anon_sym_LBRACE] = ACTIONS(2205),
    [anon_sym_DOLLAR] = ACTIONS(2205),
    [anon_sym_AT] = ACTIONS(2205),
    [anon_sym_RPAREN] = ACTIONS(2205),
    [anon_sym_my] = ACTIONS(2205),
    [anon_sym_extended] = ACTIONS(2205),
    [anon_sym_async] = ACTIONS(2205),
    [anon_sym_sub] = ACTIONS(2205),
    [anon_sym_method] = ACTIONS(2205),
    [anon_sym_LPAREN] = ACTIONS(2205),
    [anon_sym_continue] = ACTIONS(2205),
    [anon_sym_state] = ACTIONS(2205),
    [anon_sym_our] = ACTIONS(2205),
    [anon_sym_LBRACK] = ACTIONS(2205),
    [anon_sym_LT_LT] = ACTIONS(2205),
    [anon_sym_SLASH_SLASH] = ACTIONS(2205),
    [anon_sym_PLUS] = ACTIONS(2205),
    [anon_sym_DASH] = ACTIONS(2205),
    [anon_sym_TILDE] = ACTIONS(2205),
    [anon_sym_BANG] = ACTIONS(2205),
    [anon_sym_PLUS_PLUS] = ACTIONS(2205),
    [anon_sym_DASH_DASH] = ACTIONS(2205),
    [anon_sym_BSLASH] = ACTIONS(2203),
    [anon_sym_do] = ACTIONS(2205),
    [anon_sym_eval] = ACTIONS(2205),
    [anon_sym_await] = ACTIONS(2205),
    [anon_sym_field] = ACTIONS(2205),
    [anon_sym_local] = ACTIONS(2205),
    [anon_sym_dynamically] = ACTIONS(2205),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2205),
    [anon_sym_require] = ACTIONS(2205),
    [anon_sym_map] = ACTIONS(2205),
    [anon_sym_grep] = ACTIONS(2205),
    [anon_sym_sort] = ACTIONS(2205),
    [anon_sym_goto] = ACTIONS(2205),
    [anon_sym_return] = ACTIONS(2205),
    [anon_sym_undef] = ACTIONS(2205),
    [anon_sym_PERCENT2] = ACTIONS(2205),
    [anon_sym_AMP2] = ACTIONS(2205),
    [anon_sym_STAR2] = ACTIONS(2205),
    [anon_sym_last] = ACTIONS(2205),
    [anon_sym_next] = ACTIONS(2205),
    [anon_sym_redo] = ACTIONS(2205),
    [anon_sym___FILE__] = ACTIONS(2205),
    [anon_sym___LINE__] = ACTIONS(2205),
    [anon_sym___PACKAGE__] = ACTIONS(2205),
    [anon_sym___SUB__] = ACTIONS(2205),
    [anon_sym_break] = ACTIONS(2205),
    [anon_sym_fork] = ACTIONS(2205),
    [anon_sym_getppid] = ACTIONS(2205),
    [anon_sym_time] = ACTIONS(2205),
    [anon_sym_times] = ACTIONS(2205),
    [anon_sym_wait] = ACTIONS(2205),
    [anon_sym_wantarray] = ACTIONS(2205),
    [anon_sym_abs] = ACTIONS(2205),
    [anon_sym_alarm] = ACTIONS(2205),
    [anon_sym_chop] = ACTIONS(2205),
    [anon_sym_chdir] = ACTIONS(2205),
    [anon_sym_close] = ACTIONS(2205),
    [anon_sym_closedir] = ACTIONS(2205),
    [anon_sym_caller] = ACTIONS(2205),
    [anon_sym_chomp] = ACTIONS(2205),
    [anon_sym_chr] = ACTIONS(2205),
    [anon_sym_cos] = ACTIONS(2205),
    [anon_sym_chroot] = ACTIONS(2205),
    [anon_sym_defined] = ACTIONS(2205),
    [anon_sym_delete] = ACTIONS(2205),
    [anon_sym_dbmclose] = ACTIONS(2205),
    [anon_sym_exists] = ACTIONS(2205),
    [anon_sym_exit] = ACTIONS(2205),
    [anon_sym_eof] = ACTIONS(2205),
    [anon_sym_exp] = ACTIONS(2205),
    [anon_sym_each] = ACTIONS(2205),
    [anon_sym_fc] = ACTIONS(2205),
    [anon_sym_fileno] = ACTIONS(2205),
    [anon_sym_gmtime] = ACTIONS(2205),
    [anon_sym_getc] = ACTIONS(2205),
    [anon_sym_getpgrp] = ACTIONS(2205),
    [anon_sym_getprotobyname] = ACTIONS(2205),
    [anon_sym_getpwname] = ACTIONS(2205),
    [anon_sym_getpwuid] = ACTIONS(2205),
    [anon_sym_getpeername] = ACTIONS(2205),
    [anon_sym_getnetbyname] = ACTIONS(2205),
    [anon_sym_getsockname] = ACTIONS(2205),
    [anon_sym_getgrnam] = ACTIONS(2205),
    [anon_sym_getgrgid] = ACTIONS(2205),
    [anon_sym_hex] = ACTIONS(2205),
    [anon_sym_int] = ACTIONS(2205),
    [anon_sym_keys] = ACTIONS(2205),
    [anon_sym_lc] = ACTIONS(2205),
    [anon_sym_lcfirst] = ACTIONS(2205),
    [anon_sym_length] = ACTIONS(2205),
    [anon_sym_localtime] = ACTIONS(2205),
    [anon_sym_log] = ACTIONS(2205),
    [anon_sym_lock] = ACTIONS(2205),
    [anon_sym_lstat] = ACTIONS(2205),
    [anon_sym_oct] = ACTIONS(2205),
    [anon_sym_ord] = ACTIONS(2205),
    [anon_sym_prototype] = ACTIONS(2205),
    [anon_sym_pop] = ACTIONS(2205),
    [anon_sym_pos] = ACTIONS(2205),
    [anon_sym_quotemeta] = ACTIONS(2205),
    [anon_sym_reset] = ACTIONS(2205),
    [anon_sym_rand] = ACTIONS(2205),
    [anon_sym_rmdir] = ACTIONS(2205),
    [anon_sym_readdir] = ACTIONS(2205),
    [anon_sym_readline] = ACTIONS(2205),
    [anon_sym_readpipe] = ACTIONS(2205),
    [anon_sym_rewinddir] = ACTIONS(2205),
    [anon_sym_readlink] = ACTIONS(2205),
    [anon_sym_ref] = ACTIONS(2205),
    [anon_sym_scalar] = ACTIONS(2205),
    [anon_sym_shift] = ACTIONS(2205),
    [anon_sym_sin] = ACTIONS(2205),
    [anon_sym_sleep] = ACTIONS(2205),
    [anon_sym_sqrt] = ACTIONS(2205),
    [anon_sym_srand] = ACTIONS(2205),
    [anon_sym_stat] = ACTIONS(2205),
    [anon_sym_study] = ACTIONS(2205),
    [anon_sym_tell] = ACTIONS(2205),
    [anon_sym_telldir] = ACTIONS(2205),
    [anon_sym_tied] = ACTIONS(2205),
    [anon_sym_uc] = ACTIONS(2205),
    [anon_sym_ucfirst] = ACTIONS(2205),
    [anon_sym_untie] = ACTIONS(2205),
    [anon_sym_umask] = ACTIONS(2205),
    [anon_sym_values] = ACTIONS(2205),
    [anon_sym_write] = ACTIONS(2205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2205),
    [anon_sym_qq] = ACTIONS(2205),
    [anon_sym_qw] = ACTIONS(2205),
    [anon_sym_qx] = ACTIONS(2205),
    [anon_sym_qr] = ACTIONS(2205),
    [anon_sym_m] = ACTIONS(2205),
    [anon_sym_s] = ACTIONS(2205),
    [anon_sym_tr] = ACTIONS(2205),
    [anon_sym_y] = ACTIONS(2205),
    [aux_sym__bareword_token1] = ACTIONS(2205),
    [sym_number] = ACTIONS(2205),
    [anon_sym_true] = ACTIONS(2205),
    [anon_sym_false] = ACTIONS(2205),
    [sym__single_quote] = ACTIONS(2203),
    [sym__double_quote] = ACTIONS(2203),
    [sym__backtick_quote] = ACTIONS(2203),
    [sym__search_slash_quote] = ACTIONS(2203),
    [sym__open_readline_bracket] = ACTIONS(2203),
    [sym__open_fileglob_bracket] = ACTIONS(2203),
    [sym__PERLY_HEREDOC] = ACTIONS(2203),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2203),
    [sym__filetest] = ACTIONS(2203),
  },
  [1119] = {
    [sym_heredoc_content] = STATE(1119),
    [sym__identifier] = ACTIONS(2209),
    [anon_sym_LBRACE] = ACTIONS(2209),
    [anon_sym_DOLLAR] = ACTIONS(2209),
    [anon_sym_AT] = ACTIONS(2209),
    [anon_sym_RPAREN] = ACTIONS(2209),
    [anon_sym_my] = ACTIONS(2209),
    [anon_sym_extended] = ACTIONS(2209),
    [anon_sym_async] = ACTIONS(2209),
    [anon_sym_sub] = ACTIONS(2209),
    [anon_sym_method] = ACTIONS(2209),
    [anon_sym_LPAREN] = ACTIONS(2209),
    [anon_sym_continue] = ACTIONS(2209),
    [anon_sym_state] = ACTIONS(2209),
    [anon_sym_our] = ACTIONS(2209),
    [anon_sym_LBRACK] = ACTIONS(2209),
    [anon_sym_LT_LT] = ACTIONS(2209),
    [anon_sym_SLASH_SLASH] = ACTIONS(2209),
    [anon_sym_PLUS] = ACTIONS(2209),
    [anon_sym_DASH] = ACTIONS(2209),
    [anon_sym_TILDE] = ACTIONS(2209),
    [anon_sym_BANG] = ACTIONS(2209),
    [anon_sym_PLUS_PLUS] = ACTIONS(2209),
    [anon_sym_DASH_DASH] = ACTIONS(2209),
    [anon_sym_BSLASH] = ACTIONS(2207),
    [anon_sym_do] = ACTIONS(2209),
    [anon_sym_eval] = ACTIONS(2209),
    [anon_sym_await] = ACTIONS(2209),
    [anon_sym_field] = ACTIONS(2209),
    [anon_sym_local] = ACTIONS(2209),
    [anon_sym_dynamically] = ACTIONS(2209),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2209),
    [anon_sym_require] = ACTIONS(2209),
    [anon_sym_map] = ACTIONS(2209),
    [anon_sym_grep] = ACTIONS(2209),
    [anon_sym_sort] = ACTIONS(2209),
    [anon_sym_goto] = ACTIONS(2209),
    [anon_sym_return] = ACTIONS(2209),
    [anon_sym_undef] = ACTIONS(2209),
    [anon_sym_PERCENT2] = ACTIONS(2209),
    [anon_sym_AMP2] = ACTIONS(2209),
    [anon_sym_STAR2] = ACTIONS(2209),
    [anon_sym_last] = ACTIONS(2209),
    [anon_sym_next] = ACTIONS(2209),
    [anon_sym_redo] = ACTIONS(2209),
    [anon_sym___FILE__] = ACTIONS(2209),
    [anon_sym___LINE__] = ACTIONS(2209),
    [anon_sym___PACKAGE__] = ACTIONS(2209),
    [anon_sym___SUB__] = ACTIONS(2209),
    [anon_sym_break] = ACTIONS(2209),
    [anon_sym_fork] = ACTIONS(2209),
    [anon_sym_getppid] = ACTIONS(2209),
    [anon_sym_time] = ACTIONS(2209),
    [anon_sym_times] = ACTIONS(2209),
    [anon_sym_wait] = ACTIONS(2209),
    [anon_sym_wantarray] = ACTIONS(2209),
    [anon_sym_abs] = ACTIONS(2209),
    [anon_sym_alarm] = ACTIONS(2209),
    [anon_sym_chop] = ACTIONS(2209),
    [anon_sym_chdir] = ACTIONS(2209),
    [anon_sym_close] = ACTIONS(2209),
    [anon_sym_closedir] = ACTIONS(2209),
    [anon_sym_caller] = ACTIONS(2209),
    [anon_sym_chomp] = ACTIONS(2209),
    [anon_sym_chr] = ACTIONS(2209),
    [anon_sym_cos] = ACTIONS(2209),
    [anon_sym_chroot] = ACTIONS(2209),
    [anon_sym_defined] = ACTIONS(2209),
    [anon_sym_delete] = ACTIONS(2209),
    [anon_sym_dbmclose] = ACTIONS(2209),
    [anon_sym_exists] = ACTIONS(2209),
    [anon_sym_exit] = ACTIONS(2209),
    [anon_sym_eof] = ACTIONS(2209),
    [anon_sym_exp] = ACTIONS(2209),
    [anon_sym_each] = ACTIONS(2209),
    [anon_sym_fc] = ACTIONS(2209),
    [anon_sym_fileno] = ACTIONS(2209),
    [anon_sym_gmtime] = ACTIONS(2209),
    [anon_sym_getc] = ACTIONS(2209),
    [anon_sym_getpgrp] = ACTIONS(2209),
    [anon_sym_getprotobyname] = ACTIONS(2209),
    [anon_sym_getpwname] = ACTIONS(2209),
    [anon_sym_getpwuid] = ACTIONS(2209),
    [anon_sym_getpeername] = ACTIONS(2209),
    [anon_sym_getnetbyname] = ACTIONS(2209),
    [anon_sym_getsockname] = ACTIONS(2209),
    [anon_sym_getgrnam] = ACTIONS(2209),
    [anon_sym_getgrgid] = ACTIONS(2209),
    [anon_sym_hex] = ACTIONS(2209),
    [anon_sym_int] = ACTIONS(2209),
    [anon_sym_keys] = ACTIONS(2209),
    [anon_sym_lc] = ACTIONS(2209),
    [anon_sym_lcfirst] = ACTIONS(2209),
    [anon_sym_length] = ACTIONS(2209),
    [anon_sym_localtime] = ACTIONS(2209),
    [anon_sym_log] = ACTIONS(2209),
    [anon_sym_lock] = ACTIONS(2209),
    [anon_sym_lstat] = ACTIONS(2209),
    [anon_sym_oct] = ACTIONS(2209),
    [anon_sym_ord] = ACTIONS(2209),
    [anon_sym_prototype] = ACTIONS(2209),
    [anon_sym_pop] = ACTIONS(2209),
    [anon_sym_pos] = ACTIONS(2209),
    [anon_sym_quotemeta] = ACTIONS(2209),
    [anon_sym_reset] = ACTIONS(2209),
    [anon_sym_rand] = ACTIONS(2209),
    [anon_sym_rmdir] = ACTIONS(2209),
    [anon_sym_readdir] = ACTIONS(2209),
    [anon_sym_readline] = ACTIONS(2209),
    [anon_sym_readpipe] = ACTIONS(2209),
    [anon_sym_rewinddir] = ACTIONS(2209),
    [anon_sym_readlink] = ACTIONS(2209),
    [anon_sym_ref] = ACTIONS(2209),
    [anon_sym_scalar] = ACTIONS(2209),
    [anon_sym_shift] = ACTIONS(2209),
    [anon_sym_sin] = ACTIONS(2209),
    [anon_sym_sleep] = ACTIONS(2209),
    [anon_sym_sqrt] = ACTIONS(2209),
    [anon_sym_srand] = ACTIONS(2209),
    [anon_sym_stat] = ACTIONS(2209),
    [anon_sym_study] = ACTIONS(2209),
    [anon_sym_tell] = ACTIONS(2209),
    [anon_sym_telldir] = ACTIONS(2209),
    [anon_sym_tied] = ACTIONS(2209),
    [anon_sym_uc] = ACTIONS(2209),
    [anon_sym_ucfirst] = ACTIONS(2209),
    [anon_sym_untie] = ACTIONS(2209),
    [anon_sym_umask] = ACTIONS(2209),
    [anon_sym_values] = ACTIONS(2209),
    [anon_sym_write] = ACTIONS(2209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2209),
    [anon_sym_qq] = ACTIONS(2209),
    [anon_sym_qw] = ACTIONS(2209),
    [anon_sym_qx] = ACTIONS(2209),
    [anon_sym_qr] = ACTIONS(2209),
    [anon_sym_m] = ACTIONS(2209),
    [anon_sym_s] = ACTIONS(2209),
    [anon_sym_tr] = ACTIONS(2209),
    [anon_sym_y] = ACTIONS(2209),
    [aux_sym__bareword_token1] = ACTIONS(2209),
    [sym_number] = ACTIONS(2209),
    [anon_sym_true] = ACTIONS(2209),
    [anon_sym_false] = ACTIONS(2209),
    [sym__single_quote] = ACTIONS(2207),
    [sym__double_quote] = ACTIONS(2207),
    [sym__backtick_quote] = ACTIONS(2207),
    [sym__search_slash_quote] = ACTIONS(2207),
    [sym__open_readline_bracket] = ACTIONS(2207),
    [sym__open_fileglob_bracket] = ACTIONS(2207),
    [sym__PERLY_HEREDOC] = ACTIONS(2207),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2207),
    [sym__filetest] = ACTIONS(2207),
  },
  [1120] = {
    [sym_heredoc_content] = STATE(1120),
    [sym__identifier] = ACTIONS(2213),
    [anon_sym_LBRACE] = ACTIONS(2213),
    [anon_sym_DOLLAR] = ACTIONS(2213),
    [anon_sym_AT] = ACTIONS(2213),
    [anon_sym_RPAREN] = ACTIONS(2213),
    [anon_sym_my] = ACTIONS(2213),
    [anon_sym_extended] = ACTIONS(2213),
    [anon_sym_async] = ACTIONS(2213),
    [anon_sym_sub] = ACTIONS(2213),
    [anon_sym_method] = ACTIONS(2213),
    [anon_sym_LPAREN] = ACTIONS(2213),
    [anon_sym_continue] = ACTIONS(2213),
    [anon_sym_state] = ACTIONS(2213),
    [anon_sym_our] = ACTIONS(2213),
    [anon_sym_LBRACK] = ACTIONS(2213),
    [anon_sym_LT_LT] = ACTIONS(2213),
    [anon_sym_SLASH_SLASH] = ACTIONS(2213),
    [anon_sym_PLUS] = ACTIONS(2213),
    [anon_sym_DASH] = ACTIONS(2213),
    [anon_sym_TILDE] = ACTIONS(2213),
    [anon_sym_BANG] = ACTIONS(2213),
    [anon_sym_PLUS_PLUS] = ACTIONS(2213),
    [anon_sym_DASH_DASH] = ACTIONS(2213),
    [anon_sym_BSLASH] = ACTIONS(2211),
    [anon_sym_do] = ACTIONS(2213),
    [anon_sym_eval] = ACTIONS(2213),
    [anon_sym_await] = ACTIONS(2213),
    [anon_sym_field] = ACTIONS(2213),
    [anon_sym_local] = ACTIONS(2213),
    [anon_sym_dynamically] = ACTIONS(2213),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2213),
    [anon_sym_require] = ACTIONS(2213),
    [anon_sym_map] = ACTIONS(2213),
    [anon_sym_grep] = ACTIONS(2213),
    [anon_sym_sort] = ACTIONS(2213),
    [anon_sym_goto] = ACTIONS(2213),
    [anon_sym_return] = ACTIONS(2213),
    [anon_sym_undef] = ACTIONS(2213),
    [anon_sym_PERCENT2] = ACTIONS(2213),
    [anon_sym_AMP2] = ACTIONS(2213),
    [anon_sym_STAR2] = ACTIONS(2213),
    [anon_sym_last] = ACTIONS(2213),
    [anon_sym_next] = ACTIONS(2213),
    [anon_sym_redo] = ACTIONS(2213),
    [anon_sym___FILE__] = ACTIONS(2213),
    [anon_sym___LINE__] = ACTIONS(2213),
    [anon_sym___PACKAGE__] = ACTIONS(2213),
    [anon_sym___SUB__] = ACTIONS(2213),
    [anon_sym_break] = ACTIONS(2213),
    [anon_sym_fork] = ACTIONS(2213),
    [anon_sym_getppid] = ACTIONS(2213),
    [anon_sym_time] = ACTIONS(2213),
    [anon_sym_times] = ACTIONS(2213),
    [anon_sym_wait] = ACTIONS(2213),
    [anon_sym_wantarray] = ACTIONS(2213),
    [anon_sym_abs] = ACTIONS(2213),
    [anon_sym_alarm] = ACTIONS(2213),
    [anon_sym_chop] = ACTIONS(2213),
    [anon_sym_chdir] = ACTIONS(2213),
    [anon_sym_close] = ACTIONS(2213),
    [anon_sym_closedir] = ACTIONS(2213),
    [anon_sym_caller] = ACTIONS(2213),
    [anon_sym_chomp] = ACTIONS(2213),
    [anon_sym_chr] = ACTIONS(2213),
    [anon_sym_cos] = ACTIONS(2213),
    [anon_sym_chroot] = ACTIONS(2213),
    [anon_sym_defined] = ACTIONS(2213),
    [anon_sym_delete] = ACTIONS(2213),
    [anon_sym_dbmclose] = ACTIONS(2213),
    [anon_sym_exists] = ACTIONS(2213),
    [anon_sym_exit] = ACTIONS(2213),
    [anon_sym_eof] = ACTIONS(2213),
    [anon_sym_exp] = ACTIONS(2213),
    [anon_sym_each] = ACTIONS(2213),
    [anon_sym_fc] = ACTIONS(2213),
    [anon_sym_fileno] = ACTIONS(2213),
    [anon_sym_gmtime] = ACTIONS(2213),
    [anon_sym_getc] = ACTIONS(2213),
    [anon_sym_getpgrp] = ACTIONS(2213),
    [anon_sym_getprotobyname] = ACTIONS(2213),
    [anon_sym_getpwname] = ACTIONS(2213),
    [anon_sym_getpwuid] = ACTIONS(2213),
    [anon_sym_getpeername] = ACTIONS(2213),
    [anon_sym_getnetbyname] = ACTIONS(2213),
    [anon_sym_getsockname] = ACTIONS(2213),
    [anon_sym_getgrnam] = ACTIONS(2213),
    [anon_sym_getgrgid] = ACTIONS(2213),
    [anon_sym_hex] = ACTIONS(2213),
    [anon_sym_int] = ACTIONS(2213),
    [anon_sym_keys] = ACTIONS(2213),
    [anon_sym_lc] = ACTIONS(2213),
    [anon_sym_lcfirst] = ACTIONS(2213),
    [anon_sym_length] = ACTIONS(2213),
    [anon_sym_localtime] = ACTIONS(2213),
    [anon_sym_log] = ACTIONS(2213),
    [anon_sym_lock] = ACTIONS(2213),
    [anon_sym_lstat] = ACTIONS(2213),
    [anon_sym_oct] = ACTIONS(2213),
    [anon_sym_ord] = ACTIONS(2213),
    [anon_sym_prototype] = ACTIONS(2213),
    [anon_sym_pop] = ACTIONS(2213),
    [anon_sym_pos] = ACTIONS(2213),
    [anon_sym_quotemeta] = ACTIONS(2213),
    [anon_sym_reset] = ACTIONS(2213),
    [anon_sym_rand] = ACTIONS(2213),
    [anon_sym_rmdir] = ACTIONS(2213),
    [anon_sym_readdir] = ACTIONS(2213),
    [anon_sym_readline] = ACTIONS(2213),
    [anon_sym_readpipe] = ACTIONS(2213),
    [anon_sym_rewinddir] = ACTIONS(2213),
    [anon_sym_readlink] = ACTIONS(2213),
    [anon_sym_ref] = ACTIONS(2213),
    [anon_sym_scalar] = ACTIONS(2213),
    [anon_sym_shift] = ACTIONS(2213),
    [anon_sym_sin] = ACTIONS(2213),
    [anon_sym_sleep] = ACTIONS(2213),
    [anon_sym_sqrt] = ACTIONS(2213),
    [anon_sym_srand] = ACTIONS(2213),
    [anon_sym_stat] = ACTIONS(2213),
    [anon_sym_study] = ACTIONS(2213),
    [anon_sym_tell] = ACTIONS(2213),
    [anon_sym_telldir] = ACTIONS(2213),
    [anon_sym_tied] = ACTIONS(2213),
    [anon_sym_uc] = ACTIONS(2213),
    [anon_sym_ucfirst] = ACTIONS(2213),
    [anon_sym_untie] = ACTIONS(2213),
    [anon_sym_umask] = ACTIONS(2213),
    [anon_sym_values] = ACTIONS(2213),
    [anon_sym_write] = ACTIONS(2213),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2213),
    [anon_sym_qq] = ACTIONS(2213),
    [anon_sym_qw] = ACTIONS(2213),
    [anon_sym_qx] = ACTIONS(2213),
    [anon_sym_qr] = ACTIONS(2213),
    [anon_sym_m] = ACTIONS(2213),
    [anon_sym_s] = ACTIONS(2213),
    [anon_sym_tr] = ACTIONS(2213),
    [anon_sym_y] = ACTIONS(2213),
    [aux_sym__bareword_token1] = ACTIONS(2213),
    [sym_number] = ACTIONS(2213),
    [anon_sym_true] = ACTIONS(2213),
    [anon_sym_false] = ACTIONS(2213),
    [sym__single_quote] = ACTIONS(2211),
    [sym__double_quote] = ACTIONS(2211),
    [sym__backtick_quote] = ACTIONS(2211),
    [sym__search_slash_quote] = ACTIONS(2211),
    [sym__open_readline_bracket] = ACTIONS(2211),
    [sym__open_fileglob_bracket] = ACTIONS(2211),
    [sym__PERLY_HEREDOC] = ACTIONS(2211),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2211),
    [sym__filetest] = ACTIONS(2211),
  },
  [1121] = {
    [sym_heredoc_content] = STATE(1121),
    [sym__identifier] = ACTIONS(2217),
    [anon_sym_LBRACE] = ACTIONS(2217),
    [anon_sym_DOLLAR] = ACTIONS(2217),
    [anon_sym_AT] = ACTIONS(2217),
    [anon_sym_RPAREN] = ACTIONS(2217),
    [anon_sym_my] = ACTIONS(2217),
    [anon_sym_extended] = ACTIONS(2217),
    [anon_sym_async] = ACTIONS(2217),
    [anon_sym_sub] = ACTIONS(2217),
    [anon_sym_method] = ACTIONS(2217),
    [anon_sym_LPAREN] = ACTIONS(2217),
    [anon_sym_continue] = ACTIONS(2217),
    [anon_sym_state] = ACTIONS(2217),
    [anon_sym_our] = ACTIONS(2217),
    [anon_sym_LBRACK] = ACTIONS(2217),
    [anon_sym_LT_LT] = ACTIONS(2217),
    [anon_sym_SLASH_SLASH] = ACTIONS(2217),
    [anon_sym_PLUS] = ACTIONS(2217),
    [anon_sym_DASH] = ACTIONS(2217),
    [anon_sym_TILDE] = ACTIONS(2217),
    [anon_sym_BANG] = ACTIONS(2217),
    [anon_sym_PLUS_PLUS] = ACTIONS(2217),
    [anon_sym_DASH_DASH] = ACTIONS(2217),
    [anon_sym_BSLASH] = ACTIONS(2215),
    [anon_sym_do] = ACTIONS(2217),
    [anon_sym_eval] = ACTIONS(2217),
    [anon_sym_await] = ACTIONS(2217),
    [anon_sym_field] = ACTIONS(2217),
    [anon_sym_local] = ACTIONS(2217),
    [anon_sym_dynamically] = ACTIONS(2217),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2217),
    [anon_sym_require] = ACTIONS(2217),
    [anon_sym_map] = ACTIONS(2217),
    [anon_sym_grep] = ACTIONS(2217),
    [anon_sym_sort] = ACTIONS(2217),
    [anon_sym_goto] = ACTIONS(2217),
    [anon_sym_return] = ACTIONS(2217),
    [anon_sym_undef] = ACTIONS(2217),
    [anon_sym_PERCENT2] = ACTIONS(2217),
    [anon_sym_AMP2] = ACTIONS(2217),
    [anon_sym_STAR2] = ACTIONS(2217),
    [anon_sym_last] = ACTIONS(2217),
    [anon_sym_next] = ACTIONS(2217),
    [anon_sym_redo] = ACTIONS(2217),
    [anon_sym___FILE__] = ACTIONS(2217),
    [anon_sym___LINE__] = ACTIONS(2217),
    [anon_sym___PACKAGE__] = ACTIONS(2217),
    [anon_sym___SUB__] = ACTIONS(2217),
    [anon_sym_break] = ACTIONS(2217),
    [anon_sym_fork] = ACTIONS(2217),
    [anon_sym_getppid] = ACTIONS(2217),
    [anon_sym_time] = ACTIONS(2217),
    [anon_sym_times] = ACTIONS(2217),
    [anon_sym_wait] = ACTIONS(2217),
    [anon_sym_wantarray] = ACTIONS(2217),
    [anon_sym_abs] = ACTIONS(2217),
    [anon_sym_alarm] = ACTIONS(2217),
    [anon_sym_chop] = ACTIONS(2217),
    [anon_sym_chdir] = ACTIONS(2217),
    [anon_sym_close] = ACTIONS(2217),
    [anon_sym_closedir] = ACTIONS(2217),
    [anon_sym_caller] = ACTIONS(2217),
    [anon_sym_chomp] = ACTIONS(2217),
    [anon_sym_chr] = ACTIONS(2217),
    [anon_sym_cos] = ACTIONS(2217),
    [anon_sym_chroot] = ACTIONS(2217),
    [anon_sym_defined] = ACTIONS(2217),
    [anon_sym_delete] = ACTIONS(2217),
    [anon_sym_dbmclose] = ACTIONS(2217),
    [anon_sym_exists] = ACTIONS(2217),
    [anon_sym_exit] = ACTIONS(2217),
    [anon_sym_eof] = ACTIONS(2217),
    [anon_sym_exp] = ACTIONS(2217),
    [anon_sym_each] = ACTIONS(2217),
    [anon_sym_fc] = ACTIONS(2217),
    [anon_sym_fileno] = ACTIONS(2217),
    [anon_sym_gmtime] = ACTIONS(2217),
    [anon_sym_getc] = ACTIONS(2217),
    [anon_sym_getpgrp] = ACTIONS(2217),
    [anon_sym_getprotobyname] = ACTIONS(2217),
    [anon_sym_getpwname] = ACTIONS(2217),
    [anon_sym_getpwuid] = ACTIONS(2217),
    [anon_sym_getpeername] = ACTIONS(2217),
    [anon_sym_getnetbyname] = ACTIONS(2217),
    [anon_sym_getsockname] = ACTIONS(2217),
    [anon_sym_getgrnam] = ACTIONS(2217),
    [anon_sym_getgrgid] = ACTIONS(2217),
    [anon_sym_hex] = ACTIONS(2217),
    [anon_sym_int] = ACTIONS(2217),
    [anon_sym_keys] = ACTIONS(2217),
    [anon_sym_lc] = ACTIONS(2217),
    [anon_sym_lcfirst] = ACTIONS(2217),
    [anon_sym_length] = ACTIONS(2217),
    [anon_sym_localtime] = ACTIONS(2217),
    [anon_sym_log] = ACTIONS(2217),
    [anon_sym_lock] = ACTIONS(2217),
    [anon_sym_lstat] = ACTIONS(2217),
    [anon_sym_oct] = ACTIONS(2217),
    [anon_sym_ord] = ACTIONS(2217),
    [anon_sym_prototype] = ACTIONS(2217),
    [anon_sym_pop] = ACTIONS(2217),
    [anon_sym_pos] = ACTIONS(2217),
    [anon_sym_quotemeta] = ACTIONS(2217),
    [anon_sym_reset] = ACTIONS(2217),
    [anon_sym_rand] = ACTIONS(2217),
    [anon_sym_rmdir] = ACTIONS(2217),
    [anon_sym_readdir] = ACTIONS(2217),
    [anon_sym_readline] = ACTIONS(2217),
    [anon_sym_readpipe] = ACTIONS(2217),
    [anon_sym_rewinddir] = ACTIONS(2217),
    [anon_sym_readlink] = ACTIONS(2217),
    [anon_sym_ref] = ACTIONS(2217),
    [anon_sym_scalar] = ACTIONS(2217),
    [anon_sym_shift] = ACTIONS(2217),
    [anon_sym_sin] = ACTIONS(2217),
    [anon_sym_sleep] = ACTIONS(2217),
    [anon_sym_sqrt] = ACTIONS(2217),
    [anon_sym_srand] = ACTIONS(2217),
    [anon_sym_stat] = ACTIONS(2217),
    [anon_sym_study] = ACTIONS(2217),
    [anon_sym_tell] = ACTIONS(2217),
    [anon_sym_telldir] = ACTIONS(2217),
    [anon_sym_tied] = ACTIONS(2217),
    [anon_sym_uc] = ACTIONS(2217),
    [anon_sym_ucfirst] = ACTIONS(2217),
    [anon_sym_untie] = ACTIONS(2217),
    [anon_sym_umask] = ACTIONS(2217),
    [anon_sym_values] = ACTIONS(2217),
    [anon_sym_write] = ACTIONS(2217),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2217),
    [anon_sym_qq] = ACTIONS(2217),
    [anon_sym_qw] = ACTIONS(2217),
    [anon_sym_qx] = ACTIONS(2217),
    [anon_sym_qr] = ACTIONS(2217),
    [anon_sym_m] = ACTIONS(2217),
    [anon_sym_s] = ACTIONS(2217),
    [anon_sym_tr] = ACTIONS(2217),
    [anon_sym_y] = ACTIONS(2217),
    [aux_sym__bareword_token1] = ACTIONS(2217),
    [sym_number] = ACTIONS(2217),
    [anon_sym_true] = ACTIONS(2217),
    [anon_sym_false] = ACTIONS(2217),
    [sym__single_quote] = ACTIONS(2215),
    [sym__double_quote] = ACTIONS(2215),
    [sym__backtick_quote] = ACTIONS(2215),
    [sym__search_slash_quote] = ACTIONS(2215),
    [sym__open_readline_bracket] = ACTIONS(2215),
    [sym__open_fileglob_bracket] = ACTIONS(2215),
    [sym__PERLY_HEREDOC] = ACTIONS(2215),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2215),
    [sym__filetest] = ACTIONS(2215),
  },
  [1122] = {
    [sym_heredoc_content] = STATE(1122),
    [sym__identifier] = ACTIONS(2221),
    [anon_sym_LBRACE] = ACTIONS(2221),
    [anon_sym_DOLLAR] = ACTIONS(2221),
    [anon_sym_AT] = ACTIONS(2221),
    [anon_sym_RPAREN] = ACTIONS(2221),
    [anon_sym_my] = ACTIONS(2221),
    [anon_sym_extended] = ACTIONS(2221),
    [anon_sym_async] = ACTIONS(2221),
    [anon_sym_sub] = ACTIONS(2221),
    [anon_sym_method] = ACTIONS(2221),
    [anon_sym_LPAREN] = ACTIONS(2221),
    [anon_sym_continue] = ACTIONS(2221),
    [anon_sym_state] = ACTIONS(2221),
    [anon_sym_our] = ACTIONS(2221),
    [anon_sym_LBRACK] = ACTIONS(2221),
    [anon_sym_LT_LT] = ACTIONS(2221),
    [anon_sym_SLASH_SLASH] = ACTIONS(2221),
    [anon_sym_PLUS] = ACTIONS(2221),
    [anon_sym_DASH] = ACTIONS(2221),
    [anon_sym_TILDE] = ACTIONS(2221),
    [anon_sym_BANG] = ACTIONS(2221),
    [anon_sym_PLUS_PLUS] = ACTIONS(2221),
    [anon_sym_DASH_DASH] = ACTIONS(2221),
    [anon_sym_BSLASH] = ACTIONS(2219),
    [anon_sym_do] = ACTIONS(2221),
    [anon_sym_eval] = ACTIONS(2221),
    [anon_sym_await] = ACTIONS(2221),
    [anon_sym_field] = ACTIONS(2221),
    [anon_sym_local] = ACTIONS(2221),
    [anon_sym_dynamically] = ACTIONS(2221),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2221),
    [anon_sym_require] = ACTIONS(2221),
    [anon_sym_map] = ACTIONS(2221),
    [anon_sym_grep] = ACTIONS(2221),
    [anon_sym_sort] = ACTIONS(2221),
    [anon_sym_goto] = ACTIONS(2221),
    [anon_sym_return] = ACTIONS(2221),
    [anon_sym_undef] = ACTIONS(2221),
    [anon_sym_PERCENT2] = ACTIONS(2221),
    [anon_sym_AMP2] = ACTIONS(2221),
    [anon_sym_STAR2] = ACTIONS(2221),
    [anon_sym_last] = ACTIONS(2221),
    [anon_sym_next] = ACTIONS(2221),
    [anon_sym_redo] = ACTIONS(2221),
    [anon_sym___FILE__] = ACTIONS(2221),
    [anon_sym___LINE__] = ACTIONS(2221),
    [anon_sym___PACKAGE__] = ACTIONS(2221),
    [anon_sym___SUB__] = ACTIONS(2221),
    [anon_sym_break] = ACTIONS(2221),
    [anon_sym_fork] = ACTIONS(2221),
    [anon_sym_getppid] = ACTIONS(2221),
    [anon_sym_time] = ACTIONS(2221),
    [anon_sym_times] = ACTIONS(2221),
    [anon_sym_wait] = ACTIONS(2221),
    [anon_sym_wantarray] = ACTIONS(2221),
    [anon_sym_abs] = ACTIONS(2221),
    [anon_sym_alarm] = ACTIONS(2221),
    [anon_sym_chop] = ACTIONS(2221),
    [anon_sym_chdir] = ACTIONS(2221),
    [anon_sym_close] = ACTIONS(2221),
    [anon_sym_closedir] = ACTIONS(2221),
    [anon_sym_caller] = ACTIONS(2221),
    [anon_sym_chomp] = ACTIONS(2221),
    [anon_sym_chr] = ACTIONS(2221),
    [anon_sym_cos] = ACTIONS(2221),
    [anon_sym_chroot] = ACTIONS(2221),
    [anon_sym_defined] = ACTIONS(2221),
    [anon_sym_delete] = ACTIONS(2221),
    [anon_sym_dbmclose] = ACTIONS(2221),
    [anon_sym_exists] = ACTIONS(2221),
    [anon_sym_exit] = ACTIONS(2221),
    [anon_sym_eof] = ACTIONS(2221),
    [anon_sym_exp] = ACTIONS(2221),
    [anon_sym_each] = ACTIONS(2221),
    [anon_sym_fc] = ACTIONS(2221),
    [anon_sym_fileno] = ACTIONS(2221),
    [anon_sym_gmtime] = ACTIONS(2221),
    [anon_sym_getc] = ACTIONS(2221),
    [anon_sym_getpgrp] = ACTIONS(2221),
    [anon_sym_getprotobyname] = ACTIONS(2221),
    [anon_sym_getpwname] = ACTIONS(2221),
    [anon_sym_getpwuid] = ACTIONS(2221),
    [anon_sym_getpeername] = ACTIONS(2221),
    [anon_sym_getnetbyname] = ACTIONS(2221),
    [anon_sym_getsockname] = ACTIONS(2221),
    [anon_sym_getgrnam] = ACTIONS(2221),
    [anon_sym_getgrgid] = ACTIONS(2221),
    [anon_sym_hex] = ACTIONS(2221),
    [anon_sym_int] = ACTIONS(2221),
    [anon_sym_keys] = ACTIONS(2221),
    [anon_sym_lc] = ACTIONS(2221),
    [anon_sym_lcfirst] = ACTIONS(2221),
    [anon_sym_length] = ACTIONS(2221),
    [anon_sym_localtime] = ACTIONS(2221),
    [anon_sym_log] = ACTIONS(2221),
    [anon_sym_lock] = ACTIONS(2221),
    [anon_sym_lstat] = ACTIONS(2221),
    [anon_sym_oct] = ACTIONS(2221),
    [anon_sym_ord] = ACTIONS(2221),
    [anon_sym_prototype] = ACTIONS(2221),
    [anon_sym_pop] = ACTIONS(2221),
    [anon_sym_pos] = ACTIONS(2221),
    [anon_sym_quotemeta] = ACTIONS(2221),
    [anon_sym_reset] = ACTIONS(2221),
    [anon_sym_rand] = ACTIONS(2221),
    [anon_sym_rmdir] = ACTIONS(2221),
    [anon_sym_readdir] = ACTIONS(2221),
    [anon_sym_readline] = ACTIONS(2221),
    [anon_sym_readpipe] = ACTIONS(2221),
    [anon_sym_rewinddir] = ACTIONS(2221),
    [anon_sym_readlink] = ACTIONS(2221),
    [anon_sym_ref] = ACTIONS(2221),
    [anon_sym_scalar] = ACTIONS(2221),
    [anon_sym_shift] = ACTIONS(2221),
    [anon_sym_sin] = ACTIONS(2221),
    [anon_sym_sleep] = ACTIONS(2221),
    [anon_sym_sqrt] = ACTIONS(2221),
    [anon_sym_srand] = ACTIONS(2221),
    [anon_sym_stat] = ACTIONS(2221),
    [anon_sym_study] = ACTIONS(2221),
    [anon_sym_tell] = ACTIONS(2221),
    [anon_sym_telldir] = ACTIONS(2221),
    [anon_sym_tied] = ACTIONS(2221),
    [anon_sym_uc] = ACTIONS(2221),
    [anon_sym_ucfirst] = ACTIONS(2221),
    [anon_sym_untie] = ACTIONS(2221),
    [anon_sym_umask] = ACTIONS(2221),
    [anon_sym_values] = ACTIONS(2221),
    [anon_sym_write] = ACTIONS(2221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2221),
    [anon_sym_qq] = ACTIONS(2221),
    [anon_sym_qw] = ACTIONS(2221),
    [anon_sym_qx] = ACTIONS(2221),
    [anon_sym_qr] = ACTIONS(2221),
    [anon_sym_m] = ACTIONS(2221),
    [anon_sym_s] = ACTIONS(2221),
    [anon_sym_tr] = ACTIONS(2221),
    [anon_sym_y] = ACTIONS(2221),
    [aux_sym__bareword_token1] = ACTIONS(2221),
    [sym_number] = ACTIONS(2221),
    [anon_sym_true] = ACTIONS(2221),
    [anon_sym_false] = ACTIONS(2221),
    [sym__single_quote] = ACTIONS(2219),
    [sym__double_quote] = ACTIONS(2219),
    [sym__backtick_quote] = ACTIONS(2219),
    [sym__search_slash_quote] = ACTIONS(2219),
    [sym__open_readline_bracket] = ACTIONS(2219),
    [sym__open_fileglob_bracket] = ACTIONS(2219),
    [sym__PERLY_HEREDOC] = ACTIONS(2219),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2219),
    [sym__filetest] = ACTIONS(2219),
  },
  [1123] = {
    [sym_heredoc_content] = STATE(1123),
    [sym__identifier] = ACTIONS(2225),
    [anon_sym_LBRACE] = ACTIONS(2225),
    [anon_sym_DOLLAR] = ACTIONS(2225),
    [anon_sym_AT] = ACTIONS(2225),
    [anon_sym_RPAREN] = ACTIONS(2225),
    [anon_sym_my] = ACTIONS(2225),
    [anon_sym_extended] = ACTIONS(2225),
    [anon_sym_async] = ACTIONS(2225),
    [anon_sym_sub] = ACTIONS(2225),
    [anon_sym_method] = ACTIONS(2225),
    [anon_sym_LPAREN] = ACTIONS(2225),
    [anon_sym_continue] = ACTIONS(2225),
    [anon_sym_state] = ACTIONS(2225),
    [anon_sym_our] = ACTIONS(2225),
    [anon_sym_LBRACK] = ACTIONS(2225),
    [anon_sym_LT_LT] = ACTIONS(2225),
    [anon_sym_SLASH_SLASH] = ACTIONS(2225),
    [anon_sym_PLUS] = ACTIONS(2225),
    [anon_sym_DASH] = ACTIONS(2225),
    [anon_sym_TILDE] = ACTIONS(2225),
    [anon_sym_BANG] = ACTIONS(2225),
    [anon_sym_PLUS_PLUS] = ACTIONS(2225),
    [anon_sym_DASH_DASH] = ACTIONS(2225),
    [anon_sym_BSLASH] = ACTIONS(2223),
    [anon_sym_do] = ACTIONS(2225),
    [anon_sym_eval] = ACTIONS(2225),
    [anon_sym_await] = ACTIONS(2225),
    [anon_sym_field] = ACTIONS(2225),
    [anon_sym_local] = ACTIONS(2225),
    [anon_sym_dynamically] = ACTIONS(2225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2225),
    [anon_sym_require] = ACTIONS(2225),
    [anon_sym_map] = ACTIONS(2225),
    [anon_sym_grep] = ACTIONS(2225),
    [anon_sym_sort] = ACTIONS(2225),
    [anon_sym_goto] = ACTIONS(2225),
    [anon_sym_return] = ACTIONS(2225),
    [anon_sym_undef] = ACTIONS(2225),
    [anon_sym_PERCENT2] = ACTIONS(2225),
    [anon_sym_AMP2] = ACTIONS(2225),
    [anon_sym_STAR2] = ACTIONS(2225),
    [anon_sym_last] = ACTIONS(2225),
    [anon_sym_next] = ACTIONS(2225),
    [anon_sym_redo] = ACTIONS(2225),
    [anon_sym___FILE__] = ACTIONS(2225),
    [anon_sym___LINE__] = ACTIONS(2225),
    [anon_sym___PACKAGE__] = ACTIONS(2225),
    [anon_sym___SUB__] = ACTIONS(2225),
    [anon_sym_break] = ACTIONS(2225),
    [anon_sym_fork] = ACTIONS(2225),
    [anon_sym_getppid] = ACTIONS(2225),
    [anon_sym_time] = ACTIONS(2225),
    [anon_sym_times] = ACTIONS(2225),
    [anon_sym_wait] = ACTIONS(2225),
    [anon_sym_wantarray] = ACTIONS(2225),
    [anon_sym_abs] = ACTIONS(2225),
    [anon_sym_alarm] = ACTIONS(2225),
    [anon_sym_chop] = ACTIONS(2225),
    [anon_sym_chdir] = ACTIONS(2225),
    [anon_sym_close] = ACTIONS(2225),
    [anon_sym_closedir] = ACTIONS(2225),
    [anon_sym_caller] = ACTIONS(2225),
    [anon_sym_chomp] = ACTIONS(2225),
    [anon_sym_chr] = ACTIONS(2225),
    [anon_sym_cos] = ACTIONS(2225),
    [anon_sym_chroot] = ACTIONS(2225),
    [anon_sym_defined] = ACTIONS(2225),
    [anon_sym_delete] = ACTIONS(2225),
    [anon_sym_dbmclose] = ACTIONS(2225),
    [anon_sym_exists] = ACTIONS(2225),
    [anon_sym_exit] = ACTIONS(2225),
    [anon_sym_eof] = ACTIONS(2225),
    [anon_sym_exp] = ACTIONS(2225),
    [anon_sym_each] = ACTIONS(2225),
    [anon_sym_fc] = ACTIONS(2225),
    [anon_sym_fileno] = ACTIONS(2225),
    [anon_sym_gmtime] = ACTIONS(2225),
    [anon_sym_getc] = ACTIONS(2225),
    [anon_sym_getpgrp] = ACTIONS(2225),
    [anon_sym_getprotobyname] = ACTIONS(2225),
    [anon_sym_getpwname] = ACTIONS(2225),
    [anon_sym_getpwuid] = ACTIONS(2225),
    [anon_sym_getpeername] = ACTIONS(2225),
    [anon_sym_getnetbyname] = ACTIONS(2225),
    [anon_sym_getsockname] = ACTIONS(2225),
    [anon_sym_getgrnam] = ACTIONS(2225),
    [anon_sym_getgrgid] = ACTIONS(2225),
    [anon_sym_hex] = ACTIONS(2225),
    [anon_sym_int] = ACTIONS(2225),
    [anon_sym_keys] = ACTIONS(2225),
    [anon_sym_lc] = ACTIONS(2225),
    [anon_sym_lcfirst] = ACTIONS(2225),
    [anon_sym_length] = ACTIONS(2225),
    [anon_sym_localtime] = ACTIONS(2225),
    [anon_sym_log] = ACTIONS(2225),
    [anon_sym_lock] = ACTIONS(2225),
    [anon_sym_lstat] = ACTIONS(2225),
    [anon_sym_oct] = ACTIONS(2225),
    [anon_sym_ord] = ACTIONS(2225),
    [anon_sym_prototype] = ACTIONS(2225),
    [anon_sym_pop] = ACTIONS(2225),
    [anon_sym_pos] = ACTIONS(2225),
    [anon_sym_quotemeta] = ACTIONS(2225),
    [anon_sym_reset] = ACTIONS(2225),
    [anon_sym_rand] = ACTIONS(2225),
    [anon_sym_rmdir] = ACTIONS(2225),
    [anon_sym_readdir] = ACTIONS(2225),
    [anon_sym_readline] = ACTIONS(2225),
    [anon_sym_readpipe] = ACTIONS(2225),
    [anon_sym_rewinddir] = ACTIONS(2225),
    [anon_sym_readlink] = ACTIONS(2225),
    [anon_sym_ref] = ACTIONS(2225),
    [anon_sym_scalar] = ACTIONS(2225),
    [anon_sym_shift] = ACTIONS(2225),
    [anon_sym_sin] = ACTIONS(2225),
    [anon_sym_sleep] = ACTIONS(2225),
    [anon_sym_sqrt] = ACTIONS(2225),
    [anon_sym_srand] = ACTIONS(2225),
    [anon_sym_stat] = ACTIONS(2225),
    [anon_sym_study] = ACTIONS(2225),
    [anon_sym_tell] = ACTIONS(2225),
    [anon_sym_telldir] = ACTIONS(2225),
    [anon_sym_tied] = ACTIONS(2225),
    [anon_sym_uc] = ACTIONS(2225),
    [anon_sym_ucfirst] = ACTIONS(2225),
    [anon_sym_untie] = ACTIONS(2225),
    [anon_sym_umask] = ACTIONS(2225),
    [anon_sym_values] = ACTIONS(2225),
    [anon_sym_write] = ACTIONS(2225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2225),
    [anon_sym_qq] = ACTIONS(2225),
    [anon_sym_qw] = ACTIONS(2225),
    [anon_sym_qx] = ACTIONS(2225),
    [anon_sym_qr] = ACTIONS(2225),
    [anon_sym_m] = ACTIONS(2225),
    [anon_sym_s] = ACTIONS(2225),
    [anon_sym_tr] = ACTIONS(2225),
    [anon_sym_y] = ACTIONS(2225),
    [aux_sym__bareword_token1] = ACTIONS(2225),
    [sym_number] = ACTIONS(2225),
    [anon_sym_true] = ACTIONS(2225),
    [anon_sym_false] = ACTIONS(2225),
    [sym__single_quote] = ACTIONS(2223),
    [sym__double_quote] = ACTIONS(2223),
    [sym__backtick_quote] = ACTIONS(2223),
    [sym__search_slash_quote] = ACTIONS(2223),
    [sym__open_readline_bracket] = ACTIONS(2223),
    [sym__open_fileglob_bracket] = ACTIONS(2223),
    [sym__PERLY_HEREDOC] = ACTIONS(2223),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2223),
    [sym__filetest] = ACTIONS(2223),
  },
  [1124] = {
    [sym_heredoc_content] = STATE(1124),
    [sym__identifier] = ACTIONS(2229),
    [anon_sym_LBRACE] = ACTIONS(2229),
    [anon_sym_DOLLAR] = ACTIONS(2229),
    [anon_sym_AT] = ACTIONS(2229),
    [anon_sym_RPAREN] = ACTIONS(2229),
    [anon_sym_my] = ACTIONS(2229),
    [anon_sym_extended] = ACTIONS(2229),
    [anon_sym_async] = ACTIONS(2229),
    [anon_sym_sub] = ACTIONS(2229),
    [anon_sym_method] = ACTIONS(2229),
    [anon_sym_LPAREN] = ACTIONS(2229),
    [anon_sym_continue] = ACTIONS(2229),
    [anon_sym_state] = ACTIONS(2229),
    [anon_sym_our] = ACTIONS(2229),
    [anon_sym_LBRACK] = ACTIONS(2229),
    [anon_sym_LT_LT] = ACTIONS(2229),
    [anon_sym_SLASH_SLASH] = ACTIONS(2229),
    [anon_sym_PLUS] = ACTIONS(2229),
    [anon_sym_DASH] = ACTIONS(2229),
    [anon_sym_TILDE] = ACTIONS(2229),
    [anon_sym_BANG] = ACTIONS(2229),
    [anon_sym_PLUS_PLUS] = ACTIONS(2229),
    [anon_sym_DASH_DASH] = ACTIONS(2229),
    [anon_sym_BSLASH] = ACTIONS(2227),
    [anon_sym_do] = ACTIONS(2229),
    [anon_sym_eval] = ACTIONS(2229),
    [anon_sym_await] = ACTIONS(2229),
    [anon_sym_field] = ACTIONS(2229),
    [anon_sym_local] = ACTIONS(2229),
    [anon_sym_dynamically] = ACTIONS(2229),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2229),
    [anon_sym_require] = ACTIONS(2229),
    [anon_sym_map] = ACTIONS(2229),
    [anon_sym_grep] = ACTIONS(2229),
    [anon_sym_sort] = ACTIONS(2229),
    [anon_sym_goto] = ACTIONS(2229),
    [anon_sym_return] = ACTIONS(2229),
    [anon_sym_undef] = ACTIONS(2229),
    [anon_sym_PERCENT2] = ACTIONS(2229),
    [anon_sym_AMP2] = ACTIONS(2229),
    [anon_sym_STAR2] = ACTIONS(2229),
    [anon_sym_last] = ACTIONS(2229),
    [anon_sym_next] = ACTIONS(2229),
    [anon_sym_redo] = ACTIONS(2229),
    [anon_sym___FILE__] = ACTIONS(2229),
    [anon_sym___LINE__] = ACTIONS(2229),
    [anon_sym___PACKAGE__] = ACTIONS(2229),
    [anon_sym___SUB__] = ACTIONS(2229),
    [anon_sym_break] = ACTIONS(2229),
    [anon_sym_fork] = ACTIONS(2229),
    [anon_sym_getppid] = ACTIONS(2229),
    [anon_sym_time] = ACTIONS(2229),
    [anon_sym_times] = ACTIONS(2229),
    [anon_sym_wait] = ACTIONS(2229),
    [anon_sym_wantarray] = ACTIONS(2229),
    [anon_sym_abs] = ACTIONS(2229),
    [anon_sym_alarm] = ACTIONS(2229),
    [anon_sym_chop] = ACTIONS(2229),
    [anon_sym_chdir] = ACTIONS(2229),
    [anon_sym_close] = ACTIONS(2229),
    [anon_sym_closedir] = ACTIONS(2229),
    [anon_sym_caller] = ACTIONS(2229),
    [anon_sym_chomp] = ACTIONS(2229),
    [anon_sym_chr] = ACTIONS(2229),
    [anon_sym_cos] = ACTIONS(2229),
    [anon_sym_chroot] = ACTIONS(2229),
    [anon_sym_defined] = ACTIONS(2229),
    [anon_sym_delete] = ACTIONS(2229),
    [anon_sym_dbmclose] = ACTIONS(2229),
    [anon_sym_exists] = ACTIONS(2229),
    [anon_sym_exit] = ACTIONS(2229),
    [anon_sym_eof] = ACTIONS(2229),
    [anon_sym_exp] = ACTIONS(2229),
    [anon_sym_each] = ACTIONS(2229),
    [anon_sym_fc] = ACTIONS(2229),
    [anon_sym_fileno] = ACTIONS(2229),
    [anon_sym_gmtime] = ACTIONS(2229),
    [anon_sym_getc] = ACTIONS(2229),
    [anon_sym_getpgrp] = ACTIONS(2229),
    [anon_sym_getprotobyname] = ACTIONS(2229),
    [anon_sym_getpwname] = ACTIONS(2229),
    [anon_sym_getpwuid] = ACTIONS(2229),
    [anon_sym_getpeername] = ACTIONS(2229),
    [anon_sym_getnetbyname] = ACTIONS(2229),
    [anon_sym_getsockname] = ACTIONS(2229),
    [anon_sym_getgrnam] = ACTIONS(2229),
    [anon_sym_getgrgid] = ACTIONS(2229),
    [anon_sym_hex] = ACTIONS(2229),
    [anon_sym_int] = ACTIONS(2229),
    [anon_sym_keys] = ACTIONS(2229),
    [anon_sym_lc] = ACTIONS(2229),
    [anon_sym_lcfirst] = ACTIONS(2229),
    [anon_sym_length] = ACTIONS(2229),
    [anon_sym_localtime] = ACTIONS(2229),
    [anon_sym_log] = ACTIONS(2229),
    [anon_sym_lock] = ACTIONS(2229),
    [anon_sym_lstat] = ACTIONS(2229),
    [anon_sym_oct] = ACTIONS(2229),
    [anon_sym_ord] = ACTIONS(2229),
    [anon_sym_prototype] = ACTIONS(2229),
    [anon_sym_pop] = ACTIONS(2229),
    [anon_sym_pos] = ACTIONS(2229),
    [anon_sym_quotemeta] = ACTIONS(2229),
    [anon_sym_reset] = ACTIONS(2229),
    [anon_sym_rand] = ACTIONS(2229),
    [anon_sym_rmdir] = ACTIONS(2229),
    [anon_sym_readdir] = ACTIONS(2229),
    [anon_sym_readline] = ACTIONS(2229),
    [anon_sym_readpipe] = ACTIONS(2229),
    [anon_sym_rewinddir] = ACTIONS(2229),
    [anon_sym_readlink] = ACTIONS(2229),
    [anon_sym_ref] = ACTIONS(2229),
    [anon_sym_scalar] = ACTIONS(2229),
    [anon_sym_shift] = ACTIONS(2229),
    [anon_sym_sin] = ACTIONS(2229),
    [anon_sym_sleep] = ACTIONS(2229),
    [anon_sym_sqrt] = ACTIONS(2229),
    [anon_sym_srand] = ACTIONS(2229),
    [anon_sym_stat] = ACTIONS(2229),
    [anon_sym_study] = ACTIONS(2229),
    [anon_sym_tell] = ACTIONS(2229),
    [anon_sym_telldir] = ACTIONS(2229),
    [anon_sym_tied] = ACTIONS(2229),
    [anon_sym_uc] = ACTIONS(2229),
    [anon_sym_ucfirst] = ACTIONS(2229),
    [anon_sym_untie] = ACTIONS(2229),
    [anon_sym_umask] = ACTIONS(2229),
    [anon_sym_values] = ACTIONS(2229),
    [anon_sym_write] = ACTIONS(2229),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2229),
    [anon_sym_qq] = ACTIONS(2229),
    [anon_sym_qw] = ACTIONS(2229),
    [anon_sym_qx] = ACTIONS(2229),
    [anon_sym_qr] = ACTIONS(2229),
    [anon_sym_m] = ACTIONS(2229),
    [anon_sym_s] = ACTIONS(2229),
    [anon_sym_tr] = ACTIONS(2229),
    [anon_sym_y] = ACTIONS(2229),
    [aux_sym__bareword_token1] = ACTIONS(2229),
    [sym_number] = ACTIONS(2229),
    [anon_sym_true] = ACTIONS(2229),
    [anon_sym_false] = ACTIONS(2229),
    [sym__single_quote] = ACTIONS(2227),
    [sym__double_quote] = ACTIONS(2227),
    [sym__backtick_quote] = ACTIONS(2227),
    [sym__search_slash_quote] = ACTIONS(2227),
    [sym__open_readline_bracket] = ACTIONS(2227),
    [sym__open_fileglob_bracket] = ACTIONS(2227),
    [sym__PERLY_HEREDOC] = ACTIONS(2227),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2227),
    [sym__filetest] = ACTIONS(2227),
  },
  [1125] = {
    [sym_heredoc_content] = STATE(1125),
    [sym__identifier] = ACTIONS(2233),
    [anon_sym_LBRACE] = ACTIONS(2233),
    [anon_sym_DOLLAR] = ACTIONS(2233),
    [anon_sym_AT] = ACTIONS(2233),
    [anon_sym_RPAREN] = ACTIONS(2233),
    [anon_sym_my] = ACTIONS(2233),
    [anon_sym_extended] = ACTIONS(2233),
    [anon_sym_async] = ACTIONS(2233),
    [anon_sym_sub] = ACTIONS(2233),
    [anon_sym_method] = ACTIONS(2233),
    [anon_sym_LPAREN] = ACTIONS(2233),
    [anon_sym_continue] = ACTIONS(2233),
    [anon_sym_state] = ACTIONS(2233),
    [anon_sym_our] = ACTIONS(2233),
    [anon_sym_LBRACK] = ACTIONS(2233),
    [anon_sym_LT_LT] = ACTIONS(2233),
    [anon_sym_SLASH_SLASH] = ACTIONS(2233),
    [anon_sym_PLUS] = ACTIONS(2233),
    [anon_sym_DASH] = ACTIONS(2233),
    [anon_sym_TILDE] = ACTIONS(2233),
    [anon_sym_BANG] = ACTIONS(2233),
    [anon_sym_PLUS_PLUS] = ACTIONS(2233),
    [anon_sym_DASH_DASH] = ACTIONS(2233),
    [anon_sym_BSLASH] = ACTIONS(2231),
    [anon_sym_do] = ACTIONS(2233),
    [anon_sym_eval] = ACTIONS(2233),
    [anon_sym_await] = ACTIONS(2233),
    [anon_sym_field] = ACTIONS(2233),
    [anon_sym_local] = ACTIONS(2233),
    [anon_sym_dynamically] = ACTIONS(2233),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2233),
    [anon_sym_require] = ACTIONS(2233),
    [anon_sym_map] = ACTIONS(2233),
    [anon_sym_grep] = ACTIONS(2233),
    [anon_sym_sort] = ACTIONS(2233),
    [anon_sym_goto] = ACTIONS(2233),
    [anon_sym_return] = ACTIONS(2233),
    [anon_sym_undef] = ACTIONS(2233),
    [anon_sym_PERCENT2] = ACTIONS(2233),
    [anon_sym_AMP2] = ACTIONS(2233),
    [anon_sym_STAR2] = ACTIONS(2233),
    [anon_sym_last] = ACTIONS(2233),
    [anon_sym_next] = ACTIONS(2233),
    [anon_sym_redo] = ACTIONS(2233),
    [anon_sym___FILE__] = ACTIONS(2233),
    [anon_sym___LINE__] = ACTIONS(2233),
    [anon_sym___PACKAGE__] = ACTIONS(2233),
    [anon_sym___SUB__] = ACTIONS(2233),
    [anon_sym_break] = ACTIONS(2233),
    [anon_sym_fork] = ACTIONS(2233),
    [anon_sym_getppid] = ACTIONS(2233),
    [anon_sym_time] = ACTIONS(2233),
    [anon_sym_times] = ACTIONS(2233),
    [anon_sym_wait] = ACTIONS(2233),
    [anon_sym_wantarray] = ACTIONS(2233),
    [anon_sym_abs] = ACTIONS(2233),
    [anon_sym_alarm] = ACTIONS(2233),
    [anon_sym_chop] = ACTIONS(2233),
    [anon_sym_chdir] = ACTIONS(2233),
    [anon_sym_close] = ACTIONS(2233),
    [anon_sym_closedir] = ACTIONS(2233),
    [anon_sym_caller] = ACTIONS(2233),
    [anon_sym_chomp] = ACTIONS(2233),
    [anon_sym_chr] = ACTIONS(2233),
    [anon_sym_cos] = ACTIONS(2233),
    [anon_sym_chroot] = ACTIONS(2233),
    [anon_sym_defined] = ACTIONS(2233),
    [anon_sym_delete] = ACTIONS(2233),
    [anon_sym_dbmclose] = ACTIONS(2233),
    [anon_sym_exists] = ACTIONS(2233),
    [anon_sym_exit] = ACTIONS(2233),
    [anon_sym_eof] = ACTIONS(2233),
    [anon_sym_exp] = ACTIONS(2233),
    [anon_sym_each] = ACTIONS(2233),
    [anon_sym_fc] = ACTIONS(2233),
    [anon_sym_fileno] = ACTIONS(2233),
    [anon_sym_gmtime] = ACTIONS(2233),
    [anon_sym_getc] = ACTIONS(2233),
    [anon_sym_getpgrp] = ACTIONS(2233),
    [anon_sym_getprotobyname] = ACTIONS(2233),
    [anon_sym_getpwname] = ACTIONS(2233),
    [anon_sym_getpwuid] = ACTIONS(2233),
    [anon_sym_getpeername] = ACTIONS(2233),
    [anon_sym_getnetbyname] = ACTIONS(2233),
    [anon_sym_getsockname] = ACTIONS(2233),
    [anon_sym_getgrnam] = ACTIONS(2233),
    [anon_sym_getgrgid] = ACTIONS(2233),
    [anon_sym_hex] = ACTIONS(2233),
    [anon_sym_int] = ACTIONS(2233),
    [anon_sym_keys] = ACTIONS(2233),
    [anon_sym_lc] = ACTIONS(2233),
    [anon_sym_lcfirst] = ACTIONS(2233),
    [anon_sym_length] = ACTIONS(2233),
    [anon_sym_localtime] = ACTIONS(2233),
    [anon_sym_log] = ACTIONS(2233),
    [anon_sym_lock] = ACTIONS(2233),
    [anon_sym_lstat] = ACTIONS(2233),
    [anon_sym_oct] = ACTIONS(2233),
    [anon_sym_ord] = ACTIONS(2233),
    [anon_sym_prototype] = ACTIONS(2233),
    [anon_sym_pop] = ACTIONS(2233),
    [anon_sym_pos] = ACTIONS(2233),
    [anon_sym_quotemeta] = ACTIONS(2233),
    [anon_sym_reset] = ACTIONS(2233),
    [anon_sym_rand] = ACTIONS(2233),
    [anon_sym_rmdir] = ACTIONS(2233),
    [anon_sym_readdir] = ACTIONS(2233),
    [anon_sym_readline] = ACTIONS(2233),
    [anon_sym_readpipe] = ACTIONS(2233),
    [anon_sym_rewinddir] = ACTIONS(2233),
    [anon_sym_readlink] = ACTIONS(2233),
    [anon_sym_ref] = ACTIONS(2233),
    [anon_sym_scalar] = ACTIONS(2233),
    [anon_sym_shift] = ACTIONS(2233),
    [anon_sym_sin] = ACTIONS(2233),
    [anon_sym_sleep] = ACTIONS(2233),
    [anon_sym_sqrt] = ACTIONS(2233),
    [anon_sym_srand] = ACTIONS(2233),
    [anon_sym_stat] = ACTIONS(2233),
    [anon_sym_study] = ACTIONS(2233),
    [anon_sym_tell] = ACTIONS(2233),
    [anon_sym_telldir] = ACTIONS(2233),
    [anon_sym_tied] = ACTIONS(2233),
    [anon_sym_uc] = ACTIONS(2233),
    [anon_sym_ucfirst] = ACTIONS(2233),
    [anon_sym_untie] = ACTIONS(2233),
    [anon_sym_umask] = ACTIONS(2233),
    [anon_sym_values] = ACTIONS(2233),
    [anon_sym_write] = ACTIONS(2233),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2233),
    [anon_sym_qq] = ACTIONS(2233),
    [anon_sym_qw] = ACTIONS(2233),
    [anon_sym_qx] = ACTIONS(2233),
    [anon_sym_qr] = ACTIONS(2233),
    [anon_sym_m] = ACTIONS(2233),
    [anon_sym_s] = ACTIONS(2233),
    [anon_sym_tr] = ACTIONS(2233),
    [anon_sym_y] = ACTIONS(2233),
    [aux_sym__bareword_token1] = ACTIONS(2233),
    [sym_number] = ACTIONS(2233),
    [anon_sym_true] = ACTIONS(2233),
    [anon_sym_false] = ACTIONS(2233),
    [sym__single_quote] = ACTIONS(2231),
    [sym__double_quote] = ACTIONS(2231),
    [sym__backtick_quote] = ACTIONS(2231),
    [sym__search_slash_quote] = ACTIONS(2231),
    [sym__open_readline_bracket] = ACTIONS(2231),
    [sym__open_fileglob_bracket] = ACTIONS(2231),
    [sym__PERLY_HEREDOC] = ACTIONS(2231),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2231),
    [sym__filetest] = ACTIONS(2231),
  },
  [1126] = {
    [sym_heredoc_content] = STATE(1126),
    [sym__identifier] = ACTIONS(2237),
    [anon_sym_LBRACE] = ACTIONS(2237),
    [anon_sym_DOLLAR] = ACTIONS(2237),
    [anon_sym_AT] = ACTIONS(2237),
    [anon_sym_RPAREN] = ACTIONS(2237),
    [anon_sym_my] = ACTIONS(2237),
    [anon_sym_extended] = ACTIONS(2237),
    [anon_sym_async] = ACTIONS(2237),
    [anon_sym_sub] = ACTIONS(2237),
    [anon_sym_method] = ACTIONS(2237),
    [anon_sym_LPAREN] = ACTIONS(2237),
    [anon_sym_continue] = ACTIONS(2237),
    [anon_sym_state] = ACTIONS(2237),
    [anon_sym_our] = ACTIONS(2237),
    [anon_sym_LBRACK] = ACTIONS(2237),
    [anon_sym_LT_LT] = ACTIONS(2237),
    [anon_sym_SLASH_SLASH] = ACTIONS(2237),
    [anon_sym_PLUS] = ACTIONS(2237),
    [anon_sym_DASH] = ACTIONS(2237),
    [anon_sym_TILDE] = ACTIONS(2237),
    [anon_sym_BANG] = ACTIONS(2237),
    [anon_sym_PLUS_PLUS] = ACTIONS(2237),
    [anon_sym_DASH_DASH] = ACTIONS(2237),
    [anon_sym_BSLASH] = ACTIONS(2235),
    [anon_sym_do] = ACTIONS(2237),
    [anon_sym_eval] = ACTIONS(2237),
    [anon_sym_await] = ACTIONS(2237),
    [anon_sym_field] = ACTIONS(2237),
    [anon_sym_local] = ACTIONS(2237),
    [anon_sym_dynamically] = ACTIONS(2237),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2237),
    [anon_sym_require] = ACTIONS(2237),
    [anon_sym_map] = ACTIONS(2237),
    [anon_sym_grep] = ACTIONS(2237),
    [anon_sym_sort] = ACTIONS(2237),
    [anon_sym_goto] = ACTIONS(2237),
    [anon_sym_return] = ACTIONS(2237),
    [anon_sym_undef] = ACTIONS(2237),
    [anon_sym_PERCENT2] = ACTIONS(2237),
    [anon_sym_AMP2] = ACTIONS(2237),
    [anon_sym_STAR2] = ACTIONS(2237),
    [anon_sym_last] = ACTIONS(2237),
    [anon_sym_next] = ACTIONS(2237),
    [anon_sym_redo] = ACTIONS(2237),
    [anon_sym___FILE__] = ACTIONS(2237),
    [anon_sym___LINE__] = ACTIONS(2237),
    [anon_sym___PACKAGE__] = ACTIONS(2237),
    [anon_sym___SUB__] = ACTIONS(2237),
    [anon_sym_break] = ACTIONS(2237),
    [anon_sym_fork] = ACTIONS(2237),
    [anon_sym_getppid] = ACTIONS(2237),
    [anon_sym_time] = ACTIONS(2237),
    [anon_sym_times] = ACTIONS(2237),
    [anon_sym_wait] = ACTIONS(2237),
    [anon_sym_wantarray] = ACTIONS(2237),
    [anon_sym_abs] = ACTIONS(2237),
    [anon_sym_alarm] = ACTIONS(2237),
    [anon_sym_chop] = ACTIONS(2237),
    [anon_sym_chdir] = ACTIONS(2237),
    [anon_sym_close] = ACTIONS(2237),
    [anon_sym_closedir] = ACTIONS(2237),
    [anon_sym_caller] = ACTIONS(2237),
    [anon_sym_chomp] = ACTIONS(2237),
    [anon_sym_chr] = ACTIONS(2237),
    [anon_sym_cos] = ACTIONS(2237),
    [anon_sym_chroot] = ACTIONS(2237),
    [anon_sym_defined] = ACTIONS(2237),
    [anon_sym_delete] = ACTIONS(2237),
    [anon_sym_dbmclose] = ACTIONS(2237),
    [anon_sym_exists] = ACTIONS(2237),
    [anon_sym_exit] = ACTIONS(2237),
    [anon_sym_eof] = ACTIONS(2237),
    [anon_sym_exp] = ACTIONS(2237),
    [anon_sym_each] = ACTIONS(2237),
    [anon_sym_fc] = ACTIONS(2237),
    [anon_sym_fileno] = ACTIONS(2237),
    [anon_sym_gmtime] = ACTIONS(2237),
    [anon_sym_getc] = ACTIONS(2237),
    [anon_sym_getpgrp] = ACTIONS(2237),
    [anon_sym_getprotobyname] = ACTIONS(2237),
    [anon_sym_getpwname] = ACTIONS(2237),
    [anon_sym_getpwuid] = ACTIONS(2237),
    [anon_sym_getpeername] = ACTIONS(2237),
    [anon_sym_getnetbyname] = ACTIONS(2237),
    [anon_sym_getsockname] = ACTIONS(2237),
    [anon_sym_getgrnam] = ACTIONS(2237),
    [anon_sym_getgrgid] = ACTIONS(2237),
    [anon_sym_hex] = ACTIONS(2237),
    [anon_sym_int] = ACTIONS(2237),
    [anon_sym_keys] = ACTIONS(2237),
    [anon_sym_lc] = ACTIONS(2237),
    [anon_sym_lcfirst] = ACTIONS(2237),
    [anon_sym_length] = ACTIONS(2237),
    [anon_sym_localtime] = ACTIONS(2237),
    [anon_sym_log] = ACTIONS(2237),
    [anon_sym_lock] = ACTIONS(2237),
    [anon_sym_lstat] = ACTIONS(2237),
    [anon_sym_oct] = ACTIONS(2237),
    [anon_sym_ord] = ACTIONS(2237),
    [anon_sym_prototype] = ACTIONS(2237),
    [anon_sym_pop] = ACTIONS(2237),
    [anon_sym_pos] = ACTIONS(2237),
    [anon_sym_quotemeta] = ACTIONS(2237),
    [anon_sym_reset] = ACTIONS(2237),
    [anon_sym_rand] = ACTIONS(2237),
    [anon_sym_rmdir] = ACTIONS(2237),
    [anon_sym_readdir] = ACTIONS(2237),
    [anon_sym_readline] = ACTIONS(2237),
    [anon_sym_readpipe] = ACTIONS(2237),
    [anon_sym_rewinddir] = ACTIONS(2237),
    [anon_sym_readlink] = ACTIONS(2237),
    [anon_sym_ref] = ACTIONS(2237),
    [anon_sym_scalar] = ACTIONS(2237),
    [anon_sym_shift] = ACTIONS(2237),
    [anon_sym_sin] = ACTIONS(2237),
    [anon_sym_sleep] = ACTIONS(2237),
    [anon_sym_sqrt] = ACTIONS(2237),
    [anon_sym_srand] = ACTIONS(2237),
    [anon_sym_stat] = ACTIONS(2237),
    [anon_sym_study] = ACTIONS(2237),
    [anon_sym_tell] = ACTIONS(2237),
    [anon_sym_telldir] = ACTIONS(2237),
    [anon_sym_tied] = ACTIONS(2237),
    [anon_sym_uc] = ACTIONS(2237),
    [anon_sym_ucfirst] = ACTIONS(2237),
    [anon_sym_untie] = ACTIONS(2237),
    [anon_sym_umask] = ACTIONS(2237),
    [anon_sym_values] = ACTIONS(2237),
    [anon_sym_write] = ACTIONS(2237),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2237),
    [anon_sym_qq] = ACTIONS(2237),
    [anon_sym_qw] = ACTIONS(2237),
    [anon_sym_qx] = ACTIONS(2237),
    [anon_sym_qr] = ACTIONS(2237),
    [anon_sym_m] = ACTIONS(2237),
    [anon_sym_s] = ACTIONS(2237),
    [anon_sym_tr] = ACTIONS(2237),
    [anon_sym_y] = ACTIONS(2237),
    [aux_sym__bareword_token1] = ACTIONS(2237),
    [sym_number] = ACTIONS(2237),
    [anon_sym_true] = ACTIONS(2237),
    [anon_sym_false] = ACTIONS(2237),
    [sym__single_quote] = ACTIONS(2235),
    [sym__double_quote] = ACTIONS(2235),
    [sym__backtick_quote] = ACTIONS(2235),
    [sym__search_slash_quote] = ACTIONS(2235),
    [sym__open_readline_bracket] = ACTIONS(2235),
    [sym__open_fileglob_bracket] = ACTIONS(2235),
    [sym__PERLY_HEREDOC] = ACTIONS(2235),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2235),
    [sym__filetest] = ACTIONS(2235),
  },
  [1127] = {
    [sym_heredoc_content] = STATE(1127),
    [sym__identifier] = ACTIONS(2241),
    [anon_sym_LBRACE] = ACTIONS(2241),
    [anon_sym_DOLLAR] = ACTIONS(2241),
    [anon_sym_AT] = ACTIONS(2241),
    [anon_sym_RPAREN] = ACTIONS(2241),
    [anon_sym_my] = ACTIONS(2241),
    [anon_sym_extended] = ACTIONS(2241),
    [anon_sym_async] = ACTIONS(2241),
    [anon_sym_sub] = ACTIONS(2241),
    [anon_sym_method] = ACTIONS(2241),
    [anon_sym_LPAREN] = ACTIONS(2241),
    [anon_sym_continue] = ACTIONS(2241),
    [anon_sym_state] = ACTIONS(2241),
    [anon_sym_our] = ACTIONS(2241),
    [anon_sym_LBRACK] = ACTIONS(2241),
    [anon_sym_LT_LT] = ACTIONS(2241),
    [anon_sym_SLASH_SLASH] = ACTIONS(2241),
    [anon_sym_PLUS] = ACTIONS(2241),
    [anon_sym_DASH] = ACTIONS(2241),
    [anon_sym_TILDE] = ACTIONS(2241),
    [anon_sym_BANG] = ACTIONS(2241),
    [anon_sym_PLUS_PLUS] = ACTIONS(2241),
    [anon_sym_DASH_DASH] = ACTIONS(2241),
    [anon_sym_BSLASH] = ACTIONS(2239),
    [anon_sym_do] = ACTIONS(2241),
    [anon_sym_eval] = ACTIONS(2241),
    [anon_sym_await] = ACTIONS(2241),
    [anon_sym_field] = ACTIONS(2241),
    [anon_sym_local] = ACTIONS(2241),
    [anon_sym_dynamically] = ACTIONS(2241),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2241),
    [anon_sym_require] = ACTIONS(2241),
    [anon_sym_map] = ACTIONS(2241),
    [anon_sym_grep] = ACTIONS(2241),
    [anon_sym_sort] = ACTIONS(2241),
    [anon_sym_goto] = ACTIONS(2241),
    [anon_sym_return] = ACTIONS(2241),
    [anon_sym_undef] = ACTIONS(2241),
    [anon_sym_PERCENT2] = ACTIONS(2241),
    [anon_sym_AMP2] = ACTIONS(2241),
    [anon_sym_STAR2] = ACTIONS(2241),
    [anon_sym_last] = ACTIONS(2241),
    [anon_sym_next] = ACTIONS(2241),
    [anon_sym_redo] = ACTIONS(2241),
    [anon_sym___FILE__] = ACTIONS(2241),
    [anon_sym___LINE__] = ACTIONS(2241),
    [anon_sym___PACKAGE__] = ACTIONS(2241),
    [anon_sym___SUB__] = ACTIONS(2241),
    [anon_sym_break] = ACTIONS(2241),
    [anon_sym_fork] = ACTIONS(2241),
    [anon_sym_getppid] = ACTIONS(2241),
    [anon_sym_time] = ACTIONS(2241),
    [anon_sym_times] = ACTIONS(2241),
    [anon_sym_wait] = ACTIONS(2241),
    [anon_sym_wantarray] = ACTIONS(2241),
    [anon_sym_abs] = ACTIONS(2241),
    [anon_sym_alarm] = ACTIONS(2241),
    [anon_sym_chop] = ACTIONS(2241),
    [anon_sym_chdir] = ACTIONS(2241),
    [anon_sym_close] = ACTIONS(2241),
    [anon_sym_closedir] = ACTIONS(2241),
    [anon_sym_caller] = ACTIONS(2241),
    [anon_sym_chomp] = ACTIONS(2241),
    [anon_sym_chr] = ACTIONS(2241),
    [anon_sym_cos] = ACTIONS(2241),
    [anon_sym_chroot] = ACTIONS(2241),
    [anon_sym_defined] = ACTIONS(2241),
    [anon_sym_delete] = ACTIONS(2241),
    [anon_sym_dbmclose] = ACTIONS(2241),
    [anon_sym_exists] = ACTIONS(2241),
    [anon_sym_exit] = ACTIONS(2241),
    [anon_sym_eof] = ACTIONS(2241),
    [anon_sym_exp] = ACTIONS(2241),
    [anon_sym_each] = ACTIONS(2241),
    [anon_sym_fc] = ACTIONS(2241),
    [anon_sym_fileno] = ACTIONS(2241),
    [anon_sym_gmtime] = ACTIONS(2241),
    [anon_sym_getc] = ACTIONS(2241),
    [anon_sym_getpgrp] = ACTIONS(2241),
    [anon_sym_getprotobyname] = ACTIONS(2241),
    [anon_sym_getpwname] = ACTIONS(2241),
    [anon_sym_getpwuid] = ACTIONS(2241),
    [anon_sym_getpeername] = ACTIONS(2241),
    [anon_sym_getnetbyname] = ACTIONS(2241),
    [anon_sym_getsockname] = ACTIONS(2241),
    [anon_sym_getgrnam] = ACTIONS(2241),
    [anon_sym_getgrgid] = ACTIONS(2241),
    [anon_sym_hex] = ACTIONS(2241),
    [anon_sym_int] = ACTIONS(2241),
    [anon_sym_keys] = ACTIONS(2241),
    [anon_sym_lc] = ACTIONS(2241),
    [anon_sym_lcfirst] = ACTIONS(2241),
    [anon_sym_length] = ACTIONS(2241),
    [anon_sym_localtime] = ACTIONS(2241),
    [anon_sym_log] = ACTIONS(2241),
    [anon_sym_lock] = ACTIONS(2241),
    [anon_sym_lstat] = ACTIONS(2241),
    [anon_sym_oct] = ACTIONS(2241),
    [anon_sym_ord] = ACTIONS(2241),
    [anon_sym_prototype] = ACTIONS(2241),
    [anon_sym_pop] = ACTIONS(2241),
    [anon_sym_pos] = ACTIONS(2241),
    [anon_sym_quotemeta] = ACTIONS(2241),
    [anon_sym_reset] = ACTIONS(2241),
    [anon_sym_rand] = ACTIONS(2241),
    [anon_sym_rmdir] = ACTIONS(2241),
    [anon_sym_readdir] = ACTIONS(2241),
    [anon_sym_readline] = ACTIONS(2241),
    [anon_sym_readpipe] = ACTIONS(2241),
    [anon_sym_rewinddir] = ACTIONS(2241),
    [anon_sym_readlink] = ACTIONS(2241),
    [anon_sym_ref] = ACTIONS(2241),
    [anon_sym_scalar] = ACTIONS(2241),
    [anon_sym_shift] = ACTIONS(2241),
    [anon_sym_sin] = ACTIONS(2241),
    [anon_sym_sleep] = ACTIONS(2241),
    [anon_sym_sqrt] = ACTIONS(2241),
    [anon_sym_srand] = ACTIONS(2241),
    [anon_sym_stat] = ACTIONS(2241),
    [anon_sym_study] = ACTIONS(2241),
    [anon_sym_tell] = ACTIONS(2241),
    [anon_sym_telldir] = ACTIONS(2241),
    [anon_sym_tied] = ACTIONS(2241),
    [anon_sym_uc] = ACTIONS(2241),
    [anon_sym_ucfirst] = ACTIONS(2241),
    [anon_sym_untie] = ACTIONS(2241),
    [anon_sym_umask] = ACTIONS(2241),
    [anon_sym_values] = ACTIONS(2241),
    [anon_sym_write] = ACTIONS(2241),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2241),
    [anon_sym_qq] = ACTIONS(2241),
    [anon_sym_qw] = ACTIONS(2241),
    [anon_sym_qx] = ACTIONS(2241),
    [anon_sym_qr] = ACTIONS(2241),
    [anon_sym_m] = ACTIONS(2241),
    [anon_sym_s] = ACTIONS(2241),
    [anon_sym_tr] = ACTIONS(2241),
    [anon_sym_y] = ACTIONS(2241),
    [aux_sym__bareword_token1] = ACTIONS(2241),
    [sym_number] = ACTIONS(2241),
    [anon_sym_true] = ACTIONS(2241),
    [anon_sym_false] = ACTIONS(2241),
    [sym__single_quote] = ACTIONS(2239),
    [sym__double_quote] = ACTIONS(2239),
    [sym__backtick_quote] = ACTIONS(2239),
    [sym__search_slash_quote] = ACTIONS(2239),
    [sym__open_readline_bracket] = ACTIONS(2239),
    [sym__open_fileglob_bracket] = ACTIONS(2239),
    [sym__PERLY_HEREDOC] = ACTIONS(2239),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2239),
    [sym__filetest] = ACTIONS(2239),
  },
  [1128] = {
    [sym_heredoc_content] = STATE(1128),
    [sym__identifier] = ACTIONS(2245),
    [anon_sym_LBRACE] = ACTIONS(2245),
    [anon_sym_DOLLAR] = ACTIONS(2245),
    [anon_sym_AT] = ACTIONS(2245),
    [anon_sym_RPAREN] = ACTIONS(2245),
    [anon_sym_my] = ACTIONS(2245),
    [anon_sym_extended] = ACTIONS(2245),
    [anon_sym_async] = ACTIONS(2245),
    [anon_sym_sub] = ACTIONS(2245),
    [anon_sym_method] = ACTIONS(2245),
    [anon_sym_LPAREN] = ACTIONS(2245),
    [anon_sym_continue] = ACTIONS(2245),
    [anon_sym_state] = ACTIONS(2245),
    [anon_sym_our] = ACTIONS(2245),
    [anon_sym_LBRACK] = ACTIONS(2245),
    [anon_sym_LT_LT] = ACTIONS(2245),
    [anon_sym_SLASH_SLASH] = ACTIONS(2245),
    [anon_sym_PLUS] = ACTIONS(2245),
    [anon_sym_DASH] = ACTIONS(2245),
    [anon_sym_TILDE] = ACTIONS(2245),
    [anon_sym_BANG] = ACTIONS(2245),
    [anon_sym_PLUS_PLUS] = ACTIONS(2245),
    [anon_sym_DASH_DASH] = ACTIONS(2245),
    [anon_sym_BSLASH] = ACTIONS(2243),
    [anon_sym_do] = ACTIONS(2245),
    [anon_sym_eval] = ACTIONS(2245),
    [anon_sym_await] = ACTIONS(2245),
    [anon_sym_field] = ACTIONS(2245),
    [anon_sym_local] = ACTIONS(2245),
    [anon_sym_dynamically] = ACTIONS(2245),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2245),
    [anon_sym_require] = ACTIONS(2245),
    [anon_sym_map] = ACTIONS(2245),
    [anon_sym_grep] = ACTIONS(2245),
    [anon_sym_sort] = ACTIONS(2245),
    [anon_sym_goto] = ACTIONS(2245),
    [anon_sym_return] = ACTIONS(2245),
    [anon_sym_undef] = ACTIONS(2245),
    [anon_sym_PERCENT2] = ACTIONS(2245),
    [anon_sym_AMP2] = ACTIONS(2245),
    [anon_sym_STAR2] = ACTIONS(2245),
    [anon_sym_last] = ACTIONS(2245),
    [anon_sym_next] = ACTIONS(2245),
    [anon_sym_redo] = ACTIONS(2245),
    [anon_sym___FILE__] = ACTIONS(2245),
    [anon_sym___LINE__] = ACTIONS(2245),
    [anon_sym___PACKAGE__] = ACTIONS(2245),
    [anon_sym___SUB__] = ACTIONS(2245),
    [anon_sym_break] = ACTIONS(2245),
    [anon_sym_fork] = ACTIONS(2245),
    [anon_sym_getppid] = ACTIONS(2245),
    [anon_sym_time] = ACTIONS(2245),
    [anon_sym_times] = ACTIONS(2245),
    [anon_sym_wait] = ACTIONS(2245),
    [anon_sym_wantarray] = ACTIONS(2245),
    [anon_sym_abs] = ACTIONS(2245),
    [anon_sym_alarm] = ACTIONS(2245),
    [anon_sym_chop] = ACTIONS(2245),
    [anon_sym_chdir] = ACTIONS(2245),
    [anon_sym_close] = ACTIONS(2245),
    [anon_sym_closedir] = ACTIONS(2245),
    [anon_sym_caller] = ACTIONS(2245),
    [anon_sym_chomp] = ACTIONS(2245),
    [anon_sym_chr] = ACTIONS(2245),
    [anon_sym_cos] = ACTIONS(2245),
    [anon_sym_chroot] = ACTIONS(2245),
    [anon_sym_defined] = ACTIONS(2245),
    [anon_sym_delete] = ACTIONS(2245),
    [anon_sym_dbmclose] = ACTIONS(2245),
    [anon_sym_exists] = ACTIONS(2245),
    [anon_sym_exit] = ACTIONS(2245),
    [anon_sym_eof] = ACTIONS(2245),
    [anon_sym_exp] = ACTIONS(2245),
    [anon_sym_each] = ACTIONS(2245),
    [anon_sym_fc] = ACTIONS(2245),
    [anon_sym_fileno] = ACTIONS(2245),
    [anon_sym_gmtime] = ACTIONS(2245),
    [anon_sym_getc] = ACTIONS(2245),
    [anon_sym_getpgrp] = ACTIONS(2245),
    [anon_sym_getprotobyname] = ACTIONS(2245),
    [anon_sym_getpwname] = ACTIONS(2245),
    [anon_sym_getpwuid] = ACTIONS(2245),
    [anon_sym_getpeername] = ACTIONS(2245),
    [anon_sym_getnetbyname] = ACTIONS(2245),
    [anon_sym_getsockname] = ACTIONS(2245),
    [anon_sym_getgrnam] = ACTIONS(2245),
    [anon_sym_getgrgid] = ACTIONS(2245),
    [anon_sym_hex] = ACTIONS(2245),
    [anon_sym_int] = ACTIONS(2245),
    [anon_sym_keys] = ACTIONS(2245),
    [anon_sym_lc] = ACTIONS(2245),
    [anon_sym_lcfirst] = ACTIONS(2245),
    [anon_sym_length] = ACTIONS(2245),
    [anon_sym_localtime] = ACTIONS(2245),
    [anon_sym_log] = ACTIONS(2245),
    [anon_sym_lock] = ACTIONS(2245),
    [anon_sym_lstat] = ACTIONS(2245),
    [anon_sym_oct] = ACTIONS(2245),
    [anon_sym_ord] = ACTIONS(2245),
    [anon_sym_prototype] = ACTIONS(2245),
    [anon_sym_pop] = ACTIONS(2245),
    [anon_sym_pos] = ACTIONS(2245),
    [anon_sym_quotemeta] = ACTIONS(2245),
    [anon_sym_reset] = ACTIONS(2245),
    [anon_sym_rand] = ACTIONS(2245),
    [anon_sym_rmdir] = ACTIONS(2245),
    [anon_sym_readdir] = ACTIONS(2245),
    [anon_sym_readline] = ACTIONS(2245),
    [anon_sym_readpipe] = ACTIONS(2245),
    [anon_sym_rewinddir] = ACTIONS(2245),
    [anon_sym_readlink] = ACTIONS(2245),
    [anon_sym_ref] = ACTIONS(2245),
    [anon_sym_scalar] = ACTIONS(2245),
    [anon_sym_shift] = ACTIONS(2245),
    [anon_sym_sin] = ACTIONS(2245),
    [anon_sym_sleep] = ACTIONS(2245),
    [anon_sym_sqrt] = ACTIONS(2245),
    [anon_sym_srand] = ACTIONS(2245),
    [anon_sym_stat] = ACTIONS(2245),
    [anon_sym_study] = ACTIONS(2245),
    [anon_sym_tell] = ACTIONS(2245),
    [anon_sym_telldir] = ACTIONS(2245),
    [anon_sym_tied] = ACTIONS(2245),
    [anon_sym_uc] = ACTIONS(2245),
    [anon_sym_ucfirst] = ACTIONS(2245),
    [anon_sym_untie] = ACTIONS(2245),
    [anon_sym_umask] = ACTIONS(2245),
    [anon_sym_values] = ACTIONS(2245),
    [anon_sym_write] = ACTIONS(2245),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2245),
    [anon_sym_qq] = ACTIONS(2245),
    [anon_sym_qw] = ACTIONS(2245),
    [anon_sym_qx] = ACTIONS(2245),
    [anon_sym_qr] = ACTIONS(2245),
    [anon_sym_m] = ACTIONS(2245),
    [anon_sym_s] = ACTIONS(2245),
    [anon_sym_tr] = ACTIONS(2245),
    [anon_sym_y] = ACTIONS(2245),
    [aux_sym__bareword_token1] = ACTIONS(2245),
    [sym_number] = ACTIONS(2245),
    [anon_sym_true] = ACTIONS(2245),
    [anon_sym_false] = ACTIONS(2245),
    [sym__single_quote] = ACTIONS(2243),
    [sym__double_quote] = ACTIONS(2243),
    [sym__backtick_quote] = ACTIONS(2243),
    [sym__search_slash_quote] = ACTIONS(2243),
    [sym__open_readline_bracket] = ACTIONS(2243),
    [sym__open_fileglob_bracket] = ACTIONS(2243),
    [sym__PERLY_HEREDOC] = ACTIONS(2243),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2243),
    [sym__filetest] = ACTIONS(2243),
  },
  [1129] = {
    [sym_heredoc_content] = STATE(1129),
    [sym__identifier] = ACTIONS(2249),
    [anon_sym_LBRACE] = ACTIONS(2249),
    [anon_sym_DOLLAR] = ACTIONS(2249),
    [anon_sym_AT] = ACTIONS(2249),
    [anon_sym_RPAREN] = ACTIONS(2249),
    [anon_sym_my] = ACTIONS(2249),
    [anon_sym_extended] = ACTIONS(2249),
    [anon_sym_async] = ACTIONS(2249),
    [anon_sym_sub] = ACTIONS(2249),
    [anon_sym_method] = ACTIONS(2249),
    [anon_sym_LPAREN] = ACTIONS(2249),
    [anon_sym_continue] = ACTIONS(2249),
    [anon_sym_state] = ACTIONS(2249),
    [anon_sym_our] = ACTIONS(2249),
    [anon_sym_LBRACK] = ACTIONS(2249),
    [anon_sym_LT_LT] = ACTIONS(2249),
    [anon_sym_SLASH_SLASH] = ACTIONS(2249),
    [anon_sym_PLUS] = ACTIONS(2249),
    [anon_sym_DASH] = ACTIONS(2249),
    [anon_sym_TILDE] = ACTIONS(2249),
    [anon_sym_BANG] = ACTIONS(2249),
    [anon_sym_PLUS_PLUS] = ACTIONS(2249),
    [anon_sym_DASH_DASH] = ACTIONS(2249),
    [anon_sym_BSLASH] = ACTIONS(2247),
    [anon_sym_do] = ACTIONS(2249),
    [anon_sym_eval] = ACTIONS(2249),
    [anon_sym_await] = ACTIONS(2249),
    [anon_sym_field] = ACTIONS(2249),
    [anon_sym_local] = ACTIONS(2249),
    [anon_sym_dynamically] = ACTIONS(2249),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2249),
    [anon_sym_require] = ACTIONS(2249),
    [anon_sym_map] = ACTIONS(2249),
    [anon_sym_grep] = ACTIONS(2249),
    [anon_sym_sort] = ACTIONS(2249),
    [anon_sym_goto] = ACTIONS(2249),
    [anon_sym_return] = ACTIONS(2249),
    [anon_sym_undef] = ACTIONS(2249),
    [anon_sym_PERCENT2] = ACTIONS(2249),
    [anon_sym_AMP2] = ACTIONS(2249),
    [anon_sym_STAR2] = ACTIONS(2249),
    [anon_sym_last] = ACTIONS(2249),
    [anon_sym_next] = ACTIONS(2249),
    [anon_sym_redo] = ACTIONS(2249),
    [anon_sym___FILE__] = ACTIONS(2249),
    [anon_sym___LINE__] = ACTIONS(2249),
    [anon_sym___PACKAGE__] = ACTIONS(2249),
    [anon_sym___SUB__] = ACTIONS(2249),
    [anon_sym_break] = ACTIONS(2249),
    [anon_sym_fork] = ACTIONS(2249),
    [anon_sym_getppid] = ACTIONS(2249),
    [anon_sym_time] = ACTIONS(2249),
    [anon_sym_times] = ACTIONS(2249),
    [anon_sym_wait] = ACTIONS(2249),
    [anon_sym_wantarray] = ACTIONS(2249),
    [anon_sym_abs] = ACTIONS(2249),
    [anon_sym_alarm] = ACTIONS(2249),
    [anon_sym_chop] = ACTIONS(2249),
    [anon_sym_chdir] = ACTIONS(2249),
    [anon_sym_close] = ACTIONS(2249),
    [anon_sym_closedir] = ACTIONS(2249),
    [anon_sym_caller] = ACTIONS(2249),
    [anon_sym_chomp] = ACTIONS(2249),
    [anon_sym_chr] = ACTIONS(2249),
    [anon_sym_cos] = ACTIONS(2249),
    [anon_sym_chroot] = ACTIONS(2249),
    [anon_sym_defined] = ACTIONS(2249),
    [anon_sym_delete] = ACTIONS(2249),
    [anon_sym_dbmclose] = ACTIONS(2249),
    [anon_sym_exists] = ACTIONS(2249),
    [anon_sym_exit] = ACTIONS(2249),
    [anon_sym_eof] = ACTIONS(2249),
    [anon_sym_exp] = ACTIONS(2249),
    [anon_sym_each] = ACTIONS(2249),
    [anon_sym_fc] = ACTIONS(2249),
    [anon_sym_fileno] = ACTIONS(2249),
    [anon_sym_gmtime] = ACTIONS(2249),
    [anon_sym_getc] = ACTIONS(2249),
    [anon_sym_getpgrp] = ACTIONS(2249),
    [anon_sym_getprotobyname] = ACTIONS(2249),
    [anon_sym_getpwname] = ACTIONS(2249),
    [anon_sym_getpwuid] = ACTIONS(2249),
    [anon_sym_getpeername] = ACTIONS(2249),
    [anon_sym_getnetbyname] = ACTIONS(2249),
    [anon_sym_getsockname] = ACTIONS(2249),
    [anon_sym_getgrnam] = ACTIONS(2249),
    [anon_sym_getgrgid] = ACTIONS(2249),
    [anon_sym_hex] = ACTIONS(2249),
    [anon_sym_int] = ACTIONS(2249),
    [anon_sym_keys] = ACTIONS(2249),
    [anon_sym_lc] = ACTIONS(2249),
    [anon_sym_lcfirst] = ACTIONS(2249),
    [anon_sym_length] = ACTIONS(2249),
    [anon_sym_localtime] = ACTIONS(2249),
    [anon_sym_log] = ACTIONS(2249),
    [anon_sym_lock] = ACTIONS(2249),
    [anon_sym_lstat] = ACTIONS(2249),
    [anon_sym_oct] = ACTIONS(2249),
    [anon_sym_ord] = ACTIONS(2249),
    [anon_sym_prototype] = ACTIONS(2249),
    [anon_sym_pop] = ACTIONS(2249),
    [anon_sym_pos] = ACTIONS(2249),
    [anon_sym_quotemeta] = ACTIONS(2249),
    [anon_sym_reset] = ACTIONS(2249),
    [anon_sym_rand] = ACTIONS(2249),
    [anon_sym_rmdir] = ACTIONS(2249),
    [anon_sym_readdir] = ACTIONS(2249),
    [anon_sym_readline] = ACTIONS(2249),
    [anon_sym_readpipe] = ACTIONS(2249),
    [anon_sym_rewinddir] = ACTIONS(2249),
    [anon_sym_readlink] = ACTIONS(2249),
    [anon_sym_ref] = ACTIONS(2249),
    [anon_sym_scalar] = ACTIONS(2249),
    [anon_sym_shift] = ACTIONS(2249),
    [anon_sym_sin] = ACTIONS(2249),
    [anon_sym_sleep] = ACTIONS(2249),
    [anon_sym_sqrt] = ACTIONS(2249),
    [anon_sym_srand] = ACTIONS(2249),
    [anon_sym_stat] = ACTIONS(2249),
    [anon_sym_study] = ACTIONS(2249),
    [anon_sym_tell] = ACTIONS(2249),
    [anon_sym_telldir] = ACTIONS(2249),
    [anon_sym_tied] = ACTIONS(2249),
    [anon_sym_uc] = ACTIONS(2249),
    [anon_sym_ucfirst] = ACTIONS(2249),
    [anon_sym_untie] = ACTIONS(2249),
    [anon_sym_umask] = ACTIONS(2249),
    [anon_sym_values] = ACTIONS(2249),
    [anon_sym_write] = ACTIONS(2249),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2249),
    [anon_sym_qq] = ACTIONS(2249),
    [anon_sym_qw] = ACTIONS(2249),
    [anon_sym_qx] = ACTIONS(2249),
    [anon_sym_qr] = ACTIONS(2249),
    [anon_sym_m] = ACTIONS(2249),
    [anon_sym_s] = ACTIONS(2249),
    [anon_sym_tr] = ACTIONS(2249),
    [anon_sym_y] = ACTIONS(2249),
    [aux_sym__bareword_token1] = ACTIONS(2249),
    [sym_number] = ACTIONS(2249),
    [anon_sym_true] = ACTIONS(2249),
    [anon_sym_false] = ACTIONS(2249),
    [sym__single_quote] = ACTIONS(2247),
    [sym__double_quote] = ACTIONS(2247),
    [sym__backtick_quote] = ACTIONS(2247),
    [sym__search_slash_quote] = ACTIONS(2247),
    [sym__open_readline_bracket] = ACTIONS(2247),
    [sym__open_fileglob_bracket] = ACTIONS(2247),
    [sym__PERLY_HEREDOC] = ACTIONS(2247),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2247),
    [sym__filetest] = ACTIONS(2247),
  },
  [1130] = {
    [sym_heredoc_content] = STATE(1130),
    [sym__identifier] = ACTIONS(2253),
    [anon_sym_LBRACE] = ACTIONS(2253),
    [anon_sym_DOLLAR] = ACTIONS(2253),
    [anon_sym_AT] = ACTIONS(2253),
    [anon_sym_RPAREN] = ACTIONS(2253),
    [anon_sym_my] = ACTIONS(2253),
    [anon_sym_extended] = ACTIONS(2253),
    [anon_sym_async] = ACTIONS(2253),
    [anon_sym_sub] = ACTIONS(2253),
    [anon_sym_method] = ACTIONS(2253),
    [anon_sym_LPAREN] = ACTIONS(2253),
    [anon_sym_continue] = ACTIONS(2253),
    [anon_sym_state] = ACTIONS(2253),
    [anon_sym_our] = ACTIONS(2253),
    [anon_sym_LBRACK] = ACTIONS(2253),
    [anon_sym_LT_LT] = ACTIONS(2253),
    [anon_sym_SLASH_SLASH] = ACTIONS(2253),
    [anon_sym_PLUS] = ACTIONS(2253),
    [anon_sym_DASH] = ACTIONS(2253),
    [anon_sym_TILDE] = ACTIONS(2253),
    [anon_sym_BANG] = ACTIONS(2253),
    [anon_sym_PLUS_PLUS] = ACTIONS(2253),
    [anon_sym_DASH_DASH] = ACTIONS(2253),
    [anon_sym_BSLASH] = ACTIONS(2251),
    [anon_sym_do] = ACTIONS(2253),
    [anon_sym_eval] = ACTIONS(2253),
    [anon_sym_await] = ACTIONS(2253),
    [anon_sym_field] = ACTIONS(2253),
    [anon_sym_local] = ACTIONS(2253),
    [anon_sym_dynamically] = ACTIONS(2253),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2253),
    [anon_sym_require] = ACTIONS(2253),
    [anon_sym_map] = ACTIONS(2253),
    [anon_sym_grep] = ACTIONS(2253),
    [anon_sym_sort] = ACTIONS(2253),
    [anon_sym_goto] = ACTIONS(2253),
    [anon_sym_return] = ACTIONS(2253),
    [anon_sym_undef] = ACTIONS(2253),
    [anon_sym_PERCENT2] = ACTIONS(2253),
    [anon_sym_AMP2] = ACTIONS(2253),
    [anon_sym_STAR2] = ACTIONS(2253),
    [anon_sym_last] = ACTIONS(2253),
    [anon_sym_next] = ACTIONS(2253),
    [anon_sym_redo] = ACTIONS(2253),
    [anon_sym___FILE__] = ACTIONS(2253),
    [anon_sym___LINE__] = ACTIONS(2253),
    [anon_sym___PACKAGE__] = ACTIONS(2253),
    [anon_sym___SUB__] = ACTIONS(2253),
    [anon_sym_break] = ACTIONS(2253),
    [anon_sym_fork] = ACTIONS(2253),
    [anon_sym_getppid] = ACTIONS(2253),
    [anon_sym_time] = ACTIONS(2253),
    [anon_sym_times] = ACTIONS(2253),
    [anon_sym_wait] = ACTIONS(2253),
    [anon_sym_wantarray] = ACTIONS(2253),
    [anon_sym_abs] = ACTIONS(2253),
    [anon_sym_alarm] = ACTIONS(2253),
    [anon_sym_chop] = ACTIONS(2253),
    [anon_sym_chdir] = ACTIONS(2253),
    [anon_sym_close] = ACTIONS(2253),
    [anon_sym_closedir] = ACTIONS(2253),
    [anon_sym_caller] = ACTIONS(2253),
    [anon_sym_chomp] = ACTIONS(2253),
    [anon_sym_chr] = ACTIONS(2253),
    [anon_sym_cos] = ACTIONS(2253),
    [anon_sym_chroot] = ACTIONS(2253),
    [anon_sym_defined] = ACTIONS(2253),
    [anon_sym_delete] = ACTIONS(2253),
    [anon_sym_dbmclose] = ACTIONS(2253),
    [anon_sym_exists] = ACTIONS(2253),
    [anon_sym_exit] = ACTIONS(2253),
    [anon_sym_eof] = ACTIONS(2253),
    [anon_sym_exp] = ACTIONS(2253),
    [anon_sym_each] = ACTIONS(2253),
    [anon_sym_fc] = ACTIONS(2253),
    [anon_sym_fileno] = ACTIONS(2253),
    [anon_sym_gmtime] = ACTIONS(2253),
    [anon_sym_getc] = ACTIONS(2253),
    [anon_sym_getpgrp] = ACTIONS(2253),
    [anon_sym_getprotobyname] = ACTIONS(2253),
    [anon_sym_getpwname] = ACTIONS(2253),
    [anon_sym_getpwuid] = ACTIONS(2253),
    [anon_sym_getpeername] = ACTIONS(2253),
    [anon_sym_getnetbyname] = ACTIONS(2253),
    [anon_sym_getsockname] = ACTIONS(2253),
    [anon_sym_getgrnam] = ACTIONS(2253),
    [anon_sym_getgrgid] = ACTIONS(2253),
    [anon_sym_hex] = ACTIONS(2253),
    [anon_sym_int] = ACTIONS(2253),
    [anon_sym_keys] = ACTIONS(2253),
    [anon_sym_lc] = ACTIONS(2253),
    [anon_sym_lcfirst] = ACTIONS(2253),
    [anon_sym_length] = ACTIONS(2253),
    [anon_sym_localtime] = ACTIONS(2253),
    [anon_sym_log] = ACTIONS(2253),
    [anon_sym_lock] = ACTIONS(2253),
    [anon_sym_lstat] = ACTIONS(2253),
    [anon_sym_oct] = ACTIONS(2253),
    [anon_sym_ord] = ACTIONS(2253),
    [anon_sym_prototype] = ACTIONS(2253),
    [anon_sym_pop] = ACTIONS(2253),
    [anon_sym_pos] = ACTIONS(2253),
    [anon_sym_quotemeta] = ACTIONS(2253),
    [anon_sym_reset] = ACTIONS(2253),
    [anon_sym_rand] = ACTIONS(2253),
    [anon_sym_rmdir] = ACTIONS(2253),
    [anon_sym_readdir] = ACTIONS(2253),
    [anon_sym_readline] = ACTIONS(2253),
    [anon_sym_readpipe] = ACTIONS(2253),
    [anon_sym_rewinddir] = ACTIONS(2253),
    [anon_sym_readlink] = ACTIONS(2253),
    [anon_sym_ref] = ACTIONS(2253),
    [anon_sym_scalar] = ACTIONS(2253),
    [anon_sym_shift] = ACTIONS(2253),
    [anon_sym_sin] = ACTIONS(2253),
    [anon_sym_sleep] = ACTIONS(2253),
    [anon_sym_sqrt] = ACTIONS(2253),
    [anon_sym_srand] = ACTIONS(2253),
    [anon_sym_stat] = ACTIONS(2253),
    [anon_sym_study] = ACTIONS(2253),
    [anon_sym_tell] = ACTIONS(2253),
    [anon_sym_telldir] = ACTIONS(2253),
    [anon_sym_tied] = ACTIONS(2253),
    [anon_sym_uc] = ACTIONS(2253),
    [anon_sym_ucfirst] = ACTIONS(2253),
    [anon_sym_untie] = ACTIONS(2253),
    [anon_sym_umask] = ACTIONS(2253),
    [anon_sym_values] = ACTIONS(2253),
    [anon_sym_write] = ACTIONS(2253),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2253),
    [anon_sym_qq] = ACTIONS(2253),
    [anon_sym_qw] = ACTIONS(2253),
    [anon_sym_qx] = ACTIONS(2253),
    [anon_sym_qr] = ACTIONS(2253),
    [anon_sym_m] = ACTIONS(2253),
    [anon_sym_s] = ACTIONS(2253),
    [anon_sym_tr] = ACTIONS(2253),
    [anon_sym_y] = ACTIONS(2253),
    [aux_sym__bareword_token1] = ACTIONS(2253),
    [sym_number] = ACTIONS(2253),
    [anon_sym_true] = ACTIONS(2253),
    [anon_sym_false] = ACTIONS(2253),
    [sym__single_quote] = ACTIONS(2251),
    [sym__double_quote] = ACTIONS(2251),
    [sym__backtick_quote] = ACTIONS(2251),
    [sym__search_slash_quote] = ACTIONS(2251),
    [sym__open_readline_bracket] = ACTIONS(2251),
    [sym__open_fileglob_bracket] = ACTIONS(2251),
    [sym__PERLY_HEREDOC] = ACTIONS(2251),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2251),
    [sym__filetest] = ACTIONS(2251),
  },
  [1131] = {
    [sym_heredoc_content] = STATE(1131),
    [sym__identifier] = ACTIONS(2257),
    [anon_sym_LBRACE] = ACTIONS(2257),
    [anon_sym_DOLLAR] = ACTIONS(2257),
    [anon_sym_AT] = ACTIONS(2257),
    [anon_sym_RPAREN] = ACTIONS(2257),
    [anon_sym_my] = ACTIONS(2257),
    [anon_sym_extended] = ACTIONS(2257),
    [anon_sym_async] = ACTIONS(2257),
    [anon_sym_sub] = ACTIONS(2257),
    [anon_sym_method] = ACTIONS(2257),
    [anon_sym_LPAREN] = ACTIONS(2257),
    [anon_sym_continue] = ACTIONS(2257),
    [anon_sym_state] = ACTIONS(2257),
    [anon_sym_our] = ACTIONS(2257),
    [anon_sym_LBRACK] = ACTIONS(2257),
    [anon_sym_LT_LT] = ACTIONS(2257),
    [anon_sym_SLASH_SLASH] = ACTIONS(2257),
    [anon_sym_PLUS] = ACTIONS(2257),
    [anon_sym_DASH] = ACTIONS(2257),
    [anon_sym_TILDE] = ACTIONS(2257),
    [anon_sym_BANG] = ACTIONS(2257),
    [anon_sym_PLUS_PLUS] = ACTIONS(2257),
    [anon_sym_DASH_DASH] = ACTIONS(2257),
    [anon_sym_BSLASH] = ACTIONS(2255),
    [anon_sym_do] = ACTIONS(2257),
    [anon_sym_eval] = ACTIONS(2257),
    [anon_sym_await] = ACTIONS(2257),
    [anon_sym_field] = ACTIONS(2257),
    [anon_sym_local] = ACTIONS(2257),
    [anon_sym_dynamically] = ACTIONS(2257),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2257),
    [anon_sym_require] = ACTIONS(2257),
    [anon_sym_map] = ACTIONS(2257),
    [anon_sym_grep] = ACTIONS(2257),
    [anon_sym_sort] = ACTIONS(2257),
    [anon_sym_goto] = ACTIONS(2257),
    [anon_sym_return] = ACTIONS(2257),
    [anon_sym_undef] = ACTIONS(2257),
    [anon_sym_PERCENT2] = ACTIONS(2257),
    [anon_sym_AMP2] = ACTIONS(2257),
    [anon_sym_STAR2] = ACTIONS(2257),
    [anon_sym_last] = ACTIONS(2257),
    [anon_sym_next] = ACTIONS(2257),
    [anon_sym_redo] = ACTIONS(2257),
    [anon_sym___FILE__] = ACTIONS(2257),
    [anon_sym___LINE__] = ACTIONS(2257),
    [anon_sym___PACKAGE__] = ACTIONS(2257),
    [anon_sym___SUB__] = ACTIONS(2257),
    [anon_sym_break] = ACTIONS(2257),
    [anon_sym_fork] = ACTIONS(2257),
    [anon_sym_getppid] = ACTIONS(2257),
    [anon_sym_time] = ACTIONS(2257),
    [anon_sym_times] = ACTIONS(2257),
    [anon_sym_wait] = ACTIONS(2257),
    [anon_sym_wantarray] = ACTIONS(2257),
    [anon_sym_abs] = ACTIONS(2257),
    [anon_sym_alarm] = ACTIONS(2257),
    [anon_sym_chop] = ACTIONS(2257),
    [anon_sym_chdir] = ACTIONS(2257),
    [anon_sym_close] = ACTIONS(2257),
    [anon_sym_closedir] = ACTIONS(2257),
    [anon_sym_caller] = ACTIONS(2257),
    [anon_sym_chomp] = ACTIONS(2257),
    [anon_sym_chr] = ACTIONS(2257),
    [anon_sym_cos] = ACTIONS(2257),
    [anon_sym_chroot] = ACTIONS(2257),
    [anon_sym_defined] = ACTIONS(2257),
    [anon_sym_delete] = ACTIONS(2257),
    [anon_sym_dbmclose] = ACTIONS(2257),
    [anon_sym_exists] = ACTIONS(2257),
    [anon_sym_exit] = ACTIONS(2257),
    [anon_sym_eof] = ACTIONS(2257),
    [anon_sym_exp] = ACTIONS(2257),
    [anon_sym_each] = ACTIONS(2257),
    [anon_sym_fc] = ACTIONS(2257),
    [anon_sym_fileno] = ACTIONS(2257),
    [anon_sym_gmtime] = ACTIONS(2257),
    [anon_sym_getc] = ACTIONS(2257),
    [anon_sym_getpgrp] = ACTIONS(2257),
    [anon_sym_getprotobyname] = ACTIONS(2257),
    [anon_sym_getpwname] = ACTIONS(2257),
    [anon_sym_getpwuid] = ACTIONS(2257),
    [anon_sym_getpeername] = ACTIONS(2257),
    [anon_sym_getnetbyname] = ACTIONS(2257),
    [anon_sym_getsockname] = ACTIONS(2257),
    [anon_sym_getgrnam] = ACTIONS(2257),
    [anon_sym_getgrgid] = ACTIONS(2257),
    [anon_sym_hex] = ACTIONS(2257),
    [anon_sym_int] = ACTIONS(2257),
    [anon_sym_keys] = ACTIONS(2257),
    [anon_sym_lc] = ACTIONS(2257),
    [anon_sym_lcfirst] = ACTIONS(2257),
    [anon_sym_length] = ACTIONS(2257),
    [anon_sym_localtime] = ACTIONS(2257),
    [anon_sym_log] = ACTIONS(2257),
    [anon_sym_lock] = ACTIONS(2257),
    [anon_sym_lstat] = ACTIONS(2257),
    [anon_sym_oct] = ACTIONS(2257),
    [anon_sym_ord] = ACTIONS(2257),
    [anon_sym_prototype] = ACTIONS(2257),
    [anon_sym_pop] = ACTIONS(2257),
    [anon_sym_pos] = ACTIONS(2257),
    [anon_sym_quotemeta] = ACTIONS(2257),
    [anon_sym_reset] = ACTIONS(2257),
    [anon_sym_rand] = ACTIONS(2257),
    [anon_sym_rmdir] = ACTIONS(2257),
    [anon_sym_readdir] = ACTIONS(2257),
    [anon_sym_readline] = ACTIONS(2257),
    [anon_sym_readpipe] = ACTIONS(2257),
    [anon_sym_rewinddir] = ACTIONS(2257),
    [anon_sym_readlink] = ACTIONS(2257),
    [anon_sym_ref] = ACTIONS(2257),
    [anon_sym_scalar] = ACTIONS(2257),
    [anon_sym_shift] = ACTIONS(2257),
    [anon_sym_sin] = ACTIONS(2257),
    [anon_sym_sleep] = ACTIONS(2257),
    [anon_sym_sqrt] = ACTIONS(2257),
    [anon_sym_srand] = ACTIONS(2257),
    [anon_sym_stat] = ACTIONS(2257),
    [anon_sym_study] = ACTIONS(2257),
    [anon_sym_tell] = ACTIONS(2257),
    [anon_sym_telldir] = ACTIONS(2257),
    [anon_sym_tied] = ACTIONS(2257),
    [anon_sym_uc] = ACTIONS(2257),
    [anon_sym_ucfirst] = ACTIONS(2257),
    [anon_sym_untie] = ACTIONS(2257),
    [anon_sym_umask] = ACTIONS(2257),
    [anon_sym_values] = ACTIONS(2257),
    [anon_sym_write] = ACTIONS(2257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2257),
    [anon_sym_qq] = ACTIONS(2257),
    [anon_sym_qw] = ACTIONS(2257),
    [anon_sym_qx] = ACTIONS(2257),
    [anon_sym_qr] = ACTIONS(2257),
    [anon_sym_m] = ACTIONS(2257),
    [anon_sym_s] = ACTIONS(2257),
    [anon_sym_tr] = ACTIONS(2257),
    [anon_sym_y] = ACTIONS(2257),
    [aux_sym__bareword_token1] = ACTIONS(2257),
    [sym_number] = ACTIONS(2257),
    [anon_sym_true] = ACTIONS(2257),
    [anon_sym_false] = ACTIONS(2257),
    [sym__single_quote] = ACTIONS(2255),
    [sym__double_quote] = ACTIONS(2255),
    [sym__backtick_quote] = ACTIONS(2255),
    [sym__search_slash_quote] = ACTIONS(2255),
    [sym__open_readline_bracket] = ACTIONS(2255),
    [sym__open_fileglob_bracket] = ACTIONS(2255),
    [sym__PERLY_HEREDOC] = ACTIONS(2255),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2255),
    [sym__filetest] = ACTIONS(2255),
  },
  [1132] = {
    [sym_heredoc_content] = STATE(1132),
    [sym__identifier] = ACTIONS(2261),
    [anon_sym_LBRACE] = ACTIONS(2261),
    [anon_sym_DOLLAR] = ACTIONS(2261),
    [anon_sym_AT] = ACTIONS(2261),
    [anon_sym_RPAREN] = ACTIONS(2261),
    [anon_sym_my] = ACTIONS(2261),
    [anon_sym_extended] = ACTIONS(2261),
    [anon_sym_async] = ACTIONS(2261),
    [anon_sym_sub] = ACTIONS(2261),
    [anon_sym_method] = ACTIONS(2261),
    [anon_sym_LPAREN] = ACTIONS(2261),
    [anon_sym_continue] = ACTIONS(2261),
    [anon_sym_state] = ACTIONS(2261),
    [anon_sym_our] = ACTIONS(2261),
    [anon_sym_LBRACK] = ACTIONS(2261),
    [anon_sym_LT_LT] = ACTIONS(2261),
    [anon_sym_SLASH_SLASH] = ACTIONS(2261),
    [anon_sym_PLUS] = ACTIONS(2261),
    [anon_sym_DASH] = ACTIONS(2261),
    [anon_sym_TILDE] = ACTIONS(2261),
    [anon_sym_BANG] = ACTIONS(2261),
    [anon_sym_PLUS_PLUS] = ACTIONS(2261),
    [anon_sym_DASH_DASH] = ACTIONS(2261),
    [anon_sym_BSLASH] = ACTIONS(2259),
    [anon_sym_do] = ACTIONS(2261),
    [anon_sym_eval] = ACTIONS(2261),
    [anon_sym_await] = ACTIONS(2261),
    [anon_sym_field] = ACTIONS(2261),
    [anon_sym_local] = ACTIONS(2261),
    [anon_sym_dynamically] = ACTIONS(2261),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2261),
    [anon_sym_require] = ACTIONS(2261),
    [anon_sym_map] = ACTIONS(2261),
    [anon_sym_grep] = ACTIONS(2261),
    [anon_sym_sort] = ACTIONS(2261),
    [anon_sym_goto] = ACTIONS(2261),
    [anon_sym_return] = ACTIONS(2261),
    [anon_sym_undef] = ACTIONS(2261),
    [anon_sym_PERCENT2] = ACTIONS(2261),
    [anon_sym_AMP2] = ACTIONS(2261),
    [anon_sym_STAR2] = ACTIONS(2261),
    [anon_sym_last] = ACTIONS(2261),
    [anon_sym_next] = ACTIONS(2261),
    [anon_sym_redo] = ACTIONS(2261),
    [anon_sym___FILE__] = ACTIONS(2261),
    [anon_sym___LINE__] = ACTIONS(2261),
    [anon_sym___PACKAGE__] = ACTIONS(2261),
    [anon_sym___SUB__] = ACTIONS(2261),
    [anon_sym_break] = ACTIONS(2261),
    [anon_sym_fork] = ACTIONS(2261),
    [anon_sym_getppid] = ACTIONS(2261),
    [anon_sym_time] = ACTIONS(2261),
    [anon_sym_times] = ACTIONS(2261),
    [anon_sym_wait] = ACTIONS(2261),
    [anon_sym_wantarray] = ACTIONS(2261),
    [anon_sym_abs] = ACTIONS(2261),
    [anon_sym_alarm] = ACTIONS(2261),
    [anon_sym_chop] = ACTIONS(2261),
    [anon_sym_chdir] = ACTIONS(2261),
    [anon_sym_close] = ACTIONS(2261),
    [anon_sym_closedir] = ACTIONS(2261),
    [anon_sym_caller] = ACTIONS(2261),
    [anon_sym_chomp] = ACTIONS(2261),
    [anon_sym_chr] = ACTIONS(2261),
    [anon_sym_cos] = ACTIONS(2261),
    [anon_sym_chroot] = ACTIONS(2261),
    [anon_sym_defined] = ACTIONS(2261),
    [anon_sym_delete] = ACTIONS(2261),
    [anon_sym_dbmclose] = ACTIONS(2261),
    [anon_sym_exists] = ACTIONS(2261),
    [anon_sym_exit] = ACTIONS(2261),
    [anon_sym_eof] = ACTIONS(2261),
    [anon_sym_exp] = ACTIONS(2261),
    [anon_sym_each] = ACTIONS(2261),
    [anon_sym_fc] = ACTIONS(2261),
    [anon_sym_fileno] = ACTIONS(2261),
    [anon_sym_gmtime] = ACTIONS(2261),
    [anon_sym_getc] = ACTIONS(2261),
    [anon_sym_getpgrp] = ACTIONS(2261),
    [anon_sym_getprotobyname] = ACTIONS(2261),
    [anon_sym_getpwname] = ACTIONS(2261),
    [anon_sym_getpwuid] = ACTIONS(2261),
    [anon_sym_getpeername] = ACTIONS(2261),
    [anon_sym_getnetbyname] = ACTIONS(2261),
    [anon_sym_getsockname] = ACTIONS(2261),
    [anon_sym_getgrnam] = ACTIONS(2261),
    [anon_sym_getgrgid] = ACTIONS(2261),
    [anon_sym_hex] = ACTIONS(2261),
    [anon_sym_int] = ACTIONS(2261),
    [anon_sym_keys] = ACTIONS(2261),
    [anon_sym_lc] = ACTIONS(2261),
    [anon_sym_lcfirst] = ACTIONS(2261),
    [anon_sym_length] = ACTIONS(2261),
    [anon_sym_localtime] = ACTIONS(2261),
    [anon_sym_log] = ACTIONS(2261),
    [anon_sym_lock] = ACTIONS(2261),
    [anon_sym_lstat] = ACTIONS(2261),
    [anon_sym_oct] = ACTIONS(2261),
    [anon_sym_ord] = ACTIONS(2261),
    [anon_sym_prototype] = ACTIONS(2261),
    [anon_sym_pop] = ACTIONS(2261),
    [anon_sym_pos] = ACTIONS(2261),
    [anon_sym_quotemeta] = ACTIONS(2261),
    [anon_sym_reset] = ACTIONS(2261),
    [anon_sym_rand] = ACTIONS(2261),
    [anon_sym_rmdir] = ACTIONS(2261),
    [anon_sym_readdir] = ACTIONS(2261),
    [anon_sym_readline] = ACTIONS(2261),
    [anon_sym_readpipe] = ACTIONS(2261),
    [anon_sym_rewinddir] = ACTIONS(2261),
    [anon_sym_readlink] = ACTIONS(2261),
    [anon_sym_ref] = ACTIONS(2261),
    [anon_sym_scalar] = ACTIONS(2261),
    [anon_sym_shift] = ACTIONS(2261),
    [anon_sym_sin] = ACTIONS(2261),
    [anon_sym_sleep] = ACTIONS(2261),
    [anon_sym_sqrt] = ACTIONS(2261),
    [anon_sym_srand] = ACTIONS(2261),
    [anon_sym_stat] = ACTIONS(2261),
    [anon_sym_study] = ACTIONS(2261),
    [anon_sym_tell] = ACTIONS(2261),
    [anon_sym_telldir] = ACTIONS(2261),
    [anon_sym_tied] = ACTIONS(2261),
    [anon_sym_uc] = ACTIONS(2261),
    [anon_sym_ucfirst] = ACTIONS(2261),
    [anon_sym_untie] = ACTIONS(2261),
    [anon_sym_umask] = ACTIONS(2261),
    [anon_sym_values] = ACTIONS(2261),
    [anon_sym_write] = ACTIONS(2261),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2261),
    [anon_sym_qq] = ACTIONS(2261),
    [anon_sym_qw] = ACTIONS(2261),
    [anon_sym_qx] = ACTIONS(2261),
    [anon_sym_qr] = ACTIONS(2261),
    [anon_sym_m] = ACTIONS(2261),
    [anon_sym_s] = ACTIONS(2261),
    [anon_sym_tr] = ACTIONS(2261),
    [anon_sym_y] = ACTIONS(2261),
    [aux_sym__bareword_token1] = ACTIONS(2261),
    [sym_number] = ACTIONS(2261),
    [anon_sym_true] = ACTIONS(2261),
    [anon_sym_false] = ACTIONS(2261),
    [sym__single_quote] = ACTIONS(2259),
    [sym__double_quote] = ACTIONS(2259),
    [sym__backtick_quote] = ACTIONS(2259),
    [sym__search_slash_quote] = ACTIONS(2259),
    [sym__open_readline_bracket] = ACTIONS(2259),
    [sym__open_fileglob_bracket] = ACTIONS(2259),
    [sym__PERLY_HEREDOC] = ACTIONS(2259),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2259),
    [sym__filetest] = ACTIONS(2259),
  },
  [1133] = {
    [sym_heredoc_content] = STATE(1133),
    [sym__identifier] = ACTIONS(2265),
    [anon_sym_LBRACE] = ACTIONS(2265),
    [anon_sym_DOLLAR] = ACTIONS(2265),
    [anon_sym_AT] = ACTIONS(2265),
    [anon_sym_RPAREN] = ACTIONS(2265),
    [anon_sym_my] = ACTIONS(2265),
    [anon_sym_extended] = ACTIONS(2265),
    [anon_sym_async] = ACTIONS(2265),
    [anon_sym_sub] = ACTIONS(2265),
    [anon_sym_method] = ACTIONS(2265),
    [anon_sym_LPAREN] = ACTIONS(2265),
    [anon_sym_continue] = ACTIONS(2265),
    [anon_sym_state] = ACTIONS(2265),
    [anon_sym_our] = ACTIONS(2265),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_LT_LT] = ACTIONS(2265),
    [anon_sym_SLASH_SLASH] = ACTIONS(2265),
    [anon_sym_PLUS] = ACTIONS(2265),
    [anon_sym_DASH] = ACTIONS(2265),
    [anon_sym_TILDE] = ACTIONS(2265),
    [anon_sym_BANG] = ACTIONS(2265),
    [anon_sym_PLUS_PLUS] = ACTIONS(2265),
    [anon_sym_DASH_DASH] = ACTIONS(2265),
    [anon_sym_BSLASH] = ACTIONS(2263),
    [anon_sym_do] = ACTIONS(2265),
    [anon_sym_eval] = ACTIONS(2265),
    [anon_sym_await] = ACTIONS(2265),
    [anon_sym_field] = ACTIONS(2265),
    [anon_sym_local] = ACTIONS(2265),
    [anon_sym_dynamically] = ACTIONS(2265),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2265),
    [anon_sym_require] = ACTIONS(2265),
    [anon_sym_map] = ACTIONS(2265),
    [anon_sym_grep] = ACTIONS(2265),
    [anon_sym_sort] = ACTIONS(2265),
    [anon_sym_goto] = ACTIONS(2265),
    [anon_sym_return] = ACTIONS(2265),
    [anon_sym_undef] = ACTIONS(2265),
    [anon_sym_PERCENT2] = ACTIONS(2265),
    [anon_sym_AMP2] = ACTIONS(2265),
    [anon_sym_STAR2] = ACTIONS(2265),
    [anon_sym_last] = ACTIONS(2265),
    [anon_sym_next] = ACTIONS(2265),
    [anon_sym_redo] = ACTIONS(2265),
    [anon_sym___FILE__] = ACTIONS(2265),
    [anon_sym___LINE__] = ACTIONS(2265),
    [anon_sym___PACKAGE__] = ACTIONS(2265),
    [anon_sym___SUB__] = ACTIONS(2265),
    [anon_sym_break] = ACTIONS(2265),
    [anon_sym_fork] = ACTIONS(2265),
    [anon_sym_getppid] = ACTIONS(2265),
    [anon_sym_time] = ACTIONS(2265),
    [anon_sym_times] = ACTIONS(2265),
    [anon_sym_wait] = ACTIONS(2265),
    [anon_sym_wantarray] = ACTIONS(2265),
    [anon_sym_abs] = ACTIONS(2265),
    [anon_sym_alarm] = ACTIONS(2265),
    [anon_sym_chop] = ACTIONS(2265),
    [anon_sym_chdir] = ACTIONS(2265),
    [anon_sym_close] = ACTIONS(2265),
    [anon_sym_closedir] = ACTIONS(2265),
    [anon_sym_caller] = ACTIONS(2265),
    [anon_sym_chomp] = ACTIONS(2265),
    [anon_sym_chr] = ACTIONS(2265),
    [anon_sym_cos] = ACTIONS(2265),
    [anon_sym_chroot] = ACTIONS(2265),
    [anon_sym_defined] = ACTIONS(2265),
    [anon_sym_delete] = ACTIONS(2265),
    [anon_sym_dbmclose] = ACTIONS(2265),
    [anon_sym_exists] = ACTIONS(2265),
    [anon_sym_exit] = ACTIONS(2265),
    [anon_sym_eof] = ACTIONS(2265),
    [anon_sym_exp] = ACTIONS(2265),
    [anon_sym_each] = ACTIONS(2265),
    [anon_sym_fc] = ACTIONS(2265),
    [anon_sym_fileno] = ACTIONS(2265),
    [anon_sym_gmtime] = ACTIONS(2265),
    [anon_sym_getc] = ACTIONS(2265),
    [anon_sym_getpgrp] = ACTIONS(2265),
    [anon_sym_getprotobyname] = ACTIONS(2265),
    [anon_sym_getpwname] = ACTIONS(2265),
    [anon_sym_getpwuid] = ACTIONS(2265),
    [anon_sym_getpeername] = ACTIONS(2265),
    [anon_sym_getnetbyname] = ACTIONS(2265),
    [anon_sym_getsockname] = ACTIONS(2265),
    [anon_sym_getgrnam] = ACTIONS(2265),
    [anon_sym_getgrgid] = ACTIONS(2265),
    [anon_sym_hex] = ACTIONS(2265),
    [anon_sym_int] = ACTIONS(2265),
    [anon_sym_keys] = ACTIONS(2265),
    [anon_sym_lc] = ACTIONS(2265),
    [anon_sym_lcfirst] = ACTIONS(2265),
    [anon_sym_length] = ACTIONS(2265),
    [anon_sym_localtime] = ACTIONS(2265),
    [anon_sym_log] = ACTIONS(2265),
    [anon_sym_lock] = ACTIONS(2265),
    [anon_sym_lstat] = ACTIONS(2265),
    [anon_sym_oct] = ACTIONS(2265),
    [anon_sym_ord] = ACTIONS(2265),
    [anon_sym_prototype] = ACTIONS(2265),
    [anon_sym_pop] = ACTIONS(2265),
    [anon_sym_pos] = ACTIONS(2265),
    [anon_sym_quotemeta] = ACTIONS(2265),
    [anon_sym_reset] = ACTIONS(2265),
    [anon_sym_rand] = ACTIONS(2265),
    [anon_sym_rmdir] = ACTIONS(2265),
    [anon_sym_readdir] = ACTIONS(2265),
    [anon_sym_readline] = ACTIONS(2265),
    [anon_sym_readpipe] = ACTIONS(2265),
    [anon_sym_rewinddir] = ACTIONS(2265),
    [anon_sym_readlink] = ACTIONS(2265),
    [anon_sym_ref] = ACTIONS(2265),
    [anon_sym_scalar] = ACTIONS(2265),
    [anon_sym_shift] = ACTIONS(2265),
    [anon_sym_sin] = ACTIONS(2265),
    [anon_sym_sleep] = ACTIONS(2265),
    [anon_sym_sqrt] = ACTIONS(2265),
    [anon_sym_srand] = ACTIONS(2265),
    [anon_sym_stat] = ACTIONS(2265),
    [anon_sym_study] = ACTIONS(2265),
    [anon_sym_tell] = ACTIONS(2265),
    [anon_sym_telldir] = ACTIONS(2265),
    [anon_sym_tied] = ACTIONS(2265),
    [anon_sym_uc] = ACTIONS(2265),
    [anon_sym_ucfirst] = ACTIONS(2265),
    [anon_sym_untie] = ACTIONS(2265),
    [anon_sym_umask] = ACTIONS(2265),
    [anon_sym_values] = ACTIONS(2265),
    [anon_sym_write] = ACTIONS(2265),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2265),
    [anon_sym_qq] = ACTIONS(2265),
    [anon_sym_qw] = ACTIONS(2265),
    [anon_sym_qx] = ACTIONS(2265),
    [anon_sym_qr] = ACTIONS(2265),
    [anon_sym_m] = ACTIONS(2265),
    [anon_sym_s] = ACTIONS(2265),
    [anon_sym_tr] = ACTIONS(2265),
    [anon_sym_y] = ACTIONS(2265),
    [aux_sym__bareword_token1] = ACTIONS(2265),
    [sym_number] = ACTIONS(2265),
    [anon_sym_true] = ACTIONS(2265),
    [anon_sym_false] = ACTIONS(2265),
    [sym__single_quote] = ACTIONS(2263),
    [sym__double_quote] = ACTIONS(2263),
    [sym__backtick_quote] = ACTIONS(2263),
    [sym__search_slash_quote] = ACTIONS(2263),
    [sym__open_readline_bracket] = ACTIONS(2263),
    [sym__open_fileglob_bracket] = ACTIONS(2263),
    [sym__PERLY_HEREDOC] = ACTIONS(2263),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2263),
    [sym__filetest] = ACTIONS(2263),
  },
  [1134] = {
    [sym_heredoc_content] = STATE(1134),
    [sym__identifier] = ACTIONS(2269),
    [anon_sym_LBRACE] = ACTIONS(2269),
    [anon_sym_DOLLAR] = ACTIONS(2269),
    [anon_sym_AT] = ACTIONS(2269),
    [anon_sym_RPAREN] = ACTIONS(2269),
    [anon_sym_my] = ACTIONS(2269),
    [anon_sym_extended] = ACTIONS(2269),
    [anon_sym_async] = ACTIONS(2269),
    [anon_sym_sub] = ACTIONS(2269),
    [anon_sym_method] = ACTIONS(2269),
    [anon_sym_LPAREN] = ACTIONS(2269),
    [anon_sym_continue] = ACTIONS(2269),
    [anon_sym_state] = ACTIONS(2269),
    [anon_sym_our] = ACTIONS(2269),
    [anon_sym_LBRACK] = ACTIONS(2269),
    [anon_sym_LT_LT] = ACTIONS(2269),
    [anon_sym_SLASH_SLASH] = ACTIONS(2269),
    [anon_sym_PLUS] = ACTIONS(2269),
    [anon_sym_DASH] = ACTIONS(2269),
    [anon_sym_TILDE] = ACTIONS(2269),
    [anon_sym_BANG] = ACTIONS(2269),
    [anon_sym_PLUS_PLUS] = ACTIONS(2269),
    [anon_sym_DASH_DASH] = ACTIONS(2269),
    [anon_sym_BSLASH] = ACTIONS(2267),
    [anon_sym_do] = ACTIONS(2269),
    [anon_sym_eval] = ACTIONS(2269),
    [anon_sym_await] = ACTIONS(2269),
    [anon_sym_field] = ACTIONS(2269),
    [anon_sym_local] = ACTIONS(2269),
    [anon_sym_dynamically] = ACTIONS(2269),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2269),
    [anon_sym_require] = ACTIONS(2269),
    [anon_sym_map] = ACTIONS(2269),
    [anon_sym_grep] = ACTIONS(2269),
    [anon_sym_sort] = ACTIONS(2269),
    [anon_sym_goto] = ACTIONS(2269),
    [anon_sym_return] = ACTIONS(2269),
    [anon_sym_undef] = ACTIONS(2269),
    [anon_sym_PERCENT2] = ACTIONS(2269),
    [anon_sym_AMP2] = ACTIONS(2269),
    [anon_sym_STAR2] = ACTIONS(2269),
    [anon_sym_last] = ACTIONS(2269),
    [anon_sym_next] = ACTIONS(2269),
    [anon_sym_redo] = ACTIONS(2269),
    [anon_sym___FILE__] = ACTIONS(2269),
    [anon_sym___LINE__] = ACTIONS(2269),
    [anon_sym___PACKAGE__] = ACTIONS(2269),
    [anon_sym___SUB__] = ACTIONS(2269),
    [anon_sym_break] = ACTIONS(2269),
    [anon_sym_fork] = ACTIONS(2269),
    [anon_sym_getppid] = ACTIONS(2269),
    [anon_sym_time] = ACTIONS(2269),
    [anon_sym_times] = ACTIONS(2269),
    [anon_sym_wait] = ACTIONS(2269),
    [anon_sym_wantarray] = ACTIONS(2269),
    [anon_sym_abs] = ACTIONS(2269),
    [anon_sym_alarm] = ACTIONS(2269),
    [anon_sym_chop] = ACTIONS(2269),
    [anon_sym_chdir] = ACTIONS(2269),
    [anon_sym_close] = ACTIONS(2269),
    [anon_sym_closedir] = ACTIONS(2269),
    [anon_sym_caller] = ACTIONS(2269),
    [anon_sym_chomp] = ACTIONS(2269),
    [anon_sym_chr] = ACTIONS(2269),
    [anon_sym_cos] = ACTIONS(2269),
    [anon_sym_chroot] = ACTIONS(2269),
    [anon_sym_defined] = ACTIONS(2269),
    [anon_sym_delete] = ACTIONS(2269),
    [anon_sym_dbmclose] = ACTIONS(2269),
    [anon_sym_exists] = ACTIONS(2269),
    [anon_sym_exit] = ACTIONS(2269),
    [anon_sym_eof] = ACTIONS(2269),
    [anon_sym_exp] = ACTIONS(2269),
    [anon_sym_each] = ACTIONS(2269),
    [anon_sym_fc] = ACTIONS(2269),
    [anon_sym_fileno] = ACTIONS(2269),
    [anon_sym_gmtime] = ACTIONS(2269),
    [anon_sym_getc] = ACTIONS(2269),
    [anon_sym_getpgrp] = ACTIONS(2269),
    [anon_sym_getprotobyname] = ACTIONS(2269),
    [anon_sym_getpwname] = ACTIONS(2269),
    [anon_sym_getpwuid] = ACTIONS(2269),
    [anon_sym_getpeername] = ACTIONS(2269),
    [anon_sym_getnetbyname] = ACTIONS(2269),
    [anon_sym_getsockname] = ACTIONS(2269),
    [anon_sym_getgrnam] = ACTIONS(2269),
    [anon_sym_getgrgid] = ACTIONS(2269),
    [anon_sym_hex] = ACTIONS(2269),
    [anon_sym_int] = ACTIONS(2269),
    [anon_sym_keys] = ACTIONS(2269),
    [anon_sym_lc] = ACTIONS(2269),
    [anon_sym_lcfirst] = ACTIONS(2269),
    [anon_sym_length] = ACTIONS(2269),
    [anon_sym_localtime] = ACTIONS(2269),
    [anon_sym_log] = ACTIONS(2269),
    [anon_sym_lock] = ACTIONS(2269),
    [anon_sym_lstat] = ACTIONS(2269),
    [anon_sym_oct] = ACTIONS(2269),
    [anon_sym_ord] = ACTIONS(2269),
    [anon_sym_prototype] = ACTIONS(2269),
    [anon_sym_pop] = ACTIONS(2269),
    [anon_sym_pos] = ACTIONS(2269),
    [anon_sym_quotemeta] = ACTIONS(2269),
    [anon_sym_reset] = ACTIONS(2269),
    [anon_sym_rand] = ACTIONS(2269),
    [anon_sym_rmdir] = ACTIONS(2269),
    [anon_sym_readdir] = ACTIONS(2269),
    [anon_sym_readline] = ACTIONS(2269),
    [anon_sym_readpipe] = ACTIONS(2269),
    [anon_sym_rewinddir] = ACTIONS(2269),
    [anon_sym_readlink] = ACTIONS(2269),
    [anon_sym_ref] = ACTIONS(2269),
    [anon_sym_scalar] = ACTIONS(2269),
    [anon_sym_shift] = ACTIONS(2269),
    [anon_sym_sin] = ACTIONS(2269),
    [anon_sym_sleep] = ACTIONS(2269),
    [anon_sym_sqrt] = ACTIONS(2269),
    [anon_sym_srand] = ACTIONS(2269),
    [anon_sym_stat] = ACTIONS(2269),
    [anon_sym_study] = ACTIONS(2269),
    [anon_sym_tell] = ACTIONS(2269),
    [anon_sym_telldir] = ACTIONS(2269),
    [anon_sym_tied] = ACTIONS(2269),
    [anon_sym_uc] = ACTIONS(2269),
    [anon_sym_ucfirst] = ACTIONS(2269),
    [anon_sym_untie] = ACTIONS(2269),
    [anon_sym_umask] = ACTIONS(2269),
    [anon_sym_values] = ACTIONS(2269),
    [anon_sym_write] = ACTIONS(2269),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2269),
    [anon_sym_qq] = ACTIONS(2269),
    [anon_sym_qw] = ACTIONS(2269),
    [anon_sym_qx] = ACTIONS(2269),
    [anon_sym_qr] = ACTIONS(2269),
    [anon_sym_m] = ACTIONS(2269),
    [anon_sym_s] = ACTIONS(2269),
    [anon_sym_tr] = ACTIONS(2269),
    [anon_sym_y] = ACTIONS(2269),
    [aux_sym__bareword_token1] = ACTIONS(2269),
    [sym_number] = ACTIONS(2269),
    [anon_sym_true] = ACTIONS(2269),
    [anon_sym_false] = ACTIONS(2269),
    [sym__single_quote] = ACTIONS(2267),
    [sym__double_quote] = ACTIONS(2267),
    [sym__backtick_quote] = ACTIONS(2267),
    [sym__search_slash_quote] = ACTIONS(2267),
    [sym__open_readline_bracket] = ACTIONS(2267),
    [sym__open_fileglob_bracket] = ACTIONS(2267),
    [sym__PERLY_HEREDOC] = ACTIONS(2267),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2267),
    [sym__filetest] = ACTIONS(2267),
  },
  [1135] = {
    [sym_heredoc_content] = STATE(1135),
    [sym__identifier] = ACTIONS(2273),
    [anon_sym_LBRACE] = ACTIONS(2273),
    [anon_sym_DOLLAR] = ACTIONS(2273),
    [anon_sym_AT] = ACTIONS(2273),
    [anon_sym_RPAREN] = ACTIONS(2273),
    [anon_sym_my] = ACTIONS(2273),
    [anon_sym_extended] = ACTIONS(2273),
    [anon_sym_async] = ACTIONS(2273),
    [anon_sym_sub] = ACTIONS(2273),
    [anon_sym_method] = ACTIONS(2273),
    [anon_sym_LPAREN] = ACTIONS(2273),
    [anon_sym_continue] = ACTIONS(2273),
    [anon_sym_state] = ACTIONS(2273),
    [anon_sym_our] = ACTIONS(2273),
    [anon_sym_LBRACK] = ACTIONS(2273),
    [anon_sym_LT_LT] = ACTIONS(2273),
    [anon_sym_SLASH_SLASH] = ACTIONS(2273),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_TILDE] = ACTIONS(2273),
    [anon_sym_BANG] = ACTIONS(2273),
    [anon_sym_PLUS_PLUS] = ACTIONS(2273),
    [anon_sym_DASH_DASH] = ACTIONS(2273),
    [anon_sym_BSLASH] = ACTIONS(2271),
    [anon_sym_do] = ACTIONS(2273),
    [anon_sym_eval] = ACTIONS(2273),
    [anon_sym_await] = ACTIONS(2273),
    [anon_sym_field] = ACTIONS(2273),
    [anon_sym_local] = ACTIONS(2273),
    [anon_sym_dynamically] = ACTIONS(2273),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2273),
    [anon_sym_require] = ACTIONS(2273),
    [anon_sym_map] = ACTIONS(2273),
    [anon_sym_grep] = ACTIONS(2273),
    [anon_sym_sort] = ACTIONS(2273),
    [anon_sym_goto] = ACTIONS(2273),
    [anon_sym_return] = ACTIONS(2273),
    [anon_sym_undef] = ACTIONS(2273),
    [anon_sym_PERCENT2] = ACTIONS(2273),
    [anon_sym_AMP2] = ACTIONS(2273),
    [anon_sym_STAR2] = ACTIONS(2273),
    [anon_sym_last] = ACTIONS(2273),
    [anon_sym_next] = ACTIONS(2273),
    [anon_sym_redo] = ACTIONS(2273),
    [anon_sym___FILE__] = ACTIONS(2273),
    [anon_sym___LINE__] = ACTIONS(2273),
    [anon_sym___PACKAGE__] = ACTIONS(2273),
    [anon_sym___SUB__] = ACTIONS(2273),
    [anon_sym_break] = ACTIONS(2273),
    [anon_sym_fork] = ACTIONS(2273),
    [anon_sym_getppid] = ACTIONS(2273),
    [anon_sym_time] = ACTIONS(2273),
    [anon_sym_times] = ACTIONS(2273),
    [anon_sym_wait] = ACTIONS(2273),
    [anon_sym_wantarray] = ACTIONS(2273),
    [anon_sym_abs] = ACTIONS(2273),
    [anon_sym_alarm] = ACTIONS(2273),
    [anon_sym_chop] = ACTIONS(2273),
    [anon_sym_chdir] = ACTIONS(2273),
    [anon_sym_close] = ACTIONS(2273),
    [anon_sym_closedir] = ACTIONS(2273),
    [anon_sym_caller] = ACTIONS(2273),
    [anon_sym_chomp] = ACTIONS(2273),
    [anon_sym_chr] = ACTIONS(2273),
    [anon_sym_cos] = ACTIONS(2273),
    [anon_sym_chroot] = ACTIONS(2273),
    [anon_sym_defined] = ACTIONS(2273),
    [anon_sym_delete] = ACTIONS(2273),
    [anon_sym_dbmclose] = ACTIONS(2273),
    [anon_sym_exists] = ACTIONS(2273),
    [anon_sym_exit] = ACTIONS(2273),
    [anon_sym_eof] = ACTIONS(2273),
    [anon_sym_exp] = ACTIONS(2273),
    [anon_sym_each] = ACTIONS(2273),
    [anon_sym_fc] = ACTIONS(2273),
    [anon_sym_fileno] = ACTIONS(2273),
    [anon_sym_gmtime] = ACTIONS(2273),
    [anon_sym_getc] = ACTIONS(2273),
    [anon_sym_getpgrp] = ACTIONS(2273),
    [anon_sym_getprotobyname] = ACTIONS(2273),
    [anon_sym_getpwname] = ACTIONS(2273),
    [anon_sym_getpwuid] = ACTIONS(2273),
    [anon_sym_getpeername] = ACTIONS(2273),
    [anon_sym_getnetbyname] = ACTIONS(2273),
    [anon_sym_getsockname] = ACTIONS(2273),
    [anon_sym_getgrnam] = ACTIONS(2273),
    [anon_sym_getgrgid] = ACTIONS(2273),
    [anon_sym_hex] = ACTIONS(2273),
    [anon_sym_int] = ACTIONS(2273),
    [anon_sym_keys] = ACTIONS(2273),
    [anon_sym_lc] = ACTIONS(2273),
    [anon_sym_lcfirst] = ACTIONS(2273),
    [anon_sym_length] = ACTIONS(2273),
    [anon_sym_localtime] = ACTIONS(2273),
    [anon_sym_log] = ACTIONS(2273),
    [anon_sym_lock] = ACTIONS(2273),
    [anon_sym_lstat] = ACTIONS(2273),
    [anon_sym_oct] = ACTIONS(2273),
    [anon_sym_ord] = ACTIONS(2273),
    [anon_sym_prototype] = ACTIONS(2273),
    [anon_sym_pop] = ACTIONS(2273),
    [anon_sym_pos] = ACTIONS(2273),
    [anon_sym_quotemeta] = ACTIONS(2273),
    [anon_sym_reset] = ACTIONS(2273),
    [anon_sym_rand] = ACTIONS(2273),
    [anon_sym_rmdir] = ACTIONS(2273),
    [anon_sym_readdir] = ACTIONS(2273),
    [anon_sym_readline] = ACTIONS(2273),
    [anon_sym_readpipe] = ACTIONS(2273),
    [anon_sym_rewinddir] = ACTIONS(2273),
    [anon_sym_readlink] = ACTIONS(2273),
    [anon_sym_ref] = ACTIONS(2273),
    [anon_sym_scalar] = ACTIONS(2273),
    [anon_sym_shift] = ACTIONS(2273),
    [anon_sym_sin] = ACTIONS(2273),
    [anon_sym_sleep] = ACTIONS(2273),
    [anon_sym_sqrt] = ACTIONS(2273),
    [anon_sym_srand] = ACTIONS(2273),
    [anon_sym_stat] = ACTIONS(2273),
    [anon_sym_study] = ACTIONS(2273),
    [anon_sym_tell] = ACTIONS(2273),
    [anon_sym_telldir] = ACTIONS(2273),
    [anon_sym_tied] = ACTIONS(2273),
    [anon_sym_uc] = ACTIONS(2273),
    [anon_sym_ucfirst] = ACTIONS(2273),
    [anon_sym_untie] = ACTIONS(2273),
    [anon_sym_umask] = ACTIONS(2273),
    [anon_sym_values] = ACTIONS(2273),
    [anon_sym_write] = ACTIONS(2273),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2273),
    [anon_sym_qq] = ACTIONS(2273),
    [anon_sym_qw] = ACTIONS(2273),
    [anon_sym_qx] = ACTIONS(2273),
    [anon_sym_qr] = ACTIONS(2273),
    [anon_sym_m] = ACTIONS(2273),
    [anon_sym_s] = ACTIONS(2273),
    [anon_sym_tr] = ACTIONS(2273),
    [anon_sym_y] = ACTIONS(2273),
    [aux_sym__bareword_token1] = ACTIONS(2273),
    [sym_number] = ACTIONS(2273),
    [anon_sym_true] = ACTIONS(2273),
    [anon_sym_false] = ACTIONS(2273),
    [sym__single_quote] = ACTIONS(2271),
    [sym__double_quote] = ACTIONS(2271),
    [sym__backtick_quote] = ACTIONS(2271),
    [sym__search_slash_quote] = ACTIONS(2271),
    [sym__open_readline_bracket] = ACTIONS(2271),
    [sym__open_fileglob_bracket] = ACTIONS(2271),
    [sym__PERLY_HEREDOC] = ACTIONS(2271),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2271),
    [sym__filetest] = ACTIONS(2271),
  },
  [1136] = {
    [sym_heredoc_content] = STATE(1136),
    [sym__identifier] = ACTIONS(2277),
    [anon_sym_LBRACE] = ACTIONS(2277),
    [anon_sym_DOLLAR] = ACTIONS(2277),
    [anon_sym_AT] = ACTIONS(2277),
    [anon_sym_RPAREN] = ACTIONS(2277),
    [anon_sym_my] = ACTIONS(2277),
    [anon_sym_extended] = ACTIONS(2277),
    [anon_sym_async] = ACTIONS(2277),
    [anon_sym_sub] = ACTIONS(2277),
    [anon_sym_method] = ACTIONS(2277),
    [anon_sym_LPAREN] = ACTIONS(2277),
    [anon_sym_continue] = ACTIONS(2277),
    [anon_sym_state] = ACTIONS(2277),
    [anon_sym_our] = ACTIONS(2277),
    [anon_sym_LBRACK] = ACTIONS(2277),
    [anon_sym_LT_LT] = ACTIONS(2277),
    [anon_sym_SLASH_SLASH] = ACTIONS(2277),
    [anon_sym_PLUS] = ACTIONS(2277),
    [anon_sym_DASH] = ACTIONS(2277),
    [anon_sym_TILDE] = ACTIONS(2277),
    [anon_sym_BANG] = ACTIONS(2277),
    [anon_sym_PLUS_PLUS] = ACTIONS(2277),
    [anon_sym_DASH_DASH] = ACTIONS(2277),
    [anon_sym_BSLASH] = ACTIONS(2275),
    [anon_sym_do] = ACTIONS(2277),
    [anon_sym_eval] = ACTIONS(2277),
    [anon_sym_await] = ACTIONS(2277),
    [anon_sym_field] = ACTIONS(2277),
    [anon_sym_local] = ACTIONS(2277),
    [anon_sym_dynamically] = ACTIONS(2277),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2277),
    [anon_sym_require] = ACTIONS(2277),
    [anon_sym_map] = ACTIONS(2277),
    [anon_sym_grep] = ACTIONS(2277),
    [anon_sym_sort] = ACTIONS(2277),
    [anon_sym_goto] = ACTIONS(2277),
    [anon_sym_return] = ACTIONS(2277),
    [anon_sym_undef] = ACTIONS(2277),
    [anon_sym_PERCENT2] = ACTIONS(2277),
    [anon_sym_AMP2] = ACTIONS(2277),
    [anon_sym_STAR2] = ACTIONS(2277),
    [anon_sym_last] = ACTIONS(2277),
    [anon_sym_next] = ACTIONS(2277),
    [anon_sym_redo] = ACTIONS(2277),
    [anon_sym___FILE__] = ACTIONS(2277),
    [anon_sym___LINE__] = ACTIONS(2277),
    [anon_sym___PACKAGE__] = ACTIONS(2277),
    [anon_sym___SUB__] = ACTIONS(2277),
    [anon_sym_break] = ACTIONS(2277),
    [anon_sym_fork] = ACTIONS(2277),
    [anon_sym_getppid] = ACTIONS(2277),
    [anon_sym_time] = ACTIONS(2277),
    [anon_sym_times] = ACTIONS(2277),
    [anon_sym_wait] = ACTIONS(2277),
    [anon_sym_wantarray] = ACTIONS(2277),
    [anon_sym_abs] = ACTIONS(2277),
    [anon_sym_alarm] = ACTIONS(2277),
    [anon_sym_chop] = ACTIONS(2277),
    [anon_sym_chdir] = ACTIONS(2277),
    [anon_sym_close] = ACTIONS(2277),
    [anon_sym_closedir] = ACTIONS(2277),
    [anon_sym_caller] = ACTIONS(2277),
    [anon_sym_chomp] = ACTIONS(2277),
    [anon_sym_chr] = ACTIONS(2277),
    [anon_sym_cos] = ACTIONS(2277),
    [anon_sym_chroot] = ACTIONS(2277),
    [anon_sym_defined] = ACTIONS(2277),
    [anon_sym_delete] = ACTIONS(2277),
    [anon_sym_dbmclose] = ACTIONS(2277),
    [anon_sym_exists] = ACTIONS(2277),
    [anon_sym_exit] = ACTIONS(2277),
    [anon_sym_eof] = ACTIONS(2277),
    [anon_sym_exp] = ACTIONS(2277),
    [anon_sym_each] = ACTIONS(2277),
    [anon_sym_fc] = ACTIONS(2277),
    [anon_sym_fileno] = ACTIONS(2277),
    [anon_sym_gmtime] = ACTIONS(2277),
    [anon_sym_getc] = ACTIONS(2277),
    [anon_sym_getpgrp] = ACTIONS(2277),
    [anon_sym_getprotobyname] = ACTIONS(2277),
    [anon_sym_getpwname] = ACTIONS(2277),
    [anon_sym_getpwuid] = ACTIONS(2277),
    [anon_sym_getpeername] = ACTIONS(2277),
    [anon_sym_getnetbyname] = ACTIONS(2277),
    [anon_sym_getsockname] = ACTIONS(2277),
    [anon_sym_getgrnam] = ACTIONS(2277),
    [anon_sym_getgrgid] = ACTIONS(2277),
    [anon_sym_hex] = ACTIONS(2277),
    [anon_sym_int] = ACTIONS(2277),
    [anon_sym_keys] = ACTIONS(2277),
    [anon_sym_lc] = ACTIONS(2277),
    [anon_sym_lcfirst] = ACTIONS(2277),
    [anon_sym_length] = ACTIONS(2277),
    [anon_sym_localtime] = ACTIONS(2277),
    [anon_sym_log] = ACTIONS(2277),
    [anon_sym_lock] = ACTIONS(2277),
    [anon_sym_lstat] = ACTIONS(2277),
    [anon_sym_oct] = ACTIONS(2277),
    [anon_sym_ord] = ACTIONS(2277),
    [anon_sym_prototype] = ACTIONS(2277),
    [anon_sym_pop] = ACTIONS(2277),
    [anon_sym_pos] = ACTIONS(2277),
    [anon_sym_quotemeta] = ACTIONS(2277),
    [anon_sym_reset] = ACTIONS(2277),
    [anon_sym_rand] = ACTIONS(2277),
    [anon_sym_rmdir] = ACTIONS(2277),
    [anon_sym_readdir] = ACTIONS(2277),
    [anon_sym_readline] = ACTIONS(2277),
    [anon_sym_readpipe] = ACTIONS(2277),
    [anon_sym_rewinddir] = ACTIONS(2277),
    [anon_sym_readlink] = ACTIONS(2277),
    [anon_sym_ref] = ACTIONS(2277),
    [anon_sym_scalar] = ACTIONS(2277),
    [anon_sym_shift] = ACTIONS(2277),
    [anon_sym_sin] = ACTIONS(2277),
    [anon_sym_sleep] = ACTIONS(2277),
    [anon_sym_sqrt] = ACTIONS(2277),
    [anon_sym_srand] = ACTIONS(2277),
    [anon_sym_stat] = ACTIONS(2277),
    [anon_sym_study] = ACTIONS(2277),
    [anon_sym_tell] = ACTIONS(2277),
    [anon_sym_telldir] = ACTIONS(2277),
    [anon_sym_tied] = ACTIONS(2277),
    [anon_sym_uc] = ACTIONS(2277),
    [anon_sym_ucfirst] = ACTIONS(2277),
    [anon_sym_untie] = ACTIONS(2277),
    [anon_sym_umask] = ACTIONS(2277),
    [anon_sym_values] = ACTIONS(2277),
    [anon_sym_write] = ACTIONS(2277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2277),
    [anon_sym_qq] = ACTIONS(2277),
    [anon_sym_qw] = ACTIONS(2277),
    [anon_sym_qx] = ACTIONS(2277),
    [anon_sym_qr] = ACTIONS(2277),
    [anon_sym_m] = ACTIONS(2277),
    [anon_sym_s] = ACTIONS(2277),
    [anon_sym_tr] = ACTIONS(2277),
    [anon_sym_y] = ACTIONS(2277),
    [aux_sym__bareword_token1] = ACTIONS(2277),
    [sym_number] = ACTIONS(2277),
    [anon_sym_true] = ACTIONS(2277),
    [anon_sym_false] = ACTIONS(2277),
    [sym__single_quote] = ACTIONS(2275),
    [sym__double_quote] = ACTIONS(2275),
    [sym__backtick_quote] = ACTIONS(2275),
    [sym__search_slash_quote] = ACTIONS(2275),
    [sym__open_readline_bracket] = ACTIONS(2275),
    [sym__open_fileglob_bracket] = ACTIONS(2275),
    [sym__PERLY_HEREDOC] = ACTIONS(2275),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2275),
    [sym__filetest] = ACTIONS(2275),
  },
  [1137] = {
    [sym_heredoc_content] = STATE(1137),
    [sym__identifier] = ACTIONS(2281),
    [anon_sym_LBRACE] = ACTIONS(2281),
    [anon_sym_DOLLAR] = ACTIONS(2281),
    [anon_sym_AT] = ACTIONS(2281),
    [anon_sym_RPAREN] = ACTIONS(2281),
    [anon_sym_my] = ACTIONS(2281),
    [anon_sym_extended] = ACTIONS(2281),
    [anon_sym_async] = ACTIONS(2281),
    [anon_sym_sub] = ACTIONS(2281),
    [anon_sym_method] = ACTIONS(2281),
    [anon_sym_LPAREN] = ACTIONS(2281),
    [anon_sym_continue] = ACTIONS(2281),
    [anon_sym_state] = ACTIONS(2281),
    [anon_sym_our] = ACTIONS(2281),
    [anon_sym_LBRACK] = ACTIONS(2281),
    [anon_sym_LT_LT] = ACTIONS(2281),
    [anon_sym_SLASH_SLASH] = ACTIONS(2281),
    [anon_sym_PLUS] = ACTIONS(2281),
    [anon_sym_DASH] = ACTIONS(2281),
    [anon_sym_TILDE] = ACTIONS(2281),
    [anon_sym_BANG] = ACTIONS(2281),
    [anon_sym_PLUS_PLUS] = ACTIONS(2281),
    [anon_sym_DASH_DASH] = ACTIONS(2281),
    [anon_sym_BSLASH] = ACTIONS(2279),
    [anon_sym_do] = ACTIONS(2281),
    [anon_sym_eval] = ACTIONS(2281),
    [anon_sym_await] = ACTIONS(2281),
    [anon_sym_field] = ACTIONS(2281),
    [anon_sym_local] = ACTIONS(2281),
    [anon_sym_dynamically] = ACTIONS(2281),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2281),
    [anon_sym_require] = ACTIONS(2281),
    [anon_sym_map] = ACTIONS(2281),
    [anon_sym_grep] = ACTIONS(2281),
    [anon_sym_sort] = ACTIONS(2281),
    [anon_sym_goto] = ACTIONS(2281),
    [anon_sym_return] = ACTIONS(2281),
    [anon_sym_undef] = ACTIONS(2281),
    [anon_sym_PERCENT2] = ACTIONS(2281),
    [anon_sym_AMP2] = ACTIONS(2281),
    [anon_sym_STAR2] = ACTIONS(2281),
    [anon_sym_last] = ACTIONS(2281),
    [anon_sym_next] = ACTIONS(2281),
    [anon_sym_redo] = ACTIONS(2281),
    [anon_sym___FILE__] = ACTIONS(2281),
    [anon_sym___LINE__] = ACTIONS(2281),
    [anon_sym___PACKAGE__] = ACTIONS(2281),
    [anon_sym___SUB__] = ACTIONS(2281),
    [anon_sym_break] = ACTIONS(2281),
    [anon_sym_fork] = ACTIONS(2281),
    [anon_sym_getppid] = ACTIONS(2281),
    [anon_sym_time] = ACTIONS(2281),
    [anon_sym_times] = ACTIONS(2281),
    [anon_sym_wait] = ACTIONS(2281),
    [anon_sym_wantarray] = ACTIONS(2281),
    [anon_sym_abs] = ACTIONS(2281),
    [anon_sym_alarm] = ACTIONS(2281),
    [anon_sym_chop] = ACTIONS(2281),
    [anon_sym_chdir] = ACTIONS(2281),
    [anon_sym_close] = ACTIONS(2281),
    [anon_sym_closedir] = ACTIONS(2281),
    [anon_sym_caller] = ACTIONS(2281),
    [anon_sym_chomp] = ACTIONS(2281),
    [anon_sym_chr] = ACTIONS(2281),
    [anon_sym_cos] = ACTIONS(2281),
    [anon_sym_chroot] = ACTIONS(2281),
    [anon_sym_defined] = ACTIONS(2281),
    [anon_sym_delete] = ACTIONS(2281),
    [anon_sym_dbmclose] = ACTIONS(2281),
    [anon_sym_exists] = ACTIONS(2281),
    [anon_sym_exit] = ACTIONS(2281),
    [anon_sym_eof] = ACTIONS(2281),
    [anon_sym_exp] = ACTIONS(2281),
    [anon_sym_each] = ACTIONS(2281),
    [anon_sym_fc] = ACTIONS(2281),
    [anon_sym_fileno] = ACTIONS(2281),
    [anon_sym_gmtime] = ACTIONS(2281),
    [anon_sym_getc] = ACTIONS(2281),
    [anon_sym_getpgrp] = ACTIONS(2281),
    [anon_sym_getprotobyname] = ACTIONS(2281),
    [anon_sym_getpwname] = ACTIONS(2281),
    [anon_sym_getpwuid] = ACTIONS(2281),
    [anon_sym_getpeername] = ACTIONS(2281),
    [anon_sym_getnetbyname] = ACTIONS(2281),
    [anon_sym_getsockname] = ACTIONS(2281),
    [anon_sym_getgrnam] = ACTIONS(2281),
    [anon_sym_getgrgid] = ACTIONS(2281),
    [anon_sym_hex] = ACTIONS(2281),
    [anon_sym_int] = ACTIONS(2281),
    [anon_sym_keys] = ACTIONS(2281),
    [anon_sym_lc] = ACTIONS(2281),
    [anon_sym_lcfirst] = ACTIONS(2281),
    [anon_sym_length] = ACTIONS(2281),
    [anon_sym_localtime] = ACTIONS(2281),
    [anon_sym_log] = ACTIONS(2281),
    [anon_sym_lock] = ACTIONS(2281),
    [anon_sym_lstat] = ACTIONS(2281),
    [anon_sym_oct] = ACTIONS(2281),
    [anon_sym_ord] = ACTIONS(2281),
    [anon_sym_prototype] = ACTIONS(2281),
    [anon_sym_pop] = ACTIONS(2281),
    [anon_sym_pos] = ACTIONS(2281),
    [anon_sym_quotemeta] = ACTIONS(2281),
    [anon_sym_reset] = ACTIONS(2281),
    [anon_sym_rand] = ACTIONS(2281),
    [anon_sym_rmdir] = ACTIONS(2281),
    [anon_sym_readdir] = ACTIONS(2281),
    [anon_sym_readline] = ACTIONS(2281),
    [anon_sym_readpipe] = ACTIONS(2281),
    [anon_sym_rewinddir] = ACTIONS(2281),
    [anon_sym_readlink] = ACTIONS(2281),
    [anon_sym_ref] = ACTIONS(2281),
    [anon_sym_scalar] = ACTIONS(2281),
    [anon_sym_shift] = ACTIONS(2281),
    [anon_sym_sin] = ACTIONS(2281),
    [anon_sym_sleep] = ACTIONS(2281),
    [anon_sym_sqrt] = ACTIONS(2281),
    [anon_sym_srand] = ACTIONS(2281),
    [anon_sym_stat] = ACTIONS(2281),
    [anon_sym_study] = ACTIONS(2281),
    [anon_sym_tell] = ACTIONS(2281),
    [anon_sym_telldir] = ACTIONS(2281),
    [anon_sym_tied] = ACTIONS(2281),
    [anon_sym_uc] = ACTIONS(2281),
    [anon_sym_ucfirst] = ACTIONS(2281),
    [anon_sym_untie] = ACTIONS(2281),
    [anon_sym_umask] = ACTIONS(2281),
    [anon_sym_values] = ACTIONS(2281),
    [anon_sym_write] = ACTIONS(2281),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2281),
    [anon_sym_qq] = ACTIONS(2281),
    [anon_sym_qw] = ACTIONS(2281),
    [anon_sym_qx] = ACTIONS(2281),
    [anon_sym_qr] = ACTIONS(2281),
    [anon_sym_m] = ACTIONS(2281),
    [anon_sym_s] = ACTIONS(2281),
    [anon_sym_tr] = ACTIONS(2281),
    [anon_sym_y] = ACTIONS(2281),
    [aux_sym__bareword_token1] = ACTIONS(2281),
    [sym_number] = ACTIONS(2281),
    [anon_sym_true] = ACTIONS(2281),
    [anon_sym_false] = ACTIONS(2281),
    [sym__single_quote] = ACTIONS(2279),
    [sym__double_quote] = ACTIONS(2279),
    [sym__backtick_quote] = ACTIONS(2279),
    [sym__search_slash_quote] = ACTIONS(2279),
    [sym__open_readline_bracket] = ACTIONS(2279),
    [sym__open_fileglob_bracket] = ACTIONS(2279),
    [sym__PERLY_HEREDOC] = ACTIONS(2279),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2279),
    [sym__filetest] = ACTIONS(2279),
  },
  [1138] = {
    [sym_heredoc_content] = STATE(1138),
    [sym__identifier] = ACTIONS(2285),
    [anon_sym_LBRACE] = ACTIONS(2285),
    [anon_sym_DOLLAR] = ACTIONS(2285),
    [anon_sym_AT] = ACTIONS(2285),
    [anon_sym_RPAREN] = ACTIONS(2285),
    [anon_sym_my] = ACTIONS(2285),
    [anon_sym_extended] = ACTIONS(2285),
    [anon_sym_async] = ACTIONS(2285),
    [anon_sym_sub] = ACTIONS(2285),
    [anon_sym_method] = ACTIONS(2285),
    [anon_sym_LPAREN] = ACTIONS(2285),
    [anon_sym_continue] = ACTIONS(2285),
    [anon_sym_state] = ACTIONS(2285),
    [anon_sym_our] = ACTIONS(2285),
    [anon_sym_LBRACK] = ACTIONS(2285),
    [anon_sym_LT_LT] = ACTIONS(2285),
    [anon_sym_SLASH_SLASH] = ACTIONS(2285),
    [anon_sym_PLUS] = ACTIONS(2285),
    [anon_sym_DASH] = ACTIONS(2285),
    [anon_sym_TILDE] = ACTIONS(2285),
    [anon_sym_BANG] = ACTIONS(2285),
    [anon_sym_PLUS_PLUS] = ACTIONS(2285),
    [anon_sym_DASH_DASH] = ACTIONS(2285),
    [anon_sym_BSLASH] = ACTIONS(2283),
    [anon_sym_do] = ACTIONS(2285),
    [anon_sym_eval] = ACTIONS(2285),
    [anon_sym_await] = ACTIONS(2285),
    [anon_sym_field] = ACTIONS(2285),
    [anon_sym_local] = ACTIONS(2285),
    [anon_sym_dynamically] = ACTIONS(2285),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2285),
    [anon_sym_require] = ACTIONS(2285),
    [anon_sym_map] = ACTIONS(2285),
    [anon_sym_grep] = ACTIONS(2285),
    [anon_sym_sort] = ACTIONS(2285),
    [anon_sym_goto] = ACTIONS(2285),
    [anon_sym_return] = ACTIONS(2285),
    [anon_sym_undef] = ACTIONS(2285),
    [anon_sym_PERCENT2] = ACTIONS(2285),
    [anon_sym_AMP2] = ACTIONS(2285),
    [anon_sym_STAR2] = ACTIONS(2285),
    [anon_sym_last] = ACTIONS(2285),
    [anon_sym_next] = ACTIONS(2285),
    [anon_sym_redo] = ACTIONS(2285),
    [anon_sym___FILE__] = ACTIONS(2285),
    [anon_sym___LINE__] = ACTIONS(2285),
    [anon_sym___PACKAGE__] = ACTIONS(2285),
    [anon_sym___SUB__] = ACTIONS(2285),
    [anon_sym_break] = ACTIONS(2285),
    [anon_sym_fork] = ACTIONS(2285),
    [anon_sym_getppid] = ACTIONS(2285),
    [anon_sym_time] = ACTIONS(2285),
    [anon_sym_times] = ACTIONS(2285),
    [anon_sym_wait] = ACTIONS(2285),
    [anon_sym_wantarray] = ACTIONS(2285),
    [anon_sym_abs] = ACTIONS(2285),
    [anon_sym_alarm] = ACTIONS(2285),
    [anon_sym_chop] = ACTIONS(2285),
    [anon_sym_chdir] = ACTIONS(2285),
    [anon_sym_close] = ACTIONS(2285),
    [anon_sym_closedir] = ACTIONS(2285),
    [anon_sym_caller] = ACTIONS(2285),
    [anon_sym_chomp] = ACTIONS(2285),
    [anon_sym_chr] = ACTIONS(2285),
    [anon_sym_cos] = ACTIONS(2285),
    [anon_sym_chroot] = ACTIONS(2285),
    [anon_sym_defined] = ACTIONS(2285),
    [anon_sym_delete] = ACTIONS(2285),
    [anon_sym_dbmclose] = ACTIONS(2285),
    [anon_sym_exists] = ACTIONS(2285),
    [anon_sym_exit] = ACTIONS(2285),
    [anon_sym_eof] = ACTIONS(2285),
    [anon_sym_exp] = ACTIONS(2285),
    [anon_sym_each] = ACTIONS(2285),
    [anon_sym_fc] = ACTIONS(2285),
    [anon_sym_fileno] = ACTIONS(2285),
    [anon_sym_gmtime] = ACTIONS(2285),
    [anon_sym_getc] = ACTIONS(2285),
    [anon_sym_getpgrp] = ACTIONS(2285),
    [anon_sym_getprotobyname] = ACTIONS(2285),
    [anon_sym_getpwname] = ACTIONS(2285),
    [anon_sym_getpwuid] = ACTIONS(2285),
    [anon_sym_getpeername] = ACTIONS(2285),
    [anon_sym_getnetbyname] = ACTIONS(2285),
    [anon_sym_getsockname] = ACTIONS(2285),
    [anon_sym_getgrnam] = ACTIONS(2285),
    [anon_sym_getgrgid] = ACTIONS(2285),
    [anon_sym_hex] = ACTIONS(2285),
    [anon_sym_int] = ACTIONS(2285),
    [anon_sym_keys] = ACTIONS(2285),
    [anon_sym_lc] = ACTIONS(2285),
    [anon_sym_lcfirst] = ACTIONS(2285),
    [anon_sym_length] = ACTIONS(2285),
    [anon_sym_localtime] = ACTIONS(2285),
    [anon_sym_log] = ACTIONS(2285),
    [anon_sym_lock] = ACTIONS(2285),
    [anon_sym_lstat] = ACTIONS(2285),
    [anon_sym_oct] = ACTIONS(2285),
    [anon_sym_ord] = ACTIONS(2285),
    [anon_sym_prototype] = ACTIONS(2285),
    [anon_sym_pop] = ACTIONS(2285),
    [anon_sym_pos] = ACTIONS(2285),
    [anon_sym_quotemeta] = ACTIONS(2285),
    [anon_sym_reset] = ACTIONS(2285),
    [anon_sym_rand] = ACTIONS(2285),
    [anon_sym_rmdir] = ACTIONS(2285),
    [anon_sym_readdir] = ACTIONS(2285),
    [anon_sym_readline] = ACTIONS(2285),
    [anon_sym_readpipe] = ACTIONS(2285),
    [anon_sym_rewinddir] = ACTIONS(2285),
    [anon_sym_readlink] = ACTIONS(2285),
    [anon_sym_ref] = ACTIONS(2285),
    [anon_sym_scalar] = ACTIONS(2285),
    [anon_sym_shift] = ACTIONS(2285),
    [anon_sym_sin] = ACTIONS(2285),
    [anon_sym_sleep] = ACTIONS(2285),
    [anon_sym_sqrt] = ACTIONS(2285),
    [anon_sym_srand] = ACTIONS(2285),
    [anon_sym_stat] = ACTIONS(2285),
    [anon_sym_study] = ACTIONS(2285),
    [anon_sym_tell] = ACTIONS(2285),
    [anon_sym_telldir] = ACTIONS(2285),
    [anon_sym_tied] = ACTIONS(2285),
    [anon_sym_uc] = ACTIONS(2285),
    [anon_sym_ucfirst] = ACTIONS(2285),
    [anon_sym_untie] = ACTIONS(2285),
    [anon_sym_umask] = ACTIONS(2285),
    [anon_sym_values] = ACTIONS(2285),
    [anon_sym_write] = ACTIONS(2285),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2285),
    [anon_sym_qq] = ACTIONS(2285),
    [anon_sym_qw] = ACTIONS(2285),
    [anon_sym_qx] = ACTIONS(2285),
    [anon_sym_qr] = ACTIONS(2285),
    [anon_sym_m] = ACTIONS(2285),
    [anon_sym_s] = ACTIONS(2285),
    [anon_sym_tr] = ACTIONS(2285),
    [anon_sym_y] = ACTIONS(2285),
    [aux_sym__bareword_token1] = ACTIONS(2285),
    [sym_number] = ACTIONS(2285),
    [anon_sym_true] = ACTIONS(2285),
    [anon_sym_false] = ACTIONS(2285),
    [sym__single_quote] = ACTIONS(2283),
    [sym__double_quote] = ACTIONS(2283),
    [sym__backtick_quote] = ACTIONS(2283),
    [sym__search_slash_quote] = ACTIONS(2283),
    [sym__open_readline_bracket] = ACTIONS(2283),
    [sym__open_fileglob_bracket] = ACTIONS(2283),
    [sym__PERLY_HEREDOC] = ACTIONS(2283),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2283),
    [sym__filetest] = ACTIONS(2283),
  },
  [1139] = {
    [sym_heredoc_content] = STATE(1139),
    [sym__identifier] = ACTIONS(2289),
    [anon_sym_LBRACE] = ACTIONS(2289),
    [anon_sym_DOLLAR] = ACTIONS(2289),
    [anon_sym_AT] = ACTIONS(2289),
    [anon_sym_RPAREN] = ACTIONS(2289),
    [anon_sym_my] = ACTIONS(2289),
    [anon_sym_extended] = ACTIONS(2289),
    [anon_sym_async] = ACTIONS(2289),
    [anon_sym_sub] = ACTIONS(2289),
    [anon_sym_method] = ACTIONS(2289),
    [anon_sym_LPAREN] = ACTIONS(2289),
    [anon_sym_continue] = ACTIONS(2289),
    [anon_sym_state] = ACTIONS(2289),
    [anon_sym_our] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(2289),
    [anon_sym_LT_LT] = ACTIONS(2289),
    [anon_sym_SLASH_SLASH] = ACTIONS(2289),
    [anon_sym_PLUS] = ACTIONS(2289),
    [anon_sym_DASH] = ACTIONS(2289),
    [anon_sym_TILDE] = ACTIONS(2289),
    [anon_sym_BANG] = ACTIONS(2289),
    [anon_sym_PLUS_PLUS] = ACTIONS(2289),
    [anon_sym_DASH_DASH] = ACTIONS(2289),
    [anon_sym_BSLASH] = ACTIONS(2287),
    [anon_sym_do] = ACTIONS(2289),
    [anon_sym_eval] = ACTIONS(2289),
    [anon_sym_await] = ACTIONS(2289),
    [anon_sym_field] = ACTIONS(2289),
    [anon_sym_local] = ACTIONS(2289),
    [anon_sym_dynamically] = ACTIONS(2289),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2289),
    [anon_sym_require] = ACTIONS(2289),
    [anon_sym_map] = ACTIONS(2289),
    [anon_sym_grep] = ACTIONS(2289),
    [anon_sym_sort] = ACTIONS(2289),
    [anon_sym_goto] = ACTIONS(2289),
    [anon_sym_return] = ACTIONS(2289),
    [anon_sym_undef] = ACTIONS(2289),
    [anon_sym_PERCENT2] = ACTIONS(2289),
    [anon_sym_AMP2] = ACTIONS(2289),
    [anon_sym_STAR2] = ACTIONS(2289),
    [anon_sym_last] = ACTIONS(2289),
    [anon_sym_next] = ACTIONS(2289),
    [anon_sym_redo] = ACTIONS(2289),
    [anon_sym___FILE__] = ACTIONS(2289),
    [anon_sym___LINE__] = ACTIONS(2289),
    [anon_sym___PACKAGE__] = ACTIONS(2289),
    [anon_sym___SUB__] = ACTIONS(2289),
    [anon_sym_break] = ACTIONS(2289),
    [anon_sym_fork] = ACTIONS(2289),
    [anon_sym_getppid] = ACTIONS(2289),
    [anon_sym_time] = ACTIONS(2289),
    [anon_sym_times] = ACTIONS(2289),
    [anon_sym_wait] = ACTIONS(2289),
    [anon_sym_wantarray] = ACTIONS(2289),
    [anon_sym_abs] = ACTIONS(2289),
    [anon_sym_alarm] = ACTIONS(2289),
    [anon_sym_chop] = ACTIONS(2289),
    [anon_sym_chdir] = ACTIONS(2289),
    [anon_sym_close] = ACTIONS(2289),
    [anon_sym_closedir] = ACTIONS(2289),
    [anon_sym_caller] = ACTIONS(2289),
    [anon_sym_chomp] = ACTIONS(2289),
    [anon_sym_chr] = ACTIONS(2289),
    [anon_sym_cos] = ACTIONS(2289),
    [anon_sym_chroot] = ACTIONS(2289),
    [anon_sym_defined] = ACTIONS(2289),
    [anon_sym_delete] = ACTIONS(2289),
    [anon_sym_dbmclose] = ACTIONS(2289),
    [anon_sym_exists] = ACTIONS(2289),
    [anon_sym_exit] = ACTIONS(2289),
    [anon_sym_eof] = ACTIONS(2289),
    [anon_sym_exp] = ACTIONS(2289),
    [anon_sym_each] = ACTIONS(2289),
    [anon_sym_fc] = ACTIONS(2289),
    [anon_sym_fileno] = ACTIONS(2289),
    [anon_sym_gmtime] = ACTIONS(2289),
    [anon_sym_getc] = ACTIONS(2289),
    [anon_sym_getpgrp] = ACTIONS(2289),
    [anon_sym_getprotobyname] = ACTIONS(2289),
    [anon_sym_getpwname] = ACTIONS(2289),
    [anon_sym_getpwuid] = ACTIONS(2289),
    [anon_sym_getpeername] = ACTIONS(2289),
    [anon_sym_getnetbyname] = ACTIONS(2289),
    [anon_sym_getsockname] = ACTIONS(2289),
    [anon_sym_getgrnam] = ACTIONS(2289),
    [anon_sym_getgrgid] = ACTIONS(2289),
    [anon_sym_hex] = ACTIONS(2289),
    [anon_sym_int] = ACTIONS(2289),
    [anon_sym_keys] = ACTIONS(2289),
    [anon_sym_lc] = ACTIONS(2289),
    [anon_sym_lcfirst] = ACTIONS(2289),
    [anon_sym_length] = ACTIONS(2289),
    [anon_sym_localtime] = ACTIONS(2289),
    [anon_sym_log] = ACTIONS(2289),
    [anon_sym_lock] = ACTIONS(2289),
    [anon_sym_lstat] = ACTIONS(2289),
    [anon_sym_oct] = ACTIONS(2289),
    [anon_sym_ord] = ACTIONS(2289),
    [anon_sym_prototype] = ACTIONS(2289),
    [anon_sym_pop] = ACTIONS(2289),
    [anon_sym_pos] = ACTIONS(2289),
    [anon_sym_quotemeta] = ACTIONS(2289),
    [anon_sym_reset] = ACTIONS(2289),
    [anon_sym_rand] = ACTIONS(2289),
    [anon_sym_rmdir] = ACTIONS(2289),
    [anon_sym_readdir] = ACTIONS(2289),
    [anon_sym_readline] = ACTIONS(2289),
    [anon_sym_readpipe] = ACTIONS(2289),
    [anon_sym_rewinddir] = ACTIONS(2289),
    [anon_sym_readlink] = ACTIONS(2289),
    [anon_sym_ref] = ACTIONS(2289),
    [anon_sym_scalar] = ACTIONS(2289),
    [anon_sym_shift] = ACTIONS(2289),
    [anon_sym_sin] = ACTIONS(2289),
    [anon_sym_sleep] = ACTIONS(2289),
    [anon_sym_sqrt] = ACTIONS(2289),
    [anon_sym_srand] = ACTIONS(2289),
    [anon_sym_stat] = ACTIONS(2289),
    [anon_sym_study] = ACTIONS(2289),
    [anon_sym_tell] = ACTIONS(2289),
    [anon_sym_telldir] = ACTIONS(2289),
    [anon_sym_tied] = ACTIONS(2289),
    [anon_sym_uc] = ACTIONS(2289),
    [anon_sym_ucfirst] = ACTIONS(2289),
    [anon_sym_untie] = ACTIONS(2289),
    [anon_sym_umask] = ACTIONS(2289),
    [anon_sym_values] = ACTIONS(2289),
    [anon_sym_write] = ACTIONS(2289),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2289),
    [anon_sym_qq] = ACTIONS(2289),
    [anon_sym_qw] = ACTIONS(2289),
    [anon_sym_qx] = ACTIONS(2289),
    [anon_sym_qr] = ACTIONS(2289),
    [anon_sym_m] = ACTIONS(2289),
    [anon_sym_s] = ACTIONS(2289),
    [anon_sym_tr] = ACTIONS(2289),
    [anon_sym_y] = ACTIONS(2289),
    [aux_sym__bareword_token1] = ACTIONS(2289),
    [sym_number] = ACTIONS(2289),
    [anon_sym_true] = ACTIONS(2289),
    [anon_sym_false] = ACTIONS(2289),
    [sym__single_quote] = ACTIONS(2287),
    [sym__double_quote] = ACTIONS(2287),
    [sym__backtick_quote] = ACTIONS(2287),
    [sym__search_slash_quote] = ACTIONS(2287),
    [sym__open_readline_bracket] = ACTIONS(2287),
    [sym__open_fileglob_bracket] = ACTIONS(2287),
    [sym__PERLY_HEREDOC] = ACTIONS(2287),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2287),
    [sym__filetest] = ACTIONS(2287),
  },
  [1140] = {
    [sym_heredoc_content] = STATE(1140),
    [sym__identifier] = ACTIONS(1661),
    [anon_sym_LBRACE] = ACTIONS(1661),
    [anon_sym_DOLLAR] = ACTIONS(1661),
    [anon_sym_AT] = ACTIONS(1661),
    [anon_sym_RPAREN] = ACTIONS(1661),
    [anon_sym_my] = ACTIONS(1661),
    [anon_sym_extended] = ACTIONS(1661),
    [anon_sym_async] = ACTIONS(1661),
    [anon_sym_sub] = ACTIONS(1661),
    [anon_sym_method] = ACTIONS(1661),
    [anon_sym_LPAREN] = ACTIONS(1661),
    [anon_sym_continue] = ACTIONS(1661),
    [anon_sym_state] = ACTIONS(1661),
    [anon_sym_our] = ACTIONS(1661),
    [anon_sym_LBRACK] = ACTIONS(1661),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1661),
    [anon_sym_PLUS] = ACTIONS(1661),
    [anon_sym_DASH] = ACTIONS(1661),
    [anon_sym_TILDE] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1661),
    [anon_sym_PLUS_PLUS] = ACTIONS(1661),
    [anon_sym_DASH_DASH] = ACTIONS(1661),
    [anon_sym_BSLASH] = ACTIONS(1659),
    [anon_sym_do] = ACTIONS(1661),
    [anon_sym_eval] = ACTIONS(1661),
    [anon_sym_await] = ACTIONS(1661),
    [anon_sym_field] = ACTIONS(1661),
    [anon_sym_local] = ACTIONS(1661),
    [anon_sym_dynamically] = ACTIONS(1661),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1661),
    [anon_sym_require] = ACTIONS(1661),
    [anon_sym_map] = ACTIONS(1661),
    [anon_sym_grep] = ACTIONS(1661),
    [anon_sym_sort] = ACTIONS(1661),
    [anon_sym_goto] = ACTIONS(1661),
    [anon_sym_return] = ACTIONS(1661),
    [anon_sym_undef] = ACTIONS(1661),
    [anon_sym_PERCENT2] = ACTIONS(1661),
    [anon_sym_AMP2] = ACTIONS(1661),
    [anon_sym_STAR2] = ACTIONS(1661),
    [anon_sym_last] = ACTIONS(1661),
    [anon_sym_next] = ACTIONS(1661),
    [anon_sym_redo] = ACTIONS(1661),
    [anon_sym___FILE__] = ACTIONS(1661),
    [anon_sym___LINE__] = ACTIONS(1661),
    [anon_sym___PACKAGE__] = ACTIONS(1661),
    [anon_sym___SUB__] = ACTIONS(1661),
    [anon_sym_break] = ACTIONS(1661),
    [anon_sym_fork] = ACTIONS(1661),
    [anon_sym_getppid] = ACTIONS(1661),
    [anon_sym_time] = ACTIONS(1661),
    [anon_sym_times] = ACTIONS(1661),
    [anon_sym_wait] = ACTIONS(1661),
    [anon_sym_wantarray] = ACTIONS(1661),
    [anon_sym_abs] = ACTIONS(1661),
    [anon_sym_alarm] = ACTIONS(1661),
    [anon_sym_chop] = ACTIONS(1661),
    [anon_sym_chdir] = ACTIONS(1661),
    [anon_sym_close] = ACTIONS(1661),
    [anon_sym_closedir] = ACTIONS(1661),
    [anon_sym_caller] = ACTIONS(1661),
    [anon_sym_chomp] = ACTIONS(1661),
    [anon_sym_chr] = ACTIONS(1661),
    [anon_sym_cos] = ACTIONS(1661),
    [anon_sym_chroot] = ACTIONS(1661),
    [anon_sym_defined] = ACTIONS(1661),
    [anon_sym_delete] = ACTIONS(1661),
    [anon_sym_dbmclose] = ACTIONS(1661),
    [anon_sym_exists] = ACTIONS(1661),
    [anon_sym_exit] = ACTIONS(1661),
    [anon_sym_eof] = ACTIONS(1661),
    [anon_sym_exp] = ACTIONS(1661),
    [anon_sym_each] = ACTIONS(1661),
    [anon_sym_fc] = ACTIONS(1661),
    [anon_sym_fileno] = ACTIONS(1661),
    [anon_sym_gmtime] = ACTIONS(1661),
    [anon_sym_getc] = ACTIONS(1661),
    [anon_sym_getpgrp] = ACTIONS(1661),
    [anon_sym_getprotobyname] = ACTIONS(1661),
    [anon_sym_getpwname] = ACTIONS(1661),
    [anon_sym_getpwuid] = ACTIONS(1661),
    [anon_sym_getpeername] = ACTIONS(1661),
    [anon_sym_getnetbyname] = ACTIONS(1661),
    [anon_sym_getsockname] = ACTIONS(1661),
    [anon_sym_getgrnam] = ACTIONS(1661),
    [anon_sym_getgrgid] = ACTIONS(1661),
    [anon_sym_hex] = ACTIONS(1661),
    [anon_sym_int] = ACTIONS(1661),
    [anon_sym_keys] = ACTIONS(1661),
    [anon_sym_lc] = ACTIONS(1661),
    [anon_sym_lcfirst] = ACTIONS(1661),
    [anon_sym_length] = ACTIONS(1661),
    [anon_sym_localtime] = ACTIONS(1661),
    [anon_sym_log] = ACTIONS(1661),
    [anon_sym_lock] = ACTIONS(1661),
    [anon_sym_lstat] = ACTIONS(1661),
    [anon_sym_oct] = ACTIONS(1661),
    [anon_sym_ord] = ACTIONS(1661),
    [anon_sym_prototype] = ACTIONS(1661),
    [anon_sym_pop] = ACTIONS(1661),
    [anon_sym_pos] = ACTIONS(1661),
    [anon_sym_quotemeta] = ACTIONS(1661),
    [anon_sym_reset] = ACTIONS(1661),
    [anon_sym_rand] = ACTIONS(1661),
    [anon_sym_rmdir] = ACTIONS(1661),
    [anon_sym_readdir] = ACTIONS(1661),
    [anon_sym_readline] = ACTIONS(1661),
    [anon_sym_readpipe] = ACTIONS(1661),
    [anon_sym_rewinddir] = ACTIONS(1661),
    [anon_sym_readlink] = ACTIONS(1661),
    [anon_sym_ref] = ACTIONS(1661),
    [anon_sym_scalar] = ACTIONS(1661),
    [anon_sym_shift] = ACTIONS(1661),
    [anon_sym_sin] = ACTIONS(1661),
    [anon_sym_sleep] = ACTIONS(1661),
    [anon_sym_sqrt] = ACTIONS(1661),
    [anon_sym_srand] = ACTIONS(1661),
    [anon_sym_stat] = ACTIONS(1661),
    [anon_sym_study] = ACTIONS(1661),
    [anon_sym_tell] = ACTIONS(1661),
    [anon_sym_telldir] = ACTIONS(1661),
    [anon_sym_tied] = ACTIONS(1661),
    [anon_sym_uc] = ACTIONS(1661),
    [anon_sym_ucfirst] = ACTIONS(1661),
    [anon_sym_untie] = ACTIONS(1661),
    [anon_sym_umask] = ACTIONS(1661),
    [anon_sym_values] = ACTIONS(1661),
    [anon_sym_write] = ACTIONS(1661),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1661),
    [anon_sym_qq] = ACTIONS(1661),
    [anon_sym_qw] = ACTIONS(1661),
    [anon_sym_qx] = ACTIONS(1661),
    [anon_sym_qr] = ACTIONS(1661),
    [anon_sym_m] = ACTIONS(1661),
    [anon_sym_s] = ACTIONS(1661),
    [anon_sym_tr] = ACTIONS(1661),
    [anon_sym_y] = ACTIONS(1661),
    [aux_sym__bareword_token1] = ACTIONS(1661),
    [sym_number] = ACTIONS(1661),
    [anon_sym_true] = ACTIONS(1661),
    [anon_sym_false] = ACTIONS(1661),
    [sym__single_quote] = ACTIONS(1659),
    [sym__double_quote] = ACTIONS(1659),
    [sym__backtick_quote] = ACTIONS(1659),
    [sym__search_slash_quote] = ACTIONS(1659),
    [sym__open_readline_bracket] = ACTIONS(1659),
    [sym__open_fileglob_bracket] = ACTIONS(1659),
    [sym__PERLY_HEREDOC] = ACTIONS(1659),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1659),
    [sym__filetest] = ACTIONS(1659),
  },
  [1141] = {
    [sym_heredoc_content] = STATE(1141),
    [sym__identifier] = ACTIONS(2293),
    [anon_sym_LBRACE] = ACTIONS(2293),
    [anon_sym_DOLLAR] = ACTIONS(2293),
    [anon_sym_AT] = ACTIONS(2293),
    [anon_sym_RPAREN] = ACTIONS(2293),
    [anon_sym_my] = ACTIONS(2293),
    [anon_sym_extended] = ACTIONS(2293),
    [anon_sym_async] = ACTIONS(2293),
    [anon_sym_sub] = ACTIONS(2293),
    [anon_sym_method] = ACTIONS(2293),
    [anon_sym_LPAREN] = ACTIONS(2293),
    [anon_sym_continue] = ACTIONS(2293),
    [anon_sym_state] = ACTIONS(2293),
    [anon_sym_our] = ACTIONS(2293),
    [anon_sym_LBRACK] = ACTIONS(2293),
    [anon_sym_LT_LT] = ACTIONS(2293),
    [anon_sym_SLASH_SLASH] = ACTIONS(2293),
    [anon_sym_PLUS] = ACTIONS(2293),
    [anon_sym_DASH] = ACTIONS(2293),
    [anon_sym_TILDE] = ACTIONS(2293),
    [anon_sym_BANG] = ACTIONS(2293),
    [anon_sym_PLUS_PLUS] = ACTIONS(2293),
    [anon_sym_DASH_DASH] = ACTIONS(2293),
    [anon_sym_BSLASH] = ACTIONS(2291),
    [anon_sym_do] = ACTIONS(2293),
    [anon_sym_eval] = ACTIONS(2293),
    [anon_sym_await] = ACTIONS(2293),
    [anon_sym_field] = ACTIONS(2293),
    [anon_sym_local] = ACTIONS(2293),
    [anon_sym_dynamically] = ACTIONS(2293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2293),
    [anon_sym_require] = ACTIONS(2293),
    [anon_sym_map] = ACTIONS(2293),
    [anon_sym_grep] = ACTIONS(2293),
    [anon_sym_sort] = ACTIONS(2293),
    [anon_sym_goto] = ACTIONS(2293),
    [anon_sym_return] = ACTIONS(2293),
    [anon_sym_undef] = ACTIONS(2293),
    [anon_sym_PERCENT2] = ACTIONS(2293),
    [anon_sym_AMP2] = ACTIONS(2293),
    [anon_sym_STAR2] = ACTIONS(2293),
    [anon_sym_last] = ACTIONS(2293),
    [anon_sym_next] = ACTIONS(2293),
    [anon_sym_redo] = ACTIONS(2293),
    [anon_sym___FILE__] = ACTIONS(2293),
    [anon_sym___LINE__] = ACTIONS(2293),
    [anon_sym___PACKAGE__] = ACTIONS(2293),
    [anon_sym___SUB__] = ACTIONS(2293),
    [anon_sym_break] = ACTIONS(2293),
    [anon_sym_fork] = ACTIONS(2293),
    [anon_sym_getppid] = ACTIONS(2293),
    [anon_sym_time] = ACTIONS(2293),
    [anon_sym_times] = ACTIONS(2293),
    [anon_sym_wait] = ACTIONS(2293),
    [anon_sym_wantarray] = ACTIONS(2293),
    [anon_sym_abs] = ACTIONS(2293),
    [anon_sym_alarm] = ACTIONS(2293),
    [anon_sym_chop] = ACTIONS(2293),
    [anon_sym_chdir] = ACTIONS(2293),
    [anon_sym_close] = ACTIONS(2293),
    [anon_sym_closedir] = ACTIONS(2293),
    [anon_sym_caller] = ACTIONS(2293),
    [anon_sym_chomp] = ACTIONS(2293),
    [anon_sym_chr] = ACTIONS(2293),
    [anon_sym_cos] = ACTIONS(2293),
    [anon_sym_chroot] = ACTIONS(2293),
    [anon_sym_defined] = ACTIONS(2293),
    [anon_sym_delete] = ACTIONS(2293),
    [anon_sym_dbmclose] = ACTIONS(2293),
    [anon_sym_exists] = ACTIONS(2293),
    [anon_sym_exit] = ACTIONS(2293),
    [anon_sym_eof] = ACTIONS(2293),
    [anon_sym_exp] = ACTIONS(2293),
    [anon_sym_each] = ACTIONS(2293),
    [anon_sym_fc] = ACTIONS(2293),
    [anon_sym_fileno] = ACTIONS(2293),
    [anon_sym_gmtime] = ACTIONS(2293),
    [anon_sym_getc] = ACTIONS(2293),
    [anon_sym_getpgrp] = ACTIONS(2293),
    [anon_sym_getprotobyname] = ACTIONS(2293),
    [anon_sym_getpwname] = ACTIONS(2293),
    [anon_sym_getpwuid] = ACTIONS(2293),
    [anon_sym_getpeername] = ACTIONS(2293),
    [anon_sym_getnetbyname] = ACTIONS(2293),
    [anon_sym_getsockname] = ACTIONS(2293),
    [anon_sym_getgrnam] = ACTIONS(2293),
    [anon_sym_getgrgid] = ACTIONS(2293),
    [anon_sym_hex] = ACTIONS(2293),
    [anon_sym_int] = ACTIONS(2293),
    [anon_sym_keys] = ACTIONS(2293),
    [anon_sym_lc] = ACTIONS(2293),
    [anon_sym_lcfirst] = ACTIONS(2293),
    [anon_sym_length] = ACTIONS(2293),
    [anon_sym_localtime] = ACTIONS(2293),
    [anon_sym_log] = ACTIONS(2293),
    [anon_sym_lock] = ACTIONS(2293),
    [anon_sym_lstat] = ACTIONS(2293),
    [anon_sym_oct] = ACTIONS(2293),
    [anon_sym_ord] = ACTIONS(2293),
    [anon_sym_prototype] = ACTIONS(2293),
    [anon_sym_pop] = ACTIONS(2293),
    [anon_sym_pos] = ACTIONS(2293),
    [anon_sym_quotemeta] = ACTIONS(2293),
    [anon_sym_reset] = ACTIONS(2293),
    [anon_sym_rand] = ACTIONS(2293),
    [anon_sym_rmdir] = ACTIONS(2293),
    [anon_sym_readdir] = ACTIONS(2293),
    [anon_sym_readline] = ACTIONS(2293),
    [anon_sym_readpipe] = ACTIONS(2293),
    [anon_sym_rewinddir] = ACTIONS(2293),
    [anon_sym_readlink] = ACTIONS(2293),
    [anon_sym_ref] = ACTIONS(2293),
    [anon_sym_scalar] = ACTIONS(2293),
    [anon_sym_shift] = ACTIONS(2293),
    [anon_sym_sin] = ACTIONS(2293),
    [anon_sym_sleep] = ACTIONS(2293),
    [anon_sym_sqrt] = ACTIONS(2293),
    [anon_sym_srand] = ACTIONS(2293),
    [anon_sym_stat] = ACTIONS(2293),
    [anon_sym_study] = ACTIONS(2293),
    [anon_sym_tell] = ACTIONS(2293),
    [anon_sym_telldir] = ACTIONS(2293),
    [anon_sym_tied] = ACTIONS(2293),
    [anon_sym_uc] = ACTIONS(2293),
    [anon_sym_ucfirst] = ACTIONS(2293),
    [anon_sym_untie] = ACTIONS(2293),
    [anon_sym_umask] = ACTIONS(2293),
    [anon_sym_values] = ACTIONS(2293),
    [anon_sym_write] = ACTIONS(2293),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2293),
    [anon_sym_qq] = ACTIONS(2293),
    [anon_sym_qw] = ACTIONS(2293),
    [anon_sym_qx] = ACTIONS(2293),
    [anon_sym_qr] = ACTIONS(2293),
    [anon_sym_m] = ACTIONS(2293),
    [anon_sym_s] = ACTIONS(2293),
    [anon_sym_tr] = ACTIONS(2293),
    [anon_sym_y] = ACTIONS(2293),
    [aux_sym__bareword_token1] = ACTIONS(2293),
    [sym_number] = ACTIONS(2293),
    [anon_sym_true] = ACTIONS(2293),
    [anon_sym_false] = ACTIONS(2293),
    [sym__single_quote] = ACTIONS(2291),
    [sym__double_quote] = ACTIONS(2291),
    [sym__backtick_quote] = ACTIONS(2291),
    [sym__search_slash_quote] = ACTIONS(2291),
    [sym__open_readline_bracket] = ACTIONS(2291),
    [sym__open_fileglob_bracket] = ACTIONS(2291),
    [sym__PERLY_HEREDOC] = ACTIONS(2291),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2291),
    [sym__filetest] = ACTIONS(2291),
  },
  [1142] = {
    [sym_heredoc_content] = STATE(1142),
    [sym__identifier] = ACTIONS(2297),
    [anon_sym_LBRACE] = ACTIONS(2297),
    [anon_sym_DOLLAR] = ACTIONS(2297),
    [anon_sym_AT] = ACTIONS(2297),
    [anon_sym_RPAREN] = ACTIONS(2297),
    [anon_sym_my] = ACTIONS(2297),
    [anon_sym_extended] = ACTIONS(2297),
    [anon_sym_async] = ACTIONS(2297),
    [anon_sym_sub] = ACTIONS(2297),
    [anon_sym_method] = ACTIONS(2297),
    [anon_sym_LPAREN] = ACTIONS(2297),
    [anon_sym_continue] = ACTIONS(2401),
    [anon_sym_state] = ACTIONS(2297),
    [anon_sym_our] = ACTIONS(2297),
    [anon_sym_LBRACK] = ACTIONS(2297),
    [anon_sym_LT_LT] = ACTIONS(2297),
    [anon_sym_SLASH_SLASH] = ACTIONS(2297),
    [anon_sym_PLUS] = ACTIONS(2297),
    [anon_sym_DASH] = ACTIONS(2297),
    [anon_sym_TILDE] = ACTIONS(2297),
    [anon_sym_BANG] = ACTIONS(2297),
    [anon_sym_PLUS_PLUS] = ACTIONS(2297),
    [anon_sym_DASH_DASH] = ACTIONS(2297),
    [anon_sym_BSLASH] = ACTIONS(2295),
    [anon_sym_do] = ACTIONS(2297),
    [anon_sym_eval] = ACTIONS(2297),
    [anon_sym_await] = ACTIONS(2297),
    [anon_sym_field] = ACTIONS(2297),
    [anon_sym_local] = ACTIONS(2297),
    [anon_sym_dynamically] = ACTIONS(2297),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2297),
    [anon_sym_require] = ACTIONS(2297),
    [anon_sym_map] = ACTIONS(2297),
    [anon_sym_grep] = ACTIONS(2297),
    [anon_sym_sort] = ACTIONS(2297),
    [anon_sym_goto] = ACTIONS(2297),
    [anon_sym_return] = ACTIONS(2297),
    [anon_sym_undef] = ACTIONS(2297),
    [anon_sym_PERCENT2] = ACTIONS(2297),
    [anon_sym_AMP2] = ACTIONS(2297),
    [anon_sym_STAR2] = ACTIONS(2297),
    [anon_sym_last] = ACTIONS(2297),
    [anon_sym_next] = ACTIONS(2297),
    [anon_sym_redo] = ACTIONS(2297),
    [anon_sym___FILE__] = ACTIONS(2297),
    [anon_sym___LINE__] = ACTIONS(2297),
    [anon_sym___PACKAGE__] = ACTIONS(2297),
    [anon_sym___SUB__] = ACTIONS(2297),
    [anon_sym_break] = ACTIONS(2297),
    [anon_sym_fork] = ACTIONS(2297),
    [anon_sym_getppid] = ACTIONS(2297),
    [anon_sym_time] = ACTIONS(2297),
    [anon_sym_times] = ACTIONS(2297),
    [anon_sym_wait] = ACTIONS(2297),
    [anon_sym_wantarray] = ACTIONS(2297),
    [anon_sym_abs] = ACTIONS(2297),
    [anon_sym_alarm] = ACTIONS(2297),
    [anon_sym_chop] = ACTIONS(2297),
    [anon_sym_chdir] = ACTIONS(2297),
    [anon_sym_close] = ACTIONS(2297),
    [anon_sym_closedir] = ACTIONS(2297),
    [anon_sym_caller] = ACTIONS(2297),
    [anon_sym_chomp] = ACTIONS(2297),
    [anon_sym_chr] = ACTIONS(2297),
    [anon_sym_cos] = ACTIONS(2297),
    [anon_sym_chroot] = ACTIONS(2297),
    [anon_sym_defined] = ACTIONS(2297),
    [anon_sym_delete] = ACTIONS(2297),
    [anon_sym_dbmclose] = ACTIONS(2297),
    [anon_sym_exists] = ACTIONS(2297),
    [anon_sym_exit] = ACTIONS(2297),
    [anon_sym_eof] = ACTIONS(2297),
    [anon_sym_exp] = ACTIONS(2297),
    [anon_sym_each] = ACTIONS(2297),
    [anon_sym_fc] = ACTIONS(2297),
    [anon_sym_fileno] = ACTIONS(2297),
    [anon_sym_gmtime] = ACTIONS(2297),
    [anon_sym_getc] = ACTIONS(2297),
    [anon_sym_getpgrp] = ACTIONS(2297),
    [anon_sym_getprotobyname] = ACTIONS(2297),
    [anon_sym_getpwname] = ACTIONS(2297),
    [anon_sym_getpwuid] = ACTIONS(2297),
    [anon_sym_getpeername] = ACTIONS(2297),
    [anon_sym_getnetbyname] = ACTIONS(2297),
    [anon_sym_getsockname] = ACTIONS(2297),
    [anon_sym_getgrnam] = ACTIONS(2297),
    [anon_sym_getgrgid] = ACTIONS(2297),
    [anon_sym_hex] = ACTIONS(2297),
    [anon_sym_int] = ACTIONS(2297),
    [anon_sym_keys] = ACTIONS(2297),
    [anon_sym_lc] = ACTIONS(2297),
    [anon_sym_lcfirst] = ACTIONS(2297),
    [anon_sym_length] = ACTIONS(2297),
    [anon_sym_localtime] = ACTIONS(2297),
    [anon_sym_log] = ACTIONS(2297),
    [anon_sym_lock] = ACTIONS(2297),
    [anon_sym_lstat] = ACTIONS(2297),
    [anon_sym_oct] = ACTIONS(2297),
    [anon_sym_ord] = ACTIONS(2297),
    [anon_sym_prototype] = ACTIONS(2297),
    [anon_sym_pop] = ACTIONS(2297),
    [anon_sym_pos] = ACTIONS(2297),
    [anon_sym_quotemeta] = ACTIONS(2297),
    [anon_sym_reset] = ACTIONS(2297),
    [anon_sym_rand] = ACTIONS(2297),
    [anon_sym_rmdir] = ACTIONS(2297),
    [anon_sym_readdir] = ACTIONS(2297),
    [anon_sym_readline] = ACTIONS(2297),
    [anon_sym_readpipe] = ACTIONS(2297),
    [anon_sym_rewinddir] = ACTIONS(2297),
    [anon_sym_readlink] = ACTIONS(2297),
    [anon_sym_ref] = ACTIONS(2297),
    [anon_sym_scalar] = ACTIONS(2297),
    [anon_sym_shift] = ACTIONS(2297),
    [anon_sym_sin] = ACTIONS(2297),
    [anon_sym_sleep] = ACTIONS(2297),
    [anon_sym_sqrt] = ACTIONS(2297),
    [anon_sym_srand] = ACTIONS(2297),
    [anon_sym_stat] = ACTIONS(2297),
    [anon_sym_study] = ACTIONS(2297),
    [anon_sym_tell] = ACTIONS(2297),
    [anon_sym_telldir] = ACTIONS(2297),
    [anon_sym_tied] = ACTIONS(2297),
    [anon_sym_uc] = ACTIONS(2297),
    [anon_sym_ucfirst] = ACTIONS(2297),
    [anon_sym_untie] = ACTIONS(2297),
    [anon_sym_umask] = ACTIONS(2297),
    [anon_sym_values] = ACTIONS(2297),
    [anon_sym_write] = ACTIONS(2297),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2297),
    [anon_sym_qq] = ACTIONS(2297),
    [anon_sym_qw] = ACTIONS(2297),
    [anon_sym_qx] = ACTIONS(2297),
    [anon_sym_qr] = ACTIONS(2297),
    [anon_sym_m] = ACTIONS(2297),
    [anon_sym_s] = ACTIONS(2297),
    [anon_sym_tr] = ACTIONS(2297),
    [anon_sym_y] = ACTIONS(2297),
    [aux_sym__bareword_token1] = ACTIONS(2297),
    [sym_number] = ACTIONS(2297),
    [anon_sym_true] = ACTIONS(2297),
    [anon_sym_false] = ACTIONS(2297),
    [sym__single_quote] = ACTIONS(2295),
    [sym__double_quote] = ACTIONS(2295),
    [sym__backtick_quote] = ACTIONS(2295),
    [sym__search_slash_quote] = ACTIONS(2295),
    [sym__open_readline_bracket] = ACTIONS(2295),
    [sym__open_fileglob_bracket] = ACTIONS(2295),
    [sym__PERLY_HEREDOC] = ACTIONS(2295),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2295),
    [sym__filetest] = ACTIONS(2295),
  },
  [1143] = {
    [sym_heredoc_content] = STATE(1143),
    [sym__identifier] = ACTIONS(2304),
    [anon_sym_LBRACE] = ACTIONS(2304),
    [anon_sym_DOLLAR] = ACTIONS(2304),
    [anon_sym_AT] = ACTIONS(2304),
    [anon_sym_RPAREN] = ACTIONS(2304),
    [anon_sym_my] = ACTIONS(2304),
    [anon_sym_extended] = ACTIONS(2304),
    [anon_sym_async] = ACTIONS(2304),
    [anon_sym_sub] = ACTIONS(2304),
    [anon_sym_method] = ACTIONS(2304),
    [anon_sym_LPAREN] = ACTIONS(2304),
    [anon_sym_continue] = ACTIONS(2304),
    [anon_sym_state] = ACTIONS(2304),
    [anon_sym_our] = ACTIONS(2304),
    [anon_sym_LBRACK] = ACTIONS(2304),
    [anon_sym_LT_LT] = ACTIONS(2304),
    [anon_sym_SLASH_SLASH] = ACTIONS(2304),
    [anon_sym_PLUS] = ACTIONS(2304),
    [anon_sym_DASH] = ACTIONS(2304),
    [anon_sym_TILDE] = ACTIONS(2304),
    [anon_sym_BANG] = ACTIONS(2304),
    [anon_sym_PLUS_PLUS] = ACTIONS(2304),
    [anon_sym_DASH_DASH] = ACTIONS(2304),
    [anon_sym_BSLASH] = ACTIONS(2302),
    [anon_sym_do] = ACTIONS(2304),
    [anon_sym_eval] = ACTIONS(2304),
    [anon_sym_await] = ACTIONS(2304),
    [anon_sym_field] = ACTIONS(2304),
    [anon_sym_local] = ACTIONS(2304),
    [anon_sym_dynamically] = ACTIONS(2304),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2304),
    [anon_sym_require] = ACTIONS(2304),
    [anon_sym_map] = ACTIONS(2304),
    [anon_sym_grep] = ACTIONS(2304),
    [anon_sym_sort] = ACTIONS(2304),
    [anon_sym_goto] = ACTIONS(2304),
    [anon_sym_return] = ACTIONS(2304),
    [anon_sym_undef] = ACTIONS(2304),
    [anon_sym_PERCENT2] = ACTIONS(2304),
    [anon_sym_AMP2] = ACTIONS(2304),
    [anon_sym_STAR2] = ACTIONS(2304),
    [anon_sym_last] = ACTIONS(2304),
    [anon_sym_next] = ACTIONS(2304),
    [anon_sym_redo] = ACTIONS(2304),
    [anon_sym___FILE__] = ACTIONS(2304),
    [anon_sym___LINE__] = ACTIONS(2304),
    [anon_sym___PACKAGE__] = ACTIONS(2304),
    [anon_sym___SUB__] = ACTIONS(2304),
    [anon_sym_break] = ACTIONS(2304),
    [anon_sym_fork] = ACTIONS(2304),
    [anon_sym_getppid] = ACTIONS(2304),
    [anon_sym_time] = ACTIONS(2304),
    [anon_sym_times] = ACTIONS(2304),
    [anon_sym_wait] = ACTIONS(2304),
    [anon_sym_wantarray] = ACTIONS(2304),
    [anon_sym_abs] = ACTIONS(2304),
    [anon_sym_alarm] = ACTIONS(2304),
    [anon_sym_chop] = ACTIONS(2304),
    [anon_sym_chdir] = ACTIONS(2304),
    [anon_sym_close] = ACTIONS(2304),
    [anon_sym_closedir] = ACTIONS(2304),
    [anon_sym_caller] = ACTIONS(2304),
    [anon_sym_chomp] = ACTIONS(2304),
    [anon_sym_chr] = ACTIONS(2304),
    [anon_sym_cos] = ACTIONS(2304),
    [anon_sym_chroot] = ACTIONS(2304),
    [anon_sym_defined] = ACTIONS(2304),
    [anon_sym_delete] = ACTIONS(2304),
    [anon_sym_dbmclose] = ACTIONS(2304),
    [anon_sym_exists] = ACTIONS(2304),
    [anon_sym_exit] = ACTIONS(2304),
    [anon_sym_eof] = ACTIONS(2304),
    [anon_sym_exp] = ACTIONS(2304),
    [anon_sym_each] = ACTIONS(2304),
    [anon_sym_fc] = ACTIONS(2304),
    [anon_sym_fileno] = ACTIONS(2304),
    [anon_sym_gmtime] = ACTIONS(2304),
    [anon_sym_getc] = ACTIONS(2304),
    [anon_sym_getpgrp] = ACTIONS(2304),
    [anon_sym_getprotobyname] = ACTIONS(2304),
    [anon_sym_getpwname] = ACTIONS(2304),
    [anon_sym_getpwuid] = ACTIONS(2304),
    [anon_sym_getpeername] = ACTIONS(2304),
    [anon_sym_getnetbyname] = ACTIONS(2304),
    [anon_sym_getsockname] = ACTIONS(2304),
    [anon_sym_getgrnam] = ACTIONS(2304),
    [anon_sym_getgrgid] = ACTIONS(2304),
    [anon_sym_hex] = ACTIONS(2304),
    [anon_sym_int] = ACTIONS(2304),
    [anon_sym_keys] = ACTIONS(2304),
    [anon_sym_lc] = ACTIONS(2304),
    [anon_sym_lcfirst] = ACTIONS(2304),
    [anon_sym_length] = ACTIONS(2304),
    [anon_sym_localtime] = ACTIONS(2304),
    [anon_sym_log] = ACTIONS(2304),
    [anon_sym_lock] = ACTIONS(2304),
    [anon_sym_lstat] = ACTIONS(2304),
    [anon_sym_oct] = ACTIONS(2304),
    [anon_sym_ord] = ACTIONS(2304),
    [anon_sym_prototype] = ACTIONS(2304),
    [anon_sym_pop] = ACTIONS(2304),
    [anon_sym_pos] = ACTIONS(2304),
    [anon_sym_quotemeta] = ACTIONS(2304),
    [anon_sym_reset] = ACTIONS(2304),
    [anon_sym_rand] = ACTIONS(2304),
    [anon_sym_rmdir] = ACTIONS(2304),
    [anon_sym_readdir] = ACTIONS(2304),
    [anon_sym_readline] = ACTIONS(2304),
    [anon_sym_readpipe] = ACTIONS(2304),
    [anon_sym_rewinddir] = ACTIONS(2304),
    [anon_sym_readlink] = ACTIONS(2304),
    [anon_sym_ref] = ACTIONS(2304),
    [anon_sym_scalar] = ACTIONS(2304),
    [anon_sym_shift] = ACTIONS(2304),
    [anon_sym_sin] = ACTIONS(2304),
    [anon_sym_sleep] = ACTIONS(2304),
    [anon_sym_sqrt] = ACTIONS(2304),
    [anon_sym_srand] = ACTIONS(2304),
    [anon_sym_stat] = ACTIONS(2304),
    [anon_sym_study] = ACTIONS(2304),
    [anon_sym_tell] = ACTIONS(2304),
    [anon_sym_telldir] = ACTIONS(2304),
    [anon_sym_tied] = ACTIONS(2304),
    [anon_sym_uc] = ACTIONS(2304),
    [anon_sym_ucfirst] = ACTIONS(2304),
    [anon_sym_untie] = ACTIONS(2304),
    [anon_sym_umask] = ACTIONS(2304),
    [anon_sym_values] = ACTIONS(2304),
    [anon_sym_write] = ACTIONS(2304),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2304),
    [anon_sym_qq] = ACTIONS(2304),
    [anon_sym_qw] = ACTIONS(2304),
    [anon_sym_qx] = ACTIONS(2304),
    [anon_sym_qr] = ACTIONS(2304),
    [anon_sym_m] = ACTIONS(2304),
    [anon_sym_s] = ACTIONS(2304),
    [anon_sym_tr] = ACTIONS(2304),
    [anon_sym_y] = ACTIONS(2304),
    [aux_sym__bareword_token1] = ACTIONS(2304),
    [sym_number] = ACTIONS(2304),
    [anon_sym_true] = ACTIONS(2304),
    [anon_sym_false] = ACTIONS(2304),
    [sym__single_quote] = ACTIONS(2302),
    [sym__double_quote] = ACTIONS(2302),
    [sym__backtick_quote] = ACTIONS(2302),
    [sym__search_slash_quote] = ACTIONS(2302),
    [sym__open_readline_bracket] = ACTIONS(2302),
    [sym__open_fileglob_bracket] = ACTIONS(2302),
    [sym__PERLY_HEREDOC] = ACTIONS(2302),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2302),
    [sym__filetest] = ACTIONS(2302),
  },
  [1144] = {
    [sym_heredoc_content] = STATE(1144),
    [sym__identifier] = ACTIONS(2308),
    [anon_sym_LBRACE] = ACTIONS(2308),
    [anon_sym_DOLLAR] = ACTIONS(2308),
    [anon_sym_AT] = ACTIONS(2308),
    [anon_sym_RPAREN] = ACTIONS(2308),
    [anon_sym_my] = ACTIONS(2308),
    [anon_sym_extended] = ACTIONS(2308),
    [anon_sym_async] = ACTIONS(2308),
    [anon_sym_sub] = ACTIONS(2308),
    [anon_sym_method] = ACTIONS(2308),
    [anon_sym_LPAREN] = ACTIONS(2308),
    [anon_sym_continue] = ACTIONS(2308),
    [anon_sym_state] = ACTIONS(2308),
    [anon_sym_our] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2308),
    [anon_sym_LT_LT] = ACTIONS(2308),
    [anon_sym_SLASH_SLASH] = ACTIONS(2308),
    [anon_sym_PLUS] = ACTIONS(2308),
    [anon_sym_DASH] = ACTIONS(2308),
    [anon_sym_TILDE] = ACTIONS(2308),
    [anon_sym_BANG] = ACTIONS(2308),
    [anon_sym_PLUS_PLUS] = ACTIONS(2308),
    [anon_sym_DASH_DASH] = ACTIONS(2308),
    [anon_sym_BSLASH] = ACTIONS(2306),
    [anon_sym_do] = ACTIONS(2308),
    [anon_sym_eval] = ACTIONS(2308),
    [anon_sym_await] = ACTIONS(2308),
    [anon_sym_field] = ACTIONS(2308),
    [anon_sym_local] = ACTIONS(2308),
    [anon_sym_dynamically] = ACTIONS(2308),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2308),
    [anon_sym_require] = ACTIONS(2308),
    [anon_sym_map] = ACTIONS(2308),
    [anon_sym_grep] = ACTIONS(2308),
    [anon_sym_sort] = ACTIONS(2308),
    [anon_sym_goto] = ACTIONS(2308),
    [anon_sym_return] = ACTIONS(2308),
    [anon_sym_undef] = ACTIONS(2308),
    [anon_sym_PERCENT2] = ACTIONS(2308),
    [anon_sym_AMP2] = ACTIONS(2308),
    [anon_sym_STAR2] = ACTIONS(2308),
    [anon_sym_last] = ACTIONS(2308),
    [anon_sym_next] = ACTIONS(2308),
    [anon_sym_redo] = ACTIONS(2308),
    [anon_sym___FILE__] = ACTIONS(2308),
    [anon_sym___LINE__] = ACTIONS(2308),
    [anon_sym___PACKAGE__] = ACTIONS(2308),
    [anon_sym___SUB__] = ACTIONS(2308),
    [anon_sym_break] = ACTIONS(2308),
    [anon_sym_fork] = ACTIONS(2308),
    [anon_sym_getppid] = ACTIONS(2308),
    [anon_sym_time] = ACTIONS(2308),
    [anon_sym_times] = ACTIONS(2308),
    [anon_sym_wait] = ACTIONS(2308),
    [anon_sym_wantarray] = ACTIONS(2308),
    [anon_sym_abs] = ACTIONS(2308),
    [anon_sym_alarm] = ACTIONS(2308),
    [anon_sym_chop] = ACTIONS(2308),
    [anon_sym_chdir] = ACTIONS(2308),
    [anon_sym_close] = ACTIONS(2308),
    [anon_sym_closedir] = ACTIONS(2308),
    [anon_sym_caller] = ACTIONS(2308),
    [anon_sym_chomp] = ACTIONS(2308),
    [anon_sym_chr] = ACTIONS(2308),
    [anon_sym_cos] = ACTIONS(2308),
    [anon_sym_chroot] = ACTIONS(2308),
    [anon_sym_defined] = ACTIONS(2308),
    [anon_sym_delete] = ACTIONS(2308),
    [anon_sym_dbmclose] = ACTIONS(2308),
    [anon_sym_exists] = ACTIONS(2308),
    [anon_sym_exit] = ACTIONS(2308),
    [anon_sym_eof] = ACTIONS(2308),
    [anon_sym_exp] = ACTIONS(2308),
    [anon_sym_each] = ACTIONS(2308),
    [anon_sym_fc] = ACTIONS(2308),
    [anon_sym_fileno] = ACTIONS(2308),
    [anon_sym_gmtime] = ACTIONS(2308),
    [anon_sym_getc] = ACTIONS(2308),
    [anon_sym_getpgrp] = ACTIONS(2308),
    [anon_sym_getprotobyname] = ACTIONS(2308),
    [anon_sym_getpwname] = ACTIONS(2308),
    [anon_sym_getpwuid] = ACTIONS(2308),
    [anon_sym_getpeername] = ACTIONS(2308),
    [anon_sym_getnetbyname] = ACTIONS(2308),
    [anon_sym_getsockname] = ACTIONS(2308),
    [anon_sym_getgrnam] = ACTIONS(2308),
    [anon_sym_getgrgid] = ACTIONS(2308),
    [anon_sym_hex] = ACTIONS(2308),
    [anon_sym_int] = ACTIONS(2308),
    [anon_sym_keys] = ACTIONS(2308),
    [anon_sym_lc] = ACTIONS(2308),
    [anon_sym_lcfirst] = ACTIONS(2308),
    [anon_sym_length] = ACTIONS(2308),
    [anon_sym_localtime] = ACTIONS(2308),
    [anon_sym_log] = ACTIONS(2308),
    [anon_sym_lock] = ACTIONS(2308),
    [anon_sym_lstat] = ACTIONS(2308),
    [anon_sym_oct] = ACTIONS(2308),
    [anon_sym_ord] = ACTIONS(2308),
    [anon_sym_prototype] = ACTIONS(2308),
    [anon_sym_pop] = ACTIONS(2308),
    [anon_sym_pos] = ACTIONS(2308),
    [anon_sym_quotemeta] = ACTIONS(2308),
    [anon_sym_reset] = ACTIONS(2308),
    [anon_sym_rand] = ACTIONS(2308),
    [anon_sym_rmdir] = ACTIONS(2308),
    [anon_sym_readdir] = ACTIONS(2308),
    [anon_sym_readline] = ACTIONS(2308),
    [anon_sym_readpipe] = ACTIONS(2308),
    [anon_sym_rewinddir] = ACTIONS(2308),
    [anon_sym_readlink] = ACTIONS(2308),
    [anon_sym_ref] = ACTIONS(2308),
    [anon_sym_scalar] = ACTIONS(2308),
    [anon_sym_shift] = ACTIONS(2308),
    [anon_sym_sin] = ACTIONS(2308),
    [anon_sym_sleep] = ACTIONS(2308),
    [anon_sym_sqrt] = ACTIONS(2308),
    [anon_sym_srand] = ACTIONS(2308),
    [anon_sym_stat] = ACTIONS(2308),
    [anon_sym_study] = ACTIONS(2308),
    [anon_sym_tell] = ACTIONS(2308),
    [anon_sym_telldir] = ACTIONS(2308),
    [anon_sym_tied] = ACTIONS(2308),
    [anon_sym_uc] = ACTIONS(2308),
    [anon_sym_ucfirst] = ACTIONS(2308),
    [anon_sym_untie] = ACTIONS(2308),
    [anon_sym_umask] = ACTIONS(2308),
    [anon_sym_values] = ACTIONS(2308),
    [anon_sym_write] = ACTIONS(2308),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2308),
    [anon_sym_qq] = ACTIONS(2308),
    [anon_sym_qw] = ACTIONS(2308),
    [anon_sym_qx] = ACTIONS(2308),
    [anon_sym_qr] = ACTIONS(2308),
    [anon_sym_m] = ACTIONS(2308),
    [anon_sym_s] = ACTIONS(2308),
    [anon_sym_tr] = ACTIONS(2308),
    [anon_sym_y] = ACTIONS(2308),
    [aux_sym__bareword_token1] = ACTIONS(2308),
    [sym_number] = ACTIONS(2308),
    [anon_sym_true] = ACTIONS(2308),
    [anon_sym_false] = ACTIONS(2308),
    [sym__single_quote] = ACTIONS(2306),
    [sym__double_quote] = ACTIONS(2306),
    [sym__backtick_quote] = ACTIONS(2306),
    [sym__search_slash_quote] = ACTIONS(2306),
    [sym__open_readline_bracket] = ACTIONS(2306),
    [sym__open_fileglob_bracket] = ACTIONS(2306),
    [sym__PERLY_HEREDOC] = ACTIONS(2306),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2306),
    [sym__filetest] = ACTIONS(2306),
  },
  [1145] = {
    [sym_heredoc_content] = STATE(1145),
    [sym__identifier] = ACTIONS(2312),
    [anon_sym_LBRACE] = ACTIONS(2312),
    [anon_sym_DOLLAR] = ACTIONS(2312),
    [anon_sym_AT] = ACTIONS(2312),
    [anon_sym_RPAREN] = ACTIONS(2312),
    [anon_sym_my] = ACTIONS(2312),
    [anon_sym_extended] = ACTIONS(2312),
    [anon_sym_async] = ACTIONS(2312),
    [anon_sym_sub] = ACTIONS(2312),
    [anon_sym_method] = ACTIONS(2312),
    [anon_sym_LPAREN] = ACTIONS(2312),
    [anon_sym_continue] = ACTIONS(2312),
    [anon_sym_state] = ACTIONS(2312),
    [anon_sym_our] = ACTIONS(2312),
    [anon_sym_LBRACK] = ACTIONS(2312),
    [anon_sym_LT_LT] = ACTIONS(2312),
    [anon_sym_SLASH_SLASH] = ACTIONS(2312),
    [anon_sym_PLUS] = ACTIONS(2312),
    [anon_sym_DASH] = ACTIONS(2312),
    [anon_sym_TILDE] = ACTIONS(2312),
    [anon_sym_BANG] = ACTIONS(2312),
    [anon_sym_PLUS_PLUS] = ACTIONS(2312),
    [anon_sym_DASH_DASH] = ACTIONS(2312),
    [anon_sym_BSLASH] = ACTIONS(2310),
    [anon_sym_do] = ACTIONS(2312),
    [anon_sym_eval] = ACTIONS(2312),
    [anon_sym_await] = ACTIONS(2312),
    [anon_sym_field] = ACTIONS(2312),
    [anon_sym_local] = ACTIONS(2312),
    [anon_sym_dynamically] = ACTIONS(2312),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2312),
    [anon_sym_require] = ACTIONS(2312),
    [anon_sym_map] = ACTIONS(2312),
    [anon_sym_grep] = ACTIONS(2312),
    [anon_sym_sort] = ACTIONS(2312),
    [anon_sym_goto] = ACTIONS(2312),
    [anon_sym_return] = ACTIONS(2312),
    [anon_sym_undef] = ACTIONS(2312),
    [anon_sym_PERCENT2] = ACTIONS(2312),
    [anon_sym_AMP2] = ACTIONS(2312),
    [anon_sym_STAR2] = ACTIONS(2312),
    [anon_sym_last] = ACTIONS(2312),
    [anon_sym_next] = ACTIONS(2312),
    [anon_sym_redo] = ACTIONS(2312),
    [anon_sym___FILE__] = ACTIONS(2312),
    [anon_sym___LINE__] = ACTIONS(2312),
    [anon_sym___PACKAGE__] = ACTIONS(2312),
    [anon_sym___SUB__] = ACTIONS(2312),
    [anon_sym_break] = ACTIONS(2312),
    [anon_sym_fork] = ACTIONS(2312),
    [anon_sym_getppid] = ACTIONS(2312),
    [anon_sym_time] = ACTIONS(2312),
    [anon_sym_times] = ACTIONS(2312),
    [anon_sym_wait] = ACTIONS(2312),
    [anon_sym_wantarray] = ACTIONS(2312),
    [anon_sym_abs] = ACTIONS(2312),
    [anon_sym_alarm] = ACTIONS(2312),
    [anon_sym_chop] = ACTIONS(2312),
    [anon_sym_chdir] = ACTIONS(2312),
    [anon_sym_close] = ACTIONS(2312),
    [anon_sym_closedir] = ACTIONS(2312),
    [anon_sym_caller] = ACTIONS(2312),
    [anon_sym_chomp] = ACTIONS(2312),
    [anon_sym_chr] = ACTIONS(2312),
    [anon_sym_cos] = ACTIONS(2312),
    [anon_sym_chroot] = ACTIONS(2312),
    [anon_sym_defined] = ACTIONS(2312),
    [anon_sym_delete] = ACTIONS(2312),
    [anon_sym_dbmclose] = ACTIONS(2312),
    [anon_sym_exists] = ACTIONS(2312),
    [anon_sym_exit] = ACTIONS(2312),
    [anon_sym_eof] = ACTIONS(2312),
    [anon_sym_exp] = ACTIONS(2312),
    [anon_sym_each] = ACTIONS(2312),
    [anon_sym_fc] = ACTIONS(2312),
    [anon_sym_fileno] = ACTIONS(2312),
    [anon_sym_gmtime] = ACTIONS(2312),
    [anon_sym_getc] = ACTIONS(2312),
    [anon_sym_getpgrp] = ACTIONS(2312),
    [anon_sym_getprotobyname] = ACTIONS(2312),
    [anon_sym_getpwname] = ACTIONS(2312),
    [anon_sym_getpwuid] = ACTIONS(2312),
    [anon_sym_getpeername] = ACTIONS(2312),
    [anon_sym_getnetbyname] = ACTIONS(2312),
    [anon_sym_getsockname] = ACTIONS(2312),
    [anon_sym_getgrnam] = ACTIONS(2312),
    [anon_sym_getgrgid] = ACTIONS(2312),
    [anon_sym_hex] = ACTIONS(2312),
    [anon_sym_int] = ACTIONS(2312),
    [anon_sym_keys] = ACTIONS(2312),
    [anon_sym_lc] = ACTIONS(2312),
    [anon_sym_lcfirst] = ACTIONS(2312),
    [anon_sym_length] = ACTIONS(2312),
    [anon_sym_localtime] = ACTIONS(2312),
    [anon_sym_log] = ACTIONS(2312),
    [anon_sym_lock] = ACTIONS(2312),
    [anon_sym_lstat] = ACTIONS(2312),
    [anon_sym_oct] = ACTIONS(2312),
    [anon_sym_ord] = ACTIONS(2312),
    [anon_sym_prototype] = ACTIONS(2312),
    [anon_sym_pop] = ACTIONS(2312),
    [anon_sym_pos] = ACTIONS(2312),
    [anon_sym_quotemeta] = ACTIONS(2312),
    [anon_sym_reset] = ACTIONS(2312),
    [anon_sym_rand] = ACTIONS(2312),
    [anon_sym_rmdir] = ACTIONS(2312),
    [anon_sym_readdir] = ACTIONS(2312),
    [anon_sym_readline] = ACTIONS(2312),
    [anon_sym_readpipe] = ACTIONS(2312),
    [anon_sym_rewinddir] = ACTIONS(2312),
    [anon_sym_readlink] = ACTIONS(2312),
    [anon_sym_ref] = ACTIONS(2312),
    [anon_sym_scalar] = ACTIONS(2312),
    [anon_sym_shift] = ACTIONS(2312),
    [anon_sym_sin] = ACTIONS(2312),
    [anon_sym_sleep] = ACTIONS(2312),
    [anon_sym_sqrt] = ACTIONS(2312),
    [anon_sym_srand] = ACTIONS(2312),
    [anon_sym_stat] = ACTIONS(2312),
    [anon_sym_study] = ACTIONS(2312),
    [anon_sym_tell] = ACTIONS(2312),
    [anon_sym_telldir] = ACTIONS(2312),
    [anon_sym_tied] = ACTIONS(2312),
    [anon_sym_uc] = ACTIONS(2312),
    [anon_sym_ucfirst] = ACTIONS(2312),
    [anon_sym_untie] = ACTIONS(2312),
    [anon_sym_umask] = ACTIONS(2312),
    [anon_sym_values] = ACTIONS(2312),
    [anon_sym_write] = ACTIONS(2312),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2312),
    [anon_sym_qq] = ACTIONS(2312),
    [anon_sym_qw] = ACTIONS(2312),
    [anon_sym_qx] = ACTIONS(2312),
    [anon_sym_qr] = ACTIONS(2312),
    [anon_sym_m] = ACTIONS(2312),
    [anon_sym_s] = ACTIONS(2312),
    [anon_sym_tr] = ACTIONS(2312),
    [anon_sym_y] = ACTIONS(2312),
    [aux_sym__bareword_token1] = ACTIONS(2312),
    [sym_number] = ACTIONS(2312),
    [anon_sym_true] = ACTIONS(2312),
    [anon_sym_false] = ACTIONS(2312),
    [sym__single_quote] = ACTIONS(2310),
    [sym__double_quote] = ACTIONS(2310),
    [sym__backtick_quote] = ACTIONS(2310),
    [sym__search_slash_quote] = ACTIONS(2310),
    [sym__open_readline_bracket] = ACTIONS(2310),
    [sym__open_fileglob_bracket] = ACTIONS(2310),
    [sym__PERLY_HEREDOC] = ACTIONS(2310),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2310),
    [sym__filetest] = ACTIONS(2310),
  },
  [1146] = {
    [sym_heredoc_content] = STATE(1146),
    [sym__identifier] = ACTIONS(2316),
    [anon_sym_LBRACE] = ACTIONS(2316),
    [anon_sym_DOLLAR] = ACTIONS(2316),
    [anon_sym_AT] = ACTIONS(2316),
    [anon_sym_RPAREN] = ACTIONS(2316),
    [anon_sym_my] = ACTIONS(2316),
    [anon_sym_extended] = ACTIONS(2316),
    [anon_sym_async] = ACTIONS(2316),
    [anon_sym_sub] = ACTIONS(2316),
    [anon_sym_method] = ACTIONS(2316),
    [anon_sym_LPAREN] = ACTIONS(2316),
    [anon_sym_continue] = ACTIONS(2316),
    [anon_sym_state] = ACTIONS(2316),
    [anon_sym_our] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2316),
    [anon_sym_LT_LT] = ACTIONS(2316),
    [anon_sym_SLASH_SLASH] = ACTIONS(2316),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_TILDE] = ACTIONS(2316),
    [anon_sym_BANG] = ACTIONS(2316),
    [anon_sym_PLUS_PLUS] = ACTIONS(2316),
    [anon_sym_DASH_DASH] = ACTIONS(2316),
    [anon_sym_BSLASH] = ACTIONS(2314),
    [anon_sym_do] = ACTIONS(2316),
    [anon_sym_eval] = ACTIONS(2316),
    [anon_sym_await] = ACTIONS(2316),
    [anon_sym_field] = ACTIONS(2316),
    [anon_sym_local] = ACTIONS(2316),
    [anon_sym_dynamically] = ACTIONS(2316),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2316),
    [anon_sym_require] = ACTIONS(2316),
    [anon_sym_map] = ACTIONS(2316),
    [anon_sym_grep] = ACTIONS(2316),
    [anon_sym_sort] = ACTIONS(2316),
    [anon_sym_goto] = ACTIONS(2316),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_undef] = ACTIONS(2316),
    [anon_sym_PERCENT2] = ACTIONS(2316),
    [anon_sym_AMP2] = ACTIONS(2316),
    [anon_sym_STAR2] = ACTIONS(2316),
    [anon_sym_last] = ACTIONS(2316),
    [anon_sym_next] = ACTIONS(2316),
    [anon_sym_redo] = ACTIONS(2316),
    [anon_sym___FILE__] = ACTIONS(2316),
    [anon_sym___LINE__] = ACTIONS(2316),
    [anon_sym___PACKAGE__] = ACTIONS(2316),
    [anon_sym___SUB__] = ACTIONS(2316),
    [anon_sym_break] = ACTIONS(2316),
    [anon_sym_fork] = ACTIONS(2316),
    [anon_sym_getppid] = ACTIONS(2316),
    [anon_sym_time] = ACTIONS(2316),
    [anon_sym_times] = ACTIONS(2316),
    [anon_sym_wait] = ACTIONS(2316),
    [anon_sym_wantarray] = ACTIONS(2316),
    [anon_sym_abs] = ACTIONS(2316),
    [anon_sym_alarm] = ACTIONS(2316),
    [anon_sym_chop] = ACTIONS(2316),
    [anon_sym_chdir] = ACTIONS(2316),
    [anon_sym_close] = ACTIONS(2316),
    [anon_sym_closedir] = ACTIONS(2316),
    [anon_sym_caller] = ACTIONS(2316),
    [anon_sym_chomp] = ACTIONS(2316),
    [anon_sym_chr] = ACTIONS(2316),
    [anon_sym_cos] = ACTIONS(2316),
    [anon_sym_chroot] = ACTIONS(2316),
    [anon_sym_defined] = ACTIONS(2316),
    [anon_sym_delete] = ACTIONS(2316),
    [anon_sym_dbmclose] = ACTIONS(2316),
    [anon_sym_exists] = ACTIONS(2316),
    [anon_sym_exit] = ACTIONS(2316),
    [anon_sym_eof] = ACTIONS(2316),
    [anon_sym_exp] = ACTIONS(2316),
    [anon_sym_each] = ACTIONS(2316),
    [anon_sym_fc] = ACTIONS(2316),
    [anon_sym_fileno] = ACTIONS(2316),
    [anon_sym_gmtime] = ACTIONS(2316),
    [anon_sym_getc] = ACTIONS(2316),
    [anon_sym_getpgrp] = ACTIONS(2316),
    [anon_sym_getprotobyname] = ACTIONS(2316),
    [anon_sym_getpwname] = ACTIONS(2316),
    [anon_sym_getpwuid] = ACTIONS(2316),
    [anon_sym_getpeername] = ACTIONS(2316),
    [anon_sym_getnetbyname] = ACTIONS(2316),
    [anon_sym_getsockname] = ACTIONS(2316),
    [anon_sym_getgrnam] = ACTIONS(2316),
    [anon_sym_getgrgid] = ACTIONS(2316),
    [anon_sym_hex] = ACTIONS(2316),
    [anon_sym_int] = ACTIONS(2316),
    [anon_sym_keys] = ACTIONS(2316),
    [anon_sym_lc] = ACTIONS(2316),
    [anon_sym_lcfirst] = ACTIONS(2316),
    [anon_sym_length] = ACTIONS(2316),
    [anon_sym_localtime] = ACTIONS(2316),
    [anon_sym_log] = ACTIONS(2316),
    [anon_sym_lock] = ACTIONS(2316),
    [anon_sym_lstat] = ACTIONS(2316),
    [anon_sym_oct] = ACTIONS(2316),
    [anon_sym_ord] = ACTIONS(2316),
    [anon_sym_prototype] = ACTIONS(2316),
    [anon_sym_pop] = ACTIONS(2316),
    [anon_sym_pos] = ACTIONS(2316),
    [anon_sym_quotemeta] = ACTIONS(2316),
    [anon_sym_reset] = ACTIONS(2316),
    [anon_sym_rand] = ACTIONS(2316),
    [anon_sym_rmdir] = ACTIONS(2316),
    [anon_sym_readdir] = ACTIONS(2316),
    [anon_sym_readline] = ACTIONS(2316),
    [anon_sym_readpipe] = ACTIONS(2316),
    [anon_sym_rewinddir] = ACTIONS(2316),
    [anon_sym_readlink] = ACTIONS(2316),
    [anon_sym_ref] = ACTIONS(2316),
    [anon_sym_scalar] = ACTIONS(2316),
    [anon_sym_shift] = ACTIONS(2316),
    [anon_sym_sin] = ACTIONS(2316),
    [anon_sym_sleep] = ACTIONS(2316),
    [anon_sym_sqrt] = ACTIONS(2316),
    [anon_sym_srand] = ACTIONS(2316),
    [anon_sym_stat] = ACTIONS(2316),
    [anon_sym_study] = ACTIONS(2316),
    [anon_sym_tell] = ACTIONS(2316),
    [anon_sym_telldir] = ACTIONS(2316),
    [anon_sym_tied] = ACTIONS(2316),
    [anon_sym_uc] = ACTIONS(2316),
    [anon_sym_ucfirst] = ACTIONS(2316),
    [anon_sym_untie] = ACTIONS(2316),
    [anon_sym_umask] = ACTIONS(2316),
    [anon_sym_values] = ACTIONS(2316),
    [anon_sym_write] = ACTIONS(2316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2316),
    [anon_sym_qq] = ACTIONS(2316),
    [anon_sym_qw] = ACTIONS(2316),
    [anon_sym_qx] = ACTIONS(2316),
    [anon_sym_qr] = ACTIONS(2316),
    [anon_sym_m] = ACTIONS(2316),
    [anon_sym_s] = ACTIONS(2316),
    [anon_sym_tr] = ACTIONS(2316),
    [anon_sym_y] = ACTIONS(2316),
    [aux_sym__bareword_token1] = ACTIONS(2316),
    [sym_number] = ACTIONS(2316),
    [anon_sym_true] = ACTIONS(2316),
    [anon_sym_false] = ACTIONS(2316),
    [sym__single_quote] = ACTIONS(2314),
    [sym__double_quote] = ACTIONS(2314),
    [sym__backtick_quote] = ACTIONS(2314),
    [sym__search_slash_quote] = ACTIONS(2314),
    [sym__open_readline_bracket] = ACTIONS(2314),
    [sym__open_fileglob_bracket] = ACTIONS(2314),
    [sym__PERLY_HEREDOC] = ACTIONS(2314),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2314),
    [sym__filetest] = ACTIONS(2314),
  },
  [1147] = {
    [sym_heredoc_content] = STATE(1147),
    [sym__identifier] = ACTIONS(2320),
    [anon_sym_LBRACE] = ACTIONS(2320),
    [anon_sym_DOLLAR] = ACTIONS(2320),
    [anon_sym_AT] = ACTIONS(2320),
    [anon_sym_RPAREN] = ACTIONS(2320),
    [anon_sym_my] = ACTIONS(2320),
    [anon_sym_extended] = ACTIONS(2320),
    [anon_sym_async] = ACTIONS(2320),
    [anon_sym_sub] = ACTIONS(2320),
    [anon_sym_method] = ACTIONS(2320),
    [anon_sym_LPAREN] = ACTIONS(2320),
    [anon_sym_continue] = ACTIONS(2320),
    [anon_sym_state] = ACTIONS(2320),
    [anon_sym_our] = ACTIONS(2320),
    [anon_sym_LBRACK] = ACTIONS(2320),
    [anon_sym_LT_LT] = ACTIONS(2320),
    [anon_sym_SLASH_SLASH] = ACTIONS(2320),
    [anon_sym_PLUS] = ACTIONS(2320),
    [anon_sym_DASH] = ACTIONS(2320),
    [anon_sym_TILDE] = ACTIONS(2320),
    [anon_sym_BANG] = ACTIONS(2320),
    [anon_sym_PLUS_PLUS] = ACTIONS(2320),
    [anon_sym_DASH_DASH] = ACTIONS(2320),
    [anon_sym_BSLASH] = ACTIONS(2318),
    [anon_sym_do] = ACTIONS(2320),
    [anon_sym_eval] = ACTIONS(2320),
    [anon_sym_await] = ACTIONS(2320),
    [anon_sym_field] = ACTIONS(2320),
    [anon_sym_local] = ACTIONS(2320),
    [anon_sym_dynamically] = ACTIONS(2320),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2320),
    [anon_sym_require] = ACTIONS(2320),
    [anon_sym_map] = ACTIONS(2320),
    [anon_sym_grep] = ACTIONS(2320),
    [anon_sym_sort] = ACTIONS(2320),
    [anon_sym_goto] = ACTIONS(2320),
    [anon_sym_return] = ACTIONS(2320),
    [anon_sym_undef] = ACTIONS(2320),
    [anon_sym_PERCENT2] = ACTIONS(2320),
    [anon_sym_AMP2] = ACTIONS(2320),
    [anon_sym_STAR2] = ACTIONS(2320),
    [anon_sym_last] = ACTIONS(2320),
    [anon_sym_next] = ACTIONS(2320),
    [anon_sym_redo] = ACTIONS(2320),
    [anon_sym___FILE__] = ACTIONS(2320),
    [anon_sym___LINE__] = ACTIONS(2320),
    [anon_sym___PACKAGE__] = ACTIONS(2320),
    [anon_sym___SUB__] = ACTIONS(2320),
    [anon_sym_break] = ACTIONS(2320),
    [anon_sym_fork] = ACTIONS(2320),
    [anon_sym_getppid] = ACTIONS(2320),
    [anon_sym_time] = ACTIONS(2320),
    [anon_sym_times] = ACTIONS(2320),
    [anon_sym_wait] = ACTIONS(2320),
    [anon_sym_wantarray] = ACTIONS(2320),
    [anon_sym_abs] = ACTIONS(2320),
    [anon_sym_alarm] = ACTIONS(2320),
    [anon_sym_chop] = ACTIONS(2320),
    [anon_sym_chdir] = ACTIONS(2320),
    [anon_sym_close] = ACTIONS(2320),
    [anon_sym_closedir] = ACTIONS(2320),
    [anon_sym_caller] = ACTIONS(2320),
    [anon_sym_chomp] = ACTIONS(2320),
    [anon_sym_chr] = ACTIONS(2320),
    [anon_sym_cos] = ACTIONS(2320),
    [anon_sym_chroot] = ACTIONS(2320),
    [anon_sym_defined] = ACTIONS(2320),
    [anon_sym_delete] = ACTIONS(2320),
    [anon_sym_dbmclose] = ACTIONS(2320),
    [anon_sym_exists] = ACTIONS(2320),
    [anon_sym_exit] = ACTIONS(2320),
    [anon_sym_eof] = ACTIONS(2320),
    [anon_sym_exp] = ACTIONS(2320),
    [anon_sym_each] = ACTIONS(2320),
    [anon_sym_fc] = ACTIONS(2320),
    [anon_sym_fileno] = ACTIONS(2320),
    [anon_sym_gmtime] = ACTIONS(2320),
    [anon_sym_getc] = ACTIONS(2320),
    [anon_sym_getpgrp] = ACTIONS(2320),
    [anon_sym_getprotobyname] = ACTIONS(2320),
    [anon_sym_getpwname] = ACTIONS(2320),
    [anon_sym_getpwuid] = ACTIONS(2320),
    [anon_sym_getpeername] = ACTIONS(2320),
    [anon_sym_getnetbyname] = ACTIONS(2320),
    [anon_sym_getsockname] = ACTIONS(2320),
    [anon_sym_getgrnam] = ACTIONS(2320),
    [anon_sym_getgrgid] = ACTIONS(2320),
    [anon_sym_hex] = ACTIONS(2320),
    [anon_sym_int] = ACTIONS(2320),
    [anon_sym_keys] = ACTIONS(2320),
    [anon_sym_lc] = ACTIONS(2320),
    [anon_sym_lcfirst] = ACTIONS(2320),
    [anon_sym_length] = ACTIONS(2320),
    [anon_sym_localtime] = ACTIONS(2320),
    [anon_sym_log] = ACTIONS(2320),
    [anon_sym_lock] = ACTIONS(2320),
    [anon_sym_lstat] = ACTIONS(2320),
    [anon_sym_oct] = ACTIONS(2320),
    [anon_sym_ord] = ACTIONS(2320),
    [anon_sym_prototype] = ACTIONS(2320),
    [anon_sym_pop] = ACTIONS(2320),
    [anon_sym_pos] = ACTIONS(2320),
    [anon_sym_quotemeta] = ACTIONS(2320),
    [anon_sym_reset] = ACTIONS(2320),
    [anon_sym_rand] = ACTIONS(2320),
    [anon_sym_rmdir] = ACTIONS(2320),
    [anon_sym_readdir] = ACTIONS(2320),
    [anon_sym_readline] = ACTIONS(2320),
    [anon_sym_readpipe] = ACTIONS(2320),
    [anon_sym_rewinddir] = ACTIONS(2320),
    [anon_sym_readlink] = ACTIONS(2320),
    [anon_sym_ref] = ACTIONS(2320),
    [anon_sym_scalar] = ACTIONS(2320),
    [anon_sym_shift] = ACTIONS(2320),
    [anon_sym_sin] = ACTIONS(2320),
    [anon_sym_sleep] = ACTIONS(2320),
    [anon_sym_sqrt] = ACTIONS(2320),
    [anon_sym_srand] = ACTIONS(2320),
    [anon_sym_stat] = ACTIONS(2320),
    [anon_sym_study] = ACTIONS(2320),
    [anon_sym_tell] = ACTIONS(2320),
    [anon_sym_telldir] = ACTIONS(2320),
    [anon_sym_tied] = ACTIONS(2320),
    [anon_sym_uc] = ACTIONS(2320),
    [anon_sym_ucfirst] = ACTIONS(2320),
    [anon_sym_untie] = ACTIONS(2320),
    [anon_sym_umask] = ACTIONS(2320),
    [anon_sym_values] = ACTIONS(2320),
    [anon_sym_write] = ACTIONS(2320),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2320),
    [anon_sym_qq] = ACTIONS(2320),
    [anon_sym_qw] = ACTIONS(2320),
    [anon_sym_qx] = ACTIONS(2320),
    [anon_sym_qr] = ACTIONS(2320),
    [anon_sym_m] = ACTIONS(2320),
    [anon_sym_s] = ACTIONS(2320),
    [anon_sym_tr] = ACTIONS(2320),
    [anon_sym_y] = ACTIONS(2320),
    [aux_sym__bareword_token1] = ACTIONS(2320),
    [sym_number] = ACTIONS(2320),
    [anon_sym_true] = ACTIONS(2320),
    [anon_sym_false] = ACTIONS(2320),
    [sym__single_quote] = ACTIONS(2318),
    [sym__double_quote] = ACTIONS(2318),
    [sym__backtick_quote] = ACTIONS(2318),
    [sym__search_slash_quote] = ACTIONS(2318),
    [sym__open_readline_bracket] = ACTIONS(2318),
    [sym__open_fileglob_bracket] = ACTIONS(2318),
    [sym__PERLY_HEREDOC] = ACTIONS(2318),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2318),
    [sym__filetest] = ACTIONS(2318),
  },
  [1148] = {
    [sym_heredoc_content] = STATE(1148),
    [sym__identifier] = ACTIONS(2328),
    [anon_sym_LBRACE] = ACTIONS(2328),
    [anon_sym_DOLLAR] = ACTIONS(2328),
    [anon_sym_AT] = ACTIONS(2328),
    [anon_sym_RPAREN] = ACTIONS(2328),
    [anon_sym_my] = ACTIONS(2328),
    [anon_sym_extended] = ACTIONS(2328),
    [anon_sym_async] = ACTIONS(2328),
    [anon_sym_sub] = ACTIONS(2328),
    [anon_sym_method] = ACTIONS(2328),
    [anon_sym_LPAREN] = ACTIONS(2328),
    [anon_sym_continue] = ACTIONS(2328),
    [anon_sym_state] = ACTIONS(2328),
    [anon_sym_our] = ACTIONS(2328),
    [anon_sym_LBRACK] = ACTIONS(2328),
    [anon_sym_LT_LT] = ACTIONS(2328),
    [anon_sym_SLASH_SLASH] = ACTIONS(2328),
    [anon_sym_PLUS] = ACTIONS(2328),
    [anon_sym_DASH] = ACTIONS(2328),
    [anon_sym_TILDE] = ACTIONS(2328),
    [anon_sym_BANG] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2328),
    [anon_sym_DASH_DASH] = ACTIONS(2328),
    [anon_sym_BSLASH] = ACTIONS(2326),
    [anon_sym_do] = ACTIONS(2328),
    [anon_sym_eval] = ACTIONS(2328),
    [anon_sym_await] = ACTIONS(2328),
    [anon_sym_field] = ACTIONS(2328),
    [anon_sym_local] = ACTIONS(2328),
    [anon_sym_dynamically] = ACTIONS(2328),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2328),
    [anon_sym_require] = ACTIONS(2328),
    [anon_sym_map] = ACTIONS(2328),
    [anon_sym_grep] = ACTIONS(2328),
    [anon_sym_sort] = ACTIONS(2328),
    [anon_sym_goto] = ACTIONS(2328),
    [anon_sym_return] = ACTIONS(2328),
    [anon_sym_undef] = ACTIONS(2328),
    [anon_sym_PERCENT2] = ACTIONS(2328),
    [anon_sym_AMP2] = ACTIONS(2328),
    [anon_sym_STAR2] = ACTIONS(2328),
    [anon_sym_last] = ACTIONS(2328),
    [anon_sym_next] = ACTIONS(2328),
    [anon_sym_redo] = ACTIONS(2328),
    [anon_sym___FILE__] = ACTIONS(2328),
    [anon_sym___LINE__] = ACTIONS(2328),
    [anon_sym___PACKAGE__] = ACTIONS(2328),
    [anon_sym___SUB__] = ACTIONS(2328),
    [anon_sym_break] = ACTIONS(2328),
    [anon_sym_fork] = ACTIONS(2328),
    [anon_sym_getppid] = ACTIONS(2328),
    [anon_sym_time] = ACTIONS(2328),
    [anon_sym_times] = ACTIONS(2328),
    [anon_sym_wait] = ACTIONS(2328),
    [anon_sym_wantarray] = ACTIONS(2328),
    [anon_sym_abs] = ACTIONS(2328),
    [anon_sym_alarm] = ACTIONS(2328),
    [anon_sym_chop] = ACTIONS(2328),
    [anon_sym_chdir] = ACTIONS(2328),
    [anon_sym_close] = ACTIONS(2328),
    [anon_sym_closedir] = ACTIONS(2328),
    [anon_sym_caller] = ACTIONS(2328),
    [anon_sym_chomp] = ACTIONS(2328),
    [anon_sym_chr] = ACTIONS(2328),
    [anon_sym_cos] = ACTIONS(2328),
    [anon_sym_chroot] = ACTIONS(2328),
    [anon_sym_defined] = ACTIONS(2328),
    [anon_sym_delete] = ACTIONS(2328),
    [anon_sym_dbmclose] = ACTIONS(2328),
    [anon_sym_exists] = ACTIONS(2328),
    [anon_sym_exit] = ACTIONS(2328),
    [anon_sym_eof] = ACTIONS(2328),
    [anon_sym_exp] = ACTIONS(2328),
    [anon_sym_each] = ACTIONS(2328),
    [anon_sym_fc] = ACTIONS(2328),
    [anon_sym_fileno] = ACTIONS(2328),
    [anon_sym_gmtime] = ACTIONS(2328),
    [anon_sym_getc] = ACTIONS(2328),
    [anon_sym_getpgrp] = ACTIONS(2328),
    [anon_sym_getprotobyname] = ACTIONS(2328),
    [anon_sym_getpwname] = ACTIONS(2328),
    [anon_sym_getpwuid] = ACTIONS(2328),
    [anon_sym_getpeername] = ACTIONS(2328),
    [anon_sym_getnetbyname] = ACTIONS(2328),
    [anon_sym_getsockname] = ACTIONS(2328),
    [anon_sym_getgrnam] = ACTIONS(2328),
    [anon_sym_getgrgid] = ACTIONS(2328),
    [anon_sym_hex] = ACTIONS(2328),
    [anon_sym_int] = ACTIONS(2328),
    [anon_sym_keys] = ACTIONS(2328),
    [anon_sym_lc] = ACTIONS(2328),
    [anon_sym_lcfirst] = ACTIONS(2328),
    [anon_sym_length] = ACTIONS(2328),
    [anon_sym_localtime] = ACTIONS(2328),
    [anon_sym_log] = ACTIONS(2328),
    [anon_sym_lock] = ACTIONS(2328),
    [anon_sym_lstat] = ACTIONS(2328),
    [anon_sym_oct] = ACTIONS(2328),
    [anon_sym_ord] = ACTIONS(2328),
    [anon_sym_prototype] = ACTIONS(2328),
    [anon_sym_pop] = ACTIONS(2328),
    [anon_sym_pos] = ACTIONS(2328),
    [anon_sym_quotemeta] = ACTIONS(2328),
    [anon_sym_reset] = ACTIONS(2328),
    [anon_sym_rand] = ACTIONS(2328),
    [anon_sym_rmdir] = ACTIONS(2328),
    [anon_sym_readdir] = ACTIONS(2328),
    [anon_sym_readline] = ACTIONS(2328),
    [anon_sym_readpipe] = ACTIONS(2328),
    [anon_sym_rewinddir] = ACTIONS(2328),
    [anon_sym_readlink] = ACTIONS(2328),
    [anon_sym_ref] = ACTIONS(2328),
    [anon_sym_scalar] = ACTIONS(2328),
    [anon_sym_shift] = ACTIONS(2328),
    [anon_sym_sin] = ACTIONS(2328),
    [anon_sym_sleep] = ACTIONS(2328),
    [anon_sym_sqrt] = ACTIONS(2328),
    [anon_sym_srand] = ACTIONS(2328),
    [anon_sym_stat] = ACTIONS(2328),
    [anon_sym_study] = ACTIONS(2328),
    [anon_sym_tell] = ACTIONS(2328),
    [anon_sym_telldir] = ACTIONS(2328),
    [anon_sym_tied] = ACTIONS(2328),
    [anon_sym_uc] = ACTIONS(2328),
    [anon_sym_ucfirst] = ACTIONS(2328),
    [anon_sym_untie] = ACTIONS(2328),
    [anon_sym_umask] = ACTIONS(2328),
    [anon_sym_values] = ACTIONS(2328),
    [anon_sym_write] = ACTIONS(2328),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2328),
    [anon_sym_qq] = ACTIONS(2328),
    [anon_sym_qw] = ACTIONS(2328),
    [anon_sym_qx] = ACTIONS(2328),
    [anon_sym_qr] = ACTIONS(2328),
    [anon_sym_m] = ACTIONS(2328),
    [anon_sym_s] = ACTIONS(2328),
    [anon_sym_tr] = ACTIONS(2328),
    [anon_sym_y] = ACTIONS(2328),
    [aux_sym__bareword_token1] = ACTIONS(2328),
    [sym_number] = ACTIONS(2328),
    [anon_sym_true] = ACTIONS(2328),
    [anon_sym_false] = ACTIONS(2328),
    [sym__single_quote] = ACTIONS(2326),
    [sym__double_quote] = ACTIONS(2326),
    [sym__backtick_quote] = ACTIONS(2326),
    [sym__search_slash_quote] = ACTIONS(2326),
    [sym__open_readline_bracket] = ACTIONS(2326),
    [sym__open_fileglob_bracket] = ACTIONS(2326),
    [sym__PERLY_HEREDOC] = ACTIONS(2326),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2326),
    [sym__filetest] = ACTIONS(2326),
  },
  [1149] = {
    [sym_heredoc_content] = STATE(1149),
    [sym__identifier] = ACTIONS(2332),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_DOLLAR] = ACTIONS(2332),
    [anon_sym_AT] = ACTIONS(2332),
    [anon_sym_RPAREN] = ACTIONS(2332),
    [anon_sym_my] = ACTIONS(2332),
    [anon_sym_extended] = ACTIONS(2332),
    [anon_sym_async] = ACTIONS(2332),
    [anon_sym_sub] = ACTIONS(2332),
    [anon_sym_method] = ACTIONS(2332),
    [anon_sym_LPAREN] = ACTIONS(2332),
    [anon_sym_continue] = ACTIONS(2332),
    [anon_sym_state] = ACTIONS(2332),
    [anon_sym_our] = ACTIONS(2332),
    [anon_sym_LBRACK] = ACTIONS(2332),
    [anon_sym_LT_LT] = ACTIONS(2332),
    [anon_sym_SLASH_SLASH] = ACTIONS(2332),
    [anon_sym_PLUS] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_BSLASH] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2332),
    [anon_sym_eval] = ACTIONS(2332),
    [anon_sym_await] = ACTIONS(2332),
    [anon_sym_field] = ACTIONS(2332),
    [anon_sym_local] = ACTIONS(2332),
    [anon_sym_dynamically] = ACTIONS(2332),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2332),
    [anon_sym_require] = ACTIONS(2332),
    [anon_sym_map] = ACTIONS(2332),
    [anon_sym_grep] = ACTIONS(2332),
    [anon_sym_sort] = ACTIONS(2332),
    [anon_sym_goto] = ACTIONS(2332),
    [anon_sym_return] = ACTIONS(2332),
    [anon_sym_undef] = ACTIONS(2332),
    [anon_sym_PERCENT2] = ACTIONS(2332),
    [anon_sym_AMP2] = ACTIONS(2332),
    [anon_sym_STAR2] = ACTIONS(2332),
    [anon_sym_last] = ACTIONS(2332),
    [anon_sym_next] = ACTIONS(2332),
    [anon_sym_redo] = ACTIONS(2332),
    [anon_sym___FILE__] = ACTIONS(2332),
    [anon_sym___LINE__] = ACTIONS(2332),
    [anon_sym___PACKAGE__] = ACTIONS(2332),
    [anon_sym___SUB__] = ACTIONS(2332),
    [anon_sym_break] = ACTIONS(2332),
    [anon_sym_fork] = ACTIONS(2332),
    [anon_sym_getppid] = ACTIONS(2332),
    [anon_sym_time] = ACTIONS(2332),
    [anon_sym_times] = ACTIONS(2332),
    [anon_sym_wait] = ACTIONS(2332),
    [anon_sym_wantarray] = ACTIONS(2332),
    [anon_sym_abs] = ACTIONS(2332),
    [anon_sym_alarm] = ACTIONS(2332),
    [anon_sym_chop] = ACTIONS(2332),
    [anon_sym_chdir] = ACTIONS(2332),
    [anon_sym_close] = ACTIONS(2332),
    [anon_sym_closedir] = ACTIONS(2332),
    [anon_sym_caller] = ACTIONS(2332),
    [anon_sym_chomp] = ACTIONS(2332),
    [anon_sym_chr] = ACTIONS(2332),
    [anon_sym_cos] = ACTIONS(2332),
    [anon_sym_chroot] = ACTIONS(2332),
    [anon_sym_defined] = ACTIONS(2332),
    [anon_sym_delete] = ACTIONS(2332),
    [anon_sym_dbmclose] = ACTIONS(2332),
    [anon_sym_exists] = ACTIONS(2332),
    [anon_sym_exit] = ACTIONS(2332),
    [anon_sym_eof] = ACTIONS(2332),
    [anon_sym_exp] = ACTIONS(2332),
    [anon_sym_each] = ACTIONS(2332),
    [anon_sym_fc] = ACTIONS(2332),
    [anon_sym_fileno] = ACTIONS(2332),
    [anon_sym_gmtime] = ACTIONS(2332),
    [anon_sym_getc] = ACTIONS(2332),
    [anon_sym_getpgrp] = ACTIONS(2332),
    [anon_sym_getprotobyname] = ACTIONS(2332),
    [anon_sym_getpwname] = ACTIONS(2332),
    [anon_sym_getpwuid] = ACTIONS(2332),
    [anon_sym_getpeername] = ACTIONS(2332),
    [anon_sym_getnetbyname] = ACTIONS(2332),
    [anon_sym_getsockname] = ACTIONS(2332),
    [anon_sym_getgrnam] = ACTIONS(2332),
    [anon_sym_getgrgid] = ACTIONS(2332),
    [anon_sym_hex] = ACTIONS(2332),
    [anon_sym_int] = ACTIONS(2332),
    [anon_sym_keys] = ACTIONS(2332),
    [anon_sym_lc] = ACTIONS(2332),
    [anon_sym_lcfirst] = ACTIONS(2332),
    [anon_sym_length] = ACTIONS(2332),
    [anon_sym_localtime] = ACTIONS(2332),
    [anon_sym_log] = ACTIONS(2332),
    [anon_sym_lock] = ACTIONS(2332),
    [anon_sym_lstat] = ACTIONS(2332),
    [anon_sym_oct] = ACTIONS(2332),
    [anon_sym_ord] = ACTIONS(2332),
    [anon_sym_prototype] = ACTIONS(2332),
    [anon_sym_pop] = ACTIONS(2332),
    [anon_sym_pos] = ACTIONS(2332),
    [anon_sym_quotemeta] = ACTIONS(2332),
    [anon_sym_reset] = ACTIONS(2332),
    [anon_sym_rand] = ACTIONS(2332),
    [anon_sym_rmdir] = ACTIONS(2332),
    [anon_sym_readdir] = ACTIONS(2332),
    [anon_sym_readline] = ACTIONS(2332),
    [anon_sym_readpipe] = ACTIONS(2332),
    [anon_sym_rewinddir] = ACTIONS(2332),
    [anon_sym_readlink] = ACTIONS(2332),
    [anon_sym_ref] = ACTIONS(2332),
    [anon_sym_scalar] = ACTIONS(2332),
    [anon_sym_shift] = ACTIONS(2332),
    [anon_sym_sin] = ACTIONS(2332),
    [anon_sym_sleep] = ACTIONS(2332),
    [anon_sym_sqrt] = ACTIONS(2332),
    [anon_sym_srand] = ACTIONS(2332),
    [anon_sym_stat] = ACTIONS(2332),
    [anon_sym_study] = ACTIONS(2332),
    [anon_sym_tell] = ACTIONS(2332),
    [anon_sym_telldir] = ACTIONS(2332),
    [anon_sym_tied] = ACTIONS(2332),
    [anon_sym_uc] = ACTIONS(2332),
    [anon_sym_ucfirst] = ACTIONS(2332),
    [anon_sym_untie] = ACTIONS(2332),
    [anon_sym_umask] = ACTIONS(2332),
    [anon_sym_values] = ACTIONS(2332),
    [anon_sym_write] = ACTIONS(2332),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2332),
    [anon_sym_qq] = ACTIONS(2332),
    [anon_sym_qw] = ACTIONS(2332),
    [anon_sym_qx] = ACTIONS(2332),
    [anon_sym_qr] = ACTIONS(2332),
    [anon_sym_m] = ACTIONS(2332),
    [anon_sym_s] = ACTIONS(2332),
    [anon_sym_tr] = ACTIONS(2332),
    [anon_sym_y] = ACTIONS(2332),
    [aux_sym__bareword_token1] = ACTIONS(2332),
    [sym_number] = ACTIONS(2332),
    [anon_sym_true] = ACTIONS(2332),
    [anon_sym_false] = ACTIONS(2332),
    [sym__single_quote] = ACTIONS(2330),
    [sym__double_quote] = ACTIONS(2330),
    [sym__backtick_quote] = ACTIONS(2330),
    [sym__search_slash_quote] = ACTIONS(2330),
    [sym__open_readline_bracket] = ACTIONS(2330),
    [sym__open_fileglob_bracket] = ACTIONS(2330),
    [sym__PERLY_HEREDOC] = ACTIONS(2330),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2330),
    [sym__filetest] = ACTIONS(2330),
  },
  [1150] = {
    [sym_heredoc_content] = STATE(1150),
    [sym__identifier] = ACTIONS(2336),
    [anon_sym_LBRACE] = ACTIONS(2336),
    [anon_sym_DOLLAR] = ACTIONS(2336),
    [anon_sym_AT] = ACTIONS(2336),
    [anon_sym_RPAREN] = ACTIONS(2336),
    [anon_sym_my] = ACTIONS(2336),
    [anon_sym_extended] = ACTIONS(2336),
    [anon_sym_async] = ACTIONS(2336),
    [anon_sym_sub] = ACTIONS(2336),
    [anon_sym_method] = ACTIONS(2336),
    [anon_sym_LPAREN] = ACTIONS(2336),
    [anon_sym_continue] = ACTIONS(2336),
    [anon_sym_state] = ACTIONS(2336),
    [anon_sym_our] = ACTIONS(2336),
    [anon_sym_LBRACK] = ACTIONS(2336),
    [anon_sym_LT_LT] = ACTIONS(2336),
    [anon_sym_SLASH_SLASH] = ACTIONS(2336),
    [anon_sym_PLUS] = ACTIONS(2336),
    [anon_sym_DASH] = ACTIONS(2336),
    [anon_sym_TILDE] = ACTIONS(2336),
    [anon_sym_BANG] = ACTIONS(2336),
    [anon_sym_PLUS_PLUS] = ACTIONS(2336),
    [anon_sym_DASH_DASH] = ACTIONS(2336),
    [anon_sym_BSLASH] = ACTIONS(2334),
    [anon_sym_do] = ACTIONS(2336),
    [anon_sym_eval] = ACTIONS(2336),
    [anon_sym_await] = ACTIONS(2336),
    [anon_sym_field] = ACTIONS(2336),
    [anon_sym_local] = ACTIONS(2336),
    [anon_sym_dynamically] = ACTIONS(2336),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2336),
    [anon_sym_require] = ACTIONS(2336),
    [anon_sym_map] = ACTIONS(2336),
    [anon_sym_grep] = ACTIONS(2336),
    [anon_sym_sort] = ACTIONS(2336),
    [anon_sym_goto] = ACTIONS(2336),
    [anon_sym_return] = ACTIONS(2336),
    [anon_sym_undef] = ACTIONS(2336),
    [anon_sym_PERCENT2] = ACTIONS(2336),
    [anon_sym_AMP2] = ACTIONS(2336),
    [anon_sym_STAR2] = ACTIONS(2336),
    [anon_sym_last] = ACTIONS(2336),
    [anon_sym_next] = ACTIONS(2336),
    [anon_sym_redo] = ACTIONS(2336),
    [anon_sym___FILE__] = ACTIONS(2336),
    [anon_sym___LINE__] = ACTIONS(2336),
    [anon_sym___PACKAGE__] = ACTIONS(2336),
    [anon_sym___SUB__] = ACTIONS(2336),
    [anon_sym_break] = ACTIONS(2336),
    [anon_sym_fork] = ACTIONS(2336),
    [anon_sym_getppid] = ACTIONS(2336),
    [anon_sym_time] = ACTIONS(2336),
    [anon_sym_times] = ACTIONS(2336),
    [anon_sym_wait] = ACTIONS(2336),
    [anon_sym_wantarray] = ACTIONS(2336),
    [anon_sym_abs] = ACTIONS(2336),
    [anon_sym_alarm] = ACTIONS(2336),
    [anon_sym_chop] = ACTIONS(2336),
    [anon_sym_chdir] = ACTIONS(2336),
    [anon_sym_close] = ACTIONS(2336),
    [anon_sym_closedir] = ACTIONS(2336),
    [anon_sym_caller] = ACTIONS(2336),
    [anon_sym_chomp] = ACTIONS(2336),
    [anon_sym_chr] = ACTIONS(2336),
    [anon_sym_cos] = ACTIONS(2336),
    [anon_sym_chroot] = ACTIONS(2336),
    [anon_sym_defined] = ACTIONS(2336),
    [anon_sym_delete] = ACTIONS(2336),
    [anon_sym_dbmclose] = ACTIONS(2336),
    [anon_sym_exists] = ACTIONS(2336),
    [anon_sym_exit] = ACTIONS(2336),
    [anon_sym_eof] = ACTIONS(2336),
    [anon_sym_exp] = ACTIONS(2336),
    [anon_sym_each] = ACTIONS(2336),
    [anon_sym_fc] = ACTIONS(2336),
    [anon_sym_fileno] = ACTIONS(2336),
    [anon_sym_gmtime] = ACTIONS(2336),
    [anon_sym_getc] = ACTIONS(2336),
    [anon_sym_getpgrp] = ACTIONS(2336),
    [anon_sym_getprotobyname] = ACTIONS(2336),
    [anon_sym_getpwname] = ACTIONS(2336),
    [anon_sym_getpwuid] = ACTIONS(2336),
    [anon_sym_getpeername] = ACTIONS(2336),
    [anon_sym_getnetbyname] = ACTIONS(2336),
    [anon_sym_getsockname] = ACTIONS(2336),
    [anon_sym_getgrnam] = ACTIONS(2336),
    [anon_sym_getgrgid] = ACTIONS(2336),
    [anon_sym_hex] = ACTIONS(2336),
    [anon_sym_int] = ACTIONS(2336),
    [anon_sym_keys] = ACTIONS(2336),
    [anon_sym_lc] = ACTIONS(2336),
    [anon_sym_lcfirst] = ACTIONS(2336),
    [anon_sym_length] = ACTIONS(2336),
    [anon_sym_localtime] = ACTIONS(2336),
    [anon_sym_log] = ACTIONS(2336),
    [anon_sym_lock] = ACTIONS(2336),
    [anon_sym_lstat] = ACTIONS(2336),
    [anon_sym_oct] = ACTIONS(2336),
    [anon_sym_ord] = ACTIONS(2336),
    [anon_sym_prototype] = ACTIONS(2336),
    [anon_sym_pop] = ACTIONS(2336),
    [anon_sym_pos] = ACTIONS(2336),
    [anon_sym_quotemeta] = ACTIONS(2336),
    [anon_sym_reset] = ACTIONS(2336),
    [anon_sym_rand] = ACTIONS(2336),
    [anon_sym_rmdir] = ACTIONS(2336),
    [anon_sym_readdir] = ACTIONS(2336),
    [anon_sym_readline] = ACTIONS(2336),
    [anon_sym_readpipe] = ACTIONS(2336),
    [anon_sym_rewinddir] = ACTIONS(2336),
    [anon_sym_readlink] = ACTIONS(2336),
    [anon_sym_ref] = ACTIONS(2336),
    [anon_sym_scalar] = ACTIONS(2336),
    [anon_sym_shift] = ACTIONS(2336),
    [anon_sym_sin] = ACTIONS(2336),
    [anon_sym_sleep] = ACTIONS(2336),
    [anon_sym_sqrt] = ACTIONS(2336),
    [anon_sym_srand] = ACTIONS(2336),
    [anon_sym_stat] = ACTIONS(2336),
    [anon_sym_study] = ACTIONS(2336),
    [anon_sym_tell] = ACTIONS(2336),
    [anon_sym_telldir] = ACTIONS(2336),
    [anon_sym_tied] = ACTIONS(2336),
    [anon_sym_uc] = ACTIONS(2336),
    [anon_sym_ucfirst] = ACTIONS(2336),
    [anon_sym_untie] = ACTIONS(2336),
    [anon_sym_umask] = ACTIONS(2336),
    [anon_sym_values] = ACTIONS(2336),
    [anon_sym_write] = ACTIONS(2336),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2336),
    [anon_sym_qq] = ACTIONS(2336),
    [anon_sym_qw] = ACTIONS(2336),
    [anon_sym_qx] = ACTIONS(2336),
    [anon_sym_qr] = ACTIONS(2336),
    [anon_sym_m] = ACTIONS(2336),
    [anon_sym_s] = ACTIONS(2336),
    [anon_sym_tr] = ACTIONS(2336),
    [anon_sym_y] = ACTIONS(2336),
    [aux_sym__bareword_token1] = ACTIONS(2336),
    [sym_number] = ACTIONS(2336),
    [anon_sym_true] = ACTIONS(2336),
    [anon_sym_false] = ACTIONS(2336),
    [sym__single_quote] = ACTIONS(2334),
    [sym__double_quote] = ACTIONS(2334),
    [sym__backtick_quote] = ACTIONS(2334),
    [sym__search_slash_quote] = ACTIONS(2334),
    [sym__open_readline_bracket] = ACTIONS(2334),
    [sym__open_fileglob_bracket] = ACTIONS(2334),
    [sym__PERLY_HEREDOC] = ACTIONS(2334),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2334),
    [sym__filetest] = ACTIONS(2334),
  },
  [1151] = {
    [sym_heredoc_content] = STATE(1151),
    [sym__identifier] = ACTIONS(2340),
    [anon_sym_LBRACE] = ACTIONS(2340),
    [anon_sym_DOLLAR] = ACTIONS(2340),
    [anon_sym_AT] = ACTIONS(2340),
    [anon_sym_RPAREN] = ACTIONS(2340),
    [anon_sym_my] = ACTIONS(2340),
    [anon_sym_extended] = ACTIONS(2340),
    [anon_sym_async] = ACTIONS(2340),
    [anon_sym_sub] = ACTIONS(2340),
    [anon_sym_method] = ACTIONS(2340),
    [anon_sym_LPAREN] = ACTIONS(2340),
    [anon_sym_continue] = ACTIONS(2340),
    [anon_sym_state] = ACTIONS(2340),
    [anon_sym_our] = ACTIONS(2340),
    [anon_sym_LBRACK] = ACTIONS(2340),
    [anon_sym_LT_LT] = ACTIONS(2340),
    [anon_sym_SLASH_SLASH] = ACTIONS(2340),
    [anon_sym_PLUS] = ACTIONS(2340),
    [anon_sym_DASH] = ACTIONS(2340),
    [anon_sym_TILDE] = ACTIONS(2340),
    [anon_sym_BANG] = ACTIONS(2340),
    [anon_sym_PLUS_PLUS] = ACTIONS(2340),
    [anon_sym_DASH_DASH] = ACTIONS(2340),
    [anon_sym_BSLASH] = ACTIONS(2338),
    [anon_sym_do] = ACTIONS(2340),
    [anon_sym_eval] = ACTIONS(2340),
    [anon_sym_await] = ACTIONS(2340),
    [anon_sym_field] = ACTIONS(2340),
    [anon_sym_local] = ACTIONS(2340),
    [anon_sym_dynamically] = ACTIONS(2340),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2340),
    [anon_sym_require] = ACTIONS(2340),
    [anon_sym_map] = ACTIONS(2340),
    [anon_sym_grep] = ACTIONS(2340),
    [anon_sym_sort] = ACTIONS(2340),
    [anon_sym_goto] = ACTIONS(2340),
    [anon_sym_return] = ACTIONS(2340),
    [anon_sym_undef] = ACTIONS(2340),
    [anon_sym_PERCENT2] = ACTIONS(2340),
    [anon_sym_AMP2] = ACTIONS(2340),
    [anon_sym_STAR2] = ACTIONS(2340),
    [anon_sym_last] = ACTIONS(2340),
    [anon_sym_next] = ACTIONS(2340),
    [anon_sym_redo] = ACTIONS(2340),
    [anon_sym___FILE__] = ACTIONS(2340),
    [anon_sym___LINE__] = ACTIONS(2340),
    [anon_sym___PACKAGE__] = ACTIONS(2340),
    [anon_sym___SUB__] = ACTIONS(2340),
    [anon_sym_break] = ACTIONS(2340),
    [anon_sym_fork] = ACTIONS(2340),
    [anon_sym_getppid] = ACTIONS(2340),
    [anon_sym_time] = ACTIONS(2340),
    [anon_sym_times] = ACTIONS(2340),
    [anon_sym_wait] = ACTIONS(2340),
    [anon_sym_wantarray] = ACTIONS(2340),
    [anon_sym_abs] = ACTIONS(2340),
    [anon_sym_alarm] = ACTIONS(2340),
    [anon_sym_chop] = ACTIONS(2340),
    [anon_sym_chdir] = ACTIONS(2340),
    [anon_sym_close] = ACTIONS(2340),
    [anon_sym_closedir] = ACTIONS(2340),
    [anon_sym_caller] = ACTIONS(2340),
    [anon_sym_chomp] = ACTIONS(2340),
    [anon_sym_chr] = ACTIONS(2340),
    [anon_sym_cos] = ACTIONS(2340),
    [anon_sym_chroot] = ACTIONS(2340),
    [anon_sym_defined] = ACTIONS(2340),
    [anon_sym_delete] = ACTIONS(2340),
    [anon_sym_dbmclose] = ACTIONS(2340),
    [anon_sym_exists] = ACTIONS(2340),
    [anon_sym_exit] = ACTIONS(2340),
    [anon_sym_eof] = ACTIONS(2340),
    [anon_sym_exp] = ACTIONS(2340),
    [anon_sym_each] = ACTIONS(2340),
    [anon_sym_fc] = ACTIONS(2340),
    [anon_sym_fileno] = ACTIONS(2340),
    [anon_sym_gmtime] = ACTIONS(2340),
    [anon_sym_getc] = ACTIONS(2340),
    [anon_sym_getpgrp] = ACTIONS(2340),
    [anon_sym_getprotobyname] = ACTIONS(2340),
    [anon_sym_getpwname] = ACTIONS(2340),
    [anon_sym_getpwuid] = ACTIONS(2340),
    [anon_sym_getpeername] = ACTIONS(2340),
    [anon_sym_getnetbyname] = ACTIONS(2340),
    [anon_sym_getsockname] = ACTIONS(2340),
    [anon_sym_getgrnam] = ACTIONS(2340),
    [anon_sym_getgrgid] = ACTIONS(2340),
    [anon_sym_hex] = ACTIONS(2340),
    [anon_sym_int] = ACTIONS(2340),
    [anon_sym_keys] = ACTIONS(2340),
    [anon_sym_lc] = ACTIONS(2340),
    [anon_sym_lcfirst] = ACTIONS(2340),
    [anon_sym_length] = ACTIONS(2340),
    [anon_sym_localtime] = ACTIONS(2340),
    [anon_sym_log] = ACTIONS(2340),
    [anon_sym_lock] = ACTIONS(2340),
    [anon_sym_lstat] = ACTIONS(2340),
    [anon_sym_oct] = ACTIONS(2340),
    [anon_sym_ord] = ACTIONS(2340),
    [anon_sym_prototype] = ACTIONS(2340),
    [anon_sym_pop] = ACTIONS(2340),
    [anon_sym_pos] = ACTIONS(2340),
    [anon_sym_quotemeta] = ACTIONS(2340),
    [anon_sym_reset] = ACTIONS(2340),
    [anon_sym_rand] = ACTIONS(2340),
    [anon_sym_rmdir] = ACTIONS(2340),
    [anon_sym_readdir] = ACTIONS(2340),
    [anon_sym_readline] = ACTIONS(2340),
    [anon_sym_readpipe] = ACTIONS(2340),
    [anon_sym_rewinddir] = ACTIONS(2340),
    [anon_sym_readlink] = ACTIONS(2340),
    [anon_sym_ref] = ACTIONS(2340),
    [anon_sym_scalar] = ACTIONS(2340),
    [anon_sym_shift] = ACTIONS(2340),
    [anon_sym_sin] = ACTIONS(2340),
    [anon_sym_sleep] = ACTIONS(2340),
    [anon_sym_sqrt] = ACTIONS(2340),
    [anon_sym_srand] = ACTIONS(2340),
    [anon_sym_stat] = ACTIONS(2340),
    [anon_sym_study] = ACTIONS(2340),
    [anon_sym_tell] = ACTIONS(2340),
    [anon_sym_telldir] = ACTIONS(2340),
    [anon_sym_tied] = ACTIONS(2340),
    [anon_sym_uc] = ACTIONS(2340),
    [anon_sym_ucfirst] = ACTIONS(2340),
    [anon_sym_untie] = ACTIONS(2340),
    [anon_sym_umask] = ACTIONS(2340),
    [anon_sym_values] = ACTIONS(2340),
    [anon_sym_write] = ACTIONS(2340),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2340),
    [anon_sym_qq] = ACTIONS(2340),
    [anon_sym_qw] = ACTIONS(2340),
    [anon_sym_qx] = ACTIONS(2340),
    [anon_sym_qr] = ACTIONS(2340),
    [anon_sym_m] = ACTIONS(2340),
    [anon_sym_s] = ACTIONS(2340),
    [anon_sym_tr] = ACTIONS(2340),
    [anon_sym_y] = ACTIONS(2340),
    [aux_sym__bareword_token1] = ACTIONS(2340),
    [sym_number] = ACTIONS(2340),
    [anon_sym_true] = ACTIONS(2340),
    [anon_sym_false] = ACTIONS(2340),
    [sym__single_quote] = ACTIONS(2338),
    [sym__double_quote] = ACTIONS(2338),
    [sym__backtick_quote] = ACTIONS(2338),
    [sym__search_slash_quote] = ACTIONS(2338),
    [sym__open_readline_bracket] = ACTIONS(2338),
    [sym__open_fileglob_bracket] = ACTIONS(2338),
    [sym__PERLY_HEREDOC] = ACTIONS(2338),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2338),
    [sym__filetest] = ACTIONS(2338),
  },
  [1152] = {
    [sym_heredoc_content] = STATE(1152),
    [sym__identifier] = ACTIONS(2344),
    [anon_sym_LBRACE] = ACTIONS(2344),
    [anon_sym_DOLLAR] = ACTIONS(2344),
    [anon_sym_AT] = ACTIONS(2344),
    [anon_sym_RPAREN] = ACTIONS(2344),
    [anon_sym_my] = ACTIONS(2344),
    [anon_sym_extended] = ACTIONS(2344),
    [anon_sym_async] = ACTIONS(2344),
    [anon_sym_sub] = ACTIONS(2344),
    [anon_sym_method] = ACTIONS(2344),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_continue] = ACTIONS(2344),
    [anon_sym_state] = ACTIONS(2344),
    [anon_sym_our] = ACTIONS(2344),
    [anon_sym_LBRACK] = ACTIONS(2344),
    [anon_sym_LT_LT] = ACTIONS(2344),
    [anon_sym_SLASH_SLASH] = ACTIONS(2344),
    [anon_sym_PLUS] = ACTIONS(2344),
    [anon_sym_DASH] = ACTIONS(2344),
    [anon_sym_TILDE] = ACTIONS(2344),
    [anon_sym_BANG] = ACTIONS(2344),
    [anon_sym_PLUS_PLUS] = ACTIONS(2344),
    [anon_sym_DASH_DASH] = ACTIONS(2344),
    [anon_sym_BSLASH] = ACTIONS(2342),
    [anon_sym_do] = ACTIONS(2344),
    [anon_sym_eval] = ACTIONS(2344),
    [anon_sym_await] = ACTIONS(2344),
    [anon_sym_field] = ACTIONS(2344),
    [anon_sym_local] = ACTIONS(2344),
    [anon_sym_dynamically] = ACTIONS(2344),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2344),
    [anon_sym_require] = ACTIONS(2344),
    [anon_sym_map] = ACTIONS(2344),
    [anon_sym_grep] = ACTIONS(2344),
    [anon_sym_sort] = ACTIONS(2344),
    [anon_sym_goto] = ACTIONS(2344),
    [anon_sym_return] = ACTIONS(2344),
    [anon_sym_undef] = ACTIONS(2344),
    [anon_sym_PERCENT2] = ACTIONS(2344),
    [anon_sym_AMP2] = ACTIONS(2344),
    [anon_sym_STAR2] = ACTIONS(2344),
    [anon_sym_last] = ACTIONS(2344),
    [anon_sym_next] = ACTIONS(2344),
    [anon_sym_redo] = ACTIONS(2344),
    [anon_sym___FILE__] = ACTIONS(2344),
    [anon_sym___LINE__] = ACTIONS(2344),
    [anon_sym___PACKAGE__] = ACTIONS(2344),
    [anon_sym___SUB__] = ACTIONS(2344),
    [anon_sym_break] = ACTIONS(2344),
    [anon_sym_fork] = ACTIONS(2344),
    [anon_sym_getppid] = ACTIONS(2344),
    [anon_sym_time] = ACTIONS(2344),
    [anon_sym_times] = ACTIONS(2344),
    [anon_sym_wait] = ACTIONS(2344),
    [anon_sym_wantarray] = ACTIONS(2344),
    [anon_sym_abs] = ACTIONS(2344),
    [anon_sym_alarm] = ACTIONS(2344),
    [anon_sym_chop] = ACTIONS(2344),
    [anon_sym_chdir] = ACTIONS(2344),
    [anon_sym_close] = ACTIONS(2344),
    [anon_sym_closedir] = ACTIONS(2344),
    [anon_sym_caller] = ACTIONS(2344),
    [anon_sym_chomp] = ACTIONS(2344),
    [anon_sym_chr] = ACTIONS(2344),
    [anon_sym_cos] = ACTIONS(2344),
    [anon_sym_chroot] = ACTIONS(2344),
    [anon_sym_defined] = ACTIONS(2344),
    [anon_sym_delete] = ACTIONS(2344),
    [anon_sym_dbmclose] = ACTIONS(2344),
    [anon_sym_exists] = ACTIONS(2344),
    [anon_sym_exit] = ACTIONS(2344),
    [anon_sym_eof] = ACTIONS(2344),
    [anon_sym_exp] = ACTIONS(2344),
    [anon_sym_each] = ACTIONS(2344),
    [anon_sym_fc] = ACTIONS(2344),
    [anon_sym_fileno] = ACTIONS(2344),
    [anon_sym_gmtime] = ACTIONS(2344),
    [anon_sym_getc] = ACTIONS(2344),
    [anon_sym_getpgrp] = ACTIONS(2344),
    [anon_sym_getprotobyname] = ACTIONS(2344),
    [anon_sym_getpwname] = ACTIONS(2344),
    [anon_sym_getpwuid] = ACTIONS(2344),
    [anon_sym_getpeername] = ACTIONS(2344),
    [anon_sym_getnetbyname] = ACTIONS(2344),
    [anon_sym_getsockname] = ACTIONS(2344),
    [anon_sym_getgrnam] = ACTIONS(2344),
    [anon_sym_getgrgid] = ACTIONS(2344),
    [anon_sym_hex] = ACTIONS(2344),
    [anon_sym_int] = ACTIONS(2344),
    [anon_sym_keys] = ACTIONS(2344),
    [anon_sym_lc] = ACTIONS(2344),
    [anon_sym_lcfirst] = ACTIONS(2344),
    [anon_sym_length] = ACTIONS(2344),
    [anon_sym_localtime] = ACTIONS(2344),
    [anon_sym_log] = ACTIONS(2344),
    [anon_sym_lock] = ACTIONS(2344),
    [anon_sym_lstat] = ACTIONS(2344),
    [anon_sym_oct] = ACTIONS(2344),
    [anon_sym_ord] = ACTIONS(2344),
    [anon_sym_prototype] = ACTIONS(2344),
    [anon_sym_pop] = ACTIONS(2344),
    [anon_sym_pos] = ACTIONS(2344),
    [anon_sym_quotemeta] = ACTIONS(2344),
    [anon_sym_reset] = ACTIONS(2344),
    [anon_sym_rand] = ACTIONS(2344),
    [anon_sym_rmdir] = ACTIONS(2344),
    [anon_sym_readdir] = ACTIONS(2344),
    [anon_sym_readline] = ACTIONS(2344),
    [anon_sym_readpipe] = ACTIONS(2344),
    [anon_sym_rewinddir] = ACTIONS(2344),
    [anon_sym_readlink] = ACTIONS(2344),
    [anon_sym_ref] = ACTIONS(2344),
    [anon_sym_scalar] = ACTIONS(2344),
    [anon_sym_shift] = ACTIONS(2344),
    [anon_sym_sin] = ACTIONS(2344),
    [anon_sym_sleep] = ACTIONS(2344),
    [anon_sym_sqrt] = ACTIONS(2344),
    [anon_sym_srand] = ACTIONS(2344),
    [anon_sym_stat] = ACTIONS(2344),
    [anon_sym_study] = ACTIONS(2344),
    [anon_sym_tell] = ACTIONS(2344),
    [anon_sym_telldir] = ACTIONS(2344),
    [anon_sym_tied] = ACTIONS(2344),
    [anon_sym_uc] = ACTIONS(2344),
    [anon_sym_ucfirst] = ACTIONS(2344),
    [anon_sym_untie] = ACTIONS(2344),
    [anon_sym_umask] = ACTIONS(2344),
    [anon_sym_values] = ACTIONS(2344),
    [anon_sym_write] = ACTIONS(2344),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2344),
    [anon_sym_qq] = ACTIONS(2344),
    [anon_sym_qw] = ACTIONS(2344),
    [anon_sym_qx] = ACTIONS(2344),
    [anon_sym_qr] = ACTIONS(2344),
    [anon_sym_m] = ACTIONS(2344),
    [anon_sym_s] = ACTIONS(2344),
    [anon_sym_tr] = ACTIONS(2344),
    [anon_sym_y] = ACTIONS(2344),
    [aux_sym__bareword_token1] = ACTIONS(2344),
    [sym_number] = ACTIONS(2344),
    [anon_sym_true] = ACTIONS(2344),
    [anon_sym_false] = ACTIONS(2344),
    [sym__single_quote] = ACTIONS(2342),
    [sym__double_quote] = ACTIONS(2342),
    [sym__backtick_quote] = ACTIONS(2342),
    [sym__search_slash_quote] = ACTIONS(2342),
    [sym__open_readline_bracket] = ACTIONS(2342),
    [sym__open_fileglob_bracket] = ACTIONS(2342),
    [sym__PERLY_HEREDOC] = ACTIONS(2342),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2342),
    [sym__filetest] = ACTIONS(2342),
  },
  [1153] = {
    [sym_heredoc_content] = STATE(1153),
    [sym__identifier] = ACTIONS(2348),
    [anon_sym_LBRACE] = ACTIONS(2348),
    [anon_sym_DOLLAR] = ACTIONS(2348),
    [anon_sym_AT] = ACTIONS(2348),
    [anon_sym_RPAREN] = ACTIONS(2348),
    [anon_sym_my] = ACTIONS(2348),
    [anon_sym_extended] = ACTIONS(2348),
    [anon_sym_async] = ACTIONS(2348),
    [anon_sym_sub] = ACTIONS(2348),
    [anon_sym_method] = ACTIONS(2348),
    [anon_sym_LPAREN] = ACTIONS(2348),
    [anon_sym_continue] = ACTIONS(2348),
    [anon_sym_state] = ACTIONS(2348),
    [anon_sym_our] = ACTIONS(2348),
    [anon_sym_LBRACK] = ACTIONS(2348),
    [anon_sym_LT_LT] = ACTIONS(2348),
    [anon_sym_SLASH_SLASH] = ACTIONS(2348),
    [anon_sym_PLUS] = ACTIONS(2348),
    [anon_sym_DASH] = ACTIONS(2348),
    [anon_sym_TILDE] = ACTIONS(2348),
    [anon_sym_BANG] = ACTIONS(2348),
    [anon_sym_PLUS_PLUS] = ACTIONS(2348),
    [anon_sym_DASH_DASH] = ACTIONS(2348),
    [anon_sym_BSLASH] = ACTIONS(2346),
    [anon_sym_do] = ACTIONS(2348),
    [anon_sym_eval] = ACTIONS(2348),
    [anon_sym_await] = ACTIONS(2348),
    [anon_sym_field] = ACTIONS(2348),
    [anon_sym_local] = ACTIONS(2348),
    [anon_sym_dynamically] = ACTIONS(2348),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2348),
    [anon_sym_require] = ACTIONS(2348),
    [anon_sym_map] = ACTIONS(2348),
    [anon_sym_grep] = ACTIONS(2348),
    [anon_sym_sort] = ACTIONS(2348),
    [anon_sym_goto] = ACTIONS(2348),
    [anon_sym_return] = ACTIONS(2348),
    [anon_sym_undef] = ACTIONS(2348),
    [anon_sym_PERCENT2] = ACTIONS(2348),
    [anon_sym_AMP2] = ACTIONS(2348),
    [anon_sym_STAR2] = ACTIONS(2348),
    [anon_sym_last] = ACTIONS(2348),
    [anon_sym_next] = ACTIONS(2348),
    [anon_sym_redo] = ACTIONS(2348),
    [anon_sym___FILE__] = ACTIONS(2348),
    [anon_sym___LINE__] = ACTIONS(2348),
    [anon_sym___PACKAGE__] = ACTIONS(2348),
    [anon_sym___SUB__] = ACTIONS(2348),
    [anon_sym_break] = ACTIONS(2348),
    [anon_sym_fork] = ACTIONS(2348),
    [anon_sym_getppid] = ACTIONS(2348),
    [anon_sym_time] = ACTIONS(2348),
    [anon_sym_times] = ACTIONS(2348),
    [anon_sym_wait] = ACTIONS(2348),
    [anon_sym_wantarray] = ACTIONS(2348),
    [anon_sym_abs] = ACTIONS(2348),
    [anon_sym_alarm] = ACTIONS(2348),
    [anon_sym_chop] = ACTIONS(2348),
    [anon_sym_chdir] = ACTIONS(2348),
    [anon_sym_close] = ACTIONS(2348),
    [anon_sym_closedir] = ACTIONS(2348),
    [anon_sym_caller] = ACTIONS(2348),
    [anon_sym_chomp] = ACTIONS(2348),
    [anon_sym_chr] = ACTIONS(2348),
    [anon_sym_cos] = ACTIONS(2348),
    [anon_sym_chroot] = ACTIONS(2348),
    [anon_sym_defined] = ACTIONS(2348),
    [anon_sym_delete] = ACTIONS(2348),
    [anon_sym_dbmclose] = ACTIONS(2348),
    [anon_sym_exists] = ACTIONS(2348),
    [anon_sym_exit] = ACTIONS(2348),
    [anon_sym_eof] = ACTIONS(2348),
    [anon_sym_exp] = ACTIONS(2348),
    [anon_sym_each] = ACTIONS(2348),
    [anon_sym_fc] = ACTIONS(2348),
    [anon_sym_fileno] = ACTIONS(2348),
    [anon_sym_gmtime] = ACTIONS(2348),
    [anon_sym_getc] = ACTIONS(2348),
    [anon_sym_getpgrp] = ACTIONS(2348),
    [anon_sym_getprotobyname] = ACTIONS(2348),
    [anon_sym_getpwname] = ACTIONS(2348),
    [anon_sym_getpwuid] = ACTIONS(2348),
    [anon_sym_getpeername] = ACTIONS(2348),
    [anon_sym_getnetbyname] = ACTIONS(2348),
    [anon_sym_getsockname] = ACTIONS(2348),
    [anon_sym_getgrnam] = ACTIONS(2348),
    [anon_sym_getgrgid] = ACTIONS(2348),
    [anon_sym_hex] = ACTIONS(2348),
    [anon_sym_int] = ACTIONS(2348),
    [anon_sym_keys] = ACTIONS(2348),
    [anon_sym_lc] = ACTIONS(2348),
    [anon_sym_lcfirst] = ACTIONS(2348),
    [anon_sym_length] = ACTIONS(2348),
    [anon_sym_localtime] = ACTIONS(2348),
    [anon_sym_log] = ACTIONS(2348),
    [anon_sym_lock] = ACTIONS(2348),
    [anon_sym_lstat] = ACTIONS(2348),
    [anon_sym_oct] = ACTIONS(2348),
    [anon_sym_ord] = ACTIONS(2348),
    [anon_sym_prototype] = ACTIONS(2348),
    [anon_sym_pop] = ACTIONS(2348),
    [anon_sym_pos] = ACTIONS(2348),
    [anon_sym_quotemeta] = ACTIONS(2348),
    [anon_sym_reset] = ACTIONS(2348),
    [anon_sym_rand] = ACTIONS(2348),
    [anon_sym_rmdir] = ACTIONS(2348),
    [anon_sym_readdir] = ACTIONS(2348),
    [anon_sym_readline] = ACTIONS(2348),
    [anon_sym_readpipe] = ACTIONS(2348),
    [anon_sym_rewinddir] = ACTIONS(2348),
    [anon_sym_readlink] = ACTIONS(2348),
    [anon_sym_ref] = ACTIONS(2348),
    [anon_sym_scalar] = ACTIONS(2348),
    [anon_sym_shift] = ACTIONS(2348),
    [anon_sym_sin] = ACTIONS(2348),
    [anon_sym_sleep] = ACTIONS(2348),
    [anon_sym_sqrt] = ACTIONS(2348),
    [anon_sym_srand] = ACTIONS(2348),
    [anon_sym_stat] = ACTIONS(2348),
    [anon_sym_study] = ACTIONS(2348),
    [anon_sym_tell] = ACTIONS(2348),
    [anon_sym_telldir] = ACTIONS(2348),
    [anon_sym_tied] = ACTIONS(2348),
    [anon_sym_uc] = ACTIONS(2348),
    [anon_sym_ucfirst] = ACTIONS(2348),
    [anon_sym_untie] = ACTIONS(2348),
    [anon_sym_umask] = ACTIONS(2348),
    [anon_sym_values] = ACTIONS(2348),
    [anon_sym_write] = ACTIONS(2348),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2348),
    [anon_sym_qq] = ACTIONS(2348),
    [anon_sym_qw] = ACTIONS(2348),
    [anon_sym_qx] = ACTIONS(2348),
    [anon_sym_qr] = ACTIONS(2348),
    [anon_sym_m] = ACTIONS(2348),
    [anon_sym_s] = ACTIONS(2348),
    [anon_sym_tr] = ACTIONS(2348),
    [anon_sym_y] = ACTIONS(2348),
    [aux_sym__bareword_token1] = ACTIONS(2348),
    [sym_number] = ACTIONS(2348),
    [anon_sym_true] = ACTIONS(2348),
    [anon_sym_false] = ACTIONS(2348),
    [sym__single_quote] = ACTIONS(2346),
    [sym__double_quote] = ACTIONS(2346),
    [sym__backtick_quote] = ACTIONS(2346),
    [sym__search_slash_quote] = ACTIONS(2346),
    [sym__open_readline_bracket] = ACTIONS(2346),
    [sym__open_fileglob_bracket] = ACTIONS(2346),
    [sym__PERLY_HEREDOC] = ACTIONS(2346),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2346),
    [sym__filetest] = ACTIONS(2346),
  },
  [1154] = {
    [sym_heredoc_content] = STATE(1154),
    [sym__identifier] = ACTIONS(2352),
    [anon_sym_LBRACE] = ACTIONS(2352),
    [anon_sym_DOLLAR] = ACTIONS(2352),
    [anon_sym_AT] = ACTIONS(2352),
    [anon_sym_RPAREN] = ACTIONS(2352),
    [anon_sym_my] = ACTIONS(2352),
    [anon_sym_extended] = ACTIONS(2352),
    [anon_sym_async] = ACTIONS(2352),
    [anon_sym_sub] = ACTIONS(2352),
    [anon_sym_method] = ACTIONS(2352),
    [anon_sym_LPAREN] = ACTIONS(2352),
    [anon_sym_continue] = ACTIONS(2352),
    [anon_sym_state] = ACTIONS(2352),
    [anon_sym_our] = ACTIONS(2352),
    [anon_sym_LBRACK] = ACTIONS(2352),
    [anon_sym_LT_LT] = ACTIONS(2352),
    [anon_sym_SLASH_SLASH] = ACTIONS(2352),
    [anon_sym_PLUS] = ACTIONS(2352),
    [anon_sym_DASH] = ACTIONS(2352),
    [anon_sym_TILDE] = ACTIONS(2352),
    [anon_sym_BANG] = ACTIONS(2352),
    [anon_sym_PLUS_PLUS] = ACTIONS(2352),
    [anon_sym_DASH_DASH] = ACTIONS(2352),
    [anon_sym_BSLASH] = ACTIONS(2350),
    [anon_sym_do] = ACTIONS(2352),
    [anon_sym_eval] = ACTIONS(2352),
    [anon_sym_await] = ACTIONS(2352),
    [anon_sym_field] = ACTIONS(2352),
    [anon_sym_local] = ACTIONS(2352),
    [anon_sym_dynamically] = ACTIONS(2352),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2352),
    [anon_sym_require] = ACTIONS(2352),
    [anon_sym_map] = ACTIONS(2352),
    [anon_sym_grep] = ACTIONS(2352),
    [anon_sym_sort] = ACTIONS(2352),
    [anon_sym_goto] = ACTIONS(2352),
    [anon_sym_return] = ACTIONS(2352),
    [anon_sym_undef] = ACTIONS(2352),
    [anon_sym_PERCENT2] = ACTIONS(2352),
    [anon_sym_AMP2] = ACTIONS(2352),
    [anon_sym_STAR2] = ACTIONS(2352),
    [anon_sym_last] = ACTIONS(2352),
    [anon_sym_next] = ACTIONS(2352),
    [anon_sym_redo] = ACTIONS(2352),
    [anon_sym___FILE__] = ACTIONS(2352),
    [anon_sym___LINE__] = ACTIONS(2352),
    [anon_sym___PACKAGE__] = ACTIONS(2352),
    [anon_sym___SUB__] = ACTIONS(2352),
    [anon_sym_break] = ACTIONS(2352),
    [anon_sym_fork] = ACTIONS(2352),
    [anon_sym_getppid] = ACTIONS(2352),
    [anon_sym_time] = ACTIONS(2352),
    [anon_sym_times] = ACTIONS(2352),
    [anon_sym_wait] = ACTIONS(2352),
    [anon_sym_wantarray] = ACTIONS(2352),
    [anon_sym_abs] = ACTIONS(2352),
    [anon_sym_alarm] = ACTIONS(2352),
    [anon_sym_chop] = ACTIONS(2352),
    [anon_sym_chdir] = ACTIONS(2352),
    [anon_sym_close] = ACTIONS(2352),
    [anon_sym_closedir] = ACTIONS(2352),
    [anon_sym_caller] = ACTIONS(2352),
    [anon_sym_chomp] = ACTIONS(2352),
    [anon_sym_chr] = ACTIONS(2352),
    [anon_sym_cos] = ACTIONS(2352),
    [anon_sym_chroot] = ACTIONS(2352),
    [anon_sym_defined] = ACTIONS(2352),
    [anon_sym_delete] = ACTIONS(2352),
    [anon_sym_dbmclose] = ACTIONS(2352),
    [anon_sym_exists] = ACTIONS(2352),
    [anon_sym_exit] = ACTIONS(2352),
    [anon_sym_eof] = ACTIONS(2352),
    [anon_sym_exp] = ACTIONS(2352),
    [anon_sym_each] = ACTIONS(2352),
    [anon_sym_fc] = ACTIONS(2352),
    [anon_sym_fileno] = ACTIONS(2352),
    [anon_sym_gmtime] = ACTIONS(2352),
    [anon_sym_getc] = ACTIONS(2352),
    [anon_sym_getpgrp] = ACTIONS(2352),
    [anon_sym_getprotobyname] = ACTIONS(2352),
    [anon_sym_getpwname] = ACTIONS(2352),
    [anon_sym_getpwuid] = ACTIONS(2352),
    [anon_sym_getpeername] = ACTIONS(2352),
    [anon_sym_getnetbyname] = ACTIONS(2352),
    [anon_sym_getsockname] = ACTIONS(2352),
    [anon_sym_getgrnam] = ACTIONS(2352),
    [anon_sym_getgrgid] = ACTIONS(2352),
    [anon_sym_hex] = ACTIONS(2352),
    [anon_sym_int] = ACTIONS(2352),
    [anon_sym_keys] = ACTIONS(2352),
    [anon_sym_lc] = ACTIONS(2352),
    [anon_sym_lcfirst] = ACTIONS(2352),
    [anon_sym_length] = ACTIONS(2352),
    [anon_sym_localtime] = ACTIONS(2352),
    [anon_sym_log] = ACTIONS(2352),
    [anon_sym_lock] = ACTIONS(2352),
    [anon_sym_lstat] = ACTIONS(2352),
    [anon_sym_oct] = ACTIONS(2352),
    [anon_sym_ord] = ACTIONS(2352),
    [anon_sym_prototype] = ACTIONS(2352),
    [anon_sym_pop] = ACTIONS(2352),
    [anon_sym_pos] = ACTIONS(2352),
    [anon_sym_quotemeta] = ACTIONS(2352),
    [anon_sym_reset] = ACTIONS(2352),
    [anon_sym_rand] = ACTIONS(2352),
    [anon_sym_rmdir] = ACTIONS(2352),
    [anon_sym_readdir] = ACTIONS(2352),
    [anon_sym_readline] = ACTIONS(2352),
    [anon_sym_readpipe] = ACTIONS(2352),
    [anon_sym_rewinddir] = ACTIONS(2352),
    [anon_sym_readlink] = ACTIONS(2352),
    [anon_sym_ref] = ACTIONS(2352),
    [anon_sym_scalar] = ACTIONS(2352),
    [anon_sym_shift] = ACTIONS(2352),
    [anon_sym_sin] = ACTIONS(2352),
    [anon_sym_sleep] = ACTIONS(2352),
    [anon_sym_sqrt] = ACTIONS(2352),
    [anon_sym_srand] = ACTIONS(2352),
    [anon_sym_stat] = ACTIONS(2352),
    [anon_sym_study] = ACTIONS(2352),
    [anon_sym_tell] = ACTIONS(2352),
    [anon_sym_telldir] = ACTIONS(2352),
    [anon_sym_tied] = ACTIONS(2352),
    [anon_sym_uc] = ACTIONS(2352),
    [anon_sym_ucfirst] = ACTIONS(2352),
    [anon_sym_untie] = ACTIONS(2352),
    [anon_sym_umask] = ACTIONS(2352),
    [anon_sym_values] = ACTIONS(2352),
    [anon_sym_write] = ACTIONS(2352),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2352),
    [anon_sym_qq] = ACTIONS(2352),
    [anon_sym_qw] = ACTIONS(2352),
    [anon_sym_qx] = ACTIONS(2352),
    [anon_sym_qr] = ACTIONS(2352),
    [anon_sym_m] = ACTIONS(2352),
    [anon_sym_s] = ACTIONS(2352),
    [anon_sym_tr] = ACTIONS(2352),
    [anon_sym_y] = ACTIONS(2352),
    [aux_sym__bareword_token1] = ACTIONS(2352),
    [sym_number] = ACTIONS(2352),
    [anon_sym_true] = ACTIONS(2352),
    [anon_sym_false] = ACTIONS(2352),
    [sym__single_quote] = ACTIONS(2350),
    [sym__double_quote] = ACTIONS(2350),
    [sym__backtick_quote] = ACTIONS(2350),
    [sym__search_slash_quote] = ACTIONS(2350),
    [sym__open_readline_bracket] = ACTIONS(2350),
    [sym__open_fileglob_bracket] = ACTIONS(2350),
    [sym__PERLY_HEREDOC] = ACTIONS(2350),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2350),
    [sym__filetest] = ACTIONS(2350),
  },
  [1155] = {
    [sym_heredoc_content] = STATE(1155),
    [sym__identifier] = ACTIONS(2356),
    [anon_sym_LBRACE] = ACTIONS(2356),
    [anon_sym_DOLLAR] = ACTIONS(2356),
    [anon_sym_AT] = ACTIONS(2356),
    [anon_sym_RPAREN] = ACTIONS(2356),
    [anon_sym_my] = ACTIONS(2356),
    [anon_sym_extended] = ACTIONS(2356),
    [anon_sym_async] = ACTIONS(2356),
    [anon_sym_sub] = ACTIONS(2356),
    [anon_sym_method] = ACTIONS(2356),
    [anon_sym_LPAREN] = ACTIONS(2356),
    [anon_sym_continue] = ACTIONS(2356),
    [anon_sym_state] = ACTIONS(2356),
    [anon_sym_our] = ACTIONS(2356),
    [anon_sym_LBRACK] = ACTIONS(2356),
    [anon_sym_LT_LT] = ACTIONS(2356),
    [anon_sym_SLASH_SLASH] = ACTIONS(2356),
    [anon_sym_PLUS] = ACTIONS(2356),
    [anon_sym_DASH] = ACTIONS(2356),
    [anon_sym_TILDE] = ACTIONS(2356),
    [anon_sym_BANG] = ACTIONS(2356),
    [anon_sym_PLUS_PLUS] = ACTIONS(2356),
    [anon_sym_DASH_DASH] = ACTIONS(2356),
    [anon_sym_BSLASH] = ACTIONS(2354),
    [anon_sym_do] = ACTIONS(2356),
    [anon_sym_eval] = ACTIONS(2356),
    [anon_sym_await] = ACTIONS(2356),
    [anon_sym_field] = ACTIONS(2356),
    [anon_sym_local] = ACTIONS(2356),
    [anon_sym_dynamically] = ACTIONS(2356),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2356),
    [anon_sym_require] = ACTIONS(2356),
    [anon_sym_map] = ACTIONS(2356),
    [anon_sym_grep] = ACTIONS(2356),
    [anon_sym_sort] = ACTIONS(2356),
    [anon_sym_goto] = ACTIONS(2356),
    [anon_sym_return] = ACTIONS(2356),
    [anon_sym_undef] = ACTIONS(2356),
    [anon_sym_PERCENT2] = ACTIONS(2356),
    [anon_sym_AMP2] = ACTIONS(2356),
    [anon_sym_STAR2] = ACTIONS(2356),
    [anon_sym_last] = ACTIONS(2356),
    [anon_sym_next] = ACTIONS(2356),
    [anon_sym_redo] = ACTIONS(2356),
    [anon_sym___FILE__] = ACTIONS(2356),
    [anon_sym___LINE__] = ACTIONS(2356),
    [anon_sym___PACKAGE__] = ACTIONS(2356),
    [anon_sym___SUB__] = ACTIONS(2356),
    [anon_sym_break] = ACTIONS(2356),
    [anon_sym_fork] = ACTIONS(2356),
    [anon_sym_getppid] = ACTIONS(2356),
    [anon_sym_time] = ACTIONS(2356),
    [anon_sym_times] = ACTIONS(2356),
    [anon_sym_wait] = ACTIONS(2356),
    [anon_sym_wantarray] = ACTIONS(2356),
    [anon_sym_abs] = ACTIONS(2356),
    [anon_sym_alarm] = ACTIONS(2356),
    [anon_sym_chop] = ACTIONS(2356),
    [anon_sym_chdir] = ACTIONS(2356),
    [anon_sym_close] = ACTIONS(2356),
    [anon_sym_closedir] = ACTIONS(2356),
    [anon_sym_caller] = ACTIONS(2356),
    [anon_sym_chomp] = ACTIONS(2356),
    [anon_sym_chr] = ACTIONS(2356),
    [anon_sym_cos] = ACTIONS(2356),
    [anon_sym_chroot] = ACTIONS(2356),
    [anon_sym_defined] = ACTIONS(2356),
    [anon_sym_delete] = ACTIONS(2356),
    [anon_sym_dbmclose] = ACTIONS(2356),
    [anon_sym_exists] = ACTIONS(2356),
    [anon_sym_exit] = ACTIONS(2356),
    [anon_sym_eof] = ACTIONS(2356),
    [anon_sym_exp] = ACTIONS(2356),
    [anon_sym_each] = ACTIONS(2356),
    [anon_sym_fc] = ACTIONS(2356),
    [anon_sym_fileno] = ACTIONS(2356),
    [anon_sym_gmtime] = ACTIONS(2356),
    [anon_sym_getc] = ACTIONS(2356),
    [anon_sym_getpgrp] = ACTIONS(2356),
    [anon_sym_getprotobyname] = ACTIONS(2356),
    [anon_sym_getpwname] = ACTIONS(2356),
    [anon_sym_getpwuid] = ACTIONS(2356),
    [anon_sym_getpeername] = ACTIONS(2356),
    [anon_sym_getnetbyname] = ACTIONS(2356),
    [anon_sym_getsockname] = ACTIONS(2356),
    [anon_sym_getgrnam] = ACTIONS(2356),
    [anon_sym_getgrgid] = ACTIONS(2356),
    [anon_sym_hex] = ACTIONS(2356),
    [anon_sym_int] = ACTIONS(2356),
    [anon_sym_keys] = ACTIONS(2356),
    [anon_sym_lc] = ACTIONS(2356),
    [anon_sym_lcfirst] = ACTIONS(2356),
    [anon_sym_length] = ACTIONS(2356),
    [anon_sym_localtime] = ACTIONS(2356),
    [anon_sym_log] = ACTIONS(2356),
    [anon_sym_lock] = ACTIONS(2356),
    [anon_sym_lstat] = ACTIONS(2356),
    [anon_sym_oct] = ACTIONS(2356),
    [anon_sym_ord] = ACTIONS(2356),
    [anon_sym_prototype] = ACTIONS(2356),
    [anon_sym_pop] = ACTIONS(2356),
    [anon_sym_pos] = ACTIONS(2356),
    [anon_sym_quotemeta] = ACTIONS(2356),
    [anon_sym_reset] = ACTIONS(2356),
    [anon_sym_rand] = ACTIONS(2356),
    [anon_sym_rmdir] = ACTIONS(2356),
    [anon_sym_readdir] = ACTIONS(2356),
    [anon_sym_readline] = ACTIONS(2356),
    [anon_sym_readpipe] = ACTIONS(2356),
    [anon_sym_rewinddir] = ACTIONS(2356),
    [anon_sym_readlink] = ACTIONS(2356),
    [anon_sym_ref] = ACTIONS(2356),
    [anon_sym_scalar] = ACTIONS(2356),
    [anon_sym_shift] = ACTIONS(2356),
    [anon_sym_sin] = ACTIONS(2356),
    [anon_sym_sleep] = ACTIONS(2356),
    [anon_sym_sqrt] = ACTIONS(2356),
    [anon_sym_srand] = ACTIONS(2356),
    [anon_sym_stat] = ACTIONS(2356),
    [anon_sym_study] = ACTIONS(2356),
    [anon_sym_tell] = ACTIONS(2356),
    [anon_sym_telldir] = ACTIONS(2356),
    [anon_sym_tied] = ACTIONS(2356),
    [anon_sym_uc] = ACTIONS(2356),
    [anon_sym_ucfirst] = ACTIONS(2356),
    [anon_sym_untie] = ACTIONS(2356),
    [anon_sym_umask] = ACTIONS(2356),
    [anon_sym_values] = ACTIONS(2356),
    [anon_sym_write] = ACTIONS(2356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2356),
    [anon_sym_qq] = ACTIONS(2356),
    [anon_sym_qw] = ACTIONS(2356),
    [anon_sym_qx] = ACTIONS(2356),
    [anon_sym_qr] = ACTIONS(2356),
    [anon_sym_m] = ACTIONS(2356),
    [anon_sym_s] = ACTIONS(2356),
    [anon_sym_tr] = ACTIONS(2356),
    [anon_sym_y] = ACTIONS(2356),
    [aux_sym__bareword_token1] = ACTIONS(2356),
    [sym_number] = ACTIONS(2356),
    [anon_sym_true] = ACTIONS(2356),
    [anon_sym_false] = ACTIONS(2356),
    [sym__single_quote] = ACTIONS(2354),
    [sym__double_quote] = ACTIONS(2354),
    [sym__backtick_quote] = ACTIONS(2354),
    [sym__search_slash_quote] = ACTIONS(2354),
    [sym__open_readline_bracket] = ACTIONS(2354),
    [sym__open_fileglob_bracket] = ACTIONS(2354),
    [sym__PERLY_HEREDOC] = ACTIONS(2354),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2354),
    [sym__filetest] = ACTIONS(2354),
  },
  [1156] = {
    [sym_heredoc_content] = STATE(1156),
    [sym__identifier] = ACTIONS(2360),
    [anon_sym_LBRACE] = ACTIONS(2360),
    [anon_sym_DOLLAR] = ACTIONS(2360),
    [anon_sym_AT] = ACTIONS(2360),
    [anon_sym_RPAREN] = ACTIONS(2360),
    [anon_sym_my] = ACTIONS(2360),
    [anon_sym_extended] = ACTIONS(2360),
    [anon_sym_async] = ACTIONS(2360),
    [anon_sym_sub] = ACTIONS(2360),
    [anon_sym_method] = ACTIONS(2360),
    [anon_sym_LPAREN] = ACTIONS(2360),
    [anon_sym_continue] = ACTIONS(2360),
    [anon_sym_state] = ACTIONS(2360),
    [anon_sym_our] = ACTIONS(2360),
    [anon_sym_LBRACK] = ACTIONS(2360),
    [anon_sym_LT_LT] = ACTIONS(2360),
    [anon_sym_SLASH_SLASH] = ACTIONS(2360),
    [anon_sym_PLUS] = ACTIONS(2360),
    [anon_sym_DASH] = ACTIONS(2360),
    [anon_sym_TILDE] = ACTIONS(2360),
    [anon_sym_BANG] = ACTIONS(2360),
    [anon_sym_PLUS_PLUS] = ACTIONS(2360),
    [anon_sym_DASH_DASH] = ACTIONS(2360),
    [anon_sym_BSLASH] = ACTIONS(2358),
    [anon_sym_do] = ACTIONS(2360),
    [anon_sym_eval] = ACTIONS(2360),
    [anon_sym_await] = ACTIONS(2360),
    [anon_sym_field] = ACTIONS(2360),
    [anon_sym_local] = ACTIONS(2360),
    [anon_sym_dynamically] = ACTIONS(2360),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2360),
    [anon_sym_require] = ACTIONS(2360),
    [anon_sym_map] = ACTIONS(2360),
    [anon_sym_grep] = ACTIONS(2360),
    [anon_sym_sort] = ACTIONS(2360),
    [anon_sym_goto] = ACTIONS(2360),
    [anon_sym_return] = ACTIONS(2360),
    [anon_sym_undef] = ACTIONS(2360),
    [anon_sym_PERCENT2] = ACTIONS(2360),
    [anon_sym_AMP2] = ACTIONS(2360),
    [anon_sym_STAR2] = ACTIONS(2360),
    [anon_sym_last] = ACTIONS(2360),
    [anon_sym_next] = ACTIONS(2360),
    [anon_sym_redo] = ACTIONS(2360),
    [anon_sym___FILE__] = ACTIONS(2360),
    [anon_sym___LINE__] = ACTIONS(2360),
    [anon_sym___PACKAGE__] = ACTIONS(2360),
    [anon_sym___SUB__] = ACTIONS(2360),
    [anon_sym_break] = ACTIONS(2360),
    [anon_sym_fork] = ACTIONS(2360),
    [anon_sym_getppid] = ACTIONS(2360),
    [anon_sym_time] = ACTIONS(2360),
    [anon_sym_times] = ACTIONS(2360),
    [anon_sym_wait] = ACTIONS(2360),
    [anon_sym_wantarray] = ACTIONS(2360),
    [anon_sym_abs] = ACTIONS(2360),
    [anon_sym_alarm] = ACTIONS(2360),
    [anon_sym_chop] = ACTIONS(2360),
    [anon_sym_chdir] = ACTIONS(2360),
    [anon_sym_close] = ACTIONS(2360),
    [anon_sym_closedir] = ACTIONS(2360),
    [anon_sym_caller] = ACTIONS(2360),
    [anon_sym_chomp] = ACTIONS(2360),
    [anon_sym_chr] = ACTIONS(2360),
    [anon_sym_cos] = ACTIONS(2360),
    [anon_sym_chroot] = ACTIONS(2360),
    [anon_sym_defined] = ACTIONS(2360),
    [anon_sym_delete] = ACTIONS(2360),
    [anon_sym_dbmclose] = ACTIONS(2360),
    [anon_sym_exists] = ACTIONS(2360),
    [anon_sym_exit] = ACTIONS(2360),
    [anon_sym_eof] = ACTIONS(2360),
    [anon_sym_exp] = ACTIONS(2360),
    [anon_sym_each] = ACTIONS(2360),
    [anon_sym_fc] = ACTIONS(2360),
    [anon_sym_fileno] = ACTIONS(2360),
    [anon_sym_gmtime] = ACTIONS(2360),
    [anon_sym_getc] = ACTIONS(2360),
    [anon_sym_getpgrp] = ACTIONS(2360),
    [anon_sym_getprotobyname] = ACTIONS(2360),
    [anon_sym_getpwname] = ACTIONS(2360),
    [anon_sym_getpwuid] = ACTIONS(2360),
    [anon_sym_getpeername] = ACTIONS(2360),
    [anon_sym_getnetbyname] = ACTIONS(2360),
    [anon_sym_getsockname] = ACTIONS(2360),
    [anon_sym_getgrnam] = ACTIONS(2360),
    [anon_sym_getgrgid] = ACTIONS(2360),
    [anon_sym_hex] = ACTIONS(2360),
    [anon_sym_int] = ACTIONS(2360),
    [anon_sym_keys] = ACTIONS(2360),
    [anon_sym_lc] = ACTIONS(2360),
    [anon_sym_lcfirst] = ACTIONS(2360),
    [anon_sym_length] = ACTIONS(2360),
    [anon_sym_localtime] = ACTIONS(2360),
    [anon_sym_log] = ACTIONS(2360),
    [anon_sym_lock] = ACTIONS(2360),
    [anon_sym_lstat] = ACTIONS(2360),
    [anon_sym_oct] = ACTIONS(2360),
    [anon_sym_ord] = ACTIONS(2360),
    [anon_sym_prototype] = ACTIONS(2360),
    [anon_sym_pop] = ACTIONS(2360),
    [anon_sym_pos] = ACTIONS(2360),
    [anon_sym_quotemeta] = ACTIONS(2360),
    [anon_sym_reset] = ACTIONS(2360),
    [anon_sym_rand] = ACTIONS(2360),
    [anon_sym_rmdir] = ACTIONS(2360),
    [anon_sym_readdir] = ACTIONS(2360),
    [anon_sym_readline] = ACTIONS(2360),
    [anon_sym_readpipe] = ACTIONS(2360),
    [anon_sym_rewinddir] = ACTIONS(2360),
    [anon_sym_readlink] = ACTIONS(2360),
    [anon_sym_ref] = ACTIONS(2360),
    [anon_sym_scalar] = ACTIONS(2360),
    [anon_sym_shift] = ACTIONS(2360),
    [anon_sym_sin] = ACTIONS(2360),
    [anon_sym_sleep] = ACTIONS(2360),
    [anon_sym_sqrt] = ACTIONS(2360),
    [anon_sym_srand] = ACTIONS(2360),
    [anon_sym_stat] = ACTIONS(2360),
    [anon_sym_study] = ACTIONS(2360),
    [anon_sym_tell] = ACTIONS(2360),
    [anon_sym_telldir] = ACTIONS(2360),
    [anon_sym_tied] = ACTIONS(2360),
    [anon_sym_uc] = ACTIONS(2360),
    [anon_sym_ucfirst] = ACTIONS(2360),
    [anon_sym_untie] = ACTIONS(2360),
    [anon_sym_umask] = ACTIONS(2360),
    [anon_sym_values] = ACTIONS(2360),
    [anon_sym_write] = ACTIONS(2360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2360),
    [anon_sym_qq] = ACTIONS(2360),
    [anon_sym_qw] = ACTIONS(2360),
    [anon_sym_qx] = ACTIONS(2360),
    [anon_sym_qr] = ACTIONS(2360),
    [anon_sym_m] = ACTIONS(2360),
    [anon_sym_s] = ACTIONS(2360),
    [anon_sym_tr] = ACTIONS(2360),
    [anon_sym_y] = ACTIONS(2360),
    [aux_sym__bareword_token1] = ACTIONS(2360),
    [sym_number] = ACTIONS(2360),
    [anon_sym_true] = ACTIONS(2360),
    [anon_sym_false] = ACTIONS(2360),
    [sym__single_quote] = ACTIONS(2358),
    [sym__double_quote] = ACTIONS(2358),
    [sym__backtick_quote] = ACTIONS(2358),
    [sym__search_slash_quote] = ACTIONS(2358),
    [sym__open_readline_bracket] = ACTIONS(2358),
    [sym__open_fileglob_bracket] = ACTIONS(2358),
    [sym__PERLY_HEREDOC] = ACTIONS(2358),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2358),
    [sym__filetest] = ACTIONS(2358),
  },
  [1157] = {
    [sym_heredoc_content] = STATE(1157),
    [sym__identifier] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2364),
    [anon_sym_DOLLAR] = ACTIONS(2364),
    [anon_sym_AT] = ACTIONS(2364),
    [anon_sym_RPAREN] = ACTIONS(2364),
    [anon_sym_my] = ACTIONS(2364),
    [anon_sym_extended] = ACTIONS(2364),
    [anon_sym_async] = ACTIONS(2364),
    [anon_sym_sub] = ACTIONS(2364),
    [anon_sym_method] = ACTIONS(2364),
    [anon_sym_LPAREN] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_state] = ACTIONS(2364),
    [anon_sym_our] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_LT_LT] = ACTIONS(2364),
    [anon_sym_SLASH_SLASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_TILDE] = ACTIONS(2364),
    [anon_sym_BANG] = ACTIONS(2364),
    [anon_sym_PLUS_PLUS] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2364),
    [anon_sym_BSLASH] = ACTIONS(2362),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_eval] = ACTIONS(2364),
    [anon_sym_await] = ACTIONS(2364),
    [anon_sym_field] = ACTIONS(2364),
    [anon_sym_local] = ACTIONS(2364),
    [anon_sym_dynamically] = ACTIONS(2364),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2364),
    [anon_sym_require] = ACTIONS(2364),
    [anon_sym_map] = ACTIONS(2364),
    [anon_sym_grep] = ACTIONS(2364),
    [anon_sym_sort] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_undef] = ACTIONS(2364),
    [anon_sym_PERCENT2] = ACTIONS(2364),
    [anon_sym_AMP2] = ACTIONS(2364),
    [anon_sym_STAR2] = ACTIONS(2364),
    [anon_sym_last] = ACTIONS(2364),
    [anon_sym_next] = ACTIONS(2364),
    [anon_sym_redo] = ACTIONS(2364),
    [anon_sym___FILE__] = ACTIONS(2364),
    [anon_sym___LINE__] = ACTIONS(2364),
    [anon_sym___PACKAGE__] = ACTIONS(2364),
    [anon_sym___SUB__] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_fork] = ACTIONS(2364),
    [anon_sym_getppid] = ACTIONS(2364),
    [anon_sym_time] = ACTIONS(2364),
    [anon_sym_times] = ACTIONS(2364),
    [anon_sym_wait] = ACTIONS(2364),
    [anon_sym_wantarray] = ACTIONS(2364),
    [anon_sym_abs] = ACTIONS(2364),
    [anon_sym_alarm] = ACTIONS(2364),
    [anon_sym_chop] = ACTIONS(2364),
    [anon_sym_chdir] = ACTIONS(2364),
    [anon_sym_close] = ACTIONS(2364),
    [anon_sym_closedir] = ACTIONS(2364),
    [anon_sym_caller] = ACTIONS(2364),
    [anon_sym_chomp] = ACTIONS(2364),
    [anon_sym_chr] = ACTIONS(2364),
    [anon_sym_cos] = ACTIONS(2364),
    [anon_sym_chroot] = ACTIONS(2364),
    [anon_sym_defined] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_dbmclose] = ACTIONS(2364),
    [anon_sym_exists] = ACTIONS(2364),
    [anon_sym_exit] = ACTIONS(2364),
    [anon_sym_eof] = ACTIONS(2364),
    [anon_sym_exp] = ACTIONS(2364),
    [anon_sym_each] = ACTIONS(2364),
    [anon_sym_fc] = ACTIONS(2364),
    [anon_sym_fileno] = ACTIONS(2364),
    [anon_sym_gmtime] = ACTIONS(2364),
    [anon_sym_getc] = ACTIONS(2364),
    [anon_sym_getpgrp] = ACTIONS(2364),
    [anon_sym_getprotobyname] = ACTIONS(2364),
    [anon_sym_getpwname] = ACTIONS(2364),
    [anon_sym_getpwuid] = ACTIONS(2364),
    [anon_sym_getpeername] = ACTIONS(2364),
    [anon_sym_getnetbyname] = ACTIONS(2364),
    [anon_sym_getsockname] = ACTIONS(2364),
    [anon_sym_getgrnam] = ACTIONS(2364),
    [anon_sym_getgrgid] = ACTIONS(2364),
    [anon_sym_hex] = ACTIONS(2364),
    [anon_sym_int] = ACTIONS(2364),
    [anon_sym_keys] = ACTIONS(2364),
    [anon_sym_lc] = ACTIONS(2364),
    [anon_sym_lcfirst] = ACTIONS(2364),
    [anon_sym_length] = ACTIONS(2364),
    [anon_sym_localtime] = ACTIONS(2364),
    [anon_sym_log] = ACTIONS(2364),
    [anon_sym_lock] = ACTIONS(2364),
    [anon_sym_lstat] = ACTIONS(2364),
    [anon_sym_oct] = ACTIONS(2364),
    [anon_sym_ord] = ACTIONS(2364),
    [anon_sym_prototype] = ACTIONS(2364),
    [anon_sym_pop] = ACTIONS(2364),
    [anon_sym_pos] = ACTIONS(2364),
    [anon_sym_quotemeta] = ACTIONS(2364),
    [anon_sym_reset] = ACTIONS(2364),
    [anon_sym_rand] = ACTIONS(2364),
    [anon_sym_rmdir] = ACTIONS(2364),
    [anon_sym_readdir] = ACTIONS(2364),
    [anon_sym_readline] = ACTIONS(2364),
    [anon_sym_readpipe] = ACTIONS(2364),
    [anon_sym_rewinddir] = ACTIONS(2364),
    [anon_sym_readlink] = ACTIONS(2364),
    [anon_sym_ref] = ACTIONS(2364),
    [anon_sym_scalar] = ACTIONS(2364),
    [anon_sym_shift] = ACTIONS(2364),
    [anon_sym_sin] = ACTIONS(2364),
    [anon_sym_sleep] = ACTIONS(2364),
    [anon_sym_sqrt] = ACTIONS(2364),
    [anon_sym_srand] = ACTIONS(2364),
    [anon_sym_stat] = ACTIONS(2364),
    [anon_sym_study] = ACTIONS(2364),
    [anon_sym_tell] = ACTIONS(2364),
    [anon_sym_telldir] = ACTIONS(2364),
    [anon_sym_tied] = ACTIONS(2364),
    [anon_sym_uc] = ACTIONS(2364),
    [anon_sym_ucfirst] = ACTIONS(2364),
    [anon_sym_untie] = ACTIONS(2364),
    [anon_sym_umask] = ACTIONS(2364),
    [anon_sym_values] = ACTIONS(2364),
    [anon_sym_write] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2364),
    [anon_sym_qq] = ACTIONS(2364),
    [anon_sym_qw] = ACTIONS(2364),
    [anon_sym_qx] = ACTIONS(2364),
    [anon_sym_qr] = ACTIONS(2364),
    [anon_sym_m] = ACTIONS(2364),
    [anon_sym_s] = ACTIONS(2364),
    [anon_sym_tr] = ACTIONS(2364),
    [anon_sym_y] = ACTIONS(2364),
    [aux_sym__bareword_token1] = ACTIONS(2364),
    [sym_number] = ACTIONS(2364),
    [anon_sym_true] = ACTIONS(2364),
    [anon_sym_false] = ACTIONS(2364),
    [sym__single_quote] = ACTIONS(2362),
    [sym__double_quote] = ACTIONS(2362),
    [sym__backtick_quote] = ACTIONS(2362),
    [sym__search_slash_quote] = ACTIONS(2362),
    [sym__open_readline_bracket] = ACTIONS(2362),
    [sym__open_fileglob_bracket] = ACTIONS(2362),
    [sym__PERLY_HEREDOC] = ACTIONS(2362),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2362),
    [sym__filetest] = ACTIONS(2362),
  },
  [1158] = {
    [sym_heredoc_content] = STATE(1158),
    [sym__identifier] = ACTIONS(2173),
    [anon_sym_LBRACE] = ACTIONS(2173),
    [anon_sym_DOLLAR] = ACTIONS(2173),
    [anon_sym_AT] = ACTIONS(2173),
    [anon_sym_RPAREN] = ACTIONS(2173),
    [anon_sym_my] = ACTIONS(2173),
    [anon_sym_extended] = ACTIONS(2173),
    [anon_sym_async] = ACTIONS(2173),
    [anon_sym_sub] = ACTIONS(2173),
    [anon_sym_method] = ACTIONS(2173),
    [anon_sym_LPAREN] = ACTIONS(2173),
    [anon_sym_continue] = ACTIONS(2173),
    [anon_sym_state] = ACTIONS(2173),
    [anon_sym_our] = ACTIONS(2173),
    [anon_sym_LBRACK] = ACTIONS(2173),
    [anon_sym_LT_LT] = ACTIONS(2173),
    [anon_sym_SLASH_SLASH] = ACTIONS(2173),
    [anon_sym_PLUS] = ACTIONS(2173),
    [anon_sym_DASH] = ACTIONS(2173),
    [anon_sym_TILDE] = ACTIONS(2173),
    [anon_sym_BANG] = ACTIONS(2173),
    [anon_sym_PLUS_PLUS] = ACTIONS(2173),
    [anon_sym_DASH_DASH] = ACTIONS(2173),
    [anon_sym_BSLASH] = ACTIONS(2171),
    [anon_sym_do] = ACTIONS(2173),
    [anon_sym_eval] = ACTIONS(2173),
    [anon_sym_await] = ACTIONS(2173),
    [anon_sym_field] = ACTIONS(2173),
    [anon_sym_local] = ACTIONS(2173),
    [anon_sym_dynamically] = ACTIONS(2173),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2173),
    [anon_sym_require] = ACTIONS(2173),
    [anon_sym_map] = ACTIONS(2173),
    [anon_sym_grep] = ACTIONS(2173),
    [anon_sym_sort] = ACTIONS(2173),
    [anon_sym_goto] = ACTIONS(2173),
    [anon_sym_return] = ACTIONS(2173),
    [anon_sym_undef] = ACTIONS(2173),
    [anon_sym_PERCENT2] = ACTIONS(2173),
    [anon_sym_AMP2] = ACTIONS(2173),
    [anon_sym_STAR2] = ACTIONS(2173),
    [anon_sym_last] = ACTIONS(2173),
    [anon_sym_next] = ACTIONS(2173),
    [anon_sym_redo] = ACTIONS(2173),
    [anon_sym___FILE__] = ACTIONS(2173),
    [anon_sym___LINE__] = ACTIONS(2173),
    [anon_sym___PACKAGE__] = ACTIONS(2173),
    [anon_sym___SUB__] = ACTIONS(2173),
    [anon_sym_break] = ACTIONS(2173),
    [anon_sym_fork] = ACTIONS(2173),
    [anon_sym_getppid] = ACTIONS(2173),
    [anon_sym_time] = ACTIONS(2173),
    [anon_sym_times] = ACTIONS(2173),
    [anon_sym_wait] = ACTIONS(2173),
    [anon_sym_wantarray] = ACTIONS(2173),
    [anon_sym_abs] = ACTIONS(2173),
    [anon_sym_alarm] = ACTIONS(2173),
    [anon_sym_chop] = ACTIONS(2173),
    [anon_sym_chdir] = ACTIONS(2173),
    [anon_sym_close] = ACTIONS(2173),
    [anon_sym_closedir] = ACTIONS(2173),
    [anon_sym_caller] = ACTIONS(2173),
    [anon_sym_chomp] = ACTIONS(2173),
    [anon_sym_chr] = ACTIONS(2173),
    [anon_sym_cos] = ACTIONS(2173),
    [anon_sym_chroot] = ACTIONS(2173),
    [anon_sym_defined] = ACTIONS(2173),
    [anon_sym_delete] = ACTIONS(2173),
    [anon_sym_dbmclose] = ACTIONS(2173),
    [anon_sym_exists] = ACTIONS(2173),
    [anon_sym_exit] = ACTIONS(2173),
    [anon_sym_eof] = ACTIONS(2173),
    [anon_sym_exp] = ACTIONS(2173),
    [anon_sym_each] = ACTIONS(2173),
    [anon_sym_fc] = ACTIONS(2173),
    [anon_sym_fileno] = ACTIONS(2173),
    [anon_sym_gmtime] = ACTIONS(2173),
    [anon_sym_getc] = ACTIONS(2173),
    [anon_sym_getpgrp] = ACTIONS(2173),
    [anon_sym_getprotobyname] = ACTIONS(2173),
    [anon_sym_getpwname] = ACTIONS(2173),
    [anon_sym_getpwuid] = ACTIONS(2173),
    [anon_sym_getpeername] = ACTIONS(2173),
    [anon_sym_getnetbyname] = ACTIONS(2173),
    [anon_sym_getsockname] = ACTIONS(2173),
    [anon_sym_getgrnam] = ACTIONS(2173),
    [anon_sym_getgrgid] = ACTIONS(2173),
    [anon_sym_hex] = ACTIONS(2173),
    [anon_sym_int] = ACTIONS(2173),
    [anon_sym_keys] = ACTIONS(2173),
    [anon_sym_lc] = ACTIONS(2173),
    [anon_sym_lcfirst] = ACTIONS(2173),
    [anon_sym_length] = ACTIONS(2173),
    [anon_sym_localtime] = ACTIONS(2173),
    [anon_sym_log] = ACTIONS(2173),
    [anon_sym_lock] = ACTIONS(2173),
    [anon_sym_lstat] = ACTIONS(2173),
    [anon_sym_oct] = ACTIONS(2173),
    [anon_sym_ord] = ACTIONS(2173),
    [anon_sym_prototype] = ACTIONS(2173),
    [anon_sym_pop] = ACTIONS(2173),
    [anon_sym_pos] = ACTIONS(2173),
    [anon_sym_quotemeta] = ACTIONS(2173),
    [anon_sym_reset] = ACTIONS(2173),
    [anon_sym_rand] = ACTIONS(2173),
    [anon_sym_rmdir] = ACTIONS(2173),
    [anon_sym_readdir] = ACTIONS(2173),
    [anon_sym_readline] = ACTIONS(2173),
    [anon_sym_readpipe] = ACTIONS(2173),
    [anon_sym_rewinddir] = ACTIONS(2173),
    [anon_sym_readlink] = ACTIONS(2173),
    [anon_sym_ref] = ACTIONS(2173),
    [anon_sym_scalar] = ACTIONS(2173),
    [anon_sym_shift] = ACTIONS(2173),
    [anon_sym_sin] = ACTIONS(2173),
    [anon_sym_sleep] = ACTIONS(2173),
    [anon_sym_sqrt] = ACTIONS(2173),
    [anon_sym_srand] = ACTIONS(2173),
    [anon_sym_stat] = ACTIONS(2173),
    [anon_sym_study] = ACTIONS(2173),
    [anon_sym_tell] = ACTIONS(2173),
    [anon_sym_telldir] = ACTIONS(2173),
    [anon_sym_tied] = ACTIONS(2173),
    [anon_sym_uc] = ACTIONS(2173),
    [anon_sym_ucfirst] = ACTIONS(2173),
    [anon_sym_untie] = ACTIONS(2173),
    [anon_sym_umask] = ACTIONS(2173),
    [anon_sym_values] = ACTIONS(2173),
    [anon_sym_write] = ACTIONS(2173),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2173),
    [anon_sym_qq] = ACTIONS(2173),
    [anon_sym_qw] = ACTIONS(2173),
    [anon_sym_qx] = ACTIONS(2173),
    [anon_sym_qr] = ACTIONS(2173),
    [anon_sym_m] = ACTIONS(2173),
    [anon_sym_s] = ACTIONS(2173),
    [anon_sym_tr] = ACTIONS(2173),
    [anon_sym_y] = ACTIONS(2173),
    [aux_sym__bareword_token1] = ACTIONS(2173),
    [sym_number] = ACTIONS(2173),
    [anon_sym_true] = ACTIONS(2173),
    [anon_sym_false] = ACTIONS(2173),
    [sym__single_quote] = ACTIONS(2171),
    [sym__double_quote] = ACTIONS(2171),
    [sym__backtick_quote] = ACTIONS(2171),
    [sym__search_slash_quote] = ACTIONS(2171),
    [sym__open_readline_bracket] = ACTIONS(2171),
    [sym__open_fileglob_bracket] = ACTIONS(2171),
    [sym__PERLY_HEREDOC] = ACTIONS(2171),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2171),
    [sym__filetest] = ACTIONS(2171),
  },
  [1159] = {
    [sym_heredoc_content] = STATE(1159),
    [sym__identifier] = ACTIONS(2125),
    [anon_sym_LBRACE] = ACTIONS(2125),
    [anon_sym_DOLLAR] = ACTIONS(2125),
    [anon_sym_AT] = ACTIONS(2125),
    [anon_sym_RPAREN] = ACTIONS(2125),
    [anon_sym_my] = ACTIONS(2125),
    [anon_sym_extended] = ACTIONS(2125),
    [anon_sym_async] = ACTIONS(2125),
    [anon_sym_sub] = ACTIONS(2125),
    [anon_sym_method] = ACTIONS(2125),
    [anon_sym_LPAREN] = ACTIONS(2125),
    [anon_sym_continue] = ACTIONS(2125),
    [anon_sym_state] = ACTIONS(2125),
    [anon_sym_our] = ACTIONS(2125),
    [anon_sym_LBRACK] = ACTIONS(2125),
    [anon_sym_LT_LT] = ACTIONS(2125),
    [anon_sym_SLASH_SLASH] = ACTIONS(2125),
    [anon_sym_PLUS] = ACTIONS(2125),
    [anon_sym_DASH] = ACTIONS(2125),
    [anon_sym_TILDE] = ACTIONS(2125),
    [anon_sym_BANG] = ACTIONS(2125),
    [anon_sym_PLUS_PLUS] = ACTIONS(2125),
    [anon_sym_DASH_DASH] = ACTIONS(2125),
    [anon_sym_BSLASH] = ACTIONS(2123),
    [anon_sym_do] = ACTIONS(2125),
    [anon_sym_eval] = ACTIONS(2125),
    [anon_sym_await] = ACTIONS(2125),
    [anon_sym_field] = ACTIONS(2125),
    [anon_sym_local] = ACTIONS(2125),
    [anon_sym_dynamically] = ACTIONS(2125),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2125),
    [anon_sym_require] = ACTIONS(2125),
    [anon_sym_map] = ACTIONS(2125),
    [anon_sym_grep] = ACTIONS(2125),
    [anon_sym_sort] = ACTIONS(2125),
    [anon_sym_goto] = ACTIONS(2125),
    [anon_sym_return] = ACTIONS(2125),
    [anon_sym_undef] = ACTIONS(2125),
    [anon_sym_PERCENT2] = ACTIONS(2125),
    [anon_sym_AMP2] = ACTIONS(2125),
    [anon_sym_STAR2] = ACTIONS(2125),
    [anon_sym_last] = ACTIONS(2125),
    [anon_sym_next] = ACTIONS(2125),
    [anon_sym_redo] = ACTIONS(2125),
    [anon_sym___FILE__] = ACTIONS(2125),
    [anon_sym___LINE__] = ACTIONS(2125),
    [anon_sym___PACKAGE__] = ACTIONS(2125),
    [anon_sym___SUB__] = ACTIONS(2125),
    [anon_sym_break] = ACTIONS(2125),
    [anon_sym_fork] = ACTIONS(2125),
    [anon_sym_getppid] = ACTIONS(2125),
    [anon_sym_time] = ACTIONS(2125),
    [anon_sym_times] = ACTIONS(2125),
    [anon_sym_wait] = ACTIONS(2125),
    [anon_sym_wantarray] = ACTIONS(2125),
    [anon_sym_abs] = ACTIONS(2125),
    [anon_sym_alarm] = ACTIONS(2125),
    [anon_sym_chop] = ACTIONS(2125),
    [anon_sym_chdir] = ACTIONS(2125),
    [anon_sym_close] = ACTIONS(2125),
    [anon_sym_closedir] = ACTIONS(2125),
    [anon_sym_caller] = ACTIONS(2125),
    [anon_sym_chomp] = ACTIONS(2125),
    [anon_sym_chr] = ACTIONS(2125),
    [anon_sym_cos] = ACTIONS(2125),
    [anon_sym_chroot] = ACTIONS(2125),
    [anon_sym_defined] = ACTIONS(2125),
    [anon_sym_delete] = ACTIONS(2125),
    [anon_sym_dbmclose] = ACTIONS(2125),
    [anon_sym_exists] = ACTIONS(2125),
    [anon_sym_exit] = ACTIONS(2125),
    [anon_sym_eof] = ACTIONS(2125),
    [anon_sym_exp] = ACTIONS(2125),
    [anon_sym_each] = ACTIONS(2125),
    [anon_sym_fc] = ACTIONS(2125),
    [anon_sym_fileno] = ACTIONS(2125),
    [anon_sym_gmtime] = ACTIONS(2125),
    [anon_sym_getc] = ACTIONS(2125),
    [anon_sym_getpgrp] = ACTIONS(2125),
    [anon_sym_getprotobyname] = ACTIONS(2125),
    [anon_sym_getpwname] = ACTIONS(2125),
    [anon_sym_getpwuid] = ACTIONS(2125),
    [anon_sym_getpeername] = ACTIONS(2125),
    [anon_sym_getnetbyname] = ACTIONS(2125),
    [anon_sym_getsockname] = ACTIONS(2125),
    [anon_sym_getgrnam] = ACTIONS(2125),
    [anon_sym_getgrgid] = ACTIONS(2125),
    [anon_sym_hex] = ACTIONS(2125),
    [anon_sym_int] = ACTIONS(2125),
    [anon_sym_keys] = ACTIONS(2125),
    [anon_sym_lc] = ACTIONS(2125),
    [anon_sym_lcfirst] = ACTIONS(2125),
    [anon_sym_length] = ACTIONS(2125),
    [anon_sym_localtime] = ACTIONS(2125),
    [anon_sym_log] = ACTIONS(2125),
    [anon_sym_lock] = ACTIONS(2125),
    [anon_sym_lstat] = ACTIONS(2125),
    [anon_sym_oct] = ACTIONS(2125),
    [anon_sym_ord] = ACTIONS(2125),
    [anon_sym_prototype] = ACTIONS(2125),
    [anon_sym_pop] = ACTIONS(2125),
    [anon_sym_pos] = ACTIONS(2125),
    [anon_sym_quotemeta] = ACTIONS(2125),
    [anon_sym_reset] = ACTIONS(2125),
    [anon_sym_rand] = ACTIONS(2125),
    [anon_sym_rmdir] = ACTIONS(2125),
    [anon_sym_readdir] = ACTIONS(2125),
    [anon_sym_readline] = ACTIONS(2125),
    [anon_sym_readpipe] = ACTIONS(2125),
    [anon_sym_rewinddir] = ACTIONS(2125),
    [anon_sym_readlink] = ACTIONS(2125),
    [anon_sym_ref] = ACTIONS(2125),
    [anon_sym_scalar] = ACTIONS(2125),
    [anon_sym_shift] = ACTIONS(2125),
    [anon_sym_sin] = ACTIONS(2125),
    [anon_sym_sleep] = ACTIONS(2125),
    [anon_sym_sqrt] = ACTIONS(2125),
    [anon_sym_srand] = ACTIONS(2125),
    [anon_sym_stat] = ACTIONS(2125),
    [anon_sym_study] = ACTIONS(2125),
    [anon_sym_tell] = ACTIONS(2125),
    [anon_sym_telldir] = ACTIONS(2125),
    [anon_sym_tied] = ACTIONS(2125),
    [anon_sym_uc] = ACTIONS(2125),
    [anon_sym_ucfirst] = ACTIONS(2125),
    [anon_sym_untie] = ACTIONS(2125),
    [anon_sym_umask] = ACTIONS(2125),
    [anon_sym_values] = ACTIONS(2125),
    [anon_sym_write] = ACTIONS(2125),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2125),
    [anon_sym_qq] = ACTIONS(2125),
    [anon_sym_qw] = ACTIONS(2125),
    [anon_sym_qx] = ACTIONS(2125),
    [anon_sym_qr] = ACTIONS(2125),
    [anon_sym_m] = ACTIONS(2125),
    [anon_sym_s] = ACTIONS(2125),
    [anon_sym_tr] = ACTIONS(2125),
    [anon_sym_y] = ACTIONS(2125),
    [aux_sym__bareword_token1] = ACTIONS(2125),
    [sym_number] = ACTIONS(2125),
    [anon_sym_true] = ACTIONS(2125),
    [anon_sym_false] = ACTIONS(2125),
    [sym__single_quote] = ACTIONS(2123),
    [sym__double_quote] = ACTIONS(2123),
    [sym__backtick_quote] = ACTIONS(2123),
    [sym__search_slash_quote] = ACTIONS(2123),
    [sym__open_readline_bracket] = ACTIONS(2123),
    [sym__open_fileglob_bracket] = ACTIONS(2123),
    [sym__PERLY_HEREDOC] = ACTIONS(2123),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2123),
    [sym__filetest] = ACTIONS(2123),
  },
  [1160] = {
    [sym_heredoc_content] = STATE(1160),
    [sym__identifier] = ACTIONS(2149),
    [anon_sym_LBRACE] = ACTIONS(2149),
    [anon_sym_DOLLAR] = ACTIONS(2149),
    [anon_sym_AT] = ACTIONS(2149),
    [anon_sym_RPAREN] = ACTIONS(2149),
    [anon_sym_my] = ACTIONS(2149),
    [anon_sym_extended] = ACTIONS(2149),
    [anon_sym_async] = ACTIONS(2149),
    [anon_sym_sub] = ACTIONS(2149),
    [anon_sym_method] = ACTIONS(2149),
    [anon_sym_LPAREN] = ACTIONS(2149),
    [anon_sym_continue] = ACTIONS(2149),
    [anon_sym_state] = ACTIONS(2149),
    [anon_sym_our] = ACTIONS(2149),
    [anon_sym_LBRACK] = ACTIONS(2149),
    [anon_sym_LT_LT] = ACTIONS(2149),
    [anon_sym_SLASH_SLASH] = ACTIONS(2149),
    [anon_sym_PLUS] = ACTIONS(2149),
    [anon_sym_DASH] = ACTIONS(2149),
    [anon_sym_TILDE] = ACTIONS(2149),
    [anon_sym_BANG] = ACTIONS(2149),
    [anon_sym_PLUS_PLUS] = ACTIONS(2149),
    [anon_sym_DASH_DASH] = ACTIONS(2149),
    [anon_sym_BSLASH] = ACTIONS(2147),
    [anon_sym_do] = ACTIONS(2149),
    [anon_sym_eval] = ACTIONS(2149),
    [anon_sym_await] = ACTIONS(2149),
    [anon_sym_field] = ACTIONS(2149),
    [anon_sym_local] = ACTIONS(2149),
    [anon_sym_dynamically] = ACTIONS(2149),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2149),
    [anon_sym_require] = ACTIONS(2149),
    [anon_sym_map] = ACTIONS(2149),
    [anon_sym_grep] = ACTIONS(2149),
    [anon_sym_sort] = ACTIONS(2149),
    [anon_sym_goto] = ACTIONS(2149),
    [anon_sym_return] = ACTIONS(2149),
    [anon_sym_undef] = ACTIONS(2149),
    [anon_sym_PERCENT2] = ACTIONS(2149),
    [anon_sym_AMP2] = ACTIONS(2149),
    [anon_sym_STAR2] = ACTIONS(2149),
    [anon_sym_last] = ACTIONS(2149),
    [anon_sym_next] = ACTIONS(2149),
    [anon_sym_redo] = ACTIONS(2149),
    [anon_sym___FILE__] = ACTIONS(2149),
    [anon_sym___LINE__] = ACTIONS(2149),
    [anon_sym___PACKAGE__] = ACTIONS(2149),
    [anon_sym___SUB__] = ACTIONS(2149),
    [anon_sym_break] = ACTIONS(2149),
    [anon_sym_fork] = ACTIONS(2149),
    [anon_sym_getppid] = ACTIONS(2149),
    [anon_sym_time] = ACTIONS(2149),
    [anon_sym_times] = ACTIONS(2149),
    [anon_sym_wait] = ACTIONS(2149),
    [anon_sym_wantarray] = ACTIONS(2149),
    [anon_sym_abs] = ACTIONS(2149),
    [anon_sym_alarm] = ACTIONS(2149),
    [anon_sym_chop] = ACTIONS(2149),
    [anon_sym_chdir] = ACTIONS(2149),
    [anon_sym_close] = ACTIONS(2149),
    [anon_sym_closedir] = ACTIONS(2149),
    [anon_sym_caller] = ACTIONS(2149),
    [anon_sym_chomp] = ACTIONS(2149),
    [anon_sym_chr] = ACTIONS(2149),
    [anon_sym_cos] = ACTIONS(2149),
    [anon_sym_chroot] = ACTIONS(2149),
    [anon_sym_defined] = ACTIONS(2149),
    [anon_sym_delete] = ACTIONS(2149),
    [anon_sym_dbmclose] = ACTIONS(2149),
    [anon_sym_exists] = ACTIONS(2149),
    [anon_sym_exit] = ACTIONS(2149),
    [anon_sym_eof] = ACTIONS(2149),
    [anon_sym_exp] = ACTIONS(2149),
    [anon_sym_each] = ACTIONS(2149),
    [anon_sym_fc] = ACTIONS(2149),
    [anon_sym_fileno] = ACTIONS(2149),
    [anon_sym_gmtime] = ACTIONS(2149),
    [anon_sym_getc] = ACTIONS(2149),
    [anon_sym_getpgrp] = ACTIONS(2149),
    [anon_sym_getprotobyname] = ACTIONS(2149),
    [anon_sym_getpwname] = ACTIONS(2149),
    [anon_sym_getpwuid] = ACTIONS(2149),
    [anon_sym_getpeername] = ACTIONS(2149),
    [anon_sym_getnetbyname] = ACTIONS(2149),
    [anon_sym_getsockname] = ACTIONS(2149),
    [anon_sym_getgrnam] = ACTIONS(2149),
    [anon_sym_getgrgid] = ACTIONS(2149),
    [anon_sym_hex] = ACTIONS(2149),
    [anon_sym_int] = ACTIONS(2149),
    [anon_sym_keys] = ACTIONS(2149),
    [anon_sym_lc] = ACTIONS(2149),
    [anon_sym_lcfirst] = ACTIONS(2149),
    [anon_sym_length] = ACTIONS(2149),
    [anon_sym_localtime] = ACTIONS(2149),
    [anon_sym_log] = ACTIONS(2149),
    [anon_sym_lock] = ACTIONS(2149),
    [anon_sym_lstat] = ACTIONS(2149),
    [anon_sym_oct] = ACTIONS(2149),
    [anon_sym_ord] = ACTIONS(2149),
    [anon_sym_prototype] = ACTIONS(2149),
    [anon_sym_pop] = ACTIONS(2149),
    [anon_sym_pos] = ACTIONS(2149),
    [anon_sym_quotemeta] = ACTIONS(2149),
    [anon_sym_reset] = ACTIONS(2149),
    [anon_sym_rand] = ACTIONS(2149),
    [anon_sym_rmdir] = ACTIONS(2149),
    [anon_sym_readdir] = ACTIONS(2149),
    [anon_sym_readline] = ACTIONS(2149),
    [anon_sym_readpipe] = ACTIONS(2149),
    [anon_sym_rewinddir] = ACTIONS(2149),
    [anon_sym_readlink] = ACTIONS(2149),
    [anon_sym_ref] = ACTIONS(2149),
    [anon_sym_scalar] = ACTIONS(2149),
    [anon_sym_shift] = ACTIONS(2149),
    [anon_sym_sin] = ACTIONS(2149),
    [anon_sym_sleep] = ACTIONS(2149),
    [anon_sym_sqrt] = ACTIONS(2149),
    [anon_sym_srand] = ACTIONS(2149),
    [anon_sym_stat] = ACTIONS(2149),
    [anon_sym_study] = ACTIONS(2149),
    [anon_sym_tell] = ACTIONS(2149),
    [anon_sym_telldir] = ACTIONS(2149),
    [anon_sym_tied] = ACTIONS(2149),
    [anon_sym_uc] = ACTIONS(2149),
    [anon_sym_ucfirst] = ACTIONS(2149),
    [anon_sym_untie] = ACTIONS(2149),
    [anon_sym_umask] = ACTIONS(2149),
    [anon_sym_values] = ACTIONS(2149),
    [anon_sym_write] = ACTIONS(2149),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2149),
    [anon_sym_qq] = ACTIONS(2149),
    [anon_sym_qw] = ACTIONS(2149),
    [anon_sym_qx] = ACTIONS(2149),
    [anon_sym_qr] = ACTIONS(2149),
    [anon_sym_m] = ACTIONS(2149),
    [anon_sym_s] = ACTIONS(2149),
    [anon_sym_tr] = ACTIONS(2149),
    [anon_sym_y] = ACTIONS(2149),
    [aux_sym__bareword_token1] = ACTIONS(2149),
    [sym_number] = ACTIONS(2149),
    [anon_sym_true] = ACTIONS(2149),
    [anon_sym_false] = ACTIONS(2149),
    [sym__single_quote] = ACTIONS(2147),
    [sym__double_quote] = ACTIONS(2147),
    [sym__backtick_quote] = ACTIONS(2147),
    [sym__search_slash_quote] = ACTIONS(2147),
    [sym__open_readline_bracket] = ACTIONS(2147),
    [sym__open_fileglob_bracket] = ACTIONS(2147),
    [sym__PERLY_HEREDOC] = ACTIONS(2147),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2147),
    [sym__filetest] = ACTIONS(2147),
  },
  [1161] = {
    [sym_heredoc_content] = STATE(1161),
    [sym__identifier] = ACTIONS(2045),
    [anon_sym_LBRACE] = ACTIONS(2045),
    [anon_sym_DOLLAR] = ACTIONS(2045),
    [anon_sym_AT] = ACTIONS(2045),
    [anon_sym_RPAREN] = ACTIONS(2045),
    [anon_sym_my] = ACTIONS(2045),
    [anon_sym_extended] = ACTIONS(2045),
    [anon_sym_async] = ACTIONS(2045),
    [anon_sym_sub] = ACTIONS(2045),
    [anon_sym_method] = ACTIONS(2045),
    [anon_sym_LPAREN] = ACTIONS(2045),
    [anon_sym_continue] = ACTIONS(2045),
    [anon_sym_state] = ACTIONS(2045),
    [anon_sym_our] = ACTIONS(2045),
    [anon_sym_LBRACK] = ACTIONS(2045),
    [anon_sym_LT_LT] = ACTIONS(2045),
    [anon_sym_SLASH_SLASH] = ACTIONS(2045),
    [anon_sym_PLUS] = ACTIONS(2045),
    [anon_sym_DASH] = ACTIONS(2045),
    [anon_sym_TILDE] = ACTIONS(2045),
    [anon_sym_BANG] = ACTIONS(2045),
    [anon_sym_PLUS_PLUS] = ACTIONS(2045),
    [anon_sym_DASH_DASH] = ACTIONS(2045),
    [anon_sym_BSLASH] = ACTIONS(2043),
    [anon_sym_do] = ACTIONS(2045),
    [anon_sym_eval] = ACTIONS(2045),
    [anon_sym_await] = ACTIONS(2045),
    [anon_sym_field] = ACTIONS(2045),
    [anon_sym_local] = ACTIONS(2045),
    [anon_sym_dynamically] = ACTIONS(2045),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2045),
    [anon_sym_require] = ACTIONS(2045),
    [anon_sym_map] = ACTIONS(2045),
    [anon_sym_grep] = ACTIONS(2045),
    [anon_sym_sort] = ACTIONS(2045),
    [anon_sym_goto] = ACTIONS(2045),
    [anon_sym_return] = ACTIONS(2045),
    [anon_sym_undef] = ACTIONS(2045),
    [anon_sym_PERCENT2] = ACTIONS(2045),
    [anon_sym_AMP2] = ACTIONS(2045),
    [anon_sym_STAR2] = ACTIONS(2045),
    [anon_sym_last] = ACTIONS(2045),
    [anon_sym_next] = ACTIONS(2045),
    [anon_sym_redo] = ACTIONS(2045),
    [anon_sym___FILE__] = ACTIONS(2045),
    [anon_sym___LINE__] = ACTIONS(2045),
    [anon_sym___PACKAGE__] = ACTIONS(2045),
    [anon_sym___SUB__] = ACTIONS(2045),
    [anon_sym_break] = ACTIONS(2045),
    [anon_sym_fork] = ACTIONS(2045),
    [anon_sym_getppid] = ACTIONS(2045),
    [anon_sym_time] = ACTIONS(2045),
    [anon_sym_times] = ACTIONS(2045),
    [anon_sym_wait] = ACTIONS(2045),
    [anon_sym_wantarray] = ACTIONS(2045),
    [anon_sym_abs] = ACTIONS(2045),
    [anon_sym_alarm] = ACTIONS(2045),
    [anon_sym_chop] = ACTIONS(2045),
    [anon_sym_chdir] = ACTIONS(2045),
    [anon_sym_close] = ACTIONS(2045),
    [anon_sym_closedir] = ACTIONS(2045),
    [anon_sym_caller] = ACTIONS(2045),
    [anon_sym_chomp] = ACTIONS(2045),
    [anon_sym_chr] = ACTIONS(2045),
    [anon_sym_cos] = ACTIONS(2045),
    [anon_sym_chroot] = ACTIONS(2045),
    [anon_sym_defined] = ACTIONS(2045),
    [anon_sym_delete] = ACTIONS(2045),
    [anon_sym_dbmclose] = ACTIONS(2045),
    [anon_sym_exists] = ACTIONS(2045),
    [anon_sym_exit] = ACTIONS(2045),
    [anon_sym_eof] = ACTIONS(2045),
    [anon_sym_exp] = ACTIONS(2045),
    [anon_sym_each] = ACTIONS(2045),
    [anon_sym_fc] = ACTIONS(2045),
    [anon_sym_fileno] = ACTIONS(2045),
    [anon_sym_gmtime] = ACTIONS(2045),
    [anon_sym_getc] = ACTIONS(2045),
    [anon_sym_getpgrp] = ACTIONS(2045),
    [anon_sym_getprotobyname] = ACTIONS(2045),
    [anon_sym_getpwname] = ACTIONS(2045),
    [anon_sym_getpwuid] = ACTIONS(2045),
    [anon_sym_getpeername] = ACTIONS(2045),
    [anon_sym_getnetbyname] = ACTIONS(2045),
    [anon_sym_getsockname] = ACTIONS(2045),
    [anon_sym_getgrnam] = ACTIONS(2045),
    [anon_sym_getgrgid] = ACTIONS(2045),
    [anon_sym_hex] = ACTIONS(2045),
    [anon_sym_int] = ACTIONS(2045),
    [anon_sym_keys] = ACTIONS(2045),
    [anon_sym_lc] = ACTIONS(2045),
    [anon_sym_lcfirst] = ACTIONS(2045),
    [anon_sym_length] = ACTIONS(2045),
    [anon_sym_localtime] = ACTIONS(2045),
    [anon_sym_log] = ACTIONS(2045),
    [anon_sym_lock] = ACTIONS(2045),
    [anon_sym_lstat] = ACTIONS(2045),
    [anon_sym_oct] = ACTIONS(2045),
    [anon_sym_ord] = ACTIONS(2045),
    [anon_sym_prototype] = ACTIONS(2045),
    [anon_sym_pop] = ACTIONS(2045),
    [anon_sym_pos] = ACTIONS(2045),
    [anon_sym_quotemeta] = ACTIONS(2045),
    [anon_sym_reset] = ACTIONS(2045),
    [anon_sym_rand] = ACTIONS(2045),
    [anon_sym_rmdir] = ACTIONS(2045),
    [anon_sym_readdir] = ACTIONS(2045),
    [anon_sym_readline] = ACTIONS(2045),
    [anon_sym_readpipe] = ACTIONS(2045),
    [anon_sym_rewinddir] = ACTIONS(2045),
    [anon_sym_readlink] = ACTIONS(2045),
    [anon_sym_ref] = ACTIONS(2045),
    [anon_sym_scalar] = ACTIONS(2045),
    [anon_sym_shift] = ACTIONS(2045),
    [anon_sym_sin] = ACTIONS(2045),
    [anon_sym_sleep] = ACTIONS(2045),
    [anon_sym_sqrt] = ACTIONS(2045),
    [anon_sym_srand] = ACTIONS(2045),
    [anon_sym_stat] = ACTIONS(2045),
    [anon_sym_study] = ACTIONS(2045),
    [anon_sym_tell] = ACTIONS(2045),
    [anon_sym_telldir] = ACTIONS(2045),
    [anon_sym_tied] = ACTIONS(2045),
    [anon_sym_uc] = ACTIONS(2045),
    [anon_sym_ucfirst] = ACTIONS(2045),
    [anon_sym_untie] = ACTIONS(2045),
    [anon_sym_umask] = ACTIONS(2045),
    [anon_sym_values] = ACTIONS(2045),
    [anon_sym_write] = ACTIONS(2045),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2045),
    [anon_sym_qq] = ACTIONS(2045),
    [anon_sym_qw] = ACTIONS(2045),
    [anon_sym_qx] = ACTIONS(2045),
    [anon_sym_qr] = ACTIONS(2045),
    [anon_sym_m] = ACTIONS(2045),
    [anon_sym_s] = ACTIONS(2045),
    [anon_sym_tr] = ACTIONS(2045),
    [anon_sym_y] = ACTIONS(2045),
    [aux_sym__bareword_token1] = ACTIONS(2045),
    [sym_number] = ACTIONS(2045),
    [anon_sym_true] = ACTIONS(2045),
    [anon_sym_false] = ACTIONS(2045),
    [sym__single_quote] = ACTIONS(2043),
    [sym__double_quote] = ACTIONS(2043),
    [sym__backtick_quote] = ACTIONS(2043),
    [sym__search_slash_quote] = ACTIONS(2043),
    [sym__open_readline_bracket] = ACTIONS(2043),
    [sym__open_fileglob_bracket] = ACTIONS(2043),
    [sym__PERLY_HEREDOC] = ACTIONS(2043),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2043),
    [sym__filetest] = ACTIONS(2043),
  },
  [1162] = {
    [sym_heredoc_content] = STATE(1162),
    [sym__identifier] = ACTIONS(2097),
    [anon_sym_LBRACE] = ACTIONS(2097),
    [anon_sym_DOLLAR] = ACTIONS(2097),
    [anon_sym_AT] = ACTIONS(2097),
    [anon_sym_RPAREN] = ACTIONS(2097),
    [anon_sym_my] = ACTIONS(2097),
    [anon_sym_extended] = ACTIONS(2097),
    [anon_sym_async] = ACTIONS(2097),
    [anon_sym_sub] = ACTIONS(2097),
    [anon_sym_method] = ACTIONS(2097),
    [anon_sym_LPAREN] = ACTIONS(2097),
    [anon_sym_continue] = ACTIONS(2097),
    [anon_sym_state] = ACTIONS(2097),
    [anon_sym_our] = ACTIONS(2097),
    [anon_sym_LBRACK] = ACTIONS(2097),
    [anon_sym_LT_LT] = ACTIONS(2097),
    [anon_sym_SLASH_SLASH] = ACTIONS(2097),
    [anon_sym_PLUS] = ACTIONS(2097),
    [anon_sym_DASH] = ACTIONS(2097),
    [anon_sym_TILDE] = ACTIONS(2097),
    [anon_sym_BANG] = ACTIONS(2097),
    [anon_sym_PLUS_PLUS] = ACTIONS(2097),
    [anon_sym_DASH_DASH] = ACTIONS(2097),
    [anon_sym_BSLASH] = ACTIONS(2095),
    [anon_sym_do] = ACTIONS(2097),
    [anon_sym_eval] = ACTIONS(2097),
    [anon_sym_await] = ACTIONS(2097),
    [anon_sym_field] = ACTIONS(2097),
    [anon_sym_local] = ACTIONS(2097),
    [anon_sym_dynamically] = ACTIONS(2097),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2097),
    [anon_sym_require] = ACTIONS(2097),
    [anon_sym_map] = ACTIONS(2097),
    [anon_sym_grep] = ACTIONS(2097),
    [anon_sym_sort] = ACTIONS(2097),
    [anon_sym_goto] = ACTIONS(2097),
    [anon_sym_return] = ACTIONS(2097),
    [anon_sym_undef] = ACTIONS(2097),
    [anon_sym_PERCENT2] = ACTIONS(2097),
    [anon_sym_AMP2] = ACTIONS(2097),
    [anon_sym_STAR2] = ACTIONS(2097),
    [anon_sym_last] = ACTIONS(2097),
    [anon_sym_next] = ACTIONS(2097),
    [anon_sym_redo] = ACTIONS(2097),
    [anon_sym___FILE__] = ACTIONS(2097),
    [anon_sym___LINE__] = ACTIONS(2097),
    [anon_sym___PACKAGE__] = ACTIONS(2097),
    [anon_sym___SUB__] = ACTIONS(2097),
    [anon_sym_break] = ACTIONS(2097),
    [anon_sym_fork] = ACTIONS(2097),
    [anon_sym_getppid] = ACTIONS(2097),
    [anon_sym_time] = ACTIONS(2097),
    [anon_sym_times] = ACTIONS(2097),
    [anon_sym_wait] = ACTIONS(2097),
    [anon_sym_wantarray] = ACTIONS(2097),
    [anon_sym_abs] = ACTIONS(2097),
    [anon_sym_alarm] = ACTIONS(2097),
    [anon_sym_chop] = ACTIONS(2097),
    [anon_sym_chdir] = ACTIONS(2097),
    [anon_sym_close] = ACTIONS(2097),
    [anon_sym_closedir] = ACTIONS(2097),
    [anon_sym_caller] = ACTIONS(2097),
    [anon_sym_chomp] = ACTIONS(2097),
    [anon_sym_chr] = ACTIONS(2097),
    [anon_sym_cos] = ACTIONS(2097),
    [anon_sym_chroot] = ACTIONS(2097),
    [anon_sym_defined] = ACTIONS(2097),
    [anon_sym_delete] = ACTIONS(2097),
    [anon_sym_dbmclose] = ACTIONS(2097),
    [anon_sym_exists] = ACTIONS(2097),
    [anon_sym_exit] = ACTIONS(2097),
    [anon_sym_eof] = ACTIONS(2097),
    [anon_sym_exp] = ACTIONS(2097),
    [anon_sym_each] = ACTIONS(2097),
    [anon_sym_fc] = ACTIONS(2097),
    [anon_sym_fileno] = ACTIONS(2097),
    [anon_sym_gmtime] = ACTIONS(2097),
    [anon_sym_getc] = ACTIONS(2097),
    [anon_sym_getpgrp] = ACTIONS(2097),
    [anon_sym_getprotobyname] = ACTIONS(2097),
    [anon_sym_getpwname] = ACTIONS(2097),
    [anon_sym_getpwuid] = ACTIONS(2097),
    [anon_sym_getpeername] = ACTIONS(2097),
    [anon_sym_getnetbyname] = ACTIONS(2097),
    [anon_sym_getsockname] = ACTIONS(2097),
    [anon_sym_getgrnam] = ACTIONS(2097),
    [anon_sym_getgrgid] = ACTIONS(2097),
    [anon_sym_hex] = ACTIONS(2097),
    [anon_sym_int] = ACTIONS(2097),
    [anon_sym_keys] = ACTIONS(2097),
    [anon_sym_lc] = ACTIONS(2097),
    [anon_sym_lcfirst] = ACTIONS(2097),
    [anon_sym_length] = ACTIONS(2097),
    [anon_sym_localtime] = ACTIONS(2097),
    [anon_sym_log] = ACTIONS(2097),
    [anon_sym_lock] = ACTIONS(2097),
    [anon_sym_lstat] = ACTIONS(2097),
    [anon_sym_oct] = ACTIONS(2097),
    [anon_sym_ord] = ACTIONS(2097),
    [anon_sym_prototype] = ACTIONS(2097),
    [anon_sym_pop] = ACTIONS(2097),
    [anon_sym_pos] = ACTIONS(2097),
    [anon_sym_quotemeta] = ACTIONS(2097),
    [anon_sym_reset] = ACTIONS(2097),
    [anon_sym_rand] = ACTIONS(2097),
    [anon_sym_rmdir] = ACTIONS(2097),
    [anon_sym_readdir] = ACTIONS(2097),
    [anon_sym_readline] = ACTIONS(2097),
    [anon_sym_readpipe] = ACTIONS(2097),
    [anon_sym_rewinddir] = ACTIONS(2097),
    [anon_sym_readlink] = ACTIONS(2097),
    [anon_sym_ref] = ACTIONS(2097),
    [anon_sym_scalar] = ACTIONS(2097),
    [anon_sym_shift] = ACTIONS(2097),
    [anon_sym_sin] = ACTIONS(2097),
    [anon_sym_sleep] = ACTIONS(2097),
    [anon_sym_sqrt] = ACTIONS(2097),
    [anon_sym_srand] = ACTIONS(2097),
    [anon_sym_stat] = ACTIONS(2097),
    [anon_sym_study] = ACTIONS(2097),
    [anon_sym_tell] = ACTIONS(2097),
    [anon_sym_telldir] = ACTIONS(2097),
    [anon_sym_tied] = ACTIONS(2097),
    [anon_sym_uc] = ACTIONS(2097),
    [anon_sym_ucfirst] = ACTIONS(2097),
    [anon_sym_untie] = ACTIONS(2097),
    [anon_sym_umask] = ACTIONS(2097),
    [anon_sym_values] = ACTIONS(2097),
    [anon_sym_write] = ACTIONS(2097),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2097),
    [anon_sym_qq] = ACTIONS(2097),
    [anon_sym_qw] = ACTIONS(2097),
    [anon_sym_qx] = ACTIONS(2097),
    [anon_sym_qr] = ACTIONS(2097),
    [anon_sym_m] = ACTIONS(2097),
    [anon_sym_s] = ACTIONS(2097),
    [anon_sym_tr] = ACTIONS(2097),
    [anon_sym_y] = ACTIONS(2097),
    [aux_sym__bareword_token1] = ACTIONS(2097),
    [sym_number] = ACTIONS(2097),
    [anon_sym_true] = ACTIONS(2097),
    [anon_sym_false] = ACTIONS(2097),
    [sym__single_quote] = ACTIONS(2095),
    [sym__double_quote] = ACTIONS(2095),
    [sym__backtick_quote] = ACTIONS(2095),
    [sym__search_slash_quote] = ACTIONS(2095),
    [sym__open_readline_bracket] = ACTIONS(2095),
    [sym__open_fileglob_bracket] = ACTIONS(2095),
    [sym__PERLY_HEREDOC] = ACTIONS(2095),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2095),
    [sym__filetest] = ACTIONS(2095),
  },
  [1163] = {
    [sym_heredoc_content] = STATE(1163),
    [sym__identifier] = ACTIONS(2161),
    [anon_sym_LBRACE] = ACTIONS(2161),
    [anon_sym_DOLLAR] = ACTIONS(2161),
    [anon_sym_AT] = ACTIONS(2161),
    [anon_sym_RPAREN] = ACTIONS(2161),
    [anon_sym_my] = ACTIONS(2161),
    [anon_sym_extended] = ACTIONS(2161),
    [anon_sym_async] = ACTIONS(2161),
    [anon_sym_sub] = ACTIONS(2161),
    [anon_sym_method] = ACTIONS(2161),
    [anon_sym_LPAREN] = ACTIONS(2161),
    [anon_sym_continue] = ACTIONS(2161),
    [anon_sym_state] = ACTIONS(2161),
    [anon_sym_our] = ACTIONS(2161),
    [anon_sym_LBRACK] = ACTIONS(2161),
    [anon_sym_LT_LT] = ACTIONS(2161),
    [anon_sym_SLASH_SLASH] = ACTIONS(2161),
    [anon_sym_PLUS] = ACTIONS(2161),
    [anon_sym_DASH] = ACTIONS(2161),
    [anon_sym_TILDE] = ACTIONS(2161),
    [anon_sym_BANG] = ACTIONS(2161),
    [anon_sym_PLUS_PLUS] = ACTIONS(2161),
    [anon_sym_DASH_DASH] = ACTIONS(2161),
    [anon_sym_BSLASH] = ACTIONS(2159),
    [anon_sym_do] = ACTIONS(2161),
    [anon_sym_eval] = ACTIONS(2161),
    [anon_sym_await] = ACTIONS(2161),
    [anon_sym_field] = ACTIONS(2161),
    [anon_sym_local] = ACTIONS(2161),
    [anon_sym_dynamically] = ACTIONS(2161),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2161),
    [anon_sym_require] = ACTIONS(2161),
    [anon_sym_map] = ACTIONS(2161),
    [anon_sym_grep] = ACTIONS(2161),
    [anon_sym_sort] = ACTIONS(2161),
    [anon_sym_goto] = ACTIONS(2161),
    [anon_sym_return] = ACTIONS(2161),
    [anon_sym_undef] = ACTIONS(2161),
    [anon_sym_PERCENT2] = ACTIONS(2161),
    [anon_sym_AMP2] = ACTIONS(2161),
    [anon_sym_STAR2] = ACTIONS(2161),
    [anon_sym_last] = ACTIONS(2161),
    [anon_sym_next] = ACTIONS(2161),
    [anon_sym_redo] = ACTIONS(2161),
    [anon_sym___FILE__] = ACTIONS(2161),
    [anon_sym___LINE__] = ACTIONS(2161),
    [anon_sym___PACKAGE__] = ACTIONS(2161),
    [anon_sym___SUB__] = ACTIONS(2161),
    [anon_sym_break] = ACTIONS(2161),
    [anon_sym_fork] = ACTIONS(2161),
    [anon_sym_getppid] = ACTIONS(2161),
    [anon_sym_time] = ACTIONS(2161),
    [anon_sym_times] = ACTIONS(2161),
    [anon_sym_wait] = ACTIONS(2161),
    [anon_sym_wantarray] = ACTIONS(2161),
    [anon_sym_abs] = ACTIONS(2161),
    [anon_sym_alarm] = ACTIONS(2161),
    [anon_sym_chop] = ACTIONS(2161),
    [anon_sym_chdir] = ACTIONS(2161),
    [anon_sym_close] = ACTIONS(2161),
    [anon_sym_closedir] = ACTIONS(2161),
    [anon_sym_caller] = ACTIONS(2161),
    [anon_sym_chomp] = ACTIONS(2161),
    [anon_sym_chr] = ACTIONS(2161),
    [anon_sym_cos] = ACTIONS(2161),
    [anon_sym_chroot] = ACTIONS(2161),
    [anon_sym_defined] = ACTIONS(2161),
    [anon_sym_delete] = ACTIONS(2161),
    [anon_sym_dbmclose] = ACTIONS(2161),
    [anon_sym_exists] = ACTIONS(2161),
    [anon_sym_exit] = ACTIONS(2161),
    [anon_sym_eof] = ACTIONS(2161),
    [anon_sym_exp] = ACTIONS(2161),
    [anon_sym_each] = ACTIONS(2161),
    [anon_sym_fc] = ACTIONS(2161),
    [anon_sym_fileno] = ACTIONS(2161),
    [anon_sym_gmtime] = ACTIONS(2161),
    [anon_sym_getc] = ACTIONS(2161),
    [anon_sym_getpgrp] = ACTIONS(2161),
    [anon_sym_getprotobyname] = ACTIONS(2161),
    [anon_sym_getpwname] = ACTIONS(2161),
    [anon_sym_getpwuid] = ACTIONS(2161),
    [anon_sym_getpeername] = ACTIONS(2161),
    [anon_sym_getnetbyname] = ACTIONS(2161),
    [anon_sym_getsockname] = ACTIONS(2161),
    [anon_sym_getgrnam] = ACTIONS(2161),
    [anon_sym_getgrgid] = ACTIONS(2161),
    [anon_sym_hex] = ACTIONS(2161),
    [anon_sym_int] = ACTIONS(2161),
    [anon_sym_keys] = ACTIONS(2161),
    [anon_sym_lc] = ACTIONS(2161),
    [anon_sym_lcfirst] = ACTIONS(2161),
    [anon_sym_length] = ACTIONS(2161),
    [anon_sym_localtime] = ACTIONS(2161),
    [anon_sym_log] = ACTIONS(2161),
    [anon_sym_lock] = ACTIONS(2161),
    [anon_sym_lstat] = ACTIONS(2161),
    [anon_sym_oct] = ACTIONS(2161),
    [anon_sym_ord] = ACTIONS(2161),
    [anon_sym_prototype] = ACTIONS(2161),
    [anon_sym_pop] = ACTIONS(2161),
    [anon_sym_pos] = ACTIONS(2161),
    [anon_sym_quotemeta] = ACTIONS(2161),
    [anon_sym_reset] = ACTIONS(2161),
    [anon_sym_rand] = ACTIONS(2161),
    [anon_sym_rmdir] = ACTIONS(2161),
    [anon_sym_readdir] = ACTIONS(2161),
    [anon_sym_readline] = ACTIONS(2161),
    [anon_sym_readpipe] = ACTIONS(2161),
    [anon_sym_rewinddir] = ACTIONS(2161),
    [anon_sym_readlink] = ACTIONS(2161),
    [anon_sym_ref] = ACTIONS(2161),
    [anon_sym_scalar] = ACTIONS(2161),
    [anon_sym_shift] = ACTIONS(2161),
    [anon_sym_sin] = ACTIONS(2161),
    [anon_sym_sleep] = ACTIONS(2161),
    [anon_sym_sqrt] = ACTIONS(2161),
    [anon_sym_srand] = ACTIONS(2161),
    [anon_sym_stat] = ACTIONS(2161),
    [anon_sym_study] = ACTIONS(2161),
    [anon_sym_tell] = ACTIONS(2161),
    [anon_sym_telldir] = ACTIONS(2161),
    [anon_sym_tied] = ACTIONS(2161),
    [anon_sym_uc] = ACTIONS(2161),
    [anon_sym_ucfirst] = ACTIONS(2161),
    [anon_sym_untie] = ACTIONS(2161),
    [anon_sym_umask] = ACTIONS(2161),
    [anon_sym_values] = ACTIONS(2161),
    [anon_sym_write] = ACTIONS(2161),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2161),
    [anon_sym_qq] = ACTIONS(2161),
    [anon_sym_qw] = ACTIONS(2161),
    [anon_sym_qx] = ACTIONS(2161),
    [anon_sym_qr] = ACTIONS(2161),
    [anon_sym_m] = ACTIONS(2161),
    [anon_sym_s] = ACTIONS(2161),
    [anon_sym_tr] = ACTIONS(2161),
    [anon_sym_y] = ACTIONS(2161),
    [aux_sym__bareword_token1] = ACTIONS(2161),
    [sym_number] = ACTIONS(2161),
    [anon_sym_true] = ACTIONS(2161),
    [anon_sym_false] = ACTIONS(2161),
    [sym__single_quote] = ACTIONS(2159),
    [sym__double_quote] = ACTIONS(2159),
    [sym__backtick_quote] = ACTIONS(2159),
    [sym__search_slash_quote] = ACTIONS(2159),
    [sym__open_readline_bracket] = ACTIONS(2159),
    [sym__open_fileglob_bracket] = ACTIONS(2159),
    [sym__PERLY_HEREDOC] = ACTIONS(2159),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2159),
    [sym__filetest] = ACTIONS(2159),
  },
  [1164] = {
    [sym_heredoc_content] = STATE(1164),
    [sym__identifier] = ACTIONS(2017),
    [anon_sym_LBRACE] = ACTIONS(2017),
    [anon_sym_DOLLAR] = ACTIONS(2017),
    [anon_sym_AT] = ACTIONS(2017),
    [anon_sym_RPAREN] = ACTIONS(2017),
    [anon_sym_my] = ACTIONS(2017),
    [anon_sym_extended] = ACTIONS(2017),
    [anon_sym_async] = ACTIONS(2017),
    [anon_sym_sub] = ACTIONS(2017),
    [anon_sym_method] = ACTIONS(2017),
    [anon_sym_LPAREN] = ACTIONS(2017),
    [anon_sym_continue] = ACTIONS(2017),
    [anon_sym_state] = ACTIONS(2017),
    [anon_sym_our] = ACTIONS(2017),
    [anon_sym_LBRACK] = ACTIONS(2017),
    [anon_sym_LT_LT] = ACTIONS(2017),
    [anon_sym_SLASH_SLASH] = ACTIONS(2017),
    [anon_sym_PLUS] = ACTIONS(2017),
    [anon_sym_DASH] = ACTIONS(2017),
    [anon_sym_TILDE] = ACTIONS(2017),
    [anon_sym_BANG] = ACTIONS(2017),
    [anon_sym_PLUS_PLUS] = ACTIONS(2017),
    [anon_sym_DASH_DASH] = ACTIONS(2017),
    [anon_sym_BSLASH] = ACTIONS(2015),
    [anon_sym_do] = ACTIONS(2017),
    [anon_sym_eval] = ACTIONS(2017),
    [anon_sym_await] = ACTIONS(2017),
    [anon_sym_field] = ACTIONS(2017),
    [anon_sym_local] = ACTIONS(2017),
    [anon_sym_dynamically] = ACTIONS(2017),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2017),
    [anon_sym_require] = ACTIONS(2017),
    [anon_sym_map] = ACTIONS(2017),
    [anon_sym_grep] = ACTIONS(2017),
    [anon_sym_sort] = ACTIONS(2017),
    [anon_sym_goto] = ACTIONS(2017),
    [anon_sym_return] = ACTIONS(2017),
    [anon_sym_undef] = ACTIONS(2017),
    [anon_sym_PERCENT2] = ACTIONS(2017),
    [anon_sym_AMP2] = ACTIONS(2017),
    [anon_sym_STAR2] = ACTIONS(2017),
    [anon_sym_last] = ACTIONS(2017),
    [anon_sym_next] = ACTIONS(2017),
    [anon_sym_redo] = ACTIONS(2017),
    [anon_sym___FILE__] = ACTIONS(2017),
    [anon_sym___LINE__] = ACTIONS(2017),
    [anon_sym___PACKAGE__] = ACTIONS(2017),
    [anon_sym___SUB__] = ACTIONS(2017),
    [anon_sym_break] = ACTIONS(2017),
    [anon_sym_fork] = ACTIONS(2017),
    [anon_sym_getppid] = ACTIONS(2017),
    [anon_sym_time] = ACTIONS(2017),
    [anon_sym_times] = ACTIONS(2017),
    [anon_sym_wait] = ACTIONS(2017),
    [anon_sym_wantarray] = ACTIONS(2017),
    [anon_sym_abs] = ACTIONS(2017),
    [anon_sym_alarm] = ACTIONS(2017),
    [anon_sym_chop] = ACTIONS(2017),
    [anon_sym_chdir] = ACTIONS(2017),
    [anon_sym_close] = ACTIONS(2017),
    [anon_sym_closedir] = ACTIONS(2017),
    [anon_sym_caller] = ACTIONS(2017),
    [anon_sym_chomp] = ACTIONS(2017),
    [anon_sym_chr] = ACTIONS(2017),
    [anon_sym_cos] = ACTIONS(2017),
    [anon_sym_chroot] = ACTIONS(2017),
    [anon_sym_defined] = ACTIONS(2017),
    [anon_sym_delete] = ACTIONS(2017),
    [anon_sym_dbmclose] = ACTIONS(2017),
    [anon_sym_exists] = ACTIONS(2017),
    [anon_sym_exit] = ACTIONS(2017),
    [anon_sym_eof] = ACTIONS(2017),
    [anon_sym_exp] = ACTIONS(2017),
    [anon_sym_each] = ACTIONS(2017),
    [anon_sym_fc] = ACTIONS(2017),
    [anon_sym_fileno] = ACTIONS(2017),
    [anon_sym_gmtime] = ACTIONS(2017),
    [anon_sym_getc] = ACTIONS(2017),
    [anon_sym_getpgrp] = ACTIONS(2017),
    [anon_sym_getprotobyname] = ACTIONS(2017),
    [anon_sym_getpwname] = ACTIONS(2017),
    [anon_sym_getpwuid] = ACTIONS(2017),
    [anon_sym_getpeername] = ACTIONS(2017),
    [anon_sym_getnetbyname] = ACTIONS(2017),
    [anon_sym_getsockname] = ACTIONS(2017),
    [anon_sym_getgrnam] = ACTIONS(2017),
    [anon_sym_getgrgid] = ACTIONS(2017),
    [anon_sym_hex] = ACTIONS(2017),
    [anon_sym_int] = ACTIONS(2017),
    [anon_sym_keys] = ACTIONS(2017),
    [anon_sym_lc] = ACTIONS(2017),
    [anon_sym_lcfirst] = ACTIONS(2017),
    [anon_sym_length] = ACTIONS(2017),
    [anon_sym_localtime] = ACTIONS(2017),
    [anon_sym_log] = ACTIONS(2017),
    [anon_sym_lock] = ACTIONS(2017),
    [anon_sym_lstat] = ACTIONS(2017),
    [anon_sym_oct] = ACTIONS(2017),
    [anon_sym_ord] = ACTIONS(2017),
    [anon_sym_prototype] = ACTIONS(2017),
    [anon_sym_pop] = ACTIONS(2017),
    [anon_sym_pos] = ACTIONS(2017),
    [anon_sym_quotemeta] = ACTIONS(2017),
    [anon_sym_reset] = ACTIONS(2017),
    [anon_sym_rand] = ACTIONS(2017),
    [anon_sym_rmdir] = ACTIONS(2017),
    [anon_sym_readdir] = ACTIONS(2017),
    [anon_sym_readline] = ACTIONS(2017),
    [anon_sym_readpipe] = ACTIONS(2017),
    [anon_sym_rewinddir] = ACTIONS(2017),
    [anon_sym_readlink] = ACTIONS(2017),
    [anon_sym_ref] = ACTIONS(2017),
    [anon_sym_scalar] = ACTIONS(2017),
    [anon_sym_shift] = ACTIONS(2017),
    [anon_sym_sin] = ACTIONS(2017),
    [anon_sym_sleep] = ACTIONS(2017),
    [anon_sym_sqrt] = ACTIONS(2017),
    [anon_sym_srand] = ACTIONS(2017),
    [anon_sym_stat] = ACTIONS(2017),
    [anon_sym_study] = ACTIONS(2017),
    [anon_sym_tell] = ACTIONS(2017),
    [anon_sym_telldir] = ACTIONS(2017),
    [anon_sym_tied] = ACTIONS(2017),
    [anon_sym_uc] = ACTIONS(2017),
    [anon_sym_ucfirst] = ACTIONS(2017),
    [anon_sym_untie] = ACTIONS(2017),
    [anon_sym_umask] = ACTIONS(2017),
    [anon_sym_values] = ACTIONS(2017),
    [anon_sym_write] = ACTIONS(2017),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2017),
    [anon_sym_qq] = ACTIONS(2017),
    [anon_sym_qw] = ACTIONS(2017),
    [anon_sym_qx] = ACTIONS(2017),
    [anon_sym_qr] = ACTIONS(2017),
    [anon_sym_m] = ACTIONS(2017),
    [anon_sym_s] = ACTIONS(2017),
    [anon_sym_tr] = ACTIONS(2017),
    [anon_sym_y] = ACTIONS(2017),
    [aux_sym__bareword_token1] = ACTIONS(2017),
    [sym_number] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(2017),
    [anon_sym_false] = ACTIONS(2017),
    [sym__single_quote] = ACTIONS(2015),
    [sym__double_quote] = ACTIONS(2015),
    [sym__backtick_quote] = ACTIONS(2015),
    [sym__search_slash_quote] = ACTIONS(2015),
    [sym__open_readline_bracket] = ACTIONS(2015),
    [sym__open_fileglob_bracket] = ACTIONS(2015),
    [sym__PERLY_HEREDOC] = ACTIONS(2015),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2015),
    [sym__filetest] = ACTIONS(2015),
  },
  [1165] = {
    [sym_heredoc_content] = STATE(1165),
    [sym__identifier] = ACTIONS(2021),
    [anon_sym_LBRACE] = ACTIONS(2021),
    [anon_sym_DOLLAR] = ACTIONS(2021),
    [anon_sym_AT] = ACTIONS(2021),
    [anon_sym_RPAREN] = ACTIONS(2021),
    [anon_sym_my] = ACTIONS(2021),
    [anon_sym_extended] = ACTIONS(2021),
    [anon_sym_async] = ACTIONS(2021),
    [anon_sym_sub] = ACTIONS(2021),
    [anon_sym_method] = ACTIONS(2021),
    [anon_sym_LPAREN] = ACTIONS(2021),
    [anon_sym_continue] = ACTIONS(2021),
    [anon_sym_state] = ACTIONS(2021),
    [anon_sym_our] = ACTIONS(2021),
    [anon_sym_LBRACK] = ACTIONS(2021),
    [anon_sym_LT_LT] = ACTIONS(2021),
    [anon_sym_SLASH_SLASH] = ACTIONS(2021),
    [anon_sym_PLUS] = ACTIONS(2021),
    [anon_sym_DASH] = ACTIONS(2021),
    [anon_sym_TILDE] = ACTIONS(2021),
    [anon_sym_BANG] = ACTIONS(2021),
    [anon_sym_PLUS_PLUS] = ACTIONS(2021),
    [anon_sym_DASH_DASH] = ACTIONS(2021),
    [anon_sym_BSLASH] = ACTIONS(2019),
    [anon_sym_do] = ACTIONS(2021),
    [anon_sym_eval] = ACTIONS(2021),
    [anon_sym_await] = ACTIONS(2021),
    [anon_sym_field] = ACTIONS(2021),
    [anon_sym_local] = ACTIONS(2021),
    [anon_sym_dynamically] = ACTIONS(2021),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2021),
    [anon_sym_require] = ACTIONS(2021),
    [anon_sym_map] = ACTIONS(2021),
    [anon_sym_grep] = ACTIONS(2021),
    [anon_sym_sort] = ACTIONS(2021),
    [anon_sym_goto] = ACTIONS(2021),
    [anon_sym_return] = ACTIONS(2021),
    [anon_sym_undef] = ACTIONS(2021),
    [anon_sym_PERCENT2] = ACTIONS(2021),
    [anon_sym_AMP2] = ACTIONS(2021),
    [anon_sym_STAR2] = ACTIONS(2021),
    [anon_sym_last] = ACTIONS(2021),
    [anon_sym_next] = ACTIONS(2021),
    [anon_sym_redo] = ACTIONS(2021),
    [anon_sym___FILE__] = ACTIONS(2021),
    [anon_sym___LINE__] = ACTIONS(2021),
    [anon_sym___PACKAGE__] = ACTIONS(2021),
    [anon_sym___SUB__] = ACTIONS(2021),
    [anon_sym_break] = ACTIONS(2021),
    [anon_sym_fork] = ACTIONS(2021),
    [anon_sym_getppid] = ACTIONS(2021),
    [anon_sym_time] = ACTIONS(2021),
    [anon_sym_times] = ACTIONS(2021),
    [anon_sym_wait] = ACTIONS(2021),
    [anon_sym_wantarray] = ACTIONS(2021),
    [anon_sym_abs] = ACTIONS(2021),
    [anon_sym_alarm] = ACTIONS(2021),
    [anon_sym_chop] = ACTIONS(2021),
    [anon_sym_chdir] = ACTIONS(2021),
    [anon_sym_close] = ACTIONS(2021),
    [anon_sym_closedir] = ACTIONS(2021),
    [anon_sym_caller] = ACTIONS(2021),
    [anon_sym_chomp] = ACTIONS(2021),
    [anon_sym_chr] = ACTIONS(2021),
    [anon_sym_cos] = ACTIONS(2021),
    [anon_sym_chroot] = ACTIONS(2021),
    [anon_sym_defined] = ACTIONS(2021),
    [anon_sym_delete] = ACTIONS(2021),
    [anon_sym_dbmclose] = ACTIONS(2021),
    [anon_sym_exists] = ACTIONS(2021),
    [anon_sym_exit] = ACTIONS(2021),
    [anon_sym_eof] = ACTIONS(2021),
    [anon_sym_exp] = ACTIONS(2021),
    [anon_sym_each] = ACTIONS(2021),
    [anon_sym_fc] = ACTIONS(2021),
    [anon_sym_fileno] = ACTIONS(2021),
    [anon_sym_gmtime] = ACTIONS(2021),
    [anon_sym_getc] = ACTIONS(2021),
    [anon_sym_getpgrp] = ACTIONS(2021),
    [anon_sym_getprotobyname] = ACTIONS(2021),
    [anon_sym_getpwname] = ACTIONS(2021),
    [anon_sym_getpwuid] = ACTIONS(2021),
    [anon_sym_getpeername] = ACTIONS(2021),
    [anon_sym_getnetbyname] = ACTIONS(2021),
    [anon_sym_getsockname] = ACTIONS(2021),
    [anon_sym_getgrnam] = ACTIONS(2021),
    [anon_sym_getgrgid] = ACTIONS(2021),
    [anon_sym_hex] = ACTIONS(2021),
    [anon_sym_int] = ACTIONS(2021),
    [anon_sym_keys] = ACTIONS(2021),
    [anon_sym_lc] = ACTIONS(2021),
    [anon_sym_lcfirst] = ACTIONS(2021),
    [anon_sym_length] = ACTIONS(2021),
    [anon_sym_localtime] = ACTIONS(2021),
    [anon_sym_log] = ACTIONS(2021),
    [anon_sym_lock] = ACTIONS(2021),
    [anon_sym_lstat] = ACTIONS(2021),
    [anon_sym_oct] = ACTIONS(2021),
    [anon_sym_ord] = ACTIONS(2021),
    [anon_sym_prototype] = ACTIONS(2021),
    [anon_sym_pop] = ACTIONS(2021),
    [anon_sym_pos] = ACTIONS(2021),
    [anon_sym_quotemeta] = ACTIONS(2021),
    [anon_sym_reset] = ACTIONS(2021),
    [anon_sym_rand] = ACTIONS(2021),
    [anon_sym_rmdir] = ACTIONS(2021),
    [anon_sym_readdir] = ACTIONS(2021),
    [anon_sym_readline] = ACTIONS(2021),
    [anon_sym_readpipe] = ACTIONS(2021),
    [anon_sym_rewinddir] = ACTIONS(2021),
    [anon_sym_readlink] = ACTIONS(2021),
    [anon_sym_ref] = ACTIONS(2021),
    [anon_sym_scalar] = ACTIONS(2021),
    [anon_sym_shift] = ACTIONS(2021),
    [anon_sym_sin] = ACTIONS(2021),
    [anon_sym_sleep] = ACTIONS(2021),
    [anon_sym_sqrt] = ACTIONS(2021),
    [anon_sym_srand] = ACTIONS(2021),
    [anon_sym_stat] = ACTIONS(2021),
    [anon_sym_study] = ACTIONS(2021),
    [anon_sym_tell] = ACTIONS(2021),
    [anon_sym_telldir] = ACTIONS(2021),
    [anon_sym_tied] = ACTIONS(2021),
    [anon_sym_uc] = ACTIONS(2021),
    [anon_sym_ucfirst] = ACTIONS(2021),
    [anon_sym_untie] = ACTIONS(2021),
    [anon_sym_umask] = ACTIONS(2021),
    [anon_sym_values] = ACTIONS(2021),
    [anon_sym_write] = ACTIONS(2021),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2021),
    [anon_sym_qq] = ACTIONS(2021),
    [anon_sym_qw] = ACTIONS(2021),
    [anon_sym_qx] = ACTIONS(2021),
    [anon_sym_qr] = ACTIONS(2021),
    [anon_sym_m] = ACTIONS(2021),
    [anon_sym_s] = ACTIONS(2021),
    [anon_sym_tr] = ACTIONS(2021),
    [anon_sym_y] = ACTIONS(2021),
    [aux_sym__bareword_token1] = ACTIONS(2021),
    [sym_number] = ACTIONS(2021),
    [anon_sym_true] = ACTIONS(2021),
    [anon_sym_false] = ACTIONS(2021),
    [sym__single_quote] = ACTIONS(2019),
    [sym__double_quote] = ACTIONS(2019),
    [sym__backtick_quote] = ACTIONS(2019),
    [sym__search_slash_quote] = ACTIONS(2019),
    [sym__open_readline_bracket] = ACTIONS(2019),
    [sym__open_fileglob_bracket] = ACTIONS(2019),
    [sym__PERLY_HEREDOC] = ACTIONS(2019),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2019),
    [sym__filetest] = ACTIONS(2019),
  },
  [1166] = {
    [sym_heredoc_content] = STATE(1166),
    [sym__identifier] = ACTIONS(2025),
    [anon_sym_LBRACE] = ACTIONS(2025),
    [anon_sym_DOLLAR] = ACTIONS(2025),
    [anon_sym_AT] = ACTIONS(2025),
    [anon_sym_RPAREN] = ACTIONS(2025),
    [anon_sym_my] = ACTIONS(2025),
    [anon_sym_extended] = ACTIONS(2025),
    [anon_sym_async] = ACTIONS(2025),
    [anon_sym_sub] = ACTIONS(2025),
    [anon_sym_method] = ACTIONS(2025),
    [anon_sym_LPAREN] = ACTIONS(2025),
    [anon_sym_continue] = ACTIONS(2025),
    [anon_sym_state] = ACTIONS(2025),
    [anon_sym_our] = ACTIONS(2025),
    [anon_sym_LBRACK] = ACTIONS(2025),
    [anon_sym_LT_LT] = ACTIONS(2025),
    [anon_sym_SLASH_SLASH] = ACTIONS(2025),
    [anon_sym_PLUS] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_PLUS_PLUS] = ACTIONS(2025),
    [anon_sym_DASH_DASH] = ACTIONS(2025),
    [anon_sym_BSLASH] = ACTIONS(2023),
    [anon_sym_do] = ACTIONS(2025),
    [anon_sym_eval] = ACTIONS(2025),
    [anon_sym_await] = ACTIONS(2025),
    [anon_sym_field] = ACTIONS(2025),
    [anon_sym_local] = ACTIONS(2025),
    [anon_sym_dynamically] = ACTIONS(2025),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2025),
    [anon_sym_require] = ACTIONS(2025),
    [anon_sym_map] = ACTIONS(2025),
    [anon_sym_grep] = ACTIONS(2025),
    [anon_sym_sort] = ACTIONS(2025),
    [anon_sym_goto] = ACTIONS(2025),
    [anon_sym_return] = ACTIONS(2025),
    [anon_sym_undef] = ACTIONS(2025),
    [anon_sym_PERCENT2] = ACTIONS(2025),
    [anon_sym_AMP2] = ACTIONS(2025),
    [anon_sym_STAR2] = ACTIONS(2025),
    [anon_sym_last] = ACTIONS(2025),
    [anon_sym_next] = ACTIONS(2025),
    [anon_sym_redo] = ACTIONS(2025),
    [anon_sym___FILE__] = ACTIONS(2025),
    [anon_sym___LINE__] = ACTIONS(2025),
    [anon_sym___PACKAGE__] = ACTIONS(2025),
    [anon_sym___SUB__] = ACTIONS(2025),
    [anon_sym_break] = ACTIONS(2025),
    [anon_sym_fork] = ACTIONS(2025),
    [anon_sym_getppid] = ACTIONS(2025),
    [anon_sym_time] = ACTIONS(2025),
    [anon_sym_times] = ACTIONS(2025),
    [anon_sym_wait] = ACTIONS(2025),
    [anon_sym_wantarray] = ACTIONS(2025),
    [anon_sym_abs] = ACTIONS(2025),
    [anon_sym_alarm] = ACTIONS(2025),
    [anon_sym_chop] = ACTIONS(2025),
    [anon_sym_chdir] = ACTIONS(2025),
    [anon_sym_close] = ACTIONS(2025),
    [anon_sym_closedir] = ACTIONS(2025),
    [anon_sym_caller] = ACTIONS(2025),
    [anon_sym_chomp] = ACTIONS(2025),
    [anon_sym_chr] = ACTIONS(2025),
    [anon_sym_cos] = ACTIONS(2025),
    [anon_sym_chroot] = ACTIONS(2025),
    [anon_sym_defined] = ACTIONS(2025),
    [anon_sym_delete] = ACTIONS(2025),
    [anon_sym_dbmclose] = ACTIONS(2025),
    [anon_sym_exists] = ACTIONS(2025),
    [anon_sym_exit] = ACTIONS(2025),
    [anon_sym_eof] = ACTIONS(2025),
    [anon_sym_exp] = ACTIONS(2025),
    [anon_sym_each] = ACTIONS(2025),
    [anon_sym_fc] = ACTIONS(2025),
    [anon_sym_fileno] = ACTIONS(2025),
    [anon_sym_gmtime] = ACTIONS(2025),
    [anon_sym_getc] = ACTIONS(2025),
    [anon_sym_getpgrp] = ACTIONS(2025),
    [anon_sym_getprotobyname] = ACTIONS(2025),
    [anon_sym_getpwname] = ACTIONS(2025),
    [anon_sym_getpwuid] = ACTIONS(2025),
    [anon_sym_getpeername] = ACTIONS(2025),
    [anon_sym_getnetbyname] = ACTIONS(2025),
    [anon_sym_getsockname] = ACTIONS(2025),
    [anon_sym_getgrnam] = ACTIONS(2025),
    [anon_sym_getgrgid] = ACTIONS(2025),
    [anon_sym_hex] = ACTIONS(2025),
    [anon_sym_int] = ACTIONS(2025),
    [anon_sym_keys] = ACTIONS(2025),
    [anon_sym_lc] = ACTIONS(2025),
    [anon_sym_lcfirst] = ACTIONS(2025),
    [anon_sym_length] = ACTIONS(2025),
    [anon_sym_localtime] = ACTIONS(2025),
    [anon_sym_log] = ACTIONS(2025),
    [anon_sym_lock] = ACTIONS(2025),
    [anon_sym_lstat] = ACTIONS(2025),
    [anon_sym_oct] = ACTIONS(2025),
    [anon_sym_ord] = ACTIONS(2025),
    [anon_sym_prototype] = ACTIONS(2025),
    [anon_sym_pop] = ACTIONS(2025),
    [anon_sym_pos] = ACTIONS(2025),
    [anon_sym_quotemeta] = ACTIONS(2025),
    [anon_sym_reset] = ACTIONS(2025),
    [anon_sym_rand] = ACTIONS(2025),
    [anon_sym_rmdir] = ACTIONS(2025),
    [anon_sym_readdir] = ACTIONS(2025),
    [anon_sym_readline] = ACTIONS(2025),
    [anon_sym_readpipe] = ACTIONS(2025),
    [anon_sym_rewinddir] = ACTIONS(2025),
    [anon_sym_readlink] = ACTIONS(2025),
    [anon_sym_ref] = ACTIONS(2025),
    [anon_sym_scalar] = ACTIONS(2025),
    [anon_sym_shift] = ACTIONS(2025),
    [anon_sym_sin] = ACTIONS(2025),
    [anon_sym_sleep] = ACTIONS(2025),
    [anon_sym_sqrt] = ACTIONS(2025),
    [anon_sym_srand] = ACTIONS(2025),
    [anon_sym_stat] = ACTIONS(2025),
    [anon_sym_study] = ACTIONS(2025),
    [anon_sym_tell] = ACTIONS(2025),
    [anon_sym_telldir] = ACTIONS(2025),
    [anon_sym_tied] = ACTIONS(2025),
    [anon_sym_uc] = ACTIONS(2025),
    [anon_sym_ucfirst] = ACTIONS(2025),
    [anon_sym_untie] = ACTIONS(2025),
    [anon_sym_umask] = ACTIONS(2025),
    [anon_sym_values] = ACTIONS(2025),
    [anon_sym_write] = ACTIONS(2025),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2025),
    [anon_sym_qq] = ACTIONS(2025),
    [anon_sym_qw] = ACTIONS(2025),
    [anon_sym_qx] = ACTIONS(2025),
    [anon_sym_qr] = ACTIONS(2025),
    [anon_sym_m] = ACTIONS(2025),
    [anon_sym_s] = ACTIONS(2025),
    [anon_sym_tr] = ACTIONS(2025),
    [anon_sym_y] = ACTIONS(2025),
    [aux_sym__bareword_token1] = ACTIONS(2025),
    [sym_number] = ACTIONS(2025),
    [anon_sym_true] = ACTIONS(2025),
    [anon_sym_false] = ACTIONS(2025),
    [sym__single_quote] = ACTIONS(2023),
    [sym__double_quote] = ACTIONS(2023),
    [sym__backtick_quote] = ACTIONS(2023),
    [sym__search_slash_quote] = ACTIONS(2023),
    [sym__open_readline_bracket] = ACTIONS(2023),
    [sym__open_fileglob_bracket] = ACTIONS(2023),
    [sym__PERLY_HEREDOC] = ACTIONS(2023),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2023),
    [sym__filetest] = ACTIONS(2023),
  },
  [1167] = {
    [sym_heredoc_content] = STATE(1167),
    [sym__identifier] = ACTIONS(2029),
    [anon_sym_LBRACE] = ACTIONS(2029),
    [anon_sym_DOLLAR] = ACTIONS(2029),
    [anon_sym_AT] = ACTIONS(2029),
    [anon_sym_RPAREN] = ACTIONS(2029),
    [anon_sym_my] = ACTIONS(2029),
    [anon_sym_extended] = ACTIONS(2029),
    [anon_sym_async] = ACTIONS(2029),
    [anon_sym_sub] = ACTIONS(2029),
    [anon_sym_method] = ACTIONS(2029),
    [anon_sym_LPAREN] = ACTIONS(2029),
    [anon_sym_continue] = ACTIONS(2029),
    [anon_sym_state] = ACTIONS(2029),
    [anon_sym_our] = ACTIONS(2029),
    [anon_sym_LBRACK] = ACTIONS(2029),
    [anon_sym_LT_LT] = ACTIONS(2029),
    [anon_sym_SLASH_SLASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_TILDE] = ACTIONS(2029),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_BSLASH] = ACTIONS(2027),
    [anon_sym_do] = ACTIONS(2029),
    [anon_sym_eval] = ACTIONS(2029),
    [anon_sym_await] = ACTIONS(2029),
    [anon_sym_field] = ACTIONS(2029),
    [anon_sym_local] = ACTIONS(2029),
    [anon_sym_dynamically] = ACTIONS(2029),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2029),
    [anon_sym_require] = ACTIONS(2029),
    [anon_sym_map] = ACTIONS(2029),
    [anon_sym_grep] = ACTIONS(2029),
    [anon_sym_sort] = ACTIONS(2029),
    [anon_sym_goto] = ACTIONS(2029),
    [anon_sym_return] = ACTIONS(2029),
    [anon_sym_undef] = ACTIONS(2029),
    [anon_sym_PERCENT2] = ACTIONS(2029),
    [anon_sym_AMP2] = ACTIONS(2029),
    [anon_sym_STAR2] = ACTIONS(2029),
    [anon_sym_last] = ACTIONS(2029),
    [anon_sym_next] = ACTIONS(2029),
    [anon_sym_redo] = ACTIONS(2029),
    [anon_sym___FILE__] = ACTIONS(2029),
    [anon_sym___LINE__] = ACTIONS(2029),
    [anon_sym___PACKAGE__] = ACTIONS(2029),
    [anon_sym___SUB__] = ACTIONS(2029),
    [anon_sym_break] = ACTIONS(2029),
    [anon_sym_fork] = ACTIONS(2029),
    [anon_sym_getppid] = ACTIONS(2029),
    [anon_sym_time] = ACTIONS(2029),
    [anon_sym_times] = ACTIONS(2029),
    [anon_sym_wait] = ACTIONS(2029),
    [anon_sym_wantarray] = ACTIONS(2029),
    [anon_sym_abs] = ACTIONS(2029),
    [anon_sym_alarm] = ACTIONS(2029),
    [anon_sym_chop] = ACTIONS(2029),
    [anon_sym_chdir] = ACTIONS(2029),
    [anon_sym_close] = ACTIONS(2029),
    [anon_sym_closedir] = ACTIONS(2029),
    [anon_sym_caller] = ACTIONS(2029),
    [anon_sym_chomp] = ACTIONS(2029),
    [anon_sym_chr] = ACTIONS(2029),
    [anon_sym_cos] = ACTIONS(2029),
    [anon_sym_chroot] = ACTIONS(2029),
    [anon_sym_defined] = ACTIONS(2029),
    [anon_sym_delete] = ACTIONS(2029),
    [anon_sym_dbmclose] = ACTIONS(2029),
    [anon_sym_exists] = ACTIONS(2029),
    [anon_sym_exit] = ACTIONS(2029),
    [anon_sym_eof] = ACTIONS(2029),
    [anon_sym_exp] = ACTIONS(2029),
    [anon_sym_each] = ACTIONS(2029),
    [anon_sym_fc] = ACTIONS(2029),
    [anon_sym_fileno] = ACTIONS(2029),
    [anon_sym_gmtime] = ACTIONS(2029),
    [anon_sym_getc] = ACTIONS(2029),
    [anon_sym_getpgrp] = ACTIONS(2029),
    [anon_sym_getprotobyname] = ACTIONS(2029),
    [anon_sym_getpwname] = ACTIONS(2029),
    [anon_sym_getpwuid] = ACTIONS(2029),
    [anon_sym_getpeername] = ACTIONS(2029),
    [anon_sym_getnetbyname] = ACTIONS(2029),
    [anon_sym_getsockname] = ACTIONS(2029),
    [anon_sym_getgrnam] = ACTIONS(2029),
    [anon_sym_getgrgid] = ACTIONS(2029),
    [anon_sym_hex] = ACTIONS(2029),
    [anon_sym_int] = ACTIONS(2029),
    [anon_sym_keys] = ACTIONS(2029),
    [anon_sym_lc] = ACTIONS(2029),
    [anon_sym_lcfirst] = ACTIONS(2029),
    [anon_sym_length] = ACTIONS(2029),
    [anon_sym_localtime] = ACTIONS(2029),
    [anon_sym_log] = ACTIONS(2029),
    [anon_sym_lock] = ACTIONS(2029),
    [anon_sym_lstat] = ACTIONS(2029),
    [anon_sym_oct] = ACTIONS(2029),
    [anon_sym_ord] = ACTIONS(2029),
    [anon_sym_prototype] = ACTIONS(2029),
    [anon_sym_pop] = ACTIONS(2029),
    [anon_sym_pos] = ACTIONS(2029),
    [anon_sym_quotemeta] = ACTIONS(2029),
    [anon_sym_reset] = ACTIONS(2029),
    [anon_sym_rand] = ACTIONS(2029),
    [anon_sym_rmdir] = ACTIONS(2029),
    [anon_sym_readdir] = ACTIONS(2029),
    [anon_sym_readline] = ACTIONS(2029),
    [anon_sym_readpipe] = ACTIONS(2029),
    [anon_sym_rewinddir] = ACTIONS(2029),
    [anon_sym_readlink] = ACTIONS(2029),
    [anon_sym_ref] = ACTIONS(2029),
    [anon_sym_scalar] = ACTIONS(2029),
    [anon_sym_shift] = ACTIONS(2029),
    [anon_sym_sin] = ACTIONS(2029),
    [anon_sym_sleep] = ACTIONS(2029),
    [anon_sym_sqrt] = ACTIONS(2029),
    [anon_sym_srand] = ACTIONS(2029),
    [anon_sym_stat] = ACTIONS(2029),
    [anon_sym_study] = ACTIONS(2029),
    [anon_sym_tell] = ACTIONS(2029),
    [anon_sym_telldir] = ACTIONS(2029),
    [anon_sym_tied] = ACTIONS(2029),
    [anon_sym_uc] = ACTIONS(2029),
    [anon_sym_ucfirst] = ACTIONS(2029),
    [anon_sym_untie] = ACTIONS(2029),
    [anon_sym_umask] = ACTIONS(2029),
    [anon_sym_values] = ACTIONS(2029),
    [anon_sym_write] = ACTIONS(2029),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2029),
    [anon_sym_qq] = ACTIONS(2029),
    [anon_sym_qw] = ACTIONS(2029),
    [anon_sym_qx] = ACTIONS(2029),
    [anon_sym_qr] = ACTIONS(2029),
    [anon_sym_m] = ACTIONS(2029),
    [anon_sym_s] = ACTIONS(2029),
    [anon_sym_tr] = ACTIONS(2029),
    [anon_sym_y] = ACTIONS(2029),
    [aux_sym__bareword_token1] = ACTIONS(2029),
    [sym_number] = ACTIONS(2029),
    [anon_sym_true] = ACTIONS(2029),
    [anon_sym_false] = ACTIONS(2029),
    [sym__single_quote] = ACTIONS(2027),
    [sym__double_quote] = ACTIONS(2027),
    [sym__backtick_quote] = ACTIONS(2027),
    [sym__search_slash_quote] = ACTIONS(2027),
    [sym__open_readline_bracket] = ACTIONS(2027),
    [sym__open_fileglob_bracket] = ACTIONS(2027),
    [sym__PERLY_HEREDOC] = ACTIONS(2027),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2027),
    [sym__filetest] = ACTIONS(2027),
  },
  [1168] = {
    [sym_heredoc_content] = STATE(1168),
    [sym__identifier] = ACTIONS(2033),
    [anon_sym_LBRACE] = ACTIONS(2033),
    [anon_sym_DOLLAR] = ACTIONS(2033),
    [anon_sym_AT] = ACTIONS(2033),
    [anon_sym_RPAREN] = ACTIONS(2033),
    [anon_sym_my] = ACTIONS(2033),
    [anon_sym_extended] = ACTIONS(2033),
    [anon_sym_async] = ACTIONS(2033),
    [anon_sym_sub] = ACTIONS(2033),
    [anon_sym_method] = ACTIONS(2033),
    [anon_sym_LPAREN] = ACTIONS(2033),
    [anon_sym_continue] = ACTIONS(2033),
    [anon_sym_state] = ACTIONS(2033),
    [anon_sym_our] = ACTIONS(2033),
    [anon_sym_LBRACK] = ACTIONS(2033),
    [anon_sym_LT_LT] = ACTIONS(2033),
    [anon_sym_SLASH_SLASH] = ACTIONS(2033),
    [anon_sym_PLUS] = ACTIONS(2033),
    [anon_sym_DASH] = ACTIONS(2033),
    [anon_sym_TILDE] = ACTIONS(2033),
    [anon_sym_BANG] = ACTIONS(2033),
    [anon_sym_PLUS_PLUS] = ACTIONS(2033),
    [anon_sym_DASH_DASH] = ACTIONS(2033),
    [anon_sym_BSLASH] = ACTIONS(2031),
    [anon_sym_do] = ACTIONS(2033),
    [anon_sym_eval] = ACTIONS(2033),
    [anon_sym_await] = ACTIONS(2033),
    [anon_sym_field] = ACTIONS(2033),
    [anon_sym_local] = ACTIONS(2033),
    [anon_sym_dynamically] = ACTIONS(2033),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2033),
    [anon_sym_require] = ACTIONS(2033),
    [anon_sym_map] = ACTIONS(2033),
    [anon_sym_grep] = ACTIONS(2033),
    [anon_sym_sort] = ACTIONS(2033),
    [anon_sym_goto] = ACTIONS(2033),
    [anon_sym_return] = ACTIONS(2033),
    [anon_sym_undef] = ACTIONS(2033),
    [anon_sym_PERCENT2] = ACTIONS(2033),
    [anon_sym_AMP2] = ACTIONS(2033),
    [anon_sym_STAR2] = ACTIONS(2033),
    [anon_sym_last] = ACTIONS(2033),
    [anon_sym_next] = ACTIONS(2033),
    [anon_sym_redo] = ACTIONS(2033),
    [anon_sym___FILE__] = ACTIONS(2033),
    [anon_sym___LINE__] = ACTIONS(2033),
    [anon_sym___PACKAGE__] = ACTIONS(2033),
    [anon_sym___SUB__] = ACTIONS(2033),
    [anon_sym_break] = ACTIONS(2033),
    [anon_sym_fork] = ACTIONS(2033),
    [anon_sym_getppid] = ACTIONS(2033),
    [anon_sym_time] = ACTIONS(2033),
    [anon_sym_times] = ACTIONS(2033),
    [anon_sym_wait] = ACTIONS(2033),
    [anon_sym_wantarray] = ACTIONS(2033),
    [anon_sym_abs] = ACTIONS(2033),
    [anon_sym_alarm] = ACTIONS(2033),
    [anon_sym_chop] = ACTIONS(2033),
    [anon_sym_chdir] = ACTIONS(2033),
    [anon_sym_close] = ACTIONS(2033),
    [anon_sym_closedir] = ACTIONS(2033),
    [anon_sym_caller] = ACTIONS(2033),
    [anon_sym_chomp] = ACTIONS(2033),
    [anon_sym_chr] = ACTIONS(2033),
    [anon_sym_cos] = ACTIONS(2033),
    [anon_sym_chroot] = ACTIONS(2033),
    [anon_sym_defined] = ACTIONS(2033),
    [anon_sym_delete] = ACTIONS(2033),
    [anon_sym_dbmclose] = ACTIONS(2033),
    [anon_sym_exists] = ACTIONS(2033),
    [anon_sym_exit] = ACTIONS(2033),
    [anon_sym_eof] = ACTIONS(2033),
    [anon_sym_exp] = ACTIONS(2033),
    [anon_sym_each] = ACTIONS(2033),
    [anon_sym_fc] = ACTIONS(2033),
    [anon_sym_fileno] = ACTIONS(2033),
    [anon_sym_gmtime] = ACTIONS(2033),
    [anon_sym_getc] = ACTIONS(2033),
    [anon_sym_getpgrp] = ACTIONS(2033),
    [anon_sym_getprotobyname] = ACTIONS(2033),
    [anon_sym_getpwname] = ACTIONS(2033),
    [anon_sym_getpwuid] = ACTIONS(2033),
    [anon_sym_getpeername] = ACTIONS(2033),
    [anon_sym_getnetbyname] = ACTIONS(2033),
    [anon_sym_getsockname] = ACTIONS(2033),
    [anon_sym_getgrnam] = ACTIONS(2033),
    [anon_sym_getgrgid] = ACTIONS(2033),
    [anon_sym_hex] = ACTIONS(2033),
    [anon_sym_int] = ACTIONS(2033),
    [anon_sym_keys] = ACTIONS(2033),
    [anon_sym_lc] = ACTIONS(2033),
    [anon_sym_lcfirst] = ACTIONS(2033),
    [anon_sym_length] = ACTIONS(2033),
    [anon_sym_localtime] = ACTIONS(2033),
    [anon_sym_log] = ACTIONS(2033),
    [anon_sym_lock] = ACTIONS(2033),
    [anon_sym_lstat] = ACTIONS(2033),
    [anon_sym_oct] = ACTIONS(2033),
    [anon_sym_ord] = ACTIONS(2033),
    [anon_sym_prototype] = ACTIONS(2033),
    [anon_sym_pop] = ACTIONS(2033),
    [anon_sym_pos] = ACTIONS(2033),
    [anon_sym_quotemeta] = ACTIONS(2033),
    [anon_sym_reset] = ACTIONS(2033),
    [anon_sym_rand] = ACTIONS(2033),
    [anon_sym_rmdir] = ACTIONS(2033),
    [anon_sym_readdir] = ACTIONS(2033),
    [anon_sym_readline] = ACTIONS(2033),
    [anon_sym_readpipe] = ACTIONS(2033),
    [anon_sym_rewinddir] = ACTIONS(2033),
    [anon_sym_readlink] = ACTIONS(2033),
    [anon_sym_ref] = ACTIONS(2033),
    [anon_sym_scalar] = ACTIONS(2033),
    [anon_sym_shift] = ACTIONS(2033),
    [anon_sym_sin] = ACTIONS(2033),
    [anon_sym_sleep] = ACTIONS(2033),
    [anon_sym_sqrt] = ACTIONS(2033),
    [anon_sym_srand] = ACTIONS(2033),
    [anon_sym_stat] = ACTIONS(2033),
    [anon_sym_study] = ACTIONS(2033),
    [anon_sym_tell] = ACTIONS(2033),
    [anon_sym_telldir] = ACTIONS(2033),
    [anon_sym_tied] = ACTIONS(2033),
    [anon_sym_uc] = ACTIONS(2033),
    [anon_sym_ucfirst] = ACTIONS(2033),
    [anon_sym_untie] = ACTIONS(2033),
    [anon_sym_umask] = ACTIONS(2033),
    [anon_sym_values] = ACTIONS(2033),
    [anon_sym_write] = ACTIONS(2033),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2033),
    [anon_sym_qq] = ACTIONS(2033),
    [anon_sym_qw] = ACTIONS(2033),
    [anon_sym_qx] = ACTIONS(2033),
    [anon_sym_qr] = ACTIONS(2033),
    [anon_sym_m] = ACTIONS(2033),
    [anon_sym_s] = ACTIONS(2033),
    [anon_sym_tr] = ACTIONS(2033),
    [anon_sym_y] = ACTIONS(2033),
    [aux_sym__bareword_token1] = ACTIONS(2033),
    [sym_number] = ACTIONS(2033),
    [anon_sym_true] = ACTIONS(2033),
    [anon_sym_false] = ACTIONS(2033),
    [sym__single_quote] = ACTIONS(2031),
    [sym__double_quote] = ACTIONS(2031),
    [sym__backtick_quote] = ACTIONS(2031),
    [sym__search_slash_quote] = ACTIONS(2031),
    [sym__open_readline_bracket] = ACTIONS(2031),
    [sym__open_fileglob_bracket] = ACTIONS(2031),
    [sym__PERLY_HEREDOC] = ACTIONS(2031),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2031),
    [sym__filetest] = ACTIONS(2031),
  },
  [1169] = {
    [sym_heredoc_content] = STATE(1169),
    [sym__identifier] = ACTIONS(2037),
    [anon_sym_LBRACE] = ACTIONS(2037),
    [anon_sym_DOLLAR] = ACTIONS(2037),
    [anon_sym_AT] = ACTIONS(2037),
    [anon_sym_RPAREN] = ACTIONS(2037),
    [anon_sym_my] = ACTIONS(2037),
    [anon_sym_extended] = ACTIONS(2037),
    [anon_sym_async] = ACTIONS(2037),
    [anon_sym_sub] = ACTIONS(2037),
    [anon_sym_method] = ACTIONS(2037),
    [anon_sym_LPAREN] = ACTIONS(2037),
    [anon_sym_continue] = ACTIONS(2037),
    [anon_sym_state] = ACTIONS(2037),
    [anon_sym_our] = ACTIONS(2037),
    [anon_sym_LBRACK] = ACTIONS(2037),
    [anon_sym_LT_LT] = ACTIONS(2037),
    [anon_sym_SLASH_SLASH] = ACTIONS(2037),
    [anon_sym_PLUS] = ACTIONS(2037),
    [anon_sym_DASH] = ACTIONS(2037),
    [anon_sym_TILDE] = ACTIONS(2037),
    [anon_sym_BANG] = ACTIONS(2037),
    [anon_sym_PLUS_PLUS] = ACTIONS(2037),
    [anon_sym_DASH_DASH] = ACTIONS(2037),
    [anon_sym_BSLASH] = ACTIONS(2035),
    [anon_sym_do] = ACTIONS(2037),
    [anon_sym_eval] = ACTIONS(2037),
    [anon_sym_await] = ACTIONS(2037),
    [anon_sym_field] = ACTIONS(2037),
    [anon_sym_local] = ACTIONS(2037),
    [anon_sym_dynamically] = ACTIONS(2037),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2037),
    [anon_sym_require] = ACTIONS(2037),
    [anon_sym_map] = ACTIONS(2037),
    [anon_sym_grep] = ACTIONS(2037),
    [anon_sym_sort] = ACTIONS(2037),
    [anon_sym_goto] = ACTIONS(2037),
    [anon_sym_return] = ACTIONS(2037),
    [anon_sym_undef] = ACTIONS(2037),
    [anon_sym_PERCENT2] = ACTIONS(2037),
    [anon_sym_AMP2] = ACTIONS(2037),
    [anon_sym_STAR2] = ACTIONS(2037),
    [anon_sym_last] = ACTIONS(2037),
    [anon_sym_next] = ACTIONS(2037),
    [anon_sym_redo] = ACTIONS(2037),
    [anon_sym___FILE__] = ACTIONS(2037),
    [anon_sym___LINE__] = ACTIONS(2037),
    [anon_sym___PACKAGE__] = ACTIONS(2037),
    [anon_sym___SUB__] = ACTIONS(2037),
    [anon_sym_break] = ACTIONS(2037),
    [anon_sym_fork] = ACTIONS(2037),
    [anon_sym_getppid] = ACTIONS(2037),
    [anon_sym_time] = ACTIONS(2037),
    [anon_sym_times] = ACTIONS(2037),
    [anon_sym_wait] = ACTIONS(2037),
    [anon_sym_wantarray] = ACTIONS(2037),
    [anon_sym_abs] = ACTIONS(2037),
    [anon_sym_alarm] = ACTIONS(2037),
    [anon_sym_chop] = ACTIONS(2037),
    [anon_sym_chdir] = ACTIONS(2037),
    [anon_sym_close] = ACTIONS(2037),
    [anon_sym_closedir] = ACTIONS(2037),
    [anon_sym_caller] = ACTIONS(2037),
    [anon_sym_chomp] = ACTIONS(2037),
    [anon_sym_chr] = ACTIONS(2037),
    [anon_sym_cos] = ACTIONS(2037),
    [anon_sym_chroot] = ACTIONS(2037),
    [anon_sym_defined] = ACTIONS(2037),
    [anon_sym_delete] = ACTIONS(2037),
    [anon_sym_dbmclose] = ACTIONS(2037),
    [anon_sym_exists] = ACTIONS(2037),
    [anon_sym_exit] = ACTIONS(2037),
    [anon_sym_eof] = ACTIONS(2037),
    [anon_sym_exp] = ACTIONS(2037),
    [anon_sym_each] = ACTIONS(2037),
    [anon_sym_fc] = ACTIONS(2037),
    [anon_sym_fileno] = ACTIONS(2037),
    [anon_sym_gmtime] = ACTIONS(2037),
    [anon_sym_getc] = ACTIONS(2037),
    [anon_sym_getpgrp] = ACTIONS(2037),
    [anon_sym_getprotobyname] = ACTIONS(2037),
    [anon_sym_getpwname] = ACTIONS(2037),
    [anon_sym_getpwuid] = ACTIONS(2037),
    [anon_sym_getpeername] = ACTIONS(2037),
    [anon_sym_getnetbyname] = ACTIONS(2037),
    [anon_sym_getsockname] = ACTIONS(2037),
    [anon_sym_getgrnam] = ACTIONS(2037),
    [anon_sym_getgrgid] = ACTIONS(2037),
    [anon_sym_hex] = ACTIONS(2037),
    [anon_sym_int] = ACTIONS(2037),
    [anon_sym_keys] = ACTIONS(2037),
    [anon_sym_lc] = ACTIONS(2037),
    [anon_sym_lcfirst] = ACTIONS(2037),
    [anon_sym_length] = ACTIONS(2037),
    [anon_sym_localtime] = ACTIONS(2037),
    [anon_sym_log] = ACTIONS(2037),
    [anon_sym_lock] = ACTIONS(2037),
    [anon_sym_lstat] = ACTIONS(2037),
    [anon_sym_oct] = ACTIONS(2037),
    [anon_sym_ord] = ACTIONS(2037),
    [anon_sym_prototype] = ACTIONS(2037),
    [anon_sym_pop] = ACTIONS(2037),
    [anon_sym_pos] = ACTIONS(2037),
    [anon_sym_quotemeta] = ACTIONS(2037),
    [anon_sym_reset] = ACTIONS(2037),
    [anon_sym_rand] = ACTIONS(2037),
    [anon_sym_rmdir] = ACTIONS(2037),
    [anon_sym_readdir] = ACTIONS(2037),
    [anon_sym_readline] = ACTIONS(2037),
    [anon_sym_readpipe] = ACTIONS(2037),
    [anon_sym_rewinddir] = ACTIONS(2037),
    [anon_sym_readlink] = ACTIONS(2037),
    [anon_sym_ref] = ACTIONS(2037),
    [anon_sym_scalar] = ACTIONS(2037),
    [anon_sym_shift] = ACTIONS(2037),
    [anon_sym_sin] = ACTIONS(2037),
    [anon_sym_sleep] = ACTIONS(2037),
    [anon_sym_sqrt] = ACTIONS(2037),
    [anon_sym_srand] = ACTIONS(2037),
    [anon_sym_stat] = ACTIONS(2037),
    [anon_sym_study] = ACTIONS(2037),
    [anon_sym_tell] = ACTIONS(2037),
    [anon_sym_telldir] = ACTIONS(2037),
    [anon_sym_tied] = ACTIONS(2037),
    [anon_sym_uc] = ACTIONS(2037),
    [anon_sym_ucfirst] = ACTIONS(2037),
    [anon_sym_untie] = ACTIONS(2037),
    [anon_sym_umask] = ACTIONS(2037),
    [anon_sym_values] = ACTIONS(2037),
    [anon_sym_write] = ACTIONS(2037),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2037),
    [anon_sym_qq] = ACTIONS(2037),
    [anon_sym_qw] = ACTIONS(2037),
    [anon_sym_qx] = ACTIONS(2037),
    [anon_sym_qr] = ACTIONS(2037),
    [anon_sym_m] = ACTIONS(2037),
    [anon_sym_s] = ACTIONS(2037),
    [anon_sym_tr] = ACTIONS(2037),
    [anon_sym_y] = ACTIONS(2037),
    [aux_sym__bareword_token1] = ACTIONS(2037),
    [sym_number] = ACTIONS(2037),
    [anon_sym_true] = ACTIONS(2037),
    [anon_sym_false] = ACTIONS(2037),
    [sym__single_quote] = ACTIONS(2035),
    [sym__double_quote] = ACTIONS(2035),
    [sym__backtick_quote] = ACTIONS(2035),
    [sym__search_slash_quote] = ACTIONS(2035),
    [sym__open_readline_bracket] = ACTIONS(2035),
    [sym__open_fileglob_bracket] = ACTIONS(2035),
    [sym__PERLY_HEREDOC] = ACTIONS(2035),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2035),
    [sym__filetest] = ACTIONS(2035),
  },
  [1170] = {
    [sym_heredoc_content] = STATE(1170),
    [sym__identifier] = ACTIONS(2041),
    [anon_sym_LBRACE] = ACTIONS(2041),
    [anon_sym_DOLLAR] = ACTIONS(2041),
    [anon_sym_AT] = ACTIONS(2041),
    [anon_sym_RPAREN] = ACTIONS(2041),
    [anon_sym_my] = ACTIONS(2041),
    [anon_sym_extended] = ACTIONS(2041),
    [anon_sym_async] = ACTIONS(2041),
    [anon_sym_sub] = ACTIONS(2041),
    [anon_sym_method] = ACTIONS(2041),
    [anon_sym_LPAREN] = ACTIONS(2041),
    [anon_sym_continue] = ACTIONS(2041),
    [anon_sym_state] = ACTIONS(2041),
    [anon_sym_our] = ACTIONS(2041),
    [anon_sym_LBRACK] = ACTIONS(2041),
    [anon_sym_LT_LT] = ACTIONS(2041),
    [anon_sym_SLASH_SLASH] = ACTIONS(2041),
    [anon_sym_PLUS] = ACTIONS(2041),
    [anon_sym_DASH] = ACTIONS(2041),
    [anon_sym_TILDE] = ACTIONS(2041),
    [anon_sym_BANG] = ACTIONS(2041),
    [anon_sym_PLUS_PLUS] = ACTIONS(2041),
    [anon_sym_DASH_DASH] = ACTIONS(2041),
    [anon_sym_BSLASH] = ACTIONS(2039),
    [anon_sym_do] = ACTIONS(2041),
    [anon_sym_eval] = ACTIONS(2041),
    [anon_sym_await] = ACTIONS(2041),
    [anon_sym_field] = ACTIONS(2041),
    [anon_sym_local] = ACTIONS(2041),
    [anon_sym_dynamically] = ACTIONS(2041),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2041),
    [anon_sym_require] = ACTIONS(2041),
    [anon_sym_map] = ACTIONS(2041),
    [anon_sym_grep] = ACTIONS(2041),
    [anon_sym_sort] = ACTIONS(2041),
    [anon_sym_goto] = ACTIONS(2041),
    [anon_sym_return] = ACTIONS(2041),
    [anon_sym_undef] = ACTIONS(2041),
    [anon_sym_PERCENT2] = ACTIONS(2041),
    [anon_sym_AMP2] = ACTIONS(2041),
    [anon_sym_STAR2] = ACTIONS(2041),
    [anon_sym_last] = ACTIONS(2041),
    [anon_sym_next] = ACTIONS(2041),
    [anon_sym_redo] = ACTIONS(2041),
    [anon_sym___FILE__] = ACTIONS(2041),
    [anon_sym___LINE__] = ACTIONS(2041),
    [anon_sym___PACKAGE__] = ACTIONS(2041),
    [anon_sym___SUB__] = ACTIONS(2041),
    [anon_sym_break] = ACTIONS(2041),
    [anon_sym_fork] = ACTIONS(2041),
    [anon_sym_getppid] = ACTIONS(2041),
    [anon_sym_time] = ACTIONS(2041),
    [anon_sym_times] = ACTIONS(2041),
    [anon_sym_wait] = ACTIONS(2041),
    [anon_sym_wantarray] = ACTIONS(2041),
    [anon_sym_abs] = ACTIONS(2041),
    [anon_sym_alarm] = ACTIONS(2041),
    [anon_sym_chop] = ACTIONS(2041),
    [anon_sym_chdir] = ACTIONS(2041),
    [anon_sym_close] = ACTIONS(2041),
    [anon_sym_closedir] = ACTIONS(2041),
    [anon_sym_caller] = ACTIONS(2041),
    [anon_sym_chomp] = ACTIONS(2041),
    [anon_sym_chr] = ACTIONS(2041),
    [anon_sym_cos] = ACTIONS(2041),
    [anon_sym_chroot] = ACTIONS(2041),
    [anon_sym_defined] = ACTIONS(2041),
    [anon_sym_delete] = ACTIONS(2041),
    [anon_sym_dbmclose] = ACTIONS(2041),
    [anon_sym_exists] = ACTIONS(2041),
    [anon_sym_exit] = ACTIONS(2041),
    [anon_sym_eof] = ACTIONS(2041),
    [anon_sym_exp] = ACTIONS(2041),
    [anon_sym_each] = ACTIONS(2041),
    [anon_sym_fc] = ACTIONS(2041),
    [anon_sym_fileno] = ACTIONS(2041),
    [anon_sym_gmtime] = ACTIONS(2041),
    [anon_sym_getc] = ACTIONS(2041),
    [anon_sym_getpgrp] = ACTIONS(2041),
    [anon_sym_getprotobyname] = ACTIONS(2041),
    [anon_sym_getpwname] = ACTIONS(2041),
    [anon_sym_getpwuid] = ACTIONS(2041),
    [anon_sym_getpeername] = ACTIONS(2041),
    [anon_sym_getnetbyname] = ACTIONS(2041),
    [anon_sym_getsockname] = ACTIONS(2041),
    [anon_sym_getgrnam] = ACTIONS(2041),
    [anon_sym_getgrgid] = ACTIONS(2041),
    [anon_sym_hex] = ACTIONS(2041),
    [anon_sym_int] = ACTIONS(2041),
    [anon_sym_keys] = ACTIONS(2041),
    [anon_sym_lc] = ACTIONS(2041),
    [anon_sym_lcfirst] = ACTIONS(2041),
    [anon_sym_length] = ACTIONS(2041),
    [anon_sym_localtime] = ACTIONS(2041),
    [anon_sym_log] = ACTIONS(2041),
    [anon_sym_lock] = ACTIONS(2041),
    [anon_sym_lstat] = ACTIONS(2041),
    [anon_sym_oct] = ACTIONS(2041),
    [anon_sym_ord] = ACTIONS(2041),
    [anon_sym_prototype] = ACTIONS(2041),
    [anon_sym_pop] = ACTIONS(2041),
    [anon_sym_pos] = ACTIONS(2041),
    [anon_sym_quotemeta] = ACTIONS(2041),
    [anon_sym_reset] = ACTIONS(2041),
    [anon_sym_rand] = ACTIONS(2041),
    [anon_sym_rmdir] = ACTIONS(2041),
    [anon_sym_readdir] = ACTIONS(2041),
    [anon_sym_readline] = ACTIONS(2041),
    [anon_sym_readpipe] = ACTIONS(2041),
    [anon_sym_rewinddir] = ACTIONS(2041),
    [anon_sym_readlink] = ACTIONS(2041),
    [anon_sym_ref] = ACTIONS(2041),
    [anon_sym_scalar] = ACTIONS(2041),
    [anon_sym_shift] = ACTIONS(2041),
    [anon_sym_sin] = ACTIONS(2041),
    [anon_sym_sleep] = ACTIONS(2041),
    [anon_sym_sqrt] = ACTIONS(2041),
    [anon_sym_srand] = ACTIONS(2041),
    [anon_sym_stat] = ACTIONS(2041),
    [anon_sym_study] = ACTIONS(2041),
    [anon_sym_tell] = ACTIONS(2041),
    [anon_sym_telldir] = ACTIONS(2041),
    [anon_sym_tied] = ACTIONS(2041),
    [anon_sym_uc] = ACTIONS(2041),
    [anon_sym_ucfirst] = ACTIONS(2041),
    [anon_sym_untie] = ACTIONS(2041),
    [anon_sym_umask] = ACTIONS(2041),
    [anon_sym_values] = ACTIONS(2041),
    [anon_sym_write] = ACTIONS(2041),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2041),
    [anon_sym_qq] = ACTIONS(2041),
    [anon_sym_qw] = ACTIONS(2041),
    [anon_sym_qx] = ACTIONS(2041),
    [anon_sym_qr] = ACTIONS(2041),
    [anon_sym_m] = ACTIONS(2041),
    [anon_sym_s] = ACTIONS(2041),
    [anon_sym_tr] = ACTIONS(2041),
    [anon_sym_y] = ACTIONS(2041),
    [aux_sym__bareword_token1] = ACTIONS(2041),
    [sym_number] = ACTIONS(2041),
    [anon_sym_true] = ACTIONS(2041),
    [anon_sym_false] = ACTIONS(2041),
    [sym__single_quote] = ACTIONS(2039),
    [sym__double_quote] = ACTIONS(2039),
    [sym__backtick_quote] = ACTIONS(2039),
    [sym__search_slash_quote] = ACTIONS(2039),
    [sym__open_readline_bracket] = ACTIONS(2039),
    [sym__open_fileglob_bracket] = ACTIONS(2039),
    [sym__PERLY_HEREDOC] = ACTIONS(2039),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2039),
    [sym__filetest] = ACTIONS(2039),
  },
  [1171] = {
    [sym_heredoc_content] = STATE(1171),
    [sym__identifier] = ACTIONS(2053),
    [anon_sym_LBRACE] = ACTIONS(2053),
    [anon_sym_DOLLAR] = ACTIONS(2053),
    [anon_sym_AT] = ACTIONS(2053),
    [anon_sym_RPAREN] = ACTIONS(2053),
    [anon_sym_my] = ACTIONS(2053),
    [anon_sym_extended] = ACTIONS(2053),
    [anon_sym_async] = ACTIONS(2053),
    [anon_sym_sub] = ACTIONS(2053),
    [anon_sym_method] = ACTIONS(2053),
    [anon_sym_LPAREN] = ACTIONS(2053),
    [anon_sym_continue] = ACTIONS(2053),
    [anon_sym_state] = ACTIONS(2053),
    [anon_sym_our] = ACTIONS(2053),
    [anon_sym_LBRACK] = ACTIONS(2053),
    [anon_sym_LT_LT] = ACTIONS(2053),
    [anon_sym_SLASH_SLASH] = ACTIONS(2053),
    [anon_sym_PLUS] = ACTIONS(2053),
    [anon_sym_DASH] = ACTIONS(2053),
    [anon_sym_TILDE] = ACTIONS(2053),
    [anon_sym_BANG] = ACTIONS(2053),
    [anon_sym_PLUS_PLUS] = ACTIONS(2053),
    [anon_sym_DASH_DASH] = ACTIONS(2053),
    [anon_sym_BSLASH] = ACTIONS(2051),
    [anon_sym_do] = ACTIONS(2053),
    [anon_sym_eval] = ACTIONS(2053),
    [anon_sym_await] = ACTIONS(2053),
    [anon_sym_field] = ACTIONS(2053),
    [anon_sym_local] = ACTIONS(2053),
    [anon_sym_dynamically] = ACTIONS(2053),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2053),
    [anon_sym_require] = ACTIONS(2053),
    [anon_sym_map] = ACTIONS(2053),
    [anon_sym_grep] = ACTIONS(2053),
    [anon_sym_sort] = ACTIONS(2053),
    [anon_sym_goto] = ACTIONS(2053),
    [anon_sym_return] = ACTIONS(2053),
    [anon_sym_undef] = ACTIONS(2053),
    [anon_sym_PERCENT2] = ACTIONS(2053),
    [anon_sym_AMP2] = ACTIONS(2053),
    [anon_sym_STAR2] = ACTIONS(2053),
    [anon_sym_last] = ACTIONS(2053),
    [anon_sym_next] = ACTIONS(2053),
    [anon_sym_redo] = ACTIONS(2053),
    [anon_sym___FILE__] = ACTIONS(2053),
    [anon_sym___LINE__] = ACTIONS(2053),
    [anon_sym___PACKAGE__] = ACTIONS(2053),
    [anon_sym___SUB__] = ACTIONS(2053),
    [anon_sym_break] = ACTIONS(2053),
    [anon_sym_fork] = ACTIONS(2053),
    [anon_sym_getppid] = ACTIONS(2053),
    [anon_sym_time] = ACTIONS(2053),
    [anon_sym_times] = ACTIONS(2053),
    [anon_sym_wait] = ACTIONS(2053),
    [anon_sym_wantarray] = ACTIONS(2053),
    [anon_sym_abs] = ACTIONS(2053),
    [anon_sym_alarm] = ACTIONS(2053),
    [anon_sym_chop] = ACTIONS(2053),
    [anon_sym_chdir] = ACTIONS(2053),
    [anon_sym_close] = ACTIONS(2053),
    [anon_sym_closedir] = ACTIONS(2053),
    [anon_sym_caller] = ACTIONS(2053),
    [anon_sym_chomp] = ACTIONS(2053),
    [anon_sym_chr] = ACTIONS(2053),
    [anon_sym_cos] = ACTIONS(2053),
    [anon_sym_chroot] = ACTIONS(2053),
    [anon_sym_defined] = ACTIONS(2053),
    [anon_sym_delete] = ACTIONS(2053),
    [anon_sym_dbmclose] = ACTIONS(2053),
    [anon_sym_exists] = ACTIONS(2053),
    [anon_sym_exit] = ACTIONS(2053),
    [anon_sym_eof] = ACTIONS(2053),
    [anon_sym_exp] = ACTIONS(2053),
    [anon_sym_each] = ACTIONS(2053),
    [anon_sym_fc] = ACTIONS(2053),
    [anon_sym_fileno] = ACTIONS(2053),
    [anon_sym_gmtime] = ACTIONS(2053),
    [anon_sym_getc] = ACTIONS(2053),
    [anon_sym_getpgrp] = ACTIONS(2053),
    [anon_sym_getprotobyname] = ACTIONS(2053),
    [anon_sym_getpwname] = ACTIONS(2053),
    [anon_sym_getpwuid] = ACTIONS(2053),
    [anon_sym_getpeername] = ACTIONS(2053),
    [anon_sym_getnetbyname] = ACTIONS(2053),
    [anon_sym_getsockname] = ACTIONS(2053),
    [anon_sym_getgrnam] = ACTIONS(2053),
    [anon_sym_getgrgid] = ACTIONS(2053),
    [anon_sym_hex] = ACTIONS(2053),
    [anon_sym_int] = ACTIONS(2053),
    [anon_sym_keys] = ACTIONS(2053),
    [anon_sym_lc] = ACTIONS(2053),
    [anon_sym_lcfirst] = ACTIONS(2053),
    [anon_sym_length] = ACTIONS(2053),
    [anon_sym_localtime] = ACTIONS(2053),
    [anon_sym_log] = ACTIONS(2053),
    [anon_sym_lock] = ACTIONS(2053),
    [anon_sym_lstat] = ACTIONS(2053),
    [anon_sym_oct] = ACTIONS(2053),
    [anon_sym_ord] = ACTIONS(2053),
    [anon_sym_prototype] = ACTIONS(2053),
    [anon_sym_pop] = ACTIONS(2053),
    [anon_sym_pos] = ACTIONS(2053),
    [anon_sym_quotemeta] = ACTIONS(2053),
    [anon_sym_reset] = ACTIONS(2053),
    [anon_sym_rand] = ACTIONS(2053),
    [anon_sym_rmdir] = ACTIONS(2053),
    [anon_sym_readdir] = ACTIONS(2053),
    [anon_sym_readline] = ACTIONS(2053),
    [anon_sym_readpipe] = ACTIONS(2053),
    [anon_sym_rewinddir] = ACTIONS(2053),
    [anon_sym_readlink] = ACTIONS(2053),
    [anon_sym_ref] = ACTIONS(2053),
    [anon_sym_scalar] = ACTIONS(2053),
    [anon_sym_shift] = ACTIONS(2053),
    [anon_sym_sin] = ACTIONS(2053),
    [anon_sym_sleep] = ACTIONS(2053),
    [anon_sym_sqrt] = ACTIONS(2053),
    [anon_sym_srand] = ACTIONS(2053),
    [anon_sym_stat] = ACTIONS(2053),
    [anon_sym_study] = ACTIONS(2053),
    [anon_sym_tell] = ACTIONS(2053),
    [anon_sym_telldir] = ACTIONS(2053),
    [anon_sym_tied] = ACTIONS(2053),
    [anon_sym_uc] = ACTIONS(2053),
    [anon_sym_ucfirst] = ACTIONS(2053),
    [anon_sym_untie] = ACTIONS(2053),
    [anon_sym_umask] = ACTIONS(2053),
    [anon_sym_values] = ACTIONS(2053),
    [anon_sym_write] = ACTIONS(2053),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2053),
    [anon_sym_qq] = ACTIONS(2053),
    [anon_sym_qw] = ACTIONS(2053),
    [anon_sym_qx] = ACTIONS(2053),
    [anon_sym_qr] = ACTIONS(2053),
    [anon_sym_m] = ACTIONS(2053),
    [anon_sym_s] = ACTIONS(2053),
    [anon_sym_tr] = ACTIONS(2053),
    [anon_sym_y] = ACTIONS(2053),
    [aux_sym__bareword_token1] = ACTIONS(2053),
    [sym_number] = ACTIONS(2053),
    [anon_sym_true] = ACTIONS(2053),
    [anon_sym_false] = ACTIONS(2053),
    [sym__single_quote] = ACTIONS(2051),
    [sym__double_quote] = ACTIONS(2051),
    [sym__backtick_quote] = ACTIONS(2051),
    [sym__search_slash_quote] = ACTIONS(2051),
    [sym__open_readline_bracket] = ACTIONS(2051),
    [sym__open_fileglob_bracket] = ACTIONS(2051),
    [sym__PERLY_HEREDOC] = ACTIONS(2051),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2051),
    [sym__filetest] = ACTIONS(2051),
  },
  [1172] = {
    [sym_heredoc_content] = STATE(1172),
    [sym__identifier] = ACTIONS(2057),
    [anon_sym_LBRACE] = ACTIONS(2057),
    [anon_sym_DOLLAR] = ACTIONS(2057),
    [anon_sym_AT] = ACTIONS(2057),
    [anon_sym_RPAREN] = ACTIONS(2057),
    [anon_sym_my] = ACTIONS(2057),
    [anon_sym_extended] = ACTIONS(2057),
    [anon_sym_async] = ACTIONS(2057),
    [anon_sym_sub] = ACTIONS(2057),
    [anon_sym_method] = ACTIONS(2057),
    [anon_sym_LPAREN] = ACTIONS(2057),
    [anon_sym_continue] = ACTIONS(2057),
    [anon_sym_state] = ACTIONS(2057),
    [anon_sym_our] = ACTIONS(2057),
    [anon_sym_LBRACK] = ACTIONS(2057),
    [anon_sym_LT_LT] = ACTIONS(2057),
    [anon_sym_SLASH_SLASH] = ACTIONS(2057),
    [anon_sym_PLUS] = ACTIONS(2057),
    [anon_sym_DASH] = ACTIONS(2057),
    [anon_sym_TILDE] = ACTIONS(2057),
    [anon_sym_BANG] = ACTIONS(2057),
    [anon_sym_PLUS_PLUS] = ACTIONS(2057),
    [anon_sym_DASH_DASH] = ACTIONS(2057),
    [anon_sym_BSLASH] = ACTIONS(2055),
    [anon_sym_do] = ACTIONS(2057),
    [anon_sym_eval] = ACTIONS(2057),
    [anon_sym_await] = ACTIONS(2057),
    [anon_sym_field] = ACTIONS(2057),
    [anon_sym_local] = ACTIONS(2057),
    [anon_sym_dynamically] = ACTIONS(2057),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2057),
    [anon_sym_require] = ACTIONS(2057),
    [anon_sym_map] = ACTIONS(2057),
    [anon_sym_grep] = ACTIONS(2057),
    [anon_sym_sort] = ACTIONS(2057),
    [anon_sym_goto] = ACTIONS(2057),
    [anon_sym_return] = ACTIONS(2057),
    [anon_sym_undef] = ACTIONS(2057),
    [anon_sym_PERCENT2] = ACTIONS(2057),
    [anon_sym_AMP2] = ACTIONS(2057),
    [anon_sym_STAR2] = ACTIONS(2057),
    [anon_sym_last] = ACTIONS(2057),
    [anon_sym_next] = ACTIONS(2057),
    [anon_sym_redo] = ACTIONS(2057),
    [anon_sym___FILE__] = ACTIONS(2057),
    [anon_sym___LINE__] = ACTIONS(2057),
    [anon_sym___PACKAGE__] = ACTIONS(2057),
    [anon_sym___SUB__] = ACTIONS(2057),
    [anon_sym_break] = ACTIONS(2057),
    [anon_sym_fork] = ACTIONS(2057),
    [anon_sym_getppid] = ACTIONS(2057),
    [anon_sym_time] = ACTIONS(2057),
    [anon_sym_times] = ACTIONS(2057),
    [anon_sym_wait] = ACTIONS(2057),
    [anon_sym_wantarray] = ACTIONS(2057),
    [anon_sym_abs] = ACTIONS(2057),
    [anon_sym_alarm] = ACTIONS(2057),
    [anon_sym_chop] = ACTIONS(2057),
    [anon_sym_chdir] = ACTIONS(2057),
    [anon_sym_close] = ACTIONS(2057),
    [anon_sym_closedir] = ACTIONS(2057),
    [anon_sym_caller] = ACTIONS(2057),
    [anon_sym_chomp] = ACTIONS(2057),
    [anon_sym_chr] = ACTIONS(2057),
    [anon_sym_cos] = ACTIONS(2057),
    [anon_sym_chroot] = ACTIONS(2057),
    [anon_sym_defined] = ACTIONS(2057),
    [anon_sym_delete] = ACTIONS(2057),
    [anon_sym_dbmclose] = ACTIONS(2057),
    [anon_sym_exists] = ACTIONS(2057),
    [anon_sym_exit] = ACTIONS(2057),
    [anon_sym_eof] = ACTIONS(2057),
    [anon_sym_exp] = ACTIONS(2057),
    [anon_sym_each] = ACTIONS(2057),
    [anon_sym_fc] = ACTIONS(2057),
    [anon_sym_fileno] = ACTIONS(2057),
    [anon_sym_gmtime] = ACTIONS(2057),
    [anon_sym_getc] = ACTIONS(2057),
    [anon_sym_getpgrp] = ACTIONS(2057),
    [anon_sym_getprotobyname] = ACTIONS(2057),
    [anon_sym_getpwname] = ACTIONS(2057),
    [anon_sym_getpwuid] = ACTIONS(2057),
    [anon_sym_getpeername] = ACTIONS(2057),
    [anon_sym_getnetbyname] = ACTIONS(2057),
    [anon_sym_getsockname] = ACTIONS(2057),
    [anon_sym_getgrnam] = ACTIONS(2057),
    [anon_sym_getgrgid] = ACTIONS(2057),
    [anon_sym_hex] = ACTIONS(2057),
    [anon_sym_int] = ACTIONS(2057),
    [anon_sym_keys] = ACTIONS(2057),
    [anon_sym_lc] = ACTIONS(2057),
    [anon_sym_lcfirst] = ACTIONS(2057),
    [anon_sym_length] = ACTIONS(2057),
    [anon_sym_localtime] = ACTIONS(2057),
    [anon_sym_log] = ACTIONS(2057),
    [anon_sym_lock] = ACTIONS(2057),
    [anon_sym_lstat] = ACTIONS(2057),
    [anon_sym_oct] = ACTIONS(2057),
    [anon_sym_ord] = ACTIONS(2057),
    [anon_sym_prototype] = ACTIONS(2057),
    [anon_sym_pop] = ACTIONS(2057),
    [anon_sym_pos] = ACTIONS(2057),
    [anon_sym_quotemeta] = ACTIONS(2057),
    [anon_sym_reset] = ACTIONS(2057),
    [anon_sym_rand] = ACTIONS(2057),
    [anon_sym_rmdir] = ACTIONS(2057),
    [anon_sym_readdir] = ACTIONS(2057),
    [anon_sym_readline] = ACTIONS(2057),
    [anon_sym_readpipe] = ACTIONS(2057),
    [anon_sym_rewinddir] = ACTIONS(2057),
    [anon_sym_readlink] = ACTIONS(2057),
    [anon_sym_ref] = ACTIONS(2057),
    [anon_sym_scalar] = ACTIONS(2057),
    [anon_sym_shift] = ACTIONS(2057),
    [anon_sym_sin] = ACTIONS(2057),
    [anon_sym_sleep] = ACTIONS(2057),
    [anon_sym_sqrt] = ACTIONS(2057),
    [anon_sym_srand] = ACTIONS(2057),
    [anon_sym_stat] = ACTIONS(2057),
    [anon_sym_study] = ACTIONS(2057),
    [anon_sym_tell] = ACTIONS(2057),
    [anon_sym_telldir] = ACTIONS(2057),
    [anon_sym_tied] = ACTIONS(2057),
    [anon_sym_uc] = ACTIONS(2057),
    [anon_sym_ucfirst] = ACTIONS(2057),
    [anon_sym_untie] = ACTIONS(2057),
    [anon_sym_umask] = ACTIONS(2057),
    [anon_sym_values] = ACTIONS(2057),
    [anon_sym_write] = ACTIONS(2057),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2057),
    [anon_sym_qq] = ACTIONS(2057),
    [anon_sym_qw] = ACTIONS(2057),
    [anon_sym_qx] = ACTIONS(2057),
    [anon_sym_qr] = ACTIONS(2057),
    [anon_sym_m] = ACTIONS(2057),
    [anon_sym_s] = ACTIONS(2057),
    [anon_sym_tr] = ACTIONS(2057),
    [anon_sym_y] = ACTIONS(2057),
    [aux_sym__bareword_token1] = ACTIONS(2057),
    [sym_number] = ACTIONS(2057),
    [anon_sym_true] = ACTIONS(2057),
    [anon_sym_false] = ACTIONS(2057),
    [sym__single_quote] = ACTIONS(2055),
    [sym__double_quote] = ACTIONS(2055),
    [sym__backtick_quote] = ACTIONS(2055),
    [sym__search_slash_quote] = ACTIONS(2055),
    [sym__open_readline_bracket] = ACTIONS(2055),
    [sym__open_fileglob_bracket] = ACTIONS(2055),
    [sym__PERLY_HEREDOC] = ACTIONS(2055),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2055),
    [sym__filetest] = ACTIONS(2055),
  },
  [1173] = {
    [sym_heredoc_content] = STATE(1173),
    [sym__identifier] = ACTIONS(2061),
    [anon_sym_LBRACE] = ACTIONS(2061),
    [anon_sym_DOLLAR] = ACTIONS(2061),
    [anon_sym_AT] = ACTIONS(2061),
    [anon_sym_RPAREN] = ACTIONS(2061),
    [anon_sym_my] = ACTIONS(2061),
    [anon_sym_extended] = ACTIONS(2061),
    [anon_sym_async] = ACTIONS(2061),
    [anon_sym_sub] = ACTIONS(2061),
    [anon_sym_method] = ACTIONS(2061),
    [anon_sym_LPAREN] = ACTIONS(2061),
    [anon_sym_continue] = ACTIONS(2061),
    [anon_sym_state] = ACTIONS(2061),
    [anon_sym_our] = ACTIONS(2061),
    [anon_sym_LBRACK] = ACTIONS(2061),
    [anon_sym_LT_LT] = ACTIONS(2061),
    [anon_sym_SLASH_SLASH] = ACTIONS(2061),
    [anon_sym_PLUS] = ACTIONS(2061),
    [anon_sym_DASH] = ACTIONS(2061),
    [anon_sym_TILDE] = ACTIONS(2061),
    [anon_sym_BANG] = ACTIONS(2061),
    [anon_sym_PLUS_PLUS] = ACTIONS(2061),
    [anon_sym_DASH_DASH] = ACTIONS(2061),
    [anon_sym_BSLASH] = ACTIONS(2059),
    [anon_sym_do] = ACTIONS(2061),
    [anon_sym_eval] = ACTIONS(2061),
    [anon_sym_await] = ACTIONS(2061),
    [anon_sym_field] = ACTIONS(2061),
    [anon_sym_local] = ACTIONS(2061),
    [anon_sym_dynamically] = ACTIONS(2061),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2061),
    [anon_sym_require] = ACTIONS(2061),
    [anon_sym_map] = ACTIONS(2061),
    [anon_sym_grep] = ACTIONS(2061),
    [anon_sym_sort] = ACTIONS(2061),
    [anon_sym_goto] = ACTIONS(2061),
    [anon_sym_return] = ACTIONS(2061),
    [anon_sym_undef] = ACTIONS(2061),
    [anon_sym_PERCENT2] = ACTIONS(2061),
    [anon_sym_AMP2] = ACTIONS(2061),
    [anon_sym_STAR2] = ACTIONS(2061),
    [anon_sym_last] = ACTIONS(2061),
    [anon_sym_next] = ACTIONS(2061),
    [anon_sym_redo] = ACTIONS(2061),
    [anon_sym___FILE__] = ACTIONS(2061),
    [anon_sym___LINE__] = ACTIONS(2061),
    [anon_sym___PACKAGE__] = ACTIONS(2061),
    [anon_sym___SUB__] = ACTIONS(2061),
    [anon_sym_break] = ACTIONS(2061),
    [anon_sym_fork] = ACTIONS(2061),
    [anon_sym_getppid] = ACTIONS(2061),
    [anon_sym_time] = ACTIONS(2061),
    [anon_sym_times] = ACTIONS(2061),
    [anon_sym_wait] = ACTIONS(2061),
    [anon_sym_wantarray] = ACTIONS(2061),
    [anon_sym_abs] = ACTIONS(2061),
    [anon_sym_alarm] = ACTIONS(2061),
    [anon_sym_chop] = ACTIONS(2061),
    [anon_sym_chdir] = ACTIONS(2061),
    [anon_sym_close] = ACTIONS(2061),
    [anon_sym_closedir] = ACTIONS(2061),
    [anon_sym_caller] = ACTIONS(2061),
    [anon_sym_chomp] = ACTIONS(2061),
    [anon_sym_chr] = ACTIONS(2061),
    [anon_sym_cos] = ACTIONS(2061),
    [anon_sym_chroot] = ACTIONS(2061),
    [anon_sym_defined] = ACTIONS(2061),
    [anon_sym_delete] = ACTIONS(2061),
    [anon_sym_dbmclose] = ACTIONS(2061),
    [anon_sym_exists] = ACTIONS(2061),
    [anon_sym_exit] = ACTIONS(2061),
    [anon_sym_eof] = ACTIONS(2061),
    [anon_sym_exp] = ACTIONS(2061),
    [anon_sym_each] = ACTIONS(2061),
    [anon_sym_fc] = ACTIONS(2061),
    [anon_sym_fileno] = ACTIONS(2061),
    [anon_sym_gmtime] = ACTIONS(2061),
    [anon_sym_getc] = ACTIONS(2061),
    [anon_sym_getpgrp] = ACTIONS(2061),
    [anon_sym_getprotobyname] = ACTIONS(2061),
    [anon_sym_getpwname] = ACTIONS(2061),
    [anon_sym_getpwuid] = ACTIONS(2061),
    [anon_sym_getpeername] = ACTIONS(2061),
    [anon_sym_getnetbyname] = ACTIONS(2061),
    [anon_sym_getsockname] = ACTIONS(2061),
    [anon_sym_getgrnam] = ACTIONS(2061),
    [anon_sym_getgrgid] = ACTIONS(2061),
    [anon_sym_hex] = ACTIONS(2061),
    [anon_sym_int] = ACTIONS(2061),
    [anon_sym_keys] = ACTIONS(2061),
    [anon_sym_lc] = ACTIONS(2061),
    [anon_sym_lcfirst] = ACTIONS(2061),
    [anon_sym_length] = ACTIONS(2061),
    [anon_sym_localtime] = ACTIONS(2061),
    [anon_sym_log] = ACTIONS(2061),
    [anon_sym_lock] = ACTIONS(2061),
    [anon_sym_lstat] = ACTIONS(2061),
    [anon_sym_oct] = ACTIONS(2061),
    [anon_sym_ord] = ACTIONS(2061),
    [anon_sym_prototype] = ACTIONS(2061),
    [anon_sym_pop] = ACTIONS(2061),
    [anon_sym_pos] = ACTIONS(2061),
    [anon_sym_quotemeta] = ACTIONS(2061),
    [anon_sym_reset] = ACTIONS(2061),
    [anon_sym_rand] = ACTIONS(2061),
    [anon_sym_rmdir] = ACTIONS(2061),
    [anon_sym_readdir] = ACTIONS(2061),
    [anon_sym_readline] = ACTIONS(2061),
    [anon_sym_readpipe] = ACTIONS(2061),
    [anon_sym_rewinddir] = ACTIONS(2061),
    [anon_sym_readlink] = ACTIONS(2061),
    [anon_sym_ref] = ACTIONS(2061),
    [anon_sym_scalar] = ACTIONS(2061),
    [anon_sym_shift] = ACTIONS(2061),
    [anon_sym_sin] = ACTIONS(2061),
    [anon_sym_sleep] = ACTIONS(2061),
    [anon_sym_sqrt] = ACTIONS(2061),
    [anon_sym_srand] = ACTIONS(2061),
    [anon_sym_stat] = ACTIONS(2061),
    [anon_sym_study] = ACTIONS(2061),
    [anon_sym_tell] = ACTIONS(2061),
    [anon_sym_telldir] = ACTIONS(2061),
    [anon_sym_tied] = ACTIONS(2061),
    [anon_sym_uc] = ACTIONS(2061),
    [anon_sym_ucfirst] = ACTIONS(2061),
    [anon_sym_untie] = ACTIONS(2061),
    [anon_sym_umask] = ACTIONS(2061),
    [anon_sym_values] = ACTIONS(2061),
    [anon_sym_write] = ACTIONS(2061),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2061),
    [anon_sym_qq] = ACTIONS(2061),
    [anon_sym_qw] = ACTIONS(2061),
    [anon_sym_qx] = ACTIONS(2061),
    [anon_sym_qr] = ACTIONS(2061),
    [anon_sym_m] = ACTIONS(2061),
    [anon_sym_s] = ACTIONS(2061),
    [anon_sym_tr] = ACTIONS(2061),
    [anon_sym_y] = ACTIONS(2061),
    [aux_sym__bareword_token1] = ACTIONS(2061),
    [sym_number] = ACTIONS(2061),
    [anon_sym_true] = ACTIONS(2061),
    [anon_sym_false] = ACTIONS(2061),
    [sym__single_quote] = ACTIONS(2059),
    [sym__double_quote] = ACTIONS(2059),
    [sym__backtick_quote] = ACTIONS(2059),
    [sym__search_slash_quote] = ACTIONS(2059),
    [sym__open_readline_bracket] = ACTIONS(2059),
    [sym__open_fileglob_bracket] = ACTIONS(2059),
    [sym__PERLY_HEREDOC] = ACTIONS(2059),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2059),
    [sym__filetest] = ACTIONS(2059),
  },
  [1174] = {
    [sym_heredoc_content] = STATE(1174),
    [sym__identifier] = ACTIONS(2065),
    [anon_sym_LBRACE] = ACTIONS(2065),
    [anon_sym_DOLLAR] = ACTIONS(2065),
    [anon_sym_AT] = ACTIONS(2065),
    [anon_sym_RPAREN] = ACTIONS(2065),
    [anon_sym_my] = ACTIONS(2065),
    [anon_sym_extended] = ACTIONS(2065),
    [anon_sym_async] = ACTIONS(2065),
    [anon_sym_sub] = ACTIONS(2065),
    [anon_sym_method] = ACTIONS(2065),
    [anon_sym_LPAREN] = ACTIONS(2065),
    [anon_sym_continue] = ACTIONS(2065),
    [anon_sym_state] = ACTIONS(2065),
    [anon_sym_our] = ACTIONS(2065),
    [anon_sym_LBRACK] = ACTIONS(2065),
    [anon_sym_LT_LT] = ACTIONS(2065),
    [anon_sym_SLASH_SLASH] = ACTIONS(2065),
    [anon_sym_PLUS] = ACTIONS(2065),
    [anon_sym_DASH] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_BSLASH] = ACTIONS(2063),
    [anon_sym_do] = ACTIONS(2065),
    [anon_sym_eval] = ACTIONS(2065),
    [anon_sym_await] = ACTIONS(2065),
    [anon_sym_field] = ACTIONS(2065),
    [anon_sym_local] = ACTIONS(2065),
    [anon_sym_dynamically] = ACTIONS(2065),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2065),
    [anon_sym_require] = ACTIONS(2065),
    [anon_sym_map] = ACTIONS(2065),
    [anon_sym_grep] = ACTIONS(2065),
    [anon_sym_sort] = ACTIONS(2065),
    [anon_sym_goto] = ACTIONS(2065),
    [anon_sym_return] = ACTIONS(2065),
    [anon_sym_undef] = ACTIONS(2065),
    [anon_sym_PERCENT2] = ACTIONS(2065),
    [anon_sym_AMP2] = ACTIONS(2065),
    [anon_sym_STAR2] = ACTIONS(2065),
    [anon_sym_last] = ACTIONS(2065),
    [anon_sym_next] = ACTIONS(2065),
    [anon_sym_redo] = ACTIONS(2065),
    [anon_sym___FILE__] = ACTIONS(2065),
    [anon_sym___LINE__] = ACTIONS(2065),
    [anon_sym___PACKAGE__] = ACTIONS(2065),
    [anon_sym___SUB__] = ACTIONS(2065),
    [anon_sym_break] = ACTIONS(2065),
    [anon_sym_fork] = ACTIONS(2065),
    [anon_sym_getppid] = ACTIONS(2065),
    [anon_sym_time] = ACTIONS(2065),
    [anon_sym_times] = ACTIONS(2065),
    [anon_sym_wait] = ACTIONS(2065),
    [anon_sym_wantarray] = ACTIONS(2065),
    [anon_sym_abs] = ACTIONS(2065),
    [anon_sym_alarm] = ACTIONS(2065),
    [anon_sym_chop] = ACTIONS(2065),
    [anon_sym_chdir] = ACTIONS(2065),
    [anon_sym_close] = ACTIONS(2065),
    [anon_sym_closedir] = ACTIONS(2065),
    [anon_sym_caller] = ACTIONS(2065),
    [anon_sym_chomp] = ACTIONS(2065),
    [anon_sym_chr] = ACTIONS(2065),
    [anon_sym_cos] = ACTIONS(2065),
    [anon_sym_chroot] = ACTIONS(2065),
    [anon_sym_defined] = ACTIONS(2065),
    [anon_sym_delete] = ACTIONS(2065),
    [anon_sym_dbmclose] = ACTIONS(2065),
    [anon_sym_exists] = ACTIONS(2065),
    [anon_sym_exit] = ACTIONS(2065),
    [anon_sym_eof] = ACTIONS(2065),
    [anon_sym_exp] = ACTIONS(2065),
    [anon_sym_each] = ACTIONS(2065),
    [anon_sym_fc] = ACTIONS(2065),
    [anon_sym_fileno] = ACTIONS(2065),
    [anon_sym_gmtime] = ACTIONS(2065),
    [anon_sym_getc] = ACTIONS(2065),
    [anon_sym_getpgrp] = ACTIONS(2065),
    [anon_sym_getprotobyname] = ACTIONS(2065),
    [anon_sym_getpwname] = ACTIONS(2065),
    [anon_sym_getpwuid] = ACTIONS(2065),
    [anon_sym_getpeername] = ACTIONS(2065),
    [anon_sym_getnetbyname] = ACTIONS(2065),
    [anon_sym_getsockname] = ACTIONS(2065),
    [anon_sym_getgrnam] = ACTIONS(2065),
    [anon_sym_getgrgid] = ACTIONS(2065),
    [anon_sym_hex] = ACTIONS(2065),
    [anon_sym_int] = ACTIONS(2065),
    [anon_sym_keys] = ACTIONS(2065),
    [anon_sym_lc] = ACTIONS(2065),
    [anon_sym_lcfirst] = ACTIONS(2065),
    [anon_sym_length] = ACTIONS(2065),
    [anon_sym_localtime] = ACTIONS(2065),
    [anon_sym_log] = ACTIONS(2065),
    [anon_sym_lock] = ACTIONS(2065),
    [anon_sym_lstat] = ACTIONS(2065),
    [anon_sym_oct] = ACTIONS(2065),
    [anon_sym_ord] = ACTIONS(2065),
    [anon_sym_prototype] = ACTIONS(2065),
    [anon_sym_pop] = ACTIONS(2065),
    [anon_sym_pos] = ACTIONS(2065),
    [anon_sym_quotemeta] = ACTIONS(2065),
    [anon_sym_reset] = ACTIONS(2065),
    [anon_sym_rand] = ACTIONS(2065),
    [anon_sym_rmdir] = ACTIONS(2065),
    [anon_sym_readdir] = ACTIONS(2065),
    [anon_sym_readline] = ACTIONS(2065),
    [anon_sym_readpipe] = ACTIONS(2065),
    [anon_sym_rewinddir] = ACTIONS(2065),
    [anon_sym_readlink] = ACTIONS(2065),
    [anon_sym_ref] = ACTIONS(2065),
    [anon_sym_scalar] = ACTIONS(2065),
    [anon_sym_shift] = ACTIONS(2065),
    [anon_sym_sin] = ACTIONS(2065),
    [anon_sym_sleep] = ACTIONS(2065),
    [anon_sym_sqrt] = ACTIONS(2065),
    [anon_sym_srand] = ACTIONS(2065),
    [anon_sym_stat] = ACTIONS(2065),
    [anon_sym_study] = ACTIONS(2065),
    [anon_sym_tell] = ACTIONS(2065),
    [anon_sym_telldir] = ACTIONS(2065),
    [anon_sym_tied] = ACTIONS(2065),
    [anon_sym_uc] = ACTIONS(2065),
    [anon_sym_ucfirst] = ACTIONS(2065),
    [anon_sym_untie] = ACTIONS(2065),
    [anon_sym_umask] = ACTIONS(2065),
    [anon_sym_values] = ACTIONS(2065),
    [anon_sym_write] = ACTIONS(2065),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2065),
    [anon_sym_qq] = ACTIONS(2065),
    [anon_sym_qw] = ACTIONS(2065),
    [anon_sym_qx] = ACTIONS(2065),
    [anon_sym_qr] = ACTIONS(2065),
    [anon_sym_m] = ACTIONS(2065),
    [anon_sym_s] = ACTIONS(2065),
    [anon_sym_tr] = ACTIONS(2065),
    [anon_sym_y] = ACTIONS(2065),
    [aux_sym__bareword_token1] = ACTIONS(2065),
    [sym_number] = ACTIONS(2065),
    [anon_sym_true] = ACTIONS(2065),
    [anon_sym_false] = ACTIONS(2065),
    [sym__single_quote] = ACTIONS(2063),
    [sym__double_quote] = ACTIONS(2063),
    [sym__backtick_quote] = ACTIONS(2063),
    [sym__search_slash_quote] = ACTIONS(2063),
    [sym__open_readline_bracket] = ACTIONS(2063),
    [sym__open_fileglob_bracket] = ACTIONS(2063),
    [sym__PERLY_HEREDOC] = ACTIONS(2063),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2063),
    [sym__filetest] = ACTIONS(2063),
  },
  [1175] = {
    [sym_heredoc_content] = STATE(1175),
    [sym__identifier] = ACTIONS(2073),
    [anon_sym_LBRACE] = ACTIONS(2073),
    [anon_sym_DOLLAR] = ACTIONS(2073),
    [anon_sym_AT] = ACTIONS(2073),
    [anon_sym_RPAREN] = ACTIONS(2073),
    [anon_sym_my] = ACTIONS(2073),
    [anon_sym_extended] = ACTIONS(2073),
    [anon_sym_async] = ACTIONS(2073),
    [anon_sym_sub] = ACTIONS(2073),
    [anon_sym_method] = ACTIONS(2073),
    [anon_sym_LPAREN] = ACTIONS(2073),
    [anon_sym_continue] = ACTIONS(2073),
    [anon_sym_state] = ACTIONS(2073),
    [anon_sym_our] = ACTIONS(2073),
    [anon_sym_LBRACK] = ACTIONS(2073),
    [anon_sym_LT_LT] = ACTIONS(2073),
    [anon_sym_SLASH_SLASH] = ACTIONS(2073),
    [anon_sym_PLUS] = ACTIONS(2073),
    [anon_sym_DASH] = ACTIONS(2073),
    [anon_sym_TILDE] = ACTIONS(2073),
    [anon_sym_BANG] = ACTIONS(2073),
    [anon_sym_PLUS_PLUS] = ACTIONS(2073),
    [anon_sym_DASH_DASH] = ACTIONS(2073),
    [anon_sym_BSLASH] = ACTIONS(2071),
    [anon_sym_do] = ACTIONS(2073),
    [anon_sym_eval] = ACTIONS(2073),
    [anon_sym_await] = ACTIONS(2073),
    [anon_sym_field] = ACTIONS(2073),
    [anon_sym_local] = ACTIONS(2073),
    [anon_sym_dynamically] = ACTIONS(2073),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2073),
    [anon_sym_require] = ACTIONS(2073),
    [anon_sym_map] = ACTIONS(2073),
    [anon_sym_grep] = ACTIONS(2073),
    [anon_sym_sort] = ACTIONS(2073),
    [anon_sym_goto] = ACTIONS(2073),
    [anon_sym_return] = ACTIONS(2073),
    [anon_sym_undef] = ACTIONS(2073),
    [anon_sym_PERCENT2] = ACTIONS(2073),
    [anon_sym_AMP2] = ACTIONS(2073),
    [anon_sym_STAR2] = ACTIONS(2073),
    [anon_sym_last] = ACTIONS(2073),
    [anon_sym_next] = ACTIONS(2073),
    [anon_sym_redo] = ACTIONS(2073),
    [anon_sym___FILE__] = ACTIONS(2073),
    [anon_sym___LINE__] = ACTIONS(2073),
    [anon_sym___PACKAGE__] = ACTIONS(2073),
    [anon_sym___SUB__] = ACTIONS(2073),
    [anon_sym_break] = ACTIONS(2073),
    [anon_sym_fork] = ACTIONS(2073),
    [anon_sym_getppid] = ACTIONS(2073),
    [anon_sym_time] = ACTIONS(2073),
    [anon_sym_times] = ACTIONS(2073),
    [anon_sym_wait] = ACTIONS(2073),
    [anon_sym_wantarray] = ACTIONS(2073),
    [anon_sym_abs] = ACTIONS(2073),
    [anon_sym_alarm] = ACTIONS(2073),
    [anon_sym_chop] = ACTIONS(2073),
    [anon_sym_chdir] = ACTIONS(2073),
    [anon_sym_close] = ACTIONS(2073),
    [anon_sym_closedir] = ACTIONS(2073),
    [anon_sym_caller] = ACTIONS(2073),
    [anon_sym_chomp] = ACTIONS(2073),
    [anon_sym_chr] = ACTIONS(2073),
    [anon_sym_cos] = ACTIONS(2073),
    [anon_sym_chroot] = ACTIONS(2073),
    [anon_sym_defined] = ACTIONS(2073),
    [anon_sym_delete] = ACTIONS(2073),
    [anon_sym_dbmclose] = ACTIONS(2073),
    [anon_sym_exists] = ACTIONS(2073),
    [anon_sym_exit] = ACTIONS(2073),
    [anon_sym_eof] = ACTIONS(2073),
    [anon_sym_exp] = ACTIONS(2073),
    [anon_sym_each] = ACTIONS(2073),
    [anon_sym_fc] = ACTIONS(2073),
    [anon_sym_fileno] = ACTIONS(2073),
    [anon_sym_gmtime] = ACTIONS(2073),
    [anon_sym_getc] = ACTIONS(2073),
    [anon_sym_getpgrp] = ACTIONS(2073),
    [anon_sym_getprotobyname] = ACTIONS(2073),
    [anon_sym_getpwname] = ACTIONS(2073),
    [anon_sym_getpwuid] = ACTIONS(2073),
    [anon_sym_getpeername] = ACTIONS(2073),
    [anon_sym_getnetbyname] = ACTIONS(2073),
    [anon_sym_getsockname] = ACTIONS(2073),
    [anon_sym_getgrnam] = ACTIONS(2073),
    [anon_sym_getgrgid] = ACTIONS(2073),
    [anon_sym_hex] = ACTIONS(2073),
    [anon_sym_int] = ACTIONS(2073),
    [anon_sym_keys] = ACTIONS(2073),
    [anon_sym_lc] = ACTIONS(2073),
    [anon_sym_lcfirst] = ACTIONS(2073),
    [anon_sym_length] = ACTIONS(2073),
    [anon_sym_localtime] = ACTIONS(2073),
    [anon_sym_log] = ACTIONS(2073),
    [anon_sym_lock] = ACTIONS(2073),
    [anon_sym_lstat] = ACTIONS(2073),
    [anon_sym_oct] = ACTIONS(2073),
    [anon_sym_ord] = ACTIONS(2073),
    [anon_sym_prototype] = ACTIONS(2073),
    [anon_sym_pop] = ACTIONS(2073),
    [anon_sym_pos] = ACTIONS(2073),
    [anon_sym_quotemeta] = ACTIONS(2073),
    [anon_sym_reset] = ACTIONS(2073),
    [anon_sym_rand] = ACTIONS(2073),
    [anon_sym_rmdir] = ACTIONS(2073),
    [anon_sym_readdir] = ACTIONS(2073),
    [anon_sym_readline] = ACTIONS(2073),
    [anon_sym_readpipe] = ACTIONS(2073),
    [anon_sym_rewinddir] = ACTIONS(2073),
    [anon_sym_readlink] = ACTIONS(2073),
    [anon_sym_ref] = ACTIONS(2073),
    [anon_sym_scalar] = ACTIONS(2073),
    [anon_sym_shift] = ACTIONS(2073),
    [anon_sym_sin] = ACTIONS(2073),
    [anon_sym_sleep] = ACTIONS(2073),
    [anon_sym_sqrt] = ACTIONS(2073),
    [anon_sym_srand] = ACTIONS(2073),
    [anon_sym_stat] = ACTIONS(2073),
    [anon_sym_study] = ACTIONS(2073),
    [anon_sym_tell] = ACTIONS(2073),
    [anon_sym_telldir] = ACTIONS(2073),
    [anon_sym_tied] = ACTIONS(2073),
    [anon_sym_uc] = ACTIONS(2073),
    [anon_sym_ucfirst] = ACTIONS(2073),
    [anon_sym_untie] = ACTIONS(2073),
    [anon_sym_umask] = ACTIONS(2073),
    [anon_sym_values] = ACTIONS(2073),
    [anon_sym_write] = ACTIONS(2073),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2073),
    [anon_sym_qq] = ACTIONS(2073),
    [anon_sym_qw] = ACTIONS(2073),
    [anon_sym_qx] = ACTIONS(2073),
    [anon_sym_qr] = ACTIONS(2073),
    [anon_sym_m] = ACTIONS(2073),
    [anon_sym_s] = ACTIONS(2073),
    [anon_sym_tr] = ACTIONS(2073),
    [anon_sym_y] = ACTIONS(2073),
    [aux_sym__bareword_token1] = ACTIONS(2073),
    [sym_number] = ACTIONS(2073),
    [anon_sym_true] = ACTIONS(2073),
    [anon_sym_false] = ACTIONS(2073),
    [sym__single_quote] = ACTIONS(2071),
    [sym__double_quote] = ACTIONS(2071),
    [sym__backtick_quote] = ACTIONS(2071),
    [sym__search_slash_quote] = ACTIONS(2071),
    [sym__open_readline_bracket] = ACTIONS(2071),
    [sym__open_fileglob_bracket] = ACTIONS(2071),
    [sym__PERLY_HEREDOC] = ACTIONS(2071),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2071),
    [sym__filetest] = ACTIONS(2071),
  },
  [1176] = {
    [sym_heredoc_content] = STATE(1176),
    [sym__identifier] = ACTIONS(2077),
    [anon_sym_LBRACE] = ACTIONS(2077),
    [anon_sym_DOLLAR] = ACTIONS(2077),
    [anon_sym_AT] = ACTIONS(2077),
    [anon_sym_RPAREN] = ACTIONS(2077),
    [anon_sym_my] = ACTIONS(2077),
    [anon_sym_extended] = ACTIONS(2077),
    [anon_sym_async] = ACTIONS(2077),
    [anon_sym_sub] = ACTIONS(2077),
    [anon_sym_method] = ACTIONS(2077),
    [anon_sym_LPAREN] = ACTIONS(2077),
    [anon_sym_continue] = ACTIONS(2077),
    [anon_sym_state] = ACTIONS(2077),
    [anon_sym_our] = ACTIONS(2077),
    [anon_sym_LBRACK] = ACTIONS(2077),
    [anon_sym_LT_LT] = ACTIONS(2077),
    [anon_sym_SLASH_SLASH] = ACTIONS(2077),
    [anon_sym_PLUS] = ACTIONS(2077),
    [anon_sym_DASH] = ACTIONS(2077),
    [anon_sym_TILDE] = ACTIONS(2077),
    [anon_sym_BANG] = ACTIONS(2077),
    [anon_sym_PLUS_PLUS] = ACTIONS(2077),
    [anon_sym_DASH_DASH] = ACTIONS(2077),
    [anon_sym_BSLASH] = ACTIONS(2075),
    [anon_sym_do] = ACTIONS(2077),
    [anon_sym_eval] = ACTIONS(2077),
    [anon_sym_await] = ACTIONS(2077),
    [anon_sym_field] = ACTIONS(2077),
    [anon_sym_local] = ACTIONS(2077),
    [anon_sym_dynamically] = ACTIONS(2077),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2077),
    [anon_sym_require] = ACTIONS(2077),
    [anon_sym_map] = ACTIONS(2077),
    [anon_sym_grep] = ACTIONS(2077),
    [anon_sym_sort] = ACTIONS(2077),
    [anon_sym_goto] = ACTIONS(2077),
    [anon_sym_return] = ACTIONS(2077),
    [anon_sym_undef] = ACTIONS(2077),
    [anon_sym_PERCENT2] = ACTIONS(2077),
    [anon_sym_AMP2] = ACTIONS(2077),
    [anon_sym_STAR2] = ACTIONS(2077),
    [anon_sym_last] = ACTIONS(2077),
    [anon_sym_next] = ACTIONS(2077),
    [anon_sym_redo] = ACTIONS(2077),
    [anon_sym___FILE__] = ACTIONS(2077),
    [anon_sym___LINE__] = ACTIONS(2077),
    [anon_sym___PACKAGE__] = ACTIONS(2077),
    [anon_sym___SUB__] = ACTIONS(2077),
    [anon_sym_break] = ACTIONS(2077),
    [anon_sym_fork] = ACTIONS(2077),
    [anon_sym_getppid] = ACTIONS(2077),
    [anon_sym_time] = ACTIONS(2077),
    [anon_sym_times] = ACTIONS(2077),
    [anon_sym_wait] = ACTIONS(2077),
    [anon_sym_wantarray] = ACTIONS(2077),
    [anon_sym_abs] = ACTIONS(2077),
    [anon_sym_alarm] = ACTIONS(2077),
    [anon_sym_chop] = ACTIONS(2077),
    [anon_sym_chdir] = ACTIONS(2077),
    [anon_sym_close] = ACTIONS(2077),
    [anon_sym_closedir] = ACTIONS(2077),
    [anon_sym_caller] = ACTIONS(2077),
    [anon_sym_chomp] = ACTIONS(2077),
    [anon_sym_chr] = ACTIONS(2077),
    [anon_sym_cos] = ACTIONS(2077),
    [anon_sym_chroot] = ACTIONS(2077),
    [anon_sym_defined] = ACTIONS(2077),
    [anon_sym_delete] = ACTIONS(2077),
    [anon_sym_dbmclose] = ACTIONS(2077),
    [anon_sym_exists] = ACTIONS(2077),
    [anon_sym_exit] = ACTIONS(2077),
    [anon_sym_eof] = ACTIONS(2077),
    [anon_sym_exp] = ACTIONS(2077),
    [anon_sym_each] = ACTIONS(2077),
    [anon_sym_fc] = ACTIONS(2077),
    [anon_sym_fileno] = ACTIONS(2077),
    [anon_sym_gmtime] = ACTIONS(2077),
    [anon_sym_getc] = ACTIONS(2077),
    [anon_sym_getpgrp] = ACTIONS(2077),
    [anon_sym_getprotobyname] = ACTIONS(2077),
    [anon_sym_getpwname] = ACTIONS(2077),
    [anon_sym_getpwuid] = ACTIONS(2077),
    [anon_sym_getpeername] = ACTIONS(2077),
    [anon_sym_getnetbyname] = ACTIONS(2077),
    [anon_sym_getsockname] = ACTIONS(2077),
    [anon_sym_getgrnam] = ACTIONS(2077),
    [anon_sym_getgrgid] = ACTIONS(2077),
    [anon_sym_hex] = ACTIONS(2077),
    [anon_sym_int] = ACTIONS(2077),
    [anon_sym_keys] = ACTIONS(2077),
    [anon_sym_lc] = ACTIONS(2077),
    [anon_sym_lcfirst] = ACTIONS(2077),
    [anon_sym_length] = ACTIONS(2077),
    [anon_sym_localtime] = ACTIONS(2077),
    [anon_sym_log] = ACTIONS(2077),
    [anon_sym_lock] = ACTIONS(2077),
    [anon_sym_lstat] = ACTIONS(2077),
    [anon_sym_oct] = ACTIONS(2077),
    [anon_sym_ord] = ACTIONS(2077),
    [anon_sym_prototype] = ACTIONS(2077),
    [anon_sym_pop] = ACTIONS(2077),
    [anon_sym_pos] = ACTIONS(2077),
    [anon_sym_quotemeta] = ACTIONS(2077),
    [anon_sym_reset] = ACTIONS(2077),
    [anon_sym_rand] = ACTIONS(2077),
    [anon_sym_rmdir] = ACTIONS(2077),
    [anon_sym_readdir] = ACTIONS(2077),
    [anon_sym_readline] = ACTIONS(2077),
    [anon_sym_readpipe] = ACTIONS(2077),
    [anon_sym_rewinddir] = ACTIONS(2077),
    [anon_sym_readlink] = ACTIONS(2077),
    [anon_sym_ref] = ACTIONS(2077),
    [anon_sym_scalar] = ACTIONS(2077),
    [anon_sym_shift] = ACTIONS(2077),
    [anon_sym_sin] = ACTIONS(2077),
    [anon_sym_sleep] = ACTIONS(2077),
    [anon_sym_sqrt] = ACTIONS(2077),
    [anon_sym_srand] = ACTIONS(2077),
    [anon_sym_stat] = ACTIONS(2077),
    [anon_sym_study] = ACTIONS(2077),
    [anon_sym_tell] = ACTIONS(2077),
    [anon_sym_telldir] = ACTIONS(2077),
    [anon_sym_tied] = ACTIONS(2077),
    [anon_sym_uc] = ACTIONS(2077),
    [anon_sym_ucfirst] = ACTIONS(2077),
    [anon_sym_untie] = ACTIONS(2077),
    [anon_sym_umask] = ACTIONS(2077),
    [anon_sym_values] = ACTIONS(2077),
    [anon_sym_write] = ACTIONS(2077),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2077),
    [anon_sym_qq] = ACTIONS(2077),
    [anon_sym_qw] = ACTIONS(2077),
    [anon_sym_qx] = ACTIONS(2077),
    [anon_sym_qr] = ACTIONS(2077),
    [anon_sym_m] = ACTIONS(2077),
    [anon_sym_s] = ACTIONS(2077),
    [anon_sym_tr] = ACTIONS(2077),
    [anon_sym_y] = ACTIONS(2077),
    [aux_sym__bareword_token1] = ACTIONS(2077),
    [sym_number] = ACTIONS(2077),
    [anon_sym_true] = ACTIONS(2077),
    [anon_sym_false] = ACTIONS(2077),
    [sym__single_quote] = ACTIONS(2075),
    [sym__double_quote] = ACTIONS(2075),
    [sym__backtick_quote] = ACTIONS(2075),
    [sym__search_slash_quote] = ACTIONS(2075),
    [sym__open_readline_bracket] = ACTIONS(2075),
    [sym__open_fileglob_bracket] = ACTIONS(2075),
    [sym__PERLY_HEREDOC] = ACTIONS(2075),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2075),
    [sym__filetest] = ACTIONS(2075),
  },
  [1177] = {
    [sym_heredoc_content] = STATE(1177),
    [sym__identifier] = ACTIONS(2085),
    [anon_sym_LBRACE] = ACTIONS(2085),
    [anon_sym_DOLLAR] = ACTIONS(2085),
    [anon_sym_AT] = ACTIONS(2085),
    [anon_sym_RPAREN] = ACTIONS(2085),
    [anon_sym_my] = ACTIONS(2085),
    [anon_sym_extended] = ACTIONS(2085),
    [anon_sym_async] = ACTIONS(2085),
    [anon_sym_sub] = ACTIONS(2085),
    [anon_sym_method] = ACTIONS(2085),
    [anon_sym_LPAREN] = ACTIONS(2085),
    [anon_sym_continue] = ACTIONS(2085),
    [anon_sym_state] = ACTIONS(2085),
    [anon_sym_our] = ACTIONS(2085),
    [anon_sym_LBRACK] = ACTIONS(2085),
    [anon_sym_LT_LT] = ACTIONS(2085),
    [anon_sym_SLASH_SLASH] = ACTIONS(2085),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_TILDE] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2085),
    [anon_sym_PLUS_PLUS] = ACTIONS(2085),
    [anon_sym_DASH_DASH] = ACTIONS(2085),
    [anon_sym_BSLASH] = ACTIONS(2083),
    [anon_sym_do] = ACTIONS(2085),
    [anon_sym_eval] = ACTIONS(2085),
    [anon_sym_await] = ACTIONS(2085),
    [anon_sym_field] = ACTIONS(2085),
    [anon_sym_local] = ACTIONS(2085),
    [anon_sym_dynamically] = ACTIONS(2085),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2085),
    [anon_sym_require] = ACTIONS(2085),
    [anon_sym_map] = ACTIONS(2085),
    [anon_sym_grep] = ACTIONS(2085),
    [anon_sym_sort] = ACTIONS(2085),
    [anon_sym_goto] = ACTIONS(2085),
    [anon_sym_return] = ACTIONS(2085),
    [anon_sym_undef] = ACTIONS(2085),
    [anon_sym_PERCENT2] = ACTIONS(2085),
    [anon_sym_AMP2] = ACTIONS(2085),
    [anon_sym_STAR2] = ACTIONS(2085),
    [anon_sym_last] = ACTIONS(2085),
    [anon_sym_next] = ACTIONS(2085),
    [anon_sym_redo] = ACTIONS(2085),
    [anon_sym___FILE__] = ACTIONS(2085),
    [anon_sym___LINE__] = ACTIONS(2085),
    [anon_sym___PACKAGE__] = ACTIONS(2085),
    [anon_sym___SUB__] = ACTIONS(2085),
    [anon_sym_break] = ACTIONS(2085),
    [anon_sym_fork] = ACTIONS(2085),
    [anon_sym_getppid] = ACTIONS(2085),
    [anon_sym_time] = ACTIONS(2085),
    [anon_sym_times] = ACTIONS(2085),
    [anon_sym_wait] = ACTIONS(2085),
    [anon_sym_wantarray] = ACTIONS(2085),
    [anon_sym_abs] = ACTIONS(2085),
    [anon_sym_alarm] = ACTIONS(2085),
    [anon_sym_chop] = ACTIONS(2085),
    [anon_sym_chdir] = ACTIONS(2085),
    [anon_sym_close] = ACTIONS(2085),
    [anon_sym_closedir] = ACTIONS(2085),
    [anon_sym_caller] = ACTIONS(2085),
    [anon_sym_chomp] = ACTIONS(2085),
    [anon_sym_chr] = ACTIONS(2085),
    [anon_sym_cos] = ACTIONS(2085),
    [anon_sym_chroot] = ACTIONS(2085),
    [anon_sym_defined] = ACTIONS(2085),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_dbmclose] = ACTIONS(2085),
    [anon_sym_exists] = ACTIONS(2085),
    [anon_sym_exit] = ACTIONS(2085),
    [anon_sym_eof] = ACTIONS(2085),
    [anon_sym_exp] = ACTIONS(2085),
    [anon_sym_each] = ACTIONS(2085),
    [anon_sym_fc] = ACTIONS(2085),
    [anon_sym_fileno] = ACTIONS(2085),
    [anon_sym_gmtime] = ACTIONS(2085),
    [anon_sym_getc] = ACTIONS(2085),
    [anon_sym_getpgrp] = ACTIONS(2085),
    [anon_sym_getprotobyname] = ACTIONS(2085),
    [anon_sym_getpwname] = ACTIONS(2085),
    [anon_sym_getpwuid] = ACTIONS(2085),
    [anon_sym_getpeername] = ACTIONS(2085),
    [anon_sym_getnetbyname] = ACTIONS(2085),
    [anon_sym_getsockname] = ACTIONS(2085),
    [anon_sym_getgrnam] = ACTIONS(2085),
    [anon_sym_getgrgid] = ACTIONS(2085),
    [anon_sym_hex] = ACTIONS(2085),
    [anon_sym_int] = ACTIONS(2085),
    [anon_sym_keys] = ACTIONS(2085),
    [anon_sym_lc] = ACTIONS(2085),
    [anon_sym_lcfirst] = ACTIONS(2085),
    [anon_sym_length] = ACTIONS(2085),
    [anon_sym_localtime] = ACTIONS(2085),
    [anon_sym_log] = ACTIONS(2085),
    [anon_sym_lock] = ACTIONS(2085),
    [anon_sym_lstat] = ACTIONS(2085),
    [anon_sym_oct] = ACTIONS(2085),
    [anon_sym_ord] = ACTIONS(2085),
    [anon_sym_prototype] = ACTIONS(2085),
    [anon_sym_pop] = ACTIONS(2085),
    [anon_sym_pos] = ACTIONS(2085),
    [anon_sym_quotemeta] = ACTIONS(2085),
    [anon_sym_reset] = ACTIONS(2085),
    [anon_sym_rand] = ACTIONS(2085),
    [anon_sym_rmdir] = ACTIONS(2085),
    [anon_sym_readdir] = ACTIONS(2085),
    [anon_sym_readline] = ACTIONS(2085),
    [anon_sym_readpipe] = ACTIONS(2085),
    [anon_sym_rewinddir] = ACTIONS(2085),
    [anon_sym_readlink] = ACTIONS(2085),
    [anon_sym_ref] = ACTIONS(2085),
    [anon_sym_scalar] = ACTIONS(2085),
    [anon_sym_shift] = ACTIONS(2085),
    [anon_sym_sin] = ACTIONS(2085),
    [anon_sym_sleep] = ACTIONS(2085),
    [anon_sym_sqrt] = ACTIONS(2085),
    [anon_sym_srand] = ACTIONS(2085),
    [anon_sym_stat] = ACTIONS(2085),
    [anon_sym_study] = ACTIONS(2085),
    [anon_sym_tell] = ACTIONS(2085),
    [anon_sym_telldir] = ACTIONS(2085),
    [anon_sym_tied] = ACTIONS(2085),
    [anon_sym_uc] = ACTIONS(2085),
    [anon_sym_ucfirst] = ACTIONS(2085),
    [anon_sym_untie] = ACTIONS(2085),
    [anon_sym_umask] = ACTIONS(2085),
    [anon_sym_values] = ACTIONS(2085),
    [anon_sym_write] = ACTIONS(2085),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2085),
    [anon_sym_qq] = ACTIONS(2085),
    [anon_sym_qw] = ACTIONS(2085),
    [anon_sym_qx] = ACTIONS(2085),
    [anon_sym_qr] = ACTIONS(2085),
    [anon_sym_m] = ACTIONS(2085),
    [anon_sym_s] = ACTIONS(2085),
    [anon_sym_tr] = ACTIONS(2085),
    [anon_sym_y] = ACTIONS(2085),
    [aux_sym__bareword_token1] = ACTIONS(2085),
    [sym_number] = ACTIONS(2085),
    [anon_sym_true] = ACTIONS(2085),
    [anon_sym_false] = ACTIONS(2085),
    [sym__single_quote] = ACTIONS(2083),
    [sym__double_quote] = ACTIONS(2083),
    [sym__backtick_quote] = ACTIONS(2083),
    [sym__search_slash_quote] = ACTIONS(2083),
    [sym__open_readline_bracket] = ACTIONS(2083),
    [sym__open_fileglob_bracket] = ACTIONS(2083),
    [sym__PERLY_HEREDOC] = ACTIONS(2083),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2083),
    [sym__filetest] = ACTIONS(2083),
  },
  [1178] = {
    [sym_heredoc_content] = STATE(1178),
    [sym__identifier] = ACTIONS(2089),
    [anon_sym_LBRACE] = ACTIONS(2089),
    [anon_sym_DOLLAR] = ACTIONS(2089),
    [anon_sym_AT] = ACTIONS(2089),
    [anon_sym_RPAREN] = ACTIONS(2089),
    [anon_sym_my] = ACTIONS(2089),
    [anon_sym_extended] = ACTIONS(2089),
    [anon_sym_async] = ACTIONS(2089),
    [anon_sym_sub] = ACTIONS(2089),
    [anon_sym_method] = ACTIONS(2089),
    [anon_sym_LPAREN] = ACTIONS(2089),
    [anon_sym_continue] = ACTIONS(2089),
    [anon_sym_state] = ACTIONS(2089),
    [anon_sym_our] = ACTIONS(2089),
    [anon_sym_LBRACK] = ACTIONS(2089),
    [anon_sym_LT_LT] = ACTIONS(2089),
    [anon_sym_SLASH_SLASH] = ACTIONS(2089),
    [anon_sym_PLUS] = ACTIONS(2089),
    [anon_sym_DASH] = ACTIONS(2089),
    [anon_sym_TILDE] = ACTIONS(2089),
    [anon_sym_BANG] = ACTIONS(2089),
    [anon_sym_PLUS_PLUS] = ACTIONS(2089),
    [anon_sym_DASH_DASH] = ACTIONS(2089),
    [anon_sym_BSLASH] = ACTIONS(2087),
    [anon_sym_do] = ACTIONS(2089),
    [anon_sym_eval] = ACTIONS(2089),
    [anon_sym_await] = ACTIONS(2089),
    [anon_sym_field] = ACTIONS(2089),
    [anon_sym_local] = ACTIONS(2089),
    [anon_sym_dynamically] = ACTIONS(2089),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2089),
    [anon_sym_require] = ACTIONS(2089),
    [anon_sym_map] = ACTIONS(2089),
    [anon_sym_grep] = ACTIONS(2089),
    [anon_sym_sort] = ACTIONS(2089),
    [anon_sym_goto] = ACTIONS(2089),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_undef] = ACTIONS(2089),
    [anon_sym_PERCENT2] = ACTIONS(2089),
    [anon_sym_AMP2] = ACTIONS(2089),
    [anon_sym_STAR2] = ACTIONS(2089),
    [anon_sym_last] = ACTIONS(2089),
    [anon_sym_next] = ACTIONS(2089),
    [anon_sym_redo] = ACTIONS(2089),
    [anon_sym___FILE__] = ACTIONS(2089),
    [anon_sym___LINE__] = ACTIONS(2089),
    [anon_sym___PACKAGE__] = ACTIONS(2089),
    [anon_sym___SUB__] = ACTIONS(2089),
    [anon_sym_break] = ACTIONS(2089),
    [anon_sym_fork] = ACTIONS(2089),
    [anon_sym_getppid] = ACTIONS(2089),
    [anon_sym_time] = ACTIONS(2089),
    [anon_sym_times] = ACTIONS(2089),
    [anon_sym_wait] = ACTIONS(2089),
    [anon_sym_wantarray] = ACTIONS(2089),
    [anon_sym_abs] = ACTIONS(2089),
    [anon_sym_alarm] = ACTIONS(2089),
    [anon_sym_chop] = ACTIONS(2089),
    [anon_sym_chdir] = ACTIONS(2089),
    [anon_sym_close] = ACTIONS(2089),
    [anon_sym_closedir] = ACTIONS(2089),
    [anon_sym_caller] = ACTIONS(2089),
    [anon_sym_chomp] = ACTIONS(2089),
    [anon_sym_chr] = ACTIONS(2089),
    [anon_sym_cos] = ACTIONS(2089),
    [anon_sym_chroot] = ACTIONS(2089),
    [anon_sym_defined] = ACTIONS(2089),
    [anon_sym_delete] = ACTIONS(2089),
    [anon_sym_dbmclose] = ACTIONS(2089),
    [anon_sym_exists] = ACTIONS(2089),
    [anon_sym_exit] = ACTIONS(2089),
    [anon_sym_eof] = ACTIONS(2089),
    [anon_sym_exp] = ACTIONS(2089),
    [anon_sym_each] = ACTIONS(2089),
    [anon_sym_fc] = ACTIONS(2089),
    [anon_sym_fileno] = ACTIONS(2089),
    [anon_sym_gmtime] = ACTIONS(2089),
    [anon_sym_getc] = ACTIONS(2089),
    [anon_sym_getpgrp] = ACTIONS(2089),
    [anon_sym_getprotobyname] = ACTIONS(2089),
    [anon_sym_getpwname] = ACTIONS(2089),
    [anon_sym_getpwuid] = ACTIONS(2089),
    [anon_sym_getpeername] = ACTIONS(2089),
    [anon_sym_getnetbyname] = ACTIONS(2089),
    [anon_sym_getsockname] = ACTIONS(2089),
    [anon_sym_getgrnam] = ACTIONS(2089),
    [anon_sym_getgrgid] = ACTIONS(2089),
    [anon_sym_hex] = ACTIONS(2089),
    [anon_sym_int] = ACTIONS(2089),
    [anon_sym_keys] = ACTIONS(2089),
    [anon_sym_lc] = ACTIONS(2089),
    [anon_sym_lcfirst] = ACTIONS(2089),
    [anon_sym_length] = ACTIONS(2089),
    [anon_sym_localtime] = ACTIONS(2089),
    [anon_sym_log] = ACTIONS(2089),
    [anon_sym_lock] = ACTIONS(2089),
    [anon_sym_lstat] = ACTIONS(2089),
    [anon_sym_oct] = ACTIONS(2089),
    [anon_sym_ord] = ACTIONS(2089),
    [anon_sym_prototype] = ACTIONS(2089),
    [anon_sym_pop] = ACTIONS(2089),
    [anon_sym_pos] = ACTIONS(2089),
    [anon_sym_quotemeta] = ACTIONS(2089),
    [anon_sym_reset] = ACTIONS(2089),
    [anon_sym_rand] = ACTIONS(2089),
    [anon_sym_rmdir] = ACTIONS(2089),
    [anon_sym_readdir] = ACTIONS(2089),
    [anon_sym_readline] = ACTIONS(2089),
    [anon_sym_readpipe] = ACTIONS(2089),
    [anon_sym_rewinddir] = ACTIONS(2089),
    [anon_sym_readlink] = ACTIONS(2089),
    [anon_sym_ref] = ACTIONS(2089),
    [anon_sym_scalar] = ACTIONS(2089),
    [anon_sym_shift] = ACTIONS(2089),
    [anon_sym_sin] = ACTIONS(2089),
    [anon_sym_sleep] = ACTIONS(2089),
    [anon_sym_sqrt] = ACTIONS(2089),
    [anon_sym_srand] = ACTIONS(2089),
    [anon_sym_stat] = ACTIONS(2089),
    [anon_sym_study] = ACTIONS(2089),
    [anon_sym_tell] = ACTIONS(2089),
    [anon_sym_telldir] = ACTIONS(2089),
    [anon_sym_tied] = ACTIONS(2089),
    [anon_sym_uc] = ACTIONS(2089),
    [anon_sym_ucfirst] = ACTIONS(2089),
    [anon_sym_untie] = ACTIONS(2089),
    [anon_sym_umask] = ACTIONS(2089),
    [anon_sym_values] = ACTIONS(2089),
    [anon_sym_write] = ACTIONS(2089),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2089),
    [anon_sym_qq] = ACTIONS(2089),
    [anon_sym_qw] = ACTIONS(2089),
    [anon_sym_qx] = ACTIONS(2089),
    [anon_sym_qr] = ACTIONS(2089),
    [anon_sym_m] = ACTIONS(2089),
    [anon_sym_s] = ACTIONS(2089),
    [anon_sym_tr] = ACTIONS(2089),
    [anon_sym_y] = ACTIONS(2089),
    [aux_sym__bareword_token1] = ACTIONS(2089),
    [sym_number] = ACTIONS(2089),
    [anon_sym_true] = ACTIONS(2089),
    [anon_sym_false] = ACTIONS(2089),
    [sym__single_quote] = ACTIONS(2087),
    [sym__double_quote] = ACTIONS(2087),
    [sym__backtick_quote] = ACTIONS(2087),
    [sym__search_slash_quote] = ACTIONS(2087),
    [sym__open_readline_bracket] = ACTIONS(2087),
    [sym__open_fileglob_bracket] = ACTIONS(2087),
    [sym__PERLY_HEREDOC] = ACTIONS(2087),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2087),
    [sym__filetest] = ACTIONS(2087),
  },
  [1179] = {
    [sym_heredoc_content] = STATE(1179),
    [sym__identifier] = ACTIONS(2101),
    [anon_sym_LBRACE] = ACTIONS(2101),
    [anon_sym_DOLLAR] = ACTIONS(2101),
    [anon_sym_AT] = ACTIONS(2101),
    [anon_sym_RPAREN] = ACTIONS(2101),
    [anon_sym_my] = ACTIONS(2101),
    [anon_sym_extended] = ACTIONS(2101),
    [anon_sym_async] = ACTIONS(2101),
    [anon_sym_sub] = ACTIONS(2101),
    [anon_sym_method] = ACTIONS(2101),
    [anon_sym_LPAREN] = ACTIONS(2101),
    [anon_sym_continue] = ACTIONS(2101),
    [anon_sym_state] = ACTIONS(2101),
    [anon_sym_our] = ACTIONS(2101),
    [anon_sym_LBRACK] = ACTIONS(2101),
    [anon_sym_LT_LT] = ACTIONS(2101),
    [anon_sym_SLASH_SLASH] = ACTIONS(2101),
    [anon_sym_PLUS] = ACTIONS(2101),
    [anon_sym_DASH] = ACTIONS(2101),
    [anon_sym_TILDE] = ACTIONS(2101),
    [anon_sym_BANG] = ACTIONS(2101),
    [anon_sym_PLUS_PLUS] = ACTIONS(2101),
    [anon_sym_DASH_DASH] = ACTIONS(2101),
    [anon_sym_BSLASH] = ACTIONS(2099),
    [anon_sym_do] = ACTIONS(2101),
    [anon_sym_eval] = ACTIONS(2101),
    [anon_sym_await] = ACTIONS(2101),
    [anon_sym_field] = ACTIONS(2101),
    [anon_sym_local] = ACTIONS(2101),
    [anon_sym_dynamically] = ACTIONS(2101),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2101),
    [anon_sym_require] = ACTIONS(2101),
    [anon_sym_map] = ACTIONS(2101),
    [anon_sym_grep] = ACTIONS(2101),
    [anon_sym_sort] = ACTIONS(2101),
    [anon_sym_goto] = ACTIONS(2101),
    [anon_sym_return] = ACTIONS(2101),
    [anon_sym_undef] = ACTIONS(2101),
    [anon_sym_PERCENT2] = ACTIONS(2101),
    [anon_sym_AMP2] = ACTIONS(2101),
    [anon_sym_STAR2] = ACTIONS(2101),
    [anon_sym_last] = ACTIONS(2101),
    [anon_sym_next] = ACTIONS(2101),
    [anon_sym_redo] = ACTIONS(2101),
    [anon_sym___FILE__] = ACTIONS(2101),
    [anon_sym___LINE__] = ACTIONS(2101),
    [anon_sym___PACKAGE__] = ACTIONS(2101),
    [anon_sym___SUB__] = ACTIONS(2101),
    [anon_sym_break] = ACTIONS(2101),
    [anon_sym_fork] = ACTIONS(2101),
    [anon_sym_getppid] = ACTIONS(2101),
    [anon_sym_time] = ACTIONS(2101),
    [anon_sym_times] = ACTIONS(2101),
    [anon_sym_wait] = ACTIONS(2101),
    [anon_sym_wantarray] = ACTIONS(2101),
    [anon_sym_abs] = ACTIONS(2101),
    [anon_sym_alarm] = ACTIONS(2101),
    [anon_sym_chop] = ACTIONS(2101),
    [anon_sym_chdir] = ACTIONS(2101),
    [anon_sym_close] = ACTIONS(2101),
    [anon_sym_closedir] = ACTIONS(2101),
    [anon_sym_caller] = ACTIONS(2101),
    [anon_sym_chomp] = ACTIONS(2101),
    [anon_sym_chr] = ACTIONS(2101),
    [anon_sym_cos] = ACTIONS(2101),
    [anon_sym_chroot] = ACTIONS(2101),
    [anon_sym_defined] = ACTIONS(2101),
    [anon_sym_delete] = ACTIONS(2101),
    [anon_sym_dbmclose] = ACTIONS(2101),
    [anon_sym_exists] = ACTIONS(2101),
    [anon_sym_exit] = ACTIONS(2101),
    [anon_sym_eof] = ACTIONS(2101),
    [anon_sym_exp] = ACTIONS(2101),
    [anon_sym_each] = ACTIONS(2101),
    [anon_sym_fc] = ACTIONS(2101),
    [anon_sym_fileno] = ACTIONS(2101),
    [anon_sym_gmtime] = ACTIONS(2101),
    [anon_sym_getc] = ACTIONS(2101),
    [anon_sym_getpgrp] = ACTIONS(2101),
    [anon_sym_getprotobyname] = ACTIONS(2101),
    [anon_sym_getpwname] = ACTIONS(2101),
    [anon_sym_getpwuid] = ACTIONS(2101),
    [anon_sym_getpeername] = ACTIONS(2101),
    [anon_sym_getnetbyname] = ACTIONS(2101),
    [anon_sym_getsockname] = ACTIONS(2101),
    [anon_sym_getgrnam] = ACTIONS(2101),
    [anon_sym_getgrgid] = ACTIONS(2101),
    [anon_sym_hex] = ACTIONS(2101),
    [anon_sym_int] = ACTIONS(2101),
    [anon_sym_keys] = ACTIONS(2101),
    [anon_sym_lc] = ACTIONS(2101),
    [anon_sym_lcfirst] = ACTIONS(2101),
    [anon_sym_length] = ACTIONS(2101),
    [anon_sym_localtime] = ACTIONS(2101),
    [anon_sym_log] = ACTIONS(2101),
    [anon_sym_lock] = ACTIONS(2101),
    [anon_sym_lstat] = ACTIONS(2101),
    [anon_sym_oct] = ACTIONS(2101),
    [anon_sym_ord] = ACTIONS(2101),
    [anon_sym_prototype] = ACTIONS(2101),
    [anon_sym_pop] = ACTIONS(2101),
    [anon_sym_pos] = ACTIONS(2101),
    [anon_sym_quotemeta] = ACTIONS(2101),
    [anon_sym_reset] = ACTIONS(2101),
    [anon_sym_rand] = ACTIONS(2101),
    [anon_sym_rmdir] = ACTIONS(2101),
    [anon_sym_readdir] = ACTIONS(2101),
    [anon_sym_readline] = ACTIONS(2101),
    [anon_sym_readpipe] = ACTIONS(2101),
    [anon_sym_rewinddir] = ACTIONS(2101),
    [anon_sym_readlink] = ACTIONS(2101),
    [anon_sym_ref] = ACTIONS(2101),
    [anon_sym_scalar] = ACTIONS(2101),
    [anon_sym_shift] = ACTIONS(2101),
    [anon_sym_sin] = ACTIONS(2101),
    [anon_sym_sleep] = ACTIONS(2101),
    [anon_sym_sqrt] = ACTIONS(2101),
    [anon_sym_srand] = ACTIONS(2101),
    [anon_sym_stat] = ACTIONS(2101),
    [anon_sym_study] = ACTIONS(2101),
    [anon_sym_tell] = ACTIONS(2101),
    [anon_sym_telldir] = ACTIONS(2101),
    [anon_sym_tied] = ACTIONS(2101),
    [anon_sym_uc] = ACTIONS(2101),
    [anon_sym_ucfirst] = ACTIONS(2101),
    [anon_sym_untie] = ACTIONS(2101),
    [anon_sym_umask] = ACTIONS(2101),
    [anon_sym_values] = ACTIONS(2101),
    [anon_sym_write] = ACTIONS(2101),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2101),
    [anon_sym_qq] = ACTIONS(2101),
    [anon_sym_qw] = ACTIONS(2101),
    [anon_sym_qx] = ACTIONS(2101),
    [anon_sym_qr] = ACTIONS(2101),
    [anon_sym_m] = ACTIONS(2101),
    [anon_sym_s] = ACTIONS(2101),
    [anon_sym_tr] = ACTIONS(2101),
    [anon_sym_y] = ACTIONS(2101),
    [aux_sym__bareword_token1] = ACTIONS(2101),
    [sym_number] = ACTIONS(2101),
    [anon_sym_true] = ACTIONS(2101),
    [anon_sym_false] = ACTIONS(2101),
    [sym__single_quote] = ACTIONS(2099),
    [sym__double_quote] = ACTIONS(2099),
    [sym__backtick_quote] = ACTIONS(2099),
    [sym__search_slash_quote] = ACTIONS(2099),
    [sym__open_readline_bracket] = ACTIONS(2099),
    [sym__open_fileglob_bracket] = ACTIONS(2099),
    [sym__PERLY_HEREDOC] = ACTIONS(2099),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2099),
    [sym__filetest] = ACTIONS(2099),
  },
  [1180] = {
    [sym_heredoc_content] = STATE(1180),
    [sym__identifier] = ACTIONS(2093),
    [anon_sym_LBRACE] = ACTIONS(2093),
    [anon_sym_DOLLAR] = ACTIONS(2093),
    [anon_sym_AT] = ACTIONS(2093),
    [anon_sym_RPAREN] = ACTIONS(2093),
    [anon_sym_my] = ACTIONS(2093),
    [anon_sym_extended] = ACTIONS(2093),
    [anon_sym_async] = ACTIONS(2093),
    [anon_sym_sub] = ACTIONS(2093),
    [anon_sym_method] = ACTIONS(2093),
    [anon_sym_LPAREN] = ACTIONS(2093),
    [anon_sym_continue] = ACTIONS(2093),
    [anon_sym_state] = ACTIONS(2093),
    [anon_sym_our] = ACTIONS(2093),
    [anon_sym_LBRACK] = ACTIONS(2093),
    [anon_sym_LT_LT] = ACTIONS(2093),
    [anon_sym_SLASH_SLASH] = ACTIONS(2093),
    [anon_sym_PLUS] = ACTIONS(2093),
    [anon_sym_DASH] = ACTIONS(2093),
    [anon_sym_TILDE] = ACTIONS(2093),
    [anon_sym_BANG] = ACTIONS(2093),
    [anon_sym_PLUS_PLUS] = ACTIONS(2093),
    [anon_sym_DASH_DASH] = ACTIONS(2093),
    [anon_sym_BSLASH] = ACTIONS(2091),
    [anon_sym_do] = ACTIONS(2093),
    [anon_sym_eval] = ACTIONS(2093),
    [anon_sym_await] = ACTIONS(2093),
    [anon_sym_field] = ACTIONS(2093),
    [anon_sym_local] = ACTIONS(2093),
    [anon_sym_dynamically] = ACTIONS(2093),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2093),
    [anon_sym_require] = ACTIONS(2093),
    [anon_sym_map] = ACTIONS(2093),
    [anon_sym_grep] = ACTIONS(2093),
    [anon_sym_sort] = ACTIONS(2093),
    [anon_sym_goto] = ACTIONS(2093),
    [anon_sym_return] = ACTIONS(2093),
    [anon_sym_undef] = ACTIONS(2093),
    [anon_sym_PERCENT2] = ACTIONS(2093),
    [anon_sym_AMP2] = ACTIONS(2093),
    [anon_sym_STAR2] = ACTIONS(2093),
    [anon_sym_last] = ACTIONS(2093),
    [anon_sym_next] = ACTIONS(2093),
    [anon_sym_redo] = ACTIONS(2093),
    [anon_sym___FILE__] = ACTIONS(2093),
    [anon_sym___LINE__] = ACTIONS(2093),
    [anon_sym___PACKAGE__] = ACTIONS(2093),
    [anon_sym___SUB__] = ACTIONS(2093),
    [anon_sym_break] = ACTIONS(2093),
    [anon_sym_fork] = ACTIONS(2093),
    [anon_sym_getppid] = ACTIONS(2093),
    [anon_sym_time] = ACTIONS(2093),
    [anon_sym_times] = ACTIONS(2093),
    [anon_sym_wait] = ACTIONS(2093),
    [anon_sym_wantarray] = ACTIONS(2093),
    [anon_sym_abs] = ACTIONS(2093),
    [anon_sym_alarm] = ACTIONS(2093),
    [anon_sym_chop] = ACTIONS(2093),
    [anon_sym_chdir] = ACTIONS(2093),
    [anon_sym_close] = ACTIONS(2093),
    [anon_sym_closedir] = ACTIONS(2093),
    [anon_sym_caller] = ACTIONS(2093),
    [anon_sym_chomp] = ACTIONS(2093),
    [anon_sym_chr] = ACTIONS(2093),
    [anon_sym_cos] = ACTIONS(2093),
    [anon_sym_chroot] = ACTIONS(2093),
    [anon_sym_defined] = ACTIONS(2093),
    [anon_sym_delete] = ACTIONS(2093),
    [anon_sym_dbmclose] = ACTIONS(2093),
    [anon_sym_exists] = ACTIONS(2093),
    [anon_sym_exit] = ACTIONS(2093),
    [anon_sym_eof] = ACTIONS(2093),
    [anon_sym_exp] = ACTIONS(2093),
    [anon_sym_each] = ACTIONS(2093),
    [anon_sym_fc] = ACTIONS(2093),
    [anon_sym_fileno] = ACTIONS(2093),
    [anon_sym_gmtime] = ACTIONS(2093),
    [anon_sym_getc] = ACTIONS(2093),
    [anon_sym_getpgrp] = ACTIONS(2093),
    [anon_sym_getprotobyname] = ACTIONS(2093),
    [anon_sym_getpwname] = ACTIONS(2093),
    [anon_sym_getpwuid] = ACTIONS(2093),
    [anon_sym_getpeername] = ACTIONS(2093),
    [anon_sym_getnetbyname] = ACTIONS(2093),
    [anon_sym_getsockname] = ACTIONS(2093),
    [anon_sym_getgrnam] = ACTIONS(2093),
    [anon_sym_getgrgid] = ACTIONS(2093),
    [anon_sym_hex] = ACTIONS(2093),
    [anon_sym_int] = ACTIONS(2093),
    [anon_sym_keys] = ACTIONS(2093),
    [anon_sym_lc] = ACTIONS(2093),
    [anon_sym_lcfirst] = ACTIONS(2093),
    [anon_sym_length] = ACTIONS(2093),
    [anon_sym_localtime] = ACTIONS(2093),
    [anon_sym_log] = ACTIONS(2093),
    [anon_sym_lock] = ACTIONS(2093),
    [anon_sym_lstat] = ACTIONS(2093),
    [anon_sym_oct] = ACTIONS(2093),
    [anon_sym_ord] = ACTIONS(2093),
    [anon_sym_prototype] = ACTIONS(2093),
    [anon_sym_pop] = ACTIONS(2093),
    [anon_sym_pos] = ACTIONS(2093),
    [anon_sym_quotemeta] = ACTIONS(2093),
    [anon_sym_reset] = ACTIONS(2093),
    [anon_sym_rand] = ACTIONS(2093),
    [anon_sym_rmdir] = ACTIONS(2093),
    [anon_sym_readdir] = ACTIONS(2093),
    [anon_sym_readline] = ACTIONS(2093),
    [anon_sym_readpipe] = ACTIONS(2093),
    [anon_sym_rewinddir] = ACTIONS(2093),
    [anon_sym_readlink] = ACTIONS(2093),
    [anon_sym_ref] = ACTIONS(2093),
    [anon_sym_scalar] = ACTIONS(2093),
    [anon_sym_shift] = ACTIONS(2093),
    [anon_sym_sin] = ACTIONS(2093),
    [anon_sym_sleep] = ACTIONS(2093),
    [anon_sym_sqrt] = ACTIONS(2093),
    [anon_sym_srand] = ACTIONS(2093),
    [anon_sym_stat] = ACTIONS(2093),
    [anon_sym_study] = ACTIONS(2093),
    [anon_sym_tell] = ACTIONS(2093),
    [anon_sym_telldir] = ACTIONS(2093),
    [anon_sym_tied] = ACTIONS(2093),
    [anon_sym_uc] = ACTIONS(2093),
    [anon_sym_ucfirst] = ACTIONS(2093),
    [anon_sym_untie] = ACTIONS(2093),
    [anon_sym_umask] = ACTIONS(2093),
    [anon_sym_values] = ACTIONS(2093),
    [anon_sym_write] = ACTIONS(2093),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2093),
    [anon_sym_qq] = ACTIONS(2093),
    [anon_sym_qw] = ACTIONS(2093),
    [anon_sym_qx] = ACTIONS(2093),
    [anon_sym_qr] = ACTIONS(2093),
    [anon_sym_m] = ACTIONS(2093),
    [anon_sym_s] = ACTIONS(2093),
    [anon_sym_tr] = ACTIONS(2093),
    [anon_sym_y] = ACTIONS(2093),
    [aux_sym__bareword_token1] = ACTIONS(2093),
    [sym_number] = ACTIONS(2093),
    [anon_sym_true] = ACTIONS(2093),
    [anon_sym_false] = ACTIONS(2093),
    [sym__single_quote] = ACTIONS(2091),
    [sym__double_quote] = ACTIONS(2091),
    [sym__backtick_quote] = ACTIONS(2091),
    [sym__search_slash_quote] = ACTIONS(2091),
    [sym__open_readline_bracket] = ACTIONS(2091),
    [sym__open_fileglob_bracket] = ACTIONS(2091),
    [sym__PERLY_HEREDOC] = ACTIONS(2091),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2091),
    [sym__filetest] = ACTIONS(2091),
  },
  [1181] = {
    [sym_heredoc_content] = STATE(1181),
    [sym__identifier] = ACTIONS(2137),
    [anon_sym_LBRACE] = ACTIONS(2137),
    [anon_sym_DOLLAR] = ACTIONS(2137),
    [anon_sym_AT] = ACTIONS(2137),
    [anon_sym_RPAREN] = ACTIONS(2137),
    [anon_sym_my] = ACTIONS(2137),
    [anon_sym_extended] = ACTIONS(2137),
    [anon_sym_async] = ACTIONS(2137),
    [anon_sym_sub] = ACTIONS(2137),
    [anon_sym_method] = ACTIONS(2137),
    [anon_sym_LPAREN] = ACTIONS(2137),
    [anon_sym_continue] = ACTIONS(2137),
    [anon_sym_state] = ACTIONS(2137),
    [anon_sym_our] = ACTIONS(2137),
    [anon_sym_LBRACK] = ACTIONS(2137),
    [anon_sym_LT_LT] = ACTIONS(2137),
    [anon_sym_SLASH_SLASH] = ACTIONS(2137),
    [anon_sym_PLUS] = ACTIONS(2137),
    [anon_sym_DASH] = ACTIONS(2137),
    [anon_sym_TILDE] = ACTIONS(2137),
    [anon_sym_BANG] = ACTIONS(2137),
    [anon_sym_PLUS_PLUS] = ACTIONS(2137),
    [anon_sym_DASH_DASH] = ACTIONS(2137),
    [anon_sym_BSLASH] = ACTIONS(2135),
    [anon_sym_do] = ACTIONS(2137),
    [anon_sym_eval] = ACTIONS(2137),
    [anon_sym_await] = ACTIONS(2137),
    [anon_sym_field] = ACTIONS(2137),
    [anon_sym_local] = ACTIONS(2137),
    [anon_sym_dynamically] = ACTIONS(2137),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2137),
    [anon_sym_require] = ACTIONS(2137),
    [anon_sym_map] = ACTIONS(2137),
    [anon_sym_grep] = ACTIONS(2137),
    [anon_sym_sort] = ACTIONS(2137),
    [anon_sym_goto] = ACTIONS(2137),
    [anon_sym_return] = ACTIONS(2137),
    [anon_sym_undef] = ACTIONS(2137),
    [anon_sym_PERCENT2] = ACTIONS(2137),
    [anon_sym_AMP2] = ACTIONS(2137),
    [anon_sym_STAR2] = ACTIONS(2137),
    [anon_sym_last] = ACTIONS(2137),
    [anon_sym_next] = ACTIONS(2137),
    [anon_sym_redo] = ACTIONS(2137),
    [anon_sym___FILE__] = ACTIONS(2137),
    [anon_sym___LINE__] = ACTIONS(2137),
    [anon_sym___PACKAGE__] = ACTIONS(2137),
    [anon_sym___SUB__] = ACTIONS(2137),
    [anon_sym_break] = ACTIONS(2137),
    [anon_sym_fork] = ACTIONS(2137),
    [anon_sym_getppid] = ACTIONS(2137),
    [anon_sym_time] = ACTIONS(2137),
    [anon_sym_times] = ACTIONS(2137),
    [anon_sym_wait] = ACTIONS(2137),
    [anon_sym_wantarray] = ACTIONS(2137),
    [anon_sym_abs] = ACTIONS(2137),
    [anon_sym_alarm] = ACTIONS(2137),
    [anon_sym_chop] = ACTIONS(2137),
    [anon_sym_chdir] = ACTIONS(2137),
    [anon_sym_close] = ACTIONS(2137),
    [anon_sym_closedir] = ACTIONS(2137),
    [anon_sym_caller] = ACTIONS(2137),
    [anon_sym_chomp] = ACTIONS(2137),
    [anon_sym_chr] = ACTIONS(2137),
    [anon_sym_cos] = ACTIONS(2137),
    [anon_sym_chroot] = ACTIONS(2137),
    [anon_sym_defined] = ACTIONS(2137),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_dbmclose] = ACTIONS(2137),
    [anon_sym_exists] = ACTIONS(2137),
    [anon_sym_exit] = ACTIONS(2137),
    [anon_sym_eof] = ACTIONS(2137),
    [anon_sym_exp] = ACTIONS(2137),
    [anon_sym_each] = ACTIONS(2137),
    [anon_sym_fc] = ACTIONS(2137),
    [anon_sym_fileno] = ACTIONS(2137),
    [anon_sym_gmtime] = ACTIONS(2137),
    [anon_sym_getc] = ACTIONS(2137),
    [anon_sym_getpgrp] = ACTIONS(2137),
    [anon_sym_getprotobyname] = ACTIONS(2137),
    [anon_sym_getpwname] = ACTIONS(2137),
    [anon_sym_getpwuid] = ACTIONS(2137),
    [anon_sym_getpeername] = ACTIONS(2137),
    [anon_sym_getnetbyname] = ACTIONS(2137),
    [anon_sym_getsockname] = ACTIONS(2137),
    [anon_sym_getgrnam] = ACTIONS(2137),
    [anon_sym_getgrgid] = ACTIONS(2137),
    [anon_sym_hex] = ACTIONS(2137),
    [anon_sym_int] = ACTIONS(2137),
    [anon_sym_keys] = ACTIONS(2137),
    [anon_sym_lc] = ACTIONS(2137),
    [anon_sym_lcfirst] = ACTIONS(2137),
    [anon_sym_length] = ACTIONS(2137),
    [anon_sym_localtime] = ACTIONS(2137),
    [anon_sym_log] = ACTIONS(2137),
    [anon_sym_lock] = ACTIONS(2137),
    [anon_sym_lstat] = ACTIONS(2137),
    [anon_sym_oct] = ACTIONS(2137),
    [anon_sym_ord] = ACTIONS(2137),
    [anon_sym_prototype] = ACTIONS(2137),
    [anon_sym_pop] = ACTIONS(2137),
    [anon_sym_pos] = ACTIONS(2137),
    [anon_sym_quotemeta] = ACTIONS(2137),
    [anon_sym_reset] = ACTIONS(2137),
    [anon_sym_rand] = ACTIONS(2137),
    [anon_sym_rmdir] = ACTIONS(2137),
    [anon_sym_readdir] = ACTIONS(2137),
    [anon_sym_readline] = ACTIONS(2137),
    [anon_sym_readpipe] = ACTIONS(2137),
    [anon_sym_rewinddir] = ACTIONS(2137),
    [anon_sym_readlink] = ACTIONS(2137),
    [anon_sym_ref] = ACTIONS(2137),
    [anon_sym_scalar] = ACTIONS(2137),
    [anon_sym_shift] = ACTIONS(2137),
    [anon_sym_sin] = ACTIONS(2137),
    [anon_sym_sleep] = ACTIONS(2137),
    [anon_sym_sqrt] = ACTIONS(2137),
    [anon_sym_srand] = ACTIONS(2137),
    [anon_sym_stat] = ACTIONS(2137),
    [anon_sym_study] = ACTIONS(2137),
    [anon_sym_tell] = ACTIONS(2137),
    [anon_sym_telldir] = ACTIONS(2137),
    [anon_sym_tied] = ACTIONS(2137),
    [anon_sym_uc] = ACTIONS(2137),
    [anon_sym_ucfirst] = ACTIONS(2137),
    [anon_sym_untie] = ACTIONS(2137),
    [anon_sym_umask] = ACTIONS(2137),
    [anon_sym_values] = ACTIONS(2137),
    [anon_sym_write] = ACTIONS(2137),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2137),
    [anon_sym_qq] = ACTIONS(2137),
    [anon_sym_qw] = ACTIONS(2137),
    [anon_sym_qx] = ACTIONS(2137),
    [anon_sym_qr] = ACTIONS(2137),
    [anon_sym_m] = ACTIONS(2137),
    [anon_sym_s] = ACTIONS(2137),
    [anon_sym_tr] = ACTIONS(2137),
    [anon_sym_y] = ACTIONS(2137),
    [aux_sym__bareword_token1] = ACTIONS(2137),
    [sym_number] = ACTIONS(2137),
    [anon_sym_true] = ACTIONS(2137),
    [anon_sym_false] = ACTIONS(2137),
    [sym__single_quote] = ACTIONS(2135),
    [sym__double_quote] = ACTIONS(2135),
    [sym__backtick_quote] = ACTIONS(2135),
    [sym__search_slash_quote] = ACTIONS(2135),
    [sym__open_readline_bracket] = ACTIONS(2135),
    [sym__open_fileglob_bracket] = ACTIONS(2135),
    [sym__PERLY_HEREDOC] = ACTIONS(2135),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2135),
    [sym__filetest] = ACTIONS(2135),
  },
  [1182] = {
    [sym_heredoc_content] = STATE(1182),
    [sym__identifier] = ACTIONS(2105),
    [anon_sym_LBRACE] = ACTIONS(2105),
    [anon_sym_DOLLAR] = ACTIONS(2105),
    [anon_sym_AT] = ACTIONS(2105),
    [anon_sym_RPAREN] = ACTIONS(2105),
    [anon_sym_my] = ACTIONS(2105),
    [anon_sym_extended] = ACTIONS(2105),
    [anon_sym_async] = ACTIONS(2105),
    [anon_sym_sub] = ACTIONS(2105),
    [anon_sym_method] = ACTIONS(2105),
    [anon_sym_LPAREN] = ACTIONS(2105),
    [anon_sym_continue] = ACTIONS(2105),
    [anon_sym_state] = ACTIONS(2105),
    [anon_sym_our] = ACTIONS(2105),
    [anon_sym_LBRACK] = ACTIONS(2105),
    [anon_sym_LT_LT] = ACTIONS(2105),
    [anon_sym_SLASH_SLASH] = ACTIONS(2105),
    [anon_sym_PLUS] = ACTIONS(2105),
    [anon_sym_DASH] = ACTIONS(2105),
    [anon_sym_TILDE] = ACTIONS(2105),
    [anon_sym_BANG] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [anon_sym_BSLASH] = ACTIONS(2103),
    [anon_sym_do] = ACTIONS(2105),
    [anon_sym_eval] = ACTIONS(2105),
    [anon_sym_await] = ACTIONS(2105),
    [anon_sym_field] = ACTIONS(2105),
    [anon_sym_local] = ACTIONS(2105),
    [anon_sym_dynamically] = ACTIONS(2105),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2105),
    [anon_sym_require] = ACTIONS(2105),
    [anon_sym_map] = ACTIONS(2105),
    [anon_sym_grep] = ACTIONS(2105),
    [anon_sym_sort] = ACTIONS(2105),
    [anon_sym_goto] = ACTIONS(2105),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_undef] = ACTIONS(2105),
    [anon_sym_PERCENT2] = ACTIONS(2105),
    [anon_sym_AMP2] = ACTIONS(2105),
    [anon_sym_STAR2] = ACTIONS(2105),
    [anon_sym_last] = ACTIONS(2105),
    [anon_sym_next] = ACTIONS(2105),
    [anon_sym_redo] = ACTIONS(2105),
    [anon_sym___FILE__] = ACTIONS(2105),
    [anon_sym___LINE__] = ACTIONS(2105),
    [anon_sym___PACKAGE__] = ACTIONS(2105),
    [anon_sym___SUB__] = ACTIONS(2105),
    [anon_sym_break] = ACTIONS(2105),
    [anon_sym_fork] = ACTIONS(2105),
    [anon_sym_getppid] = ACTIONS(2105),
    [anon_sym_time] = ACTIONS(2105),
    [anon_sym_times] = ACTIONS(2105),
    [anon_sym_wait] = ACTIONS(2105),
    [anon_sym_wantarray] = ACTIONS(2105),
    [anon_sym_abs] = ACTIONS(2105),
    [anon_sym_alarm] = ACTIONS(2105),
    [anon_sym_chop] = ACTIONS(2105),
    [anon_sym_chdir] = ACTIONS(2105),
    [anon_sym_close] = ACTIONS(2105),
    [anon_sym_closedir] = ACTIONS(2105),
    [anon_sym_caller] = ACTIONS(2105),
    [anon_sym_chomp] = ACTIONS(2105),
    [anon_sym_chr] = ACTIONS(2105),
    [anon_sym_cos] = ACTIONS(2105),
    [anon_sym_chroot] = ACTIONS(2105),
    [anon_sym_defined] = ACTIONS(2105),
    [anon_sym_delete] = ACTIONS(2105),
    [anon_sym_dbmclose] = ACTIONS(2105),
    [anon_sym_exists] = ACTIONS(2105),
    [anon_sym_exit] = ACTIONS(2105),
    [anon_sym_eof] = ACTIONS(2105),
    [anon_sym_exp] = ACTIONS(2105),
    [anon_sym_each] = ACTIONS(2105),
    [anon_sym_fc] = ACTIONS(2105),
    [anon_sym_fileno] = ACTIONS(2105),
    [anon_sym_gmtime] = ACTIONS(2105),
    [anon_sym_getc] = ACTIONS(2105),
    [anon_sym_getpgrp] = ACTIONS(2105),
    [anon_sym_getprotobyname] = ACTIONS(2105),
    [anon_sym_getpwname] = ACTIONS(2105),
    [anon_sym_getpwuid] = ACTIONS(2105),
    [anon_sym_getpeername] = ACTIONS(2105),
    [anon_sym_getnetbyname] = ACTIONS(2105),
    [anon_sym_getsockname] = ACTIONS(2105),
    [anon_sym_getgrnam] = ACTIONS(2105),
    [anon_sym_getgrgid] = ACTIONS(2105),
    [anon_sym_hex] = ACTIONS(2105),
    [anon_sym_int] = ACTIONS(2105),
    [anon_sym_keys] = ACTIONS(2105),
    [anon_sym_lc] = ACTIONS(2105),
    [anon_sym_lcfirst] = ACTIONS(2105),
    [anon_sym_length] = ACTIONS(2105),
    [anon_sym_localtime] = ACTIONS(2105),
    [anon_sym_log] = ACTIONS(2105),
    [anon_sym_lock] = ACTIONS(2105),
    [anon_sym_lstat] = ACTIONS(2105),
    [anon_sym_oct] = ACTIONS(2105),
    [anon_sym_ord] = ACTIONS(2105),
    [anon_sym_prototype] = ACTIONS(2105),
    [anon_sym_pop] = ACTIONS(2105),
    [anon_sym_pos] = ACTIONS(2105),
    [anon_sym_quotemeta] = ACTIONS(2105),
    [anon_sym_reset] = ACTIONS(2105),
    [anon_sym_rand] = ACTIONS(2105),
    [anon_sym_rmdir] = ACTIONS(2105),
    [anon_sym_readdir] = ACTIONS(2105),
    [anon_sym_readline] = ACTIONS(2105),
    [anon_sym_readpipe] = ACTIONS(2105),
    [anon_sym_rewinddir] = ACTIONS(2105),
    [anon_sym_readlink] = ACTIONS(2105),
    [anon_sym_ref] = ACTIONS(2105),
    [anon_sym_scalar] = ACTIONS(2105),
    [anon_sym_shift] = ACTIONS(2105),
    [anon_sym_sin] = ACTIONS(2105),
    [anon_sym_sleep] = ACTIONS(2105),
    [anon_sym_sqrt] = ACTIONS(2105),
    [anon_sym_srand] = ACTIONS(2105),
    [anon_sym_stat] = ACTIONS(2105),
    [anon_sym_study] = ACTIONS(2105),
    [anon_sym_tell] = ACTIONS(2105),
    [anon_sym_telldir] = ACTIONS(2105),
    [anon_sym_tied] = ACTIONS(2105),
    [anon_sym_uc] = ACTIONS(2105),
    [anon_sym_ucfirst] = ACTIONS(2105),
    [anon_sym_untie] = ACTIONS(2105),
    [anon_sym_umask] = ACTIONS(2105),
    [anon_sym_values] = ACTIONS(2105),
    [anon_sym_write] = ACTIONS(2105),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2105),
    [anon_sym_qq] = ACTIONS(2105),
    [anon_sym_qw] = ACTIONS(2105),
    [anon_sym_qx] = ACTIONS(2105),
    [anon_sym_qr] = ACTIONS(2105),
    [anon_sym_m] = ACTIONS(2105),
    [anon_sym_s] = ACTIONS(2105),
    [anon_sym_tr] = ACTIONS(2105),
    [anon_sym_y] = ACTIONS(2105),
    [aux_sym__bareword_token1] = ACTIONS(2105),
    [sym_number] = ACTIONS(2105),
    [anon_sym_true] = ACTIONS(2105),
    [anon_sym_false] = ACTIONS(2105),
    [sym__single_quote] = ACTIONS(2103),
    [sym__double_quote] = ACTIONS(2103),
    [sym__backtick_quote] = ACTIONS(2103),
    [sym__search_slash_quote] = ACTIONS(2103),
    [sym__open_readline_bracket] = ACTIONS(2103),
    [sym__open_fileglob_bracket] = ACTIONS(2103),
    [sym__PERLY_HEREDOC] = ACTIONS(2103),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2103),
    [sym__filetest] = ACTIONS(2103),
  },
  [1183] = {
    [sym_heredoc_content] = STATE(1183),
    [sym__identifier] = ACTIONS(2133),
    [anon_sym_LBRACE] = ACTIONS(2133),
    [anon_sym_DOLLAR] = ACTIONS(2133),
    [anon_sym_AT] = ACTIONS(2133),
    [anon_sym_RPAREN] = ACTIONS(2133),
    [anon_sym_my] = ACTIONS(2133),
    [anon_sym_extended] = ACTIONS(2133),
    [anon_sym_async] = ACTIONS(2133),
    [anon_sym_sub] = ACTIONS(2133),
    [anon_sym_method] = ACTIONS(2133),
    [anon_sym_LPAREN] = ACTIONS(2133),
    [anon_sym_continue] = ACTIONS(2133),
    [anon_sym_state] = ACTIONS(2133),
    [anon_sym_our] = ACTIONS(2133),
    [anon_sym_LBRACK] = ACTIONS(2133),
    [anon_sym_LT_LT] = ACTIONS(2133),
    [anon_sym_SLASH_SLASH] = ACTIONS(2133),
    [anon_sym_PLUS] = ACTIONS(2133),
    [anon_sym_DASH] = ACTIONS(2133),
    [anon_sym_TILDE] = ACTIONS(2133),
    [anon_sym_BANG] = ACTIONS(2133),
    [anon_sym_PLUS_PLUS] = ACTIONS(2133),
    [anon_sym_DASH_DASH] = ACTIONS(2133),
    [anon_sym_BSLASH] = ACTIONS(2131),
    [anon_sym_do] = ACTIONS(2133),
    [anon_sym_eval] = ACTIONS(2133),
    [anon_sym_await] = ACTIONS(2133),
    [anon_sym_field] = ACTIONS(2133),
    [anon_sym_local] = ACTIONS(2133),
    [anon_sym_dynamically] = ACTIONS(2133),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2133),
    [anon_sym_require] = ACTIONS(2133),
    [anon_sym_map] = ACTIONS(2133),
    [anon_sym_grep] = ACTIONS(2133),
    [anon_sym_sort] = ACTIONS(2133),
    [anon_sym_goto] = ACTIONS(2133),
    [anon_sym_return] = ACTIONS(2133),
    [anon_sym_undef] = ACTIONS(2133),
    [anon_sym_PERCENT2] = ACTIONS(2133),
    [anon_sym_AMP2] = ACTIONS(2133),
    [anon_sym_STAR2] = ACTIONS(2133),
    [anon_sym_last] = ACTIONS(2133),
    [anon_sym_next] = ACTIONS(2133),
    [anon_sym_redo] = ACTIONS(2133),
    [anon_sym___FILE__] = ACTIONS(2133),
    [anon_sym___LINE__] = ACTIONS(2133),
    [anon_sym___PACKAGE__] = ACTIONS(2133),
    [anon_sym___SUB__] = ACTIONS(2133),
    [anon_sym_break] = ACTIONS(2133),
    [anon_sym_fork] = ACTIONS(2133),
    [anon_sym_getppid] = ACTIONS(2133),
    [anon_sym_time] = ACTIONS(2133),
    [anon_sym_times] = ACTIONS(2133),
    [anon_sym_wait] = ACTIONS(2133),
    [anon_sym_wantarray] = ACTIONS(2133),
    [anon_sym_abs] = ACTIONS(2133),
    [anon_sym_alarm] = ACTIONS(2133),
    [anon_sym_chop] = ACTIONS(2133),
    [anon_sym_chdir] = ACTIONS(2133),
    [anon_sym_close] = ACTIONS(2133),
    [anon_sym_closedir] = ACTIONS(2133),
    [anon_sym_caller] = ACTIONS(2133),
    [anon_sym_chomp] = ACTIONS(2133),
    [anon_sym_chr] = ACTIONS(2133),
    [anon_sym_cos] = ACTIONS(2133),
    [anon_sym_chroot] = ACTIONS(2133),
    [anon_sym_defined] = ACTIONS(2133),
    [anon_sym_delete] = ACTIONS(2133),
    [anon_sym_dbmclose] = ACTIONS(2133),
    [anon_sym_exists] = ACTIONS(2133),
    [anon_sym_exit] = ACTIONS(2133),
    [anon_sym_eof] = ACTIONS(2133),
    [anon_sym_exp] = ACTIONS(2133),
    [anon_sym_each] = ACTIONS(2133),
    [anon_sym_fc] = ACTIONS(2133),
    [anon_sym_fileno] = ACTIONS(2133),
    [anon_sym_gmtime] = ACTIONS(2133),
    [anon_sym_getc] = ACTIONS(2133),
    [anon_sym_getpgrp] = ACTIONS(2133),
    [anon_sym_getprotobyname] = ACTIONS(2133),
    [anon_sym_getpwname] = ACTIONS(2133),
    [anon_sym_getpwuid] = ACTIONS(2133),
    [anon_sym_getpeername] = ACTIONS(2133),
    [anon_sym_getnetbyname] = ACTIONS(2133),
    [anon_sym_getsockname] = ACTIONS(2133),
    [anon_sym_getgrnam] = ACTIONS(2133),
    [anon_sym_getgrgid] = ACTIONS(2133),
    [anon_sym_hex] = ACTIONS(2133),
    [anon_sym_int] = ACTIONS(2133),
    [anon_sym_keys] = ACTIONS(2133),
    [anon_sym_lc] = ACTIONS(2133),
    [anon_sym_lcfirst] = ACTIONS(2133),
    [anon_sym_length] = ACTIONS(2133),
    [anon_sym_localtime] = ACTIONS(2133),
    [anon_sym_log] = ACTIONS(2133),
    [anon_sym_lock] = ACTIONS(2133),
    [anon_sym_lstat] = ACTIONS(2133),
    [anon_sym_oct] = ACTIONS(2133),
    [anon_sym_ord] = ACTIONS(2133),
    [anon_sym_prototype] = ACTIONS(2133),
    [anon_sym_pop] = ACTIONS(2133),
    [anon_sym_pos] = ACTIONS(2133),
    [anon_sym_quotemeta] = ACTIONS(2133),
    [anon_sym_reset] = ACTIONS(2133),
    [anon_sym_rand] = ACTIONS(2133),
    [anon_sym_rmdir] = ACTIONS(2133),
    [anon_sym_readdir] = ACTIONS(2133),
    [anon_sym_readline] = ACTIONS(2133),
    [anon_sym_readpipe] = ACTIONS(2133),
    [anon_sym_rewinddir] = ACTIONS(2133),
    [anon_sym_readlink] = ACTIONS(2133),
    [anon_sym_ref] = ACTIONS(2133),
    [anon_sym_scalar] = ACTIONS(2133),
    [anon_sym_shift] = ACTIONS(2133),
    [anon_sym_sin] = ACTIONS(2133),
    [anon_sym_sleep] = ACTIONS(2133),
    [anon_sym_sqrt] = ACTIONS(2133),
    [anon_sym_srand] = ACTIONS(2133),
    [anon_sym_stat] = ACTIONS(2133),
    [anon_sym_study] = ACTIONS(2133),
    [anon_sym_tell] = ACTIONS(2133),
    [anon_sym_telldir] = ACTIONS(2133),
    [anon_sym_tied] = ACTIONS(2133),
    [anon_sym_uc] = ACTIONS(2133),
    [anon_sym_ucfirst] = ACTIONS(2133),
    [anon_sym_untie] = ACTIONS(2133),
    [anon_sym_umask] = ACTIONS(2133),
    [anon_sym_values] = ACTIONS(2133),
    [anon_sym_write] = ACTIONS(2133),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2133),
    [anon_sym_qq] = ACTIONS(2133),
    [anon_sym_qw] = ACTIONS(2133),
    [anon_sym_qx] = ACTIONS(2133),
    [anon_sym_qr] = ACTIONS(2133),
    [anon_sym_m] = ACTIONS(2133),
    [anon_sym_s] = ACTIONS(2133),
    [anon_sym_tr] = ACTIONS(2133),
    [anon_sym_y] = ACTIONS(2133),
    [aux_sym__bareword_token1] = ACTIONS(2133),
    [sym_number] = ACTIONS(2133),
    [anon_sym_true] = ACTIONS(2133),
    [anon_sym_false] = ACTIONS(2133),
    [sym__single_quote] = ACTIONS(2131),
    [sym__double_quote] = ACTIONS(2131),
    [sym__backtick_quote] = ACTIONS(2131),
    [sym__search_slash_quote] = ACTIONS(2131),
    [sym__open_readline_bracket] = ACTIONS(2131),
    [sym__open_fileglob_bracket] = ACTIONS(2131),
    [sym__PERLY_HEREDOC] = ACTIONS(2131),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2131),
    [sym__filetest] = ACTIONS(2131),
  },
  [1184] = {
    [sym_heredoc_content] = STATE(1184),
    [sym__identifier] = ACTIONS(2165),
    [anon_sym_LBRACE] = ACTIONS(2165),
    [anon_sym_DOLLAR] = ACTIONS(2165),
    [anon_sym_AT] = ACTIONS(2165),
    [anon_sym_RPAREN] = ACTIONS(2165),
    [anon_sym_my] = ACTIONS(2165),
    [anon_sym_extended] = ACTIONS(2165),
    [anon_sym_async] = ACTIONS(2165),
    [anon_sym_sub] = ACTIONS(2165),
    [anon_sym_method] = ACTIONS(2165),
    [anon_sym_LPAREN] = ACTIONS(2165),
    [anon_sym_continue] = ACTIONS(2165),
    [anon_sym_state] = ACTIONS(2165),
    [anon_sym_our] = ACTIONS(2165),
    [anon_sym_LBRACK] = ACTIONS(2165),
    [anon_sym_LT_LT] = ACTIONS(2165),
    [anon_sym_SLASH_SLASH] = ACTIONS(2165),
    [anon_sym_PLUS] = ACTIONS(2165),
    [anon_sym_DASH] = ACTIONS(2165),
    [anon_sym_TILDE] = ACTIONS(2165),
    [anon_sym_BANG] = ACTIONS(2165),
    [anon_sym_PLUS_PLUS] = ACTIONS(2165),
    [anon_sym_DASH_DASH] = ACTIONS(2165),
    [anon_sym_BSLASH] = ACTIONS(2163),
    [anon_sym_do] = ACTIONS(2165),
    [anon_sym_eval] = ACTIONS(2165),
    [anon_sym_await] = ACTIONS(2165),
    [anon_sym_field] = ACTIONS(2165),
    [anon_sym_local] = ACTIONS(2165),
    [anon_sym_dynamically] = ACTIONS(2165),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2165),
    [anon_sym_require] = ACTIONS(2165),
    [anon_sym_map] = ACTIONS(2165),
    [anon_sym_grep] = ACTIONS(2165),
    [anon_sym_sort] = ACTIONS(2165),
    [anon_sym_goto] = ACTIONS(2165),
    [anon_sym_return] = ACTIONS(2165),
    [anon_sym_undef] = ACTIONS(2165),
    [anon_sym_PERCENT2] = ACTIONS(2165),
    [anon_sym_AMP2] = ACTIONS(2165),
    [anon_sym_STAR2] = ACTIONS(2165),
    [anon_sym_last] = ACTIONS(2165),
    [anon_sym_next] = ACTIONS(2165),
    [anon_sym_redo] = ACTIONS(2165),
    [anon_sym___FILE__] = ACTIONS(2165),
    [anon_sym___LINE__] = ACTIONS(2165),
    [anon_sym___PACKAGE__] = ACTIONS(2165),
    [anon_sym___SUB__] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2165),
    [anon_sym_fork] = ACTIONS(2165),
    [anon_sym_getppid] = ACTIONS(2165),
    [anon_sym_time] = ACTIONS(2165),
    [anon_sym_times] = ACTIONS(2165),
    [anon_sym_wait] = ACTIONS(2165),
    [anon_sym_wantarray] = ACTIONS(2165),
    [anon_sym_abs] = ACTIONS(2165),
    [anon_sym_alarm] = ACTIONS(2165),
    [anon_sym_chop] = ACTIONS(2165),
    [anon_sym_chdir] = ACTIONS(2165),
    [anon_sym_close] = ACTIONS(2165),
    [anon_sym_closedir] = ACTIONS(2165),
    [anon_sym_caller] = ACTIONS(2165),
    [anon_sym_chomp] = ACTIONS(2165),
    [anon_sym_chr] = ACTIONS(2165),
    [anon_sym_cos] = ACTIONS(2165),
    [anon_sym_chroot] = ACTIONS(2165),
    [anon_sym_defined] = ACTIONS(2165),
    [anon_sym_delete] = ACTIONS(2165),
    [anon_sym_dbmclose] = ACTIONS(2165),
    [anon_sym_exists] = ACTIONS(2165),
    [anon_sym_exit] = ACTIONS(2165),
    [anon_sym_eof] = ACTIONS(2165),
    [anon_sym_exp] = ACTIONS(2165),
    [anon_sym_each] = ACTIONS(2165),
    [anon_sym_fc] = ACTIONS(2165),
    [anon_sym_fileno] = ACTIONS(2165),
    [anon_sym_gmtime] = ACTIONS(2165),
    [anon_sym_getc] = ACTIONS(2165),
    [anon_sym_getpgrp] = ACTIONS(2165),
    [anon_sym_getprotobyname] = ACTIONS(2165),
    [anon_sym_getpwname] = ACTIONS(2165),
    [anon_sym_getpwuid] = ACTIONS(2165),
    [anon_sym_getpeername] = ACTIONS(2165),
    [anon_sym_getnetbyname] = ACTIONS(2165),
    [anon_sym_getsockname] = ACTIONS(2165),
    [anon_sym_getgrnam] = ACTIONS(2165),
    [anon_sym_getgrgid] = ACTIONS(2165),
    [anon_sym_hex] = ACTIONS(2165),
    [anon_sym_int] = ACTIONS(2165),
    [anon_sym_keys] = ACTIONS(2165),
    [anon_sym_lc] = ACTIONS(2165),
    [anon_sym_lcfirst] = ACTIONS(2165),
    [anon_sym_length] = ACTIONS(2165),
    [anon_sym_localtime] = ACTIONS(2165),
    [anon_sym_log] = ACTIONS(2165),
    [anon_sym_lock] = ACTIONS(2165),
    [anon_sym_lstat] = ACTIONS(2165),
    [anon_sym_oct] = ACTIONS(2165),
    [anon_sym_ord] = ACTIONS(2165),
    [anon_sym_prototype] = ACTIONS(2165),
    [anon_sym_pop] = ACTIONS(2165),
    [anon_sym_pos] = ACTIONS(2165),
    [anon_sym_quotemeta] = ACTIONS(2165),
    [anon_sym_reset] = ACTIONS(2165),
    [anon_sym_rand] = ACTIONS(2165),
    [anon_sym_rmdir] = ACTIONS(2165),
    [anon_sym_readdir] = ACTIONS(2165),
    [anon_sym_readline] = ACTIONS(2165),
    [anon_sym_readpipe] = ACTIONS(2165),
    [anon_sym_rewinddir] = ACTIONS(2165),
    [anon_sym_readlink] = ACTIONS(2165),
    [anon_sym_ref] = ACTIONS(2165),
    [anon_sym_scalar] = ACTIONS(2165),
    [anon_sym_shift] = ACTIONS(2165),
    [anon_sym_sin] = ACTIONS(2165),
    [anon_sym_sleep] = ACTIONS(2165),
    [anon_sym_sqrt] = ACTIONS(2165),
    [anon_sym_srand] = ACTIONS(2165),
    [anon_sym_stat] = ACTIONS(2165),
    [anon_sym_study] = ACTIONS(2165),
    [anon_sym_tell] = ACTIONS(2165),
    [anon_sym_telldir] = ACTIONS(2165),
    [anon_sym_tied] = ACTIONS(2165),
    [anon_sym_uc] = ACTIONS(2165),
    [anon_sym_ucfirst] = ACTIONS(2165),
    [anon_sym_untie] = ACTIONS(2165),
    [anon_sym_umask] = ACTIONS(2165),
    [anon_sym_values] = ACTIONS(2165),
    [anon_sym_write] = ACTIONS(2165),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2165),
    [anon_sym_qq] = ACTIONS(2165),
    [anon_sym_qw] = ACTIONS(2165),
    [anon_sym_qx] = ACTIONS(2165),
    [anon_sym_qr] = ACTIONS(2165),
    [anon_sym_m] = ACTIONS(2165),
    [anon_sym_s] = ACTIONS(2165),
    [anon_sym_tr] = ACTIONS(2165),
    [anon_sym_y] = ACTIONS(2165),
    [aux_sym__bareword_token1] = ACTIONS(2165),
    [sym_number] = ACTIONS(2165),
    [anon_sym_true] = ACTIONS(2165),
    [anon_sym_false] = ACTIONS(2165),
    [sym__single_quote] = ACTIONS(2163),
    [sym__double_quote] = ACTIONS(2163),
    [sym__backtick_quote] = ACTIONS(2163),
    [sym__search_slash_quote] = ACTIONS(2163),
    [sym__open_readline_bracket] = ACTIONS(2163),
    [sym__open_fileglob_bracket] = ACTIONS(2163),
    [sym__PERLY_HEREDOC] = ACTIONS(2163),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2163),
    [sym__filetest] = ACTIONS(2163),
  },
  [1185] = {
    [sym_heredoc_content] = STATE(1185),
    [sym__identifier] = ACTIONS(2169),
    [anon_sym_LBRACE] = ACTIONS(2169),
    [anon_sym_DOLLAR] = ACTIONS(2169),
    [anon_sym_AT] = ACTIONS(2169),
    [anon_sym_RPAREN] = ACTIONS(2169),
    [anon_sym_my] = ACTIONS(2169),
    [anon_sym_extended] = ACTIONS(2169),
    [anon_sym_async] = ACTIONS(2169),
    [anon_sym_sub] = ACTIONS(2169),
    [anon_sym_method] = ACTIONS(2169),
    [anon_sym_LPAREN] = ACTIONS(2169),
    [anon_sym_continue] = ACTIONS(2169),
    [anon_sym_state] = ACTIONS(2169),
    [anon_sym_our] = ACTIONS(2169),
    [anon_sym_LBRACK] = ACTIONS(2169),
    [anon_sym_LT_LT] = ACTIONS(2169),
    [anon_sym_SLASH_SLASH] = ACTIONS(2169),
    [anon_sym_PLUS] = ACTIONS(2169),
    [anon_sym_DASH] = ACTIONS(2169),
    [anon_sym_TILDE] = ACTIONS(2169),
    [anon_sym_BANG] = ACTIONS(2169),
    [anon_sym_PLUS_PLUS] = ACTIONS(2169),
    [anon_sym_DASH_DASH] = ACTIONS(2169),
    [anon_sym_BSLASH] = ACTIONS(2167),
    [anon_sym_do] = ACTIONS(2169),
    [anon_sym_eval] = ACTIONS(2169),
    [anon_sym_await] = ACTIONS(2169),
    [anon_sym_field] = ACTIONS(2169),
    [anon_sym_local] = ACTIONS(2169),
    [anon_sym_dynamically] = ACTIONS(2169),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2169),
    [anon_sym_require] = ACTIONS(2169),
    [anon_sym_map] = ACTIONS(2169),
    [anon_sym_grep] = ACTIONS(2169),
    [anon_sym_sort] = ACTIONS(2169),
    [anon_sym_goto] = ACTIONS(2169),
    [anon_sym_return] = ACTIONS(2169),
    [anon_sym_undef] = ACTIONS(2169),
    [anon_sym_PERCENT2] = ACTIONS(2169),
    [anon_sym_AMP2] = ACTIONS(2169),
    [anon_sym_STAR2] = ACTIONS(2169),
    [anon_sym_last] = ACTIONS(2169),
    [anon_sym_next] = ACTIONS(2169),
    [anon_sym_redo] = ACTIONS(2169),
    [anon_sym___FILE__] = ACTIONS(2169),
    [anon_sym___LINE__] = ACTIONS(2169),
    [anon_sym___PACKAGE__] = ACTIONS(2169),
    [anon_sym___SUB__] = ACTIONS(2169),
    [anon_sym_break] = ACTIONS(2169),
    [anon_sym_fork] = ACTIONS(2169),
    [anon_sym_getppid] = ACTIONS(2169),
    [anon_sym_time] = ACTIONS(2169),
    [anon_sym_times] = ACTIONS(2169),
    [anon_sym_wait] = ACTIONS(2169),
    [anon_sym_wantarray] = ACTIONS(2169),
    [anon_sym_abs] = ACTIONS(2169),
    [anon_sym_alarm] = ACTIONS(2169),
    [anon_sym_chop] = ACTIONS(2169),
    [anon_sym_chdir] = ACTIONS(2169),
    [anon_sym_close] = ACTIONS(2169),
    [anon_sym_closedir] = ACTIONS(2169),
    [anon_sym_caller] = ACTIONS(2169),
    [anon_sym_chomp] = ACTIONS(2169),
    [anon_sym_chr] = ACTIONS(2169),
    [anon_sym_cos] = ACTIONS(2169),
    [anon_sym_chroot] = ACTIONS(2169),
    [anon_sym_defined] = ACTIONS(2169),
    [anon_sym_delete] = ACTIONS(2169),
    [anon_sym_dbmclose] = ACTIONS(2169),
    [anon_sym_exists] = ACTIONS(2169),
    [anon_sym_exit] = ACTIONS(2169),
    [anon_sym_eof] = ACTIONS(2169),
    [anon_sym_exp] = ACTIONS(2169),
    [anon_sym_each] = ACTIONS(2169),
    [anon_sym_fc] = ACTIONS(2169),
    [anon_sym_fileno] = ACTIONS(2169),
    [anon_sym_gmtime] = ACTIONS(2169),
    [anon_sym_getc] = ACTIONS(2169),
    [anon_sym_getpgrp] = ACTIONS(2169),
    [anon_sym_getprotobyname] = ACTIONS(2169),
    [anon_sym_getpwname] = ACTIONS(2169),
    [anon_sym_getpwuid] = ACTIONS(2169),
    [anon_sym_getpeername] = ACTIONS(2169),
    [anon_sym_getnetbyname] = ACTIONS(2169),
    [anon_sym_getsockname] = ACTIONS(2169),
    [anon_sym_getgrnam] = ACTIONS(2169),
    [anon_sym_getgrgid] = ACTIONS(2169),
    [anon_sym_hex] = ACTIONS(2169),
    [anon_sym_int] = ACTIONS(2169),
    [anon_sym_keys] = ACTIONS(2169),
    [anon_sym_lc] = ACTIONS(2169),
    [anon_sym_lcfirst] = ACTIONS(2169),
    [anon_sym_length] = ACTIONS(2169),
    [anon_sym_localtime] = ACTIONS(2169),
    [anon_sym_log] = ACTIONS(2169),
    [anon_sym_lock] = ACTIONS(2169),
    [anon_sym_lstat] = ACTIONS(2169),
    [anon_sym_oct] = ACTIONS(2169),
    [anon_sym_ord] = ACTIONS(2169),
    [anon_sym_prototype] = ACTIONS(2169),
    [anon_sym_pop] = ACTIONS(2169),
    [anon_sym_pos] = ACTIONS(2169),
    [anon_sym_quotemeta] = ACTIONS(2169),
    [anon_sym_reset] = ACTIONS(2169),
    [anon_sym_rand] = ACTIONS(2169),
    [anon_sym_rmdir] = ACTIONS(2169),
    [anon_sym_readdir] = ACTIONS(2169),
    [anon_sym_readline] = ACTIONS(2169),
    [anon_sym_readpipe] = ACTIONS(2169),
    [anon_sym_rewinddir] = ACTIONS(2169),
    [anon_sym_readlink] = ACTIONS(2169),
    [anon_sym_ref] = ACTIONS(2169),
    [anon_sym_scalar] = ACTIONS(2169),
    [anon_sym_shift] = ACTIONS(2169),
    [anon_sym_sin] = ACTIONS(2169),
    [anon_sym_sleep] = ACTIONS(2169),
    [anon_sym_sqrt] = ACTIONS(2169),
    [anon_sym_srand] = ACTIONS(2169),
    [anon_sym_stat] = ACTIONS(2169),
    [anon_sym_study] = ACTIONS(2169),
    [anon_sym_tell] = ACTIONS(2169),
    [anon_sym_telldir] = ACTIONS(2169),
    [anon_sym_tied] = ACTIONS(2169),
    [anon_sym_uc] = ACTIONS(2169),
    [anon_sym_ucfirst] = ACTIONS(2169),
    [anon_sym_untie] = ACTIONS(2169),
    [anon_sym_umask] = ACTIONS(2169),
    [anon_sym_values] = ACTIONS(2169),
    [anon_sym_write] = ACTIONS(2169),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2169),
    [anon_sym_qq] = ACTIONS(2169),
    [anon_sym_qw] = ACTIONS(2169),
    [anon_sym_qx] = ACTIONS(2169),
    [anon_sym_qr] = ACTIONS(2169),
    [anon_sym_m] = ACTIONS(2169),
    [anon_sym_s] = ACTIONS(2169),
    [anon_sym_tr] = ACTIONS(2169),
    [anon_sym_y] = ACTIONS(2169),
    [aux_sym__bareword_token1] = ACTIONS(2169),
    [sym_number] = ACTIONS(2169),
    [anon_sym_true] = ACTIONS(2169),
    [anon_sym_false] = ACTIONS(2169),
    [sym__single_quote] = ACTIONS(2167),
    [sym__double_quote] = ACTIONS(2167),
    [sym__backtick_quote] = ACTIONS(2167),
    [sym__search_slash_quote] = ACTIONS(2167),
    [sym__open_readline_bracket] = ACTIONS(2167),
    [sym__open_fileglob_bracket] = ACTIONS(2167),
    [sym__PERLY_HEREDOC] = ACTIONS(2167),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2167),
    [sym__filetest] = ACTIONS(2167),
  },
  [1186] = {
    [sym_heredoc_content] = STATE(1186),
    [sym__identifier] = ACTIONS(1824),
    [anon_sym_LBRACE] = ACTIONS(1824),
    [anon_sym_DOLLAR] = ACTIONS(1824),
    [anon_sym_AT] = ACTIONS(1824),
    [anon_sym_RPAREN] = ACTIONS(1824),
    [anon_sym_my] = ACTIONS(1824),
    [anon_sym_extended] = ACTIONS(1824),
    [anon_sym_async] = ACTIONS(1824),
    [anon_sym_sub] = ACTIONS(1824),
    [anon_sym_method] = ACTIONS(1824),
    [anon_sym_LPAREN] = ACTIONS(1824),
    [anon_sym_continue] = ACTIONS(1824),
    [anon_sym_state] = ACTIONS(1824),
    [anon_sym_our] = ACTIONS(1824),
    [anon_sym_LBRACK] = ACTIONS(1824),
    [anon_sym_LT_LT] = ACTIONS(1824),
    [anon_sym_SLASH_SLASH] = ACTIONS(1824),
    [anon_sym_PLUS] = ACTIONS(1824),
    [anon_sym_DASH] = ACTIONS(1824),
    [anon_sym_TILDE] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1824),
    [anon_sym_PLUS_PLUS] = ACTIONS(1824),
    [anon_sym_DASH_DASH] = ACTIONS(1824),
    [anon_sym_BSLASH] = ACTIONS(1826),
    [anon_sym_do] = ACTIONS(1824),
    [anon_sym_eval] = ACTIONS(1824),
    [anon_sym_await] = ACTIONS(1824),
    [anon_sym_field] = ACTIONS(1824),
    [anon_sym_local] = ACTIONS(1824),
    [anon_sym_dynamically] = ACTIONS(1824),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1824),
    [anon_sym_require] = ACTIONS(1824),
    [anon_sym_map] = ACTIONS(1824),
    [anon_sym_grep] = ACTIONS(1824),
    [anon_sym_sort] = ACTIONS(1824),
    [anon_sym_goto] = ACTIONS(1824),
    [anon_sym_return] = ACTIONS(1824),
    [anon_sym_undef] = ACTIONS(1824),
    [anon_sym_PERCENT2] = ACTIONS(1824),
    [anon_sym_AMP2] = ACTIONS(1824),
    [anon_sym_STAR2] = ACTIONS(1824),
    [anon_sym_last] = ACTIONS(1824),
    [anon_sym_next] = ACTIONS(1824),
    [anon_sym_redo] = ACTIONS(1824),
    [anon_sym___FILE__] = ACTIONS(1824),
    [anon_sym___LINE__] = ACTIONS(1824),
    [anon_sym___PACKAGE__] = ACTIONS(1824),
    [anon_sym___SUB__] = ACTIONS(1824),
    [anon_sym_break] = ACTIONS(1824),
    [anon_sym_fork] = ACTIONS(1824),
    [anon_sym_getppid] = ACTIONS(1824),
    [anon_sym_time] = ACTIONS(1824),
    [anon_sym_times] = ACTIONS(1824),
    [anon_sym_wait] = ACTIONS(1824),
    [anon_sym_wantarray] = ACTIONS(1824),
    [anon_sym_abs] = ACTIONS(1824),
    [anon_sym_alarm] = ACTIONS(1824),
    [anon_sym_chop] = ACTIONS(1824),
    [anon_sym_chdir] = ACTIONS(1824),
    [anon_sym_close] = ACTIONS(1824),
    [anon_sym_closedir] = ACTIONS(1824),
    [anon_sym_caller] = ACTIONS(1824),
    [anon_sym_chomp] = ACTIONS(1824),
    [anon_sym_chr] = ACTIONS(1824),
    [anon_sym_cos] = ACTIONS(1824),
    [anon_sym_chroot] = ACTIONS(1824),
    [anon_sym_defined] = ACTIONS(1824),
    [anon_sym_delete] = ACTIONS(1824),
    [anon_sym_dbmclose] = ACTIONS(1824),
    [anon_sym_exists] = ACTIONS(1824),
    [anon_sym_exit] = ACTIONS(1824),
    [anon_sym_eof] = ACTIONS(1824),
    [anon_sym_exp] = ACTIONS(1824),
    [anon_sym_each] = ACTIONS(1824),
    [anon_sym_fc] = ACTIONS(1824),
    [anon_sym_fileno] = ACTIONS(1824),
    [anon_sym_gmtime] = ACTIONS(1824),
    [anon_sym_getc] = ACTIONS(1824),
    [anon_sym_getpgrp] = ACTIONS(1824),
    [anon_sym_getprotobyname] = ACTIONS(1824),
    [anon_sym_getpwname] = ACTIONS(1824),
    [anon_sym_getpwuid] = ACTIONS(1824),
    [anon_sym_getpeername] = ACTIONS(1824),
    [anon_sym_getnetbyname] = ACTIONS(1824),
    [anon_sym_getsockname] = ACTIONS(1824),
    [anon_sym_getgrnam] = ACTIONS(1824),
    [anon_sym_getgrgid] = ACTIONS(1824),
    [anon_sym_hex] = ACTIONS(1824),
    [anon_sym_int] = ACTIONS(1824),
    [anon_sym_keys] = ACTIONS(1824),
    [anon_sym_lc] = ACTIONS(1824),
    [anon_sym_lcfirst] = ACTIONS(1824),
    [anon_sym_length] = ACTIONS(1824),
    [anon_sym_localtime] = ACTIONS(1824),
    [anon_sym_log] = ACTIONS(1824),
    [anon_sym_lock] = ACTIONS(1824),
    [anon_sym_lstat] = ACTIONS(1824),
    [anon_sym_oct] = ACTIONS(1824),
    [anon_sym_ord] = ACTIONS(1824),
    [anon_sym_prototype] = ACTIONS(1824),
    [anon_sym_pop] = ACTIONS(1824),
    [anon_sym_pos] = ACTIONS(1824),
    [anon_sym_quotemeta] = ACTIONS(1824),
    [anon_sym_reset] = ACTIONS(1824),
    [anon_sym_rand] = ACTIONS(1824),
    [anon_sym_rmdir] = ACTIONS(1824),
    [anon_sym_readdir] = ACTIONS(1824),
    [anon_sym_readline] = ACTIONS(1824),
    [anon_sym_readpipe] = ACTIONS(1824),
    [anon_sym_rewinddir] = ACTIONS(1824),
    [anon_sym_readlink] = ACTIONS(1824),
    [anon_sym_ref] = ACTIONS(1824),
    [anon_sym_scalar] = ACTIONS(1824),
    [anon_sym_shift] = ACTIONS(1824),
    [anon_sym_sin] = ACTIONS(1824),
    [anon_sym_sleep] = ACTIONS(1824),
    [anon_sym_sqrt] = ACTIONS(1824),
    [anon_sym_srand] = ACTIONS(1824),
    [anon_sym_stat] = ACTIONS(1824),
    [anon_sym_study] = ACTIONS(1824),
    [anon_sym_tell] = ACTIONS(1824),
    [anon_sym_telldir] = ACTIONS(1824),
    [anon_sym_tied] = ACTIONS(1824),
    [anon_sym_uc] = ACTIONS(1824),
    [anon_sym_ucfirst] = ACTIONS(1824),
    [anon_sym_untie] = ACTIONS(1824),
    [anon_sym_umask] = ACTIONS(1824),
    [anon_sym_values] = ACTIONS(1824),
    [anon_sym_write] = ACTIONS(1824),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1824),
    [anon_sym_qq] = ACTIONS(1824),
    [anon_sym_qw] = ACTIONS(1824),
    [anon_sym_qx] = ACTIONS(1824),
    [anon_sym_qr] = ACTIONS(1824),
    [anon_sym_m] = ACTIONS(1824),
    [anon_sym_s] = ACTIONS(1824),
    [anon_sym_tr] = ACTIONS(1824),
    [anon_sym_y] = ACTIONS(1824),
    [aux_sym__bareword_token1] = ACTIONS(1824),
    [sym_number] = ACTIONS(1824),
    [anon_sym_true] = ACTIONS(1824),
    [anon_sym_false] = ACTIONS(1824),
    [sym__single_quote] = ACTIONS(1826),
    [sym__double_quote] = ACTIONS(1826),
    [sym__backtick_quote] = ACTIONS(1826),
    [sym__search_slash_quote] = ACTIONS(1826),
    [sym__open_readline_bracket] = ACTIONS(1826),
    [sym__open_fileglob_bracket] = ACTIONS(1826),
    [sym__PERLY_HEREDOC] = ACTIONS(1826),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1826),
    [sym__filetest] = ACTIONS(1826),
  },
  [1187] = {
    [sym_heredoc_content] = STATE(1187),
    [sym__identifier] = ACTIONS(2324),
    [anon_sym_LBRACE] = ACTIONS(2324),
    [anon_sym_DOLLAR] = ACTIONS(2324),
    [anon_sym_AT] = ACTIONS(2324),
    [anon_sym_RPAREN] = ACTIONS(2324),
    [anon_sym_my] = ACTIONS(2324),
    [anon_sym_extended] = ACTIONS(2324),
    [anon_sym_async] = ACTIONS(2324),
    [anon_sym_sub] = ACTIONS(2324),
    [anon_sym_method] = ACTIONS(2324),
    [anon_sym_LPAREN] = ACTIONS(2324),
    [anon_sym_continue] = ACTIONS(2324),
    [anon_sym_state] = ACTIONS(2324),
    [anon_sym_our] = ACTIONS(2324),
    [anon_sym_LBRACK] = ACTIONS(2324),
    [anon_sym_LT_LT] = ACTIONS(2324),
    [anon_sym_SLASH_SLASH] = ACTIONS(2324),
    [anon_sym_PLUS] = ACTIONS(2324),
    [anon_sym_DASH] = ACTIONS(2324),
    [anon_sym_TILDE] = ACTIONS(2324),
    [anon_sym_BANG] = ACTIONS(2324),
    [anon_sym_PLUS_PLUS] = ACTIONS(2324),
    [anon_sym_DASH_DASH] = ACTIONS(2324),
    [anon_sym_BSLASH] = ACTIONS(2322),
    [anon_sym_do] = ACTIONS(2324),
    [anon_sym_eval] = ACTIONS(2324),
    [anon_sym_await] = ACTIONS(2324),
    [anon_sym_field] = ACTIONS(2324),
    [anon_sym_local] = ACTIONS(2324),
    [anon_sym_dynamically] = ACTIONS(2324),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2324),
    [anon_sym_require] = ACTIONS(2324),
    [anon_sym_map] = ACTIONS(2324),
    [anon_sym_grep] = ACTIONS(2324),
    [anon_sym_sort] = ACTIONS(2324),
    [anon_sym_goto] = ACTIONS(2324),
    [anon_sym_return] = ACTIONS(2324),
    [anon_sym_undef] = ACTIONS(2324),
    [anon_sym_PERCENT2] = ACTIONS(2324),
    [anon_sym_AMP2] = ACTIONS(2324),
    [anon_sym_STAR2] = ACTIONS(2324),
    [anon_sym_last] = ACTIONS(2324),
    [anon_sym_next] = ACTIONS(2324),
    [anon_sym_redo] = ACTIONS(2324),
    [anon_sym___FILE__] = ACTIONS(2324),
    [anon_sym___LINE__] = ACTIONS(2324),
    [anon_sym___PACKAGE__] = ACTIONS(2324),
    [anon_sym___SUB__] = ACTIONS(2324),
    [anon_sym_break] = ACTIONS(2324),
    [anon_sym_fork] = ACTIONS(2324),
    [anon_sym_getppid] = ACTIONS(2324),
    [anon_sym_time] = ACTIONS(2324),
    [anon_sym_times] = ACTIONS(2324),
    [anon_sym_wait] = ACTIONS(2324),
    [anon_sym_wantarray] = ACTIONS(2324),
    [anon_sym_abs] = ACTIONS(2324),
    [anon_sym_alarm] = ACTIONS(2324),
    [anon_sym_chop] = ACTIONS(2324),
    [anon_sym_chdir] = ACTIONS(2324),
    [anon_sym_close] = ACTIONS(2324),
    [anon_sym_closedir] = ACTIONS(2324),
    [anon_sym_caller] = ACTIONS(2324),
    [anon_sym_chomp] = ACTIONS(2324),
    [anon_sym_chr] = ACTIONS(2324),
    [anon_sym_cos] = ACTIONS(2324),
    [anon_sym_chroot] = ACTIONS(2324),
    [anon_sym_defined] = ACTIONS(2324),
    [anon_sym_delete] = ACTIONS(2324),
    [anon_sym_dbmclose] = ACTIONS(2324),
    [anon_sym_exists] = ACTIONS(2324),
    [anon_sym_exit] = ACTIONS(2324),
    [anon_sym_eof] = ACTIONS(2324),
    [anon_sym_exp] = ACTIONS(2324),
    [anon_sym_each] = ACTIONS(2324),
    [anon_sym_fc] = ACTIONS(2324),
    [anon_sym_fileno] = ACTIONS(2324),
    [anon_sym_gmtime] = ACTIONS(2324),
    [anon_sym_getc] = ACTIONS(2324),
    [anon_sym_getpgrp] = ACTIONS(2324),
    [anon_sym_getprotobyname] = ACTIONS(2324),
    [anon_sym_getpwname] = ACTIONS(2324),
    [anon_sym_getpwuid] = ACTIONS(2324),
    [anon_sym_getpeername] = ACTIONS(2324),
    [anon_sym_getnetbyname] = ACTIONS(2324),
    [anon_sym_getsockname] = ACTIONS(2324),
    [anon_sym_getgrnam] = ACTIONS(2324),
    [anon_sym_getgrgid] = ACTIONS(2324),
    [anon_sym_hex] = ACTIONS(2324),
    [anon_sym_int] = ACTIONS(2324),
    [anon_sym_keys] = ACTIONS(2324),
    [anon_sym_lc] = ACTIONS(2324),
    [anon_sym_lcfirst] = ACTIONS(2324),
    [anon_sym_length] = ACTIONS(2324),
    [anon_sym_localtime] = ACTIONS(2324),
    [anon_sym_log] = ACTIONS(2324),
    [anon_sym_lock] = ACTIONS(2324),
    [anon_sym_lstat] = ACTIONS(2324),
    [anon_sym_oct] = ACTIONS(2324),
    [anon_sym_ord] = ACTIONS(2324),
    [anon_sym_prototype] = ACTIONS(2324),
    [anon_sym_pop] = ACTIONS(2324),
    [anon_sym_pos] = ACTIONS(2324),
    [anon_sym_quotemeta] = ACTIONS(2324),
    [anon_sym_reset] = ACTIONS(2324),
    [anon_sym_rand] = ACTIONS(2324),
    [anon_sym_rmdir] = ACTIONS(2324),
    [anon_sym_readdir] = ACTIONS(2324),
    [anon_sym_readline] = ACTIONS(2324),
    [anon_sym_readpipe] = ACTIONS(2324),
    [anon_sym_rewinddir] = ACTIONS(2324),
    [anon_sym_readlink] = ACTIONS(2324),
    [anon_sym_ref] = ACTIONS(2324),
    [anon_sym_scalar] = ACTIONS(2324),
    [anon_sym_shift] = ACTIONS(2324),
    [anon_sym_sin] = ACTIONS(2324),
    [anon_sym_sleep] = ACTIONS(2324),
    [anon_sym_sqrt] = ACTIONS(2324),
    [anon_sym_srand] = ACTIONS(2324),
    [anon_sym_stat] = ACTIONS(2324),
    [anon_sym_study] = ACTIONS(2324),
    [anon_sym_tell] = ACTIONS(2324),
    [anon_sym_telldir] = ACTIONS(2324),
    [anon_sym_tied] = ACTIONS(2324),
    [anon_sym_uc] = ACTIONS(2324),
    [anon_sym_ucfirst] = ACTIONS(2324),
    [anon_sym_untie] = ACTIONS(2324),
    [anon_sym_umask] = ACTIONS(2324),
    [anon_sym_values] = ACTIONS(2324),
    [anon_sym_write] = ACTIONS(2324),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2324),
    [anon_sym_qq] = ACTIONS(2324),
    [anon_sym_qw] = ACTIONS(2324),
    [anon_sym_qx] = ACTIONS(2324),
    [anon_sym_qr] = ACTIONS(2324),
    [anon_sym_m] = ACTIONS(2324),
    [anon_sym_s] = ACTIONS(2324),
    [anon_sym_tr] = ACTIONS(2324),
    [anon_sym_y] = ACTIONS(2324),
    [aux_sym__bareword_token1] = ACTIONS(2324),
    [sym_number] = ACTIONS(2324),
    [anon_sym_true] = ACTIONS(2324),
    [anon_sym_false] = ACTIONS(2324),
    [sym__single_quote] = ACTIONS(2322),
    [sym__double_quote] = ACTIONS(2322),
    [sym__backtick_quote] = ACTIONS(2322),
    [sym__search_slash_quote] = ACTIONS(2322),
    [sym__open_readline_bracket] = ACTIONS(2322),
    [sym__open_fileglob_bracket] = ACTIONS(2322),
    [sym__PERLY_HEREDOC] = ACTIONS(2322),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2322),
    [sym__filetest] = ACTIONS(2322),
  },
  [1188] = {
    [sym_heredoc_content] = STATE(1188),
    [sym__identifier] = ACTIONS(2404),
    [anon_sym_LBRACE] = ACTIONS(2404),
    [anon_sym_DOLLAR] = ACTIONS(2404),
    [anon_sym_AT] = ACTIONS(2404),
    [anon_sym_my] = ACTIONS(2404),
    [anon_sym_extended] = ACTIONS(2404),
    [anon_sym_async] = ACTIONS(2404),
    [anon_sym_sub] = ACTIONS(2404),
    [anon_sym_method] = ACTIONS(2404),
    [anon_sym_LPAREN] = ACTIONS(2404),
    [anon_sym_continue] = ACTIONS(2404),
    [anon_sym_state] = ACTIONS(2404),
    [anon_sym_our] = ACTIONS(2404),
    [anon_sym_LBRACK] = ACTIONS(2404),
    [anon_sym_LT_LT] = ACTIONS(2404),
    [anon_sym_SLASH_SLASH] = ACTIONS(2404),
    [anon_sym_PLUS] = ACTIONS(2404),
    [anon_sym_DASH] = ACTIONS(2404),
    [anon_sym_TILDE] = ACTIONS(2404),
    [anon_sym_BANG] = ACTIONS(2404),
    [anon_sym_PLUS_PLUS] = ACTIONS(2404),
    [anon_sym_DASH_DASH] = ACTIONS(2404),
    [anon_sym_BSLASH] = ACTIONS(2406),
    [anon_sym_do] = ACTIONS(2404),
    [anon_sym_eval] = ACTIONS(2404),
    [anon_sym_await] = ACTIONS(2404),
    [anon_sym_field] = ACTIONS(2404),
    [anon_sym_local] = ACTIONS(2404),
    [anon_sym_dynamically] = ACTIONS(2404),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2404),
    [anon_sym_require] = ACTIONS(2404),
    [anon_sym_map] = ACTIONS(2404),
    [anon_sym_grep] = ACTIONS(2404),
    [anon_sym_sort] = ACTIONS(2404),
    [anon_sym_goto] = ACTIONS(2404),
    [anon_sym_return] = ACTIONS(2404),
    [anon_sym_undef] = ACTIONS(2404),
    [anon_sym_PERCENT2] = ACTIONS(2404),
    [anon_sym_AMP2] = ACTIONS(2404),
    [anon_sym_STAR2] = ACTIONS(2404),
    [anon_sym_last] = ACTIONS(2404),
    [anon_sym_next] = ACTIONS(2404),
    [anon_sym_redo] = ACTIONS(2404),
    [anon_sym___FILE__] = ACTIONS(2404),
    [anon_sym___LINE__] = ACTIONS(2404),
    [anon_sym___PACKAGE__] = ACTIONS(2404),
    [anon_sym___SUB__] = ACTIONS(2404),
    [anon_sym_break] = ACTIONS(2404),
    [anon_sym_fork] = ACTIONS(2404),
    [anon_sym_getppid] = ACTIONS(2404),
    [anon_sym_time] = ACTIONS(2404),
    [anon_sym_times] = ACTIONS(2404),
    [anon_sym_wait] = ACTIONS(2404),
    [anon_sym_wantarray] = ACTIONS(2404),
    [anon_sym_abs] = ACTIONS(2404),
    [anon_sym_alarm] = ACTIONS(2404),
    [anon_sym_chop] = ACTIONS(2404),
    [anon_sym_chdir] = ACTIONS(2404),
    [anon_sym_close] = ACTIONS(2404),
    [anon_sym_closedir] = ACTIONS(2404),
    [anon_sym_caller] = ACTIONS(2404),
    [anon_sym_chomp] = ACTIONS(2404),
    [anon_sym_chr] = ACTIONS(2404),
    [anon_sym_cos] = ACTIONS(2404),
    [anon_sym_chroot] = ACTIONS(2404),
    [anon_sym_defined] = ACTIONS(2404),
    [anon_sym_delete] = ACTIONS(2404),
    [anon_sym_dbmclose] = ACTIONS(2404),
    [anon_sym_exists] = ACTIONS(2404),
    [anon_sym_exit] = ACTIONS(2404),
    [anon_sym_eof] = ACTIONS(2404),
    [anon_sym_exp] = ACTIONS(2404),
    [anon_sym_each] = ACTIONS(2404),
    [anon_sym_fc] = ACTIONS(2404),
    [anon_sym_fileno] = ACTIONS(2404),
    [anon_sym_gmtime] = ACTIONS(2404),
    [anon_sym_getc] = ACTIONS(2404),
    [anon_sym_getpgrp] = ACTIONS(2404),
    [anon_sym_getprotobyname] = ACTIONS(2404),
    [anon_sym_getpwname] = ACTIONS(2404),
    [anon_sym_getpwuid] = ACTIONS(2404),
    [anon_sym_getpeername] = ACTIONS(2404),
    [anon_sym_getnetbyname] = ACTIONS(2404),
    [anon_sym_getsockname] = ACTIONS(2404),
    [anon_sym_getgrnam] = ACTIONS(2404),
    [anon_sym_getgrgid] = ACTIONS(2404),
    [anon_sym_hex] = ACTIONS(2404),
    [anon_sym_int] = ACTIONS(2404),
    [anon_sym_keys] = ACTIONS(2404),
    [anon_sym_lc] = ACTIONS(2404),
    [anon_sym_lcfirst] = ACTIONS(2404),
    [anon_sym_length] = ACTIONS(2404),
    [anon_sym_localtime] = ACTIONS(2404),
    [anon_sym_log] = ACTIONS(2404),
    [anon_sym_lock] = ACTIONS(2404),
    [anon_sym_lstat] = ACTIONS(2404),
    [anon_sym_oct] = ACTIONS(2404),
    [anon_sym_ord] = ACTIONS(2404),
    [anon_sym_prototype] = ACTIONS(2404),
    [anon_sym_pop] = ACTIONS(2404),
    [anon_sym_pos] = ACTIONS(2404),
    [anon_sym_quotemeta] = ACTIONS(2404),
    [anon_sym_reset] = ACTIONS(2404),
    [anon_sym_rand] = ACTIONS(2404),
    [anon_sym_rmdir] = ACTIONS(2404),
    [anon_sym_readdir] = ACTIONS(2404),
    [anon_sym_readline] = ACTIONS(2404),
    [anon_sym_readpipe] = ACTIONS(2404),
    [anon_sym_rewinddir] = ACTIONS(2404),
    [anon_sym_readlink] = ACTIONS(2404),
    [anon_sym_ref] = ACTIONS(2404),
    [anon_sym_scalar] = ACTIONS(2404),
    [anon_sym_shift] = ACTIONS(2404),
    [anon_sym_sin] = ACTIONS(2404),
    [anon_sym_sleep] = ACTIONS(2404),
    [anon_sym_sqrt] = ACTIONS(2404),
    [anon_sym_srand] = ACTIONS(2404),
    [anon_sym_stat] = ACTIONS(2404),
    [anon_sym_study] = ACTIONS(2404),
    [anon_sym_tell] = ACTIONS(2404),
    [anon_sym_telldir] = ACTIONS(2404),
    [anon_sym_tied] = ACTIONS(2404),
    [anon_sym_uc] = ACTIONS(2404),
    [anon_sym_ucfirst] = ACTIONS(2404),
    [anon_sym_untie] = ACTIONS(2404),
    [anon_sym_umask] = ACTIONS(2404),
    [anon_sym_values] = ACTIONS(2404),
    [anon_sym_write] = ACTIONS(2404),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2404),
    [anon_sym_qq] = ACTIONS(2404),
    [anon_sym_qw] = ACTIONS(2404),
    [anon_sym_qx] = ACTIONS(2404),
    [anon_sym_qr] = ACTIONS(2404),
    [anon_sym_m] = ACTIONS(2404),
    [anon_sym_s] = ACTIONS(2404),
    [anon_sym_tr] = ACTIONS(2404),
    [anon_sym_y] = ACTIONS(2404),
    [aux_sym__bareword_token1] = ACTIONS(2404),
    [sym_number] = ACTIONS(2404),
    [anon_sym_true] = ACTIONS(2404),
    [anon_sym_false] = ACTIONS(2404),
    [sym__single_quote] = ACTIONS(2406),
    [sym__double_quote] = ACTIONS(2406),
    [sym__backtick_quote] = ACTIONS(2406),
    [sym__search_slash_quote] = ACTIONS(2406),
    [sym__open_readline_bracket] = ACTIONS(2406),
    [sym__open_fileglob_bracket] = ACTIONS(2406),
    [sym__PERLY_HEREDOC] = ACTIONS(2406),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2406),
    [sym__filetest] = ACTIONS(2406),
  },
  [1189] = {
    [sym_heredoc_content] = STATE(1189),
    [sym__identifier] = ACTIONS(1947),
    [anon_sym_LBRACE] = ACTIONS(1947),
    [anon_sym_DOLLAR] = ACTIONS(1947),
    [anon_sym_AT] = ACTIONS(1947),
    [anon_sym_my] = ACTIONS(1947),
    [anon_sym_extended] = ACTIONS(1947),
    [anon_sym_async] = ACTIONS(1947),
    [anon_sym_sub] = ACTIONS(1947),
    [anon_sym_method] = ACTIONS(1947),
    [anon_sym_LPAREN] = ACTIONS(1947),
    [anon_sym_continue] = ACTIONS(1947),
    [anon_sym_state] = ACTIONS(1947),
    [anon_sym_our] = ACTIONS(1947),
    [anon_sym_LBRACK] = ACTIONS(1947),
    [anon_sym_LT_LT] = ACTIONS(1947),
    [anon_sym_SLASH_SLASH] = ACTIONS(1947),
    [anon_sym_PLUS] = ACTIONS(1947),
    [anon_sym_DASH] = ACTIONS(1947),
    [anon_sym_TILDE] = ACTIONS(1947),
    [anon_sym_BANG] = ACTIONS(1947),
    [anon_sym_PLUS_PLUS] = ACTIONS(1947),
    [anon_sym_DASH_DASH] = ACTIONS(1947),
    [anon_sym_BSLASH] = ACTIONS(1949),
    [anon_sym_do] = ACTIONS(1947),
    [anon_sym_eval] = ACTIONS(1947),
    [anon_sym_await] = ACTIONS(1947),
    [anon_sym_field] = ACTIONS(1947),
    [anon_sym_local] = ACTIONS(1947),
    [anon_sym_dynamically] = ACTIONS(1947),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1947),
    [anon_sym_require] = ACTIONS(1947),
    [anon_sym_map] = ACTIONS(1947),
    [anon_sym_grep] = ACTIONS(1947),
    [anon_sym_sort] = ACTIONS(1947),
    [anon_sym_goto] = ACTIONS(1947),
    [anon_sym_return] = ACTIONS(1947),
    [anon_sym_undef] = ACTIONS(1947),
    [anon_sym_PERCENT2] = ACTIONS(1947),
    [anon_sym_AMP2] = ACTIONS(1947),
    [anon_sym_STAR2] = ACTIONS(1947),
    [anon_sym_last] = ACTIONS(1947),
    [anon_sym_next] = ACTIONS(1947),
    [anon_sym_redo] = ACTIONS(1947),
    [anon_sym___FILE__] = ACTIONS(1947),
    [anon_sym___LINE__] = ACTIONS(1947),
    [anon_sym___PACKAGE__] = ACTIONS(1947),
    [anon_sym___SUB__] = ACTIONS(1947),
    [anon_sym_break] = ACTIONS(1947),
    [anon_sym_fork] = ACTIONS(1947),
    [anon_sym_getppid] = ACTIONS(1947),
    [anon_sym_time] = ACTIONS(1947),
    [anon_sym_times] = ACTIONS(1947),
    [anon_sym_wait] = ACTIONS(1947),
    [anon_sym_wantarray] = ACTIONS(1947),
    [anon_sym_abs] = ACTIONS(1947),
    [anon_sym_alarm] = ACTIONS(1947),
    [anon_sym_chop] = ACTIONS(1947),
    [anon_sym_chdir] = ACTIONS(1947),
    [anon_sym_close] = ACTIONS(1947),
    [anon_sym_closedir] = ACTIONS(1947),
    [anon_sym_caller] = ACTIONS(1947),
    [anon_sym_chomp] = ACTIONS(1947),
    [anon_sym_chr] = ACTIONS(1947),
    [anon_sym_cos] = ACTIONS(1947),
    [anon_sym_chroot] = ACTIONS(1947),
    [anon_sym_defined] = ACTIONS(1947),
    [anon_sym_delete] = ACTIONS(1947),
    [anon_sym_dbmclose] = ACTIONS(1947),
    [anon_sym_exists] = ACTIONS(1947),
    [anon_sym_exit] = ACTIONS(1947),
    [anon_sym_eof] = ACTIONS(1947),
    [anon_sym_exp] = ACTIONS(1947),
    [anon_sym_each] = ACTIONS(1947),
    [anon_sym_fc] = ACTIONS(1947),
    [anon_sym_fileno] = ACTIONS(1947),
    [anon_sym_gmtime] = ACTIONS(1947),
    [anon_sym_getc] = ACTIONS(1947),
    [anon_sym_getpgrp] = ACTIONS(1947),
    [anon_sym_getprotobyname] = ACTIONS(1947),
    [anon_sym_getpwname] = ACTIONS(1947),
    [anon_sym_getpwuid] = ACTIONS(1947),
    [anon_sym_getpeername] = ACTIONS(1947),
    [anon_sym_getnetbyname] = ACTIONS(1947),
    [anon_sym_getsockname] = ACTIONS(1947),
    [anon_sym_getgrnam] = ACTIONS(1947),
    [anon_sym_getgrgid] = ACTIONS(1947),
    [anon_sym_hex] = ACTIONS(1947),
    [anon_sym_int] = ACTIONS(1947),
    [anon_sym_keys] = ACTIONS(1947),
    [anon_sym_lc] = ACTIONS(1947),
    [anon_sym_lcfirst] = ACTIONS(1947),
    [anon_sym_length] = ACTIONS(1947),
    [anon_sym_localtime] = ACTIONS(1947),
    [anon_sym_log] = ACTIONS(1947),
    [anon_sym_lock] = ACTIONS(1947),
    [anon_sym_lstat] = ACTIONS(1947),
    [anon_sym_oct] = ACTIONS(1947),
    [anon_sym_ord] = ACTIONS(1947),
    [anon_sym_prototype] = ACTIONS(1947),
    [anon_sym_pop] = ACTIONS(1947),
    [anon_sym_pos] = ACTIONS(1947),
    [anon_sym_quotemeta] = ACTIONS(1947),
    [anon_sym_reset] = ACTIONS(1947),
    [anon_sym_rand] = ACTIONS(1947),
    [anon_sym_rmdir] = ACTIONS(1947),
    [anon_sym_readdir] = ACTIONS(1947),
    [anon_sym_readline] = ACTIONS(1947),
    [anon_sym_readpipe] = ACTIONS(1947),
    [anon_sym_rewinddir] = ACTIONS(1947),
    [anon_sym_readlink] = ACTIONS(1947),
    [anon_sym_ref] = ACTIONS(1947),
    [anon_sym_scalar] = ACTIONS(1947),
    [anon_sym_shift] = ACTIONS(1947),
    [anon_sym_sin] = ACTIONS(1947),
    [anon_sym_sleep] = ACTIONS(1947),
    [anon_sym_sqrt] = ACTIONS(1947),
    [anon_sym_srand] = ACTIONS(1947),
    [anon_sym_stat] = ACTIONS(1947),
    [anon_sym_study] = ACTIONS(1947),
    [anon_sym_tell] = ACTIONS(1947),
    [anon_sym_telldir] = ACTIONS(1947),
    [anon_sym_tied] = ACTIONS(1947),
    [anon_sym_uc] = ACTIONS(1947),
    [anon_sym_ucfirst] = ACTIONS(1947),
    [anon_sym_untie] = ACTIONS(1947),
    [anon_sym_umask] = ACTIONS(1947),
    [anon_sym_values] = ACTIONS(1947),
    [anon_sym_write] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1947),
    [anon_sym_qq] = ACTIONS(1947),
    [anon_sym_qw] = ACTIONS(1947),
    [anon_sym_qx] = ACTIONS(1947),
    [anon_sym_qr] = ACTIONS(1947),
    [anon_sym_m] = ACTIONS(1947),
    [anon_sym_s] = ACTIONS(1947),
    [anon_sym_tr] = ACTIONS(1947),
    [anon_sym_y] = ACTIONS(1947),
    [aux_sym__bareword_token1] = ACTIONS(1947),
    [sym_number] = ACTIONS(1947),
    [anon_sym_true] = ACTIONS(1947),
    [anon_sym_false] = ACTIONS(1947),
    [sym__single_quote] = ACTIONS(1949),
    [sym__double_quote] = ACTIONS(1949),
    [sym__backtick_quote] = ACTIONS(1949),
    [sym__search_slash_quote] = ACTIONS(1949),
    [sym__open_readline_bracket] = ACTIONS(1949),
    [sym__open_fileglob_bracket] = ACTIONS(1949),
    [sym__PERLY_HEREDOC] = ACTIONS(1949),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1949),
    [sym__filetest] = ACTIONS(1949),
  },
  [1190] = {
    [sym_heredoc_content] = STATE(1190),
    [sym__identifier] = ACTIONS(1838),
    [anon_sym_LBRACE] = ACTIONS(1838),
    [anon_sym_DOLLAR] = ACTIONS(1838),
    [anon_sym_AT] = ACTIONS(1838),
    [anon_sym_my] = ACTIONS(1838),
    [anon_sym_extended] = ACTIONS(1838),
    [anon_sym_async] = ACTIONS(1838),
    [anon_sym_sub] = ACTIONS(1838),
    [anon_sym_method] = ACTIONS(1838),
    [anon_sym_LPAREN] = ACTIONS(1838),
    [anon_sym_continue] = ACTIONS(1838),
    [anon_sym_state] = ACTIONS(1838),
    [anon_sym_our] = ACTIONS(1838),
    [anon_sym_LBRACK] = ACTIONS(1838),
    [anon_sym_LT_LT] = ACTIONS(1838),
    [anon_sym_SLASH_SLASH] = ACTIONS(1838),
    [anon_sym_PLUS] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_PLUS_PLUS] = ACTIONS(1838),
    [anon_sym_DASH_DASH] = ACTIONS(1838),
    [anon_sym_BSLASH] = ACTIONS(1845),
    [anon_sym_do] = ACTIONS(1838),
    [anon_sym_eval] = ACTIONS(1838),
    [anon_sym_await] = ACTIONS(1838),
    [anon_sym_field] = ACTIONS(1838),
    [anon_sym_local] = ACTIONS(1838),
    [anon_sym_dynamically] = ACTIONS(1838),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1838),
    [anon_sym_require] = ACTIONS(1838),
    [anon_sym_map] = ACTIONS(1838),
    [anon_sym_grep] = ACTIONS(1838),
    [anon_sym_sort] = ACTIONS(1838),
    [anon_sym_goto] = ACTIONS(1838),
    [anon_sym_return] = ACTIONS(1838),
    [anon_sym_undef] = ACTIONS(1838),
    [anon_sym_PERCENT2] = ACTIONS(1838),
    [anon_sym_AMP2] = ACTIONS(1838),
    [anon_sym_STAR2] = ACTIONS(1838),
    [anon_sym_last] = ACTIONS(1838),
    [anon_sym_next] = ACTIONS(1838),
    [anon_sym_redo] = ACTIONS(1838),
    [anon_sym___FILE__] = ACTIONS(1838),
    [anon_sym___LINE__] = ACTIONS(1838),
    [anon_sym___PACKAGE__] = ACTIONS(1838),
    [anon_sym___SUB__] = ACTIONS(1838),
    [anon_sym_break] = ACTIONS(1838),
    [anon_sym_fork] = ACTIONS(1838),
    [anon_sym_getppid] = ACTIONS(1838),
    [anon_sym_time] = ACTIONS(1838),
    [anon_sym_times] = ACTIONS(1838),
    [anon_sym_wait] = ACTIONS(1838),
    [anon_sym_wantarray] = ACTIONS(1838),
    [anon_sym_abs] = ACTIONS(1838),
    [anon_sym_alarm] = ACTIONS(1838),
    [anon_sym_chop] = ACTIONS(1838),
    [anon_sym_chdir] = ACTIONS(1838),
    [anon_sym_close] = ACTIONS(1838),
    [anon_sym_closedir] = ACTIONS(1838),
    [anon_sym_caller] = ACTIONS(1838),
    [anon_sym_chomp] = ACTIONS(1838),
    [anon_sym_chr] = ACTIONS(1838),
    [anon_sym_cos] = ACTIONS(1838),
    [anon_sym_chroot] = ACTIONS(1838),
    [anon_sym_defined] = ACTIONS(1838),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_dbmclose] = ACTIONS(1838),
    [anon_sym_exists] = ACTIONS(1838),
    [anon_sym_exit] = ACTIONS(1838),
    [anon_sym_eof] = ACTIONS(1838),
    [anon_sym_exp] = ACTIONS(1838),
    [anon_sym_each] = ACTIONS(1838),
    [anon_sym_fc] = ACTIONS(1838),
    [anon_sym_fileno] = ACTIONS(1838),
    [anon_sym_gmtime] = ACTIONS(1838),
    [anon_sym_getc] = ACTIONS(1838),
    [anon_sym_getpgrp] = ACTIONS(1838),
    [anon_sym_getprotobyname] = ACTIONS(1838),
    [anon_sym_getpwname] = ACTIONS(1838),
    [anon_sym_getpwuid] = ACTIONS(1838),
    [anon_sym_getpeername] = ACTIONS(1838),
    [anon_sym_getnetbyname] = ACTIONS(1838),
    [anon_sym_getsockname] = ACTIONS(1838),
    [anon_sym_getgrnam] = ACTIONS(1838),
    [anon_sym_getgrgid] = ACTIONS(1838),
    [anon_sym_hex] = ACTIONS(1838),
    [anon_sym_int] = ACTIONS(1838),
    [anon_sym_keys] = ACTIONS(1838),
    [anon_sym_lc] = ACTIONS(1838),
    [anon_sym_lcfirst] = ACTIONS(1838),
    [anon_sym_length] = ACTIONS(1838),
    [anon_sym_localtime] = ACTIONS(1838),
    [anon_sym_log] = ACTIONS(1838),
    [anon_sym_lock] = ACTIONS(1838),
    [anon_sym_lstat] = ACTIONS(1838),
    [anon_sym_oct] = ACTIONS(1838),
    [anon_sym_ord] = ACTIONS(1838),
    [anon_sym_prototype] = ACTIONS(1838),
    [anon_sym_pop] = ACTIONS(1838),
    [anon_sym_pos] = ACTIONS(1838),
    [anon_sym_quotemeta] = ACTIONS(1838),
    [anon_sym_reset] = ACTIONS(1838),
    [anon_sym_rand] = ACTIONS(1838),
    [anon_sym_rmdir] = ACTIONS(1838),
    [anon_sym_readdir] = ACTIONS(1838),
    [anon_sym_readline] = ACTIONS(1838),
    [anon_sym_readpipe] = ACTIONS(1838),
    [anon_sym_rewinddir] = ACTIONS(1838),
    [anon_sym_readlink] = ACTIONS(1838),
    [anon_sym_ref] = ACTIONS(1838),
    [anon_sym_scalar] = ACTIONS(1838),
    [anon_sym_shift] = ACTIONS(1838),
    [anon_sym_sin] = ACTIONS(1838),
    [anon_sym_sleep] = ACTIONS(1838),
    [anon_sym_sqrt] = ACTIONS(1838),
    [anon_sym_srand] = ACTIONS(1838),
    [anon_sym_stat] = ACTIONS(1838),
    [anon_sym_study] = ACTIONS(1838),
    [anon_sym_tell] = ACTIONS(1838),
    [anon_sym_telldir] = ACTIONS(1838),
    [anon_sym_tied] = ACTIONS(1838),
    [anon_sym_uc] = ACTIONS(1838),
    [anon_sym_ucfirst] = ACTIONS(1838),
    [anon_sym_untie] = ACTIONS(1838),
    [anon_sym_umask] = ACTIONS(1838),
    [anon_sym_values] = ACTIONS(1838),
    [anon_sym_write] = ACTIONS(1838),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1838),
    [anon_sym_qq] = ACTIONS(1838),
    [anon_sym_qw] = ACTIONS(1838),
    [anon_sym_qx] = ACTIONS(1838),
    [anon_sym_qr] = ACTIONS(1838),
    [anon_sym_m] = ACTIONS(1838),
    [anon_sym_s] = ACTIONS(1838),
    [anon_sym_tr] = ACTIONS(1838),
    [anon_sym_y] = ACTIONS(1838),
    [aux_sym__bareword_token1] = ACTIONS(1838),
    [sym_number] = ACTIONS(1838),
    [anon_sym_true] = ACTIONS(1838),
    [anon_sym_false] = ACTIONS(1838),
    [sym__single_quote] = ACTIONS(1845),
    [sym__double_quote] = ACTIONS(1845),
    [sym__backtick_quote] = ACTIONS(1845),
    [sym__search_slash_quote] = ACTIONS(1845),
    [sym__open_readline_bracket] = ACTIONS(1845),
    [sym__open_fileglob_bracket] = ACTIONS(1845),
    [sym__PERLY_HEREDOC] = ACTIONS(1845),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1845),
    [sym__filetest] = ACTIONS(1845),
  },
  [1191] = {
    [sym_heredoc_content] = STATE(1191),
    [sym__identifier] = ACTIONS(2408),
    [anon_sym_LBRACE] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2408),
    [anon_sym_AT] = ACTIONS(2408),
    [anon_sym_my] = ACTIONS(2408),
    [anon_sym_extended] = ACTIONS(2408),
    [anon_sym_async] = ACTIONS(2408),
    [anon_sym_sub] = ACTIONS(2408),
    [anon_sym_method] = ACTIONS(2408),
    [anon_sym_LPAREN] = ACTIONS(2408),
    [anon_sym_continue] = ACTIONS(2408),
    [anon_sym_state] = ACTIONS(2408),
    [anon_sym_our] = ACTIONS(2408),
    [anon_sym_LBRACK] = ACTIONS(2408),
    [anon_sym_LT_LT] = ACTIONS(2408),
    [anon_sym_SLASH_SLASH] = ACTIONS(2408),
    [anon_sym_PLUS] = ACTIONS(2408),
    [anon_sym_DASH] = ACTIONS(2408),
    [anon_sym_TILDE] = ACTIONS(2408),
    [anon_sym_BANG] = ACTIONS(2408),
    [anon_sym_PLUS_PLUS] = ACTIONS(2408),
    [anon_sym_DASH_DASH] = ACTIONS(2408),
    [anon_sym_BSLASH] = ACTIONS(2410),
    [anon_sym_do] = ACTIONS(2408),
    [anon_sym_eval] = ACTIONS(2408),
    [anon_sym_await] = ACTIONS(2408),
    [anon_sym_field] = ACTIONS(2408),
    [anon_sym_local] = ACTIONS(2408),
    [anon_sym_dynamically] = ACTIONS(2408),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2408),
    [anon_sym_require] = ACTIONS(2408),
    [anon_sym_map] = ACTIONS(2408),
    [anon_sym_grep] = ACTIONS(2408),
    [anon_sym_sort] = ACTIONS(2408),
    [anon_sym_goto] = ACTIONS(2408),
    [anon_sym_return] = ACTIONS(2408),
    [anon_sym_undef] = ACTIONS(2408),
    [anon_sym_PERCENT2] = ACTIONS(2408),
    [anon_sym_AMP2] = ACTIONS(2408),
    [anon_sym_STAR2] = ACTIONS(2408),
    [anon_sym_last] = ACTIONS(2408),
    [anon_sym_next] = ACTIONS(2408),
    [anon_sym_redo] = ACTIONS(2408),
    [anon_sym___FILE__] = ACTIONS(2408),
    [anon_sym___LINE__] = ACTIONS(2408),
    [anon_sym___PACKAGE__] = ACTIONS(2408),
    [anon_sym___SUB__] = ACTIONS(2408),
    [anon_sym_break] = ACTIONS(2408),
    [anon_sym_fork] = ACTIONS(2408),
    [anon_sym_getppid] = ACTIONS(2408),
    [anon_sym_time] = ACTIONS(2408),
    [anon_sym_times] = ACTIONS(2408),
    [anon_sym_wait] = ACTIONS(2408),
    [anon_sym_wantarray] = ACTIONS(2408),
    [anon_sym_abs] = ACTIONS(2408),
    [anon_sym_alarm] = ACTIONS(2408),
    [anon_sym_chop] = ACTIONS(2408),
    [anon_sym_chdir] = ACTIONS(2408),
    [anon_sym_close] = ACTIONS(2408),
    [anon_sym_closedir] = ACTIONS(2408),
    [anon_sym_caller] = ACTIONS(2408),
    [anon_sym_chomp] = ACTIONS(2408),
    [anon_sym_chr] = ACTIONS(2408),
    [anon_sym_cos] = ACTIONS(2408),
    [anon_sym_chroot] = ACTIONS(2408),
    [anon_sym_defined] = ACTIONS(2408),
    [anon_sym_delete] = ACTIONS(2408),
    [anon_sym_dbmclose] = ACTIONS(2408),
    [anon_sym_exists] = ACTIONS(2408),
    [anon_sym_exit] = ACTIONS(2408),
    [anon_sym_eof] = ACTIONS(2408),
    [anon_sym_exp] = ACTIONS(2408),
    [anon_sym_each] = ACTIONS(2408),
    [anon_sym_fc] = ACTIONS(2408),
    [anon_sym_fileno] = ACTIONS(2408),
    [anon_sym_gmtime] = ACTIONS(2408),
    [anon_sym_getc] = ACTIONS(2408),
    [anon_sym_getpgrp] = ACTIONS(2408),
    [anon_sym_getprotobyname] = ACTIONS(2408),
    [anon_sym_getpwname] = ACTIONS(2408),
    [anon_sym_getpwuid] = ACTIONS(2408),
    [anon_sym_getpeername] = ACTIONS(2408),
    [anon_sym_getnetbyname] = ACTIONS(2408),
    [anon_sym_getsockname] = ACTIONS(2408),
    [anon_sym_getgrnam] = ACTIONS(2408),
    [anon_sym_getgrgid] = ACTIONS(2408),
    [anon_sym_hex] = ACTIONS(2408),
    [anon_sym_int] = ACTIONS(2408),
    [anon_sym_keys] = ACTIONS(2408),
    [anon_sym_lc] = ACTIONS(2408),
    [anon_sym_lcfirst] = ACTIONS(2408),
    [anon_sym_length] = ACTIONS(2408),
    [anon_sym_localtime] = ACTIONS(2408),
    [anon_sym_log] = ACTIONS(2408),
    [anon_sym_lock] = ACTIONS(2408),
    [anon_sym_lstat] = ACTIONS(2408),
    [anon_sym_oct] = ACTIONS(2408),
    [anon_sym_ord] = ACTIONS(2408),
    [anon_sym_prototype] = ACTIONS(2408),
    [anon_sym_pop] = ACTIONS(2408),
    [anon_sym_pos] = ACTIONS(2408),
    [anon_sym_quotemeta] = ACTIONS(2408),
    [anon_sym_reset] = ACTIONS(2408),
    [anon_sym_rand] = ACTIONS(2408),
    [anon_sym_rmdir] = ACTIONS(2408),
    [anon_sym_readdir] = ACTIONS(2408),
    [anon_sym_readline] = ACTIONS(2408),
    [anon_sym_readpipe] = ACTIONS(2408),
    [anon_sym_rewinddir] = ACTIONS(2408),
    [anon_sym_readlink] = ACTIONS(2408),
    [anon_sym_ref] = ACTIONS(2408),
    [anon_sym_scalar] = ACTIONS(2408),
    [anon_sym_shift] = ACTIONS(2408),
    [anon_sym_sin] = ACTIONS(2408),
    [anon_sym_sleep] = ACTIONS(2408),
    [anon_sym_sqrt] = ACTIONS(2408),
    [anon_sym_srand] = ACTIONS(2408),
    [anon_sym_stat] = ACTIONS(2408),
    [anon_sym_study] = ACTIONS(2408),
    [anon_sym_tell] = ACTIONS(2408),
    [anon_sym_telldir] = ACTIONS(2408),
    [anon_sym_tied] = ACTIONS(2408),
    [anon_sym_uc] = ACTIONS(2408),
    [anon_sym_ucfirst] = ACTIONS(2408),
    [anon_sym_untie] = ACTIONS(2408),
    [anon_sym_umask] = ACTIONS(2408),
    [anon_sym_values] = ACTIONS(2408),
    [anon_sym_write] = ACTIONS(2408),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2408),
    [anon_sym_qq] = ACTIONS(2408),
    [anon_sym_qw] = ACTIONS(2408),
    [anon_sym_qx] = ACTIONS(2408),
    [anon_sym_qr] = ACTIONS(2408),
    [anon_sym_m] = ACTIONS(2408),
    [anon_sym_s] = ACTIONS(2408),
    [anon_sym_tr] = ACTIONS(2408),
    [anon_sym_y] = ACTIONS(2408),
    [aux_sym__bareword_token1] = ACTIONS(2408),
    [sym_number] = ACTIONS(2408),
    [anon_sym_true] = ACTIONS(2408),
    [anon_sym_false] = ACTIONS(2408),
    [sym__single_quote] = ACTIONS(2410),
    [sym__double_quote] = ACTIONS(2410),
    [sym__backtick_quote] = ACTIONS(2410),
    [sym__search_slash_quote] = ACTIONS(2410),
    [sym__open_readline_bracket] = ACTIONS(2410),
    [sym__open_fileglob_bracket] = ACTIONS(2410),
    [sym__PERLY_HEREDOC] = ACTIONS(2410),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2410),
    [sym__filetest] = ACTIONS(2410),
  },
  [1192] = {
    [sym_heredoc_content] = STATE(1192),
    [sym__identifier] = ACTIONS(2412),
    [anon_sym_LBRACE] = ACTIONS(2412),
    [anon_sym_DOLLAR] = ACTIONS(2412),
    [anon_sym_AT] = ACTIONS(2412),
    [anon_sym_my] = ACTIONS(2412),
    [anon_sym_extended] = ACTIONS(2412),
    [anon_sym_async] = ACTIONS(2412),
    [anon_sym_sub] = ACTIONS(2412),
    [anon_sym_method] = ACTIONS(2412),
    [anon_sym_LPAREN] = ACTIONS(2412),
    [anon_sym_continue] = ACTIONS(2412),
    [anon_sym_state] = ACTIONS(2412),
    [anon_sym_our] = ACTIONS(2412),
    [anon_sym_LBRACK] = ACTIONS(2412),
    [anon_sym_LT_LT] = ACTIONS(2412),
    [anon_sym_SLASH_SLASH] = ACTIONS(2412),
    [anon_sym_PLUS] = ACTIONS(2412),
    [anon_sym_DASH] = ACTIONS(2412),
    [anon_sym_TILDE] = ACTIONS(2412),
    [anon_sym_BANG] = ACTIONS(2412),
    [anon_sym_PLUS_PLUS] = ACTIONS(2412),
    [anon_sym_DASH_DASH] = ACTIONS(2412),
    [anon_sym_BSLASH] = ACTIONS(2414),
    [anon_sym_do] = ACTIONS(2412),
    [anon_sym_eval] = ACTIONS(2412),
    [anon_sym_await] = ACTIONS(2412),
    [anon_sym_field] = ACTIONS(2412),
    [anon_sym_local] = ACTIONS(2412),
    [anon_sym_dynamically] = ACTIONS(2412),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2412),
    [anon_sym_require] = ACTIONS(2412),
    [anon_sym_map] = ACTIONS(2412),
    [anon_sym_grep] = ACTIONS(2412),
    [anon_sym_sort] = ACTIONS(2412),
    [anon_sym_goto] = ACTIONS(2412),
    [anon_sym_return] = ACTIONS(2412),
    [anon_sym_undef] = ACTIONS(2412),
    [anon_sym_PERCENT2] = ACTIONS(2412),
    [anon_sym_AMP2] = ACTIONS(2412),
    [anon_sym_STAR2] = ACTIONS(2412),
    [anon_sym_last] = ACTIONS(2412),
    [anon_sym_next] = ACTIONS(2412),
    [anon_sym_redo] = ACTIONS(2412),
    [anon_sym___FILE__] = ACTIONS(2412),
    [anon_sym___LINE__] = ACTIONS(2412),
    [anon_sym___PACKAGE__] = ACTIONS(2412),
    [anon_sym___SUB__] = ACTIONS(2412),
    [anon_sym_break] = ACTIONS(2412),
    [anon_sym_fork] = ACTIONS(2412),
    [anon_sym_getppid] = ACTIONS(2412),
    [anon_sym_time] = ACTIONS(2412),
    [anon_sym_times] = ACTIONS(2412),
    [anon_sym_wait] = ACTIONS(2412),
    [anon_sym_wantarray] = ACTIONS(2412),
    [anon_sym_abs] = ACTIONS(2412),
    [anon_sym_alarm] = ACTIONS(2412),
    [anon_sym_chop] = ACTIONS(2412),
    [anon_sym_chdir] = ACTIONS(2412),
    [anon_sym_close] = ACTIONS(2412),
    [anon_sym_closedir] = ACTIONS(2412),
    [anon_sym_caller] = ACTIONS(2412),
    [anon_sym_chomp] = ACTIONS(2412),
    [anon_sym_chr] = ACTIONS(2412),
    [anon_sym_cos] = ACTIONS(2412),
    [anon_sym_chroot] = ACTIONS(2412),
    [anon_sym_defined] = ACTIONS(2412),
    [anon_sym_delete] = ACTIONS(2412),
    [anon_sym_dbmclose] = ACTIONS(2412),
    [anon_sym_exists] = ACTIONS(2412),
    [anon_sym_exit] = ACTIONS(2412),
    [anon_sym_eof] = ACTIONS(2412),
    [anon_sym_exp] = ACTIONS(2412),
    [anon_sym_each] = ACTIONS(2412),
    [anon_sym_fc] = ACTIONS(2412),
    [anon_sym_fileno] = ACTIONS(2412),
    [anon_sym_gmtime] = ACTIONS(2412),
    [anon_sym_getc] = ACTIONS(2412),
    [anon_sym_getpgrp] = ACTIONS(2412),
    [anon_sym_getprotobyname] = ACTIONS(2412),
    [anon_sym_getpwname] = ACTIONS(2412),
    [anon_sym_getpwuid] = ACTIONS(2412),
    [anon_sym_getpeername] = ACTIONS(2412),
    [anon_sym_getnetbyname] = ACTIONS(2412),
    [anon_sym_getsockname] = ACTIONS(2412),
    [anon_sym_getgrnam] = ACTIONS(2412),
    [anon_sym_getgrgid] = ACTIONS(2412),
    [anon_sym_hex] = ACTIONS(2412),
    [anon_sym_int] = ACTIONS(2412),
    [anon_sym_keys] = ACTIONS(2412),
    [anon_sym_lc] = ACTIONS(2412),
    [anon_sym_lcfirst] = ACTIONS(2412),
    [anon_sym_length] = ACTIONS(2412),
    [anon_sym_localtime] = ACTIONS(2412),
    [anon_sym_log] = ACTIONS(2412),
    [anon_sym_lock] = ACTIONS(2412),
    [anon_sym_lstat] = ACTIONS(2412),
    [anon_sym_oct] = ACTIONS(2412),
    [anon_sym_ord] = ACTIONS(2412),
    [anon_sym_prototype] = ACTIONS(2412),
    [anon_sym_pop] = ACTIONS(2412),
    [anon_sym_pos] = ACTIONS(2412),
    [anon_sym_quotemeta] = ACTIONS(2412),
    [anon_sym_reset] = ACTIONS(2412),
    [anon_sym_rand] = ACTIONS(2412),
    [anon_sym_rmdir] = ACTIONS(2412),
    [anon_sym_readdir] = ACTIONS(2412),
    [anon_sym_readline] = ACTIONS(2412),
    [anon_sym_readpipe] = ACTIONS(2412),
    [anon_sym_rewinddir] = ACTIONS(2412),
    [anon_sym_readlink] = ACTIONS(2412),
    [anon_sym_ref] = ACTIONS(2412),
    [anon_sym_scalar] = ACTIONS(2412),
    [anon_sym_shift] = ACTIONS(2412),
    [anon_sym_sin] = ACTIONS(2412),
    [anon_sym_sleep] = ACTIONS(2412),
    [anon_sym_sqrt] = ACTIONS(2412),
    [anon_sym_srand] = ACTIONS(2412),
    [anon_sym_stat] = ACTIONS(2412),
    [anon_sym_study] = ACTIONS(2412),
    [anon_sym_tell] = ACTIONS(2412),
    [anon_sym_telldir] = ACTIONS(2412),
    [anon_sym_tied] = ACTIONS(2412),
    [anon_sym_uc] = ACTIONS(2412),
    [anon_sym_ucfirst] = ACTIONS(2412),
    [anon_sym_untie] = ACTIONS(2412),
    [anon_sym_umask] = ACTIONS(2412),
    [anon_sym_values] = ACTIONS(2412),
    [anon_sym_write] = ACTIONS(2412),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2412),
    [anon_sym_qq] = ACTIONS(2412),
    [anon_sym_qw] = ACTIONS(2412),
    [anon_sym_qx] = ACTIONS(2412),
    [anon_sym_qr] = ACTIONS(2412),
    [anon_sym_m] = ACTIONS(2412),
    [anon_sym_s] = ACTIONS(2412),
    [anon_sym_tr] = ACTIONS(2412),
    [anon_sym_y] = ACTIONS(2412),
    [aux_sym__bareword_token1] = ACTIONS(2412),
    [sym_number] = ACTIONS(2412),
    [anon_sym_true] = ACTIONS(2412),
    [anon_sym_false] = ACTIONS(2412),
    [sym__single_quote] = ACTIONS(2414),
    [sym__double_quote] = ACTIONS(2414),
    [sym__backtick_quote] = ACTIONS(2414),
    [sym__search_slash_quote] = ACTIONS(2414),
    [sym__open_readline_bracket] = ACTIONS(2414),
    [sym__open_fileglob_bracket] = ACTIONS(2414),
    [sym__PERLY_HEREDOC] = ACTIONS(2414),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2414),
    [sym__filetest] = ACTIONS(2414),
  },
  [1193] = {
    [sym_attribute] = STATE(1225),
    [sym_attribute_name] = STATE(1201),
    [sym_heredoc_content] = STATE(1193),
    [aux_sym_attrlist_repeat1] = STATE(1194),
    [sym__identifier] = ACTIONS(2416),
    [anon_sym_RBRACE] = ACTIONS(2418),
    [anon_sym_COLON] = ACTIONS(2420),
    [anon_sym_SEMI] = ACTIONS(2418),
    [anon_sym_EQ] = ACTIONS(2422),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2418),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2418),
    [anon_sym_COMMA] = ACTIONS(2418),
    [anon_sym_RPAREN] = ACTIONS(2418),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2418),
    [anon_sym_and] = ACTIONS(2422),
    [anon_sym_or] = ACTIONS(2422),
    [anon_sym_xor] = ACTIONS(2422),
    [anon_sym_DASH_GT] = ACTIONS(2418),
    [anon_sym_PERCENT] = ACTIONS(2422),
    [anon_sym_GT] = ACTIONS(2422),
    [anon_sym_LT_LT] = ACTIONS(2422),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2418),
    [anon_sym_PLUS_EQ] = ACTIONS(2418),
    [anon_sym_DASH_EQ] = ACTIONS(2418),
    [anon_sym_DOT_EQ] = ACTIONS(2418),
    [anon_sym_STAR_EQ] = ACTIONS(2418),
    [anon_sym_SLASH_EQ] = ACTIONS(2418),
    [anon_sym_PERCENT_EQ] = ACTIONS(2418),
    [anon_sym_x_EQ] = ACTIONS(2418),
    [anon_sym_AMP_EQ] = ACTIONS(2418),
    [anon_sym_PIPE_EQ] = ACTIONS(2418),
    [anon_sym_CARET_EQ] = ACTIONS(2418),
    [anon_sym_LT_LT_EQ] = ACTIONS(2418),
    [anon_sym_GT_GT_EQ] = ACTIONS(2418),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2418),
    [anon_sym_DOT_DOT] = ACTIONS(2422),
    [anon_sym_STAR_STAR] = ACTIONS(2422),
    [anon_sym_PIPE_PIPE] = ACTIONS(2422),
    [anon_sym_SLASH_SLASH] = ACTIONS(2422),
    [anon_sym_CARET_CARET] = ACTIONS(2418),
    [anon_sym_AMP_AMP] = ACTIONS(2422),
    [anon_sym_PIPE] = ACTIONS(2422),
    [anon_sym_CARET] = ACTIONS(2422),
    [anon_sym_AMP] = ACTIONS(2422),
    [anon_sym_GT_GT2] = ACTIONS(2422),
    [anon_sym_PLUS] = ACTIONS(2422),
    [anon_sym_DASH] = ACTIONS(2422),
    [anon_sym_DOT] = ACTIONS(2422),
    [anon_sym_STAR] = ACTIONS(2422),
    [anon_sym_SLASH] = ACTIONS(2422),
    [anon_sym_x] = ACTIONS(2422),
    [anon_sym_EQ_TILDE] = ACTIONS(2418),
    [anon_sym_BANG_TILDE] = ACTIONS(2418),
    [anon_sym_EQ_EQ] = ACTIONS(2422),
    [anon_sym_BANG_EQ] = ACTIONS(2418),
    [anon_sym_eq] = ACTIONS(2422),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2418),
    [anon_sym_equ] = ACTIONS(2422),
    [anon_sym_eqr] = ACTIONS(2422),
    [anon_sym_ne] = ACTIONS(2422),
    [anon_sym_LT_EQ_GT] = ACTIONS(2418),
    [anon_sym_cmp] = ACTIONS(2422),
    [anon_sym_TILDE_TILDE] = ACTIONS(2418),
    [anon_sym_LT] = ACTIONS(2422),
    [anon_sym_LT_EQ] = ACTIONS(2422),
    [anon_sym_GT_EQ] = ACTIONS(2418),
    [anon_sym_lt] = ACTIONS(2422),
    [anon_sym_le] = ACTIONS(2422),
    [anon_sym_ge] = ACTIONS(2422),
    [anon_sym_gt] = ACTIONS(2422),
    [anon_sym_isa] = ACTIONS(2422),
    [anon_sym_PLUS_PLUS] = ACTIONS(2418),
    [anon_sym_DASH_DASH] = ACTIONS(2418),
    [anon_sym_QMARK] = ACTIONS(2418),
    [anon_sym_EQ_GT] = ACTIONS(2418),
    [anon_sym_for] = ACTIONS(2422),
    [anon_sym_foreach] = ACTIONS(2422),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2422),
    [anon_sym___END__] = ACTIONS(2422),
    [anon_sym_EOT] = ACTIONS(2418),
    [anon_sym_if] = ACTIONS(2422),
    [anon_sym_unless] = ACTIONS(2422),
    [anon_sym_while] = ACTIONS(2422),
    [anon_sym_until] = ACTIONS(2422),
    [aux_sym__bareword_token1] = ACTIONS(2416),
    [sym__PERLY_SEMICOLON] = ACTIONS(2418),
    [sym__ctrl_z_hack] = ACTIONS(2418),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1194] = {
    [sym_attribute] = STATE(1225),
    [sym_attribute_name] = STATE(1201),
    [sym_heredoc_content] = STATE(1194),
    [aux_sym_attrlist_repeat1] = STATE(1195),
    [sym__identifier] = ACTIONS(2416),
    [anon_sym_RBRACE] = ACTIONS(2424),
    [anon_sym_COLON] = ACTIONS(2420),
    [anon_sym_SEMI] = ACTIONS(2424),
    [anon_sym_EQ] = ACTIONS(2426),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2424),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2424),
    [anon_sym_COMMA] = ACTIONS(2424),
    [anon_sym_RPAREN] = ACTIONS(2424),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2424),
    [anon_sym_and] = ACTIONS(2426),
    [anon_sym_or] = ACTIONS(2426),
    [anon_sym_xor] = ACTIONS(2426),
    [anon_sym_DASH_GT] = ACTIONS(2424),
    [anon_sym_PERCENT] = ACTIONS(2426),
    [anon_sym_GT] = ACTIONS(2426),
    [anon_sym_LT_LT] = ACTIONS(2426),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2424),
    [anon_sym_PLUS_EQ] = ACTIONS(2424),
    [anon_sym_DASH_EQ] = ACTIONS(2424),
    [anon_sym_DOT_EQ] = ACTIONS(2424),
    [anon_sym_STAR_EQ] = ACTIONS(2424),
    [anon_sym_SLASH_EQ] = ACTIONS(2424),
    [anon_sym_PERCENT_EQ] = ACTIONS(2424),
    [anon_sym_x_EQ] = ACTIONS(2424),
    [anon_sym_AMP_EQ] = ACTIONS(2424),
    [anon_sym_PIPE_EQ] = ACTIONS(2424),
    [anon_sym_CARET_EQ] = ACTIONS(2424),
    [anon_sym_LT_LT_EQ] = ACTIONS(2424),
    [anon_sym_GT_GT_EQ] = ACTIONS(2424),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2424),
    [anon_sym_DOT_DOT] = ACTIONS(2426),
    [anon_sym_STAR_STAR] = ACTIONS(2426),
    [anon_sym_PIPE_PIPE] = ACTIONS(2426),
    [anon_sym_SLASH_SLASH] = ACTIONS(2426),
    [anon_sym_CARET_CARET] = ACTIONS(2424),
    [anon_sym_AMP_AMP] = ACTIONS(2426),
    [anon_sym_PIPE] = ACTIONS(2426),
    [anon_sym_CARET] = ACTIONS(2426),
    [anon_sym_AMP] = ACTIONS(2426),
    [anon_sym_GT_GT2] = ACTIONS(2426),
    [anon_sym_PLUS] = ACTIONS(2426),
    [anon_sym_DASH] = ACTIONS(2426),
    [anon_sym_DOT] = ACTIONS(2426),
    [anon_sym_STAR] = ACTIONS(2426),
    [anon_sym_SLASH] = ACTIONS(2426),
    [anon_sym_x] = ACTIONS(2426),
    [anon_sym_EQ_TILDE] = ACTIONS(2424),
    [anon_sym_BANG_TILDE] = ACTIONS(2424),
    [anon_sym_EQ_EQ] = ACTIONS(2426),
    [anon_sym_BANG_EQ] = ACTIONS(2424),
    [anon_sym_eq] = ACTIONS(2426),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2424),
    [anon_sym_equ] = ACTIONS(2426),
    [anon_sym_eqr] = ACTIONS(2426),
    [anon_sym_ne] = ACTIONS(2426),
    [anon_sym_LT_EQ_GT] = ACTIONS(2424),
    [anon_sym_cmp] = ACTIONS(2426),
    [anon_sym_TILDE_TILDE] = ACTIONS(2424),
    [anon_sym_LT] = ACTIONS(2426),
    [anon_sym_LT_EQ] = ACTIONS(2426),
    [anon_sym_GT_EQ] = ACTIONS(2424),
    [anon_sym_lt] = ACTIONS(2426),
    [anon_sym_le] = ACTIONS(2426),
    [anon_sym_ge] = ACTIONS(2426),
    [anon_sym_gt] = ACTIONS(2426),
    [anon_sym_isa] = ACTIONS(2426),
    [anon_sym_PLUS_PLUS] = ACTIONS(2424),
    [anon_sym_DASH_DASH] = ACTIONS(2424),
    [anon_sym_QMARK] = ACTIONS(2424),
    [anon_sym_EQ_GT] = ACTIONS(2424),
    [anon_sym_for] = ACTIONS(2426),
    [anon_sym_foreach] = ACTIONS(2426),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2426),
    [anon_sym___END__] = ACTIONS(2426),
    [anon_sym_EOT] = ACTIONS(2424),
    [anon_sym_if] = ACTIONS(2426),
    [anon_sym_unless] = ACTIONS(2426),
    [anon_sym_while] = ACTIONS(2426),
    [anon_sym_until] = ACTIONS(2426),
    [aux_sym__bareword_token1] = ACTIONS(2416),
    [sym__PERLY_SEMICOLON] = ACTIONS(2424),
    [sym__ctrl_z_hack] = ACTIONS(2424),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1195] = {
    [sym_attribute] = STATE(1225),
    [sym_attribute_name] = STATE(1201),
    [sym_heredoc_content] = STATE(1195),
    [aux_sym_attrlist_repeat1] = STATE(1195),
    [sym__identifier] = ACTIONS(2428),
    [anon_sym_RBRACE] = ACTIONS(2431),
    [anon_sym_COLON] = ACTIONS(2433),
    [anon_sym_SEMI] = ACTIONS(2431),
    [anon_sym_EQ] = ACTIONS(2436),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2431),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2431),
    [anon_sym_COMMA] = ACTIONS(2431),
    [anon_sym_RPAREN] = ACTIONS(2431),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2431),
    [anon_sym_and] = ACTIONS(2436),
    [anon_sym_or] = ACTIONS(2436),
    [anon_sym_xor] = ACTIONS(2436),
    [anon_sym_DASH_GT] = ACTIONS(2431),
    [anon_sym_PERCENT] = ACTIONS(2436),
    [anon_sym_GT] = ACTIONS(2436),
    [anon_sym_LT_LT] = ACTIONS(2436),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2431),
    [anon_sym_PLUS_EQ] = ACTIONS(2431),
    [anon_sym_DASH_EQ] = ACTIONS(2431),
    [anon_sym_DOT_EQ] = ACTIONS(2431),
    [anon_sym_STAR_EQ] = ACTIONS(2431),
    [anon_sym_SLASH_EQ] = ACTIONS(2431),
    [anon_sym_PERCENT_EQ] = ACTIONS(2431),
    [anon_sym_x_EQ] = ACTIONS(2431),
    [anon_sym_AMP_EQ] = ACTIONS(2431),
    [anon_sym_PIPE_EQ] = ACTIONS(2431),
    [anon_sym_CARET_EQ] = ACTIONS(2431),
    [anon_sym_LT_LT_EQ] = ACTIONS(2431),
    [anon_sym_GT_GT_EQ] = ACTIONS(2431),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2431),
    [anon_sym_DOT_DOT] = ACTIONS(2436),
    [anon_sym_STAR_STAR] = ACTIONS(2436),
    [anon_sym_PIPE_PIPE] = ACTIONS(2436),
    [anon_sym_SLASH_SLASH] = ACTIONS(2436),
    [anon_sym_CARET_CARET] = ACTIONS(2431),
    [anon_sym_AMP_AMP] = ACTIONS(2436),
    [anon_sym_PIPE] = ACTIONS(2436),
    [anon_sym_CARET] = ACTIONS(2436),
    [anon_sym_AMP] = ACTIONS(2436),
    [anon_sym_GT_GT2] = ACTIONS(2436),
    [anon_sym_PLUS] = ACTIONS(2436),
    [anon_sym_DASH] = ACTIONS(2436),
    [anon_sym_DOT] = ACTIONS(2436),
    [anon_sym_STAR] = ACTIONS(2436),
    [anon_sym_SLASH] = ACTIONS(2436),
    [anon_sym_x] = ACTIONS(2436),
    [anon_sym_EQ_TILDE] = ACTIONS(2431),
    [anon_sym_BANG_TILDE] = ACTIONS(2431),
    [anon_sym_EQ_EQ] = ACTIONS(2436),
    [anon_sym_BANG_EQ] = ACTIONS(2431),
    [anon_sym_eq] = ACTIONS(2436),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2431),
    [anon_sym_equ] = ACTIONS(2436),
    [anon_sym_eqr] = ACTIONS(2436),
    [anon_sym_ne] = ACTIONS(2436),
    [anon_sym_LT_EQ_GT] = ACTIONS(2431),
    [anon_sym_cmp] = ACTIONS(2436),
    [anon_sym_TILDE_TILDE] = ACTIONS(2431),
    [anon_sym_LT] = ACTIONS(2436),
    [anon_sym_LT_EQ] = ACTIONS(2436),
    [anon_sym_GT_EQ] = ACTIONS(2431),
    [anon_sym_lt] = ACTIONS(2436),
    [anon_sym_le] = ACTIONS(2436),
    [anon_sym_ge] = ACTIONS(2436),
    [anon_sym_gt] = ACTIONS(2436),
    [anon_sym_isa] = ACTIONS(2436),
    [anon_sym_PLUS_PLUS] = ACTIONS(2431),
    [anon_sym_DASH_DASH] = ACTIONS(2431),
    [anon_sym_QMARK] = ACTIONS(2431),
    [anon_sym_EQ_GT] = ACTIONS(2431),
    [anon_sym_for] = ACTIONS(2436),
    [anon_sym_foreach] = ACTIONS(2436),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2436),
    [anon_sym___END__] = ACTIONS(2436),
    [anon_sym_EOT] = ACTIONS(2431),
    [anon_sym_if] = ACTIONS(2436),
    [anon_sym_unless] = ACTIONS(2436),
    [anon_sym_while] = ACTIONS(2436),
    [anon_sym_until] = ACTIONS(2436),
    [aux_sym__bareword_token1] = ACTIONS(2428),
    [sym__PERLY_SEMICOLON] = ACTIONS(2431),
    [sym__ctrl_z_hack] = ACTIONS(2431),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1196] = {
    [sym_attrlist] = STATE(1362),
    [sym_attribute] = STATE(1193),
    [sym_attribute_name] = STATE(1201),
    [sym_heredoc_content] = STATE(1196),
    [sym__identifier] = ACTIONS(2416),
    [anon_sym_RBRACE] = ACTIONS(2438),
    [anon_sym_SEMI] = ACTIONS(2438),
    [anon_sym_EQ] = ACTIONS(2440),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2438),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2438),
    [anon_sym_COMMA] = ACTIONS(2438),
    [anon_sym_RPAREN] = ACTIONS(2438),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2438),
    [anon_sym_and] = ACTIONS(2440),
    [anon_sym_or] = ACTIONS(2440),
    [anon_sym_xor] = ACTIONS(2440),
    [anon_sym_DASH_GT] = ACTIONS(2438),
    [anon_sym_PERCENT] = ACTIONS(2440),
    [anon_sym_GT] = ACTIONS(2440),
    [anon_sym_LT_LT] = ACTIONS(2440),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2438),
    [anon_sym_PLUS_EQ] = ACTIONS(2438),
    [anon_sym_DASH_EQ] = ACTIONS(2438),
    [anon_sym_DOT_EQ] = ACTIONS(2438),
    [anon_sym_STAR_EQ] = ACTIONS(2438),
    [anon_sym_SLASH_EQ] = ACTIONS(2438),
    [anon_sym_PERCENT_EQ] = ACTIONS(2438),
    [anon_sym_x_EQ] = ACTIONS(2438),
    [anon_sym_AMP_EQ] = ACTIONS(2438),
    [anon_sym_PIPE_EQ] = ACTIONS(2438),
    [anon_sym_CARET_EQ] = ACTIONS(2438),
    [anon_sym_LT_LT_EQ] = ACTIONS(2438),
    [anon_sym_GT_GT_EQ] = ACTIONS(2438),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2438),
    [anon_sym_DOT_DOT] = ACTIONS(2440),
    [anon_sym_STAR_STAR] = ACTIONS(2440),
    [anon_sym_PIPE_PIPE] = ACTIONS(2440),
    [anon_sym_SLASH_SLASH] = ACTIONS(2440),
    [anon_sym_CARET_CARET] = ACTIONS(2438),
    [anon_sym_AMP_AMP] = ACTIONS(2440),
    [anon_sym_PIPE] = ACTIONS(2440),
    [anon_sym_CARET] = ACTIONS(2440),
    [anon_sym_AMP] = ACTIONS(2440),
    [anon_sym_GT_GT2] = ACTIONS(2440),
    [anon_sym_PLUS] = ACTIONS(2440),
    [anon_sym_DASH] = ACTIONS(2440),
    [anon_sym_DOT] = ACTIONS(2440),
    [anon_sym_STAR] = ACTIONS(2440),
    [anon_sym_SLASH] = ACTIONS(2440),
    [anon_sym_x] = ACTIONS(2440),
    [anon_sym_EQ_TILDE] = ACTIONS(2438),
    [anon_sym_BANG_TILDE] = ACTIONS(2438),
    [anon_sym_EQ_EQ] = ACTIONS(2440),
    [anon_sym_BANG_EQ] = ACTIONS(2438),
    [anon_sym_eq] = ACTIONS(2440),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2438),
    [anon_sym_equ] = ACTIONS(2440),
    [anon_sym_eqr] = ACTIONS(2440),
    [anon_sym_ne] = ACTIONS(2440),
    [anon_sym_LT_EQ_GT] = ACTIONS(2438),
    [anon_sym_cmp] = ACTIONS(2440),
    [anon_sym_TILDE_TILDE] = ACTIONS(2438),
    [anon_sym_LT] = ACTIONS(2440),
    [anon_sym_LT_EQ] = ACTIONS(2440),
    [anon_sym_GT_EQ] = ACTIONS(2438),
    [anon_sym_lt] = ACTIONS(2440),
    [anon_sym_le] = ACTIONS(2440),
    [anon_sym_ge] = ACTIONS(2440),
    [anon_sym_gt] = ACTIONS(2440),
    [anon_sym_isa] = ACTIONS(2440),
    [anon_sym_PLUS_PLUS] = ACTIONS(2438),
    [anon_sym_DASH_DASH] = ACTIONS(2438),
    [anon_sym_QMARK] = ACTIONS(2438),
    [anon_sym_EQ_GT] = ACTIONS(2438),
    [anon_sym_for] = ACTIONS(2440),
    [anon_sym_foreach] = ACTIONS(2440),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2440),
    [anon_sym___END__] = ACTIONS(2440),
    [anon_sym_EOT] = ACTIONS(2438),
    [anon_sym_if] = ACTIONS(2440),
    [anon_sym_unless] = ACTIONS(2440),
    [anon_sym_while] = ACTIONS(2440),
    [anon_sym_until] = ACTIONS(2440),
    [aux_sym__bareword_token1] = ACTIONS(2416),
    [sym__PERLY_SEMICOLON] = ACTIONS(2438),
    [sym__ctrl_z_hack] = ACTIONS(2438),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1197] = {
    [sym_attrlist] = STATE(1363),
    [sym_attribute] = STATE(1193),
    [sym_attribute_name] = STATE(1201),
    [sym_heredoc_content] = STATE(1197),
    [sym__identifier] = ACTIONS(2416),
    [anon_sym_RBRACE] = ACTIONS(2442),
    [anon_sym_SEMI] = ACTIONS(2442),
    [anon_sym_EQ] = ACTIONS(2444),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2442),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2442),
    [anon_sym_COMMA] = ACTIONS(2442),
    [anon_sym_RPAREN] = ACTIONS(2442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2442),
    [anon_sym_and] = ACTIONS(2444),
    [anon_sym_or] = ACTIONS(2444),
    [anon_sym_xor] = ACTIONS(2444),
    [anon_sym_DASH_GT] = ACTIONS(2442),
    [anon_sym_PERCENT] = ACTIONS(2444),
    [anon_sym_GT] = ACTIONS(2444),
    [anon_sym_LT_LT] = ACTIONS(2444),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2442),
    [anon_sym_PLUS_EQ] = ACTIONS(2442),
    [anon_sym_DASH_EQ] = ACTIONS(2442),
    [anon_sym_DOT_EQ] = ACTIONS(2442),
    [anon_sym_STAR_EQ] = ACTIONS(2442),
    [anon_sym_SLASH_EQ] = ACTIONS(2442),
    [anon_sym_PERCENT_EQ] = ACTIONS(2442),
    [anon_sym_x_EQ] = ACTIONS(2442),
    [anon_sym_AMP_EQ] = ACTIONS(2442),
    [anon_sym_PIPE_EQ] = ACTIONS(2442),
    [anon_sym_CARET_EQ] = ACTIONS(2442),
    [anon_sym_LT_LT_EQ] = ACTIONS(2442),
    [anon_sym_GT_GT_EQ] = ACTIONS(2442),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2442),
    [anon_sym_DOT_DOT] = ACTIONS(2444),
    [anon_sym_STAR_STAR] = ACTIONS(2444),
    [anon_sym_PIPE_PIPE] = ACTIONS(2444),
    [anon_sym_SLASH_SLASH] = ACTIONS(2444),
    [anon_sym_CARET_CARET] = ACTIONS(2442),
    [anon_sym_AMP_AMP] = ACTIONS(2444),
    [anon_sym_PIPE] = ACTIONS(2444),
    [anon_sym_CARET] = ACTIONS(2444),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_GT_GT2] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_DOT] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2444),
    [anon_sym_SLASH] = ACTIONS(2444),
    [anon_sym_x] = ACTIONS(2444),
    [anon_sym_EQ_TILDE] = ACTIONS(2442),
    [anon_sym_BANG_TILDE] = ACTIONS(2442),
    [anon_sym_EQ_EQ] = ACTIONS(2444),
    [anon_sym_BANG_EQ] = ACTIONS(2442),
    [anon_sym_eq] = ACTIONS(2444),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2442),
    [anon_sym_equ] = ACTIONS(2444),
    [anon_sym_eqr] = ACTIONS(2444),
    [anon_sym_ne] = ACTIONS(2444),
    [anon_sym_LT_EQ_GT] = ACTIONS(2442),
    [anon_sym_cmp] = ACTIONS(2444),
    [anon_sym_TILDE_TILDE] = ACTIONS(2442),
    [anon_sym_LT] = ACTIONS(2444),
    [anon_sym_LT_EQ] = ACTIONS(2444),
    [anon_sym_GT_EQ] = ACTIONS(2442),
    [anon_sym_lt] = ACTIONS(2444),
    [anon_sym_le] = ACTIONS(2444),
    [anon_sym_ge] = ACTIONS(2444),
    [anon_sym_gt] = ACTIONS(2444),
    [anon_sym_isa] = ACTIONS(2444),
    [anon_sym_PLUS_PLUS] = ACTIONS(2442),
    [anon_sym_DASH_DASH] = ACTIONS(2442),
    [anon_sym_QMARK] = ACTIONS(2442),
    [anon_sym_EQ_GT] = ACTIONS(2442),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_foreach] = ACTIONS(2444),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2444),
    [anon_sym___END__] = ACTIONS(2444),
    [anon_sym_EOT] = ACTIONS(2442),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_unless] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_until] = ACTIONS(2444),
    [aux_sym__bareword_token1] = ACTIONS(2416),
    [sym__PERLY_SEMICOLON] = ACTIONS(2442),
    [sym__ctrl_z_hack] = ACTIONS(2442),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1198] = {
    [sym_heredoc_content] = STATE(1198),
    [sym__identifier] = ACTIONS(2446),
    [anon_sym_RBRACE] = ACTIONS(2448),
    [anon_sym_COLON] = ACTIONS(2446),
    [anon_sym_SEMI] = ACTIONS(2448),
    [anon_sym_EQ] = ACTIONS(2446),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2448),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2448),
    [anon_sym_COMMA] = ACTIONS(2448),
    [anon_sym_RPAREN] = ACTIONS(2448),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2448),
    [anon_sym_and] = ACTIONS(2446),
    [anon_sym_or] = ACTIONS(2446),
    [anon_sym_xor] = ACTIONS(2446),
    [anon_sym_DASH_GT] = ACTIONS(2448),
    [anon_sym_PERCENT] = ACTIONS(2446),
    [anon_sym_GT] = ACTIONS(2446),
    [anon_sym_LT_LT] = ACTIONS(2446),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2448),
    [anon_sym_PLUS_EQ] = ACTIONS(2448),
    [anon_sym_DASH_EQ] = ACTIONS(2448),
    [anon_sym_DOT_EQ] = ACTIONS(2448),
    [anon_sym_STAR_EQ] = ACTIONS(2448),
    [anon_sym_SLASH_EQ] = ACTIONS(2448),
    [anon_sym_PERCENT_EQ] = ACTIONS(2448),
    [anon_sym_x_EQ] = ACTIONS(2448),
    [anon_sym_AMP_EQ] = ACTIONS(2448),
    [anon_sym_PIPE_EQ] = ACTIONS(2448),
    [anon_sym_CARET_EQ] = ACTIONS(2448),
    [anon_sym_LT_LT_EQ] = ACTIONS(2448),
    [anon_sym_GT_GT_EQ] = ACTIONS(2448),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2448),
    [anon_sym_DOT_DOT] = ACTIONS(2446),
    [anon_sym_STAR_STAR] = ACTIONS(2446),
    [anon_sym_PIPE_PIPE] = ACTIONS(2446),
    [anon_sym_SLASH_SLASH] = ACTIONS(2446),
    [anon_sym_CARET_CARET] = ACTIONS(2448),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_PIPE] = ACTIONS(2446),
    [anon_sym_CARET] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2446),
    [anon_sym_GT_GT2] = ACTIONS(2446),
    [anon_sym_PLUS] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2446),
    [anon_sym_DOT] = ACTIONS(2446),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_SLASH] = ACTIONS(2446),
    [anon_sym_x] = ACTIONS(2446),
    [anon_sym_EQ_TILDE] = ACTIONS(2448),
    [anon_sym_BANG_TILDE] = ACTIONS(2448),
    [anon_sym_EQ_EQ] = ACTIONS(2446),
    [anon_sym_BANG_EQ] = ACTIONS(2448),
    [anon_sym_eq] = ACTIONS(2446),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2448),
    [anon_sym_equ] = ACTIONS(2446),
    [anon_sym_eqr] = ACTIONS(2446),
    [anon_sym_ne] = ACTIONS(2446),
    [anon_sym_LT_EQ_GT] = ACTIONS(2448),
    [anon_sym_cmp] = ACTIONS(2446),
    [anon_sym_TILDE_TILDE] = ACTIONS(2448),
    [anon_sym_LT] = ACTIONS(2446),
    [anon_sym_LT_EQ] = ACTIONS(2446),
    [anon_sym_GT_EQ] = ACTIONS(2448),
    [anon_sym_lt] = ACTIONS(2446),
    [anon_sym_le] = ACTIONS(2446),
    [anon_sym_ge] = ACTIONS(2446),
    [anon_sym_gt] = ACTIONS(2446),
    [anon_sym_isa] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2448),
    [anon_sym_DASH_DASH] = ACTIONS(2448),
    [anon_sym_QMARK] = ACTIONS(2448),
    [anon_sym_EQ_GT] = ACTIONS(2448),
    [anon_sym_for] = ACTIONS(2446),
    [anon_sym_foreach] = ACTIONS(2446),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2446),
    [anon_sym___END__] = ACTIONS(2446),
    [anon_sym_EOT] = ACTIONS(2448),
    [anon_sym_if] = ACTIONS(2446),
    [anon_sym_unless] = ACTIONS(2446),
    [anon_sym_while] = ACTIONS(2446),
    [anon_sym_until] = ACTIONS(2446),
    [aux_sym__bareword_token1] = ACTIONS(2446),
    [sym__PERLY_SEMICOLON] = ACTIONS(2448),
    [sym__ctrl_z_hack] = ACTIONS(2448),
    [sym_pod] = ACTIONS(5),
    [sym__attribute_value_begin] = ACTIONS(2448),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1199] = {
    [sym_heredoc_content] = STATE(1199),
    [anon_sym_LBRACE] = ACTIONS(1853),
    [anon_sym_RBRACE] = ACTIONS(1853),
    [anon_sym_COLON] = ACTIONS(1853),
    [anon_sym_SEMI] = ACTIONS(1853),
    [anon_sym_EQ] = ACTIONS(1851),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1853),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1853),
    [anon_sym_COMMA] = ACTIONS(1853),
    [anon_sym_RPAREN] = ACTIONS(1853),
    [anon_sym_LPAREN] = ACTIONS(1853),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1853),
    [anon_sym_and] = ACTIONS(1853),
    [anon_sym_or] = ACTIONS(1853),
    [anon_sym_xor] = ACTIONS(1853),
    [anon_sym_LBRACK] = ACTIONS(1853),
    [anon_sym_DASH_GT] = ACTIONS(1853),
    [anon_sym_PERCENT] = ACTIONS(1851),
    [anon_sym_GT] = ACTIONS(1851),
    [anon_sym_LT_LT] = ACTIONS(1851),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1853),
    [anon_sym_PLUS_EQ] = ACTIONS(1853),
    [anon_sym_DASH_EQ] = ACTIONS(1853),
    [anon_sym_DOT_EQ] = ACTIONS(1853),
    [anon_sym_STAR_EQ] = ACTIONS(1853),
    [anon_sym_SLASH_EQ] = ACTIONS(1853),
    [anon_sym_PERCENT_EQ] = ACTIONS(1853),
    [anon_sym_x_EQ] = ACTIONS(1853),
    [anon_sym_AMP_EQ] = ACTIONS(1853),
    [anon_sym_PIPE_EQ] = ACTIONS(1853),
    [anon_sym_CARET_EQ] = ACTIONS(1853),
    [anon_sym_LT_LT_EQ] = ACTIONS(1853),
    [anon_sym_GT_GT_EQ] = ACTIONS(1853),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1853),
    [anon_sym_DOT_DOT] = ACTIONS(1851),
    [anon_sym_STAR_STAR] = ACTIONS(1851),
    [anon_sym_PIPE_PIPE] = ACTIONS(1851),
    [anon_sym_SLASH_SLASH] = ACTIONS(1851),
    [anon_sym_CARET_CARET] = ACTIONS(1853),
    [anon_sym_AMP_AMP] = ACTIONS(1851),
    [anon_sym_PIPE] = ACTIONS(1851),
    [anon_sym_CARET] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym_GT_GT2] = ACTIONS(1851),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_DOT] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_SLASH] = ACTIONS(1851),
    [anon_sym_x] = ACTIONS(1851),
    [anon_sym_EQ_TILDE] = ACTIONS(1853),
    [anon_sym_BANG_TILDE] = ACTIONS(1853),
    [anon_sym_EQ_EQ] = ACTIONS(1851),
    [anon_sym_BANG_EQ] = ACTIONS(1853),
    [anon_sym_eq] = ACTIONS(1851),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1853),
    [anon_sym_equ] = ACTIONS(1853),
    [anon_sym_eqr] = ACTIONS(1853),
    [anon_sym_ne] = ACTIONS(1853),
    [anon_sym_LT_EQ_GT] = ACTIONS(1853),
    [anon_sym_cmp] = ACTIONS(1853),
    [anon_sym_TILDE_TILDE] = ACTIONS(1853),
    [anon_sym_LT] = ACTIONS(1851),
    [anon_sym_LT_EQ] = ACTIONS(1851),
    [anon_sym_GT_EQ] = ACTIONS(1853),
    [anon_sym_lt] = ACTIONS(1853),
    [anon_sym_le] = ACTIONS(1853),
    [anon_sym_ge] = ACTIONS(1853),
    [anon_sym_gt] = ACTIONS(1853),
    [anon_sym_isa] = ACTIONS(1853),
    [anon_sym_PLUS_PLUS] = ACTIONS(1853),
    [anon_sym_DASH_DASH] = ACTIONS(1853),
    [anon_sym_QMARK] = ACTIONS(1853),
    [anon_sym_EQ_GT] = ACTIONS(1853),
    [anon_sym_for] = ACTIONS(1851),
    [anon_sym_foreach] = ACTIONS(1853),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(1853),
    [anon_sym___END__] = ACTIONS(1853),
    [anon_sym_EOT] = ACTIONS(1853),
    [anon_sym_if] = ACTIONS(1853),
    [anon_sym_unless] = ACTIONS(1853),
    [anon_sym_while] = ACTIONS(1853),
    [anon_sym_until] = ACTIONS(1853),
    [sym__PERLY_SEMICOLON] = ACTIONS(1853),
    [sym__ctrl_z_hack] = ACTIONS(1853),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1200] = {
    [sym_heredoc_content] = STATE(1200),
    [anon_sym_LBRACE] = ACTIONS(1857),
    [anon_sym_RBRACE] = ACTIONS(1857),
    [anon_sym_COLON] = ACTIONS(1857),
    [anon_sym_SEMI] = ACTIONS(1857),
    [anon_sym_EQ] = ACTIONS(1855),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1857),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1857),
    [anon_sym_COMMA] = ACTIONS(1857),
    [anon_sym_RPAREN] = ACTIONS(1857),
    [anon_sym_LPAREN] = ACTIONS(1857),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1857),
    [anon_sym_and] = ACTIONS(1857),
    [anon_sym_or] = ACTIONS(1857),
    [anon_sym_xor] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(1857),
    [anon_sym_DASH_GT] = ACTIONS(1857),
    [anon_sym_PERCENT] = ACTIONS(1855),
    [anon_sym_GT] = ACTIONS(1855),
    [anon_sym_LT_LT] = ACTIONS(1855),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1857),
    [anon_sym_PLUS_EQ] = ACTIONS(1857),
    [anon_sym_DASH_EQ] = ACTIONS(1857),
    [anon_sym_DOT_EQ] = ACTIONS(1857),
    [anon_sym_STAR_EQ] = ACTIONS(1857),
    [anon_sym_SLASH_EQ] = ACTIONS(1857),
    [anon_sym_PERCENT_EQ] = ACTIONS(1857),
    [anon_sym_x_EQ] = ACTIONS(1857),
    [anon_sym_AMP_EQ] = ACTIONS(1857),
    [anon_sym_PIPE_EQ] = ACTIONS(1857),
    [anon_sym_CARET_EQ] = ACTIONS(1857),
    [anon_sym_LT_LT_EQ] = ACTIONS(1857),
    [anon_sym_GT_GT_EQ] = ACTIONS(1857),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1857),
    [anon_sym_DOT_DOT] = ACTIONS(1855),
    [anon_sym_STAR_STAR] = ACTIONS(1855),
    [anon_sym_PIPE_PIPE] = ACTIONS(1855),
    [anon_sym_SLASH_SLASH] = ACTIONS(1855),
    [anon_sym_CARET_CARET] = ACTIONS(1857),
    [anon_sym_AMP_AMP] = ACTIONS(1855),
    [anon_sym_PIPE] = ACTIONS(1855),
    [anon_sym_CARET] = ACTIONS(1855),
    [anon_sym_AMP] = ACTIONS(1855),
    [anon_sym_GT_GT2] = ACTIONS(1855),
    [anon_sym_PLUS] = ACTIONS(1855),
    [anon_sym_DASH] = ACTIONS(1855),
    [anon_sym_DOT] = ACTIONS(1855),
    [anon_sym_STAR] = ACTIONS(1855),
    [anon_sym_SLASH] = ACTIONS(1855),
    [anon_sym_x] = ACTIONS(1855),
    [anon_sym_EQ_TILDE] = ACTIONS(1857),
    [anon_sym_BANG_TILDE] = ACTIONS(1857),
    [anon_sym_EQ_EQ] = ACTIONS(1855),
    [anon_sym_BANG_EQ] = ACTIONS(1857),
    [anon_sym_eq] = ACTIONS(1855),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1857),
    [anon_sym_equ] = ACTIONS(1857),
    [anon_sym_eqr] = ACTIONS(1857),
    [anon_sym_ne] = ACTIONS(1857),
    [anon_sym_LT_EQ_GT] = ACTIONS(1857),
    [anon_sym_cmp] = ACTIONS(1857),
    [anon_sym_TILDE_TILDE] = ACTIONS(1857),
    [anon_sym_LT] = ACTIONS(1855),
    [anon_sym_LT_EQ] = ACTIONS(1855),
    [anon_sym_GT_EQ] = ACTIONS(1857),
    [anon_sym_lt] = ACTIONS(1857),
    [anon_sym_le] = ACTIONS(1857),
    [anon_sym_ge] = ACTIONS(1857),
    [anon_sym_gt] = ACTIONS(1857),
    [anon_sym_isa] = ACTIONS(1857),
    [anon_sym_PLUS_PLUS] = ACTIONS(1857),
    [anon_sym_DASH_DASH] = ACTIONS(1857),
    [anon_sym_QMARK] = ACTIONS(1857),
    [anon_sym_EQ_GT] = ACTIONS(1857),
    [anon_sym_for] = ACTIONS(1855),
    [anon_sym_foreach] = ACTIONS(1857),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(1857),
    [anon_sym___END__] = ACTIONS(1857),
    [anon_sym_EOT] = ACTIONS(1857),
    [anon_sym_if] = ACTIONS(1857),
    [anon_sym_unless] = ACTIONS(1857),
    [anon_sym_while] = ACTIONS(1857),
    [anon_sym_until] = ACTIONS(1857),
    [sym__PERLY_SEMICOLON] = ACTIONS(1857),
    [sym__ctrl_z_hack] = ACTIONS(1857),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1201] = {
    [sym_heredoc_content] = STATE(1201),
    [sym__identifier] = ACTIONS(2450),
    [anon_sym_RBRACE] = ACTIONS(2452),
    [anon_sym_COLON] = ACTIONS(2450),
    [anon_sym_SEMI] = ACTIONS(2452),
    [anon_sym_EQ] = ACTIONS(2450),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2452),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2452),
    [anon_sym_COMMA] = ACTIONS(2452),
    [anon_sym_RPAREN] = ACTIONS(2452),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2452),
    [anon_sym_and] = ACTIONS(2450),
    [anon_sym_or] = ACTIONS(2450),
    [anon_sym_xor] = ACTIONS(2450),
    [anon_sym_DASH_GT] = ACTIONS(2452),
    [anon_sym_PERCENT] = ACTIONS(2450),
    [anon_sym_GT] = ACTIONS(2450),
    [anon_sym_LT_LT] = ACTIONS(2450),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2452),
    [anon_sym_PLUS_EQ] = ACTIONS(2452),
    [anon_sym_DASH_EQ] = ACTIONS(2452),
    [anon_sym_DOT_EQ] = ACTIONS(2452),
    [anon_sym_STAR_EQ] = ACTIONS(2452),
    [anon_sym_SLASH_EQ] = ACTIONS(2452),
    [anon_sym_PERCENT_EQ] = ACTIONS(2452),
    [anon_sym_x_EQ] = ACTIONS(2452),
    [anon_sym_AMP_EQ] = ACTIONS(2452),
    [anon_sym_PIPE_EQ] = ACTIONS(2452),
    [anon_sym_CARET_EQ] = ACTIONS(2452),
    [anon_sym_LT_LT_EQ] = ACTIONS(2452),
    [anon_sym_GT_GT_EQ] = ACTIONS(2452),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2452),
    [anon_sym_DOT_DOT] = ACTIONS(2450),
    [anon_sym_STAR_STAR] = ACTIONS(2450),
    [anon_sym_PIPE_PIPE] = ACTIONS(2450),
    [anon_sym_SLASH_SLASH] = ACTIONS(2450),
    [anon_sym_CARET_CARET] = ACTIONS(2452),
    [anon_sym_AMP_AMP] = ACTIONS(2450),
    [anon_sym_PIPE] = ACTIONS(2450),
    [anon_sym_CARET] = ACTIONS(2450),
    [anon_sym_AMP] = ACTIONS(2450),
    [anon_sym_GT_GT2] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_DOT] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2450),
    [anon_sym_SLASH] = ACTIONS(2450),
    [anon_sym_x] = ACTIONS(2450),
    [anon_sym_EQ_TILDE] = ACTIONS(2452),
    [anon_sym_BANG_TILDE] = ACTIONS(2452),
    [anon_sym_EQ_EQ] = ACTIONS(2450),
    [anon_sym_BANG_EQ] = ACTIONS(2452),
    [anon_sym_eq] = ACTIONS(2450),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2452),
    [anon_sym_equ] = ACTIONS(2450),
    [anon_sym_eqr] = ACTIONS(2450),
    [anon_sym_ne] = ACTIONS(2450),
    [anon_sym_LT_EQ_GT] = ACTIONS(2452),
    [anon_sym_cmp] = ACTIONS(2450),
    [anon_sym_TILDE_TILDE] = ACTIONS(2452),
    [anon_sym_LT] = ACTIONS(2450),
    [anon_sym_LT_EQ] = ACTIONS(2450),
    [anon_sym_GT_EQ] = ACTIONS(2452),
    [anon_sym_lt] = ACTIONS(2450),
    [anon_sym_le] = ACTIONS(2450),
    [anon_sym_ge] = ACTIONS(2450),
    [anon_sym_gt] = ACTIONS(2450),
    [anon_sym_isa] = ACTIONS(2450),
    [anon_sym_PLUS_PLUS] = ACTIONS(2452),
    [anon_sym_DASH_DASH] = ACTIONS(2452),
    [anon_sym_QMARK] = ACTIONS(2452),
    [anon_sym_EQ_GT] = ACTIONS(2452),
    [anon_sym_for] = ACTIONS(2450),
    [anon_sym_foreach] = ACTIONS(2450),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2450),
    [anon_sym___END__] = ACTIONS(2450),
    [anon_sym_EOT] = ACTIONS(2452),
    [anon_sym_if] = ACTIONS(2450),
    [anon_sym_unless] = ACTIONS(2450),
    [anon_sym_while] = ACTIONS(2450),
    [anon_sym_until] = ACTIONS(2450),
    [aux_sym__bareword_token1] = ACTIONS(2450),
    [sym__PERLY_SEMICOLON] = ACTIONS(2452),
    [sym__ctrl_z_hack] = ACTIONS(2452),
    [sym_pod] = ACTIONS(5),
    [sym__attribute_value_begin] = ACTIONS(2454),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1202] = {
    [sym_heredoc_content] = STATE(1202),
    [anon_sym_LBRACE] = ACTIONS(2456),
    [anon_sym_RBRACE] = ACTIONS(1849),
    [anon_sym_SEMI] = ACTIONS(1849),
    [anon_sym_EQ] = ACTIONS(1840),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1849),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1849),
    [anon_sym_COMMA] = ACTIONS(1849),
    [anon_sym_RPAREN] = ACTIONS(1849),
    [anon_sym_LPAREN] = ACTIONS(2458),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1849),
    [anon_sym_and] = ACTIONS(1849),
    [anon_sym_or] = ACTIONS(1849),
    [anon_sym_xor] = ACTIONS(1849),
    [anon_sym_LBRACK] = ACTIONS(2460),
    [anon_sym_DASH_GT] = ACTIONS(1849),
    [anon_sym_PERCENT] = ACTIONS(1840),
    [anon_sym_GT] = ACTIONS(1840),
    [anon_sym_LT_LT] = ACTIONS(1840),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1849),
    [anon_sym_PLUS_EQ] = ACTIONS(1849),
    [anon_sym_DASH_EQ] = ACTIONS(1849),
    [anon_sym_DOT_EQ] = ACTIONS(1849),
    [anon_sym_STAR_EQ] = ACTIONS(1849),
    [anon_sym_SLASH_EQ] = ACTIONS(1849),
    [anon_sym_PERCENT_EQ] = ACTIONS(1849),
    [anon_sym_x_EQ] = ACTIONS(1849),
    [anon_sym_AMP_EQ] = ACTIONS(1849),
    [anon_sym_PIPE_EQ] = ACTIONS(1849),
    [anon_sym_CARET_EQ] = ACTIONS(1849),
    [anon_sym_LT_LT_EQ] = ACTIONS(1849),
    [anon_sym_GT_GT_EQ] = ACTIONS(1849),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1849),
    [anon_sym_DOT_DOT] = ACTIONS(1840),
    [anon_sym_STAR_STAR] = ACTIONS(1840),
    [anon_sym_PIPE_PIPE] = ACTIONS(1840),
    [anon_sym_SLASH_SLASH] = ACTIONS(1840),
    [anon_sym_CARET_CARET] = ACTIONS(1849),
    [anon_sym_AMP_AMP] = ACTIONS(1840),
    [anon_sym_PIPE] = ACTIONS(1840),
    [anon_sym_CARET] = ACTIONS(1840),
    [anon_sym_AMP] = ACTIONS(1840),
    [anon_sym_GT_GT2] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_DOT] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1840),
    [anon_sym_SLASH] = ACTIONS(1840),
    [anon_sym_x] = ACTIONS(1840),
    [anon_sym_EQ_TILDE] = ACTIONS(1849),
    [anon_sym_BANG_TILDE] = ACTIONS(1849),
    [anon_sym_EQ_EQ] = ACTIONS(1840),
    [anon_sym_BANG_EQ] = ACTIONS(1849),
    [anon_sym_eq] = ACTIONS(1840),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1849),
    [anon_sym_equ] = ACTIONS(1849),
    [anon_sym_eqr] = ACTIONS(1849),
    [anon_sym_ne] = ACTIONS(1849),
    [anon_sym_LT_EQ_GT] = ACTIONS(1849),
    [anon_sym_cmp] = ACTIONS(1849),
    [anon_sym_TILDE_TILDE] = ACTIONS(1849),
    [anon_sym_LT] = ACTIONS(1840),
    [anon_sym_LT_EQ] = ACTIONS(1840),
    [anon_sym_GT_EQ] = ACTIONS(1849),
    [anon_sym_lt] = ACTIONS(1849),
    [anon_sym_le] = ACTIONS(1849),
    [anon_sym_ge] = ACTIONS(1849),
    [anon_sym_gt] = ACTIONS(1849),
    [anon_sym_isa] = ACTIONS(1849),
    [anon_sym_PLUS_PLUS] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1849),
    [anon_sym_QMARK] = ACTIONS(1849),
    [anon_sym_EQ_GT] = ACTIONS(1849),
    [anon_sym_for] = ACTIONS(1840),
    [anon_sym_foreach] = ACTIONS(1849),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(1849),
    [anon_sym___END__] = ACTIONS(1849),
    [anon_sym_EOT] = ACTIONS(1849),
    [anon_sym_if] = ACTIONS(1849),
    [anon_sym_unless] = ACTIONS(1849),
    [anon_sym_while] = ACTIONS(1849),
    [anon_sym_until] = ACTIONS(1849),
    [sym__PERLY_SEMICOLON] = ACTIONS(1849),
    [sym__ctrl_z_hack] = ACTIONS(1849),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1203] = {
    [sym_heredoc_content] = STATE(1203),
    [anon_sym_LBRACE] = ACTIONS(2462),
    [anon_sym_RBRACE] = ACTIONS(2462),
    [anon_sym_SEMI] = ACTIONS(2462),
    [anon_sym_EQ] = ACTIONS(2464),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2462),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2462),
    [anon_sym_COMMA] = ACTIONS(2462),
    [anon_sym_RPAREN] = ACTIONS(2462),
    [anon_sym_LPAREN] = ACTIONS(2462),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2462),
    [anon_sym_and] = ACTIONS(2462),
    [anon_sym_or] = ACTIONS(2462),
    [anon_sym_xor] = ACTIONS(2462),
    [anon_sym_LBRACK] = ACTIONS(2462),
    [anon_sym_DASH_GT] = ACTIONS(2462),
    [anon_sym_PERCENT] = ACTIONS(2464),
    [anon_sym_GT] = ACTIONS(2464),
    [anon_sym_LT_LT] = ACTIONS(2464),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2462),
    [anon_sym_PLUS_EQ] = ACTIONS(2462),
    [anon_sym_DASH_EQ] = ACTIONS(2462),
    [anon_sym_DOT_EQ] = ACTIONS(2462),
    [anon_sym_STAR_EQ] = ACTIONS(2462),
    [anon_sym_SLASH_EQ] = ACTIONS(2462),
    [anon_sym_PERCENT_EQ] = ACTIONS(2462),
    [anon_sym_x_EQ] = ACTIONS(2462),
    [anon_sym_AMP_EQ] = ACTIONS(2462),
    [anon_sym_PIPE_EQ] = ACTIONS(2462),
    [anon_sym_CARET_EQ] = ACTIONS(2462),
    [anon_sym_LT_LT_EQ] = ACTIONS(2462),
    [anon_sym_GT_GT_EQ] = ACTIONS(2462),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2462),
    [anon_sym_DOT_DOT] = ACTIONS(2464),
    [anon_sym_STAR_STAR] = ACTIONS(2464),
    [anon_sym_PIPE_PIPE] = ACTIONS(2464),
    [anon_sym_SLASH_SLASH] = ACTIONS(2464),
    [anon_sym_CARET_CARET] = ACTIONS(2462),
    [anon_sym_AMP_AMP] = ACTIONS(2464),
    [anon_sym_PIPE] = ACTIONS(2464),
    [anon_sym_CARET] = ACTIONS(2464),
    [anon_sym_AMP] = ACTIONS(2464),
    [anon_sym_GT_GT2] = ACTIONS(2464),
    [anon_sym_PLUS] = ACTIONS(2464),
    [anon_sym_DASH] = ACTIONS(2464),
    [anon_sym_DOT] = ACTIONS(2464),
    [anon_sym_STAR] = ACTIONS(2464),
    [anon_sym_SLASH] = ACTIONS(2464),
    [anon_sym_x] = ACTIONS(2464),
    [anon_sym_EQ_TILDE] = ACTIONS(2462),
    [anon_sym_BANG_TILDE] = ACTIONS(2462),
    [anon_sym_EQ_EQ] = ACTIONS(2464),
    [anon_sym_BANG_EQ] = ACTIONS(2462),
    [anon_sym_eq] = ACTIONS(2464),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2462),
    [anon_sym_equ] = ACTIONS(2462),
    [anon_sym_eqr] = ACTIONS(2462),
    [anon_sym_ne] = ACTIONS(2462),
    [anon_sym_LT_EQ_GT] = ACTIONS(2462),
    [anon_sym_cmp] = ACTIONS(2462),
    [anon_sym_TILDE_TILDE] = ACTIONS(2462),
    [anon_sym_LT] = ACTIONS(2464),
    [anon_sym_LT_EQ] = ACTIONS(2464),
    [anon_sym_GT_EQ] = ACTIONS(2462),
    [anon_sym_lt] = ACTIONS(2462),
    [anon_sym_le] = ACTIONS(2462),
    [anon_sym_ge] = ACTIONS(2462),
    [anon_sym_gt] = ACTIONS(2462),
    [anon_sym_isa] = ACTIONS(2462),
    [anon_sym_PLUS_PLUS] = ACTIONS(2462),
    [anon_sym_DASH_DASH] = ACTIONS(2462),
    [anon_sym_QMARK] = ACTIONS(2462),
    [anon_sym_EQ_GT] = ACTIONS(2462),
    [anon_sym_for] = ACTIONS(2464),
    [anon_sym_foreach] = ACTIONS(2462),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2462),
    [anon_sym___END__] = ACTIONS(2462),
    [anon_sym_EOT] = ACTIONS(2462),
    [anon_sym_if] = ACTIONS(2462),
    [anon_sym_unless] = ACTIONS(2462),
    [anon_sym_while] = ACTIONS(2462),
    [anon_sym_until] = ACTIONS(2462),
    [sym__PERLY_SEMICOLON] = ACTIONS(2462),
    [sym__ctrl_z_hack] = ACTIONS(2462),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1204] = {
    [sym_heredoc_content] = STATE(1204),
    [anon_sym_LBRACE] = ACTIONS(2466),
    [anon_sym_RBRACE] = ACTIONS(2466),
    [anon_sym_SEMI] = ACTIONS(2466),
    [anon_sym_EQ] = ACTIONS(2468),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2466),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2466),
    [anon_sym_COMMA] = ACTIONS(2466),
    [anon_sym_RPAREN] = ACTIONS(2466),
    [anon_sym_LPAREN] = ACTIONS(2466),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2466),
    [anon_sym_and] = ACTIONS(2466),
    [anon_sym_or] = ACTIONS(2466),
    [anon_sym_xor] = ACTIONS(2466),
    [anon_sym_LBRACK] = ACTIONS(2466),
    [anon_sym_DASH_GT] = ACTIONS(2466),
    [anon_sym_PERCENT] = ACTIONS(2468),
    [anon_sym_GT] = ACTIONS(2468),
    [anon_sym_LT_LT] = ACTIONS(2468),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2466),
    [anon_sym_PLUS_EQ] = ACTIONS(2466),
    [anon_sym_DASH_EQ] = ACTIONS(2466),
    [anon_sym_DOT_EQ] = ACTIONS(2466),
    [anon_sym_STAR_EQ] = ACTIONS(2466),
    [anon_sym_SLASH_EQ] = ACTIONS(2466),
    [anon_sym_PERCENT_EQ] = ACTIONS(2466),
    [anon_sym_x_EQ] = ACTIONS(2466),
    [anon_sym_AMP_EQ] = ACTIONS(2466),
    [anon_sym_PIPE_EQ] = ACTIONS(2466),
    [anon_sym_CARET_EQ] = ACTIONS(2466),
    [anon_sym_LT_LT_EQ] = ACTIONS(2466),
    [anon_sym_GT_GT_EQ] = ACTIONS(2466),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2466),
    [anon_sym_DOT_DOT] = ACTIONS(2468),
    [anon_sym_STAR_STAR] = ACTIONS(2468),
    [anon_sym_PIPE_PIPE] = ACTIONS(2468),
    [anon_sym_SLASH_SLASH] = ACTIONS(2468),
    [anon_sym_CARET_CARET] = ACTIONS(2466),
    [anon_sym_AMP_AMP] = ACTIONS(2468),
    [anon_sym_PIPE] = ACTIONS(2468),
    [anon_sym_CARET] = ACTIONS(2468),
    [anon_sym_AMP] = ACTIONS(2468),
    [anon_sym_GT_GT2] = ACTIONS(2468),
    [anon_sym_PLUS] = ACTIONS(2468),
    [anon_sym_DASH] = ACTIONS(2468),
    [anon_sym_DOT] = ACTIONS(2468),
    [anon_sym_STAR] = ACTIONS(2468),
    [anon_sym_SLASH] = ACTIONS(2468),
    [anon_sym_x] = ACTIONS(2468),
    [anon_sym_EQ_TILDE] = ACTIONS(2466),
    [anon_sym_BANG_TILDE] = ACTIONS(2466),
    [anon_sym_EQ_EQ] = ACTIONS(2468),
    [anon_sym_BANG_EQ] = ACTIONS(2466),
    [anon_sym_eq] = ACTIONS(2468),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2466),
    [anon_sym_equ] = ACTIONS(2466),
    [anon_sym_eqr] = ACTIONS(2466),
    [anon_sym_ne] = ACTIONS(2466),
    [anon_sym_LT_EQ_GT] = ACTIONS(2466),
    [anon_sym_cmp] = ACTIONS(2466),
    [anon_sym_TILDE_TILDE] = ACTIONS(2466),
    [anon_sym_LT] = ACTIONS(2468),
    [anon_sym_LT_EQ] = ACTIONS(2468),
    [anon_sym_GT_EQ] = ACTIONS(2466),
    [anon_sym_lt] = ACTIONS(2466),
    [anon_sym_le] = ACTIONS(2466),
    [anon_sym_ge] = ACTIONS(2466),
    [anon_sym_gt] = ACTIONS(2466),
    [anon_sym_isa] = ACTIONS(2466),
    [anon_sym_PLUS_PLUS] = ACTIONS(2466),
    [anon_sym_DASH_DASH] = ACTIONS(2466),
    [anon_sym_QMARK] = ACTIONS(2466),
    [anon_sym_EQ_GT] = ACTIONS(2466),
    [anon_sym_for] = ACTIONS(2468),
    [anon_sym_foreach] = ACTIONS(2466),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2466),
    [anon_sym___END__] = ACTIONS(2466),
    [anon_sym_EOT] = ACTIONS(2466),
    [anon_sym_if] = ACTIONS(2466),
    [anon_sym_unless] = ACTIONS(2466),
    [anon_sym_while] = ACTIONS(2466),
    [anon_sym_until] = ACTIONS(2466),
    [sym__PERLY_SEMICOLON] = ACTIONS(2466),
    [sym__ctrl_z_hack] = ACTIONS(2466),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1205] = {
    [sym_heredoc_content] = STATE(1205),
    [sym__identifier] = ACTIONS(2436),
    [anon_sym_RBRACE] = ACTIONS(2431),
    [anon_sym_COLON] = ACTIONS(2436),
    [anon_sym_SEMI] = ACTIONS(2431),
    [anon_sym_EQ] = ACTIONS(2436),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2431),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2431),
    [anon_sym_COMMA] = ACTIONS(2431),
    [anon_sym_RPAREN] = ACTIONS(2431),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2431),
    [anon_sym_and] = ACTIONS(2436),
    [anon_sym_or] = ACTIONS(2436),
    [anon_sym_xor] = ACTIONS(2436),
    [anon_sym_DASH_GT] = ACTIONS(2431),
    [anon_sym_PERCENT] = ACTIONS(2436),
    [anon_sym_GT] = ACTIONS(2436),
    [anon_sym_LT_LT] = ACTIONS(2436),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2431),
    [anon_sym_PLUS_EQ] = ACTIONS(2431),
    [anon_sym_DASH_EQ] = ACTIONS(2431),
    [anon_sym_DOT_EQ] = ACTIONS(2431),
    [anon_sym_STAR_EQ] = ACTIONS(2431),
    [anon_sym_SLASH_EQ] = ACTIONS(2431),
    [anon_sym_PERCENT_EQ] = ACTIONS(2431),
    [anon_sym_x_EQ] = ACTIONS(2431),
    [anon_sym_AMP_EQ] = ACTIONS(2431),
    [anon_sym_PIPE_EQ] = ACTIONS(2431),
    [anon_sym_CARET_EQ] = ACTIONS(2431),
    [anon_sym_LT_LT_EQ] = ACTIONS(2431),
    [anon_sym_GT_GT_EQ] = ACTIONS(2431),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2431),
    [anon_sym_DOT_DOT] = ACTIONS(2436),
    [anon_sym_STAR_STAR] = ACTIONS(2436),
    [anon_sym_PIPE_PIPE] = ACTIONS(2436),
    [anon_sym_SLASH_SLASH] = ACTIONS(2436),
    [anon_sym_CARET_CARET] = ACTIONS(2431),
    [anon_sym_AMP_AMP] = ACTIONS(2436),
    [anon_sym_PIPE] = ACTIONS(2436),
    [anon_sym_CARET] = ACTIONS(2436),
    [anon_sym_AMP] = ACTIONS(2436),
    [anon_sym_GT_GT2] = ACTIONS(2436),
    [anon_sym_PLUS] = ACTIONS(2436),
    [anon_sym_DASH] = ACTIONS(2436),
    [anon_sym_DOT] = ACTIONS(2436),
    [anon_sym_STAR] = ACTIONS(2436),
    [anon_sym_SLASH] = ACTIONS(2436),
    [anon_sym_x] = ACTIONS(2436),
    [anon_sym_EQ_TILDE] = ACTIONS(2431),
    [anon_sym_BANG_TILDE] = ACTIONS(2431),
    [anon_sym_EQ_EQ] = ACTIONS(2436),
    [anon_sym_BANG_EQ] = ACTIONS(2431),
    [anon_sym_eq] = ACTIONS(2436),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2431),
    [anon_sym_equ] = ACTIONS(2436),
    [anon_sym_eqr] = ACTIONS(2436),
    [anon_sym_ne] = ACTIONS(2436),
    [anon_sym_LT_EQ_GT] = ACTIONS(2431),
    [anon_sym_cmp] = ACTIONS(2436),
    [anon_sym_TILDE_TILDE] = ACTIONS(2431),
    [anon_sym_LT] = ACTIONS(2436),
    [anon_sym_LT_EQ] = ACTIONS(2436),
    [anon_sym_GT_EQ] = ACTIONS(2431),
    [anon_sym_lt] = ACTIONS(2436),
    [anon_sym_le] = ACTIONS(2436),
    [anon_sym_ge] = ACTIONS(2436),
    [anon_sym_gt] = ACTIONS(2436),
    [anon_sym_isa] = ACTIONS(2436),
    [anon_sym_PLUS_PLUS] = ACTIONS(2431),
    [anon_sym_DASH_DASH] = ACTIONS(2431),
    [anon_sym_QMARK] = ACTIONS(2431),
    [anon_sym_EQ_GT] = ACTIONS(2431),
    [anon_sym_for] = ACTIONS(2436),
    [anon_sym_foreach] = ACTIONS(2436),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2436),
    [anon_sym___END__] = ACTIONS(2436),
    [anon_sym_EOT] = ACTIONS(2431),
    [anon_sym_if] = ACTIONS(2436),
    [anon_sym_unless] = ACTIONS(2436),
    [anon_sym_while] = ACTIONS(2436),
    [anon_sym_until] = ACTIONS(2436),
    [aux_sym__bareword_token1] = ACTIONS(2436),
    [sym__PERLY_SEMICOLON] = ACTIONS(2431),
    [sym__ctrl_z_hack] = ACTIONS(2431),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1206] = {
    [sym_heredoc_content] = STATE(1206),
    [anon_sym_LBRACE] = ACTIONS(1865),
    [anon_sym_RBRACE] = ACTIONS(1865),
    [anon_sym_SEMI] = ACTIONS(1865),
    [anon_sym_EQ] = ACTIONS(1863),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1865),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1865),
    [anon_sym_COMMA] = ACTIONS(1865),
    [anon_sym_RPAREN] = ACTIONS(1865),
    [anon_sym_LPAREN] = ACTIONS(1865),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1865),
    [anon_sym_and] = ACTIONS(1865),
    [anon_sym_or] = ACTIONS(1865),
    [anon_sym_xor] = ACTIONS(1865),
    [anon_sym_LBRACK] = ACTIONS(1865),
    [anon_sym_DASH_GT] = ACTIONS(1865),
    [anon_sym_PERCENT] = ACTIONS(1863),
    [anon_sym_GT] = ACTIONS(1863),
    [anon_sym_LT_LT] = ACTIONS(1863),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1865),
    [anon_sym_PLUS_EQ] = ACTIONS(1865),
    [anon_sym_DASH_EQ] = ACTIONS(1865),
    [anon_sym_DOT_EQ] = ACTIONS(1865),
    [anon_sym_STAR_EQ] = ACTIONS(1865),
    [anon_sym_SLASH_EQ] = ACTIONS(1865),
    [anon_sym_PERCENT_EQ] = ACTIONS(1865),
    [anon_sym_x_EQ] = ACTIONS(1865),
    [anon_sym_AMP_EQ] = ACTIONS(1865),
    [anon_sym_PIPE_EQ] = ACTIONS(1865),
    [anon_sym_CARET_EQ] = ACTIONS(1865),
    [anon_sym_LT_LT_EQ] = ACTIONS(1865),
    [anon_sym_GT_GT_EQ] = ACTIONS(1865),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1865),
    [anon_sym_DOT_DOT] = ACTIONS(1863),
    [anon_sym_STAR_STAR] = ACTIONS(1863),
    [anon_sym_PIPE_PIPE] = ACTIONS(1863),
    [anon_sym_SLASH_SLASH] = ACTIONS(1863),
    [anon_sym_CARET_CARET] = ACTIONS(1865),
    [anon_sym_AMP_AMP] = ACTIONS(1863),
    [anon_sym_PIPE] = ACTIONS(1863),
    [anon_sym_CARET] = ACTIONS(1863),
    [anon_sym_AMP] = ACTIONS(1863),
    [anon_sym_GT_GT2] = ACTIONS(1863),
    [anon_sym_PLUS] = ACTIONS(1863),
    [anon_sym_DASH] = ACTIONS(1863),
    [anon_sym_DOT] = ACTIONS(1863),
    [anon_sym_STAR] = ACTIONS(1863),
    [anon_sym_SLASH] = ACTIONS(1863),
    [anon_sym_x] = ACTIONS(1863),
    [anon_sym_EQ_TILDE] = ACTIONS(1865),
    [anon_sym_BANG_TILDE] = ACTIONS(1865),
    [anon_sym_EQ_EQ] = ACTIONS(1863),
    [anon_sym_BANG_EQ] = ACTIONS(1865),
    [anon_sym_eq] = ACTIONS(1863),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1865),
    [anon_sym_equ] = ACTIONS(1865),
    [anon_sym_eqr] = ACTIONS(1865),
    [anon_sym_ne] = ACTIONS(1865),
    [anon_sym_LT_EQ_GT] = ACTIONS(1865),
    [anon_sym_cmp] = ACTIONS(1865),
    [anon_sym_TILDE_TILDE] = ACTIONS(1865),
    [anon_sym_LT] = ACTIONS(1863),
    [anon_sym_LT_EQ] = ACTIONS(1863),
    [anon_sym_GT_EQ] = ACTIONS(1865),
    [anon_sym_lt] = ACTIONS(1865),
    [anon_sym_le] = ACTIONS(1865),
    [anon_sym_ge] = ACTIONS(1865),
    [anon_sym_gt] = ACTIONS(1865),
    [anon_sym_isa] = ACTIONS(1865),
    [anon_sym_PLUS_PLUS] = ACTIONS(1865),
    [anon_sym_DASH_DASH] = ACTIONS(1865),
    [anon_sym_QMARK] = ACTIONS(1865),
    [anon_sym_EQ_GT] = ACTIONS(1865),
    [anon_sym_for] = ACTIONS(1863),
    [anon_sym_foreach] = ACTIONS(1865),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(1865),
    [anon_sym___END__] = ACTIONS(1865),
    [anon_sym_EOT] = ACTIONS(1865),
    [anon_sym_if] = ACTIONS(1865),
    [anon_sym_unless] = ACTIONS(1865),
    [anon_sym_while] = ACTIONS(1865),
    [anon_sym_until] = ACTIONS(1865),
    [sym__PERLY_SEMICOLON] = ACTIONS(1865),
    [sym__ctrl_z_hack] = ACTIONS(1865),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1207] = {
    [sym_heredoc_content] = STATE(1207),
    [anon_sym_LBRACE] = ACTIONS(2470),
    [anon_sym_RBRACE] = ACTIONS(2470),
    [anon_sym_SEMI] = ACTIONS(2470),
    [anon_sym_EQ] = ACTIONS(2472),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2470),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2470),
    [anon_sym_COMMA] = ACTIONS(2470),
    [anon_sym_RPAREN] = ACTIONS(2470),
    [anon_sym_LPAREN] = ACTIONS(2470),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2470),
    [anon_sym_and] = ACTIONS(2470),
    [anon_sym_or] = ACTIONS(2470),
    [anon_sym_xor] = ACTIONS(2470),
    [anon_sym_LBRACK] = ACTIONS(2470),
    [anon_sym_DASH_GT] = ACTIONS(2470),
    [anon_sym_PERCENT] = ACTIONS(2472),
    [anon_sym_GT] = ACTIONS(2472),
    [anon_sym_LT_LT] = ACTIONS(2472),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2470),
    [anon_sym_PLUS_EQ] = ACTIONS(2470),
    [anon_sym_DASH_EQ] = ACTIONS(2470),
    [anon_sym_DOT_EQ] = ACTIONS(2470),
    [anon_sym_STAR_EQ] = ACTIONS(2470),
    [anon_sym_SLASH_EQ] = ACTIONS(2470),
    [anon_sym_PERCENT_EQ] = ACTIONS(2470),
    [anon_sym_x_EQ] = ACTIONS(2470),
    [anon_sym_AMP_EQ] = ACTIONS(2470),
    [anon_sym_PIPE_EQ] = ACTIONS(2470),
    [anon_sym_CARET_EQ] = ACTIONS(2470),
    [anon_sym_LT_LT_EQ] = ACTIONS(2470),
    [anon_sym_GT_GT_EQ] = ACTIONS(2470),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2470),
    [anon_sym_DOT_DOT] = ACTIONS(2472),
    [anon_sym_STAR_STAR] = ACTIONS(2472),
    [anon_sym_PIPE_PIPE] = ACTIONS(2472),
    [anon_sym_SLASH_SLASH] = ACTIONS(2472),
    [anon_sym_CARET_CARET] = ACTIONS(2470),
    [anon_sym_AMP_AMP] = ACTIONS(2472),
    [anon_sym_PIPE] = ACTIONS(2472),
    [anon_sym_CARET] = ACTIONS(2472),
    [anon_sym_AMP] = ACTIONS(2472),
    [anon_sym_GT_GT2] = ACTIONS(2472),
    [anon_sym_PLUS] = ACTIONS(2472),
    [anon_sym_DASH] = ACTIONS(2472),
    [anon_sym_DOT] = ACTIONS(2472),
    [anon_sym_STAR] = ACTIONS(2472),
    [anon_sym_SLASH] = ACTIONS(2472),
    [anon_sym_x] = ACTIONS(2472),
    [anon_sym_EQ_TILDE] = ACTIONS(2470),
    [anon_sym_BANG_TILDE] = ACTIONS(2470),
    [anon_sym_EQ_EQ] = ACTIONS(2472),
    [anon_sym_BANG_EQ] = ACTIONS(2470),
    [anon_sym_eq] = ACTIONS(2472),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2470),
    [anon_sym_equ] = ACTIONS(2470),
    [anon_sym_eqr] = ACTIONS(2470),
    [anon_sym_ne] = ACTIONS(2470),
    [anon_sym_LT_EQ_GT] = ACTIONS(2470),
    [anon_sym_cmp] = ACTIONS(2470),
    [anon_sym_TILDE_TILDE] = ACTIONS(2470),
    [anon_sym_LT] = ACTIONS(2472),
    [anon_sym_LT_EQ] = ACTIONS(2472),
    [anon_sym_GT_EQ] = ACTIONS(2470),
    [anon_sym_lt] = ACTIONS(2470),
    [anon_sym_le] = ACTIONS(2470),
    [anon_sym_ge] = ACTIONS(2470),
    [anon_sym_gt] = ACTIONS(2470),
    [anon_sym_isa] = ACTIONS(2470),
    [anon_sym_PLUS_PLUS] = ACTIONS(2470),
    [anon_sym_DASH_DASH] = ACTIONS(2470),
    [anon_sym_QMARK] = ACTIONS(2470),
    [anon_sym_EQ_GT] = ACTIONS(2470),
    [anon_sym_for] = ACTIONS(2472),
    [anon_sym_foreach] = ACTIONS(2470),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2470),
    [anon_sym___END__] = ACTIONS(2470),
    [anon_sym_EOT] = ACTIONS(2470),
    [anon_sym_if] = ACTIONS(2470),
    [anon_sym_unless] = ACTIONS(2470),
    [anon_sym_while] = ACTIONS(2470),
    [anon_sym_until] = ACTIONS(2470),
    [sym__PERLY_SEMICOLON] = ACTIONS(2470),
    [sym__ctrl_z_hack] = ACTIONS(2470),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1208] = {
    [sym_heredoc_content] = STATE(1208),
    [anon_sym_LBRACE] = ACTIONS(2474),
    [anon_sym_RBRACE] = ACTIONS(2474),
    [anon_sym_SEMI] = ACTIONS(2474),
    [anon_sym_EQ] = ACTIONS(2476),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2474),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2474),
    [anon_sym_COMMA] = ACTIONS(2474),
    [anon_sym_RPAREN] = ACTIONS(2474),
    [anon_sym_LPAREN] = ACTIONS(2474),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2474),
    [anon_sym_and] = ACTIONS(2474),
    [anon_sym_or] = ACTIONS(2474),
    [anon_sym_xor] = ACTIONS(2474),
    [anon_sym_LBRACK] = ACTIONS(2474),
    [anon_sym_DASH_GT] = ACTIONS(2474),
    [anon_sym_PERCENT] = ACTIONS(2476),
    [anon_sym_GT] = ACTIONS(2476),
    [anon_sym_LT_LT] = ACTIONS(2476),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2474),
    [anon_sym_PLUS_EQ] = ACTIONS(2474),
    [anon_sym_DASH_EQ] = ACTIONS(2474),
    [anon_sym_DOT_EQ] = ACTIONS(2474),
    [anon_sym_STAR_EQ] = ACTIONS(2474),
    [anon_sym_SLASH_EQ] = ACTIONS(2474),
    [anon_sym_PERCENT_EQ] = ACTIONS(2474),
    [anon_sym_x_EQ] = ACTIONS(2474),
    [anon_sym_AMP_EQ] = ACTIONS(2474),
    [anon_sym_PIPE_EQ] = ACTIONS(2474),
    [anon_sym_CARET_EQ] = ACTIONS(2474),
    [anon_sym_LT_LT_EQ] = ACTIONS(2474),
    [anon_sym_GT_GT_EQ] = ACTIONS(2474),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2474),
    [anon_sym_DOT_DOT] = ACTIONS(2476),
    [anon_sym_STAR_STAR] = ACTIONS(2476),
    [anon_sym_PIPE_PIPE] = ACTIONS(2476),
    [anon_sym_SLASH_SLASH] = ACTIONS(2476),
    [anon_sym_CARET_CARET] = ACTIONS(2474),
    [anon_sym_AMP_AMP] = ACTIONS(2476),
    [anon_sym_PIPE] = ACTIONS(2476),
    [anon_sym_CARET] = ACTIONS(2476),
    [anon_sym_AMP] = ACTIONS(2476),
    [anon_sym_GT_GT2] = ACTIONS(2476),
    [anon_sym_PLUS] = ACTIONS(2476),
    [anon_sym_DASH] = ACTIONS(2476),
    [anon_sym_DOT] = ACTIONS(2476),
    [anon_sym_STAR] = ACTIONS(2476),
    [anon_sym_SLASH] = ACTIONS(2476),
    [anon_sym_x] = ACTIONS(2476),
    [anon_sym_EQ_TILDE] = ACTIONS(2474),
    [anon_sym_BANG_TILDE] = ACTIONS(2474),
    [anon_sym_EQ_EQ] = ACTIONS(2476),
    [anon_sym_BANG_EQ] = ACTIONS(2474),
    [anon_sym_eq] = ACTIONS(2476),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2474),
    [anon_sym_equ] = ACTIONS(2474),
    [anon_sym_eqr] = ACTIONS(2474),
    [anon_sym_ne] = ACTIONS(2474),
    [anon_sym_LT_EQ_GT] = ACTIONS(2474),
    [anon_sym_cmp] = ACTIONS(2474),
    [anon_sym_TILDE_TILDE] = ACTIONS(2474),
    [anon_sym_LT] = ACTIONS(2476),
    [anon_sym_LT_EQ] = ACTIONS(2476),
    [anon_sym_GT_EQ] = ACTIONS(2474),
    [anon_sym_lt] = ACTIONS(2474),
    [anon_sym_le] = ACTIONS(2474),
    [anon_sym_ge] = ACTIONS(2474),
    [anon_sym_gt] = ACTIONS(2474),
    [anon_sym_isa] = ACTIONS(2474),
    [anon_sym_PLUS_PLUS] = ACTIONS(2474),
    [anon_sym_DASH_DASH] = ACTIONS(2474),
    [anon_sym_QMARK] = ACTIONS(2474),
    [anon_sym_EQ_GT] = ACTIONS(2474),
    [anon_sym_for] = ACTIONS(2476),
    [anon_sym_foreach] = ACTIONS(2474),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2474),
    [anon_sym___END__] = ACTIONS(2474),
    [anon_sym_EOT] = ACTIONS(2474),
    [anon_sym_if] = ACTIONS(2474),
    [anon_sym_unless] = ACTIONS(2474),
    [anon_sym_while] = ACTIONS(2474),
    [anon_sym_until] = ACTIONS(2474),
    [sym__PERLY_SEMICOLON] = ACTIONS(2474),
    [sym__ctrl_z_hack] = ACTIONS(2474),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1209] = {
    [sym_heredoc_content] = STATE(1209),
    [anon_sym_LBRACE] = ACTIONS(2478),
    [anon_sym_RBRACE] = ACTIONS(2478),
    [anon_sym_SEMI] = ACTIONS(2478),
    [anon_sym_EQ] = ACTIONS(2480),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2478),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2478),
    [anon_sym_COMMA] = ACTIONS(2478),
    [anon_sym_RPAREN] = ACTIONS(2478),
    [anon_sym_LPAREN] = ACTIONS(2478),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2478),
    [anon_sym_and] = ACTIONS(2478),
    [anon_sym_or] = ACTIONS(2478),
    [anon_sym_xor] = ACTIONS(2478),
    [anon_sym_LBRACK] = ACTIONS(2478),
    [anon_sym_DASH_GT] = ACTIONS(2478),
    [anon_sym_PERCENT] = ACTIONS(2480),
    [anon_sym_GT] = ACTIONS(2480),
    [anon_sym_LT_LT] = ACTIONS(2480),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2478),
    [anon_sym_PLUS_EQ] = ACTIONS(2478),
    [anon_sym_DASH_EQ] = ACTIONS(2478),
    [anon_sym_DOT_EQ] = ACTIONS(2478),
    [anon_sym_STAR_EQ] = ACTIONS(2478),
    [anon_sym_SLASH_EQ] = ACTIONS(2478),
    [anon_sym_PERCENT_EQ] = ACTIONS(2478),
    [anon_sym_x_EQ] = ACTIONS(2478),
    [anon_sym_AMP_EQ] = ACTIONS(2478),
    [anon_sym_PIPE_EQ] = ACTIONS(2478),
    [anon_sym_CARET_EQ] = ACTIONS(2478),
    [anon_sym_LT_LT_EQ] = ACTIONS(2478),
    [anon_sym_GT_GT_EQ] = ACTIONS(2478),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2478),
    [anon_sym_DOT_DOT] = ACTIONS(2480),
    [anon_sym_STAR_STAR] = ACTIONS(2480),
    [anon_sym_PIPE_PIPE] = ACTIONS(2480),
    [anon_sym_SLASH_SLASH] = ACTIONS(2480),
    [anon_sym_CARET_CARET] = ACTIONS(2478),
    [anon_sym_AMP_AMP] = ACTIONS(2480),
    [anon_sym_PIPE] = ACTIONS(2480),
    [anon_sym_CARET] = ACTIONS(2480),
    [anon_sym_AMP] = ACTIONS(2480),
    [anon_sym_GT_GT2] = ACTIONS(2480),
    [anon_sym_PLUS] = ACTIONS(2480),
    [anon_sym_DASH] = ACTIONS(2480),
    [anon_sym_DOT] = ACTIONS(2480),
    [anon_sym_STAR] = ACTIONS(2480),
    [anon_sym_SLASH] = ACTIONS(2480),
    [anon_sym_x] = ACTIONS(2480),
    [anon_sym_EQ_TILDE] = ACTIONS(2478),
    [anon_sym_BANG_TILDE] = ACTIONS(2478),
    [anon_sym_EQ_EQ] = ACTIONS(2480),
    [anon_sym_BANG_EQ] = ACTIONS(2478),
    [anon_sym_eq] = ACTIONS(2480),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2478),
    [anon_sym_equ] = ACTIONS(2478),
    [anon_sym_eqr] = ACTIONS(2478),
    [anon_sym_ne] = ACTIONS(2478),
    [anon_sym_LT_EQ_GT] = ACTIONS(2478),
    [anon_sym_cmp] = ACTIONS(2478),
    [anon_sym_TILDE_TILDE] = ACTIONS(2478),
    [anon_sym_LT] = ACTIONS(2480),
    [anon_sym_LT_EQ] = ACTIONS(2480),
    [anon_sym_GT_EQ] = ACTIONS(2478),
    [anon_sym_lt] = ACTIONS(2478),
    [anon_sym_le] = ACTIONS(2478),
    [anon_sym_ge] = ACTIONS(2478),
    [anon_sym_gt] = ACTIONS(2478),
    [anon_sym_isa] = ACTIONS(2478),
    [anon_sym_PLUS_PLUS] = ACTIONS(2478),
    [anon_sym_DASH_DASH] = ACTIONS(2478),
    [anon_sym_QMARK] = ACTIONS(2478),
    [anon_sym_EQ_GT] = ACTIONS(2478),
    [anon_sym_for] = ACTIONS(2480),
    [anon_sym_foreach] = ACTIONS(2478),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2478),
    [anon_sym___END__] = ACTIONS(2478),
    [anon_sym_EOT] = ACTIONS(2478),
    [anon_sym_if] = ACTIONS(2478),
    [anon_sym_unless] = ACTIONS(2478),
    [anon_sym_while] = ACTIONS(2478),
    [anon_sym_until] = ACTIONS(2478),
    [sym__PERLY_SEMICOLON] = ACTIONS(2478),
    [sym__ctrl_z_hack] = ACTIONS(2478),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1210] = {
    [sym_heredoc_content] = STATE(1210),
    [anon_sym_LBRACE] = ACTIONS(2482),
    [anon_sym_RBRACE] = ACTIONS(2482),
    [anon_sym_SEMI] = ACTIONS(2482),
    [anon_sym_EQ] = ACTIONS(2484),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2482),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2482),
    [anon_sym_COMMA] = ACTIONS(2482),
    [anon_sym_RPAREN] = ACTIONS(2482),
    [anon_sym_LPAREN] = ACTIONS(2482),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2482),
    [anon_sym_and] = ACTIONS(2482),
    [anon_sym_or] = ACTIONS(2482),
    [anon_sym_xor] = ACTIONS(2482),
    [anon_sym_LBRACK] = ACTIONS(2482),
    [anon_sym_DASH_GT] = ACTIONS(2482),
    [anon_sym_PERCENT] = ACTIONS(2484),
    [anon_sym_GT] = ACTIONS(2484),
    [anon_sym_LT_LT] = ACTIONS(2484),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2482),
    [anon_sym_PLUS_EQ] = ACTIONS(2482),
    [anon_sym_DASH_EQ] = ACTIONS(2482),
    [anon_sym_DOT_EQ] = ACTIONS(2482),
    [anon_sym_STAR_EQ] = ACTIONS(2482),
    [anon_sym_SLASH_EQ] = ACTIONS(2482),
    [anon_sym_PERCENT_EQ] = ACTIONS(2482),
    [anon_sym_x_EQ] = ACTIONS(2482),
    [anon_sym_AMP_EQ] = ACTIONS(2482),
    [anon_sym_PIPE_EQ] = ACTIONS(2482),
    [anon_sym_CARET_EQ] = ACTIONS(2482),
    [anon_sym_LT_LT_EQ] = ACTIONS(2482),
    [anon_sym_GT_GT_EQ] = ACTIONS(2482),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2482),
    [anon_sym_DOT_DOT] = ACTIONS(2484),
    [anon_sym_STAR_STAR] = ACTIONS(2484),
    [anon_sym_PIPE_PIPE] = ACTIONS(2484),
    [anon_sym_SLASH_SLASH] = ACTIONS(2484),
    [anon_sym_CARET_CARET] = ACTIONS(2482),
    [anon_sym_AMP_AMP] = ACTIONS(2484),
    [anon_sym_PIPE] = ACTIONS(2484),
    [anon_sym_CARET] = ACTIONS(2484),
    [anon_sym_AMP] = ACTIONS(2484),
    [anon_sym_GT_GT2] = ACTIONS(2484),
    [anon_sym_PLUS] = ACTIONS(2484),
    [anon_sym_DASH] = ACTIONS(2484),
    [anon_sym_DOT] = ACTIONS(2484),
    [anon_sym_STAR] = ACTIONS(2484),
    [anon_sym_SLASH] = ACTIONS(2484),
    [anon_sym_x] = ACTIONS(2484),
    [anon_sym_EQ_TILDE] = ACTIONS(2482),
    [anon_sym_BANG_TILDE] = ACTIONS(2482),
    [anon_sym_EQ_EQ] = ACTIONS(2484),
    [anon_sym_BANG_EQ] = ACTIONS(2482),
    [anon_sym_eq] = ACTIONS(2484),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2482),
    [anon_sym_equ] = ACTIONS(2482),
    [anon_sym_eqr] = ACTIONS(2482),
    [anon_sym_ne] = ACTIONS(2482),
    [anon_sym_LT_EQ_GT] = ACTIONS(2482),
    [anon_sym_cmp] = ACTIONS(2482),
    [anon_sym_TILDE_TILDE] = ACTIONS(2482),
    [anon_sym_LT] = ACTIONS(2484),
    [anon_sym_LT_EQ] = ACTIONS(2484),
    [anon_sym_GT_EQ] = ACTIONS(2482),
    [anon_sym_lt] = ACTIONS(2482),
    [anon_sym_le] = ACTIONS(2482),
    [anon_sym_ge] = ACTIONS(2482),
    [anon_sym_gt] = ACTIONS(2482),
    [anon_sym_isa] = ACTIONS(2482),
    [anon_sym_PLUS_PLUS] = ACTIONS(2482),
    [anon_sym_DASH_DASH] = ACTIONS(2482),
    [anon_sym_QMARK] = ACTIONS(2482),
    [anon_sym_EQ_GT] = ACTIONS(2482),
    [anon_sym_for] = ACTIONS(2484),
    [anon_sym_foreach] = ACTIONS(2482),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2482),
    [anon_sym___END__] = ACTIONS(2482),
    [anon_sym_EOT] = ACTIONS(2482),
    [anon_sym_if] = ACTIONS(2482),
    [anon_sym_unless] = ACTIONS(2482),
    [anon_sym_while] = ACTIONS(2482),
    [anon_sym_until] = ACTIONS(2482),
    [sym__PERLY_SEMICOLON] = ACTIONS(2482),
    [sym__ctrl_z_hack] = ACTIONS(2482),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1211] = {
    [sym_heredoc_content] = STATE(1211),
    [anon_sym_LBRACE] = ACTIONS(2486),
    [anon_sym_RBRACE] = ACTIONS(2486),
    [anon_sym_SEMI] = ACTIONS(2486),
    [anon_sym_EQ] = ACTIONS(2488),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2486),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2486),
    [anon_sym_COMMA] = ACTIONS(2486),
    [anon_sym_RPAREN] = ACTIONS(2486),
    [anon_sym_LPAREN] = ACTIONS(2486),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2486),
    [anon_sym_and] = ACTIONS(2486),
    [anon_sym_or] = ACTIONS(2486),
    [anon_sym_xor] = ACTIONS(2486),
    [anon_sym_LBRACK] = ACTIONS(2486),
    [anon_sym_DASH_GT] = ACTIONS(2486),
    [anon_sym_PERCENT] = ACTIONS(2488),
    [anon_sym_GT] = ACTIONS(2488),
    [anon_sym_LT_LT] = ACTIONS(2488),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2486),
    [anon_sym_PLUS_EQ] = ACTIONS(2486),
    [anon_sym_DASH_EQ] = ACTIONS(2486),
    [anon_sym_DOT_EQ] = ACTIONS(2486),
    [anon_sym_STAR_EQ] = ACTIONS(2486),
    [anon_sym_SLASH_EQ] = ACTIONS(2486),
    [anon_sym_PERCENT_EQ] = ACTIONS(2486),
    [anon_sym_x_EQ] = ACTIONS(2486),
    [anon_sym_AMP_EQ] = ACTIONS(2486),
    [anon_sym_PIPE_EQ] = ACTIONS(2486),
    [anon_sym_CARET_EQ] = ACTIONS(2486),
    [anon_sym_LT_LT_EQ] = ACTIONS(2486),
    [anon_sym_GT_GT_EQ] = ACTIONS(2486),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2486),
    [anon_sym_DOT_DOT] = ACTIONS(2488),
    [anon_sym_STAR_STAR] = ACTIONS(2488),
    [anon_sym_PIPE_PIPE] = ACTIONS(2488),
    [anon_sym_SLASH_SLASH] = ACTIONS(2488),
    [anon_sym_CARET_CARET] = ACTIONS(2486),
    [anon_sym_AMP_AMP] = ACTIONS(2488),
    [anon_sym_PIPE] = ACTIONS(2488),
    [anon_sym_CARET] = ACTIONS(2488),
    [anon_sym_AMP] = ACTIONS(2488),
    [anon_sym_GT_GT2] = ACTIONS(2488),
    [anon_sym_PLUS] = ACTIONS(2488),
    [anon_sym_DASH] = ACTIONS(2488),
    [anon_sym_DOT] = ACTIONS(2488),
    [anon_sym_STAR] = ACTIONS(2488),
    [anon_sym_SLASH] = ACTIONS(2488),
    [anon_sym_x] = ACTIONS(2488),
    [anon_sym_EQ_TILDE] = ACTIONS(2486),
    [anon_sym_BANG_TILDE] = ACTIONS(2486),
    [anon_sym_EQ_EQ] = ACTIONS(2488),
    [anon_sym_BANG_EQ] = ACTIONS(2486),
    [anon_sym_eq] = ACTIONS(2488),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2486),
    [anon_sym_equ] = ACTIONS(2486),
    [anon_sym_eqr] = ACTIONS(2486),
    [anon_sym_ne] = ACTIONS(2486),
    [anon_sym_LT_EQ_GT] = ACTIONS(2486),
    [anon_sym_cmp] = ACTIONS(2486),
    [anon_sym_TILDE_TILDE] = ACTIONS(2486),
    [anon_sym_LT] = ACTIONS(2488),
    [anon_sym_LT_EQ] = ACTIONS(2488),
    [anon_sym_GT_EQ] = ACTIONS(2486),
    [anon_sym_lt] = ACTIONS(2486),
    [anon_sym_le] = ACTIONS(2486),
    [anon_sym_ge] = ACTIONS(2486),
    [anon_sym_gt] = ACTIONS(2486),
    [anon_sym_isa] = ACTIONS(2486),
    [anon_sym_PLUS_PLUS] = ACTIONS(2486),
    [anon_sym_DASH_DASH] = ACTIONS(2486),
    [anon_sym_QMARK] = ACTIONS(2486),
    [anon_sym_EQ_GT] = ACTIONS(2486),
    [anon_sym_for] = ACTIONS(2488),
    [anon_sym_foreach] = ACTIONS(2486),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2486),
    [anon_sym___END__] = ACTIONS(2486),
    [anon_sym_EOT] = ACTIONS(2486),
    [anon_sym_if] = ACTIONS(2486),
    [anon_sym_unless] = ACTIONS(2486),
    [anon_sym_while] = ACTIONS(2486),
    [anon_sym_until] = ACTIONS(2486),
    [sym__PERLY_SEMICOLON] = ACTIONS(2486),
    [sym__ctrl_z_hack] = ACTIONS(2486),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1212] = {
    [sym_heredoc_content] = STATE(1212),
    [anon_sym_LBRACE] = ACTIONS(2490),
    [anon_sym_RBRACE] = ACTIONS(2490),
    [anon_sym_SEMI] = ACTIONS(2490),
    [anon_sym_EQ] = ACTIONS(2492),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2490),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2490),
    [anon_sym_COMMA] = ACTIONS(2490),
    [anon_sym_RPAREN] = ACTIONS(2490),
    [anon_sym_LPAREN] = ACTIONS(2490),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2490),
    [anon_sym_and] = ACTIONS(2490),
    [anon_sym_or] = ACTIONS(2490),
    [anon_sym_xor] = ACTIONS(2490),
    [anon_sym_LBRACK] = ACTIONS(2490),
    [anon_sym_DASH_GT] = ACTIONS(2490),
    [anon_sym_PERCENT] = ACTIONS(2492),
    [anon_sym_GT] = ACTIONS(2492),
    [anon_sym_LT_LT] = ACTIONS(2492),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2490),
    [anon_sym_PLUS_EQ] = ACTIONS(2490),
    [anon_sym_DASH_EQ] = ACTIONS(2490),
    [anon_sym_DOT_EQ] = ACTIONS(2490),
    [anon_sym_STAR_EQ] = ACTIONS(2490),
    [anon_sym_SLASH_EQ] = ACTIONS(2490),
    [anon_sym_PERCENT_EQ] = ACTIONS(2490),
    [anon_sym_x_EQ] = ACTIONS(2490),
    [anon_sym_AMP_EQ] = ACTIONS(2490),
    [anon_sym_PIPE_EQ] = ACTIONS(2490),
    [anon_sym_CARET_EQ] = ACTIONS(2490),
    [anon_sym_LT_LT_EQ] = ACTIONS(2490),
    [anon_sym_GT_GT_EQ] = ACTIONS(2490),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2490),
    [anon_sym_DOT_DOT] = ACTIONS(2492),
    [anon_sym_STAR_STAR] = ACTIONS(2492),
    [anon_sym_PIPE_PIPE] = ACTIONS(2492),
    [anon_sym_SLASH_SLASH] = ACTIONS(2492),
    [anon_sym_CARET_CARET] = ACTIONS(2490),
    [anon_sym_AMP_AMP] = ACTIONS(2492),
    [anon_sym_PIPE] = ACTIONS(2492),
    [anon_sym_CARET] = ACTIONS(2492),
    [anon_sym_AMP] = ACTIONS(2492),
    [anon_sym_GT_GT2] = ACTIONS(2492),
    [anon_sym_PLUS] = ACTIONS(2492),
    [anon_sym_DASH] = ACTIONS(2492),
    [anon_sym_DOT] = ACTIONS(2492),
    [anon_sym_STAR] = ACTIONS(2492),
    [anon_sym_SLASH] = ACTIONS(2492),
    [anon_sym_x] = ACTIONS(2492),
    [anon_sym_EQ_TILDE] = ACTIONS(2490),
    [anon_sym_BANG_TILDE] = ACTIONS(2490),
    [anon_sym_EQ_EQ] = ACTIONS(2492),
    [anon_sym_BANG_EQ] = ACTIONS(2490),
    [anon_sym_eq] = ACTIONS(2492),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2490),
    [anon_sym_equ] = ACTIONS(2490),
    [anon_sym_eqr] = ACTIONS(2490),
    [anon_sym_ne] = ACTIONS(2490),
    [anon_sym_LT_EQ_GT] = ACTIONS(2490),
    [anon_sym_cmp] = ACTIONS(2490),
    [anon_sym_TILDE_TILDE] = ACTIONS(2490),
    [anon_sym_LT] = ACTIONS(2492),
    [anon_sym_LT_EQ] = ACTIONS(2492),
    [anon_sym_GT_EQ] = ACTIONS(2490),
    [anon_sym_lt] = ACTIONS(2490),
    [anon_sym_le] = ACTIONS(2490),
    [anon_sym_ge] = ACTIONS(2490),
    [anon_sym_gt] = ACTIONS(2490),
    [anon_sym_isa] = ACTIONS(2490),
    [anon_sym_PLUS_PLUS] = ACTIONS(2490),
    [anon_sym_DASH_DASH] = ACTIONS(2490),
    [anon_sym_QMARK] = ACTIONS(2490),
    [anon_sym_EQ_GT] = ACTIONS(2490),
    [anon_sym_for] = ACTIONS(2492),
    [anon_sym_foreach] = ACTIONS(2490),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2490),
    [anon_sym___END__] = ACTIONS(2490),
    [anon_sym_EOT] = ACTIONS(2490),
    [anon_sym_if] = ACTIONS(2490),
    [anon_sym_unless] = ACTIONS(2490),
    [anon_sym_while] = ACTIONS(2490),
    [anon_sym_until] = ACTIONS(2490),
    [sym__PERLY_SEMICOLON] = ACTIONS(2490),
    [sym__ctrl_z_hack] = ACTIONS(2490),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1213] = {
    [sym_heredoc_content] = STATE(1213),
    [anon_sym_LBRACE] = ACTIONS(1861),
    [anon_sym_RBRACE] = ACTIONS(1861),
    [anon_sym_SEMI] = ACTIONS(1861),
    [anon_sym_EQ] = ACTIONS(1859),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1861),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1861),
    [anon_sym_COMMA] = ACTIONS(1861),
    [anon_sym_RPAREN] = ACTIONS(1861),
    [anon_sym_LPAREN] = ACTIONS(1861),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1861),
    [anon_sym_and] = ACTIONS(1861),
    [anon_sym_or] = ACTIONS(1861),
    [anon_sym_xor] = ACTIONS(1861),
    [anon_sym_LBRACK] = ACTIONS(1861),
    [anon_sym_DASH_GT] = ACTIONS(1861),
    [anon_sym_PERCENT] = ACTIONS(1859),
    [anon_sym_GT] = ACTIONS(1859),
    [anon_sym_LT_LT] = ACTIONS(1859),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1861),
    [anon_sym_PLUS_EQ] = ACTIONS(1861),
    [anon_sym_DASH_EQ] = ACTIONS(1861),
    [anon_sym_DOT_EQ] = ACTIONS(1861),
    [anon_sym_STAR_EQ] = ACTIONS(1861),
    [anon_sym_SLASH_EQ] = ACTIONS(1861),
    [anon_sym_PERCENT_EQ] = ACTIONS(1861),
    [anon_sym_x_EQ] = ACTIONS(1861),
    [anon_sym_AMP_EQ] = ACTIONS(1861),
    [anon_sym_PIPE_EQ] = ACTIONS(1861),
    [anon_sym_CARET_EQ] = ACTIONS(1861),
    [anon_sym_LT_LT_EQ] = ACTIONS(1861),
    [anon_sym_GT_GT_EQ] = ACTIONS(1861),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1861),
    [anon_sym_DOT_DOT] = ACTIONS(1859),
    [anon_sym_STAR_STAR] = ACTIONS(1859),
    [anon_sym_PIPE_PIPE] = ACTIONS(1859),
    [anon_sym_SLASH_SLASH] = ACTIONS(1859),
    [anon_sym_CARET_CARET] = ACTIONS(1861),
    [anon_sym_AMP_AMP] = ACTIONS(1859),
    [anon_sym_PIPE] = ACTIONS(1859),
    [anon_sym_CARET] = ACTIONS(1859),
    [anon_sym_AMP] = ACTIONS(1859),
    [anon_sym_GT_GT2] = ACTIONS(1859),
    [anon_sym_PLUS] = ACTIONS(1859),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_DOT] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1859),
    [anon_sym_SLASH] = ACTIONS(1859),
    [anon_sym_x] = ACTIONS(1859),
    [anon_sym_EQ_TILDE] = ACTIONS(1861),
    [anon_sym_BANG_TILDE] = ACTIONS(1861),
    [anon_sym_EQ_EQ] = ACTIONS(1859),
    [anon_sym_BANG_EQ] = ACTIONS(1861),
    [anon_sym_eq] = ACTIONS(1859),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1861),
    [anon_sym_equ] = ACTIONS(1861),
    [anon_sym_eqr] = ACTIONS(1861),
    [anon_sym_ne] = ACTIONS(1861),
    [anon_sym_LT_EQ_GT] = ACTIONS(1861),
    [anon_sym_cmp] = ACTIONS(1861),
    [anon_sym_TILDE_TILDE] = ACTIONS(1861),
    [anon_sym_LT] = ACTIONS(1859),
    [anon_sym_LT_EQ] = ACTIONS(1859),
    [anon_sym_GT_EQ] = ACTIONS(1861),
    [anon_sym_lt] = ACTIONS(1861),
    [anon_sym_le] = ACTIONS(1861),
    [anon_sym_ge] = ACTIONS(1861),
    [anon_sym_gt] = ACTIONS(1861),
    [anon_sym_isa] = ACTIONS(1861),
    [anon_sym_PLUS_PLUS] = ACTIONS(1861),
    [anon_sym_DASH_DASH] = ACTIONS(1861),
    [anon_sym_QMARK] = ACTIONS(1861),
    [anon_sym_EQ_GT] = ACTIONS(1861),
    [anon_sym_for] = ACTIONS(1859),
    [anon_sym_foreach] = ACTIONS(1861),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(1861),
    [anon_sym___END__] = ACTIONS(1861),
    [anon_sym_EOT] = ACTIONS(1861),
    [anon_sym_if] = ACTIONS(1861),
    [anon_sym_unless] = ACTIONS(1861),
    [anon_sym_while] = ACTIONS(1861),
    [anon_sym_until] = ACTIONS(1861),
    [sym__PERLY_SEMICOLON] = ACTIONS(1861),
    [sym__ctrl_z_hack] = ACTIONS(1861),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1214] = {
    [sym_heredoc_content] = STATE(1214),
    [anon_sym_LBRACE] = ACTIONS(1836),
    [anon_sym_RBRACE] = ACTIONS(1836),
    [anon_sym_SEMI] = ACTIONS(1836),
    [anon_sym_EQ] = ACTIONS(1834),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1836),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1836),
    [anon_sym_COMMA] = ACTIONS(1836),
    [anon_sym_RPAREN] = ACTIONS(1836),
    [anon_sym_LPAREN] = ACTIONS(1836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1836),
    [anon_sym_and] = ACTIONS(1836),
    [anon_sym_or] = ACTIONS(1836),
    [anon_sym_xor] = ACTIONS(1836),
    [anon_sym_LBRACK] = ACTIONS(1836),
    [anon_sym_DASH_GT] = ACTIONS(1836),
    [anon_sym_PERCENT] = ACTIONS(1834),
    [anon_sym_GT] = ACTIONS(1834),
    [anon_sym_LT_LT] = ACTIONS(1834),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1836),
    [anon_sym_PLUS_EQ] = ACTIONS(1836),
    [anon_sym_DASH_EQ] = ACTIONS(1836),
    [anon_sym_DOT_EQ] = ACTIONS(1836),
    [anon_sym_STAR_EQ] = ACTIONS(1836),
    [anon_sym_SLASH_EQ] = ACTIONS(1836),
    [anon_sym_PERCENT_EQ] = ACTIONS(1836),
    [anon_sym_x_EQ] = ACTIONS(1836),
    [anon_sym_AMP_EQ] = ACTIONS(1836),
    [anon_sym_PIPE_EQ] = ACTIONS(1836),
    [anon_sym_CARET_EQ] = ACTIONS(1836),
    [anon_sym_LT_LT_EQ] = ACTIONS(1836),
    [anon_sym_GT_GT_EQ] = ACTIONS(1836),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1836),
    [anon_sym_DOT_DOT] = ACTIONS(1834),
    [anon_sym_STAR_STAR] = ACTIONS(1834),
    [anon_sym_PIPE_PIPE] = ACTIONS(1834),
    [anon_sym_SLASH_SLASH] = ACTIONS(1834),
    [anon_sym_CARET_CARET] = ACTIONS(1836),
    [anon_sym_AMP_AMP] = ACTIONS(1834),
    [anon_sym_PIPE] = ACTIONS(1834),
    [anon_sym_CARET] = ACTIONS(1834),
    [anon_sym_AMP] = ACTIONS(1834),
    [anon_sym_GT_GT2] = ACTIONS(1834),
    [anon_sym_PLUS] = ACTIONS(1834),
    [anon_sym_DASH] = ACTIONS(1834),
    [anon_sym_DOT] = ACTIONS(1834),
    [anon_sym_STAR] = ACTIONS(1834),
    [anon_sym_SLASH] = ACTIONS(1834),
    [anon_sym_x] = ACTIONS(1834),
    [anon_sym_EQ_TILDE] = ACTIONS(1836),
    [anon_sym_BANG_TILDE] = ACTIONS(1836),
    [anon_sym_EQ_EQ] = ACTIONS(1834),
    [anon_sym_BANG_EQ] = ACTIONS(1836),
    [anon_sym_eq] = ACTIONS(1834),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1836),
    [anon_sym_equ] = ACTIONS(1836),
    [anon_sym_eqr] = ACTIONS(1836),
    [anon_sym_ne] = ACTIONS(1836),
    [anon_sym_LT_EQ_GT] = ACTIONS(1836),
    [anon_sym_cmp] = ACTIONS(1836),
    [anon_sym_TILDE_TILDE] = ACTIONS(1836),
    [anon_sym_LT] = ACTIONS(1834),
    [anon_sym_LT_EQ] = ACTIONS(1834),
    [anon_sym_GT_EQ] = ACTIONS(1836),
    [anon_sym_lt] = ACTIONS(1836),
    [anon_sym_le] = ACTIONS(1836),
    [anon_sym_ge] = ACTIONS(1836),
    [anon_sym_gt] = ACTIONS(1836),
    [anon_sym_isa] = ACTIONS(1836),
    [anon_sym_PLUS_PLUS] = ACTIONS(1836),
    [anon_sym_DASH_DASH] = ACTIONS(1836),
    [anon_sym_QMARK] = ACTIONS(1836),
    [anon_sym_EQ_GT] = ACTIONS(1836),
    [anon_sym_for] = ACTIONS(1834),
    [anon_sym_foreach] = ACTIONS(1836),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(1836),
    [anon_sym___END__] = ACTIONS(1836),
    [anon_sym_EOT] = ACTIONS(1836),
    [anon_sym_if] = ACTIONS(1836),
    [anon_sym_unless] = ACTIONS(1836),
    [anon_sym_while] = ACTIONS(1836),
    [anon_sym_until] = ACTIONS(1836),
    [sym__PERLY_SEMICOLON] = ACTIONS(1836),
    [sym__ctrl_z_hack] = ACTIONS(1836),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1215] = {
    [sym_heredoc_content] = STATE(1215),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(1659),
    [anon_sym_SEMI] = ACTIONS(1659),
    [anon_sym_EQ] = ACTIONS(1661),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1659),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1659),
    [anon_sym_COMMA] = ACTIONS(1659),
    [anon_sym_RPAREN] = ACTIONS(1659),
    [anon_sym_LPAREN] = ACTIONS(1659),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1659),
    [anon_sym_and] = ACTIONS(1659),
    [anon_sym_or] = ACTIONS(1659),
    [anon_sym_xor] = ACTIONS(1659),
    [anon_sym_LBRACK] = ACTIONS(1659),
    [anon_sym_DASH_GT] = ACTIONS(1659),
    [anon_sym_PERCENT] = ACTIONS(1661),
    [anon_sym_GT] = ACTIONS(1661),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1659),
    [anon_sym_PLUS_EQ] = ACTIONS(1659),
    [anon_sym_DASH_EQ] = ACTIONS(1659),
    [anon_sym_DOT_EQ] = ACTIONS(1659),
    [anon_sym_STAR_EQ] = ACTIONS(1659),
    [anon_sym_SLASH_EQ] = ACTIONS(1659),
    [anon_sym_PERCENT_EQ] = ACTIONS(1659),
    [anon_sym_x_EQ] = ACTIONS(1659),
    [anon_sym_AMP_EQ] = ACTIONS(1659),
    [anon_sym_PIPE_EQ] = ACTIONS(1659),
    [anon_sym_CARET_EQ] = ACTIONS(1659),
    [anon_sym_LT_LT_EQ] = ACTIONS(1659),
    [anon_sym_GT_GT_EQ] = ACTIONS(1659),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1659),
    [anon_sym_DOT_DOT] = ACTIONS(1661),
    [anon_sym_STAR_STAR] = ACTIONS(1661),
    [anon_sym_PIPE_PIPE] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1661),
    [anon_sym_CARET_CARET] = ACTIONS(1659),
    [anon_sym_AMP_AMP] = ACTIONS(1661),
    [anon_sym_PIPE] = ACTIONS(1661),
    [anon_sym_CARET] = ACTIONS(1661),
    [anon_sym_AMP] = ACTIONS(1661),
    [anon_sym_GT_GT2] = ACTIONS(1661),
    [anon_sym_PLUS] = ACTIONS(1661),
    [anon_sym_DASH] = ACTIONS(1661),
    [anon_sym_DOT] = ACTIONS(1661),
    [anon_sym_STAR] = ACTIONS(1661),
    [anon_sym_SLASH] = ACTIONS(1661),
    [anon_sym_x] = ACTIONS(1661),
    [anon_sym_EQ_TILDE] = ACTIONS(1659),
    [anon_sym_BANG_TILDE] = ACTIONS(1659),
    [anon_sym_EQ_EQ] = ACTIONS(1661),
    [anon_sym_BANG_EQ] = ACTIONS(1659),
    [anon_sym_eq] = ACTIONS(1661),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1659),
    [anon_sym_equ] = ACTIONS(1659),
    [anon_sym_eqr] = ACTIONS(1659),
    [anon_sym_ne] = ACTIONS(1659),
    [anon_sym_LT_EQ_GT] = ACTIONS(1659),
    [anon_sym_cmp] = ACTIONS(1659),
    [anon_sym_TILDE_TILDE] = ACTIONS(1659),
    [anon_sym_LT] = ACTIONS(1661),
    [anon_sym_LT_EQ] = ACTIONS(1661),
    [anon_sym_GT_EQ] = ACTIONS(1659),
    [anon_sym_lt] = ACTIONS(1659),
    [anon_sym_le] = ACTIONS(1659),
    [anon_sym_ge] = ACTIONS(1659),
    [anon_sym_gt] = ACTIONS(1659),
    [anon_sym_isa] = ACTIONS(1659),
    [anon_sym_PLUS_PLUS] = ACTIONS(1659),
    [anon_sym_DASH_DASH] = ACTIONS(1659),
    [anon_sym_QMARK] = ACTIONS(1659),
    [anon_sym_EQ_GT] = ACTIONS(1659),
    [anon_sym_for] = ACTIONS(1661),
    [anon_sym_foreach] = ACTIONS(1659),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(1659),
    [anon_sym___END__] = ACTIONS(1659),
    [anon_sym_EOT] = ACTIONS(1659),
    [anon_sym_if] = ACTIONS(1659),
    [anon_sym_unless] = ACTIONS(1659),
    [anon_sym_while] = ACTIONS(1659),
    [anon_sym_until] = ACTIONS(1659),
    [sym__PERLY_SEMICOLON] = ACTIONS(1659),
    [sym__ctrl_z_hack] = ACTIONS(1659),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1216] = {
    [sym_heredoc_content] = STATE(1216),
    [anon_sym_LBRACE] = ACTIONS(2494),
    [anon_sym_RBRACE] = ACTIONS(2494),
    [anon_sym_SEMI] = ACTIONS(2494),
    [anon_sym_EQ] = ACTIONS(2496),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2494),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2494),
    [anon_sym_COMMA] = ACTIONS(2494),
    [anon_sym_RPAREN] = ACTIONS(2494),
    [anon_sym_LPAREN] = ACTIONS(2494),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2494),
    [anon_sym_and] = ACTIONS(2494),
    [anon_sym_or] = ACTIONS(2494),
    [anon_sym_xor] = ACTIONS(2494),
    [anon_sym_LBRACK] = ACTIONS(2494),
    [anon_sym_DASH_GT] = ACTIONS(2494),
    [anon_sym_PERCENT] = ACTIONS(2496),
    [anon_sym_GT] = ACTIONS(2496),
    [anon_sym_LT_LT] = ACTIONS(2496),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2494),
    [anon_sym_PLUS_EQ] = ACTIONS(2494),
    [anon_sym_DASH_EQ] = ACTIONS(2494),
    [anon_sym_DOT_EQ] = ACTIONS(2494),
    [anon_sym_STAR_EQ] = ACTIONS(2494),
    [anon_sym_SLASH_EQ] = ACTIONS(2494),
    [anon_sym_PERCENT_EQ] = ACTIONS(2494),
    [anon_sym_x_EQ] = ACTIONS(2494),
    [anon_sym_AMP_EQ] = ACTIONS(2494),
    [anon_sym_PIPE_EQ] = ACTIONS(2494),
    [anon_sym_CARET_EQ] = ACTIONS(2494),
    [anon_sym_LT_LT_EQ] = ACTIONS(2494),
    [anon_sym_GT_GT_EQ] = ACTIONS(2494),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2494),
    [anon_sym_DOT_DOT] = ACTIONS(2496),
    [anon_sym_STAR_STAR] = ACTIONS(2496),
    [anon_sym_PIPE_PIPE] = ACTIONS(2496),
    [anon_sym_SLASH_SLASH] = ACTIONS(2496),
    [anon_sym_CARET_CARET] = ACTIONS(2494),
    [anon_sym_AMP_AMP] = ACTIONS(2496),
    [anon_sym_PIPE] = ACTIONS(2496),
    [anon_sym_CARET] = ACTIONS(2496),
    [anon_sym_AMP] = ACTIONS(2496),
    [anon_sym_GT_GT2] = ACTIONS(2496),
    [anon_sym_PLUS] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2496),
    [anon_sym_DOT] = ACTIONS(2496),
    [anon_sym_STAR] = ACTIONS(2496),
    [anon_sym_SLASH] = ACTIONS(2496),
    [anon_sym_x] = ACTIONS(2496),
    [anon_sym_EQ_TILDE] = ACTIONS(2494),
    [anon_sym_BANG_TILDE] = ACTIONS(2494),
    [anon_sym_EQ_EQ] = ACTIONS(2496),
    [anon_sym_BANG_EQ] = ACTIONS(2494),
    [anon_sym_eq] = ACTIONS(2496),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2494),
    [anon_sym_equ] = ACTIONS(2494),
    [anon_sym_eqr] = ACTIONS(2494),
    [anon_sym_ne] = ACTIONS(2494),
    [anon_sym_LT_EQ_GT] = ACTIONS(2494),
    [anon_sym_cmp] = ACTIONS(2494),
    [anon_sym_TILDE_TILDE] = ACTIONS(2494),
    [anon_sym_LT] = ACTIONS(2496),
    [anon_sym_LT_EQ] = ACTIONS(2496),
    [anon_sym_GT_EQ] = ACTIONS(2494),
    [anon_sym_lt] = ACTIONS(2494),
    [anon_sym_le] = ACTIONS(2494),
    [anon_sym_ge] = ACTIONS(2494),
    [anon_sym_gt] = ACTIONS(2494),
    [anon_sym_isa] = ACTIONS(2494),
    [anon_sym_PLUS_PLUS] = ACTIONS(2494),
    [anon_sym_DASH_DASH] = ACTIONS(2494),
    [anon_sym_QMARK] = ACTIONS(2494),
    [anon_sym_EQ_GT] = ACTIONS(2494),
    [anon_sym_for] = ACTIONS(2496),
    [anon_sym_foreach] = ACTIONS(2494),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2494),
    [anon_sym___END__] = ACTIONS(2494),
    [anon_sym_EOT] = ACTIONS(2494),
    [anon_sym_if] = ACTIONS(2494),
    [anon_sym_unless] = ACTIONS(2494),
    [anon_sym_while] = ACTIONS(2494),
    [anon_sym_until] = ACTIONS(2494),
    [sym__PERLY_SEMICOLON] = ACTIONS(2494),
    [sym__ctrl_z_hack] = ACTIONS(2494),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1217] = {
    [sym_heredoc_content] = STATE(1217),
    [sym__identifier] = ACTIONS(2498),
    [anon_sym_RBRACE] = ACTIONS(2500),
    [anon_sym_COLON] = ACTIONS(2498),
    [anon_sym_SEMI] = ACTIONS(2500),
    [anon_sym_EQ] = ACTIONS(2498),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2500),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2500),
    [anon_sym_COMMA] = ACTIONS(2500),
    [anon_sym_RPAREN] = ACTIONS(2500),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2500),
    [anon_sym_and] = ACTIONS(2498),
    [anon_sym_or] = ACTIONS(2498),
    [anon_sym_xor] = ACTIONS(2498),
    [anon_sym_DASH_GT] = ACTIONS(2500),
    [anon_sym_PERCENT] = ACTIONS(2498),
    [anon_sym_GT] = ACTIONS(2498),
    [anon_sym_LT_LT] = ACTIONS(2498),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2500),
    [anon_sym_PLUS_EQ] = ACTIONS(2500),
    [anon_sym_DASH_EQ] = ACTIONS(2500),
    [anon_sym_DOT_EQ] = ACTIONS(2500),
    [anon_sym_STAR_EQ] = ACTIONS(2500),
    [anon_sym_SLASH_EQ] = ACTIONS(2500),
    [anon_sym_PERCENT_EQ] = ACTIONS(2500),
    [anon_sym_x_EQ] = ACTIONS(2500),
    [anon_sym_AMP_EQ] = ACTIONS(2500),
    [anon_sym_PIPE_EQ] = ACTIONS(2500),
    [anon_sym_CARET_EQ] = ACTIONS(2500),
    [anon_sym_LT_LT_EQ] = ACTIONS(2500),
    [anon_sym_GT_GT_EQ] = ACTIONS(2500),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2500),
    [anon_sym_DOT_DOT] = ACTIONS(2498),
    [anon_sym_STAR_STAR] = ACTIONS(2498),
    [anon_sym_PIPE_PIPE] = ACTIONS(2498),
    [anon_sym_SLASH_SLASH] = ACTIONS(2498),
    [anon_sym_CARET_CARET] = ACTIONS(2500),
    [anon_sym_AMP_AMP] = ACTIONS(2498),
    [anon_sym_PIPE] = ACTIONS(2498),
    [anon_sym_CARET] = ACTIONS(2498),
    [anon_sym_AMP] = ACTIONS(2498),
    [anon_sym_GT_GT2] = ACTIONS(2498),
    [anon_sym_PLUS] = ACTIONS(2498),
    [anon_sym_DASH] = ACTIONS(2498),
    [anon_sym_DOT] = ACTIONS(2498),
    [anon_sym_STAR] = ACTIONS(2498),
    [anon_sym_SLASH] = ACTIONS(2498),
    [anon_sym_x] = ACTIONS(2498),
    [anon_sym_EQ_TILDE] = ACTIONS(2500),
    [anon_sym_BANG_TILDE] = ACTIONS(2500),
    [anon_sym_EQ_EQ] = ACTIONS(2498),
    [anon_sym_BANG_EQ] = ACTIONS(2500),
    [anon_sym_eq] = ACTIONS(2498),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2500),
    [anon_sym_equ] = ACTIONS(2498),
    [anon_sym_eqr] = ACTIONS(2498),
    [anon_sym_ne] = ACTIONS(2498),
    [anon_sym_LT_EQ_GT] = ACTIONS(2500),
    [anon_sym_cmp] = ACTIONS(2498),
    [anon_sym_TILDE_TILDE] = ACTIONS(2500),
    [anon_sym_LT] = ACTIONS(2498),
    [anon_sym_LT_EQ] = ACTIONS(2498),
    [anon_sym_GT_EQ] = ACTIONS(2500),
    [anon_sym_lt] = ACTIONS(2498),
    [anon_sym_le] = ACTIONS(2498),
    [anon_sym_ge] = ACTIONS(2498),
    [anon_sym_gt] = ACTIONS(2498),
    [anon_sym_isa] = ACTIONS(2498),
    [anon_sym_PLUS_PLUS] = ACTIONS(2500),
    [anon_sym_DASH_DASH] = ACTIONS(2500),
    [anon_sym_QMARK] = ACTIONS(2500),
    [anon_sym_EQ_GT] = ACTIONS(2500),
    [anon_sym_for] = ACTIONS(2498),
    [anon_sym_foreach] = ACTIONS(2498),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2498),
    [anon_sym___END__] = ACTIONS(2498),
    [anon_sym_EOT] = ACTIONS(2500),
    [anon_sym_if] = ACTIONS(2498),
    [anon_sym_unless] = ACTIONS(2498),
    [anon_sym_while] = ACTIONS(2498),
    [anon_sym_until] = ACTIONS(2498),
    [aux_sym__bareword_token1] = ACTIONS(2498),
    [sym__PERLY_SEMICOLON] = ACTIONS(2500),
    [sym__ctrl_z_hack] = ACTIONS(2500),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1218] = {
    [sym_heredoc_content] = STATE(1218),
    [anon_sym_LBRACE] = ACTIONS(2502),
    [anon_sym_RBRACE] = ACTIONS(2502),
    [anon_sym_SEMI] = ACTIONS(2502),
    [anon_sym_EQ] = ACTIONS(2504),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2502),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2502),
    [anon_sym_COMMA] = ACTIONS(2502),
    [anon_sym_RPAREN] = ACTIONS(2502),
    [anon_sym_LPAREN] = ACTIONS(2502),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2502),
    [anon_sym_and] = ACTIONS(2502),
    [anon_sym_or] = ACTIONS(2502),
    [anon_sym_xor] = ACTIONS(2502),
    [anon_sym_LBRACK] = ACTIONS(2502),
    [anon_sym_DASH_GT] = ACTIONS(2502),
    [anon_sym_PERCENT] = ACTIONS(2504),
    [anon_sym_GT] = ACTIONS(2504),
    [anon_sym_LT_LT] = ACTIONS(2504),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2502),
    [anon_sym_PLUS_EQ] = ACTIONS(2502),
    [anon_sym_DASH_EQ] = ACTIONS(2502),
    [anon_sym_DOT_EQ] = ACTIONS(2502),
    [anon_sym_STAR_EQ] = ACTIONS(2502),
    [anon_sym_SLASH_EQ] = ACTIONS(2502),
    [anon_sym_PERCENT_EQ] = ACTIONS(2502),
    [anon_sym_x_EQ] = ACTIONS(2502),
    [anon_sym_AMP_EQ] = ACTIONS(2502),
    [anon_sym_PIPE_EQ] = ACTIONS(2502),
    [anon_sym_CARET_EQ] = ACTIONS(2502),
    [anon_sym_LT_LT_EQ] = ACTIONS(2502),
    [anon_sym_GT_GT_EQ] = ACTIONS(2502),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2502),
    [anon_sym_DOT_DOT] = ACTIONS(2504),
    [anon_sym_STAR_STAR] = ACTIONS(2504),
    [anon_sym_PIPE_PIPE] = ACTIONS(2504),
    [anon_sym_SLASH_SLASH] = ACTIONS(2504),
    [anon_sym_CARET_CARET] = ACTIONS(2502),
    [anon_sym_AMP_AMP] = ACTIONS(2504),
    [anon_sym_PIPE] = ACTIONS(2504),
    [anon_sym_CARET] = ACTIONS(2504),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_GT_GT2] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_DOT] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2504),
    [anon_sym_SLASH] = ACTIONS(2504),
    [anon_sym_x] = ACTIONS(2504),
    [anon_sym_EQ_TILDE] = ACTIONS(2502),
    [anon_sym_BANG_TILDE] = ACTIONS(2502),
    [anon_sym_EQ_EQ] = ACTIONS(2504),
    [anon_sym_BANG_EQ] = ACTIONS(2502),
    [anon_sym_eq] = ACTIONS(2504),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2502),
    [anon_sym_equ] = ACTIONS(2502),
    [anon_sym_eqr] = ACTIONS(2502),
    [anon_sym_ne] = ACTIONS(2502),
    [anon_sym_LT_EQ_GT] = ACTIONS(2502),
    [anon_sym_cmp] = ACTIONS(2502),
    [anon_sym_TILDE_TILDE] = ACTIONS(2502),
    [anon_sym_LT] = ACTIONS(2504),
    [anon_sym_LT_EQ] = ACTIONS(2504),
    [anon_sym_GT_EQ] = ACTIONS(2502),
    [anon_sym_lt] = ACTIONS(2502),
    [anon_sym_le] = ACTIONS(2502),
    [anon_sym_ge] = ACTIONS(2502),
    [anon_sym_gt] = ACTIONS(2502),
    [anon_sym_isa] = ACTIONS(2502),
    [anon_sym_PLUS_PLUS] = ACTIONS(2502),
    [anon_sym_DASH_DASH] = ACTIONS(2502),
    [anon_sym_QMARK] = ACTIONS(2502),
    [anon_sym_EQ_GT] = ACTIONS(2502),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_foreach] = ACTIONS(2502),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2502),
    [anon_sym___END__] = ACTIONS(2502),
    [anon_sym_EOT] = ACTIONS(2502),
    [anon_sym_if] = ACTIONS(2502),
    [anon_sym_unless] = ACTIONS(2502),
    [anon_sym_while] = ACTIONS(2502),
    [anon_sym_until] = ACTIONS(2502),
    [sym__PERLY_SEMICOLON] = ACTIONS(2502),
    [sym__ctrl_z_hack] = ACTIONS(2502),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1219] = {
    [sym_heredoc_content] = STATE(1219),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_RBRACE] = ACTIONS(2506),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym_EQ] = ACTIONS(2508),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2506),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2506),
    [anon_sym_COMMA] = ACTIONS(2506),
    [anon_sym_RPAREN] = ACTIONS(2506),
    [anon_sym_LPAREN] = ACTIONS(2506),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2506),
    [anon_sym_and] = ACTIONS(2506),
    [anon_sym_or] = ACTIONS(2506),
    [anon_sym_xor] = ACTIONS(2506),
    [anon_sym_LBRACK] = ACTIONS(2506),
    [anon_sym_DASH_GT] = ACTIONS(2506),
    [anon_sym_PERCENT] = ACTIONS(2508),
    [anon_sym_GT] = ACTIONS(2508),
    [anon_sym_LT_LT] = ACTIONS(2508),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2506),
    [anon_sym_PLUS_EQ] = ACTIONS(2506),
    [anon_sym_DASH_EQ] = ACTIONS(2506),
    [anon_sym_DOT_EQ] = ACTIONS(2506),
    [anon_sym_STAR_EQ] = ACTIONS(2506),
    [anon_sym_SLASH_EQ] = ACTIONS(2506),
    [anon_sym_PERCENT_EQ] = ACTIONS(2506),
    [anon_sym_x_EQ] = ACTIONS(2506),
    [anon_sym_AMP_EQ] = ACTIONS(2506),
    [anon_sym_PIPE_EQ] = ACTIONS(2506),
    [anon_sym_CARET_EQ] = ACTIONS(2506),
    [anon_sym_LT_LT_EQ] = ACTIONS(2506),
    [anon_sym_GT_GT_EQ] = ACTIONS(2506),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2506),
    [anon_sym_DOT_DOT] = ACTIONS(2508),
    [anon_sym_STAR_STAR] = ACTIONS(2508),
    [anon_sym_PIPE_PIPE] = ACTIONS(2508),
    [anon_sym_SLASH_SLASH] = ACTIONS(2508),
    [anon_sym_CARET_CARET] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2508),
    [anon_sym_PIPE] = ACTIONS(2508),
    [anon_sym_CARET] = ACTIONS(2508),
    [anon_sym_AMP] = ACTIONS(2508),
    [anon_sym_GT_GT2] = ACTIONS(2508),
    [anon_sym_PLUS] = ACTIONS(2508),
    [anon_sym_DASH] = ACTIONS(2508),
    [anon_sym_DOT] = ACTIONS(2508),
    [anon_sym_STAR] = ACTIONS(2508),
    [anon_sym_SLASH] = ACTIONS(2508),
    [anon_sym_x] = ACTIONS(2508),
    [anon_sym_EQ_TILDE] = ACTIONS(2506),
    [anon_sym_BANG_TILDE] = ACTIONS(2506),
    [anon_sym_EQ_EQ] = ACTIONS(2508),
    [anon_sym_BANG_EQ] = ACTIONS(2506),
    [anon_sym_eq] = ACTIONS(2508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2506),
    [anon_sym_equ] = ACTIONS(2506),
    [anon_sym_eqr] = ACTIONS(2506),
    [anon_sym_ne] = ACTIONS(2506),
    [anon_sym_LT_EQ_GT] = ACTIONS(2506),
    [anon_sym_cmp] = ACTIONS(2506),
    [anon_sym_TILDE_TILDE] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(2508),
    [anon_sym_LT_EQ] = ACTIONS(2508),
    [anon_sym_GT_EQ] = ACTIONS(2506),
    [anon_sym_lt] = ACTIONS(2506),
    [anon_sym_le] = ACTIONS(2506),
    [anon_sym_ge] = ACTIONS(2506),
    [anon_sym_gt] = ACTIONS(2506),
    [anon_sym_isa] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_QMARK] = ACTIONS(2506),
    [anon_sym_EQ_GT] = ACTIONS(2506),
    [anon_sym_for] = ACTIONS(2508),
    [anon_sym_foreach] = ACTIONS(2506),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2506),
    [anon_sym___END__] = ACTIONS(2506),
    [anon_sym_EOT] = ACTIONS(2506),
    [anon_sym_if] = ACTIONS(2506),
    [anon_sym_unless] = ACTIONS(2506),
    [anon_sym_while] = ACTIONS(2506),
    [anon_sym_until] = ACTIONS(2506),
    [sym__PERLY_SEMICOLON] = ACTIONS(2506),
    [sym__ctrl_z_hack] = ACTIONS(2506),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1220] = {
    [sym_heredoc_content] = STATE(1220),
    [anon_sym_LBRACE] = ACTIONS(2510),
    [anon_sym_RBRACE] = ACTIONS(2510),
    [anon_sym_SEMI] = ACTIONS(2510),
    [anon_sym_EQ] = ACTIONS(2512),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_COMMA] = ACTIONS(2510),
    [anon_sym_RPAREN] = ACTIONS(2510),
    [anon_sym_LPAREN] = ACTIONS(2510),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2510),
    [anon_sym_and] = ACTIONS(2510),
    [anon_sym_or] = ACTIONS(2510),
    [anon_sym_xor] = ACTIONS(2510),
    [anon_sym_LBRACK] = ACTIONS(2510),
    [anon_sym_DASH_GT] = ACTIONS(2510),
    [anon_sym_PERCENT] = ACTIONS(2512),
    [anon_sym_GT] = ACTIONS(2512),
    [anon_sym_LT_LT] = ACTIONS(2512),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2510),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_DOT_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_x_EQ] = ACTIONS(2510),
    [anon_sym_AMP_EQ] = ACTIONS(2510),
    [anon_sym_PIPE_EQ] = ACTIONS(2510),
    [anon_sym_CARET_EQ] = ACTIONS(2510),
    [anon_sym_LT_LT_EQ] = ACTIONS(2510),
    [anon_sym_GT_GT_EQ] = ACTIONS(2510),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2510),
    [anon_sym_DOT_DOT] = ACTIONS(2512),
    [anon_sym_STAR_STAR] = ACTIONS(2512),
    [anon_sym_PIPE_PIPE] = ACTIONS(2512),
    [anon_sym_SLASH_SLASH] = ACTIONS(2512),
    [anon_sym_CARET_CARET] = ACTIONS(2510),
    [anon_sym_AMP_AMP] = ACTIONS(2512),
    [anon_sym_PIPE] = ACTIONS(2512),
    [anon_sym_CARET] = ACTIONS(2512),
    [anon_sym_AMP] = ACTIONS(2512),
    [anon_sym_GT_GT2] = ACTIONS(2512),
    [anon_sym_PLUS] = ACTIONS(2512),
    [anon_sym_DASH] = ACTIONS(2512),
    [anon_sym_DOT] = ACTIONS(2512),
    [anon_sym_STAR] = ACTIONS(2512),
    [anon_sym_SLASH] = ACTIONS(2512),
    [anon_sym_x] = ACTIONS(2512),
    [anon_sym_EQ_TILDE] = ACTIONS(2510),
    [anon_sym_BANG_TILDE] = ACTIONS(2510),
    [anon_sym_EQ_EQ] = ACTIONS(2512),
    [anon_sym_BANG_EQ] = ACTIONS(2510),
    [anon_sym_eq] = ACTIONS(2512),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2510),
    [anon_sym_equ] = ACTIONS(2510),
    [anon_sym_eqr] = ACTIONS(2510),
    [anon_sym_ne] = ACTIONS(2510),
    [anon_sym_LT_EQ_GT] = ACTIONS(2510),
    [anon_sym_cmp] = ACTIONS(2510),
    [anon_sym_TILDE_TILDE] = ACTIONS(2510),
    [anon_sym_LT] = ACTIONS(2512),
    [anon_sym_LT_EQ] = ACTIONS(2512),
    [anon_sym_GT_EQ] = ACTIONS(2510),
    [anon_sym_lt] = ACTIONS(2510),
    [anon_sym_le] = ACTIONS(2510),
    [anon_sym_ge] = ACTIONS(2510),
    [anon_sym_gt] = ACTIONS(2510),
    [anon_sym_isa] = ACTIONS(2510),
    [anon_sym_PLUS_PLUS] = ACTIONS(2510),
    [anon_sym_DASH_DASH] = ACTIONS(2510),
    [anon_sym_QMARK] = ACTIONS(2510),
    [anon_sym_EQ_GT] = ACTIONS(2510),
    [anon_sym_for] = ACTIONS(2512),
    [anon_sym_foreach] = ACTIONS(2510),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2510),
    [anon_sym___END__] = ACTIONS(2510),
    [anon_sym_EOT] = ACTIONS(2510),
    [anon_sym_if] = ACTIONS(2510),
    [anon_sym_unless] = ACTIONS(2510),
    [anon_sym_while] = ACTIONS(2510),
    [anon_sym_until] = ACTIONS(2510),
    [sym__PERLY_SEMICOLON] = ACTIONS(2510),
    [sym__ctrl_z_hack] = ACTIONS(2510),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1221] = {
    [sym_heredoc_content] = STATE(1221),
    [anon_sym_LBRACE] = ACTIONS(1826),
    [anon_sym_RBRACE] = ACTIONS(1826),
    [anon_sym_SEMI] = ACTIONS(1826),
    [anon_sym_EQ] = ACTIONS(1824),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1826),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1826),
    [anon_sym_COMMA] = ACTIONS(1826),
    [anon_sym_RPAREN] = ACTIONS(1826),
    [anon_sym_LPAREN] = ACTIONS(1826),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1826),
    [anon_sym_and] = ACTIONS(1826),
    [anon_sym_or] = ACTIONS(1826),
    [anon_sym_xor] = ACTIONS(1826),
    [anon_sym_LBRACK] = ACTIONS(1826),
    [anon_sym_DASH_GT] = ACTIONS(1826),
    [anon_sym_PERCENT] = ACTIONS(1824),
    [anon_sym_GT] = ACTIONS(1824),
    [anon_sym_LT_LT] = ACTIONS(1824),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1826),
    [anon_sym_PLUS_EQ] = ACTIONS(1826),
    [anon_sym_DASH_EQ] = ACTIONS(1826),
    [anon_sym_DOT_EQ] = ACTIONS(1826),
    [anon_sym_STAR_EQ] = ACTIONS(1826),
    [anon_sym_SLASH_EQ] = ACTIONS(1826),
    [anon_sym_PERCENT_EQ] = ACTIONS(1826),
    [anon_sym_x_EQ] = ACTIONS(1826),
    [anon_sym_AMP_EQ] = ACTIONS(1826),
    [anon_sym_PIPE_EQ] = ACTIONS(1826),
    [anon_sym_CARET_EQ] = ACTIONS(1826),
    [anon_sym_LT_LT_EQ] = ACTIONS(1826),
    [anon_sym_GT_GT_EQ] = ACTIONS(1826),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1826),
    [anon_sym_DOT_DOT] = ACTIONS(1824),
    [anon_sym_STAR_STAR] = ACTIONS(1824),
    [anon_sym_PIPE_PIPE] = ACTIONS(1824),
    [anon_sym_SLASH_SLASH] = ACTIONS(1824),
    [anon_sym_CARET_CARET] = ACTIONS(1826),
    [anon_sym_AMP_AMP] = ACTIONS(1824),
    [anon_sym_PIPE] = ACTIONS(1824),
    [anon_sym_CARET] = ACTIONS(1824),
    [anon_sym_AMP] = ACTIONS(1824),
    [anon_sym_GT_GT2] = ACTIONS(1824),
    [anon_sym_PLUS] = ACTIONS(1824),
    [anon_sym_DASH] = ACTIONS(1824),
    [anon_sym_DOT] = ACTIONS(1824),
    [anon_sym_STAR] = ACTIONS(1824),
    [anon_sym_SLASH] = ACTIONS(1824),
    [anon_sym_x] = ACTIONS(1824),
    [anon_sym_EQ_TILDE] = ACTIONS(1826),
    [anon_sym_BANG_TILDE] = ACTIONS(1826),
    [anon_sym_EQ_EQ] = ACTIONS(1824),
    [anon_sym_BANG_EQ] = ACTIONS(1826),
    [anon_sym_eq] = ACTIONS(1824),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1826),
    [anon_sym_equ] = ACTIONS(1826),
    [anon_sym_eqr] = ACTIONS(1826),
    [anon_sym_ne] = ACTIONS(1826),
    [anon_sym_LT_EQ_GT] = ACTIONS(1826),
    [anon_sym_cmp] = ACTIONS(1826),
    [anon_sym_TILDE_TILDE] = ACTIONS(1826),
    [anon_sym_LT] = ACTIONS(1824),
    [anon_sym_LT_EQ] = ACTIONS(1824),
    [anon_sym_GT_EQ] = ACTIONS(1826),
    [anon_sym_lt] = ACTIONS(1826),
    [anon_sym_le] = ACTIONS(1826),
    [anon_sym_ge] = ACTIONS(1826),
    [anon_sym_gt] = ACTIONS(1826),
    [anon_sym_isa] = ACTIONS(1826),
    [anon_sym_PLUS_PLUS] = ACTIONS(1826),
    [anon_sym_DASH_DASH] = ACTIONS(1826),
    [anon_sym_QMARK] = ACTIONS(1826),
    [anon_sym_EQ_GT] = ACTIONS(1826),
    [anon_sym_for] = ACTIONS(1824),
    [anon_sym_foreach] = ACTIONS(1826),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(1826),
    [anon_sym___END__] = ACTIONS(1826),
    [anon_sym_EOT] = ACTIONS(1826),
    [anon_sym_if] = ACTIONS(1826),
    [anon_sym_unless] = ACTIONS(1826),
    [anon_sym_while] = ACTIONS(1826),
    [anon_sym_until] = ACTIONS(1826),
    [sym__PERLY_SEMICOLON] = ACTIONS(1826),
    [sym__ctrl_z_hack] = ACTIONS(1826),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1222] = {
    [sym_heredoc_content] = STATE(1222),
    [anon_sym_LBRACE] = ACTIONS(2514),
    [anon_sym_RBRACE] = ACTIONS(2514),
    [anon_sym_SEMI] = ACTIONS(2514),
    [anon_sym_EQ] = ACTIONS(2516),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2514),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2514),
    [anon_sym_COMMA] = ACTIONS(2514),
    [anon_sym_RPAREN] = ACTIONS(2514),
    [anon_sym_LPAREN] = ACTIONS(2514),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2514),
    [anon_sym_and] = ACTIONS(2514),
    [anon_sym_or] = ACTIONS(2514),
    [anon_sym_xor] = ACTIONS(2514),
    [anon_sym_LBRACK] = ACTIONS(2514),
    [anon_sym_DASH_GT] = ACTIONS(2514),
    [anon_sym_PERCENT] = ACTIONS(2516),
    [anon_sym_GT] = ACTIONS(2516),
    [anon_sym_LT_LT] = ACTIONS(2516),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2514),
    [anon_sym_PLUS_EQ] = ACTIONS(2514),
    [anon_sym_DASH_EQ] = ACTIONS(2514),
    [anon_sym_DOT_EQ] = ACTIONS(2514),
    [anon_sym_STAR_EQ] = ACTIONS(2514),
    [anon_sym_SLASH_EQ] = ACTIONS(2514),
    [anon_sym_PERCENT_EQ] = ACTIONS(2514),
    [anon_sym_x_EQ] = ACTIONS(2514),
    [anon_sym_AMP_EQ] = ACTIONS(2514),
    [anon_sym_PIPE_EQ] = ACTIONS(2514),
    [anon_sym_CARET_EQ] = ACTIONS(2514),
    [anon_sym_LT_LT_EQ] = ACTIONS(2514),
    [anon_sym_GT_GT_EQ] = ACTIONS(2514),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2514),
    [anon_sym_DOT_DOT] = ACTIONS(2516),
    [anon_sym_STAR_STAR] = ACTIONS(2516),
    [anon_sym_PIPE_PIPE] = ACTIONS(2516),
    [anon_sym_SLASH_SLASH] = ACTIONS(2516),
    [anon_sym_CARET_CARET] = ACTIONS(2514),
    [anon_sym_AMP_AMP] = ACTIONS(2516),
    [anon_sym_PIPE] = ACTIONS(2516),
    [anon_sym_CARET] = ACTIONS(2516),
    [anon_sym_AMP] = ACTIONS(2516),
    [anon_sym_GT_GT2] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(2516),
    [anon_sym_DASH] = ACTIONS(2516),
    [anon_sym_DOT] = ACTIONS(2516),
    [anon_sym_STAR] = ACTIONS(2516),
    [anon_sym_SLASH] = ACTIONS(2516),
    [anon_sym_x] = ACTIONS(2516),
    [anon_sym_EQ_TILDE] = ACTIONS(2514),
    [anon_sym_BANG_TILDE] = ACTIONS(2514),
    [anon_sym_EQ_EQ] = ACTIONS(2516),
    [anon_sym_BANG_EQ] = ACTIONS(2514),
    [anon_sym_eq] = ACTIONS(2516),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2514),
    [anon_sym_equ] = ACTIONS(2514),
    [anon_sym_eqr] = ACTIONS(2514),
    [anon_sym_ne] = ACTIONS(2514),
    [anon_sym_LT_EQ_GT] = ACTIONS(2514),
    [anon_sym_cmp] = ACTIONS(2514),
    [anon_sym_TILDE_TILDE] = ACTIONS(2514),
    [anon_sym_LT] = ACTIONS(2516),
    [anon_sym_LT_EQ] = ACTIONS(2516),
    [anon_sym_GT_EQ] = ACTIONS(2514),
    [anon_sym_lt] = ACTIONS(2514),
    [anon_sym_le] = ACTIONS(2514),
    [anon_sym_ge] = ACTIONS(2514),
    [anon_sym_gt] = ACTIONS(2514),
    [anon_sym_isa] = ACTIONS(2514),
    [anon_sym_PLUS_PLUS] = ACTIONS(2514),
    [anon_sym_DASH_DASH] = ACTIONS(2514),
    [anon_sym_QMARK] = ACTIONS(2514),
    [anon_sym_EQ_GT] = ACTIONS(2514),
    [anon_sym_for] = ACTIONS(2516),
    [anon_sym_foreach] = ACTIONS(2514),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2514),
    [anon_sym___END__] = ACTIONS(2514),
    [anon_sym_EOT] = ACTIONS(2514),
    [anon_sym_if] = ACTIONS(2514),
    [anon_sym_unless] = ACTIONS(2514),
    [anon_sym_while] = ACTIONS(2514),
    [anon_sym_until] = ACTIONS(2514),
    [sym__PERLY_SEMICOLON] = ACTIONS(2514),
    [sym__ctrl_z_hack] = ACTIONS(2514),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1223] = {
    [sym_heredoc_content] = STATE(1223),
    [anon_sym_LBRACE] = ACTIONS(1832),
    [anon_sym_RBRACE] = ACTIONS(1832),
    [anon_sym_SEMI] = ACTIONS(1832),
    [anon_sym_EQ] = ACTIONS(1828),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1832),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1832),
    [anon_sym_COMMA] = ACTIONS(1832),
    [anon_sym_RPAREN] = ACTIONS(1832),
    [anon_sym_LPAREN] = ACTIONS(1832),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1832),
    [anon_sym_and] = ACTIONS(1832),
    [anon_sym_or] = ACTIONS(1832),
    [anon_sym_xor] = ACTIONS(1832),
    [anon_sym_LBRACK] = ACTIONS(1832),
    [anon_sym_DASH_GT] = ACTIONS(1832),
    [anon_sym_PERCENT] = ACTIONS(1828),
    [anon_sym_GT] = ACTIONS(1828),
    [anon_sym_LT_LT] = ACTIONS(1828),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1832),
    [anon_sym_PLUS_EQ] = ACTIONS(1832),
    [anon_sym_DASH_EQ] = ACTIONS(1832),
    [anon_sym_DOT_EQ] = ACTIONS(1832),
    [anon_sym_STAR_EQ] = ACTIONS(1832),
    [anon_sym_SLASH_EQ] = ACTIONS(1832),
    [anon_sym_PERCENT_EQ] = ACTIONS(1832),
    [anon_sym_x_EQ] = ACTIONS(1832),
    [anon_sym_AMP_EQ] = ACTIONS(1832),
    [anon_sym_PIPE_EQ] = ACTIONS(1832),
    [anon_sym_CARET_EQ] = ACTIONS(1832),
    [anon_sym_LT_LT_EQ] = ACTIONS(1832),
    [anon_sym_GT_GT_EQ] = ACTIONS(1832),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1832),
    [anon_sym_DOT_DOT] = ACTIONS(1828),
    [anon_sym_STAR_STAR] = ACTIONS(1828),
    [anon_sym_PIPE_PIPE] = ACTIONS(1828),
    [anon_sym_SLASH_SLASH] = ACTIONS(1828),
    [anon_sym_CARET_CARET] = ACTIONS(1832),
    [anon_sym_AMP_AMP] = ACTIONS(1828),
    [anon_sym_PIPE] = ACTIONS(1828),
    [anon_sym_CARET] = ACTIONS(1828),
    [anon_sym_AMP] = ACTIONS(1828),
    [anon_sym_GT_GT2] = ACTIONS(1828),
    [anon_sym_PLUS] = ACTIONS(1828),
    [anon_sym_DASH] = ACTIONS(1828),
    [anon_sym_DOT] = ACTIONS(1828),
    [anon_sym_STAR] = ACTIONS(1828),
    [anon_sym_SLASH] = ACTIONS(1828),
    [anon_sym_x] = ACTIONS(1828),
    [anon_sym_EQ_TILDE] = ACTIONS(1832),
    [anon_sym_BANG_TILDE] = ACTIONS(1832),
    [anon_sym_EQ_EQ] = ACTIONS(1828),
    [anon_sym_BANG_EQ] = ACTIONS(1832),
    [anon_sym_eq] = ACTIONS(1828),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1832),
    [anon_sym_equ] = ACTIONS(1832),
    [anon_sym_eqr] = ACTIONS(1832),
    [anon_sym_ne] = ACTIONS(1832),
    [anon_sym_LT_EQ_GT] = ACTIONS(1832),
    [anon_sym_cmp] = ACTIONS(1832),
    [anon_sym_TILDE_TILDE] = ACTIONS(1832),
    [anon_sym_LT] = ACTIONS(1828),
    [anon_sym_LT_EQ] = ACTIONS(1828),
    [anon_sym_GT_EQ] = ACTIONS(1832),
    [anon_sym_lt] = ACTIONS(1832),
    [anon_sym_le] = ACTIONS(1832),
    [anon_sym_ge] = ACTIONS(1832),
    [anon_sym_gt] = ACTIONS(1832),
    [anon_sym_isa] = ACTIONS(1832),
    [anon_sym_PLUS_PLUS] = ACTIONS(1832),
    [anon_sym_DASH_DASH] = ACTIONS(1832),
    [anon_sym_QMARK] = ACTIONS(1832),
    [anon_sym_EQ_GT] = ACTIONS(1832),
    [anon_sym_for] = ACTIONS(1828),
    [anon_sym_foreach] = ACTIONS(1832),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(1832),
    [anon_sym___END__] = ACTIONS(1832),
    [anon_sym_EOT] = ACTIONS(1832),
    [anon_sym_if] = ACTIONS(1832),
    [anon_sym_unless] = ACTIONS(1832),
    [anon_sym_while] = ACTIONS(1832),
    [anon_sym_until] = ACTIONS(1832),
    [sym__PERLY_SEMICOLON] = ACTIONS(1832),
    [sym__ctrl_z_hack] = ACTIONS(1832),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1224] = {
    [sym_heredoc_content] = STATE(1224),
    [anon_sym_LBRACE] = ACTIONS(2518),
    [anon_sym_RBRACE] = ACTIONS(2518),
    [anon_sym_SEMI] = ACTIONS(2518),
    [anon_sym_EQ] = ACTIONS(2520),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2518),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2518),
    [anon_sym_COMMA] = ACTIONS(2518),
    [anon_sym_RPAREN] = ACTIONS(2518),
    [anon_sym_LPAREN] = ACTIONS(2518),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2518),
    [anon_sym_and] = ACTIONS(2518),
    [anon_sym_or] = ACTIONS(2518),
    [anon_sym_xor] = ACTIONS(2518),
    [anon_sym_LBRACK] = ACTIONS(2518),
    [anon_sym_DASH_GT] = ACTIONS(2518),
    [anon_sym_PERCENT] = ACTIONS(2520),
    [anon_sym_GT] = ACTIONS(2520),
    [anon_sym_LT_LT] = ACTIONS(2520),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2518),
    [anon_sym_PLUS_EQ] = ACTIONS(2518),
    [anon_sym_DASH_EQ] = ACTIONS(2518),
    [anon_sym_DOT_EQ] = ACTIONS(2518),
    [anon_sym_STAR_EQ] = ACTIONS(2518),
    [anon_sym_SLASH_EQ] = ACTIONS(2518),
    [anon_sym_PERCENT_EQ] = ACTIONS(2518),
    [anon_sym_x_EQ] = ACTIONS(2518),
    [anon_sym_AMP_EQ] = ACTIONS(2518),
    [anon_sym_PIPE_EQ] = ACTIONS(2518),
    [anon_sym_CARET_EQ] = ACTIONS(2518),
    [anon_sym_LT_LT_EQ] = ACTIONS(2518),
    [anon_sym_GT_GT_EQ] = ACTIONS(2518),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2518),
    [anon_sym_DOT_DOT] = ACTIONS(2520),
    [anon_sym_STAR_STAR] = ACTIONS(2520),
    [anon_sym_PIPE_PIPE] = ACTIONS(2520),
    [anon_sym_SLASH_SLASH] = ACTIONS(2520),
    [anon_sym_CARET_CARET] = ACTIONS(2518),
    [anon_sym_AMP_AMP] = ACTIONS(2520),
    [anon_sym_PIPE] = ACTIONS(2520),
    [anon_sym_CARET] = ACTIONS(2520),
    [anon_sym_AMP] = ACTIONS(2520),
    [anon_sym_GT_GT2] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(2520),
    [anon_sym_DASH] = ACTIONS(2520),
    [anon_sym_DOT] = ACTIONS(2520),
    [anon_sym_STAR] = ACTIONS(2520),
    [anon_sym_SLASH] = ACTIONS(2520),
    [anon_sym_x] = ACTIONS(2520),
    [anon_sym_EQ_TILDE] = ACTIONS(2518),
    [anon_sym_BANG_TILDE] = ACTIONS(2518),
    [anon_sym_EQ_EQ] = ACTIONS(2520),
    [anon_sym_BANG_EQ] = ACTIONS(2518),
    [anon_sym_eq] = ACTIONS(2520),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2518),
    [anon_sym_equ] = ACTIONS(2518),
    [anon_sym_eqr] = ACTIONS(2518),
    [anon_sym_ne] = ACTIONS(2518),
    [anon_sym_LT_EQ_GT] = ACTIONS(2518),
    [anon_sym_cmp] = ACTIONS(2518),
    [anon_sym_TILDE_TILDE] = ACTIONS(2518),
    [anon_sym_LT] = ACTIONS(2520),
    [anon_sym_LT_EQ] = ACTIONS(2520),
    [anon_sym_GT_EQ] = ACTIONS(2518),
    [anon_sym_lt] = ACTIONS(2518),
    [anon_sym_le] = ACTIONS(2518),
    [anon_sym_ge] = ACTIONS(2518),
    [anon_sym_gt] = ACTIONS(2518),
    [anon_sym_isa] = ACTIONS(2518),
    [anon_sym_PLUS_PLUS] = ACTIONS(2518),
    [anon_sym_DASH_DASH] = ACTIONS(2518),
    [anon_sym_QMARK] = ACTIONS(2518),
    [anon_sym_EQ_GT] = ACTIONS(2518),
    [anon_sym_for] = ACTIONS(2520),
    [anon_sym_foreach] = ACTIONS(2518),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2518),
    [anon_sym___END__] = ACTIONS(2518),
    [anon_sym_EOT] = ACTIONS(2518),
    [anon_sym_if] = ACTIONS(2518),
    [anon_sym_unless] = ACTIONS(2518),
    [anon_sym_while] = ACTIONS(2518),
    [anon_sym_until] = ACTIONS(2518),
    [sym__PERLY_SEMICOLON] = ACTIONS(2518),
    [sym__ctrl_z_hack] = ACTIONS(2518),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1225] = {
    [sym_heredoc_content] = STATE(1225),
    [sym__identifier] = ACTIONS(2522),
    [anon_sym_RBRACE] = ACTIONS(2524),
    [anon_sym_COLON] = ACTIONS(2522),
    [anon_sym_SEMI] = ACTIONS(2524),
    [anon_sym_EQ] = ACTIONS(2522),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2524),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2524),
    [anon_sym_COMMA] = ACTIONS(2524),
    [anon_sym_RPAREN] = ACTIONS(2524),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2524),
    [anon_sym_and] = ACTIONS(2522),
    [anon_sym_or] = ACTIONS(2522),
    [anon_sym_xor] = ACTIONS(2522),
    [anon_sym_DASH_GT] = ACTIONS(2524),
    [anon_sym_PERCENT] = ACTIONS(2522),
    [anon_sym_GT] = ACTIONS(2522),
    [anon_sym_LT_LT] = ACTIONS(2522),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2524),
    [anon_sym_PLUS_EQ] = ACTIONS(2524),
    [anon_sym_DASH_EQ] = ACTIONS(2524),
    [anon_sym_DOT_EQ] = ACTIONS(2524),
    [anon_sym_STAR_EQ] = ACTIONS(2524),
    [anon_sym_SLASH_EQ] = ACTIONS(2524),
    [anon_sym_PERCENT_EQ] = ACTIONS(2524),
    [anon_sym_x_EQ] = ACTIONS(2524),
    [anon_sym_AMP_EQ] = ACTIONS(2524),
    [anon_sym_PIPE_EQ] = ACTIONS(2524),
    [anon_sym_CARET_EQ] = ACTIONS(2524),
    [anon_sym_LT_LT_EQ] = ACTIONS(2524),
    [anon_sym_GT_GT_EQ] = ACTIONS(2524),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2524),
    [anon_sym_DOT_DOT] = ACTIONS(2522),
    [anon_sym_STAR_STAR] = ACTIONS(2522),
    [anon_sym_PIPE_PIPE] = ACTIONS(2522),
    [anon_sym_SLASH_SLASH] = ACTIONS(2522),
    [anon_sym_CARET_CARET] = ACTIONS(2524),
    [anon_sym_AMP_AMP] = ACTIONS(2522),
    [anon_sym_PIPE] = ACTIONS(2522),
    [anon_sym_CARET] = ACTIONS(2522),
    [anon_sym_AMP] = ACTIONS(2522),
    [anon_sym_GT_GT2] = ACTIONS(2522),
    [anon_sym_PLUS] = ACTIONS(2522),
    [anon_sym_DASH] = ACTIONS(2522),
    [anon_sym_DOT] = ACTIONS(2522),
    [anon_sym_STAR] = ACTIONS(2522),
    [anon_sym_SLASH] = ACTIONS(2522),
    [anon_sym_x] = ACTIONS(2522),
    [anon_sym_EQ_TILDE] = ACTIONS(2524),
    [anon_sym_BANG_TILDE] = ACTIONS(2524),
    [anon_sym_EQ_EQ] = ACTIONS(2522),
    [anon_sym_BANG_EQ] = ACTIONS(2524),
    [anon_sym_eq] = ACTIONS(2522),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2524),
    [anon_sym_equ] = ACTIONS(2522),
    [anon_sym_eqr] = ACTIONS(2522),
    [anon_sym_ne] = ACTIONS(2522),
    [anon_sym_LT_EQ_GT] = ACTIONS(2524),
    [anon_sym_cmp] = ACTIONS(2522),
    [anon_sym_TILDE_TILDE] = ACTIONS(2524),
    [anon_sym_LT] = ACTIONS(2522),
    [anon_sym_LT_EQ] = ACTIONS(2522),
    [anon_sym_GT_EQ] = ACTIONS(2524),
    [anon_sym_lt] = ACTIONS(2522),
    [anon_sym_le] = ACTIONS(2522),
    [anon_sym_ge] = ACTIONS(2522),
    [anon_sym_gt] = ACTIONS(2522),
    [anon_sym_isa] = ACTIONS(2522),
    [anon_sym_PLUS_PLUS] = ACTIONS(2524),
    [anon_sym_DASH_DASH] = ACTIONS(2524),
    [anon_sym_QMARK] = ACTIONS(2524),
    [anon_sym_EQ_GT] = ACTIONS(2524),
    [anon_sym_for] = ACTIONS(2522),
    [anon_sym_foreach] = ACTIONS(2522),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2522),
    [anon_sym___END__] = ACTIONS(2522),
    [anon_sym_EOT] = ACTIONS(2524),
    [anon_sym_if] = ACTIONS(2522),
    [anon_sym_unless] = ACTIONS(2522),
    [anon_sym_while] = ACTIONS(2522),
    [anon_sym_until] = ACTIONS(2522),
    [aux_sym__bareword_token1] = ACTIONS(2522),
    [sym__PERLY_SEMICOLON] = ACTIONS(2524),
    [sym__ctrl_z_hack] = ACTIONS(2524),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1226] = {
    [sym_heredoc_content] = STATE(1226),
    [anon_sym_LBRACE] = ACTIONS(2526),
    [anon_sym_RBRACE] = ACTIONS(2528),
    [anon_sym_SEMI] = ACTIONS(2528),
    [anon_sym_EQ] = ACTIONS(2530),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2528),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2528),
    [anon_sym_COMMA] = ACTIONS(2528),
    [anon_sym_RPAREN] = ACTIONS(2528),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2528),
    [anon_sym_and] = ACTIONS(2528),
    [anon_sym_or] = ACTIONS(2528),
    [anon_sym_xor] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(2526),
    [anon_sym_DASH_GT] = ACTIONS(2528),
    [anon_sym_PERCENT] = ACTIONS(2530),
    [anon_sym_GT] = ACTIONS(2530),
    [anon_sym_LT_LT] = ACTIONS(2530),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2528),
    [anon_sym_PLUS_EQ] = ACTIONS(2528),
    [anon_sym_DASH_EQ] = ACTIONS(2528),
    [anon_sym_DOT_EQ] = ACTIONS(2528),
    [anon_sym_STAR_EQ] = ACTIONS(2528),
    [anon_sym_SLASH_EQ] = ACTIONS(2528),
    [anon_sym_PERCENT_EQ] = ACTIONS(2528),
    [anon_sym_x_EQ] = ACTIONS(2528),
    [anon_sym_AMP_EQ] = ACTIONS(2528),
    [anon_sym_PIPE_EQ] = ACTIONS(2528),
    [anon_sym_CARET_EQ] = ACTIONS(2528),
    [anon_sym_LT_LT_EQ] = ACTIONS(2528),
    [anon_sym_GT_GT_EQ] = ACTIONS(2528),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2528),
    [anon_sym_DOT_DOT] = ACTIONS(2530),
    [anon_sym_STAR_STAR] = ACTIONS(2530),
    [anon_sym_PIPE_PIPE] = ACTIONS(2530),
    [anon_sym_SLASH_SLASH] = ACTIONS(2530),
    [anon_sym_CARET_CARET] = ACTIONS(2528),
    [anon_sym_AMP_AMP] = ACTIONS(2530),
    [anon_sym_PIPE] = ACTIONS(2530),
    [anon_sym_CARET] = ACTIONS(2530),
    [anon_sym_AMP] = ACTIONS(2530),
    [anon_sym_GT_GT2] = ACTIONS(2530),
    [anon_sym_PLUS] = ACTIONS(2530),
    [anon_sym_DASH] = ACTIONS(2530),
    [anon_sym_DOT] = ACTIONS(2530),
    [anon_sym_STAR] = ACTIONS(2530),
    [anon_sym_SLASH] = ACTIONS(2530),
    [anon_sym_x] = ACTIONS(2530),
    [anon_sym_EQ_TILDE] = ACTIONS(2528),
    [anon_sym_BANG_TILDE] = ACTIONS(2528),
    [anon_sym_EQ_EQ] = ACTIONS(2530),
    [anon_sym_BANG_EQ] = ACTIONS(2528),
    [anon_sym_eq] = ACTIONS(2530),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2528),
    [anon_sym_equ] = ACTIONS(2528),
    [anon_sym_eqr] = ACTIONS(2528),
    [anon_sym_ne] = ACTIONS(2528),
    [anon_sym_LT_EQ_GT] = ACTIONS(2528),
    [anon_sym_cmp] = ACTIONS(2528),
    [anon_sym_TILDE_TILDE] = ACTIONS(2528),
    [anon_sym_LT] = ACTIONS(2530),
    [anon_sym_LT_EQ] = ACTIONS(2530),
    [anon_sym_GT_EQ] = ACTIONS(2528),
    [anon_sym_lt] = ACTIONS(2528),
    [anon_sym_le] = ACTIONS(2528),
    [anon_sym_ge] = ACTIONS(2528),
    [anon_sym_gt] = ACTIONS(2528),
    [anon_sym_isa] = ACTIONS(2528),
    [anon_sym_PLUS_PLUS] = ACTIONS(2528),
    [anon_sym_DASH_DASH] = ACTIONS(2528),
    [anon_sym_QMARK] = ACTIONS(2528),
    [anon_sym_EQ_GT] = ACTIONS(2528),
    [anon_sym_for] = ACTIONS(2530),
    [anon_sym_foreach] = ACTIONS(2528),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2528),
    [anon_sym___END__] = ACTIONS(2528),
    [anon_sym_EOT] = ACTIONS(2528),
    [anon_sym_if] = ACTIONS(2528),
    [anon_sym_unless] = ACTIONS(2528),
    [anon_sym_while] = ACTIONS(2528),
    [anon_sym_until] = ACTIONS(2528),
    [sym__PERLY_SEMICOLON] = ACTIONS(2528),
    [sym__ctrl_z_hack] = ACTIONS(2528),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1227] = {
    [sym_heredoc_content] = STATE(1227),
    [anon_sym_RBRACE] = ACTIONS(2532),
    [anon_sym_SEMI] = ACTIONS(2532),
    [anon_sym_EQ] = ACTIONS(2534),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2532),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2532),
    [anon_sym_COMMA] = ACTIONS(2532),
    [anon_sym_RPAREN] = ACTIONS(2532),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2532),
    [anon_sym_and] = ACTIONS(2532),
    [anon_sym_or] = ACTIONS(2532),
    [anon_sym_xor] = ACTIONS(2532),
    [anon_sym_LBRACK] = ACTIONS(2532),
    [anon_sym_DASH_GT] = ACTIONS(2532),
    [anon_sym_PERCENT] = ACTIONS(2534),
    [anon_sym_GT] = ACTIONS(2534),
    [anon_sym_LT_LT] = ACTIONS(2534),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2532),
    [anon_sym_PLUS_EQ] = ACTIONS(2532),
    [anon_sym_DASH_EQ] = ACTIONS(2532),
    [anon_sym_DOT_EQ] = ACTIONS(2532),
    [anon_sym_STAR_EQ] = ACTIONS(2532),
    [anon_sym_SLASH_EQ] = ACTIONS(2532),
    [anon_sym_PERCENT_EQ] = ACTIONS(2532),
    [anon_sym_x_EQ] = ACTIONS(2532),
    [anon_sym_AMP_EQ] = ACTIONS(2532),
    [anon_sym_PIPE_EQ] = ACTIONS(2532),
    [anon_sym_CARET_EQ] = ACTIONS(2532),
    [anon_sym_LT_LT_EQ] = ACTIONS(2532),
    [anon_sym_GT_GT_EQ] = ACTIONS(2532),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2532),
    [anon_sym_DOT_DOT] = ACTIONS(2534),
    [anon_sym_STAR_STAR] = ACTIONS(2534),
    [anon_sym_PIPE_PIPE] = ACTIONS(2534),
    [anon_sym_SLASH_SLASH] = ACTIONS(2534),
    [anon_sym_CARET_CARET] = ACTIONS(2532),
    [anon_sym_AMP_AMP] = ACTIONS(2534),
    [anon_sym_PIPE] = ACTIONS(2534),
    [anon_sym_CARET] = ACTIONS(2534),
    [anon_sym_AMP] = ACTIONS(2534),
    [anon_sym_GT_GT2] = ACTIONS(2534),
    [anon_sym_PLUS] = ACTIONS(2534),
    [anon_sym_DASH] = ACTIONS(2534),
    [anon_sym_DOT] = ACTIONS(2534),
    [anon_sym_STAR] = ACTIONS(2534),
    [anon_sym_SLASH] = ACTIONS(2534),
    [anon_sym_x] = ACTIONS(2534),
    [anon_sym_EQ_TILDE] = ACTIONS(2532),
    [anon_sym_BANG_TILDE] = ACTIONS(2532),
    [anon_sym_EQ_EQ] = ACTIONS(2534),
    [anon_sym_BANG_EQ] = ACTIONS(2532),
    [anon_sym_eq] = ACTIONS(2534),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2532),
    [anon_sym_equ] = ACTIONS(2532),
    [anon_sym_eqr] = ACTIONS(2532),
    [anon_sym_ne] = ACTIONS(2532),
    [anon_sym_LT_EQ_GT] = ACTIONS(2532),
    [anon_sym_cmp] = ACTIONS(2534),
    [anon_sym_TILDE_TILDE] = ACTIONS(2532),
    [anon_sym_LT] = ACTIONS(2534),
    [anon_sym_LT_EQ] = ACTIONS(2534),
    [anon_sym_GT_EQ] = ACTIONS(2532),
    [anon_sym_lt] = ACTIONS(2532),
    [anon_sym_le] = ACTIONS(2532),
    [anon_sym_ge] = ACTIONS(2532),
    [anon_sym_gt] = ACTIONS(2532),
    [anon_sym_isa] = ACTIONS(2532),
    [anon_sym_PLUS_PLUS] = ACTIONS(2532),
    [anon_sym_DASH_DASH] = ACTIONS(2532),
    [anon_sym_QMARK] = ACTIONS(2532),
    [anon_sym_EQ_GT] = ACTIONS(2532),
    [anon_sym_for] = ACTIONS(2534),
    [anon_sym_foreach] = ACTIONS(2532),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2532),
    [anon_sym___END__] = ACTIONS(2532),
    [anon_sym_EOT] = ACTIONS(2532),
    [sym_transliteration_modifiers] = ACTIONS(2532),
    [anon_sym_if] = ACTIONS(2532),
    [anon_sym_unless] = ACTIONS(2532),
    [anon_sym_while] = ACTIONS(2532),
    [anon_sym_until] = ACTIONS(2532),
    [sym__PERLY_SEMICOLON] = ACTIONS(2532),
    [sym__ctrl_z_hack] = ACTIONS(2532),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1228] = {
    [sym_heredoc_content] = STATE(1228),
    [anon_sym_LBRACE] = ACTIONS(2536),
    [anon_sym_RBRACE] = ACTIONS(2538),
    [anon_sym_SEMI] = ACTIONS(2538),
    [anon_sym_EQ] = ACTIONS(2540),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2538),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2538),
    [anon_sym_COMMA] = ACTIONS(2538),
    [anon_sym_RPAREN] = ACTIONS(2538),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2538),
    [anon_sym_and] = ACTIONS(2538),
    [anon_sym_or] = ACTIONS(2538),
    [anon_sym_xor] = ACTIONS(2538),
    [anon_sym_LBRACK] = ACTIONS(2536),
    [anon_sym_DASH_GT] = ACTIONS(2538),
    [anon_sym_PERCENT] = ACTIONS(2540),
    [anon_sym_GT] = ACTIONS(2540),
    [anon_sym_LT_LT] = ACTIONS(2540),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2538),
    [anon_sym_PLUS_EQ] = ACTIONS(2538),
    [anon_sym_DASH_EQ] = ACTIONS(2538),
    [anon_sym_DOT_EQ] = ACTIONS(2538),
    [anon_sym_STAR_EQ] = ACTIONS(2538),
    [anon_sym_SLASH_EQ] = ACTIONS(2538),
    [anon_sym_PERCENT_EQ] = ACTIONS(2538),
    [anon_sym_x_EQ] = ACTIONS(2538),
    [anon_sym_AMP_EQ] = ACTIONS(2538),
    [anon_sym_PIPE_EQ] = ACTIONS(2538),
    [anon_sym_CARET_EQ] = ACTIONS(2538),
    [anon_sym_LT_LT_EQ] = ACTIONS(2538),
    [anon_sym_GT_GT_EQ] = ACTIONS(2538),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2538),
    [anon_sym_DOT_DOT] = ACTIONS(2540),
    [anon_sym_STAR_STAR] = ACTIONS(2540),
    [anon_sym_PIPE_PIPE] = ACTIONS(2540),
    [anon_sym_SLASH_SLASH] = ACTIONS(2540),
    [anon_sym_CARET_CARET] = ACTIONS(2538),
    [anon_sym_AMP_AMP] = ACTIONS(2540),
    [anon_sym_PIPE] = ACTIONS(2540),
    [anon_sym_CARET] = ACTIONS(2540),
    [anon_sym_AMP] = ACTIONS(2540),
    [anon_sym_GT_GT2] = ACTIONS(2540),
    [anon_sym_PLUS] = ACTIONS(2540),
    [anon_sym_DASH] = ACTIONS(2540),
    [anon_sym_DOT] = ACTIONS(2540),
    [anon_sym_STAR] = ACTIONS(2540),
    [anon_sym_SLASH] = ACTIONS(2540),
    [anon_sym_x] = ACTIONS(2540),
    [anon_sym_EQ_TILDE] = ACTIONS(2538),
    [anon_sym_BANG_TILDE] = ACTIONS(2538),
    [anon_sym_EQ_EQ] = ACTIONS(2540),
    [anon_sym_BANG_EQ] = ACTIONS(2538),
    [anon_sym_eq] = ACTIONS(2540),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2538),
    [anon_sym_equ] = ACTIONS(2538),
    [anon_sym_eqr] = ACTIONS(2538),
    [anon_sym_ne] = ACTIONS(2538),
    [anon_sym_LT_EQ_GT] = ACTIONS(2538),
    [anon_sym_cmp] = ACTIONS(2538),
    [anon_sym_TILDE_TILDE] = ACTIONS(2538),
    [anon_sym_LT] = ACTIONS(2540),
    [anon_sym_LT_EQ] = ACTIONS(2540),
    [anon_sym_GT_EQ] = ACTIONS(2538),
    [anon_sym_lt] = ACTIONS(2538),
    [anon_sym_le] = ACTIONS(2538),
    [anon_sym_ge] = ACTIONS(2538),
    [anon_sym_gt] = ACTIONS(2538),
    [anon_sym_isa] = ACTIONS(2538),
    [anon_sym_PLUS_PLUS] = ACTIONS(2538),
    [anon_sym_DASH_DASH] = ACTIONS(2538),
    [anon_sym_QMARK] = ACTIONS(2538),
    [anon_sym_EQ_GT] = ACTIONS(2538),
    [anon_sym_for] = ACTIONS(2540),
    [anon_sym_foreach] = ACTIONS(2538),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2538),
    [anon_sym___END__] = ACTIONS(2538),
    [anon_sym_EOT] = ACTIONS(2538),
    [anon_sym_if] = ACTIONS(2538),
    [anon_sym_unless] = ACTIONS(2538),
    [anon_sym_while] = ACTIONS(2538),
    [anon_sym_until] = ACTIONS(2538),
    [sym__PERLY_SEMICOLON] = ACTIONS(2538),
    [sym__ctrl_z_hack] = ACTIONS(2538),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1229] = {
    [sym_heredoc_content] = STATE(1229),
    [anon_sym_LBRACE] = ACTIONS(2542),
    [anon_sym_RBRACE] = ACTIONS(1832),
    [anon_sym_SEMI] = ACTIONS(1832),
    [anon_sym_EQ] = ACTIONS(1828),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1832),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1832),
    [anon_sym_COMMA] = ACTIONS(1832),
    [anon_sym_RPAREN] = ACTIONS(1832),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1832),
    [anon_sym_and] = ACTIONS(1832),
    [anon_sym_or] = ACTIONS(1832),
    [anon_sym_xor] = ACTIONS(1832),
    [anon_sym_LBRACK] = ACTIONS(2542),
    [anon_sym_DASH_GT] = ACTIONS(1832),
    [anon_sym_PERCENT] = ACTIONS(1828),
    [anon_sym_GT] = ACTIONS(1828),
    [anon_sym_LT_LT] = ACTIONS(1828),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1832),
    [anon_sym_PLUS_EQ] = ACTIONS(1832),
    [anon_sym_DASH_EQ] = ACTIONS(1832),
    [anon_sym_DOT_EQ] = ACTIONS(1832),
    [anon_sym_STAR_EQ] = ACTIONS(1832),
    [anon_sym_SLASH_EQ] = ACTIONS(1832),
    [anon_sym_PERCENT_EQ] = ACTIONS(1832),
    [anon_sym_x_EQ] = ACTIONS(1832),
    [anon_sym_AMP_EQ] = ACTIONS(1832),
    [anon_sym_PIPE_EQ] = ACTIONS(1832),
    [anon_sym_CARET_EQ] = ACTIONS(1832),
    [anon_sym_LT_LT_EQ] = ACTIONS(1832),
    [anon_sym_GT_GT_EQ] = ACTIONS(1832),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1832),
    [anon_sym_DOT_DOT] = ACTIONS(1828),
    [anon_sym_STAR_STAR] = ACTIONS(1828),
    [anon_sym_PIPE_PIPE] = ACTIONS(1828),
    [anon_sym_SLASH_SLASH] = ACTIONS(1828),
    [anon_sym_CARET_CARET] = ACTIONS(1832),
    [anon_sym_AMP_AMP] = ACTIONS(1828),
    [anon_sym_PIPE] = ACTIONS(1828),
    [anon_sym_CARET] = ACTIONS(1828),
    [anon_sym_AMP] = ACTIONS(1828),
    [anon_sym_GT_GT2] = ACTIONS(1828),
    [anon_sym_PLUS] = ACTIONS(1828),
    [anon_sym_DASH] = ACTIONS(1828),
    [anon_sym_DOT] = ACTIONS(1828),
    [anon_sym_STAR] = ACTIONS(1828),
    [anon_sym_SLASH] = ACTIONS(1828),
    [anon_sym_x] = ACTIONS(1828),
    [anon_sym_EQ_TILDE] = ACTIONS(1832),
    [anon_sym_BANG_TILDE] = ACTIONS(1832),
    [anon_sym_EQ_EQ] = ACTIONS(1828),
    [anon_sym_BANG_EQ] = ACTIONS(1832),
    [anon_sym_eq] = ACTIONS(1828),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1832),
    [anon_sym_equ] = ACTIONS(1832),
    [anon_sym_eqr] = ACTIONS(1832),
    [anon_sym_ne] = ACTIONS(1832),
    [anon_sym_LT_EQ_GT] = ACTIONS(1832),
    [anon_sym_cmp] = ACTIONS(1832),
    [anon_sym_TILDE_TILDE] = ACTIONS(1832),
    [anon_sym_LT] = ACTIONS(1828),
    [anon_sym_LT_EQ] = ACTIONS(1828),
    [anon_sym_GT_EQ] = ACTIONS(1832),
    [anon_sym_lt] = ACTIONS(1832),
    [anon_sym_le] = ACTIONS(1832),
    [anon_sym_ge] = ACTIONS(1832),
    [anon_sym_gt] = ACTIONS(1832),
    [anon_sym_isa] = ACTIONS(1832),
    [anon_sym_PLUS_PLUS] = ACTIONS(1832),
    [anon_sym_DASH_DASH] = ACTIONS(1832),
    [anon_sym_QMARK] = ACTIONS(1832),
    [anon_sym_EQ_GT] = ACTIONS(1832),
    [anon_sym_for] = ACTIONS(1828),
    [anon_sym_foreach] = ACTIONS(1832),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(1832),
    [anon_sym___END__] = ACTIONS(1832),
    [anon_sym_EOT] = ACTIONS(1832),
    [anon_sym_if] = ACTIONS(1832),
    [anon_sym_unless] = ACTIONS(1832),
    [anon_sym_while] = ACTIONS(1832),
    [anon_sym_until] = ACTIONS(1832),
    [sym__PERLY_SEMICOLON] = ACTIONS(1832),
    [sym__ctrl_z_hack] = ACTIONS(1832),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1230] = {
    [sym_heredoc_content] = STATE(1230),
    [anon_sym_RBRACE] = ACTIONS(2544),
    [anon_sym_COLON] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2544),
    [anon_sym_EQ] = ACTIONS(2546),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2544),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2544),
    [anon_sym_COMMA] = ACTIONS(2544),
    [anon_sym_RPAREN] = ACTIONS(2544),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2544),
    [anon_sym_and] = ACTIONS(2544),
    [anon_sym_or] = ACTIONS(2544),
    [anon_sym_xor] = ACTIONS(2544),
    [anon_sym_DASH_GT] = ACTIONS(2544),
    [anon_sym_PERCENT] = ACTIONS(2546),
    [anon_sym_GT] = ACTIONS(2546),
    [anon_sym_LT_LT] = ACTIONS(2546),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2544),
    [anon_sym_PLUS_EQ] = ACTIONS(2544),
    [anon_sym_DASH_EQ] = ACTIONS(2544),
    [anon_sym_DOT_EQ] = ACTIONS(2544),
    [anon_sym_STAR_EQ] = ACTIONS(2544),
    [anon_sym_SLASH_EQ] = ACTIONS(2544),
    [anon_sym_PERCENT_EQ] = ACTIONS(2544),
    [anon_sym_x_EQ] = ACTIONS(2544),
    [anon_sym_AMP_EQ] = ACTIONS(2544),
    [anon_sym_PIPE_EQ] = ACTIONS(2544),
    [anon_sym_CARET_EQ] = ACTIONS(2544),
    [anon_sym_LT_LT_EQ] = ACTIONS(2544),
    [anon_sym_GT_GT_EQ] = ACTIONS(2544),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2544),
    [anon_sym_DOT_DOT] = ACTIONS(2546),
    [anon_sym_STAR_STAR] = ACTIONS(2546),
    [anon_sym_PIPE_PIPE] = ACTIONS(2546),
    [anon_sym_SLASH_SLASH] = ACTIONS(2546),
    [anon_sym_CARET_CARET] = ACTIONS(2544),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_PIPE] = ACTIONS(2546),
    [anon_sym_CARET] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2546),
    [anon_sym_GT_GT2] = ACTIONS(2546),
    [anon_sym_PLUS] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2546),
    [anon_sym_DOT] = ACTIONS(2546),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_SLASH] = ACTIONS(2546),
    [anon_sym_x] = ACTIONS(2546),
    [anon_sym_EQ_TILDE] = ACTIONS(2544),
    [anon_sym_BANG_TILDE] = ACTIONS(2544),
    [anon_sym_EQ_EQ] = ACTIONS(2546),
    [anon_sym_BANG_EQ] = ACTIONS(2544),
    [anon_sym_eq] = ACTIONS(2546),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2544),
    [anon_sym_equ] = ACTIONS(2544),
    [anon_sym_eqr] = ACTIONS(2544),
    [anon_sym_ne] = ACTIONS(2544),
    [anon_sym_LT_EQ_GT] = ACTIONS(2544),
    [anon_sym_cmp] = ACTIONS(2544),
    [anon_sym_TILDE_TILDE] = ACTIONS(2544),
    [anon_sym_LT] = ACTIONS(2546),
    [anon_sym_LT_EQ] = ACTIONS(2546),
    [anon_sym_GT_EQ] = ACTIONS(2544),
    [anon_sym_lt] = ACTIONS(2544),
    [anon_sym_le] = ACTIONS(2544),
    [anon_sym_ge] = ACTIONS(2544),
    [anon_sym_gt] = ACTIONS(2544),
    [anon_sym_isa] = ACTIONS(2544),
    [anon_sym_PLUS_PLUS] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2544),
    [anon_sym_QMARK] = ACTIONS(2544),
    [anon_sym_EQ_GT] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2546),
    [anon_sym_foreach] = ACTIONS(2544),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2544),
    [anon_sym___END__] = ACTIONS(2544),
    [anon_sym_EOT] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_unless] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_until] = ACTIONS(2544),
    [sym__PERLY_SEMICOLON] = ACTIONS(2544),
    [sym__ctrl_z_hack] = ACTIONS(2544),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1231] = {
    [sym_heredoc_content] = STATE(1231),
    [anon_sym_LBRACE] = ACTIONS(2548),
    [anon_sym_RBRACE] = ACTIONS(2548),
    [anon_sym_SEMI] = ACTIONS(2548),
    [anon_sym_EQ] = ACTIONS(2550),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2548),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2548),
    [anon_sym_COMMA] = ACTIONS(2548),
    [anon_sym_RPAREN] = ACTIONS(2548),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2548),
    [anon_sym_and] = ACTIONS(2548),
    [anon_sym_or] = ACTIONS(2548),
    [anon_sym_xor] = ACTIONS(2548),
    [anon_sym_DASH_GT] = ACTIONS(2548),
    [anon_sym_PERCENT] = ACTIONS(2550),
    [anon_sym_GT] = ACTIONS(2550),
    [anon_sym_LT_LT] = ACTIONS(2550),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2548),
    [anon_sym_PLUS_EQ] = ACTIONS(2548),
    [anon_sym_DASH_EQ] = ACTIONS(2548),
    [anon_sym_DOT_EQ] = ACTIONS(2548),
    [anon_sym_STAR_EQ] = ACTIONS(2548),
    [anon_sym_SLASH_EQ] = ACTIONS(2548),
    [anon_sym_PERCENT_EQ] = ACTIONS(2548),
    [anon_sym_x_EQ] = ACTIONS(2548),
    [anon_sym_AMP_EQ] = ACTIONS(2548),
    [anon_sym_PIPE_EQ] = ACTIONS(2548),
    [anon_sym_CARET_EQ] = ACTIONS(2548),
    [anon_sym_LT_LT_EQ] = ACTIONS(2548),
    [anon_sym_GT_GT_EQ] = ACTIONS(2548),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2548),
    [anon_sym_DOT_DOT] = ACTIONS(2550),
    [anon_sym_STAR_STAR] = ACTIONS(2550),
    [anon_sym_PIPE_PIPE] = ACTIONS(2550),
    [anon_sym_SLASH_SLASH] = ACTIONS(2550),
    [anon_sym_CARET_CARET] = ACTIONS(2548),
    [anon_sym_AMP_AMP] = ACTIONS(2550),
    [anon_sym_PIPE] = ACTIONS(2550),
    [anon_sym_CARET] = ACTIONS(2550),
    [anon_sym_AMP] = ACTIONS(2550),
    [anon_sym_GT_GT2] = ACTIONS(2550),
    [anon_sym_PLUS] = ACTIONS(2550),
    [anon_sym_DASH] = ACTIONS(2550),
    [anon_sym_DOT] = ACTIONS(2550),
    [anon_sym_STAR] = ACTIONS(2550),
    [anon_sym_SLASH] = ACTIONS(2550),
    [anon_sym_x] = ACTIONS(2550),
    [anon_sym_EQ_TILDE] = ACTIONS(2548),
    [anon_sym_BANG_TILDE] = ACTIONS(2548),
    [anon_sym_EQ_EQ] = ACTIONS(2550),
    [anon_sym_BANG_EQ] = ACTIONS(2548),
    [anon_sym_eq] = ACTIONS(2550),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2548),
    [anon_sym_equ] = ACTIONS(2548),
    [anon_sym_eqr] = ACTIONS(2548),
    [anon_sym_ne] = ACTIONS(2548),
    [anon_sym_LT_EQ_GT] = ACTIONS(2548),
    [anon_sym_cmp] = ACTIONS(2548),
    [anon_sym_TILDE_TILDE] = ACTIONS(2548),
    [anon_sym_LT] = ACTIONS(2550),
    [anon_sym_LT_EQ] = ACTIONS(2550),
    [anon_sym_GT_EQ] = ACTIONS(2548),
    [anon_sym_lt] = ACTIONS(2548),
    [anon_sym_le] = ACTIONS(2548),
    [anon_sym_ge] = ACTIONS(2548),
    [anon_sym_gt] = ACTIONS(2548),
    [anon_sym_isa] = ACTIONS(2548),
    [anon_sym_PLUS_PLUS] = ACTIONS(2548),
    [anon_sym_DASH_DASH] = ACTIONS(2548),
    [anon_sym_QMARK] = ACTIONS(2548),
    [anon_sym_EQ_GT] = ACTIONS(2548),
    [anon_sym_for] = ACTIONS(2550),
    [anon_sym_foreach] = ACTIONS(2548),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2548),
    [anon_sym___END__] = ACTIONS(2548),
    [anon_sym_EOT] = ACTIONS(2548),
    [anon_sym_if] = ACTIONS(2548),
    [anon_sym_unless] = ACTIONS(2548),
    [anon_sym_while] = ACTIONS(2548),
    [anon_sym_until] = ACTIONS(2548),
    [sym__PERLY_SEMICOLON] = ACTIONS(2548),
    [sym__ctrl_z_hack] = ACTIONS(2548),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1232] = {
    [sym_heredoc_content] = STATE(1232),
    [anon_sym_RBRACE] = ACTIONS(2552),
    [anon_sym_SEMI] = ACTIONS(2552),
    [anon_sym_EQ] = ACTIONS(2554),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2552),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2552),
    [anon_sym_COMMA] = ACTIONS(2552),
    [anon_sym_RPAREN] = ACTIONS(2552),
    [anon_sym_LPAREN] = ACTIONS(2552),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2552),
    [anon_sym_and] = ACTIONS(2552),
    [anon_sym_or] = ACTIONS(2552),
    [anon_sym_xor] = ACTIONS(2552),
    [anon_sym_DASH_GT] = ACTIONS(2552),
    [anon_sym_PERCENT] = ACTIONS(2554),
    [anon_sym_GT] = ACTIONS(2554),
    [anon_sym_LT_LT] = ACTIONS(2554),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2552),
    [anon_sym_PLUS_EQ] = ACTIONS(2552),
    [anon_sym_DASH_EQ] = ACTIONS(2552),
    [anon_sym_DOT_EQ] = ACTIONS(2552),
    [anon_sym_STAR_EQ] = ACTIONS(2552),
    [anon_sym_SLASH_EQ] = ACTIONS(2552),
    [anon_sym_PERCENT_EQ] = ACTIONS(2552),
    [anon_sym_x_EQ] = ACTIONS(2552),
    [anon_sym_AMP_EQ] = ACTIONS(2552),
    [anon_sym_PIPE_EQ] = ACTIONS(2552),
    [anon_sym_CARET_EQ] = ACTIONS(2552),
    [anon_sym_LT_LT_EQ] = ACTIONS(2552),
    [anon_sym_GT_GT_EQ] = ACTIONS(2552),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2552),
    [anon_sym_DOT_DOT] = ACTIONS(2554),
    [anon_sym_STAR_STAR] = ACTIONS(2554),
    [anon_sym_PIPE_PIPE] = ACTIONS(2554),
    [anon_sym_SLASH_SLASH] = ACTIONS(2554),
    [anon_sym_CARET_CARET] = ACTIONS(2552),
    [anon_sym_AMP_AMP] = ACTIONS(2554),
    [anon_sym_PIPE] = ACTIONS(2554),
    [anon_sym_CARET] = ACTIONS(2554),
    [anon_sym_AMP] = ACTIONS(2554),
    [anon_sym_GT_GT2] = ACTIONS(2554),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_DOT] = ACTIONS(2554),
    [anon_sym_STAR] = ACTIONS(2554),
    [anon_sym_SLASH] = ACTIONS(2554),
    [anon_sym_x] = ACTIONS(2554),
    [anon_sym_EQ_TILDE] = ACTIONS(2552),
    [anon_sym_BANG_TILDE] = ACTIONS(2552),
    [anon_sym_EQ_EQ] = ACTIONS(2554),
    [anon_sym_BANG_EQ] = ACTIONS(2552),
    [anon_sym_eq] = ACTIONS(2554),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2552),
    [anon_sym_equ] = ACTIONS(2552),
    [anon_sym_eqr] = ACTIONS(2552),
    [anon_sym_ne] = ACTIONS(2552),
    [anon_sym_LT_EQ_GT] = ACTIONS(2552),
    [anon_sym_cmp] = ACTIONS(2552),
    [anon_sym_TILDE_TILDE] = ACTIONS(2552),
    [anon_sym_LT] = ACTIONS(2554),
    [anon_sym_LT_EQ] = ACTIONS(2554),
    [anon_sym_GT_EQ] = ACTIONS(2552),
    [anon_sym_lt] = ACTIONS(2552),
    [anon_sym_le] = ACTIONS(2552),
    [anon_sym_ge] = ACTIONS(2552),
    [anon_sym_gt] = ACTIONS(2552),
    [anon_sym_isa] = ACTIONS(2552),
    [anon_sym_PLUS_PLUS] = ACTIONS(2552),
    [anon_sym_DASH_DASH] = ACTIONS(2552),
    [anon_sym_QMARK] = ACTIONS(2552),
    [anon_sym_EQ_GT] = ACTIONS(2552),
    [anon_sym_for] = ACTIONS(2554),
    [anon_sym_foreach] = ACTIONS(2552),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2552),
    [anon_sym___END__] = ACTIONS(2552),
    [anon_sym_EOT] = ACTIONS(2552),
    [anon_sym_if] = ACTIONS(2552),
    [anon_sym_unless] = ACTIONS(2552),
    [anon_sym_while] = ACTIONS(2552),
    [anon_sym_until] = ACTIONS(2552),
    [sym__PERLY_SEMICOLON] = ACTIONS(2552),
    [sym__ctrl_z_hack] = ACTIONS(2552),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1233] = {
    [sym_heredoc_content] = STATE(1233),
    [aux_sym__term_rightward_repeat1] = STATE(1269),
    [anon_sym_RBRACE] = ACTIONS(2556),
    [anon_sym_SEMI] = ACTIONS(2556),
    [anon_sym_EQ] = ACTIONS(2558),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2556),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2556),
    [anon_sym_COMMA] = ACTIONS(2560),
    [anon_sym_RPAREN] = ACTIONS(2556),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2556),
    [anon_sym_and] = ACTIONS(2556),
    [anon_sym_or] = ACTIONS(2556),
    [anon_sym_xor] = ACTIONS(2556),
    [anon_sym_DASH_GT] = ACTIONS(2556),
    [anon_sym_PERCENT] = ACTIONS(2558),
    [anon_sym_GT] = ACTIONS(2558),
    [anon_sym_LT_LT] = ACTIONS(2558),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2556),
    [anon_sym_PLUS_EQ] = ACTIONS(2556),
    [anon_sym_DASH_EQ] = ACTIONS(2556),
    [anon_sym_DOT_EQ] = ACTIONS(2556),
    [anon_sym_STAR_EQ] = ACTIONS(2556),
    [anon_sym_SLASH_EQ] = ACTIONS(2556),
    [anon_sym_PERCENT_EQ] = ACTIONS(2556),
    [anon_sym_x_EQ] = ACTIONS(2556),
    [anon_sym_AMP_EQ] = ACTIONS(2556),
    [anon_sym_PIPE_EQ] = ACTIONS(2556),
    [anon_sym_CARET_EQ] = ACTIONS(2556),
    [anon_sym_LT_LT_EQ] = ACTIONS(2556),
    [anon_sym_GT_GT_EQ] = ACTIONS(2556),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2556),
    [anon_sym_DOT_DOT] = ACTIONS(2558),
    [anon_sym_STAR_STAR] = ACTIONS(2558),
    [anon_sym_PIPE_PIPE] = ACTIONS(2558),
    [anon_sym_SLASH_SLASH] = ACTIONS(2558),
    [anon_sym_CARET_CARET] = ACTIONS(2556),
    [anon_sym_AMP_AMP] = ACTIONS(2558),
    [anon_sym_PIPE] = ACTIONS(2558),
    [anon_sym_CARET] = ACTIONS(2558),
    [anon_sym_AMP] = ACTIONS(2558),
    [anon_sym_GT_GT2] = ACTIONS(2558),
    [anon_sym_PLUS] = ACTIONS(2558),
    [anon_sym_DASH] = ACTIONS(2558),
    [anon_sym_DOT] = ACTIONS(2558),
    [anon_sym_STAR] = ACTIONS(2558),
    [anon_sym_SLASH] = ACTIONS(2558),
    [anon_sym_x] = ACTIONS(2558),
    [anon_sym_EQ_TILDE] = ACTIONS(2556),
    [anon_sym_BANG_TILDE] = ACTIONS(2556),
    [anon_sym_EQ_EQ] = ACTIONS(2558),
    [anon_sym_BANG_EQ] = ACTIONS(2556),
    [anon_sym_eq] = ACTIONS(2558),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2556),
    [anon_sym_equ] = ACTIONS(2556),
    [anon_sym_eqr] = ACTIONS(2556),
    [anon_sym_ne] = ACTIONS(2556),
    [anon_sym_LT_EQ_GT] = ACTIONS(2556),
    [anon_sym_cmp] = ACTIONS(2556),
    [anon_sym_TILDE_TILDE] = ACTIONS(2556),
    [anon_sym_LT] = ACTIONS(2558),
    [anon_sym_LT_EQ] = ACTIONS(2558),
    [anon_sym_GT_EQ] = ACTIONS(2556),
    [anon_sym_lt] = ACTIONS(2556),
    [anon_sym_le] = ACTIONS(2556),
    [anon_sym_ge] = ACTIONS(2556),
    [anon_sym_gt] = ACTIONS(2556),
    [anon_sym_isa] = ACTIONS(2556),
    [anon_sym_PLUS_PLUS] = ACTIONS(2556),
    [anon_sym_DASH_DASH] = ACTIONS(2556),
    [anon_sym_QMARK] = ACTIONS(2556),
    [anon_sym_EQ_GT] = ACTIONS(2560),
    [anon_sym_for] = ACTIONS(2558),
    [anon_sym_foreach] = ACTIONS(2556),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2556),
    [anon_sym___END__] = ACTIONS(2556),
    [anon_sym_EOT] = ACTIONS(2556),
    [anon_sym_if] = ACTIONS(2556),
    [anon_sym_unless] = ACTIONS(2556),
    [anon_sym_while] = ACTIONS(2556),
    [anon_sym_until] = ACTIONS(2556),
    [sym__PERLY_SEMICOLON] = ACTIONS(2556),
    [sym__ctrl_z_hack] = ACTIONS(2556),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1234] = {
    [sym_heredoc_content] = STATE(1234),
    [anon_sym_RBRACE] = ACTIONS(2562),
    [anon_sym_SEMI] = ACTIONS(2562),
    [anon_sym_EQ] = ACTIONS(2564),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2562),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2562),
    [anon_sym_COMMA] = ACTIONS(2562),
    [anon_sym_RPAREN] = ACTIONS(2562),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2562),
    [anon_sym_and] = ACTIONS(2562),
    [anon_sym_or] = ACTIONS(2562),
    [anon_sym_xor] = ACTIONS(2562),
    [anon_sym_LBRACK] = ACTIONS(2566),
    [anon_sym_DASH_GT] = ACTIONS(2562),
    [anon_sym_PERCENT] = ACTIONS(2564),
    [anon_sym_GT] = ACTIONS(2564),
    [anon_sym_LT_LT] = ACTIONS(2564),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2562),
    [anon_sym_PLUS_EQ] = ACTIONS(2562),
    [anon_sym_DASH_EQ] = ACTIONS(2562),
    [anon_sym_DOT_EQ] = ACTIONS(2562),
    [anon_sym_STAR_EQ] = ACTIONS(2562),
    [anon_sym_SLASH_EQ] = ACTIONS(2562),
    [anon_sym_PERCENT_EQ] = ACTIONS(2562),
    [anon_sym_x_EQ] = ACTIONS(2562),
    [anon_sym_AMP_EQ] = ACTIONS(2562),
    [anon_sym_PIPE_EQ] = ACTIONS(2562),
    [anon_sym_CARET_EQ] = ACTIONS(2562),
    [anon_sym_LT_LT_EQ] = ACTIONS(2562),
    [anon_sym_GT_GT_EQ] = ACTIONS(2562),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2562),
    [anon_sym_DOT_DOT] = ACTIONS(2564),
    [anon_sym_STAR_STAR] = ACTIONS(2564),
    [anon_sym_PIPE_PIPE] = ACTIONS(2564),
    [anon_sym_SLASH_SLASH] = ACTIONS(2564),
    [anon_sym_CARET_CARET] = ACTIONS(2562),
    [anon_sym_AMP_AMP] = ACTIONS(2564),
    [anon_sym_PIPE] = ACTIONS(2564),
    [anon_sym_CARET] = ACTIONS(2564),
    [anon_sym_AMP] = ACTIONS(2564),
    [anon_sym_GT_GT2] = ACTIONS(2564),
    [anon_sym_PLUS] = ACTIONS(2564),
    [anon_sym_DASH] = ACTIONS(2564),
    [anon_sym_DOT] = ACTIONS(2564),
    [anon_sym_STAR] = ACTIONS(2564),
    [anon_sym_SLASH] = ACTIONS(2564),
    [anon_sym_x] = ACTIONS(2564),
    [anon_sym_EQ_TILDE] = ACTIONS(2562),
    [anon_sym_BANG_TILDE] = ACTIONS(2562),
    [anon_sym_EQ_EQ] = ACTIONS(2564),
    [anon_sym_BANG_EQ] = ACTIONS(2562),
    [anon_sym_eq] = ACTIONS(2564),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2562),
    [anon_sym_equ] = ACTIONS(2562),
    [anon_sym_eqr] = ACTIONS(2562),
    [anon_sym_ne] = ACTIONS(2562),
    [anon_sym_LT_EQ_GT] = ACTIONS(2562),
    [anon_sym_cmp] = ACTIONS(2562),
    [anon_sym_TILDE_TILDE] = ACTIONS(2562),
    [anon_sym_LT] = ACTIONS(2564),
    [anon_sym_LT_EQ] = ACTIONS(2564),
    [anon_sym_GT_EQ] = ACTIONS(2562),
    [anon_sym_lt] = ACTIONS(2562),
    [anon_sym_le] = ACTIONS(2562),
    [anon_sym_ge] = ACTIONS(2562),
    [anon_sym_gt] = ACTIONS(2562),
    [anon_sym_isa] = ACTIONS(2562),
    [anon_sym_PLUS_PLUS] = ACTIONS(2562),
    [anon_sym_DASH_DASH] = ACTIONS(2562),
    [anon_sym_QMARK] = ACTIONS(2562),
    [anon_sym_EQ_GT] = ACTIONS(2562),
    [anon_sym_for] = ACTIONS(2564),
    [anon_sym_foreach] = ACTIONS(2562),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2562),
    [anon_sym___END__] = ACTIONS(2562),
    [anon_sym_EOT] = ACTIONS(2562),
    [anon_sym_if] = ACTIONS(2562),
    [anon_sym_unless] = ACTIONS(2562),
    [anon_sym_while] = ACTIONS(2562),
    [anon_sym_until] = ACTIONS(2562),
    [sym__PERLY_SEMICOLON] = ACTIONS(2562),
    [sym__ctrl_z_hack] = ACTIONS(2562),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1235] = {
    [sym_heredoc_content] = STATE(1235),
    [anon_sym_RBRACE] = ACTIONS(2568),
    [anon_sym_SEMI] = ACTIONS(2568),
    [anon_sym_EQ] = ACTIONS(2570),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2568),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2568),
    [anon_sym_COMMA] = ACTIONS(2568),
    [anon_sym_RPAREN] = ACTIONS(2568),
    [anon_sym_LPAREN] = ACTIONS(2572),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2568),
    [anon_sym_and] = ACTIONS(2568),
    [anon_sym_or] = ACTIONS(2568),
    [anon_sym_xor] = ACTIONS(2568),
    [anon_sym_DASH_GT] = ACTIONS(2568),
    [anon_sym_PERCENT] = ACTIONS(2570),
    [anon_sym_GT] = ACTIONS(2570),
    [anon_sym_LT_LT] = ACTIONS(2570),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2568),
    [anon_sym_PLUS_EQ] = ACTIONS(2568),
    [anon_sym_DASH_EQ] = ACTIONS(2568),
    [anon_sym_DOT_EQ] = ACTIONS(2568),
    [anon_sym_STAR_EQ] = ACTIONS(2568),
    [anon_sym_SLASH_EQ] = ACTIONS(2568),
    [anon_sym_PERCENT_EQ] = ACTIONS(2568),
    [anon_sym_x_EQ] = ACTIONS(2568),
    [anon_sym_AMP_EQ] = ACTIONS(2568),
    [anon_sym_PIPE_EQ] = ACTIONS(2568),
    [anon_sym_CARET_EQ] = ACTIONS(2568),
    [anon_sym_LT_LT_EQ] = ACTIONS(2568),
    [anon_sym_GT_GT_EQ] = ACTIONS(2568),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2568),
    [anon_sym_DOT_DOT] = ACTIONS(2570),
    [anon_sym_STAR_STAR] = ACTIONS(2570),
    [anon_sym_PIPE_PIPE] = ACTIONS(2570),
    [anon_sym_SLASH_SLASH] = ACTIONS(2570),
    [anon_sym_CARET_CARET] = ACTIONS(2568),
    [anon_sym_AMP_AMP] = ACTIONS(2570),
    [anon_sym_PIPE] = ACTIONS(2570),
    [anon_sym_CARET] = ACTIONS(2570),
    [anon_sym_AMP] = ACTIONS(2570),
    [anon_sym_GT_GT2] = ACTIONS(2570),
    [anon_sym_PLUS] = ACTIONS(2570),
    [anon_sym_DASH] = ACTIONS(2570),
    [anon_sym_DOT] = ACTIONS(2570),
    [anon_sym_STAR] = ACTIONS(2570),
    [anon_sym_SLASH] = ACTIONS(2570),
    [anon_sym_x] = ACTIONS(2570),
    [anon_sym_EQ_TILDE] = ACTIONS(2568),
    [anon_sym_BANG_TILDE] = ACTIONS(2568),
    [anon_sym_EQ_EQ] = ACTIONS(2570),
    [anon_sym_BANG_EQ] = ACTIONS(2568),
    [anon_sym_eq] = ACTIONS(2570),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2568),
    [anon_sym_equ] = ACTIONS(2568),
    [anon_sym_eqr] = ACTIONS(2568),
    [anon_sym_ne] = ACTIONS(2568),
    [anon_sym_LT_EQ_GT] = ACTIONS(2568),
    [anon_sym_cmp] = ACTIONS(2568),
    [anon_sym_TILDE_TILDE] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_LT_EQ] = ACTIONS(2570),
    [anon_sym_GT_EQ] = ACTIONS(2568),
    [anon_sym_lt] = ACTIONS(2568),
    [anon_sym_le] = ACTIONS(2568),
    [anon_sym_ge] = ACTIONS(2568),
    [anon_sym_gt] = ACTIONS(2568),
    [anon_sym_isa] = ACTIONS(2568),
    [anon_sym_PLUS_PLUS] = ACTIONS(2568),
    [anon_sym_DASH_DASH] = ACTIONS(2568),
    [anon_sym_QMARK] = ACTIONS(2568),
    [anon_sym_EQ_GT] = ACTIONS(2568),
    [anon_sym_for] = ACTIONS(2570),
    [anon_sym_foreach] = ACTIONS(2568),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2568),
    [anon_sym___END__] = ACTIONS(2568),
    [anon_sym_EOT] = ACTIONS(2568),
    [anon_sym_if] = ACTIONS(2568),
    [anon_sym_unless] = ACTIONS(2568),
    [anon_sym_while] = ACTIONS(2568),
    [anon_sym_until] = ACTIONS(2568),
    [sym__PERLY_SEMICOLON] = ACTIONS(2568),
    [sym__ctrl_z_hack] = ACTIONS(2568),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1236] = {
    [sym_heredoc_content] = STATE(1236),
    [anon_sym_RBRACE] = ACTIONS(2574),
    [anon_sym_SEMI] = ACTIONS(2574),
    [anon_sym_EQ] = ACTIONS(2576),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2574),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2574),
    [anon_sym_COMMA] = ACTIONS(2574),
    [anon_sym_RPAREN] = ACTIONS(2574),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2574),
    [anon_sym_and] = ACTIONS(2576),
    [anon_sym_or] = ACTIONS(2576),
    [anon_sym_xor] = ACTIONS(2576),
    [anon_sym_DASH_GT] = ACTIONS(2574),
    [anon_sym_PERCENT] = ACTIONS(2576),
    [anon_sym_GT] = ACTIONS(2576),
    [anon_sym_LT_LT] = ACTIONS(2576),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2574),
    [anon_sym_PLUS_EQ] = ACTIONS(2574),
    [anon_sym_DASH_EQ] = ACTIONS(2574),
    [anon_sym_DOT_EQ] = ACTIONS(2574),
    [anon_sym_STAR_EQ] = ACTIONS(2574),
    [anon_sym_SLASH_EQ] = ACTIONS(2574),
    [anon_sym_PERCENT_EQ] = ACTIONS(2574),
    [anon_sym_x_EQ] = ACTIONS(2576),
    [anon_sym_AMP_EQ] = ACTIONS(2574),
    [anon_sym_PIPE_EQ] = ACTIONS(2574),
    [anon_sym_CARET_EQ] = ACTIONS(2574),
    [anon_sym_LT_LT_EQ] = ACTIONS(2574),
    [anon_sym_GT_GT_EQ] = ACTIONS(2574),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2574),
    [anon_sym_DOT_DOT] = ACTIONS(2576),
    [anon_sym_STAR_STAR] = ACTIONS(2576),
    [anon_sym_PIPE_PIPE] = ACTIONS(2576),
    [anon_sym_SLASH_SLASH] = ACTIONS(2576),
    [anon_sym_CARET_CARET] = ACTIONS(2574),
    [anon_sym_AMP_AMP] = ACTIONS(2576),
    [anon_sym_PIPE] = ACTIONS(2576),
    [anon_sym_CARET] = ACTIONS(2576),
    [anon_sym_AMP] = ACTIONS(2576),
    [anon_sym_GT_GT2] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2576),
    [anon_sym_DASH] = ACTIONS(2576),
    [anon_sym_DOT] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2576),
    [anon_sym_SLASH] = ACTIONS(2576),
    [anon_sym_x] = ACTIONS(2576),
    [anon_sym_EQ_TILDE] = ACTIONS(2574),
    [anon_sym_BANG_TILDE] = ACTIONS(2574),
    [anon_sym_EQ_EQ] = ACTIONS(2576),
    [anon_sym_BANG_EQ] = ACTIONS(2574),
    [anon_sym_eq] = ACTIONS(2576),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2574),
    [anon_sym_equ] = ACTIONS(2574),
    [anon_sym_eqr] = ACTIONS(2574),
    [anon_sym_ne] = ACTIONS(2576),
    [anon_sym_LT_EQ_GT] = ACTIONS(2574),
    [anon_sym_cmp] = ACTIONS(2576),
    [anon_sym_TILDE_TILDE] = ACTIONS(2574),
    [anon_sym_LT] = ACTIONS(2576),
    [anon_sym_LT_EQ] = ACTIONS(2576),
    [anon_sym_GT_EQ] = ACTIONS(2574),
    [anon_sym_lt] = ACTIONS(2576),
    [anon_sym_le] = ACTIONS(2576),
    [anon_sym_ge] = ACTIONS(2576),
    [anon_sym_gt] = ACTIONS(2576),
    [anon_sym_isa] = ACTIONS(2576),
    [anon_sym_PLUS_PLUS] = ACTIONS(2574),
    [anon_sym_DASH_DASH] = ACTIONS(2574),
    [anon_sym_QMARK] = ACTIONS(2574),
    [anon_sym_EQ_GT] = ACTIONS(2574),
    [anon_sym_for] = ACTIONS(2576),
    [anon_sym_foreach] = ACTIONS(2574),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2574),
    [anon_sym___END__] = ACTIONS(2574),
    [anon_sym_EOT] = ACTIONS(2574),
    [sym_match_regexp_modifiers] = ACTIONS(2578),
    [anon_sym_if] = ACTIONS(2576),
    [anon_sym_unless] = ACTIONS(2576),
    [anon_sym_while] = ACTIONS(2574),
    [anon_sym_until] = ACTIONS(2576),
    [sym__PERLY_SEMICOLON] = ACTIONS(2574),
    [sym__ctrl_z_hack] = ACTIONS(2574),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1237] = {
    [sym_heredoc_content] = STATE(1237),
    [aux_sym__term_rightward_repeat1] = STATE(2543),
    [anon_sym_RBRACE] = ACTIONS(2580),
    [anon_sym_SEMI] = ACTIONS(2580),
    [anon_sym_EQ] = ACTIONS(2583),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2585),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2585),
    [anon_sym_COMMA] = ACTIONS(2587),
    [anon_sym_RPAREN] = ACTIONS(2580),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2589),
    [anon_sym_and] = ACTIONS(2580),
    [anon_sym_or] = ACTIONS(2580),
    [anon_sym_xor] = ACTIONS(2580),
    [anon_sym_DASH_GT] = ACTIONS(2591),
    [anon_sym_PERCENT] = ACTIONS(2593),
    [anon_sym_GT] = ACTIONS(2595),
    [anon_sym_LT_LT] = ACTIONS(2597),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2585),
    [anon_sym_PLUS_EQ] = ACTIONS(2585),
    [anon_sym_DASH_EQ] = ACTIONS(2585),
    [anon_sym_DOT_EQ] = ACTIONS(2585),
    [anon_sym_STAR_EQ] = ACTIONS(2585),
    [anon_sym_SLASH_EQ] = ACTIONS(2585),
    [anon_sym_PERCENT_EQ] = ACTIONS(2585),
    [anon_sym_x_EQ] = ACTIONS(2585),
    [anon_sym_AMP_EQ] = ACTIONS(2585),
    [anon_sym_PIPE_EQ] = ACTIONS(2585),
    [anon_sym_CARET_EQ] = ACTIONS(2585),
    [anon_sym_LT_LT_EQ] = ACTIONS(2585),
    [anon_sym_GT_GT_EQ] = ACTIONS(2585),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2585),
    [anon_sym_DOT_DOT] = ACTIONS(2599),
    [anon_sym_STAR_STAR] = ACTIONS(2601),
    [anon_sym_PIPE_PIPE] = ACTIONS(2603),
    [anon_sym_SLASH_SLASH] = ACTIONS(2603),
    [anon_sym_CARET_CARET] = ACTIONS(2605),
    [anon_sym_AMP_AMP] = ACTIONS(2607),
    [anon_sym_PIPE] = ACTIONS(2609),
    [anon_sym_CARET] = ACTIONS(2609),
    [anon_sym_AMP] = ACTIONS(2611),
    [anon_sym_GT_GT2] = ACTIONS(2597),
    [anon_sym_PLUS] = ACTIONS(2613),
    [anon_sym_DASH] = ACTIONS(2613),
    [anon_sym_DOT] = ACTIONS(2613),
    [anon_sym_STAR] = ACTIONS(2593),
    [anon_sym_SLASH] = ACTIONS(2593),
    [anon_sym_x] = ACTIONS(2593),
    [anon_sym_EQ_TILDE] = ACTIONS(2615),
    [anon_sym_BANG_TILDE] = ACTIONS(2615),
    [anon_sym_EQ_EQ] = ACTIONS(2617),
    [anon_sym_BANG_EQ] = ACTIONS(2619),
    [anon_sym_eq] = ACTIONS(2617),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2619),
    [anon_sym_equ] = ACTIONS(2619),
    [anon_sym_eqr] = ACTIONS(2619),
    [anon_sym_ne] = ACTIONS(2619),
    [anon_sym_LT_EQ_GT] = ACTIONS(2621),
    [anon_sym_cmp] = ACTIONS(2621),
    [anon_sym_TILDE_TILDE] = ACTIONS(2621),
    [anon_sym_LT] = ACTIONS(2595),
    [anon_sym_LT_EQ] = ACTIONS(2595),
    [anon_sym_GT_EQ] = ACTIONS(2623),
    [anon_sym_lt] = ACTIONS(2623),
    [anon_sym_le] = ACTIONS(2623),
    [anon_sym_ge] = ACTIONS(2623),
    [anon_sym_gt] = ACTIONS(2623),
    [anon_sym_isa] = ACTIONS(2625),
    [anon_sym_PLUS_PLUS] = ACTIONS(2627),
    [anon_sym_DASH_DASH] = ACTIONS(2627),
    [anon_sym_QMARK] = ACTIONS(2629),
    [anon_sym_EQ_GT] = ACTIONS(2587),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_foreach] = ACTIONS(2580),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2580),
    [anon_sym___END__] = ACTIONS(2580),
    [anon_sym_EOT] = ACTIONS(2580),
    [anon_sym_if] = ACTIONS(2580),
    [anon_sym_unless] = ACTIONS(2580),
    [anon_sym_while] = ACTIONS(2580),
    [anon_sym_until] = ACTIONS(2580),
    [sym__PERLY_SEMICOLON] = ACTIONS(2580),
    [sym__ctrl_z_hack] = ACTIONS(2580),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1238] = {
    [sym_heredoc_content] = STATE(1238),
    [anon_sym_RBRACE] = ACTIONS(2532),
    [anon_sym_SEMI] = ACTIONS(2532),
    [anon_sym_EQ] = ACTIONS(2534),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2532),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2532),
    [anon_sym_COMMA] = ACTIONS(2532),
    [anon_sym_RPAREN] = ACTIONS(2532),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2532),
    [anon_sym_and] = ACTIONS(2534),
    [anon_sym_or] = ACTIONS(2534),
    [anon_sym_xor] = ACTIONS(2534),
    [anon_sym_DASH_GT] = ACTIONS(2532),
    [anon_sym_PERCENT] = ACTIONS(2534),
    [anon_sym_GT] = ACTIONS(2534),
    [anon_sym_LT_LT] = ACTIONS(2534),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2532),
    [anon_sym_PLUS_EQ] = ACTIONS(2532),
    [anon_sym_DASH_EQ] = ACTIONS(2532),
    [anon_sym_DOT_EQ] = ACTIONS(2532),
    [anon_sym_STAR_EQ] = ACTIONS(2532),
    [anon_sym_SLASH_EQ] = ACTIONS(2532),
    [anon_sym_PERCENT_EQ] = ACTIONS(2532),
    [anon_sym_x_EQ] = ACTIONS(2534),
    [anon_sym_AMP_EQ] = ACTIONS(2532),
    [anon_sym_PIPE_EQ] = ACTIONS(2532),
    [anon_sym_CARET_EQ] = ACTIONS(2532),
    [anon_sym_LT_LT_EQ] = ACTIONS(2532),
    [anon_sym_GT_GT_EQ] = ACTIONS(2532),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2532),
    [anon_sym_DOT_DOT] = ACTIONS(2534),
    [anon_sym_STAR_STAR] = ACTIONS(2534),
    [anon_sym_PIPE_PIPE] = ACTIONS(2534),
    [anon_sym_SLASH_SLASH] = ACTIONS(2534),
    [anon_sym_CARET_CARET] = ACTIONS(2532),
    [anon_sym_AMP_AMP] = ACTIONS(2534),
    [anon_sym_PIPE] = ACTIONS(2534),
    [anon_sym_CARET] = ACTIONS(2534),
    [anon_sym_AMP] = ACTIONS(2534),
    [anon_sym_GT_GT2] = ACTIONS(2534),
    [anon_sym_PLUS] = ACTIONS(2534),
    [anon_sym_DASH] = ACTIONS(2534),
    [anon_sym_DOT] = ACTIONS(2534),
    [anon_sym_STAR] = ACTIONS(2534),
    [anon_sym_SLASH] = ACTIONS(2534),
    [anon_sym_x] = ACTIONS(2534),
    [anon_sym_EQ_TILDE] = ACTIONS(2532),
    [anon_sym_BANG_TILDE] = ACTIONS(2532),
    [anon_sym_EQ_EQ] = ACTIONS(2534),
    [anon_sym_BANG_EQ] = ACTIONS(2532),
    [anon_sym_eq] = ACTIONS(2534),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2532),
    [anon_sym_equ] = ACTIONS(2532),
    [anon_sym_eqr] = ACTIONS(2532),
    [anon_sym_ne] = ACTIONS(2534),
    [anon_sym_LT_EQ_GT] = ACTIONS(2532),
    [anon_sym_cmp] = ACTIONS(2534),
    [anon_sym_TILDE_TILDE] = ACTIONS(2532),
    [anon_sym_LT] = ACTIONS(2534),
    [anon_sym_LT_EQ] = ACTIONS(2534),
    [anon_sym_GT_EQ] = ACTIONS(2532),
    [anon_sym_lt] = ACTIONS(2534),
    [anon_sym_le] = ACTIONS(2534),
    [anon_sym_ge] = ACTIONS(2534),
    [anon_sym_gt] = ACTIONS(2534),
    [anon_sym_isa] = ACTIONS(2534),
    [anon_sym_PLUS_PLUS] = ACTIONS(2532),
    [anon_sym_DASH_DASH] = ACTIONS(2532),
    [anon_sym_QMARK] = ACTIONS(2532),
    [anon_sym_EQ_GT] = ACTIONS(2532),
    [anon_sym_for] = ACTIONS(2534),
    [anon_sym_foreach] = ACTIONS(2532),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2532),
    [anon_sym___END__] = ACTIONS(2532),
    [anon_sym_EOT] = ACTIONS(2532),
    [sym_match_regexp_modifiers] = ACTIONS(2532),
    [anon_sym_if] = ACTIONS(2534),
    [anon_sym_unless] = ACTIONS(2534),
    [anon_sym_while] = ACTIONS(2532),
    [anon_sym_until] = ACTIONS(2534),
    [sym__PERLY_SEMICOLON] = ACTIONS(2532),
    [sym__ctrl_z_hack] = ACTIONS(2532),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1239] = {
    [sym_heredoc_content] = STATE(1239),
    [anon_sym_RBRACE] = ACTIONS(2634),
    [anon_sym_SEMI] = ACTIONS(2634),
    [anon_sym_EQ] = ACTIONS(2636),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2634),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2634),
    [anon_sym_COMMA] = ACTIONS(2634),
    [anon_sym_RPAREN] = ACTIONS(2634),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2634),
    [anon_sym_and] = ACTIONS(2636),
    [anon_sym_or] = ACTIONS(2636),
    [anon_sym_xor] = ACTIONS(2636),
    [anon_sym_DASH_GT] = ACTIONS(2634),
    [anon_sym_PERCENT] = ACTIONS(2636),
    [anon_sym_GT] = ACTIONS(2636),
    [anon_sym_LT_LT] = ACTIONS(2636),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2634),
    [anon_sym_PLUS_EQ] = ACTIONS(2634),
    [anon_sym_DASH_EQ] = ACTIONS(2634),
    [anon_sym_DOT_EQ] = ACTIONS(2634),
    [anon_sym_STAR_EQ] = ACTIONS(2634),
    [anon_sym_SLASH_EQ] = ACTIONS(2634),
    [anon_sym_PERCENT_EQ] = ACTIONS(2634),
    [anon_sym_x_EQ] = ACTIONS(2636),
    [anon_sym_AMP_EQ] = ACTIONS(2634),
    [anon_sym_PIPE_EQ] = ACTIONS(2634),
    [anon_sym_CARET_EQ] = ACTIONS(2634),
    [anon_sym_LT_LT_EQ] = ACTIONS(2634),
    [anon_sym_GT_GT_EQ] = ACTIONS(2634),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2634),
    [anon_sym_DOT_DOT] = ACTIONS(2636),
    [anon_sym_STAR_STAR] = ACTIONS(2636),
    [anon_sym_PIPE_PIPE] = ACTIONS(2636),
    [anon_sym_SLASH_SLASH] = ACTIONS(2636),
    [anon_sym_CARET_CARET] = ACTIONS(2634),
    [anon_sym_AMP_AMP] = ACTIONS(2636),
    [anon_sym_PIPE] = ACTIONS(2636),
    [anon_sym_CARET] = ACTIONS(2636),
    [anon_sym_AMP] = ACTIONS(2636),
    [anon_sym_GT_GT2] = ACTIONS(2636),
    [anon_sym_PLUS] = ACTIONS(2636),
    [anon_sym_DASH] = ACTIONS(2636),
    [anon_sym_DOT] = ACTIONS(2636),
    [anon_sym_STAR] = ACTIONS(2636),
    [anon_sym_SLASH] = ACTIONS(2636),
    [anon_sym_x] = ACTIONS(2636),
    [anon_sym_EQ_TILDE] = ACTIONS(2634),
    [anon_sym_BANG_TILDE] = ACTIONS(2634),
    [anon_sym_EQ_EQ] = ACTIONS(2636),
    [anon_sym_BANG_EQ] = ACTIONS(2634),
    [anon_sym_eq] = ACTIONS(2636),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2634),
    [anon_sym_equ] = ACTIONS(2634),
    [anon_sym_eqr] = ACTIONS(2634),
    [anon_sym_ne] = ACTIONS(2636),
    [anon_sym_LT_EQ_GT] = ACTIONS(2634),
    [anon_sym_cmp] = ACTIONS(2636),
    [anon_sym_TILDE_TILDE] = ACTIONS(2634),
    [anon_sym_LT] = ACTIONS(2636),
    [anon_sym_LT_EQ] = ACTIONS(2636),
    [anon_sym_GT_EQ] = ACTIONS(2634),
    [anon_sym_lt] = ACTIONS(2636),
    [anon_sym_le] = ACTIONS(2636),
    [anon_sym_ge] = ACTIONS(2636),
    [anon_sym_gt] = ACTIONS(2636),
    [anon_sym_isa] = ACTIONS(2636),
    [anon_sym_PLUS_PLUS] = ACTIONS(2634),
    [anon_sym_DASH_DASH] = ACTIONS(2634),
    [anon_sym_QMARK] = ACTIONS(2634),
    [anon_sym_EQ_GT] = ACTIONS(2634),
    [anon_sym_for] = ACTIONS(2636),
    [anon_sym_foreach] = ACTIONS(2634),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2634),
    [anon_sym___END__] = ACTIONS(2634),
    [anon_sym_EOT] = ACTIONS(2634),
    [sym_match_regexp_modifiers] = ACTIONS(2638),
    [anon_sym_if] = ACTIONS(2636),
    [anon_sym_unless] = ACTIONS(2636),
    [anon_sym_while] = ACTIONS(2634),
    [anon_sym_until] = ACTIONS(2636),
    [sym__PERLY_SEMICOLON] = ACTIONS(2634),
    [sym__ctrl_z_hack] = ACTIONS(2634),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1240] = {
    [sym_heredoc_content] = STATE(1240),
    [anon_sym_RBRACE] = ACTIONS(2640),
    [anon_sym_COLON] = ACTIONS(2640),
    [anon_sym_SEMI] = ACTIONS(2640),
    [anon_sym_EQ] = ACTIONS(2642),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2640),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2640),
    [anon_sym_COMMA] = ACTIONS(2640),
    [anon_sym_RPAREN] = ACTIONS(2640),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2640),
    [anon_sym_and] = ACTIONS(2640),
    [anon_sym_or] = ACTIONS(2640),
    [anon_sym_xor] = ACTIONS(2640),
    [anon_sym_DASH_GT] = ACTIONS(2640),
    [anon_sym_PERCENT] = ACTIONS(2642),
    [anon_sym_GT] = ACTIONS(2642),
    [anon_sym_LT_LT] = ACTIONS(2642),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2640),
    [anon_sym_PLUS_EQ] = ACTIONS(2640),
    [anon_sym_DASH_EQ] = ACTIONS(2640),
    [anon_sym_DOT_EQ] = ACTIONS(2640),
    [anon_sym_STAR_EQ] = ACTIONS(2640),
    [anon_sym_SLASH_EQ] = ACTIONS(2640),
    [anon_sym_PERCENT_EQ] = ACTIONS(2640),
    [anon_sym_x_EQ] = ACTIONS(2640),
    [anon_sym_AMP_EQ] = ACTIONS(2640),
    [anon_sym_PIPE_EQ] = ACTIONS(2640),
    [anon_sym_CARET_EQ] = ACTIONS(2640),
    [anon_sym_LT_LT_EQ] = ACTIONS(2640),
    [anon_sym_GT_GT_EQ] = ACTIONS(2640),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2640),
    [anon_sym_DOT_DOT] = ACTIONS(2642),
    [anon_sym_STAR_STAR] = ACTIONS(2642),
    [anon_sym_PIPE_PIPE] = ACTIONS(2642),
    [anon_sym_SLASH_SLASH] = ACTIONS(2642),
    [anon_sym_CARET_CARET] = ACTIONS(2640),
    [anon_sym_AMP_AMP] = ACTIONS(2642),
    [anon_sym_PIPE] = ACTIONS(2642),
    [anon_sym_CARET] = ACTIONS(2642),
    [anon_sym_AMP] = ACTIONS(2642),
    [anon_sym_GT_GT2] = ACTIONS(2642),
    [anon_sym_PLUS] = ACTIONS(2642),
    [anon_sym_DASH] = ACTIONS(2642),
    [anon_sym_DOT] = ACTIONS(2642),
    [anon_sym_STAR] = ACTIONS(2642),
    [anon_sym_SLASH] = ACTIONS(2642),
    [anon_sym_x] = ACTIONS(2642),
    [anon_sym_EQ_TILDE] = ACTIONS(2640),
    [anon_sym_BANG_TILDE] = ACTIONS(2640),
    [anon_sym_EQ_EQ] = ACTIONS(2642),
    [anon_sym_BANG_EQ] = ACTIONS(2640),
    [anon_sym_eq] = ACTIONS(2642),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2640),
    [anon_sym_equ] = ACTIONS(2640),
    [anon_sym_eqr] = ACTIONS(2640),
    [anon_sym_ne] = ACTIONS(2640),
    [anon_sym_LT_EQ_GT] = ACTIONS(2640),
    [anon_sym_cmp] = ACTIONS(2640),
    [anon_sym_TILDE_TILDE] = ACTIONS(2640),
    [anon_sym_LT] = ACTIONS(2642),
    [anon_sym_LT_EQ] = ACTIONS(2642),
    [anon_sym_GT_EQ] = ACTIONS(2640),
    [anon_sym_lt] = ACTIONS(2640),
    [anon_sym_le] = ACTIONS(2640),
    [anon_sym_ge] = ACTIONS(2640),
    [anon_sym_gt] = ACTIONS(2640),
    [anon_sym_isa] = ACTIONS(2640),
    [anon_sym_PLUS_PLUS] = ACTIONS(2640),
    [anon_sym_DASH_DASH] = ACTIONS(2640),
    [anon_sym_QMARK] = ACTIONS(2640),
    [anon_sym_EQ_GT] = ACTIONS(2640),
    [anon_sym_for] = ACTIONS(2642),
    [anon_sym_foreach] = ACTIONS(2640),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2640),
    [anon_sym___END__] = ACTIONS(2640),
    [anon_sym_EOT] = ACTIONS(2640),
    [anon_sym_if] = ACTIONS(2640),
    [anon_sym_unless] = ACTIONS(2640),
    [anon_sym_while] = ACTIONS(2640),
    [anon_sym_until] = ACTIONS(2640),
    [sym__PERLY_SEMICOLON] = ACTIONS(2640),
    [sym__ctrl_z_hack] = ACTIONS(2640),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1241] = {
    [sym_heredoc_content] = STATE(1241),
    [anon_sym_RBRACE] = ACTIONS(2644),
    [anon_sym_COLON] = ACTIONS(2644),
    [anon_sym_SEMI] = ACTIONS(2644),
    [anon_sym_EQ] = ACTIONS(2646),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2644),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2644),
    [anon_sym_COMMA] = ACTIONS(2644),
    [anon_sym_RPAREN] = ACTIONS(2644),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2644),
    [anon_sym_and] = ACTIONS(2644),
    [anon_sym_or] = ACTIONS(2644),
    [anon_sym_xor] = ACTIONS(2644),
    [anon_sym_DASH_GT] = ACTIONS(2644),
    [anon_sym_PERCENT] = ACTIONS(2646),
    [anon_sym_GT] = ACTIONS(2646),
    [anon_sym_LT_LT] = ACTIONS(2646),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2644),
    [anon_sym_PLUS_EQ] = ACTIONS(2644),
    [anon_sym_DASH_EQ] = ACTIONS(2644),
    [anon_sym_DOT_EQ] = ACTIONS(2644),
    [anon_sym_STAR_EQ] = ACTIONS(2644),
    [anon_sym_SLASH_EQ] = ACTIONS(2644),
    [anon_sym_PERCENT_EQ] = ACTIONS(2644),
    [anon_sym_x_EQ] = ACTIONS(2644),
    [anon_sym_AMP_EQ] = ACTIONS(2644),
    [anon_sym_PIPE_EQ] = ACTIONS(2644),
    [anon_sym_CARET_EQ] = ACTIONS(2644),
    [anon_sym_LT_LT_EQ] = ACTIONS(2644),
    [anon_sym_GT_GT_EQ] = ACTIONS(2644),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2644),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_STAR_STAR] = ACTIONS(2646),
    [anon_sym_PIPE_PIPE] = ACTIONS(2646),
    [anon_sym_SLASH_SLASH] = ACTIONS(2646),
    [anon_sym_CARET_CARET] = ACTIONS(2644),
    [anon_sym_AMP_AMP] = ACTIONS(2646),
    [anon_sym_PIPE] = ACTIONS(2646),
    [anon_sym_CARET] = ACTIONS(2646),
    [anon_sym_AMP] = ACTIONS(2646),
    [anon_sym_GT_GT2] = ACTIONS(2646),
    [anon_sym_PLUS] = ACTIONS(2646),
    [anon_sym_DASH] = ACTIONS(2646),
    [anon_sym_DOT] = ACTIONS(2646),
    [anon_sym_STAR] = ACTIONS(2646),
    [anon_sym_SLASH] = ACTIONS(2646),
    [anon_sym_x] = ACTIONS(2646),
    [anon_sym_EQ_TILDE] = ACTIONS(2644),
    [anon_sym_BANG_TILDE] = ACTIONS(2644),
    [anon_sym_EQ_EQ] = ACTIONS(2646),
    [anon_sym_BANG_EQ] = ACTIONS(2644),
    [anon_sym_eq] = ACTIONS(2646),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2644),
    [anon_sym_equ] = ACTIONS(2644),
    [anon_sym_eqr] = ACTIONS(2644),
    [anon_sym_ne] = ACTIONS(2644),
    [anon_sym_LT_EQ_GT] = ACTIONS(2644),
    [anon_sym_cmp] = ACTIONS(2644),
    [anon_sym_TILDE_TILDE] = ACTIONS(2644),
    [anon_sym_LT] = ACTIONS(2646),
    [anon_sym_LT_EQ] = ACTIONS(2646),
    [anon_sym_GT_EQ] = ACTIONS(2644),
    [anon_sym_lt] = ACTIONS(2644),
    [anon_sym_le] = ACTIONS(2644),
    [anon_sym_ge] = ACTIONS(2644),
    [anon_sym_gt] = ACTIONS(2644),
    [anon_sym_isa] = ACTIONS(2644),
    [anon_sym_PLUS_PLUS] = ACTIONS(2644),
    [anon_sym_DASH_DASH] = ACTIONS(2644),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_EQ_GT] = ACTIONS(2644),
    [anon_sym_for] = ACTIONS(2646),
    [anon_sym_foreach] = ACTIONS(2644),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2644),
    [anon_sym___END__] = ACTIONS(2644),
    [anon_sym_EOT] = ACTIONS(2644),
    [anon_sym_if] = ACTIONS(2644),
    [anon_sym_unless] = ACTIONS(2644),
    [anon_sym_while] = ACTIONS(2644),
    [anon_sym_until] = ACTIONS(2644),
    [sym__PERLY_SEMICOLON] = ACTIONS(2644),
    [sym__ctrl_z_hack] = ACTIONS(2644),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1242] = {
    [sym_heredoc_content] = STATE(1242),
    [anon_sym_RBRACE] = ACTIONS(2648),
    [anon_sym_SEMI] = ACTIONS(2648),
    [anon_sym_EQ] = ACTIONS(2650),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2648),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2648),
    [anon_sym_COMMA] = ACTIONS(2648),
    [anon_sym_RPAREN] = ACTIONS(2648),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2648),
    [anon_sym_and] = ACTIONS(2648),
    [anon_sym_or] = ACTIONS(2648),
    [anon_sym_xor] = ACTIONS(2648),
    [anon_sym_LBRACK] = ACTIONS(2648),
    [anon_sym_DASH_GT] = ACTIONS(2648),
    [anon_sym_PERCENT] = ACTIONS(2650),
    [anon_sym_GT] = ACTIONS(2650),
    [anon_sym_LT_LT] = ACTIONS(2650),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2648),
    [anon_sym_PLUS_EQ] = ACTIONS(2648),
    [anon_sym_DASH_EQ] = ACTIONS(2648),
    [anon_sym_DOT_EQ] = ACTIONS(2648),
    [anon_sym_STAR_EQ] = ACTIONS(2648),
    [anon_sym_SLASH_EQ] = ACTIONS(2648),
    [anon_sym_PERCENT_EQ] = ACTIONS(2648),
    [anon_sym_x_EQ] = ACTIONS(2648),
    [anon_sym_AMP_EQ] = ACTIONS(2648),
    [anon_sym_PIPE_EQ] = ACTIONS(2648),
    [anon_sym_CARET_EQ] = ACTIONS(2648),
    [anon_sym_LT_LT_EQ] = ACTIONS(2648),
    [anon_sym_GT_GT_EQ] = ACTIONS(2648),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2648),
    [anon_sym_DOT_DOT] = ACTIONS(2650),
    [anon_sym_STAR_STAR] = ACTIONS(2650),
    [anon_sym_PIPE_PIPE] = ACTIONS(2650),
    [anon_sym_SLASH_SLASH] = ACTIONS(2650),
    [anon_sym_CARET_CARET] = ACTIONS(2648),
    [anon_sym_AMP_AMP] = ACTIONS(2650),
    [anon_sym_PIPE] = ACTIONS(2650),
    [anon_sym_CARET] = ACTIONS(2650),
    [anon_sym_AMP] = ACTIONS(2650),
    [anon_sym_GT_GT2] = ACTIONS(2650),
    [anon_sym_PLUS] = ACTIONS(2650),
    [anon_sym_DASH] = ACTIONS(2650),
    [anon_sym_DOT] = ACTIONS(2650),
    [anon_sym_STAR] = ACTIONS(2650),
    [anon_sym_SLASH] = ACTIONS(2650),
    [anon_sym_x] = ACTIONS(2650),
    [anon_sym_EQ_TILDE] = ACTIONS(2648),
    [anon_sym_BANG_TILDE] = ACTIONS(2648),
    [anon_sym_EQ_EQ] = ACTIONS(2650),
    [anon_sym_BANG_EQ] = ACTIONS(2648),
    [anon_sym_eq] = ACTIONS(2650),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2648),
    [anon_sym_equ] = ACTIONS(2648),
    [anon_sym_eqr] = ACTIONS(2648),
    [anon_sym_ne] = ACTIONS(2648),
    [anon_sym_LT_EQ_GT] = ACTIONS(2648),
    [anon_sym_cmp] = ACTIONS(2648),
    [anon_sym_TILDE_TILDE] = ACTIONS(2648),
    [anon_sym_LT] = ACTIONS(2650),
    [anon_sym_LT_EQ] = ACTIONS(2650),
    [anon_sym_GT_EQ] = ACTIONS(2648),
    [anon_sym_lt] = ACTIONS(2648),
    [anon_sym_le] = ACTIONS(2648),
    [anon_sym_ge] = ACTIONS(2648),
    [anon_sym_gt] = ACTIONS(2648),
    [anon_sym_isa] = ACTIONS(2648),
    [anon_sym_PLUS_PLUS] = ACTIONS(2648),
    [anon_sym_DASH_DASH] = ACTIONS(2648),
    [anon_sym_QMARK] = ACTIONS(2648),
    [anon_sym_EQ_GT] = ACTIONS(2648),
    [anon_sym_for] = ACTIONS(2650),
    [anon_sym_foreach] = ACTIONS(2648),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2648),
    [anon_sym___END__] = ACTIONS(2648),
    [anon_sym_EOT] = ACTIONS(2648),
    [anon_sym_if] = ACTIONS(2648),
    [anon_sym_unless] = ACTIONS(2648),
    [anon_sym_while] = ACTIONS(2648),
    [anon_sym_until] = ACTIONS(2648),
    [sym__PERLY_SEMICOLON] = ACTIONS(2648),
    [sym__ctrl_z_hack] = ACTIONS(2648),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1243] = {
    [sym_heredoc_content] = STATE(1243),
    [anon_sym_RBRACE] = ACTIONS(2532),
    [anon_sym_SEMI] = ACTIONS(2532),
    [anon_sym_EQ] = ACTIONS(2534),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2532),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2532),
    [anon_sym_COMMA] = ACTIONS(2532),
    [anon_sym_RPAREN] = ACTIONS(2532),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2532),
    [anon_sym_and] = ACTIONS(2534),
    [anon_sym_or] = ACTIONS(2534),
    [anon_sym_xor] = ACTIONS(2534),
    [anon_sym_DASH_GT] = ACTIONS(2532),
    [anon_sym_PERCENT] = ACTIONS(2534),
    [anon_sym_GT] = ACTIONS(2534),
    [anon_sym_LT_LT] = ACTIONS(2534),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2532),
    [anon_sym_PLUS_EQ] = ACTIONS(2532),
    [anon_sym_DASH_EQ] = ACTIONS(2532),
    [anon_sym_DOT_EQ] = ACTIONS(2532),
    [anon_sym_STAR_EQ] = ACTIONS(2532),
    [anon_sym_SLASH_EQ] = ACTIONS(2532),
    [anon_sym_PERCENT_EQ] = ACTIONS(2532),
    [anon_sym_x_EQ] = ACTIONS(2534),
    [anon_sym_AMP_EQ] = ACTIONS(2532),
    [anon_sym_PIPE_EQ] = ACTIONS(2532),
    [anon_sym_CARET_EQ] = ACTIONS(2532),
    [anon_sym_LT_LT_EQ] = ACTIONS(2532),
    [anon_sym_GT_GT_EQ] = ACTIONS(2532),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2532),
    [anon_sym_DOT_DOT] = ACTIONS(2534),
    [anon_sym_STAR_STAR] = ACTIONS(2534),
    [anon_sym_PIPE_PIPE] = ACTIONS(2534),
    [anon_sym_SLASH_SLASH] = ACTIONS(2534),
    [anon_sym_CARET_CARET] = ACTIONS(2532),
    [anon_sym_AMP_AMP] = ACTIONS(2534),
    [anon_sym_PIPE] = ACTIONS(2534),
    [anon_sym_CARET] = ACTIONS(2534),
    [anon_sym_AMP] = ACTIONS(2534),
    [anon_sym_GT_GT2] = ACTIONS(2534),
    [anon_sym_PLUS] = ACTIONS(2534),
    [anon_sym_DASH] = ACTIONS(2534),
    [anon_sym_DOT] = ACTIONS(2534),
    [anon_sym_STAR] = ACTIONS(2534),
    [anon_sym_SLASH] = ACTIONS(2534),
    [anon_sym_x] = ACTIONS(2534),
    [anon_sym_EQ_TILDE] = ACTIONS(2532),
    [anon_sym_BANG_TILDE] = ACTIONS(2532),
    [anon_sym_EQ_EQ] = ACTIONS(2534),
    [anon_sym_BANG_EQ] = ACTIONS(2532),
    [anon_sym_eq] = ACTIONS(2534),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2532),
    [anon_sym_equ] = ACTIONS(2534),
    [anon_sym_eqr] = ACTIONS(2534),
    [anon_sym_ne] = ACTIONS(2532),
    [anon_sym_LT_EQ_GT] = ACTIONS(2532),
    [anon_sym_cmp] = ACTIONS(2534),
    [anon_sym_TILDE_TILDE] = ACTIONS(2532),
    [anon_sym_LT] = ACTIONS(2534),
    [anon_sym_LT_EQ] = ACTIONS(2534),
    [anon_sym_GT_EQ] = ACTIONS(2532),
    [anon_sym_lt] = ACTIONS(2534),
    [anon_sym_le] = ACTIONS(2534),
    [anon_sym_ge] = ACTIONS(2534),
    [anon_sym_gt] = ACTIONS(2534),
    [anon_sym_isa] = ACTIONS(2534),
    [anon_sym_PLUS_PLUS] = ACTIONS(2532),
    [anon_sym_DASH_DASH] = ACTIONS(2532),
    [anon_sym_QMARK] = ACTIONS(2532),
    [anon_sym_EQ_GT] = ACTIONS(2532),
    [anon_sym_for] = ACTIONS(2534),
    [anon_sym_foreach] = ACTIONS(2532),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2532),
    [anon_sym___END__] = ACTIONS(2532),
    [anon_sym_EOT] = ACTIONS(2532),
    [sym_substitution_regexp_modifiers] = ACTIONS(2532),
    [anon_sym_if] = ACTIONS(2534),
    [anon_sym_unless] = ACTIONS(2534),
    [anon_sym_while] = ACTIONS(2532),
    [anon_sym_until] = ACTIONS(2534),
    [sym__PERLY_SEMICOLON] = ACTIONS(2532),
    [sym__ctrl_z_hack] = ACTIONS(2532),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1244] = {
    [sym_heredoc_content] = STATE(1244),
    [anon_sym_RBRACE] = ACTIONS(2652),
    [anon_sym_SEMI] = ACTIONS(2652),
    [anon_sym_EQ] = ACTIONS(2654),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2652),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2652),
    [anon_sym_COMMA] = ACTIONS(2652),
    [anon_sym_RPAREN] = ACTIONS(2652),
    [anon_sym_LPAREN] = ACTIONS(2656),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2652),
    [anon_sym_and] = ACTIONS(2652),
    [anon_sym_or] = ACTIONS(2652),
    [anon_sym_xor] = ACTIONS(2652),
    [anon_sym_DASH_GT] = ACTIONS(2652),
    [anon_sym_PERCENT] = ACTIONS(2654),
    [anon_sym_GT] = ACTIONS(2654),
    [anon_sym_LT_LT] = ACTIONS(2654),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2652),
    [anon_sym_PLUS_EQ] = ACTIONS(2652),
    [anon_sym_DASH_EQ] = ACTIONS(2652),
    [anon_sym_DOT_EQ] = ACTIONS(2652),
    [anon_sym_STAR_EQ] = ACTIONS(2652),
    [anon_sym_SLASH_EQ] = ACTIONS(2652),
    [anon_sym_PERCENT_EQ] = ACTIONS(2652),
    [anon_sym_x_EQ] = ACTIONS(2652),
    [anon_sym_AMP_EQ] = ACTIONS(2652),
    [anon_sym_PIPE_EQ] = ACTIONS(2652),
    [anon_sym_CARET_EQ] = ACTIONS(2652),
    [anon_sym_LT_LT_EQ] = ACTIONS(2652),
    [anon_sym_GT_GT_EQ] = ACTIONS(2652),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2652),
    [anon_sym_DOT_DOT] = ACTIONS(2654),
    [anon_sym_STAR_STAR] = ACTIONS(2654),
    [anon_sym_PIPE_PIPE] = ACTIONS(2654),
    [anon_sym_SLASH_SLASH] = ACTIONS(2654),
    [anon_sym_CARET_CARET] = ACTIONS(2652),
    [anon_sym_AMP_AMP] = ACTIONS(2654),
    [anon_sym_PIPE] = ACTIONS(2654),
    [anon_sym_CARET] = ACTIONS(2654),
    [anon_sym_AMP] = ACTIONS(2654),
    [anon_sym_GT_GT2] = ACTIONS(2654),
    [anon_sym_PLUS] = ACTIONS(2654),
    [anon_sym_DASH] = ACTIONS(2654),
    [anon_sym_DOT] = ACTIONS(2654),
    [anon_sym_STAR] = ACTIONS(2654),
    [anon_sym_SLASH] = ACTIONS(2654),
    [anon_sym_x] = ACTIONS(2654),
    [anon_sym_EQ_TILDE] = ACTIONS(2652),
    [anon_sym_BANG_TILDE] = ACTIONS(2652),
    [anon_sym_EQ_EQ] = ACTIONS(2654),
    [anon_sym_BANG_EQ] = ACTIONS(2652),
    [anon_sym_eq] = ACTIONS(2654),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2652),
    [anon_sym_equ] = ACTIONS(2652),
    [anon_sym_eqr] = ACTIONS(2652),
    [anon_sym_ne] = ACTIONS(2652),
    [anon_sym_LT_EQ_GT] = ACTIONS(2652),
    [anon_sym_cmp] = ACTIONS(2652),
    [anon_sym_TILDE_TILDE] = ACTIONS(2652),
    [anon_sym_LT] = ACTIONS(2654),
    [anon_sym_LT_EQ] = ACTIONS(2654),
    [anon_sym_GT_EQ] = ACTIONS(2652),
    [anon_sym_lt] = ACTIONS(2652),
    [anon_sym_le] = ACTIONS(2652),
    [anon_sym_ge] = ACTIONS(2652),
    [anon_sym_gt] = ACTIONS(2652),
    [anon_sym_isa] = ACTIONS(2652),
    [anon_sym_PLUS_PLUS] = ACTIONS(2652),
    [anon_sym_DASH_DASH] = ACTIONS(2652),
    [anon_sym_QMARK] = ACTIONS(2652),
    [anon_sym_EQ_GT] = ACTIONS(2652),
    [anon_sym_for] = ACTIONS(2654),
    [anon_sym_foreach] = ACTIONS(2652),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2652),
    [anon_sym___END__] = ACTIONS(2652),
    [anon_sym_EOT] = ACTIONS(2652),
    [anon_sym_if] = ACTIONS(2652),
    [anon_sym_unless] = ACTIONS(2652),
    [anon_sym_while] = ACTIONS(2652),
    [anon_sym_until] = ACTIONS(2652),
    [sym__PERLY_SEMICOLON] = ACTIONS(2652),
    [sym__ctrl_z_hack] = ACTIONS(2652),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1245] = {
    [sym_heredoc_content] = STATE(1245),
    [anon_sym_LBRACE] = ACTIONS(2658),
    [anon_sym_RBRACE] = ACTIONS(1849),
    [anon_sym_SEMI] = ACTIONS(1849),
    [anon_sym_EQ] = ACTIONS(1840),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1849),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1849),
    [anon_sym_COMMA] = ACTIONS(1849),
    [anon_sym_RPAREN] = ACTIONS(1849),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1849),
    [anon_sym_and] = ACTIONS(1849),
    [anon_sym_or] = ACTIONS(1849),
    [anon_sym_xor] = ACTIONS(1849),
    [anon_sym_DASH_GT] = ACTIONS(1849),
    [anon_sym_PERCENT] = ACTIONS(1840),
    [anon_sym_GT] = ACTIONS(1840),
    [anon_sym_LT_LT] = ACTIONS(1840),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1849),
    [anon_sym_PLUS_EQ] = ACTIONS(1849),
    [anon_sym_DASH_EQ] = ACTIONS(1849),
    [anon_sym_DOT_EQ] = ACTIONS(1849),
    [anon_sym_STAR_EQ] = ACTIONS(1849),
    [anon_sym_SLASH_EQ] = ACTIONS(1849),
    [anon_sym_PERCENT_EQ] = ACTIONS(1849),
    [anon_sym_x_EQ] = ACTIONS(1849),
    [anon_sym_AMP_EQ] = ACTIONS(1849),
    [anon_sym_PIPE_EQ] = ACTIONS(1849),
    [anon_sym_CARET_EQ] = ACTIONS(1849),
    [anon_sym_LT_LT_EQ] = ACTIONS(1849),
    [anon_sym_GT_GT_EQ] = ACTIONS(1849),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1849),
    [anon_sym_DOT_DOT] = ACTIONS(1840),
    [anon_sym_STAR_STAR] = ACTIONS(1840),
    [anon_sym_PIPE_PIPE] = ACTIONS(1840),
    [anon_sym_SLASH_SLASH] = ACTIONS(1840),
    [anon_sym_CARET_CARET] = ACTIONS(1849),
    [anon_sym_AMP_AMP] = ACTIONS(1840),
    [anon_sym_PIPE] = ACTIONS(1840),
    [anon_sym_CARET] = ACTIONS(1840),
    [anon_sym_AMP] = ACTIONS(1840),
    [anon_sym_GT_GT2] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_DOT] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1840),
    [anon_sym_SLASH] = ACTIONS(1840),
    [anon_sym_x] = ACTIONS(1840),
    [anon_sym_EQ_TILDE] = ACTIONS(1849),
    [anon_sym_BANG_TILDE] = ACTIONS(1849),
    [anon_sym_EQ_EQ] = ACTIONS(1840),
    [anon_sym_BANG_EQ] = ACTIONS(1849),
    [anon_sym_eq] = ACTIONS(1840),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1849),
    [anon_sym_equ] = ACTIONS(1849),
    [anon_sym_eqr] = ACTIONS(1849),
    [anon_sym_ne] = ACTIONS(1849),
    [anon_sym_LT_EQ_GT] = ACTIONS(1849),
    [anon_sym_cmp] = ACTIONS(1849),
    [anon_sym_TILDE_TILDE] = ACTIONS(1849),
    [anon_sym_LT] = ACTIONS(1840),
    [anon_sym_LT_EQ] = ACTIONS(1840),
    [anon_sym_GT_EQ] = ACTIONS(1849),
    [anon_sym_lt] = ACTIONS(1849),
    [anon_sym_le] = ACTIONS(1849),
    [anon_sym_ge] = ACTIONS(1849),
    [anon_sym_gt] = ACTIONS(1849),
    [anon_sym_isa] = ACTIONS(1849),
    [anon_sym_PLUS_PLUS] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1849),
    [anon_sym_QMARK] = ACTIONS(1849),
    [anon_sym_EQ_GT] = ACTIONS(1849),
    [anon_sym_for] = ACTIONS(1840),
    [anon_sym_foreach] = ACTIONS(1849),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(1849),
    [anon_sym___END__] = ACTIONS(1849),
    [anon_sym_EOT] = ACTIONS(1849),
    [anon_sym_if] = ACTIONS(1849),
    [anon_sym_unless] = ACTIONS(1849),
    [anon_sym_while] = ACTIONS(1849),
    [anon_sym_until] = ACTIONS(1849),
    [sym__PERLY_SEMICOLON] = ACTIONS(1849),
    [sym__ctrl_z_hack] = ACTIONS(1849),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1246] = {
    [sym_heredoc_content] = STATE(1246),
    [anon_sym_RBRACE] = ACTIONS(2660),
    [anon_sym_SEMI] = ACTIONS(2660),
    [anon_sym_EQ] = ACTIONS(2662),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2660),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2660),
    [anon_sym_COMMA] = ACTIONS(2660),
    [anon_sym_RPAREN] = ACTIONS(2660),
    [anon_sym_LPAREN] = ACTIONS(2656),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2660),
    [anon_sym_and] = ACTIONS(2660),
    [anon_sym_or] = ACTIONS(2660),
    [anon_sym_xor] = ACTIONS(2660),
    [anon_sym_DASH_GT] = ACTIONS(2660),
    [anon_sym_PERCENT] = ACTIONS(2662),
    [anon_sym_GT] = ACTIONS(2662),
    [anon_sym_LT_LT] = ACTIONS(2662),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2660),
    [anon_sym_PLUS_EQ] = ACTIONS(2660),
    [anon_sym_DASH_EQ] = ACTIONS(2660),
    [anon_sym_DOT_EQ] = ACTIONS(2660),
    [anon_sym_STAR_EQ] = ACTIONS(2660),
    [anon_sym_SLASH_EQ] = ACTIONS(2660),
    [anon_sym_PERCENT_EQ] = ACTIONS(2660),
    [anon_sym_x_EQ] = ACTIONS(2660),
    [anon_sym_AMP_EQ] = ACTIONS(2660),
    [anon_sym_PIPE_EQ] = ACTIONS(2660),
    [anon_sym_CARET_EQ] = ACTIONS(2660),
    [anon_sym_LT_LT_EQ] = ACTIONS(2660),
    [anon_sym_GT_GT_EQ] = ACTIONS(2660),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2660),
    [anon_sym_DOT_DOT] = ACTIONS(2662),
    [anon_sym_STAR_STAR] = ACTIONS(2662),
    [anon_sym_PIPE_PIPE] = ACTIONS(2662),
    [anon_sym_SLASH_SLASH] = ACTIONS(2662),
    [anon_sym_CARET_CARET] = ACTIONS(2660),
    [anon_sym_AMP_AMP] = ACTIONS(2662),
    [anon_sym_PIPE] = ACTIONS(2662),
    [anon_sym_CARET] = ACTIONS(2662),
    [anon_sym_AMP] = ACTIONS(2662),
    [anon_sym_GT_GT2] = ACTIONS(2662),
    [anon_sym_PLUS] = ACTIONS(2662),
    [anon_sym_DASH] = ACTIONS(2662),
    [anon_sym_DOT] = ACTIONS(2662),
    [anon_sym_STAR] = ACTIONS(2662),
    [anon_sym_SLASH] = ACTIONS(2662),
    [anon_sym_x] = ACTIONS(2662),
    [anon_sym_EQ_TILDE] = ACTIONS(2660),
    [anon_sym_BANG_TILDE] = ACTIONS(2660),
    [anon_sym_EQ_EQ] = ACTIONS(2662),
    [anon_sym_BANG_EQ] = ACTIONS(2660),
    [anon_sym_eq] = ACTIONS(2662),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2660),
    [anon_sym_equ] = ACTIONS(2660),
    [anon_sym_eqr] = ACTIONS(2660),
    [anon_sym_ne] = ACTIONS(2660),
    [anon_sym_LT_EQ_GT] = ACTIONS(2660),
    [anon_sym_cmp] = ACTIONS(2660),
    [anon_sym_TILDE_TILDE] = ACTIONS(2660),
    [anon_sym_LT] = ACTIONS(2662),
    [anon_sym_LT_EQ] = ACTIONS(2662),
    [anon_sym_GT_EQ] = ACTIONS(2660),
    [anon_sym_lt] = ACTIONS(2660),
    [anon_sym_le] = ACTIONS(2660),
    [anon_sym_ge] = ACTIONS(2660),
    [anon_sym_gt] = ACTIONS(2660),
    [anon_sym_isa] = ACTIONS(2660),
    [anon_sym_PLUS_PLUS] = ACTIONS(2660),
    [anon_sym_DASH_DASH] = ACTIONS(2660),
    [anon_sym_QMARK] = ACTIONS(2660),
    [anon_sym_EQ_GT] = ACTIONS(2660),
    [anon_sym_for] = ACTIONS(2662),
    [anon_sym_foreach] = ACTIONS(2660),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2660),
    [anon_sym___END__] = ACTIONS(2660),
    [anon_sym_EOT] = ACTIONS(2660),
    [anon_sym_if] = ACTIONS(2660),
    [anon_sym_unless] = ACTIONS(2660),
    [anon_sym_while] = ACTIONS(2660),
    [anon_sym_until] = ACTIONS(2660),
    [sym__PERLY_SEMICOLON] = ACTIONS(2660),
    [sym__ctrl_z_hack] = ACTIONS(2660),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1247] = {
    [sym_heredoc_content] = STATE(1247),
    [anon_sym_RBRACE] = ACTIONS(2664),
    [anon_sym_SEMI] = ACTIONS(2664),
    [anon_sym_EQ] = ACTIONS(2666),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2664),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2664),
    [anon_sym_COMMA] = ACTIONS(2664),
    [anon_sym_RPAREN] = ACTIONS(2664),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2664),
    [anon_sym_and] = ACTIONS(2666),
    [anon_sym_or] = ACTIONS(2666),
    [anon_sym_xor] = ACTIONS(2666),
    [anon_sym_DASH_GT] = ACTIONS(2664),
    [anon_sym_PERCENT] = ACTIONS(2666),
    [anon_sym_GT] = ACTIONS(2666),
    [anon_sym_LT_LT] = ACTIONS(2666),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2664),
    [anon_sym_PLUS_EQ] = ACTIONS(2664),
    [anon_sym_DASH_EQ] = ACTIONS(2664),
    [anon_sym_DOT_EQ] = ACTIONS(2664),
    [anon_sym_STAR_EQ] = ACTIONS(2664),
    [anon_sym_SLASH_EQ] = ACTIONS(2664),
    [anon_sym_PERCENT_EQ] = ACTIONS(2664),
    [anon_sym_x_EQ] = ACTIONS(2666),
    [anon_sym_AMP_EQ] = ACTIONS(2664),
    [anon_sym_PIPE_EQ] = ACTIONS(2664),
    [anon_sym_CARET_EQ] = ACTIONS(2664),
    [anon_sym_LT_LT_EQ] = ACTIONS(2664),
    [anon_sym_GT_GT_EQ] = ACTIONS(2664),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2664),
    [anon_sym_DOT_DOT] = ACTIONS(2666),
    [anon_sym_STAR_STAR] = ACTIONS(2666),
    [anon_sym_PIPE_PIPE] = ACTIONS(2666),
    [anon_sym_SLASH_SLASH] = ACTIONS(2666),
    [anon_sym_CARET_CARET] = ACTIONS(2664),
    [anon_sym_AMP_AMP] = ACTIONS(2666),
    [anon_sym_PIPE] = ACTIONS(2666),
    [anon_sym_CARET] = ACTIONS(2666),
    [anon_sym_AMP] = ACTIONS(2666),
    [anon_sym_GT_GT2] = ACTIONS(2666),
    [anon_sym_PLUS] = ACTIONS(2666),
    [anon_sym_DASH] = ACTIONS(2666),
    [anon_sym_DOT] = ACTIONS(2666),
    [anon_sym_STAR] = ACTIONS(2666),
    [anon_sym_SLASH] = ACTIONS(2666),
    [anon_sym_x] = ACTIONS(2666),
    [anon_sym_EQ_TILDE] = ACTIONS(2664),
    [anon_sym_BANG_TILDE] = ACTIONS(2664),
    [anon_sym_EQ_EQ] = ACTIONS(2666),
    [anon_sym_BANG_EQ] = ACTIONS(2664),
    [anon_sym_eq] = ACTIONS(2666),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2664),
    [anon_sym_equ] = ACTIONS(2664),
    [anon_sym_eqr] = ACTIONS(2664),
    [anon_sym_ne] = ACTIONS(2666),
    [anon_sym_LT_EQ_GT] = ACTIONS(2664),
    [anon_sym_cmp] = ACTIONS(2664),
    [anon_sym_TILDE_TILDE] = ACTIONS(2664),
    [anon_sym_LT] = ACTIONS(2666),
    [anon_sym_LT_EQ] = ACTIONS(2666),
    [anon_sym_GT_EQ] = ACTIONS(2664),
    [anon_sym_lt] = ACTIONS(2666),
    [anon_sym_le] = ACTIONS(2666),
    [anon_sym_ge] = ACTIONS(2664),
    [anon_sym_gt] = ACTIONS(2664),
    [anon_sym_isa] = ACTIONS(2666),
    [anon_sym_PLUS_PLUS] = ACTIONS(2664),
    [anon_sym_DASH_DASH] = ACTIONS(2664),
    [anon_sym_QMARK] = ACTIONS(2664),
    [anon_sym_EQ_GT] = ACTIONS(2664),
    [anon_sym_for] = ACTIONS(2666),
    [anon_sym_foreach] = ACTIONS(2664),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2664),
    [anon_sym___END__] = ACTIONS(2664),
    [anon_sym_EOT] = ACTIONS(2664),
    [sym_quoted_regexp_modifiers] = ACTIONS(2668),
    [anon_sym_if] = ACTIONS(2666),
    [anon_sym_unless] = ACTIONS(2666),
    [anon_sym_while] = ACTIONS(2664),
    [anon_sym_until] = ACTIONS(2666),
    [sym__PERLY_SEMICOLON] = ACTIONS(2664),
    [sym__ctrl_z_hack] = ACTIONS(2664),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1248] = {
    [sym_heredoc_content] = STATE(1248),
    [anon_sym_RBRACE] = ACTIONS(2670),
    [anon_sym_COLON] = ACTIONS(2670),
    [anon_sym_SEMI] = ACTIONS(2670),
    [anon_sym_EQ] = ACTIONS(2672),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2670),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2670),
    [anon_sym_COMMA] = ACTIONS(2670),
    [anon_sym_RPAREN] = ACTIONS(2670),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2670),
    [anon_sym_and] = ACTIONS(2670),
    [anon_sym_or] = ACTIONS(2670),
    [anon_sym_xor] = ACTIONS(2670),
    [anon_sym_DASH_GT] = ACTIONS(2670),
    [anon_sym_PERCENT] = ACTIONS(2672),
    [anon_sym_GT] = ACTIONS(2672),
    [anon_sym_LT_LT] = ACTIONS(2672),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2670),
    [anon_sym_PLUS_EQ] = ACTIONS(2670),
    [anon_sym_DASH_EQ] = ACTIONS(2670),
    [anon_sym_DOT_EQ] = ACTIONS(2670),
    [anon_sym_STAR_EQ] = ACTIONS(2670),
    [anon_sym_SLASH_EQ] = ACTIONS(2670),
    [anon_sym_PERCENT_EQ] = ACTIONS(2670),
    [anon_sym_x_EQ] = ACTIONS(2670),
    [anon_sym_AMP_EQ] = ACTIONS(2670),
    [anon_sym_PIPE_EQ] = ACTIONS(2670),
    [anon_sym_CARET_EQ] = ACTIONS(2670),
    [anon_sym_LT_LT_EQ] = ACTIONS(2670),
    [anon_sym_GT_GT_EQ] = ACTIONS(2670),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2670),
    [anon_sym_DOT_DOT] = ACTIONS(2672),
    [anon_sym_STAR_STAR] = ACTIONS(2672),
    [anon_sym_PIPE_PIPE] = ACTIONS(2672),
    [anon_sym_SLASH_SLASH] = ACTIONS(2672),
    [anon_sym_CARET_CARET] = ACTIONS(2670),
    [anon_sym_AMP_AMP] = ACTIONS(2672),
    [anon_sym_PIPE] = ACTIONS(2672),
    [anon_sym_CARET] = ACTIONS(2672),
    [anon_sym_AMP] = ACTIONS(2672),
    [anon_sym_GT_GT2] = ACTIONS(2672),
    [anon_sym_PLUS] = ACTIONS(2672),
    [anon_sym_DASH] = ACTIONS(2672),
    [anon_sym_DOT] = ACTIONS(2672),
    [anon_sym_STAR] = ACTIONS(2672),
    [anon_sym_SLASH] = ACTIONS(2672),
    [anon_sym_x] = ACTIONS(2672),
    [anon_sym_EQ_TILDE] = ACTIONS(2670),
    [anon_sym_BANG_TILDE] = ACTIONS(2670),
    [anon_sym_EQ_EQ] = ACTIONS(2672),
    [anon_sym_BANG_EQ] = ACTIONS(2670),
    [anon_sym_eq] = ACTIONS(2672),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2670),
    [anon_sym_equ] = ACTIONS(2670),
    [anon_sym_eqr] = ACTIONS(2670),
    [anon_sym_ne] = ACTIONS(2670),
    [anon_sym_LT_EQ_GT] = ACTIONS(2670),
    [anon_sym_cmp] = ACTIONS(2670),
    [anon_sym_TILDE_TILDE] = ACTIONS(2670),
    [anon_sym_LT] = ACTIONS(2672),
    [anon_sym_LT_EQ] = ACTIONS(2672),
    [anon_sym_GT_EQ] = ACTIONS(2670),
    [anon_sym_lt] = ACTIONS(2670),
    [anon_sym_le] = ACTIONS(2670),
    [anon_sym_ge] = ACTIONS(2670),
    [anon_sym_gt] = ACTIONS(2670),
    [anon_sym_isa] = ACTIONS(2670),
    [anon_sym_PLUS_PLUS] = ACTIONS(2670),
    [anon_sym_DASH_DASH] = ACTIONS(2670),
    [anon_sym_QMARK] = ACTIONS(2670),
    [anon_sym_EQ_GT] = ACTIONS(2670),
    [anon_sym_for] = ACTIONS(2672),
    [anon_sym_foreach] = ACTIONS(2670),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2670),
    [anon_sym___END__] = ACTIONS(2670),
    [anon_sym_EOT] = ACTIONS(2670),
    [anon_sym_if] = ACTIONS(2670),
    [anon_sym_unless] = ACTIONS(2670),
    [anon_sym_while] = ACTIONS(2670),
    [anon_sym_until] = ACTIONS(2670),
    [sym__PERLY_SEMICOLON] = ACTIONS(2670),
    [sym__ctrl_z_hack] = ACTIONS(2670),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1249] = {
    [sym_heredoc_content] = STATE(1249),
    [anon_sym_RBRACE] = ACTIONS(2674),
    [anon_sym_SEMI] = ACTIONS(2674),
    [anon_sym_EQ] = ACTIONS(2676),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2674),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2674),
    [anon_sym_COMMA] = ACTIONS(2674),
    [anon_sym_RPAREN] = ACTIONS(2674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2674),
    [anon_sym_and] = ACTIONS(2676),
    [anon_sym_or] = ACTIONS(2676),
    [anon_sym_xor] = ACTIONS(2676),
    [anon_sym_DASH_GT] = ACTIONS(2674),
    [anon_sym_PERCENT] = ACTIONS(2676),
    [anon_sym_GT] = ACTIONS(2676),
    [anon_sym_LT_LT] = ACTIONS(2676),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2674),
    [anon_sym_PLUS_EQ] = ACTIONS(2674),
    [anon_sym_DASH_EQ] = ACTIONS(2674),
    [anon_sym_DOT_EQ] = ACTIONS(2674),
    [anon_sym_STAR_EQ] = ACTIONS(2674),
    [anon_sym_SLASH_EQ] = ACTIONS(2674),
    [anon_sym_PERCENT_EQ] = ACTIONS(2674),
    [anon_sym_x_EQ] = ACTIONS(2676),
    [anon_sym_AMP_EQ] = ACTIONS(2674),
    [anon_sym_PIPE_EQ] = ACTIONS(2674),
    [anon_sym_CARET_EQ] = ACTIONS(2674),
    [anon_sym_LT_LT_EQ] = ACTIONS(2674),
    [anon_sym_GT_GT_EQ] = ACTIONS(2674),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2674),
    [anon_sym_DOT_DOT] = ACTIONS(2676),
    [anon_sym_STAR_STAR] = ACTIONS(2676),
    [anon_sym_PIPE_PIPE] = ACTIONS(2676),
    [anon_sym_SLASH_SLASH] = ACTIONS(2676),
    [anon_sym_CARET_CARET] = ACTIONS(2674),
    [anon_sym_AMP_AMP] = ACTIONS(2676),
    [anon_sym_PIPE] = ACTIONS(2676),
    [anon_sym_CARET] = ACTIONS(2676),
    [anon_sym_AMP] = ACTIONS(2676),
    [anon_sym_GT_GT2] = ACTIONS(2676),
    [anon_sym_PLUS] = ACTIONS(2676),
    [anon_sym_DASH] = ACTIONS(2676),
    [anon_sym_DOT] = ACTIONS(2676),
    [anon_sym_STAR] = ACTIONS(2676),
    [anon_sym_SLASH] = ACTIONS(2676),
    [anon_sym_x] = ACTIONS(2676),
    [anon_sym_EQ_TILDE] = ACTIONS(2674),
    [anon_sym_BANG_TILDE] = ACTIONS(2674),
    [anon_sym_EQ_EQ] = ACTIONS(2676),
    [anon_sym_BANG_EQ] = ACTIONS(2674),
    [anon_sym_eq] = ACTIONS(2676),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2674),
    [anon_sym_equ] = ACTIONS(2674),
    [anon_sym_eqr] = ACTIONS(2674),
    [anon_sym_ne] = ACTIONS(2676),
    [anon_sym_LT_EQ_GT] = ACTIONS(2674),
    [anon_sym_cmp] = ACTIONS(2676),
    [anon_sym_TILDE_TILDE] = ACTIONS(2674),
    [anon_sym_LT] = ACTIONS(2676),
    [anon_sym_LT_EQ] = ACTIONS(2676),
    [anon_sym_GT_EQ] = ACTIONS(2674),
    [anon_sym_lt] = ACTIONS(2676),
    [anon_sym_le] = ACTIONS(2676),
    [anon_sym_ge] = ACTIONS(2676),
    [anon_sym_gt] = ACTIONS(2676),
    [anon_sym_isa] = ACTIONS(2676),
    [anon_sym_PLUS_PLUS] = ACTIONS(2674),
    [anon_sym_DASH_DASH] = ACTIONS(2674),
    [anon_sym_QMARK] = ACTIONS(2674),
    [anon_sym_EQ_GT] = ACTIONS(2674),
    [anon_sym_for] = ACTIONS(2676),
    [anon_sym_foreach] = ACTIONS(2674),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2674),
    [anon_sym___END__] = ACTIONS(2674),
    [anon_sym_EOT] = ACTIONS(2674),
    [sym_match_regexp_modifiers] = ACTIONS(2678),
    [anon_sym_if] = ACTIONS(2676),
    [anon_sym_unless] = ACTIONS(2676),
    [anon_sym_while] = ACTIONS(2674),
    [anon_sym_until] = ACTIONS(2676),
    [sym__PERLY_SEMICOLON] = ACTIONS(2674),
    [sym__ctrl_z_hack] = ACTIONS(2674),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1250] = {
    [sym_heredoc_content] = STATE(1250),
    [anon_sym_RBRACE] = ACTIONS(2680),
    [anon_sym_SEMI] = ACTIONS(2680),
    [anon_sym_EQ] = ACTIONS(2682),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2680),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2680),
    [anon_sym_COMMA] = ACTIONS(2680),
    [anon_sym_RPAREN] = ACTIONS(2680),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2680),
    [anon_sym_and] = ACTIONS(2680),
    [anon_sym_or] = ACTIONS(2680),
    [anon_sym_xor] = ACTIONS(2680),
    [anon_sym_LBRACK] = ACTIONS(2684),
    [anon_sym_DASH_GT] = ACTIONS(2680),
    [anon_sym_PERCENT] = ACTIONS(2682),
    [anon_sym_GT] = ACTIONS(2682),
    [anon_sym_LT_LT] = ACTIONS(2682),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2680),
    [anon_sym_PLUS_EQ] = ACTIONS(2680),
    [anon_sym_DASH_EQ] = ACTIONS(2680),
    [anon_sym_DOT_EQ] = ACTIONS(2680),
    [anon_sym_STAR_EQ] = ACTIONS(2680),
    [anon_sym_SLASH_EQ] = ACTIONS(2680),
    [anon_sym_PERCENT_EQ] = ACTIONS(2680),
    [anon_sym_x_EQ] = ACTIONS(2680),
    [anon_sym_AMP_EQ] = ACTIONS(2680),
    [anon_sym_PIPE_EQ] = ACTIONS(2680),
    [anon_sym_CARET_EQ] = ACTIONS(2680),
    [anon_sym_LT_LT_EQ] = ACTIONS(2680),
    [anon_sym_GT_GT_EQ] = ACTIONS(2680),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2680),
    [anon_sym_DOT_DOT] = ACTIONS(2682),
    [anon_sym_STAR_STAR] = ACTIONS(2682),
    [anon_sym_PIPE_PIPE] = ACTIONS(2682),
    [anon_sym_SLASH_SLASH] = ACTIONS(2682),
    [anon_sym_CARET_CARET] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(2682),
    [anon_sym_PIPE] = ACTIONS(2682),
    [anon_sym_CARET] = ACTIONS(2682),
    [anon_sym_AMP] = ACTIONS(2682),
    [anon_sym_GT_GT2] = ACTIONS(2682),
    [anon_sym_PLUS] = ACTIONS(2682),
    [anon_sym_DASH] = ACTIONS(2682),
    [anon_sym_DOT] = ACTIONS(2682),
    [anon_sym_STAR] = ACTIONS(2682),
    [anon_sym_SLASH] = ACTIONS(2682),
    [anon_sym_x] = ACTIONS(2682),
    [anon_sym_EQ_TILDE] = ACTIONS(2680),
    [anon_sym_BANG_TILDE] = ACTIONS(2680),
    [anon_sym_EQ_EQ] = ACTIONS(2682),
    [anon_sym_BANG_EQ] = ACTIONS(2680),
    [anon_sym_eq] = ACTIONS(2682),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2680),
    [anon_sym_equ] = ACTIONS(2680),
    [anon_sym_eqr] = ACTIONS(2680),
    [anon_sym_ne] = ACTIONS(2680),
    [anon_sym_LT_EQ_GT] = ACTIONS(2680),
    [anon_sym_cmp] = ACTIONS(2680),
    [anon_sym_TILDE_TILDE] = ACTIONS(2680),
    [anon_sym_LT] = ACTIONS(2682),
    [anon_sym_LT_EQ] = ACTIONS(2682),
    [anon_sym_GT_EQ] = ACTIONS(2680),
    [anon_sym_lt] = ACTIONS(2680),
    [anon_sym_le] = ACTIONS(2680),
    [anon_sym_ge] = ACTIONS(2680),
    [anon_sym_gt] = ACTIONS(2680),
    [anon_sym_isa] = ACTIONS(2680),
    [anon_sym_PLUS_PLUS] = ACTIONS(2680),
    [anon_sym_DASH_DASH] = ACTIONS(2680),
    [anon_sym_QMARK] = ACTIONS(2680),
    [anon_sym_EQ_GT] = ACTIONS(2680),
    [anon_sym_for] = ACTIONS(2682),
    [anon_sym_foreach] = ACTIONS(2680),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2680),
    [anon_sym___END__] = ACTIONS(2680),
    [anon_sym_EOT] = ACTIONS(2680),
    [anon_sym_if] = ACTIONS(2680),
    [anon_sym_unless] = ACTIONS(2680),
    [anon_sym_while] = ACTIONS(2680),
    [anon_sym_until] = ACTIONS(2680),
    [sym__PERLY_SEMICOLON] = ACTIONS(2680),
    [sym__ctrl_z_hack] = ACTIONS(2680),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1251] = {
    [sym_heredoc_content] = STATE(1251),
    [anon_sym_RBRACE] = ACTIONS(2686),
    [anon_sym_SEMI] = ACTIONS(2686),
    [anon_sym_EQ] = ACTIONS(2688),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2686),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2686),
    [anon_sym_COMMA] = ACTIONS(2686),
    [anon_sym_RPAREN] = ACTIONS(2686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2686),
    [anon_sym_and] = ACTIONS(2688),
    [anon_sym_or] = ACTIONS(2688),
    [anon_sym_xor] = ACTIONS(2688),
    [anon_sym_DASH_GT] = ACTIONS(2686),
    [anon_sym_PERCENT] = ACTIONS(2688),
    [anon_sym_GT] = ACTIONS(2688),
    [anon_sym_LT_LT] = ACTIONS(2688),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2686),
    [anon_sym_PLUS_EQ] = ACTIONS(2686),
    [anon_sym_DASH_EQ] = ACTIONS(2686),
    [anon_sym_DOT_EQ] = ACTIONS(2686),
    [anon_sym_STAR_EQ] = ACTIONS(2686),
    [anon_sym_SLASH_EQ] = ACTIONS(2686),
    [anon_sym_PERCENT_EQ] = ACTIONS(2686),
    [anon_sym_x_EQ] = ACTIONS(2688),
    [anon_sym_AMP_EQ] = ACTIONS(2686),
    [anon_sym_PIPE_EQ] = ACTIONS(2686),
    [anon_sym_CARET_EQ] = ACTIONS(2686),
    [anon_sym_LT_LT_EQ] = ACTIONS(2686),
    [anon_sym_GT_GT_EQ] = ACTIONS(2686),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2686),
    [anon_sym_DOT_DOT] = ACTIONS(2688),
    [anon_sym_STAR_STAR] = ACTIONS(2688),
    [anon_sym_PIPE_PIPE] = ACTIONS(2688),
    [anon_sym_SLASH_SLASH] = ACTIONS(2688),
    [anon_sym_CARET_CARET] = ACTIONS(2686),
    [anon_sym_AMP_AMP] = ACTIONS(2688),
    [anon_sym_PIPE] = ACTIONS(2688),
    [anon_sym_CARET] = ACTIONS(2688),
    [anon_sym_AMP] = ACTIONS(2688),
    [anon_sym_GT_GT2] = ACTIONS(2688),
    [anon_sym_PLUS] = ACTIONS(2688),
    [anon_sym_DASH] = ACTIONS(2688),
    [anon_sym_DOT] = ACTIONS(2688),
    [anon_sym_STAR] = ACTIONS(2688),
    [anon_sym_SLASH] = ACTIONS(2688),
    [anon_sym_x] = ACTIONS(2688),
    [anon_sym_EQ_TILDE] = ACTIONS(2686),
    [anon_sym_BANG_TILDE] = ACTIONS(2686),
    [anon_sym_EQ_EQ] = ACTIONS(2688),
    [anon_sym_BANG_EQ] = ACTIONS(2686),
    [anon_sym_eq] = ACTIONS(2688),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2686),
    [anon_sym_equ] = ACTIONS(2688),
    [anon_sym_eqr] = ACTIONS(2688),
    [anon_sym_ne] = ACTIONS(2686),
    [anon_sym_LT_EQ_GT] = ACTIONS(2686),
    [anon_sym_cmp] = ACTIONS(2688),
    [anon_sym_TILDE_TILDE] = ACTIONS(2686),
    [anon_sym_LT] = ACTIONS(2688),
    [anon_sym_LT_EQ] = ACTIONS(2688),
    [anon_sym_GT_EQ] = ACTIONS(2686),
    [anon_sym_lt] = ACTIONS(2688),
    [anon_sym_le] = ACTIONS(2688),
    [anon_sym_ge] = ACTIONS(2688),
    [anon_sym_gt] = ACTIONS(2688),
    [anon_sym_isa] = ACTIONS(2688),
    [anon_sym_PLUS_PLUS] = ACTIONS(2686),
    [anon_sym_DASH_DASH] = ACTIONS(2686),
    [anon_sym_QMARK] = ACTIONS(2686),
    [anon_sym_EQ_GT] = ACTIONS(2686),
    [anon_sym_for] = ACTIONS(2688),
    [anon_sym_foreach] = ACTIONS(2686),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2686),
    [anon_sym___END__] = ACTIONS(2686),
    [anon_sym_EOT] = ACTIONS(2686),
    [sym_substitution_regexp_modifiers] = ACTIONS(2690),
    [anon_sym_if] = ACTIONS(2688),
    [anon_sym_unless] = ACTIONS(2688),
    [anon_sym_while] = ACTIONS(2686),
    [anon_sym_until] = ACTIONS(2688),
    [sym__PERLY_SEMICOLON] = ACTIONS(2686),
    [sym__ctrl_z_hack] = ACTIONS(2686),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1252] = {
    [sym_heredoc_content] = STATE(1252),
    [anon_sym_RBRACE] = ACTIONS(2692),
    [anon_sym_SEMI] = ACTIONS(2692),
    [anon_sym_EQ] = ACTIONS(2694),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2692),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2692),
    [anon_sym_COMMA] = ACTIONS(2692),
    [anon_sym_RPAREN] = ACTIONS(2692),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2692),
    [anon_sym_and] = ACTIONS(2694),
    [anon_sym_or] = ACTIONS(2694),
    [anon_sym_xor] = ACTIONS(2694),
    [anon_sym_DASH_GT] = ACTIONS(2692),
    [anon_sym_PERCENT] = ACTIONS(2694),
    [anon_sym_GT] = ACTIONS(2694),
    [anon_sym_LT_LT] = ACTIONS(2694),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2692),
    [anon_sym_PLUS_EQ] = ACTIONS(2692),
    [anon_sym_DASH_EQ] = ACTIONS(2692),
    [anon_sym_DOT_EQ] = ACTIONS(2692),
    [anon_sym_STAR_EQ] = ACTIONS(2692),
    [anon_sym_SLASH_EQ] = ACTIONS(2692),
    [anon_sym_PERCENT_EQ] = ACTIONS(2692),
    [anon_sym_x_EQ] = ACTIONS(2694),
    [anon_sym_AMP_EQ] = ACTIONS(2692),
    [anon_sym_PIPE_EQ] = ACTIONS(2692),
    [anon_sym_CARET_EQ] = ACTIONS(2692),
    [anon_sym_LT_LT_EQ] = ACTIONS(2692),
    [anon_sym_GT_GT_EQ] = ACTIONS(2692),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2692),
    [anon_sym_DOT_DOT] = ACTIONS(2694),
    [anon_sym_STAR_STAR] = ACTIONS(2694),
    [anon_sym_PIPE_PIPE] = ACTIONS(2694),
    [anon_sym_SLASH_SLASH] = ACTIONS(2694),
    [anon_sym_CARET_CARET] = ACTIONS(2692),
    [anon_sym_AMP_AMP] = ACTIONS(2694),
    [anon_sym_PIPE] = ACTIONS(2694),
    [anon_sym_CARET] = ACTIONS(2694),
    [anon_sym_AMP] = ACTIONS(2694),
    [anon_sym_GT_GT2] = ACTIONS(2694),
    [anon_sym_PLUS] = ACTIONS(2694),
    [anon_sym_DASH] = ACTIONS(2694),
    [anon_sym_DOT] = ACTIONS(2694),
    [anon_sym_STAR] = ACTIONS(2694),
    [anon_sym_SLASH] = ACTIONS(2694),
    [anon_sym_x] = ACTIONS(2694),
    [anon_sym_EQ_TILDE] = ACTIONS(2692),
    [anon_sym_BANG_TILDE] = ACTIONS(2692),
    [anon_sym_EQ_EQ] = ACTIONS(2694),
    [anon_sym_BANG_EQ] = ACTIONS(2692),
    [anon_sym_eq] = ACTIONS(2694),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2692),
    [anon_sym_equ] = ACTIONS(2694),
    [anon_sym_eqr] = ACTIONS(2694),
    [anon_sym_ne] = ACTIONS(2692),
    [anon_sym_LT_EQ_GT] = ACTIONS(2692),
    [anon_sym_cmp] = ACTIONS(2694),
    [anon_sym_TILDE_TILDE] = ACTIONS(2692),
    [anon_sym_LT] = ACTIONS(2694),
    [anon_sym_LT_EQ] = ACTIONS(2694),
    [anon_sym_GT_EQ] = ACTIONS(2692),
    [anon_sym_lt] = ACTIONS(2694),
    [anon_sym_le] = ACTIONS(2694),
    [anon_sym_ge] = ACTIONS(2694),
    [anon_sym_gt] = ACTIONS(2694),
    [anon_sym_isa] = ACTIONS(2694),
    [anon_sym_PLUS_PLUS] = ACTIONS(2692),
    [anon_sym_DASH_DASH] = ACTIONS(2692),
    [anon_sym_QMARK] = ACTIONS(2692),
    [anon_sym_EQ_GT] = ACTIONS(2692),
    [anon_sym_for] = ACTIONS(2694),
    [anon_sym_foreach] = ACTIONS(2692),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2692),
    [anon_sym___END__] = ACTIONS(2692),
    [anon_sym_EOT] = ACTIONS(2692),
    [sym_substitution_regexp_modifiers] = ACTIONS(2696),
    [anon_sym_if] = ACTIONS(2694),
    [anon_sym_unless] = ACTIONS(2694),
    [anon_sym_while] = ACTIONS(2692),
    [anon_sym_until] = ACTIONS(2694),
    [sym__PERLY_SEMICOLON] = ACTIONS(2692),
    [sym__ctrl_z_hack] = ACTIONS(2692),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1253] = {
    [sym_heredoc_content] = STATE(1253),
    [anon_sym_RBRACE] = ACTIONS(2698),
    [anon_sym_SEMI] = ACTIONS(2698),
    [anon_sym_EQ] = ACTIONS(2700),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2698),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2698),
    [anon_sym_COMMA] = ACTIONS(2698),
    [anon_sym_RPAREN] = ACTIONS(2698),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2698),
    [anon_sym_and] = ACTIONS(2698),
    [anon_sym_or] = ACTIONS(2698),
    [anon_sym_xor] = ACTIONS(2698),
    [anon_sym_DASH_GT] = ACTIONS(2698),
    [anon_sym_PERCENT] = ACTIONS(2700),
    [anon_sym_GT] = ACTIONS(2700),
    [anon_sym_LT_LT] = ACTIONS(2700),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2698),
    [anon_sym_PLUS_EQ] = ACTIONS(2698),
    [anon_sym_DASH_EQ] = ACTIONS(2698),
    [anon_sym_DOT_EQ] = ACTIONS(2698),
    [anon_sym_STAR_EQ] = ACTIONS(2698),
    [anon_sym_SLASH_EQ] = ACTIONS(2698),
    [anon_sym_PERCENT_EQ] = ACTIONS(2698),
    [anon_sym_x_EQ] = ACTIONS(2698),
    [anon_sym_AMP_EQ] = ACTIONS(2698),
    [anon_sym_PIPE_EQ] = ACTIONS(2698),
    [anon_sym_CARET_EQ] = ACTIONS(2698),
    [anon_sym_LT_LT_EQ] = ACTIONS(2698),
    [anon_sym_GT_GT_EQ] = ACTIONS(2698),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2698),
    [anon_sym_DOT_DOT] = ACTIONS(2700),
    [anon_sym_STAR_STAR] = ACTIONS(2700),
    [anon_sym_PIPE_PIPE] = ACTIONS(2700),
    [anon_sym_SLASH_SLASH] = ACTIONS(2700),
    [anon_sym_CARET_CARET] = ACTIONS(2698),
    [anon_sym_AMP_AMP] = ACTIONS(2700),
    [anon_sym_PIPE] = ACTIONS(2700),
    [anon_sym_CARET] = ACTIONS(2700),
    [anon_sym_AMP] = ACTIONS(2700),
    [anon_sym_GT_GT2] = ACTIONS(2700),
    [anon_sym_PLUS] = ACTIONS(2700),
    [anon_sym_DASH] = ACTIONS(2700),
    [anon_sym_DOT] = ACTIONS(2700),
    [anon_sym_STAR] = ACTIONS(2700),
    [anon_sym_SLASH] = ACTIONS(2700),
    [anon_sym_x] = ACTIONS(2700),
    [anon_sym_EQ_TILDE] = ACTIONS(2698),
    [anon_sym_BANG_TILDE] = ACTIONS(2698),
    [anon_sym_EQ_EQ] = ACTIONS(2700),
    [anon_sym_BANG_EQ] = ACTIONS(2698),
    [anon_sym_eq] = ACTIONS(2700),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2698),
    [anon_sym_equ] = ACTIONS(2698),
    [anon_sym_eqr] = ACTIONS(2698),
    [anon_sym_ne] = ACTIONS(2698),
    [anon_sym_LT_EQ_GT] = ACTIONS(2698),
    [anon_sym_cmp] = ACTIONS(2700),
    [anon_sym_TILDE_TILDE] = ACTIONS(2698),
    [anon_sym_LT] = ACTIONS(2700),
    [anon_sym_LT_EQ] = ACTIONS(2700),
    [anon_sym_GT_EQ] = ACTIONS(2698),
    [anon_sym_lt] = ACTIONS(2698),
    [anon_sym_le] = ACTIONS(2698),
    [anon_sym_ge] = ACTIONS(2698),
    [anon_sym_gt] = ACTIONS(2698),
    [anon_sym_isa] = ACTIONS(2698),
    [anon_sym_PLUS_PLUS] = ACTIONS(2698),
    [anon_sym_DASH_DASH] = ACTIONS(2698),
    [anon_sym_QMARK] = ACTIONS(2698),
    [anon_sym_EQ_GT] = ACTIONS(2698),
    [anon_sym_for] = ACTIONS(2700),
    [anon_sym_foreach] = ACTIONS(2698),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2698),
    [anon_sym___END__] = ACTIONS(2698),
    [anon_sym_EOT] = ACTIONS(2698),
    [sym_transliteration_modifiers] = ACTIONS(2702),
    [anon_sym_if] = ACTIONS(2698),
    [anon_sym_unless] = ACTIONS(2698),
    [anon_sym_while] = ACTIONS(2698),
    [anon_sym_until] = ACTIONS(2698),
    [sym__PERLY_SEMICOLON] = ACTIONS(2698),
    [sym__ctrl_z_hack] = ACTIONS(2698),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1254] = {
    [sym_heredoc_content] = STATE(1254),
    [anon_sym_RBRACE] = ACTIONS(2704),
    [anon_sym_SEMI] = ACTIONS(2704),
    [anon_sym_EQ] = ACTIONS(2706),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2704),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2704),
    [anon_sym_COMMA] = ACTIONS(2704),
    [anon_sym_RPAREN] = ACTIONS(2704),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2704),
    [anon_sym_and] = ACTIONS(2704),
    [anon_sym_or] = ACTIONS(2704),
    [anon_sym_xor] = ACTIONS(2704),
    [anon_sym_DASH_GT] = ACTIONS(2704),
    [anon_sym_PERCENT] = ACTIONS(2706),
    [anon_sym_GT] = ACTIONS(2706),
    [anon_sym_LT_LT] = ACTIONS(2706),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2704),
    [anon_sym_PLUS_EQ] = ACTIONS(2704),
    [anon_sym_DASH_EQ] = ACTIONS(2704),
    [anon_sym_DOT_EQ] = ACTIONS(2704),
    [anon_sym_STAR_EQ] = ACTIONS(2704),
    [anon_sym_SLASH_EQ] = ACTIONS(2704),
    [anon_sym_PERCENT_EQ] = ACTIONS(2704),
    [anon_sym_x_EQ] = ACTIONS(2704),
    [anon_sym_AMP_EQ] = ACTIONS(2704),
    [anon_sym_PIPE_EQ] = ACTIONS(2704),
    [anon_sym_CARET_EQ] = ACTIONS(2704),
    [anon_sym_LT_LT_EQ] = ACTIONS(2704),
    [anon_sym_GT_GT_EQ] = ACTIONS(2704),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2704),
    [anon_sym_DOT_DOT] = ACTIONS(2706),
    [anon_sym_STAR_STAR] = ACTIONS(2706),
    [anon_sym_PIPE_PIPE] = ACTIONS(2706),
    [anon_sym_SLASH_SLASH] = ACTIONS(2706),
    [anon_sym_CARET_CARET] = ACTIONS(2704),
    [anon_sym_AMP_AMP] = ACTIONS(2706),
    [anon_sym_PIPE] = ACTIONS(2706),
    [anon_sym_CARET] = ACTIONS(2706),
    [anon_sym_AMP] = ACTIONS(2706),
    [anon_sym_GT_GT2] = ACTIONS(2706),
    [anon_sym_PLUS] = ACTIONS(2706),
    [anon_sym_DASH] = ACTIONS(2706),
    [anon_sym_DOT] = ACTIONS(2706),
    [anon_sym_STAR] = ACTIONS(2706),
    [anon_sym_SLASH] = ACTIONS(2706),
    [anon_sym_x] = ACTIONS(2706),
    [anon_sym_EQ_TILDE] = ACTIONS(2704),
    [anon_sym_BANG_TILDE] = ACTIONS(2704),
    [anon_sym_EQ_EQ] = ACTIONS(2706),
    [anon_sym_BANG_EQ] = ACTIONS(2704),
    [anon_sym_eq] = ACTIONS(2706),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2704),
    [anon_sym_equ] = ACTIONS(2704),
    [anon_sym_eqr] = ACTIONS(2704),
    [anon_sym_ne] = ACTIONS(2704),
    [anon_sym_LT_EQ_GT] = ACTIONS(2704),
    [anon_sym_cmp] = ACTIONS(2706),
    [anon_sym_TILDE_TILDE] = ACTIONS(2704),
    [anon_sym_LT] = ACTIONS(2706),
    [anon_sym_LT_EQ] = ACTIONS(2706),
    [anon_sym_GT_EQ] = ACTIONS(2704),
    [anon_sym_lt] = ACTIONS(2704),
    [anon_sym_le] = ACTIONS(2704),
    [anon_sym_ge] = ACTIONS(2704),
    [anon_sym_gt] = ACTIONS(2704),
    [anon_sym_isa] = ACTIONS(2704),
    [anon_sym_PLUS_PLUS] = ACTIONS(2704),
    [anon_sym_DASH_DASH] = ACTIONS(2704),
    [anon_sym_QMARK] = ACTIONS(2704),
    [anon_sym_EQ_GT] = ACTIONS(2704),
    [anon_sym_for] = ACTIONS(2706),
    [anon_sym_foreach] = ACTIONS(2704),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2704),
    [anon_sym___END__] = ACTIONS(2704),
    [anon_sym_EOT] = ACTIONS(2704),
    [sym_transliteration_modifiers] = ACTIONS(2708),
    [anon_sym_if] = ACTIONS(2704),
    [anon_sym_unless] = ACTIONS(2704),
    [anon_sym_while] = ACTIONS(2704),
    [anon_sym_until] = ACTIONS(2704),
    [sym__PERLY_SEMICOLON] = ACTIONS(2704),
    [sym__ctrl_z_hack] = ACTIONS(2704),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1255] = {
    [sym_heredoc_content] = STATE(1255),
    [anon_sym_RBRACE] = ACTIONS(2710),
    [anon_sym_SEMI] = ACTIONS(2710),
    [anon_sym_EQ] = ACTIONS(2712),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2710),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2710),
    [anon_sym_COMMA] = ACTIONS(2710),
    [anon_sym_RPAREN] = ACTIONS(2710),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2710),
    [anon_sym_and] = ACTIONS(2712),
    [anon_sym_or] = ACTIONS(2712),
    [anon_sym_xor] = ACTIONS(2712),
    [anon_sym_DASH_GT] = ACTIONS(2710),
    [anon_sym_PERCENT] = ACTIONS(2712),
    [anon_sym_GT] = ACTIONS(2712),
    [anon_sym_LT_LT] = ACTIONS(2712),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2710),
    [anon_sym_PLUS_EQ] = ACTIONS(2710),
    [anon_sym_DASH_EQ] = ACTIONS(2710),
    [anon_sym_DOT_EQ] = ACTIONS(2710),
    [anon_sym_STAR_EQ] = ACTIONS(2710),
    [anon_sym_SLASH_EQ] = ACTIONS(2710),
    [anon_sym_PERCENT_EQ] = ACTIONS(2710),
    [anon_sym_x_EQ] = ACTIONS(2712),
    [anon_sym_AMP_EQ] = ACTIONS(2710),
    [anon_sym_PIPE_EQ] = ACTIONS(2710),
    [anon_sym_CARET_EQ] = ACTIONS(2710),
    [anon_sym_LT_LT_EQ] = ACTIONS(2710),
    [anon_sym_GT_GT_EQ] = ACTIONS(2710),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2710),
    [anon_sym_DOT_DOT] = ACTIONS(2712),
    [anon_sym_STAR_STAR] = ACTIONS(2712),
    [anon_sym_PIPE_PIPE] = ACTIONS(2712),
    [anon_sym_SLASH_SLASH] = ACTIONS(2712),
    [anon_sym_CARET_CARET] = ACTIONS(2710),
    [anon_sym_AMP_AMP] = ACTIONS(2712),
    [anon_sym_PIPE] = ACTIONS(2712),
    [anon_sym_CARET] = ACTIONS(2712),
    [anon_sym_AMP] = ACTIONS(2712),
    [anon_sym_GT_GT2] = ACTIONS(2712),
    [anon_sym_PLUS] = ACTIONS(2712),
    [anon_sym_DASH] = ACTIONS(2712),
    [anon_sym_DOT] = ACTIONS(2712),
    [anon_sym_STAR] = ACTIONS(2712),
    [anon_sym_SLASH] = ACTIONS(2712),
    [anon_sym_x] = ACTIONS(2712),
    [anon_sym_EQ_TILDE] = ACTIONS(2710),
    [anon_sym_BANG_TILDE] = ACTIONS(2710),
    [anon_sym_EQ_EQ] = ACTIONS(2712),
    [anon_sym_BANG_EQ] = ACTIONS(2710),
    [anon_sym_eq] = ACTIONS(2712),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2710),
    [anon_sym_equ] = ACTIONS(2712),
    [anon_sym_eqr] = ACTIONS(2712),
    [anon_sym_ne] = ACTIONS(2710),
    [anon_sym_LT_EQ_GT] = ACTIONS(2710),
    [anon_sym_cmp] = ACTIONS(2712),
    [anon_sym_TILDE_TILDE] = ACTIONS(2710),
    [anon_sym_LT] = ACTIONS(2712),
    [anon_sym_LT_EQ] = ACTIONS(2712),
    [anon_sym_GT_EQ] = ACTIONS(2710),
    [anon_sym_lt] = ACTIONS(2712),
    [anon_sym_le] = ACTIONS(2712),
    [anon_sym_ge] = ACTIONS(2712),
    [anon_sym_gt] = ACTIONS(2712),
    [anon_sym_isa] = ACTIONS(2712),
    [anon_sym_PLUS_PLUS] = ACTIONS(2710),
    [anon_sym_DASH_DASH] = ACTIONS(2710),
    [anon_sym_QMARK] = ACTIONS(2710),
    [anon_sym_EQ_GT] = ACTIONS(2710),
    [anon_sym_for] = ACTIONS(2712),
    [anon_sym_foreach] = ACTIONS(2710),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2710),
    [anon_sym___END__] = ACTIONS(2710),
    [anon_sym_EOT] = ACTIONS(2710),
    [sym_substitution_regexp_modifiers] = ACTIONS(2714),
    [anon_sym_if] = ACTIONS(2712),
    [anon_sym_unless] = ACTIONS(2712),
    [anon_sym_while] = ACTIONS(2710),
    [anon_sym_until] = ACTIONS(2712),
    [sym__PERLY_SEMICOLON] = ACTIONS(2710),
    [sym__ctrl_z_hack] = ACTIONS(2710),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1256] = {
    [sym_heredoc_content] = STATE(1256),
    [anon_sym_RBRACE] = ACTIONS(2716),
    [anon_sym_SEMI] = ACTIONS(2716),
    [anon_sym_EQ] = ACTIONS(2718),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2716),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2716),
    [anon_sym_COMMA] = ACTIONS(2716),
    [anon_sym_RPAREN] = ACTIONS(2716),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2716),
    [anon_sym_and] = ACTIONS(2716),
    [anon_sym_or] = ACTIONS(2716),
    [anon_sym_xor] = ACTIONS(2716),
    [anon_sym_DASH_GT] = ACTIONS(2716),
    [anon_sym_PERCENT] = ACTIONS(2718),
    [anon_sym_GT] = ACTIONS(2718),
    [anon_sym_LT_LT] = ACTIONS(2718),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2716),
    [anon_sym_PLUS_EQ] = ACTIONS(2716),
    [anon_sym_DASH_EQ] = ACTIONS(2716),
    [anon_sym_DOT_EQ] = ACTIONS(2716),
    [anon_sym_STAR_EQ] = ACTIONS(2716),
    [anon_sym_SLASH_EQ] = ACTIONS(2716),
    [anon_sym_PERCENT_EQ] = ACTIONS(2716),
    [anon_sym_x_EQ] = ACTIONS(2716),
    [anon_sym_AMP_EQ] = ACTIONS(2716),
    [anon_sym_PIPE_EQ] = ACTIONS(2716),
    [anon_sym_CARET_EQ] = ACTIONS(2716),
    [anon_sym_LT_LT_EQ] = ACTIONS(2716),
    [anon_sym_GT_GT_EQ] = ACTIONS(2716),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2716),
    [anon_sym_DOT_DOT] = ACTIONS(2718),
    [anon_sym_STAR_STAR] = ACTIONS(2718),
    [anon_sym_PIPE_PIPE] = ACTIONS(2718),
    [anon_sym_SLASH_SLASH] = ACTIONS(2718),
    [anon_sym_CARET_CARET] = ACTIONS(2716),
    [anon_sym_AMP_AMP] = ACTIONS(2718),
    [anon_sym_PIPE] = ACTIONS(2718),
    [anon_sym_CARET] = ACTIONS(2718),
    [anon_sym_AMP] = ACTIONS(2718),
    [anon_sym_GT_GT2] = ACTIONS(2718),
    [anon_sym_PLUS] = ACTIONS(2718),
    [anon_sym_DASH] = ACTIONS(2718),
    [anon_sym_DOT] = ACTIONS(2718),
    [anon_sym_STAR] = ACTIONS(2718),
    [anon_sym_SLASH] = ACTIONS(2718),
    [anon_sym_x] = ACTIONS(2718),
    [anon_sym_EQ_TILDE] = ACTIONS(2716),
    [anon_sym_BANG_TILDE] = ACTIONS(2716),
    [anon_sym_EQ_EQ] = ACTIONS(2718),
    [anon_sym_BANG_EQ] = ACTIONS(2716),
    [anon_sym_eq] = ACTIONS(2718),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2716),
    [anon_sym_equ] = ACTIONS(2716),
    [anon_sym_eqr] = ACTIONS(2716),
    [anon_sym_ne] = ACTIONS(2716),
    [anon_sym_LT_EQ_GT] = ACTIONS(2716),
    [anon_sym_cmp] = ACTIONS(2718),
    [anon_sym_TILDE_TILDE] = ACTIONS(2716),
    [anon_sym_LT] = ACTIONS(2718),
    [anon_sym_LT_EQ] = ACTIONS(2718),
    [anon_sym_GT_EQ] = ACTIONS(2716),
    [anon_sym_lt] = ACTIONS(2716),
    [anon_sym_le] = ACTIONS(2716),
    [anon_sym_ge] = ACTIONS(2716),
    [anon_sym_gt] = ACTIONS(2716),
    [anon_sym_isa] = ACTIONS(2716),
    [anon_sym_PLUS_PLUS] = ACTIONS(2716),
    [anon_sym_DASH_DASH] = ACTIONS(2716),
    [anon_sym_QMARK] = ACTIONS(2716),
    [anon_sym_EQ_GT] = ACTIONS(2716),
    [anon_sym_for] = ACTIONS(2718),
    [anon_sym_foreach] = ACTIONS(2716),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2716),
    [anon_sym___END__] = ACTIONS(2716),
    [anon_sym_EOT] = ACTIONS(2716),
    [sym_transliteration_modifiers] = ACTIONS(2720),
    [anon_sym_if] = ACTIONS(2716),
    [anon_sym_unless] = ACTIONS(2716),
    [anon_sym_while] = ACTIONS(2716),
    [anon_sym_until] = ACTIONS(2716),
    [sym__PERLY_SEMICOLON] = ACTIONS(2716),
    [sym__ctrl_z_hack] = ACTIONS(2716),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1257] = {
    [sym_heredoc_content] = STATE(1257),
    [anon_sym_RBRACE] = ACTIONS(2722),
    [anon_sym_SEMI] = ACTIONS(2722),
    [anon_sym_EQ] = ACTIONS(2724),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2722),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2722),
    [anon_sym_COMMA] = ACTIONS(2722),
    [anon_sym_RPAREN] = ACTIONS(2722),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2722),
    [anon_sym_and] = ACTIONS(2722),
    [anon_sym_or] = ACTIONS(2722),
    [anon_sym_xor] = ACTIONS(2722),
    [anon_sym_LBRACK] = ACTIONS(2684),
    [anon_sym_DASH_GT] = ACTIONS(2722),
    [anon_sym_PERCENT] = ACTIONS(2724),
    [anon_sym_GT] = ACTIONS(2724),
    [anon_sym_LT_LT] = ACTIONS(2724),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2722),
    [anon_sym_PLUS_EQ] = ACTIONS(2722),
    [anon_sym_DASH_EQ] = ACTIONS(2722),
    [anon_sym_DOT_EQ] = ACTIONS(2722),
    [anon_sym_STAR_EQ] = ACTIONS(2722),
    [anon_sym_SLASH_EQ] = ACTIONS(2722),
    [anon_sym_PERCENT_EQ] = ACTIONS(2722),
    [anon_sym_x_EQ] = ACTIONS(2722),
    [anon_sym_AMP_EQ] = ACTIONS(2722),
    [anon_sym_PIPE_EQ] = ACTIONS(2722),
    [anon_sym_CARET_EQ] = ACTIONS(2722),
    [anon_sym_LT_LT_EQ] = ACTIONS(2722),
    [anon_sym_GT_GT_EQ] = ACTIONS(2722),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2722),
    [anon_sym_DOT_DOT] = ACTIONS(2724),
    [anon_sym_STAR_STAR] = ACTIONS(2724),
    [anon_sym_PIPE_PIPE] = ACTIONS(2724),
    [anon_sym_SLASH_SLASH] = ACTIONS(2724),
    [anon_sym_CARET_CARET] = ACTIONS(2722),
    [anon_sym_AMP_AMP] = ACTIONS(2724),
    [anon_sym_PIPE] = ACTIONS(2724),
    [anon_sym_CARET] = ACTIONS(2724),
    [anon_sym_AMP] = ACTIONS(2724),
    [anon_sym_GT_GT2] = ACTIONS(2724),
    [anon_sym_PLUS] = ACTIONS(2724),
    [anon_sym_DASH] = ACTIONS(2724),
    [anon_sym_DOT] = ACTIONS(2724),
    [anon_sym_STAR] = ACTIONS(2724),
    [anon_sym_SLASH] = ACTIONS(2724),
    [anon_sym_x] = ACTIONS(2724),
    [anon_sym_EQ_TILDE] = ACTIONS(2722),
    [anon_sym_BANG_TILDE] = ACTIONS(2722),
    [anon_sym_EQ_EQ] = ACTIONS(2724),
    [anon_sym_BANG_EQ] = ACTIONS(2722),
    [anon_sym_eq] = ACTIONS(2724),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2722),
    [anon_sym_equ] = ACTIONS(2722),
    [anon_sym_eqr] = ACTIONS(2722),
    [anon_sym_ne] = ACTIONS(2722),
    [anon_sym_LT_EQ_GT] = ACTIONS(2722),
    [anon_sym_cmp] = ACTIONS(2722),
    [anon_sym_TILDE_TILDE] = ACTIONS(2722),
    [anon_sym_LT] = ACTIONS(2724),
    [anon_sym_LT_EQ] = ACTIONS(2724),
    [anon_sym_GT_EQ] = ACTIONS(2722),
    [anon_sym_lt] = ACTIONS(2722),
    [anon_sym_le] = ACTIONS(2722),
    [anon_sym_ge] = ACTIONS(2722),
    [anon_sym_gt] = ACTIONS(2722),
    [anon_sym_isa] = ACTIONS(2722),
    [anon_sym_PLUS_PLUS] = ACTIONS(2722),
    [anon_sym_DASH_DASH] = ACTIONS(2722),
    [anon_sym_QMARK] = ACTIONS(2722),
    [anon_sym_EQ_GT] = ACTIONS(2722),
    [anon_sym_for] = ACTIONS(2724),
    [anon_sym_foreach] = ACTIONS(2722),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2722),
    [anon_sym___END__] = ACTIONS(2722),
    [anon_sym_EOT] = ACTIONS(2722),
    [anon_sym_if] = ACTIONS(2722),
    [anon_sym_unless] = ACTIONS(2722),
    [anon_sym_while] = ACTIONS(2722),
    [anon_sym_until] = ACTIONS(2722),
    [sym__PERLY_SEMICOLON] = ACTIONS(2722),
    [sym__ctrl_z_hack] = ACTIONS(2722),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1258] = {
    [sym_heredoc_content] = STATE(1258),
    [anon_sym_RBRACE] = ACTIONS(2726),
    [anon_sym_COLON] = ACTIONS(2726),
    [anon_sym_SEMI] = ACTIONS(2726),
    [anon_sym_EQ] = ACTIONS(2728),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2726),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2726),
    [anon_sym_COMMA] = ACTIONS(2726),
    [anon_sym_RPAREN] = ACTIONS(2726),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2726),
    [anon_sym_and] = ACTIONS(2726),
    [anon_sym_or] = ACTIONS(2726),
    [anon_sym_xor] = ACTIONS(2726),
    [anon_sym_DASH_GT] = ACTIONS(2726),
    [anon_sym_PERCENT] = ACTIONS(2728),
    [anon_sym_GT] = ACTIONS(2728),
    [anon_sym_LT_LT] = ACTIONS(2728),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2726),
    [anon_sym_PLUS_EQ] = ACTIONS(2726),
    [anon_sym_DASH_EQ] = ACTIONS(2726),
    [anon_sym_DOT_EQ] = ACTIONS(2726),
    [anon_sym_STAR_EQ] = ACTIONS(2726),
    [anon_sym_SLASH_EQ] = ACTIONS(2726),
    [anon_sym_PERCENT_EQ] = ACTIONS(2726),
    [anon_sym_x_EQ] = ACTIONS(2726),
    [anon_sym_AMP_EQ] = ACTIONS(2726),
    [anon_sym_PIPE_EQ] = ACTIONS(2726),
    [anon_sym_CARET_EQ] = ACTIONS(2726),
    [anon_sym_LT_LT_EQ] = ACTIONS(2726),
    [anon_sym_GT_GT_EQ] = ACTIONS(2726),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2726),
    [anon_sym_DOT_DOT] = ACTIONS(2728),
    [anon_sym_STAR_STAR] = ACTIONS(2728),
    [anon_sym_PIPE_PIPE] = ACTIONS(2728),
    [anon_sym_SLASH_SLASH] = ACTIONS(2728),
    [anon_sym_CARET_CARET] = ACTIONS(2726),
    [anon_sym_AMP_AMP] = ACTIONS(2728),
    [anon_sym_PIPE] = ACTIONS(2728),
    [anon_sym_CARET] = ACTIONS(2728),
    [anon_sym_AMP] = ACTIONS(2728),
    [anon_sym_GT_GT2] = ACTIONS(2728),
    [anon_sym_PLUS] = ACTIONS(2728),
    [anon_sym_DASH] = ACTIONS(2728),
    [anon_sym_DOT] = ACTIONS(2728),
    [anon_sym_STAR] = ACTIONS(2728),
    [anon_sym_SLASH] = ACTIONS(2728),
    [anon_sym_x] = ACTIONS(2728),
    [anon_sym_EQ_TILDE] = ACTIONS(2726),
    [anon_sym_BANG_TILDE] = ACTIONS(2726),
    [anon_sym_EQ_EQ] = ACTIONS(2728),
    [anon_sym_BANG_EQ] = ACTIONS(2726),
    [anon_sym_eq] = ACTIONS(2728),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2726),
    [anon_sym_equ] = ACTIONS(2726),
    [anon_sym_eqr] = ACTIONS(2726),
    [anon_sym_ne] = ACTIONS(2726),
    [anon_sym_LT_EQ_GT] = ACTIONS(2726),
    [anon_sym_cmp] = ACTIONS(2726),
    [anon_sym_TILDE_TILDE] = ACTIONS(2726),
    [anon_sym_LT] = ACTIONS(2728),
    [anon_sym_LT_EQ] = ACTIONS(2728),
    [anon_sym_GT_EQ] = ACTIONS(2726),
    [anon_sym_lt] = ACTIONS(2726),
    [anon_sym_le] = ACTIONS(2726),
    [anon_sym_ge] = ACTIONS(2726),
    [anon_sym_gt] = ACTIONS(2726),
    [anon_sym_isa] = ACTIONS(2726),
    [anon_sym_PLUS_PLUS] = ACTIONS(2726),
    [anon_sym_DASH_DASH] = ACTIONS(2726),
    [anon_sym_QMARK] = ACTIONS(2726),
    [anon_sym_EQ_GT] = ACTIONS(2726),
    [anon_sym_for] = ACTIONS(2728),
    [anon_sym_foreach] = ACTIONS(2726),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2726),
    [anon_sym___END__] = ACTIONS(2726),
    [anon_sym_EOT] = ACTIONS(2726),
    [anon_sym_if] = ACTIONS(2726),
    [anon_sym_unless] = ACTIONS(2726),
    [anon_sym_while] = ACTIONS(2726),
    [anon_sym_until] = ACTIONS(2726),
    [sym__PERLY_SEMICOLON] = ACTIONS(2726),
    [sym__ctrl_z_hack] = ACTIONS(2726),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1259] = {
    [sym_heredoc_content] = STATE(1259),
    [anon_sym_RBRACE] = ACTIONS(2730),
    [anon_sym_SEMI] = ACTIONS(2730),
    [anon_sym_EQ] = ACTIONS(2732),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2730),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2730),
    [anon_sym_COMMA] = ACTIONS(2730),
    [anon_sym_RPAREN] = ACTIONS(2730),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2730),
    [anon_sym_and] = ACTIONS(2730),
    [anon_sym_or] = ACTIONS(2730),
    [anon_sym_xor] = ACTIONS(2730),
    [anon_sym_LBRACK] = ACTIONS(2566),
    [anon_sym_DASH_GT] = ACTIONS(2730),
    [anon_sym_PERCENT] = ACTIONS(2732),
    [anon_sym_GT] = ACTIONS(2732),
    [anon_sym_LT_LT] = ACTIONS(2732),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2730),
    [anon_sym_PLUS_EQ] = ACTIONS(2730),
    [anon_sym_DASH_EQ] = ACTIONS(2730),
    [anon_sym_DOT_EQ] = ACTIONS(2730),
    [anon_sym_STAR_EQ] = ACTIONS(2730),
    [anon_sym_SLASH_EQ] = ACTIONS(2730),
    [anon_sym_PERCENT_EQ] = ACTIONS(2730),
    [anon_sym_x_EQ] = ACTIONS(2730),
    [anon_sym_AMP_EQ] = ACTIONS(2730),
    [anon_sym_PIPE_EQ] = ACTIONS(2730),
    [anon_sym_CARET_EQ] = ACTIONS(2730),
    [anon_sym_LT_LT_EQ] = ACTIONS(2730),
    [anon_sym_GT_GT_EQ] = ACTIONS(2730),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2730),
    [anon_sym_DOT_DOT] = ACTIONS(2732),
    [anon_sym_STAR_STAR] = ACTIONS(2732),
    [anon_sym_PIPE_PIPE] = ACTIONS(2732),
    [anon_sym_SLASH_SLASH] = ACTIONS(2732),
    [anon_sym_CARET_CARET] = ACTIONS(2730),
    [anon_sym_AMP_AMP] = ACTIONS(2732),
    [anon_sym_PIPE] = ACTIONS(2732),
    [anon_sym_CARET] = ACTIONS(2732),
    [anon_sym_AMP] = ACTIONS(2732),
    [anon_sym_GT_GT2] = ACTIONS(2732),
    [anon_sym_PLUS] = ACTIONS(2732),
    [anon_sym_DASH] = ACTIONS(2732),
    [anon_sym_DOT] = ACTIONS(2732),
    [anon_sym_STAR] = ACTIONS(2732),
    [anon_sym_SLASH] = ACTIONS(2732),
    [anon_sym_x] = ACTIONS(2732),
    [anon_sym_EQ_TILDE] = ACTIONS(2730),
    [anon_sym_BANG_TILDE] = ACTIONS(2730),
    [anon_sym_EQ_EQ] = ACTIONS(2732),
    [anon_sym_BANG_EQ] = ACTIONS(2730),
    [anon_sym_eq] = ACTIONS(2732),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2730),
    [anon_sym_equ] = ACTIONS(2730),
    [anon_sym_eqr] = ACTIONS(2730),
    [anon_sym_ne] = ACTIONS(2730),
    [anon_sym_LT_EQ_GT] = ACTIONS(2730),
    [anon_sym_cmp] = ACTIONS(2730),
    [anon_sym_TILDE_TILDE] = ACTIONS(2730),
    [anon_sym_LT] = ACTIONS(2732),
    [anon_sym_LT_EQ] = ACTIONS(2732),
    [anon_sym_GT_EQ] = ACTIONS(2730),
    [anon_sym_lt] = ACTIONS(2730),
    [anon_sym_le] = ACTIONS(2730),
    [anon_sym_ge] = ACTIONS(2730),
    [anon_sym_gt] = ACTIONS(2730),
    [anon_sym_isa] = ACTIONS(2730),
    [anon_sym_PLUS_PLUS] = ACTIONS(2730),
    [anon_sym_DASH_DASH] = ACTIONS(2730),
    [anon_sym_QMARK] = ACTIONS(2730),
    [anon_sym_EQ_GT] = ACTIONS(2730),
    [anon_sym_for] = ACTIONS(2732),
    [anon_sym_foreach] = ACTIONS(2730),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2730),
    [anon_sym___END__] = ACTIONS(2730),
    [anon_sym_EOT] = ACTIONS(2730),
    [anon_sym_if] = ACTIONS(2730),
    [anon_sym_unless] = ACTIONS(2730),
    [anon_sym_while] = ACTIONS(2730),
    [anon_sym_until] = ACTIONS(2730),
    [sym__PERLY_SEMICOLON] = ACTIONS(2730),
    [sym__ctrl_z_hack] = ACTIONS(2730),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1260] = {
    [sym_heredoc_content] = STATE(1260),
    [anon_sym_RBRACE] = ACTIONS(2734),
    [anon_sym_COLON] = ACTIONS(2736),
    [anon_sym_SEMI] = ACTIONS(2734),
    [anon_sym_EQ] = ACTIONS(2738),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2734),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2734),
    [anon_sym_COMMA] = ACTIONS(2734),
    [anon_sym_RPAREN] = ACTIONS(2734),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2734),
    [anon_sym_and] = ACTIONS(2734),
    [anon_sym_or] = ACTIONS(2734),
    [anon_sym_xor] = ACTIONS(2734),
    [anon_sym_DASH_GT] = ACTIONS(2734),
    [anon_sym_PERCENT] = ACTIONS(2738),
    [anon_sym_GT] = ACTIONS(2738),
    [anon_sym_LT_LT] = ACTIONS(2738),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2734),
    [anon_sym_PLUS_EQ] = ACTIONS(2734),
    [anon_sym_DASH_EQ] = ACTIONS(2734),
    [anon_sym_DOT_EQ] = ACTIONS(2734),
    [anon_sym_STAR_EQ] = ACTIONS(2734),
    [anon_sym_SLASH_EQ] = ACTIONS(2734),
    [anon_sym_PERCENT_EQ] = ACTIONS(2734),
    [anon_sym_x_EQ] = ACTIONS(2734),
    [anon_sym_AMP_EQ] = ACTIONS(2734),
    [anon_sym_PIPE_EQ] = ACTIONS(2734),
    [anon_sym_CARET_EQ] = ACTIONS(2734),
    [anon_sym_LT_LT_EQ] = ACTIONS(2734),
    [anon_sym_GT_GT_EQ] = ACTIONS(2734),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2734),
    [anon_sym_DOT_DOT] = ACTIONS(2738),
    [anon_sym_STAR_STAR] = ACTIONS(2738),
    [anon_sym_PIPE_PIPE] = ACTIONS(2738),
    [anon_sym_SLASH_SLASH] = ACTIONS(2738),
    [anon_sym_CARET_CARET] = ACTIONS(2734),
    [anon_sym_AMP_AMP] = ACTIONS(2738),
    [anon_sym_PIPE] = ACTIONS(2738),
    [anon_sym_CARET] = ACTIONS(2738),
    [anon_sym_AMP] = ACTIONS(2738),
    [anon_sym_GT_GT2] = ACTIONS(2738),
    [anon_sym_PLUS] = ACTIONS(2738),
    [anon_sym_DASH] = ACTIONS(2738),
    [anon_sym_DOT] = ACTIONS(2738),
    [anon_sym_STAR] = ACTIONS(2738),
    [anon_sym_SLASH] = ACTIONS(2738),
    [anon_sym_x] = ACTIONS(2738),
    [anon_sym_EQ_TILDE] = ACTIONS(2734),
    [anon_sym_BANG_TILDE] = ACTIONS(2734),
    [anon_sym_EQ_EQ] = ACTIONS(2738),
    [anon_sym_BANG_EQ] = ACTIONS(2734),
    [anon_sym_eq] = ACTIONS(2738),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2734),
    [anon_sym_equ] = ACTIONS(2734),
    [anon_sym_eqr] = ACTIONS(2734),
    [anon_sym_ne] = ACTIONS(2734),
    [anon_sym_LT_EQ_GT] = ACTIONS(2734),
    [anon_sym_cmp] = ACTIONS(2734),
    [anon_sym_TILDE_TILDE] = ACTIONS(2734),
    [anon_sym_LT] = ACTIONS(2738),
    [anon_sym_LT_EQ] = ACTIONS(2738),
    [anon_sym_GT_EQ] = ACTIONS(2734),
    [anon_sym_lt] = ACTIONS(2734),
    [anon_sym_le] = ACTIONS(2734),
    [anon_sym_ge] = ACTIONS(2734),
    [anon_sym_gt] = ACTIONS(2734),
    [anon_sym_isa] = ACTIONS(2734),
    [anon_sym_PLUS_PLUS] = ACTIONS(2734),
    [anon_sym_DASH_DASH] = ACTIONS(2734),
    [anon_sym_QMARK] = ACTIONS(2734),
    [anon_sym_EQ_GT] = ACTIONS(2734),
    [anon_sym_for] = ACTIONS(2738),
    [anon_sym_foreach] = ACTIONS(2734),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2734),
    [anon_sym___END__] = ACTIONS(2734),
    [anon_sym_EOT] = ACTIONS(2734),
    [anon_sym_if] = ACTIONS(2734),
    [anon_sym_unless] = ACTIONS(2734),
    [anon_sym_while] = ACTIONS(2734),
    [anon_sym_until] = ACTIONS(2734),
    [sym__PERLY_SEMICOLON] = ACTIONS(2734),
    [sym__ctrl_z_hack] = ACTIONS(2734),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1261] = {
    [sym_heredoc_content] = STATE(1261),
    [anon_sym_RBRACE] = ACTIONS(2740),
    [anon_sym_SEMI] = ACTIONS(2740),
    [anon_sym_EQ] = ACTIONS(2742),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2740),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2740),
    [anon_sym_COMMA] = ACTIONS(2740),
    [anon_sym_RPAREN] = ACTIONS(2740),
    [anon_sym_LPAREN] = ACTIONS(2740),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2740),
    [anon_sym_and] = ACTIONS(2740),
    [anon_sym_or] = ACTIONS(2740),
    [anon_sym_xor] = ACTIONS(2740),
    [anon_sym_DASH_GT] = ACTIONS(2740),
    [anon_sym_PERCENT] = ACTIONS(2742),
    [anon_sym_GT] = ACTIONS(2742),
    [anon_sym_LT_LT] = ACTIONS(2742),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2740),
    [anon_sym_PLUS_EQ] = ACTIONS(2740),
    [anon_sym_DASH_EQ] = ACTIONS(2740),
    [anon_sym_DOT_EQ] = ACTIONS(2740),
    [anon_sym_STAR_EQ] = ACTIONS(2740),
    [anon_sym_SLASH_EQ] = ACTIONS(2740),
    [anon_sym_PERCENT_EQ] = ACTIONS(2740),
    [anon_sym_x_EQ] = ACTIONS(2740),
    [anon_sym_AMP_EQ] = ACTIONS(2740),
    [anon_sym_PIPE_EQ] = ACTIONS(2740),
    [anon_sym_CARET_EQ] = ACTIONS(2740),
    [anon_sym_LT_LT_EQ] = ACTIONS(2740),
    [anon_sym_GT_GT_EQ] = ACTIONS(2740),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2740),
    [anon_sym_DOT_DOT] = ACTIONS(2742),
    [anon_sym_STAR_STAR] = ACTIONS(2742),
    [anon_sym_PIPE_PIPE] = ACTIONS(2742),
    [anon_sym_SLASH_SLASH] = ACTIONS(2742),
    [anon_sym_CARET_CARET] = ACTIONS(2740),
    [anon_sym_AMP_AMP] = ACTIONS(2742),
    [anon_sym_PIPE] = ACTIONS(2742),
    [anon_sym_CARET] = ACTIONS(2742),
    [anon_sym_AMP] = ACTIONS(2742),
    [anon_sym_GT_GT2] = ACTIONS(2742),
    [anon_sym_PLUS] = ACTIONS(2742),
    [anon_sym_DASH] = ACTIONS(2742),
    [anon_sym_DOT] = ACTIONS(2742),
    [anon_sym_STAR] = ACTIONS(2742),
    [anon_sym_SLASH] = ACTIONS(2742),
    [anon_sym_x] = ACTIONS(2742),
    [anon_sym_EQ_TILDE] = ACTIONS(2740),
    [anon_sym_BANG_TILDE] = ACTIONS(2740),
    [anon_sym_EQ_EQ] = ACTIONS(2742),
    [anon_sym_BANG_EQ] = ACTIONS(2740),
    [anon_sym_eq] = ACTIONS(2742),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2740),
    [anon_sym_equ] = ACTIONS(2740),
    [anon_sym_eqr] = ACTIONS(2740),
    [anon_sym_ne] = ACTIONS(2740),
    [anon_sym_LT_EQ_GT] = ACTIONS(2740),
    [anon_sym_cmp] = ACTIONS(2740),
    [anon_sym_TILDE_TILDE] = ACTIONS(2740),
    [anon_sym_LT] = ACTIONS(2742),
    [anon_sym_LT_EQ] = ACTIONS(2742),
    [anon_sym_GT_EQ] = ACTIONS(2740),
    [anon_sym_lt] = ACTIONS(2740),
    [anon_sym_le] = ACTIONS(2740),
    [anon_sym_ge] = ACTIONS(2740),
    [anon_sym_gt] = ACTIONS(2740),
    [anon_sym_isa] = ACTIONS(2740),
    [anon_sym_PLUS_PLUS] = ACTIONS(2740),
    [anon_sym_DASH_DASH] = ACTIONS(2740),
    [anon_sym_QMARK] = ACTIONS(2740),
    [anon_sym_EQ_GT] = ACTIONS(2740),
    [anon_sym_for] = ACTIONS(2742),
    [anon_sym_foreach] = ACTIONS(2740),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2740),
    [anon_sym___END__] = ACTIONS(2740),
    [anon_sym_EOT] = ACTIONS(2740),
    [anon_sym_if] = ACTIONS(2740),
    [anon_sym_unless] = ACTIONS(2740),
    [anon_sym_while] = ACTIONS(2740),
    [anon_sym_until] = ACTIONS(2740),
    [sym__PERLY_SEMICOLON] = ACTIONS(2740),
    [sym__ctrl_z_hack] = ACTIONS(2740),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1262] = {
    [sym_heredoc_content] = STATE(1262),
    [anon_sym_RBRACE] = ACTIONS(2744),
    [anon_sym_COLON] = ACTIONS(2746),
    [anon_sym_SEMI] = ACTIONS(2744),
    [anon_sym_EQ] = ACTIONS(2748),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2744),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2744),
    [anon_sym_COMMA] = ACTIONS(2744),
    [anon_sym_RPAREN] = ACTIONS(2744),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2744),
    [anon_sym_and] = ACTIONS(2744),
    [anon_sym_or] = ACTIONS(2744),
    [anon_sym_xor] = ACTIONS(2744),
    [anon_sym_DASH_GT] = ACTIONS(2744),
    [anon_sym_PERCENT] = ACTIONS(2748),
    [anon_sym_GT] = ACTIONS(2748),
    [anon_sym_LT_LT] = ACTIONS(2748),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2744),
    [anon_sym_PLUS_EQ] = ACTIONS(2744),
    [anon_sym_DASH_EQ] = ACTIONS(2744),
    [anon_sym_DOT_EQ] = ACTIONS(2744),
    [anon_sym_STAR_EQ] = ACTIONS(2744),
    [anon_sym_SLASH_EQ] = ACTIONS(2744),
    [anon_sym_PERCENT_EQ] = ACTIONS(2744),
    [anon_sym_x_EQ] = ACTIONS(2744),
    [anon_sym_AMP_EQ] = ACTIONS(2744),
    [anon_sym_PIPE_EQ] = ACTIONS(2744),
    [anon_sym_CARET_EQ] = ACTIONS(2744),
    [anon_sym_LT_LT_EQ] = ACTIONS(2744),
    [anon_sym_GT_GT_EQ] = ACTIONS(2744),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2744),
    [anon_sym_DOT_DOT] = ACTIONS(2748),
    [anon_sym_STAR_STAR] = ACTIONS(2748),
    [anon_sym_PIPE_PIPE] = ACTIONS(2748),
    [anon_sym_SLASH_SLASH] = ACTIONS(2748),
    [anon_sym_CARET_CARET] = ACTIONS(2744),
    [anon_sym_AMP_AMP] = ACTIONS(2748),
    [anon_sym_PIPE] = ACTIONS(2748),
    [anon_sym_CARET] = ACTIONS(2748),
    [anon_sym_AMP] = ACTIONS(2748),
    [anon_sym_GT_GT2] = ACTIONS(2748),
    [anon_sym_PLUS] = ACTIONS(2748),
    [anon_sym_DASH] = ACTIONS(2748),
    [anon_sym_DOT] = ACTIONS(2748),
    [anon_sym_STAR] = ACTIONS(2748),
    [anon_sym_SLASH] = ACTIONS(2748),
    [anon_sym_x] = ACTIONS(2748),
    [anon_sym_EQ_TILDE] = ACTIONS(2744),
    [anon_sym_BANG_TILDE] = ACTIONS(2744),
    [anon_sym_EQ_EQ] = ACTIONS(2748),
    [anon_sym_BANG_EQ] = ACTIONS(2744),
    [anon_sym_eq] = ACTIONS(2748),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2744),
    [anon_sym_equ] = ACTIONS(2744),
    [anon_sym_eqr] = ACTIONS(2744),
    [anon_sym_ne] = ACTIONS(2744),
    [anon_sym_LT_EQ_GT] = ACTIONS(2744),
    [anon_sym_cmp] = ACTIONS(2744),
    [anon_sym_TILDE_TILDE] = ACTIONS(2744),
    [anon_sym_LT] = ACTIONS(2748),
    [anon_sym_LT_EQ] = ACTIONS(2748),
    [anon_sym_GT_EQ] = ACTIONS(2744),
    [anon_sym_lt] = ACTIONS(2744),
    [anon_sym_le] = ACTIONS(2744),
    [anon_sym_ge] = ACTIONS(2744),
    [anon_sym_gt] = ACTIONS(2744),
    [anon_sym_isa] = ACTIONS(2744),
    [anon_sym_PLUS_PLUS] = ACTIONS(2744),
    [anon_sym_DASH_DASH] = ACTIONS(2744),
    [anon_sym_QMARK] = ACTIONS(2744),
    [anon_sym_EQ_GT] = ACTIONS(2744),
    [anon_sym_for] = ACTIONS(2748),
    [anon_sym_foreach] = ACTIONS(2744),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2744),
    [anon_sym___END__] = ACTIONS(2744),
    [anon_sym_EOT] = ACTIONS(2744),
    [anon_sym_if] = ACTIONS(2744),
    [anon_sym_unless] = ACTIONS(2744),
    [anon_sym_while] = ACTIONS(2744),
    [anon_sym_until] = ACTIONS(2744),
    [sym__PERLY_SEMICOLON] = ACTIONS(2744),
    [sym__ctrl_z_hack] = ACTIONS(2744),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1263] = {
    [sym_heredoc_content] = STATE(1263),
    [anon_sym_RBRACE] = ACTIONS(2750),
    [anon_sym_SEMI] = ACTIONS(2750),
    [anon_sym_EQ] = ACTIONS(2752),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2750),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2750),
    [anon_sym_COMMA] = ACTIONS(2750),
    [anon_sym_RPAREN] = ACTIONS(2750),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2750),
    [anon_sym_and] = ACTIONS(2750),
    [anon_sym_or] = ACTIONS(2750),
    [anon_sym_xor] = ACTIONS(2750),
    [anon_sym_LBRACK] = ACTIONS(2750),
    [anon_sym_DASH_GT] = ACTIONS(2750),
    [anon_sym_PERCENT] = ACTIONS(2752),
    [anon_sym_GT] = ACTIONS(2752),
    [anon_sym_LT_LT] = ACTIONS(2752),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2750),
    [anon_sym_PLUS_EQ] = ACTIONS(2750),
    [anon_sym_DASH_EQ] = ACTIONS(2750),
    [anon_sym_DOT_EQ] = ACTIONS(2750),
    [anon_sym_STAR_EQ] = ACTIONS(2750),
    [anon_sym_SLASH_EQ] = ACTIONS(2750),
    [anon_sym_PERCENT_EQ] = ACTIONS(2750),
    [anon_sym_x_EQ] = ACTIONS(2750),
    [anon_sym_AMP_EQ] = ACTIONS(2750),
    [anon_sym_PIPE_EQ] = ACTIONS(2750),
    [anon_sym_CARET_EQ] = ACTIONS(2750),
    [anon_sym_LT_LT_EQ] = ACTIONS(2750),
    [anon_sym_GT_GT_EQ] = ACTIONS(2750),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2750),
    [anon_sym_DOT_DOT] = ACTIONS(2752),
    [anon_sym_STAR_STAR] = ACTIONS(2752),
    [anon_sym_PIPE_PIPE] = ACTIONS(2752),
    [anon_sym_SLASH_SLASH] = ACTIONS(2752),
    [anon_sym_CARET_CARET] = ACTIONS(2750),
    [anon_sym_AMP_AMP] = ACTIONS(2752),
    [anon_sym_PIPE] = ACTIONS(2752),
    [anon_sym_CARET] = ACTIONS(2752),
    [anon_sym_AMP] = ACTIONS(2752),
    [anon_sym_GT_GT2] = ACTIONS(2752),
    [anon_sym_PLUS] = ACTIONS(2752),
    [anon_sym_DASH] = ACTIONS(2752),
    [anon_sym_DOT] = ACTIONS(2752),
    [anon_sym_STAR] = ACTIONS(2752),
    [anon_sym_SLASH] = ACTIONS(2752),
    [anon_sym_x] = ACTIONS(2752),
    [anon_sym_EQ_TILDE] = ACTIONS(2750),
    [anon_sym_BANG_TILDE] = ACTIONS(2750),
    [anon_sym_EQ_EQ] = ACTIONS(2752),
    [anon_sym_BANG_EQ] = ACTIONS(2750),
    [anon_sym_eq] = ACTIONS(2752),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2750),
    [anon_sym_equ] = ACTIONS(2750),
    [anon_sym_eqr] = ACTIONS(2750),
    [anon_sym_ne] = ACTIONS(2750),
    [anon_sym_LT_EQ_GT] = ACTIONS(2750),
    [anon_sym_cmp] = ACTIONS(2750),
    [anon_sym_TILDE_TILDE] = ACTIONS(2750),
    [anon_sym_LT] = ACTIONS(2752),
    [anon_sym_LT_EQ] = ACTIONS(2752),
    [anon_sym_GT_EQ] = ACTIONS(2750),
    [anon_sym_lt] = ACTIONS(2750),
    [anon_sym_le] = ACTIONS(2750),
    [anon_sym_ge] = ACTIONS(2750),
    [anon_sym_gt] = ACTIONS(2750),
    [anon_sym_isa] = ACTIONS(2750),
    [anon_sym_PLUS_PLUS] = ACTIONS(2750),
    [anon_sym_DASH_DASH] = ACTIONS(2750),
    [anon_sym_QMARK] = ACTIONS(2750),
    [anon_sym_EQ_GT] = ACTIONS(2750),
    [anon_sym_for] = ACTIONS(2752),
    [anon_sym_foreach] = ACTIONS(2750),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2750),
    [anon_sym___END__] = ACTIONS(2750),
    [anon_sym_EOT] = ACTIONS(2750),
    [anon_sym_if] = ACTIONS(2750),
    [anon_sym_unless] = ACTIONS(2750),
    [anon_sym_while] = ACTIONS(2750),
    [anon_sym_until] = ACTIONS(2750),
    [sym__PERLY_SEMICOLON] = ACTIONS(2750),
    [sym__ctrl_z_hack] = ACTIONS(2750),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1264] = {
    [sym_heredoc_content] = STATE(1264),
    [anon_sym_RBRACE] = ACTIONS(2754),
    [anon_sym_SEMI] = ACTIONS(2754),
    [anon_sym_EQ] = ACTIONS(2756),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2754),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2754),
    [anon_sym_COMMA] = ACTIONS(2754),
    [anon_sym_RPAREN] = ACTIONS(2754),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2754),
    [anon_sym_and] = ACTIONS(2756),
    [anon_sym_or] = ACTIONS(2756),
    [anon_sym_xor] = ACTIONS(2756),
    [anon_sym_DASH_GT] = ACTIONS(2754),
    [anon_sym_PERCENT] = ACTIONS(2756),
    [anon_sym_GT] = ACTIONS(2756),
    [anon_sym_LT_LT] = ACTIONS(2756),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2754),
    [anon_sym_PLUS_EQ] = ACTIONS(2754),
    [anon_sym_DASH_EQ] = ACTIONS(2754),
    [anon_sym_DOT_EQ] = ACTIONS(2754),
    [anon_sym_STAR_EQ] = ACTIONS(2754),
    [anon_sym_SLASH_EQ] = ACTIONS(2754),
    [anon_sym_PERCENT_EQ] = ACTIONS(2754),
    [anon_sym_x_EQ] = ACTIONS(2756),
    [anon_sym_AMP_EQ] = ACTIONS(2754),
    [anon_sym_PIPE_EQ] = ACTIONS(2754),
    [anon_sym_CARET_EQ] = ACTIONS(2754),
    [anon_sym_LT_LT_EQ] = ACTIONS(2754),
    [anon_sym_GT_GT_EQ] = ACTIONS(2754),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2754),
    [anon_sym_DOT_DOT] = ACTIONS(2756),
    [anon_sym_STAR_STAR] = ACTIONS(2756),
    [anon_sym_PIPE_PIPE] = ACTIONS(2756),
    [anon_sym_SLASH_SLASH] = ACTIONS(2756),
    [anon_sym_CARET_CARET] = ACTIONS(2754),
    [anon_sym_AMP_AMP] = ACTIONS(2756),
    [anon_sym_PIPE] = ACTIONS(2756),
    [anon_sym_CARET] = ACTIONS(2756),
    [anon_sym_AMP] = ACTIONS(2756),
    [anon_sym_GT_GT2] = ACTIONS(2756),
    [anon_sym_PLUS] = ACTIONS(2756),
    [anon_sym_DASH] = ACTIONS(2756),
    [anon_sym_DOT] = ACTIONS(2756),
    [anon_sym_STAR] = ACTIONS(2756),
    [anon_sym_SLASH] = ACTIONS(2756),
    [anon_sym_x] = ACTIONS(2756),
    [anon_sym_EQ_TILDE] = ACTIONS(2754),
    [anon_sym_BANG_TILDE] = ACTIONS(2754),
    [anon_sym_EQ_EQ] = ACTIONS(2756),
    [anon_sym_BANG_EQ] = ACTIONS(2754),
    [anon_sym_eq] = ACTIONS(2756),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2754),
    [anon_sym_equ] = ACTIONS(2754),
    [anon_sym_eqr] = ACTIONS(2754),
    [anon_sym_ne] = ACTIONS(2756),
    [anon_sym_LT_EQ_GT] = ACTIONS(2754),
    [anon_sym_cmp] = ACTIONS(2756),
    [anon_sym_TILDE_TILDE] = ACTIONS(2754),
    [anon_sym_LT] = ACTIONS(2756),
    [anon_sym_LT_EQ] = ACTIONS(2756),
    [anon_sym_GT_EQ] = ACTIONS(2754),
    [anon_sym_lt] = ACTIONS(2756),
    [anon_sym_le] = ACTIONS(2756),
    [anon_sym_ge] = ACTIONS(2756),
    [anon_sym_gt] = ACTIONS(2756),
    [anon_sym_isa] = ACTIONS(2756),
    [anon_sym_PLUS_PLUS] = ACTIONS(2754),
    [anon_sym_DASH_DASH] = ACTIONS(2754),
    [anon_sym_QMARK] = ACTIONS(2754),
    [anon_sym_EQ_GT] = ACTIONS(2754),
    [anon_sym_for] = ACTIONS(2756),
    [anon_sym_foreach] = ACTIONS(2754),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2754),
    [anon_sym___END__] = ACTIONS(2754),
    [anon_sym_EOT] = ACTIONS(2754),
    [sym_match_regexp_modifiers] = ACTIONS(2758),
    [anon_sym_if] = ACTIONS(2756),
    [anon_sym_unless] = ACTIONS(2756),
    [anon_sym_while] = ACTIONS(2754),
    [anon_sym_until] = ACTIONS(2756),
    [sym__PERLY_SEMICOLON] = ACTIONS(2754),
    [sym__ctrl_z_hack] = ACTIONS(2754),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1265] = {
    [sym_heredoc_content] = STATE(1265),
    [anon_sym_RBRACE] = ACTIONS(2532),
    [anon_sym_SEMI] = ACTIONS(2532),
    [anon_sym_EQ] = ACTIONS(2534),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2532),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2532),
    [anon_sym_COMMA] = ACTIONS(2532),
    [anon_sym_RPAREN] = ACTIONS(2532),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2532),
    [anon_sym_and] = ACTIONS(2534),
    [anon_sym_or] = ACTIONS(2534),
    [anon_sym_xor] = ACTIONS(2534),
    [anon_sym_DASH_GT] = ACTIONS(2532),
    [anon_sym_PERCENT] = ACTIONS(2534),
    [anon_sym_GT] = ACTIONS(2534),
    [anon_sym_LT_LT] = ACTIONS(2534),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2532),
    [anon_sym_PLUS_EQ] = ACTIONS(2532),
    [anon_sym_DASH_EQ] = ACTIONS(2532),
    [anon_sym_DOT_EQ] = ACTIONS(2532),
    [anon_sym_STAR_EQ] = ACTIONS(2532),
    [anon_sym_SLASH_EQ] = ACTIONS(2532),
    [anon_sym_PERCENT_EQ] = ACTIONS(2532),
    [anon_sym_x_EQ] = ACTIONS(2534),
    [anon_sym_AMP_EQ] = ACTIONS(2532),
    [anon_sym_PIPE_EQ] = ACTIONS(2532),
    [anon_sym_CARET_EQ] = ACTIONS(2532),
    [anon_sym_LT_LT_EQ] = ACTIONS(2532),
    [anon_sym_GT_GT_EQ] = ACTIONS(2532),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2532),
    [anon_sym_DOT_DOT] = ACTIONS(2534),
    [anon_sym_STAR_STAR] = ACTIONS(2534),
    [anon_sym_PIPE_PIPE] = ACTIONS(2534),
    [anon_sym_SLASH_SLASH] = ACTIONS(2534),
    [anon_sym_CARET_CARET] = ACTIONS(2532),
    [anon_sym_AMP_AMP] = ACTIONS(2534),
    [anon_sym_PIPE] = ACTIONS(2534),
    [anon_sym_CARET] = ACTIONS(2534),
    [anon_sym_AMP] = ACTIONS(2534),
    [anon_sym_GT_GT2] = ACTIONS(2534),
    [anon_sym_PLUS] = ACTIONS(2534),
    [anon_sym_DASH] = ACTIONS(2534),
    [anon_sym_DOT] = ACTIONS(2534),
    [anon_sym_STAR] = ACTIONS(2534),
    [anon_sym_SLASH] = ACTIONS(2534),
    [anon_sym_x] = ACTIONS(2534),
    [anon_sym_EQ_TILDE] = ACTIONS(2532),
    [anon_sym_BANG_TILDE] = ACTIONS(2532),
    [anon_sym_EQ_EQ] = ACTIONS(2534),
    [anon_sym_BANG_EQ] = ACTIONS(2532),
    [anon_sym_eq] = ACTIONS(2534),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2532),
    [anon_sym_equ] = ACTIONS(2532),
    [anon_sym_eqr] = ACTIONS(2532),
    [anon_sym_ne] = ACTIONS(2534),
    [anon_sym_LT_EQ_GT] = ACTIONS(2532),
    [anon_sym_cmp] = ACTIONS(2532),
    [anon_sym_TILDE_TILDE] = ACTIONS(2532),
    [anon_sym_LT] = ACTIONS(2534),
    [anon_sym_LT_EQ] = ACTIONS(2534),
    [anon_sym_GT_EQ] = ACTIONS(2532),
    [anon_sym_lt] = ACTIONS(2534),
    [anon_sym_le] = ACTIONS(2534),
    [anon_sym_ge] = ACTIONS(2532),
    [anon_sym_gt] = ACTIONS(2532),
    [anon_sym_isa] = ACTIONS(2534),
    [anon_sym_PLUS_PLUS] = ACTIONS(2532),
    [anon_sym_DASH_DASH] = ACTIONS(2532),
    [anon_sym_QMARK] = ACTIONS(2532),
    [anon_sym_EQ_GT] = ACTIONS(2532),
    [anon_sym_for] = ACTIONS(2534),
    [anon_sym_foreach] = ACTIONS(2532),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2532),
    [anon_sym___END__] = ACTIONS(2532),
    [anon_sym_EOT] = ACTIONS(2532),
    [sym_quoted_regexp_modifiers] = ACTIONS(2532),
    [anon_sym_if] = ACTIONS(2534),
    [anon_sym_unless] = ACTIONS(2534),
    [anon_sym_while] = ACTIONS(2532),
    [anon_sym_until] = ACTIONS(2534),
    [sym__PERLY_SEMICOLON] = ACTIONS(2532),
    [sym__ctrl_z_hack] = ACTIONS(2532),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1266] = {
    [sym_heredoc_content] = STATE(1266),
    [anon_sym_RBRACE] = ACTIONS(2760),
    [anon_sym_COLON] = ACTIONS(2760),
    [anon_sym_SEMI] = ACTIONS(2760),
    [anon_sym_EQ] = ACTIONS(2762),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2760),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2760),
    [anon_sym_COMMA] = ACTIONS(2760),
    [anon_sym_RPAREN] = ACTIONS(2760),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2760),
    [anon_sym_and] = ACTIONS(2760),
    [anon_sym_or] = ACTIONS(2760),
    [anon_sym_xor] = ACTIONS(2760),
    [anon_sym_DASH_GT] = ACTIONS(2760),
    [anon_sym_PERCENT] = ACTIONS(2762),
    [anon_sym_GT] = ACTIONS(2762),
    [anon_sym_LT_LT] = ACTIONS(2762),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2760),
    [anon_sym_PLUS_EQ] = ACTIONS(2760),
    [anon_sym_DASH_EQ] = ACTIONS(2760),
    [anon_sym_DOT_EQ] = ACTIONS(2760),
    [anon_sym_STAR_EQ] = ACTIONS(2760),
    [anon_sym_SLASH_EQ] = ACTIONS(2760),
    [anon_sym_PERCENT_EQ] = ACTIONS(2760),
    [anon_sym_x_EQ] = ACTIONS(2760),
    [anon_sym_AMP_EQ] = ACTIONS(2760),
    [anon_sym_PIPE_EQ] = ACTIONS(2760),
    [anon_sym_CARET_EQ] = ACTIONS(2760),
    [anon_sym_LT_LT_EQ] = ACTIONS(2760),
    [anon_sym_GT_GT_EQ] = ACTIONS(2760),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2760),
    [anon_sym_DOT_DOT] = ACTIONS(2762),
    [anon_sym_STAR_STAR] = ACTIONS(2762),
    [anon_sym_PIPE_PIPE] = ACTIONS(2762),
    [anon_sym_SLASH_SLASH] = ACTIONS(2762),
    [anon_sym_CARET_CARET] = ACTIONS(2760),
    [anon_sym_AMP_AMP] = ACTIONS(2762),
    [anon_sym_PIPE] = ACTIONS(2762),
    [anon_sym_CARET] = ACTIONS(2762),
    [anon_sym_AMP] = ACTIONS(2762),
    [anon_sym_GT_GT2] = ACTIONS(2762),
    [anon_sym_PLUS] = ACTIONS(2762),
    [anon_sym_DASH] = ACTIONS(2762),
    [anon_sym_DOT] = ACTIONS(2762),
    [anon_sym_STAR] = ACTIONS(2762),
    [anon_sym_SLASH] = ACTIONS(2762),
    [anon_sym_x] = ACTIONS(2762),
    [anon_sym_EQ_TILDE] = ACTIONS(2760),
    [anon_sym_BANG_TILDE] = ACTIONS(2760),
    [anon_sym_EQ_EQ] = ACTIONS(2762),
    [anon_sym_BANG_EQ] = ACTIONS(2760),
    [anon_sym_eq] = ACTIONS(2762),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2760),
    [anon_sym_equ] = ACTIONS(2760),
    [anon_sym_eqr] = ACTIONS(2760),
    [anon_sym_ne] = ACTIONS(2760),
    [anon_sym_LT_EQ_GT] = ACTIONS(2760),
    [anon_sym_cmp] = ACTIONS(2760),
    [anon_sym_TILDE_TILDE] = ACTIONS(2760),
    [anon_sym_LT] = ACTIONS(2762),
    [anon_sym_LT_EQ] = ACTIONS(2762),
    [anon_sym_GT_EQ] = ACTIONS(2760),
    [anon_sym_lt] = ACTIONS(2760),
    [anon_sym_le] = ACTIONS(2760),
    [anon_sym_ge] = ACTIONS(2760),
    [anon_sym_gt] = ACTIONS(2760),
    [anon_sym_isa] = ACTIONS(2760),
    [anon_sym_PLUS_PLUS] = ACTIONS(2760),
    [anon_sym_DASH_DASH] = ACTIONS(2760),
    [anon_sym_QMARK] = ACTIONS(2760),
    [anon_sym_EQ_GT] = ACTIONS(2760),
    [anon_sym_for] = ACTIONS(2762),
    [anon_sym_foreach] = ACTIONS(2760),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2760),
    [anon_sym___END__] = ACTIONS(2760),
    [anon_sym_EOT] = ACTIONS(2760),
    [anon_sym_if] = ACTIONS(2760),
    [anon_sym_unless] = ACTIONS(2760),
    [anon_sym_while] = ACTIONS(2760),
    [anon_sym_until] = ACTIONS(2760),
    [sym__PERLY_SEMICOLON] = ACTIONS(2760),
    [sym__ctrl_z_hack] = ACTIONS(2760),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1267] = {
    [sym_heredoc_content] = STATE(1267),
    [anon_sym_RBRACE] = ACTIONS(2764),
    [anon_sym_SEMI] = ACTIONS(2764),
    [anon_sym_EQ] = ACTIONS(2766),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2764),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2764),
    [anon_sym_COMMA] = ACTIONS(2764),
    [anon_sym_RPAREN] = ACTIONS(2764),
    [anon_sym_LPAREN] = ACTIONS(2768),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2764),
    [anon_sym_and] = ACTIONS(2764),
    [anon_sym_or] = ACTIONS(2764),
    [anon_sym_xor] = ACTIONS(2764),
    [anon_sym_DASH_GT] = ACTIONS(2764),
    [anon_sym_PERCENT] = ACTIONS(2766),
    [anon_sym_GT] = ACTIONS(2766),
    [anon_sym_LT_LT] = ACTIONS(2766),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2764),
    [anon_sym_PLUS_EQ] = ACTIONS(2764),
    [anon_sym_DASH_EQ] = ACTIONS(2764),
    [anon_sym_DOT_EQ] = ACTIONS(2764),
    [anon_sym_STAR_EQ] = ACTIONS(2764),
    [anon_sym_SLASH_EQ] = ACTIONS(2764),
    [anon_sym_PERCENT_EQ] = ACTIONS(2764),
    [anon_sym_x_EQ] = ACTIONS(2764),
    [anon_sym_AMP_EQ] = ACTIONS(2764),
    [anon_sym_PIPE_EQ] = ACTIONS(2764),
    [anon_sym_CARET_EQ] = ACTIONS(2764),
    [anon_sym_LT_LT_EQ] = ACTIONS(2764),
    [anon_sym_GT_GT_EQ] = ACTIONS(2764),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2764),
    [anon_sym_DOT_DOT] = ACTIONS(2766),
    [anon_sym_STAR_STAR] = ACTIONS(2766),
    [anon_sym_PIPE_PIPE] = ACTIONS(2766),
    [anon_sym_SLASH_SLASH] = ACTIONS(2766),
    [anon_sym_CARET_CARET] = ACTIONS(2764),
    [anon_sym_AMP_AMP] = ACTIONS(2766),
    [anon_sym_PIPE] = ACTIONS(2766),
    [anon_sym_CARET] = ACTIONS(2766),
    [anon_sym_AMP] = ACTIONS(2766),
    [anon_sym_GT_GT2] = ACTIONS(2766),
    [anon_sym_PLUS] = ACTIONS(2766),
    [anon_sym_DASH] = ACTIONS(2766),
    [anon_sym_DOT] = ACTIONS(2766),
    [anon_sym_STAR] = ACTIONS(2766),
    [anon_sym_SLASH] = ACTIONS(2766),
    [anon_sym_x] = ACTIONS(2766),
    [anon_sym_EQ_TILDE] = ACTIONS(2764),
    [anon_sym_BANG_TILDE] = ACTIONS(2764),
    [anon_sym_EQ_EQ] = ACTIONS(2766),
    [anon_sym_BANG_EQ] = ACTIONS(2764),
    [anon_sym_eq] = ACTIONS(2766),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2764),
    [anon_sym_equ] = ACTIONS(2764),
    [anon_sym_eqr] = ACTIONS(2764),
    [anon_sym_ne] = ACTIONS(2764),
    [anon_sym_LT_EQ_GT] = ACTIONS(2764),
    [anon_sym_cmp] = ACTIONS(2764),
    [anon_sym_TILDE_TILDE] = ACTIONS(2764),
    [anon_sym_LT] = ACTIONS(2766),
    [anon_sym_LT_EQ] = ACTIONS(2766),
    [anon_sym_GT_EQ] = ACTIONS(2764),
    [anon_sym_lt] = ACTIONS(2764),
    [anon_sym_le] = ACTIONS(2764),
    [anon_sym_ge] = ACTIONS(2764),
    [anon_sym_gt] = ACTIONS(2764),
    [anon_sym_isa] = ACTIONS(2764),
    [anon_sym_PLUS_PLUS] = ACTIONS(2764),
    [anon_sym_DASH_DASH] = ACTIONS(2764),
    [anon_sym_QMARK] = ACTIONS(2764),
    [anon_sym_EQ_GT] = ACTIONS(2764),
    [anon_sym_for] = ACTIONS(2766),
    [anon_sym_foreach] = ACTIONS(2764),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2764),
    [anon_sym___END__] = ACTIONS(2764),
    [anon_sym_EOT] = ACTIONS(2764),
    [anon_sym_if] = ACTIONS(2764),
    [anon_sym_unless] = ACTIONS(2764),
    [anon_sym_while] = ACTIONS(2764),
    [anon_sym_until] = ACTIONS(2764),
    [sym__PERLY_SEMICOLON] = ACTIONS(2764),
    [sym__ctrl_z_hack] = ACTIONS(2764),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1268] = {
    [sym_heredoc_content] = STATE(1268),
    [anon_sym_RBRACE] = ACTIONS(2770),
    [anon_sym_COLON] = ACTIONS(2770),
    [anon_sym_SEMI] = ACTIONS(2770),
    [anon_sym_EQ] = ACTIONS(2772),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2770),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2770),
    [anon_sym_COMMA] = ACTIONS(2770),
    [anon_sym_RPAREN] = ACTIONS(2770),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2770),
    [anon_sym_and] = ACTIONS(2770),
    [anon_sym_or] = ACTIONS(2770),
    [anon_sym_xor] = ACTIONS(2770),
    [anon_sym_DASH_GT] = ACTIONS(2770),
    [anon_sym_PERCENT] = ACTIONS(2772),
    [anon_sym_GT] = ACTIONS(2772),
    [anon_sym_LT_LT] = ACTIONS(2772),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2770),
    [anon_sym_PLUS_EQ] = ACTIONS(2770),
    [anon_sym_DASH_EQ] = ACTIONS(2770),
    [anon_sym_DOT_EQ] = ACTIONS(2770),
    [anon_sym_STAR_EQ] = ACTIONS(2770),
    [anon_sym_SLASH_EQ] = ACTIONS(2770),
    [anon_sym_PERCENT_EQ] = ACTIONS(2770),
    [anon_sym_x_EQ] = ACTIONS(2770),
    [anon_sym_AMP_EQ] = ACTIONS(2770),
    [anon_sym_PIPE_EQ] = ACTIONS(2770),
    [anon_sym_CARET_EQ] = ACTIONS(2770),
    [anon_sym_LT_LT_EQ] = ACTIONS(2770),
    [anon_sym_GT_GT_EQ] = ACTIONS(2770),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2770),
    [anon_sym_DOT_DOT] = ACTIONS(2772),
    [anon_sym_STAR_STAR] = ACTIONS(2772),
    [anon_sym_PIPE_PIPE] = ACTIONS(2772),
    [anon_sym_SLASH_SLASH] = ACTIONS(2772),
    [anon_sym_CARET_CARET] = ACTIONS(2770),
    [anon_sym_AMP_AMP] = ACTIONS(2772),
    [anon_sym_PIPE] = ACTIONS(2772),
    [anon_sym_CARET] = ACTIONS(2772),
    [anon_sym_AMP] = ACTIONS(2772),
    [anon_sym_GT_GT2] = ACTIONS(2772),
    [anon_sym_PLUS] = ACTIONS(2772),
    [anon_sym_DASH] = ACTIONS(2772),
    [anon_sym_DOT] = ACTIONS(2772),
    [anon_sym_STAR] = ACTIONS(2772),
    [anon_sym_SLASH] = ACTIONS(2772),
    [anon_sym_x] = ACTIONS(2772),
    [anon_sym_EQ_TILDE] = ACTIONS(2770),
    [anon_sym_BANG_TILDE] = ACTIONS(2770),
    [anon_sym_EQ_EQ] = ACTIONS(2772),
    [anon_sym_BANG_EQ] = ACTIONS(2770),
    [anon_sym_eq] = ACTIONS(2772),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2770),
    [anon_sym_equ] = ACTIONS(2770),
    [anon_sym_eqr] = ACTIONS(2770),
    [anon_sym_ne] = ACTIONS(2770),
    [anon_sym_LT_EQ_GT] = ACTIONS(2770),
    [anon_sym_cmp] = ACTIONS(2770),
    [anon_sym_TILDE_TILDE] = ACTIONS(2770),
    [anon_sym_LT] = ACTIONS(2772),
    [anon_sym_LT_EQ] = ACTIONS(2772),
    [anon_sym_GT_EQ] = ACTIONS(2770),
    [anon_sym_lt] = ACTIONS(2770),
    [anon_sym_le] = ACTIONS(2770),
    [anon_sym_ge] = ACTIONS(2770),
    [anon_sym_gt] = ACTIONS(2770),
    [anon_sym_isa] = ACTIONS(2770),
    [anon_sym_PLUS_PLUS] = ACTIONS(2770),
    [anon_sym_DASH_DASH] = ACTIONS(2770),
    [anon_sym_QMARK] = ACTIONS(2770),
    [anon_sym_EQ_GT] = ACTIONS(2770),
    [anon_sym_for] = ACTIONS(2772),
    [anon_sym_foreach] = ACTIONS(2770),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2770),
    [anon_sym___END__] = ACTIONS(2770),
    [anon_sym_EOT] = ACTIONS(2770),
    [anon_sym_if] = ACTIONS(2770),
    [anon_sym_unless] = ACTIONS(2770),
    [anon_sym_while] = ACTIONS(2770),
    [anon_sym_until] = ACTIONS(2770),
    [sym__PERLY_SEMICOLON] = ACTIONS(2770),
    [sym__ctrl_z_hack] = ACTIONS(2770),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1269] = {
    [sym_heredoc_content] = STATE(1269),
    [aux_sym__term_rightward_repeat1] = STATE(1269),
    [anon_sym_RBRACE] = ACTIONS(2774),
    [anon_sym_SEMI] = ACTIONS(2774),
    [anon_sym_EQ] = ACTIONS(2776),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2774),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2774),
    [anon_sym_COMMA] = ACTIONS(2778),
    [anon_sym_RPAREN] = ACTIONS(2774),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2774),
    [anon_sym_and] = ACTIONS(2774),
    [anon_sym_or] = ACTIONS(2774),
    [anon_sym_xor] = ACTIONS(2774),
    [anon_sym_DASH_GT] = ACTIONS(2774),
    [anon_sym_PERCENT] = ACTIONS(2776),
    [anon_sym_GT] = ACTIONS(2776),
    [anon_sym_LT_LT] = ACTIONS(2776),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2774),
    [anon_sym_PLUS_EQ] = ACTIONS(2774),
    [anon_sym_DASH_EQ] = ACTIONS(2774),
    [anon_sym_DOT_EQ] = ACTIONS(2774),
    [anon_sym_STAR_EQ] = ACTIONS(2774),
    [anon_sym_SLASH_EQ] = ACTIONS(2774),
    [anon_sym_PERCENT_EQ] = ACTIONS(2774),
    [anon_sym_x_EQ] = ACTIONS(2774),
    [anon_sym_AMP_EQ] = ACTIONS(2774),
    [anon_sym_PIPE_EQ] = ACTIONS(2774),
    [anon_sym_CARET_EQ] = ACTIONS(2774),
    [anon_sym_LT_LT_EQ] = ACTIONS(2774),
    [anon_sym_GT_GT_EQ] = ACTIONS(2774),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2774),
    [anon_sym_DOT_DOT] = ACTIONS(2776),
    [anon_sym_STAR_STAR] = ACTIONS(2776),
    [anon_sym_PIPE_PIPE] = ACTIONS(2776),
    [anon_sym_SLASH_SLASH] = ACTIONS(2776),
    [anon_sym_CARET_CARET] = ACTIONS(2774),
    [anon_sym_AMP_AMP] = ACTIONS(2776),
    [anon_sym_PIPE] = ACTIONS(2776),
    [anon_sym_CARET] = ACTIONS(2776),
    [anon_sym_AMP] = ACTIONS(2776),
    [anon_sym_GT_GT2] = ACTIONS(2776),
    [anon_sym_PLUS] = ACTIONS(2776),
    [anon_sym_DASH] = ACTIONS(2776),
    [anon_sym_DOT] = ACTIONS(2776),
    [anon_sym_STAR] = ACTIONS(2776),
    [anon_sym_SLASH] = ACTIONS(2776),
    [anon_sym_x] = ACTIONS(2776),
    [anon_sym_EQ_TILDE] = ACTIONS(2774),
    [anon_sym_BANG_TILDE] = ACTIONS(2774),
    [anon_sym_EQ_EQ] = ACTIONS(2776),
    [anon_sym_BANG_EQ] = ACTIONS(2774),
    [anon_sym_eq] = ACTIONS(2776),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2774),
    [anon_sym_equ] = ACTIONS(2774),
    [anon_sym_eqr] = ACTIONS(2774),
    [anon_sym_ne] = ACTIONS(2774),
    [anon_sym_LT_EQ_GT] = ACTIONS(2774),
    [anon_sym_cmp] = ACTIONS(2774),
    [anon_sym_TILDE_TILDE] = ACTIONS(2774),
    [anon_sym_LT] = ACTIONS(2776),
    [anon_sym_LT_EQ] = ACTIONS(2776),
    [anon_sym_GT_EQ] = ACTIONS(2774),
    [anon_sym_lt] = ACTIONS(2774),
    [anon_sym_le] = ACTIONS(2774),
    [anon_sym_ge] = ACTIONS(2774),
    [anon_sym_gt] = ACTIONS(2774),
    [anon_sym_isa] = ACTIONS(2774),
    [anon_sym_PLUS_PLUS] = ACTIONS(2774),
    [anon_sym_DASH_DASH] = ACTIONS(2774),
    [anon_sym_QMARK] = ACTIONS(2774),
    [anon_sym_EQ_GT] = ACTIONS(2778),
    [anon_sym_for] = ACTIONS(2776),
    [anon_sym_foreach] = ACTIONS(2774),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2774),
    [anon_sym___END__] = ACTIONS(2774),
    [anon_sym_EOT] = ACTIONS(2774),
    [anon_sym_if] = ACTIONS(2774),
    [anon_sym_unless] = ACTIONS(2774),
    [anon_sym_while] = ACTIONS(2774),
    [anon_sym_until] = ACTIONS(2774),
    [sym__PERLY_SEMICOLON] = ACTIONS(2774),
    [sym__ctrl_z_hack] = ACTIONS(2774),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1270] = {
    [sym_heredoc_content] = STATE(1270),
    [anon_sym_RBRACE] = ACTIONS(2781),
    [anon_sym_SEMI] = ACTIONS(2781),
    [anon_sym_EQ] = ACTIONS(2783),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2781),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2781),
    [anon_sym_COMMA] = ACTIONS(2781),
    [anon_sym_RPAREN] = ACTIONS(2781),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2781),
    [anon_sym_and] = ACTIONS(2783),
    [anon_sym_or] = ACTIONS(2783),
    [anon_sym_xor] = ACTIONS(2783),
    [anon_sym_DASH_GT] = ACTIONS(2781),
    [anon_sym_PERCENT] = ACTIONS(2783),
    [anon_sym_GT] = ACTIONS(2783),
    [anon_sym_LT_LT] = ACTIONS(2783),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2781),
    [anon_sym_PLUS_EQ] = ACTIONS(2781),
    [anon_sym_DASH_EQ] = ACTIONS(2781),
    [anon_sym_DOT_EQ] = ACTIONS(2781),
    [anon_sym_STAR_EQ] = ACTIONS(2781),
    [anon_sym_SLASH_EQ] = ACTIONS(2781),
    [anon_sym_PERCENT_EQ] = ACTIONS(2781),
    [anon_sym_x_EQ] = ACTIONS(2783),
    [anon_sym_AMP_EQ] = ACTIONS(2781),
    [anon_sym_PIPE_EQ] = ACTIONS(2781),
    [anon_sym_CARET_EQ] = ACTIONS(2781),
    [anon_sym_LT_LT_EQ] = ACTIONS(2781),
    [anon_sym_GT_GT_EQ] = ACTIONS(2781),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2781),
    [anon_sym_DOT_DOT] = ACTIONS(2783),
    [anon_sym_STAR_STAR] = ACTIONS(2783),
    [anon_sym_PIPE_PIPE] = ACTIONS(2783),
    [anon_sym_SLASH_SLASH] = ACTIONS(2783),
    [anon_sym_CARET_CARET] = ACTIONS(2781),
    [anon_sym_AMP_AMP] = ACTIONS(2783),
    [anon_sym_PIPE] = ACTIONS(2783),
    [anon_sym_CARET] = ACTIONS(2783),
    [anon_sym_AMP] = ACTIONS(2783),
    [anon_sym_GT_GT2] = ACTIONS(2783),
    [anon_sym_PLUS] = ACTIONS(2783),
    [anon_sym_DASH] = ACTIONS(2783),
    [anon_sym_DOT] = ACTIONS(2783),
    [anon_sym_STAR] = ACTIONS(2783),
    [anon_sym_SLASH] = ACTIONS(2783),
    [anon_sym_x] = ACTIONS(2783),
    [anon_sym_EQ_TILDE] = ACTIONS(2781),
    [anon_sym_BANG_TILDE] = ACTIONS(2781),
    [anon_sym_EQ_EQ] = ACTIONS(2783),
    [anon_sym_BANG_EQ] = ACTIONS(2781),
    [anon_sym_eq] = ACTIONS(2783),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2781),
    [anon_sym_equ] = ACTIONS(2781),
    [anon_sym_eqr] = ACTIONS(2781),
    [anon_sym_ne] = ACTIONS(2783),
    [anon_sym_LT_EQ_GT] = ACTIONS(2781),
    [anon_sym_cmp] = ACTIONS(2783),
    [anon_sym_TILDE_TILDE] = ACTIONS(2781),
    [anon_sym_LT] = ACTIONS(2783),
    [anon_sym_LT_EQ] = ACTIONS(2783),
    [anon_sym_GT_EQ] = ACTIONS(2781),
    [anon_sym_lt] = ACTIONS(2783),
    [anon_sym_le] = ACTIONS(2783),
    [anon_sym_ge] = ACTIONS(2783),
    [anon_sym_gt] = ACTIONS(2783),
    [anon_sym_isa] = ACTIONS(2783),
    [anon_sym_PLUS_PLUS] = ACTIONS(2781),
    [anon_sym_DASH_DASH] = ACTIONS(2781),
    [anon_sym_QMARK] = ACTIONS(2781),
    [anon_sym_EQ_GT] = ACTIONS(2781),
    [anon_sym_for] = ACTIONS(2783),
    [anon_sym_foreach] = ACTIONS(2781),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2781),
    [anon_sym___END__] = ACTIONS(2781),
    [anon_sym_EOT] = ACTIONS(2781),
    [sym_match_regexp_modifiers] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2783),
    [anon_sym_unless] = ACTIONS(2783),
    [anon_sym_while] = ACTIONS(2781),
    [anon_sym_until] = ACTIONS(2783),
    [sym__PERLY_SEMICOLON] = ACTIONS(2781),
    [sym__ctrl_z_hack] = ACTIONS(2781),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1271] = {
    [sym_heredoc_content] = STATE(1271),
    [aux_sym__term_rightward_repeat1] = STATE(1233),
    [anon_sym_RBRACE] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(2787),
    [anon_sym_EQ] = ACTIONS(2583),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2585),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2585),
    [anon_sym_COMMA] = ACTIONS(2560),
    [anon_sym_RPAREN] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2589),
    [anon_sym_and] = ACTIONS(2787),
    [anon_sym_or] = ACTIONS(2787),
    [anon_sym_xor] = ACTIONS(2787),
    [anon_sym_DASH_GT] = ACTIONS(2591),
    [anon_sym_PERCENT] = ACTIONS(2593),
    [anon_sym_GT] = ACTIONS(2595),
    [anon_sym_LT_LT] = ACTIONS(2597),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2585),
    [anon_sym_PLUS_EQ] = ACTIONS(2585),
    [anon_sym_DASH_EQ] = ACTIONS(2585),
    [anon_sym_DOT_EQ] = ACTIONS(2585),
    [anon_sym_STAR_EQ] = ACTIONS(2585),
    [anon_sym_SLASH_EQ] = ACTIONS(2585),
    [anon_sym_PERCENT_EQ] = ACTIONS(2585),
    [anon_sym_x_EQ] = ACTIONS(2585),
    [anon_sym_AMP_EQ] = ACTIONS(2585),
    [anon_sym_PIPE_EQ] = ACTIONS(2585),
    [anon_sym_CARET_EQ] = ACTIONS(2585),
    [anon_sym_LT_LT_EQ] = ACTIONS(2585),
    [anon_sym_GT_GT_EQ] = ACTIONS(2585),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2585),
    [anon_sym_DOT_DOT] = ACTIONS(2599),
    [anon_sym_STAR_STAR] = ACTIONS(2601),
    [anon_sym_PIPE_PIPE] = ACTIONS(2603),
    [anon_sym_SLASH_SLASH] = ACTIONS(2603),
    [anon_sym_CARET_CARET] = ACTIONS(2605),
    [anon_sym_AMP_AMP] = ACTIONS(2607),
    [anon_sym_PIPE] = ACTIONS(2609),
    [anon_sym_CARET] = ACTIONS(2609),
    [anon_sym_AMP] = ACTIONS(2611),
    [anon_sym_GT_GT2] = ACTIONS(2597),
    [anon_sym_PLUS] = ACTIONS(2613),
    [anon_sym_DASH] = ACTIONS(2613),
    [anon_sym_DOT] = ACTIONS(2613),
    [anon_sym_STAR] = ACTIONS(2593),
    [anon_sym_SLASH] = ACTIONS(2593),
    [anon_sym_x] = ACTIONS(2593),
    [anon_sym_EQ_TILDE] = ACTIONS(2615),
    [anon_sym_BANG_TILDE] = ACTIONS(2615),
    [anon_sym_EQ_EQ] = ACTIONS(2617),
    [anon_sym_BANG_EQ] = ACTIONS(2619),
    [anon_sym_eq] = ACTIONS(2617),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2619),
    [anon_sym_equ] = ACTIONS(2619),
    [anon_sym_eqr] = ACTIONS(2619),
    [anon_sym_ne] = ACTIONS(2619),
    [anon_sym_LT_EQ_GT] = ACTIONS(2621),
    [anon_sym_cmp] = ACTIONS(2621),
    [anon_sym_TILDE_TILDE] = ACTIONS(2621),
    [anon_sym_LT] = ACTIONS(2595),
    [anon_sym_LT_EQ] = ACTIONS(2595),
    [anon_sym_GT_EQ] = ACTIONS(2623),
    [anon_sym_lt] = ACTIONS(2623),
    [anon_sym_le] = ACTIONS(2623),
    [anon_sym_ge] = ACTIONS(2623),
    [anon_sym_gt] = ACTIONS(2623),
    [anon_sym_isa] = ACTIONS(2625),
    [anon_sym_PLUS_PLUS] = ACTIONS(2627),
    [anon_sym_DASH_DASH] = ACTIONS(2627),
    [anon_sym_QMARK] = ACTIONS(2629),
    [anon_sym_EQ_GT] = ACTIONS(2560),
    [anon_sym_for] = ACTIONS(2789),
    [anon_sym_foreach] = ACTIONS(2787),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2787),
    [anon_sym___END__] = ACTIONS(2787),
    [anon_sym_EOT] = ACTIONS(2787),
    [anon_sym_if] = ACTIONS(2787),
    [anon_sym_unless] = ACTIONS(2787),
    [anon_sym_while] = ACTIONS(2787),
    [anon_sym_until] = ACTIONS(2787),
    [sym__PERLY_SEMICOLON] = ACTIONS(2787),
    [sym__ctrl_z_hack] = ACTIONS(2787),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1272] = {
    [sym_heredoc_content] = STATE(1272),
    [anon_sym_RBRACE] = ACTIONS(2791),
    [anon_sym_SEMI] = ACTIONS(2791),
    [anon_sym_EQ] = ACTIONS(2793),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2791),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2791),
    [anon_sym_COMMA] = ACTIONS(2791),
    [anon_sym_RPAREN] = ACTIONS(2791),
    [anon_sym_LPAREN] = ACTIONS(2795),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2791),
    [anon_sym_and] = ACTIONS(2791),
    [anon_sym_or] = ACTIONS(2791),
    [anon_sym_xor] = ACTIONS(2791),
    [anon_sym_DASH_GT] = ACTIONS(2791),
    [anon_sym_PERCENT] = ACTIONS(2793),
    [anon_sym_GT] = ACTIONS(2793),
    [anon_sym_LT_LT] = ACTIONS(2793),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2791),
    [anon_sym_PLUS_EQ] = ACTIONS(2791),
    [anon_sym_DASH_EQ] = ACTIONS(2791),
    [anon_sym_DOT_EQ] = ACTIONS(2791),
    [anon_sym_STAR_EQ] = ACTIONS(2791),
    [anon_sym_SLASH_EQ] = ACTIONS(2791),
    [anon_sym_PERCENT_EQ] = ACTIONS(2791),
    [anon_sym_x_EQ] = ACTIONS(2791),
    [anon_sym_AMP_EQ] = ACTIONS(2791),
    [anon_sym_PIPE_EQ] = ACTIONS(2791),
    [anon_sym_CARET_EQ] = ACTIONS(2791),
    [anon_sym_LT_LT_EQ] = ACTIONS(2791),
    [anon_sym_GT_GT_EQ] = ACTIONS(2791),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2791),
    [anon_sym_DOT_DOT] = ACTIONS(2793),
    [anon_sym_STAR_STAR] = ACTIONS(2793),
    [anon_sym_PIPE_PIPE] = ACTIONS(2793),
    [anon_sym_SLASH_SLASH] = ACTIONS(2793),
    [anon_sym_CARET_CARET] = ACTIONS(2791),
    [anon_sym_AMP_AMP] = ACTIONS(2793),
    [anon_sym_PIPE] = ACTIONS(2793),
    [anon_sym_CARET] = ACTIONS(2793),
    [anon_sym_AMP] = ACTIONS(2793),
    [anon_sym_GT_GT2] = ACTIONS(2793),
    [anon_sym_PLUS] = ACTIONS(2793),
    [anon_sym_DASH] = ACTIONS(2793),
    [anon_sym_DOT] = ACTIONS(2793),
    [anon_sym_STAR] = ACTIONS(2793),
    [anon_sym_SLASH] = ACTIONS(2793),
    [anon_sym_x] = ACTIONS(2793),
    [anon_sym_EQ_TILDE] = ACTIONS(2791),
    [anon_sym_BANG_TILDE] = ACTIONS(2791),
    [anon_sym_EQ_EQ] = ACTIONS(2793),
    [anon_sym_BANG_EQ] = ACTIONS(2791),
    [anon_sym_eq] = ACTIONS(2793),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2791),
    [anon_sym_equ] = ACTIONS(2791),
    [anon_sym_eqr] = ACTIONS(2791),
    [anon_sym_ne] = ACTIONS(2791),
    [anon_sym_LT_EQ_GT] = ACTIONS(2791),
    [anon_sym_cmp] = ACTIONS(2791),
    [anon_sym_TILDE_TILDE] = ACTIONS(2791),
    [anon_sym_LT] = ACTIONS(2793),
    [anon_sym_LT_EQ] = ACTIONS(2793),
    [anon_sym_GT_EQ] = ACTIONS(2791),
    [anon_sym_lt] = ACTIONS(2791),
    [anon_sym_le] = ACTIONS(2791),
    [anon_sym_ge] = ACTIONS(2791),
    [anon_sym_gt] = ACTIONS(2791),
    [anon_sym_isa] = ACTIONS(2791),
    [anon_sym_PLUS_PLUS] = ACTIONS(2791),
    [anon_sym_DASH_DASH] = ACTIONS(2791),
    [anon_sym_QMARK] = ACTIONS(2791),
    [anon_sym_EQ_GT] = ACTIONS(2791),
    [anon_sym_for] = ACTIONS(2793),
    [anon_sym_foreach] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2791),
    [anon_sym___END__] = ACTIONS(2791),
    [anon_sym_EOT] = ACTIONS(2791),
    [anon_sym_if] = ACTIONS(2791),
    [anon_sym_unless] = ACTIONS(2791),
    [anon_sym_while] = ACTIONS(2791),
    [anon_sym_until] = ACTIONS(2791),
    [sym__PERLY_SEMICOLON] = ACTIONS(2791),
    [sym__ctrl_z_hack] = ACTIONS(2791),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1273] = {
    [sym_heredoc_content] = STATE(1273),
    [anon_sym_RBRACE] = ACTIONS(2797),
    [anon_sym_SEMI] = ACTIONS(2797),
    [anon_sym_EQ] = ACTIONS(2799),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2797),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2797),
    [anon_sym_COMMA] = ACTIONS(2797),
    [anon_sym_RPAREN] = ACTIONS(2797),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2797),
    [anon_sym_and] = ACTIONS(2799),
    [anon_sym_or] = ACTIONS(2799),
    [anon_sym_xor] = ACTIONS(2799),
    [anon_sym_DASH_GT] = ACTIONS(2797),
    [anon_sym_PERCENT] = ACTIONS(2799),
    [anon_sym_GT] = ACTIONS(2799),
    [anon_sym_LT_LT] = ACTIONS(2799),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2797),
    [anon_sym_PLUS_EQ] = ACTIONS(2797),
    [anon_sym_DASH_EQ] = ACTIONS(2797),
    [anon_sym_DOT_EQ] = ACTIONS(2797),
    [anon_sym_STAR_EQ] = ACTIONS(2797),
    [anon_sym_SLASH_EQ] = ACTIONS(2797),
    [anon_sym_PERCENT_EQ] = ACTIONS(2797),
    [anon_sym_x_EQ] = ACTIONS(2799),
    [anon_sym_AMP_EQ] = ACTIONS(2797),
    [anon_sym_PIPE_EQ] = ACTIONS(2797),
    [anon_sym_CARET_EQ] = ACTIONS(2797),
    [anon_sym_LT_LT_EQ] = ACTIONS(2797),
    [anon_sym_GT_GT_EQ] = ACTIONS(2797),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2797),
    [anon_sym_DOT_DOT] = ACTIONS(2799),
    [anon_sym_STAR_STAR] = ACTIONS(2799),
    [anon_sym_PIPE_PIPE] = ACTIONS(2799),
    [anon_sym_SLASH_SLASH] = ACTIONS(2799),
    [anon_sym_CARET_CARET] = ACTIONS(2797),
    [anon_sym_AMP_AMP] = ACTIONS(2799),
    [anon_sym_PIPE] = ACTIONS(2799),
    [anon_sym_CARET] = ACTIONS(2799),
    [anon_sym_AMP] = ACTIONS(2799),
    [anon_sym_GT_GT2] = ACTIONS(2799),
    [anon_sym_PLUS] = ACTIONS(2799),
    [anon_sym_DASH] = ACTIONS(2799),
    [anon_sym_DOT] = ACTIONS(2799),
    [anon_sym_STAR] = ACTIONS(2799),
    [anon_sym_SLASH] = ACTIONS(2799),
    [anon_sym_x] = ACTIONS(2799),
    [anon_sym_EQ_TILDE] = ACTIONS(2797),
    [anon_sym_BANG_TILDE] = ACTIONS(2797),
    [anon_sym_EQ_EQ] = ACTIONS(2799),
    [anon_sym_BANG_EQ] = ACTIONS(2797),
    [anon_sym_eq] = ACTIONS(2799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2797),
    [anon_sym_equ] = ACTIONS(2797),
    [anon_sym_eqr] = ACTIONS(2797),
    [anon_sym_ne] = ACTIONS(2799),
    [anon_sym_LT_EQ_GT] = ACTIONS(2797),
    [anon_sym_cmp] = ACTIONS(2797),
    [anon_sym_TILDE_TILDE] = ACTIONS(2797),
    [anon_sym_LT] = ACTIONS(2799),
    [anon_sym_LT_EQ] = ACTIONS(2799),
    [anon_sym_GT_EQ] = ACTIONS(2797),
    [anon_sym_lt] = ACTIONS(2799),
    [anon_sym_le] = ACTIONS(2799),
    [anon_sym_ge] = ACTIONS(2797),
    [anon_sym_gt] = ACTIONS(2797),
    [anon_sym_isa] = ACTIONS(2799),
    [anon_sym_PLUS_PLUS] = ACTIONS(2797),
    [anon_sym_DASH_DASH] = ACTIONS(2797),
    [anon_sym_QMARK] = ACTIONS(2797),
    [anon_sym_EQ_GT] = ACTIONS(2797),
    [anon_sym_for] = ACTIONS(2799),
    [anon_sym_foreach] = ACTIONS(2797),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2797),
    [anon_sym___END__] = ACTIONS(2797),
    [anon_sym_EOT] = ACTIONS(2797),
    [sym_quoted_regexp_modifiers] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2799),
    [anon_sym_unless] = ACTIONS(2799),
    [anon_sym_while] = ACTIONS(2797),
    [anon_sym_until] = ACTIONS(2799),
    [sym__PERLY_SEMICOLON] = ACTIONS(2797),
    [sym__ctrl_z_hack] = ACTIONS(2797),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1274] = {
    [sym_heredoc_content] = STATE(1274),
    [anon_sym_RBRACE] = ACTIONS(1849),
    [anon_sym_SEMI] = ACTIONS(1849),
    [anon_sym_EQ] = ACTIONS(1840),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1849),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1849),
    [anon_sym_COMMA] = ACTIONS(1849),
    [anon_sym_RPAREN] = ACTIONS(1849),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1849),
    [anon_sym_and] = ACTIONS(1849),
    [anon_sym_or] = ACTIONS(1849),
    [anon_sym_xor] = ACTIONS(1849),
    [anon_sym_LBRACK] = ACTIONS(2803),
    [anon_sym_DASH_GT] = ACTIONS(1849),
    [anon_sym_PERCENT] = ACTIONS(1840),
    [anon_sym_GT] = ACTIONS(1840),
    [anon_sym_LT_LT] = ACTIONS(1840),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1849),
    [anon_sym_PLUS_EQ] = ACTIONS(1849),
    [anon_sym_DASH_EQ] = ACTIONS(1849),
    [anon_sym_DOT_EQ] = ACTIONS(1849),
    [anon_sym_STAR_EQ] = ACTIONS(1849),
    [anon_sym_SLASH_EQ] = ACTIONS(1849),
    [anon_sym_PERCENT_EQ] = ACTIONS(1849),
    [anon_sym_x_EQ] = ACTIONS(1849),
    [anon_sym_AMP_EQ] = ACTIONS(1849),
    [anon_sym_PIPE_EQ] = ACTIONS(1849),
    [anon_sym_CARET_EQ] = ACTIONS(1849),
    [anon_sym_LT_LT_EQ] = ACTIONS(1849),
    [anon_sym_GT_GT_EQ] = ACTIONS(1849),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1849),
    [anon_sym_DOT_DOT] = ACTIONS(1840),
    [anon_sym_STAR_STAR] = ACTIONS(1840),
    [anon_sym_PIPE_PIPE] = ACTIONS(1840),
    [anon_sym_SLASH_SLASH] = ACTIONS(1840),
    [anon_sym_CARET_CARET] = ACTIONS(1849),
    [anon_sym_AMP_AMP] = ACTIONS(1840),
    [anon_sym_PIPE] = ACTIONS(1840),
    [anon_sym_CARET] = ACTIONS(1840),
    [anon_sym_AMP] = ACTIONS(1840),
    [anon_sym_GT_GT2] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_DOT] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1840),
    [anon_sym_SLASH] = ACTIONS(1840),
    [anon_sym_x] = ACTIONS(1840),
    [anon_sym_EQ_TILDE] = ACTIONS(1849),
    [anon_sym_BANG_TILDE] = ACTIONS(1849),
    [anon_sym_EQ_EQ] = ACTIONS(1840),
    [anon_sym_BANG_EQ] = ACTIONS(1849),
    [anon_sym_eq] = ACTIONS(1840),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1849),
    [anon_sym_equ] = ACTIONS(1849),
    [anon_sym_eqr] = ACTIONS(1849),
    [anon_sym_ne] = ACTIONS(1849),
    [anon_sym_LT_EQ_GT] = ACTIONS(1849),
    [anon_sym_cmp] = ACTIONS(1849),
    [anon_sym_TILDE_TILDE] = ACTIONS(1849),
    [anon_sym_LT] = ACTIONS(1840),
    [anon_sym_LT_EQ] = ACTIONS(1840),
    [anon_sym_GT_EQ] = ACTIONS(1849),
    [anon_sym_lt] = ACTIONS(1849),
    [anon_sym_le] = ACTIONS(1849),
    [anon_sym_ge] = ACTIONS(1849),
    [anon_sym_gt] = ACTIONS(1849),
    [anon_sym_isa] = ACTIONS(1849),
    [anon_sym_PLUS_PLUS] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1849),
    [anon_sym_QMARK] = ACTIONS(1849),
    [anon_sym_EQ_GT] = ACTIONS(1849),
    [anon_sym_for] = ACTIONS(1840),
    [anon_sym_foreach] = ACTIONS(1849),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(1849),
    [anon_sym___END__] = ACTIONS(1849),
    [anon_sym_EOT] = ACTIONS(1849),
    [anon_sym_if] = ACTIONS(1849),
    [anon_sym_unless] = ACTIONS(1849),
    [anon_sym_while] = ACTIONS(1849),
    [anon_sym_until] = ACTIONS(1849),
    [sym__PERLY_SEMICOLON] = ACTIONS(1849),
    [sym__ctrl_z_hack] = ACTIONS(1849),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1275] = {
    [sym_heredoc_content] = STATE(1275),
    [anon_sym_RBRACE] = ACTIONS(2805),
    [anon_sym_SEMI] = ACTIONS(2805),
    [anon_sym_EQ] = ACTIONS(2807),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2805),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2805),
    [anon_sym_COMMA] = ACTIONS(2805),
    [anon_sym_RPAREN] = ACTIONS(2805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2805),
    [anon_sym_and] = ACTIONS(2805),
    [anon_sym_or] = ACTIONS(2805),
    [anon_sym_xor] = ACTIONS(2805),
    [anon_sym_DASH_GT] = ACTIONS(2805),
    [anon_sym_PERCENT] = ACTIONS(2807),
    [anon_sym_GT] = ACTIONS(2807),
    [anon_sym_LT_LT] = ACTIONS(2807),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2805),
    [anon_sym_PLUS_EQ] = ACTIONS(2805),
    [anon_sym_DASH_EQ] = ACTIONS(2805),
    [anon_sym_DOT_EQ] = ACTIONS(2805),
    [anon_sym_STAR_EQ] = ACTIONS(2805),
    [anon_sym_SLASH_EQ] = ACTIONS(2805),
    [anon_sym_PERCENT_EQ] = ACTIONS(2805),
    [anon_sym_x_EQ] = ACTIONS(2805),
    [anon_sym_AMP_EQ] = ACTIONS(2805),
    [anon_sym_PIPE_EQ] = ACTIONS(2805),
    [anon_sym_CARET_EQ] = ACTIONS(2805),
    [anon_sym_LT_LT_EQ] = ACTIONS(2805),
    [anon_sym_GT_GT_EQ] = ACTIONS(2805),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2805),
    [anon_sym_DOT_DOT] = ACTIONS(2807),
    [anon_sym_STAR_STAR] = ACTIONS(2807),
    [anon_sym_PIPE_PIPE] = ACTIONS(2807),
    [anon_sym_SLASH_SLASH] = ACTIONS(2807),
    [anon_sym_CARET_CARET] = ACTIONS(2805),
    [anon_sym_AMP_AMP] = ACTIONS(2807),
    [anon_sym_PIPE] = ACTIONS(2807),
    [anon_sym_CARET] = ACTIONS(2807),
    [anon_sym_AMP] = ACTIONS(2807),
    [anon_sym_GT_GT2] = ACTIONS(2807),
    [anon_sym_PLUS] = ACTIONS(2807),
    [anon_sym_DASH] = ACTIONS(2807),
    [anon_sym_DOT] = ACTIONS(2807),
    [anon_sym_STAR] = ACTIONS(2807),
    [anon_sym_SLASH] = ACTIONS(2807),
    [anon_sym_x] = ACTIONS(2807),
    [anon_sym_EQ_TILDE] = ACTIONS(2805),
    [anon_sym_BANG_TILDE] = ACTIONS(2805),
    [anon_sym_EQ_EQ] = ACTIONS(2807),
    [anon_sym_BANG_EQ] = ACTIONS(2805),
    [anon_sym_eq] = ACTIONS(2807),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2805),
    [anon_sym_equ] = ACTIONS(2805),
    [anon_sym_eqr] = ACTIONS(2805),
    [anon_sym_ne] = ACTIONS(2805),
    [anon_sym_LT_EQ_GT] = ACTIONS(2805),
    [anon_sym_cmp] = ACTIONS(2807),
    [anon_sym_TILDE_TILDE] = ACTIONS(2805),
    [anon_sym_LT] = ACTIONS(2807),
    [anon_sym_LT_EQ] = ACTIONS(2807),
    [anon_sym_GT_EQ] = ACTIONS(2805),
    [anon_sym_lt] = ACTIONS(2805),
    [anon_sym_le] = ACTIONS(2805),
    [anon_sym_ge] = ACTIONS(2805),
    [anon_sym_gt] = ACTIONS(2805),
    [anon_sym_isa] = ACTIONS(2805),
    [anon_sym_PLUS_PLUS] = ACTIONS(2805),
    [anon_sym_DASH_DASH] = ACTIONS(2805),
    [anon_sym_QMARK] = ACTIONS(2805),
    [anon_sym_EQ_GT] = ACTIONS(2805),
    [anon_sym_for] = ACTIONS(2807),
    [anon_sym_foreach] = ACTIONS(2805),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2805),
    [anon_sym___END__] = ACTIONS(2805),
    [anon_sym_EOT] = ACTIONS(2805),
    [sym_transliteration_modifiers] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2805),
    [anon_sym_unless] = ACTIONS(2805),
    [anon_sym_while] = ACTIONS(2805),
    [anon_sym_until] = ACTIONS(2805),
    [sym__PERLY_SEMICOLON] = ACTIONS(2805),
    [sym__ctrl_z_hack] = ACTIONS(2805),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1276] = {
    [sym_heredoc_content] = STATE(1276),
    [anon_sym_RBRACE] = ACTIONS(2811),
    [anon_sym_SEMI] = ACTIONS(2811),
    [anon_sym_EQ] = ACTIONS(2813),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2811),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2811),
    [anon_sym_COMMA] = ACTIONS(2811),
    [anon_sym_RPAREN] = ACTIONS(2811),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2811),
    [anon_sym_and] = ACTIONS(2813),
    [anon_sym_or] = ACTIONS(2813),
    [anon_sym_xor] = ACTIONS(2813),
    [anon_sym_DASH_GT] = ACTIONS(2811),
    [anon_sym_PERCENT] = ACTIONS(2813),
    [anon_sym_GT] = ACTIONS(2813),
    [anon_sym_LT_LT] = ACTIONS(2813),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2811),
    [anon_sym_PLUS_EQ] = ACTIONS(2811),
    [anon_sym_DASH_EQ] = ACTIONS(2811),
    [anon_sym_DOT_EQ] = ACTIONS(2811),
    [anon_sym_STAR_EQ] = ACTIONS(2811),
    [anon_sym_SLASH_EQ] = ACTIONS(2811),
    [anon_sym_PERCENT_EQ] = ACTIONS(2811),
    [anon_sym_x_EQ] = ACTIONS(2813),
    [anon_sym_AMP_EQ] = ACTIONS(2811),
    [anon_sym_PIPE_EQ] = ACTIONS(2811),
    [anon_sym_CARET_EQ] = ACTIONS(2811),
    [anon_sym_LT_LT_EQ] = ACTIONS(2811),
    [anon_sym_GT_GT_EQ] = ACTIONS(2811),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2811),
    [anon_sym_DOT_DOT] = ACTIONS(2813),
    [anon_sym_STAR_STAR] = ACTIONS(2813),
    [anon_sym_PIPE_PIPE] = ACTIONS(2813),
    [anon_sym_SLASH_SLASH] = ACTIONS(2813),
    [anon_sym_CARET_CARET] = ACTIONS(2811),
    [anon_sym_AMP_AMP] = ACTIONS(2813),
    [anon_sym_PIPE] = ACTIONS(2813),
    [anon_sym_CARET] = ACTIONS(2813),
    [anon_sym_AMP] = ACTIONS(2813),
    [anon_sym_GT_GT2] = ACTIONS(2813),
    [anon_sym_PLUS] = ACTIONS(2813),
    [anon_sym_DASH] = ACTIONS(2813),
    [anon_sym_DOT] = ACTIONS(2813),
    [anon_sym_STAR] = ACTIONS(2813),
    [anon_sym_SLASH] = ACTIONS(2813),
    [anon_sym_x] = ACTIONS(2813),
    [anon_sym_EQ_TILDE] = ACTIONS(2811),
    [anon_sym_BANG_TILDE] = ACTIONS(2811),
    [anon_sym_EQ_EQ] = ACTIONS(2813),
    [anon_sym_BANG_EQ] = ACTIONS(2811),
    [anon_sym_eq] = ACTIONS(2813),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2811),
    [anon_sym_equ] = ACTIONS(2813),
    [anon_sym_eqr] = ACTIONS(2813),
    [anon_sym_ne] = ACTIONS(2811),
    [anon_sym_LT_EQ_GT] = ACTIONS(2811),
    [anon_sym_cmp] = ACTIONS(2813),
    [anon_sym_TILDE_TILDE] = ACTIONS(2811),
    [anon_sym_LT] = ACTIONS(2813),
    [anon_sym_LT_EQ] = ACTIONS(2813),
    [anon_sym_GT_EQ] = ACTIONS(2811),
    [anon_sym_lt] = ACTIONS(2813),
    [anon_sym_le] = ACTIONS(2813),
    [anon_sym_ge] = ACTIONS(2813),
    [anon_sym_gt] = ACTIONS(2813),
    [anon_sym_isa] = ACTIONS(2813),
    [anon_sym_PLUS_PLUS] = ACTIONS(2811),
    [anon_sym_DASH_DASH] = ACTIONS(2811),
    [anon_sym_QMARK] = ACTIONS(2811),
    [anon_sym_EQ_GT] = ACTIONS(2811),
    [anon_sym_for] = ACTIONS(2813),
    [anon_sym_foreach] = ACTIONS(2811),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2811),
    [anon_sym___END__] = ACTIONS(2811),
    [anon_sym_EOT] = ACTIONS(2811),
    [sym_substitution_regexp_modifiers] = ACTIONS(2815),
    [anon_sym_if] = ACTIONS(2813),
    [anon_sym_unless] = ACTIONS(2813),
    [anon_sym_while] = ACTIONS(2811),
    [anon_sym_until] = ACTIONS(2813),
    [sym__PERLY_SEMICOLON] = ACTIONS(2811),
    [sym__ctrl_z_hack] = ACTIONS(2811),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1277] = {
    [sym_heredoc_content] = STATE(1277),
    [anon_sym_RBRACE] = ACTIONS(2817),
    [anon_sym_COLON] = ACTIONS(2817),
    [anon_sym_SEMI] = ACTIONS(2817),
    [anon_sym_EQ] = ACTIONS(2819),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2817),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2817),
    [anon_sym_COMMA] = ACTIONS(2817),
    [anon_sym_RPAREN] = ACTIONS(2817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2817),
    [anon_sym_and] = ACTIONS(2817),
    [anon_sym_or] = ACTIONS(2817),
    [anon_sym_xor] = ACTIONS(2817),
    [anon_sym_DASH_GT] = ACTIONS(2817),
    [anon_sym_PERCENT] = ACTIONS(2819),
    [anon_sym_GT] = ACTIONS(2819),
    [anon_sym_LT_LT] = ACTIONS(2819),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2817),
    [anon_sym_PLUS_EQ] = ACTIONS(2817),
    [anon_sym_DASH_EQ] = ACTIONS(2817),
    [anon_sym_DOT_EQ] = ACTIONS(2817),
    [anon_sym_STAR_EQ] = ACTIONS(2817),
    [anon_sym_SLASH_EQ] = ACTIONS(2817),
    [anon_sym_PERCENT_EQ] = ACTIONS(2817),
    [anon_sym_x_EQ] = ACTIONS(2817),
    [anon_sym_AMP_EQ] = ACTIONS(2817),
    [anon_sym_PIPE_EQ] = ACTIONS(2817),
    [anon_sym_CARET_EQ] = ACTIONS(2817),
    [anon_sym_LT_LT_EQ] = ACTIONS(2817),
    [anon_sym_GT_GT_EQ] = ACTIONS(2817),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2817),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_STAR_STAR] = ACTIONS(2819),
    [anon_sym_PIPE_PIPE] = ACTIONS(2819),
    [anon_sym_SLASH_SLASH] = ACTIONS(2819),
    [anon_sym_CARET_CARET] = ACTIONS(2817),
    [anon_sym_AMP_AMP] = ACTIONS(2819),
    [anon_sym_PIPE] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2819),
    [anon_sym_AMP] = ACTIONS(2819),
    [anon_sym_GT_GT2] = ACTIONS(2819),
    [anon_sym_PLUS] = ACTIONS(2819),
    [anon_sym_DASH] = ACTIONS(2819),
    [anon_sym_DOT] = ACTIONS(2819),
    [anon_sym_STAR] = ACTIONS(2819),
    [anon_sym_SLASH] = ACTIONS(2819),
    [anon_sym_x] = ACTIONS(2819),
    [anon_sym_EQ_TILDE] = ACTIONS(2817),
    [anon_sym_BANG_TILDE] = ACTIONS(2817),
    [anon_sym_EQ_EQ] = ACTIONS(2819),
    [anon_sym_BANG_EQ] = ACTIONS(2817),
    [anon_sym_eq] = ACTIONS(2819),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2817),
    [anon_sym_equ] = ACTIONS(2817),
    [anon_sym_eqr] = ACTIONS(2817),
    [anon_sym_ne] = ACTIONS(2817),
    [anon_sym_LT_EQ_GT] = ACTIONS(2817),
    [anon_sym_cmp] = ACTIONS(2817),
    [anon_sym_TILDE_TILDE] = ACTIONS(2817),
    [anon_sym_LT] = ACTIONS(2819),
    [anon_sym_LT_EQ] = ACTIONS(2819),
    [anon_sym_GT_EQ] = ACTIONS(2817),
    [anon_sym_lt] = ACTIONS(2817),
    [anon_sym_le] = ACTIONS(2817),
    [anon_sym_ge] = ACTIONS(2817),
    [anon_sym_gt] = ACTIONS(2817),
    [anon_sym_isa] = ACTIONS(2817),
    [anon_sym_PLUS_PLUS] = ACTIONS(2817),
    [anon_sym_DASH_DASH] = ACTIONS(2817),
    [anon_sym_QMARK] = ACTIONS(2817),
    [anon_sym_EQ_GT] = ACTIONS(2817),
    [anon_sym_for] = ACTIONS(2819),
    [anon_sym_foreach] = ACTIONS(2817),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2817),
    [anon_sym___END__] = ACTIONS(2817),
    [anon_sym_EOT] = ACTIONS(2817),
    [anon_sym_if] = ACTIONS(2817),
    [anon_sym_unless] = ACTIONS(2817),
    [anon_sym_while] = ACTIONS(2817),
    [anon_sym_until] = ACTIONS(2817),
    [sym__PERLY_SEMICOLON] = ACTIONS(2817),
    [sym__ctrl_z_hack] = ACTIONS(2817),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1278] = {
    [sym_heredoc_content] = STATE(1278),
    [anon_sym_RBRACE] = ACTIONS(2821),
    [anon_sym_SEMI] = ACTIONS(2821),
    [anon_sym_EQ] = ACTIONS(2823),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2821),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2821),
    [anon_sym_COMMA] = ACTIONS(2821),
    [anon_sym_RPAREN] = ACTIONS(2821),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2821),
    [anon_sym_and] = ACTIONS(2821),
    [anon_sym_or] = ACTIONS(2821),
    [anon_sym_xor] = ACTIONS(2821),
    [anon_sym_DASH_GT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(2823),
    [anon_sym_GT] = ACTIONS(2823),
    [anon_sym_LT_LT] = ACTIONS(2823),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2821),
    [anon_sym_PLUS_EQ] = ACTIONS(2821),
    [anon_sym_DASH_EQ] = ACTIONS(2821),
    [anon_sym_DOT_EQ] = ACTIONS(2821),
    [anon_sym_STAR_EQ] = ACTIONS(2821),
    [anon_sym_SLASH_EQ] = ACTIONS(2821),
    [anon_sym_PERCENT_EQ] = ACTIONS(2821),
    [anon_sym_x_EQ] = ACTIONS(2821),
    [anon_sym_AMP_EQ] = ACTIONS(2821),
    [anon_sym_PIPE_EQ] = ACTIONS(2821),
    [anon_sym_CARET_EQ] = ACTIONS(2821),
    [anon_sym_LT_LT_EQ] = ACTIONS(2821),
    [anon_sym_GT_GT_EQ] = ACTIONS(2821),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2821),
    [anon_sym_DOT_DOT] = ACTIONS(2823),
    [anon_sym_STAR_STAR] = ACTIONS(2823),
    [anon_sym_PIPE_PIPE] = ACTIONS(2823),
    [anon_sym_SLASH_SLASH] = ACTIONS(2823),
    [anon_sym_CARET_CARET] = ACTIONS(2821),
    [anon_sym_AMP_AMP] = ACTIONS(2823),
    [anon_sym_PIPE] = ACTIONS(2823),
    [anon_sym_CARET] = ACTIONS(2823),
    [anon_sym_AMP] = ACTIONS(2823),
    [anon_sym_GT_GT2] = ACTIONS(2823),
    [anon_sym_PLUS] = ACTIONS(2823),
    [anon_sym_DASH] = ACTIONS(2823),
    [anon_sym_DOT] = ACTIONS(2823),
    [anon_sym_STAR] = ACTIONS(2823),
    [anon_sym_SLASH] = ACTIONS(2823),
    [anon_sym_x] = ACTIONS(2823),
    [anon_sym_EQ_TILDE] = ACTIONS(2821),
    [anon_sym_BANG_TILDE] = ACTIONS(2821),
    [anon_sym_EQ_EQ] = ACTIONS(2823),
    [anon_sym_BANG_EQ] = ACTIONS(2821),
    [anon_sym_eq] = ACTIONS(2823),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2821),
    [anon_sym_equ] = ACTIONS(2821),
    [anon_sym_eqr] = ACTIONS(2821),
    [anon_sym_ne] = ACTIONS(2821),
    [anon_sym_LT_EQ_GT] = ACTIONS(2821),
    [anon_sym_cmp] = ACTIONS(2821),
    [anon_sym_TILDE_TILDE] = ACTIONS(2821),
    [anon_sym_LT] = ACTIONS(2823),
    [anon_sym_LT_EQ] = ACTIONS(2823),
    [anon_sym_GT_EQ] = ACTIONS(2821),
    [anon_sym_lt] = ACTIONS(2821),
    [anon_sym_le] = ACTIONS(2821),
    [anon_sym_ge] = ACTIONS(2821),
    [anon_sym_gt] = ACTIONS(2821),
    [anon_sym_isa] = ACTIONS(2821),
    [anon_sym_PLUS_PLUS] = ACTIONS(2821),
    [anon_sym_DASH_DASH] = ACTIONS(2821),
    [anon_sym_QMARK] = ACTIONS(2821),
    [anon_sym_EQ_GT] = ACTIONS(2821),
    [anon_sym_for] = ACTIONS(2823),
    [anon_sym_foreach] = ACTIONS(2821),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2821),
    [anon_sym___END__] = ACTIONS(2821),
    [anon_sym_EOT] = ACTIONS(2821),
    [anon_sym_if] = ACTIONS(2821),
    [anon_sym_unless] = ACTIONS(2821),
    [anon_sym_while] = ACTIONS(2821),
    [anon_sym_until] = ACTIONS(2821),
    [sym__PERLY_SEMICOLON] = ACTIONS(2821),
    [sym__ctrl_z_hack] = ACTIONS(2821),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1279] = {
    [sym_heredoc_content] = STATE(1279),
    [anon_sym_RBRACE] = ACTIONS(2825),
    [anon_sym_SEMI] = ACTIONS(2825),
    [anon_sym_EQ] = ACTIONS(2827),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2825),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2825),
    [anon_sym_COMMA] = ACTIONS(2825),
    [anon_sym_RPAREN] = ACTIONS(2825),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2825),
    [anon_sym_and] = ACTIONS(2825),
    [anon_sym_or] = ACTIONS(2825),
    [anon_sym_xor] = ACTIONS(2825),
    [anon_sym_DASH_GT] = ACTIONS(2825),
    [anon_sym_PERCENT] = ACTIONS(2827),
    [anon_sym_GT] = ACTIONS(2827),
    [anon_sym_LT_LT] = ACTIONS(2827),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2825),
    [anon_sym_PLUS_EQ] = ACTIONS(2825),
    [anon_sym_DASH_EQ] = ACTIONS(2825),
    [anon_sym_DOT_EQ] = ACTIONS(2825),
    [anon_sym_STAR_EQ] = ACTIONS(2825),
    [anon_sym_SLASH_EQ] = ACTIONS(2825),
    [anon_sym_PERCENT_EQ] = ACTIONS(2825),
    [anon_sym_x_EQ] = ACTIONS(2825),
    [anon_sym_AMP_EQ] = ACTIONS(2825),
    [anon_sym_PIPE_EQ] = ACTIONS(2825),
    [anon_sym_CARET_EQ] = ACTIONS(2825),
    [anon_sym_LT_LT_EQ] = ACTIONS(2825),
    [anon_sym_GT_GT_EQ] = ACTIONS(2825),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2825),
    [anon_sym_DOT_DOT] = ACTIONS(2827),
    [anon_sym_STAR_STAR] = ACTIONS(2827),
    [anon_sym_PIPE_PIPE] = ACTIONS(2827),
    [anon_sym_SLASH_SLASH] = ACTIONS(2827),
    [anon_sym_CARET_CARET] = ACTIONS(2825),
    [anon_sym_AMP_AMP] = ACTIONS(2827),
    [anon_sym_PIPE] = ACTIONS(2827),
    [anon_sym_CARET] = ACTIONS(2827),
    [anon_sym_AMP] = ACTIONS(2827),
    [anon_sym_GT_GT2] = ACTIONS(2827),
    [anon_sym_PLUS] = ACTIONS(2827),
    [anon_sym_DASH] = ACTIONS(2827),
    [anon_sym_DOT] = ACTIONS(2827),
    [anon_sym_STAR] = ACTIONS(2827),
    [anon_sym_SLASH] = ACTIONS(2827),
    [anon_sym_x] = ACTIONS(2827),
    [anon_sym_EQ_TILDE] = ACTIONS(2825),
    [anon_sym_BANG_TILDE] = ACTIONS(2825),
    [anon_sym_EQ_EQ] = ACTIONS(2827),
    [anon_sym_BANG_EQ] = ACTIONS(2825),
    [anon_sym_eq] = ACTIONS(2827),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2825),
    [anon_sym_equ] = ACTIONS(2825),
    [anon_sym_eqr] = ACTIONS(2825),
    [anon_sym_ne] = ACTIONS(2825),
    [anon_sym_LT_EQ_GT] = ACTIONS(2825),
    [anon_sym_cmp] = ACTIONS(2825),
    [anon_sym_TILDE_TILDE] = ACTIONS(2825),
    [anon_sym_LT] = ACTIONS(2827),
    [anon_sym_LT_EQ] = ACTIONS(2827),
    [anon_sym_GT_EQ] = ACTIONS(2825),
    [anon_sym_lt] = ACTIONS(2825),
    [anon_sym_le] = ACTIONS(2825),
    [anon_sym_ge] = ACTIONS(2825),
    [anon_sym_gt] = ACTIONS(2825),
    [anon_sym_isa] = ACTIONS(2825),
    [anon_sym_PLUS_PLUS] = ACTIONS(2825),
    [anon_sym_DASH_DASH] = ACTIONS(2825),
    [anon_sym_QMARK] = ACTIONS(2825),
    [anon_sym_EQ_GT] = ACTIONS(2825),
    [anon_sym_for] = ACTIONS(2827),
    [anon_sym_foreach] = ACTIONS(2825),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2825),
    [anon_sym___END__] = ACTIONS(2825),
    [anon_sym_EOT] = ACTIONS(2825),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_unless] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(2825),
    [anon_sym_until] = ACTIONS(2825),
    [sym__PERLY_SEMICOLON] = ACTIONS(2825),
    [sym__ctrl_z_hack] = ACTIONS(2825),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1280] = {
    [sym_heredoc_content] = STATE(1280),
    [anon_sym_RBRACE] = ACTIONS(2829),
    [anon_sym_SEMI] = ACTIONS(2829),
    [anon_sym_EQ] = ACTIONS(2583),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2585),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2585),
    [anon_sym_COMMA] = ACTIONS(2829),
    [anon_sym_RPAREN] = ACTIONS(2829),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2589),
    [anon_sym_and] = ACTIONS(2829),
    [anon_sym_or] = ACTIONS(2829),
    [anon_sym_xor] = ACTIONS(2829),
    [anon_sym_DASH_GT] = ACTIONS(2591),
    [anon_sym_PERCENT] = ACTIONS(2593),
    [anon_sym_GT] = ACTIONS(2595),
    [anon_sym_LT_LT] = ACTIONS(2597),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2585),
    [anon_sym_PLUS_EQ] = ACTIONS(2585),
    [anon_sym_DASH_EQ] = ACTIONS(2585),
    [anon_sym_DOT_EQ] = ACTIONS(2585),
    [anon_sym_STAR_EQ] = ACTIONS(2585),
    [anon_sym_SLASH_EQ] = ACTIONS(2585),
    [anon_sym_PERCENT_EQ] = ACTIONS(2585),
    [anon_sym_x_EQ] = ACTIONS(2585),
    [anon_sym_AMP_EQ] = ACTIONS(2585),
    [anon_sym_PIPE_EQ] = ACTIONS(2585),
    [anon_sym_CARET_EQ] = ACTIONS(2585),
    [anon_sym_LT_LT_EQ] = ACTIONS(2585),
    [anon_sym_GT_GT_EQ] = ACTIONS(2585),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2585),
    [anon_sym_DOT_DOT] = ACTIONS(2599),
    [anon_sym_STAR_STAR] = ACTIONS(2601),
    [anon_sym_PIPE_PIPE] = ACTIONS(2603),
    [anon_sym_SLASH_SLASH] = ACTIONS(2603),
    [anon_sym_CARET_CARET] = ACTIONS(2605),
    [anon_sym_AMP_AMP] = ACTIONS(2607),
    [anon_sym_PIPE] = ACTIONS(2609),
    [anon_sym_CARET] = ACTIONS(2609),
    [anon_sym_AMP] = ACTIONS(2611),
    [anon_sym_GT_GT2] = ACTIONS(2597),
    [anon_sym_PLUS] = ACTIONS(2613),
    [anon_sym_DASH] = ACTIONS(2613),
    [anon_sym_DOT] = ACTIONS(2613),
    [anon_sym_STAR] = ACTIONS(2593),
    [anon_sym_SLASH] = ACTIONS(2593),
    [anon_sym_x] = ACTIONS(2593),
    [anon_sym_EQ_TILDE] = ACTIONS(2615),
    [anon_sym_BANG_TILDE] = ACTIONS(2615),
    [anon_sym_EQ_EQ] = ACTIONS(2617),
    [anon_sym_BANG_EQ] = ACTIONS(2619),
    [anon_sym_eq] = ACTIONS(2617),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2619),
    [anon_sym_equ] = ACTIONS(2619),
    [anon_sym_eqr] = ACTIONS(2619),
    [anon_sym_ne] = ACTIONS(2619),
    [anon_sym_LT_EQ_GT] = ACTIONS(2621),
    [anon_sym_cmp] = ACTIONS(2621),
    [anon_sym_TILDE_TILDE] = ACTIONS(2621),
    [anon_sym_LT] = ACTIONS(2595),
    [anon_sym_LT_EQ] = ACTIONS(2595),
    [anon_sym_GT_EQ] = ACTIONS(2623),
    [anon_sym_lt] = ACTIONS(2623),
    [anon_sym_le] = ACTIONS(2623),
    [anon_sym_ge] = ACTIONS(2623),
    [anon_sym_gt] = ACTIONS(2623),
    [anon_sym_isa] = ACTIONS(2625),
    [anon_sym_PLUS_PLUS] = ACTIONS(2627),
    [anon_sym_DASH_DASH] = ACTIONS(2627),
    [anon_sym_QMARK] = ACTIONS(2629),
    [anon_sym_EQ_GT] = ACTIONS(2829),
    [anon_sym_for] = ACTIONS(2831),
    [anon_sym_foreach] = ACTIONS(2829),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2829),
    [anon_sym___END__] = ACTIONS(2829),
    [anon_sym_EOT] = ACTIONS(2829),
    [anon_sym_if] = ACTIONS(2829),
    [anon_sym_unless] = ACTIONS(2829),
    [anon_sym_while] = ACTIONS(2829),
    [anon_sym_until] = ACTIONS(2829),
    [sym__PERLY_SEMICOLON] = ACTIONS(2829),
    [sym__ctrl_z_hack] = ACTIONS(2829),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1281] = {
    [sym_heredoc_content] = STATE(1281),
    [anon_sym_RBRACE] = ACTIONS(2833),
    [anon_sym_SEMI] = ACTIONS(2833),
    [anon_sym_EQ] = ACTIONS(2835),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_COMMA] = ACTIONS(2833),
    [anon_sym_RPAREN] = ACTIONS(2833),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2833),
    [anon_sym_and] = ACTIONS(2833),
    [anon_sym_or] = ACTIONS(2833),
    [anon_sym_xor] = ACTIONS(2833),
    [anon_sym_DASH_GT] = ACTIONS(2833),
    [anon_sym_PERCENT] = ACTIONS(2835),
    [anon_sym_GT] = ACTIONS(2835),
    [anon_sym_LT_LT] = ACTIONS(2835),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2833),
    [anon_sym_PLUS_EQ] = ACTIONS(2833),
    [anon_sym_DASH_EQ] = ACTIONS(2833),
    [anon_sym_DOT_EQ] = ACTIONS(2833),
    [anon_sym_STAR_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_PERCENT_EQ] = ACTIONS(2833),
    [anon_sym_x_EQ] = ACTIONS(2833),
    [anon_sym_AMP_EQ] = ACTIONS(2833),
    [anon_sym_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_CARET_EQ] = ACTIONS(2833),
    [anon_sym_LT_LT_EQ] = ACTIONS(2833),
    [anon_sym_GT_GT_EQ] = ACTIONS(2833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2833),
    [anon_sym_DOT_DOT] = ACTIONS(2835),
    [anon_sym_STAR_STAR] = ACTIONS(2835),
    [anon_sym_PIPE_PIPE] = ACTIONS(2835),
    [anon_sym_SLASH_SLASH] = ACTIONS(2835),
    [anon_sym_CARET_CARET] = ACTIONS(2833),
    [anon_sym_AMP_AMP] = ACTIONS(2835),
    [anon_sym_PIPE] = ACTIONS(2835),
    [anon_sym_CARET] = ACTIONS(2835),
    [anon_sym_AMP] = ACTIONS(2835),
    [anon_sym_GT_GT2] = ACTIONS(2835),
    [anon_sym_PLUS] = ACTIONS(2835),
    [anon_sym_DASH] = ACTIONS(2835),
    [anon_sym_DOT] = ACTIONS(2835),
    [anon_sym_STAR] = ACTIONS(2835),
    [anon_sym_SLASH] = ACTIONS(2835),
    [anon_sym_x] = ACTIONS(2835),
    [anon_sym_EQ_TILDE] = ACTIONS(2833),
    [anon_sym_BANG_TILDE] = ACTIONS(2833),
    [anon_sym_EQ_EQ] = ACTIONS(2835),
    [anon_sym_BANG_EQ] = ACTIONS(2833),
    [anon_sym_eq] = ACTIONS(2835),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2833),
    [anon_sym_equ] = ACTIONS(2833),
    [anon_sym_eqr] = ACTIONS(2833),
    [anon_sym_ne] = ACTIONS(2833),
    [anon_sym_LT_EQ_GT] = ACTIONS(2833),
    [anon_sym_cmp] = ACTIONS(2833),
    [anon_sym_TILDE_TILDE] = ACTIONS(2833),
    [anon_sym_LT] = ACTIONS(2835),
    [anon_sym_LT_EQ] = ACTIONS(2835),
    [anon_sym_GT_EQ] = ACTIONS(2833),
    [anon_sym_lt] = ACTIONS(2833),
    [anon_sym_le] = ACTIONS(2833),
    [anon_sym_ge] = ACTIONS(2833),
    [anon_sym_gt] = ACTIONS(2833),
    [anon_sym_isa] = ACTIONS(2833),
    [anon_sym_PLUS_PLUS] = ACTIONS(2833),
    [anon_sym_DASH_DASH] = ACTIONS(2833),
    [anon_sym_QMARK] = ACTIONS(2833),
    [anon_sym_EQ_GT] = ACTIONS(2833),
    [anon_sym_for] = ACTIONS(2835),
    [anon_sym_foreach] = ACTIONS(2833),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2833),
    [anon_sym___END__] = ACTIONS(2833),
    [anon_sym_EOT] = ACTIONS(2833),
    [anon_sym_if] = ACTIONS(2833),
    [anon_sym_unless] = ACTIONS(2833),
    [anon_sym_while] = ACTIONS(2833),
    [anon_sym_until] = ACTIONS(2833),
    [sym__PERLY_SEMICOLON] = ACTIONS(2833),
    [sym__ctrl_z_hack] = ACTIONS(2833),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1282] = {
    [sym_heredoc_content] = STATE(1282),
    [anon_sym_RBRACE] = ACTIONS(2837),
    [anon_sym_SEMI] = ACTIONS(2837),
    [anon_sym_EQ] = ACTIONS(2839),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2837),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2837),
    [anon_sym_COMMA] = ACTIONS(2837),
    [anon_sym_RPAREN] = ACTIONS(2837),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2837),
    [anon_sym_and] = ACTIONS(2837),
    [anon_sym_or] = ACTIONS(2837),
    [anon_sym_xor] = ACTIONS(2837),
    [anon_sym_DASH_GT] = ACTIONS(2837),
    [anon_sym_PERCENT] = ACTIONS(2839),
    [anon_sym_GT] = ACTIONS(2839),
    [anon_sym_LT_LT] = ACTIONS(2839),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2837),
    [anon_sym_PLUS_EQ] = ACTIONS(2837),
    [anon_sym_DASH_EQ] = ACTIONS(2837),
    [anon_sym_DOT_EQ] = ACTIONS(2837),
    [anon_sym_STAR_EQ] = ACTIONS(2837),
    [anon_sym_SLASH_EQ] = ACTIONS(2837),
    [anon_sym_PERCENT_EQ] = ACTIONS(2837),
    [anon_sym_x_EQ] = ACTIONS(2837),
    [anon_sym_AMP_EQ] = ACTIONS(2837),
    [anon_sym_PIPE_EQ] = ACTIONS(2837),
    [anon_sym_CARET_EQ] = ACTIONS(2837),
    [anon_sym_LT_LT_EQ] = ACTIONS(2837),
    [anon_sym_GT_GT_EQ] = ACTIONS(2837),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2837),
    [anon_sym_DOT_DOT] = ACTIONS(2839),
    [anon_sym_STAR_STAR] = ACTIONS(2839),
    [anon_sym_PIPE_PIPE] = ACTIONS(2839),
    [anon_sym_SLASH_SLASH] = ACTIONS(2839),
    [anon_sym_CARET_CARET] = ACTIONS(2837),
    [anon_sym_AMP_AMP] = ACTIONS(2839),
    [anon_sym_PIPE] = ACTIONS(2839),
    [anon_sym_CARET] = ACTIONS(2839),
    [anon_sym_AMP] = ACTIONS(2839),
    [anon_sym_GT_GT2] = ACTIONS(2839),
    [anon_sym_PLUS] = ACTIONS(2839),
    [anon_sym_DASH] = ACTIONS(2839),
    [anon_sym_DOT] = ACTIONS(2839),
    [anon_sym_STAR] = ACTIONS(2839),
    [anon_sym_SLASH] = ACTIONS(2839),
    [anon_sym_x] = ACTIONS(2839),
    [anon_sym_EQ_TILDE] = ACTIONS(2837),
    [anon_sym_BANG_TILDE] = ACTIONS(2837),
    [anon_sym_EQ_EQ] = ACTIONS(2839),
    [anon_sym_BANG_EQ] = ACTIONS(2837),
    [anon_sym_eq] = ACTIONS(2839),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2837),
    [anon_sym_equ] = ACTIONS(2837),
    [anon_sym_eqr] = ACTIONS(2837),
    [anon_sym_ne] = ACTIONS(2837),
    [anon_sym_LT_EQ_GT] = ACTIONS(2837),
    [anon_sym_cmp] = ACTIONS(2837),
    [anon_sym_TILDE_TILDE] = ACTIONS(2837),
    [anon_sym_LT] = ACTIONS(2839),
    [anon_sym_LT_EQ] = ACTIONS(2839),
    [anon_sym_GT_EQ] = ACTIONS(2837),
    [anon_sym_lt] = ACTIONS(2837),
    [anon_sym_le] = ACTIONS(2837),
    [anon_sym_ge] = ACTIONS(2837),
    [anon_sym_gt] = ACTIONS(2837),
    [anon_sym_isa] = ACTIONS(2837),
    [anon_sym_PLUS_PLUS] = ACTIONS(2837),
    [anon_sym_DASH_DASH] = ACTIONS(2837),
    [anon_sym_QMARK] = ACTIONS(2837),
    [anon_sym_EQ_GT] = ACTIONS(2837),
    [anon_sym_for] = ACTIONS(2839),
    [anon_sym_foreach] = ACTIONS(2837),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2837),
    [anon_sym___END__] = ACTIONS(2837),
    [anon_sym_EOT] = ACTIONS(2837),
    [anon_sym_if] = ACTIONS(2837),
    [anon_sym_unless] = ACTIONS(2837),
    [anon_sym_while] = ACTIONS(2837),
    [anon_sym_until] = ACTIONS(2837),
    [sym__PERLY_SEMICOLON] = ACTIONS(2837),
    [sym__ctrl_z_hack] = ACTIONS(2837),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1283] = {
    [sym_heredoc_content] = STATE(1283),
    [anon_sym_RBRACE] = ACTIONS(2841),
    [anon_sym_SEMI] = ACTIONS(2841),
    [anon_sym_EQ] = ACTIONS(2843),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2841),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2841),
    [anon_sym_COMMA] = ACTIONS(2841),
    [anon_sym_RPAREN] = ACTIONS(2841),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2841),
    [anon_sym_and] = ACTIONS(2841),
    [anon_sym_or] = ACTIONS(2841),
    [anon_sym_xor] = ACTIONS(2841),
    [anon_sym_DASH_GT] = ACTIONS(2841),
    [anon_sym_PERCENT] = ACTIONS(2843),
    [anon_sym_GT] = ACTIONS(2843),
    [anon_sym_LT_LT] = ACTIONS(2843),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2841),
    [anon_sym_PLUS_EQ] = ACTIONS(2841),
    [anon_sym_DASH_EQ] = ACTIONS(2841),
    [anon_sym_DOT_EQ] = ACTIONS(2841),
    [anon_sym_STAR_EQ] = ACTIONS(2841),
    [anon_sym_SLASH_EQ] = ACTIONS(2841),
    [anon_sym_PERCENT_EQ] = ACTIONS(2841),
    [anon_sym_x_EQ] = ACTIONS(2841),
    [anon_sym_AMP_EQ] = ACTIONS(2841),
    [anon_sym_PIPE_EQ] = ACTIONS(2841),
    [anon_sym_CARET_EQ] = ACTIONS(2841),
    [anon_sym_LT_LT_EQ] = ACTIONS(2841),
    [anon_sym_GT_GT_EQ] = ACTIONS(2841),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2841),
    [anon_sym_DOT_DOT] = ACTIONS(2843),
    [anon_sym_STAR_STAR] = ACTIONS(2843),
    [anon_sym_PIPE_PIPE] = ACTIONS(2843),
    [anon_sym_SLASH_SLASH] = ACTIONS(2843),
    [anon_sym_CARET_CARET] = ACTIONS(2841),
    [anon_sym_AMP_AMP] = ACTIONS(2843),
    [anon_sym_PIPE] = ACTIONS(2843),
    [anon_sym_CARET] = ACTIONS(2843),
    [anon_sym_AMP] = ACTIONS(2843),
    [anon_sym_GT_GT2] = ACTIONS(2843),
    [anon_sym_PLUS] = ACTIONS(2843),
    [anon_sym_DASH] = ACTIONS(2843),
    [anon_sym_DOT] = ACTIONS(2843),
    [anon_sym_STAR] = ACTIONS(2843),
    [anon_sym_SLASH] = ACTIONS(2843),
    [anon_sym_x] = ACTIONS(2843),
    [anon_sym_EQ_TILDE] = ACTIONS(2841),
    [anon_sym_BANG_TILDE] = ACTIONS(2841),
    [anon_sym_EQ_EQ] = ACTIONS(2843),
    [anon_sym_BANG_EQ] = ACTIONS(2841),
    [anon_sym_eq] = ACTIONS(2843),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2841),
    [anon_sym_equ] = ACTIONS(2841),
    [anon_sym_eqr] = ACTIONS(2841),
    [anon_sym_ne] = ACTIONS(2841),
    [anon_sym_LT_EQ_GT] = ACTIONS(2841),
    [anon_sym_cmp] = ACTIONS(2841),
    [anon_sym_TILDE_TILDE] = ACTIONS(2841),
    [anon_sym_LT] = ACTIONS(2843),
    [anon_sym_LT_EQ] = ACTIONS(2843),
    [anon_sym_GT_EQ] = ACTIONS(2841),
    [anon_sym_lt] = ACTIONS(2841),
    [anon_sym_le] = ACTIONS(2841),
    [anon_sym_ge] = ACTIONS(2841),
    [anon_sym_gt] = ACTIONS(2841),
    [anon_sym_isa] = ACTIONS(2841),
    [anon_sym_PLUS_PLUS] = ACTIONS(2841),
    [anon_sym_DASH_DASH] = ACTIONS(2841),
    [anon_sym_QMARK] = ACTIONS(2841),
    [anon_sym_EQ_GT] = ACTIONS(2841),
    [anon_sym_for] = ACTIONS(2843),
    [anon_sym_foreach] = ACTIONS(2841),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2841),
    [anon_sym___END__] = ACTIONS(2841),
    [anon_sym_EOT] = ACTIONS(2841),
    [anon_sym_if] = ACTIONS(2841),
    [anon_sym_unless] = ACTIONS(2841),
    [anon_sym_while] = ACTIONS(2841),
    [anon_sym_until] = ACTIONS(2841),
    [sym__PERLY_SEMICOLON] = ACTIONS(2841),
    [sym__ctrl_z_hack] = ACTIONS(2841),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1284] = {
    [sym_heredoc_content] = STATE(1284),
    [anon_sym_RBRACE] = ACTIONS(2845),
    [anon_sym_SEMI] = ACTIONS(2845),
    [anon_sym_EQ] = ACTIONS(2847),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2845),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2845),
    [anon_sym_COMMA] = ACTIONS(2845),
    [anon_sym_RPAREN] = ACTIONS(2845),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2845),
    [anon_sym_and] = ACTIONS(2845),
    [anon_sym_or] = ACTIONS(2845),
    [anon_sym_xor] = ACTIONS(2845),
    [anon_sym_DASH_GT] = ACTIONS(2591),
    [anon_sym_PERCENT] = ACTIONS(2593),
    [anon_sym_GT] = ACTIONS(2847),
    [anon_sym_LT_LT] = ACTIONS(2597),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2845),
    [anon_sym_PLUS_EQ] = ACTIONS(2845),
    [anon_sym_DASH_EQ] = ACTIONS(2845),
    [anon_sym_DOT_EQ] = ACTIONS(2845),
    [anon_sym_STAR_EQ] = ACTIONS(2845),
    [anon_sym_SLASH_EQ] = ACTIONS(2845),
    [anon_sym_PERCENT_EQ] = ACTIONS(2845),
    [anon_sym_x_EQ] = ACTIONS(2845),
    [anon_sym_AMP_EQ] = ACTIONS(2845),
    [anon_sym_PIPE_EQ] = ACTIONS(2845),
    [anon_sym_CARET_EQ] = ACTIONS(2845),
    [anon_sym_LT_LT_EQ] = ACTIONS(2845),
    [anon_sym_GT_GT_EQ] = ACTIONS(2845),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2845),
    [anon_sym_DOT_DOT] = ACTIONS(2847),
    [anon_sym_STAR_STAR] = ACTIONS(2601),
    [anon_sym_PIPE_PIPE] = ACTIONS(2847),
    [anon_sym_SLASH_SLASH] = ACTIONS(2847),
    [anon_sym_CARET_CARET] = ACTIONS(2845),
    [anon_sym_AMP_AMP] = ACTIONS(2847),
    [anon_sym_PIPE] = ACTIONS(2847),
    [anon_sym_CARET] = ACTIONS(2847),
    [anon_sym_AMP] = ACTIONS(2847),
    [anon_sym_GT_GT2] = ACTIONS(2597),
    [anon_sym_PLUS] = ACTIONS(2613),
    [anon_sym_DASH] = ACTIONS(2613),
    [anon_sym_DOT] = ACTIONS(2613),
    [anon_sym_STAR] = ACTIONS(2593),
    [anon_sym_SLASH] = ACTIONS(2593),
    [anon_sym_x] = ACTIONS(2593),
    [anon_sym_EQ_TILDE] = ACTIONS(2615),
    [anon_sym_BANG_TILDE] = ACTIONS(2615),
    [anon_sym_EQ_EQ] = ACTIONS(2847),
    [anon_sym_BANG_EQ] = ACTIONS(2845),
    [anon_sym_eq] = ACTIONS(2847),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2845),
    [anon_sym_equ] = ACTIONS(2845),
    [anon_sym_eqr] = ACTIONS(2845),
    [anon_sym_ne] = ACTIONS(2845),
    [anon_sym_LT_EQ_GT] = ACTIONS(2845),
    [anon_sym_cmp] = ACTIONS(2845),
    [anon_sym_TILDE_TILDE] = ACTIONS(2845),
    [anon_sym_LT] = ACTIONS(2847),
    [anon_sym_LT_EQ] = ACTIONS(2847),
    [anon_sym_GT_EQ] = ACTIONS(2845),
    [anon_sym_lt] = ACTIONS(2845),
    [anon_sym_le] = ACTIONS(2845),
    [anon_sym_ge] = ACTIONS(2845),
    [anon_sym_gt] = ACTIONS(2845),
    [anon_sym_isa] = ACTIONS(2845),
    [anon_sym_PLUS_PLUS] = ACTIONS(2627),
    [anon_sym_DASH_DASH] = ACTIONS(2627),
    [anon_sym_QMARK] = ACTIONS(2845),
    [anon_sym_EQ_GT] = ACTIONS(2845),
    [anon_sym_for] = ACTIONS(2847),
    [anon_sym_foreach] = ACTIONS(2845),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2845),
    [anon_sym___END__] = ACTIONS(2845),
    [anon_sym_EOT] = ACTIONS(2845),
    [anon_sym_if] = ACTIONS(2845),
    [anon_sym_unless] = ACTIONS(2845),
    [anon_sym_while] = ACTIONS(2845),
    [anon_sym_until] = ACTIONS(2845),
    [sym__PERLY_SEMICOLON] = ACTIONS(2845),
    [sym__ctrl_z_hack] = ACTIONS(2845),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1285] = {
    [sym_heredoc_content] = STATE(1285),
    [anon_sym_RBRACE] = ACTIONS(2849),
    [anon_sym_SEMI] = ACTIONS(2849),
    [anon_sym_EQ] = ACTIONS(2851),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2849),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2849),
    [anon_sym_COMMA] = ACTIONS(2849),
    [anon_sym_RPAREN] = ACTIONS(2849),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2849),
    [anon_sym_and] = ACTIONS(2849),
    [anon_sym_or] = ACTIONS(2849),
    [anon_sym_xor] = ACTIONS(2849),
    [anon_sym_DASH_GT] = ACTIONS(2849),
    [anon_sym_PERCENT] = ACTIONS(2851),
    [anon_sym_GT] = ACTIONS(2851),
    [anon_sym_LT_LT] = ACTIONS(2851),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2849),
    [anon_sym_PLUS_EQ] = ACTIONS(2849),
    [anon_sym_DASH_EQ] = ACTIONS(2849),
    [anon_sym_DOT_EQ] = ACTIONS(2849),
    [anon_sym_STAR_EQ] = ACTIONS(2849),
    [anon_sym_SLASH_EQ] = ACTIONS(2849),
    [anon_sym_PERCENT_EQ] = ACTIONS(2849),
    [anon_sym_x_EQ] = ACTIONS(2849),
    [anon_sym_AMP_EQ] = ACTIONS(2849),
    [anon_sym_PIPE_EQ] = ACTIONS(2849),
    [anon_sym_CARET_EQ] = ACTIONS(2849),
    [anon_sym_LT_LT_EQ] = ACTIONS(2849),
    [anon_sym_GT_GT_EQ] = ACTIONS(2849),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2849),
    [anon_sym_DOT_DOT] = ACTIONS(2851),
    [anon_sym_STAR_STAR] = ACTIONS(2851),
    [anon_sym_PIPE_PIPE] = ACTIONS(2851),
    [anon_sym_SLASH_SLASH] = ACTIONS(2851),
    [anon_sym_CARET_CARET] = ACTIONS(2849),
    [anon_sym_AMP_AMP] = ACTIONS(2851),
    [anon_sym_PIPE] = ACTIONS(2851),
    [anon_sym_CARET] = ACTIONS(2851),
    [anon_sym_AMP] = ACTIONS(2851),
    [anon_sym_GT_GT2] = ACTIONS(2851),
    [anon_sym_PLUS] = ACTIONS(2851),
    [anon_sym_DASH] = ACTIONS(2851),
    [anon_sym_DOT] = ACTIONS(2851),
    [anon_sym_STAR] = ACTIONS(2851),
    [anon_sym_SLASH] = ACTIONS(2851),
    [anon_sym_x] = ACTIONS(2851),
    [anon_sym_EQ_TILDE] = ACTIONS(2849),
    [anon_sym_BANG_TILDE] = ACTIONS(2849),
    [anon_sym_EQ_EQ] = ACTIONS(2851),
    [anon_sym_BANG_EQ] = ACTIONS(2849),
    [anon_sym_eq] = ACTIONS(2851),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2849),
    [anon_sym_equ] = ACTIONS(2849),
    [anon_sym_eqr] = ACTIONS(2849),
    [anon_sym_ne] = ACTIONS(2849),
    [anon_sym_LT_EQ_GT] = ACTIONS(2849),
    [anon_sym_cmp] = ACTIONS(2849),
    [anon_sym_TILDE_TILDE] = ACTIONS(2849),
    [anon_sym_LT] = ACTIONS(2851),
    [anon_sym_LT_EQ] = ACTIONS(2851),
    [anon_sym_GT_EQ] = ACTIONS(2849),
    [anon_sym_lt] = ACTIONS(2849),
    [anon_sym_le] = ACTIONS(2849),
    [anon_sym_ge] = ACTIONS(2849),
    [anon_sym_gt] = ACTIONS(2849),
    [anon_sym_isa] = ACTIONS(2849),
    [anon_sym_PLUS_PLUS] = ACTIONS(2849),
    [anon_sym_DASH_DASH] = ACTIONS(2849),
    [anon_sym_QMARK] = ACTIONS(2849),
    [anon_sym_EQ_GT] = ACTIONS(2849),
    [anon_sym_for] = ACTIONS(2851),
    [anon_sym_foreach] = ACTIONS(2849),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2849),
    [anon_sym___END__] = ACTIONS(2849),
    [anon_sym_EOT] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2849),
    [anon_sym_unless] = ACTIONS(2849),
    [anon_sym_while] = ACTIONS(2849),
    [anon_sym_until] = ACTIONS(2849),
    [sym__PERLY_SEMICOLON] = ACTIONS(2849),
    [sym__ctrl_z_hack] = ACTIONS(2849),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1286] = {
    [sym_heredoc_content] = STATE(1286),
    [anon_sym_RBRACE] = ACTIONS(2853),
    [anon_sym_SEMI] = ACTIONS(2853),
    [anon_sym_EQ] = ACTIONS(2855),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2853),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2853),
    [anon_sym_COMMA] = ACTIONS(2853),
    [anon_sym_RPAREN] = ACTIONS(2853),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2853),
    [anon_sym_and] = ACTIONS(2853),
    [anon_sym_or] = ACTIONS(2853),
    [anon_sym_xor] = ACTIONS(2853),
    [anon_sym_DASH_GT] = ACTIONS(2853),
    [anon_sym_PERCENT] = ACTIONS(2855),
    [anon_sym_GT] = ACTIONS(2855),
    [anon_sym_LT_LT] = ACTIONS(2855),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2853),
    [anon_sym_PLUS_EQ] = ACTIONS(2853),
    [anon_sym_DASH_EQ] = ACTIONS(2853),
    [anon_sym_DOT_EQ] = ACTIONS(2853),
    [anon_sym_STAR_EQ] = ACTIONS(2853),
    [anon_sym_SLASH_EQ] = ACTIONS(2853),
    [anon_sym_PERCENT_EQ] = ACTIONS(2853),
    [anon_sym_x_EQ] = ACTIONS(2853),
    [anon_sym_AMP_EQ] = ACTIONS(2853),
    [anon_sym_PIPE_EQ] = ACTIONS(2853),
    [anon_sym_CARET_EQ] = ACTIONS(2853),
    [anon_sym_LT_LT_EQ] = ACTIONS(2853),
    [anon_sym_GT_GT_EQ] = ACTIONS(2853),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2853),
    [anon_sym_DOT_DOT] = ACTIONS(2855),
    [anon_sym_STAR_STAR] = ACTIONS(2855),
    [anon_sym_PIPE_PIPE] = ACTIONS(2855),
    [anon_sym_SLASH_SLASH] = ACTIONS(2855),
    [anon_sym_CARET_CARET] = ACTIONS(2853),
    [anon_sym_AMP_AMP] = ACTIONS(2855),
    [anon_sym_PIPE] = ACTIONS(2855),
    [anon_sym_CARET] = ACTIONS(2855),
    [anon_sym_AMP] = ACTIONS(2855),
    [anon_sym_GT_GT2] = ACTIONS(2855),
    [anon_sym_PLUS] = ACTIONS(2855),
    [anon_sym_DASH] = ACTIONS(2855),
    [anon_sym_DOT] = ACTIONS(2855),
    [anon_sym_STAR] = ACTIONS(2855),
    [anon_sym_SLASH] = ACTIONS(2855),
    [anon_sym_x] = ACTIONS(2855),
    [anon_sym_EQ_TILDE] = ACTIONS(2853),
    [anon_sym_BANG_TILDE] = ACTIONS(2853),
    [anon_sym_EQ_EQ] = ACTIONS(2855),
    [anon_sym_BANG_EQ] = ACTIONS(2853),
    [anon_sym_eq] = ACTIONS(2855),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2853),
    [anon_sym_equ] = ACTIONS(2853),
    [anon_sym_eqr] = ACTIONS(2853),
    [anon_sym_ne] = ACTIONS(2853),
    [anon_sym_LT_EQ_GT] = ACTIONS(2853),
    [anon_sym_cmp] = ACTIONS(2853),
    [anon_sym_TILDE_TILDE] = ACTIONS(2853),
    [anon_sym_LT] = ACTIONS(2855),
    [anon_sym_LT_EQ] = ACTIONS(2855),
    [anon_sym_GT_EQ] = ACTIONS(2853),
    [anon_sym_lt] = ACTIONS(2853),
    [anon_sym_le] = ACTIONS(2853),
    [anon_sym_ge] = ACTIONS(2853),
    [anon_sym_gt] = ACTIONS(2853),
    [anon_sym_isa] = ACTIONS(2853),
    [anon_sym_PLUS_PLUS] = ACTIONS(2853),
    [anon_sym_DASH_DASH] = ACTIONS(2853),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_EQ_GT] = ACTIONS(2853),
    [anon_sym_for] = ACTIONS(2855),
    [anon_sym_foreach] = ACTIONS(2853),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2853),
    [anon_sym___END__] = ACTIONS(2853),
    [anon_sym_EOT] = ACTIONS(2853),
    [anon_sym_if] = ACTIONS(2853),
    [anon_sym_unless] = ACTIONS(2853),
    [anon_sym_while] = ACTIONS(2853),
    [anon_sym_until] = ACTIONS(2853),
    [sym__PERLY_SEMICOLON] = ACTIONS(2853),
    [sym__ctrl_z_hack] = ACTIONS(2853),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1287] = {
    [sym_heredoc_content] = STATE(1287),
    [anon_sym_RBRACE] = ACTIONS(2857),
    [anon_sym_SEMI] = ACTIONS(2857),
    [anon_sym_EQ] = ACTIONS(2859),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2857),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2857),
    [anon_sym_COMMA] = ACTIONS(2857),
    [anon_sym_RPAREN] = ACTIONS(2857),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2857),
    [anon_sym_and] = ACTIONS(2857),
    [anon_sym_or] = ACTIONS(2857),
    [anon_sym_xor] = ACTIONS(2857),
    [anon_sym_DASH_GT] = ACTIONS(2857),
    [anon_sym_PERCENT] = ACTIONS(2859),
    [anon_sym_GT] = ACTIONS(2859),
    [anon_sym_LT_LT] = ACTIONS(2859),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2857),
    [anon_sym_PLUS_EQ] = ACTIONS(2857),
    [anon_sym_DASH_EQ] = ACTIONS(2857),
    [anon_sym_DOT_EQ] = ACTIONS(2857),
    [anon_sym_STAR_EQ] = ACTIONS(2857),
    [anon_sym_SLASH_EQ] = ACTIONS(2857),
    [anon_sym_PERCENT_EQ] = ACTIONS(2857),
    [anon_sym_x_EQ] = ACTIONS(2857),
    [anon_sym_AMP_EQ] = ACTIONS(2857),
    [anon_sym_PIPE_EQ] = ACTIONS(2857),
    [anon_sym_CARET_EQ] = ACTIONS(2857),
    [anon_sym_LT_LT_EQ] = ACTIONS(2857),
    [anon_sym_GT_GT_EQ] = ACTIONS(2857),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2857),
    [anon_sym_DOT_DOT] = ACTIONS(2859),
    [anon_sym_STAR_STAR] = ACTIONS(2859),
    [anon_sym_PIPE_PIPE] = ACTIONS(2859),
    [anon_sym_SLASH_SLASH] = ACTIONS(2859),
    [anon_sym_CARET_CARET] = ACTIONS(2857),
    [anon_sym_AMP_AMP] = ACTIONS(2859),
    [anon_sym_PIPE] = ACTIONS(2859),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_AMP] = ACTIONS(2859),
    [anon_sym_GT_GT2] = ACTIONS(2859),
    [anon_sym_PLUS] = ACTIONS(2859),
    [anon_sym_DASH] = ACTIONS(2859),
    [anon_sym_DOT] = ACTIONS(2859),
    [anon_sym_STAR] = ACTIONS(2859),
    [anon_sym_SLASH] = ACTIONS(2859),
    [anon_sym_x] = ACTIONS(2859),
    [anon_sym_EQ_TILDE] = ACTIONS(2857),
    [anon_sym_BANG_TILDE] = ACTIONS(2857),
    [anon_sym_EQ_EQ] = ACTIONS(2859),
    [anon_sym_BANG_EQ] = ACTIONS(2857),
    [anon_sym_eq] = ACTIONS(2859),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2857),
    [anon_sym_equ] = ACTIONS(2857),
    [anon_sym_eqr] = ACTIONS(2857),
    [anon_sym_ne] = ACTIONS(2857),
    [anon_sym_LT_EQ_GT] = ACTIONS(2857),
    [anon_sym_cmp] = ACTIONS(2857),
    [anon_sym_TILDE_TILDE] = ACTIONS(2857),
    [anon_sym_LT] = ACTIONS(2859),
    [anon_sym_LT_EQ] = ACTIONS(2859),
    [anon_sym_GT_EQ] = ACTIONS(2857),
    [anon_sym_lt] = ACTIONS(2857),
    [anon_sym_le] = ACTIONS(2857),
    [anon_sym_ge] = ACTIONS(2857),
    [anon_sym_gt] = ACTIONS(2857),
    [anon_sym_isa] = ACTIONS(2857),
    [anon_sym_PLUS_PLUS] = ACTIONS(2857),
    [anon_sym_DASH_DASH] = ACTIONS(2857),
    [anon_sym_QMARK] = ACTIONS(2857),
    [anon_sym_EQ_GT] = ACTIONS(2857),
    [anon_sym_for] = ACTIONS(2859),
    [anon_sym_foreach] = ACTIONS(2857),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2857),
    [anon_sym___END__] = ACTIONS(2857),
    [anon_sym_EOT] = ACTIONS(2857),
    [anon_sym_if] = ACTIONS(2857),
    [anon_sym_unless] = ACTIONS(2857),
    [anon_sym_while] = ACTIONS(2857),
    [anon_sym_until] = ACTIONS(2857),
    [sym__PERLY_SEMICOLON] = ACTIONS(2857),
    [sym__ctrl_z_hack] = ACTIONS(2857),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1288] = {
    [sym_heredoc_content] = STATE(1288),
    [anon_sym_RBRACE] = ACTIONS(2861),
    [anon_sym_SEMI] = ACTIONS(2861),
    [anon_sym_EQ] = ACTIONS(2863),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2861),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2861),
    [anon_sym_COMMA] = ACTIONS(2861),
    [anon_sym_RPAREN] = ACTIONS(2861),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2861),
    [anon_sym_and] = ACTIONS(2861),
    [anon_sym_or] = ACTIONS(2861),
    [anon_sym_xor] = ACTIONS(2861),
    [anon_sym_DASH_GT] = ACTIONS(2861),
    [anon_sym_PERCENT] = ACTIONS(2863),
    [anon_sym_GT] = ACTIONS(2863),
    [anon_sym_LT_LT] = ACTIONS(2863),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2861),
    [anon_sym_PLUS_EQ] = ACTIONS(2861),
    [anon_sym_DASH_EQ] = ACTIONS(2861),
    [anon_sym_DOT_EQ] = ACTIONS(2861),
    [anon_sym_STAR_EQ] = ACTIONS(2861),
    [anon_sym_SLASH_EQ] = ACTIONS(2861),
    [anon_sym_PERCENT_EQ] = ACTIONS(2861),
    [anon_sym_x_EQ] = ACTIONS(2861),
    [anon_sym_AMP_EQ] = ACTIONS(2861),
    [anon_sym_PIPE_EQ] = ACTIONS(2861),
    [anon_sym_CARET_EQ] = ACTIONS(2861),
    [anon_sym_LT_LT_EQ] = ACTIONS(2861),
    [anon_sym_GT_GT_EQ] = ACTIONS(2861),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2861),
    [anon_sym_DOT_DOT] = ACTIONS(2863),
    [anon_sym_STAR_STAR] = ACTIONS(2863),
    [anon_sym_PIPE_PIPE] = ACTIONS(2863),
    [anon_sym_SLASH_SLASH] = ACTIONS(2863),
    [anon_sym_CARET_CARET] = ACTIONS(2861),
    [anon_sym_AMP_AMP] = ACTIONS(2863),
    [anon_sym_PIPE] = ACTIONS(2863),
    [anon_sym_CARET] = ACTIONS(2863),
    [anon_sym_AMP] = ACTIONS(2863),
    [anon_sym_GT_GT2] = ACTIONS(2863),
    [anon_sym_PLUS] = ACTIONS(2863),
    [anon_sym_DASH] = ACTIONS(2863),
    [anon_sym_DOT] = ACTIONS(2863),
    [anon_sym_STAR] = ACTIONS(2863),
    [anon_sym_SLASH] = ACTIONS(2863),
    [anon_sym_x] = ACTIONS(2863),
    [anon_sym_EQ_TILDE] = ACTIONS(2861),
    [anon_sym_BANG_TILDE] = ACTIONS(2861),
    [anon_sym_EQ_EQ] = ACTIONS(2863),
    [anon_sym_BANG_EQ] = ACTIONS(2861),
    [anon_sym_eq] = ACTIONS(2863),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2861),
    [anon_sym_equ] = ACTIONS(2861),
    [anon_sym_eqr] = ACTIONS(2861),
    [anon_sym_ne] = ACTIONS(2861),
    [anon_sym_LT_EQ_GT] = ACTIONS(2861),
    [anon_sym_cmp] = ACTIONS(2861),
    [anon_sym_TILDE_TILDE] = ACTIONS(2861),
    [anon_sym_LT] = ACTIONS(2863),
    [anon_sym_LT_EQ] = ACTIONS(2863),
    [anon_sym_GT_EQ] = ACTIONS(2861),
    [anon_sym_lt] = ACTIONS(2861),
    [anon_sym_le] = ACTIONS(2861),
    [anon_sym_ge] = ACTIONS(2861),
    [anon_sym_gt] = ACTIONS(2861),
    [anon_sym_isa] = ACTIONS(2861),
    [anon_sym_PLUS_PLUS] = ACTIONS(2861),
    [anon_sym_DASH_DASH] = ACTIONS(2861),
    [anon_sym_QMARK] = ACTIONS(2861),
    [anon_sym_EQ_GT] = ACTIONS(2861),
    [anon_sym_for] = ACTIONS(2863),
    [anon_sym_foreach] = ACTIONS(2861),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2861),
    [anon_sym___END__] = ACTIONS(2861),
    [anon_sym_EOT] = ACTIONS(2861),
    [anon_sym_if] = ACTIONS(2861),
    [anon_sym_unless] = ACTIONS(2861),
    [anon_sym_while] = ACTIONS(2861),
    [anon_sym_until] = ACTIONS(2861),
    [sym__PERLY_SEMICOLON] = ACTIONS(2861),
    [sym__ctrl_z_hack] = ACTIONS(2861),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1289] = {
    [sym_heredoc_content] = STATE(1289),
    [anon_sym_RBRACE] = ACTIONS(2865),
    [anon_sym_SEMI] = ACTIONS(2865),
    [anon_sym_EQ] = ACTIONS(2867),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2865),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2865),
    [anon_sym_COMMA] = ACTIONS(2865),
    [anon_sym_RPAREN] = ACTIONS(2865),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2865),
    [anon_sym_and] = ACTIONS(2865),
    [anon_sym_or] = ACTIONS(2865),
    [anon_sym_xor] = ACTIONS(2865),
    [anon_sym_DASH_GT] = ACTIONS(2865),
    [anon_sym_PERCENT] = ACTIONS(2867),
    [anon_sym_GT] = ACTIONS(2867),
    [anon_sym_LT_LT] = ACTIONS(2867),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2865),
    [anon_sym_PLUS_EQ] = ACTIONS(2865),
    [anon_sym_DASH_EQ] = ACTIONS(2865),
    [anon_sym_DOT_EQ] = ACTIONS(2865),
    [anon_sym_STAR_EQ] = ACTIONS(2865),
    [anon_sym_SLASH_EQ] = ACTIONS(2865),
    [anon_sym_PERCENT_EQ] = ACTIONS(2865),
    [anon_sym_x_EQ] = ACTIONS(2865),
    [anon_sym_AMP_EQ] = ACTIONS(2865),
    [anon_sym_PIPE_EQ] = ACTIONS(2865),
    [anon_sym_CARET_EQ] = ACTIONS(2865),
    [anon_sym_LT_LT_EQ] = ACTIONS(2865),
    [anon_sym_GT_GT_EQ] = ACTIONS(2865),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2865),
    [anon_sym_DOT_DOT] = ACTIONS(2867),
    [anon_sym_STAR_STAR] = ACTIONS(2867),
    [anon_sym_PIPE_PIPE] = ACTIONS(2867),
    [anon_sym_SLASH_SLASH] = ACTIONS(2867),
    [anon_sym_CARET_CARET] = ACTIONS(2865),
    [anon_sym_AMP_AMP] = ACTIONS(2867),
    [anon_sym_PIPE] = ACTIONS(2867),
    [anon_sym_CARET] = ACTIONS(2867),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_GT_GT2] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_DOT] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2867),
    [anon_sym_SLASH] = ACTIONS(2867),
    [anon_sym_x] = ACTIONS(2867),
    [anon_sym_EQ_TILDE] = ACTIONS(2865),
    [anon_sym_BANG_TILDE] = ACTIONS(2865),
    [anon_sym_EQ_EQ] = ACTIONS(2867),
    [anon_sym_BANG_EQ] = ACTIONS(2865),
    [anon_sym_eq] = ACTIONS(2867),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2865),
    [anon_sym_equ] = ACTIONS(2865),
    [anon_sym_eqr] = ACTIONS(2865),
    [anon_sym_ne] = ACTIONS(2865),
    [anon_sym_LT_EQ_GT] = ACTIONS(2865),
    [anon_sym_cmp] = ACTIONS(2865),
    [anon_sym_TILDE_TILDE] = ACTIONS(2865),
    [anon_sym_LT] = ACTIONS(2867),
    [anon_sym_LT_EQ] = ACTIONS(2867),
    [anon_sym_GT_EQ] = ACTIONS(2865),
    [anon_sym_lt] = ACTIONS(2865),
    [anon_sym_le] = ACTIONS(2865),
    [anon_sym_ge] = ACTIONS(2865),
    [anon_sym_gt] = ACTIONS(2865),
    [anon_sym_isa] = ACTIONS(2865),
    [anon_sym_PLUS_PLUS] = ACTIONS(2865),
    [anon_sym_DASH_DASH] = ACTIONS(2865),
    [anon_sym_QMARK] = ACTIONS(2865),
    [anon_sym_EQ_GT] = ACTIONS(2865),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_foreach] = ACTIONS(2865),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2865),
    [anon_sym___END__] = ACTIONS(2865),
    [anon_sym_EOT] = ACTIONS(2865),
    [anon_sym_if] = ACTIONS(2865),
    [anon_sym_unless] = ACTIONS(2865),
    [anon_sym_while] = ACTIONS(2865),
    [anon_sym_until] = ACTIONS(2865),
    [sym__PERLY_SEMICOLON] = ACTIONS(2865),
    [sym__ctrl_z_hack] = ACTIONS(2865),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1290] = {
    [sym_heredoc_content] = STATE(1290),
    [anon_sym_RBRACE] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym_EQ] = ACTIONS(2871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2869),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2869),
    [anon_sym_COMMA] = ACTIONS(2869),
    [anon_sym_RPAREN] = ACTIONS(2869),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2869),
    [anon_sym_and] = ACTIONS(2869),
    [anon_sym_or] = ACTIONS(2869),
    [anon_sym_xor] = ACTIONS(2869),
    [anon_sym_DASH_GT] = ACTIONS(2869),
    [anon_sym_PERCENT] = ACTIONS(2871),
    [anon_sym_GT] = ACTIONS(2871),
    [anon_sym_LT_LT] = ACTIONS(2871),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2869),
    [anon_sym_PLUS_EQ] = ACTIONS(2869),
    [anon_sym_DASH_EQ] = ACTIONS(2869),
    [anon_sym_DOT_EQ] = ACTIONS(2869),
    [anon_sym_STAR_EQ] = ACTIONS(2869),
    [anon_sym_SLASH_EQ] = ACTIONS(2869),
    [anon_sym_PERCENT_EQ] = ACTIONS(2869),
    [anon_sym_x_EQ] = ACTIONS(2869),
    [anon_sym_AMP_EQ] = ACTIONS(2869),
    [anon_sym_PIPE_EQ] = ACTIONS(2869),
    [anon_sym_CARET_EQ] = ACTIONS(2869),
    [anon_sym_LT_LT_EQ] = ACTIONS(2869),
    [anon_sym_GT_GT_EQ] = ACTIONS(2869),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2869),
    [anon_sym_DOT_DOT] = ACTIONS(2871),
    [anon_sym_STAR_STAR] = ACTIONS(2871),
    [anon_sym_PIPE_PIPE] = ACTIONS(2871),
    [anon_sym_SLASH_SLASH] = ACTIONS(2871),
    [anon_sym_CARET_CARET] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_PIPE] = ACTIONS(2871),
    [anon_sym_CARET] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_GT_GT2] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_DOT] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_SLASH] = ACTIONS(2871),
    [anon_sym_x] = ACTIONS(2871),
    [anon_sym_EQ_TILDE] = ACTIONS(2869),
    [anon_sym_BANG_TILDE] = ACTIONS(2869),
    [anon_sym_EQ_EQ] = ACTIONS(2871),
    [anon_sym_BANG_EQ] = ACTIONS(2869),
    [anon_sym_eq] = ACTIONS(2871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2869),
    [anon_sym_equ] = ACTIONS(2869),
    [anon_sym_eqr] = ACTIONS(2869),
    [anon_sym_ne] = ACTIONS(2869),
    [anon_sym_LT_EQ_GT] = ACTIONS(2869),
    [anon_sym_cmp] = ACTIONS(2869),
    [anon_sym_TILDE_TILDE] = ACTIONS(2869),
    [anon_sym_LT] = ACTIONS(2871),
    [anon_sym_LT_EQ] = ACTIONS(2871),
    [anon_sym_GT_EQ] = ACTIONS(2869),
    [anon_sym_lt] = ACTIONS(2869),
    [anon_sym_le] = ACTIONS(2869),
    [anon_sym_ge] = ACTIONS(2869),
    [anon_sym_gt] = ACTIONS(2869),
    [anon_sym_isa] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_QMARK] = ACTIONS(2869),
    [anon_sym_EQ_GT] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_foreach] = ACTIONS(2869),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2869),
    [anon_sym___END__] = ACTIONS(2869),
    [anon_sym_EOT] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_unless] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_until] = ACTIONS(2869),
    [sym__PERLY_SEMICOLON] = ACTIONS(2869),
    [sym__ctrl_z_hack] = ACTIONS(2869),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1291] = {
    [sym_heredoc_content] = STATE(1291),
    [anon_sym_RBRACE] = ACTIONS(2873),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym_EQ] = ACTIONS(2875),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2873),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2873),
    [anon_sym_COMMA] = ACTIONS(2873),
    [anon_sym_RPAREN] = ACTIONS(2873),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2873),
    [anon_sym_and] = ACTIONS(2873),
    [anon_sym_or] = ACTIONS(2873),
    [anon_sym_xor] = ACTIONS(2873),
    [anon_sym_DASH_GT] = ACTIONS(2591),
    [anon_sym_PERCENT] = ACTIONS(2875),
    [anon_sym_GT] = ACTIONS(2875),
    [anon_sym_LT_LT] = ACTIONS(2875),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2873),
    [anon_sym_PLUS_EQ] = ACTIONS(2873),
    [anon_sym_DASH_EQ] = ACTIONS(2873),
    [anon_sym_DOT_EQ] = ACTIONS(2873),
    [anon_sym_STAR_EQ] = ACTIONS(2873),
    [anon_sym_SLASH_EQ] = ACTIONS(2873),
    [anon_sym_PERCENT_EQ] = ACTIONS(2873),
    [anon_sym_x_EQ] = ACTIONS(2873),
    [anon_sym_AMP_EQ] = ACTIONS(2873),
    [anon_sym_PIPE_EQ] = ACTIONS(2873),
    [anon_sym_CARET_EQ] = ACTIONS(2873),
    [anon_sym_LT_LT_EQ] = ACTIONS(2873),
    [anon_sym_GT_GT_EQ] = ACTIONS(2873),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2873),
    [anon_sym_DOT_DOT] = ACTIONS(2875),
    [anon_sym_STAR_STAR] = ACTIONS(2601),
    [anon_sym_PIPE_PIPE] = ACTIONS(2875),
    [anon_sym_SLASH_SLASH] = ACTIONS(2875),
    [anon_sym_CARET_CARET] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2875),
    [anon_sym_PIPE] = ACTIONS(2875),
    [anon_sym_CARET] = ACTIONS(2875),
    [anon_sym_AMP] = ACTIONS(2875),
    [anon_sym_GT_GT2] = ACTIONS(2875),
    [anon_sym_PLUS] = ACTIONS(2875),
    [anon_sym_DASH] = ACTIONS(2875),
    [anon_sym_DOT] = ACTIONS(2875),
    [anon_sym_STAR] = ACTIONS(2875),
    [anon_sym_SLASH] = ACTIONS(2875),
    [anon_sym_x] = ACTIONS(2875),
    [anon_sym_EQ_TILDE] = ACTIONS(2873),
    [anon_sym_BANG_TILDE] = ACTIONS(2873),
    [anon_sym_EQ_EQ] = ACTIONS(2875),
    [anon_sym_BANG_EQ] = ACTIONS(2873),
    [anon_sym_eq] = ACTIONS(2875),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2873),
    [anon_sym_equ] = ACTIONS(2873),
    [anon_sym_eqr] = ACTIONS(2873),
    [anon_sym_ne] = ACTIONS(2873),
    [anon_sym_LT_EQ_GT] = ACTIONS(2873),
    [anon_sym_cmp] = ACTIONS(2873),
    [anon_sym_TILDE_TILDE] = ACTIONS(2873),
    [anon_sym_LT] = ACTIONS(2875),
    [anon_sym_LT_EQ] = ACTIONS(2875),
    [anon_sym_GT_EQ] = ACTIONS(2873),
    [anon_sym_lt] = ACTIONS(2873),
    [anon_sym_le] = ACTIONS(2873),
    [anon_sym_ge] = ACTIONS(2873),
    [anon_sym_gt] = ACTIONS(2873),
    [anon_sym_isa] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2627),
    [anon_sym_DASH_DASH] = ACTIONS(2627),
    [anon_sym_QMARK] = ACTIONS(2873),
    [anon_sym_EQ_GT] = ACTIONS(2873),
    [anon_sym_for] = ACTIONS(2875),
    [anon_sym_foreach] = ACTIONS(2873),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2873),
    [anon_sym___END__] = ACTIONS(2873),
    [anon_sym_EOT] = ACTIONS(2873),
    [anon_sym_if] = ACTIONS(2873),
    [anon_sym_unless] = ACTIONS(2873),
    [anon_sym_while] = ACTIONS(2873),
    [anon_sym_until] = ACTIONS(2873),
    [sym__PERLY_SEMICOLON] = ACTIONS(2873),
    [sym__ctrl_z_hack] = ACTIONS(2873),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1292] = {
    [sym_heredoc_content] = STATE(1292),
    [anon_sym_RBRACE] = ACTIONS(2877),
    [anon_sym_SEMI] = ACTIONS(2877),
    [anon_sym_EQ] = ACTIONS(2880),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2877),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2877),
    [anon_sym_COMMA] = ACTIONS(2877),
    [anon_sym_RPAREN] = ACTIONS(2877),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2877),
    [anon_sym_and] = ACTIONS(2877),
    [anon_sym_or] = ACTIONS(2877),
    [anon_sym_xor] = ACTIONS(2877),
    [anon_sym_DASH_GT] = ACTIONS(2877),
    [anon_sym_PERCENT] = ACTIONS(2880),
    [anon_sym_GT] = ACTIONS(2880),
    [anon_sym_LT_LT] = ACTIONS(2880),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2877),
    [anon_sym_PLUS_EQ] = ACTIONS(2877),
    [anon_sym_DASH_EQ] = ACTIONS(2877),
    [anon_sym_DOT_EQ] = ACTIONS(2877),
    [anon_sym_STAR_EQ] = ACTIONS(2877),
    [anon_sym_SLASH_EQ] = ACTIONS(2877),
    [anon_sym_PERCENT_EQ] = ACTIONS(2877),
    [anon_sym_x_EQ] = ACTIONS(2877),
    [anon_sym_AMP_EQ] = ACTIONS(2877),
    [anon_sym_PIPE_EQ] = ACTIONS(2877),
    [anon_sym_CARET_EQ] = ACTIONS(2877),
    [anon_sym_LT_LT_EQ] = ACTIONS(2877),
    [anon_sym_GT_GT_EQ] = ACTIONS(2877),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2877),
    [anon_sym_DOT_DOT] = ACTIONS(2880),
    [anon_sym_STAR_STAR] = ACTIONS(2880),
    [anon_sym_PIPE_PIPE] = ACTIONS(2880),
    [anon_sym_SLASH_SLASH] = ACTIONS(2880),
    [anon_sym_CARET_CARET] = ACTIONS(2877),
    [anon_sym_AMP_AMP] = ACTIONS(2880),
    [anon_sym_PIPE] = ACTIONS(2880),
    [anon_sym_CARET] = ACTIONS(2880),
    [anon_sym_AMP] = ACTIONS(2880),
    [anon_sym_GT_GT2] = ACTIONS(2880),
    [anon_sym_PLUS] = ACTIONS(2880),
    [anon_sym_DASH] = ACTIONS(2880),
    [anon_sym_DOT] = ACTIONS(2880),
    [anon_sym_STAR] = ACTIONS(2880),
    [anon_sym_SLASH] = ACTIONS(2880),
    [anon_sym_x] = ACTIONS(2880),
    [anon_sym_EQ_TILDE] = ACTIONS(2877),
    [anon_sym_BANG_TILDE] = ACTIONS(2877),
    [anon_sym_EQ_EQ] = ACTIONS(2880),
    [anon_sym_BANG_EQ] = ACTIONS(2877),
    [anon_sym_eq] = ACTIONS(2880),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2877),
    [anon_sym_equ] = ACTIONS(2877),
    [anon_sym_eqr] = ACTIONS(2877),
    [anon_sym_ne] = ACTIONS(2877),
    [anon_sym_LT_EQ_GT] = ACTIONS(2877),
    [anon_sym_cmp] = ACTIONS(2877),
    [anon_sym_TILDE_TILDE] = ACTIONS(2877),
    [anon_sym_LT] = ACTIONS(2880),
    [anon_sym_LT_EQ] = ACTIONS(2880),
    [anon_sym_GT_EQ] = ACTIONS(2877),
    [anon_sym_lt] = ACTIONS(2877),
    [anon_sym_le] = ACTIONS(2877),
    [anon_sym_ge] = ACTIONS(2877),
    [anon_sym_gt] = ACTIONS(2877),
    [anon_sym_isa] = ACTIONS(2877),
    [anon_sym_PLUS_PLUS] = ACTIONS(2877),
    [anon_sym_DASH_DASH] = ACTIONS(2877),
    [anon_sym_QMARK] = ACTIONS(2877),
    [anon_sym_EQ_GT] = ACTIONS(2877),
    [anon_sym_for] = ACTIONS(2880),
    [anon_sym_foreach] = ACTIONS(2877),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2877),
    [anon_sym___END__] = ACTIONS(2877),
    [anon_sym_EOT] = ACTIONS(2877),
    [anon_sym_if] = ACTIONS(2877),
    [anon_sym_unless] = ACTIONS(2877),
    [anon_sym_while] = ACTIONS(2877),
    [anon_sym_until] = ACTIONS(2877),
    [sym__PERLY_SEMICOLON] = ACTIONS(2877),
    [sym__ctrl_z_hack] = ACTIONS(2877),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1293] = {
    [sym_heredoc_content] = STATE(1293),
    [anon_sym_RBRACE] = ACTIONS(2883),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym_EQ] = ACTIONS(2885),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2883),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2883),
    [anon_sym_COMMA] = ACTIONS(2883),
    [anon_sym_RPAREN] = ACTIONS(2883),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2883),
    [anon_sym_and] = ACTIONS(2883),
    [anon_sym_or] = ACTIONS(2883),
    [anon_sym_xor] = ACTIONS(2883),
    [anon_sym_DASH_GT] = ACTIONS(2883),
    [anon_sym_PERCENT] = ACTIONS(2885),
    [anon_sym_GT] = ACTIONS(2885),
    [anon_sym_LT_LT] = ACTIONS(2885),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2883),
    [anon_sym_PLUS_EQ] = ACTIONS(2883),
    [anon_sym_DASH_EQ] = ACTIONS(2883),
    [anon_sym_DOT_EQ] = ACTIONS(2883),
    [anon_sym_STAR_EQ] = ACTIONS(2883),
    [anon_sym_SLASH_EQ] = ACTIONS(2883),
    [anon_sym_PERCENT_EQ] = ACTIONS(2883),
    [anon_sym_x_EQ] = ACTIONS(2883),
    [anon_sym_AMP_EQ] = ACTIONS(2883),
    [anon_sym_PIPE_EQ] = ACTIONS(2883),
    [anon_sym_CARET_EQ] = ACTIONS(2883),
    [anon_sym_LT_LT_EQ] = ACTIONS(2883),
    [anon_sym_GT_GT_EQ] = ACTIONS(2883),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2883),
    [anon_sym_DOT_DOT] = ACTIONS(2885),
    [anon_sym_STAR_STAR] = ACTIONS(2885),
    [anon_sym_PIPE_PIPE] = ACTIONS(2885),
    [anon_sym_SLASH_SLASH] = ACTIONS(2885),
    [anon_sym_CARET_CARET] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2885),
    [anon_sym_PIPE] = ACTIONS(2885),
    [anon_sym_CARET] = ACTIONS(2885),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_GT_GT2] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_DOT] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2885),
    [anon_sym_SLASH] = ACTIONS(2885),
    [anon_sym_x] = ACTIONS(2885),
    [anon_sym_EQ_TILDE] = ACTIONS(2883),
    [anon_sym_BANG_TILDE] = ACTIONS(2883),
    [anon_sym_EQ_EQ] = ACTIONS(2885),
    [anon_sym_BANG_EQ] = ACTIONS(2883),
    [anon_sym_eq] = ACTIONS(2885),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2883),
    [anon_sym_equ] = ACTIONS(2883),
    [anon_sym_eqr] = ACTIONS(2883),
    [anon_sym_ne] = ACTIONS(2883),
    [anon_sym_LT_EQ_GT] = ACTIONS(2883),
    [anon_sym_cmp] = ACTIONS(2883),
    [anon_sym_TILDE_TILDE] = ACTIONS(2883),
    [anon_sym_LT] = ACTIONS(2885),
    [anon_sym_LT_EQ] = ACTIONS(2885),
    [anon_sym_GT_EQ] = ACTIONS(2883),
    [anon_sym_lt] = ACTIONS(2883),
    [anon_sym_le] = ACTIONS(2883),
    [anon_sym_ge] = ACTIONS(2883),
    [anon_sym_gt] = ACTIONS(2883),
    [anon_sym_isa] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_QMARK] = ACTIONS(2883),
    [anon_sym_EQ_GT] = ACTIONS(2883),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_foreach] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2883),
    [anon_sym___END__] = ACTIONS(2883),
    [anon_sym_EOT] = ACTIONS(2883),
    [anon_sym_if] = ACTIONS(2883),
    [anon_sym_unless] = ACTIONS(2883),
    [anon_sym_while] = ACTIONS(2883),
    [anon_sym_until] = ACTIONS(2883),
    [sym__PERLY_SEMICOLON] = ACTIONS(2883),
    [sym__ctrl_z_hack] = ACTIONS(2883),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1294] = {
    [sym_heredoc_content] = STATE(1294),
    [anon_sym_RBRACE] = ACTIONS(2887),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym_EQ] = ACTIONS(1968),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2887),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2887),
    [anon_sym_COMMA] = ACTIONS(2887),
    [anon_sym_RPAREN] = ACTIONS(2887),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2887),
    [anon_sym_and] = ACTIONS(2887),
    [anon_sym_or] = ACTIONS(2887),
    [anon_sym_xor] = ACTIONS(2887),
    [anon_sym_DASH_GT] = ACTIONS(2887),
    [anon_sym_PERCENT] = ACTIONS(1968),
    [anon_sym_GT] = ACTIONS(1968),
    [anon_sym_LT_LT] = ACTIONS(1968),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2887),
    [anon_sym_PLUS_EQ] = ACTIONS(2887),
    [anon_sym_DASH_EQ] = ACTIONS(2887),
    [anon_sym_DOT_EQ] = ACTIONS(2887),
    [anon_sym_STAR_EQ] = ACTIONS(2887),
    [anon_sym_SLASH_EQ] = ACTIONS(2887),
    [anon_sym_PERCENT_EQ] = ACTIONS(2887),
    [anon_sym_x_EQ] = ACTIONS(2887),
    [anon_sym_AMP_EQ] = ACTIONS(2887),
    [anon_sym_PIPE_EQ] = ACTIONS(2887),
    [anon_sym_CARET_EQ] = ACTIONS(2887),
    [anon_sym_LT_LT_EQ] = ACTIONS(2887),
    [anon_sym_GT_GT_EQ] = ACTIONS(2887),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2887),
    [anon_sym_DOT_DOT] = ACTIONS(1968),
    [anon_sym_STAR_STAR] = ACTIONS(1968),
    [anon_sym_PIPE_PIPE] = ACTIONS(1968),
    [anon_sym_SLASH_SLASH] = ACTIONS(1968),
    [anon_sym_CARET_CARET] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(1968),
    [anon_sym_PIPE] = ACTIONS(1968),
    [anon_sym_CARET] = ACTIONS(1968),
    [anon_sym_AMP] = ACTIONS(1968),
    [anon_sym_GT_GT2] = ACTIONS(1968),
    [anon_sym_PLUS] = ACTIONS(1968),
    [anon_sym_DASH] = ACTIONS(1968),
    [anon_sym_DOT] = ACTIONS(1968),
    [anon_sym_STAR] = ACTIONS(1968),
    [anon_sym_SLASH] = ACTIONS(1968),
    [anon_sym_x] = ACTIONS(1968),
    [anon_sym_EQ_TILDE] = ACTIONS(2887),
    [anon_sym_BANG_TILDE] = ACTIONS(2887),
    [anon_sym_EQ_EQ] = ACTIONS(1968),
    [anon_sym_BANG_EQ] = ACTIONS(2887),
    [anon_sym_eq] = ACTIONS(1968),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2887),
    [anon_sym_equ] = ACTIONS(2887),
    [anon_sym_eqr] = ACTIONS(2887),
    [anon_sym_ne] = ACTIONS(2887),
    [anon_sym_LT_EQ_GT] = ACTIONS(2887),
    [anon_sym_cmp] = ACTIONS(2887),
    [anon_sym_TILDE_TILDE] = ACTIONS(2887),
    [anon_sym_LT] = ACTIONS(1968),
    [anon_sym_LT_EQ] = ACTIONS(1968),
    [anon_sym_GT_EQ] = ACTIONS(2887),
    [anon_sym_lt] = ACTIONS(2887),
    [anon_sym_le] = ACTIONS(2887),
    [anon_sym_ge] = ACTIONS(2887),
    [anon_sym_gt] = ACTIONS(2887),
    [anon_sym_isa] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_QMARK] = ACTIONS(2887),
    [anon_sym_EQ_GT] = ACTIONS(2887),
    [anon_sym_for] = ACTIONS(1968),
    [anon_sym_foreach] = ACTIONS(2887),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2887),
    [anon_sym___END__] = ACTIONS(2887),
    [anon_sym_EOT] = ACTIONS(2887),
    [anon_sym_if] = ACTIONS(2887),
    [anon_sym_unless] = ACTIONS(2887),
    [anon_sym_while] = ACTIONS(2887),
    [anon_sym_until] = ACTIONS(2887),
    [sym__PERLY_SEMICOLON] = ACTIONS(2887),
    [sym__ctrl_z_hack] = ACTIONS(2887),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1295] = {
    [sym_heredoc_content] = STATE(1295),
    [anon_sym_RBRACE] = ACTIONS(2889),
    [anon_sym_SEMI] = ACTIONS(2889),
    [anon_sym_EQ] = ACTIONS(2891),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2889),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2889),
    [anon_sym_COMMA] = ACTIONS(2889),
    [anon_sym_RPAREN] = ACTIONS(2889),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2889),
    [anon_sym_and] = ACTIONS(2889),
    [anon_sym_or] = ACTIONS(2889),
    [anon_sym_xor] = ACTIONS(2889),
    [anon_sym_DASH_GT] = ACTIONS(2889),
    [anon_sym_PERCENT] = ACTIONS(2891),
    [anon_sym_GT] = ACTIONS(2891),
    [anon_sym_LT_LT] = ACTIONS(2891),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2889),
    [anon_sym_PLUS_EQ] = ACTIONS(2889),
    [anon_sym_DASH_EQ] = ACTIONS(2889),
    [anon_sym_DOT_EQ] = ACTIONS(2889),
    [anon_sym_STAR_EQ] = ACTIONS(2889),
    [anon_sym_SLASH_EQ] = ACTIONS(2889),
    [anon_sym_PERCENT_EQ] = ACTIONS(2889),
    [anon_sym_x_EQ] = ACTIONS(2889),
    [anon_sym_AMP_EQ] = ACTIONS(2889),
    [anon_sym_PIPE_EQ] = ACTIONS(2889),
    [anon_sym_CARET_EQ] = ACTIONS(2889),
    [anon_sym_LT_LT_EQ] = ACTIONS(2889),
    [anon_sym_GT_GT_EQ] = ACTIONS(2889),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2889),
    [anon_sym_DOT_DOT] = ACTIONS(2891),
    [anon_sym_STAR_STAR] = ACTIONS(2891),
    [anon_sym_PIPE_PIPE] = ACTIONS(2891),
    [anon_sym_SLASH_SLASH] = ACTIONS(2891),
    [anon_sym_CARET_CARET] = ACTIONS(2889),
    [anon_sym_AMP_AMP] = ACTIONS(2891),
    [anon_sym_PIPE] = ACTIONS(2891),
    [anon_sym_CARET] = ACTIONS(2891),
    [anon_sym_AMP] = ACTIONS(2891),
    [anon_sym_GT_GT2] = ACTIONS(2891),
    [anon_sym_PLUS] = ACTIONS(2891),
    [anon_sym_DASH] = ACTIONS(2891),
    [anon_sym_DOT] = ACTIONS(2891),
    [anon_sym_STAR] = ACTIONS(2891),
    [anon_sym_SLASH] = ACTIONS(2891),
    [anon_sym_x] = ACTIONS(2891),
    [anon_sym_EQ_TILDE] = ACTIONS(2889),
    [anon_sym_BANG_TILDE] = ACTIONS(2889),
    [anon_sym_EQ_EQ] = ACTIONS(2891),
    [anon_sym_BANG_EQ] = ACTIONS(2889),
    [anon_sym_eq] = ACTIONS(2891),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2889),
    [anon_sym_equ] = ACTIONS(2889),
    [anon_sym_eqr] = ACTIONS(2889),
    [anon_sym_ne] = ACTIONS(2889),
    [anon_sym_LT_EQ_GT] = ACTIONS(2889),
    [anon_sym_cmp] = ACTIONS(2889),
    [anon_sym_TILDE_TILDE] = ACTIONS(2889),
    [anon_sym_LT] = ACTIONS(2891),
    [anon_sym_LT_EQ] = ACTIONS(2891),
    [anon_sym_GT_EQ] = ACTIONS(2889),
    [anon_sym_lt] = ACTIONS(2889),
    [anon_sym_le] = ACTIONS(2889),
    [anon_sym_ge] = ACTIONS(2889),
    [anon_sym_gt] = ACTIONS(2889),
    [anon_sym_isa] = ACTIONS(2889),
    [anon_sym_PLUS_PLUS] = ACTIONS(2889),
    [anon_sym_DASH_DASH] = ACTIONS(2889),
    [anon_sym_QMARK] = ACTIONS(2889),
    [anon_sym_EQ_GT] = ACTIONS(2889),
    [anon_sym_for] = ACTIONS(2891),
    [anon_sym_foreach] = ACTIONS(2889),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2889),
    [anon_sym___END__] = ACTIONS(2889),
    [anon_sym_EOT] = ACTIONS(2889),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_unless] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(2889),
    [anon_sym_until] = ACTIONS(2889),
    [sym__PERLY_SEMICOLON] = ACTIONS(2889),
    [sym__ctrl_z_hack] = ACTIONS(2889),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1296] = {
    [sym_heredoc_content] = STATE(1296),
    [anon_sym_RBRACE] = ACTIONS(2893),
    [anon_sym_SEMI] = ACTIONS(2893),
    [anon_sym_EQ] = ACTIONS(2895),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2893),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2893),
    [anon_sym_COMMA] = ACTIONS(2893),
    [anon_sym_RPAREN] = ACTIONS(2893),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2893),
    [anon_sym_and] = ACTIONS(2893),
    [anon_sym_or] = ACTIONS(2893),
    [anon_sym_xor] = ACTIONS(2893),
    [anon_sym_DASH_GT] = ACTIONS(2893),
    [anon_sym_PERCENT] = ACTIONS(2895),
    [anon_sym_GT] = ACTIONS(2895),
    [anon_sym_LT_LT] = ACTIONS(2895),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2893),
    [anon_sym_PLUS_EQ] = ACTIONS(2893),
    [anon_sym_DASH_EQ] = ACTIONS(2893),
    [anon_sym_DOT_EQ] = ACTIONS(2893),
    [anon_sym_STAR_EQ] = ACTIONS(2893),
    [anon_sym_SLASH_EQ] = ACTIONS(2893),
    [anon_sym_PERCENT_EQ] = ACTIONS(2893),
    [anon_sym_x_EQ] = ACTIONS(2893),
    [anon_sym_AMP_EQ] = ACTIONS(2893),
    [anon_sym_PIPE_EQ] = ACTIONS(2893),
    [anon_sym_CARET_EQ] = ACTIONS(2893),
    [anon_sym_LT_LT_EQ] = ACTIONS(2893),
    [anon_sym_GT_GT_EQ] = ACTIONS(2893),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2893),
    [anon_sym_DOT_DOT] = ACTIONS(2895),
    [anon_sym_STAR_STAR] = ACTIONS(2895),
    [anon_sym_PIPE_PIPE] = ACTIONS(2895),
    [anon_sym_SLASH_SLASH] = ACTIONS(2895),
    [anon_sym_CARET_CARET] = ACTIONS(2893),
    [anon_sym_AMP_AMP] = ACTIONS(2895),
    [anon_sym_PIPE] = ACTIONS(2895),
    [anon_sym_CARET] = ACTIONS(2895),
    [anon_sym_AMP] = ACTIONS(2895),
    [anon_sym_GT_GT2] = ACTIONS(2895),
    [anon_sym_PLUS] = ACTIONS(2895),
    [anon_sym_DASH] = ACTIONS(2895),
    [anon_sym_DOT] = ACTIONS(2895),
    [anon_sym_STAR] = ACTIONS(2895),
    [anon_sym_SLASH] = ACTIONS(2895),
    [anon_sym_x] = ACTIONS(2895),
    [anon_sym_EQ_TILDE] = ACTIONS(2893),
    [anon_sym_BANG_TILDE] = ACTIONS(2893),
    [anon_sym_EQ_EQ] = ACTIONS(2895),
    [anon_sym_BANG_EQ] = ACTIONS(2893),
    [anon_sym_eq] = ACTIONS(2895),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2893),
    [anon_sym_equ] = ACTIONS(2893),
    [anon_sym_eqr] = ACTIONS(2893),
    [anon_sym_ne] = ACTIONS(2893),
    [anon_sym_LT_EQ_GT] = ACTIONS(2893),
    [anon_sym_cmp] = ACTIONS(2893),
    [anon_sym_TILDE_TILDE] = ACTIONS(2893),
    [anon_sym_LT] = ACTIONS(2895),
    [anon_sym_LT_EQ] = ACTIONS(2895),
    [anon_sym_GT_EQ] = ACTIONS(2893),
    [anon_sym_lt] = ACTIONS(2893),
    [anon_sym_le] = ACTIONS(2893),
    [anon_sym_ge] = ACTIONS(2893),
    [anon_sym_gt] = ACTIONS(2893),
    [anon_sym_isa] = ACTIONS(2893),
    [anon_sym_PLUS_PLUS] = ACTIONS(2893),
    [anon_sym_DASH_DASH] = ACTIONS(2893),
    [anon_sym_QMARK] = ACTIONS(2893),
    [anon_sym_EQ_GT] = ACTIONS(2893),
    [anon_sym_for] = ACTIONS(2895),
    [anon_sym_foreach] = ACTIONS(2893),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2893),
    [anon_sym___END__] = ACTIONS(2893),
    [anon_sym_EOT] = ACTIONS(2893),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_unless] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(2893),
    [anon_sym_until] = ACTIONS(2893),
    [sym__PERLY_SEMICOLON] = ACTIONS(2893),
    [sym__ctrl_z_hack] = ACTIONS(2893),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1297] = {
    [sym_heredoc_content] = STATE(1297),
    [anon_sym_RBRACE] = ACTIONS(2897),
    [anon_sym_SEMI] = ACTIONS(2897),
    [anon_sym_EQ] = ACTIONS(2899),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2897),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2897),
    [anon_sym_COMMA] = ACTIONS(2897),
    [anon_sym_RPAREN] = ACTIONS(2897),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2897),
    [anon_sym_and] = ACTIONS(2897),
    [anon_sym_or] = ACTIONS(2897),
    [anon_sym_xor] = ACTIONS(2897),
    [anon_sym_DASH_GT] = ACTIONS(2897),
    [anon_sym_PERCENT] = ACTIONS(2899),
    [anon_sym_GT] = ACTIONS(2899),
    [anon_sym_LT_LT] = ACTIONS(2899),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2897),
    [anon_sym_PLUS_EQ] = ACTIONS(2897),
    [anon_sym_DASH_EQ] = ACTIONS(2897),
    [anon_sym_DOT_EQ] = ACTIONS(2897),
    [anon_sym_STAR_EQ] = ACTIONS(2897),
    [anon_sym_SLASH_EQ] = ACTIONS(2897),
    [anon_sym_PERCENT_EQ] = ACTIONS(2897),
    [anon_sym_x_EQ] = ACTIONS(2897),
    [anon_sym_AMP_EQ] = ACTIONS(2897),
    [anon_sym_PIPE_EQ] = ACTIONS(2897),
    [anon_sym_CARET_EQ] = ACTIONS(2897),
    [anon_sym_LT_LT_EQ] = ACTIONS(2897),
    [anon_sym_GT_GT_EQ] = ACTIONS(2897),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2897),
    [anon_sym_DOT_DOT] = ACTIONS(2899),
    [anon_sym_STAR_STAR] = ACTIONS(2899),
    [anon_sym_PIPE_PIPE] = ACTIONS(2899),
    [anon_sym_SLASH_SLASH] = ACTIONS(2899),
    [anon_sym_CARET_CARET] = ACTIONS(2897),
    [anon_sym_AMP_AMP] = ACTIONS(2899),
    [anon_sym_PIPE] = ACTIONS(2899),
    [anon_sym_CARET] = ACTIONS(2899),
    [anon_sym_AMP] = ACTIONS(2899),
    [anon_sym_GT_GT2] = ACTIONS(2899),
    [anon_sym_PLUS] = ACTIONS(2899),
    [anon_sym_DASH] = ACTIONS(2899),
    [anon_sym_DOT] = ACTIONS(2899),
    [anon_sym_STAR] = ACTIONS(2899),
    [anon_sym_SLASH] = ACTIONS(2899),
    [anon_sym_x] = ACTIONS(2899),
    [anon_sym_EQ_TILDE] = ACTIONS(2897),
    [anon_sym_BANG_TILDE] = ACTIONS(2897),
    [anon_sym_EQ_EQ] = ACTIONS(2899),
    [anon_sym_BANG_EQ] = ACTIONS(2897),
    [anon_sym_eq] = ACTIONS(2899),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2897),
    [anon_sym_equ] = ACTIONS(2897),
    [anon_sym_eqr] = ACTIONS(2897),
    [anon_sym_ne] = ACTIONS(2897),
    [anon_sym_LT_EQ_GT] = ACTIONS(2897),
    [anon_sym_cmp] = ACTIONS(2897),
    [anon_sym_TILDE_TILDE] = ACTIONS(2897),
    [anon_sym_LT] = ACTIONS(2899),
    [anon_sym_LT_EQ] = ACTIONS(2899),
    [anon_sym_GT_EQ] = ACTIONS(2897),
    [anon_sym_lt] = ACTIONS(2897),
    [anon_sym_le] = ACTIONS(2897),
    [anon_sym_ge] = ACTIONS(2897),
    [anon_sym_gt] = ACTIONS(2897),
    [anon_sym_isa] = ACTIONS(2897),
    [anon_sym_PLUS_PLUS] = ACTIONS(2897),
    [anon_sym_DASH_DASH] = ACTIONS(2897),
    [anon_sym_QMARK] = ACTIONS(2897),
    [anon_sym_EQ_GT] = ACTIONS(2897),
    [anon_sym_for] = ACTIONS(2899),
    [anon_sym_foreach] = ACTIONS(2897),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2897),
    [anon_sym___END__] = ACTIONS(2897),
    [anon_sym_EOT] = ACTIONS(2897),
    [anon_sym_if] = ACTIONS(2897),
    [anon_sym_unless] = ACTIONS(2897),
    [anon_sym_while] = ACTIONS(2897),
    [anon_sym_until] = ACTIONS(2897),
    [sym__PERLY_SEMICOLON] = ACTIONS(2897),
    [sym__ctrl_z_hack] = ACTIONS(2897),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1298] = {
    [sym_heredoc_content] = STATE(1298),
    [anon_sym_RBRACE] = ACTIONS(2897),
    [anon_sym_SEMI] = ACTIONS(2897),
    [anon_sym_EQ] = ACTIONS(2899),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2897),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2897),
    [anon_sym_COMMA] = ACTIONS(2901),
    [anon_sym_RPAREN] = ACTIONS(2897),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2897),
    [anon_sym_and] = ACTIONS(2897),
    [anon_sym_or] = ACTIONS(2897),
    [anon_sym_xor] = ACTIONS(2897),
    [anon_sym_DASH_GT] = ACTIONS(2897),
    [anon_sym_PERCENT] = ACTIONS(2899),
    [anon_sym_GT] = ACTIONS(2899),
    [anon_sym_LT_LT] = ACTIONS(2899),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2897),
    [anon_sym_PLUS_EQ] = ACTIONS(2897),
    [anon_sym_DASH_EQ] = ACTIONS(2897),
    [anon_sym_DOT_EQ] = ACTIONS(2897),
    [anon_sym_STAR_EQ] = ACTIONS(2897),
    [anon_sym_SLASH_EQ] = ACTIONS(2897),
    [anon_sym_PERCENT_EQ] = ACTIONS(2897),
    [anon_sym_x_EQ] = ACTIONS(2897),
    [anon_sym_AMP_EQ] = ACTIONS(2897),
    [anon_sym_PIPE_EQ] = ACTIONS(2897),
    [anon_sym_CARET_EQ] = ACTIONS(2897),
    [anon_sym_LT_LT_EQ] = ACTIONS(2897),
    [anon_sym_GT_GT_EQ] = ACTIONS(2897),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2897),
    [anon_sym_DOT_DOT] = ACTIONS(2899),
    [anon_sym_STAR_STAR] = ACTIONS(2899),
    [anon_sym_PIPE_PIPE] = ACTIONS(2899),
    [anon_sym_SLASH_SLASH] = ACTIONS(2899),
    [anon_sym_CARET_CARET] = ACTIONS(2897),
    [anon_sym_AMP_AMP] = ACTIONS(2899),
    [anon_sym_PIPE] = ACTIONS(2899),
    [anon_sym_CARET] = ACTIONS(2899),
    [anon_sym_AMP] = ACTIONS(2899),
    [anon_sym_GT_GT2] = ACTIONS(2899),
    [anon_sym_PLUS] = ACTIONS(2899),
    [anon_sym_DASH] = ACTIONS(2899),
    [anon_sym_DOT] = ACTIONS(2899),
    [anon_sym_STAR] = ACTIONS(2899),
    [anon_sym_SLASH] = ACTIONS(2899),
    [anon_sym_x] = ACTIONS(2899),
    [anon_sym_EQ_TILDE] = ACTIONS(2897),
    [anon_sym_BANG_TILDE] = ACTIONS(2897),
    [anon_sym_EQ_EQ] = ACTIONS(2899),
    [anon_sym_BANG_EQ] = ACTIONS(2897),
    [anon_sym_eq] = ACTIONS(2899),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2897),
    [anon_sym_equ] = ACTIONS(2897),
    [anon_sym_eqr] = ACTIONS(2897),
    [anon_sym_ne] = ACTIONS(2897),
    [anon_sym_LT_EQ_GT] = ACTIONS(2897),
    [anon_sym_cmp] = ACTIONS(2897),
    [anon_sym_TILDE_TILDE] = ACTIONS(2897),
    [anon_sym_LT] = ACTIONS(2899),
    [anon_sym_LT_EQ] = ACTIONS(2899),
    [anon_sym_GT_EQ] = ACTIONS(2897),
    [anon_sym_lt] = ACTIONS(2897),
    [anon_sym_le] = ACTIONS(2897),
    [anon_sym_ge] = ACTIONS(2897),
    [anon_sym_gt] = ACTIONS(2897),
    [anon_sym_isa] = ACTIONS(2897),
    [anon_sym_PLUS_PLUS] = ACTIONS(2897),
    [anon_sym_DASH_DASH] = ACTIONS(2897),
    [anon_sym_QMARK] = ACTIONS(2897),
    [anon_sym_EQ_GT] = ACTIONS(2901),
    [anon_sym_for] = ACTIONS(2899),
    [anon_sym_foreach] = ACTIONS(2897),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2897),
    [anon_sym___END__] = ACTIONS(2897),
    [anon_sym_EOT] = ACTIONS(2897),
    [anon_sym_if] = ACTIONS(2897),
    [anon_sym_unless] = ACTIONS(2897),
    [anon_sym_while] = ACTIONS(2897),
    [anon_sym_until] = ACTIONS(2897),
    [sym__PERLY_SEMICOLON] = ACTIONS(2897),
    [sym__ctrl_z_hack] = ACTIONS(2897),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1299] = {
    [sym_heredoc_content] = STATE(1299),
    [anon_sym_RBRACE] = ACTIONS(2903),
    [anon_sym_SEMI] = ACTIONS(2903),
    [anon_sym_EQ] = ACTIONS(2905),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2903),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2903),
    [anon_sym_COMMA] = ACTIONS(2903),
    [anon_sym_RPAREN] = ACTIONS(2903),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2903),
    [anon_sym_and] = ACTIONS(2903),
    [anon_sym_or] = ACTIONS(2903),
    [anon_sym_xor] = ACTIONS(2903),
    [anon_sym_DASH_GT] = ACTIONS(2903),
    [anon_sym_PERCENT] = ACTIONS(2905),
    [anon_sym_GT] = ACTIONS(2905),
    [anon_sym_LT_LT] = ACTIONS(2905),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2903),
    [anon_sym_PLUS_EQ] = ACTIONS(2903),
    [anon_sym_DASH_EQ] = ACTIONS(2903),
    [anon_sym_DOT_EQ] = ACTIONS(2903),
    [anon_sym_STAR_EQ] = ACTIONS(2903),
    [anon_sym_SLASH_EQ] = ACTIONS(2903),
    [anon_sym_PERCENT_EQ] = ACTIONS(2903),
    [anon_sym_x_EQ] = ACTIONS(2903),
    [anon_sym_AMP_EQ] = ACTIONS(2903),
    [anon_sym_PIPE_EQ] = ACTIONS(2903),
    [anon_sym_CARET_EQ] = ACTIONS(2903),
    [anon_sym_LT_LT_EQ] = ACTIONS(2903),
    [anon_sym_GT_GT_EQ] = ACTIONS(2903),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2903),
    [anon_sym_DOT_DOT] = ACTIONS(2905),
    [anon_sym_STAR_STAR] = ACTIONS(2905),
    [anon_sym_PIPE_PIPE] = ACTIONS(2905),
    [anon_sym_SLASH_SLASH] = ACTIONS(2905),
    [anon_sym_CARET_CARET] = ACTIONS(2903),
    [anon_sym_AMP_AMP] = ACTIONS(2905),
    [anon_sym_PIPE] = ACTIONS(2905),
    [anon_sym_CARET] = ACTIONS(2905),
    [anon_sym_AMP] = ACTIONS(2905),
    [anon_sym_GT_GT2] = ACTIONS(2905),
    [anon_sym_PLUS] = ACTIONS(2905),
    [anon_sym_DASH] = ACTIONS(2905),
    [anon_sym_DOT] = ACTIONS(2905),
    [anon_sym_STAR] = ACTIONS(2905),
    [anon_sym_SLASH] = ACTIONS(2905),
    [anon_sym_x] = ACTIONS(2905),
    [anon_sym_EQ_TILDE] = ACTIONS(2903),
    [anon_sym_BANG_TILDE] = ACTIONS(2903),
    [anon_sym_EQ_EQ] = ACTIONS(2905),
    [anon_sym_BANG_EQ] = ACTIONS(2903),
    [anon_sym_eq] = ACTIONS(2905),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2903),
    [anon_sym_equ] = ACTIONS(2903),
    [anon_sym_eqr] = ACTIONS(2903),
    [anon_sym_ne] = ACTIONS(2903),
    [anon_sym_LT_EQ_GT] = ACTIONS(2903),
    [anon_sym_cmp] = ACTIONS(2903),
    [anon_sym_TILDE_TILDE] = ACTIONS(2903),
    [anon_sym_LT] = ACTIONS(2905),
    [anon_sym_LT_EQ] = ACTIONS(2905),
    [anon_sym_GT_EQ] = ACTIONS(2903),
    [anon_sym_lt] = ACTIONS(2903),
    [anon_sym_le] = ACTIONS(2903),
    [anon_sym_ge] = ACTIONS(2903),
    [anon_sym_gt] = ACTIONS(2903),
    [anon_sym_isa] = ACTIONS(2903),
    [anon_sym_PLUS_PLUS] = ACTIONS(2903),
    [anon_sym_DASH_DASH] = ACTIONS(2903),
    [anon_sym_QMARK] = ACTIONS(2903),
    [anon_sym_EQ_GT] = ACTIONS(2903),
    [anon_sym_for] = ACTIONS(2905),
    [anon_sym_foreach] = ACTIONS(2903),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2903),
    [anon_sym___END__] = ACTIONS(2903),
    [anon_sym_EOT] = ACTIONS(2903),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_unless] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(2903),
    [anon_sym_until] = ACTIONS(2903),
    [sym__PERLY_SEMICOLON] = ACTIONS(2903),
    [sym__ctrl_z_hack] = ACTIONS(2903),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1300] = {
    [sym_heredoc_content] = STATE(1300),
    [anon_sym_RBRACE] = ACTIONS(2907),
    [anon_sym_SEMI] = ACTIONS(2907),
    [anon_sym_EQ] = ACTIONS(2909),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2907),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2907),
    [anon_sym_COMMA] = ACTIONS(2907),
    [anon_sym_RPAREN] = ACTIONS(2907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2907),
    [anon_sym_and] = ACTIONS(2907),
    [anon_sym_or] = ACTIONS(2907),
    [anon_sym_xor] = ACTIONS(2907),
    [anon_sym_DASH_GT] = ACTIONS(2907),
    [anon_sym_PERCENT] = ACTIONS(2909),
    [anon_sym_GT] = ACTIONS(2909),
    [anon_sym_LT_LT] = ACTIONS(2909),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2907),
    [anon_sym_PLUS_EQ] = ACTIONS(2907),
    [anon_sym_DASH_EQ] = ACTIONS(2907),
    [anon_sym_DOT_EQ] = ACTIONS(2907),
    [anon_sym_STAR_EQ] = ACTIONS(2907),
    [anon_sym_SLASH_EQ] = ACTIONS(2907),
    [anon_sym_PERCENT_EQ] = ACTIONS(2907),
    [anon_sym_x_EQ] = ACTIONS(2907),
    [anon_sym_AMP_EQ] = ACTIONS(2907),
    [anon_sym_PIPE_EQ] = ACTIONS(2907),
    [anon_sym_CARET_EQ] = ACTIONS(2907),
    [anon_sym_LT_LT_EQ] = ACTIONS(2907),
    [anon_sym_GT_GT_EQ] = ACTIONS(2907),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2907),
    [anon_sym_DOT_DOT] = ACTIONS(2909),
    [anon_sym_STAR_STAR] = ACTIONS(2909),
    [anon_sym_PIPE_PIPE] = ACTIONS(2909),
    [anon_sym_SLASH_SLASH] = ACTIONS(2909),
    [anon_sym_CARET_CARET] = ACTIONS(2907),
    [anon_sym_AMP_AMP] = ACTIONS(2909),
    [anon_sym_PIPE] = ACTIONS(2909),
    [anon_sym_CARET] = ACTIONS(2909),
    [anon_sym_AMP] = ACTIONS(2909),
    [anon_sym_GT_GT2] = ACTIONS(2909),
    [anon_sym_PLUS] = ACTIONS(2909),
    [anon_sym_DASH] = ACTIONS(2909),
    [anon_sym_DOT] = ACTIONS(2909),
    [anon_sym_STAR] = ACTIONS(2909),
    [anon_sym_SLASH] = ACTIONS(2909),
    [anon_sym_x] = ACTIONS(2909),
    [anon_sym_EQ_TILDE] = ACTIONS(2907),
    [anon_sym_BANG_TILDE] = ACTIONS(2907),
    [anon_sym_EQ_EQ] = ACTIONS(2909),
    [anon_sym_BANG_EQ] = ACTIONS(2907),
    [anon_sym_eq] = ACTIONS(2909),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2907),
    [anon_sym_equ] = ACTIONS(2907),
    [anon_sym_eqr] = ACTIONS(2907),
    [anon_sym_ne] = ACTIONS(2907),
    [anon_sym_LT_EQ_GT] = ACTIONS(2907),
    [anon_sym_cmp] = ACTIONS(2907),
    [anon_sym_TILDE_TILDE] = ACTIONS(2907),
    [anon_sym_LT] = ACTIONS(2909),
    [anon_sym_LT_EQ] = ACTIONS(2909),
    [anon_sym_GT_EQ] = ACTIONS(2907),
    [anon_sym_lt] = ACTIONS(2907),
    [anon_sym_le] = ACTIONS(2907),
    [anon_sym_ge] = ACTIONS(2907),
    [anon_sym_gt] = ACTIONS(2907),
    [anon_sym_isa] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_QMARK] = ACTIONS(2907),
    [anon_sym_EQ_GT] = ACTIONS(2907),
    [anon_sym_for] = ACTIONS(2909),
    [anon_sym_foreach] = ACTIONS(2907),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2907),
    [anon_sym___END__] = ACTIONS(2907),
    [anon_sym_EOT] = ACTIONS(2907),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_unless] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(2907),
    [anon_sym_until] = ACTIONS(2907),
    [sym__PERLY_SEMICOLON] = ACTIONS(2907),
    [sym__ctrl_z_hack] = ACTIONS(2907),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1301] = {
    [sym_heredoc_content] = STATE(1301),
    [anon_sym_RBRACE] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2911),
    [anon_sym_EQ] = ACTIONS(2913),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2911),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2911),
    [anon_sym_COMMA] = ACTIONS(2911),
    [anon_sym_RPAREN] = ACTIONS(2911),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2911),
    [anon_sym_and] = ACTIONS(2911),
    [anon_sym_or] = ACTIONS(2911),
    [anon_sym_xor] = ACTIONS(2911),
    [anon_sym_DASH_GT] = ACTIONS(2911),
    [anon_sym_PERCENT] = ACTIONS(2913),
    [anon_sym_GT] = ACTIONS(2913),
    [anon_sym_LT_LT] = ACTIONS(2913),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2911),
    [anon_sym_PLUS_EQ] = ACTIONS(2911),
    [anon_sym_DASH_EQ] = ACTIONS(2911),
    [anon_sym_DOT_EQ] = ACTIONS(2911),
    [anon_sym_STAR_EQ] = ACTIONS(2911),
    [anon_sym_SLASH_EQ] = ACTIONS(2911),
    [anon_sym_PERCENT_EQ] = ACTIONS(2911),
    [anon_sym_x_EQ] = ACTIONS(2911),
    [anon_sym_AMP_EQ] = ACTIONS(2911),
    [anon_sym_PIPE_EQ] = ACTIONS(2911),
    [anon_sym_CARET_EQ] = ACTIONS(2911),
    [anon_sym_LT_LT_EQ] = ACTIONS(2911),
    [anon_sym_GT_GT_EQ] = ACTIONS(2911),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2911),
    [anon_sym_DOT_DOT] = ACTIONS(2913),
    [anon_sym_STAR_STAR] = ACTIONS(2913),
    [anon_sym_PIPE_PIPE] = ACTIONS(2913),
    [anon_sym_SLASH_SLASH] = ACTIONS(2913),
    [anon_sym_CARET_CARET] = ACTIONS(2911),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_PIPE] = ACTIONS(2913),
    [anon_sym_CARET] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_GT_GT2] = ACTIONS(2913),
    [anon_sym_PLUS] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2913),
    [anon_sym_DOT] = ACTIONS(2913),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_SLASH] = ACTIONS(2913),
    [anon_sym_x] = ACTIONS(2913),
    [anon_sym_EQ_TILDE] = ACTIONS(2911),
    [anon_sym_BANG_TILDE] = ACTIONS(2911),
    [anon_sym_EQ_EQ] = ACTIONS(2913),
    [anon_sym_BANG_EQ] = ACTIONS(2911),
    [anon_sym_eq] = ACTIONS(2913),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2911),
    [anon_sym_equ] = ACTIONS(2911),
    [anon_sym_eqr] = ACTIONS(2911),
    [anon_sym_ne] = ACTIONS(2911),
    [anon_sym_LT_EQ_GT] = ACTIONS(2911),
    [anon_sym_cmp] = ACTIONS(2911),
    [anon_sym_TILDE_TILDE] = ACTIONS(2911),
    [anon_sym_LT] = ACTIONS(2913),
    [anon_sym_LT_EQ] = ACTIONS(2913),
    [anon_sym_GT_EQ] = ACTIONS(2911),
    [anon_sym_lt] = ACTIONS(2911),
    [anon_sym_le] = ACTIONS(2911),
    [anon_sym_ge] = ACTIONS(2911),
    [anon_sym_gt] = ACTIONS(2911),
    [anon_sym_isa] = ACTIONS(2911),
    [anon_sym_PLUS_PLUS] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2911),
    [anon_sym_QMARK] = ACTIONS(2911),
    [anon_sym_EQ_GT] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2913),
    [anon_sym_foreach] = ACTIONS(2911),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2911),
    [anon_sym___END__] = ACTIONS(2911),
    [anon_sym_EOT] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_unless] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_until] = ACTIONS(2911),
    [sym__PERLY_SEMICOLON] = ACTIONS(2911),
    [sym__ctrl_z_hack] = ACTIONS(2911),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1302] = {
    [sym_heredoc_content] = STATE(1302),
    [anon_sym_RBRACE] = ACTIONS(2915),
    [anon_sym_SEMI] = ACTIONS(2915),
    [anon_sym_EQ] = ACTIONS(2917),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2915),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2915),
    [anon_sym_COMMA] = ACTIONS(2915),
    [anon_sym_RPAREN] = ACTIONS(2915),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2915),
    [anon_sym_and] = ACTIONS(2915),
    [anon_sym_or] = ACTIONS(2915),
    [anon_sym_xor] = ACTIONS(2915),
    [anon_sym_DASH_GT] = ACTIONS(2915),
    [anon_sym_PERCENT] = ACTIONS(2917),
    [anon_sym_GT] = ACTIONS(2917),
    [anon_sym_LT_LT] = ACTIONS(2917),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2915),
    [anon_sym_PLUS_EQ] = ACTIONS(2915),
    [anon_sym_DASH_EQ] = ACTIONS(2915),
    [anon_sym_DOT_EQ] = ACTIONS(2915),
    [anon_sym_STAR_EQ] = ACTIONS(2915),
    [anon_sym_SLASH_EQ] = ACTIONS(2915),
    [anon_sym_PERCENT_EQ] = ACTIONS(2915),
    [anon_sym_x_EQ] = ACTIONS(2915),
    [anon_sym_AMP_EQ] = ACTIONS(2915),
    [anon_sym_PIPE_EQ] = ACTIONS(2915),
    [anon_sym_CARET_EQ] = ACTIONS(2915),
    [anon_sym_LT_LT_EQ] = ACTIONS(2915),
    [anon_sym_GT_GT_EQ] = ACTIONS(2915),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2915),
    [anon_sym_DOT_DOT] = ACTIONS(2917),
    [anon_sym_STAR_STAR] = ACTIONS(2917),
    [anon_sym_PIPE_PIPE] = ACTIONS(2917),
    [anon_sym_SLASH_SLASH] = ACTIONS(2917),
    [anon_sym_CARET_CARET] = ACTIONS(2915),
    [anon_sym_AMP_AMP] = ACTIONS(2917),
    [anon_sym_PIPE] = ACTIONS(2917),
    [anon_sym_CARET] = ACTIONS(2917),
    [anon_sym_AMP] = ACTIONS(2917),
    [anon_sym_GT_GT2] = ACTIONS(2917),
    [anon_sym_PLUS] = ACTIONS(2917),
    [anon_sym_DASH] = ACTIONS(2917),
    [anon_sym_DOT] = ACTIONS(2917),
    [anon_sym_STAR] = ACTIONS(2917),
    [anon_sym_SLASH] = ACTIONS(2917),
    [anon_sym_x] = ACTIONS(2917),
    [anon_sym_EQ_TILDE] = ACTIONS(2915),
    [anon_sym_BANG_TILDE] = ACTIONS(2915),
    [anon_sym_EQ_EQ] = ACTIONS(2917),
    [anon_sym_BANG_EQ] = ACTIONS(2915),
    [anon_sym_eq] = ACTIONS(2917),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2915),
    [anon_sym_equ] = ACTIONS(2915),
    [anon_sym_eqr] = ACTIONS(2915),
    [anon_sym_ne] = ACTIONS(2915),
    [anon_sym_LT_EQ_GT] = ACTIONS(2915),
    [anon_sym_cmp] = ACTIONS(2915),
    [anon_sym_TILDE_TILDE] = ACTIONS(2915),
    [anon_sym_LT] = ACTIONS(2917),
    [anon_sym_LT_EQ] = ACTIONS(2917),
    [anon_sym_GT_EQ] = ACTIONS(2915),
    [anon_sym_lt] = ACTIONS(2915),
    [anon_sym_le] = ACTIONS(2915),
    [anon_sym_ge] = ACTIONS(2915),
    [anon_sym_gt] = ACTIONS(2915),
    [anon_sym_isa] = ACTIONS(2915),
    [anon_sym_PLUS_PLUS] = ACTIONS(2915),
    [anon_sym_DASH_DASH] = ACTIONS(2915),
    [anon_sym_QMARK] = ACTIONS(2915),
    [anon_sym_EQ_GT] = ACTIONS(2915),
    [anon_sym_for] = ACTIONS(2917),
    [anon_sym_foreach] = ACTIONS(2915),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2915),
    [anon_sym___END__] = ACTIONS(2915),
    [anon_sym_EOT] = ACTIONS(2915),
    [anon_sym_if] = ACTIONS(2915),
    [anon_sym_unless] = ACTIONS(2915),
    [anon_sym_while] = ACTIONS(2915),
    [anon_sym_until] = ACTIONS(2915),
    [sym__PERLY_SEMICOLON] = ACTIONS(2915),
    [sym__ctrl_z_hack] = ACTIONS(2915),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1303] = {
    [sym_heredoc_content] = STATE(1303),
    [anon_sym_RBRACE] = ACTIONS(2919),
    [anon_sym_SEMI] = ACTIONS(2919),
    [anon_sym_EQ] = ACTIONS(2921),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2919),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2919),
    [anon_sym_COMMA] = ACTIONS(2919),
    [anon_sym_RPAREN] = ACTIONS(2919),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2919),
    [anon_sym_and] = ACTIONS(2919),
    [anon_sym_or] = ACTIONS(2919),
    [anon_sym_xor] = ACTIONS(2919),
    [anon_sym_DASH_GT] = ACTIONS(2919),
    [anon_sym_PERCENT] = ACTIONS(2921),
    [anon_sym_GT] = ACTIONS(2921),
    [anon_sym_LT_LT] = ACTIONS(2921),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2919),
    [anon_sym_PLUS_EQ] = ACTIONS(2919),
    [anon_sym_DASH_EQ] = ACTIONS(2919),
    [anon_sym_DOT_EQ] = ACTIONS(2919),
    [anon_sym_STAR_EQ] = ACTIONS(2919),
    [anon_sym_SLASH_EQ] = ACTIONS(2919),
    [anon_sym_PERCENT_EQ] = ACTIONS(2919),
    [anon_sym_x_EQ] = ACTIONS(2919),
    [anon_sym_AMP_EQ] = ACTIONS(2919),
    [anon_sym_PIPE_EQ] = ACTIONS(2919),
    [anon_sym_CARET_EQ] = ACTIONS(2919),
    [anon_sym_LT_LT_EQ] = ACTIONS(2919),
    [anon_sym_GT_GT_EQ] = ACTIONS(2919),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2919),
    [anon_sym_DOT_DOT] = ACTIONS(2921),
    [anon_sym_STAR_STAR] = ACTIONS(2921),
    [anon_sym_PIPE_PIPE] = ACTIONS(2921),
    [anon_sym_SLASH_SLASH] = ACTIONS(2921),
    [anon_sym_CARET_CARET] = ACTIONS(2919),
    [anon_sym_AMP_AMP] = ACTIONS(2921),
    [anon_sym_PIPE] = ACTIONS(2921),
    [anon_sym_CARET] = ACTIONS(2921),
    [anon_sym_AMP] = ACTIONS(2921),
    [anon_sym_GT_GT2] = ACTIONS(2921),
    [anon_sym_PLUS] = ACTIONS(2921),
    [anon_sym_DASH] = ACTIONS(2921),
    [anon_sym_DOT] = ACTIONS(2921),
    [anon_sym_STAR] = ACTIONS(2921),
    [anon_sym_SLASH] = ACTIONS(2921),
    [anon_sym_x] = ACTIONS(2921),
    [anon_sym_EQ_TILDE] = ACTIONS(2919),
    [anon_sym_BANG_TILDE] = ACTIONS(2919),
    [anon_sym_EQ_EQ] = ACTIONS(2921),
    [anon_sym_BANG_EQ] = ACTIONS(2919),
    [anon_sym_eq] = ACTIONS(2921),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2919),
    [anon_sym_equ] = ACTIONS(2919),
    [anon_sym_eqr] = ACTIONS(2919),
    [anon_sym_ne] = ACTIONS(2919),
    [anon_sym_LT_EQ_GT] = ACTIONS(2919),
    [anon_sym_cmp] = ACTIONS(2919),
    [anon_sym_TILDE_TILDE] = ACTIONS(2919),
    [anon_sym_LT] = ACTIONS(2921),
    [anon_sym_LT_EQ] = ACTIONS(2921),
    [anon_sym_GT_EQ] = ACTIONS(2919),
    [anon_sym_lt] = ACTIONS(2919),
    [anon_sym_le] = ACTIONS(2919),
    [anon_sym_ge] = ACTIONS(2919),
    [anon_sym_gt] = ACTIONS(2919),
    [anon_sym_isa] = ACTIONS(2919),
    [anon_sym_PLUS_PLUS] = ACTIONS(2919),
    [anon_sym_DASH_DASH] = ACTIONS(2919),
    [anon_sym_QMARK] = ACTIONS(2919),
    [anon_sym_EQ_GT] = ACTIONS(2919),
    [anon_sym_for] = ACTIONS(2921),
    [anon_sym_foreach] = ACTIONS(2919),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2919),
    [anon_sym___END__] = ACTIONS(2919),
    [anon_sym_EOT] = ACTIONS(2919),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_unless] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(2919),
    [anon_sym_until] = ACTIONS(2919),
    [sym__PERLY_SEMICOLON] = ACTIONS(2919),
    [sym__ctrl_z_hack] = ACTIONS(2919),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1304] = {
    [sym_heredoc_content] = STATE(1304),
    [anon_sym_RBRACE] = ACTIONS(2923),
    [anon_sym_SEMI] = ACTIONS(2923),
    [anon_sym_EQ] = ACTIONS(2925),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2923),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2923),
    [anon_sym_COMMA] = ACTIONS(2923),
    [anon_sym_RPAREN] = ACTIONS(2923),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2923),
    [anon_sym_and] = ACTIONS(2923),
    [anon_sym_or] = ACTIONS(2923),
    [anon_sym_xor] = ACTIONS(2923),
    [anon_sym_DASH_GT] = ACTIONS(2923),
    [anon_sym_PERCENT] = ACTIONS(2925),
    [anon_sym_GT] = ACTIONS(2925),
    [anon_sym_LT_LT] = ACTIONS(2925),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2923),
    [anon_sym_PLUS_EQ] = ACTIONS(2923),
    [anon_sym_DASH_EQ] = ACTIONS(2923),
    [anon_sym_DOT_EQ] = ACTIONS(2923),
    [anon_sym_STAR_EQ] = ACTIONS(2923),
    [anon_sym_SLASH_EQ] = ACTIONS(2923),
    [anon_sym_PERCENT_EQ] = ACTIONS(2923),
    [anon_sym_x_EQ] = ACTIONS(2923),
    [anon_sym_AMP_EQ] = ACTIONS(2923),
    [anon_sym_PIPE_EQ] = ACTIONS(2923),
    [anon_sym_CARET_EQ] = ACTIONS(2923),
    [anon_sym_LT_LT_EQ] = ACTIONS(2923),
    [anon_sym_GT_GT_EQ] = ACTIONS(2923),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2923),
    [anon_sym_DOT_DOT] = ACTIONS(2925),
    [anon_sym_STAR_STAR] = ACTIONS(2925),
    [anon_sym_PIPE_PIPE] = ACTIONS(2925),
    [anon_sym_SLASH_SLASH] = ACTIONS(2925),
    [anon_sym_CARET_CARET] = ACTIONS(2923),
    [anon_sym_AMP_AMP] = ACTIONS(2925),
    [anon_sym_PIPE] = ACTIONS(2925),
    [anon_sym_CARET] = ACTIONS(2925),
    [anon_sym_AMP] = ACTIONS(2925),
    [anon_sym_GT_GT2] = ACTIONS(2925),
    [anon_sym_PLUS] = ACTIONS(2925),
    [anon_sym_DASH] = ACTIONS(2925),
    [anon_sym_DOT] = ACTIONS(2925),
    [anon_sym_STAR] = ACTIONS(2925),
    [anon_sym_SLASH] = ACTIONS(2925),
    [anon_sym_x] = ACTIONS(2925),
    [anon_sym_EQ_TILDE] = ACTIONS(2923),
    [anon_sym_BANG_TILDE] = ACTIONS(2923),
    [anon_sym_EQ_EQ] = ACTIONS(2925),
    [anon_sym_BANG_EQ] = ACTIONS(2923),
    [anon_sym_eq] = ACTIONS(2925),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2923),
    [anon_sym_equ] = ACTIONS(2923),
    [anon_sym_eqr] = ACTIONS(2923),
    [anon_sym_ne] = ACTIONS(2923),
    [anon_sym_LT_EQ_GT] = ACTIONS(2923),
    [anon_sym_cmp] = ACTIONS(2923),
    [anon_sym_TILDE_TILDE] = ACTIONS(2923),
    [anon_sym_LT] = ACTIONS(2925),
    [anon_sym_LT_EQ] = ACTIONS(2925),
    [anon_sym_GT_EQ] = ACTIONS(2923),
    [anon_sym_lt] = ACTIONS(2923),
    [anon_sym_le] = ACTIONS(2923),
    [anon_sym_ge] = ACTIONS(2923),
    [anon_sym_gt] = ACTIONS(2923),
    [anon_sym_isa] = ACTIONS(2923),
    [anon_sym_PLUS_PLUS] = ACTIONS(2923),
    [anon_sym_DASH_DASH] = ACTIONS(2923),
    [anon_sym_QMARK] = ACTIONS(2923),
    [anon_sym_EQ_GT] = ACTIONS(2923),
    [anon_sym_for] = ACTIONS(2925),
    [anon_sym_foreach] = ACTIONS(2923),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2923),
    [anon_sym___END__] = ACTIONS(2923),
    [anon_sym_EOT] = ACTIONS(2923),
    [anon_sym_if] = ACTIONS(2923),
    [anon_sym_unless] = ACTIONS(2923),
    [anon_sym_while] = ACTIONS(2923),
    [anon_sym_until] = ACTIONS(2923),
    [sym__PERLY_SEMICOLON] = ACTIONS(2923),
    [sym__ctrl_z_hack] = ACTIONS(2923),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1305] = {
    [sym_heredoc_content] = STATE(1305),
    [anon_sym_RBRACE] = ACTIONS(2927),
    [anon_sym_SEMI] = ACTIONS(2927),
    [anon_sym_EQ] = ACTIONS(2929),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2927),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2927),
    [anon_sym_COMMA] = ACTIONS(2927),
    [anon_sym_RPAREN] = ACTIONS(2927),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2927),
    [anon_sym_and] = ACTIONS(2927),
    [anon_sym_or] = ACTIONS(2927),
    [anon_sym_xor] = ACTIONS(2927),
    [anon_sym_DASH_GT] = ACTIONS(2927),
    [anon_sym_PERCENT] = ACTIONS(2929),
    [anon_sym_GT] = ACTIONS(2929),
    [anon_sym_LT_LT] = ACTIONS(2929),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2927),
    [anon_sym_PLUS_EQ] = ACTIONS(2927),
    [anon_sym_DASH_EQ] = ACTIONS(2927),
    [anon_sym_DOT_EQ] = ACTIONS(2927),
    [anon_sym_STAR_EQ] = ACTIONS(2927),
    [anon_sym_SLASH_EQ] = ACTIONS(2927),
    [anon_sym_PERCENT_EQ] = ACTIONS(2927),
    [anon_sym_x_EQ] = ACTIONS(2927),
    [anon_sym_AMP_EQ] = ACTIONS(2927),
    [anon_sym_PIPE_EQ] = ACTIONS(2927),
    [anon_sym_CARET_EQ] = ACTIONS(2927),
    [anon_sym_LT_LT_EQ] = ACTIONS(2927),
    [anon_sym_GT_GT_EQ] = ACTIONS(2927),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2927),
    [anon_sym_DOT_DOT] = ACTIONS(2929),
    [anon_sym_STAR_STAR] = ACTIONS(2929),
    [anon_sym_PIPE_PIPE] = ACTIONS(2929),
    [anon_sym_SLASH_SLASH] = ACTIONS(2929),
    [anon_sym_CARET_CARET] = ACTIONS(2927),
    [anon_sym_AMP_AMP] = ACTIONS(2929),
    [anon_sym_PIPE] = ACTIONS(2929),
    [anon_sym_CARET] = ACTIONS(2929),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_GT_GT2] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2929),
    [anon_sym_DASH] = ACTIONS(2929),
    [anon_sym_DOT] = ACTIONS(2929),
    [anon_sym_STAR] = ACTIONS(2929),
    [anon_sym_SLASH] = ACTIONS(2929),
    [anon_sym_x] = ACTIONS(2929),
    [anon_sym_EQ_TILDE] = ACTIONS(2927),
    [anon_sym_BANG_TILDE] = ACTIONS(2927),
    [anon_sym_EQ_EQ] = ACTIONS(2929),
    [anon_sym_BANG_EQ] = ACTIONS(2927),
    [anon_sym_eq] = ACTIONS(2929),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2927),
    [anon_sym_equ] = ACTIONS(2927),
    [anon_sym_eqr] = ACTIONS(2927),
    [anon_sym_ne] = ACTIONS(2927),
    [anon_sym_LT_EQ_GT] = ACTIONS(2927),
    [anon_sym_cmp] = ACTIONS(2927),
    [anon_sym_TILDE_TILDE] = ACTIONS(2927),
    [anon_sym_LT] = ACTIONS(2929),
    [anon_sym_LT_EQ] = ACTIONS(2929),
    [anon_sym_GT_EQ] = ACTIONS(2927),
    [anon_sym_lt] = ACTIONS(2927),
    [anon_sym_le] = ACTIONS(2927),
    [anon_sym_ge] = ACTIONS(2927),
    [anon_sym_gt] = ACTIONS(2927),
    [anon_sym_isa] = ACTIONS(2927),
    [anon_sym_PLUS_PLUS] = ACTIONS(2927),
    [anon_sym_DASH_DASH] = ACTIONS(2927),
    [anon_sym_QMARK] = ACTIONS(2927),
    [anon_sym_EQ_GT] = ACTIONS(2927),
    [anon_sym_for] = ACTIONS(2929),
    [anon_sym_foreach] = ACTIONS(2927),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2927),
    [anon_sym___END__] = ACTIONS(2927),
    [anon_sym_EOT] = ACTIONS(2927),
    [anon_sym_if] = ACTIONS(2927),
    [anon_sym_unless] = ACTIONS(2927),
    [anon_sym_while] = ACTIONS(2927),
    [anon_sym_until] = ACTIONS(2927),
    [sym__PERLY_SEMICOLON] = ACTIONS(2927),
    [sym__ctrl_z_hack] = ACTIONS(2927),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1306] = {
    [sym_heredoc_content] = STATE(1306),
    [anon_sym_RBRACE] = ACTIONS(1665),
    [anon_sym_SEMI] = ACTIONS(1665),
    [anon_sym_EQ] = ACTIONS(1663),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1665),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1665),
    [anon_sym_COMMA] = ACTIONS(1665),
    [anon_sym_RPAREN] = ACTIONS(1665),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1665),
    [anon_sym_and] = ACTIONS(1665),
    [anon_sym_or] = ACTIONS(1665),
    [anon_sym_xor] = ACTIONS(1665),
    [anon_sym_DASH_GT] = ACTIONS(1665),
    [anon_sym_PERCENT] = ACTIONS(1663),
    [anon_sym_GT] = ACTIONS(1663),
    [anon_sym_LT_LT] = ACTIONS(1663),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1665),
    [anon_sym_PLUS_EQ] = ACTIONS(1665),
    [anon_sym_DASH_EQ] = ACTIONS(1665),
    [anon_sym_DOT_EQ] = ACTIONS(1665),
    [anon_sym_STAR_EQ] = ACTIONS(1665),
    [anon_sym_SLASH_EQ] = ACTIONS(1665),
    [anon_sym_PERCENT_EQ] = ACTIONS(1665),
    [anon_sym_x_EQ] = ACTIONS(1665),
    [anon_sym_AMP_EQ] = ACTIONS(1665),
    [anon_sym_PIPE_EQ] = ACTIONS(1665),
    [anon_sym_CARET_EQ] = ACTIONS(1665),
    [anon_sym_LT_LT_EQ] = ACTIONS(1665),
    [anon_sym_GT_GT_EQ] = ACTIONS(1665),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1665),
    [anon_sym_DOT_DOT] = ACTIONS(1663),
    [anon_sym_STAR_STAR] = ACTIONS(1663),
    [anon_sym_PIPE_PIPE] = ACTIONS(1663),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_CARET_CARET] = ACTIONS(1665),
    [anon_sym_AMP_AMP] = ACTIONS(1663),
    [anon_sym_PIPE] = ACTIONS(1663),
    [anon_sym_CARET] = ACTIONS(1663),
    [anon_sym_AMP] = ACTIONS(1663),
    [anon_sym_GT_GT2] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(1663),
    [anon_sym_DASH] = ACTIONS(1663),
    [anon_sym_DOT] = ACTIONS(1663),
    [anon_sym_STAR] = ACTIONS(1663),
    [anon_sym_SLASH] = ACTIONS(1663),
    [anon_sym_x] = ACTIONS(1663),
    [anon_sym_EQ_TILDE] = ACTIONS(1665),
    [anon_sym_BANG_TILDE] = ACTIONS(1665),
    [anon_sym_EQ_EQ] = ACTIONS(1663),
    [anon_sym_BANG_EQ] = ACTIONS(1665),
    [anon_sym_eq] = ACTIONS(1663),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1665),
    [anon_sym_equ] = ACTIONS(1665),
    [anon_sym_eqr] = ACTIONS(1665),
    [anon_sym_ne] = ACTIONS(1665),
    [anon_sym_LT_EQ_GT] = ACTIONS(1665),
    [anon_sym_cmp] = ACTIONS(1665),
    [anon_sym_TILDE_TILDE] = ACTIONS(1665),
    [anon_sym_LT] = ACTIONS(1663),
    [anon_sym_LT_EQ] = ACTIONS(1663),
    [anon_sym_GT_EQ] = ACTIONS(1665),
    [anon_sym_lt] = ACTIONS(1665),
    [anon_sym_le] = ACTIONS(1665),
    [anon_sym_ge] = ACTIONS(1665),
    [anon_sym_gt] = ACTIONS(1665),
    [anon_sym_isa] = ACTIONS(1665),
    [anon_sym_PLUS_PLUS] = ACTIONS(1665),
    [anon_sym_DASH_DASH] = ACTIONS(1665),
    [anon_sym_QMARK] = ACTIONS(1665),
    [anon_sym_EQ_GT] = ACTIONS(1665),
    [anon_sym_for] = ACTIONS(1663),
    [anon_sym_foreach] = ACTIONS(1665),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(1665),
    [anon_sym___END__] = ACTIONS(1665),
    [anon_sym_EOT] = ACTIONS(1665),
    [anon_sym_if] = ACTIONS(1665),
    [anon_sym_unless] = ACTIONS(1665),
    [anon_sym_while] = ACTIONS(1665),
    [anon_sym_until] = ACTIONS(1665),
    [sym__PERLY_SEMICOLON] = ACTIONS(1665),
    [sym__ctrl_z_hack] = ACTIONS(1665),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1307] = {
    [sym_heredoc_content] = STATE(1307),
    [anon_sym_RBRACE] = ACTIONS(1849),
    [anon_sym_SEMI] = ACTIONS(1849),
    [anon_sym_EQ] = ACTIONS(1840),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1849),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1849),
    [anon_sym_COMMA] = ACTIONS(1849),
    [anon_sym_RPAREN] = ACTIONS(1849),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1849),
    [anon_sym_and] = ACTIONS(1849),
    [anon_sym_or] = ACTIONS(1849),
    [anon_sym_xor] = ACTIONS(1849),
    [anon_sym_DASH_GT] = ACTIONS(1849),
    [anon_sym_PERCENT] = ACTIONS(1840),
    [anon_sym_GT] = ACTIONS(1840),
    [anon_sym_LT_LT] = ACTIONS(1840),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1849),
    [anon_sym_PLUS_EQ] = ACTIONS(1849),
    [anon_sym_DASH_EQ] = ACTIONS(1849),
    [anon_sym_DOT_EQ] = ACTIONS(1849),
    [anon_sym_STAR_EQ] = ACTIONS(1849),
    [anon_sym_SLASH_EQ] = ACTIONS(1849),
    [anon_sym_PERCENT_EQ] = ACTIONS(1849),
    [anon_sym_x_EQ] = ACTIONS(1849),
    [anon_sym_AMP_EQ] = ACTIONS(1849),
    [anon_sym_PIPE_EQ] = ACTIONS(1849),
    [anon_sym_CARET_EQ] = ACTIONS(1849),
    [anon_sym_LT_LT_EQ] = ACTIONS(1849),
    [anon_sym_GT_GT_EQ] = ACTIONS(1849),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1849),
    [anon_sym_DOT_DOT] = ACTIONS(1840),
    [anon_sym_STAR_STAR] = ACTIONS(1840),
    [anon_sym_PIPE_PIPE] = ACTIONS(1840),
    [anon_sym_SLASH_SLASH] = ACTIONS(1840),
    [anon_sym_CARET_CARET] = ACTIONS(1849),
    [anon_sym_AMP_AMP] = ACTIONS(1840),
    [anon_sym_PIPE] = ACTIONS(1840),
    [anon_sym_CARET] = ACTIONS(1840),
    [anon_sym_AMP] = ACTIONS(1840),
    [anon_sym_GT_GT2] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_DOT] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1840),
    [anon_sym_SLASH] = ACTIONS(1840),
    [anon_sym_x] = ACTIONS(1840),
    [anon_sym_EQ_TILDE] = ACTIONS(1849),
    [anon_sym_BANG_TILDE] = ACTIONS(1849),
    [anon_sym_EQ_EQ] = ACTIONS(1840),
    [anon_sym_BANG_EQ] = ACTIONS(1849),
    [anon_sym_eq] = ACTIONS(1840),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1849),
    [anon_sym_equ] = ACTIONS(1849),
    [anon_sym_eqr] = ACTIONS(1849),
    [anon_sym_ne] = ACTIONS(1849),
    [anon_sym_LT_EQ_GT] = ACTIONS(1849),
    [anon_sym_cmp] = ACTIONS(1849),
    [anon_sym_TILDE_TILDE] = ACTIONS(1849),
    [anon_sym_LT] = ACTIONS(1840),
    [anon_sym_LT_EQ] = ACTIONS(1840),
    [anon_sym_GT_EQ] = ACTIONS(1849),
    [anon_sym_lt] = ACTIONS(1849),
    [anon_sym_le] = ACTIONS(1849),
    [anon_sym_ge] = ACTIONS(1849),
    [anon_sym_gt] = ACTIONS(1849),
    [anon_sym_isa] = ACTIONS(1849),
    [anon_sym_PLUS_PLUS] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1849),
    [anon_sym_QMARK] = ACTIONS(1849),
    [anon_sym_EQ_GT] = ACTIONS(1849),
    [anon_sym_for] = ACTIONS(1840),
    [anon_sym_foreach] = ACTIONS(1849),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(1849),
    [anon_sym___END__] = ACTIONS(1849),
    [anon_sym_EOT] = ACTIONS(1849),
    [anon_sym_if] = ACTIONS(1849),
    [anon_sym_unless] = ACTIONS(1849),
    [anon_sym_while] = ACTIONS(1849),
    [anon_sym_until] = ACTIONS(1849),
    [sym__PERLY_SEMICOLON] = ACTIONS(1849),
    [sym__ctrl_z_hack] = ACTIONS(1849),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1308] = {
    [sym_heredoc_content] = STATE(1308),
    [anon_sym_RBRACE] = ACTIONS(2931),
    [anon_sym_SEMI] = ACTIONS(2931),
    [anon_sym_EQ] = ACTIONS(2933),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2931),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2931),
    [anon_sym_COMMA] = ACTIONS(2931),
    [anon_sym_RPAREN] = ACTIONS(2931),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2931),
    [anon_sym_and] = ACTIONS(2931),
    [anon_sym_or] = ACTIONS(2931),
    [anon_sym_xor] = ACTIONS(2931),
    [anon_sym_DASH_GT] = ACTIONS(2931),
    [anon_sym_PERCENT] = ACTIONS(2933),
    [anon_sym_GT] = ACTIONS(2933),
    [anon_sym_LT_LT] = ACTIONS(2933),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2931),
    [anon_sym_PLUS_EQ] = ACTIONS(2931),
    [anon_sym_DASH_EQ] = ACTIONS(2931),
    [anon_sym_DOT_EQ] = ACTIONS(2931),
    [anon_sym_STAR_EQ] = ACTIONS(2931),
    [anon_sym_SLASH_EQ] = ACTIONS(2931),
    [anon_sym_PERCENT_EQ] = ACTIONS(2931),
    [anon_sym_x_EQ] = ACTIONS(2931),
    [anon_sym_AMP_EQ] = ACTIONS(2931),
    [anon_sym_PIPE_EQ] = ACTIONS(2931),
    [anon_sym_CARET_EQ] = ACTIONS(2931),
    [anon_sym_LT_LT_EQ] = ACTIONS(2931),
    [anon_sym_GT_GT_EQ] = ACTIONS(2931),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2931),
    [anon_sym_DOT_DOT] = ACTIONS(2933),
    [anon_sym_STAR_STAR] = ACTIONS(2933),
    [anon_sym_PIPE_PIPE] = ACTIONS(2933),
    [anon_sym_SLASH_SLASH] = ACTIONS(2933),
    [anon_sym_CARET_CARET] = ACTIONS(2931),
    [anon_sym_AMP_AMP] = ACTIONS(2933),
    [anon_sym_PIPE] = ACTIONS(2933),
    [anon_sym_CARET] = ACTIONS(2933),
    [anon_sym_AMP] = ACTIONS(2933),
    [anon_sym_GT_GT2] = ACTIONS(2933),
    [anon_sym_PLUS] = ACTIONS(2933),
    [anon_sym_DASH] = ACTIONS(2933),
    [anon_sym_DOT] = ACTIONS(2933),
    [anon_sym_STAR] = ACTIONS(2933),
    [anon_sym_SLASH] = ACTIONS(2933),
    [anon_sym_x] = ACTIONS(2933),
    [anon_sym_EQ_TILDE] = ACTIONS(2931),
    [anon_sym_BANG_TILDE] = ACTIONS(2931),
    [anon_sym_EQ_EQ] = ACTIONS(2933),
    [anon_sym_BANG_EQ] = ACTIONS(2931),
    [anon_sym_eq] = ACTIONS(2933),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2931),
    [anon_sym_equ] = ACTIONS(2931),
    [anon_sym_eqr] = ACTIONS(2931),
    [anon_sym_ne] = ACTIONS(2931),
    [anon_sym_LT_EQ_GT] = ACTIONS(2931),
    [anon_sym_cmp] = ACTIONS(2931),
    [anon_sym_TILDE_TILDE] = ACTIONS(2931),
    [anon_sym_LT] = ACTIONS(2933),
    [anon_sym_LT_EQ] = ACTIONS(2933),
    [anon_sym_GT_EQ] = ACTIONS(2931),
    [anon_sym_lt] = ACTIONS(2931),
    [anon_sym_le] = ACTIONS(2931),
    [anon_sym_ge] = ACTIONS(2931),
    [anon_sym_gt] = ACTIONS(2931),
    [anon_sym_isa] = ACTIONS(2931),
    [anon_sym_PLUS_PLUS] = ACTIONS(2931),
    [anon_sym_DASH_DASH] = ACTIONS(2931),
    [anon_sym_QMARK] = ACTIONS(2931),
    [anon_sym_EQ_GT] = ACTIONS(2931),
    [anon_sym_for] = ACTIONS(2933),
    [anon_sym_foreach] = ACTIONS(2931),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2931),
    [anon_sym___END__] = ACTIONS(2931),
    [anon_sym_EOT] = ACTIONS(2931),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_unless] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(2931),
    [anon_sym_until] = ACTIONS(2931),
    [sym__PERLY_SEMICOLON] = ACTIONS(2931),
    [sym__ctrl_z_hack] = ACTIONS(2931),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1309] = {
    [sym_heredoc_content] = STATE(1309),
    [anon_sym_RBRACE] = ACTIONS(2935),
    [anon_sym_SEMI] = ACTIONS(2935),
    [anon_sym_EQ] = ACTIONS(2937),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2935),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2935),
    [anon_sym_COMMA] = ACTIONS(2935),
    [anon_sym_RPAREN] = ACTIONS(2935),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2935),
    [anon_sym_and] = ACTIONS(2935),
    [anon_sym_or] = ACTIONS(2935),
    [anon_sym_xor] = ACTIONS(2935),
    [anon_sym_DASH_GT] = ACTIONS(2935),
    [anon_sym_PERCENT] = ACTIONS(2937),
    [anon_sym_GT] = ACTIONS(2937),
    [anon_sym_LT_LT] = ACTIONS(2937),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2935),
    [anon_sym_PLUS_EQ] = ACTIONS(2935),
    [anon_sym_DASH_EQ] = ACTIONS(2935),
    [anon_sym_DOT_EQ] = ACTIONS(2935),
    [anon_sym_STAR_EQ] = ACTIONS(2935),
    [anon_sym_SLASH_EQ] = ACTIONS(2935),
    [anon_sym_PERCENT_EQ] = ACTIONS(2935),
    [anon_sym_x_EQ] = ACTIONS(2935),
    [anon_sym_AMP_EQ] = ACTIONS(2935),
    [anon_sym_PIPE_EQ] = ACTIONS(2935),
    [anon_sym_CARET_EQ] = ACTIONS(2935),
    [anon_sym_LT_LT_EQ] = ACTIONS(2935),
    [anon_sym_GT_GT_EQ] = ACTIONS(2935),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2935),
    [anon_sym_DOT_DOT] = ACTIONS(2937),
    [anon_sym_STAR_STAR] = ACTIONS(2937),
    [anon_sym_PIPE_PIPE] = ACTIONS(2937),
    [anon_sym_SLASH_SLASH] = ACTIONS(2937),
    [anon_sym_CARET_CARET] = ACTIONS(2935),
    [anon_sym_AMP_AMP] = ACTIONS(2937),
    [anon_sym_PIPE] = ACTIONS(2937),
    [anon_sym_CARET] = ACTIONS(2937),
    [anon_sym_AMP] = ACTIONS(2937),
    [anon_sym_GT_GT2] = ACTIONS(2937),
    [anon_sym_PLUS] = ACTIONS(2937),
    [anon_sym_DASH] = ACTIONS(2937),
    [anon_sym_DOT] = ACTIONS(2937),
    [anon_sym_STAR] = ACTIONS(2937),
    [anon_sym_SLASH] = ACTIONS(2937),
    [anon_sym_x] = ACTIONS(2937),
    [anon_sym_EQ_TILDE] = ACTIONS(2935),
    [anon_sym_BANG_TILDE] = ACTIONS(2935),
    [anon_sym_EQ_EQ] = ACTIONS(2937),
    [anon_sym_BANG_EQ] = ACTIONS(2935),
    [anon_sym_eq] = ACTIONS(2937),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2935),
    [anon_sym_equ] = ACTIONS(2935),
    [anon_sym_eqr] = ACTIONS(2935),
    [anon_sym_ne] = ACTIONS(2935),
    [anon_sym_LT_EQ_GT] = ACTIONS(2935),
    [anon_sym_cmp] = ACTIONS(2935),
    [anon_sym_TILDE_TILDE] = ACTIONS(2935),
    [anon_sym_LT] = ACTIONS(2937),
    [anon_sym_LT_EQ] = ACTIONS(2937),
    [anon_sym_GT_EQ] = ACTIONS(2935),
    [anon_sym_lt] = ACTIONS(2935),
    [anon_sym_le] = ACTIONS(2935),
    [anon_sym_ge] = ACTIONS(2935),
    [anon_sym_gt] = ACTIONS(2935),
    [anon_sym_isa] = ACTIONS(2935),
    [anon_sym_PLUS_PLUS] = ACTIONS(2935),
    [anon_sym_DASH_DASH] = ACTIONS(2935),
    [anon_sym_QMARK] = ACTIONS(2935),
    [anon_sym_EQ_GT] = ACTIONS(2935),
    [anon_sym_for] = ACTIONS(2937),
    [anon_sym_foreach] = ACTIONS(2935),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2935),
    [anon_sym___END__] = ACTIONS(2935),
    [anon_sym_EOT] = ACTIONS(2935),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_unless] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(2935),
    [anon_sym_until] = ACTIONS(2935),
    [sym__PERLY_SEMICOLON] = ACTIONS(2935),
    [sym__ctrl_z_hack] = ACTIONS(2935),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1310] = {
    [sym_heredoc_content] = STATE(1310),
    [anon_sym_RBRACE] = ACTIONS(2939),
    [anon_sym_SEMI] = ACTIONS(2939),
    [anon_sym_EQ] = ACTIONS(2941),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2939),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2939),
    [anon_sym_COMMA] = ACTIONS(2939),
    [anon_sym_RPAREN] = ACTIONS(2939),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2939),
    [anon_sym_and] = ACTIONS(2939),
    [anon_sym_or] = ACTIONS(2939),
    [anon_sym_xor] = ACTIONS(2939),
    [anon_sym_DASH_GT] = ACTIONS(2939),
    [anon_sym_PERCENT] = ACTIONS(2941),
    [anon_sym_GT] = ACTIONS(2941),
    [anon_sym_LT_LT] = ACTIONS(2941),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2939),
    [anon_sym_PLUS_EQ] = ACTIONS(2939),
    [anon_sym_DASH_EQ] = ACTIONS(2939),
    [anon_sym_DOT_EQ] = ACTIONS(2939),
    [anon_sym_STAR_EQ] = ACTIONS(2939),
    [anon_sym_SLASH_EQ] = ACTIONS(2939),
    [anon_sym_PERCENT_EQ] = ACTIONS(2939),
    [anon_sym_x_EQ] = ACTIONS(2939),
    [anon_sym_AMP_EQ] = ACTIONS(2939),
    [anon_sym_PIPE_EQ] = ACTIONS(2939),
    [anon_sym_CARET_EQ] = ACTIONS(2939),
    [anon_sym_LT_LT_EQ] = ACTIONS(2939),
    [anon_sym_GT_GT_EQ] = ACTIONS(2939),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2939),
    [anon_sym_DOT_DOT] = ACTIONS(2941),
    [anon_sym_STAR_STAR] = ACTIONS(2941),
    [anon_sym_PIPE_PIPE] = ACTIONS(2941),
    [anon_sym_SLASH_SLASH] = ACTIONS(2941),
    [anon_sym_CARET_CARET] = ACTIONS(2939),
    [anon_sym_AMP_AMP] = ACTIONS(2941),
    [anon_sym_PIPE] = ACTIONS(2941),
    [anon_sym_CARET] = ACTIONS(2941),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_GT_GT2] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_DOT] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2941),
    [anon_sym_SLASH] = ACTIONS(2941),
    [anon_sym_x] = ACTIONS(2941),
    [anon_sym_EQ_TILDE] = ACTIONS(2939),
    [anon_sym_BANG_TILDE] = ACTIONS(2939),
    [anon_sym_EQ_EQ] = ACTIONS(2941),
    [anon_sym_BANG_EQ] = ACTIONS(2939),
    [anon_sym_eq] = ACTIONS(2941),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2939),
    [anon_sym_equ] = ACTIONS(2939),
    [anon_sym_eqr] = ACTIONS(2939),
    [anon_sym_ne] = ACTIONS(2939),
    [anon_sym_LT_EQ_GT] = ACTIONS(2939),
    [anon_sym_cmp] = ACTIONS(2939),
    [anon_sym_TILDE_TILDE] = ACTIONS(2939),
    [anon_sym_LT] = ACTIONS(2941),
    [anon_sym_LT_EQ] = ACTIONS(2941),
    [anon_sym_GT_EQ] = ACTIONS(2939),
    [anon_sym_lt] = ACTIONS(2939),
    [anon_sym_le] = ACTIONS(2939),
    [anon_sym_ge] = ACTIONS(2939),
    [anon_sym_gt] = ACTIONS(2939),
    [anon_sym_isa] = ACTIONS(2939),
    [anon_sym_PLUS_PLUS] = ACTIONS(2939),
    [anon_sym_DASH_DASH] = ACTIONS(2939),
    [anon_sym_QMARK] = ACTIONS(2939),
    [anon_sym_EQ_GT] = ACTIONS(2939),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_foreach] = ACTIONS(2939),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2939),
    [anon_sym___END__] = ACTIONS(2939),
    [anon_sym_EOT] = ACTIONS(2939),
    [anon_sym_if] = ACTIONS(2939),
    [anon_sym_unless] = ACTIONS(2939),
    [anon_sym_while] = ACTIONS(2939),
    [anon_sym_until] = ACTIONS(2939),
    [sym__PERLY_SEMICOLON] = ACTIONS(2939),
    [sym__ctrl_z_hack] = ACTIONS(2939),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1311] = {
    [sym_heredoc_content] = STATE(1311),
    [anon_sym_RBRACE] = ACTIONS(2943),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym_EQ] = ACTIONS(2945),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2943),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2943),
    [anon_sym_COMMA] = ACTIONS(2943),
    [anon_sym_RPAREN] = ACTIONS(2943),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2943),
    [anon_sym_and] = ACTIONS(2943),
    [anon_sym_or] = ACTIONS(2943),
    [anon_sym_xor] = ACTIONS(2943),
    [anon_sym_DASH_GT] = ACTIONS(2943),
    [anon_sym_PERCENT] = ACTIONS(2945),
    [anon_sym_GT] = ACTIONS(2945),
    [anon_sym_LT_LT] = ACTIONS(2945),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2943),
    [anon_sym_PLUS_EQ] = ACTIONS(2943),
    [anon_sym_DASH_EQ] = ACTIONS(2943),
    [anon_sym_DOT_EQ] = ACTIONS(2943),
    [anon_sym_STAR_EQ] = ACTIONS(2943),
    [anon_sym_SLASH_EQ] = ACTIONS(2943),
    [anon_sym_PERCENT_EQ] = ACTIONS(2943),
    [anon_sym_x_EQ] = ACTIONS(2943),
    [anon_sym_AMP_EQ] = ACTIONS(2943),
    [anon_sym_PIPE_EQ] = ACTIONS(2943),
    [anon_sym_CARET_EQ] = ACTIONS(2943),
    [anon_sym_LT_LT_EQ] = ACTIONS(2943),
    [anon_sym_GT_GT_EQ] = ACTIONS(2943),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2943),
    [anon_sym_DOT_DOT] = ACTIONS(2945),
    [anon_sym_STAR_STAR] = ACTIONS(2945),
    [anon_sym_PIPE_PIPE] = ACTIONS(2945),
    [anon_sym_SLASH_SLASH] = ACTIONS(2945),
    [anon_sym_CARET_CARET] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2945),
    [anon_sym_PIPE] = ACTIONS(2945),
    [anon_sym_CARET] = ACTIONS(2945),
    [anon_sym_AMP] = ACTIONS(2945),
    [anon_sym_GT_GT2] = ACTIONS(2945),
    [anon_sym_PLUS] = ACTIONS(2945),
    [anon_sym_DASH] = ACTIONS(2945),
    [anon_sym_DOT] = ACTIONS(2945),
    [anon_sym_STAR] = ACTIONS(2945),
    [anon_sym_SLASH] = ACTIONS(2945),
    [anon_sym_x] = ACTIONS(2945),
    [anon_sym_EQ_TILDE] = ACTIONS(2943),
    [anon_sym_BANG_TILDE] = ACTIONS(2943),
    [anon_sym_EQ_EQ] = ACTIONS(2945),
    [anon_sym_BANG_EQ] = ACTIONS(2943),
    [anon_sym_eq] = ACTIONS(2945),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2943),
    [anon_sym_equ] = ACTIONS(2943),
    [anon_sym_eqr] = ACTIONS(2943),
    [anon_sym_ne] = ACTIONS(2943),
    [anon_sym_LT_EQ_GT] = ACTIONS(2943),
    [anon_sym_cmp] = ACTIONS(2943),
    [anon_sym_TILDE_TILDE] = ACTIONS(2943),
    [anon_sym_LT] = ACTIONS(2945),
    [anon_sym_LT_EQ] = ACTIONS(2945),
    [anon_sym_GT_EQ] = ACTIONS(2943),
    [anon_sym_lt] = ACTIONS(2943),
    [anon_sym_le] = ACTIONS(2943),
    [anon_sym_ge] = ACTIONS(2943),
    [anon_sym_gt] = ACTIONS(2943),
    [anon_sym_isa] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_QMARK] = ACTIONS(2943),
    [anon_sym_EQ_GT] = ACTIONS(2943),
    [anon_sym_for] = ACTIONS(2945),
    [anon_sym_foreach] = ACTIONS(2943),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2943),
    [anon_sym___END__] = ACTIONS(2943),
    [anon_sym_EOT] = ACTIONS(2943),
    [anon_sym_if] = ACTIONS(2943),
    [anon_sym_unless] = ACTIONS(2943),
    [anon_sym_while] = ACTIONS(2943),
    [anon_sym_until] = ACTIONS(2943),
    [sym__PERLY_SEMICOLON] = ACTIONS(2943),
    [sym__ctrl_z_hack] = ACTIONS(2943),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1312] = {
    [sym_heredoc_content] = STATE(1312),
    [anon_sym_RBRACE] = ACTIONS(1665),
    [anon_sym_SEMI] = ACTIONS(1665),
    [anon_sym_EQ] = ACTIONS(1663),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1665),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1665),
    [anon_sym_COMMA] = ACTIONS(1665),
    [anon_sym_RPAREN] = ACTIONS(1665),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1665),
    [anon_sym_and] = ACTIONS(1665),
    [anon_sym_or] = ACTIONS(1665),
    [anon_sym_xor] = ACTIONS(1665),
    [anon_sym_DASH_GT] = ACTIONS(1665),
    [anon_sym_PERCENT] = ACTIONS(1663),
    [anon_sym_GT] = ACTIONS(1663),
    [anon_sym_LT_LT] = ACTIONS(1663),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1665),
    [anon_sym_PLUS_EQ] = ACTIONS(1665),
    [anon_sym_DASH_EQ] = ACTIONS(1665),
    [anon_sym_DOT_EQ] = ACTIONS(1665),
    [anon_sym_STAR_EQ] = ACTIONS(1665),
    [anon_sym_SLASH_EQ] = ACTIONS(1665),
    [anon_sym_PERCENT_EQ] = ACTIONS(1665),
    [anon_sym_x_EQ] = ACTIONS(1665),
    [anon_sym_AMP_EQ] = ACTIONS(1665),
    [anon_sym_PIPE_EQ] = ACTIONS(1665),
    [anon_sym_CARET_EQ] = ACTIONS(1665),
    [anon_sym_LT_LT_EQ] = ACTIONS(1665),
    [anon_sym_GT_GT_EQ] = ACTIONS(1665),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1665),
    [anon_sym_DOT_DOT] = ACTIONS(1663),
    [anon_sym_STAR_STAR] = ACTIONS(1663),
    [anon_sym_PIPE_PIPE] = ACTIONS(1663),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_CARET_CARET] = ACTIONS(1665),
    [anon_sym_AMP_AMP] = ACTIONS(1663),
    [anon_sym_PIPE] = ACTIONS(1663),
    [anon_sym_CARET] = ACTIONS(1663),
    [anon_sym_AMP] = ACTIONS(1663),
    [anon_sym_GT_GT2] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(1663),
    [anon_sym_DASH] = ACTIONS(1663),
    [anon_sym_DOT] = ACTIONS(1663),
    [anon_sym_STAR] = ACTIONS(1663),
    [anon_sym_SLASH] = ACTIONS(1663),
    [anon_sym_x] = ACTIONS(1663),
    [anon_sym_EQ_TILDE] = ACTIONS(1665),
    [anon_sym_BANG_TILDE] = ACTIONS(1665),
    [anon_sym_EQ_EQ] = ACTIONS(1663),
    [anon_sym_BANG_EQ] = ACTIONS(1665),
    [anon_sym_eq] = ACTIONS(1663),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1665),
    [anon_sym_equ] = ACTIONS(1665),
    [anon_sym_eqr] = ACTIONS(1665),
    [anon_sym_ne] = ACTIONS(1665),
    [anon_sym_LT_EQ_GT] = ACTIONS(1665),
    [anon_sym_cmp] = ACTIONS(1665),
    [anon_sym_TILDE_TILDE] = ACTIONS(1665),
    [anon_sym_LT] = ACTIONS(1663),
    [anon_sym_LT_EQ] = ACTIONS(1663),
    [anon_sym_GT_EQ] = ACTIONS(1665),
    [anon_sym_lt] = ACTIONS(1665),
    [anon_sym_le] = ACTIONS(1665),
    [anon_sym_ge] = ACTIONS(1665),
    [anon_sym_gt] = ACTIONS(1665),
    [anon_sym_isa] = ACTIONS(1665),
    [anon_sym_PLUS_PLUS] = ACTIONS(1665),
    [anon_sym_DASH_DASH] = ACTIONS(1665),
    [anon_sym_QMARK] = ACTIONS(1665),
    [anon_sym_EQ_GT] = ACTIONS(1665),
    [anon_sym_for] = ACTIONS(1663),
    [anon_sym_foreach] = ACTIONS(1665),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(1665),
    [anon_sym___END__] = ACTIONS(1665),
    [anon_sym_EOT] = ACTIONS(1665),
    [anon_sym_if] = ACTIONS(1665),
    [anon_sym_unless] = ACTIONS(1665),
    [anon_sym_while] = ACTIONS(1665),
    [anon_sym_until] = ACTIONS(1665),
    [sym__PERLY_SEMICOLON] = ACTIONS(1665),
    [sym__ctrl_z_hack] = ACTIONS(1665),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1313] = {
    [sym_heredoc_content] = STATE(1313),
    [anon_sym_RBRACE] = ACTIONS(2947),
    [anon_sym_SEMI] = ACTIONS(2947),
    [anon_sym_EQ] = ACTIONS(2949),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2947),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2947),
    [anon_sym_COMMA] = ACTIONS(2947),
    [anon_sym_RPAREN] = ACTIONS(2947),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2947),
    [anon_sym_and] = ACTIONS(2947),
    [anon_sym_or] = ACTIONS(2947),
    [anon_sym_xor] = ACTIONS(2947),
    [anon_sym_DASH_GT] = ACTIONS(2591),
    [anon_sym_PERCENT] = ACTIONS(2593),
    [anon_sym_GT] = ACTIONS(2949),
    [anon_sym_LT_LT] = ACTIONS(2597),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2947),
    [anon_sym_PLUS_EQ] = ACTIONS(2947),
    [anon_sym_DASH_EQ] = ACTIONS(2947),
    [anon_sym_DOT_EQ] = ACTIONS(2947),
    [anon_sym_STAR_EQ] = ACTIONS(2947),
    [anon_sym_SLASH_EQ] = ACTIONS(2947),
    [anon_sym_PERCENT_EQ] = ACTIONS(2947),
    [anon_sym_x_EQ] = ACTIONS(2947),
    [anon_sym_AMP_EQ] = ACTIONS(2947),
    [anon_sym_PIPE_EQ] = ACTIONS(2947),
    [anon_sym_CARET_EQ] = ACTIONS(2947),
    [anon_sym_LT_LT_EQ] = ACTIONS(2947),
    [anon_sym_GT_GT_EQ] = ACTIONS(2947),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2947),
    [anon_sym_DOT_DOT] = ACTIONS(2949),
    [anon_sym_STAR_STAR] = ACTIONS(2601),
    [anon_sym_PIPE_PIPE] = ACTIONS(2949),
    [anon_sym_SLASH_SLASH] = ACTIONS(2949),
    [anon_sym_CARET_CARET] = ACTIONS(2947),
    [anon_sym_AMP_AMP] = ACTIONS(2949),
    [anon_sym_PIPE] = ACTIONS(2949),
    [anon_sym_CARET] = ACTIONS(2949),
    [anon_sym_AMP] = ACTIONS(2949),
    [anon_sym_GT_GT2] = ACTIONS(2597),
    [anon_sym_PLUS] = ACTIONS(2613),
    [anon_sym_DASH] = ACTIONS(2613),
    [anon_sym_DOT] = ACTIONS(2613),
    [anon_sym_STAR] = ACTIONS(2593),
    [anon_sym_SLASH] = ACTIONS(2593),
    [anon_sym_x] = ACTIONS(2593),
    [anon_sym_EQ_TILDE] = ACTIONS(2615),
    [anon_sym_BANG_TILDE] = ACTIONS(2615),
    [anon_sym_EQ_EQ] = ACTIONS(2949),
    [anon_sym_BANG_EQ] = ACTIONS(2947),
    [anon_sym_eq] = ACTIONS(2949),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2947),
    [anon_sym_equ] = ACTIONS(2947),
    [anon_sym_eqr] = ACTIONS(2947),
    [anon_sym_ne] = ACTIONS(2947),
    [anon_sym_LT_EQ_GT] = ACTIONS(2947),
    [anon_sym_cmp] = ACTIONS(2947),
    [anon_sym_TILDE_TILDE] = ACTIONS(2947),
    [anon_sym_LT] = ACTIONS(2949),
    [anon_sym_LT_EQ] = ACTIONS(2949),
    [anon_sym_GT_EQ] = ACTIONS(2947),
    [anon_sym_lt] = ACTIONS(2947),
    [anon_sym_le] = ACTIONS(2947),
    [anon_sym_ge] = ACTIONS(2947),
    [anon_sym_gt] = ACTIONS(2947),
    [anon_sym_isa] = ACTIONS(2947),
    [anon_sym_PLUS_PLUS] = ACTIONS(2627),
    [anon_sym_DASH_DASH] = ACTIONS(2627),
    [anon_sym_QMARK] = ACTIONS(2947),
    [anon_sym_EQ_GT] = ACTIONS(2947),
    [anon_sym_for] = ACTIONS(2949),
    [anon_sym_foreach] = ACTIONS(2947),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2947),
    [anon_sym___END__] = ACTIONS(2947),
    [anon_sym_EOT] = ACTIONS(2947),
    [anon_sym_if] = ACTIONS(2947),
    [anon_sym_unless] = ACTIONS(2947),
    [anon_sym_while] = ACTIONS(2947),
    [anon_sym_until] = ACTIONS(2947),
    [sym__PERLY_SEMICOLON] = ACTIONS(2947),
    [sym__ctrl_z_hack] = ACTIONS(2947),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1314] = {
    [sym_heredoc_content] = STATE(1314),
    [anon_sym_RBRACE] = ACTIONS(2951),
    [anon_sym_SEMI] = ACTIONS(2951),
    [anon_sym_EQ] = ACTIONS(2953),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2951),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2951),
    [anon_sym_COMMA] = ACTIONS(2951),
    [anon_sym_RPAREN] = ACTIONS(2951),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2951),
    [anon_sym_and] = ACTIONS(2951),
    [anon_sym_or] = ACTIONS(2951),
    [anon_sym_xor] = ACTIONS(2951),
    [anon_sym_DASH_GT] = ACTIONS(2951),
    [anon_sym_PERCENT] = ACTIONS(2953),
    [anon_sym_GT] = ACTIONS(2953),
    [anon_sym_LT_LT] = ACTIONS(2953),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2951),
    [anon_sym_PLUS_EQ] = ACTIONS(2951),
    [anon_sym_DASH_EQ] = ACTIONS(2951),
    [anon_sym_DOT_EQ] = ACTIONS(2951),
    [anon_sym_STAR_EQ] = ACTIONS(2951),
    [anon_sym_SLASH_EQ] = ACTIONS(2951),
    [anon_sym_PERCENT_EQ] = ACTIONS(2951),
    [anon_sym_x_EQ] = ACTIONS(2951),
    [anon_sym_AMP_EQ] = ACTIONS(2951),
    [anon_sym_PIPE_EQ] = ACTIONS(2951),
    [anon_sym_CARET_EQ] = ACTIONS(2951),
    [anon_sym_LT_LT_EQ] = ACTIONS(2951),
    [anon_sym_GT_GT_EQ] = ACTIONS(2951),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2951),
    [anon_sym_DOT_DOT] = ACTIONS(2953),
    [anon_sym_STAR_STAR] = ACTIONS(2953),
    [anon_sym_PIPE_PIPE] = ACTIONS(2953),
    [anon_sym_SLASH_SLASH] = ACTIONS(2953),
    [anon_sym_CARET_CARET] = ACTIONS(2951),
    [anon_sym_AMP_AMP] = ACTIONS(2953),
    [anon_sym_PIPE] = ACTIONS(2953),
    [anon_sym_CARET] = ACTIONS(2953),
    [anon_sym_AMP] = ACTIONS(2953),
    [anon_sym_GT_GT2] = ACTIONS(2953),
    [anon_sym_PLUS] = ACTIONS(2953),
    [anon_sym_DASH] = ACTIONS(2953),
    [anon_sym_DOT] = ACTIONS(2953),
    [anon_sym_STAR] = ACTIONS(2953),
    [anon_sym_SLASH] = ACTIONS(2953),
    [anon_sym_x] = ACTIONS(2953),
    [anon_sym_EQ_TILDE] = ACTIONS(2951),
    [anon_sym_BANG_TILDE] = ACTIONS(2951),
    [anon_sym_EQ_EQ] = ACTIONS(2953),
    [anon_sym_BANG_EQ] = ACTIONS(2951),
    [anon_sym_eq] = ACTIONS(2953),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2951),
    [anon_sym_equ] = ACTIONS(2951),
    [anon_sym_eqr] = ACTIONS(2951),
    [anon_sym_ne] = ACTIONS(2951),
    [anon_sym_LT_EQ_GT] = ACTIONS(2951),
    [anon_sym_cmp] = ACTIONS(2951),
    [anon_sym_TILDE_TILDE] = ACTIONS(2951),
    [anon_sym_LT] = ACTIONS(2953),
    [anon_sym_LT_EQ] = ACTIONS(2953),
    [anon_sym_GT_EQ] = ACTIONS(2951),
    [anon_sym_lt] = ACTIONS(2951),
    [anon_sym_le] = ACTIONS(2951),
    [anon_sym_ge] = ACTIONS(2951),
    [anon_sym_gt] = ACTIONS(2951),
    [anon_sym_isa] = ACTIONS(2951),
    [anon_sym_PLUS_PLUS] = ACTIONS(2951),
    [anon_sym_DASH_DASH] = ACTIONS(2951),
    [anon_sym_QMARK] = ACTIONS(2951),
    [anon_sym_EQ_GT] = ACTIONS(2951),
    [anon_sym_for] = ACTIONS(2953),
    [anon_sym_foreach] = ACTIONS(2951),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2951),
    [anon_sym___END__] = ACTIONS(2951),
    [anon_sym_EOT] = ACTIONS(2951),
    [anon_sym_if] = ACTIONS(2951),
    [anon_sym_unless] = ACTIONS(2951),
    [anon_sym_while] = ACTIONS(2951),
    [anon_sym_until] = ACTIONS(2951),
    [sym__PERLY_SEMICOLON] = ACTIONS(2951),
    [sym__ctrl_z_hack] = ACTIONS(2951),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1315] = {
    [sym_heredoc_content] = STATE(1315),
    [anon_sym_RBRACE] = ACTIONS(2955),
    [anon_sym_SEMI] = ACTIONS(2955),
    [anon_sym_EQ] = ACTIONS(2957),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2955),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2955),
    [anon_sym_COMMA] = ACTIONS(2955),
    [anon_sym_RPAREN] = ACTIONS(2955),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2955),
    [anon_sym_and] = ACTIONS(2955),
    [anon_sym_or] = ACTIONS(2955),
    [anon_sym_xor] = ACTIONS(2955),
    [anon_sym_DASH_GT] = ACTIONS(2955),
    [anon_sym_PERCENT] = ACTIONS(2957),
    [anon_sym_GT] = ACTIONS(2957),
    [anon_sym_LT_LT] = ACTIONS(2957),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2955),
    [anon_sym_PLUS_EQ] = ACTIONS(2955),
    [anon_sym_DASH_EQ] = ACTIONS(2955),
    [anon_sym_DOT_EQ] = ACTIONS(2955),
    [anon_sym_STAR_EQ] = ACTIONS(2955),
    [anon_sym_SLASH_EQ] = ACTIONS(2955),
    [anon_sym_PERCENT_EQ] = ACTIONS(2955),
    [anon_sym_x_EQ] = ACTIONS(2955),
    [anon_sym_AMP_EQ] = ACTIONS(2955),
    [anon_sym_PIPE_EQ] = ACTIONS(2955),
    [anon_sym_CARET_EQ] = ACTIONS(2955),
    [anon_sym_LT_LT_EQ] = ACTIONS(2955),
    [anon_sym_GT_GT_EQ] = ACTIONS(2955),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2955),
    [anon_sym_DOT_DOT] = ACTIONS(2957),
    [anon_sym_STAR_STAR] = ACTIONS(2957),
    [anon_sym_PIPE_PIPE] = ACTIONS(2957),
    [anon_sym_SLASH_SLASH] = ACTIONS(2957),
    [anon_sym_CARET_CARET] = ACTIONS(2955),
    [anon_sym_AMP_AMP] = ACTIONS(2957),
    [anon_sym_PIPE] = ACTIONS(2957),
    [anon_sym_CARET] = ACTIONS(2957),
    [anon_sym_AMP] = ACTIONS(2957),
    [anon_sym_GT_GT2] = ACTIONS(2957),
    [anon_sym_PLUS] = ACTIONS(2957),
    [anon_sym_DASH] = ACTIONS(2957),
    [anon_sym_DOT] = ACTIONS(2957),
    [anon_sym_STAR] = ACTIONS(2957),
    [anon_sym_SLASH] = ACTIONS(2957),
    [anon_sym_x] = ACTIONS(2957),
    [anon_sym_EQ_TILDE] = ACTIONS(2955),
    [anon_sym_BANG_TILDE] = ACTIONS(2955),
    [anon_sym_EQ_EQ] = ACTIONS(2957),
    [anon_sym_BANG_EQ] = ACTIONS(2955),
    [anon_sym_eq] = ACTIONS(2957),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2955),
    [anon_sym_equ] = ACTIONS(2955),
    [anon_sym_eqr] = ACTIONS(2955),
    [anon_sym_ne] = ACTIONS(2955),
    [anon_sym_LT_EQ_GT] = ACTIONS(2955),
    [anon_sym_cmp] = ACTIONS(2955),
    [anon_sym_TILDE_TILDE] = ACTIONS(2955),
    [anon_sym_LT] = ACTIONS(2957),
    [anon_sym_LT_EQ] = ACTIONS(2957),
    [anon_sym_GT_EQ] = ACTIONS(2955),
    [anon_sym_lt] = ACTIONS(2955),
    [anon_sym_le] = ACTIONS(2955),
    [anon_sym_ge] = ACTIONS(2955),
    [anon_sym_gt] = ACTIONS(2955),
    [anon_sym_isa] = ACTIONS(2955),
    [anon_sym_PLUS_PLUS] = ACTIONS(2955),
    [anon_sym_DASH_DASH] = ACTIONS(2955),
    [anon_sym_QMARK] = ACTIONS(2955),
    [anon_sym_EQ_GT] = ACTIONS(2955),
    [anon_sym_for] = ACTIONS(2957),
    [anon_sym_foreach] = ACTIONS(2955),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2955),
    [anon_sym___END__] = ACTIONS(2955),
    [anon_sym_EOT] = ACTIONS(2955),
    [anon_sym_if] = ACTIONS(2955),
    [anon_sym_unless] = ACTIONS(2955),
    [anon_sym_while] = ACTIONS(2955),
    [anon_sym_until] = ACTIONS(2955),
    [sym__PERLY_SEMICOLON] = ACTIONS(2955),
    [sym__ctrl_z_hack] = ACTIONS(2955),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1316] = {
    [sym_heredoc_content] = STATE(1316),
    [anon_sym_RBRACE] = ACTIONS(2959),
    [anon_sym_SEMI] = ACTIONS(2959),
    [anon_sym_EQ] = ACTIONS(2961),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2959),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2959),
    [anon_sym_COMMA] = ACTIONS(2959),
    [anon_sym_RPAREN] = ACTIONS(2959),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2959),
    [anon_sym_and] = ACTIONS(2959),
    [anon_sym_or] = ACTIONS(2959),
    [anon_sym_xor] = ACTIONS(2959),
    [anon_sym_DASH_GT] = ACTIONS(2959),
    [anon_sym_PERCENT] = ACTIONS(2961),
    [anon_sym_GT] = ACTIONS(2961),
    [anon_sym_LT_LT] = ACTIONS(2961),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2959),
    [anon_sym_PLUS_EQ] = ACTIONS(2959),
    [anon_sym_DASH_EQ] = ACTIONS(2959),
    [anon_sym_DOT_EQ] = ACTIONS(2959),
    [anon_sym_STAR_EQ] = ACTIONS(2959),
    [anon_sym_SLASH_EQ] = ACTIONS(2959),
    [anon_sym_PERCENT_EQ] = ACTIONS(2959),
    [anon_sym_x_EQ] = ACTIONS(2959),
    [anon_sym_AMP_EQ] = ACTIONS(2959),
    [anon_sym_PIPE_EQ] = ACTIONS(2959),
    [anon_sym_CARET_EQ] = ACTIONS(2959),
    [anon_sym_LT_LT_EQ] = ACTIONS(2959),
    [anon_sym_GT_GT_EQ] = ACTIONS(2959),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2959),
    [anon_sym_DOT_DOT] = ACTIONS(2961),
    [anon_sym_STAR_STAR] = ACTIONS(2961),
    [anon_sym_PIPE_PIPE] = ACTIONS(2961),
    [anon_sym_SLASH_SLASH] = ACTIONS(2961),
    [anon_sym_CARET_CARET] = ACTIONS(2959),
    [anon_sym_AMP_AMP] = ACTIONS(2961),
    [anon_sym_PIPE] = ACTIONS(2961),
    [anon_sym_CARET] = ACTIONS(2961),
    [anon_sym_AMP] = ACTIONS(2961),
    [anon_sym_GT_GT2] = ACTIONS(2961),
    [anon_sym_PLUS] = ACTIONS(2961),
    [anon_sym_DASH] = ACTIONS(2961),
    [anon_sym_DOT] = ACTIONS(2961),
    [anon_sym_STAR] = ACTIONS(2961),
    [anon_sym_SLASH] = ACTIONS(2961),
    [anon_sym_x] = ACTIONS(2961),
    [anon_sym_EQ_TILDE] = ACTIONS(2959),
    [anon_sym_BANG_TILDE] = ACTIONS(2959),
    [anon_sym_EQ_EQ] = ACTIONS(2961),
    [anon_sym_BANG_EQ] = ACTIONS(2959),
    [anon_sym_eq] = ACTIONS(2961),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2959),
    [anon_sym_equ] = ACTIONS(2959),
    [anon_sym_eqr] = ACTIONS(2959),
    [anon_sym_ne] = ACTIONS(2959),
    [anon_sym_LT_EQ_GT] = ACTIONS(2959),
    [anon_sym_cmp] = ACTIONS(2959),
    [anon_sym_TILDE_TILDE] = ACTIONS(2959),
    [anon_sym_LT] = ACTIONS(2961),
    [anon_sym_LT_EQ] = ACTIONS(2961),
    [anon_sym_GT_EQ] = ACTIONS(2959),
    [anon_sym_lt] = ACTIONS(2959),
    [anon_sym_le] = ACTIONS(2959),
    [anon_sym_ge] = ACTIONS(2959),
    [anon_sym_gt] = ACTIONS(2959),
    [anon_sym_isa] = ACTIONS(2959),
    [anon_sym_PLUS_PLUS] = ACTIONS(2959),
    [anon_sym_DASH_DASH] = ACTIONS(2959),
    [anon_sym_QMARK] = ACTIONS(2959),
    [anon_sym_EQ_GT] = ACTIONS(2959),
    [anon_sym_for] = ACTIONS(2961),
    [anon_sym_foreach] = ACTIONS(2959),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2959),
    [anon_sym___END__] = ACTIONS(2959),
    [anon_sym_EOT] = ACTIONS(2959),
    [anon_sym_if] = ACTIONS(2959),
    [anon_sym_unless] = ACTIONS(2959),
    [anon_sym_while] = ACTIONS(2959),
    [anon_sym_until] = ACTIONS(2959),
    [sym__PERLY_SEMICOLON] = ACTIONS(2959),
    [sym__ctrl_z_hack] = ACTIONS(2959),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1317] = {
    [sym_heredoc_content] = STATE(1317),
    [anon_sym_RBRACE] = ACTIONS(2963),
    [anon_sym_SEMI] = ACTIONS(2963),
    [anon_sym_EQ] = ACTIONS(2965),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2963),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2963),
    [anon_sym_COMMA] = ACTIONS(2963),
    [anon_sym_RPAREN] = ACTIONS(2963),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2963),
    [anon_sym_and] = ACTIONS(2963),
    [anon_sym_or] = ACTIONS(2963),
    [anon_sym_xor] = ACTIONS(2963),
    [anon_sym_DASH_GT] = ACTIONS(2963),
    [anon_sym_PERCENT] = ACTIONS(2965),
    [anon_sym_GT] = ACTIONS(2965),
    [anon_sym_LT_LT] = ACTIONS(2965),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2963),
    [anon_sym_PLUS_EQ] = ACTIONS(2963),
    [anon_sym_DASH_EQ] = ACTIONS(2963),
    [anon_sym_DOT_EQ] = ACTIONS(2963),
    [anon_sym_STAR_EQ] = ACTIONS(2963),
    [anon_sym_SLASH_EQ] = ACTIONS(2963),
    [anon_sym_PERCENT_EQ] = ACTIONS(2963),
    [anon_sym_x_EQ] = ACTIONS(2963),
    [anon_sym_AMP_EQ] = ACTIONS(2963),
    [anon_sym_PIPE_EQ] = ACTIONS(2963),
    [anon_sym_CARET_EQ] = ACTIONS(2963),
    [anon_sym_LT_LT_EQ] = ACTIONS(2963),
    [anon_sym_GT_GT_EQ] = ACTIONS(2963),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2963),
    [anon_sym_DOT_DOT] = ACTIONS(2965),
    [anon_sym_STAR_STAR] = ACTIONS(2965),
    [anon_sym_PIPE_PIPE] = ACTIONS(2965),
    [anon_sym_SLASH_SLASH] = ACTIONS(2965),
    [anon_sym_CARET_CARET] = ACTIONS(2963),
    [anon_sym_AMP_AMP] = ACTIONS(2965),
    [anon_sym_PIPE] = ACTIONS(2965),
    [anon_sym_CARET] = ACTIONS(2965),
    [anon_sym_AMP] = ACTIONS(2965),
    [anon_sym_GT_GT2] = ACTIONS(2965),
    [anon_sym_PLUS] = ACTIONS(2965),
    [anon_sym_DASH] = ACTIONS(2965),
    [anon_sym_DOT] = ACTIONS(2965),
    [anon_sym_STAR] = ACTIONS(2965),
    [anon_sym_SLASH] = ACTIONS(2965),
    [anon_sym_x] = ACTIONS(2965),
    [anon_sym_EQ_TILDE] = ACTIONS(2963),
    [anon_sym_BANG_TILDE] = ACTIONS(2963),
    [anon_sym_EQ_EQ] = ACTIONS(2965),
    [anon_sym_BANG_EQ] = ACTIONS(2963),
    [anon_sym_eq] = ACTIONS(2965),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2963),
    [anon_sym_equ] = ACTIONS(2963),
    [anon_sym_eqr] = ACTIONS(2963),
    [anon_sym_ne] = ACTIONS(2963),
    [anon_sym_LT_EQ_GT] = ACTIONS(2963),
    [anon_sym_cmp] = ACTIONS(2963),
    [anon_sym_TILDE_TILDE] = ACTIONS(2963),
    [anon_sym_LT] = ACTIONS(2965),
    [anon_sym_LT_EQ] = ACTIONS(2965),
    [anon_sym_GT_EQ] = ACTIONS(2963),
    [anon_sym_lt] = ACTIONS(2963),
    [anon_sym_le] = ACTIONS(2963),
    [anon_sym_ge] = ACTIONS(2963),
    [anon_sym_gt] = ACTIONS(2963),
    [anon_sym_isa] = ACTIONS(2963),
    [anon_sym_PLUS_PLUS] = ACTIONS(2963),
    [anon_sym_DASH_DASH] = ACTIONS(2963),
    [anon_sym_QMARK] = ACTIONS(2963),
    [anon_sym_EQ_GT] = ACTIONS(2963),
    [anon_sym_for] = ACTIONS(2965),
    [anon_sym_foreach] = ACTIONS(2963),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2963),
    [anon_sym___END__] = ACTIONS(2963),
    [anon_sym_EOT] = ACTIONS(2963),
    [anon_sym_if] = ACTIONS(2963),
    [anon_sym_unless] = ACTIONS(2963),
    [anon_sym_while] = ACTIONS(2963),
    [anon_sym_until] = ACTIONS(2963),
    [sym__PERLY_SEMICOLON] = ACTIONS(2963),
    [sym__ctrl_z_hack] = ACTIONS(2963),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1318] = {
    [sym_heredoc_content] = STATE(1318),
    [anon_sym_RBRACE] = ACTIONS(2967),
    [anon_sym_SEMI] = ACTIONS(2967),
    [anon_sym_EQ] = ACTIONS(2969),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2967),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2967),
    [anon_sym_COMMA] = ACTIONS(2967),
    [anon_sym_RPAREN] = ACTIONS(2967),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2967),
    [anon_sym_and] = ACTIONS(2967),
    [anon_sym_or] = ACTIONS(2967),
    [anon_sym_xor] = ACTIONS(2967),
    [anon_sym_DASH_GT] = ACTIONS(2967),
    [anon_sym_PERCENT] = ACTIONS(2969),
    [anon_sym_GT] = ACTIONS(2969),
    [anon_sym_LT_LT] = ACTIONS(2969),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2967),
    [anon_sym_PLUS_EQ] = ACTIONS(2967),
    [anon_sym_DASH_EQ] = ACTIONS(2967),
    [anon_sym_DOT_EQ] = ACTIONS(2967),
    [anon_sym_STAR_EQ] = ACTIONS(2967),
    [anon_sym_SLASH_EQ] = ACTIONS(2967),
    [anon_sym_PERCENT_EQ] = ACTIONS(2967),
    [anon_sym_x_EQ] = ACTIONS(2967),
    [anon_sym_AMP_EQ] = ACTIONS(2967),
    [anon_sym_PIPE_EQ] = ACTIONS(2967),
    [anon_sym_CARET_EQ] = ACTIONS(2967),
    [anon_sym_LT_LT_EQ] = ACTIONS(2967),
    [anon_sym_GT_GT_EQ] = ACTIONS(2967),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2967),
    [anon_sym_DOT_DOT] = ACTIONS(2969),
    [anon_sym_STAR_STAR] = ACTIONS(2969),
    [anon_sym_PIPE_PIPE] = ACTIONS(2969),
    [anon_sym_SLASH_SLASH] = ACTIONS(2969),
    [anon_sym_CARET_CARET] = ACTIONS(2967),
    [anon_sym_AMP_AMP] = ACTIONS(2969),
    [anon_sym_PIPE] = ACTIONS(2969),
    [anon_sym_CARET] = ACTIONS(2969),
    [anon_sym_AMP] = ACTIONS(2969),
    [anon_sym_GT_GT2] = ACTIONS(2969),
    [anon_sym_PLUS] = ACTIONS(2969),
    [anon_sym_DASH] = ACTIONS(2969),
    [anon_sym_DOT] = ACTIONS(2969),
    [anon_sym_STAR] = ACTIONS(2969),
    [anon_sym_SLASH] = ACTIONS(2969),
    [anon_sym_x] = ACTIONS(2969),
    [anon_sym_EQ_TILDE] = ACTIONS(2967),
    [anon_sym_BANG_TILDE] = ACTIONS(2967),
    [anon_sym_EQ_EQ] = ACTIONS(2969),
    [anon_sym_BANG_EQ] = ACTIONS(2967),
    [anon_sym_eq] = ACTIONS(2969),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2967),
    [anon_sym_equ] = ACTIONS(2967),
    [anon_sym_eqr] = ACTIONS(2967),
    [anon_sym_ne] = ACTIONS(2967),
    [anon_sym_LT_EQ_GT] = ACTIONS(2967),
    [anon_sym_cmp] = ACTIONS(2967),
    [anon_sym_TILDE_TILDE] = ACTIONS(2967),
    [anon_sym_LT] = ACTIONS(2969),
    [anon_sym_LT_EQ] = ACTIONS(2969),
    [anon_sym_GT_EQ] = ACTIONS(2967),
    [anon_sym_lt] = ACTIONS(2967),
    [anon_sym_le] = ACTIONS(2967),
    [anon_sym_ge] = ACTIONS(2967),
    [anon_sym_gt] = ACTIONS(2967),
    [anon_sym_isa] = ACTIONS(2967),
    [anon_sym_PLUS_PLUS] = ACTIONS(2967),
    [anon_sym_DASH_DASH] = ACTIONS(2967),
    [anon_sym_QMARK] = ACTIONS(2967),
    [anon_sym_EQ_GT] = ACTIONS(2967),
    [anon_sym_for] = ACTIONS(2969),
    [anon_sym_foreach] = ACTIONS(2967),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2967),
    [anon_sym___END__] = ACTIONS(2967),
    [anon_sym_EOT] = ACTIONS(2967),
    [anon_sym_if] = ACTIONS(2967),
    [anon_sym_unless] = ACTIONS(2967),
    [anon_sym_while] = ACTIONS(2967),
    [anon_sym_until] = ACTIONS(2967),
    [sym__PERLY_SEMICOLON] = ACTIONS(2967),
    [sym__ctrl_z_hack] = ACTIONS(2967),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1319] = {
    [sym_heredoc_content] = STATE(1319),
    [anon_sym_RBRACE] = ACTIONS(2971),
    [anon_sym_SEMI] = ACTIONS(2971),
    [anon_sym_EQ] = ACTIONS(2973),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2971),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2971),
    [anon_sym_COMMA] = ACTIONS(2971),
    [anon_sym_RPAREN] = ACTIONS(2971),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2971),
    [anon_sym_and] = ACTIONS(2971),
    [anon_sym_or] = ACTIONS(2971),
    [anon_sym_xor] = ACTIONS(2971),
    [anon_sym_DASH_GT] = ACTIONS(2971),
    [anon_sym_PERCENT] = ACTIONS(2973),
    [anon_sym_GT] = ACTIONS(2973),
    [anon_sym_LT_LT] = ACTIONS(2973),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2971),
    [anon_sym_PLUS_EQ] = ACTIONS(2971),
    [anon_sym_DASH_EQ] = ACTIONS(2971),
    [anon_sym_DOT_EQ] = ACTIONS(2971),
    [anon_sym_STAR_EQ] = ACTIONS(2971),
    [anon_sym_SLASH_EQ] = ACTIONS(2971),
    [anon_sym_PERCENT_EQ] = ACTIONS(2971),
    [anon_sym_x_EQ] = ACTIONS(2971),
    [anon_sym_AMP_EQ] = ACTIONS(2971),
    [anon_sym_PIPE_EQ] = ACTIONS(2971),
    [anon_sym_CARET_EQ] = ACTIONS(2971),
    [anon_sym_LT_LT_EQ] = ACTIONS(2971),
    [anon_sym_GT_GT_EQ] = ACTIONS(2971),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2971),
    [anon_sym_DOT_DOT] = ACTIONS(2973),
    [anon_sym_STAR_STAR] = ACTIONS(2973),
    [anon_sym_PIPE_PIPE] = ACTIONS(2973),
    [anon_sym_SLASH_SLASH] = ACTIONS(2973),
    [anon_sym_CARET_CARET] = ACTIONS(2971),
    [anon_sym_AMP_AMP] = ACTIONS(2973),
    [anon_sym_PIPE] = ACTIONS(2973),
    [anon_sym_CARET] = ACTIONS(2973),
    [anon_sym_AMP] = ACTIONS(2973),
    [anon_sym_GT_GT2] = ACTIONS(2973),
    [anon_sym_PLUS] = ACTIONS(2973),
    [anon_sym_DASH] = ACTIONS(2973),
    [anon_sym_DOT] = ACTIONS(2973),
    [anon_sym_STAR] = ACTIONS(2973),
    [anon_sym_SLASH] = ACTIONS(2973),
    [anon_sym_x] = ACTIONS(2973),
    [anon_sym_EQ_TILDE] = ACTIONS(2971),
    [anon_sym_BANG_TILDE] = ACTIONS(2971),
    [anon_sym_EQ_EQ] = ACTIONS(2973),
    [anon_sym_BANG_EQ] = ACTIONS(2971),
    [anon_sym_eq] = ACTIONS(2973),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2971),
    [anon_sym_equ] = ACTIONS(2971),
    [anon_sym_eqr] = ACTIONS(2971),
    [anon_sym_ne] = ACTIONS(2971),
    [anon_sym_LT_EQ_GT] = ACTIONS(2971),
    [anon_sym_cmp] = ACTIONS(2971),
    [anon_sym_TILDE_TILDE] = ACTIONS(2971),
    [anon_sym_LT] = ACTIONS(2973),
    [anon_sym_LT_EQ] = ACTIONS(2973),
    [anon_sym_GT_EQ] = ACTIONS(2971),
    [anon_sym_lt] = ACTIONS(2971),
    [anon_sym_le] = ACTIONS(2971),
    [anon_sym_ge] = ACTIONS(2971),
    [anon_sym_gt] = ACTIONS(2971),
    [anon_sym_isa] = ACTIONS(2971),
    [anon_sym_PLUS_PLUS] = ACTIONS(2971),
    [anon_sym_DASH_DASH] = ACTIONS(2971),
    [anon_sym_QMARK] = ACTIONS(2971),
    [anon_sym_EQ_GT] = ACTIONS(2971),
    [anon_sym_for] = ACTIONS(2973),
    [anon_sym_foreach] = ACTIONS(2971),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2971),
    [anon_sym___END__] = ACTIONS(2971),
    [anon_sym_EOT] = ACTIONS(2971),
    [anon_sym_if] = ACTIONS(2971),
    [anon_sym_unless] = ACTIONS(2971),
    [anon_sym_while] = ACTIONS(2971),
    [anon_sym_until] = ACTIONS(2971),
    [sym__PERLY_SEMICOLON] = ACTIONS(2971),
    [sym__ctrl_z_hack] = ACTIONS(2971),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1320] = {
    [sym_heredoc_content] = STATE(1320),
    [anon_sym_RBRACE] = ACTIONS(2975),
    [anon_sym_SEMI] = ACTIONS(2975),
    [anon_sym_EQ] = ACTIONS(2977),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2975),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2975),
    [anon_sym_COMMA] = ACTIONS(2975),
    [anon_sym_RPAREN] = ACTIONS(2975),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2975),
    [anon_sym_and] = ACTIONS(2975),
    [anon_sym_or] = ACTIONS(2975),
    [anon_sym_xor] = ACTIONS(2975),
    [anon_sym_DASH_GT] = ACTIONS(2975),
    [anon_sym_PERCENT] = ACTIONS(2977),
    [anon_sym_GT] = ACTIONS(2977),
    [anon_sym_LT_LT] = ACTIONS(2977),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2975),
    [anon_sym_PLUS_EQ] = ACTIONS(2975),
    [anon_sym_DASH_EQ] = ACTIONS(2975),
    [anon_sym_DOT_EQ] = ACTIONS(2975),
    [anon_sym_STAR_EQ] = ACTIONS(2975),
    [anon_sym_SLASH_EQ] = ACTIONS(2975),
    [anon_sym_PERCENT_EQ] = ACTIONS(2975),
    [anon_sym_x_EQ] = ACTIONS(2975),
    [anon_sym_AMP_EQ] = ACTIONS(2975),
    [anon_sym_PIPE_EQ] = ACTIONS(2975),
    [anon_sym_CARET_EQ] = ACTIONS(2975),
    [anon_sym_LT_LT_EQ] = ACTIONS(2975),
    [anon_sym_GT_GT_EQ] = ACTIONS(2975),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2975),
    [anon_sym_DOT_DOT] = ACTIONS(2977),
    [anon_sym_STAR_STAR] = ACTIONS(2977),
    [anon_sym_PIPE_PIPE] = ACTIONS(2977),
    [anon_sym_SLASH_SLASH] = ACTIONS(2977),
    [anon_sym_CARET_CARET] = ACTIONS(2975),
    [anon_sym_AMP_AMP] = ACTIONS(2977),
    [anon_sym_PIPE] = ACTIONS(2977),
    [anon_sym_CARET] = ACTIONS(2977),
    [anon_sym_AMP] = ACTIONS(2977),
    [anon_sym_GT_GT2] = ACTIONS(2977),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(2977),
    [anon_sym_DOT] = ACTIONS(2977),
    [anon_sym_STAR] = ACTIONS(2977),
    [anon_sym_SLASH] = ACTIONS(2977),
    [anon_sym_x] = ACTIONS(2977),
    [anon_sym_EQ_TILDE] = ACTIONS(2975),
    [anon_sym_BANG_TILDE] = ACTIONS(2975),
    [anon_sym_EQ_EQ] = ACTIONS(2977),
    [anon_sym_BANG_EQ] = ACTIONS(2975),
    [anon_sym_eq] = ACTIONS(2977),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2975),
    [anon_sym_equ] = ACTIONS(2975),
    [anon_sym_eqr] = ACTIONS(2975),
    [anon_sym_ne] = ACTIONS(2975),
    [anon_sym_LT_EQ_GT] = ACTIONS(2975),
    [anon_sym_cmp] = ACTIONS(2975),
    [anon_sym_TILDE_TILDE] = ACTIONS(2975),
    [anon_sym_LT] = ACTIONS(2977),
    [anon_sym_LT_EQ] = ACTIONS(2977),
    [anon_sym_GT_EQ] = ACTIONS(2975),
    [anon_sym_lt] = ACTIONS(2975),
    [anon_sym_le] = ACTIONS(2975),
    [anon_sym_ge] = ACTIONS(2975),
    [anon_sym_gt] = ACTIONS(2975),
    [anon_sym_isa] = ACTIONS(2975),
    [anon_sym_PLUS_PLUS] = ACTIONS(2975),
    [anon_sym_DASH_DASH] = ACTIONS(2975),
    [anon_sym_QMARK] = ACTIONS(2975),
    [anon_sym_EQ_GT] = ACTIONS(2975),
    [anon_sym_for] = ACTIONS(2977),
    [anon_sym_foreach] = ACTIONS(2975),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2975),
    [anon_sym___END__] = ACTIONS(2975),
    [anon_sym_EOT] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2975),
    [anon_sym_unless] = ACTIONS(2975),
    [anon_sym_while] = ACTIONS(2975),
    [anon_sym_until] = ACTIONS(2975),
    [sym__PERLY_SEMICOLON] = ACTIONS(2975),
    [sym__ctrl_z_hack] = ACTIONS(2975),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1321] = {
    [sym_heredoc_content] = STATE(1321),
    [anon_sym_RBRACE] = ACTIONS(2979),
    [anon_sym_SEMI] = ACTIONS(2979),
    [anon_sym_EQ] = ACTIONS(2981),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2979),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2979),
    [anon_sym_COMMA] = ACTIONS(2979),
    [anon_sym_RPAREN] = ACTIONS(2979),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2979),
    [anon_sym_and] = ACTIONS(2979),
    [anon_sym_or] = ACTIONS(2979),
    [anon_sym_xor] = ACTIONS(2979),
    [anon_sym_DASH_GT] = ACTIONS(2979),
    [anon_sym_PERCENT] = ACTIONS(2981),
    [anon_sym_GT] = ACTIONS(2981),
    [anon_sym_LT_LT] = ACTIONS(2981),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2979),
    [anon_sym_PLUS_EQ] = ACTIONS(2979),
    [anon_sym_DASH_EQ] = ACTIONS(2979),
    [anon_sym_DOT_EQ] = ACTIONS(2979),
    [anon_sym_STAR_EQ] = ACTIONS(2979),
    [anon_sym_SLASH_EQ] = ACTIONS(2979),
    [anon_sym_PERCENT_EQ] = ACTIONS(2979),
    [anon_sym_x_EQ] = ACTIONS(2979),
    [anon_sym_AMP_EQ] = ACTIONS(2979),
    [anon_sym_PIPE_EQ] = ACTIONS(2979),
    [anon_sym_CARET_EQ] = ACTIONS(2979),
    [anon_sym_LT_LT_EQ] = ACTIONS(2979),
    [anon_sym_GT_GT_EQ] = ACTIONS(2979),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2979),
    [anon_sym_DOT_DOT] = ACTIONS(2981),
    [anon_sym_STAR_STAR] = ACTIONS(2981),
    [anon_sym_PIPE_PIPE] = ACTIONS(2981),
    [anon_sym_SLASH_SLASH] = ACTIONS(2981),
    [anon_sym_CARET_CARET] = ACTIONS(2979),
    [anon_sym_AMP_AMP] = ACTIONS(2981),
    [anon_sym_PIPE] = ACTIONS(2981),
    [anon_sym_CARET] = ACTIONS(2981),
    [anon_sym_AMP] = ACTIONS(2981),
    [anon_sym_GT_GT2] = ACTIONS(2981),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_DOT] = ACTIONS(2981),
    [anon_sym_STAR] = ACTIONS(2981),
    [anon_sym_SLASH] = ACTIONS(2981),
    [anon_sym_x] = ACTIONS(2981),
    [anon_sym_EQ_TILDE] = ACTIONS(2979),
    [anon_sym_BANG_TILDE] = ACTIONS(2979),
    [anon_sym_EQ_EQ] = ACTIONS(2981),
    [anon_sym_BANG_EQ] = ACTIONS(2979),
    [anon_sym_eq] = ACTIONS(2981),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2979),
    [anon_sym_equ] = ACTIONS(2979),
    [anon_sym_eqr] = ACTIONS(2979),
    [anon_sym_ne] = ACTIONS(2979),
    [anon_sym_LT_EQ_GT] = ACTIONS(2979),
    [anon_sym_cmp] = ACTIONS(2979),
    [anon_sym_TILDE_TILDE] = ACTIONS(2979),
    [anon_sym_LT] = ACTIONS(2981),
    [anon_sym_LT_EQ] = ACTIONS(2981),
    [anon_sym_GT_EQ] = ACTIONS(2979),
    [anon_sym_lt] = ACTIONS(2979),
    [anon_sym_le] = ACTIONS(2979),
    [anon_sym_ge] = ACTIONS(2979),
    [anon_sym_gt] = ACTIONS(2979),
    [anon_sym_isa] = ACTIONS(2979),
    [anon_sym_PLUS_PLUS] = ACTIONS(2979),
    [anon_sym_DASH_DASH] = ACTIONS(2979),
    [anon_sym_QMARK] = ACTIONS(2979),
    [anon_sym_EQ_GT] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_foreach] = ACTIONS(2979),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2979),
    [anon_sym___END__] = ACTIONS(2979),
    [anon_sym_EOT] = ACTIONS(2979),
    [anon_sym_if] = ACTIONS(2979),
    [anon_sym_unless] = ACTIONS(2979),
    [anon_sym_while] = ACTIONS(2979),
    [anon_sym_until] = ACTIONS(2979),
    [sym__PERLY_SEMICOLON] = ACTIONS(2979),
    [sym__ctrl_z_hack] = ACTIONS(2979),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1322] = {
    [sym_heredoc_content] = STATE(1322),
    [anon_sym_RBRACE] = ACTIONS(2983),
    [anon_sym_SEMI] = ACTIONS(2983),
    [anon_sym_EQ] = ACTIONS(2985),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2983),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2983),
    [anon_sym_COMMA] = ACTIONS(2983),
    [anon_sym_RPAREN] = ACTIONS(2983),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2983),
    [anon_sym_and] = ACTIONS(2983),
    [anon_sym_or] = ACTIONS(2983),
    [anon_sym_xor] = ACTIONS(2983),
    [anon_sym_DASH_GT] = ACTIONS(2983),
    [anon_sym_PERCENT] = ACTIONS(2985),
    [anon_sym_GT] = ACTIONS(2985),
    [anon_sym_LT_LT] = ACTIONS(2985),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2983),
    [anon_sym_PLUS_EQ] = ACTIONS(2983),
    [anon_sym_DASH_EQ] = ACTIONS(2983),
    [anon_sym_DOT_EQ] = ACTIONS(2983),
    [anon_sym_STAR_EQ] = ACTIONS(2983),
    [anon_sym_SLASH_EQ] = ACTIONS(2983),
    [anon_sym_PERCENT_EQ] = ACTIONS(2983),
    [anon_sym_x_EQ] = ACTIONS(2983),
    [anon_sym_AMP_EQ] = ACTIONS(2983),
    [anon_sym_PIPE_EQ] = ACTIONS(2983),
    [anon_sym_CARET_EQ] = ACTIONS(2983),
    [anon_sym_LT_LT_EQ] = ACTIONS(2983),
    [anon_sym_GT_GT_EQ] = ACTIONS(2983),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2983),
    [anon_sym_DOT_DOT] = ACTIONS(2985),
    [anon_sym_STAR_STAR] = ACTIONS(2985),
    [anon_sym_PIPE_PIPE] = ACTIONS(2985),
    [anon_sym_SLASH_SLASH] = ACTIONS(2985),
    [anon_sym_CARET_CARET] = ACTIONS(2983),
    [anon_sym_AMP_AMP] = ACTIONS(2985),
    [anon_sym_PIPE] = ACTIONS(2985),
    [anon_sym_CARET] = ACTIONS(2985),
    [anon_sym_AMP] = ACTIONS(2985),
    [anon_sym_GT_GT2] = ACTIONS(2985),
    [anon_sym_PLUS] = ACTIONS(2985),
    [anon_sym_DASH] = ACTIONS(2985),
    [anon_sym_DOT] = ACTIONS(2985),
    [anon_sym_STAR] = ACTIONS(2985),
    [anon_sym_SLASH] = ACTIONS(2985),
    [anon_sym_x] = ACTIONS(2985),
    [anon_sym_EQ_TILDE] = ACTIONS(2983),
    [anon_sym_BANG_TILDE] = ACTIONS(2983),
    [anon_sym_EQ_EQ] = ACTIONS(2985),
    [anon_sym_BANG_EQ] = ACTIONS(2983),
    [anon_sym_eq] = ACTIONS(2985),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2983),
    [anon_sym_equ] = ACTIONS(2983),
    [anon_sym_eqr] = ACTIONS(2983),
    [anon_sym_ne] = ACTIONS(2983),
    [anon_sym_LT_EQ_GT] = ACTIONS(2983),
    [anon_sym_cmp] = ACTIONS(2983),
    [anon_sym_TILDE_TILDE] = ACTIONS(2983),
    [anon_sym_LT] = ACTIONS(2985),
    [anon_sym_LT_EQ] = ACTIONS(2985),
    [anon_sym_GT_EQ] = ACTIONS(2983),
    [anon_sym_lt] = ACTIONS(2983),
    [anon_sym_le] = ACTIONS(2983),
    [anon_sym_ge] = ACTIONS(2983),
    [anon_sym_gt] = ACTIONS(2983),
    [anon_sym_isa] = ACTIONS(2983),
    [anon_sym_PLUS_PLUS] = ACTIONS(2983),
    [anon_sym_DASH_DASH] = ACTIONS(2983),
    [anon_sym_QMARK] = ACTIONS(2983),
    [anon_sym_EQ_GT] = ACTIONS(2983),
    [anon_sym_for] = ACTIONS(2985),
    [anon_sym_foreach] = ACTIONS(2983),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2983),
    [anon_sym___END__] = ACTIONS(2983),
    [anon_sym_EOT] = ACTIONS(2983),
    [anon_sym_if] = ACTIONS(2983),
    [anon_sym_unless] = ACTIONS(2983),
    [anon_sym_while] = ACTIONS(2983),
    [anon_sym_until] = ACTIONS(2983),
    [sym__PERLY_SEMICOLON] = ACTIONS(2983),
    [sym__ctrl_z_hack] = ACTIONS(2983),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1323] = {
    [sym_heredoc_content] = STATE(1323),
    [anon_sym_RBRACE] = ACTIONS(2987),
    [anon_sym_SEMI] = ACTIONS(2987),
    [anon_sym_EQ] = ACTIONS(2989),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2987),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2987),
    [anon_sym_COMMA] = ACTIONS(2987),
    [anon_sym_RPAREN] = ACTIONS(2987),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2987),
    [anon_sym_and] = ACTIONS(2987),
    [anon_sym_or] = ACTIONS(2987),
    [anon_sym_xor] = ACTIONS(2987),
    [anon_sym_DASH_GT] = ACTIONS(2987),
    [anon_sym_PERCENT] = ACTIONS(2989),
    [anon_sym_GT] = ACTIONS(2989),
    [anon_sym_LT_LT] = ACTIONS(2989),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2987),
    [anon_sym_PLUS_EQ] = ACTIONS(2987),
    [anon_sym_DASH_EQ] = ACTIONS(2987),
    [anon_sym_DOT_EQ] = ACTIONS(2987),
    [anon_sym_STAR_EQ] = ACTIONS(2987),
    [anon_sym_SLASH_EQ] = ACTIONS(2987),
    [anon_sym_PERCENT_EQ] = ACTIONS(2987),
    [anon_sym_x_EQ] = ACTIONS(2987),
    [anon_sym_AMP_EQ] = ACTIONS(2987),
    [anon_sym_PIPE_EQ] = ACTIONS(2987),
    [anon_sym_CARET_EQ] = ACTIONS(2987),
    [anon_sym_LT_LT_EQ] = ACTIONS(2987),
    [anon_sym_GT_GT_EQ] = ACTIONS(2987),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2987),
    [anon_sym_DOT_DOT] = ACTIONS(2989),
    [anon_sym_STAR_STAR] = ACTIONS(2989),
    [anon_sym_PIPE_PIPE] = ACTIONS(2989),
    [anon_sym_SLASH_SLASH] = ACTIONS(2989),
    [anon_sym_CARET_CARET] = ACTIONS(2987),
    [anon_sym_AMP_AMP] = ACTIONS(2989),
    [anon_sym_PIPE] = ACTIONS(2989),
    [anon_sym_CARET] = ACTIONS(2989),
    [anon_sym_AMP] = ACTIONS(2989),
    [anon_sym_GT_GT2] = ACTIONS(2989),
    [anon_sym_PLUS] = ACTIONS(2989),
    [anon_sym_DASH] = ACTIONS(2989),
    [anon_sym_DOT] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2989),
    [anon_sym_SLASH] = ACTIONS(2989),
    [anon_sym_x] = ACTIONS(2989),
    [anon_sym_EQ_TILDE] = ACTIONS(2987),
    [anon_sym_BANG_TILDE] = ACTIONS(2987),
    [anon_sym_EQ_EQ] = ACTIONS(2989),
    [anon_sym_BANG_EQ] = ACTIONS(2987),
    [anon_sym_eq] = ACTIONS(2989),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2987),
    [anon_sym_equ] = ACTIONS(2987),
    [anon_sym_eqr] = ACTIONS(2987),
    [anon_sym_ne] = ACTIONS(2987),
    [anon_sym_LT_EQ_GT] = ACTIONS(2987),
    [anon_sym_cmp] = ACTIONS(2987),
    [anon_sym_TILDE_TILDE] = ACTIONS(2987),
    [anon_sym_LT] = ACTIONS(2989),
    [anon_sym_LT_EQ] = ACTIONS(2989),
    [anon_sym_GT_EQ] = ACTIONS(2987),
    [anon_sym_lt] = ACTIONS(2987),
    [anon_sym_le] = ACTIONS(2987),
    [anon_sym_ge] = ACTIONS(2987),
    [anon_sym_gt] = ACTIONS(2987),
    [anon_sym_isa] = ACTIONS(2987),
    [anon_sym_PLUS_PLUS] = ACTIONS(2987),
    [anon_sym_DASH_DASH] = ACTIONS(2987),
    [anon_sym_QMARK] = ACTIONS(2987),
    [anon_sym_EQ_GT] = ACTIONS(2987),
    [anon_sym_for] = ACTIONS(2989),
    [anon_sym_foreach] = ACTIONS(2987),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2987),
    [anon_sym___END__] = ACTIONS(2987),
    [anon_sym_EOT] = ACTIONS(2987),
    [anon_sym_if] = ACTIONS(2987),
    [anon_sym_unless] = ACTIONS(2987),
    [anon_sym_while] = ACTIONS(2987),
    [anon_sym_until] = ACTIONS(2987),
    [sym__PERLY_SEMICOLON] = ACTIONS(2987),
    [sym__ctrl_z_hack] = ACTIONS(2987),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1324] = {
    [sym_heredoc_content] = STATE(1324),
    [anon_sym_RBRACE] = ACTIONS(2991),
    [anon_sym_SEMI] = ACTIONS(2991),
    [anon_sym_EQ] = ACTIONS(2993),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2991),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2991),
    [anon_sym_COMMA] = ACTIONS(2991),
    [anon_sym_RPAREN] = ACTIONS(2991),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2991),
    [anon_sym_and] = ACTIONS(2991),
    [anon_sym_or] = ACTIONS(2991),
    [anon_sym_xor] = ACTIONS(2991),
    [anon_sym_DASH_GT] = ACTIONS(2991),
    [anon_sym_PERCENT] = ACTIONS(2993),
    [anon_sym_GT] = ACTIONS(2993),
    [anon_sym_LT_LT] = ACTIONS(2993),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2991),
    [anon_sym_PLUS_EQ] = ACTIONS(2991),
    [anon_sym_DASH_EQ] = ACTIONS(2991),
    [anon_sym_DOT_EQ] = ACTIONS(2991),
    [anon_sym_STAR_EQ] = ACTIONS(2991),
    [anon_sym_SLASH_EQ] = ACTIONS(2991),
    [anon_sym_PERCENT_EQ] = ACTIONS(2991),
    [anon_sym_x_EQ] = ACTIONS(2991),
    [anon_sym_AMP_EQ] = ACTIONS(2991),
    [anon_sym_PIPE_EQ] = ACTIONS(2991),
    [anon_sym_CARET_EQ] = ACTIONS(2991),
    [anon_sym_LT_LT_EQ] = ACTIONS(2991),
    [anon_sym_GT_GT_EQ] = ACTIONS(2991),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2991),
    [anon_sym_DOT_DOT] = ACTIONS(2993),
    [anon_sym_STAR_STAR] = ACTIONS(2993),
    [anon_sym_PIPE_PIPE] = ACTIONS(2993),
    [anon_sym_SLASH_SLASH] = ACTIONS(2993),
    [anon_sym_CARET_CARET] = ACTIONS(2991),
    [anon_sym_AMP_AMP] = ACTIONS(2993),
    [anon_sym_PIPE] = ACTIONS(2993),
    [anon_sym_CARET] = ACTIONS(2993),
    [anon_sym_AMP] = ACTIONS(2993),
    [anon_sym_GT_GT2] = ACTIONS(2993),
    [anon_sym_PLUS] = ACTIONS(2993),
    [anon_sym_DASH] = ACTIONS(2993),
    [anon_sym_DOT] = ACTIONS(2993),
    [anon_sym_STAR] = ACTIONS(2993),
    [anon_sym_SLASH] = ACTIONS(2993),
    [anon_sym_x] = ACTIONS(2993),
    [anon_sym_EQ_TILDE] = ACTIONS(2991),
    [anon_sym_BANG_TILDE] = ACTIONS(2991),
    [anon_sym_EQ_EQ] = ACTIONS(2993),
    [anon_sym_BANG_EQ] = ACTIONS(2991),
    [anon_sym_eq] = ACTIONS(2993),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2991),
    [anon_sym_equ] = ACTIONS(2991),
    [anon_sym_eqr] = ACTIONS(2991),
    [anon_sym_ne] = ACTIONS(2991),
    [anon_sym_LT_EQ_GT] = ACTIONS(2991),
    [anon_sym_cmp] = ACTIONS(2991),
    [anon_sym_TILDE_TILDE] = ACTIONS(2991),
    [anon_sym_LT] = ACTIONS(2993),
    [anon_sym_LT_EQ] = ACTIONS(2993),
    [anon_sym_GT_EQ] = ACTIONS(2991),
    [anon_sym_lt] = ACTIONS(2991),
    [anon_sym_le] = ACTIONS(2991),
    [anon_sym_ge] = ACTIONS(2991),
    [anon_sym_gt] = ACTIONS(2991),
    [anon_sym_isa] = ACTIONS(2991),
    [anon_sym_PLUS_PLUS] = ACTIONS(2991),
    [anon_sym_DASH_DASH] = ACTIONS(2991),
    [anon_sym_QMARK] = ACTIONS(2991),
    [anon_sym_EQ_GT] = ACTIONS(2991),
    [anon_sym_for] = ACTIONS(2993),
    [anon_sym_foreach] = ACTIONS(2991),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2991),
    [anon_sym___END__] = ACTIONS(2991),
    [anon_sym_EOT] = ACTIONS(2991),
    [anon_sym_if] = ACTIONS(2991),
    [anon_sym_unless] = ACTIONS(2991),
    [anon_sym_while] = ACTIONS(2991),
    [anon_sym_until] = ACTIONS(2991),
    [sym__PERLY_SEMICOLON] = ACTIONS(2991),
    [sym__ctrl_z_hack] = ACTIONS(2991),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1325] = {
    [sym_heredoc_content] = STATE(1325),
    [anon_sym_RBRACE] = ACTIONS(2995),
    [anon_sym_SEMI] = ACTIONS(2995),
    [anon_sym_EQ] = ACTIONS(2997),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2995),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2995),
    [anon_sym_COMMA] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(2995),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2995),
    [anon_sym_and] = ACTIONS(2995),
    [anon_sym_or] = ACTIONS(2995),
    [anon_sym_xor] = ACTIONS(2995),
    [anon_sym_DASH_GT] = ACTIONS(2995),
    [anon_sym_PERCENT] = ACTIONS(2997),
    [anon_sym_GT] = ACTIONS(2997),
    [anon_sym_LT_LT] = ACTIONS(2997),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2995),
    [anon_sym_PLUS_EQ] = ACTIONS(2995),
    [anon_sym_DASH_EQ] = ACTIONS(2995),
    [anon_sym_DOT_EQ] = ACTIONS(2995),
    [anon_sym_STAR_EQ] = ACTIONS(2995),
    [anon_sym_SLASH_EQ] = ACTIONS(2995),
    [anon_sym_PERCENT_EQ] = ACTIONS(2995),
    [anon_sym_x_EQ] = ACTIONS(2995),
    [anon_sym_AMP_EQ] = ACTIONS(2995),
    [anon_sym_PIPE_EQ] = ACTIONS(2995),
    [anon_sym_CARET_EQ] = ACTIONS(2995),
    [anon_sym_LT_LT_EQ] = ACTIONS(2995),
    [anon_sym_GT_GT_EQ] = ACTIONS(2995),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2995),
    [anon_sym_DOT_DOT] = ACTIONS(2997),
    [anon_sym_STAR_STAR] = ACTIONS(2997),
    [anon_sym_PIPE_PIPE] = ACTIONS(2997),
    [anon_sym_SLASH_SLASH] = ACTIONS(2997),
    [anon_sym_CARET_CARET] = ACTIONS(2995),
    [anon_sym_AMP_AMP] = ACTIONS(2997),
    [anon_sym_PIPE] = ACTIONS(2997),
    [anon_sym_CARET] = ACTIONS(2997),
    [anon_sym_AMP] = ACTIONS(2997),
    [anon_sym_GT_GT2] = ACTIONS(2997),
    [anon_sym_PLUS] = ACTIONS(2997),
    [anon_sym_DASH] = ACTIONS(2997),
    [anon_sym_DOT] = ACTIONS(2997),
    [anon_sym_STAR] = ACTIONS(2997),
    [anon_sym_SLASH] = ACTIONS(2997),
    [anon_sym_x] = ACTIONS(2997),
    [anon_sym_EQ_TILDE] = ACTIONS(2995),
    [anon_sym_BANG_TILDE] = ACTIONS(2995),
    [anon_sym_EQ_EQ] = ACTIONS(2997),
    [anon_sym_BANG_EQ] = ACTIONS(2995),
    [anon_sym_eq] = ACTIONS(2997),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2995),
    [anon_sym_equ] = ACTIONS(2995),
    [anon_sym_eqr] = ACTIONS(2995),
    [anon_sym_ne] = ACTIONS(2995),
    [anon_sym_LT_EQ_GT] = ACTIONS(2995),
    [anon_sym_cmp] = ACTIONS(2995),
    [anon_sym_TILDE_TILDE] = ACTIONS(2995),
    [anon_sym_LT] = ACTIONS(2997),
    [anon_sym_LT_EQ] = ACTIONS(2997),
    [anon_sym_GT_EQ] = ACTIONS(2995),
    [anon_sym_lt] = ACTIONS(2995),
    [anon_sym_le] = ACTIONS(2995),
    [anon_sym_ge] = ACTIONS(2995),
    [anon_sym_gt] = ACTIONS(2995),
    [anon_sym_isa] = ACTIONS(2995),
    [anon_sym_PLUS_PLUS] = ACTIONS(2995),
    [anon_sym_DASH_DASH] = ACTIONS(2995),
    [anon_sym_QMARK] = ACTIONS(2995),
    [anon_sym_EQ_GT] = ACTIONS(2995),
    [anon_sym_for] = ACTIONS(2997),
    [anon_sym_foreach] = ACTIONS(2995),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2995),
    [anon_sym___END__] = ACTIONS(2995),
    [anon_sym_EOT] = ACTIONS(2995),
    [anon_sym_if] = ACTIONS(2995),
    [anon_sym_unless] = ACTIONS(2995),
    [anon_sym_while] = ACTIONS(2995),
    [anon_sym_until] = ACTIONS(2995),
    [sym__PERLY_SEMICOLON] = ACTIONS(2995),
    [sym__ctrl_z_hack] = ACTIONS(2995),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1326] = {
    [sym_heredoc_content] = STATE(1326),
    [anon_sym_RBRACE] = ACTIONS(2999),
    [anon_sym_SEMI] = ACTIONS(2999),
    [anon_sym_EQ] = ACTIONS(3001),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2999),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2999),
    [anon_sym_COMMA] = ACTIONS(2999),
    [anon_sym_RPAREN] = ACTIONS(2999),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2999),
    [anon_sym_and] = ACTIONS(2999),
    [anon_sym_or] = ACTIONS(2999),
    [anon_sym_xor] = ACTIONS(2999),
    [anon_sym_DASH_GT] = ACTIONS(2999),
    [anon_sym_PERCENT] = ACTIONS(3001),
    [anon_sym_GT] = ACTIONS(3001),
    [anon_sym_LT_LT] = ACTIONS(3001),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2999),
    [anon_sym_PLUS_EQ] = ACTIONS(2999),
    [anon_sym_DASH_EQ] = ACTIONS(2999),
    [anon_sym_DOT_EQ] = ACTIONS(2999),
    [anon_sym_STAR_EQ] = ACTIONS(2999),
    [anon_sym_SLASH_EQ] = ACTIONS(2999),
    [anon_sym_PERCENT_EQ] = ACTIONS(2999),
    [anon_sym_x_EQ] = ACTIONS(2999),
    [anon_sym_AMP_EQ] = ACTIONS(2999),
    [anon_sym_PIPE_EQ] = ACTIONS(2999),
    [anon_sym_CARET_EQ] = ACTIONS(2999),
    [anon_sym_LT_LT_EQ] = ACTIONS(2999),
    [anon_sym_GT_GT_EQ] = ACTIONS(2999),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2999),
    [anon_sym_DOT_DOT] = ACTIONS(3001),
    [anon_sym_STAR_STAR] = ACTIONS(3001),
    [anon_sym_PIPE_PIPE] = ACTIONS(3001),
    [anon_sym_SLASH_SLASH] = ACTIONS(3001),
    [anon_sym_CARET_CARET] = ACTIONS(2999),
    [anon_sym_AMP_AMP] = ACTIONS(3001),
    [anon_sym_PIPE] = ACTIONS(3001),
    [anon_sym_CARET] = ACTIONS(3001),
    [anon_sym_AMP] = ACTIONS(3001),
    [anon_sym_GT_GT2] = ACTIONS(3001),
    [anon_sym_PLUS] = ACTIONS(3001),
    [anon_sym_DASH] = ACTIONS(3001),
    [anon_sym_DOT] = ACTIONS(3001),
    [anon_sym_STAR] = ACTIONS(3001),
    [anon_sym_SLASH] = ACTIONS(3001),
    [anon_sym_x] = ACTIONS(3001),
    [anon_sym_EQ_TILDE] = ACTIONS(2999),
    [anon_sym_BANG_TILDE] = ACTIONS(2999),
    [anon_sym_EQ_EQ] = ACTIONS(3001),
    [anon_sym_BANG_EQ] = ACTIONS(2999),
    [anon_sym_eq] = ACTIONS(3001),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2999),
    [anon_sym_equ] = ACTIONS(2999),
    [anon_sym_eqr] = ACTIONS(2999),
    [anon_sym_ne] = ACTIONS(2999),
    [anon_sym_LT_EQ_GT] = ACTIONS(2999),
    [anon_sym_cmp] = ACTIONS(2999),
    [anon_sym_TILDE_TILDE] = ACTIONS(2999),
    [anon_sym_LT] = ACTIONS(3001),
    [anon_sym_LT_EQ] = ACTIONS(3001),
    [anon_sym_GT_EQ] = ACTIONS(2999),
    [anon_sym_lt] = ACTIONS(2999),
    [anon_sym_le] = ACTIONS(2999),
    [anon_sym_ge] = ACTIONS(2999),
    [anon_sym_gt] = ACTIONS(2999),
    [anon_sym_isa] = ACTIONS(2999),
    [anon_sym_PLUS_PLUS] = ACTIONS(2999),
    [anon_sym_DASH_DASH] = ACTIONS(2999),
    [anon_sym_QMARK] = ACTIONS(2999),
    [anon_sym_EQ_GT] = ACTIONS(2999),
    [anon_sym_for] = ACTIONS(3001),
    [anon_sym_foreach] = ACTIONS(2999),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2999),
    [anon_sym___END__] = ACTIONS(2999),
    [anon_sym_EOT] = ACTIONS(2999),
    [anon_sym_if] = ACTIONS(2999),
    [anon_sym_unless] = ACTIONS(2999),
    [anon_sym_while] = ACTIONS(2999),
    [anon_sym_until] = ACTIONS(2999),
    [sym__PERLY_SEMICOLON] = ACTIONS(2999),
    [sym__ctrl_z_hack] = ACTIONS(2999),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1327] = {
    [sym_heredoc_content] = STATE(1327),
    [anon_sym_RBRACE] = ACTIONS(3003),
    [anon_sym_SEMI] = ACTIONS(3003),
    [anon_sym_EQ] = ACTIONS(3005),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3003),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3003),
    [anon_sym_COMMA] = ACTIONS(3003),
    [anon_sym_RPAREN] = ACTIONS(3003),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3003),
    [anon_sym_and] = ACTIONS(3003),
    [anon_sym_or] = ACTIONS(3003),
    [anon_sym_xor] = ACTIONS(3003),
    [anon_sym_DASH_GT] = ACTIONS(3003),
    [anon_sym_PERCENT] = ACTIONS(3005),
    [anon_sym_GT] = ACTIONS(3005),
    [anon_sym_LT_LT] = ACTIONS(3005),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3003),
    [anon_sym_PLUS_EQ] = ACTIONS(3003),
    [anon_sym_DASH_EQ] = ACTIONS(3003),
    [anon_sym_DOT_EQ] = ACTIONS(3003),
    [anon_sym_STAR_EQ] = ACTIONS(3003),
    [anon_sym_SLASH_EQ] = ACTIONS(3003),
    [anon_sym_PERCENT_EQ] = ACTIONS(3003),
    [anon_sym_x_EQ] = ACTIONS(3003),
    [anon_sym_AMP_EQ] = ACTIONS(3003),
    [anon_sym_PIPE_EQ] = ACTIONS(3003),
    [anon_sym_CARET_EQ] = ACTIONS(3003),
    [anon_sym_LT_LT_EQ] = ACTIONS(3003),
    [anon_sym_GT_GT_EQ] = ACTIONS(3003),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3003),
    [anon_sym_DOT_DOT] = ACTIONS(3005),
    [anon_sym_STAR_STAR] = ACTIONS(3005),
    [anon_sym_PIPE_PIPE] = ACTIONS(3005),
    [anon_sym_SLASH_SLASH] = ACTIONS(3005),
    [anon_sym_CARET_CARET] = ACTIONS(3003),
    [anon_sym_AMP_AMP] = ACTIONS(3005),
    [anon_sym_PIPE] = ACTIONS(3005),
    [anon_sym_CARET] = ACTIONS(3005),
    [anon_sym_AMP] = ACTIONS(3005),
    [anon_sym_GT_GT2] = ACTIONS(3005),
    [anon_sym_PLUS] = ACTIONS(3005),
    [anon_sym_DASH] = ACTIONS(3005),
    [anon_sym_DOT] = ACTIONS(3005),
    [anon_sym_STAR] = ACTIONS(3005),
    [anon_sym_SLASH] = ACTIONS(3005),
    [anon_sym_x] = ACTIONS(3005),
    [anon_sym_EQ_TILDE] = ACTIONS(3003),
    [anon_sym_BANG_TILDE] = ACTIONS(3003),
    [anon_sym_EQ_EQ] = ACTIONS(3005),
    [anon_sym_BANG_EQ] = ACTIONS(3003),
    [anon_sym_eq] = ACTIONS(3005),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3003),
    [anon_sym_equ] = ACTIONS(3003),
    [anon_sym_eqr] = ACTIONS(3003),
    [anon_sym_ne] = ACTIONS(3003),
    [anon_sym_LT_EQ_GT] = ACTIONS(3003),
    [anon_sym_cmp] = ACTIONS(3003),
    [anon_sym_TILDE_TILDE] = ACTIONS(3003),
    [anon_sym_LT] = ACTIONS(3005),
    [anon_sym_LT_EQ] = ACTIONS(3005),
    [anon_sym_GT_EQ] = ACTIONS(3003),
    [anon_sym_lt] = ACTIONS(3003),
    [anon_sym_le] = ACTIONS(3003),
    [anon_sym_ge] = ACTIONS(3003),
    [anon_sym_gt] = ACTIONS(3003),
    [anon_sym_isa] = ACTIONS(3003),
    [anon_sym_PLUS_PLUS] = ACTIONS(3003),
    [anon_sym_DASH_DASH] = ACTIONS(3003),
    [anon_sym_QMARK] = ACTIONS(3003),
    [anon_sym_EQ_GT] = ACTIONS(3003),
    [anon_sym_for] = ACTIONS(3005),
    [anon_sym_foreach] = ACTIONS(3003),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3003),
    [anon_sym___END__] = ACTIONS(3003),
    [anon_sym_EOT] = ACTIONS(3003),
    [anon_sym_if] = ACTIONS(3003),
    [anon_sym_unless] = ACTIONS(3003),
    [anon_sym_while] = ACTIONS(3003),
    [anon_sym_until] = ACTIONS(3003),
    [sym__PERLY_SEMICOLON] = ACTIONS(3003),
    [sym__ctrl_z_hack] = ACTIONS(3003),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1328] = {
    [sym_heredoc_content] = STATE(1328),
    [anon_sym_RBRACE] = ACTIONS(3007),
    [anon_sym_SEMI] = ACTIONS(3007),
    [anon_sym_EQ] = ACTIONS(3009),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3007),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3007),
    [anon_sym_COMMA] = ACTIONS(3007),
    [anon_sym_RPAREN] = ACTIONS(3007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3007),
    [anon_sym_and] = ACTIONS(3007),
    [anon_sym_or] = ACTIONS(3007),
    [anon_sym_xor] = ACTIONS(3007),
    [anon_sym_DASH_GT] = ACTIONS(3007),
    [anon_sym_PERCENT] = ACTIONS(3009),
    [anon_sym_GT] = ACTIONS(3009),
    [anon_sym_LT_LT] = ACTIONS(3009),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3007),
    [anon_sym_PLUS_EQ] = ACTIONS(3007),
    [anon_sym_DASH_EQ] = ACTIONS(3007),
    [anon_sym_DOT_EQ] = ACTIONS(3007),
    [anon_sym_STAR_EQ] = ACTIONS(3007),
    [anon_sym_SLASH_EQ] = ACTIONS(3007),
    [anon_sym_PERCENT_EQ] = ACTIONS(3007),
    [anon_sym_x_EQ] = ACTIONS(3007),
    [anon_sym_AMP_EQ] = ACTIONS(3007),
    [anon_sym_PIPE_EQ] = ACTIONS(3007),
    [anon_sym_CARET_EQ] = ACTIONS(3007),
    [anon_sym_LT_LT_EQ] = ACTIONS(3007),
    [anon_sym_GT_GT_EQ] = ACTIONS(3007),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3007),
    [anon_sym_DOT_DOT] = ACTIONS(3009),
    [anon_sym_STAR_STAR] = ACTIONS(3009),
    [anon_sym_PIPE_PIPE] = ACTIONS(3009),
    [anon_sym_SLASH_SLASH] = ACTIONS(3009),
    [anon_sym_CARET_CARET] = ACTIONS(3007),
    [anon_sym_AMP_AMP] = ACTIONS(3009),
    [anon_sym_PIPE] = ACTIONS(3009),
    [anon_sym_CARET] = ACTIONS(3009),
    [anon_sym_AMP] = ACTIONS(3009),
    [anon_sym_GT_GT2] = ACTIONS(3009),
    [anon_sym_PLUS] = ACTIONS(3009),
    [anon_sym_DASH] = ACTIONS(3009),
    [anon_sym_DOT] = ACTIONS(3009),
    [anon_sym_STAR] = ACTIONS(3009),
    [anon_sym_SLASH] = ACTIONS(3009),
    [anon_sym_x] = ACTIONS(3009),
    [anon_sym_EQ_TILDE] = ACTIONS(3007),
    [anon_sym_BANG_TILDE] = ACTIONS(3007),
    [anon_sym_EQ_EQ] = ACTIONS(3009),
    [anon_sym_BANG_EQ] = ACTIONS(3007),
    [anon_sym_eq] = ACTIONS(3009),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3007),
    [anon_sym_equ] = ACTIONS(3007),
    [anon_sym_eqr] = ACTIONS(3007),
    [anon_sym_ne] = ACTIONS(3007),
    [anon_sym_LT_EQ_GT] = ACTIONS(3007),
    [anon_sym_cmp] = ACTIONS(3007),
    [anon_sym_TILDE_TILDE] = ACTIONS(3007),
    [anon_sym_LT] = ACTIONS(3009),
    [anon_sym_LT_EQ] = ACTIONS(3009),
    [anon_sym_GT_EQ] = ACTIONS(3007),
    [anon_sym_lt] = ACTIONS(3007),
    [anon_sym_le] = ACTIONS(3007),
    [anon_sym_ge] = ACTIONS(3007),
    [anon_sym_gt] = ACTIONS(3007),
    [anon_sym_isa] = ACTIONS(3007),
    [anon_sym_PLUS_PLUS] = ACTIONS(3007),
    [anon_sym_DASH_DASH] = ACTIONS(3007),
    [anon_sym_QMARK] = ACTIONS(3007),
    [anon_sym_EQ_GT] = ACTIONS(3007),
    [anon_sym_for] = ACTIONS(3009),
    [anon_sym_foreach] = ACTIONS(3007),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3007),
    [anon_sym___END__] = ACTIONS(3007),
    [anon_sym_EOT] = ACTIONS(3007),
    [anon_sym_if] = ACTIONS(3007),
    [anon_sym_unless] = ACTIONS(3007),
    [anon_sym_while] = ACTIONS(3007),
    [anon_sym_until] = ACTIONS(3007),
    [sym__PERLY_SEMICOLON] = ACTIONS(3007),
    [sym__ctrl_z_hack] = ACTIONS(3007),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1329] = {
    [sym_heredoc_content] = STATE(1329),
    [anon_sym_RBRACE] = ACTIONS(3011),
    [anon_sym_SEMI] = ACTIONS(3011),
    [anon_sym_EQ] = ACTIONS(3013),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3011),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3011),
    [anon_sym_COMMA] = ACTIONS(3011),
    [anon_sym_RPAREN] = ACTIONS(3011),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3011),
    [anon_sym_and] = ACTIONS(3011),
    [anon_sym_or] = ACTIONS(3011),
    [anon_sym_xor] = ACTIONS(3011),
    [anon_sym_DASH_GT] = ACTIONS(3011),
    [anon_sym_PERCENT] = ACTIONS(3013),
    [anon_sym_GT] = ACTIONS(3013),
    [anon_sym_LT_LT] = ACTIONS(3013),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3011),
    [anon_sym_PLUS_EQ] = ACTIONS(3011),
    [anon_sym_DASH_EQ] = ACTIONS(3011),
    [anon_sym_DOT_EQ] = ACTIONS(3011),
    [anon_sym_STAR_EQ] = ACTIONS(3011),
    [anon_sym_SLASH_EQ] = ACTIONS(3011),
    [anon_sym_PERCENT_EQ] = ACTIONS(3011),
    [anon_sym_x_EQ] = ACTIONS(3011),
    [anon_sym_AMP_EQ] = ACTIONS(3011),
    [anon_sym_PIPE_EQ] = ACTIONS(3011),
    [anon_sym_CARET_EQ] = ACTIONS(3011),
    [anon_sym_LT_LT_EQ] = ACTIONS(3011),
    [anon_sym_GT_GT_EQ] = ACTIONS(3011),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3011),
    [anon_sym_DOT_DOT] = ACTIONS(3013),
    [anon_sym_STAR_STAR] = ACTIONS(3013),
    [anon_sym_PIPE_PIPE] = ACTIONS(3013),
    [anon_sym_SLASH_SLASH] = ACTIONS(3013),
    [anon_sym_CARET_CARET] = ACTIONS(3011),
    [anon_sym_AMP_AMP] = ACTIONS(3013),
    [anon_sym_PIPE] = ACTIONS(3013),
    [anon_sym_CARET] = ACTIONS(3013),
    [anon_sym_AMP] = ACTIONS(3013),
    [anon_sym_GT_GT2] = ACTIONS(3013),
    [anon_sym_PLUS] = ACTIONS(3013),
    [anon_sym_DASH] = ACTIONS(3013),
    [anon_sym_DOT] = ACTIONS(3013),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_SLASH] = ACTIONS(3013),
    [anon_sym_x] = ACTIONS(3013),
    [anon_sym_EQ_TILDE] = ACTIONS(3011),
    [anon_sym_BANG_TILDE] = ACTIONS(3011),
    [anon_sym_EQ_EQ] = ACTIONS(3013),
    [anon_sym_BANG_EQ] = ACTIONS(3011),
    [anon_sym_eq] = ACTIONS(3013),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3011),
    [anon_sym_equ] = ACTIONS(3011),
    [anon_sym_eqr] = ACTIONS(3011),
    [anon_sym_ne] = ACTIONS(3011),
    [anon_sym_LT_EQ_GT] = ACTIONS(3011),
    [anon_sym_cmp] = ACTIONS(3011),
    [anon_sym_TILDE_TILDE] = ACTIONS(3011),
    [anon_sym_LT] = ACTIONS(3013),
    [anon_sym_LT_EQ] = ACTIONS(3013),
    [anon_sym_GT_EQ] = ACTIONS(3011),
    [anon_sym_lt] = ACTIONS(3011),
    [anon_sym_le] = ACTIONS(3011),
    [anon_sym_ge] = ACTIONS(3011),
    [anon_sym_gt] = ACTIONS(3011),
    [anon_sym_isa] = ACTIONS(3011),
    [anon_sym_PLUS_PLUS] = ACTIONS(3011),
    [anon_sym_DASH_DASH] = ACTIONS(3011),
    [anon_sym_QMARK] = ACTIONS(3011),
    [anon_sym_EQ_GT] = ACTIONS(3011),
    [anon_sym_for] = ACTIONS(3013),
    [anon_sym_foreach] = ACTIONS(3011),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3011),
    [anon_sym___END__] = ACTIONS(3011),
    [anon_sym_EOT] = ACTIONS(3011),
    [anon_sym_if] = ACTIONS(3011),
    [anon_sym_unless] = ACTIONS(3011),
    [anon_sym_while] = ACTIONS(3011),
    [anon_sym_until] = ACTIONS(3011),
    [sym__PERLY_SEMICOLON] = ACTIONS(3011),
    [sym__ctrl_z_hack] = ACTIONS(3011),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1330] = {
    [sym_heredoc_content] = STATE(1330),
    [anon_sym_RBRACE] = ACTIONS(3015),
    [anon_sym_SEMI] = ACTIONS(3015),
    [anon_sym_EQ] = ACTIONS(2583),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2585),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2585),
    [anon_sym_COMMA] = ACTIONS(3015),
    [anon_sym_RPAREN] = ACTIONS(3015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2589),
    [anon_sym_and] = ACTIONS(3015),
    [anon_sym_or] = ACTIONS(3015),
    [anon_sym_xor] = ACTIONS(3015),
    [anon_sym_DASH_GT] = ACTIONS(2591),
    [anon_sym_PERCENT] = ACTIONS(2593),
    [anon_sym_GT] = ACTIONS(2595),
    [anon_sym_LT_LT] = ACTIONS(2597),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2585),
    [anon_sym_PLUS_EQ] = ACTIONS(2585),
    [anon_sym_DASH_EQ] = ACTIONS(2585),
    [anon_sym_DOT_EQ] = ACTIONS(2585),
    [anon_sym_STAR_EQ] = ACTIONS(2585),
    [anon_sym_SLASH_EQ] = ACTIONS(2585),
    [anon_sym_PERCENT_EQ] = ACTIONS(2585),
    [anon_sym_x_EQ] = ACTIONS(2585),
    [anon_sym_AMP_EQ] = ACTIONS(2585),
    [anon_sym_PIPE_EQ] = ACTIONS(2585),
    [anon_sym_CARET_EQ] = ACTIONS(2585),
    [anon_sym_LT_LT_EQ] = ACTIONS(2585),
    [anon_sym_GT_GT_EQ] = ACTIONS(2585),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2585),
    [anon_sym_DOT_DOT] = ACTIONS(2599),
    [anon_sym_STAR_STAR] = ACTIONS(2601),
    [anon_sym_PIPE_PIPE] = ACTIONS(2603),
    [anon_sym_SLASH_SLASH] = ACTIONS(2603),
    [anon_sym_CARET_CARET] = ACTIONS(2605),
    [anon_sym_AMP_AMP] = ACTIONS(2607),
    [anon_sym_PIPE] = ACTIONS(2609),
    [anon_sym_CARET] = ACTIONS(2609),
    [anon_sym_AMP] = ACTIONS(2611),
    [anon_sym_GT_GT2] = ACTIONS(2597),
    [anon_sym_PLUS] = ACTIONS(2613),
    [anon_sym_DASH] = ACTIONS(2613),
    [anon_sym_DOT] = ACTIONS(2613),
    [anon_sym_STAR] = ACTIONS(2593),
    [anon_sym_SLASH] = ACTIONS(2593),
    [anon_sym_x] = ACTIONS(2593),
    [anon_sym_EQ_TILDE] = ACTIONS(2615),
    [anon_sym_BANG_TILDE] = ACTIONS(2615),
    [anon_sym_EQ_EQ] = ACTIONS(2617),
    [anon_sym_BANG_EQ] = ACTIONS(2619),
    [anon_sym_eq] = ACTIONS(2617),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2619),
    [anon_sym_equ] = ACTIONS(2619),
    [anon_sym_eqr] = ACTIONS(2619),
    [anon_sym_ne] = ACTIONS(2619),
    [anon_sym_LT_EQ_GT] = ACTIONS(2621),
    [anon_sym_cmp] = ACTIONS(2621),
    [anon_sym_TILDE_TILDE] = ACTIONS(2621),
    [anon_sym_LT] = ACTIONS(2595),
    [anon_sym_LT_EQ] = ACTIONS(2595),
    [anon_sym_GT_EQ] = ACTIONS(2623),
    [anon_sym_lt] = ACTIONS(2623),
    [anon_sym_le] = ACTIONS(2623),
    [anon_sym_ge] = ACTIONS(2623),
    [anon_sym_gt] = ACTIONS(2623),
    [anon_sym_isa] = ACTIONS(2625),
    [anon_sym_PLUS_PLUS] = ACTIONS(2627),
    [anon_sym_DASH_DASH] = ACTIONS(2627),
    [anon_sym_QMARK] = ACTIONS(2629),
    [anon_sym_EQ_GT] = ACTIONS(3015),
    [anon_sym_for] = ACTIONS(3017),
    [anon_sym_foreach] = ACTIONS(3015),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3015),
    [anon_sym___END__] = ACTIONS(3015),
    [anon_sym_EOT] = ACTIONS(3015),
    [anon_sym_if] = ACTIONS(3015),
    [anon_sym_unless] = ACTIONS(3015),
    [anon_sym_while] = ACTIONS(3015),
    [anon_sym_until] = ACTIONS(3015),
    [sym__PERLY_SEMICOLON] = ACTIONS(3015),
    [sym__ctrl_z_hack] = ACTIONS(3015),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1331] = {
    [sym_heredoc_content] = STATE(1331),
    [anon_sym_RBRACE] = ACTIONS(2774),
    [anon_sym_SEMI] = ACTIONS(2774),
    [anon_sym_EQ] = ACTIONS(2583),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2585),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2585),
    [anon_sym_COMMA] = ACTIONS(2774),
    [anon_sym_RPAREN] = ACTIONS(2774),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2589),
    [anon_sym_and] = ACTIONS(2774),
    [anon_sym_or] = ACTIONS(2774),
    [anon_sym_xor] = ACTIONS(2774),
    [anon_sym_DASH_GT] = ACTIONS(2591),
    [anon_sym_PERCENT] = ACTIONS(2593),
    [anon_sym_GT] = ACTIONS(2595),
    [anon_sym_LT_LT] = ACTIONS(2597),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2585),
    [anon_sym_PLUS_EQ] = ACTIONS(2585),
    [anon_sym_DASH_EQ] = ACTIONS(2585),
    [anon_sym_DOT_EQ] = ACTIONS(2585),
    [anon_sym_STAR_EQ] = ACTIONS(2585),
    [anon_sym_SLASH_EQ] = ACTIONS(2585),
    [anon_sym_PERCENT_EQ] = ACTIONS(2585),
    [anon_sym_x_EQ] = ACTIONS(2585),
    [anon_sym_AMP_EQ] = ACTIONS(2585),
    [anon_sym_PIPE_EQ] = ACTIONS(2585),
    [anon_sym_CARET_EQ] = ACTIONS(2585),
    [anon_sym_LT_LT_EQ] = ACTIONS(2585),
    [anon_sym_GT_GT_EQ] = ACTIONS(2585),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2585),
    [anon_sym_DOT_DOT] = ACTIONS(2599),
    [anon_sym_STAR_STAR] = ACTIONS(2601),
    [anon_sym_PIPE_PIPE] = ACTIONS(2603),
    [anon_sym_SLASH_SLASH] = ACTIONS(2603),
    [anon_sym_CARET_CARET] = ACTIONS(2605),
    [anon_sym_AMP_AMP] = ACTIONS(2607),
    [anon_sym_PIPE] = ACTIONS(2609),
    [anon_sym_CARET] = ACTIONS(2609),
    [anon_sym_AMP] = ACTIONS(2611),
    [anon_sym_GT_GT2] = ACTIONS(2597),
    [anon_sym_PLUS] = ACTIONS(2613),
    [anon_sym_DASH] = ACTIONS(2613),
    [anon_sym_DOT] = ACTIONS(2613),
    [anon_sym_STAR] = ACTIONS(2593),
    [anon_sym_SLASH] = ACTIONS(2593),
    [anon_sym_x] = ACTIONS(2593),
    [anon_sym_EQ_TILDE] = ACTIONS(2615),
    [anon_sym_BANG_TILDE] = ACTIONS(2615),
    [anon_sym_EQ_EQ] = ACTIONS(2617),
    [anon_sym_BANG_EQ] = ACTIONS(2619),
    [anon_sym_eq] = ACTIONS(2617),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2619),
    [anon_sym_equ] = ACTIONS(2619),
    [anon_sym_eqr] = ACTIONS(2619),
    [anon_sym_ne] = ACTIONS(2619),
    [anon_sym_LT_EQ_GT] = ACTIONS(2621),
    [anon_sym_cmp] = ACTIONS(2621),
    [anon_sym_TILDE_TILDE] = ACTIONS(2621),
    [anon_sym_LT] = ACTIONS(2595),
    [anon_sym_LT_EQ] = ACTIONS(2595),
    [anon_sym_GT_EQ] = ACTIONS(2623),
    [anon_sym_lt] = ACTIONS(2623),
    [anon_sym_le] = ACTIONS(2623),
    [anon_sym_ge] = ACTIONS(2623),
    [anon_sym_gt] = ACTIONS(2623),
    [anon_sym_isa] = ACTIONS(2625),
    [anon_sym_PLUS_PLUS] = ACTIONS(2627),
    [anon_sym_DASH_DASH] = ACTIONS(2627),
    [anon_sym_QMARK] = ACTIONS(2629),
    [anon_sym_EQ_GT] = ACTIONS(2774),
    [anon_sym_for] = ACTIONS(2776),
    [anon_sym_foreach] = ACTIONS(2774),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2774),
    [anon_sym___END__] = ACTIONS(2774),
    [anon_sym_EOT] = ACTIONS(2774),
    [anon_sym_if] = ACTIONS(2774),
    [anon_sym_unless] = ACTIONS(2774),
    [anon_sym_while] = ACTIONS(2774),
    [anon_sym_until] = ACTIONS(2774),
    [sym__PERLY_SEMICOLON] = ACTIONS(2774),
    [sym__ctrl_z_hack] = ACTIONS(2774),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1332] = {
    [sym_heredoc_content] = STATE(1332),
    [anon_sym_RBRACE] = ACTIONS(3019),
    [anon_sym_SEMI] = ACTIONS(3019),
    [anon_sym_EQ] = ACTIONS(3021),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_COMMA] = ACTIONS(3019),
    [anon_sym_RPAREN] = ACTIONS(3019),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3023),
    [anon_sym_and] = ACTIONS(3019),
    [anon_sym_or] = ACTIONS(3019),
    [anon_sym_xor] = ACTIONS(3019),
    [anon_sym_DASH_GT] = ACTIONS(2591),
    [anon_sym_PERCENT] = ACTIONS(2593),
    [anon_sym_GT] = ACTIONS(2595),
    [anon_sym_LT_LT] = ACTIONS(2597),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3019),
    [anon_sym_PLUS_EQ] = ACTIONS(3019),
    [anon_sym_DASH_EQ] = ACTIONS(3019),
    [anon_sym_DOT_EQ] = ACTIONS(3019),
    [anon_sym_STAR_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_PERCENT_EQ] = ACTIONS(3019),
    [anon_sym_x_EQ] = ACTIONS(3019),
    [anon_sym_AMP_EQ] = ACTIONS(3019),
    [anon_sym_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_CARET_EQ] = ACTIONS(3019),
    [anon_sym_LT_LT_EQ] = ACTIONS(3019),
    [anon_sym_GT_GT_EQ] = ACTIONS(3019),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3019),
    [anon_sym_DOT_DOT] = ACTIONS(3025),
    [anon_sym_STAR_STAR] = ACTIONS(2601),
    [anon_sym_PIPE_PIPE] = ACTIONS(2603),
    [anon_sym_SLASH_SLASH] = ACTIONS(2603),
    [anon_sym_CARET_CARET] = ACTIONS(2605),
    [anon_sym_AMP_AMP] = ACTIONS(2607),
    [anon_sym_PIPE] = ACTIONS(2609),
    [anon_sym_CARET] = ACTIONS(2609),
    [anon_sym_AMP] = ACTIONS(2611),
    [anon_sym_GT_GT2] = ACTIONS(2597),
    [anon_sym_PLUS] = ACTIONS(2613),
    [anon_sym_DASH] = ACTIONS(2613),
    [anon_sym_DOT] = ACTIONS(2613),
    [anon_sym_STAR] = ACTIONS(2593),
    [anon_sym_SLASH] = ACTIONS(2593),
    [anon_sym_x] = ACTIONS(2593),
    [anon_sym_EQ_TILDE] = ACTIONS(2615),
    [anon_sym_BANG_TILDE] = ACTIONS(2615),
    [anon_sym_EQ_EQ] = ACTIONS(2617),
    [anon_sym_BANG_EQ] = ACTIONS(2619),
    [anon_sym_eq] = ACTIONS(2617),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2619),
    [anon_sym_equ] = ACTIONS(2619),
    [anon_sym_eqr] = ACTIONS(2619),
    [anon_sym_ne] = ACTIONS(2619),
    [anon_sym_LT_EQ_GT] = ACTIONS(2621),
    [anon_sym_cmp] = ACTIONS(2621),
    [anon_sym_TILDE_TILDE] = ACTIONS(2621),
    [anon_sym_LT] = ACTIONS(2595),
    [anon_sym_LT_EQ] = ACTIONS(2595),
    [anon_sym_GT_EQ] = ACTIONS(2623),
    [anon_sym_lt] = ACTIONS(2623),
    [anon_sym_le] = ACTIONS(2623),
    [anon_sym_ge] = ACTIONS(2623),
    [anon_sym_gt] = ACTIONS(2623),
    [anon_sym_isa] = ACTIONS(2625),
    [anon_sym_PLUS_PLUS] = ACTIONS(2627),
    [anon_sym_DASH_DASH] = ACTIONS(2627),
    [anon_sym_QMARK] = ACTIONS(3019),
    [anon_sym_EQ_GT] = ACTIONS(3019),
    [anon_sym_for] = ACTIONS(3021),
    [anon_sym_foreach] = ACTIONS(3019),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3019),
    [anon_sym___END__] = ACTIONS(3019),
    [anon_sym_EOT] = ACTIONS(3019),
    [anon_sym_if] = ACTIONS(3019),
    [anon_sym_unless] = ACTIONS(3019),
    [anon_sym_while] = ACTIONS(3019),
    [anon_sym_until] = ACTIONS(3019),
    [sym__PERLY_SEMICOLON] = ACTIONS(3019),
    [sym__ctrl_z_hack] = ACTIONS(3019),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1333] = {
    [sym_heredoc_content] = STATE(1333),
    [anon_sym_RBRACE] = ACTIONS(3019),
    [anon_sym_SEMI] = ACTIONS(3019),
    [anon_sym_EQ] = ACTIONS(3021),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_COMMA] = ACTIONS(3019),
    [anon_sym_RPAREN] = ACTIONS(3019),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3019),
    [anon_sym_and] = ACTIONS(3019),
    [anon_sym_or] = ACTIONS(3019),
    [anon_sym_xor] = ACTIONS(3019),
    [anon_sym_DASH_GT] = ACTIONS(2591),
    [anon_sym_PERCENT] = ACTIONS(3021),
    [anon_sym_GT] = ACTIONS(3021),
    [anon_sym_LT_LT] = ACTIONS(3021),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3019),
    [anon_sym_PLUS_EQ] = ACTIONS(3019),
    [anon_sym_DASH_EQ] = ACTIONS(3019),
    [anon_sym_DOT_EQ] = ACTIONS(3019),
    [anon_sym_STAR_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_PERCENT_EQ] = ACTIONS(3019),
    [anon_sym_x_EQ] = ACTIONS(3019),
    [anon_sym_AMP_EQ] = ACTIONS(3019),
    [anon_sym_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_CARET_EQ] = ACTIONS(3019),
    [anon_sym_LT_LT_EQ] = ACTIONS(3019),
    [anon_sym_GT_GT_EQ] = ACTIONS(3019),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3019),
    [anon_sym_DOT_DOT] = ACTIONS(3021),
    [anon_sym_STAR_STAR] = ACTIONS(2601),
    [anon_sym_PIPE_PIPE] = ACTIONS(3021),
    [anon_sym_SLASH_SLASH] = ACTIONS(3021),
    [anon_sym_CARET_CARET] = ACTIONS(3019),
    [anon_sym_AMP_AMP] = ACTIONS(3021),
    [anon_sym_PIPE] = ACTIONS(3021),
    [anon_sym_CARET] = ACTIONS(3021),
    [anon_sym_AMP] = ACTIONS(3021),
    [anon_sym_GT_GT2] = ACTIONS(3021),
    [anon_sym_PLUS] = ACTIONS(3021),
    [anon_sym_DASH] = ACTIONS(3021),
    [anon_sym_DOT] = ACTIONS(3021),
    [anon_sym_STAR] = ACTIONS(3021),
    [anon_sym_SLASH] = ACTIONS(3021),
    [anon_sym_x] = ACTIONS(3021),
    [anon_sym_EQ_TILDE] = ACTIONS(2615),
    [anon_sym_BANG_TILDE] = ACTIONS(2615),
    [anon_sym_EQ_EQ] = ACTIONS(3021),
    [anon_sym_BANG_EQ] = ACTIONS(3019),
    [anon_sym_eq] = ACTIONS(3021),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3019),
    [anon_sym_equ] = ACTIONS(3019),
    [anon_sym_eqr] = ACTIONS(3019),
    [anon_sym_ne] = ACTIONS(3019),
    [anon_sym_LT_EQ_GT] = ACTIONS(3019),
    [anon_sym_cmp] = ACTIONS(3019),
    [anon_sym_TILDE_TILDE] = ACTIONS(3019),
    [anon_sym_LT] = ACTIONS(3021),
    [anon_sym_LT_EQ] = ACTIONS(3021),
    [anon_sym_GT_EQ] = ACTIONS(3019),
    [anon_sym_lt] = ACTIONS(3019),
    [anon_sym_le] = ACTIONS(3019),
    [anon_sym_ge] = ACTIONS(3019),
    [anon_sym_gt] = ACTIONS(3019),
    [anon_sym_isa] = ACTIONS(3019),
    [anon_sym_PLUS_PLUS] = ACTIONS(2627),
    [anon_sym_DASH_DASH] = ACTIONS(2627),
    [anon_sym_QMARK] = ACTIONS(3019),
    [anon_sym_EQ_GT] = ACTIONS(3019),
    [anon_sym_for] = ACTIONS(3021),
    [anon_sym_foreach] = ACTIONS(3019),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3019),
    [anon_sym___END__] = ACTIONS(3019),
    [anon_sym_EOT] = ACTIONS(3019),
    [anon_sym_if] = ACTIONS(3019),
    [anon_sym_unless] = ACTIONS(3019),
    [anon_sym_while] = ACTIONS(3019),
    [anon_sym_until] = ACTIONS(3019),
    [sym__PERLY_SEMICOLON] = ACTIONS(3019),
    [sym__ctrl_z_hack] = ACTIONS(3019),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1334] = {
    [sym_heredoc_content] = STATE(1334),
    [anon_sym_RBRACE] = ACTIONS(3027),
    [anon_sym_SEMI] = ACTIONS(3027),
    [anon_sym_EQ] = ACTIONS(3029),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3027),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3027),
    [anon_sym_COMMA] = ACTIONS(3027),
    [anon_sym_RPAREN] = ACTIONS(3027),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3027),
    [anon_sym_and] = ACTIONS(3027),
    [anon_sym_or] = ACTIONS(3027),
    [anon_sym_xor] = ACTIONS(3027),
    [anon_sym_DASH_GT] = ACTIONS(2591),
    [anon_sym_PERCENT] = ACTIONS(2593),
    [anon_sym_GT] = ACTIONS(3029),
    [anon_sym_LT_LT] = ACTIONS(2597),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3027),
    [anon_sym_PLUS_EQ] = ACTIONS(3027),
    [anon_sym_DASH_EQ] = ACTIONS(3027),
    [anon_sym_DOT_EQ] = ACTIONS(3027),
    [anon_sym_STAR_EQ] = ACTIONS(3027),
    [anon_sym_SLASH_EQ] = ACTIONS(3027),
    [anon_sym_PERCENT_EQ] = ACTIONS(3027),
    [anon_sym_x_EQ] = ACTIONS(3027),
    [anon_sym_AMP_EQ] = ACTIONS(3027),
    [anon_sym_PIPE_EQ] = ACTIONS(3027),
    [anon_sym_CARET_EQ] = ACTIONS(3027),
    [anon_sym_LT_LT_EQ] = ACTIONS(3027),
    [anon_sym_GT_GT_EQ] = ACTIONS(3027),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3027),
    [anon_sym_DOT_DOT] = ACTIONS(3029),
    [anon_sym_STAR_STAR] = ACTIONS(2601),
    [anon_sym_PIPE_PIPE] = ACTIONS(3029),
    [anon_sym_SLASH_SLASH] = ACTIONS(3029),
    [anon_sym_CARET_CARET] = ACTIONS(3027),
    [anon_sym_AMP_AMP] = ACTIONS(3029),
    [anon_sym_PIPE] = ACTIONS(3029),
    [anon_sym_CARET] = ACTIONS(3029),
    [anon_sym_AMP] = ACTIONS(3029),
    [anon_sym_GT_GT2] = ACTIONS(2597),
    [anon_sym_PLUS] = ACTIONS(2613),
    [anon_sym_DASH] = ACTIONS(2613),
    [anon_sym_DOT] = ACTIONS(2613),
    [anon_sym_STAR] = ACTIONS(2593),
    [anon_sym_SLASH] = ACTIONS(2593),
    [anon_sym_x] = ACTIONS(2593),
    [anon_sym_EQ_TILDE] = ACTIONS(2615),
    [anon_sym_BANG_TILDE] = ACTIONS(2615),
    [anon_sym_EQ_EQ] = ACTIONS(3029),
    [anon_sym_BANG_EQ] = ACTIONS(3027),
    [anon_sym_eq] = ACTIONS(3029),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3027),
    [anon_sym_equ] = ACTIONS(3027),
    [anon_sym_eqr] = ACTIONS(3027),
    [anon_sym_ne] = ACTIONS(3027),
    [anon_sym_LT_EQ_GT] = ACTIONS(3027),
    [anon_sym_cmp] = ACTIONS(3027),
    [anon_sym_TILDE_TILDE] = ACTIONS(3027),
    [anon_sym_LT] = ACTIONS(3029),
    [anon_sym_LT_EQ] = ACTIONS(3029),
    [anon_sym_GT_EQ] = ACTIONS(3027),
    [anon_sym_lt] = ACTIONS(3027),
    [anon_sym_le] = ACTIONS(3027),
    [anon_sym_ge] = ACTIONS(3027),
    [anon_sym_gt] = ACTIONS(3027),
    [anon_sym_isa] = ACTIONS(3027),
    [anon_sym_PLUS_PLUS] = ACTIONS(2627),
    [anon_sym_DASH_DASH] = ACTIONS(2627),
    [anon_sym_QMARK] = ACTIONS(3027),
    [anon_sym_EQ_GT] = ACTIONS(3027),
    [anon_sym_for] = ACTIONS(3029),
    [anon_sym_foreach] = ACTIONS(3027),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3027),
    [anon_sym___END__] = ACTIONS(3027),
    [anon_sym_EOT] = ACTIONS(3027),
    [anon_sym_if] = ACTIONS(3027),
    [anon_sym_unless] = ACTIONS(3027),
    [anon_sym_while] = ACTIONS(3027),
    [anon_sym_until] = ACTIONS(3027),
    [sym__PERLY_SEMICOLON] = ACTIONS(3027),
    [sym__ctrl_z_hack] = ACTIONS(3027),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1335] = {
    [sym_heredoc_content] = STATE(1335),
    [anon_sym_RBRACE] = ACTIONS(3019),
    [anon_sym_SEMI] = ACTIONS(3019),
    [anon_sym_EQ] = ACTIONS(3021),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_COMMA] = ACTIONS(3019),
    [anon_sym_RPAREN] = ACTIONS(3019),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3019),
    [anon_sym_and] = ACTIONS(3019),
    [anon_sym_or] = ACTIONS(3019),
    [anon_sym_xor] = ACTIONS(3019),
    [anon_sym_DASH_GT] = ACTIONS(2591),
    [anon_sym_PERCENT] = ACTIONS(2593),
    [anon_sym_GT] = ACTIONS(3021),
    [anon_sym_LT_LT] = ACTIONS(3021),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3019),
    [anon_sym_PLUS_EQ] = ACTIONS(3019),
    [anon_sym_DASH_EQ] = ACTIONS(3019),
    [anon_sym_DOT_EQ] = ACTIONS(3019),
    [anon_sym_STAR_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_PERCENT_EQ] = ACTIONS(3019),
    [anon_sym_x_EQ] = ACTIONS(3019),
    [anon_sym_AMP_EQ] = ACTIONS(3019),
    [anon_sym_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_CARET_EQ] = ACTIONS(3019),
    [anon_sym_LT_LT_EQ] = ACTIONS(3019),
    [anon_sym_GT_GT_EQ] = ACTIONS(3019),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3019),
    [anon_sym_DOT_DOT] = ACTIONS(3021),
    [anon_sym_STAR_STAR] = ACTIONS(2601),
    [anon_sym_PIPE_PIPE] = ACTIONS(3021),
    [anon_sym_SLASH_SLASH] = ACTIONS(3021),
    [anon_sym_CARET_CARET] = ACTIONS(3019),
    [anon_sym_AMP_AMP] = ACTIONS(3021),
    [anon_sym_PIPE] = ACTIONS(3021),
    [anon_sym_CARET] = ACTIONS(3021),
    [anon_sym_AMP] = ACTIONS(3021),
    [anon_sym_GT_GT2] = ACTIONS(3021),
    [anon_sym_PLUS] = ACTIONS(2613),
    [anon_sym_DASH] = ACTIONS(2613),
    [anon_sym_DOT] = ACTIONS(2613),
    [anon_sym_STAR] = ACTIONS(2593),
    [anon_sym_SLASH] = ACTIONS(2593),
    [anon_sym_x] = ACTIONS(2593),
    [anon_sym_EQ_TILDE] = ACTIONS(2615),
    [anon_sym_BANG_TILDE] = ACTIONS(2615),
    [anon_sym_EQ_EQ] = ACTIONS(3021),
    [anon_sym_BANG_EQ] = ACTIONS(3019),
    [anon_sym_eq] = ACTIONS(3021),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3019),
    [anon_sym_equ] = ACTIONS(3019),
    [anon_sym_eqr] = ACTIONS(3019),
    [anon_sym_ne] = ACTIONS(3019),
    [anon_sym_LT_EQ_GT] = ACTIONS(3019),
    [anon_sym_cmp] = ACTIONS(3019),
    [anon_sym_TILDE_TILDE] = ACTIONS(3019),
    [anon_sym_LT] = ACTIONS(3021),
    [anon_sym_LT_EQ] = ACTIONS(3021),
    [anon_sym_GT_EQ] = ACTIONS(3019),
    [anon_sym_lt] = ACTIONS(3019),
    [anon_sym_le] = ACTIONS(3019),
    [anon_sym_ge] = ACTIONS(3019),
    [anon_sym_gt] = ACTIONS(3019),
    [anon_sym_isa] = ACTIONS(3019),
    [anon_sym_PLUS_PLUS] = ACTIONS(2627),
    [anon_sym_DASH_DASH] = ACTIONS(2627),
    [anon_sym_QMARK] = ACTIONS(3019),
    [anon_sym_EQ_GT] = ACTIONS(3019),
    [anon_sym_for] = ACTIONS(3021),
    [anon_sym_foreach] = ACTIONS(3019),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3019),
    [anon_sym___END__] = ACTIONS(3019),
    [anon_sym_EOT] = ACTIONS(3019),
    [anon_sym_if] = ACTIONS(3019),
    [anon_sym_unless] = ACTIONS(3019),
    [anon_sym_while] = ACTIONS(3019),
    [anon_sym_until] = ACTIONS(3019),
    [sym__PERLY_SEMICOLON] = ACTIONS(3019),
    [sym__ctrl_z_hack] = ACTIONS(3019),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1336] = {
    [sym_heredoc_content] = STATE(1336),
    [anon_sym_RBRACE] = ACTIONS(3019),
    [anon_sym_SEMI] = ACTIONS(3019),
    [anon_sym_EQ] = ACTIONS(3021),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_COMMA] = ACTIONS(3019),
    [anon_sym_RPAREN] = ACTIONS(3019),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3019),
    [anon_sym_and] = ACTIONS(3019),
    [anon_sym_or] = ACTIONS(3019),
    [anon_sym_xor] = ACTIONS(3019),
    [anon_sym_DASH_GT] = ACTIONS(2591),
    [anon_sym_PERCENT] = ACTIONS(3021),
    [anon_sym_GT] = ACTIONS(3021),
    [anon_sym_LT_LT] = ACTIONS(3021),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3019),
    [anon_sym_PLUS_EQ] = ACTIONS(3019),
    [anon_sym_DASH_EQ] = ACTIONS(3019),
    [anon_sym_DOT_EQ] = ACTIONS(3019),
    [anon_sym_STAR_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_PERCENT_EQ] = ACTIONS(3019),
    [anon_sym_x_EQ] = ACTIONS(3019),
    [anon_sym_AMP_EQ] = ACTIONS(3019),
    [anon_sym_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_CARET_EQ] = ACTIONS(3019),
    [anon_sym_LT_LT_EQ] = ACTIONS(3019),
    [anon_sym_GT_GT_EQ] = ACTIONS(3019),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3019),
    [anon_sym_DOT_DOT] = ACTIONS(3021),
    [anon_sym_STAR_STAR] = ACTIONS(2601),
    [anon_sym_PIPE_PIPE] = ACTIONS(3021),
    [anon_sym_SLASH_SLASH] = ACTIONS(3021),
    [anon_sym_CARET_CARET] = ACTIONS(3019),
    [anon_sym_AMP_AMP] = ACTIONS(3021),
    [anon_sym_PIPE] = ACTIONS(3021),
    [anon_sym_CARET] = ACTIONS(3021),
    [anon_sym_AMP] = ACTIONS(3021),
    [anon_sym_GT_GT2] = ACTIONS(3021),
    [anon_sym_PLUS] = ACTIONS(3021),
    [anon_sym_DASH] = ACTIONS(3021),
    [anon_sym_DOT] = ACTIONS(3021),
    [anon_sym_STAR] = ACTIONS(3021),
    [anon_sym_SLASH] = ACTIONS(3021),
    [anon_sym_x] = ACTIONS(3021),
    [anon_sym_EQ_TILDE] = ACTIONS(3019),
    [anon_sym_BANG_TILDE] = ACTIONS(3019),
    [anon_sym_EQ_EQ] = ACTIONS(3021),
    [anon_sym_BANG_EQ] = ACTIONS(3019),
    [anon_sym_eq] = ACTIONS(3021),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3019),
    [anon_sym_equ] = ACTIONS(3019),
    [anon_sym_eqr] = ACTIONS(3019),
    [anon_sym_ne] = ACTIONS(3019),
    [anon_sym_LT_EQ_GT] = ACTIONS(3019),
    [anon_sym_cmp] = ACTIONS(3019),
    [anon_sym_TILDE_TILDE] = ACTIONS(3019),
    [anon_sym_LT] = ACTIONS(3021),
    [anon_sym_LT_EQ] = ACTIONS(3021),
    [anon_sym_GT_EQ] = ACTIONS(3019),
    [anon_sym_lt] = ACTIONS(3019),
    [anon_sym_le] = ACTIONS(3019),
    [anon_sym_ge] = ACTIONS(3019),
    [anon_sym_gt] = ACTIONS(3019),
    [anon_sym_isa] = ACTIONS(3019),
    [anon_sym_PLUS_PLUS] = ACTIONS(2627),
    [anon_sym_DASH_DASH] = ACTIONS(2627),
    [anon_sym_QMARK] = ACTIONS(3019),
    [anon_sym_EQ_GT] = ACTIONS(3019),
    [anon_sym_for] = ACTIONS(3021),
    [anon_sym_foreach] = ACTIONS(3019),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3019),
    [anon_sym___END__] = ACTIONS(3019),
    [anon_sym_EOT] = ACTIONS(3019),
    [anon_sym_if] = ACTIONS(3019),
    [anon_sym_unless] = ACTIONS(3019),
    [anon_sym_while] = ACTIONS(3019),
    [anon_sym_until] = ACTIONS(3019),
    [sym__PERLY_SEMICOLON] = ACTIONS(3019),
    [sym__ctrl_z_hack] = ACTIONS(3019),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1337] = {
    [sym_heredoc_content] = STATE(1337),
    [anon_sym_RBRACE] = ACTIONS(3019),
    [anon_sym_SEMI] = ACTIONS(3019),
    [anon_sym_EQ] = ACTIONS(3021),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_COMMA] = ACTIONS(3019),
    [anon_sym_RPAREN] = ACTIONS(3019),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3019),
    [anon_sym_and] = ACTIONS(3019),
    [anon_sym_or] = ACTIONS(3019),
    [anon_sym_xor] = ACTIONS(3019),
    [anon_sym_DASH_GT] = ACTIONS(2591),
    [anon_sym_PERCENT] = ACTIONS(2593),
    [anon_sym_GT] = ACTIONS(2595),
    [anon_sym_LT_LT] = ACTIONS(2597),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3019),
    [anon_sym_PLUS_EQ] = ACTIONS(3019),
    [anon_sym_DASH_EQ] = ACTIONS(3019),
    [anon_sym_DOT_EQ] = ACTIONS(3019),
    [anon_sym_STAR_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_PERCENT_EQ] = ACTIONS(3019),
    [anon_sym_x_EQ] = ACTIONS(3019),
    [anon_sym_AMP_EQ] = ACTIONS(3019),
    [anon_sym_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_CARET_EQ] = ACTIONS(3019),
    [anon_sym_LT_LT_EQ] = ACTIONS(3019),
    [anon_sym_GT_GT_EQ] = ACTIONS(3019),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3019),
    [anon_sym_DOT_DOT] = ACTIONS(3021),
    [anon_sym_STAR_STAR] = ACTIONS(2601),
    [anon_sym_PIPE_PIPE] = ACTIONS(3021),
    [anon_sym_SLASH_SLASH] = ACTIONS(3021),
    [anon_sym_CARET_CARET] = ACTIONS(3019),
    [anon_sym_AMP_AMP] = ACTIONS(2607),
    [anon_sym_PIPE] = ACTIONS(2609),
    [anon_sym_CARET] = ACTIONS(2609),
    [anon_sym_AMP] = ACTIONS(2611),
    [anon_sym_GT_GT2] = ACTIONS(2597),
    [anon_sym_PLUS] = ACTIONS(2613),
    [anon_sym_DASH] = ACTIONS(2613),
    [anon_sym_DOT] = ACTIONS(2613),
    [anon_sym_STAR] = ACTIONS(2593),
    [anon_sym_SLASH] = ACTIONS(2593),
    [anon_sym_x] = ACTIONS(2593),
    [anon_sym_EQ_TILDE] = ACTIONS(2615),
    [anon_sym_BANG_TILDE] = ACTIONS(2615),
    [anon_sym_EQ_EQ] = ACTIONS(2617),
    [anon_sym_BANG_EQ] = ACTIONS(2619),
    [anon_sym_eq] = ACTIONS(2617),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2619),
    [anon_sym_equ] = ACTIONS(2619),
    [anon_sym_eqr] = ACTIONS(2619),
    [anon_sym_ne] = ACTIONS(2619),
    [anon_sym_LT_EQ_GT] = ACTIONS(2621),
    [anon_sym_cmp] = ACTIONS(2621),
    [anon_sym_TILDE_TILDE] = ACTIONS(2621),
    [anon_sym_LT] = ACTIONS(2595),
    [anon_sym_LT_EQ] = ACTIONS(2595),
    [anon_sym_GT_EQ] = ACTIONS(2623),
    [anon_sym_lt] = ACTIONS(2623),
    [anon_sym_le] = ACTIONS(2623),
    [anon_sym_ge] = ACTIONS(2623),
    [anon_sym_gt] = ACTIONS(2623),
    [anon_sym_isa] = ACTIONS(2625),
    [anon_sym_PLUS_PLUS] = ACTIONS(2627),
    [anon_sym_DASH_DASH] = ACTIONS(2627),
    [anon_sym_QMARK] = ACTIONS(3019),
    [anon_sym_EQ_GT] = ACTIONS(3019),
    [anon_sym_for] = ACTIONS(3021),
    [anon_sym_foreach] = ACTIONS(3019),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3019),
    [anon_sym___END__] = ACTIONS(3019),
    [anon_sym_EOT] = ACTIONS(3019),
    [anon_sym_if] = ACTIONS(3019),
    [anon_sym_unless] = ACTIONS(3019),
    [anon_sym_while] = ACTIONS(3019),
    [anon_sym_until] = ACTIONS(3019),
    [sym__PERLY_SEMICOLON] = ACTIONS(3019),
    [sym__ctrl_z_hack] = ACTIONS(3019),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1338] = {
    [sym_heredoc_content] = STATE(1338),
    [anon_sym_RBRACE] = ACTIONS(3019),
    [anon_sym_SEMI] = ACTIONS(3019),
    [anon_sym_EQ] = ACTIONS(3021),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_COMMA] = ACTIONS(3019),
    [anon_sym_RPAREN] = ACTIONS(3019),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3019),
    [anon_sym_and] = ACTIONS(3019),
    [anon_sym_or] = ACTIONS(3019),
    [anon_sym_xor] = ACTIONS(3019),
    [anon_sym_DASH_GT] = ACTIONS(2591),
    [anon_sym_PERCENT] = ACTIONS(2593),
    [anon_sym_GT] = ACTIONS(2595),
    [anon_sym_LT_LT] = ACTIONS(2597),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3019),
    [anon_sym_PLUS_EQ] = ACTIONS(3019),
    [anon_sym_DASH_EQ] = ACTIONS(3019),
    [anon_sym_DOT_EQ] = ACTIONS(3019),
    [anon_sym_STAR_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_PERCENT_EQ] = ACTIONS(3019),
    [anon_sym_x_EQ] = ACTIONS(3019),
    [anon_sym_AMP_EQ] = ACTIONS(3019),
    [anon_sym_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_CARET_EQ] = ACTIONS(3019),
    [anon_sym_LT_LT_EQ] = ACTIONS(3019),
    [anon_sym_GT_GT_EQ] = ACTIONS(3019),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3019),
    [anon_sym_DOT_DOT] = ACTIONS(3021),
    [anon_sym_STAR_STAR] = ACTIONS(2601),
    [anon_sym_PIPE_PIPE] = ACTIONS(3021),
    [anon_sym_SLASH_SLASH] = ACTIONS(3021),
    [anon_sym_CARET_CARET] = ACTIONS(3019),
    [anon_sym_AMP_AMP] = ACTIONS(3021),
    [anon_sym_PIPE] = ACTIONS(2609),
    [anon_sym_CARET] = ACTIONS(2609),
    [anon_sym_AMP] = ACTIONS(2611),
    [anon_sym_GT_GT2] = ACTIONS(2597),
    [anon_sym_PLUS] = ACTIONS(2613),
    [anon_sym_DASH] = ACTIONS(2613),
    [anon_sym_DOT] = ACTIONS(2613),
    [anon_sym_STAR] = ACTIONS(2593),
    [anon_sym_SLASH] = ACTIONS(2593),
    [anon_sym_x] = ACTIONS(2593),
    [anon_sym_EQ_TILDE] = ACTIONS(2615),
    [anon_sym_BANG_TILDE] = ACTIONS(2615),
    [anon_sym_EQ_EQ] = ACTIONS(2617),
    [anon_sym_BANG_EQ] = ACTIONS(2619),
    [anon_sym_eq] = ACTIONS(2617),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2619),
    [anon_sym_equ] = ACTIONS(2619),
    [anon_sym_eqr] = ACTIONS(2619),
    [anon_sym_ne] = ACTIONS(2619),
    [anon_sym_LT_EQ_GT] = ACTIONS(2621),
    [anon_sym_cmp] = ACTIONS(2621),
    [anon_sym_TILDE_TILDE] = ACTIONS(2621),
    [anon_sym_LT] = ACTIONS(2595),
    [anon_sym_LT_EQ] = ACTIONS(2595),
    [anon_sym_GT_EQ] = ACTIONS(2623),
    [anon_sym_lt] = ACTIONS(2623),
    [anon_sym_le] = ACTIONS(2623),
    [anon_sym_ge] = ACTIONS(2623),
    [anon_sym_gt] = ACTIONS(2623),
    [anon_sym_isa] = ACTIONS(2625),
    [anon_sym_PLUS_PLUS] = ACTIONS(2627),
    [anon_sym_DASH_DASH] = ACTIONS(2627),
    [anon_sym_QMARK] = ACTIONS(3019),
    [anon_sym_EQ_GT] = ACTIONS(3019),
    [anon_sym_for] = ACTIONS(3021),
    [anon_sym_foreach] = ACTIONS(3019),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3019),
    [anon_sym___END__] = ACTIONS(3019),
    [anon_sym_EOT] = ACTIONS(3019),
    [anon_sym_if] = ACTIONS(3019),
    [anon_sym_unless] = ACTIONS(3019),
    [anon_sym_while] = ACTIONS(3019),
    [anon_sym_until] = ACTIONS(3019),
    [sym__PERLY_SEMICOLON] = ACTIONS(3019),
    [sym__ctrl_z_hack] = ACTIONS(3019),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1339] = {
    [sym_heredoc_content] = STATE(1339),
    [anon_sym_RBRACE] = ACTIONS(3019),
    [anon_sym_SEMI] = ACTIONS(3019),
    [anon_sym_EQ] = ACTIONS(3021),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_COMMA] = ACTIONS(3019),
    [anon_sym_RPAREN] = ACTIONS(3019),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3019),
    [anon_sym_and] = ACTIONS(3019),
    [anon_sym_or] = ACTIONS(3019),
    [anon_sym_xor] = ACTIONS(3019),
    [anon_sym_DASH_GT] = ACTIONS(2591),
    [anon_sym_PERCENT] = ACTIONS(2593),
    [anon_sym_GT] = ACTIONS(2595),
    [anon_sym_LT_LT] = ACTIONS(2597),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3019),
    [anon_sym_PLUS_EQ] = ACTIONS(3019),
    [anon_sym_DASH_EQ] = ACTIONS(3019),
    [anon_sym_DOT_EQ] = ACTIONS(3019),
    [anon_sym_STAR_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_PERCENT_EQ] = ACTIONS(3019),
    [anon_sym_x_EQ] = ACTIONS(3019),
    [anon_sym_AMP_EQ] = ACTIONS(3019),
    [anon_sym_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_CARET_EQ] = ACTIONS(3019),
    [anon_sym_LT_LT_EQ] = ACTIONS(3019),
    [anon_sym_GT_GT_EQ] = ACTIONS(3019),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3019),
    [anon_sym_DOT_DOT] = ACTIONS(3021),
    [anon_sym_STAR_STAR] = ACTIONS(2601),
    [anon_sym_PIPE_PIPE] = ACTIONS(3021),
    [anon_sym_SLASH_SLASH] = ACTIONS(3021),
    [anon_sym_CARET_CARET] = ACTIONS(3019),
    [anon_sym_AMP_AMP] = ACTIONS(3021),
    [anon_sym_PIPE] = ACTIONS(3021),
    [anon_sym_CARET] = ACTIONS(3021),
    [anon_sym_AMP] = ACTIONS(2611),
    [anon_sym_GT_GT2] = ACTIONS(2597),
    [anon_sym_PLUS] = ACTIONS(2613),
    [anon_sym_DASH] = ACTIONS(2613),
    [anon_sym_DOT] = ACTIONS(2613),
    [anon_sym_STAR] = ACTIONS(2593),
    [anon_sym_SLASH] = ACTIONS(2593),
    [anon_sym_x] = ACTIONS(2593),
    [anon_sym_EQ_TILDE] = ACTIONS(2615),
    [anon_sym_BANG_TILDE] = ACTIONS(2615),
    [anon_sym_EQ_EQ] = ACTIONS(2617),
    [anon_sym_BANG_EQ] = ACTIONS(2619),
    [anon_sym_eq] = ACTIONS(2617),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2619),
    [anon_sym_equ] = ACTIONS(2619),
    [anon_sym_eqr] = ACTIONS(2619),
    [anon_sym_ne] = ACTIONS(2619),
    [anon_sym_LT_EQ_GT] = ACTIONS(2621),
    [anon_sym_cmp] = ACTIONS(2621),
    [anon_sym_TILDE_TILDE] = ACTIONS(2621),
    [anon_sym_LT] = ACTIONS(2595),
    [anon_sym_LT_EQ] = ACTIONS(2595),
    [anon_sym_GT_EQ] = ACTIONS(2623),
    [anon_sym_lt] = ACTIONS(2623),
    [anon_sym_le] = ACTIONS(2623),
    [anon_sym_ge] = ACTIONS(2623),
    [anon_sym_gt] = ACTIONS(2623),
    [anon_sym_isa] = ACTIONS(2625),
    [anon_sym_PLUS_PLUS] = ACTIONS(2627),
    [anon_sym_DASH_DASH] = ACTIONS(2627),
    [anon_sym_QMARK] = ACTIONS(3019),
    [anon_sym_EQ_GT] = ACTIONS(3019),
    [anon_sym_for] = ACTIONS(3021),
    [anon_sym_foreach] = ACTIONS(3019),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3019),
    [anon_sym___END__] = ACTIONS(3019),
    [anon_sym_EOT] = ACTIONS(3019),
    [anon_sym_if] = ACTIONS(3019),
    [anon_sym_unless] = ACTIONS(3019),
    [anon_sym_while] = ACTIONS(3019),
    [anon_sym_until] = ACTIONS(3019),
    [sym__PERLY_SEMICOLON] = ACTIONS(3019),
    [sym__ctrl_z_hack] = ACTIONS(3019),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1340] = {
    [sym_heredoc_content] = STATE(1340),
    [anon_sym_RBRACE] = ACTIONS(3019),
    [anon_sym_SEMI] = ACTIONS(3019),
    [anon_sym_EQ] = ACTIONS(3021),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_COMMA] = ACTIONS(3019),
    [anon_sym_RPAREN] = ACTIONS(3019),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3019),
    [anon_sym_and] = ACTIONS(3019),
    [anon_sym_or] = ACTIONS(3019),
    [anon_sym_xor] = ACTIONS(3019),
    [anon_sym_DASH_GT] = ACTIONS(2591),
    [anon_sym_PERCENT] = ACTIONS(2593),
    [anon_sym_GT] = ACTIONS(2595),
    [anon_sym_LT_LT] = ACTIONS(2597),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3019),
    [anon_sym_PLUS_EQ] = ACTIONS(3019),
    [anon_sym_DASH_EQ] = ACTIONS(3019),
    [anon_sym_DOT_EQ] = ACTIONS(3019),
    [anon_sym_STAR_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_PERCENT_EQ] = ACTIONS(3019),
    [anon_sym_x_EQ] = ACTIONS(3019),
    [anon_sym_AMP_EQ] = ACTIONS(3019),
    [anon_sym_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_CARET_EQ] = ACTIONS(3019),
    [anon_sym_LT_LT_EQ] = ACTIONS(3019),
    [anon_sym_GT_GT_EQ] = ACTIONS(3019),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3019),
    [anon_sym_DOT_DOT] = ACTIONS(3021),
    [anon_sym_STAR_STAR] = ACTIONS(2601),
    [anon_sym_PIPE_PIPE] = ACTIONS(3021),
    [anon_sym_SLASH_SLASH] = ACTIONS(3021),
    [anon_sym_CARET_CARET] = ACTIONS(3019),
    [anon_sym_AMP_AMP] = ACTIONS(3021),
    [anon_sym_PIPE] = ACTIONS(3021),
    [anon_sym_CARET] = ACTIONS(3021),
    [anon_sym_AMP] = ACTIONS(3021),
    [anon_sym_GT_GT2] = ACTIONS(2597),
    [anon_sym_PLUS] = ACTIONS(2613),
    [anon_sym_DASH] = ACTIONS(2613),
    [anon_sym_DOT] = ACTIONS(2613),
    [anon_sym_STAR] = ACTIONS(2593),
    [anon_sym_SLASH] = ACTIONS(2593),
    [anon_sym_x] = ACTIONS(2593),
    [anon_sym_EQ_TILDE] = ACTIONS(2615),
    [anon_sym_BANG_TILDE] = ACTIONS(2615),
    [anon_sym_EQ_EQ] = ACTIONS(2617),
    [anon_sym_BANG_EQ] = ACTIONS(2619),
    [anon_sym_eq] = ACTIONS(2617),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2619),
    [anon_sym_equ] = ACTIONS(2619),
    [anon_sym_eqr] = ACTIONS(2619),
    [anon_sym_ne] = ACTIONS(2619),
    [anon_sym_LT_EQ_GT] = ACTIONS(2621),
    [anon_sym_cmp] = ACTIONS(2621),
    [anon_sym_TILDE_TILDE] = ACTIONS(2621),
    [anon_sym_LT] = ACTIONS(2595),
    [anon_sym_LT_EQ] = ACTIONS(2595),
    [anon_sym_GT_EQ] = ACTIONS(2623),
    [anon_sym_lt] = ACTIONS(2623),
    [anon_sym_le] = ACTIONS(2623),
    [anon_sym_ge] = ACTIONS(2623),
    [anon_sym_gt] = ACTIONS(2623),
    [anon_sym_isa] = ACTIONS(2625),
    [anon_sym_PLUS_PLUS] = ACTIONS(2627),
    [anon_sym_DASH_DASH] = ACTIONS(2627),
    [anon_sym_QMARK] = ACTIONS(3019),
    [anon_sym_EQ_GT] = ACTIONS(3019),
    [anon_sym_for] = ACTIONS(3021),
    [anon_sym_foreach] = ACTIONS(3019),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3019),
    [anon_sym___END__] = ACTIONS(3019),
    [anon_sym_EOT] = ACTIONS(3019),
    [anon_sym_if] = ACTIONS(3019),
    [anon_sym_unless] = ACTIONS(3019),
    [anon_sym_while] = ACTIONS(3019),
    [anon_sym_until] = ACTIONS(3019),
    [sym__PERLY_SEMICOLON] = ACTIONS(3019),
    [sym__ctrl_z_hack] = ACTIONS(3019),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1341] = {
    [sym_heredoc_content] = STATE(1341),
    [anon_sym_RBRACE] = ACTIONS(3031),
    [anon_sym_SEMI] = ACTIONS(3031),
    [anon_sym_EQ] = ACTIONS(3033),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3031),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3031),
    [anon_sym_COMMA] = ACTIONS(3031),
    [anon_sym_RPAREN] = ACTIONS(3031),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3031),
    [anon_sym_and] = ACTIONS(3031),
    [anon_sym_or] = ACTIONS(3031),
    [anon_sym_xor] = ACTIONS(3031),
    [anon_sym_DASH_GT] = ACTIONS(3031),
    [anon_sym_PERCENT] = ACTIONS(3033),
    [anon_sym_GT] = ACTIONS(3033),
    [anon_sym_LT_LT] = ACTIONS(3033),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3031),
    [anon_sym_PLUS_EQ] = ACTIONS(3031),
    [anon_sym_DASH_EQ] = ACTIONS(3031),
    [anon_sym_DOT_EQ] = ACTIONS(3031),
    [anon_sym_STAR_EQ] = ACTIONS(3031),
    [anon_sym_SLASH_EQ] = ACTIONS(3031),
    [anon_sym_PERCENT_EQ] = ACTIONS(3031),
    [anon_sym_x_EQ] = ACTIONS(3031),
    [anon_sym_AMP_EQ] = ACTIONS(3031),
    [anon_sym_PIPE_EQ] = ACTIONS(3031),
    [anon_sym_CARET_EQ] = ACTIONS(3031),
    [anon_sym_LT_LT_EQ] = ACTIONS(3031),
    [anon_sym_GT_GT_EQ] = ACTIONS(3031),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3031),
    [anon_sym_DOT_DOT] = ACTIONS(3033),
    [anon_sym_STAR_STAR] = ACTIONS(3033),
    [anon_sym_PIPE_PIPE] = ACTIONS(3033),
    [anon_sym_SLASH_SLASH] = ACTIONS(3033),
    [anon_sym_CARET_CARET] = ACTIONS(3031),
    [anon_sym_AMP_AMP] = ACTIONS(3033),
    [anon_sym_PIPE] = ACTIONS(3033),
    [anon_sym_CARET] = ACTIONS(3033),
    [anon_sym_AMP] = ACTIONS(3033),
    [anon_sym_GT_GT2] = ACTIONS(3033),
    [anon_sym_PLUS] = ACTIONS(3033),
    [anon_sym_DASH] = ACTIONS(3033),
    [anon_sym_DOT] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3033),
    [anon_sym_SLASH] = ACTIONS(3033),
    [anon_sym_x] = ACTIONS(3033),
    [anon_sym_EQ_TILDE] = ACTIONS(3031),
    [anon_sym_BANG_TILDE] = ACTIONS(3031),
    [anon_sym_EQ_EQ] = ACTIONS(3033),
    [anon_sym_BANG_EQ] = ACTIONS(3031),
    [anon_sym_eq] = ACTIONS(3033),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3031),
    [anon_sym_equ] = ACTIONS(3031),
    [anon_sym_eqr] = ACTIONS(3031),
    [anon_sym_ne] = ACTIONS(3031),
    [anon_sym_LT_EQ_GT] = ACTIONS(3031),
    [anon_sym_cmp] = ACTIONS(3031),
    [anon_sym_TILDE_TILDE] = ACTIONS(3031),
    [anon_sym_LT] = ACTIONS(3033),
    [anon_sym_LT_EQ] = ACTIONS(3033),
    [anon_sym_GT_EQ] = ACTIONS(3031),
    [anon_sym_lt] = ACTIONS(3031),
    [anon_sym_le] = ACTIONS(3031),
    [anon_sym_ge] = ACTIONS(3031),
    [anon_sym_gt] = ACTIONS(3031),
    [anon_sym_isa] = ACTIONS(3031),
    [anon_sym_PLUS_PLUS] = ACTIONS(3031),
    [anon_sym_DASH_DASH] = ACTIONS(3031),
    [anon_sym_QMARK] = ACTIONS(3031),
    [anon_sym_EQ_GT] = ACTIONS(3031),
    [anon_sym_for] = ACTIONS(3033),
    [anon_sym_foreach] = ACTIONS(3031),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3031),
    [anon_sym___END__] = ACTIONS(3031),
    [anon_sym_EOT] = ACTIONS(3031),
    [anon_sym_if] = ACTIONS(3031),
    [anon_sym_unless] = ACTIONS(3031),
    [anon_sym_while] = ACTIONS(3031),
    [anon_sym_until] = ACTIONS(3031),
    [sym__PERLY_SEMICOLON] = ACTIONS(3031),
    [sym__ctrl_z_hack] = ACTIONS(3031),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1342] = {
    [sym_heredoc_content] = STATE(1342),
    [anon_sym_RBRACE] = ACTIONS(3019),
    [anon_sym_SEMI] = ACTIONS(3019),
    [anon_sym_EQ] = ACTIONS(3021),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_COMMA] = ACTIONS(3019),
    [anon_sym_RPAREN] = ACTIONS(3019),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3019),
    [anon_sym_and] = ACTIONS(3019),
    [anon_sym_or] = ACTIONS(3019),
    [anon_sym_xor] = ACTIONS(3019),
    [anon_sym_DASH_GT] = ACTIONS(2591),
    [anon_sym_PERCENT] = ACTIONS(3021),
    [anon_sym_GT] = ACTIONS(3021),
    [anon_sym_LT_LT] = ACTIONS(3021),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3019),
    [anon_sym_PLUS_EQ] = ACTIONS(3019),
    [anon_sym_DASH_EQ] = ACTIONS(3019),
    [anon_sym_DOT_EQ] = ACTIONS(3019),
    [anon_sym_STAR_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_PERCENT_EQ] = ACTIONS(3019),
    [anon_sym_x_EQ] = ACTIONS(3019),
    [anon_sym_AMP_EQ] = ACTIONS(3019),
    [anon_sym_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_CARET_EQ] = ACTIONS(3019),
    [anon_sym_LT_LT_EQ] = ACTIONS(3019),
    [anon_sym_GT_GT_EQ] = ACTIONS(3019),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3019),
    [anon_sym_DOT_DOT] = ACTIONS(3021),
    [anon_sym_STAR_STAR] = ACTIONS(2601),
    [anon_sym_PIPE_PIPE] = ACTIONS(3021),
    [anon_sym_SLASH_SLASH] = ACTIONS(3021),
    [anon_sym_CARET_CARET] = ACTIONS(3019),
    [anon_sym_AMP_AMP] = ACTIONS(3021),
    [anon_sym_PIPE] = ACTIONS(3021),
    [anon_sym_CARET] = ACTIONS(3021),
    [anon_sym_AMP] = ACTIONS(3021),
    [anon_sym_GT_GT2] = ACTIONS(3021),
    [anon_sym_PLUS] = ACTIONS(3021),
    [anon_sym_DASH] = ACTIONS(3021),
    [anon_sym_DOT] = ACTIONS(3021),
    [anon_sym_STAR] = ACTIONS(3021),
    [anon_sym_SLASH] = ACTIONS(3021),
    [anon_sym_x] = ACTIONS(3021),
    [anon_sym_EQ_TILDE] = ACTIONS(3019),
    [anon_sym_BANG_TILDE] = ACTIONS(3019),
    [anon_sym_EQ_EQ] = ACTIONS(3021),
    [anon_sym_BANG_EQ] = ACTIONS(3019),
    [anon_sym_eq] = ACTIONS(3021),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3019),
    [anon_sym_equ] = ACTIONS(3019),
    [anon_sym_eqr] = ACTIONS(3019),
    [anon_sym_ne] = ACTIONS(3019),
    [anon_sym_LT_EQ_GT] = ACTIONS(3019),
    [anon_sym_cmp] = ACTIONS(3019),
    [anon_sym_TILDE_TILDE] = ACTIONS(3019),
    [anon_sym_LT] = ACTIONS(3021),
    [anon_sym_LT_EQ] = ACTIONS(3021),
    [anon_sym_GT_EQ] = ACTIONS(3019),
    [anon_sym_lt] = ACTIONS(3019),
    [anon_sym_le] = ACTIONS(3019),
    [anon_sym_ge] = ACTIONS(3019),
    [anon_sym_gt] = ACTIONS(3019),
    [anon_sym_isa] = ACTIONS(3019),
    [anon_sym_PLUS_PLUS] = ACTIONS(2627),
    [anon_sym_DASH_DASH] = ACTIONS(2627),
    [anon_sym_QMARK] = ACTIONS(3019),
    [anon_sym_EQ_GT] = ACTIONS(3019),
    [anon_sym_for] = ACTIONS(3021),
    [anon_sym_foreach] = ACTIONS(3019),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3019),
    [anon_sym___END__] = ACTIONS(3019),
    [anon_sym_EOT] = ACTIONS(3019),
    [anon_sym_if] = ACTIONS(3019),
    [anon_sym_unless] = ACTIONS(3019),
    [anon_sym_while] = ACTIONS(3019),
    [anon_sym_until] = ACTIONS(3019),
    [sym__PERLY_SEMICOLON] = ACTIONS(3019),
    [sym__ctrl_z_hack] = ACTIONS(3019),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1343] = {
    [sym_heredoc_content] = STATE(1343),
    [anon_sym_RBRACE] = ACTIONS(3035),
    [anon_sym_SEMI] = ACTIONS(3035),
    [anon_sym_EQ] = ACTIONS(3037),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3035),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3035),
    [anon_sym_COMMA] = ACTIONS(3035),
    [anon_sym_RPAREN] = ACTIONS(3035),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3035),
    [anon_sym_and] = ACTIONS(3035),
    [anon_sym_or] = ACTIONS(3035),
    [anon_sym_xor] = ACTIONS(3035),
    [anon_sym_DASH_GT] = ACTIONS(2591),
    [anon_sym_PERCENT] = ACTIONS(2593),
    [anon_sym_GT] = ACTIONS(2595),
    [anon_sym_LT_LT] = ACTIONS(2597),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3035),
    [anon_sym_PLUS_EQ] = ACTIONS(3035),
    [anon_sym_DASH_EQ] = ACTIONS(3035),
    [anon_sym_DOT_EQ] = ACTIONS(3035),
    [anon_sym_STAR_EQ] = ACTIONS(3035),
    [anon_sym_SLASH_EQ] = ACTIONS(3035),
    [anon_sym_PERCENT_EQ] = ACTIONS(3035),
    [anon_sym_x_EQ] = ACTIONS(3035),
    [anon_sym_AMP_EQ] = ACTIONS(3035),
    [anon_sym_PIPE_EQ] = ACTIONS(3035),
    [anon_sym_CARET_EQ] = ACTIONS(3035),
    [anon_sym_LT_LT_EQ] = ACTIONS(3035),
    [anon_sym_GT_GT_EQ] = ACTIONS(3035),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3035),
    [anon_sym_DOT_DOT] = ACTIONS(3037),
    [anon_sym_STAR_STAR] = ACTIONS(2601),
    [anon_sym_PIPE_PIPE] = ACTIONS(3037),
    [anon_sym_SLASH_SLASH] = ACTIONS(3037),
    [anon_sym_CARET_CARET] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(3037),
    [anon_sym_PIPE] = ACTIONS(3037),
    [anon_sym_CARET] = ACTIONS(3037),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym_GT_GT2] = ACTIONS(2597),
    [anon_sym_PLUS] = ACTIONS(2613),
    [anon_sym_DASH] = ACTIONS(2613),
    [anon_sym_DOT] = ACTIONS(2613),
    [anon_sym_STAR] = ACTIONS(2593),
    [anon_sym_SLASH] = ACTIONS(2593),
    [anon_sym_x] = ACTIONS(2593),
    [anon_sym_EQ_TILDE] = ACTIONS(2615),
    [anon_sym_BANG_TILDE] = ACTIONS(2615),
    [anon_sym_EQ_EQ] = ACTIONS(3037),
    [anon_sym_BANG_EQ] = ACTIONS(3035),
    [anon_sym_eq] = ACTIONS(3037),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3035),
    [anon_sym_equ] = ACTIONS(3035),
    [anon_sym_eqr] = ACTIONS(3035),
    [anon_sym_ne] = ACTIONS(3035),
    [anon_sym_LT_EQ_GT] = ACTIONS(3035),
    [anon_sym_cmp] = ACTIONS(3035),
    [anon_sym_TILDE_TILDE] = ACTIONS(3035),
    [anon_sym_LT] = ACTIONS(2595),
    [anon_sym_LT_EQ] = ACTIONS(2595),
    [anon_sym_GT_EQ] = ACTIONS(2623),
    [anon_sym_lt] = ACTIONS(2623),
    [anon_sym_le] = ACTIONS(2623),
    [anon_sym_ge] = ACTIONS(2623),
    [anon_sym_gt] = ACTIONS(2623),
    [anon_sym_isa] = ACTIONS(2625),
    [anon_sym_PLUS_PLUS] = ACTIONS(2627),
    [anon_sym_DASH_DASH] = ACTIONS(2627),
    [anon_sym_QMARK] = ACTIONS(3035),
    [anon_sym_EQ_GT] = ACTIONS(3035),
    [anon_sym_for] = ACTIONS(3037),
    [anon_sym_foreach] = ACTIONS(3035),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3035),
    [anon_sym___END__] = ACTIONS(3035),
    [anon_sym_EOT] = ACTIONS(3035),
    [anon_sym_if] = ACTIONS(3035),
    [anon_sym_unless] = ACTIONS(3035),
    [anon_sym_while] = ACTIONS(3035),
    [anon_sym_until] = ACTIONS(3035),
    [sym__PERLY_SEMICOLON] = ACTIONS(3035),
    [sym__ctrl_z_hack] = ACTIONS(3035),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1344] = {
    [sym_heredoc_content] = STATE(1344),
    [anon_sym_RBRACE] = ACTIONS(3035),
    [anon_sym_SEMI] = ACTIONS(3035),
    [anon_sym_EQ] = ACTIONS(3037),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3035),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3035),
    [anon_sym_COMMA] = ACTIONS(3035),
    [anon_sym_RPAREN] = ACTIONS(3035),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3035),
    [anon_sym_and] = ACTIONS(3035),
    [anon_sym_or] = ACTIONS(3035),
    [anon_sym_xor] = ACTIONS(3035),
    [anon_sym_DASH_GT] = ACTIONS(2591),
    [anon_sym_PERCENT] = ACTIONS(2593),
    [anon_sym_GT] = ACTIONS(2595),
    [anon_sym_LT_LT] = ACTIONS(2597),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3035),
    [anon_sym_PLUS_EQ] = ACTIONS(3035),
    [anon_sym_DASH_EQ] = ACTIONS(3035),
    [anon_sym_DOT_EQ] = ACTIONS(3035),
    [anon_sym_STAR_EQ] = ACTIONS(3035),
    [anon_sym_SLASH_EQ] = ACTIONS(3035),
    [anon_sym_PERCENT_EQ] = ACTIONS(3035),
    [anon_sym_x_EQ] = ACTIONS(3035),
    [anon_sym_AMP_EQ] = ACTIONS(3035),
    [anon_sym_PIPE_EQ] = ACTIONS(3035),
    [anon_sym_CARET_EQ] = ACTIONS(3035),
    [anon_sym_LT_LT_EQ] = ACTIONS(3035),
    [anon_sym_GT_GT_EQ] = ACTIONS(3035),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3035),
    [anon_sym_DOT_DOT] = ACTIONS(3037),
    [anon_sym_STAR_STAR] = ACTIONS(2601),
    [anon_sym_PIPE_PIPE] = ACTIONS(3037),
    [anon_sym_SLASH_SLASH] = ACTIONS(3037),
    [anon_sym_CARET_CARET] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(3037),
    [anon_sym_PIPE] = ACTIONS(3037),
    [anon_sym_CARET] = ACTIONS(3037),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym_GT_GT2] = ACTIONS(2597),
    [anon_sym_PLUS] = ACTIONS(2613),
    [anon_sym_DASH] = ACTIONS(2613),
    [anon_sym_DOT] = ACTIONS(2613),
    [anon_sym_STAR] = ACTIONS(2593),
    [anon_sym_SLASH] = ACTIONS(2593),
    [anon_sym_x] = ACTIONS(2593),
    [anon_sym_EQ_TILDE] = ACTIONS(2615),
    [anon_sym_BANG_TILDE] = ACTIONS(2615),
    [anon_sym_EQ_EQ] = ACTIONS(2617),
    [anon_sym_BANG_EQ] = ACTIONS(2619),
    [anon_sym_eq] = ACTIONS(2617),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2619),
    [anon_sym_equ] = ACTIONS(2619),
    [anon_sym_eqr] = ACTIONS(2619),
    [anon_sym_ne] = ACTIONS(2619),
    [anon_sym_LT_EQ_GT] = ACTIONS(3039),
    [anon_sym_cmp] = ACTIONS(3039),
    [anon_sym_TILDE_TILDE] = ACTIONS(3039),
    [anon_sym_LT] = ACTIONS(2595),
    [anon_sym_LT_EQ] = ACTIONS(2595),
    [anon_sym_GT_EQ] = ACTIONS(2623),
    [anon_sym_lt] = ACTIONS(2623),
    [anon_sym_le] = ACTIONS(2623),
    [anon_sym_ge] = ACTIONS(2623),
    [anon_sym_gt] = ACTIONS(2623),
    [anon_sym_isa] = ACTIONS(2625),
    [anon_sym_PLUS_PLUS] = ACTIONS(2627),
    [anon_sym_DASH_DASH] = ACTIONS(2627),
    [anon_sym_QMARK] = ACTIONS(3035),
    [anon_sym_EQ_GT] = ACTIONS(3035),
    [anon_sym_for] = ACTIONS(3037),
    [anon_sym_foreach] = ACTIONS(3035),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3035),
    [anon_sym___END__] = ACTIONS(3035),
    [anon_sym_EOT] = ACTIONS(3035),
    [anon_sym_if] = ACTIONS(3035),
    [anon_sym_unless] = ACTIONS(3035),
    [anon_sym_while] = ACTIONS(3035),
    [anon_sym_until] = ACTIONS(3035),
    [sym__PERLY_SEMICOLON] = ACTIONS(3035),
    [sym__ctrl_z_hack] = ACTIONS(3035),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1345] = {
    [sym_heredoc_content] = STATE(1345),
    [anon_sym_RBRACE] = ACTIONS(3027),
    [anon_sym_SEMI] = ACTIONS(3027),
    [anon_sym_EQ] = ACTIONS(3029),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3027),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3027),
    [anon_sym_COMMA] = ACTIONS(3027),
    [anon_sym_RPAREN] = ACTIONS(3027),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3027),
    [anon_sym_and] = ACTIONS(3027),
    [anon_sym_or] = ACTIONS(3027),
    [anon_sym_xor] = ACTIONS(3027),
    [anon_sym_DASH_GT] = ACTIONS(2591),
    [anon_sym_PERCENT] = ACTIONS(2593),
    [anon_sym_GT] = ACTIONS(2595),
    [anon_sym_LT_LT] = ACTIONS(2597),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3027),
    [anon_sym_PLUS_EQ] = ACTIONS(3027),
    [anon_sym_DASH_EQ] = ACTIONS(3027),
    [anon_sym_DOT_EQ] = ACTIONS(3027),
    [anon_sym_STAR_EQ] = ACTIONS(3027),
    [anon_sym_SLASH_EQ] = ACTIONS(3027),
    [anon_sym_PERCENT_EQ] = ACTIONS(3027),
    [anon_sym_x_EQ] = ACTIONS(3027),
    [anon_sym_AMP_EQ] = ACTIONS(3027),
    [anon_sym_PIPE_EQ] = ACTIONS(3027),
    [anon_sym_CARET_EQ] = ACTIONS(3027),
    [anon_sym_LT_LT_EQ] = ACTIONS(3027),
    [anon_sym_GT_GT_EQ] = ACTIONS(3027),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3027),
    [anon_sym_DOT_DOT] = ACTIONS(3029),
    [anon_sym_STAR_STAR] = ACTIONS(2601),
    [anon_sym_PIPE_PIPE] = ACTIONS(3029),
    [anon_sym_SLASH_SLASH] = ACTIONS(3029),
    [anon_sym_CARET_CARET] = ACTIONS(3027),
    [anon_sym_AMP_AMP] = ACTIONS(3029),
    [anon_sym_PIPE] = ACTIONS(3029),
    [anon_sym_CARET] = ACTIONS(3029),
    [anon_sym_AMP] = ACTIONS(3029),
    [anon_sym_GT_GT2] = ACTIONS(2597),
    [anon_sym_PLUS] = ACTIONS(2613),
    [anon_sym_DASH] = ACTIONS(2613),
    [anon_sym_DOT] = ACTIONS(2613),
    [anon_sym_STAR] = ACTIONS(2593),
    [anon_sym_SLASH] = ACTIONS(2593),
    [anon_sym_x] = ACTIONS(2593),
    [anon_sym_EQ_TILDE] = ACTIONS(2615),
    [anon_sym_BANG_TILDE] = ACTIONS(2615),
    [anon_sym_EQ_EQ] = ACTIONS(3029),
    [anon_sym_BANG_EQ] = ACTIONS(3027),
    [anon_sym_eq] = ACTIONS(3029),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3027),
    [anon_sym_equ] = ACTIONS(3027),
    [anon_sym_eqr] = ACTIONS(3027),
    [anon_sym_ne] = ACTIONS(3027),
    [anon_sym_LT_EQ_GT] = ACTIONS(3027),
    [anon_sym_cmp] = ACTIONS(3027),
    [anon_sym_TILDE_TILDE] = ACTIONS(3027),
    [anon_sym_LT] = ACTIONS(2595),
    [anon_sym_LT_EQ] = ACTIONS(2595),
    [anon_sym_GT_EQ] = ACTIONS(2623),
    [anon_sym_lt] = ACTIONS(2623),
    [anon_sym_le] = ACTIONS(2623),
    [anon_sym_ge] = ACTIONS(2623),
    [anon_sym_gt] = ACTIONS(2623),
    [anon_sym_isa] = ACTIONS(3041),
    [anon_sym_PLUS_PLUS] = ACTIONS(2627),
    [anon_sym_DASH_DASH] = ACTIONS(2627),
    [anon_sym_QMARK] = ACTIONS(3027),
    [anon_sym_EQ_GT] = ACTIONS(3027),
    [anon_sym_for] = ACTIONS(3029),
    [anon_sym_foreach] = ACTIONS(3027),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3027),
    [anon_sym___END__] = ACTIONS(3027),
    [anon_sym_EOT] = ACTIONS(3027),
    [anon_sym_if] = ACTIONS(3027),
    [anon_sym_unless] = ACTIONS(3027),
    [anon_sym_while] = ACTIONS(3027),
    [anon_sym_until] = ACTIONS(3027),
    [sym__PERLY_SEMICOLON] = ACTIONS(3027),
    [sym__ctrl_z_hack] = ACTIONS(3027),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1346] = {
    [sym_heredoc_content] = STATE(1346),
    [anon_sym_RBRACE] = ACTIONS(3043),
    [anon_sym_SEMI] = ACTIONS(3043),
    [anon_sym_EQ] = ACTIONS(3045),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3043),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3043),
    [anon_sym_COMMA] = ACTIONS(3043),
    [anon_sym_RPAREN] = ACTIONS(3043),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3043),
    [anon_sym_and] = ACTIONS(3043),
    [anon_sym_or] = ACTIONS(3043),
    [anon_sym_xor] = ACTIONS(3043),
    [anon_sym_DASH_GT] = ACTIONS(3043),
    [anon_sym_PERCENT] = ACTIONS(3045),
    [anon_sym_GT] = ACTIONS(3045),
    [anon_sym_LT_LT] = ACTIONS(3045),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3043),
    [anon_sym_PLUS_EQ] = ACTIONS(3043),
    [anon_sym_DASH_EQ] = ACTIONS(3043),
    [anon_sym_DOT_EQ] = ACTIONS(3043),
    [anon_sym_STAR_EQ] = ACTIONS(3043),
    [anon_sym_SLASH_EQ] = ACTIONS(3043),
    [anon_sym_PERCENT_EQ] = ACTIONS(3043),
    [anon_sym_x_EQ] = ACTIONS(3043),
    [anon_sym_AMP_EQ] = ACTIONS(3043),
    [anon_sym_PIPE_EQ] = ACTIONS(3043),
    [anon_sym_CARET_EQ] = ACTIONS(3043),
    [anon_sym_LT_LT_EQ] = ACTIONS(3043),
    [anon_sym_GT_GT_EQ] = ACTIONS(3043),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3043),
    [anon_sym_DOT_DOT] = ACTIONS(3045),
    [anon_sym_STAR_STAR] = ACTIONS(3045),
    [anon_sym_PIPE_PIPE] = ACTIONS(3045),
    [anon_sym_SLASH_SLASH] = ACTIONS(3045),
    [anon_sym_CARET_CARET] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(3045),
    [anon_sym_PIPE] = ACTIONS(3045),
    [anon_sym_CARET] = ACTIONS(3045),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym_GT_GT2] = ACTIONS(3045),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_DOT] = ACTIONS(3045),
    [anon_sym_STAR] = ACTIONS(3045),
    [anon_sym_SLASH] = ACTIONS(3045),
    [anon_sym_x] = ACTIONS(3045),
    [anon_sym_EQ_TILDE] = ACTIONS(3043),
    [anon_sym_BANG_TILDE] = ACTIONS(3043),
    [anon_sym_EQ_EQ] = ACTIONS(3045),
    [anon_sym_BANG_EQ] = ACTIONS(3043),
    [anon_sym_eq] = ACTIONS(3045),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3043),
    [anon_sym_equ] = ACTIONS(3043),
    [anon_sym_eqr] = ACTIONS(3043),
    [anon_sym_ne] = ACTIONS(3043),
    [anon_sym_LT_EQ_GT] = ACTIONS(3043),
    [anon_sym_cmp] = ACTIONS(3043),
    [anon_sym_TILDE_TILDE] = ACTIONS(3043),
    [anon_sym_LT] = ACTIONS(3045),
    [anon_sym_LT_EQ] = ACTIONS(3045),
    [anon_sym_GT_EQ] = ACTIONS(3043),
    [anon_sym_lt] = ACTIONS(3043),
    [anon_sym_le] = ACTIONS(3043),
    [anon_sym_ge] = ACTIONS(3043),
    [anon_sym_gt] = ACTIONS(3043),
    [anon_sym_isa] = ACTIONS(3043),
    [anon_sym_PLUS_PLUS] = ACTIONS(3043),
    [anon_sym_DASH_DASH] = ACTIONS(3043),
    [anon_sym_QMARK] = ACTIONS(3043),
    [anon_sym_EQ_GT] = ACTIONS(3043),
    [anon_sym_for] = ACTIONS(3045),
    [anon_sym_foreach] = ACTIONS(3043),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3043),
    [anon_sym___END__] = ACTIONS(3043),
    [anon_sym_EOT] = ACTIONS(3043),
    [anon_sym_if] = ACTIONS(3043),
    [anon_sym_unless] = ACTIONS(3043),
    [anon_sym_while] = ACTIONS(3043),
    [anon_sym_until] = ACTIONS(3043),
    [sym__PERLY_SEMICOLON] = ACTIONS(3043),
    [sym__ctrl_z_hack] = ACTIONS(3043),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1347] = {
    [sym_heredoc_content] = STATE(1347),
    [anon_sym_RBRACE] = ACTIONS(3047),
    [anon_sym_SEMI] = ACTIONS(3047),
    [anon_sym_EQ] = ACTIONS(3049),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3047),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3047),
    [anon_sym_COMMA] = ACTIONS(3047),
    [anon_sym_RPAREN] = ACTIONS(3047),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3047),
    [anon_sym_and] = ACTIONS(3047),
    [anon_sym_or] = ACTIONS(3047),
    [anon_sym_xor] = ACTIONS(3047),
    [anon_sym_DASH_GT] = ACTIONS(3047),
    [anon_sym_PERCENT] = ACTIONS(3049),
    [anon_sym_GT] = ACTIONS(3049),
    [anon_sym_LT_LT] = ACTIONS(3049),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3047),
    [anon_sym_PLUS_EQ] = ACTIONS(3047),
    [anon_sym_DASH_EQ] = ACTIONS(3047),
    [anon_sym_DOT_EQ] = ACTIONS(3047),
    [anon_sym_STAR_EQ] = ACTIONS(3047),
    [anon_sym_SLASH_EQ] = ACTIONS(3047),
    [anon_sym_PERCENT_EQ] = ACTIONS(3047),
    [anon_sym_x_EQ] = ACTIONS(3047),
    [anon_sym_AMP_EQ] = ACTIONS(3047),
    [anon_sym_PIPE_EQ] = ACTIONS(3047),
    [anon_sym_CARET_EQ] = ACTIONS(3047),
    [anon_sym_LT_LT_EQ] = ACTIONS(3047),
    [anon_sym_GT_GT_EQ] = ACTIONS(3047),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3047),
    [anon_sym_DOT_DOT] = ACTIONS(3049),
    [anon_sym_STAR_STAR] = ACTIONS(3049),
    [anon_sym_PIPE_PIPE] = ACTIONS(3049),
    [anon_sym_SLASH_SLASH] = ACTIONS(3049),
    [anon_sym_CARET_CARET] = ACTIONS(3047),
    [anon_sym_AMP_AMP] = ACTIONS(3049),
    [anon_sym_PIPE] = ACTIONS(3049),
    [anon_sym_CARET] = ACTIONS(3049),
    [anon_sym_AMP] = ACTIONS(3049),
    [anon_sym_GT_GT2] = ACTIONS(3049),
    [anon_sym_PLUS] = ACTIONS(3049),
    [anon_sym_DASH] = ACTIONS(3049),
    [anon_sym_DOT] = ACTIONS(3049),
    [anon_sym_STAR] = ACTIONS(3049),
    [anon_sym_SLASH] = ACTIONS(3049),
    [anon_sym_x] = ACTIONS(3049),
    [anon_sym_EQ_TILDE] = ACTIONS(3047),
    [anon_sym_BANG_TILDE] = ACTIONS(3047),
    [anon_sym_EQ_EQ] = ACTIONS(3049),
    [anon_sym_BANG_EQ] = ACTIONS(3047),
    [anon_sym_eq] = ACTIONS(3049),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3047),
    [anon_sym_equ] = ACTIONS(3047),
    [anon_sym_eqr] = ACTIONS(3047),
    [anon_sym_ne] = ACTIONS(3047),
    [anon_sym_LT_EQ_GT] = ACTIONS(3047),
    [anon_sym_cmp] = ACTIONS(3047),
    [anon_sym_TILDE_TILDE] = ACTIONS(3047),
    [anon_sym_LT] = ACTIONS(3049),
    [anon_sym_LT_EQ] = ACTIONS(3049),
    [anon_sym_GT_EQ] = ACTIONS(3047),
    [anon_sym_lt] = ACTIONS(3047),
    [anon_sym_le] = ACTIONS(3047),
    [anon_sym_ge] = ACTIONS(3047),
    [anon_sym_gt] = ACTIONS(3047),
    [anon_sym_isa] = ACTIONS(3047),
    [anon_sym_PLUS_PLUS] = ACTIONS(3047),
    [anon_sym_DASH_DASH] = ACTIONS(3047),
    [anon_sym_QMARK] = ACTIONS(3047),
    [anon_sym_EQ_GT] = ACTIONS(3047),
    [anon_sym_for] = ACTIONS(3049),
    [anon_sym_foreach] = ACTIONS(3047),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3047),
    [anon_sym___END__] = ACTIONS(3047),
    [anon_sym_EOT] = ACTIONS(3047),
    [anon_sym_if] = ACTIONS(3047),
    [anon_sym_unless] = ACTIONS(3047),
    [anon_sym_while] = ACTIONS(3047),
    [anon_sym_until] = ACTIONS(3047),
    [sym__PERLY_SEMICOLON] = ACTIONS(3047),
    [sym__ctrl_z_hack] = ACTIONS(3047),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1348] = {
    [sym_heredoc_content] = STATE(1348),
    [anon_sym_RBRACE] = ACTIONS(3051),
    [anon_sym_SEMI] = ACTIONS(3051),
    [anon_sym_EQ] = ACTIONS(3053),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3051),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3051),
    [anon_sym_COMMA] = ACTIONS(3051),
    [anon_sym_RPAREN] = ACTIONS(3051),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3051),
    [anon_sym_and] = ACTIONS(3051),
    [anon_sym_or] = ACTIONS(3051),
    [anon_sym_xor] = ACTIONS(3051),
    [anon_sym_DASH_GT] = ACTIONS(3051),
    [anon_sym_PERCENT] = ACTIONS(3053),
    [anon_sym_GT] = ACTIONS(3053),
    [anon_sym_LT_LT] = ACTIONS(3053),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3051),
    [anon_sym_PLUS_EQ] = ACTIONS(3051),
    [anon_sym_DASH_EQ] = ACTIONS(3051),
    [anon_sym_DOT_EQ] = ACTIONS(3051),
    [anon_sym_STAR_EQ] = ACTIONS(3051),
    [anon_sym_SLASH_EQ] = ACTIONS(3051),
    [anon_sym_PERCENT_EQ] = ACTIONS(3051),
    [anon_sym_x_EQ] = ACTIONS(3051),
    [anon_sym_AMP_EQ] = ACTIONS(3051),
    [anon_sym_PIPE_EQ] = ACTIONS(3051),
    [anon_sym_CARET_EQ] = ACTIONS(3051),
    [anon_sym_LT_LT_EQ] = ACTIONS(3051),
    [anon_sym_GT_GT_EQ] = ACTIONS(3051),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3051),
    [anon_sym_DOT_DOT] = ACTIONS(3053),
    [anon_sym_STAR_STAR] = ACTIONS(3053),
    [anon_sym_PIPE_PIPE] = ACTIONS(3053),
    [anon_sym_SLASH_SLASH] = ACTIONS(3053),
    [anon_sym_CARET_CARET] = ACTIONS(3051),
    [anon_sym_AMP_AMP] = ACTIONS(3053),
    [anon_sym_PIPE] = ACTIONS(3053),
    [anon_sym_CARET] = ACTIONS(3053),
    [anon_sym_AMP] = ACTIONS(3053),
    [anon_sym_GT_GT2] = ACTIONS(3053),
    [anon_sym_PLUS] = ACTIONS(3053),
    [anon_sym_DASH] = ACTIONS(3053),
    [anon_sym_DOT] = ACTIONS(3053),
    [anon_sym_STAR] = ACTIONS(3053),
    [anon_sym_SLASH] = ACTIONS(3053),
    [anon_sym_x] = ACTIONS(3053),
    [anon_sym_EQ_TILDE] = ACTIONS(3051),
    [anon_sym_BANG_TILDE] = ACTIONS(3051),
    [anon_sym_EQ_EQ] = ACTIONS(3053),
    [anon_sym_BANG_EQ] = ACTIONS(3051),
    [anon_sym_eq] = ACTIONS(3053),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3051),
    [anon_sym_equ] = ACTIONS(3051),
    [anon_sym_eqr] = ACTIONS(3051),
    [anon_sym_ne] = ACTIONS(3051),
    [anon_sym_LT_EQ_GT] = ACTIONS(3051),
    [anon_sym_cmp] = ACTIONS(3051),
    [anon_sym_TILDE_TILDE] = ACTIONS(3051),
    [anon_sym_LT] = ACTIONS(3053),
    [anon_sym_LT_EQ] = ACTIONS(3053),
    [anon_sym_GT_EQ] = ACTIONS(3051),
    [anon_sym_lt] = ACTIONS(3051),
    [anon_sym_le] = ACTIONS(3051),
    [anon_sym_ge] = ACTIONS(3051),
    [anon_sym_gt] = ACTIONS(3051),
    [anon_sym_isa] = ACTIONS(3051),
    [anon_sym_PLUS_PLUS] = ACTIONS(3051),
    [anon_sym_DASH_DASH] = ACTIONS(3051),
    [anon_sym_QMARK] = ACTIONS(3051),
    [anon_sym_EQ_GT] = ACTIONS(3051),
    [anon_sym_for] = ACTIONS(3053),
    [anon_sym_foreach] = ACTIONS(3051),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3051),
    [anon_sym___END__] = ACTIONS(3051),
    [anon_sym_EOT] = ACTIONS(3051),
    [anon_sym_if] = ACTIONS(3051),
    [anon_sym_unless] = ACTIONS(3051),
    [anon_sym_while] = ACTIONS(3051),
    [anon_sym_until] = ACTIONS(3051),
    [sym__PERLY_SEMICOLON] = ACTIONS(3051),
    [sym__ctrl_z_hack] = ACTIONS(3051),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1349] = {
    [sym_heredoc_content] = STATE(1349),
    [anon_sym_RBRACE] = ACTIONS(3055),
    [anon_sym_SEMI] = ACTIONS(3055),
    [anon_sym_EQ] = ACTIONS(3057),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3055),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3055),
    [anon_sym_COMMA] = ACTIONS(3055),
    [anon_sym_RPAREN] = ACTIONS(3055),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3055),
    [anon_sym_and] = ACTIONS(3055),
    [anon_sym_or] = ACTIONS(3055),
    [anon_sym_xor] = ACTIONS(3055),
    [anon_sym_DASH_GT] = ACTIONS(3055),
    [anon_sym_PERCENT] = ACTIONS(3057),
    [anon_sym_GT] = ACTIONS(3057),
    [anon_sym_LT_LT] = ACTIONS(3057),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3055),
    [anon_sym_PLUS_EQ] = ACTIONS(3055),
    [anon_sym_DASH_EQ] = ACTIONS(3055),
    [anon_sym_DOT_EQ] = ACTIONS(3055),
    [anon_sym_STAR_EQ] = ACTIONS(3055),
    [anon_sym_SLASH_EQ] = ACTIONS(3055),
    [anon_sym_PERCENT_EQ] = ACTIONS(3055),
    [anon_sym_x_EQ] = ACTIONS(3055),
    [anon_sym_AMP_EQ] = ACTIONS(3055),
    [anon_sym_PIPE_EQ] = ACTIONS(3055),
    [anon_sym_CARET_EQ] = ACTIONS(3055),
    [anon_sym_LT_LT_EQ] = ACTIONS(3055),
    [anon_sym_GT_GT_EQ] = ACTIONS(3055),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3055),
    [anon_sym_DOT_DOT] = ACTIONS(3057),
    [anon_sym_STAR_STAR] = ACTIONS(3057),
    [anon_sym_PIPE_PIPE] = ACTIONS(3057),
    [anon_sym_SLASH_SLASH] = ACTIONS(3057),
    [anon_sym_CARET_CARET] = ACTIONS(3055),
    [anon_sym_AMP_AMP] = ACTIONS(3057),
    [anon_sym_PIPE] = ACTIONS(3057),
    [anon_sym_CARET] = ACTIONS(3057),
    [anon_sym_AMP] = ACTIONS(3057),
    [anon_sym_GT_GT2] = ACTIONS(3057),
    [anon_sym_PLUS] = ACTIONS(3057),
    [anon_sym_DASH] = ACTIONS(3057),
    [anon_sym_DOT] = ACTIONS(3057),
    [anon_sym_STAR] = ACTIONS(3057),
    [anon_sym_SLASH] = ACTIONS(3057),
    [anon_sym_x] = ACTIONS(3057),
    [anon_sym_EQ_TILDE] = ACTIONS(3055),
    [anon_sym_BANG_TILDE] = ACTIONS(3055),
    [anon_sym_EQ_EQ] = ACTIONS(3057),
    [anon_sym_BANG_EQ] = ACTIONS(3055),
    [anon_sym_eq] = ACTIONS(3057),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3055),
    [anon_sym_equ] = ACTIONS(3055),
    [anon_sym_eqr] = ACTIONS(3055),
    [anon_sym_ne] = ACTIONS(3055),
    [anon_sym_LT_EQ_GT] = ACTIONS(3055),
    [anon_sym_cmp] = ACTIONS(3055),
    [anon_sym_TILDE_TILDE] = ACTIONS(3055),
    [anon_sym_LT] = ACTIONS(3057),
    [anon_sym_LT_EQ] = ACTIONS(3057),
    [anon_sym_GT_EQ] = ACTIONS(3055),
    [anon_sym_lt] = ACTIONS(3055),
    [anon_sym_le] = ACTIONS(3055),
    [anon_sym_ge] = ACTIONS(3055),
    [anon_sym_gt] = ACTIONS(3055),
    [anon_sym_isa] = ACTIONS(3055),
    [anon_sym_PLUS_PLUS] = ACTIONS(3055),
    [anon_sym_DASH_DASH] = ACTIONS(3055),
    [anon_sym_QMARK] = ACTIONS(3055),
    [anon_sym_EQ_GT] = ACTIONS(3055),
    [anon_sym_for] = ACTIONS(3057),
    [anon_sym_foreach] = ACTIONS(3055),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3055),
    [anon_sym___END__] = ACTIONS(3055),
    [anon_sym_EOT] = ACTIONS(3055),
    [anon_sym_if] = ACTIONS(3055),
    [anon_sym_unless] = ACTIONS(3055),
    [anon_sym_while] = ACTIONS(3055),
    [anon_sym_until] = ACTIONS(3055),
    [sym__PERLY_SEMICOLON] = ACTIONS(3055),
    [sym__ctrl_z_hack] = ACTIONS(3055),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1350] = {
    [sym_heredoc_content] = STATE(1350),
    [anon_sym_RBRACE] = ACTIONS(3059),
    [anon_sym_SEMI] = ACTIONS(3059),
    [anon_sym_EQ] = ACTIONS(3061),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3059),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3059),
    [anon_sym_COMMA] = ACTIONS(3059),
    [anon_sym_RPAREN] = ACTIONS(3059),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3059),
    [anon_sym_and] = ACTIONS(3059),
    [anon_sym_or] = ACTIONS(3059),
    [anon_sym_xor] = ACTIONS(3059),
    [anon_sym_DASH_GT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(3061),
    [anon_sym_GT] = ACTIONS(3061),
    [anon_sym_LT_LT] = ACTIONS(3061),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3059),
    [anon_sym_PLUS_EQ] = ACTIONS(3059),
    [anon_sym_DASH_EQ] = ACTIONS(3059),
    [anon_sym_DOT_EQ] = ACTIONS(3059),
    [anon_sym_STAR_EQ] = ACTIONS(3059),
    [anon_sym_SLASH_EQ] = ACTIONS(3059),
    [anon_sym_PERCENT_EQ] = ACTIONS(3059),
    [anon_sym_x_EQ] = ACTIONS(3059),
    [anon_sym_AMP_EQ] = ACTIONS(3059),
    [anon_sym_PIPE_EQ] = ACTIONS(3059),
    [anon_sym_CARET_EQ] = ACTIONS(3059),
    [anon_sym_LT_LT_EQ] = ACTIONS(3059),
    [anon_sym_GT_GT_EQ] = ACTIONS(3059),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3059),
    [anon_sym_DOT_DOT] = ACTIONS(3061),
    [anon_sym_STAR_STAR] = ACTIONS(3061),
    [anon_sym_PIPE_PIPE] = ACTIONS(3061),
    [anon_sym_SLASH_SLASH] = ACTIONS(3061),
    [anon_sym_CARET_CARET] = ACTIONS(3059),
    [anon_sym_AMP_AMP] = ACTIONS(3061),
    [anon_sym_PIPE] = ACTIONS(3061),
    [anon_sym_CARET] = ACTIONS(3061),
    [anon_sym_AMP] = ACTIONS(3061),
    [anon_sym_GT_GT2] = ACTIONS(3061),
    [anon_sym_PLUS] = ACTIONS(3061),
    [anon_sym_DASH] = ACTIONS(3061),
    [anon_sym_DOT] = ACTIONS(3061),
    [anon_sym_STAR] = ACTIONS(3061),
    [anon_sym_SLASH] = ACTIONS(3061),
    [anon_sym_x] = ACTIONS(3061),
    [anon_sym_EQ_TILDE] = ACTIONS(3059),
    [anon_sym_BANG_TILDE] = ACTIONS(3059),
    [anon_sym_EQ_EQ] = ACTIONS(3061),
    [anon_sym_BANG_EQ] = ACTIONS(3059),
    [anon_sym_eq] = ACTIONS(3061),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3059),
    [anon_sym_equ] = ACTIONS(3059),
    [anon_sym_eqr] = ACTIONS(3059),
    [anon_sym_ne] = ACTIONS(3059),
    [anon_sym_LT_EQ_GT] = ACTIONS(3059),
    [anon_sym_cmp] = ACTIONS(3059),
    [anon_sym_TILDE_TILDE] = ACTIONS(3059),
    [anon_sym_LT] = ACTIONS(3061),
    [anon_sym_LT_EQ] = ACTIONS(3061),
    [anon_sym_GT_EQ] = ACTIONS(3059),
    [anon_sym_lt] = ACTIONS(3059),
    [anon_sym_le] = ACTIONS(3059),
    [anon_sym_ge] = ACTIONS(3059),
    [anon_sym_gt] = ACTIONS(3059),
    [anon_sym_isa] = ACTIONS(3059),
    [anon_sym_PLUS_PLUS] = ACTIONS(3059),
    [anon_sym_DASH_DASH] = ACTIONS(3059),
    [anon_sym_QMARK] = ACTIONS(3059),
    [anon_sym_EQ_GT] = ACTIONS(3059),
    [anon_sym_for] = ACTIONS(3061),
    [anon_sym_foreach] = ACTIONS(3059),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3059),
    [anon_sym___END__] = ACTIONS(3059),
    [anon_sym_EOT] = ACTIONS(3059),
    [anon_sym_if] = ACTIONS(3059),
    [anon_sym_unless] = ACTIONS(3059),
    [anon_sym_while] = ACTIONS(3059),
    [anon_sym_until] = ACTIONS(3059),
    [sym__PERLY_SEMICOLON] = ACTIONS(3059),
    [sym__ctrl_z_hack] = ACTIONS(3059),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1351] = {
    [sym_heredoc_content] = STATE(1351),
    [anon_sym_RBRACE] = ACTIONS(3063),
    [anon_sym_SEMI] = ACTIONS(3063),
    [anon_sym_EQ] = ACTIONS(3065),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3063),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3063),
    [anon_sym_COMMA] = ACTIONS(3063),
    [anon_sym_RPAREN] = ACTIONS(3063),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3063),
    [anon_sym_and] = ACTIONS(3063),
    [anon_sym_or] = ACTIONS(3063),
    [anon_sym_xor] = ACTIONS(3063),
    [anon_sym_DASH_GT] = ACTIONS(3063),
    [anon_sym_PERCENT] = ACTIONS(3065),
    [anon_sym_GT] = ACTIONS(3065),
    [anon_sym_LT_LT] = ACTIONS(3065),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3063),
    [anon_sym_PLUS_EQ] = ACTIONS(3063),
    [anon_sym_DASH_EQ] = ACTIONS(3063),
    [anon_sym_DOT_EQ] = ACTIONS(3063),
    [anon_sym_STAR_EQ] = ACTIONS(3063),
    [anon_sym_SLASH_EQ] = ACTIONS(3063),
    [anon_sym_PERCENT_EQ] = ACTIONS(3063),
    [anon_sym_x_EQ] = ACTIONS(3063),
    [anon_sym_AMP_EQ] = ACTIONS(3063),
    [anon_sym_PIPE_EQ] = ACTIONS(3063),
    [anon_sym_CARET_EQ] = ACTIONS(3063),
    [anon_sym_LT_LT_EQ] = ACTIONS(3063),
    [anon_sym_GT_GT_EQ] = ACTIONS(3063),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3063),
    [anon_sym_DOT_DOT] = ACTIONS(3065),
    [anon_sym_STAR_STAR] = ACTIONS(3065),
    [anon_sym_PIPE_PIPE] = ACTIONS(3065),
    [anon_sym_SLASH_SLASH] = ACTIONS(3065),
    [anon_sym_CARET_CARET] = ACTIONS(3063),
    [anon_sym_AMP_AMP] = ACTIONS(3065),
    [anon_sym_PIPE] = ACTIONS(3065),
    [anon_sym_CARET] = ACTIONS(3065),
    [anon_sym_AMP] = ACTIONS(3065),
    [anon_sym_GT_GT2] = ACTIONS(3065),
    [anon_sym_PLUS] = ACTIONS(3065),
    [anon_sym_DASH] = ACTIONS(3065),
    [anon_sym_DOT] = ACTIONS(3065),
    [anon_sym_STAR] = ACTIONS(3065),
    [anon_sym_SLASH] = ACTIONS(3065),
    [anon_sym_x] = ACTIONS(3065),
    [anon_sym_EQ_TILDE] = ACTIONS(3063),
    [anon_sym_BANG_TILDE] = ACTIONS(3063),
    [anon_sym_EQ_EQ] = ACTIONS(3065),
    [anon_sym_BANG_EQ] = ACTIONS(3063),
    [anon_sym_eq] = ACTIONS(3065),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3063),
    [anon_sym_equ] = ACTIONS(3063),
    [anon_sym_eqr] = ACTIONS(3063),
    [anon_sym_ne] = ACTIONS(3063),
    [anon_sym_LT_EQ_GT] = ACTIONS(3063),
    [anon_sym_cmp] = ACTIONS(3063),
    [anon_sym_TILDE_TILDE] = ACTIONS(3063),
    [anon_sym_LT] = ACTIONS(3065),
    [anon_sym_LT_EQ] = ACTIONS(3065),
    [anon_sym_GT_EQ] = ACTIONS(3063),
    [anon_sym_lt] = ACTIONS(3063),
    [anon_sym_le] = ACTIONS(3063),
    [anon_sym_ge] = ACTIONS(3063),
    [anon_sym_gt] = ACTIONS(3063),
    [anon_sym_isa] = ACTIONS(3063),
    [anon_sym_PLUS_PLUS] = ACTIONS(3063),
    [anon_sym_DASH_DASH] = ACTIONS(3063),
    [anon_sym_QMARK] = ACTIONS(3063),
    [anon_sym_EQ_GT] = ACTIONS(3063),
    [anon_sym_for] = ACTIONS(3065),
    [anon_sym_foreach] = ACTIONS(3063),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3063),
    [anon_sym___END__] = ACTIONS(3063),
    [anon_sym_EOT] = ACTIONS(3063),
    [anon_sym_if] = ACTIONS(3063),
    [anon_sym_unless] = ACTIONS(3063),
    [anon_sym_while] = ACTIONS(3063),
    [anon_sym_until] = ACTIONS(3063),
    [sym__PERLY_SEMICOLON] = ACTIONS(3063),
    [sym__ctrl_z_hack] = ACTIONS(3063),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1352] = {
    [sym_heredoc_content] = STATE(1352),
    [anon_sym_RBRACE] = ACTIONS(3067),
    [anon_sym_SEMI] = ACTIONS(3067),
    [anon_sym_EQ] = ACTIONS(3069),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3067),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3067),
    [anon_sym_COMMA] = ACTIONS(3067),
    [anon_sym_RPAREN] = ACTIONS(3067),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3067),
    [anon_sym_and] = ACTIONS(3067),
    [anon_sym_or] = ACTIONS(3067),
    [anon_sym_xor] = ACTIONS(3067),
    [anon_sym_DASH_GT] = ACTIONS(2591),
    [anon_sym_PERCENT] = ACTIONS(3069),
    [anon_sym_GT] = ACTIONS(3069),
    [anon_sym_LT_LT] = ACTIONS(3069),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3067),
    [anon_sym_PLUS_EQ] = ACTIONS(3067),
    [anon_sym_DASH_EQ] = ACTIONS(3067),
    [anon_sym_DOT_EQ] = ACTIONS(3067),
    [anon_sym_STAR_EQ] = ACTIONS(3067),
    [anon_sym_SLASH_EQ] = ACTIONS(3067),
    [anon_sym_PERCENT_EQ] = ACTIONS(3067),
    [anon_sym_x_EQ] = ACTIONS(3067),
    [anon_sym_AMP_EQ] = ACTIONS(3067),
    [anon_sym_PIPE_EQ] = ACTIONS(3067),
    [anon_sym_CARET_EQ] = ACTIONS(3067),
    [anon_sym_LT_LT_EQ] = ACTIONS(3067),
    [anon_sym_GT_GT_EQ] = ACTIONS(3067),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3067),
    [anon_sym_DOT_DOT] = ACTIONS(3069),
    [anon_sym_STAR_STAR] = ACTIONS(3069),
    [anon_sym_PIPE_PIPE] = ACTIONS(3069),
    [anon_sym_SLASH_SLASH] = ACTIONS(3069),
    [anon_sym_CARET_CARET] = ACTIONS(3067),
    [anon_sym_AMP_AMP] = ACTIONS(3069),
    [anon_sym_PIPE] = ACTIONS(3069),
    [anon_sym_CARET] = ACTIONS(3069),
    [anon_sym_AMP] = ACTIONS(3069),
    [anon_sym_GT_GT2] = ACTIONS(3069),
    [anon_sym_PLUS] = ACTIONS(3069),
    [anon_sym_DASH] = ACTIONS(3069),
    [anon_sym_DOT] = ACTIONS(3069),
    [anon_sym_STAR] = ACTIONS(3069),
    [anon_sym_SLASH] = ACTIONS(3069),
    [anon_sym_x] = ACTIONS(3069),
    [anon_sym_EQ_TILDE] = ACTIONS(3067),
    [anon_sym_BANG_TILDE] = ACTIONS(3067),
    [anon_sym_EQ_EQ] = ACTIONS(3069),
    [anon_sym_BANG_EQ] = ACTIONS(3067),
    [anon_sym_eq] = ACTIONS(3069),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3067),
    [anon_sym_equ] = ACTIONS(3067),
    [anon_sym_eqr] = ACTIONS(3067),
    [anon_sym_ne] = ACTIONS(3067),
    [anon_sym_LT_EQ_GT] = ACTIONS(3067),
    [anon_sym_cmp] = ACTIONS(3067),
    [anon_sym_TILDE_TILDE] = ACTIONS(3067),
    [anon_sym_LT] = ACTIONS(3069),
    [anon_sym_LT_EQ] = ACTIONS(3069),
    [anon_sym_GT_EQ] = ACTIONS(3067),
    [anon_sym_lt] = ACTIONS(3067),
    [anon_sym_le] = ACTIONS(3067),
    [anon_sym_ge] = ACTIONS(3067),
    [anon_sym_gt] = ACTIONS(3067),
    [anon_sym_isa] = ACTIONS(3067),
    [anon_sym_PLUS_PLUS] = ACTIONS(3071),
    [anon_sym_DASH_DASH] = ACTIONS(3071),
    [anon_sym_QMARK] = ACTIONS(3067),
    [anon_sym_EQ_GT] = ACTIONS(3067),
    [anon_sym_for] = ACTIONS(3069),
    [anon_sym_foreach] = ACTIONS(3067),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3067),
    [anon_sym___END__] = ACTIONS(3067),
    [anon_sym_EOT] = ACTIONS(3067),
    [anon_sym_if] = ACTIONS(3067),
    [anon_sym_unless] = ACTIONS(3067),
    [anon_sym_while] = ACTIONS(3067),
    [anon_sym_until] = ACTIONS(3067),
    [sym__PERLY_SEMICOLON] = ACTIONS(3067),
    [sym__ctrl_z_hack] = ACTIONS(3067),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1353] = {
    [sym_heredoc_content] = STATE(1353),
    [anon_sym_RBRACE] = ACTIONS(2660),
    [anon_sym_SEMI] = ACTIONS(2660),
    [anon_sym_EQ] = ACTIONS(2662),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2660),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2660),
    [anon_sym_COMMA] = ACTIONS(2660),
    [anon_sym_RPAREN] = ACTIONS(2660),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2660),
    [anon_sym_and] = ACTIONS(2660),
    [anon_sym_or] = ACTIONS(2660),
    [anon_sym_xor] = ACTIONS(2660),
    [anon_sym_DASH_GT] = ACTIONS(2591),
    [anon_sym_PERCENT] = ACTIONS(2662),
    [anon_sym_GT] = ACTIONS(2662),
    [anon_sym_LT_LT] = ACTIONS(2662),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2660),
    [anon_sym_PLUS_EQ] = ACTIONS(2660),
    [anon_sym_DASH_EQ] = ACTIONS(2660),
    [anon_sym_DOT_EQ] = ACTIONS(2660),
    [anon_sym_STAR_EQ] = ACTIONS(2660),
    [anon_sym_SLASH_EQ] = ACTIONS(2660),
    [anon_sym_PERCENT_EQ] = ACTIONS(2660),
    [anon_sym_x_EQ] = ACTIONS(2660),
    [anon_sym_AMP_EQ] = ACTIONS(2660),
    [anon_sym_PIPE_EQ] = ACTIONS(2660),
    [anon_sym_CARET_EQ] = ACTIONS(2660),
    [anon_sym_LT_LT_EQ] = ACTIONS(2660),
    [anon_sym_GT_GT_EQ] = ACTIONS(2660),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2660),
    [anon_sym_DOT_DOT] = ACTIONS(2662),
    [anon_sym_STAR_STAR] = ACTIONS(2601),
    [anon_sym_PIPE_PIPE] = ACTIONS(2662),
    [anon_sym_SLASH_SLASH] = ACTIONS(2662),
    [anon_sym_CARET_CARET] = ACTIONS(2660),
    [anon_sym_AMP_AMP] = ACTIONS(2662),
    [anon_sym_PIPE] = ACTIONS(2662),
    [anon_sym_CARET] = ACTIONS(2662),
    [anon_sym_AMP] = ACTIONS(2662),
    [anon_sym_GT_GT2] = ACTIONS(2662),
    [anon_sym_PLUS] = ACTIONS(2662),
    [anon_sym_DASH] = ACTIONS(2662),
    [anon_sym_DOT] = ACTIONS(2662),
    [anon_sym_STAR] = ACTIONS(2662),
    [anon_sym_SLASH] = ACTIONS(2662),
    [anon_sym_x] = ACTIONS(2662),
    [anon_sym_EQ_TILDE] = ACTIONS(2660),
    [anon_sym_BANG_TILDE] = ACTIONS(2660),
    [anon_sym_EQ_EQ] = ACTIONS(2662),
    [anon_sym_BANG_EQ] = ACTIONS(2660),
    [anon_sym_eq] = ACTIONS(2662),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2660),
    [anon_sym_equ] = ACTIONS(2660),
    [anon_sym_eqr] = ACTIONS(2660),
    [anon_sym_ne] = ACTIONS(2660),
    [anon_sym_LT_EQ_GT] = ACTIONS(2660),
    [anon_sym_cmp] = ACTIONS(2660),
    [anon_sym_TILDE_TILDE] = ACTIONS(2660),
    [anon_sym_LT] = ACTIONS(2662),
    [anon_sym_LT_EQ] = ACTIONS(2662),
    [anon_sym_GT_EQ] = ACTIONS(2660),
    [anon_sym_lt] = ACTIONS(2660),
    [anon_sym_le] = ACTIONS(2660),
    [anon_sym_ge] = ACTIONS(2660),
    [anon_sym_gt] = ACTIONS(2660),
    [anon_sym_isa] = ACTIONS(2660),
    [anon_sym_PLUS_PLUS] = ACTIONS(2627),
    [anon_sym_DASH_DASH] = ACTIONS(2627),
    [anon_sym_QMARK] = ACTIONS(2660),
    [anon_sym_EQ_GT] = ACTIONS(2660),
    [anon_sym_for] = ACTIONS(2662),
    [anon_sym_foreach] = ACTIONS(2660),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2660),
    [anon_sym___END__] = ACTIONS(2660),
    [anon_sym_EOT] = ACTIONS(2660),
    [anon_sym_if] = ACTIONS(2660),
    [anon_sym_unless] = ACTIONS(2660),
    [anon_sym_while] = ACTIONS(2660),
    [anon_sym_until] = ACTIONS(2660),
    [sym__PERLY_SEMICOLON] = ACTIONS(2660),
    [sym__ctrl_z_hack] = ACTIONS(2660),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1354] = {
    [sym_heredoc_content] = STATE(1354),
    [anon_sym_RBRACE] = ACTIONS(3074),
    [anon_sym_SEMI] = ACTIONS(3074),
    [anon_sym_EQ] = ACTIONS(3076),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3074),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3074),
    [anon_sym_COMMA] = ACTIONS(3074),
    [anon_sym_RPAREN] = ACTIONS(3074),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3074),
    [anon_sym_and] = ACTIONS(3074),
    [anon_sym_or] = ACTIONS(3074),
    [anon_sym_xor] = ACTIONS(3074),
    [anon_sym_DASH_GT] = ACTIONS(3074),
    [anon_sym_PERCENT] = ACTIONS(3076),
    [anon_sym_GT] = ACTIONS(3076),
    [anon_sym_LT_LT] = ACTIONS(3076),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3074),
    [anon_sym_PLUS_EQ] = ACTIONS(3074),
    [anon_sym_DASH_EQ] = ACTIONS(3074),
    [anon_sym_DOT_EQ] = ACTIONS(3074),
    [anon_sym_STAR_EQ] = ACTIONS(3074),
    [anon_sym_SLASH_EQ] = ACTIONS(3074),
    [anon_sym_PERCENT_EQ] = ACTIONS(3074),
    [anon_sym_x_EQ] = ACTIONS(3074),
    [anon_sym_AMP_EQ] = ACTIONS(3074),
    [anon_sym_PIPE_EQ] = ACTIONS(3074),
    [anon_sym_CARET_EQ] = ACTIONS(3074),
    [anon_sym_LT_LT_EQ] = ACTIONS(3074),
    [anon_sym_GT_GT_EQ] = ACTIONS(3074),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3074),
    [anon_sym_DOT_DOT] = ACTIONS(3076),
    [anon_sym_STAR_STAR] = ACTIONS(3076),
    [anon_sym_PIPE_PIPE] = ACTIONS(3076),
    [anon_sym_SLASH_SLASH] = ACTIONS(3076),
    [anon_sym_CARET_CARET] = ACTIONS(3074),
    [anon_sym_AMP_AMP] = ACTIONS(3076),
    [anon_sym_PIPE] = ACTIONS(3076),
    [anon_sym_CARET] = ACTIONS(3076),
    [anon_sym_AMP] = ACTIONS(3076),
    [anon_sym_GT_GT2] = ACTIONS(3076),
    [anon_sym_PLUS] = ACTIONS(3076),
    [anon_sym_DASH] = ACTIONS(3076),
    [anon_sym_DOT] = ACTIONS(3076),
    [anon_sym_STAR] = ACTIONS(3076),
    [anon_sym_SLASH] = ACTIONS(3076),
    [anon_sym_x] = ACTIONS(3076),
    [anon_sym_EQ_TILDE] = ACTIONS(3074),
    [anon_sym_BANG_TILDE] = ACTIONS(3074),
    [anon_sym_EQ_EQ] = ACTIONS(3076),
    [anon_sym_BANG_EQ] = ACTIONS(3074),
    [anon_sym_eq] = ACTIONS(3076),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3074),
    [anon_sym_equ] = ACTIONS(3074),
    [anon_sym_eqr] = ACTIONS(3074),
    [anon_sym_ne] = ACTIONS(3074),
    [anon_sym_LT_EQ_GT] = ACTIONS(3074),
    [anon_sym_cmp] = ACTIONS(3074),
    [anon_sym_TILDE_TILDE] = ACTIONS(3074),
    [anon_sym_LT] = ACTIONS(3076),
    [anon_sym_LT_EQ] = ACTIONS(3076),
    [anon_sym_GT_EQ] = ACTIONS(3074),
    [anon_sym_lt] = ACTIONS(3074),
    [anon_sym_le] = ACTIONS(3074),
    [anon_sym_ge] = ACTIONS(3074),
    [anon_sym_gt] = ACTIONS(3074),
    [anon_sym_isa] = ACTIONS(3074),
    [anon_sym_PLUS_PLUS] = ACTIONS(3074),
    [anon_sym_DASH_DASH] = ACTIONS(3074),
    [anon_sym_QMARK] = ACTIONS(3074),
    [anon_sym_EQ_GT] = ACTIONS(3074),
    [anon_sym_for] = ACTIONS(3076),
    [anon_sym_foreach] = ACTIONS(3074),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3074),
    [anon_sym___END__] = ACTIONS(3074),
    [anon_sym_EOT] = ACTIONS(3074),
    [anon_sym_if] = ACTIONS(3074),
    [anon_sym_unless] = ACTIONS(3074),
    [anon_sym_while] = ACTIONS(3074),
    [anon_sym_until] = ACTIONS(3074),
    [sym__PERLY_SEMICOLON] = ACTIONS(3074),
    [sym__ctrl_z_hack] = ACTIONS(3074),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1355] = {
    [sym_heredoc_content] = STATE(1355),
    [anon_sym_RBRACE] = ACTIONS(3078),
    [anon_sym_SEMI] = ACTIONS(3078),
    [anon_sym_EQ] = ACTIONS(3080),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3078),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3078),
    [anon_sym_COMMA] = ACTIONS(3078),
    [anon_sym_RPAREN] = ACTIONS(3078),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3078),
    [anon_sym_and] = ACTIONS(3078),
    [anon_sym_or] = ACTIONS(3078),
    [anon_sym_xor] = ACTIONS(3078),
    [anon_sym_DASH_GT] = ACTIONS(3078),
    [anon_sym_PERCENT] = ACTIONS(3080),
    [anon_sym_GT] = ACTIONS(3080),
    [anon_sym_LT_LT] = ACTIONS(3080),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3078),
    [anon_sym_PLUS_EQ] = ACTIONS(3078),
    [anon_sym_DASH_EQ] = ACTIONS(3078),
    [anon_sym_DOT_EQ] = ACTIONS(3078),
    [anon_sym_STAR_EQ] = ACTIONS(3078),
    [anon_sym_SLASH_EQ] = ACTIONS(3078),
    [anon_sym_PERCENT_EQ] = ACTIONS(3078),
    [anon_sym_x_EQ] = ACTIONS(3078),
    [anon_sym_AMP_EQ] = ACTIONS(3078),
    [anon_sym_PIPE_EQ] = ACTIONS(3078),
    [anon_sym_CARET_EQ] = ACTIONS(3078),
    [anon_sym_LT_LT_EQ] = ACTIONS(3078),
    [anon_sym_GT_GT_EQ] = ACTIONS(3078),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3078),
    [anon_sym_DOT_DOT] = ACTIONS(3080),
    [anon_sym_STAR_STAR] = ACTIONS(3080),
    [anon_sym_PIPE_PIPE] = ACTIONS(3080),
    [anon_sym_SLASH_SLASH] = ACTIONS(3080),
    [anon_sym_CARET_CARET] = ACTIONS(3078),
    [anon_sym_AMP_AMP] = ACTIONS(3080),
    [anon_sym_PIPE] = ACTIONS(3080),
    [anon_sym_CARET] = ACTIONS(3080),
    [anon_sym_AMP] = ACTIONS(3080),
    [anon_sym_GT_GT2] = ACTIONS(3080),
    [anon_sym_PLUS] = ACTIONS(3080),
    [anon_sym_DASH] = ACTIONS(3080),
    [anon_sym_DOT] = ACTIONS(3080),
    [anon_sym_STAR] = ACTIONS(3080),
    [anon_sym_SLASH] = ACTIONS(3080),
    [anon_sym_x] = ACTIONS(3080),
    [anon_sym_EQ_TILDE] = ACTIONS(3078),
    [anon_sym_BANG_TILDE] = ACTIONS(3078),
    [anon_sym_EQ_EQ] = ACTIONS(3080),
    [anon_sym_BANG_EQ] = ACTIONS(3078),
    [anon_sym_eq] = ACTIONS(3080),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3078),
    [anon_sym_equ] = ACTIONS(3078),
    [anon_sym_eqr] = ACTIONS(3078),
    [anon_sym_ne] = ACTIONS(3078),
    [anon_sym_LT_EQ_GT] = ACTIONS(3078),
    [anon_sym_cmp] = ACTIONS(3078),
    [anon_sym_TILDE_TILDE] = ACTIONS(3078),
    [anon_sym_LT] = ACTIONS(3080),
    [anon_sym_LT_EQ] = ACTIONS(3080),
    [anon_sym_GT_EQ] = ACTIONS(3078),
    [anon_sym_lt] = ACTIONS(3078),
    [anon_sym_le] = ACTIONS(3078),
    [anon_sym_ge] = ACTIONS(3078),
    [anon_sym_gt] = ACTIONS(3078),
    [anon_sym_isa] = ACTIONS(3078),
    [anon_sym_PLUS_PLUS] = ACTIONS(3078),
    [anon_sym_DASH_DASH] = ACTIONS(3078),
    [anon_sym_QMARK] = ACTIONS(3078),
    [anon_sym_EQ_GT] = ACTIONS(3078),
    [anon_sym_for] = ACTIONS(3080),
    [anon_sym_foreach] = ACTIONS(3078),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3078),
    [anon_sym___END__] = ACTIONS(3078),
    [anon_sym_EOT] = ACTIONS(3078),
    [anon_sym_if] = ACTIONS(3078),
    [anon_sym_unless] = ACTIONS(3078),
    [anon_sym_while] = ACTIONS(3078),
    [anon_sym_until] = ACTIONS(3078),
    [sym__PERLY_SEMICOLON] = ACTIONS(3078),
    [sym__ctrl_z_hack] = ACTIONS(3078),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1356] = {
    [sym_heredoc_content] = STATE(1356),
    [anon_sym_RBRACE] = ACTIONS(3082),
    [anon_sym_SEMI] = ACTIONS(3082),
    [anon_sym_EQ] = ACTIONS(3084),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3082),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3082),
    [anon_sym_COMMA] = ACTIONS(3082),
    [anon_sym_RPAREN] = ACTIONS(3082),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3082),
    [anon_sym_and] = ACTIONS(3082),
    [anon_sym_or] = ACTIONS(3082),
    [anon_sym_xor] = ACTIONS(3082),
    [anon_sym_DASH_GT] = ACTIONS(2591),
    [anon_sym_PERCENT] = ACTIONS(2593),
    [anon_sym_GT] = ACTIONS(3084),
    [anon_sym_LT_LT] = ACTIONS(2597),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3082),
    [anon_sym_PLUS_EQ] = ACTIONS(3082),
    [anon_sym_DASH_EQ] = ACTIONS(3082),
    [anon_sym_DOT_EQ] = ACTIONS(3082),
    [anon_sym_STAR_EQ] = ACTIONS(3082),
    [anon_sym_SLASH_EQ] = ACTIONS(3082),
    [anon_sym_PERCENT_EQ] = ACTIONS(3082),
    [anon_sym_x_EQ] = ACTIONS(3082),
    [anon_sym_AMP_EQ] = ACTIONS(3082),
    [anon_sym_PIPE_EQ] = ACTIONS(3082),
    [anon_sym_CARET_EQ] = ACTIONS(3082),
    [anon_sym_LT_LT_EQ] = ACTIONS(3082),
    [anon_sym_GT_GT_EQ] = ACTIONS(3082),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3082),
    [anon_sym_DOT_DOT] = ACTIONS(3084),
    [anon_sym_STAR_STAR] = ACTIONS(2601),
    [anon_sym_PIPE_PIPE] = ACTIONS(3084),
    [anon_sym_SLASH_SLASH] = ACTIONS(3084),
    [anon_sym_CARET_CARET] = ACTIONS(3082),
    [anon_sym_AMP_AMP] = ACTIONS(3084),
    [anon_sym_PIPE] = ACTIONS(3084),
    [anon_sym_CARET] = ACTIONS(3084),
    [anon_sym_AMP] = ACTIONS(3084),
    [anon_sym_GT_GT2] = ACTIONS(2597),
    [anon_sym_PLUS] = ACTIONS(2613),
    [anon_sym_DASH] = ACTIONS(2613),
    [anon_sym_DOT] = ACTIONS(2613),
    [anon_sym_STAR] = ACTIONS(2593),
    [anon_sym_SLASH] = ACTIONS(2593),
    [anon_sym_x] = ACTIONS(2593),
    [anon_sym_EQ_TILDE] = ACTIONS(2615),
    [anon_sym_BANG_TILDE] = ACTIONS(2615),
    [anon_sym_EQ_EQ] = ACTIONS(3084),
    [anon_sym_BANG_EQ] = ACTIONS(3082),
    [anon_sym_eq] = ACTIONS(3084),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3082),
    [anon_sym_equ] = ACTIONS(3082),
    [anon_sym_eqr] = ACTIONS(3082),
    [anon_sym_ne] = ACTIONS(3082),
    [anon_sym_LT_EQ_GT] = ACTIONS(3082),
    [anon_sym_cmp] = ACTIONS(3082),
    [anon_sym_TILDE_TILDE] = ACTIONS(3082),
    [anon_sym_LT] = ACTIONS(3084),
    [anon_sym_LT_EQ] = ACTIONS(3084),
    [anon_sym_GT_EQ] = ACTIONS(3082),
    [anon_sym_lt] = ACTIONS(3082),
    [anon_sym_le] = ACTIONS(3082),
    [anon_sym_ge] = ACTIONS(3082),
    [anon_sym_gt] = ACTIONS(3082),
    [anon_sym_isa] = ACTIONS(3082),
    [anon_sym_PLUS_PLUS] = ACTIONS(2627),
    [anon_sym_DASH_DASH] = ACTIONS(2627),
    [anon_sym_QMARK] = ACTIONS(3082),
    [anon_sym_EQ_GT] = ACTIONS(3082),
    [anon_sym_for] = ACTIONS(3084),
    [anon_sym_foreach] = ACTIONS(3082),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3082),
    [anon_sym___END__] = ACTIONS(3082),
    [anon_sym_EOT] = ACTIONS(3082),
    [anon_sym_if] = ACTIONS(3082),
    [anon_sym_unless] = ACTIONS(3082),
    [anon_sym_while] = ACTIONS(3082),
    [anon_sym_until] = ACTIONS(3082),
    [sym__PERLY_SEMICOLON] = ACTIONS(3082),
    [sym__ctrl_z_hack] = ACTIONS(3082),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1357] = {
    [sym_heredoc_content] = STATE(1357),
    [anon_sym_RBRACE] = ACTIONS(3086),
    [anon_sym_SEMI] = ACTIONS(3086),
    [anon_sym_EQ] = ACTIONS(3088),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3086),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3086),
    [anon_sym_COMMA] = ACTIONS(3086),
    [anon_sym_RPAREN] = ACTIONS(3086),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3086),
    [anon_sym_and] = ACTIONS(3086),
    [anon_sym_or] = ACTIONS(3086),
    [anon_sym_xor] = ACTIONS(3086),
    [anon_sym_DASH_GT] = ACTIONS(3086),
    [anon_sym_PERCENT] = ACTIONS(3088),
    [anon_sym_GT] = ACTIONS(3088),
    [anon_sym_LT_LT] = ACTIONS(3088),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3086),
    [anon_sym_PLUS_EQ] = ACTIONS(3086),
    [anon_sym_DASH_EQ] = ACTIONS(3086),
    [anon_sym_DOT_EQ] = ACTIONS(3086),
    [anon_sym_STAR_EQ] = ACTIONS(3086),
    [anon_sym_SLASH_EQ] = ACTIONS(3086),
    [anon_sym_PERCENT_EQ] = ACTIONS(3086),
    [anon_sym_x_EQ] = ACTIONS(3086),
    [anon_sym_AMP_EQ] = ACTIONS(3086),
    [anon_sym_PIPE_EQ] = ACTIONS(3086),
    [anon_sym_CARET_EQ] = ACTIONS(3086),
    [anon_sym_LT_LT_EQ] = ACTIONS(3086),
    [anon_sym_GT_GT_EQ] = ACTIONS(3086),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3086),
    [anon_sym_DOT_DOT] = ACTIONS(3088),
    [anon_sym_STAR_STAR] = ACTIONS(3088),
    [anon_sym_PIPE_PIPE] = ACTIONS(3088),
    [anon_sym_SLASH_SLASH] = ACTIONS(3088),
    [anon_sym_CARET_CARET] = ACTIONS(3086),
    [anon_sym_AMP_AMP] = ACTIONS(3088),
    [anon_sym_PIPE] = ACTIONS(3088),
    [anon_sym_CARET] = ACTIONS(3088),
    [anon_sym_AMP] = ACTIONS(3088),
    [anon_sym_GT_GT2] = ACTIONS(3088),
    [anon_sym_PLUS] = ACTIONS(3088),
    [anon_sym_DASH] = ACTIONS(3088),
    [anon_sym_DOT] = ACTIONS(3088),
    [anon_sym_STAR] = ACTIONS(3088),
    [anon_sym_SLASH] = ACTIONS(3088),
    [anon_sym_x] = ACTIONS(3088),
    [anon_sym_EQ_TILDE] = ACTIONS(3086),
    [anon_sym_BANG_TILDE] = ACTIONS(3086),
    [anon_sym_EQ_EQ] = ACTIONS(3088),
    [anon_sym_BANG_EQ] = ACTIONS(3086),
    [anon_sym_eq] = ACTIONS(3088),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3086),
    [anon_sym_equ] = ACTIONS(3086),
    [anon_sym_eqr] = ACTIONS(3086),
    [anon_sym_ne] = ACTIONS(3086),
    [anon_sym_LT_EQ_GT] = ACTIONS(3086),
    [anon_sym_cmp] = ACTIONS(3086),
    [anon_sym_TILDE_TILDE] = ACTIONS(3086),
    [anon_sym_LT] = ACTIONS(3088),
    [anon_sym_LT_EQ] = ACTIONS(3088),
    [anon_sym_GT_EQ] = ACTIONS(3086),
    [anon_sym_lt] = ACTIONS(3086),
    [anon_sym_le] = ACTIONS(3086),
    [anon_sym_ge] = ACTIONS(3086),
    [anon_sym_gt] = ACTIONS(3086),
    [anon_sym_isa] = ACTIONS(3086),
    [anon_sym_PLUS_PLUS] = ACTIONS(3086),
    [anon_sym_DASH_DASH] = ACTIONS(3086),
    [anon_sym_QMARK] = ACTIONS(3086),
    [anon_sym_EQ_GT] = ACTIONS(3086),
    [anon_sym_for] = ACTIONS(3088),
    [anon_sym_foreach] = ACTIONS(3086),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3086),
    [anon_sym___END__] = ACTIONS(3086),
    [anon_sym_EOT] = ACTIONS(3086),
    [anon_sym_if] = ACTIONS(3086),
    [anon_sym_unless] = ACTIONS(3086),
    [anon_sym_while] = ACTIONS(3086),
    [anon_sym_until] = ACTIONS(3086),
    [sym__PERLY_SEMICOLON] = ACTIONS(3086),
    [sym__ctrl_z_hack] = ACTIONS(3086),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1358] = {
    [sym_heredoc_content] = STATE(1358),
    [anon_sym_RBRACE] = ACTIONS(3086),
    [anon_sym_SEMI] = ACTIONS(3086),
    [anon_sym_EQ] = ACTIONS(3088),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3086),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3086),
    [anon_sym_COMMA] = ACTIONS(3086),
    [anon_sym_RPAREN] = ACTIONS(3086),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3086),
    [anon_sym_and] = ACTIONS(3086),
    [anon_sym_or] = ACTIONS(3086),
    [anon_sym_xor] = ACTIONS(3086),
    [anon_sym_DASH_GT] = ACTIONS(2591),
    [anon_sym_PERCENT] = ACTIONS(2593),
    [anon_sym_GT] = ACTIONS(3088),
    [anon_sym_LT_LT] = ACTIONS(2597),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3086),
    [anon_sym_PLUS_EQ] = ACTIONS(3086),
    [anon_sym_DASH_EQ] = ACTIONS(3086),
    [anon_sym_DOT_EQ] = ACTIONS(3086),
    [anon_sym_STAR_EQ] = ACTIONS(3086),
    [anon_sym_SLASH_EQ] = ACTIONS(3086),
    [anon_sym_PERCENT_EQ] = ACTIONS(3086),
    [anon_sym_x_EQ] = ACTIONS(3086),
    [anon_sym_AMP_EQ] = ACTIONS(3086),
    [anon_sym_PIPE_EQ] = ACTIONS(3086),
    [anon_sym_CARET_EQ] = ACTIONS(3086),
    [anon_sym_LT_LT_EQ] = ACTIONS(3086),
    [anon_sym_GT_GT_EQ] = ACTIONS(3086),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3086),
    [anon_sym_DOT_DOT] = ACTIONS(3088),
    [anon_sym_STAR_STAR] = ACTIONS(2601),
    [anon_sym_PIPE_PIPE] = ACTIONS(3088),
    [anon_sym_SLASH_SLASH] = ACTIONS(3088),
    [anon_sym_CARET_CARET] = ACTIONS(3086),
    [anon_sym_AMP_AMP] = ACTIONS(3088),
    [anon_sym_PIPE] = ACTIONS(3088),
    [anon_sym_CARET] = ACTIONS(3088),
    [anon_sym_AMP] = ACTIONS(3088),
    [anon_sym_GT_GT2] = ACTIONS(2597),
    [anon_sym_PLUS] = ACTIONS(2613),
    [anon_sym_DASH] = ACTIONS(2613),
    [anon_sym_DOT] = ACTIONS(2613),
    [anon_sym_STAR] = ACTIONS(2593),
    [anon_sym_SLASH] = ACTIONS(2593),
    [anon_sym_x] = ACTIONS(2593),
    [anon_sym_EQ_TILDE] = ACTIONS(2615),
    [anon_sym_BANG_TILDE] = ACTIONS(2615),
    [anon_sym_EQ_EQ] = ACTIONS(3088),
    [anon_sym_BANG_EQ] = ACTIONS(3086),
    [anon_sym_eq] = ACTIONS(3088),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3086),
    [anon_sym_equ] = ACTIONS(3086),
    [anon_sym_eqr] = ACTIONS(3086),
    [anon_sym_ne] = ACTIONS(3086),
    [anon_sym_LT_EQ_GT] = ACTIONS(3086),
    [anon_sym_cmp] = ACTIONS(3086),
    [anon_sym_TILDE_TILDE] = ACTIONS(3086),
    [anon_sym_LT] = ACTIONS(3088),
    [anon_sym_LT_EQ] = ACTIONS(3088),
    [anon_sym_GT_EQ] = ACTIONS(3086),
    [anon_sym_lt] = ACTIONS(3086),
    [anon_sym_le] = ACTIONS(3086),
    [anon_sym_ge] = ACTIONS(3086),
    [anon_sym_gt] = ACTIONS(3086),
    [anon_sym_isa] = ACTIONS(3086),
    [anon_sym_PLUS_PLUS] = ACTIONS(2627),
    [anon_sym_DASH_DASH] = ACTIONS(2627),
    [anon_sym_QMARK] = ACTIONS(3086),
    [anon_sym_EQ_GT] = ACTIONS(3086),
    [anon_sym_for] = ACTIONS(3088),
    [anon_sym_foreach] = ACTIONS(3086),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3086),
    [anon_sym___END__] = ACTIONS(3086),
    [anon_sym_EOT] = ACTIONS(3086),
    [anon_sym_if] = ACTIONS(3086),
    [anon_sym_unless] = ACTIONS(3086),
    [anon_sym_while] = ACTIONS(3086),
    [anon_sym_until] = ACTIONS(3086),
    [sym__PERLY_SEMICOLON] = ACTIONS(3086),
    [sym__ctrl_z_hack] = ACTIONS(3086),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1359] = {
    [sym_heredoc_content] = STATE(1359),
    [anon_sym_RBRACE] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3090),
    [anon_sym_EQ] = ACTIONS(2583),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2585),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2585),
    [anon_sym_COMMA] = ACTIONS(3090),
    [anon_sym_RPAREN] = ACTIONS(3090),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2589),
    [anon_sym_and] = ACTIONS(3090),
    [anon_sym_or] = ACTIONS(3090),
    [anon_sym_xor] = ACTIONS(3090),
    [anon_sym_DASH_GT] = ACTIONS(2591),
    [anon_sym_PERCENT] = ACTIONS(2593),
    [anon_sym_GT] = ACTIONS(2595),
    [anon_sym_LT_LT] = ACTIONS(2597),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2585),
    [anon_sym_PLUS_EQ] = ACTIONS(2585),
    [anon_sym_DASH_EQ] = ACTIONS(2585),
    [anon_sym_DOT_EQ] = ACTIONS(2585),
    [anon_sym_STAR_EQ] = ACTIONS(2585),
    [anon_sym_SLASH_EQ] = ACTIONS(2585),
    [anon_sym_PERCENT_EQ] = ACTIONS(2585),
    [anon_sym_x_EQ] = ACTIONS(2585),
    [anon_sym_AMP_EQ] = ACTIONS(2585),
    [anon_sym_PIPE_EQ] = ACTIONS(2585),
    [anon_sym_CARET_EQ] = ACTIONS(2585),
    [anon_sym_LT_LT_EQ] = ACTIONS(2585),
    [anon_sym_GT_GT_EQ] = ACTIONS(2585),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2585),
    [anon_sym_DOT_DOT] = ACTIONS(2599),
    [anon_sym_STAR_STAR] = ACTIONS(2601),
    [anon_sym_PIPE_PIPE] = ACTIONS(2603),
    [anon_sym_SLASH_SLASH] = ACTIONS(2603),
    [anon_sym_CARET_CARET] = ACTIONS(2605),
    [anon_sym_AMP_AMP] = ACTIONS(2607),
    [anon_sym_PIPE] = ACTIONS(2609),
    [anon_sym_CARET] = ACTIONS(2609),
    [anon_sym_AMP] = ACTIONS(2611),
    [anon_sym_GT_GT2] = ACTIONS(2597),
    [anon_sym_PLUS] = ACTIONS(2613),
    [anon_sym_DASH] = ACTIONS(2613),
    [anon_sym_DOT] = ACTIONS(2613),
    [anon_sym_STAR] = ACTIONS(2593),
    [anon_sym_SLASH] = ACTIONS(2593),
    [anon_sym_x] = ACTIONS(2593),
    [anon_sym_EQ_TILDE] = ACTIONS(2615),
    [anon_sym_BANG_TILDE] = ACTIONS(2615),
    [anon_sym_EQ_EQ] = ACTIONS(2617),
    [anon_sym_BANG_EQ] = ACTIONS(2619),
    [anon_sym_eq] = ACTIONS(2617),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2619),
    [anon_sym_equ] = ACTIONS(2619),
    [anon_sym_eqr] = ACTIONS(2619),
    [anon_sym_ne] = ACTIONS(2619),
    [anon_sym_LT_EQ_GT] = ACTIONS(2621),
    [anon_sym_cmp] = ACTIONS(2621),
    [anon_sym_TILDE_TILDE] = ACTIONS(2621),
    [anon_sym_LT] = ACTIONS(2595),
    [anon_sym_LT_EQ] = ACTIONS(2595),
    [anon_sym_GT_EQ] = ACTIONS(2623),
    [anon_sym_lt] = ACTIONS(2623),
    [anon_sym_le] = ACTIONS(2623),
    [anon_sym_ge] = ACTIONS(2623),
    [anon_sym_gt] = ACTIONS(2623),
    [anon_sym_isa] = ACTIONS(2625),
    [anon_sym_PLUS_PLUS] = ACTIONS(2627),
    [anon_sym_DASH_DASH] = ACTIONS(2627),
    [anon_sym_QMARK] = ACTIONS(2629),
    [anon_sym_EQ_GT] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3092),
    [anon_sym_foreach] = ACTIONS(3090),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3090),
    [anon_sym___END__] = ACTIONS(3090),
    [anon_sym_EOT] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_unless] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_until] = ACTIONS(3090),
    [sym__PERLY_SEMICOLON] = ACTIONS(3090),
    [sym__ctrl_z_hack] = ACTIONS(3090),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1360] = {
    [sym_heredoc_content] = STATE(1360),
    [anon_sym_RBRACE] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3094),
    [anon_sym_EQ] = ACTIONS(3096),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3094),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3094),
    [anon_sym_COMMA] = ACTIONS(3094),
    [anon_sym_RPAREN] = ACTIONS(3094),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3094),
    [anon_sym_and] = ACTIONS(3094),
    [anon_sym_or] = ACTIONS(3094),
    [anon_sym_xor] = ACTIONS(3094),
    [anon_sym_DASH_GT] = ACTIONS(2591),
    [anon_sym_PERCENT] = ACTIONS(2593),
    [anon_sym_GT] = ACTIONS(3096),
    [anon_sym_LT_LT] = ACTIONS(2597),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3094),
    [anon_sym_PLUS_EQ] = ACTIONS(3094),
    [anon_sym_DASH_EQ] = ACTIONS(3094),
    [anon_sym_DOT_EQ] = ACTIONS(3094),
    [anon_sym_STAR_EQ] = ACTIONS(3094),
    [anon_sym_SLASH_EQ] = ACTIONS(3094),
    [anon_sym_PERCENT_EQ] = ACTIONS(3094),
    [anon_sym_x_EQ] = ACTIONS(3094),
    [anon_sym_AMP_EQ] = ACTIONS(3094),
    [anon_sym_PIPE_EQ] = ACTIONS(3094),
    [anon_sym_CARET_EQ] = ACTIONS(3094),
    [anon_sym_LT_LT_EQ] = ACTIONS(3094),
    [anon_sym_GT_GT_EQ] = ACTIONS(3094),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3094),
    [anon_sym_DOT_DOT] = ACTIONS(3096),
    [anon_sym_STAR_STAR] = ACTIONS(2601),
    [anon_sym_PIPE_PIPE] = ACTIONS(3096),
    [anon_sym_SLASH_SLASH] = ACTIONS(3096),
    [anon_sym_CARET_CARET] = ACTIONS(3094),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_PIPE] = ACTIONS(3096),
    [anon_sym_CARET] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3096),
    [anon_sym_GT_GT2] = ACTIONS(2597),
    [anon_sym_PLUS] = ACTIONS(2613),
    [anon_sym_DASH] = ACTIONS(2613),
    [anon_sym_DOT] = ACTIONS(2613),
    [anon_sym_STAR] = ACTIONS(2593),
    [anon_sym_SLASH] = ACTIONS(2593),
    [anon_sym_x] = ACTIONS(2593),
    [anon_sym_EQ_TILDE] = ACTIONS(2615),
    [anon_sym_BANG_TILDE] = ACTIONS(2615),
    [anon_sym_EQ_EQ] = ACTIONS(3096),
    [anon_sym_BANG_EQ] = ACTIONS(3094),
    [anon_sym_eq] = ACTIONS(3096),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3094),
    [anon_sym_equ] = ACTIONS(3094),
    [anon_sym_eqr] = ACTIONS(3094),
    [anon_sym_ne] = ACTIONS(3094),
    [anon_sym_LT_EQ_GT] = ACTIONS(3094),
    [anon_sym_cmp] = ACTIONS(3094),
    [anon_sym_TILDE_TILDE] = ACTIONS(3094),
    [anon_sym_LT] = ACTIONS(3096),
    [anon_sym_LT_EQ] = ACTIONS(3096),
    [anon_sym_GT_EQ] = ACTIONS(3094),
    [anon_sym_lt] = ACTIONS(3094),
    [anon_sym_le] = ACTIONS(3094),
    [anon_sym_ge] = ACTIONS(3094),
    [anon_sym_gt] = ACTIONS(3094),
    [anon_sym_isa] = ACTIONS(3094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2627),
    [anon_sym_DASH_DASH] = ACTIONS(2627),
    [anon_sym_QMARK] = ACTIONS(3094),
    [anon_sym_EQ_GT] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3096),
    [anon_sym_foreach] = ACTIONS(3094),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3094),
    [anon_sym___END__] = ACTIONS(3094),
    [anon_sym_EOT] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_unless] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_until] = ACTIONS(3094),
    [sym__PERLY_SEMICOLON] = ACTIONS(3094),
    [sym__ctrl_z_hack] = ACTIONS(3094),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1361] = {
    [sym_heredoc_content] = STATE(1361),
    [anon_sym_RBRACE] = ACTIONS(3098),
    [anon_sym_SEMI] = ACTIONS(3098),
    [anon_sym_EQ] = ACTIONS(3100),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3098),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3098),
    [anon_sym_COMMA] = ACTIONS(3098),
    [anon_sym_RPAREN] = ACTIONS(3098),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3098),
    [anon_sym_and] = ACTIONS(3098),
    [anon_sym_or] = ACTIONS(3098),
    [anon_sym_xor] = ACTIONS(3098),
    [anon_sym_DASH_GT] = ACTIONS(3098),
    [anon_sym_PERCENT] = ACTIONS(3100),
    [anon_sym_GT] = ACTIONS(3100),
    [anon_sym_LT_LT] = ACTIONS(3100),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3098),
    [anon_sym_PLUS_EQ] = ACTIONS(3098),
    [anon_sym_DASH_EQ] = ACTIONS(3098),
    [anon_sym_DOT_EQ] = ACTIONS(3098),
    [anon_sym_STAR_EQ] = ACTIONS(3098),
    [anon_sym_SLASH_EQ] = ACTIONS(3098),
    [anon_sym_PERCENT_EQ] = ACTIONS(3098),
    [anon_sym_x_EQ] = ACTIONS(3098),
    [anon_sym_AMP_EQ] = ACTIONS(3098),
    [anon_sym_PIPE_EQ] = ACTIONS(3098),
    [anon_sym_CARET_EQ] = ACTIONS(3098),
    [anon_sym_LT_LT_EQ] = ACTIONS(3098),
    [anon_sym_GT_GT_EQ] = ACTIONS(3098),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3098),
    [anon_sym_DOT_DOT] = ACTIONS(3100),
    [anon_sym_STAR_STAR] = ACTIONS(3100),
    [anon_sym_PIPE_PIPE] = ACTIONS(3100),
    [anon_sym_SLASH_SLASH] = ACTIONS(3100),
    [anon_sym_CARET_CARET] = ACTIONS(3098),
    [anon_sym_AMP_AMP] = ACTIONS(3100),
    [anon_sym_PIPE] = ACTIONS(3100),
    [anon_sym_CARET] = ACTIONS(3100),
    [anon_sym_AMP] = ACTIONS(3100),
    [anon_sym_GT_GT2] = ACTIONS(3100),
    [anon_sym_PLUS] = ACTIONS(3100),
    [anon_sym_DASH] = ACTIONS(3100),
    [anon_sym_DOT] = ACTIONS(3100),
    [anon_sym_STAR] = ACTIONS(3100),
    [anon_sym_SLASH] = ACTIONS(3100),
    [anon_sym_x] = ACTIONS(3100),
    [anon_sym_EQ_TILDE] = ACTIONS(3098),
    [anon_sym_BANG_TILDE] = ACTIONS(3098),
    [anon_sym_EQ_EQ] = ACTIONS(3100),
    [anon_sym_BANG_EQ] = ACTIONS(3098),
    [anon_sym_eq] = ACTIONS(3100),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3098),
    [anon_sym_equ] = ACTIONS(3098),
    [anon_sym_eqr] = ACTIONS(3098),
    [anon_sym_ne] = ACTIONS(3098),
    [anon_sym_LT_EQ_GT] = ACTIONS(3098),
    [anon_sym_cmp] = ACTIONS(3098),
    [anon_sym_TILDE_TILDE] = ACTIONS(3098),
    [anon_sym_LT] = ACTIONS(3100),
    [anon_sym_LT_EQ] = ACTIONS(3100),
    [anon_sym_GT_EQ] = ACTIONS(3098),
    [anon_sym_lt] = ACTIONS(3098),
    [anon_sym_le] = ACTIONS(3098),
    [anon_sym_ge] = ACTIONS(3098),
    [anon_sym_gt] = ACTIONS(3098),
    [anon_sym_isa] = ACTIONS(3098),
    [anon_sym_PLUS_PLUS] = ACTIONS(3098),
    [anon_sym_DASH_DASH] = ACTIONS(3098),
    [anon_sym_QMARK] = ACTIONS(3098),
    [anon_sym_EQ_GT] = ACTIONS(3098),
    [anon_sym_for] = ACTIONS(3100),
    [anon_sym_foreach] = ACTIONS(3098),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3098),
    [anon_sym___END__] = ACTIONS(3098),
    [anon_sym_EOT] = ACTIONS(3098),
    [anon_sym_if] = ACTIONS(3098),
    [anon_sym_unless] = ACTIONS(3098),
    [anon_sym_while] = ACTIONS(3098),
    [anon_sym_until] = ACTIONS(3098),
    [sym__PERLY_SEMICOLON] = ACTIONS(3098),
    [sym__ctrl_z_hack] = ACTIONS(3098),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1362] = {
    [sym_heredoc_content] = STATE(1362),
    [anon_sym_RBRACE] = ACTIONS(3102),
    [anon_sym_SEMI] = ACTIONS(3102),
    [anon_sym_EQ] = ACTIONS(3104),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3102),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3102),
    [anon_sym_COMMA] = ACTIONS(3102),
    [anon_sym_RPAREN] = ACTIONS(3102),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3102),
    [anon_sym_and] = ACTIONS(3102),
    [anon_sym_or] = ACTIONS(3102),
    [anon_sym_xor] = ACTIONS(3102),
    [anon_sym_DASH_GT] = ACTIONS(3102),
    [anon_sym_PERCENT] = ACTIONS(3104),
    [anon_sym_GT] = ACTIONS(3104),
    [anon_sym_LT_LT] = ACTIONS(3104),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3102),
    [anon_sym_PLUS_EQ] = ACTIONS(3102),
    [anon_sym_DASH_EQ] = ACTIONS(3102),
    [anon_sym_DOT_EQ] = ACTIONS(3102),
    [anon_sym_STAR_EQ] = ACTIONS(3102),
    [anon_sym_SLASH_EQ] = ACTIONS(3102),
    [anon_sym_PERCENT_EQ] = ACTIONS(3102),
    [anon_sym_x_EQ] = ACTIONS(3102),
    [anon_sym_AMP_EQ] = ACTIONS(3102),
    [anon_sym_PIPE_EQ] = ACTIONS(3102),
    [anon_sym_CARET_EQ] = ACTIONS(3102),
    [anon_sym_LT_LT_EQ] = ACTIONS(3102),
    [anon_sym_GT_GT_EQ] = ACTIONS(3102),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3102),
    [anon_sym_DOT_DOT] = ACTIONS(3104),
    [anon_sym_STAR_STAR] = ACTIONS(3104),
    [anon_sym_PIPE_PIPE] = ACTIONS(3104),
    [anon_sym_SLASH_SLASH] = ACTIONS(3104),
    [anon_sym_CARET_CARET] = ACTIONS(3102),
    [anon_sym_AMP_AMP] = ACTIONS(3104),
    [anon_sym_PIPE] = ACTIONS(3104),
    [anon_sym_CARET] = ACTIONS(3104),
    [anon_sym_AMP] = ACTIONS(3104),
    [anon_sym_GT_GT2] = ACTIONS(3104),
    [anon_sym_PLUS] = ACTIONS(3104),
    [anon_sym_DASH] = ACTIONS(3104),
    [anon_sym_DOT] = ACTIONS(3104),
    [anon_sym_STAR] = ACTIONS(3104),
    [anon_sym_SLASH] = ACTIONS(3104),
    [anon_sym_x] = ACTIONS(3104),
    [anon_sym_EQ_TILDE] = ACTIONS(3102),
    [anon_sym_BANG_TILDE] = ACTIONS(3102),
    [anon_sym_EQ_EQ] = ACTIONS(3104),
    [anon_sym_BANG_EQ] = ACTIONS(3102),
    [anon_sym_eq] = ACTIONS(3104),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3102),
    [anon_sym_equ] = ACTIONS(3102),
    [anon_sym_eqr] = ACTIONS(3102),
    [anon_sym_ne] = ACTIONS(3102),
    [anon_sym_LT_EQ_GT] = ACTIONS(3102),
    [anon_sym_cmp] = ACTIONS(3102),
    [anon_sym_TILDE_TILDE] = ACTIONS(3102),
    [anon_sym_LT] = ACTIONS(3104),
    [anon_sym_LT_EQ] = ACTIONS(3104),
    [anon_sym_GT_EQ] = ACTIONS(3102),
    [anon_sym_lt] = ACTIONS(3102),
    [anon_sym_le] = ACTIONS(3102),
    [anon_sym_ge] = ACTIONS(3102),
    [anon_sym_gt] = ACTIONS(3102),
    [anon_sym_isa] = ACTIONS(3102),
    [anon_sym_PLUS_PLUS] = ACTIONS(3102),
    [anon_sym_DASH_DASH] = ACTIONS(3102),
    [anon_sym_QMARK] = ACTIONS(3102),
    [anon_sym_EQ_GT] = ACTIONS(3102),
    [anon_sym_for] = ACTIONS(3104),
    [anon_sym_foreach] = ACTIONS(3102),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3102),
    [anon_sym___END__] = ACTIONS(3102),
    [anon_sym_EOT] = ACTIONS(3102),
    [anon_sym_if] = ACTIONS(3102),
    [anon_sym_unless] = ACTIONS(3102),
    [anon_sym_while] = ACTIONS(3102),
    [anon_sym_until] = ACTIONS(3102),
    [sym__PERLY_SEMICOLON] = ACTIONS(3102),
    [sym__ctrl_z_hack] = ACTIONS(3102),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1363] = {
    [sym_heredoc_content] = STATE(1363),
    [anon_sym_RBRACE] = ACTIONS(3106),
    [anon_sym_SEMI] = ACTIONS(3106),
    [anon_sym_EQ] = ACTIONS(3108),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3106),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3106),
    [anon_sym_COMMA] = ACTIONS(3106),
    [anon_sym_RPAREN] = ACTIONS(3106),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3106),
    [anon_sym_and] = ACTIONS(3106),
    [anon_sym_or] = ACTIONS(3106),
    [anon_sym_xor] = ACTIONS(3106),
    [anon_sym_DASH_GT] = ACTIONS(3106),
    [anon_sym_PERCENT] = ACTIONS(3108),
    [anon_sym_GT] = ACTIONS(3108),
    [anon_sym_LT_LT] = ACTIONS(3108),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3106),
    [anon_sym_PLUS_EQ] = ACTIONS(3106),
    [anon_sym_DASH_EQ] = ACTIONS(3106),
    [anon_sym_DOT_EQ] = ACTIONS(3106),
    [anon_sym_STAR_EQ] = ACTIONS(3106),
    [anon_sym_SLASH_EQ] = ACTIONS(3106),
    [anon_sym_PERCENT_EQ] = ACTIONS(3106),
    [anon_sym_x_EQ] = ACTIONS(3106),
    [anon_sym_AMP_EQ] = ACTIONS(3106),
    [anon_sym_PIPE_EQ] = ACTIONS(3106),
    [anon_sym_CARET_EQ] = ACTIONS(3106),
    [anon_sym_LT_LT_EQ] = ACTIONS(3106),
    [anon_sym_GT_GT_EQ] = ACTIONS(3106),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3106),
    [anon_sym_DOT_DOT] = ACTIONS(3108),
    [anon_sym_STAR_STAR] = ACTIONS(3108),
    [anon_sym_PIPE_PIPE] = ACTIONS(3108),
    [anon_sym_SLASH_SLASH] = ACTIONS(3108),
    [anon_sym_CARET_CARET] = ACTIONS(3106),
    [anon_sym_AMP_AMP] = ACTIONS(3108),
    [anon_sym_PIPE] = ACTIONS(3108),
    [anon_sym_CARET] = ACTIONS(3108),
    [anon_sym_AMP] = ACTIONS(3108),
    [anon_sym_GT_GT2] = ACTIONS(3108),
    [anon_sym_PLUS] = ACTIONS(3108),
    [anon_sym_DASH] = ACTIONS(3108),
    [anon_sym_DOT] = ACTIONS(3108),
    [anon_sym_STAR] = ACTIONS(3108),
    [anon_sym_SLASH] = ACTIONS(3108),
    [anon_sym_x] = ACTIONS(3108),
    [anon_sym_EQ_TILDE] = ACTIONS(3106),
    [anon_sym_BANG_TILDE] = ACTIONS(3106),
    [anon_sym_EQ_EQ] = ACTIONS(3108),
    [anon_sym_BANG_EQ] = ACTIONS(3106),
    [anon_sym_eq] = ACTIONS(3108),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3106),
    [anon_sym_equ] = ACTIONS(3106),
    [anon_sym_eqr] = ACTIONS(3106),
    [anon_sym_ne] = ACTIONS(3106),
    [anon_sym_LT_EQ_GT] = ACTIONS(3106),
    [anon_sym_cmp] = ACTIONS(3106),
    [anon_sym_TILDE_TILDE] = ACTIONS(3106),
    [anon_sym_LT] = ACTIONS(3108),
    [anon_sym_LT_EQ] = ACTIONS(3108),
    [anon_sym_GT_EQ] = ACTIONS(3106),
    [anon_sym_lt] = ACTIONS(3106),
    [anon_sym_le] = ACTIONS(3106),
    [anon_sym_ge] = ACTIONS(3106),
    [anon_sym_gt] = ACTIONS(3106),
    [anon_sym_isa] = ACTIONS(3106),
    [anon_sym_PLUS_PLUS] = ACTIONS(3106),
    [anon_sym_DASH_DASH] = ACTIONS(3106),
    [anon_sym_QMARK] = ACTIONS(3106),
    [anon_sym_EQ_GT] = ACTIONS(3106),
    [anon_sym_for] = ACTIONS(3108),
    [anon_sym_foreach] = ACTIONS(3106),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3106),
    [anon_sym___END__] = ACTIONS(3106),
    [anon_sym_EOT] = ACTIONS(3106),
    [anon_sym_if] = ACTIONS(3106),
    [anon_sym_unless] = ACTIONS(3106),
    [anon_sym_while] = ACTIONS(3106),
    [anon_sym_until] = ACTIONS(3106),
    [sym__PERLY_SEMICOLON] = ACTIONS(3106),
    [sym__ctrl_z_hack] = ACTIONS(3106),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1364] = {
    [sym_heredoc_content] = STATE(1364),
    [anon_sym_RBRACE] = ACTIONS(3110),
    [anon_sym_SEMI] = ACTIONS(3110),
    [anon_sym_EQ] = ACTIONS(3112),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3110),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3110),
    [anon_sym_COMMA] = ACTIONS(3110),
    [anon_sym_RPAREN] = ACTIONS(3110),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3110),
    [anon_sym_and] = ACTIONS(3110),
    [anon_sym_or] = ACTIONS(3110),
    [anon_sym_xor] = ACTIONS(3110),
    [anon_sym_DASH_GT] = ACTIONS(3110),
    [anon_sym_PERCENT] = ACTIONS(3112),
    [anon_sym_GT] = ACTIONS(3112),
    [anon_sym_LT_LT] = ACTIONS(3112),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3110),
    [anon_sym_PLUS_EQ] = ACTIONS(3110),
    [anon_sym_DASH_EQ] = ACTIONS(3110),
    [anon_sym_DOT_EQ] = ACTIONS(3110),
    [anon_sym_STAR_EQ] = ACTIONS(3110),
    [anon_sym_SLASH_EQ] = ACTIONS(3110),
    [anon_sym_PERCENT_EQ] = ACTIONS(3110),
    [anon_sym_x_EQ] = ACTIONS(3110),
    [anon_sym_AMP_EQ] = ACTIONS(3110),
    [anon_sym_PIPE_EQ] = ACTIONS(3110),
    [anon_sym_CARET_EQ] = ACTIONS(3110),
    [anon_sym_LT_LT_EQ] = ACTIONS(3110),
    [anon_sym_GT_GT_EQ] = ACTIONS(3110),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3110),
    [anon_sym_DOT_DOT] = ACTIONS(3112),
    [anon_sym_STAR_STAR] = ACTIONS(3112),
    [anon_sym_PIPE_PIPE] = ACTIONS(3112),
    [anon_sym_SLASH_SLASH] = ACTIONS(3112),
    [anon_sym_CARET_CARET] = ACTIONS(3110),
    [anon_sym_AMP_AMP] = ACTIONS(3112),
    [anon_sym_PIPE] = ACTIONS(3112),
    [anon_sym_CARET] = ACTIONS(3112),
    [anon_sym_AMP] = ACTIONS(3112),
    [anon_sym_GT_GT2] = ACTIONS(3112),
    [anon_sym_PLUS] = ACTIONS(3112),
    [anon_sym_DASH] = ACTIONS(3112),
    [anon_sym_DOT] = ACTIONS(3112),
    [anon_sym_STAR] = ACTIONS(3112),
    [anon_sym_SLASH] = ACTIONS(3112),
    [anon_sym_x] = ACTIONS(3112),
    [anon_sym_EQ_TILDE] = ACTIONS(3110),
    [anon_sym_BANG_TILDE] = ACTIONS(3110),
    [anon_sym_EQ_EQ] = ACTIONS(3112),
    [anon_sym_BANG_EQ] = ACTIONS(3110),
    [anon_sym_eq] = ACTIONS(3112),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3110),
    [anon_sym_equ] = ACTIONS(3110),
    [anon_sym_eqr] = ACTIONS(3110),
    [anon_sym_ne] = ACTIONS(3110),
    [anon_sym_LT_EQ_GT] = ACTIONS(3110),
    [anon_sym_cmp] = ACTIONS(3110),
    [anon_sym_TILDE_TILDE] = ACTIONS(3110),
    [anon_sym_LT] = ACTIONS(3112),
    [anon_sym_LT_EQ] = ACTIONS(3112),
    [anon_sym_GT_EQ] = ACTIONS(3110),
    [anon_sym_lt] = ACTIONS(3110),
    [anon_sym_le] = ACTIONS(3110),
    [anon_sym_ge] = ACTIONS(3110),
    [anon_sym_gt] = ACTIONS(3110),
    [anon_sym_isa] = ACTIONS(3110),
    [anon_sym_PLUS_PLUS] = ACTIONS(3110),
    [anon_sym_DASH_DASH] = ACTIONS(3110),
    [anon_sym_QMARK] = ACTIONS(3110),
    [anon_sym_EQ_GT] = ACTIONS(3110),
    [anon_sym_for] = ACTIONS(3112),
    [anon_sym_foreach] = ACTIONS(3110),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3110),
    [anon_sym___END__] = ACTIONS(3110),
    [anon_sym_EOT] = ACTIONS(3110),
    [anon_sym_if] = ACTIONS(3110),
    [anon_sym_unless] = ACTIONS(3110),
    [anon_sym_while] = ACTIONS(3110),
    [anon_sym_until] = ACTIONS(3110),
    [sym__PERLY_SEMICOLON] = ACTIONS(3110),
    [sym__ctrl_z_hack] = ACTIONS(3110),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1365] = {
    [sym_heredoc_content] = STATE(1365),
    [anon_sym_RBRACE] = ACTIONS(3114),
    [anon_sym_SEMI] = ACTIONS(3114),
    [anon_sym_EQ] = ACTIONS(3116),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3114),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3114),
    [anon_sym_COMMA] = ACTIONS(3114),
    [anon_sym_RPAREN] = ACTIONS(3114),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3114),
    [anon_sym_and] = ACTIONS(3114),
    [anon_sym_or] = ACTIONS(3114),
    [anon_sym_xor] = ACTIONS(3114),
    [anon_sym_DASH_GT] = ACTIONS(3114),
    [anon_sym_PERCENT] = ACTIONS(3116),
    [anon_sym_GT] = ACTIONS(3116),
    [anon_sym_LT_LT] = ACTIONS(3116),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3114),
    [anon_sym_PLUS_EQ] = ACTIONS(3114),
    [anon_sym_DASH_EQ] = ACTIONS(3114),
    [anon_sym_DOT_EQ] = ACTIONS(3114),
    [anon_sym_STAR_EQ] = ACTIONS(3114),
    [anon_sym_SLASH_EQ] = ACTIONS(3114),
    [anon_sym_PERCENT_EQ] = ACTIONS(3114),
    [anon_sym_x_EQ] = ACTIONS(3114),
    [anon_sym_AMP_EQ] = ACTIONS(3114),
    [anon_sym_PIPE_EQ] = ACTIONS(3114),
    [anon_sym_CARET_EQ] = ACTIONS(3114),
    [anon_sym_LT_LT_EQ] = ACTIONS(3114),
    [anon_sym_GT_GT_EQ] = ACTIONS(3114),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3114),
    [anon_sym_DOT_DOT] = ACTIONS(3116),
    [anon_sym_STAR_STAR] = ACTIONS(3116),
    [anon_sym_PIPE_PIPE] = ACTIONS(3116),
    [anon_sym_SLASH_SLASH] = ACTIONS(3116),
    [anon_sym_CARET_CARET] = ACTIONS(3114),
    [anon_sym_AMP_AMP] = ACTIONS(3116),
    [anon_sym_PIPE] = ACTIONS(3116),
    [anon_sym_CARET] = ACTIONS(3116),
    [anon_sym_AMP] = ACTIONS(3116),
    [anon_sym_GT_GT2] = ACTIONS(3116),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_DOT] = ACTIONS(3116),
    [anon_sym_STAR] = ACTIONS(3116),
    [anon_sym_SLASH] = ACTIONS(3116),
    [anon_sym_x] = ACTIONS(3116),
    [anon_sym_EQ_TILDE] = ACTIONS(3114),
    [anon_sym_BANG_TILDE] = ACTIONS(3114),
    [anon_sym_EQ_EQ] = ACTIONS(3116),
    [anon_sym_BANG_EQ] = ACTIONS(3114),
    [anon_sym_eq] = ACTIONS(3116),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3114),
    [anon_sym_equ] = ACTIONS(3114),
    [anon_sym_eqr] = ACTIONS(3114),
    [anon_sym_ne] = ACTIONS(3114),
    [anon_sym_LT_EQ_GT] = ACTIONS(3114),
    [anon_sym_cmp] = ACTIONS(3114),
    [anon_sym_TILDE_TILDE] = ACTIONS(3114),
    [anon_sym_LT] = ACTIONS(3116),
    [anon_sym_LT_EQ] = ACTIONS(3116),
    [anon_sym_GT_EQ] = ACTIONS(3114),
    [anon_sym_lt] = ACTIONS(3114),
    [anon_sym_le] = ACTIONS(3114),
    [anon_sym_ge] = ACTIONS(3114),
    [anon_sym_gt] = ACTIONS(3114),
    [anon_sym_isa] = ACTIONS(3114),
    [anon_sym_PLUS_PLUS] = ACTIONS(3114),
    [anon_sym_DASH_DASH] = ACTIONS(3114),
    [anon_sym_QMARK] = ACTIONS(3114),
    [anon_sym_EQ_GT] = ACTIONS(3114),
    [anon_sym_for] = ACTIONS(3116),
    [anon_sym_foreach] = ACTIONS(3114),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3114),
    [anon_sym___END__] = ACTIONS(3114),
    [anon_sym_EOT] = ACTIONS(3114),
    [anon_sym_if] = ACTIONS(3114),
    [anon_sym_unless] = ACTIONS(3114),
    [anon_sym_while] = ACTIONS(3114),
    [anon_sym_until] = ACTIONS(3114),
    [sym__PERLY_SEMICOLON] = ACTIONS(3114),
    [sym__ctrl_z_hack] = ACTIONS(3114),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1366] = {
    [sym_heredoc_content] = STATE(1366),
    [anon_sym_RBRACE] = ACTIONS(1970),
    [anon_sym_SEMI] = ACTIONS(1970),
    [anon_sym_EQ] = ACTIONS(1966),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1970),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1970),
    [anon_sym_COMMA] = ACTIONS(1970),
    [anon_sym_RPAREN] = ACTIONS(1970),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1970),
    [anon_sym_and] = ACTIONS(1970),
    [anon_sym_or] = ACTIONS(1970),
    [anon_sym_xor] = ACTIONS(1970),
    [anon_sym_DASH_GT] = ACTIONS(1970),
    [anon_sym_PERCENT] = ACTIONS(1966),
    [anon_sym_GT] = ACTIONS(1966),
    [anon_sym_LT_LT] = ACTIONS(1966),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1970),
    [anon_sym_PLUS_EQ] = ACTIONS(1970),
    [anon_sym_DASH_EQ] = ACTIONS(1970),
    [anon_sym_DOT_EQ] = ACTIONS(1970),
    [anon_sym_STAR_EQ] = ACTIONS(1970),
    [anon_sym_SLASH_EQ] = ACTIONS(1970),
    [anon_sym_PERCENT_EQ] = ACTIONS(1970),
    [anon_sym_x_EQ] = ACTIONS(1970),
    [anon_sym_AMP_EQ] = ACTIONS(1970),
    [anon_sym_PIPE_EQ] = ACTIONS(1970),
    [anon_sym_CARET_EQ] = ACTIONS(1970),
    [anon_sym_LT_LT_EQ] = ACTIONS(1970),
    [anon_sym_GT_GT_EQ] = ACTIONS(1970),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1970),
    [anon_sym_DOT_DOT] = ACTIONS(1966),
    [anon_sym_STAR_STAR] = ACTIONS(1966),
    [anon_sym_PIPE_PIPE] = ACTIONS(1966),
    [anon_sym_SLASH_SLASH] = ACTIONS(1966),
    [anon_sym_CARET_CARET] = ACTIONS(1970),
    [anon_sym_AMP_AMP] = ACTIONS(1966),
    [anon_sym_PIPE] = ACTIONS(1966),
    [anon_sym_CARET] = ACTIONS(1966),
    [anon_sym_AMP] = ACTIONS(1966),
    [anon_sym_GT_GT2] = ACTIONS(1966),
    [anon_sym_PLUS] = ACTIONS(1966),
    [anon_sym_DASH] = ACTIONS(1966),
    [anon_sym_DOT] = ACTIONS(1966),
    [anon_sym_STAR] = ACTIONS(1966),
    [anon_sym_SLASH] = ACTIONS(1966),
    [anon_sym_x] = ACTIONS(1966),
    [anon_sym_EQ_TILDE] = ACTIONS(1970),
    [anon_sym_BANG_TILDE] = ACTIONS(1970),
    [anon_sym_EQ_EQ] = ACTIONS(1966),
    [anon_sym_BANG_EQ] = ACTIONS(1970),
    [anon_sym_eq] = ACTIONS(1966),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1970),
    [anon_sym_equ] = ACTIONS(1970),
    [anon_sym_eqr] = ACTIONS(1970),
    [anon_sym_ne] = ACTIONS(1970),
    [anon_sym_LT_EQ_GT] = ACTIONS(1970),
    [anon_sym_cmp] = ACTIONS(1970),
    [anon_sym_TILDE_TILDE] = ACTIONS(1970),
    [anon_sym_LT] = ACTIONS(1966),
    [anon_sym_LT_EQ] = ACTIONS(1966),
    [anon_sym_GT_EQ] = ACTIONS(1970),
    [anon_sym_lt] = ACTIONS(1970),
    [anon_sym_le] = ACTIONS(1970),
    [anon_sym_ge] = ACTIONS(1970),
    [anon_sym_gt] = ACTIONS(1970),
    [anon_sym_isa] = ACTIONS(1970),
    [anon_sym_PLUS_PLUS] = ACTIONS(1970),
    [anon_sym_DASH_DASH] = ACTIONS(1970),
    [anon_sym_QMARK] = ACTIONS(1970),
    [anon_sym_EQ_GT] = ACTIONS(1970),
    [anon_sym_for] = ACTIONS(1966),
    [anon_sym_foreach] = ACTIONS(1970),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(1970),
    [anon_sym___END__] = ACTIONS(1970),
    [anon_sym_EOT] = ACTIONS(1970),
    [anon_sym_if] = ACTIONS(1970),
    [anon_sym_unless] = ACTIONS(1970),
    [anon_sym_while] = ACTIONS(1970),
    [anon_sym_until] = ACTIONS(1970),
    [sym__PERLY_SEMICOLON] = ACTIONS(1970),
    [sym__ctrl_z_hack] = ACTIONS(1970),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1367] = {
    [sym_heredoc_content] = STATE(1367),
    [anon_sym_RBRACE] = ACTIONS(3118),
    [anon_sym_SEMI] = ACTIONS(3118),
    [anon_sym_EQ] = ACTIONS(3120),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3118),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3118),
    [anon_sym_COMMA] = ACTIONS(3118),
    [anon_sym_RPAREN] = ACTIONS(3118),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3118),
    [anon_sym_and] = ACTIONS(3118),
    [anon_sym_or] = ACTIONS(3118),
    [anon_sym_xor] = ACTIONS(3118),
    [anon_sym_DASH_GT] = ACTIONS(3118),
    [anon_sym_PERCENT] = ACTIONS(3120),
    [anon_sym_GT] = ACTIONS(3120),
    [anon_sym_LT_LT] = ACTIONS(3120),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3118),
    [anon_sym_PLUS_EQ] = ACTIONS(3118),
    [anon_sym_DASH_EQ] = ACTIONS(3118),
    [anon_sym_DOT_EQ] = ACTIONS(3118),
    [anon_sym_STAR_EQ] = ACTIONS(3118),
    [anon_sym_SLASH_EQ] = ACTIONS(3118),
    [anon_sym_PERCENT_EQ] = ACTIONS(3118),
    [anon_sym_x_EQ] = ACTIONS(3118),
    [anon_sym_AMP_EQ] = ACTIONS(3118),
    [anon_sym_PIPE_EQ] = ACTIONS(3118),
    [anon_sym_CARET_EQ] = ACTIONS(3118),
    [anon_sym_LT_LT_EQ] = ACTIONS(3118),
    [anon_sym_GT_GT_EQ] = ACTIONS(3118),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3118),
    [anon_sym_DOT_DOT] = ACTIONS(3120),
    [anon_sym_STAR_STAR] = ACTIONS(3120),
    [anon_sym_PIPE_PIPE] = ACTIONS(3120),
    [anon_sym_SLASH_SLASH] = ACTIONS(3120),
    [anon_sym_CARET_CARET] = ACTIONS(3118),
    [anon_sym_AMP_AMP] = ACTIONS(3120),
    [anon_sym_PIPE] = ACTIONS(3120),
    [anon_sym_CARET] = ACTIONS(3120),
    [anon_sym_AMP] = ACTIONS(3120),
    [anon_sym_GT_GT2] = ACTIONS(3120),
    [anon_sym_PLUS] = ACTIONS(3120),
    [anon_sym_DASH] = ACTIONS(3120),
    [anon_sym_DOT] = ACTIONS(3120),
    [anon_sym_STAR] = ACTIONS(3120),
    [anon_sym_SLASH] = ACTIONS(3120),
    [anon_sym_x] = ACTIONS(3120),
    [anon_sym_EQ_TILDE] = ACTIONS(3118),
    [anon_sym_BANG_TILDE] = ACTIONS(3118),
    [anon_sym_EQ_EQ] = ACTIONS(3120),
    [anon_sym_BANG_EQ] = ACTIONS(3118),
    [anon_sym_eq] = ACTIONS(3120),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3118),
    [anon_sym_equ] = ACTIONS(3118),
    [anon_sym_eqr] = ACTIONS(3118),
    [anon_sym_ne] = ACTIONS(3118),
    [anon_sym_LT_EQ_GT] = ACTIONS(3118),
    [anon_sym_cmp] = ACTIONS(3118),
    [anon_sym_TILDE_TILDE] = ACTIONS(3118),
    [anon_sym_LT] = ACTIONS(3120),
    [anon_sym_LT_EQ] = ACTIONS(3120),
    [anon_sym_GT_EQ] = ACTIONS(3118),
    [anon_sym_lt] = ACTIONS(3118),
    [anon_sym_le] = ACTIONS(3118),
    [anon_sym_ge] = ACTIONS(3118),
    [anon_sym_gt] = ACTIONS(3118),
    [anon_sym_isa] = ACTIONS(3118),
    [anon_sym_PLUS_PLUS] = ACTIONS(3118),
    [anon_sym_DASH_DASH] = ACTIONS(3118),
    [anon_sym_QMARK] = ACTIONS(3118),
    [anon_sym_EQ_GT] = ACTIONS(3118),
    [anon_sym_for] = ACTIONS(3120),
    [anon_sym_foreach] = ACTIONS(3118),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3118),
    [anon_sym___END__] = ACTIONS(3118),
    [anon_sym_EOT] = ACTIONS(3118),
    [anon_sym_if] = ACTIONS(3118),
    [anon_sym_unless] = ACTIONS(3118),
    [anon_sym_while] = ACTIONS(3118),
    [anon_sym_until] = ACTIONS(3118),
    [sym__PERLY_SEMICOLON] = ACTIONS(3118),
    [sym__ctrl_z_hack] = ACTIONS(3118),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1368] = {
    [sym_heredoc_content] = STATE(1368),
    [anon_sym_RBRACE] = ACTIONS(3122),
    [anon_sym_SEMI] = ACTIONS(3122),
    [anon_sym_EQ] = ACTIONS(3124),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3122),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3122),
    [anon_sym_COMMA] = ACTIONS(3122),
    [anon_sym_RPAREN] = ACTIONS(3122),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3122),
    [anon_sym_and] = ACTIONS(3122),
    [anon_sym_or] = ACTIONS(3122),
    [anon_sym_xor] = ACTIONS(3122),
    [anon_sym_DASH_GT] = ACTIONS(3122),
    [anon_sym_PERCENT] = ACTIONS(3124),
    [anon_sym_GT] = ACTIONS(3124),
    [anon_sym_LT_LT] = ACTIONS(3124),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3122),
    [anon_sym_PLUS_EQ] = ACTIONS(3122),
    [anon_sym_DASH_EQ] = ACTIONS(3122),
    [anon_sym_DOT_EQ] = ACTIONS(3122),
    [anon_sym_STAR_EQ] = ACTIONS(3122),
    [anon_sym_SLASH_EQ] = ACTIONS(3122),
    [anon_sym_PERCENT_EQ] = ACTIONS(3122),
    [anon_sym_x_EQ] = ACTIONS(3122),
    [anon_sym_AMP_EQ] = ACTIONS(3122),
    [anon_sym_PIPE_EQ] = ACTIONS(3122),
    [anon_sym_CARET_EQ] = ACTIONS(3122),
    [anon_sym_LT_LT_EQ] = ACTIONS(3122),
    [anon_sym_GT_GT_EQ] = ACTIONS(3122),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3122),
    [anon_sym_DOT_DOT] = ACTIONS(3124),
    [anon_sym_STAR_STAR] = ACTIONS(3124),
    [anon_sym_PIPE_PIPE] = ACTIONS(3124),
    [anon_sym_SLASH_SLASH] = ACTIONS(3124),
    [anon_sym_CARET_CARET] = ACTIONS(3122),
    [anon_sym_AMP_AMP] = ACTIONS(3124),
    [anon_sym_PIPE] = ACTIONS(3124),
    [anon_sym_CARET] = ACTIONS(3124),
    [anon_sym_AMP] = ACTIONS(3124),
    [anon_sym_GT_GT2] = ACTIONS(3124),
    [anon_sym_PLUS] = ACTIONS(3124),
    [anon_sym_DASH] = ACTIONS(3124),
    [anon_sym_DOT] = ACTIONS(3124),
    [anon_sym_STAR] = ACTIONS(3124),
    [anon_sym_SLASH] = ACTIONS(3124),
    [anon_sym_x] = ACTIONS(3124),
    [anon_sym_EQ_TILDE] = ACTIONS(3122),
    [anon_sym_BANG_TILDE] = ACTIONS(3122),
    [anon_sym_EQ_EQ] = ACTIONS(3124),
    [anon_sym_BANG_EQ] = ACTIONS(3122),
    [anon_sym_eq] = ACTIONS(3124),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3122),
    [anon_sym_equ] = ACTIONS(3122),
    [anon_sym_eqr] = ACTIONS(3122),
    [anon_sym_ne] = ACTIONS(3122),
    [anon_sym_LT_EQ_GT] = ACTIONS(3122),
    [anon_sym_cmp] = ACTIONS(3122),
    [anon_sym_TILDE_TILDE] = ACTIONS(3122),
    [anon_sym_LT] = ACTIONS(3124),
    [anon_sym_LT_EQ] = ACTIONS(3124),
    [anon_sym_GT_EQ] = ACTIONS(3122),
    [anon_sym_lt] = ACTIONS(3122),
    [anon_sym_le] = ACTIONS(3122),
    [anon_sym_ge] = ACTIONS(3122),
    [anon_sym_gt] = ACTIONS(3122),
    [anon_sym_isa] = ACTIONS(3122),
    [anon_sym_PLUS_PLUS] = ACTIONS(3122),
    [anon_sym_DASH_DASH] = ACTIONS(3122),
    [anon_sym_QMARK] = ACTIONS(3122),
    [anon_sym_EQ_GT] = ACTIONS(3122),
    [anon_sym_for] = ACTIONS(3124),
    [anon_sym_foreach] = ACTIONS(3122),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3122),
    [anon_sym___END__] = ACTIONS(3122),
    [anon_sym_EOT] = ACTIONS(3122),
    [anon_sym_if] = ACTIONS(3122),
    [anon_sym_unless] = ACTIONS(3122),
    [anon_sym_while] = ACTIONS(3122),
    [anon_sym_until] = ACTIONS(3122),
    [sym__PERLY_SEMICOLON] = ACTIONS(3122),
    [sym__ctrl_z_hack] = ACTIONS(3122),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1369] = {
    [sym_heredoc_content] = STATE(1369),
    [anon_sym_RBRACE] = ACTIONS(1970),
    [anon_sym_SEMI] = ACTIONS(1970),
    [anon_sym_EQ] = ACTIONS(1966),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1970),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1970),
    [anon_sym_COMMA] = ACTIONS(1970),
    [anon_sym_RPAREN] = ACTIONS(1970),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1970),
    [anon_sym_and] = ACTIONS(1970),
    [anon_sym_or] = ACTIONS(1970),
    [anon_sym_xor] = ACTIONS(1970),
    [anon_sym_DASH_GT] = ACTIONS(1970),
    [anon_sym_PERCENT] = ACTIONS(1966),
    [anon_sym_GT] = ACTIONS(1966),
    [anon_sym_LT_LT] = ACTIONS(1966),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1970),
    [anon_sym_PLUS_EQ] = ACTIONS(1970),
    [anon_sym_DASH_EQ] = ACTIONS(1970),
    [anon_sym_DOT_EQ] = ACTIONS(1970),
    [anon_sym_STAR_EQ] = ACTIONS(1970),
    [anon_sym_SLASH_EQ] = ACTIONS(1970),
    [anon_sym_PERCENT_EQ] = ACTIONS(1970),
    [anon_sym_x_EQ] = ACTIONS(1970),
    [anon_sym_AMP_EQ] = ACTIONS(1970),
    [anon_sym_PIPE_EQ] = ACTIONS(1970),
    [anon_sym_CARET_EQ] = ACTIONS(1970),
    [anon_sym_LT_LT_EQ] = ACTIONS(1970),
    [anon_sym_GT_GT_EQ] = ACTIONS(1970),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1970),
    [anon_sym_DOT_DOT] = ACTIONS(1966),
    [anon_sym_STAR_STAR] = ACTIONS(1966),
    [anon_sym_PIPE_PIPE] = ACTIONS(1966),
    [anon_sym_SLASH_SLASH] = ACTIONS(1966),
    [anon_sym_CARET_CARET] = ACTIONS(1970),
    [anon_sym_AMP_AMP] = ACTIONS(1966),
    [anon_sym_PIPE] = ACTIONS(1966),
    [anon_sym_CARET] = ACTIONS(1966),
    [anon_sym_AMP] = ACTIONS(1966),
    [anon_sym_GT_GT2] = ACTIONS(1966),
    [anon_sym_PLUS] = ACTIONS(1966),
    [anon_sym_DASH] = ACTIONS(1966),
    [anon_sym_DOT] = ACTIONS(1966),
    [anon_sym_STAR] = ACTIONS(1966),
    [anon_sym_SLASH] = ACTIONS(1966),
    [anon_sym_x] = ACTIONS(1966),
    [anon_sym_EQ_TILDE] = ACTIONS(1970),
    [anon_sym_BANG_TILDE] = ACTIONS(1970),
    [anon_sym_EQ_EQ] = ACTIONS(1966),
    [anon_sym_BANG_EQ] = ACTIONS(1970),
    [anon_sym_eq] = ACTIONS(1966),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1970),
    [anon_sym_equ] = ACTIONS(1970),
    [anon_sym_eqr] = ACTIONS(1970),
    [anon_sym_ne] = ACTIONS(1970),
    [anon_sym_LT_EQ_GT] = ACTIONS(1970),
    [anon_sym_cmp] = ACTIONS(1970),
    [anon_sym_TILDE_TILDE] = ACTIONS(1970),
    [anon_sym_LT] = ACTIONS(1966),
    [anon_sym_LT_EQ] = ACTIONS(1966),
    [anon_sym_GT_EQ] = ACTIONS(1970),
    [anon_sym_lt] = ACTIONS(1970),
    [anon_sym_le] = ACTIONS(1970),
    [anon_sym_ge] = ACTIONS(1970),
    [anon_sym_gt] = ACTIONS(1970),
    [anon_sym_isa] = ACTIONS(1970),
    [anon_sym_PLUS_PLUS] = ACTIONS(1970),
    [anon_sym_DASH_DASH] = ACTIONS(1970),
    [anon_sym_QMARK] = ACTIONS(1970),
    [anon_sym_EQ_GT] = ACTIONS(1970),
    [anon_sym_for] = ACTIONS(1966),
    [anon_sym_foreach] = ACTIONS(1970),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(1970),
    [anon_sym___END__] = ACTIONS(1970),
    [anon_sym_EOT] = ACTIONS(1970),
    [anon_sym_if] = ACTIONS(1970),
    [anon_sym_unless] = ACTIONS(1970),
    [anon_sym_while] = ACTIONS(1970),
    [anon_sym_until] = ACTIONS(1970),
    [sym__PERLY_SEMICOLON] = ACTIONS(1970),
    [sym__ctrl_z_hack] = ACTIONS(1970),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1370] = {
    [sym_heredoc_content] = STATE(1370),
    [anon_sym_RBRACE] = ACTIONS(3126),
    [anon_sym_SEMI] = ACTIONS(3126),
    [anon_sym_EQ] = ACTIONS(3128),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3126),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3126),
    [anon_sym_COMMA] = ACTIONS(3126),
    [anon_sym_RPAREN] = ACTIONS(3126),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3126),
    [anon_sym_and] = ACTIONS(3126),
    [anon_sym_or] = ACTIONS(3126),
    [anon_sym_xor] = ACTIONS(3126),
    [anon_sym_DASH_GT] = ACTIONS(2591),
    [anon_sym_PERCENT] = ACTIONS(2593),
    [anon_sym_GT] = ACTIONS(3128),
    [anon_sym_LT_LT] = ACTIONS(2597),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3126),
    [anon_sym_PLUS_EQ] = ACTIONS(3126),
    [anon_sym_DASH_EQ] = ACTIONS(3126),
    [anon_sym_DOT_EQ] = ACTIONS(3126),
    [anon_sym_STAR_EQ] = ACTIONS(3126),
    [anon_sym_SLASH_EQ] = ACTIONS(3126),
    [anon_sym_PERCENT_EQ] = ACTIONS(3126),
    [anon_sym_x_EQ] = ACTIONS(3126),
    [anon_sym_AMP_EQ] = ACTIONS(3126),
    [anon_sym_PIPE_EQ] = ACTIONS(3126),
    [anon_sym_CARET_EQ] = ACTIONS(3126),
    [anon_sym_LT_LT_EQ] = ACTIONS(3126),
    [anon_sym_GT_GT_EQ] = ACTIONS(3126),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3126),
    [anon_sym_DOT_DOT] = ACTIONS(3128),
    [anon_sym_STAR_STAR] = ACTIONS(2601),
    [anon_sym_PIPE_PIPE] = ACTIONS(3128),
    [anon_sym_SLASH_SLASH] = ACTIONS(3128),
    [anon_sym_CARET_CARET] = ACTIONS(3126),
    [anon_sym_AMP_AMP] = ACTIONS(3128),
    [anon_sym_PIPE] = ACTIONS(3128),
    [anon_sym_CARET] = ACTIONS(3128),
    [anon_sym_AMP] = ACTIONS(3128),
    [anon_sym_GT_GT2] = ACTIONS(2597),
    [anon_sym_PLUS] = ACTIONS(2613),
    [anon_sym_DASH] = ACTIONS(2613),
    [anon_sym_DOT] = ACTIONS(2613),
    [anon_sym_STAR] = ACTIONS(2593),
    [anon_sym_SLASH] = ACTIONS(2593),
    [anon_sym_x] = ACTIONS(2593),
    [anon_sym_EQ_TILDE] = ACTIONS(2615),
    [anon_sym_BANG_TILDE] = ACTIONS(2615),
    [anon_sym_EQ_EQ] = ACTIONS(3128),
    [anon_sym_BANG_EQ] = ACTIONS(3126),
    [anon_sym_eq] = ACTIONS(3128),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3126),
    [anon_sym_equ] = ACTIONS(3126),
    [anon_sym_eqr] = ACTIONS(3126),
    [anon_sym_ne] = ACTIONS(3126),
    [anon_sym_LT_EQ_GT] = ACTIONS(3126),
    [anon_sym_cmp] = ACTIONS(3126),
    [anon_sym_TILDE_TILDE] = ACTIONS(3126),
    [anon_sym_LT] = ACTIONS(3128),
    [anon_sym_LT_EQ] = ACTIONS(3128),
    [anon_sym_GT_EQ] = ACTIONS(3126),
    [anon_sym_lt] = ACTIONS(3126),
    [anon_sym_le] = ACTIONS(3126),
    [anon_sym_ge] = ACTIONS(3126),
    [anon_sym_gt] = ACTIONS(3126),
    [anon_sym_isa] = ACTIONS(3126),
    [anon_sym_PLUS_PLUS] = ACTIONS(2627),
    [anon_sym_DASH_DASH] = ACTIONS(2627),
    [anon_sym_QMARK] = ACTIONS(3126),
    [anon_sym_EQ_GT] = ACTIONS(3126),
    [anon_sym_for] = ACTIONS(3128),
    [anon_sym_foreach] = ACTIONS(3126),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3126),
    [anon_sym___END__] = ACTIONS(3126),
    [anon_sym_EOT] = ACTIONS(3126),
    [anon_sym_if] = ACTIONS(3126),
    [anon_sym_unless] = ACTIONS(3126),
    [anon_sym_while] = ACTIONS(3126),
    [anon_sym_until] = ACTIONS(3126),
    [sym__PERLY_SEMICOLON] = ACTIONS(3126),
    [sym__ctrl_z_hack] = ACTIONS(3126),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1371] = {
    [sym_heredoc_content] = STATE(1371),
    [anon_sym_RBRACE] = ACTIONS(3130),
    [anon_sym_SEMI] = ACTIONS(3130),
    [anon_sym_EQ] = ACTIONS(3132),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3130),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3130),
    [anon_sym_COMMA] = ACTIONS(3130),
    [anon_sym_RPAREN] = ACTIONS(3130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3130),
    [anon_sym_and] = ACTIONS(3130),
    [anon_sym_or] = ACTIONS(3130),
    [anon_sym_xor] = ACTIONS(3130),
    [anon_sym_DASH_GT] = ACTIONS(3130),
    [anon_sym_PERCENT] = ACTIONS(3132),
    [anon_sym_GT] = ACTIONS(3132),
    [anon_sym_LT_LT] = ACTIONS(3132),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3130),
    [anon_sym_PLUS_EQ] = ACTIONS(3130),
    [anon_sym_DASH_EQ] = ACTIONS(3130),
    [anon_sym_DOT_EQ] = ACTIONS(3130),
    [anon_sym_STAR_EQ] = ACTIONS(3130),
    [anon_sym_SLASH_EQ] = ACTIONS(3130),
    [anon_sym_PERCENT_EQ] = ACTIONS(3130),
    [anon_sym_x_EQ] = ACTIONS(3130),
    [anon_sym_AMP_EQ] = ACTIONS(3130),
    [anon_sym_PIPE_EQ] = ACTIONS(3130),
    [anon_sym_CARET_EQ] = ACTIONS(3130),
    [anon_sym_LT_LT_EQ] = ACTIONS(3130),
    [anon_sym_GT_GT_EQ] = ACTIONS(3130),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3130),
    [anon_sym_DOT_DOT] = ACTIONS(3132),
    [anon_sym_STAR_STAR] = ACTIONS(3132),
    [anon_sym_PIPE_PIPE] = ACTIONS(3132),
    [anon_sym_SLASH_SLASH] = ACTIONS(3132),
    [anon_sym_CARET_CARET] = ACTIONS(3130),
    [anon_sym_AMP_AMP] = ACTIONS(3132),
    [anon_sym_PIPE] = ACTIONS(3132),
    [anon_sym_CARET] = ACTIONS(3132),
    [anon_sym_AMP] = ACTIONS(3132),
    [anon_sym_GT_GT2] = ACTIONS(3132),
    [anon_sym_PLUS] = ACTIONS(3132),
    [anon_sym_DASH] = ACTIONS(3132),
    [anon_sym_DOT] = ACTIONS(3132),
    [anon_sym_STAR] = ACTIONS(3132),
    [anon_sym_SLASH] = ACTIONS(3132),
    [anon_sym_x] = ACTIONS(3132),
    [anon_sym_EQ_TILDE] = ACTIONS(3130),
    [anon_sym_BANG_TILDE] = ACTIONS(3130),
    [anon_sym_EQ_EQ] = ACTIONS(3132),
    [anon_sym_BANG_EQ] = ACTIONS(3130),
    [anon_sym_eq] = ACTIONS(3132),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3130),
    [anon_sym_equ] = ACTIONS(3130),
    [anon_sym_eqr] = ACTIONS(3130),
    [anon_sym_ne] = ACTIONS(3130),
    [anon_sym_LT_EQ_GT] = ACTIONS(3130),
    [anon_sym_cmp] = ACTIONS(3130),
    [anon_sym_TILDE_TILDE] = ACTIONS(3130),
    [anon_sym_LT] = ACTIONS(3132),
    [anon_sym_LT_EQ] = ACTIONS(3132),
    [anon_sym_GT_EQ] = ACTIONS(3130),
    [anon_sym_lt] = ACTIONS(3130),
    [anon_sym_le] = ACTIONS(3130),
    [anon_sym_ge] = ACTIONS(3130),
    [anon_sym_gt] = ACTIONS(3130),
    [anon_sym_isa] = ACTIONS(3130),
    [anon_sym_PLUS_PLUS] = ACTIONS(3130),
    [anon_sym_DASH_DASH] = ACTIONS(3130),
    [anon_sym_QMARK] = ACTIONS(3130),
    [anon_sym_EQ_GT] = ACTIONS(3130),
    [anon_sym_for] = ACTIONS(3132),
    [anon_sym_foreach] = ACTIONS(3130),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3130),
    [anon_sym___END__] = ACTIONS(3130),
    [anon_sym_EOT] = ACTIONS(3130),
    [anon_sym_if] = ACTIONS(3130),
    [anon_sym_unless] = ACTIONS(3130),
    [anon_sym_while] = ACTIONS(3130),
    [anon_sym_until] = ACTIONS(3130),
    [sym__PERLY_SEMICOLON] = ACTIONS(3130),
    [sym__ctrl_z_hack] = ACTIONS(3130),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1372] = {
    [sym_heredoc_content] = STATE(1372),
    [anon_sym_RBRACE] = ACTIONS(3134),
    [anon_sym_SEMI] = ACTIONS(3134),
    [anon_sym_EQ] = ACTIONS(3136),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3134),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3134),
    [anon_sym_COMMA] = ACTIONS(3134),
    [anon_sym_RPAREN] = ACTIONS(3134),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3134),
    [anon_sym_and] = ACTIONS(3134),
    [anon_sym_or] = ACTIONS(3134),
    [anon_sym_xor] = ACTIONS(3134),
    [anon_sym_DASH_GT] = ACTIONS(3134),
    [anon_sym_PERCENT] = ACTIONS(3136),
    [anon_sym_GT] = ACTIONS(3136),
    [anon_sym_LT_LT] = ACTIONS(3136),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3134),
    [anon_sym_PLUS_EQ] = ACTIONS(3134),
    [anon_sym_DASH_EQ] = ACTIONS(3134),
    [anon_sym_DOT_EQ] = ACTIONS(3134),
    [anon_sym_STAR_EQ] = ACTIONS(3134),
    [anon_sym_SLASH_EQ] = ACTIONS(3134),
    [anon_sym_PERCENT_EQ] = ACTIONS(3134),
    [anon_sym_x_EQ] = ACTIONS(3134),
    [anon_sym_AMP_EQ] = ACTIONS(3134),
    [anon_sym_PIPE_EQ] = ACTIONS(3134),
    [anon_sym_CARET_EQ] = ACTIONS(3134),
    [anon_sym_LT_LT_EQ] = ACTIONS(3134),
    [anon_sym_GT_GT_EQ] = ACTIONS(3134),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3134),
    [anon_sym_DOT_DOT] = ACTIONS(3136),
    [anon_sym_STAR_STAR] = ACTIONS(3136),
    [anon_sym_PIPE_PIPE] = ACTIONS(3136),
    [anon_sym_SLASH_SLASH] = ACTIONS(3136),
    [anon_sym_CARET_CARET] = ACTIONS(3134),
    [anon_sym_AMP_AMP] = ACTIONS(3136),
    [anon_sym_PIPE] = ACTIONS(3136),
    [anon_sym_CARET] = ACTIONS(3136),
    [anon_sym_AMP] = ACTIONS(3136),
    [anon_sym_GT_GT2] = ACTIONS(3136),
    [anon_sym_PLUS] = ACTIONS(3136),
    [anon_sym_DASH] = ACTIONS(3136),
    [anon_sym_DOT] = ACTIONS(3136),
    [anon_sym_STAR] = ACTIONS(3136),
    [anon_sym_SLASH] = ACTIONS(3136),
    [anon_sym_x] = ACTIONS(3136),
    [anon_sym_EQ_TILDE] = ACTIONS(3134),
    [anon_sym_BANG_TILDE] = ACTIONS(3134),
    [anon_sym_EQ_EQ] = ACTIONS(3136),
    [anon_sym_BANG_EQ] = ACTIONS(3134),
    [anon_sym_eq] = ACTIONS(3136),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3134),
    [anon_sym_equ] = ACTIONS(3134),
    [anon_sym_eqr] = ACTIONS(3134),
    [anon_sym_ne] = ACTIONS(3134),
    [anon_sym_LT_EQ_GT] = ACTIONS(3134),
    [anon_sym_cmp] = ACTIONS(3134),
    [anon_sym_TILDE_TILDE] = ACTIONS(3134),
    [anon_sym_LT] = ACTIONS(3136),
    [anon_sym_LT_EQ] = ACTIONS(3136),
    [anon_sym_GT_EQ] = ACTIONS(3134),
    [anon_sym_lt] = ACTIONS(3134),
    [anon_sym_le] = ACTIONS(3134),
    [anon_sym_ge] = ACTIONS(3134),
    [anon_sym_gt] = ACTIONS(3134),
    [anon_sym_isa] = ACTIONS(3134),
    [anon_sym_PLUS_PLUS] = ACTIONS(3134),
    [anon_sym_DASH_DASH] = ACTIONS(3134),
    [anon_sym_QMARK] = ACTIONS(3134),
    [anon_sym_EQ_GT] = ACTIONS(3134),
    [anon_sym_for] = ACTIONS(3136),
    [anon_sym_foreach] = ACTIONS(3134),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3134),
    [anon_sym___END__] = ACTIONS(3134),
    [anon_sym_EOT] = ACTIONS(3134),
    [anon_sym_if] = ACTIONS(3134),
    [anon_sym_unless] = ACTIONS(3134),
    [anon_sym_while] = ACTIONS(3134),
    [anon_sym_until] = ACTIONS(3134),
    [sym__PERLY_SEMICOLON] = ACTIONS(3134),
    [sym__ctrl_z_hack] = ACTIONS(3134),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1373] = {
    [sym_heredoc_content] = STATE(1373),
    [anon_sym_RBRACE] = ACTIONS(3138),
    [anon_sym_SEMI] = ACTIONS(3138),
    [anon_sym_EQ] = ACTIONS(3140),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3138),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3138),
    [anon_sym_COMMA] = ACTIONS(3138),
    [anon_sym_RPAREN] = ACTIONS(3138),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3138),
    [anon_sym_and] = ACTIONS(3138),
    [anon_sym_or] = ACTIONS(3138),
    [anon_sym_xor] = ACTIONS(3138),
    [anon_sym_DASH_GT] = ACTIONS(3138),
    [anon_sym_PERCENT] = ACTIONS(3140),
    [anon_sym_GT] = ACTIONS(3140),
    [anon_sym_LT_LT] = ACTIONS(3140),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3138),
    [anon_sym_PLUS_EQ] = ACTIONS(3138),
    [anon_sym_DASH_EQ] = ACTIONS(3138),
    [anon_sym_DOT_EQ] = ACTIONS(3138),
    [anon_sym_STAR_EQ] = ACTIONS(3138),
    [anon_sym_SLASH_EQ] = ACTIONS(3138),
    [anon_sym_PERCENT_EQ] = ACTIONS(3138),
    [anon_sym_x_EQ] = ACTIONS(3138),
    [anon_sym_AMP_EQ] = ACTIONS(3138),
    [anon_sym_PIPE_EQ] = ACTIONS(3138),
    [anon_sym_CARET_EQ] = ACTIONS(3138),
    [anon_sym_LT_LT_EQ] = ACTIONS(3138),
    [anon_sym_GT_GT_EQ] = ACTIONS(3138),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3138),
    [anon_sym_DOT_DOT] = ACTIONS(3140),
    [anon_sym_STAR_STAR] = ACTIONS(3140),
    [anon_sym_PIPE_PIPE] = ACTIONS(3140),
    [anon_sym_SLASH_SLASH] = ACTIONS(3140),
    [anon_sym_CARET_CARET] = ACTIONS(3138),
    [anon_sym_AMP_AMP] = ACTIONS(3140),
    [anon_sym_PIPE] = ACTIONS(3140),
    [anon_sym_CARET] = ACTIONS(3140),
    [anon_sym_AMP] = ACTIONS(3140),
    [anon_sym_GT_GT2] = ACTIONS(3140),
    [anon_sym_PLUS] = ACTIONS(3140),
    [anon_sym_DASH] = ACTIONS(3140),
    [anon_sym_DOT] = ACTIONS(3140),
    [anon_sym_STAR] = ACTIONS(3140),
    [anon_sym_SLASH] = ACTIONS(3140),
    [anon_sym_x] = ACTIONS(3140),
    [anon_sym_EQ_TILDE] = ACTIONS(3138),
    [anon_sym_BANG_TILDE] = ACTIONS(3138),
    [anon_sym_EQ_EQ] = ACTIONS(3140),
    [anon_sym_BANG_EQ] = ACTIONS(3138),
    [anon_sym_eq] = ACTIONS(3140),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3138),
    [anon_sym_equ] = ACTIONS(3138),
    [anon_sym_eqr] = ACTIONS(3138),
    [anon_sym_ne] = ACTIONS(3138),
    [anon_sym_LT_EQ_GT] = ACTIONS(3138),
    [anon_sym_cmp] = ACTIONS(3138),
    [anon_sym_TILDE_TILDE] = ACTIONS(3138),
    [anon_sym_LT] = ACTIONS(3140),
    [anon_sym_LT_EQ] = ACTIONS(3140),
    [anon_sym_GT_EQ] = ACTIONS(3138),
    [anon_sym_lt] = ACTIONS(3138),
    [anon_sym_le] = ACTIONS(3138),
    [anon_sym_ge] = ACTIONS(3138),
    [anon_sym_gt] = ACTIONS(3138),
    [anon_sym_isa] = ACTIONS(3138),
    [anon_sym_PLUS_PLUS] = ACTIONS(3138),
    [anon_sym_DASH_DASH] = ACTIONS(3138),
    [anon_sym_QMARK] = ACTIONS(3138),
    [anon_sym_EQ_GT] = ACTIONS(3138),
    [anon_sym_for] = ACTIONS(3140),
    [anon_sym_foreach] = ACTIONS(3138),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3138),
    [anon_sym___END__] = ACTIONS(3138),
    [anon_sym_EOT] = ACTIONS(3138),
    [anon_sym_if] = ACTIONS(3138),
    [anon_sym_unless] = ACTIONS(3138),
    [anon_sym_while] = ACTIONS(3138),
    [anon_sym_until] = ACTIONS(3138),
    [sym__PERLY_SEMICOLON] = ACTIONS(3138),
    [sym__ctrl_z_hack] = ACTIONS(3138),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1374] = {
    [sym_heredoc_content] = STATE(1374),
    [anon_sym_RBRACE] = ACTIONS(3142),
    [anon_sym_SEMI] = ACTIONS(3142),
    [anon_sym_EQ] = ACTIONS(3144),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3142),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3142),
    [anon_sym_COMMA] = ACTIONS(3142),
    [anon_sym_RPAREN] = ACTIONS(3142),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3142),
    [anon_sym_and] = ACTIONS(3142),
    [anon_sym_or] = ACTIONS(3142),
    [anon_sym_xor] = ACTIONS(3142),
    [anon_sym_DASH_GT] = ACTIONS(3142),
    [anon_sym_PERCENT] = ACTIONS(3144),
    [anon_sym_GT] = ACTIONS(3144),
    [anon_sym_LT_LT] = ACTIONS(3144),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3142),
    [anon_sym_PLUS_EQ] = ACTIONS(3142),
    [anon_sym_DASH_EQ] = ACTIONS(3142),
    [anon_sym_DOT_EQ] = ACTIONS(3142),
    [anon_sym_STAR_EQ] = ACTIONS(3142),
    [anon_sym_SLASH_EQ] = ACTIONS(3142),
    [anon_sym_PERCENT_EQ] = ACTIONS(3142),
    [anon_sym_x_EQ] = ACTIONS(3142),
    [anon_sym_AMP_EQ] = ACTIONS(3142),
    [anon_sym_PIPE_EQ] = ACTIONS(3142),
    [anon_sym_CARET_EQ] = ACTIONS(3142),
    [anon_sym_LT_LT_EQ] = ACTIONS(3142),
    [anon_sym_GT_GT_EQ] = ACTIONS(3142),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3142),
    [anon_sym_DOT_DOT] = ACTIONS(3144),
    [anon_sym_STAR_STAR] = ACTIONS(3144),
    [anon_sym_PIPE_PIPE] = ACTIONS(3144),
    [anon_sym_SLASH_SLASH] = ACTIONS(3144),
    [anon_sym_CARET_CARET] = ACTIONS(3142),
    [anon_sym_AMP_AMP] = ACTIONS(3144),
    [anon_sym_PIPE] = ACTIONS(3144),
    [anon_sym_CARET] = ACTIONS(3144),
    [anon_sym_AMP] = ACTIONS(3144),
    [anon_sym_GT_GT2] = ACTIONS(3144),
    [anon_sym_PLUS] = ACTIONS(3144),
    [anon_sym_DASH] = ACTIONS(3144),
    [anon_sym_DOT] = ACTIONS(3144),
    [anon_sym_STAR] = ACTIONS(3144),
    [anon_sym_SLASH] = ACTIONS(3144),
    [anon_sym_x] = ACTIONS(3144),
    [anon_sym_EQ_TILDE] = ACTIONS(3142),
    [anon_sym_BANG_TILDE] = ACTIONS(3142),
    [anon_sym_EQ_EQ] = ACTIONS(3144),
    [anon_sym_BANG_EQ] = ACTIONS(3142),
    [anon_sym_eq] = ACTIONS(3144),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3142),
    [anon_sym_equ] = ACTIONS(3142),
    [anon_sym_eqr] = ACTIONS(3142),
    [anon_sym_ne] = ACTIONS(3142),
    [anon_sym_LT_EQ_GT] = ACTIONS(3142),
    [anon_sym_cmp] = ACTIONS(3142),
    [anon_sym_TILDE_TILDE] = ACTIONS(3142),
    [anon_sym_LT] = ACTIONS(3144),
    [anon_sym_LT_EQ] = ACTIONS(3144),
    [anon_sym_GT_EQ] = ACTIONS(3142),
    [anon_sym_lt] = ACTIONS(3142),
    [anon_sym_le] = ACTIONS(3142),
    [anon_sym_ge] = ACTIONS(3142),
    [anon_sym_gt] = ACTIONS(3142),
    [anon_sym_isa] = ACTIONS(3142),
    [anon_sym_PLUS_PLUS] = ACTIONS(3142),
    [anon_sym_DASH_DASH] = ACTIONS(3142),
    [anon_sym_QMARK] = ACTIONS(3142),
    [anon_sym_EQ_GT] = ACTIONS(3142),
    [anon_sym_for] = ACTIONS(3144),
    [anon_sym_foreach] = ACTIONS(3142),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3142),
    [anon_sym___END__] = ACTIONS(3142),
    [anon_sym_EOT] = ACTIONS(3142),
    [anon_sym_if] = ACTIONS(3142),
    [anon_sym_unless] = ACTIONS(3142),
    [anon_sym_while] = ACTIONS(3142),
    [anon_sym_until] = ACTIONS(3142),
    [sym__PERLY_SEMICOLON] = ACTIONS(3142),
    [sym__ctrl_z_hack] = ACTIONS(3142),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1375] = {
    [sym_heredoc_content] = STATE(1375),
    [anon_sym_RBRACE] = ACTIONS(3146),
    [anon_sym_SEMI] = ACTIONS(3146),
    [anon_sym_EQ] = ACTIONS(3148),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3146),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3146),
    [anon_sym_COMMA] = ACTIONS(3146),
    [anon_sym_RPAREN] = ACTIONS(3146),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3146),
    [anon_sym_and] = ACTIONS(3146),
    [anon_sym_or] = ACTIONS(3146),
    [anon_sym_xor] = ACTIONS(3146),
    [anon_sym_DASH_GT] = ACTIONS(3146),
    [anon_sym_PERCENT] = ACTIONS(3148),
    [anon_sym_GT] = ACTIONS(3148),
    [anon_sym_LT_LT] = ACTIONS(3148),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3146),
    [anon_sym_PLUS_EQ] = ACTIONS(3146),
    [anon_sym_DASH_EQ] = ACTIONS(3146),
    [anon_sym_DOT_EQ] = ACTIONS(3146),
    [anon_sym_STAR_EQ] = ACTIONS(3146),
    [anon_sym_SLASH_EQ] = ACTIONS(3146),
    [anon_sym_PERCENT_EQ] = ACTIONS(3146),
    [anon_sym_x_EQ] = ACTIONS(3146),
    [anon_sym_AMP_EQ] = ACTIONS(3146),
    [anon_sym_PIPE_EQ] = ACTIONS(3146),
    [anon_sym_CARET_EQ] = ACTIONS(3146),
    [anon_sym_LT_LT_EQ] = ACTIONS(3146),
    [anon_sym_GT_GT_EQ] = ACTIONS(3146),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3146),
    [anon_sym_DOT_DOT] = ACTIONS(3148),
    [anon_sym_STAR_STAR] = ACTIONS(3148),
    [anon_sym_PIPE_PIPE] = ACTIONS(3148),
    [anon_sym_SLASH_SLASH] = ACTIONS(3148),
    [anon_sym_CARET_CARET] = ACTIONS(3146),
    [anon_sym_AMP_AMP] = ACTIONS(3148),
    [anon_sym_PIPE] = ACTIONS(3148),
    [anon_sym_CARET] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3148),
    [anon_sym_GT_GT2] = ACTIONS(3148),
    [anon_sym_PLUS] = ACTIONS(3148),
    [anon_sym_DASH] = ACTIONS(3148),
    [anon_sym_DOT] = ACTIONS(3148),
    [anon_sym_STAR] = ACTIONS(3148),
    [anon_sym_SLASH] = ACTIONS(3148),
    [anon_sym_x] = ACTIONS(3148),
    [anon_sym_EQ_TILDE] = ACTIONS(3146),
    [anon_sym_BANG_TILDE] = ACTIONS(3146),
    [anon_sym_EQ_EQ] = ACTIONS(3148),
    [anon_sym_BANG_EQ] = ACTIONS(3146),
    [anon_sym_eq] = ACTIONS(3148),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3146),
    [anon_sym_equ] = ACTIONS(3146),
    [anon_sym_eqr] = ACTIONS(3146),
    [anon_sym_ne] = ACTIONS(3146),
    [anon_sym_LT_EQ_GT] = ACTIONS(3146),
    [anon_sym_cmp] = ACTIONS(3146),
    [anon_sym_TILDE_TILDE] = ACTIONS(3146),
    [anon_sym_LT] = ACTIONS(3148),
    [anon_sym_LT_EQ] = ACTIONS(3148),
    [anon_sym_GT_EQ] = ACTIONS(3146),
    [anon_sym_lt] = ACTIONS(3146),
    [anon_sym_le] = ACTIONS(3146),
    [anon_sym_ge] = ACTIONS(3146),
    [anon_sym_gt] = ACTIONS(3146),
    [anon_sym_isa] = ACTIONS(3146),
    [anon_sym_PLUS_PLUS] = ACTIONS(3146),
    [anon_sym_DASH_DASH] = ACTIONS(3146),
    [anon_sym_QMARK] = ACTIONS(3146),
    [anon_sym_EQ_GT] = ACTIONS(3146),
    [anon_sym_for] = ACTIONS(3148),
    [anon_sym_foreach] = ACTIONS(3146),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3146),
    [anon_sym___END__] = ACTIONS(3146),
    [anon_sym_EOT] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(3146),
    [anon_sym_unless] = ACTIONS(3146),
    [anon_sym_while] = ACTIONS(3146),
    [anon_sym_until] = ACTIONS(3146),
    [sym__PERLY_SEMICOLON] = ACTIONS(3146),
    [sym__ctrl_z_hack] = ACTIONS(3146),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1376] = {
    [sym_heredoc_content] = STATE(1376),
    [anon_sym_RBRACE] = ACTIONS(3150),
    [anon_sym_SEMI] = ACTIONS(3150),
    [anon_sym_EQ] = ACTIONS(3152),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3150),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3150),
    [anon_sym_COMMA] = ACTIONS(3150),
    [anon_sym_RPAREN] = ACTIONS(3150),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3150),
    [anon_sym_and] = ACTIONS(3150),
    [anon_sym_or] = ACTIONS(3150),
    [anon_sym_xor] = ACTIONS(3150),
    [anon_sym_DASH_GT] = ACTIONS(3150),
    [anon_sym_PERCENT] = ACTIONS(3152),
    [anon_sym_GT] = ACTIONS(3152),
    [anon_sym_LT_LT] = ACTIONS(3152),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3150),
    [anon_sym_PLUS_EQ] = ACTIONS(3150),
    [anon_sym_DASH_EQ] = ACTIONS(3150),
    [anon_sym_DOT_EQ] = ACTIONS(3150),
    [anon_sym_STAR_EQ] = ACTIONS(3150),
    [anon_sym_SLASH_EQ] = ACTIONS(3150),
    [anon_sym_PERCENT_EQ] = ACTIONS(3150),
    [anon_sym_x_EQ] = ACTIONS(3150),
    [anon_sym_AMP_EQ] = ACTIONS(3150),
    [anon_sym_PIPE_EQ] = ACTIONS(3150),
    [anon_sym_CARET_EQ] = ACTIONS(3150),
    [anon_sym_LT_LT_EQ] = ACTIONS(3150),
    [anon_sym_GT_GT_EQ] = ACTIONS(3150),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3150),
    [anon_sym_DOT_DOT] = ACTIONS(3152),
    [anon_sym_STAR_STAR] = ACTIONS(3152),
    [anon_sym_PIPE_PIPE] = ACTIONS(3152),
    [anon_sym_SLASH_SLASH] = ACTIONS(3152),
    [anon_sym_CARET_CARET] = ACTIONS(3150),
    [anon_sym_AMP_AMP] = ACTIONS(3152),
    [anon_sym_PIPE] = ACTIONS(3152),
    [anon_sym_CARET] = ACTIONS(3152),
    [anon_sym_AMP] = ACTIONS(3152),
    [anon_sym_GT_GT2] = ACTIONS(3152),
    [anon_sym_PLUS] = ACTIONS(3152),
    [anon_sym_DASH] = ACTIONS(3152),
    [anon_sym_DOT] = ACTIONS(3152),
    [anon_sym_STAR] = ACTIONS(3152),
    [anon_sym_SLASH] = ACTIONS(3152),
    [anon_sym_x] = ACTIONS(3152),
    [anon_sym_EQ_TILDE] = ACTIONS(3150),
    [anon_sym_BANG_TILDE] = ACTIONS(3150),
    [anon_sym_EQ_EQ] = ACTIONS(3152),
    [anon_sym_BANG_EQ] = ACTIONS(3150),
    [anon_sym_eq] = ACTIONS(3152),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3150),
    [anon_sym_equ] = ACTIONS(3150),
    [anon_sym_eqr] = ACTIONS(3150),
    [anon_sym_ne] = ACTIONS(3150),
    [anon_sym_LT_EQ_GT] = ACTIONS(3150),
    [anon_sym_cmp] = ACTIONS(3150),
    [anon_sym_TILDE_TILDE] = ACTIONS(3150),
    [anon_sym_LT] = ACTIONS(3152),
    [anon_sym_LT_EQ] = ACTIONS(3152),
    [anon_sym_GT_EQ] = ACTIONS(3150),
    [anon_sym_lt] = ACTIONS(3150),
    [anon_sym_le] = ACTIONS(3150),
    [anon_sym_ge] = ACTIONS(3150),
    [anon_sym_gt] = ACTIONS(3150),
    [anon_sym_isa] = ACTIONS(3150),
    [anon_sym_PLUS_PLUS] = ACTIONS(3150),
    [anon_sym_DASH_DASH] = ACTIONS(3150),
    [anon_sym_QMARK] = ACTIONS(3150),
    [anon_sym_EQ_GT] = ACTIONS(3150),
    [anon_sym_for] = ACTIONS(3152),
    [anon_sym_foreach] = ACTIONS(3150),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3150),
    [anon_sym___END__] = ACTIONS(3150),
    [anon_sym_EOT] = ACTIONS(3150),
    [anon_sym_if] = ACTIONS(3150),
    [anon_sym_unless] = ACTIONS(3150),
    [anon_sym_while] = ACTIONS(3150),
    [anon_sym_until] = ACTIONS(3150),
    [sym__PERLY_SEMICOLON] = ACTIONS(3150),
    [sym__ctrl_z_hack] = ACTIONS(3150),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1377] = {
    [sym_heredoc_content] = STATE(1377),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_EQ] = ACTIONS(3156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3154),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3154),
    [anon_sym_COMMA] = ACTIONS(3154),
    [anon_sym_RPAREN] = ACTIONS(3154),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3154),
    [anon_sym_and] = ACTIONS(3154),
    [anon_sym_or] = ACTIONS(3154),
    [anon_sym_xor] = ACTIONS(3154),
    [anon_sym_DASH_GT] = ACTIONS(3154),
    [anon_sym_PERCENT] = ACTIONS(3156),
    [anon_sym_GT] = ACTIONS(3156),
    [anon_sym_LT_LT] = ACTIONS(3156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3154),
    [anon_sym_PLUS_EQ] = ACTIONS(3154),
    [anon_sym_DASH_EQ] = ACTIONS(3154),
    [anon_sym_DOT_EQ] = ACTIONS(3154),
    [anon_sym_STAR_EQ] = ACTIONS(3154),
    [anon_sym_SLASH_EQ] = ACTIONS(3154),
    [anon_sym_PERCENT_EQ] = ACTIONS(3154),
    [anon_sym_x_EQ] = ACTIONS(3154),
    [anon_sym_AMP_EQ] = ACTIONS(3154),
    [anon_sym_PIPE_EQ] = ACTIONS(3154),
    [anon_sym_CARET_EQ] = ACTIONS(3154),
    [anon_sym_LT_LT_EQ] = ACTIONS(3154),
    [anon_sym_GT_GT_EQ] = ACTIONS(3154),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3154),
    [anon_sym_DOT_DOT] = ACTIONS(3156),
    [anon_sym_STAR_STAR] = ACTIONS(3156),
    [anon_sym_PIPE_PIPE] = ACTIONS(3156),
    [anon_sym_SLASH_SLASH] = ACTIONS(3156),
    [anon_sym_CARET_CARET] = ACTIONS(3154),
    [anon_sym_AMP_AMP] = ACTIONS(3156),
    [anon_sym_PIPE] = ACTIONS(3156),
    [anon_sym_CARET] = ACTIONS(3156),
    [anon_sym_AMP] = ACTIONS(3156),
    [anon_sym_GT_GT2] = ACTIONS(3156),
    [anon_sym_PLUS] = ACTIONS(3156),
    [anon_sym_DASH] = ACTIONS(3156),
    [anon_sym_DOT] = ACTIONS(3156),
    [anon_sym_STAR] = ACTIONS(3156),
    [anon_sym_SLASH] = ACTIONS(3156),
    [anon_sym_x] = ACTIONS(3156),
    [anon_sym_EQ_TILDE] = ACTIONS(3154),
    [anon_sym_BANG_TILDE] = ACTIONS(3154),
    [anon_sym_EQ_EQ] = ACTIONS(3156),
    [anon_sym_BANG_EQ] = ACTIONS(3154),
    [anon_sym_eq] = ACTIONS(3156),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3154),
    [anon_sym_equ] = ACTIONS(3154),
    [anon_sym_eqr] = ACTIONS(3154),
    [anon_sym_ne] = ACTIONS(3154),
    [anon_sym_LT_EQ_GT] = ACTIONS(3154),
    [anon_sym_cmp] = ACTIONS(3154),
    [anon_sym_TILDE_TILDE] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3156),
    [anon_sym_LT_EQ] = ACTIONS(3156),
    [anon_sym_GT_EQ] = ACTIONS(3154),
    [anon_sym_lt] = ACTIONS(3154),
    [anon_sym_le] = ACTIONS(3154),
    [anon_sym_ge] = ACTIONS(3154),
    [anon_sym_gt] = ACTIONS(3154),
    [anon_sym_isa] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [anon_sym_QMARK] = ACTIONS(3154),
    [anon_sym_EQ_GT] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3156),
    [anon_sym_foreach] = ACTIONS(3154),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3154),
    [anon_sym___END__] = ACTIONS(3154),
    [anon_sym_EOT] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_unless] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_until] = ACTIONS(3154),
    [sym__PERLY_SEMICOLON] = ACTIONS(3154),
    [sym__ctrl_z_hack] = ACTIONS(3154),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1378] = {
    [sym_heredoc_content] = STATE(1378),
    [anon_sym_RBRACE] = ACTIONS(3158),
    [anon_sym_SEMI] = ACTIONS(3158),
    [anon_sym_EQ] = ACTIONS(3160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3158),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3158),
    [anon_sym_COMMA] = ACTIONS(3158),
    [anon_sym_RPAREN] = ACTIONS(3158),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3158),
    [anon_sym_and] = ACTIONS(3158),
    [anon_sym_or] = ACTIONS(3158),
    [anon_sym_xor] = ACTIONS(3158),
    [anon_sym_DASH_GT] = ACTIONS(3158),
    [anon_sym_PERCENT] = ACTIONS(3160),
    [anon_sym_GT] = ACTIONS(3160),
    [anon_sym_LT_LT] = ACTIONS(3160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3158),
    [anon_sym_PLUS_EQ] = ACTIONS(3158),
    [anon_sym_DASH_EQ] = ACTIONS(3158),
    [anon_sym_DOT_EQ] = ACTIONS(3158),
    [anon_sym_STAR_EQ] = ACTIONS(3158),
    [anon_sym_SLASH_EQ] = ACTIONS(3158),
    [anon_sym_PERCENT_EQ] = ACTIONS(3158),
    [anon_sym_x_EQ] = ACTIONS(3158),
    [anon_sym_AMP_EQ] = ACTIONS(3158),
    [anon_sym_PIPE_EQ] = ACTIONS(3158),
    [anon_sym_CARET_EQ] = ACTIONS(3158),
    [anon_sym_LT_LT_EQ] = ACTIONS(3158),
    [anon_sym_GT_GT_EQ] = ACTIONS(3158),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3158),
    [anon_sym_DOT_DOT] = ACTIONS(3160),
    [anon_sym_STAR_STAR] = ACTIONS(3160),
    [anon_sym_PIPE_PIPE] = ACTIONS(3160),
    [anon_sym_SLASH_SLASH] = ACTIONS(3160),
    [anon_sym_CARET_CARET] = ACTIONS(3158),
    [anon_sym_AMP_AMP] = ACTIONS(3160),
    [anon_sym_PIPE] = ACTIONS(3160),
    [anon_sym_CARET] = ACTIONS(3160),
    [anon_sym_AMP] = ACTIONS(3160),
    [anon_sym_GT_GT2] = ACTIONS(3160),
    [anon_sym_PLUS] = ACTIONS(3160),
    [anon_sym_DASH] = ACTIONS(3160),
    [anon_sym_DOT] = ACTIONS(3160),
    [anon_sym_STAR] = ACTIONS(3160),
    [anon_sym_SLASH] = ACTIONS(3160),
    [anon_sym_x] = ACTIONS(3160),
    [anon_sym_EQ_TILDE] = ACTIONS(3158),
    [anon_sym_BANG_TILDE] = ACTIONS(3158),
    [anon_sym_EQ_EQ] = ACTIONS(3160),
    [anon_sym_BANG_EQ] = ACTIONS(3158),
    [anon_sym_eq] = ACTIONS(3160),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3158),
    [anon_sym_equ] = ACTIONS(3158),
    [anon_sym_eqr] = ACTIONS(3158),
    [anon_sym_ne] = ACTIONS(3158),
    [anon_sym_LT_EQ_GT] = ACTIONS(3158),
    [anon_sym_cmp] = ACTIONS(3158),
    [anon_sym_TILDE_TILDE] = ACTIONS(3158),
    [anon_sym_LT] = ACTIONS(3160),
    [anon_sym_LT_EQ] = ACTIONS(3160),
    [anon_sym_GT_EQ] = ACTIONS(3158),
    [anon_sym_lt] = ACTIONS(3158),
    [anon_sym_le] = ACTIONS(3158),
    [anon_sym_ge] = ACTIONS(3158),
    [anon_sym_gt] = ACTIONS(3158),
    [anon_sym_isa] = ACTIONS(3158),
    [anon_sym_PLUS_PLUS] = ACTIONS(3158),
    [anon_sym_DASH_DASH] = ACTIONS(3158),
    [anon_sym_QMARK] = ACTIONS(3158),
    [anon_sym_EQ_GT] = ACTIONS(3158),
    [anon_sym_for] = ACTIONS(3160),
    [anon_sym_foreach] = ACTIONS(3158),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3158),
    [anon_sym___END__] = ACTIONS(3158),
    [anon_sym_EOT] = ACTIONS(3158),
    [anon_sym_if] = ACTIONS(3158),
    [anon_sym_unless] = ACTIONS(3158),
    [anon_sym_while] = ACTIONS(3158),
    [anon_sym_until] = ACTIONS(3158),
    [sym__PERLY_SEMICOLON] = ACTIONS(3158),
    [sym__ctrl_z_hack] = ACTIONS(3158),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1379] = {
    [sym_heredoc_content] = STATE(1379),
    [anon_sym_RBRACE] = ACTIONS(3162),
    [anon_sym_SEMI] = ACTIONS(3162),
    [anon_sym_EQ] = ACTIONS(3164),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3162),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3162),
    [anon_sym_COMMA] = ACTIONS(3162),
    [anon_sym_RPAREN] = ACTIONS(3162),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3162),
    [anon_sym_and] = ACTIONS(3162),
    [anon_sym_or] = ACTIONS(3162),
    [anon_sym_xor] = ACTIONS(3162),
    [anon_sym_DASH_GT] = ACTIONS(3162),
    [anon_sym_PERCENT] = ACTIONS(3164),
    [anon_sym_GT] = ACTIONS(3164),
    [anon_sym_LT_LT] = ACTIONS(3164),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3162),
    [anon_sym_PLUS_EQ] = ACTIONS(3162),
    [anon_sym_DASH_EQ] = ACTIONS(3162),
    [anon_sym_DOT_EQ] = ACTIONS(3162),
    [anon_sym_STAR_EQ] = ACTIONS(3162),
    [anon_sym_SLASH_EQ] = ACTIONS(3162),
    [anon_sym_PERCENT_EQ] = ACTIONS(3162),
    [anon_sym_x_EQ] = ACTIONS(3162),
    [anon_sym_AMP_EQ] = ACTIONS(3162),
    [anon_sym_PIPE_EQ] = ACTIONS(3162),
    [anon_sym_CARET_EQ] = ACTIONS(3162),
    [anon_sym_LT_LT_EQ] = ACTIONS(3162),
    [anon_sym_GT_GT_EQ] = ACTIONS(3162),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3162),
    [anon_sym_DOT_DOT] = ACTIONS(3164),
    [anon_sym_STAR_STAR] = ACTIONS(3164),
    [anon_sym_PIPE_PIPE] = ACTIONS(3164),
    [anon_sym_SLASH_SLASH] = ACTIONS(3164),
    [anon_sym_CARET_CARET] = ACTIONS(3162),
    [anon_sym_AMP_AMP] = ACTIONS(3164),
    [anon_sym_PIPE] = ACTIONS(3164),
    [anon_sym_CARET] = ACTIONS(3164),
    [anon_sym_AMP] = ACTIONS(3164),
    [anon_sym_GT_GT2] = ACTIONS(3164),
    [anon_sym_PLUS] = ACTIONS(3164),
    [anon_sym_DASH] = ACTIONS(3164),
    [anon_sym_DOT] = ACTIONS(3164),
    [anon_sym_STAR] = ACTIONS(3164),
    [anon_sym_SLASH] = ACTIONS(3164),
    [anon_sym_x] = ACTIONS(3164),
    [anon_sym_EQ_TILDE] = ACTIONS(3162),
    [anon_sym_BANG_TILDE] = ACTIONS(3162),
    [anon_sym_EQ_EQ] = ACTIONS(3164),
    [anon_sym_BANG_EQ] = ACTIONS(3162),
    [anon_sym_eq] = ACTIONS(3164),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3162),
    [anon_sym_equ] = ACTIONS(3162),
    [anon_sym_eqr] = ACTIONS(3162),
    [anon_sym_ne] = ACTIONS(3162),
    [anon_sym_LT_EQ_GT] = ACTIONS(3162),
    [anon_sym_cmp] = ACTIONS(3162),
    [anon_sym_TILDE_TILDE] = ACTIONS(3162),
    [anon_sym_LT] = ACTIONS(3164),
    [anon_sym_LT_EQ] = ACTIONS(3164),
    [anon_sym_GT_EQ] = ACTIONS(3162),
    [anon_sym_lt] = ACTIONS(3162),
    [anon_sym_le] = ACTIONS(3162),
    [anon_sym_ge] = ACTIONS(3162),
    [anon_sym_gt] = ACTIONS(3162),
    [anon_sym_isa] = ACTIONS(3162),
    [anon_sym_PLUS_PLUS] = ACTIONS(3162),
    [anon_sym_DASH_DASH] = ACTIONS(3162),
    [anon_sym_QMARK] = ACTIONS(3162),
    [anon_sym_EQ_GT] = ACTIONS(3162),
    [anon_sym_for] = ACTIONS(3164),
    [anon_sym_foreach] = ACTIONS(3162),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3162),
    [anon_sym___END__] = ACTIONS(3162),
    [anon_sym_EOT] = ACTIONS(3162),
    [anon_sym_if] = ACTIONS(3162),
    [anon_sym_unless] = ACTIONS(3162),
    [anon_sym_while] = ACTIONS(3162),
    [anon_sym_until] = ACTIONS(3162),
    [sym__PERLY_SEMICOLON] = ACTIONS(3162),
    [sym__ctrl_z_hack] = ACTIONS(3162),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1380] = {
    [sym_heredoc_content] = STATE(1380),
    [anon_sym_RBRACE] = ACTIONS(3166),
    [anon_sym_SEMI] = ACTIONS(3166),
    [anon_sym_EQ] = ACTIONS(3168),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3166),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3166),
    [anon_sym_COMMA] = ACTIONS(3166),
    [anon_sym_RPAREN] = ACTIONS(3166),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3166),
    [anon_sym_and] = ACTIONS(3166),
    [anon_sym_or] = ACTIONS(3166),
    [anon_sym_xor] = ACTIONS(3166),
    [anon_sym_DASH_GT] = ACTIONS(3166),
    [anon_sym_PERCENT] = ACTIONS(3168),
    [anon_sym_GT] = ACTIONS(3168),
    [anon_sym_LT_LT] = ACTIONS(3168),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3166),
    [anon_sym_PLUS_EQ] = ACTIONS(3166),
    [anon_sym_DASH_EQ] = ACTIONS(3166),
    [anon_sym_DOT_EQ] = ACTIONS(3166),
    [anon_sym_STAR_EQ] = ACTIONS(3166),
    [anon_sym_SLASH_EQ] = ACTIONS(3166),
    [anon_sym_PERCENT_EQ] = ACTIONS(3166),
    [anon_sym_x_EQ] = ACTIONS(3166),
    [anon_sym_AMP_EQ] = ACTIONS(3166),
    [anon_sym_PIPE_EQ] = ACTIONS(3166),
    [anon_sym_CARET_EQ] = ACTIONS(3166),
    [anon_sym_LT_LT_EQ] = ACTIONS(3166),
    [anon_sym_GT_GT_EQ] = ACTIONS(3166),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3166),
    [anon_sym_DOT_DOT] = ACTIONS(3168),
    [anon_sym_STAR_STAR] = ACTIONS(3168),
    [anon_sym_PIPE_PIPE] = ACTIONS(3168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3168),
    [anon_sym_CARET_CARET] = ACTIONS(3166),
    [anon_sym_AMP_AMP] = ACTIONS(3168),
    [anon_sym_PIPE] = ACTIONS(3168),
    [anon_sym_CARET] = ACTIONS(3168),
    [anon_sym_AMP] = ACTIONS(3168),
    [anon_sym_GT_GT2] = ACTIONS(3168),
    [anon_sym_PLUS] = ACTIONS(3168),
    [anon_sym_DASH] = ACTIONS(3168),
    [anon_sym_DOT] = ACTIONS(3168),
    [anon_sym_STAR] = ACTIONS(3168),
    [anon_sym_SLASH] = ACTIONS(3168),
    [anon_sym_x] = ACTIONS(3168),
    [anon_sym_EQ_TILDE] = ACTIONS(3166),
    [anon_sym_BANG_TILDE] = ACTIONS(3166),
    [anon_sym_EQ_EQ] = ACTIONS(3168),
    [anon_sym_BANG_EQ] = ACTIONS(3166),
    [anon_sym_eq] = ACTIONS(3168),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3166),
    [anon_sym_equ] = ACTIONS(3166),
    [anon_sym_eqr] = ACTIONS(3166),
    [anon_sym_ne] = ACTIONS(3166),
    [anon_sym_LT_EQ_GT] = ACTIONS(3166),
    [anon_sym_cmp] = ACTIONS(3166),
    [anon_sym_TILDE_TILDE] = ACTIONS(3166),
    [anon_sym_LT] = ACTIONS(3168),
    [anon_sym_LT_EQ] = ACTIONS(3168),
    [anon_sym_GT_EQ] = ACTIONS(3166),
    [anon_sym_lt] = ACTIONS(3166),
    [anon_sym_le] = ACTIONS(3166),
    [anon_sym_ge] = ACTIONS(3166),
    [anon_sym_gt] = ACTIONS(3166),
    [anon_sym_isa] = ACTIONS(3166),
    [anon_sym_PLUS_PLUS] = ACTIONS(3166),
    [anon_sym_DASH_DASH] = ACTIONS(3166),
    [anon_sym_QMARK] = ACTIONS(3166),
    [anon_sym_EQ_GT] = ACTIONS(3166),
    [anon_sym_for] = ACTIONS(3168),
    [anon_sym_foreach] = ACTIONS(3166),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3166),
    [anon_sym___END__] = ACTIONS(3166),
    [anon_sym_EOT] = ACTIONS(3166),
    [anon_sym_if] = ACTIONS(3166),
    [anon_sym_unless] = ACTIONS(3166),
    [anon_sym_while] = ACTIONS(3166),
    [anon_sym_until] = ACTIONS(3166),
    [sym__PERLY_SEMICOLON] = ACTIONS(3166),
    [sym__ctrl_z_hack] = ACTIONS(3166),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1381] = {
    [sym_heredoc_content] = STATE(1381),
    [anon_sym_RBRACE] = ACTIONS(3170),
    [anon_sym_SEMI] = ACTIONS(3170),
    [anon_sym_EQ] = ACTIONS(3172),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3170),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3170),
    [anon_sym_COMMA] = ACTIONS(3170),
    [anon_sym_RPAREN] = ACTIONS(3170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3170),
    [anon_sym_and] = ACTIONS(3170),
    [anon_sym_or] = ACTIONS(3170),
    [anon_sym_xor] = ACTIONS(3170),
    [anon_sym_DASH_GT] = ACTIONS(3170),
    [anon_sym_PERCENT] = ACTIONS(3172),
    [anon_sym_GT] = ACTIONS(3172),
    [anon_sym_LT_LT] = ACTIONS(3172),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3170),
    [anon_sym_PLUS_EQ] = ACTIONS(3170),
    [anon_sym_DASH_EQ] = ACTIONS(3170),
    [anon_sym_DOT_EQ] = ACTIONS(3170),
    [anon_sym_STAR_EQ] = ACTIONS(3170),
    [anon_sym_SLASH_EQ] = ACTIONS(3170),
    [anon_sym_PERCENT_EQ] = ACTIONS(3170),
    [anon_sym_x_EQ] = ACTIONS(3170),
    [anon_sym_AMP_EQ] = ACTIONS(3170),
    [anon_sym_PIPE_EQ] = ACTIONS(3170),
    [anon_sym_CARET_EQ] = ACTIONS(3170),
    [anon_sym_LT_LT_EQ] = ACTIONS(3170),
    [anon_sym_GT_GT_EQ] = ACTIONS(3170),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3170),
    [anon_sym_DOT_DOT] = ACTIONS(3172),
    [anon_sym_STAR_STAR] = ACTIONS(3172),
    [anon_sym_PIPE_PIPE] = ACTIONS(3172),
    [anon_sym_SLASH_SLASH] = ACTIONS(3172),
    [anon_sym_CARET_CARET] = ACTIONS(3170),
    [anon_sym_AMP_AMP] = ACTIONS(3172),
    [anon_sym_PIPE] = ACTIONS(3172),
    [anon_sym_CARET] = ACTIONS(3172),
    [anon_sym_AMP] = ACTIONS(3172),
    [anon_sym_GT_GT2] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_DOT] = ACTIONS(3172),
    [anon_sym_STAR] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_x] = ACTIONS(3172),
    [anon_sym_EQ_TILDE] = ACTIONS(3170),
    [anon_sym_BANG_TILDE] = ACTIONS(3170),
    [anon_sym_EQ_EQ] = ACTIONS(3172),
    [anon_sym_BANG_EQ] = ACTIONS(3170),
    [anon_sym_eq] = ACTIONS(3172),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3170),
    [anon_sym_equ] = ACTIONS(3170),
    [anon_sym_eqr] = ACTIONS(3170),
    [anon_sym_ne] = ACTIONS(3170),
    [anon_sym_LT_EQ_GT] = ACTIONS(3170),
    [anon_sym_cmp] = ACTIONS(3170),
    [anon_sym_TILDE_TILDE] = ACTIONS(3170),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_LT_EQ] = ACTIONS(3172),
    [anon_sym_GT_EQ] = ACTIONS(3170),
    [anon_sym_lt] = ACTIONS(3170),
    [anon_sym_le] = ACTIONS(3170),
    [anon_sym_ge] = ACTIONS(3170),
    [anon_sym_gt] = ACTIONS(3170),
    [anon_sym_isa] = ACTIONS(3170),
    [anon_sym_PLUS_PLUS] = ACTIONS(3170),
    [anon_sym_DASH_DASH] = ACTIONS(3170),
    [anon_sym_QMARK] = ACTIONS(3170),
    [anon_sym_EQ_GT] = ACTIONS(3170),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_foreach] = ACTIONS(3170),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3170),
    [anon_sym___END__] = ACTIONS(3170),
    [anon_sym_EOT] = ACTIONS(3170),
    [anon_sym_if] = ACTIONS(3170),
    [anon_sym_unless] = ACTIONS(3170),
    [anon_sym_while] = ACTIONS(3170),
    [anon_sym_until] = ACTIONS(3170),
    [sym__PERLY_SEMICOLON] = ACTIONS(3170),
    [sym__ctrl_z_hack] = ACTIONS(3170),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1382] = {
    [sym_heredoc_content] = STATE(1382),
    [anon_sym_RBRACE] = ACTIONS(3174),
    [anon_sym_SEMI] = ACTIONS(3174),
    [anon_sym_EQ] = ACTIONS(3176),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3174),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3174),
    [anon_sym_COMMA] = ACTIONS(3174),
    [anon_sym_RPAREN] = ACTIONS(3174),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3174),
    [anon_sym_and] = ACTIONS(3174),
    [anon_sym_or] = ACTIONS(3174),
    [anon_sym_xor] = ACTIONS(3174),
    [anon_sym_DASH_GT] = ACTIONS(3174),
    [anon_sym_PERCENT] = ACTIONS(3176),
    [anon_sym_GT] = ACTIONS(3176),
    [anon_sym_LT_LT] = ACTIONS(3176),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3174),
    [anon_sym_PLUS_EQ] = ACTIONS(3174),
    [anon_sym_DASH_EQ] = ACTIONS(3174),
    [anon_sym_DOT_EQ] = ACTIONS(3174),
    [anon_sym_STAR_EQ] = ACTIONS(3174),
    [anon_sym_SLASH_EQ] = ACTIONS(3174),
    [anon_sym_PERCENT_EQ] = ACTIONS(3174),
    [anon_sym_x_EQ] = ACTIONS(3174),
    [anon_sym_AMP_EQ] = ACTIONS(3174),
    [anon_sym_PIPE_EQ] = ACTIONS(3174),
    [anon_sym_CARET_EQ] = ACTIONS(3174),
    [anon_sym_LT_LT_EQ] = ACTIONS(3174),
    [anon_sym_GT_GT_EQ] = ACTIONS(3174),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3174),
    [anon_sym_DOT_DOT] = ACTIONS(3176),
    [anon_sym_STAR_STAR] = ACTIONS(3176),
    [anon_sym_PIPE_PIPE] = ACTIONS(3176),
    [anon_sym_SLASH_SLASH] = ACTIONS(3176),
    [anon_sym_CARET_CARET] = ACTIONS(3174),
    [anon_sym_AMP_AMP] = ACTIONS(3176),
    [anon_sym_PIPE] = ACTIONS(3176),
    [anon_sym_CARET] = ACTIONS(3176),
    [anon_sym_AMP] = ACTIONS(3176),
    [anon_sym_GT_GT2] = ACTIONS(3176),
    [anon_sym_PLUS] = ACTIONS(3176),
    [anon_sym_DASH] = ACTIONS(3176),
    [anon_sym_DOT] = ACTIONS(3176),
    [anon_sym_STAR] = ACTIONS(3176),
    [anon_sym_SLASH] = ACTIONS(3176),
    [anon_sym_x] = ACTIONS(3176),
    [anon_sym_EQ_TILDE] = ACTIONS(3174),
    [anon_sym_BANG_TILDE] = ACTIONS(3174),
    [anon_sym_EQ_EQ] = ACTIONS(3176),
    [anon_sym_BANG_EQ] = ACTIONS(3174),
    [anon_sym_eq] = ACTIONS(3176),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3174),
    [anon_sym_equ] = ACTIONS(3174),
    [anon_sym_eqr] = ACTIONS(3174),
    [anon_sym_ne] = ACTIONS(3174),
    [anon_sym_LT_EQ_GT] = ACTIONS(3174),
    [anon_sym_cmp] = ACTIONS(3174),
    [anon_sym_TILDE_TILDE] = ACTIONS(3174),
    [anon_sym_LT] = ACTIONS(3176),
    [anon_sym_LT_EQ] = ACTIONS(3176),
    [anon_sym_GT_EQ] = ACTIONS(3174),
    [anon_sym_lt] = ACTIONS(3174),
    [anon_sym_le] = ACTIONS(3174),
    [anon_sym_ge] = ACTIONS(3174),
    [anon_sym_gt] = ACTIONS(3174),
    [anon_sym_isa] = ACTIONS(3174),
    [anon_sym_PLUS_PLUS] = ACTIONS(3174),
    [anon_sym_DASH_DASH] = ACTIONS(3174),
    [anon_sym_QMARK] = ACTIONS(3174),
    [anon_sym_EQ_GT] = ACTIONS(3174),
    [anon_sym_for] = ACTIONS(3176),
    [anon_sym_foreach] = ACTIONS(3174),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3174),
    [anon_sym___END__] = ACTIONS(3174),
    [anon_sym_EOT] = ACTIONS(3174),
    [anon_sym_if] = ACTIONS(3174),
    [anon_sym_unless] = ACTIONS(3174),
    [anon_sym_while] = ACTIONS(3174),
    [anon_sym_until] = ACTIONS(3174),
    [sym__PERLY_SEMICOLON] = ACTIONS(3174),
    [sym__ctrl_z_hack] = ACTIONS(3174),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1383] = {
    [sym_heredoc_content] = STATE(1383),
    [anon_sym_RBRACE] = ACTIONS(3178),
    [anon_sym_SEMI] = ACTIONS(3178),
    [anon_sym_EQ] = ACTIONS(3180),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3178),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3178),
    [anon_sym_COMMA] = ACTIONS(3178),
    [anon_sym_RPAREN] = ACTIONS(3178),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3178),
    [anon_sym_and] = ACTIONS(3178),
    [anon_sym_or] = ACTIONS(3178),
    [anon_sym_xor] = ACTIONS(3178),
    [anon_sym_DASH_GT] = ACTIONS(3178),
    [anon_sym_PERCENT] = ACTIONS(3180),
    [anon_sym_GT] = ACTIONS(3180),
    [anon_sym_LT_LT] = ACTIONS(3180),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3178),
    [anon_sym_PLUS_EQ] = ACTIONS(3178),
    [anon_sym_DASH_EQ] = ACTIONS(3178),
    [anon_sym_DOT_EQ] = ACTIONS(3178),
    [anon_sym_STAR_EQ] = ACTIONS(3178),
    [anon_sym_SLASH_EQ] = ACTIONS(3178),
    [anon_sym_PERCENT_EQ] = ACTIONS(3178),
    [anon_sym_x_EQ] = ACTIONS(3178),
    [anon_sym_AMP_EQ] = ACTIONS(3178),
    [anon_sym_PIPE_EQ] = ACTIONS(3178),
    [anon_sym_CARET_EQ] = ACTIONS(3178),
    [anon_sym_LT_LT_EQ] = ACTIONS(3178),
    [anon_sym_GT_GT_EQ] = ACTIONS(3178),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3178),
    [anon_sym_DOT_DOT] = ACTIONS(3180),
    [anon_sym_STAR_STAR] = ACTIONS(3180),
    [anon_sym_PIPE_PIPE] = ACTIONS(3180),
    [anon_sym_SLASH_SLASH] = ACTIONS(3180),
    [anon_sym_CARET_CARET] = ACTIONS(3178),
    [anon_sym_AMP_AMP] = ACTIONS(3180),
    [anon_sym_PIPE] = ACTIONS(3180),
    [anon_sym_CARET] = ACTIONS(3180),
    [anon_sym_AMP] = ACTIONS(3180),
    [anon_sym_GT_GT2] = ACTIONS(3180),
    [anon_sym_PLUS] = ACTIONS(3180),
    [anon_sym_DASH] = ACTIONS(3180),
    [anon_sym_DOT] = ACTIONS(3180),
    [anon_sym_STAR] = ACTIONS(3180),
    [anon_sym_SLASH] = ACTIONS(3180),
    [anon_sym_x] = ACTIONS(3180),
    [anon_sym_EQ_TILDE] = ACTIONS(3178),
    [anon_sym_BANG_TILDE] = ACTIONS(3178),
    [anon_sym_EQ_EQ] = ACTIONS(3180),
    [anon_sym_BANG_EQ] = ACTIONS(3178),
    [anon_sym_eq] = ACTIONS(3180),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3178),
    [anon_sym_equ] = ACTIONS(3178),
    [anon_sym_eqr] = ACTIONS(3178),
    [anon_sym_ne] = ACTIONS(3178),
    [anon_sym_LT_EQ_GT] = ACTIONS(3178),
    [anon_sym_cmp] = ACTIONS(3178),
    [anon_sym_TILDE_TILDE] = ACTIONS(3178),
    [anon_sym_LT] = ACTIONS(3180),
    [anon_sym_LT_EQ] = ACTIONS(3180),
    [anon_sym_GT_EQ] = ACTIONS(3178),
    [anon_sym_lt] = ACTIONS(3178),
    [anon_sym_le] = ACTIONS(3178),
    [anon_sym_ge] = ACTIONS(3178),
    [anon_sym_gt] = ACTIONS(3178),
    [anon_sym_isa] = ACTIONS(3178),
    [anon_sym_PLUS_PLUS] = ACTIONS(3178),
    [anon_sym_DASH_DASH] = ACTIONS(3178),
    [anon_sym_QMARK] = ACTIONS(3178),
    [anon_sym_EQ_GT] = ACTIONS(3178),
    [anon_sym_for] = ACTIONS(3180),
    [anon_sym_foreach] = ACTIONS(3178),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3178),
    [anon_sym___END__] = ACTIONS(3178),
    [anon_sym_EOT] = ACTIONS(3178),
    [anon_sym_if] = ACTIONS(3178),
    [anon_sym_unless] = ACTIONS(3178),
    [anon_sym_while] = ACTIONS(3178),
    [anon_sym_until] = ACTIONS(3178),
    [sym__PERLY_SEMICOLON] = ACTIONS(3178),
    [sym__ctrl_z_hack] = ACTIONS(3178),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1384] = {
    [sym_heredoc_content] = STATE(1384),
    [anon_sym_RBRACE] = ACTIONS(3182),
    [anon_sym_SEMI] = ACTIONS(3182),
    [anon_sym_EQ] = ACTIONS(3184),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3182),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3182),
    [anon_sym_COMMA] = ACTIONS(3182),
    [anon_sym_RPAREN] = ACTIONS(3182),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3182),
    [anon_sym_and] = ACTIONS(3182),
    [anon_sym_or] = ACTIONS(3182),
    [anon_sym_xor] = ACTIONS(3182),
    [anon_sym_DASH_GT] = ACTIONS(3182),
    [anon_sym_PERCENT] = ACTIONS(3184),
    [anon_sym_GT] = ACTIONS(3184),
    [anon_sym_LT_LT] = ACTIONS(3184),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3182),
    [anon_sym_PLUS_EQ] = ACTIONS(3182),
    [anon_sym_DASH_EQ] = ACTIONS(3182),
    [anon_sym_DOT_EQ] = ACTIONS(3182),
    [anon_sym_STAR_EQ] = ACTIONS(3182),
    [anon_sym_SLASH_EQ] = ACTIONS(3182),
    [anon_sym_PERCENT_EQ] = ACTIONS(3182),
    [anon_sym_x_EQ] = ACTIONS(3182),
    [anon_sym_AMP_EQ] = ACTIONS(3182),
    [anon_sym_PIPE_EQ] = ACTIONS(3182),
    [anon_sym_CARET_EQ] = ACTIONS(3182),
    [anon_sym_LT_LT_EQ] = ACTIONS(3182),
    [anon_sym_GT_GT_EQ] = ACTIONS(3182),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3182),
    [anon_sym_DOT_DOT] = ACTIONS(3184),
    [anon_sym_STAR_STAR] = ACTIONS(3184),
    [anon_sym_PIPE_PIPE] = ACTIONS(3184),
    [anon_sym_SLASH_SLASH] = ACTIONS(3184),
    [anon_sym_CARET_CARET] = ACTIONS(3182),
    [anon_sym_AMP_AMP] = ACTIONS(3184),
    [anon_sym_PIPE] = ACTIONS(3184),
    [anon_sym_CARET] = ACTIONS(3184),
    [anon_sym_AMP] = ACTIONS(3184),
    [anon_sym_GT_GT2] = ACTIONS(3184),
    [anon_sym_PLUS] = ACTIONS(3184),
    [anon_sym_DASH] = ACTIONS(3184),
    [anon_sym_DOT] = ACTIONS(3184),
    [anon_sym_STAR] = ACTIONS(3184),
    [anon_sym_SLASH] = ACTIONS(3184),
    [anon_sym_x] = ACTIONS(3184),
    [anon_sym_EQ_TILDE] = ACTIONS(3182),
    [anon_sym_BANG_TILDE] = ACTIONS(3182),
    [anon_sym_EQ_EQ] = ACTIONS(3184),
    [anon_sym_BANG_EQ] = ACTIONS(3182),
    [anon_sym_eq] = ACTIONS(3184),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3182),
    [anon_sym_equ] = ACTIONS(3182),
    [anon_sym_eqr] = ACTIONS(3182),
    [anon_sym_ne] = ACTIONS(3182),
    [anon_sym_LT_EQ_GT] = ACTIONS(3182),
    [anon_sym_cmp] = ACTIONS(3182),
    [anon_sym_TILDE_TILDE] = ACTIONS(3182),
    [anon_sym_LT] = ACTIONS(3184),
    [anon_sym_LT_EQ] = ACTIONS(3184),
    [anon_sym_GT_EQ] = ACTIONS(3182),
    [anon_sym_lt] = ACTIONS(3182),
    [anon_sym_le] = ACTIONS(3182),
    [anon_sym_ge] = ACTIONS(3182),
    [anon_sym_gt] = ACTIONS(3182),
    [anon_sym_isa] = ACTIONS(3182),
    [anon_sym_PLUS_PLUS] = ACTIONS(3182),
    [anon_sym_DASH_DASH] = ACTIONS(3182),
    [anon_sym_QMARK] = ACTIONS(3182),
    [anon_sym_EQ_GT] = ACTIONS(3182),
    [anon_sym_for] = ACTIONS(3184),
    [anon_sym_foreach] = ACTIONS(3182),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3182),
    [anon_sym___END__] = ACTIONS(3182),
    [anon_sym_EOT] = ACTIONS(3182),
    [anon_sym_if] = ACTIONS(3182),
    [anon_sym_unless] = ACTIONS(3182),
    [anon_sym_while] = ACTIONS(3182),
    [anon_sym_until] = ACTIONS(3182),
    [sym__PERLY_SEMICOLON] = ACTIONS(3182),
    [sym__ctrl_z_hack] = ACTIONS(3182),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1385] = {
    [sym_heredoc_content] = STATE(1385),
    [anon_sym_RBRACE] = ACTIONS(3186),
    [anon_sym_SEMI] = ACTIONS(3186),
    [anon_sym_EQ] = ACTIONS(3188),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3186),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_RPAREN] = ACTIONS(3186),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3186),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_xor] = ACTIONS(3186),
    [anon_sym_DASH_GT] = ACTIONS(3186),
    [anon_sym_PERCENT] = ACTIONS(3188),
    [anon_sym_GT] = ACTIONS(3188),
    [anon_sym_LT_LT] = ACTIONS(3188),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3186),
    [anon_sym_PLUS_EQ] = ACTIONS(3186),
    [anon_sym_DASH_EQ] = ACTIONS(3186),
    [anon_sym_DOT_EQ] = ACTIONS(3186),
    [anon_sym_STAR_EQ] = ACTIONS(3186),
    [anon_sym_SLASH_EQ] = ACTIONS(3186),
    [anon_sym_PERCENT_EQ] = ACTIONS(3186),
    [anon_sym_x_EQ] = ACTIONS(3186),
    [anon_sym_AMP_EQ] = ACTIONS(3186),
    [anon_sym_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_CARET_EQ] = ACTIONS(3186),
    [anon_sym_LT_LT_EQ] = ACTIONS(3186),
    [anon_sym_GT_GT_EQ] = ACTIONS(3186),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3186),
    [anon_sym_DOT_DOT] = ACTIONS(3188),
    [anon_sym_STAR_STAR] = ACTIONS(3188),
    [anon_sym_PIPE_PIPE] = ACTIONS(3188),
    [anon_sym_SLASH_SLASH] = ACTIONS(3188),
    [anon_sym_CARET_CARET] = ACTIONS(3186),
    [anon_sym_AMP_AMP] = ACTIONS(3188),
    [anon_sym_PIPE] = ACTIONS(3188),
    [anon_sym_CARET] = ACTIONS(3188),
    [anon_sym_AMP] = ACTIONS(3188),
    [anon_sym_GT_GT2] = ACTIONS(3188),
    [anon_sym_PLUS] = ACTIONS(3188),
    [anon_sym_DASH] = ACTIONS(3188),
    [anon_sym_DOT] = ACTIONS(3188),
    [anon_sym_STAR] = ACTIONS(3188),
    [anon_sym_SLASH] = ACTIONS(3188),
    [anon_sym_x] = ACTIONS(3188),
    [anon_sym_EQ_TILDE] = ACTIONS(3186),
    [anon_sym_BANG_TILDE] = ACTIONS(3186),
    [anon_sym_EQ_EQ] = ACTIONS(3188),
    [anon_sym_BANG_EQ] = ACTIONS(3186),
    [anon_sym_eq] = ACTIONS(3188),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3186),
    [anon_sym_equ] = ACTIONS(3186),
    [anon_sym_eqr] = ACTIONS(3186),
    [anon_sym_ne] = ACTIONS(3186),
    [anon_sym_LT_EQ_GT] = ACTIONS(3186),
    [anon_sym_cmp] = ACTIONS(3186),
    [anon_sym_TILDE_TILDE] = ACTIONS(3186),
    [anon_sym_LT] = ACTIONS(3188),
    [anon_sym_LT_EQ] = ACTIONS(3188),
    [anon_sym_GT_EQ] = ACTIONS(3186),
    [anon_sym_lt] = ACTIONS(3186),
    [anon_sym_le] = ACTIONS(3186),
    [anon_sym_ge] = ACTIONS(3186),
    [anon_sym_gt] = ACTIONS(3186),
    [anon_sym_isa] = ACTIONS(3186),
    [anon_sym_PLUS_PLUS] = ACTIONS(3186),
    [anon_sym_DASH_DASH] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(3186),
    [anon_sym_EQ_GT] = ACTIONS(3186),
    [anon_sym_for] = ACTIONS(3188),
    [anon_sym_foreach] = ACTIONS(3186),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3186),
    [anon_sym___END__] = ACTIONS(3186),
    [anon_sym_EOT] = ACTIONS(3186),
    [anon_sym_if] = ACTIONS(3186),
    [anon_sym_unless] = ACTIONS(3186),
    [anon_sym_while] = ACTIONS(3186),
    [anon_sym_until] = ACTIONS(3186),
    [sym__PERLY_SEMICOLON] = ACTIONS(3186),
    [sym__ctrl_z_hack] = ACTIONS(3186),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1386] = {
    [sym_heredoc_content] = STATE(1386),
    [anon_sym_RBRACE] = ACTIONS(3190),
    [anon_sym_SEMI] = ACTIONS(3190),
    [anon_sym_EQ] = ACTIONS(3192),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3190),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3190),
    [anon_sym_COMMA] = ACTIONS(3190),
    [anon_sym_RPAREN] = ACTIONS(3190),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3190),
    [anon_sym_and] = ACTIONS(3190),
    [anon_sym_or] = ACTIONS(3190),
    [anon_sym_xor] = ACTIONS(3190),
    [anon_sym_DASH_GT] = ACTIONS(3190),
    [anon_sym_PERCENT] = ACTIONS(3192),
    [anon_sym_GT] = ACTIONS(3192),
    [anon_sym_LT_LT] = ACTIONS(3192),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3190),
    [anon_sym_PLUS_EQ] = ACTIONS(3190),
    [anon_sym_DASH_EQ] = ACTIONS(3190),
    [anon_sym_DOT_EQ] = ACTIONS(3190),
    [anon_sym_STAR_EQ] = ACTIONS(3190),
    [anon_sym_SLASH_EQ] = ACTIONS(3190),
    [anon_sym_PERCENT_EQ] = ACTIONS(3190),
    [anon_sym_x_EQ] = ACTIONS(3190),
    [anon_sym_AMP_EQ] = ACTIONS(3190),
    [anon_sym_PIPE_EQ] = ACTIONS(3190),
    [anon_sym_CARET_EQ] = ACTIONS(3190),
    [anon_sym_LT_LT_EQ] = ACTIONS(3190),
    [anon_sym_GT_GT_EQ] = ACTIONS(3190),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3190),
    [anon_sym_DOT_DOT] = ACTIONS(3192),
    [anon_sym_STAR_STAR] = ACTIONS(3192),
    [anon_sym_PIPE_PIPE] = ACTIONS(3192),
    [anon_sym_SLASH_SLASH] = ACTIONS(3192),
    [anon_sym_CARET_CARET] = ACTIONS(3190),
    [anon_sym_AMP_AMP] = ACTIONS(3192),
    [anon_sym_PIPE] = ACTIONS(3192),
    [anon_sym_CARET] = ACTIONS(3192),
    [anon_sym_AMP] = ACTIONS(3192),
    [anon_sym_GT_GT2] = ACTIONS(3192),
    [anon_sym_PLUS] = ACTIONS(3192),
    [anon_sym_DASH] = ACTIONS(3192),
    [anon_sym_DOT] = ACTIONS(3192),
    [anon_sym_STAR] = ACTIONS(3192),
    [anon_sym_SLASH] = ACTIONS(3192),
    [anon_sym_x] = ACTIONS(3192),
    [anon_sym_EQ_TILDE] = ACTIONS(3190),
    [anon_sym_BANG_TILDE] = ACTIONS(3190),
    [anon_sym_EQ_EQ] = ACTIONS(3192),
    [anon_sym_BANG_EQ] = ACTIONS(3190),
    [anon_sym_eq] = ACTIONS(3192),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3190),
    [anon_sym_equ] = ACTIONS(3190),
    [anon_sym_eqr] = ACTIONS(3190),
    [anon_sym_ne] = ACTIONS(3190),
    [anon_sym_LT_EQ_GT] = ACTIONS(3190),
    [anon_sym_cmp] = ACTIONS(3190),
    [anon_sym_TILDE_TILDE] = ACTIONS(3190),
    [anon_sym_LT] = ACTIONS(3192),
    [anon_sym_LT_EQ] = ACTIONS(3192),
    [anon_sym_GT_EQ] = ACTIONS(3190),
    [anon_sym_lt] = ACTIONS(3190),
    [anon_sym_le] = ACTIONS(3190),
    [anon_sym_ge] = ACTIONS(3190),
    [anon_sym_gt] = ACTIONS(3190),
    [anon_sym_isa] = ACTIONS(3190),
    [anon_sym_PLUS_PLUS] = ACTIONS(3190),
    [anon_sym_DASH_DASH] = ACTIONS(3190),
    [anon_sym_QMARK] = ACTIONS(3190),
    [anon_sym_EQ_GT] = ACTIONS(3190),
    [anon_sym_for] = ACTIONS(3192),
    [anon_sym_foreach] = ACTIONS(3190),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3190),
    [anon_sym___END__] = ACTIONS(3190),
    [anon_sym_EOT] = ACTIONS(3190),
    [anon_sym_if] = ACTIONS(3190),
    [anon_sym_unless] = ACTIONS(3190),
    [anon_sym_while] = ACTIONS(3190),
    [anon_sym_until] = ACTIONS(3190),
    [sym__PERLY_SEMICOLON] = ACTIONS(3190),
    [sym__ctrl_z_hack] = ACTIONS(3190),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1387] = {
    [sym_heredoc_content] = STATE(1387),
    [anon_sym_RBRACE] = ACTIONS(3194),
    [anon_sym_SEMI] = ACTIONS(3194),
    [anon_sym_EQ] = ACTIONS(3196),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3194),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3194),
    [anon_sym_COMMA] = ACTIONS(3194),
    [anon_sym_RPAREN] = ACTIONS(3194),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3194),
    [anon_sym_and] = ACTIONS(3194),
    [anon_sym_or] = ACTIONS(3194),
    [anon_sym_xor] = ACTIONS(3194),
    [anon_sym_DASH_GT] = ACTIONS(3194),
    [anon_sym_PERCENT] = ACTIONS(3196),
    [anon_sym_GT] = ACTIONS(3196),
    [anon_sym_LT_LT] = ACTIONS(3196),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3194),
    [anon_sym_PLUS_EQ] = ACTIONS(3194),
    [anon_sym_DASH_EQ] = ACTIONS(3194),
    [anon_sym_DOT_EQ] = ACTIONS(3194),
    [anon_sym_STAR_EQ] = ACTIONS(3194),
    [anon_sym_SLASH_EQ] = ACTIONS(3194),
    [anon_sym_PERCENT_EQ] = ACTIONS(3194),
    [anon_sym_x_EQ] = ACTIONS(3194),
    [anon_sym_AMP_EQ] = ACTIONS(3194),
    [anon_sym_PIPE_EQ] = ACTIONS(3194),
    [anon_sym_CARET_EQ] = ACTIONS(3194),
    [anon_sym_LT_LT_EQ] = ACTIONS(3194),
    [anon_sym_GT_GT_EQ] = ACTIONS(3194),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3194),
    [anon_sym_DOT_DOT] = ACTIONS(3196),
    [anon_sym_STAR_STAR] = ACTIONS(3196),
    [anon_sym_PIPE_PIPE] = ACTIONS(3196),
    [anon_sym_SLASH_SLASH] = ACTIONS(3196),
    [anon_sym_CARET_CARET] = ACTIONS(3194),
    [anon_sym_AMP_AMP] = ACTIONS(3196),
    [anon_sym_PIPE] = ACTIONS(3196),
    [anon_sym_CARET] = ACTIONS(3196),
    [anon_sym_AMP] = ACTIONS(3196),
    [anon_sym_GT_GT2] = ACTIONS(3196),
    [anon_sym_PLUS] = ACTIONS(3196),
    [anon_sym_DASH] = ACTIONS(3196),
    [anon_sym_DOT] = ACTIONS(3196),
    [anon_sym_STAR] = ACTIONS(3196),
    [anon_sym_SLASH] = ACTIONS(3196),
    [anon_sym_x] = ACTIONS(3196),
    [anon_sym_EQ_TILDE] = ACTIONS(3194),
    [anon_sym_BANG_TILDE] = ACTIONS(3194),
    [anon_sym_EQ_EQ] = ACTIONS(3196),
    [anon_sym_BANG_EQ] = ACTIONS(3194),
    [anon_sym_eq] = ACTIONS(3196),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3194),
    [anon_sym_equ] = ACTIONS(3194),
    [anon_sym_eqr] = ACTIONS(3194),
    [anon_sym_ne] = ACTIONS(3194),
    [anon_sym_LT_EQ_GT] = ACTIONS(3194),
    [anon_sym_cmp] = ACTIONS(3194),
    [anon_sym_TILDE_TILDE] = ACTIONS(3194),
    [anon_sym_LT] = ACTIONS(3196),
    [anon_sym_LT_EQ] = ACTIONS(3196),
    [anon_sym_GT_EQ] = ACTIONS(3194),
    [anon_sym_lt] = ACTIONS(3194),
    [anon_sym_le] = ACTIONS(3194),
    [anon_sym_ge] = ACTIONS(3194),
    [anon_sym_gt] = ACTIONS(3194),
    [anon_sym_isa] = ACTIONS(3194),
    [anon_sym_PLUS_PLUS] = ACTIONS(3194),
    [anon_sym_DASH_DASH] = ACTIONS(3194),
    [anon_sym_QMARK] = ACTIONS(3194),
    [anon_sym_EQ_GT] = ACTIONS(3194),
    [anon_sym_for] = ACTIONS(3196),
    [anon_sym_foreach] = ACTIONS(3194),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3194),
    [anon_sym___END__] = ACTIONS(3194),
    [anon_sym_EOT] = ACTIONS(3194),
    [anon_sym_if] = ACTIONS(3194),
    [anon_sym_unless] = ACTIONS(3194),
    [anon_sym_while] = ACTIONS(3194),
    [anon_sym_until] = ACTIONS(3194),
    [sym__PERLY_SEMICOLON] = ACTIONS(3194),
    [sym__ctrl_z_hack] = ACTIONS(3194),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1388] = {
    [sym_heredoc_content] = STATE(1388),
    [anon_sym_RBRACE] = ACTIONS(3198),
    [anon_sym_SEMI] = ACTIONS(3198),
    [anon_sym_EQ] = ACTIONS(3200),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3198),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3198),
    [anon_sym_COMMA] = ACTIONS(3198),
    [anon_sym_RPAREN] = ACTIONS(3198),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3198),
    [anon_sym_and] = ACTIONS(3198),
    [anon_sym_or] = ACTIONS(3198),
    [anon_sym_xor] = ACTIONS(3198),
    [anon_sym_DASH_GT] = ACTIONS(3198),
    [anon_sym_PERCENT] = ACTIONS(3200),
    [anon_sym_GT] = ACTIONS(3200),
    [anon_sym_LT_LT] = ACTIONS(3200),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3198),
    [anon_sym_PLUS_EQ] = ACTIONS(3198),
    [anon_sym_DASH_EQ] = ACTIONS(3198),
    [anon_sym_DOT_EQ] = ACTIONS(3198),
    [anon_sym_STAR_EQ] = ACTIONS(3198),
    [anon_sym_SLASH_EQ] = ACTIONS(3198),
    [anon_sym_PERCENT_EQ] = ACTIONS(3198),
    [anon_sym_x_EQ] = ACTIONS(3198),
    [anon_sym_AMP_EQ] = ACTIONS(3198),
    [anon_sym_PIPE_EQ] = ACTIONS(3198),
    [anon_sym_CARET_EQ] = ACTIONS(3198),
    [anon_sym_LT_LT_EQ] = ACTIONS(3198),
    [anon_sym_GT_GT_EQ] = ACTIONS(3198),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3198),
    [anon_sym_DOT_DOT] = ACTIONS(3200),
    [anon_sym_STAR_STAR] = ACTIONS(3200),
    [anon_sym_PIPE_PIPE] = ACTIONS(3200),
    [anon_sym_SLASH_SLASH] = ACTIONS(3200),
    [anon_sym_CARET_CARET] = ACTIONS(3198),
    [anon_sym_AMP_AMP] = ACTIONS(3200),
    [anon_sym_PIPE] = ACTIONS(3200),
    [anon_sym_CARET] = ACTIONS(3200),
    [anon_sym_AMP] = ACTIONS(3200),
    [anon_sym_GT_GT2] = ACTIONS(3200),
    [anon_sym_PLUS] = ACTIONS(3200),
    [anon_sym_DASH] = ACTIONS(3200),
    [anon_sym_DOT] = ACTIONS(3200),
    [anon_sym_STAR] = ACTIONS(3200),
    [anon_sym_SLASH] = ACTIONS(3200),
    [anon_sym_x] = ACTIONS(3200),
    [anon_sym_EQ_TILDE] = ACTIONS(3198),
    [anon_sym_BANG_TILDE] = ACTIONS(3198),
    [anon_sym_EQ_EQ] = ACTIONS(3200),
    [anon_sym_BANG_EQ] = ACTIONS(3198),
    [anon_sym_eq] = ACTIONS(3200),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3198),
    [anon_sym_equ] = ACTIONS(3198),
    [anon_sym_eqr] = ACTIONS(3198),
    [anon_sym_ne] = ACTIONS(3198),
    [anon_sym_LT_EQ_GT] = ACTIONS(3198),
    [anon_sym_cmp] = ACTIONS(3198),
    [anon_sym_TILDE_TILDE] = ACTIONS(3198),
    [anon_sym_LT] = ACTIONS(3200),
    [anon_sym_LT_EQ] = ACTIONS(3200),
    [anon_sym_GT_EQ] = ACTIONS(3198),
    [anon_sym_lt] = ACTIONS(3198),
    [anon_sym_le] = ACTIONS(3198),
    [anon_sym_ge] = ACTIONS(3198),
    [anon_sym_gt] = ACTIONS(3198),
    [anon_sym_isa] = ACTIONS(3198),
    [anon_sym_PLUS_PLUS] = ACTIONS(3198),
    [anon_sym_DASH_DASH] = ACTIONS(3198),
    [anon_sym_QMARK] = ACTIONS(3198),
    [anon_sym_EQ_GT] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_foreach] = ACTIONS(3198),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3198),
    [anon_sym___END__] = ACTIONS(3198),
    [anon_sym_EOT] = ACTIONS(3198),
    [anon_sym_if] = ACTIONS(3198),
    [anon_sym_unless] = ACTIONS(3198),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_until] = ACTIONS(3198),
    [sym__PERLY_SEMICOLON] = ACTIONS(3198),
    [sym__ctrl_z_hack] = ACTIONS(3198),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1389] = {
    [sym_heredoc_content] = STATE(1389),
    [anon_sym_RBRACE] = ACTIONS(3202),
    [anon_sym_SEMI] = ACTIONS(3202),
    [anon_sym_EQ] = ACTIONS(3204),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3202),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3202),
    [anon_sym_COMMA] = ACTIONS(3202),
    [anon_sym_RPAREN] = ACTIONS(3202),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3202),
    [anon_sym_and] = ACTIONS(3202),
    [anon_sym_or] = ACTIONS(3202),
    [anon_sym_xor] = ACTIONS(3202),
    [anon_sym_DASH_GT] = ACTIONS(3202),
    [anon_sym_PERCENT] = ACTIONS(3204),
    [anon_sym_GT] = ACTIONS(3204),
    [anon_sym_LT_LT] = ACTIONS(3204),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3202),
    [anon_sym_PLUS_EQ] = ACTIONS(3202),
    [anon_sym_DASH_EQ] = ACTIONS(3202),
    [anon_sym_DOT_EQ] = ACTIONS(3202),
    [anon_sym_STAR_EQ] = ACTIONS(3202),
    [anon_sym_SLASH_EQ] = ACTIONS(3202),
    [anon_sym_PERCENT_EQ] = ACTIONS(3202),
    [anon_sym_x_EQ] = ACTIONS(3202),
    [anon_sym_AMP_EQ] = ACTIONS(3202),
    [anon_sym_PIPE_EQ] = ACTIONS(3202),
    [anon_sym_CARET_EQ] = ACTIONS(3202),
    [anon_sym_LT_LT_EQ] = ACTIONS(3202),
    [anon_sym_GT_GT_EQ] = ACTIONS(3202),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3202),
    [anon_sym_DOT_DOT] = ACTIONS(3204),
    [anon_sym_STAR_STAR] = ACTIONS(3204),
    [anon_sym_PIPE_PIPE] = ACTIONS(3204),
    [anon_sym_SLASH_SLASH] = ACTIONS(3204),
    [anon_sym_CARET_CARET] = ACTIONS(3202),
    [anon_sym_AMP_AMP] = ACTIONS(3204),
    [anon_sym_PIPE] = ACTIONS(3204),
    [anon_sym_CARET] = ACTIONS(3204),
    [anon_sym_AMP] = ACTIONS(3204),
    [anon_sym_GT_GT2] = ACTIONS(3204),
    [anon_sym_PLUS] = ACTIONS(3204),
    [anon_sym_DASH] = ACTIONS(3204),
    [anon_sym_DOT] = ACTIONS(3204),
    [anon_sym_STAR] = ACTIONS(3204),
    [anon_sym_SLASH] = ACTIONS(3204),
    [anon_sym_x] = ACTIONS(3204),
    [anon_sym_EQ_TILDE] = ACTIONS(3202),
    [anon_sym_BANG_TILDE] = ACTIONS(3202),
    [anon_sym_EQ_EQ] = ACTIONS(3204),
    [anon_sym_BANG_EQ] = ACTIONS(3202),
    [anon_sym_eq] = ACTIONS(3204),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3202),
    [anon_sym_equ] = ACTIONS(3202),
    [anon_sym_eqr] = ACTIONS(3202),
    [anon_sym_ne] = ACTIONS(3202),
    [anon_sym_LT_EQ_GT] = ACTIONS(3202),
    [anon_sym_cmp] = ACTIONS(3202),
    [anon_sym_TILDE_TILDE] = ACTIONS(3202),
    [anon_sym_LT] = ACTIONS(3204),
    [anon_sym_LT_EQ] = ACTIONS(3204),
    [anon_sym_GT_EQ] = ACTIONS(3202),
    [anon_sym_lt] = ACTIONS(3202),
    [anon_sym_le] = ACTIONS(3202),
    [anon_sym_ge] = ACTIONS(3202),
    [anon_sym_gt] = ACTIONS(3202),
    [anon_sym_isa] = ACTIONS(3202),
    [anon_sym_PLUS_PLUS] = ACTIONS(3202),
    [anon_sym_DASH_DASH] = ACTIONS(3202),
    [anon_sym_QMARK] = ACTIONS(3202),
    [anon_sym_EQ_GT] = ACTIONS(3202),
    [anon_sym_for] = ACTIONS(3204),
    [anon_sym_foreach] = ACTIONS(3202),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3202),
    [anon_sym___END__] = ACTIONS(3202),
    [anon_sym_EOT] = ACTIONS(3202),
    [anon_sym_if] = ACTIONS(3202),
    [anon_sym_unless] = ACTIONS(3202),
    [anon_sym_while] = ACTIONS(3202),
    [anon_sym_until] = ACTIONS(3202),
    [sym__PERLY_SEMICOLON] = ACTIONS(3202),
    [sym__ctrl_z_hack] = ACTIONS(3202),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1390] = {
    [sym_heredoc_content] = STATE(1390),
    [anon_sym_RBRACE] = ACTIONS(3206),
    [anon_sym_SEMI] = ACTIONS(3206),
    [anon_sym_EQ] = ACTIONS(3208),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3206),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3206),
    [anon_sym_COMMA] = ACTIONS(3206),
    [anon_sym_RPAREN] = ACTIONS(3206),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3206),
    [anon_sym_and] = ACTIONS(3206),
    [anon_sym_or] = ACTIONS(3206),
    [anon_sym_xor] = ACTIONS(3206),
    [anon_sym_DASH_GT] = ACTIONS(3206),
    [anon_sym_PERCENT] = ACTIONS(3208),
    [anon_sym_GT] = ACTIONS(3208),
    [anon_sym_LT_LT] = ACTIONS(3208),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3206),
    [anon_sym_PLUS_EQ] = ACTIONS(3206),
    [anon_sym_DASH_EQ] = ACTIONS(3206),
    [anon_sym_DOT_EQ] = ACTIONS(3206),
    [anon_sym_STAR_EQ] = ACTIONS(3206),
    [anon_sym_SLASH_EQ] = ACTIONS(3206),
    [anon_sym_PERCENT_EQ] = ACTIONS(3206),
    [anon_sym_x_EQ] = ACTIONS(3206),
    [anon_sym_AMP_EQ] = ACTIONS(3206),
    [anon_sym_PIPE_EQ] = ACTIONS(3206),
    [anon_sym_CARET_EQ] = ACTIONS(3206),
    [anon_sym_LT_LT_EQ] = ACTIONS(3206),
    [anon_sym_GT_GT_EQ] = ACTIONS(3206),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3206),
    [anon_sym_DOT_DOT] = ACTIONS(3208),
    [anon_sym_STAR_STAR] = ACTIONS(3208),
    [anon_sym_PIPE_PIPE] = ACTIONS(3208),
    [anon_sym_SLASH_SLASH] = ACTIONS(3208),
    [anon_sym_CARET_CARET] = ACTIONS(3206),
    [anon_sym_AMP_AMP] = ACTIONS(3208),
    [anon_sym_PIPE] = ACTIONS(3208),
    [anon_sym_CARET] = ACTIONS(3208),
    [anon_sym_AMP] = ACTIONS(3208),
    [anon_sym_GT_GT2] = ACTIONS(3208),
    [anon_sym_PLUS] = ACTIONS(3208),
    [anon_sym_DASH] = ACTIONS(3208),
    [anon_sym_DOT] = ACTIONS(3208),
    [anon_sym_STAR] = ACTIONS(3208),
    [anon_sym_SLASH] = ACTIONS(3208),
    [anon_sym_x] = ACTIONS(3208),
    [anon_sym_EQ_TILDE] = ACTIONS(3206),
    [anon_sym_BANG_TILDE] = ACTIONS(3206),
    [anon_sym_EQ_EQ] = ACTIONS(3208),
    [anon_sym_BANG_EQ] = ACTIONS(3206),
    [anon_sym_eq] = ACTIONS(3208),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3206),
    [anon_sym_equ] = ACTIONS(3206),
    [anon_sym_eqr] = ACTIONS(3206),
    [anon_sym_ne] = ACTIONS(3206),
    [anon_sym_LT_EQ_GT] = ACTIONS(3206),
    [anon_sym_cmp] = ACTIONS(3206),
    [anon_sym_TILDE_TILDE] = ACTIONS(3206),
    [anon_sym_LT] = ACTIONS(3208),
    [anon_sym_LT_EQ] = ACTIONS(3208),
    [anon_sym_GT_EQ] = ACTIONS(3206),
    [anon_sym_lt] = ACTIONS(3206),
    [anon_sym_le] = ACTIONS(3206),
    [anon_sym_ge] = ACTIONS(3206),
    [anon_sym_gt] = ACTIONS(3206),
    [anon_sym_isa] = ACTIONS(3206),
    [anon_sym_PLUS_PLUS] = ACTIONS(3206),
    [anon_sym_DASH_DASH] = ACTIONS(3206),
    [anon_sym_QMARK] = ACTIONS(3206),
    [anon_sym_EQ_GT] = ACTIONS(3206),
    [anon_sym_for] = ACTIONS(3208),
    [anon_sym_foreach] = ACTIONS(3206),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3206),
    [anon_sym___END__] = ACTIONS(3206),
    [anon_sym_EOT] = ACTIONS(3206),
    [anon_sym_if] = ACTIONS(3206),
    [anon_sym_unless] = ACTIONS(3206),
    [anon_sym_while] = ACTIONS(3206),
    [anon_sym_until] = ACTIONS(3206),
    [sym__PERLY_SEMICOLON] = ACTIONS(3206),
    [sym__ctrl_z_hack] = ACTIONS(3206),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1391] = {
    [sym_heredoc_content] = STATE(1391),
    [anon_sym_RBRACE] = ACTIONS(3210),
    [anon_sym_SEMI] = ACTIONS(3210),
    [anon_sym_EQ] = ACTIONS(3212),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3210),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3210),
    [anon_sym_COMMA] = ACTIONS(3210),
    [anon_sym_RPAREN] = ACTIONS(3210),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3210),
    [anon_sym_and] = ACTIONS(3210),
    [anon_sym_or] = ACTIONS(3210),
    [anon_sym_xor] = ACTIONS(3210),
    [anon_sym_DASH_GT] = ACTIONS(3210),
    [anon_sym_PERCENT] = ACTIONS(3212),
    [anon_sym_GT] = ACTIONS(3212),
    [anon_sym_LT_LT] = ACTIONS(3212),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3210),
    [anon_sym_PLUS_EQ] = ACTIONS(3210),
    [anon_sym_DASH_EQ] = ACTIONS(3210),
    [anon_sym_DOT_EQ] = ACTIONS(3210),
    [anon_sym_STAR_EQ] = ACTIONS(3210),
    [anon_sym_SLASH_EQ] = ACTIONS(3210),
    [anon_sym_PERCENT_EQ] = ACTIONS(3210),
    [anon_sym_x_EQ] = ACTIONS(3210),
    [anon_sym_AMP_EQ] = ACTIONS(3210),
    [anon_sym_PIPE_EQ] = ACTIONS(3210),
    [anon_sym_CARET_EQ] = ACTIONS(3210),
    [anon_sym_LT_LT_EQ] = ACTIONS(3210),
    [anon_sym_GT_GT_EQ] = ACTIONS(3210),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3210),
    [anon_sym_DOT_DOT] = ACTIONS(3212),
    [anon_sym_STAR_STAR] = ACTIONS(3212),
    [anon_sym_PIPE_PIPE] = ACTIONS(3212),
    [anon_sym_SLASH_SLASH] = ACTIONS(3212),
    [anon_sym_CARET_CARET] = ACTIONS(3210),
    [anon_sym_AMP_AMP] = ACTIONS(3212),
    [anon_sym_PIPE] = ACTIONS(3212),
    [anon_sym_CARET] = ACTIONS(3212),
    [anon_sym_AMP] = ACTIONS(3212),
    [anon_sym_GT_GT2] = ACTIONS(3212),
    [anon_sym_PLUS] = ACTIONS(3212),
    [anon_sym_DASH] = ACTIONS(3212),
    [anon_sym_DOT] = ACTIONS(3212),
    [anon_sym_STAR] = ACTIONS(3212),
    [anon_sym_SLASH] = ACTIONS(3212),
    [anon_sym_x] = ACTIONS(3212),
    [anon_sym_EQ_TILDE] = ACTIONS(3210),
    [anon_sym_BANG_TILDE] = ACTIONS(3210),
    [anon_sym_EQ_EQ] = ACTIONS(3212),
    [anon_sym_BANG_EQ] = ACTIONS(3210),
    [anon_sym_eq] = ACTIONS(3212),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3210),
    [anon_sym_equ] = ACTIONS(3210),
    [anon_sym_eqr] = ACTIONS(3210),
    [anon_sym_ne] = ACTIONS(3210),
    [anon_sym_LT_EQ_GT] = ACTIONS(3210),
    [anon_sym_cmp] = ACTIONS(3210),
    [anon_sym_TILDE_TILDE] = ACTIONS(3210),
    [anon_sym_LT] = ACTIONS(3212),
    [anon_sym_LT_EQ] = ACTIONS(3212),
    [anon_sym_GT_EQ] = ACTIONS(3210),
    [anon_sym_lt] = ACTIONS(3210),
    [anon_sym_le] = ACTIONS(3210),
    [anon_sym_ge] = ACTIONS(3210),
    [anon_sym_gt] = ACTIONS(3210),
    [anon_sym_isa] = ACTIONS(3210),
    [anon_sym_PLUS_PLUS] = ACTIONS(3210),
    [anon_sym_DASH_DASH] = ACTIONS(3210),
    [anon_sym_QMARK] = ACTIONS(3210),
    [anon_sym_EQ_GT] = ACTIONS(3210),
    [anon_sym_for] = ACTIONS(3212),
    [anon_sym_foreach] = ACTIONS(3210),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3210),
    [anon_sym___END__] = ACTIONS(3210),
    [anon_sym_EOT] = ACTIONS(3210),
    [anon_sym_if] = ACTIONS(3210),
    [anon_sym_unless] = ACTIONS(3210),
    [anon_sym_while] = ACTIONS(3210),
    [anon_sym_until] = ACTIONS(3210),
    [sym__PERLY_SEMICOLON] = ACTIONS(3210),
    [sym__ctrl_z_hack] = ACTIONS(3210),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1392] = {
    [sym_heredoc_content] = STATE(1392),
    [anon_sym_RBRACE] = ACTIONS(3214),
    [anon_sym_SEMI] = ACTIONS(3214),
    [anon_sym_EQ] = ACTIONS(3216),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3214),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3214),
    [anon_sym_COMMA] = ACTIONS(3214),
    [anon_sym_RPAREN] = ACTIONS(3214),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3214),
    [anon_sym_and] = ACTIONS(3214),
    [anon_sym_or] = ACTIONS(3214),
    [anon_sym_xor] = ACTIONS(3214),
    [anon_sym_DASH_GT] = ACTIONS(3214),
    [anon_sym_PERCENT] = ACTIONS(3216),
    [anon_sym_GT] = ACTIONS(3216),
    [anon_sym_LT_LT] = ACTIONS(3216),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3214),
    [anon_sym_PLUS_EQ] = ACTIONS(3214),
    [anon_sym_DASH_EQ] = ACTIONS(3214),
    [anon_sym_DOT_EQ] = ACTIONS(3214),
    [anon_sym_STAR_EQ] = ACTIONS(3214),
    [anon_sym_SLASH_EQ] = ACTIONS(3214),
    [anon_sym_PERCENT_EQ] = ACTIONS(3214),
    [anon_sym_x_EQ] = ACTIONS(3214),
    [anon_sym_AMP_EQ] = ACTIONS(3214),
    [anon_sym_PIPE_EQ] = ACTIONS(3214),
    [anon_sym_CARET_EQ] = ACTIONS(3214),
    [anon_sym_LT_LT_EQ] = ACTIONS(3214),
    [anon_sym_GT_GT_EQ] = ACTIONS(3214),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3214),
    [anon_sym_DOT_DOT] = ACTIONS(3216),
    [anon_sym_STAR_STAR] = ACTIONS(3216),
    [anon_sym_PIPE_PIPE] = ACTIONS(3216),
    [anon_sym_SLASH_SLASH] = ACTIONS(3216),
    [anon_sym_CARET_CARET] = ACTIONS(3214),
    [anon_sym_AMP_AMP] = ACTIONS(3216),
    [anon_sym_PIPE] = ACTIONS(3216),
    [anon_sym_CARET] = ACTIONS(3216),
    [anon_sym_AMP] = ACTIONS(3216),
    [anon_sym_GT_GT2] = ACTIONS(3216),
    [anon_sym_PLUS] = ACTIONS(3216),
    [anon_sym_DASH] = ACTIONS(3216),
    [anon_sym_DOT] = ACTIONS(3216),
    [anon_sym_STAR] = ACTIONS(3216),
    [anon_sym_SLASH] = ACTIONS(3216),
    [anon_sym_x] = ACTIONS(3216),
    [anon_sym_EQ_TILDE] = ACTIONS(3214),
    [anon_sym_BANG_TILDE] = ACTIONS(3214),
    [anon_sym_EQ_EQ] = ACTIONS(3216),
    [anon_sym_BANG_EQ] = ACTIONS(3214),
    [anon_sym_eq] = ACTIONS(3216),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3214),
    [anon_sym_equ] = ACTIONS(3214),
    [anon_sym_eqr] = ACTIONS(3214),
    [anon_sym_ne] = ACTIONS(3214),
    [anon_sym_LT_EQ_GT] = ACTIONS(3214),
    [anon_sym_cmp] = ACTIONS(3214),
    [anon_sym_TILDE_TILDE] = ACTIONS(3214),
    [anon_sym_LT] = ACTIONS(3216),
    [anon_sym_LT_EQ] = ACTIONS(3216),
    [anon_sym_GT_EQ] = ACTIONS(3214),
    [anon_sym_lt] = ACTIONS(3214),
    [anon_sym_le] = ACTIONS(3214),
    [anon_sym_ge] = ACTIONS(3214),
    [anon_sym_gt] = ACTIONS(3214),
    [anon_sym_isa] = ACTIONS(3214),
    [anon_sym_PLUS_PLUS] = ACTIONS(3214),
    [anon_sym_DASH_DASH] = ACTIONS(3214),
    [anon_sym_QMARK] = ACTIONS(3214),
    [anon_sym_EQ_GT] = ACTIONS(3214),
    [anon_sym_for] = ACTIONS(3216),
    [anon_sym_foreach] = ACTIONS(3214),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3214),
    [anon_sym___END__] = ACTIONS(3214),
    [anon_sym_EOT] = ACTIONS(3214),
    [anon_sym_if] = ACTIONS(3214),
    [anon_sym_unless] = ACTIONS(3214),
    [anon_sym_while] = ACTIONS(3214),
    [anon_sym_until] = ACTIONS(3214),
    [sym__PERLY_SEMICOLON] = ACTIONS(3214),
    [sym__ctrl_z_hack] = ACTIONS(3214),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1393] = {
    [sym_heredoc_content] = STATE(1393),
    [anon_sym_RBRACE] = ACTIONS(3218),
    [anon_sym_SEMI] = ACTIONS(3218),
    [anon_sym_EQ] = ACTIONS(3220),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3218),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3218),
    [anon_sym_COMMA] = ACTIONS(3218),
    [anon_sym_RPAREN] = ACTIONS(3218),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3218),
    [anon_sym_and] = ACTIONS(3218),
    [anon_sym_or] = ACTIONS(3218),
    [anon_sym_xor] = ACTIONS(3218),
    [anon_sym_DASH_GT] = ACTIONS(3218),
    [anon_sym_PERCENT] = ACTIONS(3220),
    [anon_sym_GT] = ACTIONS(3220),
    [anon_sym_LT_LT] = ACTIONS(3220),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3218),
    [anon_sym_PLUS_EQ] = ACTIONS(3218),
    [anon_sym_DASH_EQ] = ACTIONS(3218),
    [anon_sym_DOT_EQ] = ACTIONS(3218),
    [anon_sym_STAR_EQ] = ACTIONS(3218),
    [anon_sym_SLASH_EQ] = ACTIONS(3218),
    [anon_sym_PERCENT_EQ] = ACTIONS(3218),
    [anon_sym_x_EQ] = ACTIONS(3218),
    [anon_sym_AMP_EQ] = ACTIONS(3218),
    [anon_sym_PIPE_EQ] = ACTIONS(3218),
    [anon_sym_CARET_EQ] = ACTIONS(3218),
    [anon_sym_LT_LT_EQ] = ACTIONS(3218),
    [anon_sym_GT_GT_EQ] = ACTIONS(3218),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3218),
    [anon_sym_DOT_DOT] = ACTIONS(3220),
    [anon_sym_STAR_STAR] = ACTIONS(3220),
    [anon_sym_PIPE_PIPE] = ACTIONS(3220),
    [anon_sym_SLASH_SLASH] = ACTIONS(3220),
    [anon_sym_CARET_CARET] = ACTIONS(3218),
    [anon_sym_AMP_AMP] = ACTIONS(3220),
    [anon_sym_PIPE] = ACTIONS(3220),
    [anon_sym_CARET] = ACTIONS(3220),
    [anon_sym_AMP] = ACTIONS(3220),
    [anon_sym_GT_GT2] = ACTIONS(3220),
    [anon_sym_PLUS] = ACTIONS(3220),
    [anon_sym_DASH] = ACTIONS(3220),
    [anon_sym_DOT] = ACTIONS(3220),
    [anon_sym_STAR] = ACTIONS(3220),
    [anon_sym_SLASH] = ACTIONS(3220),
    [anon_sym_x] = ACTIONS(3220),
    [anon_sym_EQ_TILDE] = ACTIONS(3218),
    [anon_sym_BANG_TILDE] = ACTIONS(3218),
    [anon_sym_EQ_EQ] = ACTIONS(3220),
    [anon_sym_BANG_EQ] = ACTIONS(3218),
    [anon_sym_eq] = ACTIONS(3220),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3218),
    [anon_sym_equ] = ACTIONS(3218),
    [anon_sym_eqr] = ACTIONS(3218),
    [anon_sym_ne] = ACTIONS(3218),
    [anon_sym_LT_EQ_GT] = ACTIONS(3218),
    [anon_sym_cmp] = ACTIONS(3218),
    [anon_sym_TILDE_TILDE] = ACTIONS(3218),
    [anon_sym_LT] = ACTIONS(3220),
    [anon_sym_LT_EQ] = ACTIONS(3220),
    [anon_sym_GT_EQ] = ACTIONS(3218),
    [anon_sym_lt] = ACTIONS(3218),
    [anon_sym_le] = ACTIONS(3218),
    [anon_sym_ge] = ACTIONS(3218),
    [anon_sym_gt] = ACTIONS(3218),
    [anon_sym_isa] = ACTIONS(3218),
    [anon_sym_PLUS_PLUS] = ACTIONS(3218),
    [anon_sym_DASH_DASH] = ACTIONS(3218),
    [anon_sym_QMARK] = ACTIONS(3218),
    [anon_sym_EQ_GT] = ACTIONS(3218),
    [anon_sym_for] = ACTIONS(3220),
    [anon_sym_foreach] = ACTIONS(3218),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3218),
    [anon_sym___END__] = ACTIONS(3218),
    [anon_sym_EOT] = ACTIONS(3218),
    [anon_sym_if] = ACTIONS(3218),
    [anon_sym_unless] = ACTIONS(3218),
    [anon_sym_while] = ACTIONS(3218),
    [anon_sym_until] = ACTIONS(3218),
    [sym__PERLY_SEMICOLON] = ACTIONS(3218),
    [sym__ctrl_z_hack] = ACTIONS(3218),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1394] = {
    [sym_heredoc_content] = STATE(1394),
    [anon_sym_RBRACE] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3224),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3222),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3222),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_RPAREN] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_and] = ACTIONS(3222),
    [anon_sym_or] = ACTIONS(3222),
    [anon_sym_xor] = ACTIONS(3222),
    [anon_sym_DASH_GT] = ACTIONS(3222),
    [anon_sym_PERCENT] = ACTIONS(3224),
    [anon_sym_GT] = ACTIONS(3224),
    [anon_sym_LT_LT] = ACTIONS(3224),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3222),
    [anon_sym_PLUS_EQ] = ACTIONS(3222),
    [anon_sym_DASH_EQ] = ACTIONS(3222),
    [anon_sym_DOT_EQ] = ACTIONS(3222),
    [anon_sym_STAR_EQ] = ACTIONS(3222),
    [anon_sym_SLASH_EQ] = ACTIONS(3222),
    [anon_sym_PERCENT_EQ] = ACTIONS(3222),
    [anon_sym_x_EQ] = ACTIONS(3222),
    [anon_sym_AMP_EQ] = ACTIONS(3222),
    [anon_sym_PIPE_EQ] = ACTIONS(3222),
    [anon_sym_CARET_EQ] = ACTIONS(3222),
    [anon_sym_LT_LT_EQ] = ACTIONS(3222),
    [anon_sym_GT_GT_EQ] = ACTIONS(3222),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3222),
    [anon_sym_DOT_DOT] = ACTIONS(3224),
    [anon_sym_STAR_STAR] = ACTIONS(3224),
    [anon_sym_PIPE_PIPE] = ACTIONS(3224),
    [anon_sym_SLASH_SLASH] = ACTIONS(3224),
    [anon_sym_CARET_CARET] = ACTIONS(3222),
    [anon_sym_AMP_AMP] = ACTIONS(3224),
    [anon_sym_PIPE] = ACTIONS(3224),
    [anon_sym_CARET] = ACTIONS(3224),
    [anon_sym_AMP] = ACTIONS(3224),
    [anon_sym_GT_GT2] = ACTIONS(3224),
    [anon_sym_PLUS] = ACTIONS(3224),
    [anon_sym_DASH] = ACTIONS(3224),
    [anon_sym_DOT] = ACTIONS(3224),
    [anon_sym_STAR] = ACTIONS(3224),
    [anon_sym_SLASH] = ACTIONS(3224),
    [anon_sym_x] = ACTIONS(3224),
    [anon_sym_EQ_TILDE] = ACTIONS(3222),
    [anon_sym_BANG_TILDE] = ACTIONS(3222),
    [anon_sym_EQ_EQ] = ACTIONS(3224),
    [anon_sym_BANG_EQ] = ACTIONS(3222),
    [anon_sym_eq] = ACTIONS(3224),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3222),
    [anon_sym_equ] = ACTIONS(3222),
    [anon_sym_eqr] = ACTIONS(3222),
    [anon_sym_ne] = ACTIONS(3222),
    [anon_sym_LT_EQ_GT] = ACTIONS(3222),
    [anon_sym_cmp] = ACTIONS(3222),
    [anon_sym_TILDE_TILDE] = ACTIONS(3222),
    [anon_sym_LT] = ACTIONS(3224),
    [anon_sym_LT_EQ] = ACTIONS(3224),
    [anon_sym_GT_EQ] = ACTIONS(3222),
    [anon_sym_lt] = ACTIONS(3222),
    [anon_sym_le] = ACTIONS(3222),
    [anon_sym_ge] = ACTIONS(3222),
    [anon_sym_gt] = ACTIONS(3222),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_PLUS_PLUS] = ACTIONS(3222),
    [anon_sym_DASH_DASH] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_EQ_GT] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(3224),
    [anon_sym_foreach] = ACTIONS(3222),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3222),
    [anon_sym___END__] = ACTIONS(3222),
    [anon_sym_EOT] = ACTIONS(3222),
    [anon_sym_if] = ACTIONS(3222),
    [anon_sym_unless] = ACTIONS(3222),
    [anon_sym_while] = ACTIONS(3222),
    [anon_sym_until] = ACTIONS(3222),
    [sym__PERLY_SEMICOLON] = ACTIONS(3222),
    [sym__ctrl_z_hack] = ACTIONS(3222),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1395] = {
    [sym_heredoc_content] = STATE(1395),
    [anon_sym_RBRACE] = ACTIONS(3226),
    [anon_sym_SEMI] = ACTIONS(3226),
    [anon_sym_EQ] = ACTIONS(3228),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3226),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3226),
    [anon_sym_COMMA] = ACTIONS(3226),
    [anon_sym_RPAREN] = ACTIONS(3226),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3226),
    [anon_sym_and] = ACTIONS(3226),
    [anon_sym_or] = ACTIONS(3226),
    [anon_sym_xor] = ACTIONS(3226),
    [anon_sym_DASH_GT] = ACTIONS(3226),
    [anon_sym_PERCENT] = ACTIONS(3228),
    [anon_sym_GT] = ACTIONS(3228),
    [anon_sym_LT_LT] = ACTIONS(3228),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3226),
    [anon_sym_PLUS_EQ] = ACTIONS(3226),
    [anon_sym_DASH_EQ] = ACTIONS(3226),
    [anon_sym_DOT_EQ] = ACTIONS(3226),
    [anon_sym_STAR_EQ] = ACTIONS(3226),
    [anon_sym_SLASH_EQ] = ACTIONS(3226),
    [anon_sym_PERCENT_EQ] = ACTIONS(3226),
    [anon_sym_x_EQ] = ACTIONS(3226),
    [anon_sym_AMP_EQ] = ACTIONS(3226),
    [anon_sym_PIPE_EQ] = ACTIONS(3226),
    [anon_sym_CARET_EQ] = ACTIONS(3226),
    [anon_sym_LT_LT_EQ] = ACTIONS(3226),
    [anon_sym_GT_GT_EQ] = ACTIONS(3226),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3226),
    [anon_sym_DOT_DOT] = ACTIONS(3228),
    [anon_sym_STAR_STAR] = ACTIONS(3228),
    [anon_sym_PIPE_PIPE] = ACTIONS(3228),
    [anon_sym_SLASH_SLASH] = ACTIONS(3228),
    [anon_sym_CARET_CARET] = ACTIONS(3226),
    [anon_sym_AMP_AMP] = ACTIONS(3228),
    [anon_sym_PIPE] = ACTIONS(3228),
    [anon_sym_CARET] = ACTIONS(3228),
    [anon_sym_AMP] = ACTIONS(3228),
    [anon_sym_GT_GT2] = ACTIONS(3228),
    [anon_sym_PLUS] = ACTIONS(3228),
    [anon_sym_DASH] = ACTIONS(3228),
    [anon_sym_DOT] = ACTIONS(3228),
    [anon_sym_STAR] = ACTIONS(3228),
    [anon_sym_SLASH] = ACTIONS(3228),
    [anon_sym_x] = ACTIONS(3228),
    [anon_sym_EQ_TILDE] = ACTIONS(3226),
    [anon_sym_BANG_TILDE] = ACTIONS(3226),
    [anon_sym_EQ_EQ] = ACTIONS(3228),
    [anon_sym_BANG_EQ] = ACTIONS(3226),
    [anon_sym_eq] = ACTIONS(3228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3226),
    [anon_sym_equ] = ACTIONS(3226),
    [anon_sym_eqr] = ACTIONS(3226),
    [anon_sym_ne] = ACTIONS(3226),
    [anon_sym_LT_EQ_GT] = ACTIONS(3226),
    [anon_sym_cmp] = ACTIONS(3226),
    [anon_sym_TILDE_TILDE] = ACTIONS(3226),
    [anon_sym_LT] = ACTIONS(3228),
    [anon_sym_LT_EQ] = ACTIONS(3228),
    [anon_sym_GT_EQ] = ACTIONS(3226),
    [anon_sym_lt] = ACTIONS(3226),
    [anon_sym_le] = ACTIONS(3226),
    [anon_sym_ge] = ACTIONS(3226),
    [anon_sym_gt] = ACTIONS(3226),
    [anon_sym_isa] = ACTIONS(3226),
    [anon_sym_PLUS_PLUS] = ACTIONS(3226),
    [anon_sym_DASH_DASH] = ACTIONS(3226),
    [anon_sym_QMARK] = ACTIONS(3226),
    [anon_sym_EQ_GT] = ACTIONS(3226),
    [anon_sym_for] = ACTIONS(3228),
    [anon_sym_foreach] = ACTIONS(3226),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3226),
    [anon_sym___END__] = ACTIONS(3226),
    [anon_sym_EOT] = ACTIONS(3226),
    [anon_sym_if] = ACTIONS(3226),
    [anon_sym_unless] = ACTIONS(3226),
    [anon_sym_while] = ACTIONS(3226),
    [anon_sym_until] = ACTIONS(3226),
    [sym__PERLY_SEMICOLON] = ACTIONS(3226),
    [sym__ctrl_z_hack] = ACTIONS(3226),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1396] = {
    [sym_heredoc_content] = STATE(1396),
    [anon_sym_RBRACE] = ACTIONS(3230),
    [anon_sym_SEMI] = ACTIONS(3230),
    [anon_sym_EQ] = ACTIONS(3232),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3230),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3230),
    [anon_sym_COMMA] = ACTIONS(3230),
    [anon_sym_RPAREN] = ACTIONS(3230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3230),
    [anon_sym_and] = ACTIONS(3230),
    [anon_sym_or] = ACTIONS(3230),
    [anon_sym_xor] = ACTIONS(3230),
    [anon_sym_DASH_GT] = ACTIONS(3230),
    [anon_sym_PERCENT] = ACTIONS(3232),
    [anon_sym_GT] = ACTIONS(3232),
    [anon_sym_LT_LT] = ACTIONS(3232),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3230),
    [anon_sym_PLUS_EQ] = ACTIONS(3230),
    [anon_sym_DASH_EQ] = ACTIONS(3230),
    [anon_sym_DOT_EQ] = ACTIONS(3230),
    [anon_sym_STAR_EQ] = ACTIONS(3230),
    [anon_sym_SLASH_EQ] = ACTIONS(3230),
    [anon_sym_PERCENT_EQ] = ACTIONS(3230),
    [anon_sym_x_EQ] = ACTIONS(3230),
    [anon_sym_AMP_EQ] = ACTIONS(3230),
    [anon_sym_PIPE_EQ] = ACTIONS(3230),
    [anon_sym_CARET_EQ] = ACTIONS(3230),
    [anon_sym_LT_LT_EQ] = ACTIONS(3230),
    [anon_sym_GT_GT_EQ] = ACTIONS(3230),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3230),
    [anon_sym_DOT_DOT] = ACTIONS(3232),
    [anon_sym_STAR_STAR] = ACTIONS(3232),
    [anon_sym_PIPE_PIPE] = ACTIONS(3232),
    [anon_sym_SLASH_SLASH] = ACTIONS(3232),
    [anon_sym_CARET_CARET] = ACTIONS(3230),
    [anon_sym_AMP_AMP] = ACTIONS(3232),
    [anon_sym_PIPE] = ACTIONS(3232),
    [anon_sym_CARET] = ACTIONS(3232),
    [anon_sym_AMP] = ACTIONS(3232),
    [anon_sym_GT_GT2] = ACTIONS(3232),
    [anon_sym_PLUS] = ACTIONS(3232),
    [anon_sym_DASH] = ACTIONS(3232),
    [anon_sym_DOT] = ACTIONS(3232),
    [anon_sym_STAR] = ACTIONS(3232),
    [anon_sym_SLASH] = ACTIONS(3232),
    [anon_sym_x] = ACTIONS(3232),
    [anon_sym_EQ_TILDE] = ACTIONS(3230),
    [anon_sym_BANG_TILDE] = ACTIONS(3230),
    [anon_sym_EQ_EQ] = ACTIONS(3232),
    [anon_sym_BANG_EQ] = ACTIONS(3230),
    [anon_sym_eq] = ACTIONS(3232),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3230),
    [anon_sym_equ] = ACTIONS(3230),
    [anon_sym_eqr] = ACTIONS(3230),
    [anon_sym_ne] = ACTIONS(3230),
    [anon_sym_LT_EQ_GT] = ACTIONS(3230),
    [anon_sym_cmp] = ACTIONS(3230),
    [anon_sym_TILDE_TILDE] = ACTIONS(3230),
    [anon_sym_LT] = ACTIONS(3232),
    [anon_sym_LT_EQ] = ACTIONS(3232),
    [anon_sym_GT_EQ] = ACTIONS(3230),
    [anon_sym_lt] = ACTIONS(3230),
    [anon_sym_le] = ACTIONS(3230),
    [anon_sym_ge] = ACTIONS(3230),
    [anon_sym_gt] = ACTIONS(3230),
    [anon_sym_isa] = ACTIONS(3230),
    [anon_sym_PLUS_PLUS] = ACTIONS(3230),
    [anon_sym_DASH_DASH] = ACTIONS(3230),
    [anon_sym_QMARK] = ACTIONS(3230),
    [anon_sym_EQ_GT] = ACTIONS(3230),
    [anon_sym_for] = ACTIONS(3232),
    [anon_sym_foreach] = ACTIONS(3230),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3230),
    [anon_sym___END__] = ACTIONS(3230),
    [anon_sym_EOT] = ACTIONS(3230),
    [anon_sym_if] = ACTIONS(3230),
    [anon_sym_unless] = ACTIONS(3230),
    [anon_sym_while] = ACTIONS(3230),
    [anon_sym_until] = ACTIONS(3230),
    [sym__PERLY_SEMICOLON] = ACTIONS(3230),
    [sym__ctrl_z_hack] = ACTIONS(3230),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1397] = {
    [sym_heredoc_content] = STATE(1397),
    [anon_sym_RBRACE] = ACTIONS(3234),
    [anon_sym_SEMI] = ACTIONS(3234),
    [anon_sym_EQ] = ACTIONS(3236),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3234),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3234),
    [anon_sym_COMMA] = ACTIONS(3234),
    [anon_sym_RPAREN] = ACTIONS(3234),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3234),
    [anon_sym_and] = ACTIONS(3234),
    [anon_sym_or] = ACTIONS(3234),
    [anon_sym_xor] = ACTIONS(3234),
    [anon_sym_DASH_GT] = ACTIONS(3234),
    [anon_sym_PERCENT] = ACTIONS(3236),
    [anon_sym_GT] = ACTIONS(3236),
    [anon_sym_LT_LT] = ACTIONS(3236),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3234),
    [anon_sym_PLUS_EQ] = ACTIONS(3234),
    [anon_sym_DASH_EQ] = ACTIONS(3234),
    [anon_sym_DOT_EQ] = ACTIONS(3234),
    [anon_sym_STAR_EQ] = ACTIONS(3234),
    [anon_sym_SLASH_EQ] = ACTIONS(3234),
    [anon_sym_PERCENT_EQ] = ACTIONS(3234),
    [anon_sym_x_EQ] = ACTIONS(3234),
    [anon_sym_AMP_EQ] = ACTIONS(3234),
    [anon_sym_PIPE_EQ] = ACTIONS(3234),
    [anon_sym_CARET_EQ] = ACTIONS(3234),
    [anon_sym_LT_LT_EQ] = ACTIONS(3234),
    [anon_sym_GT_GT_EQ] = ACTIONS(3234),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3234),
    [anon_sym_DOT_DOT] = ACTIONS(3236),
    [anon_sym_STAR_STAR] = ACTIONS(3236),
    [anon_sym_PIPE_PIPE] = ACTIONS(3236),
    [anon_sym_SLASH_SLASH] = ACTIONS(3236),
    [anon_sym_CARET_CARET] = ACTIONS(3234),
    [anon_sym_AMP_AMP] = ACTIONS(3236),
    [anon_sym_PIPE] = ACTIONS(3236),
    [anon_sym_CARET] = ACTIONS(3236),
    [anon_sym_AMP] = ACTIONS(3236),
    [anon_sym_GT_GT2] = ACTIONS(3236),
    [anon_sym_PLUS] = ACTIONS(3236),
    [anon_sym_DASH] = ACTIONS(3236),
    [anon_sym_DOT] = ACTIONS(3236),
    [anon_sym_STAR] = ACTIONS(3236),
    [anon_sym_SLASH] = ACTIONS(3236),
    [anon_sym_x] = ACTIONS(3236),
    [anon_sym_EQ_TILDE] = ACTIONS(3234),
    [anon_sym_BANG_TILDE] = ACTIONS(3234),
    [anon_sym_EQ_EQ] = ACTIONS(3236),
    [anon_sym_BANG_EQ] = ACTIONS(3234),
    [anon_sym_eq] = ACTIONS(3236),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3234),
    [anon_sym_equ] = ACTIONS(3234),
    [anon_sym_eqr] = ACTIONS(3234),
    [anon_sym_ne] = ACTIONS(3234),
    [anon_sym_LT_EQ_GT] = ACTIONS(3234),
    [anon_sym_cmp] = ACTIONS(3234),
    [anon_sym_TILDE_TILDE] = ACTIONS(3234),
    [anon_sym_LT] = ACTIONS(3236),
    [anon_sym_LT_EQ] = ACTIONS(3236),
    [anon_sym_GT_EQ] = ACTIONS(3234),
    [anon_sym_lt] = ACTIONS(3234),
    [anon_sym_le] = ACTIONS(3234),
    [anon_sym_ge] = ACTIONS(3234),
    [anon_sym_gt] = ACTIONS(3234),
    [anon_sym_isa] = ACTIONS(3234),
    [anon_sym_PLUS_PLUS] = ACTIONS(3234),
    [anon_sym_DASH_DASH] = ACTIONS(3234),
    [anon_sym_QMARK] = ACTIONS(3234),
    [anon_sym_EQ_GT] = ACTIONS(3234),
    [anon_sym_for] = ACTIONS(3236),
    [anon_sym_foreach] = ACTIONS(3234),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3234),
    [anon_sym___END__] = ACTIONS(3234),
    [anon_sym_EOT] = ACTIONS(3234),
    [anon_sym_if] = ACTIONS(3234),
    [anon_sym_unless] = ACTIONS(3234),
    [anon_sym_while] = ACTIONS(3234),
    [anon_sym_until] = ACTIONS(3234),
    [sym__PERLY_SEMICOLON] = ACTIONS(3234),
    [sym__ctrl_z_hack] = ACTIONS(3234),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1398] = {
    [sym_heredoc_content] = STATE(1398),
    [anon_sym_RBRACE] = ACTIONS(3238),
    [anon_sym_SEMI] = ACTIONS(3238),
    [anon_sym_EQ] = ACTIONS(3240),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3238),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3238),
    [anon_sym_COMMA] = ACTIONS(3238),
    [anon_sym_RPAREN] = ACTIONS(3238),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3238),
    [anon_sym_and] = ACTIONS(3238),
    [anon_sym_or] = ACTIONS(3238),
    [anon_sym_xor] = ACTIONS(3238),
    [anon_sym_DASH_GT] = ACTIONS(3238),
    [anon_sym_PERCENT] = ACTIONS(3240),
    [anon_sym_GT] = ACTIONS(3240),
    [anon_sym_LT_LT] = ACTIONS(3240),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3238),
    [anon_sym_PLUS_EQ] = ACTIONS(3238),
    [anon_sym_DASH_EQ] = ACTIONS(3238),
    [anon_sym_DOT_EQ] = ACTIONS(3238),
    [anon_sym_STAR_EQ] = ACTIONS(3238),
    [anon_sym_SLASH_EQ] = ACTIONS(3238),
    [anon_sym_PERCENT_EQ] = ACTIONS(3238),
    [anon_sym_x_EQ] = ACTIONS(3238),
    [anon_sym_AMP_EQ] = ACTIONS(3238),
    [anon_sym_PIPE_EQ] = ACTIONS(3238),
    [anon_sym_CARET_EQ] = ACTIONS(3238),
    [anon_sym_LT_LT_EQ] = ACTIONS(3238),
    [anon_sym_GT_GT_EQ] = ACTIONS(3238),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3238),
    [anon_sym_DOT_DOT] = ACTIONS(3240),
    [anon_sym_STAR_STAR] = ACTIONS(3240),
    [anon_sym_PIPE_PIPE] = ACTIONS(3240),
    [anon_sym_SLASH_SLASH] = ACTIONS(3240),
    [anon_sym_CARET_CARET] = ACTIONS(3238),
    [anon_sym_AMP_AMP] = ACTIONS(3240),
    [anon_sym_PIPE] = ACTIONS(3240),
    [anon_sym_CARET] = ACTIONS(3240),
    [anon_sym_AMP] = ACTIONS(3240),
    [anon_sym_GT_GT2] = ACTIONS(3240),
    [anon_sym_PLUS] = ACTIONS(3240),
    [anon_sym_DASH] = ACTIONS(3240),
    [anon_sym_DOT] = ACTIONS(3240),
    [anon_sym_STAR] = ACTIONS(3240),
    [anon_sym_SLASH] = ACTIONS(3240),
    [anon_sym_x] = ACTIONS(3240),
    [anon_sym_EQ_TILDE] = ACTIONS(3238),
    [anon_sym_BANG_TILDE] = ACTIONS(3238),
    [anon_sym_EQ_EQ] = ACTIONS(3240),
    [anon_sym_BANG_EQ] = ACTIONS(3238),
    [anon_sym_eq] = ACTIONS(3240),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3238),
    [anon_sym_equ] = ACTIONS(3238),
    [anon_sym_eqr] = ACTIONS(3238),
    [anon_sym_ne] = ACTIONS(3238),
    [anon_sym_LT_EQ_GT] = ACTIONS(3238),
    [anon_sym_cmp] = ACTIONS(3238),
    [anon_sym_TILDE_TILDE] = ACTIONS(3238),
    [anon_sym_LT] = ACTIONS(3240),
    [anon_sym_LT_EQ] = ACTIONS(3240),
    [anon_sym_GT_EQ] = ACTIONS(3238),
    [anon_sym_lt] = ACTIONS(3238),
    [anon_sym_le] = ACTIONS(3238),
    [anon_sym_ge] = ACTIONS(3238),
    [anon_sym_gt] = ACTIONS(3238),
    [anon_sym_isa] = ACTIONS(3238),
    [anon_sym_PLUS_PLUS] = ACTIONS(3238),
    [anon_sym_DASH_DASH] = ACTIONS(3238),
    [anon_sym_QMARK] = ACTIONS(3238),
    [anon_sym_EQ_GT] = ACTIONS(3238),
    [anon_sym_for] = ACTIONS(3240),
    [anon_sym_foreach] = ACTIONS(3238),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3238),
    [anon_sym___END__] = ACTIONS(3238),
    [anon_sym_EOT] = ACTIONS(3238),
    [anon_sym_if] = ACTIONS(3238),
    [anon_sym_unless] = ACTIONS(3238),
    [anon_sym_while] = ACTIONS(3238),
    [anon_sym_until] = ACTIONS(3238),
    [sym__PERLY_SEMICOLON] = ACTIONS(3238),
    [sym__ctrl_z_hack] = ACTIONS(3238),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1399] = {
    [sym_heredoc_content] = STATE(1399),
    [anon_sym_RBRACE] = ACTIONS(3242),
    [anon_sym_SEMI] = ACTIONS(3242),
    [anon_sym_EQ] = ACTIONS(3244),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3242),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3242),
    [anon_sym_COMMA] = ACTIONS(3242),
    [anon_sym_RPAREN] = ACTIONS(3242),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3242),
    [anon_sym_and] = ACTIONS(3242),
    [anon_sym_or] = ACTIONS(3242),
    [anon_sym_xor] = ACTIONS(3242),
    [anon_sym_DASH_GT] = ACTIONS(3242),
    [anon_sym_PERCENT] = ACTIONS(3244),
    [anon_sym_GT] = ACTIONS(3244),
    [anon_sym_LT_LT] = ACTIONS(3244),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3242),
    [anon_sym_PLUS_EQ] = ACTIONS(3242),
    [anon_sym_DASH_EQ] = ACTIONS(3242),
    [anon_sym_DOT_EQ] = ACTIONS(3242),
    [anon_sym_STAR_EQ] = ACTIONS(3242),
    [anon_sym_SLASH_EQ] = ACTIONS(3242),
    [anon_sym_PERCENT_EQ] = ACTIONS(3242),
    [anon_sym_x_EQ] = ACTIONS(3242),
    [anon_sym_AMP_EQ] = ACTIONS(3242),
    [anon_sym_PIPE_EQ] = ACTIONS(3242),
    [anon_sym_CARET_EQ] = ACTIONS(3242),
    [anon_sym_LT_LT_EQ] = ACTIONS(3242),
    [anon_sym_GT_GT_EQ] = ACTIONS(3242),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3242),
    [anon_sym_DOT_DOT] = ACTIONS(3244),
    [anon_sym_STAR_STAR] = ACTIONS(3244),
    [anon_sym_PIPE_PIPE] = ACTIONS(3244),
    [anon_sym_SLASH_SLASH] = ACTIONS(3244),
    [anon_sym_CARET_CARET] = ACTIONS(3242),
    [anon_sym_AMP_AMP] = ACTIONS(3244),
    [anon_sym_PIPE] = ACTIONS(3244),
    [anon_sym_CARET] = ACTIONS(3244),
    [anon_sym_AMP] = ACTIONS(3244),
    [anon_sym_GT_GT2] = ACTIONS(3244),
    [anon_sym_PLUS] = ACTIONS(3244),
    [anon_sym_DASH] = ACTIONS(3244),
    [anon_sym_DOT] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3244),
    [anon_sym_SLASH] = ACTIONS(3244),
    [anon_sym_x] = ACTIONS(3244),
    [anon_sym_EQ_TILDE] = ACTIONS(3242),
    [anon_sym_BANG_TILDE] = ACTIONS(3242),
    [anon_sym_EQ_EQ] = ACTIONS(3244),
    [anon_sym_BANG_EQ] = ACTIONS(3242),
    [anon_sym_eq] = ACTIONS(3244),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3242),
    [anon_sym_equ] = ACTIONS(3242),
    [anon_sym_eqr] = ACTIONS(3242),
    [anon_sym_ne] = ACTIONS(3242),
    [anon_sym_LT_EQ_GT] = ACTIONS(3242),
    [anon_sym_cmp] = ACTIONS(3242),
    [anon_sym_TILDE_TILDE] = ACTIONS(3242),
    [anon_sym_LT] = ACTIONS(3244),
    [anon_sym_LT_EQ] = ACTIONS(3244),
    [anon_sym_GT_EQ] = ACTIONS(3242),
    [anon_sym_lt] = ACTIONS(3242),
    [anon_sym_le] = ACTIONS(3242),
    [anon_sym_ge] = ACTIONS(3242),
    [anon_sym_gt] = ACTIONS(3242),
    [anon_sym_isa] = ACTIONS(3242),
    [anon_sym_PLUS_PLUS] = ACTIONS(3242),
    [anon_sym_DASH_DASH] = ACTIONS(3242),
    [anon_sym_QMARK] = ACTIONS(3242),
    [anon_sym_EQ_GT] = ACTIONS(3242),
    [anon_sym_for] = ACTIONS(3244),
    [anon_sym_foreach] = ACTIONS(3242),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3242),
    [anon_sym___END__] = ACTIONS(3242),
    [anon_sym_EOT] = ACTIONS(3242),
    [anon_sym_if] = ACTIONS(3242),
    [anon_sym_unless] = ACTIONS(3242),
    [anon_sym_while] = ACTIONS(3242),
    [anon_sym_until] = ACTIONS(3242),
    [sym__PERLY_SEMICOLON] = ACTIONS(3242),
    [sym__ctrl_z_hack] = ACTIONS(3242),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1400] = {
    [sym_heredoc_content] = STATE(1400),
    [anon_sym_RBRACE] = ACTIONS(3246),
    [anon_sym_SEMI] = ACTIONS(3246),
    [anon_sym_EQ] = ACTIONS(3248),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3246),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3246),
    [anon_sym_COMMA] = ACTIONS(3246),
    [anon_sym_RPAREN] = ACTIONS(3246),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3246),
    [anon_sym_and] = ACTIONS(3246),
    [anon_sym_or] = ACTIONS(3246),
    [anon_sym_xor] = ACTIONS(3246),
    [anon_sym_DASH_GT] = ACTIONS(3246),
    [anon_sym_PERCENT] = ACTIONS(3248),
    [anon_sym_GT] = ACTIONS(3248),
    [anon_sym_LT_LT] = ACTIONS(3248),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3246),
    [anon_sym_PLUS_EQ] = ACTIONS(3246),
    [anon_sym_DASH_EQ] = ACTIONS(3246),
    [anon_sym_DOT_EQ] = ACTIONS(3246),
    [anon_sym_STAR_EQ] = ACTIONS(3246),
    [anon_sym_SLASH_EQ] = ACTIONS(3246),
    [anon_sym_PERCENT_EQ] = ACTIONS(3246),
    [anon_sym_x_EQ] = ACTIONS(3246),
    [anon_sym_AMP_EQ] = ACTIONS(3246),
    [anon_sym_PIPE_EQ] = ACTIONS(3246),
    [anon_sym_CARET_EQ] = ACTIONS(3246),
    [anon_sym_LT_LT_EQ] = ACTIONS(3246),
    [anon_sym_GT_GT_EQ] = ACTIONS(3246),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3246),
    [anon_sym_DOT_DOT] = ACTIONS(3248),
    [anon_sym_STAR_STAR] = ACTIONS(3248),
    [anon_sym_PIPE_PIPE] = ACTIONS(3248),
    [anon_sym_SLASH_SLASH] = ACTIONS(3248),
    [anon_sym_CARET_CARET] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(3248),
    [anon_sym_PIPE] = ACTIONS(3248),
    [anon_sym_CARET] = ACTIONS(3248),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym_GT_GT2] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_DOT] = ACTIONS(3248),
    [anon_sym_STAR] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_x] = ACTIONS(3248),
    [anon_sym_EQ_TILDE] = ACTIONS(3246),
    [anon_sym_BANG_TILDE] = ACTIONS(3246),
    [anon_sym_EQ_EQ] = ACTIONS(3248),
    [anon_sym_BANG_EQ] = ACTIONS(3246),
    [anon_sym_eq] = ACTIONS(3248),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3246),
    [anon_sym_equ] = ACTIONS(3246),
    [anon_sym_eqr] = ACTIONS(3246),
    [anon_sym_ne] = ACTIONS(3246),
    [anon_sym_LT_EQ_GT] = ACTIONS(3246),
    [anon_sym_cmp] = ACTIONS(3246),
    [anon_sym_TILDE_TILDE] = ACTIONS(3246),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_LT_EQ] = ACTIONS(3248),
    [anon_sym_GT_EQ] = ACTIONS(3246),
    [anon_sym_lt] = ACTIONS(3246),
    [anon_sym_le] = ACTIONS(3246),
    [anon_sym_ge] = ACTIONS(3246),
    [anon_sym_gt] = ACTIONS(3246),
    [anon_sym_isa] = ACTIONS(3246),
    [anon_sym_PLUS_PLUS] = ACTIONS(3246),
    [anon_sym_DASH_DASH] = ACTIONS(3246),
    [anon_sym_QMARK] = ACTIONS(3246),
    [anon_sym_EQ_GT] = ACTIONS(3246),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_foreach] = ACTIONS(3246),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3246),
    [anon_sym___END__] = ACTIONS(3246),
    [anon_sym_EOT] = ACTIONS(3246),
    [anon_sym_if] = ACTIONS(3246),
    [anon_sym_unless] = ACTIONS(3246),
    [anon_sym_while] = ACTIONS(3246),
    [anon_sym_until] = ACTIONS(3246),
    [sym__PERLY_SEMICOLON] = ACTIONS(3246),
    [sym__ctrl_z_hack] = ACTIONS(3246),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1401] = {
    [sym_heredoc_content] = STATE(1401),
    [anon_sym_RBRACE] = ACTIONS(3250),
    [anon_sym_SEMI] = ACTIONS(3250),
    [anon_sym_EQ] = ACTIONS(3252),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3250),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3250),
    [anon_sym_COMMA] = ACTIONS(3250),
    [anon_sym_RPAREN] = ACTIONS(3250),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3250),
    [anon_sym_and] = ACTIONS(3250),
    [anon_sym_or] = ACTIONS(3250),
    [anon_sym_xor] = ACTIONS(3250),
    [anon_sym_DASH_GT] = ACTIONS(3250),
    [anon_sym_PERCENT] = ACTIONS(3252),
    [anon_sym_GT] = ACTIONS(3252),
    [anon_sym_LT_LT] = ACTIONS(3252),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3250),
    [anon_sym_PLUS_EQ] = ACTIONS(3250),
    [anon_sym_DASH_EQ] = ACTIONS(3250),
    [anon_sym_DOT_EQ] = ACTIONS(3250),
    [anon_sym_STAR_EQ] = ACTIONS(3250),
    [anon_sym_SLASH_EQ] = ACTIONS(3250),
    [anon_sym_PERCENT_EQ] = ACTIONS(3250),
    [anon_sym_x_EQ] = ACTIONS(3250),
    [anon_sym_AMP_EQ] = ACTIONS(3250),
    [anon_sym_PIPE_EQ] = ACTIONS(3250),
    [anon_sym_CARET_EQ] = ACTIONS(3250),
    [anon_sym_LT_LT_EQ] = ACTIONS(3250),
    [anon_sym_GT_GT_EQ] = ACTIONS(3250),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3250),
    [anon_sym_DOT_DOT] = ACTIONS(3252),
    [anon_sym_STAR_STAR] = ACTIONS(3252),
    [anon_sym_PIPE_PIPE] = ACTIONS(3252),
    [anon_sym_SLASH_SLASH] = ACTIONS(3252),
    [anon_sym_CARET_CARET] = ACTIONS(3250),
    [anon_sym_AMP_AMP] = ACTIONS(3252),
    [anon_sym_PIPE] = ACTIONS(3252),
    [anon_sym_CARET] = ACTIONS(3252),
    [anon_sym_AMP] = ACTIONS(3252),
    [anon_sym_GT_GT2] = ACTIONS(3252),
    [anon_sym_PLUS] = ACTIONS(3252),
    [anon_sym_DASH] = ACTIONS(3252),
    [anon_sym_DOT] = ACTIONS(3252),
    [anon_sym_STAR] = ACTIONS(3252),
    [anon_sym_SLASH] = ACTIONS(3252),
    [anon_sym_x] = ACTIONS(3252),
    [anon_sym_EQ_TILDE] = ACTIONS(3250),
    [anon_sym_BANG_TILDE] = ACTIONS(3250),
    [anon_sym_EQ_EQ] = ACTIONS(3252),
    [anon_sym_BANG_EQ] = ACTIONS(3250),
    [anon_sym_eq] = ACTIONS(3252),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3250),
    [anon_sym_equ] = ACTIONS(3250),
    [anon_sym_eqr] = ACTIONS(3250),
    [anon_sym_ne] = ACTIONS(3250),
    [anon_sym_LT_EQ_GT] = ACTIONS(3250),
    [anon_sym_cmp] = ACTIONS(3250),
    [anon_sym_TILDE_TILDE] = ACTIONS(3250),
    [anon_sym_LT] = ACTIONS(3252),
    [anon_sym_LT_EQ] = ACTIONS(3252),
    [anon_sym_GT_EQ] = ACTIONS(3250),
    [anon_sym_lt] = ACTIONS(3250),
    [anon_sym_le] = ACTIONS(3250),
    [anon_sym_ge] = ACTIONS(3250),
    [anon_sym_gt] = ACTIONS(3250),
    [anon_sym_isa] = ACTIONS(3250),
    [anon_sym_PLUS_PLUS] = ACTIONS(3250),
    [anon_sym_DASH_DASH] = ACTIONS(3250),
    [anon_sym_QMARK] = ACTIONS(3250),
    [anon_sym_EQ_GT] = ACTIONS(3250),
    [anon_sym_for] = ACTIONS(3252),
    [anon_sym_foreach] = ACTIONS(3250),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3250),
    [anon_sym___END__] = ACTIONS(3250),
    [anon_sym_EOT] = ACTIONS(3250),
    [anon_sym_if] = ACTIONS(3250),
    [anon_sym_unless] = ACTIONS(3250),
    [anon_sym_while] = ACTIONS(3250),
    [anon_sym_until] = ACTIONS(3250),
    [sym__PERLY_SEMICOLON] = ACTIONS(3250),
    [sym__ctrl_z_hack] = ACTIONS(3250),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1402] = {
    [sym_heredoc_content] = STATE(1402),
    [anon_sym_RBRACE] = ACTIONS(3254),
    [anon_sym_SEMI] = ACTIONS(3254),
    [anon_sym_EQ] = ACTIONS(3256),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3254),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3254),
    [anon_sym_COMMA] = ACTIONS(3254),
    [anon_sym_RPAREN] = ACTIONS(3254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3254),
    [anon_sym_and] = ACTIONS(3254),
    [anon_sym_or] = ACTIONS(3254),
    [anon_sym_xor] = ACTIONS(3254),
    [anon_sym_DASH_GT] = ACTIONS(3254),
    [anon_sym_PERCENT] = ACTIONS(3256),
    [anon_sym_GT] = ACTIONS(3256),
    [anon_sym_LT_LT] = ACTIONS(3256),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3254),
    [anon_sym_PLUS_EQ] = ACTIONS(3254),
    [anon_sym_DASH_EQ] = ACTIONS(3254),
    [anon_sym_DOT_EQ] = ACTIONS(3254),
    [anon_sym_STAR_EQ] = ACTIONS(3254),
    [anon_sym_SLASH_EQ] = ACTIONS(3254),
    [anon_sym_PERCENT_EQ] = ACTIONS(3254),
    [anon_sym_x_EQ] = ACTIONS(3254),
    [anon_sym_AMP_EQ] = ACTIONS(3254),
    [anon_sym_PIPE_EQ] = ACTIONS(3254),
    [anon_sym_CARET_EQ] = ACTIONS(3254),
    [anon_sym_LT_LT_EQ] = ACTIONS(3254),
    [anon_sym_GT_GT_EQ] = ACTIONS(3254),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3254),
    [anon_sym_DOT_DOT] = ACTIONS(3256),
    [anon_sym_STAR_STAR] = ACTIONS(3256),
    [anon_sym_PIPE_PIPE] = ACTIONS(3256),
    [anon_sym_SLASH_SLASH] = ACTIONS(3256),
    [anon_sym_CARET_CARET] = ACTIONS(3254),
    [anon_sym_AMP_AMP] = ACTIONS(3256),
    [anon_sym_PIPE] = ACTIONS(3256),
    [anon_sym_CARET] = ACTIONS(3256),
    [anon_sym_AMP] = ACTIONS(3256),
    [anon_sym_GT_GT2] = ACTIONS(3256),
    [anon_sym_PLUS] = ACTIONS(3256),
    [anon_sym_DASH] = ACTIONS(3256),
    [anon_sym_DOT] = ACTIONS(3256),
    [anon_sym_STAR] = ACTIONS(3256),
    [anon_sym_SLASH] = ACTIONS(3256),
    [anon_sym_x] = ACTIONS(3256),
    [anon_sym_EQ_TILDE] = ACTIONS(3254),
    [anon_sym_BANG_TILDE] = ACTIONS(3254),
    [anon_sym_EQ_EQ] = ACTIONS(3256),
    [anon_sym_BANG_EQ] = ACTIONS(3254),
    [anon_sym_eq] = ACTIONS(3256),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3254),
    [anon_sym_equ] = ACTIONS(3254),
    [anon_sym_eqr] = ACTIONS(3254),
    [anon_sym_ne] = ACTIONS(3254),
    [anon_sym_LT_EQ_GT] = ACTIONS(3254),
    [anon_sym_cmp] = ACTIONS(3254),
    [anon_sym_TILDE_TILDE] = ACTIONS(3254),
    [anon_sym_LT] = ACTIONS(3256),
    [anon_sym_LT_EQ] = ACTIONS(3256),
    [anon_sym_GT_EQ] = ACTIONS(3254),
    [anon_sym_lt] = ACTIONS(3254),
    [anon_sym_le] = ACTIONS(3254),
    [anon_sym_ge] = ACTIONS(3254),
    [anon_sym_gt] = ACTIONS(3254),
    [anon_sym_isa] = ACTIONS(3254),
    [anon_sym_PLUS_PLUS] = ACTIONS(3254),
    [anon_sym_DASH_DASH] = ACTIONS(3254),
    [anon_sym_QMARK] = ACTIONS(3254),
    [anon_sym_EQ_GT] = ACTIONS(3254),
    [anon_sym_for] = ACTIONS(3256),
    [anon_sym_foreach] = ACTIONS(3254),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3254),
    [anon_sym___END__] = ACTIONS(3254),
    [anon_sym_EOT] = ACTIONS(3254),
    [anon_sym_if] = ACTIONS(3254),
    [anon_sym_unless] = ACTIONS(3254),
    [anon_sym_while] = ACTIONS(3254),
    [anon_sym_until] = ACTIONS(3254),
    [sym__PERLY_SEMICOLON] = ACTIONS(3254),
    [sym__ctrl_z_hack] = ACTIONS(3254),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1403] = {
    [sym_heredoc_content] = STATE(1403),
    [anon_sym_RBRACE] = ACTIONS(3258),
    [anon_sym_SEMI] = ACTIONS(3258),
    [anon_sym_EQ] = ACTIONS(3260),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3258),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3258),
    [anon_sym_COMMA] = ACTIONS(3258),
    [anon_sym_RPAREN] = ACTIONS(3258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2589),
    [anon_sym_and] = ACTIONS(3258),
    [anon_sym_or] = ACTIONS(3258),
    [anon_sym_xor] = ACTIONS(3258),
    [anon_sym_DASH_GT] = ACTIONS(2591),
    [anon_sym_PERCENT] = ACTIONS(2593),
    [anon_sym_GT] = ACTIONS(2595),
    [anon_sym_LT_LT] = ACTIONS(2597),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3258),
    [anon_sym_PLUS_EQ] = ACTIONS(3258),
    [anon_sym_DASH_EQ] = ACTIONS(3258),
    [anon_sym_DOT_EQ] = ACTIONS(3258),
    [anon_sym_STAR_EQ] = ACTIONS(3258),
    [anon_sym_SLASH_EQ] = ACTIONS(3258),
    [anon_sym_PERCENT_EQ] = ACTIONS(3258),
    [anon_sym_x_EQ] = ACTIONS(3258),
    [anon_sym_AMP_EQ] = ACTIONS(3258),
    [anon_sym_PIPE_EQ] = ACTIONS(3258),
    [anon_sym_CARET_EQ] = ACTIONS(3258),
    [anon_sym_LT_LT_EQ] = ACTIONS(3258),
    [anon_sym_GT_GT_EQ] = ACTIONS(3258),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3258),
    [anon_sym_DOT_DOT] = ACTIONS(2599),
    [anon_sym_STAR_STAR] = ACTIONS(2601),
    [anon_sym_PIPE_PIPE] = ACTIONS(2603),
    [anon_sym_SLASH_SLASH] = ACTIONS(2603),
    [anon_sym_CARET_CARET] = ACTIONS(2605),
    [anon_sym_AMP_AMP] = ACTIONS(2607),
    [anon_sym_PIPE] = ACTIONS(2609),
    [anon_sym_CARET] = ACTIONS(2609),
    [anon_sym_AMP] = ACTIONS(2611),
    [anon_sym_GT_GT2] = ACTIONS(2597),
    [anon_sym_PLUS] = ACTIONS(2613),
    [anon_sym_DASH] = ACTIONS(2613),
    [anon_sym_DOT] = ACTIONS(2613),
    [anon_sym_STAR] = ACTIONS(2593),
    [anon_sym_SLASH] = ACTIONS(2593),
    [anon_sym_x] = ACTIONS(2593),
    [anon_sym_EQ_TILDE] = ACTIONS(2615),
    [anon_sym_BANG_TILDE] = ACTIONS(2615),
    [anon_sym_EQ_EQ] = ACTIONS(2617),
    [anon_sym_BANG_EQ] = ACTIONS(2619),
    [anon_sym_eq] = ACTIONS(2617),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2619),
    [anon_sym_equ] = ACTIONS(2619),
    [anon_sym_eqr] = ACTIONS(2619),
    [anon_sym_ne] = ACTIONS(2619),
    [anon_sym_LT_EQ_GT] = ACTIONS(2621),
    [anon_sym_cmp] = ACTIONS(2621),
    [anon_sym_TILDE_TILDE] = ACTIONS(2621),
    [anon_sym_LT] = ACTIONS(2595),
    [anon_sym_LT_EQ] = ACTIONS(2595),
    [anon_sym_GT_EQ] = ACTIONS(2623),
    [anon_sym_lt] = ACTIONS(2623),
    [anon_sym_le] = ACTIONS(2623),
    [anon_sym_ge] = ACTIONS(2623),
    [anon_sym_gt] = ACTIONS(2623),
    [anon_sym_isa] = ACTIONS(2625),
    [anon_sym_PLUS_PLUS] = ACTIONS(2627),
    [anon_sym_DASH_DASH] = ACTIONS(2627),
    [anon_sym_QMARK] = ACTIONS(2629),
    [anon_sym_EQ_GT] = ACTIONS(3258),
    [anon_sym_for] = ACTIONS(3260),
    [anon_sym_foreach] = ACTIONS(3258),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3258),
    [anon_sym___END__] = ACTIONS(3258),
    [anon_sym_EOT] = ACTIONS(3258),
    [anon_sym_if] = ACTIONS(3258),
    [anon_sym_unless] = ACTIONS(3258),
    [anon_sym_while] = ACTIONS(3258),
    [anon_sym_until] = ACTIONS(3258),
    [sym__PERLY_SEMICOLON] = ACTIONS(3258),
    [sym__ctrl_z_hack] = ACTIONS(3258),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1404] = {
    [sym_heredoc_content] = STATE(1404),
    [anon_sym_RBRACE] = ACTIONS(3262),
    [anon_sym_SEMI] = ACTIONS(3262),
    [anon_sym_EQ] = ACTIONS(3264),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3262),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3262),
    [anon_sym_COMMA] = ACTIONS(3262),
    [anon_sym_RPAREN] = ACTIONS(3262),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3262),
    [anon_sym_and] = ACTIONS(3262),
    [anon_sym_or] = ACTIONS(3262),
    [anon_sym_xor] = ACTIONS(3262),
    [anon_sym_DASH_GT] = ACTIONS(3262),
    [anon_sym_PERCENT] = ACTIONS(3264),
    [anon_sym_GT] = ACTIONS(3264),
    [anon_sym_LT_LT] = ACTIONS(3264),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3262),
    [anon_sym_PLUS_EQ] = ACTIONS(3262),
    [anon_sym_DASH_EQ] = ACTIONS(3262),
    [anon_sym_DOT_EQ] = ACTIONS(3262),
    [anon_sym_STAR_EQ] = ACTIONS(3262),
    [anon_sym_SLASH_EQ] = ACTIONS(3262),
    [anon_sym_PERCENT_EQ] = ACTIONS(3262),
    [anon_sym_x_EQ] = ACTIONS(3262),
    [anon_sym_AMP_EQ] = ACTIONS(3262),
    [anon_sym_PIPE_EQ] = ACTIONS(3262),
    [anon_sym_CARET_EQ] = ACTIONS(3262),
    [anon_sym_LT_LT_EQ] = ACTIONS(3262),
    [anon_sym_GT_GT_EQ] = ACTIONS(3262),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3262),
    [anon_sym_DOT_DOT] = ACTIONS(3264),
    [anon_sym_STAR_STAR] = ACTIONS(3264),
    [anon_sym_PIPE_PIPE] = ACTIONS(3264),
    [anon_sym_SLASH_SLASH] = ACTIONS(3264),
    [anon_sym_CARET_CARET] = ACTIONS(3262),
    [anon_sym_AMP_AMP] = ACTIONS(3264),
    [anon_sym_PIPE] = ACTIONS(3264),
    [anon_sym_CARET] = ACTIONS(3264),
    [anon_sym_AMP] = ACTIONS(3264),
    [anon_sym_GT_GT2] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_DOT] = ACTIONS(3264),
    [anon_sym_STAR] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_x] = ACTIONS(3264),
    [anon_sym_EQ_TILDE] = ACTIONS(3262),
    [anon_sym_BANG_TILDE] = ACTIONS(3262),
    [anon_sym_EQ_EQ] = ACTIONS(3264),
    [anon_sym_BANG_EQ] = ACTIONS(3262),
    [anon_sym_eq] = ACTIONS(3264),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3262),
    [anon_sym_equ] = ACTIONS(3262),
    [anon_sym_eqr] = ACTIONS(3262),
    [anon_sym_ne] = ACTIONS(3262),
    [anon_sym_LT_EQ_GT] = ACTIONS(3262),
    [anon_sym_cmp] = ACTIONS(3262),
    [anon_sym_TILDE_TILDE] = ACTIONS(3262),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_LT_EQ] = ACTIONS(3264),
    [anon_sym_GT_EQ] = ACTIONS(3262),
    [anon_sym_lt] = ACTIONS(3262),
    [anon_sym_le] = ACTIONS(3262),
    [anon_sym_ge] = ACTIONS(3262),
    [anon_sym_gt] = ACTIONS(3262),
    [anon_sym_isa] = ACTIONS(3262),
    [anon_sym_PLUS_PLUS] = ACTIONS(3262),
    [anon_sym_DASH_DASH] = ACTIONS(3262),
    [anon_sym_QMARK] = ACTIONS(3262),
    [anon_sym_EQ_GT] = ACTIONS(3262),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_foreach] = ACTIONS(3262),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3262),
    [anon_sym___END__] = ACTIONS(3262),
    [anon_sym_EOT] = ACTIONS(3262),
    [anon_sym_if] = ACTIONS(3262),
    [anon_sym_unless] = ACTIONS(3262),
    [anon_sym_while] = ACTIONS(3262),
    [anon_sym_until] = ACTIONS(3262),
    [sym__PERLY_SEMICOLON] = ACTIONS(3262),
    [sym__ctrl_z_hack] = ACTIONS(3262),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1405] = {
    [sym_heredoc_content] = STATE(1405),
    [anon_sym_RBRACE] = ACTIONS(3266),
    [anon_sym_SEMI] = ACTIONS(3266),
    [anon_sym_EQ] = ACTIONS(3268),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3266),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3266),
    [anon_sym_COMMA] = ACTIONS(3266),
    [anon_sym_RPAREN] = ACTIONS(3266),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3266),
    [anon_sym_and] = ACTIONS(3266),
    [anon_sym_or] = ACTIONS(3266),
    [anon_sym_xor] = ACTIONS(3266),
    [anon_sym_DASH_GT] = ACTIONS(3266),
    [anon_sym_PERCENT] = ACTIONS(3268),
    [anon_sym_GT] = ACTIONS(3268),
    [anon_sym_LT_LT] = ACTIONS(3268),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3266),
    [anon_sym_PLUS_EQ] = ACTIONS(3266),
    [anon_sym_DASH_EQ] = ACTIONS(3266),
    [anon_sym_DOT_EQ] = ACTIONS(3266),
    [anon_sym_STAR_EQ] = ACTIONS(3266),
    [anon_sym_SLASH_EQ] = ACTIONS(3266),
    [anon_sym_PERCENT_EQ] = ACTIONS(3266),
    [anon_sym_x_EQ] = ACTIONS(3266),
    [anon_sym_AMP_EQ] = ACTIONS(3266),
    [anon_sym_PIPE_EQ] = ACTIONS(3266),
    [anon_sym_CARET_EQ] = ACTIONS(3266),
    [anon_sym_LT_LT_EQ] = ACTIONS(3266),
    [anon_sym_GT_GT_EQ] = ACTIONS(3266),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3266),
    [anon_sym_DOT_DOT] = ACTIONS(3268),
    [anon_sym_STAR_STAR] = ACTIONS(3268),
    [anon_sym_PIPE_PIPE] = ACTIONS(3268),
    [anon_sym_SLASH_SLASH] = ACTIONS(3268),
    [anon_sym_CARET_CARET] = ACTIONS(3266),
    [anon_sym_AMP_AMP] = ACTIONS(3268),
    [anon_sym_PIPE] = ACTIONS(3268),
    [anon_sym_CARET] = ACTIONS(3268),
    [anon_sym_AMP] = ACTIONS(3268),
    [anon_sym_GT_GT2] = ACTIONS(3268),
    [anon_sym_PLUS] = ACTIONS(3268),
    [anon_sym_DASH] = ACTIONS(3268),
    [anon_sym_DOT] = ACTIONS(3268),
    [anon_sym_STAR] = ACTIONS(3268),
    [anon_sym_SLASH] = ACTIONS(3268),
    [anon_sym_x] = ACTIONS(3268),
    [anon_sym_EQ_TILDE] = ACTIONS(3266),
    [anon_sym_BANG_TILDE] = ACTIONS(3266),
    [anon_sym_EQ_EQ] = ACTIONS(3268),
    [anon_sym_BANG_EQ] = ACTIONS(3266),
    [anon_sym_eq] = ACTIONS(3268),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3266),
    [anon_sym_equ] = ACTIONS(3266),
    [anon_sym_eqr] = ACTIONS(3266),
    [anon_sym_ne] = ACTIONS(3266),
    [anon_sym_LT_EQ_GT] = ACTIONS(3266),
    [anon_sym_cmp] = ACTIONS(3266),
    [anon_sym_TILDE_TILDE] = ACTIONS(3266),
    [anon_sym_LT] = ACTIONS(3268),
    [anon_sym_LT_EQ] = ACTIONS(3268),
    [anon_sym_GT_EQ] = ACTIONS(3266),
    [anon_sym_lt] = ACTIONS(3266),
    [anon_sym_le] = ACTIONS(3266),
    [anon_sym_ge] = ACTIONS(3266),
    [anon_sym_gt] = ACTIONS(3266),
    [anon_sym_isa] = ACTIONS(3266),
    [anon_sym_PLUS_PLUS] = ACTIONS(3266),
    [anon_sym_DASH_DASH] = ACTIONS(3266),
    [anon_sym_QMARK] = ACTIONS(3266),
    [anon_sym_EQ_GT] = ACTIONS(3266),
    [anon_sym_for] = ACTIONS(3268),
    [anon_sym_foreach] = ACTIONS(3266),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3266),
    [anon_sym___END__] = ACTIONS(3266),
    [anon_sym_EOT] = ACTIONS(3266),
    [anon_sym_if] = ACTIONS(3266),
    [anon_sym_unless] = ACTIONS(3266),
    [anon_sym_while] = ACTIONS(3266),
    [anon_sym_until] = ACTIONS(3266),
    [sym__PERLY_SEMICOLON] = ACTIONS(3266),
    [sym__ctrl_z_hack] = ACTIONS(3266),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1406] = {
    [sym_heredoc_content] = STATE(1406),
    [anon_sym_RBRACE] = ACTIONS(3270),
    [anon_sym_SEMI] = ACTIONS(3270),
    [anon_sym_EQ] = ACTIONS(3272),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3270),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3270),
    [anon_sym_COMMA] = ACTIONS(3270),
    [anon_sym_RPAREN] = ACTIONS(3270),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3270),
    [anon_sym_and] = ACTIONS(3270),
    [anon_sym_or] = ACTIONS(3270),
    [anon_sym_xor] = ACTIONS(3270),
    [anon_sym_DASH_GT] = ACTIONS(3270),
    [anon_sym_PERCENT] = ACTIONS(3272),
    [anon_sym_GT] = ACTIONS(3272),
    [anon_sym_LT_LT] = ACTIONS(3272),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3270),
    [anon_sym_PLUS_EQ] = ACTIONS(3270),
    [anon_sym_DASH_EQ] = ACTIONS(3270),
    [anon_sym_DOT_EQ] = ACTIONS(3270),
    [anon_sym_STAR_EQ] = ACTIONS(3270),
    [anon_sym_SLASH_EQ] = ACTIONS(3270),
    [anon_sym_PERCENT_EQ] = ACTIONS(3270),
    [anon_sym_x_EQ] = ACTIONS(3270),
    [anon_sym_AMP_EQ] = ACTIONS(3270),
    [anon_sym_PIPE_EQ] = ACTIONS(3270),
    [anon_sym_CARET_EQ] = ACTIONS(3270),
    [anon_sym_LT_LT_EQ] = ACTIONS(3270),
    [anon_sym_GT_GT_EQ] = ACTIONS(3270),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3270),
    [anon_sym_DOT_DOT] = ACTIONS(3272),
    [anon_sym_STAR_STAR] = ACTIONS(3272),
    [anon_sym_PIPE_PIPE] = ACTIONS(3272),
    [anon_sym_SLASH_SLASH] = ACTIONS(3272),
    [anon_sym_CARET_CARET] = ACTIONS(3270),
    [anon_sym_AMP_AMP] = ACTIONS(3272),
    [anon_sym_PIPE] = ACTIONS(3272),
    [anon_sym_CARET] = ACTIONS(3272),
    [anon_sym_AMP] = ACTIONS(3272),
    [anon_sym_GT_GT2] = ACTIONS(3272),
    [anon_sym_PLUS] = ACTIONS(3272),
    [anon_sym_DASH] = ACTIONS(3272),
    [anon_sym_DOT] = ACTIONS(3272),
    [anon_sym_STAR] = ACTIONS(3272),
    [anon_sym_SLASH] = ACTIONS(3272),
    [anon_sym_x] = ACTIONS(3272),
    [anon_sym_EQ_TILDE] = ACTIONS(3270),
    [anon_sym_BANG_TILDE] = ACTIONS(3270),
    [anon_sym_EQ_EQ] = ACTIONS(3272),
    [anon_sym_BANG_EQ] = ACTIONS(3270),
    [anon_sym_eq] = ACTIONS(3272),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3270),
    [anon_sym_equ] = ACTIONS(3270),
    [anon_sym_eqr] = ACTIONS(3270),
    [anon_sym_ne] = ACTIONS(3270),
    [anon_sym_LT_EQ_GT] = ACTIONS(3270),
    [anon_sym_cmp] = ACTIONS(3270),
    [anon_sym_TILDE_TILDE] = ACTIONS(3270),
    [anon_sym_LT] = ACTIONS(3272),
    [anon_sym_LT_EQ] = ACTIONS(3272),
    [anon_sym_GT_EQ] = ACTIONS(3270),
    [anon_sym_lt] = ACTIONS(3270),
    [anon_sym_le] = ACTIONS(3270),
    [anon_sym_ge] = ACTIONS(3270),
    [anon_sym_gt] = ACTIONS(3270),
    [anon_sym_isa] = ACTIONS(3270),
    [anon_sym_PLUS_PLUS] = ACTIONS(3270),
    [anon_sym_DASH_DASH] = ACTIONS(3270),
    [anon_sym_QMARK] = ACTIONS(3270),
    [anon_sym_EQ_GT] = ACTIONS(3270),
    [anon_sym_for] = ACTIONS(3272),
    [anon_sym_foreach] = ACTIONS(3270),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3270),
    [anon_sym___END__] = ACTIONS(3270),
    [anon_sym_EOT] = ACTIONS(3270),
    [anon_sym_if] = ACTIONS(3270),
    [anon_sym_unless] = ACTIONS(3270),
    [anon_sym_while] = ACTIONS(3270),
    [anon_sym_until] = ACTIONS(3270),
    [sym__PERLY_SEMICOLON] = ACTIONS(3270),
    [sym__ctrl_z_hack] = ACTIONS(3270),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1407] = {
    [sym_heredoc_content] = STATE(1407),
    [anon_sym_RBRACE] = ACTIONS(3274),
    [anon_sym_SEMI] = ACTIONS(3274),
    [anon_sym_EQ] = ACTIONS(3276),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3274),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3274),
    [anon_sym_COMMA] = ACTIONS(3274),
    [anon_sym_RPAREN] = ACTIONS(3274),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3274),
    [anon_sym_and] = ACTIONS(3274),
    [anon_sym_or] = ACTIONS(3274),
    [anon_sym_xor] = ACTIONS(3274),
    [anon_sym_DASH_GT] = ACTIONS(3274),
    [anon_sym_PERCENT] = ACTIONS(3276),
    [anon_sym_GT] = ACTIONS(3276),
    [anon_sym_LT_LT] = ACTIONS(3276),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3274),
    [anon_sym_PLUS_EQ] = ACTIONS(3274),
    [anon_sym_DASH_EQ] = ACTIONS(3274),
    [anon_sym_DOT_EQ] = ACTIONS(3274),
    [anon_sym_STAR_EQ] = ACTIONS(3274),
    [anon_sym_SLASH_EQ] = ACTIONS(3274),
    [anon_sym_PERCENT_EQ] = ACTIONS(3274),
    [anon_sym_x_EQ] = ACTIONS(3274),
    [anon_sym_AMP_EQ] = ACTIONS(3274),
    [anon_sym_PIPE_EQ] = ACTIONS(3274),
    [anon_sym_CARET_EQ] = ACTIONS(3274),
    [anon_sym_LT_LT_EQ] = ACTIONS(3274),
    [anon_sym_GT_GT_EQ] = ACTIONS(3274),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3274),
    [anon_sym_DOT_DOT] = ACTIONS(3276),
    [anon_sym_STAR_STAR] = ACTIONS(3276),
    [anon_sym_PIPE_PIPE] = ACTIONS(3276),
    [anon_sym_SLASH_SLASH] = ACTIONS(3276),
    [anon_sym_CARET_CARET] = ACTIONS(3274),
    [anon_sym_AMP_AMP] = ACTIONS(3276),
    [anon_sym_PIPE] = ACTIONS(3276),
    [anon_sym_CARET] = ACTIONS(3276),
    [anon_sym_AMP] = ACTIONS(3276),
    [anon_sym_GT_GT2] = ACTIONS(3276),
    [anon_sym_PLUS] = ACTIONS(3276),
    [anon_sym_DASH] = ACTIONS(3276),
    [anon_sym_DOT] = ACTIONS(3276),
    [anon_sym_STAR] = ACTIONS(3276),
    [anon_sym_SLASH] = ACTIONS(3276),
    [anon_sym_x] = ACTIONS(3276),
    [anon_sym_EQ_TILDE] = ACTIONS(3274),
    [anon_sym_BANG_TILDE] = ACTIONS(3274),
    [anon_sym_EQ_EQ] = ACTIONS(3276),
    [anon_sym_BANG_EQ] = ACTIONS(3274),
    [anon_sym_eq] = ACTIONS(3276),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3274),
    [anon_sym_equ] = ACTIONS(3274),
    [anon_sym_eqr] = ACTIONS(3274),
    [anon_sym_ne] = ACTIONS(3274),
    [anon_sym_LT_EQ_GT] = ACTIONS(3274),
    [anon_sym_cmp] = ACTIONS(3274),
    [anon_sym_TILDE_TILDE] = ACTIONS(3274),
    [anon_sym_LT] = ACTIONS(3276),
    [anon_sym_LT_EQ] = ACTIONS(3276),
    [anon_sym_GT_EQ] = ACTIONS(3274),
    [anon_sym_lt] = ACTIONS(3274),
    [anon_sym_le] = ACTIONS(3274),
    [anon_sym_ge] = ACTIONS(3274),
    [anon_sym_gt] = ACTIONS(3274),
    [anon_sym_isa] = ACTIONS(3274),
    [anon_sym_PLUS_PLUS] = ACTIONS(3274),
    [anon_sym_DASH_DASH] = ACTIONS(3274),
    [anon_sym_QMARK] = ACTIONS(3274),
    [anon_sym_EQ_GT] = ACTIONS(3274),
    [anon_sym_for] = ACTIONS(3276),
    [anon_sym_foreach] = ACTIONS(3274),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3274),
    [anon_sym___END__] = ACTIONS(3274),
    [anon_sym_EOT] = ACTIONS(3274),
    [anon_sym_if] = ACTIONS(3274),
    [anon_sym_unless] = ACTIONS(3274),
    [anon_sym_while] = ACTIONS(3274),
    [anon_sym_until] = ACTIONS(3274),
    [sym__PERLY_SEMICOLON] = ACTIONS(3274),
    [sym__ctrl_z_hack] = ACTIONS(3274),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1408] = {
    [sym_heredoc_content] = STATE(1408),
    [anon_sym_RBRACE] = ACTIONS(3278),
    [anon_sym_SEMI] = ACTIONS(3278),
    [anon_sym_EQ] = ACTIONS(3280),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3278),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3278),
    [anon_sym_COMMA] = ACTIONS(3278),
    [anon_sym_RPAREN] = ACTIONS(3278),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3278),
    [anon_sym_and] = ACTIONS(3278),
    [anon_sym_or] = ACTIONS(3278),
    [anon_sym_xor] = ACTIONS(3278),
    [anon_sym_DASH_GT] = ACTIONS(3278),
    [anon_sym_PERCENT] = ACTIONS(3280),
    [anon_sym_GT] = ACTIONS(3280),
    [anon_sym_LT_LT] = ACTIONS(3280),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3278),
    [anon_sym_PLUS_EQ] = ACTIONS(3278),
    [anon_sym_DASH_EQ] = ACTIONS(3278),
    [anon_sym_DOT_EQ] = ACTIONS(3278),
    [anon_sym_STAR_EQ] = ACTIONS(3278),
    [anon_sym_SLASH_EQ] = ACTIONS(3278),
    [anon_sym_PERCENT_EQ] = ACTIONS(3278),
    [anon_sym_x_EQ] = ACTIONS(3278),
    [anon_sym_AMP_EQ] = ACTIONS(3278),
    [anon_sym_PIPE_EQ] = ACTIONS(3278),
    [anon_sym_CARET_EQ] = ACTIONS(3278),
    [anon_sym_LT_LT_EQ] = ACTIONS(3278),
    [anon_sym_GT_GT_EQ] = ACTIONS(3278),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3278),
    [anon_sym_DOT_DOT] = ACTIONS(3280),
    [anon_sym_STAR_STAR] = ACTIONS(3280),
    [anon_sym_PIPE_PIPE] = ACTIONS(3280),
    [anon_sym_SLASH_SLASH] = ACTIONS(3280),
    [anon_sym_CARET_CARET] = ACTIONS(3278),
    [anon_sym_AMP_AMP] = ACTIONS(3280),
    [anon_sym_PIPE] = ACTIONS(3280),
    [anon_sym_CARET] = ACTIONS(3280),
    [anon_sym_AMP] = ACTIONS(3280),
    [anon_sym_GT_GT2] = ACTIONS(3280),
    [anon_sym_PLUS] = ACTIONS(3280),
    [anon_sym_DASH] = ACTIONS(3280),
    [anon_sym_DOT] = ACTIONS(3280),
    [anon_sym_STAR] = ACTIONS(3280),
    [anon_sym_SLASH] = ACTIONS(3280),
    [anon_sym_x] = ACTIONS(3280),
    [anon_sym_EQ_TILDE] = ACTIONS(3278),
    [anon_sym_BANG_TILDE] = ACTIONS(3278),
    [anon_sym_EQ_EQ] = ACTIONS(3280),
    [anon_sym_BANG_EQ] = ACTIONS(3278),
    [anon_sym_eq] = ACTIONS(3280),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3278),
    [anon_sym_equ] = ACTIONS(3278),
    [anon_sym_eqr] = ACTIONS(3278),
    [anon_sym_ne] = ACTIONS(3278),
    [anon_sym_LT_EQ_GT] = ACTIONS(3278),
    [anon_sym_cmp] = ACTIONS(3278),
    [anon_sym_TILDE_TILDE] = ACTIONS(3278),
    [anon_sym_LT] = ACTIONS(3280),
    [anon_sym_LT_EQ] = ACTIONS(3280),
    [anon_sym_GT_EQ] = ACTIONS(3278),
    [anon_sym_lt] = ACTIONS(3278),
    [anon_sym_le] = ACTIONS(3278),
    [anon_sym_ge] = ACTIONS(3278),
    [anon_sym_gt] = ACTIONS(3278),
    [anon_sym_isa] = ACTIONS(3278),
    [anon_sym_PLUS_PLUS] = ACTIONS(3278),
    [anon_sym_DASH_DASH] = ACTIONS(3278),
    [anon_sym_QMARK] = ACTIONS(3278),
    [anon_sym_EQ_GT] = ACTIONS(3278),
    [anon_sym_for] = ACTIONS(3280),
    [anon_sym_foreach] = ACTIONS(3278),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3278),
    [anon_sym___END__] = ACTIONS(3278),
    [anon_sym_EOT] = ACTIONS(3278),
    [anon_sym_if] = ACTIONS(3278),
    [anon_sym_unless] = ACTIONS(3278),
    [anon_sym_while] = ACTIONS(3278),
    [anon_sym_until] = ACTIONS(3278),
    [sym__PERLY_SEMICOLON] = ACTIONS(3278),
    [sym__ctrl_z_hack] = ACTIONS(3278),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1409] = {
    [sym_heredoc_content] = STATE(1409),
    [anon_sym_RBRACE] = ACTIONS(3282),
    [anon_sym_SEMI] = ACTIONS(3282),
    [anon_sym_EQ] = ACTIONS(3284),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3282),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3282),
    [anon_sym_COMMA] = ACTIONS(3282),
    [anon_sym_RPAREN] = ACTIONS(3282),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3282),
    [anon_sym_and] = ACTIONS(3282),
    [anon_sym_or] = ACTIONS(3282),
    [anon_sym_xor] = ACTIONS(3282),
    [anon_sym_DASH_GT] = ACTIONS(3282),
    [anon_sym_PERCENT] = ACTIONS(3284),
    [anon_sym_GT] = ACTIONS(3284),
    [anon_sym_LT_LT] = ACTIONS(3284),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3282),
    [anon_sym_PLUS_EQ] = ACTIONS(3282),
    [anon_sym_DASH_EQ] = ACTIONS(3282),
    [anon_sym_DOT_EQ] = ACTIONS(3282),
    [anon_sym_STAR_EQ] = ACTIONS(3282),
    [anon_sym_SLASH_EQ] = ACTIONS(3282),
    [anon_sym_PERCENT_EQ] = ACTIONS(3282),
    [anon_sym_x_EQ] = ACTIONS(3282),
    [anon_sym_AMP_EQ] = ACTIONS(3282),
    [anon_sym_PIPE_EQ] = ACTIONS(3282),
    [anon_sym_CARET_EQ] = ACTIONS(3282),
    [anon_sym_LT_LT_EQ] = ACTIONS(3282),
    [anon_sym_GT_GT_EQ] = ACTIONS(3282),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3282),
    [anon_sym_DOT_DOT] = ACTIONS(3284),
    [anon_sym_STAR_STAR] = ACTIONS(3284),
    [anon_sym_PIPE_PIPE] = ACTIONS(3284),
    [anon_sym_SLASH_SLASH] = ACTIONS(3284),
    [anon_sym_CARET_CARET] = ACTIONS(3282),
    [anon_sym_AMP_AMP] = ACTIONS(3284),
    [anon_sym_PIPE] = ACTIONS(3284),
    [anon_sym_CARET] = ACTIONS(3284),
    [anon_sym_AMP] = ACTIONS(3284),
    [anon_sym_GT_GT2] = ACTIONS(3284),
    [anon_sym_PLUS] = ACTIONS(3284),
    [anon_sym_DASH] = ACTIONS(3284),
    [anon_sym_DOT] = ACTIONS(3284),
    [anon_sym_STAR] = ACTIONS(3284),
    [anon_sym_SLASH] = ACTIONS(3284),
    [anon_sym_x] = ACTIONS(3284),
    [anon_sym_EQ_TILDE] = ACTIONS(3282),
    [anon_sym_BANG_TILDE] = ACTIONS(3282),
    [anon_sym_EQ_EQ] = ACTIONS(3284),
    [anon_sym_BANG_EQ] = ACTIONS(3282),
    [anon_sym_eq] = ACTIONS(3284),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3282),
    [anon_sym_equ] = ACTIONS(3282),
    [anon_sym_eqr] = ACTIONS(3282),
    [anon_sym_ne] = ACTIONS(3282),
    [anon_sym_LT_EQ_GT] = ACTIONS(3282),
    [anon_sym_cmp] = ACTIONS(3282),
    [anon_sym_TILDE_TILDE] = ACTIONS(3282),
    [anon_sym_LT] = ACTIONS(3284),
    [anon_sym_LT_EQ] = ACTIONS(3284),
    [anon_sym_GT_EQ] = ACTIONS(3282),
    [anon_sym_lt] = ACTIONS(3282),
    [anon_sym_le] = ACTIONS(3282),
    [anon_sym_ge] = ACTIONS(3282),
    [anon_sym_gt] = ACTIONS(3282),
    [anon_sym_isa] = ACTIONS(3282),
    [anon_sym_PLUS_PLUS] = ACTIONS(3282),
    [anon_sym_DASH_DASH] = ACTIONS(3282),
    [anon_sym_QMARK] = ACTIONS(3282),
    [anon_sym_EQ_GT] = ACTIONS(3282),
    [anon_sym_for] = ACTIONS(3284),
    [anon_sym_foreach] = ACTIONS(3282),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3282),
    [anon_sym___END__] = ACTIONS(3282),
    [anon_sym_EOT] = ACTIONS(3282),
    [anon_sym_if] = ACTIONS(3282),
    [anon_sym_unless] = ACTIONS(3282),
    [anon_sym_while] = ACTIONS(3282),
    [anon_sym_until] = ACTIONS(3282),
    [sym__PERLY_SEMICOLON] = ACTIONS(3282),
    [sym__ctrl_z_hack] = ACTIONS(3282),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1410] = {
    [sym_heredoc_content] = STATE(1410),
    [anon_sym_RBRACE] = ACTIONS(3286),
    [anon_sym_SEMI] = ACTIONS(3286),
    [anon_sym_EQ] = ACTIONS(3288),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3286),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3286),
    [anon_sym_COMMA] = ACTIONS(3286),
    [anon_sym_RPAREN] = ACTIONS(3286),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3286),
    [anon_sym_and] = ACTIONS(3286),
    [anon_sym_or] = ACTIONS(3286),
    [anon_sym_xor] = ACTIONS(3286),
    [anon_sym_DASH_GT] = ACTIONS(3286),
    [anon_sym_PERCENT] = ACTIONS(3288),
    [anon_sym_GT] = ACTIONS(3288),
    [anon_sym_LT_LT] = ACTIONS(3288),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3286),
    [anon_sym_PLUS_EQ] = ACTIONS(3286),
    [anon_sym_DASH_EQ] = ACTIONS(3286),
    [anon_sym_DOT_EQ] = ACTIONS(3286),
    [anon_sym_STAR_EQ] = ACTIONS(3286),
    [anon_sym_SLASH_EQ] = ACTIONS(3286),
    [anon_sym_PERCENT_EQ] = ACTIONS(3286),
    [anon_sym_x_EQ] = ACTIONS(3286),
    [anon_sym_AMP_EQ] = ACTIONS(3286),
    [anon_sym_PIPE_EQ] = ACTIONS(3286),
    [anon_sym_CARET_EQ] = ACTIONS(3286),
    [anon_sym_LT_LT_EQ] = ACTIONS(3286),
    [anon_sym_GT_GT_EQ] = ACTIONS(3286),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3286),
    [anon_sym_DOT_DOT] = ACTIONS(3288),
    [anon_sym_STAR_STAR] = ACTIONS(3288),
    [anon_sym_PIPE_PIPE] = ACTIONS(3288),
    [anon_sym_SLASH_SLASH] = ACTIONS(3288),
    [anon_sym_CARET_CARET] = ACTIONS(3286),
    [anon_sym_AMP_AMP] = ACTIONS(3288),
    [anon_sym_PIPE] = ACTIONS(3288),
    [anon_sym_CARET] = ACTIONS(3288),
    [anon_sym_AMP] = ACTIONS(3288),
    [anon_sym_GT_GT2] = ACTIONS(3288),
    [anon_sym_PLUS] = ACTIONS(3288),
    [anon_sym_DASH] = ACTIONS(3288),
    [anon_sym_DOT] = ACTIONS(3288),
    [anon_sym_STAR] = ACTIONS(3288),
    [anon_sym_SLASH] = ACTIONS(3288),
    [anon_sym_x] = ACTIONS(3288),
    [anon_sym_EQ_TILDE] = ACTIONS(3286),
    [anon_sym_BANG_TILDE] = ACTIONS(3286),
    [anon_sym_EQ_EQ] = ACTIONS(3288),
    [anon_sym_BANG_EQ] = ACTIONS(3286),
    [anon_sym_eq] = ACTIONS(3288),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3286),
    [anon_sym_equ] = ACTIONS(3286),
    [anon_sym_eqr] = ACTIONS(3286),
    [anon_sym_ne] = ACTIONS(3286),
    [anon_sym_LT_EQ_GT] = ACTIONS(3286),
    [anon_sym_cmp] = ACTIONS(3286),
    [anon_sym_TILDE_TILDE] = ACTIONS(3286),
    [anon_sym_LT] = ACTIONS(3288),
    [anon_sym_LT_EQ] = ACTIONS(3288),
    [anon_sym_GT_EQ] = ACTIONS(3286),
    [anon_sym_lt] = ACTIONS(3286),
    [anon_sym_le] = ACTIONS(3286),
    [anon_sym_ge] = ACTIONS(3286),
    [anon_sym_gt] = ACTIONS(3286),
    [anon_sym_isa] = ACTIONS(3286),
    [anon_sym_PLUS_PLUS] = ACTIONS(3286),
    [anon_sym_DASH_DASH] = ACTIONS(3286),
    [anon_sym_QMARK] = ACTIONS(3286),
    [anon_sym_EQ_GT] = ACTIONS(3286),
    [anon_sym_for] = ACTIONS(3288),
    [anon_sym_foreach] = ACTIONS(3286),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3286),
    [anon_sym___END__] = ACTIONS(3286),
    [anon_sym_EOT] = ACTIONS(3286),
    [anon_sym_if] = ACTIONS(3286),
    [anon_sym_unless] = ACTIONS(3286),
    [anon_sym_while] = ACTIONS(3286),
    [anon_sym_until] = ACTIONS(3286),
    [sym__PERLY_SEMICOLON] = ACTIONS(3286),
    [sym__ctrl_z_hack] = ACTIONS(3286),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1411] = {
    [sym_heredoc_content] = STATE(1411),
    [anon_sym_RBRACE] = ACTIONS(3290),
    [anon_sym_SEMI] = ACTIONS(3290),
    [anon_sym_EQ] = ACTIONS(3292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3290),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3290),
    [anon_sym_COMMA] = ACTIONS(3290),
    [anon_sym_RPAREN] = ACTIONS(3290),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3290),
    [anon_sym_and] = ACTIONS(3290),
    [anon_sym_or] = ACTIONS(3290),
    [anon_sym_xor] = ACTIONS(3290),
    [anon_sym_DASH_GT] = ACTIONS(3290),
    [anon_sym_PERCENT] = ACTIONS(3292),
    [anon_sym_GT] = ACTIONS(3292),
    [anon_sym_LT_LT] = ACTIONS(3292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3290),
    [anon_sym_PLUS_EQ] = ACTIONS(3290),
    [anon_sym_DASH_EQ] = ACTIONS(3290),
    [anon_sym_DOT_EQ] = ACTIONS(3290),
    [anon_sym_STAR_EQ] = ACTIONS(3290),
    [anon_sym_SLASH_EQ] = ACTIONS(3290),
    [anon_sym_PERCENT_EQ] = ACTIONS(3290),
    [anon_sym_x_EQ] = ACTIONS(3290),
    [anon_sym_AMP_EQ] = ACTIONS(3290),
    [anon_sym_PIPE_EQ] = ACTIONS(3290),
    [anon_sym_CARET_EQ] = ACTIONS(3290),
    [anon_sym_LT_LT_EQ] = ACTIONS(3290),
    [anon_sym_GT_GT_EQ] = ACTIONS(3290),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3290),
    [anon_sym_DOT_DOT] = ACTIONS(3292),
    [anon_sym_STAR_STAR] = ACTIONS(3292),
    [anon_sym_PIPE_PIPE] = ACTIONS(3292),
    [anon_sym_SLASH_SLASH] = ACTIONS(3292),
    [anon_sym_CARET_CARET] = ACTIONS(3290),
    [anon_sym_AMP_AMP] = ACTIONS(3292),
    [anon_sym_PIPE] = ACTIONS(3292),
    [anon_sym_CARET] = ACTIONS(3292),
    [anon_sym_AMP] = ACTIONS(3292),
    [anon_sym_GT_GT2] = ACTIONS(3292),
    [anon_sym_PLUS] = ACTIONS(3292),
    [anon_sym_DASH] = ACTIONS(3292),
    [anon_sym_DOT] = ACTIONS(3292),
    [anon_sym_STAR] = ACTIONS(3292),
    [anon_sym_SLASH] = ACTIONS(3292),
    [anon_sym_x] = ACTIONS(3292),
    [anon_sym_EQ_TILDE] = ACTIONS(3290),
    [anon_sym_BANG_TILDE] = ACTIONS(3290),
    [anon_sym_EQ_EQ] = ACTIONS(3292),
    [anon_sym_BANG_EQ] = ACTIONS(3290),
    [anon_sym_eq] = ACTIONS(3292),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3290),
    [anon_sym_equ] = ACTIONS(3290),
    [anon_sym_eqr] = ACTIONS(3290),
    [anon_sym_ne] = ACTIONS(3290),
    [anon_sym_LT_EQ_GT] = ACTIONS(3290),
    [anon_sym_cmp] = ACTIONS(3290),
    [anon_sym_TILDE_TILDE] = ACTIONS(3290),
    [anon_sym_LT] = ACTIONS(3292),
    [anon_sym_LT_EQ] = ACTIONS(3292),
    [anon_sym_GT_EQ] = ACTIONS(3290),
    [anon_sym_lt] = ACTIONS(3290),
    [anon_sym_le] = ACTIONS(3290),
    [anon_sym_ge] = ACTIONS(3290),
    [anon_sym_gt] = ACTIONS(3290),
    [anon_sym_isa] = ACTIONS(3290),
    [anon_sym_PLUS_PLUS] = ACTIONS(3290),
    [anon_sym_DASH_DASH] = ACTIONS(3290),
    [anon_sym_QMARK] = ACTIONS(3290),
    [anon_sym_EQ_GT] = ACTIONS(3290),
    [anon_sym_for] = ACTIONS(3292),
    [anon_sym_foreach] = ACTIONS(3290),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3290),
    [anon_sym___END__] = ACTIONS(3290),
    [anon_sym_EOT] = ACTIONS(3290),
    [anon_sym_if] = ACTIONS(3290),
    [anon_sym_unless] = ACTIONS(3290),
    [anon_sym_while] = ACTIONS(3290),
    [anon_sym_until] = ACTIONS(3290),
    [sym__PERLY_SEMICOLON] = ACTIONS(3290),
    [sym__ctrl_z_hack] = ACTIONS(3290),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1412] = {
    [sym_heredoc_content] = STATE(1412),
    [anon_sym_RBRACE] = ACTIONS(3294),
    [anon_sym_SEMI] = ACTIONS(3294),
    [anon_sym_EQ] = ACTIONS(3296),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3294),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3294),
    [anon_sym_COMMA] = ACTIONS(3294),
    [anon_sym_RPAREN] = ACTIONS(3294),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3294),
    [anon_sym_and] = ACTIONS(3294),
    [anon_sym_or] = ACTIONS(3294),
    [anon_sym_xor] = ACTIONS(3294),
    [anon_sym_DASH_GT] = ACTIONS(3294),
    [anon_sym_PERCENT] = ACTIONS(3296),
    [anon_sym_GT] = ACTIONS(3296),
    [anon_sym_LT_LT] = ACTIONS(3296),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3294),
    [anon_sym_PLUS_EQ] = ACTIONS(3294),
    [anon_sym_DASH_EQ] = ACTIONS(3294),
    [anon_sym_DOT_EQ] = ACTIONS(3294),
    [anon_sym_STAR_EQ] = ACTIONS(3294),
    [anon_sym_SLASH_EQ] = ACTIONS(3294),
    [anon_sym_PERCENT_EQ] = ACTIONS(3294),
    [anon_sym_x_EQ] = ACTIONS(3294),
    [anon_sym_AMP_EQ] = ACTIONS(3294),
    [anon_sym_PIPE_EQ] = ACTIONS(3294),
    [anon_sym_CARET_EQ] = ACTIONS(3294),
    [anon_sym_LT_LT_EQ] = ACTIONS(3294),
    [anon_sym_GT_GT_EQ] = ACTIONS(3294),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3294),
    [anon_sym_DOT_DOT] = ACTIONS(3296),
    [anon_sym_STAR_STAR] = ACTIONS(3296),
    [anon_sym_PIPE_PIPE] = ACTIONS(3296),
    [anon_sym_SLASH_SLASH] = ACTIONS(3296),
    [anon_sym_CARET_CARET] = ACTIONS(3294),
    [anon_sym_AMP_AMP] = ACTIONS(3296),
    [anon_sym_PIPE] = ACTIONS(3296),
    [anon_sym_CARET] = ACTIONS(3296),
    [anon_sym_AMP] = ACTIONS(3296),
    [anon_sym_GT_GT2] = ACTIONS(3296),
    [anon_sym_PLUS] = ACTIONS(3296),
    [anon_sym_DASH] = ACTIONS(3296),
    [anon_sym_DOT] = ACTIONS(3296),
    [anon_sym_STAR] = ACTIONS(3296),
    [anon_sym_SLASH] = ACTIONS(3296),
    [anon_sym_x] = ACTIONS(3296),
    [anon_sym_EQ_TILDE] = ACTIONS(3294),
    [anon_sym_BANG_TILDE] = ACTIONS(3294),
    [anon_sym_EQ_EQ] = ACTIONS(3296),
    [anon_sym_BANG_EQ] = ACTIONS(3294),
    [anon_sym_eq] = ACTIONS(3296),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3294),
    [anon_sym_equ] = ACTIONS(3294),
    [anon_sym_eqr] = ACTIONS(3294),
    [anon_sym_ne] = ACTIONS(3294),
    [anon_sym_LT_EQ_GT] = ACTIONS(3294),
    [anon_sym_cmp] = ACTIONS(3294),
    [anon_sym_TILDE_TILDE] = ACTIONS(3294),
    [anon_sym_LT] = ACTIONS(3296),
    [anon_sym_LT_EQ] = ACTIONS(3296),
    [anon_sym_GT_EQ] = ACTIONS(3294),
    [anon_sym_lt] = ACTIONS(3294),
    [anon_sym_le] = ACTIONS(3294),
    [anon_sym_ge] = ACTIONS(3294),
    [anon_sym_gt] = ACTIONS(3294),
    [anon_sym_isa] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [anon_sym_QMARK] = ACTIONS(3294),
    [anon_sym_EQ_GT] = ACTIONS(3294),
    [anon_sym_for] = ACTIONS(3296),
    [anon_sym_foreach] = ACTIONS(3294),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3294),
    [anon_sym___END__] = ACTIONS(3294),
    [anon_sym_EOT] = ACTIONS(3294),
    [anon_sym_if] = ACTIONS(3294),
    [anon_sym_unless] = ACTIONS(3294),
    [anon_sym_while] = ACTIONS(3294),
    [anon_sym_until] = ACTIONS(3294),
    [sym__PERLY_SEMICOLON] = ACTIONS(3294),
    [sym__ctrl_z_hack] = ACTIONS(3294),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1413] = {
    [sym_heredoc_content] = STATE(1413),
    [anon_sym_RBRACE] = ACTIONS(3298),
    [anon_sym_SEMI] = ACTIONS(3298),
    [anon_sym_EQ] = ACTIONS(3300),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3298),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3298),
    [anon_sym_COMMA] = ACTIONS(3298),
    [anon_sym_RPAREN] = ACTIONS(3298),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3298),
    [anon_sym_and] = ACTIONS(3298),
    [anon_sym_or] = ACTIONS(3298),
    [anon_sym_xor] = ACTIONS(3298),
    [anon_sym_DASH_GT] = ACTIONS(3298),
    [anon_sym_PERCENT] = ACTIONS(3300),
    [anon_sym_GT] = ACTIONS(3300),
    [anon_sym_LT_LT] = ACTIONS(3300),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3298),
    [anon_sym_PLUS_EQ] = ACTIONS(3298),
    [anon_sym_DASH_EQ] = ACTIONS(3298),
    [anon_sym_DOT_EQ] = ACTIONS(3298),
    [anon_sym_STAR_EQ] = ACTIONS(3298),
    [anon_sym_SLASH_EQ] = ACTIONS(3298),
    [anon_sym_PERCENT_EQ] = ACTIONS(3298),
    [anon_sym_x_EQ] = ACTIONS(3298),
    [anon_sym_AMP_EQ] = ACTIONS(3298),
    [anon_sym_PIPE_EQ] = ACTIONS(3298),
    [anon_sym_CARET_EQ] = ACTIONS(3298),
    [anon_sym_LT_LT_EQ] = ACTIONS(3298),
    [anon_sym_GT_GT_EQ] = ACTIONS(3298),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3298),
    [anon_sym_DOT_DOT] = ACTIONS(3300),
    [anon_sym_STAR_STAR] = ACTIONS(3300),
    [anon_sym_PIPE_PIPE] = ACTIONS(3300),
    [anon_sym_SLASH_SLASH] = ACTIONS(3300),
    [anon_sym_CARET_CARET] = ACTIONS(3298),
    [anon_sym_AMP_AMP] = ACTIONS(3300),
    [anon_sym_PIPE] = ACTIONS(3300),
    [anon_sym_CARET] = ACTIONS(3300),
    [anon_sym_AMP] = ACTIONS(3300),
    [anon_sym_GT_GT2] = ACTIONS(3300),
    [anon_sym_PLUS] = ACTIONS(3300),
    [anon_sym_DASH] = ACTIONS(3300),
    [anon_sym_DOT] = ACTIONS(3300),
    [anon_sym_STAR] = ACTIONS(3300),
    [anon_sym_SLASH] = ACTIONS(3300),
    [anon_sym_x] = ACTIONS(3300),
    [anon_sym_EQ_TILDE] = ACTIONS(3298),
    [anon_sym_BANG_TILDE] = ACTIONS(3298),
    [anon_sym_EQ_EQ] = ACTIONS(3300),
    [anon_sym_BANG_EQ] = ACTIONS(3298),
    [anon_sym_eq] = ACTIONS(3300),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3298),
    [anon_sym_equ] = ACTIONS(3298),
    [anon_sym_eqr] = ACTIONS(3298),
    [anon_sym_ne] = ACTIONS(3298),
    [anon_sym_LT_EQ_GT] = ACTIONS(3298),
    [anon_sym_cmp] = ACTIONS(3298),
    [anon_sym_TILDE_TILDE] = ACTIONS(3298),
    [anon_sym_LT] = ACTIONS(3300),
    [anon_sym_LT_EQ] = ACTIONS(3300),
    [anon_sym_GT_EQ] = ACTIONS(3298),
    [anon_sym_lt] = ACTIONS(3298),
    [anon_sym_le] = ACTIONS(3298),
    [anon_sym_ge] = ACTIONS(3298),
    [anon_sym_gt] = ACTIONS(3298),
    [anon_sym_isa] = ACTIONS(3298),
    [anon_sym_PLUS_PLUS] = ACTIONS(3298),
    [anon_sym_DASH_DASH] = ACTIONS(3298),
    [anon_sym_QMARK] = ACTIONS(3298),
    [anon_sym_EQ_GT] = ACTIONS(3298),
    [anon_sym_for] = ACTIONS(3300),
    [anon_sym_foreach] = ACTIONS(3298),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3298),
    [anon_sym___END__] = ACTIONS(3298),
    [anon_sym_EOT] = ACTIONS(3298),
    [anon_sym_if] = ACTIONS(3298),
    [anon_sym_unless] = ACTIONS(3298),
    [anon_sym_while] = ACTIONS(3298),
    [anon_sym_until] = ACTIONS(3298),
    [sym__PERLY_SEMICOLON] = ACTIONS(3298),
    [sym__ctrl_z_hack] = ACTIONS(3298),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1414] = {
    [sym_heredoc_content] = STATE(1414),
    [anon_sym_RBRACE] = ACTIONS(3302),
    [anon_sym_SEMI] = ACTIONS(3302),
    [anon_sym_EQ] = ACTIONS(3304),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3302),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3302),
    [anon_sym_COMMA] = ACTIONS(3302),
    [anon_sym_RPAREN] = ACTIONS(3302),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3302),
    [anon_sym_and] = ACTIONS(3302),
    [anon_sym_or] = ACTIONS(3302),
    [anon_sym_xor] = ACTIONS(3302),
    [anon_sym_DASH_GT] = ACTIONS(3302),
    [anon_sym_PERCENT] = ACTIONS(3304),
    [anon_sym_GT] = ACTIONS(3304),
    [anon_sym_LT_LT] = ACTIONS(3304),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3302),
    [anon_sym_PLUS_EQ] = ACTIONS(3302),
    [anon_sym_DASH_EQ] = ACTIONS(3302),
    [anon_sym_DOT_EQ] = ACTIONS(3302),
    [anon_sym_STAR_EQ] = ACTIONS(3302),
    [anon_sym_SLASH_EQ] = ACTIONS(3302),
    [anon_sym_PERCENT_EQ] = ACTIONS(3302),
    [anon_sym_x_EQ] = ACTIONS(3302),
    [anon_sym_AMP_EQ] = ACTIONS(3302),
    [anon_sym_PIPE_EQ] = ACTIONS(3302),
    [anon_sym_CARET_EQ] = ACTIONS(3302),
    [anon_sym_LT_LT_EQ] = ACTIONS(3302),
    [anon_sym_GT_GT_EQ] = ACTIONS(3302),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3302),
    [anon_sym_DOT_DOT] = ACTIONS(3304),
    [anon_sym_STAR_STAR] = ACTIONS(3304),
    [anon_sym_PIPE_PIPE] = ACTIONS(3304),
    [anon_sym_SLASH_SLASH] = ACTIONS(3304),
    [anon_sym_CARET_CARET] = ACTIONS(3302),
    [anon_sym_AMP_AMP] = ACTIONS(3304),
    [anon_sym_PIPE] = ACTIONS(3304),
    [anon_sym_CARET] = ACTIONS(3304),
    [anon_sym_AMP] = ACTIONS(3304),
    [anon_sym_GT_GT2] = ACTIONS(3304),
    [anon_sym_PLUS] = ACTIONS(3304),
    [anon_sym_DASH] = ACTIONS(3304),
    [anon_sym_DOT] = ACTIONS(3304),
    [anon_sym_STAR] = ACTIONS(3304),
    [anon_sym_SLASH] = ACTIONS(3304),
    [anon_sym_x] = ACTIONS(3304),
    [anon_sym_EQ_TILDE] = ACTIONS(3302),
    [anon_sym_BANG_TILDE] = ACTIONS(3302),
    [anon_sym_EQ_EQ] = ACTIONS(3304),
    [anon_sym_BANG_EQ] = ACTIONS(3302),
    [anon_sym_eq] = ACTIONS(3304),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3302),
    [anon_sym_equ] = ACTIONS(3302),
    [anon_sym_eqr] = ACTIONS(3302),
    [anon_sym_ne] = ACTIONS(3302),
    [anon_sym_LT_EQ_GT] = ACTIONS(3302),
    [anon_sym_cmp] = ACTIONS(3302),
    [anon_sym_TILDE_TILDE] = ACTIONS(3302),
    [anon_sym_LT] = ACTIONS(3304),
    [anon_sym_LT_EQ] = ACTIONS(3304),
    [anon_sym_GT_EQ] = ACTIONS(3302),
    [anon_sym_lt] = ACTIONS(3302),
    [anon_sym_le] = ACTIONS(3302),
    [anon_sym_ge] = ACTIONS(3302),
    [anon_sym_gt] = ACTIONS(3302),
    [anon_sym_isa] = ACTIONS(3302),
    [anon_sym_PLUS_PLUS] = ACTIONS(3302),
    [anon_sym_DASH_DASH] = ACTIONS(3302),
    [anon_sym_QMARK] = ACTIONS(3302),
    [anon_sym_EQ_GT] = ACTIONS(3302),
    [anon_sym_for] = ACTIONS(3304),
    [anon_sym_foreach] = ACTIONS(3302),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3302),
    [anon_sym___END__] = ACTIONS(3302),
    [anon_sym_EOT] = ACTIONS(3302),
    [anon_sym_if] = ACTIONS(3302),
    [anon_sym_unless] = ACTIONS(3302),
    [anon_sym_while] = ACTIONS(3302),
    [anon_sym_until] = ACTIONS(3302),
    [sym__PERLY_SEMICOLON] = ACTIONS(3302),
    [sym__ctrl_z_hack] = ACTIONS(3302),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1415] = {
    [sym_heredoc_content] = STATE(1415),
    [anon_sym_RBRACE] = ACTIONS(3306),
    [anon_sym_SEMI] = ACTIONS(3306),
    [anon_sym_EQ] = ACTIONS(3308),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3306),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3306),
    [anon_sym_COMMA] = ACTIONS(3306),
    [anon_sym_RPAREN] = ACTIONS(3306),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3306),
    [anon_sym_and] = ACTIONS(3306),
    [anon_sym_or] = ACTIONS(3306),
    [anon_sym_xor] = ACTIONS(3306),
    [anon_sym_DASH_GT] = ACTIONS(3306),
    [anon_sym_PERCENT] = ACTIONS(3308),
    [anon_sym_GT] = ACTIONS(3308),
    [anon_sym_LT_LT] = ACTIONS(3308),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3306),
    [anon_sym_PLUS_EQ] = ACTIONS(3306),
    [anon_sym_DASH_EQ] = ACTIONS(3306),
    [anon_sym_DOT_EQ] = ACTIONS(3306),
    [anon_sym_STAR_EQ] = ACTIONS(3306),
    [anon_sym_SLASH_EQ] = ACTIONS(3306),
    [anon_sym_PERCENT_EQ] = ACTIONS(3306),
    [anon_sym_x_EQ] = ACTIONS(3306),
    [anon_sym_AMP_EQ] = ACTIONS(3306),
    [anon_sym_PIPE_EQ] = ACTIONS(3306),
    [anon_sym_CARET_EQ] = ACTIONS(3306),
    [anon_sym_LT_LT_EQ] = ACTIONS(3306),
    [anon_sym_GT_GT_EQ] = ACTIONS(3306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3306),
    [anon_sym_DOT_DOT] = ACTIONS(3308),
    [anon_sym_STAR_STAR] = ACTIONS(3308),
    [anon_sym_PIPE_PIPE] = ACTIONS(3308),
    [anon_sym_SLASH_SLASH] = ACTIONS(3308),
    [anon_sym_CARET_CARET] = ACTIONS(3306),
    [anon_sym_AMP_AMP] = ACTIONS(3308),
    [anon_sym_PIPE] = ACTIONS(3308),
    [anon_sym_CARET] = ACTIONS(3308),
    [anon_sym_AMP] = ACTIONS(3308),
    [anon_sym_GT_GT2] = ACTIONS(3308),
    [anon_sym_PLUS] = ACTIONS(3308),
    [anon_sym_DASH] = ACTIONS(3308),
    [anon_sym_DOT] = ACTIONS(3308),
    [anon_sym_STAR] = ACTIONS(3308),
    [anon_sym_SLASH] = ACTIONS(3308),
    [anon_sym_x] = ACTIONS(3308),
    [anon_sym_EQ_TILDE] = ACTIONS(3306),
    [anon_sym_BANG_TILDE] = ACTIONS(3306),
    [anon_sym_EQ_EQ] = ACTIONS(3308),
    [anon_sym_BANG_EQ] = ACTIONS(3306),
    [anon_sym_eq] = ACTIONS(3308),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3306),
    [anon_sym_equ] = ACTIONS(3306),
    [anon_sym_eqr] = ACTIONS(3306),
    [anon_sym_ne] = ACTIONS(3306),
    [anon_sym_LT_EQ_GT] = ACTIONS(3306),
    [anon_sym_cmp] = ACTIONS(3306),
    [anon_sym_TILDE_TILDE] = ACTIONS(3306),
    [anon_sym_LT] = ACTIONS(3308),
    [anon_sym_LT_EQ] = ACTIONS(3308),
    [anon_sym_GT_EQ] = ACTIONS(3306),
    [anon_sym_lt] = ACTIONS(3306),
    [anon_sym_le] = ACTIONS(3306),
    [anon_sym_ge] = ACTIONS(3306),
    [anon_sym_gt] = ACTIONS(3306),
    [anon_sym_isa] = ACTIONS(3306),
    [anon_sym_PLUS_PLUS] = ACTIONS(3306),
    [anon_sym_DASH_DASH] = ACTIONS(3306),
    [anon_sym_QMARK] = ACTIONS(3306),
    [anon_sym_EQ_GT] = ACTIONS(3306),
    [anon_sym_for] = ACTIONS(3308),
    [anon_sym_foreach] = ACTIONS(3306),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3306),
    [anon_sym___END__] = ACTIONS(3306),
    [anon_sym_EOT] = ACTIONS(3306),
    [anon_sym_if] = ACTIONS(3306),
    [anon_sym_unless] = ACTIONS(3306),
    [anon_sym_while] = ACTIONS(3306),
    [anon_sym_until] = ACTIONS(3306),
    [sym__PERLY_SEMICOLON] = ACTIONS(3306),
    [sym__ctrl_z_hack] = ACTIONS(3306),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1416] = {
    [sym_heredoc_content] = STATE(1416),
    [anon_sym_RBRACE] = ACTIONS(3310),
    [anon_sym_SEMI] = ACTIONS(3310),
    [anon_sym_EQ] = ACTIONS(3312),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3310),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3310),
    [anon_sym_COMMA] = ACTIONS(3310),
    [anon_sym_RPAREN] = ACTIONS(3310),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3310),
    [anon_sym_and] = ACTIONS(3310),
    [anon_sym_or] = ACTIONS(3310),
    [anon_sym_xor] = ACTIONS(3310),
    [anon_sym_DASH_GT] = ACTIONS(3310),
    [anon_sym_PERCENT] = ACTIONS(3312),
    [anon_sym_GT] = ACTIONS(3312),
    [anon_sym_LT_LT] = ACTIONS(3312),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3310),
    [anon_sym_PLUS_EQ] = ACTIONS(3310),
    [anon_sym_DASH_EQ] = ACTIONS(3310),
    [anon_sym_DOT_EQ] = ACTIONS(3310),
    [anon_sym_STAR_EQ] = ACTIONS(3310),
    [anon_sym_SLASH_EQ] = ACTIONS(3310),
    [anon_sym_PERCENT_EQ] = ACTIONS(3310),
    [anon_sym_x_EQ] = ACTIONS(3310),
    [anon_sym_AMP_EQ] = ACTIONS(3310),
    [anon_sym_PIPE_EQ] = ACTIONS(3310),
    [anon_sym_CARET_EQ] = ACTIONS(3310),
    [anon_sym_LT_LT_EQ] = ACTIONS(3310),
    [anon_sym_GT_GT_EQ] = ACTIONS(3310),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3310),
    [anon_sym_DOT_DOT] = ACTIONS(3312),
    [anon_sym_STAR_STAR] = ACTIONS(3312),
    [anon_sym_PIPE_PIPE] = ACTIONS(3312),
    [anon_sym_SLASH_SLASH] = ACTIONS(3312),
    [anon_sym_CARET_CARET] = ACTIONS(3310),
    [anon_sym_AMP_AMP] = ACTIONS(3312),
    [anon_sym_PIPE] = ACTIONS(3312),
    [anon_sym_CARET] = ACTIONS(3312),
    [anon_sym_AMP] = ACTIONS(3312),
    [anon_sym_GT_GT2] = ACTIONS(3312),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_DASH] = ACTIONS(3312),
    [anon_sym_DOT] = ACTIONS(3312),
    [anon_sym_STAR] = ACTIONS(3312),
    [anon_sym_SLASH] = ACTIONS(3312),
    [anon_sym_x] = ACTIONS(3312),
    [anon_sym_EQ_TILDE] = ACTIONS(3310),
    [anon_sym_BANG_TILDE] = ACTIONS(3310),
    [anon_sym_EQ_EQ] = ACTIONS(3312),
    [anon_sym_BANG_EQ] = ACTIONS(3310),
    [anon_sym_eq] = ACTIONS(3312),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3310),
    [anon_sym_equ] = ACTIONS(3310),
    [anon_sym_eqr] = ACTIONS(3310),
    [anon_sym_ne] = ACTIONS(3310),
    [anon_sym_LT_EQ_GT] = ACTIONS(3310),
    [anon_sym_cmp] = ACTIONS(3310),
    [anon_sym_TILDE_TILDE] = ACTIONS(3310),
    [anon_sym_LT] = ACTIONS(3312),
    [anon_sym_LT_EQ] = ACTIONS(3312),
    [anon_sym_GT_EQ] = ACTIONS(3310),
    [anon_sym_lt] = ACTIONS(3310),
    [anon_sym_le] = ACTIONS(3310),
    [anon_sym_ge] = ACTIONS(3310),
    [anon_sym_gt] = ACTIONS(3310),
    [anon_sym_isa] = ACTIONS(3310),
    [anon_sym_PLUS_PLUS] = ACTIONS(3310),
    [anon_sym_DASH_DASH] = ACTIONS(3310),
    [anon_sym_QMARK] = ACTIONS(3310),
    [anon_sym_EQ_GT] = ACTIONS(3310),
    [anon_sym_for] = ACTIONS(3312),
    [anon_sym_foreach] = ACTIONS(3310),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3310),
    [anon_sym___END__] = ACTIONS(3310),
    [anon_sym_EOT] = ACTIONS(3310),
    [anon_sym_if] = ACTIONS(3310),
    [anon_sym_unless] = ACTIONS(3310),
    [anon_sym_while] = ACTIONS(3310),
    [anon_sym_until] = ACTIONS(3310),
    [sym__PERLY_SEMICOLON] = ACTIONS(3310),
    [sym__ctrl_z_hack] = ACTIONS(3310),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1417] = {
    [sym_heredoc_content] = STATE(1417),
    [anon_sym_RBRACE] = ACTIONS(3314),
    [anon_sym_SEMI] = ACTIONS(3314),
    [anon_sym_EQ] = ACTIONS(3316),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3314),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3314),
    [anon_sym_COMMA] = ACTIONS(3314),
    [anon_sym_RPAREN] = ACTIONS(3314),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3314),
    [anon_sym_and] = ACTIONS(3314),
    [anon_sym_or] = ACTIONS(3314),
    [anon_sym_xor] = ACTIONS(3314),
    [anon_sym_DASH_GT] = ACTIONS(3314),
    [anon_sym_PERCENT] = ACTIONS(3316),
    [anon_sym_GT] = ACTIONS(3316),
    [anon_sym_LT_LT] = ACTIONS(3316),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3314),
    [anon_sym_PLUS_EQ] = ACTIONS(3314),
    [anon_sym_DASH_EQ] = ACTIONS(3314),
    [anon_sym_DOT_EQ] = ACTIONS(3314),
    [anon_sym_STAR_EQ] = ACTIONS(3314),
    [anon_sym_SLASH_EQ] = ACTIONS(3314),
    [anon_sym_PERCENT_EQ] = ACTIONS(3314),
    [anon_sym_x_EQ] = ACTIONS(3314),
    [anon_sym_AMP_EQ] = ACTIONS(3314),
    [anon_sym_PIPE_EQ] = ACTIONS(3314),
    [anon_sym_CARET_EQ] = ACTIONS(3314),
    [anon_sym_LT_LT_EQ] = ACTIONS(3314),
    [anon_sym_GT_GT_EQ] = ACTIONS(3314),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3314),
    [anon_sym_DOT_DOT] = ACTIONS(3316),
    [anon_sym_STAR_STAR] = ACTIONS(3316),
    [anon_sym_PIPE_PIPE] = ACTIONS(3316),
    [anon_sym_SLASH_SLASH] = ACTIONS(3316),
    [anon_sym_CARET_CARET] = ACTIONS(3314),
    [anon_sym_AMP_AMP] = ACTIONS(3316),
    [anon_sym_PIPE] = ACTIONS(3316),
    [anon_sym_CARET] = ACTIONS(3316),
    [anon_sym_AMP] = ACTIONS(3316),
    [anon_sym_GT_GT2] = ACTIONS(3316),
    [anon_sym_PLUS] = ACTIONS(3316),
    [anon_sym_DASH] = ACTIONS(3316),
    [anon_sym_DOT] = ACTIONS(3316),
    [anon_sym_STAR] = ACTIONS(3316),
    [anon_sym_SLASH] = ACTIONS(3316),
    [anon_sym_x] = ACTIONS(3316),
    [anon_sym_EQ_TILDE] = ACTIONS(3314),
    [anon_sym_BANG_TILDE] = ACTIONS(3314),
    [anon_sym_EQ_EQ] = ACTIONS(3316),
    [anon_sym_BANG_EQ] = ACTIONS(3314),
    [anon_sym_eq] = ACTIONS(3316),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3314),
    [anon_sym_equ] = ACTIONS(3314),
    [anon_sym_eqr] = ACTIONS(3314),
    [anon_sym_ne] = ACTIONS(3314),
    [anon_sym_LT_EQ_GT] = ACTIONS(3314),
    [anon_sym_cmp] = ACTIONS(3314),
    [anon_sym_TILDE_TILDE] = ACTIONS(3314),
    [anon_sym_LT] = ACTIONS(3316),
    [anon_sym_LT_EQ] = ACTIONS(3316),
    [anon_sym_GT_EQ] = ACTIONS(3314),
    [anon_sym_lt] = ACTIONS(3314),
    [anon_sym_le] = ACTIONS(3314),
    [anon_sym_ge] = ACTIONS(3314),
    [anon_sym_gt] = ACTIONS(3314),
    [anon_sym_isa] = ACTIONS(3314),
    [anon_sym_PLUS_PLUS] = ACTIONS(3314),
    [anon_sym_DASH_DASH] = ACTIONS(3314),
    [anon_sym_QMARK] = ACTIONS(3314),
    [anon_sym_EQ_GT] = ACTIONS(3314),
    [anon_sym_for] = ACTIONS(3316),
    [anon_sym_foreach] = ACTIONS(3314),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3314),
    [anon_sym___END__] = ACTIONS(3314),
    [anon_sym_EOT] = ACTIONS(3314),
    [anon_sym_if] = ACTIONS(3314),
    [anon_sym_unless] = ACTIONS(3314),
    [anon_sym_while] = ACTIONS(3314),
    [anon_sym_until] = ACTIONS(3314),
    [sym__PERLY_SEMICOLON] = ACTIONS(3314),
    [sym__ctrl_z_hack] = ACTIONS(3314),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1418] = {
    [sym_heredoc_content] = STATE(1418),
    [anon_sym_RBRACE] = ACTIONS(3019),
    [anon_sym_SEMI] = ACTIONS(3019),
    [anon_sym_EQ] = ACTIONS(3021),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_COMMA] = ACTIONS(3019),
    [anon_sym_RPAREN] = ACTIONS(3019),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3019),
    [anon_sym_and] = ACTIONS(3019),
    [anon_sym_or] = ACTIONS(3019),
    [anon_sym_xor] = ACTIONS(3019),
    [anon_sym_DASH_GT] = ACTIONS(2591),
    [anon_sym_PERCENT] = ACTIONS(2593),
    [anon_sym_GT] = ACTIONS(3021),
    [anon_sym_LT_LT] = ACTIONS(3021),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3019),
    [anon_sym_PLUS_EQ] = ACTIONS(3019),
    [anon_sym_DASH_EQ] = ACTIONS(3019),
    [anon_sym_DOT_EQ] = ACTIONS(3019),
    [anon_sym_STAR_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_PERCENT_EQ] = ACTIONS(3019),
    [anon_sym_x_EQ] = ACTIONS(3019),
    [anon_sym_AMP_EQ] = ACTIONS(3019),
    [anon_sym_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_CARET_EQ] = ACTIONS(3019),
    [anon_sym_LT_LT_EQ] = ACTIONS(3019),
    [anon_sym_GT_GT_EQ] = ACTIONS(3019),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3019),
    [anon_sym_DOT_DOT] = ACTIONS(3021),
    [anon_sym_STAR_STAR] = ACTIONS(2601),
    [anon_sym_PIPE_PIPE] = ACTIONS(3021),
    [anon_sym_SLASH_SLASH] = ACTIONS(3021),
    [anon_sym_CARET_CARET] = ACTIONS(3019),
    [anon_sym_AMP_AMP] = ACTIONS(3021),
    [anon_sym_PIPE] = ACTIONS(3021),
    [anon_sym_CARET] = ACTIONS(3021),
    [anon_sym_AMP] = ACTIONS(3021),
    [anon_sym_GT_GT2] = ACTIONS(3021),
    [anon_sym_PLUS] = ACTIONS(3021),
    [anon_sym_DASH] = ACTIONS(3021),
    [anon_sym_DOT] = ACTIONS(3021),
    [anon_sym_STAR] = ACTIONS(2593),
    [anon_sym_SLASH] = ACTIONS(2593),
    [anon_sym_x] = ACTIONS(2593),
    [anon_sym_EQ_TILDE] = ACTIONS(2615),
    [anon_sym_BANG_TILDE] = ACTIONS(2615),
    [anon_sym_EQ_EQ] = ACTIONS(3021),
    [anon_sym_BANG_EQ] = ACTIONS(3019),
    [anon_sym_eq] = ACTIONS(3021),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3019),
    [anon_sym_equ] = ACTIONS(3019),
    [anon_sym_eqr] = ACTIONS(3019),
    [anon_sym_ne] = ACTIONS(3019),
    [anon_sym_LT_EQ_GT] = ACTIONS(3019),
    [anon_sym_cmp] = ACTIONS(3019),
    [anon_sym_TILDE_TILDE] = ACTIONS(3019),
    [anon_sym_LT] = ACTIONS(3021),
    [anon_sym_LT_EQ] = ACTIONS(3021),
    [anon_sym_GT_EQ] = ACTIONS(3019),
    [anon_sym_lt] = ACTIONS(3019),
    [anon_sym_le] = ACTIONS(3019),
    [anon_sym_ge] = ACTIONS(3019),
    [anon_sym_gt] = ACTIONS(3019),
    [anon_sym_isa] = ACTIONS(3019),
    [anon_sym_PLUS_PLUS] = ACTIONS(2627),
    [anon_sym_DASH_DASH] = ACTIONS(2627),
    [anon_sym_QMARK] = ACTIONS(3019),
    [anon_sym_EQ_GT] = ACTIONS(3019),
    [anon_sym_for] = ACTIONS(3021),
    [anon_sym_foreach] = ACTIONS(3019),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3019),
    [anon_sym___END__] = ACTIONS(3019),
    [anon_sym_EOT] = ACTIONS(3019),
    [anon_sym_if] = ACTIONS(3019),
    [anon_sym_unless] = ACTIONS(3019),
    [anon_sym_while] = ACTIONS(3019),
    [anon_sym_until] = ACTIONS(3019),
    [sym__PERLY_SEMICOLON] = ACTIONS(3019),
    [sym__ctrl_z_hack] = ACTIONS(3019),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1419] = {
    [sym_heredoc_content] = STATE(1419),
    [anon_sym_RBRACE] = ACTIONS(2887),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym_EQ] = ACTIONS(1968),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2887),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2887),
    [anon_sym_COMMA] = ACTIONS(3318),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2887),
    [anon_sym_and] = ACTIONS(2887),
    [anon_sym_or] = ACTIONS(2887),
    [anon_sym_xor] = ACTIONS(2887),
    [anon_sym_DASH_GT] = ACTIONS(2887),
    [anon_sym_PERCENT] = ACTIONS(1968),
    [anon_sym_GT] = ACTIONS(1968),
    [anon_sym_LT_LT] = ACTIONS(1968),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2887),
    [anon_sym_PLUS_EQ] = ACTIONS(2887),
    [anon_sym_DASH_EQ] = ACTIONS(2887),
    [anon_sym_DOT_EQ] = ACTIONS(2887),
    [anon_sym_STAR_EQ] = ACTIONS(2887),
    [anon_sym_SLASH_EQ] = ACTIONS(2887),
    [anon_sym_PERCENT_EQ] = ACTIONS(2887),
    [anon_sym_x_EQ] = ACTIONS(2887),
    [anon_sym_AMP_EQ] = ACTIONS(2887),
    [anon_sym_PIPE_EQ] = ACTIONS(2887),
    [anon_sym_CARET_EQ] = ACTIONS(2887),
    [anon_sym_LT_LT_EQ] = ACTIONS(2887),
    [anon_sym_GT_GT_EQ] = ACTIONS(2887),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2887),
    [anon_sym_DOT_DOT] = ACTIONS(1968),
    [anon_sym_STAR_STAR] = ACTIONS(1968),
    [anon_sym_PIPE_PIPE] = ACTIONS(1968),
    [anon_sym_SLASH_SLASH] = ACTIONS(1968),
    [anon_sym_CARET_CARET] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(1968),
    [anon_sym_PIPE] = ACTIONS(1968),
    [anon_sym_CARET] = ACTIONS(1968),
    [anon_sym_AMP] = ACTIONS(1968),
    [anon_sym_GT_GT2] = ACTIONS(1968),
    [anon_sym_PLUS] = ACTIONS(1968),
    [anon_sym_DASH] = ACTIONS(1968),
    [anon_sym_DOT] = ACTIONS(1968),
    [anon_sym_STAR] = ACTIONS(1968),
    [anon_sym_SLASH] = ACTIONS(1968),
    [anon_sym_x] = ACTIONS(1968),
    [anon_sym_EQ_TILDE] = ACTIONS(2887),
    [anon_sym_BANG_TILDE] = ACTIONS(2887),
    [anon_sym_EQ_EQ] = ACTIONS(1968),
    [anon_sym_BANG_EQ] = ACTIONS(2887),
    [anon_sym_eq] = ACTIONS(1968),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2887),
    [anon_sym_equ] = ACTIONS(2887),
    [anon_sym_eqr] = ACTIONS(2887),
    [anon_sym_ne] = ACTIONS(2887),
    [anon_sym_LT_EQ_GT] = ACTIONS(2887),
    [anon_sym_cmp] = ACTIONS(2887),
    [anon_sym_TILDE_TILDE] = ACTIONS(2887),
    [anon_sym_LT] = ACTIONS(1968),
    [anon_sym_LT_EQ] = ACTIONS(1968),
    [anon_sym_GT_EQ] = ACTIONS(2887),
    [anon_sym_lt] = ACTIONS(2887),
    [anon_sym_le] = ACTIONS(2887),
    [anon_sym_ge] = ACTIONS(2887),
    [anon_sym_gt] = ACTIONS(2887),
    [anon_sym_isa] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_QMARK] = ACTIONS(2887),
    [anon_sym_EQ_GT] = ACTIONS(3318),
    [anon_sym_for] = ACTIONS(1968),
    [anon_sym_foreach] = ACTIONS(2887),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2887),
    [anon_sym___END__] = ACTIONS(2887),
    [anon_sym_EOT] = ACTIONS(2887),
    [anon_sym_if] = ACTIONS(2887),
    [anon_sym_unless] = ACTIONS(2887),
    [anon_sym_while] = ACTIONS(2887),
    [anon_sym_until] = ACTIONS(2887),
    [sym__PERLY_SEMICOLON] = ACTIONS(2887),
    [sym__ctrl_z_hack] = ACTIONS(2887),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1420] = {
    [sym_heredoc_content] = STATE(1420),
    [anon_sym_RBRACE] = ACTIONS(1849),
    [anon_sym_SEMI] = ACTIONS(1849),
    [anon_sym_EQ] = ACTIONS(1840),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1849),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1849),
    [anon_sym_COMMA] = ACTIONS(3318),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1849),
    [anon_sym_and] = ACTIONS(1849),
    [anon_sym_or] = ACTIONS(1849),
    [anon_sym_xor] = ACTIONS(1849),
    [anon_sym_DASH_GT] = ACTIONS(1849),
    [anon_sym_PERCENT] = ACTIONS(1840),
    [anon_sym_GT] = ACTIONS(1840),
    [anon_sym_LT_LT] = ACTIONS(1840),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1849),
    [anon_sym_PLUS_EQ] = ACTIONS(1849),
    [anon_sym_DASH_EQ] = ACTIONS(1849),
    [anon_sym_DOT_EQ] = ACTIONS(1849),
    [anon_sym_STAR_EQ] = ACTIONS(1849),
    [anon_sym_SLASH_EQ] = ACTIONS(1849),
    [anon_sym_PERCENT_EQ] = ACTIONS(1849),
    [anon_sym_x_EQ] = ACTIONS(1849),
    [anon_sym_AMP_EQ] = ACTIONS(1849),
    [anon_sym_PIPE_EQ] = ACTIONS(1849),
    [anon_sym_CARET_EQ] = ACTIONS(1849),
    [anon_sym_LT_LT_EQ] = ACTIONS(1849),
    [anon_sym_GT_GT_EQ] = ACTIONS(1849),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1849),
    [anon_sym_DOT_DOT] = ACTIONS(1840),
    [anon_sym_STAR_STAR] = ACTIONS(1840),
    [anon_sym_PIPE_PIPE] = ACTIONS(1840),
    [anon_sym_SLASH_SLASH] = ACTIONS(1840),
    [anon_sym_CARET_CARET] = ACTIONS(1849),
    [anon_sym_AMP_AMP] = ACTIONS(1840),
    [anon_sym_PIPE] = ACTIONS(1840),
    [anon_sym_CARET] = ACTIONS(1840),
    [anon_sym_AMP] = ACTIONS(1840),
    [anon_sym_GT_GT2] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_DOT] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1840),
    [anon_sym_SLASH] = ACTIONS(1840),
    [anon_sym_x] = ACTIONS(1840),
    [anon_sym_EQ_TILDE] = ACTIONS(1849),
    [anon_sym_BANG_TILDE] = ACTIONS(1849),
    [anon_sym_EQ_EQ] = ACTIONS(1840),
    [anon_sym_BANG_EQ] = ACTIONS(1849),
    [anon_sym_eq] = ACTIONS(1840),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1849),
    [anon_sym_equ] = ACTIONS(1849),
    [anon_sym_eqr] = ACTIONS(1849),
    [anon_sym_ne] = ACTIONS(1849),
    [anon_sym_LT_EQ_GT] = ACTIONS(1849),
    [anon_sym_cmp] = ACTIONS(1849),
    [anon_sym_TILDE_TILDE] = ACTIONS(1849),
    [anon_sym_LT] = ACTIONS(1840),
    [anon_sym_LT_EQ] = ACTIONS(1840),
    [anon_sym_GT_EQ] = ACTIONS(1849),
    [anon_sym_lt] = ACTIONS(1849),
    [anon_sym_le] = ACTIONS(1849),
    [anon_sym_ge] = ACTIONS(1849),
    [anon_sym_gt] = ACTIONS(1849),
    [anon_sym_isa] = ACTIONS(1849),
    [anon_sym_PLUS_PLUS] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1849),
    [anon_sym_QMARK] = ACTIONS(1849),
    [anon_sym_EQ_GT] = ACTIONS(3318),
    [anon_sym_for] = ACTIONS(1840),
    [anon_sym_foreach] = ACTIONS(1849),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(1849),
    [anon_sym___END__] = ACTIONS(1849),
    [anon_sym_EOT] = ACTIONS(1849),
    [anon_sym_if] = ACTIONS(1849),
    [anon_sym_unless] = ACTIONS(1849),
    [anon_sym_while] = ACTIONS(1849),
    [anon_sym_until] = ACTIONS(1849),
    [sym__PERLY_SEMICOLON] = ACTIONS(1849),
    [sym__ctrl_z_hack] = ACTIONS(1849),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1421] = {
    [sym_heredoc_content] = STATE(1421),
    [anon_sym_RBRACE] = ACTIONS(3047),
    [anon_sym_SEMI] = ACTIONS(3047),
    [anon_sym_EQ] = ACTIONS(3049),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3047),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3047),
    [anon_sym_COMMA] = ACTIONS(3318),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3047),
    [anon_sym_and] = ACTIONS(3047),
    [anon_sym_or] = ACTIONS(3047),
    [anon_sym_xor] = ACTIONS(3047),
    [anon_sym_DASH_GT] = ACTIONS(3047),
    [anon_sym_PERCENT] = ACTIONS(3049),
    [anon_sym_GT] = ACTIONS(3049),
    [anon_sym_LT_LT] = ACTIONS(3049),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3047),
    [anon_sym_PLUS_EQ] = ACTIONS(3047),
    [anon_sym_DASH_EQ] = ACTIONS(3047),
    [anon_sym_DOT_EQ] = ACTIONS(3047),
    [anon_sym_STAR_EQ] = ACTIONS(3047),
    [anon_sym_SLASH_EQ] = ACTIONS(3047),
    [anon_sym_PERCENT_EQ] = ACTIONS(3047),
    [anon_sym_x_EQ] = ACTIONS(3047),
    [anon_sym_AMP_EQ] = ACTIONS(3047),
    [anon_sym_PIPE_EQ] = ACTIONS(3047),
    [anon_sym_CARET_EQ] = ACTIONS(3047),
    [anon_sym_LT_LT_EQ] = ACTIONS(3047),
    [anon_sym_GT_GT_EQ] = ACTIONS(3047),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3047),
    [anon_sym_DOT_DOT] = ACTIONS(3049),
    [anon_sym_STAR_STAR] = ACTIONS(3049),
    [anon_sym_PIPE_PIPE] = ACTIONS(3049),
    [anon_sym_SLASH_SLASH] = ACTIONS(3049),
    [anon_sym_CARET_CARET] = ACTIONS(3047),
    [anon_sym_AMP_AMP] = ACTIONS(3049),
    [anon_sym_PIPE] = ACTIONS(3049),
    [anon_sym_CARET] = ACTIONS(3049),
    [anon_sym_AMP] = ACTIONS(3049),
    [anon_sym_GT_GT2] = ACTIONS(3049),
    [anon_sym_PLUS] = ACTIONS(3049),
    [anon_sym_DASH] = ACTIONS(3049),
    [anon_sym_DOT] = ACTIONS(3049),
    [anon_sym_STAR] = ACTIONS(3049),
    [anon_sym_SLASH] = ACTIONS(3049),
    [anon_sym_x] = ACTIONS(3049),
    [anon_sym_EQ_TILDE] = ACTIONS(3047),
    [anon_sym_BANG_TILDE] = ACTIONS(3047),
    [anon_sym_EQ_EQ] = ACTIONS(3049),
    [anon_sym_BANG_EQ] = ACTIONS(3047),
    [anon_sym_eq] = ACTIONS(3049),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3047),
    [anon_sym_equ] = ACTIONS(3047),
    [anon_sym_eqr] = ACTIONS(3047),
    [anon_sym_ne] = ACTIONS(3047),
    [anon_sym_LT_EQ_GT] = ACTIONS(3047),
    [anon_sym_cmp] = ACTIONS(3047),
    [anon_sym_TILDE_TILDE] = ACTIONS(3047),
    [anon_sym_LT] = ACTIONS(3049),
    [anon_sym_LT_EQ] = ACTIONS(3049),
    [anon_sym_GT_EQ] = ACTIONS(3047),
    [anon_sym_lt] = ACTIONS(3047),
    [anon_sym_le] = ACTIONS(3047),
    [anon_sym_ge] = ACTIONS(3047),
    [anon_sym_gt] = ACTIONS(3047),
    [anon_sym_isa] = ACTIONS(3047),
    [anon_sym_PLUS_PLUS] = ACTIONS(3047),
    [anon_sym_DASH_DASH] = ACTIONS(3047),
    [anon_sym_QMARK] = ACTIONS(3047),
    [anon_sym_EQ_GT] = ACTIONS(3318),
    [anon_sym_for] = ACTIONS(3049),
    [anon_sym_foreach] = ACTIONS(3047),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3047),
    [anon_sym___END__] = ACTIONS(3047),
    [anon_sym_EOT] = ACTIONS(3047),
    [anon_sym_if] = ACTIONS(3047),
    [anon_sym_unless] = ACTIONS(3047),
    [anon_sym_while] = ACTIONS(3047),
    [anon_sym_until] = ACTIONS(3047),
    [sym__PERLY_SEMICOLON] = ACTIONS(3047),
    [sym__ctrl_z_hack] = ACTIONS(3047),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1422] = {
    [sym_attribute] = STATE(1431),
    [sym_attribute_name] = STATE(1427),
    [sym_heredoc_content] = STATE(1422),
    [aux_sym_attrlist_repeat1] = STATE(1424),
    [sym__identifier] = ACTIONS(3320),
    [anon_sym_COLON] = ACTIONS(3322),
    [anon_sym_SEMI] = ACTIONS(2424),
    [anon_sym_EQ] = ACTIONS(2426),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2424),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2424),
    [anon_sym_COMMA] = ACTIONS(2424),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2424),
    [anon_sym_and] = ACTIONS(2426),
    [anon_sym_or] = ACTIONS(2426),
    [anon_sym_xor] = ACTIONS(2426),
    [anon_sym_DASH_GT] = ACTIONS(2424),
    [anon_sym_PERCENT] = ACTIONS(2426),
    [anon_sym_GT] = ACTIONS(2426),
    [anon_sym_LT_LT] = ACTIONS(2426),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2424),
    [anon_sym_PLUS_EQ] = ACTIONS(2424),
    [anon_sym_DASH_EQ] = ACTIONS(2424),
    [anon_sym_DOT_EQ] = ACTIONS(2424),
    [anon_sym_STAR_EQ] = ACTIONS(2424),
    [anon_sym_SLASH_EQ] = ACTIONS(2424),
    [anon_sym_PERCENT_EQ] = ACTIONS(2424),
    [anon_sym_x_EQ] = ACTIONS(2424),
    [anon_sym_AMP_EQ] = ACTIONS(2424),
    [anon_sym_PIPE_EQ] = ACTIONS(2424),
    [anon_sym_CARET_EQ] = ACTIONS(2424),
    [anon_sym_LT_LT_EQ] = ACTIONS(2424),
    [anon_sym_GT_GT_EQ] = ACTIONS(2424),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2424),
    [anon_sym_DOT_DOT] = ACTIONS(2426),
    [anon_sym_STAR_STAR] = ACTIONS(2426),
    [anon_sym_PIPE_PIPE] = ACTIONS(2426),
    [anon_sym_SLASH_SLASH] = ACTIONS(2426),
    [anon_sym_CARET_CARET] = ACTIONS(2424),
    [anon_sym_AMP_AMP] = ACTIONS(2426),
    [anon_sym_PIPE] = ACTIONS(2426),
    [anon_sym_CARET] = ACTIONS(2426),
    [anon_sym_AMP] = ACTIONS(2426),
    [anon_sym_GT_GT2] = ACTIONS(2426),
    [anon_sym_PLUS] = ACTIONS(2426),
    [anon_sym_DASH] = ACTIONS(2426),
    [anon_sym_DOT] = ACTIONS(2426),
    [anon_sym_STAR] = ACTIONS(2426),
    [anon_sym_SLASH] = ACTIONS(2426),
    [anon_sym_x] = ACTIONS(2426),
    [anon_sym_EQ_TILDE] = ACTIONS(2424),
    [anon_sym_BANG_TILDE] = ACTIONS(2424),
    [anon_sym_EQ_EQ] = ACTIONS(2426),
    [anon_sym_BANG_EQ] = ACTIONS(2424),
    [anon_sym_eq] = ACTIONS(2426),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2424),
    [anon_sym_equ] = ACTIONS(2426),
    [anon_sym_eqr] = ACTIONS(2426),
    [anon_sym_ne] = ACTIONS(2426),
    [anon_sym_LT_EQ_GT] = ACTIONS(2424),
    [anon_sym_cmp] = ACTIONS(2426),
    [anon_sym_TILDE_TILDE] = ACTIONS(2424),
    [anon_sym_LT] = ACTIONS(2426),
    [anon_sym_LT_EQ] = ACTIONS(2426),
    [anon_sym_GT_EQ] = ACTIONS(2424),
    [anon_sym_lt] = ACTIONS(2426),
    [anon_sym_le] = ACTIONS(2426),
    [anon_sym_ge] = ACTIONS(2426),
    [anon_sym_gt] = ACTIONS(2426),
    [anon_sym_isa] = ACTIONS(2426),
    [anon_sym_PLUS_PLUS] = ACTIONS(2424),
    [anon_sym_DASH_DASH] = ACTIONS(2424),
    [anon_sym_QMARK] = ACTIONS(2424),
    [anon_sym_EQ_GT] = ACTIONS(2424),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2426),
    [anon_sym___END__] = ACTIONS(2426),
    [anon_sym_EOT] = ACTIONS(2424),
    [aux_sym__bareword_token1] = ACTIONS(3320),
    [sym__PERLY_SEMICOLON] = ACTIONS(2424),
    [sym__ctrl_z_hack] = ACTIONS(2424),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1423] = {
    [sym_attribute] = STATE(1431),
    [sym_attribute_name] = STATE(1427),
    [sym_heredoc_content] = STATE(1423),
    [aux_sym_attrlist_repeat1] = STATE(1422),
    [sym__identifier] = ACTIONS(3320),
    [anon_sym_COLON] = ACTIONS(3322),
    [anon_sym_SEMI] = ACTIONS(2418),
    [anon_sym_EQ] = ACTIONS(2422),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2418),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2418),
    [anon_sym_COMMA] = ACTIONS(2418),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2418),
    [anon_sym_and] = ACTIONS(2422),
    [anon_sym_or] = ACTIONS(2422),
    [anon_sym_xor] = ACTIONS(2422),
    [anon_sym_DASH_GT] = ACTIONS(2418),
    [anon_sym_PERCENT] = ACTIONS(2422),
    [anon_sym_GT] = ACTIONS(2422),
    [anon_sym_LT_LT] = ACTIONS(2422),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2418),
    [anon_sym_PLUS_EQ] = ACTIONS(2418),
    [anon_sym_DASH_EQ] = ACTIONS(2418),
    [anon_sym_DOT_EQ] = ACTIONS(2418),
    [anon_sym_STAR_EQ] = ACTIONS(2418),
    [anon_sym_SLASH_EQ] = ACTIONS(2418),
    [anon_sym_PERCENT_EQ] = ACTIONS(2418),
    [anon_sym_x_EQ] = ACTIONS(2418),
    [anon_sym_AMP_EQ] = ACTIONS(2418),
    [anon_sym_PIPE_EQ] = ACTIONS(2418),
    [anon_sym_CARET_EQ] = ACTIONS(2418),
    [anon_sym_LT_LT_EQ] = ACTIONS(2418),
    [anon_sym_GT_GT_EQ] = ACTIONS(2418),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2418),
    [anon_sym_DOT_DOT] = ACTIONS(2422),
    [anon_sym_STAR_STAR] = ACTIONS(2422),
    [anon_sym_PIPE_PIPE] = ACTIONS(2422),
    [anon_sym_SLASH_SLASH] = ACTIONS(2422),
    [anon_sym_CARET_CARET] = ACTIONS(2418),
    [anon_sym_AMP_AMP] = ACTIONS(2422),
    [anon_sym_PIPE] = ACTIONS(2422),
    [anon_sym_CARET] = ACTIONS(2422),
    [anon_sym_AMP] = ACTIONS(2422),
    [anon_sym_GT_GT2] = ACTIONS(2422),
    [anon_sym_PLUS] = ACTIONS(2422),
    [anon_sym_DASH] = ACTIONS(2422),
    [anon_sym_DOT] = ACTIONS(2422),
    [anon_sym_STAR] = ACTIONS(2422),
    [anon_sym_SLASH] = ACTIONS(2422),
    [anon_sym_x] = ACTIONS(2422),
    [anon_sym_EQ_TILDE] = ACTIONS(2418),
    [anon_sym_BANG_TILDE] = ACTIONS(2418),
    [anon_sym_EQ_EQ] = ACTIONS(2422),
    [anon_sym_BANG_EQ] = ACTIONS(2418),
    [anon_sym_eq] = ACTIONS(2422),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2418),
    [anon_sym_equ] = ACTIONS(2422),
    [anon_sym_eqr] = ACTIONS(2422),
    [anon_sym_ne] = ACTIONS(2422),
    [anon_sym_LT_EQ_GT] = ACTIONS(2418),
    [anon_sym_cmp] = ACTIONS(2422),
    [anon_sym_TILDE_TILDE] = ACTIONS(2418),
    [anon_sym_LT] = ACTIONS(2422),
    [anon_sym_LT_EQ] = ACTIONS(2422),
    [anon_sym_GT_EQ] = ACTIONS(2418),
    [anon_sym_lt] = ACTIONS(2422),
    [anon_sym_le] = ACTIONS(2422),
    [anon_sym_ge] = ACTIONS(2422),
    [anon_sym_gt] = ACTIONS(2422),
    [anon_sym_isa] = ACTIONS(2422),
    [anon_sym_PLUS_PLUS] = ACTIONS(2418),
    [anon_sym_DASH_DASH] = ACTIONS(2418),
    [anon_sym_QMARK] = ACTIONS(2418),
    [anon_sym_EQ_GT] = ACTIONS(2418),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2422),
    [anon_sym___END__] = ACTIONS(2422),
    [anon_sym_EOT] = ACTIONS(2418),
    [aux_sym__bareword_token1] = ACTIONS(3320),
    [sym__PERLY_SEMICOLON] = ACTIONS(2418),
    [sym__ctrl_z_hack] = ACTIONS(2418),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1424] = {
    [sym_attribute] = STATE(1431),
    [sym_attribute_name] = STATE(1427),
    [sym_heredoc_content] = STATE(1424),
    [aux_sym_attrlist_repeat1] = STATE(1424),
    [sym__identifier] = ACTIONS(3324),
    [anon_sym_COLON] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(2431),
    [anon_sym_EQ] = ACTIONS(2436),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2431),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2431),
    [anon_sym_COMMA] = ACTIONS(2431),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2431),
    [anon_sym_and] = ACTIONS(2436),
    [anon_sym_or] = ACTIONS(2436),
    [anon_sym_xor] = ACTIONS(2436),
    [anon_sym_DASH_GT] = ACTIONS(2431),
    [anon_sym_PERCENT] = ACTIONS(2436),
    [anon_sym_GT] = ACTIONS(2436),
    [anon_sym_LT_LT] = ACTIONS(2436),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2431),
    [anon_sym_PLUS_EQ] = ACTIONS(2431),
    [anon_sym_DASH_EQ] = ACTIONS(2431),
    [anon_sym_DOT_EQ] = ACTIONS(2431),
    [anon_sym_STAR_EQ] = ACTIONS(2431),
    [anon_sym_SLASH_EQ] = ACTIONS(2431),
    [anon_sym_PERCENT_EQ] = ACTIONS(2431),
    [anon_sym_x_EQ] = ACTIONS(2431),
    [anon_sym_AMP_EQ] = ACTIONS(2431),
    [anon_sym_PIPE_EQ] = ACTIONS(2431),
    [anon_sym_CARET_EQ] = ACTIONS(2431),
    [anon_sym_LT_LT_EQ] = ACTIONS(2431),
    [anon_sym_GT_GT_EQ] = ACTIONS(2431),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2431),
    [anon_sym_DOT_DOT] = ACTIONS(2436),
    [anon_sym_STAR_STAR] = ACTIONS(2436),
    [anon_sym_PIPE_PIPE] = ACTIONS(2436),
    [anon_sym_SLASH_SLASH] = ACTIONS(2436),
    [anon_sym_CARET_CARET] = ACTIONS(2431),
    [anon_sym_AMP_AMP] = ACTIONS(2436),
    [anon_sym_PIPE] = ACTIONS(2436),
    [anon_sym_CARET] = ACTIONS(2436),
    [anon_sym_AMP] = ACTIONS(2436),
    [anon_sym_GT_GT2] = ACTIONS(2436),
    [anon_sym_PLUS] = ACTIONS(2436),
    [anon_sym_DASH] = ACTIONS(2436),
    [anon_sym_DOT] = ACTIONS(2436),
    [anon_sym_STAR] = ACTIONS(2436),
    [anon_sym_SLASH] = ACTIONS(2436),
    [anon_sym_x] = ACTIONS(2436),
    [anon_sym_EQ_TILDE] = ACTIONS(2431),
    [anon_sym_BANG_TILDE] = ACTIONS(2431),
    [anon_sym_EQ_EQ] = ACTIONS(2436),
    [anon_sym_BANG_EQ] = ACTIONS(2431),
    [anon_sym_eq] = ACTIONS(2436),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2431),
    [anon_sym_equ] = ACTIONS(2436),
    [anon_sym_eqr] = ACTIONS(2436),
    [anon_sym_ne] = ACTIONS(2436),
    [anon_sym_LT_EQ_GT] = ACTIONS(2431),
    [anon_sym_cmp] = ACTIONS(2436),
    [anon_sym_TILDE_TILDE] = ACTIONS(2431),
    [anon_sym_LT] = ACTIONS(2436),
    [anon_sym_LT_EQ] = ACTIONS(2436),
    [anon_sym_GT_EQ] = ACTIONS(2431),
    [anon_sym_lt] = ACTIONS(2436),
    [anon_sym_le] = ACTIONS(2436),
    [anon_sym_ge] = ACTIONS(2436),
    [anon_sym_gt] = ACTIONS(2436),
    [anon_sym_isa] = ACTIONS(2436),
    [anon_sym_PLUS_PLUS] = ACTIONS(2431),
    [anon_sym_DASH_DASH] = ACTIONS(2431),
    [anon_sym_QMARK] = ACTIONS(2431),
    [anon_sym_EQ_GT] = ACTIONS(2431),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2436),
    [anon_sym___END__] = ACTIONS(2436),
    [anon_sym_EOT] = ACTIONS(2431),
    [aux_sym__bareword_token1] = ACTIONS(3324),
    [sym__PERLY_SEMICOLON] = ACTIONS(2431),
    [sym__ctrl_z_hack] = ACTIONS(2431),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1425] = {
    [sym_attrlist] = STATE(1363),
    [sym_attribute] = STATE(1423),
    [sym_attribute_name] = STATE(1427),
    [sym_heredoc_content] = STATE(1425),
    [sym__identifier] = ACTIONS(3320),
    [anon_sym_SEMI] = ACTIONS(2442),
    [anon_sym_EQ] = ACTIONS(2444),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2442),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2442),
    [anon_sym_COMMA] = ACTIONS(2442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2442),
    [anon_sym_and] = ACTIONS(2444),
    [anon_sym_or] = ACTIONS(2444),
    [anon_sym_xor] = ACTIONS(2444),
    [anon_sym_DASH_GT] = ACTIONS(2442),
    [anon_sym_PERCENT] = ACTIONS(2444),
    [anon_sym_GT] = ACTIONS(2444),
    [anon_sym_LT_LT] = ACTIONS(2444),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2442),
    [anon_sym_PLUS_EQ] = ACTIONS(2442),
    [anon_sym_DASH_EQ] = ACTIONS(2442),
    [anon_sym_DOT_EQ] = ACTIONS(2442),
    [anon_sym_STAR_EQ] = ACTIONS(2442),
    [anon_sym_SLASH_EQ] = ACTIONS(2442),
    [anon_sym_PERCENT_EQ] = ACTIONS(2442),
    [anon_sym_x_EQ] = ACTIONS(2442),
    [anon_sym_AMP_EQ] = ACTIONS(2442),
    [anon_sym_PIPE_EQ] = ACTIONS(2442),
    [anon_sym_CARET_EQ] = ACTIONS(2442),
    [anon_sym_LT_LT_EQ] = ACTIONS(2442),
    [anon_sym_GT_GT_EQ] = ACTIONS(2442),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2442),
    [anon_sym_DOT_DOT] = ACTIONS(2444),
    [anon_sym_STAR_STAR] = ACTIONS(2444),
    [anon_sym_PIPE_PIPE] = ACTIONS(2444),
    [anon_sym_SLASH_SLASH] = ACTIONS(2444),
    [anon_sym_CARET_CARET] = ACTIONS(2442),
    [anon_sym_AMP_AMP] = ACTIONS(2444),
    [anon_sym_PIPE] = ACTIONS(2444),
    [anon_sym_CARET] = ACTIONS(2444),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_GT_GT2] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_DOT] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2444),
    [anon_sym_SLASH] = ACTIONS(2444),
    [anon_sym_x] = ACTIONS(2444),
    [anon_sym_EQ_TILDE] = ACTIONS(2442),
    [anon_sym_BANG_TILDE] = ACTIONS(2442),
    [anon_sym_EQ_EQ] = ACTIONS(2444),
    [anon_sym_BANG_EQ] = ACTIONS(2442),
    [anon_sym_eq] = ACTIONS(2444),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2442),
    [anon_sym_equ] = ACTIONS(2444),
    [anon_sym_eqr] = ACTIONS(2444),
    [anon_sym_ne] = ACTIONS(2444),
    [anon_sym_LT_EQ_GT] = ACTIONS(2442),
    [anon_sym_cmp] = ACTIONS(2444),
    [anon_sym_TILDE_TILDE] = ACTIONS(2442),
    [anon_sym_LT] = ACTIONS(2444),
    [anon_sym_LT_EQ] = ACTIONS(2444),
    [anon_sym_GT_EQ] = ACTIONS(2442),
    [anon_sym_lt] = ACTIONS(2444),
    [anon_sym_le] = ACTIONS(2444),
    [anon_sym_ge] = ACTIONS(2444),
    [anon_sym_gt] = ACTIONS(2444),
    [anon_sym_isa] = ACTIONS(2444),
    [anon_sym_PLUS_PLUS] = ACTIONS(2442),
    [anon_sym_DASH_DASH] = ACTIONS(2442),
    [anon_sym_QMARK] = ACTIONS(2442),
    [anon_sym_EQ_GT] = ACTIONS(2442),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2444),
    [anon_sym___END__] = ACTIONS(2444),
    [anon_sym_EOT] = ACTIONS(2442),
    [aux_sym__bareword_token1] = ACTIONS(3320),
    [sym__PERLY_SEMICOLON] = ACTIONS(2442),
    [sym__ctrl_z_hack] = ACTIONS(2442),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1426] = {
    [sym_attrlist] = STATE(1362),
    [sym_attribute] = STATE(1423),
    [sym_attribute_name] = STATE(1427),
    [sym_heredoc_content] = STATE(1426),
    [sym__identifier] = ACTIONS(3320),
    [anon_sym_SEMI] = ACTIONS(2438),
    [anon_sym_EQ] = ACTIONS(2440),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2438),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2438),
    [anon_sym_COMMA] = ACTIONS(2438),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2438),
    [anon_sym_and] = ACTIONS(2440),
    [anon_sym_or] = ACTIONS(2440),
    [anon_sym_xor] = ACTIONS(2440),
    [anon_sym_DASH_GT] = ACTIONS(2438),
    [anon_sym_PERCENT] = ACTIONS(2440),
    [anon_sym_GT] = ACTIONS(2440),
    [anon_sym_LT_LT] = ACTIONS(2440),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2438),
    [anon_sym_PLUS_EQ] = ACTIONS(2438),
    [anon_sym_DASH_EQ] = ACTIONS(2438),
    [anon_sym_DOT_EQ] = ACTIONS(2438),
    [anon_sym_STAR_EQ] = ACTIONS(2438),
    [anon_sym_SLASH_EQ] = ACTIONS(2438),
    [anon_sym_PERCENT_EQ] = ACTIONS(2438),
    [anon_sym_x_EQ] = ACTIONS(2438),
    [anon_sym_AMP_EQ] = ACTIONS(2438),
    [anon_sym_PIPE_EQ] = ACTIONS(2438),
    [anon_sym_CARET_EQ] = ACTIONS(2438),
    [anon_sym_LT_LT_EQ] = ACTIONS(2438),
    [anon_sym_GT_GT_EQ] = ACTIONS(2438),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2438),
    [anon_sym_DOT_DOT] = ACTIONS(2440),
    [anon_sym_STAR_STAR] = ACTIONS(2440),
    [anon_sym_PIPE_PIPE] = ACTIONS(2440),
    [anon_sym_SLASH_SLASH] = ACTIONS(2440),
    [anon_sym_CARET_CARET] = ACTIONS(2438),
    [anon_sym_AMP_AMP] = ACTIONS(2440),
    [anon_sym_PIPE] = ACTIONS(2440),
    [anon_sym_CARET] = ACTIONS(2440),
    [anon_sym_AMP] = ACTIONS(2440),
    [anon_sym_GT_GT2] = ACTIONS(2440),
    [anon_sym_PLUS] = ACTIONS(2440),
    [anon_sym_DASH] = ACTIONS(2440),
    [anon_sym_DOT] = ACTIONS(2440),
    [anon_sym_STAR] = ACTIONS(2440),
    [anon_sym_SLASH] = ACTIONS(2440),
    [anon_sym_x] = ACTIONS(2440),
    [anon_sym_EQ_TILDE] = ACTIONS(2438),
    [anon_sym_BANG_TILDE] = ACTIONS(2438),
    [anon_sym_EQ_EQ] = ACTIONS(2440),
    [anon_sym_BANG_EQ] = ACTIONS(2438),
    [anon_sym_eq] = ACTIONS(2440),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2438),
    [anon_sym_equ] = ACTIONS(2440),
    [anon_sym_eqr] = ACTIONS(2440),
    [anon_sym_ne] = ACTIONS(2440),
    [anon_sym_LT_EQ_GT] = ACTIONS(2438),
    [anon_sym_cmp] = ACTIONS(2440),
    [anon_sym_TILDE_TILDE] = ACTIONS(2438),
    [anon_sym_LT] = ACTIONS(2440),
    [anon_sym_LT_EQ] = ACTIONS(2440),
    [anon_sym_GT_EQ] = ACTIONS(2438),
    [anon_sym_lt] = ACTIONS(2440),
    [anon_sym_le] = ACTIONS(2440),
    [anon_sym_ge] = ACTIONS(2440),
    [anon_sym_gt] = ACTIONS(2440),
    [anon_sym_isa] = ACTIONS(2440),
    [anon_sym_PLUS_PLUS] = ACTIONS(2438),
    [anon_sym_DASH_DASH] = ACTIONS(2438),
    [anon_sym_QMARK] = ACTIONS(2438),
    [anon_sym_EQ_GT] = ACTIONS(2438),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2440),
    [anon_sym___END__] = ACTIONS(2440),
    [anon_sym_EOT] = ACTIONS(2438),
    [aux_sym__bareword_token1] = ACTIONS(3320),
    [sym__PERLY_SEMICOLON] = ACTIONS(2438),
    [sym__ctrl_z_hack] = ACTIONS(2438),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1427] = {
    [sym_heredoc_content] = STATE(1427),
    [sym__identifier] = ACTIONS(2450),
    [anon_sym_COLON] = ACTIONS(2450),
    [anon_sym_SEMI] = ACTIONS(2452),
    [anon_sym_EQ] = ACTIONS(2450),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2452),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2452),
    [anon_sym_COMMA] = ACTIONS(2452),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2452),
    [anon_sym_and] = ACTIONS(2450),
    [anon_sym_or] = ACTIONS(2450),
    [anon_sym_xor] = ACTIONS(2450),
    [anon_sym_DASH_GT] = ACTIONS(2452),
    [anon_sym_PERCENT] = ACTIONS(2450),
    [anon_sym_GT] = ACTIONS(2450),
    [anon_sym_LT_LT] = ACTIONS(2450),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2452),
    [anon_sym_PLUS_EQ] = ACTIONS(2452),
    [anon_sym_DASH_EQ] = ACTIONS(2452),
    [anon_sym_DOT_EQ] = ACTIONS(2452),
    [anon_sym_STAR_EQ] = ACTIONS(2452),
    [anon_sym_SLASH_EQ] = ACTIONS(2452),
    [anon_sym_PERCENT_EQ] = ACTIONS(2452),
    [anon_sym_x_EQ] = ACTIONS(2452),
    [anon_sym_AMP_EQ] = ACTIONS(2452),
    [anon_sym_PIPE_EQ] = ACTIONS(2452),
    [anon_sym_CARET_EQ] = ACTIONS(2452),
    [anon_sym_LT_LT_EQ] = ACTIONS(2452),
    [anon_sym_GT_GT_EQ] = ACTIONS(2452),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2452),
    [anon_sym_DOT_DOT] = ACTIONS(2450),
    [anon_sym_STAR_STAR] = ACTIONS(2450),
    [anon_sym_PIPE_PIPE] = ACTIONS(2450),
    [anon_sym_SLASH_SLASH] = ACTIONS(2450),
    [anon_sym_CARET_CARET] = ACTIONS(2452),
    [anon_sym_AMP_AMP] = ACTIONS(2450),
    [anon_sym_PIPE] = ACTIONS(2450),
    [anon_sym_CARET] = ACTIONS(2450),
    [anon_sym_AMP] = ACTIONS(2450),
    [anon_sym_GT_GT2] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_DOT] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2450),
    [anon_sym_SLASH] = ACTIONS(2450),
    [anon_sym_x] = ACTIONS(2450),
    [anon_sym_EQ_TILDE] = ACTIONS(2452),
    [anon_sym_BANG_TILDE] = ACTIONS(2452),
    [anon_sym_EQ_EQ] = ACTIONS(2450),
    [anon_sym_BANG_EQ] = ACTIONS(2452),
    [anon_sym_eq] = ACTIONS(2450),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2452),
    [anon_sym_equ] = ACTIONS(2450),
    [anon_sym_eqr] = ACTIONS(2450),
    [anon_sym_ne] = ACTIONS(2450),
    [anon_sym_LT_EQ_GT] = ACTIONS(2452),
    [anon_sym_cmp] = ACTIONS(2450),
    [anon_sym_TILDE_TILDE] = ACTIONS(2452),
    [anon_sym_LT] = ACTIONS(2450),
    [anon_sym_LT_EQ] = ACTIONS(2450),
    [anon_sym_GT_EQ] = ACTIONS(2452),
    [anon_sym_lt] = ACTIONS(2450),
    [anon_sym_le] = ACTIONS(2450),
    [anon_sym_ge] = ACTIONS(2450),
    [anon_sym_gt] = ACTIONS(2450),
    [anon_sym_isa] = ACTIONS(2450),
    [anon_sym_PLUS_PLUS] = ACTIONS(2452),
    [anon_sym_DASH_DASH] = ACTIONS(2452),
    [anon_sym_QMARK] = ACTIONS(2452),
    [anon_sym_EQ_GT] = ACTIONS(2452),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2450),
    [anon_sym___END__] = ACTIONS(2450),
    [anon_sym_EOT] = ACTIONS(2452),
    [aux_sym__bareword_token1] = ACTIONS(2450),
    [sym__PERLY_SEMICOLON] = ACTIONS(2452),
    [sym__ctrl_z_hack] = ACTIONS(2452),
    [sym_pod] = ACTIONS(5),
    [sym__attribute_value_begin] = ACTIONS(3330),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1428] = {
    [sym_heredoc_content] = STATE(1428),
    [sym__identifier] = ACTIONS(2446),
    [anon_sym_COLON] = ACTIONS(2446),
    [anon_sym_SEMI] = ACTIONS(2448),
    [anon_sym_EQ] = ACTIONS(2446),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2448),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2448),
    [anon_sym_COMMA] = ACTIONS(2448),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2448),
    [anon_sym_and] = ACTIONS(2446),
    [anon_sym_or] = ACTIONS(2446),
    [anon_sym_xor] = ACTIONS(2446),
    [anon_sym_DASH_GT] = ACTIONS(2448),
    [anon_sym_PERCENT] = ACTIONS(2446),
    [anon_sym_GT] = ACTIONS(2446),
    [anon_sym_LT_LT] = ACTIONS(2446),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2448),
    [anon_sym_PLUS_EQ] = ACTIONS(2448),
    [anon_sym_DASH_EQ] = ACTIONS(2448),
    [anon_sym_DOT_EQ] = ACTIONS(2448),
    [anon_sym_STAR_EQ] = ACTIONS(2448),
    [anon_sym_SLASH_EQ] = ACTIONS(2448),
    [anon_sym_PERCENT_EQ] = ACTIONS(2448),
    [anon_sym_x_EQ] = ACTIONS(2448),
    [anon_sym_AMP_EQ] = ACTIONS(2448),
    [anon_sym_PIPE_EQ] = ACTIONS(2448),
    [anon_sym_CARET_EQ] = ACTIONS(2448),
    [anon_sym_LT_LT_EQ] = ACTIONS(2448),
    [anon_sym_GT_GT_EQ] = ACTIONS(2448),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2448),
    [anon_sym_DOT_DOT] = ACTIONS(2446),
    [anon_sym_STAR_STAR] = ACTIONS(2446),
    [anon_sym_PIPE_PIPE] = ACTIONS(2446),
    [anon_sym_SLASH_SLASH] = ACTIONS(2446),
    [anon_sym_CARET_CARET] = ACTIONS(2448),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_PIPE] = ACTIONS(2446),
    [anon_sym_CARET] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2446),
    [anon_sym_GT_GT2] = ACTIONS(2446),
    [anon_sym_PLUS] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2446),
    [anon_sym_DOT] = ACTIONS(2446),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_SLASH] = ACTIONS(2446),
    [anon_sym_x] = ACTIONS(2446),
    [anon_sym_EQ_TILDE] = ACTIONS(2448),
    [anon_sym_BANG_TILDE] = ACTIONS(2448),
    [anon_sym_EQ_EQ] = ACTIONS(2446),
    [anon_sym_BANG_EQ] = ACTIONS(2448),
    [anon_sym_eq] = ACTIONS(2446),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2448),
    [anon_sym_equ] = ACTIONS(2446),
    [anon_sym_eqr] = ACTIONS(2446),
    [anon_sym_ne] = ACTIONS(2446),
    [anon_sym_LT_EQ_GT] = ACTIONS(2448),
    [anon_sym_cmp] = ACTIONS(2446),
    [anon_sym_TILDE_TILDE] = ACTIONS(2448),
    [anon_sym_LT] = ACTIONS(2446),
    [anon_sym_LT_EQ] = ACTIONS(2446),
    [anon_sym_GT_EQ] = ACTIONS(2448),
    [anon_sym_lt] = ACTIONS(2446),
    [anon_sym_le] = ACTIONS(2446),
    [anon_sym_ge] = ACTIONS(2446),
    [anon_sym_gt] = ACTIONS(2446),
    [anon_sym_isa] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2448),
    [anon_sym_DASH_DASH] = ACTIONS(2448),
    [anon_sym_QMARK] = ACTIONS(2448),
    [anon_sym_EQ_GT] = ACTIONS(2448),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2446),
    [anon_sym___END__] = ACTIONS(2446),
    [anon_sym_EOT] = ACTIONS(2448),
    [aux_sym__bareword_token1] = ACTIONS(2446),
    [sym__PERLY_SEMICOLON] = ACTIONS(2448),
    [sym__ctrl_z_hack] = ACTIONS(2448),
    [sym_pod] = ACTIONS(5),
    [sym__attribute_value_begin] = ACTIONS(2448),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1429] = {
    [sym_attribute] = STATE(1468),
    [sym_attribute_name] = STATE(1444),
    [sym_heredoc_content] = STATE(1429),
    [aux_sym_attrlist_repeat1] = STATE(1429),
    [sym__identifier] = ACTIONS(3332),
    [anon_sym_RBRACE] = ACTIONS(2431),
    [anon_sym_COLON] = ACTIONS(3335),
    [anon_sym_EQ] = ACTIONS(2436),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2431),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2431),
    [anon_sym_COMMA] = ACTIONS(2431),
    [anon_sym_RPAREN] = ACTIONS(2431),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2431),
    [anon_sym_and] = ACTIONS(2436),
    [anon_sym_or] = ACTIONS(2436),
    [anon_sym_xor] = ACTIONS(2436),
    [anon_sym_RBRACK] = ACTIONS(2431),
    [anon_sym_DASH_GT] = ACTIONS(2431),
    [anon_sym_PERCENT] = ACTIONS(2436),
    [anon_sym_GT] = ACTIONS(2436),
    [anon_sym_LT_LT] = ACTIONS(2436),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2431),
    [anon_sym_PLUS_EQ] = ACTIONS(2431),
    [anon_sym_DASH_EQ] = ACTIONS(2431),
    [anon_sym_DOT_EQ] = ACTIONS(2431),
    [anon_sym_STAR_EQ] = ACTIONS(2431),
    [anon_sym_SLASH_EQ] = ACTIONS(2431),
    [anon_sym_PERCENT_EQ] = ACTIONS(2431),
    [anon_sym_x_EQ] = ACTIONS(2431),
    [anon_sym_AMP_EQ] = ACTIONS(2431),
    [anon_sym_PIPE_EQ] = ACTIONS(2431),
    [anon_sym_CARET_EQ] = ACTIONS(2431),
    [anon_sym_LT_LT_EQ] = ACTIONS(2431),
    [anon_sym_GT_GT_EQ] = ACTIONS(2431),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2431),
    [anon_sym_DOT_DOT] = ACTIONS(2436),
    [anon_sym_STAR_STAR] = ACTIONS(2436),
    [anon_sym_PIPE_PIPE] = ACTIONS(2436),
    [anon_sym_SLASH_SLASH] = ACTIONS(2436),
    [anon_sym_CARET_CARET] = ACTIONS(2431),
    [anon_sym_AMP_AMP] = ACTIONS(2436),
    [anon_sym_PIPE] = ACTIONS(2436),
    [anon_sym_CARET] = ACTIONS(2436),
    [anon_sym_AMP] = ACTIONS(2436),
    [anon_sym_GT_GT2] = ACTIONS(2436),
    [anon_sym_PLUS] = ACTIONS(2436),
    [anon_sym_DASH] = ACTIONS(2436),
    [anon_sym_DOT] = ACTIONS(2436),
    [anon_sym_STAR] = ACTIONS(2436),
    [anon_sym_SLASH] = ACTIONS(2436),
    [anon_sym_x] = ACTIONS(2436),
    [anon_sym_EQ_TILDE] = ACTIONS(2431),
    [anon_sym_BANG_TILDE] = ACTIONS(2431),
    [anon_sym_EQ_EQ] = ACTIONS(2436),
    [anon_sym_BANG_EQ] = ACTIONS(2431),
    [anon_sym_eq] = ACTIONS(2436),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2431),
    [anon_sym_equ] = ACTIONS(2436),
    [anon_sym_eqr] = ACTIONS(2436),
    [anon_sym_ne] = ACTIONS(2436),
    [anon_sym_LT_EQ_GT] = ACTIONS(2431),
    [anon_sym_cmp] = ACTIONS(2436),
    [anon_sym_TILDE_TILDE] = ACTIONS(2431),
    [anon_sym_LT] = ACTIONS(2436),
    [anon_sym_LT_EQ] = ACTIONS(2436),
    [anon_sym_GT_EQ] = ACTIONS(2431),
    [anon_sym_lt] = ACTIONS(2436),
    [anon_sym_le] = ACTIONS(2436),
    [anon_sym_ge] = ACTIONS(2436),
    [anon_sym_gt] = ACTIONS(2436),
    [anon_sym_isa] = ACTIONS(2436),
    [anon_sym_PLUS_PLUS] = ACTIONS(2431),
    [anon_sym_DASH_DASH] = ACTIONS(2431),
    [anon_sym_QMARK] = ACTIONS(2431),
    [anon_sym_EQ_GT] = ACTIONS(2431),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(3332),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1430] = {
    [sym_attribute] = STATE(1468),
    [sym_attribute_name] = STATE(1444),
    [sym_heredoc_content] = STATE(1430),
    [aux_sym_attrlist_repeat1] = STATE(1429),
    [sym__identifier] = ACTIONS(3338),
    [anon_sym_RBRACE] = ACTIONS(2424),
    [anon_sym_COLON] = ACTIONS(3340),
    [anon_sym_EQ] = ACTIONS(2426),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2424),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2424),
    [anon_sym_COMMA] = ACTIONS(2424),
    [anon_sym_RPAREN] = ACTIONS(2424),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2424),
    [anon_sym_and] = ACTIONS(2426),
    [anon_sym_or] = ACTIONS(2426),
    [anon_sym_xor] = ACTIONS(2426),
    [anon_sym_RBRACK] = ACTIONS(2424),
    [anon_sym_DASH_GT] = ACTIONS(2424),
    [anon_sym_PERCENT] = ACTIONS(2426),
    [anon_sym_GT] = ACTIONS(2426),
    [anon_sym_LT_LT] = ACTIONS(2426),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2424),
    [anon_sym_PLUS_EQ] = ACTIONS(2424),
    [anon_sym_DASH_EQ] = ACTIONS(2424),
    [anon_sym_DOT_EQ] = ACTIONS(2424),
    [anon_sym_STAR_EQ] = ACTIONS(2424),
    [anon_sym_SLASH_EQ] = ACTIONS(2424),
    [anon_sym_PERCENT_EQ] = ACTIONS(2424),
    [anon_sym_x_EQ] = ACTIONS(2424),
    [anon_sym_AMP_EQ] = ACTIONS(2424),
    [anon_sym_PIPE_EQ] = ACTIONS(2424),
    [anon_sym_CARET_EQ] = ACTIONS(2424),
    [anon_sym_LT_LT_EQ] = ACTIONS(2424),
    [anon_sym_GT_GT_EQ] = ACTIONS(2424),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2424),
    [anon_sym_DOT_DOT] = ACTIONS(2426),
    [anon_sym_STAR_STAR] = ACTIONS(2426),
    [anon_sym_PIPE_PIPE] = ACTIONS(2426),
    [anon_sym_SLASH_SLASH] = ACTIONS(2426),
    [anon_sym_CARET_CARET] = ACTIONS(2424),
    [anon_sym_AMP_AMP] = ACTIONS(2426),
    [anon_sym_PIPE] = ACTIONS(2426),
    [anon_sym_CARET] = ACTIONS(2426),
    [anon_sym_AMP] = ACTIONS(2426),
    [anon_sym_GT_GT2] = ACTIONS(2426),
    [anon_sym_PLUS] = ACTIONS(2426),
    [anon_sym_DASH] = ACTIONS(2426),
    [anon_sym_DOT] = ACTIONS(2426),
    [anon_sym_STAR] = ACTIONS(2426),
    [anon_sym_SLASH] = ACTIONS(2426),
    [anon_sym_x] = ACTIONS(2426),
    [anon_sym_EQ_TILDE] = ACTIONS(2424),
    [anon_sym_BANG_TILDE] = ACTIONS(2424),
    [anon_sym_EQ_EQ] = ACTIONS(2426),
    [anon_sym_BANG_EQ] = ACTIONS(2424),
    [anon_sym_eq] = ACTIONS(2426),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2424),
    [anon_sym_equ] = ACTIONS(2426),
    [anon_sym_eqr] = ACTIONS(2426),
    [anon_sym_ne] = ACTIONS(2426),
    [anon_sym_LT_EQ_GT] = ACTIONS(2424),
    [anon_sym_cmp] = ACTIONS(2426),
    [anon_sym_TILDE_TILDE] = ACTIONS(2424),
    [anon_sym_LT] = ACTIONS(2426),
    [anon_sym_LT_EQ] = ACTIONS(2426),
    [anon_sym_GT_EQ] = ACTIONS(2424),
    [anon_sym_lt] = ACTIONS(2426),
    [anon_sym_le] = ACTIONS(2426),
    [anon_sym_ge] = ACTIONS(2426),
    [anon_sym_gt] = ACTIONS(2426),
    [anon_sym_isa] = ACTIONS(2426),
    [anon_sym_PLUS_PLUS] = ACTIONS(2424),
    [anon_sym_DASH_DASH] = ACTIONS(2424),
    [anon_sym_QMARK] = ACTIONS(2424),
    [anon_sym_EQ_GT] = ACTIONS(2424),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(3338),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1431] = {
    [sym_heredoc_content] = STATE(1431),
    [sym__identifier] = ACTIONS(2522),
    [anon_sym_COLON] = ACTIONS(2522),
    [anon_sym_SEMI] = ACTIONS(2524),
    [anon_sym_EQ] = ACTIONS(2522),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2524),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2524),
    [anon_sym_COMMA] = ACTIONS(2524),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2524),
    [anon_sym_and] = ACTIONS(2522),
    [anon_sym_or] = ACTIONS(2522),
    [anon_sym_xor] = ACTIONS(2522),
    [anon_sym_DASH_GT] = ACTIONS(2524),
    [anon_sym_PERCENT] = ACTIONS(2522),
    [anon_sym_GT] = ACTIONS(2522),
    [anon_sym_LT_LT] = ACTIONS(2522),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2524),
    [anon_sym_PLUS_EQ] = ACTIONS(2524),
    [anon_sym_DASH_EQ] = ACTIONS(2524),
    [anon_sym_DOT_EQ] = ACTIONS(2524),
    [anon_sym_STAR_EQ] = ACTIONS(2524),
    [anon_sym_SLASH_EQ] = ACTIONS(2524),
    [anon_sym_PERCENT_EQ] = ACTIONS(2524),
    [anon_sym_x_EQ] = ACTIONS(2524),
    [anon_sym_AMP_EQ] = ACTIONS(2524),
    [anon_sym_PIPE_EQ] = ACTIONS(2524),
    [anon_sym_CARET_EQ] = ACTIONS(2524),
    [anon_sym_LT_LT_EQ] = ACTIONS(2524),
    [anon_sym_GT_GT_EQ] = ACTIONS(2524),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2524),
    [anon_sym_DOT_DOT] = ACTIONS(2522),
    [anon_sym_STAR_STAR] = ACTIONS(2522),
    [anon_sym_PIPE_PIPE] = ACTIONS(2522),
    [anon_sym_SLASH_SLASH] = ACTIONS(2522),
    [anon_sym_CARET_CARET] = ACTIONS(2524),
    [anon_sym_AMP_AMP] = ACTIONS(2522),
    [anon_sym_PIPE] = ACTIONS(2522),
    [anon_sym_CARET] = ACTIONS(2522),
    [anon_sym_AMP] = ACTIONS(2522),
    [anon_sym_GT_GT2] = ACTIONS(2522),
    [anon_sym_PLUS] = ACTIONS(2522),
    [anon_sym_DASH] = ACTIONS(2522),
    [anon_sym_DOT] = ACTIONS(2522),
    [anon_sym_STAR] = ACTIONS(2522),
    [anon_sym_SLASH] = ACTIONS(2522),
    [anon_sym_x] = ACTIONS(2522),
    [anon_sym_EQ_TILDE] = ACTIONS(2524),
    [anon_sym_BANG_TILDE] = ACTIONS(2524),
    [anon_sym_EQ_EQ] = ACTIONS(2522),
    [anon_sym_BANG_EQ] = ACTIONS(2524),
    [anon_sym_eq] = ACTIONS(2522),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2524),
    [anon_sym_equ] = ACTIONS(2522),
    [anon_sym_eqr] = ACTIONS(2522),
    [anon_sym_ne] = ACTIONS(2522),
    [anon_sym_LT_EQ_GT] = ACTIONS(2524),
    [anon_sym_cmp] = ACTIONS(2522),
    [anon_sym_TILDE_TILDE] = ACTIONS(2524),
    [anon_sym_LT] = ACTIONS(2522),
    [anon_sym_LT_EQ] = ACTIONS(2522),
    [anon_sym_GT_EQ] = ACTIONS(2524),
    [anon_sym_lt] = ACTIONS(2522),
    [anon_sym_le] = ACTIONS(2522),
    [anon_sym_ge] = ACTIONS(2522),
    [anon_sym_gt] = ACTIONS(2522),
    [anon_sym_isa] = ACTIONS(2522),
    [anon_sym_PLUS_PLUS] = ACTIONS(2524),
    [anon_sym_DASH_DASH] = ACTIONS(2524),
    [anon_sym_QMARK] = ACTIONS(2524),
    [anon_sym_EQ_GT] = ACTIONS(2524),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2522),
    [anon_sym___END__] = ACTIONS(2522),
    [anon_sym_EOT] = ACTIONS(2524),
    [aux_sym__bareword_token1] = ACTIONS(2522),
    [sym__PERLY_SEMICOLON] = ACTIONS(2524),
    [sym__ctrl_z_hack] = ACTIONS(2524),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1432] = {
    [sym_heredoc_content] = STATE(1432),
    [sym__identifier] = ACTIONS(2498),
    [anon_sym_COLON] = ACTIONS(2498),
    [anon_sym_SEMI] = ACTIONS(2500),
    [anon_sym_EQ] = ACTIONS(2498),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2500),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2500),
    [anon_sym_COMMA] = ACTIONS(2500),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2500),
    [anon_sym_and] = ACTIONS(2498),
    [anon_sym_or] = ACTIONS(2498),
    [anon_sym_xor] = ACTIONS(2498),
    [anon_sym_DASH_GT] = ACTIONS(2500),
    [anon_sym_PERCENT] = ACTIONS(2498),
    [anon_sym_GT] = ACTIONS(2498),
    [anon_sym_LT_LT] = ACTIONS(2498),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2500),
    [anon_sym_PLUS_EQ] = ACTIONS(2500),
    [anon_sym_DASH_EQ] = ACTIONS(2500),
    [anon_sym_DOT_EQ] = ACTIONS(2500),
    [anon_sym_STAR_EQ] = ACTIONS(2500),
    [anon_sym_SLASH_EQ] = ACTIONS(2500),
    [anon_sym_PERCENT_EQ] = ACTIONS(2500),
    [anon_sym_x_EQ] = ACTIONS(2500),
    [anon_sym_AMP_EQ] = ACTIONS(2500),
    [anon_sym_PIPE_EQ] = ACTIONS(2500),
    [anon_sym_CARET_EQ] = ACTIONS(2500),
    [anon_sym_LT_LT_EQ] = ACTIONS(2500),
    [anon_sym_GT_GT_EQ] = ACTIONS(2500),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2500),
    [anon_sym_DOT_DOT] = ACTIONS(2498),
    [anon_sym_STAR_STAR] = ACTIONS(2498),
    [anon_sym_PIPE_PIPE] = ACTIONS(2498),
    [anon_sym_SLASH_SLASH] = ACTIONS(2498),
    [anon_sym_CARET_CARET] = ACTIONS(2500),
    [anon_sym_AMP_AMP] = ACTIONS(2498),
    [anon_sym_PIPE] = ACTIONS(2498),
    [anon_sym_CARET] = ACTIONS(2498),
    [anon_sym_AMP] = ACTIONS(2498),
    [anon_sym_GT_GT2] = ACTIONS(2498),
    [anon_sym_PLUS] = ACTIONS(2498),
    [anon_sym_DASH] = ACTIONS(2498),
    [anon_sym_DOT] = ACTIONS(2498),
    [anon_sym_STAR] = ACTIONS(2498),
    [anon_sym_SLASH] = ACTIONS(2498),
    [anon_sym_x] = ACTIONS(2498),
    [anon_sym_EQ_TILDE] = ACTIONS(2500),
    [anon_sym_BANG_TILDE] = ACTIONS(2500),
    [anon_sym_EQ_EQ] = ACTIONS(2498),
    [anon_sym_BANG_EQ] = ACTIONS(2500),
    [anon_sym_eq] = ACTIONS(2498),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2500),
    [anon_sym_equ] = ACTIONS(2498),
    [anon_sym_eqr] = ACTIONS(2498),
    [anon_sym_ne] = ACTIONS(2498),
    [anon_sym_LT_EQ_GT] = ACTIONS(2500),
    [anon_sym_cmp] = ACTIONS(2498),
    [anon_sym_TILDE_TILDE] = ACTIONS(2500),
    [anon_sym_LT] = ACTIONS(2498),
    [anon_sym_LT_EQ] = ACTIONS(2498),
    [anon_sym_GT_EQ] = ACTIONS(2500),
    [anon_sym_lt] = ACTIONS(2498),
    [anon_sym_le] = ACTIONS(2498),
    [anon_sym_ge] = ACTIONS(2498),
    [anon_sym_gt] = ACTIONS(2498),
    [anon_sym_isa] = ACTIONS(2498),
    [anon_sym_PLUS_PLUS] = ACTIONS(2500),
    [anon_sym_DASH_DASH] = ACTIONS(2500),
    [anon_sym_QMARK] = ACTIONS(2500),
    [anon_sym_EQ_GT] = ACTIONS(2500),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2498),
    [anon_sym___END__] = ACTIONS(2498),
    [anon_sym_EOT] = ACTIONS(2500),
    [aux_sym__bareword_token1] = ACTIONS(2498),
    [sym__PERLY_SEMICOLON] = ACTIONS(2500),
    [sym__ctrl_z_hack] = ACTIONS(2500),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1433] = {
    [sym_attribute] = STATE(1468),
    [sym_attribute_name] = STATE(1444),
    [sym_heredoc_content] = STATE(1433),
    [aux_sym_attrlist_repeat1] = STATE(1430),
    [sym__identifier] = ACTIONS(3338),
    [anon_sym_RBRACE] = ACTIONS(2418),
    [anon_sym_COLON] = ACTIONS(3340),
    [anon_sym_EQ] = ACTIONS(2422),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2418),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2418),
    [anon_sym_COMMA] = ACTIONS(2418),
    [anon_sym_RPAREN] = ACTIONS(2418),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2418),
    [anon_sym_and] = ACTIONS(2422),
    [anon_sym_or] = ACTIONS(2422),
    [anon_sym_xor] = ACTIONS(2422),
    [anon_sym_RBRACK] = ACTIONS(2418),
    [anon_sym_DASH_GT] = ACTIONS(2418),
    [anon_sym_PERCENT] = ACTIONS(2422),
    [anon_sym_GT] = ACTIONS(2422),
    [anon_sym_LT_LT] = ACTIONS(2422),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2418),
    [anon_sym_PLUS_EQ] = ACTIONS(2418),
    [anon_sym_DASH_EQ] = ACTIONS(2418),
    [anon_sym_DOT_EQ] = ACTIONS(2418),
    [anon_sym_STAR_EQ] = ACTIONS(2418),
    [anon_sym_SLASH_EQ] = ACTIONS(2418),
    [anon_sym_PERCENT_EQ] = ACTIONS(2418),
    [anon_sym_x_EQ] = ACTIONS(2418),
    [anon_sym_AMP_EQ] = ACTIONS(2418),
    [anon_sym_PIPE_EQ] = ACTIONS(2418),
    [anon_sym_CARET_EQ] = ACTIONS(2418),
    [anon_sym_LT_LT_EQ] = ACTIONS(2418),
    [anon_sym_GT_GT_EQ] = ACTIONS(2418),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2418),
    [anon_sym_DOT_DOT] = ACTIONS(2422),
    [anon_sym_STAR_STAR] = ACTIONS(2422),
    [anon_sym_PIPE_PIPE] = ACTIONS(2422),
    [anon_sym_SLASH_SLASH] = ACTIONS(2422),
    [anon_sym_CARET_CARET] = ACTIONS(2418),
    [anon_sym_AMP_AMP] = ACTIONS(2422),
    [anon_sym_PIPE] = ACTIONS(2422),
    [anon_sym_CARET] = ACTIONS(2422),
    [anon_sym_AMP] = ACTIONS(2422),
    [anon_sym_GT_GT2] = ACTIONS(2422),
    [anon_sym_PLUS] = ACTIONS(2422),
    [anon_sym_DASH] = ACTIONS(2422),
    [anon_sym_DOT] = ACTIONS(2422),
    [anon_sym_STAR] = ACTIONS(2422),
    [anon_sym_SLASH] = ACTIONS(2422),
    [anon_sym_x] = ACTIONS(2422),
    [anon_sym_EQ_TILDE] = ACTIONS(2418),
    [anon_sym_BANG_TILDE] = ACTIONS(2418),
    [anon_sym_EQ_EQ] = ACTIONS(2422),
    [anon_sym_BANG_EQ] = ACTIONS(2418),
    [anon_sym_eq] = ACTIONS(2422),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2418),
    [anon_sym_equ] = ACTIONS(2422),
    [anon_sym_eqr] = ACTIONS(2422),
    [anon_sym_ne] = ACTIONS(2422),
    [anon_sym_LT_EQ_GT] = ACTIONS(2418),
    [anon_sym_cmp] = ACTIONS(2422),
    [anon_sym_TILDE_TILDE] = ACTIONS(2418),
    [anon_sym_LT] = ACTIONS(2422),
    [anon_sym_LT_EQ] = ACTIONS(2422),
    [anon_sym_GT_EQ] = ACTIONS(2418),
    [anon_sym_lt] = ACTIONS(2422),
    [anon_sym_le] = ACTIONS(2422),
    [anon_sym_ge] = ACTIONS(2422),
    [anon_sym_gt] = ACTIONS(2422),
    [anon_sym_isa] = ACTIONS(2422),
    [anon_sym_PLUS_PLUS] = ACTIONS(2418),
    [anon_sym_DASH_DASH] = ACTIONS(2418),
    [anon_sym_QMARK] = ACTIONS(2418),
    [anon_sym_EQ_GT] = ACTIONS(2418),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(3338),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1434] = {
    [sym_heredoc_content] = STATE(1434),
    [sym__identifier] = ACTIONS(2436),
    [anon_sym_COLON] = ACTIONS(2436),
    [anon_sym_SEMI] = ACTIONS(2431),
    [anon_sym_EQ] = ACTIONS(2436),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2431),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2431),
    [anon_sym_COMMA] = ACTIONS(2431),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2431),
    [anon_sym_and] = ACTIONS(2436),
    [anon_sym_or] = ACTIONS(2436),
    [anon_sym_xor] = ACTIONS(2436),
    [anon_sym_DASH_GT] = ACTIONS(2431),
    [anon_sym_PERCENT] = ACTIONS(2436),
    [anon_sym_GT] = ACTIONS(2436),
    [anon_sym_LT_LT] = ACTIONS(2436),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2431),
    [anon_sym_PLUS_EQ] = ACTIONS(2431),
    [anon_sym_DASH_EQ] = ACTIONS(2431),
    [anon_sym_DOT_EQ] = ACTIONS(2431),
    [anon_sym_STAR_EQ] = ACTIONS(2431),
    [anon_sym_SLASH_EQ] = ACTIONS(2431),
    [anon_sym_PERCENT_EQ] = ACTIONS(2431),
    [anon_sym_x_EQ] = ACTIONS(2431),
    [anon_sym_AMP_EQ] = ACTIONS(2431),
    [anon_sym_PIPE_EQ] = ACTIONS(2431),
    [anon_sym_CARET_EQ] = ACTIONS(2431),
    [anon_sym_LT_LT_EQ] = ACTIONS(2431),
    [anon_sym_GT_GT_EQ] = ACTIONS(2431),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2431),
    [anon_sym_DOT_DOT] = ACTIONS(2436),
    [anon_sym_STAR_STAR] = ACTIONS(2436),
    [anon_sym_PIPE_PIPE] = ACTIONS(2436),
    [anon_sym_SLASH_SLASH] = ACTIONS(2436),
    [anon_sym_CARET_CARET] = ACTIONS(2431),
    [anon_sym_AMP_AMP] = ACTIONS(2436),
    [anon_sym_PIPE] = ACTIONS(2436),
    [anon_sym_CARET] = ACTIONS(2436),
    [anon_sym_AMP] = ACTIONS(2436),
    [anon_sym_GT_GT2] = ACTIONS(2436),
    [anon_sym_PLUS] = ACTIONS(2436),
    [anon_sym_DASH] = ACTIONS(2436),
    [anon_sym_DOT] = ACTIONS(2436),
    [anon_sym_STAR] = ACTIONS(2436),
    [anon_sym_SLASH] = ACTIONS(2436),
    [anon_sym_x] = ACTIONS(2436),
    [anon_sym_EQ_TILDE] = ACTIONS(2431),
    [anon_sym_BANG_TILDE] = ACTIONS(2431),
    [anon_sym_EQ_EQ] = ACTIONS(2436),
    [anon_sym_BANG_EQ] = ACTIONS(2431),
    [anon_sym_eq] = ACTIONS(2436),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2431),
    [anon_sym_equ] = ACTIONS(2436),
    [anon_sym_eqr] = ACTIONS(2436),
    [anon_sym_ne] = ACTIONS(2436),
    [anon_sym_LT_EQ_GT] = ACTIONS(2431),
    [anon_sym_cmp] = ACTIONS(2436),
    [anon_sym_TILDE_TILDE] = ACTIONS(2431),
    [anon_sym_LT] = ACTIONS(2436),
    [anon_sym_LT_EQ] = ACTIONS(2436),
    [anon_sym_GT_EQ] = ACTIONS(2431),
    [anon_sym_lt] = ACTIONS(2436),
    [anon_sym_le] = ACTIONS(2436),
    [anon_sym_ge] = ACTIONS(2436),
    [anon_sym_gt] = ACTIONS(2436),
    [anon_sym_isa] = ACTIONS(2436),
    [anon_sym_PLUS_PLUS] = ACTIONS(2431),
    [anon_sym_DASH_DASH] = ACTIONS(2431),
    [anon_sym_QMARK] = ACTIONS(2431),
    [anon_sym_EQ_GT] = ACTIONS(2431),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2436),
    [anon_sym___END__] = ACTIONS(2436),
    [anon_sym_EOT] = ACTIONS(2431),
    [aux_sym__bareword_token1] = ACTIONS(2436),
    [sym__PERLY_SEMICOLON] = ACTIONS(2431),
    [sym__ctrl_z_hack] = ACTIONS(2431),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1435] = {
    [sym_attrlist] = STATE(1653),
    [sym_attribute] = STATE(1433),
    [sym_attribute_name] = STATE(1444),
    [sym_heredoc_content] = STATE(1435),
    [sym__identifier] = ACTIONS(3338),
    [anon_sym_RBRACE] = ACTIONS(2438),
    [anon_sym_EQ] = ACTIONS(2440),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2438),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2438),
    [anon_sym_COMMA] = ACTIONS(2438),
    [anon_sym_RPAREN] = ACTIONS(2438),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2438),
    [anon_sym_and] = ACTIONS(2440),
    [anon_sym_or] = ACTIONS(2440),
    [anon_sym_xor] = ACTIONS(2440),
    [anon_sym_RBRACK] = ACTIONS(2438),
    [anon_sym_DASH_GT] = ACTIONS(2438),
    [anon_sym_PERCENT] = ACTIONS(2440),
    [anon_sym_GT] = ACTIONS(2440),
    [anon_sym_LT_LT] = ACTIONS(2440),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2438),
    [anon_sym_PLUS_EQ] = ACTIONS(2438),
    [anon_sym_DASH_EQ] = ACTIONS(2438),
    [anon_sym_DOT_EQ] = ACTIONS(2438),
    [anon_sym_STAR_EQ] = ACTIONS(2438),
    [anon_sym_SLASH_EQ] = ACTIONS(2438),
    [anon_sym_PERCENT_EQ] = ACTIONS(2438),
    [anon_sym_x_EQ] = ACTIONS(2438),
    [anon_sym_AMP_EQ] = ACTIONS(2438),
    [anon_sym_PIPE_EQ] = ACTIONS(2438),
    [anon_sym_CARET_EQ] = ACTIONS(2438),
    [anon_sym_LT_LT_EQ] = ACTIONS(2438),
    [anon_sym_GT_GT_EQ] = ACTIONS(2438),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2438),
    [anon_sym_DOT_DOT] = ACTIONS(2440),
    [anon_sym_STAR_STAR] = ACTIONS(2440),
    [anon_sym_PIPE_PIPE] = ACTIONS(2440),
    [anon_sym_SLASH_SLASH] = ACTIONS(2440),
    [anon_sym_CARET_CARET] = ACTIONS(2438),
    [anon_sym_AMP_AMP] = ACTIONS(2440),
    [anon_sym_PIPE] = ACTIONS(2440),
    [anon_sym_CARET] = ACTIONS(2440),
    [anon_sym_AMP] = ACTIONS(2440),
    [anon_sym_GT_GT2] = ACTIONS(2440),
    [anon_sym_PLUS] = ACTIONS(2440),
    [anon_sym_DASH] = ACTIONS(2440),
    [anon_sym_DOT] = ACTIONS(2440),
    [anon_sym_STAR] = ACTIONS(2440),
    [anon_sym_SLASH] = ACTIONS(2440),
    [anon_sym_x] = ACTIONS(2440),
    [anon_sym_EQ_TILDE] = ACTIONS(2438),
    [anon_sym_BANG_TILDE] = ACTIONS(2438),
    [anon_sym_EQ_EQ] = ACTIONS(2440),
    [anon_sym_BANG_EQ] = ACTIONS(2438),
    [anon_sym_eq] = ACTIONS(2440),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2438),
    [anon_sym_equ] = ACTIONS(2440),
    [anon_sym_eqr] = ACTIONS(2440),
    [anon_sym_ne] = ACTIONS(2440),
    [anon_sym_LT_EQ_GT] = ACTIONS(2438),
    [anon_sym_cmp] = ACTIONS(2440),
    [anon_sym_TILDE_TILDE] = ACTIONS(2438),
    [anon_sym_LT] = ACTIONS(2440),
    [anon_sym_LT_EQ] = ACTIONS(2440),
    [anon_sym_GT_EQ] = ACTIONS(2438),
    [anon_sym_lt] = ACTIONS(2440),
    [anon_sym_le] = ACTIONS(2440),
    [anon_sym_ge] = ACTIONS(2440),
    [anon_sym_gt] = ACTIONS(2440),
    [anon_sym_isa] = ACTIONS(2440),
    [anon_sym_PLUS_PLUS] = ACTIONS(2438),
    [anon_sym_DASH_DASH] = ACTIONS(2438),
    [anon_sym_QMARK] = ACTIONS(2438),
    [anon_sym_EQ_GT] = ACTIONS(2438),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(3338),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1436] = {
    [sym_attrlist] = STATE(1661),
    [sym_attribute] = STATE(1433),
    [sym_attribute_name] = STATE(1444),
    [sym_heredoc_content] = STATE(1436),
    [sym__identifier] = ACTIONS(3338),
    [anon_sym_RBRACE] = ACTIONS(2442),
    [anon_sym_EQ] = ACTIONS(2444),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2442),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2442),
    [anon_sym_COMMA] = ACTIONS(2442),
    [anon_sym_RPAREN] = ACTIONS(2442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2442),
    [anon_sym_and] = ACTIONS(2444),
    [anon_sym_or] = ACTIONS(2444),
    [anon_sym_xor] = ACTIONS(2444),
    [anon_sym_RBRACK] = ACTIONS(2442),
    [anon_sym_DASH_GT] = ACTIONS(2442),
    [anon_sym_PERCENT] = ACTIONS(2444),
    [anon_sym_GT] = ACTIONS(2444),
    [anon_sym_LT_LT] = ACTIONS(2444),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2442),
    [anon_sym_PLUS_EQ] = ACTIONS(2442),
    [anon_sym_DASH_EQ] = ACTIONS(2442),
    [anon_sym_DOT_EQ] = ACTIONS(2442),
    [anon_sym_STAR_EQ] = ACTIONS(2442),
    [anon_sym_SLASH_EQ] = ACTIONS(2442),
    [anon_sym_PERCENT_EQ] = ACTIONS(2442),
    [anon_sym_x_EQ] = ACTIONS(2442),
    [anon_sym_AMP_EQ] = ACTIONS(2442),
    [anon_sym_PIPE_EQ] = ACTIONS(2442),
    [anon_sym_CARET_EQ] = ACTIONS(2442),
    [anon_sym_LT_LT_EQ] = ACTIONS(2442),
    [anon_sym_GT_GT_EQ] = ACTIONS(2442),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2442),
    [anon_sym_DOT_DOT] = ACTIONS(2444),
    [anon_sym_STAR_STAR] = ACTIONS(2444),
    [anon_sym_PIPE_PIPE] = ACTIONS(2444),
    [anon_sym_SLASH_SLASH] = ACTIONS(2444),
    [anon_sym_CARET_CARET] = ACTIONS(2442),
    [anon_sym_AMP_AMP] = ACTIONS(2444),
    [anon_sym_PIPE] = ACTIONS(2444),
    [anon_sym_CARET] = ACTIONS(2444),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_GT_GT2] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_DOT] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2444),
    [anon_sym_SLASH] = ACTIONS(2444),
    [anon_sym_x] = ACTIONS(2444),
    [anon_sym_EQ_TILDE] = ACTIONS(2442),
    [anon_sym_BANG_TILDE] = ACTIONS(2442),
    [anon_sym_EQ_EQ] = ACTIONS(2444),
    [anon_sym_BANG_EQ] = ACTIONS(2442),
    [anon_sym_eq] = ACTIONS(2444),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2442),
    [anon_sym_equ] = ACTIONS(2444),
    [anon_sym_eqr] = ACTIONS(2444),
    [anon_sym_ne] = ACTIONS(2444),
    [anon_sym_LT_EQ_GT] = ACTIONS(2442),
    [anon_sym_cmp] = ACTIONS(2444),
    [anon_sym_TILDE_TILDE] = ACTIONS(2442),
    [anon_sym_LT] = ACTIONS(2444),
    [anon_sym_LT_EQ] = ACTIONS(2444),
    [anon_sym_GT_EQ] = ACTIONS(2442),
    [anon_sym_lt] = ACTIONS(2444),
    [anon_sym_le] = ACTIONS(2444),
    [anon_sym_ge] = ACTIONS(2444),
    [anon_sym_gt] = ACTIONS(2444),
    [anon_sym_isa] = ACTIONS(2444),
    [anon_sym_PLUS_PLUS] = ACTIONS(2442),
    [anon_sym_DASH_DASH] = ACTIONS(2442),
    [anon_sym_QMARK] = ACTIONS(2442),
    [anon_sym_EQ_GT] = ACTIONS(2442),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(3338),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1437] = {
    [sym_heredoc_content] = STATE(1437),
    [aux_sym__term_rightward_repeat1] = STATE(1437),
    [anon_sym_SEMI] = ACTIONS(2774),
    [anon_sym_EQ] = ACTIONS(2776),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2774),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2774),
    [anon_sym_COMMA] = ACTIONS(3342),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2774),
    [anon_sym_and] = ACTIONS(2774),
    [anon_sym_or] = ACTIONS(2774),
    [anon_sym_xor] = ACTIONS(2774),
    [anon_sym_DASH_GT] = ACTIONS(2774),
    [anon_sym_PERCENT] = ACTIONS(2776),
    [anon_sym_GT] = ACTIONS(2776),
    [anon_sym_LT_LT] = ACTIONS(2776),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2774),
    [anon_sym_PLUS_EQ] = ACTIONS(2774),
    [anon_sym_DASH_EQ] = ACTIONS(2774),
    [anon_sym_DOT_EQ] = ACTIONS(2774),
    [anon_sym_STAR_EQ] = ACTIONS(2774),
    [anon_sym_SLASH_EQ] = ACTIONS(2774),
    [anon_sym_PERCENT_EQ] = ACTIONS(2774),
    [anon_sym_x_EQ] = ACTIONS(2774),
    [anon_sym_AMP_EQ] = ACTIONS(2774),
    [anon_sym_PIPE_EQ] = ACTIONS(2774),
    [anon_sym_CARET_EQ] = ACTIONS(2774),
    [anon_sym_LT_LT_EQ] = ACTIONS(2774),
    [anon_sym_GT_GT_EQ] = ACTIONS(2774),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2774),
    [anon_sym_DOT_DOT] = ACTIONS(2776),
    [anon_sym_STAR_STAR] = ACTIONS(2776),
    [anon_sym_PIPE_PIPE] = ACTIONS(2776),
    [anon_sym_SLASH_SLASH] = ACTIONS(2776),
    [anon_sym_CARET_CARET] = ACTIONS(2774),
    [anon_sym_AMP_AMP] = ACTIONS(2776),
    [anon_sym_PIPE] = ACTIONS(2776),
    [anon_sym_CARET] = ACTIONS(2776),
    [anon_sym_AMP] = ACTIONS(2776),
    [anon_sym_GT_GT2] = ACTIONS(2776),
    [anon_sym_PLUS] = ACTIONS(2776),
    [anon_sym_DASH] = ACTIONS(2776),
    [anon_sym_DOT] = ACTIONS(2776),
    [anon_sym_STAR] = ACTIONS(2776),
    [anon_sym_SLASH] = ACTIONS(2776),
    [anon_sym_x] = ACTIONS(2776),
    [anon_sym_EQ_TILDE] = ACTIONS(2774),
    [anon_sym_BANG_TILDE] = ACTIONS(2774),
    [anon_sym_EQ_EQ] = ACTIONS(2776),
    [anon_sym_BANG_EQ] = ACTIONS(2774),
    [anon_sym_eq] = ACTIONS(2776),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2774),
    [anon_sym_equ] = ACTIONS(2774),
    [anon_sym_eqr] = ACTIONS(2774),
    [anon_sym_ne] = ACTIONS(2774),
    [anon_sym_LT_EQ_GT] = ACTIONS(2774),
    [anon_sym_cmp] = ACTIONS(2774),
    [anon_sym_TILDE_TILDE] = ACTIONS(2774),
    [anon_sym_LT] = ACTIONS(2776),
    [anon_sym_LT_EQ] = ACTIONS(2776),
    [anon_sym_GT_EQ] = ACTIONS(2774),
    [anon_sym_lt] = ACTIONS(2774),
    [anon_sym_le] = ACTIONS(2774),
    [anon_sym_ge] = ACTIONS(2774),
    [anon_sym_gt] = ACTIONS(2774),
    [anon_sym_isa] = ACTIONS(2774),
    [anon_sym_PLUS_PLUS] = ACTIONS(2774),
    [anon_sym_DASH_DASH] = ACTIONS(2774),
    [anon_sym_QMARK] = ACTIONS(2774),
    [anon_sym_EQ_GT] = ACTIONS(3342),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2774),
    [anon_sym___END__] = ACTIONS(2774),
    [anon_sym_EOT] = ACTIONS(2774),
    [sym__PERLY_SEMICOLON] = ACTIONS(2774),
    [sym__ctrl_z_hack] = ACTIONS(2774),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1438] = {
    [sym_heredoc_content] = STATE(1438),
    [aux_sym__term_rightward_repeat1] = STATE(1437),
    [anon_sym_SEMI] = ACTIONS(2556),
    [anon_sym_EQ] = ACTIONS(2558),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2556),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2556),
    [anon_sym_COMMA] = ACTIONS(3345),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2556),
    [anon_sym_and] = ACTIONS(2556),
    [anon_sym_or] = ACTIONS(2556),
    [anon_sym_xor] = ACTIONS(2556),
    [anon_sym_DASH_GT] = ACTIONS(2556),
    [anon_sym_PERCENT] = ACTIONS(2558),
    [anon_sym_GT] = ACTIONS(2558),
    [anon_sym_LT_LT] = ACTIONS(2558),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2556),
    [anon_sym_PLUS_EQ] = ACTIONS(2556),
    [anon_sym_DASH_EQ] = ACTIONS(2556),
    [anon_sym_DOT_EQ] = ACTIONS(2556),
    [anon_sym_STAR_EQ] = ACTIONS(2556),
    [anon_sym_SLASH_EQ] = ACTIONS(2556),
    [anon_sym_PERCENT_EQ] = ACTIONS(2556),
    [anon_sym_x_EQ] = ACTIONS(2556),
    [anon_sym_AMP_EQ] = ACTIONS(2556),
    [anon_sym_PIPE_EQ] = ACTIONS(2556),
    [anon_sym_CARET_EQ] = ACTIONS(2556),
    [anon_sym_LT_LT_EQ] = ACTIONS(2556),
    [anon_sym_GT_GT_EQ] = ACTIONS(2556),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2556),
    [anon_sym_DOT_DOT] = ACTIONS(2558),
    [anon_sym_STAR_STAR] = ACTIONS(2558),
    [anon_sym_PIPE_PIPE] = ACTIONS(2558),
    [anon_sym_SLASH_SLASH] = ACTIONS(2558),
    [anon_sym_CARET_CARET] = ACTIONS(2556),
    [anon_sym_AMP_AMP] = ACTIONS(2558),
    [anon_sym_PIPE] = ACTIONS(2558),
    [anon_sym_CARET] = ACTIONS(2558),
    [anon_sym_AMP] = ACTIONS(2558),
    [anon_sym_GT_GT2] = ACTIONS(2558),
    [anon_sym_PLUS] = ACTIONS(2558),
    [anon_sym_DASH] = ACTIONS(2558),
    [anon_sym_DOT] = ACTIONS(2558),
    [anon_sym_STAR] = ACTIONS(2558),
    [anon_sym_SLASH] = ACTIONS(2558),
    [anon_sym_x] = ACTIONS(2558),
    [anon_sym_EQ_TILDE] = ACTIONS(2556),
    [anon_sym_BANG_TILDE] = ACTIONS(2556),
    [anon_sym_EQ_EQ] = ACTIONS(2558),
    [anon_sym_BANG_EQ] = ACTIONS(2556),
    [anon_sym_eq] = ACTIONS(2558),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2556),
    [anon_sym_equ] = ACTIONS(2556),
    [anon_sym_eqr] = ACTIONS(2556),
    [anon_sym_ne] = ACTIONS(2556),
    [anon_sym_LT_EQ_GT] = ACTIONS(2556),
    [anon_sym_cmp] = ACTIONS(2556),
    [anon_sym_TILDE_TILDE] = ACTIONS(2556),
    [anon_sym_LT] = ACTIONS(2558),
    [anon_sym_LT_EQ] = ACTIONS(2558),
    [anon_sym_GT_EQ] = ACTIONS(2556),
    [anon_sym_lt] = ACTIONS(2556),
    [anon_sym_le] = ACTIONS(2556),
    [anon_sym_ge] = ACTIONS(2556),
    [anon_sym_gt] = ACTIONS(2556),
    [anon_sym_isa] = ACTIONS(2556),
    [anon_sym_PLUS_PLUS] = ACTIONS(2556),
    [anon_sym_DASH_DASH] = ACTIONS(2556),
    [anon_sym_QMARK] = ACTIONS(2556),
    [anon_sym_EQ_GT] = ACTIONS(3345),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2556),
    [anon_sym___END__] = ACTIONS(2556),
    [anon_sym_EOT] = ACTIONS(2556),
    [sym__PERLY_SEMICOLON] = ACTIONS(2556),
    [sym__ctrl_z_hack] = ACTIONS(2556),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1439] = {
    [sym_attribute] = STATE(1540),
    [sym_attribute_name] = STATE(1529),
    [sym_heredoc_content] = STATE(1439),
    [aux_sym_attrlist_repeat1] = STATE(1440),
    [sym__identifier] = ACTIONS(3347),
    [anon_sym_COLON] = ACTIONS(2422),
    [anon_sym_DOLLAR] = ACTIONS(2418),
    [anon_sym_EQ] = ACTIONS(2422),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2418),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2418),
    [anon_sym_AT] = ACTIONS(2418),
    [anon_sym_COMMA] = ACTIONS(2418),
    [anon_sym_RPAREN] = ACTIONS(2418),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2418),
    [anon_sym_DASH_GT] = ACTIONS(2418),
    [anon_sym_PERCENT] = ACTIONS(2422),
    [anon_sym_GT] = ACTIONS(2422),
    [anon_sym_LT_LT] = ACTIONS(2422),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2418),
    [anon_sym_PLUS_EQ] = ACTIONS(2418),
    [anon_sym_DASH_EQ] = ACTIONS(2418),
    [anon_sym_DOT_EQ] = ACTIONS(2418),
    [anon_sym_STAR_EQ] = ACTIONS(2418),
    [anon_sym_SLASH_EQ] = ACTIONS(2418),
    [anon_sym_PERCENT_EQ] = ACTIONS(2422),
    [anon_sym_x_EQ] = ACTIONS(2418),
    [anon_sym_AMP_EQ] = ACTIONS(2418),
    [anon_sym_PIPE_EQ] = ACTIONS(2418),
    [anon_sym_CARET_EQ] = ACTIONS(2418),
    [anon_sym_LT_LT_EQ] = ACTIONS(2418),
    [anon_sym_GT_GT_EQ] = ACTIONS(2418),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2418),
    [anon_sym_DOT_DOT] = ACTIONS(2422),
    [anon_sym_STAR_STAR] = ACTIONS(2422),
    [anon_sym_PIPE_PIPE] = ACTIONS(2422),
    [anon_sym_SLASH_SLASH] = ACTIONS(2422),
    [anon_sym_CARET_CARET] = ACTIONS(2418),
    [anon_sym_AMP_AMP] = ACTIONS(2422),
    [anon_sym_PIPE] = ACTIONS(2422),
    [anon_sym_CARET] = ACTIONS(2422),
    [anon_sym_AMP] = ACTIONS(2422),
    [anon_sym_GT_GT2] = ACTIONS(2422),
    [anon_sym_PLUS] = ACTIONS(2422),
    [anon_sym_DASH] = ACTIONS(2422),
    [anon_sym_DOT] = ACTIONS(2422),
    [anon_sym_STAR] = ACTIONS(2422),
    [anon_sym_SLASH] = ACTIONS(2422),
    [anon_sym_x] = ACTIONS(2422),
    [anon_sym_EQ_TILDE] = ACTIONS(2418),
    [anon_sym_BANG_TILDE] = ACTIONS(2418),
    [anon_sym_EQ_EQ] = ACTIONS(2422),
    [anon_sym_BANG_EQ] = ACTIONS(2418),
    [anon_sym_eq] = ACTIONS(2422),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2418),
    [anon_sym_equ] = ACTIONS(2422),
    [anon_sym_eqr] = ACTIONS(2422),
    [anon_sym_ne] = ACTIONS(2422),
    [anon_sym_LT_EQ_GT] = ACTIONS(2418),
    [anon_sym_cmp] = ACTIONS(2422),
    [anon_sym_TILDE_TILDE] = ACTIONS(2418),
    [anon_sym_LT] = ACTIONS(2422),
    [anon_sym_LT_EQ] = ACTIONS(2422),
    [anon_sym_GT_EQ] = ACTIONS(2418),
    [anon_sym_lt] = ACTIONS(2422),
    [anon_sym_le] = ACTIONS(2422),
    [anon_sym_ge] = ACTIONS(2422),
    [anon_sym_gt] = ACTIONS(2422),
    [anon_sym_isa] = ACTIONS(2422),
    [anon_sym_PLUS_PLUS] = ACTIONS(2418),
    [anon_sym_DASH_DASH] = ACTIONS(2418),
    [anon_sym_QMARK] = ACTIONS(2418),
    [anon_sym_PERCENT2] = ACTIONS(2418),
    [anon_sym_EQ_GT] = ACTIONS(2418),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(3347),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1440] = {
    [sym_attribute] = STATE(1540),
    [sym_attribute_name] = STATE(1529),
    [sym_heredoc_content] = STATE(1440),
    [aux_sym_attrlist_repeat1] = STATE(1449),
    [sym__identifier] = ACTIONS(3347),
    [anon_sym_COLON] = ACTIONS(2426),
    [anon_sym_DOLLAR] = ACTIONS(2424),
    [anon_sym_EQ] = ACTIONS(2426),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2424),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2424),
    [anon_sym_AT] = ACTIONS(2424),
    [anon_sym_COMMA] = ACTIONS(2424),
    [anon_sym_RPAREN] = ACTIONS(2424),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2424),
    [anon_sym_DASH_GT] = ACTIONS(2424),
    [anon_sym_PERCENT] = ACTIONS(2426),
    [anon_sym_GT] = ACTIONS(2426),
    [anon_sym_LT_LT] = ACTIONS(2426),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2424),
    [anon_sym_PLUS_EQ] = ACTIONS(2424),
    [anon_sym_DASH_EQ] = ACTIONS(2424),
    [anon_sym_DOT_EQ] = ACTIONS(2424),
    [anon_sym_STAR_EQ] = ACTIONS(2424),
    [anon_sym_SLASH_EQ] = ACTIONS(2424),
    [anon_sym_PERCENT_EQ] = ACTIONS(2426),
    [anon_sym_x_EQ] = ACTIONS(2424),
    [anon_sym_AMP_EQ] = ACTIONS(2424),
    [anon_sym_PIPE_EQ] = ACTIONS(2424),
    [anon_sym_CARET_EQ] = ACTIONS(2424),
    [anon_sym_LT_LT_EQ] = ACTIONS(2424),
    [anon_sym_GT_GT_EQ] = ACTIONS(2424),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2424),
    [anon_sym_DOT_DOT] = ACTIONS(2426),
    [anon_sym_STAR_STAR] = ACTIONS(2426),
    [anon_sym_PIPE_PIPE] = ACTIONS(2426),
    [anon_sym_SLASH_SLASH] = ACTIONS(2426),
    [anon_sym_CARET_CARET] = ACTIONS(2424),
    [anon_sym_AMP_AMP] = ACTIONS(2426),
    [anon_sym_PIPE] = ACTIONS(2426),
    [anon_sym_CARET] = ACTIONS(2426),
    [anon_sym_AMP] = ACTIONS(2426),
    [anon_sym_GT_GT2] = ACTIONS(2426),
    [anon_sym_PLUS] = ACTIONS(2426),
    [anon_sym_DASH] = ACTIONS(2426),
    [anon_sym_DOT] = ACTIONS(2426),
    [anon_sym_STAR] = ACTIONS(2426),
    [anon_sym_SLASH] = ACTIONS(2426),
    [anon_sym_x] = ACTIONS(2426),
    [anon_sym_EQ_TILDE] = ACTIONS(2424),
    [anon_sym_BANG_TILDE] = ACTIONS(2424),
    [anon_sym_EQ_EQ] = ACTIONS(2426),
    [anon_sym_BANG_EQ] = ACTIONS(2424),
    [anon_sym_eq] = ACTIONS(2426),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2424),
    [anon_sym_equ] = ACTIONS(2426),
    [anon_sym_eqr] = ACTIONS(2426),
    [anon_sym_ne] = ACTIONS(2426),
    [anon_sym_LT_EQ_GT] = ACTIONS(2424),
    [anon_sym_cmp] = ACTIONS(2426),
    [anon_sym_TILDE_TILDE] = ACTIONS(2424),
    [anon_sym_LT] = ACTIONS(2426),
    [anon_sym_LT_EQ] = ACTIONS(2426),
    [anon_sym_GT_EQ] = ACTIONS(2424),
    [anon_sym_lt] = ACTIONS(2426),
    [anon_sym_le] = ACTIONS(2426),
    [anon_sym_ge] = ACTIONS(2426),
    [anon_sym_gt] = ACTIONS(2426),
    [anon_sym_isa] = ACTIONS(2426),
    [anon_sym_PLUS_PLUS] = ACTIONS(2424),
    [anon_sym_DASH_DASH] = ACTIONS(2424),
    [anon_sym_QMARK] = ACTIONS(2424),
    [anon_sym_PERCENT2] = ACTIONS(2424),
    [anon_sym_EQ_GT] = ACTIONS(2424),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(3347),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1441] = {
    [sym_heredoc_content] = STATE(1441),
    [sym__identifier] = ACTIONS(2446),
    [anon_sym_RBRACE] = ACTIONS(2448),
    [anon_sym_COLON] = ACTIONS(2446),
    [anon_sym_EQ] = ACTIONS(2446),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2448),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2448),
    [anon_sym_COMMA] = ACTIONS(2448),
    [anon_sym_RPAREN] = ACTIONS(2448),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2448),
    [anon_sym_and] = ACTIONS(2446),
    [anon_sym_or] = ACTIONS(2446),
    [anon_sym_xor] = ACTIONS(2446),
    [anon_sym_RBRACK] = ACTIONS(2448),
    [anon_sym_DASH_GT] = ACTIONS(2448),
    [anon_sym_PERCENT] = ACTIONS(2446),
    [anon_sym_GT] = ACTIONS(2446),
    [anon_sym_LT_LT] = ACTIONS(2446),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2448),
    [anon_sym_PLUS_EQ] = ACTIONS(2448),
    [anon_sym_DASH_EQ] = ACTIONS(2448),
    [anon_sym_DOT_EQ] = ACTIONS(2448),
    [anon_sym_STAR_EQ] = ACTIONS(2448),
    [anon_sym_SLASH_EQ] = ACTIONS(2448),
    [anon_sym_PERCENT_EQ] = ACTIONS(2448),
    [anon_sym_x_EQ] = ACTIONS(2448),
    [anon_sym_AMP_EQ] = ACTIONS(2448),
    [anon_sym_PIPE_EQ] = ACTIONS(2448),
    [anon_sym_CARET_EQ] = ACTIONS(2448),
    [anon_sym_LT_LT_EQ] = ACTIONS(2448),
    [anon_sym_GT_GT_EQ] = ACTIONS(2448),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2448),
    [anon_sym_DOT_DOT] = ACTIONS(2446),
    [anon_sym_STAR_STAR] = ACTIONS(2446),
    [anon_sym_PIPE_PIPE] = ACTIONS(2446),
    [anon_sym_SLASH_SLASH] = ACTIONS(2446),
    [anon_sym_CARET_CARET] = ACTIONS(2448),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_PIPE] = ACTIONS(2446),
    [anon_sym_CARET] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2446),
    [anon_sym_GT_GT2] = ACTIONS(2446),
    [anon_sym_PLUS] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2446),
    [anon_sym_DOT] = ACTIONS(2446),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_SLASH] = ACTIONS(2446),
    [anon_sym_x] = ACTIONS(2446),
    [anon_sym_EQ_TILDE] = ACTIONS(2448),
    [anon_sym_BANG_TILDE] = ACTIONS(2448),
    [anon_sym_EQ_EQ] = ACTIONS(2446),
    [anon_sym_BANG_EQ] = ACTIONS(2448),
    [anon_sym_eq] = ACTIONS(2446),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2448),
    [anon_sym_equ] = ACTIONS(2446),
    [anon_sym_eqr] = ACTIONS(2446),
    [anon_sym_ne] = ACTIONS(2446),
    [anon_sym_LT_EQ_GT] = ACTIONS(2448),
    [anon_sym_cmp] = ACTIONS(2446),
    [anon_sym_TILDE_TILDE] = ACTIONS(2448),
    [anon_sym_LT] = ACTIONS(2446),
    [anon_sym_LT_EQ] = ACTIONS(2446),
    [anon_sym_GT_EQ] = ACTIONS(2448),
    [anon_sym_lt] = ACTIONS(2446),
    [anon_sym_le] = ACTIONS(2446),
    [anon_sym_ge] = ACTIONS(2446),
    [anon_sym_gt] = ACTIONS(2446),
    [anon_sym_isa] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2448),
    [anon_sym_DASH_DASH] = ACTIONS(2448),
    [anon_sym_QMARK] = ACTIONS(2448),
    [anon_sym_EQ_GT] = ACTIONS(2448),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(2446),
    [sym_pod] = ACTIONS(5),
    [sym__attribute_value_begin] = ACTIONS(2448),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1442] = {
    [sym_heredoc_content] = STATE(1442),
    [anon_sym_LBRACE] = ACTIONS(1853),
    [anon_sym_RBRACE] = ACTIONS(1853),
    [anon_sym_COLON] = ACTIONS(1853),
    [anon_sym_EQ] = ACTIONS(1851),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1853),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1853),
    [anon_sym_COMMA] = ACTIONS(1853),
    [anon_sym_RPAREN] = ACTIONS(1853),
    [anon_sym_LPAREN] = ACTIONS(1853),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1853),
    [anon_sym_and] = ACTIONS(1853),
    [anon_sym_or] = ACTIONS(1853),
    [anon_sym_xor] = ACTIONS(1853),
    [anon_sym_LBRACK] = ACTIONS(1853),
    [anon_sym_RBRACK] = ACTIONS(1853),
    [anon_sym_DASH_GT] = ACTIONS(1853),
    [anon_sym_PERCENT] = ACTIONS(1851),
    [anon_sym_GT] = ACTIONS(1851),
    [anon_sym_LT_LT] = ACTIONS(1851),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1853),
    [anon_sym_PLUS_EQ] = ACTIONS(1853),
    [anon_sym_DASH_EQ] = ACTIONS(1853),
    [anon_sym_DOT_EQ] = ACTIONS(1853),
    [anon_sym_STAR_EQ] = ACTIONS(1853),
    [anon_sym_SLASH_EQ] = ACTIONS(1853),
    [anon_sym_PERCENT_EQ] = ACTIONS(1853),
    [anon_sym_x_EQ] = ACTIONS(1853),
    [anon_sym_AMP_EQ] = ACTIONS(1853),
    [anon_sym_PIPE_EQ] = ACTIONS(1853),
    [anon_sym_CARET_EQ] = ACTIONS(1853),
    [anon_sym_LT_LT_EQ] = ACTIONS(1853),
    [anon_sym_GT_GT_EQ] = ACTIONS(1853),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1853),
    [anon_sym_DOT_DOT] = ACTIONS(1851),
    [anon_sym_STAR_STAR] = ACTIONS(1851),
    [anon_sym_PIPE_PIPE] = ACTIONS(1851),
    [anon_sym_SLASH_SLASH] = ACTIONS(1851),
    [anon_sym_CARET_CARET] = ACTIONS(1853),
    [anon_sym_AMP_AMP] = ACTIONS(1851),
    [anon_sym_PIPE] = ACTIONS(1851),
    [anon_sym_CARET] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym_GT_GT2] = ACTIONS(1851),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_DOT] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_SLASH] = ACTIONS(1851),
    [anon_sym_x] = ACTIONS(1851),
    [anon_sym_EQ_TILDE] = ACTIONS(1853),
    [anon_sym_BANG_TILDE] = ACTIONS(1853),
    [anon_sym_EQ_EQ] = ACTIONS(1851),
    [anon_sym_BANG_EQ] = ACTIONS(1853),
    [anon_sym_eq] = ACTIONS(1851),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1853),
    [anon_sym_equ] = ACTIONS(1853),
    [anon_sym_eqr] = ACTIONS(1853),
    [anon_sym_ne] = ACTIONS(1853),
    [anon_sym_LT_EQ_GT] = ACTIONS(1853),
    [anon_sym_cmp] = ACTIONS(1853),
    [anon_sym_TILDE_TILDE] = ACTIONS(1853),
    [anon_sym_LT] = ACTIONS(1851),
    [anon_sym_LT_EQ] = ACTIONS(1851),
    [anon_sym_GT_EQ] = ACTIONS(1853),
    [anon_sym_lt] = ACTIONS(1853),
    [anon_sym_le] = ACTIONS(1853),
    [anon_sym_ge] = ACTIONS(1853),
    [anon_sym_gt] = ACTIONS(1853),
    [anon_sym_isa] = ACTIONS(1853),
    [anon_sym_PLUS_PLUS] = ACTIONS(1853),
    [anon_sym_DASH_DASH] = ACTIONS(1853),
    [anon_sym_QMARK] = ACTIONS(1853),
    [anon_sym_EQ_GT] = ACTIONS(1853),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1443] = {
    [sym_heredoc_content] = STATE(1443),
    [anon_sym_LBRACE] = ACTIONS(1857),
    [anon_sym_RBRACE] = ACTIONS(1857),
    [anon_sym_COLON] = ACTIONS(1857),
    [anon_sym_EQ] = ACTIONS(1855),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1857),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1857),
    [anon_sym_COMMA] = ACTIONS(1857),
    [anon_sym_RPAREN] = ACTIONS(1857),
    [anon_sym_LPAREN] = ACTIONS(1857),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1857),
    [anon_sym_and] = ACTIONS(1857),
    [anon_sym_or] = ACTIONS(1857),
    [anon_sym_xor] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(1857),
    [anon_sym_RBRACK] = ACTIONS(1857),
    [anon_sym_DASH_GT] = ACTIONS(1857),
    [anon_sym_PERCENT] = ACTIONS(1855),
    [anon_sym_GT] = ACTIONS(1855),
    [anon_sym_LT_LT] = ACTIONS(1855),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1857),
    [anon_sym_PLUS_EQ] = ACTIONS(1857),
    [anon_sym_DASH_EQ] = ACTIONS(1857),
    [anon_sym_DOT_EQ] = ACTIONS(1857),
    [anon_sym_STAR_EQ] = ACTIONS(1857),
    [anon_sym_SLASH_EQ] = ACTIONS(1857),
    [anon_sym_PERCENT_EQ] = ACTIONS(1857),
    [anon_sym_x_EQ] = ACTIONS(1857),
    [anon_sym_AMP_EQ] = ACTIONS(1857),
    [anon_sym_PIPE_EQ] = ACTIONS(1857),
    [anon_sym_CARET_EQ] = ACTIONS(1857),
    [anon_sym_LT_LT_EQ] = ACTIONS(1857),
    [anon_sym_GT_GT_EQ] = ACTIONS(1857),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1857),
    [anon_sym_DOT_DOT] = ACTIONS(1855),
    [anon_sym_STAR_STAR] = ACTIONS(1855),
    [anon_sym_PIPE_PIPE] = ACTIONS(1855),
    [anon_sym_SLASH_SLASH] = ACTIONS(1855),
    [anon_sym_CARET_CARET] = ACTIONS(1857),
    [anon_sym_AMP_AMP] = ACTIONS(1855),
    [anon_sym_PIPE] = ACTIONS(1855),
    [anon_sym_CARET] = ACTIONS(1855),
    [anon_sym_AMP] = ACTIONS(1855),
    [anon_sym_GT_GT2] = ACTIONS(1855),
    [anon_sym_PLUS] = ACTIONS(1855),
    [anon_sym_DASH] = ACTIONS(1855),
    [anon_sym_DOT] = ACTIONS(1855),
    [anon_sym_STAR] = ACTIONS(1855),
    [anon_sym_SLASH] = ACTIONS(1855),
    [anon_sym_x] = ACTIONS(1855),
    [anon_sym_EQ_TILDE] = ACTIONS(1857),
    [anon_sym_BANG_TILDE] = ACTIONS(1857),
    [anon_sym_EQ_EQ] = ACTIONS(1855),
    [anon_sym_BANG_EQ] = ACTIONS(1857),
    [anon_sym_eq] = ACTIONS(1855),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1857),
    [anon_sym_equ] = ACTIONS(1857),
    [anon_sym_eqr] = ACTIONS(1857),
    [anon_sym_ne] = ACTIONS(1857),
    [anon_sym_LT_EQ_GT] = ACTIONS(1857),
    [anon_sym_cmp] = ACTIONS(1857),
    [anon_sym_TILDE_TILDE] = ACTIONS(1857),
    [anon_sym_LT] = ACTIONS(1855),
    [anon_sym_LT_EQ] = ACTIONS(1855),
    [anon_sym_GT_EQ] = ACTIONS(1857),
    [anon_sym_lt] = ACTIONS(1857),
    [anon_sym_le] = ACTIONS(1857),
    [anon_sym_ge] = ACTIONS(1857),
    [anon_sym_gt] = ACTIONS(1857),
    [anon_sym_isa] = ACTIONS(1857),
    [anon_sym_PLUS_PLUS] = ACTIONS(1857),
    [anon_sym_DASH_DASH] = ACTIONS(1857),
    [anon_sym_QMARK] = ACTIONS(1857),
    [anon_sym_EQ_GT] = ACTIONS(1857),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1444] = {
    [sym_heredoc_content] = STATE(1444),
    [sym__identifier] = ACTIONS(2450),
    [anon_sym_RBRACE] = ACTIONS(2452),
    [anon_sym_COLON] = ACTIONS(2450),
    [anon_sym_EQ] = ACTIONS(2450),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2452),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2452),
    [anon_sym_COMMA] = ACTIONS(2452),
    [anon_sym_RPAREN] = ACTIONS(2452),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2452),
    [anon_sym_and] = ACTIONS(2450),
    [anon_sym_or] = ACTIONS(2450),
    [anon_sym_xor] = ACTIONS(2450),
    [anon_sym_RBRACK] = ACTIONS(2452),
    [anon_sym_DASH_GT] = ACTIONS(2452),
    [anon_sym_PERCENT] = ACTIONS(2450),
    [anon_sym_GT] = ACTIONS(2450),
    [anon_sym_LT_LT] = ACTIONS(2450),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2452),
    [anon_sym_PLUS_EQ] = ACTIONS(2452),
    [anon_sym_DASH_EQ] = ACTIONS(2452),
    [anon_sym_DOT_EQ] = ACTIONS(2452),
    [anon_sym_STAR_EQ] = ACTIONS(2452),
    [anon_sym_SLASH_EQ] = ACTIONS(2452),
    [anon_sym_PERCENT_EQ] = ACTIONS(2452),
    [anon_sym_x_EQ] = ACTIONS(2452),
    [anon_sym_AMP_EQ] = ACTIONS(2452),
    [anon_sym_PIPE_EQ] = ACTIONS(2452),
    [anon_sym_CARET_EQ] = ACTIONS(2452),
    [anon_sym_LT_LT_EQ] = ACTIONS(2452),
    [anon_sym_GT_GT_EQ] = ACTIONS(2452),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2452),
    [anon_sym_DOT_DOT] = ACTIONS(2450),
    [anon_sym_STAR_STAR] = ACTIONS(2450),
    [anon_sym_PIPE_PIPE] = ACTIONS(2450),
    [anon_sym_SLASH_SLASH] = ACTIONS(2450),
    [anon_sym_CARET_CARET] = ACTIONS(2452),
    [anon_sym_AMP_AMP] = ACTIONS(2450),
    [anon_sym_PIPE] = ACTIONS(2450),
    [anon_sym_CARET] = ACTIONS(2450),
    [anon_sym_AMP] = ACTIONS(2450),
    [anon_sym_GT_GT2] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_DOT] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2450),
    [anon_sym_SLASH] = ACTIONS(2450),
    [anon_sym_x] = ACTIONS(2450),
    [anon_sym_EQ_TILDE] = ACTIONS(2452),
    [anon_sym_BANG_TILDE] = ACTIONS(2452),
    [anon_sym_EQ_EQ] = ACTIONS(2450),
    [anon_sym_BANG_EQ] = ACTIONS(2452),
    [anon_sym_eq] = ACTIONS(2450),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2452),
    [anon_sym_equ] = ACTIONS(2450),
    [anon_sym_eqr] = ACTIONS(2450),
    [anon_sym_ne] = ACTIONS(2450),
    [anon_sym_LT_EQ_GT] = ACTIONS(2452),
    [anon_sym_cmp] = ACTIONS(2450),
    [anon_sym_TILDE_TILDE] = ACTIONS(2452),
    [anon_sym_LT] = ACTIONS(2450),
    [anon_sym_LT_EQ] = ACTIONS(2450),
    [anon_sym_GT_EQ] = ACTIONS(2452),
    [anon_sym_lt] = ACTIONS(2450),
    [anon_sym_le] = ACTIONS(2450),
    [anon_sym_ge] = ACTIONS(2450),
    [anon_sym_gt] = ACTIONS(2450),
    [anon_sym_isa] = ACTIONS(2450),
    [anon_sym_PLUS_PLUS] = ACTIONS(2452),
    [anon_sym_DASH_DASH] = ACTIONS(2452),
    [anon_sym_QMARK] = ACTIONS(2452),
    [anon_sym_EQ_GT] = ACTIONS(2452),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(2450),
    [sym_pod] = ACTIONS(5),
    [sym__attribute_value_begin] = ACTIONS(3349),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1445] = {
    [sym_heredoc_content] = STATE(1445),
    [aux_sym__term_rightward_repeat1] = STATE(2696),
    [anon_sym_SEMI] = ACTIONS(2580),
    [anon_sym_EQ] = ACTIONS(3351),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3353),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3353),
    [anon_sym_COMMA] = ACTIONS(3355),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3357),
    [anon_sym_and] = ACTIONS(2580),
    [anon_sym_or] = ACTIONS(2580),
    [anon_sym_xor] = ACTIONS(2580),
    [anon_sym_DASH_GT] = ACTIONS(2591),
    [anon_sym_PERCENT] = ACTIONS(3359),
    [anon_sym_GT] = ACTIONS(3361),
    [anon_sym_LT_LT] = ACTIONS(3363),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3353),
    [anon_sym_PLUS_EQ] = ACTIONS(3353),
    [anon_sym_DASH_EQ] = ACTIONS(3353),
    [anon_sym_DOT_EQ] = ACTIONS(3353),
    [anon_sym_STAR_EQ] = ACTIONS(3353),
    [anon_sym_SLASH_EQ] = ACTIONS(3353),
    [anon_sym_PERCENT_EQ] = ACTIONS(3353),
    [anon_sym_x_EQ] = ACTIONS(3353),
    [anon_sym_AMP_EQ] = ACTIONS(3353),
    [anon_sym_PIPE_EQ] = ACTIONS(3353),
    [anon_sym_CARET_EQ] = ACTIONS(3353),
    [anon_sym_LT_LT_EQ] = ACTIONS(3353),
    [anon_sym_GT_GT_EQ] = ACTIONS(3353),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3353),
    [anon_sym_DOT_DOT] = ACTIONS(3365),
    [anon_sym_STAR_STAR] = ACTIONS(3367),
    [anon_sym_PIPE_PIPE] = ACTIONS(3369),
    [anon_sym_SLASH_SLASH] = ACTIONS(3369),
    [anon_sym_CARET_CARET] = ACTIONS(3371),
    [anon_sym_AMP_AMP] = ACTIONS(3373),
    [anon_sym_PIPE] = ACTIONS(3375),
    [anon_sym_CARET] = ACTIONS(3375),
    [anon_sym_AMP] = ACTIONS(3377),
    [anon_sym_GT_GT2] = ACTIONS(3363),
    [anon_sym_PLUS] = ACTIONS(3379),
    [anon_sym_DASH] = ACTIONS(3379),
    [anon_sym_DOT] = ACTIONS(3379),
    [anon_sym_STAR] = ACTIONS(3359),
    [anon_sym_SLASH] = ACTIONS(3359),
    [anon_sym_x] = ACTIONS(3359),
    [anon_sym_EQ_TILDE] = ACTIONS(3381),
    [anon_sym_BANG_TILDE] = ACTIONS(3381),
    [anon_sym_EQ_EQ] = ACTIONS(3383),
    [anon_sym_BANG_EQ] = ACTIONS(3385),
    [anon_sym_eq] = ACTIONS(3383),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3385),
    [anon_sym_equ] = ACTIONS(3385),
    [anon_sym_eqr] = ACTIONS(3385),
    [anon_sym_ne] = ACTIONS(3385),
    [anon_sym_LT_EQ_GT] = ACTIONS(3387),
    [anon_sym_cmp] = ACTIONS(3387),
    [anon_sym_TILDE_TILDE] = ACTIONS(3387),
    [anon_sym_LT] = ACTIONS(3361),
    [anon_sym_LT_EQ] = ACTIONS(3361),
    [anon_sym_GT_EQ] = ACTIONS(3389),
    [anon_sym_lt] = ACTIONS(3389),
    [anon_sym_le] = ACTIONS(3389),
    [anon_sym_ge] = ACTIONS(3389),
    [anon_sym_gt] = ACTIONS(3389),
    [anon_sym_isa] = ACTIONS(3391),
    [anon_sym_PLUS_PLUS] = ACTIONS(2627),
    [anon_sym_DASH_DASH] = ACTIONS(2627),
    [anon_sym_QMARK] = ACTIONS(3393),
    [anon_sym_EQ_GT] = ACTIONS(3355),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2580),
    [anon_sym___END__] = ACTIONS(2580),
    [anon_sym_EOT] = ACTIONS(2580),
    [sym__PERLY_SEMICOLON] = ACTIONS(2580),
    [sym__ctrl_z_hack] = ACTIONS(2580),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1446] = {
    [sym_heredoc_content] = STATE(1446),
    [anon_sym_COLON] = ACTIONS(3395),
    [anon_sym_SEMI] = ACTIONS(2734),
    [anon_sym_EQ] = ACTIONS(2738),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2734),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2734),
    [anon_sym_COMMA] = ACTIONS(2734),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2734),
    [anon_sym_and] = ACTIONS(2734),
    [anon_sym_or] = ACTIONS(2734),
    [anon_sym_xor] = ACTIONS(2734),
    [anon_sym_DASH_GT] = ACTIONS(2734),
    [anon_sym_PERCENT] = ACTIONS(2738),
    [anon_sym_GT] = ACTIONS(2738),
    [anon_sym_LT_LT] = ACTIONS(2738),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2734),
    [anon_sym_PLUS_EQ] = ACTIONS(2734),
    [anon_sym_DASH_EQ] = ACTIONS(2734),
    [anon_sym_DOT_EQ] = ACTIONS(2734),
    [anon_sym_STAR_EQ] = ACTIONS(2734),
    [anon_sym_SLASH_EQ] = ACTIONS(2734),
    [anon_sym_PERCENT_EQ] = ACTIONS(2734),
    [anon_sym_x_EQ] = ACTIONS(2734),
    [anon_sym_AMP_EQ] = ACTIONS(2734),
    [anon_sym_PIPE_EQ] = ACTIONS(2734),
    [anon_sym_CARET_EQ] = ACTIONS(2734),
    [anon_sym_LT_LT_EQ] = ACTIONS(2734),
    [anon_sym_GT_GT_EQ] = ACTIONS(2734),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2734),
    [anon_sym_DOT_DOT] = ACTIONS(2738),
    [anon_sym_STAR_STAR] = ACTIONS(2738),
    [anon_sym_PIPE_PIPE] = ACTIONS(2738),
    [anon_sym_SLASH_SLASH] = ACTIONS(2738),
    [anon_sym_CARET_CARET] = ACTIONS(2734),
    [anon_sym_AMP_AMP] = ACTIONS(2738),
    [anon_sym_PIPE] = ACTIONS(2738),
    [anon_sym_CARET] = ACTIONS(2738),
    [anon_sym_AMP] = ACTIONS(2738),
    [anon_sym_GT_GT2] = ACTIONS(2738),
    [anon_sym_PLUS] = ACTIONS(2738),
    [anon_sym_DASH] = ACTIONS(2738),
    [anon_sym_DOT] = ACTIONS(2738),
    [anon_sym_STAR] = ACTIONS(2738),
    [anon_sym_SLASH] = ACTIONS(2738),
    [anon_sym_x] = ACTIONS(2738),
    [anon_sym_EQ_TILDE] = ACTIONS(2734),
    [anon_sym_BANG_TILDE] = ACTIONS(2734),
    [anon_sym_EQ_EQ] = ACTIONS(2738),
    [anon_sym_BANG_EQ] = ACTIONS(2734),
    [anon_sym_eq] = ACTIONS(2738),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2734),
    [anon_sym_equ] = ACTIONS(2734),
    [anon_sym_eqr] = ACTIONS(2734),
    [anon_sym_ne] = ACTIONS(2734),
    [anon_sym_LT_EQ_GT] = ACTIONS(2734),
    [anon_sym_cmp] = ACTIONS(2734),
    [anon_sym_TILDE_TILDE] = ACTIONS(2734),
    [anon_sym_LT] = ACTIONS(2738),
    [anon_sym_LT_EQ] = ACTIONS(2738),
    [anon_sym_GT_EQ] = ACTIONS(2734),
    [anon_sym_lt] = ACTIONS(2734),
    [anon_sym_le] = ACTIONS(2734),
    [anon_sym_ge] = ACTIONS(2734),
    [anon_sym_gt] = ACTIONS(2734),
    [anon_sym_isa] = ACTIONS(2734),
    [anon_sym_PLUS_PLUS] = ACTIONS(2734),
    [anon_sym_DASH_DASH] = ACTIONS(2734),
    [anon_sym_QMARK] = ACTIONS(2734),
    [anon_sym_EQ_GT] = ACTIONS(2734),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2734),
    [anon_sym___END__] = ACTIONS(2734),
    [anon_sym_EOT] = ACTIONS(2734),
    [sym__PERLY_SEMICOLON] = ACTIONS(2734),
    [sym__ctrl_z_hack] = ACTIONS(2734),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1447] = {
    [sym_heredoc_content] = STATE(1447),
    [anon_sym_COLON] = ACTIONS(3397),
    [anon_sym_SEMI] = ACTIONS(2744),
    [anon_sym_EQ] = ACTIONS(2748),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2744),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2744),
    [anon_sym_COMMA] = ACTIONS(2744),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2744),
    [anon_sym_and] = ACTIONS(2744),
    [anon_sym_or] = ACTIONS(2744),
    [anon_sym_xor] = ACTIONS(2744),
    [anon_sym_DASH_GT] = ACTIONS(2744),
    [anon_sym_PERCENT] = ACTIONS(2748),
    [anon_sym_GT] = ACTIONS(2748),
    [anon_sym_LT_LT] = ACTIONS(2748),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2744),
    [anon_sym_PLUS_EQ] = ACTIONS(2744),
    [anon_sym_DASH_EQ] = ACTIONS(2744),
    [anon_sym_DOT_EQ] = ACTIONS(2744),
    [anon_sym_STAR_EQ] = ACTIONS(2744),
    [anon_sym_SLASH_EQ] = ACTIONS(2744),
    [anon_sym_PERCENT_EQ] = ACTIONS(2744),
    [anon_sym_x_EQ] = ACTIONS(2744),
    [anon_sym_AMP_EQ] = ACTIONS(2744),
    [anon_sym_PIPE_EQ] = ACTIONS(2744),
    [anon_sym_CARET_EQ] = ACTIONS(2744),
    [anon_sym_LT_LT_EQ] = ACTIONS(2744),
    [anon_sym_GT_GT_EQ] = ACTIONS(2744),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2744),
    [anon_sym_DOT_DOT] = ACTIONS(2748),
    [anon_sym_STAR_STAR] = ACTIONS(2748),
    [anon_sym_PIPE_PIPE] = ACTIONS(2748),
    [anon_sym_SLASH_SLASH] = ACTIONS(2748),
    [anon_sym_CARET_CARET] = ACTIONS(2744),
    [anon_sym_AMP_AMP] = ACTIONS(2748),
    [anon_sym_PIPE] = ACTIONS(2748),
    [anon_sym_CARET] = ACTIONS(2748),
    [anon_sym_AMP] = ACTIONS(2748),
    [anon_sym_GT_GT2] = ACTIONS(2748),
    [anon_sym_PLUS] = ACTIONS(2748),
    [anon_sym_DASH] = ACTIONS(2748),
    [anon_sym_DOT] = ACTIONS(2748),
    [anon_sym_STAR] = ACTIONS(2748),
    [anon_sym_SLASH] = ACTIONS(2748),
    [anon_sym_x] = ACTIONS(2748),
    [anon_sym_EQ_TILDE] = ACTIONS(2744),
    [anon_sym_BANG_TILDE] = ACTIONS(2744),
    [anon_sym_EQ_EQ] = ACTIONS(2748),
    [anon_sym_BANG_EQ] = ACTIONS(2744),
    [anon_sym_eq] = ACTIONS(2748),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2744),
    [anon_sym_equ] = ACTIONS(2744),
    [anon_sym_eqr] = ACTIONS(2744),
    [anon_sym_ne] = ACTIONS(2744),
    [anon_sym_LT_EQ_GT] = ACTIONS(2744),
    [anon_sym_cmp] = ACTIONS(2744),
    [anon_sym_TILDE_TILDE] = ACTIONS(2744),
    [anon_sym_LT] = ACTIONS(2748),
    [anon_sym_LT_EQ] = ACTIONS(2748),
    [anon_sym_GT_EQ] = ACTIONS(2744),
    [anon_sym_lt] = ACTIONS(2744),
    [anon_sym_le] = ACTIONS(2744),
    [anon_sym_ge] = ACTIONS(2744),
    [anon_sym_gt] = ACTIONS(2744),
    [anon_sym_isa] = ACTIONS(2744),
    [anon_sym_PLUS_PLUS] = ACTIONS(2744),
    [anon_sym_DASH_DASH] = ACTIONS(2744),
    [anon_sym_QMARK] = ACTIONS(2744),
    [anon_sym_EQ_GT] = ACTIONS(2744),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2744),
    [anon_sym___END__] = ACTIONS(2744),
    [anon_sym_EOT] = ACTIONS(2744),
    [sym__PERLY_SEMICOLON] = ACTIONS(2744),
    [sym__ctrl_z_hack] = ACTIONS(2744),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1448] = {
    [sym_heredoc_content] = STATE(1448),
    [aux_sym__term_rightward_repeat1] = STATE(1438),
    [anon_sym_SEMI] = ACTIONS(2787),
    [anon_sym_EQ] = ACTIONS(3351),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3353),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3353),
    [anon_sym_COMMA] = ACTIONS(3345),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3357),
    [anon_sym_and] = ACTIONS(2787),
    [anon_sym_or] = ACTIONS(2787),
    [anon_sym_xor] = ACTIONS(2787),
    [anon_sym_DASH_GT] = ACTIONS(2591),
    [anon_sym_PERCENT] = ACTIONS(3359),
    [anon_sym_GT] = ACTIONS(3361),
    [anon_sym_LT_LT] = ACTIONS(3363),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3353),
    [anon_sym_PLUS_EQ] = ACTIONS(3353),
    [anon_sym_DASH_EQ] = ACTIONS(3353),
    [anon_sym_DOT_EQ] = ACTIONS(3353),
    [anon_sym_STAR_EQ] = ACTIONS(3353),
    [anon_sym_SLASH_EQ] = ACTIONS(3353),
    [anon_sym_PERCENT_EQ] = ACTIONS(3353),
    [anon_sym_x_EQ] = ACTIONS(3353),
    [anon_sym_AMP_EQ] = ACTIONS(3353),
    [anon_sym_PIPE_EQ] = ACTIONS(3353),
    [anon_sym_CARET_EQ] = ACTIONS(3353),
    [anon_sym_LT_LT_EQ] = ACTIONS(3353),
    [anon_sym_GT_GT_EQ] = ACTIONS(3353),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3353),
    [anon_sym_DOT_DOT] = ACTIONS(3365),
    [anon_sym_STAR_STAR] = ACTIONS(3367),
    [anon_sym_PIPE_PIPE] = ACTIONS(3369),
    [anon_sym_SLASH_SLASH] = ACTIONS(3369),
    [anon_sym_CARET_CARET] = ACTIONS(3371),
    [anon_sym_AMP_AMP] = ACTIONS(3373),
    [anon_sym_PIPE] = ACTIONS(3375),
    [anon_sym_CARET] = ACTIONS(3375),
    [anon_sym_AMP] = ACTIONS(3377),
    [anon_sym_GT_GT2] = ACTIONS(3363),
    [anon_sym_PLUS] = ACTIONS(3379),
    [anon_sym_DASH] = ACTIONS(3379),
    [anon_sym_DOT] = ACTIONS(3379),
    [anon_sym_STAR] = ACTIONS(3359),
    [anon_sym_SLASH] = ACTIONS(3359),
    [anon_sym_x] = ACTIONS(3359),
    [anon_sym_EQ_TILDE] = ACTIONS(3381),
    [anon_sym_BANG_TILDE] = ACTIONS(3381),
    [anon_sym_EQ_EQ] = ACTIONS(3383),
    [anon_sym_BANG_EQ] = ACTIONS(3385),
    [anon_sym_eq] = ACTIONS(3383),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3385),
    [anon_sym_equ] = ACTIONS(3385),
    [anon_sym_eqr] = ACTIONS(3385),
    [anon_sym_ne] = ACTIONS(3385),
    [anon_sym_LT_EQ_GT] = ACTIONS(3387),
    [anon_sym_cmp] = ACTIONS(3387),
    [anon_sym_TILDE_TILDE] = ACTIONS(3387),
    [anon_sym_LT] = ACTIONS(3361),
    [anon_sym_LT_EQ] = ACTIONS(3361),
    [anon_sym_GT_EQ] = ACTIONS(3389),
    [anon_sym_lt] = ACTIONS(3389),
    [anon_sym_le] = ACTIONS(3389),
    [anon_sym_ge] = ACTIONS(3389),
    [anon_sym_gt] = ACTIONS(3389),
    [anon_sym_isa] = ACTIONS(3391),
    [anon_sym_PLUS_PLUS] = ACTIONS(2627),
    [anon_sym_DASH_DASH] = ACTIONS(2627),
    [anon_sym_QMARK] = ACTIONS(3393),
    [anon_sym_EQ_GT] = ACTIONS(3345),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2787),
    [anon_sym___END__] = ACTIONS(2787),
    [anon_sym_EOT] = ACTIONS(2787),
    [sym__PERLY_SEMICOLON] = ACTIONS(2787),
    [sym__ctrl_z_hack] = ACTIONS(2787),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1449] = {
    [sym_attribute] = STATE(1540),
    [sym_attribute_name] = STATE(1529),
    [sym_heredoc_content] = STATE(1449),
    [aux_sym_attrlist_repeat1] = STATE(1449),
    [sym__identifier] = ACTIONS(3399),
    [anon_sym_COLON] = ACTIONS(3402),
    [anon_sym_DOLLAR] = ACTIONS(2431),
    [anon_sym_EQ] = ACTIONS(2436),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2431),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2431),
    [anon_sym_AT] = ACTIONS(2431),
    [anon_sym_COMMA] = ACTIONS(2431),
    [anon_sym_RPAREN] = ACTIONS(2431),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2431),
    [anon_sym_DASH_GT] = ACTIONS(2431),
    [anon_sym_PERCENT] = ACTIONS(2436),
    [anon_sym_GT] = ACTIONS(2436),
    [anon_sym_LT_LT] = ACTIONS(2436),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2431),
    [anon_sym_PLUS_EQ] = ACTIONS(2431),
    [anon_sym_DASH_EQ] = ACTIONS(2431),
    [anon_sym_DOT_EQ] = ACTIONS(2431),
    [anon_sym_STAR_EQ] = ACTIONS(2431),
    [anon_sym_SLASH_EQ] = ACTIONS(2431),
    [anon_sym_PERCENT_EQ] = ACTIONS(2436),
    [anon_sym_x_EQ] = ACTIONS(2431),
    [anon_sym_AMP_EQ] = ACTIONS(2431),
    [anon_sym_PIPE_EQ] = ACTIONS(2431),
    [anon_sym_CARET_EQ] = ACTIONS(2431),
    [anon_sym_LT_LT_EQ] = ACTIONS(2431),
    [anon_sym_GT_GT_EQ] = ACTIONS(2431),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2431),
    [anon_sym_DOT_DOT] = ACTIONS(2436),
    [anon_sym_STAR_STAR] = ACTIONS(2436),
    [anon_sym_PIPE_PIPE] = ACTIONS(2436),
    [anon_sym_SLASH_SLASH] = ACTIONS(2436),
    [anon_sym_CARET_CARET] = ACTIONS(2431),
    [anon_sym_AMP_AMP] = ACTIONS(2436),
    [anon_sym_PIPE] = ACTIONS(2436),
    [anon_sym_CARET] = ACTIONS(2436),
    [anon_sym_AMP] = ACTIONS(2436),
    [anon_sym_GT_GT2] = ACTIONS(2436),
    [anon_sym_PLUS] = ACTIONS(2436),
    [anon_sym_DASH] = ACTIONS(2436),
    [anon_sym_DOT] = ACTIONS(2436),
    [anon_sym_STAR] = ACTIONS(2436),
    [anon_sym_SLASH] = ACTIONS(2436),
    [anon_sym_x] = ACTIONS(2436),
    [anon_sym_EQ_TILDE] = ACTIONS(2431),
    [anon_sym_BANG_TILDE] = ACTIONS(2431),
    [anon_sym_EQ_EQ] = ACTIONS(2436),
    [anon_sym_BANG_EQ] = ACTIONS(2431),
    [anon_sym_eq] = ACTIONS(2436),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2431),
    [anon_sym_equ] = ACTIONS(2436),
    [anon_sym_eqr] = ACTIONS(2436),
    [anon_sym_ne] = ACTIONS(2436),
    [anon_sym_LT_EQ_GT] = ACTIONS(2431),
    [anon_sym_cmp] = ACTIONS(2436),
    [anon_sym_TILDE_TILDE] = ACTIONS(2431),
    [anon_sym_LT] = ACTIONS(2436),
    [anon_sym_LT_EQ] = ACTIONS(2436),
    [anon_sym_GT_EQ] = ACTIONS(2431),
    [anon_sym_lt] = ACTIONS(2436),
    [anon_sym_le] = ACTIONS(2436),
    [anon_sym_ge] = ACTIONS(2436),
    [anon_sym_gt] = ACTIONS(2436),
    [anon_sym_isa] = ACTIONS(2436),
    [anon_sym_PLUS_PLUS] = ACTIONS(2431),
    [anon_sym_DASH_DASH] = ACTIONS(2431),
    [anon_sym_QMARK] = ACTIONS(2431),
    [anon_sym_PERCENT2] = ACTIONS(2431),
    [anon_sym_EQ_GT] = ACTIONS(2431),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(3399),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1450] = {
    [sym_heredoc_content] = STATE(1450),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_RBRACE] = ACTIONS(2506),
    [anon_sym_EQ] = ACTIONS(2508),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2506),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2506),
    [anon_sym_COMMA] = ACTIONS(2506),
    [anon_sym_RPAREN] = ACTIONS(2506),
    [anon_sym_LPAREN] = ACTIONS(2506),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2506),
    [anon_sym_and] = ACTIONS(2506),
    [anon_sym_or] = ACTIONS(2506),
    [anon_sym_xor] = ACTIONS(2506),
    [anon_sym_LBRACK] = ACTIONS(2506),
    [anon_sym_RBRACK] = ACTIONS(2506),
    [anon_sym_DASH_GT] = ACTIONS(2506),
    [anon_sym_PERCENT] = ACTIONS(2508),
    [anon_sym_GT] = ACTIONS(2508),
    [anon_sym_LT_LT] = ACTIONS(2508),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2506),
    [anon_sym_PLUS_EQ] = ACTIONS(2506),
    [anon_sym_DASH_EQ] = ACTIONS(2506),
    [anon_sym_DOT_EQ] = ACTIONS(2506),
    [anon_sym_STAR_EQ] = ACTIONS(2506),
    [anon_sym_SLASH_EQ] = ACTIONS(2506),
    [anon_sym_PERCENT_EQ] = ACTIONS(2506),
    [anon_sym_x_EQ] = ACTIONS(2506),
    [anon_sym_AMP_EQ] = ACTIONS(2506),
    [anon_sym_PIPE_EQ] = ACTIONS(2506),
    [anon_sym_CARET_EQ] = ACTIONS(2506),
    [anon_sym_LT_LT_EQ] = ACTIONS(2506),
    [anon_sym_GT_GT_EQ] = ACTIONS(2506),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2506),
    [anon_sym_DOT_DOT] = ACTIONS(2508),
    [anon_sym_STAR_STAR] = ACTIONS(2508),
    [anon_sym_PIPE_PIPE] = ACTIONS(2508),
    [anon_sym_SLASH_SLASH] = ACTIONS(2508),
    [anon_sym_CARET_CARET] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2508),
    [anon_sym_PIPE] = ACTIONS(2508),
    [anon_sym_CARET] = ACTIONS(2508),
    [anon_sym_AMP] = ACTIONS(2508),
    [anon_sym_GT_GT2] = ACTIONS(2508),
    [anon_sym_PLUS] = ACTIONS(2508),
    [anon_sym_DASH] = ACTIONS(2508),
    [anon_sym_DOT] = ACTIONS(2508),
    [anon_sym_STAR] = ACTIONS(2508),
    [anon_sym_SLASH] = ACTIONS(2508),
    [anon_sym_x] = ACTIONS(2508),
    [anon_sym_EQ_TILDE] = ACTIONS(2506),
    [anon_sym_BANG_TILDE] = ACTIONS(2506),
    [anon_sym_EQ_EQ] = ACTIONS(2508),
    [anon_sym_BANG_EQ] = ACTIONS(2506),
    [anon_sym_eq] = ACTIONS(2508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2506),
    [anon_sym_equ] = ACTIONS(2506),
    [anon_sym_eqr] = ACTIONS(2506),
    [anon_sym_ne] = ACTIONS(2506),
    [anon_sym_LT_EQ_GT] = ACTIONS(2506),
    [anon_sym_cmp] = ACTIONS(2506),
    [anon_sym_TILDE_TILDE] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(2508),
    [anon_sym_LT_EQ] = ACTIONS(2508),
    [anon_sym_GT_EQ] = ACTIONS(2506),
    [anon_sym_lt] = ACTIONS(2506),
    [anon_sym_le] = ACTIONS(2506),
    [anon_sym_ge] = ACTIONS(2506),
    [anon_sym_gt] = ACTIONS(2506),
    [anon_sym_isa] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_QMARK] = ACTIONS(2506),
    [anon_sym_EQ_GT] = ACTIONS(2506),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1451] = {
    [sym_heredoc_content] = STATE(1451),
    [anon_sym_LBRACE] = ACTIONS(1865),
    [anon_sym_RBRACE] = ACTIONS(1865),
    [anon_sym_EQ] = ACTIONS(1863),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1865),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1865),
    [anon_sym_COMMA] = ACTIONS(1865),
    [anon_sym_RPAREN] = ACTIONS(1865),
    [anon_sym_LPAREN] = ACTIONS(1865),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1865),
    [anon_sym_and] = ACTIONS(1865),
    [anon_sym_or] = ACTIONS(1865),
    [anon_sym_xor] = ACTIONS(1865),
    [anon_sym_LBRACK] = ACTIONS(1865),
    [anon_sym_RBRACK] = ACTIONS(1865),
    [anon_sym_DASH_GT] = ACTIONS(1865),
    [anon_sym_PERCENT] = ACTIONS(1863),
    [anon_sym_GT] = ACTIONS(1863),
    [anon_sym_LT_LT] = ACTIONS(1863),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1865),
    [anon_sym_PLUS_EQ] = ACTIONS(1865),
    [anon_sym_DASH_EQ] = ACTIONS(1865),
    [anon_sym_DOT_EQ] = ACTIONS(1865),
    [anon_sym_STAR_EQ] = ACTIONS(1865),
    [anon_sym_SLASH_EQ] = ACTIONS(1865),
    [anon_sym_PERCENT_EQ] = ACTIONS(1865),
    [anon_sym_x_EQ] = ACTIONS(1865),
    [anon_sym_AMP_EQ] = ACTIONS(1865),
    [anon_sym_PIPE_EQ] = ACTIONS(1865),
    [anon_sym_CARET_EQ] = ACTIONS(1865),
    [anon_sym_LT_LT_EQ] = ACTIONS(1865),
    [anon_sym_GT_GT_EQ] = ACTIONS(1865),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1865),
    [anon_sym_DOT_DOT] = ACTIONS(1863),
    [anon_sym_STAR_STAR] = ACTIONS(1863),
    [anon_sym_PIPE_PIPE] = ACTIONS(1863),
    [anon_sym_SLASH_SLASH] = ACTIONS(1863),
    [anon_sym_CARET_CARET] = ACTIONS(1865),
    [anon_sym_AMP_AMP] = ACTIONS(1863),
    [anon_sym_PIPE] = ACTIONS(1863),
    [anon_sym_CARET] = ACTIONS(1863),
    [anon_sym_AMP] = ACTIONS(1863),
    [anon_sym_GT_GT2] = ACTIONS(1863),
    [anon_sym_PLUS] = ACTIONS(1863),
    [anon_sym_DASH] = ACTIONS(1863),
    [anon_sym_DOT] = ACTIONS(1863),
    [anon_sym_STAR] = ACTIONS(1863),
    [anon_sym_SLASH] = ACTIONS(1863),
    [anon_sym_x] = ACTIONS(1863),
    [anon_sym_EQ_TILDE] = ACTIONS(1865),
    [anon_sym_BANG_TILDE] = ACTIONS(1865),
    [anon_sym_EQ_EQ] = ACTIONS(1863),
    [anon_sym_BANG_EQ] = ACTIONS(1865),
    [anon_sym_eq] = ACTIONS(1863),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1865),
    [anon_sym_equ] = ACTIONS(1865),
    [anon_sym_eqr] = ACTIONS(1865),
    [anon_sym_ne] = ACTIONS(1865),
    [anon_sym_LT_EQ_GT] = ACTIONS(1865),
    [anon_sym_cmp] = ACTIONS(1865),
    [anon_sym_TILDE_TILDE] = ACTIONS(1865),
    [anon_sym_LT] = ACTIONS(1863),
    [anon_sym_LT_EQ] = ACTIONS(1863),
    [anon_sym_GT_EQ] = ACTIONS(1865),
    [anon_sym_lt] = ACTIONS(1865),
    [anon_sym_le] = ACTIONS(1865),
    [anon_sym_ge] = ACTIONS(1865),
    [anon_sym_gt] = ACTIONS(1865),
    [anon_sym_isa] = ACTIONS(1865),
    [anon_sym_PLUS_PLUS] = ACTIONS(1865),
    [anon_sym_DASH_DASH] = ACTIONS(1865),
    [anon_sym_QMARK] = ACTIONS(1865),
    [anon_sym_EQ_GT] = ACTIONS(1865),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1452] = {
    [sym_heredoc_content] = STATE(1452),
    [anon_sym_SEMI] = ACTIONS(3015),
    [anon_sym_EQ] = ACTIONS(3351),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3353),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3353),
    [anon_sym_COMMA] = ACTIONS(3015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3357),
    [anon_sym_and] = ACTIONS(3015),
    [anon_sym_or] = ACTIONS(3015),
    [anon_sym_xor] = ACTIONS(3015),
    [anon_sym_DASH_GT] = ACTIONS(2591),
    [anon_sym_PERCENT] = ACTIONS(3359),
    [anon_sym_GT] = ACTIONS(3361),
    [anon_sym_LT_LT] = ACTIONS(3363),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3353),
    [anon_sym_PLUS_EQ] = ACTIONS(3353),
    [anon_sym_DASH_EQ] = ACTIONS(3353),
    [anon_sym_DOT_EQ] = ACTIONS(3353),
    [anon_sym_STAR_EQ] = ACTIONS(3353),
    [anon_sym_SLASH_EQ] = ACTIONS(3353),
    [anon_sym_PERCENT_EQ] = ACTIONS(3353),
    [anon_sym_x_EQ] = ACTIONS(3353),
    [anon_sym_AMP_EQ] = ACTIONS(3353),
    [anon_sym_PIPE_EQ] = ACTIONS(3353),
    [anon_sym_CARET_EQ] = ACTIONS(3353),
    [anon_sym_LT_LT_EQ] = ACTIONS(3353),
    [anon_sym_GT_GT_EQ] = ACTIONS(3353),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3353),
    [anon_sym_DOT_DOT] = ACTIONS(3365),
    [anon_sym_STAR_STAR] = ACTIONS(3367),
    [anon_sym_PIPE_PIPE] = ACTIONS(3369),
    [anon_sym_SLASH_SLASH] = ACTIONS(3369),
    [anon_sym_CARET_CARET] = ACTIONS(3371),
    [anon_sym_AMP_AMP] = ACTIONS(3373),
    [anon_sym_PIPE] = ACTIONS(3375),
    [anon_sym_CARET] = ACTIONS(3375),
    [anon_sym_AMP] = ACTIONS(3377),
    [anon_sym_GT_GT2] = ACTIONS(3363),
    [anon_sym_PLUS] = ACTIONS(3379),
    [anon_sym_DASH] = ACTIONS(3379),
    [anon_sym_DOT] = ACTIONS(3379),
    [anon_sym_STAR] = ACTIONS(3359),
    [anon_sym_SLASH] = ACTIONS(3359),
    [anon_sym_x] = ACTIONS(3359),
    [anon_sym_EQ_TILDE] = ACTIONS(3381),
    [anon_sym_BANG_TILDE] = ACTIONS(3381),
    [anon_sym_EQ_EQ] = ACTIONS(3383),
    [anon_sym_BANG_EQ] = ACTIONS(3385),
    [anon_sym_eq] = ACTIONS(3383),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3385),
    [anon_sym_equ] = ACTIONS(3385),
    [anon_sym_eqr] = ACTIONS(3385),
    [anon_sym_ne] = ACTIONS(3385),
    [anon_sym_LT_EQ_GT] = ACTIONS(3387),
    [anon_sym_cmp] = ACTIONS(3387),
    [anon_sym_TILDE_TILDE] = ACTIONS(3387),
    [anon_sym_LT] = ACTIONS(3361),
    [anon_sym_LT_EQ] = ACTIONS(3361),
    [anon_sym_GT_EQ] = ACTIONS(3389),
    [anon_sym_lt] = ACTIONS(3389),
    [anon_sym_le] = ACTIONS(3389),
    [anon_sym_ge] = ACTIONS(3389),
    [anon_sym_gt] = ACTIONS(3389),
    [anon_sym_isa] = ACTIONS(3391),
    [anon_sym_PLUS_PLUS] = ACTIONS(2627),
    [anon_sym_DASH_DASH] = ACTIONS(2627),
    [anon_sym_QMARK] = ACTIONS(3393),
    [anon_sym_EQ_GT] = ACTIONS(3015),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3015),
    [anon_sym___END__] = ACTIONS(3015),
    [anon_sym_EOT] = ACTIONS(3015),
    [sym__PERLY_SEMICOLON] = ACTIONS(3015),
    [sym__ctrl_z_hack] = ACTIONS(3015),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1453] = {
    [sym_heredoc_content] = STATE(1453),
    [anon_sym_LBRACE] = ACTIONS(2514),
    [anon_sym_RBRACE] = ACTIONS(2514),
    [anon_sym_EQ] = ACTIONS(2516),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2514),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2514),
    [anon_sym_COMMA] = ACTIONS(2514),
    [anon_sym_RPAREN] = ACTIONS(2514),
    [anon_sym_LPAREN] = ACTIONS(2514),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2514),
    [anon_sym_and] = ACTIONS(2514),
    [anon_sym_or] = ACTIONS(2514),
    [anon_sym_xor] = ACTIONS(2514),
    [anon_sym_LBRACK] = ACTIONS(2514),
    [anon_sym_RBRACK] = ACTIONS(2514),
    [anon_sym_DASH_GT] = ACTIONS(2514),
    [anon_sym_PERCENT] = ACTIONS(2516),
    [anon_sym_GT] = ACTIONS(2516),
    [anon_sym_LT_LT] = ACTIONS(2516),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2514),
    [anon_sym_PLUS_EQ] = ACTIONS(2514),
    [anon_sym_DASH_EQ] = ACTIONS(2514),
    [anon_sym_DOT_EQ] = ACTIONS(2514),
    [anon_sym_STAR_EQ] = ACTIONS(2514),
    [anon_sym_SLASH_EQ] = ACTIONS(2514),
    [anon_sym_PERCENT_EQ] = ACTIONS(2514),
    [anon_sym_x_EQ] = ACTIONS(2514),
    [anon_sym_AMP_EQ] = ACTIONS(2514),
    [anon_sym_PIPE_EQ] = ACTIONS(2514),
    [anon_sym_CARET_EQ] = ACTIONS(2514),
    [anon_sym_LT_LT_EQ] = ACTIONS(2514),
    [anon_sym_GT_GT_EQ] = ACTIONS(2514),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2514),
    [anon_sym_DOT_DOT] = ACTIONS(2516),
    [anon_sym_STAR_STAR] = ACTIONS(2516),
    [anon_sym_PIPE_PIPE] = ACTIONS(2516),
    [anon_sym_SLASH_SLASH] = ACTIONS(2516),
    [anon_sym_CARET_CARET] = ACTIONS(2514),
    [anon_sym_AMP_AMP] = ACTIONS(2516),
    [anon_sym_PIPE] = ACTIONS(2516),
    [anon_sym_CARET] = ACTIONS(2516),
    [anon_sym_AMP] = ACTIONS(2516),
    [anon_sym_GT_GT2] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(2516),
    [anon_sym_DASH] = ACTIONS(2516),
    [anon_sym_DOT] = ACTIONS(2516),
    [anon_sym_STAR] = ACTIONS(2516),
    [anon_sym_SLASH] = ACTIONS(2516),
    [anon_sym_x] = ACTIONS(2516),
    [anon_sym_EQ_TILDE] = ACTIONS(2514),
    [anon_sym_BANG_TILDE] = ACTIONS(2514),
    [anon_sym_EQ_EQ] = ACTIONS(2516),
    [anon_sym_BANG_EQ] = ACTIONS(2514),
    [anon_sym_eq] = ACTIONS(2516),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2514),
    [anon_sym_equ] = ACTIONS(2514),
    [anon_sym_eqr] = ACTIONS(2514),
    [anon_sym_ne] = ACTIONS(2514),
    [anon_sym_LT_EQ_GT] = ACTIONS(2514),
    [anon_sym_cmp] = ACTIONS(2514),
    [anon_sym_TILDE_TILDE] = ACTIONS(2514),
    [anon_sym_LT] = ACTIONS(2516),
    [anon_sym_LT_EQ] = ACTIONS(2516),
    [anon_sym_GT_EQ] = ACTIONS(2514),
    [anon_sym_lt] = ACTIONS(2514),
    [anon_sym_le] = ACTIONS(2514),
    [anon_sym_ge] = ACTIONS(2514),
    [anon_sym_gt] = ACTIONS(2514),
    [anon_sym_isa] = ACTIONS(2514),
    [anon_sym_PLUS_PLUS] = ACTIONS(2514),
    [anon_sym_DASH_DASH] = ACTIONS(2514),
    [anon_sym_QMARK] = ACTIONS(2514),
    [anon_sym_EQ_GT] = ACTIONS(2514),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1454] = {
    [sym_heredoc_content] = STATE(1454),
    [anon_sym_SEMI] = ACTIONS(3019),
    [anon_sym_EQ] = ACTIONS(3021),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_COMMA] = ACTIONS(3019),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3405),
    [anon_sym_and] = ACTIONS(3019),
    [anon_sym_or] = ACTIONS(3019),
    [anon_sym_xor] = ACTIONS(3019),
    [anon_sym_DASH_GT] = ACTIONS(2591),
    [anon_sym_PERCENT] = ACTIONS(3359),
    [anon_sym_GT] = ACTIONS(3361),
    [anon_sym_LT_LT] = ACTIONS(3363),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3019),
    [anon_sym_PLUS_EQ] = ACTIONS(3019),
    [anon_sym_DASH_EQ] = ACTIONS(3019),
    [anon_sym_DOT_EQ] = ACTIONS(3019),
    [anon_sym_STAR_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_PERCENT_EQ] = ACTIONS(3019),
    [anon_sym_x_EQ] = ACTIONS(3019),
    [anon_sym_AMP_EQ] = ACTIONS(3019),
    [anon_sym_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_CARET_EQ] = ACTIONS(3019),
    [anon_sym_LT_LT_EQ] = ACTIONS(3019),
    [anon_sym_GT_GT_EQ] = ACTIONS(3019),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3019),
    [anon_sym_DOT_DOT] = ACTIONS(3407),
    [anon_sym_STAR_STAR] = ACTIONS(3367),
    [anon_sym_PIPE_PIPE] = ACTIONS(3369),
    [anon_sym_SLASH_SLASH] = ACTIONS(3369),
    [anon_sym_CARET_CARET] = ACTIONS(3371),
    [anon_sym_AMP_AMP] = ACTIONS(3373),
    [anon_sym_PIPE] = ACTIONS(3375),
    [anon_sym_CARET] = ACTIONS(3375),
    [anon_sym_AMP] = ACTIONS(3377),
    [anon_sym_GT_GT2] = ACTIONS(3363),
    [anon_sym_PLUS] = ACTIONS(3379),
    [anon_sym_DASH] = ACTIONS(3379),
    [anon_sym_DOT] = ACTIONS(3379),
    [anon_sym_STAR] = ACTIONS(3359),
    [anon_sym_SLASH] = ACTIONS(3359),
    [anon_sym_x] = ACTIONS(3359),
    [anon_sym_EQ_TILDE] = ACTIONS(3381),
    [anon_sym_BANG_TILDE] = ACTIONS(3381),
    [anon_sym_EQ_EQ] = ACTIONS(3383),
    [anon_sym_BANG_EQ] = ACTIONS(3385),
    [anon_sym_eq] = ACTIONS(3383),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3385),
    [anon_sym_equ] = ACTIONS(3385),
    [anon_sym_eqr] = ACTIONS(3385),
    [anon_sym_ne] = ACTIONS(3385),
    [anon_sym_LT_EQ_GT] = ACTIONS(3387),
    [anon_sym_cmp] = ACTIONS(3387),
    [anon_sym_TILDE_TILDE] = ACTIONS(3387),
    [anon_sym_LT] = ACTIONS(3361),
    [anon_sym_LT_EQ] = ACTIONS(3361),
    [anon_sym_GT_EQ] = ACTIONS(3389),
    [anon_sym_lt] = ACTIONS(3389),
    [anon_sym_le] = ACTIONS(3389),
    [anon_sym_ge] = ACTIONS(3389),
    [anon_sym_gt] = ACTIONS(3389),
    [anon_sym_isa] = ACTIONS(3391),
    [anon_sym_PLUS_PLUS] = ACTIONS(2627),
    [anon_sym_DASH_DASH] = ACTIONS(2627),
    [anon_sym_QMARK] = ACTIONS(3019),
    [anon_sym_EQ_GT] = ACTIONS(3019),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3019),
    [anon_sym___END__] = ACTIONS(3019),
    [anon_sym_EOT] = ACTIONS(3019),
    [sym__PERLY_SEMICOLON] = ACTIONS(3019),
    [sym__ctrl_z_hack] = ACTIONS(3019),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1455] = {
    [sym_heredoc_content] = STATE(1455),
    [anon_sym_SEMI] = ACTIONS(3019),
    [anon_sym_EQ] = ACTIONS(3021),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_COMMA] = ACTIONS(3019),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3019),
    [anon_sym_and] = ACTIONS(3019),
    [anon_sym_or] = ACTIONS(3019),
    [anon_sym_xor] = ACTIONS(3019),
    [anon_sym_DASH_GT] = ACTIONS(2591),
    [anon_sym_PERCENT] = ACTIONS(3021),
    [anon_sym_GT] = ACTIONS(3021),
    [anon_sym_LT_LT] = ACTIONS(3021),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3019),
    [anon_sym_PLUS_EQ] = ACTIONS(3019),
    [anon_sym_DASH_EQ] = ACTIONS(3019),
    [anon_sym_DOT_EQ] = ACTIONS(3019),
    [anon_sym_STAR_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_PERCENT_EQ] = ACTIONS(3019),
    [anon_sym_x_EQ] = ACTIONS(3019),
    [anon_sym_AMP_EQ] = ACTIONS(3019),
    [anon_sym_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_CARET_EQ] = ACTIONS(3019),
    [anon_sym_LT_LT_EQ] = ACTIONS(3019),
    [anon_sym_GT_GT_EQ] = ACTIONS(3019),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3019),
    [anon_sym_DOT_DOT] = ACTIONS(3021),
    [anon_sym_STAR_STAR] = ACTIONS(3367),
    [anon_sym_PIPE_PIPE] = ACTIONS(3021),
    [anon_sym_SLASH_SLASH] = ACTIONS(3021),
    [anon_sym_CARET_CARET] = ACTIONS(3019),
    [anon_sym_AMP_AMP] = ACTIONS(3021),
    [anon_sym_PIPE] = ACTIONS(3021),
    [anon_sym_CARET] = ACTIONS(3021),
    [anon_sym_AMP] = ACTIONS(3021),
    [anon_sym_GT_GT2] = ACTIONS(3021),
    [anon_sym_PLUS] = ACTIONS(3021),
    [anon_sym_DASH] = ACTIONS(3021),
    [anon_sym_DOT] = ACTIONS(3021),
    [anon_sym_STAR] = ACTIONS(3021),
    [anon_sym_SLASH] = ACTIONS(3021),
    [anon_sym_x] = ACTIONS(3021),
    [anon_sym_EQ_TILDE] = ACTIONS(3381),
    [anon_sym_BANG_TILDE] = ACTIONS(3381),
    [anon_sym_EQ_EQ] = ACTIONS(3021),
    [anon_sym_BANG_EQ] = ACTIONS(3019),
    [anon_sym_eq] = ACTIONS(3021),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3019),
    [anon_sym_equ] = ACTIONS(3019),
    [anon_sym_eqr] = ACTIONS(3019),
    [anon_sym_ne] = ACTIONS(3019),
    [anon_sym_LT_EQ_GT] = ACTIONS(3019),
    [anon_sym_cmp] = ACTIONS(3019),
    [anon_sym_TILDE_TILDE] = ACTIONS(3019),
    [anon_sym_LT] = ACTIONS(3021),
    [anon_sym_LT_EQ] = ACTIONS(3021),
    [anon_sym_GT_EQ] = ACTIONS(3019),
    [anon_sym_lt] = ACTIONS(3019),
    [anon_sym_le] = ACTIONS(3019),
    [anon_sym_ge] = ACTIONS(3019),
    [anon_sym_gt] = ACTIONS(3019),
    [anon_sym_isa] = ACTIONS(3019),
    [anon_sym_PLUS_PLUS] = ACTIONS(2627),
    [anon_sym_DASH_DASH] = ACTIONS(2627),
    [anon_sym_QMARK] = ACTIONS(3019),
    [anon_sym_EQ_GT] = ACTIONS(3019),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3019),
    [anon_sym___END__] = ACTIONS(3019),
    [anon_sym_EOT] = ACTIONS(3019),
    [sym__PERLY_SEMICOLON] = ACTIONS(3019),
    [sym__ctrl_z_hack] = ACTIONS(3019),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1456] = {
    [sym_heredoc_content] = STATE(1456),
    [anon_sym_SEMI] = ACTIONS(3027),
    [anon_sym_EQ] = ACTIONS(3029),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3027),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3027),
    [anon_sym_COMMA] = ACTIONS(3027),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3027),
    [anon_sym_and] = ACTIONS(3027),
    [anon_sym_or] = ACTIONS(3027),
    [anon_sym_xor] = ACTIONS(3027),
    [anon_sym_DASH_GT] = ACTIONS(2591),
    [anon_sym_PERCENT] = ACTIONS(3359),
    [anon_sym_GT] = ACTIONS(3029),
    [anon_sym_LT_LT] = ACTIONS(3363),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3027),
    [anon_sym_PLUS_EQ] = ACTIONS(3027),
    [anon_sym_DASH_EQ] = ACTIONS(3027),
    [anon_sym_DOT_EQ] = ACTIONS(3027),
    [anon_sym_STAR_EQ] = ACTIONS(3027),
    [anon_sym_SLASH_EQ] = ACTIONS(3027),
    [anon_sym_PERCENT_EQ] = ACTIONS(3027),
    [anon_sym_x_EQ] = ACTIONS(3027),
    [anon_sym_AMP_EQ] = ACTIONS(3027),
    [anon_sym_PIPE_EQ] = ACTIONS(3027),
    [anon_sym_CARET_EQ] = ACTIONS(3027),
    [anon_sym_LT_LT_EQ] = ACTIONS(3027),
    [anon_sym_GT_GT_EQ] = ACTIONS(3027),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3027),
    [anon_sym_DOT_DOT] = ACTIONS(3029),
    [anon_sym_STAR_STAR] = ACTIONS(3367),
    [anon_sym_PIPE_PIPE] = ACTIONS(3029),
    [anon_sym_SLASH_SLASH] = ACTIONS(3029),
    [anon_sym_CARET_CARET] = ACTIONS(3027),
    [anon_sym_AMP_AMP] = ACTIONS(3029),
    [anon_sym_PIPE] = ACTIONS(3029),
    [anon_sym_CARET] = ACTIONS(3029),
    [anon_sym_AMP] = ACTIONS(3029),
    [anon_sym_GT_GT2] = ACTIONS(3363),
    [anon_sym_PLUS] = ACTIONS(3379),
    [anon_sym_DASH] = ACTIONS(3379),
    [anon_sym_DOT] = ACTIONS(3379),
    [anon_sym_STAR] = ACTIONS(3359),
    [anon_sym_SLASH] = ACTIONS(3359),
    [anon_sym_x] = ACTIONS(3359),
    [anon_sym_EQ_TILDE] = ACTIONS(3381),
    [anon_sym_BANG_TILDE] = ACTIONS(3381),
    [anon_sym_EQ_EQ] = ACTIONS(3029),
    [anon_sym_BANG_EQ] = ACTIONS(3027),
    [anon_sym_eq] = ACTIONS(3029),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3027),
    [anon_sym_equ] = ACTIONS(3027),
    [anon_sym_eqr] = ACTIONS(3027),
    [anon_sym_ne] = ACTIONS(3027),
    [anon_sym_LT_EQ_GT] = ACTIONS(3027),
    [anon_sym_cmp] = ACTIONS(3027),
    [anon_sym_TILDE_TILDE] = ACTIONS(3027),
    [anon_sym_LT] = ACTIONS(3029),
    [anon_sym_LT_EQ] = ACTIONS(3029),
    [anon_sym_GT_EQ] = ACTIONS(3027),
    [anon_sym_lt] = ACTIONS(3027),
    [anon_sym_le] = ACTIONS(3027),
    [anon_sym_ge] = ACTIONS(3027),
    [anon_sym_gt] = ACTIONS(3027),
    [anon_sym_isa] = ACTIONS(3027),
    [anon_sym_PLUS_PLUS] = ACTIONS(2627),
    [anon_sym_DASH_DASH] = ACTIONS(2627),
    [anon_sym_QMARK] = ACTIONS(3027),
    [anon_sym_EQ_GT] = ACTIONS(3027),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3027),
    [anon_sym___END__] = ACTIONS(3027),
    [anon_sym_EOT] = ACTIONS(3027),
    [sym__PERLY_SEMICOLON] = ACTIONS(3027),
    [sym__ctrl_z_hack] = ACTIONS(3027),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1457] = {
    [sym_heredoc_content] = STATE(1457),
    [anon_sym_SEMI] = ACTIONS(3019),
    [anon_sym_EQ] = ACTIONS(3021),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_COMMA] = ACTIONS(3019),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3019),
    [anon_sym_and] = ACTIONS(3019),
    [anon_sym_or] = ACTIONS(3019),
    [anon_sym_xor] = ACTIONS(3019),
    [anon_sym_DASH_GT] = ACTIONS(2591),
    [anon_sym_PERCENT] = ACTIONS(3359),
    [anon_sym_GT] = ACTIONS(3021),
    [anon_sym_LT_LT] = ACTIONS(3021),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3019),
    [anon_sym_PLUS_EQ] = ACTIONS(3019),
    [anon_sym_DASH_EQ] = ACTIONS(3019),
    [anon_sym_DOT_EQ] = ACTIONS(3019),
    [anon_sym_STAR_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_PERCENT_EQ] = ACTIONS(3019),
    [anon_sym_x_EQ] = ACTIONS(3019),
    [anon_sym_AMP_EQ] = ACTIONS(3019),
    [anon_sym_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_CARET_EQ] = ACTIONS(3019),
    [anon_sym_LT_LT_EQ] = ACTIONS(3019),
    [anon_sym_GT_GT_EQ] = ACTIONS(3019),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3019),
    [anon_sym_DOT_DOT] = ACTIONS(3021),
    [anon_sym_STAR_STAR] = ACTIONS(3367),
    [anon_sym_PIPE_PIPE] = ACTIONS(3021),
    [anon_sym_SLASH_SLASH] = ACTIONS(3021),
    [anon_sym_CARET_CARET] = ACTIONS(3019),
    [anon_sym_AMP_AMP] = ACTIONS(3021),
    [anon_sym_PIPE] = ACTIONS(3021),
    [anon_sym_CARET] = ACTIONS(3021),
    [anon_sym_AMP] = ACTIONS(3021),
    [anon_sym_GT_GT2] = ACTIONS(3021),
    [anon_sym_PLUS] = ACTIONS(3379),
    [anon_sym_DASH] = ACTIONS(3379),
    [anon_sym_DOT] = ACTIONS(3379),
    [anon_sym_STAR] = ACTIONS(3359),
    [anon_sym_SLASH] = ACTIONS(3359),
    [anon_sym_x] = ACTIONS(3359),
    [anon_sym_EQ_TILDE] = ACTIONS(3381),
    [anon_sym_BANG_TILDE] = ACTIONS(3381),
    [anon_sym_EQ_EQ] = ACTIONS(3021),
    [anon_sym_BANG_EQ] = ACTIONS(3019),
    [anon_sym_eq] = ACTIONS(3021),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3019),
    [anon_sym_equ] = ACTIONS(3019),
    [anon_sym_eqr] = ACTIONS(3019),
    [anon_sym_ne] = ACTIONS(3019),
    [anon_sym_LT_EQ_GT] = ACTIONS(3019),
    [anon_sym_cmp] = ACTIONS(3019),
    [anon_sym_TILDE_TILDE] = ACTIONS(3019),
    [anon_sym_LT] = ACTIONS(3021),
    [anon_sym_LT_EQ] = ACTIONS(3021),
    [anon_sym_GT_EQ] = ACTIONS(3019),
    [anon_sym_lt] = ACTIONS(3019),
    [anon_sym_le] = ACTIONS(3019),
    [anon_sym_ge] = ACTIONS(3019),
    [anon_sym_gt] = ACTIONS(3019),
    [anon_sym_isa] = ACTIONS(3019),
    [anon_sym_PLUS_PLUS] = ACTIONS(2627),
    [anon_sym_DASH_DASH] = ACTIONS(2627),
    [anon_sym_QMARK] = ACTIONS(3019),
    [anon_sym_EQ_GT] = ACTIONS(3019),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3019),
    [anon_sym___END__] = ACTIONS(3019),
    [anon_sym_EOT] = ACTIONS(3019),
    [sym__PERLY_SEMICOLON] = ACTIONS(3019),
    [sym__ctrl_z_hack] = ACTIONS(3019),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1458] = {
    [sym_heredoc_content] = STATE(1458),
    [anon_sym_SEMI] = ACTIONS(3019),
    [anon_sym_EQ] = ACTIONS(3021),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_COMMA] = ACTIONS(3019),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3019),
    [anon_sym_and] = ACTIONS(3019),
    [anon_sym_or] = ACTIONS(3019),
    [anon_sym_xor] = ACTIONS(3019),
    [anon_sym_DASH_GT] = ACTIONS(2591),
    [anon_sym_PERCENT] = ACTIONS(3021),
    [anon_sym_GT] = ACTIONS(3021),
    [anon_sym_LT_LT] = ACTIONS(3021),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3019),
    [anon_sym_PLUS_EQ] = ACTIONS(3019),
    [anon_sym_DASH_EQ] = ACTIONS(3019),
    [anon_sym_DOT_EQ] = ACTIONS(3019),
    [anon_sym_STAR_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_PERCENT_EQ] = ACTIONS(3019),
    [anon_sym_x_EQ] = ACTIONS(3019),
    [anon_sym_AMP_EQ] = ACTIONS(3019),
    [anon_sym_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_CARET_EQ] = ACTIONS(3019),
    [anon_sym_LT_LT_EQ] = ACTIONS(3019),
    [anon_sym_GT_GT_EQ] = ACTIONS(3019),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3019),
    [anon_sym_DOT_DOT] = ACTIONS(3021),
    [anon_sym_STAR_STAR] = ACTIONS(3367),
    [anon_sym_PIPE_PIPE] = ACTIONS(3021),
    [anon_sym_SLASH_SLASH] = ACTIONS(3021),
    [anon_sym_CARET_CARET] = ACTIONS(3019),
    [anon_sym_AMP_AMP] = ACTIONS(3021),
    [anon_sym_PIPE] = ACTIONS(3021),
    [anon_sym_CARET] = ACTIONS(3021),
    [anon_sym_AMP] = ACTIONS(3021),
    [anon_sym_GT_GT2] = ACTIONS(3021),
    [anon_sym_PLUS] = ACTIONS(3021),
    [anon_sym_DASH] = ACTIONS(3021),
    [anon_sym_DOT] = ACTIONS(3021),
    [anon_sym_STAR] = ACTIONS(3021),
    [anon_sym_SLASH] = ACTIONS(3021),
    [anon_sym_x] = ACTIONS(3021),
    [anon_sym_EQ_TILDE] = ACTIONS(3019),
    [anon_sym_BANG_TILDE] = ACTIONS(3019),
    [anon_sym_EQ_EQ] = ACTIONS(3021),
    [anon_sym_BANG_EQ] = ACTIONS(3019),
    [anon_sym_eq] = ACTIONS(3021),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3019),
    [anon_sym_equ] = ACTIONS(3019),
    [anon_sym_eqr] = ACTIONS(3019),
    [anon_sym_ne] = ACTIONS(3019),
    [anon_sym_LT_EQ_GT] = ACTIONS(3019),
    [anon_sym_cmp] = ACTIONS(3019),
    [anon_sym_TILDE_TILDE] = ACTIONS(3019),
    [anon_sym_LT] = ACTIONS(3021),
    [anon_sym_LT_EQ] = ACTIONS(3021),
    [anon_sym_GT_EQ] = ACTIONS(3019),
    [anon_sym_lt] = ACTIONS(3019),
    [anon_sym_le] = ACTIONS(3019),
    [anon_sym_ge] = ACTIONS(3019),
    [anon_sym_gt] = ACTIONS(3019),
    [anon_sym_isa] = ACTIONS(3019),
    [anon_sym_PLUS_PLUS] = ACTIONS(2627),
    [anon_sym_DASH_DASH] = ACTIONS(2627),
    [anon_sym_QMARK] = ACTIONS(3019),
    [anon_sym_EQ_GT] = ACTIONS(3019),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3019),
    [anon_sym___END__] = ACTIONS(3019),
    [anon_sym_EOT] = ACTIONS(3019),
    [sym__PERLY_SEMICOLON] = ACTIONS(3019),
    [sym__ctrl_z_hack] = ACTIONS(3019),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1459] = {
    [sym_heredoc_content] = STATE(1459),
    [anon_sym_SEMI] = ACTIONS(3019),
    [anon_sym_EQ] = ACTIONS(3021),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_COMMA] = ACTIONS(3019),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3019),
    [anon_sym_and] = ACTIONS(3019),
    [anon_sym_or] = ACTIONS(3019),
    [anon_sym_xor] = ACTIONS(3019),
    [anon_sym_DASH_GT] = ACTIONS(2591),
    [anon_sym_PERCENT] = ACTIONS(3359),
    [anon_sym_GT] = ACTIONS(3361),
    [anon_sym_LT_LT] = ACTIONS(3363),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3019),
    [anon_sym_PLUS_EQ] = ACTIONS(3019),
    [anon_sym_DASH_EQ] = ACTIONS(3019),
    [anon_sym_DOT_EQ] = ACTIONS(3019),
    [anon_sym_STAR_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_PERCENT_EQ] = ACTIONS(3019),
    [anon_sym_x_EQ] = ACTIONS(3019),
    [anon_sym_AMP_EQ] = ACTIONS(3019),
    [anon_sym_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_CARET_EQ] = ACTIONS(3019),
    [anon_sym_LT_LT_EQ] = ACTIONS(3019),
    [anon_sym_GT_GT_EQ] = ACTIONS(3019),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3019),
    [anon_sym_DOT_DOT] = ACTIONS(3021),
    [anon_sym_STAR_STAR] = ACTIONS(3367),
    [anon_sym_PIPE_PIPE] = ACTIONS(3021),
    [anon_sym_SLASH_SLASH] = ACTIONS(3021),
    [anon_sym_CARET_CARET] = ACTIONS(3019),
    [anon_sym_AMP_AMP] = ACTIONS(3373),
    [anon_sym_PIPE] = ACTIONS(3375),
    [anon_sym_CARET] = ACTIONS(3375),
    [anon_sym_AMP] = ACTIONS(3377),
    [anon_sym_GT_GT2] = ACTIONS(3363),
    [anon_sym_PLUS] = ACTIONS(3379),
    [anon_sym_DASH] = ACTIONS(3379),
    [anon_sym_DOT] = ACTIONS(3379),
    [anon_sym_STAR] = ACTIONS(3359),
    [anon_sym_SLASH] = ACTIONS(3359),
    [anon_sym_x] = ACTIONS(3359),
    [anon_sym_EQ_TILDE] = ACTIONS(3381),
    [anon_sym_BANG_TILDE] = ACTIONS(3381),
    [anon_sym_EQ_EQ] = ACTIONS(3383),
    [anon_sym_BANG_EQ] = ACTIONS(3385),
    [anon_sym_eq] = ACTIONS(3383),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3385),
    [anon_sym_equ] = ACTIONS(3385),
    [anon_sym_eqr] = ACTIONS(3385),
    [anon_sym_ne] = ACTIONS(3385),
    [anon_sym_LT_EQ_GT] = ACTIONS(3387),
    [anon_sym_cmp] = ACTIONS(3387),
    [anon_sym_TILDE_TILDE] = ACTIONS(3387),
    [anon_sym_LT] = ACTIONS(3361),
    [anon_sym_LT_EQ] = ACTIONS(3361),
    [anon_sym_GT_EQ] = ACTIONS(3389),
    [anon_sym_lt] = ACTIONS(3389),
    [anon_sym_le] = ACTIONS(3389),
    [anon_sym_ge] = ACTIONS(3389),
    [anon_sym_gt] = ACTIONS(3389),
    [anon_sym_isa] = ACTIONS(3391),
    [anon_sym_PLUS_PLUS] = ACTIONS(2627),
    [anon_sym_DASH_DASH] = ACTIONS(2627),
    [anon_sym_QMARK] = ACTIONS(3019),
    [anon_sym_EQ_GT] = ACTIONS(3019),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3019),
    [anon_sym___END__] = ACTIONS(3019),
    [anon_sym_EOT] = ACTIONS(3019),
    [sym__PERLY_SEMICOLON] = ACTIONS(3019),
    [sym__ctrl_z_hack] = ACTIONS(3019),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1460] = {
    [sym_heredoc_content] = STATE(1460),
    [anon_sym_SEMI] = ACTIONS(3019),
    [anon_sym_EQ] = ACTIONS(3021),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_COMMA] = ACTIONS(3019),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3019),
    [anon_sym_and] = ACTIONS(3019),
    [anon_sym_or] = ACTIONS(3019),
    [anon_sym_xor] = ACTIONS(3019),
    [anon_sym_DASH_GT] = ACTIONS(2591),
    [anon_sym_PERCENT] = ACTIONS(3359),
    [anon_sym_GT] = ACTIONS(3361),
    [anon_sym_LT_LT] = ACTIONS(3363),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3019),
    [anon_sym_PLUS_EQ] = ACTIONS(3019),
    [anon_sym_DASH_EQ] = ACTIONS(3019),
    [anon_sym_DOT_EQ] = ACTIONS(3019),
    [anon_sym_STAR_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_PERCENT_EQ] = ACTIONS(3019),
    [anon_sym_x_EQ] = ACTIONS(3019),
    [anon_sym_AMP_EQ] = ACTIONS(3019),
    [anon_sym_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_CARET_EQ] = ACTIONS(3019),
    [anon_sym_LT_LT_EQ] = ACTIONS(3019),
    [anon_sym_GT_GT_EQ] = ACTIONS(3019),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3019),
    [anon_sym_DOT_DOT] = ACTIONS(3021),
    [anon_sym_STAR_STAR] = ACTIONS(3367),
    [anon_sym_PIPE_PIPE] = ACTIONS(3021),
    [anon_sym_SLASH_SLASH] = ACTIONS(3021),
    [anon_sym_CARET_CARET] = ACTIONS(3019),
    [anon_sym_AMP_AMP] = ACTIONS(3021),
    [anon_sym_PIPE] = ACTIONS(3375),
    [anon_sym_CARET] = ACTIONS(3375),
    [anon_sym_AMP] = ACTIONS(3377),
    [anon_sym_GT_GT2] = ACTIONS(3363),
    [anon_sym_PLUS] = ACTIONS(3379),
    [anon_sym_DASH] = ACTIONS(3379),
    [anon_sym_DOT] = ACTIONS(3379),
    [anon_sym_STAR] = ACTIONS(3359),
    [anon_sym_SLASH] = ACTIONS(3359),
    [anon_sym_x] = ACTIONS(3359),
    [anon_sym_EQ_TILDE] = ACTIONS(3381),
    [anon_sym_BANG_TILDE] = ACTIONS(3381),
    [anon_sym_EQ_EQ] = ACTIONS(3383),
    [anon_sym_BANG_EQ] = ACTIONS(3385),
    [anon_sym_eq] = ACTIONS(3383),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3385),
    [anon_sym_equ] = ACTIONS(3385),
    [anon_sym_eqr] = ACTIONS(3385),
    [anon_sym_ne] = ACTIONS(3385),
    [anon_sym_LT_EQ_GT] = ACTIONS(3387),
    [anon_sym_cmp] = ACTIONS(3387),
    [anon_sym_TILDE_TILDE] = ACTIONS(3387),
    [anon_sym_LT] = ACTIONS(3361),
    [anon_sym_LT_EQ] = ACTIONS(3361),
    [anon_sym_GT_EQ] = ACTIONS(3389),
    [anon_sym_lt] = ACTIONS(3389),
    [anon_sym_le] = ACTIONS(3389),
    [anon_sym_ge] = ACTIONS(3389),
    [anon_sym_gt] = ACTIONS(3389),
    [anon_sym_isa] = ACTIONS(3391),
    [anon_sym_PLUS_PLUS] = ACTIONS(2627),
    [anon_sym_DASH_DASH] = ACTIONS(2627),
    [anon_sym_QMARK] = ACTIONS(3019),
    [anon_sym_EQ_GT] = ACTIONS(3019),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3019),
    [anon_sym___END__] = ACTIONS(3019),
    [anon_sym_EOT] = ACTIONS(3019),
    [sym__PERLY_SEMICOLON] = ACTIONS(3019),
    [sym__ctrl_z_hack] = ACTIONS(3019),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1461] = {
    [sym_heredoc_content] = STATE(1461),
    [anon_sym_SEMI] = ACTIONS(3019),
    [anon_sym_EQ] = ACTIONS(3021),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_COMMA] = ACTIONS(3019),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3019),
    [anon_sym_and] = ACTIONS(3019),
    [anon_sym_or] = ACTIONS(3019),
    [anon_sym_xor] = ACTIONS(3019),
    [anon_sym_DASH_GT] = ACTIONS(2591),
    [anon_sym_PERCENT] = ACTIONS(3359),
    [anon_sym_GT] = ACTIONS(3361),
    [anon_sym_LT_LT] = ACTIONS(3363),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3019),
    [anon_sym_PLUS_EQ] = ACTIONS(3019),
    [anon_sym_DASH_EQ] = ACTIONS(3019),
    [anon_sym_DOT_EQ] = ACTIONS(3019),
    [anon_sym_STAR_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_PERCENT_EQ] = ACTIONS(3019),
    [anon_sym_x_EQ] = ACTIONS(3019),
    [anon_sym_AMP_EQ] = ACTIONS(3019),
    [anon_sym_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_CARET_EQ] = ACTIONS(3019),
    [anon_sym_LT_LT_EQ] = ACTIONS(3019),
    [anon_sym_GT_GT_EQ] = ACTIONS(3019),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3019),
    [anon_sym_DOT_DOT] = ACTIONS(3021),
    [anon_sym_STAR_STAR] = ACTIONS(3367),
    [anon_sym_PIPE_PIPE] = ACTIONS(3021),
    [anon_sym_SLASH_SLASH] = ACTIONS(3021),
    [anon_sym_CARET_CARET] = ACTIONS(3019),
    [anon_sym_AMP_AMP] = ACTIONS(3021),
    [anon_sym_PIPE] = ACTIONS(3021),
    [anon_sym_CARET] = ACTIONS(3021),
    [anon_sym_AMP] = ACTIONS(3377),
    [anon_sym_GT_GT2] = ACTIONS(3363),
    [anon_sym_PLUS] = ACTIONS(3379),
    [anon_sym_DASH] = ACTIONS(3379),
    [anon_sym_DOT] = ACTIONS(3379),
    [anon_sym_STAR] = ACTIONS(3359),
    [anon_sym_SLASH] = ACTIONS(3359),
    [anon_sym_x] = ACTIONS(3359),
    [anon_sym_EQ_TILDE] = ACTIONS(3381),
    [anon_sym_BANG_TILDE] = ACTIONS(3381),
    [anon_sym_EQ_EQ] = ACTIONS(3383),
    [anon_sym_BANG_EQ] = ACTIONS(3385),
    [anon_sym_eq] = ACTIONS(3383),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3385),
    [anon_sym_equ] = ACTIONS(3385),
    [anon_sym_eqr] = ACTIONS(3385),
    [anon_sym_ne] = ACTIONS(3385),
    [anon_sym_LT_EQ_GT] = ACTIONS(3387),
    [anon_sym_cmp] = ACTIONS(3387),
    [anon_sym_TILDE_TILDE] = ACTIONS(3387),
    [anon_sym_LT] = ACTIONS(3361),
    [anon_sym_LT_EQ] = ACTIONS(3361),
    [anon_sym_GT_EQ] = ACTIONS(3389),
    [anon_sym_lt] = ACTIONS(3389),
    [anon_sym_le] = ACTIONS(3389),
    [anon_sym_ge] = ACTIONS(3389),
    [anon_sym_gt] = ACTIONS(3389),
    [anon_sym_isa] = ACTIONS(3391),
    [anon_sym_PLUS_PLUS] = ACTIONS(2627),
    [anon_sym_DASH_DASH] = ACTIONS(2627),
    [anon_sym_QMARK] = ACTIONS(3019),
    [anon_sym_EQ_GT] = ACTIONS(3019),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3019),
    [anon_sym___END__] = ACTIONS(3019),
    [anon_sym_EOT] = ACTIONS(3019),
    [sym__PERLY_SEMICOLON] = ACTIONS(3019),
    [sym__ctrl_z_hack] = ACTIONS(3019),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1462] = {
    [sym_heredoc_content] = STATE(1462),
    [anon_sym_SEMI] = ACTIONS(3019),
    [anon_sym_EQ] = ACTIONS(3021),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_COMMA] = ACTIONS(3019),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3019),
    [anon_sym_and] = ACTIONS(3019),
    [anon_sym_or] = ACTIONS(3019),
    [anon_sym_xor] = ACTIONS(3019),
    [anon_sym_DASH_GT] = ACTIONS(2591),
    [anon_sym_PERCENT] = ACTIONS(3359),
    [anon_sym_GT] = ACTIONS(3361),
    [anon_sym_LT_LT] = ACTIONS(3363),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3019),
    [anon_sym_PLUS_EQ] = ACTIONS(3019),
    [anon_sym_DASH_EQ] = ACTIONS(3019),
    [anon_sym_DOT_EQ] = ACTIONS(3019),
    [anon_sym_STAR_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_PERCENT_EQ] = ACTIONS(3019),
    [anon_sym_x_EQ] = ACTIONS(3019),
    [anon_sym_AMP_EQ] = ACTIONS(3019),
    [anon_sym_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_CARET_EQ] = ACTIONS(3019),
    [anon_sym_LT_LT_EQ] = ACTIONS(3019),
    [anon_sym_GT_GT_EQ] = ACTIONS(3019),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3019),
    [anon_sym_DOT_DOT] = ACTIONS(3021),
    [anon_sym_STAR_STAR] = ACTIONS(3367),
    [anon_sym_PIPE_PIPE] = ACTIONS(3021),
    [anon_sym_SLASH_SLASH] = ACTIONS(3021),
    [anon_sym_CARET_CARET] = ACTIONS(3019),
    [anon_sym_AMP_AMP] = ACTIONS(3021),
    [anon_sym_PIPE] = ACTIONS(3021),
    [anon_sym_CARET] = ACTIONS(3021),
    [anon_sym_AMP] = ACTIONS(3021),
    [anon_sym_GT_GT2] = ACTIONS(3363),
    [anon_sym_PLUS] = ACTIONS(3379),
    [anon_sym_DASH] = ACTIONS(3379),
    [anon_sym_DOT] = ACTIONS(3379),
    [anon_sym_STAR] = ACTIONS(3359),
    [anon_sym_SLASH] = ACTIONS(3359),
    [anon_sym_x] = ACTIONS(3359),
    [anon_sym_EQ_TILDE] = ACTIONS(3381),
    [anon_sym_BANG_TILDE] = ACTIONS(3381),
    [anon_sym_EQ_EQ] = ACTIONS(3383),
    [anon_sym_BANG_EQ] = ACTIONS(3385),
    [anon_sym_eq] = ACTIONS(3383),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3385),
    [anon_sym_equ] = ACTIONS(3385),
    [anon_sym_eqr] = ACTIONS(3385),
    [anon_sym_ne] = ACTIONS(3385),
    [anon_sym_LT_EQ_GT] = ACTIONS(3387),
    [anon_sym_cmp] = ACTIONS(3387),
    [anon_sym_TILDE_TILDE] = ACTIONS(3387),
    [anon_sym_LT] = ACTIONS(3361),
    [anon_sym_LT_EQ] = ACTIONS(3361),
    [anon_sym_GT_EQ] = ACTIONS(3389),
    [anon_sym_lt] = ACTIONS(3389),
    [anon_sym_le] = ACTIONS(3389),
    [anon_sym_ge] = ACTIONS(3389),
    [anon_sym_gt] = ACTIONS(3389),
    [anon_sym_isa] = ACTIONS(3391),
    [anon_sym_PLUS_PLUS] = ACTIONS(2627),
    [anon_sym_DASH_DASH] = ACTIONS(2627),
    [anon_sym_QMARK] = ACTIONS(3019),
    [anon_sym_EQ_GT] = ACTIONS(3019),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3019),
    [anon_sym___END__] = ACTIONS(3019),
    [anon_sym_EOT] = ACTIONS(3019),
    [sym__PERLY_SEMICOLON] = ACTIONS(3019),
    [sym__ctrl_z_hack] = ACTIONS(3019),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1463] = {
    [sym_heredoc_content] = STATE(1463),
    [anon_sym_SEMI] = ACTIONS(3019),
    [anon_sym_EQ] = ACTIONS(3021),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_COMMA] = ACTIONS(3019),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3019),
    [anon_sym_and] = ACTIONS(3019),
    [anon_sym_or] = ACTIONS(3019),
    [anon_sym_xor] = ACTIONS(3019),
    [anon_sym_DASH_GT] = ACTIONS(2591),
    [anon_sym_PERCENT] = ACTIONS(3359),
    [anon_sym_GT] = ACTIONS(3021),
    [anon_sym_LT_LT] = ACTIONS(3021),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3019),
    [anon_sym_PLUS_EQ] = ACTIONS(3019),
    [anon_sym_DASH_EQ] = ACTIONS(3019),
    [anon_sym_DOT_EQ] = ACTIONS(3019),
    [anon_sym_STAR_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_PERCENT_EQ] = ACTIONS(3019),
    [anon_sym_x_EQ] = ACTIONS(3019),
    [anon_sym_AMP_EQ] = ACTIONS(3019),
    [anon_sym_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_CARET_EQ] = ACTIONS(3019),
    [anon_sym_LT_LT_EQ] = ACTIONS(3019),
    [anon_sym_GT_GT_EQ] = ACTIONS(3019),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3019),
    [anon_sym_DOT_DOT] = ACTIONS(3021),
    [anon_sym_STAR_STAR] = ACTIONS(3367),
    [anon_sym_PIPE_PIPE] = ACTIONS(3021),
    [anon_sym_SLASH_SLASH] = ACTIONS(3021),
    [anon_sym_CARET_CARET] = ACTIONS(3019),
    [anon_sym_AMP_AMP] = ACTIONS(3021),
    [anon_sym_PIPE] = ACTIONS(3021),
    [anon_sym_CARET] = ACTIONS(3021),
    [anon_sym_AMP] = ACTIONS(3021),
    [anon_sym_GT_GT2] = ACTIONS(3021),
    [anon_sym_PLUS] = ACTIONS(3021),
    [anon_sym_DASH] = ACTIONS(3021),
    [anon_sym_DOT] = ACTIONS(3021),
    [anon_sym_STAR] = ACTIONS(3359),
    [anon_sym_SLASH] = ACTIONS(3359),
    [anon_sym_x] = ACTIONS(3359),
    [anon_sym_EQ_TILDE] = ACTIONS(3381),
    [anon_sym_BANG_TILDE] = ACTIONS(3381),
    [anon_sym_EQ_EQ] = ACTIONS(3021),
    [anon_sym_BANG_EQ] = ACTIONS(3019),
    [anon_sym_eq] = ACTIONS(3021),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3019),
    [anon_sym_equ] = ACTIONS(3019),
    [anon_sym_eqr] = ACTIONS(3019),
    [anon_sym_ne] = ACTIONS(3019),
    [anon_sym_LT_EQ_GT] = ACTIONS(3019),
    [anon_sym_cmp] = ACTIONS(3019),
    [anon_sym_TILDE_TILDE] = ACTIONS(3019),
    [anon_sym_LT] = ACTIONS(3021),
    [anon_sym_LT_EQ] = ACTIONS(3021),
    [anon_sym_GT_EQ] = ACTIONS(3019),
    [anon_sym_lt] = ACTIONS(3019),
    [anon_sym_le] = ACTIONS(3019),
    [anon_sym_ge] = ACTIONS(3019),
    [anon_sym_gt] = ACTIONS(3019),
    [anon_sym_isa] = ACTIONS(3019),
    [anon_sym_PLUS_PLUS] = ACTIONS(2627),
    [anon_sym_DASH_DASH] = ACTIONS(2627),
    [anon_sym_QMARK] = ACTIONS(3019),
    [anon_sym_EQ_GT] = ACTIONS(3019),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3019),
    [anon_sym___END__] = ACTIONS(3019),
    [anon_sym_EOT] = ACTIONS(3019),
    [sym__PERLY_SEMICOLON] = ACTIONS(3019),
    [sym__ctrl_z_hack] = ACTIONS(3019),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1464] = {
    [sym_heredoc_content] = STATE(1464),
    [anon_sym_SEMI] = ACTIONS(3019),
    [anon_sym_EQ] = ACTIONS(3021),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_COMMA] = ACTIONS(3019),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3019),
    [anon_sym_and] = ACTIONS(3019),
    [anon_sym_or] = ACTIONS(3019),
    [anon_sym_xor] = ACTIONS(3019),
    [anon_sym_DASH_GT] = ACTIONS(2591),
    [anon_sym_PERCENT] = ACTIONS(3021),
    [anon_sym_GT] = ACTIONS(3021),
    [anon_sym_LT_LT] = ACTIONS(3021),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3019),
    [anon_sym_PLUS_EQ] = ACTIONS(3019),
    [anon_sym_DASH_EQ] = ACTIONS(3019),
    [anon_sym_DOT_EQ] = ACTIONS(3019),
    [anon_sym_STAR_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_PERCENT_EQ] = ACTIONS(3019),
    [anon_sym_x_EQ] = ACTIONS(3019),
    [anon_sym_AMP_EQ] = ACTIONS(3019),
    [anon_sym_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_CARET_EQ] = ACTIONS(3019),
    [anon_sym_LT_LT_EQ] = ACTIONS(3019),
    [anon_sym_GT_GT_EQ] = ACTIONS(3019),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3019),
    [anon_sym_DOT_DOT] = ACTIONS(3021),
    [anon_sym_STAR_STAR] = ACTIONS(3367),
    [anon_sym_PIPE_PIPE] = ACTIONS(3021),
    [anon_sym_SLASH_SLASH] = ACTIONS(3021),
    [anon_sym_CARET_CARET] = ACTIONS(3019),
    [anon_sym_AMP_AMP] = ACTIONS(3021),
    [anon_sym_PIPE] = ACTIONS(3021),
    [anon_sym_CARET] = ACTIONS(3021),
    [anon_sym_AMP] = ACTIONS(3021),
    [anon_sym_GT_GT2] = ACTIONS(3021),
    [anon_sym_PLUS] = ACTIONS(3021),
    [anon_sym_DASH] = ACTIONS(3021),
    [anon_sym_DOT] = ACTIONS(3021),
    [anon_sym_STAR] = ACTIONS(3021),
    [anon_sym_SLASH] = ACTIONS(3021),
    [anon_sym_x] = ACTIONS(3021),
    [anon_sym_EQ_TILDE] = ACTIONS(3019),
    [anon_sym_BANG_TILDE] = ACTIONS(3019),
    [anon_sym_EQ_EQ] = ACTIONS(3021),
    [anon_sym_BANG_EQ] = ACTIONS(3019),
    [anon_sym_eq] = ACTIONS(3021),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3019),
    [anon_sym_equ] = ACTIONS(3019),
    [anon_sym_eqr] = ACTIONS(3019),
    [anon_sym_ne] = ACTIONS(3019),
    [anon_sym_LT_EQ_GT] = ACTIONS(3019),
    [anon_sym_cmp] = ACTIONS(3019),
    [anon_sym_TILDE_TILDE] = ACTIONS(3019),
    [anon_sym_LT] = ACTIONS(3021),
    [anon_sym_LT_EQ] = ACTIONS(3021),
    [anon_sym_GT_EQ] = ACTIONS(3019),
    [anon_sym_lt] = ACTIONS(3019),
    [anon_sym_le] = ACTIONS(3019),
    [anon_sym_ge] = ACTIONS(3019),
    [anon_sym_gt] = ACTIONS(3019),
    [anon_sym_isa] = ACTIONS(3019),
    [anon_sym_PLUS_PLUS] = ACTIONS(2627),
    [anon_sym_DASH_DASH] = ACTIONS(2627),
    [anon_sym_QMARK] = ACTIONS(3019),
    [anon_sym_EQ_GT] = ACTIONS(3019),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3019),
    [anon_sym___END__] = ACTIONS(3019),
    [anon_sym_EOT] = ACTIONS(3019),
    [sym__PERLY_SEMICOLON] = ACTIONS(3019),
    [sym__ctrl_z_hack] = ACTIONS(3019),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1465] = {
    [sym_heredoc_content] = STATE(1465),
    [anon_sym_SEMI] = ACTIONS(3035),
    [anon_sym_EQ] = ACTIONS(3037),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3035),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3035),
    [anon_sym_COMMA] = ACTIONS(3035),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3035),
    [anon_sym_and] = ACTIONS(3035),
    [anon_sym_or] = ACTIONS(3035),
    [anon_sym_xor] = ACTIONS(3035),
    [anon_sym_DASH_GT] = ACTIONS(2591),
    [anon_sym_PERCENT] = ACTIONS(3359),
    [anon_sym_GT] = ACTIONS(3361),
    [anon_sym_LT_LT] = ACTIONS(3363),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3035),
    [anon_sym_PLUS_EQ] = ACTIONS(3035),
    [anon_sym_DASH_EQ] = ACTIONS(3035),
    [anon_sym_DOT_EQ] = ACTIONS(3035),
    [anon_sym_STAR_EQ] = ACTIONS(3035),
    [anon_sym_SLASH_EQ] = ACTIONS(3035),
    [anon_sym_PERCENT_EQ] = ACTIONS(3035),
    [anon_sym_x_EQ] = ACTIONS(3035),
    [anon_sym_AMP_EQ] = ACTIONS(3035),
    [anon_sym_PIPE_EQ] = ACTIONS(3035),
    [anon_sym_CARET_EQ] = ACTIONS(3035),
    [anon_sym_LT_LT_EQ] = ACTIONS(3035),
    [anon_sym_GT_GT_EQ] = ACTIONS(3035),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3035),
    [anon_sym_DOT_DOT] = ACTIONS(3037),
    [anon_sym_STAR_STAR] = ACTIONS(3367),
    [anon_sym_PIPE_PIPE] = ACTIONS(3037),
    [anon_sym_SLASH_SLASH] = ACTIONS(3037),
    [anon_sym_CARET_CARET] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(3037),
    [anon_sym_PIPE] = ACTIONS(3037),
    [anon_sym_CARET] = ACTIONS(3037),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym_GT_GT2] = ACTIONS(3363),
    [anon_sym_PLUS] = ACTIONS(3379),
    [anon_sym_DASH] = ACTIONS(3379),
    [anon_sym_DOT] = ACTIONS(3379),
    [anon_sym_STAR] = ACTIONS(3359),
    [anon_sym_SLASH] = ACTIONS(3359),
    [anon_sym_x] = ACTIONS(3359),
    [anon_sym_EQ_TILDE] = ACTIONS(3381),
    [anon_sym_BANG_TILDE] = ACTIONS(3381),
    [anon_sym_EQ_EQ] = ACTIONS(3037),
    [anon_sym_BANG_EQ] = ACTIONS(3035),
    [anon_sym_eq] = ACTIONS(3037),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3035),
    [anon_sym_equ] = ACTIONS(3035),
    [anon_sym_eqr] = ACTIONS(3035),
    [anon_sym_ne] = ACTIONS(3035),
    [anon_sym_LT_EQ_GT] = ACTIONS(3035),
    [anon_sym_cmp] = ACTIONS(3035),
    [anon_sym_TILDE_TILDE] = ACTIONS(3035),
    [anon_sym_LT] = ACTIONS(3361),
    [anon_sym_LT_EQ] = ACTIONS(3361),
    [anon_sym_GT_EQ] = ACTIONS(3389),
    [anon_sym_lt] = ACTIONS(3389),
    [anon_sym_le] = ACTIONS(3389),
    [anon_sym_ge] = ACTIONS(3389),
    [anon_sym_gt] = ACTIONS(3389),
    [anon_sym_isa] = ACTIONS(3391),
    [anon_sym_PLUS_PLUS] = ACTIONS(2627),
    [anon_sym_DASH_DASH] = ACTIONS(2627),
    [anon_sym_QMARK] = ACTIONS(3035),
    [anon_sym_EQ_GT] = ACTIONS(3035),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3035),
    [anon_sym___END__] = ACTIONS(3035),
    [anon_sym_EOT] = ACTIONS(3035),
    [sym__PERLY_SEMICOLON] = ACTIONS(3035),
    [sym__ctrl_z_hack] = ACTIONS(3035),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1466] = {
    [sym_heredoc_content] = STATE(1466),
    [anon_sym_SEMI] = ACTIONS(3035),
    [anon_sym_EQ] = ACTIONS(3037),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3035),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3035),
    [anon_sym_COMMA] = ACTIONS(3035),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3035),
    [anon_sym_and] = ACTIONS(3035),
    [anon_sym_or] = ACTIONS(3035),
    [anon_sym_xor] = ACTIONS(3035),
    [anon_sym_DASH_GT] = ACTIONS(2591),
    [anon_sym_PERCENT] = ACTIONS(3359),
    [anon_sym_GT] = ACTIONS(3361),
    [anon_sym_LT_LT] = ACTIONS(3363),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3035),
    [anon_sym_PLUS_EQ] = ACTIONS(3035),
    [anon_sym_DASH_EQ] = ACTIONS(3035),
    [anon_sym_DOT_EQ] = ACTIONS(3035),
    [anon_sym_STAR_EQ] = ACTIONS(3035),
    [anon_sym_SLASH_EQ] = ACTIONS(3035),
    [anon_sym_PERCENT_EQ] = ACTIONS(3035),
    [anon_sym_x_EQ] = ACTIONS(3035),
    [anon_sym_AMP_EQ] = ACTIONS(3035),
    [anon_sym_PIPE_EQ] = ACTIONS(3035),
    [anon_sym_CARET_EQ] = ACTIONS(3035),
    [anon_sym_LT_LT_EQ] = ACTIONS(3035),
    [anon_sym_GT_GT_EQ] = ACTIONS(3035),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3035),
    [anon_sym_DOT_DOT] = ACTIONS(3037),
    [anon_sym_STAR_STAR] = ACTIONS(3367),
    [anon_sym_PIPE_PIPE] = ACTIONS(3037),
    [anon_sym_SLASH_SLASH] = ACTIONS(3037),
    [anon_sym_CARET_CARET] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(3037),
    [anon_sym_PIPE] = ACTIONS(3037),
    [anon_sym_CARET] = ACTIONS(3037),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym_GT_GT2] = ACTIONS(3363),
    [anon_sym_PLUS] = ACTIONS(3379),
    [anon_sym_DASH] = ACTIONS(3379),
    [anon_sym_DOT] = ACTIONS(3379),
    [anon_sym_STAR] = ACTIONS(3359),
    [anon_sym_SLASH] = ACTIONS(3359),
    [anon_sym_x] = ACTIONS(3359),
    [anon_sym_EQ_TILDE] = ACTIONS(3381),
    [anon_sym_BANG_TILDE] = ACTIONS(3381),
    [anon_sym_EQ_EQ] = ACTIONS(3383),
    [anon_sym_BANG_EQ] = ACTIONS(3385),
    [anon_sym_eq] = ACTIONS(3383),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3385),
    [anon_sym_equ] = ACTIONS(3385),
    [anon_sym_eqr] = ACTIONS(3385),
    [anon_sym_ne] = ACTIONS(3385),
    [anon_sym_LT_EQ_GT] = ACTIONS(3409),
    [anon_sym_cmp] = ACTIONS(3409),
    [anon_sym_TILDE_TILDE] = ACTIONS(3409),
    [anon_sym_LT] = ACTIONS(3361),
    [anon_sym_LT_EQ] = ACTIONS(3361),
    [anon_sym_GT_EQ] = ACTIONS(3389),
    [anon_sym_lt] = ACTIONS(3389),
    [anon_sym_le] = ACTIONS(3389),
    [anon_sym_ge] = ACTIONS(3389),
    [anon_sym_gt] = ACTIONS(3389),
    [anon_sym_isa] = ACTIONS(3391),
    [anon_sym_PLUS_PLUS] = ACTIONS(2627),
    [anon_sym_DASH_DASH] = ACTIONS(2627),
    [anon_sym_QMARK] = ACTIONS(3035),
    [anon_sym_EQ_GT] = ACTIONS(3035),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3035),
    [anon_sym___END__] = ACTIONS(3035),
    [anon_sym_EOT] = ACTIONS(3035),
    [sym__PERLY_SEMICOLON] = ACTIONS(3035),
    [sym__ctrl_z_hack] = ACTIONS(3035),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1467] = {
    [sym_heredoc_content] = STATE(1467),
    [anon_sym_SEMI] = ACTIONS(3027),
    [anon_sym_EQ] = ACTIONS(3029),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3027),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3027),
    [anon_sym_COMMA] = ACTIONS(3027),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3027),
    [anon_sym_and] = ACTIONS(3027),
    [anon_sym_or] = ACTIONS(3027),
    [anon_sym_xor] = ACTIONS(3027),
    [anon_sym_DASH_GT] = ACTIONS(2591),
    [anon_sym_PERCENT] = ACTIONS(3359),
    [anon_sym_GT] = ACTIONS(3361),
    [anon_sym_LT_LT] = ACTIONS(3363),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3027),
    [anon_sym_PLUS_EQ] = ACTIONS(3027),
    [anon_sym_DASH_EQ] = ACTIONS(3027),
    [anon_sym_DOT_EQ] = ACTIONS(3027),
    [anon_sym_STAR_EQ] = ACTIONS(3027),
    [anon_sym_SLASH_EQ] = ACTIONS(3027),
    [anon_sym_PERCENT_EQ] = ACTIONS(3027),
    [anon_sym_x_EQ] = ACTIONS(3027),
    [anon_sym_AMP_EQ] = ACTIONS(3027),
    [anon_sym_PIPE_EQ] = ACTIONS(3027),
    [anon_sym_CARET_EQ] = ACTIONS(3027),
    [anon_sym_LT_LT_EQ] = ACTIONS(3027),
    [anon_sym_GT_GT_EQ] = ACTIONS(3027),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3027),
    [anon_sym_DOT_DOT] = ACTIONS(3029),
    [anon_sym_STAR_STAR] = ACTIONS(3367),
    [anon_sym_PIPE_PIPE] = ACTIONS(3029),
    [anon_sym_SLASH_SLASH] = ACTIONS(3029),
    [anon_sym_CARET_CARET] = ACTIONS(3027),
    [anon_sym_AMP_AMP] = ACTIONS(3029),
    [anon_sym_PIPE] = ACTIONS(3029),
    [anon_sym_CARET] = ACTIONS(3029),
    [anon_sym_AMP] = ACTIONS(3029),
    [anon_sym_GT_GT2] = ACTIONS(3363),
    [anon_sym_PLUS] = ACTIONS(3379),
    [anon_sym_DASH] = ACTIONS(3379),
    [anon_sym_DOT] = ACTIONS(3379),
    [anon_sym_STAR] = ACTIONS(3359),
    [anon_sym_SLASH] = ACTIONS(3359),
    [anon_sym_x] = ACTIONS(3359),
    [anon_sym_EQ_TILDE] = ACTIONS(3381),
    [anon_sym_BANG_TILDE] = ACTIONS(3381),
    [anon_sym_EQ_EQ] = ACTIONS(3029),
    [anon_sym_BANG_EQ] = ACTIONS(3027),
    [anon_sym_eq] = ACTIONS(3029),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3027),
    [anon_sym_equ] = ACTIONS(3027),
    [anon_sym_eqr] = ACTIONS(3027),
    [anon_sym_ne] = ACTIONS(3027),
    [anon_sym_LT_EQ_GT] = ACTIONS(3027),
    [anon_sym_cmp] = ACTIONS(3027),
    [anon_sym_TILDE_TILDE] = ACTIONS(3027),
    [anon_sym_LT] = ACTIONS(3361),
    [anon_sym_LT_EQ] = ACTIONS(3361),
    [anon_sym_GT_EQ] = ACTIONS(3389),
    [anon_sym_lt] = ACTIONS(3389),
    [anon_sym_le] = ACTIONS(3389),
    [anon_sym_ge] = ACTIONS(3389),
    [anon_sym_gt] = ACTIONS(3389),
    [anon_sym_isa] = ACTIONS(3411),
    [anon_sym_PLUS_PLUS] = ACTIONS(2627),
    [anon_sym_DASH_DASH] = ACTIONS(2627),
    [anon_sym_QMARK] = ACTIONS(3027),
    [anon_sym_EQ_GT] = ACTIONS(3027),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3027),
    [anon_sym___END__] = ACTIONS(3027),
    [anon_sym_EOT] = ACTIONS(3027),
    [sym__PERLY_SEMICOLON] = ACTIONS(3027),
    [sym__ctrl_z_hack] = ACTIONS(3027),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1468] = {
    [sym_heredoc_content] = STATE(1468),
    [sym__identifier] = ACTIONS(2522),
    [anon_sym_RBRACE] = ACTIONS(2524),
    [anon_sym_COLON] = ACTIONS(2522),
    [anon_sym_EQ] = ACTIONS(2522),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2524),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2524),
    [anon_sym_COMMA] = ACTIONS(2524),
    [anon_sym_RPAREN] = ACTIONS(2524),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2524),
    [anon_sym_and] = ACTIONS(2522),
    [anon_sym_or] = ACTIONS(2522),
    [anon_sym_xor] = ACTIONS(2522),
    [anon_sym_RBRACK] = ACTIONS(2524),
    [anon_sym_DASH_GT] = ACTIONS(2524),
    [anon_sym_PERCENT] = ACTIONS(2522),
    [anon_sym_GT] = ACTIONS(2522),
    [anon_sym_LT_LT] = ACTIONS(2522),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2524),
    [anon_sym_PLUS_EQ] = ACTIONS(2524),
    [anon_sym_DASH_EQ] = ACTIONS(2524),
    [anon_sym_DOT_EQ] = ACTIONS(2524),
    [anon_sym_STAR_EQ] = ACTIONS(2524),
    [anon_sym_SLASH_EQ] = ACTIONS(2524),
    [anon_sym_PERCENT_EQ] = ACTIONS(2524),
    [anon_sym_x_EQ] = ACTIONS(2524),
    [anon_sym_AMP_EQ] = ACTIONS(2524),
    [anon_sym_PIPE_EQ] = ACTIONS(2524),
    [anon_sym_CARET_EQ] = ACTIONS(2524),
    [anon_sym_LT_LT_EQ] = ACTIONS(2524),
    [anon_sym_GT_GT_EQ] = ACTIONS(2524),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2524),
    [anon_sym_DOT_DOT] = ACTIONS(2522),
    [anon_sym_STAR_STAR] = ACTIONS(2522),
    [anon_sym_PIPE_PIPE] = ACTIONS(2522),
    [anon_sym_SLASH_SLASH] = ACTIONS(2522),
    [anon_sym_CARET_CARET] = ACTIONS(2524),
    [anon_sym_AMP_AMP] = ACTIONS(2522),
    [anon_sym_PIPE] = ACTIONS(2522),
    [anon_sym_CARET] = ACTIONS(2522),
    [anon_sym_AMP] = ACTIONS(2522),
    [anon_sym_GT_GT2] = ACTIONS(2522),
    [anon_sym_PLUS] = ACTIONS(2522),
    [anon_sym_DASH] = ACTIONS(2522),
    [anon_sym_DOT] = ACTIONS(2522),
    [anon_sym_STAR] = ACTIONS(2522),
    [anon_sym_SLASH] = ACTIONS(2522),
    [anon_sym_x] = ACTIONS(2522),
    [anon_sym_EQ_TILDE] = ACTIONS(2524),
    [anon_sym_BANG_TILDE] = ACTIONS(2524),
    [anon_sym_EQ_EQ] = ACTIONS(2522),
    [anon_sym_BANG_EQ] = ACTIONS(2524),
    [anon_sym_eq] = ACTIONS(2522),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2524),
    [anon_sym_equ] = ACTIONS(2522),
    [anon_sym_eqr] = ACTIONS(2522),
    [anon_sym_ne] = ACTIONS(2522),
    [anon_sym_LT_EQ_GT] = ACTIONS(2524),
    [anon_sym_cmp] = ACTIONS(2522),
    [anon_sym_TILDE_TILDE] = ACTIONS(2524),
    [anon_sym_LT] = ACTIONS(2522),
    [anon_sym_LT_EQ] = ACTIONS(2522),
    [anon_sym_GT_EQ] = ACTIONS(2524),
    [anon_sym_lt] = ACTIONS(2522),
    [anon_sym_le] = ACTIONS(2522),
    [anon_sym_ge] = ACTIONS(2522),
    [anon_sym_gt] = ACTIONS(2522),
    [anon_sym_isa] = ACTIONS(2522),
    [anon_sym_PLUS_PLUS] = ACTIONS(2524),
    [anon_sym_DASH_DASH] = ACTIONS(2524),
    [anon_sym_QMARK] = ACTIONS(2524),
    [anon_sym_EQ_GT] = ACTIONS(2524),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(2522),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1469] = {
    [sym_heredoc_content] = STATE(1469),
    [sym__identifier] = ACTIONS(2436),
    [anon_sym_RBRACE] = ACTIONS(2431),
    [anon_sym_COLON] = ACTIONS(2436),
    [anon_sym_EQ] = ACTIONS(2436),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2431),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2431),
    [anon_sym_COMMA] = ACTIONS(2431),
    [anon_sym_RPAREN] = ACTIONS(2431),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2431),
    [anon_sym_and] = ACTIONS(2436),
    [anon_sym_or] = ACTIONS(2436),
    [anon_sym_xor] = ACTIONS(2436),
    [anon_sym_RBRACK] = ACTIONS(2431),
    [anon_sym_DASH_GT] = ACTIONS(2431),
    [anon_sym_PERCENT] = ACTIONS(2436),
    [anon_sym_GT] = ACTIONS(2436),
    [anon_sym_LT_LT] = ACTIONS(2436),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2431),
    [anon_sym_PLUS_EQ] = ACTIONS(2431),
    [anon_sym_DASH_EQ] = ACTIONS(2431),
    [anon_sym_DOT_EQ] = ACTIONS(2431),
    [anon_sym_STAR_EQ] = ACTIONS(2431),
    [anon_sym_SLASH_EQ] = ACTIONS(2431),
    [anon_sym_PERCENT_EQ] = ACTIONS(2431),
    [anon_sym_x_EQ] = ACTIONS(2431),
    [anon_sym_AMP_EQ] = ACTIONS(2431),
    [anon_sym_PIPE_EQ] = ACTIONS(2431),
    [anon_sym_CARET_EQ] = ACTIONS(2431),
    [anon_sym_LT_LT_EQ] = ACTIONS(2431),
    [anon_sym_GT_GT_EQ] = ACTIONS(2431),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2431),
    [anon_sym_DOT_DOT] = ACTIONS(2436),
    [anon_sym_STAR_STAR] = ACTIONS(2436),
    [anon_sym_PIPE_PIPE] = ACTIONS(2436),
    [anon_sym_SLASH_SLASH] = ACTIONS(2436),
    [anon_sym_CARET_CARET] = ACTIONS(2431),
    [anon_sym_AMP_AMP] = ACTIONS(2436),
    [anon_sym_PIPE] = ACTIONS(2436),
    [anon_sym_CARET] = ACTIONS(2436),
    [anon_sym_AMP] = ACTIONS(2436),
    [anon_sym_GT_GT2] = ACTIONS(2436),
    [anon_sym_PLUS] = ACTIONS(2436),
    [anon_sym_DASH] = ACTIONS(2436),
    [anon_sym_DOT] = ACTIONS(2436),
    [anon_sym_STAR] = ACTIONS(2436),
    [anon_sym_SLASH] = ACTIONS(2436),
    [anon_sym_x] = ACTIONS(2436),
    [anon_sym_EQ_TILDE] = ACTIONS(2431),
    [anon_sym_BANG_TILDE] = ACTIONS(2431),
    [anon_sym_EQ_EQ] = ACTIONS(2436),
    [anon_sym_BANG_EQ] = ACTIONS(2431),
    [anon_sym_eq] = ACTIONS(2436),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2431),
    [anon_sym_equ] = ACTIONS(2436),
    [anon_sym_eqr] = ACTIONS(2436),
    [anon_sym_ne] = ACTIONS(2436),
    [anon_sym_LT_EQ_GT] = ACTIONS(2431),
    [anon_sym_cmp] = ACTIONS(2436),
    [anon_sym_TILDE_TILDE] = ACTIONS(2431),
    [anon_sym_LT] = ACTIONS(2436),
    [anon_sym_LT_EQ] = ACTIONS(2436),
    [anon_sym_GT_EQ] = ACTIONS(2431),
    [anon_sym_lt] = ACTIONS(2436),
    [anon_sym_le] = ACTIONS(2436),
    [anon_sym_ge] = ACTIONS(2436),
    [anon_sym_gt] = ACTIONS(2436),
    [anon_sym_isa] = ACTIONS(2436),
    [anon_sym_PLUS_PLUS] = ACTIONS(2431),
    [anon_sym_DASH_DASH] = ACTIONS(2431),
    [anon_sym_QMARK] = ACTIONS(2431),
    [anon_sym_EQ_GT] = ACTIONS(2431),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(2436),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1470] = {
    [sym_heredoc_content] = STATE(1470),
    [anon_sym_LBRACE] = ACTIONS(1836),
    [anon_sym_RBRACE] = ACTIONS(1836),
    [anon_sym_EQ] = ACTIONS(1834),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1836),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1836),
    [anon_sym_COMMA] = ACTIONS(1836),
    [anon_sym_RPAREN] = ACTIONS(1836),
    [anon_sym_LPAREN] = ACTIONS(1836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1836),
    [anon_sym_and] = ACTIONS(1836),
    [anon_sym_or] = ACTIONS(1836),
    [anon_sym_xor] = ACTIONS(1836),
    [anon_sym_LBRACK] = ACTIONS(1836),
    [anon_sym_RBRACK] = ACTIONS(1836),
    [anon_sym_DASH_GT] = ACTIONS(1836),
    [anon_sym_PERCENT] = ACTIONS(1834),
    [anon_sym_GT] = ACTIONS(1834),
    [anon_sym_LT_LT] = ACTIONS(1834),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1836),
    [anon_sym_PLUS_EQ] = ACTIONS(1836),
    [anon_sym_DASH_EQ] = ACTIONS(1836),
    [anon_sym_DOT_EQ] = ACTIONS(1836),
    [anon_sym_STAR_EQ] = ACTIONS(1836),
    [anon_sym_SLASH_EQ] = ACTIONS(1836),
    [anon_sym_PERCENT_EQ] = ACTIONS(1836),
    [anon_sym_x_EQ] = ACTIONS(1836),
    [anon_sym_AMP_EQ] = ACTIONS(1836),
    [anon_sym_PIPE_EQ] = ACTIONS(1836),
    [anon_sym_CARET_EQ] = ACTIONS(1836),
    [anon_sym_LT_LT_EQ] = ACTIONS(1836),
    [anon_sym_GT_GT_EQ] = ACTIONS(1836),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1836),
    [anon_sym_DOT_DOT] = ACTIONS(1834),
    [anon_sym_STAR_STAR] = ACTIONS(1834),
    [anon_sym_PIPE_PIPE] = ACTIONS(1834),
    [anon_sym_SLASH_SLASH] = ACTIONS(1834),
    [anon_sym_CARET_CARET] = ACTIONS(1836),
    [anon_sym_AMP_AMP] = ACTIONS(1834),
    [anon_sym_PIPE] = ACTIONS(1834),
    [anon_sym_CARET] = ACTIONS(1834),
    [anon_sym_AMP] = ACTIONS(1834),
    [anon_sym_GT_GT2] = ACTIONS(1834),
    [anon_sym_PLUS] = ACTIONS(1834),
    [anon_sym_DASH] = ACTIONS(1834),
    [anon_sym_DOT] = ACTIONS(1834),
    [anon_sym_STAR] = ACTIONS(1834),
    [anon_sym_SLASH] = ACTIONS(1834),
    [anon_sym_x] = ACTIONS(1834),
    [anon_sym_EQ_TILDE] = ACTIONS(1836),
    [anon_sym_BANG_TILDE] = ACTIONS(1836),
    [anon_sym_EQ_EQ] = ACTIONS(1834),
    [anon_sym_BANG_EQ] = ACTIONS(1836),
    [anon_sym_eq] = ACTIONS(1834),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1836),
    [anon_sym_equ] = ACTIONS(1836),
    [anon_sym_eqr] = ACTIONS(1836),
    [anon_sym_ne] = ACTIONS(1836),
    [anon_sym_LT_EQ_GT] = ACTIONS(1836),
    [anon_sym_cmp] = ACTIONS(1836),
    [anon_sym_TILDE_TILDE] = ACTIONS(1836),
    [anon_sym_LT] = ACTIONS(1834),
    [anon_sym_LT_EQ] = ACTIONS(1834),
    [anon_sym_GT_EQ] = ACTIONS(1836),
    [anon_sym_lt] = ACTIONS(1836),
    [anon_sym_le] = ACTIONS(1836),
    [anon_sym_ge] = ACTIONS(1836),
    [anon_sym_gt] = ACTIONS(1836),
    [anon_sym_isa] = ACTIONS(1836),
    [anon_sym_PLUS_PLUS] = ACTIONS(1836),
    [anon_sym_DASH_DASH] = ACTIONS(1836),
    [anon_sym_QMARK] = ACTIONS(1836),
    [anon_sym_EQ_GT] = ACTIONS(1836),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1471] = {
    [sym_heredoc_content] = STATE(1471),
    [anon_sym_SEMI] = ACTIONS(3258),
    [anon_sym_EQ] = ACTIONS(3260),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3258),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3258),
    [anon_sym_COMMA] = ACTIONS(3258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3357),
    [anon_sym_and] = ACTIONS(3258),
    [anon_sym_or] = ACTIONS(3258),
    [anon_sym_xor] = ACTIONS(3258),
    [anon_sym_DASH_GT] = ACTIONS(2591),
    [anon_sym_PERCENT] = ACTIONS(3359),
    [anon_sym_GT] = ACTIONS(3361),
    [anon_sym_LT_LT] = ACTIONS(3363),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3258),
    [anon_sym_PLUS_EQ] = ACTIONS(3258),
    [anon_sym_DASH_EQ] = ACTIONS(3258),
    [anon_sym_DOT_EQ] = ACTIONS(3258),
    [anon_sym_STAR_EQ] = ACTIONS(3258),
    [anon_sym_SLASH_EQ] = ACTIONS(3258),
    [anon_sym_PERCENT_EQ] = ACTIONS(3258),
    [anon_sym_x_EQ] = ACTIONS(3258),
    [anon_sym_AMP_EQ] = ACTIONS(3258),
    [anon_sym_PIPE_EQ] = ACTIONS(3258),
    [anon_sym_CARET_EQ] = ACTIONS(3258),
    [anon_sym_LT_LT_EQ] = ACTIONS(3258),
    [anon_sym_GT_GT_EQ] = ACTIONS(3258),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3258),
    [anon_sym_DOT_DOT] = ACTIONS(3365),
    [anon_sym_STAR_STAR] = ACTIONS(3367),
    [anon_sym_PIPE_PIPE] = ACTIONS(3369),
    [anon_sym_SLASH_SLASH] = ACTIONS(3369),
    [anon_sym_CARET_CARET] = ACTIONS(3371),
    [anon_sym_AMP_AMP] = ACTIONS(3373),
    [anon_sym_PIPE] = ACTIONS(3375),
    [anon_sym_CARET] = ACTIONS(3375),
    [anon_sym_AMP] = ACTIONS(3377),
    [anon_sym_GT_GT2] = ACTIONS(3363),
    [anon_sym_PLUS] = ACTIONS(3379),
    [anon_sym_DASH] = ACTIONS(3379),
    [anon_sym_DOT] = ACTIONS(3379),
    [anon_sym_STAR] = ACTIONS(3359),
    [anon_sym_SLASH] = ACTIONS(3359),
    [anon_sym_x] = ACTIONS(3359),
    [anon_sym_EQ_TILDE] = ACTIONS(3381),
    [anon_sym_BANG_TILDE] = ACTIONS(3381),
    [anon_sym_EQ_EQ] = ACTIONS(3383),
    [anon_sym_BANG_EQ] = ACTIONS(3385),
    [anon_sym_eq] = ACTIONS(3383),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3385),
    [anon_sym_equ] = ACTIONS(3385),
    [anon_sym_eqr] = ACTIONS(3385),
    [anon_sym_ne] = ACTIONS(3385),
    [anon_sym_LT_EQ_GT] = ACTIONS(3387),
    [anon_sym_cmp] = ACTIONS(3387),
    [anon_sym_TILDE_TILDE] = ACTIONS(3387),
    [anon_sym_LT] = ACTIONS(3361),
    [anon_sym_LT_EQ] = ACTIONS(3361),
    [anon_sym_GT_EQ] = ACTIONS(3389),
    [anon_sym_lt] = ACTIONS(3389),
    [anon_sym_le] = ACTIONS(3389),
    [anon_sym_ge] = ACTIONS(3389),
    [anon_sym_gt] = ACTIONS(3389),
    [anon_sym_isa] = ACTIONS(3391),
    [anon_sym_PLUS_PLUS] = ACTIONS(2627),
    [anon_sym_DASH_DASH] = ACTIONS(2627),
    [anon_sym_QMARK] = ACTIONS(3393),
    [anon_sym_EQ_GT] = ACTIONS(3258),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3258),
    [anon_sym___END__] = ACTIONS(3258),
    [anon_sym_EOT] = ACTIONS(3258),
    [sym__PERLY_SEMICOLON] = ACTIONS(3258),
    [sym__ctrl_z_hack] = ACTIONS(3258),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1472] = {
    [sym_heredoc_content] = STATE(1472),
    [sym__identifier] = ACTIONS(2498),
    [anon_sym_RBRACE] = ACTIONS(2500),
    [anon_sym_COLON] = ACTIONS(2498),
    [anon_sym_EQ] = ACTIONS(2498),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2500),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2500),
    [anon_sym_COMMA] = ACTIONS(2500),
    [anon_sym_RPAREN] = ACTIONS(2500),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2500),
    [anon_sym_and] = ACTIONS(2498),
    [anon_sym_or] = ACTIONS(2498),
    [anon_sym_xor] = ACTIONS(2498),
    [anon_sym_RBRACK] = ACTIONS(2500),
    [anon_sym_DASH_GT] = ACTIONS(2500),
    [anon_sym_PERCENT] = ACTIONS(2498),
    [anon_sym_GT] = ACTIONS(2498),
    [anon_sym_LT_LT] = ACTIONS(2498),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2500),
    [anon_sym_PLUS_EQ] = ACTIONS(2500),
    [anon_sym_DASH_EQ] = ACTIONS(2500),
    [anon_sym_DOT_EQ] = ACTIONS(2500),
    [anon_sym_STAR_EQ] = ACTIONS(2500),
    [anon_sym_SLASH_EQ] = ACTIONS(2500),
    [anon_sym_PERCENT_EQ] = ACTIONS(2500),
    [anon_sym_x_EQ] = ACTIONS(2500),
    [anon_sym_AMP_EQ] = ACTIONS(2500),
    [anon_sym_PIPE_EQ] = ACTIONS(2500),
    [anon_sym_CARET_EQ] = ACTIONS(2500),
    [anon_sym_LT_LT_EQ] = ACTIONS(2500),
    [anon_sym_GT_GT_EQ] = ACTIONS(2500),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2500),
    [anon_sym_DOT_DOT] = ACTIONS(2498),
    [anon_sym_STAR_STAR] = ACTIONS(2498),
    [anon_sym_PIPE_PIPE] = ACTIONS(2498),
    [anon_sym_SLASH_SLASH] = ACTIONS(2498),
    [anon_sym_CARET_CARET] = ACTIONS(2500),
    [anon_sym_AMP_AMP] = ACTIONS(2498),
    [anon_sym_PIPE] = ACTIONS(2498),
    [anon_sym_CARET] = ACTIONS(2498),
    [anon_sym_AMP] = ACTIONS(2498),
    [anon_sym_GT_GT2] = ACTIONS(2498),
    [anon_sym_PLUS] = ACTIONS(2498),
    [anon_sym_DASH] = ACTIONS(2498),
    [anon_sym_DOT] = ACTIONS(2498),
    [anon_sym_STAR] = ACTIONS(2498),
    [anon_sym_SLASH] = ACTIONS(2498),
    [anon_sym_x] = ACTIONS(2498),
    [anon_sym_EQ_TILDE] = ACTIONS(2500),
    [anon_sym_BANG_TILDE] = ACTIONS(2500),
    [anon_sym_EQ_EQ] = ACTIONS(2498),
    [anon_sym_BANG_EQ] = ACTIONS(2500),
    [anon_sym_eq] = ACTIONS(2498),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2500),
    [anon_sym_equ] = ACTIONS(2498),
    [anon_sym_eqr] = ACTIONS(2498),
    [anon_sym_ne] = ACTIONS(2498),
    [anon_sym_LT_EQ_GT] = ACTIONS(2500),
    [anon_sym_cmp] = ACTIONS(2498),
    [anon_sym_TILDE_TILDE] = ACTIONS(2500),
    [anon_sym_LT] = ACTIONS(2498),
    [anon_sym_LT_EQ] = ACTIONS(2498),
    [anon_sym_GT_EQ] = ACTIONS(2500),
    [anon_sym_lt] = ACTIONS(2498),
    [anon_sym_le] = ACTIONS(2498),
    [anon_sym_ge] = ACTIONS(2498),
    [anon_sym_gt] = ACTIONS(2498),
    [anon_sym_isa] = ACTIONS(2498),
    [anon_sym_PLUS_PLUS] = ACTIONS(2500),
    [anon_sym_DASH_DASH] = ACTIONS(2500),
    [anon_sym_QMARK] = ACTIONS(2500),
    [anon_sym_EQ_GT] = ACTIONS(2500),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(2498),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1473] = {
    [sym_heredoc_content] = STATE(1473),
    [anon_sym_LBRACE] = ACTIONS(2502),
    [anon_sym_RBRACE] = ACTIONS(2502),
    [anon_sym_EQ] = ACTIONS(2504),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2502),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2502),
    [anon_sym_COMMA] = ACTIONS(2502),
    [anon_sym_RPAREN] = ACTIONS(2502),
    [anon_sym_LPAREN] = ACTIONS(2502),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2502),
    [anon_sym_and] = ACTIONS(2502),
    [anon_sym_or] = ACTIONS(2502),
    [anon_sym_xor] = ACTIONS(2502),
    [anon_sym_LBRACK] = ACTIONS(2502),
    [anon_sym_RBRACK] = ACTIONS(2502),
    [anon_sym_DASH_GT] = ACTIONS(2502),
    [anon_sym_PERCENT] = ACTIONS(2504),
    [anon_sym_GT] = ACTIONS(2504),
    [anon_sym_LT_LT] = ACTIONS(2504),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2502),
    [anon_sym_PLUS_EQ] = ACTIONS(2502),
    [anon_sym_DASH_EQ] = ACTIONS(2502),
    [anon_sym_DOT_EQ] = ACTIONS(2502),
    [anon_sym_STAR_EQ] = ACTIONS(2502),
    [anon_sym_SLASH_EQ] = ACTIONS(2502),
    [anon_sym_PERCENT_EQ] = ACTIONS(2502),
    [anon_sym_x_EQ] = ACTIONS(2502),
    [anon_sym_AMP_EQ] = ACTIONS(2502),
    [anon_sym_PIPE_EQ] = ACTIONS(2502),
    [anon_sym_CARET_EQ] = ACTIONS(2502),
    [anon_sym_LT_LT_EQ] = ACTIONS(2502),
    [anon_sym_GT_GT_EQ] = ACTIONS(2502),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2502),
    [anon_sym_DOT_DOT] = ACTIONS(2504),
    [anon_sym_STAR_STAR] = ACTIONS(2504),
    [anon_sym_PIPE_PIPE] = ACTIONS(2504),
    [anon_sym_SLASH_SLASH] = ACTIONS(2504),
    [anon_sym_CARET_CARET] = ACTIONS(2502),
    [anon_sym_AMP_AMP] = ACTIONS(2504),
    [anon_sym_PIPE] = ACTIONS(2504),
    [anon_sym_CARET] = ACTIONS(2504),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_GT_GT2] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_DOT] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2504),
    [anon_sym_SLASH] = ACTIONS(2504),
    [anon_sym_x] = ACTIONS(2504),
    [anon_sym_EQ_TILDE] = ACTIONS(2502),
    [anon_sym_BANG_TILDE] = ACTIONS(2502),
    [anon_sym_EQ_EQ] = ACTIONS(2504),
    [anon_sym_BANG_EQ] = ACTIONS(2502),
    [anon_sym_eq] = ACTIONS(2504),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2502),
    [anon_sym_equ] = ACTIONS(2502),
    [anon_sym_eqr] = ACTIONS(2502),
    [anon_sym_ne] = ACTIONS(2502),
    [anon_sym_LT_EQ_GT] = ACTIONS(2502),
    [anon_sym_cmp] = ACTIONS(2502),
    [anon_sym_TILDE_TILDE] = ACTIONS(2502),
    [anon_sym_LT] = ACTIONS(2504),
    [anon_sym_LT_EQ] = ACTIONS(2504),
    [anon_sym_GT_EQ] = ACTIONS(2502),
    [anon_sym_lt] = ACTIONS(2502),
    [anon_sym_le] = ACTIONS(2502),
    [anon_sym_ge] = ACTIONS(2502),
    [anon_sym_gt] = ACTIONS(2502),
    [anon_sym_isa] = ACTIONS(2502),
    [anon_sym_PLUS_PLUS] = ACTIONS(2502),
    [anon_sym_DASH_DASH] = ACTIONS(2502),
    [anon_sym_QMARK] = ACTIONS(2502),
    [anon_sym_EQ_GT] = ACTIONS(2502),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1474] = {
    [sym_heredoc_content] = STATE(1474),
    [anon_sym_LBRACE] = ACTIONS(2510),
    [anon_sym_RBRACE] = ACTIONS(2510),
    [anon_sym_EQ] = ACTIONS(2512),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_COMMA] = ACTIONS(2510),
    [anon_sym_RPAREN] = ACTIONS(2510),
    [anon_sym_LPAREN] = ACTIONS(2510),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2510),
    [anon_sym_and] = ACTIONS(2510),
    [anon_sym_or] = ACTIONS(2510),
    [anon_sym_xor] = ACTIONS(2510),
    [anon_sym_LBRACK] = ACTIONS(2510),
    [anon_sym_RBRACK] = ACTIONS(2510),
    [anon_sym_DASH_GT] = ACTIONS(2510),
    [anon_sym_PERCENT] = ACTIONS(2512),
    [anon_sym_GT] = ACTIONS(2512),
    [anon_sym_LT_LT] = ACTIONS(2512),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2510),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_DOT_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_x_EQ] = ACTIONS(2510),
    [anon_sym_AMP_EQ] = ACTIONS(2510),
    [anon_sym_PIPE_EQ] = ACTIONS(2510),
    [anon_sym_CARET_EQ] = ACTIONS(2510),
    [anon_sym_LT_LT_EQ] = ACTIONS(2510),
    [anon_sym_GT_GT_EQ] = ACTIONS(2510),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2510),
    [anon_sym_DOT_DOT] = ACTIONS(2512),
    [anon_sym_STAR_STAR] = ACTIONS(2512),
    [anon_sym_PIPE_PIPE] = ACTIONS(2512),
    [anon_sym_SLASH_SLASH] = ACTIONS(2512),
    [anon_sym_CARET_CARET] = ACTIONS(2510),
    [anon_sym_AMP_AMP] = ACTIONS(2512),
    [anon_sym_PIPE] = ACTIONS(2512),
    [anon_sym_CARET] = ACTIONS(2512),
    [anon_sym_AMP] = ACTIONS(2512),
    [anon_sym_GT_GT2] = ACTIONS(2512),
    [anon_sym_PLUS] = ACTIONS(2512),
    [anon_sym_DASH] = ACTIONS(2512),
    [anon_sym_DOT] = ACTIONS(2512),
    [anon_sym_STAR] = ACTIONS(2512),
    [anon_sym_SLASH] = ACTIONS(2512),
    [anon_sym_x] = ACTIONS(2512),
    [anon_sym_EQ_TILDE] = ACTIONS(2510),
    [anon_sym_BANG_TILDE] = ACTIONS(2510),
    [anon_sym_EQ_EQ] = ACTIONS(2512),
    [anon_sym_BANG_EQ] = ACTIONS(2510),
    [anon_sym_eq] = ACTIONS(2512),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2510),
    [anon_sym_equ] = ACTIONS(2510),
    [anon_sym_eqr] = ACTIONS(2510),
    [anon_sym_ne] = ACTIONS(2510),
    [anon_sym_LT_EQ_GT] = ACTIONS(2510),
    [anon_sym_cmp] = ACTIONS(2510),
    [anon_sym_TILDE_TILDE] = ACTIONS(2510),
    [anon_sym_LT] = ACTIONS(2512),
    [anon_sym_LT_EQ] = ACTIONS(2512),
    [anon_sym_GT_EQ] = ACTIONS(2510),
    [anon_sym_lt] = ACTIONS(2510),
    [anon_sym_le] = ACTIONS(2510),
    [anon_sym_ge] = ACTIONS(2510),
    [anon_sym_gt] = ACTIONS(2510),
    [anon_sym_isa] = ACTIONS(2510),
    [anon_sym_PLUS_PLUS] = ACTIONS(2510),
    [anon_sym_DASH_DASH] = ACTIONS(2510),
    [anon_sym_QMARK] = ACTIONS(2510),
    [anon_sym_EQ_GT] = ACTIONS(2510),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1475] = {
    [sym_heredoc_content] = STATE(1475),
    [anon_sym_LBRACE] = ACTIONS(1832),
    [anon_sym_RBRACE] = ACTIONS(1832),
    [anon_sym_EQ] = ACTIONS(1828),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1832),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1832),
    [anon_sym_COMMA] = ACTIONS(1832),
    [anon_sym_RPAREN] = ACTIONS(1832),
    [anon_sym_LPAREN] = ACTIONS(1832),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1832),
    [anon_sym_and] = ACTIONS(1832),
    [anon_sym_or] = ACTIONS(1832),
    [anon_sym_xor] = ACTIONS(1832),
    [anon_sym_LBRACK] = ACTIONS(1832),
    [anon_sym_RBRACK] = ACTIONS(1832),
    [anon_sym_DASH_GT] = ACTIONS(1832),
    [anon_sym_PERCENT] = ACTIONS(1828),
    [anon_sym_GT] = ACTIONS(1828),
    [anon_sym_LT_LT] = ACTIONS(1828),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1832),
    [anon_sym_PLUS_EQ] = ACTIONS(1832),
    [anon_sym_DASH_EQ] = ACTIONS(1832),
    [anon_sym_DOT_EQ] = ACTIONS(1832),
    [anon_sym_STAR_EQ] = ACTIONS(1832),
    [anon_sym_SLASH_EQ] = ACTIONS(1832),
    [anon_sym_PERCENT_EQ] = ACTIONS(1832),
    [anon_sym_x_EQ] = ACTIONS(1832),
    [anon_sym_AMP_EQ] = ACTIONS(1832),
    [anon_sym_PIPE_EQ] = ACTIONS(1832),
    [anon_sym_CARET_EQ] = ACTIONS(1832),
    [anon_sym_LT_LT_EQ] = ACTIONS(1832),
    [anon_sym_GT_GT_EQ] = ACTIONS(1832),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1832),
    [anon_sym_DOT_DOT] = ACTIONS(1828),
    [anon_sym_STAR_STAR] = ACTIONS(1828),
    [anon_sym_PIPE_PIPE] = ACTIONS(1828),
    [anon_sym_SLASH_SLASH] = ACTIONS(1828),
    [anon_sym_CARET_CARET] = ACTIONS(1832),
    [anon_sym_AMP_AMP] = ACTIONS(1828),
    [anon_sym_PIPE] = ACTIONS(1828),
    [anon_sym_CARET] = ACTIONS(1828),
    [anon_sym_AMP] = ACTIONS(1828),
    [anon_sym_GT_GT2] = ACTIONS(1828),
    [anon_sym_PLUS] = ACTIONS(1828),
    [anon_sym_DASH] = ACTIONS(1828),
    [anon_sym_DOT] = ACTIONS(1828),
    [anon_sym_STAR] = ACTIONS(1828),
    [anon_sym_SLASH] = ACTIONS(1828),
    [anon_sym_x] = ACTIONS(1828),
    [anon_sym_EQ_TILDE] = ACTIONS(1832),
    [anon_sym_BANG_TILDE] = ACTIONS(1832),
    [anon_sym_EQ_EQ] = ACTIONS(1828),
    [anon_sym_BANG_EQ] = ACTIONS(1832),
    [anon_sym_eq] = ACTIONS(1828),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1832),
    [anon_sym_equ] = ACTIONS(1832),
    [anon_sym_eqr] = ACTIONS(1832),
    [anon_sym_ne] = ACTIONS(1832),
    [anon_sym_LT_EQ_GT] = ACTIONS(1832),
    [anon_sym_cmp] = ACTIONS(1832),
    [anon_sym_TILDE_TILDE] = ACTIONS(1832),
    [anon_sym_LT] = ACTIONS(1828),
    [anon_sym_LT_EQ] = ACTIONS(1828),
    [anon_sym_GT_EQ] = ACTIONS(1832),
    [anon_sym_lt] = ACTIONS(1832),
    [anon_sym_le] = ACTIONS(1832),
    [anon_sym_ge] = ACTIONS(1832),
    [anon_sym_gt] = ACTIONS(1832),
    [anon_sym_isa] = ACTIONS(1832),
    [anon_sym_PLUS_PLUS] = ACTIONS(1832),
    [anon_sym_DASH_DASH] = ACTIONS(1832),
    [anon_sym_QMARK] = ACTIONS(1832),
    [anon_sym_EQ_GT] = ACTIONS(1832),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1476] = {
    [sym_heredoc_content] = STATE(1476),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(1659),
    [anon_sym_EQ] = ACTIONS(1661),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1659),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1659),
    [anon_sym_COMMA] = ACTIONS(1659),
    [anon_sym_RPAREN] = ACTIONS(1659),
    [anon_sym_LPAREN] = ACTIONS(1659),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1659),
    [anon_sym_and] = ACTIONS(1659),
    [anon_sym_or] = ACTIONS(1659),
    [anon_sym_xor] = ACTIONS(1659),
    [anon_sym_LBRACK] = ACTIONS(1659),
    [anon_sym_RBRACK] = ACTIONS(1659),
    [anon_sym_DASH_GT] = ACTIONS(1659),
    [anon_sym_PERCENT] = ACTIONS(1661),
    [anon_sym_GT] = ACTIONS(1661),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1659),
    [anon_sym_PLUS_EQ] = ACTIONS(1659),
    [anon_sym_DASH_EQ] = ACTIONS(1659),
    [anon_sym_DOT_EQ] = ACTIONS(1659),
    [anon_sym_STAR_EQ] = ACTIONS(1659),
    [anon_sym_SLASH_EQ] = ACTIONS(1659),
    [anon_sym_PERCENT_EQ] = ACTIONS(1659),
    [anon_sym_x_EQ] = ACTIONS(1659),
    [anon_sym_AMP_EQ] = ACTIONS(1659),
    [anon_sym_PIPE_EQ] = ACTIONS(1659),
    [anon_sym_CARET_EQ] = ACTIONS(1659),
    [anon_sym_LT_LT_EQ] = ACTIONS(1659),
    [anon_sym_GT_GT_EQ] = ACTIONS(1659),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1659),
    [anon_sym_DOT_DOT] = ACTIONS(1661),
    [anon_sym_STAR_STAR] = ACTIONS(1661),
    [anon_sym_PIPE_PIPE] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1661),
    [anon_sym_CARET_CARET] = ACTIONS(1659),
    [anon_sym_AMP_AMP] = ACTIONS(1661),
    [anon_sym_PIPE] = ACTIONS(1661),
    [anon_sym_CARET] = ACTIONS(1661),
    [anon_sym_AMP] = ACTIONS(1661),
    [anon_sym_GT_GT2] = ACTIONS(1661),
    [anon_sym_PLUS] = ACTIONS(1661),
    [anon_sym_DASH] = ACTIONS(1661),
    [anon_sym_DOT] = ACTIONS(1661),
    [anon_sym_STAR] = ACTIONS(1661),
    [anon_sym_SLASH] = ACTIONS(1661),
    [anon_sym_x] = ACTIONS(1661),
    [anon_sym_EQ_TILDE] = ACTIONS(1659),
    [anon_sym_BANG_TILDE] = ACTIONS(1659),
    [anon_sym_EQ_EQ] = ACTIONS(1661),
    [anon_sym_BANG_EQ] = ACTIONS(1659),
    [anon_sym_eq] = ACTIONS(1661),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1659),
    [anon_sym_equ] = ACTIONS(1659),
    [anon_sym_eqr] = ACTIONS(1659),
    [anon_sym_ne] = ACTIONS(1659),
    [anon_sym_LT_EQ_GT] = ACTIONS(1659),
    [anon_sym_cmp] = ACTIONS(1659),
    [anon_sym_TILDE_TILDE] = ACTIONS(1659),
    [anon_sym_LT] = ACTIONS(1661),
    [anon_sym_LT_EQ] = ACTIONS(1661),
    [anon_sym_GT_EQ] = ACTIONS(1659),
    [anon_sym_lt] = ACTIONS(1659),
    [anon_sym_le] = ACTIONS(1659),
    [anon_sym_ge] = ACTIONS(1659),
    [anon_sym_gt] = ACTIONS(1659),
    [anon_sym_isa] = ACTIONS(1659),
    [anon_sym_PLUS_PLUS] = ACTIONS(1659),
    [anon_sym_DASH_DASH] = ACTIONS(1659),
    [anon_sym_QMARK] = ACTIONS(1659),
    [anon_sym_EQ_GT] = ACTIONS(1659),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1477] = {
    [sym_heredoc_content] = STATE(1477),
    [anon_sym_LBRACE] = ACTIONS(1826),
    [anon_sym_RBRACE] = ACTIONS(1826),
    [anon_sym_EQ] = ACTIONS(1824),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1826),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1826),
    [anon_sym_COMMA] = ACTIONS(1826),
    [anon_sym_RPAREN] = ACTIONS(1826),
    [anon_sym_LPAREN] = ACTIONS(1826),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1826),
    [anon_sym_and] = ACTIONS(1826),
    [anon_sym_or] = ACTIONS(1826),
    [anon_sym_xor] = ACTIONS(1826),
    [anon_sym_LBRACK] = ACTIONS(1826),
    [anon_sym_RBRACK] = ACTIONS(1826),
    [anon_sym_DASH_GT] = ACTIONS(1826),
    [anon_sym_PERCENT] = ACTIONS(1824),
    [anon_sym_GT] = ACTIONS(1824),
    [anon_sym_LT_LT] = ACTIONS(1824),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1826),
    [anon_sym_PLUS_EQ] = ACTIONS(1826),
    [anon_sym_DASH_EQ] = ACTIONS(1826),
    [anon_sym_DOT_EQ] = ACTIONS(1826),
    [anon_sym_STAR_EQ] = ACTIONS(1826),
    [anon_sym_SLASH_EQ] = ACTIONS(1826),
    [anon_sym_PERCENT_EQ] = ACTIONS(1826),
    [anon_sym_x_EQ] = ACTIONS(1826),
    [anon_sym_AMP_EQ] = ACTIONS(1826),
    [anon_sym_PIPE_EQ] = ACTIONS(1826),
    [anon_sym_CARET_EQ] = ACTIONS(1826),
    [anon_sym_LT_LT_EQ] = ACTIONS(1826),
    [anon_sym_GT_GT_EQ] = ACTIONS(1826),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1826),
    [anon_sym_DOT_DOT] = ACTIONS(1824),
    [anon_sym_STAR_STAR] = ACTIONS(1824),
    [anon_sym_PIPE_PIPE] = ACTIONS(1824),
    [anon_sym_SLASH_SLASH] = ACTIONS(1824),
    [anon_sym_CARET_CARET] = ACTIONS(1826),
    [anon_sym_AMP_AMP] = ACTIONS(1824),
    [anon_sym_PIPE] = ACTIONS(1824),
    [anon_sym_CARET] = ACTIONS(1824),
    [anon_sym_AMP] = ACTIONS(1824),
    [anon_sym_GT_GT2] = ACTIONS(1824),
    [anon_sym_PLUS] = ACTIONS(1824),
    [anon_sym_DASH] = ACTIONS(1824),
    [anon_sym_DOT] = ACTIONS(1824),
    [anon_sym_STAR] = ACTIONS(1824),
    [anon_sym_SLASH] = ACTIONS(1824),
    [anon_sym_x] = ACTIONS(1824),
    [anon_sym_EQ_TILDE] = ACTIONS(1826),
    [anon_sym_BANG_TILDE] = ACTIONS(1826),
    [anon_sym_EQ_EQ] = ACTIONS(1824),
    [anon_sym_BANG_EQ] = ACTIONS(1826),
    [anon_sym_eq] = ACTIONS(1824),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1826),
    [anon_sym_equ] = ACTIONS(1826),
    [anon_sym_eqr] = ACTIONS(1826),
    [anon_sym_ne] = ACTIONS(1826),
    [anon_sym_LT_EQ_GT] = ACTIONS(1826),
    [anon_sym_cmp] = ACTIONS(1826),
    [anon_sym_TILDE_TILDE] = ACTIONS(1826),
    [anon_sym_LT] = ACTIONS(1824),
    [anon_sym_LT_EQ] = ACTIONS(1824),
    [anon_sym_GT_EQ] = ACTIONS(1826),
    [anon_sym_lt] = ACTIONS(1826),
    [anon_sym_le] = ACTIONS(1826),
    [anon_sym_ge] = ACTIONS(1826),
    [anon_sym_gt] = ACTIONS(1826),
    [anon_sym_isa] = ACTIONS(1826),
    [anon_sym_PLUS_PLUS] = ACTIONS(1826),
    [anon_sym_DASH_DASH] = ACTIONS(1826),
    [anon_sym_QMARK] = ACTIONS(1826),
    [anon_sym_EQ_GT] = ACTIONS(1826),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1478] = {
    [sym_heredoc_content] = STATE(1478),
    [anon_sym_LBRACE] = ACTIONS(2518),
    [anon_sym_RBRACE] = ACTIONS(2518),
    [anon_sym_EQ] = ACTIONS(2520),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2518),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2518),
    [anon_sym_COMMA] = ACTIONS(2518),
    [anon_sym_RPAREN] = ACTIONS(2518),
    [anon_sym_LPAREN] = ACTIONS(2518),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2518),
    [anon_sym_and] = ACTIONS(2518),
    [anon_sym_or] = ACTIONS(2518),
    [anon_sym_xor] = ACTIONS(2518),
    [anon_sym_LBRACK] = ACTIONS(2518),
    [anon_sym_RBRACK] = ACTIONS(2518),
    [anon_sym_DASH_GT] = ACTIONS(2518),
    [anon_sym_PERCENT] = ACTIONS(2520),
    [anon_sym_GT] = ACTIONS(2520),
    [anon_sym_LT_LT] = ACTIONS(2520),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2518),
    [anon_sym_PLUS_EQ] = ACTIONS(2518),
    [anon_sym_DASH_EQ] = ACTIONS(2518),
    [anon_sym_DOT_EQ] = ACTIONS(2518),
    [anon_sym_STAR_EQ] = ACTIONS(2518),
    [anon_sym_SLASH_EQ] = ACTIONS(2518),
    [anon_sym_PERCENT_EQ] = ACTIONS(2518),
    [anon_sym_x_EQ] = ACTIONS(2518),
    [anon_sym_AMP_EQ] = ACTIONS(2518),
    [anon_sym_PIPE_EQ] = ACTIONS(2518),
    [anon_sym_CARET_EQ] = ACTIONS(2518),
    [anon_sym_LT_LT_EQ] = ACTIONS(2518),
    [anon_sym_GT_GT_EQ] = ACTIONS(2518),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2518),
    [anon_sym_DOT_DOT] = ACTIONS(2520),
    [anon_sym_STAR_STAR] = ACTIONS(2520),
    [anon_sym_PIPE_PIPE] = ACTIONS(2520),
    [anon_sym_SLASH_SLASH] = ACTIONS(2520),
    [anon_sym_CARET_CARET] = ACTIONS(2518),
    [anon_sym_AMP_AMP] = ACTIONS(2520),
    [anon_sym_PIPE] = ACTIONS(2520),
    [anon_sym_CARET] = ACTIONS(2520),
    [anon_sym_AMP] = ACTIONS(2520),
    [anon_sym_GT_GT2] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(2520),
    [anon_sym_DASH] = ACTIONS(2520),
    [anon_sym_DOT] = ACTIONS(2520),
    [anon_sym_STAR] = ACTIONS(2520),
    [anon_sym_SLASH] = ACTIONS(2520),
    [anon_sym_x] = ACTIONS(2520),
    [anon_sym_EQ_TILDE] = ACTIONS(2518),
    [anon_sym_BANG_TILDE] = ACTIONS(2518),
    [anon_sym_EQ_EQ] = ACTIONS(2520),
    [anon_sym_BANG_EQ] = ACTIONS(2518),
    [anon_sym_eq] = ACTIONS(2520),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2518),
    [anon_sym_equ] = ACTIONS(2518),
    [anon_sym_eqr] = ACTIONS(2518),
    [anon_sym_ne] = ACTIONS(2518),
    [anon_sym_LT_EQ_GT] = ACTIONS(2518),
    [anon_sym_cmp] = ACTIONS(2518),
    [anon_sym_TILDE_TILDE] = ACTIONS(2518),
    [anon_sym_LT] = ACTIONS(2520),
    [anon_sym_LT_EQ] = ACTIONS(2520),
    [anon_sym_GT_EQ] = ACTIONS(2518),
    [anon_sym_lt] = ACTIONS(2518),
    [anon_sym_le] = ACTIONS(2518),
    [anon_sym_ge] = ACTIONS(2518),
    [anon_sym_gt] = ACTIONS(2518),
    [anon_sym_isa] = ACTIONS(2518),
    [anon_sym_PLUS_PLUS] = ACTIONS(2518),
    [anon_sym_DASH_DASH] = ACTIONS(2518),
    [anon_sym_QMARK] = ACTIONS(2518),
    [anon_sym_EQ_GT] = ACTIONS(2518),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1479] = {
    [sym_heredoc_content] = STATE(1479),
    [anon_sym_LBRACE] = ACTIONS(3413),
    [anon_sym_RBRACE] = ACTIONS(1849),
    [anon_sym_EQ] = ACTIONS(1840),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1849),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1849),
    [anon_sym_COMMA] = ACTIONS(1849),
    [anon_sym_RPAREN] = ACTIONS(1849),
    [anon_sym_LPAREN] = ACTIONS(3415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1849),
    [anon_sym_and] = ACTIONS(1849),
    [anon_sym_or] = ACTIONS(1849),
    [anon_sym_xor] = ACTIONS(1849),
    [anon_sym_LBRACK] = ACTIONS(3417),
    [anon_sym_RBRACK] = ACTIONS(1849),
    [anon_sym_DASH_GT] = ACTIONS(1849),
    [anon_sym_PERCENT] = ACTIONS(1840),
    [anon_sym_GT] = ACTIONS(1840),
    [anon_sym_LT_LT] = ACTIONS(1840),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1849),
    [anon_sym_PLUS_EQ] = ACTIONS(1849),
    [anon_sym_DASH_EQ] = ACTIONS(1849),
    [anon_sym_DOT_EQ] = ACTIONS(1849),
    [anon_sym_STAR_EQ] = ACTIONS(1849),
    [anon_sym_SLASH_EQ] = ACTIONS(1849),
    [anon_sym_PERCENT_EQ] = ACTIONS(1849),
    [anon_sym_x_EQ] = ACTIONS(1849),
    [anon_sym_AMP_EQ] = ACTIONS(1849),
    [anon_sym_PIPE_EQ] = ACTIONS(1849),
    [anon_sym_CARET_EQ] = ACTIONS(1849),
    [anon_sym_LT_LT_EQ] = ACTIONS(1849),
    [anon_sym_GT_GT_EQ] = ACTIONS(1849),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1849),
    [anon_sym_DOT_DOT] = ACTIONS(1840),
    [anon_sym_STAR_STAR] = ACTIONS(1840),
    [anon_sym_PIPE_PIPE] = ACTIONS(1840),
    [anon_sym_SLASH_SLASH] = ACTIONS(1840),
    [anon_sym_CARET_CARET] = ACTIONS(1849),
    [anon_sym_AMP_AMP] = ACTIONS(1840),
    [anon_sym_PIPE] = ACTIONS(1840),
    [anon_sym_CARET] = ACTIONS(1840),
    [anon_sym_AMP] = ACTIONS(1840),
    [anon_sym_GT_GT2] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_DOT] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1840),
    [anon_sym_SLASH] = ACTIONS(1840),
    [anon_sym_x] = ACTIONS(1840),
    [anon_sym_EQ_TILDE] = ACTIONS(1849),
    [anon_sym_BANG_TILDE] = ACTIONS(1849),
    [anon_sym_EQ_EQ] = ACTIONS(1840),
    [anon_sym_BANG_EQ] = ACTIONS(1849),
    [anon_sym_eq] = ACTIONS(1840),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1849),
    [anon_sym_equ] = ACTIONS(1849),
    [anon_sym_eqr] = ACTIONS(1849),
    [anon_sym_ne] = ACTIONS(1849),
    [anon_sym_LT_EQ_GT] = ACTIONS(1849),
    [anon_sym_cmp] = ACTIONS(1849),
    [anon_sym_TILDE_TILDE] = ACTIONS(1849),
    [anon_sym_LT] = ACTIONS(1840),
    [anon_sym_LT_EQ] = ACTIONS(1840),
    [anon_sym_GT_EQ] = ACTIONS(1849),
    [anon_sym_lt] = ACTIONS(1849),
    [anon_sym_le] = ACTIONS(1849),
    [anon_sym_ge] = ACTIONS(1849),
    [anon_sym_gt] = ACTIONS(1849),
    [anon_sym_isa] = ACTIONS(1849),
    [anon_sym_PLUS_PLUS] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1849),
    [anon_sym_QMARK] = ACTIONS(1849),
    [anon_sym_EQ_GT] = ACTIONS(1849),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1480] = {
    [sym_heredoc_content] = STATE(1480),
    [anon_sym_SEMI] = ACTIONS(2947),
    [anon_sym_EQ] = ACTIONS(2949),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2947),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2947),
    [anon_sym_COMMA] = ACTIONS(2947),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2947),
    [anon_sym_and] = ACTIONS(2947),
    [anon_sym_or] = ACTIONS(2947),
    [anon_sym_xor] = ACTIONS(2947),
    [anon_sym_DASH_GT] = ACTIONS(2591),
    [anon_sym_PERCENT] = ACTIONS(3359),
    [anon_sym_GT] = ACTIONS(2949),
    [anon_sym_LT_LT] = ACTIONS(3363),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2947),
    [anon_sym_PLUS_EQ] = ACTIONS(2947),
    [anon_sym_DASH_EQ] = ACTIONS(2947),
    [anon_sym_DOT_EQ] = ACTIONS(2947),
    [anon_sym_STAR_EQ] = ACTIONS(2947),
    [anon_sym_SLASH_EQ] = ACTIONS(2947),
    [anon_sym_PERCENT_EQ] = ACTIONS(2947),
    [anon_sym_x_EQ] = ACTIONS(2947),
    [anon_sym_AMP_EQ] = ACTIONS(2947),
    [anon_sym_PIPE_EQ] = ACTIONS(2947),
    [anon_sym_CARET_EQ] = ACTIONS(2947),
    [anon_sym_LT_LT_EQ] = ACTIONS(2947),
    [anon_sym_GT_GT_EQ] = ACTIONS(2947),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2947),
    [anon_sym_DOT_DOT] = ACTIONS(2949),
    [anon_sym_STAR_STAR] = ACTIONS(3367),
    [anon_sym_PIPE_PIPE] = ACTIONS(2949),
    [anon_sym_SLASH_SLASH] = ACTIONS(2949),
    [anon_sym_CARET_CARET] = ACTIONS(2947),
    [anon_sym_AMP_AMP] = ACTIONS(2949),
    [anon_sym_PIPE] = ACTIONS(2949),
    [anon_sym_CARET] = ACTIONS(2949),
    [anon_sym_AMP] = ACTIONS(2949),
    [anon_sym_GT_GT2] = ACTIONS(3363),
    [anon_sym_PLUS] = ACTIONS(3379),
    [anon_sym_DASH] = ACTIONS(3379),
    [anon_sym_DOT] = ACTIONS(3379),
    [anon_sym_STAR] = ACTIONS(3359),
    [anon_sym_SLASH] = ACTIONS(3359),
    [anon_sym_x] = ACTIONS(3359),
    [anon_sym_EQ_TILDE] = ACTIONS(3381),
    [anon_sym_BANG_TILDE] = ACTIONS(3381),
    [anon_sym_EQ_EQ] = ACTIONS(2949),
    [anon_sym_BANG_EQ] = ACTIONS(2947),
    [anon_sym_eq] = ACTIONS(2949),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2947),
    [anon_sym_equ] = ACTIONS(2947),
    [anon_sym_eqr] = ACTIONS(2947),
    [anon_sym_ne] = ACTIONS(2947),
    [anon_sym_LT_EQ_GT] = ACTIONS(2947),
    [anon_sym_cmp] = ACTIONS(2947),
    [anon_sym_TILDE_TILDE] = ACTIONS(2947),
    [anon_sym_LT] = ACTIONS(2949),
    [anon_sym_LT_EQ] = ACTIONS(2949),
    [anon_sym_GT_EQ] = ACTIONS(2947),
    [anon_sym_lt] = ACTIONS(2947),
    [anon_sym_le] = ACTIONS(2947),
    [anon_sym_ge] = ACTIONS(2947),
    [anon_sym_gt] = ACTIONS(2947),
    [anon_sym_isa] = ACTIONS(2947),
    [anon_sym_PLUS_PLUS] = ACTIONS(2627),
    [anon_sym_DASH_DASH] = ACTIONS(2627),
    [anon_sym_QMARK] = ACTIONS(2947),
    [anon_sym_EQ_GT] = ACTIONS(2947),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2947),
    [anon_sym___END__] = ACTIONS(2947),
    [anon_sym_EOT] = ACTIONS(2947),
    [sym__PERLY_SEMICOLON] = ACTIONS(2947),
    [sym__ctrl_z_hack] = ACTIONS(2947),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1481] = {
    [sym_heredoc_content] = STATE(1481),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym_EQ] = ACTIONS(2875),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2873),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2873),
    [anon_sym_COMMA] = ACTIONS(2873),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2873),
    [anon_sym_and] = ACTIONS(2873),
    [anon_sym_or] = ACTIONS(2873),
    [anon_sym_xor] = ACTIONS(2873),
    [anon_sym_DASH_GT] = ACTIONS(2591),
    [anon_sym_PERCENT] = ACTIONS(2875),
    [anon_sym_GT] = ACTIONS(2875),
    [anon_sym_LT_LT] = ACTIONS(2875),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2873),
    [anon_sym_PLUS_EQ] = ACTIONS(2873),
    [anon_sym_DASH_EQ] = ACTIONS(2873),
    [anon_sym_DOT_EQ] = ACTIONS(2873),
    [anon_sym_STAR_EQ] = ACTIONS(2873),
    [anon_sym_SLASH_EQ] = ACTIONS(2873),
    [anon_sym_PERCENT_EQ] = ACTIONS(2873),
    [anon_sym_x_EQ] = ACTIONS(2873),
    [anon_sym_AMP_EQ] = ACTIONS(2873),
    [anon_sym_PIPE_EQ] = ACTIONS(2873),
    [anon_sym_CARET_EQ] = ACTIONS(2873),
    [anon_sym_LT_LT_EQ] = ACTIONS(2873),
    [anon_sym_GT_GT_EQ] = ACTIONS(2873),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2873),
    [anon_sym_DOT_DOT] = ACTIONS(2875),
    [anon_sym_STAR_STAR] = ACTIONS(3367),
    [anon_sym_PIPE_PIPE] = ACTIONS(2875),
    [anon_sym_SLASH_SLASH] = ACTIONS(2875),
    [anon_sym_CARET_CARET] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2875),
    [anon_sym_PIPE] = ACTIONS(2875),
    [anon_sym_CARET] = ACTIONS(2875),
    [anon_sym_AMP] = ACTIONS(2875),
    [anon_sym_GT_GT2] = ACTIONS(2875),
    [anon_sym_PLUS] = ACTIONS(2875),
    [anon_sym_DASH] = ACTIONS(2875),
    [anon_sym_DOT] = ACTIONS(2875),
    [anon_sym_STAR] = ACTIONS(2875),
    [anon_sym_SLASH] = ACTIONS(2875),
    [anon_sym_x] = ACTIONS(2875),
    [anon_sym_EQ_TILDE] = ACTIONS(2873),
    [anon_sym_BANG_TILDE] = ACTIONS(2873),
    [anon_sym_EQ_EQ] = ACTIONS(2875),
    [anon_sym_BANG_EQ] = ACTIONS(2873),
    [anon_sym_eq] = ACTIONS(2875),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2873),
    [anon_sym_equ] = ACTIONS(2873),
    [anon_sym_eqr] = ACTIONS(2873),
    [anon_sym_ne] = ACTIONS(2873),
    [anon_sym_LT_EQ_GT] = ACTIONS(2873),
    [anon_sym_cmp] = ACTIONS(2873),
    [anon_sym_TILDE_TILDE] = ACTIONS(2873),
    [anon_sym_LT] = ACTIONS(2875),
    [anon_sym_LT_EQ] = ACTIONS(2875),
    [anon_sym_GT_EQ] = ACTIONS(2873),
    [anon_sym_lt] = ACTIONS(2873),
    [anon_sym_le] = ACTIONS(2873),
    [anon_sym_ge] = ACTIONS(2873),
    [anon_sym_gt] = ACTIONS(2873),
    [anon_sym_isa] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2627),
    [anon_sym_DASH_DASH] = ACTIONS(2627),
    [anon_sym_QMARK] = ACTIONS(2873),
    [anon_sym_EQ_GT] = ACTIONS(2873),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2873),
    [anon_sym___END__] = ACTIONS(2873),
    [anon_sym_EOT] = ACTIONS(2873),
    [sym__PERLY_SEMICOLON] = ACTIONS(2873),
    [sym__ctrl_z_hack] = ACTIONS(2873),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1482] = {
    [sym_heredoc_content] = STATE(1482),
    [anon_sym_SEMI] = ACTIONS(2660),
    [anon_sym_EQ] = ACTIONS(2662),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2660),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2660),
    [anon_sym_COMMA] = ACTIONS(2660),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2660),
    [anon_sym_and] = ACTIONS(2660),
    [anon_sym_or] = ACTIONS(2660),
    [anon_sym_xor] = ACTIONS(2660),
    [anon_sym_DASH_GT] = ACTIONS(2591),
    [anon_sym_PERCENT] = ACTIONS(2662),
    [anon_sym_GT] = ACTIONS(2662),
    [anon_sym_LT_LT] = ACTIONS(2662),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2660),
    [anon_sym_PLUS_EQ] = ACTIONS(2660),
    [anon_sym_DASH_EQ] = ACTIONS(2660),
    [anon_sym_DOT_EQ] = ACTIONS(2660),
    [anon_sym_STAR_EQ] = ACTIONS(2660),
    [anon_sym_SLASH_EQ] = ACTIONS(2660),
    [anon_sym_PERCENT_EQ] = ACTIONS(2660),
    [anon_sym_x_EQ] = ACTIONS(2660),
    [anon_sym_AMP_EQ] = ACTIONS(2660),
    [anon_sym_PIPE_EQ] = ACTIONS(2660),
    [anon_sym_CARET_EQ] = ACTIONS(2660),
    [anon_sym_LT_LT_EQ] = ACTIONS(2660),
    [anon_sym_GT_GT_EQ] = ACTIONS(2660),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2660),
    [anon_sym_DOT_DOT] = ACTIONS(2662),
    [anon_sym_STAR_STAR] = ACTIONS(3367),
    [anon_sym_PIPE_PIPE] = ACTIONS(2662),
    [anon_sym_SLASH_SLASH] = ACTIONS(2662),
    [anon_sym_CARET_CARET] = ACTIONS(2660),
    [anon_sym_AMP_AMP] = ACTIONS(2662),
    [anon_sym_PIPE] = ACTIONS(2662),
    [anon_sym_CARET] = ACTIONS(2662),
    [anon_sym_AMP] = ACTIONS(2662),
    [anon_sym_GT_GT2] = ACTIONS(2662),
    [anon_sym_PLUS] = ACTIONS(2662),
    [anon_sym_DASH] = ACTIONS(2662),
    [anon_sym_DOT] = ACTIONS(2662),
    [anon_sym_STAR] = ACTIONS(2662),
    [anon_sym_SLASH] = ACTIONS(2662),
    [anon_sym_x] = ACTIONS(2662),
    [anon_sym_EQ_TILDE] = ACTIONS(2660),
    [anon_sym_BANG_TILDE] = ACTIONS(2660),
    [anon_sym_EQ_EQ] = ACTIONS(2662),
    [anon_sym_BANG_EQ] = ACTIONS(2660),
    [anon_sym_eq] = ACTIONS(2662),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2660),
    [anon_sym_equ] = ACTIONS(2660),
    [anon_sym_eqr] = ACTIONS(2660),
    [anon_sym_ne] = ACTIONS(2660),
    [anon_sym_LT_EQ_GT] = ACTIONS(2660),
    [anon_sym_cmp] = ACTIONS(2660),
    [anon_sym_TILDE_TILDE] = ACTIONS(2660),
    [anon_sym_LT] = ACTIONS(2662),
    [anon_sym_LT_EQ] = ACTIONS(2662),
    [anon_sym_GT_EQ] = ACTIONS(2660),
    [anon_sym_lt] = ACTIONS(2660),
    [anon_sym_le] = ACTIONS(2660),
    [anon_sym_ge] = ACTIONS(2660),
    [anon_sym_gt] = ACTIONS(2660),
    [anon_sym_isa] = ACTIONS(2660),
    [anon_sym_PLUS_PLUS] = ACTIONS(2627),
    [anon_sym_DASH_DASH] = ACTIONS(2627),
    [anon_sym_QMARK] = ACTIONS(2660),
    [anon_sym_EQ_GT] = ACTIONS(2660),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2660),
    [anon_sym___END__] = ACTIONS(2660),
    [anon_sym_EOT] = ACTIONS(2660),
    [sym__PERLY_SEMICOLON] = ACTIONS(2660),
    [sym__ctrl_z_hack] = ACTIONS(2660),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1483] = {
    [sym_heredoc_content] = STATE(1483),
    [anon_sym_SEMI] = ACTIONS(3082),
    [anon_sym_EQ] = ACTIONS(3084),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3082),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3082),
    [anon_sym_COMMA] = ACTIONS(3082),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3082),
    [anon_sym_and] = ACTIONS(3082),
    [anon_sym_or] = ACTIONS(3082),
    [anon_sym_xor] = ACTIONS(3082),
    [anon_sym_DASH_GT] = ACTIONS(2591),
    [anon_sym_PERCENT] = ACTIONS(3359),
    [anon_sym_GT] = ACTIONS(3084),
    [anon_sym_LT_LT] = ACTIONS(3363),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3082),
    [anon_sym_PLUS_EQ] = ACTIONS(3082),
    [anon_sym_DASH_EQ] = ACTIONS(3082),
    [anon_sym_DOT_EQ] = ACTIONS(3082),
    [anon_sym_STAR_EQ] = ACTIONS(3082),
    [anon_sym_SLASH_EQ] = ACTIONS(3082),
    [anon_sym_PERCENT_EQ] = ACTIONS(3082),
    [anon_sym_x_EQ] = ACTIONS(3082),
    [anon_sym_AMP_EQ] = ACTIONS(3082),
    [anon_sym_PIPE_EQ] = ACTIONS(3082),
    [anon_sym_CARET_EQ] = ACTIONS(3082),
    [anon_sym_LT_LT_EQ] = ACTIONS(3082),
    [anon_sym_GT_GT_EQ] = ACTIONS(3082),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3082),
    [anon_sym_DOT_DOT] = ACTIONS(3084),
    [anon_sym_STAR_STAR] = ACTIONS(3367),
    [anon_sym_PIPE_PIPE] = ACTIONS(3084),
    [anon_sym_SLASH_SLASH] = ACTIONS(3084),
    [anon_sym_CARET_CARET] = ACTIONS(3082),
    [anon_sym_AMP_AMP] = ACTIONS(3084),
    [anon_sym_PIPE] = ACTIONS(3084),
    [anon_sym_CARET] = ACTIONS(3084),
    [anon_sym_AMP] = ACTIONS(3084),
    [anon_sym_GT_GT2] = ACTIONS(3363),
    [anon_sym_PLUS] = ACTIONS(3379),
    [anon_sym_DASH] = ACTIONS(3379),
    [anon_sym_DOT] = ACTIONS(3379),
    [anon_sym_STAR] = ACTIONS(3359),
    [anon_sym_SLASH] = ACTIONS(3359),
    [anon_sym_x] = ACTIONS(3359),
    [anon_sym_EQ_TILDE] = ACTIONS(3381),
    [anon_sym_BANG_TILDE] = ACTIONS(3381),
    [anon_sym_EQ_EQ] = ACTIONS(3084),
    [anon_sym_BANG_EQ] = ACTIONS(3082),
    [anon_sym_eq] = ACTIONS(3084),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3082),
    [anon_sym_equ] = ACTIONS(3082),
    [anon_sym_eqr] = ACTIONS(3082),
    [anon_sym_ne] = ACTIONS(3082),
    [anon_sym_LT_EQ_GT] = ACTIONS(3082),
    [anon_sym_cmp] = ACTIONS(3082),
    [anon_sym_TILDE_TILDE] = ACTIONS(3082),
    [anon_sym_LT] = ACTIONS(3084),
    [anon_sym_LT_EQ] = ACTIONS(3084),
    [anon_sym_GT_EQ] = ACTIONS(3082),
    [anon_sym_lt] = ACTIONS(3082),
    [anon_sym_le] = ACTIONS(3082),
    [anon_sym_ge] = ACTIONS(3082),
    [anon_sym_gt] = ACTIONS(3082),
    [anon_sym_isa] = ACTIONS(3082),
    [anon_sym_PLUS_PLUS] = ACTIONS(2627),
    [anon_sym_DASH_DASH] = ACTIONS(2627),
    [anon_sym_QMARK] = ACTIONS(3082),
    [anon_sym_EQ_GT] = ACTIONS(3082),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3082),
    [anon_sym___END__] = ACTIONS(3082),
    [anon_sym_EOT] = ACTIONS(3082),
    [sym__PERLY_SEMICOLON] = ACTIONS(3082),
    [sym__ctrl_z_hack] = ACTIONS(3082),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1484] = {
    [sym_heredoc_content] = STATE(1484),
    [anon_sym_SEMI] = ACTIONS(3086),
    [anon_sym_EQ] = ACTIONS(3088),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3086),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3086),
    [anon_sym_COMMA] = ACTIONS(3086),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3086),
    [anon_sym_and] = ACTIONS(3086),
    [anon_sym_or] = ACTIONS(3086),
    [anon_sym_xor] = ACTIONS(3086),
    [anon_sym_DASH_GT] = ACTIONS(2591),
    [anon_sym_PERCENT] = ACTIONS(3359),
    [anon_sym_GT] = ACTIONS(3088),
    [anon_sym_LT_LT] = ACTIONS(3363),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3086),
    [anon_sym_PLUS_EQ] = ACTIONS(3086),
    [anon_sym_DASH_EQ] = ACTIONS(3086),
    [anon_sym_DOT_EQ] = ACTIONS(3086),
    [anon_sym_STAR_EQ] = ACTIONS(3086),
    [anon_sym_SLASH_EQ] = ACTIONS(3086),
    [anon_sym_PERCENT_EQ] = ACTIONS(3086),
    [anon_sym_x_EQ] = ACTIONS(3086),
    [anon_sym_AMP_EQ] = ACTIONS(3086),
    [anon_sym_PIPE_EQ] = ACTIONS(3086),
    [anon_sym_CARET_EQ] = ACTIONS(3086),
    [anon_sym_LT_LT_EQ] = ACTIONS(3086),
    [anon_sym_GT_GT_EQ] = ACTIONS(3086),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3086),
    [anon_sym_DOT_DOT] = ACTIONS(3088),
    [anon_sym_STAR_STAR] = ACTIONS(3367),
    [anon_sym_PIPE_PIPE] = ACTIONS(3088),
    [anon_sym_SLASH_SLASH] = ACTIONS(3088),
    [anon_sym_CARET_CARET] = ACTIONS(3086),
    [anon_sym_AMP_AMP] = ACTIONS(3088),
    [anon_sym_PIPE] = ACTIONS(3088),
    [anon_sym_CARET] = ACTIONS(3088),
    [anon_sym_AMP] = ACTIONS(3088),
    [anon_sym_GT_GT2] = ACTIONS(3363),
    [anon_sym_PLUS] = ACTIONS(3379),
    [anon_sym_DASH] = ACTIONS(3379),
    [anon_sym_DOT] = ACTIONS(3379),
    [anon_sym_STAR] = ACTIONS(3359),
    [anon_sym_SLASH] = ACTIONS(3359),
    [anon_sym_x] = ACTIONS(3359),
    [anon_sym_EQ_TILDE] = ACTIONS(3381),
    [anon_sym_BANG_TILDE] = ACTIONS(3381),
    [anon_sym_EQ_EQ] = ACTIONS(3088),
    [anon_sym_BANG_EQ] = ACTIONS(3086),
    [anon_sym_eq] = ACTIONS(3088),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3086),
    [anon_sym_equ] = ACTIONS(3086),
    [anon_sym_eqr] = ACTIONS(3086),
    [anon_sym_ne] = ACTIONS(3086),
    [anon_sym_LT_EQ_GT] = ACTIONS(3086),
    [anon_sym_cmp] = ACTIONS(3086),
    [anon_sym_TILDE_TILDE] = ACTIONS(3086),
    [anon_sym_LT] = ACTIONS(3088),
    [anon_sym_LT_EQ] = ACTIONS(3088),
    [anon_sym_GT_EQ] = ACTIONS(3086),
    [anon_sym_lt] = ACTIONS(3086),
    [anon_sym_le] = ACTIONS(3086),
    [anon_sym_ge] = ACTIONS(3086),
    [anon_sym_gt] = ACTIONS(3086),
    [anon_sym_isa] = ACTIONS(3086),
    [anon_sym_PLUS_PLUS] = ACTIONS(2627),
    [anon_sym_DASH_DASH] = ACTIONS(2627),
    [anon_sym_QMARK] = ACTIONS(3086),
    [anon_sym_EQ_GT] = ACTIONS(3086),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3086),
    [anon_sym___END__] = ACTIONS(3086),
    [anon_sym_EOT] = ACTIONS(3086),
    [sym__PERLY_SEMICOLON] = ACTIONS(3086),
    [sym__ctrl_z_hack] = ACTIONS(3086),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1485] = {
    [sym_heredoc_content] = STATE(1485),
    [anon_sym_SEMI] = ACTIONS(3090),
    [anon_sym_EQ] = ACTIONS(3351),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3353),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3353),
    [anon_sym_COMMA] = ACTIONS(3090),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3357),
    [anon_sym_and] = ACTIONS(3090),
    [anon_sym_or] = ACTIONS(3090),
    [anon_sym_xor] = ACTIONS(3090),
    [anon_sym_DASH_GT] = ACTIONS(2591),
    [anon_sym_PERCENT] = ACTIONS(3359),
    [anon_sym_GT] = ACTIONS(3361),
    [anon_sym_LT_LT] = ACTIONS(3363),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3353),
    [anon_sym_PLUS_EQ] = ACTIONS(3353),
    [anon_sym_DASH_EQ] = ACTIONS(3353),
    [anon_sym_DOT_EQ] = ACTIONS(3353),
    [anon_sym_STAR_EQ] = ACTIONS(3353),
    [anon_sym_SLASH_EQ] = ACTIONS(3353),
    [anon_sym_PERCENT_EQ] = ACTIONS(3353),
    [anon_sym_x_EQ] = ACTIONS(3353),
    [anon_sym_AMP_EQ] = ACTIONS(3353),
    [anon_sym_PIPE_EQ] = ACTIONS(3353),
    [anon_sym_CARET_EQ] = ACTIONS(3353),
    [anon_sym_LT_LT_EQ] = ACTIONS(3353),
    [anon_sym_GT_GT_EQ] = ACTIONS(3353),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3353),
    [anon_sym_DOT_DOT] = ACTIONS(3365),
    [anon_sym_STAR_STAR] = ACTIONS(3367),
    [anon_sym_PIPE_PIPE] = ACTIONS(3369),
    [anon_sym_SLASH_SLASH] = ACTIONS(3369),
    [anon_sym_CARET_CARET] = ACTIONS(3371),
    [anon_sym_AMP_AMP] = ACTIONS(3373),
    [anon_sym_PIPE] = ACTIONS(3375),
    [anon_sym_CARET] = ACTIONS(3375),
    [anon_sym_AMP] = ACTIONS(3377),
    [anon_sym_GT_GT2] = ACTIONS(3363),
    [anon_sym_PLUS] = ACTIONS(3379),
    [anon_sym_DASH] = ACTIONS(3379),
    [anon_sym_DOT] = ACTIONS(3379),
    [anon_sym_STAR] = ACTIONS(3359),
    [anon_sym_SLASH] = ACTIONS(3359),
    [anon_sym_x] = ACTIONS(3359),
    [anon_sym_EQ_TILDE] = ACTIONS(3381),
    [anon_sym_BANG_TILDE] = ACTIONS(3381),
    [anon_sym_EQ_EQ] = ACTIONS(3383),
    [anon_sym_BANG_EQ] = ACTIONS(3385),
    [anon_sym_eq] = ACTIONS(3383),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3385),
    [anon_sym_equ] = ACTIONS(3385),
    [anon_sym_eqr] = ACTIONS(3385),
    [anon_sym_ne] = ACTIONS(3385),
    [anon_sym_LT_EQ_GT] = ACTIONS(3387),
    [anon_sym_cmp] = ACTIONS(3387),
    [anon_sym_TILDE_TILDE] = ACTIONS(3387),
    [anon_sym_LT] = ACTIONS(3361),
    [anon_sym_LT_EQ] = ACTIONS(3361),
    [anon_sym_GT_EQ] = ACTIONS(3389),
    [anon_sym_lt] = ACTIONS(3389),
    [anon_sym_le] = ACTIONS(3389),
    [anon_sym_ge] = ACTIONS(3389),
    [anon_sym_gt] = ACTIONS(3389),
    [anon_sym_isa] = ACTIONS(3391),
    [anon_sym_PLUS_PLUS] = ACTIONS(2627),
    [anon_sym_DASH_DASH] = ACTIONS(2627),
    [anon_sym_QMARK] = ACTIONS(3393),
    [anon_sym_EQ_GT] = ACTIONS(3090),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3090),
    [anon_sym___END__] = ACTIONS(3090),
    [anon_sym_EOT] = ACTIONS(3090),
    [sym__PERLY_SEMICOLON] = ACTIONS(3090),
    [sym__ctrl_z_hack] = ACTIONS(3090),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1486] = {
    [sym_heredoc_content] = STATE(1486),
    [anon_sym_SEMI] = ACTIONS(3094),
    [anon_sym_EQ] = ACTIONS(3096),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3094),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3094),
    [anon_sym_COMMA] = ACTIONS(3094),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3094),
    [anon_sym_and] = ACTIONS(3094),
    [anon_sym_or] = ACTIONS(3094),
    [anon_sym_xor] = ACTIONS(3094),
    [anon_sym_DASH_GT] = ACTIONS(2591),
    [anon_sym_PERCENT] = ACTIONS(3359),
    [anon_sym_GT] = ACTIONS(3096),
    [anon_sym_LT_LT] = ACTIONS(3363),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3094),
    [anon_sym_PLUS_EQ] = ACTIONS(3094),
    [anon_sym_DASH_EQ] = ACTIONS(3094),
    [anon_sym_DOT_EQ] = ACTIONS(3094),
    [anon_sym_STAR_EQ] = ACTIONS(3094),
    [anon_sym_SLASH_EQ] = ACTIONS(3094),
    [anon_sym_PERCENT_EQ] = ACTIONS(3094),
    [anon_sym_x_EQ] = ACTIONS(3094),
    [anon_sym_AMP_EQ] = ACTIONS(3094),
    [anon_sym_PIPE_EQ] = ACTIONS(3094),
    [anon_sym_CARET_EQ] = ACTIONS(3094),
    [anon_sym_LT_LT_EQ] = ACTIONS(3094),
    [anon_sym_GT_GT_EQ] = ACTIONS(3094),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3094),
    [anon_sym_DOT_DOT] = ACTIONS(3096),
    [anon_sym_STAR_STAR] = ACTIONS(3367),
    [anon_sym_PIPE_PIPE] = ACTIONS(3096),
    [anon_sym_SLASH_SLASH] = ACTIONS(3096),
    [anon_sym_CARET_CARET] = ACTIONS(3094),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_PIPE] = ACTIONS(3096),
    [anon_sym_CARET] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3096),
    [anon_sym_GT_GT2] = ACTIONS(3363),
    [anon_sym_PLUS] = ACTIONS(3379),
    [anon_sym_DASH] = ACTIONS(3379),
    [anon_sym_DOT] = ACTIONS(3379),
    [anon_sym_STAR] = ACTIONS(3359),
    [anon_sym_SLASH] = ACTIONS(3359),
    [anon_sym_x] = ACTIONS(3359),
    [anon_sym_EQ_TILDE] = ACTIONS(3381),
    [anon_sym_BANG_TILDE] = ACTIONS(3381),
    [anon_sym_EQ_EQ] = ACTIONS(3096),
    [anon_sym_BANG_EQ] = ACTIONS(3094),
    [anon_sym_eq] = ACTIONS(3096),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3094),
    [anon_sym_equ] = ACTIONS(3094),
    [anon_sym_eqr] = ACTIONS(3094),
    [anon_sym_ne] = ACTIONS(3094),
    [anon_sym_LT_EQ_GT] = ACTIONS(3094),
    [anon_sym_cmp] = ACTIONS(3094),
    [anon_sym_TILDE_TILDE] = ACTIONS(3094),
    [anon_sym_LT] = ACTIONS(3096),
    [anon_sym_LT_EQ] = ACTIONS(3096),
    [anon_sym_GT_EQ] = ACTIONS(3094),
    [anon_sym_lt] = ACTIONS(3094),
    [anon_sym_le] = ACTIONS(3094),
    [anon_sym_ge] = ACTIONS(3094),
    [anon_sym_gt] = ACTIONS(3094),
    [anon_sym_isa] = ACTIONS(3094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2627),
    [anon_sym_DASH_DASH] = ACTIONS(2627),
    [anon_sym_QMARK] = ACTIONS(3094),
    [anon_sym_EQ_GT] = ACTIONS(3094),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3094),
    [anon_sym___END__] = ACTIONS(3094),
    [anon_sym_EOT] = ACTIONS(3094),
    [sym__PERLY_SEMICOLON] = ACTIONS(3094),
    [sym__ctrl_z_hack] = ACTIONS(3094),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1487] = {
    [sym_heredoc_content] = STATE(1487),
    [anon_sym_SEMI] = ACTIONS(3126),
    [anon_sym_EQ] = ACTIONS(3128),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3126),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3126),
    [anon_sym_COMMA] = ACTIONS(3126),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3126),
    [anon_sym_and] = ACTIONS(3126),
    [anon_sym_or] = ACTIONS(3126),
    [anon_sym_xor] = ACTIONS(3126),
    [anon_sym_DASH_GT] = ACTIONS(2591),
    [anon_sym_PERCENT] = ACTIONS(3359),
    [anon_sym_GT] = ACTIONS(3128),
    [anon_sym_LT_LT] = ACTIONS(3363),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3126),
    [anon_sym_PLUS_EQ] = ACTIONS(3126),
    [anon_sym_DASH_EQ] = ACTIONS(3126),
    [anon_sym_DOT_EQ] = ACTIONS(3126),
    [anon_sym_STAR_EQ] = ACTIONS(3126),
    [anon_sym_SLASH_EQ] = ACTIONS(3126),
    [anon_sym_PERCENT_EQ] = ACTIONS(3126),
    [anon_sym_x_EQ] = ACTIONS(3126),
    [anon_sym_AMP_EQ] = ACTIONS(3126),
    [anon_sym_PIPE_EQ] = ACTIONS(3126),
    [anon_sym_CARET_EQ] = ACTIONS(3126),
    [anon_sym_LT_LT_EQ] = ACTIONS(3126),
    [anon_sym_GT_GT_EQ] = ACTIONS(3126),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3126),
    [anon_sym_DOT_DOT] = ACTIONS(3128),
    [anon_sym_STAR_STAR] = ACTIONS(3367),
    [anon_sym_PIPE_PIPE] = ACTIONS(3128),
    [anon_sym_SLASH_SLASH] = ACTIONS(3128),
    [anon_sym_CARET_CARET] = ACTIONS(3126),
    [anon_sym_AMP_AMP] = ACTIONS(3128),
    [anon_sym_PIPE] = ACTIONS(3128),
    [anon_sym_CARET] = ACTIONS(3128),
    [anon_sym_AMP] = ACTIONS(3128),
    [anon_sym_GT_GT2] = ACTIONS(3363),
    [anon_sym_PLUS] = ACTIONS(3379),
    [anon_sym_DASH] = ACTIONS(3379),
    [anon_sym_DOT] = ACTIONS(3379),
    [anon_sym_STAR] = ACTIONS(3359),
    [anon_sym_SLASH] = ACTIONS(3359),
    [anon_sym_x] = ACTIONS(3359),
    [anon_sym_EQ_TILDE] = ACTIONS(3381),
    [anon_sym_BANG_TILDE] = ACTIONS(3381),
    [anon_sym_EQ_EQ] = ACTIONS(3128),
    [anon_sym_BANG_EQ] = ACTIONS(3126),
    [anon_sym_eq] = ACTIONS(3128),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3126),
    [anon_sym_equ] = ACTIONS(3126),
    [anon_sym_eqr] = ACTIONS(3126),
    [anon_sym_ne] = ACTIONS(3126),
    [anon_sym_LT_EQ_GT] = ACTIONS(3126),
    [anon_sym_cmp] = ACTIONS(3126),
    [anon_sym_TILDE_TILDE] = ACTIONS(3126),
    [anon_sym_LT] = ACTIONS(3128),
    [anon_sym_LT_EQ] = ACTIONS(3128),
    [anon_sym_GT_EQ] = ACTIONS(3126),
    [anon_sym_lt] = ACTIONS(3126),
    [anon_sym_le] = ACTIONS(3126),
    [anon_sym_ge] = ACTIONS(3126),
    [anon_sym_gt] = ACTIONS(3126),
    [anon_sym_isa] = ACTIONS(3126),
    [anon_sym_PLUS_PLUS] = ACTIONS(2627),
    [anon_sym_DASH_DASH] = ACTIONS(2627),
    [anon_sym_QMARK] = ACTIONS(3126),
    [anon_sym_EQ_GT] = ACTIONS(3126),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3126),
    [anon_sym___END__] = ACTIONS(3126),
    [anon_sym_EOT] = ACTIONS(3126),
    [sym__PERLY_SEMICOLON] = ACTIONS(3126),
    [sym__ctrl_z_hack] = ACTIONS(3126),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1488] = {
    [sym_heredoc_content] = STATE(1488),
    [anon_sym_SEMI] = ACTIONS(2829),
    [anon_sym_EQ] = ACTIONS(3351),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3353),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3353),
    [anon_sym_COMMA] = ACTIONS(2829),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3357),
    [anon_sym_and] = ACTIONS(2829),
    [anon_sym_or] = ACTIONS(2829),
    [anon_sym_xor] = ACTIONS(2829),
    [anon_sym_DASH_GT] = ACTIONS(2591),
    [anon_sym_PERCENT] = ACTIONS(3359),
    [anon_sym_GT] = ACTIONS(3361),
    [anon_sym_LT_LT] = ACTIONS(3363),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3353),
    [anon_sym_PLUS_EQ] = ACTIONS(3353),
    [anon_sym_DASH_EQ] = ACTIONS(3353),
    [anon_sym_DOT_EQ] = ACTIONS(3353),
    [anon_sym_STAR_EQ] = ACTIONS(3353),
    [anon_sym_SLASH_EQ] = ACTIONS(3353),
    [anon_sym_PERCENT_EQ] = ACTIONS(3353),
    [anon_sym_x_EQ] = ACTIONS(3353),
    [anon_sym_AMP_EQ] = ACTIONS(3353),
    [anon_sym_PIPE_EQ] = ACTIONS(3353),
    [anon_sym_CARET_EQ] = ACTIONS(3353),
    [anon_sym_LT_LT_EQ] = ACTIONS(3353),
    [anon_sym_GT_GT_EQ] = ACTIONS(3353),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3353),
    [anon_sym_DOT_DOT] = ACTIONS(3365),
    [anon_sym_STAR_STAR] = ACTIONS(3367),
    [anon_sym_PIPE_PIPE] = ACTIONS(3369),
    [anon_sym_SLASH_SLASH] = ACTIONS(3369),
    [anon_sym_CARET_CARET] = ACTIONS(3371),
    [anon_sym_AMP_AMP] = ACTIONS(3373),
    [anon_sym_PIPE] = ACTIONS(3375),
    [anon_sym_CARET] = ACTIONS(3375),
    [anon_sym_AMP] = ACTIONS(3377),
    [anon_sym_GT_GT2] = ACTIONS(3363),
    [anon_sym_PLUS] = ACTIONS(3379),
    [anon_sym_DASH] = ACTIONS(3379),
    [anon_sym_DOT] = ACTIONS(3379),
    [anon_sym_STAR] = ACTIONS(3359),
    [anon_sym_SLASH] = ACTIONS(3359),
    [anon_sym_x] = ACTIONS(3359),
    [anon_sym_EQ_TILDE] = ACTIONS(3381),
    [anon_sym_BANG_TILDE] = ACTIONS(3381),
    [anon_sym_EQ_EQ] = ACTIONS(3383),
    [anon_sym_BANG_EQ] = ACTIONS(3385),
    [anon_sym_eq] = ACTIONS(3383),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3385),
    [anon_sym_equ] = ACTIONS(3385),
    [anon_sym_eqr] = ACTIONS(3385),
    [anon_sym_ne] = ACTIONS(3385),
    [anon_sym_LT_EQ_GT] = ACTIONS(3387),
    [anon_sym_cmp] = ACTIONS(3387),
    [anon_sym_TILDE_TILDE] = ACTIONS(3387),
    [anon_sym_LT] = ACTIONS(3361),
    [anon_sym_LT_EQ] = ACTIONS(3361),
    [anon_sym_GT_EQ] = ACTIONS(3389),
    [anon_sym_lt] = ACTIONS(3389),
    [anon_sym_le] = ACTIONS(3389),
    [anon_sym_ge] = ACTIONS(3389),
    [anon_sym_gt] = ACTIONS(3389),
    [anon_sym_isa] = ACTIONS(3391),
    [anon_sym_PLUS_PLUS] = ACTIONS(2627),
    [anon_sym_DASH_DASH] = ACTIONS(2627),
    [anon_sym_QMARK] = ACTIONS(3393),
    [anon_sym_EQ_GT] = ACTIONS(2829),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2829),
    [anon_sym___END__] = ACTIONS(2829),
    [anon_sym_EOT] = ACTIONS(2829),
    [sym__PERLY_SEMICOLON] = ACTIONS(2829),
    [sym__ctrl_z_hack] = ACTIONS(2829),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1489] = {
    [sym_heredoc_content] = STATE(1489),
    [anon_sym_SEMI] = ACTIONS(2845),
    [anon_sym_EQ] = ACTIONS(2847),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2845),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2845),
    [anon_sym_COMMA] = ACTIONS(2845),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2845),
    [anon_sym_and] = ACTIONS(2845),
    [anon_sym_or] = ACTIONS(2845),
    [anon_sym_xor] = ACTIONS(2845),
    [anon_sym_DASH_GT] = ACTIONS(2591),
    [anon_sym_PERCENT] = ACTIONS(3359),
    [anon_sym_GT] = ACTIONS(2847),
    [anon_sym_LT_LT] = ACTIONS(3363),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2845),
    [anon_sym_PLUS_EQ] = ACTIONS(2845),
    [anon_sym_DASH_EQ] = ACTIONS(2845),
    [anon_sym_DOT_EQ] = ACTIONS(2845),
    [anon_sym_STAR_EQ] = ACTIONS(2845),
    [anon_sym_SLASH_EQ] = ACTIONS(2845),
    [anon_sym_PERCENT_EQ] = ACTIONS(2845),
    [anon_sym_x_EQ] = ACTIONS(2845),
    [anon_sym_AMP_EQ] = ACTIONS(2845),
    [anon_sym_PIPE_EQ] = ACTIONS(2845),
    [anon_sym_CARET_EQ] = ACTIONS(2845),
    [anon_sym_LT_LT_EQ] = ACTIONS(2845),
    [anon_sym_GT_GT_EQ] = ACTIONS(2845),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2845),
    [anon_sym_DOT_DOT] = ACTIONS(2847),
    [anon_sym_STAR_STAR] = ACTIONS(3367),
    [anon_sym_PIPE_PIPE] = ACTIONS(2847),
    [anon_sym_SLASH_SLASH] = ACTIONS(2847),
    [anon_sym_CARET_CARET] = ACTIONS(2845),
    [anon_sym_AMP_AMP] = ACTIONS(2847),
    [anon_sym_PIPE] = ACTIONS(2847),
    [anon_sym_CARET] = ACTIONS(2847),
    [anon_sym_AMP] = ACTIONS(2847),
    [anon_sym_GT_GT2] = ACTIONS(3363),
    [anon_sym_PLUS] = ACTIONS(3379),
    [anon_sym_DASH] = ACTIONS(3379),
    [anon_sym_DOT] = ACTIONS(3379),
    [anon_sym_STAR] = ACTIONS(3359),
    [anon_sym_SLASH] = ACTIONS(3359),
    [anon_sym_x] = ACTIONS(3359),
    [anon_sym_EQ_TILDE] = ACTIONS(3381),
    [anon_sym_BANG_TILDE] = ACTIONS(3381),
    [anon_sym_EQ_EQ] = ACTIONS(2847),
    [anon_sym_BANG_EQ] = ACTIONS(2845),
    [anon_sym_eq] = ACTIONS(2847),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2845),
    [anon_sym_equ] = ACTIONS(2845),
    [anon_sym_eqr] = ACTIONS(2845),
    [anon_sym_ne] = ACTIONS(2845),
    [anon_sym_LT_EQ_GT] = ACTIONS(2845),
    [anon_sym_cmp] = ACTIONS(2845),
    [anon_sym_TILDE_TILDE] = ACTIONS(2845),
    [anon_sym_LT] = ACTIONS(2847),
    [anon_sym_LT_EQ] = ACTIONS(2847),
    [anon_sym_GT_EQ] = ACTIONS(2845),
    [anon_sym_lt] = ACTIONS(2845),
    [anon_sym_le] = ACTIONS(2845),
    [anon_sym_ge] = ACTIONS(2845),
    [anon_sym_gt] = ACTIONS(2845),
    [anon_sym_isa] = ACTIONS(2845),
    [anon_sym_PLUS_PLUS] = ACTIONS(2627),
    [anon_sym_DASH_DASH] = ACTIONS(2627),
    [anon_sym_QMARK] = ACTIONS(2845),
    [anon_sym_EQ_GT] = ACTIONS(2845),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2845),
    [anon_sym___END__] = ACTIONS(2845),
    [anon_sym_EOT] = ACTIONS(2845),
    [sym__PERLY_SEMICOLON] = ACTIONS(2845),
    [sym__ctrl_z_hack] = ACTIONS(2845),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1490] = {
    [sym_heredoc_content] = STATE(1490),
    [anon_sym_SEMI] = ACTIONS(2897),
    [anon_sym_EQ] = ACTIONS(2899),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2897),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2897),
    [anon_sym_COMMA] = ACTIONS(3419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2897),
    [anon_sym_and] = ACTIONS(2897),
    [anon_sym_or] = ACTIONS(2897),
    [anon_sym_xor] = ACTIONS(2897),
    [anon_sym_DASH_GT] = ACTIONS(2897),
    [anon_sym_PERCENT] = ACTIONS(2899),
    [anon_sym_GT] = ACTIONS(2899),
    [anon_sym_LT_LT] = ACTIONS(2899),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2897),
    [anon_sym_PLUS_EQ] = ACTIONS(2897),
    [anon_sym_DASH_EQ] = ACTIONS(2897),
    [anon_sym_DOT_EQ] = ACTIONS(2897),
    [anon_sym_STAR_EQ] = ACTIONS(2897),
    [anon_sym_SLASH_EQ] = ACTIONS(2897),
    [anon_sym_PERCENT_EQ] = ACTIONS(2897),
    [anon_sym_x_EQ] = ACTIONS(2897),
    [anon_sym_AMP_EQ] = ACTIONS(2897),
    [anon_sym_PIPE_EQ] = ACTIONS(2897),
    [anon_sym_CARET_EQ] = ACTIONS(2897),
    [anon_sym_LT_LT_EQ] = ACTIONS(2897),
    [anon_sym_GT_GT_EQ] = ACTIONS(2897),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2897),
    [anon_sym_DOT_DOT] = ACTIONS(2899),
    [anon_sym_STAR_STAR] = ACTIONS(2899),
    [anon_sym_PIPE_PIPE] = ACTIONS(2899),
    [anon_sym_SLASH_SLASH] = ACTIONS(2899),
    [anon_sym_CARET_CARET] = ACTIONS(2897),
    [anon_sym_AMP_AMP] = ACTIONS(2899),
    [anon_sym_PIPE] = ACTIONS(2899),
    [anon_sym_CARET] = ACTIONS(2899),
    [anon_sym_AMP] = ACTIONS(2899),
    [anon_sym_GT_GT2] = ACTIONS(2899),
    [anon_sym_PLUS] = ACTIONS(2899),
    [anon_sym_DASH] = ACTIONS(2899),
    [anon_sym_DOT] = ACTIONS(2899),
    [anon_sym_STAR] = ACTIONS(2899),
    [anon_sym_SLASH] = ACTIONS(2899),
    [anon_sym_x] = ACTIONS(2899),
    [anon_sym_EQ_TILDE] = ACTIONS(2897),
    [anon_sym_BANG_TILDE] = ACTIONS(2897),
    [anon_sym_EQ_EQ] = ACTIONS(2899),
    [anon_sym_BANG_EQ] = ACTIONS(2897),
    [anon_sym_eq] = ACTIONS(2899),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2897),
    [anon_sym_equ] = ACTIONS(2897),
    [anon_sym_eqr] = ACTIONS(2897),
    [anon_sym_ne] = ACTIONS(2897),
    [anon_sym_LT_EQ_GT] = ACTIONS(2897),
    [anon_sym_cmp] = ACTIONS(2897),
    [anon_sym_TILDE_TILDE] = ACTIONS(2897),
    [anon_sym_LT] = ACTIONS(2899),
    [anon_sym_LT_EQ] = ACTIONS(2899),
    [anon_sym_GT_EQ] = ACTIONS(2897),
    [anon_sym_lt] = ACTIONS(2897),
    [anon_sym_le] = ACTIONS(2897),
    [anon_sym_ge] = ACTIONS(2897),
    [anon_sym_gt] = ACTIONS(2897),
    [anon_sym_isa] = ACTIONS(2897),
    [anon_sym_PLUS_PLUS] = ACTIONS(2897),
    [anon_sym_DASH_DASH] = ACTIONS(2897),
    [anon_sym_QMARK] = ACTIONS(2897),
    [anon_sym_EQ_GT] = ACTIONS(3419),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2897),
    [anon_sym___END__] = ACTIONS(2897),
    [anon_sym_EOT] = ACTIONS(2897),
    [sym__PERLY_SEMICOLON] = ACTIONS(2897),
    [sym__ctrl_z_hack] = ACTIONS(2897),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1491] = {
    [sym_heredoc_content] = STATE(1491),
    [anon_sym_LBRACE] = ACTIONS(2462),
    [anon_sym_RBRACE] = ACTIONS(2462),
    [anon_sym_EQ] = ACTIONS(2464),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2462),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2462),
    [anon_sym_COMMA] = ACTIONS(2462),
    [anon_sym_RPAREN] = ACTIONS(2462),
    [anon_sym_LPAREN] = ACTIONS(2462),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2462),
    [anon_sym_and] = ACTIONS(2462),
    [anon_sym_or] = ACTIONS(2462),
    [anon_sym_xor] = ACTIONS(2462),
    [anon_sym_LBRACK] = ACTIONS(2462),
    [anon_sym_RBRACK] = ACTIONS(2462),
    [anon_sym_DASH_GT] = ACTIONS(2462),
    [anon_sym_PERCENT] = ACTIONS(2464),
    [anon_sym_GT] = ACTIONS(2464),
    [anon_sym_LT_LT] = ACTIONS(2464),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2462),
    [anon_sym_PLUS_EQ] = ACTIONS(2462),
    [anon_sym_DASH_EQ] = ACTIONS(2462),
    [anon_sym_DOT_EQ] = ACTIONS(2462),
    [anon_sym_STAR_EQ] = ACTIONS(2462),
    [anon_sym_SLASH_EQ] = ACTIONS(2462),
    [anon_sym_PERCENT_EQ] = ACTIONS(2462),
    [anon_sym_x_EQ] = ACTIONS(2462),
    [anon_sym_AMP_EQ] = ACTIONS(2462),
    [anon_sym_PIPE_EQ] = ACTIONS(2462),
    [anon_sym_CARET_EQ] = ACTIONS(2462),
    [anon_sym_LT_LT_EQ] = ACTIONS(2462),
    [anon_sym_GT_GT_EQ] = ACTIONS(2462),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2462),
    [anon_sym_DOT_DOT] = ACTIONS(2464),
    [anon_sym_STAR_STAR] = ACTIONS(2464),
    [anon_sym_PIPE_PIPE] = ACTIONS(2464),
    [anon_sym_SLASH_SLASH] = ACTIONS(2464),
    [anon_sym_CARET_CARET] = ACTIONS(2462),
    [anon_sym_AMP_AMP] = ACTIONS(2464),
    [anon_sym_PIPE] = ACTIONS(2464),
    [anon_sym_CARET] = ACTIONS(2464),
    [anon_sym_AMP] = ACTIONS(2464),
    [anon_sym_GT_GT2] = ACTIONS(2464),
    [anon_sym_PLUS] = ACTIONS(2464),
    [anon_sym_DASH] = ACTIONS(2464),
    [anon_sym_DOT] = ACTIONS(2464),
    [anon_sym_STAR] = ACTIONS(2464),
    [anon_sym_SLASH] = ACTIONS(2464),
    [anon_sym_x] = ACTIONS(2464),
    [anon_sym_EQ_TILDE] = ACTIONS(2462),
    [anon_sym_BANG_TILDE] = ACTIONS(2462),
    [anon_sym_EQ_EQ] = ACTIONS(2464),
    [anon_sym_BANG_EQ] = ACTIONS(2462),
    [anon_sym_eq] = ACTIONS(2464),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2462),
    [anon_sym_equ] = ACTIONS(2462),
    [anon_sym_eqr] = ACTIONS(2462),
    [anon_sym_ne] = ACTIONS(2462),
    [anon_sym_LT_EQ_GT] = ACTIONS(2462),
    [anon_sym_cmp] = ACTIONS(2462),
    [anon_sym_TILDE_TILDE] = ACTIONS(2462),
    [anon_sym_LT] = ACTIONS(2464),
    [anon_sym_LT_EQ] = ACTIONS(2464),
    [anon_sym_GT_EQ] = ACTIONS(2462),
    [anon_sym_lt] = ACTIONS(2462),
    [anon_sym_le] = ACTIONS(2462),
    [anon_sym_ge] = ACTIONS(2462),
    [anon_sym_gt] = ACTIONS(2462),
    [anon_sym_isa] = ACTIONS(2462),
    [anon_sym_PLUS_PLUS] = ACTIONS(2462),
    [anon_sym_DASH_DASH] = ACTIONS(2462),
    [anon_sym_QMARK] = ACTIONS(2462),
    [anon_sym_EQ_GT] = ACTIONS(2462),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1492] = {
    [sym_heredoc_content] = STATE(1492),
    [anon_sym_LBRACE] = ACTIONS(2470),
    [anon_sym_RBRACE] = ACTIONS(2470),
    [anon_sym_EQ] = ACTIONS(2472),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2470),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2470),
    [anon_sym_COMMA] = ACTIONS(2470),
    [anon_sym_RPAREN] = ACTIONS(2470),
    [anon_sym_LPAREN] = ACTIONS(2470),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2470),
    [anon_sym_and] = ACTIONS(2470),
    [anon_sym_or] = ACTIONS(2470),
    [anon_sym_xor] = ACTIONS(2470),
    [anon_sym_LBRACK] = ACTIONS(2470),
    [anon_sym_RBRACK] = ACTIONS(2470),
    [anon_sym_DASH_GT] = ACTIONS(2470),
    [anon_sym_PERCENT] = ACTIONS(2472),
    [anon_sym_GT] = ACTIONS(2472),
    [anon_sym_LT_LT] = ACTIONS(2472),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2470),
    [anon_sym_PLUS_EQ] = ACTIONS(2470),
    [anon_sym_DASH_EQ] = ACTIONS(2470),
    [anon_sym_DOT_EQ] = ACTIONS(2470),
    [anon_sym_STAR_EQ] = ACTIONS(2470),
    [anon_sym_SLASH_EQ] = ACTIONS(2470),
    [anon_sym_PERCENT_EQ] = ACTIONS(2470),
    [anon_sym_x_EQ] = ACTIONS(2470),
    [anon_sym_AMP_EQ] = ACTIONS(2470),
    [anon_sym_PIPE_EQ] = ACTIONS(2470),
    [anon_sym_CARET_EQ] = ACTIONS(2470),
    [anon_sym_LT_LT_EQ] = ACTIONS(2470),
    [anon_sym_GT_GT_EQ] = ACTIONS(2470),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2470),
    [anon_sym_DOT_DOT] = ACTIONS(2472),
    [anon_sym_STAR_STAR] = ACTIONS(2472),
    [anon_sym_PIPE_PIPE] = ACTIONS(2472),
    [anon_sym_SLASH_SLASH] = ACTIONS(2472),
    [anon_sym_CARET_CARET] = ACTIONS(2470),
    [anon_sym_AMP_AMP] = ACTIONS(2472),
    [anon_sym_PIPE] = ACTIONS(2472),
    [anon_sym_CARET] = ACTIONS(2472),
    [anon_sym_AMP] = ACTIONS(2472),
    [anon_sym_GT_GT2] = ACTIONS(2472),
    [anon_sym_PLUS] = ACTIONS(2472),
    [anon_sym_DASH] = ACTIONS(2472),
    [anon_sym_DOT] = ACTIONS(2472),
    [anon_sym_STAR] = ACTIONS(2472),
    [anon_sym_SLASH] = ACTIONS(2472),
    [anon_sym_x] = ACTIONS(2472),
    [anon_sym_EQ_TILDE] = ACTIONS(2470),
    [anon_sym_BANG_TILDE] = ACTIONS(2470),
    [anon_sym_EQ_EQ] = ACTIONS(2472),
    [anon_sym_BANG_EQ] = ACTIONS(2470),
    [anon_sym_eq] = ACTIONS(2472),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2470),
    [anon_sym_equ] = ACTIONS(2470),
    [anon_sym_eqr] = ACTIONS(2470),
    [anon_sym_ne] = ACTIONS(2470),
    [anon_sym_LT_EQ_GT] = ACTIONS(2470),
    [anon_sym_cmp] = ACTIONS(2470),
    [anon_sym_TILDE_TILDE] = ACTIONS(2470),
    [anon_sym_LT] = ACTIONS(2472),
    [anon_sym_LT_EQ] = ACTIONS(2472),
    [anon_sym_GT_EQ] = ACTIONS(2470),
    [anon_sym_lt] = ACTIONS(2470),
    [anon_sym_le] = ACTIONS(2470),
    [anon_sym_ge] = ACTIONS(2470),
    [anon_sym_gt] = ACTIONS(2470),
    [anon_sym_isa] = ACTIONS(2470),
    [anon_sym_PLUS_PLUS] = ACTIONS(2470),
    [anon_sym_DASH_DASH] = ACTIONS(2470),
    [anon_sym_QMARK] = ACTIONS(2470),
    [anon_sym_EQ_GT] = ACTIONS(2470),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1493] = {
    [sym_heredoc_content] = STATE(1493),
    [anon_sym_LBRACE] = ACTIONS(2466),
    [anon_sym_RBRACE] = ACTIONS(2466),
    [anon_sym_EQ] = ACTIONS(2468),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2466),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2466),
    [anon_sym_COMMA] = ACTIONS(2466),
    [anon_sym_RPAREN] = ACTIONS(2466),
    [anon_sym_LPAREN] = ACTIONS(2466),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2466),
    [anon_sym_and] = ACTIONS(2466),
    [anon_sym_or] = ACTIONS(2466),
    [anon_sym_xor] = ACTIONS(2466),
    [anon_sym_LBRACK] = ACTIONS(2466),
    [anon_sym_RBRACK] = ACTIONS(2466),
    [anon_sym_DASH_GT] = ACTIONS(2466),
    [anon_sym_PERCENT] = ACTIONS(2468),
    [anon_sym_GT] = ACTIONS(2468),
    [anon_sym_LT_LT] = ACTIONS(2468),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2466),
    [anon_sym_PLUS_EQ] = ACTIONS(2466),
    [anon_sym_DASH_EQ] = ACTIONS(2466),
    [anon_sym_DOT_EQ] = ACTIONS(2466),
    [anon_sym_STAR_EQ] = ACTIONS(2466),
    [anon_sym_SLASH_EQ] = ACTIONS(2466),
    [anon_sym_PERCENT_EQ] = ACTIONS(2466),
    [anon_sym_x_EQ] = ACTIONS(2466),
    [anon_sym_AMP_EQ] = ACTIONS(2466),
    [anon_sym_PIPE_EQ] = ACTIONS(2466),
    [anon_sym_CARET_EQ] = ACTIONS(2466),
    [anon_sym_LT_LT_EQ] = ACTIONS(2466),
    [anon_sym_GT_GT_EQ] = ACTIONS(2466),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2466),
    [anon_sym_DOT_DOT] = ACTIONS(2468),
    [anon_sym_STAR_STAR] = ACTIONS(2468),
    [anon_sym_PIPE_PIPE] = ACTIONS(2468),
    [anon_sym_SLASH_SLASH] = ACTIONS(2468),
    [anon_sym_CARET_CARET] = ACTIONS(2466),
    [anon_sym_AMP_AMP] = ACTIONS(2468),
    [anon_sym_PIPE] = ACTIONS(2468),
    [anon_sym_CARET] = ACTIONS(2468),
    [anon_sym_AMP] = ACTIONS(2468),
    [anon_sym_GT_GT2] = ACTIONS(2468),
    [anon_sym_PLUS] = ACTIONS(2468),
    [anon_sym_DASH] = ACTIONS(2468),
    [anon_sym_DOT] = ACTIONS(2468),
    [anon_sym_STAR] = ACTIONS(2468),
    [anon_sym_SLASH] = ACTIONS(2468),
    [anon_sym_x] = ACTIONS(2468),
    [anon_sym_EQ_TILDE] = ACTIONS(2466),
    [anon_sym_BANG_TILDE] = ACTIONS(2466),
    [anon_sym_EQ_EQ] = ACTIONS(2468),
    [anon_sym_BANG_EQ] = ACTIONS(2466),
    [anon_sym_eq] = ACTIONS(2468),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2466),
    [anon_sym_equ] = ACTIONS(2466),
    [anon_sym_eqr] = ACTIONS(2466),
    [anon_sym_ne] = ACTIONS(2466),
    [anon_sym_LT_EQ_GT] = ACTIONS(2466),
    [anon_sym_cmp] = ACTIONS(2466),
    [anon_sym_TILDE_TILDE] = ACTIONS(2466),
    [anon_sym_LT] = ACTIONS(2468),
    [anon_sym_LT_EQ] = ACTIONS(2468),
    [anon_sym_GT_EQ] = ACTIONS(2466),
    [anon_sym_lt] = ACTIONS(2466),
    [anon_sym_le] = ACTIONS(2466),
    [anon_sym_ge] = ACTIONS(2466),
    [anon_sym_gt] = ACTIONS(2466),
    [anon_sym_isa] = ACTIONS(2466),
    [anon_sym_PLUS_PLUS] = ACTIONS(2466),
    [anon_sym_DASH_DASH] = ACTIONS(2466),
    [anon_sym_QMARK] = ACTIONS(2466),
    [anon_sym_EQ_GT] = ACTIONS(2466),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1494] = {
    [sym_heredoc_content] = STATE(1494),
    [anon_sym_LBRACE] = ACTIONS(2478),
    [anon_sym_RBRACE] = ACTIONS(2478),
    [anon_sym_EQ] = ACTIONS(2480),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2478),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2478),
    [anon_sym_COMMA] = ACTIONS(2478),
    [anon_sym_RPAREN] = ACTIONS(2478),
    [anon_sym_LPAREN] = ACTIONS(2478),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2478),
    [anon_sym_and] = ACTIONS(2478),
    [anon_sym_or] = ACTIONS(2478),
    [anon_sym_xor] = ACTIONS(2478),
    [anon_sym_LBRACK] = ACTIONS(2478),
    [anon_sym_RBRACK] = ACTIONS(2478),
    [anon_sym_DASH_GT] = ACTIONS(2478),
    [anon_sym_PERCENT] = ACTIONS(2480),
    [anon_sym_GT] = ACTIONS(2480),
    [anon_sym_LT_LT] = ACTIONS(2480),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2478),
    [anon_sym_PLUS_EQ] = ACTIONS(2478),
    [anon_sym_DASH_EQ] = ACTIONS(2478),
    [anon_sym_DOT_EQ] = ACTIONS(2478),
    [anon_sym_STAR_EQ] = ACTIONS(2478),
    [anon_sym_SLASH_EQ] = ACTIONS(2478),
    [anon_sym_PERCENT_EQ] = ACTIONS(2478),
    [anon_sym_x_EQ] = ACTIONS(2478),
    [anon_sym_AMP_EQ] = ACTIONS(2478),
    [anon_sym_PIPE_EQ] = ACTIONS(2478),
    [anon_sym_CARET_EQ] = ACTIONS(2478),
    [anon_sym_LT_LT_EQ] = ACTIONS(2478),
    [anon_sym_GT_GT_EQ] = ACTIONS(2478),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2478),
    [anon_sym_DOT_DOT] = ACTIONS(2480),
    [anon_sym_STAR_STAR] = ACTIONS(2480),
    [anon_sym_PIPE_PIPE] = ACTIONS(2480),
    [anon_sym_SLASH_SLASH] = ACTIONS(2480),
    [anon_sym_CARET_CARET] = ACTIONS(2478),
    [anon_sym_AMP_AMP] = ACTIONS(2480),
    [anon_sym_PIPE] = ACTIONS(2480),
    [anon_sym_CARET] = ACTIONS(2480),
    [anon_sym_AMP] = ACTIONS(2480),
    [anon_sym_GT_GT2] = ACTIONS(2480),
    [anon_sym_PLUS] = ACTIONS(2480),
    [anon_sym_DASH] = ACTIONS(2480),
    [anon_sym_DOT] = ACTIONS(2480),
    [anon_sym_STAR] = ACTIONS(2480),
    [anon_sym_SLASH] = ACTIONS(2480),
    [anon_sym_x] = ACTIONS(2480),
    [anon_sym_EQ_TILDE] = ACTIONS(2478),
    [anon_sym_BANG_TILDE] = ACTIONS(2478),
    [anon_sym_EQ_EQ] = ACTIONS(2480),
    [anon_sym_BANG_EQ] = ACTIONS(2478),
    [anon_sym_eq] = ACTIONS(2480),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2478),
    [anon_sym_equ] = ACTIONS(2478),
    [anon_sym_eqr] = ACTIONS(2478),
    [anon_sym_ne] = ACTIONS(2478),
    [anon_sym_LT_EQ_GT] = ACTIONS(2478),
    [anon_sym_cmp] = ACTIONS(2478),
    [anon_sym_TILDE_TILDE] = ACTIONS(2478),
    [anon_sym_LT] = ACTIONS(2480),
    [anon_sym_LT_EQ] = ACTIONS(2480),
    [anon_sym_GT_EQ] = ACTIONS(2478),
    [anon_sym_lt] = ACTIONS(2478),
    [anon_sym_le] = ACTIONS(2478),
    [anon_sym_ge] = ACTIONS(2478),
    [anon_sym_gt] = ACTIONS(2478),
    [anon_sym_isa] = ACTIONS(2478),
    [anon_sym_PLUS_PLUS] = ACTIONS(2478),
    [anon_sym_DASH_DASH] = ACTIONS(2478),
    [anon_sym_QMARK] = ACTIONS(2478),
    [anon_sym_EQ_GT] = ACTIONS(2478),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1495] = {
    [sym_heredoc_content] = STATE(1495),
    [anon_sym_LBRACE] = ACTIONS(2474),
    [anon_sym_RBRACE] = ACTIONS(2474),
    [anon_sym_EQ] = ACTIONS(2476),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2474),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2474),
    [anon_sym_COMMA] = ACTIONS(2474),
    [anon_sym_RPAREN] = ACTIONS(2474),
    [anon_sym_LPAREN] = ACTIONS(2474),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2474),
    [anon_sym_and] = ACTIONS(2474),
    [anon_sym_or] = ACTIONS(2474),
    [anon_sym_xor] = ACTIONS(2474),
    [anon_sym_LBRACK] = ACTIONS(2474),
    [anon_sym_RBRACK] = ACTIONS(2474),
    [anon_sym_DASH_GT] = ACTIONS(2474),
    [anon_sym_PERCENT] = ACTIONS(2476),
    [anon_sym_GT] = ACTIONS(2476),
    [anon_sym_LT_LT] = ACTIONS(2476),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2474),
    [anon_sym_PLUS_EQ] = ACTIONS(2474),
    [anon_sym_DASH_EQ] = ACTIONS(2474),
    [anon_sym_DOT_EQ] = ACTIONS(2474),
    [anon_sym_STAR_EQ] = ACTIONS(2474),
    [anon_sym_SLASH_EQ] = ACTIONS(2474),
    [anon_sym_PERCENT_EQ] = ACTIONS(2474),
    [anon_sym_x_EQ] = ACTIONS(2474),
    [anon_sym_AMP_EQ] = ACTIONS(2474),
    [anon_sym_PIPE_EQ] = ACTIONS(2474),
    [anon_sym_CARET_EQ] = ACTIONS(2474),
    [anon_sym_LT_LT_EQ] = ACTIONS(2474),
    [anon_sym_GT_GT_EQ] = ACTIONS(2474),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2474),
    [anon_sym_DOT_DOT] = ACTIONS(2476),
    [anon_sym_STAR_STAR] = ACTIONS(2476),
    [anon_sym_PIPE_PIPE] = ACTIONS(2476),
    [anon_sym_SLASH_SLASH] = ACTIONS(2476),
    [anon_sym_CARET_CARET] = ACTIONS(2474),
    [anon_sym_AMP_AMP] = ACTIONS(2476),
    [anon_sym_PIPE] = ACTIONS(2476),
    [anon_sym_CARET] = ACTIONS(2476),
    [anon_sym_AMP] = ACTIONS(2476),
    [anon_sym_GT_GT2] = ACTIONS(2476),
    [anon_sym_PLUS] = ACTIONS(2476),
    [anon_sym_DASH] = ACTIONS(2476),
    [anon_sym_DOT] = ACTIONS(2476),
    [anon_sym_STAR] = ACTIONS(2476),
    [anon_sym_SLASH] = ACTIONS(2476),
    [anon_sym_x] = ACTIONS(2476),
    [anon_sym_EQ_TILDE] = ACTIONS(2474),
    [anon_sym_BANG_TILDE] = ACTIONS(2474),
    [anon_sym_EQ_EQ] = ACTIONS(2476),
    [anon_sym_BANG_EQ] = ACTIONS(2474),
    [anon_sym_eq] = ACTIONS(2476),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2474),
    [anon_sym_equ] = ACTIONS(2474),
    [anon_sym_eqr] = ACTIONS(2474),
    [anon_sym_ne] = ACTIONS(2474),
    [anon_sym_LT_EQ_GT] = ACTIONS(2474),
    [anon_sym_cmp] = ACTIONS(2474),
    [anon_sym_TILDE_TILDE] = ACTIONS(2474),
    [anon_sym_LT] = ACTIONS(2476),
    [anon_sym_LT_EQ] = ACTIONS(2476),
    [anon_sym_GT_EQ] = ACTIONS(2474),
    [anon_sym_lt] = ACTIONS(2474),
    [anon_sym_le] = ACTIONS(2474),
    [anon_sym_ge] = ACTIONS(2474),
    [anon_sym_gt] = ACTIONS(2474),
    [anon_sym_isa] = ACTIONS(2474),
    [anon_sym_PLUS_PLUS] = ACTIONS(2474),
    [anon_sym_DASH_DASH] = ACTIONS(2474),
    [anon_sym_QMARK] = ACTIONS(2474),
    [anon_sym_EQ_GT] = ACTIONS(2474),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1496] = {
    [sym_heredoc_content] = STATE(1496),
    [anon_sym_LBRACE] = ACTIONS(2482),
    [anon_sym_RBRACE] = ACTIONS(2482),
    [anon_sym_EQ] = ACTIONS(2484),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2482),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2482),
    [anon_sym_COMMA] = ACTIONS(2482),
    [anon_sym_RPAREN] = ACTIONS(2482),
    [anon_sym_LPAREN] = ACTIONS(2482),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2482),
    [anon_sym_and] = ACTIONS(2482),
    [anon_sym_or] = ACTIONS(2482),
    [anon_sym_xor] = ACTIONS(2482),
    [anon_sym_LBRACK] = ACTIONS(2482),
    [anon_sym_RBRACK] = ACTIONS(2482),
    [anon_sym_DASH_GT] = ACTIONS(2482),
    [anon_sym_PERCENT] = ACTIONS(2484),
    [anon_sym_GT] = ACTIONS(2484),
    [anon_sym_LT_LT] = ACTIONS(2484),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2482),
    [anon_sym_PLUS_EQ] = ACTIONS(2482),
    [anon_sym_DASH_EQ] = ACTIONS(2482),
    [anon_sym_DOT_EQ] = ACTIONS(2482),
    [anon_sym_STAR_EQ] = ACTIONS(2482),
    [anon_sym_SLASH_EQ] = ACTIONS(2482),
    [anon_sym_PERCENT_EQ] = ACTIONS(2482),
    [anon_sym_x_EQ] = ACTIONS(2482),
    [anon_sym_AMP_EQ] = ACTIONS(2482),
    [anon_sym_PIPE_EQ] = ACTIONS(2482),
    [anon_sym_CARET_EQ] = ACTIONS(2482),
    [anon_sym_LT_LT_EQ] = ACTIONS(2482),
    [anon_sym_GT_GT_EQ] = ACTIONS(2482),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2482),
    [anon_sym_DOT_DOT] = ACTIONS(2484),
    [anon_sym_STAR_STAR] = ACTIONS(2484),
    [anon_sym_PIPE_PIPE] = ACTIONS(2484),
    [anon_sym_SLASH_SLASH] = ACTIONS(2484),
    [anon_sym_CARET_CARET] = ACTIONS(2482),
    [anon_sym_AMP_AMP] = ACTIONS(2484),
    [anon_sym_PIPE] = ACTIONS(2484),
    [anon_sym_CARET] = ACTIONS(2484),
    [anon_sym_AMP] = ACTIONS(2484),
    [anon_sym_GT_GT2] = ACTIONS(2484),
    [anon_sym_PLUS] = ACTIONS(2484),
    [anon_sym_DASH] = ACTIONS(2484),
    [anon_sym_DOT] = ACTIONS(2484),
    [anon_sym_STAR] = ACTIONS(2484),
    [anon_sym_SLASH] = ACTIONS(2484),
    [anon_sym_x] = ACTIONS(2484),
    [anon_sym_EQ_TILDE] = ACTIONS(2482),
    [anon_sym_BANG_TILDE] = ACTIONS(2482),
    [anon_sym_EQ_EQ] = ACTIONS(2484),
    [anon_sym_BANG_EQ] = ACTIONS(2482),
    [anon_sym_eq] = ACTIONS(2484),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2482),
    [anon_sym_equ] = ACTIONS(2482),
    [anon_sym_eqr] = ACTIONS(2482),
    [anon_sym_ne] = ACTIONS(2482),
    [anon_sym_LT_EQ_GT] = ACTIONS(2482),
    [anon_sym_cmp] = ACTIONS(2482),
    [anon_sym_TILDE_TILDE] = ACTIONS(2482),
    [anon_sym_LT] = ACTIONS(2484),
    [anon_sym_LT_EQ] = ACTIONS(2484),
    [anon_sym_GT_EQ] = ACTIONS(2482),
    [anon_sym_lt] = ACTIONS(2482),
    [anon_sym_le] = ACTIONS(2482),
    [anon_sym_ge] = ACTIONS(2482),
    [anon_sym_gt] = ACTIONS(2482),
    [anon_sym_isa] = ACTIONS(2482),
    [anon_sym_PLUS_PLUS] = ACTIONS(2482),
    [anon_sym_DASH_DASH] = ACTIONS(2482),
    [anon_sym_QMARK] = ACTIONS(2482),
    [anon_sym_EQ_GT] = ACTIONS(2482),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1497] = {
    [sym_heredoc_content] = STATE(1497),
    [anon_sym_LBRACE] = ACTIONS(2490),
    [anon_sym_RBRACE] = ACTIONS(2490),
    [anon_sym_EQ] = ACTIONS(2492),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2490),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2490),
    [anon_sym_COMMA] = ACTIONS(2490),
    [anon_sym_RPAREN] = ACTIONS(2490),
    [anon_sym_LPAREN] = ACTIONS(2490),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2490),
    [anon_sym_and] = ACTIONS(2490),
    [anon_sym_or] = ACTIONS(2490),
    [anon_sym_xor] = ACTIONS(2490),
    [anon_sym_LBRACK] = ACTIONS(2490),
    [anon_sym_RBRACK] = ACTIONS(2490),
    [anon_sym_DASH_GT] = ACTIONS(2490),
    [anon_sym_PERCENT] = ACTIONS(2492),
    [anon_sym_GT] = ACTIONS(2492),
    [anon_sym_LT_LT] = ACTIONS(2492),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2490),
    [anon_sym_PLUS_EQ] = ACTIONS(2490),
    [anon_sym_DASH_EQ] = ACTIONS(2490),
    [anon_sym_DOT_EQ] = ACTIONS(2490),
    [anon_sym_STAR_EQ] = ACTIONS(2490),
    [anon_sym_SLASH_EQ] = ACTIONS(2490),
    [anon_sym_PERCENT_EQ] = ACTIONS(2490),
    [anon_sym_x_EQ] = ACTIONS(2490),
    [anon_sym_AMP_EQ] = ACTIONS(2490),
    [anon_sym_PIPE_EQ] = ACTIONS(2490),
    [anon_sym_CARET_EQ] = ACTIONS(2490),
    [anon_sym_LT_LT_EQ] = ACTIONS(2490),
    [anon_sym_GT_GT_EQ] = ACTIONS(2490),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2490),
    [anon_sym_DOT_DOT] = ACTIONS(2492),
    [anon_sym_STAR_STAR] = ACTIONS(2492),
    [anon_sym_PIPE_PIPE] = ACTIONS(2492),
    [anon_sym_SLASH_SLASH] = ACTIONS(2492),
    [anon_sym_CARET_CARET] = ACTIONS(2490),
    [anon_sym_AMP_AMP] = ACTIONS(2492),
    [anon_sym_PIPE] = ACTIONS(2492),
    [anon_sym_CARET] = ACTIONS(2492),
    [anon_sym_AMP] = ACTIONS(2492),
    [anon_sym_GT_GT2] = ACTIONS(2492),
    [anon_sym_PLUS] = ACTIONS(2492),
    [anon_sym_DASH] = ACTIONS(2492),
    [anon_sym_DOT] = ACTIONS(2492),
    [anon_sym_STAR] = ACTIONS(2492),
    [anon_sym_SLASH] = ACTIONS(2492),
    [anon_sym_x] = ACTIONS(2492),
    [anon_sym_EQ_TILDE] = ACTIONS(2490),
    [anon_sym_BANG_TILDE] = ACTIONS(2490),
    [anon_sym_EQ_EQ] = ACTIONS(2492),
    [anon_sym_BANG_EQ] = ACTIONS(2490),
    [anon_sym_eq] = ACTIONS(2492),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2490),
    [anon_sym_equ] = ACTIONS(2490),
    [anon_sym_eqr] = ACTIONS(2490),
    [anon_sym_ne] = ACTIONS(2490),
    [anon_sym_LT_EQ_GT] = ACTIONS(2490),
    [anon_sym_cmp] = ACTIONS(2490),
    [anon_sym_TILDE_TILDE] = ACTIONS(2490),
    [anon_sym_LT] = ACTIONS(2492),
    [anon_sym_LT_EQ] = ACTIONS(2492),
    [anon_sym_GT_EQ] = ACTIONS(2490),
    [anon_sym_lt] = ACTIONS(2490),
    [anon_sym_le] = ACTIONS(2490),
    [anon_sym_ge] = ACTIONS(2490),
    [anon_sym_gt] = ACTIONS(2490),
    [anon_sym_isa] = ACTIONS(2490),
    [anon_sym_PLUS_PLUS] = ACTIONS(2490),
    [anon_sym_DASH_DASH] = ACTIONS(2490),
    [anon_sym_QMARK] = ACTIONS(2490),
    [anon_sym_EQ_GT] = ACTIONS(2490),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1498] = {
    [sym_heredoc_content] = STATE(1498),
    [anon_sym_LBRACE] = ACTIONS(2486),
    [anon_sym_RBRACE] = ACTIONS(2486),
    [anon_sym_EQ] = ACTIONS(2488),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2486),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2486),
    [anon_sym_COMMA] = ACTIONS(2486),
    [anon_sym_RPAREN] = ACTIONS(2486),
    [anon_sym_LPAREN] = ACTIONS(2486),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2486),
    [anon_sym_and] = ACTIONS(2486),
    [anon_sym_or] = ACTIONS(2486),
    [anon_sym_xor] = ACTIONS(2486),
    [anon_sym_LBRACK] = ACTIONS(2486),
    [anon_sym_RBRACK] = ACTIONS(2486),
    [anon_sym_DASH_GT] = ACTIONS(2486),
    [anon_sym_PERCENT] = ACTIONS(2488),
    [anon_sym_GT] = ACTIONS(2488),
    [anon_sym_LT_LT] = ACTIONS(2488),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2486),
    [anon_sym_PLUS_EQ] = ACTIONS(2486),
    [anon_sym_DASH_EQ] = ACTIONS(2486),
    [anon_sym_DOT_EQ] = ACTIONS(2486),
    [anon_sym_STAR_EQ] = ACTIONS(2486),
    [anon_sym_SLASH_EQ] = ACTIONS(2486),
    [anon_sym_PERCENT_EQ] = ACTIONS(2486),
    [anon_sym_x_EQ] = ACTIONS(2486),
    [anon_sym_AMP_EQ] = ACTIONS(2486),
    [anon_sym_PIPE_EQ] = ACTIONS(2486),
    [anon_sym_CARET_EQ] = ACTIONS(2486),
    [anon_sym_LT_LT_EQ] = ACTIONS(2486),
    [anon_sym_GT_GT_EQ] = ACTIONS(2486),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2486),
    [anon_sym_DOT_DOT] = ACTIONS(2488),
    [anon_sym_STAR_STAR] = ACTIONS(2488),
    [anon_sym_PIPE_PIPE] = ACTIONS(2488),
    [anon_sym_SLASH_SLASH] = ACTIONS(2488),
    [anon_sym_CARET_CARET] = ACTIONS(2486),
    [anon_sym_AMP_AMP] = ACTIONS(2488),
    [anon_sym_PIPE] = ACTIONS(2488),
    [anon_sym_CARET] = ACTIONS(2488),
    [anon_sym_AMP] = ACTIONS(2488),
    [anon_sym_GT_GT2] = ACTIONS(2488),
    [anon_sym_PLUS] = ACTIONS(2488),
    [anon_sym_DASH] = ACTIONS(2488),
    [anon_sym_DOT] = ACTIONS(2488),
    [anon_sym_STAR] = ACTIONS(2488),
    [anon_sym_SLASH] = ACTIONS(2488),
    [anon_sym_x] = ACTIONS(2488),
    [anon_sym_EQ_TILDE] = ACTIONS(2486),
    [anon_sym_BANG_TILDE] = ACTIONS(2486),
    [anon_sym_EQ_EQ] = ACTIONS(2488),
    [anon_sym_BANG_EQ] = ACTIONS(2486),
    [anon_sym_eq] = ACTIONS(2488),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2486),
    [anon_sym_equ] = ACTIONS(2486),
    [anon_sym_eqr] = ACTIONS(2486),
    [anon_sym_ne] = ACTIONS(2486),
    [anon_sym_LT_EQ_GT] = ACTIONS(2486),
    [anon_sym_cmp] = ACTIONS(2486),
    [anon_sym_TILDE_TILDE] = ACTIONS(2486),
    [anon_sym_LT] = ACTIONS(2488),
    [anon_sym_LT_EQ] = ACTIONS(2488),
    [anon_sym_GT_EQ] = ACTIONS(2486),
    [anon_sym_lt] = ACTIONS(2486),
    [anon_sym_le] = ACTIONS(2486),
    [anon_sym_ge] = ACTIONS(2486),
    [anon_sym_gt] = ACTIONS(2486),
    [anon_sym_isa] = ACTIONS(2486),
    [anon_sym_PLUS_PLUS] = ACTIONS(2486),
    [anon_sym_DASH_DASH] = ACTIONS(2486),
    [anon_sym_QMARK] = ACTIONS(2486),
    [anon_sym_EQ_GT] = ACTIONS(2486),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1499] = {
    [sym_heredoc_content] = STATE(1499),
    [anon_sym_LBRACE] = ACTIONS(2494),
    [anon_sym_RBRACE] = ACTIONS(2494),
    [anon_sym_EQ] = ACTIONS(2496),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2494),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2494),
    [anon_sym_COMMA] = ACTIONS(2494),
    [anon_sym_RPAREN] = ACTIONS(2494),
    [anon_sym_LPAREN] = ACTIONS(2494),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2494),
    [anon_sym_and] = ACTIONS(2494),
    [anon_sym_or] = ACTIONS(2494),
    [anon_sym_xor] = ACTIONS(2494),
    [anon_sym_LBRACK] = ACTIONS(2494),
    [anon_sym_RBRACK] = ACTIONS(2494),
    [anon_sym_DASH_GT] = ACTIONS(2494),
    [anon_sym_PERCENT] = ACTIONS(2496),
    [anon_sym_GT] = ACTIONS(2496),
    [anon_sym_LT_LT] = ACTIONS(2496),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2494),
    [anon_sym_PLUS_EQ] = ACTIONS(2494),
    [anon_sym_DASH_EQ] = ACTIONS(2494),
    [anon_sym_DOT_EQ] = ACTIONS(2494),
    [anon_sym_STAR_EQ] = ACTIONS(2494),
    [anon_sym_SLASH_EQ] = ACTIONS(2494),
    [anon_sym_PERCENT_EQ] = ACTIONS(2494),
    [anon_sym_x_EQ] = ACTIONS(2494),
    [anon_sym_AMP_EQ] = ACTIONS(2494),
    [anon_sym_PIPE_EQ] = ACTIONS(2494),
    [anon_sym_CARET_EQ] = ACTIONS(2494),
    [anon_sym_LT_LT_EQ] = ACTIONS(2494),
    [anon_sym_GT_GT_EQ] = ACTIONS(2494),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2494),
    [anon_sym_DOT_DOT] = ACTIONS(2496),
    [anon_sym_STAR_STAR] = ACTIONS(2496),
    [anon_sym_PIPE_PIPE] = ACTIONS(2496),
    [anon_sym_SLASH_SLASH] = ACTIONS(2496),
    [anon_sym_CARET_CARET] = ACTIONS(2494),
    [anon_sym_AMP_AMP] = ACTIONS(2496),
    [anon_sym_PIPE] = ACTIONS(2496),
    [anon_sym_CARET] = ACTIONS(2496),
    [anon_sym_AMP] = ACTIONS(2496),
    [anon_sym_GT_GT2] = ACTIONS(2496),
    [anon_sym_PLUS] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2496),
    [anon_sym_DOT] = ACTIONS(2496),
    [anon_sym_STAR] = ACTIONS(2496),
    [anon_sym_SLASH] = ACTIONS(2496),
    [anon_sym_x] = ACTIONS(2496),
    [anon_sym_EQ_TILDE] = ACTIONS(2494),
    [anon_sym_BANG_TILDE] = ACTIONS(2494),
    [anon_sym_EQ_EQ] = ACTIONS(2496),
    [anon_sym_BANG_EQ] = ACTIONS(2494),
    [anon_sym_eq] = ACTIONS(2496),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2494),
    [anon_sym_equ] = ACTIONS(2494),
    [anon_sym_eqr] = ACTIONS(2494),
    [anon_sym_ne] = ACTIONS(2494),
    [anon_sym_LT_EQ_GT] = ACTIONS(2494),
    [anon_sym_cmp] = ACTIONS(2494),
    [anon_sym_TILDE_TILDE] = ACTIONS(2494),
    [anon_sym_LT] = ACTIONS(2496),
    [anon_sym_LT_EQ] = ACTIONS(2496),
    [anon_sym_GT_EQ] = ACTIONS(2494),
    [anon_sym_lt] = ACTIONS(2494),
    [anon_sym_le] = ACTIONS(2494),
    [anon_sym_ge] = ACTIONS(2494),
    [anon_sym_gt] = ACTIONS(2494),
    [anon_sym_isa] = ACTIONS(2494),
    [anon_sym_PLUS_PLUS] = ACTIONS(2494),
    [anon_sym_DASH_DASH] = ACTIONS(2494),
    [anon_sym_QMARK] = ACTIONS(2494),
    [anon_sym_EQ_GT] = ACTIONS(2494),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1500] = {
    [sym_heredoc_content] = STATE(1500),
    [anon_sym_LBRACE] = ACTIONS(1861),
    [anon_sym_RBRACE] = ACTIONS(1861),
    [anon_sym_EQ] = ACTIONS(1859),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1861),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1861),
    [anon_sym_COMMA] = ACTIONS(1861),
    [anon_sym_RPAREN] = ACTIONS(1861),
    [anon_sym_LPAREN] = ACTIONS(1861),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1861),
    [anon_sym_and] = ACTIONS(1861),
    [anon_sym_or] = ACTIONS(1861),
    [anon_sym_xor] = ACTIONS(1861),
    [anon_sym_LBRACK] = ACTIONS(1861),
    [anon_sym_RBRACK] = ACTIONS(1861),
    [anon_sym_DASH_GT] = ACTIONS(1861),
    [anon_sym_PERCENT] = ACTIONS(1859),
    [anon_sym_GT] = ACTIONS(1859),
    [anon_sym_LT_LT] = ACTIONS(1859),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1861),
    [anon_sym_PLUS_EQ] = ACTIONS(1861),
    [anon_sym_DASH_EQ] = ACTIONS(1861),
    [anon_sym_DOT_EQ] = ACTIONS(1861),
    [anon_sym_STAR_EQ] = ACTIONS(1861),
    [anon_sym_SLASH_EQ] = ACTIONS(1861),
    [anon_sym_PERCENT_EQ] = ACTIONS(1861),
    [anon_sym_x_EQ] = ACTIONS(1861),
    [anon_sym_AMP_EQ] = ACTIONS(1861),
    [anon_sym_PIPE_EQ] = ACTIONS(1861),
    [anon_sym_CARET_EQ] = ACTIONS(1861),
    [anon_sym_LT_LT_EQ] = ACTIONS(1861),
    [anon_sym_GT_GT_EQ] = ACTIONS(1861),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1861),
    [anon_sym_DOT_DOT] = ACTIONS(1859),
    [anon_sym_STAR_STAR] = ACTIONS(1859),
    [anon_sym_PIPE_PIPE] = ACTIONS(1859),
    [anon_sym_SLASH_SLASH] = ACTIONS(1859),
    [anon_sym_CARET_CARET] = ACTIONS(1861),
    [anon_sym_AMP_AMP] = ACTIONS(1859),
    [anon_sym_PIPE] = ACTIONS(1859),
    [anon_sym_CARET] = ACTIONS(1859),
    [anon_sym_AMP] = ACTIONS(1859),
    [anon_sym_GT_GT2] = ACTIONS(1859),
    [anon_sym_PLUS] = ACTIONS(1859),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_DOT] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1859),
    [anon_sym_SLASH] = ACTIONS(1859),
    [anon_sym_x] = ACTIONS(1859),
    [anon_sym_EQ_TILDE] = ACTIONS(1861),
    [anon_sym_BANG_TILDE] = ACTIONS(1861),
    [anon_sym_EQ_EQ] = ACTIONS(1859),
    [anon_sym_BANG_EQ] = ACTIONS(1861),
    [anon_sym_eq] = ACTIONS(1859),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1861),
    [anon_sym_equ] = ACTIONS(1861),
    [anon_sym_eqr] = ACTIONS(1861),
    [anon_sym_ne] = ACTIONS(1861),
    [anon_sym_LT_EQ_GT] = ACTIONS(1861),
    [anon_sym_cmp] = ACTIONS(1861),
    [anon_sym_TILDE_TILDE] = ACTIONS(1861),
    [anon_sym_LT] = ACTIONS(1859),
    [anon_sym_LT_EQ] = ACTIONS(1859),
    [anon_sym_GT_EQ] = ACTIONS(1861),
    [anon_sym_lt] = ACTIONS(1861),
    [anon_sym_le] = ACTIONS(1861),
    [anon_sym_ge] = ACTIONS(1861),
    [anon_sym_gt] = ACTIONS(1861),
    [anon_sym_isa] = ACTIONS(1861),
    [anon_sym_PLUS_PLUS] = ACTIONS(1861),
    [anon_sym_DASH_DASH] = ACTIONS(1861),
    [anon_sym_QMARK] = ACTIONS(1861),
    [anon_sym_EQ_GT] = ACTIONS(1861),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1501] = {
    [sym_heredoc_content] = STATE(1501),
    [anon_sym_SEMI] = ACTIONS(2774),
    [anon_sym_EQ] = ACTIONS(3351),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3353),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3353),
    [anon_sym_COMMA] = ACTIONS(2774),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3357),
    [anon_sym_and] = ACTIONS(2774),
    [anon_sym_or] = ACTIONS(2774),
    [anon_sym_xor] = ACTIONS(2774),
    [anon_sym_DASH_GT] = ACTIONS(2591),
    [anon_sym_PERCENT] = ACTIONS(3359),
    [anon_sym_GT] = ACTIONS(3361),
    [anon_sym_LT_LT] = ACTIONS(3363),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3353),
    [anon_sym_PLUS_EQ] = ACTIONS(3353),
    [anon_sym_DASH_EQ] = ACTIONS(3353),
    [anon_sym_DOT_EQ] = ACTIONS(3353),
    [anon_sym_STAR_EQ] = ACTIONS(3353),
    [anon_sym_SLASH_EQ] = ACTIONS(3353),
    [anon_sym_PERCENT_EQ] = ACTIONS(3353),
    [anon_sym_x_EQ] = ACTIONS(3353),
    [anon_sym_AMP_EQ] = ACTIONS(3353),
    [anon_sym_PIPE_EQ] = ACTIONS(3353),
    [anon_sym_CARET_EQ] = ACTIONS(3353),
    [anon_sym_LT_LT_EQ] = ACTIONS(3353),
    [anon_sym_GT_GT_EQ] = ACTIONS(3353),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3353),
    [anon_sym_DOT_DOT] = ACTIONS(3365),
    [anon_sym_STAR_STAR] = ACTIONS(3367),
    [anon_sym_PIPE_PIPE] = ACTIONS(3369),
    [anon_sym_SLASH_SLASH] = ACTIONS(3369),
    [anon_sym_CARET_CARET] = ACTIONS(3371),
    [anon_sym_AMP_AMP] = ACTIONS(3373),
    [anon_sym_PIPE] = ACTIONS(3375),
    [anon_sym_CARET] = ACTIONS(3375),
    [anon_sym_AMP] = ACTIONS(3377),
    [anon_sym_GT_GT2] = ACTIONS(3363),
    [anon_sym_PLUS] = ACTIONS(3379),
    [anon_sym_DASH] = ACTIONS(3379),
    [anon_sym_DOT] = ACTIONS(3379),
    [anon_sym_STAR] = ACTIONS(3359),
    [anon_sym_SLASH] = ACTIONS(3359),
    [anon_sym_x] = ACTIONS(3359),
    [anon_sym_EQ_TILDE] = ACTIONS(3381),
    [anon_sym_BANG_TILDE] = ACTIONS(3381),
    [anon_sym_EQ_EQ] = ACTIONS(3383),
    [anon_sym_BANG_EQ] = ACTIONS(3385),
    [anon_sym_eq] = ACTIONS(3383),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3385),
    [anon_sym_equ] = ACTIONS(3385),
    [anon_sym_eqr] = ACTIONS(3385),
    [anon_sym_ne] = ACTIONS(3385),
    [anon_sym_LT_EQ_GT] = ACTIONS(3387),
    [anon_sym_cmp] = ACTIONS(3387),
    [anon_sym_TILDE_TILDE] = ACTIONS(3387),
    [anon_sym_LT] = ACTIONS(3361),
    [anon_sym_LT_EQ] = ACTIONS(3361),
    [anon_sym_GT_EQ] = ACTIONS(3389),
    [anon_sym_lt] = ACTIONS(3389),
    [anon_sym_le] = ACTIONS(3389),
    [anon_sym_ge] = ACTIONS(3389),
    [anon_sym_gt] = ACTIONS(3389),
    [anon_sym_isa] = ACTIONS(3391),
    [anon_sym_PLUS_PLUS] = ACTIONS(2627),
    [anon_sym_DASH_DASH] = ACTIONS(2627),
    [anon_sym_QMARK] = ACTIONS(3393),
    [anon_sym_EQ_GT] = ACTIONS(2774),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2774),
    [anon_sym___END__] = ACTIONS(2774),
    [anon_sym_EOT] = ACTIONS(2774),
    [sym__PERLY_SEMICOLON] = ACTIONS(2774),
    [sym__ctrl_z_hack] = ACTIONS(2774),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1502] = {
    [sym_heredoc_content] = STATE(1502),
    [anon_sym_LBRACE] = ACTIONS(2478),
    [anon_sym_COLON] = ACTIONS(2478),
    [anon_sym_DOLLAR] = ACTIONS(2478),
    [anon_sym_EQ] = ACTIONS(2480),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2478),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2478),
    [anon_sym_AT] = ACTIONS(2478),
    [anon_sym_COMMA] = ACTIONS(2478),
    [anon_sym_RPAREN] = ACTIONS(2478),
    [anon_sym_LPAREN] = ACTIONS(2478),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2478),
    [anon_sym_LBRACK] = ACTIONS(2478),
    [anon_sym_DASH_GT] = ACTIONS(2478),
    [anon_sym_PERCENT] = ACTIONS(2480),
    [anon_sym_GT] = ACTIONS(2480),
    [anon_sym_LT_LT] = ACTIONS(2480),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2478),
    [anon_sym_PLUS_EQ] = ACTIONS(2478),
    [anon_sym_DASH_EQ] = ACTIONS(2478),
    [anon_sym_DOT_EQ] = ACTIONS(2478),
    [anon_sym_STAR_EQ] = ACTIONS(2478),
    [anon_sym_SLASH_EQ] = ACTIONS(2478),
    [anon_sym_PERCENT_EQ] = ACTIONS(2480),
    [anon_sym_x_EQ] = ACTIONS(2478),
    [anon_sym_AMP_EQ] = ACTIONS(2478),
    [anon_sym_PIPE_EQ] = ACTIONS(2478),
    [anon_sym_CARET_EQ] = ACTIONS(2478),
    [anon_sym_LT_LT_EQ] = ACTIONS(2478),
    [anon_sym_GT_GT_EQ] = ACTIONS(2478),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2478),
    [anon_sym_DOT_DOT] = ACTIONS(2480),
    [anon_sym_STAR_STAR] = ACTIONS(2480),
    [anon_sym_PIPE_PIPE] = ACTIONS(2480),
    [anon_sym_SLASH_SLASH] = ACTIONS(2480),
    [anon_sym_CARET_CARET] = ACTIONS(2478),
    [anon_sym_AMP_AMP] = ACTIONS(2480),
    [anon_sym_PIPE] = ACTIONS(2480),
    [anon_sym_CARET] = ACTIONS(2480),
    [anon_sym_AMP] = ACTIONS(2480),
    [anon_sym_GT_GT2] = ACTIONS(2480),
    [anon_sym_PLUS] = ACTIONS(2480),
    [anon_sym_DASH] = ACTIONS(2480),
    [anon_sym_DOT] = ACTIONS(2480),
    [anon_sym_STAR] = ACTIONS(2480),
    [anon_sym_SLASH] = ACTIONS(2480),
    [anon_sym_x] = ACTIONS(2480),
    [anon_sym_EQ_TILDE] = ACTIONS(2478),
    [anon_sym_BANG_TILDE] = ACTIONS(2478),
    [anon_sym_EQ_EQ] = ACTIONS(2480),
    [anon_sym_BANG_EQ] = ACTIONS(2478),
    [anon_sym_eq] = ACTIONS(2480),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2478),
    [anon_sym_equ] = ACTIONS(2478),
    [anon_sym_eqr] = ACTIONS(2478),
    [anon_sym_ne] = ACTIONS(2478),
    [anon_sym_LT_EQ_GT] = ACTIONS(2478),
    [anon_sym_cmp] = ACTIONS(2478),
    [anon_sym_TILDE_TILDE] = ACTIONS(2478),
    [anon_sym_LT] = ACTIONS(2480),
    [anon_sym_LT_EQ] = ACTIONS(2480),
    [anon_sym_GT_EQ] = ACTIONS(2478),
    [anon_sym_lt] = ACTIONS(2478),
    [anon_sym_le] = ACTIONS(2478),
    [anon_sym_ge] = ACTIONS(2478),
    [anon_sym_gt] = ACTIONS(2478),
    [anon_sym_isa] = ACTIONS(2478),
    [anon_sym_PLUS_PLUS] = ACTIONS(2478),
    [anon_sym_DASH_DASH] = ACTIONS(2478),
    [anon_sym_QMARK] = ACTIONS(2478),
    [anon_sym_PERCENT2] = ACTIONS(2478),
    [anon_sym_EQ_GT] = ACTIONS(2478),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1503] = {
    [sym_heredoc_content] = STATE(1503),
    [anon_sym_LBRACE] = ACTIONS(1861),
    [anon_sym_COLON] = ACTIONS(1861),
    [anon_sym_DOLLAR] = ACTIONS(1861),
    [anon_sym_EQ] = ACTIONS(1859),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1861),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1861),
    [anon_sym_AT] = ACTIONS(1861),
    [anon_sym_COMMA] = ACTIONS(1861),
    [anon_sym_RPAREN] = ACTIONS(1861),
    [anon_sym_LPAREN] = ACTIONS(1861),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1861),
    [anon_sym_LBRACK] = ACTIONS(1861),
    [anon_sym_DASH_GT] = ACTIONS(1861),
    [anon_sym_PERCENT] = ACTIONS(1859),
    [anon_sym_GT] = ACTIONS(1859),
    [anon_sym_LT_LT] = ACTIONS(1859),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1861),
    [anon_sym_PLUS_EQ] = ACTIONS(1861),
    [anon_sym_DASH_EQ] = ACTIONS(1861),
    [anon_sym_DOT_EQ] = ACTIONS(1861),
    [anon_sym_STAR_EQ] = ACTIONS(1861),
    [anon_sym_SLASH_EQ] = ACTIONS(1861),
    [anon_sym_PERCENT_EQ] = ACTIONS(1859),
    [anon_sym_x_EQ] = ACTIONS(1861),
    [anon_sym_AMP_EQ] = ACTIONS(1861),
    [anon_sym_PIPE_EQ] = ACTIONS(1861),
    [anon_sym_CARET_EQ] = ACTIONS(1861),
    [anon_sym_LT_LT_EQ] = ACTIONS(1861),
    [anon_sym_GT_GT_EQ] = ACTIONS(1861),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1861),
    [anon_sym_DOT_DOT] = ACTIONS(1859),
    [anon_sym_STAR_STAR] = ACTIONS(1859),
    [anon_sym_PIPE_PIPE] = ACTIONS(1859),
    [anon_sym_SLASH_SLASH] = ACTIONS(1859),
    [anon_sym_CARET_CARET] = ACTIONS(1861),
    [anon_sym_AMP_AMP] = ACTIONS(1859),
    [anon_sym_PIPE] = ACTIONS(1859),
    [anon_sym_CARET] = ACTIONS(1859),
    [anon_sym_AMP] = ACTIONS(1859),
    [anon_sym_GT_GT2] = ACTIONS(1859),
    [anon_sym_PLUS] = ACTIONS(1859),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_DOT] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1859),
    [anon_sym_SLASH] = ACTIONS(1859),
    [anon_sym_x] = ACTIONS(1859),
    [anon_sym_EQ_TILDE] = ACTIONS(1861),
    [anon_sym_BANG_TILDE] = ACTIONS(1861),
    [anon_sym_EQ_EQ] = ACTIONS(1859),
    [anon_sym_BANG_EQ] = ACTIONS(1861),
    [anon_sym_eq] = ACTIONS(1859),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1861),
    [anon_sym_equ] = ACTIONS(1861),
    [anon_sym_eqr] = ACTIONS(1861),
    [anon_sym_ne] = ACTIONS(1861),
    [anon_sym_LT_EQ_GT] = ACTIONS(1861),
    [anon_sym_cmp] = ACTIONS(1861),
    [anon_sym_TILDE_TILDE] = ACTIONS(1861),
    [anon_sym_LT] = ACTIONS(1859),
    [anon_sym_LT_EQ] = ACTIONS(1859),
    [anon_sym_GT_EQ] = ACTIONS(1861),
    [anon_sym_lt] = ACTIONS(1861),
    [anon_sym_le] = ACTIONS(1861),
    [anon_sym_ge] = ACTIONS(1861),
    [anon_sym_gt] = ACTIONS(1861),
    [anon_sym_isa] = ACTIONS(1861),
    [anon_sym_PLUS_PLUS] = ACTIONS(1861),
    [anon_sym_DASH_DASH] = ACTIONS(1861),
    [anon_sym_QMARK] = ACTIONS(1861),
    [anon_sym_PERCENT2] = ACTIONS(1861),
    [anon_sym_EQ_GT] = ACTIONS(1861),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1504] = {
    [sym_heredoc_content] = STATE(1504),
    [anon_sym_LBRACE] = ACTIONS(1865),
    [anon_sym_COLON] = ACTIONS(1865),
    [anon_sym_DOLLAR] = ACTIONS(1865),
    [anon_sym_EQ] = ACTIONS(1863),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1865),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1865),
    [anon_sym_AT] = ACTIONS(1865),
    [anon_sym_COMMA] = ACTIONS(1865),
    [anon_sym_RPAREN] = ACTIONS(1865),
    [anon_sym_LPAREN] = ACTIONS(1865),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1865),
    [anon_sym_LBRACK] = ACTIONS(1865),
    [anon_sym_DASH_GT] = ACTIONS(1865),
    [anon_sym_PERCENT] = ACTIONS(1863),
    [anon_sym_GT] = ACTIONS(1863),
    [anon_sym_LT_LT] = ACTIONS(1863),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1865),
    [anon_sym_PLUS_EQ] = ACTIONS(1865),
    [anon_sym_DASH_EQ] = ACTIONS(1865),
    [anon_sym_DOT_EQ] = ACTIONS(1865),
    [anon_sym_STAR_EQ] = ACTIONS(1865),
    [anon_sym_SLASH_EQ] = ACTIONS(1865),
    [anon_sym_PERCENT_EQ] = ACTIONS(1863),
    [anon_sym_x_EQ] = ACTIONS(1865),
    [anon_sym_AMP_EQ] = ACTIONS(1865),
    [anon_sym_PIPE_EQ] = ACTIONS(1865),
    [anon_sym_CARET_EQ] = ACTIONS(1865),
    [anon_sym_LT_LT_EQ] = ACTIONS(1865),
    [anon_sym_GT_GT_EQ] = ACTIONS(1865),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1865),
    [anon_sym_DOT_DOT] = ACTIONS(1863),
    [anon_sym_STAR_STAR] = ACTIONS(1863),
    [anon_sym_PIPE_PIPE] = ACTIONS(1863),
    [anon_sym_SLASH_SLASH] = ACTIONS(1863),
    [anon_sym_CARET_CARET] = ACTIONS(1865),
    [anon_sym_AMP_AMP] = ACTIONS(1863),
    [anon_sym_PIPE] = ACTIONS(1863),
    [anon_sym_CARET] = ACTIONS(1863),
    [anon_sym_AMP] = ACTIONS(1863),
    [anon_sym_GT_GT2] = ACTIONS(1863),
    [anon_sym_PLUS] = ACTIONS(1863),
    [anon_sym_DASH] = ACTIONS(1863),
    [anon_sym_DOT] = ACTIONS(1863),
    [anon_sym_STAR] = ACTIONS(1863),
    [anon_sym_SLASH] = ACTIONS(1863),
    [anon_sym_x] = ACTIONS(1863),
    [anon_sym_EQ_TILDE] = ACTIONS(1865),
    [anon_sym_BANG_TILDE] = ACTIONS(1865),
    [anon_sym_EQ_EQ] = ACTIONS(1863),
    [anon_sym_BANG_EQ] = ACTIONS(1865),
    [anon_sym_eq] = ACTIONS(1863),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1865),
    [anon_sym_equ] = ACTIONS(1865),
    [anon_sym_eqr] = ACTIONS(1865),
    [anon_sym_ne] = ACTIONS(1865),
    [anon_sym_LT_EQ_GT] = ACTIONS(1865),
    [anon_sym_cmp] = ACTIONS(1865),
    [anon_sym_TILDE_TILDE] = ACTIONS(1865),
    [anon_sym_LT] = ACTIONS(1863),
    [anon_sym_LT_EQ] = ACTIONS(1863),
    [anon_sym_GT_EQ] = ACTIONS(1865),
    [anon_sym_lt] = ACTIONS(1865),
    [anon_sym_le] = ACTIONS(1865),
    [anon_sym_ge] = ACTIONS(1865),
    [anon_sym_gt] = ACTIONS(1865),
    [anon_sym_isa] = ACTIONS(1865),
    [anon_sym_PLUS_PLUS] = ACTIONS(1865),
    [anon_sym_DASH_DASH] = ACTIONS(1865),
    [anon_sym_QMARK] = ACTIONS(1865),
    [anon_sym_PERCENT2] = ACTIONS(1865),
    [anon_sym_EQ_GT] = ACTIONS(1865),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1505] = {
    [sym_heredoc_content] = STATE(1505),
    [anon_sym_LBRACE] = ACTIONS(1853),
    [anon_sym_COLON] = ACTIONS(1853),
    [anon_sym_DOLLAR] = ACTIONS(1853),
    [anon_sym_EQ] = ACTIONS(1851),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1853),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1853),
    [anon_sym_AT] = ACTIONS(1853),
    [anon_sym_COMMA] = ACTIONS(1853),
    [anon_sym_RPAREN] = ACTIONS(1853),
    [anon_sym_LPAREN] = ACTIONS(1853),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1853),
    [anon_sym_LBRACK] = ACTIONS(1853),
    [anon_sym_DASH_GT] = ACTIONS(1853),
    [anon_sym_PERCENT] = ACTIONS(1851),
    [anon_sym_GT] = ACTIONS(1851),
    [anon_sym_LT_LT] = ACTIONS(1851),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1853),
    [anon_sym_PLUS_EQ] = ACTIONS(1853),
    [anon_sym_DASH_EQ] = ACTIONS(1853),
    [anon_sym_DOT_EQ] = ACTIONS(1853),
    [anon_sym_STAR_EQ] = ACTIONS(1853),
    [anon_sym_SLASH_EQ] = ACTIONS(1853),
    [anon_sym_PERCENT_EQ] = ACTIONS(1851),
    [anon_sym_x_EQ] = ACTIONS(1853),
    [anon_sym_AMP_EQ] = ACTIONS(1853),
    [anon_sym_PIPE_EQ] = ACTIONS(1853),
    [anon_sym_CARET_EQ] = ACTIONS(1853),
    [anon_sym_LT_LT_EQ] = ACTIONS(1853),
    [anon_sym_GT_GT_EQ] = ACTIONS(1853),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1853),
    [anon_sym_DOT_DOT] = ACTIONS(1851),
    [anon_sym_STAR_STAR] = ACTIONS(1851),
    [anon_sym_PIPE_PIPE] = ACTIONS(1851),
    [anon_sym_SLASH_SLASH] = ACTIONS(1851),
    [anon_sym_CARET_CARET] = ACTIONS(1853),
    [anon_sym_AMP_AMP] = ACTIONS(1851),
    [anon_sym_PIPE] = ACTIONS(1851),
    [anon_sym_CARET] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym_GT_GT2] = ACTIONS(1851),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_DOT] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_SLASH] = ACTIONS(1851),
    [anon_sym_x] = ACTIONS(1851),
    [anon_sym_EQ_TILDE] = ACTIONS(1853),
    [anon_sym_BANG_TILDE] = ACTIONS(1853),
    [anon_sym_EQ_EQ] = ACTIONS(1851),
    [anon_sym_BANG_EQ] = ACTIONS(1853),
    [anon_sym_eq] = ACTIONS(1851),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1853),
    [anon_sym_equ] = ACTIONS(1853),
    [anon_sym_eqr] = ACTIONS(1853),
    [anon_sym_ne] = ACTIONS(1853),
    [anon_sym_LT_EQ_GT] = ACTIONS(1853),
    [anon_sym_cmp] = ACTIONS(1853),
    [anon_sym_TILDE_TILDE] = ACTIONS(1853),
    [anon_sym_LT] = ACTIONS(1851),
    [anon_sym_LT_EQ] = ACTIONS(1851),
    [anon_sym_GT_EQ] = ACTIONS(1853),
    [anon_sym_lt] = ACTIONS(1853),
    [anon_sym_le] = ACTIONS(1853),
    [anon_sym_ge] = ACTIONS(1853),
    [anon_sym_gt] = ACTIONS(1853),
    [anon_sym_isa] = ACTIONS(1853),
    [anon_sym_PLUS_PLUS] = ACTIONS(1853),
    [anon_sym_DASH_DASH] = ACTIONS(1853),
    [anon_sym_QMARK] = ACTIONS(1853),
    [anon_sym_PERCENT2] = ACTIONS(1853),
    [anon_sym_EQ_GT] = ACTIONS(1853),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1506] = {
    [sym_heredoc_content] = STATE(1506),
    [anon_sym_LBRACE] = ACTIONS(1832),
    [anon_sym_COLON] = ACTIONS(1832),
    [anon_sym_DOLLAR] = ACTIONS(1832),
    [anon_sym_EQ] = ACTIONS(1828),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1832),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1832),
    [anon_sym_AT] = ACTIONS(1832),
    [anon_sym_COMMA] = ACTIONS(1832),
    [anon_sym_RPAREN] = ACTIONS(1832),
    [anon_sym_LPAREN] = ACTIONS(1832),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1832),
    [anon_sym_LBRACK] = ACTIONS(1832),
    [anon_sym_DASH_GT] = ACTIONS(1832),
    [anon_sym_PERCENT] = ACTIONS(1828),
    [anon_sym_GT] = ACTIONS(1828),
    [anon_sym_LT_LT] = ACTIONS(1828),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1832),
    [anon_sym_PLUS_EQ] = ACTIONS(1832),
    [anon_sym_DASH_EQ] = ACTIONS(1832),
    [anon_sym_DOT_EQ] = ACTIONS(1832),
    [anon_sym_STAR_EQ] = ACTIONS(1832),
    [anon_sym_SLASH_EQ] = ACTIONS(1832),
    [anon_sym_PERCENT_EQ] = ACTIONS(1828),
    [anon_sym_x_EQ] = ACTIONS(1832),
    [anon_sym_AMP_EQ] = ACTIONS(1832),
    [anon_sym_PIPE_EQ] = ACTIONS(1832),
    [anon_sym_CARET_EQ] = ACTIONS(1832),
    [anon_sym_LT_LT_EQ] = ACTIONS(1832),
    [anon_sym_GT_GT_EQ] = ACTIONS(1832),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1832),
    [anon_sym_DOT_DOT] = ACTIONS(1828),
    [anon_sym_STAR_STAR] = ACTIONS(1828),
    [anon_sym_PIPE_PIPE] = ACTIONS(1828),
    [anon_sym_SLASH_SLASH] = ACTIONS(1828),
    [anon_sym_CARET_CARET] = ACTIONS(1832),
    [anon_sym_AMP_AMP] = ACTIONS(1828),
    [anon_sym_PIPE] = ACTIONS(1828),
    [anon_sym_CARET] = ACTIONS(1828),
    [anon_sym_AMP] = ACTIONS(1828),
    [anon_sym_GT_GT2] = ACTIONS(1828),
    [anon_sym_PLUS] = ACTIONS(1828),
    [anon_sym_DASH] = ACTIONS(1828),
    [anon_sym_DOT] = ACTIONS(1828),
    [anon_sym_STAR] = ACTIONS(1828),
    [anon_sym_SLASH] = ACTIONS(1828),
    [anon_sym_x] = ACTIONS(1828),
    [anon_sym_EQ_TILDE] = ACTIONS(1832),
    [anon_sym_BANG_TILDE] = ACTIONS(1832),
    [anon_sym_EQ_EQ] = ACTIONS(1828),
    [anon_sym_BANG_EQ] = ACTIONS(1832),
    [anon_sym_eq] = ACTIONS(1828),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1832),
    [anon_sym_equ] = ACTIONS(1832),
    [anon_sym_eqr] = ACTIONS(1832),
    [anon_sym_ne] = ACTIONS(1832),
    [anon_sym_LT_EQ_GT] = ACTIONS(1832),
    [anon_sym_cmp] = ACTIONS(1832),
    [anon_sym_TILDE_TILDE] = ACTIONS(1832),
    [anon_sym_LT] = ACTIONS(1828),
    [anon_sym_LT_EQ] = ACTIONS(1828),
    [anon_sym_GT_EQ] = ACTIONS(1832),
    [anon_sym_lt] = ACTIONS(1832),
    [anon_sym_le] = ACTIONS(1832),
    [anon_sym_ge] = ACTIONS(1832),
    [anon_sym_gt] = ACTIONS(1832),
    [anon_sym_isa] = ACTIONS(1832),
    [anon_sym_PLUS_PLUS] = ACTIONS(1832),
    [anon_sym_DASH_DASH] = ACTIONS(1832),
    [anon_sym_QMARK] = ACTIONS(1832),
    [anon_sym_PERCENT2] = ACTIONS(1832),
    [anon_sym_EQ_GT] = ACTIONS(1832),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1507] = {
    [sym_heredoc_content] = STATE(1507),
    [anon_sym_LBRACE] = ACTIONS(1857),
    [anon_sym_COLON] = ACTIONS(1857),
    [anon_sym_DOLLAR] = ACTIONS(1857),
    [anon_sym_EQ] = ACTIONS(1855),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1857),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1857),
    [anon_sym_AT] = ACTIONS(1857),
    [anon_sym_COMMA] = ACTIONS(1857),
    [anon_sym_RPAREN] = ACTIONS(1857),
    [anon_sym_LPAREN] = ACTIONS(1857),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(1857),
    [anon_sym_DASH_GT] = ACTIONS(1857),
    [anon_sym_PERCENT] = ACTIONS(1855),
    [anon_sym_GT] = ACTIONS(1855),
    [anon_sym_LT_LT] = ACTIONS(1855),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1857),
    [anon_sym_PLUS_EQ] = ACTIONS(1857),
    [anon_sym_DASH_EQ] = ACTIONS(1857),
    [anon_sym_DOT_EQ] = ACTIONS(1857),
    [anon_sym_STAR_EQ] = ACTIONS(1857),
    [anon_sym_SLASH_EQ] = ACTIONS(1857),
    [anon_sym_PERCENT_EQ] = ACTIONS(1855),
    [anon_sym_x_EQ] = ACTIONS(1857),
    [anon_sym_AMP_EQ] = ACTIONS(1857),
    [anon_sym_PIPE_EQ] = ACTIONS(1857),
    [anon_sym_CARET_EQ] = ACTIONS(1857),
    [anon_sym_LT_LT_EQ] = ACTIONS(1857),
    [anon_sym_GT_GT_EQ] = ACTIONS(1857),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1857),
    [anon_sym_DOT_DOT] = ACTIONS(1855),
    [anon_sym_STAR_STAR] = ACTIONS(1855),
    [anon_sym_PIPE_PIPE] = ACTIONS(1855),
    [anon_sym_SLASH_SLASH] = ACTIONS(1855),
    [anon_sym_CARET_CARET] = ACTIONS(1857),
    [anon_sym_AMP_AMP] = ACTIONS(1855),
    [anon_sym_PIPE] = ACTIONS(1855),
    [anon_sym_CARET] = ACTIONS(1855),
    [anon_sym_AMP] = ACTIONS(1855),
    [anon_sym_GT_GT2] = ACTIONS(1855),
    [anon_sym_PLUS] = ACTIONS(1855),
    [anon_sym_DASH] = ACTIONS(1855),
    [anon_sym_DOT] = ACTIONS(1855),
    [anon_sym_STAR] = ACTIONS(1855),
    [anon_sym_SLASH] = ACTIONS(1855),
    [anon_sym_x] = ACTIONS(1855),
    [anon_sym_EQ_TILDE] = ACTIONS(1857),
    [anon_sym_BANG_TILDE] = ACTIONS(1857),
    [anon_sym_EQ_EQ] = ACTIONS(1855),
    [anon_sym_BANG_EQ] = ACTIONS(1857),
    [anon_sym_eq] = ACTIONS(1855),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1857),
    [anon_sym_equ] = ACTIONS(1857),
    [anon_sym_eqr] = ACTIONS(1857),
    [anon_sym_ne] = ACTIONS(1857),
    [anon_sym_LT_EQ_GT] = ACTIONS(1857),
    [anon_sym_cmp] = ACTIONS(1857),
    [anon_sym_TILDE_TILDE] = ACTIONS(1857),
    [anon_sym_LT] = ACTIONS(1855),
    [anon_sym_LT_EQ] = ACTIONS(1855),
    [anon_sym_GT_EQ] = ACTIONS(1857),
    [anon_sym_lt] = ACTIONS(1857),
    [anon_sym_le] = ACTIONS(1857),
    [anon_sym_ge] = ACTIONS(1857),
    [anon_sym_gt] = ACTIONS(1857),
    [anon_sym_isa] = ACTIONS(1857),
    [anon_sym_PLUS_PLUS] = ACTIONS(1857),
    [anon_sym_DASH_DASH] = ACTIONS(1857),
    [anon_sym_QMARK] = ACTIONS(1857),
    [anon_sym_PERCENT2] = ACTIONS(1857),
    [anon_sym_EQ_GT] = ACTIONS(1857),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1508] = {
    [sym_heredoc_content] = STATE(1508),
    [anon_sym_LBRACE] = ACTIONS(1836),
    [anon_sym_COLON] = ACTIONS(1836),
    [anon_sym_DOLLAR] = ACTIONS(1836),
    [anon_sym_EQ] = ACTIONS(1834),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1836),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1836),
    [anon_sym_AT] = ACTIONS(1836),
    [anon_sym_COMMA] = ACTIONS(1836),
    [anon_sym_RPAREN] = ACTIONS(1836),
    [anon_sym_LPAREN] = ACTIONS(1836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1836),
    [anon_sym_LBRACK] = ACTIONS(1836),
    [anon_sym_DASH_GT] = ACTIONS(1836),
    [anon_sym_PERCENT] = ACTIONS(1834),
    [anon_sym_GT] = ACTIONS(1834),
    [anon_sym_LT_LT] = ACTIONS(1834),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1836),
    [anon_sym_PLUS_EQ] = ACTIONS(1836),
    [anon_sym_DASH_EQ] = ACTIONS(1836),
    [anon_sym_DOT_EQ] = ACTIONS(1836),
    [anon_sym_STAR_EQ] = ACTIONS(1836),
    [anon_sym_SLASH_EQ] = ACTIONS(1836),
    [anon_sym_PERCENT_EQ] = ACTIONS(1834),
    [anon_sym_x_EQ] = ACTIONS(1836),
    [anon_sym_AMP_EQ] = ACTIONS(1836),
    [anon_sym_PIPE_EQ] = ACTIONS(1836),
    [anon_sym_CARET_EQ] = ACTIONS(1836),
    [anon_sym_LT_LT_EQ] = ACTIONS(1836),
    [anon_sym_GT_GT_EQ] = ACTIONS(1836),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1836),
    [anon_sym_DOT_DOT] = ACTIONS(1834),
    [anon_sym_STAR_STAR] = ACTIONS(1834),
    [anon_sym_PIPE_PIPE] = ACTIONS(1834),
    [anon_sym_SLASH_SLASH] = ACTIONS(1834),
    [anon_sym_CARET_CARET] = ACTIONS(1836),
    [anon_sym_AMP_AMP] = ACTIONS(1834),
    [anon_sym_PIPE] = ACTIONS(1834),
    [anon_sym_CARET] = ACTIONS(1834),
    [anon_sym_AMP] = ACTIONS(1834),
    [anon_sym_GT_GT2] = ACTIONS(1834),
    [anon_sym_PLUS] = ACTIONS(1834),
    [anon_sym_DASH] = ACTIONS(1834),
    [anon_sym_DOT] = ACTIONS(1834),
    [anon_sym_STAR] = ACTIONS(1834),
    [anon_sym_SLASH] = ACTIONS(1834),
    [anon_sym_x] = ACTIONS(1834),
    [anon_sym_EQ_TILDE] = ACTIONS(1836),
    [anon_sym_BANG_TILDE] = ACTIONS(1836),
    [anon_sym_EQ_EQ] = ACTIONS(1834),
    [anon_sym_BANG_EQ] = ACTIONS(1836),
    [anon_sym_eq] = ACTIONS(1834),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1836),
    [anon_sym_equ] = ACTIONS(1836),
    [anon_sym_eqr] = ACTIONS(1836),
    [anon_sym_ne] = ACTIONS(1836),
    [anon_sym_LT_EQ_GT] = ACTIONS(1836),
    [anon_sym_cmp] = ACTIONS(1836),
    [anon_sym_TILDE_TILDE] = ACTIONS(1836),
    [anon_sym_LT] = ACTIONS(1834),
    [anon_sym_LT_EQ] = ACTIONS(1834),
    [anon_sym_GT_EQ] = ACTIONS(1836),
    [anon_sym_lt] = ACTIONS(1836),
    [anon_sym_le] = ACTIONS(1836),
    [anon_sym_ge] = ACTIONS(1836),
    [anon_sym_gt] = ACTIONS(1836),
    [anon_sym_isa] = ACTIONS(1836),
    [anon_sym_PLUS_PLUS] = ACTIONS(1836),
    [anon_sym_DASH_DASH] = ACTIONS(1836),
    [anon_sym_QMARK] = ACTIONS(1836),
    [anon_sym_PERCENT2] = ACTIONS(1836),
    [anon_sym_EQ_GT] = ACTIONS(1836),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1509] = {
    [sym_heredoc_content] = STATE(1509),
    [anon_sym_LBRACE] = ACTIONS(2494),
    [anon_sym_COLON] = ACTIONS(2494),
    [anon_sym_DOLLAR] = ACTIONS(2494),
    [anon_sym_EQ] = ACTIONS(2496),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2494),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2494),
    [anon_sym_AT] = ACTIONS(2494),
    [anon_sym_COMMA] = ACTIONS(2494),
    [anon_sym_RPAREN] = ACTIONS(2494),
    [anon_sym_LPAREN] = ACTIONS(2494),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2494),
    [anon_sym_LBRACK] = ACTIONS(2494),
    [anon_sym_DASH_GT] = ACTIONS(2494),
    [anon_sym_PERCENT] = ACTIONS(2496),
    [anon_sym_GT] = ACTIONS(2496),
    [anon_sym_LT_LT] = ACTIONS(2496),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2494),
    [anon_sym_PLUS_EQ] = ACTIONS(2494),
    [anon_sym_DASH_EQ] = ACTIONS(2494),
    [anon_sym_DOT_EQ] = ACTIONS(2494),
    [anon_sym_STAR_EQ] = ACTIONS(2494),
    [anon_sym_SLASH_EQ] = ACTIONS(2494),
    [anon_sym_PERCENT_EQ] = ACTIONS(2496),
    [anon_sym_x_EQ] = ACTIONS(2494),
    [anon_sym_AMP_EQ] = ACTIONS(2494),
    [anon_sym_PIPE_EQ] = ACTIONS(2494),
    [anon_sym_CARET_EQ] = ACTIONS(2494),
    [anon_sym_LT_LT_EQ] = ACTIONS(2494),
    [anon_sym_GT_GT_EQ] = ACTIONS(2494),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2494),
    [anon_sym_DOT_DOT] = ACTIONS(2496),
    [anon_sym_STAR_STAR] = ACTIONS(2496),
    [anon_sym_PIPE_PIPE] = ACTIONS(2496),
    [anon_sym_SLASH_SLASH] = ACTIONS(2496),
    [anon_sym_CARET_CARET] = ACTIONS(2494),
    [anon_sym_AMP_AMP] = ACTIONS(2496),
    [anon_sym_PIPE] = ACTIONS(2496),
    [anon_sym_CARET] = ACTIONS(2496),
    [anon_sym_AMP] = ACTIONS(2496),
    [anon_sym_GT_GT2] = ACTIONS(2496),
    [anon_sym_PLUS] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2496),
    [anon_sym_DOT] = ACTIONS(2496),
    [anon_sym_STAR] = ACTIONS(2496),
    [anon_sym_SLASH] = ACTIONS(2496),
    [anon_sym_x] = ACTIONS(2496),
    [anon_sym_EQ_TILDE] = ACTIONS(2494),
    [anon_sym_BANG_TILDE] = ACTIONS(2494),
    [anon_sym_EQ_EQ] = ACTIONS(2496),
    [anon_sym_BANG_EQ] = ACTIONS(2494),
    [anon_sym_eq] = ACTIONS(2496),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2494),
    [anon_sym_equ] = ACTIONS(2494),
    [anon_sym_eqr] = ACTIONS(2494),
    [anon_sym_ne] = ACTIONS(2494),
    [anon_sym_LT_EQ_GT] = ACTIONS(2494),
    [anon_sym_cmp] = ACTIONS(2494),
    [anon_sym_TILDE_TILDE] = ACTIONS(2494),
    [anon_sym_LT] = ACTIONS(2496),
    [anon_sym_LT_EQ] = ACTIONS(2496),
    [anon_sym_GT_EQ] = ACTIONS(2494),
    [anon_sym_lt] = ACTIONS(2494),
    [anon_sym_le] = ACTIONS(2494),
    [anon_sym_ge] = ACTIONS(2494),
    [anon_sym_gt] = ACTIONS(2494),
    [anon_sym_isa] = ACTIONS(2494),
    [anon_sym_PLUS_PLUS] = ACTIONS(2494),
    [anon_sym_DASH_DASH] = ACTIONS(2494),
    [anon_sym_QMARK] = ACTIONS(2494),
    [anon_sym_PERCENT2] = ACTIONS(2494),
    [anon_sym_EQ_GT] = ACTIONS(2494),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1510] = {
    [sym_heredoc_content] = STATE(1510),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_COLON] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(1659),
    [anon_sym_EQ] = ACTIONS(1661),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1659),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1659),
    [anon_sym_AT] = ACTIONS(1659),
    [anon_sym_COMMA] = ACTIONS(1659),
    [anon_sym_RPAREN] = ACTIONS(1659),
    [anon_sym_LPAREN] = ACTIONS(1659),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1659),
    [anon_sym_LBRACK] = ACTIONS(1659),
    [anon_sym_DASH_GT] = ACTIONS(1659),
    [anon_sym_PERCENT] = ACTIONS(1661),
    [anon_sym_GT] = ACTIONS(1661),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1659),
    [anon_sym_PLUS_EQ] = ACTIONS(1659),
    [anon_sym_DASH_EQ] = ACTIONS(1659),
    [anon_sym_DOT_EQ] = ACTIONS(1659),
    [anon_sym_STAR_EQ] = ACTIONS(1659),
    [anon_sym_SLASH_EQ] = ACTIONS(1659),
    [anon_sym_PERCENT_EQ] = ACTIONS(1661),
    [anon_sym_x_EQ] = ACTIONS(1659),
    [anon_sym_AMP_EQ] = ACTIONS(1659),
    [anon_sym_PIPE_EQ] = ACTIONS(1659),
    [anon_sym_CARET_EQ] = ACTIONS(1659),
    [anon_sym_LT_LT_EQ] = ACTIONS(1659),
    [anon_sym_GT_GT_EQ] = ACTIONS(1659),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1659),
    [anon_sym_DOT_DOT] = ACTIONS(1661),
    [anon_sym_STAR_STAR] = ACTIONS(1661),
    [anon_sym_PIPE_PIPE] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1661),
    [anon_sym_CARET_CARET] = ACTIONS(1659),
    [anon_sym_AMP_AMP] = ACTIONS(1661),
    [anon_sym_PIPE] = ACTIONS(1661),
    [anon_sym_CARET] = ACTIONS(1661),
    [anon_sym_AMP] = ACTIONS(1661),
    [anon_sym_GT_GT2] = ACTIONS(1661),
    [anon_sym_PLUS] = ACTIONS(1661),
    [anon_sym_DASH] = ACTIONS(1661),
    [anon_sym_DOT] = ACTIONS(1661),
    [anon_sym_STAR] = ACTIONS(1661),
    [anon_sym_SLASH] = ACTIONS(1661),
    [anon_sym_x] = ACTIONS(1661),
    [anon_sym_EQ_TILDE] = ACTIONS(1659),
    [anon_sym_BANG_TILDE] = ACTIONS(1659),
    [anon_sym_EQ_EQ] = ACTIONS(1661),
    [anon_sym_BANG_EQ] = ACTIONS(1659),
    [anon_sym_eq] = ACTIONS(1661),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1659),
    [anon_sym_equ] = ACTIONS(1659),
    [anon_sym_eqr] = ACTIONS(1659),
    [anon_sym_ne] = ACTIONS(1659),
    [anon_sym_LT_EQ_GT] = ACTIONS(1659),
    [anon_sym_cmp] = ACTIONS(1659),
    [anon_sym_TILDE_TILDE] = ACTIONS(1659),
    [anon_sym_LT] = ACTIONS(1661),
    [anon_sym_LT_EQ] = ACTIONS(1661),
    [anon_sym_GT_EQ] = ACTIONS(1659),
    [anon_sym_lt] = ACTIONS(1659),
    [anon_sym_le] = ACTIONS(1659),
    [anon_sym_ge] = ACTIONS(1659),
    [anon_sym_gt] = ACTIONS(1659),
    [anon_sym_isa] = ACTIONS(1659),
    [anon_sym_PLUS_PLUS] = ACTIONS(1659),
    [anon_sym_DASH_DASH] = ACTIONS(1659),
    [anon_sym_QMARK] = ACTIONS(1659),
    [anon_sym_PERCENT2] = ACTIONS(1659),
    [anon_sym_EQ_GT] = ACTIONS(1659),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1511] = {
    [sym_heredoc_content] = STATE(1511),
    [anon_sym_LBRACE] = ACTIONS(1826),
    [anon_sym_COLON] = ACTIONS(1826),
    [anon_sym_DOLLAR] = ACTIONS(1826),
    [anon_sym_EQ] = ACTIONS(1824),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1826),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1826),
    [anon_sym_AT] = ACTIONS(1826),
    [anon_sym_COMMA] = ACTIONS(1826),
    [anon_sym_RPAREN] = ACTIONS(1826),
    [anon_sym_LPAREN] = ACTIONS(1826),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1826),
    [anon_sym_LBRACK] = ACTIONS(1826),
    [anon_sym_DASH_GT] = ACTIONS(1826),
    [anon_sym_PERCENT] = ACTIONS(1824),
    [anon_sym_GT] = ACTIONS(1824),
    [anon_sym_LT_LT] = ACTIONS(1824),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1826),
    [anon_sym_PLUS_EQ] = ACTIONS(1826),
    [anon_sym_DASH_EQ] = ACTIONS(1826),
    [anon_sym_DOT_EQ] = ACTIONS(1826),
    [anon_sym_STAR_EQ] = ACTIONS(1826),
    [anon_sym_SLASH_EQ] = ACTIONS(1826),
    [anon_sym_PERCENT_EQ] = ACTIONS(1824),
    [anon_sym_x_EQ] = ACTIONS(1826),
    [anon_sym_AMP_EQ] = ACTIONS(1826),
    [anon_sym_PIPE_EQ] = ACTIONS(1826),
    [anon_sym_CARET_EQ] = ACTIONS(1826),
    [anon_sym_LT_LT_EQ] = ACTIONS(1826),
    [anon_sym_GT_GT_EQ] = ACTIONS(1826),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1826),
    [anon_sym_DOT_DOT] = ACTIONS(1824),
    [anon_sym_STAR_STAR] = ACTIONS(1824),
    [anon_sym_PIPE_PIPE] = ACTIONS(1824),
    [anon_sym_SLASH_SLASH] = ACTIONS(1824),
    [anon_sym_CARET_CARET] = ACTIONS(1826),
    [anon_sym_AMP_AMP] = ACTIONS(1824),
    [anon_sym_PIPE] = ACTIONS(1824),
    [anon_sym_CARET] = ACTIONS(1824),
    [anon_sym_AMP] = ACTIONS(1824),
    [anon_sym_GT_GT2] = ACTIONS(1824),
    [anon_sym_PLUS] = ACTIONS(1824),
    [anon_sym_DASH] = ACTIONS(1824),
    [anon_sym_DOT] = ACTIONS(1824),
    [anon_sym_STAR] = ACTIONS(1824),
    [anon_sym_SLASH] = ACTIONS(1824),
    [anon_sym_x] = ACTIONS(1824),
    [anon_sym_EQ_TILDE] = ACTIONS(1826),
    [anon_sym_BANG_TILDE] = ACTIONS(1826),
    [anon_sym_EQ_EQ] = ACTIONS(1824),
    [anon_sym_BANG_EQ] = ACTIONS(1826),
    [anon_sym_eq] = ACTIONS(1824),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1826),
    [anon_sym_equ] = ACTIONS(1826),
    [anon_sym_eqr] = ACTIONS(1826),
    [anon_sym_ne] = ACTIONS(1826),
    [anon_sym_LT_EQ_GT] = ACTIONS(1826),
    [anon_sym_cmp] = ACTIONS(1826),
    [anon_sym_TILDE_TILDE] = ACTIONS(1826),
    [anon_sym_LT] = ACTIONS(1824),
    [anon_sym_LT_EQ] = ACTIONS(1824),
    [anon_sym_GT_EQ] = ACTIONS(1826),
    [anon_sym_lt] = ACTIONS(1826),
    [anon_sym_le] = ACTIONS(1826),
    [anon_sym_ge] = ACTIONS(1826),
    [anon_sym_gt] = ACTIONS(1826),
    [anon_sym_isa] = ACTIONS(1826),
    [anon_sym_PLUS_PLUS] = ACTIONS(1826),
    [anon_sym_DASH_DASH] = ACTIONS(1826),
    [anon_sym_QMARK] = ACTIONS(1826),
    [anon_sym_PERCENT2] = ACTIONS(1826),
    [anon_sym_EQ_GT] = ACTIONS(1826),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1512] = {
    [sym_heredoc_content] = STATE(1512),
    [anon_sym_LBRACE] = ACTIONS(2502),
    [anon_sym_COLON] = ACTIONS(2502),
    [anon_sym_DOLLAR] = ACTIONS(2502),
    [anon_sym_EQ] = ACTIONS(2504),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2502),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2502),
    [anon_sym_AT] = ACTIONS(2502),
    [anon_sym_COMMA] = ACTIONS(2502),
    [anon_sym_RPAREN] = ACTIONS(2502),
    [anon_sym_LPAREN] = ACTIONS(2502),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2502),
    [anon_sym_LBRACK] = ACTIONS(2502),
    [anon_sym_DASH_GT] = ACTIONS(2502),
    [anon_sym_PERCENT] = ACTIONS(2504),
    [anon_sym_GT] = ACTIONS(2504),
    [anon_sym_LT_LT] = ACTIONS(2504),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2502),
    [anon_sym_PLUS_EQ] = ACTIONS(2502),
    [anon_sym_DASH_EQ] = ACTIONS(2502),
    [anon_sym_DOT_EQ] = ACTIONS(2502),
    [anon_sym_STAR_EQ] = ACTIONS(2502),
    [anon_sym_SLASH_EQ] = ACTIONS(2502),
    [anon_sym_PERCENT_EQ] = ACTIONS(2504),
    [anon_sym_x_EQ] = ACTIONS(2502),
    [anon_sym_AMP_EQ] = ACTIONS(2502),
    [anon_sym_PIPE_EQ] = ACTIONS(2502),
    [anon_sym_CARET_EQ] = ACTIONS(2502),
    [anon_sym_LT_LT_EQ] = ACTIONS(2502),
    [anon_sym_GT_GT_EQ] = ACTIONS(2502),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2502),
    [anon_sym_DOT_DOT] = ACTIONS(2504),
    [anon_sym_STAR_STAR] = ACTIONS(2504),
    [anon_sym_PIPE_PIPE] = ACTIONS(2504),
    [anon_sym_SLASH_SLASH] = ACTIONS(2504),
    [anon_sym_CARET_CARET] = ACTIONS(2502),
    [anon_sym_AMP_AMP] = ACTIONS(2504),
    [anon_sym_PIPE] = ACTIONS(2504),
    [anon_sym_CARET] = ACTIONS(2504),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_GT_GT2] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_DOT] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2504),
    [anon_sym_SLASH] = ACTIONS(2504),
    [anon_sym_x] = ACTIONS(2504),
    [anon_sym_EQ_TILDE] = ACTIONS(2502),
    [anon_sym_BANG_TILDE] = ACTIONS(2502),
    [anon_sym_EQ_EQ] = ACTIONS(2504),
    [anon_sym_BANG_EQ] = ACTIONS(2502),
    [anon_sym_eq] = ACTIONS(2504),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2502),
    [anon_sym_equ] = ACTIONS(2502),
    [anon_sym_eqr] = ACTIONS(2502),
    [anon_sym_ne] = ACTIONS(2502),
    [anon_sym_LT_EQ_GT] = ACTIONS(2502),
    [anon_sym_cmp] = ACTIONS(2502),
    [anon_sym_TILDE_TILDE] = ACTIONS(2502),
    [anon_sym_LT] = ACTIONS(2504),
    [anon_sym_LT_EQ] = ACTIONS(2504),
    [anon_sym_GT_EQ] = ACTIONS(2502),
    [anon_sym_lt] = ACTIONS(2502),
    [anon_sym_le] = ACTIONS(2502),
    [anon_sym_ge] = ACTIONS(2502),
    [anon_sym_gt] = ACTIONS(2502),
    [anon_sym_isa] = ACTIONS(2502),
    [anon_sym_PLUS_PLUS] = ACTIONS(2502),
    [anon_sym_DASH_DASH] = ACTIONS(2502),
    [anon_sym_QMARK] = ACTIONS(2502),
    [anon_sym_PERCENT2] = ACTIONS(2502),
    [anon_sym_EQ_GT] = ACTIONS(2502),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1513] = {
    [sym_heredoc_content] = STATE(1513),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_COLON] = ACTIONS(2506),
    [anon_sym_DOLLAR] = ACTIONS(2506),
    [anon_sym_EQ] = ACTIONS(2508),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2506),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2506),
    [anon_sym_AT] = ACTIONS(2506),
    [anon_sym_COMMA] = ACTIONS(2506),
    [anon_sym_RPAREN] = ACTIONS(2506),
    [anon_sym_LPAREN] = ACTIONS(2506),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2506),
    [anon_sym_LBRACK] = ACTIONS(2506),
    [anon_sym_DASH_GT] = ACTIONS(2506),
    [anon_sym_PERCENT] = ACTIONS(2508),
    [anon_sym_GT] = ACTIONS(2508),
    [anon_sym_LT_LT] = ACTIONS(2508),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2506),
    [anon_sym_PLUS_EQ] = ACTIONS(2506),
    [anon_sym_DASH_EQ] = ACTIONS(2506),
    [anon_sym_DOT_EQ] = ACTIONS(2506),
    [anon_sym_STAR_EQ] = ACTIONS(2506),
    [anon_sym_SLASH_EQ] = ACTIONS(2506),
    [anon_sym_PERCENT_EQ] = ACTIONS(2508),
    [anon_sym_x_EQ] = ACTIONS(2506),
    [anon_sym_AMP_EQ] = ACTIONS(2506),
    [anon_sym_PIPE_EQ] = ACTIONS(2506),
    [anon_sym_CARET_EQ] = ACTIONS(2506),
    [anon_sym_LT_LT_EQ] = ACTIONS(2506),
    [anon_sym_GT_GT_EQ] = ACTIONS(2506),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2506),
    [anon_sym_DOT_DOT] = ACTIONS(2508),
    [anon_sym_STAR_STAR] = ACTIONS(2508),
    [anon_sym_PIPE_PIPE] = ACTIONS(2508),
    [anon_sym_SLASH_SLASH] = ACTIONS(2508),
    [anon_sym_CARET_CARET] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2508),
    [anon_sym_PIPE] = ACTIONS(2508),
    [anon_sym_CARET] = ACTIONS(2508),
    [anon_sym_AMP] = ACTIONS(2508),
    [anon_sym_GT_GT2] = ACTIONS(2508),
    [anon_sym_PLUS] = ACTIONS(2508),
    [anon_sym_DASH] = ACTIONS(2508),
    [anon_sym_DOT] = ACTIONS(2508),
    [anon_sym_STAR] = ACTIONS(2508),
    [anon_sym_SLASH] = ACTIONS(2508),
    [anon_sym_x] = ACTIONS(2508),
    [anon_sym_EQ_TILDE] = ACTIONS(2506),
    [anon_sym_BANG_TILDE] = ACTIONS(2506),
    [anon_sym_EQ_EQ] = ACTIONS(2508),
    [anon_sym_BANG_EQ] = ACTIONS(2506),
    [anon_sym_eq] = ACTIONS(2508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2506),
    [anon_sym_equ] = ACTIONS(2506),
    [anon_sym_eqr] = ACTIONS(2506),
    [anon_sym_ne] = ACTIONS(2506),
    [anon_sym_LT_EQ_GT] = ACTIONS(2506),
    [anon_sym_cmp] = ACTIONS(2506),
    [anon_sym_TILDE_TILDE] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(2508),
    [anon_sym_LT_EQ] = ACTIONS(2508),
    [anon_sym_GT_EQ] = ACTIONS(2506),
    [anon_sym_lt] = ACTIONS(2506),
    [anon_sym_le] = ACTIONS(2506),
    [anon_sym_ge] = ACTIONS(2506),
    [anon_sym_gt] = ACTIONS(2506),
    [anon_sym_isa] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_QMARK] = ACTIONS(2506),
    [anon_sym_PERCENT2] = ACTIONS(2506),
    [anon_sym_EQ_GT] = ACTIONS(2506),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1514] = {
    [sym_heredoc_content] = STATE(1514),
    [anon_sym_LBRACE] = ACTIONS(2510),
    [anon_sym_COLON] = ACTIONS(2510),
    [anon_sym_DOLLAR] = ACTIONS(2510),
    [anon_sym_EQ] = ACTIONS(2512),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_AT] = ACTIONS(2510),
    [anon_sym_COMMA] = ACTIONS(2510),
    [anon_sym_RPAREN] = ACTIONS(2510),
    [anon_sym_LPAREN] = ACTIONS(2510),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2510),
    [anon_sym_LBRACK] = ACTIONS(2510),
    [anon_sym_DASH_GT] = ACTIONS(2510),
    [anon_sym_PERCENT] = ACTIONS(2512),
    [anon_sym_GT] = ACTIONS(2512),
    [anon_sym_LT_LT] = ACTIONS(2512),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2510),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_DOT_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2512),
    [anon_sym_x_EQ] = ACTIONS(2510),
    [anon_sym_AMP_EQ] = ACTIONS(2510),
    [anon_sym_PIPE_EQ] = ACTIONS(2510),
    [anon_sym_CARET_EQ] = ACTIONS(2510),
    [anon_sym_LT_LT_EQ] = ACTIONS(2510),
    [anon_sym_GT_GT_EQ] = ACTIONS(2510),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2510),
    [anon_sym_DOT_DOT] = ACTIONS(2512),
    [anon_sym_STAR_STAR] = ACTIONS(2512),
    [anon_sym_PIPE_PIPE] = ACTIONS(2512),
    [anon_sym_SLASH_SLASH] = ACTIONS(2512),
    [anon_sym_CARET_CARET] = ACTIONS(2510),
    [anon_sym_AMP_AMP] = ACTIONS(2512),
    [anon_sym_PIPE] = ACTIONS(2512),
    [anon_sym_CARET] = ACTIONS(2512),
    [anon_sym_AMP] = ACTIONS(2512),
    [anon_sym_GT_GT2] = ACTIONS(2512),
    [anon_sym_PLUS] = ACTIONS(2512),
    [anon_sym_DASH] = ACTIONS(2512),
    [anon_sym_DOT] = ACTIONS(2512),
    [anon_sym_STAR] = ACTIONS(2512),
    [anon_sym_SLASH] = ACTIONS(2512),
    [anon_sym_x] = ACTIONS(2512),
    [anon_sym_EQ_TILDE] = ACTIONS(2510),
    [anon_sym_BANG_TILDE] = ACTIONS(2510),
    [anon_sym_EQ_EQ] = ACTIONS(2512),
    [anon_sym_BANG_EQ] = ACTIONS(2510),
    [anon_sym_eq] = ACTIONS(2512),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2510),
    [anon_sym_equ] = ACTIONS(2510),
    [anon_sym_eqr] = ACTIONS(2510),
    [anon_sym_ne] = ACTIONS(2510),
    [anon_sym_LT_EQ_GT] = ACTIONS(2510),
    [anon_sym_cmp] = ACTIONS(2510),
    [anon_sym_TILDE_TILDE] = ACTIONS(2510),
    [anon_sym_LT] = ACTIONS(2512),
    [anon_sym_LT_EQ] = ACTIONS(2512),
    [anon_sym_GT_EQ] = ACTIONS(2510),
    [anon_sym_lt] = ACTIONS(2510),
    [anon_sym_le] = ACTIONS(2510),
    [anon_sym_ge] = ACTIONS(2510),
    [anon_sym_gt] = ACTIONS(2510),
    [anon_sym_isa] = ACTIONS(2510),
    [anon_sym_PLUS_PLUS] = ACTIONS(2510),
    [anon_sym_DASH_DASH] = ACTIONS(2510),
    [anon_sym_QMARK] = ACTIONS(2510),
    [anon_sym_PERCENT2] = ACTIONS(2510),
    [anon_sym_EQ_GT] = ACTIONS(2510),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1515] = {
    [sym_heredoc_content] = STATE(1515),
    [anon_sym_LBRACE] = ACTIONS(2466),
    [anon_sym_COLON] = ACTIONS(2466),
    [anon_sym_DOLLAR] = ACTIONS(2466),
    [anon_sym_EQ] = ACTIONS(2468),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2466),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2466),
    [anon_sym_AT] = ACTIONS(2466),
    [anon_sym_COMMA] = ACTIONS(2466),
    [anon_sym_RPAREN] = ACTIONS(2466),
    [anon_sym_LPAREN] = ACTIONS(2466),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2466),
    [anon_sym_LBRACK] = ACTIONS(2466),
    [anon_sym_DASH_GT] = ACTIONS(2466),
    [anon_sym_PERCENT] = ACTIONS(2468),
    [anon_sym_GT] = ACTIONS(2468),
    [anon_sym_LT_LT] = ACTIONS(2468),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2466),
    [anon_sym_PLUS_EQ] = ACTIONS(2466),
    [anon_sym_DASH_EQ] = ACTIONS(2466),
    [anon_sym_DOT_EQ] = ACTIONS(2466),
    [anon_sym_STAR_EQ] = ACTIONS(2466),
    [anon_sym_SLASH_EQ] = ACTIONS(2466),
    [anon_sym_PERCENT_EQ] = ACTIONS(2468),
    [anon_sym_x_EQ] = ACTIONS(2466),
    [anon_sym_AMP_EQ] = ACTIONS(2466),
    [anon_sym_PIPE_EQ] = ACTIONS(2466),
    [anon_sym_CARET_EQ] = ACTIONS(2466),
    [anon_sym_LT_LT_EQ] = ACTIONS(2466),
    [anon_sym_GT_GT_EQ] = ACTIONS(2466),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2466),
    [anon_sym_DOT_DOT] = ACTIONS(2468),
    [anon_sym_STAR_STAR] = ACTIONS(2468),
    [anon_sym_PIPE_PIPE] = ACTIONS(2468),
    [anon_sym_SLASH_SLASH] = ACTIONS(2468),
    [anon_sym_CARET_CARET] = ACTIONS(2466),
    [anon_sym_AMP_AMP] = ACTIONS(2468),
    [anon_sym_PIPE] = ACTIONS(2468),
    [anon_sym_CARET] = ACTIONS(2468),
    [anon_sym_AMP] = ACTIONS(2468),
    [anon_sym_GT_GT2] = ACTIONS(2468),
    [anon_sym_PLUS] = ACTIONS(2468),
    [anon_sym_DASH] = ACTIONS(2468),
    [anon_sym_DOT] = ACTIONS(2468),
    [anon_sym_STAR] = ACTIONS(2468),
    [anon_sym_SLASH] = ACTIONS(2468),
    [anon_sym_x] = ACTIONS(2468),
    [anon_sym_EQ_TILDE] = ACTIONS(2466),
    [anon_sym_BANG_TILDE] = ACTIONS(2466),
    [anon_sym_EQ_EQ] = ACTIONS(2468),
    [anon_sym_BANG_EQ] = ACTIONS(2466),
    [anon_sym_eq] = ACTIONS(2468),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2466),
    [anon_sym_equ] = ACTIONS(2466),
    [anon_sym_eqr] = ACTIONS(2466),
    [anon_sym_ne] = ACTIONS(2466),
    [anon_sym_LT_EQ_GT] = ACTIONS(2466),
    [anon_sym_cmp] = ACTIONS(2466),
    [anon_sym_TILDE_TILDE] = ACTIONS(2466),
    [anon_sym_LT] = ACTIONS(2468),
    [anon_sym_LT_EQ] = ACTIONS(2468),
    [anon_sym_GT_EQ] = ACTIONS(2466),
    [anon_sym_lt] = ACTIONS(2466),
    [anon_sym_le] = ACTIONS(2466),
    [anon_sym_ge] = ACTIONS(2466),
    [anon_sym_gt] = ACTIONS(2466),
    [anon_sym_isa] = ACTIONS(2466),
    [anon_sym_PLUS_PLUS] = ACTIONS(2466),
    [anon_sym_DASH_DASH] = ACTIONS(2466),
    [anon_sym_QMARK] = ACTIONS(2466),
    [anon_sym_PERCENT2] = ACTIONS(2466),
    [anon_sym_EQ_GT] = ACTIONS(2466),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1516] = {
    [sym_heredoc_content] = STATE(1516),
    [anon_sym_LBRACE] = ACTIONS(2518),
    [anon_sym_COLON] = ACTIONS(2518),
    [anon_sym_DOLLAR] = ACTIONS(2518),
    [anon_sym_EQ] = ACTIONS(2520),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2518),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2518),
    [anon_sym_AT] = ACTIONS(2518),
    [anon_sym_COMMA] = ACTIONS(2518),
    [anon_sym_RPAREN] = ACTIONS(2518),
    [anon_sym_LPAREN] = ACTIONS(2518),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2518),
    [anon_sym_LBRACK] = ACTIONS(2518),
    [anon_sym_DASH_GT] = ACTIONS(2518),
    [anon_sym_PERCENT] = ACTIONS(2520),
    [anon_sym_GT] = ACTIONS(2520),
    [anon_sym_LT_LT] = ACTIONS(2520),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2518),
    [anon_sym_PLUS_EQ] = ACTIONS(2518),
    [anon_sym_DASH_EQ] = ACTIONS(2518),
    [anon_sym_DOT_EQ] = ACTIONS(2518),
    [anon_sym_STAR_EQ] = ACTIONS(2518),
    [anon_sym_SLASH_EQ] = ACTIONS(2518),
    [anon_sym_PERCENT_EQ] = ACTIONS(2520),
    [anon_sym_x_EQ] = ACTIONS(2518),
    [anon_sym_AMP_EQ] = ACTIONS(2518),
    [anon_sym_PIPE_EQ] = ACTIONS(2518),
    [anon_sym_CARET_EQ] = ACTIONS(2518),
    [anon_sym_LT_LT_EQ] = ACTIONS(2518),
    [anon_sym_GT_GT_EQ] = ACTIONS(2518),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2518),
    [anon_sym_DOT_DOT] = ACTIONS(2520),
    [anon_sym_STAR_STAR] = ACTIONS(2520),
    [anon_sym_PIPE_PIPE] = ACTIONS(2520),
    [anon_sym_SLASH_SLASH] = ACTIONS(2520),
    [anon_sym_CARET_CARET] = ACTIONS(2518),
    [anon_sym_AMP_AMP] = ACTIONS(2520),
    [anon_sym_PIPE] = ACTIONS(2520),
    [anon_sym_CARET] = ACTIONS(2520),
    [anon_sym_AMP] = ACTIONS(2520),
    [anon_sym_GT_GT2] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(2520),
    [anon_sym_DASH] = ACTIONS(2520),
    [anon_sym_DOT] = ACTIONS(2520),
    [anon_sym_STAR] = ACTIONS(2520),
    [anon_sym_SLASH] = ACTIONS(2520),
    [anon_sym_x] = ACTIONS(2520),
    [anon_sym_EQ_TILDE] = ACTIONS(2518),
    [anon_sym_BANG_TILDE] = ACTIONS(2518),
    [anon_sym_EQ_EQ] = ACTIONS(2520),
    [anon_sym_BANG_EQ] = ACTIONS(2518),
    [anon_sym_eq] = ACTIONS(2520),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2518),
    [anon_sym_equ] = ACTIONS(2518),
    [anon_sym_eqr] = ACTIONS(2518),
    [anon_sym_ne] = ACTIONS(2518),
    [anon_sym_LT_EQ_GT] = ACTIONS(2518),
    [anon_sym_cmp] = ACTIONS(2518),
    [anon_sym_TILDE_TILDE] = ACTIONS(2518),
    [anon_sym_LT] = ACTIONS(2520),
    [anon_sym_LT_EQ] = ACTIONS(2520),
    [anon_sym_GT_EQ] = ACTIONS(2518),
    [anon_sym_lt] = ACTIONS(2518),
    [anon_sym_le] = ACTIONS(2518),
    [anon_sym_ge] = ACTIONS(2518),
    [anon_sym_gt] = ACTIONS(2518),
    [anon_sym_isa] = ACTIONS(2518),
    [anon_sym_PLUS_PLUS] = ACTIONS(2518),
    [anon_sym_DASH_DASH] = ACTIONS(2518),
    [anon_sym_QMARK] = ACTIONS(2518),
    [anon_sym_PERCENT2] = ACTIONS(2518),
    [anon_sym_EQ_GT] = ACTIONS(2518),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1517] = {
    [sym_heredoc_content] = STATE(1517),
    [anon_sym_RBRACE] = ACTIONS(2532),
    [anon_sym_EQ] = ACTIONS(2534),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2532),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2532),
    [anon_sym_COMMA] = ACTIONS(2532),
    [anon_sym_RPAREN] = ACTIONS(2532),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2532),
    [anon_sym_and] = ACTIONS(2532),
    [anon_sym_or] = ACTIONS(2532),
    [anon_sym_xor] = ACTIONS(2532),
    [anon_sym_LBRACK] = ACTIONS(2532),
    [anon_sym_RBRACK] = ACTIONS(2532),
    [anon_sym_DASH_GT] = ACTIONS(2532),
    [anon_sym_PERCENT] = ACTIONS(2534),
    [anon_sym_GT] = ACTIONS(2534),
    [anon_sym_LT_LT] = ACTIONS(2534),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2532),
    [anon_sym_PLUS_EQ] = ACTIONS(2532),
    [anon_sym_DASH_EQ] = ACTIONS(2532),
    [anon_sym_DOT_EQ] = ACTIONS(2532),
    [anon_sym_STAR_EQ] = ACTIONS(2532),
    [anon_sym_SLASH_EQ] = ACTIONS(2532),
    [anon_sym_PERCENT_EQ] = ACTIONS(2532),
    [anon_sym_x_EQ] = ACTIONS(2532),
    [anon_sym_AMP_EQ] = ACTIONS(2532),
    [anon_sym_PIPE_EQ] = ACTIONS(2532),
    [anon_sym_CARET_EQ] = ACTIONS(2532),
    [anon_sym_LT_LT_EQ] = ACTIONS(2532),
    [anon_sym_GT_GT_EQ] = ACTIONS(2532),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2532),
    [anon_sym_DOT_DOT] = ACTIONS(2534),
    [anon_sym_STAR_STAR] = ACTIONS(2534),
    [anon_sym_PIPE_PIPE] = ACTIONS(2534),
    [anon_sym_SLASH_SLASH] = ACTIONS(2534),
    [anon_sym_CARET_CARET] = ACTIONS(2532),
    [anon_sym_AMP_AMP] = ACTIONS(2534),
    [anon_sym_PIPE] = ACTIONS(2534),
    [anon_sym_CARET] = ACTIONS(2534),
    [anon_sym_AMP] = ACTIONS(2534),
    [anon_sym_GT_GT2] = ACTIONS(2534),
    [anon_sym_PLUS] = ACTIONS(2534),
    [anon_sym_DASH] = ACTIONS(2534),
    [anon_sym_DOT] = ACTIONS(2534),
    [anon_sym_STAR] = ACTIONS(2534),
    [anon_sym_SLASH] = ACTIONS(2534),
    [anon_sym_x] = ACTIONS(2534),
    [anon_sym_EQ_TILDE] = ACTIONS(2532),
    [anon_sym_BANG_TILDE] = ACTIONS(2532),
    [anon_sym_EQ_EQ] = ACTIONS(2534),
    [anon_sym_BANG_EQ] = ACTIONS(2532),
    [anon_sym_eq] = ACTIONS(2534),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2532),
    [anon_sym_equ] = ACTIONS(2532),
    [anon_sym_eqr] = ACTIONS(2532),
    [anon_sym_ne] = ACTIONS(2532),
    [anon_sym_LT_EQ_GT] = ACTIONS(2532),
    [anon_sym_cmp] = ACTIONS(2534),
    [anon_sym_TILDE_TILDE] = ACTIONS(2532),
    [anon_sym_LT] = ACTIONS(2534),
    [anon_sym_LT_EQ] = ACTIONS(2534),
    [anon_sym_GT_EQ] = ACTIONS(2532),
    [anon_sym_lt] = ACTIONS(2532),
    [anon_sym_le] = ACTIONS(2532),
    [anon_sym_ge] = ACTIONS(2532),
    [anon_sym_gt] = ACTIONS(2532),
    [anon_sym_isa] = ACTIONS(2532),
    [anon_sym_PLUS_PLUS] = ACTIONS(2532),
    [anon_sym_DASH_DASH] = ACTIONS(2532),
    [anon_sym_QMARK] = ACTIONS(2532),
    [anon_sym_EQ_GT] = ACTIONS(2532),
    [sym_comment] = ACTIONS(5),
    [sym_transliteration_modifiers] = ACTIONS(2532),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1518] = {
    [sym_heredoc_content] = STATE(1518),
    [anon_sym_LBRACE] = ACTIONS(2536),
    [anon_sym_RBRACE] = ACTIONS(2538),
    [anon_sym_EQ] = ACTIONS(2540),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2538),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2538),
    [anon_sym_COMMA] = ACTIONS(2538),
    [anon_sym_RPAREN] = ACTIONS(2538),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2538),
    [anon_sym_and] = ACTIONS(2538),
    [anon_sym_or] = ACTIONS(2538),
    [anon_sym_xor] = ACTIONS(2538),
    [anon_sym_LBRACK] = ACTIONS(2536),
    [anon_sym_RBRACK] = ACTIONS(2538),
    [anon_sym_DASH_GT] = ACTIONS(2538),
    [anon_sym_PERCENT] = ACTIONS(2540),
    [anon_sym_GT] = ACTIONS(2540),
    [anon_sym_LT_LT] = ACTIONS(2540),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2538),
    [anon_sym_PLUS_EQ] = ACTIONS(2538),
    [anon_sym_DASH_EQ] = ACTIONS(2538),
    [anon_sym_DOT_EQ] = ACTIONS(2538),
    [anon_sym_STAR_EQ] = ACTIONS(2538),
    [anon_sym_SLASH_EQ] = ACTIONS(2538),
    [anon_sym_PERCENT_EQ] = ACTIONS(2538),
    [anon_sym_x_EQ] = ACTIONS(2538),
    [anon_sym_AMP_EQ] = ACTIONS(2538),
    [anon_sym_PIPE_EQ] = ACTIONS(2538),
    [anon_sym_CARET_EQ] = ACTIONS(2538),
    [anon_sym_LT_LT_EQ] = ACTIONS(2538),
    [anon_sym_GT_GT_EQ] = ACTIONS(2538),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2538),
    [anon_sym_DOT_DOT] = ACTIONS(2540),
    [anon_sym_STAR_STAR] = ACTIONS(2540),
    [anon_sym_PIPE_PIPE] = ACTIONS(2540),
    [anon_sym_SLASH_SLASH] = ACTIONS(2540),
    [anon_sym_CARET_CARET] = ACTIONS(2538),
    [anon_sym_AMP_AMP] = ACTIONS(2540),
    [anon_sym_PIPE] = ACTIONS(2540),
    [anon_sym_CARET] = ACTIONS(2540),
    [anon_sym_AMP] = ACTIONS(2540),
    [anon_sym_GT_GT2] = ACTIONS(2540),
    [anon_sym_PLUS] = ACTIONS(2540),
    [anon_sym_DASH] = ACTIONS(2540),
    [anon_sym_DOT] = ACTIONS(2540),
    [anon_sym_STAR] = ACTIONS(2540),
    [anon_sym_SLASH] = ACTIONS(2540),
    [anon_sym_x] = ACTIONS(2540),
    [anon_sym_EQ_TILDE] = ACTIONS(2538),
    [anon_sym_BANG_TILDE] = ACTIONS(2538),
    [anon_sym_EQ_EQ] = ACTIONS(2540),
    [anon_sym_BANG_EQ] = ACTIONS(2538),
    [anon_sym_eq] = ACTIONS(2540),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2538),
    [anon_sym_equ] = ACTIONS(2538),
    [anon_sym_eqr] = ACTIONS(2538),
    [anon_sym_ne] = ACTIONS(2538),
    [anon_sym_LT_EQ_GT] = ACTIONS(2538),
    [anon_sym_cmp] = ACTIONS(2538),
    [anon_sym_TILDE_TILDE] = ACTIONS(2538),
    [anon_sym_LT] = ACTIONS(2540),
    [anon_sym_LT_EQ] = ACTIONS(2540),
    [anon_sym_GT_EQ] = ACTIONS(2538),
    [anon_sym_lt] = ACTIONS(2538),
    [anon_sym_le] = ACTIONS(2538),
    [anon_sym_ge] = ACTIONS(2538),
    [anon_sym_gt] = ACTIONS(2538),
    [anon_sym_isa] = ACTIONS(2538),
    [anon_sym_PLUS_PLUS] = ACTIONS(2538),
    [anon_sym_DASH_DASH] = ACTIONS(2538),
    [anon_sym_QMARK] = ACTIONS(2538),
    [anon_sym_EQ_GT] = ACTIONS(2538),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1519] = {
    [sym_heredoc_content] = STATE(1519),
    [anon_sym_LBRACE] = ACTIONS(2482),
    [anon_sym_COLON] = ACTIONS(2482),
    [anon_sym_DOLLAR] = ACTIONS(2482),
    [anon_sym_EQ] = ACTIONS(2484),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2482),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2482),
    [anon_sym_AT] = ACTIONS(2482),
    [anon_sym_COMMA] = ACTIONS(2482),
    [anon_sym_RPAREN] = ACTIONS(2482),
    [anon_sym_LPAREN] = ACTIONS(2482),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2482),
    [anon_sym_LBRACK] = ACTIONS(2482),
    [anon_sym_DASH_GT] = ACTIONS(2482),
    [anon_sym_PERCENT] = ACTIONS(2484),
    [anon_sym_GT] = ACTIONS(2484),
    [anon_sym_LT_LT] = ACTIONS(2484),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2482),
    [anon_sym_PLUS_EQ] = ACTIONS(2482),
    [anon_sym_DASH_EQ] = ACTIONS(2482),
    [anon_sym_DOT_EQ] = ACTIONS(2482),
    [anon_sym_STAR_EQ] = ACTIONS(2482),
    [anon_sym_SLASH_EQ] = ACTIONS(2482),
    [anon_sym_PERCENT_EQ] = ACTIONS(2484),
    [anon_sym_x_EQ] = ACTIONS(2482),
    [anon_sym_AMP_EQ] = ACTIONS(2482),
    [anon_sym_PIPE_EQ] = ACTIONS(2482),
    [anon_sym_CARET_EQ] = ACTIONS(2482),
    [anon_sym_LT_LT_EQ] = ACTIONS(2482),
    [anon_sym_GT_GT_EQ] = ACTIONS(2482),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2482),
    [anon_sym_DOT_DOT] = ACTIONS(2484),
    [anon_sym_STAR_STAR] = ACTIONS(2484),
    [anon_sym_PIPE_PIPE] = ACTIONS(2484),
    [anon_sym_SLASH_SLASH] = ACTIONS(2484),
    [anon_sym_CARET_CARET] = ACTIONS(2482),
    [anon_sym_AMP_AMP] = ACTIONS(2484),
    [anon_sym_PIPE] = ACTIONS(2484),
    [anon_sym_CARET] = ACTIONS(2484),
    [anon_sym_AMP] = ACTIONS(2484),
    [anon_sym_GT_GT2] = ACTIONS(2484),
    [anon_sym_PLUS] = ACTIONS(2484),
    [anon_sym_DASH] = ACTIONS(2484),
    [anon_sym_DOT] = ACTIONS(2484),
    [anon_sym_STAR] = ACTIONS(2484),
    [anon_sym_SLASH] = ACTIONS(2484),
    [anon_sym_x] = ACTIONS(2484),
    [anon_sym_EQ_TILDE] = ACTIONS(2482),
    [anon_sym_BANG_TILDE] = ACTIONS(2482),
    [anon_sym_EQ_EQ] = ACTIONS(2484),
    [anon_sym_BANG_EQ] = ACTIONS(2482),
    [anon_sym_eq] = ACTIONS(2484),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2482),
    [anon_sym_equ] = ACTIONS(2482),
    [anon_sym_eqr] = ACTIONS(2482),
    [anon_sym_ne] = ACTIONS(2482),
    [anon_sym_LT_EQ_GT] = ACTIONS(2482),
    [anon_sym_cmp] = ACTIONS(2482),
    [anon_sym_TILDE_TILDE] = ACTIONS(2482),
    [anon_sym_LT] = ACTIONS(2484),
    [anon_sym_LT_EQ] = ACTIONS(2484),
    [anon_sym_GT_EQ] = ACTIONS(2482),
    [anon_sym_lt] = ACTIONS(2482),
    [anon_sym_le] = ACTIONS(2482),
    [anon_sym_ge] = ACTIONS(2482),
    [anon_sym_gt] = ACTIONS(2482),
    [anon_sym_isa] = ACTIONS(2482),
    [anon_sym_PLUS_PLUS] = ACTIONS(2482),
    [anon_sym_DASH_DASH] = ACTIONS(2482),
    [anon_sym_QMARK] = ACTIONS(2482),
    [anon_sym_PERCENT2] = ACTIONS(2482),
    [anon_sym_EQ_GT] = ACTIONS(2482),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1520] = {
    [sym_heredoc_content] = STATE(1520),
    [anon_sym_LBRACE] = ACTIONS(2490),
    [anon_sym_COLON] = ACTIONS(2490),
    [anon_sym_DOLLAR] = ACTIONS(2490),
    [anon_sym_EQ] = ACTIONS(2492),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2490),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2490),
    [anon_sym_AT] = ACTIONS(2490),
    [anon_sym_COMMA] = ACTIONS(2490),
    [anon_sym_RPAREN] = ACTIONS(2490),
    [anon_sym_LPAREN] = ACTIONS(2490),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2490),
    [anon_sym_LBRACK] = ACTIONS(2490),
    [anon_sym_DASH_GT] = ACTIONS(2490),
    [anon_sym_PERCENT] = ACTIONS(2492),
    [anon_sym_GT] = ACTIONS(2492),
    [anon_sym_LT_LT] = ACTIONS(2492),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2490),
    [anon_sym_PLUS_EQ] = ACTIONS(2490),
    [anon_sym_DASH_EQ] = ACTIONS(2490),
    [anon_sym_DOT_EQ] = ACTIONS(2490),
    [anon_sym_STAR_EQ] = ACTIONS(2490),
    [anon_sym_SLASH_EQ] = ACTIONS(2490),
    [anon_sym_PERCENT_EQ] = ACTIONS(2492),
    [anon_sym_x_EQ] = ACTIONS(2490),
    [anon_sym_AMP_EQ] = ACTIONS(2490),
    [anon_sym_PIPE_EQ] = ACTIONS(2490),
    [anon_sym_CARET_EQ] = ACTIONS(2490),
    [anon_sym_LT_LT_EQ] = ACTIONS(2490),
    [anon_sym_GT_GT_EQ] = ACTIONS(2490),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2490),
    [anon_sym_DOT_DOT] = ACTIONS(2492),
    [anon_sym_STAR_STAR] = ACTIONS(2492),
    [anon_sym_PIPE_PIPE] = ACTIONS(2492),
    [anon_sym_SLASH_SLASH] = ACTIONS(2492),
    [anon_sym_CARET_CARET] = ACTIONS(2490),
    [anon_sym_AMP_AMP] = ACTIONS(2492),
    [anon_sym_PIPE] = ACTIONS(2492),
    [anon_sym_CARET] = ACTIONS(2492),
    [anon_sym_AMP] = ACTIONS(2492),
    [anon_sym_GT_GT2] = ACTIONS(2492),
    [anon_sym_PLUS] = ACTIONS(2492),
    [anon_sym_DASH] = ACTIONS(2492),
    [anon_sym_DOT] = ACTIONS(2492),
    [anon_sym_STAR] = ACTIONS(2492),
    [anon_sym_SLASH] = ACTIONS(2492),
    [anon_sym_x] = ACTIONS(2492),
    [anon_sym_EQ_TILDE] = ACTIONS(2490),
    [anon_sym_BANG_TILDE] = ACTIONS(2490),
    [anon_sym_EQ_EQ] = ACTIONS(2492),
    [anon_sym_BANG_EQ] = ACTIONS(2490),
    [anon_sym_eq] = ACTIONS(2492),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2490),
    [anon_sym_equ] = ACTIONS(2490),
    [anon_sym_eqr] = ACTIONS(2490),
    [anon_sym_ne] = ACTIONS(2490),
    [anon_sym_LT_EQ_GT] = ACTIONS(2490),
    [anon_sym_cmp] = ACTIONS(2490),
    [anon_sym_TILDE_TILDE] = ACTIONS(2490),
    [anon_sym_LT] = ACTIONS(2492),
    [anon_sym_LT_EQ] = ACTIONS(2492),
    [anon_sym_GT_EQ] = ACTIONS(2490),
    [anon_sym_lt] = ACTIONS(2490),
    [anon_sym_le] = ACTIONS(2490),
    [anon_sym_ge] = ACTIONS(2490),
    [anon_sym_gt] = ACTIONS(2490),
    [anon_sym_isa] = ACTIONS(2490),
    [anon_sym_PLUS_PLUS] = ACTIONS(2490),
    [anon_sym_DASH_DASH] = ACTIONS(2490),
    [anon_sym_QMARK] = ACTIONS(2490),
    [anon_sym_PERCENT2] = ACTIONS(2490),
    [anon_sym_EQ_GT] = ACTIONS(2490),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1521] = {
    [sym_attribute] = STATE(1933),
    [sym_attribute_name] = STATE(1773),
    [sym_heredoc_content] = STATE(1521),
    [aux_sym_attrlist_repeat1] = STATE(1522),
    [sym__identifier] = ACTIONS(3421),
    [anon_sym_RBRACE] = ACTIONS(2418),
    [anon_sym_COLON] = ACTIONS(3423),
    [anon_sym_EQ] = ACTIONS(2422),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2418),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2418),
    [anon_sym_COMMA] = ACTIONS(2418),
    [anon_sym_RPAREN] = ACTIONS(2418),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2418),
    [anon_sym_DASH_GT] = ACTIONS(2418),
    [anon_sym_PERCENT] = ACTIONS(2422),
    [anon_sym_GT] = ACTIONS(2422),
    [anon_sym_LT_LT] = ACTIONS(2422),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2418),
    [anon_sym_PLUS_EQ] = ACTIONS(2418),
    [anon_sym_DASH_EQ] = ACTIONS(2418),
    [anon_sym_DOT_EQ] = ACTIONS(2418),
    [anon_sym_STAR_EQ] = ACTIONS(2418),
    [anon_sym_SLASH_EQ] = ACTIONS(2418),
    [anon_sym_PERCENT_EQ] = ACTIONS(2418),
    [anon_sym_x_EQ] = ACTIONS(2418),
    [anon_sym_AMP_EQ] = ACTIONS(2418),
    [anon_sym_PIPE_EQ] = ACTIONS(2418),
    [anon_sym_CARET_EQ] = ACTIONS(2418),
    [anon_sym_LT_LT_EQ] = ACTIONS(2418),
    [anon_sym_GT_GT_EQ] = ACTIONS(2418),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2418),
    [anon_sym_DOT_DOT] = ACTIONS(2422),
    [anon_sym_STAR_STAR] = ACTIONS(2422),
    [anon_sym_PIPE_PIPE] = ACTIONS(2422),
    [anon_sym_SLASH_SLASH] = ACTIONS(2422),
    [anon_sym_CARET_CARET] = ACTIONS(2418),
    [anon_sym_AMP_AMP] = ACTIONS(2422),
    [anon_sym_PIPE] = ACTIONS(2422),
    [anon_sym_CARET] = ACTIONS(2422),
    [anon_sym_AMP] = ACTIONS(2422),
    [anon_sym_GT_GT2] = ACTIONS(2422),
    [anon_sym_PLUS] = ACTIONS(2422),
    [anon_sym_DASH] = ACTIONS(2422),
    [anon_sym_DOT] = ACTIONS(2422),
    [anon_sym_STAR] = ACTIONS(2422),
    [anon_sym_SLASH] = ACTIONS(2422),
    [anon_sym_x] = ACTIONS(2422),
    [anon_sym_EQ_TILDE] = ACTIONS(2418),
    [anon_sym_BANG_TILDE] = ACTIONS(2418),
    [anon_sym_EQ_EQ] = ACTIONS(2422),
    [anon_sym_BANG_EQ] = ACTIONS(2418),
    [anon_sym_eq] = ACTIONS(2422),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2418),
    [anon_sym_equ] = ACTIONS(2422),
    [anon_sym_eqr] = ACTIONS(2422),
    [anon_sym_ne] = ACTIONS(2422),
    [anon_sym_LT_EQ_GT] = ACTIONS(2418),
    [anon_sym_cmp] = ACTIONS(2422),
    [anon_sym_TILDE_TILDE] = ACTIONS(2418),
    [anon_sym_LT] = ACTIONS(2422),
    [anon_sym_LT_EQ] = ACTIONS(2422),
    [anon_sym_GT_EQ] = ACTIONS(2418),
    [anon_sym_lt] = ACTIONS(2422),
    [anon_sym_le] = ACTIONS(2422),
    [anon_sym_ge] = ACTIONS(2422),
    [anon_sym_gt] = ACTIONS(2422),
    [anon_sym_isa] = ACTIONS(2422),
    [anon_sym_PLUS_PLUS] = ACTIONS(2418),
    [anon_sym_DASH_DASH] = ACTIONS(2418),
    [anon_sym_QMARK] = ACTIONS(2418),
    [anon_sym_EQ_GT] = ACTIONS(2418),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(3421),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1522] = {
    [sym_attribute] = STATE(1933),
    [sym_attribute_name] = STATE(1773),
    [sym_heredoc_content] = STATE(1522),
    [aux_sym_attrlist_repeat1] = STATE(1523),
    [sym__identifier] = ACTIONS(3421),
    [anon_sym_RBRACE] = ACTIONS(2424),
    [anon_sym_COLON] = ACTIONS(3423),
    [anon_sym_EQ] = ACTIONS(2426),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2424),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2424),
    [anon_sym_COMMA] = ACTIONS(2424),
    [anon_sym_RPAREN] = ACTIONS(2424),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2424),
    [anon_sym_DASH_GT] = ACTIONS(2424),
    [anon_sym_PERCENT] = ACTIONS(2426),
    [anon_sym_GT] = ACTIONS(2426),
    [anon_sym_LT_LT] = ACTIONS(2426),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2424),
    [anon_sym_PLUS_EQ] = ACTIONS(2424),
    [anon_sym_DASH_EQ] = ACTIONS(2424),
    [anon_sym_DOT_EQ] = ACTIONS(2424),
    [anon_sym_STAR_EQ] = ACTIONS(2424),
    [anon_sym_SLASH_EQ] = ACTIONS(2424),
    [anon_sym_PERCENT_EQ] = ACTIONS(2424),
    [anon_sym_x_EQ] = ACTIONS(2424),
    [anon_sym_AMP_EQ] = ACTIONS(2424),
    [anon_sym_PIPE_EQ] = ACTIONS(2424),
    [anon_sym_CARET_EQ] = ACTIONS(2424),
    [anon_sym_LT_LT_EQ] = ACTIONS(2424),
    [anon_sym_GT_GT_EQ] = ACTIONS(2424),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2424),
    [anon_sym_DOT_DOT] = ACTIONS(2426),
    [anon_sym_STAR_STAR] = ACTIONS(2426),
    [anon_sym_PIPE_PIPE] = ACTIONS(2426),
    [anon_sym_SLASH_SLASH] = ACTIONS(2426),
    [anon_sym_CARET_CARET] = ACTIONS(2424),
    [anon_sym_AMP_AMP] = ACTIONS(2426),
    [anon_sym_PIPE] = ACTIONS(2426),
    [anon_sym_CARET] = ACTIONS(2426),
    [anon_sym_AMP] = ACTIONS(2426),
    [anon_sym_GT_GT2] = ACTIONS(2426),
    [anon_sym_PLUS] = ACTIONS(2426),
    [anon_sym_DASH] = ACTIONS(2426),
    [anon_sym_DOT] = ACTIONS(2426),
    [anon_sym_STAR] = ACTIONS(2426),
    [anon_sym_SLASH] = ACTIONS(2426),
    [anon_sym_x] = ACTIONS(2426),
    [anon_sym_EQ_TILDE] = ACTIONS(2424),
    [anon_sym_BANG_TILDE] = ACTIONS(2424),
    [anon_sym_EQ_EQ] = ACTIONS(2426),
    [anon_sym_BANG_EQ] = ACTIONS(2424),
    [anon_sym_eq] = ACTIONS(2426),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2424),
    [anon_sym_equ] = ACTIONS(2426),
    [anon_sym_eqr] = ACTIONS(2426),
    [anon_sym_ne] = ACTIONS(2426),
    [anon_sym_LT_EQ_GT] = ACTIONS(2424),
    [anon_sym_cmp] = ACTIONS(2426),
    [anon_sym_TILDE_TILDE] = ACTIONS(2424),
    [anon_sym_LT] = ACTIONS(2426),
    [anon_sym_LT_EQ] = ACTIONS(2426),
    [anon_sym_GT_EQ] = ACTIONS(2424),
    [anon_sym_lt] = ACTIONS(2426),
    [anon_sym_le] = ACTIONS(2426),
    [anon_sym_ge] = ACTIONS(2426),
    [anon_sym_gt] = ACTIONS(2426),
    [anon_sym_isa] = ACTIONS(2426),
    [anon_sym_PLUS_PLUS] = ACTIONS(2424),
    [anon_sym_DASH_DASH] = ACTIONS(2424),
    [anon_sym_QMARK] = ACTIONS(2424),
    [anon_sym_EQ_GT] = ACTIONS(2424),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(3421),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1523] = {
    [sym_attribute] = STATE(1933),
    [sym_attribute_name] = STATE(1773),
    [sym_heredoc_content] = STATE(1523),
    [aux_sym_attrlist_repeat1] = STATE(1523),
    [sym__identifier] = ACTIONS(3425),
    [anon_sym_RBRACE] = ACTIONS(2431),
    [anon_sym_COLON] = ACTIONS(3428),
    [anon_sym_EQ] = ACTIONS(2436),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2431),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2431),
    [anon_sym_COMMA] = ACTIONS(2431),
    [anon_sym_RPAREN] = ACTIONS(2431),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2431),
    [anon_sym_DASH_GT] = ACTIONS(2431),
    [anon_sym_PERCENT] = ACTIONS(2436),
    [anon_sym_GT] = ACTIONS(2436),
    [anon_sym_LT_LT] = ACTIONS(2436),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2431),
    [anon_sym_PLUS_EQ] = ACTIONS(2431),
    [anon_sym_DASH_EQ] = ACTIONS(2431),
    [anon_sym_DOT_EQ] = ACTIONS(2431),
    [anon_sym_STAR_EQ] = ACTIONS(2431),
    [anon_sym_SLASH_EQ] = ACTIONS(2431),
    [anon_sym_PERCENT_EQ] = ACTIONS(2431),
    [anon_sym_x_EQ] = ACTIONS(2431),
    [anon_sym_AMP_EQ] = ACTIONS(2431),
    [anon_sym_PIPE_EQ] = ACTIONS(2431),
    [anon_sym_CARET_EQ] = ACTIONS(2431),
    [anon_sym_LT_LT_EQ] = ACTIONS(2431),
    [anon_sym_GT_GT_EQ] = ACTIONS(2431),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2431),
    [anon_sym_DOT_DOT] = ACTIONS(2436),
    [anon_sym_STAR_STAR] = ACTIONS(2436),
    [anon_sym_PIPE_PIPE] = ACTIONS(2436),
    [anon_sym_SLASH_SLASH] = ACTIONS(2436),
    [anon_sym_CARET_CARET] = ACTIONS(2431),
    [anon_sym_AMP_AMP] = ACTIONS(2436),
    [anon_sym_PIPE] = ACTIONS(2436),
    [anon_sym_CARET] = ACTIONS(2436),
    [anon_sym_AMP] = ACTIONS(2436),
    [anon_sym_GT_GT2] = ACTIONS(2436),
    [anon_sym_PLUS] = ACTIONS(2436),
    [anon_sym_DASH] = ACTIONS(2436),
    [anon_sym_DOT] = ACTIONS(2436),
    [anon_sym_STAR] = ACTIONS(2436),
    [anon_sym_SLASH] = ACTIONS(2436),
    [anon_sym_x] = ACTIONS(2436),
    [anon_sym_EQ_TILDE] = ACTIONS(2431),
    [anon_sym_BANG_TILDE] = ACTIONS(2431),
    [anon_sym_EQ_EQ] = ACTIONS(2436),
    [anon_sym_BANG_EQ] = ACTIONS(2431),
    [anon_sym_eq] = ACTIONS(2436),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2431),
    [anon_sym_equ] = ACTIONS(2436),
    [anon_sym_eqr] = ACTIONS(2436),
    [anon_sym_ne] = ACTIONS(2436),
    [anon_sym_LT_EQ_GT] = ACTIONS(2431),
    [anon_sym_cmp] = ACTIONS(2436),
    [anon_sym_TILDE_TILDE] = ACTIONS(2431),
    [anon_sym_LT] = ACTIONS(2436),
    [anon_sym_LT_EQ] = ACTIONS(2436),
    [anon_sym_GT_EQ] = ACTIONS(2431),
    [anon_sym_lt] = ACTIONS(2436),
    [anon_sym_le] = ACTIONS(2436),
    [anon_sym_ge] = ACTIONS(2436),
    [anon_sym_gt] = ACTIONS(2436),
    [anon_sym_isa] = ACTIONS(2436),
    [anon_sym_PLUS_PLUS] = ACTIONS(2431),
    [anon_sym_DASH_DASH] = ACTIONS(2431),
    [anon_sym_QMARK] = ACTIONS(2431),
    [anon_sym_EQ_GT] = ACTIONS(2431),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(3425),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1524] = {
    [sym_attribute] = STATE(1938),
    [sym_attribute_name] = STATE(1664),
    [sym_heredoc_content] = STATE(1524),
    [aux_sym_attrlist_repeat1] = STATE(1526),
    [sym__identifier] = ACTIONS(3431),
    [anon_sym_COLON] = ACTIONS(3433),
    [anon_sym_SEMI] = ACTIONS(2418),
    [anon_sym_EQ] = ACTIONS(2422),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2418),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2418),
    [anon_sym_COMMA] = ACTIONS(2418),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2418),
    [anon_sym_DASH_GT] = ACTIONS(2418),
    [anon_sym_PERCENT] = ACTIONS(2422),
    [anon_sym_GT] = ACTIONS(2422),
    [anon_sym_LT_LT] = ACTIONS(2422),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2418),
    [anon_sym_PLUS_EQ] = ACTIONS(2418),
    [anon_sym_DASH_EQ] = ACTIONS(2418),
    [anon_sym_DOT_EQ] = ACTIONS(2418),
    [anon_sym_STAR_EQ] = ACTIONS(2418),
    [anon_sym_SLASH_EQ] = ACTIONS(2418),
    [anon_sym_PERCENT_EQ] = ACTIONS(2418),
    [anon_sym_x_EQ] = ACTIONS(2418),
    [anon_sym_AMP_EQ] = ACTIONS(2418),
    [anon_sym_PIPE_EQ] = ACTIONS(2418),
    [anon_sym_CARET_EQ] = ACTIONS(2418),
    [anon_sym_LT_LT_EQ] = ACTIONS(2418),
    [anon_sym_GT_GT_EQ] = ACTIONS(2418),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2418),
    [anon_sym_DOT_DOT] = ACTIONS(2422),
    [anon_sym_STAR_STAR] = ACTIONS(2422),
    [anon_sym_PIPE_PIPE] = ACTIONS(2422),
    [anon_sym_SLASH_SLASH] = ACTIONS(2422),
    [anon_sym_CARET_CARET] = ACTIONS(2418),
    [anon_sym_AMP_AMP] = ACTIONS(2422),
    [anon_sym_PIPE] = ACTIONS(2422),
    [anon_sym_CARET] = ACTIONS(2422),
    [anon_sym_AMP] = ACTIONS(2422),
    [anon_sym_GT_GT2] = ACTIONS(2422),
    [anon_sym_PLUS] = ACTIONS(2422),
    [anon_sym_DASH] = ACTIONS(2422),
    [anon_sym_DOT] = ACTIONS(2422),
    [anon_sym_STAR] = ACTIONS(2422),
    [anon_sym_SLASH] = ACTIONS(2422),
    [anon_sym_x] = ACTIONS(2422),
    [anon_sym_EQ_TILDE] = ACTIONS(2418),
    [anon_sym_BANG_TILDE] = ACTIONS(2418),
    [anon_sym_EQ_EQ] = ACTIONS(2422),
    [anon_sym_BANG_EQ] = ACTIONS(2418),
    [anon_sym_eq] = ACTIONS(2422),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2418),
    [anon_sym_equ] = ACTIONS(2422),
    [anon_sym_eqr] = ACTIONS(2422),
    [anon_sym_ne] = ACTIONS(2422),
    [anon_sym_LT_EQ_GT] = ACTIONS(2418),
    [anon_sym_cmp] = ACTIONS(2422),
    [anon_sym_TILDE_TILDE] = ACTIONS(2418),
    [anon_sym_LT] = ACTIONS(2422),
    [anon_sym_LT_EQ] = ACTIONS(2422),
    [anon_sym_GT_EQ] = ACTIONS(2418),
    [anon_sym_lt] = ACTIONS(2422),
    [anon_sym_le] = ACTIONS(2422),
    [anon_sym_ge] = ACTIONS(2422),
    [anon_sym_gt] = ACTIONS(2422),
    [anon_sym_isa] = ACTIONS(2422),
    [anon_sym_PLUS_PLUS] = ACTIONS(2418),
    [anon_sym_DASH_DASH] = ACTIONS(2418),
    [anon_sym_QMARK] = ACTIONS(2418),
    [anon_sym_EQ_GT] = ACTIONS(2418),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(3431),
    [sym__PERLY_SEMICOLON] = ACTIONS(2418),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1525] = {
    [sym_heredoc_content] = STATE(1525),
    [anon_sym_LBRACE] = ACTIONS(2486),
    [anon_sym_COLON] = ACTIONS(2486),
    [anon_sym_DOLLAR] = ACTIONS(2486),
    [anon_sym_EQ] = ACTIONS(2488),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2486),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2486),
    [anon_sym_AT] = ACTIONS(2486),
    [anon_sym_COMMA] = ACTIONS(2486),
    [anon_sym_RPAREN] = ACTIONS(2486),
    [anon_sym_LPAREN] = ACTIONS(2486),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2486),
    [anon_sym_LBRACK] = ACTIONS(2486),
    [anon_sym_DASH_GT] = ACTIONS(2486),
    [anon_sym_PERCENT] = ACTIONS(2488),
    [anon_sym_GT] = ACTIONS(2488),
    [anon_sym_LT_LT] = ACTIONS(2488),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2486),
    [anon_sym_PLUS_EQ] = ACTIONS(2486),
    [anon_sym_DASH_EQ] = ACTIONS(2486),
    [anon_sym_DOT_EQ] = ACTIONS(2486),
    [anon_sym_STAR_EQ] = ACTIONS(2486),
    [anon_sym_SLASH_EQ] = ACTIONS(2486),
    [anon_sym_PERCENT_EQ] = ACTIONS(2488),
    [anon_sym_x_EQ] = ACTIONS(2486),
    [anon_sym_AMP_EQ] = ACTIONS(2486),
    [anon_sym_PIPE_EQ] = ACTIONS(2486),
    [anon_sym_CARET_EQ] = ACTIONS(2486),
    [anon_sym_LT_LT_EQ] = ACTIONS(2486),
    [anon_sym_GT_GT_EQ] = ACTIONS(2486),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2486),
    [anon_sym_DOT_DOT] = ACTIONS(2488),
    [anon_sym_STAR_STAR] = ACTIONS(2488),
    [anon_sym_PIPE_PIPE] = ACTIONS(2488),
    [anon_sym_SLASH_SLASH] = ACTIONS(2488),
    [anon_sym_CARET_CARET] = ACTIONS(2486),
    [anon_sym_AMP_AMP] = ACTIONS(2488),
    [anon_sym_PIPE] = ACTIONS(2488),
    [anon_sym_CARET] = ACTIONS(2488),
    [anon_sym_AMP] = ACTIONS(2488),
    [anon_sym_GT_GT2] = ACTIONS(2488),
    [anon_sym_PLUS] = ACTIONS(2488),
    [anon_sym_DASH] = ACTIONS(2488),
    [anon_sym_DOT] = ACTIONS(2488),
    [anon_sym_STAR] = ACTIONS(2488),
    [anon_sym_SLASH] = ACTIONS(2488),
    [anon_sym_x] = ACTIONS(2488),
    [anon_sym_EQ_TILDE] = ACTIONS(2486),
    [anon_sym_BANG_TILDE] = ACTIONS(2486),
    [anon_sym_EQ_EQ] = ACTIONS(2488),
    [anon_sym_BANG_EQ] = ACTIONS(2486),
    [anon_sym_eq] = ACTIONS(2488),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2486),
    [anon_sym_equ] = ACTIONS(2486),
    [anon_sym_eqr] = ACTIONS(2486),
    [anon_sym_ne] = ACTIONS(2486),
    [anon_sym_LT_EQ_GT] = ACTIONS(2486),
    [anon_sym_cmp] = ACTIONS(2486),
    [anon_sym_TILDE_TILDE] = ACTIONS(2486),
    [anon_sym_LT] = ACTIONS(2488),
    [anon_sym_LT_EQ] = ACTIONS(2488),
    [anon_sym_GT_EQ] = ACTIONS(2486),
    [anon_sym_lt] = ACTIONS(2486),
    [anon_sym_le] = ACTIONS(2486),
    [anon_sym_ge] = ACTIONS(2486),
    [anon_sym_gt] = ACTIONS(2486),
    [anon_sym_isa] = ACTIONS(2486),
    [anon_sym_PLUS_PLUS] = ACTIONS(2486),
    [anon_sym_DASH_DASH] = ACTIONS(2486),
    [anon_sym_QMARK] = ACTIONS(2486),
    [anon_sym_PERCENT2] = ACTIONS(2486),
    [anon_sym_EQ_GT] = ACTIONS(2486),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1526] = {
    [sym_attribute] = STATE(1938),
    [sym_attribute_name] = STATE(1664),
    [sym_heredoc_content] = STATE(1526),
    [aux_sym_attrlist_repeat1] = STATE(1527),
    [sym__identifier] = ACTIONS(3431),
    [anon_sym_COLON] = ACTIONS(3433),
    [anon_sym_SEMI] = ACTIONS(2424),
    [anon_sym_EQ] = ACTIONS(2426),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2424),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2424),
    [anon_sym_COMMA] = ACTIONS(2424),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2424),
    [anon_sym_DASH_GT] = ACTIONS(2424),
    [anon_sym_PERCENT] = ACTIONS(2426),
    [anon_sym_GT] = ACTIONS(2426),
    [anon_sym_LT_LT] = ACTIONS(2426),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2424),
    [anon_sym_PLUS_EQ] = ACTIONS(2424),
    [anon_sym_DASH_EQ] = ACTIONS(2424),
    [anon_sym_DOT_EQ] = ACTIONS(2424),
    [anon_sym_STAR_EQ] = ACTIONS(2424),
    [anon_sym_SLASH_EQ] = ACTIONS(2424),
    [anon_sym_PERCENT_EQ] = ACTIONS(2424),
    [anon_sym_x_EQ] = ACTIONS(2424),
    [anon_sym_AMP_EQ] = ACTIONS(2424),
    [anon_sym_PIPE_EQ] = ACTIONS(2424),
    [anon_sym_CARET_EQ] = ACTIONS(2424),
    [anon_sym_LT_LT_EQ] = ACTIONS(2424),
    [anon_sym_GT_GT_EQ] = ACTIONS(2424),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2424),
    [anon_sym_DOT_DOT] = ACTIONS(2426),
    [anon_sym_STAR_STAR] = ACTIONS(2426),
    [anon_sym_PIPE_PIPE] = ACTIONS(2426),
    [anon_sym_SLASH_SLASH] = ACTIONS(2426),
    [anon_sym_CARET_CARET] = ACTIONS(2424),
    [anon_sym_AMP_AMP] = ACTIONS(2426),
    [anon_sym_PIPE] = ACTIONS(2426),
    [anon_sym_CARET] = ACTIONS(2426),
    [anon_sym_AMP] = ACTIONS(2426),
    [anon_sym_GT_GT2] = ACTIONS(2426),
    [anon_sym_PLUS] = ACTIONS(2426),
    [anon_sym_DASH] = ACTIONS(2426),
    [anon_sym_DOT] = ACTIONS(2426),
    [anon_sym_STAR] = ACTIONS(2426),
    [anon_sym_SLASH] = ACTIONS(2426),
    [anon_sym_x] = ACTIONS(2426),
    [anon_sym_EQ_TILDE] = ACTIONS(2424),
    [anon_sym_BANG_TILDE] = ACTIONS(2424),
    [anon_sym_EQ_EQ] = ACTIONS(2426),
    [anon_sym_BANG_EQ] = ACTIONS(2424),
    [anon_sym_eq] = ACTIONS(2426),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2424),
    [anon_sym_equ] = ACTIONS(2426),
    [anon_sym_eqr] = ACTIONS(2426),
    [anon_sym_ne] = ACTIONS(2426),
    [anon_sym_LT_EQ_GT] = ACTIONS(2424),
    [anon_sym_cmp] = ACTIONS(2426),
    [anon_sym_TILDE_TILDE] = ACTIONS(2424),
    [anon_sym_LT] = ACTIONS(2426),
    [anon_sym_LT_EQ] = ACTIONS(2426),
    [anon_sym_GT_EQ] = ACTIONS(2424),
    [anon_sym_lt] = ACTIONS(2426),
    [anon_sym_le] = ACTIONS(2426),
    [anon_sym_ge] = ACTIONS(2426),
    [anon_sym_gt] = ACTIONS(2426),
    [anon_sym_isa] = ACTIONS(2426),
    [anon_sym_PLUS_PLUS] = ACTIONS(2424),
    [anon_sym_DASH_DASH] = ACTIONS(2424),
    [anon_sym_QMARK] = ACTIONS(2424),
    [anon_sym_EQ_GT] = ACTIONS(2424),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(3431),
    [sym__PERLY_SEMICOLON] = ACTIONS(2424),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1527] = {
    [sym_attribute] = STATE(1938),
    [sym_attribute_name] = STATE(1664),
    [sym_heredoc_content] = STATE(1527),
    [aux_sym_attrlist_repeat1] = STATE(1527),
    [sym__identifier] = ACTIONS(3435),
    [anon_sym_COLON] = ACTIONS(3438),
    [anon_sym_SEMI] = ACTIONS(2431),
    [anon_sym_EQ] = ACTIONS(2436),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2431),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2431),
    [anon_sym_COMMA] = ACTIONS(2431),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2431),
    [anon_sym_DASH_GT] = ACTIONS(2431),
    [anon_sym_PERCENT] = ACTIONS(2436),
    [anon_sym_GT] = ACTIONS(2436),
    [anon_sym_LT_LT] = ACTIONS(2436),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2431),
    [anon_sym_PLUS_EQ] = ACTIONS(2431),
    [anon_sym_DASH_EQ] = ACTIONS(2431),
    [anon_sym_DOT_EQ] = ACTIONS(2431),
    [anon_sym_STAR_EQ] = ACTIONS(2431),
    [anon_sym_SLASH_EQ] = ACTIONS(2431),
    [anon_sym_PERCENT_EQ] = ACTIONS(2431),
    [anon_sym_x_EQ] = ACTIONS(2431),
    [anon_sym_AMP_EQ] = ACTIONS(2431),
    [anon_sym_PIPE_EQ] = ACTIONS(2431),
    [anon_sym_CARET_EQ] = ACTIONS(2431),
    [anon_sym_LT_LT_EQ] = ACTIONS(2431),
    [anon_sym_GT_GT_EQ] = ACTIONS(2431),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2431),
    [anon_sym_DOT_DOT] = ACTIONS(2436),
    [anon_sym_STAR_STAR] = ACTIONS(2436),
    [anon_sym_PIPE_PIPE] = ACTIONS(2436),
    [anon_sym_SLASH_SLASH] = ACTIONS(2436),
    [anon_sym_CARET_CARET] = ACTIONS(2431),
    [anon_sym_AMP_AMP] = ACTIONS(2436),
    [anon_sym_PIPE] = ACTIONS(2436),
    [anon_sym_CARET] = ACTIONS(2436),
    [anon_sym_AMP] = ACTIONS(2436),
    [anon_sym_GT_GT2] = ACTIONS(2436),
    [anon_sym_PLUS] = ACTIONS(2436),
    [anon_sym_DASH] = ACTIONS(2436),
    [anon_sym_DOT] = ACTIONS(2436),
    [anon_sym_STAR] = ACTIONS(2436),
    [anon_sym_SLASH] = ACTIONS(2436),
    [anon_sym_x] = ACTIONS(2436),
    [anon_sym_EQ_TILDE] = ACTIONS(2431),
    [anon_sym_BANG_TILDE] = ACTIONS(2431),
    [anon_sym_EQ_EQ] = ACTIONS(2436),
    [anon_sym_BANG_EQ] = ACTIONS(2431),
    [anon_sym_eq] = ACTIONS(2436),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2431),
    [anon_sym_equ] = ACTIONS(2436),
    [anon_sym_eqr] = ACTIONS(2436),
    [anon_sym_ne] = ACTIONS(2436),
    [anon_sym_LT_EQ_GT] = ACTIONS(2431),
    [anon_sym_cmp] = ACTIONS(2436),
    [anon_sym_TILDE_TILDE] = ACTIONS(2431),
    [anon_sym_LT] = ACTIONS(2436),
    [anon_sym_LT_EQ] = ACTIONS(2436),
    [anon_sym_GT_EQ] = ACTIONS(2431),
    [anon_sym_lt] = ACTIONS(2436),
    [anon_sym_le] = ACTIONS(2436),
    [anon_sym_ge] = ACTIONS(2436),
    [anon_sym_gt] = ACTIONS(2436),
    [anon_sym_isa] = ACTIONS(2436),
    [anon_sym_PLUS_PLUS] = ACTIONS(2431),
    [anon_sym_DASH_DASH] = ACTIONS(2431),
    [anon_sym_QMARK] = ACTIONS(2431),
    [anon_sym_EQ_GT] = ACTIONS(2431),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(3435),
    [sym__PERLY_SEMICOLON] = ACTIONS(2431),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1528] = {
    [sym_heredoc_content] = STATE(1528),
    [sym__identifier] = ACTIONS(2446),
    [anon_sym_COLON] = ACTIONS(2446),
    [anon_sym_DOLLAR] = ACTIONS(2448),
    [anon_sym_EQ] = ACTIONS(2446),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2448),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2448),
    [anon_sym_AT] = ACTIONS(2448),
    [anon_sym_COMMA] = ACTIONS(2448),
    [anon_sym_RPAREN] = ACTIONS(2448),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2448),
    [anon_sym_DASH_GT] = ACTIONS(2448),
    [anon_sym_PERCENT] = ACTIONS(2446),
    [anon_sym_GT] = ACTIONS(2446),
    [anon_sym_LT_LT] = ACTIONS(2446),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2448),
    [anon_sym_PLUS_EQ] = ACTIONS(2448),
    [anon_sym_DASH_EQ] = ACTIONS(2448),
    [anon_sym_DOT_EQ] = ACTIONS(2448),
    [anon_sym_STAR_EQ] = ACTIONS(2448),
    [anon_sym_SLASH_EQ] = ACTIONS(2448),
    [anon_sym_PERCENT_EQ] = ACTIONS(2446),
    [anon_sym_x_EQ] = ACTIONS(2448),
    [anon_sym_AMP_EQ] = ACTIONS(2448),
    [anon_sym_PIPE_EQ] = ACTIONS(2448),
    [anon_sym_CARET_EQ] = ACTIONS(2448),
    [anon_sym_LT_LT_EQ] = ACTIONS(2448),
    [anon_sym_GT_GT_EQ] = ACTIONS(2448),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2448),
    [anon_sym_DOT_DOT] = ACTIONS(2446),
    [anon_sym_STAR_STAR] = ACTIONS(2446),
    [anon_sym_PIPE_PIPE] = ACTIONS(2446),
    [anon_sym_SLASH_SLASH] = ACTIONS(2446),
    [anon_sym_CARET_CARET] = ACTIONS(2448),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_PIPE] = ACTIONS(2446),
    [anon_sym_CARET] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2446),
    [anon_sym_GT_GT2] = ACTIONS(2446),
    [anon_sym_PLUS] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2446),
    [anon_sym_DOT] = ACTIONS(2446),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_SLASH] = ACTIONS(2446),
    [anon_sym_x] = ACTIONS(2446),
    [anon_sym_EQ_TILDE] = ACTIONS(2448),
    [anon_sym_BANG_TILDE] = ACTIONS(2448),
    [anon_sym_EQ_EQ] = ACTIONS(2446),
    [anon_sym_BANG_EQ] = ACTIONS(2448),
    [anon_sym_eq] = ACTIONS(2446),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2448),
    [anon_sym_equ] = ACTIONS(2446),
    [anon_sym_eqr] = ACTIONS(2446),
    [anon_sym_ne] = ACTIONS(2446),
    [anon_sym_LT_EQ_GT] = ACTIONS(2448),
    [anon_sym_cmp] = ACTIONS(2446),
    [anon_sym_TILDE_TILDE] = ACTIONS(2448),
    [anon_sym_LT] = ACTIONS(2446),
    [anon_sym_LT_EQ] = ACTIONS(2446),
    [anon_sym_GT_EQ] = ACTIONS(2448),
    [anon_sym_lt] = ACTIONS(2446),
    [anon_sym_le] = ACTIONS(2446),
    [anon_sym_ge] = ACTIONS(2446),
    [anon_sym_gt] = ACTIONS(2446),
    [anon_sym_isa] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2448),
    [anon_sym_DASH_DASH] = ACTIONS(2448),
    [anon_sym_QMARK] = ACTIONS(2448),
    [anon_sym_PERCENT2] = ACTIONS(2448),
    [anon_sym_EQ_GT] = ACTIONS(2448),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(2446),
    [sym_pod] = ACTIONS(5),
    [sym__attribute_value_begin] = ACTIONS(2448),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1529] = {
    [sym_heredoc_content] = STATE(1529),
    [sym__identifier] = ACTIONS(2450),
    [anon_sym_COLON] = ACTIONS(2450),
    [anon_sym_DOLLAR] = ACTIONS(2452),
    [anon_sym_EQ] = ACTIONS(2450),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2452),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2452),
    [anon_sym_AT] = ACTIONS(2452),
    [anon_sym_COMMA] = ACTIONS(2452),
    [anon_sym_RPAREN] = ACTIONS(2452),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2452),
    [anon_sym_DASH_GT] = ACTIONS(2452),
    [anon_sym_PERCENT] = ACTIONS(2450),
    [anon_sym_GT] = ACTIONS(2450),
    [anon_sym_LT_LT] = ACTIONS(2450),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2452),
    [anon_sym_PLUS_EQ] = ACTIONS(2452),
    [anon_sym_DASH_EQ] = ACTIONS(2452),
    [anon_sym_DOT_EQ] = ACTIONS(2452),
    [anon_sym_STAR_EQ] = ACTIONS(2452),
    [anon_sym_SLASH_EQ] = ACTIONS(2452),
    [anon_sym_PERCENT_EQ] = ACTIONS(2450),
    [anon_sym_x_EQ] = ACTIONS(2452),
    [anon_sym_AMP_EQ] = ACTIONS(2452),
    [anon_sym_PIPE_EQ] = ACTIONS(2452),
    [anon_sym_CARET_EQ] = ACTIONS(2452),
    [anon_sym_LT_LT_EQ] = ACTIONS(2452),
    [anon_sym_GT_GT_EQ] = ACTIONS(2452),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2452),
    [anon_sym_DOT_DOT] = ACTIONS(2450),
    [anon_sym_STAR_STAR] = ACTIONS(2450),
    [anon_sym_PIPE_PIPE] = ACTIONS(2450),
    [anon_sym_SLASH_SLASH] = ACTIONS(2450),
    [anon_sym_CARET_CARET] = ACTIONS(2452),
    [anon_sym_AMP_AMP] = ACTIONS(2450),
    [anon_sym_PIPE] = ACTIONS(2450),
    [anon_sym_CARET] = ACTIONS(2450),
    [anon_sym_AMP] = ACTIONS(2450),
    [anon_sym_GT_GT2] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_DOT] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2450),
    [anon_sym_SLASH] = ACTIONS(2450),
    [anon_sym_x] = ACTIONS(2450),
    [anon_sym_EQ_TILDE] = ACTIONS(2452),
    [anon_sym_BANG_TILDE] = ACTIONS(2452),
    [anon_sym_EQ_EQ] = ACTIONS(2450),
    [anon_sym_BANG_EQ] = ACTIONS(2452),
    [anon_sym_eq] = ACTIONS(2450),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2452),
    [anon_sym_equ] = ACTIONS(2450),
    [anon_sym_eqr] = ACTIONS(2450),
    [anon_sym_ne] = ACTIONS(2450),
    [anon_sym_LT_EQ_GT] = ACTIONS(2452),
    [anon_sym_cmp] = ACTIONS(2450),
    [anon_sym_TILDE_TILDE] = ACTIONS(2452),
    [anon_sym_LT] = ACTIONS(2450),
    [anon_sym_LT_EQ] = ACTIONS(2450),
    [anon_sym_GT_EQ] = ACTIONS(2452),
    [anon_sym_lt] = ACTIONS(2450),
    [anon_sym_le] = ACTIONS(2450),
    [anon_sym_ge] = ACTIONS(2450),
    [anon_sym_gt] = ACTIONS(2450),
    [anon_sym_isa] = ACTIONS(2450),
    [anon_sym_PLUS_PLUS] = ACTIONS(2452),
    [anon_sym_DASH_DASH] = ACTIONS(2452),
    [anon_sym_QMARK] = ACTIONS(2452),
    [anon_sym_PERCENT2] = ACTIONS(2452),
    [anon_sym_EQ_GT] = ACTIONS(2452),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(2450),
    [sym_pod] = ACTIONS(5),
    [sym__attribute_value_begin] = ACTIONS(3441),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1530] = {
    [sym_heredoc_content] = STATE(1530),
    [anon_sym_LBRACE] = ACTIONS(2526),
    [anon_sym_RBRACE] = ACTIONS(2528),
    [anon_sym_EQ] = ACTIONS(2530),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2528),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2528),
    [anon_sym_COMMA] = ACTIONS(2528),
    [anon_sym_RPAREN] = ACTIONS(2528),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2528),
    [anon_sym_and] = ACTIONS(2528),
    [anon_sym_or] = ACTIONS(2528),
    [anon_sym_xor] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(2526),
    [anon_sym_RBRACK] = ACTIONS(2528),
    [anon_sym_DASH_GT] = ACTIONS(2528),
    [anon_sym_PERCENT] = ACTIONS(2530),
    [anon_sym_GT] = ACTIONS(2530),
    [anon_sym_LT_LT] = ACTIONS(2530),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2528),
    [anon_sym_PLUS_EQ] = ACTIONS(2528),
    [anon_sym_DASH_EQ] = ACTIONS(2528),
    [anon_sym_DOT_EQ] = ACTIONS(2528),
    [anon_sym_STAR_EQ] = ACTIONS(2528),
    [anon_sym_SLASH_EQ] = ACTIONS(2528),
    [anon_sym_PERCENT_EQ] = ACTIONS(2528),
    [anon_sym_x_EQ] = ACTIONS(2528),
    [anon_sym_AMP_EQ] = ACTIONS(2528),
    [anon_sym_PIPE_EQ] = ACTIONS(2528),
    [anon_sym_CARET_EQ] = ACTIONS(2528),
    [anon_sym_LT_LT_EQ] = ACTIONS(2528),
    [anon_sym_GT_GT_EQ] = ACTIONS(2528),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2528),
    [anon_sym_DOT_DOT] = ACTIONS(2530),
    [anon_sym_STAR_STAR] = ACTIONS(2530),
    [anon_sym_PIPE_PIPE] = ACTIONS(2530),
    [anon_sym_SLASH_SLASH] = ACTIONS(2530),
    [anon_sym_CARET_CARET] = ACTIONS(2528),
    [anon_sym_AMP_AMP] = ACTIONS(2530),
    [anon_sym_PIPE] = ACTIONS(2530),
    [anon_sym_CARET] = ACTIONS(2530),
    [anon_sym_AMP] = ACTIONS(2530),
    [anon_sym_GT_GT2] = ACTIONS(2530),
    [anon_sym_PLUS] = ACTIONS(2530),
    [anon_sym_DASH] = ACTIONS(2530),
    [anon_sym_DOT] = ACTIONS(2530),
    [anon_sym_STAR] = ACTIONS(2530),
    [anon_sym_SLASH] = ACTIONS(2530),
    [anon_sym_x] = ACTIONS(2530),
    [anon_sym_EQ_TILDE] = ACTIONS(2528),
    [anon_sym_BANG_TILDE] = ACTIONS(2528),
    [anon_sym_EQ_EQ] = ACTIONS(2530),
    [anon_sym_BANG_EQ] = ACTIONS(2528),
    [anon_sym_eq] = ACTIONS(2530),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2528),
    [anon_sym_equ] = ACTIONS(2528),
    [anon_sym_eqr] = ACTIONS(2528),
    [anon_sym_ne] = ACTIONS(2528),
    [anon_sym_LT_EQ_GT] = ACTIONS(2528),
    [anon_sym_cmp] = ACTIONS(2528),
    [anon_sym_TILDE_TILDE] = ACTIONS(2528),
    [anon_sym_LT] = ACTIONS(2530),
    [anon_sym_LT_EQ] = ACTIONS(2530),
    [anon_sym_GT_EQ] = ACTIONS(2528),
    [anon_sym_lt] = ACTIONS(2528),
    [anon_sym_le] = ACTIONS(2528),
    [anon_sym_ge] = ACTIONS(2528),
    [anon_sym_gt] = ACTIONS(2528),
    [anon_sym_isa] = ACTIONS(2528),
    [anon_sym_PLUS_PLUS] = ACTIONS(2528),
    [anon_sym_DASH_DASH] = ACTIONS(2528),
    [anon_sym_QMARK] = ACTIONS(2528),
    [anon_sym_EQ_GT] = ACTIONS(2528),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1531] = {
    [sym_heredoc_content] = STATE(1531),
    [anon_sym_LBRACE] = ACTIONS(2514),
    [anon_sym_COLON] = ACTIONS(2514),
    [anon_sym_DOLLAR] = ACTIONS(2514),
    [anon_sym_EQ] = ACTIONS(2516),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2514),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2514),
    [anon_sym_AT] = ACTIONS(2514),
    [anon_sym_COMMA] = ACTIONS(2514),
    [anon_sym_RPAREN] = ACTIONS(2514),
    [anon_sym_LPAREN] = ACTIONS(2514),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2514),
    [anon_sym_LBRACK] = ACTIONS(2514),
    [anon_sym_DASH_GT] = ACTIONS(2514),
    [anon_sym_PERCENT] = ACTIONS(2516),
    [anon_sym_GT] = ACTIONS(2516),
    [anon_sym_LT_LT] = ACTIONS(2516),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2514),
    [anon_sym_PLUS_EQ] = ACTIONS(2514),
    [anon_sym_DASH_EQ] = ACTIONS(2514),
    [anon_sym_DOT_EQ] = ACTIONS(2514),
    [anon_sym_STAR_EQ] = ACTIONS(2514),
    [anon_sym_SLASH_EQ] = ACTIONS(2514),
    [anon_sym_PERCENT_EQ] = ACTIONS(2516),
    [anon_sym_x_EQ] = ACTIONS(2514),
    [anon_sym_AMP_EQ] = ACTIONS(2514),
    [anon_sym_PIPE_EQ] = ACTIONS(2514),
    [anon_sym_CARET_EQ] = ACTIONS(2514),
    [anon_sym_LT_LT_EQ] = ACTIONS(2514),
    [anon_sym_GT_GT_EQ] = ACTIONS(2514),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2514),
    [anon_sym_DOT_DOT] = ACTIONS(2516),
    [anon_sym_STAR_STAR] = ACTIONS(2516),
    [anon_sym_PIPE_PIPE] = ACTIONS(2516),
    [anon_sym_SLASH_SLASH] = ACTIONS(2516),
    [anon_sym_CARET_CARET] = ACTIONS(2514),
    [anon_sym_AMP_AMP] = ACTIONS(2516),
    [anon_sym_PIPE] = ACTIONS(2516),
    [anon_sym_CARET] = ACTIONS(2516),
    [anon_sym_AMP] = ACTIONS(2516),
    [anon_sym_GT_GT2] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(2516),
    [anon_sym_DASH] = ACTIONS(2516),
    [anon_sym_DOT] = ACTIONS(2516),
    [anon_sym_STAR] = ACTIONS(2516),
    [anon_sym_SLASH] = ACTIONS(2516),
    [anon_sym_x] = ACTIONS(2516),
    [anon_sym_EQ_TILDE] = ACTIONS(2514),
    [anon_sym_BANG_TILDE] = ACTIONS(2514),
    [anon_sym_EQ_EQ] = ACTIONS(2516),
    [anon_sym_BANG_EQ] = ACTIONS(2514),
    [anon_sym_eq] = ACTIONS(2516),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2514),
    [anon_sym_equ] = ACTIONS(2514),
    [anon_sym_eqr] = ACTIONS(2514),
    [anon_sym_ne] = ACTIONS(2514),
    [anon_sym_LT_EQ_GT] = ACTIONS(2514),
    [anon_sym_cmp] = ACTIONS(2514),
    [anon_sym_TILDE_TILDE] = ACTIONS(2514),
    [anon_sym_LT] = ACTIONS(2516),
    [anon_sym_LT_EQ] = ACTIONS(2516),
    [anon_sym_GT_EQ] = ACTIONS(2514),
    [anon_sym_lt] = ACTIONS(2514),
    [anon_sym_le] = ACTIONS(2514),
    [anon_sym_ge] = ACTIONS(2514),
    [anon_sym_gt] = ACTIONS(2514),
    [anon_sym_isa] = ACTIONS(2514),
    [anon_sym_PLUS_PLUS] = ACTIONS(2514),
    [anon_sym_DASH_DASH] = ACTIONS(2514),
    [anon_sym_QMARK] = ACTIONS(2514),
    [anon_sym_PERCENT2] = ACTIONS(2514),
    [anon_sym_EQ_GT] = ACTIONS(2514),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1532] = {
    [sym_heredoc_content] = STATE(1532),
    [anon_sym_LBRACE] = ACTIONS(3443),
    [anon_sym_COLON] = ACTIONS(1849),
    [anon_sym_DOLLAR] = ACTIONS(1849),
    [anon_sym_EQ] = ACTIONS(1840),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1849),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1849),
    [anon_sym_AT] = ACTIONS(1849),
    [anon_sym_COMMA] = ACTIONS(1849),
    [anon_sym_RPAREN] = ACTIONS(1849),
    [anon_sym_LPAREN] = ACTIONS(3445),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1849),
    [anon_sym_LBRACK] = ACTIONS(3447),
    [anon_sym_DASH_GT] = ACTIONS(1849),
    [anon_sym_PERCENT] = ACTIONS(1840),
    [anon_sym_GT] = ACTIONS(1840),
    [anon_sym_LT_LT] = ACTIONS(1840),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1849),
    [anon_sym_PLUS_EQ] = ACTIONS(1849),
    [anon_sym_DASH_EQ] = ACTIONS(1849),
    [anon_sym_DOT_EQ] = ACTIONS(1849),
    [anon_sym_STAR_EQ] = ACTIONS(1849),
    [anon_sym_SLASH_EQ] = ACTIONS(1849),
    [anon_sym_PERCENT_EQ] = ACTIONS(1840),
    [anon_sym_x_EQ] = ACTIONS(1849),
    [anon_sym_AMP_EQ] = ACTIONS(1849),
    [anon_sym_PIPE_EQ] = ACTIONS(1849),
    [anon_sym_CARET_EQ] = ACTIONS(1849),
    [anon_sym_LT_LT_EQ] = ACTIONS(1849),
    [anon_sym_GT_GT_EQ] = ACTIONS(1849),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1849),
    [anon_sym_DOT_DOT] = ACTIONS(1840),
    [anon_sym_STAR_STAR] = ACTIONS(1840),
    [anon_sym_PIPE_PIPE] = ACTIONS(1840),
    [anon_sym_SLASH_SLASH] = ACTIONS(1840),
    [anon_sym_CARET_CARET] = ACTIONS(1849),
    [anon_sym_AMP_AMP] = ACTIONS(1840),
    [anon_sym_PIPE] = ACTIONS(1840),
    [anon_sym_CARET] = ACTIONS(1840),
    [anon_sym_AMP] = ACTIONS(1840),
    [anon_sym_GT_GT2] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_DOT] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1840),
    [anon_sym_SLASH] = ACTIONS(1840),
    [anon_sym_x] = ACTIONS(1840),
    [anon_sym_EQ_TILDE] = ACTIONS(1849),
    [anon_sym_BANG_TILDE] = ACTIONS(1849),
    [anon_sym_EQ_EQ] = ACTIONS(1840),
    [anon_sym_BANG_EQ] = ACTIONS(1849),
    [anon_sym_eq] = ACTIONS(1840),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1849),
    [anon_sym_equ] = ACTIONS(1849),
    [anon_sym_eqr] = ACTIONS(1849),
    [anon_sym_ne] = ACTIONS(1849),
    [anon_sym_LT_EQ_GT] = ACTIONS(1849),
    [anon_sym_cmp] = ACTIONS(1849),
    [anon_sym_TILDE_TILDE] = ACTIONS(1849),
    [anon_sym_LT] = ACTIONS(1840),
    [anon_sym_LT_EQ] = ACTIONS(1840),
    [anon_sym_GT_EQ] = ACTIONS(1849),
    [anon_sym_lt] = ACTIONS(1849),
    [anon_sym_le] = ACTIONS(1849),
    [anon_sym_ge] = ACTIONS(1849),
    [anon_sym_gt] = ACTIONS(1849),
    [anon_sym_isa] = ACTIONS(1849),
    [anon_sym_PLUS_PLUS] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1849),
    [anon_sym_QMARK] = ACTIONS(1849),
    [anon_sym_PERCENT2] = ACTIONS(1849),
    [anon_sym_EQ_GT] = ACTIONS(1849),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1533] = {
    [sym_heredoc_content] = STATE(1533),
    [anon_sym_LBRACE] = ACTIONS(2462),
    [anon_sym_COLON] = ACTIONS(2462),
    [anon_sym_DOLLAR] = ACTIONS(2462),
    [anon_sym_EQ] = ACTIONS(2464),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2462),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2462),
    [anon_sym_AT] = ACTIONS(2462),
    [anon_sym_COMMA] = ACTIONS(2462),
    [anon_sym_RPAREN] = ACTIONS(2462),
    [anon_sym_LPAREN] = ACTIONS(2462),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2462),
    [anon_sym_LBRACK] = ACTIONS(2462),
    [anon_sym_DASH_GT] = ACTIONS(2462),
    [anon_sym_PERCENT] = ACTIONS(2464),
    [anon_sym_GT] = ACTIONS(2464),
    [anon_sym_LT_LT] = ACTIONS(2464),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2462),
    [anon_sym_PLUS_EQ] = ACTIONS(2462),
    [anon_sym_DASH_EQ] = ACTIONS(2462),
    [anon_sym_DOT_EQ] = ACTIONS(2462),
    [anon_sym_STAR_EQ] = ACTIONS(2462),
    [anon_sym_SLASH_EQ] = ACTIONS(2462),
    [anon_sym_PERCENT_EQ] = ACTIONS(2464),
    [anon_sym_x_EQ] = ACTIONS(2462),
    [anon_sym_AMP_EQ] = ACTIONS(2462),
    [anon_sym_PIPE_EQ] = ACTIONS(2462),
    [anon_sym_CARET_EQ] = ACTIONS(2462),
    [anon_sym_LT_LT_EQ] = ACTIONS(2462),
    [anon_sym_GT_GT_EQ] = ACTIONS(2462),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2462),
    [anon_sym_DOT_DOT] = ACTIONS(2464),
    [anon_sym_STAR_STAR] = ACTIONS(2464),
    [anon_sym_PIPE_PIPE] = ACTIONS(2464),
    [anon_sym_SLASH_SLASH] = ACTIONS(2464),
    [anon_sym_CARET_CARET] = ACTIONS(2462),
    [anon_sym_AMP_AMP] = ACTIONS(2464),
    [anon_sym_PIPE] = ACTIONS(2464),
    [anon_sym_CARET] = ACTIONS(2464),
    [anon_sym_AMP] = ACTIONS(2464),
    [anon_sym_GT_GT2] = ACTIONS(2464),
    [anon_sym_PLUS] = ACTIONS(2464),
    [anon_sym_DASH] = ACTIONS(2464),
    [anon_sym_DOT] = ACTIONS(2464),
    [anon_sym_STAR] = ACTIONS(2464),
    [anon_sym_SLASH] = ACTIONS(2464),
    [anon_sym_x] = ACTIONS(2464),
    [anon_sym_EQ_TILDE] = ACTIONS(2462),
    [anon_sym_BANG_TILDE] = ACTIONS(2462),
    [anon_sym_EQ_EQ] = ACTIONS(2464),
    [anon_sym_BANG_EQ] = ACTIONS(2462),
    [anon_sym_eq] = ACTIONS(2464),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2462),
    [anon_sym_equ] = ACTIONS(2462),
    [anon_sym_eqr] = ACTIONS(2462),
    [anon_sym_ne] = ACTIONS(2462),
    [anon_sym_LT_EQ_GT] = ACTIONS(2462),
    [anon_sym_cmp] = ACTIONS(2462),
    [anon_sym_TILDE_TILDE] = ACTIONS(2462),
    [anon_sym_LT] = ACTIONS(2464),
    [anon_sym_LT_EQ] = ACTIONS(2464),
    [anon_sym_GT_EQ] = ACTIONS(2462),
    [anon_sym_lt] = ACTIONS(2462),
    [anon_sym_le] = ACTIONS(2462),
    [anon_sym_ge] = ACTIONS(2462),
    [anon_sym_gt] = ACTIONS(2462),
    [anon_sym_isa] = ACTIONS(2462),
    [anon_sym_PLUS_PLUS] = ACTIONS(2462),
    [anon_sym_DASH_DASH] = ACTIONS(2462),
    [anon_sym_QMARK] = ACTIONS(2462),
    [anon_sym_PERCENT2] = ACTIONS(2462),
    [anon_sym_EQ_GT] = ACTIONS(2462),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1534] = {
    [sym_heredoc_content] = STATE(1534),
    [anon_sym_LBRACE] = ACTIONS(2470),
    [anon_sym_COLON] = ACTIONS(2470),
    [anon_sym_DOLLAR] = ACTIONS(2470),
    [anon_sym_EQ] = ACTIONS(2472),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2470),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2470),
    [anon_sym_AT] = ACTIONS(2470),
    [anon_sym_COMMA] = ACTIONS(2470),
    [anon_sym_RPAREN] = ACTIONS(2470),
    [anon_sym_LPAREN] = ACTIONS(2470),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2470),
    [anon_sym_LBRACK] = ACTIONS(2470),
    [anon_sym_DASH_GT] = ACTIONS(2470),
    [anon_sym_PERCENT] = ACTIONS(2472),
    [anon_sym_GT] = ACTIONS(2472),
    [anon_sym_LT_LT] = ACTIONS(2472),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2470),
    [anon_sym_PLUS_EQ] = ACTIONS(2470),
    [anon_sym_DASH_EQ] = ACTIONS(2470),
    [anon_sym_DOT_EQ] = ACTIONS(2470),
    [anon_sym_STAR_EQ] = ACTIONS(2470),
    [anon_sym_SLASH_EQ] = ACTIONS(2470),
    [anon_sym_PERCENT_EQ] = ACTIONS(2472),
    [anon_sym_x_EQ] = ACTIONS(2470),
    [anon_sym_AMP_EQ] = ACTIONS(2470),
    [anon_sym_PIPE_EQ] = ACTIONS(2470),
    [anon_sym_CARET_EQ] = ACTIONS(2470),
    [anon_sym_LT_LT_EQ] = ACTIONS(2470),
    [anon_sym_GT_GT_EQ] = ACTIONS(2470),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2470),
    [anon_sym_DOT_DOT] = ACTIONS(2472),
    [anon_sym_STAR_STAR] = ACTIONS(2472),
    [anon_sym_PIPE_PIPE] = ACTIONS(2472),
    [anon_sym_SLASH_SLASH] = ACTIONS(2472),
    [anon_sym_CARET_CARET] = ACTIONS(2470),
    [anon_sym_AMP_AMP] = ACTIONS(2472),
    [anon_sym_PIPE] = ACTIONS(2472),
    [anon_sym_CARET] = ACTIONS(2472),
    [anon_sym_AMP] = ACTIONS(2472),
    [anon_sym_GT_GT2] = ACTIONS(2472),
    [anon_sym_PLUS] = ACTIONS(2472),
    [anon_sym_DASH] = ACTIONS(2472),
    [anon_sym_DOT] = ACTIONS(2472),
    [anon_sym_STAR] = ACTIONS(2472),
    [anon_sym_SLASH] = ACTIONS(2472),
    [anon_sym_x] = ACTIONS(2472),
    [anon_sym_EQ_TILDE] = ACTIONS(2470),
    [anon_sym_BANG_TILDE] = ACTIONS(2470),
    [anon_sym_EQ_EQ] = ACTIONS(2472),
    [anon_sym_BANG_EQ] = ACTIONS(2470),
    [anon_sym_eq] = ACTIONS(2472),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2470),
    [anon_sym_equ] = ACTIONS(2470),
    [anon_sym_eqr] = ACTIONS(2470),
    [anon_sym_ne] = ACTIONS(2470),
    [anon_sym_LT_EQ_GT] = ACTIONS(2470),
    [anon_sym_cmp] = ACTIONS(2470),
    [anon_sym_TILDE_TILDE] = ACTIONS(2470),
    [anon_sym_LT] = ACTIONS(2472),
    [anon_sym_LT_EQ] = ACTIONS(2472),
    [anon_sym_GT_EQ] = ACTIONS(2470),
    [anon_sym_lt] = ACTIONS(2470),
    [anon_sym_le] = ACTIONS(2470),
    [anon_sym_ge] = ACTIONS(2470),
    [anon_sym_gt] = ACTIONS(2470),
    [anon_sym_isa] = ACTIONS(2470),
    [anon_sym_PLUS_PLUS] = ACTIONS(2470),
    [anon_sym_DASH_DASH] = ACTIONS(2470),
    [anon_sym_QMARK] = ACTIONS(2470),
    [anon_sym_PERCENT2] = ACTIONS(2470),
    [anon_sym_EQ_GT] = ACTIONS(2470),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1535] = {
    [sym_heredoc_content] = STATE(1535),
    [anon_sym_LBRACE] = ACTIONS(2542),
    [anon_sym_RBRACE] = ACTIONS(1832),
    [anon_sym_EQ] = ACTIONS(1828),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1832),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1832),
    [anon_sym_COMMA] = ACTIONS(1832),
    [anon_sym_RPAREN] = ACTIONS(1832),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1832),
    [anon_sym_and] = ACTIONS(1832),
    [anon_sym_or] = ACTIONS(1832),
    [anon_sym_xor] = ACTIONS(1832),
    [anon_sym_LBRACK] = ACTIONS(2542),
    [anon_sym_RBRACK] = ACTIONS(1832),
    [anon_sym_DASH_GT] = ACTIONS(1832),
    [anon_sym_PERCENT] = ACTIONS(1828),
    [anon_sym_GT] = ACTIONS(1828),
    [anon_sym_LT_LT] = ACTIONS(1828),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1832),
    [anon_sym_PLUS_EQ] = ACTIONS(1832),
    [anon_sym_DASH_EQ] = ACTIONS(1832),
    [anon_sym_DOT_EQ] = ACTIONS(1832),
    [anon_sym_STAR_EQ] = ACTIONS(1832),
    [anon_sym_SLASH_EQ] = ACTIONS(1832),
    [anon_sym_PERCENT_EQ] = ACTIONS(1832),
    [anon_sym_x_EQ] = ACTIONS(1832),
    [anon_sym_AMP_EQ] = ACTIONS(1832),
    [anon_sym_PIPE_EQ] = ACTIONS(1832),
    [anon_sym_CARET_EQ] = ACTIONS(1832),
    [anon_sym_LT_LT_EQ] = ACTIONS(1832),
    [anon_sym_GT_GT_EQ] = ACTIONS(1832),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1832),
    [anon_sym_DOT_DOT] = ACTIONS(1828),
    [anon_sym_STAR_STAR] = ACTIONS(1828),
    [anon_sym_PIPE_PIPE] = ACTIONS(1828),
    [anon_sym_SLASH_SLASH] = ACTIONS(1828),
    [anon_sym_CARET_CARET] = ACTIONS(1832),
    [anon_sym_AMP_AMP] = ACTIONS(1828),
    [anon_sym_PIPE] = ACTIONS(1828),
    [anon_sym_CARET] = ACTIONS(1828),
    [anon_sym_AMP] = ACTIONS(1828),
    [anon_sym_GT_GT2] = ACTIONS(1828),
    [anon_sym_PLUS] = ACTIONS(1828),
    [anon_sym_DASH] = ACTIONS(1828),
    [anon_sym_DOT] = ACTIONS(1828),
    [anon_sym_STAR] = ACTIONS(1828),
    [anon_sym_SLASH] = ACTIONS(1828),
    [anon_sym_x] = ACTIONS(1828),
    [anon_sym_EQ_TILDE] = ACTIONS(1832),
    [anon_sym_BANG_TILDE] = ACTIONS(1832),
    [anon_sym_EQ_EQ] = ACTIONS(1828),
    [anon_sym_BANG_EQ] = ACTIONS(1832),
    [anon_sym_eq] = ACTIONS(1828),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1832),
    [anon_sym_equ] = ACTIONS(1832),
    [anon_sym_eqr] = ACTIONS(1832),
    [anon_sym_ne] = ACTIONS(1832),
    [anon_sym_LT_EQ_GT] = ACTIONS(1832),
    [anon_sym_cmp] = ACTIONS(1832),
    [anon_sym_TILDE_TILDE] = ACTIONS(1832),
    [anon_sym_LT] = ACTIONS(1828),
    [anon_sym_LT_EQ] = ACTIONS(1828),
    [anon_sym_GT_EQ] = ACTIONS(1832),
    [anon_sym_lt] = ACTIONS(1832),
    [anon_sym_le] = ACTIONS(1832),
    [anon_sym_ge] = ACTIONS(1832),
    [anon_sym_gt] = ACTIONS(1832),
    [anon_sym_isa] = ACTIONS(1832),
    [anon_sym_PLUS_PLUS] = ACTIONS(1832),
    [anon_sym_DASH_DASH] = ACTIONS(1832),
    [anon_sym_QMARK] = ACTIONS(1832),
    [anon_sym_EQ_GT] = ACTIONS(1832),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1536] = {
    [sym_heredoc_content] = STATE(1536),
    [anon_sym_LBRACE] = ACTIONS(2474),
    [anon_sym_COLON] = ACTIONS(2474),
    [anon_sym_DOLLAR] = ACTIONS(2474),
    [anon_sym_EQ] = ACTIONS(2476),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2474),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2474),
    [anon_sym_AT] = ACTIONS(2474),
    [anon_sym_COMMA] = ACTIONS(2474),
    [anon_sym_RPAREN] = ACTIONS(2474),
    [anon_sym_LPAREN] = ACTIONS(2474),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2474),
    [anon_sym_LBRACK] = ACTIONS(2474),
    [anon_sym_DASH_GT] = ACTIONS(2474),
    [anon_sym_PERCENT] = ACTIONS(2476),
    [anon_sym_GT] = ACTIONS(2476),
    [anon_sym_LT_LT] = ACTIONS(2476),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2474),
    [anon_sym_PLUS_EQ] = ACTIONS(2474),
    [anon_sym_DASH_EQ] = ACTIONS(2474),
    [anon_sym_DOT_EQ] = ACTIONS(2474),
    [anon_sym_STAR_EQ] = ACTIONS(2474),
    [anon_sym_SLASH_EQ] = ACTIONS(2474),
    [anon_sym_PERCENT_EQ] = ACTIONS(2476),
    [anon_sym_x_EQ] = ACTIONS(2474),
    [anon_sym_AMP_EQ] = ACTIONS(2474),
    [anon_sym_PIPE_EQ] = ACTIONS(2474),
    [anon_sym_CARET_EQ] = ACTIONS(2474),
    [anon_sym_LT_LT_EQ] = ACTIONS(2474),
    [anon_sym_GT_GT_EQ] = ACTIONS(2474),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2474),
    [anon_sym_DOT_DOT] = ACTIONS(2476),
    [anon_sym_STAR_STAR] = ACTIONS(2476),
    [anon_sym_PIPE_PIPE] = ACTIONS(2476),
    [anon_sym_SLASH_SLASH] = ACTIONS(2476),
    [anon_sym_CARET_CARET] = ACTIONS(2474),
    [anon_sym_AMP_AMP] = ACTIONS(2476),
    [anon_sym_PIPE] = ACTIONS(2476),
    [anon_sym_CARET] = ACTIONS(2476),
    [anon_sym_AMP] = ACTIONS(2476),
    [anon_sym_GT_GT2] = ACTIONS(2476),
    [anon_sym_PLUS] = ACTIONS(2476),
    [anon_sym_DASH] = ACTIONS(2476),
    [anon_sym_DOT] = ACTIONS(2476),
    [anon_sym_STAR] = ACTIONS(2476),
    [anon_sym_SLASH] = ACTIONS(2476),
    [anon_sym_x] = ACTIONS(2476),
    [anon_sym_EQ_TILDE] = ACTIONS(2474),
    [anon_sym_BANG_TILDE] = ACTIONS(2474),
    [anon_sym_EQ_EQ] = ACTIONS(2476),
    [anon_sym_BANG_EQ] = ACTIONS(2474),
    [anon_sym_eq] = ACTIONS(2476),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2474),
    [anon_sym_equ] = ACTIONS(2474),
    [anon_sym_eqr] = ACTIONS(2474),
    [anon_sym_ne] = ACTIONS(2474),
    [anon_sym_LT_EQ_GT] = ACTIONS(2474),
    [anon_sym_cmp] = ACTIONS(2474),
    [anon_sym_TILDE_TILDE] = ACTIONS(2474),
    [anon_sym_LT] = ACTIONS(2476),
    [anon_sym_LT_EQ] = ACTIONS(2476),
    [anon_sym_GT_EQ] = ACTIONS(2474),
    [anon_sym_lt] = ACTIONS(2474),
    [anon_sym_le] = ACTIONS(2474),
    [anon_sym_ge] = ACTIONS(2474),
    [anon_sym_gt] = ACTIONS(2474),
    [anon_sym_isa] = ACTIONS(2474),
    [anon_sym_PLUS_PLUS] = ACTIONS(2474),
    [anon_sym_DASH_DASH] = ACTIONS(2474),
    [anon_sym_QMARK] = ACTIONS(2474),
    [anon_sym_PERCENT2] = ACTIONS(2474),
    [anon_sym_EQ_GT] = ACTIONS(2474),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1537] = {
    [sym_attrlist] = STATE(2349),
    [sym_attribute] = STATE(1524),
    [sym_attribute_name] = STATE(1664),
    [sym_heredoc_content] = STATE(1537),
    [sym__identifier] = ACTIONS(3431),
    [anon_sym_SEMI] = ACTIONS(2442),
    [anon_sym_EQ] = ACTIONS(2444),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2442),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2442),
    [anon_sym_COMMA] = ACTIONS(2442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2442),
    [anon_sym_DASH_GT] = ACTIONS(2442),
    [anon_sym_PERCENT] = ACTIONS(2444),
    [anon_sym_GT] = ACTIONS(2444),
    [anon_sym_LT_LT] = ACTIONS(2444),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2442),
    [anon_sym_PLUS_EQ] = ACTIONS(2442),
    [anon_sym_DASH_EQ] = ACTIONS(2442),
    [anon_sym_DOT_EQ] = ACTIONS(2442),
    [anon_sym_STAR_EQ] = ACTIONS(2442),
    [anon_sym_SLASH_EQ] = ACTIONS(2442),
    [anon_sym_PERCENT_EQ] = ACTIONS(2442),
    [anon_sym_x_EQ] = ACTIONS(2442),
    [anon_sym_AMP_EQ] = ACTIONS(2442),
    [anon_sym_PIPE_EQ] = ACTIONS(2442),
    [anon_sym_CARET_EQ] = ACTIONS(2442),
    [anon_sym_LT_LT_EQ] = ACTIONS(2442),
    [anon_sym_GT_GT_EQ] = ACTIONS(2442),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2442),
    [anon_sym_DOT_DOT] = ACTIONS(2444),
    [anon_sym_STAR_STAR] = ACTIONS(2444),
    [anon_sym_PIPE_PIPE] = ACTIONS(2444),
    [anon_sym_SLASH_SLASH] = ACTIONS(2444),
    [anon_sym_CARET_CARET] = ACTIONS(2442),
    [anon_sym_AMP_AMP] = ACTIONS(2444),
    [anon_sym_PIPE] = ACTIONS(2444),
    [anon_sym_CARET] = ACTIONS(2444),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_GT_GT2] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_DOT] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2444),
    [anon_sym_SLASH] = ACTIONS(2444),
    [anon_sym_x] = ACTIONS(2444),
    [anon_sym_EQ_TILDE] = ACTIONS(2442),
    [anon_sym_BANG_TILDE] = ACTIONS(2442),
    [anon_sym_EQ_EQ] = ACTIONS(2444),
    [anon_sym_BANG_EQ] = ACTIONS(2442),
    [anon_sym_eq] = ACTIONS(2444),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2442),
    [anon_sym_equ] = ACTIONS(2444),
    [anon_sym_eqr] = ACTIONS(2444),
    [anon_sym_ne] = ACTIONS(2444),
    [anon_sym_LT_EQ_GT] = ACTIONS(2442),
    [anon_sym_cmp] = ACTIONS(2444),
    [anon_sym_TILDE_TILDE] = ACTIONS(2442),
    [anon_sym_LT] = ACTIONS(2444),
    [anon_sym_LT_EQ] = ACTIONS(2444),
    [anon_sym_GT_EQ] = ACTIONS(2442),
    [anon_sym_lt] = ACTIONS(2444),
    [anon_sym_le] = ACTIONS(2444),
    [anon_sym_ge] = ACTIONS(2444),
    [anon_sym_gt] = ACTIONS(2444),
    [anon_sym_isa] = ACTIONS(2444),
    [anon_sym_PLUS_PLUS] = ACTIONS(2442),
    [anon_sym_DASH_DASH] = ACTIONS(2442),
    [anon_sym_QMARK] = ACTIONS(2442),
    [anon_sym_EQ_GT] = ACTIONS(2442),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(3431),
    [sym__PERLY_SEMICOLON] = ACTIONS(2442),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1538] = {
    [sym_heredoc_content] = STATE(1538),
    [anon_sym_RBRACE] = ACTIONS(2532),
    [anon_sym_EQ] = ACTIONS(2534),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2532),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2532),
    [anon_sym_COMMA] = ACTIONS(2532),
    [anon_sym_RPAREN] = ACTIONS(2532),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2532),
    [anon_sym_and] = ACTIONS(2534),
    [anon_sym_or] = ACTIONS(2534),
    [anon_sym_xor] = ACTIONS(2534),
    [anon_sym_RBRACK] = ACTIONS(2532),
    [anon_sym_DASH_GT] = ACTIONS(2532),
    [anon_sym_PERCENT] = ACTIONS(2534),
    [anon_sym_GT] = ACTIONS(2534),
    [anon_sym_LT_LT] = ACTIONS(2534),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2532),
    [anon_sym_PLUS_EQ] = ACTIONS(2532),
    [anon_sym_DASH_EQ] = ACTIONS(2532),
    [anon_sym_DOT_EQ] = ACTIONS(2532),
    [anon_sym_STAR_EQ] = ACTIONS(2532),
    [anon_sym_SLASH_EQ] = ACTIONS(2532),
    [anon_sym_PERCENT_EQ] = ACTIONS(2532),
    [anon_sym_x_EQ] = ACTIONS(2534),
    [anon_sym_AMP_EQ] = ACTIONS(2532),
    [anon_sym_PIPE_EQ] = ACTIONS(2532),
    [anon_sym_CARET_EQ] = ACTIONS(2532),
    [anon_sym_LT_LT_EQ] = ACTIONS(2532),
    [anon_sym_GT_GT_EQ] = ACTIONS(2532),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2532),
    [anon_sym_DOT_DOT] = ACTIONS(2534),
    [anon_sym_STAR_STAR] = ACTIONS(2534),
    [anon_sym_PIPE_PIPE] = ACTIONS(2534),
    [anon_sym_SLASH_SLASH] = ACTIONS(2534),
    [anon_sym_CARET_CARET] = ACTIONS(2532),
    [anon_sym_AMP_AMP] = ACTIONS(2534),
    [anon_sym_PIPE] = ACTIONS(2534),
    [anon_sym_CARET] = ACTIONS(2534),
    [anon_sym_AMP] = ACTIONS(2534),
    [anon_sym_GT_GT2] = ACTIONS(2534),
    [anon_sym_PLUS] = ACTIONS(2534),
    [anon_sym_DASH] = ACTIONS(2534),
    [anon_sym_DOT] = ACTIONS(2534),
    [anon_sym_STAR] = ACTIONS(2534),
    [anon_sym_SLASH] = ACTIONS(2534),
    [anon_sym_x] = ACTIONS(2534),
    [anon_sym_EQ_TILDE] = ACTIONS(2532),
    [anon_sym_BANG_TILDE] = ACTIONS(2532),
    [anon_sym_EQ_EQ] = ACTIONS(2534),
    [anon_sym_BANG_EQ] = ACTIONS(2532),
    [anon_sym_eq] = ACTIONS(2534),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2532),
    [anon_sym_equ] = ACTIONS(2532),
    [anon_sym_eqr] = ACTIONS(2532),
    [anon_sym_ne] = ACTIONS(2534),
    [anon_sym_LT_EQ_GT] = ACTIONS(2532),
    [anon_sym_cmp] = ACTIONS(2534),
    [anon_sym_TILDE_TILDE] = ACTIONS(2532),
    [anon_sym_LT] = ACTIONS(2534),
    [anon_sym_LT_EQ] = ACTIONS(2534),
    [anon_sym_GT_EQ] = ACTIONS(2532),
    [anon_sym_lt] = ACTIONS(2534),
    [anon_sym_le] = ACTIONS(2534),
    [anon_sym_ge] = ACTIONS(2534),
    [anon_sym_gt] = ACTIONS(2534),
    [anon_sym_isa] = ACTIONS(2534),
    [anon_sym_PLUS_PLUS] = ACTIONS(2532),
    [anon_sym_DASH_DASH] = ACTIONS(2532),
    [anon_sym_QMARK] = ACTIONS(2532),
    [anon_sym_EQ_GT] = ACTIONS(2532),
    [sym_comment] = ACTIONS(5),
    [sym_match_regexp_modifiers] = ACTIONS(2532),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1539] = {
    [sym_heredoc_content] = STATE(1539),
    [aux_sym__term_rightward_repeat1] = STATE(1578),
    [anon_sym_RBRACE] = ACTIONS(2787),
    [anon_sym_EQ] = ACTIONS(3449),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3451),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3451),
    [anon_sym_COMMA] = ACTIONS(3453),
    [anon_sym_RPAREN] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3455),
    [anon_sym_and] = ACTIONS(2787),
    [anon_sym_or] = ACTIONS(2787),
    [anon_sym_xor] = ACTIONS(2787),
    [anon_sym_RBRACK] = ACTIONS(2787),
    [anon_sym_DASH_GT] = ACTIONS(3457),
    [anon_sym_PERCENT] = ACTIONS(3459),
    [anon_sym_GT] = ACTIONS(3461),
    [anon_sym_LT_LT] = ACTIONS(3463),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3451),
    [anon_sym_PLUS_EQ] = ACTIONS(3451),
    [anon_sym_DASH_EQ] = ACTIONS(3451),
    [anon_sym_DOT_EQ] = ACTIONS(3451),
    [anon_sym_STAR_EQ] = ACTIONS(3451),
    [anon_sym_SLASH_EQ] = ACTIONS(3451),
    [anon_sym_PERCENT_EQ] = ACTIONS(3451),
    [anon_sym_x_EQ] = ACTIONS(3451),
    [anon_sym_AMP_EQ] = ACTIONS(3451),
    [anon_sym_PIPE_EQ] = ACTIONS(3451),
    [anon_sym_CARET_EQ] = ACTIONS(3451),
    [anon_sym_LT_LT_EQ] = ACTIONS(3451),
    [anon_sym_GT_GT_EQ] = ACTIONS(3451),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3451),
    [anon_sym_DOT_DOT] = ACTIONS(3465),
    [anon_sym_STAR_STAR] = ACTIONS(3467),
    [anon_sym_PIPE_PIPE] = ACTIONS(3469),
    [anon_sym_SLASH_SLASH] = ACTIONS(3469),
    [anon_sym_CARET_CARET] = ACTIONS(3471),
    [anon_sym_AMP_AMP] = ACTIONS(3473),
    [anon_sym_PIPE] = ACTIONS(3475),
    [anon_sym_CARET] = ACTIONS(3475),
    [anon_sym_AMP] = ACTIONS(3477),
    [anon_sym_GT_GT2] = ACTIONS(3463),
    [anon_sym_PLUS] = ACTIONS(3479),
    [anon_sym_DASH] = ACTIONS(3479),
    [anon_sym_DOT] = ACTIONS(3479),
    [anon_sym_STAR] = ACTIONS(3459),
    [anon_sym_SLASH] = ACTIONS(3459),
    [anon_sym_x] = ACTIONS(3459),
    [anon_sym_EQ_TILDE] = ACTIONS(3481),
    [anon_sym_BANG_TILDE] = ACTIONS(3481),
    [anon_sym_EQ_EQ] = ACTIONS(3483),
    [anon_sym_BANG_EQ] = ACTIONS(3485),
    [anon_sym_eq] = ACTIONS(3483),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3485),
    [anon_sym_equ] = ACTIONS(3485),
    [anon_sym_eqr] = ACTIONS(3485),
    [anon_sym_ne] = ACTIONS(3485),
    [anon_sym_LT_EQ_GT] = ACTIONS(3487),
    [anon_sym_cmp] = ACTIONS(3487),
    [anon_sym_TILDE_TILDE] = ACTIONS(3487),
    [anon_sym_LT] = ACTIONS(3461),
    [anon_sym_LT_EQ] = ACTIONS(3461),
    [anon_sym_GT_EQ] = ACTIONS(3489),
    [anon_sym_lt] = ACTIONS(3489),
    [anon_sym_le] = ACTIONS(3489),
    [anon_sym_ge] = ACTIONS(3489),
    [anon_sym_gt] = ACTIONS(3489),
    [anon_sym_isa] = ACTIONS(3491),
    [anon_sym_PLUS_PLUS] = ACTIONS(3493),
    [anon_sym_DASH_DASH] = ACTIONS(3493),
    [anon_sym_QMARK] = ACTIONS(3495),
    [anon_sym_EQ_GT] = ACTIONS(3453),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1540] = {
    [sym_heredoc_content] = STATE(1540),
    [sym__identifier] = ACTIONS(2522),
    [anon_sym_COLON] = ACTIONS(2522),
    [anon_sym_DOLLAR] = ACTIONS(2524),
    [anon_sym_EQ] = ACTIONS(2522),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2524),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2524),
    [anon_sym_AT] = ACTIONS(2524),
    [anon_sym_COMMA] = ACTIONS(2524),
    [anon_sym_RPAREN] = ACTIONS(2524),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2524),
    [anon_sym_DASH_GT] = ACTIONS(2524),
    [anon_sym_PERCENT] = ACTIONS(2522),
    [anon_sym_GT] = ACTIONS(2522),
    [anon_sym_LT_LT] = ACTIONS(2522),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2524),
    [anon_sym_PLUS_EQ] = ACTIONS(2524),
    [anon_sym_DASH_EQ] = ACTIONS(2524),
    [anon_sym_DOT_EQ] = ACTIONS(2524),
    [anon_sym_STAR_EQ] = ACTIONS(2524),
    [anon_sym_SLASH_EQ] = ACTIONS(2524),
    [anon_sym_PERCENT_EQ] = ACTIONS(2522),
    [anon_sym_x_EQ] = ACTIONS(2524),
    [anon_sym_AMP_EQ] = ACTIONS(2524),
    [anon_sym_PIPE_EQ] = ACTIONS(2524),
    [anon_sym_CARET_EQ] = ACTIONS(2524),
    [anon_sym_LT_LT_EQ] = ACTIONS(2524),
    [anon_sym_GT_GT_EQ] = ACTIONS(2524),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2524),
    [anon_sym_DOT_DOT] = ACTIONS(2522),
    [anon_sym_STAR_STAR] = ACTIONS(2522),
    [anon_sym_PIPE_PIPE] = ACTIONS(2522),
    [anon_sym_SLASH_SLASH] = ACTIONS(2522),
    [anon_sym_CARET_CARET] = ACTIONS(2524),
    [anon_sym_AMP_AMP] = ACTIONS(2522),
    [anon_sym_PIPE] = ACTIONS(2522),
    [anon_sym_CARET] = ACTIONS(2522),
    [anon_sym_AMP] = ACTIONS(2522),
    [anon_sym_GT_GT2] = ACTIONS(2522),
    [anon_sym_PLUS] = ACTIONS(2522),
    [anon_sym_DASH] = ACTIONS(2522),
    [anon_sym_DOT] = ACTIONS(2522),
    [anon_sym_STAR] = ACTIONS(2522),
    [anon_sym_SLASH] = ACTIONS(2522),
    [anon_sym_x] = ACTIONS(2522),
    [anon_sym_EQ_TILDE] = ACTIONS(2524),
    [anon_sym_BANG_TILDE] = ACTIONS(2524),
    [anon_sym_EQ_EQ] = ACTIONS(2522),
    [anon_sym_BANG_EQ] = ACTIONS(2524),
    [anon_sym_eq] = ACTIONS(2522),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2524),
    [anon_sym_equ] = ACTIONS(2522),
    [anon_sym_eqr] = ACTIONS(2522),
    [anon_sym_ne] = ACTIONS(2522),
    [anon_sym_LT_EQ_GT] = ACTIONS(2524),
    [anon_sym_cmp] = ACTIONS(2522),
    [anon_sym_TILDE_TILDE] = ACTIONS(2524),
    [anon_sym_LT] = ACTIONS(2522),
    [anon_sym_LT_EQ] = ACTIONS(2522),
    [anon_sym_GT_EQ] = ACTIONS(2524),
    [anon_sym_lt] = ACTIONS(2522),
    [anon_sym_le] = ACTIONS(2522),
    [anon_sym_ge] = ACTIONS(2522),
    [anon_sym_gt] = ACTIONS(2522),
    [anon_sym_isa] = ACTIONS(2522),
    [anon_sym_PLUS_PLUS] = ACTIONS(2524),
    [anon_sym_DASH_DASH] = ACTIONS(2524),
    [anon_sym_QMARK] = ACTIONS(2524),
    [anon_sym_PERCENT2] = ACTIONS(2524),
    [anon_sym_EQ_GT] = ACTIONS(2524),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(2522),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1541] = {
    [sym_heredoc_content] = STATE(1541),
    [sym__identifier] = ACTIONS(2436),
    [anon_sym_COLON] = ACTIONS(2436),
    [anon_sym_DOLLAR] = ACTIONS(2431),
    [anon_sym_EQ] = ACTIONS(2436),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2431),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2431),
    [anon_sym_AT] = ACTIONS(2431),
    [anon_sym_COMMA] = ACTIONS(2431),
    [anon_sym_RPAREN] = ACTIONS(2431),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2431),
    [anon_sym_DASH_GT] = ACTIONS(2431),
    [anon_sym_PERCENT] = ACTIONS(2436),
    [anon_sym_GT] = ACTIONS(2436),
    [anon_sym_LT_LT] = ACTIONS(2436),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2431),
    [anon_sym_PLUS_EQ] = ACTIONS(2431),
    [anon_sym_DASH_EQ] = ACTIONS(2431),
    [anon_sym_DOT_EQ] = ACTIONS(2431),
    [anon_sym_STAR_EQ] = ACTIONS(2431),
    [anon_sym_SLASH_EQ] = ACTIONS(2431),
    [anon_sym_PERCENT_EQ] = ACTIONS(2436),
    [anon_sym_x_EQ] = ACTIONS(2431),
    [anon_sym_AMP_EQ] = ACTIONS(2431),
    [anon_sym_PIPE_EQ] = ACTIONS(2431),
    [anon_sym_CARET_EQ] = ACTIONS(2431),
    [anon_sym_LT_LT_EQ] = ACTIONS(2431),
    [anon_sym_GT_GT_EQ] = ACTIONS(2431),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2431),
    [anon_sym_DOT_DOT] = ACTIONS(2436),
    [anon_sym_STAR_STAR] = ACTIONS(2436),
    [anon_sym_PIPE_PIPE] = ACTIONS(2436),
    [anon_sym_SLASH_SLASH] = ACTIONS(2436),
    [anon_sym_CARET_CARET] = ACTIONS(2431),
    [anon_sym_AMP_AMP] = ACTIONS(2436),
    [anon_sym_PIPE] = ACTIONS(2436),
    [anon_sym_CARET] = ACTIONS(2436),
    [anon_sym_AMP] = ACTIONS(2436),
    [anon_sym_GT_GT2] = ACTIONS(2436),
    [anon_sym_PLUS] = ACTIONS(2436),
    [anon_sym_DASH] = ACTIONS(2436),
    [anon_sym_DOT] = ACTIONS(2436),
    [anon_sym_STAR] = ACTIONS(2436),
    [anon_sym_SLASH] = ACTIONS(2436),
    [anon_sym_x] = ACTIONS(2436),
    [anon_sym_EQ_TILDE] = ACTIONS(2431),
    [anon_sym_BANG_TILDE] = ACTIONS(2431),
    [anon_sym_EQ_EQ] = ACTIONS(2436),
    [anon_sym_BANG_EQ] = ACTIONS(2431),
    [anon_sym_eq] = ACTIONS(2436),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2431),
    [anon_sym_equ] = ACTIONS(2436),
    [anon_sym_eqr] = ACTIONS(2436),
    [anon_sym_ne] = ACTIONS(2436),
    [anon_sym_LT_EQ_GT] = ACTIONS(2431),
    [anon_sym_cmp] = ACTIONS(2436),
    [anon_sym_TILDE_TILDE] = ACTIONS(2431),
    [anon_sym_LT] = ACTIONS(2436),
    [anon_sym_LT_EQ] = ACTIONS(2436),
    [anon_sym_GT_EQ] = ACTIONS(2431),
    [anon_sym_lt] = ACTIONS(2436),
    [anon_sym_le] = ACTIONS(2436),
    [anon_sym_ge] = ACTIONS(2436),
    [anon_sym_gt] = ACTIONS(2436),
    [anon_sym_isa] = ACTIONS(2436),
    [anon_sym_PLUS_PLUS] = ACTIONS(2431),
    [anon_sym_DASH_DASH] = ACTIONS(2431),
    [anon_sym_QMARK] = ACTIONS(2431),
    [anon_sym_PERCENT2] = ACTIONS(2431),
    [anon_sym_EQ_GT] = ACTIONS(2431),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(2436),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1542] = {
    [sym_heredoc_content] = STATE(1542),
    [anon_sym_RBRACE] = ACTIONS(1849),
    [anon_sym_EQ] = ACTIONS(1840),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1849),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1849),
    [anon_sym_COMMA] = ACTIONS(1849),
    [anon_sym_RPAREN] = ACTIONS(1849),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1849),
    [anon_sym_and] = ACTIONS(1849),
    [anon_sym_or] = ACTIONS(1849),
    [anon_sym_xor] = ACTIONS(1849),
    [anon_sym_LBRACK] = ACTIONS(3497),
    [anon_sym_RBRACK] = ACTIONS(1849),
    [anon_sym_DASH_GT] = ACTIONS(1849),
    [anon_sym_PERCENT] = ACTIONS(1840),
    [anon_sym_GT] = ACTIONS(1840),
    [anon_sym_LT_LT] = ACTIONS(1840),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1849),
    [anon_sym_PLUS_EQ] = ACTIONS(1849),
    [anon_sym_DASH_EQ] = ACTIONS(1849),
    [anon_sym_DOT_EQ] = ACTIONS(1849),
    [anon_sym_STAR_EQ] = ACTIONS(1849),
    [anon_sym_SLASH_EQ] = ACTIONS(1849),
    [anon_sym_PERCENT_EQ] = ACTIONS(1849),
    [anon_sym_x_EQ] = ACTIONS(1849),
    [anon_sym_AMP_EQ] = ACTIONS(1849),
    [anon_sym_PIPE_EQ] = ACTIONS(1849),
    [anon_sym_CARET_EQ] = ACTIONS(1849),
    [anon_sym_LT_LT_EQ] = ACTIONS(1849),
    [anon_sym_GT_GT_EQ] = ACTIONS(1849),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1849),
    [anon_sym_DOT_DOT] = ACTIONS(1840),
    [anon_sym_STAR_STAR] = ACTIONS(1840),
    [anon_sym_PIPE_PIPE] = ACTIONS(1840),
    [anon_sym_SLASH_SLASH] = ACTIONS(1840),
    [anon_sym_CARET_CARET] = ACTIONS(1849),
    [anon_sym_AMP_AMP] = ACTIONS(1840),
    [anon_sym_PIPE] = ACTIONS(1840),
    [anon_sym_CARET] = ACTIONS(1840),
    [anon_sym_AMP] = ACTIONS(1840),
    [anon_sym_GT_GT2] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_DOT] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1840),
    [anon_sym_SLASH] = ACTIONS(1840),
    [anon_sym_x] = ACTIONS(1840),
    [anon_sym_EQ_TILDE] = ACTIONS(1849),
    [anon_sym_BANG_TILDE] = ACTIONS(1849),
    [anon_sym_EQ_EQ] = ACTIONS(1840),
    [anon_sym_BANG_EQ] = ACTIONS(1849),
    [anon_sym_eq] = ACTIONS(1840),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1849),
    [anon_sym_equ] = ACTIONS(1849),
    [anon_sym_eqr] = ACTIONS(1849),
    [anon_sym_ne] = ACTIONS(1849),
    [anon_sym_LT_EQ_GT] = ACTIONS(1849),
    [anon_sym_cmp] = ACTIONS(1849),
    [anon_sym_TILDE_TILDE] = ACTIONS(1849),
    [anon_sym_LT] = ACTIONS(1840),
    [anon_sym_LT_EQ] = ACTIONS(1840),
    [anon_sym_GT_EQ] = ACTIONS(1849),
    [anon_sym_lt] = ACTIONS(1849),
    [anon_sym_le] = ACTIONS(1849),
    [anon_sym_ge] = ACTIONS(1849),
    [anon_sym_gt] = ACTIONS(1849),
    [anon_sym_isa] = ACTIONS(1849),
    [anon_sym_PLUS_PLUS] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1849),
    [anon_sym_QMARK] = ACTIONS(1849),
    [anon_sym_EQ_GT] = ACTIONS(1849),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1543] = {
    [sym_heredoc_content] = STATE(1543),
    [sym__identifier] = ACTIONS(2498),
    [anon_sym_COLON] = ACTIONS(2498),
    [anon_sym_DOLLAR] = ACTIONS(2500),
    [anon_sym_EQ] = ACTIONS(2498),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2500),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2500),
    [anon_sym_AT] = ACTIONS(2500),
    [anon_sym_COMMA] = ACTIONS(2500),
    [anon_sym_RPAREN] = ACTIONS(2500),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2500),
    [anon_sym_DASH_GT] = ACTIONS(2500),
    [anon_sym_PERCENT] = ACTIONS(2498),
    [anon_sym_GT] = ACTIONS(2498),
    [anon_sym_LT_LT] = ACTIONS(2498),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2500),
    [anon_sym_PLUS_EQ] = ACTIONS(2500),
    [anon_sym_DASH_EQ] = ACTIONS(2500),
    [anon_sym_DOT_EQ] = ACTIONS(2500),
    [anon_sym_STAR_EQ] = ACTIONS(2500),
    [anon_sym_SLASH_EQ] = ACTIONS(2500),
    [anon_sym_PERCENT_EQ] = ACTIONS(2498),
    [anon_sym_x_EQ] = ACTIONS(2500),
    [anon_sym_AMP_EQ] = ACTIONS(2500),
    [anon_sym_PIPE_EQ] = ACTIONS(2500),
    [anon_sym_CARET_EQ] = ACTIONS(2500),
    [anon_sym_LT_LT_EQ] = ACTIONS(2500),
    [anon_sym_GT_GT_EQ] = ACTIONS(2500),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2500),
    [anon_sym_DOT_DOT] = ACTIONS(2498),
    [anon_sym_STAR_STAR] = ACTIONS(2498),
    [anon_sym_PIPE_PIPE] = ACTIONS(2498),
    [anon_sym_SLASH_SLASH] = ACTIONS(2498),
    [anon_sym_CARET_CARET] = ACTIONS(2500),
    [anon_sym_AMP_AMP] = ACTIONS(2498),
    [anon_sym_PIPE] = ACTIONS(2498),
    [anon_sym_CARET] = ACTIONS(2498),
    [anon_sym_AMP] = ACTIONS(2498),
    [anon_sym_GT_GT2] = ACTIONS(2498),
    [anon_sym_PLUS] = ACTIONS(2498),
    [anon_sym_DASH] = ACTIONS(2498),
    [anon_sym_DOT] = ACTIONS(2498),
    [anon_sym_STAR] = ACTIONS(2498),
    [anon_sym_SLASH] = ACTIONS(2498),
    [anon_sym_x] = ACTIONS(2498),
    [anon_sym_EQ_TILDE] = ACTIONS(2500),
    [anon_sym_BANG_TILDE] = ACTIONS(2500),
    [anon_sym_EQ_EQ] = ACTIONS(2498),
    [anon_sym_BANG_EQ] = ACTIONS(2500),
    [anon_sym_eq] = ACTIONS(2498),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2500),
    [anon_sym_equ] = ACTIONS(2498),
    [anon_sym_eqr] = ACTIONS(2498),
    [anon_sym_ne] = ACTIONS(2498),
    [anon_sym_LT_EQ_GT] = ACTIONS(2500),
    [anon_sym_cmp] = ACTIONS(2498),
    [anon_sym_TILDE_TILDE] = ACTIONS(2500),
    [anon_sym_LT] = ACTIONS(2498),
    [anon_sym_LT_EQ] = ACTIONS(2498),
    [anon_sym_GT_EQ] = ACTIONS(2500),
    [anon_sym_lt] = ACTIONS(2498),
    [anon_sym_le] = ACTIONS(2498),
    [anon_sym_ge] = ACTIONS(2498),
    [anon_sym_gt] = ACTIONS(2498),
    [anon_sym_isa] = ACTIONS(2498),
    [anon_sym_PLUS_PLUS] = ACTIONS(2500),
    [anon_sym_DASH_DASH] = ACTIONS(2500),
    [anon_sym_QMARK] = ACTIONS(2500),
    [anon_sym_PERCENT2] = ACTIONS(2500),
    [anon_sym_EQ_GT] = ACTIONS(2500),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(2498),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1544] = {
    [sym_heredoc_content] = STATE(1544),
    [anon_sym_RBRACE] = ACTIONS(2781),
    [anon_sym_EQ] = ACTIONS(2783),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2781),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2781),
    [anon_sym_COMMA] = ACTIONS(2781),
    [anon_sym_RPAREN] = ACTIONS(2781),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2781),
    [anon_sym_and] = ACTIONS(2783),
    [anon_sym_or] = ACTIONS(2783),
    [anon_sym_xor] = ACTIONS(2783),
    [anon_sym_RBRACK] = ACTIONS(2781),
    [anon_sym_DASH_GT] = ACTIONS(2781),
    [anon_sym_PERCENT] = ACTIONS(2783),
    [anon_sym_GT] = ACTIONS(2783),
    [anon_sym_LT_LT] = ACTIONS(2783),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2781),
    [anon_sym_PLUS_EQ] = ACTIONS(2781),
    [anon_sym_DASH_EQ] = ACTIONS(2781),
    [anon_sym_DOT_EQ] = ACTIONS(2781),
    [anon_sym_STAR_EQ] = ACTIONS(2781),
    [anon_sym_SLASH_EQ] = ACTIONS(2781),
    [anon_sym_PERCENT_EQ] = ACTIONS(2781),
    [anon_sym_x_EQ] = ACTIONS(2783),
    [anon_sym_AMP_EQ] = ACTIONS(2781),
    [anon_sym_PIPE_EQ] = ACTIONS(2781),
    [anon_sym_CARET_EQ] = ACTIONS(2781),
    [anon_sym_LT_LT_EQ] = ACTIONS(2781),
    [anon_sym_GT_GT_EQ] = ACTIONS(2781),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2781),
    [anon_sym_DOT_DOT] = ACTIONS(2783),
    [anon_sym_STAR_STAR] = ACTIONS(2783),
    [anon_sym_PIPE_PIPE] = ACTIONS(2783),
    [anon_sym_SLASH_SLASH] = ACTIONS(2783),
    [anon_sym_CARET_CARET] = ACTIONS(2781),
    [anon_sym_AMP_AMP] = ACTIONS(2783),
    [anon_sym_PIPE] = ACTIONS(2783),
    [anon_sym_CARET] = ACTIONS(2783),
    [anon_sym_AMP] = ACTIONS(2783),
    [anon_sym_GT_GT2] = ACTIONS(2783),
    [anon_sym_PLUS] = ACTIONS(2783),
    [anon_sym_DASH] = ACTIONS(2783),
    [anon_sym_DOT] = ACTIONS(2783),
    [anon_sym_STAR] = ACTIONS(2783),
    [anon_sym_SLASH] = ACTIONS(2783),
    [anon_sym_x] = ACTIONS(2783),
    [anon_sym_EQ_TILDE] = ACTIONS(2781),
    [anon_sym_BANG_TILDE] = ACTIONS(2781),
    [anon_sym_EQ_EQ] = ACTIONS(2783),
    [anon_sym_BANG_EQ] = ACTIONS(2781),
    [anon_sym_eq] = ACTIONS(2783),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2781),
    [anon_sym_equ] = ACTIONS(2781),
    [anon_sym_eqr] = ACTIONS(2781),
    [anon_sym_ne] = ACTIONS(2783),
    [anon_sym_LT_EQ_GT] = ACTIONS(2781),
    [anon_sym_cmp] = ACTIONS(2783),
    [anon_sym_TILDE_TILDE] = ACTIONS(2781),
    [anon_sym_LT] = ACTIONS(2783),
    [anon_sym_LT_EQ] = ACTIONS(2783),
    [anon_sym_GT_EQ] = ACTIONS(2781),
    [anon_sym_lt] = ACTIONS(2783),
    [anon_sym_le] = ACTIONS(2783),
    [anon_sym_ge] = ACTIONS(2783),
    [anon_sym_gt] = ACTIONS(2783),
    [anon_sym_isa] = ACTIONS(2783),
    [anon_sym_PLUS_PLUS] = ACTIONS(2781),
    [anon_sym_DASH_DASH] = ACTIONS(2781),
    [anon_sym_QMARK] = ACTIONS(2781),
    [anon_sym_EQ_GT] = ACTIONS(2781),
    [sym_comment] = ACTIONS(5),
    [sym_match_regexp_modifiers] = ACTIONS(3499),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1545] = {
    [sym_heredoc_content] = STATE(1545),
    [anon_sym_RBRACE] = ACTIONS(2532),
    [anon_sym_EQ] = ACTIONS(2534),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2532),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2532),
    [anon_sym_COMMA] = ACTIONS(2532),
    [anon_sym_RPAREN] = ACTIONS(2532),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2532),
    [anon_sym_and] = ACTIONS(2534),
    [anon_sym_or] = ACTIONS(2534),
    [anon_sym_xor] = ACTIONS(2534),
    [anon_sym_RBRACK] = ACTIONS(2532),
    [anon_sym_DASH_GT] = ACTIONS(2532),
    [anon_sym_PERCENT] = ACTIONS(2534),
    [anon_sym_GT] = ACTIONS(2534),
    [anon_sym_LT_LT] = ACTIONS(2534),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2532),
    [anon_sym_PLUS_EQ] = ACTIONS(2532),
    [anon_sym_DASH_EQ] = ACTIONS(2532),
    [anon_sym_DOT_EQ] = ACTIONS(2532),
    [anon_sym_STAR_EQ] = ACTIONS(2532),
    [anon_sym_SLASH_EQ] = ACTIONS(2532),
    [anon_sym_PERCENT_EQ] = ACTIONS(2532),
    [anon_sym_x_EQ] = ACTIONS(2534),
    [anon_sym_AMP_EQ] = ACTIONS(2532),
    [anon_sym_PIPE_EQ] = ACTIONS(2532),
    [anon_sym_CARET_EQ] = ACTIONS(2532),
    [anon_sym_LT_LT_EQ] = ACTIONS(2532),
    [anon_sym_GT_GT_EQ] = ACTIONS(2532),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2532),
    [anon_sym_DOT_DOT] = ACTIONS(2534),
    [anon_sym_STAR_STAR] = ACTIONS(2534),
    [anon_sym_PIPE_PIPE] = ACTIONS(2534),
    [anon_sym_SLASH_SLASH] = ACTIONS(2534),
    [anon_sym_CARET_CARET] = ACTIONS(2532),
    [anon_sym_AMP_AMP] = ACTIONS(2534),
    [anon_sym_PIPE] = ACTIONS(2534),
    [anon_sym_CARET] = ACTIONS(2534),
    [anon_sym_AMP] = ACTIONS(2534),
    [anon_sym_GT_GT2] = ACTIONS(2534),
    [anon_sym_PLUS] = ACTIONS(2534),
    [anon_sym_DASH] = ACTIONS(2534),
    [anon_sym_DOT] = ACTIONS(2534),
    [anon_sym_STAR] = ACTIONS(2534),
    [anon_sym_SLASH] = ACTIONS(2534),
    [anon_sym_x] = ACTIONS(2534),
    [anon_sym_EQ_TILDE] = ACTIONS(2532),
    [anon_sym_BANG_TILDE] = ACTIONS(2532),
    [anon_sym_EQ_EQ] = ACTIONS(2534),
    [anon_sym_BANG_EQ] = ACTIONS(2532),
    [anon_sym_eq] = ACTIONS(2534),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2532),
    [anon_sym_equ] = ACTIONS(2532),
    [anon_sym_eqr] = ACTIONS(2532),
    [anon_sym_ne] = ACTIONS(2534),
    [anon_sym_LT_EQ_GT] = ACTIONS(2532),
    [anon_sym_cmp] = ACTIONS(2532),
    [anon_sym_TILDE_TILDE] = ACTIONS(2532),
    [anon_sym_LT] = ACTIONS(2534),
    [anon_sym_LT_EQ] = ACTIONS(2534),
    [anon_sym_GT_EQ] = ACTIONS(2532),
    [anon_sym_lt] = ACTIONS(2534),
    [anon_sym_le] = ACTIONS(2534),
    [anon_sym_ge] = ACTIONS(2532),
    [anon_sym_gt] = ACTIONS(2532),
    [anon_sym_isa] = ACTIONS(2534),
    [anon_sym_PLUS_PLUS] = ACTIONS(2532),
    [anon_sym_DASH_DASH] = ACTIONS(2532),
    [anon_sym_QMARK] = ACTIONS(2532),
    [anon_sym_EQ_GT] = ACTIONS(2532),
    [sym_comment] = ACTIONS(5),
    [sym_quoted_regexp_modifiers] = ACTIONS(2532),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1546] = {
    [sym_heredoc_content] = STATE(1546),
    [anon_sym_RBRACE] = ACTIONS(2680),
    [anon_sym_EQ] = ACTIONS(2682),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2680),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2680),
    [anon_sym_COMMA] = ACTIONS(2680),
    [anon_sym_RPAREN] = ACTIONS(2680),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2680),
    [anon_sym_and] = ACTIONS(2680),
    [anon_sym_or] = ACTIONS(2680),
    [anon_sym_xor] = ACTIONS(2680),
    [anon_sym_LBRACK] = ACTIONS(3501),
    [anon_sym_RBRACK] = ACTIONS(2680),
    [anon_sym_DASH_GT] = ACTIONS(2680),
    [anon_sym_PERCENT] = ACTIONS(2682),
    [anon_sym_GT] = ACTIONS(2682),
    [anon_sym_LT_LT] = ACTIONS(2682),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2680),
    [anon_sym_PLUS_EQ] = ACTIONS(2680),
    [anon_sym_DASH_EQ] = ACTIONS(2680),
    [anon_sym_DOT_EQ] = ACTIONS(2680),
    [anon_sym_STAR_EQ] = ACTIONS(2680),
    [anon_sym_SLASH_EQ] = ACTIONS(2680),
    [anon_sym_PERCENT_EQ] = ACTIONS(2680),
    [anon_sym_x_EQ] = ACTIONS(2680),
    [anon_sym_AMP_EQ] = ACTIONS(2680),
    [anon_sym_PIPE_EQ] = ACTIONS(2680),
    [anon_sym_CARET_EQ] = ACTIONS(2680),
    [anon_sym_LT_LT_EQ] = ACTIONS(2680),
    [anon_sym_GT_GT_EQ] = ACTIONS(2680),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2680),
    [anon_sym_DOT_DOT] = ACTIONS(2682),
    [anon_sym_STAR_STAR] = ACTIONS(2682),
    [anon_sym_PIPE_PIPE] = ACTIONS(2682),
    [anon_sym_SLASH_SLASH] = ACTIONS(2682),
    [anon_sym_CARET_CARET] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(2682),
    [anon_sym_PIPE] = ACTIONS(2682),
    [anon_sym_CARET] = ACTIONS(2682),
    [anon_sym_AMP] = ACTIONS(2682),
    [anon_sym_GT_GT2] = ACTIONS(2682),
    [anon_sym_PLUS] = ACTIONS(2682),
    [anon_sym_DASH] = ACTIONS(2682),
    [anon_sym_DOT] = ACTIONS(2682),
    [anon_sym_STAR] = ACTIONS(2682),
    [anon_sym_SLASH] = ACTIONS(2682),
    [anon_sym_x] = ACTIONS(2682),
    [anon_sym_EQ_TILDE] = ACTIONS(2680),
    [anon_sym_BANG_TILDE] = ACTIONS(2680),
    [anon_sym_EQ_EQ] = ACTIONS(2682),
    [anon_sym_BANG_EQ] = ACTIONS(2680),
    [anon_sym_eq] = ACTIONS(2682),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2680),
    [anon_sym_equ] = ACTIONS(2680),
    [anon_sym_eqr] = ACTIONS(2680),
    [anon_sym_ne] = ACTIONS(2680),
    [anon_sym_LT_EQ_GT] = ACTIONS(2680),
    [anon_sym_cmp] = ACTIONS(2680),
    [anon_sym_TILDE_TILDE] = ACTIONS(2680),
    [anon_sym_LT] = ACTIONS(2682),
    [anon_sym_LT_EQ] = ACTIONS(2682),
    [anon_sym_GT_EQ] = ACTIONS(2680),
    [anon_sym_lt] = ACTIONS(2680),
    [anon_sym_le] = ACTIONS(2680),
    [anon_sym_ge] = ACTIONS(2680),
    [anon_sym_gt] = ACTIONS(2680),
    [anon_sym_isa] = ACTIONS(2680),
    [anon_sym_PLUS_PLUS] = ACTIONS(2680),
    [anon_sym_DASH_DASH] = ACTIONS(2680),
    [anon_sym_QMARK] = ACTIONS(2680),
    [anon_sym_EQ_GT] = ACTIONS(2680),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1547] = {
    [sym_heredoc_content] = STATE(1547),
    [anon_sym_LBRACE] = ACTIONS(2526),
    [anon_sym_COLON] = ACTIONS(2528),
    [anon_sym_DOLLAR] = ACTIONS(2528),
    [anon_sym_EQ] = ACTIONS(2530),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2528),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2528),
    [anon_sym_AT] = ACTIONS(2528),
    [anon_sym_COMMA] = ACTIONS(2528),
    [anon_sym_RPAREN] = ACTIONS(2528),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(2526),
    [anon_sym_DASH_GT] = ACTIONS(2528),
    [anon_sym_PERCENT] = ACTIONS(2530),
    [anon_sym_GT] = ACTIONS(2530),
    [anon_sym_LT_LT] = ACTIONS(2530),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2528),
    [anon_sym_PLUS_EQ] = ACTIONS(2528),
    [anon_sym_DASH_EQ] = ACTIONS(2528),
    [anon_sym_DOT_EQ] = ACTIONS(2528),
    [anon_sym_STAR_EQ] = ACTIONS(2528),
    [anon_sym_SLASH_EQ] = ACTIONS(2528),
    [anon_sym_PERCENT_EQ] = ACTIONS(2530),
    [anon_sym_x_EQ] = ACTIONS(2528),
    [anon_sym_AMP_EQ] = ACTIONS(2528),
    [anon_sym_PIPE_EQ] = ACTIONS(2528),
    [anon_sym_CARET_EQ] = ACTIONS(2528),
    [anon_sym_LT_LT_EQ] = ACTIONS(2528),
    [anon_sym_GT_GT_EQ] = ACTIONS(2528),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2528),
    [anon_sym_DOT_DOT] = ACTIONS(2530),
    [anon_sym_STAR_STAR] = ACTIONS(2530),
    [anon_sym_PIPE_PIPE] = ACTIONS(2530),
    [anon_sym_SLASH_SLASH] = ACTIONS(2530),
    [anon_sym_CARET_CARET] = ACTIONS(2528),
    [anon_sym_AMP_AMP] = ACTIONS(2530),
    [anon_sym_PIPE] = ACTIONS(2530),
    [anon_sym_CARET] = ACTIONS(2530),
    [anon_sym_AMP] = ACTIONS(2530),
    [anon_sym_GT_GT2] = ACTIONS(2530),
    [anon_sym_PLUS] = ACTIONS(2530),
    [anon_sym_DASH] = ACTIONS(2530),
    [anon_sym_DOT] = ACTIONS(2530),
    [anon_sym_STAR] = ACTIONS(2530),
    [anon_sym_SLASH] = ACTIONS(2530),
    [anon_sym_x] = ACTIONS(2530),
    [anon_sym_EQ_TILDE] = ACTIONS(2528),
    [anon_sym_BANG_TILDE] = ACTIONS(2528),
    [anon_sym_EQ_EQ] = ACTIONS(2530),
    [anon_sym_BANG_EQ] = ACTIONS(2528),
    [anon_sym_eq] = ACTIONS(2530),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2528),
    [anon_sym_equ] = ACTIONS(2528),
    [anon_sym_eqr] = ACTIONS(2528),
    [anon_sym_ne] = ACTIONS(2528),
    [anon_sym_LT_EQ_GT] = ACTIONS(2528),
    [anon_sym_cmp] = ACTIONS(2528),
    [anon_sym_TILDE_TILDE] = ACTIONS(2528),
    [anon_sym_LT] = ACTIONS(2530),
    [anon_sym_LT_EQ] = ACTIONS(2530),
    [anon_sym_GT_EQ] = ACTIONS(2528),
    [anon_sym_lt] = ACTIONS(2528),
    [anon_sym_le] = ACTIONS(2528),
    [anon_sym_ge] = ACTIONS(2528),
    [anon_sym_gt] = ACTIONS(2528),
    [anon_sym_isa] = ACTIONS(2528),
    [anon_sym_PLUS_PLUS] = ACTIONS(2528),
    [anon_sym_DASH_DASH] = ACTIONS(2528),
    [anon_sym_QMARK] = ACTIONS(2528),
    [anon_sym_PERCENT2] = ACTIONS(2528),
    [anon_sym_EQ_GT] = ACTIONS(2528),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1548] = {
    [sym_heredoc_content] = STATE(1548),
    [anon_sym_RBRACE] = ACTIONS(2734),
    [anon_sym_COLON] = ACTIONS(3503),
    [anon_sym_EQ] = ACTIONS(2738),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2734),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2734),
    [anon_sym_COMMA] = ACTIONS(2734),
    [anon_sym_RPAREN] = ACTIONS(2734),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2734),
    [anon_sym_and] = ACTIONS(2734),
    [anon_sym_or] = ACTIONS(2734),
    [anon_sym_xor] = ACTIONS(2734),
    [anon_sym_RBRACK] = ACTIONS(2734),
    [anon_sym_DASH_GT] = ACTIONS(2734),
    [anon_sym_PERCENT] = ACTIONS(2738),
    [anon_sym_GT] = ACTIONS(2738),
    [anon_sym_LT_LT] = ACTIONS(2738),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2734),
    [anon_sym_PLUS_EQ] = ACTIONS(2734),
    [anon_sym_DASH_EQ] = ACTIONS(2734),
    [anon_sym_DOT_EQ] = ACTIONS(2734),
    [anon_sym_STAR_EQ] = ACTIONS(2734),
    [anon_sym_SLASH_EQ] = ACTIONS(2734),
    [anon_sym_PERCENT_EQ] = ACTIONS(2734),
    [anon_sym_x_EQ] = ACTIONS(2734),
    [anon_sym_AMP_EQ] = ACTIONS(2734),
    [anon_sym_PIPE_EQ] = ACTIONS(2734),
    [anon_sym_CARET_EQ] = ACTIONS(2734),
    [anon_sym_LT_LT_EQ] = ACTIONS(2734),
    [anon_sym_GT_GT_EQ] = ACTIONS(2734),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2734),
    [anon_sym_DOT_DOT] = ACTIONS(2738),
    [anon_sym_STAR_STAR] = ACTIONS(2738),
    [anon_sym_PIPE_PIPE] = ACTIONS(2738),
    [anon_sym_SLASH_SLASH] = ACTIONS(2738),
    [anon_sym_CARET_CARET] = ACTIONS(2734),
    [anon_sym_AMP_AMP] = ACTIONS(2738),
    [anon_sym_PIPE] = ACTIONS(2738),
    [anon_sym_CARET] = ACTIONS(2738),
    [anon_sym_AMP] = ACTIONS(2738),
    [anon_sym_GT_GT2] = ACTIONS(2738),
    [anon_sym_PLUS] = ACTIONS(2738),
    [anon_sym_DASH] = ACTIONS(2738),
    [anon_sym_DOT] = ACTIONS(2738),
    [anon_sym_STAR] = ACTIONS(2738),
    [anon_sym_SLASH] = ACTIONS(2738),
    [anon_sym_x] = ACTIONS(2738),
    [anon_sym_EQ_TILDE] = ACTIONS(2734),
    [anon_sym_BANG_TILDE] = ACTIONS(2734),
    [anon_sym_EQ_EQ] = ACTIONS(2738),
    [anon_sym_BANG_EQ] = ACTIONS(2734),
    [anon_sym_eq] = ACTIONS(2738),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2734),
    [anon_sym_equ] = ACTIONS(2734),
    [anon_sym_eqr] = ACTIONS(2734),
    [anon_sym_ne] = ACTIONS(2734),
    [anon_sym_LT_EQ_GT] = ACTIONS(2734),
    [anon_sym_cmp] = ACTIONS(2734),
    [anon_sym_TILDE_TILDE] = ACTIONS(2734),
    [anon_sym_LT] = ACTIONS(2738),
    [anon_sym_LT_EQ] = ACTIONS(2738),
    [anon_sym_GT_EQ] = ACTIONS(2734),
    [anon_sym_lt] = ACTIONS(2734),
    [anon_sym_le] = ACTIONS(2734),
    [anon_sym_ge] = ACTIONS(2734),
    [anon_sym_gt] = ACTIONS(2734),
    [anon_sym_isa] = ACTIONS(2734),
    [anon_sym_PLUS_PLUS] = ACTIONS(2734),
    [anon_sym_DASH_DASH] = ACTIONS(2734),
    [anon_sym_QMARK] = ACTIONS(2734),
    [anon_sym_EQ_GT] = ACTIONS(2734),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1549] = {
    [sym_heredoc_content] = STATE(1549),
    [anon_sym_RBRACE] = ACTIONS(2744),
    [anon_sym_COLON] = ACTIONS(3505),
    [anon_sym_EQ] = ACTIONS(2748),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2744),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2744),
    [anon_sym_COMMA] = ACTIONS(2744),
    [anon_sym_RPAREN] = ACTIONS(2744),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2744),
    [anon_sym_and] = ACTIONS(2744),
    [anon_sym_or] = ACTIONS(2744),
    [anon_sym_xor] = ACTIONS(2744),
    [anon_sym_RBRACK] = ACTIONS(2744),
    [anon_sym_DASH_GT] = ACTIONS(2744),
    [anon_sym_PERCENT] = ACTIONS(2748),
    [anon_sym_GT] = ACTIONS(2748),
    [anon_sym_LT_LT] = ACTIONS(2748),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2744),
    [anon_sym_PLUS_EQ] = ACTIONS(2744),
    [anon_sym_DASH_EQ] = ACTIONS(2744),
    [anon_sym_DOT_EQ] = ACTIONS(2744),
    [anon_sym_STAR_EQ] = ACTIONS(2744),
    [anon_sym_SLASH_EQ] = ACTIONS(2744),
    [anon_sym_PERCENT_EQ] = ACTIONS(2744),
    [anon_sym_x_EQ] = ACTIONS(2744),
    [anon_sym_AMP_EQ] = ACTIONS(2744),
    [anon_sym_PIPE_EQ] = ACTIONS(2744),
    [anon_sym_CARET_EQ] = ACTIONS(2744),
    [anon_sym_LT_LT_EQ] = ACTIONS(2744),
    [anon_sym_GT_GT_EQ] = ACTIONS(2744),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2744),
    [anon_sym_DOT_DOT] = ACTIONS(2748),
    [anon_sym_STAR_STAR] = ACTIONS(2748),
    [anon_sym_PIPE_PIPE] = ACTIONS(2748),
    [anon_sym_SLASH_SLASH] = ACTIONS(2748),
    [anon_sym_CARET_CARET] = ACTIONS(2744),
    [anon_sym_AMP_AMP] = ACTIONS(2748),
    [anon_sym_PIPE] = ACTIONS(2748),
    [anon_sym_CARET] = ACTIONS(2748),
    [anon_sym_AMP] = ACTIONS(2748),
    [anon_sym_GT_GT2] = ACTIONS(2748),
    [anon_sym_PLUS] = ACTIONS(2748),
    [anon_sym_DASH] = ACTIONS(2748),
    [anon_sym_DOT] = ACTIONS(2748),
    [anon_sym_STAR] = ACTIONS(2748),
    [anon_sym_SLASH] = ACTIONS(2748),
    [anon_sym_x] = ACTIONS(2748),
    [anon_sym_EQ_TILDE] = ACTIONS(2744),
    [anon_sym_BANG_TILDE] = ACTIONS(2744),
    [anon_sym_EQ_EQ] = ACTIONS(2748),
    [anon_sym_BANG_EQ] = ACTIONS(2744),
    [anon_sym_eq] = ACTIONS(2748),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2744),
    [anon_sym_equ] = ACTIONS(2744),
    [anon_sym_eqr] = ACTIONS(2744),
    [anon_sym_ne] = ACTIONS(2744),
    [anon_sym_LT_EQ_GT] = ACTIONS(2744),
    [anon_sym_cmp] = ACTIONS(2744),
    [anon_sym_TILDE_TILDE] = ACTIONS(2744),
    [anon_sym_LT] = ACTIONS(2748),
    [anon_sym_LT_EQ] = ACTIONS(2748),
    [anon_sym_GT_EQ] = ACTIONS(2744),
    [anon_sym_lt] = ACTIONS(2744),
    [anon_sym_le] = ACTIONS(2744),
    [anon_sym_ge] = ACTIONS(2744),
    [anon_sym_gt] = ACTIONS(2744),
    [anon_sym_isa] = ACTIONS(2744),
    [anon_sym_PLUS_PLUS] = ACTIONS(2744),
    [anon_sym_DASH_DASH] = ACTIONS(2744),
    [anon_sym_QMARK] = ACTIONS(2744),
    [anon_sym_EQ_GT] = ACTIONS(2744),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1550] = {
    [sym_heredoc_content] = STATE(1550),
    [anon_sym_RBRACE] = ACTIONS(2544),
    [anon_sym_COLON] = ACTIONS(2544),
    [anon_sym_EQ] = ACTIONS(2546),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2544),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2544),
    [anon_sym_COMMA] = ACTIONS(2544),
    [anon_sym_RPAREN] = ACTIONS(2544),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2544),
    [anon_sym_and] = ACTIONS(2544),
    [anon_sym_or] = ACTIONS(2544),
    [anon_sym_xor] = ACTIONS(2544),
    [anon_sym_RBRACK] = ACTIONS(2544),
    [anon_sym_DASH_GT] = ACTIONS(2544),
    [anon_sym_PERCENT] = ACTIONS(2546),
    [anon_sym_GT] = ACTIONS(2546),
    [anon_sym_LT_LT] = ACTIONS(2546),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2544),
    [anon_sym_PLUS_EQ] = ACTIONS(2544),
    [anon_sym_DASH_EQ] = ACTIONS(2544),
    [anon_sym_DOT_EQ] = ACTIONS(2544),
    [anon_sym_STAR_EQ] = ACTIONS(2544),
    [anon_sym_SLASH_EQ] = ACTIONS(2544),
    [anon_sym_PERCENT_EQ] = ACTIONS(2544),
    [anon_sym_x_EQ] = ACTIONS(2544),
    [anon_sym_AMP_EQ] = ACTIONS(2544),
    [anon_sym_PIPE_EQ] = ACTIONS(2544),
    [anon_sym_CARET_EQ] = ACTIONS(2544),
    [anon_sym_LT_LT_EQ] = ACTIONS(2544),
    [anon_sym_GT_GT_EQ] = ACTIONS(2544),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2544),
    [anon_sym_DOT_DOT] = ACTIONS(2546),
    [anon_sym_STAR_STAR] = ACTIONS(2546),
    [anon_sym_PIPE_PIPE] = ACTIONS(2546),
    [anon_sym_SLASH_SLASH] = ACTIONS(2546),
    [anon_sym_CARET_CARET] = ACTIONS(2544),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_PIPE] = ACTIONS(2546),
    [anon_sym_CARET] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2546),
    [anon_sym_GT_GT2] = ACTIONS(2546),
    [anon_sym_PLUS] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2546),
    [anon_sym_DOT] = ACTIONS(2546),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_SLASH] = ACTIONS(2546),
    [anon_sym_x] = ACTIONS(2546),
    [anon_sym_EQ_TILDE] = ACTIONS(2544),
    [anon_sym_BANG_TILDE] = ACTIONS(2544),
    [anon_sym_EQ_EQ] = ACTIONS(2546),
    [anon_sym_BANG_EQ] = ACTIONS(2544),
    [anon_sym_eq] = ACTIONS(2546),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2544),
    [anon_sym_equ] = ACTIONS(2544),
    [anon_sym_eqr] = ACTIONS(2544),
    [anon_sym_ne] = ACTIONS(2544),
    [anon_sym_LT_EQ_GT] = ACTIONS(2544),
    [anon_sym_cmp] = ACTIONS(2544),
    [anon_sym_TILDE_TILDE] = ACTIONS(2544),
    [anon_sym_LT] = ACTIONS(2546),
    [anon_sym_LT_EQ] = ACTIONS(2546),
    [anon_sym_GT_EQ] = ACTIONS(2544),
    [anon_sym_lt] = ACTIONS(2544),
    [anon_sym_le] = ACTIONS(2544),
    [anon_sym_ge] = ACTIONS(2544),
    [anon_sym_gt] = ACTIONS(2544),
    [anon_sym_isa] = ACTIONS(2544),
    [anon_sym_PLUS_PLUS] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2544),
    [anon_sym_QMARK] = ACTIONS(2544),
    [anon_sym_EQ_GT] = ACTIONS(2544),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1551] = {
    [sym_heredoc_content] = STATE(1551),
    [anon_sym_RBRACE] = ACTIONS(2811),
    [anon_sym_EQ] = ACTIONS(2813),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2811),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2811),
    [anon_sym_COMMA] = ACTIONS(2811),
    [anon_sym_RPAREN] = ACTIONS(2811),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2811),
    [anon_sym_and] = ACTIONS(2813),
    [anon_sym_or] = ACTIONS(2813),
    [anon_sym_xor] = ACTIONS(2813),
    [anon_sym_RBRACK] = ACTIONS(2811),
    [anon_sym_DASH_GT] = ACTIONS(2811),
    [anon_sym_PERCENT] = ACTIONS(2813),
    [anon_sym_GT] = ACTIONS(2813),
    [anon_sym_LT_LT] = ACTIONS(2813),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2811),
    [anon_sym_PLUS_EQ] = ACTIONS(2811),
    [anon_sym_DASH_EQ] = ACTIONS(2811),
    [anon_sym_DOT_EQ] = ACTIONS(2811),
    [anon_sym_STAR_EQ] = ACTIONS(2811),
    [anon_sym_SLASH_EQ] = ACTIONS(2811),
    [anon_sym_PERCENT_EQ] = ACTIONS(2811),
    [anon_sym_x_EQ] = ACTIONS(2813),
    [anon_sym_AMP_EQ] = ACTIONS(2811),
    [anon_sym_PIPE_EQ] = ACTIONS(2811),
    [anon_sym_CARET_EQ] = ACTIONS(2811),
    [anon_sym_LT_LT_EQ] = ACTIONS(2811),
    [anon_sym_GT_GT_EQ] = ACTIONS(2811),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2811),
    [anon_sym_DOT_DOT] = ACTIONS(2813),
    [anon_sym_STAR_STAR] = ACTIONS(2813),
    [anon_sym_PIPE_PIPE] = ACTIONS(2813),
    [anon_sym_SLASH_SLASH] = ACTIONS(2813),
    [anon_sym_CARET_CARET] = ACTIONS(2811),
    [anon_sym_AMP_AMP] = ACTIONS(2813),
    [anon_sym_PIPE] = ACTIONS(2813),
    [anon_sym_CARET] = ACTIONS(2813),
    [anon_sym_AMP] = ACTIONS(2813),
    [anon_sym_GT_GT2] = ACTIONS(2813),
    [anon_sym_PLUS] = ACTIONS(2813),
    [anon_sym_DASH] = ACTIONS(2813),
    [anon_sym_DOT] = ACTIONS(2813),
    [anon_sym_STAR] = ACTIONS(2813),
    [anon_sym_SLASH] = ACTIONS(2813),
    [anon_sym_x] = ACTIONS(2813),
    [anon_sym_EQ_TILDE] = ACTIONS(2811),
    [anon_sym_BANG_TILDE] = ACTIONS(2811),
    [anon_sym_EQ_EQ] = ACTIONS(2813),
    [anon_sym_BANG_EQ] = ACTIONS(2811),
    [anon_sym_eq] = ACTIONS(2813),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2811),
    [anon_sym_equ] = ACTIONS(2813),
    [anon_sym_eqr] = ACTIONS(2813),
    [anon_sym_ne] = ACTIONS(2811),
    [anon_sym_LT_EQ_GT] = ACTIONS(2811),
    [anon_sym_cmp] = ACTIONS(2813),
    [anon_sym_TILDE_TILDE] = ACTIONS(2811),
    [anon_sym_LT] = ACTIONS(2813),
    [anon_sym_LT_EQ] = ACTIONS(2813),
    [anon_sym_GT_EQ] = ACTIONS(2811),
    [anon_sym_lt] = ACTIONS(2813),
    [anon_sym_le] = ACTIONS(2813),
    [anon_sym_ge] = ACTIONS(2813),
    [anon_sym_gt] = ACTIONS(2813),
    [anon_sym_isa] = ACTIONS(2813),
    [anon_sym_PLUS_PLUS] = ACTIONS(2811),
    [anon_sym_DASH_DASH] = ACTIONS(2811),
    [anon_sym_QMARK] = ACTIONS(2811),
    [anon_sym_EQ_GT] = ACTIONS(2811),
    [sym_comment] = ACTIONS(5),
    [sym_substitution_regexp_modifiers] = ACTIONS(3507),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1552] = {
    [sym_heredoc_content] = STATE(1552),
    [anon_sym_LBRACE] = ACTIONS(2542),
    [anon_sym_COLON] = ACTIONS(1832),
    [anon_sym_DOLLAR] = ACTIONS(1832),
    [anon_sym_EQ] = ACTIONS(1828),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1832),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1832),
    [anon_sym_AT] = ACTIONS(1832),
    [anon_sym_COMMA] = ACTIONS(1832),
    [anon_sym_RPAREN] = ACTIONS(1832),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1832),
    [anon_sym_LBRACK] = ACTIONS(2542),
    [anon_sym_DASH_GT] = ACTIONS(1832),
    [anon_sym_PERCENT] = ACTIONS(1828),
    [anon_sym_GT] = ACTIONS(1828),
    [anon_sym_LT_LT] = ACTIONS(1828),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1832),
    [anon_sym_PLUS_EQ] = ACTIONS(1832),
    [anon_sym_DASH_EQ] = ACTIONS(1832),
    [anon_sym_DOT_EQ] = ACTIONS(1832),
    [anon_sym_STAR_EQ] = ACTIONS(1832),
    [anon_sym_SLASH_EQ] = ACTIONS(1832),
    [anon_sym_PERCENT_EQ] = ACTIONS(1828),
    [anon_sym_x_EQ] = ACTIONS(1832),
    [anon_sym_AMP_EQ] = ACTIONS(1832),
    [anon_sym_PIPE_EQ] = ACTIONS(1832),
    [anon_sym_CARET_EQ] = ACTIONS(1832),
    [anon_sym_LT_LT_EQ] = ACTIONS(1832),
    [anon_sym_GT_GT_EQ] = ACTIONS(1832),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1832),
    [anon_sym_DOT_DOT] = ACTIONS(1828),
    [anon_sym_STAR_STAR] = ACTIONS(1828),
    [anon_sym_PIPE_PIPE] = ACTIONS(1828),
    [anon_sym_SLASH_SLASH] = ACTIONS(1828),
    [anon_sym_CARET_CARET] = ACTIONS(1832),
    [anon_sym_AMP_AMP] = ACTIONS(1828),
    [anon_sym_PIPE] = ACTIONS(1828),
    [anon_sym_CARET] = ACTIONS(1828),
    [anon_sym_AMP] = ACTIONS(1828),
    [anon_sym_GT_GT2] = ACTIONS(1828),
    [anon_sym_PLUS] = ACTIONS(1828),
    [anon_sym_DASH] = ACTIONS(1828),
    [anon_sym_DOT] = ACTIONS(1828),
    [anon_sym_STAR] = ACTIONS(1828),
    [anon_sym_SLASH] = ACTIONS(1828),
    [anon_sym_x] = ACTIONS(1828),
    [anon_sym_EQ_TILDE] = ACTIONS(1832),
    [anon_sym_BANG_TILDE] = ACTIONS(1832),
    [anon_sym_EQ_EQ] = ACTIONS(1828),
    [anon_sym_BANG_EQ] = ACTIONS(1832),
    [anon_sym_eq] = ACTIONS(1828),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1832),
    [anon_sym_equ] = ACTIONS(1832),
    [anon_sym_eqr] = ACTIONS(1832),
    [anon_sym_ne] = ACTIONS(1832),
    [anon_sym_LT_EQ_GT] = ACTIONS(1832),
    [anon_sym_cmp] = ACTIONS(1832),
    [anon_sym_TILDE_TILDE] = ACTIONS(1832),
    [anon_sym_LT] = ACTIONS(1828),
    [anon_sym_LT_EQ] = ACTIONS(1828),
    [anon_sym_GT_EQ] = ACTIONS(1832),
    [anon_sym_lt] = ACTIONS(1832),
    [anon_sym_le] = ACTIONS(1832),
    [anon_sym_ge] = ACTIONS(1832),
    [anon_sym_gt] = ACTIONS(1832),
    [anon_sym_isa] = ACTIONS(1832),
    [anon_sym_PLUS_PLUS] = ACTIONS(1832),
    [anon_sym_DASH_DASH] = ACTIONS(1832),
    [anon_sym_QMARK] = ACTIONS(1832),
    [anon_sym_PERCENT2] = ACTIONS(1832),
    [anon_sym_EQ_GT] = ACTIONS(1832),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1553] = {
    [sym_heredoc_content] = STATE(1553),
    [anon_sym_RBRACE] = ACTIONS(2805),
    [anon_sym_EQ] = ACTIONS(2807),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2805),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2805),
    [anon_sym_COMMA] = ACTIONS(2805),
    [anon_sym_RPAREN] = ACTIONS(2805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2805),
    [anon_sym_and] = ACTIONS(2805),
    [anon_sym_or] = ACTIONS(2805),
    [anon_sym_xor] = ACTIONS(2805),
    [anon_sym_RBRACK] = ACTIONS(2805),
    [anon_sym_DASH_GT] = ACTIONS(2805),
    [anon_sym_PERCENT] = ACTIONS(2807),
    [anon_sym_GT] = ACTIONS(2807),
    [anon_sym_LT_LT] = ACTIONS(2807),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2805),
    [anon_sym_PLUS_EQ] = ACTIONS(2805),
    [anon_sym_DASH_EQ] = ACTIONS(2805),
    [anon_sym_DOT_EQ] = ACTIONS(2805),
    [anon_sym_STAR_EQ] = ACTIONS(2805),
    [anon_sym_SLASH_EQ] = ACTIONS(2805),
    [anon_sym_PERCENT_EQ] = ACTIONS(2805),
    [anon_sym_x_EQ] = ACTIONS(2805),
    [anon_sym_AMP_EQ] = ACTIONS(2805),
    [anon_sym_PIPE_EQ] = ACTIONS(2805),
    [anon_sym_CARET_EQ] = ACTIONS(2805),
    [anon_sym_LT_LT_EQ] = ACTIONS(2805),
    [anon_sym_GT_GT_EQ] = ACTIONS(2805),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2805),
    [anon_sym_DOT_DOT] = ACTIONS(2807),
    [anon_sym_STAR_STAR] = ACTIONS(2807),
    [anon_sym_PIPE_PIPE] = ACTIONS(2807),
    [anon_sym_SLASH_SLASH] = ACTIONS(2807),
    [anon_sym_CARET_CARET] = ACTIONS(2805),
    [anon_sym_AMP_AMP] = ACTIONS(2807),
    [anon_sym_PIPE] = ACTIONS(2807),
    [anon_sym_CARET] = ACTIONS(2807),
    [anon_sym_AMP] = ACTIONS(2807),
    [anon_sym_GT_GT2] = ACTIONS(2807),
    [anon_sym_PLUS] = ACTIONS(2807),
    [anon_sym_DASH] = ACTIONS(2807),
    [anon_sym_DOT] = ACTIONS(2807),
    [anon_sym_STAR] = ACTIONS(2807),
    [anon_sym_SLASH] = ACTIONS(2807),
    [anon_sym_x] = ACTIONS(2807),
    [anon_sym_EQ_TILDE] = ACTIONS(2805),
    [anon_sym_BANG_TILDE] = ACTIONS(2805),
    [anon_sym_EQ_EQ] = ACTIONS(2807),
    [anon_sym_BANG_EQ] = ACTIONS(2805),
    [anon_sym_eq] = ACTIONS(2807),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2805),
    [anon_sym_equ] = ACTIONS(2805),
    [anon_sym_eqr] = ACTIONS(2805),
    [anon_sym_ne] = ACTIONS(2805),
    [anon_sym_LT_EQ_GT] = ACTIONS(2805),
    [anon_sym_cmp] = ACTIONS(2807),
    [anon_sym_TILDE_TILDE] = ACTIONS(2805),
    [anon_sym_LT] = ACTIONS(2807),
    [anon_sym_LT_EQ] = ACTIONS(2807),
    [anon_sym_GT_EQ] = ACTIONS(2805),
    [anon_sym_lt] = ACTIONS(2805),
    [anon_sym_le] = ACTIONS(2805),
    [anon_sym_ge] = ACTIONS(2805),
    [anon_sym_gt] = ACTIONS(2805),
    [anon_sym_isa] = ACTIONS(2805),
    [anon_sym_PLUS_PLUS] = ACTIONS(2805),
    [anon_sym_DASH_DASH] = ACTIONS(2805),
    [anon_sym_QMARK] = ACTIONS(2805),
    [anon_sym_EQ_GT] = ACTIONS(2805),
    [sym_comment] = ACTIONS(5),
    [sym_transliteration_modifiers] = ACTIONS(3509),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1554] = {
    [sym_heredoc_content] = STATE(1554),
    [anon_sym_RBRACE] = ACTIONS(2532),
    [anon_sym_EQ] = ACTIONS(2534),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2532),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2532),
    [anon_sym_COMMA] = ACTIONS(2532),
    [anon_sym_RPAREN] = ACTIONS(2532),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2532),
    [anon_sym_and] = ACTIONS(2534),
    [anon_sym_or] = ACTIONS(2534),
    [anon_sym_xor] = ACTIONS(2534),
    [anon_sym_RBRACK] = ACTIONS(2532),
    [anon_sym_DASH_GT] = ACTIONS(2532),
    [anon_sym_PERCENT] = ACTIONS(2534),
    [anon_sym_GT] = ACTIONS(2534),
    [anon_sym_LT_LT] = ACTIONS(2534),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2532),
    [anon_sym_PLUS_EQ] = ACTIONS(2532),
    [anon_sym_DASH_EQ] = ACTIONS(2532),
    [anon_sym_DOT_EQ] = ACTIONS(2532),
    [anon_sym_STAR_EQ] = ACTIONS(2532),
    [anon_sym_SLASH_EQ] = ACTIONS(2532),
    [anon_sym_PERCENT_EQ] = ACTIONS(2532),
    [anon_sym_x_EQ] = ACTIONS(2534),
    [anon_sym_AMP_EQ] = ACTIONS(2532),
    [anon_sym_PIPE_EQ] = ACTIONS(2532),
    [anon_sym_CARET_EQ] = ACTIONS(2532),
    [anon_sym_LT_LT_EQ] = ACTIONS(2532),
    [anon_sym_GT_GT_EQ] = ACTIONS(2532),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2532),
    [anon_sym_DOT_DOT] = ACTIONS(2534),
    [anon_sym_STAR_STAR] = ACTIONS(2534),
    [anon_sym_PIPE_PIPE] = ACTIONS(2534),
    [anon_sym_SLASH_SLASH] = ACTIONS(2534),
    [anon_sym_CARET_CARET] = ACTIONS(2532),
    [anon_sym_AMP_AMP] = ACTIONS(2534),
    [anon_sym_PIPE] = ACTIONS(2534),
    [anon_sym_CARET] = ACTIONS(2534),
    [anon_sym_AMP] = ACTIONS(2534),
    [anon_sym_GT_GT2] = ACTIONS(2534),
    [anon_sym_PLUS] = ACTIONS(2534),
    [anon_sym_DASH] = ACTIONS(2534),
    [anon_sym_DOT] = ACTIONS(2534),
    [anon_sym_STAR] = ACTIONS(2534),
    [anon_sym_SLASH] = ACTIONS(2534),
    [anon_sym_x] = ACTIONS(2534),
    [anon_sym_EQ_TILDE] = ACTIONS(2532),
    [anon_sym_BANG_TILDE] = ACTIONS(2532),
    [anon_sym_EQ_EQ] = ACTIONS(2534),
    [anon_sym_BANG_EQ] = ACTIONS(2532),
    [anon_sym_eq] = ACTIONS(2534),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2532),
    [anon_sym_equ] = ACTIONS(2534),
    [anon_sym_eqr] = ACTIONS(2534),
    [anon_sym_ne] = ACTIONS(2532),
    [anon_sym_LT_EQ_GT] = ACTIONS(2532),
    [anon_sym_cmp] = ACTIONS(2534),
    [anon_sym_TILDE_TILDE] = ACTIONS(2532),
    [anon_sym_LT] = ACTIONS(2534),
    [anon_sym_LT_EQ] = ACTIONS(2534),
    [anon_sym_GT_EQ] = ACTIONS(2532),
    [anon_sym_lt] = ACTIONS(2534),
    [anon_sym_le] = ACTIONS(2534),
    [anon_sym_ge] = ACTIONS(2534),
    [anon_sym_gt] = ACTIONS(2534),
    [anon_sym_isa] = ACTIONS(2534),
    [anon_sym_PLUS_PLUS] = ACTIONS(2532),
    [anon_sym_DASH_DASH] = ACTIONS(2532),
    [anon_sym_QMARK] = ACTIONS(2532),
    [anon_sym_EQ_GT] = ACTIONS(2532),
    [sym_comment] = ACTIONS(5),
    [sym_substitution_regexp_modifiers] = ACTIONS(2532),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1555] = {
    [sym_heredoc_content] = STATE(1555),
    [anon_sym_COLON] = ACTIONS(2532),
    [anon_sym_DOLLAR] = ACTIONS(2532),
    [anon_sym_EQ] = ACTIONS(2534),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2532),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2532),
    [anon_sym_AT] = ACTIONS(2532),
    [anon_sym_COMMA] = ACTIONS(2532),
    [anon_sym_RPAREN] = ACTIONS(2532),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2532),
    [anon_sym_LBRACK] = ACTIONS(2532),
    [anon_sym_DASH_GT] = ACTIONS(2532),
    [anon_sym_PERCENT] = ACTIONS(2534),
    [anon_sym_GT] = ACTIONS(2534),
    [anon_sym_LT_LT] = ACTIONS(2534),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2532),
    [anon_sym_PLUS_EQ] = ACTIONS(2532),
    [anon_sym_DASH_EQ] = ACTIONS(2532),
    [anon_sym_DOT_EQ] = ACTIONS(2532),
    [anon_sym_STAR_EQ] = ACTIONS(2532),
    [anon_sym_SLASH_EQ] = ACTIONS(2532),
    [anon_sym_PERCENT_EQ] = ACTIONS(2534),
    [anon_sym_x_EQ] = ACTIONS(2532),
    [anon_sym_AMP_EQ] = ACTIONS(2532),
    [anon_sym_PIPE_EQ] = ACTIONS(2532),
    [anon_sym_CARET_EQ] = ACTIONS(2532),
    [anon_sym_LT_LT_EQ] = ACTIONS(2532),
    [anon_sym_GT_GT_EQ] = ACTIONS(2532),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2532),
    [anon_sym_DOT_DOT] = ACTIONS(2534),
    [anon_sym_STAR_STAR] = ACTIONS(2534),
    [anon_sym_PIPE_PIPE] = ACTIONS(2534),
    [anon_sym_SLASH_SLASH] = ACTIONS(2534),
    [anon_sym_CARET_CARET] = ACTIONS(2532),
    [anon_sym_AMP_AMP] = ACTIONS(2534),
    [anon_sym_PIPE] = ACTIONS(2534),
    [anon_sym_CARET] = ACTIONS(2534),
    [anon_sym_AMP] = ACTIONS(2534),
    [anon_sym_GT_GT2] = ACTIONS(2534),
    [anon_sym_PLUS] = ACTIONS(2534),
    [anon_sym_DASH] = ACTIONS(2534),
    [anon_sym_DOT] = ACTIONS(2534),
    [anon_sym_STAR] = ACTIONS(2534),
    [anon_sym_SLASH] = ACTIONS(2534),
    [anon_sym_x] = ACTIONS(2534),
    [anon_sym_EQ_TILDE] = ACTIONS(2532),
    [anon_sym_BANG_TILDE] = ACTIONS(2532),
    [anon_sym_EQ_EQ] = ACTIONS(2534),
    [anon_sym_BANG_EQ] = ACTIONS(2532),
    [anon_sym_eq] = ACTIONS(2534),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2532),
    [anon_sym_equ] = ACTIONS(2532),
    [anon_sym_eqr] = ACTIONS(2532),
    [anon_sym_ne] = ACTIONS(2532),
    [anon_sym_LT_EQ_GT] = ACTIONS(2532),
    [anon_sym_cmp] = ACTIONS(2534),
    [anon_sym_TILDE_TILDE] = ACTIONS(2532),
    [anon_sym_LT] = ACTIONS(2534),
    [anon_sym_LT_EQ] = ACTIONS(2534),
    [anon_sym_GT_EQ] = ACTIONS(2532),
    [anon_sym_lt] = ACTIONS(2532),
    [anon_sym_le] = ACTIONS(2532),
    [anon_sym_ge] = ACTIONS(2532),
    [anon_sym_gt] = ACTIONS(2532),
    [anon_sym_isa] = ACTIONS(2532),
    [anon_sym_PLUS_PLUS] = ACTIONS(2532),
    [anon_sym_DASH_DASH] = ACTIONS(2532),
    [anon_sym_QMARK] = ACTIONS(2532),
    [anon_sym_PERCENT2] = ACTIONS(2532),
    [anon_sym_EQ_GT] = ACTIONS(2532),
    [sym_comment] = ACTIONS(5),
    [sym_transliteration_modifiers] = ACTIONS(2532),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1556] = {
    [sym_heredoc_content] = STATE(1556),
    [anon_sym_RBRACE] = ACTIONS(2760),
    [anon_sym_COLON] = ACTIONS(2760),
    [anon_sym_EQ] = ACTIONS(2762),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2760),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2760),
    [anon_sym_COMMA] = ACTIONS(2760),
    [anon_sym_RPAREN] = ACTIONS(2760),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2760),
    [anon_sym_and] = ACTIONS(2760),
    [anon_sym_or] = ACTIONS(2760),
    [anon_sym_xor] = ACTIONS(2760),
    [anon_sym_RBRACK] = ACTIONS(2760),
    [anon_sym_DASH_GT] = ACTIONS(2760),
    [anon_sym_PERCENT] = ACTIONS(2762),
    [anon_sym_GT] = ACTIONS(2762),
    [anon_sym_LT_LT] = ACTIONS(2762),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2760),
    [anon_sym_PLUS_EQ] = ACTIONS(2760),
    [anon_sym_DASH_EQ] = ACTIONS(2760),
    [anon_sym_DOT_EQ] = ACTIONS(2760),
    [anon_sym_STAR_EQ] = ACTIONS(2760),
    [anon_sym_SLASH_EQ] = ACTIONS(2760),
    [anon_sym_PERCENT_EQ] = ACTIONS(2760),
    [anon_sym_x_EQ] = ACTIONS(2760),
    [anon_sym_AMP_EQ] = ACTIONS(2760),
    [anon_sym_PIPE_EQ] = ACTIONS(2760),
    [anon_sym_CARET_EQ] = ACTIONS(2760),
    [anon_sym_LT_LT_EQ] = ACTIONS(2760),
    [anon_sym_GT_GT_EQ] = ACTIONS(2760),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2760),
    [anon_sym_DOT_DOT] = ACTIONS(2762),
    [anon_sym_STAR_STAR] = ACTIONS(2762),
    [anon_sym_PIPE_PIPE] = ACTIONS(2762),
    [anon_sym_SLASH_SLASH] = ACTIONS(2762),
    [anon_sym_CARET_CARET] = ACTIONS(2760),
    [anon_sym_AMP_AMP] = ACTIONS(2762),
    [anon_sym_PIPE] = ACTIONS(2762),
    [anon_sym_CARET] = ACTIONS(2762),
    [anon_sym_AMP] = ACTIONS(2762),
    [anon_sym_GT_GT2] = ACTIONS(2762),
    [anon_sym_PLUS] = ACTIONS(2762),
    [anon_sym_DASH] = ACTIONS(2762),
    [anon_sym_DOT] = ACTIONS(2762),
    [anon_sym_STAR] = ACTIONS(2762),
    [anon_sym_SLASH] = ACTIONS(2762),
    [anon_sym_x] = ACTIONS(2762),
    [anon_sym_EQ_TILDE] = ACTIONS(2760),
    [anon_sym_BANG_TILDE] = ACTIONS(2760),
    [anon_sym_EQ_EQ] = ACTIONS(2762),
    [anon_sym_BANG_EQ] = ACTIONS(2760),
    [anon_sym_eq] = ACTIONS(2762),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2760),
    [anon_sym_equ] = ACTIONS(2760),
    [anon_sym_eqr] = ACTIONS(2760),
    [anon_sym_ne] = ACTIONS(2760),
    [anon_sym_LT_EQ_GT] = ACTIONS(2760),
    [anon_sym_cmp] = ACTIONS(2760),
    [anon_sym_TILDE_TILDE] = ACTIONS(2760),
    [anon_sym_LT] = ACTIONS(2762),
    [anon_sym_LT_EQ] = ACTIONS(2762),
    [anon_sym_GT_EQ] = ACTIONS(2760),
    [anon_sym_lt] = ACTIONS(2760),
    [anon_sym_le] = ACTIONS(2760),
    [anon_sym_ge] = ACTIONS(2760),
    [anon_sym_gt] = ACTIONS(2760),
    [anon_sym_isa] = ACTIONS(2760),
    [anon_sym_PLUS_PLUS] = ACTIONS(2760),
    [anon_sym_DASH_DASH] = ACTIONS(2760),
    [anon_sym_QMARK] = ACTIONS(2760),
    [anon_sym_EQ_GT] = ACTIONS(2760),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1557] = {
    [sym_heredoc_content] = STATE(1557),
    [anon_sym_RBRACE] = ACTIONS(2552),
    [anon_sym_EQ] = ACTIONS(2554),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2552),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2552),
    [anon_sym_COMMA] = ACTIONS(2552),
    [anon_sym_RPAREN] = ACTIONS(2552),
    [anon_sym_LPAREN] = ACTIONS(2552),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2552),
    [anon_sym_and] = ACTIONS(2552),
    [anon_sym_or] = ACTIONS(2552),
    [anon_sym_xor] = ACTIONS(2552),
    [anon_sym_RBRACK] = ACTIONS(2552),
    [anon_sym_DASH_GT] = ACTIONS(2552),
    [anon_sym_PERCENT] = ACTIONS(2554),
    [anon_sym_GT] = ACTIONS(2554),
    [anon_sym_LT_LT] = ACTIONS(2554),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2552),
    [anon_sym_PLUS_EQ] = ACTIONS(2552),
    [anon_sym_DASH_EQ] = ACTIONS(2552),
    [anon_sym_DOT_EQ] = ACTIONS(2552),
    [anon_sym_STAR_EQ] = ACTIONS(2552),
    [anon_sym_SLASH_EQ] = ACTIONS(2552),
    [anon_sym_PERCENT_EQ] = ACTIONS(2552),
    [anon_sym_x_EQ] = ACTIONS(2552),
    [anon_sym_AMP_EQ] = ACTIONS(2552),
    [anon_sym_PIPE_EQ] = ACTIONS(2552),
    [anon_sym_CARET_EQ] = ACTIONS(2552),
    [anon_sym_LT_LT_EQ] = ACTIONS(2552),
    [anon_sym_GT_GT_EQ] = ACTIONS(2552),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2552),
    [anon_sym_DOT_DOT] = ACTIONS(2554),
    [anon_sym_STAR_STAR] = ACTIONS(2554),
    [anon_sym_PIPE_PIPE] = ACTIONS(2554),
    [anon_sym_SLASH_SLASH] = ACTIONS(2554),
    [anon_sym_CARET_CARET] = ACTIONS(2552),
    [anon_sym_AMP_AMP] = ACTIONS(2554),
    [anon_sym_PIPE] = ACTIONS(2554),
    [anon_sym_CARET] = ACTIONS(2554),
    [anon_sym_AMP] = ACTIONS(2554),
    [anon_sym_GT_GT2] = ACTIONS(2554),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_DOT] = ACTIONS(2554),
    [anon_sym_STAR] = ACTIONS(2554),
    [anon_sym_SLASH] = ACTIONS(2554),
    [anon_sym_x] = ACTIONS(2554),
    [anon_sym_EQ_TILDE] = ACTIONS(2552),
    [anon_sym_BANG_TILDE] = ACTIONS(2552),
    [anon_sym_EQ_EQ] = ACTIONS(2554),
    [anon_sym_BANG_EQ] = ACTIONS(2552),
    [anon_sym_eq] = ACTIONS(2554),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2552),
    [anon_sym_equ] = ACTIONS(2552),
    [anon_sym_eqr] = ACTIONS(2552),
    [anon_sym_ne] = ACTIONS(2552),
    [anon_sym_LT_EQ_GT] = ACTIONS(2552),
    [anon_sym_cmp] = ACTIONS(2552),
    [anon_sym_TILDE_TILDE] = ACTIONS(2552),
    [anon_sym_LT] = ACTIONS(2554),
    [anon_sym_LT_EQ] = ACTIONS(2554),
    [anon_sym_GT_EQ] = ACTIONS(2552),
    [anon_sym_lt] = ACTIONS(2552),
    [anon_sym_le] = ACTIONS(2552),
    [anon_sym_ge] = ACTIONS(2552),
    [anon_sym_gt] = ACTIONS(2552),
    [anon_sym_isa] = ACTIONS(2552),
    [anon_sym_PLUS_PLUS] = ACTIONS(2552),
    [anon_sym_DASH_DASH] = ACTIONS(2552),
    [anon_sym_QMARK] = ACTIONS(2552),
    [anon_sym_EQ_GT] = ACTIONS(2552),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1558] = {
    [sym_heredoc_content] = STATE(1558),
    [anon_sym_LBRACE] = ACTIONS(2548),
    [anon_sym_RBRACE] = ACTIONS(2548),
    [anon_sym_EQ] = ACTIONS(2550),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2548),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2548),
    [anon_sym_COMMA] = ACTIONS(2548),
    [anon_sym_RPAREN] = ACTIONS(2548),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2548),
    [anon_sym_and] = ACTIONS(2548),
    [anon_sym_or] = ACTIONS(2548),
    [anon_sym_xor] = ACTIONS(2548),
    [anon_sym_RBRACK] = ACTIONS(2548),
    [anon_sym_DASH_GT] = ACTIONS(2548),
    [anon_sym_PERCENT] = ACTIONS(2550),
    [anon_sym_GT] = ACTIONS(2550),
    [anon_sym_LT_LT] = ACTIONS(2550),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2548),
    [anon_sym_PLUS_EQ] = ACTIONS(2548),
    [anon_sym_DASH_EQ] = ACTIONS(2548),
    [anon_sym_DOT_EQ] = ACTIONS(2548),
    [anon_sym_STAR_EQ] = ACTIONS(2548),
    [anon_sym_SLASH_EQ] = ACTIONS(2548),
    [anon_sym_PERCENT_EQ] = ACTIONS(2548),
    [anon_sym_x_EQ] = ACTIONS(2548),
    [anon_sym_AMP_EQ] = ACTIONS(2548),
    [anon_sym_PIPE_EQ] = ACTIONS(2548),
    [anon_sym_CARET_EQ] = ACTIONS(2548),
    [anon_sym_LT_LT_EQ] = ACTIONS(2548),
    [anon_sym_GT_GT_EQ] = ACTIONS(2548),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2548),
    [anon_sym_DOT_DOT] = ACTIONS(2550),
    [anon_sym_STAR_STAR] = ACTIONS(2550),
    [anon_sym_PIPE_PIPE] = ACTIONS(2550),
    [anon_sym_SLASH_SLASH] = ACTIONS(2550),
    [anon_sym_CARET_CARET] = ACTIONS(2548),
    [anon_sym_AMP_AMP] = ACTIONS(2550),
    [anon_sym_PIPE] = ACTIONS(2550),
    [anon_sym_CARET] = ACTIONS(2550),
    [anon_sym_AMP] = ACTIONS(2550),
    [anon_sym_GT_GT2] = ACTIONS(2550),
    [anon_sym_PLUS] = ACTIONS(2550),
    [anon_sym_DASH] = ACTIONS(2550),
    [anon_sym_DOT] = ACTIONS(2550),
    [anon_sym_STAR] = ACTIONS(2550),
    [anon_sym_SLASH] = ACTIONS(2550),
    [anon_sym_x] = ACTIONS(2550),
    [anon_sym_EQ_TILDE] = ACTIONS(2548),
    [anon_sym_BANG_TILDE] = ACTIONS(2548),
    [anon_sym_EQ_EQ] = ACTIONS(2550),
    [anon_sym_BANG_EQ] = ACTIONS(2548),
    [anon_sym_eq] = ACTIONS(2550),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2548),
    [anon_sym_equ] = ACTIONS(2548),
    [anon_sym_eqr] = ACTIONS(2548),
    [anon_sym_ne] = ACTIONS(2548),
    [anon_sym_LT_EQ_GT] = ACTIONS(2548),
    [anon_sym_cmp] = ACTIONS(2548),
    [anon_sym_TILDE_TILDE] = ACTIONS(2548),
    [anon_sym_LT] = ACTIONS(2550),
    [anon_sym_LT_EQ] = ACTIONS(2550),
    [anon_sym_GT_EQ] = ACTIONS(2548),
    [anon_sym_lt] = ACTIONS(2548),
    [anon_sym_le] = ACTIONS(2548),
    [anon_sym_ge] = ACTIONS(2548),
    [anon_sym_gt] = ACTIONS(2548),
    [anon_sym_isa] = ACTIONS(2548),
    [anon_sym_PLUS_PLUS] = ACTIONS(2548),
    [anon_sym_DASH_DASH] = ACTIONS(2548),
    [anon_sym_QMARK] = ACTIONS(2548),
    [anon_sym_EQ_GT] = ACTIONS(2548),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1559] = {
    [sym_heredoc_content] = STATE(1559),
    [anon_sym_RBRACE] = ACTIONS(2740),
    [anon_sym_EQ] = ACTIONS(2742),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2740),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2740),
    [anon_sym_COMMA] = ACTIONS(2740),
    [anon_sym_RPAREN] = ACTIONS(2740),
    [anon_sym_LPAREN] = ACTIONS(2740),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2740),
    [anon_sym_and] = ACTIONS(2740),
    [anon_sym_or] = ACTIONS(2740),
    [anon_sym_xor] = ACTIONS(2740),
    [anon_sym_RBRACK] = ACTIONS(2740),
    [anon_sym_DASH_GT] = ACTIONS(2740),
    [anon_sym_PERCENT] = ACTIONS(2742),
    [anon_sym_GT] = ACTIONS(2742),
    [anon_sym_LT_LT] = ACTIONS(2742),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2740),
    [anon_sym_PLUS_EQ] = ACTIONS(2740),
    [anon_sym_DASH_EQ] = ACTIONS(2740),
    [anon_sym_DOT_EQ] = ACTIONS(2740),
    [anon_sym_STAR_EQ] = ACTIONS(2740),
    [anon_sym_SLASH_EQ] = ACTIONS(2740),
    [anon_sym_PERCENT_EQ] = ACTIONS(2740),
    [anon_sym_x_EQ] = ACTIONS(2740),
    [anon_sym_AMP_EQ] = ACTIONS(2740),
    [anon_sym_PIPE_EQ] = ACTIONS(2740),
    [anon_sym_CARET_EQ] = ACTIONS(2740),
    [anon_sym_LT_LT_EQ] = ACTIONS(2740),
    [anon_sym_GT_GT_EQ] = ACTIONS(2740),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2740),
    [anon_sym_DOT_DOT] = ACTIONS(2742),
    [anon_sym_STAR_STAR] = ACTIONS(2742),
    [anon_sym_PIPE_PIPE] = ACTIONS(2742),
    [anon_sym_SLASH_SLASH] = ACTIONS(2742),
    [anon_sym_CARET_CARET] = ACTIONS(2740),
    [anon_sym_AMP_AMP] = ACTIONS(2742),
    [anon_sym_PIPE] = ACTIONS(2742),
    [anon_sym_CARET] = ACTIONS(2742),
    [anon_sym_AMP] = ACTIONS(2742),
    [anon_sym_GT_GT2] = ACTIONS(2742),
    [anon_sym_PLUS] = ACTIONS(2742),
    [anon_sym_DASH] = ACTIONS(2742),
    [anon_sym_DOT] = ACTIONS(2742),
    [anon_sym_STAR] = ACTIONS(2742),
    [anon_sym_SLASH] = ACTIONS(2742),
    [anon_sym_x] = ACTIONS(2742),
    [anon_sym_EQ_TILDE] = ACTIONS(2740),
    [anon_sym_BANG_TILDE] = ACTIONS(2740),
    [anon_sym_EQ_EQ] = ACTIONS(2742),
    [anon_sym_BANG_EQ] = ACTIONS(2740),
    [anon_sym_eq] = ACTIONS(2742),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2740),
    [anon_sym_equ] = ACTIONS(2740),
    [anon_sym_eqr] = ACTIONS(2740),
    [anon_sym_ne] = ACTIONS(2740),
    [anon_sym_LT_EQ_GT] = ACTIONS(2740),
    [anon_sym_cmp] = ACTIONS(2740),
    [anon_sym_TILDE_TILDE] = ACTIONS(2740),
    [anon_sym_LT] = ACTIONS(2742),
    [anon_sym_LT_EQ] = ACTIONS(2742),
    [anon_sym_GT_EQ] = ACTIONS(2740),
    [anon_sym_lt] = ACTIONS(2740),
    [anon_sym_le] = ACTIONS(2740),
    [anon_sym_ge] = ACTIONS(2740),
    [anon_sym_gt] = ACTIONS(2740),
    [anon_sym_isa] = ACTIONS(2740),
    [anon_sym_PLUS_PLUS] = ACTIONS(2740),
    [anon_sym_DASH_DASH] = ACTIONS(2740),
    [anon_sym_QMARK] = ACTIONS(2740),
    [anon_sym_EQ_GT] = ACTIONS(2740),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1560] = {
    [sym_heredoc_content] = STATE(1560),
    [anon_sym_RBRACE] = ACTIONS(2634),
    [anon_sym_EQ] = ACTIONS(2636),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2634),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2634),
    [anon_sym_COMMA] = ACTIONS(2634),
    [anon_sym_RPAREN] = ACTIONS(2634),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2634),
    [anon_sym_and] = ACTIONS(2636),
    [anon_sym_or] = ACTIONS(2636),
    [anon_sym_xor] = ACTIONS(2636),
    [anon_sym_RBRACK] = ACTIONS(2634),
    [anon_sym_DASH_GT] = ACTIONS(2634),
    [anon_sym_PERCENT] = ACTIONS(2636),
    [anon_sym_GT] = ACTIONS(2636),
    [anon_sym_LT_LT] = ACTIONS(2636),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2634),
    [anon_sym_PLUS_EQ] = ACTIONS(2634),
    [anon_sym_DASH_EQ] = ACTIONS(2634),
    [anon_sym_DOT_EQ] = ACTIONS(2634),
    [anon_sym_STAR_EQ] = ACTIONS(2634),
    [anon_sym_SLASH_EQ] = ACTIONS(2634),
    [anon_sym_PERCENT_EQ] = ACTIONS(2634),
    [anon_sym_x_EQ] = ACTIONS(2636),
    [anon_sym_AMP_EQ] = ACTIONS(2634),
    [anon_sym_PIPE_EQ] = ACTIONS(2634),
    [anon_sym_CARET_EQ] = ACTIONS(2634),
    [anon_sym_LT_LT_EQ] = ACTIONS(2634),
    [anon_sym_GT_GT_EQ] = ACTIONS(2634),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2634),
    [anon_sym_DOT_DOT] = ACTIONS(2636),
    [anon_sym_STAR_STAR] = ACTIONS(2636),
    [anon_sym_PIPE_PIPE] = ACTIONS(2636),
    [anon_sym_SLASH_SLASH] = ACTIONS(2636),
    [anon_sym_CARET_CARET] = ACTIONS(2634),
    [anon_sym_AMP_AMP] = ACTIONS(2636),
    [anon_sym_PIPE] = ACTIONS(2636),
    [anon_sym_CARET] = ACTIONS(2636),
    [anon_sym_AMP] = ACTIONS(2636),
    [anon_sym_GT_GT2] = ACTIONS(2636),
    [anon_sym_PLUS] = ACTIONS(2636),
    [anon_sym_DASH] = ACTIONS(2636),
    [anon_sym_DOT] = ACTIONS(2636),
    [anon_sym_STAR] = ACTIONS(2636),
    [anon_sym_SLASH] = ACTIONS(2636),
    [anon_sym_x] = ACTIONS(2636),
    [anon_sym_EQ_TILDE] = ACTIONS(2634),
    [anon_sym_BANG_TILDE] = ACTIONS(2634),
    [anon_sym_EQ_EQ] = ACTIONS(2636),
    [anon_sym_BANG_EQ] = ACTIONS(2634),
    [anon_sym_eq] = ACTIONS(2636),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2634),
    [anon_sym_equ] = ACTIONS(2634),
    [anon_sym_eqr] = ACTIONS(2634),
    [anon_sym_ne] = ACTIONS(2636),
    [anon_sym_LT_EQ_GT] = ACTIONS(2634),
    [anon_sym_cmp] = ACTIONS(2636),
    [anon_sym_TILDE_TILDE] = ACTIONS(2634),
    [anon_sym_LT] = ACTIONS(2636),
    [anon_sym_LT_EQ] = ACTIONS(2636),
    [anon_sym_GT_EQ] = ACTIONS(2634),
    [anon_sym_lt] = ACTIONS(2636),
    [anon_sym_le] = ACTIONS(2636),
    [anon_sym_ge] = ACTIONS(2636),
    [anon_sym_gt] = ACTIONS(2636),
    [anon_sym_isa] = ACTIONS(2636),
    [anon_sym_PLUS_PLUS] = ACTIONS(2634),
    [anon_sym_DASH_DASH] = ACTIONS(2634),
    [anon_sym_QMARK] = ACTIONS(2634),
    [anon_sym_EQ_GT] = ACTIONS(2634),
    [sym_comment] = ACTIONS(5),
    [sym_match_regexp_modifiers] = ACTIONS(3511),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1561] = {
    [sym_heredoc_content] = STATE(1561),
    [anon_sym_RBRACE] = ACTIONS(2562),
    [anon_sym_EQ] = ACTIONS(2564),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2562),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2562),
    [anon_sym_COMMA] = ACTIONS(2562),
    [anon_sym_RPAREN] = ACTIONS(2562),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2562),
    [anon_sym_and] = ACTIONS(2562),
    [anon_sym_or] = ACTIONS(2562),
    [anon_sym_xor] = ACTIONS(2562),
    [anon_sym_LBRACK] = ACTIONS(3513),
    [anon_sym_RBRACK] = ACTIONS(2562),
    [anon_sym_DASH_GT] = ACTIONS(2562),
    [anon_sym_PERCENT] = ACTIONS(2564),
    [anon_sym_GT] = ACTIONS(2564),
    [anon_sym_LT_LT] = ACTIONS(2564),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2562),
    [anon_sym_PLUS_EQ] = ACTIONS(2562),
    [anon_sym_DASH_EQ] = ACTIONS(2562),
    [anon_sym_DOT_EQ] = ACTIONS(2562),
    [anon_sym_STAR_EQ] = ACTIONS(2562),
    [anon_sym_SLASH_EQ] = ACTIONS(2562),
    [anon_sym_PERCENT_EQ] = ACTIONS(2562),
    [anon_sym_x_EQ] = ACTIONS(2562),
    [anon_sym_AMP_EQ] = ACTIONS(2562),
    [anon_sym_PIPE_EQ] = ACTIONS(2562),
    [anon_sym_CARET_EQ] = ACTIONS(2562),
    [anon_sym_LT_LT_EQ] = ACTIONS(2562),
    [anon_sym_GT_GT_EQ] = ACTIONS(2562),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2562),
    [anon_sym_DOT_DOT] = ACTIONS(2564),
    [anon_sym_STAR_STAR] = ACTIONS(2564),
    [anon_sym_PIPE_PIPE] = ACTIONS(2564),
    [anon_sym_SLASH_SLASH] = ACTIONS(2564),
    [anon_sym_CARET_CARET] = ACTIONS(2562),
    [anon_sym_AMP_AMP] = ACTIONS(2564),
    [anon_sym_PIPE] = ACTIONS(2564),
    [anon_sym_CARET] = ACTIONS(2564),
    [anon_sym_AMP] = ACTIONS(2564),
    [anon_sym_GT_GT2] = ACTIONS(2564),
    [anon_sym_PLUS] = ACTIONS(2564),
    [anon_sym_DASH] = ACTIONS(2564),
    [anon_sym_DOT] = ACTIONS(2564),
    [anon_sym_STAR] = ACTIONS(2564),
    [anon_sym_SLASH] = ACTIONS(2564),
    [anon_sym_x] = ACTIONS(2564),
    [anon_sym_EQ_TILDE] = ACTIONS(2562),
    [anon_sym_BANG_TILDE] = ACTIONS(2562),
    [anon_sym_EQ_EQ] = ACTIONS(2564),
    [anon_sym_BANG_EQ] = ACTIONS(2562),
    [anon_sym_eq] = ACTIONS(2564),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2562),
    [anon_sym_equ] = ACTIONS(2562),
    [anon_sym_eqr] = ACTIONS(2562),
    [anon_sym_ne] = ACTIONS(2562),
    [anon_sym_LT_EQ_GT] = ACTIONS(2562),
    [anon_sym_cmp] = ACTIONS(2562),
    [anon_sym_TILDE_TILDE] = ACTIONS(2562),
    [anon_sym_LT] = ACTIONS(2564),
    [anon_sym_LT_EQ] = ACTIONS(2564),
    [anon_sym_GT_EQ] = ACTIONS(2562),
    [anon_sym_lt] = ACTIONS(2562),
    [anon_sym_le] = ACTIONS(2562),
    [anon_sym_ge] = ACTIONS(2562),
    [anon_sym_gt] = ACTIONS(2562),
    [anon_sym_isa] = ACTIONS(2562),
    [anon_sym_PLUS_PLUS] = ACTIONS(2562),
    [anon_sym_DASH_DASH] = ACTIONS(2562),
    [anon_sym_QMARK] = ACTIONS(2562),
    [anon_sym_EQ_GT] = ACTIONS(2562),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1562] = {
    [sym_heredoc_content] = STATE(1562),
    [anon_sym_RBRACE] = ACTIONS(2764),
    [anon_sym_EQ] = ACTIONS(2766),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2764),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2764),
    [anon_sym_COMMA] = ACTIONS(2764),
    [anon_sym_RPAREN] = ACTIONS(2764),
    [anon_sym_LPAREN] = ACTIONS(3515),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2764),
    [anon_sym_and] = ACTIONS(2764),
    [anon_sym_or] = ACTIONS(2764),
    [anon_sym_xor] = ACTIONS(2764),
    [anon_sym_RBRACK] = ACTIONS(2764),
    [anon_sym_DASH_GT] = ACTIONS(2764),
    [anon_sym_PERCENT] = ACTIONS(2766),
    [anon_sym_GT] = ACTIONS(2766),
    [anon_sym_LT_LT] = ACTIONS(2766),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2764),
    [anon_sym_PLUS_EQ] = ACTIONS(2764),
    [anon_sym_DASH_EQ] = ACTIONS(2764),
    [anon_sym_DOT_EQ] = ACTIONS(2764),
    [anon_sym_STAR_EQ] = ACTIONS(2764),
    [anon_sym_SLASH_EQ] = ACTIONS(2764),
    [anon_sym_PERCENT_EQ] = ACTIONS(2764),
    [anon_sym_x_EQ] = ACTIONS(2764),
    [anon_sym_AMP_EQ] = ACTIONS(2764),
    [anon_sym_PIPE_EQ] = ACTIONS(2764),
    [anon_sym_CARET_EQ] = ACTIONS(2764),
    [anon_sym_LT_LT_EQ] = ACTIONS(2764),
    [anon_sym_GT_GT_EQ] = ACTIONS(2764),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2764),
    [anon_sym_DOT_DOT] = ACTIONS(2766),
    [anon_sym_STAR_STAR] = ACTIONS(2766),
    [anon_sym_PIPE_PIPE] = ACTIONS(2766),
    [anon_sym_SLASH_SLASH] = ACTIONS(2766),
    [anon_sym_CARET_CARET] = ACTIONS(2764),
    [anon_sym_AMP_AMP] = ACTIONS(2766),
    [anon_sym_PIPE] = ACTIONS(2766),
    [anon_sym_CARET] = ACTIONS(2766),
    [anon_sym_AMP] = ACTIONS(2766),
    [anon_sym_GT_GT2] = ACTIONS(2766),
    [anon_sym_PLUS] = ACTIONS(2766),
    [anon_sym_DASH] = ACTIONS(2766),
    [anon_sym_DOT] = ACTIONS(2766),
    [anon_sym_STAR] = ACTIONS(2766),
    [anon_sym_SLASH] = ACTIONS(2766),
    [anon_sym_x] = ACTIONS(2766),
    [anon_sym_EQ_TILDE] = ACTIONS(2764),
    [anon_sym_BANG_TILDE] = ACTIONS(2764),
    [anon_sym_EQ_EQ] = ACTIONS(2766),
    [anon_sym_BANG_EQ] = ACTIONS(2764),
    [anon_sym_eq] = ACTIONS(2766),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2764),
    [anon_sym_equ] = ACTIONS(2764),
    [anon_sym_eqr] = ACTIONS(2764),
    [anon_sym_ne] = ACTIONS(2764),
    [anon_sym_LT_EQ_GT] = ACTIONS(2764),
    [anon_sym_cmp] = ACTIONS(2764),
    [anon_sym_TILDE_TILDE] = ACTIONS(2764),
    [anon_sym_LT] = ACTIONS(2766),
    [anon_sym_LT_EQ] = ACTIONS(2766),
    [anon_sym_GT_EQ] = ACTIONS(2764),
    [anon_sym_lt] = ACTIONS(2764),
    [anon_sym_le] = ACTIONS(2764),
    [anon_sym_ge] = ACTIONS(2764),
    [anon_sym_gt] = ACTIONS(2764),
    [anon_sym_isa] = ACTIONS(2764),
    [anon_sym_PLUS_PLUS] = ACTIONS(2764),
    [anon_sym_DASH_DASH] = ACTIONS(2764),
    [anon_sym_QMARK] = ACTIONS(2764),
    [anon_sym_EQ_GT] = ACTIONS(2764),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1563] = {
    [sym_heredoc_content] = STATE(1563),
    [anon_sym_RBRACE] = ACTIONS(2730),
    [anon_sym_EQ] = ACTIONS(2732),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2730),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2730),
    [anon_sym_COMMA] = ACTIONS(2730),
    [anon_sym_RPAREN] = ACTIONS(2730),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2730),
    [anon_sym_and] = ACTIONS(2730),
    [anon_sym_or] = ACTIONS(2730),
    [anon_sym_xor] = ACTIONS(2730),
    [anon_sym_LBRACK] = ACTIONS(3513),
    [anon_sym_RBRACK] = ACTIONS(2730),
    [anon_sym_DASH_GT] = ACTIONS(2730),
    [anon_sym_PERCENT] = ACTIONS(2732),
    [anon_sym_GT] = ACTIONS(2732),
    [anon_sym_LT_LT] = ACTIONS(2732),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2730),
    [anon_sym_PLUS_EQ] = ACTIONS(2730),
    [anon_sym_DASH_EQ] = ACTIONS(2730),
    [anon_sym_DOT_EQ] = ACTIONS(2730),
    [anon_sym_STAR_EQ] = ACTIONS(2730),
    [anon_sym_SLASH_EQ] = ACTIONS(2730),
    [anon_sym_PERCENT_EQ] = ACTIONS(2730),
    [anon_sym_x_EQ] = ACTIONS(2730),
    [anon_sym_AMP_EQ] = ACTIONS(2730),
    [anon_sym_PIPE_EQ] = ACTIONS(2730),
    [anon_sym_CARET_EQ] = ACTIONS(2730),
    [anon_sym_LT_LT_EQ] = ACTIONS(2730),
    [anon_sym_GT_GT_EQ] = ACTIONS(2730),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2730),
    [anon_sym_DOT_DOT] = ACTIONS(2732),
    [anon_sym_STAR_STAR] = ACTIONS(2732),
    [anon_sym_PIPE_PIPE] = ACTIONS(2732),
    [anon_sym_SLASH_SLASH] = ACTIONS(2732),
    [anon_sym_CARET_CARET] = ACTIONS(2730),
    [anon_sym_AMP_AMP] = ACTIONS(2732),
    [anon_sym_PIPE] = ACTIONS(2732),
    [anon_sym_CARET] = ACTIONS(2732),
    [anon_sym_AMP] = ACTIONS(2732),
    [anon_sym_GT_GT2] = ACTIONS(2732),
    [anon_sym_PLUS] = ACTIONS(2732),
    [anon_sym_DASH] = ACTIONS(2732),
    [anon_sym_DOT] = ACTIONS(2732),
    [anon_sym_STAR] = ACTIONS(2732),
    [anon_sym_SLASH] = ACTIONS(2732),
    [anon_sym_x] = ACTIONS(2732),
    [anon_sym_EQ_TILDE] = ACTIONS(2730),
    [anon_sym_BANG_TILDE] = ACTIONS(2730),
    [anon_sym_EQ_EQ] = ACTIONS(2732),
    [anon_sym_BANG_EQ] = ACTIONS(2730),
    [anon_sym_eq] = ACTIONS(2732),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2730),
    [anon_sym_equ] = ACTIONS(2730),
    [anon_sym_eqr] = ACTIONS(2730),
    [anon_sym_ne] = ACTIONS(2730),
    [anon_sym_LT_EQ_GT] = ACTIONS(2730),
    [anon_sym_cmp] = ACTIONS(2730),
    [anon_sym_TILDE_TILDE] = ACTIONS(2730),
    [anon_sym_LT] = ACTIONS(2732),
    [anon_sym_LT_EQ] = ACTIONS(2732),
    [anon_sym_GT_EQ] = ACTIONS(2730),
    [anon_sym_lt] = ACTIONS(2730),
    [anon_sym_le] = ACTIONS(2730),
    [anon_sym_ge] = ACTIONS(2730),
    [anon_sym_gt] = ACTIONS(2730),
    [anon_sym_isa] = ACTIONS(2730),
    [anon_sym_PLUS_PLUS] = ACTIONS(2730),
    [anon_sym_DASH_DASH] = ACTIONS(2730),
    [anon_sym_QMARK] = ACTIONS(2730),
    [anon_sym_EQ_GT] = ACTIONS(2730),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1564] = {
    [sym_heredoc_content] = STATE(1564),
    [anon_sym_RBRACE] = ACTIONS(2568),
    [anon_sym_EQ] = ACTIONS(2570),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2568),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2568),
    [anon_sym_COMMA] = ACTIONS(2568),
    [anon_sym_RPAREN] = ACTIONS(2568),
    [anon_sym_LPAREN] = ACTIONS(3517),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2568),
    [anon_sym_and] = ACTIONS(2568),
    [anon_sym_or] = ACTIONS(2568),
    [anon_sym_xor] = ACTIONS(2568),
    [anon_sym_RBRACK] = ACTIONS(2568),
    [anon_sym_DASH_GT] = ACTIONS(2568),
    [anon_sym_PERCENT] = ACTIONS(2570),
    [anon_sym_GT] = ACTIONS(2570),
    [anon_sym_LT_LT] = ACTIONS(2570),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2568),
    [anon_sym_PLUS_EQ] = ACTIONS(2568),
    [anon_sym_DASH_EQ] = ACTIONS(2568),
    [anon_sym_DOT_EQ] = ACTIONS(2568),
    [anon_sym_STAR_EQ] = ACTIONS(2568),
    [anon_sym_SLASH_EQ] = ACTIONS(2568),
    [anon_sym_PERCENT_EQ] = ACTIONS(2568),
    [anon_sym_x_EQ] = ACTIONS(2568),
    [anon_sym_AMP_EQ] = ACTIONS(2568),
    [anon_sym_PIPE_EQ] = ACTIONS(2568),
    [anon_sym_CARET_EQ] = ACTIONS(2568),
    [anon_sym_LT_LT_EQ] = ACTIONS(2568),
    [anon_sym_GT_GT_EQ] = ACTIONS(2568),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2568),
    [anon_sym_DOT_DOT] = ACTIONS(2570),
    [anon_sym_STAR_STAR] = ACTIONS(2570),
    [anon_sym_PIPE_PIPE] = ACTIONS(2570),
    [anon_sym_SLASH_SLASH] = ACTIONS(2570),
    [anon_sym_CARET_CARET] = ACTIONS(2568),
    [anon_sym_AMP_AMP] = ACTIONS(2570),
    [anon_sym_PIPE] = ACTIONS(2570),
    [anon_sym_CARET] = ACTIONS(2570),
    [anon_sym_AMP] = ACTIONS(2570),
    [anon_sym_GT_GT2] = ACTIONS(2570),
    [anon_sym_PLUS] = ACTIONS(2570),
    [anon_sym_DASH] = ACTIONS(2570),
    [anon_sym_DOT] = ACTIONS(2570),
    [anon_sym_STAR] = ACTIONS(2570),
    [anon_sym_SLASH] = ACTIONS(2570),
    [anon_sym_x] = ACTIONS(2570),
    [anon_sym_EQ_TILDE] = ACTIONS(2568),
    [anon_sym_BANG_TILDE] = ACTIONS(2568),
    [anon_sym_EQ_EQ] = ACTIONS(2570),
    [anon_sym_BANG_EQ] = ACTIONS(2568),
    [anon_sym_eq] = ACTIONS(2570),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2568),
    [anon_sym_equ] = ACTIONS(2568),
    [anon_sym_eqr] = ACTIONS(2568),
    [anon_sym_ne] = ACTIONS(2568),
    [anon_sym_LT_EQ_GT] = ACTIONS(2568),
    [anon_sym_cmp] = ACTIONS(2568),
    [anon_sym_TILDE_TILDE] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_LT_EQ] = ACTIONS(2570),
    [anon_sym_GT_EQ] = ACTIONS(2568),
    [anon_sym_lt] = ACTIONS(2568),
    [anon_sym_le] = ACTIONS(2568),
    [anon_sym_ge] = ACTIONS(2568),
    [anon_sym_gt] = ACTIONS(2568),
    [anon_sym_isa] = ACTIONS(2568),
    [anon_sym_PLUS_PLUS] = ACTIONS(2568),
    [anon_sym_DASH_DASH] = ACTIONS(2568),
    [anon_sym_QMARK] = ACTIONS(2568),
    [anon_sym_EQ_GT] = ACTIONS(2568),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1565] = {
    [sym_heredoc_content] = STATE(1565),
    [anon_sym_RBRACE] = ACTIONS(2722),
    [anon_sym_EQ] = ACTIONS(2724),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2722),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2722),
    [anon_sym_COMMA] = ACTIONS(2722),
    [anon_sym_RPAREN] = ACTIONS(2722),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2722),
    [anon_sym_and] = ACTIONS(2722),
    [anon_sym_or] = ACTIONS(2722),
    [anon_sym_xor] = ACTIONS(2722),
    [anon_sym_LBRACK] = ACTIONS(3501),
    [anon_sym_RBRACK] = ACTIONS(2722),
    [anon_sym_DASH_GT] = ACTIONS(2722),
    [anon_sym_PERCENT] = ACTIONS(2724),
    [anon_sym_GT] = ACTIONS(2724),
    [anon_sym_LT_LT] = ACTIONS(2724),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2722),
    [anon_sym_PLUS_EQ] = ACTIONS(2722),
    [anon_sym_DASH_EQ] = ACTIONS(2722),
    [anon_sym_DOT_EQ] = ACTIONS(2722),
    [anon_sym_STAR_EQ] = ACTIONS(2722),
    [anon_sym_SLASH_EQ] = ACTIONS(2722),
    [anon_sym_PERCENT_EQ] = ACTIONS(2722),
    [anon_sym_x_EQ] = ACTIONS(2722),
    [anon_sym_AMP_EQ] = ACTIONS(2722),
    [anon_sym_PIPE_EQ] = ACTIONS(2722),
    [anon_sym_CARET_EQ] = ACTIONS(2722),
    [anon_sym_LT_LT_EQ] = ACTIONS(2722),
    [anon_sym_GT_GT_EQ] = ACTIONS(2722),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2722),
    [anon_sym_DOT_DOT] = ACTIONS(2724),
    [anon_sym_STAR_STAR] = ACTIONS(2724),
    [anon_sym_PIPE_PIPE] = ACTIONS(2724),
    [anon_sym_SLASH_SLASH] = ACTIONS(2724),
    [anon_sym_CARET_CARET] = ACTIONS(2722),
    [anon_sym_AMP_AMP] = ACTIONS(2724),
    [anon_sym_PIPE] = ACTIONS(2724),
    [anon_sym_CARET] = ACTIONS(2724),
    [anon_sym_AMP] = ACTIONS(2724),
    [anon_sym_GT_GT2] = ACTIONS(2724),
    [anon_sym_PLUS] = ACTIONS(2724),
    [anon_sym_DASH] = ACTIONS(2724),
    [anon_sym_DOT] = ACTIONS(2724),
    [anon_sym_STAR] = ACTIONS(2724),
    [anon_sym_SLASH] = ACTIONS(2724),
    [anon_sym_x] = ACTIONS(2724),
    [anon_sym_EQ_TILDE] = ACTIONS(2722),
    [anon_sym_BANG_TILDE] = ACTIONS(2722),
    [anon_sym_EQ_EQ] = ACTIONS(2724),
    [anon_sym_BANG_EQ] = ACTIONS(2722),
    [anon_sym_eq] = ACTIONS(2724),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2722),
    [anon_sym_equ] = ACTIONS(2722),
    [anon_sym_eqr] = ACTIONS(2722),
    [anon_sym_ne] = ACTIONS(2722),
    [anon_sym_LT_EQ_GT] = ACTIONS(2722),
    [anon_sym_cmp] = ACTIONS(2722),
    [anon_sym_TILDE_TILDE] = ACTIONS(2722),
    [anon_sym_LT] = ACTIONS(2724),
    [anon_sym_LT_EQ] = ACTIONS(2724),
    [anon_sym_GT_EQ] = ACTIONS(2722),
    [anon_sym_lt] = ACTIONS(2722),
    [anon_sym_le] = ACTIONS(2722),
    [anon_sym_ge] = ACTIONS(2722),
    [anon_sym_gt] = ACTIONS(2722),
    [anon_sym_isa] = ACTIONS(2722),
    [anon_sym_PLUS_PLUS] = ACTIONS(2722),
    [anon_sym_DASH_DASH] = ACTIONS(2722),
    [anon_sym_QMARK] = ACTIONS(2722),
    [anon_sym_EQ_GT] = ACTIONS(2722),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1566] = {
    [sym_heredoc_content] = STATE(1566),
    [anon_sym_RBRACE] = ACTIONS(2664),
    [anon_sym_EQ] = ACTIONS(2666),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2664),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2664),
    [anon_sym_COMMA] = ACTIONS(2664),
    [anon_sym_RPAREN] = ACTIONS(2664),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2664),
    [anon_sym_and] = ACTIONS(2666),
    [anon_sym_or] = ACTIONS(2666),
    [anon_sym_xor] = ACTIONS(2666),
    [anon_sym_RBRACK] = ACTIONS(2664),
    [anon_sym_DASH_GT] = ACTIONS(2664),
    [anon_sym_PERCENT] = ACTIONS(2666),
    [anon_sym_GT] = ACTIONS(2666),
    [anon_sym_LT_LT] = ACTIONS(2666),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2664),
    [anon_sym_PLUS_EQ] = ACTIONS(2664),
    [anon_sym_DASH_EQ] = ACTIONS(2664),
    [anon_sym_DOT_EQ] = ACTIONS(2664),
    [anon_sym_STAR_EQ] = ACTIONS(2664),
    [anon_sym_SLASH_EQ] = ACTIONS(2664),
    [anon_sym_PERCENT_EQ] = ACTIONS(2664),
    [anon_sym_x_EQ] = ACTIONS(2666),
    [anon_sym_AMP_EQ] = ACTIONS(2664),
    [anon_sym_PIPE_EQ] = ACTIONS(2664),
    [anon_sym_CARET_EQ] = ACTIONS(2664),
    [anon_sym_LT_LT_EQ] = ACTIONS(2664),
    [anon_sym_GT_GT_EQ] = ACTIONS(2664),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2664),
    [anon_sym_DOT_DOT] = ACTIONS(2666),
    [anon_sym_STAR_STAR] = ACTIONS(2666),
    [anon_sym_PIPE_PIPE] = ACTIONS(2666),
    [anon_sym_SLASH_SLASH] = ACTIONS(2666),
    [anon_sym_CARET_CARET] = ACTIONS(2664),
    [anon_sym_AMP_AMP] = ACTIONS(2666),
    [anon_sym_PIPE] = ACTIONS(2666),
    [anon_sym_CARET] = ACTIONS(2666),
    [anon_sym_AMP] = ACTIONS(2666),
    [anon_sym_GT_GT2] = ACTIONS(2666),
    [anon_sym_PLUS] = ACTIONS(2666),
    [anon_sym_DASH] = ACTIONS(2666),
    [anon_sym_DOT] = ACTIONS(2666),
    [anon_sym_STAR] = ACTIONS(2666),
    [anon_sym_SLASH] = ACTIONS(2666),
    [anon_sym_x] = ACTIONS(2666),
    [anon_sym_EQ_TILDE] = ACTIONS(2664),
    [anon_sym_BANG_TILDE] = ACTIONS(2664),
    [anon_sym_EQ_EQ] = ACTIONS(2666),
    [anon_sym_BANG_EQ] = ACTIONS(2664),
    [anon_sym_eq] = ACTIONS(2666),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2664),
    [anon_sym_equ] = ACTIONS(2664),
    [anon_sym_eqr] = ACTIONS(2664),
    [anon_sym_ne] = ACTIONS(2666),
    [anon_sym_LT_EQ_GT] = ACTIONS(2664),
    [anon_sym_cmp] = ACTIONS(2664),
    [anon_sym_TILDE_TILDE] = ACTIONS(2664),
    [anon_sym_LT] = ACTIONS(2666),
    [anon_sym_LT_EQ] = ACTIONS(2666),
    [anon_sym_GT_EQ] = ACTIONS(2664),
    [anon_sym_lt] = ACTIONS(2666),
    [anon_sym_le] = ACTIONS(2666),
    [anon_sym_ge] = ACTIONS(2664),
    [anon_sym_gt] = ACTIONS(2664),
    [anon_sym_isa] = ACTIONS(2666),
    [anon_sym_PLUS_PLUS] = ACTIONS(2664),
    [anon_sym_DASH_DASH] = ACTIONS(2664),
    [anon_sym_QMARK] = ACTIONS(2664),
    [anon_sym_EQ_GT] = ACTIONS(2664),
    [sym_comment] = ACTIONS(5),
    [sym_quoted_regexp_modifiers] = ACTIONS(3519),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1567] = {
    [sym_heredoc_content] = STATE(1567),
    [anon_sym_RBRACE] = ACTIONS(2674),
    [anon_sym_EQ] = ACTIONS(2676),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2674),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2674),
    [anon_sym_COMMA] = ACTIONS(2674),
    [anon_sym_RPAREN] = ACTIONS(2674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2674),
    [anon_sym_and] = ACTIONS(2676),
    [anon_sym_or] = ACTIONS(2676),
    [anon_sym_xor] = ACTIONS(2676),
    [anon_sym_RBRACK] = ACTIONS(2674),
    [anon_sym_DASH_GT] = ACTIONS(2674),
    [anon_sym_PERCENT] = ACTIONS(2676),
    [anon_sym_GT] = ACTIONS(2676),
    [anon_sym_LT_LT] = ACTIONS(2676),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2674),
    [anon_sym_PLUS_EQ] = ACTIONS(2674),
    [anon_sym_DASH_EQ] = ACTIONS(2674),
    [anon_sym_DOT_EQ] = ACTIONS(2674),
    [anon_sym_STAR_EQ] = ACTIONS(2674),
    [anon_sym_SLASH_EQ] = ACTIONS(2674),
    [anon_sym_PERCENT_EQ] = ACTIONS(2674),
    [anon_sym_x_EQ] = ACTIONS(2676),
    [anon_sym_AMP_EQ] = ACTIONS(2674),
    [anon_sym_PIPE_EQ] = ACTIONS(2674),
    [anon_sym_CARET_EQ] = ACTIONS(2674),
    [anon_sym_LT_LT_EQ] = ACTIONS(2674),
    [anon_sym_GT_GT_EQ] = ACTIONS(2674),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2674),
    [anon_sym_DOT_DOT] = ACTIONS(2676),
    [anon_sym_STAR_STAR] = ACTIONS(2676),
    [anon_sym_PIPE_PIPE] = ACTIONS(2676),
    [anon_sym_SLASH_SLASH] = ACTIONS(2676),
    [anon_sym_CARET_CARET] = ACTIONS(2674),
    [anon_sym_AMP_AMP] = ACTIONS(2676),
    [anon_sym_PIPE] = ACTIONS(2676),
    [anon_sym_CARET] = ACTIONS(2676),
    [anon_sym_AMP] = ACTIONS(2676),
    [anon_sym_GT_GT2] = ACTIONS(2676),
    [anon_sym_PLUS] = ACTIONS(2676),
    [anon_sym_DASH] = ACTIONS(2676),
    [anon_sym_DOT] = ACTIONS(2676),
    [anon_sym_STAR] = ACTIONS(2676),
    [anon_sym_SLASH] = ACTIONS(2676),
    [anon_sym_x] = ACTIONS(2676),
    [anon_sym_EQ_TILDE] = ACTIONS(2674),
    [anon_sym_BANG_TILDE] = ACTIONS(2674),
    [anon_sym_EQ_EQ] = ACTIONS(2676),
    [anon_sym_BANG_EQ] = ACTIONS(2674),
    [anon_sym_eq] = ACTIONS(2676),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2674),
    [anon_sym_equ] = ACTIONS(2674),
    [anon_sym_eqr] = ACTIONS(2674),
    [anon_sym_ne] = ACTIONS(2676),
    [anon_sym_LT_EQ_GT] = ACTIONS(2674),
    [anon_sym_cmp] = ACTIONS(2676),
    [anon_sym_TILDE_TILDE] = ACTIONS(2674),
    [anon_sym_LT] = ACTIONS(2676),
    [anon_sym_LT_EQ] = ACTIONS(2676),
    [anon_sym_GT_EQ] = ACTIONS(2674),
    [anon_sym_lt] = ACTIONS(2676),
    [anon_sym_le] = ACTIONS(2676),
    [anon_sym_ge] = ACTIONS(2676),
    [anon_sym_gt] = ACTIONS(2676),
    [anon_sym_isa] = ACTIONS(2676),
    [anon_sym_PLUS_PLUS] = ACTIONS(2674),
    [anon_sym_DASH_DASH] = ACTIONS(2674),
    [anon_sym_QMARK] = ACTIONS(2674),
    [anon_sym_EQ_GT] = ACTIONS(2674),
    [sym_comment] = ACTIONS(5),
    [sym_match_regexp_modifiers] = ACTIONS(3521),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1568] = {
    [sym_heredoc_content] = STATE(1568),
    [anon_sym_RBRACE] = ACTIONS(2710),
    [anon_sym_EQ] = ACTIONS(2712),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2710),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2710),
    [anon_sym_COMMA] = ACTIONS(2710),
    [anon_sym_RPAREN] = ACTIONS(2710),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2710),
    [anon_sym_and] = ACTIONS(2712),
    [anon_sym_or] = ACTIONS(2712),
    [anon_sym_xor] = ACTIONS(2712),
    [anon_sym_RBRACK] = ACTIONS(2710),
    [anon_sym_DASH_GT] = ACTIONS(2710),
    [anon_sym_PERCENT] = ACTIONS(2712),
    [anon_sym_GT] = ACTIONS(2712),
    [anon_sym_LT_LT] = ACTIONS(2712),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2710),
    [anon_sym_PLUS_EQ] = ACTIONS(2710),
    [anon_sym_DASH_EQ] = ACTIONS(2710),
    [anon_sym_DOT_EQ] = ACTIONS(2710),
    [anon_sym_STAR_EQ] = ACTIONS(2710),
    [anon_sym_SLASH_EQ] = ACTIONS(2710),
    [anon_sym_PERCENT_EQ] = ACTIONS(2710),
    [anon_sym_x_EQ] = ACTIONS(2712),
    [anon_sym_AMP_EQ] = ACTIONS(2710),
    [anon_sym_PIPE_EQ] = ACTIONS(2710),
    [anon_sym_CARET_EQ] = ACTIONS(2710),
    [anon_sym_LT_LT_EQ] = ACTIONS(2710),
    [anon_sym_GT_GT_EQ] = ACTIONS(2710),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2710),
    [anon_sym_DOT_DOT] = ACTIONS(2712),
    [anon_sym_STAR_STAR] = ACTIONS(2712),
    [anon_sym_PIPE_PIPE] = ACTIONS(2712),
    [anon_sym_SLASH_SLASH] = ACTIONS(2712),
    [anon_sym_CARET_CARET] = ACTIONS(2710),
    [anon_sym_AMP_AMP] = ACTIONS(2712),
    [anon_sym_PIPE] = ACTIONS(2712),
    [anon_sym_CARET] = ACTIONS(2712),
    [anon_sym_AMP] = ACTIONS(2712),
    [anon_sym_GT_GT2] = ACTIONS(2712),
    [anon_sym_PLUS] = ACTIONS(2712),
    [anon_sym_DASH] = ACTIONS(2712),
    [anon_sym_DOT] = ACTIONS(2712),
    [anon_sym_STAR] = ACTIONS(2712),
    [anon_sym_SLASH] = ACTIONS(2712),
    [anon_sym_x] = ACTIONS(2712),
    [anon_sym_EQ_TILDE] = ACTIONS(2710),
    [anon_sym_BANG_TILDE] = ACTIONS(2710),
    [anon_sym_EQ_EQ] = ACTIONS(2712),
    [anon_sym_BANG_EQ] = ACTIONS(2710),
    [anon_sym_eq] = ACTIONS(2712),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2710),
    [anon_sym_equ] = ACTIONS(2712),
    [anon_sym_eqr] = ACTIONS(2712),
    [anon_sym_ne] = ACTIONS(2710),
    [anon_sym_LT_EQ_GT] = ACTIONS(2710),
    [anon_sym_cmp] = ACTIONS(2712),
    [anon_sym_TILDE_TILDE] = ACTIONS(2710),
    [anon_sym_LT] = ACTIONS(2712),
    [anon_sym_LT_EQ] = ACTIONS(2712),
    [anon_sym_GT_EQ] = ACTIONS(2710),
    [anon_sym_lt] = ACTIONS(2712),
    [anon_sym_le] = ACTIONS(2712),
    [anon_sym_ge] = ACTIONS(2712),
    [anon_sym_gt] = ACTIONS(2712),
    [anon_sym_isa] = ACTIONS(2712),
    [anon_sym_PLUS_PLUS] = ACTIONS(2710),
    [anon_sym_DASH_DASH] = ACTIONS(2710),
    [anon_sym_QMARK] = ACTIONS(2710),
    [anon_sym_EQ_GT] = ACTIONS(2710),
    [sym_comment] = ACTIONS(5),
    [sym_substitution_regexp_modifiers] = ACTIONS(3523),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1569] = {
    [sym_heredoc_content] = STATE(1569),
    [anon_sym_RBRACE] = ACTIONS(2716),
    [anon_sym_EQ] = ACTIONS(2718),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2716),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2716),
    [anon_sym_COMMA] = ACTIONS(2716),
    [anon_sym_RPAREN] = ACTIONS(2716),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2716),
    [anon_sym_and] = ACTIONS(2716),
    [anon_sym_or] = ACTIONS(2716),
    [anon_sym_xor] = ACTIONS(2716),
    [anon_sym_RBRACK] = ACTIONS(2716),
    [anon_sym_DASH_GT] = ACTIONS(2716),
    [anon_sym_PERCENT] = ACTIONS(2718),
    [anon_sym_GT] = ACTIONS(2718),
    [anon_sym_LT_LT] = ACTIONS(2718),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2716),
    [anon_sym_PLUS_EQ] = ACTIONS(2716),
    [anon_sym_DASH_EQ] = ACTIONS(2716),
    [anon_sym_DOT_EQ] = ACTIONS(2716),
    [anon_sym_STAR_EQ] = ACTIONS(2716),
    [anon_sym_SLASH_EQ] = ACTIONS(2716),
    [anon_sym_PERCENT_EQ] = ACTIONS(2716),
    [anon_sym_x_EQ] = ACTIONS(2716),
    [anon_sym_AMP_EQ] = ACTIONS(2716),
    [anon_sym_PIPE_EQ] = ACTIONS(2716),
    [anon_sym_CARET_EQ] = ACTIONS(2716),
    [anon_sym_LT_LT_EQ] = ACTIONS(2716),
    [anon_sym_GT_GT_EQ] = ACTIONS(2716),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2716),
    [anon_sym_DOT_DOT] = ACTIONS(2718),
    [anon_sym_STAR_STAR] = ACTIONS(2718),
    [anon_sym_PIPE_PIPE] = ACTIONS(2718),
    [anon_sym_SLASH_SLASH] = ACTIONS(2718),
    [anon_sym_CARET_CARET] = ACTIONS(2716),
    [anon_sym_AMP_AMP] = ACTIONS(2718),
    [anon_sym_PIPE] = ACTIONS(2718),
    [anon_sym_CARET] = ACTIONS(2718),
    [anon_sym_AMP] = ACTIONS(2718),
    [anon_sym_GT_GT2] = ACTIONS(2718),
    [anon_sym_PLUS] = ACTIONS(2718),
    [anon_sym_DASH] = ACTIONS(2718),
    [anon_sym_DOT] = ACTIONS(2718),
    [anon_sym_STAR] = ACTIONS(2718),
    [anon_sym_SLASH] = ACTIONS(2718),
    [anon_sym_x] = ACTIONS(2718),
    [anon_sym_EQ_TILDE] = ACTIONS(2716),
    [anon_sym_BANG_TILDE] = ACTIONS(2716),
    [anon_sym_EQ_EQ] = ACTIONS(2718),
    [anon_sym_BANG_EQ] = ACTIONS(2716),
    [anon_sym_eq] = ACTIONS(2718),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2716),
    [anon_sym_equ] = ACTIONS(2716),
    [anon_sym_eqr] = ACTIONS(2716),
    [anon_sym_ne] = ACTIONS(2716),
    [anon_sym_LT_EQ_GT] = ACTIONS(2716),
    [anon_sym_cmp] = ACTIONS(2718),
    [anon_sym_TILDE_TILDE] = ACTIONS(2716),
    [anon_sym_LT] = ACTIONS(2718),
    [anon_sym_LT_EQ] = ACTIONS(2718),
    [anon_sym_GT_EQ] = ACTIONS(2716),
    [anon_sym_lt] = ACTIONS(2716),
    [anon_sym_le] = ACTIONS(2716),
    [anon_sym_ge] = ACTIONS(2716),
    [anon_sym_gt] = ACTIONS(2716),
    [anon_sym_isa] = ACTIONS(2716),
    [anon_sym_PLUS_PLUS] = ACTIONS(2716),
    [anon_sym_DASH_DASH] = ACTIONS(2716),
    [anon_sym_QMARK] = ACTIONS(2716),
    [anon_sym_EQ_GT] = ACTIONS(2716),
    [sym_comment] = ACTIONS(5),
    [sym_transliteration_modifiers] = ACTIONS(3525),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1570] = {
    [sym_heredoc_content] = STATE(1570),
    [anon_sym_RBRACE] = ACTIONS(2686),
    [anon_sym_EQ] = ACTIONS(2688),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2686),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2686),
    [anon_sym_COMMA] = ACTIONS(2686),
    [anon_sym_RPAREN] = ACTIONS(2686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2686),
    [anon_sym_and] = ACTIONS(2688),
    [anon_sym_or] = ACTIONS(2688),
    [anon_sym_xor] = ACTIONS(2688),
    [anon_sym_RBRACK] = ACTIONS(2686),
    [anon_sym_DASH_GT] = ACTIONS(2686),
    [anon_sym_PERCENT] = ACTIONS(2688),
    [anon_sym_GT] = ACTIONS(2688),
    [anon_sym_LT_LT] = ACTIONS(2688),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2686),
    [anon_sym_PLUS_EQ] = ACTIONS(2686),
    [anon_sym_DASH_EQ] = ACTIONS(2686),
    [anon_sym_DOT_EQ] = ACTIONS(2686),
    [anon_sym_STAR_EQ] = ACTIONS(2686),
    [anon_sym_SLASH_EQ] = ACTIONS(2686),
    [anon_sym_PERCENT_EQ] = ACTIONS(2686),
    [anon_sym_x_EQ] = ACTIONS(2688),
    [anon_sym_AMP_EQ] = ACTIONS(2686),
    [anon_sym_PIPE_EQ] = ACTIONS(2686),
    [anon_sym_CARET_EQ] = ACTIONS(2686),
    [anon_sym_LT_LT_EQ] = ACTIONS(2686),
    [anon_sym_GT_GT_EQ] = ACTIONS(2686),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2686),
    [anon_sym_DOT_DOT] = ACTIONS(2688),
    [anon_sym_STAR_STAR] = ACTIONS(2688),
    [anon_sym_PIPE_PIPE] = ACTIONS(2688),
    [anon_sym_SLASH_SLASH] = ACTIONS(2688),
    [anon_sym_CARET_CARET] = ACTIONS(2686),
    [anon_sym_AMP_AMP] = ACTIONS(2688),
    [anon_sym_PIPE] = ACTIONS(2688),
    [anon_sym_CARET] = ACTIONS(2688),
    [anon_sym_AMP] = ACTIONS(2688),
    [anon_sym_GT_GT2] = ACTIONS(2688),
    [anon_sym_PLUS] = ACTIONS(2688),
    [anon_sym_DASH] = ACTIONS(2688),
    [anon_sym_DOT] = ACTIONS(2688),
    [anon_sym_STAR] = ACTIONS(2688),
    [anon_sym_SLASH] = ACTIONS(2688),
    [anon_sym_x] = ACTIONS(2688),
    [anon_sym_EQ_TILDE] = ACTIONS(2686),
    [anon_sym_BANG_TILDE] = ACTIONS(2686),
    [anon_sym_EQ_EQ] = ACTIONS(2688),
    [anon_sym_BANG_EQ] = ACTIONS(2686),
    [anon_sym_eq] = ACTIONS(2688),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2686),
    [anon_sym_equ] = ACTIONS(2688),
    [anon_sym_eqr] = ACTIONS(2688),
    [anon_sym_ne] = ACTIONS(2686),
    [anon_sym_LT_EQ_GT] = ACTIONS(2686),
    [anon_sym_cmp] = ACTIONS(2688),
    [anon_sym_TILDE_TILDE] = ACTIONS(2686),
    [anon_sym_LT] = ACTIONS(2688),
    [anon_sym_LT_EQ] = ACTIONS(2688),
    [anon_sym_GT_EQ] = ACTIONS(2686),
    [anon_sym_lt] = ACTIONS(2688),
    [anon_sym_le] = ACTIONS(2688),
    [anon_sym_ge] = ACTIONS(2688),
    [anon_sym_gt] = ACTIONS(2688),
    [anon_sym_isa] = ACTIONS(2688),
    [anon_sym_PLUS_PLUS] = ACTIONS(2686),
    [anon_sym_DASH_DASH] = ACTIONS(2686),
    [anon_sym_QMARK] = ACTIONS(2686),
    [anon_sym_EQ_GT] = ACTIONS(2686),
    [sym_comment] = ACTIONS(5),
    [sym_substitution_regexp_modifiers] = ACTIONS(3527),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1571] = {
    [sym_heredoc_content] = STATE(1571),
    [aux_sym__term_rightward_repeat1] = STATE(2970),
    [anon_sym_RBRACE] = ACTIONS(2580),
    [anon_sym_EQ] = ACTIONS(3449),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3451),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3451),
    [anon_sym_COMMA] = ACTIONS(3529),
    [anon_sym_RPAREN] = ACTIONS(2580),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3455),
    [anon_sym_and] = ACTIONS(2580),
    [anon_sym_or] = ACTIONS(2580),
    [anon_sym_xor] = ACTIONS(2580),
    [anon_sym_RBRACK] = ACTIONS(2580),
    [anon_sym_DASH_GT] = ACTIONS(3457),
    [anon_sym_PERCENT] = ACTIONS(3459),
    [anon_sym_GT] = ACTIONS(3461),
    [anon_sym_LT_LT] = ACTIONS(3463),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3451),
    [anon_sym_PLUS_EQ] = ACTIONS(3451),
    [anon_sym_DASH_EQ] = ACTIONS(3451),
    [anon_sym_DOT_EQ] = ACTIONS(3451),
    [anon_sym_STAR_EQ] = ACTIONS(3451),
    [anon_sym_SLASH_EQ] = ACTIONS(3451),
    [anon_sym_PERCENT_EQ] = ACTIONS(3451),
    [anon_sym_x_EQ] = ACTIONS(3451),
    [anon_sym_AMP_EQ] = ACTIONS(3451),
    [anon_sym_PIPE_EQ] = ACTIONS(3451),
    [anon_sym_CARET_EQ] = ACTIONS(3451),
    [anon_sym_LT_LT_EQ] = ACTIONS(3451),
    [anon_sym_GT_GT_EQ] = ACTIONS(3451),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3451),
    [anon_sym_DOT_DOT] = ACTIONS(3465),
    [anon_sym_STAR_STAR] = ACTIONS(3467),
    [anon_sym_PIPE_PIPE] = ACTIONS(3469),
    [anon_sym_SLASH_SLASH] = ACTIONS(3469),
    [anon_sym_CARET_CARET] = ACTIONS(3471),
    [anon_sym_AMP_AMP] = ACTIONS(3473),
    [anon_sym_PIPE] = ACTIONS(3475),
    [anon_sym_CARET] = ACTIONS(3475),
    [anon_sym_AMP] = ACTIONS(3477),
    [anon_sym_GT_GT2] = ACTIONS(3463),
    [anon_sym_PLUS] = ACTIONS(3479),
    [anon_sym_DASH] = ACTIONS(3479),
    [anon_sym_DOT] = ACTIONS(3479),
    [anon_sym_STAR] = ACTIONS(3459),
    [anon_sym_SLASH] = ACTIONS(3459),
    [anon_sym_x] = ACTIONS(3459),
    [anon_sym_EQ_TILDE] = ACTIONS(3481),
    [anon_sym_BANG_TILDE] = ACTIONS(3481),
    [anon_sym_EQ_EQ] = ACTIONS(3483),
    [anon_sym_BANG_EQ] = ACTIONS(3485),
    [anon_sym_eq] = ACTIONS(3483),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3485),
    [anon_sym_equ] = ACTIONS(3485),
    [anon_sym_eqr] = ACTIONS(3485),
    [anon_sym_ne] = ACTIONS(3485),
    [anon_sym_LT_EQ_GT] = ACTIONS(3487),
    [anon_sym_cmp] = ACTIONS(3487),
    [anon_sym_TILDE_TILDE] = ACTIONS(3487),
    [anon_sym_LT] = ACTIONS(3461),
    [anon_sym_LT_EQ] = ACTIONS(3461),
    [anon_sym_GT_EQ] = ACTIONS(3489),
    [anon_sym_lt] = ACTIONS(3489),
    [anon_sym_le] = ACTIONS(3489),
    [anon_sym_ge] = ACTIONS(3489),
    [anon_sym_gt] = ACTIONS(3489),
    [anon_sym_isa] = ACTIONS(3491),
    [anon_sym_PLUS_PLUS] = ACTIONS(3493),
    [anon_sym_DASH_DASH] = ACTIONS(3493),
    [anon_sym_QMARK] = ACTIONS(3495),
    [anon_sym_EQ_GT] = ACTIONS(3529),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1572] = {
    [sym_heredoc_content] = STATE(1572),
    [anon_sym_RBRACE] = ACTIONS(2692),
    [anon_sym_EQ] = ACTIONS(2694),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2692),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2692),
    [anon_sym_COMMA] = ACTIONS(2692),
    [anon_sym_RPAREN] = ACTIONS(2692),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2692),
    [anon_sym_and] = ACTIONS(2694),
    [anon_sym_or] = ACTIONS(2694),
    [anon_sym_xor] = ACTIONS(2694),
    [anon_sym_RBRACK] = ACTIONS(2692),
    [anon_sym_DASH_GT] = ACTIONS(2692),
    [anon_sym_PERCENT] = ACTIONS(2694),
    [anon_sym_GT] = ACTIONS(2694),
    [anon_sym_LT_LT] = ACTIONS(2694),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2692),
    [anon_sym_PLUS_EQ] = ACTIONS(2692),
    [anon_sym_DASH_EQ] = ACTIONS(2692),
    [anon_sym_DOT_EQ] = ACTIONS(2692),
    [anon_sym_STAR_EQ] = ACTIONS(2692),
    [anon_sym_SLASH_EQ] = ACTIONS(2692),
    [anon_sym_PERCENT_EQ] = ACTIONS(2692),
    [anon_sym_x_EQ] = ACTIONS(2694),
    [anon_sym_AMP_EQ] = ACTIONS(2692),
    [anon_sym_PIPE_EQ] = ACTIONS(2692),
    [anon_sym_CARET_EQ] = ACTIONS(2692),
    [anon_sym_LT_LT_EQ] = ACTIONS(2692),
    [anon_sym_GT_GT_EQ] = ACTIONS(2692),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2692),
    [anon_sym_DOT_DOT] = ACTIONS(2694),
    [anon_sym_STAR_STAR] = ACTIONS(2694),
    [anon_sym_PIPE_PIPE] = ACTIONS(2694),
    [anon_sym_SLASH_SLASH] = ACTIONS(2694),
    [anon_sym_CARET_CARET] = ACTIONS(2692),
    [anon_sym_AMP_AMP] = ACTIONS(2694),
    [anon_sym_PIPE] = ACTIONS(2694),
    [anon_sym_CARET] = ACTIONS(2694),
    [anon_sym_AMP] = ACTIONS(2694),
    [anon_sym_GT_GT2] = ACTIONS(2694),
    [anon_sym_PLUS] = ACTIONS(2694),
    [anon_sym_DASH] = ACTIONS(2694),
    [anon_sym_DOT] = ACTIONS(2694),
    [anon_sym_STAR] = ACTIONS(2694),
    [anon_sym_SLASH] = ACTIONS(2694),
    [anon_sym_x] = ACTIONS(2694),
    [anon_sym_EQ_TILDE] = ACTIONS(2692),
    [anon_sym_BANG_TILDE] = ACTIONS(2692),
    [anon_sym_EQ_EQ] = ACTIONS(2694),
    [anon_sym_BANG_EQ] = ACTIONS(2692),
    [anon_sym_eq] = ACTIONS(2694),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2692),
    [anon_sym_equ] = ACTIONS(2694),
    [anon_sym_eqr] = ACTIONS(2694),
    [anon_sym_ne] = ACTIONS(2692),
    [anon_sym_LT_EQ_GT] = ACTIONS(2692),
    [anon_sym_cmp] = ACTIONS(2694),
    [anon_sym_TILDE_TILDE] = ACTIONS(2692),
    [anon_sym_LT] = ACTIONS(2694),
    [anon_sym_LT_EQ] = ACTIONS(2694),
    [anon_sym_GT_EQ] = ACTIONS(2692),
    [anon_sym_lt] = ACTIONS(2694),
    [anon_sym_le] = ACTIONS(2694),
    [anon_sym_ge] = ACTIONS(2694),
    [anon_sym_gt] = ACTIONS(2694),
    [anon_sym_isa] = ACTIONS(2694),
    [anon_sym_PLUS_PLUS] = ACTIONS(2692),
    [anon_sym_DASH_DASH] = ACTIONS(2692),
    [anon_sym_QMARK] = ACTIONS(2692),
    [anon_sym_EQ_GT] = ACTIONS(2692),
    [sym_comment] = ACTIONS(5),
    [sym_substitution_regexp_modifiers] = ACTIONS(3531),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1573] = {
    [sym_heredoc_content] = STATE(1573),
    [anon_sym_RBRACE] = ACTIONS(2791),
    [anon_sym_EQ] = ACTIONS(2793),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2791),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2791),
    [anon_sym_COMMA] = ACTIONS(2791),
    [anon_sym_RPAREN] = ACTIONS(2791),
    [anon_sym_LPAREN] = ACTIONS(3533),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2791),
    [anon_sym_and] = ACTIONS(2791),
    [anon_sym_or] = ACTIONS(2791),
    [anon_sym_xor] = ACTIONS(2791),
    [anon_sym_RBRACK] = ACTIONS(2791),
    [anon_sym_DASH_GT] = ACTIONS(2791),
    [anon_sym_PERCENT] = ACTIONS(2793),
    [anon_sym_GT] = ACTIONS(2793),
    [anon_sym_LT_LT] = ACTIONS(2793),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2791),
    [anon_sym_PLUS_EQ] = ACTIONS(2791),
    [anon_sym_DASH_EQ] = ACTIONS(2791),
    [anon_sym_DOT_EQ] = ACTIONS(2791),
    [anon_sym_STAR_EQ] = ACTIONS(2791),
    [anon_sym_SLASH_EQ] = ACTIONS(2791),
    [anon_sym_PERCENT_EQ] = ACTIONS(2791),
    [anon_sym_x_EQ] = ACTIONS(2791),
    [anon_sym_AMP_EQ] = ACTIONS(2791),
    [anon_sym_PIPE_EQ] = ACTIONS(2791),
    [anon_sym_CARET_EQ] = ACTIONS(2791),
    [anon_sym_LT_LT_EQ] = ACTIONS(2791),
    [anon_sym_GT_GT_EQ] = ACTIONS(2791),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2791),
    [anon_sym_DOT_DOT] = ACTIONS(2793),
    [anon_sym_STAR_STAR] = ACTIONS(2793),
    [anon_sym_PIPE_PIPE] = ACTIONS(2793),
    [anon_sym_SLASH_SLASH] = ACTIONS(2793),
    [anon_sym_CARET_CARET] = ACTIONS(2791),
    [anon_sym_AMP_AMP] = ACTIONS(2793),
    [anon_sym_PIPE] = ACTIONS(2793),
    [anon_sym_CARET] = ACTIONS(2793),
    [anon_sym_AMP] = ACTIONS(2793),
    [anon_sym_GT_GT2] = ACTIONS(2793),
    [anon_sym_PLUS] = ACTIONS(2793),
    [anon_sym_DASH] = ACTIONS(2793),
    [anon_sym_DOT] = ACTIONS(2793),
    [anon_sym_STAR] = ACTIONS(2793),
    [anon_sym_SLASH] = ACTIONS(2793),
    [anon_sym_x] = ACTIONS(2793),
    [anon_sym_EQ_TILDE] = ACTIONS(2791),
    [anon_sym_BANG_TILDE] = ACTIONS(2791),
    [anon_sym_EQ_EQ] = ACTIONS(2793),
    [anon_sym_BANG_EQ] = ACTIONS(2791),
    [anon_sym_eq] = ACTIONS(2793),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2791),
    [anon_sym_equ] = ACTIONS(2791),
    [anon_sym_eqr] = ACTIONS(2791),
    [anon_sym_ne] = ACTIONS(2791),
    [anon_sym_LT_EQ_GT] = ACTIONS(2791),
    [anon_sym_cmp] = ACTIONS(2791),
    [anon_sym_TILDE_TILDE] = ACTIONS(2791),
    [anon_sym_LT] = ACTIONS(2793),
    [anon_sym_LT_EQ] = ACTIONS(2793),
    [anon_sym_GT_EQ] = ACTIONS(2791),
    [anon_sym_lt] = ACTIONS(2791),
    [anon_sym_le] = ACTIONS(2791),
    [anon_sym_ge] = ACTIONS(2791),
    [anon_sym_gt] = ACTIONS(2791),
    [anon_sym_isa] = ACTIONS(2791),
    [anon_sym_PLUS_PLUS] = ACTIONS(2791),
    [anon_sym_DASH_DASH] = ACTIONS(2791),
    [anon_sym_QMARK] = ACTIONS(2791),
    [anon_sym_EQ_GT] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1574] = {
    [sym_heredoc_content] = STATE(1574),
    [anon_sym_RBRACE] = ACTIONS(2750),
    [anon_sym_EQ] = ACTIONS(2752),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2750),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2750),
    [anon_sym_COMMA] = ACTIONS(2750),
    [anon_sym_RPAREN] = ACTIONS(2750),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2750),
    [anon_sym_and] = ACTIONS(2750),
    [anon_sym_or] = ACTIONS(2750),
    [anon_sym_xor] = ACTIONS(2750),
    [anon_sym_LBRACK] = ACTIONS(2750),
    [anon_sym_RBRACK] = ACTIONS(2750),
    [anon_sym_DASH_GT] = ACTIONS(2750),
    [anon_sym_PERCENT] = ACTIONS(2752),
    [anon_sym_GT] = ACTIONS(2752),
    [anon_sym_LT_LT] = ACTIONS(2752),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2750),
    [anon_sym_PLUS_EQ] = ACTIONS(2750),
    [anon_sym_DASH_EQ] = ACTIONS(2750),
    [anon_sym_DOT_EQ] = ACTIONS(2750),
    [anon_sym_STAR_EQ] = ACTIONS(2750),
    [anon_sym_SLASH_EQ] = ACTIONS(2750),
    [anon_sym_PERCENT_EQ] = ACTIONS(2750),
    [anon_sym_x_EQ] = ACTIONS(2750),
    [anon_sym_AMP_EQ] = ACTIONS(2750),
    [anon_sym_PIPE_EQ] = ACTIONS(2750),
    [anon_sym_CARET_EQ] = ACTIONS(2750),
    [anon_sym_LT_LT_EQ] = ACTIONS(2750),
    [anon_sym_GT_GT_EQ] = ACTIONS(2750),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2750),
    [anon_sym_DOT_DOT] = ACTIONS(2752),
    [anon_sym_STAR_STAR] = ACTIONS(2752),
    [anon_sym_PIPE_PIPE] = ACTIONS(2752),
    [anon_sym_SLASH_SLASH] = ACTIONS(2752),
    [anon_sym_CARET_CARET] = ACTIONS(2750),
    [anon_sym_AMP_AMP] = ACTIONS(2752),
    [anon_sym_PIPE] = ACTIONS(2752),
    [anon_sym_CARET] = ACTIONS(2752),
    [anon_sym_AMP] = ACTIONS(2752),
    [anon_sym_GT_GT2] = ACTIONS(2752),
    [anon_sym_PLUS] = ACTIONS(2752),
    [anon_sym_DASH] = ACTIONS(2752),
    [anon_sym_DOT] = ACTIONS(2752),
    [anon_sym_STAR] = ACTIONS(2752),
    [anon_sym_SLASH] = ACTIONS(2752),
    [anon_sym_x] = ACTIONS(2752),
    [anon_sym_EQ_TILDE] = ACTIONS(2750),
    [anon_sym_BANG_TILDE] = ACTIONS(2750),
    [anon_sym_EQ_EQ] = ACTIONS(2752),
    [anon_sym_BANG_EQ] = ACTIONS(2750),
    [anon_sym_eq] = ACTIONS(2752),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2750),
    [anon_sym_equ] = ACTIONS(2750),
    [anon_sym_eqr] = ACTIONS(2750),
    [anon_sym_ne] = ACTIONS(2750),
    [anon_sym_LT_EQ_GT] = ACTIONS(2750),
    [anon_sym_cmp] = ACTIONS(2750),
    [anon_sym_TILDE_TILDE] = ACTIONS(2750),
    [anon_sym_LT] = ACTIONS(2752),
    [anon_sym_LT_EQ] = ACTIONS(2752),
    [anon_sym_GT_EQ] = ACTIONS(2750),
    [anon_sym_lt] = ACTIONS(2750),
    [anon_sym_le] = ACTIONS(2750),
    [anon_sym_ge] = ACTIONS(2750),
    [anon_sym_gt] = ACTIONS(2750),
    [anon_sym_isa] = ACTIONS(2750),
    [anon_sym_PLUS_PLUS] = ACTIONS(2750),
    [anon_sym_DASH_DASH] = ACTIONS(2750),
    [anon_sym_QMARK] = ACTIONS(2750),
    [anon_sym_EQ_GT] = ACTIONS(2750),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1575] = {
    [sym_attrlist] = STATE(2179),
    [sym_attribute] = STATE(1521),
    [sym_attribute_name] = STATE(1773),
    [sym_heredoc_content] = STATE(1575),
    [sym__identifier] = ACTIONS(3421),
    [anon_sym_RBRACE] = ACTIONS(2438),
    [anon_sym_EQ] = ACTIONS(2440),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2438),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2438),
    [anon_sym_COMMA] = ACTIONS(2438),
    [anon_sym_RPAREN] = ACTIONS(2438),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2438),
    [anon_sym_DASH_GT] = ACTIONS(2438),
    [anon_sym_PERCENT] = ACTIONS(2440),
    [anon_sym_GT] = ACTIONS(2440),
    [anon_sym_LT_LT] = ACTIONS(2440),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2438),
    [anon_sym_PLUS_EQ] = ACTIONS(2438),
    [anon_sym_DASH_EQ] = ACTIONS(2438),
    [anon_sym_DOT_EQ] = ACTIONS(2438),
    [anon_sym_STAR_EQ] = ACTIONS(2438),
    [anon_sym_SLASH_EQ] = ACTIONS(2438),
    [anon_sym_PERCENT_EQ] = ACTIONS(2438),
    [anon_sym_x_EQ] = ACTIONS(2438),
    [anon_sym_AMP_EQ] = ACTIONS(2438),
    [anon_sym_PIPE_EQ] = ACTIONS(2438),
    [anon_sym_CARET_EQ] = ACTIONS(2438),
    [anon_sym_LT_LT_EQ] = ACTIONS(2438),
    [anon_sym_GT_GT_EQ] = ACTIONS(2438),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2438),
    [anon_sym_DOT_DOT] = ACTIONS(2440),
    [anon_sym_STAR_STAR] = ACTIONS(2440),
    [anon_sym_PIPE_PIPE] = ACTIONS(2440),
    [anon_sym_SLASH_SLASH] = ACTIONS(2440),
    [anon_sym_CARET_CARET] = ACTIONS(2438),
    [anon_sym_AMP_AMP] = ACTIONS(2440),
    [anon_sym_PIPE] = ACTIONS(2440),
    [anon_sym_CARET] = ACTIONS(2440),
    [anon_sym_AMP] = ACTIONS(2440),
    [anon_sym_GT_GT2] = ACTIONS(2440),
    [anon_sym_PLUS] = ACTIONS(2440),
    [anon_sym_DASH] = ACTIONS(2440),
    [anon_sym_DOT] = ACTIONS(2440),
    [anon_sym_STAR] = ACTIONS(2440),
    [anon_sym_SLASH] = ACTIONS(2440),
    [anon_sym_x] = ACTIONS(2440),
    [anon_sym_EQ_TILDE] = ACTIONS(2438),
    [anon_sym_BANG_TILDE] = ACTIONS(2438),
    [anon_sym_EQ_EQ] = ACTIONS(2440),
    [anon_sym_BANG_EQ] = ACTIONS(2438),
    [anon_sym_eq] = ACTIONS(2440),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2438),
    [anon_sym_equ] = ACTIONS(2440),
    [anon_sym_eqr] = ACTIONS(2440),
    [anon_sym_ne] = ACTIONS(2440),
    [anon_sym_LT_EQ_GT] = ACTIONS(2438),
    [anon_sym_cmp] = ACTIONS(2440),
    [anon_sym_TILDE_TILDE] = ACTIONS(2438),
    [anon_sym_LT] = ACTIONS(2440),
    [anon_sym_LT_EQ] = ACTIONS(2440),
    [anon_sym_GT_EQ] = ACTIONS(2438),
    [anon_sym_lt] = ACTIONS(2440),
    [anon_sym_le] = ACTIONS(2440),
    [anon_sym_ge] = ACTIONS(2440),
    [anon_sym_gt] = ACTIONS(2440),
    [anon_sym_isa] = ACTIONS(2440),
    [anon_sym_PLUS_PLUS] = ACTIONS(2438),
    [anon_sym_DASH_DASH] = ACTIONS(2438),
    [anon_sym_QMARK] = ACTIONS(2438),
    [anon_sym_EQ_GT] = ACTIONS(2438),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(3421),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1576] = {
    [sym_heredoc_content] = STATE(1576),
    [anon_sym_RBRACE] = ACTIONS(2644),
    [anon_sym_COLON] = ACTIONS(2644),
    [anon_sym_EQ] = ACTIONS(2646),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2644),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2644),
    [anon_sym_COMMA] = ACTIONS(2644),
    [anon_sym_RPAREN] = ACTIONS(2644),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2644),
    [anon_sym_and] = ACTIONS(2644),
    [anon_sym_or] = ACTIONS(2644),
    [anon_sym_xor] = ACTIONS(2644),
    [anon_sym_RBRACK] = ACTIONS(2644),
    [anon_sym_DASH_GT] = ACTIONS(2644),
    [anon_sym_PERCENT] = ACTIONS(2646),
    [anon_sym_GT] = ACTIONS(2646),
    [anon_sym_LT_LT] = ACTIONS(2646),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2644),
    [anon_sym_PLUS_EQ] = ACTIONS(2644),
    [anon_sym_DASH_EQ] = ACTIONS(2644),
    [anon_sym_DOT_EQ] = ACTIONS(2644),
    [anon_sym_STAR_EQ] = ACTIONS(2644),
    [anon_sym_SLASH_EQ] = ACTIONS(2644),
    [anon_sym_PERCENT_EQ] = ACTIONS(2644),
    [anon_sym_x_EQ] = ACTIONS(2644),
    [anon_sym_AMP_EQ] = ACTIONS(2644),
    [anon_sym_PIPE_EQ] = ACTIONS(2644),
    [anon_sym_CARET_EQ] = ACTIONS(2644),
    [anon_sym_LT_LT_EQ] = ACTIONS(2644),
    [anon_sym_GT_GT_EQ] = ACTIONS(2644),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2644),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_STAR_STAR] = ACTIONS(2646),
    [anon_sym_PIPE_PIPE] = ACTIONS(2646),
    [anon_sym_SLASH_SLASH] = ACTIONS(2646),
    [anon_sym_CARET_CARET] = ACTIONS(2644),
    [anon_sym_AMP_AMP] = ACTIONS(2646),
    [anon_sym_PIPE] = ACTIONS(2646),
    [anon_sym_CARET] = ACTIONS(2646),
    [anon_sym_AMP] = ACTIONS(2646),
    [anon_sym_GT_GT2] = ACTIONS(2646),
    [anon_sym_PLUS] = ACTIONS(2646),
    [anon_sym_DASH] = ACTIONS(2646),
    [anon_sym_DOT] = ACTIONS(2646),
    [anon_sym_STAR] = ACTIONS(2646),
    [anon_sym_SLASH] = ACTIONS(2646),
    [anon_sym_x] = ACTIONS(2646),
    [anon_sym_EQ_TILDE] = ACTIONS(2644),
    [anon_sym_BANG_TILDE] = ACTIONS(2644),
    [anon_sym_EQ_EQ] = ACTIONS(2646),
    [anon_sym_BANG_EQ] = ACTIONS(2644),
    [anon_sym_eq] = ACTIONS(2646),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2644),
    [anon_sym_equ] = ACTIONS(2644),
    [anon_sym_eqr] = ACTIONS(2644),
    [anon_sym_ne] = ACTIONS(2644),
    [anon_sym_LT_EQ_GT] = ACTIONS(2644),
    [anon_sym_cmp] = ACTIONS(2644),
    [anon_sym_TILDE_TILDE] = ACTIONS(2644),
    [anon_sym_LT] = ACTIONS(2646),
    [anon_sym_LT_EQ] = ACTIONS(2646),
    [anon_sym_GT_EQ] = ACTIONS(2644),
    [anon_sym_lt] = ACTIONS(2644),
    [anon_sym_le] = ACTIONS(2644),
    [anon_sym_ge] = ACTIONS(2644),
    [anon_sym_gt] = ACTIONS(2644),
    [anon_sym_isa] = ACTIONS(2644),
    [anon_sym_PLUS_PLUS] = ACTIONS(2644),
    [anon_sym_DASH_DASH] = ACTIONS(2644),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_EQ_GT] = ACTIONS(2644),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1577] = {
    [sym_heredoc_content] = STATE(1577),
    [anon_sym_RBRACE] = ACTIONS(2670),
    [anon_sym_COLON] = ACTIONS(2670),
    [anon_sym_EQ] = ACTIONS(2672),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2670),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2670),
    [anon_sym_COMMA] = ACTIONS(2670),
    [anon_sym_RPAREN] = ACTIONS(2670),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2670),
    [anon_sym_and] = ACTIONS(2670),
    [anon_sym_or] = ACTIONS(2670),
    [anon_sym_xor] = ACTIONS(2670),
    [anon_sym_RBRACK] = ACTIONS(2670),
    [anon_sym_DASH_GT] = ACTIONS(2670),
    [anon_sym_PERCENT] = ACTIONS(2672),
    [anon_sym_GT] = ACTIONS(2672),
    [anon_sym_LT_LT] = ACTIONS(2672),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2670),
    [anon_sym_PLUS_EQ] = ACTIONS(2670),
    [anon_sym_DASH_EQ] = ACTIONS(2670),
    [anon_sym_DOT_EQ] = ACTIONS(2670),
    [anon_sym_STAR_EQ] = ACTIONS(2670),
    [anon_sym_SLASH_EQ] = ACTIONS(2670),
    [anon_sym_PERCENT_EQ] = ACTIONS(2670),
    [anon_sym_x_EQ] = ACTIONS(2670),
    [anon_sym_AMP_EQ] = ACTIONS(2670),
    [anon_sym_PIPE_EQ] = ACTIONS(2670),
    [anon_sym_CARET_EQ] = ACTIONS(2670),
    [anon_sym_LT_LT_EQ] = ACTIONS(2670),
    [anon_sym_GT_GT_EQ] = ACTIONS(2670),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2670),
    [anon_sym_DOT_DOT] = ACTIONS(2672),
    [anon_sym_STAR_STAR] = ACTIONS(2672),
    [anon_sym_PIPE_PIPE] = ACTIONS(2672),
    [anon_sym_SLASH_SLASH] = ACTIONS(2672),
    [anon_sym_CARET_CARET] = ACTIONS(2670),
    [anon_sym_AMP_AMP] = ACTIONS(2672),
    [anon_sym_PIPE] = ACTIONS(2672),
    [anon_sym_CARET] = ACTIONS(2672),
    [anon_sym_AMP] = ACTIONS(2672),
    [anon_sym_GT_GT2] = ACTIONS(2672),
    [anon_sym_PLUS] = ACTIONS(2672),
    [anon_sym_DASH] = ACTIONS(2672),
    [anon_sym_DOT] = ACTIONS(2672),
    [anon_sym_STAR] = ACTIONS(2672),
    [anon_sym_SLASH] = ACTIONS(2672),
    [anon_sym_x] = ACTIONS(2672),
    [anon_sym_EQ_TILDE] = ACTIONS(2670),
    [anon_sym_BANG_TILDE] = ACTIONS(2670),
    [anon_sym_EQ_EQ] = ACTIONS(2672),
    [anon_sym_BANG_EQ] = ACTIONS(2670),
    [anon_sym_eq] = ACTIONS(2672),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2670),
    [anon_sym_equ] = ACTIONS(2670),
    [anon_sym_eqr] = ACTIONS(2670),
    [anon_sym_ne] = ACTIONS(2670),
    [anon_sym_LT_EQ_GT] = ACTIONS(2670),
    [anon_sym_cmp] = ACTIONS(2670),
    [anon_sym_TILDE_TILDE] = ACTIONS(2670),
    [anon_sym_LT] = ACTIONS(2672),
    [anon_sym_LT_EQ] = ACTIONS(2672),
    [anon_sym_GT_EQ] = ACTIONS(2670),
    [anon_sym_lt] = ACTIONS(2670),
    [anon_sym_le] = ACTIONS(2670),
    [anon_sym_ge] = ACTIONS(2670),
    [anon_sym_gt] = ACTIONS(2670),
    [anon_sym_isa] = ACTIONS(2670),
    [anon_sym_PLUS_PLUS] = ACTIONS(2670),
    [anon_sym_DASH_DASH] = ACTIONS(2670),
    [anon_sym_QMARK] = ACTIONS(2670),
    [anon_sym_EQ_GT] = ACTIONS(2670),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1578] = {
    [sym_heredoc_content] = STATE(1578),
    [aux_sym__term_rightward_repeat1] = STATE(1581),
    [anon_sym_RBRACE] = ACTIONS(2556),
    [anon_sym_EQ] = ACTIONS(2558),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2556),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2556),
    [anon_sym_COMMA] = ACTIONS(3453),
    [anon_sym_RPAREN] = ACTIONS(2556),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2556),
    [anon_sym_and] = ACTIONS(2556),
    [anon_sym_or] = ACTIONS(2556),
    [anon_sym_xor] = ACTIONS(2556),
    [anon_sym_RBRACK] = ACTIONS(2556),
    [anon_sym_DASH_GT] = ACTIONS(2556),
    [anon_sym_PERCENT] = ACTIONS(2558),
    [anon_sym_GT] = ACTIONS(2558),
    [anon_sym_LT_LT] = ACTIONS(2558),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2556),
    [anon_sym_PLUS_EQ] = ACTIONS(2556),
    [anon_sym_DASH_EQ] = ACTIONS(2556),
    [anon_sym_DOT_EQ] = ACTIONS(2556),
    [anon_sym_STAR_EQ] = ACTIONS(2556),
    [anon_sym_SLASH_EQ] = ACTIONS(2556),
    [anon_sym_PERCENT_EQ] = ACTIONS(2556),
    [anon_sym_x_EQ] = ACTIONS(2556),
    [anon_sym_AMP_EQ] = ACTIONS(2556),
    [anon_sym_PIPE_EQ] = ACTIONS(2556),
    [anon_sym_CARET_EQ] = ACTIONS(2556),
    [anon_sym_LT_LT_EQ] = ACTIONS(2556),
    [anon_sym_GT_GT_EQ] = ACTIONS(2556),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2556),
    [anon_sym_DOT_DOT] = ACTIONS(2558),
    [anon_sym_STAR_STAR] = ACTIONS(2558),
    [anon_sym_PIPE_PIPE] = ACTIONS(2558),
    [anon_sym_SLASH_SLASH] = ACTIONS(2558),
    [anon_sym_CARET_CARET] = ACTIONS(2556),
    [anon_sym_AMP_AMP] = ACTIONS(2558),
    [anon_sym_PIPE] = ACTIONS(2558),
    [anon_sym_CARET] = ACTIONS(2558),
    [anon_sym_AMP] = ACTIONS(2558),
    [anon_sym_GT_GT2] = ACTIONS(2558),
    [anon_sym_PLUS] = ACTIONS(2558),
    [anon_sym_DASH] = ACTIONS(2558),
    [anon_sym_DOT] = ACTIONS(2558),
    [anon_sym_STAR] = ACTIONS(2558),
    [anon_sym_SLASH] = ACTIONS(2558),
    [anon_sym_x] = ACTIONS(2558),
    [anon_sym_EQ_TILDE] = ACTIONS(2556),
    [anon_sym_BANG_TILDE] = ACTIONS(2556),
    [anon_sym_EQ_EQ] = ACTIONS(2558),
    [anon_sym_BANG_EQ] = ACTIONS(2556),
    [anon_sym_eq] = ACTIONS(2558),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2556),
    [anon_sym_equ] = ACTIONS(2556),
    [anon_sym_eqr] = ACTIONS(2556),
    [anon_sym_ne] = ACTIONS(2556),
    [anon_sym_LT_EQ_GT] = ACTIONS(2556),
    [anon_sym_cmp] = ACTIONS(2556),
    [anon_sym_TILDE_TILDE] = ACTIONS(2556),
    [anon_sym_LT] = ACTIONS(2558),
    [anon_sym_LT_EQ] = ACTIONS(2558),
    [anon_sym_GT_EQ] = ACTIONS(2556),
    [anon_sym_lt] = ACTIONS(2556),
    [anon_sym_le] = ACTIONS(2556),
    [anon_sym_ge] = ACTIONS(2556),
    [anon_sym_gt] = ACTIONS(2556),
    [anon_sym_isa] = ACTIONS(2556),
    [anon_sym_PLUS_PLUS] = ACTIONS(2556),
    [anon_sym_DASH_DASH] = ACTIONS(2556),
    [anon_sym_QMARK] = ACTIONS(2556),
    [anon_sym_EQ_GT] = ACTIONS(3453),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1579] = {
    [sym_heredoc_content] = STATE(1579),
    [anon_sym_RBRACE] = ACTIONS(2660),
    [anon_sym_EQ] = ACTIONS(2662),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2660),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2660),
    [anon_sym_COMMA] = ACTIONS(2660),
    [anon_sym_RPAREN] = ACTIONS(2660),
    [anon_sym_LPAREN] = ACTIONS(3535),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2660),
    [anon_sym_and] = ACTIONS(2660),
    [anon_sym_or] = ACTIONS(2660),
    [anon_sym_xor] = ACTIONS(2660),
    [anon_sym_RBRACK] = ACTIONS(2660),
    [anon_sym_DASH_GT] = ACTIONS(2660),
    [anon_sym_PERCENT] = ACTIONS(2662),
    [anon_sym_GT] = ACTIONS(2662),
    [anon_sym_LT_LT] = ACTIONS(2662),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2660),
    [anon_sym_PLUS_EQ] = ACTIONS(2660),
    [anon_sym_DASH_EQ] = ACTIONS(2660),
    [anon_sym_DOT_EQ] = ACTIONS(2660),
    [anon_sym_STAR_EQ] = ACTIONS(2660),
    [anon_sym_SLASH_EQ] = ACTIONS(2660),
    [anon_sym_PERCENT_EQ] = ACTIONS(2660),
    [anon_sym_x_EQ] = ACTIONS(2660),
    [anon_sym_AMP_EQ] = ACTIONS(2660),
    [anon_sym_PIPE_EQ] = ACTIONS(2660),
    [anon_sym_CARET_EQ] = ACTIONS(2660),
    [anon_sym_LT_LT_EQ] = ACTIONS(2660),
    [anon_sym_GT_GT_EQ] = ACTIONS(2660),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2660),
    [anon_sym_DOT_DOT] = ACTIONS(2662),
    [anon_sym_STAR_STAR] = ACTIONS(2662),
    [anon_sym_PIPE_PIPE] = ACTIONS(2662),
    [anon_sym_SLASH_SLASH] = ACTIONS(2662),
    [anon_sym_CARET_CARET] = ACTIONS(2660),
    [anon_sym_AMP_AMP] = ACTIONS(2662),
    [anon_sym_PIPE] = ACTIONS(2662),
    [anon_sym_CARET] = ACTIONS(2662),
    [anon_sym_AMP] = ACTIONS(2662),
    [anon_sym_GT_GT2] = ACTIONS(2662),
    [anon_sym_PLUS] = ACTIONS(2662),
    [anon_sym_DASH] = ACTIONS(2662),
    [anon_sym_DOT] = ACTIONS(2662),
    [anon_sym_STAR] = ACTIONS(2662),
    [anon_sym_SLASH] = ACTIONS(2662),
    [anon_sym_x] = ACTIONS(2662),
    [anon_sym_EQ_TILDE] = ACTIONS(2660),
    [anon_sym_BANG_TILDE] = ACTIONS(2660),
    [anon_sym_EQ_EQ] = ACTIONS(2662),
    [anon_sym_BANG_EQ] = ACTIONS(2660),
    [anon_sym_eq] = ACTIONS(2662),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2660),
    [anon_sym_equ] = ACTIONS(2660),
    [anon_sym_eqr] = ACTIONS(2660),
    [anon_sym_ne] = ACTIONS(2660),
    [anon_sym_LT_EQ_GT] = ACTIONS(2660),
    [anon_sym_cmp] = ACTIONS(2660),
    [anon_sym_TILDE_TILDE] = ACTIONS(2660),
    [anon_sym_LT] = ACTIONS(2662),
    [anon_sym_LT_EQ] = ACTIONS(2662),
    [anon_sym_GT_EQ] = ACTIONS(2660),
    [anon_sym_lt] = ACTIONS(2660),
    [anon_sym_le] = ACTIONS(2660),
    [anon_sym_ge] = ACTIONS(2660),
    [anon_sym_gt] = ACTIONS(2660),
    [anon_sym_isa] = ACTIONS(2660),
    [anon_sym_PLUS_PLUS] = ACTIONS(2660),
    [anon_sym_DASH_DASH] = ACTIONS(2660),
    [anon_sym_QMARK] = ACTIONS(2660),
    [anon_sym_EQ_GT] = ACTIONS(2660),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1580] = {
    [sym_attrlist] = STATE(2346),
    [sym_attribute] = STATE(1524),
    [sym_attribute_name] = STATE(1664),
    [sym_heredoc_content] = STATE(1580),
    [sym__identifier] = ACTIONS(3431),
    [anon_sym_SEMI] = ACTIONS(2438),
    [anon_sym_EQ] = ACTIONS(2440),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2438),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2438),
    [anon_sym_COMMA] = ACTIONS(2438),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2438),
    [anon_sym_DASH_GT] = ACTIONS(2438),
    [anon_sym_PERCENT] = ACTIONS(2440),
    [anon_sym_GT] = ACTIONS(2440),
    [anon_sym_LT_LT] = ACTIONS(2440),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2438),
    [anon_sym_PLUS_EQ] = ACTIONS(2438),
    [anon_sym_DASH_EQ] = ACTIONS(2438),
    [anon_sym_DOT_EQ] = ACTIONS(2438),
    [anon_sym_STAR_EQ] = ACTIONS(2438),
    [anon_sym_SLASH_EQ] = ACTIONS(2438),
    [anon_sym_PERCENT_EQ] = ACTIONS(2438),
    [anon_sym_x_EQ] = ACTIONS(2438),
    [anon_sym_AMP_EQ] = ACTIONS(2438),
    [anon_sym_PIPE_EQ] = ACTIONS(2438),
    [anon_sym_CARET_EQ] = ACTIONS(2438),
    [anon_sym_LT_LT_EQ] = ACTIONS(2438),
    [anon_sym_GT_GT_EQ] = ACTIONS(2438),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2438),
    [anon_sym_DOT_DOT] = ACTIONS(2440),
    [anon_sym_STAR_STAR] = ACTIONS(2440),
    [anon_sym_PIPE_PIPE] = ACTIONS(2440),
    [anon_sym_SLASH_SLASH] = ACTIONS(2440),
    [anon_sym_CARET_CARET] = ACTIONS(2438),
    [anon_sym_AMP_AMP] = ACTIONS(2440),
    [anon_sym_PIPE] = ACTIONS(2440),
    [anon_sym_CARET] = ACTIONS(2440),
    [anon_sym_AMP] = ACTIONS(2440),
    [anon_sym_GT_GT2] = ACTIONS(2440),
    [anon_sym_PLUS] = ACTIONS(2440),
    [anon_sym_DASH] = ACTIONS(2440),
    [anon_sym_DOT] = ACTIONS(2440),
    [anon_sym_STAR] = ACTIONS(2440),
    [anon_sym_SLASH] = ACTIONS(2440),
    [anon_sym_x] = ACTIONS(2440),
    [anon_sym_EQ_TILDE] = ACTIONS(2438),
    [anon_sym_BANG_TILDE] = ACTIONS(2438),
    [anon_sym_EQ_EQ] = ACTIONS(2440),
    [anon_sym_BANG_EQ] = ACTIONS(2438),
    [anon_sym_eq] = ACTIONS(2440),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2438),
    [anon_sym_equ] = ACTIONS(2440),
    [anon_sym_eqr] = ACTIONS(2440),
    [anon_sym_ne] = ACTIONS(2440),
    [anon_sym_LT_EQ_GT] = ACTIONS(2438),
    [anon_sym_cmp] = ACTIONS(2440),
    [anon_sym_TILDE_TILDE] = ACTIONS(2438),
    [anon_sym_LT] = ACTIONS(2440),
    [anon_sym_LT_EQ] = ACTIONS(2440),
    [anon_sym_GT_EQ] = ACTIONS(2438),
    [anon_sym_lt] = ACTIONS(2440),
    [anon_sym_le] = ACTIONS(2440),
    [anon_sym_ge] = ACTIONS(2440),
    [anon_sym_gt] = ACTIONS(2440),
    [anon_sym_isa] = ACTIONS(2440),
    [anon_sym_PLUS_PLUS] = ACTIONS(2438),
    [anon_sym_DASH_DASH] = ACTIONS(2438),
    [anon_sym_QMARK] = ACTIONS(2438),
    [anon_sym_EQ_GT] = ACTIONS(2438),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(3431),
    [sym__PERLY_SEMICOLON] = ACTIONS(2438),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1581] = {
    [sym_heredoc_content] = STATE(1581),
    [aux_sym__term_rightward_repeat1] = STATE(1581),
    [anon_sym_RBRACE] = ACTIONS(2774),
    [anon_sym_EQ] = ACTIONS(2776),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2774),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2774),
    [anon_sym_COMMA] = ACTIONS(3537),
    [anon_sym_RPAREN] = ACTIONS(2774),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2774),
    [anon_sym_and] = ACTIONS(2774),
    [anon_sym_or] = ACTIONS(2774),
    [anon_sym_xor] = ACTIONS(2774),
    [anon_sym_RBRACK] = ACTIONS(2774),
    [anon_sym_DASH_GT] = ACTIONS(2774),
    [anon_sym_PERCENT] = ACTIONS(2776),
    [anon_sym_GT] = ACTIONS(2776),
    [anon_sym_LT_LT] = ACTIONS(2776),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2774),
    [anon_sym_PLUS_EQ] = ACTIONS(2774),
    [anon_sym_DASH_EQ] = ACTIONS(2774),
    [anon_sym_DOT_EQ] = ACTIONS(2774),
    [anon_sym_STAR_EQ] = ACTIONS(2774),
    [anon_sym_SLASH_EQ] = ACTIONS(2774),
    [anon_sym_PERCENT_EQ] = ACTIONS(2774),
    [anon_sym_x_EQ] = ACTIONS(2774),
    [anon_sym_AMP_EQ] = ACTIONS(2774),
    [anon_sym_PIPE_EQ] = ACTIONS(2774),
    [anon_sym_CARET_EQ] = ACTIONS(2774),
    [anon_sym_LT_LT_EQ] = ACTIONS(2774),
    [anon_sym_GT_GT_EQ] = ACTIONS(2774),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2774),
    [anon_sym_DOT_DOT] = ACTIONS(2776),
    [anon_sym_STAR_STAR] = ACTIONS(2776),
    [anon_sym_PIPE_PIPE] = ACTIONS(2776),
    [anon_sym_SLASH_SLASH] = ACTIONS(2776),
    [anon_sym_CARET_CARET] = ACTIONS(2774),
    [anon_sym_AMP_AMP] = ACTIONS(2776),
    [anon_sym_PIPE] = ACTIONS(2776),
    [anon_sym_CARET] = ACTIONS(2776),
    [anon_sym_AMP] = ACTIONS(2776),
    [anon_sym_GT_GT2] = ACTIONS(2776),
    [anon_sym_PLUS] = ACTIONS(2776),
    [anon_sym_DASH] = ACTIONS(2776),
    [anon_sym_DOT] = ACTIONS(2776),
    [anon_sym_STAR] = ACTIONS(2776),
    [anon_sym_SLASH] = ACTIONS(2776),
    [anon_sym_x] = ACTIONS(2776),
    [anon_sym_EQ_TILDE] = ACTIONS(2774),
    [anon_sym_BANG_TILDE] = ACTIONS(2774),
    [anon_sym_EQ_EQ] = ACTIONS(2776),
    [anon_sym_BANG_EQ] = ACTIONS(2774),
    [anon_sym_eq] = ACTIONS(2776),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2774),
    [anon_sym_equ] = ACTIONS(2774),
    [anon_sym_eqr] = ACTIONS(2774),
    [anon_sym_ne] = ACTIONS(2774),
    [anon_sym_LT_EQ_GT] = ACTIONS(2774),
    [anon_sym_cmp] = ACTIONS(2774),
    [anon_sym_TILDE_TILDE] = ACTIONS(2774),
    [anon_sym_LT] = ACTIONS(2776),
    [anon_sym_LT_EQ] = ACTIONS(2776),
    [anon_sym_GT_EQ] = ACTIONS(2774),
    [anon_sym_lt] = ACTIONS(2774),
    [anon_sym_le] = ACTIONS(2774),
    [anon_sym_ge] = ACTIONS(2774),
    [anon_sym_gt] = ACTIONS(2774),
    [anon_sym_isa] = ACTIONS(2774),
    [anon_sym_PLUS_PLUS] = ACTIONS(2774),
    [anon_sym_DASH_DASH] = ACTIONS(2774),
    [anon_sym_QMARK] = ACTIONS(2774),
    [anon_sym_EQ_GT] = ACTIONS(3537),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1582] = {
    [sym_heredoc_content] = STATE(1582),
    [anon_sym_RBRACE] = ACTIONS(2640),
    [anon_sym_COLON] = ACTIONS(2640),
    [anon_sym_EQ] = ACTIONS(2642),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2640),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2640),
    [anon_sym_COMMA] = ACTIONS(2640),
    [anon_sym_RPAREN] = ACTIONS(2640),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2640),
    [anon_sym_and] = ACTIONS(2640),
    [anon_sym_or] = ACTIONS(2640),
    [anon_sym_xor] = ACTIONS(2640),
    [anon_sym_RBRACK] = ACTIONS(2640),
    [anon_sym_DASH_GT] = ACTIONS(2640),
    [anon_sym_PERCENT] = ACTIONS(2642),
    [anon_sym_GT] = ACTIONS(2642),
    [anon_sym_LT_LT] = ACTIONS(2642),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2640),
    [anon_sym_PLUS_EQ] = ACTIONS(2640),
    [anon_sym_DASH_EQ] = ACTIONS(2640),
    [anon_sym_DOT_EQ] = ACTIONS(2640),
    [anon_sym_STAR_EQ] = ACTIONS(2640),
    [anon_sym_SLASH_EQ] = ACTIONS(2640),
    [anon_sym_PERCENT_EQ] = ACTIONS(2640),
    [anon_sym_x_EQ] = ACTIONS(2640),
    [anon_sym_AMP_EQ] = ACTIONS(2640),
    [anon_sym_PIPE_EQ] = ACTIONS(2640),
    [anon_sym_CARET_EQ] = ACTIONS(2640),
    [anon_sym_LT_LT_EQ] = ACTIONS(2640),
    [anon_sym_GT_GT_EQ] = ACTIONS(2640),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2640),
    [anon_sym_DOT_DOT] = ACTIONS(2642),
    [anon_sym_STAR_STAR] = ACTIONS(2642),
    [anon_sym_PIPE_PIPE] = ACTIONS(2642),
    [anon_sym_SLASH_SLASH] = ACTIONS(2642),
    [anon_sym_CARET_CARET] = ACTIONS(2640),
    [anon_sym_AMP_AMP] = ACTIONS(2642),
    [anon_sym_PIPE] = ACTIONS(2642),
    [anon_sym_CARET] = ACTIONS(2642),
    [anon_sym_AMP] = ACTIONS(2642),
    [anon_sym_GT_GT2] = ACTIONS(2642),
    [anon_sym_PLUS] = ACTIONS(2642),
    [anon_sym_DASH] = ACTIONS(2642),
    [anon_sym_DOT] = ACTIONS(2642),
    [anon_sym_STAR] = ACTIONS(2642),
    [anon_sym_SLASH] = ACTIONS(2642),
    [anon_sym_x] = ACTIONS(2642),
    [anon_sym_EQ_TILDE] = ACTIONS(2640),
    [anon_sym_BANG_TILDE] = ACTIONS(2640),
    [anon_sym_EQ_EQ] = ACTIONS(2642),
    [anon_sym_BANG_EQ] = ACTIONS(2640),
    [anon_sym_eq] = ACTIONS(2642),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2640),
    [anon_sym_equ] = ACTIONS(2640),
    [anon_sym_eqr] = ACTIONS(2640),
    [anon_sym_ne] = ACTIONS(2640),
    [anon_sym_LT_EQ_GT] = ACTIONS(2640),
    [anon_sym_cmp] = ACTIONS(2640),
    [anon_sym_TILDE_TILDE] = ACTIONS(2640),
    [anon_sym_LT] = ACTIONS(2642),
    [anon_sym_LT_EQ] = ACTIONS(2642),
    [anon_sym_GT_EQ] = ACTIONS(2640),
    [anon_sym_lt] = ACTIONS(2640),
    [anon_sym_le] = ACTIONS(2640),
    [anon_sym_ge] = ACTIONS(2640),
    [anon_sym_gt] = ACTIONS(2640),
    [anon_sym_isa] = ACTIONS(2640),
    [anon_sym_PLUS_PLUS] = ACTIONS(2640),
    [anon_sym_DASH_DASH] = ACTIONS(2640),
    [anon_sym_QMARK] = ACTIONS(2640),
    [anon_sym_EQ_GT] = ACTIONS(2640),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1583] = {
    [sym_heredoc_content] = STATE(1583),
    [anon_sym_RBRACE] = ACTIONS(2817),
    [anon_sym_COLON] = ACTIONS(2817),
    [anon_sym_EQ] = ACTIONS(2819),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2817),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2817),
    [anon_sym_COMMA] = ACTIONS(2817),
    [anon_sym_RPAREN] = ACTIONS(2817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2817),
    [anon_sym_and] = ACTIONS(2817),
    [anon_sym_or] = ACTIONS(2817),
    [anon_sym_xor] = ACTIONS(2817),
    [anon_sym_RBRACK] = ACTIONS(2817),
    [anon_sym_DASH_GT] = ACTIONS(2817),
    [anon_sym_PERCENT] = ACTIONS(2819),
    [anon_sym_GT] = ACTIONS(2819),
    [anon_sym_LT_LT] = ACTIONS(2819),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2817),
    [anon_sym_PLUS_EQ] = ACTIONS(2817),
    [anon_sym_DASH_EQ] = ACTIONS(2817),
    [anon_sym_DOT_EQ] = ACTIONS(2817),
    [anon_sym_STAR_EQ] = ACTIONS(2817),
    [anon_sym_SLASH_EQ] = ACTIONS(2817),
    [anon_sym_PERCENT_EQ] = ACTIONS(2817),
    [anon_sym_x_EQ] = ACTIONS(2817),
    [anon_sym_AMP_EQ] = ACTIONS(2817),
    [anon_sym_PIPE_EQ] = ACTIONS(2817),
    [anon_sym_CARET_EQ] = ACTIONS(2817),
    [anon_sym_LT_LT_EQ] = ACTIONS(2817),
    [anon_sym_GT_GT_EQ] = ACTIONS(2817),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2817),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_STAR_STAR] = ACTIONS(2819),
    [anon_sym_PIPE_PIPE] = ACTIONS(2819),
    [anon_sym_SLASH_SLASH] = ACTIONS(2819),
    [anon_sym_CARET_CARET] = ACTIONS(2817),
    [anon_sym_AMP_AMP] = ACTIONS(2819),
    [anon_sym_PIPE] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2819),
    [anon_sym_AMP] = ACTIONS(2819),
    [anon_sym_GT_GT2] = ACTIONS(2819),
    [anon_sym_PLUS] = ACTIONS(2819),
    [anon_sym_DASH] = ACTIONS(2819),
    [anon_sym_DOT] = ACTIONS(2819),
    [anon_sym_STAR] = ACTIONS(2819),
    [anon_sym_SLASH] = ACTIONS(2819),
    [anon_sym_x] = ACTIONS(2819),
    [anon_sym_EQ_TILDE] = ACTIONS(2817),
    [anon_sym_BANG_TILDE] = ACTIONS(2817),
    [anon_sym_EQ_EQ] = ACTIONS(2819),
    [anon_sym_BANG_EQ] = ACTIONS(2817),
    [anon_sym_eq] = ACTIONS(2819),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2817),
    [anon_sym_equ] = ACTIONS(2817),
    [anon_sym_eqr] = ACTIONS(2817),
    [anon_sym_ne] = ACTIONS(2817),
    [anon_sym_LT_EQ_GT] = ACTIONS(2817),
    [anon_sym_cmp] = ACTIONS(2817),
    [anon_sym_TILDE_TILDE] = ACTIONS(2817),
    [anon_sym_LT] = ACTIONS(2819),
    [anon_sym_LT_EQ] = ACTIONS(2819),
    [anon_sym_GT_EQ] = ACTIONS(2817),
    [anon_sym_lt] = ACTIONS(2817),
    [anon_sym_le] = ACTIONS(2817),
    [anon_sym_ge] = ACTIONS(2817),
    [anon_sym_gt] = ACTIONS(2817),
    [anon_sym_isa] = ACTIONS(2817),
    [anon_sym_PLUS_PLUS] = ACTIONS(2817),
    [anon_sym_DASH_DASH] = ACTIONS(2817),
    [anon_sym_QMARK] = ACTIONS(2817),
    [anon_sym_EQ_GT] = ACTIONS(2817),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1584] = {
    [sym_heredoc_content] = STATE(1584),
    [anon_sym_RBRACE] = ACTIONS(2770),
    [anon_sym_COLON] = ACTIONS(2770),
    [anon_sym_EQ] = ACTIONS(2772),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2770),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2770),
    [anon_sym_COMMA] = ACTIONS(2770),
    [anon_sym_RPAREN] = ACTIONS(2770),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2770),
    [anon_sym_and] = ACTIONS(2770),
    [anon_sym_or] = ACTIONS(2770),
    [anon_sym_xor] = ACTIONS(2770),
    [anon_sym_RBRACK] = ACTIONS(2770),
    [anon_sym_DASH_GT] = ACTIONS(2770),
    [anon_sym_PERCENT] = ACTIONS(2772),
    [anon_sym_GT] = ACTIONS(2772),
    [anon_sym_LT_LT] = ACTIONS(2772),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2770),
    [anon_sym_PLUS_EQ] = ACTIONS(2770),
    [anon_sym_DASH_EQ] = ACTIONS(2770),
    [anon_sym_DOT_EQ] = ACTIONS(2770),
    [anon_sym_STAR_EQ] = ACTIONS(2770),
    [anon_sym_SLASH_EQ] = ACTIONS(2770),
    [anon_sym_PERCENT_EQ] = ACTIONS(2770),
    [anon_sym_x_EQ] = ACTIONS(2770),
    [anon_sym_AMP_EQ] = ACTIONS(2770),
    [anon_sym_PIPE_EQ] = ACTIONS(2770),
    [anon_sym_CARET_EQ] = ACTIONS(2770),
    [anon_sym_LT_LT_EQ] = ACTIONS(2770),
    [anon_sym_GT_GT_EQ] = ACTIONS(2770),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2770),
    [anon_sym_DOT_DOT] = ACTIONS(2772),
    [anon_sym_STAR_STAR] = ACTIONS(2772),
    [anon_sym_PIPE_PIPE] = ACTIONS(2772),
    [anon_sym_SLASH_SLASH] = ACTIONS(2772),
    [anon_sym_CARET_CARET] = ACTIONS(2770),
    [anon_sym_AMP_AMP] = ACTIONS(2772),
    [anon_sym_PIPE] = ACTIONS(2772),
    [anon_sym_CARET] = ACTIONS(2772),
    [anon_sym_AMP] = ACTIONS(2772),
    [anon_sym_GT_GT2] = ACTIONS(2772),
    [anon_sym_PLUS] = ACTIONS(2772),
    [anon_sym_DASH] = ACTIONS(2772),
    [anon_sym_DOT] = ACTIONS(2772),
    [anon_sym_STAR] = ACTIONS(2772),
    [anon_sym_SLASH] = ACTIONS(2772),
    [anon_sym_x] = ACTIONS(2772),
    [anon_sym_EQ_TILDE] = ACTIONS(2770),
    [anon_sym_BANG_TILDE] = ACTIONS(2770),
    [anon_sym_EQ_EQ] = ACTIONS(2772),
    [anon_sym_BANG_EQ] = ACTIONS(2770),
    [anon_sym_eq] = ACTIONS(2772),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2770),
    [anon_sym_equ] = ACTIONS(2770),
    [anon_sym_eqr] = ACTIONS(2770),
    [anon_sym_ne] = ACTIONS(2770),
    [anon_sym_LT_EQ_GT] = ACTIONS(2770),
    [anon_sym_cmp] = ACTIONS(2770),
    [anon_sym_TILDE_TILDE] = ACTIONS(2770),
    [anon_sym_LT] = ACTIONS(2772),
    [anon_sym_LT_EQ] = ACTIONS(2772),
    [anon_sym_GT_EQ] = ACTIONS(2770),
    [anon_sym_lt] = ACTIONS(2770),
    [anon_sym_le] = ACTIONS(2770),
    [anon_sym_ge] = ACTIONS(2770),
    [anon_sym_gt] = ACTIONS(2770),
    [anon_sym_isa] = ACTIONS(2770),
    [anon_sym_PLUS_PLUS] = ACTIONS(2770),
    [anon_sym_DASH_DASH] = ACTIONS(2770),
    [anon_sym_QMARK] = ACTIONS(2770),
    [anon_sym_EQ_GT] = ACTIONS(2770),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1585] = {
    [sym_heredoc_content] = STATE(1585),
    [anon_sym_RBRACE] = ACTIONS(2726),
    [anon_sym_COLON] = ACTIONS(2726),
    [anon_sym_EQ] = ACTIONS(2728),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2726),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2726),
    [anon_sym_COMMA] = ACTIONS(2726),
    [anon_sym_RPAREN] = ACTIONS(2726),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2726),
    [anon_sym_and] = ACTIONS(2726),
    [anon_sym_or] = ACTIONS(2726),
    [anon_sym_xor] = ACTIONS(2726),
    [anon_sym_RBRACK] = ACTIONS(2726),
    [anon_sym_DASH_GT] = ACTIONS(2726),
    [anon_sym_PERCENT] = ACTIONS(2728),
    [anon_sym_GT] = ACTIONS(2728),
    [anon_sym_LT_LT] = ACTIONS(2728),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2726),
    [anon_sym_PLUS_EQ] = ACTIONS(2726),
    [anon_sym_DASH_EQ] = ACTIONS(2726),
    [anon_sym_DOT_EQ] = ACTIONS(2726),
    [anon_sym_STAR_EQ] = ACTIONS(2726),
    [anon_sym_SLASH_EQ] = ACTIONS(2726),
    [anon_sym_PERCENT_EQ] = ACTIONS(2726),
    [anon_sym_x_EQ] = ACTIONS(2726),
    [anon_sym_AMP_EQ] = ACTIONS(2726),
    [anon_sym_PIPE_EQ] = ACTIONS(2726),
    [anon_sym_CARET_EQ] = ACTIONS(2726),
    [anon_sym_LT_LT_EQ] = ACTIONS(2726),
    [anon_sym_GT_GT_EQ] = ACTIONS(2726),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2726),
    [anon_sym_DOT_DOT] = ACTIONS(2728),
    [anon_sym_STAR_STAR] = ACTIONS(2728),
    [anon_sym_PIPE_PIPE] = ACTIONS(2728),
    [anon_sym_SLASH_SLASH] = ACTIONS(2728),
    [anon_sym_CARET_CARET] = ACTIONS(2726),
    [anon_sym_AMP_AMP] = ACTIONS(2728),
    [anon_sym_PIPE] = ACTIONS(2728),
    [anon_sym_CARET] = ACTIONS(2728),
    [anon_sym_AMP] = ACTIONS(2728),
    [anon_sym_GT_GT2] = ACTIONS(2728),
    [anon_sym_PLUS] = ACTIONS(2728),
    [anon_sym_DASH] = ACTIONS(2728),
    [anon_sym_DOT] = ACTIONS(2728),
    [anon_sym_STAR] = ACTIONS(2728),
    [anon_sym_SLASH] = ACTIONS(2728),
    [anon_sym_x] = ACTIONS(2728),
    [anon_sym_EQ_TILDE] = ACTIONS(2726),
    [anon_sym_BANG_TILDE] = ACTIONS(2726),
    [anon_sym_EQ_EQ] = ACTIONS(2728),
    [anon_sym_BANG_EQ] = ACTIONS(2726),
    [anon_sym_eq] = ACTIONS(2728),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2726),
    [anon_sym_equ] = ACTIONS(2726),
    [anon_sym_eqr] = ACTIONS(2726),
    [anon_sym_ne] = ACTIONS(2726),
    [anon_sym_LT_EQ_GT] = ACTIONS(2726),
    [anon_sym_cmp] = ACTIONS(2726),
    [anon_sym_TILDE_TILDE] = ACTIONS(2726),
    [anon_sym_LT] = ACTIONS(2728),
    [anon_sym_LT_EQ] = ACTIONS(2728),
    [anon_sym_GT_EQ] = ACTIONS(2726),
    [anon_sym_lt] = ACTIONS(2726),
    [anon_sym_le] = ACTIONS(2726),
    [anon_sym_ge] = ACTIONS(2726),
    [anon_sym_gt] = ACTIONS(2726),
    [anon_sym_isa] = ACTIONS(2726),
    [anon_sym_PLUS_PLUS] = ACTIONS(2726),
    [anon_sym_DASH_DASH] = ACTIONS(2726),
    [anon_sym_QMARK] = ACTIONS(2726),
    [anon_sym_EQ_GT] = ACTIONS(2726),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1586] = {
    [sym_attrlist] = STATE(2198),
    [sym_attribute] = STATE(1521),
    [sym_attribute_name] = STATE(1773),
    [sym_heredoc_content] = STATE(1586),
    [sym__identifier] = ACTIONS(3421),
    [anon_sym_RBRACE] = ACTIONS(2442),
    [anon_sym_EQ] = ACTIONS(2444),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2442),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2442),
    [anon_sym_COMMA] = ACTIONS(2442),
    [anon_sym_RPAREN] = ACTIONS(2442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2442),
    [anon_sym_DASH_GT] = ACTIONS(2442),
    [anon_sym_PERCENT] = ACTIONS(2444),
    [anon_sym_GT] = ACTIONS(2444),
    [anon_sym_LT_LT] = ACTIONS(2444),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2442),
    [anon_sym_PLUS_EQ] = ACTIONS(2442),
    [anon_sym_DASH_EQ] = ACTIONS(2442),
    [anon_sym_DOT_EQ] = ACTIONS(2442),
    [anon_sym_STAR_EQ] = ACTIONS(2442),
    [anon_sym_SLASH_EQ] = ACTIONS(2442),
    [anon_sym_PERCENT_EQ] = ACTIONS(2442),
    [anon_sym_x_EQ] = ACTIONS(2442),
    [anon_sym_AMP_EQ] = ACTIONS(2442),
    [anon_sym_PIPE_EQ] = ACTIONS(2442),
    [anon_sym_CARET_EQ] = ACTIONS(2442),
    [anon_sym_LT_LT_EQ] = ACTIONS(2442),
    [anon_sym_GT_GT_EQ] = ACTIONS(2442),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2442),
    [anon_sym_DOT_DOT] = ACTIONS(2444),
    [anon_sym_STAR_STAR] = ACTIONS(2444),
    [anon_sym_PIPE_PIPE] = ACTIONS(2444),
    [anon_sym_SLASH_SLASH] = ACTIONS(2444),
    [anon_sym_CARET_CARET] = ACTIONS(2442),
    [anon_sym_AMP_AMP] = ACTIONS(2444),
    [anon_sym_PIPE] = ACTIONS(2444),
    [anon_sym_CARET] = ACTIONS(2444),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_GT_GT2] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_DOT] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2444),
    [anon_sym_SLASH] = ACTIONS(2444),
    [anon_sym_x] = ACTIONS(2444),
    [anon_sym_EQ_TILDE] = ACTIONS(2442),
    [anon_sym_BANG_TILDE] = ACTIONS(2442),
    [anon_sym_EQ_EQ] = ACTIONS(2444),
    [anon_sym_BANG_EQ] = ACTIONS(2442),
    [anon_sym_eq] = ACTIONS(2444),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2442),
    [anon_sym_equ] = ACTIONS(2444),
    [anon_sym_eqr] = ACTIONS(2444),
    [anon_sym_ne] = ACTIONS(2444),
    [anon_sym_LT_EQ_GT] = ACTIONS(2442),
    [anon_sym_cmp] = ACTIONS(2444),
    [anon_sym_TILDE_TILDE] = ACTIONS(2442),
    [anon_sym_LT] = ACTIONS(2444),
    [anon_sym_LT_EQ] = ACTIONS(2444),
    [anon_sym_GT_EQ] = ACTIONS(2442),
    [anon_sym_lt] = ACTIONS(2444),
    [anon_sym_le] = ACTIONS(2444),
    [anon_sym_ge] = ACTIONS(2444),
    [anon_sym_gt] = ACTIONS(2444),
    [anon_sym_isa] = ACTIONS(2444),
    [anon_sym_PLUS_PLUS] = ACTIONS(2442),
    [anon_sym_DASH_DASH] = ACTIONS(2442),
    [anon_sym_QMARK] = ACTIONS(2442),
    [anon_sym_EQ_GT] = ACTIONS(2442),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(3421),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1587] = {
    [sym_heredoc_content] = STATE(1587),
    [anon_sym_RBRACE] = ACTIONS(2797),
    [anon_sym_EQ] = ACTIONS(2799),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2797),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2797),
    [anon_sym_COMMA] = ACTIONS(2797),
    [anon_sym_RPAREN] = ACTIONS(2797),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2797),
    [anon_sym_and] = ACTIONS(2799),
    [anon_sym_or] = ACTIONS(2799),
    [anon_sym_xor] = ACTIONS(2799),
    [anon_sym_RBRACK] = ACTIONS(2797),
    [anon_sym_DASH_GT] = ACTIONS(2797),
    [anon_sym_PERCENT] = ACTIONS(2799),
    [anon_sym_GT] = ACTIONS(2799),
    [anon_sym_LT_LT] = ACTIONS(2799),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2797),
    [anon_sym_PLUS_EQ] = ACTIONS(2797),
    [anon_sym_DASH_EQ] = ACTIONS(2797),
    [anon_sym_DOT_EQ] = ACTIONS(2797),
    [anon_sym_STAR_EQ] = ACTIONS(2797),
    [anon_sym_SLASH_EQ] = ACTIONS(2797),
    [anon_sym_PERCENT_EQ] = ACTIONS(2797),
    [anon_sym_x_EQ] = ACTIONS(2799),
    [anon_sym_AMP_EQ] = ACTIONS(2797),
    [anon_sym_PIPE_EQ] = ACTIONS(2797),
    [anon_sym_CARET_EQ] = ACTIONS(2797),
    [anon_sym_LT_LT_EQ] = ACTIONS(2797),
    [anon_sym_GT_GT_EQ] = ACTIONS(2797),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2797),
    [anon_sym_DOT_DOT] = ACTIONS(2799),
    [anon_sym_STAR_STAR] = ACTIONS(2799),
    [anon_sym_PIPE_PIPE] = ACTIONS(2799),
    [anon_sym_SLASH_SLASH] = ACTIONS(2799),
    [anon_sym_CARET_CARET] = ACTIONS(2797),
    [anon_sym_AMP_AMP] = ACTIONS(2799),
    [anon_sym_PIPE] = ACTIONS(2799),
    [anon_sym_CARET] = ACTIONS(2799),
    [anon_sym_AMP] = ACTIONS(2799),
    [anon_sym_GT_GT2] = ACTIONS(2799),
    [anon_sym_PLUS] = ACTIONS(2799),
    [anon_sym_DASH] = ACTIONS(2799),
    [anon_sym_DOT] = ACTIONS(2799),
    [anon_sym_STAR] = ACTIONS(2799),
    [anon_sym_SLASH] = ACTIONS(2799),
    [anon_sym_x] = ACTIONS(2799),
    [anon_sym_EQ_TILDE] = ACTIONS(2797),
    [anon_sym_BANG_TILDE] = ACTIONS(2797),
    [anon_sym_EQ_EQ] = ACTIONS(2799),
    [anon_sym_BANG_EQ] = ACTIONS(2797),
    [anon_sym_eq] = ACTIONS(2799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2797),
    [anon_sym_equ] = ACTIONS(2797),
    [anon_sym_eqr] = ACTIONS(2797),
    [anon_sym_ne] = ACTIONS(2799),
    [anon_sym_LT_EQ_GT] = ACTIONS(2797),
    [anon_sym_cmp] = ACTIONS(2797),
    [anon_sym_TILDE_TILDE] = ACTIONS(2797),
    [anon_sym_LT] = ACTIONS(2799),
    [anon_sym_LT_EQ] = ACTIONS(2799),
    [anon_sym_GT_EQ] = ACTIONS(2797),
    [anon_sym_lt] = ACTIONS(2799),
    [anon_sym_le] = ACTIONS(2799),
    [anon_sym_ge] = ACTIONS(2797),
    [anon_sym_gt] = ACTIONS(2797),
    [anon_sym_isa] = ACTIONS(2799),
    [anon_sym_PLUS_PLUS] = ACTIONS(2797),
    [anon_sym_DASH_DASH] = ACTIONS(2797),
    [anon_sym_QMARK] = ACTIONS(2797),
    [anon_sym_EQ_GT] = ACTIONS(2797),
    [sym_comment] = ACTIONS(5),
    [sym_quoted_regexp_modifiers] = ACTIONS(3540),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1588] = {
    [sym_heredoc_content] = STATE(1588),
    [anon_sym_RBRACE] = ACTIONS(2574),
    [anon_sym_EQ] = ACTIONS(2576),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2574),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2574),
    [anon_sym_COMMA] = ACTIONS(2574),
    [anon_sym_RPAREN] = ACTIONS(2574),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2574),
    [anon_sym_and] = ACTIONS(2576),
    [anon_sym_or] = ACTIONS(2576),
    [anon_sym_xor] = ACTIONS(2576),
    [anon_sym_RBRACK] = ACTIONS(2574),
    [anon_sym_DASH_GT] = ACTIONS(2574),
    [anon_sym_PERCENT] = ACTIONS(2576),
    [anon_sym_GT] = ACTIONS(2576),
    [anon_sym_LT_LT] = ACTIONS(2576),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2574),
    [anon_sym_PLUS_EQ] = ACTIONS(2574),
    [anon_sym_DASH_EQ] = ACTIONS(2574),
    [anon_sym_DOT_EQ] = ACTIONS(2574),
    [anon_sym_STAR_EQ] = ACTIONS(2574),
    [anon_sym_SLASH_EQ] = ACTIONS(2574),
    [anon_sym_PERCENT_EQ] = ACTIONS(2574),
    [anon_sym_x_EQ] = ACTIONS(2576),
    [anon_sym_AMP_EQ] = ACTIONS(2574),
    [anon_sym_PIPE_EQ] = ACTIONS(2574),
    [anon_sym_CARET_EQ] = ACTIONS(2574),
    [anon_sym_LT_LT_EQ] = ACTIONS(2574),
    [anon_sym_GT_GT_EQ] = ACTIONS(2574),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2574),
    [anon_sym_DOT_DOT] = ACTIONS(2576),
    [anon_sym_STAR_STAR] = ACTIONS(2576),
    [anon_sym_PIPE_PIPE] = ACTIONS(2576),
    [anon_sym_SLASH_SLASH] = ACTIONS(2576),
    [anon_sym_CARET_CARET] = ACTIONS(2574),
    [anon_sym_AMP_AMP] = ACTIONS(2576),
    [anon_sym_PIPE] = ACTIONS(2576),
    [anon_sym_CARET] = ACTIONS(2576),
    [anon_sym_AMP] = ACTIONS(2576),
    [anon_sym_GT_GT2] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2576),
    [anon_sym_DASH] = ACTIONS(2576),
    [anon_sym_DOT] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2576),
    [anon_sym_SLASH] = ACTIONS(2576),
    [anon_sym_x] = ACTIONS(2576),
    [anon_sym_EQ_TILDE] = ACTIONS(2574),
    [anon_sym_BANG_TILDE] = ACTIONS(2574),
    [anon_sym_EQ_EQ] = ACTIONS(2576),
    [anon_sym_BANG_EQ] = ACTIONS(2574),
    [anon_sym_eq] = ACTIONS(2576),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2574),
    [anon_sym_equ] = ACTIONS(2574),
    [anon_sym_eqr] = ACTIONS(2574),
    [anon_sym_ne] = ACTIONS(2576),
    [anon_sym_LT_EQ_GT] = ACTIONS(2574),
    [anon_sym_cmp] = ACTIONS(2576),
    [anon_sym_TILDE_TILDE] = ACTIONS(2574),
    [anon_sym_LT] = ACTIONS(2576),
    [anon_sym_LT_EQ] = ACTIONS(2576),
    [anon_sym_GT_EQ] = ACTIONS(2574),
    [anon_sym_lt] = ACTIONS(2576),
    [anon_sym_le] = ACTIONS(2576),
    [anon_sym_ge] = ACTIONS(2576),
    [anon_sym_gt] = ACTIONS(2576),
    [anon_sym_isa] = ACTIONS(2576),
    [anon_sym_PLUS_PLUS] = ACTIONS(2574),
    [anon_sym_DASH_DASH] = ACTIONS(2574),
    [anon_sym_QMARK] = ACTIONS(2574),
    [anon_sym_EQ_GT] = ACTIONS(2574),
    [sym_comment] = ACTIONS(5),
    [sym_match_regexp_modifiers] = ACTIONS(3542),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1589] = {
    [sym_heredoc_content] = STATE(1589),
    [anon_sym_RBRACE] = ACTIONS(2698),
    [anon_sym_EQ] = ACTIONS(2700),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2698),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2698),
    [anon_sym_COMMA] = ACTIONS(2698),
    [anon_sym_RPAREN] = ACTIONS(2698),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2698),
    [anon_sym_and] = ACTIONS(2698),
    [anon_sym_or] = ACTIONS(2698),
    [anon_sym_xor] = ACTIONS(2698),
    [anon_sym_RBRACK] = ACTIONS(2698),
    [anon_sym_DASH_GT] = ACTIONS(2698),
    [anon_sym_PERCENT] = ACTIONS(2700),
    [anon_sym_GT] = ACTIONS(2700),
    [anon_sym_LT_LT] = ACTIONS(2700),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2698),
    [anon_sym_PLUS_EQ] = ACTIONS(2698),
    [anon_sym_DASH_EQ] = ACTIONS(2698),
    [anon_sym_DOT_EQ] = ACTIONS(2698),
    [anon_sym_STAR_EQ] = ACTIONS(2698),
    [anon_sym_SLASH_EQ] = ACTIONS(2698),
    [anon_sym_PERCENT_EQ] = ACTIONS(2698),
    [anon_sym_x_EQ] = ACTIONS(2698),
    [anon_sym_AMP_EQ] = ACTIONS(2698),
    [anon_sym_PIPE_EQ] = ACTIONS(2698),
    [anon_sym_CARET_EQ] = ACTIONS(2698),
    [anon_sym_LT_LT_EQ] = ACTIONS(2698),
    [anon_sym_GT_GT_EQ] = ACTIONS(2698),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2698),
    [anon_sym_DOT_DOT] = ACTIONS(2700),
    [anon_sym_STAR_STAR] = ACTIONS(2700),
    [anon_sym_PIPE_PIPE] = ACTIONS(2700),
    [anon_sym_SLASH_SLASH] = ACTIONS(2700),
    [anon_sym_CARET_CARET] = ACTIONS(2698),
    [anon_sym_AMP_AMP] = ACTIONS(2700),
    [anon_sym_PIPE] = ACTIONS(2700),
    [anon_sym_CARET] = ACTIONS(2700),
    [anon_sym_AMP] = ACTIONS(2700),
    [anon_sym_GT_GT2] = ACTIONS(2700),
    [anon_sym_PLUS] = ACTIONS(2700),
    [anon_sym_DASH] = ACTIONS(2700),
    [anon_sym_DOT] = ACTIONS(2700),
    [anon_sym_STAR] = ACTIONS(2700),
    [anon_sym_SLASH] = ACTIONS(2700),
    [anon_sym_x] = ACTIONS(2700),
    [anon_sym_EQ_TILDE] = ACTIONS(2698),
    [anon_sym_BANG_TILDE] = ACTIONS(2698),
    [anon_sym_EQ_EQ] = ACTIONS(2700),
    [anon_sym_BANG_EQ] = ACTIONS(2698),
    [anon_sym_eq] = ACTIONS(2700),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2698),
    [anon_sym_equ] = ACTIONS(2698),
    [anon_sym_eqr] = ACTIONS(2698),
    [anon_sym_ne] = ACTIONS(2698),
    [anon_sym_LT_EQ_GT] = ACTIONS(2698),
    [anon_sym_cmp] = ACTIONS(2700),
    [anon_sym_TILDE_TILDE] = ACTIONS(2698),
    [anon_sym_LT] = ACTIONS(2700),
    [anon_sym_LT_EQ] = ACTIONS(2700),
    [anon_sym_GT_EQ] = ACTIONS(2698),
    [anon_sym_lt] = ACTIONS(2698),
    [anon_sym_le] = ACTIONS(2698),
    [anon_sym_ge] = ACTIONS(2698),
    [anon_sym_gt] = ACTIONS(2698),
    [anon_sym_isa] = ACTIONS(2698),
    [anon_sym_PLUS_PLUS] = ACTIONS(2698),
    [anon_sym_DASH_DASH] = ACTIONS(2698),
    [anon_sym_QMARK] = ACTIONS(2698),
    [anon_sym_EQ_GT] = ACTIONS(2698),
    [sym_comment] = ACTIONS(5),
    [sym_transliteration_modifiers] = ACTIONS(3544),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1590] = {
    [sym_heredoc_content] = STATE(1590),
    [anon_sym_RBRACE] = ACTIONS(2652),
    [anon_sym_EQ] = ACTIONS(2654),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2652),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2652),
    [anon_sym_COMMA] = ACTIONS(2652),
    [anon_sym_RPAREN] = ACTIONS(2652),
    [anon_sym_LPAREN] = ACTIONS(3535),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2652),
    [anon_sym_and] = ACTIONS(2652),
    [anon_sym_or] = ACTIONS(2652),
    [anon_sym_xor] = ACTIONS(2652),
    [anon_sym_RBRACK] = ACTIONS(2652),
    [anon_sym_DASH_GT] = ACTIONS(2652),
    [anon_sym_PERCENT] = ACTIONS(2654),
    [anon_sym_GT] = ACTIONS(2654),
    [anon_sym_LT_LT] = ACTIONS(2654),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2652),
    [anon_sym_PLUS_EQ] = ACTIONS(2652),
    [anon_sym_DASH_EQ] = ACTIONS(2652),
    [anon_sym_DOT_EQ] = ACTIONS(2652),
    [anon_sym_STAR_EQ] = ACTIONS(2652),
    [anon_sym_SLASH_EQ] = ACTIONS(2652),
    [anon_sym_PERCENT_EQ] = ACTIONS(2652),
    [anon_sym_x_EQ] = ACTIONS(2652),
    [anon_sym_AMP_EQ] = ACTIONS(2652),
    [anon_sym_PIPE_EQ] = ACTIONS(2652),
    [anon_sym_CARET_EQ] = ACTIONS(2652),
    [anon_sym_LT_LT_EQ] = ACTIONS(2652),
    [anon_sym_GT_GT_EQ] = ACTIONS(2652),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2652),
    [anon_sym_DOT_DOT] = ACTIONS(2654),
    [anon_sym_STAR_STAR] = ACTIONS(2654),
    [anon_sym_PIPE_PIPE] = ACTIONS(2654),
    [anon_sym_SLASH_SLASH] = ACTIONS(2654),
    [anon_sym_CARET_CARET] = ACTIONS(2652),
    [anon_sym_AMP_AMP] = ACTIONS(2654),
    [anon_sym_PIPE] = ACTIONS(2654),
    [anon_sym_CARET] = ACTIONS(2654),
    [anon_sym_AMP] = ACTIONS(2654),
    [anon_sym_GT_GT2] = ACTIONS(2654),
    [anon_sym_PLUS] = ACTIONS(2654),
    [anon_sym_DASH] = ACTIONS(2654),
    [anon_sym_DOT] = ACTIONS(2654),
    [anon_sym_STAR] = ACTIONS(2654),
    [anon_sym_SLASH] = ACTIONS(2654),
    [anon_sym_x] = ACTIONS(2654),
    [anon_sym_EQ_TILDE] = ACTIONS(2652),
    [anon_sym_BANG_TILDE] = ACTIONS(2652),
    [anon_sym_EQ_EQ] = ACTIONS(2654),
    [anon_sym_BANG_EQ] = ACTIONS(2652),
    [anon_sym_eq] = ACTIONS(2654),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2652),
    [anon_sym_equ] = ACTIONS(2652),
    [anon_sym_eqr] = ACTIONS(2652),
    [anon_sym_ne] = ACTIONS(2652),
    [anon_sym_LT_EQ_GT] = ACTIONS(2652),
    [anon_sym_cmp] = ACTIONS(2652),
    [anon_sym_TILDE_TILDE] = ACTIONS(2652),
    [anon_sym_LT] = ACTIONS(2654),
    [anon_sym_LT_EQ] = ACTIONS(2654),
    [anon_sym_GT_EQ] = ACTIONS(2652),
    [anon_sym_lt] = ACTIONS(2652),
    [anon_sym_le] = ACTIONS(2652),
    [anon_sym_ge] = ACTIONS(2652),
    [anon_sym_gt] = ACTIONS(2652),
    [anon_sym_isa] = ACTIONS(2652),
    [anon_sym_PLUS_PLUS] = ACTIONS(2652),
    [anon_sym_DASH_DASH] = ACTIONS(2652),
    [anon_sym_QMARK] = ACTIONS(2652),
    [anon_sym_EQ_GT] = ACTIONS(2652),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1591] = {
    [sym_heredoc_content] = STATE(1591),
    [anon_sym_RBRACE] = ACTIONS(2704),
    [anon_sym_EQ] = ACTIONS(2706),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2704),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2704),
    [anon_sym_COMMA] = ACTIONS(2704),
    [anon_sym_RPAREN] = ACTIONS(2704),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2704),
    [anon_sym_and] = ACTIONS(2704),
    [anon_sym_or] = ACTIONS(2704),
    [anon_sym_xor] = ACTIONS(2704),
    [anon_sym_RBRACK] = ACTIONS(2704),
    [anon_sym_DASH_GT] = ACTIONS(2704),
    [anon_sym_PERCENT] = ACTIONS(2706),
    [anon_sym_GT] = ACTIONS(2706),
    [anon_sym_LT_LT] = ACTIONS(2706),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2704),
    [anon_sym_PLUS_EQ] = ACTIONS(2704),
    [anon_sym_DASH_EQ] = ACTIONS(2704),
    [anon_sym_DOT_EQ] = ACTIONS(2704),
    [anon_sym_STAR_EQ] = ACTIONS(2704),
    [anon_sym_SLASH_EQ] = ACTIONS(2704),
    [anon_sym_PERCENT_EQ] = ACTIONS(2704),
    [anon_sym_x_EQ] = ACTIONS(2704),
    [anon_sym_AMP_EQ] = ACTIONS(2704),
    [anon_sym_PIPE_EQ] = ACTIONS(2704),
    [anon_sym_CARET_EQ] = ACTIONS(2704),
    [anon_sym_LT_LT_EQ] = ACTIONS(2704),
    [anon_sym_GT_GT_EQ] = ACTIONS(2704),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2704),
    [anon_sym_DOT_DOT] = ACTIONS(2706),
    [anon_sym_STAR_STAR] = ACTIONS(2706),
    [anon_sym_PIPE_PIPE] = ACTIONS(2706),
    [anon_sym_SLASH_SLASH] = ACTIONS(2706),
    [anon_sym_CARET_CARET] = ACTIONS(2704),
    [anon_sym_AMP_AMP] = ACTIONS(2706),
    [anon_sym_PIPE] = ACTIONS(2706),
    [anon_sym_CARET] = ACTIONS(2706),
    [anon_sym_AMP] = ACTIONS(2706),
    [anon_sym_GT_GT2] = ACTIONS(2706),
    [anon_sym_PLUS] = ACTIONS(2706),
    [anon_sym_DASH] = ACTIONS(2706),
    [anon_sym_DOT] = ACTIONS(2706),
    [anon_sym_STAR] = ACTIONS(2706),
    [anon_sym_SLASH] = ACTIONS(2706),
    [anon_sym_x] = ACTIONS(2706),
    [anon_sym_EQ_TILDE] = ACTIONS(2704),
    [anon_sym_BANG_TILDE] = ACTIONS(2704),
    [anon_sym_EQ_EQ] = ACTIONS(2706),
    [anon_sym_BANG_EQ] = ACTIONS(2704),
    [anon_sym_eq] = ACTIONS(2706),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2704),
    [anon_sym_equ] = ACTIONS(2704),
    [anon_sym_eqr] = ACTIONS(2704),
    [anon_sym_ne] = ACTIONS(2704),
    [anon_sym_LT_EQ_GT] = ACTIONS(2704),
    [anon_sym_cmp] = ACTIONS(2706),
    [anon_sym_TILDE_TILDE] = ACTIONS(2704),
    [anon_sym_LT] = ACTIONS(2706),
    [anon_sym_LT_EQ] = ACTIONS(2706),
    [anon_sym_GT_EQ] = ACTIONS(2704),
    [anon_sym_lt] = ACTIONS(2704),
    [anon_sym_le] = ACTIONS(2704),
    [anon_sym_ge] = ACTIONS(2704),
    [anon_sym_gt] = ACTIONS(2704),
    [anon_sym_isa] = ACTIONS(2704),
    [anon_sym_PLUS_PLUS] = ACTIONS(2704),
    [anon_sym_DASH_DASH] = ACTIONS(2704),
    [anon_sym_QMARK] = ACTIONS(2704),
    [anon_sym_EQ_GT] = ACTIONS(2704),
    [sym_comment] = ACTIONS(5),
    [sym_transliteration_modifiers] = ACTIONS(3546),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1592] = {
    [sym_heredoc_content] = STATE(1592),
    [anon_sym_LBRACE] = ACTIONS(3548),
    [anon_sym_RBRACE] = ACTIONS(1849),
    [anon_sym_EQ] = ACTIONS(1840),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1849),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1849),
    [anon_sym_COMMA] = ACTIONS(1849),
    [anon_sym_RPAREN] = ACTIONS(1849),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1849),
    [anon_sym_and] = ACTIONS(1849),
    [anon_sym_or] = ACTIONS(1849),
    [anon_sym_xor] = ACTIONS(1849),
    [anon_sym_RBRACK] = ACTIONS(1849),
    [anon_sym_DASH_GT] = ACTIONS(1849),
    [anon_sym_PERCENT] = ACTIONS(1840),
    [anon_sym_GT] = ACTIONS(1840),
    [anon_sym_LT_LT] = ACTIONS(1840),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1849),
    [anon_sym_PLUS_EQ] = ACTIONS(1849),
    [anon_sym_DASH_EQ] = ACTIONS(1849),
    [anon_sym_DOT_EQ] = ACTIONS(1849),
    [anon_sym_STAR_EQ] = ACTIONS(1849),
    [anon_sym_SLASH_EQ] = ACTIONS(1849),
    [anon_sym_PERCENT_EQ] = ACTIONS(1849),
    [anon_sym_x_EQ] = ACTIONS(1849),
    [anon_sym_AMP_EQ] = ACTIONS(1849),
    [anon_sym_PIPE_EQ] = ACTIONS(1849),
    [anon_sym_CARET_EQ] = ACTIONS(1849),
    [anon_sym_LT_LT_EQ] = ACTIONS(1849),
    [anon_sym_GT_GT_EQ] = ACTIONS(1849),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1849),
    [anon_sym_DOT_DOT] = ACTIONS(1840),
    [anon_sym_STAR_STAR] = ACTIONS(1840),
    [anon_sym_PIPE_PIPE] = ACTIONS(1840),
    [anon_sym_SLASH_SLASH] = ACTIONS(1840),
    [anon_sym_CARET_CARET] = ACTIONS(1849),
    [anon_sym_AMP_AMP] = ACTIONS(1840),
    [anon_sym_PIPE] = ACTIONS(1840),
    [anon_sym_CARET] = ACTIONS(1840),
    [anon_sym_AMP] = ACTIONS(1840),
    [anon_sym_GT_GT2] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_DOT] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1840),
    [anon_sym_SLASH] = ACTIONS(1840),
    [anon_sym_x] = ACTIONS(1840),
    [anon_sym_EQ_TILDE] = ACTIONS(1849),
    [anon_sym_BANG_TILDE] = ACTIONS(1849),
    [anon_sym_EQ_EQ] = ACTIONS(1840),
    [anon_sym_BANG_EQ] = ACTIONS(1849),
    [anon_sym_eq] = ACTIONS(1840),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1849),
    [anon_sym_equ] = ACTIONS(1849),
    [anon_sym_eqr] = ACTIONS(1849),
    [anon_sym_ne] = ACTIONS(1849),
    [anon_sym_LT_EQ_GT] = ACTIONS(1849),
    [anon_sym_cmp] = ACTIONS(1849),
    [anon_sym_TILDE_TILDE] = ACTIONS(1849),
    [anon_sym_LT] = ACTIONS(1840),
    [anon_sym_LT_EQ] = ACTIONS(1840),
    [anon_sym_GT_EQ] = ACTIONS(1849),
    [anon_sym_lt] = ACTIONS(1849),
    [anon_sym_le] = ACTIONS(1849),
    [anon_sym_ge] = ACTIONS(1849),
    [anon_sym_gt] = ACTIONS(1849),
    [anon_sym_isa] = ACTIONS(1849),
    [anon_sym_PLUS_PLUS] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1849),
    [anon_sym_QMARK] = ACTIONS(1849),
    [anon_sym_EQ_GT] = ACTIONS(1849),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1593] = {
    [sym_heredoc_content] = STATE(1593),
    [anon_sym_RBRACE] = ACTIONS(2754),
    [anon_sym_EQ] = ACTIONS(2756),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2754),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2754),
    [anon_sym_COMMA] = ACTIONS(2754),
    [anon_sym_RPAREN] = ACTIONS(2754),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2754),
    [anon_sym_and] = ACTIONS(2756),
    [anon_sym_or] = ACTIONS(2756),
    [anon_sym_xor] = ACTIONS(2756),
    [anon_sym_RBRACK] = ACTIONS(2754),
    [anon_sym_DASH_GT] = ACTIONS(2754),
    [anon_sym_PERCENT] = ACTIONS(2756),
    [anon_sym_GT] = ACTIONS(2756),
    [anon_sym_LT_LT] = ACTIONS(2756),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2754),
    [anon_sym_PLUS_EQ] = ACTIONS(2754),
    [anon_sym_DASH_EQ] = ACTIONS(2754),
    [anon_sym_DOT_EQ] = ACTIONS(2754),
    [anon_sym_STAR_EQ] = ACTIONS(2754),
    [anon_sym_SLASH_EQ] = ACTIONS(2754),
    [anon_sym_PERCENT_EQ] = ACTIONS(2754),
    [anon_sym_x_EQ] = ACTIONS(2756),
    [anon_sym_AMP_EQ] = ACTIONS(2754),
    [anon_sym_PIPE_EQ] = ACTIONS(2754),
    [anon_sym_CARET_EQ] = ACTIONS(2754),
    [anon_sym_LT_LT_EQ] = ACTIONS(2754),
    [anon_sym_GT_GT_EQ] = ACTIONS(2754),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2754),
    [anon_sym_DOT_DOT] = ACTIONS(2756),
    [anon_sym_STAR_STAR] = ACTIONS(2756),
    [anon_sym_PIPE_PIPE] = ACTIONS(2756),
    [anon_sym_SLASH_SLASH] = ACTIONS(2756),
    [anon_sym_CARET_CARET] = ACTIONS(2754),
    [anon_sym_AMP_AMP] = ACTIONS(2756),
    [anon_sym_PIPE] = ACTIONS(2756),
    [anon_sym_CARET] = ACTIONS(2756),
    [anon_sym_AMP] = ACTIONS(2756),
    [anon_sym_GT_GT2] = ACTIONS(2756),
    [anon_sym_PLUS] = ACTIONS(2756),
    [anon_sym_DASH] = ACTIONS(2756),
    [anon_sym_DOT] = ACTIONS(2756),
    [anon_sym_STAR] = ACTIONS(2756),
    [anon_sym_SLASH] = ACTIONS(2756),
    [anon_sym_x] = ACTIONS(2756),
    [anon_sym_EQ_TILDE] = ACTIONS(2754),
    [anon_sym_BANG_TILDE] = ACTIONS(2754),
    [anon_sym_EQ_EQ] = ACTIONS(2756),
    [anon_sym_BANG_EQ] = ACTIONS(2754),
    [anon_sym_eq] = ACTIONS(2756),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2754),
    [anon_sym_equ] = ACTIONS(2754),
    [anon_sym_eqr] = ACTIONS(2754),
    [anon_sym_ne] = ACTIONS(2756),
    [anon_sym_LT_EQ_GT] = ACTIONS(2754),
    [anon_sym_cmp] = ACTIONS(2756),
    [anon_sym_TILDE_TILDE] = ACTIONS(2754),
    [anon_sym_LT] = ACTIONS(2756),
    [anon_sym_LT_EQ] = ACTIONS(2756),
    [anon_sym_GT_EQ] = ACTIONS(2754),
    [anon_sym_lt] = ACTIONS(2756),
    [anon_sym_le] = ACTIONS(2756),
    [anon_sym_ge] = ACTIONS(2756),
    [anon_sym_gt] = ACTIONS(2756),
    [anon_sym_isa] = ACTIONS(2756),
    [anon_sym_PLUS_PLUS] = ACTIONS(2754),
    [anon_sym_DASH_DASH] = ACTIONS(2754),
    [anon_sym_QMARK] = ACTIONS(2754),
    [anon_sym_EQ_GT] = ACTIONS(2754),
    [sym_comment] = ACTIONS(5),
    [sym_match_regexp_modifiers] = ACTIONS(3550),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1594] = {
    [sym_heredoc_content] = STATE(1594),
    [anon_sym_LBRACE] = ACTIONS(2536),
    [anon_sym_COLON] = ACTIONS(2538),
    [anon_sym_DOLLAR] = ACTIONS(2538),
    [anon_sym_EQ] = ACTIONS(2540),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2538),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2538),
    [anon_sym_AT] = ACTIONS(2538),
    [anon_sym_COMMA] = ACTIONS(2538),
    [anon_sym_RPAREN] = ACTIONS(2538),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2538),
    [anon_sym_LBRACK] = ACTIONS(2536),
    [anon_sym_DASH_GT] = ACTIONS(2538),
    [anon_sym_PERCENT] = ACTIONS(2540),
    [anon_sym_GT] = ACTIONS(2540),
    [anon_sym_LT_LT] = ACTIONS(2540),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2538),
    [anon_sym_PLUS_EQ] = ACTIONS(2538),
    [anon_sym_DASH_EQ] = ACTIONS(2538),
    [anon_sym_DOT_EQ] = ACTIONS(2538),
    [anon_sym_STAR_EQ] = ACTIONS(2538),
    [anon_sym_SLASH_EQ] = ACTIONS(2538),
    [anon_sym_PERCENT_EQ] = ACTIONS(2540),
    [anon_sym_x_EQ] = ACTIONS(2538),
    [anon_sym_AMP_EQ] = ACTIONS(2538),
    [anon_sym_PIPE_EQ] = ACTIONS(2538),
    [anon_sym_CARET_EQ] = ACTIONS(2538),
    [anon_sym_LT_LT_EQ] = ACTIONS(2538),
    [anon_sym_GT_GT_EQ] = ACTIONS(2538),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2538),
    [anon_sym_DOT_DOT] = ACTIONS(2540),
    [anon_sym_STAR_STAR] = ACTIONS(2540),
    [anon_sym_PIPE_PIPE] = ACTIONS(2540),
    [anon_sym_SLASH_SLASH] = ACTIONS(2540),
    [anon_sym_CARET_CARET] = ACTIONS(2538),
    [anon_sym_AMP_AMP] = ACTIONS(2540),
    [anon_sym_PIPE] = ACTIONS(2540),
    [anon_sym_CARET] = ACTIONS(2540),
    [anon_sym_AMP] = ACTIONS(2540),
    [anon_sym_GT_GT2] = ACTIONS(2540),
    [anon_sym_PLUS] = ACTIONS(2540),
    [anon_sym_DASH] = ACTIONS(2540),
    [anon_sym_DOT] = ACTIONS(2540),
    [anon_sym_STAR] = ACTIONS(2540),
    [anon_sym_SLASH] = ACTIONS(2540),
    [anon_sym_x] = ACTIONS(2540),
    [anon_sym_EQ_TILDE] = ACTIONS(2538),
    [anon_sym_BANG_TILDE] = ACTIONS(2538),
    [anon_sym_EQ_EQ] = ACTIONS(2540),
    [anon_sym_BANG_EQ] = ACTIONS(2538),
    [anon_sym_eq] = ACTIONS(2540),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2538),
    [anon_sym_equ] = ACTIONS(2538),
    [anon_sym_eqr] = ACTIONS(2538),
    [anon_sym_ne] = ACTIONS(2538),
    [anon_sym_LT_EQ_GT] = ACTIONS(2538),
    [anon_sym_cmp] = ACTIONS(2538),
    [anon_sym_TILDE_TILDE] = ACTIONS(2538),
    [anon_sym_LT] = ACTIONS(2540),
    [anon_sym_LT_EQ] = ACTIONS(2540),
    [anon_sym_GT_EQ] = ACTIONS(2538),
    [anon_sym_lt] = ACTIONS(2538),
    [anon_sym_le] = ACTIONS(2538),
    [anon_sym_ge] = ACTIONS(2538),
    [anon_sym_gt] = ACTIONS(2538),
    [anon_sym_isa] = ACTIONS(2538),
    [anon_sym_PLUS_PLUS] = ACTIONS(2538),
    [anon_sym_DASH_DASH] = ACTIONS(2538),
    [anon_sym_QMARK] = ACTIONS(2538),
    [anon_sym_PERCENT2] = ACTIONS(2538),
    [anon_sym_EQ_GT] = ACTIONS(2538),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1595] = {
    [sym_heredoc_content] = STATE(1595),
    [anon_sym_RBRACE] = ACTIONS(2648),
    [anon_sym_EQ] = ACTIONS(2650),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2648),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2648),
    [anon_sym_COMMA] = ACTIONS(2648),
    [anon_sym_RPAREN] = ACTIONS(2648),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2648),
    [anon_sym_and] = ACTIONS(2648),
    [anon_sym_or] = ACTIONS(2648),
    [anon_sym_xor] = ACTIONS(2648),
    [anon_sym_LBRACK] = ACTIONS(2648),
    [anon_sym_RBRACK] = ACTIONS(2648),
    [anon_sym_DASH_GT] = ACTIONS(2648),
    [anon_sym_PERCENT] = ACTIONS(2650),
    [anon_sym_GT] = ACTIONS(2650),
    [anon_sym_LT_LT] = ACTIONS(2650),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2648),
    [anon_sym_PLUS_EQ] = ACTIONS(2648),
    [anon_sym_DASH_EQ] = ACTIONS(2648),
    [anon_sym_DOT_EQ] = ACTIONS(2648),
    [anon_sym_STAR_EQ] = ACTIONS(2648),
    [anon_sym_SLASH_EQ] = ACTIONS(2648),
    [anon_sym_PERCENT_EQ] = ACTIONS(2648),
    [anon_sym_x_EQ] = ACTIONS(2648),
    [anon_sym_AMP_EQ] = ACTIONS(2648),
    [anon_sym_PIPE_EQ] = ACTIONS(2648),
    [anon_sym_CARET_EQ] = ACTIONS(2648),
    [anon_sym_LT_LT_EQ] = ACTIONS(2648),
    [anon_sym_GT_GT_EQ] = ACTIONS(2648),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2648),
    [anon_sym_DOT_DOT] = ACTIONS(2650),
    [anon_sym_STAR_STAR] = ACTIONS(2650),
    [anon_sym_PIPE_PIPE] = ACTIONS(2650),
    [anon_sym_SLASH_SLASH] = ACTIONS(2650),
    [anon_sym_CARET_CARET] = ACTIONS(2648),
    [anon_sym_AMP_AMP] = ACTIONS(2650),
    [anon_sym_PIPE] = ACTIONS(2650),
    [anon_sym_CARET] = ACTIONS(2650),
    [anon_sym_AMP] = ACTIONS(2650),
    [anon_sym_GT_GT2] = ACTIONS(2650),
    [anon_sym_PLUS] = ACTIONS(2650),
    [anon_sym_DASH] = ACTIONS(2650),
    [anon_sym_DOT] = ACTIONS(2650),
    [anon_sym_STAR] = ACTIONS(2650),
    [anon_sym_SLASH] = ACTIONS(2650),
    [anon_sym_x] = ACTIONS(2650),
    [anon_sym_EQ_TILDE] = ACTIONS(2648),
    [anon_sym_BANG_TILDE] = ACTIONS(2648),
    [anon_sym_EQ_EQ] = ACTIONS(2650),
    [anon_sym_BANG_EQ] = ACTIONS(2648),
    [anon_sym_eq] = ACTIONS(2650),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2648),
    [anon_sym_equ] = ACTIONS(2648),
    [anon_sym_eqr] = ACTIONS(2648),
    [anon_sym_ne] = ACTIONS(2648),
    [anon_sym_LT_EQ_GT] = ACTIONS(2648),
    [anon_sym_cmp] = ACTIONS(2648),
    [anon_sym_TILDE_TILDE] = ACTIONS(2648),
    [anon_sym_LT] = ACTIONS(2650),
    [anon_sym_LT_EQ] = ACTIONS(2650),
    [anon_sym_GT_EQ] = ACTIONS(2648),
    [anon_sym_lt] = ACTIONS(2648),
    [anon_sym_le] = ACTIONS(2648),
    [anon_sym_ge] = ACTIONS(2648),
    [anon_sym_gt] = ACTIONS(2648),
    [anon_sym_isa] = ACTIONS(2648),
    [anon_sym_PLUS_PLUS] = ACTIONS(2648),
    [anon_sym_DASH_DASH] = ACTIONS(2648),
    [anon_sym_QMARK] = ACTIONS(2648),
    [anon_sym_EQ_GT] = ACTIONS(2648),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1596] = {
    [sym_heredoc_content] = STATE(1596),
    [anon_sym_COLON] = ACTIONS(2722),
    [anon_sym_DOLLAR] = ACTIONS(2722),
    [anon_sym_EQ] = ACTIONS(2724),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2722),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2722),
    [anon_sym_AT] = ACTIONS(2722),
    [anon_sym_COMMA] = ACTIONS(2722),
    [anon_sym_RPAREN] = ACTIONS(2722),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2722),
    [anon_sym_LBRACK] = ACTIONS(3552),
    [anon_sym_DASH_GT] = ACTIONS(2722),
    [anon_sym_PERCENT] = ACTIONS(2724),
    [anon_sym_GT] = ACTIONS(2724),
    [anon_sym_LT_LT] = ACTIONS(2724),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2722),
    [anon_sym_PLUS_EQ] = ACTIONS(2722),
    [anon_sym_DASH_EQ] = ACTIONS(2722),
    [anon_sym_DOT_EQ] = ACTIONS(2722),
    [anon_sym_STAR_EQ] = ACTIONS(2722),
    [anon_sym_SLASH_EQ] = ACTIONS(2722),
    [anon_sym_PERCENT_EQ] = ACTIONS(2724),
    [anon_sym_x_EQ] = ACTIONS(2722),
    [anon_sym_AMP_EQ] = ACTIONS(2722),
    [anon_sym_PIPE_EQ] = ACTIONS(2722),
    [anon_sym_CARET_EQ] = ACTIONS(2722),
    [anon_sym_LT_LT_EQ] = ACTIONS(2722),
    [anon_sym_GT_GT_EQ] = ACTIONS(2722),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2722),
    [anon_sym_DOT_DOT] = ACTIONS(2724),
    [anon_sym_STAR_STAR] = ACTIONS(2724),
    [anon_sym_PIPE_PIPE] = ACTIONS(2724),
    [anon_sym_SLASH_SLASH] = ACTIONS(2724),
    [anon_sym_CARET_CARET] = ACTIONS(2722),
    [anon_sym_AMP_AMP] = ACTIONS(2724),
    [anon_sym_PIPE] = ACTIONS(2724),
    [anon_sym_CARET] = ACTIONS(2724),
    [anon_sym_AMP] = ACTIONS(2724),
    [anon_sym_GT_GT2] = ACTIONS(2724),
    [anon_sym_PLUS] = ACTIONS(2724),
    [anon_sym_DASH] = ACTIONS(2724),
    [anon_sym_DOT] = ACTIONS(2724),
    [anon_sym_STAR] = ACTIONS(2724),
    [anon_sym_SLASH] = ACTIONS(2724),
    [anon_sym_x] = ACTIONS(2724),
    [anon_sym_EQ_TILDE] = ACTIONS(2722),
    [anon_sym_BANG_TILDE] = ACTIONS(2722),
    [anon_sym_EQ_EQ] = ACTIONS(2724),
    [anon_sym_BANG_EQ] = ACTIONS(2722),
    [anon_sym_eq] = ACTIONS(2724),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2722),
    [anon_sym_equ] = ACTIONS(2722),
    [anon_sym_eqr] = ACTIONS(2722),
    [anon_sym_ne] = ACTIONS(2722),
    [anon_sym_LT_EQ_GT] = ACTIONS(2722),
    [anon_sym_cmp] = ACTIONS(2722),
    [anon_sym_TILDE_TILDE] = ACTIONS(2722),
    [anon_sym_LT] = ACTIONS(2724),
    [anon_sym_LT_EQ] = ACTIONS(2724),
    [anon_sym_GT_EQ] = ACTIONS(2722),
    [anon_sym_lt] = ACTIONS(2722),
    [anon_sym_le] = ACTIONS(2722),
    [anon_sym_ge] = ACTIONS(2722),
    [anon_sym_gt] = ACTIONS(2722),
    [anon_sym_isa] = ACTIONS(2722),
    [anon_sym_PLUS_PLUS] = ACTIONS(2722),
    [anon_sym_DASH_DASH] = ACTIONS(2722),
    [anon_sym_QMARK] = ACTIONS(2722),
    [anon_sym_PERCENT2] = ACTIONS(2722),
    [anon_sym_EQ_GT] = ACTIONS(2722),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1597] = {
    [sym_heredoc_content] = STATE(1597),
    [anon_sym_RBRACE] = ACTIONS(3019),
    [anon_sym_EQ] = ACTIONS(3021),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_COMMA] = ACTIONS(3019),
    [anon_sym_RPAREN] = ACTIONS(3019),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3019),
    [anon_sym_and] = ACTIONS(3019),
    [anon_sym_or] = ACTIONS(3019),
    [anon_sym_xor] = ACTIONS(3019),
    [anon_sym_RBRACK] = ACTIONS(3019),
    [anon_sym_DASH_GT] = ACTIONS(3457),
    [anon_sym_PERCENT] = ACTIONS(3021),
    [anon_sym_GT] = ACTIONS(3021),
    [anon_sym_LT_LT] = ACTIONS(3021),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3019),
    [anon_sym_PLUS_EQ] = ACTIONS(3019),
    [anon_sym_DASH_EQ] = ACTIONS(3019),
    [anon_sym_DOT_EQ] = ACTIONS(3019),
    [anon_sym_STAR_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_PERCENT_EQ] = ACTIONS(3019),
    [anon_sym_x_EQ] = ACTIONS(3019),
    [anon_sym_AMP_EQ] = ACTIONS(3019),
    [anon_sym_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_CARET_EQ] = ACTIONS(3019),
    [anon_sym_LT_LT_EQ] = ACTIONS(3019),
    [anon_sym_GT_GT_EQ] = ACTIONS(3019),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3019),
    [anon_sym_DOT_DOT] = ACTIONS(3021),
    [anon_sym_STAR_STAR] = ACTIONS(3467),
    [anon_sym_PIPE_PIPE] = ACTIONS(3021),
    [anon_sym_SLASH_SLASH] = ACTIONS(3021),
    [anon_sym_CARET_CARET] = ACTIONS(3019),
    [anon_sym_AMP_AMP] = ACTIONS(3021),
    [anon_sym_PIPE] = ACTIONS(3021),
    [anon_sym_CARET] = ACTIONS(3021),
    [anon_sym_AMP] = ACTIONS(3021),
    [anon_sym_GT_GT2] = ACTIONS(3021),
    [anon_sym_PLUS] = ACTIONS(3021),
    [anon_sym_DASH] = ACTIONS(3021),
    [anon_sym_DOT] = ACTIONS(3021),
    [anon_sym_STAR] = ACTIONS(3021),
    [anon_sym_SLASH] = ACTIONS(3021),
    [anon_sym_x] = ACTIONS(3021),
    [anon_sym_EQ_TILDE] = ACTIONS(3019),
    [anon_sym_BANG_TILDE] = ACTIONS(3019),
    [anon_sym_EQ_EQ] = ACTIONS(3021),
    [anon_sym_BANG_EQ] = ACTIONS(3019),
    [anon_sym_eq] = ACTIONS(3021),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3019),
    [anon_sym_equ] = ACTIONS(3019),
    [anon_sym_eqr] = ACTIONS(3019),
    [anon_sym_ne] = ACTIONS(3019),
    [anon_sym_LT_EQ_GT] = ACTIONS(3019),
    [anon_sym_cmp] = ACTIONS(3019),
    [anon_sym_TILDE_TILDE] = ACTIONS(3019),
    [anon_sym_LT] = ACTIONS(3021),
    [anon_sym_LT_EQ] = ACTIONS(3021),
    [anon_sym_GT_EQ] = ACTIONS(3019),
    [anon_sym_lt] = ACTIONS(3019),
    [anon_sym_le] = ACTIONS(3019),
    [anon_sym_ge] = ACTIONS(3019),
    [anon_sym_gt] = ACTIONS(3019),
    [anon_sym_isa] = ACTIONS(3019),
    [anon_sym_PLUS_PLUS] = ACTIONS(3493),
    [anon_sym_DASH_DASH] = ACTIONS(3493),
    [anon_sym_QMARK] = ACTIONS(3019),
    [anon_sym_EQ_GT] = ACTIONS(3019),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1598] = {
    [sym_heredoc_content] = STATE(1598),
    [anon_sym_RBRACE] = ACTIONS(2849),
    [anon_sym_EQ] = ACTIONS(2851),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2849),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2849),
    [anon_sym_COMMA] = ACTIONS(2849),
    [anon_sym_RPAREN] = ACTIONS(2849),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2849),
    [anon_sym_and] = ACTIONS(2849),
    [anon_sym_or] = ACTIONS(2849),
    [anon_sym_xor] = ACTIONS(2849),
    [anon_sym_RBRACK] = ACTIONS(2849),
    [anon_sym_DASH_GT] = ACTIONS(2849),
    [anon_sym_PERCENT] = ACTIONS(2851),
    [anon_sym_GT] = ACTIONS(2851),
    [anon_sym_LT_LT] = ACTIONS(2851),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2849),
    [anon_sym_PLUS_EQ] = ACTIONS(2849),
    [anon_sym_DASH_EQ] = ACTIONS(2849),
    [anon_sym_DOT_EQ] = ACTIONS(2849),
    [anon_sym_STAR_EQ] = ACTIONS(2849),
    [anon_sym_SLASH_EQ] = ACTIONS(2849),
    [anon_sym_PERCENT_EQ] = ACTIONS(2849),
    [anon_sym_x_EQ] = ACTIONS(2849),
    [anon_sym_AMP_EQ] = ACTIONS(2849),
    [anon_sym_PIPE_EQ] = ACTIONS(2849),
    [anon_sym_CARET_EQ] = ACTIONS(2849),
    [anon_sym_LT_LT_EQ] = ACTIONS(2849),
    [anon_sym_GT_GT_EQ] = ACTIONS(2849),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2849),
    [anon_sym_DOT_DOT] = ACTIONS(2851),
    [anon_sym_STAR_STAR] = ACTIONS(2851),
    [anon_sym_PIPE_PIPE] = ACTIONS(2851),
    [anon_sym_SLASH_SLASH] = ACTIONS(2851),
    [anon_sym_CARET_CARET] = ACTIONS(2849),
    [anon_sym_AMP_AMP] = ACTIONS(2851),
    [anon_sym_PIPE] = ACTIONS(2851),
    [anon_sym_CARET] = ACTIONS(2851),
    [anon_sym_AMP] = ACTIONS(2851),
    [anon_sym_GT_GT2] = ACTIONS(2851),
    [anon_sym_PLUS] = ACTIONS(2851),
    [anon_sym_DASH] = ACTIONS(2851),
    [anon_sym_DOT] = ACTIONS(2851),
    [anon_sym_STAR] = ACTIONS(2851),
    [anon_sym_SLASH] = ACTIONS(2851),
    [anon_sym_x] = ACTIONS(2851),
    [anon_sym_EQ_TILDE] = ACTIONS(2849),
    [anon_sym_BANG_TILDE] = ACTIONS(2849),
    [anon_sym_EQ_EQ] = ACTIONS(2851),
    [anon_sym_BANG_EQ] = ACTIONS(2849),
    [anon_sym_eq] = ACTIONS(2851),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2849),
    [anon_sym_equ] = ACTIONS(2849),
    [anon_sym_eqr] = ACTIONS(2849),
    [anon_sym_ne] = ACTIONS(2849),
    [anon_sym_LT_EQ_GT] = ACTIONS(2849),
    [anon_sym_cmp] = ACTIONS(2849),
    [anon_sym_TILDE_TILDE] = ACTIONS(2849),
    [anon_sym_LT] = ACTIONS(2851),
    [anon_sym_LT_EQ] = ACTIONS(2851),
    [anon_sym_GT_EQ] = ACTIONS(2849),
    [anon_sym_lt] = ACTIONS(2849),
    [anon_sym_le] = ACTIONS(2849),
    [anon_sym_ge] = ACTIONS(2849),
    [anon_sym_gt] = ACTIONS(2849),
    [anon_sym_isa] = ACTIONS(2849),
    [anon_sym_PLUS_PLUS] = ACTIONS(2849),
    [anon_sym_DASH_DASH] = ACTIONS(2849),
    [anon_sym_QMARK] = ACTIONS(2849),
    [anon_sym_EQ_GT] = ACTIONS(2849),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1599] = {
    [sym_heredoc_content] = STATE(1599),
    [aux_sym__term_rightward_repeat1] = STATE(1603),
    [anon_sym_COLON] = ACTIONS(2556),
    [anon_sym_DOLLAR] = ACTIONS(2556),
    [anon_sym_EQ] = ACTIONS(2558),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2556),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2556),
    [anon_sym_AT] = ACTIONS(2556),
    [anon_sym_COMMA] = ACTIONS(3554),
    [anon_sym_RPAREN] = ACTIONS(2556),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2556),
    [anon_sym_DASH_GT] = ACTIONS(2556),
    [anon_sym_PERCENT] = ACTIONS(2558),
    [anon_sym_GT] = ACTIONS(2558),
    [anon_sym_LT_LT] = ACTIONS(2558),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2556),
    [anon_sym_PLUS_EQ] = ACTIONS(2556),
    [anon_sym_DASH_EQ] = ACTIONS(2556),
    [anon_sym_DOT_EQ] = ACTIONS(2556),
    [anon_sym_STAR_EQ] = ACTIONS(2556),
    [anon_sym_SLASH_EQ] = ACTIONS(2556),
    [anon_sym_PERCENT_EQ] = ACTIONS(2558),
    [anon_sym_x_EQ] = ACTIONS(2556),
    [anon_sym_AMP_EQ] = ACTIONS(2556),
    [anon_sym_PIPE_EQ] = ACTIONS(2556),
    [anon_sym_CARET_EQ] = ACTIONS(2556),
    [anon_sym_LT_LT_EQ] = ACTIONS(2556),
    [anon_sym_GT_GT_EQ] = ACTIONS(2556),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2556),
    [anon_sym_DOT_DOT] = ACTIONS(2558),
    [anon_sym_STAR_STAR] = ACTIONS(2558),
    [anon_sym_PIPE_PIPE] = ACTIONS(2558),
    [anon_sym_SLASH_SLASH] = ACTIONS(2558),
    [anon_sym_CARET_CARET] = ACTIONS(2556),
    [anon_sym_AMP_AMP] = ACTIONS(2558),
    [anon_sym_PIPE] = ACTIONS(2558),
    [anon_sym_CARET] = ACTIONS(2558),
    [anon_sym_AMP] = ACTIONS(2558),
    [anon_sym_GT_GT2] = ACTIONS(2558),
    [anon_sym_PLUS] = ACTIONS(2558),
    [anon_sym_DASH] = ACTIONS(2558),
    [anon_sym_DOT] = ACTIONS(2558),
    [anon_sym_STAR] = ACTIONS(2558),
    [anon_sym_SLASH] = ACTIONS(2558),
    [anon_sym_x] = ACTIONS(2558),
    [anon_sym_EQ_TILDE] = ACTIONS(2556),
    [anon_sym_BANG_TILDE] = ACTIONS(2556),
    [anon_sym_EQ_EQ] = ACTIONS(2558),
    [anon_sym_BANG_EQ] = ACTIONS(2556),
    [anon_sym_eq] = ACTIONS(2558),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2556),
    [anon_sym_equ] = ACTIONS(2556),
    [anon_sym_eqr] = ACTIONS(2556),
    [anon_sym_ne] = ACTIONS(2556),
    [anon_sym_LT_EQ_GT] = ACTIONS(2556),
    [anon_sym_cmp] = ACTIONS(2556),
    [anon_sym_TILDE_TILDE] = ACTIONS(2556),
    [anon_sym_LT] = ACTIONS(2558),
    [anon_sym_LT_EQ] = ACTIONS(2558),
    [anon_sym_GT_EQ] = ACTIONS(2556),
    [anon_sym_lt] = ACTIONS(2556),
    [anon_sym_le] = ACTIONS(2556),
    [anon_sym_ge] = ACTIONS(2556),
    [anon_sym_gt] = ACTIONS(2556),
    [anon_sym_isa] = ACTIONS(2556),
    [anon_sym_PLUS_PLUS] = ACTIONS(2556),
    [anon_sym_DASH_DASH] = ACTIONS(2556),
    [anon_sym_QMARK] = ACTIONS(2556),
    [anon_sym_PERCENT2] = ACTIONS(2556),
    [anon_sym_EQ_GT] = ACTIONS(3554),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1600] = {
    [sym_heredoc_content] = STATE(1600),
    [anon_sym_RBRACE] = ACTIONS(3254),
    [anon_sym_EQ] = ACTIONS(3256),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3254),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3254),
    [anon_sym_COMMA] = ACTIONS(3254),
    [anon_sym_RPAREN] = ACTIONS(3254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3254),
    [anon_sym_and] = ACTIONS(3254),
    [anon_sym_or] = ACTIONS(3254),
    [anon_sym_xor] = ACTIONS(3254),
    [anon_sym_RBRACK] = ACTIONS(3254),
    [anon_sym_DASH_GT] = ACTIONS(3254),
    [anon_sym_PERCENT] = ACTIONS(3256),
    [anon_sym_GT] = ACTIONS(3256),
    [anon_sym_LT_LT] = ACTIONS(3256),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3254),
    [anon_sym_PLUS_EQ] = ACTIONS(3254),
    [anon_sym_DASH_EQ] = ACTIONS(3254),
    [anon_sym_DOT_EQ] = ACTIONS(3254),
    [anon_sym_STAR_EQ] = ACTIONS(3254),
    [anon_sym_SLASH_EQ] = ACTIONS(3254),
    [anon_sym_PERCENT_EQ] = ACTIONS(3254),
    [anon_sym_x_EQ] = ACTIONS(3254),
    [anon_sym_AMP_EQ] = ACTIONS(3254),
    [anon_sym_PIPE_EQ] = ACTIONS(3254),
    [anon_sym_CARET_EQ] = ACTIONS(3254),
    [anon_sym_LT_LT_EQ] = ACTIONS(3254),
    [anon_sym_GT_GT_EQ] = ACTIONS(3254),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3254),
    [anon_sym_DOT_DOT] = ACTIONS(3256),
    [anon_sym_STAR_STAR] = ACTIONS(3256),
    [anon_sym_PIPE_PIPE] = ACTIONS(3256),
    [anon_sym_SLASH_SLASH] = ACTIONS(3256),
    [anon_sym_CARET_CARET] = ACTIONS(3254),
    [anon_sym_AMP_AMP] = ACTIONS(3256),
    [anon_sym_PIPE] = ACTIONS(3256),
    [anon_sym_CARET] = ACTIONS(3256),
    [anon_sym_AMP] = ACTIONS(3256),
    [anon_sym_GT_GT2] = ACTIONS(3256),
    [anon_sym_PLUS] = ACTIONS(3256),
    [anon_sym_DASH] = ACTIONS(3256),
    [anon_sym_DOT] = ACTIONS(3256),
    [anon_sym_STAR] = ACTIONS(3256),
    [anon_sym_SLASH] = ACTIONS(3256),
    [anon_sym_x] = ACTIONS(3256),
    [anon_sym_EQ_TILDE] = ACTIONS(3254),
    [anon_sym_BANG_TILDE] = ACTIONS(3254),
    [anon_sym_EQ_EQ] = ACTIONS(3256),
    [anon_sym_BANG_EQ] = ACTIONS(3254),
    [anon_sym_eq] = ACTIONS(3256),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3254),
    [anon_sym_equ] = ACTIONS(3254),
    [anon_sym_eqr] = ACTIONS(3254),
    [anon_sym_ne] = ACTIONS(3254),
    [anon_sym_LT_EQ_GT] = ACTIONS(3254),
    [anon_sym_cmp] = ACTIONS(3254),
    [anon_sym_TILDE_TILDE] = ACTIONS(3254),
    [anon_sym_LT] = ACTIONS(3256),
    [anon_sym_LT_EQ] = ACTIONS(3256),
    [anon_sym_GT_EQ] = ACTIONS(3254),
    [anon_sym_lt] = ACTIONS(3254),
    [anon_sym_le] = ACTIONS(3254),
    [anon_sym_ge] = ACTIONS(3254),
    [anon_sym_gt] = ACTIONS(3254),
    [anon_sym_isa] = ACTIONS(3254),
    [anon_sym_PLUS_PLUS] = ACTIONS(3254),
    [anon_sym_DASH_DASH] = ACTIONS(3254),
    [anon_sym_QMARK] = ACTIONS(3254),
    [anon_sym_EQ_GT] = ACTIONS(3254),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1601] = {
    [sym_heredoc_content] = STATE(1601),
    [anon_sym_RBRACE] = ACTIONS(2947),
    [anon_sym_EQ] = ACTIONS(2949),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2947),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2947),
    [anon_sym_COMMA] = ACTIONS(2947),
    [anon_sym_RPAREN] = ACTIONS(2947),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2947),
    [anon_sym_and] = ACTIONS(2947),
    [anon_sym_or] = ACTIONS(2947),
    [anon_sym_xor] = ACTIONS(2947),
    [anon_sym_RBRACK] = ACTIONS(2947),
    [anon_sym_DASH_GT] = ACTIONS(3457),
    [anon_sym_PERCENT] = ACTIONS(3459),
    [anon_sym_GT] = ACTIONS(2949),
    [anon_sym_LT_LT] = ACTIONS(3463),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2947),
    [anon_sym_PLUS_EQ] = ACTIONS(2947),
    [anon_sym_DASH_EQ] = ACTIONS(2947),
    [anon_sym_DOT_EQ] = ACTIONS(2947),
    [anon_sym_STAR_EQ] = ACTIONS(2947),
    [anon_sym_SLASH_EQ] = ACTIONS(2947),
    [anon_sym_PERCENT_EQ] = ACTIONS(2947),
    [anon_sym_x_EQ] = ACTIONS(2947),
    [anon_sym_AMP_EQ] = ACTIONS(2947),
    [anon_sym_PIPE_EQ] = ACTIONS(2947),
    [anon_sym_CARET_EQ] = ACTIONS(2947),
    [anon_sym_LT_LT_EQ] = ACTIONS(2947),
    [anon_sym_GT_GT_EQ] = ACTIONS(2947),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2947),
    [anon_sym_DOT_DOT] = ACTIONS(2949),
    [anon_sym_STAR_STAR] = ACTIONS(3467),
    [anon_sym_PIPE_PIPE] = ACTIONS(2949),
    [anon_sym_SLASH_SLASH] = ACTIONS(2949),
    [anon_sym_CARET_CARET] = ACTIONS(2947),
    [anon_sym_AMP_AMP] = ACTIONS(2949),
    [anon_sym_PIPE] = ACTIONS(2949),
    [anon_sym_CARET] = ACTIONS(2949),
    [anon_sym_AMP] = ACTIONS(2949),
    [anon_sym_GT_GT2] = ACTIONS(3463),
    [anon_sym_PLUS] = ACTIONS(3479),
    [anon_sym_DASH] = ACTIONS(3479),
    [anon_sym_DOT] = ACTIONS(3479),
    [anon_sym_STAR] = ACTIONS(3459),
    [anon_sym_SLASH] = ACTIONS(3459),
    [anon_sym_x] = ACTIONS(3459),
    [anon_sym_EQ_TILDE] = ACTIONS(3481),
    [anon_sym_BANG_TILDE] = ACTIONS(3481),
    [anon_sym_EQ_EQ] = ACTIONS(2949),
    [anon_sym_BANG_EQ] = ACTIONS(2947),
    [anon_sym_eq] = ACTIONS(2949),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2947),
    [anon_sym_equ] = ACTIONS(2947),
    [anon_sym_eqr] = ACTIONS(2947),
    [anon_sym_ne] = ACTIONS(2947),
    [anon_sym_LT_EQ_GT] = ACTIONS(2947),
    [anon_sym_cmp] = ACTIONS(2947),
    [anon_sym_TILDE_TILDE] = ACTIONS(2947),
    [anon_sym_LT] = ACTIONS(2949),
    [anon_sym_LT_EQ] = ACTIONS(2949),
    [anon_sym_GT_EQ] = ACTIONS(2947),
    [anon_sym_lt] = ACTIONS(2947),
    [anon_sym_le] = ACTIONS(2947),
    [anon_sym_ge] = ACTIONS(2947),
    [anon_sym_gt] = ACTIONS(2947),
    [anon_sym_isa] = ACTIONS(2947),
    [anon_sym_PLUS_PLUS] = ACTIONS(3493),
    [anon_sym_DASH_DASH] = ACTIONS(3493),
    [anon_sym_QMARK] = ACTIONS(2947),
    [anon_sym_EQ_GT] = ACTIONS(2947),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1602] = {
    [sym_heredoc_content] = STATE(1602),
    [anon_sym_RBRACE] = ACTIONS(1665),
    [anon_sym_EQ] = ACTIONS(1663),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1665),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1665),
    [anon_sym_COMMA] = ACTIONS(1665),
    [anon_sym_RPAREN] = ACTIONS(1665),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1665),
    [anon_sym_and] = ACTIONS(1665),
    [anon_sym_or] = ACTIONS(1665),
    [anon_sym_xor] = ACTIONS(1665),
    [anon_sym_RBRACK] = ACTIONS(1665),
    [anon_sym_DASH_GT] = ACTIONS(1665),
    [anon_sym_PERCENT] = ACTIONS(1663),
    [anon_sym_GT] = ACTIONS(1663),
    [anon_sym_LT_LT] = ACTIONS(1663),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1665),
    [anon_sym_PLUS_EQ] = ACTIONS(1665),
    [anon_sym_DASH_EQ] = ACTIONS(1665),
    [anon_sym_DOT_EQ] = ACTIONS(1665),
    [anon_sym_STAR_EQ] = ACTIONS(1665),
    [anon_sym_SLASH_EQ] = ACTIONS(1665),
    [anon_sym_PERCENT_EQ] = ACTIONS(1665),
    [anon_sym_x_EQ] = ACTIONS(1665),
    [anon_sym_AMP_EQ] = ACTIONS(1665),
    [anon_sym_PIPE_EQ] = ACTIONS(1665),
    [anon_sym_CARET_EQ] = ACTIONS(1665),
    [anon_sym_LT_LT_EQ] = ACTIONS(1665),
    [anon_sym_GT_GT_EQ] = ACTIONS(1665),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1665),
    [anon_sym_DOT_DOT] = ACTIONS(1663),
    [anon_sym_STAR_STAR] = ACTIONS(1663),
    [anon_sym_PIPE_PIPE] = ACTIONS(1663),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_CARET_CARET] = ACTIONS(1665),
    [anon_sym_AMP_AMP] = ACTIONS(1663),
    [anon_sym_PIPE] = ACTIONS(1663),
    [anon_sym_CARET] = ACTIONS(1663),
    [anon_sym_AMP] = ACTIONS(1663),
    [anon_sym_GT_GT2] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(1663),
    [anon_sym_DASH] = ACTIONS(1663),
    [anon_sym_DOT] = ACTIONS(1663),
    [anon_sym_STAR] = ACTIONS(1663),
    [anon_sym_SLASH] = ACTIONS(1663),
    [anon_sym_x] = ACTIONS(1663),
    [anon_sym_EQ_TILDE] = ACTIONS(1665),
    [anon_sym_BANG_TILDE] = ACTIONS(1665),
    [anon_sym_EQ_EQ] = ACTIONS(1663),
    [anon_sym_BANG_EQ] = ACTIONS(1665),
    [anon_sym_eq] = ACTIONS(1663),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1665),
    [anon_sym_equ] = ACTIONS(1665),
    [anon_sym_eqr] = ACTIONS(1665),
    [anon_sym_ne] = ACTIONS(1665),
    [anon_sym_LT_EQ_GT] = ACTIONS(1665),
    [anon_sym_cmp] = ACTIONS(1665),
    [anon_sym_TILDE_TILDE] = ACTIONS(1665),
    [anon_sym_LT] = ACTIONS(1663),
    [anon_sym_LT_EQ] = ACTIONS(1663),
    [anon_sym_GT_EQ] = ACTIONS(1665),
    [anon_sym_lt] = ACTIONS(1665),
    [anon_sym_le] = ACTIONS(1665),
    [anon_sym_ge] = ACTIONS(1665),
    [anon_sym_gt] = ACTIONS(1665),
    [anon_sym_isa] = ACTIONS(1665),
    [anon_sym_PLUS_PLUS] = ACTIONS(1665),
    [anon_sym_DASH_DASH] = ACTIONS(1665),
    [anon_sym_QMARK] = ACTIONS(1665),
    [anon_sym_EQ_GT] = ACTIONS(1665),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1603] = {
    [sym_heredoc_content] = STATE(1603),
    [aux_sym__term_rightward_repeat1] = STATE(1603),
    [anon_sym_COLON] = ACTIONS(2774),
    [anon_sym_DOLLAR] = ACTIONS(2774),
    [anon_sym_EQ] = ACTIONS(2776),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2774),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2774),
    [anon_sym_AT] = ACTIONS(2774),
    [anon_sym_COMMA] = ACTIONS(3556),
    [anon_sym_RPAREN] = ACTIONS(2774),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2774),
    [anon_sym_DASH_GT] = ACTIONS(2774),
    [anon_sym_PERCENT] = ACTIONS(2776),
    [anon_sym_GT] = ACTIONS(2776),
    [anon_sym_LT_LT] = ACTIONS(2776),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2774),
    [anon_sym_PLUS_EQ] = ACTIONS(2774),
    [anon_sym_DASH_EQ] = ACTIONS(2774),
    [anon_sym_DOT_EQ] = ACTIONS(2774),
    [anon_sym_STAR_EQ] = ACTIONS(2774),
    [anon_sym_SLASH_EQ] = ACTIONS(2774),
    [anon_sym_PERCENT_EQ] = ACTIONS(2776),
    [anon_sym_x_EQ] = ACTIONS(2774),
    [anon_sym_AMP_EQ] = ACTIONS(2774),
    [anon_sym_PIPE_EQ] = ACTIONS(2774),
    [anon_sym_CARET_EQ] = ACTIONS(2774),
    [anon_sym_LT_LT_EQ] = ACTIONS(2774),
    [anon_sym_GT_GT_EQ] = ACTIONS(2774),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2774),
    [anon_sym_DOT_DOT] = ACTIONS(2776),
    [anon_sym_STAR_STAR] = ACTIONS(2776),
    [anon_sym_PIPE_PIPE] = ACTIONS(2776),
    [anon_sym_SLASH_SLASH] = ACTIONS(2776),
    [anon_sym_CARET_CARET] = ACTIONS(2774),
    [anon_sym_AMP_AMP] = ACTIONS(2776),
    [anon_sym_PIPE] = ACTIONS(2776),
    [anon_sym_CARET] = ACTIONS(2776),
    [anon_sym_AMP] = ACTIONS(2776),
    [anon_sym_GT_GT2] = ACTIONS(2776),
    [anon_sym_PLUS] = ACTIONS(2776),
    [anon_sym_DASH] = ACTIONS(2776),
    [anon_sym_DOT] = ACTIONS(2776),
    [anon_sym_STAR] = ACTIONS(2776),
    [anon_sym_SLASH] = ACTIONS(2776),
    [anon_sym_x] = ACTIONS(2776),
    [anon_sym_EQ_TILDE] = ACTIONS(2774),
    [anon_sym_BANG_TILDE] = ACTIONS(2774),
    [anon_sym_EQ_EQ] = ACTIONS(2776),
    [anon_sym_BANG_EQ] = ACTIONS(2774),
    [anon_sym_eq] = ACTIONS(2776),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2774),
    [anon_sym_equ] = ACTIONS(2774),
    [anon_sym_eqr] = ACTIONS(2774),
    [anon_sym_ne] = ACTIONS(2774),
    [anon_sym_LT_EQ_GT] = ACTIONS(2774),
    [anon_sym_cmp] = ACTIONS(2774),
    [anon_sym_TILDE_TILDE] = ACTIONS(2774),
    [anon_sym_LT] = ACTIONS(2776),
    [anon_sym_LT_EQ] = ACTIONS(2776),
    [anon_sym_GT_EQ] = ACTIONS(2774),
    [anon_sym_lt] = ACTIONS(2774),
    [anon_sym_le] = ACTIONS(2774),
    [anon_sym_ge] = ACTIONS(2774),
    [anon_sym_gt] = ACTIONS(2774),
    [anon_sym_isa] = ACTIONS(2774),
    [anon_sym_PLUS_PLUS] = ACTIONS(2774),
    [anon_sym_DASH_DASH] = ACTIONS(2774),
    [anon_sym_QMARK] = ACTIONS(2774),
    [anon_sym_PERCENT2] = ACTIONS(2774),
    [anon_sym_EQ_GT] = ACTIONS(3556),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1604] = {
    [sym_heredoc_content] = STATE(1604),
    [anon_sym_COLON] = ACTIONS(2740),
    [anon_sym_DOLLAR] = ACTIONS(2740),
    [anon_sym_EQ] = ACTIONS(2742),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2740),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2740),
    [anon_sym_AT] = ACTIONS(2740),
    [anon_sym_COMMA] = ACTIONS(2740),
    [anon_sym_RPAREN] = ACTIONS(2740),
    [anon_sym_LPAREN] = ACTIONS(2740),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2740),
    [anon_sym_DASH_GT] = ACTIONS(2740),
    [anon_sym_PERCENT] = ACTIONS(2742),
    [anon_sym_GT] = ACTIONS(2742),
    [anon_sym_LT_LT] = ACTIONS(2742),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2740),
    [anon_sym_PLUS_EQ] = ACTIONS(2740),
    [anon_sym_DASH_EQ] = ACTIONS(2740),
    [anon_sym_DOT_EQ] = ACTIONS(2740),
    [anon_sym_STAR_EQ] = ACTIONS(2740),
    [anon_sym_SLASH_EQ] = ACTIONS(2740),
    [anon_sym_PERCENT_EQ] = ACTIONS(2742),
    [anon_sym_x_EQ] = ACTIONS(2740),
    [anon_sym_AMP_EQ] = ACTIONS(2740),
    [anon_sym_PIPE_EQ] = ACTIONS(2740),
    [anon_sym_CARET_EQ] = ACTIONS(2740),
    [anon_sym_LT_LT_EQ] = ACTIONS(2740),
    [anon_sym_GT_GT_EQ] = ACTIONS(2740),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2740),
    [anon_sym_DOT_DOT] = ACTIONS(2742),
    [anon_sym_STAR_STAR] = ACTIONS(2742),
    [anon_sym_PIPE_PIPE] = ACTIONS(2742),
    [anon_sym_SLASH_SLASH] = ACTIONS(2742),
    [anon_sym_CARET_CARET] = ACTIONS(2740),
    [anon_sym_AMP_AMP] = ACTIONS(2742),
    [anon_sym_PIPE] = ACTIONS(2742),
    [anon_sym_CARET] = ACTIONS(2742),
    [anon_sym_AMP] = ACTIONS(2742),
    [anon_sym_GT_GT2] = ACTIONS(2742),
    [anon_sym_PLUS] = ACTIONS(2742),
    [anon_sym_DASH] = ACTIONS(2742),
    [anon_sym_DOT] = ACTIONS(2742),
    [anon_sym_STAR] = ACTIONS(2742),
    [anon_sym_SLASH] = ACTIONS(2742),
    [anon_sym_x] = ACTIONS(2742),
    [anon_sym_EQ_TILDE] = ACTIONS(2740),
    [anon_sym_BANG_TILDE] = ACTIONS(2740),
    [anon_sym_EQ_EQ] = ACTIONS(2742),
    [anon_sym_BANG_EQ] = ACTIONS(2740),
    [anon_sym_eq] = ACTIONS(2742),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2740),
    [anon_sym_equ] = ACTIONS(2740),
    [anon_sym_eqr] = ACTIONS(2740),
    [anon_sym_ne] = ACTIONS(2740),
    [anon_sym_LT_EQ_GT] = ACTIONS(2740),
    [anon_sym_cmp] = ACTIONS(2740),
    [anon_sym_TILDE_TILDE] = ACTIONS(2740),
    [anon_sym_LT] = ACTIONS(2742),
    [anon_sym_LT_EQ] = ACTIONS(2742),
    [anon_sym_GT_EQ] = ACTIONS(2740),
    [anon_sym_lt] = ACTIONS(2740),
    [anon_sym_le] = ACTIONS(2740),
    [anon_sym_ge] = ACTIONS(2740),
    [anon_sym_gt] = ACTIONS(2740),
    [anon_sym_isa] = ACTIONS(2740),
    [anon_sym_PLUS_PLUS] = ACTIONS(2740),
    [anon_sym_DASH_DASH] = ACTIONS(2740),
    [anon_sym_QMARK] = ACTIONS(2740),
    [anon_sym_PERCENT2] = ACTIONS(2740),
    [anon_sym_EQ_GT] = ACTIONS(2740),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1605] = {
    [sym_heredoc_content] = STATE(1605),
    [anon_sym_RBRACE] = ACTIONS(2883),
    [anon_sym_EQ] = ACTIONS(2885),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2883),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2883),
    [anon_sym_COMMA] = ACTIONS(2883),
    [anon_sym_RPAREN] = ACTIONS(2883),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2883),
    [anon_sym_and] = ACTIONS(2883),
    [anon_sym_or] = ACTIONS(2883),
    [anon_sym_xor] = ACTIONS(2883),
    [anon_sym_RBRACK] = ACTIONS(2883),
    [anon_sym_DASH_GT] = ACTIONS(2883),
    [anon_sym_PERCENT] = ACTIONS(2885),
    [anon_sym_GT] = ACTIONS(2885),
    [anon_sym_LT_LT] = ACTIONS(2885),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2883),
    [anon_sym_PLUS_EQ] = ACTIONS(2883),
    [anon_sym_DASH_EQ] = ACTIONS(2883),
    [anon_sym_DOT_EQ] = ACTIONS(2883),
    [anon_sym_STAR_EQ] = ACTIONS(2883),
    [anon_sym_SLASH_EQ] = ACTIONS(2883),
    [anon_sym_PERCENT_EQ] = ACTIONS(2883),
    [anon_sym_x_EQ] = ACTIONS(2883),
    [anon_sym_AMP_EQ] = ACTIONS(2883),
    [anon_sym_PIPE_EQ] = ACTIONS(2883),
    [anon_sym_CARET_EQ] = ACTIONS(2883),
    [anon_sym_LT_LT_EQ] = ACTIONS(2883),
    [anon_sym_GT_GT_EQ] = ACTIONS(2883),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2883),
    [anon_sym_DOT_DOT] = ACTIONS(2885),
    [anon_sym_STAR_STAR] = ACTIONS(2885),
    [anon_sym_PIPE_PIPE] = ACTIONS(2885),
    [anon_sym_SLASH_SLASH] = ACTIONS(2885),
    [anon_sym_CARET_CARET] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2885),
    [anon_sym_PIPE] = ACTIONS(2885),
    [anon_sym_CARET] = ACTIONS(2885),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_GT_GT2] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_DOT] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2885),
    [anon_sym_SLASH] = ACTIONS(2885),
    [anon_sym_x] = ACTIONS(2885),
    [anon_sym_EQ_TILDE] = ACTIONS(2883),
    [anon_sym_BANG_TILDE] = ACTIONS(2883),
    [anon_sym_EQ_EQ] = ACTIONS(2885),
    [anon_sym_BANG_EQ] = ACTIONS(2883),
    [anon_sym_eq] = ACTIONS(2885),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2883),
    [anon_sym_equ] = ACTIONS(2883),
    [anon_sym_eqr] = ACTIONS(2883),
    [anon_sym_ne] = ACTIONS(2883),
    [anon_sym_LT_EQ_GT] = ACTIONS(2883),
    [anon_sym_cmp] = ACTIONS(2883),
    [anon_sym_TILDE_TILDE] = ACTIONS(2883),
    [anon_sym_LT] = ACTIONS(2885),
    [anon_sym_LT_EQ] = ACTIONS(2885),
    [anon_sym_GT_EQ] = ACTIONS(2883),
    [anon_sym_lt] = ACTIONS(2883),
    [anon_sym_le] = ACTIONS(2883),
    [anon_sym_ge] = ACTIONS(2883),
    [anon_sym_gt] = ACTIONS(2883),
    [anon_sym_isa] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_QMARK] = ACTIONS(2883),
    [anon_sym_EQ_GT] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1606] = {
    [sym_heredoc_content] = STATE(1606),
    [anon_sym_RBRACE] = ACTIONS(3282),
    [anon_sym_EQ] = ACTIONS(3284),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3282),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3282),
    [anon_sym_COMMA] = ACTIONS(3282),
    [anon_sym_RPAREN] = ACTIONS(3282),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3282),
    [anon_sym_and] = ACTIONS(3282),
    [anon_sym_or] = ACTIONS(3282),
    [anon_sym_xor] = ACTIONS(3282),
    [anon_sym_RBRACK] = ACTIONS(3282),
    [anon_sym_DASH_GT] = ACTIONS(3282),
    [anon_sym_PERCENT] = ACTIONS(3284),
    [anon_sym_GT] = ACTIONS(3284),
    [anon_sym_LT_LT] = ACTIONS(3284),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3282),
    [anon_sym_PLUS_EQ] = ACTIONS(3282),
    [anon_sym_DASH_EQ] = ACTIONS(3282),
    [anon_sym_DOT_EQ] = ACTIONS(3282),
    [anon_sym_STAR_EQ] = ACTIONS(3282),
    [anon_sym_SLASH_EQ] = ACTIONS(3282),
    [anon_sym_PERCENT_EQ] = ACTIONS(3282),
    [anon_sym_x_EQ] = ACTIONS(3282),
    [anon_sym_AMP_EQ] = ACTIONS(3282),
    [anon_sym_PIPE_EQ] = ACTIONS(3282),
    [anon_sym_CARET_EQ] = ACTIONS(3282),
    [anon_sym_LT_LT_EQ] = ACTIONS(3282),
    [anon_sym_GT_GT_EQ] = ACTIONS(3282),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3282),
    [anon_sym_DOT_DOT] = ACTIONS(3284),
    [anon_sym_STAR_STAR] = ACTIONS(3284),
    [anon_sym_PIPE_PIPE] = ACTIONS(3284),
    [anon_sym_SLASH_SLASH] = ACTIONS(3284),
    [anon_sym_CARET_CARET] = ACTIONS(3282),
    [anon_sym_AMP_AMP] = ACTIONS(3284),
    [anon_sym_PIPE] = ACTIONS(3284),
    [anon_sym_CARET] = ACTIONS(3284),
    [anon_sym_AMP] = ACTIONS(3284),
    [anon_sym_GT_GT2] = ACTIONS(3284),
    [anon_sym_PLUS] = ACTIONS(3284),
    [anon_sym_DASH] = ACTIONS(3284),
    [anon_sym_DOT] = ACTIONS(3284),
    [anon_sym_STAR] = ACTIONS(3284),
    [anon_sym_SLASH] = ACTIONS(3284),
    [anon_sym_x] = ACTIONS(3284),
    [anon_sym_EQ_TILDE] = ACTIONS(3282),
    [anon_sym_BANG_TILDE] = ACTIONS(3282),
    [anon_sym_EQ_EQ] = ACTIONS(3284),
    [anon_sym_BANG_EQ] = ACTIONS(3282),
    [anon_sym_eq] = ACTIONS(3284),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3282),
    [anon_sym_equ] = ACTIONS(3282),
    [anon_sym_eqr] = ACTIONS(3282),
    [anon_sym_ne] = ACTIONS(3282),
    [anon_sym_LT_EQ_GT] = ACTIONS(3282),
    [anon_sym_cmp] = ACTIONS(3282),
    [anon_sym_TILDE_TILDE] = ACTIONS(3282),
    [anon_sym_LT] = ACTIONS(3284),
    [anon_sym_LT_EQ] = ACTIONS(3284),
    [anon_sym_GT_EQ] = ACTIONS(3282),
    [anon_sym_lt] = ACTIONS(3282),
    [anon_sym_le] = ACTIONS(3282),
    [anon_sym_ge] = ACTIONS(3282),
    [anon_sym_gt] = ACTIONS(3282),
    [anon_sym_isa] = ACTIONS(3282),
    [anon_sym_PLUS_PLUS] = ACTIONS(3282),
    [anon_sym_DASH_DASH] = ACTIONS(3282),
    [anon_sym_QMARK] = ACTIONS(3282),
    [anon_sym_EQ_GT] = ACTIONS(3282),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1607] = {
    [sym_heredoc_content] = STATE(1607),
    [anon_sym_RBRACE] = ACTIONS(3214),
    [anon_sym_EQ] = ACTIONS(3216),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3214),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3214),
    [anon_sym_COMMA] = ACTIONS(3214),
    [anon_sym_RPAREN] = ACTIONS(3214),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3214),
    [anon_sym_and] = ACTIONS(3214),
    [anon_sym_or] = ACTIONS(3214),
    [anon_sym_xor] = ACTIONS(3214),
    [anon_sym_RBRACK] = ACTIONS(3214),
    [anon_sym_DASH_GT] = ACTIONS(3214),
    [anon_sym_PERCENT] = ACTIONS(3216),
    [anon_sym_GT] = ACTIONS(3216),
    [anon_sym_LT_LT] = ACTIONS(3216),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3214),
    [anon_sym_PLUS_EQ] = ACTIONS(3214),
    [anon_sym_DASH_EQ] = ACTIONS(3214),
    [anon_sym_DOT_EQ] = ACTIONS(3214),
    [anon_sym_STAR_EQ] = ACTIONS(3214),
    [anon_sym_SLASH_EQ] = ACTIONS(3214),
    [anon_sym_PERCENT_EQ] = ACTIONS(3214),
    [anon_sym_x_EQ] = ACTIONS(3214),
    [anon_sym_AMP_EQ] = ACTIONS(3214),
    [anon_sym_PIPE_EQ] = ACTIONS(3214),
    [anon_sym_CARET_EQ] = ACTIONS(3214),
    [anon_sym_LT_LT_EQ] = ACTIONS(3214),
    [anon_sym_GT_GT_EQ] = ACTIONS(3214),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3214),
    [anon_sym_DOT_DOT] = ACTIONS(3216),
    [anon_sym_STAR_STAR] = ACTIONS(3216),
    [anon_sym_PIPE_PIPE] = ACTIONS(3216),
    [anon_sym_SLASH_SLASH] = ACTIONS(3216),
    [anon_sym_CARET_CARET] = ACTIONS(3214),
    [anon_sym_AMP_AMP] = ACTIONS(3216),
    [anon_sym_PIPE] = ACTIONS(3216),
    [anon_sym_CARET] = ACTIONS(3216),
    [anon_sym_AMP] = ACTIONS(3216),
    [anon_sym_GT_GT2] = ACTIONS(3216),
    [anon_sym_PLUS] = ACTIONS(3216),
    [anon_sym_DASH] = ACTIONS(3216),
    [anon_sym_DOT] = ACTIONS(3216),
    [anon_sym_STAR] = ACTIONS(3216),
    [anon_sym_SLASH] = ACTIONS(3216),
    [anon_sym_x] = ACTIONS(3216),
    [anon_sym_EQ_TILDE] = ACTIONS(3214),
    [anon_sym_BANG_TILDE] = ACTIONS(3214),
    [anon_sym_EQ_EQ] = ACTIONS(3216),
    [anon_sym_BANG_EQ] = ACTIONS(3214),
    [anon_sym_eq] = ACTIONS(3216),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3214),
    [anon_sym_equ] = ACTIONS(3214),
    [anon_sym_eqr] = ACTIONS(3214),
    [anon_sym_ne] = ACTIONS(3214),
    [anon_sym_LT_EQ_GT] = ACTIONS(3214),
    [anon_sym_cmp] = ACTIONS(3214),
    [anon_sym_TILDE_TILDE] = ACTIONS(3214),
    [anon_sym_LT] = ACTIONS(3216),
    [anon_sym_LT_EQ] = ACTIONS(3216),
    [anon_sym_GT_EQ] = ACTIONS(3214),
    [anon_sym_lt] = ACTIONS(3214),
    [anon_sym_le] = ACTIONS(3214),
    [anon_sym_ge] = ACTIONS(3214),
    [anon_sym_gt] = ACTIONS(3214),
    [anon_sym_isa] = ACTIONS(3214),
    [anon_sym_PLUS_PLUS] = ACTIONS(3214),
    [anon_sym_DASH_DASH] = ACTIONS(3214),
    [anon_sym_QMARK] = ACTIONS(3214),
    [anon_sym_EQ_GT] = ACTIONS(3214),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1608] = {
    [sym_heredoc_content] = STATE(1608),
    [anon_sym_LBRACE] = ACTIONS(1826),
    [anon_sym_RBRACE] = ACTIONS(1826),
    [anon_sym_COLON] = ACTIONS(1826),
    [anon_sym_EQ] = ACTIONS(1824),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1826),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1826),
    [anon_sym_COMMA] = ACTIONS(1826),
    [anon_sym_RPAREN] = ACTIONS(1826),
    [anon_sym_LPAREN] = ACTIONS(1826),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1826),
    [anon_sym_LBRACK] = ACTIONS(1826),
    [anon_sym_DASH_GT] = ACTIONS(1826),
    [anon_sym_PERCENT] = ACTIONS(1824),
    [anon_sym_GT] = ACTIONS(1824),
    [anon_sym_LT_LT] = ACTIONS(1824),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1826),
    [anon_sym_PLUS_EQ] = ACTIONS(1826),
    [anon_sym_DASH_EQ] = ACTIONS(1826),
    [anon_sym_DOT_EQ] = ACTIONS(1826),
    [anon_sym_STAR_EQ] = ACTIONS(1826),
    [anon_sym_SLASH_EQ] = ACTIONS(1826),
    [anon_sym_PERCENT_EQ] = ACTIONS(1826),
    [anon_sym_x_EQ] = ACTIONS(1826),
    [anon_sym_AMP_EQ] = ACTIONS(1826),
    [anon_sym_PIPE_EQ] = ACTIONS(1826),
    [anon_sym_CARET_EQ] = ACTIONS(1826),
    [anon_sym_LT_LT_EQ] = ACTIONS(1826),
    [anon_sym_GT_GT_EQ] = ACTIONS(1826),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1826),
    [anon_sym_DOT_DOT] = ACTIONS(1824),
    [anon_sym_STAR_STAR] = ACTIONS(1824),
    [anon_sym_PIPE_PIPE] = ACTIONS(1824),
    [anon_sym_SLASH_SLASH] = ACTIONS(1824),
    [anon_sym_CARET_CARET] = ACTIONS(1826),
    [anon_sym_AMP_AMP] = ACTIONS(1824),
    [anon_sym_PIPE] = ACTIONS(1824),
    [anon_sym_CARET] = ACTIONS(1824),
    [anon_sym_AMP] = ACTIONS(1824),
    [anon_sym_GT_GT2] = ACTIONS(1824),
    [anon_sym_PLUS] = ACTIONS(1824),
    [anon_sym_DASH] = ACTIONS(1824),
    [anon_sym_DOT] = ACTIONS(1824),
    [anon_sym_STAR] = ACTIONS(1824),
    [anon_sym_SLASH] = ACTIONS(1824),
    [anon_sym_x] = ACTIONS(1824),
    [anon_sym_EQ_TILDE] = ACTIONS(1826),
    [anon_sym_BANG_TILDE] = ACTIONS(1826),
    [anon_sym_EQ_EQ] = ACTIONS(1824),
    [anon_sym_BANG_EQ] = ACTIONS(1826),
    [anon_sym_eq] = ACTIONS(1824),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1826),
    [anon_sym_equ] = ACTIONS(1826),
    [anon_sym_eqr] = ACTIONS(1826),
    [anon_sym_ne] = ACTIONS(1826),
    [anon_sym_LT_EQ_GT] = ACTIONS(1826),
    [anon_sym_cmp] = ACTIONS(1826),
    [anon_sym_TILDE_TILDE] = ACTIONS(1826),
    [anon_sym_LT] = ACTIONS(1824),
    [anon_sym_LT_EQ] = ACTIONS(1824),
    [anon_sym_GT_EQ] = ACTIONS(1826),
    [anon_sym_lt] = ACTIONS(1826),
    [anon_sym_le] = ACTIONS(1826),
    [anon_sym_ge] = ACTIONS(1826),
    [anon_sym_gt] = ACTIONS(1826),
    [anon_sym_isa] = ACTIONS(1826),
    [anon_sym_PLUS_PLUS] = ACTIONS(1826),
    [anon_sym_DASH_DASH] = ACTIONS(1826),
    [anon_sym_QMARK] = ACTIONS(1826),
    [anon_sym_EQ_GT] = ACTIONS(1826),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1609] = {
    [sym_heredoc_content] = STATE(1609),
    [anon_sym_COLON] = ACTIONS(2764),
    [anon_sym_DOLLAR] = ACTIONS(2764),
    [anon_sym_EQ] = ACTIONS(2766),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2764),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2764),
    [anon_sym_AT] = ACTIONS(2764),
    [anon_sym_COMMA] = ACTIONS(2764),
    [anon_sym_RPAREN] = ACTIONS(2764),
    [anon_sym_LPAREN] = ACTIONS(3559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2764),
    [anon_sym_DASH_GT] = ACTIONS(2764),
    [anon_sym_PERCENT] = ACTIONS(2766),
    [anon_sym_GT] = ACTIONS(2766),
    [anon_sym_LT_LT] = ACTIONS(2766),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2764),
    [anon_sym_PLUS_EQ] = ACTIONS(2764),
    [anon_sym_DASH_EQ] = ACTIONS(2764),
    [anon_sym_DOT_EQ] = ACTIONS(2764),
    [anon_sym_STAR_EQ] = ACTIONS(2764),
    [anon_sym_SLASH_EQ] = ACTIONS(2764),
    [anon_sym_PERCENT_EQ] = ACTIONS(2766),
    [anon_sym_x_EQ] = ACTIONS(2764),
    [anon_sym_AMP_EQ] = ACTIONS(2764),
    [anon_sym_PIPE_EQ] = ACTIONS(2764),
    [anon_sym_CARET_EQ] = ACTIONS(2764),
    [anon_sym_LT_LT_EQ] = ACTIONS(2764),
    [anon_sym_GT_GT_EQ] = ACTIONS(2764),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2764),
    [anon_sym_DOT_DOT] = ACTIONS(2766),
    [anon_sym_STAR_STAR] = ACTIONS(2766),
    [anon_sym_PIPE_PIPE] = ACTIONS(2766),
    [anon_sym_SLASH_SLASH] = ACTIONS(2766),
    [anon_sym_CARET_CARET] = ACTIONS(2764),
    [anon_sym_AMP_AMP] = ACTIONS(2766),
    [anon_sym_PIPE] = ACTIONS(2766),
    [anon_sym_CARET] = ACTIONS(2766),
    [anon_sym_AMP] = ACTIONS(2766),
    [anon_sym_GT_GT2] = ACTIONS(2766),
    [anon_sym_PLUS] = ACTIONS(2766),
    [anon_sym_DASH] = ACTIONS(2766),
    [anon_sym_DOT] = ACTIONS(2766),
    [anon_sym_STAR] = ACTIONS(2766),
    [anon_sym_SLASH] = ACTIONS(2766),
    [anon_sym_x] = ACTIONS(2766),
    [anon_sym_EQ_TILDE] = ACTIONS(2764),
    [anon_sym_BANG_TILDE] = ACTIONS(2764),
    [anon_sym_EQ_EQ] = ACTIONS(2766),
    [anon_sym_BANG_EQ] = ACTIONS(2764),
    [anon_sym_eq] = ACTIONS(2766),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2764),
    [anon_sym_equ] = ACTIONS(2764),
    [anon_sym_eqr] = ACTIONS(2764),
    [anon_sym_ne] = ACTIONS(2764),
    [anon_sym_LT_EQ_GT] = ACTIONS(2764),
    [anon_sym_cmp] = ACTIONS(2764),
    [anon_sym_TILDE_TILDE] = ACTIONS(2764),
    [anon_sym_LT] = ACTIONS(2766),
    [anon_sym_LT_EQ] = ACTIONS(2766),
    [anon_sym_GT_EQ] = ACTIONS(2764),
    [anon_sym_lt] = ACTIONS(2764),
    [anon_sym_le] = ACTIONS(2764),
    [anon_sym_ge] = ACTIONS(2764),
    [anon_sym_gt] = ACTIONS(2764),
    [anon_sym_isa] = ACTIONS(2764),
    [anon_sym_PLUS_PLUS] = ACTIONS(2764),
    [anon_sym_DASH_DASH] = ACTIONS(2764),
    [anon_sym_QMARK] = ACTIONS(2764),
    [anon_sym_PERCENT2] = ACTIONS(2764),
    [anon_sym_EQ_GT] = ACTIONS(2764),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1610] = {
    [sym_heredoc_content] = STATE(1610),
    [anon_sym_RBRACE] = ACTIONS(3286),
    [anon_sym_EQ] = ACTIONS(3288),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3286),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3286),
    [anon_sym_COMMA] = ACTIONS(3286),
    [anon_sym_RPAREN] = ACTIONS(3286),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3286),
    [anon_sym_and] = ACTIONS(3286),
    [anon_sym_or] = ACTIONS(3286),
    [anon_sym_xor] = ACTIONS(3286),
    [anon_sym_RBRACK] = ACTIONS(3286),
    [anon_sym_DASH_GT] = ACTIONS(3286),
    [anon_sym_PERCENT] = ACTIONS(3288),
    [anon_sym_GT] = ACTIONS(3288),
    [anon_sym_LT_LT] = ACTIONS(3288),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3286),
    [anon_sym_PLUS_EQ] = ACTIONS(3286),
    [anon_sym_DASH_EQ] = ACTIONS(3286),
    [anon_sym_DOT_EQ] = ACTIONS(3286),
    [anon_sym_STAR_EQ] = ACTIONS(3286),
    [anon_sym_SLASH_EQ] = ACTIONS(3286),
    [anon_sym_PERCENT_EQ] = ACTIONS(3286),
    [anon_sym_x_EQ] = ACTIONS(3286),
    [anon_sym_AMP_EQ] = ACTIONS(3286),
    [anon_sym_PIPE_EQ] = ACTIONS(3286),
    [anon_sym_CARET_EQ] = ACTIONS(3286),
    [anon_sym_LT_LT_EQ] = ACTIONS(3286),
    [anon_sym_GT_GT_EQ] = ACTIONS(3286),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3286),
    [anon_sym_DOT_DOT] = ACTIONS(3288),
    [anon_sym_STAR_STAR] = ACTIONS(3288),
    [anon_sym_PIPE_PIPE] = ACTIONS(3288),
    [anon_sym_SLASH_SLASH] = ACTIONS(3288),
    [anon_sym_CARET_CARET] = ACTIONS(3286),
    [anon_sym_AMP_AMP] = ACTIONS(3288),
    [anon_sym_PIPE] = ACTIONS(3288),
    [anon_sym_CARET] = ACTIONS(3288),
    [anon_sym_AMP] = ACTIONS(3288),
    [anon_sym_GT_GT2] = ACTIONS(3288),
    [anon_sym_PLUS] = ACTIONS(3288),
    [anon_sym_DASH] = ACTIONS(3288),
    [anon_sym_DOT] = ACTIONS(3288),
    [anon_sym_STAR] = ACTIONS(3288),
    [anon_sym_SLASH] = ACTIONS(3288),
    [anon_sym_x] = ACTIONS(3288),
    [anon_sym_EQ_TILDE] = ACTIONS(3286),
    [anon_sym_BANG_TILDE] = ACTIONS(3286),
    [anon_sym_EQ_EQ] = ACTIONS(3288),
    [anon_sym_BANG_EQ] = ACTIONS(3286),
    [anon_sym_eq] = ACTIONS(3288),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3286),
    [anon_sym_equ] = ACTIONS(3286),
    [anon_sym_eqr] = ACTIONS(3286),
    [anon_sym_ne] = ACTIONS(3286),
    [anon_sym_LT_EQ_GT] = ACTIONS(3286),
    [anon_sym_cmp] = ACTIONS(3286),
    [anon_sym_TILDE_TILDE] = ACTIONS(3286),
    [anon_sym_LT] = ACTIONS(3288),
    [anon_sym_LT_EQ] = ACTIONS(3288),
    [anon_sym_GT_EQ] = ACTIONS(3286),
    [anon_sym_lt] = ACTIONS(3286),
    [anon_sym_le] = ACTIONS(3286),
    [anon_sym_ge] = ACTIONS(3286),
    [anon_sym_gt] = ACTIONS(3286),
    [anon_sym_isa] = ACTIONS(3286),
    [anon_sym_PLUS_PLUS] = ACTIONS(3286),
    [anon_sym_DASH_DASH] = ACTIONS(3286),
    [anon_sym_QMARK] = ACTIONS(3286),
    [anon_sym_EQ_GT] = ACTIONS(3286),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1611] = {
    [sym_heredoc_content] = STATE(1611),
    [anon_sym_RBRACE] = ACTIONS(3258),
    [anon_sym_EQ] = ACTIONS(3260),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3258),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3258),
    [anon_sym_COMMA] = ACTIONS(3258),
    [anon_sym_RPAREN] = ACTIONS(3258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3455),
    [anon_sym_and] = ACTIONS(3258),
    [anon_sym_or] = ACTIONS(3258),
    [anon_sym_xor] = ACTIONS(3258),
    [anon_sym_RBRACK] = ACTIONS(3258),
    [anon_sym_DASH_GT] = ACTIONS(3457),
    [anon_sym_PERCENT] = ACTIONS(3459),
    [anon_sym_GT] = ACTIONS(3461),
    [anon_sym_LT_LT] = ACTIONS(3463),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3258),
    [anon_sym_PLUS_EQ] = ACTIONS(3258),
    [anon_sym_DASH_EQ] = ACTIONS(3258),
    [anon_sym_DOT_EQ] = ACTIONS(3258),
    [anon_sym_STAR_EQ] = ACTIONS(3258),
    [anon_sym_SLASH_EQ] = ACTIONS(3258),
    [anon_sym_PERCENT_EQ] = ACTIONS(3258),
    [anon_sym_x_EQ] = ACTIONS(3258),
    [anon_sym_AMP_EQ] = ACTIONS(3258),
    [anon_sym_PIPE_EQ] = ACTIONS(3258),
    [anon_sym_CARET_EQ] = ACTIONS(3258),
    [anon_sym_LT_LT_EQ] = ACTIONS(3258),
    [anon_sym_GT_GT_EQ] = ACTIONS(3258),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3258),
    [anon_sym_DOT_DOT] = ACTIONS(3465),
    [anon_sym_STAR_STAR] = ACTIONS(3467),
    [anon_sym_PIPE_PIPE] = ACTIONS(3469),
    [anon_sym_SLASH_SLASH] = ACTIONS(3469),
    [anon_sym_CARET_CARET] = ACTIONS(3471),
    [anon_sym_AMP_AMP] = ACTIONS(3473),
    [anon_sym_PIPE] = ACTIONS(3475),
    [anon_sym_CARET] = ACTIONS(3475),
    [anon_sym_AMP] = ACTIONS(3477),
    [anon_sym_GT_GT2] = ACTIONS(3463),
    [anon_sym_PLUS] = ACTIONS(3479),
    [anon_sym_DASH] = ACTIONS(3479),
    [anon_sym_DOT] = ACTIONS(3479),
    [anon_sym_STAR] = ACTIONS(3459),
    [anon_sym_SLASH] = ACTIONS(3459),
    [anon_sym_x] = ACTIONS(3459),
    [anon_sym_EQ_TILDE] = ACTIONS(3481),
    [anon_sym_BANG_TILDE] = ACTIONS(3481),
    [anon_sym_EQ_EQ] = ACTIONS(3483),
    [anon_sym_BANG_EQ] = ACTIONS(3485),
    [anon_sym_eq] = ACTIONS(3483),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3485),
    [anon_sym_equ] = ACTIONS(3485),
    [anon_sym_eqr] = ACTIONS(3485),
    [anon_sym_ne] = ACTIONS(3485),
    [anon_sym_LT_EQ_GT] = ACTIONS(3487),
    [anon_sym_cmp] = ACTIONS(3487),
    [anon_sym_TILDE_TILDE] = ACTIONS(3487),
    [anon_sym_LT] = ACTIONS(3461),
    [anon_sym_LT_EQ] = ACTIONS(3461),
    [anon_sym_GT_EQ] = ACTIONS(3489),
    [anon_sym_lt] = ACTIONS(3489),
    [anon_sym_le] = ACTIONS(3489),
    [anon_sym_ge] = ACTIONS(3489),
    [anon_sym_gt] = ACTIONS(3489),
    [anon_sym_isa] = ACTIONS(3491),
    [anon_sym_PLUS_PLUS] = ACTIONS(3493),
    [anon_sym_DASH_DASH] = ACTIONS(3493),
    [anon_sym_QMARK] = ACTIONS(3495),
    [anon_sym_EQ_GT] = ACTIONS(3258),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1612] = {
    [sym_heredoc_content] = STATE(1612),
    [anon_sym_RBRACE] = ACTIONS(3035),
    [anon_sym_EQ] = ACTIONS(3037),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3035),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3035),
    [anon_sym_COMMA] = ACTIONS(3035),
    [anon_sym_RPAREN] = ACTIONS(3035),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3035),
    [anon_sym_and] = ACTIONS(3035),
    [anon_sym_or] = ACTIONS(3035),
    [anon_sym_xor] = ACTIONS(3035),
    [anon_sym_RBRACK] = ACTIONS(3035),
    [anon_sym_DASH_GT] = ACTIONS(3457),
    [anon_sym_PERCENT] = ACTIONS(3459),
    [anon_sym_GT] = ACTIONS(3461),
    [anon_sym_LT_LT] = ACTIONS(3463),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3035),
    [anon_sym_PLUS_EQ] = ACTIONS(3035),
    [anon_sym_DASH_EQ] = ACTIONS(3035),
    [anon_sym_DOT_EQ] = ACTIONS(3035),
    [anon_sym_STAR_EQ] = ACTIONS(3035),
    [anon_sym_SLASH_EQ] = ACTIONS(3035),
    [anon_sym_PERCENT_EQ] = ACTIONS(3035),
    [anon_sym_x_EQ] = ACTIONS(3035),
    [anon_sym_AMP_EQ] = ACTIONS(3035),
    [anon_sym_PIPE_EQ] = ACTIONS(3035),
    [anon_sym_CARET_EQ] = ACTIONS(3035),
    [anon_sym_LT_LT_EQ] = ACTIONS(3035),
    [anon_sym_GT_GT_EQ] = ACTIONS(3035),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3035),
    [anon_sym_DOT_DOT] = ACTIONS(3037),
    [anon_sym_STAR_STAR] = ACTIONS(3467),
    [anon_sym_PIPE_PIPE] = ACTIONS(3037),
    [anon_sym_SLASH_SLASH] = ACTIONS(3037),
    [anon_sym_CARET_CARET] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(3037),
    [anon_sym_PIPE] = ACTIONS(3037),
    [anon_sym_CARET] = ACTIONS(3037),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym_GT_GT2] = ACTIONS(3463),
    [anon_sym_PLUS] = ACTIONS(3479),
    [anon_sym_DASH] = ACTIONS(3479),
    [anon_sym_DOT] = ACTIONS(3479),
    [anon_sym_STAR] = ACTIONS(3459),
    [anon_sym_SLASH] = ACTIONS(3459),
    [anon_sym_x] = ACTIONS(3459),
    [anon_sym_EQ_TILDE] = ACTIONS(3481),
    [anon_sym_BANG_TILDE] = ACTIONS(3481),
    [anon_sym_EQ_EQ] = ACTIONS(3037),
    [anon_sym_BANG_EQ] = ACTIONS(3035),
    [anon_sym_eq] = ACTIONS(3037),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3035),
    [anon_sym_equ] = ACTIONS(3035),
    [anon_sym_eqr] = ACTIONS(3035),
    [anon_sym_ne] = ACTIONS(3035),
    [anon_sym_LT_EQ_GT] = ACTIONS(3035),
    [anon_sym_cmp] = ACTIONS(3035),
    [anon_sym_TILDE_TILDE] = ACTIONS(3035),
    [anon_sym_LT] = ACTIONS(3461),
    [anon_sym_LT_EQ] = ACTIONS(3461),
    [anon_sym_GT_EQ] = ACTIONS(3489),
    [anon_sym_lt] = ACTIONS(3489),
    [anon_sym_le] = ACTIONS(3489),
    [anon_sym_ge] = ACTIONS(3489),
    [anon_sym_gt] = ACTIONS(3489),
    [anon_sym_isa] = ACTIONS(3491),
    [anon_sym_PLUS_PLUS] = ACTIONS(3493),
    [anon_sym_DASH_DASH] = ACTIONS(3493),
    [anon_sym_QMARK] = ACTIONS(3035),
    [anon_sym_EQ_GT] = ACTIONS(3035),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1613] = {
    [sym_heredoc_content] = STATE(1613),
    [anon_sym_LBRACE] = ACTIONS(2494),
    [anon_sym_RBRACE] = ACTIONS(2494),
    [anon_sym_COLON] = ACTIONS(2494),
    [anon_sym_EQ] = ACTIONS(2496),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2494),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2494),
    [anon_sym_COMMA] = ACTIONS(2494),
    [anon_sym_RPAREN] = ACTIONS(2494),
    [anon_sym_LPAREN] = ACTIONS(2494),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2494),
    [anon_sym_LBRACK] = ACTIONS(2494),
    [anon_sym_DASH_GT] = ACTIONS(2494),
    [anon_sym_PERCENT] = ACTIONS(2496),
    [anon_sym_GT] = ACTIONS(2496),
    [anon_sym_LT_LT] = ACTIONS(2496),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2494),
    [anon_sym_PLUS_EQ] = ACTIONS(2494),
    [anon_sym_DASH_EQ] = ACTIONS(2494),
    [anon_sym_DOT_EQ] = ACTIONS(2494),
    [anon_sym_STAR_EQ] = ACTIONS(2494),
    [anon_sym_SLASH_EQ] = ACTIONS(2494),
    [anon_sym_PERCENT_EQ] = ACTIONS(2494),
    [anon_sym_x_EQ] = ACTIONS(2494),
    [anon_sym_AMP_EQ] = ACTIONS(2494),
    [anon_sym_PIPE_EQ] = ACTIONS(2494),
    [anon_sym_CARET_EQ] = ACTIONS(2494),
    [anon_sym_LT_LT_EQ] = ACTIONS(2494),
    [anon_sym_GT_GT_EQ] = ACTIONS(2494),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2494),
    [anon_sym_DOT_DOT] = ACTIONS(2496),
    [anon_sym_STAR_STAR] = ACTIONS(2496),
    [anon_sym_PIPE_PIPE] = ACTIONS(2496),
    [anon_sym_SLASH_SLASH] = ACTIONS(2496),
    [anon_sym_CARET_CARET] = ACTIONS(2494),
    [anon_sym_AMP_AMP] = ACTIONS(2496),
    [anon_sym_PIPE] = ACTIONS(2496),
    [anon_sym_CARET] = ACTIONS(2496),
    [anon_sym_AMP] = ACTIONS(2496),
    [anon_sym_GT_GT2] = ACTIONS(2496),
    [anon_sym_PLUS] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2496),
    [anon_sym_DOT] = ACTIONS(2496),
    [anon_sym_STAR] = ACTIONS(2496),
    [anon_sym_SLASH] = ACTIONS(2496),
    [anon_sym_x] = ACTIONS(2496),
    [anon_sym_EQ_TILDE] = ACTIONS(2494),
    [anon_sym_BANG_TILDE] = ACTIONS(2494),
    [anon_sym_EQ_EQ] = ACTIONS(2496),
    [anon_sym_BANG_EQ] = ACTIONS(2494),
    [anon_sym_eq] = ACTIONS(2496),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2494),
    [anon_sym_equ] = ACTIONS(2494),
    [anon_sym_eqr] = ACTIONS(2494),
    [anon_sym_ne] = ACTIONS(2494),
    [anon_sym_LT_EQ_GT] = ACTIONS(2494),
    [anon_sym_cmp] = ACTIONS(2494),
    [anon_sym_TILDE_TILDE] = ACTIONS(2494),
    [anon_sym_LT] = ACTIONS(2496),
    [anon_sym_LT_EQ] = ACTIONS(2496),
    [anon_sym_GT_EQ] = ACTIONS(2494),
    [anon_sym_lt] = ACTIONS(2494),
    [anon_sym_le] = ACTIONS(2494),
    [anon_sym_ge] = ACTIONS(2494),
    [anon_sym_gt] = ACTIONS(2494),
    [anon_sym_isa] = ACTIONS(2494),
    [anon_sym_PLUS_PLUS] = ACTIONS(2494),
    [anon_sym_DASH_DASH] = ACTIONS(2494),
    [anon_sym_QMARK] = ACTIONS(2494),
    [anon_sym_EQ_GT] = ACTIONS(2494),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1614] = {
    [sym_heredoc_content] = STATE(1614),
    [anon_sym_RBRACE] = ACTIONS(3019),
    [anon_sym_EQ] = ACTIONS(3021),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_COMMA] = ACTIONS(3019),
    [anon_sym_RPAREN] = ACTIONS(3019),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3019),
    [anon_sym_and] = ACTIONS(3019),
    [anon_sym_or] = ACTIONS(3019),
    [anon_sym_xor] = ACTIONS(3019),
    [anon_sym_RBRACK] = ACTIONS(3019),
    [anon_sym_DASH_GT] = ACTIONS(3457),
    [anon_sym_PERCENT] = ACTIONS(3459),
    [anon_sym_GT] = ACTIONS(3021),
    [anon_sym_LT_LT] = ACTIONS(3021),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3019),
    [anon_sym_PLUS_EQ] = ACTIONS(3019),
    [anon_sym_DASH_EQ] = ACTIONS(3019),
    [anon_sym_DOT_EQ] = ACTIONS(3019),
    [anon_sym_STAR_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_PERCENT_EQ] = ACTIONS(3019),
    [anon_sym_x_EQ] = ACTIONS(3019),
    [anon_sym_AMP_EQ] = ACTIONS(3019),
    [anon_sym_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_CARET_EQ] = ACTIONS(3019),
    [anon_sym_LT_LT_EQ] = ACTIONS(3019),
    [anon_sym_GT_GT_EQ] = ACTIONS(3019),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3019),
    [anon_sym_DOT_DOT] = ACTIONS(3021),
    [anon_sym_STAR_STAR] = ACTIONS(3467),
    [anon_sym_PIPE_PIPE] = ACTIONS(3021),
    [anon_sym_SLASH_SLASH] = ACTIONS(3021),
    [anon_sym_CARET_CARET] = ACTIONS(3019),
    [anon_sym_AMP_AMP] = ACTIONS(3021),
    [anon_sym_PIPE] = ACTIONS(3021),
    [anon_sym_CARET] = ACTIONS(3021),
    [anon_sym_AMP] = ACTIONS(3021),
    [anon_sym_GT_GT2] = ACTIONS(3021),
    [anon_sym_PLUS] = ACTIONS(3479),
    [anon_sym_DASH] = ACTIONS(3479),
    [anon_sym_DOT] = ACTIONS(3479),
    [anon_sym_STAR] = ACTIONS(3459),
    [anon_sym_SLASH] = ACTIONS(3459),
    [anon_sym_x] = ACTIONS(3459),
    [anon_sym_EQ_TILDE] = ACTIONS(3481),
    [anon_sym_BANG_TILDE] = ACTIONS(3481),
    [anon_sym_EQ_EQ] = ACTIONS(3021),
    [anon_sym_BANG_EQ] = ACTIONS(3019),
    [anon_sym_eq] = ACTIONS(3021),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3019),
    [anon_sym_equ] = ACTIONS(3019),
    [anon_sym_eqr] = ACTIONS(3019),
    [anon_sym_ne] = ACTIONS(3019),
    [anon_sym_LT_EQ_GT] = ACTIONS(3019),
    [anon_sym_cmp] = ACTIONS(3019),
    [anon_sym_TILDE_TILDE] = ACTIONS(3019),
    [anon_sym_LT] = ACTIONS(3021),
    [anon_sym_LT_EQ] = ACTIONS(3021),
    [anon_sym_GT_EQ] = ACTIONS(3019),
    [anon_sym_lt] = ACTIONS(3019),
    [anon_sym_le] = ACTIONS(3019),
    [anon_sym_ge] = ACTIONS(3019),
    [anon_sym_gt] = ACTIONS(3019),
    [anon_sym_isa] = ACTIONS(3019),
    [anon_sym_PLUS_PLUS] = ACTIONS(3493),
    [anon_sym_DASH_DASH] = ACTIONS(3493),
    [anon_sym_QMARK] = ACTIONS(3019),
    [anon_sym_EQ_GT] = ACTIONS(3019),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1615] = {
    [sym_heredoc_content] = STATE(1615),
    [anon_sym_LBRACE] = ACTIONS(1836),
    [anon_sym_RBRACE] = ACTIONS(1836),
    [anon_sym_COLON] = ACTIONS(1836),
    [anon_sym_EQ] = ACTIONS(1834),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1836),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1836),
    [anon_sym_COMMA] = ACTIONS(1836),
    [anon_sym_RPAREN] = ACTIONS(1836),
    [anon_sym_LPAREN] = ACTIONS(1836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1836),
    [anon_sym_LBRACK] = ACTIONS(1836),
    [anon_sym_DASH_GT] = ACTIONS(1836),
    [anon_sym_PERCENT] = ACTIONS(1834),
    [anon_sym_GT] = ACTIONS(1834),
    [anon_sym_LT_LT] = ACTIONS(1834),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1836),
    [anon_sym_PLUS_EQ] = ACTIONS(1836),
    [anon_sym_DASH_EQ] = ACTIONS(1836),
    [anon_sym_DOT_EQ] = ACTIONS(1836),
    [anon_sym_STAR_EQ] = ACTIONS(1836),
    [anon_sym_SLASH_EQ] = ACTIONS(1836),
    [anon_sym_PERCENT_EQ] = ACTIONS(1836),
    [anon_sym_x_EQ] = ACTIONS(1836),
    [anon_sym_AMP_EQ] = ACTIONS(1836),
    [anon_sym_PIPE_EQ] = ACTIONS(1836),
    [anon_sym_CARET_EQ] = ACTIONS(1836),
    [anon_sym_LT_LT_EQ] = ACTIONS(1836),
    [anon_sym_GT_GT_EQ] = ACTIONS(1836),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1836),
    [anon_sym_DOT_DOT] = ACTIONS(1834),
    [anon_sym_STAR_STAR] = ACTIONS(1834),
    [anon_sym_PIPE_PIPE] = ACTIONS(1834),
    [anon_sym_SLASH_SLASH] = ACTIONS(1834),
    [anon_sym_CARET_CARET] = ACTIONS(1836),
    [anon_sym_AMP_AMP] = ACTIONS(1834),
    [anon_sym_PIPE] = ACTIONS(1834),
    [anon_sym_CARET] = ACTIONS(1834),
    [anon_sym_AMP] = ACTIONS(1834),
    [anon_sym_GT_GT2] = ACTIONS(1834),
    [anon_sym_PLUS] = ACTIONS(1834),
    [anon_sym_DASH] = ACTIONS(1834),
    [anon_sym_DOT] = ACTIONS(1834),
    [anon_sym_STAR] = ACTIONS(1834),
    [anon_sym_SLASH] = ACTIONS(1834),
    [anon_sym_x] = ACTIONS(1834),
    [anon_sym_EQ_TILDE] = ACTIONS(1836),
    [anon_sym_BANG_TILDE] = ACTIONS(1836),
    [anon_sym_EQ_EQ] = ACTIONS(1834),
    [anon_sym_BANG_EQ] = ACTIONS(1836),
    [anon_sym_eq] = ACTIONS(1834),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1836),
    [anon_sym_equ] = ACTIONS(1836),
    [anon_sym_eqr] = ACTIONS(1836),
    [anon_sym_ne] = ACTIONS(1836),
    [anon_sym_LT_EQ_GT] = ACTIONS(1836),
    [anon_sym_cmp] = ACTIONS(1836),
    [anon_sym_TILDE_TILDE] = ACTIONS(1836),
    [anon_sym_LT] = ACTIONS(1834),
    [anon_sym_LT_EQ] = ACTIONS(1834),
    [anon_sym_GT_EQ] = ACTIONS(1836),
    [anon_sym_lt] = ACTIONS(1836),
    [anon_sym_le] = ACTIONS(1836),
    [anon_sym_ge] = ACTIONS(1836),
    [anon_sym_gt] = ACTIONS(1836),
    [anon_sym_isa] = ACTIONS(1836),
    [anon_sym_PLUS_PLUS] = ACTIONS(1836),
    [anon_sym_DASH_DASH] = ACTIONS(1836),
    [anon_sym_QMARK] = ACTIONS(1836),
    [anon_sym_EQ_GT] = ACTIONS(1836),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1616] = {
    [sym_heredoc_content] = STATE(1616),
    [anon_sym_RBRACE] = ACTIONS(3290),
    [anon_sym_EQ] = ACTIONS(3292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3290),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3290),
    [anon_sym_COMMA] = ACTIONS(3290),
    [anon_sym_RPAREN] = ACTIONS(3290),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3290),
    [anon_sym_and] = ACTIONS(3290),
    [anon_sym_or] = ACTIONS(3290),
    [anon_sym_xor] = ACTIONS(3290),
    [anon_sym_RBRACK] = ACTIONS(3290),
    [anon_sym_DASH_GT] = ACTIONS(3290),
    [anon_sym_PERCENT] = ACTIONS(3292),
    [anon_sym_GT] = ACTIONS(3292),
    [anon_sym_LT_LT] = ACTIONS(3292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3290),
    [anon_sym_PLUS_EQ] = ACTIONS(3290),
    [anon_sym_DASH_EQ] = ACTIONS(3290),
    [anon_sym_DOT_EQ] = ACTIONS(3290),
    [anon_sym_STAR_EQ] = ACTIONS(3290),
    [anon_sym_SLASH_EQ] = ACTIONS(3290),
    [anon_sym_PERCENT_EQ] = ACTIONS(3290),
    [anon_sym_x_EQ] = ACTIONS(3290),
    [anon_sym_AMP_EQ] = ACTIONS(3290),
    [anon_sym_PIPE_EQ] = ACTIONS(3290),
    [anon_sym_CARET_EQ] = ACTIONS(3290),
    [anon_sym_LT_LT_EQ] = ACTIONS(3290),
    [anon_sym_GT_GT_EQ] = ACTIONS(3290),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3290),
    [anon_sym_DOT_DOT] = ACTIONS(3292),
    [anon_sym_STAR_STAR] = ACTIONS(3292),
    [anon_sym_PIPE_PIPE] = ACTIONS(3292),
    [anon_sym_SLASH_SLASH] = ACTIONS(3292),
    [anon_sym_CARET_CARET] = ACTIONS(3290),
    [anon_sym_AMP_AMP] = ACTIONS(3292),
    [anon_sym_PIPE] = ACTIONS(3292),
    [anon_sym_CARET] = ACTIONS(3292),
    [anon_sym_AMP] = ACTIONS(3292),
    [anon_sym_GT_GT2] = ACTIONS(3292),
    [anon_sym_PLUS] = ACTIONS(3292),
    [anon_sym_DASH] = ACTIONS(3292),
    [anon_sym_DOT] = ACTIONS(3292),
    [anon_sym_STAR] = ACTIONS(3292),
    [anon_sym_SLASH] = ACTIONS(3292),
    [anon_sym_x] = ACTIONS(3292),
    [anon_sym_EQ_TILDE] = ACTIONS(3290),
    [anon_sym_BANG_TILDE] = ACTIONS(3290),
    [anon_sym_EQ_EQ] = ACTIONS(3292),
    [anon_sym_BANG_EQ] = ACTIONS(3290),
    [anon_sym_eq] = ACTIONS(3292),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3290),
    [anon_sym_equ] = ACTIONS(3290),
    [anon_sym_eqr] = ACTIONS(3290),
    [anon_sym_ne] = ACTIONS(3290),
    [anon_sym_LT_EQ_GT] = ACTIONS(3290),
    [anon_sym_cmp] = ACTIONS(3290),
    [anon_sym_TILDE_TILDE] = ACTIONS(3290),
    [anon_sym_LT] = ACTIONS(3292),
    [anon_sym_LT_EQ] = ACTIONS(3292),
    [anon_sym_GT_EQ] = ACTIONS(3290),
    [anon_sym_lt] = ACTIONS(3290),
    [anon_sym_le] = ACTIONS(3290),
    [anon_sym_ge] = ACTIONS(3290),
    [anon_sym_gt] = ACTIONS(3290),
    [anon_sym_isa] = ACTIONS(3290),
    [anon_sym_PLUS_PLUS] = ACTIONS(3290),
    [anon_sym_DASH_DASH] = ACTIONS(3290),
    [anon_sym_QMARK] = ACTIONS(3290),
    [anon_sym_EQ_GT] = ACTIONS(3290),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1617] = {
    [sym_heredoc_content] = STATE(1617),
    [anon_sym_RBRACE] = ACTIONS(3294),
    [anon_sym_EQ] = ACTIONS(3296),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3294),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3294),
    [anon_sym_COMMA] = ACTIONS(3294),
    [anon_sym_RPAREN] = ACTIONS(3294),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3294),
    [anon_sym_and] = ACTIONS(3294),
    [anon_sym_or] = ACTIONS(3294),
    [anon_sym_xor] = ACTIONS(3294),
    [anon_sym_RBRACK] = ACTIONS(3294),
    [anon_sym_DASH_GT] = ACTIONS(3294),
    [anon_sym_PERCENT] = ACTIONS(3296),
    [anon_sym_GT] = ACTIONS(3296),
    [anon_sym_LT_LT] = ACTIONS(3296),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3294),
    [anon_sym_PLUS_EQ] = ACTIONS(3294),
    [anon_sym_DASH_EQ] = ACTIONS(3294),
    [anon_sym_DOT_EQ] = ACTIONS(3294),
    [anon_sym_STAR_EQ] = ACTIONS(3294),
    [anon_sym_SLASH_EQ] = ACTIONS(3294),
    [anon_sym_PERCENT_EQ] = ACTIONS(3294),
    [anon_sym_x_EQ] = ACTIONS(3294),
    [anon_sym_AMP_EQ] = ACTIONS(3294),
    [anon_sym_PIPE_EQ] = ACTIONS(3294),
    [anon_sym_CARET_EQ] = ACTIONS(3294),
    [anon_sym_LT_LT_EQ] = ACTIONS(3294),
    [anon_sym_GT_GT_EQ] = ACTIONS(3294),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3294),
    [anon_sym_DOT_DOT] = ACTIONS(3296),
    [anon_sym_STAR_STAR] = ACTIONS(3296),
    [anon_sym_PIPE_PIPE] = ACTIONS(3296),
    [anon_sym_SLASH_SLASH] = ACTIONS(3296),
    [anon_sym_CARET_CARET] = ACTIONS(3294),
    [anon_sym_AMP_AMP] = ACTIONS(3296),
    [anon_sym_PIPE] = ACTIONS(3296),
    [anon_sym_CARET] = ACTIONS(3296),
    [anon_sym_AMP] = ACTIONS(3296),
    [anon_sym_GT_GT2] = ACTIONS(3296),
    [anon_sym_PLUS] = ACTIONS(3296),
    [anon_sym_DASH] = ACTIONS(3296),
    [anon_sym_DOT] = ACTIONS(3296),
    [anon_sym_STAR] = ACTIONS(3296),
    [anon_sym_SLASH] = ACTIONS(3296),
    [anon_sym_x] = ACTIONS(3296),
    [anon_sym_EQ_TILDE] = ACTIONS(3294),
    [anon_sym_BANG_TILDE] = ACTIONS(3294),
    [anon_sym_EQ_EQ] = ACTIONS(3296),
    [anon_sym_BANG_EQ] = ACTIONS(3294),
    [anon_sym_eq] = ACTIONS(3296),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3294),
    [anon_sym_equ] = ACTIONS(3294),
    [anon_sym_eqr] = ACTIONS(3294),
    [anon_sym_ne] = ACTIONS(3294),
    [anon_sym_LT_EQ_GT] = ACTIONS(3294),
    [anon_sym_cmp] = ACTIONS(3294),
    [anon_sym_TILDE_TILDE] = ACTIONS(3294),
    [anon_sym_LT] = ACTIONS(3296),
    [anon_sym_LT_EQ] = ACTIONS(3296),
    [anon_sym_GT_EQ] = ACTIONS(3294),
    [anon_sym_lt] = ACTIONS(3294),
    [anon_sym_le] = ACTIONS(3294),
    [anon_sym_ge] = ACTIONS(3294),
    [anon_sym_gt] = ACTIONS(3294),
    [anon_sym_isa] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [anon_sym_QMARK] = ACTIONS(3294),
    [anon_sym_EQ_GT] = ACTIONS(3294),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1618] = {
    [sym_heredoc_content] = STATE(1618),
    [anon_sym_RBRACE] = ACTIONS(3262),
    [anon_sym_EQ] = ACTIONS(3264),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3262),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3262),
    [anon_sym_COMMA] = ACTIONS(3262),
    [anon_sym_RPAREN] = ACTIONS(3262),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3262),
    [anon_sym_and] = ACTIONS(3262),
    [anon_sym_or] = ACTIONS(3262),
    [anon_sym_xor] = ACTIONS(3262),
    [anon_sym_RBRACK] = ACTIONS(3262),
    [anon_sym_DASH_GT] = ACTIONS(3262),
    [anon_sym_PERCENT] = ACTIONS(3264),
    [anon_sym_GT] = ACTIONS(3264),
    [anon_sym_LT_LT] = ACTIONS(3264),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3262),
    [anon_sym_PLUS_EQ] = ACTIONS(3262),
    [anon_sym_DASH_EQ] = ACTIONS(3262),
    [anon_sym_DOT_EQ] = ACTIONS(3262),
    [anon_sym_STAR_EQ] = ACTIONS(3262),
    [anon_sym_SLASH_EQ] = ACTIONS(3262),
    [anon_sym_PERCENT_EQ] = ACTIONS(3262),
    [anon_sym_x_EQ] = ACTIONS(3262),
    [anon_sym_AMP_EQ] = ACTIONS(3262),
    [anon_sym_PIPE_EQ] = ACTIONS(3262),
    [anon_sym_CARET_EQ] = ACTIONS(3262),
    [anon_sym_LT_LT_EQ] = ACTIONS(3262),
    [anon_sym_GT_GT_EQ] = ACTIONS(3262),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3262),
    [anon_sym_DOT_DOT] = ACTIONS(3264),
    [anon_sym_STAR_STAR] = ACTIONS(3264),
    [anon_sym_PIPE_PIPE] = ACTIONS(3264),
    [anon_sym_SLASH_SLASH] = ACTIONS(3264),
    [anon_sym_CARET_CARET] = ACTIONS(3262),
    [anon_sym_AMP_AMP] = ACTIONS(3264),
    [anon_sym_PIPE] = ACTIONS(3264),
    [anon_sym_CARET] = ACTIONS(3264),
    [anon_sym_AMP] = ACTIONS(3264),
    [anon_sym_GT_GT2] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_DOT] = ACTIONS(3264),
    [anon_sym_STAR] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_x] = ACTIONS(3264),
    [anon_sym_EQ_TILDE] = ACTIONS(3262),
    [anon_sym_BANG_TILDE] = ACTIONS(3262),
    [anon_sym_EQ_EQ] = ACTIONS(3264),
    [anon_sym_BANG_EQ] = ACTIONS(3262),
    [anon_sym_eq] = ACTIONS(3264),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3262),
    [anon_sym_equ] = ACTIONS(3262),
    [anon_sym_eqr] = ACTIONS(3262),
    [anon_sym_ne] = ACTIONS(3262),
    [anon_sym_LT_EQ_GT] = ACTIONS(3262),
    [anon_sym_cmp] = ACTIONS(3262),
    [anon_sym_TILDE_TILDE] = ACTIONS(3262),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_LT_EQ] = ACTIONS(3264),
    [anon_sym_GT_EQ] = ACTIONS(3262),
    [anon_sym_lt] = ACTIONS(3262),
    [anon_sym_le] = ACTIONS(3262),
    [anon_sym_ge] = ACTIONS(3262),
    [anon_sym_gt] = ACTIONS(3262),
    [anon_sym_isa] = ACTIONS(3262),
    [anon_sym_PLUS_PLUS] = ACTIONS(3262),
    [anon_sym_DASH_DASH] = ACTIONS(3262),
    [anon_sym_QMARK] = ACTIONS(3262),
    [anon_sym_EQ_GT] = ACTIONS(3262),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1619] = {
    [sym_heredoc_content] = STATE(1619),
    [anon_sym_RBRACE] = ACTIONS(3298),
    [anon_sym_EQ] = ACTIONS(3300),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3298),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3298),
    [anon_sym_COMMA] = ACTIONS(3298),
    [anon_sym_RPAREN] = ACTIONS(3298),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3298),
    [anon_sym_and] = ACTIONS(3298),
    [anon_sym_or] = ACTIONS(3298),
    [anon_sym_xor] = ACTIONS(3298),
    [anon_sym_RBRACK] = ACTIONS(3298),
    [anon_sym_DASH_GT] = ACTIONS(3298),
    [anon_sym_PERCENT] = ACTIONS(3300),
    [anon_sym_GT] = ACTIONS(3300),
    [anon_sym_LT_LT] = ACTIONS(3300),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3298),
    [anon_sym_PLUS_EQ] = ACTIONS(3298),
    [anon_sym_DASH_EQ] = ACTIONS(3298),
    [anon_sym_DOT_EQ] = ACTIONS(3298),
    [anon_sym_STAR_EQ] = ACTIONS(3298),
    [anon_sym_SLASH_EQ] = ACTIONS(3298),
    [anon_sym_PERCENT_EQ] = ACTIONS(3298),
    [anon_sym_x_EQ] = ACTIONS(3298),
    [anon_sym_AMP_EQ] = ACTIONS(3298),
    [anon_sym_PIPE_EQ] = ACTIONS(3298),
    [anon_sym_CARET_EQ] = ACTIONS(3298),
    [anon_sym_LT_LT_EQ] = ACTIONS(3298),
    [anon_sym_GT_GT_EQ] = ACTIONS(3298),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3298),
    [anon_sym_DOT_DOT] = ACTIONS(3300),
    [anon_sym_STAR_STAR] = ACTIONS(3300),
    [anon_sym_PIPE_PIPE] = ACTIONS(3300),
    [anon_sym_SLASH_SLASH] = ACTIONS(3300),
    [anon_sym_CARET_CARET] = ACTIONS(3298),
    [anon_sym_AMP_AMP] = ACTIONS(3300),
    [anon_sym_PIPE] = ACTIONS(3300),
    [anon_sym_CARET] = ACTIONS(3300),
    [anon_sym_AMP] = ACTIONS(3300),
    [anon_sym_GT_GT2] = ACTIONS(3300),
    [anon_sym_PLUS] = ACTIONS(3300),
    [anon_sym_DASH] = ACTIONS(3300),
    [anon_sym_DOT] = ACTIONS(3300),
    [anon_sym_STAR] = ACTIONS(3300),
    [anon_sym_SLASH] = ACTIONS(3300),
    [anon_sym_x] = ACTIONS(3300),
    [anon_sym_EQ_TILDE] = ACTIONS(3298),
    [anon_sym_BANG_TILDE] = ACTIONS(3298),
    [anon_sym_EQ_EQ] = ACTIONS(3300),
    [anon_sym_BANG_EQ] = ACTIONS(3298),
    [anon_sym_eq] = ACTIONS(3300),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3298),
    [anon_sym_equ] = ACTIONS(3298),
    [anon_sym_eqr] = ACTIONS(3298),
    [anon_sym_ne] = ACTIONS(3298),
    [anon_sym_LT_EQ_GT] = ACTIONS(3298),
    [anon_sym_cmp] = ACTIONS(3298),
    [anon_sym_TILDE_TILDE] = ACTIONS(3298),
    [anon_sym_LT] = ACTIONS(3300),
    [anon_sym_LT_EQ] = ACTIONS(3300),
    [anon_sym_GT_EQ] = ACTIONS(3298),
    [anon_sym_lt] = ACTIONS(3298),
    [anon_sym_le] = ACTIONS(3298),
    [anon_sym_ge] = ACTIONS(3298),
    [anon_sym_gt] = ACTIONS(3298),
    [anon_sym_isa] = ACTIONS(3298),
    [anon_sym_PLUS_PLUS] = ACTIONS(3298),
    [anon_sym_DASH_DASH] = ACTIONS(3298),
    [anon_sym_QMARK] = ACTIONS(3298),
    [anon_sym_EQ_GT] = ACTIONS(3298),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1620] = {
    [sym_heredoc_content] = STATE(1620),
    [anon_sym_LBRACE] = ACTIONS(1853),
    [anon_sym_COLON] = ACTIONS(1853),
    [anon_sym_SEMI] = ACTIONS(1853),
    [anon_sym_EQ] = ACTIONS(1851),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1853),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1853),
    [anon_sym_COMMA] = ACTIONS(1853),
    [anon_sym_LPAREN] = ACTIONS(1853),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1853),
    [anon_sym_LBRACK] = ACTIONS(1853),
    [anon_sym_DASH_GT] = ACTIONS(1853),
    [anon_sym_PERCENT] = ACTIONS(1851),
    [anon_sym_GT] = ACTIONS(1851),
    [anon_sym_LT_LT] = ACTIONS(1851),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1853),
    [anon_sym_PLUS_EQ] = ACTIONS(1853),
    [anon_sym_DASH_EQ] = ACTIONS(1853),
    [anon_sym_DOT_EQ] = ACTIONS(1853),
    [anon_sym_STAR_EQ] = ACTIONS(1853),
    [anon_sym_SLASH_EQ] = ACTIONS(1853),
    [anon_sym_PERCENT_EQ] = ACTIONS(1853),
    [anon_sym_x_EQ] = ACTIONS(1853),
    [anon_sym_AMP_EQ] = ACTIONS(1853),
    [anon_sym_PIPE_EQ] = ACTIONS(1853),
    [anon_sym_CARET_EQ] = ACTIONS(1853),
    [anon_sym_LT_LT_EQ] = ACTIONS(1853),
    [anon_sym_GT_GT_EQ] = ACTIONS(1853),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1853),
    [anon_sym_DOT_DOT] = ACTIONS(1851),
    [anon_sym_STAR_STAR] = ACTIONS(1851),
    [anon_sym_PIPE_PIPE] = ACTIONS(1851),
    [anon_sym_SLASH_SLASH] = ACTIONS(1851),
    [anon_sym_CARET_CARET] = ACTIONS(1853),
    [anon_sym_AMP_AMP] = ACTIONS(1851),
    [anon_sym_PIPE] = ACTIONS(1851),
    [anon_sym_CARET] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym_GT_GT2] = ACTIONS(1851),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_DOT] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_SLASH] = ACTIONS(1851),
    [anon_sym_x] = ACTIONS(1851),
    [anon_sym_EQ_TILDE] = ACTIONS(1853),
    [anon_sym_BANG_TILDE] = ACTIONS(1853),
    [anon_sym_EQ_EQ] = ACTIONS(1851),
    [anon_sym_BANG_EQ] = ACTIONS(1853),
    [anon_sym_eq] = ACTIONS(1851),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1853),
    [anon_sym_equ] = ACTIONS(1853),
    [anon_sym_eqr] = ACTIONS(1853),
    [anon_sym_ne] = ACTIONS(1853),
    [anon_sym_LT_EQ_GT] = ACTIONS(1853),
    [anon_sym_cmp] = ACTIONS(1853),
    [anon_sym_TILDE_TILDE] = ACTIONS(1853),
    [anon_sym_LT] = ACTIONS(1851),
    [anon_sym_LT_EQ] = ACTIONS(1851),
    [anon_sym_GT_EQ] = ACTIONS(1853),
    [anon_sym_lt] = ACTIONS(1853),
    [anon_sym_le] = ACTIONS(1853),
    [anon_sym_ge] = ACTIONS(1853),
    [anon_sym_gt] = ACTIONS(1853),
    [anon_sym_isa] = ACTIONS(1853),
    [anon_sym_PLUS_PLUS] = ACTIONS(1853),
    [anon_sym_DASH_DASH] = ACTIONS(1853),
    [anon_sym_QMARK] = ACTIONS(1853),
    [anon_sym_EQ_GT] = ACTIONS(1853),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(1853),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1621] = {
    [sym_heredoc_content] = STATE(1621),
    [anon_sym_LBRACE] = ACTIONS(1853),
    [anon_sym_RBRACE] = ACTIONS(1853),
    [anon_sym_COLON] = ACTIONS(1853),
    [anon_sym_EQ] = ACTIONS(1851),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1853),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1853),
    [anon_sym_COMMA] = ACTIONS(1853),
    [anon_sym_RPAREN] = ACTIONS(1853),
    [anon_sym_LPAREN] = ACTIONS(1853),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1853),
    [anon_sym_LBRACK] = ACTIONS(1853),
    [anon_sym_DASH_GT] = ACTIONS(1853),
    [anon_sym_PERCENT] = ACTIONS(1851),
    [anon_sym_GT] = ACTIONS(1851),
    [anon_sym_LT_LT] = ACTIONS(1851),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1853),
    [anon_sym_PLUS_EQ] = ACTIONS(1853),
    [anon_sym_DASH_EQ] = ACTIONS(1853),
    [anon_sym_DOT_EQ] = ACTIONS(1853),
    [anon_sym_STAR_EQ] = ACTIONS(1853),
    [anon_sym_SLASH_EQ] = ACTIONS(1853),
    [anon_sym_PERCENT_EQ] = ACTIONS(1853),
    [anon_sym_x_EQ] = ACTIONS(1853),
    [anon_sym_AMP_EQ] = ACTIONS(1853),
    [anon_sym_PIPE_EQ] = ACTIONS(1853),
    [anon_sym_CARET_EQ] = ACTIONS(1853),
    [anon_sym_LT_LT_EQ] = ACTIONS(1853),
    [anon_sym_GT_GT_EQ] = ACTIONS(1853),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1853),
    [anon_sym_DOT_DOT] = ACTIONS(1851),
    [anon_sym_STAR_STAR] = ACTIONS(1851),
    [anon_sym_PIPE_PIPE] = ACTIONS(1851),
    [anon_sym_SLASH_SLASH] = ACTIONS(1851),
    [anon_sym_CARET_CARET] = ACTIONS(1853),
    [anon_sym_AMP_AMP] = ACTIONS(1851),
    [anon_sym_PIPE] = ACTIONS(1851),
    [anon_sym_CARET] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym_GT_GT2] = ACTIONS(1851),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_DOT] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_SLASH] = ACTIONS(1851),
    [anon_sym_x] = ACTIONS(1851),
    [anon_sym_EQ_TILDE] = ACTIONS(1853),
    [anon_sym_BANG_TILDE] = ACTIONS(1853),
    [anon_sym_EQ_EQ] = ACTIONS(1851),
    [anon_sym_BANG_EQ] = ACTIONS(1853),
    [anon_sym_eq] = ACTIONS(1851),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1853),
    [anon_sym_equ] = ACTIONS(1853),
    [anon_sym_eqr] = ACTIONS(1853),
    [anon_sym_ne] = ACTIONS(1853),
    [anon_sym_LT_EQ_GT] = ACTIONS(1853),
    [anon_sym_cmp] = ACTIONS(1853),
    [anon_sym_TILDE_TILDE] = ACTIONS(1853),
    [anon_sym_LT] = ACTIONS(1851),
    [anon_sym_LT_EQ] = ACTIONS(1851),
    [anon_sym_GT_EQ] = ACTIONS(1853),
    [anon_sym_lt] = ACTIONS(1853),
    [anon_sym_le] = ACTIONS(1853),
    [anon_sym_ge] = ACTIONS(1853),
    [anon_sym_gt] = ACTIONS(1853),
    [anon_sym_isa] = ACTIONS(1853),
    [anon_sym_PLUS_PLUS] = ACTIONS(1853),
    [anon_sym_DASH_DASH] = ACTIONS(1853),
    [anon_sym_QMARK] = ACTIONS(1853),
    [anon_sym_EQ_GT] = ACTIONS(1853),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1622] = {
    [sym_heredoc_content] = STATE(1622),
    [anon_sym_RBRACE] = ACTIONS(3302),
    [anon_sym_EQ] = ACTIONS(3304),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3302),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3302),
    [anon_sym_COMMA] = ACTIONS(3302),
    [anon_sym_RPAREN] = ACTIONS(3302),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3302),
    [anon_sym_and] = ACTIONS(3302),
    [anon_sym_or] = ACTIONS(3302),
    [anon_sym_xor] = ACTIONS(3302),
    [anon_sym_RBRACK] = ACTIONS(3302),
    [anon_sym_DASH_GT] = ACTIONS(3302),
    [anon_sym_PERCENT] = ACTIONS(3304),
    [anon_sym_GT] = ACTIONS(3304),
    [anon_sym_LT_LT] = ACTIONS(3304),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3302),
    [anon_sym_PLUS_EQ] = ACTIONS(3302),
    [anon_sym_DASH_EQ] = ACTIONS(3302),
    [anon_sym_DOT_EQ] = ACTIONS(3302),
    [anon_sym_STAR_EQ] = ACTIONS(3302),
    [anon_sym_SLASH_EQ] = ACTIONS(3302),
    [anon_sym_PERCENT_EQ] = ACTIONS(3302),
    [anon_sym_x_EQ] = ACTIONS(3302),
    [anon_sym_AMP_EQ] = ACTIONS(3302),
    [anon_sym_PIPE_EQ] = ACTIONS(3302),
    [anon_sym_CARET_EQ] = ACTIONS(3302),
    [anon_sym_LT_LT_EQ] = ACTIONS(3302),
    [anon_sym_GT_GT_EQ] = ACTIONS(3302),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3302),
    [anon_sym_DOT_DOT] = ACTIONS(3304),
    [anon_sym_STAR_STAR] = ACTIONS(3304),
    [anon_sym_PIPE_PIPE] = ACTIONS(3304),
    [anon_sym_SLASH_SLASH] = ACTIONS(3304),
    [anon_sym_CARET_CARET] = ACTIONS(3302),
    [anon_sym_AMP_AMP] = ACTIONS(3304),
    [anon_sym_PIPE] = ACTIONS(3304),
    [anon_sym_CARET] = ACTIONS(3304),
    [anon_sym_AMP] = ACTIONS(3304),
    [anon_sym_GT_GT2] = ACTIONS(3304),
    [anon_sym_PLUS] = ACTIONS(3304),
    [anon_sym_DASH] = ACTIONS(3304),
    [anon_sym_DOT] = ACTIONS(3304),
    [anon_sym_STAR] = ACTIONS(3304),
    [anon_sym_SLASH] = ACTIONS(3304),
    [anon_sym_x] = ACTIONS(3304),
    [anon_sym_EQ_TILDE] = ACTIONS(3302),
    [anon_sym_BANG_TILDE] = ACTIONS(3302),
    [anon_sym_EQ_EQ] = ACTIONS(3304),
    [anon_sym_BANG_EQ] = ACTIONS(3302),
    [anon_sym_eq] = ACTIONS(3304),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3302),
    [anon_sym_equ] = ACTIONS(3302),
    [anon_sym_eqr] = ACTIONS(3302),
    [anon_sym_ne] = ACTIONS(3302),
    [anon_sym_LT_EQ_GT] = ACTIONS(3302),
    [anon_sym_cmp] = ACTIONS(3302),
    [anon_sym_TILDE_TILDE] = ACTIONS(3302),
    [anon_sym_LT] = ACTIONS(3304),
    [anon_sym_LT_EQ] = ACTIONS(3304),
    [anon_sym_GT_EQ] = ACTIONS(3302),
    [anon_sym_lt] = ACTIONS(3302),
    [anon_sym_le] = ACTIONS(3302),
    [anon_sym_ge] = ACTIONS(3302),
    [anon_sym_gt] = ACTIONS(3302),
    [anon_sym_isa] = ACTIONS(3302),
    [anon_sym_PLUS_PLUS] = ACTIONS(3302),
    [anon_sym_DASH_DASH] = ACTIONS(3302),
    [anon_sym_QMARK] = ACTIONS(3302),
    [anon_sym_EQ_GT] = ACTIONS(3302),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1623] = {
    [sym_heredoc_content] = STATE(1623),
    [anon_sym_LBRACE] = ACTIONS(1857),
    [anon_sym_COLON] = ACTIONS(1857),
    [anon_sym_SEMI] = ACTIONS(1857),
    [anon_sym_EQ] = ACTIONS(1855),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1857),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1857),
    [anon_sym_COMMA] = ACTIONS(1857),
    [anon_sym_LPAREN] = ACTIONS(1857),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(1857),
    [anon_sym_DASH_GT] = ACTIONS(1857),
    [anon_sym_PERCENT] = ACTIONS(1855),
    [anon_sym_GT] = ACTIONS(1855),
    [anon_sym_LT_LT] = ACTIONS(1855),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1857),
    [anon_sym_PLUS_EQ] = ACTIONS(1857),
    [anon_sym_DASH_EQ] = ACTIONS(1857),
    [anon_sym_DOT_EQ] = ACTIONS(1857),
    [anon_sym_STAR_EQ] = ACTIONS(1857),
    [anon_sym_SLASH_EQ] = ACTIONS(1857),
    [anon_sym_PERCENT_EQ] = ACTIONS(1857),
    [anon_sym_x_EQ] = ACTIONS(1857),
    [anon_sym_AMP_EQ] = ACTIONS(1857),
    [anon_sym_PIPE_EQ] = ACTIONS(1857),
    [anon_sym_CARET_EQ] = ACTIONS(1857),
    [anon_sym_LT_LT_EQ] = ACTIONS(1857),
    [anon_sym_GT_GT_EQ] = ACTIONS(1857),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1857),
    [anon_sym_DOT_DOT] = ACTIONS(1855),
    [anon_sym_STAR_STAR] = ACTIONS(1855),
    [anon_sym_PIPE_PIPE] = ACTIONS(1855),
    [anon_sym_SLASH_SLASH] = ACTIONS(1855),
    [anon_sym_CARET_CARET] = ACTIONS(1857),
    [anon_sym_AMP_AMP] = ACTIONS(1855),
    [anon_sym_PIPE] = ACTIONS(1855),
    [anon_sym_CARET] = ACTIONS(1855),
    [anon_sym_AMP] = ACTIONS(1855),
    [anon_sym_GT_GT2] = ACTIONS(1855),
    [anon_sym_PLUS] = ACTIONS(1855),
    [anon_sym_DASH] = ACTIONS(1855),
    [anon_sym_DOT] = ACTIONS(1855),
    [anon_sym_STAR] = ACTIONS(1855),
    [anon_sym_SLASH] = ACTIONS(1855),
    [anon_sym_x] = ACTIONS(1855),
    [anon_sym_EQ_TILDE] = ACTIONS(1857),
    [anon_sym_BANG_TILDE] = ACTIONS(1857),
    [anon_sym_EQ_EQ] = ACTIONS(1855),
    [anon_sym_BANG_EQ] = ACTIONS(1857),
    [anon_sym_eq] = ACTIONS(1855),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1857),
    [anon_sym_equ] = ACTIONS(1857),
    [anon_sym_eqr] = ACTIONS(1857),
    [anon_sym_ne] = ACTIONS(1857),
    [anon_sym_LT_EQ_GT] = ACTIONS(1857),
    [anon_sym_cmp] = ACTIONS(1857),
    [anon_sym_TILDE_TILDE] = ACTIONS(1857),
    [anon_sym_LT] = ACTIONS(1855),
    [anon_sym_LT_EQ] = ACTIONS(1855),
    [anon_sym_GT_EQ] = ACTIONS(1857),
    [anon_sym_lt] = ACTIONS(1857),
    [anon_sym_le] = ACTIONS(1857),
    [anon_sym_ge] = ACTIONS(1857),
    [anon_sym_gt] = ACTIONS(1857),
    [anon_sym_isa] = ACTIONS(1857),
    [anon_sym_PLUS_PLUS] = ACTIONS(1857),
    [anon_sym_DASH_DASH] = ACTIONS(1857),
    [anon_sym_QMARK] = ACTIONS(1857),
    [anon_sym_EQ_GT] = ACTIONS(1857),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(1857),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1624] = {
    [sym_heredoc_content] = STATE(1624),
    [anon_sym_RBRACE] = ACTIONS(3230),
    [anon_sym_EQ] = ACTIONS(3232),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3230),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3230),
    [anon_sym_COMMA] = ACTIONS(3230),
    [anon_sym_RPAREN] = ACTIONS(3230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3230),
    [anon_sym_and] = ACTIONS(3230),
    [anon_sym_or] = ACTIONS(3230),
    [anon_sym_xor] = ACTIONS(3230),
    [anon_sym_RBRACK] = ACTIONS(3230),
    [anon_sym_DASH_GT] = ACTIONS(3230),
    [anon_sym_PERCENT] = ACTIONS(3232),
    [anon_sym_GT] = ACTIONS(3232),
    [anon_sym_LT_LT] = ACTIONS(3232),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3230),
    [anon_sym_PLUS_EQ] = ACTIONS(3230),
    [anon_sym_DASH_EQ] = ACTIONS(3230),
    [anon_sym_DOT_EQ] = ACTIONS(3230),
    [anon_sym_STAR_EQ] = ACTIONS(3230),
    [anon_sym_SLASH_EQ] = ACTIONS(3230),
    [anon_sym_PERCENT_EQ] = ACTIONS(3230),
    [anon_sym_x_EQ] = ACTIONS(3230),
    [anon_sym_AMP_EQ] = ACTIONS(3230),
    [anon_sym_PIPE_EQ] = ACTIONS(3230),
    [anon_sym_CARET_EQ] = ACTIONS(3230),
    [anon_sym_LT_LT_EQ] = ACTIONS(3230),
    [anon_sym_GT_GT_EQ] = ACTIONS(3230),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3230),
    [anon_sym_DOT_DOT] = ACTIONS(3232),
    [anon_sym_STAR_STAR] = ACTIONS(3232),
    [anon_sym_PIPE_PIPE] = ACTIONS(3232),
    [anon_sym_SLASH_SLASH] = ACTIONS(3232),
    [anon_sym_CARET_CARET] = ACTIONS(3230),
    [anon_sym_AMP_AMP] = ACTIONS(3232),
    [anon_sym_PIPE] = ACTIONS(3232),
    [anon_sym_CARET] = ACTIONS(3232),
    [anon_sym_AMP] = ACTIONS(3232),
    [anon_sym_GT_GT2] = ACTIONS(3232),
    [anon_sym_PLUS] = ACTIONS(3232),
    [anon_sym_DASH] = ACTIONS(3232),
    [anon_sym_DOT] = ACTIONS(3232),
    [anon_sym_STAR] = ACTIONS(3232),
    [anon_sym_SLASH] = ACTIONS(3232),
    [anon_sym_x] = ACTIONS(3232),
    [anon_sym_EQ_TILDE] = ACTIONS(3230),
    [anon_sym_BANG_TILDE] = ACTIONS(3230),
    [anon_sym_EQ_EQ] = ACTIONS(3232),
    [anon_sym_BANG_EQ] = ACTIONS(3230),
    [anon_sym_eq] = ACTIONS(3232),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3230),
    [anon_sym_equ] = ACTIONS(3230),
    [anon_sym_eqr] = ACTIONS(3230),
    [anon_sym_ne] = ACTIONS(3230),
    [anon_sym_LT_EQ_GT] = ACTIONS(3230),
    [anon_sym_cmp] = ACTIONS(3230),
    [anon_sym_TILDE_TILDE] = ACTIONS(3230),
    [anon_sym_LT] = ACTIONS(3232),
    [anon_sym_LT_EQ] = ACTIONS(3232),
    [anon_sym_GT_EQ] = ACTIONS(3230),
    [anon_sym_lt] = ACTIONS(3230),
    [anon_sym_le] = ACTIONS(3230),
    [anon_sym_ge] = ACTIONS(3230),
    [anon_sym_gt] = ACTIONS(3230),
    [anon_sym_isa] = ACTIONS(3230),
    [anon_sym_PLUS_PLUS] = ACTIONS(3230),
    [anon_sym_DASH_DASH] = ACTIONS(3230),
    [anon_sym_QMARK] = ACTIONS(3230),
    [anon_sym_EQ_GT] = ACTIONS(3230),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1625] = {
    [sym_heredoc_content] = STATE(1625),
    [anon_sym_RBRACE] = ACTIONS(3306),
    [anon_sym_EQ] = ACTIONS(3308),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3306),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3306),
    [anon_sym_COMMA] = ACTIONS(3306),
    [anon_sym_RPAREN] = ACTIONS(3306),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3306),
    [anon_sym_and] = ACTIONS(3306),
    [anon_sym_or] = ACTIONS(3306),
    [anon_sym_xor] = ACTIONS(3306),
    [anon_sym_RBRACK] = ACTIONS(3306),
    [anon_sym_DASH_GT] = ACTIONS(3306),
    [anon_sym_PERCENT] = ACTIONS(3308),
    [anon_sym_GT] = ACTIONS(3308),
    [anon_sym_LT_LT] = ACTIONS(3308),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3306),
    [anon_sym_PLUS_EQ] = ACTIONS(3306),
    [anon_sym_DASH_EQ] = ACTIONS(3306),
    [anon_sym_DOT_EQ] = ACTIONS(3306),
    [anon_sym_STAR_EQ] = ACTIONS(3306),
    [anon_sym_SLASH_EQ] = ACTIONS(3306),
    [anon_sym_PERCENT_EQ] = ACTIONS(3306),
    [anon_sym_x_EQ] = ACTIONS(3306),
    [anon_sym_AMP_EQ] = ACTIONS(3306),
    [anon_sym_PIPE_EQ] = ACTIONS(3306),
    [anon_sym_CARET_EQ] = ACTIONS(3306),
    [anon_sym_LT_LT_EQ] = ACTIONS(3306),
    [anon_sym_GT_GT_EQ] = ACTIONS(3306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3306),
    [anon_sym_DOT_DOT] = ACTIONS(3308),
    [anon_sym_STAR_STAR] = ACTIONS(3308),
    [anon_sym_PIPE_PIPE] = ACTIONS(3308),
    [anon_sym_SLASH_SLASH] = ACTIONS(3308),
    [anon_sym_CARET_CARET] = ACTIONS(3306),
    [anon_sym_AMP_AMP] = ACTIONS(3308),
    [anon_sym_PIPE] = ACTIONS(3308),
    [anon_sym_CARET] = ACTIONS(3308),
    [anon_sym_AMP] = ACTIONS(3308),
    [anon_sym_GT_GT2] = ACTIONS(3308),
    [anon_sym_PLUS] = ACTIONS(3308),
    [anon_sym_DASH] = ACTIONS(3308),
    [anon_sym_DOT] = ACTIONS(3308),
    [anon_sym_STAR] = ACTIONS(3308),
    [anon_sym_SLASH] = ACTIONS(3308),
    [anon_sym_x] = ACTIONS(3308),
    [anon_sym_EQ_TILDE] = ACTIONS(3306),
    [anon_sym_BANG_TILDE] = ACTIONS(3306),
    [anon_sym_EQ_EQ] = ACTIONS(3308),
    [anon_sym_BANG_EQ] = ACTIONS(3306),
    [anon_sym_eq] = ACTIONS(3308),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3306),
    [anon_sym_equ] = ACTIONS(3306),
    [anon_sym_eqr] = ACTIONS(3306),
    [anon_sym_ne] = ACTIONS(3306),
    [anon_sym_LT_EQ_GT] = ACTIONS(3306),
    [anon_sym_cmp] = ACTIONS(3306),
    [anon_sym_TILDE_TILDE] = ACTIONS(3306),
    [anon_sym_LT] = ACTIONS(3308),
    [anon_sym_LT_EQ] = ACTIONS(3308),
    [anon_sym_GT_EQ] = ACTIONS(3306),
    [anon_sym_lt] = ACTIONS(3306),
    [anon_sym_le] = ACTIONS(3306),
    [anon_sym_ge] = ACTIONS(3306),
    [anon_sym_gt] = ACTIONS(3306),
    [anon_sym_isa] = ACTIONS(3306),
    [anon_sym_PLUS_PLUS] = ACTIONS(3306),
    [anon_sym_DASH_DASH] = ACTIONS(3306),
    [anon_sym_QMARK] = ACTIONS(3306),
    [anon_sym_EQ_GT] = ACTIONS(3306),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1626] = {
    [sym_heredoc_content] = STATE(1626),
    [anon_sym_RBRACE] = ACTIONS(3035),
    [anon_sym_EQ] = ACTIONS(3037),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3035),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3035),
    [anon_sym_COMMA] = ACTIONS(3035),
    [anon_sym_RPAREN] = ACTIONS(3035),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3035),
    [anon_sym_and] = ACTIONS(3035),
    [anon_sym_or] = ACTIONS(3035),
    [anon_sym_xor] = ACTIONS(3035),
    [anon_sym_RBRACK] = ACTIONS(3035),
    [anon_sym_DASH_GT] = ACTIONS(3457),
    [anon_sym_PERCENT] = ACTIONS(3459),
    [anon_sym_GT] = ACTIONS(3461),
    [anon_sym_LT_LT] = ACTIONS(3463),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3035),
    [anon_sym_PLUS_EQ] = ACTIONS(3035),
    [anon_sym_DASH_EQ] = ACTIONS(3035),
    [anon_sym_DOT_EQ] = ACTIONS(3035),
    [anon_sym_STAR_EQ] = ACTIONS(3035),
    [anon_sym_SLASH_EQ] = ACTIONS(3035),
    [anon_sym_PERCENT_EQ] = ACTIONS(3035),
    [anon_sym_x_EQ] = ACTIONS(3035),
    [anon_sym_AMP_EQ] = ACTIONS(3035),
    [anon_sym_PIPE_EQ] = ACTIONS(3035),
    [anon_sym_CARET_EQ] = ACTIONS(3035),
    [anon_sym_LT_LT_EQ] = ACTIONS(3035),
    [anon_sym_GT_GT_EQ] = ACTIONS(3035),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3035),
    [anon_sym_DOT_DOT] = ACTIONS(3037),
    [anon_sym_STAR_STAR] = ACTIONS(3467),
    [anon_sym_PIPE_PIPE] = ACTIONS(3037),
    [anon_sym_SLASH_SLASH] = ACTIONS(3037),
    [anon_sym_CARET_CARET] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(3037),
    [anon_sym_PIPE] = ACTIONS(3037),
    [anon_sym_CARET] = ACTIONS(3037),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym_GT_GT2] = ACTIONS(3463),
    [anon_sym_PLUS] = ACTIONS(3479),
    [anon_sym_DASH] = ACTIONS(3479),
    [anon_sym_DOT] = ACTIONS(3479),
    [anon_sym_STAR] = ACTIONS(3459),
    [anon_sym_SLASH] = ACTIONS(3459),
    [anon_sym_x] = ACTIONS(3459),
    [anon_sym_EQ_TILDE] = ACTIONS(3481),
    [anon_sym_BANG_TILDE] = ACTIONS(3481),
    [anon_sym_EQ_EQ] = ACTIONS(3483),
    [anon_sym_BANG_EQ] = ACTIONS(3485),
    [anon_sym_eq] = ACTIONS(3483),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3485),
    [anon_sym_equ] = ACTIONS(3485),
    [anon_sym_eqr] = ACTIONS(3485),
    [anon_sym_ne] = ACTIONS(3485),
    [anon_sym_LT_EQ_GT] = ACTIONS(3561),
    [anon_sym_cmp] = ACTIONS(3561),
    [anon_sym_TILDE_TILDE] = ACTIONS(3561),
    [anon_sym_LT] = ACTIONS(3461),
    [anon_sym_LT_EQ] = ACTIONS(3461),
    [anon_sym_GT_EQ] = ACTIONS(3489),
    [anon_sym_lt] = ACTIONS(3489),
    [anon_sym_le] = ACTIONS(3489),
    [anon_sym_ge] = ACTIONS(3489),
    [anon_sym_gt] = ACTIONS(3489),
    [anon_sym_isa] = ACTIONS(3491),
    [anon_sym_PLUS_PLUS] = ACTIONS(3493),
    [anon_sym_DASH_DASH] = ACTIONS(3493),
    [anon_sym_QMARK] = ACTIONS(3035),
    [anon_sym_EQ_GT] = ACTIONS(3035),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1627] = {
    [sym_heredoc_content] = STATE(1627),
    [anon_sym_RBRACE] = ACTIONS(2999),
    [anon_sym_EQ] = ACTIONS(3001),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2999),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2999),
    [anon_sym_COMMA] = ACTIONS(2999),
    [anon_sym_RPAREN] = ACTIONS(2999),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2999),
    [anon_sym_and] = ACTIONS(2999),
    [anon_sym_or] = ACTIONS(2999),
    [anon_sym_xor] = ACTIONS(2999),
    [anon_sym_RBRACK] = ACTIONS(2999),
    [anon_sym_DASH_GT] = ACTIONS(2999),
    [anon_sym_PERCENT] = ACTIONS(3001),
    [anon_sym_GT] = ACTIONS(3001),
    [anon_sym_LT_LT] = ACTIONS(3001),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2999),
    [anon_sym_PLUS_EQ] = ACTIONS(2999),
    [anon_sym_DASH_EQ] = ACTIONS(2999),
    [anon_sym_DOT_EQ] = ACTIONS(2999),
    [anon_sym_STAR_EQ] = ACTIONS(2999),
    [anon_sym_SLASH_EQ] = ACTIONS(2999),
    [anon_sym_PERCENT_EQ] = ACTIONS(2999),
    [anon_sym_x_EQ] = ACTIONS(2999),
    [anon_sym_AMP_EQ] = ACTIONS(2999),
    [anon_sym_PIPE_EQ] = ACTIONS(2999),
    [anon_sym_CARET_EQ] = ACTIONS(2999),
    [anon_sym_LT_LT_EQ] = ACTIONS(2999),
    [anon_sym_GT_GT_EQ] = ACTIONS(2999),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2999),
    [anon_sym_DOT_DOT] = ACTIONS(3001),
    [anon_sym_STAR_STAR] = ACTIONS(3001),
    [anon_sym_PIPE_PIPE] = ACTIONS(3001),
    [anon_sym_SLASH_SLASH] = ACTIONS(3001),
    [anon_sym_CARET_CARET] = ACTIONS(2999),
    [anon_sym_AMP_AMP] = ACTIONS(3001),
    [anon_sym_PIPE] = ACTIONS(3001),
    [anon_sym_CARET] = ACTIONS(3001),
    [anon_sym_AMP] = ACTIONS(3001),
    [anon_sym_GT_GT2] = ACTIONS(3001),
    [anon_sym_PLUS] = ACTIONS(3001),
    [anon_sym_DASH] = ACTIONS(3001),
    [anon_sym_DOT] = ACTIONS(3001),
    [anon_sym_STAR] = ACTIONS(3001),
    [anon_sym_SLASH] = ACTIONS(3001),
    [anon_sym_x] = ACTIONS(3001),
    [anon_sym_EQ_TILDE] = ACTIONS(2999),
    [anon_sym_BANG_TILDE] = ACTIONS(2999),
    [anon_sym_EQ_EQ] = ACTIONS(3001),
    [anon_sym_BANG_EQ] = ACTIONS(2999),
    [anon_sym_eq] = ACTIONS(3001),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2999),
    [anon_sym_equ] = ACTIONS(2999),
    [anon_sym_eqr] = ACTIONS(2999),
    [anon_sym_ne] = ACTIONS(2999),
    [anon_sym_LT_EQ_GT] = ACTIONS(2999),
    [anon_sym_cmp] = ACTIONS(2999),
    [anon_sym_TILDE_TILDE] = ACTIONS(2999),
    [anon_sym_LT] = ACTIONS(3001),
    [anon_sym_LT_EQ] = ACTIONS(3001),
    [anon_sym_GT_EQ] = ACTIONS(2999),
    [anon_sym_lt] = ACTIONS(2999),
    [anon_sym_le] = ACTIONS(2999),
    [anon_sym_ge] = ACTIONS(2999),
    [anon_sym_gt] = ACTIONS(2999),
    [anon_sym_isa] = ACTIONS(2999),
    [anon_sym_PLUS_PLUS] = ACTIONS(2999),
    [anon_sym_DASH_DASH] = ACTIONS(2999),
    [anon_sym_QMARK] = ACTIONS(2999),
    [anon_sym_EQ_GT] = ACTIONS(2999),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1628] = {
    [sym_heredoc_content] = STATE(1628),
    [anon_sym_RBRACE] = ACTIONS(3310),
    [anon_sym_EQ] = ACTIONS(3312),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3310),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3310),
    [anon_sym_COMMA] = ACTIONS(3310),
    [anon_sym_RPAREN] = ACTIONS(3310),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3310),
    [anon_sym_and] = ACTIONS(3310),
    [anon_sym_or] = ACTIONS(3310),
    [anon_sym_xor] = ACTIONS(3310),
    [anon_sym_RBRACK] = ACTIONS(3310),
    [anon_sym_DASH_GT] = ACTIONS(3310),
    [anon_sym_PERCENT] = ACTIONS(3312),
    [anon_sym_GT] = ACTIONS(3312),
    [anon_sym_LT_LT] = ACTIONS(3312),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3310),
    [anon_sym_PLUS_EQ] = ACTIONS(3310),
    [anon_sym_DASH_EQ] = ACTIONS(3310),
    [anon_sym_DOT_EQ] = ACTIONS(3310),
    [anon_sym_STAR_EQ] = ACTIONS(3310),
    [anon_sym_SLASH_EQ] = ACTIONS(3310),
    [anon_sym_PERCENT_EQ] = ACTIONS(3310),
    [anon_sym_x_EQ] = ACTIONS(3310),
    [anon_sym_AMP_EQ] = ACTIONS(3310),
    [anon_sym_PIPE_EQ] = ACTIONS(3310),
    [anon_sym_CARET_EQ] = ACTIONS(3310),
    [anon_sym_LT_LT_EQ] = ACTIONS(3310),
    [anon_sym_GT_GT_EQ] = ACTIONS(3310),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3310),
    [anon_sym_DOT_DOT] = ACTIONS(3312),
    [anon_sym_STAR_STAR] = ACTIONS(3312),
    [anon_sym_PIPE_PIPE] = ACTIONS(3312),
    [anon_sym_SLASH_SLASH] = ACTIONS(3312),
    [anon_sym_CARET_CARET] = ACTIONS(3310),
    [anon_sym_AMP_AMP] = ACTIONS(3312),
    [anon_sym_PIPE] = ACTIONS(3312),
    [anon_sym_CARET] = ACTIONS(3312),
    [anon_sym_AMP] = ACTIONS(3312),
    [anon_sym_GT_GT2] = ACTIONS(3312),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_DASH] = ACTIONS(3312),
    [anon_sym_DOT] = ACTIONS(3312),
    [anon_sym_STAR] = ACTIONS(3312),
    [anon_sym_SLASH] = ACTIONS(3312),
    [anon_sym_x] = ACTIONS(3312),
    [anon_sym_EQ_TILDE] = ACTIONS(3310),
    [anon_sym_BANG_TILDE] = ACTIONS(3310),
    [anon_sym_EQ_EQ] = ACTIONS(3312),
    [anon_sym_BANG_EQ] = ACTIONS(3310),
    [anon_sym_eq] = ACTIONS(3312),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3310),
    [anon_sym_equ] = ACTIONS(3310),
    [anon_sym_eqr] = ACTIONS(3310),
    [anon_sym_ne] = ACTIONS(3310),
    [anon_sym_LT_EQ_GT] = ACTIONS(3310),
    [anon_sym_cmp] = ACTIONS(3310),
    [anon_sym_TILDE_TILDE] = ACTIONS(3310),
    [anon_sym_LT] = ACTIONS(3312),
    [anon_sym_LT_EQ] = ACTIONS(3312),
    [anon_sym_GT_EQ] = ACTIONS(3310),
    [anon_sym_lt] = ACTIONS(3310),
    [anon_sym_le] = ACTIONS(3310),
    [anon_sym_ge] = ACTIONS(3310),
    [anon_sym_gt] = ACTIONS(3310),
    [anon_sym_isa] = ACTIONS(3310),
    [anon_sym_PLUS_PLUS] = ACTIONS(3310),
    [anon_sym_DASH_DASH] = ACTIONS(3310),
    [anon_sym_QMARK] = ACTIONS(3310),
    [anon_sym_EQ_GT] = ACTIONS(3310),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1629] = {
    [sym_heredoc_content] = STATE(1629),
    [anon_sym_RBRACE] = ACTIONS(3314),
    [anon_sym_EQ] = ACTIONS(3316),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3314),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3314),
    [anon_sym_COMMA] = ACTIONS(3314),
    [anon_sym_RPAREN] = ACTIONS(3314),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3314),
    [anon_sym_and] = ACTIONS(3314),
    [anon_sym_or] = ACTIONS(3314),
    [anon_sym_xor] = ACTIONS(3314),
    [anon_sym_RBRACK] = ACTIONS(3314),
    [anon_sym_DASH_GT] = ACTIONS(3314),
    [anon_sym_PERCENT] = ACTIONS(3316),
    [anon_sym_GT] = ACTIONS(3316),
    [anon_sym_LT_LT] = ACTIONS(3316),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3314),
    [anon_sym_PLUS_EQ] = ACTIONS(3314),
    [anon_sym_DASH_EQ] = ACTIONS(3314),
    [anon_sym_DOT_EQ] = ACTIONS(3314),
    [anon_sym_STAR_EQ] = ACTIONS(3314),
    [anon_sym_SLASH_EQ] = ACTIONS(3314),
    [anon_sym_PERCENT_EQ] = ACTIONS(3314),
    [anon_sym_x_EQ] = ACTIONS(3314),
    [anon_sym_AMP_EQ] = ACTIONS(3314),
    [anon_sym_PIPE_EQ] = ACTIONS(3314),
    [anon_sym_CARET_EQ] = ACTIONS(3314),
    [anon_sym_LT_LT_EQ] = ACTIONS(3314),
    [anon_sym_GT_GT_EQ] = ACTIONS(3314),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3314),
    [anon_sym_DOT_DOT] = ACTIONS(3316),
    [anon_sym_STAR_STAR] = ACTIONS(3316),
    [anon_sym_PIPE_PIPE] = ACTIONS(3316),
    [anon_sym_SLASH_SLASH] = ACTIONS(3316),
    [anon_sym_CARET_CARET] = ACTIONS(3314),
    [anon_sym_AMP_AMP] = ACTIONS(3316),
    [anon_sym_PIPE] = ACTIONS(3316),
    [anon_sym_CARET] = ACTIONS(3316),
    [anon_sym_AMP] = ACTIONS(3316),
    [anon_sym_GT_GT2] = ACTIONS(3316),
    [anon_sym_PLUS] = ACTIONS(3316),
    [anon_sym_DASH] = ACTIONS(3316),
    [anon_sym_DOT] = ACTIONS(3316),
    [anon_sym_STAR] = ACTIONS(3316),
    [anon_sym_SLASH] = ACTIONS(3316),
    [anon_sym_x] = ACTIONS(3316),
    [anon_sym_EQ_TILDE] = ACTIONS(3314),
    [anon_sym_BANG_TILDE] = ACTIONS(3314),
    [anon_sym_EQ_EQ] = ACTIONS(3316),
    [anon_sym_BANG_EQ] = ACTIONS(3314),
    [anon_sym_eq] = ACTIONS(3316),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3314),
    [anon_sym_equ] = ACTIONS(3314),
    [anon_sym_eqr] = ACTIONS(3314),
    [anon_sym_ne] = ACTIONS(3314),
    [anon_sym_LT_EQ_GT] = ACTIONS(3314),
    [anon_sym_cmp] = ACTIONS(3314),
    [anon_sym_TILDE_TILDE] = ACTIONS(3314),
    [anon_sym_LT] = ACTIONS(3316),
    [anon_sym_LT_EQ] = ACTIONS(3316),
    [anon_sym_GT_EQ] = ACTIONS(3314),
    [anon_sym_lt] = ACTIONS(3314),
    [anon_sym_le] = ACTIONS(3314),
    [anon_sym_ge] = ACTIONS(3314),
    [anon_sym_gt] = ACTIONS(3314),
    [anon_sym_isa] = ACTIONS(3314),
    [anon_sym_PLUS_PLUS] = ACTIONS(3314),
    [anon_sym_DASH_DASH] = ACTIONS(3314),
    [anon_sym_QMARK] = ACTIONS(3314),
    [anon_sym_EQ_GT] = ACTIONS(3314),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1630] = {
    [sym_heredoc_content] = STATE(1630),
    [anon_sym_RBRACE] = ACTIONS(3031),
    [anon_sym_EQ] = ACTIONS(3033),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3031),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3031),
    [anon_sym_COMMA] = ACTIONS(3031),
    [anon_sym_RPAREN] = ACTIONS(3031),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3031),
    [anon_sym_and] = ACTIONS(3031),
    [anon_sym_or] = ACTIONS(3031),
    [anon_sym_xor] = ACTIONS(3031),
    [anon_sym_RBRACK] = ACTIONS(3031),
    [anon_sym_DASH_GT] = ACTIONS(3031),
    [anon_sym_PERCENT] = ACTIONS(3033),
    [anon_sym_GT] = ACTIONS(3033),
    [anon_sym_LT_LT] = ACTIONS(3033),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3031),
    [anon_sym_PLUS_EQ] = ACTIONS(3031),
    [anon_sym_DASH_EQ] = ACTIONS(3031),
    [anon_sym_DOT_EQ] = ACTIONS(3031),
    [anon_sym_STAR_EQ] = ACTIONS(3031),
    [anon_sym_SLASH_EQ] = ACTIONS(3031),
    [anon_sym_PERCENT_EQ] = ACTIONS(3031),
    [anon_sym_x_EQ] = ACTIONS(3031),
    [anon_sym_AMP_EQ] = ACTIONS(3031),
    [anon_sym_PIPE_EQ] = ACTIONS(3031),
    [anon_sym_CARET_EQ] = ACTIONS(3031),
    [anon_sym_LT_LT_EQ] = ACTIONS(3031),
    [anon_sym_GT_GT_EQ] = ACTIONS(3031),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3031),
    [anon_sym_DOT_DOT] = ACTIONS(3033),
    [anon_sym_STAR_STAR] = ACTIONS(3033),
    [anon_sym_PIPE_PIPE] = ACTIONS(3033),
    [anon_sym_SLASH_SLASH] = ACTIONS(3033),
    [anon_sym_CARET_CARET] = ACTIONS(3031),
    [anon_sym_AMP_AMP] = ACTIONS(3033),
    [anon_sym_PIPE] = ACTIONS(3033),
    [anon_sym_CARET] = ACTIONS(3033),
    [anon_sym_AMP] = ACTIONS(3033),
    [anon_sym_GT_GT2] = ACTIONS(3033),
    [anon_sym_PLUS] = ACTIONS(3033),
    [anon_sym_DASH] = ACTIONS(3033),
    [anon_sym_DOT] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3033),
    [anon_sym_SLASH] = ACTIONS(3033),
    [anon_sym_x] = ACTIONS(3033),
    [anon_sym_EQ_TILDE] = ACTIONS(3031),
    [anon_sym_BANG_TILDE] = ACTIONS(3031),
    [anon_sym_EQ_EQ] = ACTIONS(3033),
    [anon_sym_BANG_EQ] = ACTIONS(3031),
    [anon_sym_eq] = ACTIONS(3033),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3031),
    [anon_sym_equ] = ACTIONS(3031),
    [anon_sym_eqr] = ACTIONS(3031),
    [anon_sym_ne] = ACTIONS(3031),
    [anon_sym_LT_EQ_GT] = ACTIONS(3031),
    [anon_sym_cmp] = ACTIONS(3031),
    [anon_sym_TILDE_TILDE] = ACTIONS(3031),
    [anon_sym_LT] = ACTIONS(3033),
    [anon_sym_LT_EQ] = ACTIONS(3033),
    [anon_sym_GT_EQ] = ACTIONS(3031),
    [anon_sym_lt] = ACTIONS(3031),
    [anon_sym_le] = ACTIONS(3031),
    [anon_sym_ge] = ACTIONS(3031),
    [anon_sym_gt] = ACTIONS(3031),
    [anon_sym_isa] = ACTIONS(3031),
    [anon_sym_PLUS_PLUS] = ACTIONS(3031),
    [anon_sym_DASH_DASH] = ACTIONS(3031),
    [anon_sym_QMARK] = ACTIONS(3031),
    [anon_sym_EQ_GT] = ACTIONS(3031),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1631] = {
    [sym_heredoc_content] = STATE(1631),
    [anon_sym_RBRACE] = ACTIONS(3242),
    [anon_sym_EQ] = ACTIONS(3244),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3242),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3242),
    [anon_sym_COMMA] = ACTIONS(3242),
    [anon_sym_RPAREN] = ACTIONS(3242),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3242),
    [anon_sym_and] = ACTIONS(3242),
    [anon_sym_or] = ACTIONS(3242),
    [anon_sym_xor] = ACTIONS(3242),
    [anon_sym_RBRACK] = ACTIONS(3242),
    [anon_sym_DASH_GT] = ACTIONS(3242),
    [anon_sym_PERCENT] = ACTIONS(3244),
    [anon_sym_GT] = ACTIONS(3244),
    [anon_sym_LT_LT] = ACTIONS(3244),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3242),
    [anon_sym_PLUS_EQ] = ACTIONS(3242),
    [anon_sym_DASH_EQ] = ACTIONS(3242),
    [anon_sym_DOT_EQ] = ACTIONS(3242),
    [anon_sym_STAR_EQ] = ACTIONS(3242),
    [anon_sym_SLASH_EQ] = ACTIONS(3242),
    [anon_sym_PERCENT_EQ] = ACTIONS(3242),
    [anon_sym_x_EQ] = ACTIONS(3242),
    [anon_sym_AMP_EQ] = ACTIONS(3242),
    [anon_sym_PIPE_EQ] = ACTIONS(3242),
    [anon_sym_CARET_EQ] = ACTIONS(3242),
    [anon_sym_LT_LT_EQ] = ACTIONS(3242),
    [anon_sym_GT_GT_EQ] = ACTIONS(3242),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3242),
    [anon_sym_DOT_DOT] = ACTIONS(3244),
    [anon_sym_STAR_STAR] = ACTIONS(3244),
    [anon_sym_PIPE_PIPE] = ACTIONS(3244),
    [anon_sym_SLASH_SLASH] = ACTIONS(3244),
    [anon_sym_CARET_CARET] = ACTIONS(3242),
    [anon_sym_AMP_AMP] = ACTIONS(3244),
    [anon_sym_PIPE] = ACTIONS(3244),
    [anon_sym_CARET] = ACTIONS(3244),
    [anon_sym_AMP] = ACTIONS(3244),
    [anon_sym_GT_GT2] = ACTIONS(3244),
    [anon_sym_PLUS] = ACTIONS(3244),
    [anon_sym_DASH] = ACTIONS(3244),
    [anon_sym_DOT] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3244),
    [anon_sym_SLASH] = ACTIONS(3244),
    [anon_sym_x] = ACTIONS(3244),
    [anon_sym_EQ_TILDE] = ACTIONS(3242),
    [anon_sym_BANG_TILDE] = ACTIONS(3242),
    [anon_sym_EQ_EQ] = ACTIONS(3244),
    [anon_sym_BANG_EQ] = ACTIONS(3242),
    [anon_sym_eq] = ACTIONS(3244),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3242),
    [anon_sym_equ] = ACTIONS(3242),
    [anon_sym_eqr] = ACTIONS(3242),
    [anon_sym_ne] = ACTIONS(3242),
    [anon_sym_LT_EQ_GT] = ACTIONS(3242),
    [anon_sym_cmp] = ACTIONS(3242),
    [anon_sym_TILDE_TILDE] = ACTIONS(3242),
    [anon_sym_LT] = ACTIONS(3244),
    [anon_sym_LT_EQ] = ACTIONS(3244),
    [anon_sym_GT_EQ] = ACTIONS(3242),
    [anon_sym_lt] = ACTIONS(3242),
    [anon_sym_le] = ACTIONS(3242),
    [anon_sym_ge] = ACTIONS(3242),
    [anon_sym_gt] = ACTIONS(3242),
    [anon_sym_isa] = ACTIONS(3242),
    [anon_sym_PLUS_PLUS] = ACTIONS(3242),
    [anon_sym_DASH_DASH] = ACTIONS(3242),
    [anon_sym_QMARK] = ACTIONS(3242),
    [anon_sym_EQ_GT] = ACTIONS(3242),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1632] = {
    [sym_heredoc_content] = STATE(1632),
    [anon_sym_RBRACE] = ACTIONS(2995),
    [anon_sym_EQ] = ACTIONS(2997),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2995),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2995),
    [anon_sym_COMMA] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(2995),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2995),
    [anon_sym_and] = ACTIONS(2995),
    [anon_sym_or] = ACTIONS(2995),
    [anon_sym_xor] = ACTIONS(2995),
    [anon_sym_RBRACK] = ACTIONS(2995),
    [anon_sym_DASH_GT] = ACTIONS(2995),
    [anon_sym_PERCENT] = ACTIONS(2997),
    [anon_sym_GT] = ACTIONS(2997),
    [anon_sym_LT_LT] = ACTIONS(2997),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2995),
    [anon_sym_PLUS_EQ] = ACTIONS(2995),
    [anon_sym_DASH_EQ] = ACTIONS(2995),
    [anon_sym_DOT_EQ] = ACTIONS(2995),
    [anon_sym_STAR_EQ] = ACTIONS(2995),
    [anon_sym_SLASH_EQ] = ACTIONS(2995),
    [anon_sym_PERCENT_EQ] = ACTIONS(2995),
    [anon_sym_x_EQ] = ACTIONS(2995),
    [anon_sym_AMP_EQ] = ACTIONS(2995),
    [anon_sym_PIPE_EQ] = ACTIONS(2995),
    [anon_sym_CARET_EQ] = ACTIONS(2995),
    [anon_sym_LT_LT_EQ] = ACTIONS(2995),
    [anon_sym_GT_GT_EQ] = ACTIONS(2995),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2995),
    [anon_sym_DOT_DOT] = ACTIONS(2997),
    [anon_sym_STAR_STAR] = ACTIONS(2997),
    [anon_sym_PIPE_PIPE] = ACTIONS(2997),
    [anon_sym_SLASH_SLASH] = ACTIONS(2997),
    [anon_sym_CARET_CARET] = ACTIONS(2995),
    [anon_sym_AMP_AMP] = ACTIONS(2997),
    [anon_sym_PIPE] = ACTIONS(2997),
    [anon_sym_CARET] = ACTIONS(2997),
    [anon_sym_AMP] = ACTIONS(2997),
    [anon_sym_GT_GT2] = ACTIONS(2997),
    [anon_sym_PLUS] = ACTIONS(2997),
    [anon_sym_DASH] = ACTIONS(2997),
    [anon_sym_DOT] = ACTIONS(2997),
    [anon_sym_STAR] = ACTIONS(2997),
    [anon_sym_SLASH] = ACTIONS(2997),
    [anon_sym_x] = ACTIONS(2997),
    [anon_sym_EQ_TILDE] = ACTIONS(2995),
    [anon_sym_BANG_TILDE] = ACTIONS(2995),
    [anon_sym_EQ_EQ] = ACTIONS(2997),
    [anon_sym_BANG_EQ] = ACTIONS(2995),
    [anon_sym_eq] = ACTIONS(2997),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2995),
    [anon_sym_equ] = ACTIONS(2995),
    [anon_sym_eqr] = ACTIONS(2995),
    [anon_sym_ne] = ACTIONS(2995),
    [anon_sym_LT_EQ_GT] = ACTIONS(2995),
    [anon_sym_cmp] = ACTIONS(2995),
    [anon_sym_TILDE_TILDE] = ACTIONS(2995),
    [anon_sym_LT] = ACTIONS(2997),
    [anon_sym_LT_EQ] = ACTIONS(2997),
    [anon_sym_GT_EQ] = ACTIONS(2995),
    [anon_sym_lt] = ACTIONS(2995),
    [anon_sym_le] = ACTIONS(2995),
    [anon_sym_ge] = ACTIONS(2995),
    [anon_sym_gt] = ACTIONS(2995),
    [anon_sym_isa] = ACTIONS(2995),
    [anon_sym_PLUS_PLUS] = ACTIONS(2995),
    [anon_sym_DASH_DASH] = ACTIONS(2995),
    [anon_sym_QMARK] = ACTIONS(2995),
    [anon_sym_EQ_GT] = ACTIONS(2995),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1633] = {
    [sym_heredoc_content] = STATE(1633),
    [anon_sym_RBRACE] = ACTIONS(2919),
    [anon_sym_EQ] = ACTIONS(2921),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2919),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2919),
    [anon_sym_COMMA] = ACTIONS(2919),
    [anon_sym_RPAREN] = ACTIONS(2919),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2919),
    [anon_sym_and] = ACTIONS(2919),
    [anon_sym_or] = ACTIONS(2919),
    [anon_sym_xor] = ACTIONS(2919),
    [anon_sym_RBRACK] = ACTIONS(2919),
    [anon_sym_DASH_GT] = ACTIONS(2919),
    [anon_sym_PERCENT] = ACTIONS(2921),
    [anon_sym_GT] = ACTIONS(2921),
    [anon_sym_LT_LT] = ACTIONS(2921),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2919),
    [anon_sym_PLUS_EQ] = ACTIONS(2919),
    [anon_sym_DASH_EQ] = ACTIONS(2919),
    [anon_sym_DOT_EQ] = ACTIONS(2919),
    [anon_sym_STAR_EQ] = ACTIONS(2919),
    [anon_sym_SLASH_EQ] = ACTIONS(2919),
    [anon_sym_PERCENT_EQ] = ACTIONS(2919),
    [anon_sym_x_EQ] = ACTIONS(2919),
    [anon_sym_AMP_EQ] = ACTIONS(2919),
    [anon_sym_PIPE_EQ] = ACTIONS(2919),
    [anon_sym_CARET_EQ] = ACTIONS(2919),
    [anon_sym_LT_LT_EQ] = ACTIONS(2919),
    [anon_sym_GT_GT_EQ] = ACTIONS(2919),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2919),
    [anon_sym_DOT_DOT] = ACTIONS(2921),
    [anon_sym_STAR_STAR] = ACTIONS(2921),
    [anon_sym_PIPE_PIPE] = ACTIONS(2921),
    [anon_sym_SLASH_SLASH] = ACTIONS(2921),
    [anon_sym_CARET_CARET] = ACTIONS(2919),
    [anon_sym_AMP_AMP] = ACTIONS(2921),
    [anon_sym_PIPE] = ACTIONS(2921),
    [anon_sym_CARET] = ACTIONS(2921),
    [anon_sym_AMP] = ACTIONS(2921),
    [anon_sym_GT_GT2] = ACTIONS(2921),
    [anon_sym_PLUS] = ACTIONS(2921),
    [anon_sym_DASH] = ACTIONS(2921),
    [anon_sym_DOT] = ACTIONS(2921),
    [anon_sym_STAR] = ACTIONS(2921),
    [anon_sym_SLASH] = ACTIONS(2921),
    [anon_sym_x] = ACTIONS(2921),
    [anon_sym_EQ_TILDE] = ACTIONS(2919),
    [anon_sym_BANG_TILDE] = ACTIONS(2919),
    [anon_sym_EQ_EQ] = ACTIONS(2921),
    [anon_sym_BANG_EQ] = ACTIONS(2919),
    [anon_sym_eq] = ACTIONS(2921),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2919),
    [anon_sym_equ] = ACTIONS(2919),
    [anon_sym_eqr] = ACTIONS(2919),
    [anon_sym_ne] = ACTIONS(2919),
    [anon_sym_LT_EQ_GT] = ACTIONS(2919),
    [anon_sym_cmp] = ACTIONS(2919),
    [anon_sym_TILDE_TILDE] = ACTIONS(2919),
    [anon_sym_LT] = ACTIONS(2921),
    [anon_sym_LT_EQ] = ACTIONS(2921),
    [anon_sym_GT_EQ] = ACTIONS(2919),
    [anon_sym_lt] = ACTIONS(2919),
    [anon_sym_le] = ACTIONS(2919),
    [anon_sym_ge] = ACTIONS(2919),
    [anon_sym_gt] = ACTIONS(2919),
    [anon_sym_isa] = ACTIONS(2919),
    [anon_sym_PLUS_PLUS] = ACTIONS(2919),
    [anon_sym_DASH_DASH] = ACTIONS(2919),
    [anon_sym_QMARK] = ACTIONS(2919),
    [anon_sym_EQ_GT] = ACTIONS(2919),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1634] = {
    [sym_heredoc_content] = STATE(1634),
    [anon_sym_RBRACE] = ACTIONS(2967),
    [anon_sym_EQ] = ACTIONS(2969),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2967),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2967),
    [anon_sym_COMMA] = ACTIONS(2967),
    [anon_sym_RPAREN] = ACTIONS(2967),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2967),
    [anon_sym_and] = ACTIONS(2967),
    [anon_sym_or] = ACTIONS(2967),
    [anon_sym_xor] = ACTIONS(2967),
    [anon_sym_RBRACK] = ACTIONS(2967),
    [anon_sym_DASH_GT] = ACTIONS(2967),
    [anon_sym_PERCENT] = ACTIONS(2969),
    [anon_sym_GT] = ACTIONS(2969),
    [anon_sym_LT_LT] = ACTIONS(2969),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2967),
    [anon_sym_PLUS_EQ] = ACTIONS(2967),
    [anon_sym_DASH_EQ] = ACTIONS(2967),
    [anon_sym_DOT_EQ] = ACTIONS(2967),
    [anon_sym_STAR_EQ] = ACTIONS(2967),
    [anon_sym_SLASH_EQ] = ACTIONS(2967),
    [anon_sym_PERCENT_EQ] = ACTIONS(2967),
    [anon_sym_x_EQ] = ACTIONS(2967),
    [anon_sym_AMP_EQ] = ACTIONS(2967),
    [anon_sym_PIPE_EQ] = ACTIONS(2967),
    [anon_sym_CARET_EQ] = ACTIONS(2967),
    [anon_sym_LT_LT_EQ] = ACTIONS(2967),
    [anon_sym_GT_GT_EQ] = ACTIONS(2967),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2967),
    [anon_sym_DOT_DOT] = ACTIONS(2969),
    [anon_sym_STAR_STAR] = ACTIONS(2969),
    [anon_sym_PIPE_PIPE] = ACTIONS(2969),
    [anon_sym_SLASH_SLASH] = ACTIONS(2969),
    [anon_sym_CARET_CARET] = ACTIONS(2967),
    [anon_sym_AMP_AMP] = ACTIONS(2969),
    [anon_sym_PIPE] = ACTIONS(2969),
    [anon_sym_CARET] = ACTIONS(2969),
    [anon_sym_AMP] = ACTIONS(2969),
    [anon_sym_GT_GT2] = ACTIONS(2969),
    [anon_sym_PLUS] = ACTIONS(2969),
    [anon_sym_DASH] = ACTIONS(2969),
    [anon_sym_DOT] = ACTIONS(2969),
    [anon_sym_STAR] = ACTIONS(2969),
    [anon_sym_SLASH] = ACTIONS(2969),
    [anon_sym_x] = ACTIONS(2969),
    [anon_sym_EQ_TILDE] = ACTIONS(2967),
    [anon_sym_BANG_TILDE] = ACTIONS(2967),
    [anon_sym_EQ_EQ] = ACTIONS(2969),
    [anon_sym_BANG_EQ] = ACTIONS(2967),
    [anon_sym_eq] = ACTIONS(2969),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2967),
    [anon_sym_equ] = ACTIONS(2967),
    [anon_sym_eqr] = ACTIONS(2967),
    [anon_sym_ne] = ACTIONS(2967),
    [anon_sym_LT_EQ_GT] = ACTIONS(2967),
    [anon_sym_cmp] = ACTIONS(2967),
    [anon_sym_TILDE_TILDE] = ACTIONS(2967),
    [anon_sym_LT] = ACTIONS(2969),
    [anon_sym_LT_EQ] = ACTIONS(2969),
    [anon_sym_GT_EQ] = ACTIONS(2967),
    [anon_sym_lt] = ACTIONS(2967),
    [anon_sym_le] = ACTIONS(2967),
    [anon_sym_ge] = ACTIONS(2967),
    [anon_sym_gt] = ACTIONS(2967),
    [anon_sym_isa] = ACTIONS(2967),
    [anon_sym_PLUS_PLUS] = ACTIONS(2967),
    [anon_sym_DASH_DASH] = ACTIONS(2967),
    [anon_sym_QMARK] = ACTIONS(2967),
    [anon_sym_EQ_GT] = ACTIONS(2967),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1635] = {
    [sym_heredoc_content] = STATE(1635),
    [anon_sym_RBRACE] = ACTIONS(2971),
    [anon_sym_EQ] = ACTIONS(2973),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2971),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2971),
    [anon_sym_COMMA] = ACTIONS(2971),
    [anon_sym_RPAREN] = ACTIONS(2971),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2971),
    [anon_sym_and] = ACTIONS(2971),
    [anon_sym_or] = ACTIONS(2971),
    [anon_sym_xor] = ACTIONS(2971),
    [anon_sym_RBRACK] = ACTIONS(2971),
    [anon_sym_DASH_GT] = ACTIONS(2971),
    [anon_sym_PERCENT] = ACTIONS(2973),
    [anon_sym_GT] = ACTIONS(2973),
    [anon_sym_LT_LT] = ACTIONS(2973),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2971),
    [anon_sym_PLUS_EQ] = ACTIONS(2971),
    [anon_sym_DASH_EQ] = ACTIONS(2971),
    [anon_sym_DOT_EQ] = ACTIONS(2971),
    [anon_sym_STAR_EQ] = ACTIONS(2971),
    [anon_sym_SLASH_EQ] = ACTIONS(2971),
    [anon_sym_PERCENT_EQ] = ACTIONS(2971),
    [anon_sym_x_EQ] = ACTIONS(2971),
    [anon_sym_AMP_EQ] = ACTIONS(2971),
    [anon_sym_PIPE_EQ] = ACTIONS(2971),
    [anon_sym_CARET_EQ] = ACTIONS(2971),
    [anon_sym_LT_LT_EQ] = ACTIONS(2971),
    [anon_sym_GT_GT_EQ] = ACTIONS(2971),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2971),
    [anon_sym_DOT_DOT] = ACTIONS(2973),
    [anon_sym_STAR_STAR] = ACTIONS(2973),
    [anon_sym_PIPE_PIPE] = ACTIONS(2973),
    [anon_sym_SLASH_SLASH] = ACTIONS(2973),
    [anon_sym_CARET_CARET] = ACTIONS(2971),
    [anon_sym_AMP_AMP] = ACTIONS(2973),
    [anon_sym_PIPE] = ACTIONS(2973),
    [anon_sym_CARET] = ACTIONS(2973),
    [anon_sym_AMP] = ACTIONS(2973),
    [anon_sym_GT_GT2] = ACTIONS(2973),
    [anon_sym_PLUS] = ACTIONS(2973),
    [anon_sym_DASH] = ACTIONS(2973),
    [anon_sym_DOT] = ACTIONS(2973),
    [anon_sym_STAR] = ACTIONS(2973),
    [anon_sym_SLASH] = ACTIONS(2973),
    [anon_sym_x] = ACTIONS(2973),
    [anon_sym_EQ_TILDE] = ACTIONS(2971),
    [anon_sym_BANG_TILDE] = ACTIONS(2971),
    [anon_sym_EQ_EQ] = ACTIONS(2973),
    [anon_sym_BANG_EQ] = ACTIONS(2971),
    [anon_sym_eq] = ACTIONS(2973),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2971),
    [anon_sym_equ] = ACTIONS(2971),
    [anon_sym_eqr] = ACTIONS(2971),
    [anon_sym_ne] = ACTIONS(2971),
    [anon_sym_LT_EQ_GT] = ACTIONS(2971),
    [anon_sym_cmp] = ACTIONS(2971),
    [anon_sym_TILDE_TILDE] = ACTIONS(2971),
    [anon_sym_LT] = ACTIONS(2973),
    [anon_sym_LT_EQ] = ACTIONS(2973),
    [anon_sym_GT_EQ] = ACTIONS(2971),
    [anon_sym_lt] = ACTIONS(2971),
    [anon_sym_le] = ACTIONS(2971),
    [anon_sym_ge] = ACTIONS(2971),
    [anon_sym_gt] = ACTIONS(2971),
    [anon_sym_isa] = ACTIONS(2971),
    [anon_sym_PLUS_PLUS] = ACTIONS(2971),
    [anon_sym_DASH_DASH] = ACTIONS(2971),
    [anon_sym_QMARK] = ACTIONS(2971),
    [anon_sym_EQ_GT] = ACTIONS(2971),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1636] = {
    [sym_heredoc_content] = STATE(1636),
    [anon_sym_RBRACE] = ACTIONS(3007),
    [anon_sym_EQ] = ACTIONS(3009),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3007),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3007),
    [anon_sym_COMMA] = ACTIONS(3007),
    [anon_sym_RPAREN] = ACTIONS(3007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3007),
    [anon_sym_and] = ACTIONS(3007),
    [anon_sym_or] = ACTIONS(3007),
    [anon_sym_xor] = ACTIONS(3007),
    [anon_sym_RBRACK] = ACTIONS(3007),
    [anon_sym_DASH_GT] = ACTIONS(3007),
    [anon_sym_PERCENT] = ACTIONS(3009),
    [anon_sym_GT] = ACTIONS(3009),
    [anon_sym_LT_LT] = ACTIONS(3009),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3007),
    [anon_sym_PLUS_EQ] = ACTIONS(3007),
    [anon_sym_DASH_EQ] = ACTIONS(3007),
    [anon_sym_DOT_EQ] = ACTIONS(3007),
    [anon_sym_STAR_EQ] = ACTIONS(3007),
    [anon_sym_SLASH_EQ] = ACTIONS(3007),
    [anon_sym_PERCENT_EQ] = ACTIONS(3007),
    [anon_sym_x_EQ] = ACTIONS(3007),
    [anon_sym_AMP_EQ] = ACTIONS(3007),
    [anon_sym_PIPE_EQ] = ACTIONS(3007),
    [anon_sym_CARET_EQ] = ACTIONS(3007),
    [anon_sym_LT_LT_EQ] = ACTIONS(3007),
    [anon_sym_GT_GT_EQ] = ACTIONS(3007),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3007),
    [anon_sym_DOT_DOT] = ACTIONS(3009),
    [anon_sym_STAR_STAR] = ACTIONS(3009),
    [anon_sym_PIPE_PIPE] = ACTIONS(3009),
    [anon_sym_SLASH_SLASH] = ACTIONS(3009),
    [anon_sym_CARET_CARET] = ACTIONS(3007),
    [anon_sym_AMP_AMP] = ACTIONS(3009),
    [anon_sym_PIPE] = ACTIONS(3009),
    [anon_sym_CARET] = ACTIONS(3009),
    [anon_sym_AMP] = ACTIONS(3009),
    [anon_sym_GT_GT2] = ACTIONS(3009),
    [anon_sym_PLUS] = ACTIONS(3009),
    [anon_sym_DASH] = ACTIONS(3009),
    [anon_sym_DOT] = ACTIONS(3009),
    [anon_sym_STAR] = ACTIONS(3009),
    [anon_sym_SLASH] = ACTIONS(3009),
    [anon_sym_x] = ACTIONS(3009),
    [anon_sym_EQ_TILDE] = ACTIONS(3007),
    [anon_sym_BANG_TILDE] = ACTIONS(3007),
    [anon_sym_EQ_EQ] = ACTIONS(3009),
    [anon_sym_BANG_EQ] = ACTIONS(3007),
    [anon_sym_eq] = ACTIONS(3009),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3007),
    [anon_sym_equ] = ACTIONS(3007),
    [anon_sym_eqr] = ACTIONS(3007),
    [anon_sym_ne] = ACTIONS(3007),
    [anon_sym_LT_EQ_GT] = ACTIONS(3007),
    [anon_sym_cmp] = ACTIONS(3007),
    [anon_sym_TILDE_TILDE] = ACTIONS(3007),
    [anon_sym_LT] = ACTIONS(3009),
    [anon_sym_LT_EQ] = ACTIONS(3009),
    [anon_sym_GT_EQ] = ACTIONS(3007),
    [anon_sym_lt] = ACTIONS(3007),
    [anon_sym_le] = ACTIONS(3007),
    [anon_sym_ge] = ACTIONS(3007),
    [anon_sym_gt] = ACTIONS(3007),
    [anon_sym_isa] = ACTIONS(3007),
    [anon_sym_PLUS_PLUS] = ACTIONS(3007),
    [anon_sym_DASH_DASH] = ACTIONS(3007),
    [anon_sym_QMARK] = ACTIONS(3007),
    [anon_sym_EQ_GT] = ACTIONS(3007),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1637] = {
    [sym_heredoc_content] = STATE(1637),
    [anon_sym_LBRACE] = ACTIONS(2502),
    [anon_sym_RBRACE] = ACTIONS(2502),
    [anon_sym_COLON] = ACTIONS(2502),
    [anon_sym_EQ] = ACTIONS(2504),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2502),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2502),
    [anon_sym_COMMA] = ACTIONS(2502),
    [anon_sym_RPAREN] = ACTIONS(2502),
    [anon_sym_LPAREN] = ACTIONS(2502),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2502),
    [anon_sym_LBRACK] = ACTIONS(2502),
    [anon_sym_DASH_GT] = ACTIONS(2502),
    [anon_sym_PERCENT] = ACTIONS(2504),
    [anon_sym_GT] = ACTIONS(2504),
    [anon_sym_LT_LT] = ACTIONS(2504),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2502),
    [anon_sym_PLUS_EQ] = ACTIONS(2502),
    [anon_sym_DASH_EQ] = ACTIONS(2502),
    [anon_sym_DOT_EQ] = ACTIONS(2502),
    [anon_sym_STAR_EQ] = ACTIONS(2502),
    [anon_sym_SLASH_EQ] = ACTIONS(2502),
    [anon_sym_PERCENT_EQ] = ACTIONS(2502),
    [anon_sym_x_EQ] = ACTIONS(2502),
    [anon_sym_AMP_EQ] = ACTIONS(2502),
    [anon_sym_PIPE_EQ] = ACTIONS(2502),
    [anon_sym_CARET_EQ] = ACTIONS(2502),
    [anon_sym_LT_LT_EQ] = ACTIONS(2502),
    [anon_sym_GT_GT_EQ] = ACTIONS(2502),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2502),
    [anon_sym_DOT_DOT] = ACTIONS(2504),
    [anon_sym_STAR_STAR] = ACTIONS(2504),
    [anon_sym_PIPE_PIPE] = ACTIONS(2504),
    [anon_sym_SLASH_SLASH] = ACTIONS(2504),
    [anon_sym_CARET_CARET] = ACTIONS(2502),
    [anon_sym_AMP_AMP] = ACTIONS(2504),
    [anon_sym_PIPE] = ACTIONS(2504),
    [anon_sym_CARET] = ACTIONS(2504),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_GT_GT2] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_DOT] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2504),
    [anon_sym_SLASH] = ACTIONS(2504),
    [anon_sym_x] = ACTIONS(2504),
    [anon_sym_EQ_TILDE] = ACTIONS(2502),
    [anon_sym_BANG_TILDE] = ACTIONS(2502),
    [anon_sym_EQ_EQ] = ACTIONS(2504),
    [anon_sym_BANG_EQ] = ACTIONS(2502),
    [anon_sym_eq] = ACTIONS(2504),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2502),
    [anon_sym_equ] = ACTIONS(2502),
    [anon_sym_eqr] = ACTIONS(2502),
    [anon_sym_ne] = ACTIONS(2502),
    [anon_sym_LT_EQ_GT] = ACTIONS(2502),
    [anon_sym_cmp] = ACTIONS(2502),
    [anon_sym_TILDE_TILDE] = ACTIONS(2502),
    [anon_sym_LT] = ACTIONS(2504),
    [anon_sym_LT_EQ] = ACTIONS(2504),
    [anon_sym_GT_EQ] = ACTIONS(2502),
    [anon_sym_lt] = ACTIONS(2502),
    [anon_sym_le] = ACTIONS(2502),
    [anon_sym_ge] = ACTIONS(2502),
    [anon_sym_gt] = ACTIONS(2502),
    [anon_sym_isa] = ACTIONS(2502),
    [anon_sym_PLUS_PLUS] = ACTIONS(2502),
    [anon_sym_DASH_DASH] = ACTIONS(2502),
    [anon_sym_QMARK] = ACTIONS(2502),
    [anon_sym_EQ_GT] = ACTIONS(2502),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1638] = {
    [sym_heredoc_content] = STATE(1638),
    [anon_sym_RBRACE] = ACTIONS(3074),
    [anon_sym_EQ] = ACTIONS(3076),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3074),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3074),
    [anon_sym_COMMA] = ACTIONS(3074),
    [anon_sym_RPAREN] = ACTIONS(3074),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3074),
    [anon_sym_and] = ACTIONS(3074),
    [anon_sym_or] = ACTIONS(3074),
    [anon_sym_xor] = ACTIONS(3074),
    [anon_sym_RBRACK] = ACTIONS(3074),
    [anon_sym_DASH_GT] = ACTIONS(3074),
    [anon_sym_PERCENT] = ACTIONS(3076),
    [anon_sym_GT] = ACTIONS(3076),
    [anon_sym_LT_LT] = ACTIONS(3076),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3074),
    [anon_sym_PLUS_EQ] = ACTIONS(3074),
    [anon_sym_DASH_EQ] = ACTIONS(3074),
    [anon_sym_DOT_EQ] = ACTIONS(3074),
    [anon_sym_STAR_EQ] = ACTIONS(3074),
    [anon_sym_SLASH_EQ] = ACTIONS(3074),
    [anon_sym_PERCENT_EQ] = ACTIONS(3074),
    [anon_sym_x_EQ] = ACTIONS(3074),
    [anon_sym_AMP_EQ] = ACTIONS(3074),
    [anon_sym_PIPE_EQ] = ACTIONS(3074),
    [anon_sym_CARET_EQ] = ACTIONS(3074),
    [anon_sym_LT_LT_EQ] = ACTIONS(3074),
    [anon_sym_GT_GT_EQ] = ACTIONS(3074),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3074),
    [anon_sym_DOT_DOT] = ACTIONS(3076),
    [anon_sym_STAR_STAR] = ACTIONS(3076),
    [anon_sym_PIPE_PIPE] = ACTIONS(3076),
    [anon_sym_SLASH_SLASH] = ACTIONS(3076),
    [anon_sym_CARET_CARET] = ACTIONS(3074),
    [anon_sym_AMP_AMP] = ACTIONS(3076),
    [anon_sym_PIPE] = ACTIONS(3076),
    [anon_sym_CARET] = ACTIONS(3076),
    [anon_sym_AMP] = ACTIONS(3076),
    [anon_sym_GT_GT2] = ACTIONS(3076),
    [anon_sym_PLUS] = ACTIONS(3076),
    [anon_sym_DASH] = ACTIONS(3076),
    [anon_sym_DOT] = ACTIONS(3076),
    [anon_sym_STAR] = ACTIONS(3076),
    [anon_sym_SLASH] = ACTIONS(3076),
    [anon_sym_x] = ACTIONS(3076),
    [anon_sym_EQ_TILDE] = ACTIONS(3074),
    [anon_sym_BANG_TILDE] = ACTIONS(3074),
    [anon_sym_EQ_EQ] = ACTIONS(3076),
    [anon_sym_BANG_EQ] = ACTIONS(3074),
    [anon_sym_eq] = ACTIONS(3076),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3074),
    [anon_sym_equ] = ACTIONS(3074),
    [anon_sym_eqr] = ACTIONS(3074),
    [anon_sym_ne] = ACTIONS(3074),
    [anon_sym_LT_EQ_GT] = ACTIONS(3074),
    [anon_sym_cmp] = ACTIONS(3074),
    [anon_sym_TILDE_TILDE] = ACTIONS(3074),
    [anon_sym_LT] = ACTIONS(3076),
    [anon_sym_LT_EQ] = ACTIONS(3076),
    [anon_sym_GT_EQ] = ACTIONS(3074),
    [anon_sym_lt] = ACTIONS(3074),
    [anon_sym_le] = ACTIONS(3074),
    [anon_sym_ge] = ACTIONS(3074),
    [anon_sym_gt] = ACTIONS(3074),
    [anon_sym_isa] = ACTIONS(3074),
    [anon_sym_PLUS_PLUS] = ACTIONS(3074),
    [anon_sym_DASH_DASH] = ACTIONS(3074),
    [anon_sym_QMARK] = ACTIONS(3074),
    [anon_sym_EQ_GT] = ACTIONS(3074),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1639] = {
    [sym_heredoc_content] = STATE(1639),
    [anon_sym_RBRACE] = ACTIONS(3266),
    [anon_sym_EQ] = ACTIONS(3268),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3266),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3266),
    [anon_sym_COMMA] = ACTIONS(3266),
    [anon_sym_RPAREN] = ACTIONS(3266),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3266),
    [anon_sym_and] = ACTIONS(3266),
    [anon_sym_or] = ACTIONS(3266),
    [anon_sym_xor] = ACTIONS(3266),
    [anon_sym_RBRACK] = ACTIONS(3266),
    [anon_sym_DASH_GT] = ACTIONS(3266),
    [anon_sym_PERCENT] = ACTIONS(3268),
    [anon_sym_GT] = ACTIONS(3268),
    [anon_sym_LT_LT] = ACTIONS(3268),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3266),
    [anon_sym_PLUS_EQ] = ACTIONS(3266),
    [anon_sym_DASH_EQ] = ACTIONS(3266),
    [anon_sym_DOT_EQ] = ACTIONS(3266),
    [anon_sym_STAR_EQ] = ACTIONS(3266),
    [anon_sym_SLASH_EQ] = ACTIONS(3266),
    [anon_sym_PERCENT_EQ] = ACTIONS(3266),
    [anon_sym_x_EQ] = ACTIONS(3266),
    [anon_sym_AMP_EQ] = ACTIONS(3266),
    [anon_sym_PIPE_EQ] = ACTIONS(3266),
    [anon_sym_CARET_EQ] = ACTIONS(3266),
    [anon_sym_LT_LT_EQ] = ACTIONS(3266),
    [anon_sym_GT_GT_EQ] = ACTIONS(3266),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3266),
    [anon_sym_DOT_DOT] = ACTIONS(3268),
    [anon_sym_STAR_STAR] = ACTIONS(3268),
    [anon_sym_PIPE_PIPE] = ACTIONS(3268),
    [anon_sym_SLASH_SLASH] = ACTIONS(3268),
    [anon_sym_CARET_CARET] = ACTIONS(3266),
    [anon_sym_AMP_AMP] = ACTIONS(3268),
    [anon_sym_PIPE] = ACTIONS(3268),
    [anon_sym_CARET] = ACTIONS(3268),
    [anon_sym_AMP] = ACTIONS(3268),
    [anon_sym_GT_GT2] = ACTIONS(3268),
    [anon_sym_PLUS] = ACTIONS(3268),
    [anon_sym_DASH] = ACTIONS(3268),
    [anon_sym_DOT] = ACTIONS(3268),
    [anon_sym_STAR] = ACTIONS(3268),
    [anon_sym_SLASH] = ACTIONS(3268),
    [anon_sym_x] = ACTIONS(3268),
    [anon_sym_EQ_TILDE] = ACTIONS(3266),
    [anon_sym_BANG_TILDE] = ACTIONS(3266),
    [anon_sym_EQ_EQ] = ACTIONS(3268),
    [anon_sym_BANG_EQ] = ACTIONS(3266),
    [anon_sym_eq] = ACTIONS(3268),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3266),
    [anon_sym_equ] = ACTIONS(3266),
    [anon_sym_eqr] = ACTIONS(3266),
    [anon_sym_ne] = ACTIONS(3266),
    [anon_sym_LT_EQ_GT] = ACTIONS(3266),
    [anon_sym_cmp] = ACTIONS(3266),
    [anon_sym_TILDE_TILDE] = ACTIONS(3266),
    [anon_sym_LT] = ACTIONS(3268),
    [anon_sym_LT_EQ] = ACTIONS(3268),
    [anon_sym_GT_EQ] = ACTIONS(3266),
    [anon_sym_lt] = ACTIONS(3266),
    [anon_sym_le] = ACTIONS(3266),
    [anon_sym_ge] = ACTIONS(3266),
    [anon_sym_gt] = ACTIONS(3266),
    [anon_sym_isa] = ACTIONS(3266),
    [anon_sym_PLUS_PLUS] = ACTIONS(3266),
    [anon_sym_DASH_DASH] = ACTIONS(3266),
    [anon_sym_QMARK] = ACTIONS(3266),
    [anon_sym_EQ_GT] = ACTIONS(3266),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1640] = {
    [sym_heredoc_content] = STATE(1640),
    [anon_sym_RBRACE] = ACTIONS(2887),
    [anon_sym_EQ] = ACTIONS(1968),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2887),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2887),
    [anon_sym_COMMA] = ACTIONS(2887),
    [anon_sym_RPAREN] = ACTIONS(2887),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2887),
    [anon_sym_and] = ACTIONS(2887),
    [anon_sym_or] = ACTIONS(2887),
    [anon_sym_xor] = ACTIONS(2887),
    [anon_sym_RBRACK] = ACTIONS(2887),
    [anon_sym_DASH_GT] = ACTIONS(2887),
    [anon_sym_PERCENT] = ACTIONS(1968),
    [anon_sym_GT] = ACTIONS(1968),
    [anon_sym_LT_LT] = ACTIONS(1968),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2887),
    [anon_sym_PLUS_EQ] = ACTIONS(2887),
    [anon_sym_DASH_EQ] = ACTIONS(2887),
    [anon_sym_DOT_EQ] = ACTIONS(2887),
    [anon_sym_STAR_EQ] = ACTIONS(2887),
    [anon_sym_SLASH_EQ] = ACTIONS(2887),
    [anon_sym_PERCENT_EQ] = ACTIONS(2887),
    [anon_sym_x_EQ] = ACTIONS(2887),
    [anon_sym_AMP_EQ] = ACTIONS(2887),
    [anon_sym_PIPE_EQ] = ACTIONS(2887),
    [anon_sym_CARET_EQ] = ACTIONS(2887),
    [anon_sym_LT_LT_EQ] = ACTIONS(2887),
    [anon_sym_GT_GT_EQ] = ACTIONS(2887),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2887),
    [anon_sym_DOT_DOT] = ACTIONS(1968),
    [anon_sym_STAR_STAR] = ACTIONS(1968),
    [anon_sym_PIPE_PIPE] = ACTIONS(1968),
    [anon_sym_SLASH_SLASH] = ACTIONS(1968),
    [anon_sym_CARET_CARET] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(1968),
    [anon_sym_PIPE] = ACTIONS(1968),
    [anon_sym_CARET] = ACTIONS(1968),
    [anon_sym_AMP] = ACTIONS(1968),
    [anon_sym_GT_GT2] = ACTIONS(1968),
    [anon_sym_PLUS] = ACTIONS(1968),
    [anon_sym_DASH] = ACTIONS(1968),
    [anon_sym_DOT] = ACTIONS(1968),
    [anon_sym_STAR] = ACTIONS(1968),
    [anon_sym_SLASH] = ACTIONS(1968),
    [anon_sym_x] = ACTIONS(1968),
    [anon_sym_EQ_TILDE] = ACTIONS(2887),
    [anon_sym_BANG_TILDE] = ACTIONS(2887),
    [anon_sym_EQ_EQ] = ACTIONS(1968),
    [anon_sym_BANG_EQ] = ACTIONS(2887),
    [anon_sym_eq] = ACTIONS(1968),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2887),
    [anon_sym_equ] = ACTIONS(2887),
    [anon_sym_eqr] = ACTIONS(2887),
    [anon_sym_ne] = ACTIONS(2887),
    [anon_sym_LT_EQ_GT] = ACTIONS(2887),
    [anon_sym_cmp] = ACTIONS(2887),
    [anon_sym_TILDE_TILDE] = ACTIONS(2887),
    [anon_sym_LT] = ACTIONS(1968),
    [anon_sym_LT_EQ] = ACTIONS(1968),
    [anon_sym_GT_EQ] = ACTIONS(2887),
    [anon_sym_lt] = ACTIONS(2887),
    [anon_sym_le] = ACTIONS(2887),
    [anon_sym_ge] = ACTIONS(2887),
    [anon_sym_gt] = ACTIONS(2887),
    [anon_sym_isa] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_QMARK] = ACTIONS(2887),
    [anon_sym_EQ_GT] = ACTIONS(2887),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1641] = {
    [sym_heredoc_content] = STATE(1641),
    [anon_sym_RBRACE] = ACTIONS(2893),
    [anon_sym_EQ] = ACTIONS(2895),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2893),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2893),
    [anon_sym_COMMA] = ACTIONS(2893),
    [anon_sym_RPAREN] = ACTIONS(2893),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2893),
    [anon_sym_and] = ACTIONS(2893),
    [anon_sym_or] = ACTIONS(2893),
    [anon_sym_xor] = ACTIONS(2893),
    [anon_sym_RBRACK] = ACTIONS(2893),
    [anon_sym_DASH_GT] = ACTIONS(2893),
    [anon_sym_PERCENT] = ACTIONS(2895),
    [anon_sym_GT] = ACTIONS(2895),
    [anon_sym_LT_LT] = ACTIONS(2895),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2893),
    [anon_sym_PLUS_EQ] = ACTIONS(2893),
    [anon_sym_DASH_EQ] = ACTIONS(2893),
    [anon_sym_DOT_EQ] = ACTIONS(2893),
    [anon_sym_STAR_EQ] = ACTIONS(2893),
    [anon_sym_SLASH_EQ] = ACTIONS(2893),
    [anon_sym_PERCENT_EQ] = ACTIONS(2893),
    [anon_sym_x_EQ] = ACTIONS(2893),
    [anon_sym_AMP_EQ] = ACTIONS(2893),
    [anon_sym_PIPE_EQ] = ACTIONS(2893),
    [anon_sym_CARET_EQ] = ACTIONS(2893),
    [anon_sym_LT_LT_EQ] = ACTIONS(2893),
    [anon_sym_GT_GT_EQ] = ACTIONS(2893),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2893),
    [anon_sym_DOT_DOT] = ACTIONS(2895),
    [anon_sym_STAR_STAR] = ACTIONS(2895),
    [anon_sym_PIPE_PIPE] = ACTIONS(2895),
    [anon_sym_SLASH_SLASH] = ACTIONS(2895),
    [anon_sym_CARET_CARET] = ACTIONS(2893),
    [anon_sym_AMP_AMP] = ACTIONS(2895),
    [anon_sym_PIPE] = ACTIONS(2895),
    [anon_sym_CARET] = ACTIONS(2895),
    [anon_sym_AMP] = ACTIONS(2895),
    [anon_sym_GT_GT2] = ACTIONS(2895),
    [anon_sym_PLUS] = ACTIONS(2895),
    [anon_sym_DASH] = ACTIONS(2895),
    [anon_sym_DOT] = ACTIONS(2895),
    [anon_sym_STAR] = ACTIONS(2895),
    [anon_sym_SLASH] = ACTIONS(2895),
    [anon_sym_x] = ACTIONS(2895),
    [anon_sym_EQ_TILDE] = ACTIONS(2893),
    [anon_sym_BANG_TILDE] = ACTIONS(2893),
    [anon_sym_EQ_EQ] = ACTIONS(2895),
    [anon_sym_BANG_EQ] = ACTIONS(2893),
    [anon_sym_eq] = ACTIONS(2895),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2893),
    [anon_sym_equ] = ACTIONS(2893),
    [anon_sym_eqr] = ACTIONS(2893),
    [anon_sym_ne] = ACTIONS(2893),
    [anon_sym_LT_EQ_GT] = ACTIONS(2893),
    [anon_sym_cmp] = ACTIONS(2893),
    [anon_sym_TILDE_TILDE] = ACTIONS(2893),
    [anon_sym_LT] = ACTIONS(2895),
    [anon_sym_LT_EQ] = ACTIONS(2895),
    [anon_sym_GT_EQ] = ACTIONS(2893),
    [anon_sym_lt] = ACTIONS(2893),
    [anon_sym_le] = ACTIONS(2893),
    [anon_sym_ge] = ACTIONS(2893),
    [anon_sym_gt] = ACTIONS(2893),
    [anon_sym_isa] = ACTIONS(2893),
    [anon_sym_PLUS_PLUS] = ACTIONS(2893),
    [anon_sym_DASH_DASH] = ACTIONS(2893),
    [anon_sym_QMARK] = ACTIONS(2893),
    [anon_sym_EQ_GT] = ACTIONS(2893),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1642] = {
    [sym_heredoc_content] = STATE(1642),
    [anon_sym_RBRACE] = ACTIONS(2987),
    [anon_sym_EQ] = ACTIONS(2989),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2987),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2987),
    [anon_sym_COMMA] = ACTIONS(2987),
    [anon_sym_RPAREN] = ACTIONS(2987),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2987),
    [anon_sym_and] = ACTIONS(2987),
    [anon_sym_or] = ACTIONS(2987),
    [anon_sym_xor] = ACTIONS(2987),
    [anon_sym_RBRACK] = ACTIONS(2987),
    [anon_sym_DASH_GT] = ACTIONS(2987),
    [anon_sym_PERCENT] = ACTIONS(2989),
    [anon_sym_GT] = ACTIONS(2989),
    [anon_sym_LT_LT] = ACTIONS(2989),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2987),
    [anon_sym_PLUS_EQ] = ACTIONS(2987),
    [anon_sym_DASH_EQ] = ACTIONS(2987),
    [anon_sym_DOT_EQ] = ACTIONS(2987),
    [anon_sym_STAR_EQ] = ACTIONS(2987),
    [anon_sym_SLASH_EQ] = ACTIONS(2987),
    [anon_sym_PERCENT_EQ] = ACTIONS(2987),
    [anon_sym_x_EQ] = ACTIONS(2987),
    [anon_sym_AMP_EQ] = ACTIONS(2987),
    [anon_sym_PIPE_EQ] = ACTIONS(2987),
    [anon_sym_CARET_EQ] = ACTIONS(2987),
    [anon_sym_LT_LT_EQ] = ACTIONS(2987),
    [anon_sym_GT_GT_EQ] = ACTIONS(2987),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2987),
    [anon_sym_DOT_DOT] = ACTIONS(2989),
    [anon_sym_STAR_STAR] = ACTIONS(2989),
    [anon_sym_PIPE_PIPE] = ACTIONS(2989),
    [anon_sym_SLASH_SLASH] = ACTIONS(2989),
    [anon_sym_CARET_CARET] = ACTIONS(2987),
    [anon_sym_AMP_AMP] = ACTIONS(2989),
    [anon_sym_PIPE] = ACTIONS(2989),
    [anon_sym_CARET] = ACTIONS(2989),
    [anon_sym_AMP] = ACTIONS(2989),
    [anon_sym_GT_GT2] = ACTIONS(2989),
    [anon_sym_PLUS] = ACTIONS(2989),
    [anon_sym_DASH] = ACTIONS(2989),
    [anon_sym_DOT] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2989),
    [anon_sym_SLASH] = ACTIONS(2989),
    [anon_sym_x] = ACTIONS(2989),
    [anon_sym_EQ_TILDE] = ACTIONS(2987),
    [anon_sym_BANG_TILDE] = ACTIONS(2987),
    [anon_sym_EQ_EQ] = ACTIONS(2989),
    [anon_sym_BANG_EQ] = ACTIONS(2987),
    [anon_sym_eq] = ACTIONS(2989),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2987),
    [anon_sym_equ] = ACTIONS(2987),
    [anon_sym_eqr] = ACTIONS(2987),
    [anon_sym_ne] = ACTIONS(2987),
    [anon_sym_LT_EQ_GT] = ACTIONS(2987),
    [anon_sym_cmp] = ACTIONS(2987),
    [anon_sym_TILDE_TILDE] = ACTIONS(2987),
    [anon_sym_LT] = ACTIONS(2989),
    [anon_sym_LT_EQ] = ACTIONS(2989),
    [anon_sym_GT_EQ] = ACTIONS(2987),
    [anon_sym_lt] = ACTIONS(2987),
    [anon_sym_le] = ACTIONS(2987),
    [anon_sym_ge] = ACTIONS(2987),
    [anon_sym_gt] = ACTIONS(2987),
    [anon_sym_isa] = ACTIONS(2987),
    [anon_sym_PLUS_PLUS] = ACTIONS(2987),
    [anon_sym_DASH_DASH] = ACTIONS(2987),
    [anon_sym_QMARK] = ACTIONS(2987),
    [anon_sym_EQ_GT] = ACTIONS(2987),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1643] = {
    [sym_heredoc_content] = STATE(1643),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_RBRACE] = ACTIONS(2506),
    [anon_sym_COLON] = ACTIONS(2506),
    [anon_sym_EQ] = ACTIONS(2508),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2506),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2506),
    [anon_sym_COMMA] = ACTIONS(2506),
    [anon_sym_RPAREN] = ACTIONS(2506),
    [anon_sym_LPAREN] = ACTIONS(2506),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2506),
    [anon_sym_LBRACK] = ACTIONS(2506),
    [anon_sym_DASH_GT] = ACTIONS(2506),
    [anon_sym_PERCENT] = ACTIONS(2508),
    [anon_sym_GT] = ACTIONS(2508),
    [anon_sym_LT_LT] = ACTIONS(2508),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2506),
    [anon_sym_PLUS_EQ] = ACTIONS(2506),
    [anon_sym_DASH_EQ] = ACTIONS(2506),
    [anon_sym_DOT_EQ] = ACTIONS(2506),
    [anon_sym_STAR_EQ] = ACTIONS(2506),
    [anon_sym_SLASH_EQ] = ACTIONS(2506),
    [anon_sym_PERCENT_EQ] = ACTIONS(2506),
    [anon_sym_x_EQ] = ACTIONS(2506),
    [anon_sym_AMP_EQ] = ACTIONS(2506),
    [anon_sym_PIPE_EQ] = ACTIONS(2506),
    [anon_sym_CARET_EQ] = ACTIONS(2506),
    [anon_sym_LT_LT_EQ] = ACTIONS(2506),
    [anon_sym_GT_GT_EQ] = ACTIONS(2506),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2506),
    [anon_sym_DOT_DOT] = ACTIONS(2508),
    [anon_sym_STAR_STAR] = ACTIONS(2508),
    [anon_sym_PIPE_PIPE] = ACTIONS(2508),
    [anon_sym_SLASH_SLASH] = ACTIONS(2508),
    [anon_sym_CARET_CARET] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2508),
    [anon_sym_PIPE] = ACTIONS(2508),
    [anon_sym_CARET] = ACTIONS(2508),
    [anon_sym_AMP] = ACTIONS(2508),
    [anon_sym_GT_GT2] = ACTIONS(2508),
    [anon_sym_PLUS] = ACTIONS(2508),
    [anon_sym_DASH] = ACTIONS(2508),
    [anon_sym_DOT] = ACTIONS(2508),
    [anon_sym_STAR] = ACTIONS(2508),
    [anon_sym_SLASH] = ACTIONS(2508),
    [anon_sym_x] = ACTIONS(2508),
    [anon_sym_EQ_TILDE] = ACTIONS(2506),
    [anon_sym_BANG_TILDE] = ACTIONS(2506),
    [anon_sym_EQ_EQ] = ACTIONS(2508),
    [anon_sym_BANG_EQ] = ACTIONS(2506),
    [anon_sym_eq] = ACTIONS(2508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2506),
    [anon_sym_equ] = ACTIONS(2506),
    [anon_sym_eqr] = ACTIONS(2506),
    [anon_sym_ne] = ACTIONS(2506),
    [anon_sym_LT_EQ_GT] = ACTIONS(2506),
    [anon_sym_cmp] = ACTIONS(2506),
    [anon_sym_TILDE_TILDE] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(2508),
    [anon_sym_LT_EQ] = ACTIONS(2508),
    [anon_sym_GT_EQ] = ACTIONS(2506),
    [anon_sym_lt] = ACTIONS(2506),
    [anon_sym_le] = ACTIONS(2506),
    [anon_sym_ge] = ACTIONS(2506),
    [anon_sym_gt] = ACTIONS(2506),
    [anon_sym_isa] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_QMARK] = ACTIONS(2506),
    [anon_sym_EQ_GT] = ACTIONS(2506),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1644] = {
    [sym_heredoc_content] = STATE(1644),
    [anon_sym_LBRACE] = ACTIONS(2510),
    [anon_sym_RBRACE] = ACTIONS(2510),
    [anon_sym_COLON] = ACTIONS(2510),
    [anon_sym_EQ] = ACTIONS(2512),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_COMMA] = ACTIONS(2510),
    [anon_sym_RPAREN] = ACTIONS(2510),
    [anon_sym_LPAREN] = ACTIONS(2510),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2510),
    [anon_sym_LBRACK] = ACTIONS(2510),
    [anon_sym_DASH_GT] = ACTIONS(2510),
    [anon_sym_PERCENT] = ACTIONS(2512),
    [anon_sym_GT] = ACTIONS(2512),
    [anon_sym_LT_LT] = ACTIONS(2512),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2510),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_DOT_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_x_EQ] = ACTIONS(2510),
    [anon_sym_AMP_EQ] = ACTIONS(2510),
    [anon_sym_PIPE_EQ] = ACTIONS(2510),
    [anon_sym_CARET_EQ] = ACTIONS(2510),
    [anon_sym_LT_LT_EQ] = ACTIONS(2510),
    [anon_sym_GT_GT_EQ] = ACTIONS(2510),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2510),
    [anon_sym_DOT_DOT] = ACTIONS(2512),
    [anon_sym_STAR_STAR] = ACTIONS(2512),
    [anon_sym_PIPE_PIPE] = ACTIONS(2512),
    [anon_sym_SLASH_SLASH] = ACTIONS(2512),
    [anon_sym_CARET_CARET] = ACTIONS(2510),
    [anon_sym_AMP_AMP] = ACTIONS(2512),
    [anon_sym_PIPE] = ACTIONS(2512),
    [anon_sym_CARET] = ACTIONS(2512),
    [anon_sym_AMP] = ACTIONS(2512),
    [anon_sym_GT_GT2] = ACTIONS(2512),
    [anon_sym_PLUS] = ACTIONS(2512),
    [anon_sym_DASH] = ACTIONS(2512),
    [anon_sym_DOT] = ACTIONS(2512),
    [anon_sym_STAR] = ACTIONS(2512),
    [anon_sym_SLASH] = ACTIONS(2512),
    [anon_sym_x] = ACTIONS(2512),
    [anon_sym_EQ_TILDE] = ACTIONS(2510),
    [anon_sym_BANG_TILDE] = ACTIONS(2510),
    [anon_sym_EQ_EQ] = ACTIONS(2512),
    [anon_sym_BANG_EQ] = ACTIONS(2510),
    [anon_sym_eq] = ACTIONS(2512),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2510),
    [anon_sym_equ] = ACTIONS(2510),
    [anon_sym_eqr] = ACTIONS(2510),
    [anon_sym_ne] = ACTIONS(2510),
    [anon_sym_LT_EQ_GT] = ACTIONS(2510),
    [anon_sym_cmp] = ACTIONS(2510),
    [anon_sym_TILDE_TILDE] = ACTIONS(2510),
    [anon_sym_LT] = ACTIONS(2512),
    [anon_sym_LT_EQ] = ACTIONS(2512),
    [anon_sym_GT_EQ] = ACTIONS(2510),
    [anon_sym_lt] = ACTIONS(2510),
    [anon_sym_le] = ACTIONS(2510),
    [anon_sym_ge] = ACTIONS(2510),
    [anon_sym_gt] = ACTIONS(2510),
    [anon_sym_isa] = ACTIONS(2510),
    [anon_sym_PLUS_PLUS] = ACTIONS(2510),
    [anon_sym_DASH_DASH] = ACTIONS(2510),
    [anon_sym_QMARK] = ACTIONS(2510),
    [anon_sym_EQ_GT] = ACTIONS(2510),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1645] = {
    [sym_heredoc_content] = STATE(1645),
    [anon_sym_COLON] = ACTIONS(2532),
    [anon_sym_DOLLAR] = ACTIONS(2532),
    [anon_sym_EQ] = ACTIONS(2534),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2532),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2532),
    [anon_sym_AT] = ACTIONS(2532),
    [anon_sym_COMMA] = ACTIONS(2532),
    [anon_sym_RPAREN] = ACTIONS(2532),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2532),
    [anon_sym_DASH_GT] = ACTIONS(2532),
    [anon_sym_PERCENT] = ACTIONS(2534),
    [anon_sym_GT] = ACTIONS(2534),
    [anon_sym_LT_LT] = ACTIONS(2534),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2532),
    [anon_sym_PLUS_EQ] = ACTIONS(2532),
    [anon_sym_DASH_EQ] = ACTIONS(2532),
    [anon_sym_DOT_EQ] = ACTIONS(2532),
    [anon_sym_STAR_EQ] = ACTIONS(2532),
    [anon_sym_SLASH_EQ] = ACTIONS(2532),
    [anon_sym_PERCENT_EQ] = ACTIONS(2534),
    [anon_sym_x_EQ] = ACTIONS(2534),
    [anon_sym_AMP_EQ] = ACTIONS(2532),
    [anon_sym_PIPE_EQ] = ACTIONS(2532),
    [anon_sym_CARET_EQ] = ACTIONS(2532),
    [anon_sym_LT_LT_EQ] = ACTIONS(2532),
    [anon_sym_GT_GT_EQ] = ACTIONS(2532),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2532),
    [anon_sym_DOT_DOT] = ACTIONS(2534),
    [anon_sym_STAR_STAR] = ACTIONS(2534),
    [anon_sym_PIPE_PIPE] = ACTIONS(2534),
    [anon_sym_SLASH_SLASH] = ACTIONS(2534),
    [anon_sym_CARET_CARET] = ACTIONS(2532),
    [anon_sym_AMP_AMP] = ACTIONS(2534),
    [anon_sym_PIPE] = ACTIONS(2534),
    [anon_sym_CARET] = ACTIONS(2534),
    [anon_sym_AMP] = ACTIONS(2534),
    [anon_sym_GT_GT2] = ACTIONS(2534),
    [anon_sym_PLUS] = ACTIONS(2534),
    [anon_sym_DASH] = ACTIONS(2534),
    [anon_sym_DOT] = ACTIONS(2534),
    [anon_sym_STAR] = ACTIONS(2534),
    [anon_sym_SLASH] = ACTIONS(2534),
    [anon_sym_x] = ACTIONS(2534),
    [anon_sym_EQ_TILDE] = ACTIONS(2532),
    [anon_sym_BANG_TILDE] = ACTIONS(2532),
    [anon_sym_EQ_EQ] = ACTIONS(2534),
    [anon_sym_BANG_EQ] = ACTIONS(2532),
    [anon_sym_eq] = ACTIONS(2534),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2532),
    [anon_sym_equ] = ACTIONS(2532),
    [anon_sym_eqr] = ACTIONS(2532),
    [anon_sym_ne] = ACTIONS(2534),
    [anon_sym_LT_EQ_GT] = ACTIONS(2532),
    [anon_sym_cmp] = ACTIONS(2534),
    [anon_sym_TILDE_TILDE] = ACTIONS(2532),
    [anon_sym_LT] = ACTIONS(2534),
    [anon_sym_LT_EQ] = ACTIONS(2534),
    [anon_sym_GT_EQ] = ACTIONS(2532),
    [anon_sym_lt] = ACTIONS(2534),
    [anon_sym_le] = ACTIONS(2534),
    [anon_sym_ge] = ACTIONS(2534),
    [anon_sym_gt] = ACTIONS(2534),
    [anon_sym_isa] = ACTIONS(2534),
    [anon_sym_PLUS_PLUS] = ACTIONS(2532),
    [anon_sym_DASH_DASH] = ACTIONS(2532),
    [anon_sym_QMARK] = ACTIONS(2532),
    [anon_sym_PERCENT2] = ACTIONS(2532),
    [anon_sym_EQ_GT] = ACTIONS(2532),
    [sym_comment] = ACTIONS(5),
    [sym_match_regexp_modifiers] = ACTIONS(2532),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1646] = {
    [sym_heredoc_content] = STATE(1646),
    [anon_sym_RBRACE] = ACTIONS(3003),
    [anon_sym_EQ] = ACTIONS(3005),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3003),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3003),
    [anon_sym_COMMA] = ACTIONS(3003),
    [anon_sym_RPAREN] = ACTIONS(3003),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3003),
    [anon_sym_and] = ACTIONS(3003),
    [anon_sym_or] = ACTIONS(3003),
    [anon_sym_xor] = ACTIONS(3003),
    [anon_sym_RBRACK] = ACTIONS(3003),
    [anon_sym_DASH_GT] = ACTIONS(3003),
    [anon_sym_PERCENT] = ACTIONS(3005),
    [anon_sym_GT] = ACTIONS(3005),
    [anon_sym_LT_LT] = ACTIONS(3005),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3003),
    [anon_sym_PLUS_EQ] = ACTIONS(3003),
    [anon_sym_DASH_EQ] = ACTIONS(3003),
    [anon_sym_DOT_EQ] = ACTIONS(3003),
    [anon_sym_STAR_EQ] = ACTIONS(3003),
    [anon_sym_SLASH_EQ] = ACTIONS(3003),
    [anon_sym_PERCENT_EQ] = ACTIONS(3003),
    [anon_sym_x_EQ] = ACTIONS(3003),
    [anon_sym_AMP_EQ] = ACTIONS(3003),
    [anon_sym_PIPE_EQ] = ACTIONS(3003),
    [anon_sym_CARET_EQ] = ACTIONS(3003),
    [anon_sym_LT_LT_EQ] = ACTIONS(3003),
    [anon_sym_GT_GT_EQ] = ACTIONS(3003),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3003),
    [anon_sym_DOT_DOT] = ACTIONS(3005),
    [anon_sym_STAR_STAR] = ACTIONS(3005),
    [anon_sym_PIPE_PIPE] = ACTIONS(3005),
    [anon_sym_SLASH_SLASH] = ACTIONS(3005),
    [anon_sym_CARET_CARET] = ACTIONS(3003),
    [anon_sym_AMP_AMP] = ACTIONS(3005),
    [anon_sym_PIPE] = ACTIONS(3005),
    [anon_sym_CARET] = ACTIONS(3005),
    [anon_sym_AMP] = ACTIONS(3005),
    [anon_sym_GT_GT2] = ACTIONS(3005),
    [anon_sym_PLUS] = ACTIONS(3005),
    [anon_sym_DASH] = ACTIONS(3005),
    [anon_sym_DOT] = ACTIONS(3005),
    [anon_sym_STAR] = ACTIONS(3005),
    [anon_sym_SLASH] = ACTIONS(3005),
    [anon_sym_x] = ACTIONS(3005),
    [anon_sym_EQ_TILDE] = ACTIONS(3003),
    [anon_sym_BANG_TILDE] = ACTIONS(3003),
    [anon_sym_EQ_EQ] = ACTIONS(3005),
    [anon_sym_BANG_EQ] = ACTIONS(3003),
    [anon_sym_eq] = ACTIONS(3005),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3003),
    [anon_sym_equ] = ACTIONS(3003),
    [anon_sym_eqr] = ACTIONS(3003),
    [anon_sym_ne] = ACTIONS(3003),
    [anon_sym_LT_EQ_GT] = ACTIONS(3003),
    [anon_sym_cmp] = ACTIONS(3003),
    [anon_sym_TILDE_TILDE] = ACTIONS(3003),
    [anon_sym_LT] = ACTIONS(3005),
    [anon_sym_LT_EQ] = ACTIONS(3005),
    [anon_sym_GT_EQ] = ACTIONS(3003),
    [anon_sym_lt] = ACTIONS(3003),
    [anon_sym_le] = ACTIONS(3003),
    [anon_sym_ge] = ACTIONS(3003),
    [anon_sym_gt] = ACTIONS(3003),
    [anon_sym_isa] = ACTIONS(3003),
    [anon_sym_PLUS_PLUS] = ACTIONS(3003),
    [anon_sym_DASH_DASH] = ACTIONS(3003),
    [anon_sym_QMARK] = ACTIONS(3003),
    [anon_sym_EQ_GT] = ACTIONS(3003),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1647] = {
    [sym_heredoc_content] = STATE(1647),
    [anon_sym_RBRACE] = ACTIONS(2943),
    [anon_sym_EQ] = ACTIONS(2945),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2943),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2943),
    [anon_sym_COMMA] = ACTIONS(2943),
    [anon_sym_RPAREN] = ACTIONS(2943),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2943),
    [anon_sym_and] = ACTIONS(2943),
    [anon_sym_or] = ACTIONS(2943),
    [anon_sym_xor] = ACTIONS(2943),
    [anon_sym_RBRACK] = ACTIONS(2943),
    [anon_sym_DASH_GT] = ACTIONS(2943),
    [anon_sym_PERCENT] = ACTIONS(2945),
    [anon_sym_GT] = ACTIONS(2945),
    [anon_sym_LT_LT] = ACTIONS(2945),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2943),
    [anon_sym_PLUS_EQ] = ACTIONS(2943),
    [anon_sym_DASH_EQ] = ACTIONS(2943),
    [anon_sym_DOT_EQ] = ACTIONS(2943),
    [anon_sym_STAR_EQ] = ACTIONS(2943),
    [anon_sym_SLASH_EQ] = ACTIONS(2943),
    [anon_sym_PERCENT_EQ] = ACTIONS(2943),
    [anon_sym_x_EQ] = ACTIONS(2943),
    [anon_sym_AMP_EQ] = ACTIONS(2943),
    [anon_sym_PIPE_EQ] = ACTIONS(2943),
    [anon_sym_CARET_EQ] = ACTIONS(2943),
    [anon_sym_LT_LT_EQ] = ACTIONS(2943),
    [anon_sym_GT_GT_EQ] = ACTIONS(2943),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2943),
    [anon_sym_DOT_DOT] = ACTIONS(2945),
    [anon_sym_STAR_STAR] = ACTIONS(2945),
    [anon_sym_PIPE_PIPE] = ACTIONS(2945),
    [anon_sym_SLASH_SLASH] = ACTIONS(2945),
    [anon_sym_CARET_CARET] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2945),
    [anon_sym_PIPE] = ACTIONS(2945),
    [anon_sym_CARET] = ACTIONS(2945),
    [anon_sym_AMP] = ACTIONS(2945),
    [anon_sym_GT_GT2] = ACTIONS(2945),
    [anon_sym_PLUS] = ACTIONS(2945),
    [anon_sym_DASH] = ACTIONS(2945),
    [anon_sym_DOT] = ACTIONS(2945),
    [anon_sym_STAR] = ACTIONS(2945),
    [anon_sym_SLASH] = ACTIONS(2945),
    [anon_sym_x] = ACTIONS(2945),
    [anon_sym_EQ_TILDE] = ACTIONS(2943),
    [anon_sym_BANG_TILDE] = ACTIONS(2943),
    [anon_sym_EQ_EQ] = ACTIONS(2945),
    [anon_sym_BANG_EQ] = ACTIONS(2943),
    [anon_sym_eq] = ACTIONS(2945),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2943),
    [anon_sym_equ] = ACTIONS(2943),
    [anon_sym_eqr] = ACTIONS(2943),
    [anon_sym_ne] = ACTIONS(2943),
    [anon_sym_LT_EQ_GT] = ACTIONS(2943),
    [anon_sym_cmp] = ACTIONS(2943),
    [anon_sym_TILDE_TILDE] = ACTIONS(2943),
    [anon_sym_LT] = ACTIONS(2945),
    [anon_sym_LT_EQ] = ACTIONS(2945),
    [anon_sym_GT_EQ] = ACTIONS(2943),
    [anon_sym_lt] = ACTIONS(2943),
    [anon_sym_le] = ACTIONS(2943),
    [anon_sym_ge] = ACTIONS(2943),
    [anon_sym_gt] = ACTIONS(2943),
    [anon_sym_isa] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_QMARK] = ACTIONS(2943),
    [anon_sym_EQ_GT] = ACTIONS(2943),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1648] = {
    [sym_heredoc_content] = STATE(1648),
    [anon_sym_LBRACE] = ACTIONS(1832),
    [anon_sym_RBRACE] = ACTIONS(1832),
    [anon_sym_COLON] = ACTIONS(1832),
    [anon_sym_EQ] = ACTIONS(1828),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1832),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1832),
    [anon_sym_COMMA] = ACTIONS(1832),
    [anon_sym_RPAREN] = ACTIONS(1832),
    [anon_sym_LPAREN] = ACTIONS(1832),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1832),
    [anon_sym_LBRACK] = ACTIONS(1832),
    [anon_sym_DASH_GT] = ACTIONS(1832),
    [anon_sym_PERCENT] = ACTIONS(1828),
    [anon_sym_GT] = ACTIONS(1828),
    [anon_sym_LT_LT] = ACTIONS(1828),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1832),
    [anon_sym_PLUS_EQ] = ACTIONS(1832),
    [anon_sym_DASH_EQ] = ACTIONS(1832),
    [anon_sym_DOT_EQ] = ACTIONS(1832),
    [anon_sym_STAR_EQ] = ACTIONS(1832),
    [anon_sym_SLASH_EQ] = ACTIONS(1832),
    [anon_sym_PERCENT_EQ] = ACTIONS(1832),
    [anon_sym_x_EQ] = ACTIONS(1832),
    [anon_sym_AMP_EQ] = ACTIONS(1832),
    [anon_sym_PIPE_EQ] = ACTIONS(1832),
    [anon_sym_CARET_EQ] = ACTIONS(1832),
    [anon_sym_LT_LT_EQ] = ACTIONS(1832),
    [anon_sym_GT_GT_EQ] = ACTIONS(1832),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1832),
    [anon_sym_DOT_DOT] = ACTIONS(1828),
    [anon_sym_STAR_STAR] = ACTIONS(1828),
    [anon_sym_PIPE_PIPE] = ACTIONS(1828),
    [anon_sym_SLASH_SLASH] = ACTIONS(1828),
    [anon_sym_CARET_CARET] = ACTIONS(1832),
    [anon_sym_AMP_AMP] = ACTIONS(1828),
    [anon_sym_PIPE] = ACTIONS(1828),
    [anon_sym_CARET] = ACTIONS(1828),
    [anon_sym_AMP] = ACTIONS(1828),
    [anon_sym_GT_GT2] = ACTIONS(1828),
    [anon_sym_PLUS] = ACTIONS(1828),
    [anon_sym_DASH] = ACTIONS(1828),
    [anon_sym_DOT] = ACTIONS(1828),
    [anon_sym_STAR] = ACTIONS(1828),
    [anon_sym_SLASH] = ACTIONS(1828),
    [anon_sym_x] = ACTIONS(1828),
    [anon_sym_EQ_TILDE] = ACTIONS(1832),
    [anon_sym_BANG_TILDE] = ACTIONS(1832),
    [anon_sym_EQ_EQ] = ACTIONS(1828),
    [anon_sym_BANG_EQ] = ACTIONS(1832),
    [anon_sym_eq] = ACTIONS(1828),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1832),
    [anon_sym_equ] = ACTIONS(1832),
    [anon_sym_eqr] = ACTIONS(1832),
    [anon_sym_ne] = ACTIONS(1832),
    [anon_sym_LT_EQ_GT] = ACTIONS(1832),
    [anon_sym_cmp] = ACTIONS(1832),
    [anon_sym_TILDE_TILDE] = ACTIONS(1832),
    [anon_sym_LT] = ACTIONS(1828),
    [anon_sym_LT_EQ] = ACTIONS(1828),
    [anon_sym_GT_EQ] = ACTIONS(1832),
    [anon_sym_lt] = ACTIONS(1832),
    [anon_sym_le] = ACTIONS(1832),
    [anon_sym_ge] = ACTIONS(1832),
    [anon_sym_gt] = ACTIONS(1832),
    [anon_sym_isa] = ACTIONS(1832),
    [anon_sym_PLUS_PLUS] = ACTIONS(1832),
    [anon_sym_DASH_DASH] = ACTIONS(1832),
    [anon_sym_QMARK] = ACTIONS(1832),
    [anon_sym_EQ_GT] = ACTIONS(1832),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1649] = {
    [sym_heredoc_content] = STATE(1649),
    [anon_sym_RBRACE] = ACTIONS(2889),
    [anon_sym_EQ] = ACTIONS(2891),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2889),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2889),
    [anon_sym_COMMA] = ACTIONS(2889),
    [anon_sym_RPAREN] = ACTIONS(2889),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2889),
    [anon_sym_and] = ACTIONS(2889),
    [anon_sym_or] = ACTIONS(2889),
    [anon_sym_xor] = ACTIONS(2889),
    [anon_sym_RBRACK] = ACTIONS(2889),
    [anon_sym_DASH_GT] = ACTIONS(2889),
    [anon_sym_PERCENT] = ACTIONS(2891),
    [anon_sym_GT] = ACTIONS(2891),
    [anon_sym_LT_LT] = ACTIONS(2891),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2889),
    [anon_sym_PLUS_EQ] = ACTIONS(2889),
    [anon_sym_DASH_EQ] = ACTIONS(2889),
    [anon_sym_DOT_EQ] = ACTIONS(2889),
    [anon_sym_STAR_EQ] = ACTIONS(2889),
    [anon_sym_SLASH_EQ] = ACTIONS(2889),
    [anon_sym_PERCENT_EQ] = ACTIONS(2889),
    [anon_sym_x_EQ] = ACTIONS(2889),
    [anon_sym_AMP_EQ] = ACTIONS(2889),
    [anon_sym_PIPE_EQ] = ACTIONS(2889),
    [anon_sym_CARET_EQ] = ACTIONS(2889),
    [anon_sym_LT_LT_EQ] = ACTIONS(2889),
    [anon_sym_GT_GT_EQ] = ACTIONS(2889),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2889),
    [anon_sym_DOT_DOT] = ACTIONS(2891),
    [anon_sym_STAR_STAR] = ACTIONS(2891),
    [anon_sym_PIPE_PIPE] = ACTIONS(2891),
    [anon_sym_SLASH_SLASH] = ACTIONS(2891),
    [anon_sym_CARET_CARET] = ACTIONS(2889),
    [anon_sym_AMP_AMP] = ACTIONS(2891),
    [anon_sym_PIPE] = ACTIONS(2891),
    [anon_sym_CARET] = ACTIONS(2891),
    [anon_sym_AMP] = ACTIONS(2891),
    [anon_sym_GT_GT2] = ACTIONS(2891),
    [anon_sym_PLUS] = ACTIONS(2891),
    [anon_sym_DASH] = ACTIONS(2891),
    [anon_sym_DOT] = ACTIONS(2891),
    [anon_sym_STAR] = ACTIONS(2891),
    [anon_sym_SLASH] = ACTIONS(2891),
    [anon_sym_x] = ACTIONS(2891),
    [anon_sym_EQ_TILDE] = ACTIONS(2889),
    [anon_sym_BANG_TILDE] = ACTIONS(2889),
    [anon_sym_EQ_EQ] = ACTIONS(2891),
    [anon_sym_BANG_EQ] = ACTIONS(2889),
    [anon_sym_eq] = ACTIONS(2891),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2889),
    [anon_sym_equ] = ACTIONS(2889),
    [anon_sym_eqr] = ACTIONS(2889),
    [anon_sym_ne] = ACTIONS(2889),
    [anon_sym_LT_EQ_GT] = ACTIONS(2889),
    [anon_sym_cmp] = ACTIONS(2889),
    [anon_sym_TILDE_TILDE] = ACTIONS(2889),
    [anon_sym_LT] = ACTIONS(2891),
    [anon_sym_LT_EQ] = ACTIONS(2891),
    [anon_sym_GT_EQ] = ACTIONS(2889),
    [anon_sym_lt] = ACTIONS(2889),
    [anon_sym_le] = ACTIONS(2889),
    [anon_sym_ge] = ACTIONS(2889),
    [anon_sym_gt] = ACTIONS(2889),
    [anon_sym_isa] = ACTIONS(2889),
    [anon_sym_PLUS_PLUS] = ACTIONS(2889),
    [anon_sym_DASH_DASH] = ACTIONS(2889),
    [anon_sym_QMARK] = ACTIONS(2889),
    [anon_sym_EQ_GT] = ACTIONS(2889),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1650] = {
    [sym_heredoc_content] = STATE(1650),
    [anon_sym_COLON] = ACTIONS(2791),
    [anon_sym_DOLLAR] = ACTIONS(2791),
    [anon_sym_EQ] = ACTIONS(2793),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2791),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2791),
    [anon_sym_AT] = ACTIONS(2791),
    [anon_sym_COMMA] = ACTIONS(2791),
    [anon_sym_RPAREN] = ACTIONS(2791),
    [anon_sym_LPAREN] = ACTIONS(3563),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2791),
    [anon_sym_DASH_GT] = ACTIONS(2791),
    [anon_sym_PERCENT] = ACTIONS(2793),
    [anon_sym_GT] = ACTIONS(2793),
    [anon_sym_LT_LT] = ACTIONS(2793),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2791),
    [anon_sym_PLUS_EQ] = ACTIONS(2791),
    [anon_sym_DASH_EQ] = ACTIONS(2791),
    [anon_sym_DOT_EQ] = ACTIONS(2791),
    [anon_sym_STAR_EQ] = ACTIONS(2791),
    [anon_sym_SLASH_EQ] = ACTIONS(2791),
    [anon_sym_PERCENT_EQ] = ACTIONS(2793),
    [anon_sym_x_EQ] = ACTIONS(2791),
    [anon_sym_AMP_EQ] = ACTIONS(2791),
    [anon_sym_PIPE_EQ] = ACTIONS(2791),
    [anon_sym_CARET_EQ] = ACTIONS(2791),
    [anon_sym_LT_LT_EQ] = ACTIONS(2791),
    [anon_sym_GT_GT_EQ] = ACTIONS(2791),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2791),
    [anon_sym_DOT_DOT] = ACTIONS(2793),
    [anon_sym_STAR_STAR] = ACTIONS(2793),
    [anon_sym_PIPE_PIPE] = ACTIONS(2793),
    [anon_sym_SLASH_SLASH] = ACTIONS(2793),
    [anon_sym_CARET_CARET] = ACTIONS(2791),
    [anon_sym_AMP_AMP] = ACTIONS(2793),
    [anon_sym_PIPE] = ACTIONS(2793),
    [anon_sym_CARET] = ACTIONS(2793),
    [anon_sym_AMP] = ACTIONS(2793),
    [anon_sym_GT_GT2] = ACTIONS(2793),
    [anon_sym_PLUS] = ACTIONS(2793),
    [anon_sym_DASH] = ACTIONS(2793),
    [anon_sym_DOT] = ACTIONS(2793),
    [anon_sym_STAR] = ACTIONS(2793),
    [anon_sym_SLASH] = ACTIONS(2793),
    [anon_sym_x] = ACTIONS(2793),
    [anon_sym_EQ_TILDE] = ACTIONS(2791),
    [anon_sym_BANG_TILDE] = ACTIONS(2791),
    [anon_sym_EQ_EQ] = ACTIONS(2793),
    [anon_sym_BANG_EQ] = ACTIONS(2791),
    [anon_sym_eq] = ACTIONS(2793),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2791),
    [anon_sym_equ] = ACTIONS(2791),
    [anon_sym_eqr] = ACTIONS(2791),
    [anon_sym_ne] = ACTIONS(2791),
    [anon_sym_LT_EQ_GT] = ACTIONS(2791),
    [anon_sym_cmp] = ACTIONS(2791),
    [anon_sym_TILDE_TILDE] = ACTIONS(2791),
    [anon_sym_LT] = ACTIONS(2793),
    [anon_sym_LT_EQ] = ACTIONS(2793),
    [anon_sym_GT_EQ] = ACTIONS(2791),
    [anon_sym_lt] = ACTIONS(2791),
    [anon_sym_le] = ACTIONS(2791),
    [anon_sym_ge] = ACTIONS(2791),
    [anon_sym_gt] = ACTIONS(2791),
    [anon_sym_isa] = ACTIONS(2791),
    [anon_sym_PLUS_PLUS] = ACTIONS(2791),
    [anon_sym_DASH_DASH] = ACTIONS(2791),
    [anon_sym_QMARK] = ACTIONS(2791),
    [anon_sym_PERCENT2] = ACTIONS(2791),
    [anon_sym_EQ_GT] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1651] = {
    [sym_heredoc_content] = STATE(1651),
    [anon_sym_RBRACE] = ACTIONS(3019),
    [anon_sym_EQ] = ACTIONS(3021),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_COMMA] = ACTIONS(3019),
    [anon_sym_RPAREN] = ACTIONS(3019),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3019),
    [anon_sym_and] = ACTIONS(3019),
    [anon_sym_or] = ACTIONS(3019),
    [anon_sym_xor] = ACTIONS(3019),
    [anon_sym_RBRACK] = ACTIONS(3019),
    [anon_sym_DASH_GT] = ACTIONS(3457),
    [anon_sym_PERCENT] = ACTIONS(3021),
    [anon_sym_GT] = ACTIONS(3021),
    [anon_sym_LT_LT] = ACTIONS(3021),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3019),
    [anon_sym_PLUS_EQ] = ACTIONS(3019),
    [anon_sym_DASH_EQ] = ACTIONS(3019),
    [anon_sym_DOT_EQ] = ACTIONS(3019),
    [anon_sym_STAR_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_PERCENT_EQ] = ACTIONS(3019),
    [anon_sym_x_EQ] = ACTIONS(3019),
    [anon_sym_AMP_EQ] = ACTIONS(3019),
    [anon_sym_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_CARET_EQ] = ACTIONS(3019),
    [anon_sym_LT_LT_EQ] = ACTIONS(3019),
    [anon_sym_GT_GT_EQ] = ACTIONS(3019),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3019),
    [anon_sym_DOT_DOT] = ACTIONS(3021),
    [anon_sym_STAR_STAR] = ACTIONS(3467),
    [anon_sym_PIPE_PIPE] = ACTIONS(3021),
    [anon_sym_SLASH_SLASH] = ACTIONS(3021),
    [anon_sym_CARET_CARET] = ACTIONS(3019),
    [anon_sym_AMP_AMP] = ACTIONS(3021),
    [anon_sym_PIPE] = ACTIONS(3021),
    [anon_sym_CARET] = ACTIONS(3021),
    [anon_sym_AMP] = ACTIONS(3021),
    [anon_sym_GT_GT2] = ACTIONS(3021),
    [anon_sym_PLUS] = ACTIONS(3021),
    [anon_sym_DASH] = ACTIONS(3021),
    [anon_sym_DOT] = ACTIONS(3021),
    [anon_sym_STAR] = ACTIONS(3021),
    [anon_sym_SLASH] = ACTIONS(3021),
    [anon_sym_x] = ACTIONS(3021),
    [anon_sym_EQ_TILDE] = ACTIONS(3019),
    [anon_sym_BANG_TILDE] = ACTIONS(3019),
    [anon_sym_EQ_EQ] = ACTIONS(3021),
    [anon_sym_BANG_EQ] = ACTIONS(3019),
    [anon_sym_eq] = ACTIONS(3021),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3019),
    [anon_sym_equ] = ACTIONS(3019),
    [anon_sym_eqr] = ACTIONS(3019),
    [anon_sym_ne] = ACTIONS(3019),
    [anon_sym_LT_EQ_GT] = ACTIONS(3019),
    [anon_sym_cmp] = ACTIONS(3019),
    [anon_sym_TILDE_TILDE] = ACTIONS(3019),
    [anon_sym_LT] = ACTIONS(3021),
    [anon_sym_LT_EQ] = ACTIONS(3021),
    [anon_sym_GT_EQ] = ACTIONS(3019),
    [anon_sym_lt] = ACTIONS(3019),
    [anon_sym_le] = ACTIONS(3019),
    [anon_sym_ge] = ACTIONS(3019),
    [anon_sym_gt] = ACTIONS(3019),
    [anon_sym_isa] = ACTIONS(3019),
    [anon_sym_PLUS_PLUS] = ACTIONS(3493),
    [anon_sym_DASH_DASH] = ACTIONS(3493),
    [anon_sym_QMARK] = ACTIONS(3019),
    [anon_sym_EQ_GT] = ACTIONS(3019),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1652] = {
    [sym_heredoc_content] = STATE(1652),
    [anon_sym_COLON] = ACTIONS(2532),
    [anon_sym_DOLLAR] = ACTIONS(2532),
    [anon_sym_EQ] = ACTIONS(2534),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2532),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2532),
    [anon_sym_AT] = ACTIONS(2532),
    [anon_sym_COMMA] = ACTIONS(2532),
    [anon_sym_RPAREN] = ACTIONS(2532),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2532),
    [anon_sym_DASH_GT] = ACTIONS(2532),
    [anon_sym_PERCENT] = ACTIONS(2534),
    [anon_sym_GT] = ACTIONS(2534),
    [anon_sym_LT_LT] = ACTIONS(2534),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2532),
    [anon_sym_PLUS_EQ] = ACTIONS(2532),
    [anon_sym_DASH_EQ] = ACTIONS(2532),
    [anon_sym_DOT_EQ] = ACTIONS(2532),
    [anon_sym_STAR_EQ] = ACTIONS(2532),
    [anon_sym_SLASH_EQ] = ACTIONS(2532),
    [anon_sym_PERCENT_EQ] = ACTIONS(2534),
    [anon_sym_x_EQ] = ACTIONS(2534),
    [anon_sym_AMP_EQ] = ACTIONS(2532),
    [anon_sym_PIPE_EQ] = ACTIONS(2532),
    [anon_sym_CARET_EQ] = ACTIONS(2532),
    [anon_sym_LT_LT_EQ] = ACTIONS(2532),
    [anon_sym_GT_GT_EQ] = ACTIONS(2532),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2532),
    [anon_sym_DOT_DOT] = ACTIONS(2534),
    [anon_sym_STAR_STAR] = ACTIONS(2534),
    [anon_sym_PIPE_PIPE] = ACTIONS(2534),
    [anon_sym_SLASH_SLASH] = ACTIONS(2534),
    [anon_sym_CARET_CARET] = ACTIONS(2532),
    [anon_sym_AMP_AMP] = ACTIONS(2534),
    [anon_sym_PIPE] = ACTIONS(2534),
    [anon_sym_CARET] = ACTIONS(2534),
    [anon_sym_AMP] = ACTIONS(2534),
    [anon_sym_GT_GT2] = ACTIONS(2534),
    [anon_sym_PLUS] = ACTIONS(2534),
    [anon_sym_DASH] = ACTIONS(2534),
    [anon_sym_DOT] = ACTIONS(2534),
    [anon_sym_STAR] = ACTIONS(2534),
    [anon_sym_SLASH] = ACTIONS(2534),
    [anon_sym_x] = ACTIONS(2534),
    [anon_sym_EQ_TILDE] = ACTIONS(2532),
    [anon_sym_BANG_TILDE] = ACTIONS(2532),
    [anon_sym_EQ_EQ] = ACTIONS(2534),
    [anon_sym_BANG_EQ] = ACTIONS(2532),
    [anon_sym_eq] = ACTIONS(2534),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2532),
    [anon_sym_equ] = ACTIONS(2532),
    [anon_sym_eqr] = ACTIONS(2532),
    [anon_sym_ne] = ACTIONS(2534),
    [anon_sym_LT_EQ_GT] = ACTIONS(2532),
    [anon_sym_cmp] = ACTIONS(2532),
    [anon_sym_TILDE_TILDE] = ACTIONS(2532),
    [anon_sym_LT] = ACTIONS(2534),
    [anon_sym_LT_EQ] = ACTIONS(2534),
    [anon_sym_GT_EQ] = ACTIONS(2532),
    [anon_sym_lt] = ACTIONS(2534),
    [anon_sym_le] = ACTIONS(2534),
    [anon_sym_ge] = ACTIONS(2532),
    [anon_sym_gt] = ACTIONS(2532),
    [anon_sym_isa] = ACTIONS(2534),
    [anon_sym_PLUS_PLUS] = ACTIONS(2532),
    [anon_sym_DASH_DASH] = ACTIONS(2532),
    [anon_sym_QMARK] = ACTIONS(2532),
    [anon_sym_PERCENT2] = ACTIONS(2532),
    [anon_sym_EQ_GT] = ACTIONS(2532),
    [sym_comment] = ACTIONS(5),
    [sym_quoted_regexp_modifiers] = ACTIONS(2532),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1653] = {
    [sym_heredoc_content] = STATE(1653),
    [anon_sym_RBRACE] = ACTIONS(3102),
    [anon_sym_EQ] = ACTIONS(3104),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3102),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3102),
    [anon_sym_COMMA] = ACTIONS(3102),
    [anon_sym_RPAREN] = ACTIONS(3102),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3102),
    [anon_sym_and] = ACTIONS(3102),
    [anon_sym_or] = ACTIONS(3102),
    [anon_sym_xor] = ACTIONS(3102),
    [anon_sym_RBRACK] = ACTIONS(3102),
    [anon_sym_DASH_GT] = ACTIONS(3102),
    [anon_sym_PERCENT] = ACTIONS(3104),
    [anon_sym_GT] = ACTIONS(3104),
    [anon_sym_LT_LT] = ACTIONS(3104),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3102),
    [anon_sym_PLUS_EQ] = ACTIONS(3102),
    [anon_sym_DASH_EQ] = ACTIONS(3102),
    [anon_sym_DOT_EQ] = ACTIONS(3102),
    [anon_sym_STAR_EQ] = ACTIONS(3102),
    [anon_sym_SLASH_EQ] = ACTIONS(3102),
    [anon_sym_PERCENT_EQ] = ACTIONS(3102),
    [anon_sym_x_EQ] = ACTIONS(3102),
    [anon_sym_AMP_EQ] = ACTIONS(3102),
    [anon_sym_PIPE_EQ] = ACTIONS(3102),
    [anon_sym_CARET_EQ] = ACTIONS(3102),
    [anon_sym_LT_LT_EQ] = ACTIONS(3102),
    [anon_sym_GT_GT_EQ] = ACTIONS(3102),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3102),
    [anon_sym_DOT_DOT] = ACTIONS(3104),
    [anon_sym_STAR_STAR] = ACTIONS(3104),
    [anon_sym_PIPE_PIPE] = ACTIONS(3104),
    [anon_sym_SLASH_SLASH] = ACTIONS(3104),
    [anon_sym_CARET_CARET] = ACTIONS(3102),
    [anon_sym_AMP_AMP] = ACTIONS(3104),
    [anon_sym_PIPE] = ACTIONS(3104),
    [anon_sym_CARET] = ACTIONS(3104),
    [anon_sym_AMP] = ACTIONS(3104),
    [anon_sym_GT_GT2] = ACTIONS(3104),
    [anon_sym_PLUS] = ACTIONS(3104),
    [anon_sym_DASH] = ACTIONS(3104),
    [anon_sym_DOT] = ACTIONS(3104),
    [anon_sym_STAR] = ACTIONS(3104),
    [anon_sym_SLASH] = ACTIONS(3104),
    [anon_sym_x] = ACTIONS(3104),
    [anon_sym_EQ_TILDE] = ACTIONS(3102),
    [anon_sym_BANG_TILDE] = ACTIONS(3102),
    [anon_sym_EQ_EQ] = ACTIONS(3104),
    [anon_sym_BANG_EQ] = ACTIONS(3102),
    [anon_sym_eq] = ACTIONS(3104),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3102),
    [anon_sym_equ] = ACTIONS(3102),
    [anon_sym_eqr] = ACTIONS(3102),
    [anon_sym_ne] = ACTIONS(3102),
    [anon_sym_LT_EQ_GT] = ACTIONS(3102),
    [anon_sym_cmp] = ACTIONS(3102),
    [anon_sym_TILDE_TILDE] = ACTIONS(3102),
    [anon_sym_LT] = ACTIONS(3104),
    [anon_sym_LT_EQ] = ACTIONS(3104),
    [anon_sym_GT_EQ] = ACTIONS(3102),
    [anon_sym_lt] = ACTIONS(3102),
    [anon_sym_le] = ACTIONS(3102),
    [anon_sym_ge] = ACTIONS(3102),
    [anon_sym_gt] = ACTIONS(3102),
    [anon_sym_isa] = ACTIONS(3102),
    [anon_sym_PLUS_PLUS] = ACTIONS(3102),
    [anon_sym_DASH_DASH] = ACTIONS(3102),
    [anon_sym_QMARK] = ACTIONS(3102),
    [anon_sym_EQ_GT] = ACTIONS(3102),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1654] = {
    [sym_heredoc_content] = STATE(1654),
    [anon_sym_COLON] = ACTIONS(2634),
    [anon_sym_DOLLAR] = ACTIONS(2634),
    [anon_sym_EQ] = ACTIONS(2636),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2634),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2634),
    [anon_sym_AT] = ACTIONS(2634),
    [anon_sym_COMMA] = ACTIONS(2634),
    [anon_sym_RPAREN] = ACTIONS(2634),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2634),
    [anon_sym_DASH_GT] = ACTIONS(2634),
    [anon_sym_PERCENT] = ACTIONS(2636),
    [anon_sym_GT] = ACTIONS(2636),
    [anon_sym_LT_LT] = ACTIONS(2636),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2634),
    [anon_sym_PLUS_EQ] = ACTIONS(2634),
    [anon_sym_DASH_EQ] = ACTIONS(2634),
    [anon_sym_DOT_EQ] = ACTIONS(2634),
    [anon_sym_STAR_EQ] = ACTIONS(2634),
    [anon_sym_SLASH_EQ] = ACTIONS(2634),
    [anon_sym_PERCENT_EQ] = ACTIONS(2636),
    [anon_sym_x_EQ] = ACTIONS(2636),
    [anon_sym_AMP_EQ] = ACTIONS(2634),
    [anon_sym_PIPE_EQ] = ACTIONS(2634),
    [anon_sym_CARET_EQ] = ACTIONS(2634),
    [anon_sym_LT_LT_EQ] = ACTIONS(2634),
    [anon_sym_GT_GT_EQ] = ACTIONS(2634),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2634),
    [anon_sym_DOT_DOT] = ACTIONS(2636),
    [anon_sym_STAR_STAR] = ACTIONS(2636),
    [anon_sym_PIPE_PIPE] = ACTIONS(2636),
    [anon_sym_SLASH_SLASH] = ACTIONS(2636),
    [anon_sym_CARET_CARET] = ACTIONS(2634),
    [anon_sym_AMP_AMP] = ACTIONS(2636),
    [anon_sym_PIPE] = ACTIONS(2636),
    [anon_sym_CARET] = ACTIONS(2636),
    [anon_sym_AMP] = ACTIONS(2636),
    [anon_sym_GT_GT2] = ACTIONS(2636),
    [anon_sym_PLUS] = ACTIONS(2636),
    [anon_sym_DASH] = ACTIONS(2636),
    [anon_sym_DOT] = ACTIONS(2636),
    [anon_sym_STAR] = ACTIONS(2636),
    [anon_sym_SLASH] = ACTIONS(2636),
    [anon_sym_x] = ACTIONS(2636),
    [anon_sym_EQ_TILDE] = ACTIONS(2634),
    [anon_sym_BANG_TILDE] = ACTIONS(2634),
    [anon_sym_EQ_EQ] = ACTIONS(2636),
    [anon_sym_BANG_EQ] = ACTIONS(2634),
    [anon_sym_eq] = ACTIONS(2636),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2634),
    [anon_sym_equ] = ACTIONS(2634),
    [anon_sym_eqr] = ACTIONS(2634),
    [anon_sym_ne] = ACTIONS(2636),
    [anon_sym_LT_EQ_GT] = ACTIONS(2634),
    [anon_sym_cmp] = ACTIONS(2636),
    [anon_sym_TILDE_TILDE] = ACTIONS(2634),
    [anon_sym_LT] = ACTIONS(2636),
    [anon_sym_LT_EQ] = ACTIONS(2636),
    [anon_sym_GT_EQ] = ACTIONS(2634),
    [anon_sym_lt] = ACTIONS(2636),
    [anon_sym_le] = ACTIONS(2636),
    [anon_sym_ge] = ACTIONS(2636),
    [anon_sym_gt] = ACTIONS(2636),
    [anon_sym_isa] = ACTIONS(2636),
    [anon_sym_PLUS_PLUS] = ACTIONS(2634),
    [anon_sym_DASH_DASH] = ACTIONS(2634),
    [anon_sym_QMARK] = ACTIONS(2634),
    [anon_sym_PERCENT2] = ACTIONS(2634),
    [anon_sym_EQ_GT] = ACTIONS(2634),
    [sym_comment] = ACTIONS(5),
    [sym_match_regexp_modifiers] = ACTIONS(3565),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1655] = {
    [sym_heredoc_content] = STATE(1655),
    [anon_sym_COLON] = ACTIONS(2532),
    [anon_sym_DOLLAR] = ACTIONS(2532),
    [anon_sym_EQ] = ACTIONS(2534),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2532),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2532),
    [anon_sym_AT] = ACTIONS(2532),
    [anon_sym_COMMA] = ACTIONS(2532),
    [anon_sym_RPAREN] = ACTIONS(2532),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2532),
    [anon_sym_DASH_GT] = ACTIONS(2532),
    [anon_sym_PERCENT] = ACTIONS(2534),
    [anon_sym_GT] = ACTIONS(2534),
    [anon_sym_LT_LT] = ACTIONS(2534),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2532),
    [anon_sym_PLUS_EQ] = ACTIONS(2532),
    [anon_sym_DASH_EQ] = ACTIONS(2532),
    [anon_sym_DOT_EQ] = ACTIONS(2532),
    [anon_sym_STAR_EQ] = ACTIONS(2532),
    [anon_sym_SLASH_EQ] = ACTIONS(2532),
    [anon_sym_PERCENT_EQ] = ACTIONS(2534),
    [anon_sym_x_EQ] = ACTIONS(2534),
    [anon_sym_AMP_EQ] = ACTIONS(2532),
    [anon_sym_PIPE_EQ] = ACTIONS(2532),
    [anon_sym_CARET_EQ] = ACTIONS(2532),
    [anon_sym_LT_LT_EQ] = ACTIONS(2532),
    [anon_sym_GT_GT_EQ] = ACTIONS(2532),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2532),
    [anon_sym_DOT_DOT] = ACTIONS(2534),
    [anon_sym_STAR_STAR] = ACTIONS(2534),
    [anon_sym_PIPE_PIPE] = ACTIONS(2534),
    [anon_sym_SLASH_SLASH] = ACTIONS(2534),
    [anon_sym_CARET_CARET] = ACTIONS(2532),
    [anon_sym_AMP_AMP] = ACTIONS(2534),
    [anon_sym_PIPE] = ACTIONS(2534),
    [anon_sym_CARET] = ACTIONS(2534),
    [anon_sym_AMP] = ACTIONS(2534),
    [anon_sym_GT_GT2] = ACTIONS(2534),
    [anon_sym_PLUS] = ACTIONS(2534),
    [anon_sym_DASH] = ACTIONS(2534),
    [anon_sym_DOT] = ACTIONS(2534),
    [anon_sym_STAR] = ACTIONS(2534),
    [anon_sym_SLASH] = ACTIONS(2534),
    [anon_sym_x] = ACTIONS(2534),
    [anon_sym_EQ_TILDE] = ACTIONS(2532),
    [anon_sym_BANG_TILDE] = ACTIONS(2532),
    [anon_sym_EQ_EQ] = ACTIONS(2534),
    [anon_sym_BANG_EQ] = ACTIONS(2532),
    [anon_sym_eq] = ACTIONS(2534),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2532),
    [anon_sym_equ] = ACTIONS(2534),
    [anon_sym_eqr] = ACTIONS(2534),
    [anon_sym_ne] = ACTIONS(2532),
    [anon_sym_LT_EQ_GT] = ACTIONS(2532),
    [anon_sym_cmp] = ACTIONS(2534),
    [anon_sym_TILDE_TILDE] = ACTIONS(2532),
    [anon_sym_LT] = ACTIONS(2534),
    [anon_sym_LT_EQ] = ACTIONS(2534),
    [anon_sym_GT_EQ] = ACTIONS(2532),
    [anon_sym_lt] = ACTIONS(2534),
    [anon_sym_le] = ACTIONS(2534),
    [anon_sym_ge] = ACTIONS(2534),
    [anon_sym_gt] = ACTIONS(2534),
    [anon_sym_isa] = ACTIONS(2534),
    [anon_sym_PLUS_PLUS] = ACTIONS(2532),
    [anon_sym_DASH_DASH] = ACTIONS(2532),
    [anon_sym_QMARK] = ACTIONS(2532),
    [anon_sym_PERCENT2] = ACTIONS(2532),
    [anon_sym_EQ_GT] = ACTIONS(2532),
    [sym_comment] = ACTIONS(5),
    [sym_substitution_regexp_modifiers] = ACTIONS(2532),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1656] = {
    [sym_heredoc_content] = STATE(1656),
    [anon_sym_COLON] = ACTIONS(2730),
    [anon_sym_DOLLAR] = ACTIONS(2730),
    [anon_sym_EQ] = ACTIONS(2732),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2730),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2730),
    [anon_sym_AT] = ACTIONS(2730),
    [anon_sym_COMMA] = ACTIONS(2730),
    [anon_sym_RPAREN] = ACTIONS(2730),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2730),
    [anon_sym_LBRACK] = ACTIONS(3567),
    [anon_sym_DASH_GT] = ACTIONS(2730),
    [anon_sym_PERCENT] = ACTIONS(2732),
    [anon_sym_GT] = ACTIONS(2732),
    [anon_sym_LT_LT] = ACTIONS(2732),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2730),
    [anon_sym_PLUS_EQ] = ACTIONS(2730),
    [anon_sym_DASH_EQ] = ACTIONS(2730),
    [anon_sym_DOT_EQ] = ACTIONS(2730),
    [anon_sym_STAR_EQ] = ACTIONS(2730),
    [anon_sym_SLASH_EQ] = ACTIONS(2730),
    [anon_sym_PERCENT_EQ] = ACTIONS(2732),
    [anon_sym_x_EQ] = ACTIONS(2730),
    [anon_sym_AMP_EQ] = ACTIONS(2730),
    [anon_sym_PIPE_EQ] = ACTIONS(2730),
    [anon_sym_CARET_EQ] = ACTIONS(2730),
    [anon_sym_LT_LT_EQ] = ACTIONS(2730),
    [anon_sym_GT_GT_EQ] = ACTIONS(2730),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2730),
    [anon_sym_DOT_DOT] = ACTIONS(2732),
    [anon_sym_STAR_STAR] = ACTIONS(2732),
    [anon_sym_PIPE_PIPE] = ACTIONS(2732),
    [anon_sym_SLASH_SLASH] = ACTIONS(2732),
    [anon_sym_CARET_CARET] = ACTIONS(2730),
    [anon_sym_AMP_AMP] = ACTIONS(2732),
    [anon_sym_PIPE] = ACTIONS(2732),
    [anon_sym_CARET] = ACTIONS(2732),
    [anon_sym_AMP] = ACTIONS(2732),
    [anon_sym_GT_GT2] = ACTIONS(2732),
    [anon_sym_PLUS] = ACTIONS(2732),
    [anon_sym_DASH] = ACTIONS(2732),
    [anon_sym_DOT] = ACTIONS(2732),
    [anon_sym_STAR] = ACTIONS(2732),
    [anon_sym_SLASH] = ACTIONS(2732),
    [anon_sym_x] = ACTIONS(2732),
    [anon_sym_EQ_TILDE] = ACTIONS(2730),
    [anon_sym_BANG_TILDE] = ACTIONS(2730),
    [anon_sym_EQ_EQ] = ACTIONS(2732),
    [anon_sym_BANG_EQ] = ACTIONS(2730),
    [anon_sym_eq] = ACTIONS(2732),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2730),
    [anon_sym_equ] = ACTIONS(2730),
    [anon_sym_eqr] = ACTIONS(2730),
    [anon_sym_ne] = ACTIONS(2730),
    [anon_sym_LT_EQ_GT] = ACTIONS(2730),
    [anon_sym_cmp] = ACTIONS(2730),
    [anon_sym_TILDE_TILDE] = ACTIONS(2730),
    [anon_sym_LT] = ACTIONS(2732),
    [anon_sym_LT_EQ] = ACTIONS(2732),
    [anon_sym_GT_EQ] = ACTIONS(2730),
    [anon_sym_lt] = ACTIONS(2730),
    [anon_sym_le] = ACTIONS(2730),
    [anon_sym_ge] = ACTIONS(2730),
    [anon_sym_gt] = ACTIONS(2730),
    [anon_sym_isa] = ACTIONS(2730),
    [anon_sym_PLUS_PLUS] = ACTIONS(2730),
    [anon_sym_DASH_DASH] = ACTIONS(2730),
    [anon_sym_QMARK] = ACTIONS(2730),
    [anon_sym_PERCENT2] = ACTIONS(2730),
    [anon_sym_EQ_GT] = ACTIONS(2730),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1657] = {
    [sym_heredoc_content] = STATE(1657),
    [anon_sym_RBRACE] = ACTIONS(3019),
    [anon_sym_EQ] = ACTIONS(3021),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_COMMA] = ACTIONS(3019),
    [anon_sym_RPAREN] = ACTIONS(3019),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3019),
    [anon_sym_and] = ACTIONS(3019),
    [anon_sym_or] = ACTIONS(3019),
    [anon_sym_xor] = ACTIONS(3019),
    [anon_sym_RBRACK] = ACTIONS(3019),
    [anon_sym_DASH_GT] = ACTIONS(3457),
    [anon_sym_PERCENT] = ACTIONS(3459),
    [anon_sym_GT] = ACTIONS(3461),
    [anon_sym_LT_LT] = ACTIONS(3463),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3019),
    [anon_sym_PLUS_EQ] = ACTIONS(3019),
    [anon_sym_DASH_EQ] = ACTIONS(3019),
    [anon_sym_DOT_EQ] = ACTIONS(3019),
    [anon_sym_STAR_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_PERCENT_EQ] = ACTIONS(3019),
    [anon_sym_x_EQ] = ACTIONS(3019),
    [anon_sym_AMP_EQ] = ACTIONS(3019),
    [anon_sym_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_CARET_EQ] = ACTIONS(3019),
    [anon_sym_LT_LT_EQ] = ACTIONS(3019),
    [anon_sym_GT_GT_EQ] = ACTIONS(3019),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3019),
    [anon_sym_DOT_DOT] = ACTIONS(3021),
    [anon_sym_STAR_STAR] = ACTIONS(3467),
    [anon_sym_PIPE_PIPE] = ACTIONS(3021),
    [anon_sym_SLASH_SLASH] = ACTIONS(3021),
    [anon_sym_CARET_CARET] = ACTIONS(3019),
    [anon_sym_AMP_AMP] = ACTIONS(3473),
    [anon_sym_PIPE] = ACTIONS(3475),
    [anon_sym_CARET] = ACTIONS(3475),
    [anon_sym_AMP] = ACTIONS(3477),
    [anon_sym_GT_GT2] = ACTIONS(3463),
    [anon_sym_PLUS] = ACTIONS(3479),
    [anon_sym_DASH] = ACTIONS(3479),
    [anon_sym_DOT] = ACTIONS(3479),
    [anon_sym_STAR] = ACTIONS(3459),
    [anon_sym_SLASH] = ACTIONS(3459),
    [anon_sym_x] = ACTIONS(3459),
    [anon_sym_EQ_TILDE] = ACTIONS(3481),
    [anon_sym_BANG_TILDE] = ACTIONS(3481),
    [anon_sym_EQ_EQ] = ACTIONS(3483),
    [anon_sym_BANG_EQ] = ACTIONS(3485),
    [anon_sym_eq] = ACTIONS(3483),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3485),
    [anon_sym_equ] = ACTIONS(3485),
    [anon_sym_eqr] = ACTIONS(3485),
    [anon_sym_ne] = ACTIONS(3485),
    [anon_sym_LT_EQ_GT] = ACTIONS(3487),
    [anon_sym_cmp] = ACTIONS(3487),
    [anon_sym_TILDE_TILDE] = ACTIONS(3487),
    [anon_sym_LT] = ACTIONS(3461),
    [anon_sym_LT_EQ] = ACTIONS(3461),
    [anon_sym_GT_EQ] = ACTIONS(3489),
    [anon_sym_lt] = ACTIONS(3489),
    [anon_sym_le] = ACTIONS(3489),
    [anon_sym_ge] = ACTIONS(3489),
    [anon_sym_gt] = ACTIONS(3489),
    [anon_sym_isa] = ACTIONS(3491),
    [anon_sym_PLUS_PLUS] = ACTIONS(3493),
    [anon_sym_DASH_DASH] = ACTIONS(3493),
    [anon_sym_QMARK] = ACTIONS(3019),
    [anon_sym_EQ_GT] = ACTIONS(3019),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1658] = {
    [sym_heredoc_content] = STATE(1658),
    [anon_sym_RBRACE] = ACTIONS(2897),
    [anon_sym_EQ] = ACTIONS(2899),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2897),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2897),
    [anon_sym_COMMA] = ACTIONS(2897),
    [anon_sym_RPAREN] = ACTIONS(2897),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2897),
    [anon_sym_and] = ACTIONS(2897),
    [anon_sym_or] = ACTIONS(2897),
    [anon_sym_xor] = ACTIONS(2897),
    [anon_sym_RBRACK] = ACTIONS(2897),
    [anon_sym_DASH_GT] = ACTIONS(2897),
    [anon_sym_PERCENT] = ACTIONS(2899),
    [anon_sym_GT] = ACTIONS(2899),
    [anon_sym_LT_LT] = ACTIONS(2899),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2897),
    [anon_sym_PLUS_EQ] = ACTIONS(2897),
    [anon_sym_DASH_EQ] = ACTIONS(2897),
    [anon_sym_DOT_EQ] = ACTIONS(2897),
    [anon_sym_STAR_EQ] = ACTIONS(2897),
    [anon_sym_SLASH_EQ] = ACTIONS(2897),
    [anon_sym_PERCENT_EQ] = ACTIONS(2897),
    [anon_sym_x_EQ] = ACTIONS(2897),
    [anon_sym_AMP_EQ] = ACTIONS(2897),
    [anon_sym_PIPE_EQ] = ACTIONS(2897),
    [anon_sym_CARET_EQ] = ACTIONS(2897),
    [anon_sym_LT_LT_EQ] = ACTIONS(2897),
    [anon_sym_GT_GT_EQ] = ACTIONS(2897),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2897),
    [anon_sym_DOT_DOT] = ACTIONS(2899),
    [anon_sym_STAR_STAR] = ACTIONS(2899),
    [anon_sym_PIPE_PIPE] = ACTIONS(2899),
    [anon_sym_SLASH_SLASH] = ACTIONS(2899),
    [anon_sym_CARET_CARET] = ACTIONS(2897),
    [anon_sym_AMP_AMP] = ACTIONS(2899),
    [anon_sym_PIPE] = ACTIONS(2899),
    [anon_sym_CARET] = ACTIONS(2899),
    [anon_sym_AMP] = ACTIONS(2899),
    [anon_sym_GT_GT2] = ACTIONS(2899),
    [anon_sym_PLUS] = ACTIONS(2899),
    [anon_sym_DASH] = ACTIONS(2899),
    [anon_sym_DOT] = ACTIONS(2899),
    [anon_sym_STAR] = ACTIONS(2899),
    [anon_sym_SLASH] = ACTIONS(2899),
    [anon_sym_x] = ACTIONS(2899),
    [anon_sym_EQ_TILDE] = ACTIONS(2897),
    [anon_sym_BANG_TILDE] = ACTIONS(2897),
    [anon_sym_EQ_EQ] = ACTIONS(2899),
    [anon_sym_BANG_EQ] = ACTIONS(2897),
    [anon_sym_eq] = ACTIONS(2899),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2897),
    [anon_sym_equ] = ACTIONS(2897),
    [anon_sym_eqr] = ACTIONS(2897),
    [anon_sym_ne] = ACTIONS(2897),
    [anon_sym_LT_EQ_GT] = ACTIONS(2897),
    [anon_sym_cmp] = ACTIONS(2897),
    [anon_sym_TILDE_TILDE] = ACTIONS(2897),
    [anon_sym_LT] = ACTIONS(2899),
    [anon_sym_LT_EQ] = ACTIONS(2899),
    [anon_sym_GT_EQ] = ACTIONS(2897),
    [anon_sym_lt] = ACTIONS(2897),
    [anon_sym_le] = ACTIONS(2897),
    [anon_sym_ge] = ACTIONS(2897),
    [anon_sym_gt] = ACTIONS(2897),
    [anon_sym_isa] = ACTIONS(2897),
    [anon_sym_PLUS_PLUS] = ACTIONS(2897),
    [anon_sym_DASH_DASH] = ACTIONS(2897),
    [anon_sym_QMARK] = ACTIONS(2897),
    [anon_sym_EQ_GT] = ACTIONS(2897),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1659] = {
    [sym_heredoc_content] = STATE(1659),
    [anon_sym_RBRACE] = ACTIONS(2897),
    [anon_sym_EQ] = ACTIONS(2899),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2897),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2897),
    [anon_sym_COMMA] = ACTIONS(3569),
    [anon_sym_RPAREN] = ACTIONS(2897),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2897),
    [anon_sym_and] = ACTIONS(2897),
    [anon_sym_or] = ACTIONS(2897),
    [anon_sym_xor] = ACTIONS(2897),
    [anon_sym_RBRACK] = ACTIONS(2897),
    [anon_sym_DASH_GT] = ACTIONS(2897),
    [anon_sym_PERCENT] = ACTIONS(2899),
    [anon_sym_GT] = ACTIONS(2899),
    [anon_sym_LT_LT] = ACTIONS(2899),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2897),
    [anon_sym_PLUS_EQ] = ACTIONS(2897),
    [anon_sym_DASH_EQ] = ACTIONS(2897),
    [anon_sym_DOT_EQ] = ACTIONS(2897),
    [anon_sym_STAR_EQ] = ACTIONS(2897),
    [anon_sym_SLASH_EQ] = ACTIONS(2897),
    [anon_sym_PERCENT_EQ] = ACTIONS(2897),
    [anon_sym_x_EQ] = ACTIONS(2897),
    [anon_sym_AMP_EQ] = ACTIONS(2897),
    [anon_sym_PIPE_EQ] = ACTIONS(2897),
    [anon_sym_CARET_EQ] = ACTIONS(2897),
    [anon_sym_LT_LT_EQ] = ACTIONS(2897),
    [anon_sym_GT_GT_EQ] = ACTIONS(2897),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2897),
    [anon_sym_DOT_DOT] = ACTIONS(2899),
    [anon_sym_STAR_STAR] = ACTIONS(2899),
    [anon_sym_PIPE_PIPE] = ACTIONS(2899),
    [anon_sym_SLASH_SLASH] = ACTIONS(2899),
    [anon_sym_CARET_CARET] = ACTIONS(2897),
    [anon_sym_AMP_AMP] = ACTIONS(2899),
    [anon_sym_PIPE] = ACTIONS(2899),
    [anon_sym_CARET] = ACTIONS(2899),
    [anon_sym_AMP] = ACTIONS(2899),
    [anon_sym_GT_GT2] = ACTIONS(2899),
    [anon_sym_PLUS] = ACTIONS(2899),
    [anon_sym_DASH] = ACTIONS(2899),
    [anon_sym_DOT] = ACTIONS(2899),
    [anon_sym_STAR] = ACTIONS(2899),
    [anon_sym_SLASH] = ACTIONS(2899),
    [anon_sym_x] = ACTIONS(2899),
    [anon_sym_EQ_TILDE] = ACTIONS(2897),
    [anon_sym_BANG_TILDE] = ACTIONS(2897),
    [anon_sym_EQ_EQ] = ACTIONS(2899),
    [anon_sym_BANG_EQ] = ACTIONS(2897),
    [anon_sym_eq] = ACTIONS(2899),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2897),
    [anon_sym_equ] = ACTIONS(2897),
    [anon_sym_eqr] = ACTIONS(2897),
    [anon_sym_ne] = ACTIONS(2897),
    [anon_sym_LT_EQ_GT] = ACTIONS(2897),
    [anon_sym_cmp] = ACTIONS(2897),
    [anon_sym_TILDE_TILDE] = ACTIONS(2897),
    [anon_sym_LT] = ACTIONS(2899),
    [anon_sym_LT_EQ] = ACTIONS(2899),
    [anon_sym_GT_EQ] = ACTIONS(2897),
    [anon_sym_lt] = ACTIONS(2897),
    [anon_sym_le] = ACTIONS(2897),
    [anon_sym_ge] = ACTIONS(2897),
    [anon_sym_gt] = ACTIONS(2897),
    [anon_sym_isa] = ACTIONS(2897),
    [anon_sym_PLUS_PLUS] = ACTIONS(2897),
    [anon_sym_DASH_DASH] = ACTIONS(2897),
    [anon_sym_QMARK] = ACTIONS(2897),
    [anon_sym_EQ_GT] = ACTIONS(3569),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1660] = {
    [sym_heredoc_content] = STATE(1660),
    [anon_sym_RBRACE] = ACTIONS(3019),
    [anon_sym_EQ] = ACTIONS(3021),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_COMMA] = ACTIONS(3019),
    [anon_sym_RPAREN] = ACTIONS(3019),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3571),
    [anon_sym_and] = ACTIONS(3019),
    [anon_sym_or] = ACTIONS(3019),
    [anon_sym_xor] = ACTIONS(3019),
    [anon_sym_RBRACK] = ACTIONS(3019),
    [anon_sym_DASH_GT] = ACTIONS(3457),
    [anon_sym_PERCENT] = ACTIONS(3459),
    [anon_sym_GT] = ACTIONS(3461),
    [anon_sym_LT_LT] = ACTIONS(3463),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3019),
    [anon_sym_PLUS_EQ] = ACTIONS(3019),
    [anon_sym_DASH_EQ] = ACTIONS(3019),
    [anon_sym_DOT_EQ] = ACTIONS(3019),
    [anon_sym_STAR_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_PERCENT_EQ] = ACTIONS(3019),
    [anon_sym_x_EQ] = ACTIONS(3019),
    [anon_sym_AMP_EQ] = ACTIONS(3019),
    [anon_sym_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_CARET_EQ] = ACTIONS(3019),
    [anon_sym_LT_LT_EQ] = ACTIONS(3019),
    [anon_sym_GT_GT_EQ] = ACTIONS(3019),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3019),
    [anon_sym_DOT_DOT] = ACTIONS(3573),
    [anon_sym_STAR_STAR] = ACTIONS(3467),
    [anon_sym_PIPE_PIPE] = ACTIONS(3469),
    [anon_sym_SLASH_SLASH] = ACTIONS(3469),
    [anon_sym_CARET_CARET] = ACTIONS(3471),
    [anon_sym_AMP_AMP] = ACTIONS(3473),
    [anon_sym_PIPE] = ACTIONS(3475),
    [anon_sym_CARET] = ACTIONS(3475),
    [anon_sym_AMP] = ACTIONS(3477),
    [anon_sym_GT_GT2] = ACTIONS(3463),
    [anon_sym_PLUS] = ACTIONS(3479),
    [anon_sym_DASH] = ACTIONS(3479),
    [anon_sym_DOT] = ACTIONS(3479),
    [anon_sym_STAR] = ACTIONS(3459),
    [anon_sym_SLASH] = ACTIONS(3459),
    [anon_sym_x] = ACTIONS(3459),
    [anon_sym_EQ_TILDE] = ACTIONS(3481),
    [anon_sym_BANG_TILDE] = ACTIONS(3481),
    [anon_sym_EQ_EQ] = ACTIONS(3483),
    [anon_sym_BANG_EQ] = ACTIONS(3485),
    [anon_sym_eq] = ACTIONS(3483),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3485),
    [anon_sym_equ] = ACTIONS(3485),
    [anon_sym_eqr] = ACTIONS(3485),
    [anon_sym_ne] = ACTIONS(3485),
    [anon_sym_LT_EQ_GT] = ACTIONS(3487),
    [anon_sym_cmp] = ACTIONS(3487),
    [anon_sym_TILDE_TILDE] = ACTIONS(3487),
    [anon_sym_LT] = ACTIONS(3461),
    [anon_sym_LT_EQ] = ACTIONS(3461),
    [anon_sym_GT_EQ] = ACTIONS(3489),
    [anon_sym_lt] = ACTIONS(3489),
    [anon_sym_le] = ACTIONS(3489),
    [anon_sym_ge] = ACTIONS(3489),
    [anon_sym_gt] = ACTIONS(3489),
    [anon_sym_isa] = ACTIONS(3491),
    [anon_sym_PLUS_PLUS] = ACTIONS(3493),
    [anon_sym_DASH_DASH] = ACTIONS(3493),
    [anon_sym_QMARK] = ACTIONS(3019),
    [anon_sym_EQ_GT] = ACTIONS(3019),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1661] = {
    [sym_heredoc_content] = STATE(1661),
    [anon_sym_RBRACE] = ACTIONS(3106),
    [anon_sym_EQ] = ACTIONS(3108),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3106),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3106),
    [anon_sym_COMMA] = ACTIONS(3106),
    [anon_sym_RPAREN] = ACTIONS(3106),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3106),
    [anon_sym_and] = ACTIONS(3106),
    [anon_sym_or] = ACTIONS(3106),
    [anon_sym_xor] = ACTIONS(3106),
    [anon_sym_RBRACK] = ACTIONS(3106),
    [anon_sym_DASH_GT] = ACTIONS(3106),
    [anon_sym_PERCENT] = ACTIONS(3108),
    [anon_sym_GT] = ACTIONS(3108),
    [anon_sym_LT_LT] = ACTIONS(3108),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3106),
    [anon_sym_PLUS_EQ] = ACTIONS(3106),
    [anon_sym_DASH_EQ] = ACTIONS(3106),
    [anon_sym_DOT_EQ] = ACTIONS(3106),
    [anon_sym_STAR_EQ] = ACTIONS(3106),
    [anon_sym_SLASH_EQ] = ACTIONS(3106),
    [anon_sym_PERCENT_EQ] = ACTIONS(3106),
    [anon_sym_x_EQ] = ACTIONS(3106),
    [anon_sym_AMP_EQ] = ACTIONS(3106),
    [anon_sym_PIPE_EQ] = ACTIONS(3106),
    [anon_sym_CARET_EQ] = ACTIONS(3106),
    [anon_sym_LT_LT_EQ] = ACTIONS(3106),
    [anon_sym_GT_GT_EQ] = ACTIONS(3106),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3106),
    [anon_sym_DOT_DOT] = ACTIONS(3108),
    [anon_sym_STAR_STAR] = ACTIONS(3108),
    [anon_sym_PIPE_PIPE] = ACTIONS(3108),
    [anon_sym_SLASH_SLASH] = ACTIONS(3108),
    [anon_sym_CARET_CARET] = ACTIONS(3106),
    [anon_sym_AMP_AMP] = ACTIONS(3108),
    [anon_sym_PIPE] = ACTIONS(3108),
    [anon_sym_CARET] = ACTIONS(3108),
    [anon_sym_AMP] = ACTIONS(3108),
    [anon_sym_GT_GT2] = ACTIONS(3108),
    [anon_sym_PLUS] = ACTIONS(3108),
    [anon_sym_DASH] = ACTIONS(3108),
    [anon_sym_DOT] = ACTIONS(3108),
    [anon_sym_STAR] = ACTIONS(3108),
    [anon_sym_SLASH] = ACTIONS(3108),
    [anon_sym_x] = ACTIONS(3108),
    [anon_sym_EQ_TILDE] = ACTIONS(3106),
    [anon_sym_BANG_TILDE] = ACTIONS(3106),
    [anon_sym_EQ_EQ] = ACTIONS(3108),
    [anon_sym_BANG_EQ] = ACTIONS(3106),
    [anon_sym_eq] = ACTIONS(3108),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3106),
    [anon_sym_equ] = ACTIONS(3106),
    [anon_sym_eqr] = ACTIONS(3106),
    [anon_sym_ne] = ACTIONS(3106),
    [anon_sym_LT_EQ_GT] = ACTIONS(3106),
    [anon_sym_cmp] = ACTIONS(3106),
    [anon_sym_TILDE_TILDE] = ACTIONS(3106),
    [anon_sym_LT] = ACTIONS(3108),
    [anon_sym_LT_EQ] = ACTIONS(3108),
    [anon_sym_GT_EQ] = ACTIONS(3106),
    [anon_sym_lt] = ACTIONS(3106),
    [anon_sym_le] = ACTIONS(3106),
    [anon_sym_ge] = ACTIONS(3106),
    [anon_sym_gt] = ACTIONS(3106),
    [anon_sym_isa] = ACTIONS(3106),
    [anon_sym_PLUS_PLUS] = ACTIONS(3106),
    [anon_sym_DASH_DASH] = ACTIONS(3106),
    [anon_sym_QMARK] = ACTIONS(3106),
    [anon_sym_EQ_GT] = ACTIONS(3106),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1662] = {
    [sym_heredoc_content] = STATE(1662),
    [sym__identifier] = ACTIONS(2446),
    [anon_sym_COLON] = ACTIONS(2446),
    [anon_sym_SEMI] = ACTIONS(2448),
    [anon_sym_EQ] = ACTIONS(2446),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2448),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2448),
    [anon_sym_COMMA] = ACTIONS(2448),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2448),
    [anon_sym_DASH_GT] = ACTIONS(2448),
    [anon_sym_PERCENT] = ACTIONS(2446),
    [anon_sym_GT] = ACTIONS(2446),
    [anon_sym_LT_LT] = ACTIONS(2446),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2448),
    [anon_sym_PLUS_EQ] = ACTIONS(2448),
    [anon_sym_DASH_EQ] = ACTIONS(2448),
    [anon_sym_DOT_EQ] = ACTIONS(2448),
    [anon_sym_STAR_EQ] = ACTIONS(2448),
    [anon_sym_SLASH_EQ] = ACTIONS(2448),
    [anon_sym_PERCENT_EQ] = ACTIONS(2448),
    [anon_sym_x_EQ] = ACTIONS(2448),
    [anon_sym_AMP_EQ] = ACTIONS(2448),
    [anon_sym_PIPE_EQ] = ACTIONS(2448),
    [anon_sym_CARET_EQ] = ACTIONS(2448),
    [anon_sym_LT_LT_EQ] = ACTIONS(2448),
    [anon_sym_GT_GT_EQ] = ACTIONS(2448),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2448),
    [anon_sym_DOT_DOT] = ACTIONS(2446),
    [anon_sym_STAR_STAR] = ACTIONS(2446),
    [anon_sym_PIPE_PIPE] = ACTIONS(2446),
    [anon_sym_SLASH_SLASH] = ACTIONS(2446),
    [anon_sym_CARET_CARET] = ACTIONS(2448),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_PIPE] = ACTIONS(2446),
    [anon_sym_CARET] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2446),
    [anon_sym_GT_GT2] = ACTIONS(2446),
    [anon_sym_PLUS] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2446),
    [anon_sym_DOT] = ACTIONS(2446),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_SLASH] = ACTIONS(2446),
    [anon_sym_x] = ACTIONS(2446),
    [anon_sym_EQ_TILDE] = ACTIONS(2448),
    [anon_sym_BANG_TILDE] = ACTIONS(2448),
    [anon_sym_EQ_EQ] = ACTIONS(2446),
    [anon_sym_BANG_EQ] = ACTIONS(2448),
    [anon_sym_eq] = ACTIONS(2446),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2448),
    [anon_sym_equ] = ACTIONS(2446),
    [anon_sym_eqr] = ACTIONS(2446),
    [anon_sym_ne] = ACTIONS(2446),
    [anon_sym_LT_EQ_GT] = ACTIONS(2448),
    [anon_sym_cmp] = ACTIONS(2446),
    [anon_sym_TILDE_TILDE] = ACTIONS(2448),
    [anon_sym_LT] = ACTIONS(2446),
    [anon_sym_LT_EQ] = ACTIONS(2446),
    [anon_sym_GT_EQ] = ACTIONS(2448),
    [anon_sym_lt] = ACTIONS(2446),
    [anon_sym_le] = ACTIONS(2446),
    [anon_sym_ge] = ACTIONS(2446),
    [anon_sym_gt] = ACTIONS(2446),
    [anon_sym_isa] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2448),
    [anon_sym_DASH_DASH] = ACTIONS(2448),
    [anon_sym_QMARK] = ACTIONS(2448),
    [anon_sym_EQ_GT] = ACTIONS(2448),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(2446),
    [sym__PERLY_SEMICOLON] = ACTIONS(2448),
    [sym_pod] = ACTIONS(5),
    [sym__attribute_value_begin] = ACTIONS(2448),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1663] = {
    [sym_heredoc_content] = STATE(1663),
    [anon_sym_COLON] = ACTIONS(2648),
    [anon_sym_DOLLAR] = ACTIONS(2648),
    [anon_sym_EQ] = ACTIONS(2650),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2648),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2648),
    [anon_sym_AT] = ACTIONS(2648),
    [anon_sym_COMMA] = ACTIONS(2648),
    [anon_sym_RPAREN] = ACTIONS(2648),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2648),
    [anon_sym_LBRACK] = ACTIONS(2648),
    [anon_sym_DASH_GT] = ACTIONS(2648),
    [anon_sym_PERCENT] = ACTIONS(2650),
    [anon_sym_GT] = ACTIONS(2650),
    [anon_sym_LT_LT] = ACTIONS(2650),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2648),
    [anon_sym_PLUS_EQ] = ACTIONS(2648),
    [anon_sym_DASH_EQ] = ACTIONS(2648),
    [anon_sym_DOT_EQ] = ACTIONS(2648),
    [anon_sym_STAR_EQ] = ACTIONS(2648),
    [anon_sym_SLASH_EQ] = ACTIONS(2648),
    [anon_sym_PERCENT_EQ] = ACTIONS(2650),
    [anon_sym_x_EQ] = ACTIONS(2648),
    [anon_sym_AMP_EQ] = ACTIONS(2648),
    [anon_sym_PIPE_EQ] = ACTIONS(2648),
    [anon_sym_CARET_EQ] = ACTIONS(2648),
    [anon_sym_LT_LT_EQ] = ACTIONS(2648),
    [anon_sym_GT_GT_EQ] = ACTIONS(2648),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2648),
    [anon_sym_DOT_DOT] = ACTIONS(2650),
    [anon_sym_STAR_STAR] = ACTIONS(2650),
    [anon_sym_PIPE_PIPE] = ACTIONS(2650),
    [anon_sym_SLASH_SLASH] = ACTIONS(2650),
    [anon_sym_CARET_CARET] = ACTIONS(2648),
    [anon_sym_AMP_AMP] = ACTIONS(2650),
    [anon_sym_PIPE] = ACTIONS(2650),
    [anon_sym_CARET] = ACTIONS(2650),
    [anon_sym_AMP] = ACTIONS(2650),
    [anon_sym_GT_GT2] = ACTIONS(2650),
    [anon_sym_PLUS] = ACTIONS(2650),
    [anon_sym_DASH] = ACTIONS(2650),
    [anon_sym_DOT] = ACTIONS(2650),
    [anon_sym_STAR] = ACTIONS(2650),
    [anon_sym_SLASH] = ACTIONS(2650),
    [anon_sym_x] = ACTIONS(2650),
    [anon_sym_EQ_TILDE] = ACTIONS(2648),
    [anon_sym_BANG_TILDE] = ACTIONS(2648),
    [anon_sym_EQ_EQ] = ACTIONS(2650),
    [anon_sym_BANG_EQ] = ACTIONS(2648),
    [anon_sym_eq] = ACTIONS(2650),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2648),
    [anon_sym_equ] = ACTIONS(2648),
    [anon_sym_eqr] = ACTIONS(2648),
    [anon_sym_ne] = ACTIONS(2648),
    [anon_sym_LT_EQ_GT] = ACTIONS(2648),
    [anon_sym_cmp] = ACTIONS(2648),
    [anon_sym_TILDE_TILDE] = ACTIONS(2648),
    [anon_sym_LT] = ACTIONS(2650),
    [anon_sym_LT_EQ] = ACTIONS(2650),
    [anon_sym_GT_EQ] = ACTIONS(2648),
    [anon_sym_lt] = ACTIONS(2648),
    [anon_sym_le] = ACTIONS(2648),
    [anon_sym_ge] = ACTIONS(2648),
    [anon_sym_gt] = ACTIONS(2648),
    [anon_sym_isa] = ACTIONS(2648),
    [anon_sym_PLUS_PLUS] = ACTIONS(2648),
    [anon_sym_DASH_DASH] = ACTIONS(2648),
    [anon_sym_QMARK] = ACTIONS(2648),
    [anon_sym_PERCENT2] = ACTIONS(2648),
    [anon_sym_EQ_GT] = ACTIONS(2648),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1664] = {
    [sym_heredoc_content] = STATE(1664),
    [sym__identifier] = ACTIONS(2450),
    [anon_sym_COLON] = ACTIONS(2450),
    [anon_sym_SEMI] = ACTIONS(2452),
    [anon_sym_EQ] = ACTIONS(2450),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2452),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2452),
    [anon_sym_COMMA] = ACTIONS(2452),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2452),
    [anon_sym_DASH_GT] = ACTIONS(2452),
    [anon_sym_PERCENT] = ACTIONS(2450),
    [anon_sym_GT] = ACTIONS(2450),
    [anon_sym_LT_LT] = ACTIONS(2450),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2452),
    [anon_sym_PLUS_EQ] = ACTIONS(2452),
    [anon_sym_DASH_EQ] = ACTIONS(2452),
    [anon_sym_DOT_EQ] = ACTIONS(2452),
    [anon_sym_STAR_EQ] = ACTIONS(2452),
    [anon_sym_SLASH_EQ] = ACTIONS(2452),
    [anon_sym_PERCENT_EQ] = ACTIONS(2452),
    [anon_sym_x_EQ] = ACTIONS(2452),
    [anon_sym_AMP_EQ] = ACTIONS(2452),
    [anon_sym_PIPE_EQ] = ACTIONS(2452),
    [anon_sym_CARET_EQ] = ACTIONS(2452),
    [anon_sym_LT_LT_EQ] = ACTIONS(2452),
    [anon_sym_GT_GT_EQ] = ACTIONS(2452),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2452),
    [anon_sym_DOT_DOT] = ACTIONS(2450),
    [anon_sym_STAR_STAR] = ACTIONS(2450),
    [anon_sym_PIPE_PIPE] = ACTIONS(2450),
    [anon_sym_SLASH_SLASH] = ACTIONS(2450),
    [anon_sym_CARET_CARET] = ACTIONS(2452),
    [anon_sym_AMP_AMP] = ACTIONS(2450),
    [anon_sym_PIPE] = ACTIONS(2450),
    [anon_sym_CARET] = ACTIONS(2450),
    [anon_sym_AMP] = ACTIONS(2450),
    [anon_sym_GT_GT2] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_DOT] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2450),
    [anon_sym_SLASH] = ACTIONS(2450),
    [anon_sym_x] = ACTIONS(2450),
    [anon_sym_EQ_TILDE] = ACTIONS(2452),
    [anon_sym_BANG_TILDE] = ACTIONS(2452),
    [anon_sym_EQ_EQ] = ACTIONS(2450),
    [anon_sym_BANG_EQ] = ACTIONS(2452),
    [anon_sym_eq] = ACTIONS(2450),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2452),
    [anon_sym_equ] = ACTIONS(2450),
    [anon_sym_eqr] = ACTIONS(2450),
    [anon_sym_ne] = ACTIONS(2450),
    [anon_sym_LT_EQ_GT] = ACTIONS(2452),
    [anon_sym_cmp] = ACTIONS(2450),
    [anon_sym_TILDE_TILDE] = ACTIONS(2452),
    [anon_sym_LT] = ACTIONS(2450),
    [anon_sym_LT_EQ] = ACTIONS(2450),
    [anon_sym_GT_EQ] = ACTIONS(2452),
    [anon_sym_lt] = ACTIONS(2450),
    [anon_sym_le] = ACTIONS(2450),
    [anon_sym_ge] = ACTIONS(2450),
    [anon_sym_gt] = ACTIONS(2450),
    [anon_sym_isa] = ACTIONS(2450),
    [anon_sym_PLUS_PLUS] = ACTIONS(2452),
    [anon_sym_DASH_DASH] = ACTIONS(2452),
    [anon_sym_QMARK] = ACTIONS(2452),
    [anon_sym_EQ_GT] = ACTIONS(2452),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(2450),
    [sym__PERLY_SEMICOLON] = ACTIONS(2452),
    [sym_pod] = ACTIONS(5),
    [sym__attribute_value_begin] = ACTIONS(3575),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1665] = {
    [sym_heredoc_content] = STATE(1665),
    [anon_sym_RBRACE] = ACTIONS(2821),
    [anon_sym_EQ] = ACTIONS(2823),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2821),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2821),
    [anon_sym_COMMA] = ACTIONS(2821),
    [anon_sym_RPAREN] = ACTIONS(2821),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2821),
    [anon_sym_and] = ACTIONS(2821),
    [anon_sym_or] = ACTIONS(2821),
    [anon_sym_xor] = ACTIONS(2821),
    [anon_sym_RBRACK] = ACTIONS(2821),
    [anon_sym_DASH_GT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(2823),
    [anon_sym_GT] = ACTIONS(2823),
    [anon_sym_LT_LT] = ACTIONS(2823),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2821),
    [anon_sym_PLUS_EQ] = ACTIONS(2821),
    [anon_sym_DASH_EQ] = ACTIONS(2821),
    [anon_sym_DOT_EQ] = ACTIONS(2821),
    [anon_sym_STAR_EQ] = ACTIONS(2821),
    [anon_sym_SLASH_EQ] = ACTIONS(2821),
    [anon_sym_PERCENT_EQ] = ACTIONS(2821),
    [anon_sym_x_EQ] = ACTIONS(2821),
    [anon_sym_AMP_EQ] = ACTIONS(2821),
    [anon_sym_PIPE_EQ] = ACTIONS(2821),
    [anon_sym_CARET_EQ] = ACTIONS(2821),
    [anon_sym_LT_LT_EQ] = ACTIONS(2821),
    [anon_sym_GT_GT_EQ] = ACTIONS(2821),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2821),
    [anon_sym_DOT_DOT] = ACTIONS(2823),
    [anon_sym_STAR_STAR] = ACTIONS(2823),
    [anon_sym_PIPE_PIPE] = ACTIONS(2823),
    [anon_sym_SLASH_SLASH] = ACTIONS(2823),
    [anon_sym_CARET_CARET] = ACTIONS(2821),
    [anon_sym_AMP_AMP] = ACTIONS(2823),
    [anon_sym_PIPE] = ACTIONS(2823),
    [anon_sym_CARET] = ACTIONS(2823),
    [anon_sym_AMP] = ACTIONS(2823),
    [anon_sym_GT_GT2] = ACTIONS(2823),
    [anon_sym_PLUS] = ACTIONS(2823),
    [anon_sym_DASH] = ACTIONS(2823),
    [anon_sym_DOT] = ACTIONS(2823),
    [anon_sym_STAR] = ACTIONS(2823),
    [anon_sym_SLASH] = ACTIONS(2823),
    [anon_sym_x] = ACTIONS(2823),
    [anon_sym_EQ_TILDE] = ACTIONS(2821),
    [anon_sym_BANG_TILDE] = ACTIONS(2821),
    [anon_sym_EQ_EQ] = ACTIONS(2823),
    [anon_sym_BANG_EQ] = ACTIONS(2821),
    [anon_sym_eq] = ACTIONS(2823),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2821),
    [anon_sym_equ] = ACTIONS(2821),
    [anon_sym_eqr] = ACTIONS(2821),
    [anon_sym_ne] = ACTIONS(2821),
    [anon_sym_LT_EQ_GT] = ACTIONS(2821),
    [anon_sym_cmp] = ACTIONS(2821),
    [anon_sym_TILDE_TILDE] = ACTIONS(2821),
    [anon_sym_LT] = ACTIONS(2823),
    [anon_sym_LT_EQ] = ACTIONS(2823),
    [anon_sym_GT_EQ] = ACTIONS(2821),
    [anon_sym_lt] = ACTIONS(2821),
    [anon_sym_le] = ACTIONS(2821),
    [anon_sym_ge] = ACTIONS(2821),
    [anon_sym_gt] = ACTIONS(2821),
    [anon_sym_isa] = ACTIONS(2821),
    [anon_sym_PLUS_PLUS] = ACTIONS(2821),
    [anon_sym_DASH_DASH] = ACTIONS(2821),
    [anon_sym_QMARK] = ACTIONS(2821),
    [anon_sym_EQ_GT] = ACTIONS(2821),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1666] = {
    [sym_heredoc_content] = STATE(1666),
    [anon_sym_RBRACE] = ACTIONS(2907),
    [anon_sym_EQ] = ACTIONS(2909),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2907),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2907),
    [anon_sym_COMMA] = ACTIONS(2907),
    [anon_sym_RPAREN] = ACTIONS(2907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2907),
    [anon_sym_and] = ACTIONS(2907),
    [anon_sym_or] = ACTIONS(2907),
    [anon_sym_xor] = ACTIONS(2907),
    [anon_sym_RBRACK] = ACTIONS(2907),
    [anon_sym_DASH_GT] = ACTIONS(2907),
    [anon_sym_PERCENT] = ACTIONS(2909),
    [anon_sym_GT] = ACTIONS(2909),
    [anon_sym_LT_LT] = ACTIONS(2909),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2907),
    [anon_sym_PLUS_EQ] = ACTIONS(2907),
    [anon_sym_DASH_EQ] = ACTIONS(2907),
    [anon_sym_DOT_EQ] = ACTIONS(2907),
    [anon_sym_STAR_EQ] = ACTIONS(2907),
    [anon_sym_SLASH_EQ] = ACTIONS(2907),
    [anon_sym_PERCENT_EQ] = ACTIONS(2907),
    [anon_sym_x_EQ] = ACTIONS(2907),
    [anon_sym_AMP_EQ] = ACTIONS(2907),
    [anon_sym_PIPE_EQ] = ACTIONS(2907),
    [anon_sym_CARET_EQ] = ACTIONS(2907),
    [anon_sym_LT_LT_EQ] = ACTIONS(2907),
    [anon_sym_GT_GT_EQ] = ACTIONS(2907),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2907),
    [anon_sym_DOT_DOT] = ACTIONS(2909),
    [anon_sym_STAR_STAR] = ACTIONS(2909),
    [anon_sym_PIPE_PIPE] = ACTIONS(2909),
    [anon_sym_SLASH_SLASH] = ACTIONS(2909),
    [anon_sym_CARET_CARET] = ACTIONS(2907),
    [anon_sym_AMP_AMP] = ACTIONS(2909),
    [anon_sym_PIPE] = ACTIONS(2909),
    [anon_sym_CARET] = ACTIONS(2909),
    [anon_sym_AMP] = ACTIONS(2909),
    [anon_sym_GT_GT2] = ACTIONS(2909),
    [anon_sym_PLUS] = ACTIONS(2909),
    [anon_sym_DASH] = ACTIONS(2909),
    [anon_sym_DOT] = ACTIONS(2909),
    [anon_sym_STAR] = ACTIONS(2909),
    [anon_sym_SLASH] = ACTIONS(2909),
    [anon_sym_x] = ACTIONS(2909),
    [anon_sym_EQ_TILDE] = ACTIONS(2907),
    [anon_sym_BANG_TILDE] = ACTIONS(2907),
    [anon_sym_EQ_EQ] = ACTIONS(2909),
    [anon_sym_BANG_EQ] = ACTIONS(2907),
    [anon_sym_eq] = ACTIONS(2909),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2907),
    [anon_sym_equ] = ACTIONS(2907),
    [anon_sym_eqr] = ACTIONS(2907),
    [anon_sym_ne] = ACTIONS(2907),
    [anon_sym_LT_EQ_GT] = ACTIONS(2907),
    [anon_sym_cmp] = ACTIONS(2907),
    [anon_sym_TILDE_TILDE] = ACTIONS(2907),
    [anon_sym_LT] = ACTIONS(2909),
    [anon_sym_LT_EQ] = ACTIONS(2909),
    [anon_sym_GT_EQ] = ACTIONS(2907),
    [anon_sym_lt] = ACTIONS(2907),
    [anon_sym_le] = ACTIONS(2907),
    [anon_sym_ge] = ACTIONS(2907),
    [anon_sym_gt] = ACTIONS(2907),
    [anon_sym_isa] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_QMARK] = ACTIONS(2907),
    [anon_sym_EQ_GT] = ACTIONS(2907),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1667] = {
    [sym_heredoc_content] = STATE(1667),
    [anon_sym_RBRACE] = ACTIONS(2911),
    [anon_sym_EQ] = ACTIONS(2913),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2911),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2911),
    [anon_sym_COMMA] = ACTIONS(2911),
    [anon_sym_RPAREN] = ACTIONS(2911),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2911),
    [anon_sym_and] = ACTIONS(2911),
    [anon_sym_or] = ACTIONS(2911),
    [anon_sym_xor] = ACTIONS(2911),
    [anon_sym_RBRACK] = ACTIONS(2911),
    [anon_sym_DASH_GT] = ACTIONS(2911),
    [anon_sym_PERCENT] = ACTIONS(2913),
    [anon_sym_GT] = ACTIONS(2913),
    [anon_sym_LT_LT] = ACTIONS(2913),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2911),
    [anon_sym_PLUS_EQ] = ACTIONS(2911),
    [anon_sym_DASH_EQ] = ACTIONS(2911),
    [anon_sym_DOT_EQ] = ACTIONS(2911),
    [anon_sym_STAR_EQ] = ACTIONS(2911),
    [anon_sym_SLASH_EQ] = ACTIONS(2911),
    [anon_sym_PERCENT_EQ] = ACTIONS(2911),
    [anon_sym_x_EQ] = ACTIONS(2911),
    [anon_sym_AMP_EQ] = ACTIONS(2911),
    [anon_sym_PIPE_EQ] = ACTIONS(2911),
    [anon_sym_CARET_EQ] = ACTIONS(2911),
    [anon_sym_LT_LT_EQ] = ACTIONS(2911),
    [anon_sym_GT_GT_EQ] = ACTIONS(2911),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2911),
    [anon_sym_DOT_DOT] = ACTIONS(2913),
    [anon_sym_STAR_STAR] = ACTIONS(2913),
    [anon_sym_PIPE_PIPE] = ACTIONS(2913),
    [anon_sym_SLASH_SLASH] = ACTIONS(2913),
    [anon_sym_CARET_CARET] = ACTIONS(2911),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_PIPE] = ACTIONS(2913),
    [anon_sym_CARET] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_GT_GT2] = ACTIONS(2913),
    [anon_sym_PLUS] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2913),
    [anon_sym_DOT] = ACTIONS(2913),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_SLASH] = ACTIONS(2913),
    [anon_sym_x] = ACTIONS(2913),
    [anon_sym_EQ_TILDE] = ACTIONS(2911),
    [anon_sym_BANG_TILDE] = ACTIONS(2911),
    [anon_sym_EQ_EQ] = ACTIONS(2913),
    [anon_sym_BANG_EQ] = ACTIONS(2911),
    [anon_sym_eq] = ACTIONS(2913),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2911),
    [anon_sym_equ] = ACTIONS(2911),
    [anon_sym_eqr] = ACTIONS(2911),
    [anon_sym_ne] = ACTIONS(2911),
    [anon_sym_LT_EQ_GT] = ACTIONS(2911),
    [anon_sym_cmp] = ACTIONS(2911),
    [anon_sym_TILDE_TILDE] = ACTIONS(2911),
    [anon_sym_LT] = ACTIONS(2913),
    [anon_sym_LT_EQ] = ACTIONS(2913),
    [anon_sym_GT_EQ] = ACTIONS(2911),
    [anon_sym_lt] = ACTIONS(2911),
    [anon_sym_le] = ACTIONS(2911),
    [anon_sym_ge] = ACTIONS(2911),
    [anon_sym_gt] = ACTIONS(2911),
    [anon_sym_isa] = ACTIONS(2911),
    [anon_sym_PLUS_PLUS] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2911),
    [anon_sym_QMARK] = ACTIONS(2911),
    [anon_sym_EQ_GT] = ACTIONS(2911),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1668] = {
    [sym_heredoc_content] = STATE(1668),
    [anon_sym_RBRACE] = ACTIONS(2853),
    [anon_sym_EQ] = ACTIONS(2855),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2853),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2853),
    [anon_sym_COMMA] = ACTIONS(2853),
    [anon_sym_RPAREN] = ACTIONS(2853),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2853),
    [anon_sym_and] = ACTIONS(2853),
    [anon_sym_or] = ACTIONS(2853),
    [anon_sym_xor] = ACTIONS(2853),
    [anon_sym_RBRACK] = ACTIONS(2853),
    [anon_sym_DASH_GT] = ACTIONS(2853),
    [anon_sym_PERCENT] = ACTIONS(2855),
    [anon_sym_GT] = ACTIONS(2855),
    [anon_sym_LT_LT] = ACTIONS(2855),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2853),
    [anon_sym_PLUS_EQ] = ACTIONS(2853),
    [anon_sym_DASH_EQ] = ACTIONS(2853),
    [anon_sym_DOT_EQ] = ACTIONS(2853),
    [anon_sym_STAR_EQ] = ACTIONS(2853),
    [anon_sym_SLASH_EQ] = ACTIONS(2853),
    [anon_sym_PERCENT_EQ] = ACTIONS(2853),
    [anon_sym_x_EQ] = ACTIONS(2853),
    [anon_sym_AMP_EQ] = ACTIONS(2853),
    [anon_sym_PIPE_EQ] = ACTIONS(2853),
    [anon_sym_CARET_EQ] = ACTIONS(2853),
    [anon_sym_LT_LT_EQ] = ACTIONS(2853),
    [anon_sym_GT_GT_EQ] = ACTIONS(2853),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2853),
    [anon_sym_DOT_DOT] = ACTIONS(2855),
    [anon_sym_STAR_STAR] = ACTIONS(2855),
    [anon_sym_PIPE_PIPE] = ACTIONS(2855),
    [anon_sym_SLASH_SLASH] = ACTIONS(2855),
    [anon_sym_CARET_CARET] = ACTIONS(2853),
    [anon_sym_AMP_AMP] = ACTIONS(2855),
    [anon_sym_PIPE] = ACTIONS(2855),
    [anon_sym_CARET] = ACTIONS(2855),
    [anon_sym_AMP] = ACTIONS(2855),
    [anon_sym_GT_GT2] = ACTIONS(2855),
    [anon_sym_PLUS] = ACTIONS(2855),
    [anon_sym_DASH] = ACTIONS(2855),
    [anon_sym_DOT] = ACTIONS(2855),
    [anon_sym_STAR] = ACTIONS(2855),
    [anon_sym_SLASH] = ACTIONS(2855),
    [anon_sym_x] = ACTIONS(2855),
    [anon_sym_EQ_TILDE] = ACTIONS(2853),
    [anon_sym_BANG_TILDE] = ACTIONS(2853),
    [anon_sym_EQ_EQ] = ACTIONS(2855),
    [anon_sym_BANG_EQ] = ACTIONS(2853),
    [anon_sym_eq] = ACTIONS(2855),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2853),
    [anon_sym_equ] = ACTIONS(2853),
    [anon_sym_eqr] = ACTIONS(2853),
    [anon_sym_ne] = ACTIONS(2853),
    [anon_sym_LT_EQ_GT] = ACTIONS(2853),
    [anon_sym_cmp] = ACTIONS(2853),
    [anon_sym_TILDE_TILDE] = ACTIONS(2853),
    [anon_sym_LT] = ACTIONS(2855),
    [anon_sym_LT_EQ] = ACTIONS(2855),
    [anon_sym_GT_EQ] = ACTIONS(2853),
    [anon_sym_lt] = ACTIONS(2853),
    [anon_sym_le] = ACTIONS(2853),
    [anon_sym_ge] = ACTIONS(2853),
    [anon_sym_gt] = ACTIONS(2853),
    [anon_sym_isa] = ACTIONS(2853),
    [anon_sym_PLUS_PLUS] = ACTIONS(2853),
    [anon_sym_DASH_DASH] = ACTIONS(2853),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_EQ_GT] = ACTIONS(2853),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1669] = {
    [sym_heredoc_content] = STATE(1669),
    [anon_sym_COLON] = ACTIONS(2686),
    [anon_sym_DOLLAR] = ACTIONS(2686),
    [anon_sym_EQ] = ACTIONS(2688),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2686),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2686),
    [anon_sym_AT] = ACTIONS(2686),
    [anon_sym_COMMA] = ACTIONS(2686),
    [anon_sym_RPAREN] = ACTIONS(2686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2686),
    [anon_sym_DASH_GT] = ACTIONS(2686),
    [anon_sym_PERCENT] = ACTIONS(2688),
    [anon_sym_GT] = ACTIONS(2688),
    [anon_sym_LT_LT] = ACTIONS(2688),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2686),
    [anon_sym_PLUS_EQ] = ACTIONS(2686),
    [anon_sym_DASH_EQ] = ACTIONS(2686),
    [anon_sym_DOT_EQ] = ACTIONS(2686),
    [anon_sym_STAR_EQ] = ACTIONS(2686),
    [anon_sym_SLASH_EQ] = ACTIONS(2686),
    [anon_sym_PERCENT_EQ] = ACTIONS(2688),
    [anon_sym_x_EQ] = ACTIONS(2688),
    [anon_sym_AMP_EQ] = ACTIONS(2686),
    [anon_sym_PIPE_EQ] = ACTIONS(2686),
    [anon_sym_CARET_EQ] = ACTIONS(2686),
    [anon_sym_LT_LT_EQ] = ACTIONS(2686),
    [anon_sym_GT_GT_EQ] = ACTIONS(2686),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2686),
    [anon_sym_DOT_DOT] = ACTIONS(2688),
    [anon_sym_STAR_STAR] = ACTIONS(2688),
    [anon_sym_PIPE_PIPE] = ACTIONS(2688),
    [anon_sym_SLASH_SLASH] = ACTIONS(2688),
    [anon_sym_CARET_CARET] = ACTIONS(2686),
    [anon_sym_AMP_AMP] = ACTIONS(2688),
    [anon_sym_PIPE] = ACTIONS(2688),
    [anon_sym_CARET] = ACTIONS(2688),
    [anon_sym_AMP] = ACTIONS(2688),
    [anon_sym_GT_GT2] = ACTIONS(2688),
    [anon_sym_PLUS] = ACTIONS(2688),
    [anon_sym_DASH] = ACTIONS(2688),
    [anon_sym_DOT] = ACTIONS(2688),
    [anon_sym_STAR] = ACTIONS(2688),
    [anon_sym_SLASH] = ACTIONS(2688),
    [anon_sym_x] = ACTIONS(2688),
    [anon_sym_EQ_TILDE] = ACTIONS(2686),
    [anon_sym_BANG_TILDE] = ACTIONS(2686),
    [anon_sym_EQ_EQ] = ACTIONS(2688),
    [anon_sym_BANG_EQ] = ACTIONS(2686),
    [anon_sym_eq] = ACTIONS(2688),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2686),
    [anon_sym_equ] = ACTIONS(2688),
    [anon_sym_eqr] = ACTIONS(2688),
    [anon_sym_ne] = ACTIONS(2686),
    [anon_sym_LT_EQ_GT] = ACTIONS(2686),
    [anon_sym_cmp] = ACTIONS(2688),
    [anon_sym_TILDE_TILDE] = ACTIONS(2686),
    [anon_sym_LT] = ACTIONS(2688),
    [anon_sym_LT_EQ] = ACTIONS(2688),
    [anon_sym_GT_EQ] = ACTIONS(2686),
    [anon_sym_lt] = ACTIONS(2688),
    [anon_sym_le] = ACTIONS(2688),
    [anon_sym_ge] = ACTIONS(2688),
    [anon_sym_gt] = ACTIONS(2688),
    [anon_sym_isa] = ACTIONS(2688),
    [anon_sym_PLUS_PLUS] = ACTIONS(2686),
    [anon_sym_DASH_DASH] = ACTIONS(2686),
    [anon_sym_QMARK] = ACTIONS(2686),
    [anon_sym_PERCENT2] = ACTIONS(2686),
    [anon_sym_EQ_GT] = ACTIONS(2686),
    [sym_comment] = ACTIONS(5),
    [sym_substitution_regexp_modifiers] = ACTIONS(3577),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1670] = {
    [sym_heredoc_content] = STATE(1670),
    [anon_sym_COLON] = ACTIONS(2692),
    [anon_sym_DOLLAR] = ACTIONS(2692),
    [anon_sym_EQ] = ACTIONS(2694),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2692),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2692),
    [anon_sym_AT] = ACTIONS(2692),
    [anon_sym_COMMA] = ACTIONS(2692),
    [anon_sym_RPAREN] = ACTIONS(2692),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2692),
    [anon_sym_DASH_GT] = ACTIONS(2692),
    [anon_sym_PERCENT] = ACTIONS(2694),
    [anon_sym_GT] = ACTIONS(2694),
    [anon_sym_LT_LT] = ACTIONS(2694),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2692),
    [anon_sym_PLUS_EQ] = ACTIONS(2692),
    [anon_sym_DASH_EQ] = ACTIONS(2692),
    [anon_sym_DOT_EQ] = ACTIONS(2692),
    [anon_sym_STAR_EQ] = ACTIONS(2692),
    [anon_sym_SLASH_EQ] = ACTIONS(2692),
    [anon_sym_PERCENT_EQ] = ACTIONS(2694),
    [anon_sym_x_EQ] = ACTIONS(2694),
    [anon_sym_AMP_EQ] = ACTIONS(2692),
    [anon_sym_PIPE_EQ] = ACTIONS(2692),
    [anon_sym_CARET_EQ] = ACTIONS(2692),
    [anon_sym_LT_LT_EQ] = ACTIONS(2692),
    [anon_sym_GT_GT_EQ] = ACTIONS(2692),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2692),
    [anon_sym_DOT_DOT] = ACTIONS(2694),
    [anon_sym_STAR_STAR] = ACTIONS(2694),
    [anon_sym_PIPE_PIPE] = ACTIONS(2694),
    [anon_sym_SLASH_SLASH] = ACTIONS(2694),
    [anon_sym_CARET_CARET] = ACTIONS(2692),
    [anon_sym_AMP_AMP] = ACTIONS(2694),
    [anon_sym_PIPE] = ACTIONS(2694),
    [anon_sym_CARET] = ACTIONS(2694),
    [anon_sym_AMP] = ACTIONS(2694),
    [anon_sym_GT_GT2] = ACTIONS(2694),
    [anon_sym_PLUS] = ACTIONS(2694),
    [anon_sym_DASH] = ACTIONS(2694),
    [anon_sym_DOT] = ACTIONS(2694),
    [anon_sym_STAR] = ACTIONS(2694),
    [anon_sym_SLASH] = ACTIONS(2694),
    [anon_sym_x] = ACTIONS(2694),
    [anon_sym_EQ_TILDE] = ACTIONS(2692),
    [anon_sym_BANG_TILDE] = ACTIONS(2692),
    [anon_sym_EQ_EQ] = ACTIONS(2694),
    [anon_sym_BANG_EQ] = ACTIONS(2692),
    [anon_sym_eq] = ACTIONS(2694),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2692),
    [anon_sym_equ] = ACTIONS(2694),
    [anon_sym_eqr] = ACTIONS(2694),
    [anon_sym_ne] = ACTIONS(2692),
    [anon_sym_LT_EQ_GT] = ACTIONS(2692),
    [anon_sym_cmp] = ACTIONS(2694),
    [anon_sym_TILDE_TILDE] = ACTIONS(2692),
    [anon_sym_LT] = ACTIONS(2694),
    [anon_sym_LT_EQ] = ACTIONS(2694),
    [anon_sym_GT_EQ] = ACTIONS(2692),
    [anon_sym_lt] = ACTIONS(2694),
    [anon_sym_le] = ACTIONS(2694),
    [anon_sym_ge] = ACTIONS(2694),
    [anon_sym_gt] = ACTIONS(2694),
    [anon_sym_isa] = ACTIONS(2694),
    [anon_sym_PLUS_PLUS] = ACTIONS(2692),
    [anon_sym_DASH_DASH] = ACTIONS(2692),
    [anon_sym_QMARK] = ACTIONS(2692),
    [anon_sym_PERCENT2] = ACTIONS(2692),
    [anon_sym_EQ_GT] = ACTIONS(2692),
    [sym_comment] = ACTIONS(5),
    [sym_substitution_regexp_modifiers] = ACTIONS(3579),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1671] = {
    [sym_heredoc_content] = STATE(1671),
    [anon_sym_RBRACE] = ACTIONS(2861),
    [anon_sym_EQ] = ACTIONS(2863),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2861),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2861),
    [anon_sym_COMMA] = ACTIONS(2861),
    [anon_sym_RPAREN] = ACTIONS(2861),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2861),
    [anon_sym_and] = ACTIONS(2861),
    [anon_sym_or] = ACTIONS(2861),
    [anon_sym_xor] = ACTIONS(2861),
    [anon_sym_RBRACK] = ACTIONS(2861),
    [anon_sym_DASH_GT] = ACTIONS(2861),
    [anon_sym_PERCENT] = ACTIONS(2863),
    [anon_sym_GT] = ACTIONS(2863),
    [anon_sym_LT_LT] = ACTIONS(2863),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2861),
    [anon_sym_PLUS_EQ] = ACTIONS(2861),
    [anon_sym_DASH_EQ] = ACTIONS(2861),
    [anon_sym_DOT_EQ] = ACTIONS(2861),
    [anon_sym_STAR_EQ] = ACTIONS(2861),
    [anon_sym_SLASH_EQ] = ACTIONS(2861),
    [anon_sym_PERCENT_EQ] = ACTIONS(2861),
    [anon_sym_x_EQ] = ACTIONS(2861),
    [anon_sym_AMP_EQ] = ACTIONS(2861),
    [anon_sym_PIPE_EQ] = ACTIONS(2861),
    [anon_sym_CARET_EQ] = ACTIONS(2861),
    [anon_sym_LT_LT_EQ] = ACTIONS(2861),
    [anon_sym_GT_GT_EQ] = ACTIONS(2861),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2861),
    [anon_sym_DOT_DOT] = ACTIONS(2863),
    [anon_sym_STAR_STAR] = ACTIONS(2863),
    [anon_sym_PIPE_PIPE] = ACTIONS(2863),
    [anon_sym_SLASH_SLASH] = ACTIONS(2863),
    [anon_sym_CARET_CARET] = ACTIONS(2861),
    [anon_sym_AMP_AMP] = ACTIONS(2863),
    [anon_sym_PIPE] = ACTIONS(2863),
    [anon_sym_CARET] = ACTIONS(2863),
    [anon_sym_AMP] = ACTIONS(2863),
    [anon_sym_GT_GT2] = ACTIONS(2863),
    [anon_sym_PLUS] = ACTIONS(2863),
    [anon_sym_DASH] = ACTIONS(2863),
    [anon_sym_DOT] = ACTIONS(2863),
    [anon_sym_STAR] = ACTIONS(2863),
    [anon_sym_SLASH] = ACTIONS(2863),
    [anon_sym_x] = ACTIONS(2863),
    [anon_sym_EQ_TILDE] = ACTIONS(2861),
    [anon_sym_BANG_TILDE] = ACTIONS(2861),
    [anon_sym_EQ_EQ] = ACTIONS(2863),
    [anon_sym_BANG_EQ] = ACTIONS(2861),
    [anon_sym_eq] = ACTIONS(2863),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2861),
    [anon_sym_equ] = ACTIONS(2861),
    [anon_sym_eqr] = ACTIONS(2861),
    [anon_sym_ne] = ACTIONS(2861),
    [anon_sym_LT_EQ_GT] = ACTIONS(2861),
    [anon_sym_cmp] = ACTIONS(2861),
    [anon_sym_TILDE_TILDE] = ACTIONS(2861),
    [anon_sym_LT] = ACTIONS(2863),
    [anon_sym_LT_EQ] = ACTIONS(2863),
    [anon_sym_GT_EQ] = ACTIONS(2861),
    [anon_sym_lt] = ACTIONS(2861),
    [anon_sym_le] = ACTIONS(2861),
    [anon_sym_ge] = ACTIONS(2861),
    [anon_sym_gt] = ACTIONS(2861),
    [anon_sym_isa] = ACTIONS(2861),
    [anon_sym_PLUS_PLUS] = ACTIONS(2861),
    [anon_sym_DASH_DASH] = ACTIONS(2861),
    [anon_sym_QMARK] = ACTIONS(2861),
    [anon_sym_EQ_GT] = ACTIONS(2861),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1672] = {
    [sym_heredoc_content] = STATE(1672),
    [anon_sym_RBRACE] = ACTIONS(2865),
    [anon_sym_EQ] = ACTIONS(2867),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2865),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2865),
    [anon_sym_COMMA] = ACTIONS(2865),
    [anon_sym_RPAREN] = ACTIONS(2865),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2865),
    [anon_sym_and] = ACTIONS(2865),
    [anon_sym_or] = ACTIONS(2865),
    [anon_sym_xor] = ACTIONS(2865),
    [anon_sym_RBRACK] = ACTIONS(2865),
    [anon_sym_DASH_GT] = ACTIONS(2865),
    [anon_sym_PERCENT] = ACTIONS(2867),
    [anon_sym_GT] = ACTIONS(2867),
    [anon_sym_LT_LT] = ACTIONS(2867),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2865),
    [anon_sym_PLUS_EQ] = ACTIONS(2865),
    [anon_sym_DASH_EQ] = ACTIONS(2865),
    [anon_sym_DOT_EQ] = ACTIONS(2865),
    [anon_sym_STAR_EQ] = ACTIONS(2865),
    [anon_sym_SLASH_EQ] = ACTIONS(2865),
    [anon_sym_PERCENT_EQ] = ACTIONS(2865),
    [anon_sym_x_EQ] = ACTIONS(2865),
    [anon_sym_AMP_EQ] = ACTIONS(2865),
    [anon_sym_PIPE_EQ] = ACTIONS(2865),
    [anon_sym_CARET_EQ] = ACTIONS(2865),
    [anon_sym_LT_LT_EQ] = ACTIONS(2865),
    [anon_sym_GT_GT_EQ] = ACTIONS(2865),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2865),
    [anon_sym_DOT_DOT] = ACTIONS(2867),
    [anon_sym_STAR_STAR] = ACTIONS(2867),
    [anon_sym_PIPE_PIPE] = ACTIONS(2867),
    [anon_sym_SLASH_SLASH] = ACTIONS(2867),
    [anon_sym_CARET_CARET] = ACTIONS(2865),
    [anon_sym_AMP_AMP] = ACTIONS(2867),
    [anon_sym_PIPE] = ACTIONS(2867),
    [anon_sym_CARET] = ACTIONS(2867),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_GT_GT2] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_DOT] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2867),
    [anon_sym_SLASH] = ACTIONS(2867),
    [anon_sym_x] = ACTIONS(2867),
    [anon_sym_EQ_TILDE] = ACTIONS(2865),
    [anon_sym_BANG_TILDE] = ACTIONS(2865),
    [anon_sym_EQ_EQ] = ACTIONS(2867),
    [anon_sym_BANG_EQ] = ACTIONS(2865),
    [anon_sym_eq] = ACTIONS(2867),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2865),
    [anon_sym_equ] = ACTIONS(2865),
    [anon_sym_eqr] = ACTIONS(2865),
    [anon_sym_ne] = ACTIONS(2865),
    [anon_sym_LT_EQ_GT] = ACTIONS(2865),
    [anon_sym_cmp] = ACTIONS(2865),
    [anon_sym_TILDE_TILDE] = ACTIONS(2865),
    [anon_sym_LT] = ACTIONS(2867),
    [anon_sym_LT_EQ] = ACTIONS(2867),
    [anon_sym_GT_EQ] = ACTIONS(2865),
    [anon_sym_lt] = ACTIONS(2865),
    [anon_sym_le] = ACTIONS(2865),
    [anon_sym_ge] = ACTIONS(2865),
    [anon_sym_gt] = ACTIONS(2865),
    [anon_sym_isa] = ACTIONS(2865),
    [anon_sym_PLUS_PLUS] = ACTIONS(2865),
    [anon_sym_DASH_DASH] = ACTIONS(2865),
    [anon_sym_QMARK] = ACTIONS(2865),
    [anon_sym_EQ_GT] = ACTIONS(2865),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1673] = {
    [sym_heredoc_content] = STATE(1673),
    [anon_sym_RBRACE] = ACTIONS(2915),
    [anon_sym_EQ] = ACTIONS(2917),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2915),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2915),
    [anon_sym_COMMA] = ACTIONS(2915),
    [anon_sym_RPAREN] = ACTIONS(2915),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2915),
    [anon_sym_and] = ACTIONS(2915),
    [anon_sym_or] = ACTIONS(2915),
    [anon_sym_xor] = ACTIONS(2915),
    [anon_sym_RBRACK] = ACTIONS(2915),
    [anon_sym_DASH_GT] = ACTIONS(2915),
    [anon_sym_PERCENT] = ACTIONS(2917),
    [anon_sym_GT] = ACTIONS(2917),
    [anon_sym_LT_LT] = ACTIONS(2917),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2915),
    [anon_sym_PLUS_EQ] = ACTIONS(2915),
    [anon_sym_DASH_EQ] = ACTIONS(2915),
    [anon_sym_DOT_EQ] = ACTIONS(2915),
    [anon_sym_STAR_EQ] = ACTIONS(2915),
    [anon_sym_SLASH_EQ] = ACTIONS(2915),
    [anon_sym_PERCENT_EQ] = ACTIONS(2915),
    [anon_sym_x_EQ] = ACTIONS(2915),
    [anon_sym_AMP_EQ] = ACTIONS(2915),
    [anon_sym_PIPE_EQ] = ACTIONS(2915),
    [anon_sym_CARET_EQ] = ACTIONS(2915),
    [anon_sym_LT_LT_EQ] = ACTIONS(2915),
    [anon_sym_GT_GT_EQ] = ACTIONS(2915),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2915),
    [anon_sym_DOT_DOT] = ACTIONS(2917),
    [anon_sym_STAR_STAR] = ACTIONS(2917),
    [anon_sym_PIPE_PIPE] = ACTIONS(2917),
    [anon_sym_SLASH_SLASH] = ACTIONS(2917),
    [anon_sym_CARET_CARET] = ACTIONS(2915),
    [anon_sym_AMP_AMP] = ACTIONS(2917),
    [anon_sym_PIPE] = ACTIONS(2917),
    [anon_sym_CARET] = ACTIONS(2917),
    [anon_sym_AMP] = ACTIONS(2917),
    [anon_sym_GT_GT2] = ACTIONS(2917),
    [anon_sym_PLUS] = ACTIONS(2917),
    [anon_sym_DASH] = ACTIONS(2917),
    [anon_sym_DOT] = ACTIONS(2917),
    [anon_sym_STAR] = ACTIONS(2917),
    [anon_sym_SLASH] = ACTIONS(2917),
    [anon_sym_x] = ACTIONS(2917),
    [anon_sym_EQ_TILDE] = ACTIONS(2915),
    [anon_sym_BANG_TILDE] = ACTIONS(2915),
    [anon_sym_EQ_EQ] = ACTIONS(2917),
    [anon_sym_BANG_EQ] = ACTIONS(2915),
    [anon_sym_eq] = ACTIONS(2917),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2915),
    [anon_sym_equ] = ACTIONS(2915),
    [anon_sym_eqr] = ACTIONS(2915),
    [anon_sym_ne] = ACTIONS(2915),
    [anon_sym_LT_EQ_GT] = ACTIONS(2915),
    [anon_sym_cmp] = ACTIONS(2915),
    [anon_sym_TILDE_TILDE] = ACTIONS(2915),
    [anon_sym_LT] = ACTIONS(2917),
    [anon_sym_LT_EQ] = ACTIONS(2917),
    [anon_sym_GT_EQ] = ACTIONS(2915),
    [anon_sym_lt] = ACTIONS(2915),
    [anon_sym_le] = ACTIONS(2915),
    [anon_sym_ge] = ACTIONS(2915),
    [anon_sym_gt] = ACTIONS(2915),
    [anon_sym_isa] = ACTIONS(2915),
    [anon_sym_PLUS_PLUS] = ACTIONS(2915),
    [anon_sym_DASH_DASH] = ACTIONS(2915),
    [anon_sym_QMARK] = ACTIONS(2915),
    [anon_sym_EQ_GT] = ACTIONS(2915),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1674] = {
    [sym_heredoc_content] = STATE(1674),
    [anon_sym_COLON] = ACTIONS(2664),
    [anon_sym_DOLLAR] = ACTIONS(2664),
    [anon_sym_EQ] = ACTIONS(2666),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2664),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2664),
    [anon_sym_AT] = ACTIONS(2664),
    [anon_sym_COMMA] = ACTIONS(2664),
    [anon_sym_RPAREN] = ACTIONS(2664),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2664),
    [anon_sym_DASH_GT] = ACTIONS(2664),
    [anon_sym_PERCENT] = ACTIONS(2666),
    [anon_sym_GT] = ACTIONS(2666),
    [anon_sym_LT_LT] = ACTIONS(2666),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2664),
    [anon_sym_PLUS_EQ] = ACTIONS(2664),
    [anon_sym_DASH_EQ] = ACTIONS(2664),
    [anon_sym_DOT_EQ] = ACTIONS(2664),
    [anon_sym_STAR_EQ] = ACTIONS(2664),
    [anon_sym_SLASH_EQ] = ACTIONS(2664),
    [anon_sym_PERCENT_EQ] = ACTIONS(2666),
    [anon_sym_x_EQ] = ACTIONS(2666),
    [anon_sym_AMP_EQ] = ACTIONS(2664),
    [anon_sym_PIPE_EQ] = ACTIONS(2664),
    [anon_sym_CARET_EQ] = ACTIONS(2664),
    [anon_sym_LT_LT_EQ] = ACTIONS(2664),
    [anon_sym_GT_GT_EQ] = ACTIONS(2664),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2664),
    [anon_sym_DOT_DOT] = ACTIONS(2666),
    [anon_sym_STAR_STAR] = ACTIONS(2666),
    [anon_sym_PIPE_PIPE] = ACTIONS(2666),
    [anon_sym_SLASH_SLASH] = ACTIONS(2666),
    [anon_sym_CARET_CARET] = ACTIONS(2664),
    [anon_sym_AMP_AMP] = ACTIONS(2666),
    [anon_sym_PIPE] = ACTIONS(2666),
    [anon_sym_CARET] = ACTIONS(2666),
    [anon_sym_AMP] = ACTIONS(2666),
    [anon_sym_GT_GT2] = ACTIONS(2666),
    [anon_sym_PLUS] = ACTIONS(2666),
    [anon_sym_DASH] = ACTIONS(2666),
    [anon_sym_DOT] = ACTIONS(2666),
    [anon_sym_STAR] = ACTIONS(2666),
    [anon_sym_SLASH] = ACTIONS(2666),
    [anon_sym_x] = ACTIONS(2666),
    [anon_sym_EQ_TILDE] = ACTIONS(2664),
    [anon_sym_BANG_TILDE] = ACTIONS(2664),
    [anon_sym_EQ_EQ] = ACTIONS(2666),
    [anon_sym_BANG_EQ] = ACTIONS(2664),
    [anon_sym_eq] = ACTIONS(2666),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2664),
    [anon_sym_equ] = ACTIONS(2664),
    [anon_sym_eqr] = ACTIONS(2664),
    [anon_sym_ne] = ACTIONS(2666),
    [anon_sym_LT_EQ_GT] = ACTIONS(2664),
    [anon_sym_cmp] = ACTIONS(2664),
    [anon_sym_TILDE_TILDE] = ACTIONS(2664),
    [anon_sym_LT] = ACTIONS(2666),
    [anon_sym_LT_EQ] = ACTIONS(2666),
    [anon_sym_GT_EQ] = ACTIONS(2664),
    [anon_sym_lt] = ACTIONS(2666),
    [anon_sym_le] = ACTIONS(2666),
    [anon_sym_ge] = ACTIONS(2664),
    [anon_sym_gt] = ACTIONS(2664),
    [anon_sym_isa] = ACTIONS(2666),
    [anon_sym_PLUS_PLUS] = ACTIONS(2664),
    [anon_sym_DASH_DASH] = ACTIONS(2664),
    [anon_sym_QMARK] = ACTIONS(2664),
    [anon_sym_PERCENT2] = ACTIONS(2664),
    [anon_sym_EQ_GT] = ACTIONS(2664),
    [sym_comment] = ACTIONS(5),
    [sym_quoted_regexp_modifiers] = ACTIONS(3581),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1675] = {
    [sym_heredoc_content] = STATE(1675),
    [anon_sym_RBRACE] = ACTIONS(2923),
    [anon_sym_EQ] = ACTIONS(2925),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2923),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2923),
    [anon_sym_COMMA] = ACTIONS(2923),
    [anon_sym_RPAREN] = ACTIONS(2923),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2923),
    [anon_sym_and] = ACTIONS(2923),
    [anon_sym_or] = ACTIONS(2923),
    [anon_sym_xor] = ACTIONS(2923),
    [anon_sym_RBRACK] = ACTIONS(2923),
    [anon_sym_DASH_GT] = ACTIONS(2923),
    [anon_sym_PERCENT] = ACTIONS(2925),
    [anon_sym_GT] = ACTIONS(2925),
    [anon_sym_LT_LT] = ACTIONS(2925),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2923),
    [anon_sym_PLUS_EQ] = ACTIONS(2923),
    [anon_sym_DASH_EQ] = ACTIONS(2923),
    [anon_sym_DOT_EQ] = ACTIONS(2923),
    [anon_sym_STAR_EQ] = ACTIONS(2923),
    [anon_sym_SLASH_EQ] = ACTIONS(2923),
    [anon_sym_PERCENT_EQ] = ACTIONS(2923),
    [anon_sym_x_EQ] = ACTIONS(2923),
    [anon_sym_AMP_EQ] = ACTIONS(2923),
    [anon_sym_PIPE_EQ] = ACTIONS(2923),
    [anon_sym_CARET_EQ] = ACTIONS(2923),
    [anon_sym_LT_LT_EQ] = ACTIONS(2923),
    [anon_sym_GT_GT_EQ] = ACTIONS(2923),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2923),
    [anon_sym_DOT_DOT] = ACTIONS(2925),
    [anon_sym_STAR_STAR] = ACTIONS(2925),
    [anon_sym_PIPE_PIPE] = ACTIONS(2925),
    [anon_sym_SLASH_SLASH] = ACTIONS(2925),
    [anon_sym_CARET_CARET] = ACTIONS(2923),
    [anon_sym_AMP_AMP] = ACTIONS(2925),
    [anon_sym_PIPE] = ACTIONS(2925),
    [anon_sym_CARET] = ACTIONS(2925),
    [anon_sym_AMP] = ACTIONS(2925),
    [anon_sym_GT_GT2] = ACTIONS(2925),
    [anon_sym_PLUS] = ACTIONS(2925),
    [anon_sym_DASH] = ACTIONS(2925),
    [anon_sym_DOT] = ACTIONS(2925),
    [anon_sym_STAR] = ACTIONS(2925),
    [anon_sym_SLASH] = ACTIONS(2925),
    [anon_sym_x] = ACTIONS(2925),
    [anon_sym_EQ_TILDE] = ACTIONS(2923),
    [anon_sym_BANG_TILDE] = ACTIONS(2923),
    [anon_sym_EQ_EQ] = ACTIONS(2925),
    [anon_sym_BANG_EQ] = ACTIONS(2923),
    [anon_sym_eq] = ACTIONS(2925),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2923),
    [anon_sym_equ] = ACTIONS(2923),
    [anon_sym_eqr] = ACTIONS(2923),
    [anon_sym_ne] = ACTIONS(2923),
    [anon_sym_LT_EQ_GT] = ACTIONS(2923),
    [anon_sym_cmp] = ACTIONS(2923),
    [anon_sym_TILDE_TILDE] = ACTIONS(2923),
    [anon_sym_LT] = ACTIONS(2925),
    [anon_sym_LT_EQ] = ACTIONS(2925),
    [anon_sym_GT_EQ] = ACTIONS(2923),
    [anon_sym_lt] = ACTIONS(2923),
    [anon_sym_le] = ACTIONS(2923),
    [anon_sym_ge] = ACTIONS(2923),
    [anon_sym_gt] = ACTIONS(2923),
    [anon_sym_isa] = ACTIONS(2923),
    [anon_sym_PLUS_PLUS] = ACTIONS(2923),
    [anon_sym_DASH_DASH] = ACTIONS(2923),
    [anon_sym_QMARK] = ACTIONS(2923),
    [anon_sym_EQ_GT] = ACTIONS(2923),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1676] = {
    [sym_heredoc_content] = STATE(1676),
    [anon_sym_RBRACE] = ACTIONS(2927),
    [anon_sym_EQ] = ACTIONS(2929),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2927),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2927),
    [anon_sym_COMMA] = ACTIONS(2927),
    [anon_sym_RPAREN] = ACTIONS(2927),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2927),
    [anon_sym_and] = ACTIONS(2927),
    [anon_sym_or] = ACTIONS(2927),
    [anon_sym_xor] = ACTIONS(2927),
    [anon_sym_RBRACK] = ACTIONS(2927),
    [anon_sym_DASH_GT] = ACTIONS(2927),
    [anon_sym_PERCENT] = ACTIONS(2929),
    [anon_sym_GT] = ACTIONS(2929),
    [anon_sym_LT_LT] = ACTIONS(2929),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2927),
    [anon_sym_PLUS_EQ] = ACTIONS(2927),
    [anon_sym_DASH_EQ] = ACTIONS(2927),
    [anon_sym_DOT_EQ] = ACTIONS(2927),
    [anon_sym_STAR_EQ] = ACTIONS(2927),
    [anon_sym_SLASH_EQ] = ACTIONS(2927),
    [anon_sym_PERCENT_EQ] = ACTIONS(2927),
    [anon_sym_x_EQ] = ACTIONS(2927),
    [anon_sym_AMP_EQ] = ACTIONS(2927),
    [anon_sym_PIPE_EQ] = ACTIONS(2927),
    [anon_sym_CARET_EQ] = ACTIONS(2927),
    [anon_sym_LT_LT_EQ] = ACTIONS(2927),
    [anon_sym_GT_GT_EQ] = ACTIONS(2927),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2927),
    [anon_sym_DOT_DOT] = ACTIONS(2929),
    [anon_sym_STAR_STAR] = ACTIONS(2929),
    [anon_sym_PIPE_PIPE] = ACTIONS(2929),
    [anon_sym_SLASH_SLASH] = ACTIONS(2929),
    [anon_sym_CARET_CARET] = ACTIONS(2927),
    [anon_sym_AMP_AMP] = ACTIONS(2929),
    [anon_sym_PIPE] = ACTIONS(2929),
    [anon_sym_CARET] = ACTIONS(2929),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_GT_GT2] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2929),
    [anon_sym_DASH] = ACTIONS(2929),
    [anon_sym_DOT] = ACTIONS(2929),
    [anon_sym_STAR] = ACTIONS(2929),
    [anon_sym_SLASH] = ACTIONS(2929),
    [anon_sym_x] = ACTIONS(2929),
    [anon_sym_EQ_TILDE] = ACTIONS(2927),
    [anon_sym_BANG_TILDE] = ACTIONS(2927),
    [anon_sym_EQ_EQ] = ACTIONS(2929),
    [anon_sym_BANG_EQ] = ACTIONS(2927),
    [anon_sym_eq] = ACTIONS(2929),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2927),
    [anon_sym_equ] = ACTIONS(2927),
    [anon_sym_eqr] = ACTIONS(2927),
    [anon_sym_ne] = ACTIONS(2927),
    [anon_sym_LT_EQ_GT] = ACTIONS(2927),
    [anon_sym_cmp] = ACTIONS(2927),
    [anon_sym_TILDE_TILDE] = ACTIONS(2927),
    [anon_sym_LT] = ACTIONS(2929),
    [anon_sym_LT_EQ] = ACTIONS(2929),
    [anon_sym_GT_EQ] = ACTIONS(2927),
    [anon_sym_lt] = ACTIONS(2927),
    [anon_sym_le] = ACTIONS(2927),
    [anon_sym_ge] = ACTIONS(2927),
    [anon_sym_gt] = ACTIONS(2927),
    [anon_sym_isa] = ACTIONS(2927),
    [anon_sym_PLUS_PLUS] = ACTIONS(2927),
    [anon_sym_DASH_DASH] = ACTIONS(2927),
    [anon_sym_QMARK] = ACTIONS(2927),
    [anon_sym_EQ_GT] = ACTIONS(2927),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1677] = {
    [sym_heredoc_content] = STATE(1677),
    [anon_sym_RBRACE] = ACTIONS(3110),
    [anon_sym_EQ] = ACTIONS(3112),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3110),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3110),
    [anon_sym_COMMA] = ACTIONS(3110),
    [anon_sym_RPAREN] = ACTIONS(3110),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3110),
    [anon_sym_and] = ACTIONS(3110),
    [anon_sym_or] = ACTIONS(3110),
    [anon_sym_xor] = ACTIONS(3110),
    [anon_sym_RBRACK] = ACTIONS(3110),
    [anon_sym_DASH_GT] = ACTIONS(3110),
    [anon_sym_PERCENT] = ACTIONS(3112),
    [anon_sym_GT] = ACTIONS(3112),
    [anon_sym_LT_LT] = ACTIONS(3112),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3110),
    [anon_sym_PLUS_EQ] = ACTIONS(3110),
    [anon_sym_DASH_EQ] = ACTIONS(3110),
    [anon_sym_DOT_EQ] = ACTIONS(3110),
    [anon_sym_STAR_EQ] = ACTIONS(3110),
    [anon_sym_SLASH_EQ] = ACTIONS(3110),
    [anon_sym_PERCENT_EQ] = ACTIONS(3110),
    [anon_sym_x_EQ] = ACTIONS(3110),
    [anon_sym_AMP_EQ] = ACTIONS(3110),
    [anon_sym_PIPE_EQ] = ACTIONS(3110),
    [anon_sym_CARET_EQ] = ACTIONS(3110),
    [anon_sym_LT_LT_EQ] = ACTIONS(3110),
    [anon_sym_GT_GT_EQ] = ACTIONS(3110),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3110),
    [anon_sym_DOT_DOT] = ACTIONS(3112),
    [anon_sym_STAR_STAR] = ACTIONS(3112),
    [anon_sym_PIPE_PIPE] = ACTIONS(3112),
    [anon_sym_SLASH_SLASH] = ACTIONS(3112),
    [anon_sym_CARET_CARET] = ACTIONS(3110),
    [anon_sym_AMP_AMP] = ACTIONS(3112),
    [anon_sym_PIPE] = ACTIONS(3112),
    [anon_sym_CARET] = ACTIONS(3112),
    [anon_sym_AMP] = ACTIONS(3112),
    [anon_sym_GT_GT2] = ACTIONS(3112),
    [anon_sym_PLUS] = ACTIONS(3112),
    [anon_sym_DASH] = ACTIONS(3112),
    [anon_sym_DOT] = ACTIONS(3112),
    [anon_sym_STAR] = ACTIONS(3112),
    [anon_sym_SLASH] = ACTIONS(3112),
    [anon_sym_x] = ACTIONS(3112),
    [anon_sym_EQ_TILDE] = ACTIONS(3110),
    [anon_sym_BANG_TILDE] = ACTIONS(3110),
    [anon_sym_EQ_EQ] = ACTIONS(3112),
    [anon_sym_BANG_EQ] = ACTIONS(3110),
    [anon_sym_eq] = ACTIONS(3112),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3110),
    [anon_sym_equ] = ACTIONS(3110),
    [anon_sym_eqr] = ACTIONS(3110),
    [anon_sym_ne] = ACTIONS(3110),
    [anon_sym_LT_EQ_GT] = ACTIONS(3110),
    [anon_sym_cmp] = ACTIONS(3110),
    [anon_sym_TILDE_TILDE] = ACTIONS(3110),
    [anon_sym_LT] = ACTIONS(3112),
    [anon_sym_LT_EQ] = ACTIONS(3112),
    [anon_sym_GT_EQ] = ACTIONS(3110),
    [anon_sym_lt] = ACTIONS(3110),
    [anon_sym_le] = ACTIONS(3110),
    [anon_sym_ge] = ACTIONS(3110),
    [anon_sym_gt] = ACTIONS(3110),
    [anon_sym_isa] = ACTIONS(3110),
    [anon_sym_PLUS_PLUS] = ACTIONS(3110),
    [anon_sym_DASH_DASH] = ACTIONS(3110),
    [anon_sym_QMARK] = ACTIONS(3110),
    [anon_sym_EQ_GT] = ACTIONS(3110),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1678] = {
    [sym_heredoc_content] = STATE(1678),
    [anon_sym_COLON] = ACTIONS(2698),
    [anon_sym_DOLLAR] = ACTIONS(2698),
    [anon_sym_EQ] = ACTIONS(2700),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2698),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2698),
    [anon_sym_AT] = ACTIONS(2698),
    [anon_sym_COMMA] = ACTIONS(2698),
    [anon_sym_RPAREN] = ACTIONS(2698),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2698),
    [anon_sym_DASH_GT] = ACTIONS(2698),
    [anon_sym_PERCENT] = ACTIONS(2700),
    [anon_sym_GT] = ACTIONS(2700),
    [anon_sym_LT_LT] = ACTIONS(2700),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2698),
    [anon_sym_PLUS_EQ] = ACTIONS(2698),
    [anon_sym_DASH_EQ] = ACTIONS(2698),
    [anon_sym_DOT_EQ] = ACTIONS(2698),
    [anon_sym_STAR_EQ] = ACTIONS(2698),
    [anon_sym_SLASH_EQ] = ACTIONS(2698),
    [anon_sym_PERCENT_EQ] = ACTIONS(2700),
    [anon_sym_x_EQ] = ACTIONS(2698),
    [anon_sym_AMP_EQ] = ACTIONS(2698),
    [anon_sym_PIPE_EQ] = ACTIONS(2698),
    [anon_sym_CARET_EQ] = ACTIONS(2698),
    [anon_sym_LT_LT_EQ] = ACTIONS(2698),
    [anon_sym_GT_GT_EQ] = ACTIONS(2698),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2698),
    [anon_sym_DOT_DOT] = ACTIONS(2700),
    [anon_sym_STAR_STAR] = ACTIONS(2700),
    [anon_sym_PIPE_PIPE] = ACTIONS(2700),
    [anon_sym_SLASH_SLASH] = ACTIONS(2700),
    [anon_sym_CARET_CARET] = ACTIONS(2698),
    [anon_sym_AMP_AMP] = ACTIONS(2700),
    [anon_sym_PIPE] = ACTIONS(2700),
    [anon_sym_CARET] = ACTIONS(2700),
    [anon_sym_AMP] = ACTIONS(2700),
    [anon_sym_GT_GT2] = ACTIONS(2700),
    [anon_sym_PLUS] = ACTIONS(2700),
    [anon_sym_DASH] = ACTIONS(2700),
    [anon_sym_DOT] = ACTIONS(2700),
    [anon_sym_STAR] = ACTIONS(2700),
    [anon_sym_SLASH] = ACTIONS(2700),
    [anon_sym_x] = ACTIONS(2700),
    [anon_sym_EQ_TILDE] = ACTIONS(2698),
    [anon_sym_BANG_TILDE] = ACTIONS(2698),
    [anon_sym_EQ_EQ] = ACTIONS(2700),
    [anon_sym_BANG_EQ] = ACTIONS(2698),
    [anon_sym_eq] = ACTIONS(2700),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2698),
    [anon_sym_equ] = ACTIONS(2698),
    [anon_sym_eqr] = ACTIONS(2698),
    [anon_sym_ne] = ACTIONS(2698),
    [anon_sym_LT_EQ_GT] = ACTIONS(2698),
    [anon_sym_cmp] = ACTIONS(2700),
    [anon_sym_TILDE_TILDE] = ACTIONS(2698),
    [anon_sym_LT] = ACTIONS(2700),
    [anon_sym_LT_EQ] = ACTIONS(2700),
    [anon_sym_GT_EQ] = ACTIONS(2698),
    [anon_sym_lt] = ACTIONS(2698),
    [anon_sym_le] = ACTIONS(2698),
    [anon_sym_ge] = ACTIONS(2698),
    [anon_sym_gt] = ACTIONS(2698),
    [anon_sym_isa] = ACTIONS(2698),
    [anon_sym_PLUS_PLUS] = ACTIONS(2698),
    [anon_sym_DASH_DASH] = ACTIONS(2698),
    [anon_sym_QMARK] = ACTIONS(2698),
    [anon_sym_PERCENT2] = ACTIONS(2698),
    [anon_sym_EQ_GT] = ACTIONS(2698),
    [sym_comment] = ACTIONS(5),
    [sym_transliteration_modifiers] = ACTIONS(3583),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1679] = {
    [sym_heredoc_content] = STATE(1679),
    [anon_sym_RBRACE] = ACTIONS(3114),
    [anon_sym_EQ] = ACTIONS(3116),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3114),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3114),
    [anon_sym_COMMA] = ACTIONS(3114),
    [anon_sym_RPAREN] = ACTIONS(3114),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3114),
    [anon_sym_and] = ACTIONS(3114),
    [anon_sym_or] = ACTIONS(3114),
    [anon_sym_xor] = ACTIONS(3114),
    [anon_sym_RBRACK] = ACTIONS(3114),
    [anon_sym_DASH_GT] = ACTIONS(3114),
    [anon_sym_PERCENT] = ACTIONS(3116),
    [anon_sym_GT] = ACTIONS(3116),
    [anon_sym_LT_LT] = ACTIONS(3116),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3114),
    [anon_sym_PLUS_EQ] = ACTIONS(3114),
    [anon_sym_DASH_EQ] = ACTIONS(3114),
    [anon_sym_DOT_EQ] = ACTIONS(3114),
    [anon_sym_STAR_EQ] = ACTIONS(3114),
    [anon_sym_SLASH_EQ] = ACTIONS(3114),
    [anon_sym_PERCENT_EQ] = ACTIONS(3114),
    [anon_sym_x_EQ] = ACTIONS(3114),
    [anon_sym_AMP_EQ] = ACTIONS(3114),
    [anon_sym_PIPE_EQ] = ACTIONS(3114),
    [anon_sym_CARET_EQ] = ACTIONS(3114),
    [anon_sym_LT_LT_EQ] = ACTIONS(3114),
    [anon_sym_GT_GT_EQ] = ACTIONS(3114),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3114),
    [anon_sym_DOT_DOT] = ACTIONS(3116),
    [anon_sym_STAR_STAR] = ACTIONS(3116),
    [anon_sym_PIPE_PIPE] = ACTIONS(3116),
    [anon_sym_SLASH_SLASH] = ACTIONS(3116),
    [anon_sym_CARET_CARET] = ACTIONS(3114),
    [anon_sym_AMP_AMP] = ACTIONS(3116),
    [anon_sym_PIPE] = ACTIONS(3116),
    [anon_sym_CARET] = ACTIONS(3116),
    [anon_sym_AMP] = ACTIONS(3116),
    [anon_sym_GT_GT2] = ACTIONS(3116),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_DOT] = ACTIONS(3116),
    [anon_sym_STAR] = ACTIONS(3116),
    [anon_sym_SLASH] = ACTIONS(3116),
    [anon_sym_x] = ACTIONS(3116),
    [anon_sym_EQ_TILDE] = ACTIONS(3114),
    [anon_sym_BANG_TILDE] = ACTIONS(3114),
    [anon_sym_EQ_EQ] = ACTIONS(3116),
    [anon_sym_BANG_EQ] = ACTIONS(3114),
    [anon_sym_eq] = ACTIONS(3116),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3114),
    [anon_sym_equ] = ACTIONS(3114),
    [anon_sym_eqr] = ACTIONS(3114),
    [anon_sym_ne] = ACTIONS(3114),
    [anon_sym_LT_EQ_GT] = ACTIONS(3114),
    [anon_sym_cmp] = ACTIONS(3114),
    [anon_sym_TILDE_TILDE] = ACTIONS(3114),
    [anon_sym_LT] = ACTIONS(3116),
    [anon_sym_LT_EQ] = ACTIONS(3116),
    [anon_sym_GT_EQ] = ACTIONS(3114),
    [anon_sym_lt] = ACTIONS(3114),
    [anon_sym_le] = ACTIONS(3114),
    [anon_sym_ge] = ACTIONS(3114),
    [anon_sym_gt] = ACTIONS(3114),
    [anon_sym_isa] = ACTIONS(3114),
    [anon_sym_PLUS_PLUS] = ACTIONS(3114),
    [anon_sym_DASH_DASH] = ACTIONS(3114),
    [anon_sym_QMARK] = ACTIONS(3114),
    [anon_sym_EQ_GT] = ACTIONS(3114),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1680] = {
    [sym_heredoc_content] = STATE(1680),
    [anon_sym_LBRACE] = ACTIONS(1857),
    [anon_sym_RBRACE] = ACTIONS(1857),
    [anon_sym_COLON] = ACTIONS(1857),
    [anon_sym_EQ] = ACTIONS(1855),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1857),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1857),
    [anon_sym_COMMA] = ACTIONS(1857),
    [anon_sym_RPAREN] = ACTIONS(1857),
    [anon_sym_LPAREN] = ACTIONS(1857),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(1857),
    [anon_sym_DASH_GT] = ACTIONS(1857),
    [anon_sym_PERCENT] = ACTIONS(1855),
    [anon_sym_GT] = ACTIONS(1855),
    [anon_sym_LT_LT] = ACTIONS(1855),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1857),
    [anon_sym_PLUS_EQ] = ACTIONS(1857),
    [anon_sym_DASH_EQ] = ACTIONS(1857),
    [anon_sym_DOT_EQ] = ACTIONS(1857),
    [anon_sym_STAR_EQ] = ACTIONS(1857),
    [anon_sym_SLASH_EQ] = ACTIONS(1857),
    [anon_sym_PERCENT_EQ] = ACTIONS(1857),
    [anon_sym_x_EQ] = ACTIONS(1857),
    [anon_sym_AMP_EQ] = ACTIONS(1857),
    [anon_sym_PIPE_EQ] = ACTIONS(1857),
    [anon_sym_CARET_EQ] = ACTIONS(1857),
    [anon_sym_LT_LT_EQ] = ACTIONS(1857),
    [anon_sym_GT_GT_EQ] = ACTIONS(1857),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1857),
    [anon_sym_DOT_DOT] = ACTIONS(1855),
    [anon_sym_STAR_STAR] = ACTIONS(1855),
    [anon_sym_PIPE_PIPE] = ACTIONS(1855),
    [anon_sym_SLASH_SLASH] = ACTIONS(1855),
    [anon_sym_CARET_CARET] = ACTIONS(1857),
    [anon_sym_AMP_AMP] = ACTIONS(1855),
    [anon_sym_PIPE] = ACTIONS(1855),
    [anon_sym_CARET] = ACTIONS(1855),
    [anon_sym_AMP] = ACTIONS(1855),
    [anon_sym_GT_GT2] = ACTIONS(1855),
    [anon_sym_PLUS] = ACTIONS(1855),
    [anon_sym_DASH] = ACTIONS(1855),
    [anon_sym_DOT] = ACTIONS(1855),
    [anon_sym_STAR] = ACTIONS(1855),
    [anon_sym_SLASH] = ACTIONS(1855),
    [anon_sym_x] = ACTIONS(1855),
    [anon_sym_EQ_TILDE] = ACTIONS(1857),
    [anon_sym_BANG_TILDE] = ACTIONS(1857),
    [anon_sym_EQ_EQ] = ACTIONS(1855),
    [anon_sym_BANG_EQ] = ACTIONS(1857),
    [anon_sym_eq] = ACTIONS(1855),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1857),
    [anon_sym_equ] = ACTIONS(1857),
    [anon_sym_eqr] = ACTIONS(1857),
    [anon_sym_ne] = ACTIONS(1857),
    [anon_sym_LT_EQ_GT] = ACTIONS(1857),
    [anon_sym_cmp] = ACTIONS(1857),
    [anon_sym_TILDE_TILDE] = ACTIONS(1857),
    [anon_sym_LT] = ACTIONS(1855),
    [anon_sym_LT_EQ] = ACTIONS(1855),
    [anon_sym_GT_EQ] = ACTIONS(1857),
    [anon_sym_lt] = ACTIONS(1857),
    [anon_sym_le] = ACTIONS(1857),
    [anon_sym_ge] = ACTIONS(1857),
    [anon_sym_gt] = ACTIONS(1857),
    [anon_sym_isa] = ACTIONS(1857),
    [anon_sym_PLUS_PLUS] = ACTIONS(1857),
    [anon_sym_DASH_DASH] = ACTIONS(1857),
    [anon_sym_QMARK] = ACTIONS(1857),
    [anon_sym_EQ_GT] = ACTIONS(1857),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1681] = {
    [sym_heredoc_content] = STATE(1681),
    [anon_sym_COLON] = ACTIONS(2704),
    [anon_sym_DOLLAR] = ACTIONS(2704),
    [anon_sym_EQ] = ACTIONS(2706),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2704),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2704),
    [anon_sym_AT] = ACTIONS(2704),
    [anon_sym_COMMA] = ACTIONS(2704),
    [anon_sym_RPAREN] = ACTIONS(2704),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2704),
    [anon_sym_DASH_GT] = ACTIONS(2704),
    [anon_sym_PERCENT] = ACTIONS(2706),
    [anon_sym_GT] = ACTIONS(2706),
    [anon_sym_LT_LT] = ACTIONS(2706),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2704),
    [anon_sym_PLUS_EQ] = ACTIONS(2704),
    [anon_sym_DASH_EQ] = ACTIONS(2704),
    [anon_sym_DOT_EQ] = ACTIONS(2704),
    [anon_sym_STAR_EQ] = ACTIONS(2704),
    [anon_sym_SLASH_EQ] = ACTIONS(2704),
    [anon_sym_PERCENT_EQ] = ACTIONS(2706),
    [anon_sym_x_EQ] = ACTIONS(2704),
    [anon_sym_AMP_EQ] = ACTIONS(2704),
    [anon_sym_PIPE_EQ] = ACTIONS(2704),
    [anon_sym_CARET_EQ] = ACTIONS(2704),
    [anon_sym_LT_LT_EQ] = ACTIONS(2704),
    [anon_sym_GT_GT_EQ] = ACTIONS(2704),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2704),
    [anon_sym_DOT_DOT] = ACTIONS(2706),
    [anon_sym_STAR_STAR] = ACTIONS(2706),
    [anon_sym_PIPE_PIPE] = ACTIONS(2706),
    [anon_sym_SLASH_SLASH] = ACTIONS(2706),
    [anon_sym_CARET_CARET] = ACTIONS(2704),
    [anon_sym_AMP_AMP] = ACTIONS(2706),
    [anon_sym_PIPE] = ACTIONS(2706),
    [anon_sym_CARET] = ACTIONS(2706),
    [anon_sym_AMP] = ACTIONS(2706),
    [anon_sym_GT_GT2] = ACTIONS(2706),
    [anon_sym_PLUS] = ACTIONS(2706),
    [anon_sym_DASH] = ACTIONS(2706),
    [anon_sym_DOT] = ACTIONS(2706),
    [anon_sym_STAR] = ACTIONS(2706),
    [anon_sym_SLASH] = ACTIONS(2706),
    [anon_sym_x] = ACTIONS(2706),
    [anon_sym_EQ_TILDE] = ACTIONS(2704),
    [anon_sym_BANG_TILDE] = ACTIONS(2704),
    [anon_sym_EQ_EQ] = ACTIONS(2706),
    [anon_sym_BANG_EQ] = ACTIONS(2704),
    [anon_sym_eq] = ACTIONS(2706),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2704),
    [anon_sym_equ] = ACTIONS(2704),
    [anon_sym_eqr] = ACTIONS(2704),
    [anon_sym_ne] = ACTIONS(2704),
    [anon_sym_LT_EQ_GT] = ACTIONS(2704),
    [anon_sym_cmp] = ACTIONS(2706),
    [anon_sym_TILDE_TILDE] = ACTIONS(2704),
    [anon_sym_LT] = ACTIONS(2706),
    [anon_sym_LT_EQ] = ACTIONS(2706),
    [anon_sym_GT_EQ] = ACTIONS(2704),
    [anon_sym_lt] = ACTIONS(2704),
    [anon_sym_le] = ACTIONS(2704),
    [anon_sym_ge] = ACTIONS(2704),
    [anon_sym_gt] = ACTIONS(2704),
    [anon_sym_isa] = ACTIONS(2704),
    [anon_sym_PLUS_PLUS] = ACTIONS(2704),
    [anon_sym_DASH_DASH] = ACTIONS(2704),
    [anon_sym_QMARK] = ACTIONS(2704),
    [anon_sym_PERCENT2] = ACTIONS(2704),
    [anon_sym_EQ_GT] = ACTIONS(2704),
    [sym_comment] = ACTIONS(5),
    [sym_transliteration_modifiers] = ACTIONS(3585),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1682] = {
    [sym_heredoc_content] = STATE(1682),
    [anon_sym_COLON] = ACTIONS(2674),
    [anon_sym_DOLLAR] = ACTIONS(2674),
    [anon_sym_EQ] = ACTIONS(2676),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2674),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2674),
    [anon_sym_AT] = ACTIONS(2674),
    [anon_sym_COMMA] = ACTIONS(2674),
    [anon_sym_RPAREN] = ACTIONS(2674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2674),
    [anon_sym_DASH_GT] = ACTIONS(2674),
    [anon_sym_PERCENT] = ACTIONS(2676),
    [anon_sym_GT] = ACTIONS(2676),
    [anon_sym_LT_LT] = ACTIONS(2676),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2674),
    [anon_sym_PLUS_EQ] = ACTIONS(2674),
    [anon_sym_DASH_EQ] = ACTIONS(2674),
    [anon_sym_DOT_EQ] = ACTIONS(2674),
    [anon_sym_STAR_EQ] = ACTIONS(2674),
    [anon_sym_SLASH_EQ] = ACTIONS(2674),
    [anon_sym_PERCENT_EQ] = ACTIONS(2676),
    [anon_sym_x_EQ] = ACTIONS(2676),
    [anon_sym_AMP_EQ] = ACTIONS(2674),
    [anon_sym_PIPE_EQ] = ACTIONS(2674),
    [anon_sym_CARET_EQ] = ACTIONS(2674),
    [anon_sym_LT_LT_EQ] = ACTIONS(2674),
    [anon_sym_GT_GT_EQ] = ACTIONS(2674),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2674),
    [anon_sym_DOT_DOT] = ACTIONS(2676),
    [anon_sym_STAR_STAR] = ACTIONS(2676),
    [anon_sym_PIPE_PIPE] = ACTIONS(2676),
    [anon_sym_SLASH_SLASH] = ACTIONS(2676),
    [anon_sym_CARET_CARET] = ACTIONS(2674),
    [anon_sym_AMP_AMP] = ACTIONS(2676),
    [anon_sym_PIPE] = ACTIONS(2676),
    [anon_sym_CARET] = ACTIONS(2676),
    [anon_sym_AMP] = ACTIONS(2676),
    [anon_sym_GT_GT2] = ACTIONS(2676),
    [anon_sym_PLUS] = ACTIONS(2676),
    [anon_sym_DASH] = ACTIONS(2676),
    [anon_sym_DOT] = ACTIONS(2676),
    [anon_sym_STAR] = ACTIONS(2676),
    [anon_sym_SLASH] = ACTIONS(2676),
    [anon_sym_x] = ACTIONS(2676),
    [anon_sym_EQ_TILDE] = ACTIONS(2674),
    [anon_sym_BANG_TILDE] = ACTIONS(2674),
    [anon_sym_EQ_EQ] = ACTIONS(2676),
    [anon_sym_BANG_EQ] = ACTIONS(2674),
    [anon_sym_eq] = ACTIONS(2676),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2674),
    [anon_sym_equ] = ACTIONS(2674),
    [anon_sym_eqr] = ACTIONS(2674),
    [anon_sym_ne] = ACTIONS(2676),
    [anon_sym_LT_EQ_GT] = ACTIONS(2674),
    [anon_sym_cmp] = ACTIONS(2676),
    [anon_sym_TILDE_TILDE] = ACTIONS(2674),
    [anon_sym_LT] = ACTIONS(2676),
    [anon_sym_LT_EQ] = ACTIONS(2676),
    [anon_sym_GT_EQ] = ACTIONS(2674),
    [anon_sym_lt] = ACTIONS(2676),
    [anon_sym_le] = ACTIONS(2676),
    [anon_sym_ge] = ACTIONS(2676),
    [anon_sym_gt] = ACTIONS(2676),
    [anon_sym_isa] = ACTIONS(2676),
    [anon_sym_PLUS_PLUS] = ACTIONS(2674),
    [anon_sym_DASH_DASH] = ACTIONS(2674),
    [anon_sym_QMARK] = ACTIONS(2674),
    [anon_sym_PERCENT2] = ACTIONS(2674),
    [anon_sym_EQ_GT] = ACTIONS(2674),
    [sym_comment] = ACTIONS(5),
    [sym_match_regexp_modifiers] = ACTIONS(3587),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1683] = {
    [sym_heredoc_content] = STATE(1683),
    [anon_sym_RBRACE] = ACTIONS(3019),
    [anon_sym_EQ] = ACTIONS(3021),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_COMMA] = ACTIONS(3019),
    [anon_sym_RPAREN] = ACTIONS(3019),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3019),
    [anon_sym_and] = ACTIONS(3019),
    [anon_sym_or] = ACTIONS(3019),
    [anon_sym_xor] = ACTIONS(3019),
    [anon_sym_RBRACK] = ACTIONS(3019),
    [anon_sym_DASH_GT] = ACTIONS(3457),
    [anon_sym_PERCENT] = ACTIONS(3021),
    [anon_sym_GT] = ACTIONS(3021),
    [anon_sym_LT_LT] = ACTIONS(3021),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3019),
    [anon_sym_PLUS_EQ] = ACTIONS(3019),
    [anon_sym_DASH_EQ] = ACTIONS(3019),
    [anon_sym_DOT_EQ] = ACTIONS(3019),
    [anon_sym_STAR_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_PERCENT_EQ] = ACTIONS(3019),
    [anon_sym_x_EQ] = ACTIONS(3019),
    [anon_sym_AMP_EQ] = ACTIONS(3019),
    [anon_sym_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_CARET_EQ] = ACTIONS(3019),
    [anon_sym_LT_LT_EQ] = ACTIONS(3019),
    [anon_sym_GT_GT_EQ] = ACTIONS(3019),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3019),
    [anon_sym_DOT_DOT] = ACTIONS(3021),
    [anon_sym_STAR_STAR] = ACTIONS(3467),
    [anon_sym_PIPE_PIPE] = ACTIONS(3021),
    [anon_sym_SLASH_SLASH] = ACTIONS(3021),
    [anon_sym_CARET_CARET] = ACTIONS(3019),
    [anon_sym_AMP_AMP] = ACTIONS(3021),
    [anon_sym_PIPE] = ACTIONS(3021),
    [anon_sym_CARET] = ACTIONS(3021),
    [anon_sym_AMP] = ACTIONS(3021),
    [anon_sym_GT_GT2] = ACTIONS(3021),
    [anon_sym_PLUS] = ACTIONS(3021),
    [anon_sym_DASH] = ACTIONS(3021),
    [anon_sym_DOT] = ACTIONS(3021),
    [anon_sym_STAR] = ACTIONS(3021),
    [anon_sym_SLASH] = ACTIONS(3021),
    [anon_sym_x] = ACTIONS(3021),
    [anon_sym_EQ_TILDE] = ACTIONS(3481),
    [anon_sym_BANG_TILDE] = ACTIONS(3481),
    [anon_sym_EQ_EQ] = ACTIONS(3021),
    [anon_sym_BANG_EQ] = ACTIONS(3019),
    [anon_sym_eq] = ACTIONS(3021),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3019),
    [anon_sym_equ] = ACTIONS(3019),
    [anon_sym_eqr] = ACTIONS(3019),
    [anon_sym_ne] = ACTIONS(3019),
    [anon_sym_LT_EQ_GT] = ACTIONS(3019),
    [anon_sym_cmp] = ACTIONS(3019),
    [anon_sym_TILDE_TILDE] = ACTIONS(3019),
    [anon_sym_LT] = ACTIONS(3021),
    [anon_sym_LT_EQ] = ACTIONS(3021),
    [anon_sym_GT_EQ] = ACTIONS(3019),
    [anon_sym_lt] = ACTIONS(3019),
    [anon_sym_le] = ACTIONS(3019),
    [anon_sym_ge] = ACTIONS(3019),
    [anon_sym_gt] = ACTIONS(3019),
    [anon_sym_isa] = ACTIONS(3019),
    [anon_sym_PLUS_PLUS] = ACTIONS(3493),
    [anon_sym_DASH_DASH] = ACTIONS(3493),
    [anon_sym_QMARK] = ACTIONS(3019),
    [anon_sym_EQ_GT] = ACTIONS(3019),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1684] = {
    [sym_heredoc_content] = STATE(1684),
    [anon_sym_RBRACE] = ACTIONS(3027),
    [anon_sym_EQ] = ACTIONS(3029),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3027),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3027),
    [anon_sym_COMMA] = ACTIONS(3027),
    [anon_sym_RPAREN] = ACTIONS(3027),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3027),
    [anon_sym_and] = ACTIONS(3027),
    [anon_sym_or] = ACTIONS(3027),
    [anon_sym_xor] = ACTIONS(3027),
    [anon_sym_RBRACK] = ACTIONS(3027),
    [anon_sym_DASH_GT] = ACTIONS(3457),
    [anon_sym_PERCENT] = ACTIONS(3459),
    [anon_sym_GT] = ACTIONS(3029),
    [anon_sym_LT_LT] = ACTIONS(3463),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3027),
    [anon_sym_PLUS_EQ] = ACTIONS(3027),
    [anon_sym_DASH_EQ] = ACTIONS(3027),
    [anon_sym_DOT_EQ] = ACTIONS(3027),
    [anon_sym_STAR_EQ] = ACTIONS(3027),
    [anon_sym_SLASH_EQ] = ACTIONS(3027),
    [anon_sym_PERCENT_EQ] = ACTIONS(3027),
    [anon_sym_x_EQ] = ACTIONS(3027),
    [anon_sym_AMP_EQ] = ACTIONS(3027),
    [anon_sym_PIPE_EQ] = ACTIONS(3027),
    [anon_sym_CARET_EQ] = ACTIONS(3027),
    [anon_sym_LT_LT_EQ] = ACTIONS(3027),
    [anon_sym_GT_GT_EQ] = ACTIONS(3027),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3027),
    [anon_sym_DOT_DOT] = ACTIONS(3029),
    [anon_sym_STAR_STAR] = ACTIONS(3467),
    [anon_sym_PIPE_PIPE] = ACTIONS(3029),
    [anon_sym_SLASH_SLASH] = ACTIONS(3029),
    [anon_sym_CARET_CARET] = ACTIONS(3027),
    [anon_sym_AMP_AMP] = ACTIONS(3029),
    [anon_sym_PIPE] = ACTIONS(3029),
    [anon_sym_CARET] = ACTIONS(3029),
    [anon_sym_AMP] = ACTIONS(3029),
    [anon_sym_GT_GT2] = ACTIONS(3463),
    [anon_sym_PLUS] = ACTIONS(3479),
    [anon_sym_DASH] = ACTIONS(3479),
    [anon_sym_DOT] = ACTIONS(3479),
    [anon_sym_STAR] = ACTIONS(3459),
    [anon_sym_SLASH] = ACTIONS(3459),
    [anon_sym_x] = ACTIONS(3459),
    [anon_sym_EQ_TILDE] = ACTIONS(3481),
    [anon_sym_BANG_TILDE] = ACTIONS(3481),
    [anon_sym_EQ_EQ] = ACTIONS(3029),
    [anon_sym_BANG_EQ] = ACTIONS(3027),
    [anon_sym_eq] = ACTIONS(3029),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3027),
    [anon_sym_equ] = ACTIONS(3027),
    [anon_sym_eqr] = ACTIONS(3027),
    [anon_sym_ne] = ACTIONS(3027),
    [anon_sym_LT_EQ_GT] = ACTIONS(3027),
    [anon_sym_cmp] = ACTIONS(3027),
    [anon_sym_TILDE_TILDE] = ACTIONS(3027),
    [anon_sym_LT] = ACTIONS(3029),
    [anon_sym_LT_EQ] = ACTIONS(3029),
    [anon_sym_GT_EQ] = ACTIONS(3027),
    [anon_sym_lt] = ACTIONS(3027),
    [anon_sym_le] = ACTIONS(3027),
    [anon_sym_ge] = ACTIONS(3027),
    [anon_sym_gt] = ACTIONS(3027),
    [anon_sym_isa] = ACTIONS(3027),
    [anon_sym_PLUS_PLUS] = ACTIONS(3493),
    [anon_sym_DASH_DASH] = ACTIONS(3493),
    [anon_sym_QMARK] = ACTIONS(3027),
    [anon_sym_EQ_GT] = ACTIONS(3027),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1685] = {
    [sym_heredoc_content] = STATE(1685),
    [anon_sym_RBRACE] = ACTIONS(2774),
    [anon_sym_EQ] = ACTIONS(3449),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3451),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3451),
    [anon_sym_COMMA] = ACTIONS(2774),
    [anon_sym_RPAREN] = ACTIONS(2774),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3455),
    [anon_sym_and] = ACTIONS(2774),
    [anon_sym_or] = ACTIONS(2774),
    [anon_sym_xor] = ACTIONS(2774),
    [anon_sym_RBRACK] = ACTIONS(2774),
    [anon_sym_DASH_GT] = ACTIONS(3457),
    [anon_sym_PERCENT] = ACTIONS(3459),
    [anon_sym_GT] = ACTIONS(3461),
    [anon_sym_LT_LT] = ACTIONS(3463),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3451),
    [anon_sym_PLUS_EQ] = ACTIONS(3451),
    [anon_sym_DASH_EQ] = ACTIONS(3451),
    [anon_sym_DOT_EQ] = ACTIONS(3451),
    [anon_sym_STAR_EQ] = ACTIONS(3451),
    [anon_sym_SLASH_EQ] = ACTIONS(3451),
    [anon_sym_PERCENT_EQ] = ACTIONS(3451),
    [anon_sym_x_EQ] = ACTIONS(3451),
    [anon_sym_AMP_EQ] = ACTIONS(3451),
    [anon_sym_PIPE_EQ] = ACTIONS(3451),
    [anon_sym_CARET_EQ] = ACTIONS(3451),
    [anon_sym_LT_LT_EQ] = ACTIONS(3451),
    [anon_sym_GT_GT_EQ] = ACTIONS(3451),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3451),
    [anon_sym_DOT_DOT] = ACTIONS(3465),
    [anon_sym_STAR_STAR] = ACTIONS(3467),
    [anon_sym_PIPE_PIPE] = ACTIONS(3469),
    [anon_sym_SLASH_SLASH] = ACTIONS(3469),
    [anon_sym_CARET_CARET] = ACTIONS(3471),
    [anon_sym_AMP_AMP] = ACTIONS(3473),
    [anon_sym_PIPE] = ACTIONS(3475),
    [anon_sym_CARET] = ACTIONS(3475),
    [anon_sym_AMP] = ACTIONS(3477),
    [anon_sym_GT_GT2] = ACTIONS(3463),
    [anon_sym_PLUS] = ACTIONS(3479),
    [anon_sym_DASH] = ACTIONS(3479),
    [anon_sym_DOT] = ACTIONS(3479),
    [anon_sym_STAR] = ACTIONS(3459),
    [anon_sym_SLASH] = ACTIONS(3459),
    [anon_sym_x] = ACTIONS(3459),
    [anon_sym_EQ_TILDE] = ACTIONS(3481),
    [anon_sym_BANG_TILDE] = ACTIONS(3481),
    [anon_sym_EQ_EQ] = ACTIONS(3483),
    [anon_sym_BANG_EQ] = ACTIONS(3485),
    [anon_sym_eq] = ACTIONS(3483),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3485),
    [anon_sym_equ] = ACTIONS(3485),
    [anon_sym_eqr] = ACTIONS(3485),
    [anon_sym_ne] = ACTIONS(3485),
    [anon_sym_LT_EQ_GT] = ACTIONS(3487),
    [anon_sym_cmp] = ACTIONS(3487),
    [anon_sym_TILDE_TILDE] = ACTIONS(3487),
    [anon_sym_LT] = ACTIONS(3461),
    [anon_sym_LT_EQ] = ACTIONS(3461),
    [anon_sym_GT_EQ] = ACTIONS(3489),
    [anon_sym_lt] = ACTIONS(3489),
    [anon_sym_le] = ACTIONS(3489),
    [anon_sym_ge] = ACTIONS(3489),
    [anon_sym_gt] = ACTIONS(3489),
    [anon_sym_isa] = ACTIONS(3491),
    [anon_sym_PLUS_PLUS] = ACTIONS(3493),
    [anon_sym_DASH_DASH] = ACTIONS(3493),
    [anon_sym_QMARK] = ACTIONS(3495),
    [anon_sym_EQ_GT] = ACTIONS(2774),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1686] = {
    [sym_heredoc_content] = STATE(1686),
    [anon_sym_COLON] = ACTIONS(2750),
    [anon_sym_DOLLAR] = ACTIONS(2750),
    [anon_sym_EQ] = ACTIONS(2752),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2750),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2750),
    [anon_sym_AT] = ACTIONS(2750),
    [anon_sym_COMMA] = ACTIONS(2750),
    [anon_sym_RPAREN] = ACTIONS(2750),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2750),
    [anon_sym_LBRACK] = ACTIONS(2750),
    [anon_sym_DASH_GT] = ACTIONS(2750),
    [anon_sym_PERCENT] = ACTIONS(2752),
    [anon_sym_GT] = ACTIONS(2752),
    [anon_sym_LT_LT] = ACTIONS(2752),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2750),
    [anon_sym_PLUS_EQ] = ACTIONS(2750),
    [anon_sym_DASH_EQ] = ACTIONS(2750),
    [anon_sym_DOT_EQ] = ACTIONS(2750),
    [anon_sym_STAR_EQ] = ACTIONS(2750),
    [anon_sym_SLASH_EQ] = ACTIONS(2750),
    [anon_sym_PERCENT_EQ] = ACTIONS(2752),
    [anon_sym_x_EQ] = ACTIONS(2750),
    [anon_sym_AMP_EQ] = ACTIONS(2750),
    [anon_sym_PIPE_EQ] = ACTIONS(2750),
    [anon_sym_CARET_EQ] = ACTIONS(2750),
    [anon_sym_LT_LT_EQ] = ACTIONS(2750),
    [anon_sym_GT_GT_EQ] = ACTIONS(2750),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2750),
    [anon_sym_DOT_DOT] = ACTIONS(2752),
    [anon_sym_STAR_STAR] = ACTIONS(2752),
    [anon_sym_PIPE_PIPE] = ACTIONS(2752),
    [anon_sym_SLASH_SLASH] = ACTIONS(2752),
    [anon_sym_CARET_CARET] = ACTIONS(2750),
    [anon_sym_AMP_AMP] = ACTIONS(2752),
    [anon_sym_PIPE] = ACTIONS(2752),
    [anon_sym_CARET] = ACTIONS(2752),
    [anon_sym_AMP] = ACTIONS(2752),
    [anon_sym_GT_GT2] = ACTIONS(2752),
    [anon_sym_PLUS] = ACTIONS(2752),
    [anon_sym_DASH] = ACTIONS(2752),
    [anon_sym_DOT] = ACTIONS(2752),
    [anon_sym_STAR] = ACTIONS(2752),
    [anon_sym_SLASH] = ACTIONS(2752),
    [anon_sym_x] = ACTIONS(2752),
    [anon_sym_EQ_TILDE] = ACTIONS(2750),
    [anon_sym_BANG_TILDE] = ACTIONS(2750),
    [anon_sym_EQ_EQ] = ACTIONS(2752),
    [anon_sym_BANG_EQ] = ACTIONS(2750),
    [anon_sym_eq] = ACTIONS(2752),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2750),
    [anon_sym_equ] = ACTIONS(2750),
    [anon_sym_eqr] = ACTIONS(2750),
    [anon_sym_ne] = ACTIONS(2750),
    [anon_sym_LT_EQ_GT] = ACTIONS(2750),
    [anon_sym_cmp] = ACTIONS(2750),
    [anon_sym_TILDE_TILDE] = ACTIONS(2750),
    [anon_sym_LT] = ACTIONS(2752),
    [anon_sym_LT_EQ] = ACTIONS(2752),
    [anon_sym_GT_EQ] = ACTIONS(2750),
    [anon_sym_lt] = ACTIONS(2750),
    [anon_sym_le] = ACTIONS(2750),
    [anon_sym_ge] = ACTIONS(2750),
    [anon_sym_gt] = ACTIONS(2750),
    [anon_sym_isa] = ACTIONS(2750),
    [anon_sym_PLUS_PLUS] = ACTIONS(2750),
    [anon_sym_DASH_DASH] = ACTIONS(2750),
    [anon_sym_QMARK] = ACTIONS(2750),
    [anon_sym_PERCENT2] = ACTIONS(2750),
    [anon_sym_EQ_GT] = ACTIONS(2750),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1687] = {
    [sym_heredoc_content] = STATE(1687),
    [anon_sym_COLON] = ACTIONS(2811),
    [anon_sym_DOLLAR] = ACTIONS(2811),
    [anon_sym_EQ] = ACTIONS(2813),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2811),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2811),
    [anon_sym_AT] = ACTIONS(2811),
    [anon_sym_COMMA] = ACTIONS(2811),
    [anon_sym_RPAREN] = ACTIONS(2811),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2811),
    [anon_sym_DASH_GT] = ACTIONS(2811),
    [anon_sym_PERCENT] = ACTIONS(2813),
    [anon_sym_GT] = ACTIONS(2813),
    [anon_sym_LT_LT] = ACTIONS(2813),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2811),
    [anon_sym_PLUS_EQ] = ACTIONS(2811),
    [anon_sym_DASH_EQ] = ACTIONS(2811),
    [anon_sym_DOT_EQ] = ACTIONS(2811),
    [anon_sym_STAR_EQ] = ACTIONS(2811),
    [anon_sym_SLASH_EQ] = ACTIONS(2811),
    [anon_sym_PERCENT_EQ] = ACTIONS(2813),
    [anon_sym_x_EQ] = ACTIONS(2813),
    [anon_sym_AMP_EQ] = ACTIONS(2811),
    [anon_sym_PIPE_EQ] = ACTIONS(2811),
    [anon_sym_CARET_EQ] = ACTIONS(2811),
    [anon_sym_LT_LT_EQ] = ACTIONS(2811),
    [anon_sym_GT_GT_EQ] = ACTIONS(2811),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2811),
    [anon_sym_DOT_DOT] = ACTIONS(2813),
    [anon_sym_STAR_STAR] = ACTIONS(2813),
    [anon_sym_PIPE_PIPE] = ACTIONS(2813),
    [anon_sym_SLASH_SLASH] = ACTIONS(2813),
    [anon_sym_CARET_CARET] = ACTIONS(2811),
    [anon_sym_AMP_AMP] = ACTIONS(2813),
    [anon_sym_PIPE] = ACTIONS(2813),
    [anon_sym_CARET] = ACTIONS(2813),
    [anon_sym_AMP] = ACTIONS(2813),
    [anon_sym_GT_GT2] = ACTIONS(2813),
    [anon_sym_PLUS] = ACTIONS(2813),
    [anon_sym_DASH] = ACTIONS(2813),
    [anon_sym_DOT] = ACTIONS(2813),
    [anon_sym_STAR] = ACTIONS(2813),
    [anon_sym_SLASH] = ACTIONS(2813),
    [anon_sym_x] = ACTIONS(2813),
    [anon_sym_EQ_TILDE] = ACTIONS(2811),
    [anon_sym_BANG_TILDE] = ACTIONS(2811),
    [anon_sym_EQ_EQ] = ACTIONS(2813),
    [anon_sym_BANG_EQ] = ACTIONS(2811),
    [anon_sym_eq] = ACTIONS(2813),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2811),
    [anon_sym_equ] = ACTIONS(2813),
    [anon_sym_eqr] = ACTIONS(2813),
    [anon_sym_ne] = ACTIONS(2811),
    [anon_sym_LT_EQ_GT] = ACTIONS(2811),
    [anon_sym_cmp] = ACTIONS(2813),
    [anon_sym_TILDE_TILDE] = ACTIONS(2811),
    [anon_sym_LT] = ACTIONS(2813),
    [anon_sym_LT_EQ] = ACTIONS(2813),
    [anon_sym_GT_EQ] = ACTIONS(2811),
    [anon_sym_lt] = ACTIONS(2813),
    [anon_sym_le] = ACTIONS(2813),
    [anon_sym_ge] = ACTIONS(2813),
    [anon_sym_gt] = ACTIONS(2813),
    [anon_sym_isa] = ACTIONS(2813),
    [anon_sym_PLUS_PLUS] = ACTIONS(2811),
    [anon_sym_DASH_DASH] = ACTIONS(2811),
    [anon_sym_QMARK] = ACTIONS(2811),
    [anon_sym_PERCENT2] = ACTIONS(2811),
    [anon_sym_EQ_GT] = ACTIONS(2811),
    [sym_comment] = ACTIONS(5),
    [sym_substitution_regexp_modifiers] = ACTIONS(3589),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1688] = {
    [sym_heredoc_content] = STATE(1688),
    [anon_sym_RBRACE] = ACTIONS(3118),
    [anon_sym_EQ] = ACTIONS(3120),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3118),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3118),
    [anon_sym_COMMA] = ACTIONS(3118),
    [anon_sym_RPAREN] = ACTIONS(3118),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3118),
    [anon_sym_and] = ACTIONS(3118),
    [anon_sym_or] = ACTIONS(3118),
    [anon_sym_xor] = ACTIONS(3118),
    [anon_sym_RBRACK] = ACTIONS(3118),
    [anon_sym_DASH_GT] = ACTIONS(3118),
    [anon_sym_PERCENT] = ACTIONS(3120),
    [anon_sym_GT] = ACTIONS(3120),
    [anon_sym_LT_LT] = ACTIONS(3120),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3118),
    [anon_sym_PLUS_EQ] = ACTIONS(3118),
    [anon_sym_DASH_EQ] = ACTIONS(3118),
    [anon_sym_DOT_EQ] = ACTIONS(3118),
    [anon_sym_STAR_EQ] = ACTIONS(3118),
    [anon_sym_SLASH_EQ] = ACTIONS(3118),
    [anon_sym_PERCENT_EQ] = ACTIONS(3118),
    [anon_sym_x_EQ] = ACTIONS(3118),
    [anon_sym_AMP_EQ] = ACTIONS(3118),
    [anon_sym_PIPE_EQ] = ACTIONS(3118),
    [anon_sym_CARET_EQ] = ACTIONS(3118),
    [anon_sym_LT_LT_EQ] = ACTIONS(3118),
    [anon_sym_GT_GT_EQ] = ACTIONS(3118),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3118),
    [anon_sym_DOT_DOT] = ACTIONS(3120),
    [anon_sym_STAR_STAR] = ACTIONS(3120),
    [anon_sym_PIPE_PIPE] = ACTIONS(3120),
    [anon_sym_SLASH_SLASH] = ACTIONS(3120),
    [anon_sym_CARET_CARET] = ACTIONS(3118),
    [anon_sym_AMP_AMP] = ACTIONS(3120),
    [anon_sym_PIPE] = ACTIONS(3120),
    [anon_sym_CARET] = ACTIONS(3120),
    [anon_sym_AMP] = ACTIONS(3120),
    [anon_sym_GT_GT2] = ACTIONS(3120),
    [anon_sym_PLUS] = ACTIONS(3120),
    [anon_sym_DASH] = ACTIONS(3120),
    [anon_sym_DOT] = ACTIONS(3120),
    [anon_sym_STAR] = ACTIONS(3120),
    [anon_sym_SLASH] = ACTIONS(3120),
    [anon_sym_x] = ACTIONS(3120),
    [anon_sym_EQ_TILDE] = ACTIONS(3118),
    [anon_sym_BANG_TILDE] = ACTIONS(3118),
    [anon_sym_EQ_EQ] = ACTIONS(3120),
    [anon_sym_BANG_EQ] = ACTIONS(3118),
    [anon_sym_eq] = ACTIONS(3120),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3118),
    [anon_sym_equ] = ACTIONS(3118),
    [anon_sym_eqr] = ACTIONS(3118),
    [anon_sym_ne] = ACTIONS(3118),
    [anon_sym_LT_EQ_GT] = ACTIONS(3118),
    [anon_sym_cmp] = ACTIONS(3118),
    [anon_sym_TILDE_TILDE] = ACTIONS(3118),
    [anon_sym_LT] = ACTIONS(3120),
    [anon_sym_LT_EQ] = ACTIONS(3120),
    [anon_sym_GT_EQ] = ACTIONS(3118),
    [anon_sym_lt] = ACTIONS(3118),
    [anon_sym_le] = ACTIONS(3118),
    [anon_sym_ge] = ACTIONS(3118),
    [anon_sym_gt] = ACTIONS(3118),
    [anon_sym_isa] = ACTIONS(3118),
    [anon_sym_PLUS_PLUS] = ACTIONS(3118),
    [anon_sym_DASH_DASH] = ACTIONS(3118),
    [anon_sym_QMARK] = ACTIONS(3118),
    [anon_sym_EQ_GT] = ACTIONS(3118),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1689] = {
    [sym_heredoc_content] = STATE(1689),
    [anon_sym_COLON] = ACTIONS(2805),
    [anon_sym_DOLLAR] = ACTIONS(2805),
    [anon_sym_EQ] = ACTIONS(2807),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2805),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2805),
    [anon_sym_AT] = ACTIONS(2805),
    [anon_sym_COMMA] = ACTIONS(2805),
    [anon_sym_RPAREN] = ACTIONS(2805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2805),
    [anon_sym_DASH_GT] = ACTIONS(2805),
    [anon_sym_PERCENT] = ACTIONS(2807),
    [anon_sym_GT] = ACTIONS(2807),
    [anon_sym_LT_LT] = ACTIONS(2807),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2805),
    [anon_sym_PLUS_EQ] = ACTIONS(2805),
    [anon_sym_DASH_EQ] = ACTIONS(2805),
    [anon_sym_DOT_EQ] = ACTIONS(2805),
    [anon_sym_STAR_EQ] = ACTIONS(2805),
    [anon_sym_SLASH_EQ] = ACTIONS(2805),
    [anon_sym_PERCENT_EQ] = ACTIONS(2807),
    [anon_sym_x_EQ] = ACTIONS(2805),
    [anon_sym_AMP_EQ] = ACTIONS(2805),
    [anon_sym_PIPE_EQ] = ACTIONS(2805),
    [anon_sym_CARET_EQ] = ACTIONS(2805),
    [anon_sym_LT_LT_EQ] = ACTIONS(2805),
    [anon_sym_GT_GT_EQ] = ACTIONS(2805),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2805),
    [anon_sym_DOT_DOT] = ACTIONS(2807),
    [anon_sym_STAR_STAR] = ACTIONS(2807),
    [anon_sym_PIPE_PIPE] = ACTIONS(2807),
    [anon_sym_SLASH_SLASH] = ACTIONS(2807),
    [anon_sym_CARET_CARET] = ACTIONS(2805),
    [anon_sym_AMP_AMP] = ACTIONS(2807),
    [anon_sym_PIPE] = ACTIONS(2807),
    [anon_sym_CARET] = ACTIONS(2807),
    [anon_sym_AMP] = ACTIONS(2807),
    [anon_sym_GT_GT2] = ACTIONS(2807),
    [anon_sym_PLUS] = ACTIONS(2807),
    [anon_sym_DASH] = ACTIONS(2807),
    [anon_sym_DOT] = ACTIONS(2807),
    [anon_sym_STAR] = ACTIONS(2807),
    [anon_sym_SLASH] = ACTIONS(2807),
    [anon_sym_x] = ACTIONS(2807),
    [anon_sym_EQ_TILDE] = ACTIONS(2805),
    [anon_sym_BANG_TILDE] = ACTIONS(2805),
    [anon_sym_EQ_EQ] = ACTIONS(2807),
    [anon_sym_BANG_EQ] = ACTIONS(2805),
    [anon_sym_eq] = ACTIONS(2807),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2805),
    [anon_sym_equ] = ACTIONS(2805),
    [anon_sym_eqr] = ACTIONS(2805),
    [anon_sym_ne] = ACTIONS(2805),
    [anon_sym_LT_EQ_GT] = ACTIONS(2805),
    [anon_sym_cmp] = ACTIONS(2807),
    [anon_sym_TILDE_TILDE] = ACTIONS(2805),
    [anon_sym_LT] = ACTIONS(2807),
    [anon_sym_LT_EQ] = ACTIONS(2807),
    [anon_sym_GT_EQ] = ACTIONS(2805),
    [anon_sym_lt] = ACTIONS(2805),
    [anon_sym_le] = ACTIONS(2805),
    [anon_sym_ge] = ACTIONS(2805),
    [anon_sym_gt] = ACTIONS(2805),
    [anon_sym_isa] = ACTIONS(2805),
    [anon_sym_PLUS_PLUS] = ACTIONS(2805),
    [anon_sym_DASH_DASH] = ACTIONS(2805),
    [anon_sym_QMARK] = ACTIONS(2805),
    [anon_sym_PERCENT2] = ACTIONS(2805),
    [anon_sym_EQ_GT] = ACTIONS(2805),
    [sym_comment] = ACTIONS(5),
    [sym_transliteration_modifiers] = ACTIONS(3591),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1690] = {
    [sym_heredoc_content] = STATE(1690),
    [anon_sym_COLON] = ACTIONS(2797),
    [anon_sym_DOLLAR] = ACTIONS(2797),
    [anon_sym_EQ] = ACTIONS(2799),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2797),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2797),
    [anon_sym_AT] = ACTIONS(2797),
    [anon_sym_COMMA] = ACTIONS(2797),
    [anon_sym_RPAREN] = ACTIONS(2797),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2797),
    [anon_sym_DASH_GT] = ACTIONS(2797),
    [anon_sym_PERCENT] = ACTIONS(2799),
    [anon_sym_GT] = ACTIONS(2799),
    [anon_sym_LT_LT] = ACTIONS(2799),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2797),
    [anon_sym_PLUS_EQ] = ACTIONS(2797),
    [anon_sym_DASH_EQ] = ACTIONS(2797),
    [anon_sym_DOT_EQ] = ACTIONS(2797),
    [anon_sym_STAR_EQ] = ACTIONS(2797),
    [anon_sym_SLASH_EQ] = ACTIONS(2797),
    [anon_sym_PERCENT_EQ] = ACTIONS(2799),
    [anon_sym_x_EQ] = ACTIONS(2799),
    [anon_sym_AMP_EQ] = ACTIONS(2797),
    [anon_sym_PIPE_EQ] = ACTIONS(2797),
    [anon_sym_CARET_EQ] = ACTIONS(2797),
    [anon_sym_LT_LT_EQ] = ACTIONS(2797),
    [anon_sym_GT_GT_EQ] = ACTIONS(2797),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2797),
    [anon_sym_DOT_DOT] = ACTIONS(2799),
    [anon_sym_STAR_STAR] = ACTIONS(2799),
    [anon_sym_PIPE_PIPE] = ACTIONS(2799),
    [anon_sym_SLASH_SLASH] = ACTIONS(2799),
    [anon_sym_CARET_CARET] = ACTIONS(2797),
    [anon_sym_AMP_AMP] = ACTIONS(2799),
    [anon_sym_PIPE] = ACTIONS(2799),
    [anon_sym_CARET] = ACTIONS(2799),
    [anon_sym_AMP] = ACTIONS(2799),
    [anon_sym_GT_GT2] = ACTIONS(2799),
    [anon_sym_PLUS] = ACTIONS(2799),
    [anon_sym_DASH] = ACTIONS(2799),
    [anon_sym_DOT] = ACTIONS(2799),
    [anon_sym_STAR] = ACTIONS(2799),
    [anon_sym_SLASH] = ACTIONS(2799),
    [anon_sym_x] = ACTIONS(2799),
    [anon_sym_EQ_TILDE] = ACTIONS(2797),
    [anon_sym_BANG_TILDE] = ACTIONS(2797),
    [anon_sym_EQ_EQ] = ACTIONS(2799),
    [anon_sym_BANG_EQ] = ACTIONS(2797),
    [anon_sym_eq] = ACTIONS(2799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2797),
    [anon_sym_equ] = ACTIONS(2797),
    [anon_sym_eqr] = ACTIONS(2797),
    [anon_sym_ne] = ACTIONS(2799),
    [anon_sym_LT_EQ_GT] = ACTIONS(2797),
    [anon_sym_cmp] = ACTIONS(2797),
    [anon_sym_TILDE_TILDE] = ACTIONS(2797),
    [anon_sym_LT] = ACTIONS(2799),
    [anon_sym_LT_EQ] = ACTIONS(2799),
    [anon_sym_GT_EQ] = ACTIONS(2797),
    [anon_sym_lt] = ACTIONS(2799),
    [anon_sym_le] = ACTIONS(2799),
    [anon_sym_ge] = ACTIONS(2797),
    [anon_sym_gt] = ACTIONS(2797),
    [anon_sym_isa] = ACTIONS(2799),
    [anon_sym_PLUS_PLUS] = ACTIONS(2797),
    [anon_sym_DASH_DASH] = ACTIONS(2797),
    [anon_sym_QMARK] = ACTIONS(2797),
    [anon_sym_PERCENT2] = ACTIONS(2797),
    [anon_sym_EQ_GT] = ACTIONS(2797),
    [sym_comment] = ACTIONS(5),
    [sym_quoted_regexp_modifiers] = ACTIONS(3593),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1691] = {
    [sym_heredoc_content] = STATE(1691),
    [anon_sym_RBRACE] = ACTIONS(3122),
    [anon_sym_EQ] = ACTIONS(3124),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3122),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3122),
    [anon_sym_COMMA] = ACTIONS(3122),
    [anon_sym_RPAREN] = ACTIONS(3122),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3122),
    [anon_sym_and] = ACTIONS(3122),
    [anon_sym_or] = ACTIONS(3122),
    [anon_sym_xor] = ACTIONS(3122),
    [anon_sym_RBRACK] = ACTIONS(3122),
    [anon_sym_DASH_GT] = ACTIONS(3122),
    [anon_sym_PERCENT] = ACTIONS(3124),
    [anon_sym_GT] = ACTIONS(3124),
    [anon_sym_LT_LT] = ACTIONS(3124),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3122),
    [anon_sym_PLUS_EQ] = ACTIONS(3122),
    [anon_sym_DASH_EQ] = ACTIONS(3122),
    [anon_sym_DOT_EQ] = ACTIONS(3122),
    [anon_sym_STAR_EQ] = ACTIONS(3122),
    [anon_sym_SLASH_EQ] = ACTIONS(3122),
    [anon_sym_PERCENT_EQ] = ACTIONS(3122),
    [anon_sym_x_EQ] = ACTIONS(3122),
    [anon_sym_AMP_EQ] = ACTIONS(3122),
    [anon_sym_PIPE_EQ] = ACTIONS(3122),
    [anon_sym_CARET_EQ] = ACTIONS(3122),
    [anon_sym_LT_LT_EQ] = ACTIONS(3122),
    [anon_sym_GT_GT_EQ] = ACTIONS(3122),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3122),
    [anon_sym_DOT_DOT] = ACTIONS(3124),
    [anon_sym_STAR_STAR] = ACTIONS(3124),
    [anon_sym_PIPE_PIPE] = ACTIONS(3124),
    [anon_sym_SLASH_SLASH] = ACTIONS(3124),
    [anon_sym_CARET_CARET] = ACTIONS(3122),
    [anon_sym_AMP_AMP] = ACTIONS(3124),
    [anon_sym_PIPE] = ACTIONS(3124),
    [anon_sym_CARET] = ACTIONS(3124),
    [anon_sym_AMP] = ACTIONS(3124),
    [anon_sym_GT_GT2] = ACTIONS(3124),
    [anon_sym_PLUS] = ACTIONS(3124),
    [anon_sym_DASH] = ACTIONS(3124),
    [anon_sym_DOT] = ACTIONS(3124),
    [anon_sym_STAR] = ACTIONS(3124),
    [anon_sym_SLASH] = ACTIONS(3124),
    [anon_sym_x] = ACTIONS(3124),
    [anon_sym_EQ_TILDE] = ACTIONS(3122),
    [anon_sym_BANG_TILDE] = ACTIONS(3122),
    [anon_sym_EQ_EQ] = ACTIONS(3124),
    [anon_sym_BANG_EQ] = ACTIONS(3122),
    [anon_sym_eq] = ACTIONS(3124),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3122),
    [anon_sym_equ] = ACTIONS(3122),
    [anon_sym_eqr] = ACTIONS(3122),
    [anon_sym_ne] = ACTIONS(3122),
    [anon_sym_LT_EQ_GT] = ACTIONS(3122),
    [anon_sym_cmp] = ACTIONS(3122),
    [anon_sym_TILDE_TILDE] = ACTIONS(3122),
    [anon_sym_LT] = ACTIONS(3124),
    [anon_sym_LT_EQ] = ACTIONS(3124),
    [anon_sym_GT_EQ] = ACTIONS(3122),
    [anon_sym_lt] = ACTIONS(3122),
    [anon_sym_le] = ACTIONS(3122),
    [anon_sym_ge] = ACTIONS(3122),
    [anon_sym_gt] = ACTIONS(3122),
    [anon_sym_isa] = ACTIONS(3122),
    [anon_sym_PLUS_PLUS] = ACTIONS(3122),
    [anon_sym_DASH_DASH] = ACTIONS(3122),
    [anon_sym_QMARK] = ACTIONS(3122),
    [anon_sym_EQ_GT] = ACTIONS(3122),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1692] = {
    [sym_heredoc_content] = STATE(1692),
    [anon_sym_COLON] = ACTIONS(2710),
    [anon_sym_DOLLAR] = ACTIONS(2710),
    [anon_sym_EQ] = ACTIONS(2712),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2710),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2710),
    [anon_sym_AT] = ACTIONS(2710),
    [anon_sym_COMMA] = ACTIONS(2710),
    [anon_sym_RPAREN] = ACTIONS(2710),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2710),
    [anon_sym_DASH_GT] = ACTIONS(2710),
    [anon_sym_PERCENT] = ACTIONS(2712),
    [anon_sym_GT] = ACTIONS(2712),
    [anon_sym_LT_LT] = ACTIONS(2712),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2710),
    [anon_sym_PLUS_EQ] = ACTIONS(2710),
    [anon_sym_DASH_EQ] = ACTIONS(2710),
    [anon_sym_DOT_EQ] = ACTIONS(2710),
    [anon_sym_STAR_EQ] = ACTIONS(2710),
    [anon_sym_SLASH_EQ] = ACTIONS(2710),
    [anon_sym_PERCENT_EQ] = ACTIONS(2712),
    [anon_sym_x_EQ] = ACTIONS(2712),
    [anon_sym_AMP_EQ] = ACTIONS(2710),
    [anon_sym_PIPE_EQ] = ACTIONS(2710),
    [anon_sym_CARET_EQ] = ACTIONS(2710),
    [anon_sym_LT_LT_EQ] = ACTIONS(2710),
    [anon_sym_GT_GT_EQ] = ACTIONS(2710),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2710),
    [anon_sym_DOT_DOT] = ACTIONS(2712),
    [anon_sym_STAR_STAR] = ACTIONS(2712),
    [anon_sym_PIPE_PIPE] = ACTIONS(2712),
    [anon_sym_SLASH_SLASH] = ACTIONS(2712),
    [anon_sym_CARET_CARET] = ACTIONS(2710),
    [anon_sym_AMP_AMP] = ACTIONS(2712),
    [anon_sym_PIPE] = ACTIONS(2712),
    [anon_sym_CARET] = ACTIONS(2712),
    [anon_sym_AMP] = ACTIONS(2712),
    [anon_sym_GT_GT2] = ACTIONS(2712),
    [anon_sym_PLUS] = ACTIONS(2712),
    [anon_sym_DASH] = ACTIONS(2712),
    [anon_sym_DOT] = ACTIONS(2712),
    [anon_sym_STAR] = ACTIONS(2712),
    [anon_sym_SLASH] = ACTIONS(2712),
    [anon_sym_x] = ACTIONS(2712),
    [anon_sym_EQ_TILDE] = ACTIONS(2710),
    [anon_sym_BANG_TILDE] = ACTIONS(2710),
    [anon_sym_EQ_EQ] = ACTIONS(2712),
    [anon_sym_BANG_EQ] = ACTIONS(2710),
    [anon_sym_eq] = ACTIONS(2712),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2710),
    [anon_sym_equ] = ACTIONS(2712),
    [anon_sym_eqr] = ACTIONS(2712),
    [anon_sym_ne] = ACTIONS(2710),
    [anon_sym_LT_EQ_GT] = ACTIONS(2710),
    [anon_sym_cmp] = ACTIONS(2712),
    [anon_sym_TILDE_TILDE] = ACTIONS(2710),
    [anon_sym_LT] = ACTIONS(2712),
    [anon_sym_LT_EQ] = ACTIONS(2712),
    [anon_sym_GT_EQ] = ACTIONS(2710),
    [anon_sym_lt] = ACTIONS(2712),
    [anon_sym_le] = ACTIONS(2712),
    [anon_sym_ge] = ACTIONS(2712),
    [anon_sym_gt] = ACTIONS(2712),
    [anon_sym_isa] = ACTIONS(2712),
    [anon_sym_PLUS_PLUS] = ACTIONS(2710),
    [anon_sym_DASH_DASH] = ACTIONS(2710),
    [anon_sym_QMARK] = ACTIONS(2710),
    [anon_sym_PERCENT2] = ACTIONS(2710),
    [anon_sym_EQ_GT] = ACTIONS(2710),
    [sym_comment] = ACTIONS(5),
    [sym_substitution_regexp_modifiers] = ACTIONS(3595),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1693] = {
    [sym_heredoc_content] = STATE(1693),
    [anon_sym_RBRACE] = ACTIONS(3234),
    [anon_sym_EQ] = ACTIONS(3236),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3234),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3234),
    [anon_sym_COMMA] = ACTIONS(3234),
    [anon_sym_RPAREN] = ACTIONS(3234),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3234),
    [anon_sym_and] = ACTIONS(3234),
    [anon_sym_or] = ACTIONS(3234),
    [anon_sym_xor] = ACTIONS(3234),
    [anon_sym_RBRACK] = ACTIONS(3234),
    [anon_sym_DASH_GT] = ACTIONS(3234),
    [anon_sym_PERCENT] = ACTIONS(3236),
    [anon_sym_GT] = ACTIONS(3236),
    [anon_sym_LT_LT] = ACTIONS(3236),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3234),
    [anon_sym_PLUS_EQ] = ACTIONS(3234),
    [anon_sym_DASH_EQ] = ACTIONS(3234),
    [anon_sym_DOT_EQ] = ACTIONS(3234),
    [anon_sym_STAR_EQ] = ACTIONS(3234),
    [anon_sym_SLASH_EQ] = ACTIONS(3234),
    [anon_sym_PERCENT_EQ] = ACTIONS(3234),
    [anon_sym_x_EQ] = ACTIONS(3234),
    [anon_sym_AMP_EQ] = ACTIONS(3234),
    [anon_sym_PIPE_EQ] = ACTIONS(3234),
    [anon_sym_CARET_EQ] = ACTIONS(3234),
    [anon_sym_LT_LT_EQ] = ACTIONS(3234),
    [anon_sym_GT_GT_EQ] = ACTIONS(3234),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3234),
    [anon_sym_DOT_DOT] = ACTIONS(3236),
    [anon_sym_STAR_STAR] = ACTIONS(3236),
    [anon_sym_PIPE_PIPE] = ACTIONS(3236),
    [anon_sym_SLASH_SLASH] = ACTIONS(3236),
    [anon_sym_CARET_CARET] = ACTIONS(3234),
    [anon_sym_AMP_AMP] = ACTIONS(3236),
    [anon_sym_PIPE] = ACTIONS(3236),
    [anon_sym_CARET] = ACTIONS(3236),
    [anon_sym_AMP] = ACTIONS(3236),
    [anon_sym_GT_GT2] = ACTIONS(3236),
    [anon_sym_PLUS] = ACTIONS(3236),
    [anon_sym_DASH] = ACTIONS(3236),
    [anon_sym_DOT] = ACTIONS(3236),
    [anon_sym_STAR] = ACTIONS(3236),
    [anon_sym_SLASH] = ACTIONS(3236),
    [anon_sym_x] = ACTIONS(3236),
    [anon_sym_EQ_TILDE] = ACTIONS(3234),
    [anon_sym_BANG_TILDE] = ACTIONS(3234),
    [anon_sym_EQ_EQ] = ACTIONS(3236),
    [anon_sym_BANG_EQ] = ACTIONS(3234),
    [anon_sym_eq] = ACTIONS(3236),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3234),
    [anon_sym_equ] = ACTIONS(3234),
    [anon_sym_eqr] = ACTIONS(3234),
    [anon_sym_ne] = ACTIONS(3234),
    [anon_sym_LT_EQ_GT] = ACTIONS(3234),
    [anon_sym_cmp] = ACTIONS(3234),
    [anon_sym_TILDE_TILDE] = ACTIONS(3234),
    [anon_sym_LT] = ACTIONS(3236),
    [anon_sym_LT_EQ] = ACTIONS(3236),
    [anon_sym_GT_EQ] = ACTIONS(3234),
    [anon_sym_lt] = ACTIONS(3234),
    [anon_sym_le] = ACTIONS(3234),
    [anon_sym_ge] = ACTIONS(3234),
    [anon_sym_gt] = ACTIONS(3234),
    [anon_sym_isa] = ACTIONS(3234),
    [anon_sym_PLUS_PLUS] = ACTIONS(3234),
    [anon_sym_DASH_DASH] = ACTIONS(3234),
    [anon_sym_QMARK] = ACTIONS(3234),
    [anon_sym_EQ_GT] = ACTIONS(3234),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1694] = {
    [sym_heredoc_content] = STATE(1694),
    [anon_sym_RBRACE] = ACTIONS(1665),
    [anon_sym_EQ] = ACTIONS(1663),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1665),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1665),
    [anon_sym_COMMA] = ACTIONS(1665),
    [anon_sym_RPAREN] = ACTIONS(1665),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1665),
    [anon_sym_and] = ACTIONS(1665),
    [anon_sym_or] = ACTIONS(1665),
    [anon_sym_xor] = ACTIONS(1665),
    [anon_sym_RBRACK] = ACTIONS(1665),
    [anon_sym_DASH_GT] = ACTIONS(1665),
    [anon_sym_PERCENT] = ACTIONS(1663),
    [anon_sym_GT] = ACTIONS(1663),
    [anon_sym_LT_LT] = ACTIONS(1663),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1665),
    [anon_sym_PLUS_EQ] = ACTIONS(1665),
    [anon_sym_DASH_EQ] = ACTIONS(1665),
    [anon_sym_DOT_EQ] = ACTIONS(1665),
    [anon_sym_STAR_EQ] = ACTIONS(1665),
    [anon_sym_SLASH_EQ] = ACTIONS(1665),
    [anon_sym_PERCENT_EQ] = ACTIONS(1665),
    [anon_sym_x_EQ] = ACTIONS(1665),
    [anon_sym_AMP_EQ] = ACTIONS(1665),
    [anon_sym_PIPE_EQ] = ACTIONS(1665),
    [anon_sym_CARET_EQ] = ACTIONS(1665),
    [anon_sym_LT_LT_EQ] = ACTIONS(1665),
    [anon_sym_GT_GT_EQ] = ACTIONS(1665),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1665),
    [anon_sym_DOT_DOT] = ACTIONS(1663),
    [anon_sym_STAR_STAR] = ACTIONS(1663),
    [anon_sym_PIPE_PIPE] = ACTIONS(1663),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_CARET_CARET] = ACTIONS(1665),
    [anon_sym_AMP_AMP] = ACTIONS(1663),
    [anon_sym_PIPE] = ACTIONS(1663),
    [anon_sym_CARET] = ACTIONS(1663),
    [anon_sym_AMP] = ACTIONS(1663),
    [anon_sym_GT_GT2] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(1663),
    [anon_sym_DASH] = ACTIONS(1663),
    [anon_sym_DOT] = ACTIONS(1663),
    [anon_sym_STAR] = ACTIONS(1663),
    [anon_sym_SLASH] = ACTIONS(1663),
    [anon_sym_x] = ACTIONS(1663),
    [anon_sym_EQ_TILDE] = ACTIONS(1665),
    [anon_sym_BANG_TILDE] = ACTIONS(1665),
    [anon_sym_EQ_EQ] = ACTIONS(1663),
    [anon_sym_BANG_EQ] = ACTIONS(1665),
    [anon_sym_eq] = ACTIONS(1663),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1665),
    [anon_sym_equ] = ACTIONS(1665),
    [anon_sym_eqr] = ACTIONS(1665),
    [anon_sym_ne] = ACTIONS(1665),
    [anon_sym_LT_EQ_GT] = ACTIONS(1665),
    [anon_sym_cmp] = ACTIONS(1665),
    [anon_sym_TILDE_TILDE] = ACTIONS(1665),
    [anon_sym_LT] = ACTIONS(1663),
    [anon_sym_LT_EQ] = ACTIONS(1663),
    [anon_sym_GT_EQ] = ACTIONS(1665),
    [anon_sym_lt] = ACTIONS(1665),
    [anon_sym_le] = ACTIONS(1665),
    [anon_sym_ge] = ACTIONS(1665),
    [anon_sym_gt] = ACTIONS(1665),
    [anon_sym_isa] = ACTIONS(1665),
    [anon_sym_PLUS_PLUS] = ACTIONS(1665),
    [anon_sym_DASH_DASH] = ACTIONS(1665),
    [anon_sym_QMARK] = ACTIONS(1665),
    [anon_sym_EQ_GT] = ACTIONS(1665),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1695] = {
    [sym_heredoc_content] = STATE(1695),
    [anon_sym_RBRACE] = ACTIONS(3047),
    [anon_sym_EQ] = ACTIONS(3049),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3047),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3047),
    [anon_sym_COMMA] = ACTIONS(3047),
    [anon_sym_RPAREN] = ACTIONS(3047),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3047),
    [anon_sym_and] = ACTIONS(3047),
    [anon_sym_or] = ACTIONS(3047),
    [anon_sym_xor] = ACTIONS(3047),
    [anon_sym_RBRACK] = ACTIONS(3047),
    [anon_sym_DASH_GT] = ACTIONS(3047),
    [anon_sym_PERCENT] = ACTIONS(3049),
    [anon_sym_GT] = ACTIONS(3049),
    [anon_sym_LT_LT] = ACTIONS(3049),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3047),
    [anon_sym_PLUS_EQ] = ACTIONS(3047),
    [anon_sym_DASH_EQ] = ACTIONS(3047),
    [anon_sym_DOT_EQ] = ACTIONS(3047),
    [anon_sym_STAR_EQ] = ACTIONS(3047),
    [anon_sym_SLASH_EQ] = ACTIONS(3047),
    [anon_sym_PERCENT_EQ] = ACTIONS(3047),
    [anon_sym_x_EQ] = ACTIONS(3047),
    [anon_sym_AMP_EQ] = ACTIONS(3047),
    [anon_sym_PIPE_EQ] = ACTIONS(3047),
    [anon_sym_CARET_EQ] = ACTIONS(3047),
    [anon_sym_LT_LT_EQ] = ACTIONS(3047),
    [anon_sym_GT_GT_EQ] = ACTIONS(3047),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3047),
    [anon_sym_DOT_DOT] = ACTIONS(3049),
    [anon_sym_STAR_STAR] = ACTIONS(3049),
    [anon_sym_PIPE_PIPE] = ACTIONS(3049),
    [anon_sym_SLASH_SLASH] = ACTIONS(3049),
    [anon_sym_CARET_CARET] = ACTIONS(3047),
    [anon_sym_AMP_AMP] = ACTIONS(3049),
    [anon_sym_PIPE] = ACTIONS(3049),
    [anon_sym_CARET] = ACTIONS(3049),
    [anon_sym_AMP] = ACTIONS(3049),
    [anon_sym_GT_GT2] = ACTIONS(3049),
    [anon_sym_PLUS] = ACTIONS(3049),
    [anon_sym_DASH] = ACTIONS(3049),
    [anon_sym_DOT] = ACTIONS(3049),
    [anon_sym_STAR] = ACTIONS(3049),
    [anon_sym_SLASH] = ACTIONS(3049),
    [anon_sym_x] = ACTIONS(3049),
    [anon_sym_EQ_TILDE] = ACTIONS(3047),
    [anon_sym_BANG_TILDE] = ACTIONS(3047),
    [anon_sym_EQ_EQ] = ACTIONS(3049),
    [anon_sym_BANG_EQ] = ACTIONS(3047),
    [anon_sym_eq] = ACTIONS(3049),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3047),
    [anon_sym_equ] = ACTIONS(3047),
    [anon_sym_eqr] = ACTIONS(3047),
    [anon_sym_ne] = ACTIONS(3047),
    [anon_sym_LT_EQ_GT] = ACTIONS(3047),
    [anon_sym_cmp] = ACTIONS(3047),
    [anon_sym_TILDE_TILDE] = ACTIONS(3047),
    [anon_sym_LT] = ACTIONS(3049),
    [anon_sym_LT_EQ] = ACTIONS(3049),
    [anon_sym_GT_EQ] = ACTIONS(3047),
    [anon_sym_lt] = ACTIONS(3047),
    [anon_sym_le] = ACTIONS(3047),
    [anon_sym_ge] = ACTIONS(3047),
    [anon_sym_gt] = ACTIONS(3047),
    [anon_sym_isa] = ACTIONS(3047),
    [anon_sym_PLUS_PLUS] = ACTIONS(3047),
    [anon_sym_DASH_DASH] = ACTIONS(3047),
    [anon_sym_QMARK] = ACTIONS(3047),
    [anon_sym_EQ_GT] = ACTIONS(3047),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1696] = {
    [sym_heredoc_content] = STATE(1696),
    [anon_sym_RBRACE] = ACTIONS(3270),
    [anon_sym_EQ] = ACTIONS(3272),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3270),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3270),
    [anon_sym_COMMA] = ACTIONS(3270),
    [anon_sym_RPAREN] = ACTIONS(3270),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3270),
    [anon_sym_and] = ACTIONS(3270),
    [anon_sym_or] = ACTIONS(3270),
    [anon_sym_xor] = ACTIONS(3270),
    [anon_sym_RBRACK] = ACTIONS(3270),
    [anon_sym_DASH_GT] = ACTIONS(3270),
    [anon_sym_PERCENT] = ACTIONS(3272),
    [anon_sym_GT] = ACTIONS(3272),
    [anon_sym_LT_LT] = ACTIONS(3272),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3270),
    [anon_sym_PLUS_EQ] = ACTIONS(3270),
    [anon_sym_DASH_EQ] = ACTIONS(3270),
    [anon_sym_DOT_EQ] = ACTIONS(3270),
    [anon_sym_STAR_EQ] = ACTIONS(3270),
    [anon_sym_SLASH_EQ] = ACTIONS(3270),
    [anon_sym_PERCENT_EQ] = ACTIONS(3270),
    [anon_sym_x_EQ] = ACTIONS(3270),
    [anon_sym_AMP_EQ] = ACTIONS(3270),
    [anon_sym_PIPE_EQ] = ACTIONS(3270),
    [anon_sym_CARET_EQ] = ACTIONS(3270),
    [anon_sym_LT_LT_EQ] = ACTIONS(3270),
    [anon_sym_GT_GT_EQ] = ACTIONS(3270),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3270),
    [anon_sym_DOT_DOT] = ACTIONS(3272),
    [anon_sym_STAR_STAR] = ACTIONS(3272),
    [anon_sym_PIPE_PIPE] = ACTIONS(3272),
    [anon_sym_SLASH_SLASH] = ACTIONS(3272),
    [anon_sym_CARET_CARET] = ACTIONS(3270),
    [anon_sym_AMP_AMP] = ACTIONS(3272),
    [anon_sym_PIPE] = ACTIONS(3272),
    [anon_sym_CARET] = ACTIONS(3272),
    [anon_sym_AMP] = ACTIONS(3272),
    [anon_sym_GT_GT2] = ACTIONS(3272),
    [anon_sym_PLUS] = ACTIONS(3272),
    [anon_sym_DASH] = ACTIONS(3272),
    [anon_sym_DOT] = ACTIONS(3272),
    [anon_sym_STAR] = ACTIONS(3272),
    [anon_sym_SLASH] = ACTIONS(3272),
    [anon_sym_x] = ACTIONS(3272),
    [anon_sym_EQ_TILDE] = ACTIONS(3270),
    [anon_sym_BANG_TILDE] = ACTIONS(3270),
    [anon_sym_EQ_EQ] = ACTIONS(3272),
    [anon_sym_BANG_EQ] = ACTIONS(3270),
    [anon_sym_eq] = ACTIONS(3272),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3270),
    [anon_sym_equ] = ACTIONS(3270),
    [anon_sym_eqr] = ACTIONS(3270),
    [anon_sym_ne] = ACTIONS(3270),
    [anon_sym_LT_EQ_GT] = ACTIONS(3270),
    [anon_sym_cmp] = ACTIONS(3270),
    [anon_sym_TILDE_TILDE] = ACTIONS(3270),
    [anon_sym_LT] = ACTIONS(3272),
    [anon_sym_LT_EQ] = ACTIONS(3272),
    [anon_sym_GT_EQ] = ACTIONS(3270),
    [anon_sym_lt] = ACTIONS(3270),
    [anon_sym_le] = ACTIONS(3270),
    [anon_sym_ge] = ACTIONS(3270),
    [anon_sym_gt] = ACTIONS(3270),
    [anon_sym_isa] = ACTIONS(3270),
    [anon_sym_PLUS_PLUS] = ACTIONS(3270),
    [anon_sym_DASH_DASH] = ACTIONS(3270),
    [anon_sym_QMARK] = ACTIONS(3270),
    [anon_sym_EQ_GT] = ACTIONS(3270),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1697] = {
    [sym_heredoc_content] = STATE(1697),
    [anon_sym_RBRACE] = ACTIONS(2857),
    [anon_sym_EQ] = ACTIONS(2859),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2857),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2857),
    [anon_sym_COMMA] = ACTIONS(2857),
    [anon_sym_RPAREN] = ACTIONS(2857),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2857),
    [anon_sym_and] = ACTIONS(2857),
    [anon_sym_or] = ACTIONS(2857),
    [anon_sym_xor] = ACTIONS(2857),
    [anon_sym_RBRACK] = ACTIONS(2857),
    [anon_sym_DASH_GT] = ACTIONS(2857),
    [anon_sym_PERCENT] = ACTIONS(2859),
    [anon_sym_GT] = ACTIONS(2859),
    [anon_sym_LT_LT] = ACTIONS(2859),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2857),
    [anon_sym_PLUS_EQ] = ACTIONS(2857),
    [anon_sym_DASH_EQ] = ACTIONS(2857),
    [anon_sym_DOT_EQ] = ACTIONS(2857),
    [anon_sym_STAR_EQ] = ACTIONS(2857),
    [anon_sym_SLASH_EQ] = ACTIONS(2857),
    [anon_sym_PERCENT_EQ] = ACTIONS(2857),
    [anon_sym_x_EQ] = ACTIONS(2857),
    [anon_sym_AMP_EQ] = ACTIONS(2857),
    [anon_sym_PIPE_EQ] = ACTIONS(2857),
    [anon_sym_CARET_EQ] = ACTIONS(2857),
    [anon_sym_LT_LT_EQ] = ACTIONS(2857),
    [anon_sym_GT_GT_EQ] = ACTIONS(2857),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2857),
    [anon_sym_DOT_DOT] = ACTIONS(2859),
    [anon_sym_STAR_STAR] = ACTIONS(2859),
    [anon_sym_PIPE_PIPE] = ACTIONS(2859),
    [anon_sym_SLASH_SLASH] = ACTIONS(2859),
    [anon_sym_CARET_CARET] = ACTIONS(2857),
    [anon_sym_AMP_AMP] = ACTIONS(2859),
    [anon_sym_PIPE] = ACTIONS(2859),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_AMP] = ACTIONS(2859),
    [anon_sym_GT_GT2] = ACTIONS(2859),
    [anon_sym_PLUS] = ACTIONS(2859),
    [anon_sym_DASH] = ACTIONS(2859),
    [anon_sym_DOT] = ACTIONS(2859),
    [anon_sym_STAR] = ACTIONS(2859),
    [anon_sym_SLASH] = ACTIONS(2859),
    [anon_sym_x] = ACTIONS(2859),
    [anon_sym_EQ_TILDE] = ACTIONS(2857),
    [anon_sym_BANG_TILDE] = ACTIONS(2857),
    [anon_sym_EQ_EQ] = ACTIONS(2859),
    [anon_sym_BANG_EQ] = ACTIONS(2857),
    [anon_sym_eq] = ACTIONS(2859),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2857),
    [anon_sym_equ] = ACTIONS(2857),
    [anon_sym_eqr] = ACTIONS(2857),
    [anon_sym_ne] = ACTIONS(2857),
    [anon_sym_LT_EQ_GT] = ACTIONS(2857),
    [anon_sym_cmp] = ACTIONS(2857),
    [anon_sym_TILDE_TILDE] = ACTIONS(2857),
    [anon_sym_LT] = ACTIONS(2859),
    [anon_sym_LT_EQ] = ACTIONS(2859),
    [anon_sym_GT_EQ] = ACTIONS(2857),
    [anon_sym_lt] = ACTIONS(2857),
    [anon_sym_le] = ACTIONS(2857),
    [anon_sym_ge] = ACTIONS(2857),
    [anon_sym_gt] = ACTIONS(2857),
    [anon_sym_isa] = ACTIONS(2857),
    [anon_sym_PLUS_PLUS] = ACTIONS(2857),
    [anon_sym_DASH_DASH] = ACTIONS(2857),
    [anon_sym_QMARK] = ACTIONS(2857),
    [anon_sym_EQ_GT] = ACTIONS(2857),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1698] = {
    [sym_heredoc_content] = STATE(1698),
    [anon_sym_RBRACE] = ACTIONS(3238),
    [anon_sym_EQ] = ACTIONS(3240),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3238),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3238),
    [anon_sym_COMMA] = ACTIONS(3238),
    [anon_sym_RPAREN] = ACTIONS(3238),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3238),
    [anon_sym_and] = ACTIONS(3238),
    [anon_sym_or] = ACTIONS(3238),
    [anon_sym_xor] = ACTIONS(3238),
    [anon_sym_RBRACK] = ACTIONS(3238),
    [anon_sym_DASH_GT] = ACTIONS(3238),
    [anon_sym_PERCENT] = ACTIONS(3240),
    [anon_sym_GT] = ACTIONS(3240),
    [anon_sym_LT_LT] = ACTIONS(3240),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3238),
    [anon_sym_PLUS_EQ] = ACTIONS(3238),
    [anon_sym_DASH_EQ] = ACTIONS(3238),
    [anon_sym_DOT_EQ] = ACTIONS(3238),
    [anon_sym_STAR_EQ] = ACTIONS(3238),
    [anon_sym_SLASH_EQ] = ACTIONS(3238),
    [anon_sym_PERCENT_EQ] = ACTIONS(3238),
    [anon_sym_x_EQ] = ACTIONS(3238),
    [anon_sym_AMP_EQ] = ACTIONS(3238),
    [anon_sym_PIPE_EQ] = ACTIONS(3238),
    [anon_sym_CARET_EQ] = ACTIONS(3238),
    [anon_sym_LT_LT_EQ] = ACTIONS(3238),
    [anon_sym_GT_GT_EQ] = ACTIONS(3238),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3238),
    [anon_sym_DOT_DOT] = ACTIONS(3240),
    [anon_sym_STAR_STAR] = ACTIONS(3240),
    [anon_sym_PIPE_PIPE] = ACTIONS(3240),
    [anon_sym_SLASH_SLASH] = ACTIONS(3240),
    [anon_sym_CARET_CARET] = ACTIONS(3238),
    [anon_sym_AMP_AMP] = ACTIONS(3240),
    [anon_sym_PIPE] = ACTIONS(3240),
    [anon_sym_CARET] = ACTIONS(3240),
    [anon_sym_AMP] = ACTIONS(3240),
    [anon_sym_GT_GT2] = ACTIONS(3240),
    [anon_sym_PLUS] = ACTIONS(3240),
    [anon_sym_DASH] = ACTIONS(3240),
    [anon_sym_DOT] = ACTIONS(3240),
    [anon_sym_STAR] = ACTIONS(3240),
    [anon_sym_SLASH] = ACTIONS(3240),
    [anon_sym_x] = ACTIONS(3240),
    [anon_sym_EQ_TILDE] = ACTIONS(3238),
    [anon_sym_BANG_TILDE] = ACTIONS(3238),
    [anon_sym_EQ_EQ] = ACTIONS(3240),
    [anon_sym_BANG_EQ] = ACTIONS(3238),
    [anon_sym_eq] = ACTIONS(3240),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3238),
    [anon_sym_equ] = ACTIONS(3238),
    [anon_sym_eqr] = ACTIONS(3238),
    [anon_sym_ne] = ACTIONS(3238),
    [anon_sym_LT_EQ_GT] = ACTIONS(3238),
    [anon_sym_cmp] = ACTIONS(3238),
    [anon_sym_TILDE_TILDE] = ACTIONS(3238),
    [anon_sym_LT] = ACTIONS(3240),
    [anon_sym_LT_EQ] = ACTIONS(3240),
    [anon_sym_GT_EQ] = ACTIONS(3238),
    [anon_sym_lt] = ACTIONS(3238),
    [anon_sym_le] = ACTIONS(3238),
    [anon_sym_ge] = ACTIONS(3238),
    [anon_sym_gt] = ACTIONS(3238),
    [anon_sym_isa] = ACTIONS(3238),
    [anon_sym_PLUS_PLUS] = ACTIONS(3238),
    [anon_sym_DASH_DASH] = ACTIONS(3238),
    [anon_sym_QMARK] = ACTIONS(3238),
    [anon_sym_EQ_GT] = ACTIONS(3238),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1699] = {
    [sym_heredoc_content] = STATE(1699),
    [anon_sym_RBRACE] = ACTIONS(1849),
    [anon_sym_EQ] = ACTIONS(1840),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1849),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1849),
    [anon_sym_COMMA] = ACTIONS(1849),
    [anon_sym_RPAREN] = ACTIONS(1849),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1849),
    [anon_sym_and] = ACTIONS(1849),
    [anon_sym_or] = ACTIONS(1849),
    [anon_sym_xor] = ACTIONS(1849),
    [anon_sym_RBRACK] = ACTIONS(1849),
    [anon_sym_DASH_GT] = ACTIONS(1849),
    [anon_sym_PERCENT] = ACTIONS(1840),
    [anon_sym_GT] = ACTIONS(1840),
    [anon_sym_LT_LT] = ACTIONS(1840),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1849),
    [anon_sym_PLUS_EQ] = ACTIONS(1849),
    [anon_sym_DASH_EQ] = ACTIONS(1849),
    [anon_sym_DOT_EQ] = ACTIONS(1849),
    [anon_sym_STAR_EQ] = ACTIONS(1849),
    [anon_sym_SLASH_EQ] = ACTIONS(1849),
    [anon_sym_PERCENT_EQ] = ACTIONS(1849),
    [anon_sym_x_EQ] = ACTIONS(1849),
    [anon_sym_AMP_EQ] = ACTIONS(1849),
    [anon_sym_PIPE_EQ] = ACTIONS(1849),
    [anon_sym_CARET_EQ] = ACTIONS(1849),
    [anon_sym_LT_LT_EQ] = ACTIONS(1849),
    [anon_sym_GT_GT_EQ] = ACTIONS(1849),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1849),
    [anon_sym_DOT_DOT] = ACTIONS(1840),
    [anon_sym_STAR_STAR] = ACTIONS(1840),
    [anon_sym_PIPE_PIPE] = ACTIONS(1840),
    [anon_sym_SLASH_SLASH] = ACTIONS(1840),
    [anon_sym_CARET_CARET] = ACTIONS(1849),
    [anon_sym_AMP_AMP] = ACTIONS(1840),
    [anon_sym_PIPE] = ACTIONS(1840),
    [anon_sym_CARET] = ACTIONS(1840),
    [anon_sym_AMP] = ACTIONS(1840),
    [anon_sym_GT_GT2] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_DOT] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1840),
    [anon_sym_SLASH] = ACTIONS(1840),
    [anon_sym_x] = ACTIONS(1840),
    [anon_sym_EQ_TILDE] = ACTIONS(1849),
    [anon_sym_BANG_TILDE] = ACTIONS(1849),
    [anon_sym_EQ_EQ] = ACTIONS(1840),
    [anon_sym_BANG_EQ] = ACTIONS(1849),
    [anon_sym_eq] = ACTIONS(1840),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1849),
    [anon_sym_equ] = ACTIONS(1849),
    [anon_sym_eqr] = ACTIONS(1849),
    [anon_sym_ne] = ACTIONS(1849),
    [anon_sym_LT_EQ_GT] = ACTIONS(1849),
    [anon_sym_cmp] = ACTIONS(1849),
    [anon_sym_TILDE_TILDE] = ACTIONS(1849),
    [anon_sym_LT] = ACTIONS(1840),
    [anon_sym_LT_EQ] = ACTIONS(1840),
    [anon_sym_GT_EQ] = ACTIONS(1849),
    [anon_sym_lt] = ACTIONS(1849),
    [anon_sym_le] = ACTIONS(1849),
    [anon_sym_ge] = ACTIONS(1849),
    [anon_sym_gt] = ACTIONS(1849),
    [anon_sym_isa] = ACTIONS(1849),
    [anon_sym_PLUS_PLUS] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1849),
    [anon_sym_QMARK] = ACTIONS(1849),
    [anon_sym_EQ_GT] = ACTIONS(1849),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1700] = {
    [sym_heredoc_content] = STATE(1700),
    [anon_sym_RBRACE] = ACTIONS(3134),
    [anon_sym_EQ] = ACTIONS(3136),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3134),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3134),
    [anon_sym_COMMA] = ACTIONS(3134),
    [anon_sym_RPAREN] = ACTIONS(3134),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3134),
    [anon_sym_and] = ACTIONS(3134),
    [anon_sym_or] = ACTIONS(3134),
    [anon_sym_xor] = ACTIONS(3134),
    [anon_sym_RBRACK] = ACTIONS(3134),
    [anon_sym_DASH_GT] = ACTIONS(3134),
    [anon_sym_PERCENT] = ACTIONS(3136),
    [anon_sym_GT] = ACTIONS(3136),
    [anon_sym_LT_LT] = ACTIONS(3136),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3134),
    [anon_sym_PLUS_EQ] = ACTIONS(3134),
    [anon_sym_DASH_EQ] = ACTIONS(3134),
    [anon_sym_DOT_EQ] = ACTIONS(3134),
    [anon_sym_STAR_EQ] = ACTIONS(3134),
    [anon_sym_SLASH_EQ] = ACTIONS(3134),
    [anon_sym_PERCENT_EQ] = ACTIONS(3134),
    [anon_sym_x_EQ] = ACTIONS(3134),
    [anon_sym_AMP_EQ] = ACTIONS(3134),
    [anon_sym_PIPE_EQ] = ACTIONS(3134),
    [anon_sym_CARET_EQ] = ACTIONS(3134),
    [anon_sym_LT_LT_EQ] = ACTIONS(3134),
    [anon_sym_GT_GT_EQ] = ACTIONS(3134),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3134),
    [anon_sym_DOT_DOT] = ACTIONS(3136),
    [anon_sym_STAR_STAR] = ACTIONS(3136),
    [anon_sym_PIPE_PIPE] = ACTIONS(3136),
    [anon_sym_SLASH_SLASH] = ACTIONS(3136),
    [anon_sym_CARET_CARET] = ACTIONS(3134),
    [anon_sym_AMP_AMP] = ACTIONS(3136),
    [anon_sym_PIPE] = ACTIONS(3136),
    [anon_sym_CARET] = ACTIONS(3136),
    [anon_sym_AMP] = ACTIONS(3136),
    [anon_sym_GT_GT2] = ACTIONS(3136),
    [anon_sym_PLUS] = ACTIONS(3136),
    [anon_sym_DASH] = ACTIONS(3136),
    [anon_sym_DOT] = ACTIONS(3136),
    [anon_sym_STAR] = ACTIONS(3136),
    [anon_sym_SLASH] = ACTIONS(3136),
    [anon_sym_x] = ACTIONS(3136),
    [anon_sym_EQ_TILDE] = ACTIONS(3134),
    [anon_sym_BANG_TILDE] = ACTIONS(3134),
    [anon_sym_EQ_EQ] = ACTIONS(3136),
    [anon_sym_BANG_EQ] = ACTIONS(3134),
    [anon_sym_eq] = ACTIONS(3136),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3134),
    [anon_sym_equ] = ACTIONS(3134),
    [anon_sym_eqr] = ACTIONS(3134),
    [anon_sym_ne] = ACTIONS(3134),
    [anon_sym_LT_EQ_GT] = ACTIONS(3134),
    [anon_sym_cmp] = ACTIONS(3134),
    [anon_sym_TILDE_TILDE] = ACTIONS(3134),
    [anon_sym_LT] = ACTIONS(3136),
    [anon_sym_LT_EQ] = ACTIONS(3136),
    [anon_sym_GT_EQ] = ACTIONS(3134),
    [anon_sym_lt] = ACTIONS(3134),
    [anon_sym_le] = ACTIONS(3134),
    [anon_sym_ge] = ACTIONS(3134),
    [anon_sym_gt] = ACTIONS(3134),
    [anon_sym_isa] = ACTIONS(3134),
    [anon_sym_PLUS_PLUS] = ACTIONS(3134),
    [anon_sym_DASH_DASH] = ACTIONS(3134),
    [anon_sym_QMARK] = ACTIONS(3134),
    [anon_sym_EQ_GT] = ACTIONS(3134),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1701] = {
    [sym_heredoc_content] = STATE(1701),
    [anon_sym_RBRACE] = ACTIONS(2869),
    [anon_sym_EQ] = ACTIONS(2871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2869),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2869),
    [anon_sym_COMMA] = ACTIONS(2869),
    [anon_sym_RPAREN] = ACTIONS(2869),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2869),
    [anon_sym_and] = ACTIONS(2869),
    [anon_sym_or] = ACTIONS(2869),
    [anon_sym_xor] = ACTIONS(2869),
    [anon_sym_RBRACK] = ACTIONS(2869),
    [anon_sym_DASH_GT] = ACTIONS(2869),
    [anon_sym_PERCENT] = ACTIONS(2871),
    [anon_sym_GT] = ACTIONS(2871),
    [anon_sym_LT_LT] = ACTIONS(2871),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2869),
    [anon_sym_PLUS_EQ] = ACTIONS(2869),
    [anon_sym_DASH_EQ] = ACTIONS(2869),
    [anon_sym_DOT_EQ] = ACTIONS(2869),
    [anon_sym_STAR_EQ] = ACTIONS(2869),
    [anon_sym_SLASH_EQ] = ACTIONS(2869),
    [anon_sym_PERCENT_EQ] = ACTIONS(2869),
    [anon_sym_x_EQ] = ACTIONS(2869),
    [anon_sym_AMP_EQ] = ACTIONS(2869),
    [anon_sym_PIPE_EQ] = ACTIONS(2869),
    [anon_sym_CARET_EQ] = ACTIONS(2869),
    [anon_sym_LT_LT_EQ] = ACTIONS(2869),
    [anon_sym_GT_GT_EQ] = ACTIONS(2869),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2869),
    [anon_sym_DOT_DOT] = ACTIONS(2871),
    [anon_sym_STAR_STAR] = ACTIONS(2871),
    [anon_sym_PIPE_PIPE] = ACTIONS(2871),
    [anon_sym_SLASH_SLASH] = ACTIONS(2871),
    [anon_sym_CARET_CARET] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_PIPE] = ACTIONS(2871),
    [anon_sym_CARET] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_GT_GT2] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_DOT] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_SLASH] = ACTIONS(2871),
    [anon_sym_x] = ACTIONS(2871),
    [anon_sym_EQ_TILDE] = ACTIONS(2869),
    [anon_sym_BANG_TILDE] = ACTIONS(2869),
    [anon_sym_EQ_EQ] = ACTIONS(2871),
    [anon_sym_BANG_EQ] = ACTIONS(2869),
    [anon_sym_eq] = ACTIONS(2871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2869),
    [anon_sym_equ] = ACTIONS(2869),
    [anon_sym_eqr] = ACTIONS(2869),
    [anon_sym_ne] = ACTIONS(2869),
    [anon_sym_LT_EQ_GT] = ACTIONS(2869),
    [anon_sym_cmp] = ACTIONS(2869),
    [anon_sym_TILDE_TILDE] = ACTIONS(2869),
    [anon_sym_LT] = ACTIONS(2871),
    [anon_sym_LT_EQ] = ACTIONS(2871),
    [anon_sym_GT_EQ] = ACTIONS(2869),
    [anon_sym_lt] = ACTIONS(2869),
    [anon_sym_le] = ACTIONS(2869),
    [anon_sym_ge] = ACTIONS(2869),
    [anon_sym_gt] = ACTIONS(2869),
    [anon_sym_isa] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_QMARK] = ACTIONS(2869),
    [anon_sym_EQ_GT] = ACTIONS(2869),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1702] = {
    [sym_heredoc_content] = STATE(1702),
    [anon_sym_LBRACE] = ACTIONS(2518),
    [anon_sym_RBRACE] = ACTIONS(2518),
    [anon_sym_COLON] = ACTIONS(2518),
    [anon_sym_EQ] = ACTIONS(2520),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2518),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2518),
    [anon_sym_COMMA] = ACTIONS(2518),
    [anon_sym_RPAREN] = ACTIONS(2518),
    [anon_sym_LPAREN] = ACTIONS(2518),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2518),
    [anon_sym_LBRACK] = ACTIONS(2518),
    [anon_sym_DASH_GT] = ACTIONS(2518),
    [anon_sym_PERCENT] = ACTIONS(2520),
    [anon_sym_GT] = ACTIONS(2520),
    [anon_sym_LT_LT] = ACTIONS(2520),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2518),
    [anon_sym_PLUS_EQ] = ACTIONS(2518),
    [anon_sym_DASH_EQ] = ACTIONS(2518),
    [anon_sym_DOT_EQ] = ACTIONS(2518),
    [anon_sym_STAR_EQ] = ACTIONS(2518),
    [anon_sym_SLASH_EQ] = ACTIONS(2518),
    [anon_sym_PERCENT_EQ] = ACTIONS(2518),
    [anon_sym_x_EQ] = ACTIONS(2518),
    [anon_sym_AMP_EQ] = ACTIONS(2518),
    [anon_sym_PIPE_EQ] = ACTIONS(2518),
    [anon_sym_CARET_EQ] = ACTIONS(2518),
    [anon_sym_LT_LT_EQ] = ACTIONS(2518),
    [anon_sym_GT_GT_EQ] = ACTIONS(2518),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2518),
    [anon_sym_DOT_DOT] = ACTIONS(2520),
    [anon_sym_STAR_STAR] = ACTIONS(2520),
    [anon_sym_PIPE_PIPE] = ACTIONS(2520),
    [anon_sym_SLASH_SLASH] = ACTIONS(2520),
    [anon_sym_CARET_CARET] = ACTIONS(2518),
    [anon_sym_AMP_AMP] = ACTIONS(2520),
    [anon_sym_PIPE] = ACTIONS(2520),
    [anon_sym_CARET] = ACTIONS(2520),
    [anon_sym_AMP] = ACTIONS(2520),
    [anon_sym_GT_GT2] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(2520),
    [anon_sym_DASH] = ACTIONS(2520),
    [anon_sym_DOT] = ACTIONS(2520),
    [anon_sym_STAR] = ACTIONS(2520),
    [anon_sym_SLASH] = ACTIONS(2520),
    [anon_sym_x] = ACTIONS(2520),
    [anon_sym_EQ_TILDE] = ACTIONS(2518),
    [anon_sym_BANG_TILDE] = ACTIONS(2518),
    [anon_sym_EQ_EQ] = ACTIONS(2520),
    [anon_sym_BANG_EQ] = ACTIONS(2518),
    [anon_sym_eq] = ACTIONS(2520),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2518),
    [anon_sym_equ] = ACTIONS(2518),
    [anon_sym_eqr] = ACTIONS(2518),
    [anon_sym_ne] = ACTIONS(2518),
    [anon_sym_LT_EQ_GT] = ACTIONS(2518),
    [anon_sym_cmp] = ACTIONS(2518),
    [anon_sym_TILDE_TILDE] = ACTIONS(2518),
    [anon_sym_LT] = ACTIONS(2520),
    [anon_sym_LT_EQ] = ACTIONS(2520),
    [anon_sym_GT_EQ] = ACTIONS(2518),
    [anon_sym_lt] = ACTIONS(2518),
    [anon_sym_le] = ACTIONS(2518),
    [anon_sym_ge] = ACTIONS(2518),
    [anon_sym_gt] = ACTIONS(2518),
    [anon_sym_isa] = ACTIONS(2518),
    [anon_sym_PLUS_PLUS] = ACTIONS(2518),
    [anon_sym_DASH_DASH] = ACTIONS(2518),
    [anon_sym_QMARK] = ACTIONS(2518),
    [anon_sym_EQ_GT] = ACTIONS(2518),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1703] = {
    [sym_heredoc_content] = STATE(1703),
    [anon_sym_RBRACE] = ACTIONS(2873),
    [anon_sym_EQ] = ACTIONS(2875),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2873),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2873),
    [anon_sym_COMMA] = ACTIONS(2873),
    [anon_sym_RPAREN] = ACTIONS(2873),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2873),
    [anon_sym_and] = ACTIONS(2873),
    [anon_sym_or] = ACTIONS(2873),
    [anon_sym_xor] = ACTIONS(2873),
    [anon_sym_RBRACK] = ACTIONS(2873),
    [anon_sym_DASH_GT] = ACTIONS(3457),
    [anon_sym_PERCENT] = ACTIONS(2875),
    [anon_sym_GT] = ACTIONS(2875),
    [anon_sym_LT_LT] = ACTIONS(2875),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2873),
    [anon_sym_PLUS_EQ] = ACTIONS(2873),
    [anon_sym_DASH_EQ] = ACTIONS(2873),
    [anon_sym_DOT_EQ] = ACTIONS(2873),
    [anon_sym_STAR_EQ] = ACTIONS(2873),
    [anon_sym_SLASH_EQ] = ACTIONS(2873),
    [anon_sym_PERCENT_EQ] = ACTIONS(2873),
    [anon_sym_x_EQ] = ACTIONS(2873),
    [anon_sym_AMP_EQ] = ACTIONS(2873),
    [anon_sym_PIPE_EQ] = ACTIONS(2873),
    [anon_sym_CARET_EQ] = ACTIONS(2873),
    [anon_sym_LT_LT_EQ] = ACTIONS(2873),
    [anon_sym_GT_GT_EQ] = ACTIONS(2873),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2873),
    [anon_sym_DOT_DOT] = ACTIONS(2875),
    [anon_sym_STAR_STAR] = ACTIONS(3467),
    [anon_sym_PIPE_PIPE] = ACTIONS(2875),
    [anon_sym_SLASH_SLASH] = ACTIONS(2875),
    [anon_sym_CARET_CARET] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2875),
    [anon_sym_PIPE] = ACTIONS(2875),
    [anon_sym_CARET] = ACTIONS(2875),
    [anon_sym_AMP] = ACTIONS(2875),
    [anon_sym_GT_GT2] = ACTIONS(2875),
    [anon_sym_PLUS] = ACTIONS(2875),
    [anon_sym_DASH] = ACTIONS(2875),
    [anon_sym_DOT] = ACTIONS(2875),
    [anon_sym_STAR] = ACTIONS(2875),
    [anon_sym_SLASH] = ACTIONS(2875),
    [anon_sym_x] = ACTIONS(2875),
    [anon_sym_EQ_TILDE] = ACTIONS(2873),
    [anon_sym_BANG_TILDE] = ACTIONS(2873),
    [anon_sym_EQ_EQ] = ACTIONS(2875),
    [anon_sym_BANG_EQ] = ACTIONS(2873),
    [anon_sym_eq] = ACTIONS(2875),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2873),
    [anon_sym_equ] = ACTIONS(2873),
    [anon_sym_eqr] = ACTIONS(2873),
    [anon_sym_ne] = ACTIONS(2873),
    [anon_sym_LT_EQ_GT] = ACTIONS(2873),
    [anon_sym_cmp] = ACTIONS(2873),
    [anon_sym_TILDE_TILDE] = ACTIONS(2873),
    [anon_sym_LT] = ACTIONS(2875),
    [anon_sym_LT_EQ] = ACTIONS(2875),
    [anon_sym_GT_EQ] = ACTIONS(2873),
    [anon_sym_lt] = ACTIONS(2873),
    [anon_sym_le] = ACTIONS(2873),
    [anon_sym_ge] = ACTIONS(2873),
    [anon_sym_gt] = ACTIONS(2873),
    [anon_sym_isa] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(3493),
    [anon_sym_DASH_DASH] = ACTIONS(3493),
    [anon_sym_QMARK] = ACTIONS(2873),
    [anon_sym_EQ_GT] = ACTIONS(2873),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1704] = {
    [sym_heredoc_content] = STATE(1704),
    [anon_sym_RBRACE] = ACTIONS(3138),
    [anon_sym_EQ] = ACTIONS(3140),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3138),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3138),
    [anon_sym_COMMA] = ACTIONS(3138),
    [anon_sym_RPAREN] = ACTIONS(3138),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3138),
    [anon_sym_and] = ACTIONS(3138),
    [anon_sym_or] = ACTIONS(3138),
    [anon_sym_xor] = ACTIONS(3138),
    [anon_sym_RBRACK] = ACTIONS(3138),
    [anon_sym_DASH_GT] = ACTIONS(3138),
    [anon_sym_PERCENT] = ACTIONS(3140),
    [anon_sym_GT] = ACTIONS(3140),
    [anon_sym_LT_LT] = ACTIONS(3140),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3138),
    [anon_sym_PLUS_EQ] = ACTIONS(3138),
    [anon_sym_DASH_EQ] = ACTIONS(3138),
    [anon_sym_DOT_EQ] = ACTIONS(3138),
    [anon_sym_STAR_EQ] = ACTIONS(3138),
    [anon_sym_SLASH_EQ] = ACTIONS(3138),
    [anon_sym_PERCENT_EQ] = ACTIONS(3138),
    [anon_sym_x_EQ] = ACTIONS(3138),
    [anon_sym_AMP_EQ] = ACTIONS(3138),
    [anon_sym_PIPE_EQ] = ACTIONS(3138),
    [anon_sym_CARET_EQ] = ACTIONS(3138),
    [anon_sym_LT_LT_EQ] = ACTIONS(3138),
    [anon_sym_GT_GT_EQ] = ACTIONS(3138),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3138),
    [anon_sym_DOT_DOT] = ACTIONS(3140),
    [anon_sym_STAR_STAR] = ACTIONS(3140),
    [anon_sym_PIPE_PIPE] = ACTIONS(3140),
    [anon_sym_SLASH_SLASH] = ACTIONS(3140),
    [anon_sym_CARET_CARET] = ACTIONS(3138),
    [anon_sym_AMP_AMP] = ACTIONS(3140),
    [anon_sym_PIPE] = ACTIONS(3140),
    [anon_sym_CARET] = ACTIONS(3140),
    [anon_sym_AMP] = ACTIONS(3140),
    [anon_sym_GT_GT2] = ACTIONS(3140),
    [anon_sym_PLUS] = ACTIONS(3140),
    [anon_sym_DASH] = ACTIONS(3140),
    [anon_sym_DOT] = ACTIONS(3140),
    [anon_sym_STAR] = ACTIONS(3140),
    [anon_sym_SLASH] = ACTIONS(3140),
    [anon_sym_x] = ACTIONS(3140),
    [anon_sym_EQ_TILDE] = ACTIONS(3138),
    [anon_sym_BANG_TILDE] = ACTIONS(3138),
    [anon_sym_EQ_EQ] = ACTIONS(3140),
    [anon_sym_BANG_EQ] = ACTIONS(3138),
    [anon_sym_eq] = ACTIONS(3140),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3138),
    [anon_sym_equ] = ACTIONS(3138),
    [anon_sym_eqr] = ACTIONS(3138),
    [anon_sym_ne] = ACTIONS(3138),
    [anon_sym_LT_EQ_GT] = ACTIONS(3138),
    [anon_sym_cmp] = ACTIONS(3138),
    [anon_sym_TILDE_TILDE] = ACTIONS(3138),
    [anon_sym_LT] = ACTIONS(3140),
    [anon_sym_LT_EQ] = ACTIONS(3140),
    [anon_sym_GT_EQ] = ACTIONS(3138),
    [anon_sym_lt] = ACTIONS(3138),
    [anon_sym_le] = ACTIONS(3138),
    [anon_sym_ge] = ACTIONS(3138),
    [anon_sym_gt] = ACTIONS(3138),
    [anon_sym_isa] = ACTIONS(3138),
    [anon_sym_PLUS_PLUS] = ACTIONS(3138),
    [anon_sym_DASH_DASH] = ACTIONS(3138),
    [anon_sym_QMARK] = ACTIONS(3138),
    [anon_sym_EQ_GT] = ACTIONS(3138),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1705] = {
    [sym_heredoc_content] = STATE(1705),
    [anon_sym_RBRACE] = ACTIONS(3142),
    [anon_sym_EQ] = ACTIONS(3144),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3142),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3142),
    [anon_sym_COMMA] = ACTIONS(3142),
    [anon_sym_RPAREN] = ACTIONS(3142),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3142),
    [anon_sym_and] = ACTIONS(3142),
    [anon_sym_or] = ACTIONS(3142),
    [anon_sym_xor] = ACTIONS(3142),
    [anon_sym_RBRACK] = ACTIONS(3142),
    [anon_sym_DASH_GT] = ACTIONS(3142),
    [anon_sym_PERCENT] = ACTIONS(3144),
    [anon_sym_GT] = ACTIONS(3144),
    [anon_sym_LT_LT] = ACTIONS(3144),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3142),
    [anon_sym_PLUS_EQ] = ACTIONS(3142),
    [anon_sym_DASH_EQ] = ACTIONS(3142),
    [anon_sym_DOT_EQ] = ACTIONS(3142),
    [anon_sym_STAR_EQ] = ACTIONS(3142),
    [anon_sym_SLASH_EQ] = ACTIONS(3142),
    [anon_sym_PERCENT_EQ] = ACTIONS(3142),
    [anon_sym_x_EQ] = ACTIONS(3142),
    [anon_sym_AMP_EQ] = ACTIONS(3142),
    [anon_sym_PIPE_EQ] = ACTIONS(3142),
    [anon_sym_CARET_EQ] = ACTIONS(3142),
    [anon_sym_LT_LT_EQ] = ACTIONS(3142),
    [anon_sym_GT_GT_EQ] = ACTIONS(3142),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3142),
    [anon_sym_DOT_DOT] = ACTIONS(3144),
    [anon_sym_STAR_STAR] = ACTIONS(3144),
    [anon_sym_PIPE_PIPE] = ACTIONS(3144),
    [anon_sym_SLASH_SLASH] = ACTIONS(3144),
    [anon_sym_CARET_CARET] = ACTIONS(3142),
    [anon_sym_AMP_AMP] = ACTIONS(3144),
    [anon_sym_PIPE] = ACTIONS(3144),
    [anon_sym_CARET] = ACTIONS(3144),
    [anon_sym_AMP] = ACTIONS(3144),
    [anon_sym_GT_GT2] = ACTIONS(3144),
    [anon_sym_PLUS] = ACTIONS(3144),
    [anon_sym_DASH] = ACTIONS(3144),
    [anon_sym_DOT] = ACTIONS(3144),
    [anon_sym_STAR] = ACTIONS(3144),
    [anon_sym_SLASH] = ACTIONS(3144),
    [anon_sym_x] = ACTIONS(3144),
    [anon_sym_EQ_TILDE] = ACTIONS(3142),
    [anon_sym_BANG_TILDE] = ACTIONS(3142),
    [anon_sym_EQ_EQ] = ACTIONS(3144),
    [anon_sym_BANG_EQ] = ACTIONS(3142),
    [anon_sym_eq] = ACTIONS(3144),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3142),
    [anon_sym_equ] = ACTIONS(3142),
    [anon_sym_eqr] = ACTIONS(3142),
    [anon_sym_ne] = ACTIONS(3142),
    [anon_sym_LT_EQ_GT] = ACTIONS(3142),
    [anon_sym_cmp] = ACTIONS(3142),
    [anon_sym_TILDE_TILDE] = ACTIONS(3142),
    [anon_sym_LT] = ACTIONS(3144),
    [anon_sym_LT_EQ] = ACTIONS(3144),
    [anon_sym_GT_EQ] = ACTIONS(3142),
    [anon_sym_lt] = ACTIONS(3142),
    [anon_sym_le] = ACTIONS(3142),
    [anon_sym_ge] = ACTIONS(3142),
    [anon_sym_gt] = ACTIONS(3142),
    [anon_sym_isa] = ACTIONS(3142),
    [anon_sym_PLUS_PLUS] = ACTIONS(3142),
    [anon_sym_DASH_DASH] = ACTIONS(3142),
    [anon_sym_QMARK] = ACTIONS(3142),
    [anon_sym_EQ_GT] = ACTIONS(3142),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1706] = {
    [sym_heredoc_content] = STATE(1706),
    [anon_sym_RBRACE] = ACTIONS(2829),
    [anon_sym_EQ] = ACTIONS(3449),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3451),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3451),
    [anon_sym_COMMA] = ACTIONS(2829),
    [anon_sym_RPAREN] = ACTIONS(2829),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3455),
    [anon_sym_and] = ACTIONS(2829),
    [anon_sym_or] = ACTIONS(2829),
    [anon_sym_xor] = ACTIONS(2829),
    [anon_sym_RBRACK] = ACTIONS(2829),
    [anon_sym_DASH_GT] = ACTIONS(3457),
    [anon_sym_PERCENT] = ACTIONS(3459),
    [anon_sym_GT] = ACTIONS(3461),
    [anon_sym_LT_LT] = ACTIONS(3463),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3451),
    [anon_sym_PLUS_EQ] = ACTIONS(3451),
    [anon_sym_DASH_EQ] = ACTIONS(3451),
    [anon_sym_DOT_EQ] = ACTIONS(3451),
    [anon_sym_STAR_EQ] = ACTIONS(3451),
    [anon_sym_SLASH_EQ] = ACTIONS(3451),
    [anon_sym_PERCENT_EQ] = ACTIONS(3451),
    [anon_sym_x_EQ] = ACTIONS(3451),
    [anon_sym_AMP_EQ] = ACTIONS(3451),
    [anon_sym_PIPE_EQ] = ACTIONS(3451),
    [anon_sym_CARET_EQ] = ACTIONS(3451),
    [anon_sym_LT_LT_EQ] = ACTIONS(3451),
    [anon_sym_GT_GT_EQ] = ACTIONS(3451),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3451),
    [anon_sym_DOT_DOT] = ACTIONS(3465),
    [anon_sym_STAR_STAR] = ACTIONS(3467),
    [anon_sym_PIPE_PIPE] = ACTIONS(3469),
    [anon_sym_SLASH_SLASH] = ACTIONS(3469),
    [anon_sym_CARET_CARET] = ACTIONS(3471),
    [anon_sym_AMP_AMP] = ACTIONS(3473),
    [anon_sym_PIPE] = ACTIONS(3475),
    [anon_sym_CARET] = ACTIONS(3475),
    [anon_sym_AMP] = ACTIONS(3477),
    [anon_sym_GT_GT2] = ACTIONS(3463),
    [anon_sym_PLUS] = ACTIONS(3479),
    [anon_sym_DASH] = ACTIONS(3479),
    [anon_sym_DOT] = ACTIONS(3479),
    [anon_sym_STAR] = ACTIONS(3459),
    [anon_sym_SLASH] = ACTIONS(3459),
    [anon_sym_x] = ACTIONS(3459),
    [anon_sym_EQ_TILDE] = ACTIONS(3481),
    [anon_sym_BANG_TILDE] = ACTIONS(3481),
    [anon_sym_EQ_EQ] = ACTIONS(3483),
    [anon_sym_BANG_EQ] = ACTIONS(3485),
    [anon_sym_eq] = ACTIONS(3483),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3485),
    [anon_sym_equ] = ACTIONS(3485),
    [anon_sym_eqr] = ACTIONS(3485),
    [anon_sym_ne] = ACTIONS(3485),
    [anon_sym_LT_EQ_GT] = ACTIONS(3487),
    [anon_sym_cmp] = ACTIONS(3487),
    [anon_sym_TILDE_TILDE] = ACTIONS(3487),
    [anon_sym_LT] = ACTIONS(3461),
    [anon_sym_LT_EQ] = ACTIONS(3461),
    [anon_sym_GT_EQ] = ACTIONS(3489),
    [anon_sym_lt] = ACTIONS(3489),
    [anon_sym_le] = ACTIONS(3489),
    [anon_sym_ge] = ACTIONS(3489),
    [anon_sym_gt] = ACTIONS(3489),
    [anon_sym_isa] = ACTIONS(3491),
    [anon_sym_PLUS_PLUS] = ACTIONS(3493),
    [anon_sym_DASH_DASH] = ACTIONS(3493),
    [anon_sym_QMARK] = ACTIONS(3495),
    [anon_sym_EQ_GT] = ACTIONS(2829),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1707] = {
    [sym_heredoc_content] = STATE(1707),
    [anon_sym_RBRACE] = ACTIONS(3146),
    [anon_sym_EQ] = ACTIONS(3148),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3146),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3146),
    [anon_sym_COMMA] = ACTIONS(3146),
    [anon_sym_RPAREN] = ACTIONS(3146),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3146),
    [anon_sym_and] = ACTIONS(3146),
    [anon_sym_or] = ACTIONS(3146),
    [anon_sym_xor] = ACTIONS(3146),
    [anon_sym_RBRACK] = ACTIONS(3146),
    [anon_sym_DASH_GT] = ACTIONS(3146),
    [anon_sym_PERCENT] = ACTIONS(3148),
    [anon_sym_GT] = ACTIONS(3148),
    [anon_sym_LT_LT] = ACTIONS(3148),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3146),
    [anon_sym_PLUS_EQ] = ACTIONS(3146),
    [anon_sym_DASH_EQ] = ACTIONS(3146),
    [anon_sym_DOT_EQ] = ACTIONS(3146),
    [anon_sym_STAR_EQ] = ACTIONS(3146),
    [anon_sym_SLASH_EQ] = ACTIONS(3146),
    [anon_sym_PERCENT_EQ] = ACTIONS(3146),
    [anon_sym_x_EQ] = ACTIONS(3146),
    [anon_sym_AMP_EQ] = ACTIONS(3146),
    [anon_sym_PIPE_EQ] = ACTIONS(3146),
    [anon_sym_CARET_EQ] = ACTIONS(3146),
    [anon_sym_LT_LT_EQ] = ACTIONS(3146),
    [anon_sym_GT_GT_EQ] = ACTIONS(3146),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3146),
    [anon_sym_DOT_DOT] = ACTIONS(3148),
    [anon_sym_STAR_STAR] = ACTIONS(3148),
    [anon_sym_PIPE_PIPE] = ACTIONS(3148),
    [anon_sym_SLASH_SLASH] = ACTIONS(3148),
    [anon_sym_CARET_CARET] = ACTIONS(3146),
    [anon_sym_AMP_AMP] = ACTIONS(3148),
    [anon_sym_PIPE] = ACTIONS(3148),
    [anon_sym_CARET] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3148),
    [anon_sym_GT_GT2] = ACTIONS(3148),
    [anon_sym_PLUS] = ACTIONS(3148),
    [anon_sym_DASH] = ACTIONS(3148),
    [anon_sym_DOT] = ACTIONS(3148),
    [anon_sym_STAR] = ACTIONS(3148),
    [anon_sym_SLASH] = ACTIONS(3148),
    [anon_sym_x] = ACTIONS(3148),
    [anon_sym_EQ_TILDE] = ACTIONS(3146),
    [anon_sym_BANG_TILDE] = ACTIONS(3146),
    [anon_sym_EQ_EQ] = ACTIONS(3148),
    [anon_sym_BANG_EQ] = ACTIONS(3146),
    [anon_sym_eq] = ACTIONS(3148),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3146),
    [anon_sym_equ] = ACTIONS(3146),
    [anon_sym_eqr] = ACTIONS(3146),
    [anon_sym_ne] = ACTIONS(3146),
    [anon_sym_LT_EQ_GT] = ACTIONS(3146),
    [anon_sym_cmp] = ACTIONS(3146),
    [anon_sym_TILDE_TILDE] = ACTIONS(3146),
    [anon_sym_LT] = ACTIONS(3148),
    [anon_sym_LT_EQ] = ACTIONS(3148),
    [anon_sym_GT_EQ] = ACTIONS(3146),
    [anon_sym_lt] = ACTIONS(3146),
    [anon_sym_le] = ACTIONS(3146),
    [anon_sym_ge] = ACTIONS(3146),
    [anon_sym_gt] = ACTIONS(3146),
    [anon_sym_isa] = ACTIONS(3146),
    [anon_sym_PLUS_PLUS] = ACTIONS(3146),
    [anon_sym_DASH_DASH] = ACTIONS(3146),
    [anon_sym_QMARK] = ACTIONS(3146),
    [anon_sym_EQ_GT] = ACTIONS(3146),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1708] = {
    [sym_heredoc_content] = STATE(1708),
    [anon_sym_RBRACE] = ACTIONS(3150),
    [anon_sym_EQ] = ACTIONS(3152),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3150),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3150),
    [anon_sym_COMMA] = ACTIONS(3150),
    [anon_sym_RPAREN] = ACTIONS(3150),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3150),
    [anon_sym_and] = ACTIONS(3150),
    [anon_sym_or] = ACTIONS(3150),
    [anon_sym_xor] = ACTIONS(3150),
    [anon_sym_RBRACK] = ACTIONS(3150),
    [anon_sym_DASH_GT] = ACTIONS(3150),
    [anon_sym_PERCENT] = ACTIONS(3152),
    [anon_sym_GT] = ACTIONS(3152),
    [anon_sym_LT_LT] = ACTIONS(3152),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3150),
    [anon_sym_PLUS_EQ] = ACTIONS(3150),
    [anon_sym_DASH_EQ] = ACTIONS(3150),
    [anon_sym_DOT_EQ] = ACTIONS(3150),
    [anon_sym_STAR_EQ] = ACTIONS(3150),
    [anon_sym_SLASH_EQ] = ACTIONS(3150),
    [anon_sym_PERCENT_EQ] = ACTIONS(3150),
    [anon_sym_x_EQ] = ACTIONS(3150),
    [anon_sym_AMP_EQ] = ACTIONS(3150),
    [anon_sym_PIPE_EQ] = ACTIONS(3150),
    [anon_sym_CARET_EQ] = ACTIONS(3150),
    [anon_sym_LT_LT_EQ] = ACTIONS(3150),
    [anon_sym_GT_GT_EQ] = ACTIONS(3150),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3150),
    [anon_sym_DOT_DOT] = ACTIONS(3152),
    [anon_sym_STAR_STAR] = ACTIONS(3152),
    [anon_sym_PIPE_PIPE] = ACTIONS(3152),
    [anon_sym_SLASH_SLASH] = ACTIONS(3152),
    [anon_sym_CARET_CARET] = ACTIONS(3150),
    [anon_sym_AMP_AMP] = ACTIONS(3152),
    [anon_sym_PIPE] = ACTIONS(3152),
    [anon_sym_CARET] = ACTIONS(3152),
    [anon_sym_AMP] = ACTIONS(3152),
    [anon_sym_GT_GT2] = ACTIONS(3152),
    [anon_sym_PLUS] = ACTIONS(3152),
    [anon_sym_DASH] = ACTIONS(3152),
    [anon_sym_DOT] = ACTIONS(3152),
    [anon_sym_STAR] = ACTIONS(3152),
    [anon_sym_SLASH] = ACTIONS(3152),
    [anon_sym_x] = ACTIONS(3152),
    [anon_sym_EQ_TILDE] = ACTIONS(3150),
    [anon_sym_BANG_TILDE] = ACTIONS(3150),
    [anon_sym_EQ_EQ] = ACTIONS(3152),
    [anon_sym_BANG_EQ] = ACTIONS(3150),
    [anon_sym_eq] = ACTIONS(3152),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3150),
    [anon_sym_equ] = ACTIONS(3150),
    [anon_sym_eqr] = ACTIONS(3150),
    [anon_sym_ne] = ACTIONS(3150),
    [anon_sym_LT_EQ_GT] = ACTIONS(3150),
    [anon_sym_cmp] = ACTIONS(3150),
    [anon_sym_TILDE_TILDE] = ACTIONS(3150),
    [anon_sym_LT] = ACTIONS(3152),
    [anon_sym_LT_EQ] = ACTIONS(3152),
    [anon_sym_GT_EQ] = ACTIONS(3150),
    [anon_sym_lt] = ACTIONS(3150),
    [anon_sym_le] = ACTIONS(3150),
    [anon_sym_ge] = ACTIONS(3150),
    [anon_sym_gt] = ACTIONS(3150),
    [anon_sym_isa] = ACTIONS(3150),
    [anon_sym_PLUS_PLUS] = ACTIONS(3150),
    [anon_sym_DASH_DASH] = ACTIONS(3150),
    [anon_sym_QMARK] = ACTIONS(3150),
    [anon_sym_EQ_GT] = ACTIONS(3150),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1709] = {
    [sym_heredoc_content] = STATE(1709),
    [anon_sym_LBRACE] = ACTIONS(2470),
    [anon_sym_RBRACE] = ACTIONS(2470),
    [anon_sym_COLON] = ACTIONS(2470),
    [anon_sym_EQ] = ACTIONS(2472),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2470),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2470),
    [anon_sym_COMMA] = ACTIONS(2470),
    [anon_sym_RPAREN] = ACTIONS(2470),
    [anon_sym_LPAREN] = ACTIONS(2470),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2470),
    [anon_sym_LBRACK] = ACTIONS(2470),
    [anon_sym_DASH_GT] = ACTIONS(2470),
    [anon_sym_PERCENT] = ACTIONS(2472),
    [anon_sym_GT] = ACTIONS(2472),
    [anon_sym_LT_LT] = ACTIONS(2472),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2470),
    [anon_sym_PLUS_EQ] = ACTIONS(2470),
    [anon_sym_DASH_EQ] = ACTIONS(2470),
    [anon_sym_DOT_EQ] = ACTIONS(2470),
    [anon_sym_STAR_EQ] = ACTIONS(2470),
    [anon_sym_SLASH_EQ] = ACTIONS(2470),
    [anon_sym_PERCENT_EQ] = ACTIONS(2470),
    [anon_sym_x_EQ] = ACTIONS(2470),
    [anon_sym_AMP_EQ] = ACTIONS(2470),
    [anon_sym_PIPE_EQ] = ACTIONS(2470),
    [anon_sym_CARET_EQ] = ACTIONS(2470),
    [anon_sym_LT_LT_EQ] = ACTIONS(2470),
    [anon_sym_GT_GT_EQ] = ACTIONS(2470),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2470),
    [anon_sym_DOT_DOT] = ACTIONS(2472),
    [anon_sym_STAR_STAR] = ACTIONS(2472),
    [anon_sym_PIPE_PIPE] = ACTIONS(2472),
    [anon_sym_SLASH_SLASH] = ACTIONS(2472),
    [anon_sym_CARET_CARET] = ACTIONS(2470),
    [anon_sym_AMP_AMP] = ACTIONS(2472),
    [anon_sym_PIPE] = ACTIONS(2472),
    [anon_sym_CARET] = ACTIONS(2472),
    [anon_sym_AMP] = ACTIONS(2472),
    [anon_sym_GT_GT2] = ACTIONS(2472),
    [anon_sym_PLUS] = ACTIONS(2472),
    [anon_sym_DASH] = ACTIONS(2472),
    [anon_sym_DOT] = ACTIONS(2472),
    [anon_sym_STAR] = ACTIONS(2472),
    [anon_sym_SLASH] = ACTIONS(2472),
    [anon_sym_x] = ACTIONS(2472),
    [anon_sym_EQ_TILDE] = ACTIONS(2470),
    [anon_sym_BANG_TILDE] = ACTIONS(2470),
    [anon_sym_EQ_EQ] = ACTIONS(2472),
    [anon_sym_BANG_EQ] = ACTIONS(2470),
    [anon_sym_eq] = ACTIONS(2472),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2470),
    [anon_sym_equ] = ACTIONS(2470),
    [anon_sym_eqr] = ACTIONS(2470),
    [anon_sym_ne] = ACTIONS(2470),
    [anon_sym_LT_EQ_GT] = ACTIONS(2470),
    [anon_sym_cmp] = ACTIONS(2470),
    [anon_sym_TILDE_TILDE] = ACTIONS(2470),
    [anon_sym_LT] = ACTIONS(2472),
    [anon_sym_LT_EQ] = ACTIONS(2472),
    [anon_sym_GT_EQ] = ACTIONS(2470),
    [anon_sym_lt] = ACTIONS(2470),
    [anon_sym_le] = ACTIONS(2470),
    [anon_sym_ge] = ACTIONS(2470),
    [anon_sym_gt] = ACTIONS(2470),
    [anon_sym_isa] = ACTIONS(2470),
    [anon_sym_PLUS_PLUS] = ACTIONS(2470),
    [anon_sym_DASH_DASH] = ACTIONS(2470),
    [anon_sym_QMARK] = ACTIONS(2470),
    [anon_sym_EQ_GT] = ACTIONS(2470),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1710] = {
    [sym_heredoc_content] = STATE(1710),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_EQ] = ACTIONS(3156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3154),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3154),
    [anon_sym_COMMA] = ACTIONS(3154),
    [anon_sym_RPAREN] = ACTIONS(3154),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3154),
    [anon_sym_and] = ACTIONS(3154),
    [anon_sym_or] = ACTIONS(3154),
    [anon_sym_xor] = ACTIONS(3154),
    [anon_sym_RBRACK] = ACTIONS(3154),
    [anon_sym_DASH_GT] = ACTIONS(3154),
    [anon_sym_PERCENT] = ACTIONS(3156),
    [anon_sym_GT] = ACTIONS(3156),
    [anon_sym_LT_LT] = ACTIONS(3156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3154),
    [anon_sym_PLUS_EQ] = ACTIONS(3154),
    [anon_sym_DASH_EQ] = ACTIONS(3154),
    [anon_sym_DOT_EQ] = ACTIONS(3154),
    [anon_sym_STAR_EQ] = ACTIONS(3154),
    [anon_sym_SLASH_EQ] = ACTIONS(3154),
    [anon_sym_PERCENT_EQ] = ACTIONS(3154),
    [anon_sym_x_EQ] = ACTIONS(3154),
    [anon_sym_AMP_EQ] = ACTIONS(3154),
    [anon_sym_PIPE_EQ] = ACTIONS(3154),
    [anon_sym_CARET_EQ] = ACTIONS(3154),
    [anon_sym_LT_LT_EQ] = ACTIONS(3154),
    [anon_sym_GT_GT_EQ] = ACTIONS(3154),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3154),
    [anon_sym_DOT_DOT] = ACTIONS(3156),
    [anon_sym_STAR_STAR] = ACTIONS(3156),
    [anon_sym_PIPE_PIPE] = ACTIONS(3156),
    [anon_sym_SLASH_SLASH] = ACTIONS(3156),
    [anon_sym_CARET_CARET] = ACTIONS(3154),
    [anon_sym_AMP_AMP] = ACTIONS(3156),
    [anon_sym_PIPE] = ACTIONS(3156),
    [anon_sym_CARET] = ACTIONS(3156),
    [anon_sym_AMP] = ACTIONS(3156),
    [anon_sym_GT_GT2] = ACTIONS(3156),
    [anon_sym_PLUS] = ACTIONS(3156),
    [anon_sym_DASH] = ACTIONS(3156),
    [anon_sym_DOT] = ACTIONS(3156),
    [anon_sym_STAR] = ACTIONS(3156),
    [anon_sym_SLASH] = ACTIONS(3156),
    [anon_sym_x] = ACTIONS(3156),
    [anon_sym_EQ_TILDE] = ACTIONS(3154),
    [anon_sym_BANG_TILDE] = ACTIONS(3154),
    [anon_sym_EQ_EQ] = ACTIONS(3156),
    [anon_sym_BANG_EQ] = ACTIONS(3154),
    [anon_sym_eq] = ACTIONS(3156),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3154),
    [anon_sym_equ] = ACTIONS(3154),
    [anon_sym_eqr] = ACTIONS(3154),
    [anon_sym_ne] = ACTIONS(3154),
    [anon_sym_LT_EQ_GT] = ACTIONS(3154),
    [anon_sym_cmp] = ACTIONS(3154),
    [anon_sym_TILDE_TILDE] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3156),
    [anon_sym_LT_EQ] = ACTIONS(3156),
    [anon_sym_GT_EQ] = ACTIONS(3154),
    [anon_sym_lt] = ACTIONS(3154),
    [anon_sym_le] = ACTIONS(3154),
    [anon_sym_ge] = ACTIONS(3154),
    [anon_sym_gt] = ACTIONS(3154),
    [anon_sym_isa] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [anon_sym_QMARK] = ACTIONS(3154),
    [anon_sym_EQ_GT] = ACTIONS(3154),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1711] = {
    [sym_heredoc_content] = STATE(1711),
    [anon_sym_LBRACE] = ACTIONS(2466),
    [anon_sym_RBRACE] = ACTIONS(2466),
    [anon_sym_COLON] = ACTIONS(2466),
    [anon_sym_EQ] = ACTIONS(2468),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2466),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2466),
    [anon_sym_COMMA] = ACTIONS(2466),
    [anon_sym_RPAREN] = ACTIONS(2466),
    [anon_sym_LPAREN] = ACTIONS(2466),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2466),
    [anon_sym_LBRACK] = ACTIONS(2466),
    [anon_sym_DASH_GT] = ACTIONS(2466),
    [anon_sym_PERCENT] = ACTIONS(2468),
    [anon_sym_GT] = ACTIONS(2468),
    [anon_sym_LT_LT] = ACTIONS(2468),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2466),
    [anon_sym_PLUS_EQ] = ACTIONS(2466),
    [anon_sym_DASH_EQ] = ACTIONS(2466),
    [anon_sym_DOT_EQ] = ACTIONS(2466),
    [anon_sym_STAR_EQ] = ACTIONS(2466),
    [anon_sym_SLASH_EQ] = ACTIONS(2466),
    [anon_sym_PERCENT_EQ] = ACTIONS(2466),
    [anon_sym_x_EQ] = ACTIONS(2466),
    [anon_sym_AMP_EQ] = ACTIONS(2466),
    [anon_sym_PIPE_EQ] = ACTIONS(2466),
    [anon_sym_CARET_EQ] = ACTIONS(2466),
    [anon_sym_LT_LT_EQ] = ACTIONS(2466),
    [anon_sym_GT_GT_EQ] = ACTIONS(2466),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2466),
    [anon_sym_DOT_DOT] = ACTIONS(2468),
    [anon_sym_STAR_STAR] = ACTIONS(2468),
    [anon_sym_PIPE_PIPE] = ACTIONS(2468),
    [anon_sym_SLASH_SLASH] = ACTIONS(2468),
    [anon_sym_CARET_CARET] = ACTIONS(2466),
    [anon_sym_AMP_AMP] = ACTIONS(2468),
    [anon_sym_PIPE] = ACTIONS(2468),
    [anon_sym_CARET] = ACTIONS(2468),
    [anon_sym_AMP] = ACTIONS(2468),
    [anon_sym_GT_GT2] = ACTIONS(2468),
    [anon_sym_PLUS] = ACTIONS(2468),
    [anon_sym_DASH] = ACTIONS(2468),
    [anon_sym_DOT] = ACTIONS(2468),
    [anon_sym_STAR] = ACTIONS(2468),
    [anon_sym_SLASH] = ACTIONS(2468),
    [anon_sym_x] = ACTIONS(2468),
    [anon_sym_EQ_TILDE] = ACTIONS(2466),
    [anon_sym_BANG_TILDE] = ACTIONS(2466),
    [anon_sym_EQ_EQ] = ACTIONS(2468),
    [anon_sym_BANG_EQ] = ACTIONS(2466),
    [anon_sym_eq] = ACTIONS(2468),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2466),
    [anon_sym_equ] = ACTIONS(2466),
    [anon_sym_eqr] = ACTIONS(2466),
    [anon_sym_ne] = ACTIONS(2466),
    [anon_sym_LT_EQ_GT] = ACTIONS(2466),
    [anon_sym_cmp] = ACTIONS(2466),
    [anon_sym_TILDE_TILDE] = ACTIONS(2466),
    [anon_sym_LT] = ACTIONS(2468),
    [anon_sym_LT_EQ] = ACTIONS(2468),
    [anon_sym_GT_EQ] = ACTIONS(2466),
    [anon_sym_lt] = ACTIONS(2466),
    [anon_sym_le] = ACTIONS(2466),
    [anon_sym_ge] = ACTIONS(2466),
    [anon_sym_gt] = ACTIONS(2466),
    [anon_sym_isa] = ACTIONS(2466),
    [anon_sym_PLUS_PLUS] = ACTIONS(2466),
    [anon_sym_DASH_DASH] = ACTIONS(2466),
    [anon_sym_QMARK] = ACTIONS(2466),
    [anon_sym_EQ_GT] = ACTIONS(2466),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1712] = {
    [sym_heredoc_content] = STATE(1712),
    [anon_sym_RBRACE] = ACTIONS(2955),
    [anon_sym_EQ] = ACTIONS(2957),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2955),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2955),
    [anon_sym_COMMA] = ACTIONS(2955),
    [anon_sym_RPAREN] = ACTIONS(2955),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2955),
    [anon_sym_and] = ACTIONS(2955),
    [anon_sym_or] = ACTIONS(2955),
    [anon_sym_xor] = ACTIONS(2955),
    [anon_sym_RBRACK] = ACTIONS(2955),
    [anon_sym_DASH_GT] = ACTIONS(2955),
    [anon_sym_PERCENT] = ACTIONS(2957),
    [anon_sym_GT] = ACTIONS(2957),
    [anon_sym_LT_LT] = ACTIONS(2957),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2955),
    [anon_sym_PLUS_EQ] = ACTIONS(2955),
    [anon_sym_DASH_EQ] = ACTIONS(2955),
    [anon_sym_DOT_EQ] = ACTIONS(2955),
    [anon_sym_STAR_EQ] = ACTIONS(2955),
    [anon_sym_SLASH_EQ] = ACTIONS(2955),
    [anon_sym_PERCENT_EQ] = ACTIONS(2955),
    [anon_sym_x_EQ] = ACTIONS(2955),
    [anon_sym_AMP_EQ] = ACTIONS(2955),
    [anon_sym_PIPE_EQ] = ACTIONS(2955),
    [anon_sym_CARET_EQ] = ACTIONS(2955),
    [anon_sym_LT_LT_EQ] = ACTIONS(2955),
    [anon_sym_GT_GT_EQ] = ACTIONS(2955),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2955),
    [anon_sym_DOT_DOT] = ACTIONS(2957),
    [anon_sym_STAR_STAR] = ACTIONS(2957),
    [anon_sym_PIPE_PIPE] = ACTIONS(2957),
    [anon_sym_SLASH_SLASH] = ACTIONS(2957),
    [anon_sym_CARET_CARET] = ACTIONS(2955),
    [anon_sym_AMP_AMP] = ACTIONS(2957),
    [anon_sym_PIPE] = ACTIONS(2957),
    [anon_sym_CARET] = ACTIONS(2957),
    [anon_sym_AMP] = ACTIONS(2957),
    [anon_sym_GT_GT2] = ACTIONS(2957),
    [anon_sym_PLUS] = ACTIONS(2957),
    [anon_sym_DASH] = ACTIONS(2957),
    [anon_sym_DOT] = ACTIONS(2957),
    [anon_sym_STAR] = ACTIONS(2957),
    [anon_sym_SLASH] = ACTIONS(2957),
    [anon_sym_x] = ACTIONS(2957),
    [anon_sym_EQ_TILDE] = ACTIONS(2955),
    [anon_sym_BANG_TILDE] = ACTIONS(2955),
    [anon_sym_EQ_EQ] = ACTIONS(2957),
    [anon_sym_BANG_EQ] = ACTIONS(2955),
    [anon_sym_eq] = ACTIONS(2957),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2955),
    [anon_sym_equ] = ACTIONS(2955),
    [anon_sym_eqr] = ACTIONS(2955),
    [anon_sym_ne] = ACTIONS(2955),
    [anon_sym_LT_EQ_GT] = ACTIONS(2955),
    [anon_sym_cmp] = ACTIONS(2955),
    [anon_sym_TILDE_TILDE] = ACTIONS(2955),
    [anon_sym_LT] = ACTIONS(2957),
    [anon_sym_LT_EQ] = ACTIONS(2957),
    [anon_sym_GT_EQ] = ACTIONS(2955),
    [anon_sym_lt] = ACTIONS(2955),
    [anon_sym_le] = ACTIONS(2955),
    [anon_sym_ge] = ACTIONS(2955),
    [anon_sym_gt] = ACTIONS(2955),
    [anon_sym_isa] = ACTIONS(2955),
    [anon_sym_PLUS_PLUS] = ACTIONS(2955),
    [anon_sym_DASH_DASH] = ACTIONS(2955),
    [anon_sym_QMARK] = ACTIONS(2955),
    [anon_sym_EQ_GT] = ACTIONS(2955),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1713] = {
    [sym_heredoc_content] = STATE(1713),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(1659),
    [anon_sym_COLON] = ACTIONS(1659),
    [anon_sym_EQ] = ACTIONS(1661),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1659),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1659),
    [anon_sym_COMMA] = ACTIONS(1659),
    [anon_sym_RPAREN] = ACTIONS(1659),
    [anon_sym_LPAREN] = ACTIONS(1659),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1659),
    [anon_sym_LBRACK] = ACTIONS(1659),
    [anon_sym_DASH_GT] = ACTIONS(1659),
    [anon_sym_PERCENT] = ACTIONS(1661),
    [anon_sym_GT] = ACTIONS(1661),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1659),
    [anon_sym_PLUS_EQ] = ACTIONS(1659),
    [anon_sym_DASH_EQ] = ACTIONS(1659),
    [anon_sym_DOT_EQ] = ACTIONS(1659),
    [anon_sym_STAR_EQ] = ACTIONS(1659),
    [anon_sym_SLASH_EQ] = ACTIONS(1659),
    [anon_sym_PERCENT_EQ] = ACTIONS(1659),
    [anon_sym_x_EQ] = ACTIONS(1659),
    [anon_sym_AMP_EQ] = ACTIONS(1659),
    [anon_sym_PIPE_EQ] = ACTIONS(1659),
    [anon_sym_CARET_EQ] = ACTIONS(1659),
    [anon_sym_LT_LT_EQ] = ACTIONS(1659),
    [anon_sym_GT_GT_EQ] = ACTIONS(1659),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1659),
    [anon_sym_DOT_DOT] = ACTIONS(1661),
    [anon_sym_STAR_STAR] = ACTIONS(1661),
    [anon_sym_PIPE_PIPE] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1661),
    [anon_sym_CARET_CARET] = ACTIONS(1659),
    [anon_sym_AMP_AMP] = ACTIONS(1661),
    [anon_sym_PIPE] = ACTIONS(1661),
    [anon_sym_CARET] = ACTIONS(1661),
    [anon_sym_AMP] = ACTIONS(1661),
    [anon_sym_GT_GT2] = ACTIONS(1661),
    [anon_sym_PLUS] = ACTIONS(1661),
    [anon_sym_DASH] = ACTIONS(1661),
    [anon_sym_DOT] = ACTIONS(1661),
    [anon_sym_STAR] = ACTIONS(1661),
    [anon_sym_SLASH] = ACTIONS(1661),
    [anon_sym_x] = ACTIONS(1661),
    [anon_sym_EQ_TILDE] = ACTIONS(1659),
    [anon_sym_BANG_TILDE] = ACTIONS(1659),
    [anon_sym_EQ_EQ] = ACTIONS(1661),
    [anon_sym_BANG_EQ] = ACTIONS(1659),
    [anon_sym_eq] = ACTIONS(1661),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1659),
    [anon_sym_equ] = ACTIONS(1659),
    [anon_sym_eqr] = ACTIONS(1659),
    [anon_sym_ne] = ACTIONS(1659),
    [anon_sym_LT_EQ_GT] = ACTIONS(1659),
    [anon_sym_cmp] = ACTIONS(1659),
    [anon_sym_TILDE_TILDE] = ACTIONS(1659),
    [anon_sym_LT] = ACTIONS(1661),
    [anon_sym_LT_EQ] = ACTIONS(1661),
    [anon_sym_GT_EQ] = ACTIONS(1659),
    [anon_sym_lt] = ACTIONS(1659),
    [anon_sym_le] = ACTIONS(1659),
    [anon_sym_ge] = ACTIONS(1659),
    [anon_sym_gt] = ACTIONS(1659),
    [anon_sym_isa] = ACTIONS(1659),
    [anon_sym_PLUS_PLUS] = ACTIONS(1659),
    [anon_sym_DASH_DASH] = ACTIONS(1659),
    [anon_sym_QMARK] = ACTIONS(1659),
    [anon_sym_EQ_GT] = ACTIONS(1659),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1714] = {
    [sym_heredoc_content] = STATE(1714),
    [anon_sym_RBRACE] = ACTIONS(3158),
    [anon_sym_EQ] = ACTIONS(3160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3158),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3158),
    [anon_sym_COMMA] = ACTIONS(3158),
    [anon_sym_RPAREN] = ACTIONS(3158),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3158),
    [anon_sym_and] = ACTIONS(3158),
    [anon_sym_or] = ACTIONS(3158),
    [anon_sym_xor] = ACTIONS(3158),
    [anon_sym_RBRACK] = ACTIONS(3158),
    [anon_sym_DASH_GT] = ACTIONS(3158),
    [anon_sym_PERCENT] = ACTIONS(3160),
    [anon_sym_GT] = ACTIONS(3160),
    [anon_sym_LT_LT] = ACTIONS(3160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3158),
    [anon_sym_PLUS_EQ] = ACTIONS(3158),
    [anon_sym_DASH_EQ] = ACTIONS(3158),
    [anon_sym_DOT_EQ] = ACTIONS(3158),
    [anon_sym_STAR_EQ] = ACTIONS(3158),
    [anon_sym_SLASH_EQ] = ACTIONS(3158),
    [anon_sym_PERCENT_EQ] = ACTIONS(3158),
    [anon_sym_x_EQ] = ACTIONS(3158),
    [anon_sym_AMP_EQ] = ACTIONS(3158),
    [anon_sym_PIPE_EQ] = ACTIONS(3158),
    [anon_sym_CARET_EQ] = ACTIONS(3158),
    [anon_sym_LT_LT_EQ] = ACTIONS(3158),
    [anon_sym_GT_GT_EQ] = ACTIONS(3158),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3158),
    [anon_sym_DOT_DOT] = ACTIONS(3160),
    [anon_sym_STAR_STAR] = ACTIONS(3160),
    [anon_sym_PIPE_PIPE] = ACTIONS(3160),
    [anon_sym_SLASH_SLASH] = ACTIONS(3160),
    [anon_sym_CARET_CARET] = ACTIONS(3158),
    [anon_sym_AMP_AMP] = ACTIONS(3160),
    [anon_sym_PIPE] = ACTIONS(3160),
    [anon_sym_CARET] = ACTIONS(3160),
    [anon_sym_AMP] = ACTIONS(3160),
    [anon_sym_GT_GT2] = ACTIONS(3160),
    [anon_sym_PLUS] = ACTIONS(3160),
    [anon_sym_DASH] = ACTIONS(3160),
    [anon_sym_DOT] = ACTIONS(3160),
    [anon_sym_STAR] = ACTIONS(3160),
    [anon_sym_SLASH] = ACTIONS(3160),
    [anon_sym_x] = ACTIONS(3160),
    [anon_sym_EQ_TILDE] = ACTIONS(3158),
    [anon_sym_BANG_TILDE] = ACTIONS(3158),
    [anon_sym_EQ_EQ] = ACTIONS(3160),
    [anon_sym_BANG_EQ] = ACTIONS(3158),
    [anon_sym_eq] = ACTIONS(3160),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3158),
    [anon_sym_equ] = ACTIONS(3158),
    [anon_sym_eqr] = ACTIONS(3158),
    [anon_sym_ne] = ACTIONS(3158),
    [anon_sym_LT_EQ_GT] = ACTIONS(3158),
    [anon_sym_cmp] = ACTIONS(3158),
    [anon_sym_TILDE_TILDE] = ACTIONS(3158),
    [anon_sym_LT] = ACTIONS(3160),
    [anon_sym_LT_EQ] = ACTIONS(3160),
    [anon_sym_GT_EQ] = ACTIONS(3158),
    [anon_sym_lt] = ACTIONS(3158),
    [anon_sym_le] = ACTIONS(3158),
    [anon_sym_ge] = ACTIONS(3158),
    [anon_sym_gt] = ACTIONS(3158),
    [anon_sym_isa] = ACTIONS(3158),
    [anon_sym_PLUS_PLUS] = ACTIONS(3158),
    [anon_sym_DASH_DASH] = ACTIONS(3158),
    [anon_sym_QMARK] = ACTIONS(3158),
    [anon_sym_EQ_GT] = ACTIONS(3158),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1715] = {
    [sym_heredoc_content] = STATE(1715),
    [anon_sym_RBRACE] = ACTIONS(3019),
    [anon_sym_EQ] = ACTIONS(3021),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_COMMA] = ACTIONS(3019),
    [anon_sym_RPAREN] = ACTIONS(3019),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3019),
    [anon_sym_and] = ACTIONS(3019),
    [anon_sym_or] = ACTIONS(3019),
    [anon_sym_xor] = ACTIONS(3019),
    [anon_sym_RBRACK] = ACTIONS(3019),
    [anon_sym_DASH_GT] = ACTIONS(3457),
    [anon_sym_PERCENT] = ACTIONS(3459),
    [anon_sym_GT] = ACTIONS(3461),
    [anon_sym_LT_LT] = ACTIONS(3463),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3019),
    [anon_sym_PLUS_EQ] = ACTIONS(3019),
    [anon_sym_DASH_EQ] = ACTIONS(3019),
    [anon_sym_DOT_EQ] = ACTIONS(3019),
    [anon_sym_STAR_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_PERCENT_EQ] = ACTIONS(3019),
    [anon_sym_x_EQ] = ACTIONS(3019),
    [anon_sym_AMP_EQ] = ACTIONS(3019),
    [anon_sym_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_CARET_EQ] = ACTIONS(3019),
    [anon_sym_LT_LT_EQ] = ACTIONS(3019),
    [anon_sym_GT_GT_EQ] = ACTIONS(3019),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3019),
    [anon_sym_DOT_DOT] = ACTIONS(3021),
    [anon_sym_STAR_STAR] = ACTIONS(3467),
    [anon_sym_PIPE_PIPE] = ACTIONS(3021),
    [anon_sym_SLASH_SLASH] = ACTIONS(3021),
    [anon_sym_CARET_CARET] = ACTIONS(3019),
    [anon_sym_AMP_AMP] = ACTIONS(3021),
    [anon_sym_PIPE] = ACTIONS(3475),
    [anon_sym_CARET] = ACTIONS(3475),
    [anon_sym_AMP] = ACTIONS(3477),
    [anon_sym_GT_GT2] = ACTIONS(3463),
    [anon_sym_PLUS] = ACTIONS(3479),
    [anon_sym_DASH] = ACTIONS(3479),
    [anon_sym_DOT] = ACTIONS(3479),
    [anon_sym_STAR] = ACTIONS(3459),
    [anon_sym_SLASH] = ACTIONS(3459),
    [anon_sym_x] = ACTIONS(3459),
    [anon_sym_EQ_TILDE] = ACTIONS(3481),
    [anon_sym_BANG_TILDE] = ACTIONS(3481),
    [anon_sym_EQ_EQ] = ACTIONS(3483),
    [anon_sym_BANG_EQ] = ACTIONS(3485),
    [anon_sym_eq] = ACTIONS(3483),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3485),
    [anon_sym_equ] = ACTIONS(3485),
    [anon_sym_eqr] = ACTIONS(3485),
    [anon_sym_ne] = ACTIONS(3485),
    [anon_sym_LT_EQ_GT] = ACTIONS(3487),
    [anon_sym_cmp] = ACTIONS(3487),
    [anon_sym_TILDE_TILDE] = ACTIONS(3487),
    [anon_sym_LT] = ACTIONS(3461),
    [anon_sym_LT_EQ] = ACTIONS(3461),
    [anon_sym_GT_EQ] = ACTIONS(3489),
    [anon_sym_lt] = ACTIONS(3489),
    [anon_sym_le] = ACTIONS(3489),
    [anon_sym_ge] = ACTIONS(3489),
    [anon_sym_gt] = ACTIONS(3489),
    [anon_sym_isa] = ACTIONS(3491),
    [anon_sym_PLUS_PLUS] = ACTIONS(3493),
    [anon_sym_DASH_DASH] = ACTIONS(3493),
    [anon_sym_QMARK] = ACTIONS(3019),
    [anon_sym_EQ_GT] = ACTIONS(3019),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1716] = {
    [sym_heredoc_content] = STATE(1716),
    [anon_sym_RBRACE] = ACTIONS(3019),
    [anon_sym_EQ] = ACTIONS(3021),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_COMMA] = ACTIONS(3019),
    [anon_sym_RPAREN] = ACTIONS(3019),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3019),
    [anon_sym_and] = ACTIONS(3019),
    [anon_sym_or] = ACTIONS(3019),
    [anon_sym_xor] = ACTIONS(3019),
    [anon_sym_RBRACK] = ACTIONS(3019),
    [anon_sym_DASH_GT] = ACTIONS(3457),
    [anon_sym_PERCENT] = ACTIONS(3459),
    [anon_sym_GT] = ACTIONS(3461),
    [anon_sym_LT_LT] = ACTIONS(3463),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3019),
    [anon_sym_PLUS_EQ] = ACTIONS(3019),
    [anon_sym_DASH_EQ] = ACTIONS(3019),
    [anon_sym_DOT_EQ] = ACTIONS(3019),
    [anon_sym_STAR_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_PERCENT_EQ] = ACTIONS(3019),
    [anon_sym_x_EQ] = ACTIONS(3019),
    [anon_sym_AMP_EQ] = ACTIONS(3019),
    [anon_sym_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_CARET_EQ] = ACTIONS(3019),
    [anon_sym_LT_LT_EQ] = ACTIONS(3019),
    [anon_sym_GT_GT_EQ] = ACTIONS(3019),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3019),
    [anon_sym_DOT_DOT] = ACTIONS(3021),
    [anon_sym_STAR_STAR] = ACTIONS(3467),
    [anon_sym_PIPE_PIPE] = ACTIONS(3021),
    [anon_sym_SLASH_SLASH] = ACTIONS(3021),
    [anon_sym_CARET_CARET] = ACTIONS(3019),
    [anon_sym_AMP_AMP] = ACTIONS(3021),
    [anon_sym_PIPE] = ACTIONS(3021),
    [anon_sym_CARET] = ACTIONS(3021),
    [anon_sym_AMP] = ACTIONS(3477),
    [anon_sym_GT_GT2] = ACTIONS(3463),
    [anon_sym_PLUS] = ACTIONS(3479),
    [anon_sym_DASH] = ACTIONS(3479),
    [anon_sym_DOT] = ACTIONS(3479),
    [anon_sym_STAR] = ACTIONS(3459),
    [anon_sym_SLASH] = ACTIONS(3459),
    [anon_sym_x] = ACTIONS(3459),
    [anon_sym_EQ_TILDE] = ACTIONS(3481),
    [anon_sym_BANG_TILDE] = ACTIONS(3481),
    [anon_sym_EQ_EQ] = ACTIONS(3483),
    [anon_sym_BANG_EQ] = ACTIONS(3485),
    [anon_sym_eq] = ACTIONS(3483),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3485),
    [anon_sym_equ] = ACTIONS(3485),
    [anon_sym_eqr] = ACTIONS(3485),
    [anon_sym_ne] = ACTIONS(3485),
    [anon_sym_LT_EQ_GT] = ACTIONS(3487),
    [anon_sym_cmp] = ACTIONS(3487),
    [anon_sym_TILDE_TILDE] = ACTIONS(3487),
    [anon_sym_LT] = ACTIONS(3461),
    [anon_sym_LT_EQ] = ACTIONS(3461),
    [anon_sym_GT_EQ] = ACTIONS(3489),
    [anon_sym_lt] = ACTIONS(3489),
    [anon_sym_le] = ACTIONS(3489),
    [anon_sym_ge] = ACTIONS(3489),
    [anon_sym_gt] = ACTIONS(3489),
    [anon_sym_isa] = ACTIONS(3491),
    [anon_sym_PLUS_PLUS] = ACTIONS(3493),
    [anon_sym_DASH_DASH] = ACTIONS(3493),
    [anon_sym_QMARK] = ACTIONS(3019),
    [anon_sym_EQ_GT] = ACTIONS(3019),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1717] = {
    [sym_heredoc_content] = STATE(1717),
    [anon_sym_RBRACE] = ACTIONS(3274),
    [anon_sym_EQ] = ACTIONS(3276),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3274),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3274),
    [anon_sym_COMMA] = ACTIONS(3274),
    [anon_sym_RPAREN] = ACTIONS(3274),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3274),
    [anon_sym_and] = ACTIONS(3274),
    [anon_sym_or] = ACTIONS(3274),
    [anon_sym_xor] = ACTIONS(3274),
    [anon_sym_RBRACK] = ACTIONS(3274),
    [anon_sym_DASH_GT] = ACTIONS(3274),
    [anon_sym_PERCENT] = ACTIONS(3276),
    [anon_sym_GT] = ACTIONS(3276),
    [anon_sym_LT_LT] = ACTIONS(3276),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3274),
    [anon_sym_PLUS_EQ] = ACTIONS(3274),
    [anon_sym_DASH_EQ] = ACTIONS(3274),
    [anon_sym_DOT_EQ] = ACTIONS(3274),
    [anon_sym_STAR_EQ] = ACTIONS(3274),
    [anon_sym_SLASH_EQ] = ACTIONS(3274),
    [anon_sym_PERCENT_EQ] = ACTIONS(3274),
    [anon_sym_x_EQ] = ACTIONS(3274),
    [anon_sym_AMP_EQ] = ACTIONS(3274),
    [anon_sym_PIPE_EQ] = ACTIONS(3274),
    [anon_sym_CARET_EQ] = ACTIONS(3274),
    [anon_sym_LT_LT_EQ] = ACTIONS(3274),
    [anon_sym_GT_GT_EQ] = ACTIONS(3274),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3274),
    [anon_sym_DOT_DOT] = ACTIONS(3276),
    [anon_sym_STAR_STAR] = ACTIONS(3276),
    [anon_sym_PIPE_PIPE] = ACTIONS(3276),
    [anon_sym_SLASH_SLASH] = ACTIONS(3276),
    [anon_sym_CARET_CARET] = ACTIONS(3274),
    [anon_sym_AMP_AMP] = ACTIONS(3276),
    [anon_sym_PIPE] = ACTIONS(3276),
    [anon_sym_CARET] = ACTIONS(3276),
    [anon_sym_AMP] = ACTIONS(3276),
    [anon_sym_GT_GT2] = ACTIONS(3276),
    [anon_sym_PLUS] = ACTIONS(3276),
    [anon_sym_DASH] = ACTIONS(3276),
    [anon_sym_DOT] = ACTIONS(3276),
    [anon_sym_STAR] = ACTIONS(3276),
    [anon_sym_SLASH] = ACTIONS(3276),
    [anon_sym_x] = ACTIONS(3276),
    [anon_sym_EQ_TILDE] = ACTIONS(3274),
    [anon_sym_BANG_TILDE] = ACTIONS(3274),
    [anon_sym_EQ_EQ] = ACTIONS(3276),
    [anon_sym_BANG_EQ] = ACTIONS(3274),
    [anon_sym_eq] = ACTIONS(3276),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3274),
    [anon_sym_equ] = ACTIONS(3274),
    [anon_sym_eqr] = ACTIONS(3274),
    [anon_sym_ne] = ACTIONS(3274),
    [anon_sym_LT_EQ_GT] = ACTIONS(3274),
    [anon_sym_cmp] = ACTIONS(3274),
    [anon_sym_TILDE_TILDE] = ACTIONS(3274),
    [anon_sym_LT] = ACTIONS(3276),
    [anon_sym_LT_EQ] = ACTIONS(3276),
    [anon_sym_GT_EQ] = ACTIONS(3274),
    [anon_sym_lt] = ACTIONS(3274),
    [anon_sym_le] = ACTIONS(3274),
    [anon_sym_ge] = ACTIONS(3274),
    [anon_sym_gt] = ACTIONS(3274),
    [anon_sym_isa] = ACTIONS(3274),
    [anon_sym_PLUS_PLUS] = ACTIONS(3274),
    [anon_sym_DASH_DASH] = ACTIONS(3274),
    [anon_sym_QMARK] = ACTIONS(3274),
    [anon_sym_EQ_GT] = ACTIONS(3274),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1718] = {
    [sym_heredoc_content] = STATE(1718),
    [anon_sym_RBRACE] = ACTIONS(3019),
    [anon_sym_EQ] = ACTIONS(3021),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_COMMA] = ACTIONS(3019),
    [anon_sym_RPAREN] = ACTIONS(3019),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3019),
    [anon_sym_and] = ACTIONS(3019),
    [anon_sym_or] = ACTIONS(3019),
    [anon_sym_xor] = ACTIONS(3019),
    [anon_sym_RBRACK] = ACTIONS(3019),
    [anon_sym_DASH_GT] = ACTIONS(3457),
    [anon_sym_PERCENT] = ACTIONS(3459),
    [anon_sym_GT] = ACTIONS(3461),
    [anon_sym_LT_LT] = ACTIONS(3463),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3019),
    [anon_sym_PLUS_EQ] = ACTIONS(3019),
    [anon_sym_DASH_EQ] = ACTIONS(3019),
    [anon_sym_DOT_EQ] = ACTIONS(3019),
    [anon_sym_STAR_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_PERCENT_EQ] = ACTIONS(3019),
    [anon_sym_x_EQ] = ACTIONS(3019),
    [anon_sym_AMP_EQ] = ACTIONS(3019),
    [anon_sym_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_CARET_EQ] = ACTIONS(3019),
    [anon_sym_LT_LT_EQ] = ACTIONS(3019),
    [anon_sym_GT_GT_EQ] = ACTIONS(3019),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3019),
    [anon_sym_DOT_DOT] = ACTIONS(3021),
    [anon_sym_STAR_STAR] = ACTIONS(3467),
    [anon_sym_PIPE_PIPE] = ACTIONS(3021),
    [anon_sym_SLASH_SLASH] = ACTIONS(3021),
    [anon_sym_CARET_CARET] = ACTIONS(3019),
    [anon_sym_AMP_AMP] = ACTIONS(3021),
    [anon_sym_PIPE] = ACTIONS(3021),
    [anon_sym_CARET] = ACTIONS(3021),
    [anon_sym_AMP] = ACTIONS(3021),
    [anon_sym_GT_GT2] = ACTIONS(3463),
    [anon_sym_PLUS] = ACTIONS(3479),
    [anon_sym_DASH] = ACTIONS(3479),
    [anon_sym_DOT] = ACTIONS(3479),
    [anon_sym_STAR] = ACTIONS(3459),
    [anon_sym_SLASH] = ACTIONS(3459),
    [anon_sym_x] = ACTIONS(3459),
    [anon_sym_EQ_TILDE] = ACTIONS(3481),
    [anon_sym_BANG_TILDE] = ACTIONS(3481),
    [anon_sym_EQ_EQ] = ACTIONS(3483),
    [anon_sym_BANG_EQ] = ACTIONS(3485),
    [anon_sym_eq] = ACTIONS(3483),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3485),
    [anon_sym_equ] = ACTIONS(3485),
    [anon_sym_eqr] = ACTIONS(3485),
    [anon_sym_ne] = ACTIONS(3485),
    [anon_sym_LT_EQ_GT] = ACTIONS(3487),
    [anon_sym_cmp] = ACTIONS(3487),
    [anon_sym_TILDE_TILDE] = ACTIONS(3487),
    [anon_sym_LT] = ACTIONS(3461),
    [anon_sym_LT_EQ] = ACTIONS(3461),
    [anon_sym_GT_EQ] = ACTIONS(3489),
    [anon_sym_lt] = ACTIONS(3489),
    [anon_sym_le] = ACTIONS(3489),
    [anon_sym_ge] = ACTIONS(3489),
    [anon_sym_gt] = ACTIONS(3489),
    [anon_sym_isa] = ACTIONS(3491),
    [anon_sym_PLUS_PLUS] = ACTIONS(3493),
    [anon_sym_DASH_DASH] = ACTIONS(3493),
    [anon_sym_QMARK] = ACTIONS(3019),
    [anon_sym_EQ_GT] = ACTIONS(3019),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1719] = {
    [sym_heredoc_content] = STATE(1719),
    [anon_sym_LBRACE] = ACTIONS(2474),
    [anon_sym_RBRACE] = ACTIONS(2474),
    [anon_sym_COLON] = ACTIONS(2474),
    [anon_sym_EQ] = ACTIONS(2476),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2474),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2474),
    [anon_sym_COMMA] = ACTIONS(2474),
    [anon_sym_RPAREN] = ACTIONS(2474),
    [anon_sym_LPAREN] = ACTIONS(2474),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2474),
    [anon_sym_LBRACK] = ACTIONS(2474),
    [anon_sym_DASH_GT] = ACTIONS(2474),
    [anon_sym_PERCENT] = ACTIONS(2476),
    [anon_sym_GT] = ACTIONS(2476),
    [anon_sym_LT_LT] = ACTIONS(2476),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2474),
    [anon_sym_PLUS_EQ] = ACTIONS(2474),
    [anon_sym_DASH_EQ] = ACTIONS(2474),
    [anon_sym_DOT_EQ] = ACTIONS(2474),
    [anon_sym_STAR_EQ] = ACTIONS(2474),
    [anon_sym_SLASH_EQ] = ACTIONS(2474),
    [anon_sym_PERCENT_EQ] = ACTIONS(2474),
    [anon_sym_x_EQ] = ACTIONS(2474),
    [anon_sym_AMP_EQ] = ACTIONS(2474),
    [anon_sym_PIPE_EQ] = ACTIONS(2474),
    [anon_sym_CARET_EQ] = ACTIONS(2474),
    [anon_sym_LT_LT_EQ] = ACTIONS(2474),
    [anon_sym_GT_GT_EQ] = ACTIONS(2474),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2474),
    [anon_sym_DOT_DOT] = ACTIONS(2476),
    [anon_sym_STAR_STAR] = ACTIONS(2476),
    [anon_sym_PIPE_PIPE] = ACTIONS(2476),
    [anon_sym_SLASH_SLASH] = ACTIONS(2476),
    [anon_sym_CARET_CARET] = ACTIONS(2474),
    [anon_sym_AMP_AMP] = ACTIONS(2476),
    [anon_sym_PIPE] = ACTIONS(2476),
    [anon_sym_CARET] = ACTIONS(2476),
    [anon_sym_AMP] = ACTIONS(2476),
    [anon_sym_GT_GT2] = ACTIONS(2476),
    [anon_sym_PLUS] = ACTIONS(2476),
    [anon_sym_DASH] = ACTIONS(2476),
    [anon_sym_DOT] = ACTIONS(2476),
    [anon_sym_STAR] = ACTIONS(2476),
    [anon_sym_SLASH] = ACTIONS(2476),
    [anon_sym_x] = ACTIONS(2476),
    [anon_sym_EQ_TILDE] = ACTIONS(2474),
    [anon_sym_BANG_TILDE] = ACTIONS(2474),
    [anon_sym_EQ_EQ] = ACTIONS(2476),
    [anon_sym_BANG_EQ] = ACTIONS(2474),
    [anon_sym_eq] = ACTIONS(2476),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2474),
    [anon_sym_equ] = ACTIONS(2474),
    [anon_sym_eqr] = ACTIONS(2474),
    [anon_sym_ne] = ACTIONS(2474),
    [anon_sym_LT_EQ_GT] = ACTIONS(2474),
    [anon_sym_cmp] = ACTIONS(2474),
    [anon_sym_TILDE_TILDE] = ACTIONS(2474),
    [anon_sym_LT] = ACTIONS(2476),
    [anon_sym_LT_EQ] = ACTIONS(2476),
    [anon_sym_GT_EQ] = ACTIONS(2474),
    [anon_sym_lt] = ACTIONS(2474),
    [anon_sym_le] = ACTIONS(2474),
    [anon_sym_ge] = ACTIONS(2474),
    [anon_sym_gt] = ACTIONS(2474),
    [anon_sym_isa] = ACTIONS(2474),
    [anon_sym_PLUS_PLUS] = ACTIONS(2474),
    [anon_sym_DASH_DASH] = ACTIONS(2474),
    [anon_sym_QMARK] = ACTIONS(2474),
    [anon_sym_EQ_GT] = ACTIONS(2474),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1720] = {
    [sym_heredoc_content] = STATE(1720),
    [anon_sym_RBRACE] = ACTIONS(2959),
    [anon_sym_EQ] = ACTIONS(2961),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2959),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2959),
    [anon_sym_COMMA] = ACTIONS(2959),
    [anon_sym_RPAREN] = ACTIONS(2959),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2959),
    [anon_sym_and] = ACTIONS(2959),
    [anon_sym_or] = ACTIONS(2959),
    [anon_sym_xor] = ACTIONS(2959),
    [anon_sym_RBRACK] = ACTIONS(2959),
    [anon_sym_DASH_GT] = ACTIONS(2959),
    [anon_sym_PERCENT] = ACTIONS(2961),
    [anon_sym_GT] = ACTIONS(2961),
    [anon_sym_LT_LT] = ACTIONS(2961),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2959),
    [anon_sym_PLUS_EQ] = ACTIONS(2959),
    [anon_sym_DASH_EQ] = ACTIONS(2959),
    [anon_sym_DOT_EQ] = ACTIONS(2959),
    [anon_sym_STAR_EQ] = ACTIONS(2959),
    [anon_sym_SLASH_EQ] = ACTIONS(2959),
    [anon_sym_PERCENT_EQ] = ACTIONS(2959),
    [anon_sym_x_EQ] = ACTIONS(2959),
    [anon_sym_AMP_EQ] = ACTIONS(2959),
    [anon_sym_PIPE_EQ] = ACTIONS(2959),
    [anon_sym_CARET_EQ] = ACTIONS(2959),
    [anon_sym_LT_LT_EQ] = ACTIONS(2959),
    [anon_sym_GT_GT_EQ] = ACTIONS(2959),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2959),
    [anon_sym_DOT_DOT] = ACTIONS(2961),
    [anon_sym_STAR_STAR] = ACTIONS(2961),
    [anon_sym_PIPE_PIPE] = ACTIONS(2961),
    [anon_sym_SLASH_SLASH] = ACTIONS(2961),
    [anon_sym_CARET_CARET] = ACTIONS(2959),
    [anon_sym_AMP_AMP] = ACTIONS(2961),
    [anon_sym_PIPE] = ACTIONS(2961),
    [anon_sym_CARET] = ACTIONS(2961),
    [anon_sym_AMP] = ACTIONS(2961),
    [anon_sym_GT_GT2] = ACTIONS(2961),
    [anon_sym_PLUS] = ACTIONS(2961),
    [anon_sym_DASH] = ACTIONS(2961),
    [anon_sym_DOT] = ACTIONS(2961),
    [anon_sym_STAR] = ACTIONS(2961),
    [anon_sym_SLASH] = ACTIONS(2961),
    [anon_sym_x] = ACTIONS(2961),
    [anon_sym_EQ_TILDE] = ACTIONS(2959),
    [anon_sym_BANG_TILDE] = ACTIONS(2959),
    [anon_sym_EQ_EQ] = ACTIONS(2961),
    [anon_sym_BANG_EQ] = ACTIONS(2959),
    [anon_sym_eq] = ACTIONS(2961),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2959),
    [anon_sym_equ] = ACTIONS(2959),
    [anon_sym_eqr] = ACTIONS(2959),
    [anon_sym_ne] = ACTIONS(2959),
    [anon_sym_LT_EQ_GT] = ACTIONS(2959),
    [anon_sym_cmp] = ACTIONS(2959),
    [anon_sym_TILDE_TILDE] = ACTIONS(2959),
    [anon_sym_LT] = ACTIONS(2961),
    [anon_sym_LT_EQ] = ACTIONS(2961),
    [anon_sym_GT_EQ] = ACTIONS(2959),
    [anon_sym_lt] = ACTIONS(2959),
    [anon_sym_le] = ACTIONS(2959),
    [anon_sym_ge] = ACTIONS(2959),
    [anon_sym_gt] = ACTIONS(2959),
    [anon_sym_isa] = ACTIONS(2959),
    [anon_sym_PLUS_PLUS] = ACTIONS(2959),
    [anon_sym_DASH_DASH] = ACTIONS(2959),
    [anon_sym_QMARK] = ACTIONS(2959),
    [anon_sym_EQ_GT] = ACTIONS(2959),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1721] = {
    [sym_heredoc_content] = STATE(1721),
    [anon_sym_LBRACE] = ACTIONS(2482),
    [anon_sym_RBRACE] = ACTIONS(2482),
    [anon_sym_COLON] = ACTIONS(2482),
    [anon_sym_EQ] = ACTIONS(2484),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2482),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2482),
    [anon_sym_COMMA] = ACTIONS(2482),
    [anon_sym_RPAREN] = ACTIONS(2482),
    [anon_sym_LPAREN] = ACTIONS(2482),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2482),
    [anon_sym_LBRACK] = ACTIONS(2482),
    [anon_sym_DASH_GT] = ACTIONS(2482),
    [anon_sym_PERCENT] = ACTIONS(2484),
    [anon_sym_GT] = ACTIONS(2484),
    [anon_sym_LT_LT] = ACTIONS(2484),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2482),
    [anon_sym_PLUS_EQ] = ACTIONS(2482),
    [anon_sym_DASH_EQ] = ACTIONS(2482),
    [anon_sym_DOT_EQ] = ACTIONS(2482),
    [anon_sym_STAR_EQ] = ACTIONS(2482),
    [anon_sym_SLASH_EQ] = ACTIONS(2482),
    [anon_sym_PERCENT_EQ] = ACTIONS(2482),
    [anon_sym_x_EQ] = ACTIONS(2482),
    [anon_sym_AMP_EQ] = ACTIONS(2482),
    [anon_sym_PIPE_EQ] = ACTIONS(2482),
    [anon_sym_CARET_EQ] = ACTIONS(2482),
    [anon_sym_LT_LT_EQ] = ACTIONS(2482),
    [anon_sym_GT_GT_EQ] = ACTIONS(2482),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2482),
    [anon_sym_DOT_DOT] = ACTIONS(2484),
    [anon_sym_STAR_STAR] = ACTIONS(2484),
    [anon_sym_PIPE_PIPE] = ACTIONS(2484),
    [anon_sym_SLASH_SLASH] = ACTIONS(2484),
    [anon_sym_CARET_CARET] = ACTIONS(2482),
    [anon_sym_AMP_AMP] = ACTIONS(2484),
    [anon_sym_PIPE] = ACTIONS(2484),
    [anon_sym_CARET] = ACTIONS(2484),
    [anon_sym_AMP] = ACTIONS(2484),
    [anon_sym_GT_GT2] = ACTIONS(2484),
    [anon_sym_PLUS] = ACTIONS(2484),
    [anon_sym_DASH] = ACTIONS(2484),
    [anon_sym_DOT] = ACTIONS(2484),
    [anon_sym_STAR] = ACTIONS(2484),
    [anon_sym_SLASH] = ACTIONS(2484),
    [anon_sym_x] = ACTIONS(2484),
    [anon_sym_EQ_TILDE] = ACTIONS(2482),
    [anon_sym_BANG_TILDE] = ACTIONS(2482),
    [anon_sym_EQ_EQ] = ACTIONS(2484),
    [anon_sym_BANG_EQ] = ACTIONS(2482),
    [anon_sym_eq] = ACTIONS(2484),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2482),
    [anon_sym_equ] = ACTIONS(2482),
    [anon_sym_eqr] = ACTIONS(2482),
    [anon_sym_ne] = ACTIONS(2482),
    [anon_sym_LT_EQ_GT] = ACTIONS(2482),
    [anon_sym_cmp] = ACTIONS(2482),
    [anon_sym_TILDE_TILDE] = ACTIONS(2482),
    [anon_sym_LT] = ACTIONS(2484),
    [anon_sym_LT_EQ] = ACTIONS(2484),
    [anon_sym_GT_EQ] = ACTIONS(2482),
    [anon_sym_lt] = ACTIONS(2482),
    [anon_sym_le] = ACTIONS(2482),
    [anon_sym_ge] = ACTIONS(2482),
    [anon_sym_gt] = ACTIONS(2482),
    [anon_sym_isa] = ACTIONS(2482),
    [anon_sym_PLUS_PLUS] = ACTIONS(2482),
    [anon_sym_DASH_DASH] = ACTIONS(2482),
    [anon_sym_QMARK] = ACTIONS(2482),
    [anon_sym_EQ_GT] = ACTIONS(2482),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1722] = {
    [sym_heredoc_content] = STATE(1722),
    [anon_sym_RBRACE] = ACTIONS(3162),
    [anon_sym_EQ] = ACTIONS(3164),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3162),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3162),
    [anon_sym_COMMA] = ACTIONS(3162),
    [anon_sym_RPAREN] = ACTIONS(3162),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3162),
    [anon_sym_and] = ACTIONS(3162),
    [anon_sym_or] = ACTIONS(3162),
    [anon_sym_xor] = ACTIONS(3162),
    [anon_sym_RBRACK] = ACTIONS(3162),
    [anon_sym_DASH_GT] = ACTIONS(3162),
    [anon_sym_PERCENT] = ACTIONS(3164),
    [anon_sym_GT] = ACTIONS(3164),
    [anon_sym_LT_LT] = ACTIONS(3164),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3162),
    [anon_sym_PLUS_EQ] = ACTIONS(3162),
    [anon_sym_DASH_EQ] = ACTIONS(3162),
    [anon_sym_DOT_EQ] = ACTIONS(3162),
    [anon_sym_STAR_EQ] = ACTIONS(3162),
    [anon_sym_SLASH_EQ] = ACTIONS(3162),
    [anon_sym_PERCENT_EQ] = ACTIONS(3162),
    [anon_sym_x_EQ] = ACTIONS(3162),
    [anon_sym_AMP_EQ] = ACTIONS(3162),
    [anon_sym_PIPE_EQ] = ACTIONS(3162),
    [anon_sym_CARET_EQ] = ACTIONS(3162),
    [anon_sym_LT_LT_EQ] = ACTIONS(3162),
    [anon_sym_GT_GT_EQ] = ACTIONS(3162),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3162),
    [anon_sym_DOT_DOT] = ACTIONS(3164),
    [anon_sym_STAR_STAR] = ACTIONS(3164),
    [anon_sym_PIPE_PIPE] = ACTIONS(3164),
    [anon_sym_SLASH_SLASH] = ACTIONS(3164),
    [anon_sym_CARET_CARET] = ACTIONS(3162),
    [anon_sym_AMP_AMP] = ACTIONS(3164),
    [anon_sym_PIPE] = ACTIONS(3164),
    [anon_sym_CARET] = ACTIONS(3164),
    [anon_sym_AMP] = ACTIONS(3164),
    [anon_sym_GT_GT2] = ACTIONS(3164),
    [anon_sym_PLUS] = ACTIONS(3164),
    [anon_sym_DASH] = ACTIONS(3164),
    [anon_sym_DOT] = ACTIONS(3164),
    [anon_sym_STAR] = ACTIONS(3164),
    [anon_sym_SLASH] = ACTIONS(3164),
    [anon_sym_x] = ACTIONS(3164),
    [anon_sym_EQ_TILDE] = ACTIONS(3162),
    [anon_sym_BANG_TILDE] = ACTIONS(3162),
    [anon_sym_EQ_EQ] = ACTIONS(3164),
    [anon_sym_BANG_EQ] = ACTIONS(3162),
    [anon_sym_eq] = ACTIONS(3164),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3162),
    [anon_sym_equ] = ACTIONS(3162),
    [anon_sym_eqr] = ACTIONS(3162),
    [anon_sym_ne] = ACTIONS(3162),
    [anon_sym_LT_EQ_GT] = ACTIONS(3162),
    [anon_sym_cmp] = ACTIONS(3162),
    [anon_sym_TILDE_TILDE] = ACTIONS(3162),
    [anon_sym_LT] = ACTIONS(3164),
    [anon_sym_LT_EQ] = ACTIONS(3164),
    [anon_sym_GT_EQ] = ACTIONS(3162),
    [anon_sym_lt] = ACTIONS(3162),
    [anon_sym_le] = ACTIONS(3162),
    [anon_sym_ge] = ACTIONS(3162),
    [anon_sym_gt] = ACTIONS(3162),
    [anon_sym_isa] = ACTIONS(3162),
    [anon_sym_PLUS_PLUS] = ACTIONS(3162),
    [anon_sym_DASH_DASH] = ACTIONS(3162),
    [anon_sym_QMARK] = ACTIONS(3162),
    [anon_sym_EQ_GT] = ACTIONS(3162),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1723] = {
    [sym_heredoc_content] = STATE(1723),
    [anon_sym_RBRACE] = ACTIONS(3166),
    [anon_sym_EQ] = ACTIONS(3168),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3166),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3166),
    [anon_sym_COMMA] = ACTIONS(3166),
    [anon_sym_RPAREN] = ACTIONS(3166),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3166),
    [anon_sym_and] = ACTIONS(3166),
    [anon_sym_or] = ACTIONS(3166),
    [anon_sym_xor] = ACTIONS(3166),
    [anon_sym_RBRACK] = ACTIONS(3166),
    [anon_sym_DASH_GT] = ACTIONS(3166),
    [anon_sym_PERCENT] = ACTIONS(3168),
    [anon_sym_GT] = ACTIONS(3168),
    [anon_sym_LT_LT] = ACTIONS(3168),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3166),
    [anon_sym_PLUS_EQ] = ACTIONS(3166),
    [anon_sym_DASH_EQ] = ACTIONS(3166),
    [anon_sym_DOT_EQ] = ACTIONS(3166),
    [anon_sym_STAR_EQ] = ACTIONS(3166),
    [anon_sym_SLASH_EQ] = ACTIONS(3166),
    [anon_sym_PERCENT_EQ] = ACTIONS(3166),
    [anon_sym_x_EQ] = ACTIONS(3166),
    [anon_sym_AMP_EQ] = ACTIONS(3166),
    [anon_sym_PIPE_EQ] = ACTIONS(3166),
    [anon_sym_CARET_EQ] = ACTIONS(3166),
    [anon_sym_LT_LT_EQ] = ACTIONS(3166),
    [anon_sym_GT_GT_EQ] = ACTIONS(3166),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3166),
    [anon_sym_DOT_DOT] = ACTIONS(3168),
    [anon_sym_STAR_STAR] = ACTIONS(3168),
    [anon_sym_PIPE_PIPE] = ACTIONS(3168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3168),
    [anon_sym_CARET_CARET] = ACTIONS(3166),
    [anon_sym_AMP_AMP] = ACTIONS(3168),
    [anon_sym_PIPE] = ACTIONS(3168),
    [anon_sym_CARET] = ACTIONS(3168),
    [anon_sym_AMP] = ACTIONS(3168),
    [anon_sym_GT_GT2] = ACTIONS(3168),
    [anon_sym_PLUS] = ACTIONS(3168),
    [anon_sym_DASH] = ACTIONS(3168),
    [anon_sym_DOT] = ACTIONS(3168),
    [anon_sym_STAR] = ACTIONS(3168),
    [anon_sym_SLASH] = ACTIONS(3168),
    [anon_sym_x] = ACTIONS(3168),
    [anon_sym_EQ_TILDE] = ACTIONS(3166),
    [anon_sym_BANG_TILDE] = ACTIONS(3166),
    [anon_sym_EQ_EQ] = ACTIONS(3168),
    [anon_sym_BANG_EQ] = ACTIONS(3166),
    [anon_sym_eq] = ACTIONS(3168),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3166),
    [anon_sym_equ] = ACTIONS(3166),
    [anon_sym_eqr] = ACTIONS(3166),
    [anon_sym_ne] = ACTIONS(3166),
    [anon_sym_LT_EQ_GT] = ACTIONS(3166),
    [anon_sym_cmp] = ACTIONS(3166),
    [anon_sym_TILDE_TILDE] = ACTIONS(3166),
    [anon_sym_LT] = ACTIONS(3168),
    [anon_sym_LT_EQ] = ACTIONS(3168),
    [anon_sym_GT_EQ] = ACTIONS(3166),
    [anon_sym_lt] = ACTIONS(3166),
    [anon_sym_le] = ACTIONS(3166),
    [anon_sym_ge] = ACTIONS(3166),
    [anon_sym_gt] = ACTIONS(3166),
    [anon_sym_isa] = ACTIONS(3166),
    [anon_sym_PLUS_PLUS] = ACTIONS(3166),
    [anon_sym_DASH_DASH] = ACTIONS(3166),
    [anon_sym_QMARK] = ACTIONS(3166),
    [anon_sym_EQ_GT] = ACTIONS(3166),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1724] = {
    [sym_heredoc_content] = STATE(1724),
    [anon_sym_RBRACE] = ACTIONS(3170),
    [anon_sym_EQ] = ACTIONS(3172),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3170),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3170),
    [anon_sym_COMMA] = ACTIONS(3170),
    [anon_sym_RPAREN] = ACTIONS(3170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3170),
    [anon_sym_and] = ACTIONS(3170),
    [anon_sym_or] = ACTIONS(3170),
    [anon_sym_xor] = ACTIONS(3170),
    [anon_sym_RBRACK] = ACTIONS(3170),
    [anon_sym_DASH_GT] = ACTIONS(3170),
    [anon_sym_PERCENT] = ACTIONS(3172),
    [anon_sym_GT] = ACTIONS(3172),
    [anon_sym_LT_LT] = ACTIONS(3172),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3170),
    [anon_sym_PLUS_EQ] = ACTIONS(3170),
    [anon_sym_DASH_EQ] = ACTIONS(3170),
    [anon_sym_DOT_EQ] = ACTIONS(3170),
    [anon_sym_STAR_EQ] = ACTIONS(3170),
    [anon_sym_SLASH_EQ] = ACTIONS(3170),
    [anon_sym_PERCENT_EQ] = ACTIONS(3170),
    [anon_sym_x_EQ] = ACTIONS(3170),
    [anon_sym_AMP_EQ] = ACTIONS(3170),
    [anon_sym_PIPE_EQ] = ACTIONS(3170),
    [anon_sym_CARET_EQ] = ACTIONS(3170),
    [anon_sym_LT_LT_EQ] = ACTIONS(3170),
    [anon_sym_GT_GT_EQ] = ACTIONS(3170),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3170),
    [anon_sym_DOT_DOT] = ACTIONS(3172),
    [anon_sym_STAR_STAR] = ACTIONS(3172),
    [anon_sym_PIPE_PIPE] = ACTIONS(3172),
    [anon_sym_SLASH_SLASH] = ACTIONS(3172),
    [anon_sym_CARET_CARET] = ACTIONS(3170),
    [anon_sym_AMP_AMP] = ACTIONS(3172),
    [anon_sym_PIPE] = ACTIONS(3172),
    [anon_sym_CARET] = ACTIONS(3172),
    [anon_sym_AMP] = ACTIONS(3172),
    [anon_sym_GT_GT2] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_DOT] = ACTIONS(3172),
    [anon_sym_STAR] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_x] = ACTIONS(3172),
    [anon_sym_EQ_TILDE] = ACTIONS(3170),
    [anon_sym_BANG_TILDE] = ACTIONS(3170),
    [anon_sym_EQ_EQ] = ACTIONS(3172),
    [anon_sym_BANG_EQ] = ACTIONS(3170),
    [anon_sym_eq] = ACTIONS(3172),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3170),
    [anon_sym_equ] = ACTIONS(3170),
    [anon_sym_eqr] = ACTIONS(3170),
    [anon_sym_ne] = ACTIONS(3170),
    [anon_sym_LT_EQ_GT] = ACTIONS(3170),
    [anon_sym_cmp] = ACTIONS(3170),
    [anon_sym_TILDE_TILDE] = ACTIONS(3170),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_LT_EQ] = ACTIONS(3172),
    [anon_sym_GT_EQ] = ACTIONS(3170),
    [anon_sym_lt] = ACTIONS(3170),
    [anon_sym_le] = ACTIONS(3170),
    [anon_sym_ge] = ACTIONS(3170),
    [anon_sym_gt] = ACTIONS(3170),
    [anon_sym_isa] = ACTIONS(3170),
    [anon_sym_PLUS_PLUS] = ACTIONS(3170),
    [anon_sym_DASH_DASH] = ACTIONS(3170),
    [anon_sym_QMARK] = ACTIONS(3170),
    [anon_sym_EQ_GT] = ACTIONS(3170),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1725] = {
    [sym_heredoc_content] = STATE(1725),
    [anon_sym_RBRACE] = ACTIONS(3174),
    [anon_sym_EQ] = ACTIONS(3176),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3174),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3174),
    [anon_sym_COMMA] = ACTIONS(3174),
    [anon_sym_RPAREN] = ACTIONS(3174),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3174),
    [anon_sym_and] = ACTIONS(3174),
    [anon_sym_or] = ACTIONS(3174),
    [anon_sym_xor] = ACTIONS(3174),
    [anon_sym_RBRACK] = ACTIONS(3174),
    [anon_sym_DASH_GT] = ACTIONS(3174),
    [anon_sym_PERCENT] = ACTIONS(3176),
    [anon_sym_GT] = ACTIONS(3176),
    [anon_sym_LT_LT] = ACTIONS(3176),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3174),
    [anon_sym_PLUS_EQ] = ACTIONS(3174),
    [anon_sym_DASH_EQ] = ACTIONS(3174),
    [anon_sym_DOT_EQ] = ACTIONS(3174),
    [anon_sym_STAR_EQ] = ACTIONS(3174),
    [anon_sym_SLASH_EQ] = ACTIONS(3174),
    [anon_sym_PERCENT_EQ] = ACTIONS(3174),
    [anon_sym_x_EQ] = ACTIONS(3174),
    [anon_sym_AMP_EQ] = ACTIONS(3174),
    [anon_sym_PIPE_EQ] = ACTIONS(3174),
    [anon_sym_CARET_EQ] = ACTIONS(3174),
    [anon_sym_LT_LT_EQ] = ACTIONS(3174),
    [anon_sym_GT_GT_EQ] = ACTIONS(3174),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3174),
    [anon_sym_DOT_DOT] = ACTIONS(3176),
    [anon_sym_STAR_STAR] = ACTIONS(3176),
    [anon_sym_PIPE_PIPE] = ACTIONS(3176),
    [anon_sym_SLASH_SLASH] = ACTIONS(3176),
    [anon_sym_CARET_CARET] = ACTIONS(3174),
    [anon_sym_AMP_AMP] = ACTIONS(3176),
    [anon_sym_PIPE] = ACTIONS(3176),
    [anon_sym_CARET] = ACTIONS(3176),
    [anon_sym_AMP] = ACTIONS(3176),
    [anon_sym_GT_GT2] = ACTIONS(3176),
    [anon_sym_PLUS] = ACTIONS(3176),
    [anon_sym_DASH] = ACTIONS(3176),
    [anon_sym_DOT] = ACTIONS(3176),
    [anon_sym_STAR] = ACTIONS(3176),
    [anon_sym_SLASH] = ACTIONS(3176),
    [anon_sym_x] = ACTIONS(3176),
    [anon_sym_EQ_TILDE] = ACTIONS(3174),
    [anon_sym_BANG_TILDE] = ACTIONS(3174),
    [anon_sym_EQ_EQ] = ACTIONS(3176),
    [anon_sym_BANG_EQ] = ACTIONS(3174),
    [anon_sym_eq] = ACTIONS(3176),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3174),
    [anon_sym_equ] = ACTIONS(3174),
    [anon_sym_eqr] = ACTIONS(3174),
    [anon_sym_ne] = ACTIONS(3174),
    [anon_sym_LT_EQ_GT] = ACTIONS(3174),
    [anon_sym_cmp] = ACTIONS(3174),
    [anon_sym_TILDE_TILDE] = ACTIONS(3174),
    [anon_sym_LT] = ACTIONS(3176),
    [anon_sym_LT_EQ] = ACTIONS(3176),
    [anon_sym_GT_EQ] = ACTIONS(3174),
    [anon_sym_lt] = ACTIONS(3174),
    [anon_sym_le] = ACTIONS(3174),
    [anon_sym_ge] = ACTIONS(3174),
    [anon_sym_gt] = ACTIONS(3174),
    [anon_sym_isa] = ACTIONS(3174),
    [anon_sym_PLUS_PLUS] = ACTIONS(3174),
    [anon_sym_DASH_DASH] = ACTIONS(3174),
    [anon_sym_QMARK] = ACTIONS(3174),
    [anon_sym_EQ_GT] = ACTIONS(3174),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1726] = {
    [sym_heredoc_content] = STATE(1726),
    [anon_sym_RBRACE] = ACTIONS(3178),
    [anon_sym_EQ] = ACTIONS(3180),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3178),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3178),
    [anon_sym_COMMA] = ACTIONS(3178),
    [anon_sym_RPAREN] = ACTIONS(3178),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3178),
    [anon_sym_and] = ACTIONS(3178),
    [anon_sym_or] = ACTIONS(3178),
    [anon_sym_xor] = ACTIONS(3178),
    [anon_sym_RBRACK] = ACTIONS(3178),
    [anon_sym_DASH_GT] = ACTIONS(3178),
    [anon_sym_PERCENT] = ACTIONS(3180),
    [anon_sym_GT] = ACTIONS(3180),
    [anon_sym_LT_LT] = ACTIONS(3180),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3178),
    [anon_sym_PLUS_EQ] = ACTIONS(3178),
    [anon_sym_DASH_EQ] = ACTIONS(3178),
    [anon_sym_DOT_EQ] = ACTIONS(3178),
    [anon_sym_STAR_EQ] = ACTIONS(3178),
    [anon_sym_SLASH_EQ] = ACTIONS(3178),
    [anon_sym_PERCENT_EQ] = ACTIONS(3178),
    [anon_sym_x_EQ] = ACTIONS(3178),
    [anon_sym_AMP_EQ] = ACTIONS(3178),
    [anon_sym_PIPE_EQ] = ACTIONS(3178),
    [anon_sym_CARET_EQ] = ACTIONS(3178),
    [anon_sym_LT_LT_EQ] = ACTIONS(3178),
    [anon_sym_GT_GT_EQ] = ACTIONS(3178),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3178),
    [anon_sym_DOT_DOT] = ACTIONS(3180),
    [anon_sym_STAR_STAR] = ACTIONS(3180),
    [anon_sym_PIPE_PIPE] = ACTIONS(3180),
    [anon_sym_SLASH_SLASH] = ACTIONS(3180),
    [anon_sym_CARET_CARET] = ACTIONS(3178),
    [anon_sym_AMP_AMP] = ACTIONS(3180),
    [anon_sym_PIPE] = ACTIONS(3180),
    [anon_sym_CARET] = ACTIONS(3180),
    [anon_sym_AMP] = ACTIONS(3180),
    [anon_sym_GT_GT2] = ACTIONS(3180),
    [anon_sym_PLUS] = ACTIONS(3180),
    [anon_sym_DASH] = ACTIONS(3180),
    [anon_sym_DOT] = ACTIONS(3180),
    [anon_sym_STAR] = ACTIONS(3180),
    [anon_sym_SLASH] = ACTIONS(3180),
    [anon_sym_x] = ACTIONS(3180),
    [anon_sym_EQ_TILDE] = ACTIONS(3178),
    [anon_sym_BANG_TILDE] = ACTIONS(3178),
    [anon_sym_EQ_EQ] = ACTIONS(3180),
    [anon_sym_BANG_EQ] = ACTIONS(3178),
    [anon_sym_eq] = ACTIONS(3180),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3178),
    [anon_sym_equ] = ACTIONS(3178),
    [anon_sym_eqr] = ACTIONS(3178),
    [anon_sym_ne] = ACTIONS(3178),
    [anon_sym_LT_EQ_GT] = ACTIONS(3178),
    [anon_sym_cmp] = ACTIONS(3178),
    [anon_sym_TILDE_TILDE] = ACTIONS(3178),
    [anon_sym_LT] = ACTIONS(3180),
    [anon_sym_LT_EQ] = ACTIONS(3180),
    [anon_sym_GT_EQ] = ACTIONS(3178),
    [anon_sym_lt] = ACTIONS(3178),
    [anon_sym_le] = ACTIONS(3178),
    [anon_sym_ge] = ACTIONS(3178),
    [anon_sym_gt] = ACTIONS(3178),
    [anon_sym_isa] = ACTIONS(3178),
    [anon_sym_PLUS_PLUS] = ACTIONS(3178),
    [anon_sym_DASH_DASH] = ACTIONS(3178),
    [anon_sym_QMARK] = ACTIONS(3178),
    [anon_sym_EQ_GT] = ACTIONS(3178),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1727] = {
    [sym_heredoc_content] = STATE(1727),
    [anon_sym_RBRACE] = ACTIONS(3182),
    [anon_sym_EQ] = ACTIONS(3184),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3182),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3182),
    [anon_sym_COMMA] = ACTIONS(3182),
    [anon_sym_RPAREN] = ACTIONS(3182),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3182),
    [anon_sym_and] = ACTIONS(3182),
    [anon_sym_or] = ACTIONS(3182),
    [anon_sym_xor] = ACTIONS(3182),
    [anon_sym_RBRACK] = ACTIONS(3182),
    [anon_sym_DASH_GT] = ACTIONS(3182),
    [anon_sym_PERCENT] = ACTIONS(3184),
    [anon_sym_GT] = ACTIONS(3184),
    [anon_sym_LT_LT] = ACTIONS(3184),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3182),
    [anon_sym_PLUS_EQ] = ACTIONS(3182),
    [anon_sym_DASH_EQ] = ACTIONS(3182),
    [anon_sym_DOT_EQ] = ACTIONS(3182),
    [anon_sym_STAR_EQ] = ACTIONS(3182),
    [anon_sym_SLASH_EQ] = ACTIONS(3182),
    [anon_sym_PERCENT_EQ] = ACTIONS(3182),
    [anon_sym_x_EQ] = ACTIONS(3182),
    [anon_sym_AMP_EQ] = ACTIONS(3182),
    [anon_sym_PIPE_EQ] = ACTIONS(3182),
    [anon_sym_CARET_EQ] = ACTIONS(3182),
    [anon_sym_LT_LT_EQ] = ACTIONS(3182),
    [anon_sym_GT_GT_EQ] = ACTIONS(3182),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3182),
    [anon_sym_DOT_DOT] = ACTIONS(3184),
    [anon_sym_STAR_STAR] = ACTIONS(3184),
    [anon_sym_PIPE_PIPE] = ACTIONS(3184),
    [anon_sym_SLASH_SLASH] = ACTIONS(3184),
    [anon_sym_CARET_CARET] = ACTIONS(3182),
    [anon_sym_AMP_AMP] = ACTIONS(3184),
    [anon_sym_PIPE] = ACTIONS(3184),
    [anon_sym_CARET] = ACTIONS(3184),
    [anon_sym_AMP] = ACTIONS(3184),
    [anon_sym_GT_GT2] = ACTIONS(3184),
    [anon_sym_PLUS] = ACTIONS(3184),
    [anon_sym_DASH] = ACTIONS(3184),
    [anon_sym_DOT] = ACTIONS(3184),
    [anon_sym_STAR] = ACTIONS(3184),
    [anon_sym_SLASH] = ACTIONS(3184),
    [anon_sym_x] = ACTIONS(3184),
    [anon_sym_EQ_TILDE] = ACTIONS(3182),
    [anon_sym_BANG_TILDE] = ACTIONS(3182),
    [anon_sym_EQ_EQ] = ACTIONS(3184),
    [anon_sym_BANG_EQ] = ACTIONS(3182),
    [anon_sym_eq] = ACTIONS(3184),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3182),
    [anon_sym_equ] = ACTIONS(3182),
    [anon_sym_eqr] = ACTIONS(3182),
    [anon_sym_ne] = ACTIONS(3182),
    [anon_sym_LT_EQ_GT] = ACTIONS(3182),
    [anon_sym_cmp] = ACTIONS(3182),
    [anon_sym_TILDE_TILDE] = ACTIONS(3182),
    [anon_sym_LT] = ACTIONS(3184),
    [anon_sym_LT_EQ] = ACTIONS(3184),
    [anon_sym_GT_EQ] = ACTIONS(3182),
    [anon_sym_lt] = ACTIONS(3182),
    [anon_sym_le] = ACTIONS(3182),
    [anon_sym_ge] = ACTIONS(3182),
    [anon_sym_gt] = ACTIONS(3182),
    [anon_sym_isa] = ACTIONS(3182),
    [anon_sym_PLUS_PLUS] = ACTIONS(3182),
    [anon_sym_DASH_DASH] = ACTIONS(3182),
    [anon_sym_QMARK] = ACTIONS(3182),
    [anon_sym_EQ_GT] = ACTIONS(3182),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1728] = {
    [sym_heredoc_content] = STATE(1728),
    [anon_sym_RBRACE] = ACTIONS(3246),
    [anon_sym_EQ] = ACTIONS(3248),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3246),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3246),
    [anon_sym_COMMA] = ACTIONS(3246),
    [anon_sym_RPAREN] = ACTIONS(3246),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3246),
    [anon_sym_and] = ACTIONS(3246),
    [anon_sym_or] = ACTIONS(3246),
    [anon_sym_xor] = ACTIONS(3246),
    [anon_sym_RBRACK] = ACTIONS(3246),
    [anon_sym_DASH_GT] = ACTIONS(3246),
    [anon_sym_PERCENT] = ACTIONS(3248),
    [anon_sym_GT] = ACTIONS(3248),
    [anon_sym_LT_LT] = ACTIONS(3248),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3246),
    [anon_sym_PLUS_EQ] = ACTIONS(3246),
    [anon_sym_DASH_EQ] = ACTIONS(3246),
    [anon_sym_DOT_EQ] = ACTIONS(3246),
    [anon_sym_STAR_EQ] = ACTIONS(3246),
    [anon_sym_SLASH_EQ] = ACTIONS(3246),
    [anon_sym_PERCENT_EQ] = ACTIONS(3246),
    [anon_sym_x_EQ] = ACTIONS(3246),
    [anon_sym_AMP_EQ] = ACTIONS(3246),
    [anon_sym_PIPE_EQ] = ACTIONS(3246),
    [anon_sym_CARET_EQ] = ACTIONS(3246),
    [anon_sym_LT_LT_EQ] = ACTIONS(3246),
    [anon_sym_GT_GT_EQ] = ACTIONS(3246),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3246),
    [anon_sym_DOT_DOT] = ACTIONS(3248),
    [anon_sym_STAR_STAR] = ACTIONS(3248),
    [anon_sym_PIPE_PIPE] = ACTIONS(3248),
    [anon_sym_SLASH_SLASH] = ACTIONS(3248),
    [anon_sym_CARET_CARET] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(3248),
    [anon_sym_PIPE] = ACTIONS(3248),
    [anon_sym_CARET] = ACTIONS(3248),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym_GT_GT2] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_DOT] = ACTIONS(3248),
    [anon_sym_STAR] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_x] = ACTIONS(3248),
    [anon_sym_EQ_TILDE] = ACTIONS(3246),
    [anon_sym_BANG_TILDE] = ACTIONS(3246),
    [anon_sym_EQ_EQ] = ACTIONS(3248),
    [anon_sym_BANG_EQ] = ACTIONS(3246),
    [anon_sym_eq] = ACTIONS(3248),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3246),
    [anon_sym_equ] = ACTIONS(3246),
    [anon_sym_eqr] = ACTIONS(3246),
    [anon_sym_ne] = ACTIONS(3246),
    [anon_sym_LT_EQ_GT] = ACTIONS(3246),
    [anon_sym_cmp] = ACTIONS(3246),
    [anon_sym_TILDE_TILDE] = ACTIONS(3246),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_LT_EQ] = ACTIONS(3248),
    [anon_sym_GT_EQ] = ACTIONS(3246),
    [anon_sym_lt] = ACTIONS(3246),
    [anon_sym_le] = ACTIONS(3246),
    [anon_sym_ge] = ACTIONS(3246),
    [anon_sym_gt] = ACTIONS(3246),
    [anon_sym_isa] = ACTIONS(3246),
    [anon_sym_PLUS_PLUS] = ACTIONS(3246),
    [anon_sym_DASH_DASH] = ACTIONS(3246),
    [anon_sym_QMARK] = ACTIONS(3246),
    [anon_sym_EQ_GT] = ACTIONS(3246),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1729] = {
    [sym_heredoc_content] = STATE(1729),
    [anon_sym_RBRACE] = ACTIONS(3186),
    [anon_sym_EQ] = ACTIONS(3188),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3186),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_RPAREN] = ACTIONS(3186),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3186),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_xor] = ACTIONS(3186),
    [anon_sym_RBRACK] = ACTIONS(3186),
    [anon_sym_DASH_GT] = ACTIONS(3186),
    [anon_sym_PERCENT] = ACTIONS(3188),
    [anon_sym_GT] = ACTIONS(3188),
    [anon_sym_LT_LT] = ACTIONS(3188),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3186),
    [anon_sym_PLUS_EQ] = ACTIONS(3186),
    [anon_sym_DASH_EQ] = ACTIONS(3186),
    [anon_sym_DOT_EQ] = ACTIONS(3186),
    [anon_sym_STAR_EQ] = ACTIONS(3186),
    [anon_sym_SLASH_EQ] = ACTIONS(3186),
    [anon_sym_PERCENT_EQ] = ACTIONS(3186),
    [anon_sym_x_EQ] = ACTIONS(3186),
    [anon_sym_AMP_EQ] = ACTIONS(3186),
    [anon_sym_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_CARET_EQ] = ACTIONS(3186),
    [anon_sym_LT_LT_EQ] = ACTIONS(3186),
    [anon_sym_GT_GT_EQ] = ACTIONS(3186),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3186),
    [anon_sym_DOT_DOT] = ACTIONS(3188),
    [anon_sym_STAR_STAR] = ACTIONS(3188),
    [anon_sym_PIPE_PIPE] = ACTIONS(3188),
    [anon_sym_SLASH_SLASH] = ACTIONS(3188),
    [anon_sym_CARET_CARET] = ACTIONS(3186),
    [anon_sym_AMP_AMP] = ACTIONS(3188),
    [anon_sym_PIPE] = ACTIONS(3188),
    [anon_sym_CARET] = ACTIONS(3188),
    [anon_sym_AMP] = ACTIONS(3188),
    [anon_sym_GT_GT2] = ACTIONS(3188),
    [anon_sym_PLUS] = ACTIONS(3188),
    [anon_sym_DASH] = ACTIONS(3188),
    [anon_sym_DOT] = ACTIONS(3188),
    [anon_sym_STAR] = ACTIONS(3188),
    [anon_sym_SLASH] = ACTIONS(3188),
    [anon_sym_x] = ACTIONS(3188),
    [anon_sym_EQ_TILDE] = ACTIONS(3186),
    [anon_sym_BANG_TILDE] = ACTIONS(3186),
    [anon_sym_EQ_EQ] = ACTIONS(3188),
    [anon_sym_BANG_EQ] = ACTIONS(3186),
    [anon_sym_eq] = ACTIONS(3188),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3186),
    [anon_sym_equ] = ACTIONS(3186),
    [anon_sym_eqr] = ACTIONS(3186),
    [anon_sym_ne] = ACTIONS(3186),
    [anon_sym_LT_EQ_GT] = ACTIONS(3186),
    [anon_sym_cmp] = ACTIONS(3186),
    [anon_sym_TILDE_TILDE] = ACTIONS(3186),
    [anon_sym_LT] = ACTIONS(3188),
    [anon_sym_LT_EQ] = ACTIONS(3188),
    [anon_sym_GT_EQ] = ACTIONS(3186),
    [anon_sym_lt] = ACTIONS(3186),
    [anon_sym_le] = ACTIONS(3186),
    [anon_sym_ge] = ACTIONS(3186),
    [anon_sym_gt] = ACTIONS(3186),
    [anon_sym_isa] = ACTIONS(3186),
    [anon_sym_PLUS_PLUS] = ACTIONS(3186),
    [anon_sym_DASH_DASH] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(3186),
    [anon_sym_EQ_GT] = ACTIONS(3186),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1730] = {
    [sym_heredoc_content] = STATE(1730),
    [anon_sym_RBRACE] = ACTIONS(3190),
    [anon_sym_EQ] = ACTIONS(3192),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3190),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3190),
    [anon_sym_COMMA] = ACTIONS(3190),
    [anon_sym_RPAREN] = ACTIONS(3190),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3190),
    [anon_sym_and] = ACTIONS(3190),
    [anon_sym_or] = ACTIONS(3190),
    [anon_sym_xor] = ACTIONS(3190),
    [anon_sym_RBRACK] = ACTIONS(3190),
    [anon_sym_DASH_GT] = ACTIONS(3190),
    [anon_sym_PERCENT] = ACTIONS(3192),
    [anon_sym_GT] = ACTIONS(3192),
    [anon_sym_LT_LT] = ACTIONS(3192),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3190),
    [anon_sym_PLUS_EQ] = ACTIONS(3190),
    [anon_sym_DASH_EQ] = ACTIONS(3190),
    [anon_sym_DOT_EQ] = ACTIONS(3190),
    [anon_sym_STAR_EQ] = ACTIONS(3190),
    [anon_sym_SLASH_EQ] = ACTIONS(3190),
    [anon_sym_PERCENT_EQ] = ACTIONS(3190),
    [anon_sym_x_EQ] = ACTIONS(3190),
    [anon_sym_AMP_EQ] = ACTIONS(3190),
    [anon_sym_PIPE_EQ] = ACTIONS(3190),
    [anon_sym_CARET_EQ] = ACTIONS(3190),
    [anon_sym_LT_LT_EQ] = ACTIONS(3190),
    [anon_sym_GT_GT_EQ] = ACTIONS(3190),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3190),
    [anon_sym_DOT_DOT] = ACTIONS(3192),
    [anon_sym_STAR_STAR] = ACTIONS(3192),
    [anon_sym_PIPE_PIPE] = ACTIONS(3192),
    [anon_sym_SLASH_SLASH] = ACTIONS(3192),
    [anon_sym_CARET_CARET] = ACTIONS(3190),
    [anon_sym_AMP_AMP] = ACTIONS(3192),
    [anon_sym_PIPE] = ACTIONS(3192),
    [anon_sym_CARET] = ACTIONS(3192),
    [anon_sym_AMP] = ACTIONS(3192),
    [anon_sym_GT_GT2] = ACTIONS(3192),
    [anon_sym_PLUS] = ACTIONS(3192),
    [anon_sym_DASH] = ACTIONS(3192),
    [anon_sym_DOT] = ACTIONS(3192),
    [anon_sym_STAR] = ACTIONS(3192),
    [anon_sym_SLASH] = ACTIONS(3192),
    [anon_sym_x] = ACTIONS(3192),
    [anon_sym_EQ_TILDE] = ACTIONS(3190),
    [anon_sym_BANG_TILDE] = ACTIONS(3190),
    [anon_sym_EQ_EQ] = ACTIONS(3192),
    [anon_sym_BANG_EQ] = ACTIONS(3190),
    [anon_sym_eq] = ACTIONS(3192),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3190),
    [anon_sym_equ] = ACTIONS(3190),
    [anon_sym_eqr] = ACTIONS(3190),
    [anon_sym_ne] = ACTIONS(3190),
    [anon_sym_LT_EQ_GT] = ACTIONS(3190),
    [anon_sym_cmp] = ACTIONS(3190),
    [anon_sym_TILDE_TILDE] = ACTIONS(3190),
    [anon_sym_LT] = ACTIONS(3192),
    [anon_sym_LT_EQ] = ACTIONS(3192),
    [anon_sym_GT_EQ] = ACTIONS(3190),
    [anon_sym_lt] = ACTIONS(3190),
    [anon_sym_le] = ACTIONS(3190),
    [anon_sym_ge] = ACTIONS(3190),
    [anon_sym_gt] = ACTIONS(3190),
    [anon_sym_isa] = ACTIONS(3190),
    [anon_sym_PLUS_PLUS] = ACTIONS(3190),
    [anon_sym_DASH_DASH] = ACTIONS(3190),
    [anon_sym_QMARK] = ACTIONS(3190),
    [anon_sym_EQ_GT] = ACTIONS(3190),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1731] = {
    [sym_heredoc_content] = STATE(1731),
    [anon_sym_RBRACE] = ACTIONS(2903),
    [anon_sym_EQ] = ACTIONS(2905),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2903),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2903),
    [anon_sym_COMMA] = ACTIONS(2903),
    [anon_sym_RPAREN] = ACTIONS(2903),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2903),
    [anon_sym_and] = ACTIONS(2903),
    [anon_sym_or] = ACTIONS(2903),
    [anon_sym_xor] = ACTIONS(2903),
    [anon_sym_RBRACK] = ACTIONS(2903),
    [anon_sym_DASH_GT] = ACTIONS(2903),
    [anon_sym_PERCENT] = ACTIONS(2905),
    [anon_sym_GT] = ACTIONS(2905),
    [anon_sym_LT_LT] = ACTIONS(2905),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2903),
    [anon_sym_PLUS_EQ] = ACTIONS(2903),
    [anon_sym_DASH_EQ] = ACTIONS(2903),
    [anon_sym_DOT_EQ] = ACTIONS(2903),
    [anon_sym_STAR_EQ] = ACTIONS(2903),
    [anon_sym_SLASH_EQ] = ACTIONS(2903),
    [anon_sym_PERCENT_EQ] = ACTIONS(2903),
    [anon_sym_x_EQ] = ACTIONS(2903),
    [anon_sym_AMP_EQ] = ACTIONS(2903),
    [anon_sym_PIPE_EQ] = ACTIONS(2903),
    [anon_sym_CARET_EQ] = ACTIONS(2903),
    [anon_sym_LT_LT_EQ] = ACTIONS(2903),
    [anon_sym_GT_GT_EQ] = ACTIONS(2903),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2903),
    [anon_sym_DOT_DOT] = ACTIONS(2905),
    [anon_sym_STAR_STAR] = ACTIONS(2905),
    [anon_sym_PIPE_PIPE] = ACTIONS(2905),
    [anon_sym_SLASH_SLASH] = ACTIONS(2905),
    [anon_sym_CARET_CARET] = ACTIONS(2903),
    [anon_sym_AMP_AMP] = ACTIONS(2905),
    [anon_sym_PIPE] = ACTIONS(2905),
    [anon_sym_CARET] = ACTIONS(2905),
    [anon_sym_AMP] = ACTIONS(2905),
    [anon_sym_GT_GT2] = ACTIONS(2905),
    [anon_sym_PLUS] = ACTIONS(2905),
    [anon_sym_DASH] = ACTIONS(2905),
    [anon_sym_DOT] = ACTIONS(2905),
    [anon_sym_STAR] = ACTIONS(2905),
    [anon_sym_SLASH] = ACTIONS(2905),
    [anon_sym_x] = ACTIONS(2905),
    [anon_sym_EQ_TILDE] = ACTIONS(2903),
    [anon_sym_BANG_TILDE] = ACTIONS(2903),
    [anon_sym_EQ_EQ] = ACTIONS(2905),
    [anon_sym_BANG_EQ] = ACTIONS(2903),
    [anon_sym_eq] = ACTIONS(2905),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2903),
    [anon_sym_equ] = ACTIONS(2903),
    [anon_sym_eqr] = ACTIONS(2903),
    [anon_sym_ne] = ACTIONS(2903),
    [anon_sym_LT_EQ_GT] = ACTIONS(2903),
    [anon_sym_cmp] = ACTIONS(2903),
    [anon_sym_TILDE_TILDE] = ACTIONS(2903),
    [anon_sym_LT] = ACTIONS(2905),
    [anon_sym_LT_EQ] = ACTIONS(2905),
    [anon_sym_GT_EQ] = ACTIONS(2903),
    [anon_sym_lt] = ACTIONS(2903),
    [anon_sym_le] = ACTIONS(2903),
    [anon_sym_ge] = ACTIONS(2903),
    [anon_sym_gt] = ACTIONS(2903),
    [anon_sym_isa] = ACTIONS(2903),
    [anon_sym_PLUS_PLUS] = ACTIONS(2903),
    [anon_sym_DASH_DASH] = ACTIONS(2903),
    [anon_sym_QMARK] = ACTIONS(2903),
    [anon_sym_EQ_GT] = ACTIONS(2903),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1732] = {
    [sym_heredoc_content] = STATE(1732),
    [anon_sym_RBRACE] = ACTIONS(2931),
    [anon_sym_EQ] = ACTIONS(2933),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2931),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2931),
    [anon_sym_COMMA] = ACTIONS(2931),
    [anon_sym_RPAREN] = ACTIONS(2931),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2931),
    [anon_sym_and] = ACTIONS(2931),
    [anon_sym_or] = ACTIONS(2931),
    [anon_sym_xor] = ACTIONS(2931),
    [anon_sym_RBRACK] = ACTIONS(2931),
    [anon_sym_DASH_GT] = ACTIONS(2931),
    [anon_sym_PERCENT] = ACTIONS(2933),
    [anon_sym_GT] = ACTIONS(2933),
    [anon_sym_LT_LT] = ACTIONS(2933),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2931),
    [anon_sym_PLUS_EQ] = ACTIONS(2931),
    [anon_sym_DASH_EQ] = ACTIONS(2931),
    [anon_sym_DOT_EQ] = ACTIONS(2931),
    [anon_sym_STAR_EQ] = ACTIONS(2931),
    [anon_sym_SLASH_EQ] = ACTIONS(2931),
    [anon_sym_PERCENT_EQ] = ACTIONS(2931),
    [anon_sym_x_EQ] = ACTIONS(2931),
    [anon_sym_AMP_EQ] = ACTIONS(2931),
    [anon_sym_PIPE_EQ] = ACTIONS(2931),
    [anon_sym_CARET_EQ] = ACTIONS(2931),
    [anon_sym_LT_LT_EQ] = ACTIONS(2931),
    [anon_sym_GT_GT_EQ] = ACTIONS(2931),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2931),
    [anon_sym_DOT_DOT] = ACTIONS(2933),
    [anon_sym_STAR_STAR] = ACTIONS(2933),
    [anon_sym_PIPE_PIPE] = ACTIONS(2933),
    [anon_sym_SLASH_SLASH] = ACTIONS(2933),
    [anon_sym_CARET_CARET] = ACTIONS(2931),
    [anon_sym_AMP_AMP] = ACTIONS(2933),
    [anon_sym_PIPE] = ACTIONS(2933),
    [anon_sym_CARET] = ACTIONS(2933),
    [anon_sym_AMP] = ACTIONS(2933),
    [anon_sym_GT_GT2] = ACTIONS(2933),
    [anon_sym_PLUS] = ACTIONS(2933),
    [anon_sym_DASH] = ACTIONS(2933),
    [anon_sym_DOT] = ACTIONS(2933),
    [anon_sym_STAR] = ACTIONS(2933),
    [anon_sym_SLASH] = ACTIONS(2933),
    [anon_sym_x] = ACTIONS(2933),
    [anon_sym_EQ_TILDE] = ACTIONS(2931),
    [anon_sym_BANG_TILDE] = ACTIONS(2931),
    [anon_sym_EQ_EQ] = ACTIONS(2933),
    [anon_sym_BANG_EQ] = ACTIONS(2931),
    [anon_sym_eq] = ACTIONS(2933),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2931),
    [anon_sym_equ] = ACTIONS(2931),
    [anon_sym_eqr] = ACTIONS(2931),
    [anon_sym_ne] = ACTIONS(2931),
    [anon_sym_LT_EQ_GT] = ACTIONS(2931),
    [anon_sym_cmp] = ACTIONS(2931),
    [anon_sym_TILDE_TILDE] = ACTIONS(2931),
    [anon_sym_LT] = ACTIONS(2933),
    [anon_sym_LT_EQ] = ACTIONS(2933),
    [anon_sym_GT_EQ] = ACTIONS(2931),
    [anon_sym_lt] = ACTIONS(2931),
    [anon_sym_le] = ACTIONS(2931),
    [anon_sym_ge] = ACTIONS(2931),
    [anon_sym_gt] = ACTIONS(2931),
    [anon_sym_isa] = ACTIONS(2931),
    [anon_sym_PLUS_PLUS] = ACTIONS(2931),
    [anon_sym_DASH_DASH] = ACTIONS(2931),
    [anon_sym_QMARK] = ACTIONS(2931),
    [anon_sym_EQ_GT] = ACTIONS(2931),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1733] = {
    [sym_heredoc_content] = STATE(1733),
    [anon_sym_RBRACE] = ACTIONS(2979),
    [anon_sym_EQ] = ACTIONS(2981),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2979),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2979),
    [anon_sym_COMMA] = ACTIONS(2979),
    [anon_sym_RPAREN] = ACTIONS(2979),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2979),
    [anon_sym_and] = ACTIONS(2979),
    [anon_sym_or] = ACTIONS(2979),
    [anon_sym_xor] = ACTIONS(2979),
    [anon_sym_RBRACK] = ACTIONS(2979),
    [anon_sym_DASH_GT] = ACTIONS(2979),
    [anon_sym_PERCENT] = ACTIONS(2981),
    [anon_sym_GT] = ACTIONS(2981),
    [anon_sym_LT_LT] = ACTIONS(2981),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2979),
    [anon_sym_PLUS_EQ] = ACTIONS(2979),
    [anon_sym_DASH_EQ] = ACTIONS(2979),
    [anon_sym_DOT_EQ] = ACTIONS(2979),
    [anon_sym_STAR_EQ] = ACTIONS(2979),
    [anon_sym_SLASH_EQ] = ACTIONS(2979),
    [anon_sym_PERCENT_EQ] = ACTIONS(2979),
    [anon_sym_x_EQ] = ACTIONS(2979),
    [anon_sym_AMP_EQ] = ACTIONS(2979),
    [anon_sym_PIPE_EQ] = ACTIONS(2979),
    [anon_sym_CARET_EQ] = ACTIONS(2979),
    [anon_sym_LT_LT_EQ] = ACTIONS(2979),
    [anon_sym_GT_GT_EQ] = ACTIONS(2979),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2979),
    [anon_sym_DOT_DOT] = ACTIONS(2981),
    [anon_sym_STAR_STAR] = ACTIONS(2981),
    [anon_sym_PIPE_PIPE] = ACTIONS(2981),
    [anon_sym_SLASH_SLASH] = ACTIONS(2981),
    [anon_sym_CARET_CARET] = ACTIONS(2979),
    [anon_sym_AMP_AMP] = ACTIONS(2981),
    [anon_sym_PIPE] = ACTIONS(2981),
    [anon_sym_CARET] = ACTIONS(2981),
    [anon_sym_AMP] = ACTIONS(2981),
    [anon_sym_GT_GT2] = ACTIONS(2981),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_DOT] = ACTIONS(2981),
    [anon_sym_STAR] = ACTIONS(2981),
    [anon_sym_SLASH] = ACTIONS(2981),
    [anon_sym_x] = ACTIONS(2981),
    [anon_sym_EQ_TILDE] = ACTIONS(2979),
    [anon_sym_BANG_TILDE] = ACTIONS(2979),
    [anon_sym_EQ_EQ] = ACTIONS(2981),
    [anon_sym_BANG_EQ] = ACTIONS(2979),
    [anon_sym_eq] = ACTIONS(2981),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2979),
    [anon_sym_equ] = ACTIONS(2979),
    [anon_sym_eqr] = ACTIONS(2979),
    [anon_sym_ne] = ACTIONS(2979),
    [anon_sym_LT_EQ_GT] = ACTIONS(2979),
    [anon_sym_cmp] = ACTIONS(2979),
    [anon_sym_TILDE_TILDE] = ACTIONS(2979),
    [anon_sym_LT] = ACTIONS(2981),
    [anon_sym_LT_EQ] = ACTIONS(2981),
    [anon_sym_GT_EQ] = ACTIONS(2979),
    [anon_sym_lt] = ACTIONS(2979),
    [anon_sym_le] = ACTIONS(2979),
    [anon_sym_ge] = ACTIONS(2979),
    [anon_sym_gt] = ACTIONS(2979),
    [anon_sym_isa] = ACTIONS(2979),
    [anon_sym_PLUS_PLUS] = ACTIONS(2979),
    [anon_sym_DASH_DASH] = ACTIONS(2979),
    [anon_sym_QMARK] = ACTIONS(2979),
    [anon_sym_EQ_GT] = ACTIONS(2979),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1734] = {
    [sym_heredoc_content] = STATE(1734),
    [anon_sym_LBRACE] = ACTIONS(2490),
    [anon_sym_RBRACE] = ACTIONS(2490),
    [anon_sym_COLON] = ACTIONS(2490),
    [anon_sym_EQ] = ACTIONS(2492),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2490),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2490),
    [anon_sym_COMMA] = ACTIONS(2490),
    [anon_sym_RPAREN] = ACTIONS(2490),
    [anon_sym_LPAREN] = ACTIONS(2490),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2490),
    [anon_sym_LBRACK] = ACTIONS(2490),
    [anon_sym_DASH_GT] = ACTIONS(2490),
    [anon_sym_PERCENT] = ACTIONS(2492),
    [anon_sym_GT] = ACTIONS(2492),
    [anon_sym_LT_LT] = ACTIONS(2492),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2490),
    [anon_sym_PLUS_EQ] = ACTIONS(2490),
    [anon_sym_DASH_EQ] = ACTIONS(2490),
    [anon_sym_DOT_EQ] = ACTIONS(2490),
    [anon_sym_STAR_EQ] = ACTIONS(2490),
    [anon_sym_SLASH_EQ] = ACTIONS(2490),
    [anon_sym_PERCENT_EQ] = ACTIONS(2490),
    [anon_sym_x_EQ] = ACTIONS(2490),
    [anon_sym_AMP_EQ] = ACTIONS(2490),
    [anon_sym_PIPE_EQ] = ACTIONS(2490),
    [anon_sym_CARET_EQ] = ACTIONS(2490),
    [anon_sym_LT_LT_EQ] = ACTIONS(2490),
    [anon_sym_GT_GT_EQ] = ACTIONS(2490),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2490),
    [anon_sym_DOT_DOT] = ACTIONS(2492),
    [anon_sym_STAR_STAR] = ACTIONS(2492),
    [anon_sym_PIPE_PIPE] = ACTIONS(2492),
    [anon_sym_SLASH_SLASH] = ACTIONS(2492),
    [anon_sym_CARET_CARET] = ACTIONS(2490),
    [anon_sym_AMP_AMP] = ACTIONS(2492),
    [anon_sym_PIPE] = ACTIONS(2492),
    [anon_sym_CARET] = ACTIONS(2492),
    [anon_sym_AMP] = ACTIONS(2492),
    [anon_sym_GT_GT2] = ACTIONS(2492),
    [anon_sym_PLUS] = ACTIONS(2492),
    [anon_sym_DASH] = ACTIONS(2492),
    [anon_sym_DOT] = ACTIONS(2492),
    [anon_sym_STAR] = ACTIONS(2492),
    [anon_sym_SLASH] = ACTIONS(2492),
    [anon_sym_x] = ACTIONS(2492),
    [anon_sym_EQ_TILDE] = ACTIONS(2490),
    [anon_sym_BANG_TILDE] = ACTIONS(2490),
    [anon_sym_EQ_EQ] = ACTIONS(2492),
    [anon_sym_BANG_EQ] = ACTIONS(2490),
    [anon_sym_eq] = ACTIONS(2492),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2490),
    [anon_sym_equ] = ACTIONS(2490),
    [anon_sym_eqr] = ACTIONS(2490),
    [anon_sym_ne] = ACTIONS(2490),
    [anon_sym_LT_EQ_GT] = ACTIONS(2490),
    [anon_sym_cmp] = ACTIONS(2490),
    [anon_sym_TILDE_TILDE] = ACTIONS(2490),
    [anon_sym_LT] = ACTIONS(2492),
    [anon_sym_LT_EQ] = ACTIONS(2492),
    [anon_sym_GT_EQ] = ACTIONS(2490),
    [anon_sym_lt] = ACTIONS(2490),
    [anon_sym_le] = ACTIONS(2490),
    [anon_sym_ge] = ACTIONS(2490),
    [anon_sym_gt] = ACTIONS(2490),
    [anon_sym_isa] = ACTIONS(2490),
    [anon_sym_PLUS_PLUS] = ACTIONS(2490),
    [anon_sym_DASH_DASH] = ACTIONS(2490),
    [anon_sym_QMARK] = ACTIONS(2490),
    [anon_sym_EQ_GT] = ACTIONS(2490),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1735] = {
    [sym_heredoc_content] = STATE(1735),
    [anon_sym_RBRACE] = ACTIONS(3194),
    [anon_sym_EQ] = ACTIONS(3196),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3194),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3194),
    [anon_sym_COMMA] = ACTIONS(3194),
    [anon_sym_RPAREN] = ACTIONS(3194),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3194),
    [anon_sym_and] = ACTIONS(3194),
    [anon_sym_or] = ACTIONS(3194),
    [anon_sym_xor] = ACTIONS(3194),
    [anon_sym_RBRACK] = ACTIONS(3194),
    [anon_sym_DASH_GT] = ACTIONS(3194),
    [anon_sym_PERCENT] = ACTIONS(3196),
    [anon_sym_GT] = ACTIONS(3196),
    [anon_sym_LT_LT] = ACTIONS(3196),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3194),
    [anon_sym_PLUS_EQ] = ACTIONS(3194),
    [anon_sym_DASH_EQ] = ACTIONS(3194),
    [anon_sym_DOT_EQ] = ACTIONS(3194),
    [anon_sym_STAR_EQ] = ACTIONS(3194),
    [anon_sym_SLASH_EQ] = ACTIONS(3194),
    [anon_sym_PERCENT_EQ] = ACTIONS(3194),
    [anon_sym_x_EQ] = ACTIONS(3194),
    [anon_sym_AMP_EQ] = ACTIONS(3194),
    [anon_sym_PIPE_EQ] = ACTIONS(3194),
    [anon_sym_CARET_EQ] = ACTIONS(3194),
    [anon_sym_LT_LT_EQ] = ACTIONS(3194),
    [anon_sym_GT_GT_EQ] = ACTIONS(3194),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3194),
    [anon_sym_DOT_DOT] = ACTIONS(3196),
    [anon_sym_STAR_STAR] = ACTIONS(3196),
    [anon_sym_PIPE_PIPE] = ACTIONS(3196),
    [anon_sym_SLASH_SLASH] = ACTIONS(3196),
    [anon_sym_CARET_CARET] = ACTIONS(3194),
    [anon_sym_AMP_AMP] = ACTIONS(3196),
    [anon_sym_PIPE] = ACTIONS(3196),
    [anon_sym_CARET] = ACTIONS(3196),
    [anon_sym_AMP] = ACTIONS(3196),
    [anon_sym_GT_GT2] = ACTIONS(3196),
    [anon_sym_PLUS] = ACTIONS(3196),
    [anon_sym_DASH] = ACTIONS(3196),
    [anon_sym_DOT] = ACTIONS(3196),
    [anon_sym_STAR] = ACTIONS(3196),
    [anon_sym_SLASH] = ACTIONS(3196),
    [anon_sym_x] = ACTIONS(3196),
    [anon_sym_EQ_TILDE] = ACTIONS(3194),
    [anon_sym_BANG_TILDE] = ACTIONS(3194),
    [anon_sym_EQ_EQ] = ACTIONS(3196),
    [anon_sym_BANG_EQ] = ACTIONS(3194),
    [anon_sym_eq] = ACTIONS(3196),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3194),
    [anon_sym_equ] = ACTIONS(3194),
    [anon_sym_eqr] = ACTIONS(3194),
    [anon_sym_ne] = ACTIONS(3194),
    [anon_sym_LT_EQ_GT] = ACTIONS(3194),
    [anon_sym_cmp] = ACTIONS(3194),
    [anon_sym_TILDE_TILDE] = ACTIONS(3194),
    [anon_sym_LT] = ACTIONS(3196),
    [anon_sym_LT_EQ] = ACTIONS(3196),
    [anon_sym_GT_EQ] = ACTIONS(3194),
    [anon_sym_lt] = ACTIONS(3194),
    [anon_sym_le] = ACTIONS(3194),
    [anon_sym_ge] = ACTIONS(3194),
    [anon_sym_gt] = ACTIONS(3194),
    [anon_sym_isa] = ACTIONS(3194),
    [anon_sym_PLUS_PLUS] = ACTIONS(3194),
    [anon_sym_DASH_DASH] = ACTIONS(3194),
    [anon_sym_QMARK] = ACTIONS(3194),
    [anon_sym_EQ_GT] = ACTIONS(3194),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1736] = {
    [sym_heredoc_content] = STATE(1736),
    [anon_sym_RBRACE] = ACTIONS(3198),
    [anon_sym_EQ] = ACTIONS(3200),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3198),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3198),
    [anon_sym_COMMA] = ACTIONS(3198),
    [anon_sym_RPAREN] = ACTIONS(3198),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3198),
    [anon_sym_and] = ACTIONS(3198),
    [anon_sym_or] = ACTIONS(3198),
    [anon_sym_xor] = ACTIONS(3198),
    [anon_sym_RBRACK] = ACTIONS(3198),
    [anon_sym_DASH_GT] = ACTIONS(3198),
    [anon_sym_PERCENT] = ACTIONS(3200),
    [anon_sym_GT] = ACTIONS(3200),
    [anon_sym_LT_LT] = ACTIONS(3200),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3198),
    [anon_sym_PLUS_EQ] = ACTIONS(3198),
    [anon_sym_DASH_EQ] = ACTIONS(3198),
    [anon_sym_DOT_EQ] = ACTIONS(3198),
    [anon_sym_STAR_EQ] = ACTIONS(3198),
    [anon_sym_SLASH_EQ] = ACTIONS(3198),
    [anon_sym_PERCENT_EQ] = ACTIONS(3198),
    [anon_sym_x_EQ] = ACTIONS(3198),
    [anon_sym_AMP_EQ] = ACTIONS(3198),
    [anon_sym_PIPE_EQ] = ACTIONS(3198),
    [anon_sym_CARET_EQ] = ACTIONS(3198),
    [anon_sym_LT_LT_EQ] = ACTIONS(3198),
    [anon_sym_GT_GT_EQ] = ACTIONS(3198),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3198),
    [anon_sym_DOT_DOT] = ACTIONS(3200),
    [anon_sym_STAR_STAR] = ACTIONS(3200),
    [anon_sym_PIPE_PIPE] = ACTIONS(3200),
    [anon_sym_SLASH_SLASH] = ACTIONS(3200),
    [anon_sym_CARET_CARET] = ACTIONS(3198),
    [anon_sym_AMP_AMP] = ACTIONS(3200),
    [anon_sym_PIPE] = ACTIONS(3200),
    [anon_sym_CARET] = ACTIONS(3200),
    [anon_sym_AMP] = ACTIONS(3200),
    [anon_sym_GT_GT2] = ACTIONS(3200),
    [anon_sym_PLUS] = ACTIONS(3200),
    [anon_sym_DASH] = ACTIONS(3200),
    [anon_sym_DOT] = ACTIONS(3200),
    [anon_sym_STAR] = ACTIONS(3200),
    [anon_sym_SLASH] = ACTIONS(3200),
    [anon_sym_x] = ACTIONS(3200),
    [anon_sym_EQ_TILDE] = ACTIONS(3198),
    [anon_sym_BANG_TILDE] = ACTIONS(3198),
    [anon_sym_EQ_EQ] = ACTIONS(3200),
    [anon_sym_BANG_EQ] = ACTIONS(3198),
    [anon_sym_eq] = ACTIONS(3200),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3198),
    [anon_sym_equ] = ACTIONS(3198),
    [anon_sym_eqr] = ACTIONS(3198),
    [anon_sym_ne] = ACTIONS(3198),
    [anon_sym_LT_EQ_GT] = ACTIONS(3198),
    [anon_sym_cmp] = ACTIONS(3198),
    [anon_sym_TILDE_TILDE] = ACTIONS(3198),
    [anon_sym_LT] = ACTIONS(3200),
    [anon_sym_LT_EQ] = ACTIONS(3200),
    [anon_sym_GT_EQ] = ACTIONS(3198),
    [anon_sym_lt] = ACTIONS(3198),
    [anon_sym_le] = ACTIONS(3198),
    [anon_sym_ge] = ACTIONS(3198),
    [anon_sym_gt] = ACTIONS(3198),
    [anon_sym_isa] = ACTIONS(3198),
    [anon_sym_PLUS_PLUS] = ACTIONS(3198),
    [anon_sym_DASH_DASH] = ACTIONS(3198),
    [anon_sym_QMARK] = ACTIONS(3198),
    [anon_sym_EQ_GT] = ACTIONS(3198),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1737] = {
    [sym_heredoc_content] = STATE(1737),
    [anon_sym_RBRACE] = ACTIONS(2983),
    [anon_sym_EQ] = ACTIONS(2985),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2983),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2983),
    [anon_sym_COMMA] = ACTIONS(2983),
    [anon_sym_RPAREN] = ACTIONS(2983),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2983),
    [anon_sym_and] = ACTIONS(2983),
    [anon_sym_or] = ACTIONS(2983),
    [anon_sym_xor] = ACTIONS(2983),
    [anon_sym_RBRACK] = ACTIONS(2983),
    [anon_sym_DASH_GT] = ACTIONS(2983),
    [anon_sym_PERCENT] = ACTIONS(2985),
    [anon_sym_GT] = ACTIONS(2985),
    [anon_sym_LT_LT] = ACTIONS(2985),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2983),
    [anon_sym_PLUS_EQ] = ACTIONS(2983),
    [anon_sym_DASH_EQ] = ACTIONS(2983),
    [anon_sym_DOT_EQ] = ACTIONS(2983),
    [anon_sym_STAR_EQ] = ACTIONS(2983),
    [anon_sym_SLASH_EQ] = ACTIONS(2983),
    [anon_sym_PERCENT_EQ] = ACTIONS(2983),
    [anon_sym_x_EQ] = ACTIONS(2983),
    [anon_sym_AMP_EQ] = ACTIONS(2983),
    [anon_sym_PIPE_EQ] = ACTIONS(2983),
    [anon_sym_CARET_EQ] = ACTIONS(2983),
    [anon_sym_LT_LT_EQ] = ACTIONS(2983),
    [anon_sym_GT_GT_EQ] = ACTIONS(2983),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2983),
    [anon_sym_DOT_DOT] = ACTIONS(2985),
    [anon_sym_STAR_STAR] = ACTIONS(2985),
    [anon_sym_PIPE_PIPE] = ACTIONS(2985),
    [anon_sym_SLASH_SLASH] = ACTIONS(2985),
    [anon_sym_CARET_CARET] = ACTIONS(2983),
    [anon_sym_AMP_AMP] = ACTIONS(2985),
    [anon_sym_PIPE] = ACTIONS(2985),
    [anon_sym_CARET] = ACTIONS(2985),
    [anon_sym_AMP] = ACTIONS(2985),
    [anon_sym_GT_GT2] = ACTIONS(2985),
    [anon_sym_PLUS] = ACTIONS(2985),
    [anon_sym_DASH] = ACTIONS(2985),
    [anon_sym_DOT] = ACTIONS(2985),
    [anon_sym_STAR] = ACTIONS(2985),
    [anon_sym_SLASH] = ACTIONS(2985),
    [anon_sym_x] = ACTIONS(2985),
    [anon_sym_EQ_TILDE] = ACTIONS(2983),
    [anon_sym_BANG_TILDE] = ACTIONS(2983),
    [anon_sym_EQ_EQ] = ACTIONS(2985),
    [anon_sym_BANG_EQ] = ACTIONS(2983),
    [anon_sym_eq] = ACTIONS(2985),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2983),
    [anon_sym_equ] = ACTIONS(2983),
    [anon_sym_eqr] = ACTIONS(2983),
    [anon_sym_ne] = ACTIONS(2983),
    [anon_sym_LT_EQ_GT] = ACTIONS(2983),
    [anon_sym_cmp] = ACTIONS(2983),
    [anon_sym_TILDE_TILDE] = ACTIONS(2983),
    [anon_sym_LT] = ACTIONS(2985),
    [anon_sym_LT_EQ] = ACTIONS(2985),
    [anon_sym_GT_EQ] = ACTIONS(2983),
    [anon_sym_lt] = ACTIONS(2983),
    [anon_sym_le] = ACTIONS(2983),
    [anon_sym_ge] = ACTIONS(2983),
    [anon_sym_gt] = ACTIONS(2983),
    [anon_sym_isa] = ACTIONS(2983),
    [anon_sym_PLUS_PLUS] = ACTIONS(2983),
    [anon_sym_DASH_DASH] = ACTIONS(2983),
    [anon_sym_QMARK] = ACTIONS(2983),
    [anon_sym_EQ_GT] = ACTIONS(2983),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1738] = {
    [sym_heredoc_content] = STATE(1738),
    [anon_sym_LBRACE] = ACTIONS(2486),
    [anon_sym_RBRACE] = ACTIONS(2486),
    [anon_sym_COLON] = ACTIONS(2486),
    [anon_sym_EQ] = ACTIONS(2488),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2486),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2486),
    [anon_sym_COMMA] = ACTIONS(2486),
    [anon_sym_RPAREN] = ACTIONS(2486),
    [anon_sym_LPAREN] = ACTIONS(2486),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2486),
    [anon_sym_LBRACK] = ACTIONS(2486),
    [anon_sym_DASH_GT] = ACTIONS(2486),
    [anon_sym_PERCENT] = ACTIONS(2488),
    [anon_sym_GT] = ACTIONS(2488),
    [anon_sym_LT_LT] = ACTIONS(2488),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2486),
    [anon_sym_PLUS_EQ] = ACTIONS(2486),
    [anon_sym_DASH_EQ] = ACTIONS(2486),
    [anon_sym_DOT_EQ] = ACTIONS(2486),
    [anon_sym_STAR_EQ] = ACTIONS(2486),
    [anon_sym_SLASH_EQ] = ACTIONS(2486),
    [anon_sym_PERCENT_EQ] = ACTIONS(2486),
    [anon_sym_x_EQ] = ACTIONS(2486),
    [anon_sym_AMP_EQ] = ACTIONS(2486),
    [anon_sym_PIPE_EQ] = ACTIONS(2486),
    [anon_sym_CARET_EQ] = ACTIONS(2486),
    [anon_sym_LT_LT_EQ] = ACTIONS(2486),
    [anon_sym_GT_GT_EQ] = ACTIONS(2486),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2486),
    [anon_sym_DOT_DOT] = ACTIONS(2488),
    [anon_sym_STAR_STAR] = ACTIONS(2488),
    [anon_sym_PIPE_PIPE] = ACTIONS(2488),
    [anon_sym_SLASH_SLASH] = ACTIONS(2488),
    [anon_sym_CARET_CARET] = ACTIONS(2486),
    [anon_sym_AMP_AMP] = ACTIONS(2488),
    [anon_sym_PIPE] = ACTIONS(2488),
    [anon_sym_CARET] = ACTIONS(2488),
    [anon_sym_AMP] = ACTIONS(2488),
    [anon_sym_GT_GT2] = ACTIONS(2488),
    [anon_sym_PLUS] = ACTIONS(2488),
    [anon_sym_DASH] = ACTIONS(2488),
    [anon_sym_DOT] = ACTIONS(2488),
    [anon_sym_STAR] = ACTIONS(2488),
    [anon_sym_SLASH] = ACTIONS(2488),
    [anon_sym_x] = ACTIONS(2488),
    [anon_sym_EQ_TILDE] = ACTIONS(2486),
    [anon_sym_BANG_TILDE] = ACTIONS(2486),
    [anon_sym_EQ_EQ] = ACTIONS(2488),
    [anon_sym_BANG_EQ] = ACTIONS(2486),
    [anon_sym_eq] = ACTIONS(2488),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2486),
    [anon_sym_equ] = ACTIONS(2486),
    [anon_sym_eqr] = ACTIONS(2486),
    [anon_sym_ne] = ACTIONS(2486),
    [anon_sym_LT_EQ_GT] = ACTIONS(2486),
    [anon_sym_cmp] = ACTIONS(2486),
    [anon_sym_TILDE_TILDE] = ACTIONS(2486),
    [anon_sym_LT] = ACTIONS(2488),
    [anon_sym_LT_EQ] = ACTIONS(2488),
    [anon_sym_GT_EQ] = ACTIONS(2486),
    [anon_sym_lt] = ACTIONS(2486),
    [anon_sym_le] = ACTIONS(2486),
    [anon_sym_ge] = ACTIONS(2486),
    [anon_sym_gt] = ACTIONS(2486),
    [anon_sym_isa] = ACTIONS(2486),
    [anon_sym_PLUS_PLUS] = ACTIONS(2486),
    [anon_sym_DASH_DASH] = ACTIONS(2486),
    [anon_sym_QMARK] = ACTIONS(2486),
    [anon_sym_EQ_GT] = ACTIONS(2486),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1739] = {
    [sym_heredoc_content] = STATE(1739),
    [anon_sym_RBRACE] = ACTIONS(2991),
    [anon_sym_EQ] = ACTIONS(2993),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2991),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2991),
    [anon_sym_COMMA] = ACTIONS(2991),
    [anon_sym_RPAREN] = ACTIONS(2991),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2991),
    [anon_sym_and] = ACTIONS(2991),
    [anon_sym_or] = ACTIONS(2991),
    [anon_sym_xor] = ACTIONS(2991),
    [anon_sym_RBRACK] = ACTIONS(2991),
    [anon_sym_DASH_GT] = ACTIONS(2991),
    [anon_sym_PERCENT] = ACTIONS(2993),
    [anon_sym_GT] = ACTIONS(2993),
    [anon_sym_LT_LT] = ACTIONS(2993),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2991),
    [anon_sym_PLUS_EQ] = ACTIONS(2991),
    [anon_sym_DASH_EQ] = ACTIONS(2991),
    [anon_sym_DOT_EQ] = ACTIONS(2991),
    [anon_sym_STAR_EQ] = ACTIONS(2991),
    [anon_sym_SLASH_EQ] = ACTIONS(2991),
    [anon_sym_PERCENT_EQ] = ACTIONS(2991),
    [anon_sym_x_EQ] = ACTIONS(2991),
    [anon_sym_AMP_EQ] = ACTIONS(2991),
    [anon_sym_PIPE_EQ] = ACTIONS(2991),
    [anon_sym_CARET_EQ] = ACTIONS(2991),
    [anon_sym_LT_LT_EQ] = ACTIONS(2991),
    [anon_sym_GT_GT_EQ] = ACTIONS(2991),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2991),
    [anon_sym_DOT_DOT] = ACTIONS(2993),
    [anon_sym_STAR_STAR] = ACTIONS(2993),
    [anon_sym_PIPE_PIPE] = ACTIONS(2993),
    [anon_sym_SLASH_SLASH] = ACTIONS(2993),
    [anon_sym_CARET_CARET] = ACTIONS(2991),
    [anon_sym_AMP_AMP] = ACTIONS(2993),
    [anon_sym_PIPE] = ACTIONS(2993),
    [anon_sym_CARET] = ACTIONS(2993),
    [anon_sym_AMP] = ACTIONS(2993),
    [anon_sym_GT_GT2] = ACTIONS(2993),
    [anon_sym_PLUS] = ACTIONS(2993),
    [anon_sym_DASH] = ACTIONS(2993),
    [anon_sym_DOT] = ACTIONS(2993),
    [anon_sym_STAR] = ACTIONS(2993),
    [anon_sym_SLASH] = ACTIONS(2993),
    [anon_sym_x] = ACTIONS(2993),
    [anon_sym_EQ_TILDE] = ACTIONS(2991),
    [anon_sym_BANG_TILDE] = ACTIONS(2991),
    [anon_sym_EQ_EQ] = ACTIONS(2993),
    [anon_sym_BANG_EQ] = ACTIONS(2991),
    [anon_sym_eq] = ACTIONS(2993),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2991),
    [anon_sym_equ] = ACTIONS(2991),
    [anon_sym_eqr] = ACTIONS(2991),
    [anon_sym_ne] = ACTIONS(2991),
    [anon_sym_LT_EQ_GT] = ACTIONS(2991),
    [anon_sym_cmp] = ACTIONS(2991),
    [anon_sym_TILDE_TILDE] = ACTIONS(2991),
    [anon_sym_LT] = ACTIONS(2993),
    [anon_sym_LT_EQ] = ACTIONS(2993),
    [anon_sym_GT_EQ] = ACTIONS(2991),
    [anon_sym_lt] = ACTIONS(2991),
    [anon_sym_le] = ACTIONS(2991),
    [anon_sym_ge] = ACTIONS(2991),
    [anon_sym_gt] = ACTIONS(2991),
    [anon_sym_isa] = ACTIONS(2991),
    [anon_sym_PLUS_PLUS] = ACTIONS(2991),
    [anon_sym_DASH_DASH] = ACTIONS(2991),
    [anon_sym_QMARK] = ACTIONS(2991),
    [anon_sym_EQ_GT] = ACTIONS(2991),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1740] = {
    [sym_heredoc_content] = STATE(1740),
    [anon_sym_RBRACE] = ACTIONS(3202),
    [anon_sym_EQ] = ACTIONS(3204),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3202),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3202),
    [anon_sym_COMMA] = ACTIONS(3202),
    [anon_sym_RPAREN] = ACTIONS(3202),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3202),
    [anon_sym_and] = ACTIONS(3202),
    [anon_sym_or] = ACTIONS(3202),
    [anon_sym_xor] = ACTIONS(3202),
    [anon_sym_RBRACK] = ACTIONS(3202),
    [anon_sym_DASH_GT] = ACTIONS(3202),
    [anon_sym_PERCENT] = ACTIONS(3204),
    [anon_sym_GT] = ACTIONS(3204),
    [anon_sym_LT_LT] = ACTIONS(3204),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3202),
    [anon_sym_PLUS_EQ] = ACTIONS(3202),
    [anon_sym_DASH_EQ] = ACTIONS(3202),
    [anon_sym_DOT_EQ] = ACTIONS(3202),
    [anon_sym_STAR_EQ] = ACTIONS(3202),
    [anon_sym_SLASH_EQ] = ACTIONS(3202),
    [anon_sym_PERCENT_EQ] = ACTIONS(3202),
    [anon_sym_x_EQ] = ACTIONS(3202),
    [anon_sym_AMP_EQ] = ACTIONS(3202),
    [anon_sym_PIPE_EQ] = ACTIONS(3202),
    [anon_sym_CARET_EQ] = ACTIONS(3202),
    [anon_sym_LT_LT_EQ] = ACTIONS(3202),
    [anon_sym_GT_GT_EQ] = ACTIONS(3202),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3202),
    [anon_sym_DOT_DOT] = ACTIONS(3204),
    [anon_sym_STAR_STAR] = ACTIONS(3204),
    [anon_sym_PIPE_PIPE] = ACTIONS(3204),
    [anon_sym_SLASH_SLASH] = ACTIONS(3204),
    [anon_sym_CARET_CARET] = ACTIONS(3202),
    [anon_sym_AMP_AMP] = ACTIONS(3204),
    [anon_sym_PIPE] = ACTIONS(3204),
    [anon_sym_CARET] = ACTIONS(3204),
    [anon_sym_AMP] = ACTIONS(3204),
    [anon_sym_GT_GT2] = ACTIONS(3204),
    [anon_sym_PLUS] = ACTIONS(3204),
    [anon_sym_DASH] = ACTIONS(3204),
    [anon_sym_DOT] = ACTIONS(3204),
    [anon_sym_STAR] = ACTIONS(3204),
    [anon_sym_SLASH] = ACTIONS(3204),
    [anon_sym_x] = ACTIONS(3204),
    [anon_sym_EQ_TILDE] = ACTIONS(3202),
    [anon_sym_BANG_TILDE] = ACTIONS(3202),
    [anon_sym_EQ_EQ] = ACTIONS(3204),
    [anon_sym_BANG_EQ] = ACTIONS(3202),
    [anon_sym_eq] = ACTIONS(3204),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3202),
    [anon_sym_equ] = ACTIONS(3202),
    [anon_sym_eqr] = ACTIONS(3202),
    [anon_sym_ne] = ACTIONS(3202),
    [anon_sym_LT_EQ_GT] = ACTIONS(3202),
    [anon_sym_cmp] = ACTIONS(3202),
    [anon_sym_TILDE_TILDE] = ACTIONS(3202),
    [anon_sym_LT] = ACTIONS(3204),
    [anon_sym_LT_EQ] = ACTIONS(3204),
    [anon_sym_GT_EQ] = ACTIONS(3202),
    [anon_sym_lt] = ACTIONS(3202),
    [anon_sym_le] = ACTIONS(3202),
    [anon_sym_ge] = ACTIONS(3202),
    [anon_sym_gt] = ACTIONS(3202),
    [anon_sym_isa] = ACTIONS(3202),
    [anon_sym_PLUS_PLUS] = ACTIONS(3202),
    [anon_sym_DASH_DASH] = ACTIONS(3202),
    [anon_sym_QMARK] = ACTIONS(3202),
    [anon_sym_EQ_GT] = ACTIONS(3202),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1741] = {
    [sym_heredoc_content] = STATE(1741),
    [anon_sym_RBRACE] = ACTIONS(3278),
    [anon_sym_EQ] = ACTIONS(3280),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3278),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3278),
    [anon_sym_COMMA] = ACTIONS(3278),
    [anon_sym_RPAREN] = ACTIONS(3278),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3278),
    [anon_sym_and] = ACTIONS(3278),
    [anon_sym_or] = ACTIONS(3278),
    [anon_sym_xor] = ACTIONS(3278),
    [anon_sym_RBRACK] = ACTIONS(3278),
    [anon_sym_DASH_GT] = ACTIONS(3278),
    [anon_sym_PERCENT] = ACTIONS(3280),
    [anon_sym_GT] = ACTIONS(3280),
    [anon_sym_LT_LT] = ACTIONS(3280),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3278),
    [anon_sym_PLUS_EQ] = ACTIONS(3278),
    [anon_sym_DASH_EQ] = ACTIONS(3278),
    [anon_sym_DOT_EQ] = ACTIONS(3278),
    [anon_sym_STAR_EQ] = ACTIONS(3278),
    [anon_sym_SLASH_EQ] = ACTIONS(3278),
    [anon_sym_PERCENT_EQ] = ACTIONS(3278),
    [anon_sym_x_EQ] = ACTIONS(3278),
    [anon_sym_AMP_EQ] = ACTIONS(3278),
    [anon_sym_PIPE_EQ] = ACTIONS(3278),
    [anon_sym_CARET_EQ] = ACTIONS(3278),
    [anon_sym_LT_LT_EQ] = ACTIONS(3278),
    [anon_sym_GT_GT_EQ] = ACTIONS(3278),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3278),
    [anon_sym_DOT_DOT] = ACTIONS(3280),
    [anon_sym_STAR_STAR] = ACTIONS(3280),
    [anon_sym_PIPE_PIPE] = ACTIONS(3280),
    [anon_sym_SLASH_SLASH] = ACTIONS(3280),
    [anon_sym_CARET_CARET] = ACTIONS(3278),
    [anon_sym_AMP_AMP] = ACTIONS(3280),
    [anon_sym_PIPE] = ACTIONS(3280),
    [anon_sym_CARET] = ACTIONS(3280),
    [anon_sym_AMP] = ACTIONS(3280),
    [anon_sym_GT_GT2] = ACTIONS(3280),
    [anon_sym_PLUS] = ACTIONS(3280),
    [anon_sym_DASH] = ACTIONS(3280),
    [anon_sym_DOT] = ACTIONS(3280),
    [anon_sym_STAR] = ACTIONS(3280),
    [anon_sym_SLASH] = ACTIONS(3280),
    [anon_sym_x] = ACTIONS(3280),
    [anon_sym_EQ_TILDE] = ACTIONS(3278),
    [anon_sym_BANG_TILDE] = ACTIONS(3278),
    [anon_sym_EQ_EQ] = ACTIONS(3280),
    [anon_sym_BANG_EQ] = ACTIONS(3278),
    [anon_sym_eq] = ACTIONS(3280),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3278),
    [anon_sym_equ] = ACTIONS(3278),
    [anon_sym_eqr] = ACTIONS(3278),
    [anon_sym_ne] = ACTIONS(3278),
    [anon_sym_LT_EQ_GT] = ACTIONS(3278),
    [anon_sym_cmp] = ACTIONS(3278),
    [anon_sym_TILDE_TILDE] = ACTIONS(3278),
    [anon_sym_LT] = ACTIONS(3280),
    [anon_sym_LT_EQ] = ACTIONS(3280),
    [anon_sym_GT_EQ] = ACTIONS(3278),
    [anon_sym_lt] = ACTIONS(3278),
    [anon_sym_le] = ACTIONS(3278),
    [anon_sym_ge] = ACTIONS(3278),
    [anon_sym_gt] = ACTIONS(3278),
    [anon_sym_isa] = ACTIONS(3278),
    [anon_sym_PLUS_PLUS] = ACTIONS(3278),
    [anon_sym_DASH_DASH] = ACTIONS(3278),
    [anon_sym_QMARK] = ACTIONS(3278),
    [anon_sym_EQ_GT] = ACTIONS(3278),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1742] = {
    [sym_heredoc_content] = STATE(1742),
    [anon_sym_RBRACE] = ACTIONS(3027),
    [anon_sym_EQ] = ACTIONS(3029),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3027),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3027),
    [anon_sym_COMMA] = ACTIONS(3027),
    [anon_sym_RPAREN] = ACTIONS(3027),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3027),
    [anon_sym_and] = ACTIONS(3027),
    [anon_sym_or] = ACTIONS(3027),
    [anon_sym_xor] = ACTIONS(3027),
    [anon_sym_RBRACK] = ACTIONS(3027),
    [anon_sym_DASH_GT] = ACTIONS(3457),
    [anon_sym_PERCENT] = ACTIONS(3459),
    [anon_sym_GT] = ACTIONS(3461),
    [anon_sym_LT_LT] = ACTIONS(3463),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3027),
    [anon_sym_PLUS_EQ] = ACTIONS(3027),
    [anon_sym_DASH_EQ] = ACTIONS(3027),
    [anon_sym_DOT_EQ] = ACTIONS(3027),
    [anon_sym_STAR_EQ] = ACTIONS(3027),
    [anon_sym_SLASH_EQ] = ACTIONS(3027),
    [anon_sym_PERCENT_EQ] = ACTIONS(3027),
    [anon_sym_x_EQ] = ACTIONS(3027),
    [anon_sym_AMP_EQ] = ACTIONS(3027),
    [anon_sym_PIPE_EQ] = ACTIONS(3027),
    [anon_sym_CARET_EQ] = ACTIONS(3027),
    [anon_sym_LT_LT_EQ] = ACTIONS(3027),
    [anon_sym_GT_GT_EQ] = ACTIONS(3027),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3027),
    [anon_sym_DOT_DOT] = ACTIONS(3029),
    [anon_sym_STAR_STAR] = ACTIONS(3467),
    [anon_sym_PIPE_PIPE] = ACTIONS(3029),
    [anon_sym_SLASH_SLASH] = ACTIONS(3029),
    [anon_sym_CARET_CARET] = ACTIONS(3027),
    [anon_sym_AMP_AMP] = ACTIONS(3029),
    [anon_sym_PIPE] = ACTIONS(3029),
    [anon_sym_CARET] = ACTIONS(3029),
    [anon_sym_AMP] = ACTIONS(3029),
    [anon_sym_GT_GT2] = ACTIONS(3463),
    [anon_sym_PLUS] = ACTIONS(3479),
    [anon_sym_DASH] = ACTIONS(3479),
    [anon_sym_DOT] = ACTIONS(3479),
    [anon_sym_STAR] = ACTIONS(3459),
    [anon_sym_SLASH] = ACTIONS(3459),
    [anon_sym_x] = ACTIONS(3459),
    [anon_sym_EQ_TILDE] = ACTIONS(3481),
    [anon_sym_BANG_TILDE] = ACTIONS(3481),
    [anon_sym_EQ_EQ] = ACTIONS(3029),
    [anon_sym_BANG_EQ] = ACTIONS(3027),
    [anon_sym_eq] = ACTIONS(3029),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3027),
    [anon_sym_equ] = ACTIONS(3027),
    [anon_sym_eqr] = ACTIONS(3027),
    [anon_sym_ne] = ACTIONS(3027),
    [anon_sym_LT_EQ_GT] = ACTIONS(3027),
    [anon_sym_cmp] = ACTIONS(3027),
    [anon_sym_TILDE_TILDE] = ACTIONS(3027),
    [anon_sym_LT] = ACTIONS(3461),
    [anon_sym_LT_EQ] = ACTIONS(3461),
    [anon_sym_GT_EQ] = ACTIONS(3489),
    [anon_sym_lt] = ACTIONS(3489),
    [anon_sym_le] = ACTIONS(3489),
    [anon_sym_ge] = ACTIONS(3489),
    [anon_sym_gt] = ACTIONS(3489),
    [anon_sym_isa] = ACTIONS(3597),
    [anon_sym_PLUS_PLUS] = ACTIONS(3493),
    [anon_sym_DASH_DASH] = ACTIONS(3493),
    [anon_sym_QMARK] = ACTIONS(3027),
    [anon_sym_EQ_GT] = ACTIONS(3027),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1743] = {
    [sym_heredoc_content] = STATE(1743),
    [anon_sym_RBRACE] = ACTIONS(3206),
    [anon_sym_EQ] = ACTIONS(3208),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3206),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3206),
    [anon_sym_COMMA] = ACTIONS(3206),
    [anon_sym_RPAREN] = ACTIONS(3206),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3206),
    [anon_sym_and] = ACTIONS(3206),
    [anon_sym_or] = ACTIONS(3206),
    [anon_sym_xor] = ACTIONS(3206),
    [anon_sym_RBRACK] = ACTIONS(3206),
    [anon_sym_DASH_GT] = ACTIONS(3206),
    [anon_sym_PERCENT] = ACTIONS(3208),
    [anon_sym_GT] = ACTIONS(3208),
    [anon_sym_LT_LT] = ACTIONS(3208),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3206),
    [anon_sym_PLUS_EQ] = ACTIONS(3206),
    [anon_sym_DASH_EQ] = ACTIONS(3206),
    [anon_sym_DOT_EQ] = ACTIONS(3206),
    [anon_sym_STAR_EQ] = ACTIONS(3206),
    [anon_sym_SLASH_EQ] = ACTIONS(3206),
    [anon_sym_PERCENT_EQ] = ACTIONS(3206),
    [anon_sym_x_EQ] = ACTIONS(3206),
    [anon_sym_AMP_EQ] = ACTIONS(3206),
    [anon_sym_PIPE_EQ] = ACTIONS(3206),
    [anon_sym_CARET_EQ] = ACTIONS(3206),
    [anon_sym_LT_LT_EQ] = ACTIONS(3206),
    [anon_sym_GT_GT_EQ] = ACTIONS(3206),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3206),
    [anon_sym_DOT_DOT] = ACTIONS(3208),
    [anon_sym_STAR_STAR] = ACTIONS(3208),
    [anon_sym_PIPE_PIPE] = ACTIONS(3208),
    [anon_sym_SLASH_SLASH] = ACTIONS(3208),
    [anon_sym_CARET_CARET] = ACTIONS(3206),
    [anon_sym_AMP_AMP] = ACTIONS(3208),
    [anon_sym_PIPE] = ACTIONS(3208),
    [anon_sym_CARET] = ACTIONS(3208),
    [anon_sym_AMP] = ACTIONS(3208),
    [anon_sym_GT_GT2] = ACTIONS(3208),
    [anon_sym_PLUS] = ACTIONS(3208),
    [anon_sym_DASH] = ACTIONS(3208),
    [anon_sym_DOT] = ACTIONS(3208),
    [anon_sym_STAR] = ACTIONS(3208),
    [anon_sym_SLASH] = ACTIONS(3208),
    [anon_sym_x] = ACTIONS(3208),
    [anon_sym_EQ_TILDE] = ACTIONS(3206),
    [anon_sym_BANG_TILDE] = ACTIONS(3206),
    [anon_sym_EQ_EQ] = ACTIONS(3208),
    [anon_sym_BANG_EQ] = ACTIONS(3206),
    [anon_sym_eq] = ACTIONS(3208),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3206),
    [anon_sym_equ] = ACTIONS(3206),
    [anon_sym_eqr] = ACTIONS(3206),
    [anon_sym_ne] = ACTIONS(3206),
    [anon_sym_LT_EQ_GT] = ACTIONS(3206),
    [anon_sym_cmp] = ACTIONS(3206),
    [anon_sym_TILDE_TILDE] = ACTIONS(3206),
    [anon_sym_LT] = ACTIONS(3208),
    [anon_sym_LT_EQ] = ACTIONS(3208),
    [anon_sym_GT_EQ] = ACTIONS(3206),
    [anon_sym_lt] = ACTIONS(3206),
    [anon_sym_le] = ACTIONS(3206),
    [anon_sym_ge] = ACTIONS(3206),
    [anon_sym_gt] = ACTIONS(3206),
    [anon_sym_isa] = ACTIONS(3206),
    [anon_sym_PLUS_PLUS] = ACTIONS(3206),
    [anon_sym_DASH_DASH] = ACTIONS(3206),
    [anon_sym_QMARK] = ACTIONS(3206),
    [anon_sym_EQ_GT] = ACTIONS(3206),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1744] = {
    [sym_heredoc_content] = STATE(1744),
    [anon_sym_RBRACE] = ACTIONS(3210),
    [anon_sym_EQ] = ACTIONS(3212),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3210),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3210),
    [anon_sym_COMMA] = ACTIONS(3210),
    [anon_sym_RPAREN] = ACTIONS(3210),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3210),
    [anon_sym_and] = ACTIONS(3210),
    [anon_sym_or] = ACTIONS(3210),
    [anon_sym_xor] = ACTIONS(3210),
    [anon_sym_RBRACK] = ACTIONS(3210),
    [anon_sym_DASH_GT] = ACTIONS(3210),
    [anon_sym_PERCENT] = ACTIONS(3212),
    [anon_sym_GT] = ACTIONS(3212),
    [anon_sym_LT_LT] = ACTIONS(3212),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3210),
    [anon_sym_PLUS_EQ] = ACTIONS(3210),
    [anon_sym_DASH_EQ] = ACTIONS(3210),
    [anon_sym_DOT_EQ] = ACTIONS(3210),
    [anon_sym_STAR_EQ] = ACTIONS(3210),
    [anon_sym_SLASH_EQ] = ACTIONS(3210),
    [anon_sym_PERCENT_EQ] = ACTIONS(3210),
    [anon_sym_x_EQ] = ACTIONS(3210),
    [anon_sym_AMP_EQ] = ACTIONS(3210),
    [anon_sym_PIPE_EQ] = ACTIONS(3210),
    [anon_sym_CARET_EQ] = ACTIONS(3210),
    [anon_sym_LT_LT_EQ] = ACTIONS(3210),
    [anon_sym_GT_GT_EQ] = ACTIONS(3210),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3210),
    [anon_sym_DOT_DOT] = ACTIONS(3212),
    [anon_sym_STAR_STAR] = ACTIONS(3212),
    [anon_sym_PIPE_PIPE] = ACTIONS(3212),
    [anon_sym_SLASH_SLASH] = ACTIONS(3212),
    [anon_sym_CARET_CARET] = ACTIONS(3210),
    [anon_sym_AMP_AMP] = ACTIONS(3212),
    [anon_sym_PIPE] = ACTIONS(3212),
    [anon_sym_CARET] = ACTIONS(3212),
    [anon_sym_AMP] = ACTIONS(3212),
    [anon_sym_GT_GT2] = ACTIONS(3212),
    [anon_sym_PLUS] = ACTIONS(3212),
    [anon_sym_DASH] = ACTIONS(3212),
    [anon_sym_DOT] = ACTIONS(3212),
    [anon_sym_STAR] = ACTIONS(3212),
    [anon_sym_SLASH] = ACTIONS(3212),
    [anon_sym_x] = ACTIONS(3212),
    [anon_sym_EQ_TILDE] = ACTIONS(3210),
    [anon_sym_BANG_TILDE] = ACTIONS(3210),
    [anon_sym_EQ_EQ] = ACTIONS(3212),
    [anon_sym_BANG_EQ] = ACTIONS(3210),
    [anon_sym_eq] = ACTIONS(3212),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3210),
    [anon_sym_equ] = ACTIONS(3210),
    [anon_sym_eqr] = ACTIONS(3210),
    [anon_sym_ne] = ACTIONS(3210),
    [anon_sym_LT_EQ_GT] = ACTIONS(3210),
    [anon_sym_cmp] = ACTIONS(3210),
    [anon_sym_TILDE_TILDE] = ACTIONS(3210),
    [anon_sym_LT] = ACTIONS(3212),
    [anon_sym_LT_EQ] = ACTIONS(3212),
    [anon_sym_GT_EQ] = ACTIONS(3210),
    [anon_sym_lt] = ACTIONS(3210),
    [anon_sym_le] = ACTIONS(3210),
    [anon_sym_ge] = ACTIONS(3210),
    [anon_sym_gt] = ACTIONS(3210),
    [anon_sym_isa] = ACTIONS(3210),
    [anon_sym_PLUS_PLUS] = ACTIONS(3210),
    [anon_sym_DASH_DASH] = ACTIONS(3210),
    [anon_sym_QMARK] = ACTIONS(3210),
    [anon_sym_EQ_GT] = ACTIONS(3210),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1745] = {
    [sym_heredoc_content] = STATE(1745),
    [anon_sym_LBRACE] = ACTIONS(1861),
    [anon_sym_RBRACE] = ACTIONS(1861),
    [anon_sym_COLON] = ACTIONS(1861),
    [anon_sym_EQ] = ACTIONS(1859),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1861),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1861),
    [anon_sym_COMMA] = ACTIONS(1861),
    [anon_sym_RPAREN] = ACTIONS(1861),
    [anon_sym_LPAREN] = ACTIONS(1861),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1861),
    [anon_sym_LBRACK] = ACTIONS(1861),
    [anon_sym_DASH_GT] = ACTIONS(1861),
    [anon_sym_PERCENT] = ACTIONS(1859),
    [anon_sym_GT] = ACTIONS(1859),
    [anon_sym_LT_LT] = ACTIONS(1859),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1861),
    [anon_sym_PLUS_EQ] = ACTIONS(1861),
    [anon_sym_DASH_EQ] = ACTIONS(1861),
    [anon_sym_DOT_EQ] = ACTIONS(1861),
    [anon_sym_STAR_EQ] = ACTIONS(1861),
    [anon_sym_SLASH_EQ] = ACTIONS(1861),
    [anon_sym_PERCENT_EQ] = ACTIONS(1861),
    [anon_sym_x_EQ] = ACTIONS(1861),
    [anon_sym_AMP_EQ] = ACTIONS(1861),
    [anon_sym_PIPE_EQ] = ACTIONS(1861),
    [anon_sym_CARET_EQ] = ACTIONS(1861),
    [anon_sym_LT_LT_EQ] = ACTIONS(1861),
    [anon_sym_GT_GT_EQ] = ACTIONS(1861),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1861),
    [anon_sym_DOT_DOT] = ACTIONS(1859),
    [anon_sym_STAR_STAR] = ACTIONS(1859),
    [anon_sym_PIPE_PIPE] = ACTIONS(1859),
    [anon_sym_SLASH_SLASH] = ACTIONS(1859),
    [anon_sym_CARET_CARET] = ACTIONS(1861),
    [anon_sym_AMP_AMP] = ACTIONS(1859),
    [anon_sym_PIPE] = ACTIONS(1859),
    [anon_sym_CARET] = ACTIONS(1859),
    [anon_sym_AMP] = ACTIONS(1859),
    [anon_sym_GT_GT2] = ACTIONS(1859),
    [anon_sym_PLUS] = ACTIONS(1859),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_DOT] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1859),
    [anon_sym_SLASH] = ACTIONS(1859),
    [anon_sym_x] = ACTIONS(1859),
    [anon_sym_EQ_TILDE] = ACTIONS(1861),
    [anon_sym_BANG_TILDE] = ACTIONS(1861),
    [anon_sym_EQ_EQ] = ACTIONS(1859),
    [anon_sym_BANG_EQ] = ACTIONS(1861),
    [anon_sym_eq] = ACTIONS(1859),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1861),
    [anon_sym_equ] = ACTIONS(1861),
    [anon_sym_eqr] = ACTIONS(1861),
    [anon_sym_ne] = ACTIONS(1861),
    [anon_sym_LT_EQ_GT] = ACTIONS(1861),
    [anon_sym_cmp] = ACTIONS(1861),
    [anon_sym_TILDE_TILDE] = ACTIONS(1861),
    [anon_sym_LT] = ACTIONS(1859),
    [anon_sym_LT_EQ] = ACTIONS(1859),
    [anon_sym_GT_EQ] = ACTIONS(1861),
    [anon_sym_lt] = ACTIONS(1861),
    [anon_sym_le] = ACTIONS(1861),
    [anon_sym_ge] = ACTIONS(1861),
    [anon_sym_gt] = ACTIONS(1861),
    [anon_sym_isa] = ACTIONS(1861),
    [anon_sym_PLUS_PLUS] = ACTIONS(1861),
    [anon_sym_DASH_DASH] = ACTIONS(1861),
    [anon_sym_QMARK] = ACTIONS(1861),
    [anon_sym_EQ_GT] = ACTIONS(1861),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1746] = {
    [sym_heredoc_content] = STATE(1746),
    [anon_sym_RBRACE] = ACTIONS(2877),
    [anon_sym_EQ] = ACTIONS(2880),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2877),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2877),
    [anon_sym_COMMA] = ACTIONS(2877),
    [anon_sym_RPAREN] = ACTIONS(2877),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2877),
    [anon_sym_and] = ACTIONS(2877),
    [anon_sym_or] = ACTIONS(2877),
    [anon_sym_xor] = ACTIONS(2877),
    [anon_sym_RBRACK] = ACTIONS(2877),
    [anon_sym_DASH_GT] = ACTIONS(2877),
    [anon_sym_PERCENT] = ACTIONS(2880),
    [anon_sym_GT] = ACTIONS(2880),
    [anon_sym_LT_LT] = ACTIONS(2880),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2877),
    [anon_sym_PLUS_EQ] = ACTIONS(2877),
    [anon_sym_DASH_EQ] = ACTIONS(2877),
    [anon_sym_DOT_EQ] = ACTIONS(2877),
    [anon_sym_STAR_EQ] = ACTIONS(2877),
    [anon_sym_SLASH_EQ] = ACTIONS(2877),
    [anon_sym_PERCENT_EQ] = ACTIONS(2877),
    [anon_sym_x_EQ] = ACTIONS(2877),
    [anon_sym_AMP_EQ] = ACTIONS(2877),
    [anon_sym_PIPE_EQ] = ACTIONS(2877),
    [anon_sym_CARET_EQ] = ACTIONS(2877),
    [anon_sym_LT_LT_EQ] = ACTIONS(2877),
    [anon_sym_GT_GT_EQ] = ACTIONS(2877),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2877),
    [anon_sym_DOT_DOT] = ACTIONS(2880),
    [anon_sym_STAR_STAR] = ACTIONS(2880),
    [anon_sym_PIPE_PIPE] = ACTIONS(2880),
    [anon_sym_SLASH_SLASH] = ACTIONS(2880),
    [anon_sym_CARET_CARET] = ACTIONS(2877),
    [anon_sym_AMP_AMP] = ACTIONS(2880),
    [anon_sym_PIPE] = ACTIONS(2880),
    [anon_sym_CARET] = ACTIONS(2880),
    [anon_sym_AMP] = ACTIONS(2880),
    [anon_sym_GT_GT2] = ACTIONS(2880),
    [anon_sym_PLUS] = ACTIONS(2880),
    [anon_sym_DASH] = ACTIONS(2880),
    [anon_sym_DOT] = ACTIONS(2880),
    [anon_sym_STAR] = ACTIONS(2880),
    [anon_sym_SLASH] = ACTIONS(2880),
    [anon_sym_x] = ACTIONS(2880),
    [anon_sym_EQ_TILDE] = ACTIONS(2877),
    [anon_sym_BANG_TILDE] = ACTIONS(2877),
    [anon_sym_EQ_EQ] = ACTIONS(2880),
    [anon_sym_BANG_EQ] = ACTIONS(2877),
    [anon_sym_eq] = ACTIONS(2880),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2877),
    [anon_sym_equ] = ACTIONS(2877),
    [anon_sym_eqr] = ACTIONS(2877),
    [anon_sym_ne] = ACTIONS(2877),
    [anon_sym_LT_EQ_GT] = ACTIONS(2877),
    [anon_sym_cmp] = ACTIONS(2877),
    [anon_sym_TILDE_TILDE] = ACTIONS(2877),
    [anon_sym_LT] = ACTIONS(2880),
    [anon_sym_LT_EQ] = ACTIONS(2880),
    [anon_sym_GT_EQ] = ACTIONS(2877),
    [anon_sym_lt] = ACTIONS(2877),
    [anon_sym_le] = ACTIONS(2877),
    [anon_sym_ge] = ACTIONS(2877),
    [anon_sym_gt] = ACTIONS(2877),
    [anon_sym_isa] = ACTIONS(2877),
    [anon_sym_PLUS_PLUS] = ACTIONS(2877),
    [anon_sym_DASH_DASH] = ACTIONS(2877),
    [anon_sym_QMARK] = ACTIONS(2877),
    [anon_sym_EQ_GT] = ACTIONS(2877),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1747] = {
    [sym_heredoc_content] = STATE(1747),
    [anon_sym_RBRACE] = ACTIONS(2833),
    [anon_sym_EQ] = ACTIONS(2835),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_COMMA] = ACTIONS(2833),
    [anon_sym_RPAREN] = ACTIONS(2833),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2833),
    [anon_sym_and] = ACTIONS(2833),
    [anon_sym_or] = ACTIONS(2833),
    [anon_sym_xor] = ACTIONS(2833),
    [anon_sym_RBRACK] = ACTIONS(2833),
    [anon_sym_DASH_GT] = ACTIONS(2833),
    [anon_sym_PERCENT] = ACTIONS(2835),
    [anon_sym_GT] = ACTIONS(2835),
    [anon_sym_LT_LT] = ACTIONS(2835),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2833),
    [anon_sym_PLUS_EQ] = ACTIONS(2833),
    [anon_sym_DASH_EQ] = ACTIONS(2833),
    [anon_sym_DOT_EQ] = ACTIONS(2833),
    [anon_sym_STAR_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_PERCENT_EQ] = ACTIONS(2833),
    [anon_sym_x_EQ] = ACTIONS(2833),
    [anon_sym_AMP_EQ] = ACTIONS(2833),
    [anon_sym_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_CARET_EQ] = ACTIONS(2833),
    [anon_sym_LT_LT_EQ] = ACTIONS(2833),
    [anon_sym_GT_GT_EQ] = ACTIONS(2833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2833),
    [anon_sym_DOT_DOT] = ACTIONS(2835),
    [anon_sym_STAR_STAR] = ACTIONS(2835),
    [anon_sym_PIPE_PIPE] = ACTIONS(2835),
    [anon_sym_SLASH_SLASH] = ACTIONS(2835),
    [anon_sym_CARET_CARET] = ACTIONS(2833),
    [anon_sym_AMP_AMP] = ACTIONS(2835),
    [anon_sym_PIPE] = ACTIONS(2835),
    [anon_sym_CARET] = ACTIONS(2835),
    [anon_sym_AMP] = ACTIONS(2835),
    [anon_sym_GT_GT2] = ACTIONS(2835),
    [anon_sym_PLUS] = ACTIONS(2835),
    [anon_sym_DASH] = ACTIONS(2835),
    [anon_sym_DOT] = ACTIONS(2835),
    [anon_sym_STAR] = ACTIONS(2835),
    [anon_sym_SLASH] = ACTIONS(2835),
    [anon_sym_x] = ACTIONS(2835),
    [anon_sym_EQ_TILDE] = ACTIONS(2833),
    [anon_sym_BANG_TILDE] = ACTIONS(2833),
    [anon_sym_EQ_EQ] = ACTIONS(2835),
    [anon_sym_BANG_EQ] = ACTIONS(2833),
    [anon_sym_eq] = ACTIONS(2835),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2833),
    [anon_sym_equ] = ACTIONS(2833),
    [anon_sym_eqr] = ACTIONS(2833),
    [anon_sym_ne] = ACTIONS(2833),
    [anon_sym_LT_EQ_GT] = ACTIONS(2833),
    [anon_sym_cmp] = ACTIONS(2833),
    [anon_sym_TILDE_TILDE] = ACTIONS(2833),
    [anon_sym_LT] = ACTIONS(2835),
    [anon_sym_LT_EQ] = ACTIONS(2835),
    [anon_sym_GT_EQ] = ACTIONS(2833),
    [anon_sym_lt] = ACTIONS(2833),
    [anon_sym_le] = ACTIONS(2833),
    [anon_sym_ge] = ACTIONS(2833),
    [anon_sym_gt] = ACTIONS(2833),
    [anon_sym_isa] = ACTIONS(2833),
    [anon_sym_PLUS_PLUS] = ACTIONS(2833),
    [anon_sym_DASH_DASH] = ACTIONS(2833),
    [anon_sym_QMARK] = ACTIONS(2833),
    [anon_sym_EQ_GT] = ACTIONS(2833),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1748] = {
    [sym_heredoc_content] = STATE(1748),
    [anon_sym_RBRACE] = ACTIONS(2837),
    [anon_sym_EQ] = ACTIONS(2839),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2837),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2837),
    [anon_sym_COMMA] = ACTIONS(2837),
    [anon_sym_RPAREN] = ACTIONS(2837),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2837),
    [anon_sym_and] = ACTIONS(2837),
    [anon_sym_or] = ACTIONS(2837),
    [anon_sym_xor] = ACTIONS(2837),
    [anon_sym_RBRACK] = ACTIONS(2837),
    [anon_sym_DASH_GT] = ACTIONS(2837),
    [anon_sym_PERCENT] = ACTIONS(2839),
    [anon_sym_GT] = ACTIONS(2839),
    [anon_sym_LT_LT] = ACTIONS(2839),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2837),
    [anon_sym_PLUS_EQ] = ACTIONS(2837),
    [anon_sym_DASH_EQ] = ACTIONS(2837),
    [anon_sym_DOT_EQ] = ACTIONS(2837),
    [anon_sym_STAR_EQ] = ACTIONS(2837),
    [anon_sym_SLASH_EQ] = ACTIONS(2837),
    [anon_sym_PERCENT_EQ] = ACTIONS(2837),
    [anon_sym_x_EQ] = ACTIONS(2837),
    [anon_sym_AMP_EQ] = ACTIONS(2837),
    [anon_sym_PIPE_EQ] = ACTIONS(2837),
    [anon_sym_CARET_EQ] = ACTIONS(2837),
    [anon_sym_LT_LT_EQ] = ACTIONS(2837),
    [anon_sym_GT_GT_EQ] = ACTIONS(2837),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2837),
    [anon_sym_DOT_DOT] = ACTIONS(2839),
    [anon_sym_STAR_STAR] = ACTIONS(2839),
    [anon_sym_PIPE_PIPE] = ACTIONS(2839),
    [anon_sym_SLASH_SLASH] = ACTIONS(2839),
    [anon_sym_CARET_CARET] = ACTIONS(2837),
    [anon_sym_AMP_AMP] = ACTIONS(2839),
    [anon_sym_PIPE] = ACTIONS(2839),
    [anon_sym_CARET] = ACTIONS(2839),
    [anon_sym_AMP] = ACTIONS(2839),
    [anon_sym_GT_GT2] = ACTIONS(2839),
    [anon_sym_PLUS] = ACTIONS(2839),
    [anon_sym_DASH] = ACTIONS(2839),
    [anon_sym_DOT] = ACTIONS(2839),
    [anon_sym_STAR] = ACTIONS(2839),
    [anon_sym_SLASH] = ACTIONS(2839),
    [anon_sym_x] = ACTIONS(2839),
    [anon_sym_EQ_TILDE] = ACTIONS(2837),
    [anon_sym_BANG_TILDE] = ACTIONS(2837),
    [anon_sym_EQ_EQ] = ACTIONS(2839),
    [anon_sym_BANG_EQ] = ACTIONS(2837),
    [anon_sym_eq] = ACTIONS(2839),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2837),
    [anon_sym_equ] = ACTIONS(2837),
    [anon_sym_eqr] = ACTIONS(2837),
    [anon_sym_ne] = ACTIONS(2837),
    [anon_sym_LT_EQ_GT] = ACTIONS(2837),
    [anon_sym_cmp] = ACTIONS(2837),
    [anon_sym_TILDE_TILDE] = ACTIONS(2837),
    [anon_sym_LT] = ACTIONS(2839),
    [anon_sym_LT_EQ] = ACTIONS(2839),
    [anon_sym_GT_EQ] = ACTIONS(2837),
    [anon_sym_lt] = ACTIONS(2837),
    [anon_sym_le] = ACTIONS(2837),
    [anon_sym_ge] = ACTIONS(2837),
    [anon_sym_gt] = ACTIONS(2837),
    [anon_sym_isa] = ACTIONS(2837),
    [anon_sym_PLUS_PLUS] = ACTIONS(2837),
    [anon_sym_DASH_DASH] = ACTIONS(2837),
    [anon_sym_QMARK] = ACTIONS(2837),
    [anon_sym_EQ_GT] = ACTIONS(2837),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1749] = {
    [sym_heredoc_content] = STATE(1749),
    [anon_sym_LBRACE] = ACTIONS(3599),
    [anon_sym_RBRACE] = ACTIONS(1849),
    [anon_sym_COLON] = ACTIONS(1849),
    [anon_sym_EQ] = ACTIONS(1840),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1849),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1849),
    [anon_sym_COMMA] = ACTIONS(1849),
    [anon_sym_RPAREN] = ACTIONS(1849),
    [anon_sym_LPAREN] = ACTIONS(3601),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1849),
    [anon_sym_LBRACK] = ACTIONS(3603),
    [anon_sym_DASH_GT] = ACTIONS(1849),
    [anon_sym_PERCENT] = ACTIONS(1840),
    [anon_sym_GT] = ACTIONS(1840),
    [anon_sym_LT_LT] = ACTIONS(1840),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1849),
    [anon_sym_PLUS_EQ] = ACTIONS(1849),
    [anon_sym_DASH_EQ] = ACTIONS(1849),
    [anon_sym_DOT_EQ] = ACTIONS(1849),
    [anon_sym_STAR_EQ] = ACTIONS(1849),
    [anon_sym_SLASH_EQ] = ACTIONS(1849),
    [anon_sym_PERCENT_EQ] = ACTIONS(1849),
    [anon_sym_x_EQ] = ACTIONS(1849),
    [anon_sym_AMP_EQ] = ACTIONS(1849),
    [anon_sym_PIPE_EQ] = ACTIONS(1849),
    [anon_sym_CARET_EQ] = ACTIONS(1849),
    [anon_sym_LT_LT_EQ] = ACTIONS(1849),
    [anon_sym_GT_GT_EQ] = ACTIONS(1849),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1849),
    [anon_sym_DOT_DOT] = ACTIONS(1840),
    [anon_sym_STAR_STAR] = ACTIONS(1840),
    [anon_sym_PIPE_PIPE] = ACTIONS(1840),
    [anon_sym_SLASH_SLASH] = ACTIONS(1840),
    [anon_sym_CARET_CARET] = ACTIONS(1849),
    [anon_sym_AMP_AMP] = ACTIONS(1840),
    [anon_sym_PIPE] = ACTIONS(1840),
    [anon_sym_CARET] = ACTIONS(1840),
    [anon_sym_AMP] = ACTIONS(1840),
    [anon_sym_GT_GT2] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_DOT] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1840),
    [anon_sym_SLASH] = ACTIONS(1840),
    [anon_sym_x] = ACTIONS(1840),
    [anon_sym_EQ_TILDE] = ACTIONS(1849),
    [anon_sym_BANG_TILDE] = ACTIONS(1849),
    [anon_sym_EQ_EQ] = ACTIONS(1840),
    [anon_sym_BANG_EQ] = ACTIONS(1849),
    [anon_sym_eq] = ACTIONS(1840),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1849),
    [anon_sym_equ] = ACTIONS(1849),
    [anon_sym_eqr] = ACTIONS(1849),
    [anon_sym_ne] = ACTIONS(1849),
    [anon_sym_LT_EQ_GT] = ACTIONS(1849),
    [anon_sym_cmp] = ACTIONS(1849),
    [anon_sym_TILDE_TILDE] = ACTIONS(1849),
    [anon_sym_LT] = ACTIONS(1840),
    [anon_sym_LT_EQ] = ACTIONS(1840),
    [anon_sym_GT_EQ] = ACTIONS(1849),
    [anon_sym_lt] = ACTIONS(1849),
    [anon_sym_le] = ACTIONS(1849),
    [anon_sym_ge] = ACTIONS(1849),
    [anon_sym_gt] = ACTIONS(1849),
    [anon_sym_isa] = ACTIONS(1849),
    [anon_sym_PLUS_PLUS] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1849),
    [anon_sym_QMARK] = ACTIONS(1849),
    [anon_sym_EQ_GT] = ACTIONS(1849),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1750] = {
    [sym_heredoc_content] = STATE(1750),
    [anon_sym_LBRACE] = ACTIONS(2462),
    [anon_sym_RBRACE] = ACTIONS(2462),
    [anon_sym_COLON] = ACTIONS(2462),
    [anon_sym_EQ] = ACTIONS(2464),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2462),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2462),
    [anon_sym_COMMA] = ACTIONS(2462),
    [anon_sym_RPAREN] = ACTIONS(2462),
    [anon_sym_LPAREN] = ACTIONS(2462),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2462),
    [anon_sym_LBRACK] = ACTIONS(2462),
    [anon_sym_DASH_GT] = ACTIONS(2462),
    [anon_sym_PERCENT] = ACTIONS(2464),
    [anon_sym_GT] = ACTIONS(2464),
    [anon_sym_LT_LT] = ACTIONS(2464),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2462),
    [anon_sym_PLUS_EQ] = ACTIONS(2462),
    [anon_sym_DASH_EQ] = ACTIONS(2462),
    [anon_sym_DOT_EQ] = ACTIONS(2462),
    [anon_sym_STAR_EQ] = ACTIONS(2462),
    [anon_sym_SLASH_EQ] = ACTIONS(2462),
    [anon_sym_PERCENT_EQ] = ACTIONS(2462),
    [anon_sym_x_EQ] = ACTIONS(2462),
    [anon_sym_AMP_EQ] = ACTIONS(2462),
    [anon_sym_PIPE_EQ] = ACTIONS(2462),
    [anon_sym_CARET_EQ] = ACTIONS(2462),
    [anon_sym_LT_LT_EQ] = ACTIONS(2462),
    [anon_sym_GT_GT_EQ] = ACTIONS(2462),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2462),
    [anon_sym_DOT_DOT] = ACTIONS(2464),
    [anon_sym_STAR_STAR] = ACTIONS(2464),
    [anon_sym_PIPE_PIPE] = ACTIONS(2464),
    [anon_sym_SLASH_SLASH] = ACTIONS(2464),
    [anon_sym_CARET_CARET] = ACTIONS(2462),
    [anon_sym_AMP_AMP] = ACTIONS(2464),
    [anon_sym_PIPE] = ACTIONS(2464),
    [anon_sym_CARET] = ACTIONS(2464),
    [anon_sym_AMP] = ACTIONS(2464),
    [anon_sym_GT_GT2] = ACTIONS(2464),
    [anon_sym_PLUS] = ACTIONS(2464),
    [anon_sym_DASH] = ACTIONS(2464),
    [anon_sym_DOT] = ACTIONS(2464),
    [anon_sym_STAR] = ACTIONS(2464),
    [anon_sym_SLASH] = ACTIONS(2464),
    [anon_sym_x] = ACTIONS(2464),
    [anon_sym_EQ_TILDE] = ACTIONS(2462),
    [anon_sym_BANG_TILDE] = ACTIONS(2462),
    [anon_sym_EQ_EQ] = ACTIONS(2464),
    [anon_sym_BANG_EQ] = ACTIONS(2462),
    [anon_sym_eq] = ACTIONS(2464),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2462),
    [anon_sym_equ] = ACTIONS(2462),
    [anon_sym_eqr] = ACTIONS(2462),
    [anon_sym_ne] = ACTIONS(2462),
    [anon_sym_LT_EQ_GT] = ACTIONS(2462),
    [anon_sym_cmp] = ACTIONS(2462),
    [anon_sym_TILDE_TILDE] = ACTIONS(2462),
    [anon_sym_LT] = ACTIONS(2464),
    [anon_sym_LT_EQ] = ACTIONS(2464),
    [anon_sym_GT_EQ] = ACTIONS(2462),
    [anon_sym_lt] = ACTIONS(2462),
    [anon_sym_le] = ACTIONS(2462),
    [anon_sym_ge] = ACTIONS(2462),
    [anon_sym_gt] = ACTIONS(2462),
    [anon_sym_isa] = ACTIONS(2462),
    [anon_sym_PLUS_PLUS] = ACTIONS(2462),
    [anon_sym_DASH_DASH] = ACTIONS(2462),
    [anon_sym_QMARK] = ACTIONS(2462),
    [anon_sym_EQ_GT] = ACTIONS(2462),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1751] = {
    [sym_heredoc_content] = STATE(1751),
    [anon_sym_RBRACE] = ACTIONS(3067),
    [anon_sym_EQ] = ACTIONS(3069),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3067),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3067),
    [anon_sym_COMMA] = ACTIONS(3067),
    [anon_sym_RPAREN] = ACTIONS(3067),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3067),
    [anon_sym_and] = ACTIONS(3067),
    [anon_sym_or] = ACTIONS(3067),
    [anon_sym_xor] = ACTIONS(3067),
    [anon_sym_RBRACK] = ACTIONS(3067),
    [anon_sym_DASH_GT] = ACTIONS(3457),
    [anon_sym_PERCENT] = ACTIONS(3069),
    [anon_sym_GT] = ACTIONS(3069),
    [anon_sym_LT_LT] = ACTIONS(3069),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3067),
    [anon_sym_PLUS_EQ] = ACTIONS(3067),
    [anon_sym_DASH_EQ] = ACTIONS(3067),
    [anon_sym_DOT_EQ] = ACTIONS(3067),
    [anon_sym_STAR_EQ] = ACTIONS(3067),
    [anon_sym_SLASH_EQ] = ACTIONS(3067),
    [anon_sym_PERCENT_EQ] = ACTIONS(3067),
    [anon_sym_x_EQ] = ACTIONS(3067),
    [anon_sym_AMP_EQ] = ACTIONS(3067),
    [anon_sym_PIPE_EQ] = ACTIONS(3067),
    [anon_sym_CARET_EQ] = ACTIONS(3067),
    [anon_sym_LT_LT_EQ] = ACTIONS(3067),
    [anon_sym_GT_GT_EQ] = ACTIONS(3067),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3067),
    [anon_sym_DOT_DOT] = ACTIONS(3069),
    [anon_sym_STAR_STAR] = ACTIONS(3069),
    [anon_sym_PIPE_PIPE] = ACTIONS(3069),
    [anon_sym_SLASH_SLASH] = ACTIONS(3069),
    [anon_sym_CARET_CARET] = ACTIONS(3067),
    [anon_sym_AMP_AMP] = ACTIONS(3069),
    [anon_sym_PIPE] = ACTIONS(3069),
    [anon_sym_CARET] = ACTIONS(3069),
    [anon_sym_AMP] = ACTIONS(3069),
    [anon_sym_GT_GT2] = ACTIONS(3069),
    [anon_sym_PLUS] = ACTIONS(3069),
    [anon_sym_DASH] = ACTIONS(3069),
    [anon_sym_DOT] = ACTIONS(3069),
    [anon_sym_STAR] = ACTIONS(3069),
    [anon_sym_SLASH] = ACTIONS(3069),
    [anon_sym_x] = ACTIONS(3069),
    [anon_sym_EQ_TILDE] = ACTIONS(3067),
    [anon_sym_BANG_TILDE] = ACTIONS(3067),
    [anon_sym_EQ_EQ] = ACTIONS(3069),
    [anon_sym_BANG_EQ] = ACTIONS(3067),
    [anon_sym_eq] = ACTIONS(3069),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3067),
    [anon_sym_equ] = ACTIONS(3067),
    [anon_sym_eqr] = ACTIONS(3067),
    [anon_sym_ne] = ACTIONS(3067),
    [anon_sym_LT_EQ_GT] = ACTIONS(3067),
    [anon_sym_cmp] = ACTIONS(3067),
    [anon_sym_TILDE_TILDE] = ACTIONS(3067),
    [anon_sym_LT] = ACTIONS(3069),
    [anon_sym_LT_EQ] = ACTIONS(3069),
    [anon_sym_GT_EQ] = ACTIONS(3067),
    [anon_sym_lt] = ACTIONS(3067),
    [anon_sym_le] = ACTIONS(3067),
    [anon_sym_ge] = ACTIONS(3067),
    [anon_sym_gt] = ACTIONS(3067),
    [anon_sym_isa] = ACTIONS(3067),
    [anon_sym_PLUS_PLUS] = ACTIONS(3605),
    [anon_sym_DASH_DASH] = ACTIONS(3605),
    [anon_sym_QMARK] = ACTIONS(3067),
    [anon_sym_EQ_GT] = ACTIONS(3067),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1752] = {
    [sym_heredoc_content] = STATE(1752),
    [anon_sym_RBRACE] = ACTIONS(2660),
    [anon_sym_EQ] = ACTIONS(2662),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2660),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2660),
    [anon_sym_COMMA] = ACTIONS(2660),
    [anon_sym_RPAREN] = ACTIONS(2660),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2660),
    [anon_sym_and] = ACTIONS(2660),
    [anon_sym_or] = ACTIONS(2660),
    [anon_sym_xor] = ACTIONS(2660),
    [anon_sym_RBRACK] = ACTIONS(2660),
    [anon_sym_DASH_GT] = ACTIONS(3457),
    [anon_sym_PERCENT] = ACTIONS(2662),
    [anon_sym_GT] = ACTIONS(2662),
    [anon_sym_LT_LT] = ACTIONS(2662),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2660),
    [anon_sym_PLUS_EQ] = ACTIONS(2660),
    [anon_sym_DASH_EQ] = ACTIONS(2660),
    [anon_sym_DOT_EQ] = ACTIONS(2660),
    [anon_sym_STAR_EQ] = ACTIONS(2660),
    [anon_sym_SLASH_EQ] = ACTIONS(2660),
    [anon_sym_PERCENT_EQ] = ACTIONS(2660),
    [anon_sym_x_EQ] = ACTIONS(2660),
    [anon_sym_AMP_EQ] = ACTIONS(2660),
    [anon_sym_PIPE_EQ] = ACTIONS(2660),
    [anon_sym_CARET_EQ] = ACTIONS(2660),
    [anon_sym_LT_LT_EQ] = ACTIONS(2660),
    [anon_sym_GT_GT_EQ] = ACTIONS(2660),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2660),
    [anon_sym_DOT_DOT] = ACTIONS(2662),
    [anon_sym_STAR_STAR] = ACTIONS(3467),
    [anon_sym_PIPE_PIPE] = ACTIONS(2662),
    [anon_sym_SLASH_SLASH] = ACTIONS(2662),
    [anon_sym_CARET_CARET] = ACTIONS(2660),
    [anon_sym_AMP_AMP] = ACTIONS(2662),
    [anon_sym_PIPE] = ACTIONS(2662),
    [anon_sym_CARET] = ACTIONS(2662),
    [anon_sym_AMP] = ACTIONS(2662),
    [anon_sym_GT_GT2] = ACTIONS(2662),
    [anon_sym_PLUS] = ACTIONS(2662),
    [anon_sym_DASH] = ACTIONS(2662),
    [anon_sym_DOT] = ACTIONS(2662),
    [anon_sym_STAR] = ACTIONS(2662),
    [anon_sym_SLASH] = ACTIONS(2662),
    [anon_sym_x] = ACTIONS(2662),
    [anon_sym_EQ_TILDE] = ACTIONS(2660),
    [anon_sym_BANG_TILDE] = ACTIONS(2660),
    [anon_sym_EQ_EQ] = ACTIONS(2662),
    [anon_sym_BANG_EQ] = ACTIONS(2660),
    [anon_sym_eq] = ACTIONS(2662),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2660),
    [anon_sym_equ] = ACTIONS(2660),
    [anon_sym_eqr] = ACTIONS(2660),
    [anon_sym_ne] = ACTIONS(2660),
    [anon_sym_LT_EQ_GT] = ACTIONS(2660),
    [anon_sym_cmp] = ACTIONS(2660),
    [anon_sym_TILDE_TILDE] = ACTIONS(2660),
    [anon_sym_LT] = ACTIONS(2662),
    [anon_sym_LT_EQ] = ACTIONS(2662),
    [anon_sym_GT_EQ] = ACTIONS(2660),
    [anon_sym_lt] = ACTIONS(2660),
    [anon_sym_le] = ACTIONS(2660),
    [anon_sym_ge] = ACTIONS(2660),
    [anon_sym_gt] = ACTIONS(2660),
    [anon_sym_isa] = ACTIONS(2660),
    [anon_sym_PLUS_PLUS] = ACTIONS(3493),
    [anon_sym_DASH_DASH] = ACTIONS(3493),
    [anon_sym_QMARK] = ACTIONS(2660),
    [anon_sym_EQ_GT] = ACTIONS(2660),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1753] = {
    [sym_heredoc_content] = STATE(1753),
    [anon_sym_RBRACE] = ACTIONS(2841),
    [anon_sym_EQ] = ACTIONS(2843),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2841),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2841),
    [anon_sym_COMMA] = ACTIONS(2841),
    [anon_sym_RPAREN] = ACTIONS(2841),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2841),
    [anon_sym_and] = ACTIONS(2841),
    [anon_sym_or] = ACTIONS(2841),
    [anon_sym_xor] = ACTIONS(2841),
    [anon_sym_RBRACK] = ACTIONS(2841),
    [anon_sym_DASH_GT] = ACTIONS(2841),
    [anon_sym_PERCENT] = ACTIONS(2843),
    [anon_sym_GT] = ACTIONS(2843),
    [anon_sym_LT_LT] = ACTIONS(2843),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2841),
    [anon_sym_PLUS_EQ] = ACTIONS(2841),
    [anon_sym_DASH_EQ] = ACTIONS(2841),
    [anon_sym_DOT_EQ] = ACTIONS(2841),
    [anon_sym_STAR_EQ] = ACTIONS(2841),
    [anon_sym_SLASH_EQ] = ACTIONS(2841),
    [anon_sym_PERCENT_EQ] = ACTIONS(2841),
    [anon_sym_x_EQ] = ACTIONS(2841),
    [anon_sym_AMP_EQ] = ACTIONS(2841),
    [anon_sym_PIPE_EQ] = ACTIONS(2841),
    [anon_sym_CARET_EQ] = ACTIONS(2841),
    [anon_sym_LT_LT_EQ] = ACTIONS(2841),
    [anon_sym_GT_GT_EQ] = ACTIONS(2841),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2841),
    [anon_sym_DOT_DOT] = ACTIONS(2843),
    [anon_sym_STAR_STAR] = ACTIONS(2843),
    [anon_sym_PIPE_PIPE] = ACTIONS(2843),
    [anon_sym_SLASH_SLASH] = ACTIONS(2843),
    [anon_sym_CARET_CARET] = ACTIONS(2841),
    [anon_sym_AMP_AMP] = ACTIONS(2843),
    [anon_sym_PIPE] = ACTIONS(2843),
    [anon_sym_CARET] = ACTIONS(2843),
    [anon_sym_AMP] = ACTIONS(2843),
    [anon_sym_GT_GT2] = ACTIONS(2843),
    [anon_sym_PLUS] = ACTIONS(2843),
    [anon_sym_DASH] = ACTIONS(2843),
    [anon_sym_DOT] = ACTIONS(2843),
    [anon_sym_STAR] = ACTIONS(2843),
    [anon_sym_SLASH] = ACTIONS(2843),
    [anon_sym_x] = ACTIONS(2843),
    [anon_sym_EQ_TILDE] = ACTIONS(2841),
    [anon_sym_BANG_TILDE] = ACTIONS(2841),
    [anon_sym_EQ_EQ] = ACTIONS(2843),
    [anon_sym_BANG_EQ] = ACTIONS(2841),
    [anon_sym_eq] = ACTIONS(2843),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2841),
    [anon_sym_equ] = ACTIONS(2841),
    [anon_sym_eqr] = ACTIONS(2841),
    [anon_sym_ne] = ACTIONS(2841),
    [anon_sym_LT_EQ_GT] = ACTIONS(2841),
    [anon_sym_cmp] = ACTIONS(2841),
    [anon_sym_TILDE_TILDE] = ACTIONS(2841),
    [anon_sym_LT] = ACTIONS(2843),
    [anon_sym_LT_EQ] = ACTIONS(2843),
    [anon_sym_GT_EQ] = ACTIONS(2841),
    [anon_sym_lt] = ACTIONS(2841),
    [anon_sym_le] = ACTIONS(2841),
    [anon_sym_ge] = ACTIONS(2841),
    [anon_sym_gt] = ACTIONS(2841),
    [anon_sym_isa] = ACTIONS(2841),
    [anon_sym_PLUS_PLUS] = ACTIONS(2841),
    [anon_sym_DASH_DASH] = ACTIONS(2841),
    [anon_sym_QMARK] = ACTIONS(2841),
    [anon_sym_EQ_GT] = ACTIONS(2841),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1754] = {
    [sym_heredoc_content] = STATE(1754),
    [anon_sym_RBRACE] = ACTIONS(3078),
    [anon_sym_EQ] = ACTIONS(3080),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3078),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3078),
    [anon_sym_COMMA] = ACTIONS(3078),
    [anon_sym_RPAREN] = ACTIONS(3078),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3078),
    [anon_sym_and] = ACTIONS(3078),
    [anon_sym_or] = ACTIONS(3078),
    [anon_sym_xor] = ACTIONS(3078),
    [anon_sym_RBRACK] = ACTIONS(3078),
    [anon_sym_DASH_GT] = ACTIONS(3078),
    [anon_sym_PERCENT] = ACTIONS(3080),
    [anon_sym_GT] = ACTIONS(3080),
    [anon_sym_LT_LT] = ACTIONS(3080),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3078),
    [anon_sym_PLUS_EQ] = ACTIONS(3078),
    [anon_sym_DASH_EQ] = ACTIONS(3078),
    [anon_sym_DOT_EQ] = ACTIONS(3078),
    [anon_sym_STAR_EQ] = ACTIONS(3078),
    [anon_sym_SLASH_EQ] = ACTIONS(3078),
    [anon_sym_PERCENT_EQ] = ACTIONS(3078),
    [anon_sym_x_EQ] = ACTIONS(3078),
    [anon_sym_AMP_EQ] = ACTIONS(3078),
    [anon_sym_PIPE_EQ] = ACTIONS(3078),
    [anon_sym_CARET_EQ] = ACTIONS(3078),
    [anon_sym_LT_LT_EQ] = ACTIONS(3078),
    [anon_sym_GT_GT_EQ] = ACTIONS(3078),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3078),
    [anon_sym_DOT_DOT] = ACTIONS(3080),
    [anon_sym_STAR_STAR] = ACTIONS(3080),
    [anon_sym_PIPE_PIPE] = ACTIONS(3080),
    [anon_sym_SLASH_SLASH] = ACTIONS(3080),
    [anon_sym_CARET_CARET] = ACTIONS(3078),
    [anon_sym_AMP_AMP] = ACTIONS(3080),
    [anon_sym_PIPE] = ACTIONS(3080),
    [anon_sym_CARET] = ACTIONS(3080),
    [anon_sym_AMP] = ACTIONS(3080),
    [anon_sym_GT_GT2] = ACTIONS(3080),
    [anon_sym_PLUS] = ACTIONS(3080),
    [anon_sym_DASH] = ACTIONS(3080),
    [anon_sym_DOT] = ACTIONS(3080),
    [anon_sym_STAR] = ACTIONS(3080),
    [anon_sym_SLASH] = ACTIONS(3080),
    [anon_sym_x] = ACTIONS(3080),
    [anon_sym_EQ_TILDE] = ACTIONS(3078),
    [anon_sym_BANG_TILDE] = ACTIONS(3078),
    [anon_sym_EQ_EQ] = ACTIONS(3080),
    [anon_sym_BANG_EQ] = ACTIONS(3078),
    [anon_sym_eq] = ACTIONS(3080),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3078),
    [anon_sym_equ] = ACTIONS(3078),
    [anon_sym_eqr] = ACTIONS(3078),
    [anon_sym_ne] = ACTIONS(3078),
    [anon_sym_LT_EQ_GT] = ACTIONS(3078),
    [anon_sym_cmp] = ACTIONS(3078),
    [anon_sym_TILDE_TILDE] = ACTIONS(3078),
    [anon_sym_LT] = ACTIONS(3080),
    [anon_sym_LT_EQ] = ACTIONS(3080),
    [anon_sym_GT_EQ] = ACTIONS(3078),
    [anon_sym_lt] = ACTIONS(3078),
    [anon_sym_le] = ACTIONS(3078),
    [anon_sym_ge] = ACTIONS(3078),
    [anon_sym_gt] = ACTIONS(3078),
    [anon_sym_isa] = ACTIONS(3078),
    [anon_sym_PLUS_PLUS] = ACTIONS(3078),
    [anon_sym_DASH_DASH] = ACTIONS(3078),
    [anon_sym_QMARK] = ACTIONS(3078),
    [anon_sym_EQ_GT] = ACTIONS(3078),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1755] = {
    [sym_heredoc_content] = STATE(1755),
    [anon_sym_RBRACE] = ACTIONS(3082),
    [anon_sym_EQ] = ACTIONS(3084),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3082),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3082),
    [anon_sym_COMMA] = ACTIONS(3082),
    [anon_sym_RPAREN] = ACTIONS(3082),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3082),
    [anon_sym_and] = ACTIONS(3082),
    [anon_sym_or] = ACTIONS(3082),
    [anon_sym_xor] = ACTIONS(3082),
    [anon_sym_RBRACK] = ACTIONS(3082),
    [anon_sym_DASH_GT] = ACTIONS(3457),
    [anon_sym_PERCENT] = ACTIONS(3459),
    [anon_sym_GT] = ACTIONS(3084),
    [anon_sym_LT_LT] = ACTIONS(3463),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3082),
    [anon_sym_PLUS_EQ] = ACTIONS(3082),
    [anon_sym_DASH_EQ] = ACTIONS(3082),
    [anon_sym_DOT_EQ] = ACTIONS(3082),
    [anon_sym_STAR_EQ] = ACTIONS(3082),
    [anon_sym_SLASH_EQ] = ACTIONS(3082),
    [anon_sym_PERCENT_EQ] = ACTIONS(3082),
    [anon_sym_x_EQ] = ACTIONS(3082),
    [anon_sym_AMP_EQ] = ACTIONS(3082),
    [anon_sym_PIPE_EQ] = ACTIONS(3082),
    [anon_sym_CARET_EQ] = ACTIONS(3082),
    [anon_sym_LT_LT_EQ] = ACTIONS(3082),
    [anon_sym_GT_GT_EQ] = ACTIONS(3082),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3082),
    [anon_sym_DOT_DOT] = ACTIONS(3084),
    [anon_sym_STAR_STAR] = ACTIONS(3467),
    [anon_sym_PIPE_PIPE] = ACTIONS(3084),
    [anon_sym_SLASH_SLASH] = ACTIONS(3084),
    [anon_sym_CARET_CARET] = ACTIONS(3082),
    [anon_sym_AMP_AMP] = ACTIONS(3084),
    [anon_sym_PIPE] = ACTIONS(3084),
    [anon_sym_CARET] = ACTIONS(3084),
    [anon_sym_AMP] = ACTIONS(3084),
    [anon_sym_GT_GT2] = ACTIONS(3463),
    [anon_sym_PLUS] = ACTIONS(3479),
    [anon_sym_DASH] = ACTIONS(3479),
    [anon_sym_DOT] = ACTIONS(3479),
    [anon_sym_STAR] = ACTIONS(3459),
    [anon_sym_SLASH] = ACTIONS(3459),
    [anon_sym_x] = ACTIONS(3459),
    [anon_sym_EQ_TILDE] = ACTIONS(3481),
    [anon_sym_BANG_TILDE] = ACTIONS(3481),
    [anon_sym_EQ_EQ] = ACTIONS(3084),
    [anon_sym_BANG_EQ] = ACTIONS(3082),
    [anon_sym_eq] = ACTIONS(3084),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3082),
    [anon_sym_equ] = ACTIONS(3082),
    [anon_sym_eqr] = ACTIONS(3082),
    [anon_sym_ne] = ACTIONS(3082),
    [anon_sym_LT_EQ_GT] = ACTIONS(3082),
    [anon_sym_cmp] = ACTIONS(3082),
    [anon_sym_TILDE_TILDE] = ACTIONS(3082),
    [anon_sym_LT] = ACTIONS(3084),
    [anon_sym_LT_EQ] = ACTIONS(3084),
    [anon_sym_GT_EQ] = ACTIONS(3082),
    [anon_sym_lt] = ACTIONS(3082),
    [anon_sym_le] = ACTIONS(3082),
    [anon_sym_ge] = ACTIONS(3082),
    [anon_sym_gt] = ACTIONS(3082),
    [anon_sym_isa] = ACTIONS(3082),
    [anon_sym_PLUS_PLUS] = ACTIONS(3493),
    [anon_sym_DASH_DASH] = ACTIONS(3493),
    [anon_sym_QMARK] = ACTIONS(3082),
    [anon_sym_EQ_GT] = ACTIONS(3082),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1756] = {
    [sym_heredoc_content] = STATE(1756),
    [anon_sym_RBRACE] = ACTIONS(3086),
    [anon_sym_EQ] = ACTIONS(3088),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3086),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3086),
    [anon_sym_COMMA] = ACTIONS(3086),
    [anon_sym_RPAREN] = ACTIONS(3086),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3086),
    [anon_sym_and] = ACTIONS(3086),
    [anon_sym_or] = ACTIONS(3086),
    [anon_sym_xor] = ACTIONS(3086),
    [anon_sym_RBRACK] = ACTIONS(3086),
    [anon_sym_DASH_GT] = ACTIONS(3086),
    [anon_sym_PERCENT] = ACTIONS(3088),
    [anon_sym_GT] = ACTIONS(3088),
    [anon_sym_LT_LT] = ACTIONS(3088),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3086),
    [anon_sym_PLUS_EQ] = ACTIONS(3086),
    [anon_sym_DASH_EQ] = ACTIONS(3086),
    [anon_sym_DOT_EQ] = ACTIONS(3086),
    [anon_sym_STAR_EQ] = ACTIONS(3086),
    [anon_sym_SLASH_EQ] = ACTIONS(3086),
    [anon_sym_PERCENT_EQ] = ACTIONS(3086),
    [anon_sym_x_EQ] = ACTIONS(3086),
    [anon_sym_AMP_EQ] = ACTIONS(3086),
    [anon_sym_PIPE_EQ] = ACTIONS(3086),
    [anon_sym_CARET_EQ] = ACTIONS(3086),
    [anon_sym_LT_LT_EQ] = ACTIONS(3086),
    [anon_sym_GT_GT_EQ] = ACTIONS(3086),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3086),
    [anon_sym_DOT_DOT] = ACTIONS(3088),
    [anon_sym_STAR_STAR] = ACTIONS(3088),
    [anon_sym_PIPE_PIPE] = ACTIONS(3088),
    [anon_sym_SLASH_SLASH] = ACTIONS(3088),
    [anon_sym_CARET_CARET] = ACTIONS(3086),
    [anon_sym_AMP_AMP] = ACTIONS(3088),
    [anon_sym_PIPE] = ACTIONS(3088),
    [anon_sym_CARET] = ACTIONS(3088),
    [anon_sym_AMP] = ACTIONS(3088),
    [anon_sym_GT_GT2] = ACTIONS(3088),
    [anon_sym_PLUS] = ACTIONS(3088),
    [anon_sym_DASH] = ACTIONS(3088),
    [anon_sym_DOT] = ACTIONS(3088),
    [anon_sym_STAR] = ACTIONS(3088),
    [anon_sym_SLASH] = ACTIONS(3088),
    [anon_sym_x] = ACTIONS(3088),
    [anon_sym_EQ_TILDE] = ACTIONS(3086),
    [anon_sym_BANG_TILDE] = ACTIONS(3086),
    [anon_sym_EQ_EQ] = ACTIONS(3088),
    [anon_sym_BANG_EQ] = ACTIONS(3086),
    [anon_sym_eq] = ACTIONS(3088),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3086),
    [anon_sym_equ] = ACTIONS(3086),
    [anon_sym_eqr] = ACTIONS(3086),
    [anon_sym_ne] = ACTIONS(3086),
    [anon_sym_LT_EQ_GT] = ACTIONS(3086),
    [anon_sym_cmp] = ACTIONS(3086),
    [anon_sym_TILDE_TILDE] = ACTIONS(3086),
    [anon_sym_LT] = ACTIONS(3088),
    [anon_sym_LT_EQ] = ACTIONS(3088),
    [anon_sym_GT_EQ] = ACTIONS(3086),
    [anon_sym_lt] = ACTIONS(3086),
    [anon_sym_le] = ACTIONS(3086),
    [anon_sym_ge] = ACTIONS(3086),
    [anon_sym_gt] = ACTIONS(3086),
    [anon_sym_isa] = ACTIONS(3086),
    [anon_sym_PLUS_PLUS] = ACTIONS(3086),
    [anon_sym_DASH_DASH] = ACTIONS(3086),
    [anon_sym_QMARK] = ACTIONS(3086),
    [anon_sym_EQ_GT] = ACTIONS(3086),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1757] = {
    [sym_heredoc_content] = STATE(1757),
    [anon_sym_COLON] = ACTIONS(2716),
    [anon_sym_DOLLAR] = ACTIONS(2716),
    [anon_sym_EQ] = ACTIONS(2718),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2716),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2716),
    [anon_sym_AT] = ACTIONS(2716),
    [anon_sym_COMMA] = ACTIONS(2716),
    [anon_sym_RPAREN] = ACTIONS(2716),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2716),
    [anon_sym_DASH_GT] = ACTIONS(2716),
    [anon_sym_PERCENT] = ACTIONS(2718),
    [anon_sym_GT] = ACTIONS(2718),
    [anon_sym_LT_LT] = ACTIONS(2718),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2716),
    [anon_sym_PLUS_EQ] = ACTIONS(2716),
    [anon_sym_DASH_EQ] = ACTIONS(2716),
    [anon_sym_DOT_EQ] = ACTIONS(2716),
    [anon_sym_STAR_EQ] = ACTIONS(2716),
    [anon_sym_SLASH_EQ] = ACTIONS(2716),
    [anon_sym_PERCENT_EQ] = ACTIONS(2718),
    [anon_sym_x_EQ] = ACTIONS(2716),
    [anon_sym_AMP_EQ] = ACTIONS(2716),
    [anon_sym_PIPE_EQ] = ACTIONS(2716),
    [anon_sym_CARET_EQ] = ACTIONS(2716),
    [anon_sym_LT_LT_EQ] = ACTIONS(2716),
    [anon_sym_GT_GT_EQ] = ACTIONS(2716),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2716),
    [anon_sym_DOT_DOT] = ACTIONS(2718),
    [anon_sym_STAR_STAR] = ACTIONS(2718),
    [anon_sym_PIPE_PIPE] = ACTIONS(2718),
    [anon_sym_SLASH_SLASH] = ACTIONS(2718),
    [anon_sym_CARET_CARET] = ACTIONS(2716),
    [anon_sym_AMP_AMP] = ACTIONS(2718),
    [anon_sym_PIPE] = ACTIONS(2718),
    [anon_sym_CARET] = ACTIONS(2718),
    [anon_sym_AMP] = ACTIONS(2718),
    [anon_sym_GT_GT2] = ACTIONS(2718),
    [anon_sym_PLUS] = ACTIONS(2718),
    [anon_sym_DASH] = ACTIONS(2718),
    [anon_sym_DOT] = ACTIONS(2718),
    [anon_sym_STAR] = ACTIONS(2718),
    [anon_sym_SLASH] = ACTIONS(2718),
    [anon_sym_x] = ACTIONS(2718),
    [anon_sym_EQ_TILDE] = ACTIONS(2716),
    [anon_sym_BANG_TILDE] = ACTIONS(2716),
    [anon_sym_EQ_EQ] = ACTIONS(2718),
    [anon_sym_BANG_EQ] = ACTIONS(2716),
    [anon_sym_eq] = ACTIONS(2718),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2716),
    [anon_sym_equ] = ACTIONS(2716),
    [anon_sym_eqr] = ACTIONS(2716),
    [anon_sym_ne] = ACTIONS(2716),
    [anon_sym_LT_EQ_GT] = ACTIONS(2716),
    [anon_sym_cmp] = ACTIONS(2718),
    [anon_sym_TILDE_TILDE] = ACTIONS(2716),
    [anon_sym_LT] = ACTIONS(2718),
    [anon_sym_LT_EQ] = ACTIONS(2718),
    [anon_sym_GT_EQ] = ACTIONS(2716),
    [anon_sym_lt] = ACTIONS(2716),
    [anon_sym_le] = ACTIONS(2716),
    [anon_sym_ge] = ACTIONS(2716),
    [anon_sym_gt] = ACTIONS(2716),
    [anon_sym_isa] = ACTIONS(2716),
    [anon_sym_PLUS_PLUS] = ACTIONS(2716),
    [anon_sym_DASH_DASH] = ACTIONS(2716),
    [anon_sym_QMARK] = ACTIONS(2716),
    [anon_sym_PERCENT2] = ACTIONS(2716),
    [anon_sym_EQ_GT] = ACTIONS(2716),
    [sym_comment] = ACTIONS(5),
    [sym_transliteration_modifiers] = ACTIONS(3608),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1758] = {
    [sym_heredoc_content] = STATE(1758),
    [anon_sym_RBRACE] = ACTIONS(2963),
    [anon_sym_EQ] = ACTIONS(2965),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2963),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2963),
    [anon_sym_COMMA] = ACTIONS(2963),
    [anon_sym_RPAREN] = ACTIONS(2963),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2963),
    [anon_sym_and] = ACTIONS(2963),
    [anon_sym_or] = ACTIONS(2963),
    [anon_sym_xor] = ACTIONS(2963),
    [anon_sym_RBRACK] = ACTIONS(2963),
    [anon_sym_DASH_GT] = ACTIONS(2963),
    [anon_sym_PERCENT] = ACTIONS(2965),
    [anon_sym_GT] = ACTIONS(2965),
    [anon_sym_LT_LT] = ACTIONS(2965),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2963),
    [anon_sym_PLUS_EQ] = ACTIONS(2963),
    [anon_sym_DASH_EQ] = ACTIONS(2963),
    [anon_sym_DOT_EQ] = ACTIONS(2963),
    [anon_sym_STAR_EQ] = ACTIONS(2963),
    [anon_sym_SLASH_EQ] = ACTIONS(2963),
    [anon_sym_PERCENT_EQ] = ACTIONS(2963),
    [anon_sym_x_EQ] = ACTIONS(2963),
    [anon_sym_AMP_EQ] = ACTIONS(2963),
    [anon_sym_PIPE_EQ] = ACTIONS(2963),
    [anon_sym_CARET_EQ] = ACTIONS(2963),
    [anon_sym_LT_LT_EQ] = ACTIONS(2963),
    [anon_sym_GT_GT_EQ] = ACTIONS(2963),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2963),
    [anon_sym_DOT_DOT] = ACTIONS(2965),
    [anon_sym_STAR_STAR] = ACTIONS(2965),
    [anon_sym_PIPE_PIPE] = ACTIONS(2965),
    [anon_sym_SLASH_SLASH] = ACTIONS(2965),
    [anon_sym_CARET_CARET] = ACTIONS(2963),
    [anon_sym_AMP_AMP] = ACTIONS(2965),
    [anon_sym_PIPE] = ACTIONS(2965),
    [anon_sym_CARET] = ACTIONS(2965),
    [anon_sym_AMP] = ACTIONS(2965),
    [anon_sym_GT_GT2] = ACTIONS(2965),
    [anon_sym_PLUS] = ACTIONS(2965),
    [anon_sym_DASH] = ACTIONS(2965),
    [anon_sym_DOT] = ACTIONS(2965),
    [anon_sym_STAR] = ACTIONS(2965),
    [anon_sym_SLASH] = ACTIONS(2965),
    [anon_sym_x] = ACTIONS(2965),
    [anon_sym_EQ_TILDE] = ACTIONS(2963),
    [anon_sym_BANG_TILDE] = ACTIONS(2963),
    [anon_sym_EQ_EQ] = ACTIONS(2965),
    [anon_sym_BANG_EQ] = ACTIONS(2963),
    [anon_sym_eq] = ACTIONS(2965),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2963),
    [anon_sym_equ] = ACTIONS(2963),
    [anon_sym_eqr] = ACTIONS(2963),
    [anon_sym_ne] = ACTIONS(2963),
    [anon_sym_LT_EQ_GT] = ACTIONS(2963),
    [anon_sym_cmp] = ACTIONS(2963),
    [anon_sym_TILDE_TILDE] = ACTIONS(2963),
    [anon_sym_LT] = ACTIONS(2965),
    [anon_sym_LT_EQ] = ACTIONS(2965),
    [anon_sym_GT_EQ] = ACTIONS(2963),
    [anon_sym_lt] = ACTIONS(2963),
    [anon_sym_le] = ACTIONS(2963),
    [anon_sym_ge] = ACTIONS(2963),
    [anon_sym_gt] = ACTIONS(2963),
    [anon_sym_isa] = ACTIONS(2963),
    [anon_sym_PLUS_PLUS] = ACTIONS(2963),
    [anon_sym_DASH_DASH] = ACTIONS(2963),
    [anon_sym_QMARK] = ACTIONS(2963),
    [anon_sym_EQ_GT] = ACTIONS(2963),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1759] = {
    [sym_heredoc_content] = STATE(1759),
    [anon_sym_RBRACE] = ACTIONS(3086),
    [anon_sym_EQ] = ACTIONS(3088),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3086),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3086),
    [anon_sym_COMMA] = ACTIONS(3086),
    [anon_sym_RPAREN] = ACTIONS(3086),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3086),
    [anon_sym_and] = ACTIONS(3086),
    [anon_sym_or] = ACTIONS(3086),
    [anon_sym_xor] = ACTIONS(3086),
    [anon_sym_RBRACK] = ACTIONS(3086),
    [anon_sym_DASH_GT] = ACTIONS(3457),
    [anon_sym_PERCENT] = ACTIONS(3459),
    [anon_sym_GT] = ACTIONS(3088),
    [anon_sym_LT_LT] = ACTIONS(3463),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3086),
    [anon_sym_PLUS_EQ] = ACTIONS(3086),
    [anon_sym_DASH_EQ] = ACTIONS(3086),
    [anon_sym_DOT_EQ] = ACTIONS(3086),
    [anon_sym_STAR_EQ] = ACTIONS(3086),
    [anon_sym_SLASH_EQ] = ACTIONS(3086),
    [anon_sym_PERCENT_EQ] = ACTIONS(3086),
    [anon_sym_x_EQ] = ACTIONS(3086),
    [anon_sym_AMP_EQ] = ACTIONS(3086),
    [anon_sym_PIPE_EQ] = ACTIONS(3086),
    [anon_sym_CARET_EQ] = ACTIONS(3086),
    [anon_sym_LT_LT_EQ] = ACTIONS(3086),
    [anon_sym_GT_GT_EQ] = ACTIONS(3086),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3086),
    [anon_sym_DOT_DOT] = ACTIONS(3088),
    [anon_sym_STAR_STAR] = ACTIONS(3467),
    [anon_sym_PIPE_PIPE] = ACTIONS(3088),
    [anon_sym_SLASH_SLASH] = ACTIONS(3088),
    [anon_sym_CARET_CARET] = ACTIONS(3086),
    [anon_sym_AMP_AMP] = ACTIONS(3088),
    [anon_sym_PIPE] = ACTIONS(3088),
    [anon_sym_CARET] = ACTIONS(3088),
    [anon_sym_AMP] = ACTIONS(3088),
    [anon_sym_GT_GT2] = ACTIONS(3463),
    [anon_sym_PLUS] = ACTIONS(3479),
    [anon_sym_DASH] = ACTIONS(3479),
    [anon_sym_DOT] = ACTIONS(3479),
    [anon_sym_STAR] = ACTIONS(3459),
    [anon_sym_SLASH] = ACTIONS(3459),
    [anon_sym_x] = ACTIONS(3459),
    [anon_sym_EQ_TILDE] = ACTIONS(3481),
    [anon_sym_BANG_TILDE] = ACTIONS(3481),
    [anon_sym_EQ_EQ] = ACTIONS(3088),
    [anon_sym_BANG_EQ] = ACTIONS(3086),
    [anon_sym_eq] = ACTIONS(3088),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3086),
    [anon_sym_equ] = ACTIONS(3086),
    [anon_sym_eqr] = ACTIONS(3086),
    [anon_sym_ne] = ACTIONS(3086),
    [anon_sym_LT_EQ_GT] = ACTIONS(3086),
    [anon_sym_cmp] = ACTIONS(3086),
    [anon_sym_TILDE_TILDE] = ACTIONS(3086),
    [anon_sym_LT] = ACTIONS(3088),
    [anon_sym_LT_EQ] = ACTIONS(3088),
    [anon_sym_GT_EQ] = ACTIONS(3086),
    [anon_sym_lt] = ACTIONS(3086),
    [anon_sym_le] = ACTIONS(3086),
    [anon_sym_ge] = ACTIONS(3086),
    [anon_sym_gt] = ACTIONS(3086),
    [anon_sym_isa] = ACTIONS(3086),
    [anon_sym_PLUS_PLUS] = ACTIONS(3493),
    [anon_sym_DASH_DASH] = ACTIONS(3493),
    [anon_sym_QMARK] = ACTIONS(3086),
    [anon_sym_EQ_GT] = ACTIONS(3086),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1760] = {
    [sym_heredoc_content] = STATE(1760),
    [anon_sym_RBRACE] = ACTIONS(3090),
    [anon_sym_EQ] = ACTIONS(3449),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3451),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3451),
    [anon_sym_COMMA] = ACTIONS(3090),
    [anon_sym_RPAREN] = ACTIONS(3090),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3455),
    [anon_sym_and] = ACTIONS(3090),
    [anon_sym_or] = ACTIONS(3090),
    [anon_sym_xor] = ACTIONS(3090),
    [anon_sym_RBRACK] = ACTIONS(3090),
    [anon_sym_DASH_GT] = ACTIONS(3457),
    [anon_sym_PERCENT] = ACTIONS(3459),
    [anon_sym_GT] = ACTIONS(3461),
    [anon_sym_LT_LT] = ACTIONS(3463),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3451),
    [anon_sym_PLUS_EQ] = ACTIONS(3451),
    [anon_sym_DASH_EQ] = ACTIONS(3451),
    [anon_sym_DOT_EQ] = ACTIONS(3451),
    [anon_sym_STAR_EQ] = ACTIONS(3451),
    [anon_sym_SLASH_EQ] = ACTIONS(3451),
    [anon_sym_PERCENT_EQ] = ACTIONS(3451),
    [anon_sym_x_EQ] = ACTIONS(3451),
    [anon_sym_AMP_EQ] = ACTIONS(3451),
    [anon_sym_PIPE_EQ] = ACTIONS(3451),
    [anon_sym_CARET_EQ] = ACTIONS(3451),
    [anon_sym_LT_LT_EQ] = ACTIONS(3451),
    [anon_sym_GT_GT_EQ] = ACTIONS(3451),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3451),
    [anon_sym_DOT_DOT] = ACTIONS(3465),
    [anon_sym_STAR_STAR] = ACTIONS(3467),
    [anon_sym_PIPE_PIPE] = ACTIONS(3469),
    [anon_sym_SLASH_SLASH] = ACTIONS(3469),
    [anon_sym_CARET_CARET] = ACTIONS(3471),
    [anon_sym_AMP_AMP] = ACTIONS(3473),
    [anon_sym_PIPE] = ACTIONS(3475),
    [anon_sym_CARET] = ACTIONS(3475),
    [anon_sym_AMP] = ACTIONS(3477),
    [anon_sym_GT_GT2] = ACTIONS(3463),
    [anon_sym_PLUS] = ACTIONS(3479),
    [anon_sym_DASH] = ACTIONS(3479),
    [anon_sym_DOT] = ACTIONS(3479),
    [anon_sym_STAR] = ACTIONS(3459),
    [anon_sym_SLASH] = ACTIONS(3459),
    [anon_sym_x] = ACTIONS(3459),
    [anon_sym_EQ_TILDE] = ACTIONS(3481),
    [anon_sym_BANG_TILDE] = ACTIONS(3481),
    [anon_sym_EQ_EQ] = ACTIONS(3483),
    [anon_sym_BANG_EQ] = ACTIONS(3485),
    [anon_sym_eq] = ACTIONS(3483),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3485),
    [anon_sym_equ] = ACTIONS(3485),
    [anon_sym_eqr] = ACTIONS(3485),
    [anon_sym_ne] = ACTIONS(3485),
    [anon_sym_LT_EQ_GT] = ACTIONS(3487),
    [anon_sym_cmp] = ACTIONS(3487),
    [anon_sym_TILDE_TILDE] = ACTIONS(3487),
    [anon_sym_LT] = ACTIONS(3461),
    [anon_sym_LT_EQ] = ACTIONS(3461),
    [anon_sym_GT_EQ] = ACTIONS(3489),
    [anon_sym_lt] = ACTIONS(3489),
    [anon_sym_le] = ACTIONS(3489),
    [anon_sym_ge] = ACTIONS(3489),
    [anon_sym_gt] = ACTIONS(3489),
    [anon_sym_isa] = ACTIONS(3491),
    [anon_sym_PLUS_PLUS] = ACTIONS(3493),
    [anon_sym_DASH_DASH] = ACTIONS(3493),
    [anon_sym_QMARK] = ACTIONS(3495),
    [anon_sym_EQ_GT] = ACTIONS(3090),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1761] = {
    [sym_attribute] = STATE(1933),
    [sym_attribute_name] = STATE(1773),
    [sym_heredoc_content] = STATE(1761),
    [aux_sym_attrlist_repeat1] = STATE(1768),
    [sym__identifier] = ACTIONS(3421),
    [anon_sym_COLON] = ACTIONS(2422),
    [anon_sym_EQ] = ACTIONS(2422),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2418),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2418),
    [anon_sym_COMMA] = ACTIONS(2418),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2418),
    [anon_sym_DASH_GT] = ACTIONS(2418),
    [anon_sym_PERCENT] = ACTIONS(2422),
    [anon_sym_GT] = ACTIONS(2422),
    [anon_sym_LT_LT] = ACTIONS(2422),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2418),
    [anon_sym_PLUS_EQ] = ACTIONS(2418),
    [anon_sym_DASH_EQ] = ACTIONS(2418),
    [anon_sym_DOT_EQ] = ACTIONS(2418),
    [anon_sym_STAR_EQ] = ACTIONS(2418),
    [anon_sym_SLASH_EQ] = ACTIONS(2418),
    [anon_sym_PERCENT_EQ] = ACTIONS(2418),
    [anon_sym_x_EQ] = ACTIONS(2418),
    [anon_sym_AMP_EQ] = ACTIONS(2418),
    [anon_sym_PIPE_EQ] = ACTIONS(2418),
    [anon_sym_CARET_EQ] = ACTIONS(2418),
    [anon_sym_LT_LT_EQ] = ACTIONS(2418),
    [anon_sym_GT_GT_EQ] = ACTIONS(2418),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2418),
    [anon_sym_DOT_DOT] = ACTIONS(2422),
    [anon_sym_STAR_STAR] = ACTIONS(2422),
    [anon_sym_PIPE_PIPE] = ACTIONS(2422),
    [anon_sym_SLASH_SLASH] = ACTIONS(2422),
    [anon_sym_CARET_CARET] = ACTIONS(2418),
    [anon_sym_AMP_AMP] = ACTIONS(2422),
    [anon_sym_PIPE] = ACTIONS(2422),
    [anon_sym_CARET] = ACTIONS(2422),
    [anon_sym_AMP] = ACTIONS(2422),
    [anon_sym_GT_GT2] = ACTIONS(2422),
    [anon_sym_PLUS] = ACTIONS(2422),
    [anon_sym_DASH] = ACTIONS(2422),
    [anon_sym_DOT] = ACTIONS(2422),
    [anon_sym_STAR] = ACTIONS(2422),
    [anon_sym_SLASH] = ACTIONS(2422),
    [anon_sym_x] = ACTIONS(2422),
    [anon_sym_EQ_TILDE] = ACTIONS(2418),
    [anon_sym_BANG_TILDE] = ACTIONS(2418),
    [anon_sym_EQ_EQ] = ACTIONS(2422),
    [anon_sym_BANG_EQ] = ACTIONS(2418),
    [anon_sym_eq] = ACTIONS(2422),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2418),
    [anon_sym_equ] = ACTIONS(2422),
    [anon_sym_eqr] = ACTIONS(2422),
    [anon_sym_ne] = ACTIONS(2422),
    [anon_sym_LT_EQ_GT] = ACTIONS(2418),
    [anon_sym_cmp] = ACTIONS(2422),
    [anon_sym_TILDE_TILDE] = ACTIONS(2418),
    [anon_sym_LT] = ACTIONS(2422),
    [anon_sym_LT_EQ] = ACTIONS(2422),
    [anon_sym_GT_EQ] = ACTIONS(2418),
    [anon_sym_lt] = ACTIONS(2422),
    [anon_sym_le] = ACTIONS(2422),
    [anon_sym_ge] = ACTIONS(2422),
    [anon_sym_gt] = ACTIONS(2422),
    [anon_sym_isa] = ACTIONS(2422),
    [anon_sym_PLUS_PLUS] = ACTIONS(2418),
    [anon_sym_DASH_DASH] = ACTIONS(2418),
    [anon_sym_QMARK] = ACTIONS(2418),
    [anon_sym_EQ_GT] = ACTIONS(2418),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(3421),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1762] = {
    [sym_heredoc_content] = STATE(1762),
    [anon_sym_RBRACE] = ACTIONS(2825),
    [anon_sym_EQ] = ACTIONS(2827),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2825),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2825),
    [anon_sym_COMMA] = ACTIONS(2825),
    [anon_sym_RPAREN] = ACTIONS(2825),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2825),
    [anon_sym_and] = ACTIONS(2825),
    [anon_sym_or] = ACTIONS(2825),
    [anon_sym_xor] = ACTIONS(2825),
    [anon_sym_RBRACK] = ACTIONS(2825),
    [anon_sym_DASH_GT] = ACTIONS(2825),
    [anon_sym_PERCENT] = ACTIONS(2827),
    [anon_sym_GT] = ACTIONS(2827),
    [anon_sym_LT_LT] = ACTIONS(2827),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2825),
    [anon_sym_PLUS_EQ] = ACTIONS(2825),
    [anon_sym_DASH_EQ] = ACTIONS(2825),
    [anon_sym_DOT_EQ] = ACTIONS(2825),
    [anon_sym_STAR_EQ] = ACTIONS(2825),
    [anon_sym_SLASH_EQ] = ACTIONS(2825),
    [anon_sym_PERCENT_EQ] = ACTIONS(2825),
    [anon_sym_x_EQ] = ACTIONS(2825),
    [anon_sym_AMP_EQ] = ACTIONS(2825),
    [anon_sym_PIPE_EQ] = ACTIONS(2825),
    [anon_sym_CARET_EQ] = ACTIONS(2825),
    [anon_sym_LT_LT_EQ] = ACTIONS(2825),
    [anon_sym_GT_GT_EQ] = ACTIONS(2825),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2825),
    [anon_sym_DOT_DOT] = ACTIONS(2827),
    [anon_sym_STAR_STAR] = ACTIONS(2827),
    [anon_sym_PIPE_PIPE] = ACTIONS(2827),
    [anon_sym_SLASH_SLASH] = ACTIONS(2827),
    [anon_sym_CARET_CARET] = ACTIONS(2825),
    [anon_sym_AMP_AMP] = ACTIONS(2827),
    [anon_sym_PIPE] = ACTIONS(2827),
    [anon_sym_CARET] = ACTIONS(2827),
    [anon_sym_AMP] = ACTIONS(2827),
    [anon_sym_GT_GT2] = ACTIONS(2827),
    [anon_sym_PLUS] = ACTIONS(2827),
    [anon_sym_DASH] = ACTIONS(2827),
    [anon_sym_DOT] = ACTIONS(2827),
    [anon_sym_STAR] = ACTIONS(2827),
    [anon_sym_SLASH] = ACTIONS(2827),
    [anon_sym_x] = ACTIONS(2827),
    [anon_sym_EQ_TILDE] = ACTIONS(2825),
    [anon_sym_BANG_TILDE] = ACTIONS(2825),
    [anon_sym_EQ_EQ] = ACTIONS(2827),
    [anon_sym_BANG_EQ] = ACTIONS(2825),
    [anon_sym_eq] = ACTIONS(2827),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2825),
    [anon_sym_equ] = ACTIONS(2825),
    [anon_sym_eqr] = ACTIONS(2825),
    [anon_sym_ne] = ACTIONS(2825),
    [anon_sym_LT_EQ_GT] = ACTIONS(2825),
    [anon_sym_cmp] = ACTIONS(2825),
    [anon_sym_TILDE_TILDE] = ACTIONS(2825),
    [anon_sym_LT] = ACTIONS(2827),
    [anon_sym_LT_EQ] = ACTIONS(2827),
    [anon_sym_GT_EQ] = ACTIONS(2825),
    [anon_sym_lt] = ACTIONS(2825),
    [anon_sym_le] = ACTIONS(2825),
    [anon_sym_ge] = ACTIONS(2825),
    [anon_sym_gt] = ACTIONS(2825),
    [anon_sym_isa] = ACTIONS(2825),
    [anon_sym_PLUS_PLUS] = ACTIONS(2825),
    [anon_sym_DASH_DASH] = ACTIONS(2825),
    [anon_sym_QMARK] = ACTIONS(2825),
    [anon_sym_EQ_GT] = ACTIONS(2825),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1763] = {
    [sym_heredoc_content] = STATE(1763),
    [anon_sym_RBRACE] = ACTIONS(3094),
    [anon_sym_EQ] = ACTIONS(3096),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3094),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3094),
    [anon_sym_COMMA] = ACTIONS(3094),
    [anon_sym_RPAREN] = ACTIONS(3094),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3094),
    [anon_sym_and] = ACTIONS(3094),
    [anon_sym_or] = ACTIONS(3094),
    [anon_sym_xor] = ACTIONS(3094),
    [anon_sym_RBRACK] = ACTIONS(3094),
    [anon_sym_DASH_GT] = ACTIONS(3457),
    [anon_sym_PERCENT] = ACTIONS(3459),
    [anon_sym_GT] = ACTIONS(3096),
    [anon_sym_LT_LT] = ACTIONS(3463),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3094),
    [anon_sym_PLUS_EQ] = ACTIONS(3094),
    [anon_sym_DASH_EQ] = ACTIONS(3094),
    [anon_sym_DOT_EQ] = ACTIONS(3094),
    [anon_sym_STAR_EQ] = ACTIONS(3094),
    [anon_sym_SLASH_EQ] = ACTIONS(3094),
    [anon_sym_PERCENT_EQ] = ACTIONS(3094),
    [anon_sym_x_EQ] = ACTIONS(3094),
    [anon_sym_AMP_EQ] = ACTIONS(3094),
    [anon_sym_PIPE_EQ] = ACTIONS(3094),
    [anon_sym_CARET_EQ] = ACTIONS(3094),
    [anon_sym_LT_LT_EQ] = ACTIONS(3094),
    [anon_sym_GT_GT_EQ] = ACTIONS(3094),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3094),
    [anon_sym_DOT_DOT] = ACTIONS(3096),
    [anon_sym_STAR_STAR] = ACTIONS(3467),
    [anon_sym_PIPE_PIPE] = ACTIONS(3096),
    [anon_sym_SLASH_SLASH] = ACTIONS(3096),
    [anon_sym_CARET_CARET] = ACTIONS(3094),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_PIPE] = ACTIONS(3096),
    [anon_sym_CARET] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3096),
    [anon_sym_GT_GT2] = ACTIONS(3463),
    [anon_sym_PLUS] = ACTIONS(3479),
    [anon_sym_DASH] = ACTIONS(3479),
    [anon_sym_DOT] = ACTIONS(3479),
    [anon_sym_STAR] = ACTIONS(3459),
    [anon_sym_SLASH] = ACTIONS(3459),
    [anon_sym_x] = ACTIONS(3459),
    [anon_sym_EQ_TILDE] = ACTIONS(3481),
    [anon_sym_BANG_TILDE] = ACTIONS(3481),
    [anon_sym_EQ_EQ] = ACTIONS(3096),
    [anon_sym_BANG_EQ] = ACTIONS(3094),
    [anon_sym_eq] = ACTIONS(3096),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3094),
    [anon_sym_equ] = ACTIONS(3094),
    [anon_sym_eqr] = ACTIONS(3094),
    [anon_sym_ne] = ACTIONS(3094),
    [anon_sym_LT_EQ_GT] = ACTIONS(3094),
    [anon_sym_cmp] = ACTIONS(3094),
    [anon_sym_TILDE_TILDE] = ACTIONS(3094),
    [anon_sym_LT] = ACTIONS(3096),
    [anon_sym_LT_EQ] = ACTIONS(3096),
    [anon_sym_GT_EQ] = ACTIONS(3094),
    [anon_sym_lt] = ACTIONS(3094),
    [anon_sym_le] = ACTIONS(3094),
    [anon_sym_ge] = ACTIONS(3094),
    [anon_sym_gt] = ACTIONS(3094),
    [anon_sym_isa] = ACTIONS(3094),
    [anon_sym_PLUS_PLUS] = ACTIONS(3493),
    [anon_sym_DASH_DASH] = ACTIONS(3493),
    [anon_sym_QMARK] = ACTIONS(3094),
    [anon_sym_EQ_GT] = ACTIONS(3094),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1764] = {
    [sym_heredoc_content] = STATE(1764),
    [anon_sym_RBRACE] = ACTIONS(3098),
    [anon_sym_EQ] = ACTIONS(3100),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3098),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3098),
    [anon_sym_COMMA] = ACTIONS(3098),
    [anon_sym_RPAREN] = ACTIONS(3098),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3098),
    [anon_sym_and] = ACTIONS(3098),
    [anon_sym_or] = ACTIONS(3098),
    [anon_sym_xor] = ACTIONS(3098),
    [anon_sym_RBRACK] = ACTIONS(3098),
    [anon_sym_DASH_GT] = ACTIONS(3098),
    [anon_sym_PERCENT] = ACTIONS(3100),
    [anon_sym_GT] = ACTIONS(3100),
    [anon_sym_LT_LT] = ACTIONS(3100),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3098),
    [anon_sym_PLUS_EQ] = ACTIONS(3098),
    [anon_sym_DASH_EQ] = ACTIONS(3098),
    [anon_sym_DOT_EQ] = ACTIONS(3098),
    [anon_sym_STAR_EQ] = ACTIONS(3098),
    [anon_sym_SLASH_EQ] = ACTIONS(3098),
    [anon_sym_PERCENT_EQ] = ACTIONS(3098),
    [anon_sym_x_EQ] = ACTIONS(3098),
    [anon_sym_AMP_EQ] = ACTIONS(3098),
    [anon_sym_PIPE_EQ] = ACTIONS(3098),
    [anon_sym_CARET_EQ] = ACTIONS(3098),
    [anon_sym_LT_LT_EQ] = ACTIONS(3098),
    [anon_sym_GT_GT_EQ] = ACTIONS(3098),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3098),
    [anon_sym_DOT_DOT] = ACTIONS(3100),
    [anon_sym_STAR_STAR] = ACTIONS(3100),
    [anon_sym_PIPE_PIPE] = ACTIONS(3100),
    [anon_sym_SLASH_SLASH] = ACTIONS(3100),
    [anon_sym_CARET_CARET] = ACTIONS(3098),
    [anon_sym_AMP_AMP] = ACTIONS(3100),
    [anon_sym_PIPE] = ACTIONS(3100),
    [anon_sym_CARET] = ACTIONS(3100),
    [anon_sym_AMP] = ACTIONS(3100),
    [anon_sym_GT_GT2] = ACTIONS(3100),
    [anon_sym_PLUS] = ACTIONS(3100),
    [anon_sym_DASH] = ACTIONS(3100),
    [anon_sym_DOT] = ACTIONS(3100),
    [anon_sym_STAR] = ACTIONS(3100),
    [anon_sym_SLASH] = ACTIONS(3100),
    [anon_sym_x] = ACTIONS(3100),
    [anon_sym_EQ_TILDE] = ACTIONS(3098),
    [anon_sym_BANG_TILDE] = ACTIONS(3098),
    [anon_sym_EQ_EQ] = ACTIONS(3100),
    [anon_sym_BANG_EQ] = ACTIONS(3098),
    [anon_sym_eq] = ACTIONS(3100),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3098),
    [anon_sym_equ] = ACTIONS(3098),
    [anon_sym_eqr] = ACTIONS(3098),
    [anon_sym_ne] = ACTIONS(3098),
    [anon_sym_LT_EQ_GT] = ACTIONS(3098),
    [anon_sym_cmp] = ACTIONS(3098),
    [anon_sym_TILDE_TILDE] = ACTIONS(3098),
    [anon_sym_LT] = ACTIONS(3100),
    [anon_sym_LT_EQ] = ACTIONS(3100),
    [anon_sym_GT_EQ] = ACTIONS(3098),
    [anon_sym_lt] = ACTIONS(3098),
    [anon_sym_le] = ACTIONS(3098),
    [anon_sym_ge] = ACTIONS(3098),
    [anon_sym_gt] = ACTIONS(3098),
    [anon_sym_isa] = ACTIONS(3098),
    [anon_sym_PLUS_PLUS] = ACTIONS(3098),
    [anon_sym_DASH_DASH] = ACTIONS(3098),
    [anon_sym_QMARK] = ACTIONS(3098),
    [anon_sym_EQ_GT] = ACTIONS(3098),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1765] = {
    [sym_heredoc_content] = STATE(1765),
    [anon_sym_RBRACE] = ACTIONS(3043),
    [anon_sym_EQ] = ACTIONS(3045),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3043),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3043),
    [anon_sym_COMMA] = ACTIONS(3043),
    [anon_sym_RPAREN] = ACTIONS(3043),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3043),
    [anon_sym_and] = ACTIONS(3043),
    [anon_sym_or] = ACTIONS(3043),
    [anon_sym_xor] = ACTIONS(3043),
    [anon_sym_RBRACK] = ACTIONS(3043),
    [anon_sym_DASH_GT] = ACTIONS(3043),
    [anon_sym_PERCENT] = ACTIONS(3045),
    [anon_sym_GT] = ACTIONS(3045),
    [anon_sym_LT_LT] = ACTIONS(3045),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3043),
    [anon_sym_PLUS_EQ] = ACTIONS(3043),
    [anon_sym_DASH_EQ] = ACTIONS(3043),
    [anon_sym_DOT_EQ] = ACTIONS(3043),
    [anon_sym_STAR_EQ] = ACTIONS(3043),
    [anon_sym_SLASH_EQ] = ACTIONS(3043),
    [anon_sym_PERCENT_EQ] = ACTIONS(3043),
    [anon_sym_x_EQ] = ACTIONS(3043),
    [anon_sym_AMP_EQ] = ACTIONS(3043),
    [anon_sym_PIPE_EQ] = ACTIONS(3043),
    [anon_sym_CARET_EQ] = ACTIONS(3043),
    [anon_sym_LT_LT_EQ] = ACTIONS(3043),
    [anon_sym_GT_GT_EQ] = ACTIONS(3043),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3043),
    [anon_sym_DOT_DOT] = ACTIONS(3045),
    [anon_sym_STAR_STAR] = ACTIONS(3045),
    [anon_sym_PIPE_PIPE] = ACTIONS(3045),
    [anon_sym_SLASH_SLASH] = ACTIONS(3045),
    [anon_sym_CARET_CARET] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(3045),
    [anon_sym_PIPE] = ACTIONS(3045),
    [anon_sym_CARET] = ACTIONS(3045),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym_GT_GT2] = ACTIONS(3045),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_DOT] = ACTIONS(3045),
    [anon_sym_STAR] = ACTIONS(3045),
    [anon_sym_SLASH] = ACTIONS(3045),
    [anon_sym_x] = ACTIONS(3045),
    [anon_sym_EQ_TILDE] = ACTIONS(3043),
    [anon_sym_BANG_TILDE] = ACTIONS(3043),
    [anon_sym_EQ_EQ] = ACTIONS(3045),
    [anon_sym_BANG_EQ] = ACTIONS(3043),
    [anon_sym_eq] = ACTIONS(3045),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3043),
    [anon_sym_equ] = ACTIONS(3043),
    [anon_sym_eqr] = ACTIONS(3043),
    [anon_sym_ne] = ACTIONS(3043),
    [anon_sym_LT_EQ_GT] = ACTIONS(3043),
    [anon_sym_cmp] = ACTIONS(3043),
    [anon_sym_TILDE_TILDE] = ACTIONS(3043),
    [anon_sym_LT] = ACTIONS(3045),
    [anon_sym_LT_EQ] = ACTIONS(3045),
    [anon_sym_GT_EQ] = ACTIONS(3043),
    [anon_sym_lt] = ACTIONS(3043),
    [anon_sym_le] = ACTIONS(3043),
    [anon_sym_ge] = ACTIONS(3043),
    [anon_sym_gt] = ACTIONS(3043),
    [anon_sym_isa] = ACTIONS(3043),
    [anon_sym_PLUS_PLUS] = ACTIONS(3043),
    [anon_sym_DASH_DASH] = ACTIONS(3043),
    [anon_sym_QMARK] = ACTIONS(3043),
    [anon_sym_EQ_GT] = ACTIONS(3043),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1766] = {
    [sym_heredoc_content] = STATE(1766),
    [anon_sym_COLON] = ACTIONS(2781),
    [anon_sym_DOLLAR] = ACTIONS(2781),
    [anon_sym_EQ] = ACTIONS(2783),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2781),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2781),
    [anon_sym_AT] = ACTIONS(2781),
    [anon_sym_COMMA] = ACTIONS(2781),
    [anon_sym_RPAREN] = ACTIONS(2781),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2781),
    [anon_sym_DASH_GT] = ACTIONS(2781),
    [anon_sym_PERCENT] = ACTIONS(2783),
    [anon_sym_GT] = ACTIONS(2783),
    [anon_sym_LT_LT] = ACTIONS(2783),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2781),
    [anon_sym_PLUS_EQ] = ACTIONS(2781),
    [anon_sym_DASH_EQ] = ACTIONS(2781),
    [anon_sym_DOT_EQ] = ACTIONS(2781),
    [anon_sym_STAR_EQ] = ACTIONS(2781),
    [anon_sym_SLASH_EQ] = ACTIONS(2781),
    [anon_sym_PERCENT_EQ] = ACTIONS(2783),
    [anon_sym_x_EQ] = ACTIONS(2783),
    [anon_sym_AMP_EQ] = ACTIONS(2781),
    [anon_sym_PIPE_EQ] = ACTIONS(2781),
    [anon_sym_CARET_EQ] = ACTIONS(2781),
    [anon_sym_LT_LT_EQ] = ACTIONS(2781),
    [anon_sym_GT_GT_EQ] = ACTIONS(2781),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2781),
    [anon_sym_DOT_DOT] = ACTIONS(2783),
    [anon_sym_STAR_STAR] = ACTIONS(2783),
    [anon_sym_PIPE_PIPE] = ACTIONS(2783),
    [anon_sym_SLASH_SLASH] = ACTIONS(2783),
    [anon_sym_CARET_CARET] = ACTIONS(2781),
    [anon_sym_AMP_AMP] = ACTIONS(2783),
    [anon_sym_PIPE] = ACTIONS(2783),
    [anon_sym_CARET] = ACTIONS(2783),
    [anon_sym_AMP] = ACTIONS(2783),
    [anon_sym_GT_GT2] = ACTIONS(2783),
    [anon_sym_PLUS] = ACTIONS(2783),
    [anon_sym_DASH] = ACTIONS(2783),
    [anon_sym_DOT] = ACTIONS(2783),
    [anon_sym_STAR] = ACTIONS(2783),
    [anon_sym_SLASH] = ACTIONS(2783),
    [anon_sym_x] = ACTIONS(2783),
    [anon_sym_EQ_TILDE] = ACTIONS(2781),
    [anon_sym_BANG_TILDE] = ACTIONS(2781),
    [anon_sym_EQ_EQ] = ACTIONS(2783),
    [anon_sym_BANG_EQ] = ACTIONS(2781),
    [anon_sym_eq] = ACTIONS(2783),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2781),
    [anon_sym_equ] = ACTIONS(2781),
    [anon_sym_eqr] = ACTIONS(2781),
    [anon_sym_ne] = ACTIONS(2783),
    [anon_sym_LT_EQ_GT] = ACTIONS(2781),
    [anon_sym_cmp] = ACTIONS(2783),
    [anon_sym_TILDE_TILDE] = ACTIONS(2781),
    [anon_sym_LT] = ACTIONS(2783),
    [anon_sym_LT_EQ] = ACTIONS(2783),
    [anon_sym_GT_EQ] = ACTIONS(2781),
    [anon_sym_lt] = ACTIONS(2783),
    [anon_sym_le] = ACTIONS(2783),
    [anon_sym_ge] = ACTIONS(2783),
    [anon_sym_gt] = ACTIONS(2783),
    [anon_sym_isa] = ACTIONS(2783),
    [anon_sym_PLUS_PLUS] = ACTIONS(2781),
    [anon_sym_DASH_DASH] = ACTIONS(2781),
    [anon_sym_QMARK] = ACTIONS(2781),
    [anon_sym_PERCENT2] = ACTIONS(2781),
    [anon_sym_EQ_GT] = ACTIONS(2781),
    [sym_comment] = ACTIONS(5),
    [sym_match_regexp_modifiers] = ACTIONS(3610),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1767] = {
    [sym_heredoc_content] = STATE(1767),
    [anon_sym_RBRACE] = ACTIONS(3218),
    [anon_sym_EQ] = ACTIONS(3220),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3218),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3218),
    [anon_sym_COMMA] = ACTIONS(3218),
    [anon_sym_RPAREN] = ACTIONS(3218),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3218),
    [anon_sym_and] = ACTIONS(3218),
    [anon_sym_or] = ACTIONS(3218),
    [anon_sym_xor] = ACTIONS(3218),
    [anon_sym_RBRACK] = ACTIONS(3218),
    [anon_sym_DASH_GT] = ACTIONS(3218),
    [anon_sym_PERCENT] = ACTIONS(3220),
    [anon_sym_GT] = ACTIONS(3220),
    [anon_sym_LT_LT] = ACTIONS(3220),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3218),
    [anon_sym_PLUS_EQ] = ACTIONS(3218),
    [anon_sym_DASH_EQ] = ACTIONS(3218),
    [anon_sym_DOT_EQ] = ACTIONS(3218),
    [anon_sym_STAR_EQ] = ACTIONS(3218),
    [anon_sym_SLASH_EQ] = ACTIONS(3218),
    [anon_sym_PERCENT_EQ] = ACTIONS(3218),
    [anon_sym_x_EQ] = ACTIONS(3218),
    [anon_sym_AMP_EQ] = ACTIONS(3218),
    [anon_sym_PIPE_EQ] = ACTIONS(3218),
    [anon_sym_CARET_EQ] = ACTIONS(3218),
    [anon_sym_LT_LT_EQ] = ACTIONS(3218),
    [anon_sym_GT_GT_EQ] = ACTIONS(3218),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3218),
    [anon_sym_DOT_DOT] = ACTIONS(3220),
    [anon_sym_STAR_STAR] = ACTIONS(3220),
    [anon_sym_PIPE_PIPE] = ACTIONS(3220),
    [anon_sym_SLASH_SLASH] = ACTIONS(3220),
    [anon_sym_CARET_CARET] = ACTIONS(3218),
    [anon_sym_AMP_AMP] = ACTIONS(3220),
    [anon_sym_PIPE] = ACTIONS(3220),
    [anon_sym_CARET] = ACTIONS(3220),
    [anon_sym_AMP] = ACTIONS(3220),
    [anon_sym_GT_GT2] = ACTIONS(3220),
    [anon_sym_PLUS] = ACTIONS(3220),
    [anon_sym_DASH] = ACTIONS(3220),
    [anon_sym_DOT] = ACTIONS(3220),
    [anon_sym_STAR] = ACTIONS(3220),
    [anon_sym_SLASH] = ACTIONS(3220),
    [anon_sym_x] = ACTIONS(3220),
    [anon_sym_EQ_TILDE] = ACTIONS(3218),
    [anon_sym_BANG_TILDE] = ACTIONS(3218),
    [anon_sym_EQ_EQ] = ACTIONS(3220),
    [anon_sym_BANG_EQ] = ACTIONS(3218),
    [anon_sym_eq] = ACTIONS(3220),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3218),
    [anon_sym_equ] = ACTIONS(3218),
    [anon_sym_eqr] = ACTIONS(3218),
    [anon_sym_ne] = ACTIONS(3218),
    [anon_sym_LT_EQ_GT] = ACTIONS(3218),
    [anon_sym_cmp] = ACTIONS(3218),
    [anon_sym_TILDE_TILDE] = ACTIONS(3218),
    [anon_sym_LT] = ACTIONS(3220),
    [anon_sym_LT_EQ] = ACTIONS(3220),
    [anon_sym_GT_EQ] = ACTIONS(3218),
    [anon_sym_lt] = ACTIONS(3218),
    [anon_sym_le] = ACTIONS(3218),
    [anon_sym_ge] = ACTIONS(3218),
    [anon_sym_gt] = ACTIONS(3218),
    [anon_sym_isa] = ACTIONS(3218),
    [anon_sym_PLUS_PLUS] = ACTIONS(3218),
    [anon_sym_DASH_DASH] = ACTIONS(3218),
    [anon_sym_QMARK] = ACTIONS(3218),
    [anon_sym_EQ_GT] = ACTIONS(3218),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1768] = {
    [sym_attribute] = STATE(1933),
    [sym_attribute_name] = STATE(1773),
    [sym_heredoc_content] = STATE(1768),
    [aux_sym_attrlist_repeat1] = STATE(1523),
    [sym__identifier] = ACTIONS(3421),
    [anon_sym_COLON] = ACTIONS(2426),
    [anon_sym_EQ] = ACTIONS(2426),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2424),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2424),
    [anon_sym_COMMA] = ACTIONS(2424),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2424),
    [anon_sym_DASH_GT] = ACTIONS(2424),
    [anon_sym_PERCENT] = ACTIONS(2426),
    [anon_sym_GT] = ACTIONS(2426),
    [anon_sym_LT_LT] = ACTIONS(2426),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2424),
    [anon_sym_PLUS_EQ] = ACTIONS(2424),
    [anon_sym_DASH_EQ] = ACTIONS(2424),
    [anon_sym_DOT_EQ] = ACTIONS(2424),
    [anon_sym_STAR_EQ] = ACTIONS(2424),
    [anon_sym_SLASH_EQ] = ACTIONS(2424),
    [anon_sym_PERCENT_EQ] = ACTIONS(2424),
    [anon_sym_x_EQ] = ACTIONS(2424),
    [anon_sym_AMP_EQ] = ACTIONS(2424),
    [anon_sym_PIPE_EQ] = ACTIONS(2424),
    [anon_sym_CARET_EQ] = ACTIONS(2424),
    [anon_sym_LT_LT_EQ] = ACTIONS(2424),
    [anon_sym_GT_GT_EQ] = ACTIONS(2424),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2424),
    [anon_sym_DOT_DOT] = ACTIONS(2426),
    [anon_sym_STAR_STAR] = ACTIONS(2426),
    [anon_sym_PIPE_PIPE] = ACTIONS(2426),
    [anon_sym_SLASH_SLASH] = ACTIONS(2426),
    [anon_sym_CARET_CARET] = ACTIONS(2424),
    [anon_sym_AMP_AMP] = ACTIONS(2426),
    [anon_sym_PIPE] = ACTIONS(2426),
    [anon_sym_CARET] = ACTIONS(2426),
    [anon_sym_AMP] = ACTIONS(2426),
    [anon_sym_GT_GT2] = ACTIONS(2426),
    [anon_sym_PLUS] = ACTIONS(2426),
    [anon_sym_DASH] = ACTIONS(2426),
    [anon_sym_DOT] = ACTIONS(2426),
    [anon_sym_STAR] = ACTIONS(2426),
    [anon_sym_SLASH] = ACTIONS(2426),
    [anon_sym_x] = ACTIONS(2426),
    [anon_sym_EQ_TILDE] = ACTIONS(2424),
    [anon_sym_BANG_TILDE] = ACTIONS(2424),
    [anon_sym_EQ_EQ] = ACTIONS(2426),
    [anon_sym_BANG_EQ] = ACTIONS(2424),
    [anon_sym_eq] = ACTIONS(2426),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2424),
    [anon_sym_equ] = ACTIONS(2426),
    [anon_sym_eqr] = ACTIONS(2426),
    [anon_sym_ne] = ACTIONS(2426),
    [anon_sym_LT_EQ_GT] = ACTIONS(2424),
    [anon_sym_cmp] = ACTIONS(2426),
    [anon_sym_TILDE_TILDE] = ACTIONS(2424),
    [anon_sym_LT] = ACTIONS(2426),
    [anon_sym_LT_EQ] = ACTIONS(2426),
    [anon_sym_GT_EQ] = ACTIONS(2424),
    [anon_sym_lt] = ACTIONS(2426),
    [anon_sym_le] = ACTIONS(2426),
    [anon_sym_ge] = ACTIONS(2426),
    [anon_sym_gt] = ACTIONS(2426),
    [anon_sym_isa] = ACTIONS(2426),
    [anon_sym_PLUS_PLUS] = ACTIONS(2424),
    [anon_sym_DASH_DASH] = ACTIONS(2424),
    [anon_sym_QMARK] = ACTIONS(2424),
    [anon_sym_EQ_GT] = ACTIONS(2424),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(3421),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1769] = {
    [sym_heredoc_content] = STATE(1769),
    [anon_sym_COLON] = ACTIONS(2568),
    [anon_sym_DOLLAR] = ACTIONS(2568),
    [anon_sym_EQ] = ACTIONS(2570),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2568),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2568),
    [anon_sym_AT] = ACTIONS(2568),
    [anon_sym_COMMA] = ACTIONS(2568),
    [anon_sym_RPAREN] = ACTIONS(2568),
    [anon_sym_LPAREN] = ACTIONS(3612),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2568),
    [anon_sym_DASH_GT] = ACTIONS(2568),
    [anon_sym_PERCENT] = ACTIONS(2570),
    [anon_sym_GT] = ACTIONS(2570),
    [anon_sym_LT_LT] = ACTIONS(2570),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2568),
    [anon_sym_PLUS_EQ] = ACTIONS(2568),
    [anon_sym_DASH_EQ] = ACTIONS(2568),
    [anon_sym_DOT_EQ] = ACTIONS(2568),
    [anon_sym_STAR_EQ] = ACTIONS(2568),
    [anon_sym_SLASH_EQ] = ACTIONS(2568),
    [anon_sym_PERCENT_EQ] = ACTIONS(2570),
    [anon_sym_x_EQ] = ACTIONS(2568),
    [anon_sym_AMP_EQ] = ACTIONS(2568),
    [anon_sym_PIPE_EQ] = ACTIONS(2568),
    [anon_sym_CARET_EQ] = ACTIONS(2568),
    [anon_sym_LT_LT_EQ] = ACTIONS(2568),
    [anon_sym_GT_GT_EQ] = ACTIONS(2568),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2568),
    [anon_sym_DOT_DOT] = ACTIONS(2570),
    [anon_sym_STAR_STAR] = ACTIONS(2570),
    [anon_sym_PIPE_PIPE] = ACTIONS(2570),
    [anon_sym_SLASH_SLASH] = ACTIONS(2570),
    [anon_sym_CARET_CARET] = ACTIONS(2568),
    [anon_sym_AMP_AMP] = ACTIONS(2570),
    [anon_sym_PIPE] = ACTIONS(2570),
    [anon_sym_CARET] = ACTIONS(2570),
    [anon_sym_AMP] = ACTIONS(2570),
    [anon_sym_GT_GT2] = ACTIONS(2570),
    [anon_sym_PLUS] = ACTIONS(2570),
    [anon_sym_DASH] = ACTIONS(2570),
    [anon_sym_DOT] = ACTIONS(2570),
    [anon_sym_STAR] = ACTIONS(2570),
    [anon_sym_SLASH] = ACTIONS(2570),
    [anon_sym_x] = ACTIONS(2570),
    [anon_sym_EQ_TILDE] = ACTIONS(2568),
    [anon_sym_BANG_TILDE] = ACTIONS(2568),
    [anon_sym_EQ_EQ] = ACTIONS(2570),
    [anon_sym_BANG_EQ] = ACTIONS(2568),
    [anon_sym_eq] = ACTIONS(2570),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2568),
    [anon_sym_equ] = ACTIONS(2568),
    [anon_sym_eqr] = ACTIONS(2568),
    [anon_sym_ne] = ACTIONS(2568),
    [anon_sym_LT_EQ_GT] = ACTIONS(2568),
    [anon_sym_cmp] = ACTIONS(2568),
    [anon_sym_TILDE_TILDE] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_LT_EQ] = ACTIONS(2570),
    [anon_sym_GT_EQ] = ACTIONS(2568),
    [anon_sym_lt] = ACTIONS(2568),
    [anon_sym_le] = ACTIONS(2568),
    [anon_sym_ge] = ACTIONS(2568),
    [anon_sym_gt] = ACTIONS(2568),
    [anon_sym_isa] = ACTIONS(2568),
    [anon_sym_PLUS_PLUS] = ACTIONS(2568),
    [anon_sym_DASH_DASH] = ACTIONS(2568),
    [anon_sym_QMARK] = ACTIONS(2568),
    [anon_sym_PERCENT2] = ACTIONS(2568),
    [anon_sym_EQ_GT] = ACTIONS(2568),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1770] = {
    [sym_heredoc_content] = STATE(1770),
    [anon_sym_COLON] = ACTIONS(2754),
    [anon_sym_DOLLAR] = ACTIONS(2754),
    [anon_sym_EQ] = ACTIONS(2756),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2754),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2754),
    [anon_sym_AT] = ACTIONS(2754),
    [anon_sym_COMMA] = ACTIONS(2754),
    [anon_sym_RPAREN] = ACTIONS(2754),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2754),
    [anon_sym_DASH_GT] = ACTIONS(2754),
    [anon_sym_PERCENT] = ACTIONS(2756),
    [anon_sym_GT] = ACTIONS(2756),
    [anon_sym_LT_LT] = ACTIONS(2756),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2754),
    [anon_sym_PLUS_EQ] = ACTIONS(2754),
    [anon_sym_DASH_EQ] = ACTIONS(2754),
    [anon_sym_DOT_EQ] = ACTIONS(2754),
    [anon_sym_STAR_EQ] = ACTIONS(2754),
    [anon_sym_SLASH_EQ] = ACTIONS(2754),
    [anon_sym_PERCENT_EQ] = ACTIONS(2756),
    [anon_sym_x_EQ] = ACTIONS(2756),
    [anon_sym_AMP_EQ] = ACTIONS(2754),
    [anon_sym_PIPE_EQ] = ACTIONS(2754),
    [anon_sym_CARET_EQ] = ACTIONS(2754),
    [anon_sym_LT_LT_EQ] = ACTIONS(2754),
    [anon_sym_GT_GT_EQ] = ACTIONS(2754),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2754),
    [anon_sym_DOT_DOT] = ACTIONS(2756),
    [anon_sym_STAR_STAR] = ACTIONS(2756),
    [anon_sym_PIPE_PIPE] = ACTIONS(2756),
    [anon_sym_SLASH_SLASH] = ACTIONS(2756),
    [anon_sym_CARET_CARET] = ACTIONS(2754),
    [anon_sym_AMP_AMP] = ACTIONS(2756),
    [anon_sym_PIPE] = ACTIONS(2756),
    [anon_sym_CARET] = ACTIONS(2756),
    [anon_sym_AMP] = ACTIONS(2756),
    [anon_sym_GT_GT2] = ACTIONS(2756),
    [anon_sym_PLUS] = ACTIONS(2756),
    [anon_sym_DASH] = ACTIONS(2756),
    [anon_sym_DOT] = ACTIONS(2756),
    [anon_sym_STAR] = ACTIONS(2756),
    [anon_sym_SLASH] = ACTIONS(2756),
    [anon_sym_x] = ACTIONS(2756),
    [anon_sym_EQ_TILDE] = ACTIONS(2754),
    [anon_sym_BANG_TILDE] = ACTIONS(2754),
    [anon_sym_EQ_EQ] = ACTIONS(2756),
    [anon_sym_BANG_EQ] = ACTIONS(2754),
    [anon_sym_eq] = ACTIONS(2756),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2754),
    [anon_sym_equ] = ACTIONS(2754),
    [anon_sym_eqr] = ACTIONS(2754),
    [anon_sym_ne] = ACTIONS(2756),
    [anon_sym_LT_EQ_GT] = ACTIONS(2754),
    [anon_sym_cmp] = ACTIONS(2756),
    [anon_sym_TILDE_TILDE] = ACTIONS(2754),
    [anon_sym_LT] = ACTIONS(2756),
    [anon_sym_LT_EQ] = ACTIONS(2756),
    [anon_sym_GT_EQ] = ACTIONS(2754),
    [anon_sym_lt] = ACTIONS(2756),
    [anon_sym_le] = ACTIONS(2756),
    [anon_sym_ge] = ACTIONS(2756),
    [anon_sym_gt] = ACTIONS(2756),
    [anon_sym_isa] = ACTIONS(2756),
    [anon_sym_PLUS_PLUS] = ACTIONS(2754),
    [anon_sym_DASH_DASH] = ACTIONS(2754),
    [anon_sym_QMARK] = ACTIONS(2754),
    [anon_sym_PERCENT2] = ACTIONS(2754),
    [anon_sym_EQ_GT] = ACTIONS(2754),
    [sym_comment] = ACTIONS(5),
    [sym_match_regexp_modifiers] = ACTIONS(3614),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1771] = {
    [sym_heredoc_content] = STATE(1771),
    [sym__identifier] = ACTIONS(2446),
    [anon_sym_RBRACE] = ACTIONS(2448),
    [anon_sym_COLON] = ACTIONS(2446),
    [anon_sym_EQ] = ACTIONS(2446),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2448),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2448),
    [anon_sym_COMMA] = ACTIONS(2448),
    [anon_sym_RPAREN] = ACTIONS(2448),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2448),
    [anon_sym_DASH_GT] = ACTIONS(2448),
    [anon_sym_PERCENT] = ACTIONS(2446),
    [anon_sym_GT] = ACTIONS(2446),
    [anon_sym_LT_LT] = ACTIONS(2446),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2448),
    [anon_sym_PLUS_EQ] = ACTIONS(2448),
    [anon_sym_DASH_EQ] = ACTIONS(2448),
    [anon_sym_DOT_EQ] = ACTIONS(2448),
    [anon_sym_STAR_EQ] = ACTIONS(2448),
    [anon_sym_SLASH_EQ] = ACTIONS(2448),
    [anon_sym_PERCENT_EQ] = ACTIONS(2448),
    [anon_sym_x_EQ] = ACTIONS(2448),
    [anon_sym_AMP_EQ] = ACTIONS(2448),
    [anon_sym_PIPE_EQ] = ACTIONS(2448),
    [anon_sym_CARET_EQ] = ACTIONS(2448),
    [anon_sym_LT_LT_EQ] = ACTIONS(2448),
    [anon_sym_GT_GT_EQ] = ACTIONS(2448),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2448),
    [anon_sym_DOT_DOT] = ACTIONS(2446),
    [anon_sym_STAR_STAR] = ACTIONS(2446),
    [anon_sym_PIPE_PIPE] = ACTIONS(2446),
    [anon_sym_SLASH_SLASH] = ACTIONS(2446),
    [anon_sym_CARET_CARET] = ACTIONS(2448),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_PIPE] = ACTIONS(2446),
    [anon_sym_CARET] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2446),
    [anon_sym_GT_GT2] = ACTIONS(2446),
    [anon_sym_PLUS] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2446),
    [anon_sym_DOT] = ACTIONS(2446),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_SLASH] = ACTIONS(2446),
    [anon_sym_x] = ACTIONS(2446),
    [anon_sym_EQ_TILDE] = ACTIONS(2448),
    [anon_sym_BANG_TILDE] = ACTIONS(2448),
    [anon_sym_EQ_EQ] = ACTIONS(2446),
    [anon_sym_BANG_EQ] = ACTIONS(2448),
    [anon_sym_eq] = ACTIONS(2446),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2448),
    [anon_sym_equ] = ACTIONS(2446),
    [anon_sym_eqr] = ACTIONS(2446),
    [anon_sym_ne] = ACTIONS(2446),
    [anon_sym_LT_EQ_GT] = ACTIONS(2448),
    [anon_sym_cmp] = ACTIONS(2446),
    [anon_sym_TILDE_TILDE] = ACTIONS(2448),
    [anon_sym_LT] = ACTIONS(2446),
    [anon_sym_LT_EQ] = ACTIONS(2446),
    [anon_sym_GT_EQ] = ACTIONS(2448),
    [anon_sym_lt] = ACTIONS(2446),
    [anon_sym_le] = ACTIONS(2446),
    [anon_sym_ge] = ACTIONS(2446),
    [anon_sym_gt] = ACTIONS(2446),
    [anon_sym_isa] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2448),
    [anon_sym_DASH_DASH] = ACTIONS(2448),
    [anon_sym_QMARK] = ACTIONS(2448),
    [anon_sym_EQ_GT] = ACTIONS(2448),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(2446),
    [sym_pod] = ACTIONS(5),
    [sym__attribute_value_begin] = ACTIONS(2448),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1772] = {
    [sym_heredoc_content] = STATE(1772),
    [anon_sym_COLON] = ACTIONS(2680),
    [anon_sym_DOLLAR] = ACTIONS(2680),
    [anon_sym_EQ] = ACTIONS(2682),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2680),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2680),
    [anon_sym_AT] = ACTIONS(2680),
    [anon_sym_COMMA] = ACTIONS(2680),
    [anon_sym_RPAREN] = ACTIONS(2680),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2680),
    [anon_sym_LBRACK] = ACTIONS(3552),
    [anon_sym_DASH_GT] = ACTIONS(2680),
    [anon_sym_PERCENT] = ACTIONS(2682),
    [anon_sym_GT] = ACTIONS(2682),
    [anon_sym_LT_LT] = ACTIONS(2682),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2680),
    [anon_sym_PLUS_EQ] = ACTIONS(2680),
    [anon_sym_DASH_EQ] = ACTIONS(2680),
    [anon_sym_DOT_EQ] = ACTIONS(2680),
    [anon_sym_STAR_EQ] = ACTIONS(2680),
    [anon_sym_SLASH_EQ] = ACTIONS(2680),
    [anon_sym_PERCENT_EQ] = ACTIONS(2682),
    [anon_sym_x_EQ] = ACTIONS(2680),
    [anon_sym_AMP_EQ] = ACTIONS(2680),
    [anon_sym_PIPE_EQ] = ACTIONS(2680),
    [anon_sym_CARET_EQ] = ACTIONS(2680),
    [anon_sym_LT_LT_EQ] = ACTIONS(2680),
    [anon_sym_GT_GT_EQ] = ACTIONS(2680),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2680),
    [anon_sym_DOT_DOT] = ACTIONS(2682),
    [anon_sym_STAR_STAR] = ACTIONS(2682),
    [anon_sym_PIPE_PIPE] = ACTIONS(2682),
    [anon_sym_SLASH_SLASH] = ACTIONS(2682),
    [anon_sym_CARET_CARET] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(2682),
    [anon_sym_PIPE] = ACTIONS(2682),
    [anon_sym_CARET] = ACTIONS(2682),
    [anon_sym_AMP] = ACTIONS(2682),
    [anon_sym_GT_GT2] = ACTIONS(2682),
    [anon_sym_PLUS] = ACTIONS(2682),
    [anon_sym_DASH] = ACTIONS(2682),
    [anon_sym_DOT] = ACTIONS(2682),
    [anon_sym_STAR] = ACTIONS(2682),
    [anon_sym_SLASH] = ACTIONS(2682),
    [anon_sym_x] = ACTIONS(2682),
    [anon_sym_EQ_TILDE] = ACTIONS(2680),
    [anon_sym_BANG_TILDE] = ACTIONS(2680),
    [anon_sym_EQ_EQ] = ACTIONS(2682),
    [anon_sym_BANG_EQ] = ACTIONS(2680),
    [anon_sym_eq] = ACTIONS(2682),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2680),
    [anon_sym_equ] = ACTIONS(2680),
    [anon_sym_eqr] = ACTIONS(2680),
    [anon_sym_ne] = ACTIONS(2680),
    [anon_sym_LT_EQ_GT] = ACTIONS(2680),
    [anon_sym_cmp] = ACTIONS(2680),
    [anon_sym_TILDE_TILDE] = ACTIONS(2680),
    [anon_sym_LT] = ACTIONS(2682),
    [anon_sym_LT_EQ] = ACTIONS(2682),
    [anon_sym_GT_EQ] = ACTIONS(2680),
    [anon_sym_lt] = ACTIONS(2680),
    [anon_sym_le] = ACTIONS(2680),
    [anon_sym_ge] = ACTIONS(2680),
    [anon_sym_gt] = ACTIONS(2680),
    [anon_sym_isa] = ACTIONS(2680),
    [anon_sym_PLUS_PLUS] = ACTIONS(2680),
    [anon_sym_DASH_DASH] = ACTIONS(2680),
    [anon_sym_QMARK] = ACTIONS(2680),
    [anon_sym_PERCENT2] = ACTIONS(2680),
    [anon_sym_EQ_GT] = ACTIONS(2680),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1773] = {
    [sym_heredoc_content] = STATE(1773),
    [sym__identifier] = ACTIONS(2450),
    [anon_sym_RBRACE] = ACTIONS(2452),
    [anon_sym_COLON] = ACTIONS(2450),
    [anon_sym_EQ] = ACTIONS(2450),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2452),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2452),
    [anon_sym_COMMA] = ACTIONS(2452),
    [anon_sym_RPAREN] = ACTIONS(2452),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2452),
    [anon_sym_DASH_GT] = ACTIONS(2452),
    [anon_sym_PERCENT] = ACTIONS(2450),
    [anon_sym_GT] = ACTIONS(2450),
    [anon_sym_LT_LT] = ACTIONS(2450),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2452),
    [anon_sym_PLUS_EQ] = ACTIONS(2452),
    [anon_sym_DASH_EQ] = ACTIONS(2452),
    [anon_sym_DOT_EQ] = ACTIONS(2452),
    [anon_sym_STAR_EQ] = ACTIONS(2452),
    [anon_sym_SLASH_EQ] = ACTIONS(2452),
    [anon_sym_PERCENT_EQ] = ACTIONS(2452),
    [anon_sym_x_EQ] = ACTIONS(2452),
    [anon_sym_AMP_EQ] = ACTIONS(2452),
    [anon_sym_PIPE_EQ] = ACTIONS(2452),
    [anon_sym_CARET_EQ] = ACTIONS(2452),
    [anon_sym_LT_LT_EQ] = ACTIONS(2452),
    [anon_sym_GT_GT_EQ] = ACTIONS(2452),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2452),
    [anon_sym_DOT_DOT] = ACTIONS(2450),
    [anon_sym_STAR_STAR] = ACTIONS(2450),
    [anon_sym_PIPE_PIPE] = ACTIONS(2450),
    [anon_sym_SLASH_SLASH] = ACTIONS(2450),
    [anon_sym_CARET_CARET] = ACTIONS(2452),
    [anon_sym_AMP_AMP] = ACTIONS(2450),
    [anon_sym_PIPE] = ACTIONS(2450),
    [anon_sym_CARET] = ACTIONS(2450),
    [anon_sym_AMP] = ACTIONS(2450),
    [anon_sym_GT_GT2] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_DOT] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2450),
    [anon_sym_SLASH] = ACTIONS(2450),
    [anon_sym_x] = ACTIONS(2450),
    [anon_sym_EQ_TILDE] = ACTIONS(2452),
    [anon_sym_BANG_TILDE] = ACTIONS(2452),
    [anon_sym_EQ_EQ] = ACTIONS(2450),
    [anon_sym_BANG_EQ] = ACTIONS(2452),
    [anon_sym_eq] = ACTIONS(2450),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2452),
    [anon_sym_equ] = ACTIONS(2450),
    [anon_sym_eqr] = ACTIONS(2450),
    [anon_sym_ne] = ACTIONS(2450),
    [anon_sym_LT_EQ_GT] = ACTIONS(2452),
    [anon_sym_cmp] = ACTIONS(2450),
    [anon_sym_TILDE_TILDE] = ACTIONS(2452),
    [anon_sym_LT] = ACTIONS(2450),
    [anon_sym_LT_EQ] = ACTIONS(2450),
    [anon_sym_GT_EQ] = ACTIONS(2452),
    [anon_sym_lt] = ACTIONS(2450),
    [anon_sym_le] = ACTIONS(2450),
    [anon_sym_ge] = ACTIONS(2450),
    [anon_sym_gt] = ACTIONS(2450),
    [anon_sym_isa] = ACTIONS(2450),
    [anon_sym_PLUS_PLUS] = ACTIONS(2452),
    [anon_sym_DASH_DASH] = ACTIONS(2452),
    [anon_sym_QMARK] = ACTIONS(2452),
    [anon_sym_EQ_GT] = ACTIONS(2452),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(2450),
    [sym_pod] = ACTIONS(5),
    [sym__attribute_value_begin] = ACTIONS(3616),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1774] = {
    [sym_heredoc_content] = STATE(1774),
    [anon_sym_RBRACE] = ACTIONS(3011),
    [anon_sym_EQ] = ACTIONS(3013),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3011),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3011),
    [anon_sym_COMMA] = ACTIONS(3011),
    [anon_sym_RPAREN] = ACTIONS(3011),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3011),
    [anon_sym_and] = ACTIONS(3011),
    [anon_sym_or] = ACTIONS(3011),
    [anon_sym_xor] = ACTIONS(3011),
    [anon_sym_RBRACK] = ACTIONS(3011),
    [anon_sym_DASH_GT] = ACTIONS(3011),
    [anon_sym_PERCENT] = ACTIONS(3013),
    [anon_sym_GT] = ACTIONS(3013),
    [anon_sym_LT_LT] = ACTIONS(3013),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3011),
    [anon_sym_PLUS_EQ] = ACTIONS(3011),
    [anon_sym_DASH_EQ] = ACTIONS(3011),
    [anon_sym_DOT_EQ] = ACTIONS(3011),
    [anon_sym_STAR_EQ] = ACTIONS(3011),
    [anon_sym_SLASH_EQ] = ACTIONS(3011),
    [anon_sym_PERCENT_EQ] = ACTIONS(3011),
    [anon_sym_x_EQ] = ACTIONS(3011),
    [anon_sym_AMP_EQ] = ACTIONS(3011),
    [anon_sym_PIPE_EQ] = ACTIONS(3011),
    [anon_sym_CARET_EQ] = ACTIONS(3011),
    [anon_sym_LT_LT_EQ] = ACTIONS(3011),
    [anon_sym_GT_GT_EQ] = ACTIONS(3011),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3011),
    [anon_sym_DOT_DOT] = ACTIONS(3013),
    [anon_sym_STAR_STAR] = ACTIONS(3013),
    [anon_sym_PIPE_PIPE] = ACTIONS(3013),
    [anon_sym_SLASH_SLASH] = ACTIONS(3013),
    [anon_sym_CARET_CARET] = ACTIONS(3011),
    [anon_sym_AMP_AMP] = ACTIONS(3013),
    [anon_sym_PIPE] = ACTIONS(3013),
    [anon_sym_CARET] = ACTIONS(3013),
    [anon_sym_AMP] = ACTIONS(3013),
    [anon_sym_GT_GT2] = ACTIONS(3013),
    [anon_sym_PLUS] = ACTIONS(3013),
    [anon_sym_DASH] = ACTIONS(3013),
    [anon_sym_DOT] = ACTIONS(3013),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_SLASH] = ACTIONS(3013),
    [anon_sym_x] = ACTIONS(3013),
    [anon_sym_EQ_TILDE] = ACTIONS(3011),
    [anon_sym_BANG_TILDE] = ACTIONS(3011),
    [anon_sym_EQ_EQ] = ACTIONS(3013),
    [anon_sym_BANG_EQ] = ACTIONS(3011),
    [anon_sym_eq] = ACTIONS(3013),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3011),
    [anon_sym_equ] = ACTIONS(3011),
    [anon_sym_eqr] = ACTIONS(3011),
    [anon_sym_ne] = ACTIONS(3011),
    [anon_sym_LT_EQ_GT] = ACTIONS(3011),
    [anon_sym_cmp] = ACTIONS(3011),
    [anon_sym_TILDE_TILDE] = ACTIONS(3011),
    [anon_sym_LT] = ACTIONS(3013),
    [anon_sym_LT_EQ] = ACTIONS(3013),
    [anon_sym_GT_EQ] = ACTIONS(3011),
    [anon_sym_lt] = ACTIONS(3011),
    [anon_sym_le] = ACTIONS(3011),
    [anon_sym_ge] = ACTIONS(3011),
    [anon_sym_gt] = ACTIONS(3011),
    [anon_sym_isa] = ACTIONS(3011),
    [anon_sym_PLUS_PLUS] = ACTIONS(3011),
    [anon_sym_DASH_DASH] = ACTIONS(3011),
    [anon_sym_QMARK] = ACTIONS(3011),
    [anon_sym_EQ_GT] = ACTIONS(3011),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1775] = {
    [sym_heredoc_content] = STATE(1775),
    [anon_sym_RBRACE] = ACTIONS(1970),
    [anon_sym_EQ] = ACTIONS(1966),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1970),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1970),
    [anon_sym_COMMA] = ACTIONS(1970),
    [anon_sym_RPAREN] = ACTIONS(1970),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1970),
    [anon_sym_and] = ACTIONS(1970),
    [anon_sym_or] = ACTIONS(1970),
    [anon_sym_xor] = ACTIONS(1970),
    [anon_sym_RBRACK] = ACTIONS(1970),
    [anon_sym_DASH_GT] = ACTIONS(1970),
    [anon_sym_PERCENT] = ACTIONS(1966),
    [anon_sym_GT] = ACTIONS(1966),
    [anon_sym_LT_LT] = ACTIONS(1966),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1970),
    [anon_sym_PLUS_EQ] = ACTIONS(1970),
    [anon_sym_DASH_EQ] = ACTIONS(1970),
    [anon_sym_DOT_EQ] = ACTIONS(1970),
    [anon_sym_STAR_EQ] = ACTIONS(1970),
    [anon_sym_SLASH_EQ] = ACTIONS(1970),
    [anon_sym_PERCENT_EQ] = ACTIONS(1970),
    [anon_sym_x_EQ] = ACTIONS(1970),
    [anon_sym_AMP_EQ] = ACTIONS(1970),
    [anon_sym_PIPE_EQ] = ACTIONS(1970),
    [anon_sym_CARET_EQ] = ACTIONS(1970),
    [anon_sym_LT_LT_EQ] = ACTIONS(1970),
    [anon_sym_GT_GT_EQ] = ACTIONS(1970),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1970),
    [anon_sym_DOT_DOT] = ACTIONS(1966),
    [anon_sym_STAR_STAR] = ACTIONS(1966),
    [anon_sym_PIPE_PIPE] = ACTIONS(1966),
    [anon_sym_SLASH_SLASH] = ACTIONS(1966),
    [anon_sym_CARET_CARET] = ACTIONS(1970),
    [anon_sym_AMP_AMP] = ACTIONS(1966),
    [anon_sym_PIPE] = ACTIONS(1966),
    [anon_sym_CARET] = ACTIONS(1966),
    [anon_sym_AMP] = ACTIONS(1966),
    [anon_sym_GT_GT2] = ACTIONS(1966),
    [anon_sym_PLUS] = ACTIONS(1966),
    [anon_sym_DASH] = ACTIONS(1966),
    [anon_sym_DOT] = ACTIONS(1966),
    [anon_sym_STAR] = ACTIONS(1966),
    [anon_sym_SLASH] = ACTIONS(1966),
    [anon_sym_x] = ACTIONS(1966),
    [anon_sym_EQ_TILDE] = ACTIONS(1970),
    [anon_sym_BANG_TILDE] = ACTIONS(1970),
    [anon_sym_EQ_EQ] = ACTIONS(1966),
    [anon_sym_BANG_EQ] = ACTIONS(1970),
    [anon_sym_eq] = ACTIONS(1966),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1970),
    [anon_sym_equ] = ACTIONS(1970),
    [anon_sym_eqr] = ACTIONS(1970),
    [anon_sym_ne] = ACTIONS(1970),
    [anon_sym_LT_EQ_GT] = ACTIONS(1970),
    [anon_sym_cmp] = ACTIONS(1970),
    [anon_sym_TILDE_TILDE] = ACTIONS(1970),
    [anon_sym_LT] = ACTIONS(1966),
    [anon_sym_LT_EQ] = ACTIONS(1966),
    [anon_sym_GT_EQ] = ACTIONS(1970),
    [anon_sym_lt] = ACTIONS(1970),
    [anon_sym_le] = ACTIONS(1970),
    [anon_sym_ge] = ACTIONS(1970),
    [anon_sym_gt] = ACTIONS(1970),
    [anon_sym_isa] = ACTIONS(1970),
    [anon_sym_PLUS_PLUS] = ACTIONS(1970),
    [anon_sym_DASH_DASH] = ACTIONS(1970),
    [anon_sym_QMARK] = ACTIONS(1970),
    [anon_sym_EQ_GT] = ACTIONS(1970),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1776] = {
    [sym_heredoc_content] = STATE(1776),
    [anon_sym_RBRACE] = ACTIONS(2975),
    [anon_sym_EQ] = ACTIONS(2977),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2975),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2975),
    [anon_sym_COMMA] = ACTIONS(2975),
    [anon_sym_RPAREN] = ACTIONS(2975),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2975),
    [anon_sym_and] = ACTIONS(2975),
    [anon_sym_or] = ACTIONS(2975),
    [anon_sym_xor] = ACTIONS(2975),
    [anon_sym_RBRACK] = ACTIONS(2975),
    [anon_sym_DASH_GT] = ACTIONS(2975),
    [anon_sym_PERCENT] = ACTIONS(2977),
    [anon_sym_GT] = ACTIONS(2977),
    [anon_sym_LT_LT] = ACTIONS(2977),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2975),
    [anon_sym_PLUS_EQ] = ACTIONS(2975),
    [anon_sym_DASH_EQ] = ACTIONS(2975),
    [anon_sym_DOT_EQ] = ACTIONS(2975),
    [anon_sym_STAR_EQ] = ACTIONS(2975),
    [anon_sym_SLASH_EQ] = ACTIONS(2975),
    [anon_sym_PERCENT_EQ] = ACTIONS(2975),
    [anon_sym_x_EQ] = ACTIONS(2975),
    [anon_sym_AMP_EQ] = ACTIONS(2975),
    [anon_sym_PIPE_EQ] = ACTIONS(2975),
    [anon_sym_CARET_EQ] = ACTIONS(2975),
    [anon_sym_LT_LT_EQ] = ACTIONS(2975),
    [anon_sym_GT_GT_EQ] = ACTIONS(2975),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2975),
    [anon_sym_DOT_DOT] = ACTIONS(2977),
    [anon_sym_STAR_STAR] = ACTIONS(2977),
    [anon_sym_PIPE_PIPE] = ACTIONS(2977),
    [anon_sym_SLASH_SLASH] = ACTIONS(2977),
    [anon_sym_CARET_CARET] = ACTIONS(2975),
    [anon_sym_AMP_AMP] = ACTIONS(2977),
    [anon_sym_PIPE] = ACTIONS(2977),
    [anon_sym_CARET] = ACTIONS(2977),
    [anon_sym_AMP] = ACTIONS(2977),
    [anon_sym_GT_GT2] = ACTIONS(2977),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(2977),
    [anon_sym_DOT] = ACTIONS(2977),
    [anon_sym_STAR] = ACTIONS(2977),
    [anon_sym_SLASH] = ACTIONS(2977),
    [anon_sym_x] = ACTIONS(2977),
    [anon_sym_EQ_TILDE] = ACTIONS(2975),
    [anon_sym_BANG_TILDE] = ACTIONS(2975),
    [anon_sym_EQ_EQ] = ACTIONS(2977),
    [anon_sym_BANG_EQ] = ACTIONS(2975),
    [anon_sym_eq] = ACTIONS(2977),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2975),
    [anon_sym_equ] = ACTIONS(2975),
    [anon_sym_eqr] = ACTIONS(2975),
    [anon_sym_ne] = ACTIONS(2975),
    [anon_sym_LT_EQ_GT] = ACTIONS(2975),
    [anon_sym_cmp] = ACTIONS(2975),
    [anon_sym_TILDE_TILDE] = ACTIONS(2975),
    [anon_sym_LT] = ACTIONS(2977),
    [anon_sym_LT_EQ] = ACTIONS(2977),
    [anon_sym_GT_EQ] = ACTIONS(2975),
    [anon_sym_lt] = ACTIONS(2975),
    [anon_sym_le] = ACTIONS(2975),
    [anon_sym_ge] = ACTIONS(2975),
    [anon_sym_gt] = ACTIONS(2975),
    [anon_sym_isa] = ACTIONS(2975),
    [anon_sym_PLUS_PLUS] = ACTIONS(2975),
    [anon_sym_DASH_DASH] = ACTIONS(2975),
    [anon_sym_QMARK] = ACTIONS(2975),
    [anon_sym_EQ_GT] = ACTIONS(2975),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1777] = {
    [sym_heredoc_content] = STATE(1777),
    [anon_sym_RBRACE] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3224),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3222),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3222),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_RPAREN] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_and] = ACTIONS(3222),
    [anon_sym_or] = ACTIONS(3222),
    [anon_sym_xor] = ACTIONS(3222),
    [anon_sym_RBRACK] = ACTIONS(3222),
    [anon_sym_DASH_GT] = ACTIONS(3222),
    [anon_sym_PERCENT] = ACTIONS(3224),
    [anon_sym_GT] = ACTIONS(3224),
    [anon_sym_LT_LT] = ACTIONS(3224),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3222),
    [anon_sym_PLUS_EQ] = ACTIONS(3222),
    [anon_sym_DASH_EQ] = ACTIONS(3222),
    [anon_sym_DOT_EQ] = ACTIONS(3222),
    [anon_sym_STAR_EQ] = ACTIONS(3222),
    [anon_sym_SLASH_EQ] = ACTIONS(3222),
    [anon_sym_PERCENT_EQ] = ACTIONS(3222),
    [anon_sym_x_EQ] = ACTIONS(3222),
    [anon_sym_AMP_EQ] = ACTIONS(3222),
    [anon_sym_PIPE_EQ] = ACTIONS(3222),
    [anon_sym_CARET_EQ] = ACTIONS(3222),
    [anon_sym_LT_LT_EQ] = ACTIONS(3222),
    [anon_sym_GT_GT_EQ] = ACTIONS(3222),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3222),
    [anon_sym_DOT_DOT] = ACTIONS(3224),
    [anon_sym_STAR_STAR] = ACTIONS(3224),
    [anon_sym_PIPE_PIPE] = ACTIONS(3224),
    [anon_sym_SLASH_SLASH] = ACTIONS(3224),
    [anon_sym_CARET_CARET] = ACTIONS(3222),
    [anon_sym_AMP_AMP] = ACTIONS(3224),
    [anon_sym_PIPE] = ACTIONS(3224),
    [anon_sym_CARET] = ACTIONS(3224),
    [anon_sym_AMP] = ACTIONS(3224),
    [anon_sym_GT_GT2] = ACTIONS(3224),
    [anon_sym_PLUS] = ACTIONS(3224),
    [anon_sym_DASH] = ACTIONS(3224),
    [anon_sym_DOT] = ACTIONS(3224),
    [anon_sym_STAR] = ACTIONS(3224),
    [anon_sym_SLASH] = ACTIONS(3224),
    [anon_sym_x] = ACTIONS(3224),
    [anon_sym_EQ_TILDE] = ACTIONS(3222),
    [anon_sym_BANG_TILDE] = ACTIONS(3222),
    [anon_sym_EQ_EQ] = ACTIONS(3224),
    [anon_sym_BANG_EQ] = ACTIONS(3222),
    [anon_sym_eq] = ACTIONS(3224),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3222),
    [anon_sym_equ] = ACTIONS(3222),
    [anon_sym_eqr] = ACTIONS(3222),
    [anon_sym_ne] = ACTIONS(3222),
    [anon_sym_LT_EQ_GT] = ACTIONS(3222),
    [anon_sym_cmp] = ACTIONS(3222),
    [anon_sym_TILDE_TILDE] = ACTIONS(3222),
    [anon_sym_LT] = ACTIONS(3224),
    [anon_sym_LT_EQ] = ACTIONS(3224),
    [anon_sym_GT_EQ] = ACTIONS(3222),
    [anon_sym_lt] = ACTIONS(3222),
    [anon_sym_le] = ACTIONS(3222),
    [anon_sym_ge] = ACTIONS(3222),
    [anon_sym_gt] = ACTIONS(3222),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_PLUS_PLUS] = ACTIONS(3222),
    [anon_sym_DASH_DASH] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_EQ_GT] = ACTIONS(3222),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1778] = {
    [sym_heredoc_content] = STATE(1778),
    [anon_sym_RBRACE] = ACTIONS(3126),
    [anon_sym_EQ] = ACTIONS(3128),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3126),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3126),
    [anon_sym_COMMA] = ACTIONS(3126),
    [anon_sym_RPAREN] = ACTIONS(3126),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3126),
    [anon_sym_and] = ACTIONS(3126),
    [anon_sym_or] = ACTIONS(3126),
    [anon_sym_xor] = ACTIONS(3126),
    [anon_sym_RBRACK] = ACTIONS(3126),
    [anon_sym_DASH_GT] = ACTIONS(3457),
    [anon_sym_PERCENT] = ACTIONS(3459),
    [anon_sym_GT] = ACTIONS(3128),
    [anon_sym_LT_LT] = ACTIONS(3463),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3126),
    [anon_sym_PLUS_EQ] = ACTIONS(3126),
    [anon_sym_DASH_EQ] = ACTIONS(3126),
    [anon_sym_DOT_EQ] = ACTIONS(3126),
    [anon_sym_STAR_EQ] = ACTIONS(3126),
    [anon_sym_SLASH_EQ] = ACTIONS(3126),
    [anon_sym_PERCENT_EQ] = ACTIONS(3126),
    [anon_sym_x_EQ] = ACTIONS(3126),
    [anon_sym_AMP_EQ] = ACTIONS(3126),
    [anon_sym_PIPE_EQ] = ACTIONS(3126),
    [anon_sym_CARET_EQ] = ACTIONS(3126),
    [anon_sym_LT_LT_EQ] = ACTIONS(3126),
    [anon_sym_GT_GT_EQ] = ACTIONS(3126),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3126),
    [anon_sym_DOT_DOT] = ACTIONS(3128),
    [anon_sym_STAR_STAR] = ACTIONS(3467),
    [anon_sym_PIPE_PIPE] = ACTIONS(3128),
    [anon_sym_SLASH_SLASH] = ACTIONS(3128),
    [anon_sym_CARET_CARET] = ACTIONS(3126),
    [anon_sym_AMP_AMP] = ACTIONS(3128),
    [anon_sym_PIPE] = ACTIONS(3128),
    [anon_sym_CARET] = ACTIONS(3128),
    [anon_sym_AMP] = ACTIONS(3128),
    [anon_sym_GT_GT2] = ACTIONS(3463),
    [anon_sym_PLUS] = ACTIONS(3479),
    [anon_sym_DASH] = ACTIONS(3479),
    [anon_sym_DOT] = ACTIONS(3479),
    [anon_sym_STAR] = ACTIONS(3459),
    [anon_sym_SLASH] = ACTIONS(3459),
    [anon_sym_x] = ACTIONS(3459),
    [anon_sym_EQ_TILDE] = ACTIONS(3481),
    [anon_sym_BANG_TILDE] = ACTIONS(3481),
    [anon_sym_EQ_EQ] = ACTIONS(3128),
    [anon_sym_BANG_EQ] = ACTIONS(3126),
    [anon_sym_eq] = ACTIONS(3128),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3126),
    [anon_sym_equ] = ACTIONS(3126),
    [anon_sym_eqr] = ACTIONS(3126),
    [anon_sym_ne] = ACTIONS(3126),
    [anon_sym_LT_EQ_GT] = ACTIONS(3126),
    [anon_sym_cmp] = ACTIONS(3126),
    [anon_sym_TILDE_TILDE] = ACTIONS(3126),
    [anon_sym_LT] = ACTIONS(3128),
    [anon_sym_LT_EQ] = ACTIONS(3128),
    [anon_sym_GT_EQ] = ACTIONS(3126),
    [anon_sym_lt] = ACTIONS(3126),
    [anon_sym_le] = ACTIONS(3126),
    [anon_sym_ge] = ACTIONS(3126),
    [anon_sym_gt] = ACTIONS(3126),
    [anon_sym_isa] = ACTIONS(3126),
    [anon_sym_PLUS_PLUS] = ACTIONS(3493),
    [anon_sym_DASH_DASH] = ACTIONS(3493),
    [anon_sym_QMARK] = ACTIONS(3126),
    [anon_sym_EQ_GT] = ACTIONS(3126),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1779] = {
    [sym_heredoc_content] = STATE(1779),
    [anon_sym_RBRACE] = ACTIONS(3130),
    [anon_sym_EQ] = ACTIONS(3132),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3130),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3130),
    [anon_sym_COMMA] = ACTIONS(3130),
    [anon_sym_RPAREN] = ACTIONS(3130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3130),
    [anon_sym_and] = ACTIONS(3130),
    [anon_sym_or] = ACTIONS(3130),
    [anon_sym_xor] = ACTIONS(3130),
    [anon_sym_RBRACK] = ACTIONS(3130),
    [anon_sym_DASH_GT] = ACTIONS(3130),
    [anon_sym_PERCENT] = ACTIONS(3132),
    [anon_sym_GT] = ACTIONS(3132),
    [anon_sym_LT_LT] = ACTIONS(3132),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3130),
    [anon_sym_PLUS_EQ] = ACTIONS(3130),
    [anon_sym_DASH_EQ] = ACTIONS(3130),
    [anon_sym_DOT_EQ] = ACTIONS(3130),
    [anon_sym_STAR_EQ] = ACTIONS(3130),
    [anon_sym_SLASH_EQ] = ACTIONS(3130),
    [anon_sym_PERCENT_EQ] = ACTIONS(3130),
    [anon_sym_x_EQ] = ACTIONS(3130),
    [anon_sym_AMP_EQ] = ACTIONS(3130),
    [anon_sym_PIPE_EQ] = ACTIONS(3130),
    [anon_sym_CARET_EQ] = ACTIONS(3130),
    [anon_sym_LT_LT_EQ] = ACTIONS(3130),
    [anon_sym_GT_GT_EQ] = ACTIONS(3130),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3130),
    [anon_sym_DOT_DOT] = ACTIONS(3132),
    [anon_sym_STAR_STAR] = ACTIONS(3132),
    [anon_sym_PIPE_PIPE] = ACTIONS(3132),
    [anon_sym_SLASH_SLASH] = ACTIONS(3132),
    [anon_sym_CARET_CARET] = ACTIONS(3130),
    [anon_sym_AMP_AMP] = ACTIONS(3132),
    [anon_sym_PIPE] = ACTIONS(3132),
    [anon_sym_CARET] = ACTIONS(3132),
    [anon_sym_AMP] = ACTIONS(3132),
    [anon_sym_GT_GT2] = ACTIONS(3132),
    [anon_sym_PLUS] = ACTIONS(3132),
    [anon_sym_DASH] = ACTIONS(3132),
    [anon_sym_DOT] = ACTIONS(3132),
    [anon_sym_STAR] = ACTIONS(3132),
    [anon_sym_SLASH] = ACTIONS(3132),
    [anon_sym_x] = ACTIONS(3132),
    [anon_sym_EQ_TILDE] = ACTIONS(3130),
    [anon_sym_BANG_TILDE] = ACTIONS(3130),
    [anon_sym_EQ_EQ] = ACTIONS(3132),
    [anon_sym_BANG_EQ] = ACTIONS(3130),
    [anon_sym_eq] = ACTIONS(3132),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3130),
    [anon_sym_equ] = ACTIONS(3130),
    [anon_sym_eqr] = ACTIONS(3130),
    [anon_sym_ne] = ACTIONS(3130),
    [anon_sym_LT_EQ_GT] = ACTIONS(3130),
    [anon_sym_cmp] = ACTIONS(3130),
    [anon_sym_TILDE_TILDE] = ACTIONS(3130),
    [anon_sym_LT] = ACTIONS(3132),
    [anon_sym_LT_EQ] = ACTIONS(3132),
    [anon_sym_GT_EQ] = ACTIONS(3130),
    [anon_sym_lt] = ACTIONS(3130),
    [anon_sym_le] = ACTIONS(3130),
    [anon_sym_ge] = ACTIONS(3130),
    [anon_sym_gt] = ACTIONS(3130),
    [anon_sym_isa] = ACTIONS(3130),
    [anon_sym_PLUS_PLUS] = ACTIONS(3130),
    [anon_sym_DASH_DASH] = ACTIONS(3130),
    [anon_sym_QMARK] = ACTIONS(3130),
    [anon_sym_EQ_GT] = ACTIONS(3130),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1780] = {
    [sym_heredoc_content] = STATE(1780),
    [anon_sym_RBRACE] = ACTIONS(3019),
    [anon_sym_EQ] = ACTIONS(3021),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_COMMA] = ACTIONS(3019),
    [anon_sym_RPAREN] = ACTIONS(3019),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3019),
    [anon_sym_and] = ACTIONS(3019),
    [anon_sym_or] = ACTIONS(3019),
    [anon_sym_xor] = ACTIONS(3019),
    [anon_sym_RBRACK] = ACTIONS(3019),
    [anon_sym_DASH_GT] = ACTIONS(3457),
    [anon_sym_PERCENT] = ACTIONS(3459),
    [anon_sym_GT] = ACTIONS(3021),
    [anon_sym_LT_LT] = ACTIONS(3021),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3019),
    [anon_sym_PLUS_EQ] = ACTIONS(3019),
    [anon_sym_DASH_EQ] = ACTIONS(3019),
    [anon_sym_DOT_EQ] = ACTIONS(3019),
    [anon_sym_STAR_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_PERCENT_EQ] = ACTIONS(3019),
    [anon_sym_x_EQ] = ACTIONS(3019),
    [anon_sym_AMP_EQ] = ACTIONS(3019),
    [anon_sym_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_CARET_EQ] = ACTIONS(3019),
    [anon_sym_LT_LT_EQ] = ACTIONS(3019),
    [anon_sym_GT_GT_EQ] = ACTIONS(3019),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3019),
    [anon_sym_DOT_DOT] = ACTIONS(3021),
    [anon_sym_STAR_STAR] = ACTIONS(3467),
    [anon_sym_PIPE_PIPE] = ACTIONS(3021),
    [anon_sym_SLASH_SLASH] = ACTIONS(3021),
    [anon_sym_CARET_CARET] = ACTIONS(3019),
    [anon_sym_AMP_AMP] = ACTIONS(3021),
    [anon_sym_PIPE] = ACTIONS(3021),
    [anon_sym_CARET] = ACTIONS(3021),
    [anon_sym_AMP] = ACTIONS(3021),
    [anon_sym_GT_GT2] = ACTIONS(3021),
    [anon_sym_PLUS] = ACTIONS(3021),
    [anon_sym_DASH] = ACTIONS(3021),
    [anon_sym_DOT] = ACTIONS(3021),
    [anon_sym_STAR] = ACTIONS(3459),
    [anon_sym_SLASH] = ACTIONS(3459),
    [anon_sym_x] = ACTIONS(3459),
    [anon_sym_EQ_TILDE] = ACTIONS(3481),
    [anon_sym_BANG_TILDE] = ACTIONS(3481),
    [anon_sym_EQ_EQ] = ACTIONS(3021),
    [anon_sym_BANG_EQ] = ACTIONS(3019),
    [anon_sym_eq] = ACTIONS(3021),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3019),
    [anon_sym_equ] = ACTIONS(3019),
    [anon_sym_eqr] = ACTIONS(3019),
    [anon_sym_ne] = ACTIONS(3019),
    [anon_sym_LT_EQ_GT] = ACTIONS(3019),
    [anon_sym_cmp] = ACTIONS(3019),
    [anon_sym_TILDE_TILDE] = ACTIONS(3019),
    [anon_sym_LT] = ACTIONS(3021),
    [anon_sym_LT_EQ] = ACTIONS(3021),
    [anon_sym_GT_EQ] = ACTIONS(3019),
    [anon_sym_lt] = ACTIONS(3019),
    [anon_sym_le] = ACTIONS(3019),
    [anon_sym_ge] = ACTIONS(3019),
    [anon_sym_gt] = ACTIONS(3019),
    [anon_sym_isa] = ACTIONS(3019),
    [anon_sym_PLUS_PLUS] = ACTIONS(3493),
    [anon_sym_DASH_DASH] = ACTIONS(3493),
    [anon_sym_QMARK] = ACTIONS(3019),
    [anon_sym_EQ_GT] = ACTIONS(3019),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1781] = {
    [sym_heredoc_content] = STATE(1781),
    [anon_sym_LBRACE] = ACTIONS(1865),
    [anon_sym_RBRACE] = ACTIONS(1865),
    [anon_sym_COLON] = ACTIONS(1865),
    [anon_sym_EQ] = ACTIONS(1863),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1865),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1865),
    [anon_sym_COMMA] = ACTIONS(1865),
    [anon_sym_RPAREN] = ACTIONS(1865),
    [anon_sym_LPAREN] = ACTIONS(1865),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1865),
    [anon_sym_LBRACK] = ACTIONS(1865),
    [anon_sym_DASH_GT] = ACTIONS(1865),
    [anon_sym_PERCENT] = ACTIONS(1863),
    [anon_sym_GT] = ACTIONS(1863),
    [anon_sym_LT_LT] = ACTIONS(1863),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1865),
    [anon_sym_PLUS_EQ] = ACTIONS(1865),
    [anon_sym_DASH_EQ] = ACTIONS(1865),
    [anon_sym_DOT_EQ] = ACTIONS(1865),
    [anon_sym_STAR_EQ] = ACTIONS(1865),
    [anon_sym_SLASH_EQ] = ACTIONS(1865),
    [anon_sym_PERCENT_EQ] = ACTIONS(1865),
    [anon_sym_x_EQ] = ACTIONS(1865),
    [anon_sym_AMP_EQ] = ACTIONS(1865),
    [anon_sym_PIPE_EQ] = ACTIONS(1865),
    [anon_sym_CARET_EQ] = ACTIONS(1865),
    [anon_sym_LT_LT_EQ] = ACTIONS(1865),
    [anon_sym_GT_GT_EQ] = ACTIONS(1865),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1865),
    [anon_sym_DOT_DOT] = ACTIONS(1863),
    [anon_sym_STAR_STAR] = ACTIONS(1863),
    [anon_sym_PIPE_PIPE] = ACTIONS(1863),
    [anon_sym_SLASH_SLASH] = ACTIONS(1863),
    [anon_sym_CARET_CARET] = ACTIONS(1865),
    [anon_sym_AMP_AMP] = ACTIONS(1863),
    [anon_sym_PIPE] = ACTIONS(1863),
    [anon_sym_CARET] = ACTIONS(1863),
    [anon_sym_AMP] = ACTIONS(1863),
    [anon_sym_GT_GT2] = ACTIONS(1863),
    [anon_sym_PLUS] = ACTIONS(1863),
    [anon_sym_DASH] = ACTIONS(1863),
    [anon_sym_DOT] = ACTIONS(1863),
    [anon_sym_STAR] = ACTIONS(1863),
    [anon_sym_SLASH] = ACTIONS(1863),
    [anon_sym_x] = ACTIONS(1863),
    [anon_sym_EQ_TILDE] = ACTIONS(1865),
    [anon_sym_BANG_TILDE] = ACTIONS(1865),
    [anon_sym_EQ_EQ] = ACTIONS(1863),
    [anon_sym_BANG_EQ] = ACTIONS(1865),
    [anon_sym_eq] = ACTIONS(1863),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1865),
    [anon_sym_equ] = ACTIONS(1865),
    [anon_sym_eqr] = ACTIONS(1865),
    [anon_sym_ne] = ACTIONS(1865),
    [anon_sym_LT_EQ_GT] = ACTIONS(1865),
    [anon_sym_cmp] = ACTIONS(1865),
    [anon_sym_TILDE_TILDE] = ACTIONS(1865),
    [anon_sym_LT] = ACTIONS(1863),
    [anon_sym_LT_EQ] = ACTIONS(1863),
    [anon_sym_GT_EQ] = ACTIONS(1865),
    [anon_sym_lt] = ACTIONS(1865),
    [anon_sym_le] = ACTIONS(1865),
    [anon_sym_ge] = ACTIONS(1865),
    [anon_sym_gt] = ACTIONS(1865),
    [anon_sym_isa] = ACTIONS(1865),
    [anon_sym_PLUS_PLUS] = ACTIONS(1865),
    [anon_sym_DASH_DASH] = ACTIONS(1865),
    [anon_sym_QMARK] = ACTIONS(1865),
    [anon_sym_EQ_GT] = ACTIONS(1865),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1782] = {
    [sym_heredoc_content] = STATE(1782),
    [anon_sym_RBRACE] = ACTIONS(2845),
    [anon_sym_EQ] = ACTIONS(2847),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2845),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2845),
    [anon_sym_COMMA] = ACTIONS(2845),
    [anon_sym_RPAREN] = ACTIONS(2845),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2845),
    [anon_sym_and] = ACTIONS(2845),
    [anon_sym_or] = ACTIONS(2845),
    [anon_sym_xor] = ACTIONS(2845),
    [anon_sym_RBRACK] = ACTIONS(2845),
    [anon_sym_DASH_GT] = ACTIONS(3457),
    [anon_sym_PERCENT] = ACTIONS(3459),
    [anon_sym_GT] = ACTIONS(2847),
    [anon_sym_LT_LT] = ACTIONS(3463),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2845),
    [anon_sym_PLUS_EQ] = ACTIONS(2845),
    [anon_sym_DASH_EQ] = ACTIONS(2845),
    [anon_sym_DOT_EQ] = ACTIONS(2845),
    [anon_sym_STAR_EQ] = ACTIONS(2845),
    [anon_sym_SLASH_EQ] = ACTIONS(2845),
    [anon_sym_PERCENT_EQ] = ACTIONS(2845),
    [anon_sym_x_EQ] = ACTIONS(2845),
    [anon_sym_AMP_EQ] = ACTIONS(2845),
    [anon_sym_PIPE_EQ] = ACTIONS(2845),
    [anon_sym_CARET_EQ] = ACTIONS(2845),
    [anon_sym_LT_LT_EQ] = ACTIONS(2845),
    [anon_sym_GT_GT_EQ] = ACTIONS(2845),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2845),
    [anon_sym_DOT_DOT] = ACTIONS(2847),
    [anon_sym_STAR_STAR] = ACTIONS(3467),
    [anon_sym_PIPE_PIPE] = ACTIONS(2847),
    [anon_sym_SLASH_SLASH] = ACTIONS(2847),
    [anon_sym_CARET_CARET] = ACTIONS(2845),
    [anon_sym_AMP_AMP] = ACTIONS(2847),
    [anon_sym_PIPE] = ACTIONS(2847),
    [anon_sym_CARET] = ACTIONS(2847),
    [anon_sym_AMP] = ACTIONS(2847),
    [anon_sym_GT_GT2] = ACTIONS(3463),
    [anon_sym_PLUS] = ACTIONS(3479),
    [anon_sym_DASH] = ACTIONS(3479),
    [anon_sym_DOT] = ACTIONS(3479),
    [anon_sym_STAR] = ACTIONS(3459),
    [anon_sym_SLASH] = ACTIONS(3459),
    [anon_sym_x] = ACTIONS(3459),
    [anon_sym_EQ_TILDE] = ACTIONS(3481),
    [anon_sym_BANG_TILDE] = ACTIONS(3481),
    [anon_sym_EQ_EQ] = ACTIONS(2847),
    [anon_sym_BANG_EQ] = ACTIONS(2845),
    [anon_sym_eq] = ACTIONS(2847),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2845),
    [anon_sym_equ] = ACTIONS(2845),
    [anon_sym_eqr] = ACTIONS(2845),
    [anon_sym_ne] = ACTIONS(2845),
    [anon_sym_LT_EQ_GT] = ACTIONS(2845),
    [anon_sym_cmp] = ACTIONS(2845),
    [anon_sym_TILDE_TILDE] = ACTIONS(2845),
    [anon_sym_LT] = ACTIONS(2847),
    [anon_sym_LT_EQ] = ACTIONS(2847),
    [anon_sym_GT_EQ] = ACTIONS(2845),
    [anon_sym_lt] = ACTIONS(2845),
    [anon_sym_le] = ACTIONS(2845),
    [anon_sym_ge] = ACTIONS(2845),
    [anon_sym_gt] = ACTIONS(2845),
    [anon_sym_isa] = ACTIONS(2845),
    [anon_sym_PLUS_PLUS] = ACTIONS(3493),
    [anon_sym_DASH_DASH] = ACTIONS(3493),
    [anon_sym_QMARK] = ACTIONS(2845),
    [anon_sym_EQ_GT] = ACTIONS(2845),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1783] = {
    [sym_heredoc_content] = STATE(1783),
    [anon_sym_RBRACE] = ACTIONS(1970),
    [anon_sym_EQ] = ACTIONS(1966),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1970),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1970),
    [anon_sym_COMMA] = ACTIONS(1970),
    [anon_sym_RPAREN] = ACTIONS(1970),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1970),
    [anon_sym_and] = ACTIONS(1970),
    [anon_sym_or] = ACTIONS(1970),
    [anon_sym_xor] = ACTIONS(1970),
    [anon_sym_RBRACK] = ACTIONS(1970),
    [anon_sym_DASH_GT] = ACTIONS(1970),
    [anon_sym_PERCENT] = ACTIONS(1966),
    [anon_sym_GT] = ACTIONS(1966),
    [anon_sym_LT_LT] = ACTIONS(1966),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1970),
    [anon_sym_PLUS_EQ] = ACTIONS(1970),
    [anon_sym_DASH_EQ] = ACTIONS(1970),
    [anon_sym_DOT_EQ] = ACTIONS(1970),
    [anon_sym_STAR_EQ] = ACTIONS(1970),
    [anon_sym_SLASH_EQ] = ACTIONS(1970),
    [anon_sym_PERCENT_EQ] = ACTIONS(1970),
    [anon_sym_x_EQ] = ACTIONS(1970),
    [anon_sym_AMP_EQ] = ACTIONS(1970),
    [anon_sym_PIPE_EQ] = ACTIONS(1970),
    [anon_sym_CARET_EQ] = ACTIONS(1970),
    [anon_sym_LT_LT_EQ] = ACTIONS(1970),
    [anon_sym_GT_GT_EQ] = ACTIONS(1970),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1970),
    [anon_sym_DOT_DOT] = ACTIONS(1966),
    [anon_sym_STAR_STAR] = ACTIONS(1966),
    [anon_sym_PIPE_PIPE] = ACTIONS(1966),
    [anon_sym_SLASH_SLASH] = ACTIONS(1966),
    [anon_sym_CARET_CARET] = ACTIONS(1970),
    [anon_sym_AMP_AMP] = ACTIONS(1966),
    [anon_sym_PIPE] = ACTIONS(1966),
    [anon_sym_CARET] = ACTIONS(1966),
    [anon_sym_AMP] = ACTIONS(1966),
    [anon_sym_GT_GT2] = ACTIONS(1966),
    [anon_sym_PLUS] = ACTIONS(1966),
    [anon_sym_DASH] = ACTIONS(1966),
    [anon_sym_DOT] = ACTIONS(1966),
    [anon_sym_STAR] = ACTIONS(1966),
    [anon_sym_SLASH] = ACTIONS(1966),
    [anon_sym_x] = ACTIONS(1966),
    [anon_sym_EQ_TILDE] = ACTIONS(1970),
    [anon_sym_BANG_TILDE] = ACTIONS(1970),
    [anon_sym_EQ_EQ] = ACTIONS(1966),
    [anon_sym_BANG_EQ] = ACTIONS(1970),
    [anon_sym_eq] = ACTIONS(1966),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1970),
    [anon_sym_equ] = ACTIONS(1970),
    [anon_sym_eqr] = ACTIONS(1970),
    [anon_sym_ne] = ACTIONS(1970),
    [anon_sym_LT_EQ_GT] = ACTIONS(1970),
    [anon_sym_cmp] = ACTIONS(1970),
    [anon_sym_TILDE_TILDE] = ACTIONS(1970),
    [anon_sym_LT] = ACTIONS(1966),
    [anon_sym_LT_EQ] = ACTIONS(1966),
    [anon_sym_GT_EQ] = ACTIONS(1970),
    [anon_sym_lt] = ACTIONS(1970),
    [anon_sym_le] = ACTIONS(1970),
    [anon_sym_ge] = ACTIONS(1970),
    [anon_sym_gt] = ACTIONS(1970),
    [anon_sym_isa] = ACTIONS(1970),
    [anon_sym_PLUS_PLUS] = ACTIONS(1970),
    [anon_sym_DASH_DASH] = ACTIONS(1970),
    [anon_sym_QMARK] = ACTIONS(1970),
    [anon_sym_EQ_GT] = ACTIONS(1970),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1784] = {
    [sym_heredoc_content] = STATE(1784),
    [anon_sym_RBRACE] = ACTIONS(3226),
    [anon_sym_EQ] = ACTIONS(3228),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3226),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3226),
    [anon_sym_COMMA] = ACTIONS(3226),
    [anon_sym_RPAREN] = ACTIONS(3226),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3226),
    [anon_sym_and] = ACTIONS(3226),
    [anon_sym_or] = ACTIONS(3226),
    [anon_sym_xor] = ACTIONS(3226),
    [anon_sym_RBRACK] = ACTIONS(3226),
    [anon_sym_DASH_GT] = ACTIONS(3226),
    [anon_sym_PERCENT] = ACTIONS(3228),
    [anon_sym_GT] = ACTIONS(3228),
    [anon_sym_LT_LT] = ACTIONS(3228),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3226),
    [anon_sym_PLUS_EQ] = ACTIONS(3226),
    [anon_sym_DASH_EQ] = ACTIONS(3226),
    [anon_sym_DOT_EQ] = ACTIONS(3226),
    [anon_sym_STAR_EQ] = ACTIONS(3226),
    [anon_sym_SLASH_EQ] = ACTIONS(3226),
    [anon_sym_PERCENT_EQ] = ACTIONS(3226),
    [anon_sym_x_EQ] = ACTIONS(3226),
    [anon_sym_AMP_EQ] = ACTIONS(3226),
    [anon_sym_PIPE_EQ] = ACTIONS(3226),
    [anon_sym_CARET_EQ] = ACTIONS(3226),
    [anon_sym_LT_LT_EQ] = ACTIONS(3226),
    [anon_sym_GT_GT_EQ] = ACTIONS(3226),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3226),
    [anon_sym_DOT_DOT] = ACTIONS(3228),
    [anon_sym_STAR_STAR] = ACTIONS(3228),
    [anon_sym_PIPE_PIPE] = ACTIONS(3228),
    [anon_sym_SLASH_SLASH] = ACTIONS(3228),
    [anon_sym_CARET_CARET] = ACTIONS(3226),
    [anon_sym_AMP_AMP] = ACTIONS(3228),
    [anon_sym_PIPE] = ACTIONS(3228),
    [anon_sym_CARET] = ACTIONS(3228),
    [anon_sym_AMP] = ACTIONS(3228),
    [anon_sym_GT_GT2] = ACTIONS(3228),
    [anon_sym_PLUS] = ACTIONS(3228),
    [anon_sym_DASH] = ACTIONS(3228),
    [anon_sym_DOT] = ACTIONS(3228),
    [anon_sym_STAR] = ACTIONS(3228),
    [anon_sym_SLASH] = ACTIONS(3228),
    [anon_sym_x] = ACTIONS(3228),
    [anon_sym_EQ_TILDE] = ACTIONS(3226),
    [anon_sym_BANG_TILDE] = ACTIONS(3226),
    [anon_sym_EQ_EQ] = ACTIONS(3228),
    [anon_sym_BANG_EQ] = ACTIONS(3226),
    [anon_sym_eq] = ACTIONS(3228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3226),
    [anon_sym_equ] = ACTIONS(3226),
    [anon_sym_eqr] = ACTIONS(3226),
    [anon_sym_ne] = ACTIONS(3226),
    [anon_sym_LT_EQ_GT] = ACTIONS(3226),
    [anon_sym_cmp] = ACTIONS(3226),
    [anon_sym_TILDE_TILDE] = ACTIONS(3226),
    [anon_sym_LT] = ACTIONS(3228),
    [anon_sym_LT_EQ] = ACTIONS(3228),
    [anon_sym_GT_EQ] = ACTIONS(3226),
    [anon_sym_lt] = ACTIONS(3226),
    [anon_sym_le] = ACTIONS(3226),
    [anon_sym_ge] = ACTIONS(3226),
    [anon_sym_gt] = ACTIONS(3226),
    [anon_sym_isa] = ACTIONS(3226),
    [anon_sym_PLUS_PLUS] = ACTIONS(3226),
    [anon_sym_DASH_DASH] = ACTIONS(3226),
    [anon_sym_QMARK] = ACTIONS(3226),
    [anon_sym_EQ_GT] = ACTIONS(3226),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1785] = {
    [sym_heredoc_content] = STATE(1785),
    [anon_sym_COLON] = ACTIONS(2652),
    [anon_sym_DOLLAR] = ACTIONS(2652),
    [anon_sym_EQ] = ACTIONS(2654),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2652),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2652),
    [anon_sym_AT] = ACTIONS(2652),
    [anon_sym_COMMA] = ACTIONS(2652),
    [anon_sym_RPAREN] = ACTIONS(2652),
    [anon_sym_LPAREN] = ACTIONS(3618),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2652),
    [anon_sym_DASH_GT] = ACTIONS(2652),
    [anon_sym_PERCENT] = ACTIONS(2654),
    [anon_sym_GT] = ACTIONS(2654),
    [anon_sym_LT_LT] = ACTIONS(2654),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2652),
    [anon_sym_PLUS_EQ] = ACTIONS(2652),
    [anon_sym_DASH_EQ] = ACTIONS(2652),
    [anon_sym_DOT_EQ] = ACTIONS(2652),
    [anon_sym_STAR_EQ] = ACTIONS(2652),
    [anon_sym_SLASH_EQ] = ACTIONS(2652),
    [anon_sym_PERCENT_EQ] = ACTIONS(2654),
    [anon_sym_x_EQ] = ACTIONS(2652),
    [anon_sym_AMP_EQ] = ACTIONS(2652),
    [anon_sym_PIPE_EQ] = ACTIONS(2652),
    [anon_sym_CARET_EQ] = ACTIONS(2652),
    [anon_sym_LT_LT_EQ] = ACTIONS(2652),
    [anon_sym_GT_GT_EQ] = ACTIONS(2652),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2652),
    [anon_sym_DOT_DOT] = ACTIONS(2654),
    [anon_sym_STAR_STAR] = ACTIONS(2654),
    [anon_sym_PIPE_PIPE] = ACTIONS(2654),
    [anon_sym_SLASH_SLASH] = ACTIONS(2654),
    [anon_sym_CARET_CARET] = ACTIONS(2652),
    [anon_sym_AMP_AMP] = ACTIONS(2654),
    [anon_sym_PIPE] = ACTIONS(2654),
    [anon_sym_CARET] = ACTIONS(2654),
    [anon_sym_AMP] = ACTIONS(2654),
    [anon_sym_GT_GT2] = ACTIONS(2654),
    [anon_sym_PLUS] = ACTIONS(2654),
    [anon_sym_DASH] = ACTIONS(2654),
    [anon_sym_DOT] = ACTIONS(2654),
    [anon_sym_STAR] = ACTIONS(2654),
    [anon_sym_SLASH] = ACTIONS(2654),
    [anon_sym_x] = ACTIONS(2654),
    [anon_sym_EQ_TILDE] = ACTIONS(2652),
    [anon_sym_BANG_TILDE] = ACTIONS(2652),
    [anon_sym_EQ_EQ] = ACTIONS(2654),
    [anon_sym_BANG_EQ] = ACTIONS(2652),
    [anon_sym_eq] = ACTIONS(2654),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2652),
    [anon_sym_equ] = ACTIONS(2652),
    [anon_sym_eqr] = ACTIONS(2652),
    [anon_sym_ne] = ACTIONS(2652),
    [anon_sym_LT_EQ_GT] = ACTIONS(2652),
    [anon_sym_cmp] = ACTIONS(2652),
    [anon_sym_TILDE_TILDE] = ACTIONS(2652),
    [anon_sym_LT] = ACTIONS(2654),
    [anon_sym_LT_EQ] = ACTIONS(2654),
    [anon_sym_GT_EQ] = ACTIONS(2652),
    [anon_sym_lt] = ACTIONS(2652),
    [anon_sym_le] = ACTIONS(2652),
    [anon_sym_ge] = ACTIONS(2652),
    [anon_sym_gt] = ACTIONS(2652),
    [anon_sym_isa] = ACTIONS(2652),
    [anon_sym_PLUS_PLUS] = ACTIONS(2652),
    [anon_sym_DASH_DASH] = ACTIONS(2652),
    [anon_sym_QMARK] = ACTIONS(2652),
    [anon_sym_PERCENT2] = ACTIONS(2652),
    [anon_sym_EQ_GT] = ACTIONS(2652),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1786] = {
    [sym_heredoc_content] = STATE(1786),
    [anon_sym_LBRACE] = ACTIONS(3620),
    [anon_sym_COLON] = ACTIONS(1849),
    [anon_sym_DOLLAR] = ACTIONS(1849),
    [anon_sym_EQ] = ACTIONS(1840),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1849),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1849),
    [anon_sym_AT] = ACTIONS(1849),
    [anon_sym_COMMA] = ACTIONS(1849),
    [anon_sym_RPAREN] = ACTIONS(1849),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1849),
    [anon_sym_DASH_GT] = ACTIONS(1849),
    [anon_sym_PERCENT] = ACTIONS(1840),
    [anon_sym_GT] = ACTIONS(1840),
    [anon_sym_LT_LT] = ACTIONS(1840),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1849),
    [anon_sym_PLUS_EQ] = ACTIONS(1849),
    [anon_sym_DASH_EQ] = ACTIONS(1849),
    [anon_sym_DOT_EQ] = ACTIONS(1849),
    [anon_sym_STAR_EQ] = ACTIONS(1849),
    [anon_sym_SLASH_EQ] = ACTIONS(1849),
    [anon_sym_PERCENT_EQ] = ACTIONS(1840),
    [anon_sym_x_EQ] = ACTIONS(1849),
    [anon_sym_AMP_EQ] = ACTIONS(1849),
    [anon_sym_PIPE_EQ] = ACTIONS(1849),
    [anon_sym_CARET_EQ] = ACTIONS(1849),
    [anon_sym_LT_LT_EQ] = ACTIONS(1849),
    [anon_sym_GT_GT_EQ] = ACTIONS(1849),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1849),
    [anon_sym_DOT_DOT] = ACTIONS(1840),
    [anon_sym_STAR_STAR] = ACTIONS(1840),
    [anon_sym_PIPE_PIPE] = ACTIONS(1840),
    [anon_sym_SLASH_SLASH] = ACTIONS(1840),
    [anon_sym_CARET_CARET] = ACTIONS(1849),
    [anon_sym_AMP_AMP] = ACTIONS(1840),
    [anon_sym_PIPE] = ACTIONS(1840),
    [anon_sym_CARET] = ACTIONS(1840),
    [anon_sym_AMP] = ACTIONS(1840),
    [anon_sym_GT_GT2] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_DOT] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1840),
    [anon_sym_SLASH] = ACTIONS(1840),
    [anon_sym_x] = ACTIONS(1840),
    [anon_sym_EQ_TILDE] = ACTIONS(1849),
    [anon_sym_BANG_TILDE] = ACTIONS(1849),
    [anon_sym_EQ_EQ] = ACTIONS(1840),
    [anon_sym_BANG_EQ] = ACTIONS(1849),
    [anon_sym_eq] = ACTIONS(1840),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1849),
    [anon_sym_equ] = ACTIONS(1849),
    [anon_sym_eqr] = ACTIONS(1849),
    [anon_sym_ne] = ACTIONS(1849),
    [anon_sym_LT_EQ_GT] = ACTIONS(1849),
    [anon_sym_cmp] = ACTIONS(1849),
    [anon_sym_TILDE_TILDE] = ACTIONS(1849),
    [anon_sym_LT] = ACTIONS(1840),
    [anon_sym_LT_EQ] = ACTIONS(1840),
    [anon_sym_GT_EQ] = ACTIONS(1849),
    [anon_sym_lt] = ACTIONS(1849),
    [anon_sym_le] = ACTIONS(1849),
    [anon_sym_ge] = ACTIONS(1849),
    [anon_sym_gt] = ACTIONS(1849),
    [anon_sym_isa] = ACTIONS(1849),
    [anon_sym_PLUS_PLUS] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1849),
    [anon_sym_QMARK] = ACTIONS(1849),
    [anon_sym_PERCENT2] = ACTIONS(1849),
    [anon_sym_EQ_GT] = ACTIONS(1849),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1787] = {
    [sym_heredoc_content] = STATE(1787),
    [anon_sym_COLON] = ACTIONS(1849),
    [anon_sym_DOLLAR] = ACTIONS(1849),
    [anon_sym_EQ] = ACTIONS(1840),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1849),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1849),
    [anon_sym_AT] = ACTIONS(1849),
    [anon_sym_COMMA] = ACTIONS(1849),
    [anon_sym_RPAREN] = ACTIONS(1849),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1849),
    [anon_sym_LBRACK] = ACTIONS(3622),
    [anon_sym_DASH_GT] = ACTIONS(1849),
    [anon_sym_PERCENT] = ACTIONS(1840),
    [anon_sym_GT] = ACTIONS(1840),
    [anon_sym_LT_LT] = ACTIONS(1840),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1849),
    [anon_sym_PLUS_EQ] = ACTIONS(1849),
    [anon_sym_DASH_EQ] = ACTIONS(1849),
    [anon_sym_DOT_EQ] = ACTIONS(1849),
    [anon_sym_STAR_EQ] = ACTIONS(1849),
    [anon_sym_SLASH_EQ] = ACTIONS(1849),
    [anon_sym_PERCENT_EQ] = ACTIONS(1840),
    [anon_sym_x_EQ] = ACTIONS(1849),
    [anon_sym_AMP_EQ] = ACTIONS(1849),
    [anon_sym_PIPE_EQ] = ACTIONS(1849),
    [anon_sym_CARET_EQ] = ACTIONS(1849),
    [anon_sym_LT_LT_EQ] = ACTIONS(1849),
    [anon_sym_GT_GT_EQ] = ACTIONS(1849),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1849),
    [anon_sym_DOT_DOT] = ACTIONS(1840),
    [anon_sym_STAR_STAR] = ACTIONS(1840),
    [anon_sym_PIPE_PIPE] = ACTIONS(1840),
    [anon_sym_SLASH_SLASH] = ACTIONS(1840),
    [anon_sym_CARET_CARET] = ACTIONS(1849),
    [anon_sym_AMP_AMP] = ACTIONS(1840),
    [anon_sym_PIPE] = ACTIONS(1840),
    [anon_sym_CARET] = ACTIONS(1840),
    [anon_sym_AMP] = ACTIONS(1840),
    [anon_sym_GT_GT2] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_DOT] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1840),
    [anon_sym_SLASH] = ACTIONS(1840),
    [anon_sym_x] = ACTIONS(1840),
    [anon_sym_EQ_TILDE] = ACTIONS(1849),
    [anon_sym_BANG_TILDE] = ACTIONS(1849),
    [anon_sym_EQ_EQ] = ACTIONS(1840),
    [anon_sym_BANG_EQ] = ACTIONS(1849),
    [anon_sym_eq] = ACTIONS(1840),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1849),
    [anon_sym_equ] = ACTIONS(1849),
    [anon_sym_eqr] = ACTIONS(1849),
    [anon_sym_ne] = ACTIONS(1849),
    [anon_sym_LT_EQ_GT] = ACTIONS(1849),
    [anon_sym_cmp] = ACTIONS(1849),
    [anon_sym_TILDE_TILDE] = ACTIONS(1849),
    [anon_sym_LT] = ACTIONS(1840),
    [anon_sym_LT_EQ] = ACTIONS(1840),
    [anon_sym_GT_EQ] = ACTIONS(1849),
    [anon_sym_lt] = ACTIONS(1849),
    [anon_sym_le] = ACTIONS(1849),
    [anon_sym_ge] = ACTIONS(1849),
    [anon_sym_gt] = ACTIONS(1849),
    [anon_sym_isa] = ACTIONS(1849),
    [anon_sym_PLUS_PLUS] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1849),
    [anon_sym_QMARK] = ACTIONS(1849),
    [anon_sym_PERCENT2] = ACTIONS(1849),
    [anon_sym_EQ_GT] = ACTIONS(1849),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1788] = {
    [sym_heredoc_content] = STATE(1788),
    [anon_sym_RBRACE] = ACTIONS(2935),
    [anon_sym_EQ] = ACTIONS(2937),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2935),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2935),
    [anon_sym_COMMA] = ACTIONS(2935),
    [anon_sym_RPAREN] = ACTIONS(2935),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2935),
    [anon_sym_and] = ACTIONS(2935),
    [anon_sym_or] = ACTIONS(2935),
    [anon_sym_xor] = ACTIONS(2935),
    [anon_sym_RBRACK] = ACTIONS(2935),
    [anon_sym_DASH_GT] = ACTIONS(2935),
    [anon_sym_PERCENT] = ACTIONS(2937),
    [anon_sym_GT] = ACTIONS(2937),
    [anon_sym_LT_LT] = ACTIONS(2937),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2935),
    [anon_sym_PLUS_EQ] = ACTIONS(2935),
    [anon_sym_DASH_EQ] = ACTIONS(2935),
    [anon_sym_DOT_EQ] = ACTIONS(2935),
    [anon_sym_STAR_EQ] = ACTIONS(2935),
    [anon_sym_SLASH_EQ] = ACTIONS(2935),
    [anon_sym_PERCENT_EQ] = ACTIONS(2935),
    [anon_sym_x_EQ] = ACTIONS(2935),
    [anon_sym_AMP_EQ] = ACTIONS(2935),
    [anon_sym_PIPE_EQ] = ACTIONS(2935),
    [anon_sym_CARET_EQ] = ACTIONS(2935),
    [anon_sym_LT_LT_EQ] = ACTIONS(2935),
    [anon_sym_GT_GT_EQ] = ACTIONS(2935),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2935),
    [anon_sym_DOT_DOT] = ACTIONS(2937),
    [anon_sym_STAR_STAR] = ACTIONS(2937),
    [anon_sym_PIPE_PIPE] = ACTIONS(2937),
    [anon_sym_SLASH_SLASH] = ACTIONS(2937),
    [anon_sym_CARET_CARET] = ACTIONS(2935),
    [anon_sym_AMP_AMP] = ACTIONS(2937),
    [anon_sym_PIPE] = ACTIONS(2937),
    [anon_sym_CARET] = ACTIONS(2937),
    [anon_sym_AMP] = ACTIONS(2937),
    [anon_sym_GT_GT2] = ACTIONS(2937),
    [anon_sym_PLUS] = ACTIONS(2937),
    [anon_sym_DASH] = ACTIONS(2937),
    [anon_sym_DOT] = ACTIONS(2937),
    [anon_sym_STAR] = ACTIONS(2937),
    [anon_sym_SLASH] = ACTIONS(2937),
    [anon_sym_x] = ACTIONS(2937),
    [anon_sym_EQ_TILDE] = ACTIONS(2935),
    [anon_sym_BANG_TILDE] = ACTIONS(2935),
    [anon_sym_EQ_EQ] = ACTIONS(2937),
    [anon_sym_BANG_EQ] = ACTIONS(2935),
    [anon_sym_eq] = ACTIONS(2937),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2935),
    [anon_sym_equ] = ACTIONS(2935),
    [anon_sym_eqr] = ACTIONS(2935),
    [anon_sym_ne] = ACTIONS(2935),
    [anon_sym_LT_EQ_GT] = ACTIONS(2935),
    [anon_sym_cmp] = ACTIONS(2935),
    [anon_sym_TILDE_TILDE] = ACTIONS(2935),
    [anon_sym_LT] = ACTIONS(2937),
    [anon_sym_LT_EQ] = ACTIONS(2937),
    [anon_sym_GT_EQ] = ACTIONS(2935),
    [anon_sym_lt] = ACTIONS(2935),
    [anon_sym_le] = ACTIONS(2935),
    [anon_sym_ge] = ACTIONS(2935),
    [anon_sym_gt] = ACTIONS(2935),
    [anon_sym_isa] = ACTIONS(2935),
    [anon_sym_PLUS_PLUS] = ACTIONS(2935),
    [anon_sym_DASH_DASH] = ACTIONS(2935),
    [anon_sym_QMARK] = ACTIONS(2935),
    [anon_sym_EQ_GT] = ACTIONS(2935),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1789] = {
    [sym_heredoc_content] = STATE(1789),
    [anon_sym_RBRACE] = ACTIONS(3051),
    [anon_sym_EQ] = ACTIONS(3053),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3051),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3051),
    [anon_sym_COMMA] = ACTIONS(3051),
    [anon_sym_RPAREN] = ACTIONS(3051),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3051),
    [anon_sym_and] = ACTIONS(3051),
    [anon_sym_or] = ACTIONS(3051),
    [anon_sym_xor] = ACTIONS(3051),
    [anon_sym_RBRACK] = ACTIONS(3051),
    [anon_sym_DASH_GT] = ACTIONS(3051),
    [anon_sym_PERCENT] = ACTIONS(3053),
    [anon_sym_GT] = ACTIONS(3053),
    [anon_sym_LT_LT] = ACTIONS(3053),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3051),
    [anon_sym_PLUS_EQ] = ACTIONS(3051),
    [anon_sym_DASH_EQ] = ACTIONS(3051),
    [anon_sym_DOT_EQ] = ACTIONS(3051),
    [anon_sym_STAR_EQ] = ACTIONS(3051),
    [anon_sym_SLASH_EQ] = ACTIONS(3051),
    [anon_sym_PERCENT_EQ] = ACTIONS(3051),
    [anon_sym_x_EQ] = ACTIONS(3051),
    [anon_sym_AMP_EQ] = ACTIONS(3051),
    [anon_sym_PIPE_EQ] = ACTIONS(3051),
    [anon_sym_CARET_EQ] = ACTIONS(3051),
    [anon_sym_LT_LT_EQ] = ACTIONS(3051),
    [anon_sym_GT_GT_EQ] = ACTIONS(3051),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3051),
    [anon_sym_DOT_DOT] = ACTIONS(3053),
    [anon_sym_STAR_STAR] = ACTIONS(3053),
    [anon_sym_PIPE_PIPE] = ACTIONS(3053),
    [anon_sym_SLASH_SLASH] = ACTIONS(3053),
    [anon_sym_CARET_CARET] = ACTIONS(3051),
    [anon_sym_AMP_AMP] = ACTIONS(3053),
    [anon_sym_PIPE] = ACTIONS(3053),
    [anon_sym_CARET] = ACTIONS(3053),
    [anon_sym_AMP] = ACTIONS(3053),
    [anon_sym_GT_GT2] = ACTIONS(3053),
    [anon_sym_PLUS] = ACTIONS(3053),
    [anon_sym_DASH] = ACTIONS(3053),
    [anon_sym_DOT] = ACTIONS(3053),
    [anon_sym_STAR] = ACTIONS(3053),
    [anon_sym_SLASH] = ACTIONS(3053),
    [anon_sym_x] = ACTIONS(3053),
    [anon_sym_EQ_TILDE] = ACTIONS(3051),
    [anon_sym_BANG_TILDE] = ACTIONS(3051),
    [anon_sym_EQ_EQ] = ACTIONS(3053),
    [anon_sym_BANG_EQ] = ACTIONS(3051),
    [anon_sym_eq] = ACTIONS(3053),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3051),
    [anon_sym_equ] = ACTIONS(3051),
    [anon_sym_eqr] = ACTIONS(3051),
    [anon_sym_ne] = ACTIONS(3051),
    [anon_sym_LT_EQ_GT] = ACTIONS(3051),
    [anon_sym_cmp] = ACTIONS(3051),
    [anon_sym_TILDE_TILDE] = ACTIONS(3051),
    [anon_sym_LT] = ACTIONS(3053),
    [anon_sym_LT_EQ] = ACTIONS(3053),
    [anon_sym_GT_EQ] = ACTIONS(3051),
    [anon_sym_lt] = ACTIONS(3051),
    [anon_sym_le] = ACTIONS(3051),
    [anon_sym_ge] = ACTIONS(3051),
    [anon_sym_gt] = ACTIONS(3051),
    [anon_sym_isa] = ACTIONS(3051),
    [anon_sym_PLUS_PLUS] = ACTIONS(3051),
    [anon_sym_DASH_DASH] = ACTIONS(3051),
    [anon_sym_QMARK] = ACTIONS(3051),
    [anon_sym_EQ_GT] = ACTIONS(3051),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1790] = {
    [sym_heredoc_content] = STATE(1790),
    [anon_sym_RBRACE] = ACTIONS(2939),
    [anon_sym_EQ] = ACTIONS(2941),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2939),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2939),
    [anon_sym_COMMA] = ACTIONS(2939),
    [anon_sym_RPAREN] = ACTIONS(2939),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2939),
    [anon_sym_and] = ACTIONS(2939),
    [anon_sym_or] = ACTIONS(2939),
    [anon_sym_xor] = ACTIONS(2939),
    [anon_sym_RBRACK] = ACTIONS(2939),
    [anon_sym_DASH_GT] = ACTIONS(2939),
    [anon_sym_PERCENT] = ACTIONS(2941),
    [anon_sym_GT] = ACTIONS(2941),
    [anon_sym_LT_LT] = ACTIONS(2941),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2939),
    [anon_sym_PLUS_EQ] = ACTIONS(2939),
    [anon_sym_DASH_EQ] = ACTIONS(2939),
    [anon_sym_DOT_EQ] = ACTIONS(2939),
    [anon_sym_STAR_EQ] = ACTIONS(2939),
    [anon_sym_SLASH_EQ] = ACTIONS(2939),
    [anon_sym_PERCENT_EQ] = ACTIONS(2939),
    [anon_sym_x_EQ] = ACTIONS(2939),
    [anon_sym_AMP_EQ] = ACTIONS(2939),
    [anon_sym_PIPE_EQ] = ACTIONS(2939),
    [anon_sym_CARET_EQ] = ACTIONS(2939),
    [anon_sym_LT_LT_EQ] = ACTIONS(2939),
    [anon_sym_GT_GT_EQ] = ACTIONS(2939),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2939),
    [anon_sym_DOT_DOT] = ACTIONS(2941),
    [anon_sym_STAR_STAR] = ACTIONS(2941),
    [anon_sym_PIPE_PIPE] = ACTIONS(2941),
    [anon_sym_SLASH_SLASH] = ACTIONS(2941),
    [anon_sym_CARET_CARET] = ACTIONS(2939),
    [anon_sym_AMP_AMP] = ACTIONS(2941),
    [anon_sym_PIPE] = ACTIONS(2941),
    [anon_sym_CARET] = ACTIONS(2941),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_GT_GT2] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_DOT] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2941),
    [anon_sym_SLASH] = ACTIONS(2941),
    [anon_sym_x] = ACTIONS(2941),
    [anon_sym_EQ_TILDE] = ACTIONS(2939),
    [anon_sym_BANG_TILDE] = ACTIONS(2939),
    [anon_sym_EQ_EQ] = ACTIONS(2941),
    [anon_sym_BANG_EQ] = ACTIONS(2939),
    [anon_sym_eq] = ACTIONS(2941),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2939),
    [anon_sym_equ] = ACTIONS(2939),
    [anon_sym_eqr] = ACTIONS(2939),
    [anon_sym_ne] = ACTIONS(2939),
    [anon_sym_LT_EQ_GT] = ACTIONS(2939),
    [anon_sym_cmp] = ACTIONS(2939),
    [anon_sym_TILDE_TILDE] = ACTIONS(2939),
    [anon_sym_LT] = ACTIONS(2941),
    [anon_sym_LT_EQ] = ACTIONS(2941),
    [anon_sym_GT_EQ] = ACTIONS(2939),
    [anon_sym_lt] = ACTIONS(2939),
    [anon_sym_le] = ACTIONS(2939),
    [anon_sym_ge] = ACTIONS(2939),
    [anon_sym_gt] = ACTIONS(2939),
    [anon_sym_isa] = ACTIONS(2939),
    [anon_sym_PLUS_PLUS] = ACTIONS(2939),
    [anon_sym_DASH_DASH] = ACTIONS(2939),
    [anon_sym_QMARK] = ACTIONS(2939),
    [anon_sym_EQ_GT] = ACTIONS(2939),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1791] = {
    [sym_heredoc_content] = STATE(1791),
    [anon_sym_RBRACE] = ACTIONS(3055),
    [anon_sym_EQ] = ACTIONS(3057),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3055),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3055),
    [anon_sym_COMMA] = ACTIONS(3055),
    [anon_sym_RPAREN] = ACTIONS(3055),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3055),
    [anon_sym_and] = ACTIONS(3055),
    [anon_sym_or] = ACTIONS(3055),
    [anon_sym_xor] = ACTIONS(3055),
    [anon_sym_RBRACK] = ACTIONS(3055),
    [anon_sym_DASH_GT] = ACTIONS(3055),
    [anon_sym_PERCENT] = ACTIONS(3057),
    [anon_sym_GT] = ACTIONS(3057),
    [anon_sym_LT_LT] = ACTIONS(3057),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3055),
    [anon_sym_PLUS_EQ] = ACTIONS(3055),
    [anon_sym_DASH_EQ] = ACTIONS(3055),
    [anon_sym_DOT_EQ] = ACTIONS(3055),
    [anon_sym_STAR_EQ] = ACTIONS(3055),
    [anon_sym_SLASH_EQ] = ACTIONS(3055),
    [anon_sym_PERCENT_EQ] = ACTIONS(3055),
    [anon_sym_x_EQ] = ACTIONS(3055),
    [anon_sym_AMP_EQ] = ACTIONS(3055),
    [anon_sym_PIPE_EQ] = ACTIONS(3055),
    [anon_sym_CARET_EQ] = ACTIONS(3055),
    [anon_sym_LT_LT_EQ] = ACTIONS(3055),
    [anon_sym_GT_GT_EQ] = ACTIONS(3055),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3055),
    [anon_sym_DOT_DOT] = ACTIONS(3057),
    [anon_sym_STAR_STAR] = ACTIONS(3057),
    [anon_sym_PIPE_PIPE] = ACTIONS(3057),
    [anon_sym_SLASH_SLASH] = ACTIONS(3057),
    [anon_sym_CARET_CARET] = ACTIONS(3055),
    [anon_sym_AMP_AMP] = ACTIONS(3057),
    [anon_sym_PIPE] = ACTIONS(3057),
    [anon_sym_CARET] = ACTIONS(3057),
    [anon_sym_AMP] = ACTIONS(3057),
    [anon_sym_GT_GT2] = ACTIONS(3057),
    [anon_sym_PLUS] = ACTIONS(3057),
    [anon_sym_DASH] = ACTIONS(3057),
    [anon_sym_DOT] = ACTIONS(3057),
    [anon_sym_STAR] = ACTIONS(3057),
    [anon_sym_SLASH] = ACTIONS(3057),
    [anon_sym_x] = ACTIONS(3057),
    [anon_sym_EQ_TILDE] = ACTIONS(3055),
    [anon_sym_BANG_TILDE] = ACTIONS(3055),
    [anon_sym_EQ_EQ] = ACTIONS(3057),
    [anon_sym_BANG_EQ] = ACTIONS(3055),
    [anon_sym_eq] = ACTIONS(3057),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3055),
    [anon_sym_equ] = ACTIONS(3055),
    [anon_sym_eqr] = ACTIONS(3055),
    [anon_sym_ne] = ACTIONS(3055),
    [anon_sym_LT_EQ_GT] = ACTIONS(3055),
    [anon_sym_cmp] = ACTIONS(3055),
    [anon_sym_TILDE_TILDE] = ACTIONS(3055),
    [anon_sym_LT] = ACTIONS(3057),
    [anon_sym_LT_EQ] = ACTIONS(3057),
    [anon_sym_GT_EQ] = ACTIONS(3055),
    [anon_sym_lt] = ACTIONS(3055),
    [anon_sym_le] = ACTIONS(3055),
    [anon_sym_ge] = ACTIONS(3055),
    [anon_sym_gt] = ACTIONS(3055),
    [anon_sym_isa] = ACTIONS(3055),
    [anon_sym_PLUS_PLUS] = ACTIONS(3055),
    [anon_sym_DASH_DASH] = ACTIONS(3055),
    [anon_sym_QMARK] = ACTIONS(3055),
    [anon_sym_EQ_GT] = ACTIONS(3055),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1792] = {
    [sym_heredoc_content] = STATE(1792),
    [anon_sym_RBRACE] = ACTIONS(3250),
    [anon_sym_EQ] = ACTIONS(3252),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3250),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3250),
    [anon_sym_COMMA] = ACTIONS(3250),
    [anon_sym_RPAREN] = ACTIONS(3250),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3250),
    [anon_sym_and] = ACTIONS(3250),
    [anon_sym_or] = ACTIONS(3250),
    [anon_sym_xor] = ACTIONS(3250),
    [anon_sym_RBRACK] = ACTIONS(3250),
    [anon_sym_DASH_GT] = ACTIONS(3250),
    [anon_sym_PERCENT] = ACTIONS(3252),
    [anon_sym_GT] = ACTIONS(3252),
    [anon_sym_LT_LT] = ACTIONS(3252),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3250),
    [anon_sym_PLUS_EQ] = ACTIONS(3250),
    [anon_sym_DASH_EQ] = ACTIONS(3250),
    [anon_sym_DOT_EQ] = ACTIONS(3250),
    [anon_sym_STAR_EQ] = ACTIONS(3250),
    [anon_sym_SLASH_EQ] = ACTIONS(3250),
    [anon_sym_PERCENT_EQ] = ACTIONS(3250),
    [anon_sym_x_EQ] = ACTIONS(3250),
    [anon_sym_AMP_EQ] = ACTIONS(3250),
    [anon_sym_PIPE_EQ] = ACTIONS(3250),
    [anon_sym_CARET_EQ] = ACTIONS(3250),
    [anon_sym_LT_LT_EQ] = ACTIONS(3250),
    [anon_sym_GT_GT_EQ] = ACTIONS(3250),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3250),
    [anon_sym_DOT_DOT] = ACTIONS(3252),
    [anon_sym_STAR_STAR] = ACTIONS(3252),
    [anon_sym_PIPE_PIPE] = ACTIONS(3252),
    [anon_sym_SLASH_SLASH] = ACTIONS(3252),
    [anon_sym_CARET_CARET] = ACTIONS(3250),
    [anon_sym_AMP_AMP] = ACTIONS(3252),
    [anon_sym_PIPE] = ACTIONS(3252),
    [anon_sym_CARET] = ACTIONS(3252),
    [anon_sym_AMP] = ACTIONS(3252),
    [anon_sym_GT_GT2] = ACTIONS(3252),
    [anon_sym_PLUS] = ACTIONS(3252),
    [anon_sym_DASH] = ACTIONS(3252),
    [anon_sym_DOT] = ACTIONS(3252),
    [anon_sym_STAR] = ACTIONS(3252),
    [anon_sym_SLASH] = ACTIONS(3252),
    [anon_sym_x] = ACTIONS(3252),
    [anon_sym_EQ_TILDE] = ACTIONS(3250),
    [anon_sym_BANG_TILDE] = ACTIONS(3250),
    [anon_sym_EQ_EQ] = ACTIONS(3252),
    [anon_sym_BANG_EQ] = ACTIONS(3250),
    [anon_sym_eq] = ACTIONS(3252),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3250),
    [anon_sym_equ] = ACTIONS(3250),
    [anon_sym_eqr] = ACTIONS(3250),
    [anon_sym_ne] = ACTIONS(3250),
    [anon_sym_LT_EQ_GT] = ACTIONS(3250),
    [anon_sym_cmp] = ACTIONS(3250),
    [anon_sym_TILDE_TILDE] = ACTIONS(3250),
    [anon_sym_LT] = ACTIONS(3252),
    [anon_sym_LT_EQ] = ACTIONS(3252),
    [anon_sym_GT_EQ] = ACTIONS(3250),
    [anon_sym_lt] = ACTIONS(3250),
    [anon_sym_le] = ACTIONS(3250),
    [anon_sym_ge] = ACTIONS(3250),
    [anon_sym_gt] = ACTIONS(3250),
    [anon_sym_isa] = ACTIONS(3250),
    [anon_sym_PLUS_PLUS] = ACTIONS(3250),
    [anon_sym_DASH_DASH] = ACTIONS(3250),
    [anon_sym_QMARK] = ACTIONS(3250),
    [anon_sym_EQ_GT] = ACTIONS(3250),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1793] = {
    [sym_heredoc_content] = STATE(1793),
    [anon_sym_RBRACE] = ACTIONS(3059),
    [anon_sym_EQ] = ACTIONS(3061),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3059),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3059),
    [anon_sym_COMMA] = ACTIONS(3059),
    [anon_sym_RPAREN] = ACTIONS(3059),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3059),
    [anon_sym_and] = ACTIONS(3059),
    [anon_sym_or] = ACTIONS(3059),
    [anon_sym_xor] = ACTIONS(3059),
    [anon_sym_RBRACK] = ACTIONS(3059),
    [anon_sym_DASH_GT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(3061),
    [anon_sym_GT] = ACTIONS(3061),
    [anon_sym_LT_LT] = ACTIONS(3061),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3059),
    [anon_sym_PLUS_EQ] = ACTIONS(3059),
    [anon_sym_DASH_EQ] = ACTIONS(3059),
    [anon_sym_DOT_EQ] = ACTIONS(3059),
    [anon_sym_STAR_EQ] = ACTIONS(3059),
    [anon_sym_SLASH_EQ] = ACTIONS(3059),
    [anon_sym_PERCENT_EQ] = ACTIONS(3059),
    [anon_sym_x_EQ] = ACTIONS(3059),
    [anon_sym_AMP_EQ] = ACTIONS(3059),
    [anon_sym_PIPE_EQ] = ACTIONS(3059),
    [anon_sym_CARET_EQ] = ACTIONS(3059),
    [anon_sym_LT_LT_EQ] = ACTIONS(3059),
    [anon_sym_GT_GT_EQ] = ACTIONS(3059),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3059),
    [anon_sym_DOT_DOT] = ACTIONS(3061),
    [anon_sym_STAR_STAR] = ACTIONS(3061),
    [anon_sym_PIPE_PIPE] = ACTIONS(3061),
    [anon_sym_SLASH_SLASH] = ACTIONS(3061),
    [anon_sym_CARET_CARET] = ACTIONS(3059),
    [anon_sym_AMP_AMP] = ACTIONS(3061),
    [anon_sym_PIPE] = ACTIONS(3061),
    [anon_sym_CARET] = ACTIONS(3061),
    [anon_sym_AMP] = ACTIONS(3061),
    [anon_sym_GT_GT2] = ACTIONS(3061),
    [anon_sym_PLUS] = ACTIONS(3061),
    [anon_sym_DASH] = ACTIONS(3061),
    [anon_sym_DOT] = ACTIONS(3061),
    [anon_sym_STAR] = ACTIONS(3061),
    [anon_sym_SLASH] = ACTIONS(3061),
    [anon_sym_x] = ACTIONS(3061),
    [anon_sym_EQ_TILDE] = ACTIONS(3059),
    [anon_sym_BANG_TILDE] = ACTIONS(3059),
    [anon_sym_EQ_EQ] = ACTIONS(3061),
    [anon_sym_BANG_EQ] = ACTIONS(3059),
    [anon_sym_eq] = ACTIONS(3061),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3059),
    [anon_sym_equ] = ACTIONS(3059),
    [anon_sym_eqr] = ACTIONS(3059),
    [anon_sym_ne] = ACTIONS(3059),
    [anon_sym_LT_EQ_GT] = ACTIONS(3059),
    [anon_sym_cmp] = ACTIONS(3059),
    [anon_sym_TILDE_TILDE] = ACTIONS(3059),
    [anon_sym_LT] = ACTIONS(3061),
    [anon_sym_LT_EQ] = ACTIONS(3061),
    [anon_sym_GT_EQ] = ACTIONS(3059),
    [anon_sym_lt] = ACTIONS(3059),
    [anon_sym_le] = ACTIONS(3059),
    [anon_sym_ge] = ACTIONS(3059),
    [anon_sym_gt] = ACTIONS(3059),
    [anon_sym_isa] = ACTIONS(3059),
    [anon_sym_PLUS_PLUS] = ACTIONS(3059),
    [anon_sym_DASH_DASH] = ACTIONS(3059),
    [anon_sym_QMARK] = ACTIONS(3059),
    [anon_sym_EQ_GT] = ACTIONS(3059),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1794] = {
    [sym_heredoc_content] = STATE(1794),
    [anon_sym_COLON] = ACTIONS(2552),
    [anon_sym_DOLLAR] = ACTIONS(2552),
    [anon_sym_EQ] = ACTIONS(2554),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2552),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2552),
    [anon_sym_AT] = ACTIONS(2552),
    [anon_sym_COMMA] = ACTIONS(2552),
    [anon_sym_RPAREN] = ACTIONS(2552),
    [anon_sym_LPAREN] = ACTIONS(2552),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2552),
    [anon_sym_DASH_GT] = ACTIONS(2552),
    [anon_sym_PERCENT] = ACTIONS(2554),
    [anon_sym_GT] = ACTIONS(2554),
    [anon_sym_LT_LT] = ACTIONS(2554),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2552),
    [anon_sym_PLUS_EQ] = ACTIONS(2552),
    [anon_sym_DASH_EQ] = ACTIONS(2552),
    [anon_sym_DOT_EQ] = ACTIONS(2552),
    [anon_sym_STAR_EQ] = ACTIONS(2552),
    [anon_sym_SLASH_EQ] = ACTIONS(2552),
    [anon_sym_PERCENT_EQ] = ACTIONS(2554),
    [anon_sym_x_EQ] = ACTIONS(2552),
    [anon_sym_AMP_EQ] = ACTIONS(2552),
    [anon_sym_PIPE_EQ] = ACTIONS(2552),
    [anon_sym_CARET_EQ] = ACTIONS(2552),
    [anon_sym_LT_LT_EQ] = ACTIONS(2552),
    [anon_sym_GT_GT_EQ] = ACTIONS(2552),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2552),
    [anon_sym_DOT_DOT] = ACTIONS(2554),
    [anon_sym_STAR_STAR] = ACTIONS(2554),
    [anon_sym_PIPE_PIPE] = ACTIONS(2554),
    [anon_sym_SLASH_SLASH] = ACTIONS(2554),
    [anon_sym_CARET_CARET] = ACTIONS(2552),
    [anon_sym_AMP_AMP] = ACTIONS(2554),
    [anon_sym_PIPE] = ACTIONS(2554),
    [anon_sym_CARET] = ACTIONS(2554),
    [anon_sym_AMP] = ACTIONS(2554),
    [anon_sym_GT_GT2] = ACTIONS(2554),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_DOT] = ACTIONS(2554),
    [anon_sym_STAR] = ACTIONS(2554),
    [anon_sym_SLASH] = ACTIONS(2554),
    [anon_sym_x] = ACTIONS(2554),
    [anon_sym_EQ_TILDE] = ACTIONS(2552),
    [anon_sym_BANG_TILDE] = ACTIONS(2552),
    [anon_sym_EQ_EQ] = ACTIONS(2554),
    [anon_sym_BANG_EQ] = ACTIONS(2552),
    [anon_sym_eq] = ACTIONS(2554),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2552),
    [anon_sym_equ] = ACTIONS(2552),
    [anon_sym_eqr] = ACTIONS(2552),
    [anon_sym_ne] = ACTIONS(2552),
    [anon_sym_LT_EQ_GT] = ACTIONS(2552),
    [anon_sym_cmp] = ACTIONS(2552),
    [anon_sym_TILDE_TILDE] = ACTIONS(2552),
    [anon_sym_LT] = ACTIONS(2554),
    [anon_sym_LT_EQ] = ACTIONS(2554),
    [anon_sym_GT_EQ] = ACTIONS(2552),
    [anon_sym_lt] = ACTIONS(2552),
    [anon_sym_le] = ACTIONS(2552),
    [anon_sym_ge] = ACTIONS(2552),
    [anon_sym_gt] = ACTIONS(2552),
    [anon_sym_isa] = ACTIONS(2552),
    [anon_sym_PLUS_PLUS] = ACTIONS(2552),
    [anon_sym_DASH_DASH] = ACTIONS(2552),
    [anon_sym_QMARK] = ACTIONS(2552),
    [anon_sym_PERCENT2] = ACTIONS(2552),
    [anon_sym_EQ_GT] = ACTIONS(2552),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1795] = {
    [sym_heredoc_content] = STATE(1795),
    [anon_sym_LBRACE] = ACTIONS(2548),
    [anon_sym_COLON] = ACTIONS(2548),
    [anon_sym_DOLLAR] = ACTIONS(2548),
    [anon_sym_EQ] = ACTIONS(2550),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2548),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2548),
    [anon_sym_AT] = ACTIONS(2548),
    [anon_sym_COMMA] = ACTIONS(2548),
    [anon_sym_RPAREN] = ACTIONS(2548),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2548),
    [anon_sym_DASH_GT] = ACTIONS(2548),
    [anon_sym_PERCENT] = ACTIONS(2550),
    [anon_sym_GT] = ACTIONS(2550),
    [anon_sym_LT_LT] = ACTIONS(2550),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2548),
    [anon_sym_PLUS_EQ] = ACTIONS(2548),
    [anon_sym_DASH_EQ] = ACTIONS(2548),
    [anon_sym_DOT_EQ] = ACTIONS(2548),
    [anon_sym_STAR_EQ] = ACTIONS(2548),
    [anon_sym_SLASH_EQ] = ACTIONS(2548),
    [anon_sym_PERCENT_EQ] = ACTIONS(2550),
    [anon_sym_x_EQ] = ACTIONS(2548),
    [anon_sym_AMP_EQ] = ACTIONS(2548),
    [anon_sym_PIPE_EQ] = ACTIONS(2548),
    [anon_sym_CARET_EQ] = ACTIONS(2548),
    [anon_sym_LT_LT_EQ] = ACTIONS(2548),
    [anon_sym_GT_GT_EQ] = ACTIONS(2548),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2548),
    [anon_sym_DOT_DOT] = ACTIONS(2550),
    [anon_sym_STAR_STAR] = ACTIONS(2550),
    [anon_sym_PIPE_PIPE] = ACTIONS(2550),
    [anon_sym_SLASH_SLASH] = ACTIONS(2550),
    [anon_sym_CARET_CARET] = ACTIONS(2548),
    [anon_sym_AMP_AMP] = ACTIONS(2550),
    [anon_sym_PIPE] = ACTIONS(2550),
    [anon_sym_CARET] = ACTIONS(2550),
    [anon_sym_AMP] = ACTIONS(2550),
    [anon_sym_GT_GT2] = ACTIONS(2550),
    [anon_sym_PLUS] = ACTIONS(2550),
    [anon_sym_DASH] = ACTIONS(2550),
    [anon_sym_DOT] = ACTIONS(2550),
    [anon_sym_STAR] = ACTIONS(2550),
    [anon_sym_SLASH] = ACTIONS(2550),
    [anon_sym_x] = ACTIONS(2550),
    [anon_sym_EQ_TILDE] = ACTIONS(2548),
    [anon_sym_BANG_TILDE] = ACTIONS(2548),
    [anon_sym_EQ_EQ] = ACTIONS(2550),
    [anon_sym_BANG_EQ] = ACTIONS(2548),
    [anon_sym_eq] = ACTIONS(2550),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2548),
    [anon_sym_equ] = ACTIONS(2548),
    [anon_sym_eqr] = ACTIONS(2548),
    [anon_sym_ne] = ACTIONS(2548),
    [anon_sym_LT_EQ_GT] = ACTIONS(2548),
    [anon_sym_cmp] = ACTIONS(2548),
    [anon_sym_TILDE_TILDE] = ACTIONS(2548),
    [anon_sym_LT] = ACTIONS(2550),
    [anon_sym_LT_EQ] = ACTIONS(2550),
    [anon_sym_GT_EQ] = ACTIONS(2548),
    [anon_sym_lt] = ACTIONS(2548),
    [anon_sym_le] = ACTIONS(2548),
    [anon_sym_ge] = ACTIONS(2548),
    [anon_sym_gt] = ACTIONS(2548),
    [anon_sym_isa] = ACTIONS(2548),
    [anon_sym_PLUS_PLUS] = ACTIONS(2548),
    [anon_sym_DASH_DASH] = ACTIONS(2548),
    [anon_sym_QMARK] = ACTIONS(2548),
    [anon_sym_PERCENT2] = ACTIONS(2548),
    [anon_sym_EQ_GT] = ACTIONS(2548),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1796] = {
    [sym_heredoc_content] = STATE(1796),
    [anon_sym_RBRACE] = ACTIONS(3063),
    [anon_sym_EQ] = ACTIONS(3065),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3063),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3063),
    [anon_sym_COMMA] = ACTIONS(3063),
    [anon_sym_RPAREN] = ACTIONS(3063),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3063),
    [anon_sym_and] = ACTIONS(3063),
    [anon_sym_or] = ACTIONS(3063),
    [anon_sym_xor] = ACTIONS(3063),
    [anon_sym_RBRACK] = ACTIONS(3063),
    [anon_sym_DASH_GT] = ACTIONS(3063),
    [anon_sym_PERCENT] = ACTIONS(3065),
    [anon_sym_GT] = ACTIONS(3065),
    [anon_sym_LT_LT] = ACTIONS(3065),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3063),
    [anon_sym_PLUS_EQ] = ACTIONS(3063),
    [anon_sym_DASH_EQ] = ACTIONS(3063),
    [anon_sym_DOT_EQ] = ACTIONS(3063),
    [anon_sym_STAR_EQ] = ACTIONS(3063),
    [anon_sym_SLASH_EQ] = ACTIONS(3063),
    [anon_sym_PERCENT_EQ] = ACTIONS(3063),
    [anon_sym_x_EQ] = ACTIONS(3063),
    [anon_sym_AMP_EQ] = ACTIONS(3063),
    [anon_sym_PIPE_EQ] = ACTIONS(3063),
    [anon_sym_CARET_EQ] = ACTIONS(3063),
    [anon_sym_LT_LT_EQ] = ACTIONS(3063),
    [anon_sym_GT_GT_EQ] = ACTIONS(3063),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3063),
    [anon_sym_DOT_DOT] = ACTIONS(3065),
    [anon_sym_STAR_STAR] = ACTIONS(3065),
    [anon_sym_PIPE_PIPE] = ACTIONS(3065),
    [anon_sym_SLASH_SLASH] = ACTIONS(3065),
    [anon_sym_CARET_CARET] = ACTIONS(3063),
    [anon_sym_AMP_AMP] = ACTIONS(3065),
    [anon_sym_PIPE] = ACTIONS(3065),
    [anon_sym_CARET] = ACTIONS(3065),
    [anon_sym_AMP] = ACTIONS(3065),
    [anon_sym_GT_GT2] = ACTIONS(3065),
    [anon_sym_PLUS] = ACTIONS(3065),
    [anon_sym_DASH] = ACTIONS(3065),
    [anon_sym_DOT] = ACTIONS(3065),
    [anon_sym_STAR] = ACTIONS(3065),
    [anon_sym_SLASH] = ACTIONS(3065),
    [anon_sym_x] = ACTIONS(3065),
    [anon_sym_EQ_TILDE] = ACTIONS(3063),
    [anon_sym_BANG_TILDE] = ACTIONS(3063),
    [anon_sym_EQ_EQ] = ACTIONS(3065),
    [anon_sym_BANG_EQ] = ACTIONS(3063),
    [anon_sym_eq] = ACTIONS(3065),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3063),
    [anon_sym_equ] = ACTIONS(3063),
    [anon_sym_eqr] = ACTIONS(3063),
    [anon_sym_ne] = ACTIONS(3063),
    [anon_sym_LT_EQ_GT] = ACTIONS(3063),
    [anon_sym_cmp] = ACTIONS(3063),
    [anon_sym_TILDE_TILDE] = ACTIONS(3063),
    [anon_sym_LT] = ACTIONS(3065),
    [anon_sym_LT_EQ] = ACTIONS(3065),
    [anon_sym_GT_EQ] = ACTIONS(3063),
    [anon_sym_lt] = ACTIONS(3063),
    [anon_sym_le] = ACTIONS(3063),
    [anon_sym_ge] = ACTIONS(3063),
    [anon_sym_gt] = ACTIONS(3063),
    [anon_sym_isa] = ACTIONS(3063),
    [anon_sym_PLUS_PLUS] = ACTIONS(3063),
    [anon_sym_DASH_DASH] = ACTIONS(3063),
    [anon_sym_QMARK] = ACTIONS(3063),
    [anon_sym_EQ_GT] = ACTIONS(3063),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1797] = {
    [sym_heredoc_content] = STATE(1797),
    [anon_sym_COLON] = ACTIONS(2562),
    [anon_sym_DOLLAR] = ACTIONS(2562),
    [anon_sym_EQ] = ACTIONS(2564),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2562),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2562),
    [anon_sym_AT] = ACTIONS(2562),
    [anon_sym_COMMA] = ACTIONS(2562),
    [anon_sym_RPAREN] = ACTIONS(2562),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2562),
    [anon_sym_LBRACK] = ACTIONS(3567),
    [anon_sym_DASH_GT] = ACTIONS(2562),
    [anon_sym_PERCENT] = ACTIONS(2564),
    [anon_sym_GT] = ACTIONS(2564),
    [anon_sym_LT_LT] = ACTIONS(2564),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2562),
    [anon_sym_PLUS_EQ] = ACTIONS(2562),
    [anon_sym_DASH_EQ] = ACTIONS(2562),
    [anon_sym_DOT_EQ] = ACTIONS(2562),
    [anon_sym_STAR_EQ] = ACTIONS(2562),
    [anon_sym_SLASH_EQ] = ACTIONS(2562),
    [anon_sym_PERCENT_EQ] = ACTIONS(2564),
    [anon_sym_x_EQ] = ACTIONS(2562),
    [anon_sym_AMP_EQ] = ACTIONS(2562),
    [anon_sym_PIPE_EQ] = ACTIONS(2562),
    [anon_sym_CARET_EQ] = ACTIONS(2562),
    [anon_sym_LT_LT_EQ] = ACTIONS(2562),
    [anon_sym_GT_GT_EQ] = ACTIONS(2562),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2562),
    [anon_sym_DOT_DOT] = ACTIONS(2564),
    [anon_sym_STAR_STAR] = ACTIONS(2564),
    [anon_sym_PIPE_PIPE] = ACTIONS(2564),
    [anon_sym_SLASH_SLASH] = ACTIONS(2564),
    [anon_sym_CARET_CARET] = ACTIONS(2562),
    [anon_sym_AMP_AMP] = ACTIONS(2564),
    [anon_sym_PIPE] = ACTIONS(2564),
    [anon_sym_CARET] = ACTIONS(2564),
    [anon_sym_AMP] = ACTIONS(2564),
    [anon_sym_GT_GT2] = ACTIONS(2564),
    [anon_sym_PLUS] = ACTIONS(2564),
    [anon_sym_DASH] = ACTIONS(2564),
    [anon_sym_DOT] = ACTIONS(2564),
    [anon_sym_STAR] = ACTIONS(2564),
    [anon_sym_SLASH] = ACTIONS(2564),
    [anon_sym_x] = ACTIONS(2564),
    [anon_sym_EQ_TILDE] = ACTIONS(2562),
    [anon_sym_BANG_TILDE] = ACTIONS(2562),
    [anon_sym_EQ_EQ] = ACTIONS(2564),
    [anon_sym_BANG_EQ] = ACTIONS(2562),
    [anon_sym_eq] = ACTIONS(2564),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2562),
    [anon_sym_equ] = ACTIONS(2562),
    [anon_sym_eqr] = ACTIONS(2562),
    [anon_sym_ne] = ACTIONS(2562),
    [anon_sym_LT_EQ_GT] = ACTIONS(2562),
    [anon_sym_cmp] = ACTIONS(2562),
    [anon_sym_TILDE_TILDE] = ACTIONS(2562),
    [anon_sym_LT] = ACTIONS(2564),
    [anon_sym_LT_EQ] = ACTIONS(2564),
    [anon_sym_GT_EQ] = ACTIONS(2562),
    [anon_sym_lt] = ACTIONS(2562),
    [anon_sym_le] = ACTIONS(2562),
    [anon_sym_ge] = ACTIONS(2562),
    [anon_sym_gt] = ACTIONS(2562),
    [anon_sym_isa] = ACTIONS(2562),
    [anon_sym_PLUS_PLUS] = ACTIONS(2562),
    [anon_sym_DASH_DASH] = ACTIONS(2562),
    [anon_sym_QMARK] = ACTIONS(2562),
    [anon_sym_PERCENT2] = ACTIONS(2562),
    [anon_sym_EQ_GT] = ACTIONS(2562),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1798] = {
    [sym_heredoc_content] = STATE(1798),
    [anon_sym_COLON] = ACTIONS(2660),
    [anon_sym_DOLLAR] = ACTIONS(2660),
    [anon_sym_EQ] = ACTIONS(2662),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2660),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2660),
    [anon_sym_AT] = ACTIONS(2660),
    [anon_sym_COMMA] = ACTIONS(2660),
    [anon_sym_RPAREN] = ACTIONS(2660),
    [anon_sym_LPAREN] = ACTIONS(3618),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2660),
    [anon_sym_DASH_GT] = ACTIONS(2660),
    [anon_sym_PERCENT] = ACTIONS(2662),
    [anon_sym_GT] = ACTIONS(2662),
    [anon_sym_LT_LT] = ACTIONS(2662),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2660),
    [anon_sym_PLUS_EQ] = ACTIONS(2660),
    [anon_sym_DASH_EQ] = ACTIONS(2660),
    [anon_sym_DOT_EQ] = ACTIONS(2660),
    [anon_sym_STAR_EQ] = ACTIONS(2660),
    [anon_sym_SLASH_EQ] = ACTIONS(2660),
    [anon_sym_PERCENT_EQ] = ACTIONS(2662),
    [anon_sym_x_EQ] = ACTIONS(2660),
    [anon_sym_AMP_EQ] = ACTIONS(2660),
    [anon_sym_PIPE_EQ] = ACTIONS(2660),
    [anon_sym_CARET_EQ] = ACTIONS(2660),
    [anon_sym_LT_LT_EQ] = ACTIONS(2660),
    [anon_sym_GT_GT_EQ] = ACTIONS(2660),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2660),
    [anon_sym_DOT_DOT] = ACTIONS(2662),
    [anon_sym_STAR_STAR] = ACTIONS(2662),
    [anon_sym_PIPE_PIPE] = ACTIONS(2662),
    [anon_sym_SLASH_SLASH] = ACTIONS(2662),
    [anon_sym_CARET_CARET] = ACTIONS(2660),
    [anon_sym_AMP_AMP] = ACTIONS(2662),
    [anon_sym_PIPE] = ACTIONS(2662),
    [anon_sym_CARET] = ACTIONS(2662),
    [anon_sym_AMP] = ACTIONS(2662),
    [anon_sym_GT_GT2] = ACTIONS(2662),
    [anon_sym_PLUS] = ACTIONS(2662),
    [anon_sym_DASH] = ACTIONS(2662),
    [anon_sym_DOT] = ACTIONS(2662),
    [anon_sym_STAR] = ACTIONS(2662),
    [anon_sym_SLASH] = ACTIONS(2662),
    [anon_sym_x] = ACTIONS(2662),
    [anon_sym_EQ_TILDE] = ACTIONS(2660),
    [anon_sym_BANG_TILDE] = ACTIONS(2660),
    [anon_sym_EQ_EQ] = ACTIONS(2662),
    [anon_sym_BANG_EQ] = ACTIONS(2660),
    [anon_sym_eq] = ACTIONS(2662),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2660),
    [anon_sym_equ] = ACTIONS(2660),
    [anon_sym_eqr] = ACTIONS(2660),
    [anon_sym_ne] = ACTIONS(2660),
    [anon_sym_LT_EQ_GT] = ACTIONS(2660),
    [anon_sym_cmp] = ACTIONS(2660),
    [anon_sym_TILDE_TILDE] = ACTIONS(2660),
    [anon_sym_LT] = ACTIONS(2662),
    [anon_sym_LT_EQ] = ACTIONS(2662),
    [anon_sym_GT_EQ] = ACTIONS(2660),
    [anon_sym_lt] = ACTIONS(2660),
    [anon_sym_le] = ACTIONS(2660),
    [anon_sym_ge] = ACTIONS(2660),
    [anon_sym_gt] = ACTIONS(2660),
    [anon_sym_isa] = ACTIONS(2660),
    [anon_sym_PLUS_PLUS] = ACTIONS(2660),
    [anon_sym_DASH_DASH] = ACTIONS(2660),
    [anon_sym_QMARK] = ACTIONS(2660),
    [anon_sym_PERCENT2] = ACTIONS(2660),
    [anon_sym_EQ_GT] = ACTIONS(2660),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1799] = {
    [sym_heredoc_content] = STATE(1799),
    [anon_sym_RBRACE] = ACTIONS(2951),
    [anon_sym_EQ] = ACTIONS(2953),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2951),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2951),
    [anon_sym_COMMA] = ACTIONS(2951),
    [anon_sym_RPAREN] = ACTIONS(2951),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2951),
    [anon_sym_and] = ACTIONS(2951),
    [anon_sym_or] = ACTIONS(2951),
    [anon_sym_xor] = ACTIONS(2951),
    [anon_sym_RBRACK] = ACTIONS(2951),
    [anon_sym_DASH_GT] = ACTIONS(2951),
    [anon_sym_PERCENT] = ACTIONS(2953),
    [anon_sym_GT] = ACTIONS(2953),
    [anon_sym_LT_LT] = ACTIONS(2953),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2951),
    [anon_sym_PLUS_EQ] = ACTIONS(2951),
    [anon_sym_DASH_EQ] = ACTIONS(2951),
    [anon_sym_DOT_EQ] = ACTIONS(2951),
    [anon_sym_STAR_EQ] = ACTIONS(2951),
    [anon_sym_SLASH_EQ] = ACTIONS(2951),
    [anon_sym_PERCENT_EQ] = ACTIONS(2951),
    [anon_sym_x_EQ] = ACTIONS(2951),
    [anon_sym_AMP_EQ] = ACTIONS(2951),
    [anon_sym_PIPE_EQ] = ACTIONS(2951),
    [anon_sym_CARET_EQ] = ACTIONS(2951),
    [anon_sym_LT_LT_EQ] = ACTIONS(2951),
    [anon_sym_GT_GT_EQ] = ACTIONS(2951),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2951),
    [anon_sym_DOT_DOT] = ACTIONS(2953),
    [anon_sym_STAR_STAR] = ACTIONS(2953),
    [anon_sym_PIPE_PIPE] = ACTIONS(2953),
    [anon_sym_SLASH_SLASH] = ACTIONS(2953),
    [anon_sym_CARET_CARET] = ACTIONS(2951),
    [anon_sym_AMP_AMP] = ACTIONS(2953),
    [anon_sym_PIPE] = ACTIONS(2953),
    [anon_sym_CARET] = ACTIONS(2953),
    [anon_sym_AMP] = ACTIONS(2953),
    [anon_sym_GT_GT2] = ACTIONS(2953),
    [anon_sym_PLUS] = ACTIONS(2953),
    [anon_sym_DASH] = ACTIONS(2953),
    [anon_sym_DOT] = ACTIONS(2953),
    [anon_sym_STAR] = ACTIONS(2953),
    [anon_sym_SLASH] = ACTIONS(2953),
    [anon_sym_x] = ACTIONS(2953),
    [anon_sym_EQ_TILDE] = ACTIONS(2951),
    [anon_sym_BANG_TILDE] = ACTIONS(2951),
    [anon_sym_EQ_EQ] = ACTIONS(2953),
    [anon_sym_BANG_EQ] = ACTIONS(2951),
    [anon_sym_eq] = ACTIONS(2953),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2951),
    [anon_sym_equ] = ACTIONS(2951),
    [anon_sym_eqr] = ACTIONS(2951),
    [anon_sym_ne] = ACTIONS(2951),
    [anon_sym_LT_EQ_GT] = ACTIONS(2951),
    [anon_sym_cmp] = ACTIONS(2951),
    [anon_sym_TILDE_TILDE] = ACTIONS(2951),
    [anon_sym_LT] = ACTIONS(2953),
    [anon_sym_LT_EQ] = ACTIONS(2953),
    [anon_sym_GT_EQ] = ACTIONS(2951),
    [anon_sym_lt] = ACTIONS(2951),
    [anon_sym_le] = ACTIONS(2951),
    [anon_sym_ge] = ACTIONS(2951),
    [anon_sym_gt] = ACTIONS(2951),
    [anon_sym_isa] = ACTIONS(2951),
    [anon_sym_PLUS_PLUS] = ACTIONS(2951),
    [anon_sym_DASH_DASH] = ACTIONS(2951),
    [anon_sym_QMARK] = ACTIONS(2951),
    [anon_sym_EQ_GT] = ACTIONS(2951),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1800] = {
    [sym_heredoc_content] = STATE(1800),
    [anon_sym_COLON] = ACTIONS(2574),
    [anon_sym_DOLLAR] = ACTIONS(2574),
    [anon_sym_EQ] = ACTIONS(2576),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2574),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2574),
    [anon_sym_AT] = ACTIONS(2574),
    [anon_sym_COMMA] = ACTIONS(2574),
    [anon_sym_RPAREN] = ACTIONS(2574),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2574),
    [anon_sym_DASH_GT] = ACTIONS(2574),
    [anon_sym_PERCENT] = ACTIONS(2576),
    [anon_sym_GT] = ACTIONS(2576),
    [anon_sym_LT_LT] = ACTIONS(2576),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2574),
    [anon_sym_PLUS_EQ] = ACTIONS(2574),
    [anon_sym_DASH_EQ] = ACTIONS(2574),
    [anon_sym_DOT_EQ] = ACTIONS(2574),
    [anon_sym_STAR_EQ] = ACTIONS(2574),
    [anon_sym_SLASH_EQ] = ACTIONS(2574),
    [anon_sym_PERCENT_EQ] = ACTIONS(2576),
    [anon_sym_x_EQ] = ACTIONS(2576),
    [anon_sym_AMP_EQ] = ACTIONS(2574),
    [anon_sym_PIPE_EQ] = ACTIONS(2574),
    [anon_sym_CARET_EQ] = ACTIONS(2574),
    [anon_sym_LT_LT_EQ] = ACTIONS(2574),
    [anon_sym_GT_GT_EQ] = ACTIONS(2574),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2574),
    [anon_sym_DOT_DOT] = ACTIONS(2576),
    [anon_sym_STAR_STAR] = ACTIONS(2576),
    [anon_sym_PIPE_PIPE] = ACTIONS(2576),
    [anon_sym_SLASH_SLASH] = ACTIONS(2576),
    [anon_sym_CARET_CARET] = ACTIONS(2574),
    [anon_sym_AMP_AMP] = ACTIONS(2576),
    [anon_sym_PIPE] = ACTIONS(2576),
    [anon_sym_CARET] = ACTIONS(2576),
    [anon_sym_AMP] = ACTIONS(2576),
    [anon_sym_GT_GT2] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2576),
    [anon_sym_DASH] = ACTIONS(2576),
    [anon_sym_DOT] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2576),
    [anon_sym_SLASH] = ACTIONS(2576),
    [anon_sym_x] = ACTIONS(2576),
    [anon_sym_EQ_TILDE] = ACTIONS(2574),
    [anon_sym_BANG_TILDE] = ACTIONS(2574),
    [anon_sym_EQ_EQ] = ACTIONS(2576),
    [anon_sym_BANG_EQ] = ACTIONS(2574),
    [anon_sym_eq] = ACTIONS(2576),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2574),
    [anon_sym_equ] = ACTIONS(2574),
    [anon_sym_eqr] = ACTIONS(2574),
    [anon_sym_ne] = ACTIONS(2576),
    [anon_sym_LT_EQ_GT] = ACTIONS(2574),
    [anon_sym_cmp] = ACTIONS(2576),
    [anon_sym_TILDE_TILDE] = ACTIONS(2574),
    [anon_sym_LT] = ACTIONS(2576),
    [anon_sym_LT_EQ] = ACTIONS(2576),
    [anon_sym_GT_EQ] = ACTIONS(2574),
    [anon_sym_lt] = ACTIONS(2576),
    [anon_sym_le] = ACTIONS(2576),
    [anon_sym_ge] = ACTIONS(2576),
    [anon_sym_gt] = ACTIONS(2576),
    [anon_sym_isa] = ACTIONS(2576),
    [anon_sym_PLUS_PLUS] = ACTIONS(2574),
    [anon_sym_DASH_DASH] = ACTIONS(2574),
    [anon_sym_QMARK] = ACTIONS(2574),
    [anon_sym_PERCENT2] = ACTIONS(2574),
    [anon_sym_EQ_GT] = ACTIONS(2574),
    [sym_comment] = ACTIONS(5),
    [sym_match_regexp_modifiers] = ACTIONS(3624),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1801] = {
    [sym_heredoc_content] = STATE(1801),
    [anon_sym_RBRACE] = ACTIONS(3015),
    [anon_sym_EQ] = ACTIONS(3449),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3451),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3451),
    [anon_sym_COMMA] = ACTIONS(3015),
    [anon_sym_RPAREN] = ACTIONS(3015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3455),
    [anon_sym_and] = ACTIONS(3015),
    [anon_sym_or] = ACTIONS(3015),
    [anon_sym_xor] = ACTIONS(3015),
    [anon_sym_RBRACK] = ACTIONS(3015),
    [anon_sym_DASH_GT] = ACTIONS(3457),
    [anon_sym_PERCENT] = ACTIONS(3459),
    [anon_sym_GT] = ACTIONS(3461),
    [anon_sym_LT_LT] = ACTIONS(3463),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3451),
    [anon_sym_PLUS_EQ] = ACTIONS(3451),
    [anon_sym_DASH_EQ] = ACTIONS(3451),
    [anon_sym_DOT_EQ] = ACTIONS(3451),
    [anon_sym_STAR_EQ] = ACTIONS(3451),
    [anon_sym_SLASH_EQ] = ACTIONS(3451),
    [anon_sym_PERCENT_EQ] = ACTIONS(3451),
    [anon_sym_x_EQ] = ACTIONS(3451),
    [anon_sym_AMP_EQ] = ACTIONS(3451),
    [anon_sym_PIPE_EQ] = ACTIONS(3451),
    [anon_sym_CARET_EQ] = ACTIONS(3451),
    [anon_sym_LT_LT_EQ] = ACTIONS(3451),
    [anon_sym_GT_GT_EQ] = ACTIONS(3451),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3451),
    [anon_sym_DOT_DOT] = ACTIONS(3465),
    [anon_sym_STAR_STAR] = ACTIONS(3467),
    [anon_sym_PIPE_PIPE] = ACTIONS(3469),
    [anon_sym_SLASH_SLASH] = ACTIONS(3469),
    [anon_sym_CARET_CARET] = ACTIONS(3471),
    [anon_sym_AMP_AMP] = ACTIONS(3473),
    [anon_sym_PIPE] = ACTIONS(3475),
    [anon_sym_CARET] = ACTIONS(3475),
    [anon_sym_AMP] = ACTIONS(3477),
    [anon_sym_GT_GT2] = ACTIONS(3463),
    [anon_sym_PLUS] = ACTIONS(3479),
    [anon_sym_DASH] = ACTIONS(3479),
    [anon_sym_DOT] = ACTIONS(3479),
    [anon_sym_STAR] = ACTIONS(3459),
    [anon_sym_SLASH] = ACTIONS(3459),
    [anon_sym_x] = ACTIONS(3459),
    [anon_sym_EQ_TILDE] = ACTIONS(3481),
    [anon_sym_BANG_TILDE] = ACTIONS(3481),
    [anon_sym_EQ_EQ] = ACTIONS(3483),
    [anon_sym_BANG_EQ] = ACTIONS(3485),
    [anon_sym_eq] = ACTIONS(3483),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3485),
    [anon_sym_equ] = ACTIONS(3485),
    [anon_sym_eqr] = ACTIONS(3485),
    [anon_sym_ne] = ACTIONS(3485),
    [anon_sym_LT_EQ_GT] = ACTIONS(3487),
    [anon_sym_cmp] = ACTIONS(3487),
    [anon_sym_TILDE_TILDE] = ACTIONS(3487),
    [anon_sym_LT] = ACTIONS(3461),
    [anon_sym_LT_EQ] = ACTIONS(3461),
    [anon_sym_GT_EQ] = ACTIONS(3489),
    [anon_sym_lt] = ACTIONS(3489),
    [anon_sym_le] = ACTIONS(3489),
    [anon_sym_ge] = ACTIONS(3489),
    [anon_sym_gt] = ACTIONS(3489),
    [anon_sym_isa] = ACTIONS(3491),
    [anon_sym_PLUS_PLUS] = ACTIONS(3493),
    [anon_sym_DASH_DASH] = ACTIONS(3493),
    [anon_sym_QMARK] = ACTIONS(3495),
    [anon_sym_EQ_GT] = ACTIONS(3015),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1802] = {
    [sym_heredoc_content] = STATE(1802),
    [anon_sym_LBRACE] = ACTIONS(2514),
    [anon_sym_RBRACE] = ACTIONS(2514),
    [anon_sym_COLON] = ACTIONS(2514),
    [anon_sym_EQ] = ACTIONS(2516),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2514),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2514),
    [anon_sym_COMMA] = ACTIONS(2514),
    [anon_sym_RPAREN] = ACTIONS(2514),
    [anon_sym_LPAREN] = ACTIONS(2514),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2514),
    [anon_sym_LBRACK] = ACTIONS(2514),
    [anon_sym_DASH_GT] = ACTIONS(2514),
    [anon_sym_PERCENT] = ACTIONS(2516),
    [anon_sym_GT] = ACTIONS(2516),
    [anon_sym_LT_LT] = ACTIONS(2516),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2514),
    [anon_sym_PLUS_EQ] = ACTIONS(2514),
    [anon_sym_DASH_EQ] = ACTIONS(2514),
    [anon_sym_DOT_EQ] = ACTIONS(2514),
    [anon_sym_STAR_EQ] = ACTIONS(2514),
    [anon_sym_SLASH_EQ] = ACTIONS(2514),
    [anon_sym_PERCENT_EQ] = ACTIONS(2514),
    [anon_sym_x_EQ] = ACTIONS(2514),
    [anon_sym_AMP_EQ] = ACTIONS(2514),
    [anon_sym_PIPE_EQ] = ACTIONS(2514),
    [anon_sym_CARET_EQ] = ACTIONS(2514),
    [anon_sym_LT_LT_EQ] = ACTIONS(2514),
    [anon_sym_GT_GT_EQ] = ACTIONS(2514),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2514),
    [anon_sym_DOT_DOT] = ACTIONS(2516),
    [anon_sym_STAR_STAR] = ACTIONS(2516),
    [anon_sym_PIPE_PIPE] = ACTIONS(2516),
    [anon_sym_SLASH_SLASH] = ACTIONS(2516),
    [anon_sym_CARET_CARET] = ACTIONS(2514),
    [anon_sym_AMP_AMP] = ACTIONS(2516),
    [anon_sym_PIPE] = ACTIONS(2516),
    [anon_sym_CARET] = ACTIONS(2516),
    [anon_sym_AMP] = ACTIONS(2516),
    [anon_sym_GT_GT2] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(2516),
    [anon_sym_DASH] = ACTIONS(2516),
    [anon_sym_DOT] = ACTIONS(2516),
    [anon_sym_STAR] = ACTIONS(2516),
    [anon_sym_SLASH] = ACTIONS(2516),
    [anon_sym_x] = ACTIONS(2516),
    [anon_sym_EQ_TILDE] = ACTIONS(2514),
    [anon_sym_BANG_TILDE] = ACTIONS(2514),
    [anon_sym_EQ_EQ] = ACTIONS(2516),
    [anon_sym_BANG_EQ] = ACTIONS(2514),
    [anon_sym_eq] = ACTIONS(2516),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2514),
    [anon_sym_equ] = ACTIONS(2514),
    [anon_sym_eqr] = ACTIONS(2514),
    [anon_sym_ne] = ACTIONS(2514),
    [anon_sym_LT_EQ_GT] = ACTIONS(2514),
    [anon_sym_cmp] = ACTIONS(2514),
    [anon_sym_TILDE_TILDE] = ACTIONS(2514),
    [anon_sym_LT] = ACTIONS(2516),
    [anon_sym_LT_EQ] = ACTIONS(2516),
    [anon_sym_GT_EQ] = ACTIONS(2514),
    [anon_sym_lt] = ACTIONS(2514),
    [anon_sym_le] = ACTIONS(2514),
    [anon_sym_ge] = ACTIONS(2514),
    [anon_sym_gt] = ACTIONS(2514),
    [anon_sym_isa] = ACTIONS(2514),
    [anon_sym_PLUS_PLUS] = ACTIONS(2514),
    [anon_sym_DASH_DASH] = ACTIONS(2514),
    [anon_sym_QMARK] = ACTIONS(2514),
    [anon_sym_EQ_GT] = ACTIONS(2514),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1803] = {
    [sym_heredoc_content] = STATE(1803),
    [aux_sym__term_rightward_repeat1] = STATE(1599),
    [anon_sym_COLON] = ACTIONS(2787),
    [anon_sym_DOLLAR] = ACTIONS(2787),
    [anon_sym_EQ] = ACTIONS(3626),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3628),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3628),
    [anon_sym_AT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(3554),
    [anon_sym_RPAREN] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3630),
    [anon_sym_DASH_GT] = ACTIONS(3632),
    [anon_sym_PERCENT] = ACTIONS(3634),
    [anon_sym_GT] = ACTIONS(3636),
    [anon_sym_LT_LT] = ACTIONS(3638),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3628),
    [anon_sym_PLUS_EQ] = ACTIONS(3628),
    [anon_sym_DASH_EQ] = ACTIONS(3628),
    [anon_sym_DOT_EQ] = ACTIONS(3628),
    [anon_sym_STAR_EQ] = ACTIONS(3628),
    [anon_sym_SLASH_EQ] = ACTIONS(3628),
    [anon_sym_PERCENT_EQ] = ACTIONS(3626),
    [anon_sym_x_EQ] = ACTIONS(3628),
    [anon_sym_AMP_EQ] = ACTIONS(3628),
    [anon_sym_PIPE_EQ] = ACTIONS(3628),
    [anon_sym_CARET_EQ] = ACTIONS(3628),
    [anon_sym_LT_LT_EQ] = ACTIONS(3628),
    [anon_sym_GT_GT_EQ] = ACTIONS(3628),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3628),
    [anon_sym_DOT_DOT] = ACTIONS(3640),
    [anon_sym_STAR_STAR] = ACTIONS(3642),
    [anon_sym_PIPE_PIPE] = ACTIONS(3644),
    [anon_sym_SLASH_SLASH] = ACTIONS(3644),
    [anon_sym_CARET_CARET] = ACTIONS(3646),
    [anon_sym_AMP_AMP] = ACTIONS(3648),
    [anon_sym_PIPE] = ACTIONS(3650),
    [anon_sym_CARET] = ACTIONS(3650),
    [anon_sym_AMP] = ACTIONS(3652),
    [anon_sym_GT_GT2] = ACTIONS(3638),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_DASH] = ACTIONS(3654),
    [anon_sym_DOT] = ACTIONS(3654),
    [anon_sym_STAR] = ACTIONS(3634),
    [anon_sym_SLASH] = ACTIONS(3634),
    [anon_sym_x] = ACTIONS(3634),
    [anon_sym_EQ_TILDE] = ACTIONS(3656),
    [anon_sym_BANG_TILDE] = ACTIONS(3656),
    [anon_sym_EQ_EQ] = ACTIONS(3658),
    [anon_sym_BANG_EQ] = ACTIONS(3660),
    [anon_sym_eq] = ACTIONS(3658),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3660),
    [anon_sym_equ] = ACTIONS(3660),
    [anon_sym_eqr] = ACTIONS(3660),
    [anon_sym_ne] = ACTIONS(3660),
    [anon_sym_LT_EQ_GT] = ACTIONS(3662),
    [anon_sym_cmp] = ACTIONS(3662),
    [anon_sym_TILDE_TILDE] = ACTIONS(3662),
    [anon_sym_LT] = ACTIONS(3636),
    [anon_sym_LT_EQ] = ACTIONS(3636),
    [anon_sym_GT_EQ] = ACTIONS(3664),
    [anon_sym_lt] = ACTIONS(3664),
    [anon_sym_le] = ACTIONS(3664),
    [anon_sym_ge] = ACTIONS(3664),
    [anon_sym_gt] = ACTIONS(3664),
    [anon_sym_isa] = ACTIONS(3666),
    [anon_sym_PLUS_PLUS] = ACTIONS(3668),
    [anon_sym_DASH_DASH] = ACTIONS(3668),
    [anon_sym_QMARK] = ACTIONS(3670),
    [anon_sym_PERCENT2] = ACTIONS(2787),
    [anon_sym_EQ_GT] = ACTIONS(3554),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1804] = {
    [sym_heredoc_content] = STATE(1804),
    [anon_sym_LBRACE] = ACTIONS(2478),
    [anon_sym_RBRACE] = ACTIONS(2478),
    [anon_sym_COLON] = ACTIONS(2478),
    [anon_sym_EQ] = ACTIONS(2480),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2478),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2478),
    [anon_sym_COMMA] = ACTIONS(2478),
    [anon_sym_RPAREN] = ACTIONS(2478),
    [anon_sym_LPAREN] = ACTIONS(2478),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2478),
    [anon_sym_LBRACK] = ACTIONS(2478),
    [anon_sym_DASH_GT] = ACTIONS(2478),
    [anon_sym_PERCENT] = ACTIONS(2480),
    [anon_sym_GT] = ACTIONS(2480),
    [anon_sym_LT_LT] = ACTIONS(2480),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2478),
    [anon_sym_PLUS_EQ] = ACTIONS(2478),
    [anon_sym_DASH_EQ] = ACTIONS(2478),
    [anon_sym_DOT_EQ] = ACTIONS(2478),
    [anon_sym_STAR_EQ] = ACTIONS(2478),
    [anon_sym_SLASH_EQ] = ACTIONS(2478),
    [anon_sym_PERCENT_EQ] = ACTIONS(2478),
    [anon_sym_x_EQ] = ACTIONS(2478),
    [anon_sym_AMP_EQ] = ACTIONS(2478),
    [anon_sym_PIPE_EQ] = ACTIONS(2478),
    [anon_sym_CARET_EQ] = ACTIONS(2478),
    [anon_sym_LT_LT_EQ] = ACTIONS(2478),
    [anon_sym_GT_GT_EQ] = ACTIONS(2478),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2478),
    [anon_sym_DOT_DOT] = ACTIONS(2480),
    [anon_sym_STAR_STAR] = ACTIONS(2480),
    [anon_sym_PIPE_PIPE] = ACTIONS(2480),
    [anon_sym_SLASH_SLASH] = ACTIONS(2480),
    [anon_sym_CARET_CARET] = ACTIONS(2478),
    [anon_sym_AMP_AMP] = ACTIONS(2480),
    [anon_sym_PIPE] = ACTIONS(2480),
    [anon_sym_CARET] = ACTIONS(2480),
    [anon_sym_AMP] = ACTIONS(2480),
    [anon_sym_GT_GT2] = ACTIONS(2480),
    [anon_sym_PLUS] = ACTIONS(2480),
    [anon_sym_DASH] = ACTIONS(2480),
    [anon_sym_DOT] = ACTIONS(2480),
    [anon_sym_STAR] = ACTIONS(2480),
    [anon_sym_SLASH] = ACTIONS(2480),
    [anon_sym_x] = ACTIONS(2480),
    [anon_sym_EQ_TILDE] = ACTIONS(2478),
    [anon_sym_BANG_TILDE] = ACTIONS(2478),
    [anon_sym_EQ_EQ] = ACTIONS(2480),
    [anon_sym_BANG_EQ] = ACTIONS(2478),
    [anon_sym_eq] = ACTIONS(2480),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2478),
    [anon_sym_equ] = ACTIONS(2478),
    [anon_sym_eqr] = ACTIONS(2478),
    [anon_sym_ne] = ACTIONS(2478),
    [anon_sym_LT_EQ_GT] = ACTIONS(2478),
    [anon_sym_cmp] = ACTIONS(2478),
    [anon_sym_TILDE_TILDE] = ACTIONS(2478),
    [anon_sym_LT] = ACTIONS(2480),
    [anon_sym_LT_EQ] = ACTIONS(2480),
    [anon_sym_GT_EQ] = ACTIONS(2478),
    [anon_sym_lt] = ACTIONS(2478),
    [anon_sym_le] = ACTIONS(2478),
    [anon_sym_ge] = ACTIONS(2478),
    [anon_sym_gt] = ACTIONS(2478),
    [anon_sym_isa] = ACTIONS(2478),
    [anon_sym_PLUS_PLUS] = ACTIONS(2478),
    [anon_sym_DASH_DASH] = ACTIONS(2478),
    [anon_sym_QMARK] = ACTIONS(2478),
    [anon_sym_EQ_GT] = ACTIONS(2478),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1805] = {
    [sym_heredoc_content] = STATE(1805),
    [anon_sym_COLON] = ACTIONS(3198),
    [anon_sym_DOLLAR] = ACTIONS(3198),
    [anon_sym_EQ] = ACTIONS(3200),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3198),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3198),
    [anon_sym_AT] = ACTIONS(3198),
    [anon_sym_COMMA] = ACTIONS(3198),
    [anon_sym_RPAREN] = ACTIONS(3198),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3198),
    [anon_sym_DASH_GT] = ACTIONS(3198),
    [anon_sym_PERCENT] = ACTIONS(3200),
    [anon_sym_GT] = ACTIONS(3200),
    [anon_sym_LT_LT] = ACTIONS(3200),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3198),
    [anon_sym_PLUS_EQ] = ACTIONS(3198),
    [anon_sym_DASH_EQ] = ACTIONS(3198),
    [anon_sym_DOT_EQ] = ACTIONS(3198),
    [anon_sym_STAR_EQ] = ACTIONS(3198),
    [anon_sym_SLASH_EQ] = ACTIONS(3198),
    [anon_sym_PERCENT_EQ] = ACTIONS(3200),
    [anon_sym_x_EQ] = ACTIONS(3198),
    [anon_sym_AMP_EQ] = ACTIONS(3198),
    [anon_sym_PIPE_EQ] = ACTIONS(3198),
    [anon_sym_CARET_EQ] = ACTIONS(3198),
    [anon_sym_LT_LT_EQ] = ACTIONS(3198),
    [anon_sym_GT_GT_EQ] = ACTIONS(3198),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3198),
    [anon_sym_DOT_DOT] = ACTIONS(3200),
    [anon_sym_STAR_STAR] = ACTIONS(3200),
    [anon_sym_PIPE_PIPE] = ACTIONS(3200),
    [anon_sym_SLASH_SLASH] = ACTIONS(3200),
    [anon_sym_CARET_CARET] = ACTIONS(3198),
    [anon_sym_AMP_AMP] = ACTIONS(3200),
    [anon_sym_PIPE] = ACTIONS(3200),
    [anon_sym_CARET] = ACTIONS(3200),
    [anon_sym_AMP] = ACTIONS(3200),
    [anon_sym_GT_GT2] = ACTIONS(3200),
    [anon_sym_PLUS] = ACTIONS(3200),
    [anon_sym_DASH] = ACTIONS(3200),
    [anon_sym_DOT] = ACTIONS(3200),
    [anon_sym_STAR] = ACTIONS(3200),
    [anon_sym_SLASH] = ACTIONS(3200),
    [anon_sym_x] = ACTIONS(3200),
    [anon_sym_EQ_TILDE] = ACTIONS(3198),
    [anon_sym_BANG_TILDE] = ACTIONS(3198),
    [anon_sym_EQ_EQ] = ACTIONS(3200),
    [anon_sym_BANG_EQ] = ACTIONS(3198),
    [anon_sym_eq] = ACTIONS(3200),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3198),
    [anon_sym_equ] = ACTIONS(3198),
    [anon_sym_eqr] = ACTIONS(3198),
    [anon_sym_ne] = ACTIONS(3198),
    [anon_sym_LT_EQ_GT] = ACTIONS(3198),
    [anon_sym_cmp] = ACTIONS(3198),
    [anon_sym_TILDE_TILDE] = ACTIONS(3198),
    [anon_sym_LT] = ACTIONS(3200),
    [anon_sym_LT_EQ] = ACTIONS(3200),
    [anon_sym_GT_EQ] = ACTIONS(3198),
    [anon_sym_lt] = ACTIONS(3198),
    [anon_sym_le] = ACTIONS(3198),
    [anon_sym_ge] = ACTIONS(3198),
    [anon_sym_gt] = ACTIONS(3198),
    [anon_sym_isa] = ACTIONS(3198),
    [anon_sym_PLUS_PLUS] = ACTIONS(3198),
    [anon_sym_DASH_DASH] = ACTIONS(3198),
    [anon_sym_QMARK] = ACTIONS(3198),
    [anon_sym_PERCENT2] = ACTIONS(3198),
    [anon_sym_EQ_GT] = ACTIONS(3198),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1806] = {
    [sym_heredoc_content] = STATE(1806),
    [anon_sym_COLON] = ACTIONS(3090),
    [anon_sym_DOLLAR] = ACTIONS(3090),
    [anon_sym_EQ] = ACTIONS(3626),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3628),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3628),
    [anon_sym_AT] = ACTIONS(3090),
    [anon_sym_COMMA] = ACTIONS(3090),
    [anon_sym_RPAREN] = ACTIONS(3090),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3630),
    [anon_sym_DASH_GT] = ACTIONS(3632),
    [anon_sym_PERCENT] = ACTIONS(3634),
    [anon_sym_GT] = ACTIONS(3636),
    [anon_sym_LT_LT] = ACTIONS(3638),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3628),
    [anon_sym_PLUS_EQ] = ACTIONS(3628),
    [anon_sym_DASH_EQ] = ACTIONS(3628),
    [anon_sym_DOT_EQ] = ACTIONS(3628),
    [anon_sym_STAR_EQ] = ACTIONS(3628),
    [anon_sym_SLASH_EQ] = ACTIONS(3628),
    [anon_sym_PERCENT_EQ] = ACTIONS(3626),
    [anon_sym_x_EQ] = ACTIONS(3628),
    [anon_sym_AMP_EQ] = ACTIONS(3628),
    [anon_sym_PIPE_EQ] = ACTIONS(3628),
    [anon_sym_CARET_EQ] = ACTIONS(3628),
    [anon_sym_LT_LT_EQ] = ACTIONS(3628),
    [anon_sym_GT_GT_EQ] = ACTIONS(3628),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3628),
    [anon_sym_DOT_DOT] = ACTIONS(3640),
    [anon_sym_STAR_STAR] = ACTIONS(3642),
    [anon_sym_PIPE_PIPE] = ACTIONS(3644),
    [anon_sym_SLASH_SLASH] = ACTIONS(3644),
    [anon_sym_CARET_CARET] = ACTIONS(3646),
    [anon_sym_AMP_AMP] = ACTIONS(3648),
    [anon_sym_PIPE] = ACTIONS(3650),
    [anon_sym_CARET] = ACTIONS(3650),
    [anon_sym_AMP] = ACTIONS(3652),
    [anon_sym_GT_GT2] = ACTIONS(3638),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_DASH] = ACTIONS(3654),
    [anon_sym_DOT] = ACTIONS(3654),
    [anon_sym_STAR] = ACTIONS(3634),
    [anon_sym_SLASH] = ACTIONS(3634),
    [anon_sym_x] = ACTIONS(3634),
    [anon_sym_EQ_TILDE] = ACTIONS(3656),
    [anon_sym_BANG_TILDE] = ACTIONS(3656),
    [anon_sym_EQ_EQ] = ACTIONS(3658),
    [anon_sym_BANG_EQ] = ACTIONS(3660),
    [anon_sym_eq] = ACTIONS(3658),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3660),
    [anon_sym_equ] = ACTIONS(3660),
    [anon_sym_eqr] = ACTIONS(3660),
    [anon_sym_ne] = ACTIONS(3660),
    [anon_sym_LT_EQ_GT] = ACTIONS(3662),
    [anon_sym_cmp] = ACTIONS(3662),
    [anon_sym_TILDE_TILDE] = ACTIONS(3662),
    [anon_sym_LT] = ACTIONS(3636),
    [anon_sym_LT_EQ] = ACTIONS(3636),
    [anon_sym_GT_EQ] = ACTIONS(3664),
    [anon_sym_lt] = ACTIONS(3664),
    [anon_sym_le] = ACTIONS(3664),
    [anon_sym_ge] = ACTIONS(3664),
    [anon_sym_gt] = ACTIONS(3664),
    [anon_sym_isa] = ACTIONS(3666),
    [anon_sym_PLUS_PLUS] = ACTIONS(3668),
    [anon_sym_DASH_DASH] = ACTIONS(3668),
    [anon_sym_QMARK] = ACTIONS(3670),
    [anon_sym_PERCENT2] = ACTIONS(3090),
    [anon_sym_EQ_GT] = ACTIONS(3090),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1807] = {
    [sym_heredoc_content] = STATE(1807),
    [anon_sym_COLON] = ACTIONS(3094),
    [anon_sym_DOLLAR] = ACTIONS(3094),
    [anon_sym_EQ] = ACTIONS(3096),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3094),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3094),
    [anon_sym_AT] = ACTIONS(3094),
    [anon_sym_COMMA] = ACTIONS(3094),
    [anon_sym_RPAREN] = ACTIONS(3094),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3094),
    [anon_sym_DASH_GT] = ACTIONS(3632),
    [anon_sym_PERCENT] = ACTIONS(3634),
    [anon_sym_GT] = ACTIONS(3096),
    [anon_sym_LT_LT] = ACTIONS(3638),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3094),
    [anon_sym_PLUS_EQ] = ACTIONS(3094),
    [anon_sym_DASH_EQ] = ACTIONS(3094),
    [anon_sym_DOT_EQ] = ACTIONS(3094),
    [anon_sym_STAR_EQ] = ACTIONS(3094),
    [anon_sym_SLASH_EQ] = ACTIONS(3094),
    [anon_sym_PERCENT_EQ] = ACTIONS(3096),
    [anon_sym_x_EQ] = ACTIONS(3094),
    [anon_sym_AMP_EQ] = ACTIONS(3094),
    [anon_sym_PIPE_EQ] = ACTIONS(3094),
    [anon_sym_CARET_EQ] = ACTIONS(3094),
    [anon_sym_LT_LT_EQ] = ACTIONS(3094),
    [anon_sym_GT_GT_EQ] = ACTIONS(3094),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3094),
    [anon_sym_DOT_DOT] = ACTIONS(3096),
    [anon_sym_STAR_STAR] = ACTIONS(3642),
    [anon_sym_PIPE_PIPE] = ACTIONS(3096),
    [anon_sym_SLASH_SLASH] = ACTIONS(3096),
    [anon_sym_CARET_CARET] = ACTIONS(3094),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_PIPE] = ACTIONS(3096),
    [anon_sym_CARET] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3096),
    [anon_sym_GT_GT2] = ACTIONS(3638),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_DASH] = ACTIONS(3654),
    [anon_sym_DOT] = ACTIONS(3654),
    [anon_sym_STAR] = ACTIONS(3634),
    [anon_sym_SLASH] = ACTIONS(3634),
    [anon_sym_x] = ACTIONS(3634),
    [anon_sym_EQ_TILDE] = ACTIONS(3656),
    [anon_sym_BANG_TILDE] = ACTIONS(3656),
    [anon_sym_EQ_EQ] = ACTIONS(3096),
    [anon_sym_BANG_EQ] = ACTIONS(3094),
    [anon_sym_eq] = ACTIONS(3096),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3094),
    [anon_sym_equ] = ACTIONS(3094),
    [anon_sym_eqr] = ACTIONS(3094),
    [anon_sym_ne] = ACTIONS(3094),
    [anon_sym_LT_EQ_GT] = ACTIONS(3094),
    [anon_sym_cmp] = ACTIONS(3094),
    [anon_sym_TILDE_TILDE] = ACTIONS(3094),
    [anon_sym_LT] = ACTIONS(3096),
    [anon_sym_LT_EQ] = ACTIONS(3096),
    [anon_sym_GT_EQ] = ACTIONS(3094),
    [anon_sym_lt] = ACTIONS(3094),
    [anon_sym_le] = ACTIONS(3094),
    [anon_sym_ge] = ACTIONS(3094),
    [anon_sym_gt] = ACTIONS(3094),
    [anon_sym_isa] = ACTIONS(3094),
    [anon_sym_PLUS_PLUS] = ACTIONS(3668),
    [anon_sym_DASH_DASH] = ACTIONS(3668),
    [anon_sym_QMARK] = ACTIONS(3094),
    [anon_sym_PERCENT2] = ACTIONS(3094),
    [anon_sym_EQ_GT] = ACTIONS(3094),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1808] = {
    [sym_heredoc_content] = STATE(1808),
    [anon_sym_COLON] = ACTIONS(3098),
    [anon_sym_DOLLAR] = ACTIONS(3098),
    [anon_sym_EQ] = ACTIONS(3100),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3098),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3098),
    [anon_sym_AT] = ACTIONS(3098),
    [anon_sym_COMMA] = ACTIONS(3098),
    [anon_sym_RPAREN] = ACTIONS(3098),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3098),
    [anon_sym_DASH_GT] = ACTIONS(3098),
    [anon_sym_PERCENT] = ACTIONS(3100),
    [anon_sym_GT] = ACTIONS(3100),
    [anon_sym_LT_LT] = ACTIONS(3100),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3098),
    [anon_sym_PLUS_EQ] = ACTIONS(3098),
    [anon_sym_DASH_EQ] = ACTIONS(3098),
    [anon_sym_DOT_EQ] = ACTIONS(3098),
    [anon_sym_STAR_EQ] = ACTIONS(3098),
    [anon_sym_SLASH_EQ] = ACTIONS(3098),
    [anon_sym_PERCENT_EQ] = ACTIONS(3100),
    [anon_sym_x_EQ] = ACTIONS(3098),
    [anon_sym_AMP_EQ] = ACTIONS(3098),
    [anon_sym_PIPE_EQ] = ACTIONS(3098),
    [anon_sym_CARET_EQ] = ACTIONS(3098),
    [anon_sym_LT_LT_EQ] = ACTIONS(3098),
    [anon_sym_GT_GT_EQ] = ACTIONS(3098),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3098),
    [anon_sym_DOT_DOT] = ACTIONS(3100),
    [anon_sym_STAR_STAR] = ACTIONS(3100),
    [anon_sym_PIPE_PIPE] = ACTIONS(3100),
    [anon_sym_SLASH_SLASH] = ACTIONS(3100),
    [anon_sym_CARET_CARET] = ACTIONS(3098),
    [anon_sym_AMP_AMP] = ACTIONS(3100),
    [anon_sym_PIPE] = ACTIONS(3100),
    [anon_sym_CARET] = ACTIONS(3100),
    [anon_sym_AMP] = ACTIONS(3100),
    [anon_sym_GT_GT2] = ACTIONS(3100),
    [anon_sym_PLUS] = ACTIONS(3100),
    [anon_sym_DASH] = ACTIONS(3100),
    [anon_sym_DOT] = ACTIONS(3100),
    [anon_sym_STAR] = ACTIONS(3100),
    [anon_sym_SLASH] = ACTIONS(3100),
    [anon_sym_x] = ACTIONS(3100),
    [anon_sym_EQ_TILDE] = ACTIONS(3098),
    [anon_sym_BANG_TILDE] = ACTIONS(3098),
    [anon_sym_EQ_EQ] = ACTIONS(3100),
    [anon_sym_BANG_EQ] = ACTIONS(3098),
    [anon_sym_eq] = ACTIONS(3100),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3098),
    [anon_sym_equ] = ACTIONS(3098),
    [anon_sym_eqr] = ACTIONS(3098),
    [anon_sym_ne] = ACTIONS(3098),
    [anon_sym_LT_EQ_GT] = ACTIONS(3098),
    [anon_sym_cmp] = ACTIONS(3098),
    [anon_sym_TILDE_TILDE] = ACTIONS(3098),
    [anon_sym_LT] = ACTIONS(3100),
    [anon_sym_LT_EQ] = ACTIONS(3100),
    [anon_sym_GT_EQ] = ACTIONS(3098),
    [anon_sym_lt] = ACTIONS(3098),
    [anon_sym_le] = ACTIONS(3098),
    [anon_sym_ge] = ACTIONS(3098),
    [anon_sym_gt] = ACTIONS(3098),
    [anon_sym_isa] = ACTIONS(3098),
    [anon_sym_PLUS_PLUS] = ACTIONS(3098),
    [anon_sym_DASH_DASH] = ACTIONS(3098),
    [anon_sym_QMARK] = ACTIONS(3098),
    [anon_sym_PERCENT2] = ACTIONS(3098),
    [anon_sym_EQ_GT] = ACTIONS(3098),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1809] = {
    [sym_heredoc_content] = STATE(1809),
    [anon_sym_COLON] = ACTIONS(3126),
    [anon_sym_DOLLAR] = ACTIONS(3126),
    [anon_sym_EQ] = ACTIONS(3128),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3126),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3126),
    [anon_sym_AT] = ACTIONS(3126),
    [anon_sym_COMMA] = ACTIONS(3126),
    [anon_sym_RPAREN] = ACTIONS(3126),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3126),
    [anon_sym_DASH_GT] = ACTIONS(3632),
    [anon_sym_PERCENT] = ACTIONS(3634),
    [anon_sym_GT] = ACTIONS(3128),
    [anon_sym_LT_LT] = ACTIONS(3638),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3126),
    [anon_sym_PLUS_EQ] = ACTIONS(3126),
    [anon_sym_DASH_EQ] = ACTIONS(3126),
    [anon_sym_DOT_EQ] = ACTIONS(3126),
    [anon_sym_STAR_EQ] = ACTIONS(3126),
    [anon_sym_SLASH_EQ] = ACTIONS(3126),
    [anon_sym_PERCENT_EQ] = ACTIONS(3128),
    [anon_sym_x_EQ] = ACTIONS(3126),
    [anon_sym_AMP_EQ] = ACTIONS(3126),
    [anon_sym_PIPE_EQ] = ACTIONS(3126),
    [anon_sym_CARET_EQ] = ACTIONS(3126),
    [anon_sym_LT_LT_EQ] = ACTIONS(3126),
    [anon_sym_GT_GT_EQ] = ACTIONS(3126),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3126),
    [anon_sym_DOT_DOT] = ACTIONS(3128),
    [anon_sym_STAR_STAR] = ACTIONS(3642),
    [anon_sym_PIPE_PIPE] = ACTIONS(3128),
    [anon_sym_SLASH_SLASH] = ACTIONS(3128),
    [anon_sym_CARET_CARET] = ACTIONS(3126),
    [anon_sym_AMP_AMP] = ACTIONS(3128),
    [anon_sym_PIPE] = ACTIONS(3128),
    [anon_sym_CARET] = ACTIONS(3128),
    [anon_sym_AMP] = ACTIONS(3128),
    [anon_sym_GT_GT2] = ACTIONS(3638),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_DASH] = ACTIONS(3654),
    [anon_sym_DOT] = ACTIONS(3654),
    [anon_sym_STAR] = ACTIONS(3634),
    [anon_sym_SLASH] = ACTIONS(3634),
    [anon_sym_x] = ACTIONS(3634),
    [anon_sym_EQ_TILDE] = ACTIONS(3656),
    [anon_sym_BANG_TILDE] = ACTIONS(3656),
    [anon_sym_EQ_EQ] = ACTIONS(3128),
    [anon_sym_BANG_EQ] = ACTIONS(3126),
    [anon_sym_eq] = ACTIONS(3128),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3126),
    [anon_sym_equ] = ACTIONS(3126),
    [anon_sym_eqr] = ACTIONS(3126),
    [anon_sym_ne] = ACTIONS(3126),
    [anon_sym_LT_EQ_GT] = ACTIONS(3126),
    [anon_sym_cmp] = ACTIONS(3126),
    [anon_sym_TILDE_TILDE] = ACTIONS(3126),
    [anon_sym_LT] = ACTIONS(3128),
    [anon_sym_LT_EQ] = ACTIONS(3128),
    [anon_sym_GT_EQ] = ACTIONS(3126),
    [anon_sym_lt] = ACTIONS(3126),
    [anon_sym_le] = ACTIONS(3126),
    [anon_sym_ge] = ACTIONS(3126),
    [anon_sym_gt] = ACTIONS(3126),
    [anon_sym_isa] = ACTIONS(3126),
    [anon_sym_PLUS_PLUS] = ACTIONS(3668),
    [anon_sym_DASH_DASH] = ACTIONS(3668),
    [anon_sym_QMARK] = ACTIONS(3126),
    [anon_sym_PERCENT2] = ACTIONS(3126),
    [anon_sym_EQ_GT] = ACTIONS(3126),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1810] = {
    [sym_heredoc_content] = STATE(1810),
    [anon_sym_COLON] = ACTIONS(3130),
    [anon_sym_DOLLAR] = ACTIONS(3130),
    [anon_sym_EQ] = ACTIONS(3132),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3130),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3130),
    [anon_sym_AT] = ACTIONS(3130),
    [anon_sym_COMMA] = ACTIONS(3130),
    [anon_sym_RPAREN] = ACTIONS(3130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3130),
    [anon_sym_DASH_GT] = ACTIONS(3130),
    [anon_sym_PERCENT] = ACTIONS(3132),
    [anon_sym_GT] = ACTIONS(3132),
    [anon_sym_LT_LT] = ACTIONS(3132),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3130),
    [anon_sym_PLUS_EQ] = ACTIONS(3130),
    [anon_sym_DASH_EQ] = ACTIONS(3130),
    [anon_sym_DOT_EQ] = ACTIONS(3130),
    [anon_sym_STAR_EQ] = ACTIONS(3130),
    [anon_sym_SLASH_EQ] = ACTIONS(3130),
    [anon_sym_PERCENT_EQ] = ACTIONS(3132),
    [anon_sym_x_EQ] = ACTIONS(3130),
    [anon_sym_AMP_EQ] = ACTIONS(3130),
    [anon_sym_PIPE_EQ] = ACTIONS(3130),
    [anon_sym_CARET_EQ] = ACTIONS(3130),
    [anon_sym_LT_LT_EQ] = ACTIONS(3130),
    [anon_sym_GT_GT_EQ] = ACTIONS(3130),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3130),
    [anon_sym_DOT_DOT] = ACTIONS(3132),
    [anon_sym_STAR_STAR] = ACTIONS(3132),
    [anon_sym_PIPE_PIPE] = ACTIONS(3132),
    [anon_sym_SLASH_SLASH] = ACTIONS(3132),
    [anon_sym_CARET_CARET] = ACTIONS(3130),
    [anon_sym_AMP_AMP] = ACTIONS(3132),
    [anon_sym_PIPE] = ACTIONS(3132),
    [anon_sym_CARET] = ACTIONS(3132),
    [anon_sym_AMP] = ACTIONS(3132),
    [anon_sym_GT_GT2] = ACTIONS(3132),
    [anon_sym_PLUS] = ACTIONS(3132),
    [anon_sym_DASH] = ACTIONS(3132),
    [anon_sym_DOT] = ACTIONS(3132),
    [anon_sym_STAR] = ACTIONS(3132),
    [anon_sym_SLASH] = ACTIONS(3132),
    [anon_sym_x] = ACTIONS(3132),
    [anon_sym_EQ_TILDE] = ACTIONS(3130),
    [anon_sym_BANG_TILDE] = ACTIONS(3130),
    [anon_sym_EQ_EQ] = ACTIONS(3132),
    [anon_sym_BANG_EQ] = ACTIONS(3130),
    [anon_sym_eq] = ACTIONS(3132),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3130),
    [anon_sym_equ] = ACTIONS(3130),
    [anon_sym_eqr] = ACTIONS(3130),
    [anon_sym_ne] = ACTIONS(3130),
    [anon_sym_LT_EQ_GT] = ACTIONS(3130),
    [anon_sym_cmp] = ACTIONS(3130),
    [anon_sym_TILDE_TILDE] = ACTIONS(3130),
    [anon_sym_LT] = ACTIONS(3132),
    [anon_sym_LT_EQ] = ACTIONS(3132),
    [anon_sym_GT_EQ] = ACTIONS(3130),
    [anon_sym_lt] = ACTIONS(3130),
    [anon_sym_le] = ACTIONS(3130),
    [anon_sym_ge] = ACTIONS(3130),
    [anon_sym_gt] = ACTIONS(3130),
    [anon_sym_isa] = ACTIONS(3130),
    [anon_sym_PLUS_PLUS] = ACTIONS(3130),
    [anon_sym_DASH_DASH] = ACTIONS(3130),
    [anon_sym_QMARK] = ACTIONS(3130),
    [anon_sym_PERCENT2] = ACTIONS(3130),
    [anon_sym_EQ_GT] = ACTIONS(3130),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1811] = {
    [sym_heredoc_content] = STATE(1811),
    [anon_sym_COLON] = ACTIONS(2825),
    [anon_sym_DOLLAR] = ACTIONS(2825),
    [anon_sym_EQ] = ACTIONS(2827),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2825),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2825),
    [anon_sym_AT] = ACTIONS(2825),
    [anon_sym_COMMA] = ACTIONS(2825),
    [anon_sym_RPAREN] = ACTIONS(2825),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2825),
    [anon_sym_DASH_GT] = ACTIONS(2825),
    [anon_sym_PERCENT] = ACTIONS(2827),
    [anon_sym_GT] = ACTIONS(2827),
    [anon_sym_LT_LT] = ACTIONS(2827),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2825),
    [anon_sym_PLUS_EQ] = ACTIONS(2825),
    [anon_sym_DASH_EQ] = ACTIONS(2825),
    [anon_sym_DOT_EQ] = ACTIONS(2825),
    [anon_sym_STAR_EQ] = ACTIONS(2825),
    [anon_sym_SLASH_EQ] = ACTIONS(2825),
    [anon_sym_PERCENT_EQ] = ACTIONS(2827),
    [anon_sym_x_EQ] = ACTIONS(2825),
    [anon_sym_AMP_EQ] = ACTIONS(2825),
    [anon_sym_PIPE_EQ] = ACTIONS(2825),
    [anon_sym_CARET_EQ] = ACTIONS(2825),
    [anon_sym_LT_LT_EQ] = ACTIONS(2825),
    [anon_sym_GT_GT_EQ] = ACTIONS(2825),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2825),
    [anon_sym_DOT_DOT] = ACTIONS(2827),
    [anon_sym_STAR_STAR] = ACTIONS(2827),
    [anon_sym_PIPE_PIPE] = ACTIONS(2827),
    [anon_sym_SLASH_SLASH] = ACTIONS(2827),
    [anon_sym_CARET_CARET] = ACTIONS(2825),
    [anon_sym_AMP_AMP] = ACTIONS(2827),
    [anon_sym_PIPE] = ACTIONS(2827),
    [anon_sym_CARET] = ACTIONS(2827),
    [anon_sym_AMP] = ACTIONS(2827),
    [anon_sym_GT_GT2] = ACTIONS(2827),
    [anon_sym_PLUS] = ACTIONS(2827),
    [anon_sym_DASH] = ACTIONS(2827),
    [anon_sym_DOT] = ACTIONS(2827),
    [anon_sym_STAR] = ACTIONS(2827),
    [anon_sym_SLASH] = ACTIONS(2827),
    [anon_sym_x] = ACTIONS(2827),
    [anon_sym_EQ_TILDE] = ACTIONS(2825),
    [anon_sym_BANG_TILDE] = ACTIONS(2825),
    [anon_sym_EQ_EQ] = ACTIONS(2827),
    [anon_sym_BANG_EQ] = ACTIONS(2825),
    [anon_sym_eq] = ACTIONS(2827),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2825),
    [anon_sym_equ] = ACTIONS(2825),
    [anon_sym_eqr] = ACTIONS(2825),
    [anon_sym_ne] = ACTIONS(2825),
    [anon_sym_LT_EQ_GT] = ACTIONS(2825),
    [anon_sym_cmp] = ACTIONS(2825),
    [anon_sym_TILDE_TILDE] = ACTIONS(2825),
    [anon_sym_LT] = ACTIONS(2827),
    [anon_sym_LT_EQ] = ACTIONS(2827),
    [anon_sym_GT_EQ] = ACTIONS(2825),
    [anon_sym_lt] = ACTIONS(2825),
    [anon_sym_le] = ACTIONS(2825),
    [anon_sym_ge] = ACTIONS(2825),
    [anon_sym_gt] = ACTIONS(2825),
    [anon_sym_isa] = ACTIONS(2825),
    [anon_sym_PLUS_PLUS] = ACTIONS(2825),
    [anon_sym_DASH_DASH] = ACTIONS(2825),
    [anon_sym_QMARK] = ACTIONS(2825),
    [anon_sym_PERCENT2] = ACTIONS(2825),
    [anon_sym_EQ_GT] = ACTIONS(2825),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1812] = {
    [sym_heredoc_content] = STATE(1812),
    [anon_sym_COLON] = ACTIONS(2829),
    [anon_sym_DOLLAR] = ACTIONS(2829),
    [anon_sym_EQ] = ACTIONS(3626),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3628),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3628),
    [anon_sym_AT] = ACTIONS(2829),
    [anon_sym_COMMA] = ACTIONS(2829),
    [anon_sym_RPAREN] = ACTIONS(2829),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3630),
    [anon_sym_DASH_GT] = ACTIONS(3632),
    [anon_sym_PERCENT] = ACTIONS(3634),
    [anon_sym_GT] = ACTIONS(3636),
    [anon_sym_LT_LT] = ACTIONS(3638),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3628),
    [anon_sym_PLUS_EQ] = ACTIONS(3628),
    [anon_sym_DASH_EQ] = ACTIONS(3628),
    [anon_sym_DOT_EQ] = ACTIONS(3628),
    [anon_sym_STAR_EQ] = ACTIONS(3628),
    [anon_sym_SLASH_EQ] = ACTIONS(3628),
    [anon_sym_PERCENT_EQ] = ACTIONS(3626),
    [anon_sym_x_EQ] = ACTIONS(3628),
    [anon_sym_AMP_EQ] = ACTIONS(3628),
    [anon_sym_PIPE_EQ] = ACTIONS(3628),
    [anon_sym_CARET_EQ] = ACTIONS(3628),
    [anon_sym_LT_LT_EQ] = ACTIONS(3628),
    [anon_sym_GT_GT_EQ] = ACTIONS(3628),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3628),
    [anon_sym_DOT_DOT] = ACTIONS(3640),
    [anon_sym_STAR_STAR] = ACTIONS(3642),
    [anon_sym_PIPE_PIPE] = ACTIONS(3644),
    [anon_sym_SLASH_SLASH] = ACTIONS(3644),
    [anon_sym_CARET_CARET] = ACTIONS(3646),
    [anon_sym_AMP_AMP] = ACTIONS(3648),
    [anon_sym_PIPE] = ACTIONS(3650),
    [anon_sym_CARET] = ACTIONS(3650),
    [anon_sym_AMP] = ACTIONS(3652),
    [anon_sym_GT_GT2] = ACTIONS(3638),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_DASH] = ACTIONS(3654),
    [anon_sym_DOT] = ACTIONS(3654),
    [anon_sym_STAR] = ACTIONS(3634),
    [anon_sym_SLASH] = ACTIONS(3634),
    [anon_sym_x] = ACTIONS(3634),
    [anon_sym_EQ_TILDE] = ACTIONS(3656),
    [anon_sym_BANG_TILDE] = ACTIONS(3656),
    [anon_sym_EQ_EQ] = ACTIONS(3658),
    [anon_sym_BANG_EQ] = ACTIONS(3660),
    [anon_sym_eq] = ACTIONS(3658),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3660),
    [anon_sym_equ] = ACTIONS(3660),
    [anon_sym_eqr] = ACTIONS(3660),
    [anon_sym_ne] = ACTIONS(3660),
    [anon_sym_LT_EQ_GT] = ACTIONS(3662),
    [anon_sym_cmp] = ACTIONS(3662),
    [anon_sym_TILDE_TILDE] = ACTIONS(3662),
    [anon_sym_LT] = ACTIONS(3636),
    [anon_sym_LT_EQ] = ACTIONS(3636),
    [anon_sym_GT_EQ] = ACTIONS(3664),
    [anon_sym_lt] = ACTIONS(3664),
    [anon_sym_le] = ACTIONS(3664),
    [anon_sym_ge] = ACTIONS(3664),
    [anon_sym_gt] = ACTIONS(3664),
    [anon_sym_isa] = ACTIONS(3666),
    [anon_sym_PLUS_PLUS] = ACTIONS(3668),
    [anon_sym_DASH_DASH] = ACTIONS(3668),
    [anon_sym_QMARK] = ACTIONS(3670),
    [anon_sym_PERCENT2] = ACTIONS(2829),
    [anon_sym_EQ_GT] = ACTIONS(2829),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1813] = {
    [sym_heredoc_content] = STATE(1813),
    [anon_sym_COLON] = ACTIONS(2833),
    [anon_sym_DOLLAR] = ACTIONS(2833),
    [anon_sym_EQ] = ACTIONS(2835),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_AT] = ACTIONS(2833),
    [anon_sym_COMMA] = ACTIONS(2833),
    [anon_sym_RPAREN] = ACTIONS(2833),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2833),
    [anon_sym_DASH_GT] = ACTIONS(2833),
    [anon_sym_PERCENT] = ACTIONS(2835),
    [anon_sym_GT] = ACTIONS(2835),
    [anon_sym_LT_LT] = ACTIONS(2835),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2833),
    [anon_sym_PLUS_EQ] = ACTIONS(2833),
    [anon_sym_DASH_EQ] = ACTIONS(2833),
    [anon_sym_DOT_EQ] = ACTIONS(2833),
    [anon_sym_STAR_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_PERCENT_EQ] = ACTIONS(2835),
    [anon_sym_x_EQ] = ACTIONS(2833),
    [anon_sym_AMP_EQ] = ACTIONS(2833),
    [anon_sym_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_CARET_EQ] = ACTIONS(2833),
    [anon_sym_LT_LT_EQ] = ACTIONS(2833),
    [anon_sym_GT_GT_EQ] = ACTIONS(2833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2833),
    [anon_sym_DOT_DOT] = ACTIONS(2835),
    [anon_sym_STAR_STAR] = ACTIONS(2835),
    [anon_sym_PIPE_PIPE] = ACTIONS(2835),
    [anon_sym_SLASH_SLASH] = ACTIONS(2835),
    [anon_sym_CARET_CARET] = ACTIONS(2833),
    [anon_sym_AMP_AMP] = ACTIONS(2835),
    [anon_sym_PIPE] = ACTIONS(2835),
    [anon_sym_CARET] = ACTIONS(2835),
    [anon_sym_AMP] = ACTIONS(2835),
    [anon_sym_GT_GT2] = ACTIONS(2835),
    [anon_sym_PLUS] = ACTIONS(2835),
    [anon_sym_DASH] = ACTIONS(2835),
    [anon_sym_DOT] = ACTIONS(2835),
    [anon_sym_STAR] = ACTIONS(2835),
    [anon_sym_SLASH] = ACTIONS(2835),
    [anon_sym_x] = ACTIONS(2835),
    [anon_sym_EQ_TILDE] = ACTIONS(2833),
    [anon_sym_BANG_TILDE] = ACTIONS(2833),
    [anon_sym_EQ_EQ] = ACTIONS(2835),
    [anon_sym_BANG_EQ] = ACTIONS(2833),
    [anon_sym_eq] = ACTIONS(2835),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2833),
    [anon_sym_equ] = ACTIONS(2833),
    [anon_sym_eqr] = ACTIONS(2833),
    [anon_sym_ne] = ACTIONS(2833),
    [anon_sym_LT_EQ_GT] = ACTIONS(2833),
    [anon_sym_cmp] = ACTIONS(2833),
    [anon_sym_TILDE_TILDE] = ACTIONS(2833),
    [anon_sym_LT] = ACTIONS(2835),
    [anon_sym_LT_EQ] = ACTIONS(2835),
    [anon_sym_GT_EQ] = ACTIONS(2833),
    [anon_sym_lt] = ACTIONS(2833),
    [anon_sym_le] = ACTIONS(2833),
    [anon_sym_ge] = ACTIONS(2833),
    [anon_sym_gt] = ACTIONS(2833),
    [anon_sym_isa] = ACTIONS(2833),
    [anon_sym_PLUS_PLUS] = ACTIONS(2833),
    [anon_sym_DASH_DASH] = ACTIONS(2833),
    [anon_sym_QMARK] = ACTIONS(2833),
    [anon_sym_PERCENT2] = ACTIONS(2833),
    [anon_sym_EQ_GT] = ACTIONS(2833),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1814] = {
    [sym_heredoc_content] = STATE(1814),
    [anon_sym_COLON] = ACTIONS(2837),
    [anon_sym_DOLLAR] = ACTIONS(2837),
    [anon_sym_EQ] = ACTIONS(2839),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2837),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2837),
    [anon_sym_AT] = ACTIONS(2837),
    [anon_sym_COMMA] = ACTIONS(2837),
    [anon_sym_RPAREN] = ACTIONS(2837),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2837),
    [anon_sym_DASH_GT] = ACTIONS(2837),
    [anon_sym_PERCENT] = ACTIONS(2839),
    [anon_sym_GT] = ACTIONS(2839),
    [anon_sym_LT_LT] = ACTIONS(2839),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2837),
    [anon_sym_PLUS_EQ] = ACTIONS(2837),
    [anon_sym_DASH_EQ] = ACTIONS(2837),
    [anon_sym_DOT_EQ] = ACTIONS(2837),
    [anon_sym_STAR_EQ] = ACTIONS(2837),
    [anon_sym_SLASH_EQ] = ACTIONS(2837),
    [anon_sym_PERCENT_EQ] = ACTIONS(2839),
    [anon_sym_x_EQ] = ACTIONS(2837),
    [anon_sym_AMP_EQ] = ACTIONS(2837),
    [anon_sym_PIPE_EQ] = ACTIONS(2837),
    [anon_sym_CARET_EQ] = ACTIONS(2837),
    [anon_sym_LT_LT_EQ] = ACTIONS(2837),
    [anon_sym_GT_GT_EQ] = ACTIONS(2837),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2837),
    [anon_sym_DOT_DOT] = ACTIONS(2839),
    [anon_sym_STAR_STAR] = ACTIONS(2839),
    [anon_sym_PIPE_PIPE] = ACTIONS(2839),
    [anon_sym_SLASH_SLASH] = ACTIONS(2839),
    [anon_sym_CARET_CARET] = ACTIONS(2837),
    [anon_sym_AMP_AMP] = ACTIONS(2839),
    [anon_sym_PIPE] = ACTIONS(2839),
    [anon_sym_CARET] = ACTIONS(2839),
    [anon_sym_AMP] = ACTIONS(2839),
    [anon_sym_GT_GT2] = ACTIONS(2839),
    [anon_sym_PLUS] = ACTIONS(2839),
    [anon_sym_DASH] = ACTIONS(2839),
    [anon_sym_DOT] = ACTIONS(2839),
    [anon_sym_STAR] = ACTIONS(2839),
    [anon_sym_SLASH] = ACTIONS(2839),
    [anon_sym_x] = ACTIONS(2839),
    [anon_sym_EQ_TILDE] = ACTIONS(2837),
    [anon_sym_BANG_TILDE] = ACTIONS(2837),
    [anon_sym_EQ_EQ] = ACTIONS(2839),
    [anon_sym_BANG_EQ] = ACTIONS(2837),
    [anon_sym_eq] = ACTIONS(2839),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2837),
    [anon_sym_equ] = ACTIONS(2837),
    [anon_sym_eqr] = ACTIONS(2837),
    [anon_sym_ne] = ACTIONS(2837),
    [anon_sym_LT_EQ_GT] = ACTIONS(2837),
    [anon_sym_cmp] = ACTIONS(2837),
    [anon_sym_TILDE_TILDE] = ACTIONS(2837),
    [anon_sym_LT] = ACTIONS(2839),
    [anon_sym_LT_EQ] = ACTIONS(2839),
    [anon_sym_GT_EQ] = ACTIONS(2837),
    [anon_sym_lt] = ACTIONS(2837),
    [anon_sym_le] = ACTIONS(2837),
    [anon_sym_ge] = ACTIONS(2837),
    [anon_sym_gt] = ACTIONS(2837),
    [anon_sym_isa] = ACTIONS(2837),
    [anon_sym_PLUS_PLUS] = ACTIONS(2837),
    [anon_sym_DASH_DASH] = ACTIONS(2837),
    [anon_sym_QMARK] = ACTIONS(2837),
    [anon_sym_PERCENT2] = ACTIONS(2837),
    [anon_sym_EQ_GT] = ACTIONS(2837),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1815] = {
    [sym_heredoc_content] = STATE(1815),
    [anon_sym_COLON] = ACTIONS(2841),
    [anon_sym_DOLLAR] = ACTIONS(2841),
    [anon_sym_EQ] = ACTIONS(2843),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2841),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2841),
    [anon_sym_AT] = ACTIONS(2841),
    [anon_sym_COMMA] = ACTIONS(2841),
    [anon_sym_RPAREN] = ACTIONS(2841),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2841),
    [anon_sym_DASH_GT] = ACTIONS(2841),
    [anon_sym_PERCENT] = ACTIONS(2843),
    [anon_sym_GT] = ACTIONS(2843),
    [anon_sym_LT_LT] = ACTIONS(2843),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2841),
    [anon_sym_PLUS_EQ] = ACTIONS(2841),
    [anon_sym_DASH_EQ] = ACTIONS(2841),
    [anon_sym_DOT_EQ] = ACTIONS(2841),
    [anon_sym_STAR_EQ] = ACTIONS(2841),
    [anon_sym_SLASH_EQ] = ACTIONS(2841),
    [anon_sym_PERCENT_EQ] = ACTIONS(2843),
    [anon_sym_x_EQ] = ACTIONS(2841),
    [anon_sym_AMP_EQ] = ACTIONS(2841),
    [anon_sym_PIPE_EQ] = ACTIONS(2841),
    [anon_sym_CARET_EQ] = ACTIONS(2841),
    [anon_sym_LT_LT_EQ] = ACTIONS(2841),
    [anon_sym_GT_GT_EQ] = ACTIONS(2841),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2841),
    [anon_sym_DOT_DOT] = ACTIONS(2843),
    [anon_sym_STAR_STAR] = ACTIONS(2843),
    [anon_sym_PIPE_PIPE] = ACTIONS(2843),
    [anon_sym_SLASH_SLASH] = ACTIONS(2843),
    [anon_sym_CARET_CARET] = ACTIONS(2841),
    [anon_sym_AMP_AMP] = ACTIONS(2843),
    [anon_sym_PIPE] = ACTIONS(2843),
    [anon_sym_CARET] = ACTIONS(2843),
    [anon_sym_AMP] = ACTIONS(2843),
    [anon_sym_GT_GT2] = ACTIONS(2843),
    [anon_sym_PLUS] = ACTIONS(2843),
    [anon_sym_DASH] = ACTIONS(2843),
    [anon_sym_DOT] = ACTIONS(2843),
    [anon_sym_STAR] = ACTIONS(2843),
    [anon_sym_SLASH] = ACTIONS(2843),
    [anon_sym_x] = ACTIONS(2843),
    [anon_sym_EQ_TILDE] = ACTIONS(2841),
    [anon_sym_BANG_TILDE] = ACTIONS(2841),
    [anon_sym_EQ_EQ] = ACTIONS(2843),
    [anon_sym_BANG_EQ] = ACTIONS(2841),
    [anon_sym_eq] = ACTIONS(2843),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2841),
    [anon_sym_equ] = ACTIONS(2841),
    [anon_sym_eqr] = ACTIONS(2841),
    [anon_sym_ne] = ACTIONS(2841),
    [anon_sym_LT_EQ_GT] = ACTIONS(2841),
    [anon_sym_cmp] = ACTIONS(2841),
    [anon_sym_TILDE_TILDE] = ACTIONS(2841),
    [anon_sym_LT] = ACTIONS(2843),
    [anon_sym_LT_EQ] = ACTIONS(2843),
    [anon_sym_GT_EQ] = ACTIONS(2841),
    [anon_sym_lt] = ACTIONS(2841),
    [anon_sym_le] = ACTIONS(2841),
    [anon_sym_ge] = ACTIONS(2841),
    [anon_sym_gt] = ACTIONS(2841),
    [anon_sym_isa] = ACTIONS(2841),
    [anon_sym_PLUS_PLUS] = ACTIONS(2841),
    [anon_sym_DASH_DASH] = ACTIONS(2841),
    [anon_sym_QMARK] = ACTIONS(2841),
    [anon_sym_PERCENT2] = ACTIONS(2841),
    [anon_sym_EQ_GT] = ACTIONS(2841),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1816] = {
    [sym_heredoc_content] = STATE(1816),
    [anon_sym_COLON] = ACTIONS(2849),
    [anon_sym_DOLLAR] = ACTIONS(2849),
    [anon_sym_EQ] = ACTIONS(2851),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2849),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2849),
    [anon_sym_AT] = ACTIONS(2849),
    [anon_sym_COMMA] = ACTIONS(2849),
    [anon_sym_RPAREN] = ACTIONS(2849),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2849),
    [anon_sym_DASH_GT] = ACTIONS(2849),
    [anon_sym_PERCENT] = ACTIONS(2851),
    [anon_sym_GT] = ACTIONS(2851),
    [anon_sym_LT_LT] = ACTIONS(2851),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2849),
    [anon_sym_PLUS_EQ] = ACTIONS(2849),
    [anon_sym_DASH_EQ] = ACTIONS(2849),
    [anon_sym_DOT_EQ] = ACTIONS(2849),
    [anon_sym_STAR_EQ] = ACTIONS(2849),
    [anon_sym_SLASH_EQ] = ACTIONS(2849),
    [anon_sym_PERCENT_EQ] = ACTIONS(2851),
    [anon_sym_x_EQ] = ACTIONS(2849),
    [anon_sym_AMP_EQ] = ACTIONS(2849),
    [anon_sym_PIPE_EQ] = ACTIONS(2849),
    [anon_sym_CARET_EQ] = ACTIONS(2849),
    [anon_sym_LT_LT_EQ] = ACTIONS(2849),
    [anon_sym_GT_GT_EQ] = ACTIONS(2849),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2849),
    [anon_sym_DOT_DOT] = ACTIONS(2851),
    [anon_sym_STAR_STAR] = ACTIONS(2851),
    [anon_sym_PIPE_PIPE] = ACTIONS(2851),
    [anon_sym_SLASH_SLASH] = ACTIONS(2851),
    [anon_sym_CARET_CARET] = ACTIONS(2849),
    [anon_sym_AMP_AMP] = ACTIONS(2851),
    [anon_sym_PIPE] = ACTIONS(2851),
    [anon_sym_CARET] = ACTIONS(2851),
    [anon_sym_AMP] = ACTIONS(2851),
    [anon_sym_GT_GT2] = ACTIONS(2851),
    [anon_sym_PLUS] = ACTIONS(2851),
    [anon_sym_DASH] = ACTIONS(2851),
    [anon_sym_DOT] = ACTIONS(2851),
    [anon_sym_STAR] = ACTIONS(2851),
    [anon_sym_SLASH] = ACTIONS(2851),
    [anon_sym_x] = ACTIONS(2851),
    [anon_sym_EQ_TILDE] = ACTIONS(2849),
    [anon_sym_BANG_TILDE] = ACTIONS(2849),
    [anon_sym_EQ_EQ] = ACTIONS(2851),
    [anon_sym_BANG_EQ] = ACTIONS(2849),
    [anon_sym_eq] = ACTIONS(2851),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2849),
    [anon_sym_equ] = ACTIONS(2849),
    [anon_sym_eqr] = ACTIONS(2849),
    [anon_sym_ne] = ACTIONS(2849),
    [anon_sym_LT_EQ_GT] = ACTIONS(2849),
    [anon_sym_cmp] = ACTIONS(2849),
    [anon_sym_TILDE_TILDE] = ACTIONS(2849),
    [anon_sym_LT] = ACTIONS(2851),
    [anon_sym_LT_EQ] = ACTIONS(2851),
    [anon_sym_GT_EQ] = ACTIONS(2849),
    [anon_sym_lt] = ACTIONS(2849),
    [anon_sym_le] = ACTIONS(2849),
    [anon_sym_ge] = ACTIONS(2849),
    [anon_sym_gt] = ACTIONS(2849),
    [anon_sym_isa] = ACTIONS(2849),
    [anon_sym_PLUS_PLUS] = ACTIONS(2849),
    [anon_sym_DASH_DASH] = ACTIONS(2849),
    [anon_sym_QMARK] = ACTIONS(2849),
    [anon_sym_PERCENT2] = ACTIONS(2849),
    [anon_sym_EQ_GT] = ACTIONS(2849),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1817] = {
    [sym_heredoc_content] = STATE(1817),
    [anon_sym_COLON] = ACTIONS(2889),
    [anon_sym_DOLLAR] = ACTIONS(2889),
    [anon_sym_EQ] = ACTIONS(2891),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2889),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2889),
    [anon_sym_AT] = ACTIONS(2889),
    [anon_sym_COMMA] = ACTIONS(2889),
    [anon_sym_RPAREN] = ACTIONS(2889),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2889),
    [anon_sym_DASH_GT] = ACTIONS(2889),
    [anon_sym_PERCENT] = ACTIONS(2891),
    [anon_sym_GT] = ACTIONS(2891),
    [anon_sym_LT_LT] = ACTIONS(2891),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2889),
    [anon_sym_PLUS_EQ] = ACTIONS(2889),
    [anon_sym_DASH_EQ] = ACTIONS(2889),
    [anon_sym_DOT_EQ] = ACTIONS(2889),
    [anon_sym_STAR_EQ] = ACTIONS(2889),
    [anon_sym_SLASH_EQ] = ACTIONS(2889),
    [anon_sym_PERCENT_EQ] = ACTIONS(2891),
    [anon_sym_x_EQ] = ACTIONS(2889),
    [anon_sym_AMP_EQ] = ACTIONS(2889),
    [anon_sym_PIPE_EQ] = ACTIONS(2889),
    [anon_sym_CARET_EQ] = ACTIONS(2889),
    [anon_sym_LT_LT_EQ] = ACTIONS(2889),
    [anon_sym_GT_GT_EQ] = ACTIONS(2889),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2889),
    [anon_sym_DOT_DOT] = ACTIONS(2891),
    [anon_sym_STAR_STAR] = ACTIONS(2891),
    [anon_sym_PIPE_PIPE] = ACTIONS(2891),
    [anon_sym_SLASH_SLASH] = ACTIONS(2891),
    [anon_sym_CARET_CARET] = ACTIONS(2889),
    [anon_sym_AMP_AMP] = ACTIONS(2891),
    [anon_sym_PIPE] = ACTIONS(2891),
    [anon_sym_CARET] = ACTIONS(2891),
    [anon_sym_AMP] = ACTIONS(2891),
    [anon_sym_GT_GT2] = ACTIONS(2891),
    [anon_sym_PLUS] = ACTIONS(2891),
    [anon_sym_DASH] = ACTIONS(2891),
    [anon_sym_DOT] = ACTIONS(2891),
    [anon_sym_STAR] = ACTIONS(2891),
    [anon_sym_SLASH] = ACTIONS(2891),
    [anon_sym_x] = ACTIONS(2891),
    [anon_sym_EQ_TILDE] = ACTIONS(2889),
    [anon_sym_BANG_TILDE] = ACTIONS(2889),
    [anon_sym_EQ_EQ] = ACTIONS(2891),
    [anon_sym_BANG_EQ] = ACTIONS(2889),
    [anon_sym_eq] = ACTIONS(2891),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2889),
    [anon_sym_equ] = ACTIONS(2889),
    [anon_sym_eqr] = ACTIONS(2889),
    [anon_sym_ne] = ACTIONS(2889),
    [anon_sym_LT_EQ_GT] = ACTIONS(2889),
    [anon_sym_cmp] = ACTIONS(2889),
    [anon_sym_TILDE_TILDE] = ACTIONS(2889),
    [anon_sym_LT] = ACTIONS(2891),
    [anon_sym_LT_EQ] = ACTIONS(2891),
    [anon_sym_GT_EQ] = ACTIONS(2889),
    [anon_sym_lt] = ACTIONS(2889),
    [anon_sym_le] = ACTIONS(2889),
    [anon_sym_ge] = ACTIONS(2889),
    [anon_sym_gt] = ACTIONS(2889),
    [anon_sym_isa] = ACTIONS(2889),
    [anon_sym_PLUS_PLUS] = ACTIONS(2889),
    [anon_sym_DASH_DASH] = ACTIONS(2889),
    [anon_sym_QMARK] = ACTIONS(2889),
    [anon_sym_PERCENT2] = ACTIONS(2889),
    [anon_sym_EQ_GT] = ACTIONS(2889),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1818] = {
    [sym_heredoc_content] = STATE(1818),
    [anon_sym_COLON] = ACTIONS(2897),
    [anon_sym_DOLLAR] = ACTIONS(2897),
    [anon_sym_EQ] = ACTIONS(2899),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2897),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2897),
    [anon_sym_AT] = ACTIONS(2897),
    [anon_sym_COMMA] = ACTIONS(2897),
    [anon_sym_RPAREN] = ACTIONS(2897),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2897),
    [anon_sym_DASH_GT] = ACTIONS(2897),
    [anon_sym_PERCENT] = ACTIONS(2899),
    [anon_sym_GT] = ACTIONS(2899),
    [anon_sym_LT_LT] = ACTIONS(2899),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2897),
    [anon_sym_PLUS_EQ] = ACTIONS(2897),
    [anon_sym_DASH_EQ] = ACTIONS(2897),
    [anon_sym_DOT_EQ] = ACTIONS(2897),
    [anon_sym_STAR_EQ] = ACTIONS(2897),
    [anon_sym_SLASH_EQ] = ACTIONS(2897),
    [anon_sym_PERCENT_EQ] = ACTIONS(2899),
    [anon_sym_x_EQ] = ACTIONS(2897),
    [anon_sym_AMP_EQ] = ACTIONS(2897),
    [anon_sym_PIPE_EQ] = ACTIONS(2897),
    [anon_sym_CARET_EQ] = ACTIONS(2897),
    [anon_sym_LT_LT_EQ] = ACTIONS(2897),
    [anon_sym_GT_GT_EQ] = ACTIONS(2897),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2897),
    [anon_sym_DOT_DOT] = ACTIONS(2899),
    [anon_sym_STAR_STAR] = ACTIONS(2899),
    [anon_sym_PIPE_PIPE] = ACTIONS(2899),
    [anon_sym_SLASH_SLASH] = ACTIONS(2899),
    [anon_sym_CARET_CARET] = ACTIONS(2897),
    [anon_sym_AMP_AMP] = ACTIONS(2899),
    [anon_sym_PIPE] = ACTIONS(2899),
    [anon_sym_CARET] = ACTIONS(2899),
    [anon_sym_AMP] = ACTIONS(2899),
    [anon_sym_GT_GT2] = ACTIONS(2899),
    [anon_sym_PLUS] = ACTIONS(2899),
    [anon_sym_DASH] = ACTIONS(2899),
    [anon_sym_DOT] = ACTIONS(2899),
    [anon_sym_STAR] = ACTIONS(2899),
    [anon_sym_SLASH] = ACTIONS(2899),
    [anon_sym_x] = ACTIONS(2899),
    [anon_sym_EQ_TILDE] = ACTIONS(2897),
    [anon_sym_BANG_TILDE] = ACTIONS(2897),
    [anon_sym_EQ_EQ] = ACTIONS(2899),
    [anon_sym_BANG_EQ] = ACTIONS(2897),
    [anon_sym_eq] = ACTIONS(2899),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2897),
    [anon_sym_equ] = ACTIONS(2897),
    [anon_sym_eqr] = ACTIONS(2897),
    [anon_sym_ne] = ACTIONS(2897),
    [anon_sym_LT_EQ_GT] = ACTIONS(2897),
    [anon_sym_cmp] = ACTIONS(2897),
    [anon_sym_TILDE_TILDE] = ACTIONS(2897),
    [anon_sym_LT] = ACTIONS(2899),
    [anon_sym_LT_EQ] = ACTIONS(2899),
    [anon_sym_GT_EQ] = ACTIONS(2897),
    [anon_sym_lt] = ACTIONS(2897),
    [anon_sym_le] = ACTIONS(2897),
    [anon_sym_ge] = ACTIONS(2897),
    [anon_sym_gt] = ACTIONS(2897),
    [anon_sym_isa] = ACTIONS(2897),
    [anon_sym_PLUS_PLUS] = ACTIONS(2897),
    [anon_sym_DASH_DASH] = ACTIONS(2897),
    [anon_sym_QMARK] = ACTIONS(2897),
    [anon_sym_PERCENT2] = ACTIONS(2897),
    [anon_sym_EQ_GT] = ACTIONS(2897),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1819] = {
    [sym_heredoc_content] = STATE(1819),
    [anon_sym_COLON] = ACTIONS(2897),
    [anon_sym_DOLLAR] = ACTIONS(2897),
    [anon_sym_EQ] = ACTIONS(2899),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2897),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2897),
    [anon_sym_AT] = ACTIONS(2897),
    [anon_sym_COMMA] = ACTIONS(3672),
    [anon_sym_RPAREN] = ACTIONS(2897),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2897),
    [anon_sym_DASH_GT] = ACTIONS(2897),
    [anon_sym_PERCENT] = ACTIONS(2899),
    [anon_sym_GT] = ACTIONS(2899),
    [anon_sym_LT_LT] = ACTIONS(2899),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2897),
    [anon_sym_PLUS_EQ] = ACTIONS(2897),
    [anon_sym_DASH_EQ] = ACTIONS(2897),
    [anon_sym_DOT_EQ] = ACTIONS(2897),
    [anon_sym_STAR_EQ] = ACTIONS(2897),
    [anon_sym_SLASH_EQ] = ACTIONS(2897),
    [anon_sym_PERCENT_EQ] = ACTIONS(2899),
    [anon_sym_x_EQ] = ACTIONS(2897),
    [anon_sym_AMP_EQ] = ACTIONS(2897),
    [anon_sym_PIPE_EQ] = ACTIONS(2897),
    [anon_sym_CARET_EQ] = ACTIONS(2897),
    [anon_sym_LT_LT_EQ] = ACTIONS(2897),
    [anon_sym_GT_GT_EQ] = ACTIONS(2897),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2897),
    [anon_sym_DOT_DOT] = ACTIONS(2899),
    [anon_sym_STAR_STAR] = ACTIONS(2899),
    [anon_sym_PIPE_PIPE] = ACTIONS(2899),
    [anon_sym_SLASH_SLASH] = ACTIONS(2899),
    [anon_sym_CARET_CARET] = ACTIONS(2897),
    [anon_sym_AMP_AMP] = ACTIONS(2899),
    [anon_sym_PIPE] = ACTIONS(2899),
    [anon_sym_CARET] = ACTIONS(2899),
    [anon_sym_AMP] = ACTIONS(2899),
    [anon_sym_GT_GT2] = ACTIONS(2899),
    [anon_sym_PLUS] = ACTIONS(2899),
    [anon_sym_DASH] = ACTIONS(2899),
    [anon_sym_DOT] = ACTIONS(2899),
    [anon_sym_STAR] = ACTIONS(2899),
    [anon_sym_SLASH] = ACTIONS(2899),
    [anon_sym_x] = ACTIONS(2899),
    [anon_sym_EQ_TILDE] = ACTIONS(2897),
    [anon_sym_BANG_TILDE] = ACTIONS(2897),
    [anon_sym_EQ_EQ] = ACTIONS(2899),
    [anon_sym_BANG_EQ] = ACTIONS(2897),
    [anon_sym_eq] = ACTIONS(2899),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2897),
    [anon_sym_equ] = ACTIONS(2897),
    [anon_sym_eqr] = ACTIONS(2897),
    [anon_sym_ne] = ACTIONS(2897),
    [anon_sym_LT_EQ_GT] = ACTIONS(2897),
    [anon_sym_cmp] = ACTIONS(2897),
    [anon_sym_TILDE_TILDE] = ACTIONS(2897),
    [anon_sym_LT] = ACTIONS(2899),
    [anon_sym_LT_EQ] = ACTIONS(2899),
    [anon_sym_GT_EQ] = ACTIONS(2897),
    [anon_sym_lt] = ACTIONS(2897),
    [anon_sym_le] = ACTIONS(2897),
    [anon_sym_ge] = ACTIONS(2897),
    [anon_sym_gt] = ACTIONS(2897),
    [anon_sym_isa] = ACTIONS(2897),
    [anon_sym_PLUS_PLUS] = ACTIONS(2897),
    [anon_sym_DASH_DASH] = ACTIONS(2897),
    [anon_sym_QMARK] = ACTIONS(2897),
    [anon_sym_PERCENT2] = ACTIONS(2897),
    [anon_sym_EQ_GT] = ACTIONS(3672),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1820] = {
    [sym_heredoc_content] = STATE(1820),
    [anon_sym_COLON] = ACTIONS(2907),
    [anon_sym_DOLLAR] = ACTIONS(2907),
    [anon_sym_EQ] = ACTIONS(2909),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2907),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2907),
    [anon_sym_AT] = ACTIONS(2907),
    [anon_sym_COMMA] = ACTIONS(2907),
    [anon_sym_RPAREN] = ACTIONS(2907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2907),
    [anon_sym_DASH_GT] = ACTIONS(2907),
    [anon_sym_PERCENT] = ACTIONS(2909),
    [anon_sym_GT] = ACTIONS(2909),
    [anon_sym_LT_LT] = ACTIONS(2909),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2907),
    [anon_sym_PLUS_EQ] = ACTIONS(2907),
    [anon_sym_DASH_EQ] = ACTIONS(2907),
    [anon_sym_DOT_EQ] = ACTIONS(2907),
    [anon_sym_STAR_EQ] = ACTIONS(2907),
    [anon_sym_SLASH_EQ] = ACTIONS(2907),
    [anon_sym_PERCENT_EQ] = ACTIONS(2909),
    [anon_sym_x_EQ] = ACTIONS(2907),
    [anon_sym_AMP_EQ] = ACTIONS(2907),
    [anon_sym_PIPE_EQ] = ACTIONS(2907),
    [anon_sym_CARET_EQ] = ACTIONS(2907),
    [anon_sym_LT_LT_EQ] = ACTIONS(2907),
    [anon_sym_GT_GT_EQ] = ACTIONS(2907),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2907),
    [anon_sym_DOT_DOT] = ACTIONS(2909),
    [anon_sym_STAR_STAR] = ACTIONS(2909),
    [anon_sym_PIPE_PIPE] = ACTIONS(2909),
    [anon_sym_SLASH_SLASH] = ACTIONS(2909),
    [anon_sym_CARET_CARET] = ACTIONS(2907),
    [anon_sym_AMP_AMP] = ACTIONS(2909),
    [anon_sym_PIPE] = ACTIONS(2909),
    [anon_sym_CARET] = ACTIONS(2909),
    [anon_sym_AMP] = ACTIONS(2909),
    [anon_sym_GT_GT2] = ACTIONS(2909),
    [anon_sym_PLUS] = ACTIONS(2909),
    [anon_sym_DASH] = ACTIONS(2909),
    [anon_sym_DOT] = ACTIONS(2909),
    [anon_sym_STAR] = ACTIONS(2909),
    [anon_sym_SLASH] = ACTIONS(2909),
    [anon_sym_x] = ACTIONS(2909),
    [anon_sym_EQ_TILDE] = ACTIONS(2907),
    [anon_sym_BANG_TILDE] = ACTIONS(2907),
    [anon_sym_EQ_EQ] = ACTIONS(2909),
    [anon_sym_BANG_EQ] = ACTIONS(2907),
    [anon_sym_eq] = ACTIONS(2909),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2907),
    [anon_sym_equ] = ACTIONS(2907),
    [anon_sym_eqr] = ACTIONS(2907),
    [anon_sym_ne] = ACTIONS(2907),
    [anon_sym_LT_EQ_GT] = ACTIONS(2907),
    [anon_sym_cmp] = ACTIONS(2907),
    [anon_sym_TILDE_TILDE] = ACTIONS(2907),
    [anon_sym_LT] = ACTIONS(2909),
    [anon_sym_LT_EQ] = ACTIONS(2909),
    [anon_sym_GT_EQ] = ACTIONS(2907),
    [anon_sym_lt] = ACTIONS(2907),
    [anon_sym_le] = ACTIONS(2907),
    [anon_sym_ge] = ACTIONS(2907),
    [anon_sym_gt] = ACTIONS(2907),
    [anon_sym_isa] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_QMARK] = ACTIONS(2907),
    [anon_sym_PERCENT2] = ACTIONS(2907),
    [anon_sym_EQ_GT] = ACTIONS(2907),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1821] = {
    [sym_heredoc_content] = STATE(1821),
    [anon_sym_COLON] = ACTIONS(2911),
    [anon_sym_DOLLAR] = ACTIONS(2911),
    [anon_sym_EQ] = ACTIONS(2913),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2911),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2911),
    [anon_sym_AT] = ACTIONS(2911),
    [anon_sym_COMMA] = ACTIONS(2911),
    [anon_sym_RPAREN] = ACTIONS(2911),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2911),
    [anon_sym_DASH_GT] = ACTIONS(2911),
    [anon_sym_PERCENT] = ACTIONS(2913),
    [anon_sym_GT] = ACTIONS(2913),
    [anon_sym_LT_LT] = ACTIONS(2913),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2911),
    [anon_sym_PLUS_EQ] = ACTIONS(2911),
    [anon_sym_DASH_EQ] = ACTIONS(2911),
    [anon_sym_DOT_EQ] = ACTIONS(2911),
    [anon_sym_STAR_EQ] = ACTIONS(2911),
    [anon_sym_SLASH_EQ] = ACTIONS(2911),
    [anon_sym_PERCENT_EQ] = ACTIONS(2913),
    [anon_sym_x_EQ] = ACTIONS(2911),
    [anon_sym_AMP_EQ] = ACTIONS(2911),
    [anon_sym_PIPE_EQ] = ACTIONS(2911),
    [anon_sym_CARET_EQ] = ACTIONS(2911),
    [anon_sym_LT_LT_EQ] = ACTIONS(2911),
    [anon_sym_GT_GT_EQ] = ACTIONS(2911),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2911),
    [anon_sym_DOT_DOT] = ACTIONS(2913),
    [anon_sym_STAR_STAR] = ACTIONS(2913),
    [anon_sym_PIPE_PIPE] = ACTIONS(2913),
    [anon_sym_SLASH_SLASH] = ACTIONS(2913),
    [anon_sym_CARET_CARET] = ACTIONS(2911),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_PIPE] = ACTIONS(2913),
    [anon_sym_CARET] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_GT_GT2] = ACTIONS(2913),
    [anon_sym_PLUS] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2913),
    [anon_sym_DOT] = ACTIONS(2913),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_SLASH] = ACTIONS(2913),
    [anon_sym_x] = ACTIONS(2913),
    [anon_sym_EQ_TILDE] = ACTIONS(2911),
    [anon_sym_BANG_TILDE] = ACTIONS(2911),
    [anon_sym_EQ_EQ] = ACTIONS(2913),
    [anon_sym_BANG_EQ] = ACTIONS(2911),
    [anon_sym_eq] = ACTIONS(2913),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2911),
    [anon_sym_equ] = ACTIONS(2911),
    [anon_sym_eqr] = ACTIONS(2911),
    [anon_sym_ne] = ACTIONS(2911),
    [anon_sym_LT_EQ_GT] = ACTIONS(2911),
    [anon_sym_cmp] = ACTIONS(2911),
    [anon_sym_TILDE_TILDE] = ACTIONS(2911),
    [anon_sym_LT] = ACTIONS(2913),
    [anon_sym_LT_EQ] = ACTIONS(2913),
    [anon_sym_GT_EQ] = ACTIONS(2911),
    [anon_sym_lt] = ACTIONS(2911),
    [anon_sym_le] = ACTIONS(2911),
    [anon_sym_ge] = ACTIONS(2911),
    [anon_sym_gt] = ACTIONS(2911),
    [anon_sym_isa] = ACTIONS(2911),
    [anon_sym_PLUS_PLUS] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2911),
    [anon_sym_QMARK] = ACTIONS(2911),
    [anon_sym_PERCENT2] = ACTIONS(2911),
    [anon_sym_EQ_GT] = ACTIONS(2911),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1822] = {
    [sym_heredoc_content] = STATE(1822),
    [anon_sym_COLON] = ACTIONS(2915),
    [anon_sym_DOLLAR] = ACTIONS(2915),
    [anon_sym_EQ] = ACTIONS(2917),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2915),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2915),
    [anon_sym_AT] = ACTIONS(2915),
    [anon_sym_COMMA] = ACTIONS(2915),
    [anon_sym_RPAREN] = ACTIONS(2915),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2915),
    [anon_sym_DASH_GT] = ACTIONS(2915),
    [anon_sym_PERCENT] = ACTIONS(2917),
    [anon_sym_GT] = ACTIONS(2917),
    [anon_sym_LT_LT] = ACTIONS(2917),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2915),
    [anon_sym_PLUS_EQ] = ACTIONS(2915),
    [anon_sym_DASH_EQ] = ACTIONS(2915),
    [anon_sym_DOT_EQ] = ACTIONS(2915),
    [anon_sym_STAR_EQ] = ACTIONS(2915),
    [anon_sym_SLASH_EQ] = ACTIONS(2915),
    [anon_sym_PERCENT_EQ] = ACTIONS(2917),
    [anon_sym_x_EQ] = ACTIONS(2915),
    [anon_sym_AMP_EQ] = ACTIONS(2915),
    [anon_sym_PIPE_EQ] = ACTIONS(2915),
    [anon_sym_CARET_EQ] = ACTIONS(2915),
    [anon_sym_LT_LT_EQ] = ACTIONS(2915),
    [anon_sym_GT_GT_EQ] = ACTIONS(2915),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2915),
    [anon_sym_DOT_DOT] = ACTIONS(2917),
    [anon_sym_STAR_STAR] = ACTIONS(2917),
    [anon_sym_PIPE_PIPE] = ACTIONS(2917),
    [anon_sym_SLASH_SLASH] = ACTIONS(2917),
    [anon_sym_CARET_CARET] = ACTIONS(2915),
    [anon_sym_AMP_AMP] = ACTIONS(2917),
    [anon_sym_PIPE] = ACTIONS(2917),
    [anon_sym_CARET] = ACTIONS(2917),
    [anon_sym_AMP] = ACTIONS(2917),
    [anon_sym_GT_GT2] = ACTIONS(2917),
    [anon_sym_PLUS] = ACTIONS(2917),
    [anon_sym_DASH] = ACTIONS(2917),
    [anon_sym_DOT] = ACTIONS(2917),
    [anon_sym_STAR] = ACTIONS(2917),
    [anon_sym_SLASH] = ACTIONS(2917),
    [anon_sym_x] = ACTIONS(2917),
    [anon_sym_EQ_TILDE] = ACTIONS(2915),
    [anon_sym_BANG_TILDE] = ACTIONS(2915),
    [anon_sym_EQ_EQ] = ACTIONS(2917),
    [anon_sym_BANG_EQ] = ACTIONS(2915),
    [anon_sym_eq] = ACTIONS(2917),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2915),
    [anon_sym_equ] = ACTIONS(2915),
    [anon_sym_eqr] = ACTIONS(2915),
    [anon_sym_ne] = ACTIONS(2915),
    [anon_sym_LT_EQ_GT] = ACTIONS(2915),
    [anon_sym_cmp] = ACTIONS(2915),
    [anon_sym_TILDE_TILDE] = ACTIONS(2915),
    [anon_sym_LT] = ACTIONS(2917),
    [anon_sym_LT_EQ] = ACTIONS(2917),
    [anon_sym_GT_EQ] = ACTIONS(2915),
    [anon_sym_lt] = ACTIONS(2915),
    [anon_sym_le] = ACTIONS(2915),
    [anon_sym_ge] = ACTIONS(2915),
    [anon_sym_gt] = ACTIONS(2915),
    [anon_sym_isa] = ACTIONS(2915),
    [anon_sym_PLUS_PLUS] = ACTIONS(2915),
    [anon_sym_DASH_DASH] = ACTIONS(2915),
    [anon_sym_QMARK] = ACTIONS(2915),
    [anon_sym_PERCENT2] = ACTIONS(2915),
    [anon_sym_EQ_GT] = ACTIONS(2915),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1823] = {
    [sym_heredoc_content] = STATE(1823),
    [anon_sym_COLON] = ACTIONS(2923),
    [anon_sym_DOLLAR] = ACTIONS(2923),
    [anon_sym_EQ] = ACTIONS(2925),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2923),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2923),
    [anon_sym_AT] = ACTIONS(2923),
    [anon_sym_COMMA] = ACTIONS(2923),
    [anon_sym_RPAREN] = ACTIONS(2923),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2923),
    [anon_sym_DASH_GT] = ACTIONS(2923),
    [anon_sym_PERCENT] = ACTIONS(2925),
    [anon_sym_GT] = ACTIONS(2925),
    [anon_sym_LT_LT] = ACTIONS(2925),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2923),
    [anon_sym_PLUS_EQ] = ACTIONS(2923),
    [anon_sym_DASH_EQ] = ACTIONS(2923),
    [anon_sym_DOT_EQ] = ACTIONS(2923),
    [anon_sym_STAR_EQ] = ACTIONS(2923),
    [anon_sym_SLASH_EQ] = ACTIONS(2923),
    [anon_sym_PERCENT_EQ] = ACTIONS(2925),
    [anon_sym_x_EQ] = ACTIONS(2923),
    [anon_sym_AMP_EQ] = ACTIONS(2923),
    [anon_sym_PIPE_EQ] = ACTIONS(2923),
    [anon_sym_CARET_EQ] = ACTIONS(2923),
    [anon_sym_LT_LT_EQ] = ACTIONS(2923),
    [anon_sym_GT_GT_EQ] = ACTIONS(2923),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2923),
    [anon_sym_DOT_DOT] = ACTIONS(2925),
    [anon_sym_STAR_STAR] = ACTIONS(2925),
    [anon_sym_PIPE_PIPE] = ACTIONS(2925),
    [anon_sym_SLASH_SLASH] = ACTIONS(2925),
    [anon_sym_CARET_CARET] = ACTIONS(2923),
    [anon_sym_AMP_AMP] = ACTIONS(2925),
    [anon_sym_PIPE] = ACTIONS(2925),
    [anon_sym_CARET] = ACTIONS(2925),
    [anon_sym_AMP] = ACTIONS(2925),
    [anon_sym_GT_GT2] = ACTIONS(2925),
    [anon_sym_PLUS] = ACTIONS(2925),
    [anon_sym_DASH] = ACTIONS(2925),
    [anon_sym_DOT] = ACTIONS(2925),
    [anon_sym_STAR] = ACTIONS(2925),
    [anon_sym_SLASH] = ACTIONS(2925),
    [anon_sym_x] = ACTIONS(2925),
    [anon_sym_EQ_TILDE] = ACTIONS(2923),
    [anon_sym_BANG_TILDE] = ACTIONS(2923),
    [anon_sym_EQ_EQ] = ACTIONS(2925),
    [anon_sym_BANG_EQ] = ACTIONS(2923),
    [anon_sym_eq] = ACTIONS(2925),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2923),
    [anon_sym_equ] = ACTIONS(2923),
    [anon_sym_eqr] = ACTIONS(2923),
    [anon_sym_ne] = ACTIONS(2923),
    [anon_sym_LT_EQ_GT] = ACTIONS(2923),
    [anon_sym_cmp] = ACTIONS(2923),
    [anon_sym_TILDE_TILDE] = ACTIONS(2923),
    [anon_sym_LT] = ACTIONS(2925),
    [anon_sym_LT_EQ] = ACTIONS(2925),
    [anon_sym_GT_EQ] = ACTIONS(2923),
    [anon_sym_lt] = ACTIONS(2923),
    [anon_sym_le] = ACTIONS(2923),
    [anon_sym_ge] = ACTIONS(2923),
    [anon_sym_gt] = ACTIONS(2923),
    [anon_sym_isa] = ACTIONS(2923),
    [anon_sym_PLUS_PLUS] = ACTIONS(2923),
    [anon_sym_DASH_DASH] = ACTIONS(2923),
    [anon_sym_QMARK] = ACTIONS(2923),
    [anon_sym_PERCENT2] = ACTIONS(2923),
    [anon_sym_EQ_GT] = ACTIONS(2923),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1824] = {
    [sym_heredoc_content] = STATE(1824),
    [anon_sym_COLON] = ACTIONS(2927),
    [anon_sym_DOLLAR] = ACTIONS(2927),
    [anon_sym_EQ] = ACTIONS(2929),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2927),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2927),
    [anon_sym_AT] = ACTIONS(2927),
    [anon_sym_COMMA] = ACTIONS(2927),
    [anon_sym_RPAREN] = ACTIONS(2927),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2927),
    [anon_sym_DASH_GT] = ACTIONS(2927),
    [anon_sym_PERCENT] = ACTIONS(2929),
    [anon_sym_GT] = ACTIONS(2929),
    [anon_sym_LT_LT] = ACTIONS(2929),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2927),
    [anon_sym_PLUS_EQ] = ACTIONS(2927),
    [anon_sym_DASH_EQ] = ACTIONS(2927),
    [anon_sym_DOT_EQ] = ACTIONS(2927),
    [anon_sym_STAR_EQ] = ACTIONS(2927),
    [anon_sym_SLASH_EQ] = ACTIONS(2927),
    [anon_sym_PERCENT_EQ] = ACTIONS(2929),
    [anon_sym_x_EQ] = ACTIONS(2927),
    [anon_sym_AMP_EQ] = ACTIONS(2927),
    [anon_sym_PIPE_EQ] = ACTIONS(2927),
    [anon_sym_CARET_EQ] = ACTIONS(2927),
    [anon_sym_LT_LT_EQ] = ACTIONS(2927),
    [anon_sym_GT_GT_EQ] = ACTIONS(2927),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2927),
    [anon_sym_DOT_DOT] = ACTIONS(2929),
    [anon_sym_STAR_STAR] = ACTIONS(2929),
    [anon_sym_PIPE_PIPE] = ACTIONS(2929),
    [anon_sym_SLASH_SLASH] = ACTIONS(2929),
    [anon_sym_CARET_CARET] = ACTIONS(2927),
    [anon_sym_AMP_AMP] = ACTIONS(2929),
    [anon_sym_PIPE] = ACTIONS(2929),
    [anon_sym_CARET] = ACTIONS(2929),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_GT_GT2] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2929),
    [anon_sym_DASH] = ACTIONS(2929),
    [anon_sym_DOT] = ACTIONS(2929),
    [anon_sym_STAR] = ACTIONS(2929),
    [anon_sym_SLASH] = ACTIONS(2929),
    [anon_sym_x] = ACTIONS(2929),
    [anon_sym_EQ_TILDE] = ACTIONS(2927),
    [anon_sym_BANG_TILDE] = ACTIONS(2927),
    [anon_sym_EQ_EQ] = ACTIONS(2929),
    [anon_sym_BANG_EQ] = ACTIONS(2927),
    [anon_sym_eq] = ACTIONS(2929),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2927),
    [anon_sym_equ] = ACTIONS(2927),
    [anon_sym_eqr] = ACTIONS(2927),
    [anon_sym_ne] = ACTIONS(2927),
    [anon_sym_LT_EQ_GT] = ACTIONS(2927),
    [anon_sym_cmp] = ACTIONS(2927),
    [anon_sym_TILDE_TILDE] = ACTIONS(2927),
    [anon_sym_LT] = ACTIONS(2929),
    [anon_sym_LT_EQ] = ACTIONS(2929),
    [anon_sym_GT_EQ] = ACTIONS(2927),
    [anon_sym_lt] = ACTIONS(2927),
    [anon_sym_le] = ACTIONS(2927),
    [anon_sym_ge] = ACTIONS(2927),
    [anon_sym_gt] = ACTIONS(2927),
    [anon_sym_isa] = ACTIONS(2927),
    [anon_sym_PLUS_PLUS] = ACTIONS(2927),
    [anon_sym_DASH_DASH] = ACTIONS(2927),
    [anon_sym_QMARK] = ACTIONS(2927),
    [anon_sym_PERCENT2] = ACTIONS(2927),
    [anon_sym_EQ_GT] = ACTIONS(2927),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1825] = {
    [sym_heredoc_content] = STATE(1825),
    [anon_sym_COLON] = ACTIONS(1665),
    [anon_sym_DOLLAR] = ACTIONS(1665),
    [anon_sym_EQ] = ACTIONS(1663),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1665),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1665),
    [anon_sym_AT] = ACTIONS(1665),
    [anon_sym_COMMA] = ACTIONS(1665),
    [anon_sym_RPAREN] = ACTIONS(1665),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1665),
    [anon_sym_DASH_GT] = ACTIONS(1665),
    [anon_sym_PERCENT] = ACTIONS(1663),
    [anon_sym_GT] = ACTIONS(1663),
    [anon_sym_LT_LT] = ACTIONS(1663),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1665),
    [anon_sym_PLUS_EQ] = ACTIONS(1665),
    [anon_sym_DASH_EQ] = ACTIONS(1665),
    [anon_sym_DOT_EQ] = ACTIONS(1665),
    [anon_sym_STAR_EQ] = ACTIONS(1665),
    [anon_sym_SLASH_EQ] = ACTIONS(1665),
    [anon_sym_PERCENT_EQ] = ACTIONS(1663),
    [anon_sym_x_EQ] = ACTIONS(1665),
    [anon_sym_AMP_EQ] = ACTIONS(1665),
    [anon_sym_PIPE_EQ] = ACTIONS(1665),
    [anon_sym_CARET_EQ] = ACTIONS(1665),
    [anon_sym_LT_LT_EQ] = ACTIONS(1665),
    [anon_sym_GT_GT_EQ] = ACTIONS(1665),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1665),
    [anon_sym_DOT_DOT] = ACTIONS(1663),
    [anon_sym_STAR_STAR] = ACTIONS(1663),
    [anon_sym_PIPE_PIPE] = ACTIONS(1663),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_CARET_CARET] = ACTIONS(1665),
    [anon_sym_AMP_AMP] = ACTIONS(1663),
    [anon_sym_PIPE] = ACTIONS(1663),
    [anon_sym_CARET] = ACTIONS(1663),
    [anon_sym_AMP] = ACTIONS(1663),
    [anon_sym_GT_GT2] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(1663),
    [anon_sym_DASH] = ACTIONS(1663),
    [anon_sym_DOT] = ACTIONS(1663),
    [anon_sym_STAR] = ACTIONS(1663),
    [anon_sym_SLASH] = ACTIONS(1663),
    [anon_sym_x] = ACTIONS(1663),
    [anon_sym_EQ_TILDE] = ACTIONS(1665),
    [anon_sym_BANG_TILDE] = ACTIONS(1665),
    [anon_sym_EQ_EQ] = ACTIONS(1663),
    [anon_sym_BANG_EQ] = ACTIONS(1665),
    [anon_sym_eq] = ACTIONS(1663),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1665),
    [anon_sym_equ] = ACTIONS(1665),
    [anon_sym_eqr] = ACTIONS(1665),
    [anon_sym_ne] = ACTIONS(1665),
    [anon_sym_LT_EQ_GT] = ACTIONS(1665),
    [anon_sym_cmp] = ACTIONS(1665),
    [anon_sym_TILDE_TILDE] = ACTIONS(1665),
    [anon_sym_LT] = ACTIONS(1663),
    [anon_sym_LT_EQ] = ACTIONS(1663),
    [anon_sym_GT_EQ] = ACTIONS(1665),
    [anon_sym_lt] = ACTIONS(1665),
    [anon_sym_le] = ACTIONS(1665),
    [anon_sym_ge] = ACTIONS(1665),
    [anon_sym_gt] = ACTIONS(1665),
    [anon_sym_isa] = ACTIONS(1665),
    [anon_sym_PLUS_PLUS] = ACTIONS(1665),
    [anon_sym_DASH_DASH] = ACTIONS(1665),
    [anon_sym_QMARK] = ACTIONS(1665),
    [anon_sym_PERCENT2] = ACTIONS(1665),
    [anon_sym_EQ_GT] = ACTIONS(1665),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1826] = {
    [sym_heredoc_content] = STATE(1826),
    [anon_sym_COLON] = ACTIONS(2644),
    [anon_sym_DOLLAR] = ACTIONS(2644),
    [anon_sym_EQ] = ACTIONS(2646),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2644),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2644),
    [anon_sym_AT] = ACTIONS(2644),
    [anon_sym_COMMA] = ACTIONS(2644),
    [anon_sym_RPAREN] = ACTIONS(2644),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2644),
    [anon_sym_DASH_GT] = ACTIONS(2644),
    [anon_sym_PERCENT] = ACTIONS(2646),
    [anon_sym_GT] = ACTIONS(2646),
    [anon_sym_LT_LT] = ACTIONS(2646),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2644),
    [anon_sym_PLUS_EQ] = ACTIONS(2644),
    [anon_sym_DASH_EQ] = ACTIONS(2644),
    [anon_sym_DOT_EQ] = ACTIONS(2644),
    [anon_sym_STAR_EQ] = ACTIONS(2644),
    [anon_sym_SLASH_EQ] = ACTIONS(2644),
    [anon_sym_PERCENT_EQ] = ACTIONS(2646),
    [anon_sym_x_EQ] = ACTIONS(2644),
    [anon_sym_AMP_EQ] = ACTIONS(2644),
    [anon_sym_PIPE_EQ] = ACTIONS(2644),
    [anon_sym_CARET_EQ] = ACTIONS(2644),
    [anon_sym_LT_LT_EQ] = ACTIONS(2644),
    [anon_sym_GT_GT_EQ] = ACTIONS(2644),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2644),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_STAR_STAR] = ACTIONS(2646),
    [anon_sym_PIPE_PIPE] = ACTIONS(2646),
    [anon_sym_SLASH_SLASH] = ACTIONS(2646),
    [anon_sym_CARET_CARET] = ACTIONS(2644),
    [anon_sym_AMP_AMP] = ACTIONS(2646),
    [anon_sym_PIPE] = ACTIONS(2646),
    [anon_sym_CARET] = ACTIONS(2646),
    [anon_sym_AMP] = ACTIONS(2646),
    [anon_sym_GT_GT2] = ACTIONS(2646),
    [anon_sym_PLUS] = ACTIONS(2646),
    [anon_sym_DASH] = ACTIONS(2646),
    [anon_sym_DOT] = ACTIONS(2646),
    [anon_sym_STAR] = ACTIONS(2646),
    [anon_sym_SLASH] = ACTIONS(2646),
    [anon_sym_x] = ACTIONS(2646),
    [anon_sym_EQ_TILDE] = ACTIONS(2644),
    [anon_sym_BANG_TILDE] = ACTIONS(2644),
    [anon_sym_EQ_EQ] = ACTIONS(2646),
    [anon_sym_BANG_EQ] = ACTIONS(2644),
    [anon_sym_eq] = ACTIONS(2646),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2644),
    [anon_sym_equ] = ACTIONS(2644),
    [anon_sym_eqr] = ACTIONS(2644),
    [anon_sym_ne] = ACTIONS(2644),
    [anon_sym_LT_EQ_GT] = ACTIONS(2644),
    [anon_sym_cmp] = ACTIONS(2644),
    [anon_sym_TILDE_TILDE] = ACTIONS(2644),
    [anon_sym_LT] = ACTIONS(2646),
    [anon_sym_LT_EQ] = ACTIONS(2646),
    [anon_sym_GT_EQ] = ACTIONS(2644),
    [anon_sym_lt] = ACTIONS(2644),
    [anon_sym_le] = ACTIONS(2644),
    [anon_sym_ge] = ACTIONS(2644),
    [anon_sym_gt] = ACTIONS(2644),
    [anon_sym_isa] = ACTIONS(2644),
    [anon_sym_PLUS_PLUS] = ACTIONS(2644),
    [anon_sym_DASH_DASH] = ACTIONS(2644),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_PERCENT2] = ACTIONS(2644),
    [anon_sym_EQ_GT] = ACTIONS(2644),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1827] = {
    [sym_heredoc_content] = STATE(1827),
    [anon_sym_COLON] = ACTIONS(2670),
    [anon_sym_DOLLAR] = ACTIONS(2670),
    [anon_sym_EQ] = ACTIONS(2672),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2670),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2670),
    [anon_sym_AT] = ACTIONS(2670),
    [anon_sym_COMMA] = ACTIONS(2670),
    [anon_sym_RPAREN] = ACTIONS(2670),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2670),
    [anon_sym_DASH_GT] = ACTIONS(2670),
    [anon_sym_PERCENT] = ACTIONS(2672),
    [anon_sym_GT] = ACTIONS(2672),
    [anon_sym_LT_LT] = ACTIONS(2672),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2670),
    [anon_sym_PLUS_EQ] = ACTIONS(2670),
    [anon_sym_DASH_EQ] = ACTIONS(2670),
    [anon_sym_DOT_EQ] = ACTIONS(2670),
    [anon_sym_STAR_EQ] = ACTIONS(2670),
    [anon_sym_SLASH_EQ] = ACTIONS(2670),
    [anon_sym_PERCENT_EQ] = ACTIONS(2672),
    [anon_sym_x_EQ] = ACTIONS(2670),
    [anon_sym_AMP_EQ] = ACTIONS(2670),
    [anon_sym_PIPE_EQ] = ACTIONS(2670),
    [anon_sym_CARET_EQ] = ACTIONS(2670),
    [anon_sym_LT_LT_EQ] = ACTIONS(2670),
    [anon_sym_GT_GT_EQ] = ACTIONS(2670),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2670),
    [anon_sym_DOT_DOT] = ACTIONS(2672),
    [anon_sym_STAR_STAR] = ACTIONS(2672),
    [anon_sym_PIPE_PIPE] = ACTIONS(2672),
    [anon_sym_SLASH_SLASH] = ACTIONS(2672),
    [anon_sym_CARET_CARET] = ACTIONS(2670),
    [anon_sym_AMP_AMP] = ACTIONS(2672),
    [anon_sym_PIPE] = ACTIONS(2672),
    [anon_sym_CARET] = ACTIONS(2672),
    [anon_sym_AMP] = ACTIONS(2672),
    [anon_sym_GT_GT2] = ACTIONS(2672),
    [anon_sym_PLUS] = ACTIONS(2672),
    [anon_sym_DASH] = ACTIONS(2672),
    [anon_sym_DOT] = ACTIONS(2672),
    [anon_sym_STAR] = ACTIONS(2672),
    [anon_sym_SLASH] = ACTIONS(2672),
    [anon_sym_x] = ACTIONS(2672),
    [anon_sym_EQ_TILDE] = ACTIONS(2670),
    [anon_sym_BANG_TILDE] = ACTIONS(2670),
    [anon_sym_EQ_EQ] = ACTIONS(2672),
    [anon_sym_BANG_EQ] = ACTIONS(2670),
    [anon_sym_eq] = ACTIONS(2672),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2670),
    [anon_sym_equ] = ACTIONS(2670),
    [anon_sym_eqr] = ACTIONS(2670),
    [anon_sym_ne] = ACTIONS(2670),
    [anon_sym_LT_EQ_GT] = ACTIONS(2670),
    [anon_sym_cmp] = ACTIONS(2670),
    [anon_sym_TILDE_TILDE] = ACTIONS(2670),
    [anon_sym_LT] = ACTIONS(2672),
    [anon_sym_LT_EQ] = ACTIONS(2672),
    [anon_sym_GT_EQ] = ACTIONS(2670),
    [anon_sym_lt] = ACTIONS(2670),
    [anon_sym_le] = ACTIONS(2670),
    [anon_sym_ge] = ACTIONS(2670),
    [anon_sym_gt] = ACTIONS(2670),
    [anon_sym_isa] = ACTIONS(2670),
    [anon_sym_PLUS_PLUS] = ACTIONS(2670),
    [anon_sym_DASH_DASH] = ACTIONS(2670),
    [anon_sym_QMARK] = ACTIONS(2670),
    [anon_sym_PERCENT2] = ACTIONS(2670),
    [anon_sym_EQ_GT] = ACTIONS(2670),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1828] = {
    [sym_heredoc_content] = STATE(1828),
    [anon_sym_COLON] = ACTIONS(2817),
    [anon_sym_DOLLAR] = ACTIONS(2817),
    [anon_sym_EQ] = ACTIONS(2819),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2817),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2817),
    [anon_sym_AT] = ACTIONS(2817),
    [anon_sym_COMMA] = ACTIONS(2817),
    [anon_sym_RPAREN] = ACTIONS(2817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2817),
    [anon_sym_DASH_GT] = ACTIONS(2817),
    [anon_sym_PERCENT] = ACTIONS(2819),
    [anon_sym_GT] = ACTIONS(2819),
    [anon_sym_LT_LT] = ACTIONS(2819),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2817),
    [anon_sym_PLUS_EQ] = ACTIONS(2817),
    [anon_sym_DASH_EQ] = ACTIONS(2817),
    [anon_sym_DOT_EQ] = ACTIONS(2817),
    [anon_sym_STAR_EQ] = ACTIONS(2817),
    [anon_sym_SLASH_EQ] = ACTIONS(2817),
    [anon_sym_PERCENT_EQ] = ACTIONS(2819),
    [anon_sym_x_EQ] = ACTIONS(2817),
    [anon_sym_AMP_EQ] = ACTIONS(2817),
    [anon_sym_PIPE_EQ] = ACTIONS(2817),
    [anon_sym_CARET_EQ] = ACTIONS(2817),
    [anon_sym_LT_LT_EQ] = ACTIONS(2817),
    [anon_sym_GT_GT_EQ] = ACTIONS(2817),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2817),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_STAR_STAR] = ACTIONS(2819),
    [anon_sym_PIPE_PIPE] = ACTIONS(2819),
    [anon_sym_SLASH_SLASH] = ACTIONS(2819),
    [anon_sym_CARET_CARET] = ACTIONS(2817),
    [anon_sym_AMP_AMP] = ACTIONS(2819),
    [anon_sym_PIPE] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2819),
    [anon_sym_AMP] = ACTIONS(2819),
    [anon_sym_GT_GT2] = ACTIONS(2819),
    [anon_sym_PLUS] = ACTIONS(2819),
    [anon_sym_DASH] = ACTIONS(2819),
    [anon_sym_DOT] = ACTIONS(2819),
    [anon_sym_STAR] = ACTIONS(2819),
    [anon_sym_SLASH] = ACTIONS(2819),
    [anon_sym_x] = ACTIONS(2819),
    [anon_sym_EQ_TILDE] = ACTIONS(2817),
    [anon_sym_BANG_TILDE] = ACTIONS(2817),
    [anon_sym_EQ_EQ] = ACTIONS(2819),
    [anon_sym_BANG_EQ] = ACTIONS(2817),
    [anon_sym_eq] = ACTIONS(2819),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2817),
    [anon_sym_equ] = ACTIONS(2817),
    [anon_sym_eqr] = ACTIONS(2817),
    [anon_sym_ne] = ACTIONS(2817),
    [anon_sym_LT_EQ_GT] = ACTIONS(2817),
    [anon_sym_cmp] = ACTIONS(2817),
    [anon_sym_TILDE_TILDE] = ACTIONS(2817),
    [anon_sym_LT] = ACTIONS(2819),
    [anon_sym_LT_EQ] = ACTIONS(2819),
    [anon_sym_GT_EQ] = ACTIONS(2817),
    [anon_sym_lt] = ACTIONS(2817),
    [anon_sym_le] = ACTIONS(2817),
    [anon_sym_ge] = ACTIONS(2817),
    [anon_sym_gt] = ACTIONS(2817),
    [anon_sym_isa] = ACTIONS(2817),
    [anon_sym_PLUS_PLUS] = ACTIONS(2817),
    [anon_sym_DASH_DASH] = ACTIONS(2817),
    [anon_sym_QMARK] = ACTIONS(2817),
    [anon_sym_PERCENT2] = ACTIONS(2817),
    [anon_sym_EQ_GT] = ACTIONS(2817),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1829] = {
    [sym_heredoc_content] = STATE(1829),
    [anon_sym_COLON] = ACTIONS(2770),
    [anon_sym_DOLLAR] = ACTIONS(2770),
    [anon_sym_EQ] = ACTIONS(2772),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2770),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2770),
    [anon_sym_AT] = ACTIONS(2770),
    [anon_sym_COMMA] = ACTIONS(2770),
    [anon_sym_RPAREN] = ACTIONS(2770),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2770),
    [anon_sym_DASH_GT] = ACTIONS(2770),
    [anon_sym_PERCENT] = ACTIONS(2772),
    [anon_sym_GT] = ACTIONS(2772),
    [anon_sym_LT_LT] = ACTIONS(2772),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2770),
    [anon_sym_PLUS_EQ] = ACTIONS(2770),
    [anon_sym_DASH_EQ] = ACTIONS(2770),
    [anon_sym_DOT_EQ] = ACTIONS(2770),
    [anon_sym_STAR_EQ] = ACTIONS(2770),
    [anon_sym_SLASH_EQ] = ACTIONS(2770),
    [anon_sym_PERCENT_EQ] = ACTIONS(2772),
    [anon_sym_x_EQ] = ACTIONS(2770),
    [anon_sym_AMP_EQ] = ACTIONS(2770),
    [anon_sym_PIPE_EQ] = ACTIONS(2770),
    [anon_sym_CARET_EQ] = ACTIONS(2770),
    [anon_sym_LT_LT_EQ] = ACTIONS(2770),
    [anon_sym_GT_GT_EQ] = ACTIONS(2770),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2770),
    [anon_sym_DOT_DOT] = ACTIONS(2772),
    [anon_sym_STAR_STAR] = ACTIONS(2772),
    [anon_sym_PIPE_PIPE] = ACTIONS(2772),
    [anon_sym_SLASH_SLASH] = ACTIONS(2772),
    [anon_sym_CARET_CARET] = ACTIONS(2770),
    [anon_sym_AMP_AMP] = ACTIONS(2772),
    [anon_sym_PIPE] = ACTIONS(2772),
    [anon_sym_CARET] = ACTIONS(2772),
    [anon_sym_AMP] = ACTIONS(2772),
    [anon_sym_GT_GT2] = ACTIONS(2772),
    [anon_sym_PLUS] = ACTIONS(2772),
    [anon_sym_DASH] = ACTIONS(2772),
    [anon_sym_DOT] = ACTIONS(2772),
    [anon_sym_STAR] = ACTIONS(2772),
    [anon_sym_SLASH] = ACTIONS(2772),
    [anon_sym_x] = ACTIONS(2772),
    [anon_sym_EQ_TILDE] = ACTIONS(2770),
    [anon_sym_BANG_TILDE] = ACTIONS(2770),
    [anon_sym_EQ_EQ] = ACTIONS(2772),
    [anon_sym_BANG_EQ] = ACTIONS(2770),
    [anon_sym_eq] = ACTIONS(2772),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2770),
    [anon_sym_equ] = ACTIONS(2770),
    [anon_sym_eqr] = ACTIONS(2770),
    [anon_sym_ne] = ACTIONS(2770),
    [anon_sym_LT_EQ_GT] = ACTIONS(2770),
    [anon_sym_cmp] = ACTIONS(2770),
    [anon_sym_TILDE_TILDE] = ACTIONS(2770),
    [anon_sym_LT] = ACTIONS(2772),
    [anon_sym_LT_EQ] = ACTIONS(2772),
    [anon_sym_GT_EQ] = ACTIONS(2770),
    [anon_sym_lt] = ACTIONS(2770),
    [anon_sym_le] = ACTIONS(2770),
    [anon_sym_ge] = ACTIONS(2770),
    [anon_sym_gt] = ACTIONS(2770),
    [anon_sym_isa] = ACTIONS(2770),
    [anon_sym_PLUS_PLUS] = ACTIONS(2770),
    [anon_sym_DASH_DASH] = ACTIONS(2770),
    [anon_sym_QMARK] = ACTIONS(2770),
    [anon_sym_PERCENT2] = ACTIONS(2770),
    [anon_sym_EQ_GT] = ACTIONS(2770),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1830] = {
    [sym_heredoc_content] = STATE(1830),
    [anon_sym_COLON] = ACTIONS(2726),
    [anon_sym_DOLLAR] = ACTIONS(2726),
    [anon_sym_EQ] = ACTIONS(2728),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2726),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2726),
    [anon_sym_AT] = ACTIONS(2726),
    [anon_sym_COMMA] = ACTIONS(2726),
    [anon_sym_RPAREN] = ACTIONS(2726),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2726),
    [anon_sym_DASH_GT] = ACTIONS(2726),
    [anon_sym_PERCENT] = ACTIONS(2728),
    [anon_sym_GT] = ACTIONS(2728),
    [anon_sym_LT_LT] = ACTIONS(2728),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2726),
    [anon_sym_PLUS_EQ] = ACTIONS(2726),
    [anon_sym_DASH_EQ] = ACTIONS(2726),
    [anon_sym_DOT_EQ] = ACTIONS(2726),
    [anon_sym_STAR_EQ] = ACTIONS(2726),
    [anon_sym_SLASH_EQ] = ACTIONS(2726),
    [anon_sym_PERCENT_EQ] = ACTIONS(2728),
    [anon_sym_x_EQ] = ACTIONS(2726),
    [anon_sym_AMP_EQ] = ACTIONS(2726),
    [anon_sym_PIPE_EQ] = ACTIONS(2726),
    [anon_sym_CARET_EQ] = ACTIONS(2726),
    [anon_sym_LT_LT_EQ] = ACTIONS(2726),
    [anon_sym_GT_GT_EQ] = ACTIONS(2726),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2726),
    [anon_sym_DOT_DOT] = ACTIONS(2728),
    [anon_sym_STAR_STAR] = ACTIONS(2728),
    [anon_sym_PIPE_PIPE] = ACTIONS(2728),
    [anon_sym_SLASH_SLASH] = ACTIONS(2728),
    [anon_sym_CARET_CARET] = ACTIONS(2726),
    [anon_sym_AMP_AMP] = ACTIONS(2728),
    [anon_sym_PIPE] = ACTIONS(2728),
    [anon_sym_CARET] = ACTIONS(2728),
    [anon_sym_AMP] = ACTIONS(2728),
    [anon_sym_GT_GT2] = ACTIONS(2728),
    [anon_sym_PLUS] = ACTIONS(2728),
    [anon_sym_DASH] = ACTIONS(2728),
    [anon_sym_DOT] = ACTIONS(2728),
    [anon_sym_STAR] = ACTIONS(2728),
    [anon_sym_SLASH] = ACTIONS(2728),
    [anon_sym_x] = ACTIONS(2728),
    [anon_sym_EQ_TILDE] = ACTIONS(2726),
    [anon_sym_BANG_TILDE] = ACTIONS(2726),
    [anon_sym_EQ_EQ] = ACTIONS(2728),
    [anon_sym_BANG_EQ] = ACTIONS(2726),
    [anon_sym_eq] = ACTIONS(2728),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2726),
    [anon_sym_equ] = ACTIONS(2726),
    [anon_sym_eqr] = ACTIONS(2726),
    [anon_sym_ne] = ACTIONS(2726),
    [anon_sym_LT_EQ_GT] = ACTIONS(2726),
    [anon_sym_cmp] = ACTIONS(2726),
    [anon_sym_TILDE_TILDE] = ACTIONS(2726),
    [anon_sym_LT] = ACTIONS(2728),
    [anon_sym_LT_EQ] = ACTIONS(2728),
    [anon_sym_GT_EQ] = ACTIONS(2726),
    [anon_sym_lt] = ACTIONS(2726),
    [anon_sym_le] = ACTIONS(2726),
    [anon_sym_ge] = ACTIONS(2726),
    [anon_sym_gt] = ACTIONS(2726),
    [anon_sym_isa] = ACTIONS(2726),
    [anon_sym_PLUS_PLUS] = ACTIONS(2726),
    [anon_sym_DASH_DASH] = ACTIONS(2726),
    [anon_sym_QMARK] = ACTIONS(2726),
    [anon_sym_PERCENT2] = ACTIONS(2726),
    [anon_sym_EQ_GT] = ACTIONS(2726),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1831] = {
    [sym_heredoc_content] = STATE(1831),
    [anon_sym_COLON] = ACTIONS(2935),
    [anon_sym_DOLLAR] = ACTIONS(2935),
    [anon_sym_EQ] = ACTIONS(2937),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2935),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2935),
    [anon_sym_AT] = ACTIONS(2935),
    [anon_sym_COMMA] = ACTIONS(2935),
    [anon_sym_RPAREN] = ACTIONS(2935),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2935),
    [anon_sym_DASH_GT] = ACTIONS(2935),
    [anon_sym_PERCENT] = ACTIONS(2937),
    [anon_sym_GT] = ACTIONS(2937),
    [anon_sym_LT_LT] = ACTIONS(2937),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2935),
    [anon_sym_PLUS_EQ] = ACTIONS(2935),
    [anon_sym_DASH_EQ] = ACTIONS(2935),
    [anon_sym_DOT_EQ] = ACTIONS(2935),
    [anon_sym_STAR_EQ] = ACTIONS(2935),
    [anon_sym_SLASH_EQ] = ACTIONS(2935),
    [anon_sym_PERCENT_EQ] = ACTIONS(2937),
    [anon_sym_x_EQ] = ACTIONS(2935),
    [anon_sym_AMP_EQ] = ACTIONS(2935),
    [anon_sym_PIPE_EQ] = ACTIONS(2935),
    [anon_sym_CARET_EQ] = ACTIONS(2935),
    [anon_sym_LT_LT_EQ] = ACTIONS(2935),
    [anon_sym_GT_GT_EQ] = ACTIONS(2935),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2935),
    [anon_sym_DOT_DOT] = ACTIONS(2937),
    [anon_sym_STAR_STAR] = ACTIONS(2937),
    [anon_sym_PIPE_PIPE] = ACTIONS(2937),
    [anon_sym_SLASH_SLASH] = ACTIONS(2937),
    [anon_sym_CARET_CARET] = ACTIONS(2935),
    [anon_sym_AMP_AMP] = ACTIONS(2937),
    [anon_sym_PIPE] = ACTIONS(2937),
    [anon_sym_CARET] = ACTIONS(2937),
    [anon_sym_AMP] = ACTIONS(2937),
    [anon_sym_GT_GT2] = ACTIONS(2937),
    [anon_sym_PLUS] = ACTIONS(2937),
    [anon_sym_DASH] = ACTIONS(2937),
    [anon_sym_DOT] = ACTIONS(2937),
    [anon_sym_STAR] = ACTIONS(2937),
    [anon_sym_SLASH] = ACTIONS(2937),
    [anon_sym_x] = ACTIONS(2937),
    [anon_sym_EQ_TILDE] = ACTIONS(2935),
    [anon_sym_BANG_TILDE] = ACTIONS(2935),
    [anon_sym_EQ_EQ] = ACTIONS(2937),
    [anon_sym_BANG_EQ] = ACTIONS(2935),
    [anon_sym_eq] = ACTIONS(2937),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2935),
    [anon_sym_equ] = ACTIONS(2935),
    [anon_sym_eqr] = ACTIONS(2935),
    [anon_sym_ne] = ACTIONS(2935),
    [anon_sym_LT_EQ_GT] = ACTIONS(2935),
    [anon_sym_cmp] = ACTIONS(2935),
    [anon_sym_TILDE_TILDE] = ACTIONS(2935),
    [anon_sym_LT] = ACTIONS(2937),
    [anon_sym_LT_EQ] = ACTIONS(2937),
    [anon_sym_GT_EQ] = ACTIONS(2935),
    [anon_sym_lt] = ACTIONS(2935),
    [anon_sym_le] = ACTIONS(2935),
    [anon_sym_ge] = ACTIONS(2935),
    [anon_sym_gt] = ACTIONS(2935),
    [anon_sym_isa] = ACTIONS(2935),
    [anon_sym_PLUS_PLUS] = ACTIONS(2935),
    [anon_sym_DASH_DASH] = ACTIONS(2935),
    [anon_sym_QMARK] = ACTIONS(2935),
    [anon_sym_PERCENT2] = ACTIONS(2935),
    [anon_sym_EQ_GT] = ACTIONS(2935),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1832] = {
    [sym_heredoc_content] = STATE(1832),
    [anon_sym_COLON] = ACTIONS(2939),
    [anon_sym_DOLLAR] = ACTIONS(2939),
    [anon_sym_EQ] = ACTIONS(2941),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2939),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2939),
    [anon_sym_AT] = ACTIONS(2939),
    [anon_sym_COMMA] = ACTIONS(2939),
    [anon_sym_RPAREN] = ACTIONS(2939),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2939),
    [anon_sym_DASH_GT] = ACTIONS(2939),
    [anon_sym_PERCENT] = ACTIONS(2941),
    [anon_sym_GT] = ACTIONS(2941),
    [anon_sym_LT_LT] = ACTIONS(2941),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2939),
    [anon_sym_PLUS_EQ] = ACTIONS(2939),
    [anon_sym_DASH_EQ] = ACTIONS(2939),
    [anon_sym_DOT_EQ] = ACTIONS(2939),
    [anon_sym_STAR_EQ] = ACTIONS(2939),
    [anon_sym_SLASH_EQ] = ACTIONS(2939),
    [anon_sym_PERCENT_EQ] = ACTIONS(2941),
    [anon_sym_x_EQ] = ACTIONS(2939),
    [anon_sym_AMP_EQ] = ACTIONS(2939),
    [anon_sym_PIPE_EQ] = ACTIONS(2939),
    [anon_sym_CARET_EQ] = ACTIONS(2939),
    [anon_sym_LT_LT_EQ] = ACTIONS(2939),
    [anon_sym_GT_GT_EQ] = ACTIONS(2939),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2939),
    [anon_sym_DOT_DOT] = ACTIONS(2941),
    [anon_sym_STAR_STAR] = ACTIONS(2941),
    [anon_sym_PIPE_PIPE] = ACTIONS(2941),
    [anon_sym_SLASH_SLASH] = ACTIONS(2941),
    [anon_sym_CARET_CARET] = ACTIONS(2939),
    [anon_sym_AMP_AMP] = ACTIONS(2941),
    [anon_sym_PIPE] = ACTIONS(2941),
    [anon_sym_CARET] = ACTIONS(2941),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_GT_GT2] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_DOT] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2941),
    [anon_sym_SLASH] = ACTIONS(2941),
    [anon_sym_x] = ACTIONS(2941),
    [anon_sym_EQ_TILDE] = ACTIONS(2939),
    [anon_sym_BANG_TILDE] = ACTIONS(2939),
    [anon_sym_EQ_EQ] = ACTIONS(2941),
    [anon_sym_BANG_EQ] = ACTIONS(2939),
    [anon_sym_eq] = ACTIONS(2941),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2939),
    [anon_sym_equ] = ACTIONS(2939),
    [anon_sym_eqr] = ACTIONS(2939),
    [anon_sym_ne] = ACTIONS(2939),
    [anon_sym_LT_EQ_GT] = ACTIONS(2939),
    [anon_sym_cmp] = ACTIONS(2939),
    [anon_sym_TILDE_TILDE] = ACTIONS(2939),
    [anon_sym_LT] = ACTIONS(2941),
    [anon_sym_LT_EQ] = ACTIONS(2941),
    [anon_sym_GT_EQ] = ACTIONS(2939),
    [anon_sym_lt] = ACTIONS(2939),
    [anon_sym_le] = ACTIONS(2939),
    [anon_sym_ge] = ACTIONS(2939),
    [anon_sym_gt] = ACTIONS(2939),
    [anon_sym_isa] = ACTIONS(2939),
    [anon_sym_PLUS_PLUS] = ACTIONS(2939),
    [anon_sym_DASH_DASH] = ACTIONS(2939),
    [anon_sym_QMARK] = ACTIONS(2939),
    [anon_sym_PERCENT2] = ACTIONS(2939),
    [anon_sym_EQ_GT] = ACTIONS(2939),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1833] = {
    [sym_heredoc_content] = STATE(1833),
    [anon_sym_COLON] = ACTIONS(2951),
    [anon_sym_DOLLAR] = ACTIONS(2951),
    [anon_sym_EQ] = ACTIONS(2953),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2951),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2951),
    [anon_sym_AT] = ACTIONS(2951),
    [anon_sym_COMMA] = ACTIONS(2951),
    [anon_sym_RPAREN] = ACTIONS(2951),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2951),
    [anon_sym_DASH_GT] = ACTIONS(2951),
    [anon_sym_PERCENT] = ACTIONS(2953),
    [anon_sym_GT] = ACTIONS(2953),
    [anon_sym_LT_LT] = ACTIONS(2953),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2951),
    [anon_sym_PLUS_EQ] = ACTIONS(2951),
    [anon_sym_DASH_EQ] = ACTIONS(2951),
    [anon_sym_DOT_EQ] = ACTIONS(2951),
    [anon_sym_STAR_EQ] = ACTIONS(2951),
    [anon_sym_SLASH_EQ] = ACTIONS(2951),
    [anon_sym_PERCENT_EQ] = ACTIONS(2953),
    [anon_sym_x_EQ] = ACTIONS(2951),
    [anon_sym_AMP_EQ] = ACTIONS(2951),
    [anon_sym_PIPE_EQ] = ACTIONS(2951),
    [anon_sym_CARET_EQ] = ACTIONS(2951),
    [anon_sym_LT_LT_EQ] = ACTIONS(2951),
    [anon_sym_GT_GT_EQ] = ACTIONS(2951),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2951),
    [anon_sym_DOT_DOT] = ACTIONS(2953),
    [anon_sym_STAR_STAR] = ACTIONS(2953),
    [anon_sym_PIPE_PIPE] = ACTIONS(2953),
    [anon_sym_SLASH_SLASH] = ACTIONS(2953),
    [anon_sym_CARET_CARET] = ACTIONS(2951),
    [anon_sym_AMP_AMP] = ACTIONS(2953),
    [anon_sym_PIPE] = ACTIONS(2953),
    [anon_sym_CARET] = ACTIONS(2953),
    [anon_sym_AMP] = ACTIONS(2953),
    [anon_sym_GT_GT2] = ACTIONS(2953),
    [anon_sym_PLUS] = ACTIONS(2953),
    [anon_sym_DASH] = ACTIONS(2953),
    [anon_sym_DOT] = ACTIONS(2953),
    [anon_sym_STAR] = ACTIONS(2953),
    [anon_sym_SLASH] = ACTIONS(2953),
    [anon_sym_x] = ACTIONS(2953),
    [anon_sym_EQ_TILDE] = ACTIONS(2951),
    [anon_sym_BANG_TILDE] = ACTIONS(2951),
    [anon_sym_EQ_EQ] = ACTIONS(2953),
    [anon_sym_BANG_EQ] = ACTIONS(2951),
    [anon_sym_eq] = ACTIONS(2953),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2951),
    [anon_sym_equ] = ACTIONS(2951),
    [anon_sym_eqr] = ACTIONS(2951),
    [anon_sym_ne] = ACTIONS(2951),
    [anon_sym_LT_EQ_GT] = ACTIONS(2951),
    [anon_sym_cmp] = ACTIONS(2951),
    [anon_sym_TILDE_TILDE] = ACTIONS(2951),
    [anon_sym_LT] = ACTIONS(2953),
    [anon_sym_LT_EQ] = ACTIONS(2953),
    [anon_sym_GT_EQ] = ACTIONS(2951),
    [anon_sym_lt] = ACTIONS(2951),
    [anon_sym_le] = ACTIONS(2951),
    [anon_sym_ge] = ACTIONS(2951),
    [anon_sym_gt] = ACTIONS(2951),
    [anon_sym_isa] = ACTIONS(2951),
    [anon_sym_PLUS_PLUS] = ACTIONS(2951),
    [anon_sym_DASH_DASH] = ACTIONS(2951),
    [anon_sym_QMARK] = ACTIONS(2951),
    [anon_sym_PERCENT2] = ACTIONS(2951),
    [anon_sym_EQ_GT] = ACTIONS(2951),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1834] = {
    [sym_heredoc_content] = STATE(1834),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_DOLLAR] = ACTIONS(2955),
    [anon_sym_EQ] = ACTIONS(2957),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2955),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2955),
    [anon_sym_AT] = ACTIONS(2955),
    [anon_sym_COMMA] = ACTIONS(2955),
    [anon_sym_RPAREN] = ACTIONS(2955),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2955),
    [anon_sym_DASH_GT] = ACTIONS(2955),
    [anon_sym_PERCENT] = ACTIONS(2957),
    [anon_sym_GT] = ACTIONS(2957),
    [anon_sym_LT_LT] = ACTIONS(2957),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2955),
    [anon_sym_PLUS_EQ] = ACTIONS(2955),
    [anon_sym_DASH_EQ] = ACTIONS(2955),
    [anon_sym_DOT_EQ] = ACTIONS(2955),
    [anon_sym_STAR_EQ] = ACTIONS(2955),
    [anon_sym_SLASH_EQ] = ACTIONS(2955),
    [anon_sym_PERCENT_EQ] = ACTIONS(2957),
    [anon_sym_x_EQ] = ACTIONS(2955),
    [anon_sym_AMP_EQ] = ACTIONS(2955),
    [anon_sym_PIPE_EQ] = ACTIONS(2955),
    [anon_sym_CARET_EQ] = ACTIONS(2955),
    [anon_sym_LT_LT_EQ] = ACTIONS(2955),
    [anon_sym_GT_GT_EQ] = ACTIONS(2955),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2955),
    [anon_sym_DOT_DOT] = ACTIONS(2957),
    [anon_sym_STAR_STAR] = ACTIONS(2957),
    [anon_sym_PIPE_PIPE] = ACTIONS(2957),
    [anon_sym_SLASH_SLASH] = ACTIONS(2957),
    [anon_sym_CARET_CARET] = ACTIONS(2955),
    [anon_sym_AMP_AMP] = ACTIONS(2957),
    [anon_sym_PIPE] = ACTIONS(2957),
    [anon_sym_CARET] = ACTIONS(2957),
    [anon_sym_AMP] = ACTIONS(2957),
    [anon_sym_GT_GT2] = ACTIONS(2957),
    [anon_sym_PLUS] = ACTIONS(2957),
    [anon_sym_DASH] = ACTIONS(2957),
    [anon_sym_DOT] = ACTIONS(2957),
    [anon_sym_STAR] = ACTIONS(2957),
    [anon_sym_SLASH] = ACTIONS(2957),
    [anon_sym_x] = ACTIONS(2957),
    [anon_sym_EQ_TILDE] = ACTIONS(2955),
    [anon_sym_BANG_TILDE] = ACTIONS(2955),
    [anon_sym_EQ_EQ] = ACTIONS(2957),
    [anon_sym_BANG_EQ] = ACTIONS(2955),
    [anon_sym_eq] = ACTIONS(2957),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2955),
    [anon_sym_equ] = ACTIONS(2955),
    [anon_sym_eqr] = ACTIONS(2955),
    [anon_sym_ne] = ACTIONS(2955),
    [anon_sym_LT_EQ_GT] = ACTIONS(2955),
    [anon_sym_cmp] = ACTIONS(2955),
    [anon_sym_TILDE_TILDE] = ACTIONS(2955),
    [anon_sym_LT] = ACTIONS(2957),
    [anon_sym_LT_EQ] = ACTIONS(2957),
    [anon_sym_GT_EQ] = ACTIONS(2955),
    [anon_sym_lt] = ACTIONS(2955),
    [anon_sym_le] = ACTIONS(2955),
    [anon_sym_ge] = ACTIONS(2955),
    [anon_sym_gt] = ACTIONS(2955),
    [anon_sym_isa] = ACTIONS(2955),
    [anon_sym_PLUS_PLUS] = ACTIONS(2955),
    [anon_sym_DASH_DASH] = ACTIONS(2955),
    [anon_sym_QMARK] = ACTIONS(2955),
    [anon_sym_PERCENT2] = ACTIONS(2955),
    [anon_sym_EQ_GT] = ACTIONS(2955),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1835] = {
    [sym_heredoc_content] = STATE(1835),
    [anon_sym_COLON] = ACTIONS(2963),
    [anon_sym_DOLLAR] = ACTIONS(2963),
    [anon_sym_EQ] = ACTIONS(2965),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2963),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2963),
    [anon_sym_AT] = ACTIONS(2963),
    [anon_sym_COMMA] = ACTIONS(2963),
    [anon_sym_RPAREN] = ACTIONS(2963),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2963),
    [anon_sym_DASH_GT] = ACTIONS(2963),
    [anon_sym_PERCENT] = ACTIONS(2965),
    [anon_sym_GT] = ACTIONS(2965),
    [anon_sym_LT_LT] = ACTIONS(2965),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2963),
    [anon_sym_PLUS_EQ] = ACTIONS(2963),
    [anon_sym_DASH_EQ] = ACTIONS(2963),
    [anon_sym_DOT_EQ] = ACTIONS(2963),
    [anon_sym_STAR_EQ] = ACTIONS(2963),
    [anon_sym_SLASH_EQ] = ACTIONS(2963),
    [anon_sym_PERCENT_EQ] = ACTIONS(2965),
    [anon_sym_x_EQ] = ACTIONS(2963),
    [anon_sym_AMP_EQ] = ACTIONS(2963),
    [anon_sym_PIPE_EQ] = ACTIONS(2963),
    [anon_sym_CARET_EQ] = ACTIONS(2963),
    [anon_sym_LT_LT_EQ] = ACTIONS(2963),
    [anon_sym_GT_GT_EQ] = ACTIONS(2963),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2963),
    [anon_sym_DOT_DOT] = ACTIONS(2965),
    [anon_sym_STAR_STAR] = ACTIONS(2965),
    [anon_sym_PIPE_PIPE] = ACTIONS(2965),
    [anon_sym_SLASH_SLASH] = ACTIONS(2965),
    [anon_sym_CARET_CARET] = ACTIONS(2963),
    [anon_sym_AMP_AMP] = ACTIONS(2965),
    [anon_sym_PIPE] = ACTIONS(2965),
    [anon_sym_CARET] = ACTIONS(2965),
    [anon_sym_AMP] = ACTIONS(2965),
    [anon_sym_GT_GT2] = ACTIONS(2965),
    [anon_sym_PLUS] = ACTIONS(2965),
    [anon_sym_DASH] = ACTIONS(2965),
    [anon_sym_DOT] = ACTIONS(2965),
    [anon_sym_STAR] = ACTIONS(2965),
    [anon_sym_SLASH] = ACTIONS(2965),
    [anon_sym_x] = ACTIONS(2965),
    [anon_sym_EQ_TILDE] = ACTIONS(2963),
    [anon_sym_BANG_TILDE] = ACTIONS(2963),
    [anon_sym_EQ_EQ] = ACTIONS(2965),
    [anon_sym_BANG_EQ] = ACTIONS(2963),
    [anon_sym_eq] = ACTIONS(2965),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2963),
    [anon_sym_equ] = ACTIONS(2963),
    [anon_sym_eqr] = ACTIONS(2963),
    [anon_sym_ne] = ACTIONS(2963),
    [anon_sym_LT_EQ_GT] = ACTIONS(2963),
    [anon_sym_cmp] = ACTIONS(2963),
    [anon_sym_TILDE_TILDE] = ACTIONS(2963),
    [anon_sym_LT] = ACTIONS(2965),
    [anon_sym_LT_EQ] = ACTIONS(2965),
    [anon_sym_GT_EQ] = ACTIONS(2963),
    [anon_sym_lt] = ACTIONS(2963),
    [anon_sym_le] = ACTIONS(2963),
    [anon_sym_ge] = ACTIONS(2963),
    [anon_sym_gt] = ACTIONS(2963),
    [anon_sym_isa] = ACTIONS(2963),
    [anon_sym_PLUS_PLUS] = ACTIONS(2963),
    [anon_sym_DASH_DASH] = ACTIONS(2963),
    [anon_sym_QMARK] = ACTIONS(2963),
    [anon_sym_PERCENT2] = ACTIONS(2963),
    [anon_sym_EQ_GT] = ACTIONS(2963),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1836] = {
    [sym_heredoc_content] = STATE(1836),
    [anon_sym_COLON] = ACTIONS(2975),
    [anon_sym_DOLLAR] = ACTIONS(2975),
    [anon_sym_EQ] = ACTIONS(2977),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2975),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2975),
    [anon_sym_AT] = ACTIONS(2975),
    [anon_sym_COMMA] = ACTIONS(2975),
    [anon_sym_RPAREN] = ACTIONS(2975),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2975),
    [anon_sym_DASH_GT] = ACTIONS(2975),
    [anon_sym_PERCENT] = ACTIONS(2977),
    [anon_sym_GT] = ACTIONS(2977),
    [anon_sym_LT_LT] = ACTIONS(2977),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2975),
    [anon_sym_PLUS_EQ] = ACTIONS(2975),
    [anon_sym_DASH_EQ] = ACTIONS(2975),
    [anon_sym_DOT_EQ] = ACTIONS(2975),
    [anon_sym_STAR_EQ] = ACTIONS(2975),
    [anon_sym_SLASH_EQ] = ACTIONS(2975),
    [anon_sym_PERCENT_EQ] = ACTIONS(2977),
    [anon_sym_x_EQ] = ACTIONS(2975),
    [anon_sym_AMP_EQ] = ACTIONS(2975),
    [anon_sym_PIPE_EQ] = ACTIONS(2975),
    [anon_sym_CARET_EQ] = ACTIONS(2975),
    [anon_sym_LT_LT_EQ] = ACTIONS(2975),
    [anon_sym_GT_GT_EQ] = ACTIONS(2975),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2975),
    [anon_sym_DOT_DOT] = ACTIONS(2977),
    [anon_sym_STAR_STAR] = ACTIONS(2977),
    [anon_sym_PIPE_PIPE] = ACTIONS(2977),
    [anon_sym_SLASH_SLASH] = ACTIONS(2977),
    [anon_sym_CARET_CARET] = ACTIONS(2975),
    [anon_sym_AMP_AMP] = ACTIONS(2977),
    [anon_sym_PIPE] = ACTIONS(2977),
    [anon_sym_CARET] = ACTIONS(2977),
    [anon_sym_AMP] = ACTIONS(2977),
    [anon_sym_GT_GT2] = ACTIONS(2977),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(2977),
    [anon_sym_DOT] = ACTIONS(2977),
    [anon_sym_STAR] = ACTIONS(2977),
    [anon_sym_SLASH] = ACTIONS(2977),
    [anon_sym_x] = ACTIONS(2977),
    [anon_sym_EQ_TILDE] = ACTIONS(2975),
    [anon_sym_BANG_TILDE] = ACTIONS(2975),
    [anon_sym_EQ_EQ] = ACTIONS(2977),
    [anon_sym_BANG_EQ] = ACTIONS(2975),
    [anon_sym_eq] = ACTIONS(2977),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2975),
    [anon_sym_equ] = ACTIONS(2975),
    [anon_sym_eqr] = ACTIONS(2975),
    [anon_sym_ne] = ACTIONS(2975),
    [anon_sym_LT_EQ_GT] = ACTIONS(2975),
    [anon_sym_cmp] = ACTIONS(2975),
    [anon_sym_TILDE_TILDE] = ACTIONS(2975),
    [anon_sym_LT] = ACTIONS(2977),
    [anon_sym_LT_EQ] = ACTIONS(2977),
    [anon_sym_GT_EQ] = ACTIONS(2975),
    [anon_sym_lt] = ACTIONS(2975),
    [anon_sym_le] = ACTIONS(2975),
    [anon_sym_ge] = ACTIONS(2975),
    [anon_sym_gt] = ACTIONS(2975),
    [anon_sym_isa] = ACTIONS(2975),
    [anon_sym_PLUS_PLUS] = ACTIONS(2975),
    [anon_sym_DASH_DASH] = ACTIONS(2975),
    [anon_sym_QMARK] = ACTIONS(2975),
    [anon_sym_PERCENT2] = ACTIONS(2975),
    [anon_sym_EQ_GT] = ACTIONS(2975),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1837] = {
    [sym_heredoc_content] = STATE(1837),
    [anon_sym_COLON] = ACTIONS(2979),
    [anon_sym_DOLLAR] = ACTIONS(2979),
    [anon_sym_EQ] = ACTIONS(2981),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2979),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2979),
    [anon_sym_AT] = ACTIONS(2979),
    [anon_sym_COMMA] = ACTIONS(2979),
    [anon_sym_RPAREN] = ACTIONS(2979),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2979),
    [anon_sym_DASH_GT] = ACTIONS(2979),
    [anon_sym_PERCENT] = ACTIONS(2981),
    [anon_sym_GT] = ACTIONS(2981),
    [anon_sym_LT_LT] = ACTIONS(2981),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2979),
    [anon_sym_PLUS_EQ] = ACTIONS(2979),
    [anon_sym_DASH_EQ] = ACTIONS(2979),
    [anon_sym_DOT_EQ] = ACTIONS(2979),
    [anon_sym_STAR_EQ] = ACTIONS(2979),
    [anon_sym_SLASH_EQ] = ACTIONS(2979),
    [anon_sym_PERCENT_EQ] = ACTIONS(2981),
    [anon_sym_x_EQ] = ACTIONS(2979),
    [anon_sym_AMP_EQ] = ACTIONS(2979),
    [anon_sym_PIPE_EQ] = ACTIONS(2979),
    [anon_sym_CARET_EQ] = ACTIONS(2979),
    [anon_sym_LT_LT_EQ] = ACTIONS(2979),
    [anon_sym_GT_GT_EQ] = ACTIONS(2979),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2979),
    [anon_sym_DOT_DOT] = ACTIONS(2981),
    [anon_sym_STAR_STAR] = ACTIONS(2981),
    [anon_sym_PIPE_PIPE] = ACTIONS(2981),
    [anon_sym_SLASH_SLASH] = ACTIONS(2981),
    [anon_sym_CARET_CARET] = ACTIONS(2979),
    [anon_sym_AMP_AMP] = ACTIONS(2981),
    [anon_sym_PIPE] = ACTIONS(2981),
    [anon_sym_CARET] = ACTIONS(2981),
    [anon_sym_AMP] = ACTIONS(2981),
    [anon_sym_GT_GT2] = ACTIONS(2981),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_DOT] = ACTIONS(2981),
    [anon_sym_STAR] = ACTIONS(2981),
    [anon_sym_SLASH] = ACTIONS(2981),
    [anon_sym_x] = ACTIONS(2981),
    [anon_sym_EQ_TILDE] = ACTIONS(2979),
    [anon_sym_BANG_TILDE] = ACTIONS(2979),
    [anon_sym_EQ_EQ] = ACTIONS(2981),
    [anon_sym_BANG_EQ] = ACTIONS(2979),
    [anon_sym_eq] = ACTIONS(2981),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2979),
    [anon_sym_equ] = ACTIONS(2979),
    [anon_sym_eqr] = ACTIONS(2979),
    [anon_sym_ne] = ACTIONS(2979),
    [anon_sym_LT_EQ_GT] = ACTIONS(2979),
    [anon_sym_cmp] = ACTIONS(2979),
    [anon_sym_TILDE_TILDE] = ACTIONS(2979),
    [anon_sym_LT] = ACTIONS(2981),
    [anon_sym_LT_EQ] = ACTIONS(2981),
    [anon_sym_GT_EQ] = ACTIONS(2979),
    [anon_sym_lt] = ACTIONS(2979),
    [anon_sym_le] = ACTIONS(2979),
    [anon_sym_ge] = ACTIONS(2979),
    [anon_sym_gt] = ACTIONS(2979),
    [anon_sym_isa] = ACTIONS(2979),
    [anon_sym_PLUS_PLUS] = ACTIONS(2979),
    [anon_sym_DASH_DASH] = ACTIONS(2979),
    [anon_sym_QMARK] = ACTIONS(2979),
    [anon_sym_PERCENT2] = ACTIONS(2979),
    [anon_sym_EQ_GT] = ACTIONS(2979),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1838] = {
    [sym_heredoc_content] = STATE(1838),
    [anon_sym_COLON] = ACTIONS(2983),
    [anon_sym_DOLLAR] = ACTIONS(2983),
    [anon_sym_EQ] = ACTIONS(2985),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2983),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2983),
    [anon_sym_AT] = ACTIONS(2983),
    [anon_sym_COMMA] = ACTIONS(2983),
    [anon_sym_RPAREN] = ACTIONS(2983),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2983),
    [anon_sym_DASH_GT] = ACTIONS(2983),
    [anon_sym_PERCENT] = ACTIONS(2985),
    [anon_sym_GT] = ACTIONS(2985),
    [anon_sym_LT_LT] = ACTIONS(2985),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2983),
    [anon_sym_PLUS_EQ] = ACTIONS(2983),
    [anon_sym_DASH_EQ] = ACTIONS(2983),
    [anon_sym_DOT_EQ] = ACTIONS(2983),
    [anon_sym_STAR_EQ] = ACTIONS(2983),
    [anon_sym_SLASH_EQ] = ACTIONS(2983),
    [anon_sym_PERCENT_EQ] = ACTIONS(2985),
    [anon_sym_x_EQ] = ACTIONS(2983),
    [anon_sym_AMP_EQ] = ACTIONS(2983),
    [anon_sym_PIPE_EQ] = ACTIONS(2983),
    [anon_sym_CARET_EQ] = ACTIONS(2983),
    [anon_sym_LT_LT_EQ] = ACTIONS(2983),
    [anon_sym_GT_GT_EQ] = ACTIONS(2983),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2983),
    [anon_sym_DOT_DOT] = ACTIONS(2985),
    [anon_sym_STAR_STAR] = ACTIONS(2985),
    [anon_sym_PIPE_PIPE] = ACTIONS(2985),
    [anon_sym_SLASH_SLASH] = ACTIONS(2985),
    [anon_sym_CARET_CARET] = ACTIONS(2983),
    [anon_sym_AMP_AMP] = ACTIONS(2985),
    [anon_sym_PIPE] = ACTIONS(2985),
    [anon_sym_CARET] = ACTIONS(2985),
    [anon_sym_AMP] = ACTIONS(2985),
    [anon_sym_GT_GT2] = ACTIONS(2985),
    [anon_sym_PLUS] = ACTIONS(2985),
    [anon_sym_DASH] = ACTIONS(2985),
    [anon_sym_DOT] = ACTIONS(2985),
    [anon_sym_STAR] = ACTIONS(2985),
    [anon_sym_SLASH] = ACTIONS(2985),
    [anon_sym_x] = ACTIONS(2985),
    [anon_sym_EQ_TILDE] = ACTIONS(2983),
    [anon_sym_BANG_TILDE] = ACTIONS(2983),
    [anon_sym_EQ_EQ] = ACTIONS(2985),
    [anon_sym_BANG_EQ] = ACTIONS(2983),
    [anon_sym_eq] = ACTIONS(2985),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2983),
    [anon_sym_equ] = ACTIONS(2983),
    [anon_sym_eqr] = ACTIONS(2983),
    [anon_sym_ne] = ACTIONS(2983),
    [anon_sym_LT_EQ_GT] = ACTIONS(2983),
    [anon_sym_cmp] = ACTIONS(2983),
    [anon_sym_TILDE_TILDE] = ACTIONS(2983),
    [anon_sym_LT] = ACTIONS(2985),
    [anon_sym_LT_EQ] = ACTIONS(2985),
    [anon_sym_GT_EQ] = ACTIONS(2983),
    [anon_sym_lt] = ACTIONS(2983),
    [anon_sym_le] = ACTIONS(2983),
    [anon_sym_ge] = ACTIONS(2983),
    [anon_sym_gt] = ACTIONS(2983),
    [anon_sym_isa] = ACTIONS(2983),
    [anon_sym_PLUS_PLUS] = ACTIONS(2983),
    [anon_sym_DASH_DASH] = ACTIONS(2983),
    [anon_sym_QMARK] = ACTIONS(2983),
    [anon_sym_PERCENT2] = ACTIONS(2983),
    [anon_sym_EQ_GT] = ACTIONS(2983),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1839] = {
    [sym_heredoc_content] = STATE(1839),
    [anon_sym_COLON] = ACTIONS(2991),
    [anon_sym_DOLLAR] = ACTIONS(2991),
    [anon_sym_EQ] = ACTIONS(2993),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2991),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2991),
    [anon_sym_AT] = ACTIONS(2991),
    [anon_sym_COMMA] = ACTIONS(2991),
    [anon_sym_RPAREN] = ACTIONS(2991),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2991),
    [anon_sym_DASH_GT] = ACTIONS(2991),
    [anon_sym_PERCENT] = ACTIONS(2993),
    [anon_sym_GT] = ACTIONS(2993),
    [anon_sym_LT_LT] = ACTIONS(2993),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2991),
    [anon_sym_PLUS_EQ] = ACTIONS(2991),
    [anon_sym_DASH_EQ] = ACTIONS(2991),
    [anon_sym_DOT_EQ] = ACTIONS(2991),
    [anon_sym_STAR_EQ] = ACTIONS(2991),
    [anon_sym_SLASH_EQ] = ACTIONS(2991),
    [anon_sym_PERCENT_EQ] = ACTIONS(2993),
    [anon_sym_x_EQ] = ACTIONS(2991),
    [anon_sym_AMP_EQ] = ACTIONS(2991),
    [anon_sym_PIPE_EQ] = ACTIONS(2991),
    [anon_sym_CARET_EQ] = ACTIONS(2991),
    [anon_sym_LT_LT_EQ] = ACTIONS(2991),
    [anon_sym_GT_GT_EQ] = ACTIONS(2991),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2991),
    [anon_sym_DOT_DOT] = ACTIONS(2993),
    [anon_sym_STAR_STAR] = ACTIONS(2993),
    [anon_sym_PIPE_PIPE] = ACTIONS(2993),
    [anon_sym_SLASH_SLASH] = ACTIONS(2993),
    [anon_sym_CARET_CARET] = ACTIONS(2991),
    [anon_sym_AMP_AMP] = ACTIONS(2993),
    [anon_sym_PIPE] = ACTIONS(2993),
    [anon_sym_CARET] = ACTIONS(2993),
    [anon_sym_AMP] = ACTIONS(2993),
    [anon_sym_GT_GT2] = ACTIONS(2993),
    [anon_sym_PLUS] = ACTIONS(2993),
    [anon_sym_DASH] = ACTIONS(2993),
    [anon_sym_DOT] = ACTIONS(2993),
    [anon_sym_STAR] = ACTIONS(2993),
    [anon_sym_SLASH] = ACTIONS(2993),
    [anon_sym_x] = ACTIONS(2993),
    [anon_sym_EQ_TILDE] = ACTIONS(2991),
    [anon_sym_BANG_TILDE] = ACTIONS(2991),
    [anon_sym_EQ_EQ] = ACTIONS(2993),
    [anon_sym_BANG_EQ] = ACTIONS(2991),
    [anon_sym_eq] = ACTIONS(2993),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2991),
    [anon_sym_equ] = ACTIONS(2991),
    [anon_sym_eqr] = ACTIONS(2991),
    [anon_sym_ne] = ACTIONS(2991),
    [anon_sym_LT_EQ_GT] = ACTIONS(2991),
    [anon_sym_cmp] = ACTIONS(2991),
    [anon_sym_TILDE_TILDE] = ACTIONS(2991),
    [anon_sym_LT] = ACTIONS(2993),
    [anon_sym_LT_EQ] = ACTIONS(2993),
    [anon_sym_GT_EQ] = ACTIONS(2991),
    [anon_sym_lt] = ACTIONS(2991),
    [anon_sym_le] = ACTIONS(2991),
    [anon_sym_ge] = ACTIONS(2991),
    [anon_sym_gt] = ACTIONS(2991),
    [anon_sym_isa] = ACTIONS(2991),
    [anon_sym_PLUS_PLUS] = ACTIONS(2991),
    [anon_sym_DASH_DASH] = ACTIONS(2991),
    [anon_sym_QMARK] = ACTIONS(2991),
    [anon_sym_PERCENT2] = ACTIONS(2991),
    [anon_sym_EQ_GT] = ACTIONS(2991),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1840] = {
    [sym_heredoc_content] = STATE(1840),
    [anon_sym_COLON] = ACTIONS(3011),
    [anon_sym_DOLLAR] = ACTIONS(3011),
    [anon_sym_EQ] = ACTIONS(3013),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3011),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3011),
    [anon_sym_AT] = ACTIONS(3011),
    [anon_sym_COMMA] = ACTIONS(3011),
    [anon_sym_RPAREN] = ACTIONS(3011),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3011),
    [anon_sym_DASH_GT] = ACTIONS(3011),
    [anon_sym_PERCENT] = ACTIONS(3013),
    [anon_sym_GT] = ACTIONS(3013),
    [anon_sym_LT_LT] = ACTIONS(3013),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3011),
    [anon_sym_PLUS_EQ] = ACTIONS(3011),
    [anon_sym_DASH_EQ] = ACTIONS(3011),
    [anon_sym_DOT_EQ] = ACTIONS(3011),
    [anon_sym_STAR_EQ] = ACTIONS(3011),
    [anon_sym_SLASH_EQ] = ACTIONS(3011),
    [anon_sym_PERCENT_EQ] = ACTIONS(3013),
    [anon_sym_x_EQ] = ACTIONS(3011),
    [anon_sym_AMP_EQ] = ACTIONS(3011),
    [anon_sym_PIPE_EQ] = ACTIONS(3011),
    [anon_sym_CARET_EQ] = ACTIONS(3011),
    [anon_sym_LT_LT_EQ] = ACTIONS(3011),
    [anon_sym_GT_GT_EQ] = ACTIONS(3011),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3011),
    [anon_sym_DOT_DOT] = ACTIONS(3013),
    [anon_sym_STAR_STAR] = ACTIONS(3013),
    [anon_sym_PIPE_PIPE] = ACTIONS(3013),
    [anon_sym_SLASH_SLASH] = ACTIONS(3013),
    [anon_sym_CARET_CARET] = ACTIONS(3011),
    [anon_sym_AMP_AMP] = ACTIONS(3013),
    [anon_sym_PIPE] = ACTIONS(3013),
    [anon_sym_CARET] = ACTIONS(3013),
    [anon_sym_AMP] = ACTIONS(3013),
    [anon_sym_GT_GT2] = ACTIONS(3013),
    [anon_sym_PLUS] = ACTIONS(3013),
    [anon_sym_DASH] = ACTIONS(3013),
    [anon_sym_DOT] = ACTIONS(3013),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_SLASH] = ACTIONS(3013),
    [anon_sym_x] = ACTIONS(3013),
    [anon_sym_EQ_TILDE] = ACTIONS(3011),
    [anon_sym_BANG_TILDE] = ACTIONS(3011),
    [anon_sym_EQ_EQ] = ACTIONS(3013),
    [anon_sym_BANG_EQ] = ACTIONS(3011),
    [anon_sym_eq] = ACTIONS(3013),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3011),
    [anon_sym_equ] = ACTIONS(3011),
    [anon_sym_eqr] = ACTIONS(3011),
    [anon_sym_ne] = ACTIONS(3011),
    [anon_sym_LT_EQ_GT] = ACTIONS(3011),
    [anon_sym_cmp] = ACTIONS(3011),
    [anon_sym_TILDE_TILDE] = ACTIONS(3011),
    [anon_sym_LT] = ACTIONS(3013),
    [anon_sym_LT_EQ] = ACTIONS(3013),
    [anon_sym_GT_EQ] = ACTIONS(3011),
    [anon_sym_lt] = ACTIONS(3011),
    [anon_sym_le] = ACTIONS(3011),
    [anon_sym_ge] = ACTIONS(3011),
    [anon_sym_gt] = ACTIONS(3011),
    [anon_sym_isa] = ACTIONS(3011),
    [anon_sym_PLUS_PLUS] = ACTIONS(3011),
    [anon_sym_DASH_DASH] = ACTIONS(3011),
    [anon_sym_QMARK] = ACTIONS(3011),
    [anon_sym_PERCENT2] = ACTIONS(3011),
    [anon_sym_EQ_GT] = ACTIONS(3011),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1841] = {
    [sym_heredoc_content] = STATE(1841),
    [anon_sym_COLON] = ACTIONS(3043),
    [anon_sym_DOLLAR] = ACTIONS(3043),
    [anon_sym_EQ] = ACTIONS(3045),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3043),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3043),
    [anon_sym_AT] = ACTIONS(3043),
    [anon_sym_COMMA] = ACTIONS(3043),
    [anon_sym_RPAREN] = ACTIONS(3043),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3043),
    [anon_sym_DASH_GT] = ACTIONS(3043),
    [anon_sym_PERCENT] = ACTIONS(3045),
    [anon_sym_GT] = ACTIONS(3045),
    [anon_sym_LT_LT] = ACTIONS(3045),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3043),
    [anon_sym_PLUS_EQ] = ACTIONS(3043),
    [anon_sym_DASH_EQ] = ACTIONS(3043),
    [anon_sym_DOT_EQ] = ACTIONS(3043),
    [anon_sym_STAR_EQ] = ACTIONS(3043),
    [anon_sym_SLASH_EQ] = ACTIONS(3043),
    [anon_sym_PERCENT_EQ] = ACTIONS(3045),
    [anon_sym_x_EQ] = ACTIONS(3043),
    [anon_sym_AMP_EQ] = ACTIONS(3043),
    [anon_sym_PIPE_EQ] = ACTIONS(3043),
    [anon_sym_CARET_EQ] = ACTIONS(3043),
    [anon_sym_LT_LT_EQ] = ACTIONS(3043),
    [anon_sym_GT_GT_EQ] = ACTIONS(3043),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3043),
    [anon_sym_DOT_DOT] = ACTIONS(3045),
    [anon_sym_STAR_STAR] = ACTIONS(3045),
    [anon_sym_PIPE_PIPE] = ACTIONS(3045),
    [anon_sym_SLASH_SLASH] = ACTIONS(3045),
    [anon_sym_CARET_CARET] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(3045),
    [anon_sym_PIPE] = ACTIONS(3045),
    [anon_sym_CARET] = ACTIONS(3045),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym_GT_GT2] = ACTIONS(3045),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_DOT] = ACTIONS(3045),
    [anon_sym_STAR] = ACTIONS(3045),
    [anon_sym_SLASH] = ACTIONS(3045),
    [anon_sym_x] = ACTIONS(3045),
    [anon_sym_EQ_TILDE] = ACTIONS(3043),
    [anon_sym_BANG_TILDE] = ACTIONS(3043),
    [anon_sym_EQ_EQ] = ACTIONS(3045),
    [anon_sym_BANG_EQ] = ACTIONS(3043),
    [anon_sym_eq] = ACTIONS(3045),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3043),
    [anon_sym_equ] = ACTIONS(3043),
    [anon_sym_eqr] = ACTIONS(3043),
    [anon_sym_ne] = ACTIONS(3043),
    [anon_sym_LT_EQ_GT] = ACTIONS(3043),
    [anon_sym_cmp] = ACTIONS(3043),
    [anon_sym_TILDE_TILDE] = ACTIONS(3043),
    [anon_sym_LT] = ACTIONS(3045),
    [anon_sym_LT_EQ] = ACTIONS(3045),
    [anon_sym_GT_EQ] = ACTIONS(3043),
    [anon_sym_lt] = ACTIONS(3043),
    [anon_sym_le] = ACTIONS(3043),
    [anon_sym_ge] = ACTIONS(3043),
    [anon_sym_gt] = ACTIONS(3043),
    [anon_sym_isa] = ACTIONS(3043),
    [anon_sym_PLUS_PLUS] = ACTIONS(3043),
    [anon_sym_DASH_DASH] = ACTIONS(3043),
    [anon_sym_QMARK] = ACTIONS(3043),
    [anon_sym_PERCENT2] = ACTIONS(3043),
    [anon_sym_EQ_GT] = ACTIONS(3043),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1842] = {
    [sym_heredoc_content] = STATE(1842),
    [anon_sym_COLON] = ACTIONS(3051),
    [anon_sym_DOLLAR] = ACTIONS(3051),
    [anon_sym_EQ] = ACTIONS(3053),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3051),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3051),
    [anon_sym_AT] = ACTIONS(3051),
    [anon_sym_COMMA] = ACTIONS(3051),
    [anon_sym_RPAREN] = ACTIONS(3051),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3051),
    [anon_sym_DASH_GT] = ACTIONS(3051),
    [anon_sym_PERCENT] = ACTIONS(3053),
    [anon_sym_GT] = ACTIONS(3053),
    [anon_sym_LT_LT] = ACTIONS(3053),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3051),
    [anon_sym_PLUS_EQ] = ACTIONS(3051),
    [anon_sym_DASH_EQ] = ACTIONS(3051),
    [anon_sym_DOT_EQ] = ACTIONS(3051),
    [anon_sym_STAR_EQ] = ACTIONS(3051),
    [anon_sym_SLASH_EQ] = ACTIONS(3051),
    [anon_sym_PERCENT_EQ] = ACTIONS(3053),
    [anon_sym_x_EQ] = ACTIONS(3051),
    [anon_sym_AMP_EQ] = ACTIONS(3051),
    [anon_sym_PIPE_EQ] = ACTIONS(3051),
    [anon_sym_CARET_EQ] = ACTIONS(3051),
    [anon_sym_LT_LT_EQ] = ACTIONS(3051),
    [anon_sym_GT_GT_EQ] = ACTIONS(3051),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3051),
    [anon_sym_DOT_DOT] = ACTIONS(3053),
    [anon_sym_STAR_STAR] = ACTIONS(3053),
    [anon_sym_PIPE_PIPE] = ACTIONS(3053),
    [anon_sym_SLASH_SLASH] = ACTIONS(3053),
    [anon_sym_CARET_CARET] = ACTIONS(3051),
    [anon_sym_AMP_AMP] = ACTIONS(3053),
    [anon_sym_PIPE] = ACTIONS(3053),
    [anon_sym_CARET] = ACTIONS(3053),
    [anon_sym_AMP] = ACTIONS(3053),
    [anon_sym_GT_GT2] = ACTIONS(3053),
    [anon_sym_PLUS] = ACTIONS(3053),
    [anon_sym_DASH] = ACTIONS(3053),
    [anon_sym_DOT] = ACTIONS(3053),
    [anon_sym_STAR] = ACTIONS(3053),
    [anon_sym_SLASH] = ACTIONS(3053),
    [anon_sym_x] = ACTIONS(3053),
    [anon_sym_EQ_TILDE] = ACTIONS(3051),
    [anon_sym_BANG_TILDE] = ACTIONS(3051),
    [anon_sym_EQ_EQ] = ACTIONS(3053),
    [anon_sym_BANG_EQ] = ACTIONS(3051),
    [anon_sym_eq] = ACTIONS(3053),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3051),
    [anon_sym_equ] = ACTIONS(3051),
    [anon_sym_eqr] = ACTIONS(3051),
    [anon_sym_ne] = ACTIONS(3051),
    [anon_sym_LT_EQ_GT] = ACTIONS(3051),
    [anon_sym_cmp] = ACTIONS(3051),
    [anon_sym_TILDE_TILDE] = ACTIONS(3051),
    [anon_sym_LT] = ACTIONS(3053),
    [anon_sym_LT_EQ] = ACTIONS(3053),
    [anon_sym_GT_EQ] = ACTIONS(3051),
    [anon_sym_lt] = ACTIONS(3051),
    [anon_sym_le] = ACTIONS(3051),
    [anon_sym_ge] = ACTIONS(3051),
    [anon_sym_gt] = ACTIONS(3051),
    [anon_sym_isa] = ACTIONS(3051),
    [anon_sym_PLUS_PLUS] = ACTIONS(3051),
    [anon_sym_DASH_DASH] = ACTIONS(3051),
    [anon_sym_QMARK] = ACTIONS(3051),
    [anon_sym_PERCENT2] = ACTIONS(3051),
    [anon_sym_EQ_GT] = ACTIONS(3051),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1843] = {
    [sym_heredoc_content] = STATE(1843),
    [anon_sym_COLON] = ACTIONS(3055),
    [anon_sym_DOLLAR] = ACTIONS(3055),
    [anon_sym_EQ] = ACTIONS(3057),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3055),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3055),
    [anon_sym_AT] = ACTIONS(3055),
    [anon_sym_COMMA] = ACTIONS(3055),
    [anon_sym_RPAREN] = ACTIONS(3055),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3055),
    [anon_sym_DASH_GT] = ACTIONS(3055),
    [anon_sym_PERCENT] = ACTIONS(3057),
    [anon_sym_GT] = ACTIONS(3057),
    [anon_sym_LT_LT] = ACTIONS(3057),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3055),
    [anon_sym_PLUS_EQ] = ACTIONS(3055),
    [anon_sym_DASH_EQ] = ACTIONS(3055),
    [anon_sym_DOT_EQ] = ACTIONS(3055),
    [anon_sym_STAR_EQ] = ACTIONS(3055),
    [anon_sym_SLASH_EQ] = ACTIONS(3055),
    [anon_sym_PERCENT_EQ] = ACTIONS(3057),
    [anon_sym_x_EQ] = ACTIONS(3055),
    [anon_sym_AMP_EQ] = ACTIONS(3055),
    [anon_sym_PIPE_EQ] = ACTIONS(3055),
    [anon_sym_CARET_EQ] = ACTIONS(3055),
    [anon_sym_LT_LT_EQ] = ACTIONS(3055),
    [anon_sym_GT_GT_EQ] = ACTIONS(3055),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3055),
    [anon_sym_DOT_DOT] = ACTIONS(3057),
    [anon_sym_STAR_STAR] = ACTIONS(3057),
    [anon_sym_PIPE_PIPE] = ACTIONS(3057),
    [anon_sym_SLASH_SLASH] = ACTIONS(3057),
    [anon_sym_CARET_CARET] = ACTIONS(3055),
    [anon_sym_AMP_AMP] = ACTIONS(3057),
    [anon_sym_PIPE] = ACTIONS(3057),
    [anon_sym_CARET] = ACTIONS(3057),
    [anon_sym_AMP] = ACTIONS(3057),
    [anon_sym_GT_GT2] = ACTIONS(3057),
    [anon_sym_PLUS] = ACTIONS(3057),
    [anon_sym_DASH] = ACTIONS(3057),
    [anon_sym_DOT] = ACTIONS(3057),
    [anon_sym_STAR] = ACTIONS(3057),
    [anon_sym_SLASH] = ACTIONS(3057),
    [anon_sym_x] = ACTIONS(3057),
    [anon_sym_EQ_TILDE] = ACTIONS(3055),
    [anon_sym_BANG_TILDE] = ACTIONS(3055),
    [anon_sym_EQ_EQ] = ACTIONS(3057),
    [anon_sym_BANG_EQ] = ACTIONS(3055),
    [anon_sym_eq] = ACTIONS(3057),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3055),
    [anon_sym_equ] = ACTIONS(3055),
    [anon_sym_eqr] = ACTIONS(3055),
    [anon_sym_ne] = ACTIONS(3055),
    [anon_sym_LT_EQ_GT] = ACTIONS(3055),
    [anon_sym_cmp] = ACTIONS(3055),
    [anon_sym_TILDE_TILDE] = ACTIONS(3055),
    [anon_sym_LT] = ACTIONS(3057),
    [anon_sym_LT_EQ] = ACTIONS(3057),
    [anon_sym_GT_EQ] = ACTIONS(3055),
    [anon_sym_lt] = ACTIONS(3055),
    [anon_sym_le] = ACTIONS(3055),
    [anon_sym_ge] = ACTIONS(3055),
    [anon_sym_gt] = ACTIONS(3055),
    [anon_sym_isa] = ACTIONS(3055),
    [anon_sym_PLUS_PLUS] = ACTIONS(3055),
    [anon_sym_DASH_DASH] = ACTIONS(3055),
    [anon_sym_QMARK] = ACTIONS(3055),
    [anon_sym_PERCENT2] = ACTIONS(3055),
    [anon_sym_EQ_GT] = ACTIONS(3055),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1844] = {
    [sym_heredoc_content] = STATE(1844),
    [anon_sym_COLON] = ACTIONS(3059),
    [anon_sym_DOLLAR] = ACTIONS(3059),
    [anon_sym_EQ] = ACTIONS(3061),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3059),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3059),
    [anon_sym_AT] = ACTIONS(3059),
    [anon_sym_COMMA] = ACTIONS(3059),
    [anon_sym_RPAREN] = ACTIONS(3059),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3059),
    [anon_sym_DASH_GT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(3061),
    [anon_sym_GT] = ACTIONS(3061),
    [anon_sym_LT_LT] = ACTIONS(3061),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3059),
    [anon_sym_PLUS_EQ] = ACTIONS(3059),
    [anon_sym_DASH_EQ] = ACTIONS(3059),
    [anon_sym_DOT_EQ] = ACTIONS(3059),
    [anon_sym_STAR_EQ] = ACTIONS(3059),
    [anon_sym_SLASH_EQ] = ACTIONS(3059),
    [anon_sym_PERCENT_EQ] = ACTIONS(3061),
    [anon_sym_x_EQ] = ACTIONS(3059),
    [anon_sym_AMP_EQ] = ACTIONS(3059),
    [anon_sym_PIPE_EQ] = ACTIONS(3059),
    [anon_sym_CARET_EQ] = ACTIONS(3059),
    [anon_sym_LT_LT_EQ] = ACTIONS(3059),
    [anon_sym_GT_GT_EQ] = ACTIONS(3059),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3059),
    [anon_sym_DOT_DOT] = ACTIONS(3061),
    [anon_sym_STAR_STAR] = ACTIONS(3061),
    [anon_sym_PIPE_PIPE] = ACTIONS(3061),
    [anon_sym_SLASH_SLASH] = ACTIONS(3061),
    [anon_sym_CARET_CARET] = ACTIONS(3059),
    [anon_sym_AMP_AMP] = ACTIONS(3061),
    [anon_sym_PIPE] = ACTIONS(3061),
    [anon_sym_CARET] = ACTIONS(3061),
    [anon_sym_AMP] = ACTIONS(3061),
    [anon_sym_GT_GT2] = ACTIONS(3061),
    [anon_sym_PLUS] = ACTIONS(3061),
    [anon_sym_DASH] = ACTIONS(3061),
    [anon_sym_DOT] = ACTIONS(3061),
    [anon_sym_STAR] = ACTIONS(3061),
    [anon_sym_SLASH] = ACTIONS(3061),
    [anon_sym_x] = ACTIONS(3061),
    [anon_sym_EQ_TILDE] = ACTIONS(3059),
    [anon_sym_BANG_TILDE] = ACTIONS(3059),
    [anon_sym_EQ_EQ] = ACTIONS(3061),
    [anon_sym_BANG_EQ] = ACTIONS(3059),
    [anon_sym_eq] = ACTIONS(3061),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3059),
    [anon_sym_equ] = ACTIONS(3059),
    [anon_sym_eqr] = ACTIONS(3059),
    [anon_sym_ne] = ACTIONS(3059),
    [anon_sym_LT_EQ_GT] = ACTIONS(3059),
    [anon_sym_cmp] = ACTIONS(3059),
    [anon_sym_TILDE_TILDE] = ACTIONS(3059),
    [anon_sym_LT] = ACTIONS(3061),
    [anon_sym_LT_EQ] = ACTIONS(3061),
    [anon_sym_GT_EQ] = ACTIONS(3059),
    [anon_sym_lt] = ACTIONS(3059),
    [anon_sym_le] = ACTIONS(3059),
    [anon_sym_ge] = ACTIONS(3059),
    [anon_sym_gt] = ACTIONS(3059),
    [anon_sym_isa] = ACTIONS(3059),
    [anon_sym_PLUS_PLUS] = ACTIONS(3059),
    [anon_sym_DASH_DASH] = ACTIONS(3059),
    [anon_sym_QMARK] = ACTIONS(3059),
    [anon_sym_PERCENT2] = ACTIONS(3059),
    [anon_sym_EQ_GT] = ACTIONS(3059),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1845] = {
    [sym_heredoc_content] = STATE(1845),
    [anon_sym_COLON] = ACTIONS(3063),
    [anon_sym_DOLLAR] = ACTIONS(3063),
    [anon_sym_EQ] = ACTIONS(3065),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3063),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3063),
    [anon_sym_AT] = ACTIONS(3063),
    [anon_sym_COMMA] = ACTIONS(3063),
    [anon_sym_RPAREN] = ACTIONS(3063),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3063),
    [anon_sym_DASH_GT] = ACTIONS(3063),
    [anon_sym_PERCENT] = ACTIONS(3065),
    [anon_sym_GT] = ACTIONS(3065),
    [anon_sym_LT_LT] = ACTIONS(3065),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3063),
    [anon_sym_PLUS_EQ] = ACTIONS(3063),
    [anon_sym_DASH_EQ] = ACTIONS(3063),
    [anon_sym_DOT_EQ] = ACTIONS(3063),
    [anon_sym_STAR_EQ] = ACTIONS(3063),
    [anon_sym_SLASH_EQ] = ACTIONS(3063),
    [anon_sym_PERCENT_EQ] = ACTIONS(3065),
    [anon_sym_x_EQ] = ACTIONS(3063),
    [anon_sym_AMP_EQ] = ACTIONS(3063),
    [anon_sym_PIPE_EQ] = ACTIONS(3063),
    [anon_sym_CARET_EQ] = ACTIONS(3063),
    [anon_sym_LT_LT_EQ] = ACTIONS(3063),
    [anon_sym_GT_GT_EQ] = ACTIONS(3063),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3063),
    [anon_sym_DOT_DOT] = ACTIONS(3065),
    [anon_sym_STAR_STAR] = ACTIONS(3065),
    [anon_sym_PIPE_PIPE] = ACTIONS(3065),
    [anon_sym_SLASH_SLASH] = ACTIONS(3065),
    [anon_sym_CARET_CARET] = ACTIONS(3063),
    [anon_sym_AMP_AMP] = ACTIONS(3065),
    [anon_sym_PIPE] = ACTIONS(3065),
    [anon_sym_CARET] = ACTIONS(3065),
    [anon_sym_AMP] = ACTIONS(3065),
    [anon_sym_GT_GT2] = ACTIONS(3065),
    [anon_sym_PLUS] = ACTIONS(3065),
    [anon_sym_DASH] = ACTIONS(3065),
    [anon_sym_DOT] = ACTIONS(3065),
    [anon_sym_STAR] = ACTIONS(3065),
    [anon_sym_SLASH] = ACTIONS(3065),
    [anon_sym_x] = ACTIONS(3065),
    [anon_sym_EQ_TILDE] = ACTIONS(3063),
    [anon_sym_BANG_TILDE] = ACTIONS(3063),
    [anon_sym_EQ_EQ] = ACTIONS(3065),
    [anon_sym_BANG_EQ] = ACTIONS(3063),
    [anon_sym_eq] = ACTIONS(3065),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3063),
    [anon_sym_equ] = ACTIONS(3063),
    [anon_sym_eqr] = ACTIONS(3063),
    [anon_sym_ne] = ACTIONS(3063),
    [anon_sym_LT_EQ_GT] = ACTIONS(3063),
    [anon_sym_cmp] = ACTIONS(3063),
    [anon_sym_TILDE_TILDE] = ACTIONS(3063),
    [anon_sym_LT] = ACTIONS(3065),
    [anon_sym_LT_EQ] = ACTIONS(3065),
    [anon_sym_GT_EQ] = ACTIONS(3063),
    [anon_sym_lt] = ACTIONS(3063),
    [anon_sym_le] = ACTIONS(3063),
    [anon_sym_ge] = ACTIONS(3063),
    [anon_sym_gt] = ACTIONS(3063),
    [anon_sym_isa] = ACTIONS(3063),
    [anon_sym_PLUS_PLUS] = ACTIONS(3063),
    [anon_sym_DASH_DASH] = ACTIONS(3063),
    [anon_sym_QMARK] = ACTIONS(3063),
    [anon_sym_PERCENT2] = ACTIONS(3063),
    [anon_sym_EQ_GT] = ACTIONS(3063),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1846] = {
    [sym_heredoc_content] = STATE(1846),
    [anon_sym_COLON] = ACTIONS(2760),
    [anon_sym_DOLLAR] = ACTIONS(2760),
    [anon_sym_EQ] = ACTIONS(2762),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2760),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2760),
    [anon_sym_AT] = ACTIONS(2760),
    [anon_sym_COMMA] = ACTIONS(2760),
    [anon_sym_RPAREN] = ACTIONS(2760),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2760),
    [anon_sym_DASH_GT] = ACTIONS(2760),
    [anon_sym_PERCENT] = ACTIONS(2762),
    [anon_sym_GT] = ACTIONS(2762),
    [anon_sym_LT_LT] = ACTIONS(2762),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2760),
    [anon_sym_PLUS_EQ] = ACTIONS(2760),
    [anon_sym_DASH_EQ] = ACTIONS(2760),
    [anon_sym_DOT_EQ] = ACTIONS(2760),
    [anon_sym_STAR_EQ] = ACTIONS(2760),
    [anon_sym_SLASH_EQ] = ACTIONS(2760),
    [anon_sym_PERCENT_EQ] = ACTIONS(2762),
    [anon_sym_x_EQ] = ACTIONS(2760),
    [anon_sym_AMP_EQ] = ACTIONS(2760),
    [anon_sym_PIPE_EQ] = ACTIONS(2760),
    [anon_sym_CARET_EQ] = ACTIONS(2760),
    [anon_sym_LT_LT_EQ] = ACTIONS(2760),
    [anon_sym_GT_GT_EQ] = ACTIONS(2760),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2760),
    [anon_sym_DOT_DOT] = ACTIONS(2762),
    [anon_sym_STAR_STAR] = ACTIONS(2762),
    [anon_sym_PIPE_PIPE] = ACTIONS(2762),
    [anon_sym_SLASH_SLASH] = ACTIONS(2762),
    [anon_sym_CARET_CARET] = ACTIONS(2760),
    [anon_sym_AMP_AMP] = ACTIONS(2762),
    [anon_sym_PIPE] = ACTIONS(2762),
    [anon_sym_CARET] = ACTIONS(2762),
    [anon_sym_AMP] = ACTIONS(2762),
    [anon_sym_GT_GT2] = ACTIONS(2762),
    [anon_sym_PLUS] = ACTIONS(2762),
    [anon_sym_DASH] = ACTIONS(2762),
    [anon_sym_DOT] = ACTIONS(2762),
    [anon_sym_STAR] = ACTIONS(2762),
    [anon_sym_SLASH] = ACTIONS(2762),
    [anon_sym_x] = ACTIONS(2762),
    [anon_sym_EQ_TILDE] = ACTIONS(2760),
    [anon_sym_BANG_TILDE] = ACTIONS(2760),
    [anon_sym_EQ_EQ] = ACTIONS(2762),
    [anon_sym_BANG_EQ] = ACTIONS(2760),
    [anon_sym_eq] = ACTIONS(2762),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2760),
    [anon_sym_equ] = ACTIONS(2760),
    [anon_sym_eqr] = ACTIONS(2760),
    [anon_sym_ne] = ACTIONS(2760),
    [anon_sym_LT_EQ_GT] = ACTIONS(2760),
    [anon_sym_cmp] = ACTIONS(2760),
    [anon_sym_TILDE_TILDE] = ACTIONS(2760),
    [anon_sym_LT] = ACTIONS(2762),
    [anon_sym_LT_EQ] = ACTIONS(2762),
    [anon_sym_GT_EQ] = ACTIONS(2760),
    [anon_sym_lt] = ACTIONS(2760),
    [anon_sym_le] = ACTIONS(2760),
    [anon_sym_ge] = ACTIONS(2760),
    [anon_sym_gt] = ACTIONS(2760),
    [anon_sym_isa] = ACTIONS(2760),
    [anon_sym_PLUS_PLUS] = ACTIONS(2760),
    [anon_sym_DASH_DASH] = ACTIONS(2760),
    [anon_sym_QMARK] = ACTIONS(2760),
    [anon_sym_PERCENT2] = ACTIONS(2760),
    [anon_sym_EQ_GT] = ACTIONS(2760),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1847] = {
    [sym_heredoc_content] = STATE(1847),
    [anon_sym_COLON] = ACTIONS(3102),
    [anon_sym_DOLLAR] = ACTIONS(3102),
    [anon_sym_EQ] = ACTIONS(3104),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3102),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3102),
    [anon_sym_AT] = ACTIONS(3102),
    [anon_sym_COMMA] = ACTIONS(3102),
    [anon_sym_RPAREN] = ACTIONS(3102),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3102),
    [anon_sym_DASH_GT] = ACTIONS(3102),
    [anon_sym_PERCENT] = ACTIONS(3104),
    [anon_sym_GT] = ACTIONS(3104),
    [anon_sym_LT_LT] = ACTIONS(3104),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3102),
    [anon_sym_PLUS_EQ] = ACTIONS(3102),
    [anon_sym_DASH_EQ] = ACTIONS(3102),
    [anon_sym_DOT_EQ] = ACTIONS(3102),
    [anon_sym_STAR_EQ] = ACTIONS(3102),
    [anon_sym_SLASH_EQ] = ACTIONS(3102),
    [anon_sym_PERCENT_EQ] = ACTIONS(3104),
    [anon_sym_x_EQ] = ACTIONS(3102),
    [anon_sym_AMP_EQ] = ACTIONS(3102),
    [anon_sym_PIPE_EQ] = ACTIONS(3102),
    [anon_sym_CARET_EQ] = ACTIONS(3102),
    [anon_sym_LT_LT_EQ] = ACTIONS(3102),
    [anon_sym_GT_GT_EQ] = ACTIONS(3102),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3102),
    [anon_sym_DOT_DOT] = ACTIONS(3104),
    [anon_sym_STAR_STAR] = ACTIONS(3104),
    [anon_sym_PIPE_PIPE] = ACTIONS(3104),
    [anon_sym_SLASH_SLASH] = ACTIONS(3104),
    [anon_sym_CARET_CARET] = ACTIONS(3102),
    [anon_sym_AMP_AMP] = ACTIONS(3104),
    [anon_sym_PIPE] = ACTIONS(3104),
    [anon_sym_CARET] = ACTIONS(3104),
    [anon_sym_AMP] = ACTIONS(3104),
    [anon_sym_GT_GT2] = ACTIONS(3104),
    [anon_sym_PLUS] = ACTIONS(3104),
    [anon_sym_DASH] = ACTIONS(3104),
    [anon_sym_DOT] = ACTIONS(3104),
    [anon_sym_STAR] = ACTIONS(3104),
    [anon_sym_SLASH] = ACTIONS(3104),
    [anon_sym_x] = ACTIONS(3104),
    [anon_sym_EQ_TILDE] = ACTIONS(3102),
    [anon_sym_BANG_TILDE] = ACTIONS(3102),
    [anon_sym_EQ_EQ] = ACTIONS(3104),
    [anon_sym_BANG_EQ] = ACTIONS(3102),
    [anon_sym_eq] = ACTIONS(3104),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3102),
    [anon_sym_equ] = ACTIONS(3102),
    [anon_sym_eqr] = ACTIONS(3102),
    [anon_sym_ne] = ACTIONS(3102),
    [anon_sym_LT_EQ_GT] = ACTIONS(3102),
    [anon_sym_cmp] = ACTIONS(3102),
    [anon_sym_TILDE_TILDE] = ACTIONS(3102),
    [anon_sym_LT] = ACTIONS(3104),
    [anon_sym_LT_EQ] = ACTIONS(3104),
    [anon_sym_GT_EQ] = ACTIONS(3102),
    [anon_sym_lt] = ACTIONS(3102),
    [anon_sym_le] = ACTIONS(3102),
    [anon_sym_ge] = ACTIONS(3102),
    [anon_sym_gt] = ACTIONS(3102),
    [anon_sym_isa] = ACTIONS(3102),
    [anon_sym_PLUS_PLUS] = ACTIONS(3102),
    [anon_sym_DASH_DASH] = ACTIONS(3102),
    [anon_sym_QMARK] = ACTIONS(3102),
    [anon_sym_PERCENT2] = ACTIONS(3102),
    [anon_sym_EQ_GT] = ACTIONS(3102),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1848] = {
    [sym_heredoc_content] = STATE(1848),
    [anon_sym_COLON] = ACTIONS(3106),
    [anon_sym_DOLLAR] = ACTIONS(3106),
    [anon_sym_EQ] = ACTIONS(3108),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3106),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3106),
    [anon_sym_AT] = ACTIONS(3106),
    [anon_sym_COMMA] = ACTIONS(3106),
    [anon_sym_RPAREN] = ACTIONS(3106),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3106),
    [anon_sym_DASH_GT] = ACTIONS(3106),
    [anon_sym_PERCENT] = ACTIONS(3108),
    [anon_sym_GT] = ACTIONS(3108),
    [anon_sym_LT_LT] = ACTIONS(3108),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3106),
    [anon_sym_PLUS_EQ] = ACTIONS(3106),
    [anon_sym_DASH_EQ] = ACTIONS(3106),
    [anon_sym_DOT_EQ] = ACTIONS(3106),
    [anon_sym_STAR_EQ] = ACTIONS(3106),
    [anon_sym_SLASH_EQ] = ACTIONS(3106),
    [anon_sym_PERCENT_EQ] = ACTIONS(3108),
    [anon_sym_x_EQ] = ACTIONS(3106),
    [anon_sym_AMP_EQ] = ACTIONS(3106),
    [anon_sym_PIPE_EQ] = ACTIONS(3106),
    [anon_sym_CARET_EQ] = ACTIONS(3106),
    [anon_sym_LT_LT_EQ] = ACTIONS(3106),
    [anon_sym_GT_GT_EQ] = ACTIONS(3106),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3106),
    [anon_sym_DOT_DOT] = ACTIONS(3108),
    [anon_sym_STAR_STAR] = ACTIONS(3108),
    [anon_sym_PIPE_PIPE] = ACTIONS(3108),
    [anon_sym_SLASH_SLASH] = ACTIONS(3108),
    [anon_sym_CARET_CARET] = ACTIONS(3106),
    [anon_sym_AMP_AMP] = ACTIONS(3108),
    [anon_sym_PIPE] = ACTIONS(3108),
    [anon_sym_CARET] = ACTIONS(3108),
    [anon_sym_AMP] = ACTIONS(3108),
    [anon_sym_GT_GT2] = ACTIONS(3108),
    [anon_sym_PLUS] = ACTIONS(3108),
    [anon_sym_DASH] = ACTIONS(3108),
    [anon_sym_DOT] = ACTIONS(3108),
    [anon_sym_STAR] = ACTIONS(3108),
    [anon_sym_SLASH] = ACTIONS(3108),
    [anon_sym_x] = ACTIONS(3108),
    [anon_sym_EQ_TILDE] = ACTIONS(3106),
    [anon_sym_BANG_TILDE] = ACTIONS(3106),
    [anon_sym_EQ_EQ] = ACTIONS(3108),
    [anon_sym_BANG_EQ] = ACTIONS(3106),
    [anon_sym_eq] = ACTIONS(3108),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3106),
    [anon_sym_equ] = ACTIONS(3106),
    [anon_sym_eqr] = ACTIONS(3106),
    [anon_sym_ne] = ACTIONS(3106),
    [anon_sym_LT_EQ_GT] = ACTIONS(3106),
    [anon_sym_cmp] = ACTIONS(3106),
    [anon_sym_TILDE_TILDE] = ACTIONS(3106),
    [anon_sym_LT] = ACTIONS(3108),
    [anon_sym_LT_EQ] = ACTIONS(3108),
    [anon_sym_GT_EQ] = ACTIONS(3106),
    [anon_sym_lt] = ACTIONS(3106),
    [anon_sym_le] = ACTIONS(3106),
    [anon_sym_ge] = ACTIONS(3106),
    [anon_sym_gt] = ACTIONS(3106),
    [anon_sym_isa] = ACTIONS(3106),
    [anon_sym_PLUS_PLUS] = ACTIONS(3106),
    [anon_sym_DASH_DASH] = ACTIONS(3106),
    [anon_sym_QMARK] = ACTIONS(3106),
    [anon_sym_PERCENT2] = ACTIONS(3106),
    [anon_sym_EQ_GT] = ACTIONS(3106),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1849] = {
    [sym_heredoc_content] = STATE(1849),
    [anon_sym_COLON] = ACTIONS(3110),
    [anon_sym_DOLLAR] = ACTIONS(3110),
    [anon_sym_EQ] = ACTIONS(3112),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3110),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3110),
    [anon_sym_AT] = ACTIONS(3110),
    [anon_sym_COMMA] = ACTIONS(3110),
    [anon_sym_RPAREN] = ACTIONS(3110),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3110),
    [anon_sym_DASH_GT] = ACTIONS(3110),
    [anon_sym_PERCENT] = ACTIONS(3112),
    [anon_sym_GT] = ACTIONS(3112),
    [anon_sym_LT_LT] = ACTIONS(3112),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3110),
    [anon_sym_PLUS_EQ] = ACTIONS(3110),
    [anon_sym_DASH_EQ] = ACTIONS(3110),
    [anon_sym_DOT_EQ] = ACTIONS(3110),
    [anon_sym_STAR_EQ] = ACTIONS(3110),
    [anon_sym_SLASH_EQ] = ACTIONS(3110),
    [anon_sym_PERCENT_EQ] = ACTIONS(3112),
    [anon_sym_x_EQ] = ACTIONS(3110),
    [anon_sym_AMP_EQ] = ACTIONS(3110),
    [anon_sym_PIPE_EQ] = ACTIONS(3110),
    [anon_sym_CARET_EQ] = ACTIONS(3110),
    [anon_sym_LT_LT_EQ] = ACTIONS(3110),
    [anon_sym_GT_GT_EQ] = ACTIONS(3110),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3110),
    [anon_sym_DOT_DOT] = ACTIONS(3112),
    [anon_sym_STAR_STAR] = ACTIONS(3112),
    [anon_sym_PIPE_PIPE] = ACTIONS(3112),
    [anon_sym_SLASH_SLASH] = ACTIONS(3112),
    [anon_sym_CARET_CARET] = ACTIONS(3110),
    [anon_sym_AMP_AMP] = ACTIONS(3112),
    [anon_sym_PIPE] = ACTIONS(3112),
    [anon_sym_CARET] = ACTIONS(3112),
    [anon_sym_AMP] = ACTIONS(3112),
    [anon_sym_GT_GT2] = ACTIONS(3112),
    [anon_sym_PLUS] = ACTIONS(3112),
    [anon_sym_DASH] = ACTIONS(3112),
    [anon_sym_DOT] = ACTIONS(3112),
    [anon_sym_STAR] = ACTIONS(3112),
    [anon_sym_SLASH] = ACTIONS(3112),
    [anon_sym_x] = ACTIONS(3112),
    [anon_sym_EQ_TILDE] = ACTIONS(3110),
    [anon_sym_BANG_TILDE] = ACTIONS(3110),
    [anon_sym_EQ_EQ] = ACTIONS(3112),
    [anon_sym_BANG_EQ] = ACTIONS(3110),
    [anon_sym_eq] = ACTIONS(3112),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3110),
    [anon_sym_equ] = ACTIONS(3110),
    [anon_sym_eqr] = ACTIONS(3110),
    [anon_sym_ne] = ACTIONS(3110),
    [anon_sym_LT_EQ_GT] = ACTIONS(3110),
    [anon_sym_cmp] = ACTIONS(3110),
    [anon_sym_TILDE_TILDE] = ACTIONS(3110),
    [anon_sym_LT] = ACTIONS(3112),
    [anon_sym_LT_EQ] = ACTIONS(3112),
    [anon_sym_GT_EQ] = ACTIONS(3110),
    [anon_sym_lt] = ACTIONS(3110),
    [anon_sym_le] = ACTIONS(3110),
    [anon_sym_ge] = ACTIONS(3110),
    [anon_sym_gt] = ACTIONS(3110),
    [anon_sym_isa] = ACTIONS(3110),
    [anon_sym_PLUS_PLUS] = ACTIONS(3110),
    [anon_sym_DASH_DASH] = ACTIONS(3110),
    [anon_sym_QMARK] = ACTIONS(3110),
    [anon_sym_PERCENT2] = ACTIONS(3110),
    [anon_sym_EQ_GT] = ACTIONS(3110),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1850] = {
    [sym_heredoc_content] = STATE(1850),
    [anon_sym_COLON] = ACTIONS(3114),
    [anon_sym_DOLLAR] = ACTIONS(3114),
    [anon_sym_EQ] = ACTIONS(3116),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3114),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3114),
    [anon_sym_AT] = ACTIONS(3114),
    [anon_sym_COMMA] = ACTIONS(3114),
    [anon_sym_RPAREN] = ACTIONS(3114),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3114),
    [anon_sym_DASH_GT] = ACTIONS(3114),
    [anon_sym_PERCENT] = ACTIONS(3116),
    [anon_sym_GT] = ACTIONS(3116),
    [anon_sym_LT_LT] = ACTIONS(3116),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3114),
    [anon_sym_PLUS_EQ] = ACTIONS(3114),
    [anon_sym_DASH_EQ] = ACTIONS(3114),
    [anon_sym_DOT_EQ] = ACTIONS(3114),
    [anon_sym_STAR_EQ] = ACTIONS(3114),
    [anon_sym_SLASH_EQ] = ACTIONS(3114),
    [anon_sym_PERCENT_EQ] = ACTIONS(3116),
    [anon_sym_x_EQ] = ACTIONS(3114),
    [anon_sym_AMP_EQ] = ACTIONS(3114),
    [anon_sym_PIPE_EQ] = ACTIONS(3114),
    [anon_sym_CARET_EQ] = ACTIONS(3114),
    [anon_sym_LT_LT_EQ] = ACTIONS(3114),
    [anon_sym_GT_GT_EQ] = ACTIONS(3114),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3114),
    [anon_sym_DOT_DOT] = ACTIONS(3116),
    [anon_sym_STAR_STAR] = ACTIONS(3116),
    [anon_sym_PIPE_PIPE] = ACTIONS(3116),
    [anon_sym_SLASH_SLASH] = ACTIONS(3116),
    [anon_sym_CARET_CARET] = ACTIONS(3114),
    [anon_sym_AMP_AMP] = ACTIONS(3116),
    [anon_sym_PIPE] = ACTIONS(3116),
    [anon_sym_CARET] = ACTIONS(3116),
    [anon_sym_AMP] = ACTIONS(3116),
    [anon_sym_GT_GT2] = ACTIONS(3116),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_DOT] = ACTIONS(3116),
    [anon_sym_STAR] = ACTIONS(3116),
    [anon_sym_SLASH] = ACTIONS(3116),
    [anon_sym_x] = ACTIONS(3116),
    [anon_sym_EQ_TILDE] = ACTIONS(3114),
    [anon_sym_BANG_TILDE] = ACTIONS(3114),
    [anon_sym_EQ_EQ] = ACTIONS(3116),
    [anon_sym_BANG_EQ] = ACTIONS(3114),
    [anon_sym_eq] = ACTIONS(3116),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3114),
    [anon_sym_equ] = ACTIONS(3114),
    [anon_sym_eqr] = ACTIONS(3114),
    [anon_sym_ne] = ACTIONS(3114),
    [anon_sym_LT_EQ_GT] = ACTIONS(3114),
    [anon_sym_cmp] = ACTIONS(3114),
    [anon_sym_TILDE_TILDE] = ACTIONS(3114),
    [anon_sym_LT] = ACTIONS(3116),
    [anon_sym_LT_EQ] = ACTIONS(3116),
    [anon_sym_GT_EQ] = ACTIONS(3114),
    [anon_sym_lt] = ACTIONS(3114),
    [anon_sym_le] = ACTIONS(3114),
    [anon_sym_ge] = ACTIONS(3114),
    [anon_sym_gt] = ACTIONS(3114),
    [anon_sym_isa] = ACTIONS(3114),
    [anon_sym_PLUS_PLUS] = ACTIONS(3114),
    [anon_sym_DASH_DASH] = ACTIONS(3114),
    [anon_sym_QMARK] = ACTIONS(3114),
    [anon_sym_PERCENT2] = ACTIONS(3114),
    [anon_sym_EQ_GT] = ACTIONS(3114),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1851] = {
    [sym_heredoc_content] = STATE(1851),
    [anon_sym_COLON] = ACTIONS(3118),
    [anon_sym_DOLLAR] = ACTIONS(3118),
    [anon_sym_EQ] = ACTIONS(3120),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3118),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3118),
    [anon_sym_AT] = ACTIONS(3118),
    [anon_sym_COMMA] = ACTIONS(3118),
    [anon_sym_RPAREN] = ACTIONS(3118),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3118),
    [anon_sym_DASH_GT] = ACTIONS(3118),
    [anon_sym_PERCENT] = ACTIONS(3120),
    [anon_sym_GT] = ACTIONS(3120),
    [anon_sym_LT_LT] = ACTIONS(3120),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3118),
    [anon_sym_PLUS_EQ] = ACTIONS(3118),
    [anon_sym_DASH_EQ] = ACTIONS(3118),
    [anon_sym_DOT_EQ] = ACTIONS(3118),
    [anon_sym_STAR_EQ] = ACTIONS(3118),
    [anon_sym_SLASH_EQ] = ACTIONS(3118),
    [anon_sym_PERCENT_EQ] = ACTIONS(3120),
    [anon_sym_x_EQ] = ACTIONS(3118),
    [anon_sym_AMP_EQ] = ACTIONS(3118),
    [anon_sym_PIPE_EQ] = ACTIONS(3118),
    [anon_sym_CARET_EQ] = ACTIONS(3118),
    [anon_sym_LT_LT_EQ] = ACTIONS(3118),
    [anon_sym_GT_GT_EQ] = ACTIONS(3118),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3118),
    [anon_sym_DOT_DOT] = ACTIONS(3120),
    [anon_sym_STAR_STAR] = ACTIONS(3120),
    [anon_sym_PIPE_PIPE] = ACTIONS(3120),
    [anon_sym_SLASH_SLASH] = ACTIONS(3120),
    [anon_sym_CARET_CARET] = ACTIONS(3118),
    [anon_sym_AMP_AMP] = ACTIONS(3120),
    [anon_sym_PIPE] = ACTIONS(3120),
    [anon_sym_CARET] = ACTIONS(3120),
    [anon_sym_AMP] = ACTIONS(3120),
    [anon_sym_GT_GT2] = ACTIONS(3120),
    [anon_sym_PLUS] = ACTIONS(3120),
    [anon_sym_DASH] = ACTIONS(3120),
    [anon_sym_DOT] = ACTIONS(3120),
    [anon_sym_STAR] = ACTIONS(3120),
    [anon_sym_SLASH] = ACTIONS(3120),
    [anon_sym_x] = ACTIONS(3120),
    [anon_sym_EQ_TILDE] = ACTIONS(3118),
    [anon_sym_BANG_TILDE] = ACTIONS(3118),
    [anon_sym_EQ_EQ] = ACTIONS(3120),
    [anon_sym_BANG_EQ] = ACTIONS(3118),
    [anon_sym_eq] = ACTIONS(3120),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3118),
    [anon_sym_equ] = ACTIONS(3118),
    [anon_sym_eqr] = ACTIONS(3118),
    [anon_sym_ne] = ACTIONS(3118),
    [anon_sym_LT_EQ_GT] = ACTIONS(3118),
    [anon_sym_cmp] = ACTIONS(3118),
    [anon_sym_TILDE_TILDE] = ACTIONS(3118),
    [anon_sym_LT] = ACTIONS(3120),
    [anon_sym_LT_EQ] = ACTIONS(3120),
    [anon_sym_GT_EQ] = ACTIONS(3118),
    [anon_sym_lt] = ACTIONS(3118),
    [anon_sym_le] = ACTIONS(3118),
    [anon_sym_ge] = ACTIONS(3118),
    [anon_sym_gt] = ACTIONS(3118),
    [anon_sym_isa] = ACTIONS(3118),
    [anon_sym_PLUS_PLUS] = ACTIONS(3118),
    [anon_sym_DASH_DASH] = ACTIONS(3118),
    [anon_sym_QMARK] = ACTIONS(3118),
    [anon_sym_PERCENT2] = ACTIONS(3118),
    [anon_sym_EQ_GT] = ACTIONS(3118),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1852] = {
    [sym_heredoc_content] = STATE(1852),
    [anon_sym_COLON] = ACTIONS(3122),
    [anon_sym_DOLLAR] = ACTIONS(3122),
    [anon_sym_EQ] = ACTIONS(3124),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3122),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3122),
    [anon_sym_AT] = ACTIONS(3122),
    [anon_sym_COMMA] = ACTIONS(3122),
    [anon_sym_RPAREN] = ACTIONS(3122),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3122),
    [anon_sym_DASH_GT] = ACTIONS(3122),
    [anon_sym_PERCENT] = ACTIONS(3124),
    [anon_sym_GT] = ACTIONS(3124),
    [anon_sym_LT_LT] = ACTIONS(3124),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3122),
    [anon_sym_PLUS_EQ] = ACTIONS(3122),
    [anon_sym_DASH_EQ] = ACTIONS(3122),
    [anon_sym_DOT_EQ] = ACTIONS(3122),
    [anon_sym_STAR_EQ] = ACTIONS(3122),
    [anon_sym_SLASH_EQ] = ACTIONS(3122),
    [anon_sym_PERCENT_EQ] = ACTIONS(3124),
    [anon_sym_x_EQ] = ACTIONS(3122),
    [anon_sym_AMP_EQ] = ACTIONS(3122),
    [anon_sym_PIPE_EQ] = ACTIONS(3122),
    [anon_sym_CARET_EQ] = ACTIONS(3122),
    [anon_sym_LT_LT_EQ] = ACTIONS(3122),
    [anon_sym_GT_GT_EQ] = ACTIONS(3122),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3122),
    [anon_sym_DOT_DOT] = ACTIONS(3124),
    [anon_sym_STAR_STAR] = ACTIONS(3124),
    [anon_sym_PIPE_PIPE] = ACTIONS(3124),
    [anon_sym_SLASH_SLASH] = ACTIONS(3124),
    [anon_sym_CARET_CARET] = ACTIONS(3122),
    [anon_sym_AMP_AMP] = ACTIONS(3124),
    [anon_sym_PIPE] = ACTIONS(3124),
    [anon_sym_CARET] = ACTIONS(3124),
    [anon_sym_AMP] = ACTIONS(3124),
    [anon_sym_GT_GT2] = ACTIONS(3124),
    [anon_sym_PLUS] = ACTIONS(3124),
    [anon_sym_DASH] = ACTIONS(3124),
    [anon_sym_DOT] = ACTIONS(3124),
    [anon_sym_STAR] = ACTIONS(3124),
    [anon_sym_SLASH] = ACTIONS(3124),
    [anon_sym_x] = ACTIONS(3124),
    [anon_sym_EQ_TILDE] = ACTIONS(3122),
    [anon_sym_BANG_TILDE] = ACTIONS(3122),
    [anon_sym_EQ_EQ] = ACTIONS(3124),
    [anon_sym_BANG_EQ] = ACTIONS(3122),
    [anon_sym_eq] = ACTIONS(3124),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3122),
    [anon_sym_equ] = ACTIONS(3122),
    [anon_sym_eqr] = ACTIONS(3122),
    [anon_sym_ne] = ACTIONS(3122),
    [anon_sym_LT_EQ_GT] = ACTIONS(3122),
    [anon_sym_cmp] = ACTIONS(3122),
    [anon_sym_TILDE_TILDE] = ACTIONS(3122),
    [anon_sym_LT] = ACTIONS(3124),
    [anon_sym_LT_EQ] = ACTIONS(3124),
    [anon_sym_GT_EQ] = ACTIONS(3122),
    [anon_sym_lt] = ACTIONS(3122),
    [anon_sym_le] = ACTIONS(3122),
    [anon_sym_ge] = ACTIONS(3122),
    [anon_sym_gt] = ACTIONS(3122),
    [anon_sym_isa] = ACTIONS(3122),
    [anon_sym_PLUS_PLUS] = ACTIONS(3122),
    [anon_sym_DASH_DASH] = ACTIONS(3122),
    [anon_sym_QMARK] = ACTIONS(3122),
    [anon_sym_PERCENT2] = ACTIONS(3122),
    [anon_sym_EQ_GT] = ACTIONS(3122),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1853] = {
    [sym_heredoc_content] = STATE(1853),
    [anon_sym_COLON] = ACTIONS(3134),
    [anon_sym_DOLLAR] = ACTIONS(3134),
    [anon_sym_EQ] = ACTIONS(3136),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3134),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3134),
    [anon_sym_AT] = ACTIONS(3134),
    [anon_sym_COMMA] = ACTIONS(3134),
    [anon_sym_RPAREN] = ACTIONS(3134),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3134),
    [anon_sym_DASH_GT] = ACTIONS(3134),
    [anon_sym_PERCENT] = ACTIONS(3136),
    [anon_sym_GT] = ACTIONS(3136),
    [anon_sym_LT_LT] = ACTIONS(3136),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3134),
    [anon_sym_PLUS_EQ] = ACTIONS(3134),
    [anon_sym_DASH_EQ] = ACTIONS(3134),
    [anon_sym_DOT_EQ] = ACTIONS(3134),
    [anon_sym_STAR_EQ] = ACTIONS(3134),
    [anon_sym_SLASH_EQ] = ACTIONS(3134),
    [anon_sym_PERCENT_EQ] = ACTIONS(3136),
    [anon_sym_x_EQ] = ACTIONS(3134),
    [anon_sym_AMP_EQ] = ACTIONS(3134),
    [anon_sym_PIPE_EQ] = ACTIONS(3134),
    [anon_sym_CARET_EQ] = ACTIONS(3134),
    [anon_sym_LT_LT_EQ] = ACTIONS(3134),
    [anon_sym_GT_GT_EQ] = ACTIONS(3134),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3134),
    [anon_sym_DOT_DOT] = ACTIONS(3136),
    [anon_sym_STAR_STAR] = ACTIONS(3136),
    [anon_sym_PIPE_PIPE] = ACTIONS(3136),
    [anon_sym_SLASH_SLASH] = ACTIONS(3136),
    [anon_sym_CARET_CARET] = ACTIONS(3134),
    [anon_sym_AMP_AMP] = ACTIONS(3136),
    [anon_sym_PIPE] = ACTIONS(3136),
    [anon_sym_CARET] = ACTIONS(3136),
    [anon_sym_AMP] = ACTIONS(3136),
    [anon_sym_GT_GT2] = ACTIONS(3136),
    [anon_sym_PLUS] = ACTIONS(3136),
    [anon_sym_DASH] = ACTIONS(3136),
    [anon_sym_DOT] = ACTIONS(3136),
    [anon_sym_STAR] = ACTIONS(3136),
    [anon_sym_SLASH] = ACTIONS(3136),
    [anon_sym_x] = ACTIONS(3136),
    [anon_sym_EQ_TILDE] = ACTIONS(3134),
    [anon_sym_BANG_TILDE] = ACTIONS(3134),
    [anon_sym_EQ_EQ] = ACTIONS(3136),
    [anon_sym_BANG_EQ] = ACTIONS(3134),
    [anon_sym_eq] = ACTIONS(3136),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3134),
    [anon_sym_equ] = ACTIONS(3134),
    [anon_sym_eqr] = ACTIONS(3134),
    [anon_sym_ne] = ACTIONS(3134),
    [anon_sym_LT_EQ_GT] = ACTIONS(3134),
    [anon_sym_cmp] = ACTIONS(3134),
    [anon_sym_TILDE_TILDE] = ACTIONS(3134),
    [anon_sym_LT] = ACTIONS(3136),
    [anon_sym_LT_EQ] = ACTIONS(3136),
    [anon_sym_GT_EQ] = ACTIONS(3134),
    [anon_sym_lt] = ACTIONS(3134),
    [anon_sym_le] = ACTIONS(3134),
    [anon_sym_ge] = ACTIONS(3134),
    [anon_sym_gt] = ACTIONS(3134),
    [anon_sym_isa] = ACTIONS(3134),
    [anon_sym_PLUS_PLUS] = ACTIONS(3134),
    [anon_sym_DASH_DASH] = ACTIONS(3134),
    [anon_sym_QMARK] = ACTIONS(3134),
    [anon_sym_PERCENT2] = ACTIONS(3134),
    [anon_sym_EQ_GT] = ACTIONS(3134),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1854] = {
    [sym_heredoc_content] = STATE(1854),
    [anon_sym_COLON] = ACTIONS(3138),
    [anon_sym_DOLLAR] = ACTIONS(3138),
    [anon_sym_EQ] = ACTIONS(3140),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3138),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3138),
    [anon_sym_AT] = ACTIONS(3138),
    [anon_sym_COMMA] = ACTIONS(3138),
    [anon_sym_RPAREN] = ACTIONS(3138),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3138),
    [anon_sym_DASH_GT] = ACTIONS(3138),
    [anon_sym_PERCENT] = ACTIONS(3140),
    [anon_sym_GT] = ACTIONS(3140),
    [anon_sym_LT_LT] = ACTIONS(3140),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3138),
    [anon_sym_PLUS_EQ] = ACTIONS(3138),
    [anon_sym_DASH_EQ] = ACTIONS(3138),
    [anon_sym_DOT_EQ] = ACTIONS(3138),
    [anon_sym_STAR_EQ] = ACTIONS(3138),
    [anon_sym_SLASH_EQ] = ACTIONS(3138),
    [anon_sym_PERCENT_EQ] = ACTIONS(3140),
    [anon_sym_x_EQ] = ACTIONS(3138),
    [anon_sym_AMP_EQ] = ACTIONS(3138),
    [anon_sym_PIPE_EQ] = ACTIONS(3138),
    [anon_sym_CARET_EQ] = ACTIONS(3138),
    [anon_sym_LT_LT_EQ] = ACTIONS(3138),
    [anon_sym_GT_GT_EQ] = ACTIONS(3138),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3138),
    [anon_sym_DOT_DOT] = ACTIONS(3140),
    [anon_sym_STAR_STAR] = ACTIONS(3140),
    [anon_sym_PIPE_PIPE] = ACTIONS(3140),
    [anon_sym_SLASH_SLASH] = ACTIONS(3140),
    [anon_sym_CARET_CARET] = ACTIONS(3138),
    [anon_sym_AMP_AMP] = ACTIONS(3140),
    [anon_sym_PIPE] = ACTIONS(3140),
    [anon_sym_CARET] = ACTIONS(3140),
    [anon_sym_AMP] = ACTIONS(3140),
    [anon_sym_GT_GT2] = ACTIONS(3140),
    [anon_sym_PLUS] = ACTIONS(3140),
    [anon_sym_DASH] = ACTIONS(3140),
    [anon_sym_DOT] = ACTIONS(3140),
    [anon_sym_STAR] = ACTIONS(3140),
    [anon_sym_SLASH] = ACTIONS(3140),
    [anon_sym_x] = ACTIONS(3140),
    [anon_sym_EQ_TILDE] = ACTIONS(3138),
    [anon_sym_BANG_TILDE] = ACTIONS(3138),
    [anon_sym_EQ_EQ] = ACTIONS(3140),
    [anon_sym_BANG_EQ] = ACTIONS(3138),
    [anon_sym_eq] = ACTIONS(3140),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3138),
    [anon_sym_equ] = ACTIONS(3138),
    [anon_sym_eqr] = ACTIONS(3138),
    [anon_sym_ne] = ACTIONS(3138),
    [anon_sym_LT_EQ_GT] = ACTIONS(3138),
    [anon_sym_cmp] = ACTIONS(3138),
    [anon_sym_TILDE_TILDE] = ACTIONS(3138),
    [anon_sym_LT] = ACTIONS(3140),
    [anon_sym_LT_EQ] = ACTIONS(3140),
    [anon_sym_GT_EQ] = ACTIONS(3138),
    [anon_sym_lt] = ACTIONS(3138),
    [anon_sym_le] = ACTIONS(3138),
    [anon_sym_ge] = ACTIONS(3138),
    [anon_sym_gt] = ACTIONS(3138),
    [anon_sym_isa] = ACTIONS(3138),
    [anon_sym_PLUS_PLUS] = ACTIONS(3138),
    [anon_sym_DASH_DASH] = ACTIONS(3138),
    [anon_sym_QMARK] = ACTIONS(3138),
    [anon_sym_PERCENT2] = ACTIONS(3138),
    [anon_sym_EQ_GT] = ACTIONS(3138),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1855] = {
    [sym_heredoc_content] = STATE(1855),
    [anon_sym_COLON] = ACTIONS(3142),
    [anon_sym_DOLLAR] = ACTIONS(3142),
    [anon_sym_EQ] = ACTIONS(3144),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3142),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3142),
    [anon_sym_AT] = ACTIONS(3142),
    [anon_sym_COMMA] = ACTIONS(3142),
    [anon_sym_RPAREN] = ACTIONS(3142),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3142),
    [anon_sym_DASH_GT] = ACTIONS(3142),
    [anon_sym_PERCENT] = ACTIONS(3144),
    [anon_sym_GT] = ACTIONS(3144),
    [anon_sym_LT_LT] = ACTIONS(3144),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3142),
    [anon_sym_PLUS_EQ] = ACTIONS(3142),
    [anon_sym_DASH_EQ] = ACTIONS(3142),
    [anon_sym_DOT_EQ] = ACTIONS(3142),
    [anon_sym_STAR_EQ] = ACTIONS(3142),
    [anon_sym_SLASH_EQ] = ACTIONS(3142),
    [anon_sym_PERCENT_EQ] = ACTIONS(3144),
    [anon_sym_x_EQ] = ACTIONS(3142),
    [anon_sym_AMP_EQ] = ACTIONS(3142),
    [anon_sym_PIPE_EQ] = ACTIONS(3142),
    [anon_sym_CARET_EQ] = ACTIONS(3142),
    [anon_sym_LT_LT_EQ] = ACTIONS(3142),
    [anon_sym_GT_GT_EQ] = ACTIONS(3142),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3142),
    [anon_sym_DOT_DOT] = ACTIONS(3144),
    [anon_sym_STAR_STAR] = ACTIONS(3144),
    [anon_sym_PIPE_PIPE] = ACTIONS(3144),
    [anon_sym_SLASH_SLASH] = ACTIONS(3144),
    [anon_sym_CARET_CARET] = ACTIONS(3142),
    [anon_sym_AMP_AMP] = ACTIONS(3144),
    [anon_sym_PIPE] = ACTIONS(3144),
    [anon_sym_CARET] = ACTIONS(3144),
    [anon_sym_AMP] = ACTIONS(3144),
    [anon_sym_GT_GT2] = ACTIONS(3144),
    [anon_sym_PLUS] = ACTIONS(3144),
    [anon_sym_DASH] = ACTIONS(3144),
    [anon_sym_DOT] = ACTIONS(3144),
    [anon_sym_STAR] = ACTIONS(3144),
    [anon_sym_SLASH] = ACTIONS(3144),
    [anon_sym_x] = ACTIONS(3144),
    [anon_sym_EQ_TILDE] = ACTIONS(3142),
    [anon_sym_BANG_TILDE] = ACTIONS(3142),
    [anon_sym_EQ_EQ] = ACTIONS(3144),
    [anon_sym_BANG_EQ] = ACTIONS(3142),
    [anon_sym_eq] = ACTIONS(3144),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3142),
    [anon_sym_equ] = ACTIONS(3142),
    [anon_sym_eqr] = ACTIONS(3142),
    [anon_sym_ne] = ACTIONS(3142),
    [anon_sym_LT_EQ_GT] = ACTIONS(3142),
    [anon_sym_cmp] = ACTIONS(3142),
    [anon_sym_TILDE_TILDE] = ACTIONS(3142),
    [anon_sym_LT] = ACTIONS(3144),
    [anon_sym_LT_EQ] = ACTIONS(3144),
    [anon_sym_GT_EQ] = ACTIONS(3142),
    [anon_sym_lt] = ACTIONS(3142),
    [anon_sym_le] = ACTIONS(3142),
    [anon_sym_ge] = ACTIONS(3142),
    [anon_sym_gt] = ACTIONS(3142),
    [anon_sym_isa] = ACTIONS(3142),
    [anon_sym_PLUS_PLUS] = ACTIONS(3142),
    [anon_sym_DASH_DASH] = ACTIONS(3142),
    [anon_sym_QMARK] = ACTIONS(3142),
    [anon_sym_PERCENT2] = ACTIONS(3142),
    [anon_sym_EQ_GT] = ACTIONS(3142),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1856] = {
    [sym_heredoc_content] = STATE(1856),
    [anon_sym_COLON] = ACTIONS(3146),
    [anon_sym_DOLLAR] = ACTIONS(3146),
    [anon_sym_EQ] = ACTIONS(3148),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3146),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3146),
    [anon_sym_AT] = ACTIONS(3146),
    [anon_sym_COMMA] = ACTIONS(3146),
    [anon_sym_RPAREN] = ACTIONS(3146),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3146),
    [anon_sym_DASH_GT] = ACTIONS(3146),
    [anon_sym_PERCENT] = ACTIONS(3148),
    [anon_sym_GT] = ACTIONS(3148),
    [anon_sym_LT_LT] = ACTIONS(3148),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3146),
    [anon_sym_PLUS_EQ] = ACTIONS(3146),
    [anon_sym_DASH_EQ] = ACTIONS(3146),
    [anon_sym_DOT_EQ] = ACTIONS(3146),
    [anon_sym_STAR_EQ] = ACTIONS(3146),
    [anon_sym_SLASH_EQ] = ACTIONS(3146),
    [anon_sym_PERCENT_EQ] = ACTIONS(3148),
    [anon_sym_x_EQ] = ACTIONS(3146),
    [anon_sym_AMP_EQ] = ACTIONS(3146),
    [anon_sym_PIPE_EQ] = ACTIONS(3146),
    [anon_sym_CARET_EQ] = ACTIONS(3146),
    [anon_sym_LT_LT_EQ] = ACTIONS(3146),
    [anon_sym_GT_GT_EQ] = ACTIONS(3146),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3146),
    [anon_sym_DOT_DOT] = ACTIONS(3148),
    [anon_sym_STAR_STAR] = ACTIONS(3148),
    [anon_sym_PIPE_PIPE] = ACTIONS(3148),
    [anon_sym_SLASH_SLASH] = ACTIONS(3148),
    [anon_sym_CARET_CARET] = ACTIONS(3146),
    [anon_sym_AMP_AMP] = ACTIONS(3148),
    [anon_sym_PIPE] = ACTIONS(3148),
    [anon_sym_CARET] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3148),
    [anon_sym_GT_GT2] = ACTIONS(3148),
    [anon_sym_PLUS] = ACTIONS(3148),
    [anon_sym_DASH] = ACTIONS(3148),
    [anon_sym_DOT] = ACTIONS(3148),
    [anon_sym_STAR] = ACTIONS(3148),
    [anon_sym_SLASH] = ACTIONS(3148),
    [anon_sym_x] = ACTIONS(3148),
    [anon_sym_EQ_TILDE] = ACTIONS(3146),
    [anon_sym_BANG_TILDE] = ACTIONS(3146),
    [anon_sym_EQ_EQ] = ACTIONS(3148),
    [anon_sym_BANG_EQ] = ACTIONS(3146),
    [anon_sym_eq] = ACTIONS(3148),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3146),
    [anon_sym_equ] = ACTIONS(3146),
    [anon_sym_eqr] = ACTIONS(3146),
    [anon_sym_ne] = ACTIONS(3146),
    [anon_sym_LT_EQ_GT] = ACTIONS(3146),
    [anon_sym_cmp] = ACTIONS(3146),
    [anon_sym_TILDE_TILDE] = ACTIONS(3146),
    [anon_sym_LT] = ACTIONS(3148),
    [anon_sym_LT_EQ] = ACTIONS(3148),
    [anon_sym_GT_EQ] = ACTIONS(3146),
    [anon_sym_lt] = ACTIONS(3146),
    [anon_sym_le] = ACTIONS(3146),
    [anon_sym_ge] = ACTIONS(3146),
    [anon_sym_gt] = ACTIONS(3146),
    [anon_sym_isa] = ACTIONS(3146),
    [anon_sym_PLUS_PLUS] = ACTIONS(3146),
    [anon_sym_DASH_DASH] = ACTIONS(3146),
    [anon_sym_QMARK] = ACTIONS(3146),
    [anon_sym_PERCENT2] = ACTIONS(3146),
    [anon_sym_EQ_GT] = ACTIONS(3146),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1857] = {
    [sym_heredoc_content] = STATE(1857),
    [anon_sym_COLON] = ACTIONS(3150),
    [anon_sym_DOLLAR] = ACTIONS(3150),
    [anon_sym_EQ] = ACTIONS(3152),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3150),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3150),
    [anon_sym_AT] = ACTIONS(3150),
    [anon_sym_COMMA] = ACTIONS(3150),
    [anon_sym_RPAREN] = ACTIONS(3150),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3150),
    [anon_sym_DASH_GT] = ACTIONS(3150),
    [anon_sym_PERCENT] = ACTIONS(3152),
    [anon_sym_GT] = ACTIONS(3152),
    [anon_sym_LT_LT] = ACTIONS(3152),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3150),
    [anon_sym_PLUS_EQ] = ACTIONS(3150),
    [anon_sym_DASH_EQ] = ACTIONS(3150),
    [anon_sym_DOT_EQ] = ACTIONS(3150),
    [anon_sym_STAR_EQ] = ACTIONS(3150),
    [anon_sym_SLASH_EQ] = ACTIONS(3150),
    [anon_sym_PERCENT_EQ] = ACTIONS(3152),
    [anon_sym_x_EQ] = ACTIONS(3150),
    [anon_sym_AMP_EQ] = ACTIONS(3150),
    [anon_sym_PIPE_EQ] = ACTIONS(3150),
    [anon_sym_CARET_EQ] = ACTIONS(3150),
    [anon_sym_LT_LT_EQ] = ACTIONS(3150),
    [anon_sym_GT_GT_EQ] = ACTIONS(3150),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3150),
    [anon_sym_DOT_DOT] = ACTIONS(3152),
    [anon_sym_STAR_STAR] = ACTIONS(3152),
    [anon_sym_PIPE_PIPE] = ACTIONS(3152),
    [anon_sym_SLASH_SLASH] = ACTIONS(3152),
    [anon_sym_CARET_CARET] = ACTIONS(3150),
    [anon_sym_AMP_AMP] = ACTIONS(3152),
    [anon_sym_PIPE] = ACTIONS(3152),
    [anon_sym_CARET] = ACTIONS(3152),
    [anon_sym_AMP] = ACTIONS(3152),
    [anon_sym_GT_GT2] = ACTIONS(3152),
    [anon_sym_PLUS] = ACTIONS(3152),
    [anon_sym_DASH] = ACTIONS(3152),
    [anon_sym_DOT] = ACTIONS(3152),
    [anon_sym_STAR] = ACTIONS(3152),
    [anon_sym_SLASH] = ACTIONS(3152),
    [anon_sym_x] = ACTIONS(3152),
    [anon_sym_EQ_TILDE] = ACTIONS(3150),
    [anon_sym_BANG_TILDE] = ACTIONS(3150),
    [anon_sym_EQ_EQ] = ACTIONS(3152),
    [anon_sym_BANG_EQ] = ACTIONS(3150),
    [anon_sym_eq] = ACTIONS(3152),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3150),
    [anon_sym_equ] = ACTIONS(3150),
    [anon_sym_eqr] = ACTIONS(3150),
    [anon_sym_ne] = ACTIONS(3150),
    [anon_sym_LT_EQ_GT] = ACTIONS(3150),
    [anon_sym_cmp] = ACTIONS(3150),
    [anon_sym_TILDE_TILDE] = ACTIONS(3150),
    [anon_sym_LT] = ACTIONS(3152),
    [anon_sym_LT_EQ] = ACTIONS(3152),
    [anon_sym_GT_EQ] = ACTIONS(3150),
    [anon_sym_lt] = ACTIONS(3150),
    [anon_sym_le] = ACTIONS(3150),
    [anon_sym_ge] = ACTIONS(3150),
    [anon_sym_gt] = ACTIONS(3150),
    [anon_sym_isa] = ACTIONS(3150),
    [anon_sym_PLUS_PLUS] = ACTIONS(3150),
    [anon_sym_DASH_DASH] = ACTIONS(3150),
    [anon_sym_QMARK] = ACTIONS(3150),
    [anon_sym_PERCENT2] = ACTIONS(3150),
    [anon_sym_EQ_GT] = ACTIONS(3150),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1858] = {
    [sym_heredoc_content] = STATE(1858),
    [anon_sym_COLON] = ACTIONS(3154),
    [anon_sym_DOLLAR] = ACTIONS(3154),
    [anon_sym_EQ] = ACTIONS(3156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3154),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3154),
    [anon_sym_COMMA] = ACTIONS(3154),
    [anon_sym_RPAREN] = ACTIONS(3154),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3154),
    [anon_sym_DASH_GT] = ACTIONS(3154),
    [anon_sym_PERCENT] = ACTIONS(3156),
    [anon_sym_GT] = ACTIONS(3156),
    [anon_sym_LT_LT] = ACTIONS(3156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3154),
    [anon_sym_PLUS_EQ] = ACTIONS(3154),
    [anon_sym_DASH_EQ] = ACTIONS(3154),
    [anon_sym_DOT_EQ] = ACTIONS(3154),
    [anon_sym_STAR_EQ] = ACTIONS(3154),
    [anon_sym_SLASH_EQ] = ACTIONS(3154),
    [anon_sym_PERCENT_EQ] = ACTIONS(3156),
    [anon_sym_x_EQ] = ACTIONS(3154),
    [anon_sym_AMP_EQ] = ACTIONS(3154),
    [anon_sym_PIPE_EQ] = ACTIONS(3154),
    [anon_sym_CARET_EQ] = ACTIONS(3154),
    [anon_sym_LT_LT_EQ] = ACTIONS(3154),
    [anon_sym_GT_GT_EQ] = ACTIONS(3154),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3154),
    [anon_sym_DOT_DOT] = ACTIONS(3156),
    [anon_sym_STAR_STAR] = ACTIONS(3156),
    [anon_sym_PIPE_PIPE] = ACTIONS(3156),
    [anon_sym_SLASH_SLASH] = ACTIONS(3156),
    [anon_sym_CARET_CARET] = ACTIONS(3154),
    [anon_sym_AMP_AMP] = ACTIONS(3156),
    [anon_sym_PIPE] = ACTIONS(3156),
    [anon_sym_CARET] = ACTIONS(3156),
    [anon_sym_AMP] = ACTIONS(3156),
    [anon_sym_GT_GT2] = ACTIONS(3156),
    [anon_sym_PLUS] = ACTIONS(3156),
    [anon_sym_DASH] = ACTIONS(3156),
    [anon_sym_DOT] = ACTIONS(3156),
    [anon_sym_STAR] = ACTIONS(3156),
    [anon_sym_SLASH] = ACTIONS(3156),
    [anon_sym_x] = ACTIONS(3156),
    [anon_sym_EQ_TILDE] = ACTIONS(3154),
    [anon_sym_BANG_TILDE] = ACTIONS(3154),
    [anon_sym_EQ_EQ] = ACTIONS(3156),
    [anon_sym_BANG_EQ] = ACTIONS(3154),
    [anon_sym_eq] = ACTIONS(3156),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3154),
    [anon_sym_equ] = ACTIONS(3154),
    [anon_sym_eqr] = ACTIONS(3154),
    [anon_sym_ne] = ACTIONS(3154),
    [anon_sym_LT_EQ_GT] = ACTIONS(3154),
    [anon_sym_cmp] = ACTIONS(3154),
    [anon_sym_TILDE_TILDE] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3156),
    [anon_sym_LT_EQ] = ACTIONS(3156),
    [anon_sym_GT_EQ] = ACTIONS(3154),
    [anon_sym_lt] = ACTIONS(3154),
    [anon_sym_le] = ACTIONS(3154),
    [anon_sym_ge] = ACTIONS(3154),
    [anon_sym_gt] = ACTIONS(3154),
    [anon_sym_isa] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [anon_sym_QMARK] = ACTIONS(3154),
    [anon_sym_PERCENT2] = ACTIONS(3154),
    [anon_sym_EQ_GT] = ACTIONS(3154),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1859] = {
    [sym_heredoc_content] = STATE(1859),
    [anon_sym_COLON] = ACTIONS(3158),
    [anon_sym_DOLLAR] = ACTIONS(3158),
    [anon_sym_EQ] = ACTIONS(3160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3158),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3158),
    [anon_sym_AT] = ACTIONS(3158),
    [anon_sym_COMMA] = ACTIONS(3158),
    [anon_sym_RPAREN] = ACTIONS(3158),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3158),
    [anon_sym_DASH_GT] = ACTIONS(3158),
    [anon_sym_PERCENT] = ACTIONS(3160),
    [anon_sym_GT] = ACTIONS(3160),
    [anon_sym_LT_LT] = ACTIONS(3160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3158),
    [anon_sym_PLUS_EQ] = ACTIONS(3158),
    [anon_sym_DASH_EQ] = ACTIONS(3158),
    [anon_sym_DOT_EQ] = ACTIONS(3158),
    [anon_sym_STAR_EQ] = ACTIONS(3158),
    [anon_sym_SLASH_EQ] = ACTIONS(3158),
    [anon_sym_PERCENT_EQ] = ACTIONS(3160),
    [anon_sym_x_EQ] = ACTIONS(3158),
    [anon_sym_AMP_EQ] = ACTIONS(3158),
    [anon_sym_PIPE_EQ] = ACTIONS(3158),
    [anon_sym_CARET_EQ] = ACTIONS(3158),
    [anon_sym_LT_LT_EQ] = ACTIONS(3158),
    [anon_sym_GT_GT_EQ] = ACTIONS(3158),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3158),
    [anon_sym_DOT_DOT] = ACTIONS(3160),
    [anon_sym_STAR_STAR] = ACTIONS(3160),
    [anon_sym_PIPE_PIPE] = ACTIONS(3160),
    [anon_sym_SLASH_SLASH] = ACTIONS(3160),
    [anon_sym_CARET_CARET] = ACTIONS(3158),
    [anon_sym_AMP_AMP] = ACTIONS(3160),
    [anon_sym_PIPE] = ACTIONS(3160),
    [anon_sym_CARET] = ACTIONS(3160),
    [anon_sym_AMP] = ACTIONS(3160),
    [anon_sym_GT_GT2] = ACTIONS(3160),
    [anon_sym_PLUS] = ACTIONS(3160),
    [anon_sym_DASH] = ACTIONS(3160),
    [anon_sym_DOT] = ACTIONS(3160),
    [anon_sym_STAR] = ACTIONS(3160),
    [anon_sym_SLASH] = ACTIONS(3160),
    [anon_sym_x] = ACTIONS(3160),
    [anon_sym_EQ_TILDE] = ACTIONS(3158),
    [anon_sym_BANG_TILDE] = ACTIONS(3158),
    [anon_sym_EQ_EQ] = ACTIONS(3160),
    [anon_sym_BANG_EQ] = ACTIONS(3158),
    [anon_sym_eq] = ACTIONS(3160),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3158),
    [anon_sym_equ] = ACTIONS(3158),
    [anon_sym_eqr] = ACTIONS(3158),
    [anon_sym_ne] = ACTIONS(3158),
    [anon_sym_LT_EQ_GT] = ACTIONS(3158),
    [anon_sym_cmp] = ACTIONS(3158),
    [anon_sym_TILDE_TILDE] = ACTIONS(3158),
    [anon_sym_LT] = ACTIONS(3160),
    [anon_sym_LT_EQ] = ACTIONS(3160),
    [anon_sym_GT_EQ] = ACTIONS(3158),
    [anon_sym_lt] = ACTIONS(3158),
    [anon_sym_le] = ACTIONS(3158),
    [anon_sym_ge] = ACTIONS(3158),
    [anon_sym_gt] = ACTIONS(3158),
    [anon_sym_isa] = ACTIONS(3158),
    [anon_sym_PLUS_PLUS] = ACTIONS(3158),
    [anon_sym_DASH_DASH] = ACTIONS(3158),
    [anon_sym_QMARK] = ACTIONS(3158),
    [anon_sym_PERCENT2] = ACTIONS(3158),
    [anon_sym_EQ_GT] = ACTIONS(3158),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1860] = {
    [sym_heredoc_content] = STATE(1860),
    [anon_sym_COLON] = ACTIONS(3162),
    [anon_sym_DOLLAR] = ACTIONS(3162),
    [anon_sym_EQ] = ACTIONS(3164),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3162),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3162),
    [anon_sym_AT] = ACTIONS(3162),
    [anon_sym_COMMA] = ACTIONS(3162),
    [anon_sym_RPAREN] = ACTIONS(3162),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3162),
    [anon_sym_DASH_GT] = ACTIONS(3162),
    [anon_sym_PERCENT] = ACTIONS(3164),
    [anon_sym_GT] = ACTIONS(3164),
    [anon_sym_LT_LT] = ACTIONS(3164),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3162),
    [anon_sym_PLUS_EQ] = ACTIONS(3162),
    [anon_sym_DASH_EQ] = ACTIONS(3162),
    [anon_sym_DOT_EQ] = ACTIONS(3162),
    [anon_sym_STAR_EQ] = ACTIONS(3162),
    [anon_sym_SLASH_EQ] = ACTIONS(3162),
    [anon_sym_PERCENT_EQ] = ACTIONS(3164),
    [anon_sym_x_EQ] = ACTIONS(3162),
    [anon_sym_AMP_EQ] = ACTIONS(3162),
    [anon_sym_PIPE_EQ] = ACTIONS(3162),
    [anon_sym_CARET_EQ] = ACTIONS(3162),
    [anon_sym_LT_LT_EQ] = ACTIONS(3162),
    [anon_sym_GT_GT_EQ] = ACTIONS(3162),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3162),
    [anon_sym_DOT_DOT] = ACTIONS(3164),
    [anon_sym_STAR_STAR] = ACTIONS(3164),
    [anon_sym_PIPE_PIPE] = ACTIONS(3164),
    [anon_sym_SLASH_SLASH] = ACTIONS(3164),
    [anon_sym_CARET_CARET] = ACTIONS(3162),
    [anon_sym_AMP_AMP] = ACTIONS(3164),
    [anon_sym_PIPE] = ACTIONS(3164),
    [anon_sym_CARET] = ACTIONS(3164),
    [anon_sym_AMP] = ACTIONS(3164),
    [anon_sym_GT_GT2] = ACTIONS(3164),
    [anon_sym_PLUS] = ACTIONS(3164),
    [anon_sym_DASH] = ACTIONS(3164),
    [anon_sym_DOT] = ACTIONS(3164),
    [anon_sym_STAR] = ACTIONS(3164),
    [anon_sym_SLASH] = ACTIONS(3164),
    [anon_sym_x] = ACTIONS(3164),
    [anon_sym_EQ_TILDE] = ACTIONS(3162),
    [anon_sym_BANG_TILDE] = ACTIONS(3162),
    [anon_sym_EQ_EQ] = ACTIONS(3164),
    [anon_sym_BANG_EQ] = ACTIONS(3162),
    [anon_sym_eq] = ACTIONS(3164),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3162),
    [anon_sym_equ] = ACTIONS(3162),
    [anon_sym_eqr] = ACTIONS(3162),
    [anon_sym_ne] = ACTIONS(3162),
    [anon_sym_LT_EQ_GT] = ACTIONS(3162),
    [anon_sym_cmp] = ACTIONS(3162),
    [anon_sym_TILDE_TILDE] = ACTIONS(3162),
    [anon_sym_LT] = ACTIONS(3164),
    [anon_sym_LT_EQ] = ACTIONS(3164),
    [anon_sym_GT_EQ] = ACTIONS(3162),
    [anon_sym_lt] = ACTIONS(3162),
    [anon_sym_le] = ACTIONS(3162),
    [anon_sym_ge] = ACTIONS(3162),
    [anon_sym_gt] = ACTIONS(3162),
    [anon_sym_isa] = ACTIONS(3162),
    [anon_sym_PLUS_PLUS] = ACTIONS(3162),
    [anon_sym_DASH_DASH] = ACTIONS(3162),
    [anon_sym_QMARK] = ACTIONS(3162),
    [anon_sym_PERCENT2] = ACTIONS(3162),
    [anon_sym_EQ_GT] = ACTIONS(3162),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1861] = {
    [sym_heredoc_content] = STATE(1861),
    [anon_sym_COLON] = ACTIONS(3166),
    [anon_sym_DOLLAR] = ACTIONS(3166),
    [anon_sym_EQ] = ACTIONS(3168),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3166),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3166),
    [anon_sym_AT] = ACTIONS(3166),
    [anon_sym_COMMA] = ACTIONS(3166),
    [anon_sym_RPAREN] = ACTIONS(3166),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3166),
    [anon_sym_DASH_GT] = ACTIONS(3166),
    [anon_sym_PERCENT] = ACTIONS(3168),
    [anon_sym_GT] = ACTIONS(3168),
    [anon_sym_LT_LT] = ACTIONS(3168),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3166),
    [anon_sym_PLUS_EQ] = ACTIONS(3166),
    [anon_sym_DASH_EQ] = ACTIONS(3166),
    [anon_sym_DOT_EQ] = ACTIONS(3166),
    [anon_sym_STAR_EQ] = ACTIONS(3166),
    [anon_sym_SLASH_EQ] = ACTIONS(3166),
    [anon_sym_PERCENT_EQ] = ACTIONS(3168),
    [anon_sym_x_EQ] = ACTIONS(3166),
    [anon_sym_AMP_EQ] = ACTIONS(3166),
    [anon_sym_PIPE_EQ] = ACTIONS(3166),
    [anon_sym_CARET_EQ] = ACTIONS(3166),
    [anon_sym_LT_LT_EQ] = ACTIONS(3166),
    [anon_sym_GT_GT_EQ] = ACTIONS(3166),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3166),
    [anon_sym_DOT_DOT] = ACTIONS(3168),
    [anon_sym_STAR_STAR] = ACTIONS(3168),
    [anon_sym_PIPE_PIPE] = ACTIONS(3168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3168),
    [anon_sym_CARET_CARET] = ACTIONS(3166),
    [anon_sym_AMP_AMP] = ACTIONS(3168),
    [anon_sym_PIPE] = ACTIONS(3168),
    [anon_sym_CARET] = ACTIONS(3168),
    [anon_sym_AMP] = ACTIONS(3168),
    [anon_sym_GT_GT2] = ACTIONS(3168),
    [anon_sym_PLUS] = ACTIONS(3168),
    [anon_sym_DASH] = ACTIONS(3168),
    [anon_sym_DOT] = ACTIONS(3168),
    [anon_sym_STAR] = ACTIONS(3168),
    [anon_sym_SLASH] = ACTIONS(3168),
    [anon_sym_x] = ACTIONS(3168),
    [anon_sym_EQ_TILDE] = ACTIONS(3166),
    [anon_sym_BANG_TILDE] = ACTIONS(3166),
    [anon_sym_EQ_EQ] = ACTIONS(3168),
    [anon_sym_BANG_EQ] = ACTIONS(3166),
    [anon_sym_eq] = ACTIONS(3168),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3166),
    [anon_sym_equ] = ACTIONS(3166),
    [anon_sym_eqr] = ACTIONS(3166),
    [anon_sym_ne] = ACTIONS(3166),
    [anon_sym_LT_EQ_GT] = ACTIONS(3166),
    [anon_sym_cmp] = ACTIONS(3166),
    [anon_sym_TILDE_TILDE] = ACTIONS(3166),
    [anon_sym_LT] = ACTIONS(3168),
    [anon_sym_LT_EQ] = ACTIONS(3168),
    [anon_sym_GT_EQ] = ACTIONS(3166),
    [anon_sym_lt] = ACTIONS(3166),
    [anon_sym_le] = ACTIONS(3166),
    [anon_sym_ge] = ACTIONS(3166),
    [anon_sym_gt] = ACTIONS(3166),
    [anon_sym_isa] = ACTIONS(3166),
    [anon_sym_PLUS_PLUS] = ACTIONS(3166),
    [anon_sym_DASH_DASH] = ACTIONS(3166),
    [anon_sym_QMARK] = ACTIONS(3166),
    [anon_sym_PERCENT2] = ACTIONS(3166),
    [anon_sym_EQ_GT] = ACTIONS(3166),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1862] = {
    [sym_heredoc_content] = STATE(1862),
    [anon_sym_COLON] = ACTIONS(3170),
    [anon_sym_DOLLAR] = ACTIONS(3170),
    [anon_sym_EQ] = ACTIONS(3172),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3170),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3170),
    [anon_sym_AT] = ACTIONS(3170),
    [anon_sym_COMMA] = ACTIONS(3170),
    [anon_sym_RPAREN] = ACTIONS(3170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3170),
    [anon_sym_DASH_GT] = ACTIONS(3170),
    [anon_sym_PERCENT] = ACTIONS(3172),
    [anon_sym_GT] = ACTIONS(3172),
    [anon_sym_LT_LT] = ACTIONS(3172),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3170),
    [anon_sym_PLUS_EQ] = ACTIONS(3170),
    [anon_sym_DASH_EQ] = ACTIONS(3170),
    [anon_sym_DOT_EQ] = ACTIONS(3170),
    [anon_sym_STAR_EQ] = ACTIONS(3170),
    [anon_sym_SLASH_EQ] = ACTIONS(3170),
    [anon_sym_PERCENT_EQ] = ACTIONS(3172),
    [anon_sym_x_EQ] = ACTIONS(3170),
    [anon_sym_AMP_EQ] = ACTIONS(3170),
    [anon_sym_PIPE_EQ] = ACTIONS(3170),
    [anon_sym_CARET_EQ] = ACTIONS(3170),
    [anon_sym_LT_LT_EQ] = ACTIONS(3170),
    [anon_sym_GT_GT_EQ] = ACTIONS(3170),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3170),
    [anon_sym_DOT_DOT] = ACTIONS(3172),
    [anon_sym_STAR_STAR] = ACTIONS(3172),
    [anon_sym_PIPE_PIPE] = ACTIONS(3172),
    [anon_sym_SLASH_SLASH] = ACTIONS(3172),
    [anon_sym_CARET_CARET] = ACTIONS(3170),
    [anon_sym_AMP_AMP] = ACTIONS(3172),
    [anon_sym_PIPE] = ACTIONS(3172),
    [anon_sym_CARET] = ACTIONS(3172),
    [anon_sym_AMP] = ACTIONS(3172),
    [anon_sym_GT_GT2] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_DOT] = ACTIONS(3172),
    [anon_sym_STAR] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_x] = ACTIONS(3172),
    [anon_sym_EQ_TILDE] = ACTIONS(3170),
    [anon_sym_BANG_TILDE] = ACTIONS(3170),
    [anon_sym_EQ_EQ] = ACTIONS(3172),
    [anon_sym_BANG_EQ] = ACTIONS(3170),
    [anon_sym_eq] = ACTIONS(3172),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3170),
    [anon_sym_equ] = ACTIONS(3170),
    [anon_sym_eqr] = ACTIONS(3170),
    [anon_sym_ne] = ACTIONS(3170),
    [anon_sym_LT_EQ_GT] = ACTIONS(3170),
    [anon_sym_cmp] = ACTIONS(3170),
    [anon_sym_TILDE_TILDE] = ACTIONS(3170),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_LT_EQ] = ACTIONS(3172),
    [anon_sym_GT_EQ] = ACTIONS(3170),
    [anon_sym_lt] = ACTIONS(3170),
    [anon_sym_le] = ACTIONS(3170),
    [anon_sym_ge] = ACTIONS(3170),
    [anon_sym_gt] = ACTIONS(3170),
    [anon_sym_isa] = ACTIONS(3170),
    [anon_sym_PLUS_PLUS] = ACTIONS(3170),
    [anon_sym_DASH_DASH] = ACTIONS(3170),
    [anon_sym_QMARK] = ACTIONS(3170),
    [anon_sym_PERCENT2] = ACTIONS(3170),
    [anon_sym_EQ_GT] = ACTIONS(3170),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1863] = {
    [sym_heredoc_content] = STATE(1863),
    [anon_sym_COLON] = ACTIONS(3174),
    [anon_sym_DOLLAR] = ACTIONS(3174),
    [anon_sym_EQ] = ACTIONS(3176),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3174),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3174),
    [anon_sym_AT] = ACTIONS(3174),
    [anon_sym_COMMA] = ACTIONS(3174),
    [anon_sym_RPAREN] = ACTIONS(3174),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3174),
    [anon_sym_DASH_GT] = ACTIONS(3174),
    [anon_sym_PERCENT] = ACTIONS(3176),
    [anon_sym_GT] = ACTIONS(3176),
    [anon_sym_LT_LT] = ACTIONS(3176),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3174),
    [anon_sym_PLUS_EQ] = ACTIONS(3174),
    [anon_sym_DASH_EQ] = ACTIONS(3174),
    [anon_sym_DOT_EQ] = ACTIONS(3174),
    [anon_sym_STAR_EQ] = ACTIONS(3174),
    [anon_sym_SLASH_EQ] = ACTIONS(3174),
    [anon_sym_PERCENT_EQ] = ACTIONS(3176),
    [anon_sym_x_EQ] = ACTIONS(3174),
    [anon_sym_AMP_EQ] = ACTIONS(3174),
    [anon_sym_PIPE_EQ] = ACTIONS(3174),
    [anon_sym_CARET_EQ] = ACTIONS(3174),
    [anon_sym_LT_LT_EQ] = ACTIONS(3174),
    [anon_sym_GT_GT_EQ] = ACTIONS(3174),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3174),
    [anon_sym_DOT_DOT] = ACTIONS(3176),
    [anon_sym_STAR_STAR] = ACTIONS(3176),
    [anon_sym_PIPE_PIPE] = ACTIONS(3176),
    [anon_sym_SLASH_SLASH] = ACTIONS(3176),
    [anon_sym_CARET_CARET] = ACTIONS(3174),
    [anon_sym_AMP_AMP] = ACTIONS(3176),
    [anon_sym_PIPE] = ACTIONS(3176),
    [anon_sym_CARET] = ACTIONS(3176),
    [anon_sym_AMP] = ACTIONS(3176),
    [anon_sym_GT_GT2] = ACTIONS(3176),
    [anon_sym_PLUS] = ACTIONS(3176),
    [anon_sym_DASH] = ACTIONS(3176),
    [anon_sym_DOT] = ACTIONS(3176),
    [anon_sym_STAR] = ACTIONS(3176),
    [anon_sym_SLASH] = ACTIONS(3176),
    [anon_sym_x] = ACTIONS(3176),
    [anon_sym_EQ_TILDE] = ACTIONS(3174),
    [anon_sym_BANG_TILDE] = ACTIONS(3174),
    [anon_sym_EQ_EQ] = ACTIONS(3176),
    [anon_sym_BANG_EQ] = ACTIONS(3174),
    [anon_sym_eq] = ACTIONS(3176),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3174),
    [anon_sym_equ] = ACTIONS(3174),
    [anon_sym_eqr] = ACTIONS(3174),
    [anon_sym_ne] = ACTIONS(3174),
    [anon_sym_LT_EQ_GT] = ACTIONS(3174),
    [anon_sym_cmp] = ACTIONS(3174),
    [anon_sym_TILDE_TILDE] = ACTIONS(3174),
    [anon_sym_LT] = ACTIONS(3176),
    [anon_sym_LT_EQ] = ACTIONS(3176),
    [anon_sym_GT_EQ] = ACTIONS(3174),
    [anon_sym_lt] = ACTIONS(3174),
    [anon_sym_le] = ACTIONS(3174),
    [anon_sym_ge] = ACTIONS(3174),
    [anon_sym_gt] = ACTIONS(3174),
    [anon_sym_isa] = ACTIONS(3174),
    [anon_sym_PLUS_PLUS] = ACTIONS(3174),
    [anon_sym_DASH_DASH] = ACTIONS(3174),
    [anon_sym_QMARK] = ACTIONS(3174),
    [anon_sym_PERCENT2] = ACTIONS(3174),
    [anon_sym_EQ_GT] = ACTIONS(3174),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1864] = {
    [sym_heredoc_content] = STATE(1864),
    [anon_sym_COLON] = ACTIONS(3178),
    [anon_sym_DOLLAR] = ACTIONS(3178),
    [anon_sym_EQ] = ACTIONS(3180),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3178),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3178),
    [anon_sym_AT] = ACTIONS(3178),
    [anon_sym_COMMA] = ACTIONS(3178),
    [anon_sym_RPAREN] = ACTIONS(3178),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3178),
    [anon_sym_DASH_GT] = ACTIONS(3178),
    [anon_sym_PERCENT] = ACTIONS(3180),
    [anon_sym_GT] = ACTIONS(3180),
    [anon_sym_LT_LT] = ACTIONS(3180),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3178),
    [anon_sym_PLUS_EQ] = ACTIONS(3178),
    [anon_sym_DASH_EQ] = ACTIONS(3178),
    [anon_sym_DOT_EQ] = ACTIONS(3178),
    [anon_sym_STAR_EQ] = ACTIONS(3178),
    [anon_sym_SLASH_EQ] = ACTIONS(3178),
    [anon_sym_PERCENT_EQ] = ACTIONS(3180),
    [anon_sym_x_EQ] = ACTIONS(3178),
    [anon_sym_AMP_EQ] = ACTIONS(3178),
    [anon_sym_PIPE_EQ] = ACTIONS(3178),
    [anon_sym_CARET_EQ] = ACTIONS(3178),
    [anon_sym_LT_LT_EQ] = ACTIONS(3178),
    [anon_sym_GT_GT_EQ] = ACTIONS(3178),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3178),
    [anon_sym_DOT_DOT] = ACTIONS(3180),
    [anon_sym_STAR_STAR] = ACTIONS(3180),
    [anon_sym_PIPE_PIPE] = ACTIONS(3180),
    [anon_sym_SLASH_SLASH] = ACTIONS(3180),
    [anon_sym_CARET_CARET] = ACTIONS(3178),
    [anon_sym_AMP_AMP] = ACTIONS(3180),
    [anon_sym_PIPE] = ACTIONS(3180),
    [anon_sym_CARET] = ACTIONS(3180),
    [anon_sym_AMP] = ACTIONS(3180),
    [anon_sym_GT_GT2] = ACTIONS(3180),
    [anon_sym_PLUS] = ACTIONS(3180),
    [anon_sym_DASH] = ACTIONS(3180),
    [anon_sym_DOT] = ACTIONS(3180),
    [anon_sym_STAR] = ACTIONS(3180),
    [anon_sym_SLASH] = ACTIONS(3180),
    [anon_sym_x] = ACTIONS(3180),
    [anon_sym_EQ_TILDE] = ACTIONS(3178),
    [anon_sym_BANG_TILDE] = ACTIONS(3178),
    [anon_sym_EQ_EQ] = ACTIONS(3180),
    [anon_sym_BANG_EQ] = ACTIONS(3178),
    [anon_sym_eq] = ACTIONS(3180),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3178),
    [anon_sym_equ] = ACTIONS(3178),
    [anon_sym_eqr] = ACTIONS(3178),
    [anon_sym_ne] = ACTIONS(3178),
    [anon_sym_LT_EQ_GT] = ACTIONS(3178),
    [anon_sym_cmp] = ACTIONS(3178),
    [anon_sym_TILDE_TILDE] = ACTIONS(3178),
    [anon_sym_LT] = ACTIONS(3180),
    [anon_sym_LT_EQ] = ACTIONS(3180),
    [anon_sym_GT_EQ] = ACTIONS(3178),
    [anon_sym_lt] = ACTIONS(3178),
    [anon_sym_le] = ACTIONS(3178),
    [anon_sym_ge] = ACTIONS(3178),
    [anon_sym_gt] = ACTIONS(3178),
    [anon_sym_isa] = ACTIONS(3178),
    [anon_sym_PLUS_PLUS] = ACTIONS(3178),
    [anon_sym_DASH_DASH] = ACTIONS(3178),
    [anon_sym_QMARK] = ACTIONS(3178),
    [anon_sym_PERCENT2] = ACTIONS(3178),
    [anon_sym_EQ_GT] = ACTIONS(3178),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1865] = {
    [sym_heredoc_content] = STATE(1865),
    [anon_sym_COLON] = ACTIONS(3182),
    [anon_sym_DOLLAR] = ACTIONS(3182),
    [anon_sym_EQ] = ACTIONS(3184),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3182),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3182),
    [anon_sym_AT] = ACTIONS(3182),
    [anon_sym_COMMA] = ACTIONS(3182),
    [anon_sym_RPAREN] = ACTIONS(3182),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3182),
    [anon_sym_DASH_GT] = ACTIONS(3182),
    [anon_sym_PERCENT] = ACTIONS(3184),
    [anon_sym_GT] = ACTIONS(3184),
    [anon_sym_LT_LT] = ACTIONS(3184),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3182),
    [anon_sym_PLUS_EQ] = ACTIONS(3182),
    [anon_sym_DASH_EQ] = ACTIONS(3182),
    [anon_sym_DOT_EQ] = ACTIONS(3182),
    [anon_sym_STAR_EQ] = ACTIONS(3182),
    [anon_sym_SLASH_EQ] = ACTIONS(3182),
    [anon_sym_PERCENT_EQ] = ACTIONS(3184),
    [anon_sym_x_EQ] = ACTIONS(3182),
    [anon_sym_AMP_EQ] = ACTIONS(3182),
    [anon_sym_PIPE_EQ] = ACTIONS(3182),
    [anon_sym_CARET_EQ] = ACTIONS(3182),
    [anon_sym_LT_LT_EQ] = ACTIONS(3182),
    [anon_sym_GT_GT_EQ] = ACTIONS(3182),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3182),
    [anon_sym_DOT_DOT] = ACTIONS(3184),
    [anon_sym_STAR_STAR] = ACTIONS(3184),
    [anon_sym_PIPE_PIPE] = ACTIONS(3184),
    [anon_sym_SLASH_SLASH] = ACTIONS(3184),
    [anon_sym_CARET_CARET] = ACTIONS(3182),
    [anon_sym_AMP_AMP] = ACTIONS(3184),
    [anon_sym_PIPE] = ACTIONS(3184),
    [anon_sym_CARET] = ACTIONS(3184),
    [anon_sym_AMP] = ACTIONS(3184),
    [anon_sym_GT_GT2] = ACTIONS(3184),
    [anon_sym_PLUS] = ACTIONS(3184),
    [anon_sym_DASH] = ACTIONS(3184),
    [anon_sym_DOT] = ACTIONS(3184),
    [anon_sym_STAR] = ACTIONS(3184),
    [anon_sym_SLASH] = ACTIONS(3184),
    [anon_sym_x] = ACTIONS(3184),
    [anon_sym_EQ_TILDE] = ACTIONS(3182),
    [anon_sym_BANG_TILDE] = ACTIONS(3182),
    [anon_sym_EQ_EQ] = ACTIONS(3184),
    [anon_sym_BANG_EQ] = ACTIONS(3182),
    [anon_sym_eq] = ACTIONS(3184),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3182),
    [anon_sym_equ] = ACTIONS(3182),
    [anon_sym_eqr] = ACTIONS(3182),
    [anon_sym_ne] = ACTIONS(3182),
    [anon_sym_LT_EQ_GT] = ACTIONS(3182),
    [anon_sym_cmp] = ACTIONS(3182),
    [anon_sym_TILDE_TILDE] = ACTIONS(3182),
    [anon_sym_LT] = ACTIONS(3184),
    [anon_sym_LT_EQ] = ACTIONS(3184),
    [anon_sym_GT_EQ] = ACTIONS(3182),
    [anon_sym_lt] = ACTIONS(3182),
    [anon_sym_le] = ACTIONS(3182),
    [anon_sym_ge] = ACTIONS(3182),
    [anon_sym_gt] = ACTIONS(3182),
    [anon_sym_isa] = ACTIONS(3182),
    [anon_sym_PLUS_PLUS] = ACTIONS(3182),
    [anon_sym_DASH_DASH] = ACTIONS(3182),
    [anon_sym_QMARK] = ACTIONS(3182),
    [anon_sym_PERCENT2] = ACTIONS(3182),
    [anon_sym_EQ_GT] = ACTIONS(3182),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1866] = {
    [sym_heredoc_content] = STATE(1866),
    [anon_sym_COLON] = ACTIONS(3186),
    [anon_sym_DOLLAR] = ACTIONS(3186),
    [anon_sym_EQ] = ACTIONS(3188),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(3186),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_RPAREN] = ACTIONS(3186),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3186),
    [anon_sym_DASH_GT] = ACTIONS(3186),
    [anon_sym_PERCENT] = ACTIONS(3188),
    [anon_sym_GT] = ACTIONS(3188),
    [anon_sym_LT_LT] = ACTIONS(3188),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3186),
    [anon_sym_PLUS_EQ] = ACTIONS(3186),
    [anon_sym_DASH_EQ] = ACTIONS(3186),
    [anon_sym_DOT_EQ] = ACTIONS(3186),
    [anon_sym_STAR_EQ] = ACTIONS(3186),
    [anon_sym_SLASH_EQ] = ACTIONS(3186),
    [anon_sym_PERCENT_EQ] = ACTIONS(3188),
    [anon_sym_x_EQ] = ACTIONS(3186),
    [anon_sym_AMP_EQ] = ACTIONS(3186),
    [anon_sym_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_CARET_EQ] = ACTIONS(3186),
    [anon_sym_LT_LT_EQ] = ACTIONS(3186),
    [anon_sym_GT_GT_EQ] = ACTIONS(3186),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3186),
    [anon_sym_DOT_DOT] = ACTIONS(3188),
    [anon_sym_STAR_STAR] = ACTIONS(3188),
    [anon_sym_PIPE_PIPE] = ACTIONS(3188),
    [anon_sym_SLASH_SLASH] = ACTIONS(3188),
    [anon_sym_CARET_CARET] = ACTIONS(3186),
    [anon_sym_AMP_AMP] = ACTIONS(3188),
    [anon_sym_PIPE] = ACTIONS(3188),
    [anon_sym_CARET] = ACTIONS(3188),
    [anon_sym_AMP] = ACTIONS(3188),
    [anon_sym_GT_GT2] = ACTIONS(3188),
    [anon_sym_PLUS] = ACTIONS(3188),
    [anon_sym_DASH] = ACTIONS(3188),
    [anon_sym_DOT] = ACTIONS(3188),
    [anon_sym_STAR] = ACTIONS(3188),
    [anon_sym_SLASH] = ACTIONS(3188),
    [anon_sym_x] = ACTIONS(3188),
    [anon_sym_EQ_TILDE] = ACTIONS(3186),
    [anon_sym_BANG_TILDE] = ACTIONS(3186),
    [anon_sym_EQ_EQ] = ACTIONS(3188),
    [anon_sym_BANG_EQ] = ACTIONS(3186),
    [anon_sym_eq] = ACTIONS(3188),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3186),
    [anon_sym_equ] = ACTIONS(3186),
    [anon_sym_eqr] = ACTIONS(3186),
    [anon_sym_ne] = ACTIONS(3186),
    [anon_sym_LT_EQ_GT] = ACTIONS(3186),
    [anon_sym_cmp] = ACTIONS(3186),
    [anon_sym_TILDE_TILDE] = ACTIONS(3186),
    [anon_sym_LT] = ACTIONS(3188),
    [anon_sym_LT_EQ] = ACTIONS(3188),
    [anon_sym_GT_EQ] = ACTIONS(3186),
    [anon_sym_lt] = ACTIONS(3186),
    [anon_sym_le] = ACTIONS(3186),
    [anon_sym_ge] = ACTIONS(3186),
    [anon_sym_gt] = ACTIONS(3186),
    [anon_sym_isa] = ACTIONS(3186),
    [anon_sym_PLUS_PLUS] = ACTIONS(3186),
    [anon_sym_DASH_DASH] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(3186),
    [anon_sym_PERCENT2] = ACTIONS(3186),
    [anon_sym_EQ_GT] = ACTIONS(3186),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1867] = {
    [sym_heredoc_content] = STATE(1867),
    [anon_sym_COLON] = ACTIONS(3190),
    [anon_sym_DOLLAR] = ACTIONS(3190),
    [anon_sym_EQ] = ACTIONS(3192),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3190),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3190),
    [anon_sym_AT] = ACTIONS(3190),
    [anon_sym_COMMA] = ACTIONS(3190),
    [anon_sym_RPAREN] = ACTIONS(3190),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3190),
    [anon_sym_DASH_GT] = ACTIONS(3190),
    [anon_sym_PERCENT] = ACTIONS(3192),
    [anon_sym_GT] = ACTIONS(3192),
    [anon_sym_LT_LT] = ACTIONS(3192),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3190),
    [anon_sym_PLUS_EQ] = ACTIONS(3190),
    [anon_sym_DASH_EQ] = ACTIONS(3190),
    [anon_sym_DOT_EQ] = ACTIONS(3190),
    [anon_sym_STAR_EQ] = ACTIONS(3190),
    [anon_sym_SLASH_EQ] = ACTIONS(3190),
    [anon_sym_PERCENT_EQ] = ACTIONS(3192),
    [anon_sym_x_EQ] = ACTIONS(3190),
    [anon_sym_AMP_EQ] = ACTIONS(3190),
    [anon_sym_PIPE_EQ] = ACTIONS(3190),
    [anon_sym_CARET_EQ] = ACTIONS(3190),
    [anon_sym_LT_LT_EQ] = ACTIONS(3190),
    [anon_sym_GT_GT_EQ] = ACTIONS(3190),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3190),
    [anon_sym_DOT_DOT] = ACTIONS(3192),
    [anon_sym_STAR_STAR] = ACTIONS(3192),
    [anon_sym_PIPE_PIPE] = ACTIONS(3192),
    [anon_sym_SLASH_SLASH] = ACTIONS(3192),
    [anon_sym_CARET_CARET] = ACTIONS(3190),
    [anon_sym_AMP_AMP] = ACTIONS(3192),
    [anon_sym_PIPE] = ACTIONS(3192),
    [anon_sym_CARET] = ACTIONS(3192),
    [anon_sym_AMP] = ACTIONS(3192),
    [anon_sym_GT_GT2] = ACTIONS(3192),
    [anon_sym_PLUS] = ACTIONS(3192),
    [anon_sym_DASH] = ACTIONS(3192),
    [anon_sym_DOT] = ACTIONS(3192),
    [anon_sym_STAR] = ACTIONS(3192),
    [anon_sym_SLASH] = ACTIONS(3192),
    [anon_sym_x] = ACTIONS(3192),
    [anon_sym_EQ_TILDE] = ACTIONS(3190),
    [anon_sym_BANG_TILDE] = ACTIONS(3190),
    [anon_sym_EQ_EQ] = ACTIONS(3192),
    [anon_sym_BANG_EQ] = ACTIONS(3190),
    [anon_sym_eq] = ACTIONS(3192),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3190),
    [anon_sym_equ] = ACTIONS(3190),
    [anon_sym_eqr] = ACTIONS(3190),
    [anon_sym_ne] = ACTIONS(3190),
    [anon_sym_LT_EQ_GT] = ACTIONS(3190),
    [anon_sym_cmp] = ACTIONS(3190),
    [anon_sym_TILDE_TILDE] = ACTIONS(3190),
    [anon_sym_LT] = ACTIONS(3192),
    [anon_sym_LT_EQ] = ACTIONS(3192),
    [anon_sym_GT_EQ] = ACTIONS(3190),
    [anon_sym_lt] = ACTIONS(3190),
    [anon_sym_le] = ACTIONS(3190),
    [anon_sym_ge] = ACTIONS(3190),
    [anon_sym_gt] = ACTIONS(3190),
    [anon_sym_isa] = ACTIONS(3190),
    [anon_sym_PLUS_PLUS] = ACTIONS(3190),
    [anon_sym_DASH_DASH] = ACTIONS(3190),
    [anon_sym_QMARK] = ACTIONS(3190),
    [anon_sym_PERCENT2] = ACTIONS(3190),
    [anon_sym_EQ_GT] = ACTIONS(3190),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1868] = {
    [sym_heredoc_content] = STATE(1868),
    [anon_sym_COLON] = ACTIONS(3194),
    [anon_sym_DOLLAR] = ACTIONS(3194),
    [anon_sym_EQ] = ACTIONS(3196),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3194),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3194),
    [anon_sym_AT] = ACTIONS(3194),
    [anon_sym_COMMA] = ACTIONS(3194),
    [anon_sym_RPAREN] = ACTIONS(3194),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3194),
    [anon_sym_DASH_GT] = ACTIONS(3194),
    [anon_sym_PERCENT] = ACTIONS(3196),
    [anon_sym_GT] = ACTIONS(3196),
    [anon_sym_LT_LT] = ACTIONS(3196),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3194),
    [anon_sym_PLUS_EQ] = ACTIONS(3194),
    [anon_sym_DASH_EQ] = ACTIONS(3194),
    [anon_sym_DOT_EQ] = ACTIONS(3194),
    [anon_sym_STAR_EQ] = ACTIONS(3194),
    [anon_sym_SLASH_EQ] = ACTIONS(3194),
    [anon_sym_PERCENT_EQ] = ACTIONS(3196),
    [anon_sym_x_EQ] = ACTIONS(3194),
    [anon_sym_AMP_EQ] = ACTIONS(3194),
    [anon_sym_PIPE_EQ] = ACTIONS(3194),
    [anon_sym_CARET_EQ] = ACTIONS(3194),
    [anon_sym_LT_LT_EQ] = ACTIONS(3194),
    [anon_sym_GT_GT_EQ] = ACTIONS(3194),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3194),
    [anon_sym_DOT_DOT] = ACTIONS(3196),
    [anon_sym_STAR_STAR] = ACTIONS(3196),
    [anon_sym_PIPE_PIPE] = ACTIONS(3196),
    [anon_sym_SLASH_SLASH] = ACTIONS(3196),
    [anon_sym_CARET_CARET] = ACTIONS(3194),
    [anon_sym_AMP_AMP] = ACTIONS(3196),
    [anon_sym_PIPE] = ACTIONS(3196),
    [anon_sym_CARET] = ACTIONS(3196),
    [anon_sym_AMP] = ACTIONS(3196),
    [anon_sym_GT_GT2] = ACTIONS(3196),
    [anon_sym_PLUS] = ACTIONS(3196),
    [anon_sym_DASH] = ACTIONS(3196),
    [anon_sym_DOT] = ACTIONS(3196),
    [anon_sym_STAR] = ACTIONS(3196),
    [anon_sym_SLASH] = ACTIONS(3196),
    [anon_sym_x] = ACTIONS(3196),
    [anon_sym_EQ_TILDE] = ACTIONS(3194),
    [anon_sym_BANG_TILDE] = ACTIONS(3194),
    [anon_sym_EQ_EQ] = ACTIONS(3196),
    [anon_sym_BANG_EQ] = ACTIONS(3194),
    [anon_sym_eq] = ACTIONS(3196),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3194),
    [anon_sym_equ] = ACTIONS(3194),
    [anon_sym_eqr] = ACTIONS(3194),
    [anon_sym_ne] = ACTIONS(3194),
    [anon_sym_LT_EQ_GT] = ACTIONS(3194),
    [anon_sym_cmp] = ACTIONS(3194),
    [anon_sym_TILDE_TILDE] = ACTIONS(3194),
    [anon_sym_LT] = ACTIONS(3196),
    [anon_sym_LT_EQ] = ACTIONS(3196),
    [anon_sym_GT_EQ] = ACTIONS(3194),
    [anon_sym_lt] = ACTIONS(3194),
    [anon_sym_le] = ACTIONS(3194),
    [anon_sym_ge] = ACTIONS(3194),
    [anon_sym_gt] = ACTIONS(3194),
    [anon_sym_isa] = ACTIONS(3194),
    [anon_sym_PLUS_PLUS] = ACTIONS(3194),
    [anon_sym_DASH_DASH] = ACTIONS(3194),
    [anon_sym_QMARK] = ACTIONS(3194),
    [anon_sym_PERCENT2] = ACTIONS(3194),
    [anon_sym_EQ_GT] = ACTIONS(3194),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1869] = {
    [sym_heredoc_content] = STATE(1869),
    [anon_sym_COLON] = ACTIONS(3202),
    [anon_sym_DOLLAR] = ACTIONS(3202),
    [anon_sym_EQ] = ACTIONS(3204),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3202),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3202),
    [anon_sym_AT] = ACTIONS(3202),
    [anon_sym_COMMA] = ACTIONS(3202),
    [anon_sym_RPAREN] = ACTIONS(3202),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3202),
    [anon_sym_DASH_GT] = ACTIONS(3202),
    [anon_sym_PERCENT] = ACTIONS(3204),
    [anon_sym_GT] = ACTIONS(3204),
    [anon_sym_LT_LT] = ACTIONS(3204),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3202),
    [anon_sym_PLUS_EQ] = ACTIONS(3202),
    [anon_sym_DASH_EQ] = ACTIONS(3202),
    [anon_sym_DOT_EQ] = ACTIONS(3202),
    [anon_sym_STAR_EQ] = ACTIONS(3202),
    [anon_sym_SLASH_EQ] = ACTIONS(3202),
    [anon_sym_PERCENT_EQ] = ACTIONS(3204),
    [anon_sym_x_EQ] = ACTIONS(3202),
    [anon_sym_AMP_EQ] = ACTIONS(3202),
    [anon_sym_PIPE_EQ] = ACTIONS(3202),
    [anon_sym_CARET_EQ] = ACTIONS(3202),
    [anon_sym_LT_LT_EQ] = ACTIONS(3202),
    [anon_sym_GT_GT_EQ] = ACTIONS(3202),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3202),
    [anon_sym_DOT_DOT] = ACTIONS(3204),
    [anon_sym_STAR_STAR] = ACTIONS(3204),
    [anon_sym_PIPE_PIPE] = ACTIONS(3204),
    [anon_sym_SLASH_SLASH] = ACTIONS(3204),
    [anon_sym_CARET_CARET] = ACTIONS(3202),
    [anon_sym_AMP_AMP] = ACTIONS(3204),
    [anon_sym_PIPE] = ACTIONS(3204),
    [anon_sym_CARET] = ACTIONS(3204),
    [anon_sym_AMP] = ACTIONS(3204),
    [anon_sym_GT_GT2] = ACTIONS(3204),
    [anon_sym_PLUS] = ACTIONS(3204),
    [anon_sym_DASH] = ACTIONS(3204),
    [anon_sym_DOT] = ACTIONS(3204),
    [anon_sym_STAR] = ACTIONS(3204),
    [anon_sym_SLASH] = ACTIONS(3204),
    [anon_sym_x] = ACTIONS(3204),
    [anon_sym_EQ_TILDE] = ACTIONS(3202),
    [anon_sym_BANG_TILDE] = ACTIONS(3202),
    [anon_sym_EQ_EQ] = ACTIONS(3204),
    [anon_sym_BANG_EQ] = ACTIONS(3202),
    [anon_sym_eq] = ACTIONS(3204),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3202),
    [anon_sym_equ] = ACTIONS(3202),
    [anon_sym_eqr] = ACTIONS(3202),
    [anon_sym_ne] = ACTIONS(3202),
    [anon_sym_LT_EQ_GT] = ACTIONS(3202),
    [anon_sym_cmp] = ACTIONS(3202),
    [anon_sym_TILDE_TILDE] = ACTIONS(3202),
    [anon_sym_LT] = ACTIONS(3204),
    [anon_sym_LT_EQ] = ACTIONS(3204),
    [anon_sym_GT_EQ] = ACTIONS(3202),
    [anon_sym_lt] = ACTIONS(3202),
    [anon_sym_le] = ACTIONS(3202),
    [anon_sym_ge] = ACTIONS(3202),
    [anon_sym_gt] = ACTIONS(3202),
    [anon_sym_isa] = ACTIONS(3202),
    [anon_sym_PLUS_PLUS] = ACTIONS(3202),
    [anon_sym_DASH_DASH] = ACTIONS(3202),
    [anon_sym_QMARK] = ACTIONS(3202),
    [anon_sym_PERCENT2] = ACTIONS(3202),
    [anon_sym_EQ_GT] = ACTIONS(3202),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1870] = {
    [sym_heredoc_content] = STATE(1870),
    [anon_sym_COLON] = ACTIONS(3206),
    [anon_sym_DOLLAR] = ACTIONS(3206),
    [anon_sym_EQ] = ACTIONS(3208),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3206),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3206),
    [anon_sym_AT] = ACTIONS(3206),
    [anon_sym_COMMA] = ACTIONS(3206),
    [anon_sym_RPAREN] = ACTIONS(3206),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3206),
    [anon_sym_DASH_GT] = ACTIONS(3206),
    [anon_sym_PERCENT] = ACTIONS(3208),
    [anon_sym_GT] = ACTIONS(3208),
    [anon_sym_LT_LT] = ACTIONS(3208),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3206),
    [anon_sym_PLUS_EQ] = ACTIONS(3206),
    [anon_sym_DASH_EQ] = ACTIONS(3206),
    [anon_sym_DOT_EQ] = ACTIONS(3206),
    [anon_sym_STAR_EQ] = ACTIONS(3206),
    [anon_sym_SLASH_EQ] = ACTIONS(3206),
    [anon_sym_PERCENT_EQ] = ACTIONS(3208),
    [anon_sym_x_EQ] = ACTIONS(3206),
    [anon_sym_AMP_EQ] = ACTIONS(3206),
    [anon_sym_PIPE_EQ] = ACTIONS(3206),
    [anon_sym_CARET_EQ] = ACTIONS(3206),
    [anon_sym_LT_LT_EQ] = ACTIONS(3206),
    [anon_sym_GT_GT_EQ] = ACTIONS(3206),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3206),
    [anon_sym_DOT_DOT] = ACTIONS(3208),
    [anon_sym_STAR_STAR] = ACTIONS(3208),
    [anon_sym_PIPE_PIPE] = ACTIONS(3208),
    [anon_sym_SLASH_SLASH] = ACTIONS(3208),
    [anon_sym_CARET_CARET] = ACTIONS(3206),
    [anon_sym_AMP_AMP] = ACTIONS(3208),
    [anon_sym_PIPE] = ACTIONS(3208),
    [anon_sym_CARET] = ACTIONS(3208),
    [anon_sym_AMP] = ACTIONS(3208),
    [anon_sym_GT_GT2] = ACTIONS(3208),
    [anon_sym_PLUS] = ACTIONS(3208),
    [anon_sym_DASH] = ACTIONS(3208),
    [anon_sym_DOT] = ACTIONS(3208),
    [anon_sym_STAR] = ACTIONS(3208),
    [anon_sym_SLASH] = ACTIONS(3208),
    [anon_sym_x] = ACTIONS(3208),
    [anon_sym_EQ_TILDE] = ACTIONS(3206),
    [anon_sym_BANG_TILDE] = ACTIONS(3206),
    [anon_sym_EQ_EQ] = ACTIONS(3208),
    [anon_sym_BANG_EQ] = ACTIONS(3206),
    [anon_sym_eq] = ACTIONS(3208),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3206),
    [anon_sym_equ] = ACTIONS(3206),
    [anon_sym_eqr] = ACTIONS(3206),
    [anon_sym_ne] = ACTIONS(3206),
    [anon_sym_LT_EQ_GT] = ACTIONS(3206),
    [anon_sym_cmp] = ACTIONS(3206),
    [anon_sym_TILDE_TILDE] = ACTIONS(3206),
    [anon_sym_LT] = ACTIONS(3208),
    [anon_sym_LT_EQ] = ACTIONS(3208),
    [anon_sym_GT_EQ] = ACTIONS(3206),
    [anon_sym_lt] = ACTIONS(3206),
    [anon_sym_le] = ACTIONS(3206),
    [anon_sym_ge] = ACTIONS(3206),
    [anon_sym_gt] = ACTIONS(3206),
    [anon_sym_isa] = ACTIONS(3206),
    [anon_sym_PLUS_PLUS] = ACTIONS(3206),
    [anon_sym_DASH_DASH] = ACTIONS(3206),
    [anon_sym_QMARK] = ACTIONS(3206),
    [anon_sym_PERCENT2] = ACTIONS(3206),
    [anon_sym_EQ_GT] = ACTIONS(3206),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1871] = {
    [sym_heredoc_content] = STATE(1871),
    [anon_sym_COLON] = ACTIONS(3210),
    [anon_sym_DOLLAR] = ACTIONS(3210),
    [anon_sym_EQ] = ACTIONS(3212),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3210),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3210),
    [anon_sym_AT] = ACTIONS(3210),
    [anon_sym_COMMA] = ACTIONS(3210),
    [anon_sym_RPAREN] = ACTIONS(3210),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3210),
    [anon_sym_DASH_GT] = ACTIONS(3210),
    [anon_sym_PERCENT] = ACTIONS(3212),
    [anon_sym_GT] = ACTIONS(3212),
    [anon_sym_LT_LT] = ACTIONS(3212),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3210),
    [anon_sym_PLUS_EQ] = ACTIONS(3210),
    [anon_sym_DASH_EQ] = ACTIONS(3210),
    [anon_sym_DOT_EQ] = ACTIONS(3210),
    [anon_sym_STAR_EQ] = ACTIONS(3210),
    [anon_sym_SLASH_EQ] = ACTIONS(3210),
    [anon_sym_PERCENT_EQ] = ACTIONS(3212),
    [anon_sym_x_EQ] = ACTIONS(3210),
    [anon_sym_AMP_EQ] = ACTIONS(3210),
    [anon_sym_PIPE_EQ] = ACTIONS(3210),
    [anon_sym_CARET_EQ] = ACTIONS(3210),
    [anon_sym_LT_LT_EQ] = ACTIONS(3210),
    [anon_sym_GT_GT_EQ] = ACTIONS(3210),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3210),
    [anon_sym_DOT_DOT] = ACTIONS(3212),
    [anon_sym_STAR_STAR] = ACTIONS(3212),
    [anon_sym_PIPE_PIPE] = ACTIONS(3212),
    [anon_sym_SLASH_SLASH] = ACTIONS(3212),
    [anon_sym_CARET_CARET] = ACTIONS(3210),
    [anon_sym_AMP_AMP] = ACTIONS(3212),
    [anon_sym_PIPE] = ACTIONS(3212),
    [anon_sym_CARET] = ACTIONS(3212),
    [anon_sym_AMP] = ACTIONS(3212),
    [anon_sym_GT_GT2] = ACTIONS(3212),
    [anon_sym_PLUS] = ACTIONS(3212),
    [anon_sym_DASH] = ACTIONS(3212),
    [anon_sym_DOT] = ACTIONS(3212),
    [anon_sym_STAR] = ACTIONS(3212),
    [anon_sym_SLASH] = ACTIONS(3212),
    [anon_sym_x] = ACTIONS(3212),
    [anon_sym_EQ_TILDE] = ACTIONS(3210),
    [anon_sym_BANG_TILDE] = ACTIONS(3210),
    [anon_sym_EQ_EQ] = ACTIONS(3212),
    [anon_sym_BANG_EQ] = ACTIONS(3210),
    [anon_sym_eq] = ACTIONS(3212),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3210),
    [anon_sym_equ] = ACTIONS(3210),
    [anon_sym_eqr] = ACTIONS(3210),
    [anon_sym_ne] = ACTIONS(3210),
    [anon_sym_LT_EQ_GT] = ACTIONS(3210),
    [anon_sym_cmp] = ACTIONS(3210),
    [anon_sym_TILDE_TILDE] = ACTIONS(3210),
    [anon_sym_LT] = ACTIONS(3212),
    [anon_sym_LT_EQ] = ACTIONS(3212),
    [anon_sym_GT_EQ] = ACTIONS(3210),
    [anon_sym_lt] = ACTIONS(3210),
    [anon_sym_le] = ACTIONS(3210),
    [anon_sym_ge] = ACTIONS(3210),
    [anon_sym_gt] = ACTIONS(3210),
    [anon_sym_isa] = ACTIONS(3210),
    [anon_sym_PLUS_PLUS] = ACTIONS(3210),
    [anon_sym_DASH_DASH] = ACTIONS(3210),
    [anon_sym_QMARK] = ACTIONS(3210),
    [anon_sym_PERCENT2] = ACTIONS(3210),
    [anon_sym_EQ_GT] = ACTIONS(3210),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1872] = {
    [sym_heredoc_content] = STATE(1872),
    [anon_sym_COLON] = ACTIONS(2640),
    [anon_sym_DOLLAR] = ACTIONS(2640),
    [anon_sym_EQ] = ACTIONS(2642),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2640),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2640),
    [anon_sym_AT] = ACTIONS(2640),
    [anon_sym_COMMA] = ACTIONS(2640),
    [anon_sym_RPAREN] = ACTIONS(2640),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2640),
    [anon_sym_DASH_GT] = ACTIONS(2640),
    [anon_sym_PERCENT] = ACTIONS(2642),
    [anon_sym_GT] = ACTIONS(2642),
    [anon_sym_LT_LT] = ACTIONS(2642),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2640),
    [anon_sym_PLUS_EQ] = ACTIONS(2640),
    [anon_sym_DASH_EQ] = ACTIONS(2640),
    [anon_sym_DOT_EQ] = ACTIONS(2640),
    [anon_sym_STAR_EQ] = ACTIONS(2640),
    [anon_sym_SLASH_EQ] = ACTIONS(2640),
    [anon_sym_PERCENT_EQ] = ACTIONS(2642),
    [anon_sym_x_EQ] = ACTIONS(2640),
    [anon_sym_AMP_EQ] = ACTIONS(2640),
    [anon_sym_PIPE_EQ] = ACTIONS(2640),
    [anon_sym_CARET_EQ] = ACTIONS(2640),
    [anon_sym_LT_LT_EQ] = ACTIONS(2640),
    [anon_sym_GT_GT_EQ] = ACTIONS(2640),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2640),
    [anon_sym_DOT_DOT] = ACTIONS(2642),
    [anon_sym_STAR_STAR] = ACTIONS(2642),
    [anon_sym_PIPE_PIPE] = ACTIONS(2642),
    [anon_sym_SLASH_SLASH] = ACTIONS(2642),
    [anon_sym_CARET_CARET] = ACTIONS(2640),
    [anon_sym_AMP_AMP] = ACTIONS(2642),
    [anon_sym_PIPE] = ACTIONS(2642),
    [anon_sym_CARET] = ACTIONS(2642),
    [anon_sym_AMP] = ACTIONS(2642),
    [anon_sym_GT_GT2] = ACTIONS(2642),
    [anon_sym_PLUS] = ACTIONS(2642),
    [anon_sym_DASH] = ACTIONS(2642),
    [anon_sym_DOT] = ACTIONS(2642),
    [anon_sym_STAR] = ACTIONS(2642),
    [anon_sym_SLASH] = ACTIONS(2642),
    [anon_sym_x] = ACTIONS(2642),
    [anon_sym_EQ_TILDE] = ACTIONS(2640),
    [anon_sym_BANG_TILDE] = ACTIONS(2640),
    [anon_sym_EQ_EQ] = ACTIONS(2642),
    [anon_sym_BANG_EQ] = ACTIONS(2640),
    [anon_sym_eq] = ACTIONS(2642),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2640),
    [anon_sym_equ] = ACTIONS(2640),
    [anon_sym_eqr] = ACTIONS(2640),
    [anon_sym_ne] = ACTIONS(2640),
    [anon_sym_LT_EQ_GT] = ACTIONS(2640),
    [anon_sym_cmp] = ACTIONS(2640),
    [anon_sym_TILDE_TILDE] = ACTIONS(2640),
    [anon_sym_LT] = ACTIONS(2642),
    [anon_sym_LT_EQ] = ACTIONS(2642),
    [anon_sym_GT_EQ] = ACTIONS(2640),
    [anon_sym_lt] = ACTIONS(2640),
    [anon_sym_le] = ACTIONS(2640),
    [anon_sym_ge] = ACTIONS(2640),
    [anon_sym_gt] = ACTIONS(2640),
    [anon_sym_isa] = ACTIONS(2640),
    [anon_sym_PLUS_PLUS] = ACTIONS(2640),
    [anon_sym_DASH_DASH] = ACTIONS(2640),
    [anon_sym_QMARK] = ACTIONS(2640),
    [anon_sym_PERCENT2] = ACTIONS(2640),
    [anon_sym_EQ_GT] = ACTIONS(2640),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1873] = {
    [sym_heredoc_content] = STATE(1873),
    [anon_sym_COLON] = ACTIONS(3218),
    [anon_sym_DOLLAR] = ACTIONS(3218),
    [anon_sym_EQ] = ACTIONS(3220),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3218),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3218),
    [anon_sym_AT] = ACTIONS(3218),
    [anon_sym_COMMA] = ACTIONS(3218),
    [anon_sym_RPAREN] = ACTIONS(3218),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3218),
    [anon_sym_DASH_GT] = ACTIONS(3218),
    [anon_sym_PERCENT] = ACTIONS(3220),
    [anon_sym_GT] = ACTIONS(3220),
    [anon_sym_LT_LT] = ACTIONS(3220),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3218),
    [anon_sym_PLUS_EQ] = ACTIONS(3218),
    [anon_sym_DASH_EQ] = ACTIONS(3218),
    [anon_sym_DOT_EQ] = ACTIONS(3218),
    [anon_sym_STAR_EQ] = ACTIONS(3218),
    [anon_sym_SLASH_EQ] = ACTIONS(3218),
    [anon_sym_PERCENT_EQ] = ACTIONS(3220),
    [anon_sym_x_EQ] = ACTIONS(3218),
    [anon_sym_AMP_EQ] = ACTIONS(3218),
    [anon_sym_PIPE_EQ] = ACTIONS(3218),
    [anon_sym_CARET_EQ] = ACTIONS(3218),
    [anon_sym_LT_LT_EQ] = ACTIONS(3218),
    [anon_sym_GT_GT_EQ] = ACTIONS(3218),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3218),
    [anon_sym_DOT_DOT] = ACTIONS(3220),
    [anon_sym_STAR_STAR] = ACTIONS(3220),
    [anon_sym_PIPE_PIPE] = ACTIONS(3220),
    [anon_sym_SLASH_SLASH] = ACTIONS(3220),
    [anon_sym_CARET_CARET] = ACTIONS(3218),
    [anon_sym_AMP_AMP] = ACTIONS(3220),
    [anon_sym_PIPE] = ACTIONS(3220),
    [anon_sym_CARET] = ACTIONS(3220),
    [anon_sym_AMP] = ACTIONS(3220),
    [anon_sym_GT_GT2] = ACTIONS(3220),
    [anon_sym_PLUS] = ACTIONS(3220),
    [anon_sym_DASH] = ACTIONS(3220),
    [anon_sym_DOT] = ACTIONS(3220),
    [anon_sym_STAR] = ACTIONS(3220),
    [anon_sym_SLASH] = ACTIONS(3220),
    [anon_sym_x] = ACTIONS(3220),
    [anon_sym_EQ_TILDE] = ACTIONS(3218),
    [anon_sym_BANG_TILDE] = ACTIONS(3218),
    [anon_sym_EQ_EQ] = ACTIONS(3220),
    [anon_sym_BANG_EQ] = ACTIONS(3218),
    [anon_sym_eq] = ACTIONS(3220),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3218),
    [anon_sym_equ] = ACTIONS(3218),
    [anon_sym_eqr] = ACTIONS(3218),
    [anon_sym_ne] = ACTIONS(3218),
    [anon_sym_LT_EQ_GT] = ACTIONS(3218),
    [anon_sym_cmp] = ACTIONS(3218),
    [anon_sym_TILDE_TILDE] = ACTIONS(3218),
    [anon_sym_LT] = ACTIONS(3220),
    [anon_sym_LT_EQ] = ACTIONS(3220),
    [anon_sym_GT_EQ] = ACTIONS(3218),
    [anon_sym_lt] = ACTIONS(3218),
    [anon_sym_le] = ACTIONS(3218),
    [anon_sym_ge] = ACTIONS(3218),
    [anon_sym_gt] = ACTIONS(3218),
    [anon_sym_isa] = ACTIONS(3218),
    [anon_sym_PLUS_PLUS] = ACTIONS(3218),
    [anon_sym_DASH_DASH] = ACTIONS(3218),
    [anon_sym_QMARK] = ACTIONS(3218),
    [anon_sym_PERCENT2] = ACTIONS(3218),
    [anon_sym_EQ_GT] = ACTIONS(3218),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1874] = {
    [sym_heredoc_content] = STATE(1874),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_DOLLAR] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3224),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3222),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(3222),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_RPAREN] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_DASH_GT] = ACTIONS(3222),
    [anon_sym_PERCENT] = ACTIONS(3224),
    [anon_sym_GT] = ACTIONS(3224),
    [anon_sym_LT_LT] = ACTIONS(3224),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3222),
    [anon_sym_PLUS_EQ] = ACTIONS(3222),
    [anon_sym_DASH_EQ] = ACTIONS(3222),
    [anon_sym_DOT_EQ] = ACTIONS(3222),
    [anon_sym_STAR_EQ] = ACTIONS(3222),
    [anon_sym_SLASH_EQ] = ACTIONS(3222),
    [anon_sym_PERCENT_EQ] = ACTIONS(3224),
    [anon_sym_x_EQ] = ACTIONS(3222),
    [anon_sym_AMP_EQ] = ACTIONS(3222),
    [anon_sym_PIPE_EQ] = ACTIONS(3222),
    [anon_sym_CARET_EQ] = ACTIONS(3222),
    [anon_sym_LT_LT_EQ] = ACTIONS(3222),
    [anon_sym_GT_GT_EQ] = ACTIONS(3222),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3222),
    [anon_sym_DOT_DOT] = ACTIONS(3224),
    [anon_sym_STAR_STAR] = ACTIONS(3224),
    [anon_sym_PIPE_PIPE] = ACTIONS(3224),
    [anon_sym_SLASH_SLASH] = ACTIONS(3224),
    [anon_sym_CARET_CARET] = ACTIONS(3222),
    [anon_sym_AMP_AMP] = ACTIONS(3224),
    [anon_sym_PIPE] = ACTIONS(3224),
    [anon_sym_CARET] = ACTIONS(3224),
    [anon_sym_AMP] = ACTIONS(3224),
    [anon_sym_GT_GT2] = ACTIONS(3224),
    [anon_sym_PLUS] = ACTIONS(3224),
    [anon_sym_DASH] = ACTIONS(3224),
    [anon_sym_DOT] = ACTIONS(3224),
    [anon_sym_STAR] = ACTIONS(3224),
    [anon_sym_SLASH] = ACTIONS(3224),
    [anon_sym_x] = ACTIONS(3224),
    [anon_sym_EQ_TILDE] = ACTIONS(3222),
    [anon_sym_BANG_TILDE] = ACTIONS(3222),
    [anon_sym_EQ_EQ] = ACTIONS(3224),
    [anon_sym_BANG_EQ] = ACTIONS(3222),
    [anon_sym_eq] = ACTIONS(3224),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3222),
    [anon_sym_equ] = ACTIONS(3222),
    [anon_sym_eqr] = ACTIONS(3222),
    [anon_sym_ne] = ACTIONS(3222),
    [anon_sym_LT_EQ_GT] = ACTIONS(3222),
    [anon_sym_cmp] = ACTIONS(3222),
    [anon_sym_TILDE_TILDE] = ACTIONS(3222),
    [anon_sym_LT] = ACTIONS(3224),
    [anon_sym_LT_EQ] = ACTIONS(3224),
    [anon_sym_GT_EQ] = ACTIONS(3222),
    [anon_sym_lt] = ACTIONS(3222),
    [anon_sym_le] = ACTIONS(3222),
    [anon_sym_ge] = ACTIONS(3222),
    [anon_sym_gt] = ACTIONS(3222),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_PLUS_PLUS] = ACTIONS(3222),
    [anon_sym_DASH_DASH] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_PERCENT2] = ACTIONS(3222),
    [anon_sym_EQ_GT] = ACTIONS(3222),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1875] = {
    [sym_heredoc_content] = STATE(1875),
    [anon_sym_COLON] = ACTIONS(3226),
    [anon_sym_DOLLAR] = ACTIONS(3226),
    [anon_sym_EQ] = ACTIONS(3228),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3226),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3226),
    [anon_sym_AT] = ACTIONS(3226),
    [anon_sym_COMMA] = ACTIONS(3226),
    [anon_sym_RPAREN] = ACTIONS(3226),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3226),
    [anon_sym_DASH_GT] = ACTIONS(3226),
    [anon_sym_PERCENT] = ACTIONS(3228),
    [anon_sym_GT] = ACTIONS(3228),
    [anon_sym_LT_LT] = ACTIONS(3228),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3226),
    [anon_sym_PLUS_EQ] = ACTIONS(3226),
    [anon_sym_DASH_EQ] = ACTIONS(3226),
    [anon_sym_DOT_EQ] = ACTIONS(3226),
    [anon_sym_STAR_EQ] = ACTIONS(3226),
    [anon_sym_SLASH_EQ] = ACTIONS(3226),
    [anon_sym_PERCENT_EQ] = ACTIONS(3228),
    [anon_sym_x_EQ] = ACTIONS(3226),
    [anon_sym_AMP_EQ] = ACTIONS(3226),
    [anon_sym_PIPE_EQ] = ACTIONS(3226),
    [anon_sym_CARET_EQ] = ACTIONS(3226),
    [anon_sym_LT_LT_EQ] = ACTIONS(3226),
    [anon_sym_GT_GT_EQ] = ACTIONS(3226),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3226),
    [anon_sym_DOT_DOT] = ACTIONS(3228),
    [anon_sym_STAR_STAR] = ACTIONS(3228),
    [anon_sym_PIPE_PIPE] = ACTIONS(3228),
    [anon_sym_SLASH_SLASH] = ACTIONS(3228),
    [anon_sym_CARET_CARET] = ACTIONS(3226),
    [anon_sym_AMP_AMP] = ACTIONS(3228),
    [anon_sym_PIPE] = ACTIONS(3228),
    [anon_sym_CARET] = ACTIONS(3228),
    [anon_sym_AMP] = ACTIONS(3228),
    [anon_sym_GT_GT2] = ACTIONS(3228),
    [anon_sym_PLUS] = ACTIONS(3228),
    [anon_sym_DASH] = ACTIONS(3228),
    [anon_sym_DOT] = ACTIONS(3228),
    [anon_sym_STAR] = ACTIONS(3228),
    [anon_sym_SLASH] = ACTIONS(3228),
    [anon_sym_x] = ACTIONS(3228),
    [anon_sym_EQ_TILDE] = ACTIONS(3226),
    [anon_sym_BANG_TILDE] = ACTIONS(3226),
    [anon_sym_EQ_EQ] = ACTIONS(3228),
    [anon_sym_BANG_EQ] = ACTIONS(3226),
    [anon_sym_eq] = ACTIONS(3228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3226),
    [anon_sym_equ] = ACTIONS(3226),
    [anon_sym_eqr] = ACTIONS(3226),
    [anon_sym_ne] = ACTIONS(3226),
    [anon_sym_LT_EQ_GT] = ACTIONS(3226),
    [anon_sym_cmp] = ACTIONS(3226),
    [anon_sym_TILDE_TILDE] = ACTIONS(3226),
    [anon_sym_LT] = ACTIONS(3228),
    [anon_sym_LT_EQ] = ACTIONS(3228),
    [anon_sym_GT_EQ] = ACTIONS(3226),
    [anon_sym_lt] = ACTIONS(3226),
    [anon_sym_le] = ACTIONS(3226),
    [anon_sym_ge] = ACTIONS(3226),
    [anon_sym_gt] = ACTIONS(3226),
    [anon_sym_isa] = ACTIONS(3226),
    [anon_sym_PLUS_PLUS] = ACTIONS(3226),
    [anon_sym_DASH_DASH] = ACTIONS(3226),
    [anon_sym_QMARK] = ACTIONS(3226),
    [anon_sym_PERCENT2] = ACTIONS(3226),
    [anon_sym_EQ_GT] = ACTIONS(3226),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1876] = {
    [sym_heredoc_content] = STATE(1876),
    [anon_sym_COLON] = ACTIONS(3230),
    [anon_sym_DOLLAR] = ACTIONS(3230),
    [anon_sym_EQ] = ACTIONS(3232),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3230),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3230),
    [anon_sym_AT] = ACTIONS(3230),
    [anon_sym_COMMA] = ACTIONS(3230),
    [anon_sym_RPAREN] = ACTIONS(3230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3230),
    [anon_sym_DASH_GT] = ACTIONS(3230),
    [anon_sym_PERCENT] = ACTIONS(3232),
    [anon_sym_GT] = ACTIONS(3232),
    [anon_sym_LT_LT] = ACTIONS(3232),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3230),
    [anon_sym_PLUS_EQ] = ACTIONS(3230),
    [anon_sym_DASH_EQ] = ACTIONS(3230),
    [anon_sym_DOT_EQ] = ACTIONS(3230),
    [anon_sym_STAR_EQ] = ACTIONS(3230),
    [anon_sym_SLASH_EQ] = ACTIONS(3230),
    [anon_sym_PERCENT_EQ] = ACTIONS(3232),
    [anon_sym_x_EQ] = ACTIONS(3230),
    [anon_sym_AMP_EQ] = ACTIONS(3230),
    [anon_sym_PIPE_EQ] = ACTIONS(3230),
    [anon_sym_CARET_EQ] = ACTIONS(3230),
    [anon_sym_LT_LT_EQ] = ACTIONS(3230),
    [anon_sym_GT_GT_EQ] = ACTIONS(3230),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3230),
    [anon_sym_DOT_DOT] = ACTIONS(3232),
    [anon_sym_STAR_STAR] = ACTIONS(3232),
    [anon_sym_PIPE_PIPE] = ACTIONS(3232),
    [anon_sym_SLASH_SLASH] = ACTIONS(3232),
    [anon_sym_CARET_CARET] = ACTIONS(3230),
    [anon_sym_AMP_AMP] = ACTIONS(3232),
    [anon_sym_PIPE] = ACTIONS(3232),
    [anon_sym_CARET] = ACTIONS(3232),
    [anon_sym_AMP] = ACTIONS(3232),
    [anon_sym_GT_GT2] = ACTIONS(3232),
    [anon_sym_PLUS] = ACTIONS(3232),
    [anon_sym_DASH] = ACTIONS(3232),
    [anon_sym_DOT] = ACTIONS(3232),
    [anon_sym_STAR] = ACTIONS(3232),
    [anon_sym_SLASH] = ACTIONS(3232),
    [anon_sym_x] = ACTIONS(3232),
    [anon_sym_EQ_TILDE] = ACTIONS(3230),
    [anon_sym_BANG_TILDE] = ACTIONS(3230),
    [anon_sym_EQ_EQ] = ACTIONS(3232),
    [anon_sym_BANG_EQ] = ACTIONS(3230),
    [anon_sym_eq] = ACTIONS(3232),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3230),
    [anon_sym_equ] = ACTIONS(3230),
    [anon_sym_eqr] = ACTIONS(3230),
    [anon_sym_ne] = ACTIONS(3230),
    [anon_sym_LT_EQ_GT] = ACTIONS(3230),
    [anon_sym_cmp] = ACTIONS(3230),
    [anon_sym_TILDE_TILDE] = ACTIONS(3230),
    [anon_sym_LT] = ACTIONS(3232),
    [anon_sym_LT_EQ] = ACTIONS(3232),
    [anon_sym_GT_EQ] = ACTIONS(3230),
    [anon_sym_lt] = ACTIONS(3230),
    [anon_sym_le] = ACTIONS(3230),
    [anon_sym_ge] = ACTIONS(3230),
    [anon_sym_gt] = ACTIONS(3230),
    [anon_sym_isa] = ACTIONS(3230),
    [anon_sym_PLUS_PLUS] = ACTIONS(3230),
    [anon_sym_DASH_DASH] = ACTIONS(3230),
    [anon_sym_QMARK] = ACTIONS(3230),
    [anon_sym_PERCENT2] = ACTIONS(3230),
    [anon_sym_EQ_GT] = ACTIONS(3230),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1877] = {
    [sym_heredoc_content] = STATE(1877),
    [anon_sym_COLON] = ACTIONS(3234),
    [anon_sym_DOLLAR] = ACTIONS(3234),
    [anon_sym_EQ] = ACTIONS(3236),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3234),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3234),
    [anon_sym_AT] = ACTIONS(3234),
    [anon_sym_COMMA] = ACTIONS(3234),
    [anon_sym_RPAREN] = ACTIONS(3234),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3234),
    [anon_sym_DASH_GT] = ACTIONS(3234),
    [anon_sym_PERCENT] = ACTIONS(3236),
    [anon_sym_GT] = ACTIONS(3236),
    [anon_sym_LT_LT] = ACTIONS(3236),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3234),
    [anon_sym_PLUS_EQ] = ACTIONS(3234),
    [anon_sym_DASH_EQ] = ACTIONS(3234),
    [anon_sym_DOT_EQ] = ACTIONS(3234),
    [anon_sym_STAR_EQ] = ACTIONS(3234),
    [anon_sym_SLASH_EQ] = ACTIONS(3234),
    [anon_sym_PERCENT_EQ] = ACTIONS(3236),
    [anon_sym_x_EQ] = ACTIONS(3234),
    [anon_sym_AMP_EQ] = ACTIONS(3234),
    [anon_sym_PIPE_EQ] = ACTIONS(3234),
    [anon_sym_CARET_EQ] = ACTIONS(3234),
    [anon_sym_LT_LT_EQ] = ACTIONS(3234),
    [anon_sym_GT_GT_EQ] = ACTIONS(3234),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3234),
    [anon_sym_DOT_DOT] = ACTIONS(3236),
    [anon_sym_STAR_STAR] = ACTIONS(3236),
    [anon_sym_PIPE_PIPE] = ACTIONS(3236),
    [anon_sym_SLASH_SLASH] = ACTIONS(3236),
    [anon_sym_CARET_CARET] = ACTIONS(3234),
    [anon_sym_AMP_AMP] = ACTIONS(3236),
    [anon_sym_PIPE] = ACTIONS(3236),
    [anon_sym_CARET] = ACTIONS(3236),
    [anon_sym_AMP] = ACTIONS(3236),
    [anon_sym_GT_GT2] = ACTIONS(3236),
    [anon_sym_PLUS] = ACTIONS(3236),
    [anon_sym_DASH] = ACTIONS(3236),
    [anon_sym_DOT] = ACTIONS(3236),
    [anon_sym_STAR] = ACTIONS(3236),
    [anon_sym_SLASH] = ACTIONS(3236),
    [anon_sym_x] = ACTIONS(3236),
    [anon_sym_EQ_TILDE] = ACTIONS(3234),
    [anon_sym_BANG_TILDE] = ACTIONS(3234),
    [anon_sym_EQ_EQ] = ACTIONS(3236),
    [anon_sym_BANG_EQ] = ACTIONS(3234),
    [anon_sym_eq] = ACTIONS(3236),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3234),
    [anon_sym_equ] = ACTIONS(3234),
    [anon_sym_eqr] = ACTIONS(3234),
    [anon_sym_ne] = ACTIONS(3234),
    [anon_sym_LT_EQ_GT] = ACTIONS(3234),
    [anon_sym_cmp] = ACTIONS(3234),
    [anon_sym_TILDE_TILDE] = ACTIONS(3234),
    [anon_sym_LT] = ACTIONS(3236),
    [anon_sym_LT_EQ] = ACTIONS(3236),
    [anon_sym_GT_EQ] = ACTIONS(3234),
    [anon_sym_lt] = ACTIONS(3234),
    [anon_sym_le] = ACTIONS(3234),
    [anon_sym_ge] = ACTIONS(3234),
    [anon_sym_gt] = ACTIONS(3234),
    [anon_sym_isa] = ACTIONS(3234),
    [anon_sym_PLUS_PLUS] = ACTIONS(3234),
    [anon_sym_DASH_DASH] = ACTIONS(3234),
    [anon_sym_QMARK] = ACTIONS(3234),
    [anon_sym_PERCENT2] = ACTIONS(3234),
    [anon_sym_EQ_GT] = ACTIONS(3234),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1878] = {
    [sym_heredoc_content] = STATE(1878),
    [anon_sym_COLON] = ACTIONS(3238),
    [anon_sym_DOLLAR] = ACTIONS(3238),
    [anon_sym_EQ] = ACTIONS(3240),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3238),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3238),
    [anon_sym_AT] = ACTIONS(3238),
    [anon_sym_COMMA] = ACTIONS(3238),
    [anon_sym_RPAREN] = ACTIONS(3238),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3238),
    [anon_sym_DASH_GT] = ACTIONS(3238),
    [anon_sym_PERCENT] = ACTIONS(3240),
    [anon_sym_GT] = ACTIONS(3240),
    [anon_sym_LT_LT] = ACTIONS(3240),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3238),
    [anon_sym_PLUS_EQ] = ACTIONS(3238),
    [anon_sym_DASH_EQ] = ACTIONS(3238),
    [anon_sym_DOT_EQ] = ACTIONS(3238),
    [anon_sym_STAR_EQ] = ACTIONS(3238),
    [anon_sym_SLASH_EQ] = ACTIONS(3238),
    [anon_sym_PERCENT_EQ] = ACTIONS(3240),
    [anon_sym_x_EQ] = ACTIONS(3238),
    [anon_sym_AMP_EQ] = ACTIONS(3238),
    [anon_sym_PIPE_EQ] = ACTIONS(3238),
    [anon_sym_CARET_EQ] = ACTIONS(3238),
    [anon_sym_LT_LT_EQ] = ACTIONS(3238),
    [anon_sym_GT_GT_EQ] = ACTIONS(3238),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3238),
    [anon_sym_DOT_DOT] = ACTIONS(3240),
    [anon_sym_STAR_STAR] = ACTIONS(3240),
    [anon_sym_PIPE_PIPE] = ACTIONS(3240),
    [anon_sym_SLASH_SLASH] = ACTIONS(3240),
    [anon_sym_CARET_CARET] = ACTIONS(3238),
    [anon_sym_AMP_AMP] = ACTIONS(3240),
    [anon_sym_PIPE] = ACTIONS(3240),
    [anon_sym_CARET] = ACTIONS(3240),
    [anon_sym_AMP] = ACTIONS(3240),
    [anon_sym_GT_GT2] = ACTIONS(3240),
    [anon_sym_PLUS] = ACTIONS(3240),
    [anon_sym_DASH] = ACTIONS(3240),
    [anon_sym_DOT] = ACTIONS(3240),
    [anon_sym_STAR] = ACTIONS(3240),
    [anon_sym_SLASH] = ACTIONS(3240),
    [anon_sym_x] = ACTIONS(3240),
    [anon_sym_EQ_TILDE] = ACTIONS(3238),
    [anon_sym_BANG_TILDE] = ACTIONS(3238),
    [anon_sym_EQ_EQ] = ACTIONS(3240),
    [anon_sym_BANG_EQ] = ACTIONS(3238),
    [anon_sym_eq] = ACTIONS(3240),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3238),
    [anon_sym_equ] = ACTIONS(3238),
    [anon_sym_eqr] = ACTIONS(3238),
    [anon_sym_ne] = ACTIONS(3238),
    [anon_sym_LT_EQ_GT] = ACTIONS(3238),
    [anon_sym_cmp] = ACTIONS(3238),
    [anon_sym_TILDE_TILDE] = ACTIONS(3238),
    [anon_sym_LT] = ACTIONS(3240),
    [anon_sym_LT_EQ] = ACTIONS(3240),
    [anon_sym_GT_EQ] = ACTIONS(3238),
    [anon_sym_lt] = ACTIONS(3238),
    [anon_sym_le] = ACTIONS(3238),
    [anon_sym_ge] = ACTIONS(3238),
    [anon_sym_gt] = ACTIONS(3238),
    [anon_sym_isa] = ACTIONS(3238),
    [anon_sym_PLUS_PLUS] = ACTIONS(3238),
    [anon_sym_DASH_DASH] = ACTIONS(3238),
    [anon_sym_QMARK] = ACTIONS(3238),
    [anon_sym_PERCENT2] = ACTIONS(3238),
    [anon_sym_EQ_GT] = ACTIONS(3238),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1879] = {
    [sym_heredoc_content] = STATE(1879),
    [anon_sym_COLON] = ACTIONS(3246),
    [anon_sym_DOLLAR] = ACTIONS(3246),
    [anon_sym_EQ] = ACTIONS(3248),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3246),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3246),
    [anon_sym_AT] = ACTIONS(3246),
    [anon_sym_COMMA] = ACTIONS(3246),
    [anon_sym_RPAREN] = ACTIONS(3246),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3246),
    [anon_sym_DASH_GT] = ACTIONS(3246),
    [anon_sym_PERCENT] = ACTIONS(3248),
    [anon_sym_GT] = ACTIONS(3248),
    [anon_sym_LT_LT] = ACTIONS(3248),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3246),
    [anon_sym_PLUS_EQ] = ACTIONS(3246),
    [anon_sym_DASH_EQ] = ACTIONS(3246),
    [anon_sym_DOT_EQ] = ACTIONS(3246),
    [anon_sym_STAR_EQ] = ACTIONS(3246),
    [anon_sym_SLASH_EQ] = ACTIONS(3246),
    [anon_sym_PERCENT_EQ] = ACTIONS(3248),
    [anon_sym_x_EQ] = ACTIONS(3246),
    [anon_sym_AMP_EQ] = ACTIONS(3246),
    [anon_sym_PIPE_EQ] = ACTIONS(3246),
    [anon_sym_CARET_EQ] = ACTIONS(3246),
    [anon_sym_LT_LT_EQ] = ACTIONS(3246),
    [anon_sym_GT_GT_EQ] = ACTIONS(3246),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3246),
    [anon_sym_DOT_DOT] = ACTIONS(3248),
    [anon_sym_STAR_STAR] = ACTIONS(3248),
    [anon_sym_PIPE_PIPE] = ACTIONS(3248),
    [anon_sym_SLASH_SLASH] = ACTIONS(3248),
    [anon_sym_CARET_CARET] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(3248),
    [anon_sym_PIPE] = ACTIONS(3248),
    [anon_sym_CARET] = ACTIONS(3248),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym_GT_GT2] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_DOT] = ACTIONS(3248),
    [anon_sym_STAR] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_x] = ACTIONS(3248),
    [anon_sym_EQ_TILDE] = ACTIONS(3246),
    [anon_sym_BANG_TILDE] = ACTIONS(3246),
    [anon_sym_EQ_EQ] = ACTIONS(3248),
    [anon_sym_BANG_EQ] = ACTIONS(3246),
    [anon_sym_eq] = ACTIONS(3248),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3246),
    [anon_sym_equ] = ACTIONS(3246),
    [anon_sym_eqr] = ACTIONS(3246),
    [anon_sym_ne] = ACTIONS(3246),
    [anon_sym_LT_EQ_GT] = ACTIONS(3246),
    [anon_sym_cmp] = ACTIONS(3246),
    [anon_sym_TILDE_TILDE] = ACTIONS(3246),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_LT_EQ] = ACTIONS(3248),
    [anon_sym_GT_EQ] = ACTIONS(3246),
    [anon_sym_lt] = ACTIONS(3246),
    [anon_sym_le] = ACTIONS(3246),
    [anon_sym_ge] = ACTIONS(3246),
    [anon_sym_gt] = ACTIONS(3246),
    [anon_sym_isa] = ACTIONS(3246),
    [anon_sym_PLUS_PLUS] = ACTIONS(3246),
    [anon_sym_DASH_DASH] = ACTIONS(3246),
    [anon_sym_QMARK] = ACTIONS(3246),
    [anon_sym_PERCENT2] = ACTIONS(3246),
    [anon_sym_EQ_GT] = ACTIONS(3246),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1880] = {
    [sym_heredoc_content] = STATE(1880),
    [anon_sym_COLON] = ACTIONS(3250),
    [anon_sym_DOLLAR] = ACTIONS(3250),
    [anon_sym_EQ] = ACTIONS(3252),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3250),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3250),
    [anon_sym_AT] = ACTIONS(3250),
    [anon_sym_COMMA] = ACTIONS(3250),
    [anon_sym_RPAREN] = ACTIONS(3250),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3250),
    [anon_sym_DASH_GT] = ACTIONS(3250),
    [anon_sym_PERCENT] = ACTIONS(3252),
    [anon_sym_GT] = ACTIONS(3252),
    [anon_sym_LT_LT] = ACTIONS(3252),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3250),
    [anon_sym_PLUS_EQ] = ACTIONS(3250),
    [anon_sym_DASH_EQ] = ACTIONS(3250),
    [anon_sym_DOT_EQ] = ACTIONS(3250),
    [anon_sym_STAR_EQ] = ACTIONS(3250),
    [anon_sym_SLASH_EQ] = ACTIONS(3250),
    [anon_sym_PERCENT_EQ] = ACTIONS(3252),
    [anon_sym_x_EQ] = ACTIONS(3250),
    [anon_sym_AMP_EQ] = ACTIONS(3250),
    [anon_sym_PIPE_EQ] = ACTIONS(3250),
    [anon_sym_CARET_EQ] = ACTIONS(3250),
    [anon_sym_LT_LT_EQ] = ACTIONS(3250),
    [anon_sym_GT_GT_EQ] = ACTIONS(3250),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3250),
    [anon_sym_DOT_DOT] = ACTIONS(3252),
    [anon_sym_STAR_STAR] = ACTIONS(3252),
    [anon_sym_PIPE_PIPE] = ACTIONS(3252),
    [anon_sym_SLASH_SLASH] = ACTIONS(3252),
    [anon_sym_CARET_CARET] = ACTIONS(3250),
    [anon_sym_AMP_AMP] = ACTIONS(3252),
    [anon_sym_PIPE] = ACTIONS(3252),
    [anon_sym_CARET] = ACTIONS(3252),
    [anon_sym_AMP] = ACTIONS(3252),
    [anon_sym_GT_GT2] = ACTIONS(3252),
    [anon_sym_PLUS] = ACTIONS(3252),
    [anon_sym_DASH] = ACTIONS(3252),
    [anon_sym_DOT] = ACTIONS(3252),
    [anon_sym_STAR] = ACTIONS(3252),
    [anon_sym_SLASH] = ACTIONS(3252),
    [anon_sym_x] = ACTIONS(3252),
    [anon_sym_EQ_TILDE] = ACTIONS(3250),
    [anon_sym_BANG_TILDE] = ACTIONS(3250),
    [anon_sym_EQ_EQ] = ACTIONS(3252),
    [anon_sym_BANG_EQ] = ACTIONS(3250),
    [anon_sym_eq] = ACTIONS(3252),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3250),
    [anon_sym_equ] = ACTIONS(3250),
    [anon_sym_eqr] = ACTIONS(3250),
    [anon_sym_ne] = ACTIONS(3250),
    [anon_sym_LT_EQ_GT] = ACTIONS(3250),
    [anon_sym_cmp] = ACTIONS(3250),
    [anon_sym_TILDE_TILDE] = ACTIONS(3250),
    [anon_sym_LT] = ACTIONS(3252),
    [anon_sym_LT_EQ] = ACTIONS(3252),
    [anon_sym_GT_EQ] = ACTIONS(3250),
    [anon_sym_lt] = ACTIONS(3250),
    [anon_sym_le] = ACTIONS(3250),
    [anon_sym_ge] = ACTIONS(3250),
    [anon_sym_gt] = ACTIONS(3250),
    [anon_sym_isa] = ACTIONS(3250),
    [anon_sym_PLUS_PLUS] = ACTIONS(3250),
    [anon_sym_DASH_DASH] = ACTIONS(3250),
    [anon_sym_QMARK] = ACTIONS(3250),
    [anon_sym_PERCENT2] = ACTIONS(3250),
    [anon_sym_EQ_GT] = ACTIONS(3250),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1881] = {
    [sym_heredoc_content] = STATE(1881),
    [anon_sym_COLON] = ACTIONS(3254),
    [anon_sym_DOLLAR] = ACTIONS(3254),
    [anon_sym_EQ] = ACTIONS(3256),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3254),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3254),
    [anon_sym_AT] = ACTIONS(3254),
    [anon_sym_COMMA] = ACTIONS(3254),
    [anon_sym_RPAREN] = ACTIONS(3254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3254),
    [anon_sym_DASH_GT] = ACTIONS(3254),
    [anon_sym_PERCENT] = ACTIONS(3256),
    [anon_sym_GT] = ACTIONS(3256),
    [anon_sym_LT_LT] = ACTIONS(3256),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3254),
    [anon_sym_PLUS_EQ] = ACTIONS(3254),
    [anon_sym_DASH_EQ] = ACTIONS(3254),
    [anon_sym_DOT_EQ] = ACTIONS(3254),
    [anon_sym_STAR_EQ] = ACTIONS(3254),
    [anon_sym_SLASH_EQ] = ACTIONS(3254),
    [anon_sym_PERCENT_EQ] = ACTIONS(3256),
    [anon_sym_x_EQ] = ACTIONS(3254),
    [anon_sym_AMP_EQ] = ACTIONS(3254),
    [anon_sym_PIPE_EQ] = ACTIONS(3254),
    [anon_sym_CARET_EQ] = ACTIONS(3254),
    [anon_sym_LT_LT_EQ] = ACTIONS(3254),
    [anon_sym_GT_GT_EQ] = ACTIONS(3254),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3254),
    [anon_sym_DOT_DOT] = ACTIONS(3256),
    [anon_sym_STAR_STAR] = ACTIONS(3256),
    [anon_sym_PIPE_PIPE] = ACTIONS(3256),
    [anon_sym_SLASH_SLASH] = ACTIONS(3256),
    [anon_sym_CARET_CARET] = ACTIONS(3254),
    [anon_sym_AMP_AMP] = ACTIONS(3256),
    [anon_sym_PIPE] = ACTIONS(3256),
    [anon_sym_CARET] = ACTIONS(3256),
    [anon_sym_AMP] = ACTIONS(3256),
    [anon_sym_GT_GT2] = ACTIONS(3256),
    [anon_sym_PLUS] = ACTIONS(3256),
    [anon_sym_DASH] = ACTIONS(3256),
    [anon_sym_DOT] = ACTIONS(3256),
    [anon_sym_STAR] = ACTIONS(3256),
    [anon_sym_SLASH] = ACTIONS(3256),
    [anon_sym_x] = ACTIONS(3256),
    [anon_sym_EQ_TILDE] = ACTIONS(3254),
    [anon_sym_BANG_TILDE] = ACTIONS(3254),
    [anon_sym_EQ_EQ] = ACTIONS(3256),
    [anon_sym_BANG_EQ] = ACTIONS(3254),
    [anon_sym_eq] = ACTIONS(3256),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3254),
    [anon_sym_equ] = ACTIONS(3254),
    [anon_sym_eqr] = ACTIONS(3254),
    [anon_sym_ne] = ACTIONS(3254),
    [anon_sym_LT_EQ_GT] = ACTIONS(3254),
    [anon_sym_cmp] = ACTIONS(3254),
    [anon_sym_TILDE_TILDE] = ACTIONS(3254),
    [anon_sym_LT] = ACTIONS(3256),
    [anon_sym_LT_EQ] = ACTIONS(3256),
    [anon_sym_GT_EQ] = ACTIONS(3254),
    [anon_sym_lt] = ACTIONS(3254),
    [anon_sym_le] = ACTIONS(3254),
    [anon_sym_ge] = ACTIONS(3254),
    [anon_sym_gt] = ACTIONS(3254),
    [anon_sym_isa] = ACTIONS(3254),
    [anon_sym_PLUS_PLUS] = ACTIONS(3254),
    [anon_sym_DASH_DASH] = ACTIONS(3254),
    [anon_sym_QMARK] = ACTIONS(3254),
    [anon_sym_PERCENT2] = ACTIONS(3254),
    [anon_sym_EQ_GT] = ACTIONS(3254),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1882] = {
    [sym_heredoc_content] = STATE(1882),
    [anon_sym_COLON] = ACTIONS(3262),
    [anon_sym_DOLLAR] = ACTIONS(3262),
    [anon_sym_EQ] = ACTIONS(3264),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3262),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3262),
    [anon_sym_AT] = ACTIONS(3262),
    [anon_sym_COMMA] = ACTIONS(3262),
    [anon_sym_RPAREN] = ACTIONS(3262),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3262),
    [anon_sym_DASH_GT] = ACTIONS(3262),
    [anon_sym_PERCENT] = ACTIONS(3264),
    [anon_sym_GT] = ACTIONS(3264),
    [anon_sym_LT_LT] = ACTIONS(3264),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3262),
    [anon_sym_PLUS_EQ] = ACTIONS(3262),
    [anon_sym_DASH_EQ] = ACTIONS(3262),
    [anon_sym_DOT_EQ] = ACTIONS(3262),
    [anon_sym_STAR_EQ] = ACTIONS(3262),
    [anon_sym_SLASH_EQ] = ACTIONS(3262),
    [anon_sym_PERCENT_EQ] = ACTIONS(3264),
    [anon_sym_x_EQ] = ACTIONS(3262),
    [anon_sym_AMP_EQ] = ACTIONS(3262),
    [anon_sym_PIPE_EQ] = ACTIONS(3262),
    [anon_sym_CARET_EQ] = ACTIONS(3262),
    [anon_sym_LT_LT_EQ] = ACTIONS(3262),
    [anon_sym_GT_GT_EQ] = ACTIONS(3262),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3262),
    [anon_sym_DOT_DOT] = ACTIONS(3264),
    [anon_sym_STAR_STAR] = ACTIONS(3264),
    [anon_sym_PIPE_PIPE] = ACTIONS(3264),
    [anon_sym_SLASH_SLASH] = ACTIONS(3264),
    [anon_sym_CARET_CARET] = ACTIONS(3262),
    [anon_sym_AMP_AMP] = ACTIONS(3264),
    [anon_sym_PIPE] = ACTIONS(3264),
    [anon_sym_CARET] = ACTIONS(3264),
    [anon_sym_AMP] = ACTIONS(3264),
    [anon_sym_GT_GT2] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_DOT] = ACTIONS(3264),
    [anon_sym_STAR] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_x] = ACTIONS(3264),
    [anon_sym_EQ_TILDE] = ACTIONS(3262),
    [anon_sym_BANG_TILDE] = ACTIONS(3262),
    [anon_sym_EQ_EQ] = ACTIONS(3264),
    [anon_sym_BANG_EQ] = ACTIONS(3262),
    [anon_sym_eq] = ACTIONS(3264),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3262),
    [anon_sym_equ] = ACTIONS(3262),
    [anon_sym_eqr] = ACTIONS(3262),
    [anon_sym_ne] = ACTIONS(3262),
    [anon_sym_LT_EQ_GT] = ACTIONS(3262),
    [anon_sym_cmp] = ACTIONS(3262),
    [anon_sym_TILDE_TILDE] = ACTIONS(3262),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_LT_EQ] = ACTIONS(3264),
    [anon_sym_GT_EQ] = ACTIONS(3262),
    [anon_sym_lt] = ACTIONS(3262),
    [anon_sym_le] = ACTIONS(3262),
    [anon_sym_ge] = ACTIONS(3262),
    [anon_sym_gt] = ACTIONS(3262),
    [anon_sym_isa] = ACTIONS(3262),
    [anon_sym_PLUS_PLUS] = ACTIONS(3262),
    [anon_sym_DASH_DASH] = ACTIONS(3262),
    [anon_sym_QMARK] = ACTIONS(3262),
    [anon_sym_PERCENT2] = ACTIONS(3262),
    [anon_sym_EQ_GT] = ACTIONS(3262),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1883] = {
    [sym_heredoc_content] = STATE(1883),
    [anon_sym_COLON] = ACTIONS(3266),
    [anon_sym_DOLLAR] = ACTIONS(3266),
    [anon_sym_EQ] = ACTIONS(3268),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3266),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3266),
    [anon_sym_AT] = ACTIONS(3266),
    [anon_sym_COMMA] = ACTIONS(3266),
    [anon_sym_RPAREN] = ACTIONS(3266),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3266),
    [anon_sym_DASH_GT] = ACTIONS(3266),
    [anon_sym_PERCENT] = ACTIONS(3268),
    [anon_sym_GT] = ACTIONS(3268),
    [anon_sym_LT_LT] = ACTIONS(3268),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3266),
    [anon_sym_PLUS_EQ] = ACTIONS(3266),
    [anon_sym_DASH_EQ] = ACTIONS(3266),
    [anon_sym_DOT_EQ] = ACTIONS(3266),
    [anon_sym_STAR_EQ] = ACTIONS(3266),
    [anon_sym_SLASH_EQ] = ACTIONS(3266),
    [anon_sym_PERCENT_EQ] = ACTIONS(3268),
    [anon_sym_x_EQ] = ACTIONS(3266),
    [anon_sym_AMP_EQ] = ACTIONS(3266),
    [anon_sym_PIPE_EQ] = ACTIONS(3266),
    [anon_sym_CARET_EQ] = ACTIONS(3266),
    [anon_sym_LT_LT_EQ] = ACTIONS(3266),
    [anon_sym_GT_GT_EQ] = ACTIONS(3266),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3266),
    [anon_sym_DOT_DOT] = ACTIONS(3268),
    [anon_sym_STAR_STAR] = ACTIONS(3268),
    [anon_sym_PIPE_PIPE] = ACTIONS(3268),
    [anon_sym_SLASH_SLASH] = ACTIONS(3268),
    [anon_sym_CARET_CARET] = ACTIONS(3266),
    [anon_sym_AMP_AMP] = ACTIONS(3268),
    [anon_sym_PIPE] = ACTIONS(3268),
    [anon_sym_CARET] = ACTIONS(3268),
    [anon_sym_AMP] = ACTIONS(3268),
    [anon_sym_GT_GT2] = ACTIONS(3268),
    [anon_sym_PLUS] = ACTIONS(3268),
    [anon_sym_DASH] = ACTIONS(3268),
    [anon_sym_DOT] = ACTIONS(3268),
    [anon_sym_STAR] = ACTIONS(3268),
    [anon_sym_SLASH] = ACTIONS(3268),
    [anon_sym_x] = ACTIONS(3268),
    [anon_sym_EQ_TILDE] = ACTIONS(3266),
    [anon_sym_BANG_TILDE] = ACTIONS(3266),
    [anon_sym_EQ_EQ] = ACTIONS(3268),
    [anon_sym_BANG_EQ] = ACTIONS(3266),
    [anon_sym_eq] = ACTIONS(3268),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3266),
    [anon_sym_equ] = ACTIONS(3266),
    [anon_sym_eqr] = ACTIONS(3266),
    [anon_sym_ne] = ACTIONS(3266),
    [anon_sym_LT_EQ_GT] = ACTIONS(3266),
    [anon_sym_cmp] = ACTIONS(3266),
    [anon_sym_TILDE_TILDE] = ACTIONS(3266),
    [anon_sym_LT] = ACTIONS(3268),
    [anon_sym_LT_EQ] = ACTIONS(3268),
    [anon_sym_GT_EQ] = ACTIONS(3266),
    [anon_sym_lt] = ACTIONS(3266),
    [anon_sym_le] = ACTIONS(3266),
    [anon_sym_ge] = ACTIONS(3266),
    [anon_sym_gt] = ACTIONS(3266),
    [anon_sym_isa] = ACTIONS(3266),
    [anon_sym_PLUS_PLUS] = ACTIONS(3266),
    [anon_sym_DASH_DASH] = ACTIONS(3266),
    [anon_sym_QMARK] = ACTIONS(3266),
    [anon_sym_PERCENT2] = ACTIONS(3266),
    [anon_sym_EQ_GT] = ACTIONS(3266),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1884] = {
    [sym_heredoc_content] = STATE(1884),
    [anon_sym_COLON] = ACTIONS(3270),
    [anon_sym_DOLLAR] = ACTIONS(3270),
    [anon_sym_EQ] = ACTIONS(3272),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3270),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3270),
    [anon_sym_AT] = ACTIONS(3270),
    [anon_sym_COMMA] = ACTIONS(3270),
    [anon_sym_RPAREN] = ACTIONS(3270),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3270),
    [anon_sym_DASH_GT] = ACTIONS(3270),
    [anon_sym_PERCENT] = ACTIONS(3272),
    [anon_sym_GT] = ACTIONS(3272),
    [anon_sym_LT_LT] = ACTIONS(3272),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3270),
    [anon_sym_PLUS_EQ] = ACTIONS(3270),
    [anon_sym_DASH_EQ] = ACTIONS(3270),
    [anon_sym_DOT_EQ] = ACTIONS(3270),
    [anon_sym_STAR_EQ] = ACTIONS(3270),
    [anon_sym_SLASH_EQ] = ACTIONS(3270),
    [anon_sym_PERCENT_EQ] = ACTIONS(3272),
    [anon_sym_x_EQ] = ACTIONS(3270),
    [anon_sym_AMP_EQ] = ACTIONS(3270),
    [anon_sym_PIPE_EQ] = ACTIONS(3270),
    [anon_sym_CARET_EQ] = ACTIONS(3270),
    [anon_sym_LT_LT_EQ] = ACTIONS(3270),
    [anon_sym_GT_GT_EQ] = ACTIONS(3270),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3270),
    [anon_sym_DOT_DOT] = ACTIONS(3272),
    [anon_sym_STAR_STAR] = ACTIONS(3272),
    [anon_sym_PIPE_PIPE] = ACTIONS(3272),
    [anon_sym_SLASH_SLASH] = ACTIONS(3272),
    [anon_sym_CARET_CARET] = ACTIONS(3270),
    [anon_sym_AMP_AMP] = ACTIONS(3272),
    [anon_sym_PIPE] = ACTIONS(3272),
    [anon_sym_CARET] = ACTIONS(3272),
    [anon_sym_AMP] = ACTIONS(3272),
    [anon_sym_GT_GT2] = ACTIONS(3272),
    [anon_sym_PLUS] = ACTIONS(3272),
    [anon_sym_DASH] = ACTIONS(3272),
    [anon_sym_DOT] = ACTIONS(3272),
    [anon_sym_STAR] = ACTIONS(3272),
    [anon_sym_SLASH] = ACTIONS(3272),
    [anon_sym_x] = ACTIONS(3272),
    [anon_sym_EQ_TILDE] = ACTIONS(3270),
    [anon_sym_BANG_TILDE] = ACTIONS(3270),
    [anon_sym_EQ_EQ] = ACTIONS(3272),
    [anon_sym_BANG_EQ] = ACTIONS(3270),
    [anon_sym_eq] = ACTIONS(3272),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3270),
    [anon_sym_equ] = ACTIONS(3270),
    [anon_sym_eqr] = ACTIONS(3270),
    [anon_sym_ne] = ACTIONS(3270),
    [anon_sym_LT_EQ_GT] = ACTIONS(3270),
    [anon_sym_cmp] = ACTIONS(3270),
    [anon_sym_TILDE_TILDE] = ACTIONS(3270),
    [anon_sym_LT] = ACTIONS(3272),
    [anon_sym_LT_EQ] = ACTIONS(3272),
    [anon_sym_GT_EQ] = ACTIONS(3270),
    [anon_sym_lt] = ACTIONS(3270),
    [anon_sym_le] = ACTIONS(3270),
    [anon_sym_ge] = ACTIONS(3270),
    [anon_sym_gt] = ACTIONS(3270),
    [anon_sym_isa] = ACTIONS(3270),
    [anon_sym_PLUS_PLUS] = ACTIONS(3270),
    [anon_sym_DASH_DASH] = ACTIONS(3270),
    [anon_sym_QMARK] = ACTIONS(3270),
    [anon_sym_PERCENT2] = ACTIONS(3270),
    [anon_sym_EQ_GT] = ACTIONS(3270),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1885] = {
    [sym_heredoc_content] = STATE(1885),
    [anon_sym_COLON] = ACTIONS(3274),
    [anon_sym_DOLLAR] = ACTIONS(3274),
    [anon_sym_EQ] = ACTIONS(3276),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3274),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3274),
    [anon_sym_AT] = ACTIONS(3274),
    [anon_sym_COMMA] = ACTIONS(3274),
    [anon_sym_RPAREN] = ACTIONS(3274),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3274),
    [anon_sym_DASH_GT] = ACTIONS(3274),
    [anon_sym_PERCENT] = ACTIONS(3276),
    [anon_sym_GT] = ACTIONS(3276),
    [anon_sym_LT_LT] = ACTIONS(3276),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3274),
    [anon_sym_PLUS_EQ] = ACTIONS(3274),
    [anon_sym_DASH_EQ] = ACTIONS(3274),
    [anon_sym_DOT_EQ] = ACTIONS(3274),
    [anon_sym_STAR_EQ] = ACTIONS(3274),
    [anon_sym_SLASH_EQ] = ACTIONS(3274),
    [anon_sym_PERCENT_EQ] = ACTIONS(3276),
    [anon_sym_x_EQ] = ACTIONS(3274),
    [anon_sym_AMP_EQ] = ACTIONS(3274),
    [anon_sym_PIPE_EQ] = ACTIONS(3274),
    [anon_sym_CARET_EQ] = ACTIONS(3274),
    [anon_sym_LT_LT_EQ] = ACTIONS(3274),
    [anon_sym_GT_GT_EQ] = ACTIONS(3274),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3274),
    [anon_sym_DOT_DOT] = ACTIONS(3276),
    [anon_sym_STAR_STAR] = ACTIONS(3276),
    [anon_sym_PIPE_PIPE] = ACTIONS(3276),
    [anon_sym_SLASH_SLASH] = ACTIONS(3276),
    [anon_sym_CARET_CARET] = ACTIONS(3274),
    [anon_sym_AMP_AMP] = ACTIONS(3276),
    [anon_sym_PIPE] = ACTIONS(3276),
    [anon_sym_CARET] = ACTIONS(3276),
    [anon_sym_AMP] = ACTIONS(3276),
    [anon_sym_GT_GT2] = ACTIONS(3276),
    [anon_sym_PLUS] = ACTIONS(3276),
    [anon_sym_DASH] = ACTIONS(3276),
    [anon_sym_DOT] = ACTIONS(3276),
    [anon_sym_STAR] = ACTIONS(3276),
    [anon_sym_SLASH] = ACTIONS(3276),
    [anon_sym_x] = ACTIONS(3276),
    [anon_sym_EQ_TILDE] = ACTIONS(3274),
    [anon_sym_BANG_TILDE] = ACTIONS(3274),
    [anon_sym_EQ_EQ] = ACTIONS(3276),
    [anon_sym_BANG_EQ] = ACTIONS(3274),
    [anon_sym_eq] = ACTIONS(3276),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3274),
    [anon_sym_equ] = ACTIONS(3274),
    [anon_sym_eqr] = ACTIONS(3274),
    [anon_sym_ne] = ACTIONS(3274),
    [anon_sym_LT_EQ_GT] = ACTIONS(3274),
    [anon_sym_cmp] = ACTIONS(3274),
    [anon_sym_TILDE_TILDE] = ACTIONS(3274),
    [anon_sym_LT] = ACTIONS(3276),
    [anon_sym_LT_EQ] = ACTIONS(3276),
    [anon_sym_GT_EQ] = ACTIONS(3274),
    [anon_sym_lt] = ACTIONS(3274),
    [anon_sym_le] = ACTIONS(3274),
    [anon_sym_ge] = ACTIONS(3274),
    [anon_sym_gt] = ACTIONS(3274),
    [anon_sym_isa] = ACTIONS(3274),
    [anon_sym_PLUS_PLUS] = ACTIONS(3274),
    [anon_sym_DASH_DASH] = ACTIONS(3274),
    [anon_sym_QMARK] = ACTIONS(3274),
    [anon_sym_PERCENT2] = ACTIONS(3274),
    [anon_sym_EQ_GT] = ACTIONS(3274),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1886] = {
    [sym_heredoc_content] = STATE(1886),
    [anon_sym_COLON] = ACTIONS(3278),
    [anon_sym_DOLLAR] = ACTIONS(3278),
    [anon_sym_EQ] = ACTIONS(3280),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3278),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3278),
    [anon_sym_AT] = ACTIONS(3278),
    [anon_sym_COMMA] = ACTIONS(3278),
    [anon_sym_RPAREN] = ACTIONS(3278),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3278),
    [anon_sym_DASH_GT] = ACTIONS(3278),
    [anon_sym_PERCENT] = ACTIONS(3280),
    [anon_sym_GT] = ACTIONS(3280),
    [anon_sym_LT_LT] = ACTIONS(3280),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3278),
    [anon_sym_PLUS_EQ] = ACTIONS(3278),
    [anon_sym_DASH_EQ] = ACTIONS(3278),
    [anon_sym_DOT_EQ] = ACTIONS(3278),
    [anon_sym_STAR_EQ] = ACTIONS(3278),
    [anon_sym_SLASH_EQ] = ACTIONS(3278),
    [anon_sym_PERCENT_EQ] = ACTIONS(3280),
    [anon_sym_x_EQ] = ACTIONS(3278),
    [anon_sym_AMP_EQ] = ACTIONS(3278),
    [anon_sym_PIPE_EQ] = ACTIONS(3278),
    [anon_sym_CARET_EQ] = ACTIONS(3278),
    [anon_sym_LT_LT_EQ] = ACTIONS(3278),
    [anon_sym_GT_GT_EQ] = ACTIONS(3278),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3278),
    [anon_sym_DOT_DOT] = ACTIONS(3280),
    [anon_sym_STAR_STAR] = ACTIONS(3280),
    [anon_sym_PIPE_PIPE] = ACTIONS(3280),
    [anon_sym_SLASH_SLASH] = ACTIONS(3280),
    [anon_sym_CARET_CARET] = ACTIONS(3278),
    [anon_sym_AMP_AMP] = ACTIONS(3280),
    [anon_sym_PIPE] = ACTIONS(3280),
    [anon_sym_CARET] = ACTIONS(3280),
    [anon_sym_AMP] = ACTIONS(3280),
    [anon_sym_GT_GT2] = ACTIONS(3280),
    [anon_sym_PLUS] = ACTIONS(3280),
    [anon_sym_DASH] = ACTIONS(3280),
    [anon_sym_DOT] = ACTIONS(3280),
    [anon_sym_STAR] = ACTIONS(3280),
    [anon_sym_SLASH] = ACTIONS(3280),
    [anon_sym_x] = ACTIONS(3280),
    [anon_sym_EQ_TILDE] = ACTIONS(3278),
    [anon_sym_BANG_TILDE] = ACTIONS(3278),
    [anon_sym_EQ_EQ] = ACTIONS(3280),
    [anon_sym_BANG_EQ] = ACTIONS(3278),
    [anon_sym_eq] = ACTIONS(3280),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3278),
    [anon_sym_equ] = ACTIONS(3278),
    [anon_sym_eqr] = ACTIONS(3278),
    [anon_sym_ne] = ACTIONS(3278),
    [anon_sym_LT_EQ_GT] = ACTIONS(3278),
    [anon_sym_cmp] = ACTIONS(3278),
    [anon_sym_TILDE_TILDE] = ACTIONS(3278),
    [anon_sym_LT] = ACTIONS(3280),
    [anon_sym_LT_EQ] = ACTIONS(3280),
    [anon_sym_GT_EQ] = ACTIONS(3278),
    [anon_sym_lt] = ACTIONS(3278),
    [anon_sym_le] = ACTIONS(3278),
    [anon_sym_ge] = ACTIONS(3278),
    [anon_sym_gt] = ACTIONS(3278),
    [anon_sym_isa] = ACTIONS(3278),
    [anon_sym_PLUS_PLUS] = ACTIONS(3278),
    [anon_sym_DASH_DASH] = ACTIONS(3278),
    [anon_sym_QMARK] = ACTIONS(3278),
    [anon_sym_PERCENT2] = ACTIONS(3278),
    [anon_sym_EQ_GT] = ACTIONS(3278),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1887] = {
    [sym_heredoc_content] = STATE(1887),
    [anon_sym_COLON] = ACTIONS(3282),
    [anon_sym_DOLLAR] = ACTIONS(3282),
    [anon_sym_EQ] = ACTIONS(3284),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3282),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3282),
    [anon_sym_AT] = ACTIONS(3282),
    [anon_sym_COMMA] = ACTIONS(3282),
    [anon_sym_RPAREN] = ACTIONS(3282),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3282),
    [anon_sym_DASH_GT] = ACTIONS(3282),
    [anon_sym_PERCENT] = ACTIONS(3284),
    [anon_sym_GT] = ACTIONS(3284),
    [anon_sym_LT_LT] = ACTIONS(3284),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3282),
    [anon_sym_PLUS_EQ] = ACTIONS(3282),
    [anon_sym_DASH_EQ] = ACTIONS(3282),
    [anon_sym_DOT_EQ] = ACTIONS(3282),
    [anon_sym_STAR_EQ] = ACTIONS(3282),
    [anon_sym_SLASH_EQ] = ACTIONS(3282),
    [anon_sym_PERCENT_EQ] = ACTIONS(3284),
    [anon_sym_x_EQ] = ACTIONS(3282),
    [anon_sym_AMP_EQ] = ACTIONS(3282),
    [anon_sym_PIPE_EQ] = ACTIONS(3282),
    [anon_sym_CARET_EQ] = ACTIONS(3282),
    [anon_sym_LT_LT_EQ] = ACTIONS(3282),
    [anon_sym_GT_GT_EQ] = ACTIONS(3282),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3282),
    [anon_sym_DOT_DOT] = ACTIONS(3284),
    [anon_sym_STAR_STAR] = ACTIONS(3284),
    [anon_sym_PIPE_PIPE] = ACTIONS(3284),
    [anon_sym_SLASH_SLASH] = ACTIONS(3284),
    [anon_sym_CARET_CARET] = ACTIONS(3282),
    [anon_sym_AMP_AMP] = ACTIONS(3284),
    [anon_sym_PIPE] = ACTIONS(3284),
    [anon_sym_CARET] = ACTIONS(3284),
    [anon_sym_AMP] = ACTIONS(3284),
    [anon_sym_GT_GT2] = ACTIONS(3284),
    [anon_sym_PLUS] = ACTIONS(3284),
    [anon_sym_DASH] = ACTIONS(3284),
    [anon_sym_DOT] = ACTIONS(3284),
    [anon_sym_STAR] = ACTIONS(3284),
    [anon_sym_SLASH] = ACTIONS(3284),
    [anon_sym_x] = ACTIONS(3284),
    [anon_sym_EQ_TILDE] = ACTIONS(3282),
    [anon_sym_BANG_TILDE] = ACTIONS(3282),
    [anon_sym_EQ_EQ] = ACTIONS(3284),
    [anon_sym_BANG_EQ] = ACTIONS(3282),
    [anon_sym_eq] = ACTIONS(3284),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3282),
    [anon_sym_equ] = ACTIONS(3282),
    [anon_sym_eqr] = ACTIONS(3282),
    [anon_sym_ne] = ACTIONS(3282),
    [anon_sym_LT_EQ_GT] = ACTIONS(3282),
    [anon_sym_cmp] = ACTIONS(3282),
    [anon_sym_TILDE_TILDE] = ACTIONS(3282),
    [anon_sym_LT] = ACTIONS(3284),
    [anon_sym_LT_EQ] = ACTIONS(3284),
    [anon_sym_GT_EQ] = ACTIONS(3282),
    [anon_sym_lt] = ACTIONS(3282),
    [anon_sym_le] = ACTIONS(3282),
    [anon_sym_ge] = ACTIONS(3282),
    [anon_sym_gt] = ACTIONS(3282),
    [anon_sym_isa] = ACTIONS(3282),
    [anon_sym_PLUS_PLUS] = ACTIONS(3282),
    [anon_sym_DASH_DASH] = ACTIONS(3282),
    [anon_sym_QMARK] = ACTIONS(3282),
    [anon_sym_PERCENT2] = ACTIONS(3282),
    [anon_sym_EQ_GT] = ACTIONS(3282),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1888] = {
    [sym_heredoc_content] = STATE(1888),
    [anon_sym_COLON] = ACTIONS(3286),
    [anon_sym_DOLLAR] = ACTIONS(3286),
    [anon_sym_EQ] = ACTIONS(3288),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3286),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3286),
    [anon_sym_AT] = ACTIONS(3286),
    [anon_sym_COMMA] = ACTIONS(3286),
    [anon_sym_RPAREN] = ACTIONS(3286),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3286),
    [anon_sym_DASH_GT] = ACTIONS(3286),
    [anon_sym_PERCENT] = ACTIONS(3288),
    [anon_sym_GT] = ACTIONS(3288),
    [anon_sym_LT_LT] = ACTIONS(3288),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3286),
    [anon_sym_PLUS_EQ] = ACTIONS(3286),
    [anon_sym_DASH_EQ] = ACTIONS(3286),
    [anon_sym_DOT_EQ] = ACTIONS(3286),
    [anon_sym_STAR_EQ] = ACTIONS(3286),
    [anon_sym_SLASH_EQ] = ACTIONS(3286),
    [anon_sym_PERCENT_EQ] = ACTIONS(3288),
    [anon_sym_x_EQ] = ACTIONS(3286),
    [anon_sym_AMP_EQ] = ACTIONS(3286),
    [anon_sym_PIPE_EQ] = ACTIONS(3286),
    [anon_sym_CARET_EQ] = ACTIONS(3286),
    [anon_sym_LT_LT_EQ] = ACTIONS(3286),
    [anon_sym_GT_GT_EQ] = ACTIONS(3286),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3286),
    [anon_sym_DOT_DOT] = ACTIONS(3288),
    [anon_sym_STAR_STAR] = ACTIONS(3288),
    [anon_sym_PIPE_PIPE] = ACTIONS(3288),
    [anon_sym_SLASH_SLASH] = ACTIONS(3288),
    [anon_sym_CARET_CARET] = ACTIONS(3286),
    [anon_sym_AMP_AMP] = ACTIONS(3288),
    [anon_sym_PIPE] = ACTIONS(3288),
    [anon_sym_CARET] = ACTIONS(3288),
    [anon_sym_AMP] = ACTIONS(3288),
    [anon_sym_GT_GT2] = ACTIONS(3288),
    [anon_sym_PLUS] = ACTIONS(3288),
    [anon_sym_DASH] = ACTIONS(3288),
    [anon_sym_DOT] = ACTIONS(3288),
    [anon_sym_STAR] = ACTIONS(3288),
    [anon_sym_SLASH] = ACTIONS(3288),
    [anon_sym_x] = ACTIONS(3288),
    [anon_sym_EQ_TILDE] = ACTIONS(3286),
    [anon_sym_BANG_TILDE] = ACTIONS(3286),
    [anon_sym_EQ_EQ] = ACTIONS(3288),
    [anon_sym_BANG_EQ] = ACTIONS(3286),
    [anon_sym_eq] = ACTIONS(3288),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3286),
    [anon_sym_equ] = ACTIONS(3286),
    [anon_sym_eqr] = ACTIONS(3286),
    [anon_sym_ne] = ACTIONS(3286),
    [anon_sym_LT_EQ_GT] = ACTIONS(3286),
    [anon_sym_cmp] = ACTIONS(3286),
    [anon_sym_TILDE_TILDE] = ACTIONS(3286),
    [anon_sym_LT] = ACTIONS(3288),
    [anon_sym_LT_EQ] = ACTIONS(3288),
    [anon_sym_GT_EQ] = ACTIONS(3286),
    [anon_sym_lt] = ACTIONS(3286),
    [anon_sym_le] = ACTIONS(3286),
    [anon_sym_ge] = ACTIONS(3286),
    [anon_sym_gt] = ACTIONS(3286),
    [anon_sym_isa] = ACTIONS(3286),
    [anon_sym_PLUS_PLUS] = ACTIONS(3286),
    [anon_sym_DASH_DASH] = ACTIONS(3286),
    [anon_sym_QMARK] = ACTIONS(3286),
    [anon_sym_PERCENT2] = ACTIONS(3286),
    [anon_sym_EQ_GT] = ACTIONS(3286),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1889] = {
    [sym_heredoc_content] = STATE(1889),
    [anon_sym_COLON] = ACTIONS(3290),
    [anon_sym_DOLLAR] = ACTIONS(3290),
    [anon_sym_EQ] = ACTIONS(3292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3290),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3290),
    [anon_sym_AT] = ACTIONS(3290),
    [anon_sym_COMMA] = ACTIONS(3290),
    [anon_sym_RPAREN] = ACTIONS(3290),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3290),
    [anon_sym_DASH_GT] = ACTIONS(3290),
    [anon_sym_PERCENT] = ACTIONS(3292),
    [anon_sym_GT] = ACTIONS(3292),
    [anon_sym_LT_LT] = ACTIONS(3292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3290),
    [anon_sym_PLUS_EQ] = ACTIONS(3290),
    [anon_sym_DASH_EQ] = ACTIONS(3290),
    [anon_sym_DOT_EQ] = ACTIONS(3290),
    [anon_sym_STAR_EQ] = ACTIONS(3290),
    [anon_sym_SLASH_EQ] = ACTIONS(3290),
    [anon_sym_PERCENT_EQ] = ACTIONS(3292),
    [anon_sym_x_EQ] = ACTIONS(3290),
    [anon_sym_AMP_EQ] = ACTIONS(3290),
    [anon_sym_PIPE_EQ] = ACTIONS(3290),
    [anon_sym_CARET_EQ] = ACTIONS(3290),
    [anon_sym_LT_LT_EQ] = ACTIONS(3290),
    [anon_sym_GT_GT_EQ] = ACTIONS(3290),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3290),
    [anon_sym_DOT_DOT] = ACTIONS(3292),
    [anon_sym_STAR_STAR] = ACTIONS(3292),
    [anon_sym_PIPE_PIPE] = ACTIONS(3292),
    [anon_sym_SLASH_SLASH] = ACTIONS(3292),
    [anon_sym_CARET_CARET] = ACTIONS(3290),
    [anon_sym_AMP_AMP] = ACTIONS(3292),
    [anon_sym_PIPE] = ACTIONS(3292),
    [anon_sym_CARET] = ACTIONS(3292),
    [anon_sym_AMP] = ACTIONS(3292),
    [anon_sym_GT_GT2] = ACTIONS(3292),
    [anon_sym_PLUS] = ACTIONS(3292),
    [anon_sym_DASH] = ACTIONS(3292),
    [anon_sym_DOT] = ACTIONS(3292),
    [anon_sym_STAR] = ACTIONS(3292),
    [anon_sym_SLASH] = ACTIONS(3292),
    [anon_sym_x] = ACTIONS(3292),
    [anon_sym_EQ_TILDE] = ACTIONS(3290),
    [anon_sym_BANG_TILDE] = ACTIONS(3290),
    [anon_sym_EQ_EQ] = ACTIONS(3292),
    [anon_sym_BANG_EQ] = ACTIONS(3290),
    [anon_sym_eq] = ACTIONS(3292),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3290),
    [anon_sym_equ] = ACTIONS(3290),
    [anon_sym_eqr] = ACTIONS(3290),
    [anon_sym_ne] = ACTIONS(3290),
    [anon_sym_LT_EQ_GT] = ACTIONS(3290),
    [anon_sym_cmp] = ACTIONS(3290),
    [anon_sym_TILDE_TILDE] = ACTIONS(3290),
    [anon_sym_LT] = ACTIONS(3292),
    [anon_sym_LT_EQ] = ACTIONS(3292),
    [anon_sym_GT_EQ] = ACTIONS(3290),
    [anon_sym_lt] = ACTIONS(3290),
    [anon_sym_le] = ACTIONS(3290),
    [anon_sym_ge] = ACTIONS(3290),
    [anon_sym_gt] = ACTIONS(3290),
    [anon_sym_isa] = ACTIONS(3290),
    [anon_sym_PLUS_PLUS] = ACTIONS(3290),
    [anon_sym_DASH_DASH] = ACTIONS(3290),
    [anon_sym_QMARK] = ACTIONS(3290),
    [anon_sym_PERCENT2] = ACTIONS(3290),
    [anon_sym_EQ_GT] = ACTIONS(3290),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1890] = {
    [sym_heredoc_content] = STATE(1890),
    [anon_sym_COLON] = ACTIONS(3294),
    [anon_sym_DOLLAR] = ACTIONS(3294),
    [anon_sym_EQ] = ACTIONS(3296),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3294),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3294),
    [anon_sym_AT] = ACTIONS(3294),
    [anon_sym_COMMA] = ACTIONS(3294),
    [anon_sym_RPAREN] = ACTIONS(3294),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3294),
    [anon_sym_DASH_GT] = ACTIONS(3294),
    [anon_sym_PERCENT] = ACTIONS(3296),
    [anon_sym_GT] = ACTIONS(3296),
    [anon_sym_LT_LT] = ACTIONS(3296),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3294),
    [anon_sym_PLUS_EQ] = ACTIONS(3294),
    [anon_sym_DASH_EQ] = ACTIONS(3294),
    [anon_sym_DOT_EQ] = ACTIONS(3294),
    [anon_sym_STAR_EQ] = ACTIONS(3294),
    [anon_sym_SLASH_EQ] = ACTIONS(3294),
    [anon_sym_PERCENT_EQ] = ACTIONS(3296),
    [anon_sym_x_EQ] = ACTIONS(3294),
    [anon_sym_AMP_EQ] = ACTIONS(3294),
    [anon_sym_PIPE_EQ] = ACTIONS(3294),
    [anon_sym_CARET_EQ] = ACTIONS(3294),
    [anon_sym_LT_LT_EQ] = ACTIONS(3294),
    [anon_sym_GT_GT_EQ] = ACTIONS(3294),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3294),
    [anon_sym_DOT_DOT] = ACTIONS(3296),
    [anon_sym_STAR_STAR] = ACTIONS(3296),
    [anon_sym_PIPE_PIPE] = ACTIONS(3296),
    [anon_sym_SLASH_SLASH] = ACTIONS(3296),
    [anon_sym_CARET_CARET] = ACTIONS(3294),
    [anon_sym_AMP_AMP] = ACTIONS(3296),
    [anon_sym_PIPE] = ACTIONS(3296),
    [anon_sym_CARET] = ACTIONS(3296),
    [anon_sym_AMP] = ACTIONS(3296),
    [anon_sym_GT_GT2] = ACTIONS(3296),
    [anon_sym_PLUS] = ACTIONS(3296),
    [anon_sym_DASH] = ACTIONS(3296),
    [anon_sym_DOT] = ACTIONS(3296),
    [anon_sym_STAR] = ACTIONS(3296),
    [anon_sym_SLASH] = ACTIONS(3296),
    [anon_sym_x] = ACTIONS(3296),
    [anon_sym_EQ_TILDE] = ACTIONS(3294),
    [anon_sym_BANG_TILDE] = ACTIONS(3294),
    [anon_sym_EQ_EQ] = ACTIONS(3296),
    [anon_sym_BANG_EQ] = ACTIONS(3294),
    [anon_sym_eq] = ACTIONS(3296),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3294),
    [anon_sym_equ] = ACTIONS(3294),
    [anon_sym_eqr] = ACTIONS(3294),
    [anon_sym_ne] = ACTIONS(3294),
    [anon_sym_LT_EQ_GT] = ACTIONS(3294),
    [anon_sym_cmp] = ACTIONS(3294),
    [anon_sym_TILDE_TILDE] = ACTIONS(3294),
    [anon_sym_LT] = ACTIONS(3296),
    [anon_sym_LT_EQ] = ACTIONS(3296),
    [anon_sym_GT_EQ] = ACTIONS(3294),
    [anon_sym_lt] = ACTIONS(3294),
    [anon_sym_le] = ACTIONS(3294),
    [anon_sym_ge] = ACTIONS(3294),
    [anon_sym_gt] = ACTIONS(3294),
    [anon_sym_isa] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [anon_sym_QMARK] = ACTIONS(3294),
    [anon_sym_PERCENT2] = ACTIONS(3294),
    [anon_sym_EQ_GT] = ACTIONS(3294),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1891] = {
    [sym_heredoc_content] = STATE(1891),
    [anon_sym_COLON] = ACTIONS(3298),
    [anon_sym_DOLLAR] = ACTIONS(3298),
    [anon_sym_EQ] = ACTIONS(3300),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3298),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3298),
    [anon_sym_AT] = ACTIONS(3298),
    [anon_sym_COMMA] = ACTIONS(3298),
    [anon_sym_RPAREN] = ACTIONS(3298),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3298),
    [anon_sym_DASH_GT] = ACTIONS(3298),
    [anon_sym_PERCENT] = ACTIONS(3300),
    [anon_sym_GT] = ACTIONS(3300),
    [anon_sym_LT_LT] = ACTIONS(3300),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3298),
    [anon_sym_PLUS_EQ] = ACTIONS(3298),
    [anon_sym_DASH_EQ] = ACTIONS(3298),
    [anon_sym_DOT_EQ] = ACTIONS(3298),
    [anon_sym_STAR_EQ] = ACTIONS(3298),
    [anon_sym_SLASH_EQ] = ACTIONS(3298),
    [anon_sym_PERCENT_EQ] = ACTIONS(3300),
    [anon_sym_x_EQ] = ACTIONS(3298),
    [anon_sym_AMP_EQ] = ACTIONS(3298),
    [anon_sym_PIPE_EQ] = ACTIONS(3298),
    [anon_sym_CARET_EQ] = ACTIONS(3298),
    [anon_sym_LT_LT_EQ] = ACTIONS(3298),
    [anon_sym_GT_GT_EQ] = ACTIONS(3298),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3298),
    [anon_sym_DOT_DOT] = ACTIONS(3300),
    [anon_sym_STAR_STAR] = ACTIONS(3300),
    [anon_sym_PIPE_PIPE] = ACTIONS(3300),
    [anon_sym_SLASH_SLASH] = ACTIONS(3300),
    [anon_sym_CARET_CARET] = ACTIONS(3298),
    [anon_sym_AMP_AMP] = ACTIONS(3300),
    [anon_sym_PIPE] = ACTIONS(3300),
    [anon_sym_CARET] = ACTIONS(3300),
    [anon_sym_AMP] = ACTIONS(3300),
    [anon_sym_GT_GT2] = ACTIONS(3300),
    [anon_sym_PLUS] = ACTIONS(3300),
    [anon_sym_DASH] = ACTIONS(3300),
    [anon_sym_DOT] = ACTIONS(3300),
    [anon_sym_STAR] = ACTIONS(3300),
    [anon_sym_SLASH] = ACTIONS(3300),
    [anon_sym_x] = ACTIONS(3300),
    [anon_sym_EQ_TILDE] = ACTIONS(3298),
    [anon_sym_BANG_TILDE] = ACTIONS(3298),
    [anon_sym_EQ_EQ] = ACTIONS(3300),
    [anon_sym_BANG_EQ] = ACTIONS(3298),
    [anon_sym_eq] = ACTIONS(3300),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3298),
    [anon_sym_equ] = ACTIONS(3298),
    [anon_sym_eqr] = ACTIONS(3298),
    [anon_sym_ne] = ACTIONS(3298),
    [anon_sym_LT_EQ_GT] = ACTIONS(3298),
    [anon_sym_cmp] = ACTIONS(3298),
    [anon_sym_TILDE_TILDE] = ACTIONS(3298),
    [anon_sym_LT] = ACTIONS(3300),
    [anon_sym_LT_EQ] = ACTIONS(3300),
    [anon_sym_GT_EQ] = ACTIONS(3298),
    [anon_sym_lt] = ACTIONS(3298),
    [anon_sym_le] = ACTIONS(3298),
    [anon_sym_ge] = ACTIONS(3298),
    [anon_sym_gt] = ACTIONS(3298),
    [anon_sym_isa] = ACTIONS(3298),
    [anon_sym_PLUS_PLUS] = ACTIONS(3298),
    [anon_sym_DASH_DASH] = ACTIONS(3298),
    [anon_sym_QMARK] = ACTIONS(3298),
    [anon_sym_PERCENT2] = ACTIONS(3298),
    [anon_sym_EQ_GT] = ACTIONS(3298),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1892] = {
    [sym_heredoc_content] = STATE(1892),
    [anon_sym_COLON] = ACTIONS(3302),
    [anon_sym_DOLLAR] = ACTIONS(3302),
    [anon_sym_EQ] = ACTIONS(3304),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3302),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3302),
    [anon_sym_AT] = ACTIONS(3302),
    [anon_sym_COMMA] = ACTIONS(3302),
    [anon_sym_RPAREN] = ACTIONS(3302),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3302),
    [anon_sym_DASH_GT] = ACTIONS(3302),
    [anon_sym_PERCENT] = ACTIONS(3304),
    [anon_sym_GT] = ACTIONS(3304),
    [anon_sym_LT_LT] = ACTIONS(3304),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3302),
    [anon_sym_PLUS_EQ] = ACTIONS(3302),
    [anon_sym_DASH_EQ] = ACTIONS(3302),
    [anon_sym_DOT_EQ] = ACTIONS(3302),
    [anon_sym_STAR_EQ] = ACTIONS(3302),
    [anon_sym_SLASH_EQ] = ACTIONS(3302),
    [anon_sym_PERCENT_EQ] = ACTIONS(3304),
    [anon_sym_x_EQ] = ACTIONS(3302),
    [anon_sym_AMP_EQ] = ACTIONS(3302),
    [anon_sym_PIPE_EQ] = ACTIONS(3302),
    [anon_sym_CARET_EQ] = ACTIONS(3302),
    [anon_sym_LT_LT_EQ] = ACTIONS(3302),
    [anon_sym_GT_GT_EQ] = ACTIONS(3302),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3302),
    [anon_sym_DOT_DOT] = ACTIONS(3304),
    [anon_sym_STAR_STAR] = ACTIONS(3304),
    [anon_sym_PIPE_PIPE] = ACTIONS(3304),
    [anon_sym_SLASH_SLASH] = ACTIONS(3304),
    [anon_sym_CARET_CARET] = ACTIONS(3302),
    [anon_sym_AMP_AMP] = ACTIONS(3304),
    [anon_sym_PIPE] = ACTIONS(3304),
    [anon_sym_CARET] = ACTIONS(3304),
    [anon_sym_AMP] = ACTIONS(3304),
    [anon_sym_GT_GT2] = ACTIONS(3304),
    [anon_sym_PLUS] = ACTIONS(3304),
    [anon_sym_DASH] = ACTIONS(3304),
    [anon_sym_DOT] = ACTIONS(3304),
    [anon_sym_STAR] = ACTIONS(3304),
    [anon_sym_SLASH] = ACTIONS(3304),
    [anon_sym_x] = ACTIONS(3304),
    [anon_sym_EQ_TILDE] = ACTIONS(3302),
    [anon_sym_BANG_TILDE] = ACTIONS(3302),
    [anon_sym_EQ_EQ] = ACTIONS(3304),
    [anon_sym_BANG_EQ] = ACTIONS(3302),
    [anon_sym_eq] = ACTIONS(3304),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3302),
    [anon_sym_equ] = ACTIONS(3302),
    [anon_sym_eqr] = ACTIONS(3302),
    [anon_sym_ne] = ACTIONS(3302),
    [anon_sym_LT_EQ_GT] = ACTIONS(3302),
    [anon_sym_cmp] = ACTIONS(3302),
    [anon_sym_TILDE_TILDE] = ACTIONS(3302),
    [anon_sym_LT] = ACTIONS(3304),
    [anon_sym_LT_EQ] = ACTIONS(3304),
    [anon_sym_GT_EQ] = ACTIONS(3302),
    [anon_sym_lt] = ACTIONS(3302),
    [anon_sym_le] = ACTIONS(3302),
    [anon_sym_ge] = ACTIONS(3302),
    [anon_sym_gt] = ACTIONS(3302),
    [anon_sym_isa] = ACTIONS(3302),
    [anon_sym_PLUS_PLUS] = ACTIONS(3302),
    [anon_sym_DASH_DASH] = ACTIONS(3302),
    [anon_sym_QMARK] = ACTIONS(3302),
    [anon_sym_PERCENT2] = ACTIONS(3302),
    [anon_sym_EQ_GT] = ACTIONS(3302),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1893] = {
    [sym_heredoc_content] = STATE(1893),
    [anon_sym_COLON] = ACTIONS(3306),
    [anon_sym_DOLLAR] = ACTIONS(3306),
    [anon_sym_EQ] = ACTIONS(3308),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3306),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3306),
    [anon_sym_AT] = ACTIONS(3306),
    [anon_sym_COMMA] = ACTIONS(3306),
    [anon_sym_RPAREN] = ACTIONS(3306),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3306),
    [anon_sym_DASH_GT] = ACTIONS(3306),
    [anon_sym_PERCENT] = ACTIONS(3308),
    [anon_sym_GT] = ACTIONS(3308),
    [anon_sym_LT_LT] = ACTIONS(3308),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3306),
    [anon_sym_PLUS_EQ] = ACTIONS(3306),
    [anon_sym_DASH_EQ] = ACTIONS(3306),
    [anon_sym_DOT_EQ] = ACTIONS(3306),
    [anon_sym_STAR_EQ] = ACTIONS(3306),
    [anon_sym_SLASH_EQ] = ACTIONS(3306),
    [anon_sym_PERCENT_EQ] = ACTIONS(3308),
    [anon_sym_x_EQ] = ACTIONS(3306),
    [anon_sym_AMP_EQ] = ACTIONS(3306),
    [anon_sym_PIPE_EQ] = ACTIONS(3306),
    [anon_sym_CARET_EQ] = ACTIONS(3306),
    [anon_sym_LT_LT_EQ] = ACTIONS(3306),
    [anon_sym_GT_GT_EQ] = ACTIONS(3306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3306),
    [anon_sym_DOT_DOT] = ACTIONS(3308),
    [anon_sym_STAR_STAR] = ACTIONS(3308),
    [anon_sym_PIPE_PIPE] = ACTIONS(3308),
    [anon_sym_SLASH_SLASH] = ACTIONS(3308),
    [anon_sym_CARET_CARET] = ACTIONS(3306),
    [anon_sym_AMP_AMP] = ACTIONS(3308),
    [anon_sym_PIPE] = ACTIONS(3308),
    [anon_sym_CARET] = ACTIONS(3308),
    [anon_sym_AMP] = ACTIONS(3308),
    [anon_sym_GT_GT2] = ACTIONS(3308),
    [anon_sym_PLUS] = ACTIONS(3308),
    [anon_sym_DASH] = ACTIONS(3308),
    [anon_sym_DOT] = ACTIONS(3308),
    [anon_sym_STAR] = ACTIONS(3308),
    [anon_sym_SLASH] = ACTIONS(3308),
    [anon_sym_x] = ACTIONS(3308),
    [anon_sym_EQ_TILDE] = ACTIONS(3306),
    [anon_sym_BANG_TILDE] = ACTIONS(3306),
    [anon_sym_EQ_EQ] = ACTIONS(3308),
    [anon_sym_BANG_EQ] = ACTIONS(3306),
    [anon_sym_eq] = ACTIONS(3308),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3306),
    [anon_sym_equ] = ACTIONS(3306),
    [anon_sym_eqr] = ACTIONS(3306),
    [anon_sym_ne] = ACTIONS(3306),
    [anon_sym_LT_EQ_GT] = ACTIONS(3306),
    [anon_sym_cmp] = ACTIONS(3306),
    [anon_sym_TILDE_TILDE] = ACTIONS(3306),
    [anon_sym_LT] = ACTIONS(3308),
    [anon_sym_LT_EQ] = ACTIONS(3308),
    [anon_sym_GT_EQ] = ACTIONS(3306),
    [anon_sym_lt] = ACTIONS(3306),
    [anon_sym_le] = ACTIONS(3306),
    [anon_sym_ge] = ACTIONS(3306),
    [anon_sym_gt] = ACTIONS(3306),
    [anon_sym_isa] = ACTIONS(3306),
    [anon_sym_PLUS_PLUS] = ACTIONS(3306),
    [anon_sym_DASH_DASH] = ACTIONS(3306),
    [anon_sym_QMARK] = ACTIONS(3306),
    [anon_sym_PERCENT2] = ACTIONS(3306),
    [anon_sym_EQ_GT] = ACTIONS(3306),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1894] = {
    [sym_heredoc_content] = STATE(1894),
    [anon_sym_COLON] = ACTIONS(3310),
    [anon_sym_DOLLAR] = ACTIONS(3310),
    [anon_sym_EQ] = ACTIONS(3312),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3310),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3310),
    [anon_sym_AT] = ACTIONS(3310),
    [anon_sym_COMMA] = ACTIONS(3310),
    [anon_sym_RPAREN] = ACTIONS(3310),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3310),
    [anon_sym_DASH_GT] = ACTIONS(3310),
    [anon_sym_PERCENT] = ACTIONS(3312),
    [anon_sym_GT] = ACTIONS(3312),
    [anon_sym_LT_LT] = ACTIONS(3312),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3310),
    [anon_sym_PLUS_EQ] = ACTIONS(3310),
    [anon_sym_DASH_EQ] = ACTIONS(3310),
    [anon_sym_DOT_EQ] = ACTIONS(3310),
    [anon_sym_STAR_EQ] = ACTIONS(3310),
    [anon_sym_SLASH_EQ] = ACTIONS(3310),
    [anon_sym_PERCENT_EQ] = ACTIONS(3312),
    [anon_sym_x_EQ] = ACTIONS(3310),
    [anon_sym_AMP_EQ] = ACTIONS(3310),
    [anon_sym_PIPE_EQ] = ACTIONS(3310),
    [anon_sym_CARET_EQ] = ACTIONS(3310),
    [anon_sym_LT_LT_EQ] = ACTIONS(3310),
    [anon_sym_GT_GT_EQ] = ACTIONS(3310),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3310),
    [anon_sym_DOT_DOT] = ACTIONS(3312),
    [anon_sym_STAR_STAR] = ACTIONS(3312),
    [anon_sym_PIPE_PIPE] = ACTIONS(3312),
    [anon_sym_SLASH_SLASH] = ACTIONS(3312),
    [anon_sym_CARET_CARET] = ACTIONS(3310),
    [anon_sym_AMP_AMP] = ACTIONS(3312),
    [anon_sym_PIPE] = ACTIONS(3312),
    [anon_sym_CARET] = ACTIONS(3312),
    [anon_sym_AMP] = ACTIONS(3312),
    [anon_sym_GT_GT2] = ACTIONS(3312),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_DASH] = ACTIONS(3312),
    [anon_sym_DOT] = ACTIONS(3312),
    [anon_sym_STAR] = ACTIONS(3312),
    [anon_sym_SLASH] = ACTIONS(3312),
    [anon_sym_x] = ACTIONS(3312),
    [anon_sym_EQ_TILDE] = ACTIONS(3310),
    [anon_sym_BANG_TILDE] = ACTIONS(3310),
    [anon_sym_EQ_EQ] = ACTIONS(3312),
    [anon_sym_BANG_EQ] = ACTIONS(3310),
    [anon_sym_eq] = ACTIONS(3312),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3310),
    [anon_sym_equ] = ACTIONS(3310),
    [anon_sym_eqr] = ACTIONS(3310),
    [anon_sym_ne] = ACTIONS(3310),
    [anon_sym_LT_EQ_GT] = ACTIONS(3310),
    [anon_sym_cmp] = ACTIONS(3310),
    [anon_sym_TILDE_TILDE] = ACTIONS(3310),
    [anon_sym_LT] = ACTIONS(3312),
    [anon_sym_LT_EQ] = ACTIONS(3312),
    [anon_sym_GT_EQ] = ACTIONS(3310),
    [anon_sym_lt] = ACTIONS(3310),
    [anon_sym_le] = ACTIONS(3310),
    [anon_sym_ge] = ACTIONS(3310),
    [anon_sym_gt] = ACTIONS(3310),
    [anon_sym_isa] = ACTIONS(3310),
    [anon_sym_PLUS_PLUS] = ACTIONS(3310),
    [anon_sym_DASH_DASH] = ACTIONS(3310),
    [anon_sym_QMARK] = ACTIONS(3310),
    [anon_sym_PERCENT2] = ACTIONS(3310),
    [anon_sym_EQ_GT] = ACTIONS(3310),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1895] = {
    [sym_heredoc_content] = STATE(1895),
    [anon_sym_COLON] = ACTIONS(3314),
    [anon_sym_DOLLAR] = ACTIONS(3314),
    [anon_sym_EQ] = ACTIONS(3316),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3314),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3314),
    [anon_sym_AT] = ACTIONS(3314),
    [anon_sym_COMMA] = ACTIONS(3314),
    [anon_sym_RPAREN] = ACTIONS(3314),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3314),
    [anon_sym_DASH_GT] = ACTIONS(3314),
    [anon_sym_PERCENT] = ACTIONS(3316),
    [anon_sym_GT] = ACTIONS(3316),
    [anon_sym_LT_LT] = ACTIONS(3316),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3314),
    [anon_sym_PLUS_EQ] = ACTIONS(3314),
    [anon_sym_DASH_EQ] = ACTIONS(3314),
    [anon_sym_DOT_EQ] = ACTIONS(3314),
    [anon_sym_STAR_EQ] = ACTIONS(3314),
    [anon_sym_SLASH_EQ] = ACTIONS(3314),
    [anon_sym_PERCENT_EQ] = ACTIONS(3316),
    [anon_sym_x_EQ] = ACTIONS(3314),
    [anon_sym_AMP_EQ] = ACTIONS(3314),
    [anon_sym_PIPE_EQ] = ACTIONS(3314),
    [anon_sym_CARET_EQ] = ACTIONS(3314),
    [anon_sym_LT_LT_EQ] = ACTIONS(3314),
    [anon_sym_GT_GT_EQ] = ACTIONS(3314),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3314),
    [anon_sym_DOT_DOT] = ACTIONS(3316),
    [anon_sym_STAR_STAR] = ACTIONS(3316),
    [anon_sym_PIPE_PIPE] = ACTIONS(3316),
    [anon_sym_SLASH_SLASH] = ACTIONS(3316),
    [anon_sym_CARET_CARET] = ACTIONS(3314),
    [anon_sym_AMP_AMP] = ACTIONS(3316),
    [anon_sym_PIPE] = ACTIONS(3316),
    [anon_sym_CARET] = ACTIONS(3316),
    [anon_sym_AMP] = ACTIONS(3316),
    [anon_sym_GT_GT2] = ACTIONS(3316),
    [anon_sym_PLUS] = ACTIONS(3316),
    [anon_sym_DASH] = ACTIONS(3316),
    [anon_sym_DOT] = ACTIONS(3316),
    [anon_sym_STAR] = ACTIONS(3316),
    [anon_sym_SLASH] = ACTIONS(3316),
    [anon_sym_x] = ACTIONS(3316),
    [anon_sym_EQ_TILDE] = ACTIONS(3314),
    [anon_sym_BANG_TILDE] = ACTIONS(3314),
    [anon_sym_EQ_EQ] = ACTIONS(3316),
    [anon_sym_BANG_EQ] = ACTIONS(3314),
    [anon_sym_eq] = ACTIONS(3316),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3314),
    [anon_sym_equ] = ACTIONS(3314),
    [anon_sym_eqr] = ACTIONS(3314),
    [anon_sym_ne] = ACTIONS(3314),
    [anon_sym_LT_EQ_GT] = ACTIONS(3314),
    [anon_sym_cmp] = ACTIONS(3314),
    [anon_sym_TILDE_TILDE] = ACTIONS(3314),
    [anon_sym_LT] = ACTIONS(3316),
    [anon_sym_LT_EQ] = ACTIONS(3316),
    [anon_sym_GT_EQ] = ACTIONS(3314),
    [anon_sym_lt] = ACTIONS(3314),
    [anon_sym_le] = ACTIONS(3314),
    [anon_sym_ge] = ACTIONS(3314),
    [anon_sym_gt] = ACTIONS(3314),
    [anon_sym_isa] = ACTIONS(3314),
    [anon_sym_PLUS_PLUS] = ACTIONS(3314),
    [anon_sym_DASH_DASH] = ACTIONS(3314),
    [anon_sym_QMARK] = ACTIONS(3314),
    [anon_sym_PERCENT2] = ACTIONS(3314),
    [anon_sym_EQ_GT] = ACTIONS(3314),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1896] = {
    [sym_heredoc_content] = STATE(1896),
    [anon_sym_COLON] = ACTIONS(3031),
    [anon_sym_DOLLAR] = ACTIONS(3031),
    [anon_sym_EQ] = ACTIONS(3033),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3031),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3031),
    [anon_sym_AT] = ACTIONS(3031),
    [anon_sym_COMMA] = ACTIONS(3031),
    [anon_sym_RPAREN] = ACTIONS(3031),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3031),
    [anon_sym_DASH_GT] = ACTIONS(3031),
    [anon_sym_PERCENT] = ACTIONS(3033),
    [anon_sym_GT] = ACTIONS(3033),
    [anon_sym_LT_LT] = ACTIONS(3033),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3031),
    [anon_sym_PLUS_EQ] = ACTIONS(3031),
    [anon_sym_DASH_EQ] = ACTIONS(3031),
    [anon_sym_DOT_EQ] = ACTIONS(3031),
    [anon_sym_STAR_EQ] = ACTIONS(3031),
    [anon_sym_SLASH_EQ] = ACTIONS(3031),
    [anon_sym_PERCENT_EQ] = ACTIONS(3033),
    [anon_sym_x_EQ] = ACTIONS(3031),
    [anon_sym_AMP_EQ] = ACTIONS(3031),
    [anon_sym_PIPE_EQ] = ACTIONS(3031),
    [anon_sym_CARET_EQ] = ACTIONS(3031),
    [anon_sym_LT_LT_EQ] = ACTIONS(3031),
    [anon_sym_GT_GT_EQ] = ACTIONS(3031),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3031),
    [anon_sym_DOT_DOT] = ACTIONS(3033),
    [anon_sym_STAR_STAR] = ACTIONS(3033),
    [anon_sym_PIPE_PIPE] = ACTIONS(3033),
    [anon_sym_SLASH_SLASH] = ACTIONS(3033),
    [anon_sym_CARET_CARET] = ACTIONS(3031),
    [anon_sym_AMP_AMP] = ACTIONS(3033),
    [anon_sym_PIPE] = ACTIONS(3033),
    [anon_sym_CARET] = ACTIONS(3033),
    [anon_sym_AMP] = ACTIONS(3033),
    [anon_sym_GT_GT2] = ACTIONS(3033),
    [anon_sym_PLUS] = ACTIONS(3033),
    [anon_sym_DASH] = ACTIONS(3033),
    [anon_sym_DOT] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3033),
    [anon_sym_SLASH] = ACTIONS(3033),
    [anon_sym_x] = ACTIONS(3033),
    [anon_sym_EQ_TILDE] = ACTIONS(3031),
    [anon_sym_BANG_TILDE] = ACTIONS(3031),
    [anon_sym_EQ_EQ] = ACTIONS(3033),
    [anon_sym_BANG_EQ] = ACTIONS(3031),
    [anon_sym_eq] = ACTIONS(3033),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3031),
    [anon_sym_equ] = ACTIONS(3031),
    [anon_sym_eqr] = ACTIONS(3031),
    [anon_sym_ne] = ACTIONS(3031),
    [anon_sym_LT_EQ_GT] = ACTIONS(3031),
    [anon_sym_cmp] = ACTIONS(3031),
    [anon_sym_TILDE_TILDE] = ACTIONS(3031),
    [anon_sym_LT] = ACTIONS(3033),
    [anon_sym_LT_EQ] = ACTIONS(3033),
    [anon_sym_GT_EQ] = ACTIONS(3031),
    [anon_sym_lt] = ACTIONS(3031),
    [anon_sym_le] = ACTIONS(3031),
    [anon_sym_ge] = ACTIONS(3031),
    [anon_sym_gt] = ACTIONS(3031),
    [anon_sym_isa] = ACTIONS(3031),
    [anon_sym_PLUS_PLUS] = ACTIONS(3031),
    [anon_sym_DASH_DASH] = ACTIONS(3031),
    [anon_sym_QMARK] = ACTIONS(3031),
    [anon_sym_PERCENT2] = ACTIONS(3031),
    [anon_sym_EQ_GT] = ACTIONS(3031),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1897] = {
    [sym_heredoc_content] = STATE(1897),
    [anon_sym_COLON] = ACTIONS(3242),
    [anon_sym_DOLLAR] = ACTIONS(3242),
    [anon_sym_EQ] = ACTIONS(3244),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3242),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3242),
    [anon_sym_AT] = ACTIONS(3242),
    [anon_sym_COMMA] = ACTIONS(3242),
    [anon_sym_RPAREN] = ACTIONS(3242),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3242),
    [anon_sym_DASH_GT] = ACTIONS(3242),
    [anon_sym_PERCENT] = ACTIONS(3244),
    [anon_sym_GT] = ACTIONS(3244),
    [anon_sym_LT_LT] = ACTIONS(3244),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3242),
    [anon_sym_PLUS_EQ] = ACTIONS(3242),
    [anon_sym_DASH_EQ] = ACTIONS(3242),
    [anon_sym_DOT_EQ] = ACTIONS(3242),
    [anon_sym_STAR_EQ] = ACTIONS(3242),
    [anon_sym_SLASH_EQ] = ACTIONS(3242),
    [anon_sym_PERCENT_EQ] = ACTIONS(3244),
    [anon_sym_x_EQ] = ACTIONS(3242),
    [anon_sym_AMP_EQ] = ACTIONS(3242),
    [anon_sym_PIPE_EQ] = ACTIONS(3242),
    [anon_sym_CARET_EQ] = ACTIONS(3242),
    [anon_sym_LT_LT_EQ] = ACTIONS(3242),
    [anon_sym_GT_GT_EQ] = ACTIONS(3242),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3242),
    [anon_sym_DOT_DOT] = ACTIONS(3244),
    [anon_sym_STAR_STAR] = ACTIONS(3244),
    [anon_sym_PIPE_PIPE] = ACTIONS(3244),
    [anon_sym_SLASH_SLASH] = ACTIONS(3244),
    [anon_sym_CARET_CARET] = ACTIONS(3242),
    [anon_sym_AMP_AMP] = ACTIONS(3244),
    [anon_sym_PIPE] = ACTIONS(3244),
    [anon_sym_CARET] = ACTIONS(3244),
    [anon_sym_AMP] = ACTIONS(3244),
    [anon_sym_GT_GT2] = ACTIONS(3244),
    [anon_sym_PLUS] = ACTIONS(3244),
    [anon_sym_DASH] = ACTIONS(3244),
    [anon_sym_DOT] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3244),
    [anon_sym_SLASH] = ACTIONS(3244),
    [anon_sym_x] = ACTIONS(3244),
    [anon_sym_EQ_TILDE] = ACTIONS(3242),
    [anon_sym_BANG_TILDE] = ACTIONS(3242),
    [anon_sym_EQ_EQ] = ACTIONS(3244),
    [anon_sym_BANG_EQ] = ACTIONS(3242),
    [anon_sym_eq] = ACTIONS(3244),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3242),
    [anon_sym_equ] = ACTIONS(3242),
    [anon_sym_eqr] = ACTIONS(3242),
    [anon_sym_ne] = ACTIONS(3242),
    [anon_sym_LT_EQ_GT] = ACTIONS(3242),
    [anon_sym_cmp] = ACTIONS(3242),
    [anon_sym_TILDE_TILDE] = ACTIONS(3242),
    [anon_sym_LT] = ACTIONS(3244),
    [anon_sym_LT_EQ] = ACTIONS(3244),
    [anon_sym_GT_EQ] = ACTIONS(3242),
    [anon_sym_lt] = ACTIONS(3242),
    [anon_sym_le] = ACTIONS(3242),
    [anon_sym_ge] = ACTIONS(3242),
    [anon_sym_gt] = ACTIONS(3242),
    [anon_sym_isa] = ACTIONS(3242),
    [anon_sym_PLUS_PLUS] = ACTIONS(3242),
    [anon_sym_DASH_DASH] = ACTIONS(3242),
    [anon_sym_QMARK] = ACTIONS(3242),
    [anon_sym_PERCENT2] = ACTIONS(3242),
    [anon_sym_EQ_GT] = ACTIONS(3242),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1898] = {
    [sym_heredoc_content] = STATE(1898),
    [anon_sym_COLON] = ACTIONS(2995),
    [anon_sym_DOLLAR] = ACTIONS(2995),
    [anon_sym_EQ] = ACTIONS(2997),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2995),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2995),
    [anon_sym_AT] = ACTIONS(2995),
    [anon_sym_COMMA] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(2995),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2995),
    [anon_sym_DASH_GT] = ACTIONS(2995),
    [anon_sym_PERCENT] = ACTIONS(2997),
    [anon_sym_GT] = ACTIONS(2997),
    [anon_sym_LT_LT] = ACTIONS(2997),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2995),
    [anon_sym_PLUS_EQ] = ACTIONS(2995),
    [anon_sym_DASH_EQ] = ACTIONS(2995),
    [anon_sym_DOT_EQ] = ACTIONS(2995),
    [anon_sym_STAR_EQ] = ACTIONS(2995),
    [anon_sym_SLASH_EQ] = ACTIONS(2995),
    [anon_sym_PERCENT_EQ] = ACTIONS(2997),
    [anon_sym_x_EQ] = ACTIONS(2995),
    [anon_sym_AMP_EQ] = ACTIONS(2995),
    [anon_sym_PIPE_EQ] = ACTIONS(2995),
    [anon_sym_CARET_EQ] = ACTIONS(2995),
    [anon_sym_LT_LT_EQ] = ACTIONS(2995),
    [anon_sym_GT_GT_EQ] = ACTIONS(2995),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2995),
    [anon_sym_DOT_DOT] = ACTIONS(2997),
    [anon_sym_STAR_STAR] = ACTIONS(2997),
    [anon_sym_PIPE_PIPE] = ACTIONS(2997),
    [anon_sym_SLASH_SLASH] = ACTIONS(2997),
    [anon_sym_CARET_CARET] = ACTIONS(2995),
    [anon_sym_AMP_AMP] = ACTIONS(2997),
    [anon_sym_PIPE] = ACTIONS(2997),
    [anon_sym_CARET] = ACTIONS(2997),
    [anon_sym_AMP] = ACTIONS(2997),
    [anon_sym_GT_GT2] = ACTIONS(2997),
    [anon_sym_PLUS] = ACTIONS(2997),
    [anon_sym_DASH] = ACTIONS(2997),
    [anon_sym_DOT] = ACTIONS(2997),
    [anon_sym_STAR] = ACTIONS(2997),
    [anon_sym_SLASH] = ACTIONS(2997),
    [anon_sym_x] = ACTIONS(2997),
    [anon_sym_EQ_TILDE] = ACTIONS(2995),
    [anon_sym_BANG_TILDE] = ACTIONS(2995),
    [anon_sym_EQ_EQ] = ACTIONS(2997),
    [anon_sym_BANG_EQ] = ACTIONS(2995),
    [anon_sym_eq] = ACTIONS(2997),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2995),
    [anon_sym_equ] = ACTIONS(2995),
    [anon_sym_eqr] = ACTIONS(2995),
    [anon_sym_ne] = ACTIONS(2995),
    [anon_sym_LT_EQ_GT] = ACTIONS(2995),
    [anon_sym_cmp] = ACTIONS(2995),
    [anon_sym_TILDE_TILDE] = ACTIONS(2995),
    [anon_sym_LT] = ACTIONS(2997),
    [anon_sym_LT_EQ] = ACTIONS(2997),
    [anon_sym_GT_EQ] = ACTIONS(2995),
    [anon_sym_lt] = ACTIONS(2995),
    [anon_sym_le] = ACTIONS(2995),
    [anon_sym_ge] = ACTIONS(2995),
    [anon_sym_gt] = ACTIONS(2995),
    [anon_sym_isa] = ACTIONS(2995),
    [anon_sym_PLUS_PLUS] = ACTIONS(2995),
    [anon_sym_DASH_DASH] = ACTIONS(2995),
    [anon_sym_QMARK] = ACTIONS(2995),
    [anon_sym_PERCENT2] = ACTIONS(2995),
    [anon_sym_EQ_GT] = ACTIONS(2995),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1899] = {
    [sym_heredoc_content] = STATE(1899),
    [anon_sym_COLON] = ACTIONS(2919),
    [anon_sym_DOLLAR] = ACTIONS(2919),
    [anon_sym_EQ] = ACTIONS(2921),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2919),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2919),
    [anon_sym_AT] = ACTIONS(2919),
    [anon_sym_COMMA] = ACTIONS(2919),
    [anon_sym_RPAREN] = ACTIONS(2919),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2919),
    [anon_sym_DASH_GT] = ACTIONS(2919),
    [anon_sym_PERCENT] = ACTIONS(2921),
    [anon_sym_GT] = ACTIONS(2921),
    [anon_sym_LT_LT] = ACTIONS(2921),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2919),
    [anon_sym_PLUS_EQ] = ACTIONS(2919),
    [anon_sym_DASH_EQ] = ACTIONS(2919),
    [anon_sym_DOT_EQ] = ACTIONS(2919),
    [anon_sym_STAR_EQ] = ACTIONS(2919),
    [anon_sym_SLASH_EQ] = ACTIONS(2919),
    [anon_sym_PERCENT_EQ] = ACTIONS(2921),
    [anon_sym_x_EQ] = ACTIONS(2919),
    [anon_sym_AMP_EQ] = ACTIONS(2919),
    [anon_sym_PIPE_EQ] = ACTIONS(2919),
    [anon_sym_CARET_EQ] = ACTIONS(2919),
    [anon_sym_LT_LT_EQ] = ACTIONS(2919),
    [anon_sym_GT_GT_EQ] = ACTIONS(2919),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2919),
    [anon_sym_DOT_DOT] = ACTIONS(2921),
    [anon_sym_STAR_STAR] = ACTIONS(2921),
    [anon_sym_PIPE_PIPE] = ACTIONS(2921),
    [anon_sym_SLASH_SLASH] = ACTIONS(2921),
    [anon_sym_CARET_CARET] = ACTIONS(2919),
    [anon_sym_AMP_AMP] = ACTIONS(2921),
    [anon_sym_PIPE] = ACTIONS(2921),
    [anon_sym_CARET] = ACTIONS(2921),
    [anon_sym_AMP] = ACTIONS(2921),
    [anon_sym_GT_GT2] = ACTIONS(2921),
    [anon_sym_PLUS] = ACTIONS(2921),
    [anon_sym_DASH] = ACTIONS(2921),
    [anon_sym_DOT] = ACTIONS(2921),
    [anon_sym_STAR] = ACTIONS(2921),
    [anon_sym_SLASH] = ACTIONS(2921),
    [anon_sym_x] = ACTIONS(2921),
    [anon_sym_EQ_TILDE] = ACTIONS(2919),
    [anon_sym_BANG_TILDE] = ACTIONS(2919),
    [anon_sym_EQ_EQ] = ACTIONS(2921),
    [anon_sym_BANG_EQ] = ACTIONS(2919),
    [anon_sym_eq] = ACTIONS(2921),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2919),
    [anon_sym_equ] = ACTIONS(2919),
    [anon_sym_eqr] = ACTIONS(2919),
    [anon_sym_ne] = ACTIONS(2919),
    [anon_sym_LT_EQ_GT] = ACTIONS(2919),
    [anon_sym_cmp] = ACTIONS(2919),
    [anon_sym_TILDE_TILDE] = ACTIONS(2919),
    [anon_sym_LT] = ACTIONS(2921),
    [anon_sym_LT_EQ] = ACTIONS(2921),
    [anon_sym_GT_EQ] = ACTIONS(2919),
    [anon_sym_lt] = ACTIONS(2919),
    [anon_sym_le] = ACTIONS(2919),
    [anon_sym_ge] = ACTIONS(2919),
    [anon_sym_gt] = ACTIONS(2919),
    [anon_sym_isa] = ACTIONS(2919),
    [anon_sym_PLUS_PLUS] = ACTIONS(2919),
    [anon_sym_DASH_DASH] = ACTIONS(2919),
    [anon_sym_QMARK] = ACTIONS(2919),
    [anon_sym_PERCENT2] = ACTIONS(2919),
    [anon_sym_EQ_GT] = ACTIONS(2919),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1900] = {
    [sym_heredoc_content] = STATE(1900),
    [anon_sym_COLON] = ACTIONS(2967),
    [anon_sym_DOLLAR] = ACTIONS(2967),
    [anon_sym_EQ] = ACTIONS(2969),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2967),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2967),
    [anon_sym_AT] = ACTIONS(2967),
    [anon_sym_COMMA] = ACTIONS(2967),
    [anon_sym_RPAREN] = ACTIONS(2967),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2967),
    [anon_sym_DASH_GT] = ACTIONS(2967),
    [anon_sym_PERCENT] = ACTIONS(2969),
    [anon_sym_GT] = ACTIONS(2969),
    [anon_sym_LT_LT] = ACTIONS(2969),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2967),
    [anon_sym_PLUS_EQ] = ACTIONS(2967),
    [anon_sym_DASH_EQ] = ACTIONS(2967),
    [anon_sym_DOT_EQ] = ACTIONS(2967),
    [anon_sym_STAR_EQ] = ACTIONS(2967),
    [anon_sym_SLASH_EQ] = ACTIONS(2967),
    [anon_sym_PERCENT_EQ] = ACTIONS(2969),
    [anon_sym_x_EQ] = ACTIONS(2967),
    [anon_sym_AMP_EQ] = ACTIONS(2967),
    [anon_sym_PIPE_EQ] = ACTIONS(2967),
    [anon_sym_CARET_EQ] = ACTIONS(2967),
    [anon_sym_LT_LT_EQ] = ACTIONS(2967),
    [anon_sym_GT_GT_EQ] = ACTIONS(2967),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2967),
    [anon_sym_DOT_DOT] = ACTIONS(2969),
    [anon_sym_STAR_STAR] = ACTIONS(2969),
    [anon_sym_PIPE_PIPE] = ACTIONS(2969),
    [anon_sym_SLASH_SLASH] = ACTIONS(2969),
    [anon_sym_CARET_CARET] = ACTIONS(2967),
    [anon_sym_AMP_AMP] = ACTIONS(2969),
    [anon_sym_PIPE] = ACTIONS(2969),
    [anon_sym_CARET] = ACTIONS(2969),
    [anon_sym_AMP] = ACTIONS(2969),
    [anon_sym_GT_GT2] = ACTIONS(2969),
    [anon_sym_PLUS] = ACTIONS(2969),
    [anon_sym_DASH] = ACTIONS(2969),
    [anon_sym_DOT] = ACTIONS(2969),
    [anon_sym_STAR] = ACTIONS(2969),
    [anon_sym_SLASH] = ACTIONS(2969),
    [anon_sym_x] = ACTIONS(2969),
    [anon_sym_EQ_TILDE] = ACTIONS(2967),
    [anon_sym_BANG_TILDE] = ACTIONS(2967),
    [anon_sym_EQ_EQ] = ACTIONS(2969),
    [anon_sym_BANG_EQ] = ACTIONS(2967),
    [anon_sym_eq] = ACTIONS(2969),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2967),
    [anon_sym_equ] = ACTIONS(2967),
    [anon_sym_eqr] = ACTIONS(2967),
    [anon_sym_ne] = ACTIONS(2967),
    [anon_sym_LT_EQ_GT] = ACTIONS(2967),
    [anon_sym_cmp] = ACTIONS(2967),
    [anon_sym_TILDE_TILDE] = ACTIONS(2967),
    [anon_sym_LT] = ACTIONS(2969),
    [anon_sym_LT_EQ] = ACTIONS(2969),
    [anon_sym_GT_EQ] = ACTIONS(2967),
    [anon_sym_lt] = ACTIONS(2967),
    [anon_sym_le] = ACTIONS(2967),
    [anon_sym_ge] = ACTIONS(2967),
    [anon_sym_gt] = ACTIONS(2967),
    [anon_sym_isa] = ACTIONS(2967),
    [anon_sym_PLUS_PLUS] = ACTIONS(2967),
    [anon_sym_DASH_DASH] = ACTIONS(2967),
    [anon_sym_QMARK] = ACTIONS(2967),
    [anon_sym_PERCENT2] = ACTIONS(2967),
    [anon_sym_EQ_GT] = ACTIONS(2967),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1901] = {
    [sym_heredoc_content] = STATE(1901),
    [anon_sym_COLON] = ACTIONS(2971),
    [anon_sym_DOLLAR] = ACTIONS(2971),
    [anon_sym_EQ] = ACTIONS(2973),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2971),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2971),
    [anon_sym_AT] = ACTIONS(2971),
    [anon_sym_COMMA] = ACTIONS(2971),
    [anon_sym_RPAREN] = ACTIONS(2971),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2971),
    [anon_sym_DASH_GT] = ACTIONS(2971),
    [anon_sym_PERCENT] = ACTIONS(2973),
    [anon_sym_GT] = ACTIONS(2973),
    [anon_sym_LT_LT] = ACTIONS(2973),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2971),
    [anon_sym_PLUS_EQ] = ACTIONS(2971),
    [anon_sym_DASH_EQ] = ACTIONS(2971),
    [anon_sym_DOT_EQ] = ACTIONS(2971),
    [anon_sym_STAR_EQ] = ACTIONS(2971),
    [anon_sym_SLASH_EQ] = ACTIONS(2971),
    [anon_sym_PERCENT_EQ] = ACTIONS(2973),
    [anon_sym_x_EQ] = ACTIONS(2971),
    [anon_sym_AMP_EQ] = ACTIONS(2971),
    [anon_sym_PIPE_EQ] = ACTIONS(2971),
    [anon_sym_CARET_EQ] = ACTIONS(2971),
    [anon_sym_LT_LT_EQ] = ACTIONS(2971),
    [anon_sym_GT_GT_EQ] = ACTIONS(2971),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2971),
    [anon_sym_DOT_DOT] = ACTIONS(2973),
    [anon_sym_STAR_STAR] = ACTIONS(2973),
    [anon_sym_PIPE_PIPE] = ACTIONS(2973),
    [anon_sym_SLASH_SLASH] = ACTIONS(2973),
    [anon_sym_CARET_CARET] = ACTIONS(2971),
    [anon_sym_AMP_AMP] = ACTIONS(2973),
    [anon_sym_PIPE] = ACTIONS(2973),
    [anon_sym_CARET] = ACTIONS(2973),
    [anon_sym_AMP] = ACTIONS(2973),
    [anon_sym_GT_GT2] = ACTIONS(2973),
    [anon_sym_PLUS] = ACTIONS(2973),
    [anon_sym_DASH] = ACTIONS(2973),
    [anon_sym_DOT] = ACTIONS(2973),
    [anon_sym_STAR] = ACTIONS(2973),
    [anon_sym_SLASH] = ACTIONS(2973),
    [anon_sym_x] = ACTIONS(2973),
    [anon_sym_EQ_TILDE] = ACTIONS(2971),
    [anon_sym_BANG_TILDE] = ACTIONS(2971),
    [anon_sym_EQ_EQ] = ACTIONS(2973),
    [anon_sym_BANG_EQ] = ACTIONS(2971),
    [anon_sym_eq] = ACTIONS(2973),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2971),
    [anon_sym_equ] = ACTIONS(2971),
    [anon_sym_eqr] = ACTIONS(2971),
    [anon_sym_ne] = ACTIONS(2971),
    [anon_sym_LT_EQ_GT] = ACTIONS(2971),
    [anon_sym_cmp] = ACTIONS(2971),
    [anon_sym_TILDE_TILDE] = ACTIONS(2971),
    [anon_sym_LT] = ACTIONS(2973),
    [anon_sym_LT_EQ] = ACTIONS(2973),
    [anon_sym_GT_EQ] = ACTIONS(2971),
    [anon_sym_lt] = ACTIONS(2971),
    [anon_sym_le] = ACTIONS(2971),
    [anon_sym_ge] = ACTIONS(2971),
    [anon_sym_gt] = ACTIONS(2971),
    [anon_sym_isa] = ACTIONS(2971),
    [anon_sym_PLUS_PLUS] = ACTIONS(2971),
    [anon_sym_DASH_DASH] = ACTIONS(2971),
    [anon_sym_QMARK] = ACTIONS(2971),
    [anon_sym_PERCENT2] = ACTIONS(2971),
    [anon_sym_EQ_GT] = ACTIONS(2971),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1902] = {
    [sym_heredoc_content] = STATE(1902),
    [anon_sym_COLON] = ACTIONS(3007),
    [anon_sym_DOLLAR] = ACTIONS(3007),
    [anon_sym_EQ] = ACTIONS(3009),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3007),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(3007),
    [anon_sym_COMMA] = ACTIONS(3007),
    [anon_sym_RPAREN] = ACTIONS(3007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3007),
    [anon_sym_DASH_GT] = ACTIONS(3007),
    [anon_sym_PERCENT] = ACTIONS(3009),
    [anon_sym_GT] = ACTIONS(3009),
    [anon_sym_LT_LT] = ACTIONS(3009),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3007),
    [anon_sym_PLUS_EQ] = ACTIONS(3007),
    [anon_sym_DASH_EQ] = ACTIONS(3007),
    [anon_sym_DOT_EQ] = ACTIONS(3007),
    [anon_sym_STAR_EQ] = ACTIONS(3007),
    [anon_sym_SLASH_EQ] = ACTIONS(3007),
    [anon_sym_PERCENT_EQ] = ACTIONS(3009),
    [anon_sym_x_EQ] = ACTIONS(3007),
    [anon_sym_AMP_EQ] = ACTIONS(3007),
    [anon_sym_PIPE_EQ] = ACTIONS(3007),
    [anon_sym_CARET_EQ] = ACTIONS(3007),
    [anon_sym_LT_LT_EQ] = ACTIONS(3007),
    [anon_sym_GT_GT_EQ] = ACTIONS(3007),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3007),
    [anon_sym_DOT_DOT] = ACTIONS(3009),
    [anon_sym_STAR_STAR] = ACTIONS(3009),
    [anon_sym_PIPE_PIPE] = ACTIONS(3009),
    [anon_sym_SLASH_SLASH] = ACTIONS(3009),
    [anon_sym_CARET_CARET] = ACTIONS(3007),
    [anon_sym_AMP_AMP] = ACTIONS(3009),
    [anon_sym_PIPE] = ACTIONS(3009),
    [anon_sym_CARET] = ACTIONS(3009),
    [anon_sym_AMP] = ACTIONS(3009),
    [anon_sym_GT_GT2] = ACTIONS(3009),
    [anon_sym_PLUS] = ACTIONS(3009),
    [anon_sym_DASH] = ACTIONS(3009),
    [anon_sym_DOT] = ACTIONS(3009),
    [anon_sym_STAR] = ACTIONS(3009),
    [anon_sym_SLASH] = ACTIONS(3009),
    [anon_sym_x] = ACTIONS(3009),
    [anon_sym_EQ_TILDE] = ACTIONS(3007),
    [anon_sym_BANG_TILDE] = ACTIONS(3007),
    [anon_sym_EQ_EQ] = ACTIONS(3009),
    [anon_sym_BANG_EQ] = ACTIONS(3007),
    [anon_sym_eq] = ACTIONS(3009),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3007),
    [anon_sym_equ] = ACTIONS(3007),
    [anon_sym_eqr] = ACTIONS(3007),
    [anon_sym_ne] = ACTIONS(3007),
    [anon_sym_LT_EQ_GT] = ACTIONS(3007),
    [anon_sym_cmp] = ACTIONS(3007),
    [anon_sym_TILDE_TILDE] = ACTIONS(3007),
    [anon_sym_LT] = ACTIONS(3009),
    [anon_sym_LT_EQ] = ACTIONS(3009),
    [anon_sym_GT_EQ] = ACTIONS(3007),
    [anon_sym_lt] = ACTIONS(3007),
    [anon_sym_le] = ACTIONS(3007),
    [anon_sym_ge] = ACTIONS(3007),
    [anon_sym_gt] = ACTIONS(3007),
    [anon_sym_isa] = ACTIONS(3007),
    [anon_sym_PLUS_PLUS] = ACTIONS(3007),
    [anon_sym_DASH_DASH] = ACTIONS(3007),
    [anon_sym_QMARK] = ACTIONS(3007),
    [anon_sym_PERCENT2] = ACTIONS(3007),
    [anon_sym_EQ_GT] = ACTIONS(3007),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1903] = {
    [sym_heredoc_content] = STATE(1903),
    [anon_sym_COLON] = ACTIONS(3074),
    [anon_sym_DOLLAR] = ACTIONS(3074),
    [anon_sym_EQ] = ACTIONS(3076),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3074),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3074),
    [anon_sym_AT] = ACTIONS(3074),
    [anon_sym_COMMA] = ACTIONS(3074),
    [anon_sym_RPAREN] = ACTIONS(3074),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3074),
    [anon_sym_DASH_GT] = ACTIONS(3074),
    [anon_sym_PERCENT] = ACTIONS(3076),
    [anon_sym_GT] = ACTIONS(3076),
    [anon_sym_LT_LT] = ACTIONS(3076),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3074),
    [anon_sym_PLUS_EQ] = ACTIONS(3074),
    [anon_sym_DASH_EQ] = ACTIONS(3074),
    [anon_sym_DOT_EQ] = ACTIONS(3074),
    [anon_sym_STAR_EQ] = ACTIONS(3074),
    [anon_sym_SLASH_EQ] = ACTIONS(3074),
    [anon_sym_PERCENT_EQ] = ACTIONS(3076),
    [anon_sym_x_EQ] = ACTIONS(3074),
    [anon_sym_AMP_EQ] = ACTIONS(3074),
    [anon_sym_PIPE_EQ] = ACTIONS(3074),
    [anon_sym_CARET_EQ] = ACTIONS(3074),
    [anon_sym_LT_LT_EQ] = ACTIONS(3074),
    [anon_sym_GT_GT_EQ] = ACTIONS(3074),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3074),
    [anon_sym_DOT_DOT] = ACTIONS(3076),
    [anon_sym_STAR_STAR] = ACTIONS(3076),
    [anon_sym_PIPE_PIPE] = ACTIONS(3076),
    [anon_sym_SLASH_SLASH] = ACTIONS(3076),
    [anon_sym_CARET_CARET] = ACTIONS(3074),
    [anon_sym_AMP_AMP] = ACTIONS(3076),
    [anon_sym_PIPE] = ACTIONS(3076),
    [anon_sym_CARET] = ACTIONS(3076),
    [anon_sym_AMP] = ACTIONS(3076),
    [anon_sym_GT_GT2] = ACTIONS(3076),
    [anon_sym_PLUS] = ACTIONS(3076),
    [anon_sym_DASH] = ACTIONS(3076),
    [anon_sym_DOT] = ACTIONS(3076),
    [anon_sym_STAR] = ACTIONS(3076),
    [anon_sym_SLASH] = ACTIONS(3076),
    [anon_sym_x] = ACTIONS(3076),
    [anon_sym_EQ_TILDE] = ACTIONS(3074),
    [anon_sym_BANG_TILDE] = ACTIONS(3074),
    [anon_sym_EQ_EQ] = ACTIONS(3076),
    [anon_sym_BANG_EQ] = ACTIONS(3074),
    [anon_sym_eq] = ACTIONS(3076),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3074),
    [anon_sym_equ] = ACTIONS(3074),
    [anon_sym_eqr] = ACTIONS(3074),
    [anon_sym_ne] = ACTIONS(3074),
    [anon_sym_LT_EQ_GT] = ACTIONS(3074),
    [anon_sym_cmp] = ACTIONS(3074),
    [anon_sym_TILDE_TILDE] = ACTIONS(3074),
    [anon_sym_LT] = ACTIONS(3076),
    [anon_sym_LT_EQ] = ACTIONS(3076),
    [anon_sym_GT_EQ] = ACTIONS(3074),
    [anon_sym_lt] = ACTIONS(3074),
    [anon_sym_le] = ACTIONS(3074),
    [anon_sym_ge] = ACTIONS(3074),
    [anon_sym_gt] = ACTIONS(3074),
    [anon_sym_isa] = ACTIONS(3074),
    [anon_sym_PLUS_PLUS] = ACTIONS(3074),
    [anon_sym_DASH_DASH] = ACTIONS(3074),
    [anon_sym_QMARK] = ACTIONS(3074),
    [anon_sym_PERCENT2] = ACTIONS(3074),
    [anon_sym_EQ_GT] = ACTIONS(3074),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1904] = {
    [sym_heredoc_content] = STATE(1904),
    [anon_sym_COLON] = ACTIONS(2987),
    [anon_sym_DOLLAR] = ACTIONS(2987),
    [anon_sym_EQ] = ACTIONS(2989),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2987),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2987),
    [anon_sym_AT] = ACTIONS(2987),
    [anon_sym_COMMA] = ACTIONS(2987),
    [anon_sym_RPAREN] = ACTIONS(2987),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2987),
    [anon_sym_DASH_GT] = ACTIONS(2987),
    [anon_sym_PERCENT] = ACTIONS(2989),
    [anon_sym_GT] = ACTIONS(2989),
    [anon_sym_LT_LT] = ACTIONS(2989),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2987),
    [anon_sym_PLUS_EQ] = ACTIONS(2987),
    [anon_sym_DASH_EQ] = ACTIONS(2987),
    [anon_sym_DOT_EQ] = ACTIONS(2987),
    [anon_sym_STAR_EQ] = ACTIONS(2987),
    [anon_sym_SLASH_EQ] = ACTIONS(2987),
    [anon_sym_PERCENT_EQ] = ACTIONS(2989),
    [anon_sym_x_EQ] = ACTIONS(2987),
    [anon_sym_AMP_EQ] = ACTIONS(2987),
    [anon_sym_PIPE_EQ] = ACTIONS(2987),
    [anon_sym_CARET_EQ] = ACTIONS(2987),
    [anon_sym_LT_LT_EQ] = ACTIONS(2987),
    [anon_sym_GT_GT_EQ] = ACTIONS(2987),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2987),
    [anon_sym_DOT_DOT] = ACTIONS(2989),
    [anon_sym_STAR_STAR] = ACTIONS(2989),
    [anon_sym_PIPE_PIPE] = ACTIONS(2989),
    [anon_sym_SLASH_SLASH] = ACTIONS(2989),
    [anon_sym_CARET_CARET] = ACTIONS(2987),
    [anon_sym_AMP_AMP] = ACTIONS(2989),
    [anon_sym_PIPE] = ACTIONS(2989),
    [anon_sym_CARET] = ACTIONS(2989),
    [anon_sym_AMP] = ACTIONS(2989),
    [anon_sym_GT_GT2] = ACTIONS(2989),
    [anon_sym_PLUS] = ACTIONS(2989),
    [anon_sym_DASH] = ACTIONS(2989),
    [anon_sym_DOT] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2989),
    [anon_sym_SLASH] = ACTIONS(2989),
    [anon_sym_x] = ACTIONS(2989),
    [anon_sym_EQ_TILDE] = ACTIONS(2987),
    [anon_sym_BANG_TILDE] = ACTIONS(2987),
    [anon_sym_EQ_EQ] = ACTIONS(2989),
    [anon_sym_BANG_EQ] = ACTIONS(2987),
    [anon_sym_eq] = ACTIONS(2989),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2987),
    [anon_sym_equ] = ACTIONS(2987),
    [anon_sym_eqr] = ACTIONS(2987),
    [anon_sym_ne] = ACTIONS(2987),
    [anon_sym_LT_EQ_GT] = ACTIONS(2987),
    [anon_sym_cmp] = ACTIONS(2987),
    [anon_sym_TILDE_TILDE] = ACTIONS(2987),
    [anon_sym_LT] = ACTIONS(2989),
    [anon_sym_LT_EQ] = ACTIONS(2989),
    [anon_sym_GT_EQ] = ACTIONS(2987),
    [anon_sym_lt] = ACTIONS(2987),
    [anon_sym_le] = ACTIONS(2987),
    [anon_sym_ge] = ACTIONS(2987),
    [anon_sym_gt] = ACTIONS(2987),
    [anon_sym_isa] = ACTIONS(2987),
    [anon_sym_PLUS_PLUS] = ACTIONS(2987),
    [anon_sym_DASH_DASH] = ACTIONS(2987),
    [anon_sym_QMARK] = ACTIONS(2987),
    [anon_sym_PERCENT2] = ACTIONS(2987),
    [anon_sym_EQ_GT] = ACTIONS(2987),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1905] = {
    [sym_heredoc_content] = STATE(1905),
    [anon_sym_COLON] = ACTIONS(2943),
    [anon_sym_DOLLAR] = ACTIONS(2943),
    [anon_sym_EQ] = ACTIONS(2945),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2943),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2943),
    [anon_sym_AT] = ACTIONS(2943),
    [anon_sym_COMMA] = ACTIONS(2943),
    [anon_sym_RPAREN] = ACTIONS(2943),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2943),
    [anon_sym_DASH_GT] = ACTIONS(2943),
    [anon_sym_PERCENT] = ACTIONS(2945),
    [anon_sym_GT] = ACTIONS(2945),
    [anon_sym_LT_LT] = ACTIONS(2945),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2943),
    [anon_sym_PLUS_EQ] = ACTIONS(2943),
    [anon_sym_DASH_EQ] = ACTIONS(2943),
    [anon_sym_DOT_EQ] = ACTIONS(2943),
    [anon_sym_STAR_EQ] = ACTIONS(2943),
    [anon_sym_SLASH_EQ] = ACTIONS(2943),
    [anon_sym_PERCENT_EQ] = ACTIONS(2945),
    [anon_sym_x_EQ] = ACTIONS(2943),
    [anon_sym_AMP_EQ] = ACTIONS(2943),
    [anon_sym_PIPE_EQ] = ACTIONS(2943),
    [anon_sym_CARET_EQ] = ACTIONS(2943),
    [anon_sym_LT_LT_EQ] = ACTIONS(2943),
    [anon_sym_GT_GT_EQ] = ACTIONS(2943),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2943),
    [anon_sym_DOT_DOT] = ACTIONS(2945),
    [anon_sym_STAR_STAR] = ACTIONS(2945),
    [anon_sym_PIPE_PIPE] = ACTIONS(2945),
    [anon_sym_SLASH_SLASH] = ACTIONS(2945),
    [anon_sym_CARET_CARET] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2945),
    [anon_sym_PIPE] = ACTIONS(2945),
    [anon_sym_CARET] = ACTIONS(2945),
    [anon_sym_AMP] = ACTIONS(2945),
    [anon_sym_GT_GT2] = ACTIONS(2945),
    [anon_sym_PLUS] = ACTIONS(2945),
    [anon_sym_DASH] = ACTIONS(2945),
    [anon_sym_DOT] = ACTIONS(2945),
    [anon_sym_STAR] = ACTIONS(2945),
    [anon_sym_SLASH] = ACTIONS(2945),
    [anon_sym_x] = ACTIONS(2945),
    [anon_sym_EQ_TILDE] = ACTIONS(2943),
    [anon_sym_BANG_TILDE] = ACTIONS(2943),
    [anon_sym_EQ_EQ] = ACTIONS(2945),
    [anon_sym_BANG_EQ] = ACTIONS(2943),
    [anon_sym_eq] = ACTIONS(2945),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2943),
    [anon_sym_equ] = ACTIONS(2943),
    [anon_sym_eqr] = ACTIONS(2943),
    [anon_sym_ne] = ACTIONS(2943),
    [anon_sym_LT_EQ_GT] = ACTIONS(2943),
    [anon_sym_cmp] = ACTIONS(2943),
    [anon_sym_TILDE_TILDE] = ACTIONS(2943),
    [anon_sym_LT] = ACTIONS(2945),
    [anon_sym_LT_EQ] = ACTIONS(2945),
    [anon_sym_GT_EQ] = ACTIONS(2943),
    [anon_sym_lt] = ACTIONS(2943),
    [anon_sym_le] = ACTIONS(2943),
    [anon_sym_ge] = ACTIONS(2943),
    [anon_sym_gt] = ACTIONS(2943),
    [anon_sym_isa] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_QMARK] = ACTIONS(2943),
    [anon_sym_PERCENT2] = ACTIONS(2943),
    [anon_sym_EQ_GT] = ACTIONS(2943),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1906] = {
    [sym_heredoc_content] = STATE(1906),
    [anon_sym_COLON] = ACTIONS(2821),
    [anon_sym_DOLLAR] = ACTIONS(2821),
    [anon_sym_EQ] = ACTIONS(2823),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2821),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2821),
    [anon_sym_AT] = ACTIONS(2821),
    [anon_sym_COMMA] = ACTIONS(2821),
    [anon_sym_RPAREN] = ACTIONS(2821),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2821),
    [anon_sym_DASH_GT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(2823),
    [anon_sym_GT] = ACTIONS(2823),
    [anon_sym_LT_LT] = ACTIONS(2823),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2821),
    [anon_sym_PLUS_EQ] = ACTIONS(2821),
    [anon_sym_DASH_EQ] = ACTIONS(2821),
    [anon_sym_DOT_EQ] = ACTIONS(2821),
    [anon_sym_STAR_EQ] = ACTIONS(2821),
    [anon_sym_SLASH_EQ] = ACTIONS(2821),
    [anon_sym_PERCENT_EQ] = ACTIONS(2823),
    [anon_sym_x_EQ] = ACTIONS(2821),
    [anon_sym_AMP_EQ] = ACTIONS(2821),
    [anon_sym_PIPE_EQ] = ACTIONS(2821),
    [anon_sym_CARET_EQ] = ACTIONS(2821),
    [anon_sym_LT_LT_EQ] = ACTIONS(2821),
    [anon_sym_GT_GT_EQ] = ACTIONS(2821),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2821),
    [anon_sym_DOT_DOT] = ACTIONS(2823),
    [anon_sym_STAR_STAR] = ACTIONS(2823),
    [anon_sym_PIPE_PIPE] = ACTIONS(2823),
    [anon_sym_SLASH_SLASH] = ACTIONS(2823),
    [anon_sym_CARET_CARET] = ACTIONS(2821),
    [anon_sym_AMP_AMP] = ACTIONS(2823),
    [anon_sym_PIPE] = ACTIONS(2823),
    [anon_sym_CARET] = ACTIONS(2823),
    [anon_sym_AMP] = ACTIONS(2823),
    [anon_sym_GT_GT2] = ACTIONS(2823),
    [anon_sym_PLUS] = ACTIONS(2823),
    [anon_sym_DASH] = ACTIONS(2823),
    [anon_sym_DOT] = ACTIONS(2823),
    [anon_sym_STAR] = ACTIONS(2823),
    [anon_sym_SLASH] = ACTIONS(2823),
    [anon_sym_x] = ACTIONS(2823),
    [anon_sym_EQ_TILDE] = ACTIONS(2821),
    [anon_sym_BANG_TILDE] = ACTIONS(2821),
    [anon_sym_EQ_EQ] = ACTIONS(2823),
    [anon_sym_BANG_EQ] = ACTIONS(2821),
    [anon_sym_eq] = ACTIONS(2823),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2821),
    [anon_sym_equ] = ACTIONS(2821),
    [anon_sym_eqr] = ACTIONS(2821),
    [anon_sym_ne] = ACTIONS(2821),
    [anon_sym_LT_EQ_GT] = ACTIONS(2821),
    [anon_sym_cmp] = ACTIONS(2821),
    [anon_sym_TILDE_TILDE] = ACTIONS(2821),
    [anon_sym_LT] = ACTIONS(2823),
    [anon_sym_LT_EQ] = ACTIONS(2823),
    [anon_sym_GT_EQ] = ACTIONS(2821),
    [anon_sym_lt] = ACTIONS(2821),
    [anon_sym_le] = ACTIONS(2821),
    [anon_sym_ge] = ACTIONS(2821),
    [anon_sym_gt] = ACTIONS(2821),
    [anon_sym_isa] = ACTIONS(2821),
    [anon_sym_PLUS_PLUS] = ACTIONS(2821),
    [anon_sym_DASH_DASH] = ACTIONS(2821),
    [anon_sym_QMARK] = ACTIONS(2821),
    [anon_sym_PERCENT2] = ACTIONS(2821),
    [anon_sym_EQ_GT] = ACTIONS(2821),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1907] = {
    [sym_heredoc_content] = STATE(1907),
    [anon_sym_COLON] = ACTIONS(2853),
    [anon_sym_DOLLAR] = ACTIONS(2853),
    [anon_sym_EQ] = ACTIONS(2855),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2853),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2853),
    [anon_sym_AT] = ACTIONS(2853),
    [anon_sym_COMMA] = ACTIONS(2853),
    [anon_sym_RPAREN] = ACTIONS(2853),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2853),
    [anon_sym_DASH_GT] = ACTIONS(2853),
    [anon_sym_PERCENT] = ACTIONS(2855),
    [anon_sym_GT] = ACTIONS(2855),
    [anon_sym_LT_LT] = ACTIONS(2855),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2853),
    [anon_sym_PLUS_EQ] = ACTIONS(2853),
    [anon_sym_DASH_EQ] = ACTIONS(2853),
    [anon_sym_DOT_EQ] = ACTIONS(2853),
    [anon_sym_STAR_EQ] = ACTIONS(2853),
    [anon_sym_SLASH_EQ] = ACTIONS(2853),
    [anon_sym_PERCENT_EQ] = ACTIONS(2855),
    [anon_sym_x_EQ] = ACTIONS(2853),
    [anon_sym_AMP_EQ] = ACTIONS(2853),
    [anon_sym_PIPE_EQ] = ACTIONS(2853),
    [anon_sym_CARET_EQ] = ACTIONS(2853),
    [anon_sym_LT_LT_EQ] = ACTIONS(2853),
    [anon_sym_GT_GT_EQ] = ACTIONS(2853),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2853),
    [anon_sym_DOT_DOT] = ACTIONS(2855),
    [anon_sym_STAR_STAR] = ACTIONS(2855),
    [anon_sym_PIPE_PIPE] = ACTIONS(2855),
    [anon_sym_SLASH_SLASH] = ACTIONS(2855),
    [anon_sym_CARET_CARET] = ACTIONS(2853),
    [anon_sym_AMP_AMP] = ACTIONS(2855),
    [anon_sym_PIPE] = ACTIONS(2855),
    [anon_sym_CARET] = ACTIONS(2855),
    [anon_sym_AMP] = ACTIONS(2855),
    [anon_sym_GT_GT2] = ACTIONS(2855),
    [anon_sym_PLUS] = ACTIONS(2855),
    [anon_sym_DASH] = ACTIONS(2855),
    [anon_sym_DOT] = ACTIONS(2855),
    [anon_sym_STAR] = ACTIONS(2855),
    [anon_sym_SLASH] = ACTIONS(2855),
    [anon_sym_x] = ACTIONS(2855),
    [anon_sym_EQ_TILDE] = ACTIONS(2853),
    [anon_sym_BANG_TILDE] = ACTIONS(2853),
    [anon_sym_EQ_EQ] = ACTIONS(2855),
    [anon_sym_BANG_EQ] = ACTIONS(2853),
    [anon_sym_eq] = ACTIONS(2855),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2853),
    [anon_sym_equ] = ACTIONS(2853),
    [anon_sym_eqr] = ACTIONS(2853),
    [anon_sym_ne] = ACTIONS(2853),
    [anon_sym_LT_EQ_GT] = ACTIONS(2853),
    [anon_sym_cmp] = ACTIONS(2853),
    [anon_sym_TILDE_TILDE] = ACTIONS(2853),
    [anon_sym_LT] = ACTIONS(2855),
    [anon_sym_LT_EQ] = ACTIONS(2855),
    [anon_sym_GT_EQ] = ACTIONS(2853),
    [anon_sym_lt] = ACTIONS(2853),
    [anon_sym_le] = ACTIONS(2853),
    [anon_sym_ge] = ACTIONS(2853),
    [anon_sym_gt] = ACTIONS(2853),
    [anon_sym_isa] = ACTIONS(2853),
    [anon_sym_PLUS_PLUS] = ACTIONS(2853),
    [anon_sym_DASH_DASH] = ACTIONS(2853),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PERCENT2] = ACTIONS(2853),
    [anon_sym_EQ_GT] = ACTIONS(2853),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1908] = {
    [sym_heredoc_content] = STATE(1908),
    [anon_sym_COLON] = ACTIONS(2861),
    [anon_sym_DOLLAR] = ACTIONS(2861),
    [anon_sym_EQ] = ACTIONS(2863),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2861),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2861),
    [anon_sym_AT] = ACTIONS(2861),
    [anon_sym_COMMA] = ACTIONS(2861),
    [anon_sym_RPAREN] = ACTIONS(2861),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2861),
    [anon_sym_DASH_GT] = ACTIONS(2861),
    [anon_sym_PERCENT] = ACTIONS(2863),
    [anon_sym_GT] = ACTIONS(2863),
    [anon_sym_LT_LT] = ACTIONS(2863),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2861),
    [anon_sym_PLUS_EQ] = ACTIONS(2861),
    [anon_sym_DASH_EQ] = ACTIONS(2861),
    [anon_sym_DOT_EQ] = ACTIONS(2861),
    [anon_sym_STAR_EQ] = ACTIONS(2861),
    [anon_sym_SLASH_EQ] = ACTIONS(2861),
    [anon_sym_PERCENT_EQ] = ACTIONS(2863),
    [anon_sym_x_EQ] = ACTIONS(2861),
    [anon_sym_AMP_EQ] = ACTIONS(2861),
    [anon_sym_PIPE_EQ] = ACTIONS(2861),
    [anon_sym_CARET_EQ] = ACTIONS(2861),
    [anon_sym_LT_LT_EQ] = ACTIONS(2861),
    [anon_sym_GT_GT_EQ] = ACTIONS(2861),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2861),
    [anon_sym_DOT_DOT] = ACTIONS(2863),
    [anon_sym_STAR_STAR] = ACTIONS(2863),
    [anon_sym_PIPE_PIPE] = ACTIONS(2863),
    [anon_sym_SLASH_SLASH] = ACTIONS(2863),
    [anon_sym_CARET_CARET] = ACTIONS(2861),
    [anon_sym_AMP_AMP] = ACTIONS(2863),
    [anon_sym_PIPE] = ACTIONS(2863),
    [anon_sym_CARET] = ACTIONS(2863),
    [anon_sym_AMP] = ACTIONS(2863),
    [anon_sym_GT_GT2] = ACTIONS(2863),
    [anon_sym_PLUS] = ACTIONS(2863),
    [anon_sym_DASH] = ACTIONS(2863),
    [anon_sym_DOT] = ACTIONS(2863),
    [anon_sym_STAR] = ACTIONS(2863),
    [anon_sym_SLASH] = ACTIONS(2863),
    [anon_sym_x] = ACTIONS(2863),
    [anon_sym_EQ_TILDE] = ACTIONS(2861),
    [anon_sym_BANG_TILDE] = ACTIONS(2861),
    [anon_sym_EQ_EQ] = ACTIONS(2863),
    [anon_sym_BANG_EQ] = ACTIONS(2861),
    [anon_sym_eq] = ACTIONS(2863),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2861),
    [anon_sym_equ] = ACTIONS(2861),
    [anon_sym_eqr] = ACTIONS(2861),
    [anon_sym_ne] = ACTIONS(2861),
    [anon_sym_LT_EQ_GT] = ACTIONS(2861),
    [anon_sym_cmp] = ACTIONS(2861),
    [anon_sym_TILDE_TILDE] = ACTIONS(2861),
    [anon_sym_LT] = ACTIONS(2863),
    [anon_sym_LT_EQ] = ACTIONS(2863),
    [anon_sym_GT_EQ] = ACTIONS(2861),
    [anon_sym_lt] = ACTIONS(2861),
    [anon_sym_le] = ACTIONS(2861),
    [anon_sym_ge] = ACTIONS(2861),
    [anon_sym_gt] = ACTIONS(2861),
    [anon_sym_isa] = ACTIONS(2861),
    [anon_sym_PLUS_PLUS] = ACTIONS(2861),
    [anon_sym_DASH_DASH] = ACTIONS(2861),
    [anon_sym_QMARK] = ACTIONS(2861),
    [anon_sym_PERCENT2] = ACTIONS(2861),
    [anon_sym_EQ_GT] = ACTIONS(2861),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1909] = {
    [sym_heredoc_content] = STATE(1909),
    [anon_sym_COLON] = ACTIONS(2865),
    [anon_sym_DOLLAR] = ACTIONS(2865),
    [anon_sym_EQ] = ACTIONS(2867),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2865),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2865),
    [anon_sym_AT] = ACTIONS(2865),
    [anon_sym_COMMA] = ACTIONS(2865),
    [anon_sym_RPAREN] = ACTIONS(2865),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2865),
    [anon_sym_DASH_GT] = ACTIONS(2865),
    [anon_sym_PERCENT] = ACTIONS(2867),
    [anon_sym_GT] = ACTIONS(2867),
    [anon_sym_LT_LT] = ACTIONS(2867),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2865),
    [anon_sym_PLUS_EQ] = ACTIONS(2865),
    [anon_sym_DASH_EQ] = ACTIONS(2865),
    [anon_sym_DOT_EQ] = ACTIONS(2865),
    [anon_sym_STAR_EQ] = ACTIONS(2865),
    [anon_sym_SLASH_EQ] = ACTIONS(2865),
    [anon_sym_PERCENT_EQ] = ACTIONS(2867),
    [anon_sym_x_EQ] = ACTIONS(2865),
    [anon_sym_AMP_EQ] = ACTIONS(2865),
    [anon_sym_PIPE_EQ] = ACTIONS(2865),
    [anon_sym_CARET_EQ] = ACTIONS(2865),
    [anon_sym_LT_LT_EQ] = ACTIONS(2865),
    [anon_sym_GT_GT_EQ] = ACTIONS(2865),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2865),
    [anon_sym_DOT_DOT] = ACTIONS(2867),
    [anon_sym_STAR_STAR] = ACTIONS(2867),
    [anon_sym_PIPE_PIPE] = ACTIONS(2867),
    [anon_sym_SLASH_SLASH] = ACTIONS(2867),
    [anon_sym_CARET_CARET] = ACTIONS(2865),
    [anon_sym_AMP_AMP] = ACTIONS(2867),
    [anon_sym_PIPE] = ACTIONS(2867),
    [anon_sym_CARET] = ACTIONS(2867),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_GT_GT2] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_DOT] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2867),
    [anon_sym_SLASH] = ACTIONS(2867),
    [anon_sym_x] = ACTIONS(2867),
    [anon_sym_EQ_TILDE] = ACTIONS(2865),
    [anon_sym_BANG_TILDE] = ACTIONS(2865),
    [anon_sym_EQ_EQ] = ACTIONS(2867),
    [anon_sym_BANG_EQ] = ACTIONS(2865),
    [anon_sym_eq] = ACTIONS(2867),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2865),
    [anon_sym_equ] = ACTIONS(2865),
    [anon_sym_eqr] = ACTIONS(2865),
    [anon_sym_ne] = ACTIONS(2865),
    [anon_sym_LT_EQ_GT] = ACTIONS(2865),
    [anon_sym_cmp] = ACTIONS(2865),
    [anon_sym_TILDE_TILDE] = ACTIONS(2865),
    [anon_sym_LT] = ACTIONS(2867),
    [anon_sym_LT_EQ] = ACTIONS(2867),
    [anon_sym_GT_EQ] = ACTIONS(2865),
    [anon_sym_lt] = ACTIONS(2865),
    [anon_sym_le] = ACTIONS(2865),
    [anon_sym_ge] = ACTIONS(2865),
    [anon_sym_gt] = ACTIONS(2865),
    [anon_sym_isa] = ACTIONS(2865),
    [anon_sym_PLUS_PLUS] = ACTIONS(2865),
    [anon_sym_DASH_DASH] = ACTIONS(2865),
    [anon_sym_QMARK] = ACTIONS(2865),
    [anon_sym_PERCENT2] = ACTIONS(2865),
    [anon_sym_EQ_GT] = ACTIONS(2865),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1910] = {
    [sym_heredoc_content] = STATE(1910),
    [anon_sym_COLON] = ACTIONS(2734),
    [anon_sym_DOLLAR] = ACTIONS(2734),
    [anon_sym_EQ] = ACTIONS(2738),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2734),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2734),
    [anon_sym_AT] = ACTIONS(2734),
    [anon_sym_COMMA] = ACTIONS(2734),
    [anon_sym_RPAREN] = ACTIONS(2734),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2734),
    [anon_sym_DASH_GT] = ACTIONS(2734),
    [anon_sym_PERCENT] = ACTIONS(2738),
    [anon_sym_GT] = ACTIONS(2738),
    [anon_sym_LT_LT] = ACTIONS(2738),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2734),
    [anon_sym_PLUS_EQ] = ACTIONS(2734),
    [anon_sym_DASH_EQ] = ACTIONS(2734),
    [anon_sym_DOT_EQ] = ACTIONS(2734),
    [anon_sym_STAR_EQ] = ACTIONS(2734),
    [anon_sym_SLASH_EQ] = ACTIONS(2734),
    [anon_sym_PERCENT_EQ] = ACTIONS(2738),
    [anon_sym_x_EQ] = ACTIONS(2734),
    [anon_sym_AMP_EQ] = ACTIONS(2734),
    [anon_sym_PIPE_EQ] = ACTIONS(2734),
    [anon_sym_CARET_EQ] = ACTIONS(2734),
    [anon_sym_LT_LT_EQ] = ACTIONS(2734),
    [anon_sym_GT_GT_EQ] = ACTIONS(2734),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2734),
    [anon_sym_DOT_DOT] = ACTIONS(2738),
    [anon_sym_STAR_STAR] = ACTIONS(2738),
    [anon_sym_PIPE_PIPE] = ACTIONS(2738),
    [anon_sym_SLASH_SLASH] = ACTIONS(2738),
    [anon_sym_CARET_CARET] = ACTIONS(2734),
    [anon_sym_AMP_AMP] = ACTIONS(2738),
    [anon_sym_PIPE] = ACTIONS(2738),
    [anon_sym_CARET] = ACTIONS(2738),
    [anon_sym_AMP] = ACTIONS(2738),
    [anon_sym_GT_GT2] = ACTIONS(2738),
    [anon_sym_PLUS] = ACTIONS(2738),
    [anon_sym_DASH] = ACTIONS(2738),
    [anon_sym_DOT] = ACTIONS(2738),
    [anon_sym_STAR] = ACTIONS(2738),
    [anon_sym_SLASH] = ACTIONS(2738),
    [anon_sym_x] = ACTIONS(2738),
    [anon_sym_EQ_TILDE] = ACTIONS(2734),
    [anon_sym_BANG_TILDE] = ACTIONS(2734),
    [anon_sym_EQ_EQ] = ACTIONS(2738),
    [anon_sym_BANG_EQ] = ACTIONS(2734),
    [anon_sym_eq] = ACTIONS(2738),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2734),
    [anon_sym_equ] = ACTIONS(2734),
    [anon_sym_eqr] = ACTIONS(2734),
    [anon_sym_ne] = ACTIONS(2734),
    [anon_sym_LT_EQ_GT] = ACTIONS(2734),
    [anon_sym_cmp] = ACTIONS(2734),
    [anon_sym_TILDE_TILDE] = ACTIONS(2734),
    [anon_sym_LT] = ACTIONS(2738),
    [anon_sym_LT_EQ] = ACTIONS(2738),
    [anon_sym_GT_EQ] = ACTIONS(2734),
    [anon_sym_lt] = ACTIONS(2734),
    [anon_sym_le] = ACTIONS(2734),
    [anon_sym_ge] = ACTIONS(2734),
    [anon_sym_gt] = ACTIONS(2734),
    [anon_sym_isa] = ACTIONS(2734),
    [anon_sym_PLUS_PLUS] = ACTIONS(2734),
    [anon_sym_DASH_DASH] = ACTIONS(2734),
    [anon_sym_QMARK] = ACTIONS(2734),
    [anon_sym_PERCENT2] = ACTIONS(2734),
    [anon_sym_EQ_GT] = ACTIONS(2734),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1911] = {
    [sym_heredoc_content] = STATE(1911),
    [anon_sym_COLON] = ACTIONS(2744),
    [anon_sym_DOLLAR] = ACTIONS(2744),
    [anon_sym_EQ] = ACTIONS(2748),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2744),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2744),
    [anon_sym_AT] = ACTIONS(2744),
    [anon_sym_COMMA] = ACTIONS(2744),
    [anon_sym_RPAREN] = ACTIONS(2744),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2744),
    [anon_sym_DASH_GT] = ACTIONS(2744),
    [anon_sym_PERCENT] = ACTIONS(2748),
    [anon_sym_GT] = ACTIONS(2748),
    [anon_sym_LT_LT] = ACTIONS(2748),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2744),
    [anon_sym_PLUS_EQ] = ACTIONS(2744),
    [anon_sym_DASH_EQ] = ACTIONS(2744),
    [anon_sym_DOT_EQ] = ACTIONS(2744),
    [anon_sym_STAR_EQ] = ACTIONS(2744),
    [anon_sym_SLASH_EQ] = ACTIONS(2744),
    [anon_sym_PERCENT_EQ] = ACTIONS(2748),
    [anon_sym_x_EQ] = ACTIONS(2744),
    [anon_sym_AMP_EQ] = ACTIONS(2744),
    [anon_sym_PIPE_EQ] = ACTIONS(2744),
    [anon_sym_CARET_EQ] = ACTIONS(2744),
    [anon_sym_LT_LT_EQ] = ACTIONS(2744),
    [anon_sym_GT_GT_EQ] = ACTIONS(2744),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2744),
    [anon_sym_DOT_DOT] = ACTIONS(2748),
    [anon_sym_STAR_STAR] = ACTIONS(2748),
    [anon_sym_PIPE_PIPE] = ACTIONS(2748),
    [anon_sym_SLASH_SLASH] = ACTIONS(2748),
    [anon_sym_CARET_CARET] = ACTIONS(2744),
    [anon_sym_AMP_AMP] = ACTIONS(2748),
    [anon_sym_PIPE] = ACTIONS(2748),
    [anon_sym_CARET] = ACTIONS(2748),
    [anon_sym_AMP] = ACTIONS(2748),
    [anon_sym_GT_GT2] = ACTIONS(2748),
    [anon_sym_PLUS] = ACTIONS(2748),
    [anon_sym_DASH] = ACTIONS(2748),
    [anon_sym_DOT] = ACTIONS(2748),
    [anon_sym_STAR] = ACTIONS(2748),
    [anon_sym_SLASH] = ACTIONS(2748),
    [anon_sym_x] = ACTIONS(2748),
    [anon_sym_EQ_TILDE] = ACTIONS(2744),
    [anon_sym_BANG_TILDE] = ACTIONS(2744),
    [anon_sym_EQ_EQ] = ACTIONS(2748),
    [anon_sym_BANG_EQ] = ACTIONS(2744),
    [anon_sym_eq] = ACTIONS(2748),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2744),
    [anon_sym_equ] = ACTIONS(2744),
    [anon_sym_eqr] = ACTIONS(2744),
    [anon_sym_ne] = ACTIONS(2744),
    [anon_sym_LT_EQ_GT] = ACTIONS(2744),
    [anon_sym_cmp] = ACTIONS(2744),
    [anon_sym_TILDE_TILDE] = ACTIONS(2744),
    [anon_sym_LT] = ACTIONS(2748),
    [anon_sym_LT_EQ] = ACTIONS(2748),
    [anon_sym_GT_EQ] = ACTIONS(2744),
    [anon_sym_lt] = ACTIONS(2744),
    [anon_sym_le] = ACTIONS(2744),
    [anon_sym_ge] = ACTIONS(2744),
    [anon_sym_gt] = ACTIONS(2744),
    [anon_sym_isa] = ACTIONS(2744),
    [anon_sym_PLUS_PLUS] = ACTIONS(2744),
    [anon_sym_DASH_DASH] = ACTIONS(2744),
    [anon_sym_QMARK] = ACTIONS(2744),
    [anon_sym_PERCENT2] = ACTIONS(2744),
    [anon_sym_EQ_GT] = ACTIONS(2744),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1912] = {
    [sym_heredoc_content] = STATE(1912),
    [anon_sym_COLON] = ACTIONS(1970),
    [anon_sym_DOLLAR] = ACTIONS(1970),
    [anon_sym_EQ] = ACTIONS(1966),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1970),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1970),
    [anon_sym_AT] = ACTIONS(1970),
    [anon_sym_COMMA] = ACTIONS(1970),
    [anon_sym_RPAREN] = ACTIONS(1970),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1970),
    [anon_sym_DASH_GT] = ACTIONS(1970),
    [anon_sym_PERCENT] = ACTIONS(1966),
    [anon_sym_GT] = ACTIONS(1966),
    [anon_sym_LT_LT] = ACTIONS(1966),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1970),
    [anon_sym_PLUS_EQ] = ACTIONS(1970),
    [anon_sym_DASH_EQ] = ACTIONS(1970),
    [anon_sym_DOT_EQ] = ACTIONS(1970),
    [anon_sym_STAR_EQ] = ACTIONS(1970),
    [anon_sym_SLASH_EQ] = ACTIONS(1970),
    [anon_sym_PERCENT_EQ] = ACTIONS(1966),
    [anon_sym_x_EQ] = ACTIONS(1970),
    [anon_sym_AMP_EQ] = ACTIONS(1970),
    [anon_sym_PIPE_EQ] = ACTIONS(1970),
    [anon_sym_CARET_EQ] = ACTIONS(1970),
    [anon_sym_LT_LT_EQ] = ACTIONS(1970),
    [anon_sym_GT_GT_EQ] = ACTIONS(1970),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1970),
    [anon_sym_DOT_DOT] = ACTIONS(1966),
    [anon_sym_STAR_STAR] = ACTIONS(1966),
    [anon_sym_PIPE_PIPE] = ACTIONS(1966),
    [anon_sym_SLASH_SLASH] = ACTIONS(1966),
    [anon_sym_CARET_CARET] = ACTIONS(1970),
    [anon_sym_AMP_AMP] = ACTIONS(1966),
    [anon_sym_PIPE] = ACTIONS(1966),
    [anon_sym_CARET] = ACTIONS(1966),
    [anon_sym_AMP] = ACTIONS(1966),
    [anon_sym_GT_GT2] = ACTIONS(1966),
    [anon_sym_PLUS] = ACTIONS(1966),
    [anon_sym_DASH] = ACTIONS(1966),
    [anon_sym_DOT] = ACTIONS(1966),
    [anon_sym_STAR] = ACTIONS(1966),
    [anon_sym_SLASH] = ACTIONS(1966),
    [anon_sym_x] = ACTIONS(1966),
    [anon_sym_EQ_TILDE] = ACTIONS(1970),
    [anon_sym_BANG_TILDE] = ACTIONS(1970),
    [anon_sym_EQ_EQ] = ACTIONS(1966),
    [anon_sym_BANG_EQ] = ACTIONS(1970),
    [anon_sym_eq] = ACTIONS(1966),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1970),
    [anon_sym_equ] = ACTIONS(1970),
    [anon_sym_eqr] = ACTIONS(1970),
    [anon_sym_ne] = ACTIONS(1970),
    [anon_sym_LT_EQ_GT] = ACTIONS(1970),
    [anon_sym_cmp] = ACTIONS(1970),
    [anon_sym_TILDE_TILDE] = ACTIONS(1970),
    [anon_sym_LT] = ACTIONS(1966),
    [anon_sym_LT_EQ] = ACTIONS(1966),
    [anon_sym_GT_EQ] = ACTIONS(1970),
    [anon_sym_lt] = ACTIONS(1970),
    [anon_sym_le] = ACTIONS(1970),
    [anon_sym_ge] = ACTIONS(1970),
    [anon_sym_gt] = ACTIONS(1970),
    [anon_sym_isa] = ACTIONS(1970),
    [anon_sym_PLUS_PLUS] = ACTIONS(1970),
    [anon_sym_DASH_DASH] = ACTIONS(1970),
    [anon_sym_QMARK] = ACTIONS(1970),
    [anon_sym_PERCENT2] = ACTIONS(1970),
    [anon_sym_EQ_GT] = ACTIONS(1970),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1913] = {
    [sym_heredoc_content] = STATE(1913),
    [anon_sym_COLON] = ACTIONS(1970),
    [anon_sym_DOLLAR] = ACTIONS(1970),
    [anon_sym_EQ] = ACTIONS(1966),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1970),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1970),
    [anon_sym_AT] = ACTIONS(1970),
    [anon_sym_COMMA] = ACTIONS(1970),
    [anon_sym_RPAREN] = ACTIONS(1970),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1970),
    [anon_sym_DASH_GT] = ACTIONS(1970),
    [anon_sym_PERCENT] = ACTIONS(1966),
    [anon_sym_GT] = ACTIONS(1966),
    [anon_sym_LT_LT] = ACTIONS(1966),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1970),
    [anon_sym_PLUS_EQ] = ACTIONS(1970),
    [anon_sym_DASH_EQ] = ACTIONS(1970),
    [anon_sym_DOT_EQ] = ACTIONS(1970),
    [anon_sym_STAR_EQ] = ACTIONS(1970),
    [anon_sym_SLASH_EQ] = ACTIONS(1970),
    [anon_sym_PERCENT_EQ] = ACTIONS(1966),
    [anon_sym_x_EQ] = ACTIONS(1970),
    [anon_sym_AMP_EQ] = ACTIONS(1970),
    [anon_sym_PIPE_EQ] = ACTIONS(1970),
    [anon_sym_CARET_EQ] = ACTIONS(1970),
    [anon_sym_LT_LT_EQ] = ACTIONS(1970),
    [anon_sym_GT_GT_EQ] = ACTIONS(1970),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1970),
    [anon_sym_DOT_DOT] = ACTIONS(1966),
    [anon_sym_STAR_STAR] = ACTIONS(1966),
    [anon_sym_PIPE_PIPE] = ACTIONS(1966),
    [anon_sym_SLASH_SLASH] = ACTIONS(1966),
    [anon_sym_CARET_CARET] = ACTIONS(1970),
    [anon_sym_AMP_AMP] = ACTIONS(1966),
    [anon_sym_PIPE] = ACTIONS(1966),
    [anon_sym_CARET] = ACTIONS(1966),
    [anon_sym_AMP] = ACTIONS(1966),
    [anon_sym_GT_GT2] = ACTIONS(1966),
    [anon_sym_PLUS] = ACTIONS(1966),
    [anon_sym_DASH] = ACTIONS(1966),
    [anon_sym_DOT] = ACTIONS(1966),
    [anon_sym_STAR] = ACTIONS(1966),
    [anon_sym_SLASH] = ACTIONS(1966),
    [anon_sym_x] = ACTIONS(1966),
    [anon_sym_EQ_TILDE] = ACTIONS(1970),
    [anon_sym_BANG_TILDE] = ACTIONS(1970),
    [anon_sym_EQ_EQ] = ACTIONS(1966),
    [anon_sym_BANG_EQ] = ACTIONS(1970),
    [anon_sym_eq] = ACTIONS(1966),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1970),
    [anon_sym_equ] = ACTIONS(1970),
    [anon_sym_eqr] = ACTIONS(1970),
    [anon_sym_ne] = ACTIONS(1970),
    [anon_sym_LT_EQ_GT] = ACTIONS(1970),
    [anon_sym_cmp] = ACTIONS(1970),
    [anon_sym_TILDE_TILDE] = ACTIONS(1970),
    [anon_sym_LT] = ACTIONS(1966),
    [anon_sym_LT_EQ] = ACTIONS(1966),
    [anon_sym_GT_EQ] = ACTIONS(1970),
    [anon_sym_lt] = ACTIONS(1970),
    [anon_sym_le] = ACTIONS(1970),
    [anon_sym_ge] = ACTIONS(1970),
    [anon_sym_gt] = ACTIONS(1970),
    [anon_sym_isa] = ACTIONS(1970),
    [anon_sym_PLUS_PLUS] = ACTIONS(1970),
    [anon_sym_DASH_DASH] = ACTIONS(1970),
    [anon_sym_QMARK] = ACTIONS(1970),
    [anon_sym_PERCENT2] = ACTIONS(1970),
    [anon_sym_EQ_GT] = ACTIONS(1970),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1914] = {
    [sym_heredoc_content] = STATE(1914),
    [anon_sym_COLON] = ACTIONS(3086),
    [anon_sym_DOLLAR] = ACTIONS(3086),
    [anon_sym_EQ] = ACTIONS(3088),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3086),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3086),
    [anon_sym_AT] = ACTIONS(3086),
    [anon_sym_COMMA] = ACTIONS(3086),
    [anon_sym_RPAREN] = ACTIONS(3086),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3086),
    [anon_sym_DASH_GT] = ACTIONS(3632),
    [anon_sym_PERCENT] = ACTIONS(3634),
    [anon_sym_GT] = ACTIONS(3088),
    [anon_sym_LT_LT] = ACTIONS(3638),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3086),
    [anon_sym_PLUS_EQ] = ACTIONS(3086),
    [anon_sym_DASH_EQ] = ACTIONS(3086),
    [anon_sym_DOT_EQ] = ACTIONS(3086),
    [anon_sym_STAR_EQ] = ACTIONS(3086),
    [anon_sym_SLASH_EQ] = ACTIONS(3086),
    [anon_sym_PERCENT_EQ] = ACTIONS(3088),
    [anon_sym_x_EQ] = ACTIONS(3086),
    [anon_sym_AMP_EQ] = ACTIONS(3086),
    [anon_sym_PIPE_EQ] = ACTIONS(3086),
    [anon_sym_CARET_EQ] = ACTIONS(3086),
    [anon_sym_LT_LT_EQ] = ACTIONS(3086),
    [anon_sym_GT_GT_EQ] = ACTIONS(3086),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3086),
    [anon_sym_DOT_DOT] = ACTIONS(3088),
    [anon_sym_STAR_STAR] = ACTIONS(3642),
    [anon_sym_PIPE_PIPE] = ACTIONS(3088),
    [anon_sym_SLASH_SLASH] = ACTIONS(3088),
    [anon_sym_CARET_CARET] = ACTIONS(3086),
    [anon_sym_AMP_AMP] = ACTIONS(3088),
    [anon_sym_PIPE] = ACTIONS(3088),
    [anon_sym_CARET] = ACTIONS(3088),
    [anon_sym_AMP] = ACTIONS(3088),
    [anon_sym_GT_GT2] = ACTIONS(3638),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_DASH] = ACTIONS(3654),
    [anon_sym_DOT] = ACTIONS(3654),
    [anon_sym_STAR] = ACTIONS(3634),
    [anon_sym_SLASH] = ACTIONS(3634),
    [anon_sym_x] = ACTIONS(3634),
    [anon_sym_EQ_TILDE] = ACTIONS(3656),
    [anon_sym_BANG_TILDE] = ACTIONS(3656),
    [anon_sym_EQ_EQ] = ACTIONS(3088),
    [anon_sym_BANG_EQ] = ACTIONS(3086),
    [anon_sym_eq] = ACTIONS(3088),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3086),
    [anon_sym_equ] = ACTIONS(3086),
    [anon_sym_eqr] = ACTIONS(3086),
    [anon_sym_ne] = ACTIONS(3086),
    [anon_sym_LT_EQ_GT] = ACTIONS(3086),
    [anon_sym_cmp] = ACTIONS(3086),
    [anon_sym_TILDE_TILDE] = ACTIONS(3086),
    [anon_sym_LT] = ACTIONS(3088),
    [anon_sym_LT_EQ] = ACTIONS(3088),
    [anon_sym_GT_EQ] = ACTIONS(3086),
    [anon_sym_lt] = ACTIONS(3086),
    [anon_sym_le] = ACTIONS(3086),
    [anon_sym_ge] = ACTIONS(3086),
    [anon_sym_gt] = ACTIONS(3086),
    [anon_sym_isa] = ACTIONS(3086),
    [anon_sym_PLUS_PLUS] = ACTIONS(3668),
    [anon_sym_DASH_DASH] = ACTIONS(3668),
    [anon_sym_QMARK] = ACTIONS(3086),
    [anon_sym_PERCENT2] = ACTIONS(3086),
    [anon_sym_EQ_GT] = ACTIONS(3086),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1915] = {
    [sym_heredoc_content] = STATE(1915),
    [anon_sym_LBRACE] = ACTIONS(3674),
    [anon_sym_SEMI] = ACTIONS(1849),
    [anon_sym_EQ] = ACTIONS(1840),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1849),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1849),
    [anon_sym_COMMA] = ACTIONS(1849),
    [anon_sym_LPAREN] = ACTIONS(3676),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1849),
    [anon_sym_LBRACK] = ACTIONS(3678),
    [anon_sym_DASH_GT] = ACTIONS(1849),
    [anon_sym_PERCENT] = ACTIONS(1840),
    [anon_sym_GT] = ACTIONS(1840),
    [anon_sym_LT_LT] = ACTIONS(1840),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1849),
    [anon_sym_PLUS_EQ] = ACTIONS(1849),
    [anon_sym_DASH_EQ] = ACTIONS(1849),
    [anon_sym_DOT_EQ] = ACTIONS(1849),
    [anon_sym_STAR_EQ] = ACTIONS(1849),
    [anon_sym_SLASH_EQ] = ACTIONS(1849),
    [anon_sym_PERCENT_EQ] = ACTIONS(1849),
    [anon_sym_x_EQ] = ACTIONS(1849),
    [anon_sym_AMP_EQ] = ACTIONS(1849),
    [anon_sym_PIPE_EQ] = ACTIONS(1849),
    [anon_sym_CARET_EQ] = ACTIONS(1849),
    [anon_sym_LT_LT_EQ] = ACTIONS(1849),
    [anon_sym_GT_GT_EQ] = ACTIONS(1849),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1849),
    [anon_sym_DOT_DOT] = ACTIONS(1840),
    [anon_sym_STAR_STAR] = ACTIONS(1840),
    [anon_sym_PIPE_PIPE] = ACTIONS(1840),
    [anon_sym_SLASH_SLASH] = ACTIONS(1840),
    [anon_sym_CARET_CARET] = ACTIONS(1849),
    [anon_sym_AMP_AMP] = ACTIONS(1840),
    [anon_sym_PIPE] = ACTIONS(1840),
    [anon_sym_CARET] = ACTIONS(1840),
    [anon_sym_AMP] = ACTIONS(1840),
    [anon_sym_GT_GT2] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_DOT] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1840),
    [anon_sym_SLASH] = ACTIONS(1840),
    [anon_sym_x] = ACTIONS(1840),
    [anon_sym_EQ_TILDE] = ACTIONS(1849),
    [anon_sym_BANG_TILDE] = ACTIONS(1849),
    [anon_sym_EQ_EQ] = ACTIONS(1840),
    [anon_sym_BANG_EQ] = ACTIONS(1849),
    [anon_sym_eq] = ACTIONS(1840),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1849),
    [anon_sym_equ] = ACTIONS(1849),
    [anon_sym_eqr] = ACTIONS(1849),
    [anon_sym_ne] = ACTIONS(1849),
    [anon_sym_LT_EQ_GT] = ACTIONS(1849),
    [anon_sym_cmp] = ACTIONS(1849),
    [anon_sym_TILDE_TILDE] = ACTIONS(1849),
    [anon_sym_LT] = ACTIONS(1840),
    [anon_sym_LT_EQ] = ACTIONS(1840),
    [anon_sym_GT_EQ] = ACTIONS(1849),
    [anon_sym_lt] = ACTIONS(1849),
    [anon_sym_le] = ACTIONS(1849),
    [anon_sym_ge] = ACTIONS(1849),
    [anon_sym_gt] = ACTIONS(1849),
    [anon_sym_isa] = ACTIONS(1849),
    [anon_sym_PLUS_PLUS] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1849),
    [anon_sym_QMARK] = ACTIONS(1849),
    [anon_sym_EQ_GT] = ACTIONS(1849),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(1849),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1916] = {
    [sym_heredoc_content] = STATE(1916),
    [anon_sym_LBRACE] = ACTIONS(2462),
    [anon_sym_SEMI] = ACTIONS(2462),
    [anon_sym_EQ] = ACTIONS(2464),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2462),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2462),
    [anon_sym_COMMA] = ACTIONS(2462),
    [anon_sym_LPAREN] = ACTIONS(2462),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2462),
    [anon_sym_LBRACK] = ACTIONS(2462),
    [anon_sym_DASH_GT] = ACTIONS(2462),
    [anon_sym_PERCENT] = ACTIONS(2464),
    [anon_sym_GT] = ACTIONS(2464),
    [anon_sym_LT_LT] = ACTIONS(2464),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2462),
    [anon_sym_PLUS_EQ] = ACTIONS(2462),
    [anon_sym_DASH_EQ] = ACTIONS(2462),
    [anon_sym_DOT_EQ] = ACTIONS(2462),
    [anon_sym_STAR_EQ] = ACTIONS(2462),
    [anon_sym_SLASH_EQ] = ACTIONS(2462),
    [anon_sym_PERCENT_EQ] = ACTIONS(2462),
    [anon_sym_x_EQ] = ACTIONS(2462),
    [anon_sym_AMP_EQ] = ACTIONS(2462),
    [anon_sym_PIPE_EQ] = ACTIONS(2462),
    [anon_sym_CARET_EQ] = ACTIONS(2462),
    [anon_sym_LT_LT_EQ] = ACTIONS(2462),
    [anon_sym_GT_GT_EQ] = ACTIONS(2462),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2462),
    [anon_sym_DOT_DOT] = ACTIONS(2464),
    [anon_sym_STAR_STAR] = ACTIONS(2464),
    [anon_sym_PIPE_PIPE] = ACTIONS(2464),
    [anon_sym_SLASH_SLASH] = ACTIONS(2464),
    [anon_sym_CARET_CARET] = ACTIONS(2462),
    [anon_sym_AMP_AMP] = ACTIONS(2464),
    [anon_sym_PIPE] = ACTIONS(2464),
    [anon_sym_CARET] = ACTIONS(2464),
    [anon_sym_AMP] = ACTIONS(2464),
    [anon_sym_GT_GT2] = ACTIONS(2464),
    [anon_sym_PLUS] = ACTIONS(2464),
    [anon_sym_DASH] = ACTIONS(2464),
    [anon_sym_DOT] = ACTIONS(2464),
    [anon_sym_STAR] = ACTIONS(2464),
    [anon_sym_SLASH] = ACTIONS(2464),
    [anon_sym_x] = ACTIONS(2464),
    [anon_sym_EQ_TILDE] = ACTIONS(2462),
    [anon_sym_BANG_TILDE] = ACTIONS(2462),
    [anon_sym_EQ_EQ] = ACTIONS(2464),
    [anon_sym_BANG_EQ] = ACTIONS(2462),
    [anon_sym_eq] = ACTIONS(2464),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2462),
    [anon_sym_equ] = ACTIONS(2462),
    [anon_sym_eqr] = ACTIONS(2462),
    [anon_sym_ne] = ACTIONS(2462),
    [anon_sym_LT_EQ_GT] = ACTIONS(2462),
    [anon_sym_cmp] = ACTIONS(2462),
    [anon_sym_TILDE_TILDE] = ACTIONS(2462),
    [anon_sym_LT] = ACTIONS(2464),
    [anon_sym_LT_EQ] = ACTIONS(2464),
    [anon_sym_GT_EQ] = ACTIONS(2462),
    [anon_sym_lt] = ACTIONS(2462),
    [anon_sym_le] = ACTIONS(2462),
    [anon_sym_ge] = ACTIONS(2462),
    [anon_sym_gt] = ACTIONS(2462),
    [anon_sym_isa] = ACTIONS(2462),
    [anon_sym_PLUS_PLUS] = ACTIONS(2462),
    [anon_sym_DASH_DASH] = ACTIONS(2462),
    [anon_sym_QMARK] = ACTIONS(2462),
    [anon_sym_EQ_GT] = ACTIONS(2462),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2462),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1917] = {
    [sym_heredoc_content] = STATE(1917),
    [anon_sym_COLON] = ACTIONS(3015),
    [anon_sym_DOLLAR] = ACTIONS(3015),
    [anon_sym_EQ] = ACTIONS(3626),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3628),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3628),
    [anon_sym_AT] = ACTIONS(3015),
    [anon_sym_COMMA] = ACTIONS(3015),
    [anon_sym_RPAREN] = ACTIONS(3015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3630),
    [anon_sym_DASH_GT] = ACTIONS(3632),
    [anon_sym_PERCENT] = ACTIONS(3634),
    [anon_sym_GT] = ACTIONS(3636),
    [anon_sym_LT_LT] = ACTIONS(3638),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3628),
    [anon_sym_PLUS_EQ] = ACTIONS(3628),
    [anon_sym_DASH_EQ] = ACTIONS(3628),
    [anon_sym_DOT_EQ] = ACTIONS(3628),
    [anon_sym_STAR_EQ] = ACTIONS(3628),
    [anon_sym_SLASH_EQ] = ACTIONS(3628),
    [anon_sym_PERCENT_EQ] = ACTIONS(3626),
    [anon_sym_x_EQ] = ACTIONS(3628),
    [anon_sym_AMP_EQ] = ACTIONS(3628),
    [anon_sym_PIPE_EQ] = ACTIONS(3628),
    [anon_sym_CARET_EQ] = ACTIONS(3628),
    [anon_sym_LT_LT_EQ] = ACTIONS(3628),
    [anon_sym_GT_GT_EQ] = ACTIONS(3628),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3628),
    [anon_sym_DOT_DOT] = ACTIONS(3640),
    [anon_sym_STAR_STAR] = ACTIONS(3642),
    [anon_sym_PIPE_PIPE] = ACTIONS(3644),
    [anon_sym_SLASH_SLASH] = ACTIONS(3644),
    [anon_sym_CARET_CARET] = ACTIONS(3646),
    [anon_sym_AMP_AMP] = ACTIONS(3648),
    [anon_sym_PIPE] = ACTIONS(3650),
    [anon_sym_CARET] = ACTIONS(3650),
    [anon_sym_AMP] = ACTIONS(3652),
    [anon_sym_GT_GT2] = ACTIONS(3638),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_DASH] = ACTIONS(3654),
    [anon_sym_DOT] = ACTIONS(3654),
    [anon_sym_STAR] = ACTIONS(3634),
    [anon_sym_SLASH] = ACTIONS(3634),
    [anon_sym_x] = ACTIONS(3634),
    [anon_sym_EQ_TILDE] = ACTIONS(3656),
    [anon_sym_BANG_TILDE] = ACTIONS(3656),
    [anon_sym_EQ_EQ] = ACTIONS(3658),
    [anon_sym_BANG_EQ] = ACTIONS(3660),
    [anon_sym_eq] = ACTIONS(3658),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3660),
    [anon_sym_equ] = ACTIONS(3660),
    [anon_sym_eqr] = ACTIONS(3660),
    [anon_sym_ne] = ACTIONS(3660),
    [anon_sym_LT_EQ_GT] = ACTIONS(3662),
    [anon_sym_cmp] = ACTIONS(3662),
    [anon_sym_TILDE_TILDE] = ACTIONS(3662),
    [anon_sym_LT] = ACTIONS(3636),
    [anon_sym_LT_EQ] = ACTIONS(3636),
    [anon_sym_GT_EQ] = ACTIONS(3664),
    [anon_sym_lt] = ACTIONS(3664),
    [anon_sym_le] = ACTIONS(3664),
    [anon_sym_ge] = ACTIONS(3664),
    [anon_sym_gt] = ACTIONS(3664),
    [anon_sym_isa] = ACTIONS(3666),
    [anon_sym_PLUS_PLUS] = ACTIONS(3668),
    [anon_sym_DASH_DASH] = ACTIONS(3668),
    [anon_sym_QMARK] = ACTIONS(3670),
    [anon_sym_PERCENT2] = ACTIONS(3015),
    [anon_sym_EQ_GT] = ACTIONS(3015),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1918] = {
    [sym_heredoc_content] = STATE(1918),
    [anon_sym_COLON] = ACTIONS(2774),
    [anon_sym_DOLLAR] = ACTIONS(2774),
    [anon_sym_EQ] = ACTIONS(3626),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3628),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3628),
    [anon_sym_AT] = ACTIONS(2774),
    [anon_sym_COMMA] = ACTIONS(2774),
    [anon_sym_RPAREN] = ACTIONS(2774),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3630),
    [anon_sym_DASH_GT] = ACTIONS(3632),
    [anon_sym_PERCENT] = ACTIONS(3634),
    [anon_sym_GT] = ACTIONS(3636),
    [anon_sym_LT_LT] = ACTIONS(3638),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3628),
    [anon_sym_PLUS_EQ] = ACTIONS(3628),
    [anon_sym_DASH_EQ] = ACTIONS(3628),
    [anon_sym_DOT_EQ] = ACTIONS(3628),
    [anon_sym_STAR_EQ] = ACTIONS(3628),
    [anon_sym_SLASH_EQ] = ACTIONS(3628),
    [anon_sym_PERCENT_EQ] = ACTIONS(3626),
    [anon_sym_x_EQ] = ACTIONS(3628),
    [anon_sym_AMP_EQ] = ACTIONS(3628),
    [anon_sym_PIPE_EQ] = ACTIONS(3628),
    [anon_sym_CARET_EQ] = ACTIONS(3628),
    [anon_sym_LT_LT_EQ] = ACTIONS(3628),
    [anon_sym_GT_GT_EQ] = ACTIONS(3628),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3628),
    [anon_sym_DOT_DOT] = ACTIONS(3640),
    [anon_sym_STAR_STAR] = ACTIONS(3642),
    [anon_sym_PIPE_PIPE] = ACTIONS(3644),
    [anon_sym_SLASH_SLASH] = ACTIONS(3644),
    [anon_sym_CARET_CARET] = ACTIONS(3646),
    [anon_sym_AMP_AMP] = ACTIONS(3648),
    [anon_sym_PIPE] = ACTIONS(3650),
    [anon_sym_CARET] = ACTIONS(3650),
    [anon_sym_AMP] = ACTIONS(3652),
    [anon_sym_GT_GT2] = ACTIONS(3638),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_DASH] = ACTIONS(3654),
    [anon_sym_DOT] = ACTIONS(3654),
    [anon_sym_STAR] = ACTIONS(3634),
    [anon_sym_SLASH] = ACTIONS(3634),
    [anon_sym_x] = ACTIONS(3634),
    [anon_sym_EQ_TILDE] = ACTIONS(3656),
    [anon_sym_BANG_TILDE] = ACTIONS(3656),
    [anon_sym_EQ_EQ] = ACTIONS(3658),
    [anon_sym_BANG_EQ] = ACTIONS(3660),
    [anon_sym_eq] = ACTIONS(3658),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3660),
    [anon_sym_equ] = ACTIONS(3660),
    [anon_sym_eqr] = ACTIONS(3660),
    [anon_sym_ne] = ACTIONS(3660),
    [anon_sym_LT_EQ_GT] = ACTIONS(3662),
    [anon_sym_cmp] = ACTIONS(3662),
    [anon_sym_TILDE_TILDE] = ACTIONS(3662),
    [anon_sym_LT] = ACTIONS(3636),
    [anon_sym_LT_EQ] = ACTIONS(3636),
    [anon_sym_GT_EQ] = ACTIONS(3664),
    [anon_sym_lt] = ACTIONS(3664),
    [anon_sym_le] = ACTIONS(3664),
    [anon_sym_ge] = ACTIONS(3664),
    [anon_sym_gt] = ACTIONS(3664),
    [anon_sym_isa] = ACTIONS(3666),
    [anon_sym_PLUS_PLUS] = ACTIONS(3668),
    [anon_sym_DASH_DASH] = ACTIONS(3668),
    [anon_sym_QMARK] = ACTIONS(3670),
    [anon_sym_PERCENT2] = ACTIONS(2774),
    [anon_sym_EQ_GT] = ACTIONS(2774),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1919] = {
    [sym_heredoc_content] = STATE(1919),
    [anon_sym_COLON] = ACTIONS(3019),
    [anon_sym_DOLLAR] = ACTIONS(3019),
    [anon_sym_EQ] = ACTIONS(3021),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_AT] = ACTIONS(3019),
    [anon_sym_COMMA] = ACTIONS(3019),
    [anon_sym_RPAREN] = ACTIONS(3019),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3680),
    [anon_sym_DASH_GT] = ACTIONS(3632),
    [anon_sym_PERCENT] = ACTIONS(3634),
    [anon_sym_GT] = ACTIONS(3636),
    [anon_sym_LT_LT] = ACTIONS(3638),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3019),
    [anon_sym_PLUS_EQ] = ACTIONS(3019),
    [anon_sym_DASH_EQ] = ACTIONS(3019),
    [anon_sym_DOT_EQ] = ACTIONS(3019),
    [anon_sym_STAR_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_PERCENT_EQ] = ACTIONS(3021),
    [anon_sym_x_EQ] = ACTIONS(3019),
    [anon_sym_AMP_EQ] = ACTIONS(3019),
    [anon_sym_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_CARET_EQ] = ACTIONS(3019),
    [anon_sym_LT_LT_EQ] = ACTIONS(3019),
    [anon_sym_GT_GT_EQ] = ACTIONS(3019),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3019),
    [anon_sym_DOT_DOT] = ACTIONS(3682),
    [anon_sym_STAR_STAR] = ACTIONS(3642),
    [anon_sym_PIPE_PIPE] = ACTIONS(3644),
    [anon_sym_SLASH_SLASH] = ACTIONS(3644),
    [anon_sym_CARET_CARET] = ACTIONS(3646),
    [anon_sym_AMP_AMP] = ACTIONS(3648),
    [anon_sym_PIPE] = ACTIONS(3650),
    [anon_sym_CARET] = ACTIONS(3650),
    [anon_sym_AMP] = ACTIONS(3652),
    [anon_sym_GT_GT2] = ACTIONS(3638),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_DASH] = ACTIONS(3654),
    [anon_sym_DOT] = ACTIONS(3654),
    [anon_sym_STAR] = ACTIONS(3634),
    [anon_sym_SLASH] = ACTIONS(3634),
    [anon_sym_x] = ACTIONS(3634),
    [anon_sym_EQ_TILDE] = ACTIONS(3656),
    [anon_sym_BANG_TILDE] = ACTIONS(3656),
    [anon_sym_EQ_EQ] = ACTIONS(3658),
    [anon_sym_BANG_EQ] = ACTIONS(3660),
    [anon_sym_eq] = ACTIONS(3658),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3660),
    [anon_sym_equ] = ACTIONS(3660),
    [anon_sym_eqr] = ACTIONS(3660),
    [anon_sym_ne] = ACTIONS(3660),
    [anon_sym_LT_EQ_GT] = ACTIONS(3662),
    [anon_sym_cmp] = ACTIONS(3662),
    [anon_sym_TILDE_TILDE] = ACTIONS(3662),
    [anon_sym_LT] = ACTIONS(3636),
    [anon_sym_LT_EQ] = ACTIONS(3636),
    [anon_sym_GT_EQ] = ACTIONS(3664),
    [anon_sym_lt] = ACTIONS(3664),
    [anon_sym_le] = ACTIONS(3664),
    [anon_sym_ge] = ACTIONS(3664),
    [anon_sym_gt] = ACTIONS(3664),
    [anon_sym_isa] = ACTIONS(3666),
    [anon_sym_PLUS_PLUS] = ACTIONS(3668),
    [anon_sym_DASH_DASH] = ACTIONS(3668),
    [anon_sym_QMARK] = ACTIONS(3019),
    [anon_sym_PERCENT2] = ACTIONS(3019),
    [anon_sym_EQ_GT] = ACTIONS(3019),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1920] = {
    [sym_heredoc_content] = STATE(1920),
    [anon_sym_COLON] = ACTIONS(3019),
    [anon_sym_DOLLAR] = ACTIONS(3019),
    [anon_sym_EQ] = ACTIONS(3021),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_AT] = ACTIONS(3019),
    [anon_sym_COMMA] = ACTIONS(3019),
    [anon_sym_RPAREN] = ACTIONS(3019),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3019),
    [anon_sym_DASH_GT] = ACTIONS(3632),
    [anon_sym_PERCENT] = ACTIONS(3021),
    [anon_sym_GT] = ACTIONS(3021),
    [anon_sym_LT_LT] = ACTIONS(3021),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3019),
    [anon_sym_PLUS_EQ] = ACTIONS(3019),
    [anon_sym_DASH_EQ] = ACTIONS(3019),
    [anon_sym_DOT_EQ] = ACTIONS(3019),
    [anon_sym_STAR_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_PERCENT_EQ] = ACTIONS(3021),
    [anon_sym_x_EQ] = ACTIONS(3019),
    [anon_sym_AMP_EQ] = ACTIONS(3019),
    [anon_sym_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_CARET_EQ] = ACTIONS(3019),
    [anon_sym_LT_LT_EQ] = ACTIONS(3019),
    [anon_sym_GT_GT_EQ] = ACTIONS(3019),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3019),
    [anon_sym_DOT_DOT] = ACTIONS(3021),
    [anon_sym_STAR_STAR] = ACTIONS(3642),
    [anon_sym_PIPE_PIPE] = ACTIONS(3021),
    [anon_sym_SLASH_SLASH] = ACTIONS(3021),
    [anon_sym_CARET_CARET] = ACTIONS(3019),
    [anon_sym_AMP_AMP] = ACTIONS(3021),
    [anon_sym_PIPE] = ACTIONS(3021),
    [anon_sym_CARET] = ACTIONS(3021),
    [anon_sym_AMP] = ACTIONS(3021),
    [anon_sym_GT_GT2] = ACTIONS(3021),
    [anon_sym_PLUS] = ACTIONS(3021),
    [anon_sym_DASH] = ACTIONS(3021),
    [anon_sym_DOT] = ACTIONS(3021),
    [anon_sym_STAR] = ACTIONS(3021),
    [anon_sym_SLASH] = ACTIONS(3021),
    [anon_sym_x] = ACTIONS(3021),
    [anon_sym_EQ_TILDE] = ACTIONS(3656),
    [anon_sym_BANG_TILDE] = ACTIONS(3656),
    [anon_sym_EQ_EQ] = ACTIONS(3021),
    [anon_sym_BANG_EQ] = ACTIONS(3019),
    [anon_sym_eq] = ACTIONS(3021),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3019),
    [anon_sym_equ] = ACTIONS(3019),
    [anon_sym_eqr] = ACTIONS(3019),
    [anon_sym_ne] = ACTIONS(3019),
    [anon_sym_LT_EQ_GT] = ACTIONS(3019),
    [anon_sym_cmp] = ACTIONS(3019),
    [anon_sym_TILDE_TILDE] = ACTIONS(3019),
    [anon_sym_LT] = ACTIONS(3021),
    [anon_sym_LT_EQ] = ACTIONS(3021),
    [anon_sym_GT_EQ] = ACTIONS(3019),
    [anon_sym_lt] = ACTIONS(3019),
    [anon_sym_le] = ACTIONS(3019),
    [anon_sym_ge] = ACTIONS(3019),
    [anon_sym_gt] = ACTIONS(3019),
    [anon_sym_isa] = ACTIONS(3019),
    [anon_sym_PLUS_PLUS] = ACTIONS(3668),
    [anon_sym_DASH_DASH] = ACTIONS(3668),
    [anon_sym_QMARK] = ACTIONS(3019),
    [anon_sym_PERCENT2] = ACTIONS(3019),
    [anon_sym_EQ_GT] = ACTIONS(3019),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1921] = {
    [sym_heredoc_content] = STATE(1921),
    [anon_sym_COLON] = ACTIONS(3027),
    [anon_sym_DOLLAR] = ACTIONS(3027),
    [anon_sym_EQ] = ACTIONS(3029),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3027),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3027),
    [anon_sym_AT] = ACTIONS(3027),
    [anon_sym_COMMA] = ACTIONS(3027),
    [anon_sym_RPAREN] = ACTIONS(3027),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3027),
    [anon_sym_DASH_GT] = ACTIONS(3632),
    [anon_sym_PERCENT] = ACTIONS(3634),
    [anon_sym_GT] = ACTIONS(3029),
    [anon_sym_LT_LT] = ACTIONS(3638),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3027),
    [anon_sym_PLUS_EQ] = ACTIONS(3027),
    [anon_sym_DASH_EQ] = ACTIONS(3027),
    [anon_sym_DOT_EQ] = ACTIONS(3027),
    [anon_sym_STAR_EQ] = ACTIONS(3027),
    [anon_sym_SLASH_EQ] = ACTIONS(3027),
    [anon_sym_PERCENT_EQ] = ACTIONS(3029),
    [anon_sym_x_EQ] = ACTIONS(3027),
    [anon_sym_AMP_EQ] = ACTIONS(3027),
    [anon_sym_PIPE_EQ] = ACTIONS(3027),
    [anon_sym_CARET_EQ] = ACTIONS(3027),
    [anon_sym_LT_LT_EQ] = ACTIONS(3027),
    [anon_sym_GT_GT_EQ] = ACTIONS(3027),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3027),
    [anon_sym_DOT_DOT] = ACTIONS(3029),
    [anon_sym_STAR_STAR] = ACTIONS(3642),
    [anon_sym_PIPE_PIPE] = ACTIONS(3029),
    [anon_sym_SLASH_SLASH] = ACTIONS(3029),
    [anon_sym_CARET_CARET] = ACTIONS(3027),
    [anon_sym_AMP_AMP] = ACTIONS(3029),
    [anon_sym_PIPE] = ACTIONS(3029),
    [anon_sym_CARET] = ACTIONS(3029),
    [anon_sym_AMP] = ACTIONS(3029),
    [anon_sym_GT_GT2] = ACTIONS(3638),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_DASH] = ACTIONS(3654),
    [anon_sym_DOT] = ACTIONS(3654),
    [anon_sym_STAR] = ACTIONS(3634),
    [anon_sym_SLASH] = ACTIONS(3634),
    [anon_sym_x] = ACTIONS(3634),
    [anon_sym_EQ_TILDE] = ACTIONS(3656),
    [anon_sym_BANG_TILDE] = ACTIONS(3656),
    [anon_sym_EQ_EQ] = ACTIONS(3029),
    [anon_sym_BANG_EQ] = ACTIONS(3027),
    [anon_sym_eq] = ACTIONS(3029),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3027),
    [anon_sym_equ] = ACTIONS(3027),
    [anon_sym_eqr] = ACTIONS(3027),
    [anon_sym_ne] = ACTIONS(3027),
    [anon_sym_LT_EQ_GT] = ACTIONS(3027),
    [anon_sym_cmp] = ACTIONS(3027),
    [anon_sym_TILDE_TILDE] = ACTIONS(3027),
    [anon_sym_LT] = ACTIONS(3029),
    [anon_sym_LT_EQ] = ACTIONS(3029),
    [anon_sym_GT_EQ] = ACTIONS(3027),
    [anon_sym_lt] = ACTIONS(3027),
    [anon_sym_le] = ACTIONS(3027),
    [anon_sym_ge] = ACTIONS(3027),
    [anon_sym_gt] = ACTIONS(3027),
    [anon_sym_isa] = ACTIONS(3027),
    [anon_sym_PLUS_PLUS] = ACTIONS(3668),
    [anon_sym_DASH_DASH] = ACTIONS(3668),
    [anon_sym_QMARK] = ACTIONS(3027),
    [anon_sym_PERCENT2] = ACTIONS(3027),
    [anon_sym_EQ_GT] = ACTIONS(3027),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1922] = {
    [sym_heredoc_content] = STATE(1922),
    [anon_sym_COLON] = ACTIONS(3019),
    [anon_sym_DOLLAR] = ACTIONS(3019),
    [anon_sym_EQ] = ACTIONS(3021),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_AT] = ACTIONS(3019),
    [anon_sym_COMMA] = ACTIONS(3019),
    [anon_sym_RPAREN] = ACTIONS(3019),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3019),
    [anon_sym_DASH_GT] = ACTIONS(3632),
    [anon_sym_PERCENT] = ACTIONS(3634),
    [anon_sym_GT] = ACTIONS(3021),
    [anon_sym_LT_LT] = ACTIONS(3021),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3019),
    [anon_sym_PLUS_EQ] = ACTIONS(3019),
    [anon_sym_DASH_EQ] = ACTIONS(3019),
    [anon_sym_DOT_EQ] = ACTIONS(3019),
    [anon_sym_STAR_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_PERCENT_EQ] = ACTIONS(3021),
    [anon_sym_x_EQ] = ACTIONS(3019),
    [anon_sym_AMP_EQ] = ACTIONS(3019),
    [anon_sym_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_CARET_EQ] = ACTIONS(3019),
    [anon_sym_LT_LT_EQ] = ACTIONS(3019),
    [anon_sym_GT_GT_EQ] = ACTIONS(3019),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3019),
    [anon_sym_DOT_DOT] = ACTIONS(3021),
    [anon_sym_STAR_STAR] = ACTIONS(3642),
    [anon_sym_PIPE_PIPE] = ACTIONS(3021),
    [anon_sym_SLASH_SLASH] = ACTIONS(3021),
    [anon_sym_CARET_CARET] = ACTIONS(3019),
    [anon_sym_AMP_AMP] = ACTIONS(3021),
    [anon_sym_PIPE] = ACTIONS(3021),
    [anon_sym_CARET] = ACTIONS(3021),
    [anon_sym_AMP] = ACTIONS(3021),
    [anon_sym_GT_GT2] = ACTIONS(3021),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_DASH] = ACTIONS(3654),
    [anon_sym_DOT] = ACTIONS(3654),
    [anon_sym_STAR] = ACTIONS(3634),
    [anon_sym_SLASH] = ACTIONS(3634),
    [anon_sym_x] = ACTIONS(3634),
    [anon_sym_EQ_TILDE] = ACTIONS(3656),
    [anon_sym_BANG_TILDE] = ACTIONS(3656),
    [anon_sym_EQ_EQ] = ACTIONS(3021),
    [anon_sym_BANG_EQ] = ACTIONS(3019),
    [anon_sym_eq] = ACTIONS(3021),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3019),
    [anon_sym_equ] = ACTIONS(3019),
    [anon_sym_eqr] = ACTIONS(3019),
    [anon_sym_ne] = ACTIONS(3019),
    [anon_sym_LT_EQ_GT] = ACTIONS(3019),
    [anon_sym_cmp] = ACTIONS(3019),
    [anon_sym_TILDE_TILDE] = ACTIONS(3019),
    [anon_sym_LT] = ACTIONS(3021),
    [anon_sym_LT_EQ] = ACTIONS(3021),
    [anon_sym_GT_EQ] = ACTIONS(3019),
    [anon_sym_lt] = ACTIONS(3019),
    [anon_sym_le] = ACTIONS(3019),
    [anon_sym_ge] = ACTIONS(3019),
    [anon_sym_gt] = ACTIONS(3019),
    [anon_sym_isa] = ACTIONS(3019),
    [anon_sym_PLUS_PLUS] = ACTIONS(3668),
    [anon_sym_DASH_DASH] = ACTIONS(3668),
    [anon_sym_QMARK] = ACTIONS(3019),
    [anon_sym_PERCENT2] = ACTIONS(3019),
    [anon_sym_EQ_GT] = ACTIONS(3019),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1923] = {
    [sym_heredoc_content] = STATE(1923),
    [anon_sym_COLON] = ACTIONS(3019),
    [anon_sym_DOLLAR] = ACTIONS(3019),
    [anon_sym_EQ] = ACTIONS(3021),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_AT] = ACTIONS(3019),
    [anon_sym_COMMA] = ACTIONS(3019),
    [anon_sym_RPAREN] = ACTIONS(3019),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3019),
    [anon_sym_DASH_GT] = ACTIONS(3632),
    [anon_sym_PERCENT] = ACTIONS(3021),
    [anon_sym_GT] = ACTIONS(3021),
    [anon_sym_LT_LT] = ACTIONS(3021),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3019),
    [anon_sym_PLUS_EQ] = ACTIONS(3019),
    [anon_sym_DASH_EQ] = ACTIONS(3019),
    [anon_sym_DOT_EQ] = ACTIONS(3019),
    [anon_sym_STAR_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_PERCENT_EQ] = ACTIONS(3021),
    [anon_sym_x_EQ] = ACTIONS(3019),
    [anon_sym_AMP_EQ] = ACTIONS(3019),
    [anon_sym_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_CARET_EQ] = ACTIONS(3019),
    [anon_sym_LT_LT_EQ] = ACTIONS(3019),
    [anon_sym_GT_GT_EQ] = ACTIONS(3019),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3019),
    [anon_sym_DOT_DOT] = ACTIONS(3021),
    [anon_sym_STAR_STAR] = ACTIONS(3642),
    [anon_sym_PIPE_PIPE] = ACTIONS(3021),
    [anon_sym_SLASH_SLASH] = ACTIONS(3021),
    [anon_sym_CARET_CARET] = ACTIONS(3019),
    [anon_sym_AMP_AMP] = ACTIONS(3021),
    [anon_sym_PIPE] = ACTIONS(3021),
    [anon_sym_CARET] = ACTIONS(3021),
    [anon_sym_AMP] = ACTIONS(3021),
    [anon_sym_GT_GT2] = ACTIONS(3021),
    [anon_sym_PLUS] = ACTIONS(3021),
    [anon_sym_DASH] = ACTIONS(3021),
    [anon_sym_DOT] = ACTIONS(3021),
    [anon_sym_STAR] = ACTIONS(3021),
    [anon_sym_SLASH] = ACTIONS(3021),
    [anon_sym_x] = ACTIONS(3021),
    [anon_sym_EQ_TILDE] = ACTIONS(3019),
    [anon_sym_BANG_TILDE] = ACTIONS(3019),
    [anon_sym_EQ_EQ] = ACTIONS(3021),
    [anon_sym_BANG_EQ] = ACTIONS(3019),
    [anon_sym_eq] = ACTIONS(3021),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3019),
    [anon_sym_equ] = ACTIONS(3019),
    [anon_sym_eqr] = ACTIONS(3019),
    [anon_sym_ne] = ACTIONS(3019),
    [anon_sym_LT_EQ_GT] = ACTIONS(3019),
    [anon_sym_cmp] = ACTIONS(3019),
    [anon_sym_TILDE_TILDE] = ACTIONS(3019),
    [anon_sym_LT] = ACTIONS(3021),
    [anon_sym_LT_EQ] = ACTIONS(3021),
    [anon_sym_GT_EQ] = ACTIONS(3019),
    [anon_sym_lt] = ACTIONS(3019),
    [anon_sym_le] = ACTIONS(3019),
    [anon_sym_ge] = ACTIONS(3019),
    [anon_sym_gt] = ACTIONS(3019),
    [anon_sym_isa] = ACTIONS(3019),
    [anon_sym_PLUS_PLUS] = ACTIONS(3668),
    [anon_sym_DASH_DASH] = ACTIONS(3668),
    [anon_sym_QMARK] = ACTIONS(3019),
    [anon_sym_PERCENT2] = ACTIONS(3019),
    [anon_sym_EQ_GT] = ACTIONS(3019),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1924] = {
    [sym_heredoc_content] = STATE(1924),
    [anon_sym_COLON] = ACTIONS(3019),
    [anon_sym_DOLLAR] = ACTIONS(3019),
    [anon_sym_EQ] = ACTIONS(3021),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_AT] = ACTIONS(3019),
    [anon_sym_COMMA] = ACTIONS(3019),
    [anon_sym_RPAREN] = ACTIONS(3019),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3019),
    [anon_sym_DASH_GT] = ACTIONS(3632),
    [anon_sym_PERCENT] = ACTIONS(3634),
    [anon_sym_GT] = ACTIONS(3636),
    [anon_sym_LT_LT] = ACTIONS(3638),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3019),
    [anon_sym_PLUS_EQ] = ACTIONS(3019),
    [anon_sym_DASH_EQ] = ACTIONS(3019),
    [anon_sym_DOT_EQ] = ACTIONS(3019),
    [anon_sym_STAR_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_PERCENT_EQ] = ACTIONS(3021),
    [anon_sym_x_EQ] = ACTIONS(3019),
    [anon_sym_AMP_EQ] = ACTIONS(3019),
    [anon_sym_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_CARET_EQ] = ACTIONS(3019),
    [anon_sym_LT_LT_EQ] = ACTIONS(3019),
    [anon_sym_GT_GT_EQ] = ACTIONS(3019),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3019),
    [anon_sym_DOT_DOT] = ACTIONS(3021),
    [anon_sym_STAR_STAR] = ACTIONS(3642),
    [anon_sym_PIPE_PIPE] = ACTIONS(3021),
    [anon_sym_SLASH_SLASH] = ACTIONS(3021),
    [anon_sym_CARET_CARET] = ACTIONS(3019),
    [anon_sym_AMP_AMP] = ACTIONS(3648),
    [anon_sym_PIPE] = ACTIONS(3650),
    [anon_sym_CARET] = ACTIONS(3650),
    [anon_sym_AMP] = ACTIONS(3652),
    [anon_sym_GT_GT2] = ACTIONS(3638),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_DASH] = ACTIONS(3654),
    [anon_sym_DOT] = ACTIONS(3654),
    [anon_sym_STAR] = ACTIONS(3634),
    [anon_sym_SLASH] = ACTIONS(3634),
    [anon_sym_x] = ACTIONS(3634),
    [anon_sym_EQ_TILDE] = ACTIONS(3656),
    [anon_sym_BANG_TILDE] = ACTIONS(3656),
    [anon_sym_EQ_EQ] = ACTIONS(3658),
    [anon_sym_BANG_EQ] = ACTIONS(3660),
    [anon_sym_eq] = ACTIONS(3658),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3660),
    [anon_sym_equ] = ACTIONS(3660),
    [anon_sym_eqr] = ACTIONS(3660),
    [anon_sym_ne] = ACTIONS(3660),
    [anon_sym_LT_EQ_GT] = ACTIONS(3662),
    [anon_sym_cmp] = ACTIONS(3662),
    [anon_sym_TILDE_TILDE] = ACTIONS(3662),
    [anon_sym_LT] = ACTIONS(3636),
    [anon_sym_LT_EQ] = ACTIONS(3636),
    [anon_sym_GT_EQ] = ACTIONS(3664),
    [anon_sym_lt] = ACTIONS(3664),
    [anon_sym_le] = ACTIONS(3664),
    [anon_sym_ge] = ACTIONS(3664),
    [anon_sym_gt] = ACTIONS(3664),
    [anon_sym_isa] = ACTIONS(3666),
    [anon_sym_PLUS_PLUS] = ACTIONS(3668),
    [anon_sym_DASH_DASH] = ACTIONS(3668),
    [anon_sym_QMARK] = ACTIONS(3019),
    [anon_sym_PERCENT2] = ACTIONS(3019),
    [anon_sym_EQ_GT] = ACTIONS(3019),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1925] = {
    [sym_heredoc_content] = STATE(1925),
    [anon_sym_COLON] = ACTIONS(3019),
    [anon_sym_DOLLAR] = ACTIONS(3019),
    [anon_sym_EQ] = ACTIONS(3021),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_AT] = ACTIONS(3019),
    [anon_sym_COMMA] = ACTIONS(3019),
    [anon_sym_RPAREN] = ACTIONS(3019),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3019),
    [anon_sym_DASH_GT] = ACTIONS(3632),
    [anon_sym_PERCENT] = ACTIONS(3634),
    [anon_sym_GT] = ACTIONS(3636),
    [anon_sym_LT_LT] = ACTIONS(3638),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3019),
    [anon_sym_PLUS_EQ] = ACTIONS(3019),
    [anon_sym_DASH_EQ] = ACTIONS(3019),
    [anon_sym_DOT_EQ] = ACTIONS(3019),
    [anon_sym_STAR_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_PERCENT_EQ] = ACTIONS(3021),
    [anon_sym_x_EQ] = ACTIONS(3019),
    [anon_sym_AMP_EQ] = ACTIONS(3019),
    [anon_sym_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_CARET_EQ] = ACTIONS(3019),
    [anon_sym_LT_LT_EQ] = ACTIONS(3019),
    [anon_sym_GT_GT_EQ] = ACTIONS(3019),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3019),
    [anon_sym_DOT_DOT] = ACTIONS(3021),
    [anon_sym_STAR_STAR] = ACTIONS(3642),
    [anon_sym_PIPE_PIPE] = ACTIONS(3021),
    [anon_sym_SLASH_SLASH] = ACTIONS(3021),
    [anon_sym_CARET_CARET] = ACTIONS(3019),
    [anon_sym_AMP_AMP] = ACTIONS(3021),
    [anon_sym_PIPE] = ACTIONS(3650),
    [anon_sym_CARET] = ACTIONS(3650),
    [anon_sym_AMP] = ACTIONS(3652),
    [anon_sym_GT_GT2] = ACTIONS(3638),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_DASH] = ACTIONS(3654),
    [anon_sym_DOT] = ACTIONS(3654),
    [anon_sym_STAR] = ACTIONS(3634),
    [anon_sym_SLASH] = ACTIONS(3634),
    [anon_sym_x] = ACTIONS(3634),
    [anon_sym_EQ_TILDE] = ACTIONS(3656),
    [anon_sym_BANG_TILDE] = ACTIONS(3656),
    [anon_sym_EQ_EQ] = ACTIONS(3658),
    [anon_sym_BANG_EQ] = ACTIONS(3660),
    [anon_sym_eq] = ACTIONS(3658),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3660),
    [anon_sym_equ] = ACTIONS(3660),
    [anon_sym_eqr] = ACTIONS(3660),
    [anon_sym_ne] = ACTIONS(3660),
    [anon_sym_LT_EQ_GT] = ACTIONS(3662),
    [anon_sym_cmp] = ACTIONS(3662),
    [anon_sym_TILDE_TILDE] = ACTIONS(3662),
    [anon_sym_LT] = ACTIONS(3636),
    [anon_sym_LT_EQ] = ACTIONS(3636),
    [anon_sym_GT_EQ] = ACTIONS(3664),
    [anon_sym_lt] = ACTIONS(3664),
    [anon_sym_le] = ACTIONS(3664),
    [anon_sym_ge] = ACTIONS(3664),
    [anon_sym_gt] = ACTIONS(3664),
    [anon_sym_isa] = ACTIONS(3666),
    [anon_sym_PLUS_PLUS] = ACTIONS(3668),
    [anon_sym_DASH_DASH] = ACTIONS(3668),
    [anon_sym_QMARK] = ACTIONS(3019),
    [anon_sym_PERCENT2] = ACTIONS(3019),
    [anon_sym_EQ_GT] = ACTIONS(3019),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1926] = {
    [sym_heredoc_content] = STATE(1926),
    [anon_sym_COLON] = ACTIONS(3019),
    [anon_sym_DOLLAR] = ACTIONS(3019),
    [anon_sym_EQ] = ACTIONS(3021),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_AT] = ACTIONS(3019),
    [anon_sym_COMMA] = ACTIONS(3019),
    [anon_sym_RPAREN] = ACTIONS(3019),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3019),
    [anon_sym_DASH_GT] = ACTIONS(3632),
    [anon_sym_PERCENT] = ACTIONS(3634),
    [anon_sym_GT] = ACTIONS(3636),
    [anon_sym_LT_LT] = ACTIONS(3638),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3019),
    [anon_sym_PLUS_EQ] = ACTIONS(3019),
    [anon_sym_DASH_EQ] = ACTIONS(3019),
    [anon_sym_DOT_EQ] = ACTIONS(3019),
    [anon_sym_STAR_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_PERCENT_EQ] = ACTIONS(3021),
    [anon_sym_x_EQ] = ACTIONS(3019),
    [anon_sym_AMP_EQ] = ACTIONS(3019),
    [anon_sym_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_CARET_EQ] = ACTIONS(3019),
    [anon_sym_LT_LT_EQ] = ACTIONS(3019),
    [anon_sym_GT_GT_EQ] = ACTIONS(3019),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3019),
    [anon_sym_DOT_DOT] = ACTIONS(3021),
    [anon_sym_STAR_STAR] = ACTIONS(3642),
    [anon_sym_PIPE_PIPE] = ACTIONS(3021),
    [anon_sym_SLASH_SLASH] = ACTIONS(3021),
    [anon_sym_CARET_CARET] = ACTIONS(3019),
    [anon_sym_AMP_AMP] = ACTIONS(3021),
    [anon_sym_PIPE] = ACTIONS(3021),
    [anon_sym_CARET] = ACTIONS(3021),
    [anon_sym_AMP] = ACTIONS(3652),
    [anon_sym_GT_GT2] = ACTIONS(3638),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_DASH] = ACTIONS(3654),
    [anon_sym_DOT] = ACTIONS(3654),
    [anon_sym_STAR] = ACTIONS(3634),
    [anon_sym_SLASH] = ACTIONS(3634),
    [anon_sym_x] = ACTIONS(3634),
    [anon_sym_EQ_TILDE] = ACTIONS(3656),
    [anon_sym_BANG_TILDE] = ACTIONS(3656),
    [anon_sym_EQ_EQ] = ACTIONS(3658),
    [anon_sym_BANG_EQ] = ACTIONS(3660),
    [anon_sym_eq] = ACTIONS(3658),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3660),
    [anon_sym_equ] = ACTIONS(3660),
    [anon_sym_eqr] = ACTIONS(3660),
    [anon_sym_ne] = ACTIONS(3660),
    [anon_sym_LT_EQ_GT] = ACTIONS(3662),
    [anon_sym_cmp] = ACTIONS(3662),
    [anon_sym_TILDE_TILDE] = ACTIONS(3662),
    [anon_sym_LT] = ACTIONS(3636),
    [anon_sym_LT_EQ] = ACTIONS(3636),
    [anon_sym_GT_EQ] = ACTIONS(3664),
    [anon_sym_lt] = ACTIONS(3664),
    [anon_sym_le] = ACTIONS(3664),
    [anon_sym_ge] = ACTIONS(3664),
    [anon_sym_gt] = ACTIONS(3664),
    [anon_sym_isa] = ACTIONS(3666),
    [anon_sym_PLUS_PLUS] = ACTIONS(3668),
    [anon_sym_DASH_DASH] = ACTIONS(3668),
    [anon_sym_QMARK] = ACTIONS(3019),
    [anon_sym_PERCENT2] = ACTIONS(3019),
    [anon_sym_EQ_GT] = ACTIONS(3019),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1927] = {
    [sym_heredoc_content] = STATE(1927),
    [anon_sym_COLON] = ACTIONS(3019),
    [anon_sym_DOLLAR] = ACTIONS(3019),
    [anon_sym_EQ] = ACTIONS(3021),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_AT] = ACTIONS(3019),
    [anon_sym_COMMA] = ACTIONS(3019),
    [anon_sym_RPAREN] = ACTIONS(3019),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3019),
    [anon_sym_DASH_GT] = ACTIONS(3632),
    [anon_sym_PERCENT] = ACTIONS(3634),
    [anon_sym_GT] = ACTIONS(3636),
    [anon_sym_LT_LT] = ACTIONS(3638),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3019),
    [anon_sym_PLUS_EQ] = ACTIONS(3019),
    [anon_sym_DASH_EQ] = ACTIONS(3019),
    [anon_sym_DOT_EQ] = ACTIONS(3019),
    [anon_sym_STAR_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_PERCENT_EQ] = ACTIONS(3021),
    [anon_sym_x_EQ] = ACTIONS(3019),
    [anon_sym_AMP_EQ] = ACTIONS(3019),
    [anon_sym_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_CARET_EQ] = ACTIONS(3019),
    [anon_sym_LT_LT_EQ] = ACTIONS(3019),
    [anon_sym_GT_GT_EQ] = ACTIONS(3019),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3019),
    [anon_sym_DOT_DOT] = ACTIONS(3021),
    [anon_sym_STAR_STAR] = ACTIONS(3642),
    [anon_sym_PIPE_PIPE] = ACTIONS(3021),
    [anon_sym_SLASH_SLASH] = ACTIONS(3021),
    [anon_sym_CARET_CARET] = ACTIONS(3019),
    [anon_sym_AMP_AMP] = ACTIONS(3021),
    [anon_sym_PIPE] = ACTIONS(3021),
    [anon_sym_CARET] = ACTIONS(3021),
    [anon_sym_AMP] = ACTIONS(3021),
    [anon_sym_GT_GT2] = ACTIONS(3638),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_DASH] = ACTIONS(3654),
    [anon_sym_DOT] = ACTIONS(3654),
    [anon_sym_STAR] = ACTIONS(3634),
    [anon_sym_SLASH] = ACTIONS(3634),
    [anon_sym_x] = ACTIONS(3634),
    [anon_sym_EQ_TILDE] = ACTIONS(3656),
    [anon_sym_BANG_TILDE] = ACTIONS(3656),
    [anon_sym_EQ_EQ] = ACTIONS(3658),
    [anon_sym_BANG_EQ] = ACTIONS(3660),
    [anon_sym_eq] = ACTIONS(3658),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3660),
    [anon_sym_equ] = ACTIONS(3660),
    [anon_sym_eqr] = ACTIONS(3660),
    [anon_sym_ne] = ACTIONS(3660),
    [anon_sym_LT_EQ_GT] = ACTIONS(3662),
    [anon_sym_cmp] = ACTIONS(3662),
    [anon_sym_TILDE_TILDE] = ACTIONS(3662),
    [anon_sym_LT] = ACTIONS(3636),
    [anon_sym_LT_EQ] = ACTIONS(3636),
    [anon_sym_GT_EQ] = ACTIONS(3664),
    [anon_sym_lt] = ACTIONS(3664),
    [anon_sym_le] = ACTIONS(3664),
    [anon_sym_ge] = ACTIONS(3664),
    [anon_sym_gt] = ACTIONS(3664),
    [anon_sym_isa] = ACTIONS(3666),
    [anon_sym_PLUS_PLUS] = ACTIONS(3668),
    [anon_sym_DASH_DASH] = ACTIONS(3668),
    [anon_sym_QMARK] = ACTIONS(3019),
    [anon_sym_PERCENT2] = ACTIONS(3019),
    [anon_sym_EQ_GT] = ACTIONS(3019),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1928] = {
    [sym_heredoc_content] = STATE(1928),
    [anon_sym_COLON] = ACTIONS(3019),
    [anon_sym_DOLLAR] = ACTIONS(3019),
    [anon_sym_EQ] = ACTIONS(3021),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_AT] = ACTIONS(3019),
    [anon_sym_COMMA] = ACTIONS(3019),
    [anon_sym_RPAREN] = ACTIONS(3019),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3019),
    [anon_sym_DASH_GT] = ACTIONS(3632),
    [anon_sym_PERCENT] = ACTIONS(3634),
    [anon_sym_GT] = ACTIONS(3021),
    [anon_sym_LT_LT] = ACTIONS(3021),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3019),
    [anon_sym_PLUS_EQ] = ACTIONS(3019),
    [anon_sym_DASH_EQ] = ACTIONS(3019),
    [anon_sym_DOT_EQ] = ACTIONS(3019),
    [anon_sym_STAR_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_PERCENT_EQ] = ACTIONS(3021),
    [anon_sym_x_EQ] = ACTIONS(3019),
    [anon_sym_AMP_EQ] = ACTIONS(3019),
    [anon_sym_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_CARET_EQ] = ACTIONS(3019),
    [anon_sym_LT_LT_EQ] = ACTIONS(3019),
    [anon_sym_GT_GT_EQ] = ACTIONS(3019),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3019),
    [anon_sym_DOT_DOT] = ACTIONS(3021),
    [anon_sym_STAR_STAR] = ACTIONS(3642),
    [anon_sym_PIPE_PIPE] = ACTIONS(3021),
    [anon_sym_SLASH_SLASH] = ACTIONS(3021),
    [anon_sym_CARET_CARET] = ACTIONS(3019),
    [anon_sym_AMP_AMP] = ACTIONS(3021),
    [anon_sym_PIPE] = ACTIONS(3021),
    [anon_sym_CARET] = ACTIONS(3021),
    [anon_sym_AMP] = ACTIONS(3021),
    [anon_sym_GT_GT2] = ACTIONS(3021),
    [anon_sym_PLUS] = ACTIONS(3021),
    [anon_sym_DASH] = ACTIONS(3021),
    [anon_sym_DOT] = ACTIONS(3021),
    [anon_sym_STAR] = ACTIONS(3634),
    [anon_sym_SLASH] = ACTIONS(3634),
    [anon_sym_x] = ACTIONS(3634),
    [anon_sym_EQ_TILDE] = ACTIONS(3656),
    [anon_sym_BANG_TILDE] = ACTIONS(3656),
    [anon_sym_EQ_EQ] = ACTIONS(3021),
    [anon_sym_BANG_EQ] = ACTIONS(3019),
    [anon_sym_eq] = ACTIONS(3021),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3019),
    [anon_sym_equ] = ACTIONS(3019),
    [anon_sym_eqr] = ACTIONS(3019),
    [anon_sym_ne] = ACTIONS(3019),
    [anon_sym_LT_EQ_GT] = ACTIONS(3019),
    [anon_sym_cmp] = ACTIONS(3019),
    [anon_sym_TILDE_TILDE] = ACTIONS(3019),
    [anon_sym_LT] = ACTIONS(3021),
    [anon_sym_LT_EQ] = ACTIONS(3021),
    [anon_sym_GT_EQ] = ACTIONS(3019),
    [anon_sym_lt] = ACTIONS(3019),
    [anon_sym_le] = ACTIONS(3019),
    [anon_sym_ge] = ACTIONS(3019),
    [anon_sym_gt] = ACTIONS(3019),
    [anon_sym_isa] = ACTIONS(3019),
    [anon_sym_PLUS_PLUS] = ACTIONS(3668),
    [anon_sym_DASH_DASH] = ACTIONS(3668),
    [anon_sym_QMARK] = ACTIONS(3019),
    [anon_sym_PERCENT2] = ACTIONS(3019),
    [anon_sym_EQ_GT] = ACTIONS(3019),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1929] = {
    [sym_heredoc_content] = STATE(1929),
    [anon_sym_COLON] = ACTIONS(3019),
    [anon_sym_DOLLAR] = ACTIONS(3019),
    [anon_sym_EQ] = ACTIONS(3021),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_AT] = ACTIONS(3019),
    [anon_sym_COMMA] = ACTIONS(3019),
    [anon_sym_RPAREN] = ACTIONS(3019),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3019),
    [anon_sym_DASH_GT] = ACTIONS(3632),
    [anon_sym_PERCENT] = ACTIONS(3021),
    [anon_sym_GT] = ACTIONS(3021),
    [anon_sym_LT_LT] = ACTIONS(3021),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3019),
    [anon_sym_PLUS_EQ] = ACTIONS(3019),
    [anon_sym_DASH_EQ] = ACTIONS(3019),
    [anon_sym_DOT_EQ] = ACTIONS(3019),
    [anon_sym_STAR_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_PERCENT_EQ] = ACTIONS(3021),
    [anon_sym_x_EQ] = ACTIONS(3019),
    [anon_sym_AMP_EQ] = ACTIONS(3019),
    [anon_sym_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_CARET_EQ] = ACTIONS(3019),
    [anon_sym_LT_LT_EQ] = ACTIONS(3019),
    [anon_sym_GT_GT_EQ] = ACTIONS(3019),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3019),
    [anon_sym_DOT_DOT] = ACTIONS(3021),
    [anon_sym_STAR_STAR] = ACTIONS(3642),
    [anon_sym_PIPE_PIPE] = ACTIONS(3021),
    [anon_sym_SLASH_SLASH] = ACTIONS(3021),
    [anon_sym_CARET_CARET] = ACTIONS(3019),
    [anon_sym_AMP_AMP] = ACTIONS(3021),
    [anon_sym_PIPE] = ACTIONS(3021),
    [anon_sym_CARET] = ACTIONS(3021),
    [anon_sym_AMP] = ACTIONS(3021),
    [anon_sym_GT_GT2] = ACTIONS(3021),
    [anon_sym_PLUS] = ACTIONS(3021),
    [anon_sym_DASH] = ACTIONS(3021),
    [anon_sym_DOT] = ACTIONS(3021),
    [anon_sym_STAR] = ACTIONS(3021),
    [anon_sym_SLASH] = ACTIONS(3021),
    [anon_sym_x] = ACTIONS(3021),
    [anon_sym_EQ_TILDE] = ACTIONS(3019),
    [anon_sym_BANG_TILDE] = ACTIONS(3019),
    [anon_sym_EQ_EQ] = ACTIONS(3021),
    [anon_sym_BANG_EQ] = ACTIONS(3019),
    [anon_sym_eq] = ACTIONS(3021),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3019),
    [anon_sym_equ] = ACTIONS(3019),
    [anon_sym_eqr] = ACTIONS(3019),
    [anon_sym_ne] = ACTIONS(3019),
    [anon_sym_LT_EQ_GT] = ACTIONS(3019),
    [anon_sym_cmp] = ACTIONS(3019),
    [anon_sym_TILDE_TILDE] = ACTIONS(3019),
    [anon_sym_LT] = ACTIONS(3021),
    [anon_sym_LT_EQ] = ACTIONS(3021),
    [anon_sym_GT_EQ] = ACTIONS(3019),
    [anon_sym_lt] = ACTIONS(3019),
    [anon_sym_le] = ACTIONS(3019),
    [anon_sym_ge] = ACTIONS(3019),
    [anon_sym_gt] = ACTIONS(3019),
    [anon_sym_isa] = ACTIONS(3019),
    [anon_sym_PLUS_PLUS] = ACTIONS(3668),
    [anon_sym_DASH_DASH] = ACTIONS(3668),
    [anon_sym_QMARK] = ACTIONS(3019),
    [anon_sym_PERCENT2] = ACTIONS(3019),
    [anon_sym_EQ_GT] = ACTIONS(3019),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1930] = {
    [sym_heredoc_content] = STATE(1930),
    [anon_sym_COLON] = ACTIONS(3035),
    [anon_sym_DOLLAR] = ACTIONS(3035),
    [anon_sym_EQ] = ACTIONS(3037),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3035),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3035),
    [anon_sym_AT] = ACTIONS(3035),
    [anon_sym_COMMA] = ACTIONS(3035),
    [anon_sym_RPAREN] = ACTIONS(3035),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3035),
    [anon_sym_DASH_GT] = ACTIONS(3632),
    [anon_sym_PERCENT] = ACTIONS(3634),
    [anon_sym_GT] = ACTIONS(3636),
    [anon_sym_LT_LT] = ACTIONS(3638),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3035),
    [anon_sym_PLUS_EQ] = ACTIONS(3035),
    [anon_sym_DASH_EQ] = ACTIONS(3035),
    [anon_sym_DOT_EQ] = ACTIONS(3035),
    [anon_sym_STAR_EQ] = ACTIONS(3035),
    [anon_sym_SLASH_EQ] = ACTIONS(3035),
    [anon_sym_PERCENT_EQ] = ACTIONS(3037),
    [anon_sym_x_EQ] = ACTIONS(3035),
    [anon_sym_AMP_EQ] = ACTIONS(3035),
    [anon_sym_PIPE_EQ] = ACTIONS(3035),
    [anon_sym_CARET_EQ] = ACTIONS(3035),
    [anon_sym_LT_LT_EQ] = ACTIONS(3035),
    [anon_sym_GT_GT_EQ] = ACTIONS(3035),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3035),
    [anon_sym_DOT_DOT] = ACTIONS(3037),
    [anon_sym_STAR_STAR] = ACTIONS(3642),
    [anon_sym_PIPE_PIPE] = ACTIONS(3037),
    [anon_sym_SLASH_SLASH] = ACTIONS(3037),
    [anon_sym_CARET_CARET] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(3037),
    [anon_sym_PIPE] = ACTIONS(3037),
    [anon_sym_CARET] = ACTIONS(3037),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym_GT_GT2] = ACTIONS(3638),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_DASH] = ACTIONS(3654),
    [anon_sym_DOT] = ACTIONS(3654),
    [anon_sym_STAR] = ACTIONS(3634),
    [anon_sym_SLASH] = ACTIONS(3634),
    [anon_sym_x] = ACTIONS(3634),
    [anon_sym_EQ_TILDE] = ACTIONS(3656),
    [anon_sym_BANG_TILDE] = ACTIONS(3656),
    [anon_sym_EQ_EQ] = ACTIONS(3037),
    [anon_sym_BANG_EQ] = ACTIONS(3035),
    [anon_sym_eq] = ACTIONS(3037),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3035),
    [anon_sym_equ] = ACTIONS(3035),
    [anon_sym_eqr] = ACTIONS(3035),
    [anon_sym_ne] = ACTIONS(3035),
    [anon_sym_LT_EQ_GT] = ACTIONS(3035),
    [anon_sym_cmp] = ACTIONS(3035),
    [anon_sym_TILDE_TILDE] = ACTIONS(3035),
    [anon_sym_LT] = ACTIONS(3636),
    [anon_sym_LT_EQ] = ACTIONS(3636),
    [anon_sym_GT_EQ] = ACTIONS(3664),
    [anon_sym_lt] = ACTIONS(3664),
    [anon_sym_le] = ACTIONS(3664),
    [anon_sym_ge] = ACTIONS(3664),
    [anon_sym_gt] = ACTIONS(3664),
    [anon_sym_isa] = ACTIONS(3666),
    [anon_sym_PLUS_PLUS] = ACTIONS(3668),
    [anon_sym_DASH_DASH] = ACTIONS(3668),
    [anon_sym_QMARK] = ACTIONS(3035),
    [anon_sym_PERCENT2] = ACTIONS(3035),
    [anon_sym_EQ_GT] = ACTIONS(3035),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1931] = {
    [sym_heredoc_content] = STATE(1931),
    [anon_sym_COLON] = ACTIONS(3035),
    [anon_sym_DOLLAR] = ACTIONS(3035),
    [anon_sym_EQ] = ACTIONS(3037),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3035),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3035),
    [anon_sym_AT] = ACTIONS(3035),
    [anon_sym_COMMA] = ACTIONS(3035),
    [anon_sym_RPAREN] = ACTIONS(3035),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3035),
    [anon_sym_DASH_GT] = ACTIONS(3632),
    [anon_sym_PERCENT] = ACTIONS(3634),
    [anon_sym_GT] = ACTIONS(3636),
    [anon_sym_LT_LT] = ACTIONS(3638),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3035),
    [anon_sym_PLUS_EQ] = ACTIONS(3035),
    [anon_sym_DASH_EQ] = ACTIONS(3035),
    [anon_sym_DOT_EQ] = ACTIONS(3035),
    [anon_sym_STAR_EQ] = ACTIONS(3035),
    [anon_sym_SLASH_EQ] = ACTIONS(3035),
    [anon_sym_PERCENT_EQ] = ACTIONS(3037),
    [anon_sym_x_EQ] = ACTIONS(3035),
    [anon_sym_AMP_EQ] = ACTIONS(3035),
    [anon_sym_PIPE_EQ] = ACTIONS(3035),
    [anon_sym_CARET_EQ] = ACTIONS(3035),
    [anon_sym_LT_LT_EQ] = ACTIONS(3035),
    [anon_sym_GT_GT_EQ] = ACTIONS(3035),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3035),
    [anon_sym_DOT_DOT] = ACTIONS(3037),
    [anon_sym_STAR_STAR] = ACTIONS(3642),
    [anon_sym_PIPE_PIPE] = ACTIONS(3037),
    [anon_sym_SLASH_SLASH] = ACTIONS(3037),
    [anon_sym_CARET_CARET] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(3037),
    [anon_sym_PIPE] = ACTIONS(3037),
    [anon_sym_CARET] = ACTIONS(3037),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym_GT_GT2] = ACTIONS(3638),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_DASH] = ACTIONS(3654),
    [anon_sym_DOT] = ACTIONS(3654),
    [anon_sym_STAR] = ACTIONS(3634),
    [anon_sym_SLASH] = ACTIONS(3634),
    [anon_sym_x] = ACTIONS(3634),
    [anon_sym_EQ_TILDE] = ACTIONS(3656),
    [anon_sym_BANG_TILDE] = ACTIONS(3656),
    [anon_sym_EQ_EQ] = ACTIONS(3658),
    [anon_sym_BANG_EQ] = ACTIONS(3660),
    [anon_sym_eq] = ACTIONS(3658),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3660),
    [anon_sym_equ] = ACTIONS(3660),
    [anon_sym_eqr] = ACTIONS(3660),
    [anon_sym_ne] = ACTIONS(3660),
    [anon_sym_LT_EQ_GT] = ACTIONS(3684),
    [anon_sym_cmp] = ACTIONS(3684),
    [anon_sym_TILDE_TILDE] = ACTIONS(3684),
    [anon_sym_LT] = ACTIONS(3636),
    [anon_sym_LT_EQ] = ACTIONS(3636),
    [anon_sym_GT_EQ] = ACTIONS(3664),
    [anon_sym_lt] = ACTIONS(3664),
    [anon_sym_le] = ACTIONS(3664),
    [anon_sym_ge] = ACTIONS(3664),
    [anon_sym_gt] = ACTIONS(3664),
    [anon_sym_isa] = ACTIONS(3666),
    [anon_sym_PLUS_PLUS] = ACTIONS(3668),
    [anon_sym_DASH_DASH] = ACTIONS(3668),
    [anon_sym_QMARK] = ACTIONS(3035),
    [anon_sym_PERCENT2] = ACTIONS(3035),
    [anon_sym_EQ_GT] = ACTIONS(3035),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1932] = {
    [sym_heredoc_content] = STATE(1932),
    [anon_sym_COLON] = ACTIONS(3027),
    [anon_sym_DOLLAR] = ACTIONS(3027),
    [anon_sym_EQ] = ACTIONS(3029),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3027),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3027),
    [anon_sym_AT] = ACTIONS(3027),
    [anon_sym_COMMA] = ACTIONS(3027),
    [anon_sym_RPAREN] = ACTIONS(3027),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3027),
    [anon_sym_DASH_GT] = ACTIONS(3632),
    [anon_sym_PERCENT] = ACTIONS(3634),
    [anon_sym_GT] = ACTIONS(3636),
    [anon_sym_LT_LT] = ACTIONS(3638),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3027),
    [anon_sym_PLUS_EQ] = ACTIONS(3027),
    [anon_sym_DASH_EQ] = ACTIONS(3027),
    [anon_sym_DOT_EQ] = ACTIONS(3027),
    [anon_sym_STAR_EQ] = ACTIONS(3027),
    [anon_sym_SLASH_EQ] = ACTIONS(3027),
    [anon_sym_PERCENT_EQ] = ACTIONS(3029),
    [anon_sym_x_EQ] = ACTIONS(3027),
    [anon_sym_AMP_EQ] = ACTIONS(3027),
    [anon_sym_PIPE_EQ] = ACTIONS(3027),
    [anon_sym_CARET_EQ] = ACTIONS(3027),
    [anon_sym_LT_LT_EQ] = ACTIONS(3027),
    [anon_sym_GT_GT_EQ] = ACTIONS(3027),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3027),
    [anon_sym_DOT_DOT] = ACTIONS(3029),
    [anon_sym_STAR_STAR] = ACTIONS(3642),
    [anon_sym_PIPE_PIPE] = ACTIONS(3029),
    [anon_sym_SLASH_SLASH] = ACTIONS(3029),
    [anon_sym_CARET_CARET] = ACTIONS(3027),
    [anon_sym_AMP_AMP] = ACTIONS(3029),
    [anon_sym_PIPE] = ACTIONS(3029),
    [anon_sym_CARET] = ACTIONS(3029),
    [anon_sym_AMP] = ACTIONS(3029),
    [anon_sym_GT_GT2] = ACTIONS(3638),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_DASH] = ACTIONS(3654),
    [anon_sym_DOT] = ACTIONS(3654),
    [anon_sym_STAR] = ACTIONS(3634),
    [anon_sym_SLASH] = ACTIONS(3634),
    [anon_sym_x] = ACTIONS(3634),
    [anon_sym_EQ_TILDE] = ACTIONS(3656),
    [anon_sym_BANG_TILDE] = ACTIONS(3656),
    [anon_sym_EQ_EQ] = ACTIONS(3029),
    [anon_sym_BANG_EQ] = ACTIONS(3027),
    [anon_sym_eq] = ACTIONS(3029),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3027),
    [anon_sym_equ] = ACTIONS(3027),
    [anon_sym_eqr] = ACTIONS(3027),
    [anon_sym_ne] = ACTIONS(3027),
    [anon_sym_LT_EQ_GT] = ACTIONS(3027),
    [anon_sym_cmp] = ACTIONS(3027),
    [anon_sym_TILDE_TILDE] = ACTIONS(3027),
    [anon_sym_LT] = ACTIONS(3636),
    [anon_sym_LT_EQ] = ACTIONS(3636),
    [anon_sym_GT_EQ] = ACTIONS(3664),
    [anon_sym_lt] = ACTIONS(3664),
    [anon_sym_le] = ACTIONS(3664),
    [anon_sym_ge] = ACTIONS(3664),
    [anon_sym_gt] = ACTIONS(3664),
    [anon_sym_isa] = ACTIONS(3686),
    [anon_sym_PLUS_PLUS] = ACTIONS(3668),
    [anon_sym_DASH_DASH] = ACTIONS(3668),
    [anon_sym_QMARK] = ACTIONS(3027),
    [anon_sym_PERCENT2] = ACTIONS(3027),
    [anon_sym_EQ_GT] = ACTIONS(3027),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1933] = {
    [sym_heredoc_content] = STATE(1933),
    [sym__identifier] = ACTIONS(2522),
    [anon_sym_RBRACE] = ACTIONS(2524),
    [anon_sym_COLON] = ACTIONS(2522),
    [anon_sym_EQ] = ACTIONS(2522),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2524),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2524),
    [anon_sym_COMMA] = ACTIONS(2524),
    [anon_sym_RPAREN] = ACTIONS(2524),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2524),
    [anon_sym_DASH_GT] = ACTIONS(2524),
    [anon_sym_PERCENT] = ACTIONS(2522),
    [anon_sym_GT] = ACTIONS(2522),
    [anon_sym_LT_LT] = ACTIONS(2522),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2524),
    [anon_sym_PLUS_EQ] = ACTIONS(2524),
    [anon_sym_DASH_EQ] = ACTIONS(2524),
    [anon_sym_DOT_EQ] = ACTIONS(2524),
    [anon_sym_STAR_EQ] = ACTIONS(2524),
    [anon_sym_SLASH_EQ] = ACTIONS(2524),
    [anon_sym_PERCENT_EQ] = ACTIONS(2524),
    [anon_sym_x_EQ] = ACTIONS(2524),
    [anon_sym_AMP_EQ] = ACTIONS(2524),
    [anon_sym_PIPE_EQ] = ACTIONS(2524),
    [anon_sym_CARET_EQ] = ACTIONS(2524),
    [anon_sym_LT_LT_EQ] = ACTIONS(2524),
    [anon_sym_GT_GT_EQ] = ACTIONS(2524),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2524),
    [anon_sym_DOT_DOT] = ACTIONS(2522),
    [anon_sym_STAR_STAR] = ACTIONS(2522),
    [anon_sym_PIPE_PIPE] = ACTIONS(2522),
    [anon_sym_SLASH_SLASH] = ACTIONS(2522),
    [anon_sym_CARET_CARET] = ACTIONS(2524),
    [anon_sym_AMP_AMP] = ACTIONS(2522),
    [anon_sym_PIPE] = ACTIONS(2522),
    [anon_sym_CARET] = ACTIONS(2522),
    [anon_sym_AMP] = ACTIONS(2522),
    [anon_sym_GT_GT2] = ACTIONS(2522),
    [anon_sym_PLUS] = ACTIONS(2522),
    [anon_sym_DASH] = ACTIONS(2522),
    [anon_sym_DOT] = ACTIONS(2522),
    [anon_sym_STAR] = ACTIONS(2522),
    [anon_sym_SLASH] = ACTIONS(2522),
    [anon_sym_x] = ACTIONS(2522),
    [anon_sym_EQ_TILDE] = ACTIONS(2524),
    [anon_sym_BANG_TILDE] = ACTIONS(2524),
    [anon_sym_EQ_EQ] = ACTIONS(2522),
    [anon_sym_BANG_EQ] = ACTIONS(2524),
    [anon_sym_eq] = ACTIONS(2522),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2524),
    [anon_sym_equ] = ACTIONS(2522),
    [anon_sym_eqr] = ACTIONS(2522),
    [anon_sym_ne] = ACTIONS(2522),
    [anon_sym_LT_EQ_GT] = ACTIONS(2524),
    [anon_sym_cmp] = ACTIONS(2522),
    [anon_sym_TILDE_TILDE] = ACTIONS(2524),
    [anon_sym_LT] = ACTIONS(2522),
    [anon_sym_LT_EQ] = ACTIONS(2522),
    [anon_sym_GT_EQ] = ACTIONS(2524),
    [anon_sym_lt] = ACTIONS(2522),
    [anon_sym_le] = ACTIONS(2522),
    [anon_sym_ge] = ACTIONS(2522),
    [anon_sym_gt] = ACTIONS(2522),
    [anon_sym_isa] = ACTIONS(2522),
    [anon_sym_PLUS_PLUS] = ACTIONS(2524),
    [anon_sym_DASH_DASH] = ACTIONS(2524),
    [anon_sym_QMARK] = ACTIONS(2524),
    [anon_sym_EQ_GT] = ACTIONS(2524),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(2522),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1934] = {
    [sym_heredoc_content] = STATE(1934),
    [sym__identifier] = ACTIONS(2436),
    [anon_sym_RBRACE] = ACTIONS(2431),
    [anon_sym_COLON] = ACTIONS(2436),
    [anon_sym_EQ] = ACTIONS(2436),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2431),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2431),
    [anon_sym_COMMA] = ACTIONS(2431),
    [anon_sym_RPAREN] = ACTIONS(2431),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2431),
    [anon_sym_DASH_GT] = ACTIONS(2431),
    [anon_sym_PERCENT] = ACTIONS(2436),
    [anon_sym_GT] = ACTIONS(2436),
    [anon_sym_LT_LT] = ACTIONS(2436),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2431),
    [anon_sym_PLUS_EQ] = ACTIONS(2431),
    [anon_sym_DASH_EQ] = ACTIONS(2431),
    [anon_sym_DOT_EQ] = ACTIONS(2431),
    [anon_sym_STAR_EQ] = ACTIONS(2431),
    [anon_sym_SLASH_EQ] = ACTIONS(2431),
    [anon_sym_PERCENT_EQ] = ACTIONS(2431),
    [anon_sym_x_EQ] = ACTIONS(2431),
    [anon_sym_AMP_EQ] = ACTIONS(2431),
    [anon_sym_PIPE_EQ] = ACTIONS(2431),
    [anon_sym_CARET_EQ] = ACTIONS(2431),
    [anon_sym_LT_LT_EQ] = ACTIONS(2431),
    [anon_sym_GT_GT_EQ] = ACTIONS(2431),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2431),
    [anon_sym_DOT_DOT] = ACTIONS(2436),
    [anon_sym_STAR_STAR] = ACTIONS(2436),
    [anon_sym_PIPE_PIPE] = ACTIONS(2436),
    [anon_sym_SLASH_SLASH] = ACTIONS(2436),
    [anon_sym_CARET_CARET] = ACTIONS(2431),
    [anon_sym_AMP_AMP] = ACTIONS(2436),
    [anon_sym_PIPE] = ACTIONS(2436),
    [anon_sym_CARET] = ACTIONS(2436),
    [anon_sym_AMP] = ACTIONS(2436),
    [anon_sym_GT_GT2] = ACTIONS(2436),
    [anon_sym_PLUS] = ACTIONS(2436),
    [anon_sym_DASH] = ACTIONS(2436),
    [anon_sym_DOT] = ACTIONS(2436),
    [anon_sym_STAR] = ACTIONS(2436),
    [anon_sym_SLASH] = ACTIONS(2436),
    [anon_sym_x] = ACTIONS(2436),
    [anon_sym_EQ_TILDE] = ACTIONS(2431),
    [anon_sym_BANG_TILDE] = ACTIONS(2431),
    [anon_sym_EQ_EQ] = ACTIONS(2436),
    [anon_sym_BANG_EQ] = ACTIONS(2431),
    [anon_sym_eq] = ACTIONS(2436),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2431),
    [anon_sym_equ] = ACTIONS(2436),
    [anon_sym_eqr] = ACTIONS(2436),
    [anon_sym_ne] = ACTIONS(2436),
    [anon_sym_LT_EQ_GT] = ACTIONS(2431),
    [anon_sym_cmp] = ACTIONS(2436),
    [anon_sym_TILDE_TILDE] = ACTIONS(2431),
    [anon_sym_LT] = ACTIONS(2436),
    [anon_sym_LT_EQ] = ACTIONS(2436),
    [anon_sym_GT_EQ] = ACTIONS(2431),
    [anon_sym_lt] = ACTIONS(2436),
    [anon_sym_le] = ACTIONS(2436),
    [anon_sym_ge] = ACTIONS(2436),
    [anon_sym_gt] = ACTIONS(2436),
    [anon_sym_isa] = ACTIONS(2436),
    [anon_sym_PLUS_PLUS] = ACTIONS(2431),
    [anon_sym_DASH_DASH] = ACTIONS(2431),
    [anon_sym_QMARK] = ACTIONS(2431),
    [anon_sym_EQ_GT] = ACTIONS(2431),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(2436),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1935] = {
    [sym_heredoc_content] = STATE(1935),
    [anon_sym_COLON] = ACTIONS(3258),
    [anon_sym_DOLLAR] = ACTIONS(3258),
    [anon_sym_EQ] = ACTIONS(3260),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3258),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3258),
    [anon_sym_AT] = ACTIONS(3258),
    [anon_sym_COMMA] = ACTIONS(3258),
    [anon_sym_RPAREN] = ACTIONS(3258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3630),
    [anon_sym_DASH_GT] = ACTIONS(3632),
    [anon_sym_PERCENT] = ACTIONS(3634),
    [anon_sym_GT] = ACTIONS(3636),
    [anon_sym_LT_LT] = ACTIONS(3638),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3258),
    [anon_sym_PLUS_EQ] = ACTIONS(3258),
    [anon_sym_DASH_EQ] = ACTIONS(3258),
    [anon_sym_DOT_EQ] = ACTIONS(3258),
    [anon_sym_STAR_EQ] = ACTIONS(3258),
    [anon_sym_SLASH_EQ] = ACTIONS(3258),
    [anon_sym_PERCENT_EQ] = ACTIONS(3260),
    [anon_sym_x_EQ] = ACTIONS(3258),
    [anon_sym_AMP_EQ] = ACTIONS(3258),
    [anon_sym_PIPE_EQ] = ACTIONS(3258),
    [anon_sym_CARET_EQ] = ACTIONS(3258),
    [anon_sym_LT_LT_EQ] = ACTIONS(3258),
    [anon_sym_GT_GT_EQ] = ACTIONS(3258),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3258),
    [anon_sym_DOT_DOT] = ACTIONS(3640),
    [anon_sym_STAR_STAR] = ACTIONS(3642),
    [anon_sym_PIPE_PIPE] = ACTIONS(3644),
    [anon_sym_SLASH_SLASH] = ACTIONS(3644),
    [anon_sym_CARET_CARET] = ACTIONS(3646),
    [anon_sym_AMP_AMP] = ACTIONS(3648),
    [anon_sym_PIPE] = ACTIONS(3650),
    [anon_sym_CARET] = ACTIONS(3650),
    [anon_sym_AMP] = ACTIONS(3652),
    [anon_sym_GT_GT2] = ACTIONS(3638),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_DASH] = ACTIONS(3654),
    [anon_sym_DOT] = ACTIONS(3654),
    [anon_sym_STAR] = ACTIONS(3634),
    [anon_sym_SLASH] = ACTIONS(3634),
    [anon_sym_x] = ACTIONS(3634),
    [anon_sym_EQ_TILDE] = ACTIONS(3656),
    [anon_sym_BANG_TILDE] = ACTIONS(3656),
    [anon_sym_EQ_EQ] = ACTIONS(3658),
    [anon_sym_BANG_EQ] = ACTIONS(3660),
    [anon_sym_eq] = ACTIONS(3658),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3660),
    [anon_sym_equ] = ACTIONS(3660),
    [anon_sym_eqr] = ACTIONS(3660),
    [anon_sym_ne] = ACTIONS(3660),
    [anon_sym_LT_EQ_GT] = ACTIONS(3662),
    [anon_sym_cmp] = ACTIONS(3662),
    [anon_sym_TILDE_TILDE] = ACTIONS(3662),
    [anon_sym_LT] = ACTIONS(3636),
    [anon_sym_LT_EQ] = ACTIONS(3636),
    [anon_sym_GT_EQ] = ACTIONS(3664),
    [anon_sym_lt] = ACTIONS(3664),
    [anon_sym_le] = ACTIONS(3664),
    [anon_sym_ge] = ACTIONS(3664),
    [anon_sym_gt] = ACTIONS(3664),
    [anon_sym_isa] = ACTIONS(3666),
    [anon_sym_PLUS_PLUS] = ACTIONS(3668),
    [anon_sym_DASH_DASH] = ACTIONS(3668),
    [anon_sym_QMARK] = ACTIONS(3670),
    [anon_sym_PERCENT2] = ACTIONS(3258),
    [anon_sym_EQ_GT] = ACTIONS(3258),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1936] = {
    [sym_heredoc_content] = STATE(1936),
    [sym__identifier] = ACTIONS(2498),
    [anon_sym_RBRACE] = ACTIONS(2500),
    [anon_sym_COLON] = ACTIONS(2498),
    [anon_sym_EQ] = ACTIONS(2498),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2500),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2500),
    [anon_sym_COMMA] = ACTIONS(2500),
    [anon_sym_RPAREN] = ACTIONS(2500),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2500),
    [anon_sym_DASH_GT] = ACTIONS(2500),
    [anon_sym_PERCENT] = ACTIONS(2498),
    [anon_sym_GT] = ACTIONS(2498),
    [anon_sym_LT_LT] = ACTIONS(2498),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2500),
    [anon_sym_PLUS_EQ] = ACTIONS(2500),
    [anon_sym_DASH_EQ] = ACTIONS(2500),
    [anon_sym_DOT_EQ] = ACTIONS(2500),
    [anon_sym_STAR_EQ] = ACTIONS(2500),
    [anon_sym_SLASH_EQ] = ACTIONS(2500),
    [anon_sym_PERCENT_EQ] = ACTIONS(2500),
    [anon_sym_x_EQ] = ACTIONS(2500),
    [anon_sym_AMP_EQ] = ACTIONS(2500),
    [anon_sym_PIPE_EQ] = ACTIONS(2500),
    [anon_sym_CARET_EQ] = ACTIONS(2500),
    [anon_sym_LT_LT_EQ] = ACTIONS(2500),
    [anon_sym_GT_GT_EQ] = ACTIONS(2500),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2500),
    [anon_sym_DOT_DOT] = ACTIONS(2498),
    [anon_sym_STAR_STAR] = ACTIONS(2498),
    [anon_sym_PIPE_PIPE] = ACTIONS(2498),
    [anon_sym_SLASH_SLASH] = ACTIONS(2498),
    [anon_sym_CARET_CARET] = ACTIONS(2500),
    [anon_sym_AMP_AMP] = ACTIONS(2498),
    [anon_sym_PIPE] = ACTIONS(2498),
    [anon_sym_CARET] = ACTIONS(2498),
    [anon_sym_AMP] = ACTIONS(2498),
    [anon_sym_GT_GT2] = ACTIONS(2498),
    [anon_sym_PLUS] = ACTIONS(2498),
    [anon_sym_DASH] = ACTIONS(2498),
    [anon_sym_DOT] = ACTIONS(2498),
    [anon_sym_STAR] = ACTIONS(2498),
    [anon_sym_SLASH] = ACTIONS(2498),
    [anon_sym_x] = ACTIONS(2498),
    [anon_sym_EQ_TILDE] = ACTIONS(2500),
    [anon_sym_BANG_TILDE] = ACTIONS(2500),
    [anon_sym_EQ_EQ] = ACTIONS(2498),
    [anon_sym_BANG_EQ] = ACTIONS(2500),
    [anon_sym_eq] = ACTIONS(2498),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2500),
    [anon_sym_equ] = ACTIONS(2498),
    [anon_sym_eqr] = ACTIONS(2498),
    [anon_sym_ne] = ACTIONS(2498),
    [anon_sym_LT_EQ_GT] = ACTIONS(2500),
    [anon_sym_cmp] = ACTIONS(2498),
    [anon_sym_TILDE_TILDE] = ACTIONS(2500),
    [anon_sym_LT] = ACTIONS(2498),
    [anon_sym_LT_EQ] = ACTIONS(2498),
    [anon_sym_GT_EQ] = ACTIONS(2500),
    [anon_sym_lt] = ACTIONS(2498),
    [anon_sym_le] = ACTIONS(2498),
    [anon_sym_ge] = ACTIONS(2498),
    [anon_sym_gt] = ACTIONS(2498),
    [anon_sym_isa] = ACTIONS(2498),
    [anon_sym_PLUS_PLUS] = ACTIONS(2500),
    [anon_sym_DASH_DASH] = ACTIONS(2500),
    [anon_sym_QMARK] = ACTIONS(2500),
    [anon_sym_EQ_GT] = ACTIONS(2500),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(2498),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1937] = {
    [sym_heredoc_content] = STATE(1937),
    [anon_sym_RBRACE] = ACTIONS(2532),
    [anon_sym_COLON] = ACTIONS(2532),
    [anon_sym_EQ] = ACTIONS(2534),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2532),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2532),
    [anon_sym_COMMA] = ACTIONS(2532),
    [anon_sym_RPAREN] = ACTIONS(2532),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2532),
    [anon_sym_LBRACK] = ACTIONS(2532),
    [anon_sym_DASH_GT] = ACTIONS(2532),
    [anon_sym_PERCENT] = ACTIONS(2534),
    [anon_sym_GT] = ACTIONS(2534),
    [anon_sym_LT_LT] = ACTIONS(2534),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2532),
    [anon_sym_PLUS_EQ] = ACTIONS(2532),
    [anon_sym_DASH_EQ] = ACTIONS(2532),
    [anon_sym_DOT_EQ] = ACTIONS(2532),
    [anon_sym_STAR_EQ] = ACTIONS(2532),
    [anon_sym_SLASH_EQ] = ACTIONS(2532),
    [anon_sym_PERCENT_EQ] = ACTIONS(2532),
    [anon_sym_x_EQ] = ACTIONS(2532),
    [anon_sym_AMP_EQ] = ACTIONS(2532),
    [anon_sym_PIPE_EQ] = ACTIONS(2532),
    [anon_sym_CARET_EQ] = ACTIONS(2532),
    [anon_sym_LT_LT_EQ] = ACTIONS(2532),
    [anon_sym_GT_GT_EQ] = ACTIONS(2532),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2532),
    [anon_sym_DOT_DOT] = ACTIONS(2534),
    [anon_sym_STAR_STAR] = ACTIONS(2534),
    [anon_sym_PIPE_PIPE] = ACTIONS(2534),
    [anon_sym_SLASH_SLASH] = ACTIONS(2534),
    [anon_sym_CARET_CARET] = ACTIONS(2532),
    [anon_sym_AMP_AMP] = ACTIONS(2534),
    [anon_sym_PIPE] = ACTIONS(2534),
    [anon_sym_CARET] = ACTIONS(2534),
    [anon_sym_AMP] = ACTIONS(2534),
    [anon_sym_GT_GT2] = ACTIONS(2534),
    [anon_sym_PLUS] = ACTIONS(2534),
    [anon_sym_DASH] = ACTIONS(2534),
    [anon_sym_DOT] = ACTIONS(2534),
    [anon_sym_STAR] = ACTIONS(2534),
    [anon_sym_SLASH] = ACTIONS(2534),
    [anon_sym_x] = ACTIONS(2534),
    [anon_sym_EQ_TILDE] = ACTIONS(2532),
    [anon_sym_BANG_TILDE] = ACTIONS(2532),
    [anon_sym_EQ_EQ] = ACTIONS(2534),
    [anon_sym_BANG_EQ] = ACTIONS(2532),
    [anon_sym_eq] = ACTIONS(2534),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2532),
    [anon_sym_equ] = ACTIONS(2532),
    [anon_sym_eqr] = ACTIONS(2532),
    [anon_sym_ne] = ACTIONS(2532),
    [anon_sym_LT_EQ_GT] = ACTIONS(2532),
    [anon_sym_cmp] = ACTIONS(2534),
    [anon_sym_TILDE_TILDE] = ACTIONS(2532),
    [anon_sym_LT] = ACTIONS(2534),
    [anon_sym_LT_EQ] = ACTIONS(2534),
    [anon_sym_GT_EQ] = ACTIONS(2532),
    [anon_sym_lt] = ACTIONS(2532),
    [anon_sym_le] = ACTIONS(2532),
    [anon_sym_ge] = ACTIONS(2532),
    [anon_sym_gt] = ACTIONS(2532),
    [anon_sym_isa] = ACTIONS(2532),
    [anon_sym_PLUS_PLUS] = ACTIONS(2532),
    [anon_sym_DASH_DASH] = ACTIONS(2532),
    [anon_sym_QMARK] = ACTIONS(2532),
    [anon_sym_EQ_GT] = ACTIONS(2532),
    [sym_comment] = ACTIONS(5),
    [sym_transliteration_modifiers] = ACTIONS(2532),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1938] = {
    [sym_heredoc_content] = STATE(1938),
    [sym__identifier] = ACTIONS(2522),
    [anon_sym_COLON] = ACTIONS(2522),
    [anon_sym_SEMI] = ACTIONS(2524),
    [anon_sym_EQ] = ACTIONS(2522),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2524),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2524),
    [anon_sym_COMMA] = ACTIONS(2524),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2524),
    [anon_sym_DASH_GT] = ACTIONS(2524),
    [anon_sym_PERCENT] = ACTIONS(2522),
    [anon_sym_GT] = ACTIONS(2522),
    [anon_sym_LT_LT] = ACTIONS(2522),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2524),
    [anon_sym_PLUS_EQ] = ACTIONS(2524),
    [anon_sym_DASH_EQ] = ACTIONS(2524),
    [anon_sym_DOT_EQ] = ACTIONS(2524),
    [anon_sym_STAR_EQ] = ACTIONS(2524),
    [anon_sym_SLASH_EQ] = ACTIONS(2524),
    [anon_sym_PERCENT_EQ] = ACTIONS(2524),
    [anon_sym_x_EQ] = ACTIONS(2524),
    [anon_sym_AMP_EQ] = ACTIONS(2524),
    [anon_sym_PIPE_EQ] = ACTIONS(2524),
    [anon_sym_CARET_EQ] = ACTIONS(2524),
    [anon_sym_LT_LT_EQ] = ACTIONS(2524),
    [anon_sym_GT_GT_EQ] = ACTIONS(2524),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2524),
    [anon_sym_DOT_DOT] = ACTIONS(2522),
    [anon_sym_STAR_STAR] = ACTIONS(2522),
    [anon_sym_PIPE_PIPE] = ACTIONS(2522),
    [anon_sym_SLASH_SLASH] = ACTIONS(2522),
    [anon_sym_CARET_CARET] = ACTIONS(2524),
    [anon_sym_AMP_AMP] = ACTIONS(2522),
    [anon_sym_PIPE] = ACTIONS(2522),
    [anon_sym_CARET] = ACTIONS(2522),
    [anon_sym_AMP] = ACTIONS(2522),
    [anon_sym_GT_GT2] = ACTIONS(2522),
    [anon_sym_PLUS] = ACTIONS(2522),
    [anon_sym_DASH] = ACTIONS(2522),
    [anon_sym_DOT] = ACTIONS(2522),
    [anon_sym_STAR] = ACTIONS(2522),
    [anon_sym_SLASH] = ACTIONS(2522),
    [anon_sym_x] = ACTIONS(2522),
    [anon_sym_EQ_TILDE] = ACTIONS(2524),
    [anon_sym_BANG_TILDE] = ACTIONS(2524),
    [anon_sym_EQ_EQ] = ACTIONS(2522),
    [anon_sym_BANG_EQ] = ACTIONS(2524),
    [anon_sym_eq] = ACTIONS(2522),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2524),
    [anon_sym_equ] = ACTIONS(2522),
    [anon_sym_eqr] = ACTIONS(2522),
    [anon_sym_ne] = ACTIONS(2522),
    [anon_sym_LT_EQ_GT] = ACTIONS(2524),
    [anon_sym_cmp] = ACTIONS(2522),
    [anon_sym_TILDE_TILDE] = ACTIONS(2524),
    [anon_sym_LT] = ACTIONS(2522),
    [anon_sym_LT_EQ] = ACTIONS(2522),
    [anon_sym_GT_EQ] = ACTIONS(2524),
    [anon_sym_lt] = ACTIONS(2522),
    [anon_sym_le] = ACTIONS(2522),
    [anon_sym_ge] = ACTIONS(2522),
    [anon_sym_gt] = ACTIONS(2522),
    [anon_sym_isa] = ACTIONS(2522),
    [anon_sym_PLUS_PLUS] = ACTIONS(2524),
    [anon_sym_DASH_DASH] = ACTIONS(2524),
    [anon_sym_QMARK] = ACTIONS(2524),
    [anon_sym_EQ_GT] = ACTIONS(2524),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(2522),
    [sym__PERLY_SEMICOLON] = ACTIONS(2524),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1939] = {
    [sym_heredoc_content] = STATE(1939),
    [sym__identifier] = ACTIONS(2436),
    [anon_sym_COLON] = ACTIONS(2436),
    [anon_sym_SEMI] = ACTIONS(2431),
    [anon_sym_EQ] = ACTIONS(2436),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2431),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2431),
    [anon_sym_COMMA] = ACTIONS(2431),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2431),
    [anon_sym_DASH_GT] = ACTIONS(2431),
    [anon_sym_PERCENT] = ACTIONS(2436),
    [anon_sym_GT] = ACTIONS(2436),
    [anon_sym_LT_LT] = ACTIONS(2436),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2431),
    [anon_sym_PLUS_EQ] = ACTIONS(2431),
    [anon_sym_DASH_EQ] = ACTIONS(2431),
    [anon_sym_DOT_EQ] = ACTIONS(2431),
    [anon_sym_STAR_EQ] = ACTIONS(2431),
    [anon_sym_SLASH_EQ] = ACTIONS(2431),
    [anon_sym_PERCENT_EQ] = ACTIONS(2431),
    [anon_sym_x_EQ] = ACTIONS(2431),
    [anon_sym_AMP_EQ] = ACTIONS(2431),
    [anon_sym_PIPE_EQ] = ACTIONS(2431),
    [anon_sym_CARET_EQ] = ACTIONS(2431),
    [anon_sym_LT_LT_EQ] = ACTIONS(2431),
    [anon_sym_GT_GT_EQ] = ACTIONS(2431),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2431),
    [anon_sym_DOT_DOT] = ACTIONS(2436),
    [anon_sym_STAR_STAR] = ACTIONS(2436),
    [anon_sym_PIPE_PIPE] = ACTIONS(2436),
    [anon_sym_SLASH_SLASH] = ACTIONS(2436),
    [anon_sym_CARET_CARET] = ACTIONS(2431),
    [anon_sym_AMP_AMP] = ACTIONS(2436),
    [anon_sym_PIPE] = ACTIONS(2436),
    [anon_sym_CARET] = ACTIONS(2436),
    [anon_sym_AMP] = ACTIONS(2436),
    [anon_sym_GT_GT2] = ACTIONS(2436),
    [anon_sym_PLUS] = ACTIONS(2436),
    [anon_sym_DASH] = ACTIONS(2436),
    [anon_sym_DOT] = ACTIONS(2436),
    [anon_sym_STAR] = ACTIONS(2436),
    [anon_sym_SLASH] = ACTIONS(2436),
    [anon_sym_x] = ACTIONS(2436),
    [anon_sym_EQ_TILDE] = ACTIONS(2431),
    [anon_sym_BANG_TILDE] = ACTIONS(2431),
    [anon_sym_EQ_EQ] = ACTIONS(2436),
    [anon_sym_BANG_EQ] = ACTIONS(2431),
    [anon_sym_eq] = ACTIONS(2436),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2431),
    [anon_sym_equ] = ACTIONS(2436),
    [anon_sym_eqr] = ACTIONS(2436),
    [anon_sym_ne] = ACTIONS(2436),
    [anon_sym_LT_EQ_GT] = ACTIONS(2431),
    [anon_sym_cmp] = ACTIONS(2436),
    [anon_sym_TILDE_TILDE] = ACTIONS(2431),
    [anon_sym_LT] = ACTIONS(2436),
    [anon_sym_LT_EQ] = ACTIONS(2436),
    [anon_sym_GT_EQ] = ACTIONS(2431),
    [anon_sym_lt] = ACTIONS(2436),
    [anon_sym_le] = ACTIONS(2436),
    [anon_sym_ge] = ACTIONS(2436),
    [anon_sym_gt] = ACTIONS(2436),
    [anon_sym_isa] = ACTIONS(2436),
    [anon_sym_PLUS_PLUS] = ACTIONS(2431),
    [anon_sym_DASH_DASH] = ACTIONS(2431),
    [anon_sym_QMARK] = ACTIONS(2431),
    [anon_sym_EQ_GT] = ACTIONS(2431),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(2436),
    [sym__PERLY_SEMICOLON] = ACTIONS(2431),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1940] = {
    [sym_heredoc_content] = STATE(1940),
    [sym__identifier] = ACTIONS(2498),
    [anon_sym_COLON] = ACTIONS(2498),
    [anon_sym_SEMI] = ACTIONS(2500),
    [anon_sym_EQ] = ACTIONS(2498),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2500),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2500),
    [anon_sym_COMMA] = ACTIONS(2500),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2500),
    [anon_sym_DASH_GT] = ACTIONS(2500),
    [anon_sym_PERCENT] = ACTIONS(2498),
    [anon_sym_GT] = ACTIONS(2498),
    [anon_sym_LT_LT] = ACTIONS(2498),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2500),
    [anon_sym_PLUS_EQ] = ACTIONS(2500),
    [anon_sym_DASH_EQ] = ACTIONS(2500),
    [anon_sym_DOT_EQ] = ACTIONS(2500),
    [anon_sym_STAR_EQ] = ACTIONS(2500),
    [anon_sym_SLASH_EQ] = ACTIONS(2500),
    [anon_sym_PERCENT_EQ] = ACTIONS(2500),
    [anon_sym_x_EQ] = ACTIONS(2500),
    [anon_sym_AMP_EQ] = ACTIONS(2500),
    [anon_sym_PIPE_EQ] = ACTIONS(2500),
    [anon_sym_CARET_EQ] = ACTIONS(2500),
    [anon_sym_LT_LT_EQ] = ACTIONS(2500),
    [anon_sym_GT_GT_EQ] = ACTIONS(2500),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2500),
    [anon_sym_DOT_DOT] = ACTIONS(2498),
    [anon_sym_STAR_STAR] = ACTIONS(2498),
    [anon_sym_PIPE_PIPE] = ACTIONS(2498),
    [anon_sym_SLASH_SLASH] = ACTIONS(2498),
    [anon_sym_CARET_CARET] = ACTIONS(2500),
    [anon_sym_AMP_AMP] = ACTIONS(2498),
    [anon_sym_PIPE] = ACTIONS(2498),
    [anon_sym_CARET] = ACTIONS(2498),
    [anon_sym_AMP] = ACTIONS(2498),
    [anon_sym_GT_GT2] = ACTIONS(2498),
    [anon_sym_PLUS] = ACTIONS(2498),
    [anon_sym_DASH] = ACTIONS(2498),
    [anon_sym_DOT] = ACTIONS(2498),
    [anon_sym_STAR] = ACTIONS(2498),
    [anon_sym_SLASH] = ACTIONS(2498),
    [anon_sym_x] = ACTIONS(2498),
    [anon_sym_EQ_TILDE] = ACTIONS(2500),
    [anon_sym_BANG_TILDE] = ACTIONS(2500),
    [anon_sym_EQ_EQ] = ACTIONS(2498),
    [anon_sym_BANG_EQ] = ACTIONS(2500),
    [anon_sym_eq] = ACTIONS(2498),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2500),
    [anon_sym_equ] = ACTIONS(2498),
    [anon_sym_eqr] = ACTIONS(2498),
    [anon_sym_ne] = ACTIONS(2498),
    [anon_sym_LT_EQ_GT] = ACTIONS(2500),
    [anon_sym_cmp] = ACTIONS(2498),
    [anon_sym_TILDE_TILDE] = ACTIONS(2500),
    [anon_sym_LT] = ACTIONS(2498),
    [anon_sym_LT_EQ] = ACTIONS(2498),
    [anon_sym_GT_EQ] = ACTIONS(2500),
    [anon_sym_lt] = ACTIONS(2498),
    [anon_sym_le] = ACTIONS(2498),
    [anon_sym_ge] = ACTIONS(2498),
    [anon_sym_gt] = ACTIONS(2498),
    [anon_sym_isa] = ACTIONS(2498),
    [anon_sym_PLUS_PLUS] = ACTIONS(2500),
    [anon_sym_DASH_DASH] = ACTIONS(2500),
    [anon_sym_QMARK] = ACTIONS(2500),
    [anon_sym_EQ_GT] = ACTIONS(2500),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(2498),
    [sym__PERLY_SEMICOLON] = ACTIONS(2500),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1941] = {
    [sym_heredoc_content] = STATE(1941),
    [anon_sym_COLON] = ACTIONS(1665),
    [anon_sym_DOLLAR] = ACTIONS(1665),
    [anon_sym_EQ] = ACTIONS(1663),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1665),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1665),
    [anon_sym_AT] = ACTIONS(1665),
    [anon_sym_COMMA] = ACTIONS(1665),
    [anon_sym_RPAREN] = ACTIONS(1665),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1665),
    [anon_sym_DASH_GT] = ACTIONS(1665),
    [anon_sym_PERCENT] = ACTIONS(1663),
    [anon_sym_GT] = ACTIONS(1663),
    [anon_sym_LT_LT] = ACTIONS(1663),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1665),
    [anon_sym_PLUS_EQ] = ACTIONS(1665),
    [anon_sym_DASH_EQ] = ACTIONS(1665),
    [anon_sym_DOT_EQ] = ACTIONS(1665),
    [anon_sym_STAR_EQ] = ACTIONS(1665),
    [anon_sym_SLASH_EQ] = ACTIONS(1665),
    [anon_sym_PERCENT_EQ] = ACTIONS(1663),
    [anon_sym_x_EQ] = ACTIONS(1665),
    [anon_sym_AMP_EQ] = ACTIONS(1665),
    [anon_sym_PIPE_EQ] = ACTIONS(1665),
    [anon_sym_CARET_EQ] = ACTIONS(1665),
    [anon_sym_LT_LT_EQ] = ACTIONS(1665),
    [anon_sym_GT_GT_EQ] = ACTIONS(1665),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1665),
    [anon_sym_DOT_DOT] = ACTIONS(1663),
    [anon_sym_STAR_STAR] = ACTIONS(1663),
    [anon_sym_PIPE_PIPE] = ACTIONS(1663),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_CARET_CARET] = ACTIONS(1665),
    [anon_sym_AMP_AMP] = ACTIONS(1663),
    [anon_sym_PIPE] = ACTIONS(1663),
    [anon_sym_CARET] = ACTIONS(1663),
    [anon_sym_AMP] = ACTIONS(1663),
    [anon_sym_GT_GT2] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(1663),
    [anon_sym_DASH] = ACTIONS(1663),
    [anon_sym_DOT] = ACTIONS(1663),
    [anon_sym_STAR] = ACTIONS(1663),
    [anon_sym_SLASH] = ACTIONS(1663),
    [anon_sym_x] = ACTIONS(1663),
    [anon_sym_EQ_TILDE] = ACTIONS(1665),
    [anon_sym_BANG_TILDE] = ACTIONS(1665),
    [anon_sym_EQ_EQ] = ACTIONS(1663),
    [anon_sym_BANG_EQ] = ACTIONS(1665),
    [anon_sym_eq] = ACTIONS(1663),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1665),
    [anon_sym_equ] = ACTIONS(1665),
    [anon_sym_eqr] = ACTIONS(1665),
    [anon_sym_ne] = ACTIONS(1665),
    [anon_sym_LT_EQ_GT] = ACTIONS(1665),
    [anon_sym_cmp] = ACTIONS(1665),
    [anon_sym_TILDE_TILDE] = ACTIONS(1665),
    [anon_sym_LT] = ACTIONS(1663),
    [anon_sym_LT_EQ] = ACTIONS(1663),
    [anon_sym_GT_EQ] = ACTIONS(1665),
    [anon_sym_lt] = ACTIONS(1665),
    [anon_sym_le] = ACTIONS(1665),
    [anon_sym_ge] = ACTIONS(1665),
    [anon_sym_gt] = ACTIONS(1665),
    [anon_sym_isa] = ACTIONS(1665),
    [anon_sym_PLUS_PLUS] = ACTIONS(1665),
    [anon_sym_DASH_DASH] = ACTIONS(1665),
    [anon_sym_QMARK] = ACTIONS(1665),
    [anon_sym_PERCENT2] = ACTIONS(1665),
    [anon_sym_EQ_GT] = ACTIONS(1665),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1942] = {
    [sym_heredoc_content] = STATE(1942),
    [anon_sym_LBRACE] = ACTIONS(1861),
    [anon_sym_SEMI] = ACTIONS(1861),
    [anon_sym_EQ] = ACTIONS(1859),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1861),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1861),
    [anon_sym_COMMA] = ACTIONS(1861),
    [anon_sym_LPAREN] = ACTIONS(1861),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1861),
    [anon_sym_LBRACK] = ACTIONS(1861),
    [anon_sym_DASH_GT] = ACTIONS(1861),
    [anon_sym_PERCENT] = ACTIONS(1859),
    [anon_sym_GT] = ACTIONS(1859),
    [anon_sym_LT_LT] = ACTIONS(1859),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1861),
    [anon_sym_PLUS_EQ] = ACTIONS(1861),
    [anon_sym_DASH_EQ] = ACTIONS(1861),
    [anon_sym_DOT_EQ] = ACTIONS(1861),
    [anon_sym_STAR_EQ] = ACTIONS(1861),
    [anon_sym_SLASH_EQ] = ACTIONS(1861),
    [anon_sym_PERCENT_EQ] = ACTIONS(1861),
    [anon_sym_x_EQ] = ACTIONS(1861),
    [anon_sym_AMP_EQ] = ACTIONS(1861),
    [anon_sym_PIPE_EQ] = ACTIONS(1861),
    [anon_sym_CARET_EQ] = ACTIONS(1861),
    [anon_sym_LT_LT_EQ] = ACTIONS(1861),
    [anon_sym_GT_GT_EQ] = ACTIONS(1861),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1861),
    [anon_sym_DOT_DOT] = ACTIONS(1859),
    [anon_sym_STAR_STAR] = ACTIONS(1859),
    [anon_sym_PIPE_PIPE] = ACTIONS(1859),
    [anon_sym_SLASH_SLASH] = ACTIONS(1859),
    [anon_sym_CARET_CARET] = ACTIONS(1861),
    [anon_sym_AMP_AMP] = ACTIONS(1859),
    [anon_sym_PIPE] = ACTIONS(1859),
    [anon_sym_CARET] = ACTIONS(1859),
    [anon_sym_AMP] = ACTIONS(1859),
    [anon_sym_GT_GT2] = ACTIONS(1859),
    [anon_sym_PLUS] = ACTIONS(1859),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_DOT] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1859),
    [anon_sym_SLASH] = ACTIONS(1859),
    [anon_sym_x] = ACTIONS(1859),
    [anon_sym_EQ_TILDE] = ACTIONS(1861),
    [anon_sym_BANG_TILDE] = ACTIONS(1861),
    [anon_sym_EQ_EQ] = ACTIONS(1859),
    [anon_sym_BANG_EQ] = ACTIONS(1861),
    [anon_sym_eq] = ACTIONS(1859),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1861),
    [anon_sym_equ] = ACTIONS(1861),
    [anon_sym_eqr] = ACTIONS(1861),
    [anon_sym_ne] = ACTIONS(1861),
    [anon_sym_LT_EQ_GT] = ACTIONS(1861),
    [anon_sym_cmp] = ACTIONS(1861),
    [anon_sym_TILDE_TILDE] = ACTIONS(1861),
    [anon_sym_LT] = ACTIONS(1859),
    [anon_sym_LT_EQ] = ACTIONS(1859),
    [anon_sym_GT_EQ] = ACTIONS(1861),
    [anon_sym_lt] = ACTIONS(1861),
    [anon_sym_le] = ACTIONS(1861),
    [anon_sym_ge] = ACTIONS(1861),
    [anon_sym_gt] = ACTIONS(1861),
    [anon_sym_isa] = ACTIONS(1861),
    [anon_sym_PLUS_PLUS] = ACTIONS(1861),
    [anon_sym_DASH_DASH] = ACTIONS(1861),
    [anon_sym_QMARK] = ACTIONS(1861),
    [anon_sym_EQ_GT] = ACTIONS(1861),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(1861),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1943] = {
    [sym_heredoc_content] = STATE(1943),
    [anon_sym_LBRACE] = ACTIONS(1865),
    [anon_sym_SEMI] = ACTIONS(1865),
    [anon_sym_EQ] = ACTIONS(1863),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1865),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1865),
    [anon_sym_COMMA] = ACTIONS(1865),
    [anon_sym_LPAREN] = ACTIONS(1865),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1865),
    [anon_sym_LBRACK] = ACTIONS(1865),
    [anon_sym_DASH_GT] = ACTIONS(1865),
    [anon_sym_PERCENT] = ACTIONS(1863),
    [anon_sym_GT] = ACTIONS(1863),
    [anon_sym_LT_LT] = ACTIONS(1863),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1865),
    [anon_sym_PLUS_EQ] = ACTIONS(1865),
    [anon_sym_DASH_EQ] = ACTIONS(1865),
    [anon_sym_DOT_EQ] = ACTIONS(1865),
    [anon_sym_STAR_EQ] = ACTIONS(1865),
    [anon_sym_SLASH_EQ] = ACTIONS(1865),
    [anon_sym_PERCENT_EQ] = ACTIONS(1865),
    [anon_sym_x_EQ] = ACTIONS(1865),
    [anon_sym_AMP_EQ] = ACTIONS(1865),
    [anon_sym_PIPE_EQ] = ACTIONS(1865),
    [anon_sym_CARET_EQ] = ACTIONS(1865),
    [anon_sym_LT_LT_EQ] = ACTIONS(1865),
    [anon_sym_GT_GT_EQ] = ACTIONS(1865),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1865),
    [anon_sym_DOT_DOT] = ACTIONS(1863),
    [anon_sym_STAR_STAR] = ACTIONS(1863),
    [anon_sym_PIPE_PIPE] = ACTIONS(1863),
    [anon_sym_SLASH_SLASH] = ACTIONS(1863),
    [anon_sym_CARET_CARET] = ACTIONS(1865),
    [anon_sym_AMP_AMP] = ACTIONS(1863),
    [anon_sym_PIPE] = ACTIONS(1863),
    [anon_sym_CARET] = ACTIONS(1863),
    [anon_sym_AMP] = ACTIONS(1863),
    [anon_sym_GT_GT2] = ACTIONS(1863),
    [anon_sym_PLUS] = ACTIONS(1863),
    [anon_sym_DASH] = ACTIONS(1863),
    [anon_sym_DOT] = ACTIONS(1863),
    [anon_sym_STAR] = ACTIONS(1863),
    [anon_sym_SLASH] = ACTIONS(1863),
    [anon_sym_x] = ACTIONS(1863),
    [anon_sym_EQ_TILDE] = ACTIONS(1865),
    [anon_sym_BANG_TILDE] = ACTIONS(1865),
    [anon_sym_EQ_EQ] = ACTIONS(1863),
    [anon_sym_BANG_EQ] = ACTIONS(1865),
    [anon_sym_eq] = ACTIONS(1863),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1865),
    [anon_sym_equ] = ACTIONS(1865),
    [anon_sym_eqr] = ACTIONS(1865),
    [anon_sym_ne] = ACTIONS(1865),
    [anon_sym_LT_EQ_GT] = ACTIONS(1865),
    [anon_sym_cmp] = ACTIONS(1865),
    [anon_sym_TILDE_TILDE] = ACTIONS(1865),
    [anon_sym_LT] = ACTIONS(1863),
    [anon_sym_LT_EQ] = ACTIONS(1863),
    [anon_sym_GT_EQ] = ACTIONS(1865),
    [anon_sym_lt] = ACTIONS(1865),
    [anon_sym_le] = ACTIONS(1865),
    [anon_sym_ge] = ACTIONS(1865),
    [anon_sym_gt] = ACTIONS(1865),
    [anon_sym_isa] = ACTIONS(1865),
    [anon_sym_PLUS_PLUS] = ACTIONS(1865),
    [anon_sym_DASH_DASH] = ACTIONS(1865),
    [anon_sym_QMARK] = ACTIONS(1865),
    [anon_sym_EQ_GT] = ACTIONS(1865),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(1865),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1944] = {
    [sym_heredoc_content] = STATE(1944),
    [anon_sym_LBRACE] = ACTIONS(1836),
    [anon_sym_SEMI] = ACTIONS(1836),
    [anon_sym_EQ] = ACTIONS(1834),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1836),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1836),
    [anon_sym_COMMA] = ACTIONS(1836),
    [anon_sym_LPAREN] = ACTIONS(1836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1836),
    [anon_sym_LBRACK] = ACTIONS(1836),
    [anon_sym_DASH_GT] = ACTIONS(1836),
    [anon_sym_PERCENT] = ACTIONS(1834),
    [anon_sym_GT] = ACTIONS(1834),
    [anon_sym_LT_LT] = ACTIONS(1834),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1836),
    [anon_sym_PLUS_EQ] = ACTIONS(1836),
    [anon_sym_DASH_EQ] = ACTIONS(1836),
    [anon_sym_DOT_EQ] = ACTIONS(1836),
    [anon_sym_STAR_EQ] = ACTIONS(1836),
    [anon_sym_SLASH_EQ] = ACTIONS(1836),
    [anon_sym_PERCENT_EQ] = ACTIONS(1836),
    [anon_sym_x_EQ] = ACTIONS(1836),
    [anon_sym_AMP_EQ] = ACTIONS(1836),
    [anon_sym_PIPE_EQ] = ACTIONS(1836),
    [anon_sym_CARET_EQ] = ACTIONS(1836),
    [anon_sym_LT_LT_EQ] = ACTIONS(1836),
    [anon_sym_GT_GT_EQ] = ACTIONS(1836),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1836),
    [anon_sym_DOT_DOT] = ACTIONS(1834),
    [anon_sym_STAR_STAR] = ACTIONS(1834),
    [anon_sym_PIPE_PIPE] = ACTIONS(1834),
    [anon_sym_SLASH_SLASH] = ACTIONS(1834),
    [anon_sym_CARET_CARET] = ACTIONS(1836),
    [anon_sym_AMP_AMP] = ACTIONS(1834),
    [anon_sym_PIPE] = ACTIONS(1834),
    [anon_sym_CARET] = ACTIONS(1834),
    [anon_sym_AMP] = ACTIONS(1834),
    [anon_sym_GT_GT2] = ACTIONS(1834),
    [anon_sym_PLUS] = ACTIONS(1834),
    [anon_sym_DASH] = ACTIONS(1834),
    [anon_sym_DOT] = ACTIONS(1834),
    [anon_sym_STAR] = ACTIONS(1834),
    [anon_sym_SLASH] = ACTIONS(1834),
    [anon_sym_x] = ACTIONS(1834),
    [anon_sym_EQ_TILDE] = ACTIONS(1836),
    [anon_sym_BANG_TILDE] = ACTIONS(1836),
    [anon_sym_EQ_EQ] = ACTIONS(1834),
    [anon_sym_BANG_EQ] = ACTIONS(1836),
    [anon_sym_eq] = ACTIONS(1834),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1836),
    [anon_sym_equ] = ACTIONS(1836),
    [anon_sym_eqr] = ACTIONS(1836),
    [anon_sym_ne] = ACTIONS(1836),
    [anon_sym_LT_EQ_GT] = ACTIONS(1836),
    [anon_sym_cmp] = ACTIONS(1836),
    [anon_sym_TILDE_TILDE] = ACTIONS(1836),
    [anon_sym_LT] = ACTIONS(1834),
    [anon_sym_LT_EQ] = ACTIONS(1834),
    [anon_sym_GT_EQ] = ACTIONS(1836),
    [anon_sym_lt] = ACTIONS(1836),
    [anon_sym_le] = ACTIONS(1836),
    [anon_sym_ge] = ACTIONS(1836),
    [anon_sym_gt] = ACTIONS(1836),
    [anon_sym_isa] = ACTIONS(1836),
    [anon_sym_PLUS_PLUS] = ACTIONS(1836),
    [anon_sym_DASH_DASH] = ACTIONS(1836),
    [anon_sym_QMARK] = ACTIONS(1836),
    [anon_sym_EQ_GT] = ACTIONS(1836),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(1836),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1945] = {
    [sym_heredoc_content] = STATE(1945),
    [anon_sym_LBRACE] = ACTIONS(1832),
    [anon_sym_SEMI] = ACTIONS(1832),
    [anon_sym_EQ] = ACTIONS(1828),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1832),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1832),
    [anon_sym_COMMA] = ACTIONS(1832),
    [anon_sym_LPAREN] = ACTIONS(1832),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1832),
    [anon_sym_LBRACK] = ACTIONS(1832),
    [anon_sym_DASH_GT] = ACTIONS(1832),
    [anon_sym_PERCENT] = ACTIONS(1828),
    [anon_sym_GT] = ACTIONS(1828),
    [anon_sym_LT_LT] = ACTIONS(1828),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1832),
    [anon_sym_PLUS_EQ] = ACTIONS(1832),
    [anon_sym_DASH_EQ] = ACTIONS(1832),
    [anon_sym_DOT_EQ] = ACTIONS(1832),
    [anon_sym_STAR_EQ] = ACTIONS(1832),
    [anon_sym_SLASH_EQ] = ACTIONS(1832),
    [anon_sym_PERCENT_EQ] = ACTIONS(1832),
    [anon_sym_x_EQ] = ACTIONS(1832),
    [anon_sym_AMP_EQ] = ACTIONS(1832),
    [anon_sym_PIPE_EQ] = ACTIONS(1832),
    [anon_sym_CARET_EQ] = ACTIONS(1832),
    [anon_sym_LT_LT_EQ] = ACTIONS(1832),
    [anon_sym_GT_GT_EQ] = ACTIONS(1832),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1832),
    [anon_sym_DOT_DOT] = ACTIONS(1828),
    [anon_sym_STAR_STAR] = ACTIONS(1828),
    [anon_sym_PIPE_PIPE] = ACTIONS(1828),
    [anon_sym_SLASH_SLASH] = ACTIONS(1828),
    [anon_sym_CARET_CARET] = ACTIONS(1832),
    [anon_sym_AMP_AMP] = ACTIONS(1828),
    [anon_sym_PIPE] = ACTIONS(1828),
    [anon_sym_CARET] = ACTIONS(1828),
    [anon_sym_AMP] = ACTIONS(1828),
    [anon_sym_GT_GT2] = ACTIONS(1828),
    [anon_sym_PLUS] = ACTIONS(1828),
    [anon_sym_DASH] = ACTIONS(1828),
    [anon_sym_DOT] = ACTIONS(1828),
    [anon_sym_STAR] = ACTIONS(1828),
    [anon_sym_SLASH] = ACTIONS(1828),
    [anon_sym_x] = ACTIONS(1828),
    [anon_sym_EQ_TILDE] = ACTIONS(1832),
    [anon_sym_BANG_TILDE] = ACTIONS(1832),
    [anon_sym_EQ_EQ] = ACTIONS(1828),
    [anon_sym_BANG_EQ] = ACTIONS(1832),
    [anon_sym_eq] = ACTIONS(1828),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1832),
    [anon_sym_equ] = ACTIONS(1832),
    [anon_sym_eqr] = ACTIONS(1832),
    [anon_sym_ne] = ACTIONS(1832),
    [anon_sym_LT_EQ_GT] = ACTIONS(1832),
    [anon_sym_cmp] = ACTIONS(1832),
    [anon_sym_TILDE_TILDE] = ACTIONS(1832),
    [anon_sym_LT] = ACTIONS(1828),
    [anon_sym_LT_EQ] = ACTIONS(1828),
    [anon_sym_GT_EQ] = ACTIONS(1832),
    [anon_sym_lt] = ACTIONS(1832),
    [anon_sym_le] = ACTIONS(1832),
    [anon_sym_ge] = ACTIONS(1832),
    [anon_sym_gt] = ACTIONS(1832),
    [anon_sym_isa] = ACTIONS(1832),
    [anon_sym_PLUS_PLUS] = ACTIONS(1832),
    [anon_sym_DASH_DASH] = ACTIONS(1832),
    [anon_sym_QMARK] = ACTIONS(1832),
    [anon_sym_EQ_GT] = ACTIONS(1832),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(1832),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1946] = {
    [sym_heredoc_content] = STATE(1946),
    [anon_sym_COLON] = ACTIONS(3086),
    [anon_sym_DOLLAR] = ACTIONS(3086),
    [anon_sym_EQ] = ACTIONS(3088),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3086),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3086),
    [anon_sym_AT] = ACTIONS(3086),
    [anon_sym_COMMA] = ACTIONS(3086),
    [anon_sym_RPAREN] = ACTIONS(3086),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3086),
    [anon_sym_DASH_GT] = ACTIONS(3086),
    [anon_sym_PERCENT] = ACTIONS(3088),
    [anon_sym_GT] = ACTIONS(3088),
    [anon_sym_LT_LT] = ACTIONS(3088),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3086),
    [anon_sym_PLUS_EQ] = ACTIONS(3086),
    [anon_sym_DASH_EQ] = ACTIONS(3086),
    [anon_sym_DOT_EQ] = ACTIONS(3086),
    [anon_sym_STAR_EQ] = ACTIONS(3086),
    [anon_sym_SLASH_EQ] = ACTIONS(3086),
    [anon_sym_PERCENT_EQ] = ACTIONS(3088),
    [anon_sym_x_EQ] = ACTIONS(3086),
    [anon_sym_AMP_EQ] = ACTIONS(3086),
    [anon_sym_PIPE_EQ] = ACTIONS(3086),
    [anon_sym_CARET_EQ] = ACTIONS(3086),
    [anon_sym_LT_LT_EQ] = ACTIONS(3086),
    [anon_sym_GT_GT_EQ] = ACTIONS(3086),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3086),
    [anon_sym_DOT_DOT] = ACTIONS(3088),
    [anon_sym_STAR_STAR] = ACTIONS(3088),
    [anon_sym_PIPE_PIPE] = ACTIONS(3088),
    [anon_sym_SLASH_SLASH] = ACTIONS(3088),
    [anon_sym_CARET_CARET] = ACTIONS(3086),
    [anon_sym_AMP_AMP] = ACTIONS(3088),
    [anon_sym_PIPE] = ACTIONS(3088),
    [anon_sym_CARET] = ACTIONS(3088),
    [anon_sym_AMP] = ACTIONS(3088),
    [anon_sym_GT_GT2] = ACTIONS(3088),
    [anon_sym_PLUS] = ACTIONS(3088),
    [anon_sym_DASH] = ACTIONS(3088),
    [anon_sym_DOT] = ACTIONS(3088),
    [anon_sym_STAR] = ACTIONS(3088),
    [anon_sym_SLASH] = ACTIONS(3088),
    [anon_sym_x] = ACTIONS(3088),
    [anon_sym_EQ_TILDE] = ACTIONS(3086),
    [anon_sym_BANG_TILDE] = ACTIONS(3086),
    [anon_sym_EQ_EQ] = ACTIONS(3088),
    [anon_sym_BANG_EQ] = ACTIONS(3086),
    [anon_sym_eq] = ACTIONS(3088),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3086),
    [anon_sym_equ] = ACTIONS(3086),
    [anon_sym_eqr] = ACTIONS(3086),
    [anon_sym_ne] = ACTIONS(3086),
    [anon_sym_LT_EQ_GT] = ACTIONS(3086),
    [anon_sym_cmp] = ACTIONS(3086),
    [anon_sym_TILDE_TILDE] = ACTIONS(3086),
    [anon_sym_LT] = ACTIONS(3088),
    [anon_sym_LT_EQ] = ACTIONS(3088),
    [anon_sym_GT_EQ] = ACTIONS(3086),
    [anon_sym_lt] = ACTIONS(3086),
    [anon_sym_le] = ACTIONS(3086),
    [anon_sym_ge] = ACTIONS(3086),
    [anon_sym_gt] = ACTIONS(3086),
    [anon_sym_isa] = ACTIONS(3086),
    [anon_sym_PLUS_PLUS] = ACTIONS(3086),
    [anon_sym_DASH_DASH] = ACTIONS(3086),
    [anon_sym_QMARK] = ACTIONS(3086),
    [anon_sym_PERCENT2] = ACTIONS(3086),
    [anon_sym_EQ_GT] = ACTIONS(3086),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1947] = {
    [sym_heredoc_content] = STATE(1947),
    [anon_sym_LBRACE] = ACTIONS(2514),
    [anon_sym_SEMI] = ACTIONS(2514),
    [anon_sym_EQ] = ACTIONS(2516),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2514),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2514),
    [anon_sym_COMMA] = ACTIONS(2514),
    [anon_sym_LPAREN] = ACTIONS(2514),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2514),
    [anon_sym_LBRACK] = ACTIONS(2514),
    [anon_sym_DASH_GT] = ACTIONS(2514),
    [anon_sym_PERCENT] = ACTIONS(2516),
    [anon_sym_GT] = ACTIONS(2516),
    [anon_sym_LT_LT] = ACTIONS(2516),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2514),
    [anon_sym_PLUS_EQ] = ACTIONS(2514),
    [anon_sym_DASH_EQ] = ACTIONS(2514),
    [anon_sym_DOT_EQ] = ACTIONS(2514),
    [anon_sym_STAR_EQ] = ACTIONS(2514),
    [anon_sym_SLASH_EQ] = ACTIONS(2514),
    [anon_sym_PERCENT_EQ] = ACTIONS(2514),
    [anon_sym_x_EQ] = ACTIONS(2514),
    [anon_sym_AMP_EQ] = ACTIONS(2514),
    [anon_sym_PIPE_EQ] = ACTIONS(2514),
    [anon_sym_CARET_EQ] = ACTIONS(2514),
    [anon_sym_LT_LT_EQ] = ACTIONS(2514),
    [anon_sym_GT_GT_EQ] = ACTIONS(2514),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2514),
    [anon_sym_DOT_DOT] = ACTIONS(2516),
    [anon_sym_STAR_STAR] = ACTIONS(2516),
    [anon_sym_PIPE_PIPE] = ACTIONS(2516),
    [anon_sym_SLASH_SLASH] = ACTIONS(2516),
    [anon_sym_CARET_CARET] = ACTIONS(2514),
    [anon_sym_AMP_AMP] = ACTIONS(2516),
    [anon_sym_PIPE] = ACTIONS(2516),
    [anon_sym_CARET] = ACTIONS(2516),
    [anon_sym_AMP] = ACTIONS(2516),
    [anon_sym_GT_GT2] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(2516),
    [anon_sym_DASH] = ACTIONS(2516),
    [anon_sym_DOT] = ACTIONS(2516),
    [anon_sym_STAR] = ACTIONS(2516),
    [anon_sym_SLASH] = ACTIONS(2516),
    [anon_sym_x] = ACTIONS(2516),
    [anon_sym_EQ_TILDE] = ACTIONS(2514),
    [anon_sym_BANG_TILDE] = ACTIONS(2514),
    [anon_sym_EQ_EQ] = ACTIONS(2516),
    [anon_sym_BANG_EQ] = ACTIONS(2514),
    [anon_sym_eq] = ACTIONS(2516),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2514),
    [anon_sym_equ] = ACTIONS(2514),
    [anon_sym_eqr] = ACTIONS(2514),
    [anon_sym_ne] = ACTIONS(2514),
    [anon_sym_LT_EQ_GT] = ACTIONS(2514),
    [anon_sym_cmp] = ACTIONS(2514),
    [anon_sym_TILDE_TILDE] = ACTIONS(2514),
    [anon_sym_LT] = ACTIONS(2516),
    [anon_sym_LT_EQ] = ACTIONS(2516),
    [anon_sym_GT_EQ] = ACTIONS(2514),
    [anon_sym_lt] = ACTIONS(2514),
    [anon_sym_le] = ACTIONS(2514),
    [anon_sym_ge] = ACTIONS(2514),
    [anon_sym_gt] = ACTIONS(2514),
    [anon_sym_isa] = ACTIONS(2514),
    [anon_sym_PLUS_PLUS] = ACTIONS(2514),
    [anon_sym_DASH_DASH] = ACTIONS(2514),
    [anon_sym_QMARK] = ACTIONS(2514),
    [anon_sym_EQ_GT] = ACTIONS(2514),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2514),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1948] = {
    [sym_heredoc_content] = STATE(1948),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_SEMI] = ACTIONS(1659),
    [anon_sym_EQ] = ACTIONS(1661),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1659),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1659),
    [anon_sym_COMMA] = ACTIONS(1659),
    [anon_sym_LPAREN] = ACTIONS(1659),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1659),
    [anon_sym_LBRACK] = ACTIONS(1659),
    [anon_sym_DASH_GT] = ACTIONS(1659),
    [anon_sym_PERCENT] = ACTIONS(1661),
    [anon_sym_GT] = ACTIONS(1661),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1659),
    [anon_sym_PLUS_EQ] = ACTIONS(1659),
    [anon_sym_DASH_EQ] = ACTIONS(1659),
    [anon_sym_DOT_EQ] = ACTIONS(1659),
    [anon_sym_STAR_EQ] = ACTIONS(1659),
    [anon_sym_SLASH_EQ] = ACTIONS(1659),
    [anon_sym_PERCENT_EQ] = ACTIONS(1659),
    [anon_sym_x_EQ] = ACTIONS(1659),
    [anon_sym_AMP_EQ] = ACTIONS(1659),
    [anon_sym_PIPE_EQ] = ACTIONS(1659),
    [anon_sym_CARET_EQ] = ACTIONS(1659),
    [anon_sym_LT_LT_EQ] = ACTIONS(1659),
    [anon_sym_GT_GT_EQ] = ACTIONS(1659),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1659),
    [anon_sym_DOT_DOT] = ACTIONS(1661),
    [anon_sym_STAR_STAR] = ACTIONS(1661),
    [anon_sym_PIPE_PIPE] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1661),
    [anon_sym_CARET_CARET] = ACTIONS(1659),
    [anon_sym_AMP_AMP] = ACTIONS(1661),
    [anon_sym_PIPE] = ACTIONS(1661),
    [anon_sym_CARET] = ACTIONS(1661),
    [anon_sym_AMP] = ACTIONS(1661),
    [anon_sym_GT_GT2] = ACTIONS(1661),
    [anon_sym_PLUS] = ACTIONS(1661),
    [anon_sym_DASH] = ACTIONS(1661),
    [anon_sym_DOT] = ACTIONS(1661),
    [anon_sym_STAR] = ACTIONS(1661),
    [anon_sym_SLASH] = ACTIONS(1661),
    [anon_sym_x] = ACTIONS(1661),
    [anon_sym_EQ_TILDE] = ACTIONS(1659),
    [anon_sym_BANG_TILDE] = ACTIONS(1659),
    [anon_sym_EQ_EQ] = ACTIONS(1661),
    [anon_sym_BANG_EQ] = ACTIONS(1659),
    [anon_sym_eq] = ACTIONS(1661),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1659),
    [anon_sym_equ] = ACTIONS(1659),
    [anon_sym_eqr] = ACTIONS(1659),
    [anon_sym_ne] = ACTIONS(1659),
    [anon_sym_LT_EQ_GT] = ACTIONS(1659),
    [anon_sym_cmp] = ACTIONS(1659),
    [anon_sym_TILDE_TILDE] = ACTIONS(1659),
    [anon_sym_LT] = ACTIONS(1661),
    [anon_sym_LT_EQ] = ACTIONS(1661),
    [anon_sym_GT_EQ] = ACTIONS(1659),
    [anon_sym_lt] = ACTIONS(1659),
    [anon_sym_le] = ACTIONS(1659),
    [anon_sym_ge] = ACTIONS(1659),
    [anon_sym_gt] = ACTIONS(1659),
    [anon_sym_isa] = ACTIONS(1659),
    [anon_sym_PLUS_PLUS] = ACTIONS(1659),
    [anon_sym_DASH_DASH] = ACTIONS(1659),
    [anon_sym_QMARK] = ACTIONS(1659),
    [anon_sym_EQ_GT] = ACTIONS(1659),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(1659),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1949] = {
    [sym_heredoc_content] = STATE(1949),
    [anon_sym_LBRACE] = ACTIONS(1826),
    [anon_sym_SEMI] = ACTIONS(1826),
    [anon_sym_EQ] = ACTIONS(1824),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1826),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1826),
    [anon_sym_COMMA] = ACTIONS(1826),
    [anon_sym_LPAREN] = ACTIONS(1826),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1826),
    [anon_sym_LBRACK] = ACTIONS(1826),
    [anon_sym_DASH_GT] = ACTIONS(1826),
    [anon_sym_PERCENT] = ACTIONS(1824),
    [anon_sym_GT] = ACTIONS(1824),
    [anon_sym_LT_LT] = ACTIONS(1824),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1826),
    [anon_sym_PLUS_EQ] = ACTIONS(1826),
    [anon_sym_DASH_EQ] = ACTIONS(1826),
    [anon_sym_DOT_EQ] = ACTIONS(1826),
    [anon_sym_STAR_EQ] = ACTIONS(1826),
    [anon_sym_SLASH_EQ] = ACTIONS(1826),
    [anon_sym_PERCENT_EQ] = ACTIONS(1826),
    [anon_sym_x_EQ] = ACTIONS(1826),
    [anon_sym_AMP_EQ] = ACTIONS(1826),
    [anon_sym_PIPE_EQ] = ACTIONS(1826),
    [anon_sym_CARET_EQ] = ACTIONS(1826),
    [anon_sym_LT_LT_EQ] = ACTIONS(1826),
    [anon_sym_GT_GT_EQ] = ACTIONS(1826),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1826),
    [anon_sym_DOT_DOT] = ACTIONS(1824),
    [anon_sym_STAR_STAR] = ACTIONS(1824),
    [anon_sym_PIPE_PIPE] = ACTIONS(1824),
    [anon_sym_SLASH_SLASH] = ACTIONS(1824),
    [anon_sym_CARET_CARET] = ACTIONS(1826),
    [anon_sym_AMP_AMP] = ACTIONS(1824),
    [anon_sym_PIPE] = ACTIONS(1824),
    [anon_sym_CARET] = ACTIONS(1824),
    [anon_sym_AMP] = ACTIONS(1824),
    [anon_sym_GT_GT2] = ACTIONS(1824),
    [anon_sym_PLUS] = ACTIONS(1824),
    [anon_sym_DASH] = ACTIONS(1824),
    [anon_sym_DOT] = ACTIONS(1824),
    [anon_sym_STAR] = ACTIONS(1824),
    [anon_sym_SLASH] = ACTIONS(1824),
    [anon_sym_x] = ACTIONS(1824),
    [anon_sym_EQ_TILDE] = ACTIONS(1826),
    [anon_sym_BANG_TILDE] = ACTIONS(1826),
    [anon_sym_EQ_EQ] = ACTIONS(1824),
    [anon_sym_BANG_EQ] = ACTIONS(1826),
    [anon_sym_eq] = ACTIONS(1824),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1826),
    [anon_sym_equ] = ACTIONS(1826),
    [anon_sym_eqr] = ACTIONS(1826),
    [anon_sym_ne] = ACTIONS(1826),
    [anon_sym_LT_EQ_GT] = ACTIONS(1826),
    [anon_sym_cmp] = ACTIONS(1826),
    [anon_sym_TILDE_TILDE] = ACTIONS(1826),
    [anon_sym_LT] = ACTIONS(1824),
    [anon_sym_LT_EQ] = ACTIONS(1824),
    [anon_sym_GT_EQ] = ACTIONS(1826),
    [anon_sym_lt] = ACTIONS(1826),
    [anon_sym_le] = ACTIONS(1826),
    [anon_sym_ge] = ACTIONS(1826),
    [anon_sym_gt] = ACTIONS(1826),
    [anon_sym_isa] = ACTIONS(1826),
    [anon_sym_PLUS_PLUS] = ACTIONS(1826),
    [anon_sym_DASH_DASH] = ACTIONS(1826),
    [anon_sym_QMARK] = ACTIONS(1826),
    [anon_sym_EQ_GT] = ACTIONS(1826),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(1826),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1950] = {
    [sym_heredoc_content] = STATE(1950),
    [anon_sym_LBRACE] = ACTIONS(2470),
    [anon_sym_SEMI] = ACTIONS(2470),
    [anon_sym_EQ] = ACTIONS(2472),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2470),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2470),
    [anon_sym_COMMA] = ACTIONS(2470),
    [anon_sym_LPAREN] = ACTIONS(2470),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2470),
    [anon_sym_LBRACK] = ACTIONS(2470),
    [anon_sym_DASH_GT] = ACTIONS(2470),
    [anon_sym_PERCENT] = ACTIONS(2472),
    [anon_sym_GT] = ACTIONS(2472),
    [anon_sym_LT_LT] = ACTIONS(2472),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2470),
    [anon_sym_PLUS_EQ] = ACTIONS(2470),
    [anon_sym_DASH_EQ] = ACTIONS(2470),
    [anon_sym_DOT_EQ] = ACTIONS(2470),
    [anon_sym_STAR_EQ] = ACTIONS(2470),
    [anon_sym_SLASH_EQ] = ACTIONS(2470),
    [anon_sym_PERCENT_EQ] = ACTIONS(2470),
    [anon_sym_x_EQ] = ACTIONS(2470),
    [anon_sym_AMP_EQ] = ACTIONS(2470),
    [anon_sym_PIPE_EQ] = ACTIONS(2470),
    [anon_sym_CARET_EQ] = ACTIONS(2470),
    [anon_sym_LT_LT_EQ] = ACTIONS(2470),
    [anon_sym_GT_GT_EQ] = ACTIONS(2470),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2470),
    [anon_sym_DOT_DOT] = ACTIONS(2472),
    [anon_sym_STAR_STAR] = ACTIONS(2472),
    [anon_sym_PIPE_PIPE] = ACTIONS(2472),
    [anon_sym_SLASH_SLASH] = ACTIONS(2472),
    [anon_sym_CARET_CARET] = ACTIONS(2470),
    [anon_sym_AMP_AMP] = ACTIONS(2472),
    [anon_sym_PIPE] = ACTIONS(2472),
    [anon_sym_CARET] = ACTIONS(2472),
    [anon_sym_AMP] = ACTIONS(2472),
    [anon_sym_GT_GT2] = ACTIONS(2472),
    [anon_sym_PLUS] = ACTIONS(2472),
    [anon_sym_DASH] = ACTIONS(2472),
    [anon_sym_DOT] = ACTIONS(2472),
    [anon_sym_STAR] = ACTIONS(2472),
    [anon_sym_SLASH] = ACTIONS(2472),
    [anon_sym_x] = ACTIONS(2472),
    [anon_sym_EQ_TILDE] = ACTIONS(2470),
    [anon_sym_BANG_TILDE] = ACTIONS(2470),
    [anon_sym_EQ_EQ] = ACTIONS(2472),
    [anon_sym_BANG_EQ] = ACTIONS(2470),
    [anon_sym_eq] = ACTIONS(2472),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2470),
    [anon_sym_equ] = ACTIONS(2470),
    [anon_sym_eqr] = ACTIONS(2470),
    [anon_sym_ne] = ACTIONS(2470),
    [anon_sym_LT_EQ_GT] = ACTIONS(2470),
    [anon_sym_cmp] = ACTIONS(2470),
    [anon_sym_TILDE_TILDE] = ACTIONS(2470),
    [anon_sym_LT] = ACTIONS(2472),
    [anon_sym_LT_EQ] = ACTIONS(2472),
    [anon_sym_GT_EQ] = ACTIONS(2470),
    [anon_sym_lt] = ACTIONS(2470),
    [anon_sym_le] = ACTIONS(2470),
    [anon_sym_ge] = ACTIONS(2470),
    [anon_sym_gt] = ACTIONS(2470),
    [anon_sym_isa] = ACTIONS(2470),
    [anon_sym_PLUS_PLUS] = ACTIONS(2470),
    [anon_sym_DASH_DASH] = ACTIONS(2470),
    [anon_sym_QMARK] = ACTIONS(2470),
    [anon_sym_EQ_GT] = ACTIONS(2470),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2470),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1951] = {
    [sym_heredoc_content] = STATE(1951),
    [anon_sym_LBRACE] = ACTIONS(2466),
    [anon_sym_SEMI] = ACTIONS(2466),
    [anon_sym_EQ] = ACTIONS(2468),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2466),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2466),
    [anon_sym_COMMA] = ACTIONS(2466),
    [anon_sym_LPAREN] = ACTIONS(2466),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2466),
    [anon_sym_LBRACK] = ACTIONS(2466),
    [anon_sym_DASH_GT] = ACTIONS(2466),
    [anon_sym_PERCENT] = ACTIONS(2468),
    [anon_sym_GT] = ACTIONS(2468),
    [anon_sym_LT_LT] = ACTIONS(2468),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2466),
    [anon_sym_PLUS_EQ] = ACTIONS(2466),
    [anon_sym_DASH_EQ] = ACTIONS(2466),
    [anon_sym_DOT_EQ] = ACTIONS(2466),
    [anon_sym_STAR_EQ] = ACTIONS(2466),
    [anon_sym_SLASH_EQ] = ACTIONS(2466),
    [anon_sym_PERCENT_EQ] = ACTIONS(2466),
    [anon_sym_x_EQ] = ACTIONS(2466),
    [anon_sym_AMP_EQ] = ACTIONS(2466),
    [anon_sym_PIPE_EQ] = ACTIONS(2466),
    [anon_sym_CARET_EQ] = ACTIONS(2466),
    [anon_sym_LT_LT_EQ] = ACTIONS(2466),
    [anon_sym_GT_GT_EQ] = ACTIONS(2466),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2466),
    [anon_sym_DOT_DOT] = ACTIONS(2468),
    [anon_sym_STAR_STAR] = ACTIONS(2468),
    [anon_sym_PIPE_PIPE] = ACTIONS(2468),
    [anon_sym_SLASH_SLASH] = ACTIONS(2468),
    [anon_sym_CARET_CARET] = ACTIONS(2466),
    [anon_sym_AMP_AMP] = ACTIONS(2468),
    [anon_sym_PIPE] = ACTIONS(2468),
    [anon_sym_CARET] = ACTIONS(2468),
    [anon_sym_AMP] = ACTIONS(2468),
    [anon_sym_GT_GT2] = ACTIONS(2468),
    [anon_sym_PLUS] = ACTIONS(2468),
    [anon_sym_DASH] = ACTIONS(2468),
    [anon_sym_DOT] = ACTIONS(2468),
    [anon_sym_STAR] = ACTIONS(2468),
    [anon_sym_SLASH] = ACTIONS(2468),
    [anon_sym_x] = ACTIONS(2468),
    [anon_sym_EQ_TILDE] = ACTIONS(2466),
    [anon_sym_BANG_TILDE] = ACTIONS(2466),
    [anon_sym_EQ_EQ] = ACTIONS(2468),
    [anon_sym_BANG_EQ] = ACTIONS(2466),
    [anon_sym_eq] = ACTIONS(2468),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2466),
    [anon_sym_equ] = ACTIONS(2466),
    [anon_sym_eqr] = ACTIONS(2466),
    [anon_sym_ne] = ACTIONS(2466),
    [anon_sym_LT_EQ_GT] = ACTIONS(2466),
    [anon_sym_cmp] = ACTIONS(2466),
    [anon_sym_TILDE_TILDE] = ACTIONS(2466),
    [anon_sym_LT] = ACTIONS(2468),
    [anon_sym_LT_EQ] = ACTIONS(2468),
    [anon_sym_GT_EQ] = ACTIONS(2466),
    [anon_sym_lt] = ACTIONS(2466),
    [anon_sym_le] = ACTIONS(2466),
    [anon_sym_ge] = ACTIONS(2466),
    [anon_sym_gt] = ACTIONS(2466),
    [anon_sym_isa] = ACTIONS(2466),
    [anon_sym_PLUS_PLUS] = ACTIONS(2466),
    [anon_sym_DASH_DASH] = ACTIONS(2466),
    [anon_sym_QMARK] = ACTIONS(2466),
    [anon_sym_EQ_GT] = ACTIONS(2466),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2466),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1952] = {
    [sym_heredoc_content] = STATE(1952),
    [anon_sym_LBRACE] = ACTIONS(2478),
    [anon_sym_SEMI] = ACTIONS(2478),
    [anon_sym_EQ] = ACTIONS(2480),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2478),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2478),
    [anon_sym_COMMA] = ACTIONS(2478),
    [anon_sym_LPAREN] = ACTIONS(2478),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2478),
    [anon_sym_LBRACK] = ACTIONS(2478),
    [anon_sym_DASH_GT] = ACTIONS(2478),
    [anon_sym_PERCENT] = ACTIONS(2480),
    [anon_sym_GT] = ACTIONS(2480),
    [anon_sym_LT_LT] = ACTIONS(2480),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2478),
    [anon_sym_PLUS_EQ] = ACTIONS(2478),
    [anon_sym_DASH_EQ] = ACTIONS(2478),
    [anon_sym_DOT_EQ] = ACTIONS(2478),
    [anon_sym_STAR_EQ] = ACTIONS(2478),
    [anon_sym_SLASH_EQ] = ACTIONS(2478),
    [anon_sym_PERCENT_EQ] = ACTIONS(2478),
    [anon_sym_x_EQ] = ACTIONS(2478),
    [anon_sym_AMP_EQ] = ACTIONS(2478),
    [anon_sym_PIPE_EQ] = ACTIONS(2478),
    [anon_sym_CARET_EQ] = ACTIONS(2478),
    [anon_sym_LT_LT_EQ] = ACTIONS(2478),
    [anon_sym_GT_GT_EQ] = ACTIONS(2478),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2478),
    [anon_sym_DOT_DOT] = ACTIONS(2480),
    [anon_sym_STAR_STAR] = ACTIONS(2480),
    [anon_sym_PIPE_PIPE] = ACTIONS(2480),
    [anon_sym_SLASH_SLASH] = ACTIONS(2480),
    [anon_sym_CARET_CARET] = ACTIONS(2478),
    [anon_sym_AMP_AMP] = ACTIONS(2480),
    [anon_sym_PIPE] = ACTIONS(2480),
    [anon_sym_CARET] = ACTIONS(2480),
    [anon_sym_AMP] = ACTIONS(2480),
    [anon_sym_GT_GT2] = ACTIONS(2480),
    [anon_sym_PLUS] = ACTIONS(2480),
    [anon_sym_DASH] = ACTIONS(2480),
    [anon_sym_DOT] = ACTIONS(2480),
    [anon_sym_STAR] = ACTIONS(2480),
    [anon_sym_SLASH] = ACTIONS(2480),
    [anon_sym_x] = ACTIONS(2480),
    [anon_sym_EQ_TILDE] = ACTIONS(2478),
    [anon_sym_BANG_TILDE] = ACTIONS(2478),
    [anon_sym_EQ_EQ] = ACTIONS(2480),
    [anon_sym_BANG_EQ] = ACTIONS(2478),
    [anon_sym_eq] = ACTIONS(2480),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2478),
    [anon_sym_equ] = ACTIONS(2478),
    [anon_sym_eqr] = ACTIONS(2478),
    [anon_sym_ne] = ACTIONS(2478),
    [anon_sym_LT_EQ_GT] = ACTIONS(2478),
    [anon_sym_cmp] = ACTIONS(2478),
    [anon_sym_TILDE_TILDE] = ACTIONS(2478),
    [anon_sym_LT] = ACTIONS(2480),
    [anon_sym_LT_EQ] = ACTIONS(2480),
    [anon_sym_GT_EQ] = ACTIONS(2478),
    [anon_sym_lt] = ACTIONS(2478),
    [anon_sym_le] = ACTIONS(2478),
    [anon_sym_ge] = ACTIONS(2478),
    [anon_sym_gt] = ACTIONS(2478),
    [anon_sym_isa] = ACTIONS(2478),
    [anon_sym_PLUS_PLUS] = ACTIONS(2478),
    [anon_sym_DASH_DASH] = ACTIONS(2478),
    [anon_sym_QMARK] = ACTIONS(2478),
    [anon_sym_EQ_GT] = ACTIONS(2478),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2478),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1953] = {
    [sym_heredoc_content] = STATE(1953),
    [anon_sym_LBRACE] = ACTIONS(2474),
    [anon_sym_SEMI] = ACTIONS(2474),
    [anon_sym_EQ] = ACTIONS(2476),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2474),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2474),
    [anon_sym_COMMA] = ACTIONS(2474),
    [anon_sym_LPAREN] = ACTIONS(2474),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2474),
    [anon_sym_LBRACK] = ACTIONS(2474),
    [anon_sym_DASH_GT] = ACTIONS(2474),
    [anon_sym_PERCENT] = ACTIONS(2476),
    [anon_sym_GT] = ACTIONS(2476),
    [anon_sym_LT_LT] = ACTIONS(2476),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2474),
    [anon_sym_PLUS_EQ] = ACTIONS(2474),
    [anon_sym_DASH_EQ] = ACTIONS(2474),
    [anon_sym_DOT_EQ] = ACTIONS(2474),
    [anon_sym_STAR_EQ] = ACTIONS(2474),
    [anon_sym_SLASH_EQ] = ACTIONS(2474),
    [anon_sym_PERCENT_EQ] = ACTIONS(2474),
    [anon_sym_x_EQ] = ACTIONS(2474),
    [anon_sym_AMP_EQ] = ACTIONS(2474),
    [anon_sym_PIPE_EQ] = ACTIONS(2474),
    [anon_sym_CARET_EQ] = ACTIONS(2474),
    [anon_sym_LT_LT_EQ] = ACTIONS(2474),
    [anon_sym_GT_GT_EQ] = ACTIONS(2474),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2474),
    [anon_sym_DOT_DOT] = ACTIONS(2476),
    [anon_sym_STAR_STAR] = ACTIONS(2476),
    [anon_sym_PIPE_PIPE] = ACTIONS(2476),
    [anon_sym_SLASH_SLASH] = ACTIONS(2476),
    [anon_sym_CARET_CARET] = ACTIONS(2474),
    [anon_sym_AMP_AMP] = ACTIONS(2476),
    [anon_sym_PIPE] = ACTIONS(2476),
    [anon_sym_CARET] = ACTIONS(2476),
    [anon_sym_AMP] = ACTIONS(2476),
    [anon_sym_GT_GT2] = ACTIONS(2476),
    [anon_sym_PLUS] = ACTIONS(2476),
    [anon_sym_DASH] = ACTIONS(2476),
    [anon_sym_DOT] = ACTIONS(2476),
    [anon_sym_STAR] = ACTIONS(2476),
    [anon_sym_SLASH] = ACTIONS(2476),
    [anon_sym_x] = ACTIONS(2476),
    [anon_sym_EQ_TILDE] = ACTIONS(2474),
    [anon_sym_BANG_TILDE] = ACTIONS(2474),
    [anon_sym_EQ_EQ] = ACTIONS(2476),
    [anon_sym_BANG_EQ] = ACTIONS(2474),
    [anon_sym_eq] = ACTIONS(2476),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2474),
    [anon_sym_equ] = ACTIONS(2474),
    [anon_sym_eqr] = ACTIONS(2474),
    [anon_sym_ne] = ACTIONS(2474),
    [anon_sym_LT_EQ_GT] = ACTIONS(2474),
    [anon_sym_cmp] = ACTIONS(2474),
    [anon_sym_TILDE_TILDE] = ACTIONS(2474),
    [anon_sym_LT] = ACTIONS(2476),
    [anon_sym_LT_EQ] = ACTIONS(2476),
    [anon_sym_GT_EQ] = ACTIONS(2474),
    [anon_sym_lt] = ACTIONS(2474),
    [anon_sym_le] = ACTIONS(2474),
    [anon_sym_ge] = ACTIONS(2474),
    [anon_sym_gt] = ACTIONS(2474),
    [anon_sym_isa] = ACTIONS(2474),
    [anon_sym_PLUS_PLUS] = ACTIONS(2474),
    [anon_sym_DASH_DASH] = ACTIONS(2474),
    [anon_sym_QMARK] = ACTIONS(2474),
    [anon_sym_EQ_GT] = ACTIONS(2474),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2474),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1954] = {
    [sym_heredoc_content] = STATE(1954),
    [anon_sym_LBRACE] = ACTIONS(2482),
    [anon_sym_SEMI] = ACTIONS(2482),
    [anon_sym_EQ] = ACTIONS(2484),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2482),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2482),
    [anon_sym_COMMA] = ACTIONS(2482),
    [anon_sym_LPAREN] = ACTIONS(2482),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2482),
    [anon_sym_LBRACK] = ACTIONS(2482),
    [anon_sym_DASH_GT] = ACTIONS(2482),
    [anon_sym_PERCENT] = ACTIONS(2484),
    [anon_sym_GT] = ACTIONS(2484),
    [anon_sym_LT_LT] = ACTIONS(2484),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2482),
    [anon_sym_PLUS_EQ] = ACTIONS(2482),
    [anon_sym_DASH_EQ] = ACTIONS(2482),
    [anon_sym_DOT_EQ] = ACTIONS(2482),
    [anon_sym_STAR_EQ] = ACTIONS(2482),
    [anon_sym_SLASH_EQ] = ACTIONS(2482),
    [anon_sym_PERCENT_EQ] = ACTIONS(2482),
    [anon_sym_x_EQ] = ACTIONS(2482),
    [anon_sym_AMP_EQ] = ACTIONS(2482),
    [anon_sym_PIPE_EQ] = ACTIONS(2482),
    [anon_sym_CARET_EQ] = ACTIONS(2482),
    [anon_sym_LT_LT_EQ] = ACTIONS(2482),
    [anon_sym_GT_GT_EQ] = ACTIONS(2482),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2482),
    [anon_sym_DOT_DOT] = ACTIONS(2484),
    [anon_sym_STAR_STAR] = ACTIONS(2484),
    [anon_sym_PIPE_PIPE] = ACTIONS(2484),
    [anon_sym_SLASH_SLASH] = ACTIONS(2484),
    [anon_sym_CARET_CARET] = ACTIONS(2482),
    [anon_sym_AMP_AMP] = ACTIONS(2484),
    [anon_sym_PIPE] = ACTIONS(2484),
    [anon_sym_CARET] = ACTIONS(2484),
    [anon_sym_AMP] = ACTIONS(2484),
    [anon_sym_GT_GT2] = ACTIONS(2484),
    [anon_sym_PLUS] = ACTIONS(2484),
    [anon_sym_DASH] = ACTIONS(2484),
    [anon_sym_DOT] = ACTIONS(2484),
    [anon_sym_STAR] = ACTIONS(2484),
    [anon_sym_SLASH] = ACTIONS(2484),
    [anon_sym_x] = ACTIONS(2484),
    [anon_sym_EQ_TILDE] = ACTIONS(2482),
    [anon_sym_BANG_TILDE] = ACTIONS(2482),
    [anon_sym_EQ_EQ] = ACTIONS(2484),
    [anon_sym_BANG_EQ] = ACTIONS(2482),
    [anon_sym_eq] = ACTIONS(2484),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2482),
    [anon_sym_equ] = ACTIONS(2482),
    [anon_sym_eqr] = ACTIONS(2482),
    [anon_sym_ne] = ACTIONS(2482),
    [anon_sym_LT_EQ_GT] = ACTIONS(2482),
    [anon_sym_cmp] = ACTIONS(2482),
    [anon_sym_TILDE_TILDE] = ACTIONS(2482),
    [anon_sym_LT] = ACTIONS(2484),
    [anon_sym_LT_EQ] = ACTIONS(2484),
    [anon_sym_GT_EQ] = ACTIONS(2482),
    [anon_sym_lt] = ACTIONS(2482),
    [anon_sym_le] = ACTIONS(2482),
    [anon_sym_ge] = ACTIONS(2482),
    [anon_sym_gt] = ACTIONS(2482),
    [anon_sym_isa] = ACTIONS(2482),
    [anon_sym_PLUS_PLUS] = ACTIONS(2482),
    [anon_sym_DASH_DASH] = ACTIONS(2482),
    [anon_sym_QMARK] = ACTIONS(2482),
    [anon_sym_EQ_GT] = ACTIONS(2482),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2482),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1955] = {
    [sym_heredoc_content] = STATE(1955),
    [anon_sym_LBRACE] = ACTIONS(2490),
    [anon_sym_SEMI] = ACTIONS(2490),
    [anon_sym_EQ] = ACTIONS(2492),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2490),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2490),
    [anon_sym_COMMA] = ACTIONS(2490),
    [anon_sym_LPAREN] = ACTIONS(2490),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2490),
    [anon_sym_LBRACK] = ACTIONS(2490),
    [anon_sym_DASH_GT] = ACTIONS(2490),
    [anon_sym_PERCENT] = ACTIONS(2492),
    [anon_sym_GT] = ACTIONS(2492),
    [anon_sym_LT_LT] = ACTIONS(2492),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2490),
    [anon_sym_PLUS_EQ] = ACTIONS(2490),
    [anon_sym_DASH_EQ] = ACTIONS(2490),
    [anon_sym_DOT_EQ] = ACTIONS(2490),
    [anon_sym_STAR_EQ] = ACTIONS(2490),
    [anon_sym_SLASH_EQ] = ACTIONS(2490),
    [anon_sym_PERCENT_EQ] = ACTIONS(2490),
    [anon_sym_x_EQ] = ACTIONS(2490),
    [anon_sym_AMP_EQ] = ACTIONS(2490),
    [anon_sym_PIPE_EQ] = ACTIONS(2490),
    [anon_sym_CARET_EQ] = ACTIONS(2490),
    [anon_sym_LT_LT_EQ] = ACTIONS(2490),
    [anon_sym_GT_GT_EQ] = ACTIONS(2490),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2490),
    [anon_sym_DOT_DOT] = ACTIONS(2492),
    [anon_sym_STAR_STAR] = ACTIONS(2492),
    [anon_sym_PIPE_PIPE] = ACTIONS(2492),
    [anon_sym_SLASH_SLASH] = ACTIONS(2492),
    [anon_sym_CARET_CARET] = ACTIONS(2490),
    [anon_sym_AMP_AMP] = ACTIONS(2492),
    [anon_sym_PIPE] = ACTIONS(2492),
    [anon_sym_CARET] = ACTIONS(2492),
    [anon_sym_AMP] = ACTIONS(2492),
    [anon_sym_GT_GT2] = ACTIONS(2492),
    [anon_sym_PLUS] = ACTIONS(2492),
    [anon_sym_DASH] = ACTIONS(2492),
    [anon_sym_DOT] = ACTIONS(2492),
    [anon_sym_STAR] = ACTIONS(2492),
    [anon_sym_SLASH] = ACTIONS(2492),
    [anon_sym_x] = ACTIONS(2492),
    [anon_sym_EQ_TILDE] = ACTIONS(2490),
    [anon_sym_BANG_TILDE] = ACTIONS(2490),
    [anon_sym_EQ_EQ] = ACTIONS(2492),
    [anon_sym_BANG_EQ] = ACTIONS(2490),
    [anon_sym_eq] = ACTIONS(2492),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2490),
    [anon_sym_equ] = ACTIONS(2490),
    [anon_sym_eqr] = ACTIONS(2490),
    [anon_sym_ne] = ACTIONS(2490),
    [anon_sym_LT_EQ_GT] = ACTIONS(2490),
    [anon_sym_cmp] = ACTIONS(2490),
    [anon_sym_TILDE_TILDE] = ACTIONS(2490),
    [anon_sym_LT] = ACTIONS(2492),
    [anon_sym_LT_EQ] = ACTIONS(2492),
    [anon_sym_GT_EQ] = ACTIONS(2490),
    [anon_sym_lt] = ACTIONS(2490),
    [anon_sym_le] = ACTIONS(2490),
    [anon_sym_ge] = ACTIONS(2490),
    [anon_sym_gt] = ACTIONS(2490),
    [anon_sym_isa] = ACTIONS(2490),
    [anon_sym_PLUS_PLUS] = ACTIONS(2490),
    [anon_sym_DASH_DASH] = ACTIONS(2490),
    [anon_sym_QMARK] = ACTIONS(2490),
    [anon_sym_EQ_GT] = ACTIONS(2490),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2490),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1956] = {
    [sym_heredoc_content] = STATE(1956),
    [anon_sym_LBRACE] = ACTIONS(2486),
    [anon_sym_SEMI] = ACTIONS(2486),
    [anon_sym_EQ] = ACTIONS(2488),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2486),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2486),
    [anon_sym_COMMA] = ACTIONS(2486),
    [anon_sym_LPAREN] = ACTIONS(2486),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2486),
    [anon_sym_LBRACK] = ACTIONS(2486),
    [anon_sym_DASH_GT] = ACTIONS(2486),
    [anon_sym_PERCENT] = ACTIONS(2488),
    [anon_sym_GT] = ACTIONS(2488),
    [anon_sym_LT_LT] = ACTIONS(2488),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2486),
    [anon_sym_PLUS_EQ] = ACTIONS(2486),
    [anon_sym_DASH_EQ] = ACTIONS(2486),
    [anon_sym_DOT_EQ] = ACTIONS(2486),
    [anon_sym_STAR_EQ] = ACTIONS(2486),
    [anon_sym_SLASH_EQ] = ACTIONS(2486),
    [anon_sym_PERCENT_EQ] = ACTIONS(2486),
    [anon_sym_x_EQ] = ACTIONS(2486),
    [anon_sym_AMP_EQ] = ACTIONS(2486),
    [anon_sym_PIPE_EQ] = ACTIONS(2486),
    [anon_sym_CARET_EQ] = ACTIONS(2486),
    [anon_sym_LT_LT_EQ] = ACTIONS(2486),
    [anon_sym_GT_GT_EQ] = ACTIONS(2486),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2486),
    [anon_sym_DOT_DOT] = ACTIONS(2488),
    [anon_sym_STAR_STAR] = ACTIONS(2488),
    [anon_sym_PIPE_PIPE] = ACTIONS(2488),
    [anon_sym_SLASH_SLASH] = ACTIONS(2488),
    [anon_sym_CARET_CARET] = ACTIONS(2486),
    [anon_sym_AMP_AMP] = ACTIONS(2488),
    [anon_sym_PIPE] = ACTIONS(2488),
    [anon_sym_CARET] = ACTIONS(2488),
    [anon_sym_AMP] = ACTIONS(2488),
    [anon_sym_GT_GT2] = ACTIONS(2488),
    [anon_sym_PLUS] = ACTIONS(2488),
    [anon_sym_DASH] = ACTIONS(2488),
    [anon_sym_DOT] = ACTIONS(2488),
    [anon_sym_STAR] = ACTIONS(2488),
    [anon_sym_SLASH] = ACTIONS(2488),
    [anon_sym_x] = ACTIONS(2488),
    [anon_sym_EQ_TILDE] = ACTIONS(2486),
    [anon_sym_BANG_TILDE] = ACTIONS(2486),
    [anon_sym_EQ_EQ] = ACTIONS(2488),
    [anon_sym_BANG_EQ] = ACTIONS(2486),
    [anon_sym_eq] = ACTIONS(2488),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2486),
    [anon_sym_equ] = ACTIONS(2486),
    [anon_sym_eqr] = ACTIONS(2486),
    [anon_sym_ne] = ACTIONS(2486),
    [anon_sym_LT_EQ_GT] = ACTIONS(2486),
    [anon_sym_cmp] = ACTIONS(2486),
    [anon_sym_TILDE_TILDE] = ACTIONS(2486),
    [anon_sym_LT] = ACTIONS(2488),
    [anon_sym_LT_EQ] = ACTIONS(2488),
    [anon_sym_GT_EQ] = ACTIONS(2486),
    [anon_sym_lt] = ACTIONS(2486),
    [anon_sym_le] = ACTIONS(2486),
    [anon_sym_ge] = ACTIONS(2486),
    [anon_sym_gt] = ACTIONS(2486),
    [anon_sym_isa] = ACTIONS(2486),
    [anon_sym_PLUS_PLUS] = ACTIONS(2486),
    [anon_sym_DASH_DASH] = ACTIONS(2486),
    [anon_sym_QMARK] = ACTIONS(2486),
    [anon_sym_EQ_GT] = ACTIONS(2486),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2486),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1957] = {
    [sym_heredoc_content] = STATE(1957),
    [anon_sym_LBRACE] = ACTIONS(2494),
    [anon_sym_SEMI] = ACTIONS(2494),
    [anon_sym_EQ] = ACTIONS(2496),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2494),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2494),
    [anon_sym_COMMA] = ACTIONS(2494),
    [anon_sym_LPAREN] = ACTIONS(2494),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2494),
    [anon_sym_LBRACK] = ACTIONS(2494),
    [anon_sym_DASH_GT] = ACTIONS(2494),
    [anon_sym_PERCENT] = ACTIONS(2496),
    [anon_sym_GT] = ACTIONS(2496),
    [anon_sym_LT_LT] = ACTIONS(2496),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2494),
    [anon_sym_PLUS_EQ] = ACTIONS(2494),
    [anon_sym_DASH_EQ] = ACTIONS(2494),
    [anon_sym_DOT_EQ] = ACTIONS(2494),
    [anon_sym_STAR_EQ] = ACTIONS(2494),
    [anon_sym_SLASH_EQ] = ACTIONS(2494),
    [anon_sym_PERCENT_EQ] = ACTIONS(2494),
    [anon_sym_x_EQ] = ACTIONS(2494),
    [anon_sym_AMP_EQ] = ACTIONS(2494),
    [anon_sym_PIPE_EQ] = ACTIONS(2494),
    [anon_sym_CARET_EQ] = ACTIONS(2494),
    [anon_sym_LT_LT_EQ] = ACTIONS(2494),
    [anon_sym_GT_GT_EQ] = ACTIONS(2494),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2494),
    [anon_sym_DOT_DOT] = ACTIONS(2496),
    [anon_sym_STAR_STAR] = ACTIONS(2496),
    [anon_sym_PIPE_PIPE] = ACTIONS(2496),
    [anon_sym_SLASH_SLASH] = ACTIONS(2496),
    [anon_sym_CARET_CARET] = ACTIONS(2494),
    [anon_sym_AMP_AMP] = ACTIONS(2496),
    [anon_sym_PIPE] = ACTIONS(2496),
    [anon_sym_CARET] = ACTIONS(2496),
    [anon_sym_AMP] = ACTIONS(2496),
    [anon_sym_GT_GT2] = ACTIONS(2496),
    [anon_sym_PLUS] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2496),
    [anon_sym_DOT] = ACTIONS(2496),
    [anon_sym_STAR] = ACTIONS(2496),
    [anon_sym_SLASH] = ACTIONS(2496),
    [anon_sym_x] = ACTIONS(2496),
    [anon_sym_EQ_TILDE] = ACTIONS(2494),
    [anon_sym_BANG_TILDE] = ACTIONS(2494),
    [anon_sym_EQ_EQ] = ACTIONS(2496),
    [anon_sym_BANG_EQ] = ACTIONS(2494),
    [anon_sym_eq] = ACTIONS(2496),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2494),
    [anon_sym_equ] = ACTIONS(2494),
    [anon_sym_eqr] = ACTIONS(2494),
    [anon_sym_ne] = ACTIONS(2494),
    [anon_sym_LT_EQ_GT] = ACTIONS(2494),
    [anon_sym_cmp] = ACTIONS(2494),
    [anon_sym_TILDE_TILDE] = ACTIONS(2494),
    [anon_sym_LT] = ACTIONS(2496),
    [anon_sym_LT_EQ] = ACTIONS(2496),
    [anon_sym_GT_EQ] = ACTIONS(2494),
    [anon_sym_lt] = ACTIONS(2494),
    [anon_sym_le] = ACTIONS(2494),
    [anon_sym_ge] = ACTIONS(2494),
    [anon_sym_gt] = ACTIONS(2494),
    [anon_sym_isa] = ACTIONS(2494),
    [anon_sym_PLUS_PLUS] = ACTIONS(2494),
    [anon_sym_DASH_DASH] = ACTIONS(2494),
    [anon_sym_QMARK] = ACTIONS(2494),
    [anon_sym_EQ_GT] = ACTIONS(2494),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2494),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1958] = {
    [sym_heredoc_content] = STATE(1958),
    [anon_sym_LBRACE] = ACTIONS(2502),
    [anon_sym_SEMI] = ACTIONS(2502),
    [anon_sym_EQ] = ACTIONS(2504),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2502),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2502),
    [anon_sym_COMMA] = ACTIONS(2502),
    [anon_sym_LPAREN] = ACTIONS(2502),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2502),
    [anon_sym_LBRACK] = ACTIONS(2502),
    [anon_sym_DASH_GT] = ACTIONS(2502),
    [anon_sym_PERCENT] = ACTIONS(2504),
    [anon_sym_GT] = ACTIONS(2504),
    [anon_sym_LT_LT] = ACTIONS(2504),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2502),
    [anon_sym_PLUS_EQ] = ACTIONS(2502),
    [anon_sym_DASH_EQ] = ACTIONS(2502),
    [anon_sym_DOT_EQ] = ACTIONS(2502),
    [anon_sym_STAR_EQ] = ACTIONS(2502),
    [anon_sym_SLASH_EQ] = ACTIONS(2502),
    [anon_sym_PERCENT_EQ] = ACTIONS(2502),
    [anon_sym_x_EQ] = ACTIONS(2502),
    [anon_sym_AMP_EQ] = ACTIONS(2502),
    [anon_sym_PIPE_EQ] = ACTIONS(2502),
    [anon_sym_CARET_EQ] = ACTIONS(2502),
    [anon_sym_LT_LT_EQ] = ACTIONS(2502),
    [anon_sym_GT_GT_EQ] = ACTIONS(2502),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2502),
    [anon_sym_DOT_DOT] = ACTIONS(2504),
    [anon_sym_STAR_STAR] = ACTIONS(2504),
    [anon_sym_PIPE_PIPE] = ACTIONS(2504),
    [anon_sym_SLASH_SLASH] = ACTIONS(2504),
    [anon_sym_CARET_CARET] = ACTIONS(2502),
    [anon_sym_AMP_AMP] = ACTIONS(2504),
    [anon_sym_PIPE] = ACTIONS(2504),
    [anon_sym_CARET] = ACTIONS(2504),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_GT_GT2] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_DOT] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2504),
    [anon_sym_SLASH] = ACTIONS(2504),
    [anon_sym_x] = ACTIONS(2504),
    [anon_sym_EQ_TILDE] = ACTIONS(2502),
    [anon_sym_BANG_TILDE] = ACTIONS(2502),
    [anon_sym_EQ_EQ] = ACTIONS(2504),
    [anon_sym_BANG_EQ] = ACTIONS(2502),
    [anon_sym_eq] = ACTIONS(2504),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2502),
    [anon_sym_equ] = ACTIONS(2502),
    [anon_sym_eqr] = ACTIONS(2502),
    [anon_sym_ne] = ACTIONS(2502),
    [anon_sym_LT_EQ_GT] = ACTIONS(2502),
    [anon_sym_cmp] = ACTIONS(2502),
    [anon_sym_TILDE_TILDE] = ACTIONS(2502),
    [anon_sym_LT] = ACTIONS(2504),
    [anon_sym_LT_EQ] = ACTIONS(2504),
    [anon_sym_GT_EQ] = ACTIONS(2502),
    [anon_sym_lt] = ACTIONS(2502),
    [anon_sym_le] = ACTIONS(2502),
    [anon_sym_ge] = ACTIONS(2502),
    [anon_sym_gt] = ACTIONS(2502),
    [anon_sym_isa] = ACTIONS(2502),
    [anon_sym_PLUS_PLUS] = ACTIONS(2502),
    [anon_sym_DASH_DASH] = ACTIONS(2502),
    [anon_sym_QMARK] = ACTIONS(2502),
    [anon_sym_EQ_GT] = ACTIONS(2502),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2502),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1959] = {
    [sym_heredoc_content] = STATE(1959),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym_EQ] = ACTIONS(2508),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2506),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2506),
    [anon_sym_COMMA] = ACTIONS(2506),
    [anon_sym_LPAREN] = ACTIONS(2506),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2506),
    [anon_sym_LBRACK] = ACTIONS(2506),
    [anon_sym_DASH_GT] = ACTIONS(2506),
    [anon_sym_PERCENT] = ACTIONS(2508),
    [anon_sym_GT] = ACTIONS(2508),
    [anon_sym_LT_LT] = ACTIONS(2508),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2506),
    [anon_sym_PLUS_EQ] = ACTIONS(2506),
    [anon_sym_DASH_EQ] = ACTIONS(2506),
    [anon_sym_DOT_EQ] = ACTIONS(2506),
    [anon_sym_STAR_EQ] = ACTIONS(2506),
    [anon_sym_SLASH_EQ] = ACTIONS(2506),
    [anon_sym_PERCENT_EQ] = ACTIONS(2506),
    [anon_sym_x_EQ] = ACTIONS(2506),
    [anon_sym_AMP_EQ] = ACTIONS(2506),
    [anon_sym_PIPE_EQ] = ACTIONS(2506),
    [anon_sym_CARET_EQ] = ACTIONS(2506),
    [anon_sym_LT_LT_EQ] = ACTIONS(2506),
    [anon_sym_GT_GT_EQ] = ACTIONS(2506),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2506),
    [anon_sym_DOT_DOT] = ACTIONS(2508),
    [anon_sym_STAR_STAR] = ACTIONS(2508),
    [anon_sym_PIPE_PIPE] = ACTIONS(2508),
    [anon_sym_SLASH_SLASH] = ACTIONS(2508),
    [anon_sym_CARET_CARET] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2508),
    [anon_sym_PIPE] = ACTIONS(2508),
    [anon_sym_CARET] = ACTIONS(2508),
    [anon_sym_AMP] = ACTIONS(2508),
    [anon_sym_GT_GT2] = ACTIONS(2508),
    [anon_sym_PLUS] = ACTIONS(2508),
    [anon_sym_DASH] = ACTIONS(2508),
    [anon_sym_DOT] = ACTIONS(2508),
    [anon_sym_STAR] = ACTIONS(2508),
    [anon_sym_SLASH] = ACTIONS(2508),
    [anon_sym_x] = ACTIONS(2508),
    [anon_sym_EQ_TILDE] = ACTIONS(2506),
    [anon_sym_BANG_TILDE] = ACTIONS(2506),
    [anon_sym_EQ_EQ] = ACTIONS(2508),
    [anon_sym_BANG_EQ] = ACTIONS(2506),
    [anon_sym_eq] = ACTIONS(2508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2506),
    [anon_sym_equ] = ACTIONS(2506),
    [anon_sym_eqr] = ACTIONS(2506),
    [anon_sym_ne] = ACTIONS(2506),
    [anon_sym_LT_EQ_GT] = ACTIONS(2506),
    [anon_sym_cmp] = ACTIONS(2506),
    [anon_sym_TILDE_TILDE] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(2508),
    [anon_sym_LT_EQ] = ACTIONS(2508),
    [anon_sym_GT_EQ] = ACTIONS(2506),
    [anon_sym_lt] = ACTIONS(2506),
    [anon_sym_le] = ACTIONS(2506),
    [anon_sym_ge] = ACTIONS(2506),
    [anon_sym_gt] = ACTIONS(2506),
    [anon_sym_isa] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_QMARK] = ACTIONS(2506),
    [anon_sym_EQ_GT] = ACTIONS(2506),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2506),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1960] = {
    [sym_heredoc_content] = STATE(1960),
    [anon_sym_LBRACE] = ACTIONS(2510),
    [anon_sym_SEMI] = ACTIONS(2510),
    [anon_sym_EQ] = ACTIONS(2512),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_COMMA] = ACTIONS(2510),
    [anon_sym_LPAREN] = ACTIONS(2510),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2510),
    [anon_sym_LBRACK] = ACTIONS(2510),
    [anon_sym_DASH_GT] = ACTIONS(2510),
    [anon_sym_PERCENT] = ACTIONS(2512),
    [anon_sym_GT] = ACTIONS(2512),
    [anon_sym_LT_LT] = ACTIONS(2512),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2510),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_DOT_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_x_EQ] = ACTIONS(2510),
    [anon_sym_AMP_EQ] = ACTIONS(2510),
    [anon_sym_PIPE_EQ] = ACTIONS(2510),
    [anon_sym_CARET_EQ] = ACTIONS(2510),
    [anon_sym_LT_LT_EQ] = ACTIONS(2510),
    [anon_sym_GT_GT_EQ] = ACTIONS(2510),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2510),
    [anon_sym_DOT_DOT] = ACTIONS(2512),
    [anon_sym_STAR_STAR] = ACTIONS(2512),
    [anon_sym_PIPE_PIPE] = ACTIONS(2512),
    [anon_sym_SLASH_SLASH] = ACTIONS(2512),
    [anon_sym_CARET_CARET] = ACTIONS(2510),
    [anon_sym_AMP_AMP] = ACTIONS(2512),
    [anon_sym_PIPE] = ACTIONS(2512),
    [anon_sym_CARET] = ACTIONS(2512),
    [anon_sym_AMP] = ACTIONS(2512),
    [anon_sym_GT_GT2] = ACTIONS(2512),
    [anon_sym_PLUS] = ACTIONS(2512),
    [anon_sym_DASH] = ACTIONS(2512),
    [anon_sym_DOT] = ACTIONS(2512),
    [anon_sym_STAR] = ACTIONS(2512),
    [anon_sym_SLASH] = ACTIONS(2512),
    [anon_sym_x] = ACTIONS(2512),
    [anon_sym_EQ_TILDE] = ACTIONS(2510),
    [anon_sym_BANG_TILDE] = ACTIONS(2510),
    [anon_sym_EQ_EQ] = ACTIONS(2512),
    [anon_sym_BANG_EQ] = ACTIONS(2510),
    [anon_sym_eq] = ACTIONS(2512),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2510),
    [anon_sym_equ] = ACTIONS(2510),
    [anon_sym_eqr] = ACTIONS(2510),
    [anon_sym_ne] = ACTIONS(2510),
    [anon_sym_LT_EQ_GT] = ACTIONS(2510),
    [anon_sym_cmp] = ACTIONS(2510),
    [anon_sym_TILDE_TILDE] = ACTIONS(2510),
    [anon_sym_LT] = ACTIONS(2512),
    [anon_sym_LT_EQ] = ACTIONS(2512),
    [anon_sym_GT_EQ] = ACTIONS(2510),
    [anon_sym_lt] = ACTIONS(2510),
    [anon_sym_le] = ACTIONS(2510),
    [anon_sym_ge] = ACTIONS(2510),
    [anon_sym_gt] = ACTIONS(2510),
    [anon_sym_isa] = ACTIONS(2510),
    [anon_sym_PLUS_PLUS] = ACTIONS(2510),
    [anon_sym_DASH_DASH] = ACTIONS(2510),
    [anon_sym_QMARK] = ACTIONS(2510),
    [anon_sym_EQ_GT] = ACTIONS(2510),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2510),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1961] = {
    [sym_heredoc_content] = STATE(1961),
    [anon_sym_LBRACE] = ACTIONS(2518),
    [anon_sym_SEMI] = ACTIONS(2518),
    [anon_sym_EQ] = ACTIONS(2520),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2518),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2518),
    [anon_sym_COMMA] = ACTIONS(2518),
    [anon_sym_LPAREN] = ACTIONS(2518),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2518),
    [anon_sym_LBRACK] = ACTIONS(2518),
    [anon_sym_DASH_GT] = ACTIONS(2518),
    [anon_sym_PERCENT] = ACTIONS(2520),
    [anon_sym_GT] = ACTIONS(2520),
    [anon_sym_LT_LT] = ACTIONS(2520),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2518),
    [anon_sym_PLUS_EQ] = ACTIONS(2518),
    [anon_sym_DASH_EQ] = ACTIONS(2518),
    [anon_sym_DOT_EQ] = ACTIONS(2518),
    [anon_sym_STAR_EQ] = ACTIONS(2518),
    [anon_sym_SLASH_EQ] = ACTIONS(2518),
    [anon_sym_PERCENT_EQ] = ACTIONS(2518),
    [anon_sym_x_EQ] = ACTIONS(2518),
    [anon_sym_AMP_EQ] = ACTIONS(2518),
    [anon_sym_PIPE_EQ] = ACTIONS(2518),
    [anon_sym_CARET_EQ] = ACTIONS(2518),
    [anon_sym_LT_LT_EQ] = ACTIONS(2518),
    [anon_sym_GT_GT_EQ] = ACTIONS(2518),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2518),
    [anon_sym_DOT_DOT] = ACTIONS(2520),
    [anon_sym_STAR_STAR] = ACTIONS(2520),
    [anon_sym_PIPE_PIPE] = ACTIONS(2520),
    [anon_sym_SLASH_SLASH] = ACTIONS(2520),
    [anon_sym_CARET_CARET] = ACTIONS(2518),
    [anon_sym_AMP_AMP] = ACTIONS(2520),
    [anon_sym_PIPE] = ACTIONS(2520),
    [anon_sym_CARET] = ACTIONS(2520),
    [anon_sym_AMP] = ACTIONS(2520),
    [anon_sym_GT_GT2] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(2520),
    [anon_sym_DASH] = ACTIONS(2520),
    [anon_sym_DOT] = ACTIONS(2520),
    [anon_sym_STAR] = ACTIONS(2520),
    [anon_sym_SLASH] = ACTIONS(2520),
    [anon_sym_x] = ACTIONS(2520),
    [anon_sym_EQ_TILDE] = ACTIONS(2518),
    [anon_sym_BANG_TILDE] = ACTIONS(2518),
    [anon_sym_EQ_EQ] = ACTIONS(2520),
    [anon_sym_BANG_EQ] = ACTIONS(2518),
    [anon_sym_eq] = ACTIONS(2520),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2518),
    [anon_sym_equ] = ACTIONS(2518),
    [anon_sym_eqr] = ACTIONS(2518),
    [anon_sym_ne] = ACTIONS(2518),
    [anon_sym_LT_EQ_GT] = ACTIONS(2518),
    [anon_sym_cmp] = ACTIONS(2518),
    [anon_sym_TILDE_TILDE] = ACTIONS(2518),
    [anon_sym_LT] = ACTIONS(2520),
    [anon_sym_LT_EQ] = ACTIONS(2520),
    [anon_sym_GT_EQ] = ACTIONS(2518),
    [anon_sym_lt] = ACTIONS(2518),
    [anon_sym_le] = ACTIONS(2518),
    [anon_sym_ge] = ACTIONS(2518),
    [anon_sym_gt] = ACTIONS(2518),
    [anon_sym_isa] = ACTIONS(2518),
    [anon_sym_PLUS_PLUS] = ACTIONS(2518),
    [anon_sym_DASH_DASH] = ACTIONS(2518),
    [anon_sym_QMARK] = ACTIONS(2518),
    [anon_sym_EQ_GT] = ACTIONS(2518),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2518),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1962] = {
    [sym_heredoc_content] = STATE(1962),
    [anon_sym_COLON] = ACTIONS(2883),
    [anon_sym_DOLLAR] = ACTIONS(2883),
    [anon_sym_EQ] = ACTIONS(2885),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2883),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2883),
    [anon_sym_AT] = ACTIONS(2883),
    [anon_sym_COMMA] = ACTIONS(2883),
    [anon_sym_RPAREN] = ACTIONS(2883),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2883),
    [anon_sym_DASH_GT] = ACTIONS(2883),
    [anon_sym_PERCENT] = ACTIONS(2885),
    [anon_sym_GT] = ACTIONS(2885),
    [anon_sym_LT_LT] = ACTIONS(2885),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2883),
    [anon_sym_PLUS_EQ] = ACTIONS(2883),
    [anon_sym_DASH_EQ] = ACTIONS(2883),
    [anon_sym_DOT_EQ] = ACTIONS(2883),
    [anon_sym_STAR_EQ] = ACTIONS(2883),
    [anon_sym_SLASH_EQ] = ACTIONS(2883),
    [anon_sym_PERCENT_EQ] = ACTIONS(2885),
    [anon_sym_x_EQ] = ACTIONS(2883),
    [anon_sym_AMP_EQ] = ACTIONS(2883),
    [anon_sym_PIPE_EQ] = ACTIONS(2883),
    [anon_sym_CARET_EQ] = ACTIONS(2883),
    [anon_sym_LT_LT_EQ] = ACTIONS(2883),
    [anon_sym_GT_GT_EQ] = ACTIONS(2883),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2883),
    [anon_sym_DOT_DOT] = ACTIONS(2885),
    [anon_sym_STAR_STAR] = ACTIONS(2885),
    [anon_sym_PIPE_PIPE] = ACTIONS(2885),
    [anon_sym_SLASH_SLASH] = ACTIONS(2885),
    [anon_sym_CARET_CARET] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2885),
    [anon_sym_PIPE] = ACTIONS(2885),
    [anon_sym_CARET] = ACTIONS(2885),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_GT_GT2] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_DOT] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2885),
    [anon_sym_SLASH] = ACTIONS(2885),
    [anon_sym_x] = ACTIONS(2885),
    [anon_sym_EQ_TILDE] = ACTIONS(2883),
    [anon_sym_BANG_TILDE] = ACTIONS(2883),
    [anon_sym_EQ_EQ] = ACTIONS(2885),
    [anon_sym_BANG_EQ] = ACTIONS(2883),
    [anon_sym_eq] = ACTIONS(2885),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2883),
    [anon_sym_equ] = ACTIONS(2883),
    [anon_sym_eqr] = ACTIONS(2883),
    [anon_sym_ne] = ACTIONS(2883),
    [anon_sym_LT_EQ_GT] = ACTIONS(2883),
    [anon_sym_cmp] = ACTIONS(2883),
    [anon_sym_TILDE_TILDE] = ACTIONS(2883),
    [anon_sym_LT] = ACTIONS(2885),
    [anon_sym_LT_EQ] = ACTIONS(2885),
    [anon_sym_GT_EQ] = ACTIONS(2883),
    [anon_sym_lt] = ACTIONS(2883),
    [anon_sym_le] = ACTIONS(2883),
    [anon_sym_ge] = ACTIONS(2883),
    [anon_sym_gt] = ACTIONS(2883),
    [anon_sym_isa] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_QMARK] = ACTIONS(2883),
    [anon_sym_PERCENT2] = ACTIONS(2883),
    [anon_sym_EQ_GT] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1963] = {
    [sym_heredoc_content] = STATE(1963),
    [anon_sym_LBRACE] = ACTIONS(2542),
    [anon_sym_RBRACE] = ACTIONS(1832),
    [anon_sym_COLON] = ACTIONS(1832),
    [anon_sym_EQ] = ACTIONS(1828),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1832),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1832),
    [anon_sym_COMMA] = ACTIONS(1832),
    [anon_sym_RPAREN] = ACTIONS(1832),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1832),
    [anon_sym_LBRACK] = ACTIONS(2542),
    [anon_sym_DASH_GT] = ACTIONS(1832),
    [anon_sym_PERCENT] = ACTIONS(1828),
    [anon_sym_GT] = ACTIONS(1828),
    [anon_sym_LT_LT] = ACTIONS(1828),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1832),
    [anon_sym_PLUS_EQ] = ACTIONS(1832),
    [anon_sym_DASH_EQ] = ACTIONS(1832),
    [anon_sym_DOT_EQ] = ACTIONS(1832),
    [anon_sym_STAR_EQ] = ACTIONS(1832),
    [anon_sym_SLASH_EQ] = ACTIONS(1832),
    [anon_sym_PERCENT_EQ] = ACTIONS(1832),
    [anon_sym_x_EQ] = ACTIONS(1832),
    [anon_sym_AMP_EQ] = ACTIONS(1832),
    [anon_sym_PIPE_EQ] = ACTIONS(1832),
    [anon_sym_CARET_EQ] = ACTIONS(1832),
    [anon_sym_LT_LT_EQ] = ACTIONS(1832),
    [anon_sym_GT_GT_EQ] = ACTIONS(1832),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1832),
    [anon_sym_DOT_DOT] = ACTIONS(1828),
    [anon_sym_STAR_STAR] = ACTIONS(1828),
    [anon_sym_PIPE_PIPE] = ACTIONS(1828),
    [anon_sym_SLASH_SLASH] = ACTIONS(1828),
    [anon_sym_CARET_CARET] = ACTIONS(1832),
    [anon_sym_AMP_AMP] = ACTIONS(1828),
    [anon_sym_PIPE] = ACTIONS(1828),
    [anon_sym_CARET] = ACTIONS(1828),
    [anon_sym_AMP] = ACTIONS(1828),
    [anon_sym_GT_GT2] = ACTIONS(1828),
    [anon_sym_PLUS] = ACTIONS(1828),
    [anon_sym_DASH] = ACTIONS(1828),
    [anon_sym_DOT] = ACTIONS(1828),
    [anon_sym_STAR] = ACTIONS(1828),
    [anon_sym_SLASH] = ACTIONS(1828),
    [anon_sym_x] = ACTIONS(1828),
    [anon_sym_EQ_TILDE] = ACTIONS(1832),
    [anon_sym_BANG_TILDE] = ACTIONS(1832),
    [anon_sym_EQ_EQ] = ACTIONS(1828),
    [anon_sym_BANG_EQ] = ACTIONS(1832),
    [anon_sym_eq] = ACTIONS(1828),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1832),
    [anon_sym_equ] = ACTIONS(1832),
    [anon_sym_eqr] = ACTIONS(1832),
    [anon_sym_ne] = ACTIONS(1832),
    [anon_sym_LT_EQ_GT] = ACTIONS(1832),
    [anon_sym_cmp] = ACTIONS(1832),
    [anon_sym_TILDE_TILDE] = ACTIONS(1832),
    [anon_sym_LT] = ACTIONS(1828),
    [anon_sym_LT_EQ] = ACTIONS(1828),
    [anon_sym_GT_EQ] = ACTIONS(1832),
    [anon_sym_lt] = ACTIONS(1832),
    [anon_sym_le] = ACTIONS(1832),
    [anon_sym_ge] = ACTIONS(1832),
    [anon_sym_gt] = ACTIONS(1832),
    [anon_sym_isa] = ACTIONS(1832),
    [anon_sym_PLUS_PLUS] = ACTIONS(1832),
    [anon_sym_DASH_DASH] = ACTIONS(1832),
    [anon_sym_QMARK] = ACTIONS(1832),
    [anon_sym_EQ_GT] = ACTIONS(1832),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1964] = {
    [sym_heredoc_content] = STATE(1964),
    [anon_sym_LBRACE] = ACTIONS(2536),
    [anon_sym_RBRACE] = ACTIONS(2538),
    [anon_sym_COLON] = ACTIONS(2538),
    [anon_sym_EQ] = ACTIONS(2540),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2538),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2538),
    [anon_sym_COMMA] = ACTIONS(2538),
    [anon_sym_RPAREN] = ACTIONS(2538),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2538),
    [anon_sym_LBRACK] = ACTIONS(2536),
    [anon_sym_DASH_GT] = ACTIONS(2538),
    [anon_sym_PERCENT] = ACTIONS(2540),
    [anon_sym_GT] = ACTIONS(2540),
    [anon_sym_LT_LT] = ACTIONS(2540),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2538),
    [anon_sym_PLUS_EQ] = ACTIONS(2538),
    [anon_sym_DASH_EQ] = ACTIONS(2538),
    [anon_sym_DOT_EQ] = ACTIONS(2538),
    [anon_sym_STAR_EQ] = ACTIONS(2538),
    [anon_sym_SLASH_EQ] = ACTIONS(2538),
    [anon_sym_PERCENT_EQ] = ACTIONS(2538),
    [anon_sym_x_EQ] = ACTIONS(2538),
    [anon_sym_AMP_EQ] = ACTIONS(2538),
    [anon_sym_PIPE_EQ] = ACTIONS(2538),
    [anon_sym_CARET_EQ] = ACTIONS(2538),
    [anon_sym_LT_LT_EQ] = ACTIONS(2538),
    [anon_sym_GT_GT_EQ] = ACTIONS(2538),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2538),
    [anon_sym_DOT_DOT] = ACTIONS(2540),
    [anon_sym_STAR_STAR] = ACTIONS(2540),
    [anon_sym_PIPE_PIPE] = ACTIONS(2540),
    [anon_sym_SLASH_SLASH] = ACTIONS(2540),
    [anon_sym_CARET_CARET] = ACTIONS(2538),
    [anon_sym_AMP_AMP] = ACTIONS(2540),
    [anon_sym_PIPE] = ACTIONS(2540),
    [anon_sym_CARET] = ACTIONS(2540),
    [anon_sym_AMP] = ACTIONS(2540),
    [anon_sym_GT_GT2] = ACTIONS(2540),
    [anon_sym_PLUS] = ACTIONS(2540),
    [anon_sym_DASH] = ACTIONS(2540),
    [anon_sym_DOT] = ACTIONS(2540),
    [anon_sym_STAR] = ACTIONS(2540),
    [anon_sym_SLASH] = ACTIONS(2540),
    [anon_sym_x] = ACTIONS(2540),
    [anon_sym_EQ_TILDE] = ACTIONS(2538),
    [anon_sym_BANG_TILDE] = ACTIONS(2538),
    [anon_sym_EQ_EQ] = ACTIONS(2540),
    [anon_sym_BANG_EQ] = ACTIONS(2538),
    [anon_sym_eq] = ACTIONS(2540),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2538),
    [anon_sym_equ] = ACTIONS(2538),
    [anon_sym_eqr] = ACTIONS(2538),
    [anon_sym_ne] = ACTIONS(2538),
    [anon_sym_LT_EQ_GT] = ACTIONS(2538),
    [anon_sym_cmp] = ACTIONS(2538),
    [anon_sym_TILDE_TILDE] = ACTIONS(2538),
    [anon_sym_LT] = ACTIONS(2540),
    [anon_sym_LT_EQ] = ACTIONS(2540),
    [anon_sym_GT_EQ] = ACTIONS(2538),
    [anon_sym_lt] = ACTIONS(2538),
    [anon_sym_le] = ACTIONS(2538),
    [anon_sym_ge] = ACTIONS(2538),
    [anon_sym_gt] = ACTIONS(2538),
    [anon_sym_isa] = ACTIONS(2538),
    [anon_sym_PLUS_PLUS] = ACTIONS(2538),
    [anon_sym_DASH_DASH] = ACTIONS(2538),
    [anon_sym_QMARK] = ACTIONS(2538),
    [anon_sym_EQ_GT] = ACTIONS(2538),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1965] = {
    [sym_heredoc_content] = STATE(1965),
    [anon_sym_COLON] = ACTIONS(2887),
    [anon_sym_DOLLAR] = ACTIONS(2887),
    [anon_sym_EQ] = ACTIONS(1968),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2887),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2887),
    [anon_sym_AT] = ACTIONS(2887),
    [anon_sym_COMMA] = ACTIONS(2887),
    [anon_sym_RPAREN] = ACTIONS(2887),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2887),
    [anon_sym_DASH_GT] = ACTIONS(2887),
    [anon_sym_PERCENT] = ACTIONS(1968),
    [anon_sym_GT] = ACTIONS(1968),
    [anon_sym_LT_LT] = ACTIONS(1968),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2887),
    [anon_sym_PLUS_EQ] = ACTIONS(2887),
    [anon_sym_DASH_EQ] = ACTIONS(2887),
    [anon_sym_DOT_EQ] = ACTIONS(2887),
    [anon_sym_STAR_EQ] = ACTIONS(2887),
    [anon_sym_SLASH_EQ] = ACTIONS(2887),
    [anon_sym_PERCENT_EQ] = ACTIONS(1968),
    [anon_sym_x_EQ] = ACTIONS(2887),
    [anon_sym_AMP_EQ] = ACTIONS(2887),
    [anon_sym_PIPE_EQ] = ACTIONS(2887),
    [anon_sym_CARET_EQ] = ACTIONS(2887),
    [anon_sym_LT_LT_EQ] = ACTIONS(2887),
    [anon_sym_GT_GT_EQ] = ACTIONS(2887),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2887),
    [anon_sym_DOT_DOT] = ACTIONS(1968),
    [anon_sym_STAR_STAR] = ACTIONS(1968),
    [anon_sym_PIPE_PIPE] = ACTIONS(1968),
    [anon_sym_SLASH_SLASH] = ACTIONS(1968),
    [anon_sym_CARET_CARET] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(1968),
    [anon_sym_PIPE] = ACTIONS(1968),
    [anon_sym_CARET] = ACTIONS(1968),
    [anon_sym_AMP] = ACTIONS(1968),
    [anon_sym_GT_GT2] = ACTIONS(1968),
    [anon_sym_PLUS] = ACTIONS(1968),
    [anon_sym_DASH] = ACTIONS(1968),
    [anon_sym_DOT] = ACTIONS(1968),
    [anon_sym_STAR] = ACTIONS(1968),
    [anon_sym_SLASH] = ACTIONS(1968),
    [anon_sym_x] = ACTIONS(1968),
    [anon_sym_EQ_TILDE] = ACTIONS(2887),
    [anon_sym_BANG_TILDE] = ACTIONS(2887),
    [anon_sym_EQ_EQ] = ACTIONS(1968),
    [anon_sym_BANG_EQ] = ACTIONS(2887),
    [anon_sym_eq] = ACTIONS(1968),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2887),
    [anon_sym_equ] = ACTIONS(2887),
    [anon_sym_eqr] = ACTIONS(2887),
    [anon_sym_ne] = ACTIONS(2887),
    [anon_sym_LT_EQ_GT] = ACTIONS(2887),
    [anon_sym_cmp] = ACTIONS(2887),
    [anon_sym_TILDE_TILDE] = ACTIONS(2887),
    [anon_sym_LT] = ACTIONS(1968),
    [anon_sym_LT_EQ] = ACTIONS(1968),
    [anon_sym_GT_EQ] = ACTIONS(2887),
    [anon_sym_lt] = ACTIONS(2887),
    [anon_sym_le] = ACTIONS(2887),
    [anon_sym_ge] = ACTIONS(2887),
    [anon_sym_gt] = ACTIONS(2887),
    [anon_sym_isa] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_QMARK] = ACTIONS(2887),
    [anon_sym_PERCENT2] = ACTIONS(2887),
    [anon_sym_EQ_GT] = ACTIONS(2887),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1966] = {
    [sym_heredoc_content] = STATE(1966),
    [anon_sym_COLON] = ACTIONS(2893),
    [anon_sym_DOLLAR] = ACTIONS(2893),
    [anon_sym_EQ] = ACTIONS(2895),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2893),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2893),
    [anon_sym_AT] = ACTIONS(2893),
    [anon_sym_COMMA] = ACTIONS(2893),
    [anon_sym_RPAREN] = ACTIONS(2893),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2893),
    [anon_sym_DASH_GT] = ACTIONS(2893),
    [anon_sym_PERCENT] = ACTIONS(2895),
    [anon_sym_GT] = ACTIONS(2895),
    [anon_sym_LT_LT] = ACTIONS(2895),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2893),
    [anon_sym_PLUS_EQ] = ACTIONS(2893),
    [anon_sym_DASH_EQ] = ACTIONS(2893),
    [anon_sym_DOT_EQ] = ACTIONS(2893),
    [anon_sym_STAR_EQ] = ACTIONS(2893),
    [anon_sym_SLASH_EQ] = ACTIONS(2893),
    [anon_sym_PERCENT_EQ] = ACTIONS(2895),
    [anon_sym_x_EQ] = ACTIONS(2893),
    [anon_sym_AMP_EQ] = ACTIONS(2893),
    [anon_sym_PIPE_EQ] = ACTIONS(2893),
    [anon_sym_CARET_EQ] = ACTIONS(2893),
    [anon_sym_LT_LT_EQ] = ACTIONS(2893),
    [anon_sym_GT_GT_EQ] = ACTIONS(2893),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2893),
    [anon_sym_DOT_DOT] = ACTIONS(2895),
    [anon_sym_STAR_STAR] = ACTIONS(2895),
    [anon_sym_PIPE_PIPE] = ACTIONS(2895),
    [anon_sym_SLASH_SLASH] = ACTIONS(2895),
    [anon_sym_CARET_CARET] = ACTIONS(2893),
    [anon_sym_AMP_AMP] = ACTIONS(2895),
    [anon_sym_PIPE] = ACTIONS(2895),
    [anon_sym_CARET] = ACTIONS(2895),
    [anon_sym_AMP] = ACTIONS(2895),
    [anon_sym_GT_GT2] = ACTIONS(2895),
    [anon_sym_PLUS] = ACTIONS(2895),
    [anon_sym_DASH] = ACTIONS(2895),
    [anon_sym_DOT] = ACTIONS(2895),
    [anon_sym_STAR] = ACTIONS(2895),
    [anon_sym_SLASH] = ACTIONS(2895),
    [anon_sym_x] = ACTIONS(2895),
    [anon_sym_EQ_TILDE] = ACTIONS(2893),
    [anon_sym_BANG_TILDE] = ACTIONS(2893),
    [anon_sym_EQ_EQ] = ACTIONS(2895),
    [anon_sym_BANG_EQ] = ACTIONS(2893),
    [anon_sym_eq] = ACTIONS(2895),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2893),
    [anon_sym_equ] = ACTIONS(2893),
    [anon_sym_eqr] = ACTIONS(2893),
    [anon_sym_ne] = ACTIONS(2893),
    [anon_sym_LT_EQ_GT] = ACTIONS(2893),
    [anon_sym_cmp] = ACTIONS(2893),
    [anon_sym_TILDE_TILDE] = ACTIONS(2893),
    [anon_sym_LT] = ACTIONS(2895),
    [anon_sym_LT_EQ] = ACTIONS(2895),
    [anon_sym_GT_EQ] = ACTIONS(2893),
    [anon_sym_lt] = ACTIONS(2893),
    [anon_sym_le] = ACTIONS(2893),
    [anon_sym_ge] = ACTIONS(2893),
    [anon_sym_gt] = ACTIONS(2893),
    [anon_sym_isa] = ACTIONS(2893),
    [anon_sym_PLUS_PLUS] = ACTIONS(2893),
    [anon_sym_DASH_DASH] = ACTIONS(2893),
    [anon_sym_QMARK] = ACTIONS(2893),
    [anon_sym_PERCENT2] = ACTIONS(2893),
    [anon_sym_EQ_GT] = ACTIONS(2893),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1967] = {
    [sym_heredoc_content] = STATE(1967),
    [anon_sym_COLON] = ACTIONS(1849),
    [anon_sym_DOLLAR] = ACTIONS(1849),
    [anon_sym_EQ] = ACTIONS(1840),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1849),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1849),
    [anon_sym_AT] = ACTIONS(1849),
    [anon_sym_COMMA] = ACTIONS(1849),
    [anon_sym_RPAREN] = ACTIONS(1849),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1849),
    [anon_sym_DASH_GT] = ACTIONS(1849),
    [anon_sym_PERCENT] = ACTIONS(1840),
    [anon_sym_GT] = ACTIONS(1840),
    [anon_sym_LT_LT] = ACTIONS(1840),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1849),
    [anon_sym_PLUS_EQ] = ACTIONS(1849),
    [anon_sym_DASH_EQ] = ACTIONS(1849),
    [anon_sym_DOT_EQ] = ACTIONS(1849),
    [anon_sym_STAR_EQ] = ACTIONS(1849),
    [anon_sym_SLASH_EQ] = ACTIONS(1849),
    [anon_sym_PERCENT_EQ] = ACTIONS(1840),
    [anon_sym_x_EQ] = ACTIONS(1849),
    [anon_sym_AMP_EQ] = ACTIONS(1849),
    [anon_sym_PIPE_EQ] = ACTIONS(1849),
    [anon_sym_CARET_EQ] = ACTIONS(1849),
    [anon_sym_LT_LT_EQ] = ACTIONS(1849),
    [anon_sym_GT_GT_EQ] = ACTIONS(1849),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1849),
    [anon_sym_DOT_DOT] = ACTIONS(1840),
    [anon_sym_STAR_STAR] = ACTIONS(1840),
    [anon_sym_PIPE_PIPE] = ACTIONS(1840),
    [anon_sym_SLASH_SLASH] = ACTIONS(1840),
    [anon_sym_CARET_CARET] = ACTIONS(1849),
    [anon_sym_AMP_AMP] = ACTIONS(1840),
    [anon_sym_PIPE] = ACTIONS(1840),
    [anon_sym_CARET] = ACTIONS(1840),
    [anon_sym_AMP] = ACTIONS(1840),
    [anon_sym_GT_GT2] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_DOT] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1840),
    [anon_sym_SLASH] = ACTIONS(1840),
    [anon_sym_x] = ACTIONS(1840),
    [anon_sym_EQ_TILDE] = ACTIONS(1849),
    [anon_sym_BANG_TILDE] = ACTIONS(1849),
    [anon_sym_EQ_EQ] = ACTIONS(1840),
    [anon_sym_BANG_EQ] = ACTIONS(1849),
    [anon_sym_eq] = ACTIONS(1840),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1849),
    [anon_sym_equ] = ACTIONS(1849),
    [anon_sym_eqr] = ACTIONS(1849),
    [anon_sym_ne] = ACTIONS(1849),
    [anon_sym_LT_EQ_GT] = ACTIONS(1849),
    [anon_sym_cmp] = ACTIONS(1849),
    [anon_sym_TILDE_TILDE] = ACTIONS(1849),
    [anon_sym_LT] = ACTIONS(1840),
    [anon_sym_LT_EQ] = ACTIONS(1840),
    [anon_sym_GT_EQ] = ACTIONS(1849),
    [anon_sym_lt] = ACTIONS(1849),
    [anon_sym_le] = ACTIONS(1849),
    [anon_sym_ge] = ACTIONS(1849),
    [anon_sym_gt] = ACTIONS(1849),
    [anon_sym_isa] = ACTIONS(1849),
    [anon_sym_PLUS_PLUS] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1849),
    [anon_sym_QMARK] = ACTIONS(1849),
    [anon_sym_PERCENT2] = ACTIONS(1849),
    [anon_sym_EQ_GT] = ACTIONS(1849),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1968] = {
    [sym_heredoc_content] = STATE(1968),
    [anon_sym_COLON] = ACTIONS(2959),
    [anon_sym_DOLLAR] = ACTIONS(2959),
    [anon_sym_EQ] = ACTIONS(2961),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2959),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2959),
    [anon_sym_AT] = ACTIONS(2959),
    [anon_sym_COMMA] = ACTIONS(2959),
    [anon_sym_RPAREN] = ACTIONS(2959),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2959),
    [anon_sym_DASH_GT] = ACTIONS(2959),
    [anon_sym_PERCENT] = ACTIONS(2961),
    [anon_sym_GT] = ACTIONS(2961),
    [anon_sym_LT_LT] = ACTIONS(2961),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2959),
    [anon_sym_PLUS_EQ] = ACTIONS(2959),
    [anon_sym_DASH_EQ] = ACTIONS(2959),
    [anon_sym_DOT_EQ] = ACTIONS(2959),
    [anon_sym_STAR_EQ] = ACTIONS(2959),
    [anon_sym_SLASH_EQ] = ACTIONS(2959),
    [anon_sym_PERCENT_EQ] = ACTIONS(2961),
    [anon_sym_x_EQ] = ACTIONS(2959),
    [anon_sym_AMP_EQ] = ACTIONS(2959),
    [anon_sym_PIPE_EQ] = ACTIONS(2959),
    [anon_sym_CARET_EQ] = ACTIONS(2959),
    [anon_sym_LT_LT_EQ] = ACTIONS(2959),
    [anon_sym_GT_GT_EQ] = ACTIONS(2959),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2959),
    [anon_sym_DOT_DOT] = ACTIONS(2961),
    [anon_sym_STAR_STAR] = ACTIONS(2961),
    [anon_sym_PIPE_PIPE] = ACTIONS(2961),
    [anon_sym_SLASH_SLASH] = ACTIONS(2961),
    [anon_sym_CARET_CARET] = ACTIONS(2959),
    [anon_sym_AMP_AMP] = ACTIONS(2961),
    [anon_sym_PIPE] = ACTIONS(2961),
    [anon_sym_CARET] = ACTIONS(2961),
    [anon_sym_AMP] = ACTIONS(2961),
    [anon_sym_GT_GT2] = ACTIONS(2961),
    [anon_sym_PLUS] = ACTIONS(2961),
    [anon_sym_DASH] = ACTIONS(2961),
    [anon_sym_DOT] = ACTIONS(2961),
    [anon_sym_STAR] = ACTIONS(2961),
    [anon_sym_SLASH] = ACTIONS(2961),
    [anon_sym_x] = ACTIONS(2961),
    [anon_sym_EQ_TILDE] = ACTIONS(2959),
    [anon_sym_BANG_TILDE] = ACTIONS(2959),
    [anon_sym_EQ_EQ] = ACTIONS(2961),
    [anon_sym_BANG_EQ] = ACTIONS(2959),
    [anon_sym_eq] = ACTIONS(2961),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2959),
    [anon_sym_equ] = ACTIONS(2959),
    [anon_sym_eqr] = ACTIONS(2959),
    [anon_sym_ne] = ACTIONS(2959),
    [anon_sym_LT_EQ_GT] = ACTIONS(2959),
    [anon_sym_cmp] = ACTIONS(2959),
    [anon_sym_TILDE_TILDE] = ACTIONS(2959),
    [anon_sym_LT] = ACTIONS(2961),
    [anon_sym_LT_EQ] = ACTIONS(2961),
    [anon_sym_GT_EQ] = ACTIONS(2959),
    [anon_sym_lt] = ACTIONS(2959),
    [anon_sym_le] = ACTIONS(2959),
    [anon_sym_ge] = ACTIONS(2959),
    [anon_sym_gt] = ACTIONS(2959),
    [anon_sym_isa] = ACTIONS(2959),
    [anon_sym_PLUS_PLUS] = ACTIONS(2959),
    [anon_sym_DASH_DASH] = ACTIONS(2959),
    [anon_sym_QMARK] = ACTIONS(2959),
    [anon_sym_PERCENT2] = ACTIONS(2959),
    [anon_sym_EQ_GT] = ACTIONS(2959),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1969] = {
    [sym_heredoc_content] = STATE(1969),
    [anon_sym_COLON] = ACTIONS(3047),
    [anon_sym_DOLLAR] = ACTIONS(3047),
    [anon_sym_EQ] = ACTIONS(3049),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3047),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3047),
    [anon_sym_AT] = ACTIONS(3047),
    [anon_sym_COMMA] = ACTIONS(3047),
    [anon_sym_RPAREN] = ACTIONS(3047),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3047),
    [anon_sym_DASH_GT] = ACTIONS(3047),
    [anon_sym_PERCENT] = ACTIONS(3049),
    [anon_sym_GT] = ACTIONS(3049),
    [anon_sym_LT_LT] = ACTIONS(3049),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3047),
    [anon_sym_PLUS_EQ] = ACTIONS(3047),
    [anon_sym_DASH_EQ] = ACTIONS(3047),
    [anon_sym_DOT_EQ] = ACTIONS(3047),
    [anon_sym_STAR_EQ] = ACTIONS(3047),
    [anon_sym_SLASH_EQ] = ACTIONS(3047),
    [anon_sym_PERCENT_EQ] = ACTIONS(3049),
    [anon_sym_x_EQ] = ACTIONS(3047),
    [anon_sym_AMP_EQ] = ACTIONS(3047),
    [anon_sym_PIPE_EQ] = ACTIONS(3047),
    [anon_sym_CARET_EQ] = ACTIONS(3047),
    [anon_sym_LT_LT_EQ] = ACTIONS(3047),
    [anon_sym_GT_GT_EQ] = ACTIONS(3047),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3047),
    [anon_sym_DOT_DOT] = ACTIONS(3049),
    [anon_sym_STAR_STAR] = ACTIONS(3049),
    [anon_sym_PIPE_PIPE] = ACTIONS(3049),
    [anon_sym_SLASH_SLASH] = ACTIONS(3049),
    [anon_sym_CARET_CARET] = ACTIONS(3047),
    [anon_sym_AMP_AMP] = ACTIONS(3049),
    [anon_sym_PIPE] = ACTIONS(3049),
    [anon_sym_CARET] = ACTIONS(3049),
    [anon_sym_AMP] = ACTIONS(3049),
    [anon_sym_GT_GT2] = ACTIONS(3049),
    [anon_sym_PLUS] = ACTIONS(3049),
    [anon_sym_DASH] = ACTIONS(3049),
    [anon_sym_DOT] = ACTIONS(3049),
    [anon_sym_STAR] = ACTIONS(3049),
    [anon_sym_SLASH] = ACTIONS(3049),
    [anon_sym_x] = ACTIONS(3049),
    [anon_sym_EQ_TILDE] = ACTIONS(3047),
    [anon_sym_BANG_TILDE] = ACTIONS(3047),
    [anon_sym_EQ_EQ] = ACTIONS(3049),
    [anon_sym_BANG_EQ] = ACTIONS(3047),
    [anon_sym_eq] = ACTIONS(3049),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3047),
    [anon_sym_equ] = ACTIONS(3047),
    [anon_sym_eqr] = ACTIONS(3047),
    [anon_sym_ne] = ACTIONS(3047),
    [anon_sym_LT_EQ_GT] = ACTIONS(3047),
    [anon_sym_cmp] = ACTIONS(3047),
    [anon_sym_TILDE_TILDE] = ACTIONS(3047),
    [anon_sym_LT] = ACTIONS(3049),
    [anon_sym_LT_EQ] = ACTIONS(3049),
    [anon_sym_GT_EQ] = ACTIONS(3047),
    [anon_sym_lt] = ACTIONS(3047),
    [anon_sym_le] = ACTIONS(3047),
    [anon_sym_ge] = ACTIONS(3047),
    [anon_sym_gt] = ACTIONS(3047),
    [anon_sym_isa] = ACTIONS(3047),
    [anon_sym_PLUS_PLUS] = ACTIONS(3047),
    [anon_sym_DASH_DASH] = ACTIONS(3047),
    [anon_sym_QMARK] = ACTIONS(3047),
    [anon_sym_PERCENT2] = ACTIONS(3047),
    [anon_sym_EQ_GT] = ACTIONS(3047),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1970] = {
    [sym_heredoc_content] = STATE(1970),
    [anon_sym_COLON] = ACTIONS(3214),
    [anon_sym_DOLLAR] = ACTIONS(3214),
    [anon_sym_EQ] = ACTIONS(3216),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3214),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3214),
    [anon_sym_AT] = ACTIONS(3214),
    [anon_sym_COMMA] = ACTIONS(3214),
    [anon_sym_RPAREN] = ACTIONS(3214),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3214),
    [anon_sym_DASH_GT] = ACTIONS(3214),
    [anon_sym_PERCENT] = ACTIONS(3216),
    [anon_sym_GT] = ACTIONS(3216),
    [anon_sym_LT_LT] = ACTIONS(3216),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3214),
    [anon_sym_PLUS_EQ] = ACTIONS(3214),
    [anon_sym_DASH_EQ] = ACTIONS(3214),
    [anon_sym_DOT_EQ] = ACTIONS(3214),
    [anon_sym_STAR_EQ] = ACTIONS(3214),
    [anon_sym_SLASH_EQ] = ACTIONS(3214),
    [anon_sym_PERCENT_EQ] = ACTIONS(3216),
    [anon_sym_x_EQ] = ACTIONS(3214),
    [anon_sym_AMP_EQ] = ACTIONS(3214),
    [anon_sym_PIPE_EQ] = ACTIONS(3214),
    [anon_sym_CARET_EQ] = ACTIONS(3214),
    [anon_sym_LT_LT_EQ] = ACTIONS(3214),
    [anon_sym_GT_GT_EQ] = ACTIONS(3214),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3214),
    [anon_sym_DOT_DOT] = ACTIONS(3216),
    [anon_sym_STAR_STAR] = ACTIONS(3216),
    [anon_sym_PIPE_PIPE] = ACTIONS(3216),
    [anon_sym_SLASH_SLASH] = ACTIONS(3216),
    [anon_sym_CARET_CARET] = ACTIONS(3214),
    [anon_sym_AMP_AMP] = ACTIONS(3216),
    [anon_sym_PIPE] = ACTIONS(3216),
    [anon_sym_CARET] = ACTIONS(3216),
    [anon_sym_AMP] = ACTIONS(3216),
    [anon_sym_GT_GT2] = ACTIONS(3216),
    [anon_sym_PLUS] = ACTIONS(3216),
    [anon_sym_DASH] = ACTIONS(3216),
    [anon_sym_DOT] = ACTIONS(3216),
    [anon_sym_STAR] = ACTIONS(3216),
    [anon_sym_SLASH] = ACTIONS(3216),
    [anon_sym_x] = ACTIONS(3216),
    [anon_sym_EQ_TILDE] = ACTIONS(3214),
    [anon_sym_BANG_TILDE] = ACTIONS(3214),
    [anon_sym_EQ_EQ] = ACTIONS(3216),
    [anon_sym_BANG_EQ] = ACTIONS(3214),
    [anon_sym_eq] = ACTIONS(3216),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3214),
    [anon_sym_equ] = ACTIONS(3214),
    [anon_sym_eqr] = ACTIONS(3214),
    [anon_sym_ne] = ACTIONS(3214),
    [anon_sym_LT_EQ_GT] = ACTIONS(3214),
    [anon_sym_cmp] = ACTIONS(3214),
    [anon_sym_TILDE_TILDE] = ACTIONS(3214),
    [anon_sym_LT] = ACTIONS(3216),
    [anon_sym_LT_EQ] = ACTIONS(3216),
    [anon_sym_GT_EQ] = ACTIONS(3214),
    [anon_sym_lt] = ACTIONS(3214),
    [anon_sym_le] = ACTIONS(3214),
    [anon_sym_ge] = ACTIONS(3214),
    [anon_sym_gt] = ACTIONS(3214),
    [anon_sym_isa] = ACTIONS(3214),
    [anon_sym_PLUS_PLUS] = ACTIONS(3214),
    [anon_sym_DASH_DASH] = ACTIONS(3214),
    [anon_sym_QMARK] = ACTIONS(3214),
    [anon_sym_PERCENT2] = ACTIONS(3214),
    [anon_sym_EQ_GT] = ACTIONS(3214),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1971] = {
    [sym_heredoc_content] = STATE(1971),
    [anon_sym_COLON] = ACTIONS(2903),
    [anon_sym_DOLLAR] = ACTIONS(2903),
    [anon_sym_EQ] = ACTIONS(2905),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2903),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2903),
    [anon_sym_AT] = ACTIONS(2903),
    [anon_sym_COMMA] = ACTIONS(2903),
    [anon_sym_RPAREN] = ACTIONS(2903),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2903),
    [anon_sym_DASH_GT] = ACTIONS(2903),
    [anon_sym_PERCENT] = ACTIONS(2905),
    [anon_sym_GT] = ACTIONS(2905),
    [anon_sym_LT_LT] = ACTIONS(2905),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2903),
    [anon_sym_PLUS_EQ] = ACTIONS(2903),
    [anon_sym_DASH_EQ] = ACTIONS(2903),
    [anon_sym_DOT_EQ] = ACTIONS(2903),
    [anon_sym_STAR_EQ] = ACTIONS(2903),
    [anon_sym_SLASH_EQ] = ACTIONS(2903),
    [anon_sym_PERCENT_EQ] = ACTIONS(2905),
    [anon_sym_x_EQ] = ACTIONS(2903),
    [anon_sym_AMP_EQ] = ACTIONS(2903),
    [anon_sym_PIPE_EQ] = ACTIONS(2903),
    [anon_sym_CARET_EQ] = ACTIONS(2903),
    [anon_sym_LT_LT_EQ] = ACTIONS(2903),
    [anon_sym_GT_GT_EQ] = ACTIONS(2903),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2903),
    [anon_sym_DOT_DOT] = ACTIONS(2905),
    [anon_sym_STAR_STAR] = ACTIONS(2905),
    [anon_sym_PIPE_PIPE] = ACTIONS(2905),
    [anon_sym_SLASH_SLASH] = ACTIONS(2905),
    [anon_sym_CARET_CARET] = ACTIONS(2903),
    [anon_sym_AMP_AMP] = ACTIONS(2905),
    [anon_sym_PIPE] = ACTIONS(2905),
    [anon_sym_CARET] = ACTIONS(2905),
    [anon_sym_AMP] = ACTIONS(2905),
    [anon_sym_GT_GT2] = ACTIONS(2905),
    [anon_sym_PLUS] = ACTIONS(2905),
    [anon_sym_DASH] = ACTIONS(2905),
    [anon_sym_DOT] = ACTIONS(2905),
    [anon_sym_STAR] = ACTIONS(2905),
    [anon_sym_SLASH] = ACTIONS(2905),
    [anon_sym_x] = ACTIONS(2905),
    [anon_sym_EQ_TILDE] = ACTIONS(2903),
    [anon_sym_BANG_TILDE] = ACTIONS(2903),
    [anon_sym_EQ_EQ] = ACTIONS(2905),
    [anon_sym_BANG_EQ] = ACTIONS(2903),
    [anon_sym_eq] = ACTIONS(2905),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2903),
    [anon_sym_equ] = ACTIONS(2903),
    [anon_sym_eqr] = ACTIONS(2903),
    [anon_sym_ne] = ACTIONS(2903),
    [anon_sym_LT_EQ_GT] = ACTIONS(2903),
    [anon_sym_cmp] = ACTIONS(2903),
    [anon_sym_TILDE_TILDE] = ACTIONS(2903),
    [anon_sym_LT] = ACTIONS(2905),
    [anon_sym_LT_EQ] = ACTIONS(2905),
    [anon_sym_GT_EQ] = ACTIONS(2903),
    [anon_sym_lt] = ACTIONS(2903),
    [anon_sym_le] = ACTIONS(2903),
    [anon_sym_ge] = ACTIONS(2903),
    [anon_sym_gt] = ACTIONS(2903),
    [anon_sym_isa] = ACTIONS(2903),
    [anon_sym_PLUS_PLUS] = ACTIONS(2903),
    [anon_sym_DASH_DASH] = ACTIONS(2903),
    [anon_sym_QMARK] = ACTIONS(2903),
    [anon_sym_PERCENT2] = ACTIONS(2903),
    [anon_sym_EQ_GT] = ACTIONS(2903),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1972] = {
    [sym_heredoc_content] = STATE(1972),
    [anon_sym_COLON] = ACTIONS(2931),
    [anon_sym_DOLLAR] = ACTIONS(2931),
    [anon_sym_EQ] = ACTIONS(2933),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2931),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2931),
    [anon_sym_AT] = ACTIONS(2931),
    [anon_sym_COMMA] = ACTIONS(2931),
    [anon_sym_RPAREN] = ACTIONS(2931),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2931),
    [anon_sym_DASH_GT] = ACTIONS(2931),
    [anon_sym_PERCENT] = ACTIONS(2933),
    [anon_sym_GT] = ACTIONS(2933),
    [anon_sym_LT_LT] = ACTIONS(2933),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2931),
    [anon_sym_PLUS_EQ] = ACTIONS(2931),
    [anon_sym_DASH_EQ] = ACTIONS(2931),
    [anon_sym_DOT_EQ] = ACTIONS(2931),
    [anon_sym_STAR_EQ] = ACTIONS(2931),
    [anon_sym_SLASH_EQ] = ACTIONS(2931),
    [anon_sym_PERCENT_EQ] = ACTIONS(2933),
    [anon_sym_x_EQ] = ACTIONS(2931),
    [anon_sym_AMP_EQ] = ACTIONS(2931),
    [anon_sym_PIPE_EQ] = ACTIONS(2931),
    [anon_sym_CARET_EQ] = ACTIONS(2931),
    [anon_sym_LT_LT_EQ] = ACTIONS(2931),
    [anon_sym_GT_GT_EQ] = ACTIONS(2931),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2931),
    [anon_sym_DOT_DOT] = ACTIONS(2933),
    [anon_sym_STAR_STAR] = ACTIONS(2933),
    [anon_sym_PIPE_PIPE] = ACTIONS(2933),
    [anon_sym_SLASH_SLASH] = ACTIONS(2933),
    [anon_sym_CARET_CARET] = ACTIONS(2931),
    [anon_sym_AMP_AMP] = ACTIONS(2933),
    [anon_sym_PIPE] = ACTIONS(2933),
    [anon_sym_CARET] = ACTIONS(2933),
    [anon_sym_AMP] = ACTIONS(2933),
    [anon_sym_GT_GT2] = ACTIONS(2933),
    [anon_sym_PLUS] = ACTIONS(2933),
    [anon_sym_DASH] = ACTIONS(2933),
    [anon_sym_DOT] = ACTIONS(2933),
    [anon_sym_STAR] = ACTIONS(2933),
    [anon_sym_SLASH] = ACTIONS(2933),
    [anon_sym_x] = ACTIONS(2933),
    [anon_sym_EQ_TILDE] = ACTIONS(2931),
    [anon_sym_BANG_TILDE] = ACTIONS(2931),
    [anon_sym_EQ_EQ] = ACTIONS(2933),
    [anon_sym_BANG_EQ] = ACTIONS(2931),
    [anon_sym_eq] = ACTIONS(2933),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2931),
    [anon_sym_equ] = ACTIONS(2931),
    [anon_sym_eqr] = ACTIONS(2931),
    [anon_sym_ne] = ACTIONS(2931),
    [anon_sym_LT_EQ_GT] = ACTIONS(2931),
    [anon_sym_cmp] = ACTIONS(2931),
    [anon_sym_TILDE_TILDE] = ACTIONS(2931),
    [anon_sym_LT] = ACTIONS(2933),
    [anon_sym_LT_EQ] = ACTIONS(2933),
    [anon_sym_GT_EQ] = ACTIONS(2931),
    [anon_sym_lt] = ACTIONS(2931),
    [anon_sym_le] = ACTIONS(2931),
    [anon_sym_ge] = ACTIONS(2931),
    [anon_sym_gt] = ACTIONS(2931),
    [anon_sym_isa] = ACTIONS(2931),
    [anon_sym_PLUS_PLUS] = ACTIONS(2931),
    [anon_sym_DASH_DASH] = ACTIONS(2931),
    [anon_sym_QMARK] = ACTIONS(2931),
    [anon_sym_PERCENT2] = ACTIONS(2931),
    [anon_sym_EQ_GT] = ACTIONS(2931),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1973] = {
    [sym_heredoc_content] = STATE(1973),
    [anon_sym_COLON] = ACTIONS(2947),
    [anon_sym_DOLLAR] = ACTIONS(2947),
    [anon_sym_EQ] = ACTIONS(2949),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2947),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2947),
    [anon_sym_AT] = ACTIONS(2947),
    [anon_sym_COMMA] = ACTIONS(2947),
    [anon_sym_RPAREN] = ACTIONS(2947),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2947),
    [anon_sym_DASH_GT] = ACTIONS(3632),
    [anon_sym_PERCENT] = ACTIONS(3634),
    [anon_sym_GT] = ACTIONS(2949),
    [anon_sym_LT_LT] = ACTIONS(3638),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2947),
    [anon_sym_PLUS_EQ] = ACTIONS(2947),
    [anon_sym_DASH_EQ] = ACTIONS(2947),
    [anon_sym_DOT_EQ] = ACTIONS(2947),
    [anon_sym_STAR_EQ] = ACTIONS(2947),
    [anon_sym_SLASH_EQ] = ACTIONS(2947),
    [anon_sym_PERCENT_EQ] = ACTIONS(2949),
    [anon_sym_x_EQ] = ACTIONS(2947),
    [anon_sym_AMP_EQ] = ACTIONS(2947),
    [anon_sym_PIPE_EQ] = ACTIONS(2947),
    [anon_sym_CARET_EQ] = ACTIONS(2947),
    [anon_sym_LT_LT_EQ] = ACTIONS(2947),
    [anon_sym_GT_GT_EQ] = ACTIONS(2947),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2947),
    [anon_sym_DOT_DOT] = ACTIONS(2949),
    [anon_sym_STAR_STAR] = ACTIONS(3642),
    [anon_sym_PIPE_PIPE] = ACTIONS(2949),
    [anon_sym_SLASH_SLASH] = ACTIONS(2949),
    [anon_sym_CARET_CARET] = ACTIONS(2947),
    [anon_sym_AMP_AMP] = ACTIONS(2949),
    [anon_sym_PIPE] = ACTIONS(2949),
    [anon_sym_CARET] = ACTIONS(2949),
    [anon_sym_AMP] = ACTIONS(2949),
    [anon_sym_GT_GT2] = ACTIONS(3638),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_DASH] = ACTIONS(3654),
    [anon_sym_DOT] = ACTIONS(3654),
    [anon_sym_STAR] = ACTIONS(3634),
    [anon_sym_SLASH] = ACTIONS(3634),
    [anon_sym_x] = ACTIONS(3634),
    [anon_sym_EQ_TILDE] = ACTIONS(3656),
    [anon_sym_BANG_TILDE] = ACTIONS(3656),
    [anon_sym_EQ_EQ] = ACTIONS(2949),
    [anon_sym_BANG_EQ] = ACTIONS(2947),
    [anon_sym_eq] = ACTIONS(2949),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2947),
    [anon_sym_equ] = ACTIONS(2947),
    [anon_sym_eqr] = ACTIONS(2947),
    [anon_sym_ne] = ACTIONS(2947),
    [anon_sym_LT_EQ_GT] = ACTIONS(2947),
    [anon_sym_cmp] = ACTIONS(2947),
    [anon_sym_TILDE_TILDE] = ACTIONS(2947),
    [anon_sym_LT] = ACTIONS(2949),
    [anon_sym_LT_EQ] = ACTIONS(2949),
    [anon_sym_GT_EQ] = ACTIONS(2947),
    [anon_sym_lt] = ACTIONS(2947),
    [anon_sym_le] = ACTIONS(2947),
    [anon_sym_ge] = ACTIONS(2947),
    [anon_sym_gt] = ACTIONS(2947),
    [anon_sym_isa] = ACTIONS(2947),
    [anon_sym_PLUS_PLUS] = ACTIONS(3668),
    [anon_sym_DASH_DASH] = ACTIONS(3668),
    [anon_sym_QMARK] = ACTIONS(2947),
    [anon_sym_PERCENT2] = ACTIONS(2947),
    [anon_sym_EQ_GT] = ACTIONS(2947),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1974] = {
    [sym_heredoc_content] = STATE(1974),
    [anon_sym_LBRACE] = ACTIONS(2526),
    [anon_sym_RBRACE] = ACTIONS(2528),
    [anon_sym_COLON] = ACTIONS(2528),
    [anon_sym_EQ] = ACTIONS(2530),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2528),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2528),
    [anon_sym_COMMA] = ACTIONS(2528),
    [anon_sym_RPAREN] = ACTIONS(2528),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(2526),
    [anon_sym_DASH_GT] = ACTIONS(2528),
    [anon_sym_PERCENT] = ACTIONS(2530),
    [anon_sym_GT] = ACTIONS(2530),
    [anon_sym_LT_LT] = ACTIONS(2530),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2528),
    [anon_sym_PLUS_EQ] = ACTIONS(2528),
    [anon_sym_DASH_EQ] = ACTIONS(2528),
    [anon_sym_DOT_EQ] = ACTIONS(2528),
    [anon_sym_STAR_EQ] = ACTIONS(2528),
    [anon_sym_SLASH_EQ] = ACTIONS(2528),
    [anon_sym_PERCENT_EQ] = ACTIONS(2528),
    [anon_sym_x_EQ] = ACTIONS(2528),
    [anon_sym_AMP_EQ] = ACTIONS(2528),
    [anon_sym_PIPE_EQ] = ACTIONS(2528),
    [anon_sym_CARET_EQ] = ACTIONS(2528),
    [anon_sym_LT_LT_EQ] = ACTIONS(2528),
    [anon_sym_GT_GT_EQ] = ACTIONS(2528),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2528),
    [anon_sym_DOT_DOT] = ACTIONS(2530),
    [anon_sym_STAR_STAR] = ACTIONS(2530),
    [anon_sym_PIPE_PIPE] = ACTIONS(2530),
    [anon_sym_SLASH_SLASH] = ACTIONS(2530),
    [anon_sym_CARET_CARET] = ACTIONS(2528),
    [anon_sym_AMP_AMP] = ACTIONS(2530),
    [anon_sym_PIPE] = ACTIONS(2530),
    [anon_sym_CARET] = ACTIONS(2530),
    [anon_sym_AMP] = ACTIONS(2530),
    [anon_sym_GT_GT2] = ACTIONS(2530),
    [anon_sym_PLUS] = ACTIONS(2530),
    [anon_sym_DASH] = ACTIONS(2530),
    [anon_sym_DOT] = ACTIONS(2530),
    [anon_sym_STAR] = ACTIONS(2530),
    [anon_sym_SLASH] = ACTIONS(2530),
    [anon_sym_x] = ACTIONS(2530),
    [anon_sym_EQ_TILDE] = ACTIONS(2528),
    [anon_sym_BANG_TILDE] = ACTIONS(2528),
    [anon_sym_EQ_EQ] = ACTIONS(2530),
    [anon_sym_BANG_EQ] = ACTIONS(2528),
    [anon_sym_eq] = ACTIONS(2530),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2528),
    [anon_sym_equ] = ACTIONS(2528),
    [anon_sym_eqr] = ACTIONS(2528),
    [anon_sym_ne] = ACTIONS(2528),
    [anon_sym_LT_EQ_GT] = ACTIONS(2528),
    [anon_sym_cmp] = ACTIONS(2528),
    [anon_sym_TILDE_TILDE] = ACTIONS(2528),
    [anon_sym_LT] = ACTIONS(2530),
    [anon_sym_LT_EQ] = ACTIONS(2530),
    [anon_sym_GT_EQ] = ACTIONS(2528),
    [anon_sym_lt] = ACTIONS(2528),
    [anon_sym_le] = ACTIONS(2528),
    [anon_sym_ge] = ACTIONS(2528),
    [anon_sym_gt] = ACTIONS(2528),
    [anon_sym_isa] = ACTIONS(2528),
    [anon_sym_PLUS_PLUS] = ACTIONS(2528),
    [anon_sym_DASH_DASH] = ACTIONS(2528),
    [anon_sym_QMARK] = ACTIONS(2528),
    [anon_sym_EQ_GT] = ACTIONS(2528),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1975] = {
    [sym_heredoc_content] = STATE(1975),
    [anon_sym_COLON] = ACTIONS(2544),
    [anon_sym_DOLLAR] = ACTIONS(2544),
    [anon_sym_EQ] = ACTIONS(2546),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2544),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2544),
    [anon_sym_AT] = ACTIONS(2544),
    [anon_sym_COMMA] = ACTIONS(2544),
    [anon_sym_RPAREN] = ACTIONS(2544),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2544),
    [anon_sym_DASH_GT] = ACTIONS(2544),
    [anon_sym_PERCENT] = ACTIONS(2546),
    [anon_sym_GT] = ACTIONS(2546),
    [anon_sym_LT_LT] = ACTIONS(2546),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2544),
    [anon_sym_PLUS_EQ] = ACTIONS(2544),
    [anon_sym_DASH_EQ] = ACTIONS(2544),
    [anon_sym_DOT_EQ] = ACTIONS(2544),
    [anon_sym_STAR_EQ] = ACTIONS(2544),
    [anon_sym_SLASH_EQ] = ACTIONS(2544),
    [anon_sym_PERCENT_EQ] = ACTIONS(2546),
    [anon_sym_x_EQ] = ACTIONS(2544),
    [anon_sym_AMP_EQ] = ACTIONS(2544),
    [anon_sym_PIPE_EQ] = ACTIONS(2544),
    [anon_sym_CARET_EQ] = ACTIONS(2544),
    [anon_sym_LT_LT_EQ] = ACTIONS(2544),
    [anon_sym_GT_GT_EQ] = ACTIONS(2544),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2544),
    [anon_sym_DOT_DOT] = ACTIONS(2546),
    [anon_sym_STAR_STAR] = ACTIONS(2546),
    [anon_sym_PIPE_PIPE] = ACTIONS(2546),
    [anon_sym_SLASH_SLASH] = ACTIONS(2546),
    [anon_sym_CARET_CARET] = ACTIONS(2544),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_PIPE] = ACTIONS(2546),
    [anon_sym_CARET] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2546),
    [anon_sym_GT_GT2] = ACTIONS(2546),
    [anon_sym_PLUS] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2546),
    [anon_sym_DOT] = ACTIONS(2546),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_SLASH] = ACTIONS(2546),
    [anon_sym_x] = ACTIONS(2546),
    [anon_sym_EQ_TILDE] = ACTIONS(2544),
    [anon_sym_BANG_TILDE] = ACTIONS(2544),
    [anon_sym_EQ_EQ] = ACTIONS(2546),
    [anon_sym_BANG_EQ] = ACTIONS(2544),
    [anon_sym_eq] = ACTIONS(2546),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2544),
    [anon_sym_equ] = ACTIONS(2544),
    [anon_sym_eqr] = ACTIONS(2544),
    [anon_sym_ne] = ACTIONS(2544),
    [anon_sym_LT_EQ_GT] = ACTIONS(2544),
    [anon_sym_cmp] = ACTIONS(2544),
    [anon_sym_TILDE_TILDE] = ACTIONS(2544),
    [anon_sym_LT] = ACTIONS(2546),
    [anon_sym_LT_EQ] = ACTIONS(2546),
    [anon_sym_GT_EQ] = ACTIONS(2544),
    [anon_sym_lt] = ACTIONS(2544),
    [anon_sym_le] = ACTIONS(2544),
    [anon_sym_ge] = ACTIONS(2544),
    [anon_sym_gt] = ACTIONS(2544),
    [anon_sym_isa] = ACTIONS(2544),
    [anon_sym_PLUS_PLUS] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2544),
    [anon_sym_QMARK] = ACTIONS(2544),
    [anon_sym_PERCENT2] = ACTIONS(2544),
    [anon_sym_EQ_GT] = ACTIONS(2544),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1976] = {
    [sym_heredoc_content] = STATE(1976),
    [anon_sym_COLON] = ACTIONS(2999),
    [anon_sym_DOLLAR] = ACTIONS(2999),
    [anon_sym_EQ] = ACTIONS(3001),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2999),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2999),
    [anon_sym_AT] = ACTIONS(2999),
    [anon_sym_COMMA] = ACTIONS(2999),
    [anon_sym_RPAREN] = ACTIONS(2999),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2999),
    [anon_sym_DASH_GT] = ACTIONS(2999),
    [anon_sym_PERCENT] = ACTIONS(3001),
    [anon_sym_GT] = ACTIONS(3001),
    [anon_sym_LT_LT] = ACTIONS(3001),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2999),
    [anon_sym_PLUS_EQ] = ACTIONS(2999),
    [anon_sym_DASH_EQ] = ACTIONS(2999),
    [anon_sym_DOT_EQ] = ACTIONS(2999),
    [anon_sym_STAR_EQ] = ACTIONS(2999),
    [anon_sym_SLASH_EQ] = ACTIONS(2999),
    [anon_sym_PERCENT_EQ] = ACTIONS(3001),
    [anon_sym_x_EQ] = ACTIONS(2999),
    [anon_sym_AMP_EQ] = ACTIONS(2999),
    [anon_sym_PIPE_EQ] = ACTIONS(2999),
    [anon_sym_CARET_EQ] = ACTIONS(2999),
    [anon_sym_LT_LT_EQ] = ACTIONS(2999),
    [anon_sym_GT_GT_EQ] = ACTIONS(2999),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2999),
    [anon_sym_DOT_DOT] = ACTIONS(3001),
    [anon_sym_STAR_STAR] = ACTIONS(3001),
    [anon_sym_PIPE_PIPE] = ACTIONS(3001),
    [anon_sym_SLASH_SLASH] = ACTIONS(3001),
    [anon_sym_CARET_CARET] = ACTIONS(2999),
    [anon_sym_AMP_AMP] = ACTIONS(3001),
    [anon_sym_PIPE] = ACTIONS(3001),
    [anon_sym_CARET] = ACTIONS(3001),
    [anon_sym_AMP] = ACTIONS(3001),
    [anon_sym_GT_GT2] = ACTIONS(3001),
    [anon_sym_PLUS] = ACTIONS(3001),
    [anon_sym_DASH] = ACTIONS(3001),
    [anon_sym_DOT] = ACTIONS(3001),
    [anon_sym_STAR] = ACTIONS(3001),
    [anon_sym_SLASH] = ACTIONS(3001),
    [anon_sym_x] = ACTIONS(3001),
    [anon_sym_EQ_TILDE] = ACTIONS(2999),
    [anon_sym_BANG_TILDE] = ACTIONS(2999),
    [anon_sym_EQ_EQ] = ACTIONS(3001),
    [anon_sym_BANG_EQ] = ACTIONS(2999),
    [anon_sym_eq] = ACTIONS(3001),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2999),
    [anon_sym_equ] = ACTIONS(2999),
    [anon_sym_eqr] = ACTIONS(2999),
    [anon_sym_ne] = ACTIONS(2999),
    [anon_sym_LT_EQ_GT] = ACTIONS(2999),
    [anon_sym_cmp] = ACTIONS(2999),
    [anon_sym_TILDE_TILDE] = ACTIONS(2999),
    [anon_sym_LT] = ACTIONS(3001),
    [anon_sym_LT_EQ] = ACTIONS(3001),
    [anon_sym_GT_EQ] = ACTIONS(2999),
    [anon_sym_lt] = ACTIONS(2999),
    [anon_sym_le] = ACTIONS(2999),
    [anon_sym_ge] = ACTIONS(2999),
    [anon_sym_gt] = ACTIONS(2999),
    [anon_sym_isa] = ACTIONS(2999),
    [anon_sym_PLUS_PLUS] = ACTIONS(2999),
    [anon_sym_DASH_DASH] = ACTIONS(2999),
    [anon_sym_QMARK] = ACTIONS(2999),
    [anon_sym_PERCENT2] = ACTIONS(2999),
    [anon_sym_EQ_GT] = ACTIONS(2999),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1977] = {
    [sym_heredoc_content] = STATE(1977),
    [anon_sym_COLON] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3003),
    [anon_sym_EQ] = ACTIONS(3005),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3003),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3003),
    [anon_sym_AT] = ACTIONS(3003),
    [anon_sym_COMMA] = ACTIONS(3003),
    [anon_sym_RPAREN] = ACTIONS(3003),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3003),
    [anon_sym_DASH_GT] = ACTIONS(3003),
    [anon_sym_PERCENT] = ACTIONS(3005),
    [anon_sym_GT] = ACTIONS(3005),
    [anon_sym_LT_LT] = ACTIONS(3005),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3003),
    [anon_sym_PLUS_EQ] = ACTIONS(3003),
    [anon_sym_DASH_EQ] = ACTIONS(3003),
    [anon_sym_DOT_EQ] = ACTIONS(3003),
    [anon_sym_STAR_EQ] = ACTIONS(3003),
    [anon_sym_SLASH_EQ] = ACTIONS(3003),
    [anon_sym_PERCENT_EQ] = ACTIONS(3005),
    [anon_sym_x_EQ] = ACTIONS(3003),
    [anon_sym_AMP_EQ] = ACTIONS(3003),
    [anon_sym_PIPE_EQ] = ACTIONS(3003),
    [anon_sym_CARET_EQ] = ACTIONS(3003),
    [anon_sym_LT_LT_EQ] = ACTIONS(3003),
    [anon_sym_GT_GT_EQ] = ACTIONS(3003),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3003),
    [anon_sym_DOT_DOT] = ACTIONS(3005),
    [anon_sym_STAR_STAR] = ACTIONS(3005),
    [anon_sym_PIPE_PIPE] = ACTIONS(3005),
    [anon_sym_SLASH_SLASH] = ACTIONS(3005),
    [anon_sym_CARET_CARET] = ACTIONS(3003),
    [anon_sym_AMP_AMP] = ACTIONS(3005),
    [anon_sym_PIPE] = ACTIONS(3005),
    [anon_sym_CARET] = ACTIONS(3005),
    [anon_sym_AMP] = ACTIONS(3005),
    [anon_sym_GT_GT2] = ACTIONS(3005),
    [anon_sym_PLUS] = ACTIONS(3005),
    [anon_sym_DASH] = ACTIONS(3005),
    [anon_sym_DOT] = ACTIONS(3005),
    [anon_sym_STAR] = ACTIONS(3005),
    [anon_sym_SLASH] = ACTIONS(3005),
    [anon_sym_x] = ACTIONS(3005),
    [anon_sym_EQ_TILDE] = ACTIONS(3003),
    [anon_sym_BANG_TILDE] = ACTIONS(3003),
    [anon_sym_EQ_EQ] = ACTIONS(3005),
    [anon_sym_BANG_EQ] = ACTIONS(3003),
    [anon_sym_eq] = ACTIONS(3005),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3003),
    [anon_sym_equ] = ACTIONS(3003),
    [anon_sym_eqr] = ACTIONS(3003),
    [anon_sym_ne] = ACTIONS(3003),
    [anon_sym_LT_EQ_GT] = ACTIONS(3003),
    [anon_sym_cmp] = ACTIONS(3003),
    [anon_sym_TILDE_TILDE] = ACTIONS(3003),
    [anon_sym_LT] = ACTIONS(3005),
    [anon_sym_LT_EQ] = ACTIONS(3005),
    [anon_sym_GT_EQ] = ACTIONS(3003),
    [anon_sym_lt] = ACTIONS(3003),
    [anon_sym_le] = ACTIONS(3003),
    [anon_sym_ge] = ACTIONS(3003),
    [anon_sym_gt] = ACTIONS(3003),
    [anon_sym_isa] = ACTIONS(3003),
    [anon_sym_PLUS_PLUS] = ACTIONS(3003),
    [anon_sym_DASH_DASH] = ACTIONS(3003),
    [anon_sym_QMARK] = ACTIONS(3003),
    [anon_sym_PERCENT2] = ACTIONS(3003),
    [anon_sym_EQ_GT] = ACTIONS(3003),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1978] = {
    [sym_heredoc_content] = STATE(1978),
    [anon_sym_COLON] = ACTIONS(2857),
    [anon_sym_DOLLAR] = ACTIONS(2857),
    [anon_sym_EQ] = ACTIONS(2859),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2857),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2857),
    [anon_sym_AT] = ACTIONS(2857),
    [anon_sym_COMMA] = ACTIONS(2857),
    [anon_sym_RPAREN] = ACTIONS(2857),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2857),
    [anon_sym_DASH_GT] = ACTIONS(2857),
    [anon_sym_PERCENT] = ACTIONS(2859),
    [anon_sym_GT] = ACTIONS(2859),
    [anon_sym_LT_LT] = ACTIONS(2859),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2857),
    [anon_sym_PLUS_EQ] = ACTIONS(2857),
    [anon_sym_DASH_EQ] = ACTIONS(2857),
    [anon_sym_DOT_EQ] = ACTIONS(2857),
    [anon_sym_STAR_EQ] = ACTIONS(2857),
    [anon_sym_SLASH_EQ] = ACTIONS(2857),
    [anon_sym_PERCENT_EQ] = ACTIONS(2859),
    [anon_sym_x_EQ] = ACTIONS(2857),
    [anon_sym_AMP_EQ] = ACTIONS(2857),
    [anon_sym_PIPE_EQ] = ACTIONS(2857),
    [anon_sym_CARET_EQ] = ACTIONS(2857),
    [anon_sym_LT_LT_EQ] = ACTIONS(2857),
    [anon_sym_GT_GT_EQ] = ACTIONS(2857),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2857),
    [anon_sym_DOT_DOT] = ACTIONS(2859),
    [anon_sym_STAR_STAR] = ACTIONS(2859),
    [anon_sym_PIPE_PIPE] = ACTIONS(2859),
    [anon_sym_SLASH_SLASH] = ACTIONS(2859),
    [anon_sym_CARET_CARET] = ACTIONS(2857),
    [anon_sym_AMP_AMP] = ACTIONS(2859),
    [anon_sym_PIPE] = ACTIONS(2859),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_AMP] = ACTIONS(2859),
    [anon_sym_GT_GT2] = ACTIONS(2859),
    [anon_sym_PLUS] = ACTIONS(2859),
    [anon_sym_DASH] = ACTIONS(2859),
    [anon_sym_DOT] = ACTIONS(2859),
    [anon_sym_STAR] = ACTIONS(2859),
    [anon_sym_SLASH] = ACTIONS(2859),
    [anon_sym_x] = ACTIONS(2859),
    [anon_sym_EQ_TILDE] = ACTIONS(2857),
    [anon_sym_BANG_TILDE] = ACTIONS(2857),
    [anon_sym_EQ_EQ] = ACTIONS(2859),
    [anon_sym_BANG_EQ] = ACTIONS(2857),
    [anon_sym_eq] = ACTIONS(2859),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2857),
    [anon_sym_equ] = ACTIONS(2857),
    [anon_sym_eqr] = ACTIONS(2857),
    [anon_sym_ne] = ACTIONS(2857),
    [anon_sym_LT_EQ_GT] = ACTIONS(2857),
    [anon_sym_cmp] = ACTIONS(2857),
    [anon_sym_TILDE_TILDE] = ACTIONS(2857),
    [anon_sym_LT] = ACTIONS(2859),
    [anon_sym_LT_EQ] = ACTIONS(2859),
    [anon_sym_GT_EQ] = ACTIONS(2857),
    [anon_sym_lt] = ACTIONS(2857),
    [anon_sym_le] = ACTIONS(2857),
    [anon_sym_ge] = ACTIONS(2857),
    [anon_sym_gt] = ACTIONS(2857),
    [anon_sym_isa] = ACTIONS(2857),
    [anon_sym_PLUS_PLUS] = ACTIONS(2857),
    [anon_sym_DASH_DASH] = ACTIONS(2857),
    [anon_sym_QMARK] = ACTIONS(2857),
    [anon_sym_PERCENT2] = ACTIONS(2857),
    [anon_sym_EQ_GT] = ACTIONS(2857),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1979] = {
    [sym_heredoc_content] = STATE(1979),
    [anon_sym_COLON] = ACTIONS(2869),
    [anon_sym_DOLLAR] = ACTIONS(2869),
    [anon_sym_EQ] = ACTIONS(2871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2869),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2869),
    [anon_sym_AT] = ACTIONS(2869),
    [anon_sym_COMMA] = ACTIONS(2869),
    [anon_sym_RPAREN] = ACTIONS(2869),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2869),
    [anon_sym_DASH_GT] = ACTIONS(2869),
    [anon_sym_PERCENT] = ACTIONS(2871),
    [anon_sym_GT] = ACTIONS(2871),
    [anon_sym_LT_LT] = ACTIONS(2871),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2869),
    [anon_sym_PLUS_EQ] = ACTIONS(2869),
    [anon_sym_DASH_EQ] = ACTIONS(2869),
    [anon_sym_DOT_EQ] = ACTIONS(2869),
    [anon_sym_STAR_EQ] = ACTIONS(2869),
    [anon_sym_SLASH_EQ] = ACTIONS(2869),
    [anon_sym_PERCENT_EQ] = ACTIONS(2871),
    [anon_sym_x_EQ] = ACTIONS(2869),
    [anon_sym_AMP_EQ] = ACTIONS(2869),
    [anon_sym_PIPE_EQ] = ACTIONS(2869),
    [anon_sym_CARET_EQ] = ACTIONS(2869),
    [anon_sym_LT_LT_EQ] = ACTIONS(2869),
    [anon_sym_GT_GT_EQ] = ACTIONS(2869),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2869),
    [anon_sym_DOT_DOT] = ACTIONS(2871),
    [anon_sym_STAR_STAR] = ACTIONS(2871),
    [anon_sym_PIPE_PIPE] = ACTIONS(2871),
    [anon_sym_SLASH_SLASH] = ACTIONS(2871),
    [anon_sym_CARET_CARET] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_PIPE] = ACTIONS(2871),
    [anon_sym_CARET] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_GT_GT2] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_DOT] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_SLASH] = ACTIONS(2871),
    [anon_sym_x] = ACTIONS(2871),
    [anon_sym_EQ_TILDE] = ACTIONS(2869),
    [anon_sym_BANG_TILDE] = ACTIONS(2869),
    [anon_sym_EQ_EQ] = ACTIONS(2871),
    [anon_sym_BANG_EQ] = ACTIONS(2869),
    [anon_sym_eq] = ACTIONS(2871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2869),
    [anon_sym_equ] = ACTIONS(2869),
    [anon_sym_eqr] = ACTIONS(2869),
    [anon_sym_ne] = ACTIONS(2869),
    [anon_sym_LT_EQ_GT] = ACTIONS(2869),
    [anon_sym_cmp] = ACTIONS(2869),
    [anon_sym_TILDE_TILDE] = ACTIONS(2869),
    [anon_sym_LT] = ACTIONS(2871),
    [anon_sym_LT_EQ] = ACTIONS(2871),
    [anon_sym_GT_EQ] = ACTIONS(2869),
    [anon_sym_lt] = ACTIONS(2869),
    [anon_sym_le] = ACTIONS(2869),
    [anon_sym_ge] = ACTIONS(2869),
    [anon_sym_gt] = ACTIONS(2869),
    [anon_sym_isa] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_QMARK] = ACTIONS(2869),
    [anon_sym_PERCENT2] = ACTIONS(2869),
    [anon_sym_EQ_GT] = ACTIONS(2869),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1980] = {
    [sym_heredoc_content] = STATE(1980),
    [anon_sym_COLON] = ACTIONS(2873),
    [anon_sym_DOLLAR] = ACTIONS(2873),
    [anon_sym_EQ] = ACTIONS(2875),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2873),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2873),
    [anon_sym_AT] = ACTIONS(2873),
    [anon_sym_COMMA] = ACTIONS(2873),
    [anon_sym_RPAREN] = ACTIONS(2873),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2873),
    [anon_sym_DASH_GT] = ACTIONS(3632),
    [anon_sym_PERCENT] = ACTIONS(2875),
    [anon_sym_GT] = ACTIONS(2875),
    [anon_sym_LT_LT] = ACTIONS(2875),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2873),
    [anon_sym_PLUS_EQ] = ACTIONS(2873),
    [anon_sym_DASH_EQ] = ACTIONS(2873),
    [anon_sym_DOT_EQ] = ACTIONS(2873),
    [anon_sym_STAR_EQ] = ACTIONS(2873),
    [anon_sym_SLASH_EQ] = ACTIONS(2873),
    [anon_sym_PERCENT_EQ] = ACTIONS(2875),
    [anon_sym_x_EQ] = ACTIONS(2873),
    [anon_sym_AMP_EQ] = ACTIONS(2873),
    [anon_sym_PIPE_EQ] = ACTIONS(2873),
    [anon_sym_CARET_EQ] = ACTIONS(2873),
    [anon_sym_LT_LT_EQ] = ACTIONS(2873),
    [anon_sym_GT_GT_EQ] = ACTIONS(2873),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2873),
    [anon_sym_DOT_DOT] = ACTIONS(2875),
    [anon_sym_STAR_STAR] = ACTIONS(3642),
    [anon_sym_PIPE_PIPE] = ACTIONS(2875),
    [anon_sym_SLASH_SLASH] = ACTIONS(2875),
    [anon_sym_CARET_CARET] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2875),
    [anon_sym_PIPE] = ACTIONS(2875),
    [anon_sym_CARET] = ACTIONS(2875),
    [anon_sym_AMP] = ACTIONS(2875),
    [anon_sym_GT_GT2] = ACTIONS(2875),
    [anon_sym_PLUS] = ACTIONS(2875),
    [anon_sym_DASH] = ACTIONS(2875),
    [anon_sym_DOT] = ACTIONS(2875),
    [anon_sym_STAR] = ACTIONS(2875),
    [anon_sym_SLASH] = ACTIONS(2875),
    [anon_sym_x] = ACTIONS(2875),
    [anon_sym_EQ_TILDE] = ACTIONS(2873),
    [anon_sym_BANG_TILDE] = ACTIONS(2873),
    [anon_sym_EQ_EQ] = ACTIONS(2875),
    [anon_sym_BANG_EQ] = ACTIONS(2873),
    [anon_sym_eq] = ACTIONS(2875),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2873),
    [anon_sym_equ] = ACTIONS(2873),
    [anon_sym_eqr] = ACTIONS(2873),
    [anon_sym_ne] = ACTIONS(2873),
    [anon_sym_LT_EQ_GT] = ACTIONS(2873),
    [anon_sym_cmp] = ACTIONS(2873),
    [anon_sym_TILDE_TILDE] = ACTIONS(2873),
    [anon_sym_LT] = ACTIONS(2875),
    [anon_sym_LT_EQ] = ACTIONS(2875),
    [anon_sym_GT_EQ] = ACTIONS(2873),
    [anon_sym_lt] = ACTIONS(2873),
    [anon_sym_le] = ACTIONS(2873),
    [anon_sym_ge] = ACTIONS(2873),
    [anon_sym_gt] = ACTIONS(2873),
    [anon_sym_isa] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(3668),
    [anon_sym_DASH_DASH] = ACTIONS(3668),
    [anon_sym_QMARK] = ACTIONS(2873),
    [anon_sym_PERCENT2] = ACTIONS(2873),
    [anon_sym_EQ_GT] = ACTIONS(2873),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1981] = {
    [sym_heredoc_content] = STATE(1981),
    [anon_sym_COLON] = ACTIONS(2877),
    [anon_sym_DOLLAR] = ACTIONS(2877),
    [anon_sym_EQ] = ACTIONS(2880),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2877),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2877),
    [anon_sym_AT] = ACTIONS(2877),
    [anon_sym_COMMA] = ACTIONS(2877),
    [anon_sym_RPAREN] = ACTIONS(2877),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2877),
    [anon_sym_DASH_GT] = ACTIONS(2877),
    [anon_sym_PERCENT] = ACTIONS(2880),
    [anon_sym_GT] = ACTIONS(2880),
    [anon_sym_LT_LT] = ACTIONS(2880),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2877),
    [anon_sym_PLUS_EQ] = ACTIONS(2877),
    [anon_sym_DASH_EQ] = ACTIONS(2877),
    [anon_sym_DOT_EQ] = ACTIONS(2877),
    [anon_sym_STAR_EQ] = ACTIONS(2877),
    [anon_sym_SLASH_EQ] = ACTIONS(2877),
    [anon_sym_PERCENT_EQ] = ACTIONS(2880),
    [anon_sym_x_EQ] = ACTIONS(2877),
    [anon_sym_AMP_EQ] = ACTIONS(2877),
    [anon_sym_PIPE_EQ] = ACTIONS(2877),
    [anon_sym_CARET_EQ] = ACTIONS(2877),
    [anon_sym_LT_LT_EQ] = ACTIONS(2877),
    [anon_sym_GT_GT_EQ] = ACTIONS(2877),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2877),
    [anon_sym_DOT_DOT] = ACTIONS(2880),
    [anon_sym_STAR_STAR] = ACTIONS(2880),
    [anon_sym_PIPE_PIPE] = ACTIONS(2880),
    [anon_sym_SLASH_SLASH] = ACTIONS(2880),
    [anon_sym_CARET_CARET] = ACTIONS(2877),
    [anon_sym_AMP_AMP] = ACTIONS(2880),
    [anon_sym_PIPE] = ACTIONS(2880),
    [anon_sym_CARET] = ACTIONS(2880),
    [anon_sym_AMP] = ACTIONS(2880),
    [anon_sym_GT_GT2] = ACTIONS(2880),
    [anon_sym_PLUS] = ACTIONS(2880),
    [anon_sym_DASH] = ACTIONS(2880),
    [anon_sym_DOT] = ACTIONS(2880),
    [anon_sym_STAR] = ACTIONS(2880),
    [anon_sym_SLASH] = ACTIONS(2880),
    [anon_sym_x] = ACTIONS(2880),
    [anon_sym_EQ_TILDE] = ACTIONS(2877),
    [anon_sym_BANG_TILDE] = ACTIONS(2877),
    [anon_sym_EQ_EQ] = ACTIONS(2880),
    [anon_sym_BANG_EQ] = ACTIONS(2877),
    [anon_sym_eq] = ACTIONS(2880),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2877),
    [anon_sym_equ] = ACTIONS(2877),
    [anon_sym_eqr] = ACTIONS(2877),
    [anon_sym_ne] = ACTIONS(2877),
    [anon_sym_LT_EQ_GT] = ACTIONS(2877),
    [anon_sym_cmp] = ACTIONS(2877),
    [anon_sym_TILDE_TILDE] = ACTIONS(2877),
    [anon_sym_LT] = ACTIONS(2880),
    [anon_sym_LT_EQ] = ACTIONS(2880),
    [anon_sym_GT_EQ] = ACTIONS(2877),
    [anon_sym_lt] = ACTIONS(2877),
    [anon_sym_le] = ACTIONS(2877),
    [anon_sym_ge] = ACTIONS(2877),
    [anon_sym_gt] = ACTIONS(2877),
    [anon_sym_isa] = ACTIONS(2877),
    [anon_sym_PLUS_PLUS] = ACTIONS(2877),
    [anon_sym_DASH_DASH] = ACTIONS(2877),
    [anon_sym_QMARK] = ACTIONS(2877),
    [anon_sym_PERCENT2] = ACTIONS(2877),
    [anon_sym_EQ_GT] = ACTIONS(2877),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1982] = {
    [sym_heredoc_content] = STATE(1982),
    [anon_sym_COLON] = ACTIONS(3067),
    [anon_sym_DOLLAR] = ACTIONS(3067),
    [anon_sym_EQ] = ACTIONS(3069),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3067),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3067),
    [anon_sym_AT] = ACTIONS(3067),
    [anon_sym_COMMA] = ACTIONS(3067),
    [anon_sym_RPAREN] = ACTIONS(3067),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3067),
    [anon_sym_DASH_GT] = ACTIONS(3632),
    [anon_sym_PERCENT] = ACTIONS(3069),
    [anon_sym_GT] = ACTIONS(3069),
    [anon_sym_LT_LT] = ACTIONS(3069),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3067),
    [anon_sym_PLUS_EQ] = ACTIONS(3067),
    [anon_sym_DASH_EQ] = ACTIONS(3067),
    [anon_sym_DOT_EQ] = ACTIONS(3067),
    [anon_sym_STAR_EQ] = ACTIONS(3067),
    [anon_sym_SLASH_EQ] = ACTIONS(3067),
    [anon_sym_PERCENT_EQ] = ACTIONS(3069),
    [anon_sym_x_EQ] = ACTIONS(3067),
    [anon_sym_AMP_EQ] = ACTIONS(3067),
    [anon_sym_PIPE_EQ] = ACTIONS(3067),
    [anon_sym_CARET_EQ] = ACTIONS(3067),
    [anon_sym_LT_LT_EQ] = ACTIONS(3067),
    [anon_sym_GT_GT_EQ] = ACTIONS(3067),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3067),
    [anon_sym_DOT_DOT] = ACTIONS(3069),
    [anon_sym_STAR_STAR] = ACTIONS(3069),
    [anon_sym_PIPE_PIPE] = ACTIONS(3069),
    [anon_sym_SLASH_SLASH] = ACTIONS(3069),
    [anon_sym_CARET_CARET] = ACTIONS(3067),
    [anon_sym_AMP_AMP] = ACTIONS(3069),
    [anon_sym_PIPE] = ACTIONS(3069),
    [anon_sym_CARET] = ACTIONS(3069),
    [anon_sym_AMP] = ACTIONS(3069),
    [anon_sym_GT_GT2] = ACTIONS(3069),
    [anon_sym_PLUS] = ACTIONS(3069),
    [anon_sym_DASH] = ACTIONS(3069),
    [anon_sym_DOT] = ACTIONS(3069),
    [anon_sym_STAR] = ACTIONS(3069),
    [anon_sym_SLASH] = ACTIONS(3069),
    [anon_sym_x] = ACTIONS(3069),
    [anon_sym_EQ_TILDE] = ACTIONS(3067),
    [anon_sym_BANG_TILDE] = ACTIONS(3067),
    [anon_sym_EQ_EQ] = ACTIONS(3069),
    [anon_sym_BANG_EQ] = ACTIONS(3067),
    [anon_sym_eq] = ACTIONS(3069),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3067),
    [anon_sym_equ] = ACTIONS(3067),
    [anon_sym_eqr] = ACTIONS(3067),
    [anon_sym_ne] = ACTIONS(3067),
    [anon_sym_LT_EQ_GT] = ACTIONS(3067),
    [anon_sym_cmp] = ACTIONS(3067),
    [anon_sym_TILDE_TILDE] = ACTIONS(3067),
    [anon_sym_LT] = ACTIONS(3069),
    [anon_sym_LT_EQ] = ACTIONS(3069),
    [anon_sym_GT_EQ] = ACTIONS(3067),
    [anon_sym_lt] = ACTIONS(3067),
    [anon_sym_le] = ACTIONS(3067),
    [anon_sym_ge] = ACTIONS(3067),
    [anon_sym_gt] = ACTIONS(3067),
    [anon_sym_isa] = ACTIONS(3067),
    [anon_sym_PLUS_PLUS] = ACTIONS(3688),
    [anon_sym_DASH_DASH] = ACTIONS(3688),
    [anon_sym_QMARK] = ACTIONS(3067),
    [anon_sym_PERCENT2] = ACTIONS(3067),
    [anon_sym_EQ_GT] = ACTIONS(3067),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1983] = {
    [sym_heredoc_content] = STATE(1983),
    [anon_sym_COLON] = ACTIONS(2660),
    [anon_sym_DOLLAR] = ACTIONS(2660),
    [anon_sym_EQ] = ACTIONS(2662),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2660),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2660),
    [anon_sym_AT] = ACTIONS(2660),
    [anon_sym_COMMA] = ACTIONS(2660),
    [anon_sym_RPAREN] = ACTIONS(2660),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2660),
    [anon_sym_DASH_GT] = ACTIONS(3632),
    [anon_sym_PERCENT] = ACTIONS(2662),
    [anon_sym_GT] = ACTIONS(2662),
    [anon_sym_LT_LT] = ACTIONS(2662),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2660),
    [anon_sym_PLUS_EQ] = ACTIONS(2660),
    [anon_sym_DASH_EQ] = ACTIONS(2660),
    [anon_sym_DOT_EQ] = ACTIONS(2660),
    [anon_sym_STAR_EQ] = ACTIONS(2660),
    [anon_sym_SLASH_EQ] = ACTIONS(2660),
    [anon_sym_PERCENT_EQ] = ACTIONS(2662),
    [anon_sym_x_EQ] = ACTIONS(2660),
    [anon_sym_AMP_EQ] = ACTIONS(2660),
    [anon_sym_PIPE_EQ] = ACTIONS(2660),
    [anon_sym_CARET_EQ] = ACTIONS(2660),
    [anon_sym_LT_LT_EQ] = ACTIONS(2660),
    [anon_sym_GT_GT_EQ] = ACTIONS(2660),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2660),
    [anon_sym_DOT_DOT] = ACTIONS(2662),
    [anon_sym_STAR_STAR] = ACTIONS(3642),
    [anon_sym_PIPE_PIPE] = ACTIONS(2662),
    [anon_sym_SLASH_SLASH] = ACTIONS(2662),
    [anon_sym_CARET_CARET] = ACTIONS(2660),
    [anon_sym_AMP_AMP] = ACTIONS(2662),
    [anon_sym_PIPE] = ACTIONS(2662),
    [anon_sym_CARET] = ACTIONS(2662),
    [anon_sym_AMP] = ACTIONS(2662),
    [anon_sym_GT_GT2] = ACTIONS(2662),
    [anon_sym_PLUS] = ACTIONS(2662),
    [anon_sym_DASH] = ACTIONS(2662),
    [anon_sym_DOT] = ACTIONS(2662),
    [anon_sym_STAR] = ACTIONS(2662),
    [anon_sym_SLASH] = ACTIONS(2662),
    [anon_sym_x] = ACTIONS(2662),
    [anon_sym_EQ_TILDE] = ACTIONS(2660),
    [anon_sym_BANG_TILDE] = ACTIONS(2660),
    [anon_sym_EQ_EQ] = ACTIONS(2662),
    [anon_sym_BANG_EQ] = ACTIONS(2660),
    [anon_sym_eq] = ACTIONS(2662),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2660),
    [anon_sym_equ] = ACTIONS(2660),
    [anon_sym_eqr] = ACTIONS(2660),
    [anon_sym_ne] = ACTIONS(2660),
    [anon_sym_LT_EQ_GT] = ACTIONS(2660),
    [anon_sym_cmp] = ACTIONS(2660),
    [anon_sym_TILDE_TILDE] = ACTIONS(2660),
    [anon_sym_LT] = ACTIONS(2662),
    [anon_sym_LT_EQ] = ACTIONS(2662),
    [anon_sym_GT_EQ] = ACTIONS(2660),
    [anon_sym_lt] = ACTIONS(2660),
    [anon_sym_le] = ACTIONS(2660),
    [anon_sym_ge] = ACTIONS(2660),
    [anon_sym_gt] = ACTIONS(2660),
    [anon_sym_isa] = ACTIONS(2660),
    [anon_sym_PLUS_PLUS] = ACTIONS(3668),
    [anon_sym_DASH_DASH] = ACTIONS(3668),
    [anon_sym_QMARK] = ACTIONS(2660),
    [anon_sym_PERCENT2] = ACTIONS(2660),
    [anon_sym_EQ_GT] = ACTIONS(2660),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1984] = {
    [sym_heredoc_content] = STATE(1984),
    [anon_sym_COLON] = ACTIONS(3078),
    [anon_sym_DOLLAR] = ACTIONS(3078),
    [anon_sym_EQ] = ACTIONS(3080),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3078),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3078),
    [anon_sym_AT] = ACTIONS(3078),
    [anon_sym_COMMA] = ACTIONS(3078),
    [anon_sym_RPAREN] = ACTIONS(3078),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3078),
    [anon_sym_DASH_GT] = ACTIONS(3078),
    [anon_sym_PERCENT] = ACTIONS(3080),
    [anon_sym_GT] = ACTIONS(3080),
    [anon_sym_LT_LT] = ACTIONS(3080),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3078),
    [anon_sym_PLUS_EQ] = ACTIONS(3078),
    [anon_sym_DASH_EQ] = ACTIONS(3078),
    [anon_sym_DOT_EQ] = ACTIONS(3078),
    [anon_sym_STAR_EQ] = ACTIONS(3078),
    [anon_sym_SLASH_EQ] = ACTIONS(3078),
    [anon_sym_PERCENT_EQ] = ACTIONS(3080),
    [anon_sym_x_EQ] = ACTIONS(3078),
    [anon_sym_AMP_EQ] = ACTIONS(3078),
    [anon_sym_PIPE_EQ] = ACTIONS(3078),
    [anon_sym_CARET_EQ] = ACTIONS(3078),
    [anon_sym_LT_LT_EQ] = ACTIONS(3078),
    [anon_sym_GT_GT_EQ] = ACTIONS(3078),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3078),
    [anon_sym_DOT_DOT] = ACTIONS(3080),
    [anon_sym_STAR_STAR] = ACTIONS(3080),
    [anon_sym_PIPE_PIPE] = ACTIONS(3080),
    [anon_sym_SLASH_SLASH] = ACTIONS(3080),
    [anon_sym_CARET_CARET] = ACTIONS(3078),
    [anon_sym_AMP_AMP] = ACTIONS(3080),
    [anon_sym_PIPE] = ACTIONS(3080),
    [anon_sym_CARET] = ACTIONS(3080),
    [anon_sym_AMP] = ACTIONS(3080),
    [anon_sym_GT_GT2] = ACTIONS(3080),
    [anon_sym_PLUS] = ACTIONS(3080),
    [anon_sym_DASH] = ACTIONS(3080),
    [anon_sym_DOT] = ACTIONS(3080),
    [anon_sym_STAR] = ACTIONS(3080),
    [anon_sym_SLASH] = ACTIONS(3080),
    [anon_sym_x] = ACTIONS(3080),
    [anon_sym_EQ_TILDE] = ACTIONS(3078),
    [anon_sym_BANG_TILDE] = ACTIONS(3078),
    [anon_sym_EQ_EQ] = ACTIONS(3080),
    [anon_sym_BANG_EQ] = ACTIONS(3078),
    [anon_sym_eq] = ACTIONS(3080),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3078),
    [anon_sym_equ] = ACTIONS(3078),
    [anon_sym_eqr] = ACTIONS(3078),
    [anon_sym_ne] = ACTIONS(3078),
    [anon_sym_LT_EQ_GT] = ACTIONS(3078),
    [anon_sym_cmp] = ACTIONS(3078),
    [anon_sym_TILDE_TILDE] = ACTIONS(3078),
    [anon_sym_LT] = ACTIONS(3080),
    [anon_sym_LT_EQ] = ACTIONS(3080),
    [anon_sym_GT_EQ] = ACTIONS(3078),
    [anon_sym_lt] = ACTIONS(3078),
    [anon_sym_le] = ACTIONS(3078),
    [anon_sym_ge] = ACTIONS(3078),
    [anon_sym_gt] = ACTIONS(3078),
    [anon_sym_isa] = ACTIONS(3078),
    [anon_sym_PLUS_PLUS] = ACTIONS(3078),
    [anon_sym_DASH_DASH] = ACTIONS(3078),
    [anon_sym_QMARK] = ACTIONS(3078),
    [anon_sym_PERCENT2] = ACTIONS(3078),
    [anon_sym_EQ_GT] = ACTIONS(3078),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1985] = {
    [sym_heredoc_content] = STATE(1985),
    [anon_sym_COLON] = ACTIONS(3082),
    [anon_sym_DOLLAR] = ACTIONS(3082),
    [anon_sym_EQ] = ACTIONS(3084),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3082),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3082),
    [anon_sym_AT] = ACTIONS(3082),
    [anon_sym_COMMA] = ACTIONS(3082),
    [anon_sym_RPAREN] = ACTIONS(3082),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3082),
    [anon_sym_DASH_GT] = ACTIONS(3632),
    [anon_sym_PERCENT] = ACTIONS(3634),
    [anon_sym_GT] = ACTIONS(3084),
    [anon_sym_LT_LT] = ACTIONS(3638),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3082),
    [anon_sym_PLUS_EQ] = ACTIONS(3082),
    [anon_sym_DASH_EQ] = ACTIONS(3082),
    [anon_sym_DOT_EQ] = ACTIONS(3082),
    [anon_sym_STAR_EQ] = ACTIONS(3082),
    [anon_sym_SLASH_EQ] = ACTIONS(3082),
    [anon_sym_PERCENT_EQ] = ACTIONS(3084),
    [anon_sym_x_EQ] = ACTIONS(3082),
    [anon_sym_AMP_EQ] = ACTIONS(3082),
    [anon_sym_PIPE_EQ] = ACTIONS(3082),
    [anon_sym_CARET_EQ] = ACTIONS(3082),
    [anon_sym_LT_LT_EQ] = ACTIONS(3082),
    [anon_sym_GT_GT_EQ] = ACTIONS(3082),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3082),
    [anon_sym_DOT_DOT] = ACTIONS(3084),
    [anon_sym_STAR_STAR] = ACTIONS(3642),
    [anon_sym_PIPE_PIPE] = ACTIONS(3084),
    [anon_sym_SLASH_SLASH] = ACTIONS(3084),
    [anon_sym_CARET_CARET] = ACTIONS(3082),
    [anon_sym_AMP_AMP] = ACTIONS(3084),
    [anon_sym_PIPE] = ACTIONS(3084),
    [anon_sym_CARET] = ACTIONS(3084),
    [anon_sym_AMP] = ACTIONS(3084),
    [anon_sym_GT_GT2] = ACTIONS(3638),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_DASH] = ACTIONS(3654),
    [anon_sym_DOT] = ACTIONS(3654),
    [anon_sym_STAR] = ACTIONS(3634),
    [anon_sym_SLASH] = ACTIONS(3634),
    [anon_sym_x] = ACTIONS(3634),
    [anon_sym_EQ_TILDE] = ACTIONS(3656),
    [anon_sym_BANG_TILDE] = ACTIONS(3656),
    [anon_sym_EQ_EQ] = ACTIONS(3084),
    [anon_sym_BANG_EQ] = ACTIONS(3082),
    [anon_sym_eq] = ACTIONS(3084),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3082),
    [anon_sym_equ] = ACTIONS(3082),
    [anon_sym_eqr] = ACTIONS(3082),
    [anon_sym_ne] = ACTIONS(3082),
    [anon_sym_LT_EQ_GT] = ACTIONS(3082),
    [anon_sym_cmp] = ACTIONS(3082),
    [anon_sym_TILDE_TILDE] = ACTIONS(3082),
    [anon_sym_LT] = ACTIONS(3084),
    [anon_sym_LT_EQ] = ACTIONS(3084),
    [anon_sym_GT_EQ] = ACTIONS(3082),
    [anon_sym_lt] = ACTIONS(3082),
    [anon_sym_le] = ACTIONS(3082),
    [anon_sym_ge] = ACTIONS(3082),
    [anon_sym_gt] = ACTIONS(3082),
    [anon_sym_isa] = ACTIONS(3082),
    [anon_sym_PLUS_PLUS] = ACTIONS(3668),
    [anon_sym_DASH_DASH] = ACTIONS(3668),
    [anon_sym_QMARK] = ACTIONS(3082),
    [anon_sym_PERCENT2] = ACTIONS(3082),
    [anon_sym_EQ_GT] = ACTIONS(3082),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1986] = {
    [sym_heredoc_content] = STATE(1986),
    [anon_sym_COLON] = ACTIONS(2845),
    [anon_sym_DOLLAR] = ACTIONS(2845),
    [anon_sym_EQ] = ACTIONS(2847),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2845),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2845),
    [anon_sym_AT] = ACTIONS(2845),
    [anon_sym_COMMA] = ACTIONS(2845),
    [anon_sym_RPAREN] = ACTIONS(2845),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2845),
    [anon_sym_DASH_GT] = ACTIONS(3632),
    [anon_sym_PERCENT] = ACTIONS(3634),
    [anon_sym_GT] = ACTIONS(2847),
    [anon_sym_LT_LT] = ACTIONS(3638),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2845),
    [anon_sym_PLUS_EQ] = ACTIONS(2845),
    [anon_sym_DASH_EQ] = ACTIONS(2845),
    [anon_sym_DOT_EQ] = ACTIONS(2845),
    [anon_sym_STAR_EQ] = ACTIONS(2845),
    [anon_sym_SLASH_EQ] = ACTIONS(2845),
    [anon_sym_PERCENT_EQ] = ACTIONS(2847),
    [anon_sym_x_EQ] = ACTIONS(2845),
    [anon_sym_AMP_EQ] = ACTIONS(2845),
    [anon_sym_PIPE_EQ] = ACTIONS(2845),
    [anon_sym_CARET_EQ] = ACTIONS(2845),
    [anon_sym_LT_LT_EQ] = ACTIONS(2845),
    [anon_sym_GT_GT_EQ] = ACTIONS(2845),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2845),
    [anon_sym_DOT_DOT] = ACTIONS(2847),
    [anon_sym_STAR_STAR] = ACTIONS(3642),
    [anon_sym_PIPE_PIPE] = ACTIONS(2847),
    [anon_sym_SLASH_SLASH] = ACTIONS(2847),
    [anon_sym_CARET_CARET] = ACTIONS(2845),
    [anon_sym_AMP_AMP] = ACTIONS(2847),
    [anon_sym_PIPE] = ACTIONS(2847),
    [anon_sym_CARET] = ACTIONS(2847),
    [anon_sym_AMP] = ACTIONS(2847),
    [anon_sym_GT_GT2] = ACTIONS(3638),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_DASH] = ACTIONS(3654),
    [anon_sym_DOT] = ACTIONS(3654),
    [anon_sym_STAR] = ACTIONS(3634),
    [anon_sym_SLASH] = ACTIONS(3634),
    [anon_sym_x] = ACTIONS(3634),
    [anon_sym_EQ_TILDE] = ACTIONS(3656),
    [anon_sym_BANG_TILDE] = ACTIONS(3656),
    [anon_sym_EQ_EQ] = ACTIONS(2847),
    [anon_sym_BANG_EQ] = ACTIONS(2845),
    [anon_sym_eq] = ACTIONS(2847),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2845),
    [anon_sym_equ] = ACTIONS(2845),
    [anon_sym_eqr] = ACTIONS(2845),
    [anon_sym_ne] = ACTIONS(2845),
    [anon_sym_LT_EQ_GT] = ACTIONS(2845),
    [anon_sym_cmp] = ACTIONS(2845),
    [anon_sym_TILDE_TILDE] = ACTIONS(2845),
    [anon_sym_LT] = ACTIONS(2847),
    [anon_sym_LT_EQ] = ACTIONS(2847),
    [anon_sym_GT_EQ] = ACTIONS(2845),
    [anon_sym_lt] = ACTIONS(2845),
    [anon_sym_le] = ACTIONS(2845),
    [anon_sym_ge] = ACTIONS(2845),
    [anon_sym_gt] = ACTIONS(2845),
    [anon_sym_isa] = ACTIONS(2845),
    [anon_sym_PLUS_PLUS] = ACTIONS(3668),
    [anon_sym_DASH_DASH] = ACTIONS(3668),
    [anon_sym_QMARK] = ACTIONS(2845),
    [anon_sym_PERCENT2] = ACTIONS(2845),
    [anon_sym_EQ_GT] = ACTIONS(2845),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1987] = {
    [sym_heredoc_content] = STATE(1987),
    [anon_sym_RBRACE] = ACTIONS(2764),
    [anon_sym_COLON] = ACTIONS(2764),
    [anon_sym_EQ] = ACTIONS(2766),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2764),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2764),
    [anon_sym_COMMA] = ACTIONS(2764),
    [anon_sym_RPAREN] = ACTIONS(2764),
    [anon_sym_LPAREN] = ACTIONS(3691),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2764),
    [anon_sym_DASH_GT] = ACTIONS(2764),
    [anon_sym_PERCENT] = ACTIONS(2766),
    [anon_sym_GT] = ACTIONS(2766),
    [anon_sym_LT_LT] = ACTIONS(2766),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2764),
    [anon_sym_PLUS_EQ] = ACTIONS(2764),
    [anon_sym_DASH_EQ] = ACTIONS(2764),
    [anon_sym_DOT_EQ] = ACTIONS(2764),
    [anon_sym_STAR_EQ] = ACTIONS(2764),
    [anon_sym_SLASH_EQ] = ACTIONS(2764),
    [anon_sym_PERCENT_EQ] = ACTIONS(2764),
    [anon_sym_x_EQ] = ACTIONS(2764),
    [anon_sym_AMP_EQ] = ACTIONS(2764),
    [anon_sym_PIPE_EQ] = ACTIONS(2764),
    [anon_sym_CARET_EQ] = ACTIONS(2764),
    [anon_sym_LT_LT_EQ] = ACTIONS(2764),
    [anon_sym_GT_GT_EQ] = ACTIONS(2764),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2764),
    [anon_sym_DOT_DOT] = ACTIONS(2766),
    [anon_sym_STAR_STAR] = ACTIONS(2766),
    [anon_sym_PIPE_PIPE] = ACTIONS(2766),
    [anon_sym_SLASH_SLASH] = ACTIONS(2766),
    [anon_sym_CARET_CARET] = ACTIONS(2764),
    [anon_sym_AMP_AMP] = ACTIONS(2766),
    [anon_sym_PIPE] = ACTIONS(2766),
    [anon_sym_CARET] = ACTIONS(2766),
    [anon_sym_AMP] = ACTIONS(2766),
    [anon_sym_GT_GT2] = ACTIONS(2766),
    [anon_sym_PLUS] = ACTIONS(2766),
    [anon_sym_DASH] = ACTIONS(2766),
    [anon_sym_DOT] = ACTIONS(2766),
    [anon_sym_STAR] = ACTIONS(2766),
    [anon_sym_SLASH] = ACTIONS(2766),
    [anon_sym_x] = ACTIONS(2766),
    [anon_sym_EQ_TILDE] = ACTIONS(2764),
    [anon_sym_BANG_TILDE] = ACTIONS(2764),
    [anon_sym_EQ_EQ] = ACTIONS(2766),
    [anon_sym_BANG_EQ] = ACTIONS(2764),
    [anon_sym_eq] = ACTIONS(2766),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2764),
    [anon_sym_equ] = ACTIONS(2764),
    [anon_sym_eqr] = ACTIONS(2764),
    [anon_sym_ne] = ACTIONS(2764),
    [anon_sym_LT_EQ_GT] = ACTIONS(2764),
    [anon_sym_cmp] = ACTIONS(2764),
    [anon_sym_TILDE_TILDE] = ACTIONS(2764),
    [anon_sym_LT] = ACTIONS(2766),
    [anon_sym_LT_EQ] = ACTIONS(2766),
    [anon_sym_GT_EQ] = ACTIONS(2764),
    [anon_sym_lt] = ACTIONS(2764),
    [anon_sym_le] = ACTIONS(2764),
    [anon_sym_ge] = ACTIONS(2764),
    [anon_sym_gt] = ACTIONS(2764),
    [anon_sym_isa] = ACTIONS(2764),
    [anon_sym_PLUS_PLUS] = ACTIONS(2764),
    [anon_sym_DASH_DASH] = ACTIONS(2764),
    [anon_sym_QMARK] = ACTIONS(2764),
    [anon_sym_EQ_GT] = ACTIONS(2764),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1988] = {
    [sym_heredoc_content] = STATE(1988),
    [anon_sym_RBRACE] = ACTIONS(2754),
    [anon_sym_COLON] = ACTIONS(2754),
    [anon_sym_EQ] = ACTIONS(2756),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2754),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2754),
    [anon_sym_COMMA] = ACTIONS(2754),
    [anon_sym_RPAREN] = ACTIONS(2754),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2754),
    [anon_sym_DASH_GT] = ACTIONS(2754),
    [anon_sym_PERCENT] = ACTIONS(2756),
    [anon_sym_GT] = ACTIONS(2756),
    [anon_sym_LT_LT] = ACTIONS(2756),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2754),
    [anon_sym_PLUS_EQ] = ACTIONS(2754),
    [anon_sym_DASH_EQ] = ACTIONS(2754),
    [anon_sym_DOT_EQ] = ACTIONS(2754),
    [anon_sym_STAR_EQ] = ACTIONS(2754),
    [anon_sym_SLASH_EQ] = ACTIONS(2754),
    [anon_sym_PERCENT_EQ] = ACTIONS(2754),
    [anon_sym_x_EQ] = ACTIONS(2756),
    [anon_sym_AMP_EQ] = ACTIONS(2754),
    [anon_sym_PIPE_EQ] = ACTIONS(2754),
    [anon_sym_CARET_EQ] = ACTIONS(2754),
    [anon_sym_LT_LT_EQ] = ACTIONS(2754),
    [anon_sym_GT_GT_EQ] = ACTIONS(2754),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2754),
    [anon_sym_DOT_DOT] = ACTIONS(2756),
    [anon_sym_STAR_STAR] = ACTIONS(2756),
    [anon_sym_PIPE_PIPE] = ACTIONS(2756),
    [anon_sym_SLASH_SLASH] = ACTIONS(2756),
    [anon_sym_CARET_CARET] = ACTIONS(2754),
    [anon_sym_AMP_AMP] = ACTIONS(2756),
    [anon_sym_PIPE] = ACTIONS(2756),
    [anon_sym_CARET] = ACTIONS(2756),
    [anon_sym_AMP] = ACTIONS(2756),
    [anon_sym_GT_GT2] = ACTIONS(2756),
    [anon_sym_PLUS] = ACTIONS(2756),
    [anon_sym_DASH] = ACTIONS(2756),
    [anon_sym_DOT] = ACTIONS(2756),
    [anon_sym_STAR] = ACTIONS(2756),
    [anon_sym_SLASH] = ACTIONS(2756),
    [anon_sym_x] = ACTIONS(2756),
    [anon_sym_EQ_TILDE] = ACTIONS(2754),
    [anon_sym_BANG_TILDE] = ACTIONS(2754),
    [anon_sym_EQ_EQ] = ACTIONS(2756),
    [anon_sym_BANG_EQ] = ACTIONS(2754),
    [anon_sym_eq] = ACTIONS(2756),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2754),
    [anon_sym_equ] = ACTIONS(2754),
    [anon_sym_eqr] = ACTIONS(2754),
    [anon_sym_ne] = ACTIONS(2756),
    [anon_sym_LT_EQ_GT] = ACTIONS(2754),
    [anon_sym_cmp] = ACTIONS(2756),
    [anon_sym_TILDE_TILDE] = ACTIONS(2754),
    [anon_sym_LT] = ACTIONS(2756),
    [anon_sym_LT_EQ] = ACTIONS(2756),
    [anon_sym_GT_EQ] = ACTIONS(2754),
    [anon_sym_lt] = ACTIONS(2756),
    [anon_sym_le] = ACTIONS(2756),
    [anon_sym_ge] = ACTIONS(2756),
    [anon_sym_gt] = ACTIONS(2756),
    [anon_sym_isa] = ACTIONS(2756),
    [anon_sym_PLUS_PLUS] = ACTIONS(2754),
    [anon_sym_DASH_DASH] = ACTIONS(2754),
    [anon_sym_QMARK] = ACTIONS(2754),
    [anon_sym_EQ_GT] = ACTIONS(2754),
    [sym_comment] = ACTIONS(5),
    [sym_match_regexp_modifiers] = ACTIONS(3693),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1989] = {
    [sym_heredoc_content] = STATE(1989),
    [anon_sym_LBRACE] = ACTIONS(2542),
    [anon_sym_SEMI] = ACTIONS(1832),
    [anon_sym_EQ] = ACTIONS(1828),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1832),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1832),
    [anon_sym_COMMA] = ACTIONS(1832),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1832),
    [anon_sym_LBRACK] = ACTIONS(2542),
    [anon_sym_DASH_GT] = ACTIONS(1832),
    [anon_sym_PERCENT] = ACTIONS(1828),
    [anon_sym_GT] = ACTIONS(1828),
    [anon_sym_LT_LT] = ACTIONS(1828),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1832),
    [anon_sym_PLUS_EQ] = ACTIONS(1832),
    [anon_sym_DASH_EQ] = ACTIONS(1832),
    [anon_sym_DOT_EQ] = ACTIONS(1832),
    [anon_sym_STAR_EQ] = ACTIONS(1832),
    [anon_sym_SLASH_EQ] = ACTIONS(1832),
    [anon_sym_PERCENT_EQ] = ACTIONS(1832),
    [anon_sym_x_EQ] = ACTIONS(1832),
    [anon_sym_AMP_EQ] = ACTIONS(1832),
    [anon_sym_PIPE_EQ] = ACTIONS(1832),
    [anon_sym_CARET_EQ] = ACTIONS(1832),
    [anon_sym_LT_LT_EQ] = ACTIONS(1832),
    [anon_sym_GT_GT_EQ] = ACTIONS(1832),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1832),
    [anon_sym_DOT_DOT] = ACTIONS(1828),
    [anon_sym_STAR_STAR] = ACTIONS(1828),
    [anon_sym_PIPE_PIPE] = ACTIONS(1828),
    [anon_sym_SLASH_SLASH] = ACTIONS(1828),
    [anon_sym_CARET_CARET] = ACTIONS(1832),
    [anon_sym_AMP_AMP] = ACTIONS(1828),
    [anon_sym_PIPE] = ACTIONS(1828),
    [anon_sym_CARET] = ACTIONS(1828),
    [anon_sym_AMP] = ACTIONS(1828),
    [anon_sym_GT_GT2] = ACTIONS(1828),
    [anon_sym_PLUS] = ACTIONS(1828),
    [anon_sym_DASH] = ACTIONS(1828),
    [anon_sym_DOT] = ACTIONS(1828),
    [anon_sym_STAR] = ACTIONS(1828),
    [anon_sym_SLASH] = ACTIONS(1828),
    [anon_sym_x] = ACTIONS(1828),
    [anon_sym_EQ_TILDE] = ACTIONS(1832),
    [anon_sym_BANG_TILDE] = ACTIONS(1832),
    [anon_sym_EQ_EQ] = ACTIONS(1828),
    [anon_sym_BANG_EQ] = ACTIONS(1832),
    [anon_sym_eq] = ACTIONS(1828),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1832),
    [anon_sym_equ] = ACTIONS(1832),
    [anon_sym_eqr] = ACTIONS(1832),
    [anon_sym_ne] = ACTIONS(1832),
    [anon_sym_LT_EQ_GT] = ACTIONS(1832),
    [anon_sym_cmp] = ACTIONS(1832),
    [anon_sym_TILDE_TILDE] = ACTIONS(1832),
    [anon_sym_LT] = ACTIONS(1828),
    [anon_sym_LT_EQ] = ACTIONS(1828),
    [anon_sym_GT_EQ] = ACTIONS(1832),
    [anon_sym_lt] = ACTIONS(1832),
    [anon_sym_le] = ACTIONS(1832),
    [anon_sym_ge] = ACTIONS(1832),
    [anon_sym_gt] = ACTIONS(1832),
    [anon_sym_isa] = ACTIONS(1832),
    [anon_sym_PLUS_PLUS] = ACTIONS(1832),
    [anon_sym_DASH_DASH] = ACTIONS(1832),
    [anon_sym_QMARK] = ACTIONS(1832),
    [anon_sym_EQ_GT] = ACTIONS(1832),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(1832),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1990] = {
    [sym_heredoc_content] = STATE(1990),
    [anon_sym_RBRACE] = ACTIONS(2716),
    [anon_sym_COLON] = ACTIONS(2716),
    [anon_sym_EQ] = ACTIONS(2718),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2716),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2716),
    [anon_sym_COMMA] = ACTIONS(2716),
    [anon_sym_RPAREN] = ACTIONS(2716),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2716),
    [anon_sym_DASH_GT] = ACTIONS(2716),
    [anon_sym_PERCENT] = ACTIONS(2718),
    [anon_sym_GT] = ACTIONS(2718),
    [anon_sym_LT_LT] = ACTIONS(2718),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2716),
    [anon_sym_PLUS_EQ] = ACTIONS(2716),
    [anon_sym_DASH_EQ] = ACTIONS(2716),
    [anon_sym_DOT_EQ] = ACTIONS(2716),
    [anon_sym_STAR_EQ] = ACTIONS(2716),
    [anon_sym_SLASH_EQ] = ACTIONS(2716),
    [anon_sym_PERCENT_EQ] = ACTIONS(2716),
    [anon_sym_x_EQ] = ACTIONS(2716),
    [anon_sym_AMP_EQ] = ACTIONS(2716),
    [anon_sym_PIPE_EQ] = ACTIONS(2716),
    [anon_sym_CARET_EQ] = ACTIONS(2716),
    [anon_sym_LT_LT_EQ] = ACTIONS(2716),
    [anon_sym_GT_GT_EQ] = ACTIONS(2716),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2716),
    [anon_sym_DOT_DOT] = ACTIONS(2718),
    [anon_sym_STAR_STAR] = ACTIONS(2718),
    [anon_sym_PIPE_PIPE] = ACTIONS(2718),
    [anon_sym_SLASH_SLASH] = ACTIONS(2718),
    [anon_sym_CARET_CARET] = ACTIONS(2716),
    [anon_sym_AMP_AMP] = ACTIONS(2718),
    [anon_sym_PIPE] = ACTIONS(2718),
    [anon_sym_CARET] = ACTIONS(2718),
    [anon_sym_AMP] = ACTIONS(2718),
    [anon_sym_GT_GT2] = ACTIONS(2718),
    [anon_sym_PLUS] = ACTIONS(2718),
    [anon_sym_DASH] = ACTIONS(2718),
    [anon_sym_DOT] = ACTIONS(2718),
    [anon_sym_STAR] = ACTIONS(2718),
    [anon_sym_SLASH] = ACTIONS(2718),
    [anon_sym_x] = ACTIONS(2718),
    [anon_sym_EQ_TILDE] = ACTIONS(2716),
    [anon_sym_BANG_TILDE] = ACTIONS(2716),
    [anon_sym_EQ_EQ] = ACTIONS(2718),
    [anon_sym_BANG_EQ] = ACTIONS(2716),
    [anon_sym_eq] = ACTIONS(2718),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2716),
    [anon_sym_equ] = ACTIONS(2716),
    [anon_sym_eqr] = ACTIONS(2716),
    [anon_sym_ne] = ACTIONS(2716),
    [anon_sym_LT_EQ_GT] = ACTIONS(2716),
    [anon_sym_cmp] = ACTIONS(2718),
    [anon_sym_TILDE_TILDE] = ACTIONS(2716),
    [anon_sym_LT] = ACTIONS(2718),
    [anon_sym_LT_EQ] = ACTIONS(2718),
    [anon_sym_GT_EQ] = ACTIONS(2716),
    [anon_sym_lt] = ACTIONS(2716),
    [anon_sym_le] = ACTIONS(2716),
    [anon_sym_ge] = ACTIONS(2716),
    [anon_sym_gt] = ACTIONS(2716),
    [anon_sym_isa] = ACTIONS(2716),
    [anon_sym_PLUS_PLUS] = ACTIONS(2716),
    [anon_sym_DASH_DASH] = ACTIONS(2716),
    [anon_sym_QMARK] = ACTIONS(2716),
    [anon_sym_EQ_GT] = ACTIONS(2716),
    [sym_comment] = ACTIONS(5),
    [sym_transliteration_modifiers] = ACTIONS(3695),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1991] = {
    [sym_heredoc_content] = STATE(1991),
    [anon_sym_RBRACE] = ACTIONS(2887),
    [anon_sym_EQ] = ACTIONS(1968),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2887),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2887),
    [anon_sym_COMMA] = ACTIONS(3318),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2887),
    [anon_sym_and] = ACTIONS(2887),
    [anon_sym_or] = ACTIONS(2887),
    [anon_sym_xor] = ACTIONS(2887),
    [anon_sym_DASH_GT] = ACTIONS(2887),
    [anon_sym_PERCENT] = ACTIONS(1968),
    [anon_sym_GT] = ACTIONS(1968),
    [anon_sym_LT_LT] = ACTIONS(1968),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2887),
    [anon_sym_PLUS_EQ] = ACTIONS(2887),
    [anon_sym_DASH_EQ] = ACTIONS(2887),
    [anon_sym_DOT_EQ] = ACTIONS(2887),
    [anon_sym_STAR_EQ] = ACTIONS(2887),
    [anon_sym_SLASH_EQ] = ACTIONS(2887),
    [anon_sym_PERCENT_EQ] = ACTIONS(2887),
    [anon_sym_x_EQ] = ACTIONS(2887),
    [anon_sym_AMP_EQ] = ACTIONS(2887),
    [anon_sym_PIPE_EQ] = ACTIONS(2887),
    [anon_sym_CARET_EQ] = ACTIONS(2887),
    [anon_sym_LT_LT_EQ] = ACTIONS(2887),
    [anon_sym_GT_GT_EQ] = ACTIONS(2887),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2887),
    [anon_sym_DOT_DOT] = ACTIONS(1968),
    [anon_sym_STAR_STAR] = ACTIONS(1968),
    [anon_sym_PIPE_PIPE] = ACTIONS(1968),
    [anon_sym_SLASH_SLASH] = ACTIONS(1968),
    [anon_sym_CARET_CARET] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(1968),
    [anon_sym_PIPE] = ACTIONS(1968),
    [anon_sym_CARET] = ACTIONS(1968),
    [anon_sym_AMP] = ACTIONS(1968),
    [anon_sym_GT_GT2] = ACTIONS(1968),
    [anon_sym_PLUS] = ACTIONS(1968),
    [anon_sym_DASH] = ACTIONS(1968),
    [anon_sym_DOT] = ACTIONS(1968),
    [anon_sym_STAR] = ACTIONS(1968),
    [anon_sym_SLASH] = ACTIONS(1968),
    [anon_sym_x] = ACTIONS(1968),
    [anon_sym_EQ_TILDE] = ACTIONS(2887),
    [anon_sym_BANG_TILDE] = ACTIONS(2887),
    [anon_sym_EQ_EQ] = ACTIONS(1968),
    [anon_sym_BANG_EQ] = ACTIONS(2887),
    [anon_sym_eq] = ACTIONS(1968),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2887),
    [anon_sym_equ] = ACTIONS(2887),
    [anon_sym_eqr] = ACTIONS(2887),
    [anon_sym_ne] = ACTIONS(2887),
    [anon_sym_LT_EQ_GT] = ACTIONS(2887),
    [anon_sym_cmp] = ACTIONS(2887),
    [anon_sym_TILDE_TILDE] = ACTIONS(2887),
    [anon_sym_LT] = ACTIONS(1968),
    [anon_sym_LT_EQ] = ACTIONS(1968),
    [anon_sym_GT_EQ] = ACTIONS(2887),
    [anon_sym_lt] = ACTIONS(2887),
    [anon_sym_le] = ACTIONS(2887),
    [anon_sym_ge] = ACTIONS(2887),
    [anon_sym_gt] = ACTIONS(2887),
    [anon_sym_isa] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_QMARK] = ACTIONS(2887),
    [anon_sym_EQ_GT] = ACTIONS(3318),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1992] = {
    [sym_heredoc_content] = STATE(1992),
    [anon_sym_RBRACE] = ACTIONS(2652),
    [anon_sym_COLON] = ACTIONS(2652),
    [anon_sym_EQ] = ACTIONS(2654),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2652),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2652),
    [anon_sym_COMMA] = ACTIONS(2652),
    [anon_sym_RPAREN] = ACTIONS(2652),
    [anon_sym_LPAREN] = ACTIONS(3697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2652),
    [anon_sym_DASH_GT] = ACTIONS(2652),
    [anon_sym_PERCENT] = ACTIONS(2654),
    [anon_sym_GT] = ACTIONS(2654),
    [anon_sym_LT_LT] = ACTIONS(2654),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2652),
    [anon_sym_PLUS_EQ] = ACTIONS(2652),
    [anon_sym_DASH_EQ] = ACTIONS(2652),
    [anon_sym_DOT_EQ] = ACTIONS(2652),
    [anon_sym_STAR_EQ] = ACTIONS(2652),
    [anon_sym_SLASH_EQ] = ACTIONS(2652),
    [anon_sym_PERCENT_EQ] = ACTIONS(2652),
    [anon_sym_x_EQ] = ACTIONS(2652),
    [anon_sym_AMP_EQ] = ACTIONS(2652),
    [anon_sym_PIPE_EQ] = ACTIONS(2652),
    [anon_sym_CARET_EQ] = ACTIONS(2652),
    [anon_sym_LT_LT_EQ] = ACTIONS(2652),
    [anon_sym_GT_GT_EQ] = ACTIONS(2652),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2652),
    [anon_sym_DOT_DOT] = ACTIONS(2654),
    [anon_sym_STAR_STAR] = ACTIONS(2654),
    [anon_sym_PIPE_PIPE] = ACTIONS(2654),
    [anon_sym_SLASH_SLASH] = ACTIONS(2654),
    [anon_sym_CARET_CARET] = ACTIONS(2652),
    [anon_sym_AMP_AMP] = ACTIONS(2654),
    [anon_sym_PIPE] = ACTIONS(2654),
    [anon_sym_CARET] = ACTIONS(2654),
    [anon_sym_AMP] = ACTIONS(2654),
    [anon_sym_GT_GT2] = ACTIONS(2654),
    [anon_sym_PLUS] = ACTIONS(2654),
    [anon_sym_DASH] = ACTIONS(2654),
    [anon_sym_DOT] = ACTIONS(2654),
    [anon_sym_STAR] = ACTIONS(2654),
    [anon_sym_SLASH] = ACTIONS(2654),
    [anon_sym_x] = ACTIONS(2654),
    [anon_sym_EQ_TILDE] = ACTIONS(2652),
    [anon_sym_BANG_TILDE] = ACTIONS(2652),
    [anon_sym_EQ_EQ] = ACTIONS(2654),
    [anon_sym_BANG_EQ] = ACTIONS(2652),
    [anon_sym_eq] = ACTIONS(2654),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2652),
    [anon_sym_equ] = ACTIONS(2652),
    [anon_sym_eqr] = ACTIONS(2652),
    [anon_sym_ne] = ACTIONS(2652),
    [anon_sym_LT_EQ_GT] = ACTIONS(2652),
    [anon_sym_cmp] = ACTIONS(2652),
    [anon_sym_TILDE_TILDE] = ACTIONS(2652),
    [anon_sym_LT] = ACTIONS(2654),
    [anon_sym_LT_EQ] = ACTIONS(2654),
    [anon_sym_GT_EQ] = ACTIONS(2652),
    [anon_sym_lt] = ACTIONS(2652),
    [anon_sym_le] = ACTIONS(2652),
    [anon_sym_ge] = ACTIONS(2652),
    [anon_sym_gt] = ACTIONS(2652),
    [anon_sym_isa] = ACTIONS(2652),
    [anon_sym_PLUS_PLUS] = ACTIONS(2652),
    [anon_sym_DASH_DASH] = ACTIONS(2652),
    [anon_sym_QMARK] = ACTIONS(2652),
    [anon_sym_EQ_GT] = ACTIONS(2652),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1993] = {
    [sym_heredoc_content] = STATE(1993),
    [anon_sym_LBRACE] = ACTIONS(3699),
    [anon_sym_RBRACE] = ACTIONS(1849),
    [anon_sym_COLON] = ACTIONS(1849),
    [anon_sym_EQ] = ACTIONS(1840),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1849),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1849),
    [anon_sym_COMMA] = ACTIONS(1849),
    [anon_sym_RPAREN] = ACTIONS(1849),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1849),
    [anon_sym_DASH_GT] = ACTIONS(1849),
    [anon_sym_PERCENT] = ACTIONS(1840),
    [anon_sym_GT] = ACTIONS(1840),
    [anon_sym_LT_LT] = ACTIONS(1840),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1849),
    [anon_sym_PLUS_EQ] = ACTIONS(1849),
    [anon_sym_DASH_EQ] = ACTIONS(1849),
    [anon_sym_DOT_EQ] = ACTIONS(1849),
    [anon_sym_STAR_EQ] = ACTIONS(1849),
    [anon_sym_SLASH_EQ] = ACTIONS(1849),
    [anon_sym_PERCENT_EQ] = ACTIONS(1849),
    [anon_sym_x_EQ] = ACTIONS(1849),
    [anon_sym_AMP_EQ] = ACTIONS(1849),
    [anon_sym_PIPE_EQ] = ACTIONS(1849),
    [anon_sym_CARET_EQ] = ACTIONS(1849),
    [anon_sym_LT_LT_EQ] = ACTIONS(1849),
    [anon_sym_GT_GT_EQ] = ACTIONS(1849),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1849),
    [anon_sym_DOT_DOT] = ACTIONS(1840),
    [anon_sym_STAR_STAR] = ACTIONS(1840),
    [anon_sym_PIPE_PIPE] = ACTIONS(1840),
    [anon_sym_SLASH_SLASH] = ACTIONS(1840),
    [anon_sym_CARET_CARET] = ACTIONS(1849),
    [anon_sym_AMP_AMP] = ACTIONS(1840),
    [anon_sym_PIPE] = ACTIONS(1840),
    [anon_sym_CARET] = ACTIONS(1840),
    [anon_sym_AMP] = ACTIONS(1840),
    [anon_sym_GT_GT2] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_DOT] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1840),
    [anon_sym_SLASH] = ACTIONS(1840),
    [anon_sym_x] = ACTIONS(1840),
    [anon_sym_EQ_TILDE] = ACTIONS(1849),
    [anon_sym_BANG_TILDE] = ACTIONS(1849),
    [anon_sym_EQ_EQ] = ACTIONS(1840),
    [anon_sym_BANG_EQ] = ACTIONS(1849),
    [anon_sym_eq] = ACTIONS(1840),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1849),
    [anon_sym_equ] = ACTIONS(1849),
    [anon_sym_eqr] = ACTIONS(1849),
    [anon_sym_ne] = ACTIONS(1849),
    [anon_sym_LT_EQ_GT] = ACTIONS(1849),
    [anon_sym_cmp] = ACTIONS(1849),
    [anon_sym_TILDE_TILDE] = ACTIONS(1849),
    [anon_sym_LT] = ACTIONS(1840),
    [anon_sym_LT_EQ] = ACTIONS(1840),
    [anon_sym_GT_EQ] = ACTIONS(1849),
    [anon_sym_lt] = ACTIONS(1849),
    [anon_sym_le] = ACTIONS(1849),
    [anon_sym_ge] = ACTIONS(1849),
    [anon_sym_gt] = ACTIONS(1849),
    [anon_sym_isa] = ACTIONS(1849),
    [anon_sym_PLUS_PLUS] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1849),
    [anon_sym_QMARK] = ACTIONS(1849),
    [anon_sym_EQ_GT] = ACTIONS(1849),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1994] = {
    [sym_heredoc_content] = STATE(1994),
    [anon_sym_RBRACE] = ACTIONS(1849),
    [anon_sym_COLON] = ACTIONS(1849),
    [anon_sym_EQ] = ACTIONS(1840),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1849),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1849),
    [anon_sym_COMMA] = ACTIONS(1849),
    [anon_sym_RPAREN] = ACTIONS(1849),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1849),
    [anon_sym_LBRACK] = ACTIONS(3701),
    [anon_sym_DASH_GT] = ACTIONS(1849),
    [anon_sym_PERCENT] = ACTIONS(1840),
    [anon_sym_GT] = ACTIONS(1840),
    [anon_sym_LT_LT] = ACTIONS(1840),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1849),
    [anon_sym_PLUS_EQ] = ACTIONS(1849),
    [anon_sym_DASH_EQ] = ACTIONS(1849),
    [anon_sym_DOT_EQ] = ACTIONS(1849),
    [anon_sym_STAR_EQ] = ACTIONS(1849),
    [anon_sym_SLASH_EQ] = ACTIONS(1849),
    [anon_sym_PERCENT_EQ] = ACTIONS(1849),
    [anon_sym_x_EQ] = ACTIONS(1849),
    [anon_sym_AMP_EQ] = ACTIONS(1849),
    [anon_sym_PIPE_EQ] = ACTIONS(1849),
    [anon_sym_CARET_EQ] = ACTIONS(1849),
    [anon_sym_LT_LT_EQ] = ACTIONS(1849),
    [anon_sym_GT_GT_EQ] = ACTIONS(1849),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1849),
    [anon_sym_DOT_DOT] = ACTIONS(1840),
    [anon_sym_STAR_STAR] = ACTIONS(1840),
    [anon_sym_PIPE_PIPE] = ACTIONS(1840),
    [anon_sym_SLASH_SLASH] = ACTIONS(1840),
    [anon_sym_CARET_CARET] = ACTIONS(1849),
    [anon_sym_AMP_AMP] = ACTIONS(1840),
    [anon_sym_PIPE] = ACTIONS(1840),
    [anon_sym_CARET] = ACTIONS(1840),
    [anon_sym_AMP] = ACTIONS(1840),
    [anon_sym_GT_GT2] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_DOT] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1840),
    [anon_sym_SLASH] = ACTIONS(1840),
    [anon_sym_x] = ACTIONS(1840),
    [anon_sym_EQ_TILDE] = ACTIONS(1849),
    [anon_sym_BANG_TILDE] = ACTIONS(1849),
    [anon_sym_EQ_EQ] = ACTIONS(1840),
    [anon_sym_BANG_EQ] = ACTIONS(1849),
    [anon_sym_eq] = ACTIONS(1840),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1849),
    [anon_sym_equ] = ACTIONS(1849),
    [anon_sym_eqr] = ACTIONS(1849),
    [anon_sym_ne] = ACTIONS(1849),
    [anon_sym_LT_EQ_GT] = ACTIONS(1849),
    [anon_sym_cmp] = ACTIONS(1849),
    [anon_sym_TILDE_TILDE] = ACTIONS(1849),
    [anon_sym_LT] = ACTIONS(1840),
    [anon_sym_LT_EQ] = ACTIONS(1840),
    [anon_sym_GT_EQ] = ACTIONS(1849),
    [anon_sym_lt] = ACTIONS(1849),
    [anon_sym_le] = ACTIONS(1849),
    [anon_sym_ge] = ACTIONS(1849),
    [anon_sym_gt] = ACTIONS(1849),
    [anon_sym_isa] = ACTIONS(1849),
    [anon_sym_PLUS_PLUS] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1849),
    [anon_sym_QMARK] = ACTIONS(1849),
    [anon_sym_EQ_GT] = ACTIONS(1849),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1995] = {
    [sym_heredoc_content] = STATE(1995),
    [anon_sym_LBRACE] = ACTIONS(1970),
    [anon_sym_COLON] = ACTIONS(1970),
    [anon_sym_SEMI] = ACTIONS(1970),
    [anon_sym_EQ] = ACTIONS(1966),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1970),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1970),
    [anon_sym_COMMA] = ACTIONS(1970),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1970),
    [anon_sym_DASH_GT] = ACTIONS(1970),
    [anon_sym_PERCENT] = ACTIONS(1966),
    [anon_sym_GT] = ACTIONS(1966),
    [anon_sym_LT_LT] = ACTIONS(1966),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1970),
    [anon_sym_PLUS_EQ] = ACTIONS(1970),
    [anon_sym_DASH_EQ] = ACTIONS(1970),
    [anon_sym_DOT_EQ] = ACTIONS(1970),
    [anon_sym_STAR_EQ] = ACTIONS(1970),
    [anon_sym_SLASH_EQ] = ACTIONS(1970),
    [anon_sym_PERCENT_EQ] = ACTIONS(1970),
    [anon_sym_x_EQ] = ACTIONS(1970),
    [anon_sym_AMP_EQ] = ACTIONS(1970),
    [anon_sym_PIPE_EQ] = ACTIONS(1970),
    [anon_sym_CARET_EQ] = ACTIONS(1970),
    [anon_sym_LT_LT_EQ] = ACTIONS(1970),
    [anon_sym_GT_GT_EQ] = ACTIONS(1970),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1970),
    [anon_sym_DOT_DOT] = ACTIONS(1966),
    [anon_sym_STAR_STAR] = ACTIONS(1966),
    [anon_sym_PIPE_PIPE] = ACTIONS(1966),
    [anon_sym_SLASH_SLASH] = ACTIONS(1966),
    [anon_sym_CARET_CARET] = ACTIONS(1970),
    [anon_sym_AMP_AMP] = ACTIONS(1966),
    [anon_sym_PIPE] = ACTIONS(1966),
    [anon_sym_CARET] = ACTIONS(1966),
    [anon_sym_AMP] = ACTIONS(1966),
    [anon_sym_GT_GT2] = ACTIONS(1966),
    [anon_sym_PLUS] = ACTIONS(1966),
    [anon_sym_DASH] = ACTIONS(1966),
    [anon_sym_DOT] = ACTIONS(1966),
    [anon_sym_STAR] = ACTIONS(1966),
    [anon_sym_SLASH] = ACTIONS(1966),
    [anon_sym_x] = ACTIONS(1966),
    [anon_sym_EQ_TILDE] = ACTIONS(1970),
    [anon_sym_BANG_TILDE] = ACTIONS(1970),
    [anon_sym_EQ_EQ] = ACTIONS(1966),
    [anon_sym_BANG_EQ] = ACTIONS(1970),
    [anon_sym_eq] = ACTIONS(1966),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1970),
    [anon_sym_equ] = ACTIONS(1970),
    [anon_sym_eqr] = ACTIONS(1970),
    [anon_sym_ne] = ACTIONS(1970),
    [anon_sym_LT_EQ_GT] = ACTIONS(1970),
    [anon_sym_cmp] = ACTIONS(1970),
    [anon_sym_TILDE_TILDE] = ACTIONS(1970),
    [anon_sym_LT] = ACTIONS(1966),
    [anon_sym_LT_EQ] = ACTIONS(1966),
    [anon_sym_GT_EQ] = ACTIONS(1970),
    [anon_sym_lt] = ACTIONS(1970),
    [anon_sym_le] = ACTIONS(1970),
    [anon_sym_ge] = ACTIONS(1970),
    [anon_sym_gt] = ACTIONS(1970),
    [anon_sym_isa] = ACTIONS(1970),
    [anon_sym_PLUS_PLUS] = ACTIONS(1970),
    [anon_sym_DASH_DASH] = ACTIONS(1970),
    [anon_sym_QMARK] = ACTIONS(1970),
    [anon_sym_EQ_GT] = ACTIONS(1970),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(1970),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1996] = {
    [sym_heredoc_content] = STATE(1996),
    [anon_sym_RBRACE] = ACTIONS(3047),
    [anon_sym_EQ] = ACTIONS(3049),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3047),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3047),
    [anon_sym_COMMA] = ACTIONS(3318),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3047),
    [anon_sym_and] = ACTIONS(3047),
    [anon_sym_or] = ACTIONS(3047),
    [anon_sym_xor] = ACTIONS(3047),
    [anon_sym_DASH_GT] = ACTIONS(3047),
    [anon_sym_PERCENT] = ACTIONS(3049),
    [anon_sym_GT] = ACTIONS(3049),
    [anon_sym_LT_LT] = ACTIONS(3049),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3047),
    [anon_sym_PLUS_EQ] = ACTIONS(3047),
    [anon_sym_DASH_EQ] = ACTIONS(3047),
    [anon_sym_DOT_EQ] = ACTIONS(3047),
    [anon_sym_STAR_EQ] = ACTIONS(3047),
    [anon_sym_SLASH_EQ] = ACTIONS(3047),
    [anon_sym_PERCENT_EQ] = ACTIONS(3047),
    [anon_sym_x_EQ] = ACTIONS(3047),
    [anon_sym_AMP_EQ] = ACTIONS(3047),
    [anon_sym_PIPE_EQ] = ACTIONS(3047),
    [anon_sym_CARET_EQ] = ACTIONS(3047),
    [anon_sym_LT_LT_EQ] = ACTIONS(3047),
    [anon_sym_GT_GT_EQ] = ACTIONS(3047),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3047),
    [anon_sym_DOT_DOT] = ACTIONS(3049),
    [anon_sym_STAR_STAR] = ACTIONS(3049),
    [anon_sym_PIPE_PIPE] = ACTIONS(3049),
    [anon_sym_SLASH_SLASH] = ACTIONS(3049),
    [anon_sym_CARET_CARET] = ACTIONS(3047),
    [anon_sym_AMP_AMP] = ACTIONS(3049),
    [anon_sym_PIPE] = ACTIONS(3049),
    [anon_sym_CARET] = ACTIONS(3049),
    [anon_sym_AMP] = ACTIONS(3049),
    [anon_sym_GT_GT2] = ACTIONS(3049),
    [anon_sym_PLUS] = ACTIONS(3049),
    [anon_sym_DASH] = ACTIONS(3049),
    [anon_sym_DOT] = ACTIONS(3049),
    [anon_sym_STAR] = ACTIONS(3049),
    [anon_sym_SLASH] = ACTIONS(3049),
    [anon_sym_x] = ACTIONS(3049),
    [anon_sym_EQ_TILDE] = ACTIONS(3047),
    [anon_sym_BANG_TILDE] = ACTIONS(3047),
    [anon_sym_EQ_EQ] = ACTIONS(3049),
    [anon_sym_BANG_EQ] = ACTIONS(3047),
    [anon_sym_eq] = ACTIONS(3049),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3047),
    [anon_sym_equ] = ACTIONS(3047),
    [anon_sym_eqr] = ACTIONS(3047),
    [anon_sym_ne] = ACTIONS(3047),
    [anon_sym_LT_EQ_GT] = ACTIONS(3047),
    [anon_sym_cmp] = ACTIONS(3047),
    [anon_sym_TILDE_TILDE] = ACTIONS(3047),
    [anon_sym_LT] = ACTIONS(3049),
    [anon_sym_LT_EQ] = ACTIONS(3049),
    [anon_sym_GT_EQ] = ACTIONS(3047),
    [anon_sym_lt] = ACTIONS(3047),
    [anon_sym_le] = ACTIONS(3047),
    [anon_sym_ge] = ACTIONS(3047),
    [anon_sym_gt] = ACTIONS(3047),
    [anon_sym_isa] = ACTIONS(3047),
    [anon_sym_PLUS_PLUS] = ACTIONS(3047),
    [anon_sym_DASH_DASH] = ACTIONS(3047),
    [anon_sym_QMARK] = ACTIONS(3047),
    [anon_sym_EQ_GT] = ACTIONS(3318),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1997] = {
    [sym_heredoc_content] = STATE(1997),
    [anon_sym_RBRACE] = ACTIONS(2797),
    [anon_sym_COLON] = ACTIONS(2797),
    [anon_sym_EQ] = ACTIONS(2799),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2797),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2797),
    [anon_sym_COMMA] = ACTIONS(2797),
    [anon_sym_RPAREN] = ACTIONS(2797),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2797),
    [anon_sym_DASH_GT] = ACTIONS(2797),
    [anon_sym_PERCENT] = ACTIONS(2799),
    [anon_sym_GT] = ACTIONS(2799),
    [anon_sym_LT_LT] = ACTIONS(2799),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2797),
    [anon_sym_PLUS_EQ] = ACTIONS(2797),
    [anon_sym_DASH_EQ] = ACTIONS(2797),
    [anon_sym_DOT_EQ] = ACTIONS(2797),
    [anon_sym_STAR_EQ] = ACTIONS(2797),
    [anon_sym_SLASH_EQ] = ACTIONS(2797),
    [anon_sym_PERCENT_EQ] = ACTIONS(2797),
    [anon_sym_x_EQ] = ACTIONS(2799),
    [anon_sym_AMP_EQ] = ACTIONS(2797),
    [anon_sym_PIPE_EQ] = ACTIONS(2797),
    [anon_sym_CARET_EQ] = ACTIONS(2797),
    [anon_sym_LT_LT_EQ] = ACTIONS(2797),
    [anon_sym_GT_GT_EQ] = ACTIONS(2797),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2797),
    [anon_sym_DOT_DOT] = ACTIONS(2799),
    [anon_sym_STAR_STAR] = ACTIONS(2799),
    [anon_sym_PIPE_PIPE] = ACTIONS(2799),
    [anon_sym_SLASH_SLASH] = ACTIONS(2799),
    [anon_sym_CARET_CARET] = ACTIONS(2797),
    [anon_sym_AMP_AMP] = ACTIONS(2799),
    [anon_sym_PIPE] = ACTIONS(2799),
    [anon_sym_CARET] = ACTIONS(2799),
    [anon_sym_AMP] = ACTIONS(2799),
    [anon_sym_GT_GT2] = ACTIONS(2799),
    [anon_sym_PLUS] = ACTIONS(2799),
    [anon_sym_DASH] = ACTIONS(2799),
    [anon_sym_DOT] = ACTIONS(2799),
    [anon_sym_STAR] = ACTIONS(2799),
    [anon_sym_SLASH] = ACTIONS(2799),
    [anon_sym_x] = ACTIONS(2799),
    [anon_sym_EQ_TILDE] = ACTIONS(2797),
    [anon_sym_BANG_TILDE] = ACTIONS(2797),
    [anon_sym_EQ_EQ] = ACTIONS(2799),
    [anon_sym_BANG_EQ] = ACTIONS(2797),
    [anon_sym_eq] = ACTIONS(2799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2797),
    [anon_sym_equ] = ACTIONS(2797),
    [anon_sym_eqr] = ACTIONS(2797),
    [anon_sym_ne] = ACTIONS(2799),
    [anon_sym_LT_EQ_GT] = ACTIONS(2797),
    [anon_sym_cmp] = ACTIONS(2797),
    [anon_sym_TILDE_TILDE] = ACTIONS(2797),
    [anon_sym_LT] = ACTIONS(2799),
    [anon_sym_LT_EQ] = ACTIONS(2799),
    [anon_sym_GT_EQ] = ACTIONS(2797),
    [anon_sym_lt] = ACTIONS(2799),
    [anon_sym_le] = ACTIONS(2799),
    [anon_sym_ge] = ACTIONS(2797),
    [anon_sym_gt] = ACTIONS(2797),
    [anon_sym_isa] = ACTIONS(2799),
    [anon_sym_PLUS_PLUS] = ACTIONS(2797),
    [anon_sym_DASH_DASH] = ACTIONS(2797),
    [anon_sym_QMARK] = ACTIONS(2797),
    [anon_sym_EQ_GT] = ACTIONS(2797),
    [sym_comment] = ACTIONS(5),
    [sym_quoted_regexp_modifiers] = ACTIONS(3703),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1998] = {
    [sym_heredoc_content] = STATE(1998),
    [anon_sym_RBRACE] = ACTIONS(2574),
    [anon_sym_COLON] = ACTIONS(2574),
    [anon_sym_EQ] = ACTIONS(2576),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2574),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2574),
    [anon_sym_COMMA] = ACTIONS(2574),
    [anon_sym_RPAREN] = ACTIONS(2574),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2574),
    [anon_sym_DASH_GT] = ACTIONS(2574),
    [anon_sym_PERCENT] = ACTIONS(2576),
    [anon_sym_GT] = ACTIONS(2576),
    [anon_sym_LT_LT] = ACTIONS(2576),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2574),
    [anon_sym_PLUS_EQ] = ACTIONS(2574),
    [anon_sym_DASH_EQ] = ACTIONS(2574),
    [anon_sym_DOT_EQ] = ACTIONS(2574),
    [anon_sym_STAR_EQ] = ACTIONS(2574),
    [anon_sym_SLASH_EQ] = ACTIONS(2574),
    [anon_sym_PERCENT_EQ] = ACTIONS(2574),
    [anon_sym_x_EQ] = ACTIONS(2576),
    [anon_sym_AMP_EQ] = ACTIONS(2574),
    [anon_sym_PIPE_EQ] = ACTIONS(2574),
    [anon_sym_CARET_EQ] = ACTIONS(2574),
    [anon_sym_LT_LT_EQ] = ACTIONS(2574),
    [anon_sym_GT_GT_EQ] = ACTIONS(2574),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2574),
    [anon_sym_DOT_DOT] = ACTIONS(2576),
    [anon_sym_STAR_STAR] = ACTIONS(2576),
    [anon_sym_PIPE_PIPE] = ACTIONS(2576),
    [anon_sym_SLASH_SLASH] = ACTIONS(2576),
    [anon_sym_CARET_CARET] = ACTIONS(2574),
    [anon_sym_AMP_AMP] = ACTIONS(2576),
    [anon_sym_PIPE] = ACTIONS(2576),
    [anon_sym_CARET] = ACTIONS(2576),
    [anon_sym_AMP] = ACTIONS(2576),
    [anon_sym_GT_GT2] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2576),
    [anon_sym_DASH] = ACTIONS(2576),
    [anon_sym_DOT] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2576),
    [anon_sym_SLASH] = ACTIONS(2576),
    [anon_sym_x] = ACTIONS(2576),
    [anon_sym_EQ_TILDE] = ACTIONS(2574),
    [anon_sym_BANG_TILDE] = ACTIONS(2574),
    [anon_sym_EQ_EQ] = ACTIONS(2576),
    [anon_sym_BANG_EQ] = ACTIONS(2574),
    [anon_sym_eq] = ACTIONS(2576),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2574),
    [anon_sym_equ] = ACTIONS(2574),
    [anon_sym_eqr] = ACTIONS(2574),
    [anon_sym_ne] = ACTIONS(2576),
    [anon_sym_LT_EQ_GT] = ACTIONS(2574),
    [anon_sym_cmp] = ACTIONS(2576),
    [anon_sym_TILDE_TILDE] = ACTIONS(2574),
    [anon_sym_LT] = ACTIONS(2576),
    [anon_sym_LT_EQ] = ACTIONS(2576),
    [anon_sym_GT_EQ] = ACTIONS(2574),
    [anon_sym_lt] = ACTIONS(2576),
    [anon_sym_le] = ACTIONS(2576),
    [anon_sym_ge] = ACTIONS(2576),
    [anon_sym_gt] = ACTIONS(2576),
    [anon_sym_isa] = ACTIONS(2576),
    [anon_sym_PLUS_PLUS] = ACTIONS(2574),
    [anon_sym_DASH_DASH] = ACTIONS(2574),
    [anon_sym_QMARK] = ACTIONS(2574),
    [anon_sym_EQ_GT] = ACTIONS(2574),
    [sym_comment] = ACTIONS(5),
    [sym_match_regexp_modifiers] = ACTIONS(3705),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1999] = {
    [sym_heredoc_content] = STATE(1999),
    [anon_sym_RBRACE] = ACTIONS(1849),
    [anon_sym_EQ] = ACTIONS(1840),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1849),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1849),
    [anon_sym_COMMA] = ACTIONS(3318),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1849),
    [anon_sym_and] = ACTIONS(1849),
    [anon_sym_or] = ACTIONS(1849),
    [anon_sym_xor] = ACTIONS(1849),
    [anon_sym_DASH_GT] = ACTIONS(1849),
    [anon_sym_PERCENT] = ACTIONS(1840),
    [anon_sym_GT] = ACTIONS(1840),
    [anon_sym_LT_LT] = ACTIONS(1840),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1849),
    [anon_sym_PLUS_EQ] = ACTIONS(1849),
    [anon_sym_DASH_EQ] = ACTIONS(1849),
    [anon_sym_DOT_EQ] = ACTIONS(1849),
    [anon_sym_STAR_EQ] = ACTIONS(1849),
    [anon_sym_SLASH_EQ] = ACTIONS(1849),
    [anon_sym_PERCENT_EQ] = ACTIONS(1849),
    [anon_sym_x_EQ] = ACTIONS(1849),
    [anon_sym_AMP_EQ] = ACTIONS(1849),
    [anon_sym_PIPE_EQ] = ACTIONS(1849),
    [anon_sym_CARET_EQ] = ACTIONS(1849),
    [anon_sym_LT_LT_EQ] = ACTIONS(1849),
    [anon_sym_GT_GT_EQ] = ACTIONS(1849),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1849),
    [anon_sym_DOT_DOT] = ACTIONS(1840),
    [anon_sym_STAR_STAR] = ACTIONS(1840),
    [anon_sym_PIPE_PIPE] = ACTIONS(1840),
    [anon_sym_SLASH_SLASH] = ACTIONS(1840),
    [anon_sym_CARET_CARET] = ACTIONS(1849),
    [anon_sym_AMP_AMP] = ACTIONS(1840),
    [anon_sym_PIPE] = ACTIONS(1840),
    [anon_sym_CARET] = ACTIONS(1840),
    [anon_sym_AMP] = ACTIONS(1840),
    [anon_sym_GT_GT2] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_DOT] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1840),
    [anon_sym_SLASH] = ACTIONS(1840),
    [anon_sym_x] = ACTIONS(1840),
    [anon_sym_EQ_TILDE] = ACTIONS(1849),
    [anon_sym_BANG_TILDE] = ACTIONS(1849),
    [anon_sym_EQ_EQ] = ACTIONS(1840),
    [anon_sym_BANG_EQ] = ACTIONS(1849),
    [anon_sym_eq] = ACTIONS(1840),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1849),
    [anon_sym_equ] = ACTIONS(1849),
    [anon_sym_eqr] = ACTIONS(1849),
    [anon_sym_ne] = ACTIONS(1849),
    [anon_sym_LT_EQ_GT] = ACTIONS(1849),
    [anon_sym_cmp] = ACTIONS(1849),
    [anon_sym_TILDE_TILDE] = ACTIONS(1849),
    [anon_sym_LT] = ACTIONS(1840),
    [anon_sym_LT_EQ] = ACTIONS(1840),
    [anon_sym_GT_EQ] = ACTIONS(1849),
    [anon_sym_lt] = ACTIONS(1849),
    [anon_sym_le] = ACTIONS(1849),
    [anon_sym_ge] = ACTIONS(1849),
    [anon_sym_gt] = ACTIONS(1849),
    [anon_sym_isa] = ACTIONS(1849),
    [anon_sym_PLUS_PLUS] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1849),
    [anon_sym_QMARK] = ACTIONS(1849),
    [anon_sym_EQ_GT] = ACTIONS(3318),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2000] = {
    [sym_heredoc_content] = STATE(2000),
    [anon_sym_RBRACE] = ACTIONS(2532),
    [anon_sym_COLON] = ACTIONS(2532),
    [anon_sym_EQ] = ACTIONS(2534),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2532),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2532),
    [anon_sym_COMMA] = ACTIONS(2532),
    [anon_sym_RPAREN] = ACTIONS(2532),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2532),
    [anon_sym_DASH_GT] = ACTIONS(2532),
    [anon_sym_PERCENT] = ACTIONS(2534),
    [anon_sym_GT] = ACTIONS(2534),
    [anon_sym_LT_LT] = ACTIONS(2534),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2532),
    [anon_sym_PLUS_EQ] = ACTIONS(2532),
    [anon_sym_DASH_EQ] = ACTIONS(2532),
    [anon_sym_DOT_EQ] = ACTIONS(2532),
    [anon_sym_STAR_EQ] = ACTIONS(2532),
    [anon_sym_SLASH_EQ] = ACTIONS(2532),
    [anon_sym_PERCENT_EQ] = ACTIONS(2532),
    [anon_sym_x_EQ] = ACTIONS(2534),
    [anon_sym_AMP_EQ] = ACTIONS(2532),
    [anon_sym_PIPE_EQ] = ACTIONS(2532),
    [anon_sym_CARET_EQ] = ACTIONS(2532),
    [anon_sym_LT_LT_EQ] = ACTIONS(2532),
    [anon_sym_GT_GT_EQ] = ACTIONS(2532),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2532),
    [anon_sym_DOT_DOT] = ACTIONS(2534),
    [anon_sym_STAR_STAR] = ACTIONS(2534),
    [anon_sym_PIPE_PIPE] = ACTIONS(2534),
    [anon_sym_SLASH_SLASH] = ACTIONS(2534),
    [anon_sym_CARET_CARET] = ACTIONS(2532),
    [anon_sym_AMP_AMP] = ACTIONS(2534),
    [anon_sym_PIPE] = ACTIONS(2534),
    [anon_sym_CARET] = ACTIONS(2534),
    [anon_sym_AMP] = ACTIONS(2534),
    [anon_sym_GT_GT2] = ACTIONS(2534),
    [anon_sym_PLUS] = ACTIONS(2534),
    [anon_sym_DASH] = ACTIONS(2534),
    [anon_sym_DOT] = ACTIONS(2534),
    [anon_sym_STAR] = ACTIONS(2534),
    [anon_sym_SLASH] = ACTIONS(2534),
    [anon_sym_x] = ACTIONS(2534),
    [anon_sym_EQ_TILDE] = ACTIONS(2532),
    [anon_sym_BANG_TILDE] = ACTIONS(2532),
    [anon_sym_EQ_EQ] = ACTIONS(2534),
    [anon_sym_BANG_EQ] = ACTIONS(2532),
    [anon_sym_eq] = ACTIONS(2534),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2532),
    [anon_sym_equ] = ACTIONS(2532),
    [anon_sym_eqr] = ACTIONS(2532),
    [anon_sym_ne] = ACTIONS(2534),
    [anon_sym_LT_EQ_GT] = ACTIONS(2532),
    [anon_sym_cmp] = ACTIONS(2532),
    [anon_sym_TILDE_TILDE] = ACTIONS(2532),
    [anon_sym_LT] = ACTIONS(2534),
    [anon_sym_LT_EQ] = ACTIONS(2534),
    [anon_sym_GT_EQ] = ACTIONS(2532),
    [anon_sym_lt] = ACTIONS(2534),
    [anon_sym_le] = ACTIONS(2534),
    [anon_sym_ge] = ACTIONS(2532),
    [anon_sym_gt] = ACTIONS(2532),
    [anon_sym_isa] = ACTIONS(2534),
    [anon_sym_PLUS_PLUS] = ACTIONS(2532),
    [anon_sym_DASH_DASH] = ACTIONS(2532),
    [anon_sym_QMARK] = ACTIONS(2532),
    [anon_sym_EQ_GT] = ACTIONS(2532),
    [sym_comment] = ACTIONS(5),
    [sym_quoted_regexp_modifiers] = ACTIONS(2532),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2001] = {
    [sym_heredoc_content] = STATE(2001),
    [anon_sym_COLON] = ACTIONS(3707),
    [anon_sym_DOLLAR] = ACTIONS(3707),
    [anon_sym_EQ] = ACTIONS(3626),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3628),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3628),
    [anon_sym_AT] = ACTIONS(3707),
    [anon_sym_COMMA] = ACTIONS(3707),
    [anon_sym_RPAREN] = ACTIONS(3707),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3630),
    [anon_sym_DASH_GT] = ACTIONS(3632),
    [anon_sym_PERCENT] = ACTIONS(3634),
    [anon_sym_GT] = ACTIONS(3636),
    [anon_sym_LT_LT] = ACTIONS(3638),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3628),
    [anon_sym_PLUS_EQ] = ACTIONS(3628),
    [anon_sym_DASH_EQ] = ACTIONS(3628),
    [anon_sym_DOT_EQ] = ACTIONS(3628),
    [anon_sym_STAR_EQ] = ACTIONS(3628),
    [anon_sym_SLASH_EQ] = ACTIONS(3628),
    [anon_sym_PERCENT_EQ] = ACTIONS(3626),
    [anon_sym_x_EQ] = ACTIONS(3628),
    [anon_sym_AMP_EQ] = ACTIONS(3628),
    [anon_sym_PIPE_EQ] = ACTIONS(3628),
    [anon_sym_CARET_EQ] = ACTIONS(3628),
    [anon_sym_LT_LT_EQ] = ACTIONS(3628),
    [anon_sym_GT_GT_EQ] = ACTIONS(3628),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3628),
    [anon_sym_DOT_DOT] = ACTIONS(3640),
    [anon_sym_STAR_STAR] = ACTIONS(3642),
    [anon_sym_PIPE_PIPE] = ACTIONS(3644),
    [anon_sym_SLASH_SLASH] = ACTIONS(3644),
    [anon_sym_CARET_CARET] = ACTIONS(3646),
    [anon_sym_AMP_AMP] = ACTIONS(3648),
    [anon_sym_PIPE] = ACTIONS(3650),
    [anon_sym_CARET] = ACTIONS(3650),
    [anon_sym_AMP] = ACTIONS(3652),
    [anon_sym_GT_GT2] = ACTIONS(3638),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_DASH] = ACTIONS(3654),
    [anon_sym_DOT] = ACTIONS(3654),
    [anon_sym_STAR] = ACTIONS(3634),
    [anon_sym_SLASH] = ACTIONS(3634),
    [anon_sym_x] = ACTIONS(3634),
    [anon_sym_EQ_TILDE] = ACTIONS(3656),
    [anon_sym_BANG_TILDE] = ACTIONS(3656),
    [anon_sym_EQ_EQ] = ACTIONS(3658),
    [anon_sym_BANG_EQ] = ACTIONS(3660),
    [anon_sym_eq] = ACTIONS(3658),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3660),
    [anon_sym_equ] = ACTIONS(3660),
    [anon_sym_eqr] = ACTIONS(3660),
    [anon_sym_ne] = ACTIONS(3660),
    [anon_sym_LT_EQ_GT] = ACTIONS(3662),
    [anon_sym_cmp] = ACTIONS(3662),
    [anon_sym_TILDE_TILDE] = ACTIONS(3662),
    [anon_sym_LT] = ACTIONS(3636),
    [anon_sym_LT_EQ] = ACTIONS(3636),
    [anon_sym_GT_EQ] = ACTIONS(3664),
    [anon_sym_lt] = ACTIONS(3664),
    [anon_sym_le] = ACTIONS(3664),
    [anon_sym_ge] = ACTIONS(3664),
    [anon_sym_gt] = ACTIONS(3664),
    [anon_sym_isa] = ACTIONS(3666),
    [anon_sym_PLUS_PLUS] = ACTIONS(3668),
    [anon_sym_DASH_DASH] = ACTIONS(3668),
    [anon_sym_QMARK] = ACTIONS(3670),
    [anon_sym_PERCENT2] = ACTIONS(3707),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2002] = {
    [sym_heredoc_content] = STATE(2002),
    [anon_sym_RBRACE] = ACTIONS(2562),
    [anon_sym_COLON] = ACTIONS(2562),
    [anon_sym_EQ] = ACTIONS(2564),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2562),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2562),
    [anon_sym_COMMA] = ACTIONS(2562),
    [anon_sym_RPAREN] = ACTIONS(2562),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2562),
    [anon_sym_LBRACK] = ACTIONS(3709),
    [anon_sym_DASH_GT] = ACTIONS(2562),
    [anon_sym_PERCENT] = ACTIONS(2564),
    [anon_sym_GT] = ACTIONS(2564),
    [anon_sym_LT_LT] = ACTIONS(2564),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2562),
    [anon_sym_PLUS_EQ] = ACTIONS(2562),
    [anon_sym_DASH_EQ] = ACTIONS(2562),
    [anon_sym_DOT_EQ] = ACTIONS(2562),
    [anon_sym_STAR_EQ] = ACTIONS(2562),
    [anon_sym_SLASH_EQ] = ACTIONS(2562),
    [anon_sym_PERCENT_EQ] = ACTIONS(2562),
    [anon_sym_x_EQ] = ACTIONS(2562),
    [anon_sym_AMP_EQ] = ACTIONS(2562),
    [anon_sym_PIPE_EQ] = ACTIONS(2562),
    [anon_sym_CARET_EQ] = ACTIONS(2562),
    [anon_sym_LT_LT_EQ] = ACTIONS(2562),
    [anon_sym_GT_GT_EQ] = ACTIONS(2562),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2562),
    [anon_sym_DOT_DOT] = ACTIONS(2564),
    [anon_sym_STAR_STAR] = ACTIONS(2564),
    [anon_sym_PIPE_PIPE] = ACTIONS(2564),
    [anon_sym_SLASH_SLASH] = ACTIONS(2564),
    [anon_sym_CARET_CARET] = ACTIONS(2562),
    [anon_sym_AMP_AMP] = ACTIONS(2564),
    [anon_sym_PIPE] = ACTIONS(2564),
    [anon_sym_CARET] = ACTIONS(2564),
    [anon_sym_AMP] = ACTIONS(2564),
    [anon_sym_GT_GT2] = ACTIONS(2564),
    [anon_sym_PLUS] = ACTIONS(2564),
    [anon_sym_DASH] = ACTIONS(2564),
    [anon_sym_DOT] = ACTIONS(2564),
    [anon_sym_STAR] = ACTIONS(2564),
    [anon_sym_SLASH] = ACTIONS(2564),
    [anon_sym_x] = ACTIONS(2564),
    [anon_sym_EQ_TILDE] = ACTIONS(2562),
    [anon_sym_BANG_TILDE] = ACTIONS(2562),
    [anon_sym_EQ_EQ] = ACTIONS(2564),
    [anon_sym_BANG_EQ] = ACTIONS(2562),
    [anon_sym_eq] = ACTIONS(2564),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2562),
    [anon_sym_equ] = ACTIONS(2562),
    [anon_sym_eqr] = ACTIONS(2562),
    [anon_sym_ne] = ACTIONS(2562),
    [anon_sym_LT_EQ_GT] = ACTIONS(2562),
    [anon_sym_cmp] = ACTIONS(2562),
    [anon_sym_TILDE_TILDE] = ACTIONS(2562),
    [anon_sym_LT] = ACTIONS(2564),
    [anon_sym_LT_EQ] = ACTIONS(2564),
    [anon_sym_GT_EQ] = ACTIONS(2562),
    [anon_sym_lt] = ACTIONS(2562),
    [anon_sym_le] = ACTIONS(2562),
    [anon_sym_ge] = ACTIONS(2562),
    [anon_sym_gt] = ACTIONS(2562),
    [anon_sym_isa] = ACTIONS(2562),
    [anon_sym_PLUS_PLUS] = ACTIONS(2562),
    [anon_sym_DASH_DASH] = ACTIONS(2562),
    [anon_sym_QMARK] = ACTIONS(2562),
    [anon_sym_EQ_GT] = ACTIONS(2562),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2003] = {
    [sym_heredoc_content] = STATE(2003),
    [anon_sym_RBRACE] = ACTIONS(2740),
    [anon_sym_COLON] = ACTIONS(2740),
    [anon_sym_EQ] = ACTIONS(2742),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2740),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2740),
    [anon_sym_COMMA] = ACTIONS(2740),
    [anon_sym_RPAREN] = ACTIONS(2740),
    [anon_sym_LPAREN] = ACTIONS(2740),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2740),
    [anon_sym_DASH_GT] = ACTIONS(2740),
    [anon_sym_PERCENT] = ACTIONS(2742),
    [anon_sym_GT] = ACTIONS(2742),
    [anon_sym_LT_LT] = ACTIONS(2742),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2740),
    [anon_sym_PLUS_EQ] = ACTIONS(2740),
    [anon_sym_DASH_EQ] = ACTIONS(2740),
    [anon_sym_DOT_EQ] = ACTIONS(2740),
    [anon_sym_STAR_EQ] = ACTIONS(2740),
    [anon_sym_SLASH_EQ] = ACTIONS(2740),
    [anon_sym_PERCENT_EQ] = ACTIONS(2740),
    [anon_sym_x_EQ] = ACTIONS(2740),
    [anon_sym_AMP_EQ] = ACTIONS(2740),
    [anon_sym_PIPE_EQ] = ACTIONS(2740),
    [anon_sym_CARET_EQ] = ACTIONS(2740),
    [anon_sym_LT_LT_EQ] = ACTIONS(2740),
    [anon_sym_GT_GT_EQ] = ACTIONS(2740),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2740),
    [anon_sym_DOT_DOT] = ACTIONS(2742),
    [anon_sym_STAR_STAR] = ACTIONS(2742),
    [anon_sym_PIPE_PIPE] = ACTIONS(2742),
    [anon_sym_SLASH_SLASH] = ACTIONS(2742),
    [anon_sym_CARET_CARET] = ACTIONS(2740),
    [anon_sym_AMP_AMP] = ACTIONS(2742),
    [anon_sym_PIPE] = ACTIONS(2742),
    [anon_sym_CARET] = ACTIONS(2742),
    [anon_sym_AMP] = ACTIONS(2742),
    [anon_sym_GT_GT2] = ACTIONS(2742),
    [anon_sym_PLUS] = ACTIONS(2742),
    [anon_sym_DASH] = ACTIONS(2742),
    [anon_sym_DOT] = ACTIONS(2742),
    [anon_sym_STAR] = ACTIONS(2742),
    [anon_sym_SLASH] = ACTIONS(2742),
    [anon_sym_x] = ACTIONS(2742),
    [anon_sym_EQ_TILDE] = ACTIONS(2740),
    [anon_sym_BANG_TILDE] = ACTIONS(2740),
    [anon_sym_EQ_EQ] = ACTIONS(2742),
    [anon_sym_BANG_EQ] = ACTIONS(2740),
    [anon_sym_eq] = ACTIONS(2742),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2740),
    [anon_sym_equ] = ACTIONS(2740),
    [anon_sym_eqr] = ACTIONS(2740),
    [anon_sym_ne] = ACTIONS(2740),
    [anon_sym_LT_EQ_GT] = ACTIONS(2740),
    [anon_sym_cmp] = ACTIONS(2740),
    [anon_sym_TILDE_TILDE] = ACTIONS(2740),
    [anon_sym_LT] = ACTIONS(2742),
    [anon_sym_LT_EQ] = ACTIONS(2742),
    [anon_sym_GT_EQ] = ACTIONS(2740),
    [anon_sym_lt] = ACTIONS(2740),
    [anon_sym_le] = ACTIONS(2740),
    [anon_sym_ge] = ACTIONS(2740),
    [anon_sym_gt] = ACTIONS(2740),
    [anon_sym_isa] = ACTIONS(2740),
    [anon_sym_PLUS_PLUS] = ACTIONS(2740),
    [anon_sym_DASH_DASH] = ACTIONS(2740),
    [anon_sym_QMARK] = ACTIONS(2740),
    [anon_sym_EQ_GT] = ACTIONS(2740),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2004] = {
    [sym_heredoc_content] = STATE(2004),
    [anon_sym_RBRACE] = ACTIONS(2791),
    [anon_sym_COLON] = ACTIONS(2791),
    [anon_sym_EQ] = ACTIONS(2793),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2791),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2791),
    [anon_sym_COMMA] = ACTIONS(2791),
    [anon_sym_RPAREN] = ACTIONS(2791),
    [anon_sym_LPAREN] = ACTIONS(3711),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2791),
    [anon_sym_DASH_GT] = ACTIONS(2791),
    [anon_sym_PERCENT] = ACTIONS(2793),
    [anon_sym_GT] = ACTIONS(2793),
    [anon_sym_LT_LT] = ACTIONS(2793),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2791),
    [anon_sym_PLUS_EQ] = ACTIONS(2791),
    [anon_sym_DASH_EQ] = ACTIONS(2791),
    [anon_sym_DOT_EQ] = ACTIONS(2791),
    [anon_sym_STAR_EQ] = ACTIONS(2791),
    [anon_sym_SLASH_EQ] = ACTIONS(2791),
    [anon_sym_PERCENT_EQ] = ACTIONS(2791),
    [anon_sym_x_EQ] = ACTIONS(2791),
    [anon_sym_AMP_EQ] = ACTIONS(2791),
    [anon_sym_PIPE_EQ] = ACTIONS(2791),
    [anon_sym_CARET_EQ] = ACTIONS(2791),
    [anon_sym_LT_LT_EQ] = ACTIONS(2791),
    [anon_sym_GT_GT_EQ] = ACTIONS(2791),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2791),
    [anon_sym_DOT_DOT] = ACTIONS(2793),
    [anon_sym_STAR_STAR] = ACTIONS(2793),
    [anon_sym_PIPE_PIPE] = ACTIONS(2793),
    [anon_sym_SLASH_SLASH] = ACTIONS(2793),
    [anon_sym_CARET_CARET] = ACTIONS(2791),
    [anon_sym_AMP_AMP] = ACTIONS(2793),
    [anon_sym_PIPE] = ACTIONS(2793),
    [anon_sym_CARET] = ACTIONS(2793),
    [anon_sym_AMP] = ACTIONS(2793),
    [anon_sym_GT_GT2] = ACTIONS(2793),
    [anon_sym_PLUS] = ACTIONS(2793),
    [anon_sym_DASH] = ACTIONS(2793),
    [anon_sym_DOT] = ACTIONS(2793),
    [anon_sym_STAR] = ACTIONS(2793),
    [anon_sym_SLASH] = ACTIONS(2793),
    [anon_sym_x] = ACTIONS(2793),
    [anon_sym_EQ_TILDE] = ACTIONS(2791),
    [anon_sym_BANG_TILDE] = ACTIONS(2791),
    [anon_sym_EQ_EQ] = ACTIONS(2793),
    [anon_sym_BANG_EQ] = ACTIONS(2791),
    [anon_sym_eq] = ACTIONS(2793),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2791),
    [anon_sym_equ] = ACTIONS(2791),
    [anon_sym_eqr] = ACTIONS(2791),
    [anon_sym_ne] = ACTIONS(2791),
    [anon_sym_LT_EQ_GT] = ACTIONS(2791),
    [anon_sym_cmp] = ACTIONS(2791),
    [anon_sym_TILDE_TILDE] = ACTIONS(2791),
    [anon_sym_LT] = ACTIONS(2793),
    [anon_sym_LT_EQ] = ACTIONS(2793),
    [anon_sym_GT_EQ] = ACTIONS(2791),
    [anon_sym_lt] = ACTIONS(2791),
    [anon_sym_le] = ACTIONS(2791),
    [anon_sym_ge] = ACTIONS(2791),
    [anon_sym_gt] = ACTIONS(2791),
    [anon_sym_isa] = ACTIONS(2791),
    [anon_sym_PLUS_PLUS] = ACTIONS(2791),
    [anon_sym_DASH_DASH] = ACTIONS(2791),
    [anon_sym_QMARK] = ACTIONS(2791),
    [anon_sym_EQ_GT] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2005] = {
    [sym_heredoc_content] = STATE(2005),
    [anon_sym_SEMI] = ACTIONS(2532),
    [anon_sym_EQ] = ACTIONS(2534),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2532),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2532),
    [anon_sym_COMMA] = ACTIONS(2532),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2532),
    [anon_sym_LBRACK] = ACTIONS(2532),
    [anon_sym_DASH_GT] = ACTIONS(2532),
    [anon_sym_PERCENT] = ACTIONS(2534),
    [anon_sym_GT] = ACTIONS(2534),
    [anon_sym_LT_LT] = ACTIONS(2534),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2532),
    [anon_sym_PLUS_EQ] = ACTIONS(2532),
    [anon_sym_DASH_EQ] = ACTIONS(2532),
    [anon_sym_DOT_EQ] = ACTIONS(2532),
    [anon_sym_STAR_EQ] = ACTIONS(2532),
    [anon_sym_SLASH_EQ] = ACTIONS(2532),
    [anon_sym_PERCENT_EQ] = ACTIONS(2532),
    [anon_sym_x_EQ] = ACTIONS(2532),
    [anon_sym_AMP_EQ] = ACTIONS(2532),
    [anon_sym_PIPE_EQ] = ACTIONS(2532),
    [anon_sym_CARET_EQ] = ACTIONS(2532),
    [anon_sym_LT_LT_EQ] = ACTIONS(2532),
    [anon_sym_GT_GT_EQ] = ACTIONS(2532),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2532),
    [anon_sym_DOT_DOT] = ACTIONS(2534),
    [anon_sym_STAR_STAR] = ACTIONS(2534),
    [anon_sym_PIPE_PIPE] = ACTIONS(2534),
    [anon_sym_SLASH_SLASH] = ACTIONS(2534),
    [anon_sym_CARET_CARET] = ACTIONS(2532),
    [anon_sym_AMP_AMP] = ACTIONS(2534),
    [anon_sym_PIPE] = ACTIONS(2534),
    [anon_sym_CARET] = ACTIONS(2534),
    [anon_sym_AMP] = ACTIONS(2534),
    [anon_sym_GT_GT2] = ACTIONS(2534),
    [anon_sym_PLUS] = ACTIONS(2534),
    [anon_sym_DASH] = ACTIONS(2534),
    [anon_sym_DOT] = ACTIONS(2534),
    [anon_sym_STAR] = ACTIONS(2534),
    [anon_sym_SLASH] = ACTIONS(2534),
    [anon_sym_x] = ACTIONS(2534),
    [anon_sym_EQ_TILDE] = ACTIONS(2532),
    [anon_sym_BANG_TILDE] = ACTIONS(2532),
    [anon_sym_EQ_EQ] = ACTIONS(2534),
    [anon_sym_BANG_EQ] = ACTIONS(2532),
    [anon_sym_eq] = ACTIONS(2534),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2532),
    [anon_sym_equ] = ACTIONS(2532),
    [anon_sym_eqr] = ACTIONS(2532),
    [anon_sym_ne] = ACTIONS(2532),
    [anon_sym_LT_EQ_GT] = ACTIONS(2532),
    [anon_sym_cmp] = ACTIONS(2534),
    [anon_sym_TILDE_TILDE] = ACTIONS(2532),
    [anon_sym_LT] = ACTIONS(2534),
    [anon_sym_LT_EQ] = ACTIONS(2534),
    [anon_sym_GT_EQ] = ACTIONS(2532),
    [anon_sym_lt] = ACTIONS(2532),
    [anon_sym_le] = ACTIONS(2532),
    [anon_sym_ge] = ACTIONS(2532),
    [anon_sym_gt] = ACTIONS(2532),
    [anon_sym_isa] = ACTIONS(2532),
    [anon_sym_PLUS_PLUS] = ACTIONS(2532),
    [anon_sym_DASH_DASH] = ACTIONS(2532),
    [anon_sym_QMARK] = ACTIONS(2532),
    [anon_sym_EQ_GT] = ACTIONS(2532),
    [sym_comment] = ACTIONS(5),
    [sym_transliteration_modifiers] = ACTIONS(2532),
    [sym__PERLY_SEMICOLON] = ACTIONS(2532),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2006] = {
    [sym_heredoc_content] = STATE(2006),
    [anon_sym_LBRACE] = ACTIONS(2526),
    [anon_sym_SEMI] = ACTIONS(2528),
    [anon_sym_EQ] = ACTIONS(2530),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2528),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2528),
    [anon_sym_COMMA] = ACTIONS(2528),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(2526),
    [anon_sym_DASH_GT] = ACTIONS(2528),
    [anon_sym_PERCENT] = ACTIONS(2530),
    [anon_sym_GT] = ACTIONS(2530),
    [anon_sym_LT_LT] = ACTIONS(2530),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2528),
    [anon_sym_PLUS_EQ] = ACTIONS(2528),
    [anon_sym_DASH_EQ] = ACTIONS(2528),
    [anon_sym_DOT_EQ] = ACTIONS(2528),
    [anon_sym_STAR_EQ] = ACTIONS(2528),
    [anon_sym_SLASH_EQ] = ACTIONS(2528),
    [anon_sym_PERCENT_EQ] = ACTIONS(2528),
    [anon_sym_x_EQ] = ACTIONS(2528),
    [anon_sym_AMP_EQ] = ACTIONS(2528),
    [anon_sym_PIPE_EQ] = ACTIONS(2528),
    [anon_sym_CARET_EQ] = ACTIONS(2528),
    [anon_sym_LT_LT_EQ] = ACTIONS(2528),
    [anon_sym_GT_GT_EQ] = ACTIONS(2528),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2528),
    [anon_sym_DOT_DOT] = ACTIONS(2530),
    [anon_sym_STAR_STAR] = ACTIONS(2530),
    [anon_sym_PIPE_PIPE] = ACTIONS(2530),
    [anon_sym_SLASH_SLASH] = ACTIONS(2530),
    [anon_sym_CARET_CARET] = ACTIONS(2528),
    [anon_sym_AMP_AMP] = ACTIONS(2530),
    [anon_sym_PIPE] = ACTIONS(2530),
    [anon_sym_CARET] = ACTIONS(2530),
    [anon_sym_AMP] = ACTIONS(2530),
    [anon_sym_GT_GT2] = ACTIONS(2530),
    [anon_sym_PLUS] = ACTIONS(2530),
    [anon_sym_DASH] = ACTIONS(2530),
    [anon_sym_DOT] = ACTIONS(2530),
    [anon_sym_STAR] = ACTIONS(2530),
    [anon_sym_SLASH] = ACTIONS(2530),
    [anon_sym_x] = ACTIONS(2530),
    [anon_sym_EQ_TILDE] = ACTIONS(2528),
    [anon_sym_BANG_TILDE] = ACTIONS(2528),
    [anon_sym_EQ_EQ] = ACTIONS(2530),
    [anon_sym_BANG_EQ] = ACTIONS(2528),
    [anon_sym_eq] = ACTIONS(2530),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2528),
    [anon_sym_equ] = ACTIONS(2528),
    [anon_sym_eqr] = ACTIONS(2528),
    [anon_sym_ne] = ACTIONS(2528),
    [anon_sym_LT_EQ_GT] = ACTIONS(2528),
    [anon_sym_cmp] = ACTIONS(2528),
    [anon_sym_TILDE_TILDE] = ACTIONS(2528),
    [anon_sym_LT] = ACTIONS(2530),
    [anon_sym_LT_EQ] = ACTIONS(2530),
    [anon_sym_GT_EQ] = ACTIONS(2528),
    [anon_sym_lt] = ACTIONS(2528),
    [anon_sym_le] = ACTIONS(2528),
    [anon_sym_ge] = ACTIONS(2528),
    [anon_sym_gt] = ACTIONS(2528),
    [anon_sym_isa] = ACTIONS(2528),
    [anon_sym_PLUS_PLUS] = ACTIONS(2528),
    [anon_sym_DASH_DASH] = ACTIONS(2528),
    [anon_sym_QMARK] = ACTIONS(2528),
    [anon_sym_EQ_GT] = ACTIONS(2528),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2528),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2007] = {
    [sym_heredoc_content] = STATE(2007),
    [anon_sym_RBRACE] = ACTIONS(2568),
    [anon_sym_COLON] = ACTIONS(2568),
    [anon_sym_EQ] = ACTIONS(2570),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2568),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2568),
    [anon_sym_COMMA] = ACTIONS(2568),
    [anon_sym_RPAREN] = ACTIONS(2568),
    [anon_sym_LPAREN] = ACTIONS(3713),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2568),
    [anon_sym_DASH_GT] = ACTIONS(2568),
    [anon_sym_PERCENT] = ACTIONS(2570),
    [anon_sym_GT] = ACTIONS(2570),
    [anon_sym_LT_LT] = ACTIONS(2570),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2568),
    [anon_sym_PLUS_EQ] = ACTIONS(2568),
    [anon_sym_DASH_EQ] = ACTIONS(2568),
    [anon_sym_DOT_EQ] = ACTIONS(2568),
    [anon_sym_STAR_EQ] = ACTIONS(2568),
    [anon_sym_SLASH_EQ] = ACTIONS(2568),
    [anon_sym_PERCENT_EQ] = ACTIONS(2568),
    [anon_sym_x_EQ] = ACTIONS(2568),
    [anon_sym_AMP_EQ] = ACTIONS(2568),
    [anon_sym_PIPE_EQ] = ACTIONS(2568),
    [anon_sym_CARET_EQ] = ACTIONS(2568),
    [anon_sym_LT_LT_EQ] = ACTIONS(2568),
    [anon_sym_GT_GT_EQ] = ACTIONS(2568),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2568),
    [anon_sym_DOT_DOT] = ACTIONS(2570),
    [anon_sym_STAR_STAR] = ACTIONS(2570),
    [anon_sym_PIPE_PIPE] = ACTIONS(2570),
    [anon_sym_SLASH_SLASH] = ACTIONS(2570),
    [anon_sym_CARET_CARET] = ACTIONS(2568),
    [anon_sym_AMP_AMP] = ACTIONS(2570),
    [anon_sym_PIPE] = ACTIONS(2570),
    [anon_sym_CARET] = ACTIONS(2570),
    [anon_sym_AMP] = ACTIONS(2570),
    [anon_sym_GT_GT2] = ACTIONS(2570),
    [anon_sym_PLUS] = ACTIONS(2570),
    [anon_sym_DASH] = ACTIONS(2570),
    [anon_sym_DOT] = ACTIONS(2570),
    [anon_sym_STAR] = ACTIONS(2570),
    [anon_sym_SLASH] = ACTIONS(2570),
    [anon_sym_x] = ACTIONS(2570),
    [anon_sym_EQ_TILDE] = ACTIONS(2568),
    [anon_sym_BANG_TILDE] = ACTIONS(2568),
    [anon_sym_EQ_EQ] = ACTIONS(2570),
    [anon_sym_BANG_EQ] = ACTIONS(2568),
    [anon_sym_eq] = ACTIONS(2570),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2568),
    [anon_sym_equ] = ACTIONS(2568),
    [anon_sym_eqr] = ACTIONS(2568),
    [anon_sym_ne] = ACTIONS(2568),
    [anon_sym_LT_EQ_GT] = ACTIONS(2568),
    [anon_sym_cmp] = ACTIONS(2568),
    [anon_sym_TILDE_TILDE] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_LT_EQ] = ACTIONS(2570),
    [anon_sym_GT_EQ] = ACTIONS(2568),
    [anon_sym_lt] = ACTIONS(2568),
    [anon_sym_le] = ACTIONS(2568),
    [anon_sym_ge] = ACTIONS(2568),
    [anon_sym_gt] = ACTIONS(2568),
    [anon_sym_isa] = ACTIONS(2568),
    [anon_sym_PLUS_PLUS] = ACTIONS(2568),
    [anon_sym_DASH_DASH] = ACTIONS(2568),
    [anon_sym_QMARK] = ACTIONS(2568),
    [anon_sym_EQ_GT] = ACTIONS(2568),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2008] = {
    [sym_heredoc_content] = STATE(2008),
    [anon_sym_RBRACE] = ACTIONS(2722),
    [anon_sym_COLON] = ACTIONS(2722),
    [anon_sym_EQ] = ACTIONS(2724),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2722),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2722),
    [anon_sym_COMMA] = ACTIONS(2722),
    [anon_sym_RPAREN] = ACTIONS(2722),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2722),
    [anon_sym_LBRACK] = ACTIONS(3715),
    [anon_sym_DASH_GT] = ACTIONS(2722),
    [anon_sym_PERCENT] = ACTIONS(2724),
    [anon_sym_GT] = ACTIONS(2724),
    [anon_sym_LT_LT] = ACTIONS(2724),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2722),
    [anon_sym_PLUS_EQ] = ACTIONS(2722),
    [anon_sym_DASH_EQ] = ACTIONS(2722),
    [anon_sym_DOT_EQ] = ACTIONS(2722),
    [anon_sym_STAR_EQ] = ACTIONS(2722),
    [anon_sym_SLASH_EQ] = ACTIONS(2722),
    [anon_sym_PERCENT_EQ] = ACTIONS(2722),
    [anon_sym_x_EQ] = ACTIONS(2722),
    [anon_sym_AMP_EQ] = ACTIONS(2722),
    [anon_sym_PIPE_EQ] = ACTIONS(2722),
    [anon_sym_CARET_EQ] = ACTIONS(2722),
    [anon_sym_LT_LT_EQ] = ACTIONS(2722),
    [anon_sym_GT_GT_EQ] = ACTIONS(2722),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2722),
    [anon_sym_DOT_DOT] = ACTIONS(2724),
    [anon_sym_STAR_STAR] = ACTIONS(2724),
    [anon_sym_PIPE_PIPE] = ACTIONS(2724),
    [anon_sym_SLASH_SLASH] = ACTIONS(2724),
    [anon_sym_CARET_CARET] = ACTIONS(2722),
    [anon_sym_AMP_AMP] = ACTIONS(2724),
    [anon_sym_PIPE] = ACTIONS(2724),
    [anon_sym_CARET] = ACTIONS(2724),
    [anon_sym_AMP] = ACTIONS(2724),
    [anon_sym_GT_GT2] = ACTIONS(2724),
    [anon_sym_PLUS] = ACTIONS(2724),
    [anon_sym_DASH] = ACTIONS(2724),
    [anon_sym_DOT] = ACTIONS(2724),
    [anon_sym_STAR] = ACTIONS(2724),
    [anon_sym_SLASH] = ACTIONS(2724),
    [anon_sym_x] = ACTIONS(2724),
    [anon_sym_EQ_TILDE] = ACTIONS(2722),
    [anon_sym_BANG_TILDE] = ACTIONS(2722),
    [anon_sym_EQ_EQ] = ACTIONS(2724),
    [anon_sym_BANG_EQ] = ACTIONS(2722),
    [anon_sym_eq] = ACTIONS(2724),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2722),
    [anon_sym_equ] = ACTIONS(2722),
    [anon_sym_eqr] = ACTIONS(2722),
    [anon_sym_ne] = ACTIONS(2722),
    [anon_sym_LT_EQ_GT] = ACTIONS(2722),
    [anon_sym_cmp] = ACTIONS(2722),
    [anon_sym_TILDE_TILDE] = ACTIONS(2722),
    [anon_sym_LT] = ACTIONS(2724),
    [anon_sym_LT_EQ] = ACTIONS(2724),
    [anon_sym_GT_EQ] = ACTIONS(2722),
    [anon_sym_lt] = ACTIONS(2722),
    [anon_sym_le] = ACTIONS(2722),
    [anon_sym_ge] = ACTIONS(2722),
    [anon_sym_gt] = ACTIONS(2722),
    [anon_sym_isa] = ACTIONS(2722),
    [anon_sym_PLUS_PLUS] = ACTIONS(2722),
    [anon_sym_DASH_DASH] = ACTIONS(2722),
    [anon_sym_QMARK] = ACTIONS(2722),
    [anon_sym_EQ_GT] = ACTIONS(2722),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2009] = {
    [sym_heredoc_content] = STATE(2009),
    [anon_sym_RBRACE] = ACTIONS(2552),
    [anon_sym_COLON] = ACTIONS(2552),
    [anon_sym_EQ] = ACTIONS(2554),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2552),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2552),
    [anon_sym_COMMA] = ACTIONS(2552),
    [anon_sym_RPAREN] = ACTIONS(2552),
    [anon_sym_LPAREN] = ACTIONS(2552),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2552),
    [anon_sym_DASH_GT] = ACTIONS(2552),
    [anon_sym_PERCENT] = ACTIONS(2554),
    [anon_sym_GT] = ACTIONS(2554),
    [anon_sym_LT_LT] = ACTIONS(2554),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2552),
    [anon_sym_PLUS_EQ] = ACTIONS(2552),
    [anon_sym_DASH_EQ] = ACTIONS(2552),
    [anon_sym_DOT_EQ] = ACTIONS(2552),
    [anon_sym_STAR_EQ] = ACTIONS(2552),
    [anon_sym_SLASH_EQ] = ACTIONS(2552),
    [anon_sym_PERCENT_EQ] = ACTIONS(2552),
    [anon_sym_x_EQ] = ACTIONS(2552),
    [anon_sym_AMP_EQ] = ACTIONS(2552),
    [anon_sym_PIPE_EQ] = ACTIONS(2552),
    [anon_sym_CARET_EQ] = ACTIONS(2552),
    [anon_sym_LT_LT_EQ] = ACTIONS(2552),
    [anon_sym_GT_GT_EQ] = ACTIONS(2552),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2552),
    [anon_sym_DOT_DOT] = ACTIONS(2554),
    [anon_sym_STAR_STAR] = ACTIONS(2554),
    [anon_sym_PIPE_PIPE] = ACTIONS(2554),
    [anon_sym_SLASH_SLASH] = ACTIONS(2554),
    [anon_sym_CARET_CARET] = ACTIONS(2552),
    [anon_sym_AMP_AMP] = ACTIONS(2554),
    [anon_sym_PIPE] = ACTIONS(2554),
    [anon_sym_CARET] = ACTIONS(2554),
    [anon_sym_AMP] = ACTIONS(2554),
    [anon_sym_GT_GT2] = ACTIONS(2554),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_DOT] = ACTIONS(2554),
    [anon_sym_STAR] = ACTIONS(2554),
    [anon_sym_SLASH] = ACTIONS(2554),
    [anon_sym_x] = ACTIONS(2554),
    [anon_sym_EQ_TILDE] = ACTIONS(2552),
    [anon_sym_BANG_TILDE] = ACTIONS(2552),
    [anon_sym_EQ_EQ] = ACTIONS(2554),
    [anon_sym_BANG_EQ] = ACTIONS(2552),
    [anon_sym_eq] = ACTIONS(2554),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2552),
    [anon_sym_equ] = ACTIONS(2552),
    [anon_sym_eqr] = ACTIONS(2552),
    [anon_sym_ne] = ACTIONS(2552),
    [anon_sym_LT_EQ_GT] = ACTIONS(2552),
    [anon_sym_cmp] = ACTIONS(2552),
    [anon_sym_TILDE_TILDE] = ACTIONS(2552),
    [anon_sym_LT] = ACTIONS(2554),
    [anon_sym_LT_EQ] = ACTIONS(2554),
    [anon_sym_GT_EQ] = ACTIONS(2552),
    [anon_sym_lt] = ACTIONS(2552),
    [anon_sym_le] = ACTIONS(2552),
    [anon_sym_ge] = ACTIONS(2552),
    [anon_sym_gt] = ACTIONS(2552),
    [anon_sym_isa] = ACTIONS(2552),
    [anon_sym_PLUS_PLUS] = ACTIONS(2552),
    [anon_sym_DASH_DASH] = ACTIONS(2552),
    [anon_sym_QMARK] = ACTIONS(2552),
    [anon_sym_EQ_GT] = ACTIONS(2552),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2010] = {
    [sym_heredoc_content] = STATE(2010),
    [anon_sym_LBRACE] = ACTIONS(2548),
    [anon_sym_RBRACE] = ACTIONS(2548),
    [anon_sym_COLON] = ACTIONS(2548),
    [anon_sym_EQ] = ACTIONS(2550),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2548),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2548),
    [anon_sym_COMMA] = ACTIONS(2548),
    [anon_sym_RPAREN] = ACTIONS(2548),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2548),
    [anon_sym_DASH_GT] = ACTIONS(2548),
    [anon_sym_PERCENT] = ACTIONS(2550),
    [anon_sym_GT] = ACTIONS(2550),
    [anon_sym_LT_LT] = ACTIONS(2550),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2548),
    [anon_sym_PLUS_EQ] = ACTIONS(2548),
    [anon_sym_DASH_EQ] = ACTIONS(2548),
    [anon_sym_DOT_EQ] = ACTIONS(2548),
    [anon_sym_STAR_EQ] = ACTIONS(2548),
    [anon_sym_SLASH_EQ] = ACTIONS(2548),
    [anon_sym_PERCENT_EQ] = ACTIONS(2548),
    [anon_sym_x_EQ] = ACTIONS(2548),
    [anon_sym_AMP_EQ] = ACTIONS(2548),
    [anon_sym_PIPE_EQ] = ACTIONS(2548),
    [anon_sym_CARET_EQ] = ACTIONS(2548),
    [anon_sym_LT_LT_EQ] = ACTIONS(2548),
    [anon_sym_GT_GT_EQ] = ACTIONS(2548),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2548),
    [anon_sym_DOT_DOT] = ACTIONS(2550),
    [anon_sym_STAR_STAR] = ACTIONS(2550),
    [anon_sym_PIPE_PIPE] = ACTIONS(2550),
    [anon_sym_SLASH_SLASH] = ACTIONS(2550),
    [anon_sym_CARET_CARET] = ACTIONS(2548),
    [anon_sym_AMP_AMP] = ACTIONS(2550),
    [anon_sym_PIPE] = ACTIONS(2550),
    [anon_sym_CARET] = ACTIONS(2550),
    [anon_sym_AMP] = ACTIONS(2550),
    [anon_sym_GT_GT2] = ACTIONS(2550),
    [anon_sym_PLUS] = ACTIONS(2550),
    [anon_sym_DASH] = ACTIONS(2550),
    [anon_sym_DOT] = ACTIONS(2550),
    [anon_sym_STAR] = ACTIONS(2550),
    [anon_sym_SLASH] = ACTIONS(2550),
    [anon_sym_x] = ACTIONS(2550),
    [anon_sym_EQ_TILDE] = ACTIONS(2548),
    [anon_sym_BANG_TILDE] = ACTIONS(2548),
    [anon_sym_EQ_EQ] = ACTIONS(2550),
    [anon_sym_BANG_EQ] = ACTIONS(2548),
    [anon_sym_eq] = ACTIONS(2550),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2548),
    [anon_sym_equ] = ACTIONS(2548),
    [anon_sym_eqr] = ACTIONS(2548),
    [anon_sym_ne] = ACTIONS(2548),
    [anon_sym_LT_EQ_GT] = ACTIONS(2548),
    [anon_sym_cmp] = ACTIONS(2548),
    [anon_sym_TILDE_TILDE] = ACTIONS(2548),
    [anon_sym_LT] = ACTIONS(2550),
    [anon_sym_LT_EQ] = ACTIONS(2550),
    [anon_sym_GT_EQ] = ACTIONS(2548),
    [anon_sym_lt] = ACTIONS(2548),
    [anon_sym_le] = ACTIONS(2548),
    [anon_sym_ge] = ACTIONS(2548),
    [anon_sym_gt] = ACTIONS(2548),
    [anon_sym_isa] = ACTIONS(2548),
    [anon_sym_PLUS_PLUS] = ACTIONS(2548),
    [anon_sym_DASH_DASH] = ACTIONS(2548),
    [anon_sym_QMARK] = ACTIONS(2548),
    [anon_sym_EQ_GT] = ACTIONS(2548),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2011] = {
    [sym_heredoc_content] = STATE(2011),
    [anon_sym_RBRACE] = ACTIONS(2811),
    [anon_sym_COLON] = ACTIONS(2811),
    [anon_sym_EQ] = ACTIONS(2813),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2811),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2811),
    [anon_sym_COMMA] = ACTIONS(2811),
    [anon_sym_RPAREN] = ACTIONS(2811),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2811),
    [anon_sym_DASH_GT] = ACTIONS(2811),
    [anon_sym_PERCENT] = ACTIONS(2813),
    [anon_sym_GT] = ACTIONS(2813),
    [anon_sym_LT_LT] = ACTIONS(2813),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2811),
    [anon_sym_PLUS_EQ] = ACTIONS(2811),
    [anon_sym_DASH_EQ] = ACTIONS(2811),
    [anon_sym_DOT_EQ] = ACTIONS(2811),
    [anon_sym_STAR_EQ] = ACTIONS(2811),
    [anon_sym_SLASH_EQ] = ACTIONS(2811),
    [anon_sym_PERCENT_EQ] = ACTIONS(2811),
    [anon_sym_x_EQ] = ACTIONS(2813),
    [anon_sym_AMP_EQ] = ACTIONS(2811),
    [anon_sym_PIPE_EQ] = ACTIONS(2811),
    [anon_sym_CARET_EQ] = ACTIONS(2811),
    [anon_sym_LT_LT_EQ] = ACTIONS(2811),
    [anon_sym_GT_GT_EQ] = ACTIONS(2811),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2811),
    [anon_sym_DOT_DOT] = ACTIONS(2813),
    [anon_sym_STAR_STAR] = ACTIONS(2813),
    [anon_sym_PIPE_PIPE] = ACTIONS(2813),
    [anon_sym_SLASH_SLASH] = ACTIONS(2813),
    [anon_sym_CARET_CARET] = ACTIONS(2811),
    [anon_sym_AMP_AMP] = ACTIONS(2813),
    [anon_sym_PIPE] = ACTIONS(2813),
    [anon_sym_CARET] = ACTIONS(2813),
    [anon_sym_AMP] = ACTIONS(2813),
    [anon_sym_GT_GT2] = ACTIONS(2813),
    [anon_sym_PLUS] = ACTIONS(2813),
    [anon_sym_DASH] = ACTIONS(2813),
    [anon_sym_DOT] = ACTIONS(2813),
    [anon_sym_STAR] = ACTIONS(2813),
    [anon_sym_SLASH] = ACTIONS(2813),
    [anon_sym_x] = ACTIONS(2813),
    [anon_sym_EQ_TILDE] = ACTIONS(2811),
    [anon_sym_BANG_TILDE] = ACTIONS(2811),
    [anon_sym_EQ_EQ] = ACTIONS(2813),
    [anon_sym_BANG_EQ] = ACTIONS(2811),
    [anon_sym_eq] = ACTIONS(2813),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2811),
    [anon_sym_equ] = ACTIONS(2813),
    [anon_sym_eqr] = ACTIONS(2813),
    [anon_sym_ne] = ACTIONS(2811),
    [anon_sym_LT_EQ_GT] = ACTIONS(2811),
    [anon_sym_cmp] = ACTIONS(2813),
    [anon_sym_TILDE_TILDE] = ACTIONS(2811),
    [anon_sym_LT] = ACTIONS(2813),
    [anon_sym_LT_EQ] = ACTIONS(2813),
    [anon_sym_GT_EQ] = ACTIONS(2811),
    [anon_sym_lt] = ACTIONS(2813),
    [anon_sym_le] = ACTIONS(2813),
    [anon_sym_ge] = ACTIONS(2813),
    [anon_sym_gt] = ACTIONS(2813),
    [anon_sym_isa] = ACTIONS(2813),
    [anon_sym_PLUS_PLUS] = ACTIONS(2811),
    [anon_sym_DASH_DASH] = ACTIONS(2811),
    [anon_sym_QMARK] = ACTIONS(2811),
    [anon_sym_EQ_GT] = ACTIONS(2811),
    [sym_comment] = ACTIONS(5),
    [sym_substitution_regexp_modifiers] = ACTIONS(3717),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2012] = {
    [sym_heredoc_content] = STATE(2012),
    [anon_sym_RBRACE] = ACTIONS(2532),
    [anon_sym_COLON] = ACTIONS(2532),
    [anon_sym_EQ] = ACTIONS(2534),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2532),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2532),
    [anon_sym_COMMA] = ACTIONS(2532),
    [anon_sym_RPAREN] = ACTIONS(2532),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2532),
    [anon_sym_DASH_GT] = ACTIONS(2532),
    [anon_sym_PERCENT] = ACTIONS(2534),
    [anon_sym_GT] = ACTIONS(2534),
    [anon_sym_LT_LT] = ACTIONS(2534),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2532),
    [anon_sym_PLUS_EQ] = ACTIONS(2532),
    [anon_sym_DASH_EQ] = ACTIONS(2532),
    [anon_sym_DOT_EQ] = ACTIONS(2532),
    [anon_sym_STAR_EQ] = ACTIONS(2532),
    [anon_sym_SLASH_EQ] = ACTIONS(2532),
    [anon_sym_PERCENT_EQ] = ACTIONS(2532),
    [anon_sym_x_EQ] = ACTIONS(2534),
    [anon_sym_AMP_EQ] = ACTIONS(2532),
    [anon_sym_PIPE_EQ] = ACTIONS(2532),
    [anon_sym_CARET_EQ] = ACTIONS(2532),
    [anon_sym_LT_LT_EQ] = ACTIONS(2532),
    [anon_sym_GT_GT_EQ] = ACTIONS(2532),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2532),
    [anon_sym_DOT_DOT] = ACTIONS(2534),
    [anon_sym_STAR_STAR] = ACTIONS(2534),
    [anon_sym_PIPE_PIPE] = ACTIONS(2534),
    [anon_sym_SLASH_SLASH] = ACTIONS(2534),
    [anon_sym_CARET_CARET] = ACTIONS(2532),
    [anon_sym_AMP_AMP] = ACTIONS(2534),
    [anon_sym_PIPE] = ACTIONS(2534),
    [anon_sym_CARET] = ACTIONS(2534),
    [anon_sym_AMP] = ACTIONS(2534),
    [anon_sym_GT_GT2] = ACTIONS(2534),
    [anon_sym_PLUS] = ACTIONS(2534),
    [anon_sym_DASH] = ACTIONS(2534),
    [anon_sym_DOT] = ACTIONS(2534),
    [anon_sym_STAR] = ACTIONS(2534),
    [anon_sym_SLASH] = ACTIONS(2534),
    [anon_sym_x] = ACTIONS(2534),
    [anon_sym_EQ_TILDE] = ACTIONS(2532),
    [anon_sym_BANG_TILDE] = ACTIONS(2532),
    [anon_sym_EQ_EQ] = ACTIONS(2534),
    [anon_sym_BANG_EQ] = ACTIONS(2532),
    [anon_sym_eq] = ACTIONS(2534),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2532),
    [anon_sym_equ] = ACTIONS(2534),
    [anon_sym_eqr] = ACTIONS(2534),
    [anon_sym_ne] = ACTIONS(2532),
    [anon_sym_LT_EQ_GT] = ACTIONS(2532),
    [anon_sym_cmp] = ACTIONS(2534),
    [anon_sym_TILDE_TILDE] = ACTIONS(2532),
    [anon_sym_LT] = ACTIONS(2534),
    [anon_sym_LT_EQ] = ACTIONS(2534),
    [anon_sym_GT_EQ] = ACTIONS(2532),
    [anon_sym_lt] = ACTIONS(2534),
    [anon_sym_le] = ACTIONS(2534),
    [anon_sym_ge] = ACTIONS(2534),
    [anon_sym_gt] = ACTIONS(2534),
    [anon_sym_isa] = ACTIONS(2534),
    [anon_sym_PLUS_PLUS] = ACTIONS(2532),
    [anon_sym_DASH_DASH] = ACTIONS(2532),
    [anon_sym_QMARK] = ACTIONS(2532),
    [anon_sym_EQ_GT] = ACTIONS(2532),
    [sym_comment] = ACTIONS(5),
    [sym_substitution_regexp_modifiers] = ACTIONS(2532),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2013] = {
    [sym_heredoc_content] = STATE(2013),
    [anon_sym_RBRACE] = ACTIONS(2805),
    [anon_sym_COLON] = ACTIONS(2805),
    [anon_sym_EQ] = ACTIONS(2807),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2805),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2805),
    [anon_sym_COMMA] = ACTIONS(2805),
    [anon_sym_RPAREN] = ACTIONS(2805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2805),
    [anon_sym_DASH_GT] = ACTIONS(2805),
    [anon_sym_PERCENT] = ACTIONS(2807),
    [anon_sym_GT] = ACTIONS(2807),
    [anon_sym_LT_LT] = ACTIONS(2807),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2805),
    [anon_sym_PLUS_EQ] = ACTIONS(2805),
    [anon_sym_DASH_EQ] = ACTIONS(2805),
    [anon_sym_DOT_EQ] = ACTIONS(2805),
    [anon_sym_STAR_EQ] = ACTIONS(2805),
    [anon_sym_SLASH_EQ] = ACTIONS(2805),
    [anon_sym_PERCENT_EQ] = ACTIONS(2805),
    [anon_sym_x_EQ] = ACTIONS(2805),
    [anon_sym_AMP_EQ] = ACTIONS(2805),
    [anon_sym_PIPE_EQ] = ACTIONS(2805),
    [anon_sym_CARET_EQ] = ACTIONS(2805),
    [anon_sym_LT_LT_EQ] = ACTIONS(2805),
    [anon_sym_GT_GT_EQ] = ACTIONS(2805),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2805),
    [anon_sym_DOT_DOT] = ACTIONS(2807),
    [anon_sym_STAR_STAR] = ACTIONS(2807),
    [anon_sym_PIPE_PIPE] = ACTIONS(2807),
    [anon_sym_SLASH_SLASH] = ACTIONS(2807),
    [anon_sym_CARET_CARET] = ACTIONS(2805),
    [anon_sym_AMP_AMP] = ACTIONS(2807),
    [anon_sym_PIPE] = ACTIONS(2807),
    [anon_sym_CARET] = ACTIONS(2807),
    [anon_sym_AMP] = ACTIONS(2807),
    [anon_sym_GT_GT2] = ACTIONS(2807),
    [anon_sym_PLUS] = ACTIONS(2807),
    [anon_sym_DASH] = ACTIONS(2807),
    [anon_sym_DOT] = ACTIONS(2807),
    [anon_sym_STAR] = ACTIONS(2807),
    [anon_sym_SLASH] = ACTIONS(2807),
    [anon_sym_x] = ACTIONS(2807),
    [anon_sym_EQ_TILDE] = ACTIONS(2805),
    [anon_sym_BANG_TILDE] = ACTIONS(2805),
    [anon_sym_EQ_EQ] = ACTIONS(2807),
    [anon_sym_BANG_EQ] = ACTIONS(2805),
    [anon_sym_eq] = ACTIONS(2807),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2805),
    [anon_sym_equ] = ACTIONS(2805),
    [anon_sym_eqr] = ACTIONS(2805),
    [anon_sym_ne] = ACTIONS(2805),
    [anon_sym_LT_EQ_GT] = ACTIONS(2805),
    [anon_sym_cmp] = ACTIONS(2807),
    [anon_sym_TILDE_TILDE] = ACTIONS(2805),
    [anon_sym_LT] = ACTIONS(2807),
    [anon_sym_LT_EQ] = ACTIONS(2807),
    [anon_sym_GT_EQ] = ACTIONS(2805),
    [anon_sym_lt] = ACTIONS(2805),
    [anon_sym_le] = ACTIONS(2805),
    [anon_sym_ge] = ACTIONS(2805),
    [anon_sym_gt] = ACTIONS(2805),
    [anon_sym_isa] = ACTIONS(2805),
    [anon_sym_PLUS_PLUS] = ACTIONS(2805),
    [anon_sym_DASH_DASH] = ACTIONS(2805),
    [anon_sym_QMARK] = ACTIONS(2805),
    [anon_sym_EQ_GT] = ACTIONS(2805),
    [sym_comment] = ACTIONS(5),
    [sym_transliteration_modifiers] = ACTIONS(3719),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2014] = {
    [sym_heredoc_content] = STATE(2014),
    [anon_sym_RBRACE] = ACTIONS(2698),
    [anon_sym_COLON] = ACTIONS(2698),
    [anon_sym_EQ] = ACTIONS(2700),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2698),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2698),
    [anon_sym_COMMA] = ACTIONS(2698),
    [anon_sym_RPAREN] = ACTIONS(2698),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2698),
    [anon_sym_DASH_GT] = ACTIONS(2698),
    [anon_sym_PERCENT] = ACTIONS(2700),
    [anon_sym_GT] = ACTIONS(2700),
    [anon_sym_LT_LT] = ACTIONS(2700),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2698),
    [anon_sym_PLUS_EQ] = ACTIONS(2698),
    [anon_sym_DASH_EQ] = ACTIONS(2698),
    [anon_sym_DOT_EQ] = ACTIONS(2698),
    [anon_sym_STAR_EQ] = ACTIONS(2698),
    [anon_sym_SLASH_EQ] = ACTIONS(2698),
    [anon_sym_PERCENT_EQ] = ACTIONS(2698),
    [anon_sym_x_EQ] = ACTIONS(2698),
    [anon_sym_AMP_EQ] = ACTIONS(2698),
    [anon_sym_PIPE_EQ] = ACTIONS(2698),
    [anon_sym_CARET_EQ] = ACTIONS(2698),
    [anon_sym_LT_LT_EQ] = ACTIONS(2698),
    [anon_sym_GT_GT_EQ] = ACTIONS(2698),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2698),
    [anon_sym_DOT_DOT] = ACTIONS(2700),
    [anon_sym_STAR_STAR] = ACTIONS(2700),
    [anon_sym_PIPE_PIPE] = ACTIONS(2700),
    [anon_sym_SLASH_SLASH] = ACTIONS(2700),
    [anon_sym_CARET_CARET] = ACTIONS(2698),
    [anon_sym_AMP_AMP] = ACTIONS(2700),
    [anon_sym_PIPE] = ACTIONS(2700),
    [anon_sym_CARET] = ACTIONS(2700),
    [anon_sym_AMP] = ACTIONS(2700),
    [anon_sym_GT_GT2] = ACTIONS(2700),
    [anon_sym_PLUS] = ACTIONS(2700),
    [anon_sym_DASH] = ACTIONS(2700),
    [anon_sym_DOT] = ACTIONS(2700),
    [anon_sym_STAR] = ACTIONS(2700),
    [anon_sym_SLASH] = ACTIONS(2700),
    [anon_sym_x] = ACTIONS(2700),
    [anon_sym_EQ_TILDE] = ACTIONS(2698),
    [anon_sym_BANG_TILDE] = ACTIONS(2698),
    [anon_sym_EQ_EQ] = ACTIONS(2700),
    [anon_sym_BANG_EQ] = ACTIONS(2698),
    [anon_sym_eq] = ACTIONS(2700),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2698),
    [anon_sym_equ] = ACTIONS(2698),
    [anon_sym_eqr] = ACTIONS(2698),
    [anon_sym_ne] = ACTIONS(2698),
    [anon_sym_LT_EQ_GT] = ACTIONS(2698),
    [anon_sym_cmp] = ACTIONS(2700),
    [anon_sym_TILDE_TILDE] = ACTIONS(2698),
    [anon_sym_LT] = ACTIONS(2700),
    [anon_sym_LT_EQ] = ACTIONS(2700),
    [anon_sym_GT_EQ] = ACTIONS(2698),
    [anon_sym_lt] = ACTIONS(2698),
    [anon_sym_le] = ACTIONS(2698),
    [anon_sym_ge] = ACTIONS(2698),
    [anon_sym_gt] = ACTIONS(2698),
    [anon_sym_isa] = ACTIONS(2698),
    [anon_sym_PLUS_PLUS] = ACTIONS(2698),
    [anon_sym_DASH_DASH] = ACTIONS(2698),
    [anon_sym_QMARK] = ACTIONS(2698),
    [anon_sym_EQ_GT] = ACTIONS(2698),
    [sym_comment] = ACTIONS(5),
    [sym_transliteration_modifiers] = ACTIONS(3721),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2015] = {
    [sym_heredoc_content] = STATE(2015),
    [anon_sym_COLON] = ACTIONS(3723),
    [anon_sym_DOLLAR] = ACTIONS(3723),
    [anon_sym_EQ] = ACTIONS(3626),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3628),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3628),
    [anon_sym_AT] = ACTIONS(3723),
    [anon_sym_COMMA] = ACTIONS(3723),
    [anon_sym_RPAREN] = ACTIONS(3723),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3630),
    [anon_sym_DASH_GT] = ACTIONS(3632),
    [anon_sym_PERCENT] = ACTIONS(3634),
    [anon_sym_GT] = ACTIONS(3636),
    [anon_sym_LT_LT] = ACTIONS(3638),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3628),
    [anon_sym_PLUS_EQ] = ACTIONS(3628),
    [anon_sym_DASH_EQ] = ACTIONS(3628),
    [anon_sym_DOT_EQ] = ACTIONS(3628),
    [anon_sym_STAR_EQ] = ACTIONS(3628),
    [anon_sym_SLASH_EQ] = ACTIONS(3628),
    [anon_sym_PERCENT_EQ] = ACTIONS(3626),
    [anon_sym_x_EQ] = ACTIONS(3628),
    [anon_sym_AMP_EQ] = ACTIONS(3628),
    [anon_sym_PIPE_EQ] = ACTIONS(3628),
    [anon_sym_CARET_EQ] = ACTIONS(3628),
    [anon_sym_LT_LT_EQ] = ACTIONS(3628),
    [anon_sym_GT_GT_EQ] = ACTIONS(3628),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3628),
    [anon_sym_DOT_DOT] = ACTIONS(3640),
    [anon_sym_STAR_STAR] = ACTIONS(3642),
    [anon_sym_PIPE_PIPE] = ACTIONS(3644),
    [anon_sym_SLASH_SLASH] = ACTIONS(3644),
    [anon_sym_CARET_CARET] = ACTIONS(3646),
    [anon_sym_AMP_AMP] = ACTIONS(3648),
    [anon_sym_PIPE] = ACTIONS(3650),
    [anon_sym_CARET] = ACTIONS(3650),
    [anon_sym_AMP] = ACTIONS(3652),
    [anon_sym_GT_GT2] = ACTIONS(3638),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_DASH] = ACTIONS(3654),
    [anon_sym_DOT] = ACTIONS(3654),
    [anon_sym_STAR] = ACTIONS(3634),
    [anon_sym_SLASH] = ACTIONS(3634),
    [anon_sym_x] = ACTIONS(3634),
    [anon_sym_EQ_TILDE] = ACTIONS(3656),
    [anon_sym_BANG_TILDE] = ACTIONS(3656),
    [anon_sym_EQ_EQ] = ACTIONS(3658),
    [anon_sym_BANG_EQ] = ACTIONS(3660),
    [anon_sym_eq] = ACTIONS(3658),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3660),
    [anon_sym_equ] = ACTIONS(3660),
    [anon_sym_eqr] = ACTIONS(3660),
    [anon_sym_ne] = ACTIONS(3660),
    [anon_sym_LT_EQ_GT] = ACTIONS(3662),
    [anon_sym_cmp] = ACTIONS(3662),
    [anon_sym_TILDE_TILDE] = ACTIONS(3662),
    [anon_sym_LT] = ACTIONS(3636),
    [anon_sym_LT_EQ] = ACTIONS(3636),
    [anon_sym_GT_EQ] = ACTIONS(3664),
    [anon_sym_lt] = ACTIONS(3664),
    [anon_sym_le] = ACTIONS(3664),
    [anon_sym_ge] = ACTIONS(3664),
    [anon_sym_gt] = ACTIONS(3664),
    [anon_sym_isa] = ACTIONS(3666),
    [anon_sym_PLUS_PLUS] = ACTIONS(3668),
    [anon_sym_DASH_DASH] = ACTIONS(3668),
    [anon_sym_QMARK] = ACTIONS(3670),
    [anon_sym_PERCENT2] = ACTIONS(3723),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2016] = {
    [sym_heredoc_content] = STATE(2016),
    [anon_sym_RBRACE] = ACTIONS(2704),
    [anon_sym_COLON] = ACTIONS(2704),
    [anon_sym_EQ] = ACTIONS(2706),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2704),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2704),
    [anon_sym_COMMA] = ACTIONS(2704),
    [anon_sym_RPAREN] = ACTIONS(2704),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2704),
    [anon_sym_DASH_GT] = ACTIONS(2704),
    [anon_sym_PERCENT] = ACTIONS(2706),
    [anon_sym_GT] = ACTIONS(2706),
    [anon_sym_LT_LT] = ACTIONS(2706),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2704),
    [anon_sym_PLUS_EQ] = ACTIONS(2704),
    [anon_sym_DASH_EQ] = ACTIONS(2704),
    [anon_sym_DOT_EQ] = ACTIONS(2704),
    [anon_sym_STAR_EQ] = ACTIONS(2704),
    [anon_sym_SLASH_EQ] = ACTIONS(2704),
    [anon_sym_PERCENT_EQ] = ACTIONS(2704),
    [anon_sym_x_EQ] = ACTIONS(2704),
    [anon_sym_AMP_EQ] = ACTIONS(2704),
    [anon_sym_PIPE_EQ] = ACTIONS(2704),
    [anon_sym_CARET_EQ] = ACTIONS(2704),
    [anon_sym_LT_LT_EQ] = ACTIONS(2704),
    [anon_sym_GT_GT_EQ] = ACTIONS(2704),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2704),
    [anon_sym_DOT_DOT] = ACTIONS(2706),
    [anon_sym_STAR_STAR] = ACTIONS(2706),
    [anon_sym_PIPE_PIPE] = ACTIONS(2706),
    [anon_sym_SLASH_SLASH] = ACTIONS(2706),
    [anon_sym_CARET_CARET] = ACTIONS(2704),
    [anon_sym_AMP_AMP] = ACTIONS(2706),
    [anon_sym_PIPE] = ACTIONS(2706),
    [anon_sym_CARET] = ACTIONS(2706),
    [anon_sym_AMP] = ACTIONS(2706),
    [anon_sym_GT_GT2] = ACTIONS(2706),
    [anon_sym_PLUS] = ACTIONS(2706),
    [anon_sym_DASH] = ACTIONS(2706),
    [anon_sym_DOT] = ACTIONS(2706),
    [anon_sym_STAR] = ACTIONS(2706),
    [anon_sym_SLASH] = ACTIONS(2706),
    [anon_sym_x] = ACTIONS(2706),
    [anon_sym_EQ_TILDE] = ACTIONS(2704),
    [anon_sym_BANG_TILDE] = ACTIONS(2704),
    [anon_sym_EQ_EQ] = ACTIONS(2706),
    [anon_sym_BANG_EQ] = ACTIONS(2704),
    [anon_sym_eq] = ACTIONS(2706),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2704),
    [anon_sym_equ] = ACTIONS(2704),
    [anon_sym_eqr] = ACTIONS(2704),
    [anon_sym_ne] = ACTIONS(2704),
    [anon_sym_LT_EQ_GT] = ACTIONS(2704),
    [anon_sym_cmp] = ACTIONS(2706),
    [anon_sym_TILDE_TILDE] = ACTIONS(2704),
    [anon_sym_LT] = ACTIONS(2706),
    [anon_sym_LT_EQ] = ACTIONS(2706),
    [anon_sym_GT_EQ] = ACTIONS(2704),
    [anon_sym_lt] = ACTIONS(2704),
    [anon_sym_le] = ACTIONS(2704),
    [anon_sym_ge] = ACTIONS(2704),
    [anon_sym_gt] = ACTIONS(2704),
    [anon_sym_isa] = ACTIONS(2704),
    [anon_sym_PLUS_PLUS] = ACTIONS(2704),
    [anon_sym_DASH_DASH] = ACTIONS(2704),
    [anon_sym_QMARK] = ACTIONS(2704),
    [anon_sym_EQ_GT] = ACTIONS(2704),
    [sym_comment] = ACTIONS(5),
    [sym_transliteration_modifiers] = ACTIONS(3725),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2017] = {
    [sym_heredoc_content] = STATE(2017),
    [anon_sym_RBRACE] = ACTIONS(2634),
    [anon_sym_COLON] = ACTIONS(2634),
    [anon_sym_EQ] = ACTIONS(2636),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2634),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2634),
    [anon_sym_COMMA] = ACTIONS(2634),
    [anon_sym_RPAREN] = ACTIONS(2634),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2634),
    [anon_sym_DASH_GT] = ACTIONS(2634),
    [anon_sym_PERCENT] = ACTIONS(2636),
    [anon_sym_GT] = ACTIONS(2636),
    [anon_sym_LT_LT] = ACTIONS(2636),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2634),
    [anon_sym_PLUS_EQ] = ACTIONS(2634),
    [anon_sym_DASH_EQ] = ACTIONS(2634),
    [anon_sym_DOT_EQ] = ACTIONS(2634),
    [anon_sym_STAR_EQ] = ACTIONS(2634),
    [anon_sym_SLASH_EQ] = ACTIONS(2634),
    [anon_sym_PERCENT_EQ] = ACTIONS(2634),
    [anon_sym_x_EQ] = ACTIONS(2636),
    [anon_sym_AMP_EQ] = ACTIONS(2634),
    [anon_sym_PIPE_EQ] = ACTIONS(2634),
    [anon_sym_CARET_EQ] = ACTIONS(2634),
    [anon_sym_LT_LT_EQ] = ACTIONS(2634),
    [anon_sym_GT_GT_EQ] = ACTIONS(2634),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2634),
    [anon_sym_DOT_DOT] = ACTIONS(2636),
    [anon_sym_STAR_STAR] = ACTIONS(2636),
    [anon_sym_PIPE_PIPE] = ACTIONS(2636),
    [anon_sym_SLASH_SLASH] = ACTIONS(2636),
    [anon_sym_CARET_CARET] = ACTIONS(2634),
    [anon_sym_AMP_AMP] = ACTIONS(2636),
    [anon_sym_PIPE] = ACTIONS(2636),
    [anon_sym_CARET] = ACTIONS(2636),
    [anon_sym_AMP] = ACTIONS(2636),
    [anon_sym_GT_GT2] = ACTIONS(2636),
    [anon_sym_PLUS] = ACTIONS(2636),
    [anon_sym_DASH] = ACTIONS(2636),
    [anon_sym_DOT] = ACTIONS(2636),
    [anon_sym_STAR] = ACTIONS(2636),
    [anon_sym_SLASH] = ACTIONS(2636),
    [anon_sym_x] = ACTIONS(2636),
    [anon_sym_EQ_TILDE] = ACTIONS(2634),
    [anon_sym_BANG_TILDE] = ACTIONS(2634),
    [anon_sym_EQ_EQ] = ACTIONS(2636),
    [anon_sym_BANG_EQ] = ACTIONS(2634),
    [anon_sym_eq] = ACTIONS(2636),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2634),
    [anon_sym_equ] = ACTIONS(2634),
    [anon_sym_eqr] = ACTIONS(2634),
    [anon_sym_ne] = ACTIONS(2636),
    [anon_sym_LT_EQ_GT] = ACTIONS(2634),
    [anon_sym_cmp] = ACTIONS(2636),
    [anon_sym_TILDE_TILDE] = ACTIONS(2634),
    [anon_sym_LT] = ACTIONS(2636),
    [anon_sym_LT_EQ] = ACTIONS(2636),
    [anon_sym_GT_EQ] = ACTIONS(2634),
    [anon_sym_lt] = ACTIONS(2636),
    [anon_sym_le] = ACTIONS(2636),
    [anon_sym_ge] = ACTIONS(2636),
    [anon_sym_gt] = ACTIONS(2636),
    [anon_sym_isa] = ACTIONS(2636),
    [anon_sym_PLUS_PLUS] = ACTIONS(2634),
    [anon_sym_DASH_DASH] = ACTIONS(2634),
    [anon_sym_QMARK] = ACTIONS(2634),
    [anon_sym_EQ_GT] = ACTIONS(2634),
    [sym_comment] = ACTIONS(5),
    [sym_match_regexp_modifiers] = ACTIONS(3727),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2018] = {
    [sym_heredoc_content] = STATE(2018),
    [anon_sym_RBRACE] = ACTIONS(2730),
    [anon_sym_COLON] = ACTIONS(2730),
    [anon_sym_EQ] = ACTIONS(2732),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2730),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2730),
    [anon_sym_COMMA] = ACTIONS(2730),
    [anon_sym_RPAREN] = ACTIONS(2730),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2730),
    [anon_sym_LBRACK] = ACTIONS(3709),
    [anon_sym_DASH_GT] = ACTIONS(2730),
    [anon_sym_PERCENT] = ACTIONS(2732),
    [anon_sym_GT] = ACTIONS(2732),
    [anon_sym_LT_LT] = ACTIONS(2732),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2730),
    [anon_sym_PLUS_EQ] = ACTIONS(2730),
    [anon_sym_DASH_EQ] = ACTIONS(2730),
    [anon_sym_DOT_EQ] = ACTIONS(2730),
    [anon_sym_STAR_EQ] = ACTIONS(2730),
    [anon_sym_SLASH_EQ] = ACTIONS(2730),
    [anon_sym_PERCENT_EQ] = ACTIONS(2730),
    [anon_sym_x_EQ] = ACTIONS(2730),
    [anon_sym_AMP_EQ] = ACTIONS(2730),
    [anon_sym_PIPE_EQ] = ACTIONS(2730),
    [anon_sym_CARET_EQ] = ACTIONS(2730),
    [anon_sym_LT_LT_EQ] = ACTIONS(2730),
    [anon_sym_GT_GT_EQ] = ACTIONS(2730),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2730),
    [anon_sym_DOT_DOT] = ACTIONS(2732),
    [anon_sym_STAR_STAR] = ACTIONS(2732),
    [anon_sym_PIPE_PIPE] = ACTIONS(2732),
    [anon_sym_SLASH_SLASH] = ACTIONS(2732),
    [anon_sym_CARET_CARET] = ACTIONS(2730),
    [anon_sym_AMP_AMP] = ACTIONS(2732),
    [anon_sym_PIPE] = ACTIONS(2732),
    [anon_sym_CARET] = ACTIONS(2732),
    [anon_sym_AMP] = ACTIONS(2732),
    [anon_sym_GT_GT2] = ACTIONS(2732),
    [anon_sym_PLUS] = ACTIONS(2732),
    [anon_sym_DASH] = ACTIONS(2732),
    [anon_sym_DOT] = ACTIONS(2732),
    [anon_sym_STAR] = ACTIONS(2732),
    [anon_sym_SLASH] = ACTIONS(2732),
    [anon_sym_x] = ACTIONS(2732),
    [anon_sym_EQ_TILDE] = ACTIONS(2730),
    [anon_sym_BANG_TILDE] = ACTIONS(2730),
    [anon_sym_EQ_EQ] = ACTIONS(2732),
    [anon_sym_BANG_EQ] = ACTIONS(2730),
    [anon_sym_eq] = ACTIONS(2732),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2730),
    [anon_sym_equ] = ACTIONS(2730),
    [anon_sym_eqr] = ACTIONS(2730),
    [anon_sym_ne] = ACTIONS(2730),
    [anon_sym_LT_EQ_GT] = ACTIONS(2730),
    [anon_sym_cmp] = ACTIONS(2730),
    [anon_sym_TILDE_TILDE] = ACTIONS(2730),
    [anon_sym_LT] = ACTIONS(2732),
    [anon_sym_LT_EQ] = ACTIONS(2732),
    [anon_sym_GT_EQ] = ACTIONS(2730),
    [anon_sym_lt] = ACTIONS(2730),
    [anon_sym_le] = ACTIONS(2730),
    [anon_sym_ge] = ACTIONS(2730),
    [anon_sym_gt] = ACTIONS(2730),
    [anon_sym_isa] = ACTIONS(2730),
    [anon_sym_PLUS_PLUS] = ACTIONS(2730),
    [anon_sym_DASH_DASH] = ACTIONS(2730),
    [anon_sym_QMARK] = ACTIONS(2730),
    [anon_sym_EQ_GT] = ACTIONS(2730),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2019] = {
    [sym_heredoc_content] = STATE(2019),
    [anon_sym_LBRACE] = ACTIONS(2536),
    [anon_sym_SEMI] = ACTIONS(2538),
    [anon_sym_EQ] = ACTIONS(2540),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2538),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2538),
    [anon_sym_COMMA] = ACTIONS(2538),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2538),
    [anon_sym_LBRACK] = ACTIONS(2536),
    [anon_sym_DASH_GT] = ACTIONS(2538),
    [anon_sym_PERCENT] = ACTIONS(2540),
    [anon_sym_GT] = ACTIONS(2540),
    [anon_sym_LT_LT] = ACTIONS(2540),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2538),
    [anon_sym_PLUS_EQ] = ACTIONS(2538),
    [anon_sym_DASH_EQ] = ACTIONS(2538),
    [anon_sym_DOT_EQ] = ACTIONS(2538),
    [anon_sym_STAR_EQ] = ACTIONS(2538),
    [anon_sym_SLASH_EQ] = ACTIONS(2538),
    [anon_sym_PERCENT_EQ] = ACTIONS(2538),
    [anon_sym_x_EQ] = ACTIONS(2538),
    [anon_sym_AMP_EQ] = ACTIONS(2538),
    [anon_sym_PIPE_EQ] = ACTIONS(2538),
    [anon_sym_CARET_EQ] = ACTIONS(2538),
    [anon_sym_LT_LT_EQ] = ACTIONS(2538),
    [anon_sym_GT_GT_EQ] = ACTIONS(2538),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2538),
    [anon_sym_DOT_DOT] = ACTIONS(2540),
    [anon_sym_STAR_STAR] = ACTIONS(2540),
    [anon_sym_PIPE_PIPE] = ACTIONS(2540),
    [anon_sym_SLASH_SLASH] = ACTIONS(2540),
    [anon_sym_CARET_CARET] = ACTIONS(2538),
    [anon_sym_AMP_AMP] = ACTIONS(2540),
    [anon_sym_PIPE] = ACTIONS(2540),
    [anon_sym_CARET] = ACTIONS(2540),
    [anon_sym_AMP] = ACTIONS(2540),
    [anon_sym_GT_GT2] = ACTIONS(2540),
    [anon_sym_PLUS] = ACTIONS(2540),
    [anon_sym_DASH] = ACTIONS(2540),
    [anon_sym_DOT] = ACTIONS(2540),
    [anon_sym_STAR] = ACTIONS(2540),
    [anon_sym_SLASH] = ACTIONS(2540),
    [anon_sym_x] = ACTIONS(2540),
    [anon_sym_EQ_TILDE] = ACTIONS(2538),
    [anon_sym_BANG_TILDE] = ACTIONS(2538),
    [anon_sym_EQ_EQ] = ACTIONS(2540),
    [anon_sym_BANG_EQ] = ACTIONS(2538),
    [anon_sym_eq] = ACTIONS(2540),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2538),
    [anon_sym_equ] = ACTIONS(2538),
    [anon_sym_eqr] = ACTIONS(2538),
    [anon_sym_ne] = ACTIONS(2538),
    [anon_sym_LT_EQ_GT] = ACTIONS(2538),
    [anon_sym_cmp] = ACTIONS(2538),
    [anon_sym_TILDE_TILDE] = ACTIONS(2538),
    [anon_sym_LT] = ACTIONS(2540),
    [anon_sym_LT_EQ] = ACTIONS(2540),
    [anon_sym_GT_EQ] = ACTIONS(2538),
    [anon_sym_lt] = ACTIONS(2538),
    [anon_sym_le] = ACTIONS(2538),
    [anon_sym_ge] = ACTIONS(2538),
    [anon_sym_gt] = ACTIONS(2538),
    [anon_sym_isa] = ACTIONS(2538),
    [anon_sym_PLUS_PLUS] = ACTIONS(2538),
    [anon_sym_DASH_DASH] = ACTIONS(2538),
    [anon_sym_QMARK] = ACTIONS(2538),
    [anon_sym_EQ_GT] = ACTIONS(2538),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2538),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2020] = {
    [sym_heredoc_content] = STATE(2020),
    [anon_sym_RBRACE] = ACTIONS(2686),
    [anon_sym_COLON] = ACTIONS(2686),
    [anon_sym_EQ] = ACTIONS(2688),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2686),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2686),
    [anon_sym_COMMA] = ACTIONS(2686),
    [anon_sym_RPAREN] = ACTIONS(2686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2686),
    [anon_sym_DASH_GT] = ACTIONS(2686),
    [anon_sym_PERCENT] = ACTIONS(2688),
    [anon_sym_GT] = ACTIONS(2688),
    [anon_sym_LT_LT] = ACTIONS(2688),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2686),
    [anon_sym_PLUS_EQ] = ACTIONS(2686),
    [anon_sym_DASH_EQ] = ACTIONS(2686),
    [anon_sym_DOT_EQ] = ACTIONS(2686),
    [anon_sym_STAR_EQ] = ACTIONS(2686),
    [anon_sym_SLASH_EQ] = ACTIONS(2686),
    [anon_sym_PERCENT_EQ] = ACTIONS(2686),
    [anon_sym_x_EQ] = ACTIONS(2688),
    [anon_sym_AMP_EQ] = ACTIONS(2686),
    [anon_sym_PIPE_EQ] = ACTIONS(2686),
    [anon_sym_CARET_EQ] = ACTIONS(2686),
    [anon_sym_LT_LT_EQ] = ACTIONS(2686),
    [anon_sym_GT_GT_EQ] = ACTIONS(2686),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2686),
    [anon_sym_DOT_DOT] = ACTIONS(2688),
    [anon_sym_STAR_STAR] = ACTIONS(2688),
    [anon_sym_PIPE_PIPE] = ACTIONS(2688),
    [anon_sym_SLASH_SLASH] = ACTIONS(2688),
    [anon_sym_CARET_CARET] = ACTIONS(2686),
    [anon_sym_AMP_AMP] = ACTIONS(2688),
    [anon_sym_PIPE] = ACTIONS(2688),
    [anon_sym_CARET] = ACTIONS(2688),
    [anon_sym_AMP] = ACTIONS(2688),
    [anon_sym_GT_GT2] = ACTIONS(2688),
    [anon_sym_PLUS] = ACTIONS(2688),
    [anon_sym_DASH] = ACTIONS(2688),
    [anon_sym_DOT] = ACTIONS(2688),
    [anon_sym_STAR] = ACTIONS(2688),
    [anon_sym_SLASH] = ACTIONS(2688),
    [anon_sym_x] = ACTIONS(2688),
    [anon_sym_EQ_TILDE] = ACTIONS(2686),
    [anon_sym_BANG_TILDE] = ACTIONS(2686),
    [anon_sym_EQ_EQ] = ACTIONS(2688),
    [anon_sym_BANG_EQ] = ACTIONS(2686),
    [anon_sym_eq] = ACTIONS(2688),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2686),
    [anon_sym_equ] = ACTIONS(2688),
    [anon_sym_eqr] = ACTIONS(2688),
    [anon_sym_ne] = ACTIONS(2686),
    [anon_sym_LT_EQ_GT] = ACTIONS(2686),
    [anon_sym_cmp] = ACTIONS(2688),
    [anon_sym_TILDE_TILDE] = ACTIONS(2686),
    [anon_sym_LT] = ACTIONS(2688),
    [anon_sym_LT_EQ] = ACTIONS(2688),
    [anon_sym_GT_EQ] = ACTIONS(2686),
    [anon_sym_lt] = ACTIONS(2688),
    [anon_sym_le] = ACTIONS(2688),
    [anon_sym_ge] = ACTIONS(2688),
    [anon_sym_gt] = ACTIONS(2688),
    [anon_sym_isa] = ACTIONS(2688),
    [anon_sym_PLUS_PLUS] = ACTIONS(2686),
    [anon_sym_DASH_DASH] = ACTIONS(2686),
    [anon_sym_QMARK] = ACTIONS(2686),
    [anon_sym_EQ_GT] = ACTIONS(2686),
    [sym_comment] = ACTIONS(5),
    [sym_substitution_regexp_modifiers] = ACTIONS(3729),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2021] = {
    [sym_heredoc_content] = STATE(2021),
    [anon_sym_RBRACE] = ACTIONS(2648),
    [anon_sym_COLON] = ACTIONS(2648),
    [anon_sym_EQ] = ACTIONS(2650),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2648),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2648),
    [anon_sym_COMMA] = ACTIONS(2648),
    [anon_sym_RPAREN] = ACTIONS(2648),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2648),
    [anon_sym_LBRACK] = ACTIONS(2648),
    [anon_sym_DASH_GT] = ACTIONS(2648),
    [anon_sym_PERCENT] = ACTIONS(2650),
    [anon_sym_GT] = ACTIONS(2650),
    [anon_sym_LT_LT] = ACTIONS(2650),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2648),
    [anon_sym_PLUS_EQ] = ACTIONS(2648),
    [anon_sym_DASH_EQ] = ACTIONS(2648),
    [anon_sym_DOT_EQ] = ACTIONS(2648),
    [anon_sym_STAR_EQ] = ACTIONS(2648),
    [anon_sym_SLASH_EQ] = ACTIONS(2648),
    [anon_sym_PERCENT_EQ] = ACTIONS(2648),
    [anon_sym_x_EQ] = ACTIONS(2648),
    [anon_sym_AMP_EQ] = ACTIONS(2648),
    [anon_sym_PIPE_EQ] = ACTIONS(2648),
    [anon_sym_CARET_EQ] = ACTIONS(2648),
    [anon_sym_LT_LT_EQ] = ACTIONS(2648),
    [anon_sym_GT_GT_EQ] = ACTIONS(2648),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2648),
    [anon_sym_DOT_DOT] = ACTIONS(2650),
    [anon_sym_STAR_STAR] = ACTIONS(2650),
    [anon_sym_PIPE_PIPE] = ACTIONS(2650),
    [anon_sym_SLASH_SLASH] = ACTIONS(2650),
    [anon_sym_CARET_CARET] = ACTIONS(2648),
    [anon_sym_AMP_AMP] = ACTIONS(2650),
    [anon_sym_PIPE] = ACTIONS(2650),
    [anon_sym_CARET] = ACTIONS(2650),
    [anon_sym_AMP] = ACTIONS(2650),
    [anon_sym_GT_GT2] = ACTIONS(2650),
    [anon_sym_PLUS] = ACTIONS(2650),
    [anon_sym_DASH] = ACTIONS(2650),
    [anon_sym_DOT] = ACTIONS(2650),
    [anon_sym_STAR] = ACTIONS(2650),
    [anon_sym_SLASH] = ACTIONS(2650),
    [anon_sym_x] = ACTIONS(2650),
    [anon_sym_EQ_TILDE] = ACTIONS(2648),
    [anon_sym_BANG_TILDE] = ACTIONS(2648),
    [anon_sym_EQ_EQ] = ACTIONS(2650),
    [anon_sym_BANG_EQ] = ACTIONS(2648),
    [anon_sym_eq] = ACTIONS(2650),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2648),
    [anon_sym_equ] = ACTIONS(2648),
    [anon_sym_eqr] = ACTIONS(2648),
    [anon_sym_ne] = ACTIONS(2648),
    [anon_sym_LT_EQ_GT] = ACTIONS(2648),
    [anon_sym_cmp] = ACTIONS(2648),
    [anon_sym_TILDE_TILDE] = ACTIONS(2648),
    [anon_sym_LT] = ACTIONS(2650),
    [anon_sym_LT_EQ] = ACTIONS(2650),
    [anon_sym_GT_EQ] = ACTIONS(2648),
    [anon_sym_lt] = ACTIONS(2648),
    [anon_sym_le] = ACTIONS(2648),
    [anon_sym_ge] = ACTIONS(2648),
    [anon_sym_gt] = ACTIONS(2648),
    [anon_sym_isa] = ACTIONS(2648),
    [anon_sym_PLUS_PLUS] = ACTIONS(2648),
    [anon_sym_DASH_DASH] = ACTIONS(2648),
    [anon_sym_QMARK] = ACTIONS(2648),
    [anon_sym_EQ_GT] = ACTIONS(2648),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2022] = {
    [sym_heredoc_content] = STATE(2022),
    [anon_sym_RBRACE] = ACTIONS(2664),
    [anon_sym_COLON] = ACTIONS(2664),
    [anon_sym_EQ] = ACTIONS(2666),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2664),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2664),
    [anon_sym_COMMA] = ACTIONS(2664),
    [anon_sym_RPAREN] = ACTIONS(2664),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2664),
    [anon_sym_DASH_GT] = ACTIONS(2664),
    [anon_sym_PERCENT] = ACTIONS(2666),
    [anon_sym_GT] = ACTIONS(2666),
    [anon_sym_LT_LT] = ACTIONS(2666),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2664),
    [anon_sym_PLUS_EQ] = ACTIONS(2664),
    [anon_sym_DASH_EQ] = ACTIONS(2664),
    [anon_sym_DOT_EQ] = ACTIONS(2664),
    [anon_sym_STAR_EQ] = ACTIONS(2664),
    [anon_sym_SLASH_EQ] = ACTIONS(2664),
    [anon_sym_PERCENT_EQ] = ACTIONS(2664),
    [anon_sym_x_EQ] = ACTIONS(2666),
    [anon_sym_AMP_EQ] = ACTIONS(2664),
    [anon_sym_PIPE_EQ] = ACTIONS(2664),
    [anon_sym_CARET_EQ] = ACTIONS(2664),
    [anon_sym_LT_LT_EQ] = ACTIONS(2664),
    [anon_sym_GT_GT_EQ] = ACTIONS(2664),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2664),
    [anon_sym_DOT_DOT] = ACTIONS(2666),
    [anon_sym_STAR_STAR] = ACTIONS(2666),
    [anon_sym_PIPE_PIPE] = ACTIONS(2666),
    [anon_sym_SLASH_SLASH] = ACTIONS(2666),
    [anon_sym_CARET_CARET] = ACTIONS(2664),
    [anon_sym_AMP_AMP] = ACTIONS(2666),
    [anon_sym_PIPE] = ACTIONS(2666),
    [anon_sym_CARET] = ACTIONS(2666),
    [anon_sym_AMP] = ACTIONS(2666),
    [anon_sym_GT_GT2] = ACTIONS(2666),
    [anon_sym_PLUS] = ACTIONS(2666),
    [anon_sym_DASH] = ACTIONS(2666),
    [anon_sym_DOT] = ACTIONS(2666),
    [anon_sym_STAR] = ACTIONS(2666),
    [anon_sym_SLASH] = ACTIONS(2666),
    [anon_sym_x] = ACTIONS(2666),
    [anon_sym_EQ_TILDE] = ACTIONS(2664),
    [anon_sym_BANG_TILDE] = ACTIONS(2664),
    [anon_sym_EQ_EQ] = ACTIONS(2666),
    [anon_sym_BANG_EQ] = ACTIONS(2664),
    [anon_sym_eq] = ACTIONS(2666),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2664),
    [anon_sym_equ] = ACTIONS(2664),
    [anon_sym_eqr] = ACTIONS(2664),
    [anon_sym_ne] = ACTIONS(2666),
    [anon_sym_LT_EQ_GT] = ACTIONS(2664),
    [anon_sym_cmp] = ACTIONS(2664),
    [anon_sym_TILDE_TILDE] = ACTIONS(2664),
    [anon_sym_LT] = ACTIONS(2666),
    [anon_sym_LT_EQ] = ACTIONS(2666),
    [anon_sym_GT_EQ] = ACTIONS(2664),
    [anon_sym_lt] = ACTIONS(2666),
    [anon_sym_le] = ACTIONS(2666),
    [anon_sym_ge] = ACTIONS(2664),
    [anon_sym_gt] = ACTIONS(2664),
    [anon_sym_isa] = ACTIONS(2666),
    [anon_sym_PLUS_PLUS] = ACTIONS(2664),
    [anon_sym_DASH_DASH] = ACTIONS(2664),
    [anon_sym_QMARK] = ACTIONS(2664),
    [anon_sym_EQ_GT] = ACTIONS(2664),
    [sym_comment] = ACTIONS(5),
    [sym_quoted_regexp_modifiers] = ACTIONS(3731),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2023] = {
    [sym_heredoc_content] = STATE(2023),
    [anon_sym_RBRACE] = ACTIONS(2674),
    [anon_sym_COLON] = ACTIONS(2674),
    [anon_sym_EQ] = ACTIONS(2676),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2674),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2674),
    [anon_sym_COMMA] = ACTIONS(2674),
    [anon_sym_RPAREN] = ACTIONS(2674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2674),
    [anon_sym_DASH_GT] = ACTIONS(2674),
    [anon_sym_PERCENT] = ACTIONS(2676),
    [anon_sym_GT] = ACTIONS(2676),
    [anon_sym_LT_LT] = ACTIONS(2676),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2674),
    [anon_sym_PLUS_EQ] = ACTIONS(2674),
    [anon_sym_DASH_EQ] = ACTIONS(2674),
    [anon_sym_DOT_EQ] = ACTIONS(2674),
    [anon_sym_STAR_EQ] = ACTIONS(2674),
    [anon_sym_SLASH_EQ] = ACTIONS(2674),
    [anon_sym_PERCENT_EQ] = ACTIONS(2674),
    [anon_sym_x_EQ] = ACTIONS(2676),
    [anon_sym_AMP_EQ] = ACTIONS(2674),
    [anon_sym_PIPE_EQ] = ACTIONS(2674),
    [anon_sym_CARET_EQ] = ACTIONS(2674),
    [anon_sym_LT_LT_EQ] = ACTIONS(2674),
    [anon_sym_GT_GT_EQ] = ACTIONS(2674),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2674),
    [anon_sym_DOT_DOT] = ACTIONS(2676),
    [anon_sym_STAR_STAR] = ACTIONS(2676),
    [anon_sym_PIPE_PIPE] = ACTIONS(2676),
    [anon_sym_SLASH_SLASH] = ACTIONS(2676),
    [anon_sym_CARET_CARET] = ACTIONS(2674),
    [anon_sym_AMP_AMP] = ACTIONS(2676),
    [anon_sym_PIPE] = ACTIONS(2676),
    [anon_sym_CARET] = ACTIONS(2676),
    [anon_sym_AMP] = ACTIONS(2676),
    [anon_sym_GT_GT2] = ACTIONS(2676),
    [anon_sym_PLUS] = ACTIONS(2676),
    [anon_sym_DASH] = ACTIONS(2676),
    [anon_sym_DOT] = ACTIONS(2676),
    [anon_sym_STAR] = ACTIONS(2676),
    [anon_sym_SLASH] = ACTIONS(2676),
    [anon_sym_x] = ACTIONS(2676),
    [anon_sym_EQ_TILDE] = ACTIONS(2674),
    [anon_sym_BANG_TILDE] = ACTIONS(2674),
    [anon_sym_EQ_EQ] = ACTIONS(2676),
    [anon_sym_BANG_EQ] = ACTIONS(2674),
    [anon_sym_eq] = ACTIONS(2676),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2674),
    [anon_sym_equ] = ACTIONS(2674),
    [anon_sym_eqr] = ACTIONS(2674),
    [anon_sym_ne] = ACTIONS(2676),
    [anon_sym_LT_EQ_GT] = ACTIONS(2674),
    [anon_sym_cmp] = ACTIONS(2676),
    [anon_sym_TILDE_TILDE] = ACTIONS(2674),
    [anon_sym_LT] = ACTIONS(2676),
    [anon_sym_LT_EQ] = ACTIONS(2676),
    [anon_sym_GT_EQ] = ACTIONS(2674),
    [anon_sym_lt] = ACTIONS(2676),
    [anon_sym_le] = ACTIONS(2676),
    [anon_sym_ge] = ACTIONS(2676),
    [anon_sym_gt] = ACTIONS(2676),
    [anon_sym_isa] = ACTIONS(2676),
    [anon_sym_PLUS_PLUS] = ACTIONS(2674),
    [anon_sym_DASH_DASH] = ACTIONS(2674),
    [anon_sym_QMARK] = ACTIONS(2674),
    [anon_sym_EQ_GT] = ACTIONS(2674),
    [sym_comment] = ACTIONS(5),
    [sym_match_regexp_modifiers] = ACTIONS(3733),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2024] = {
    [sym_heredoc_content] = STATE(2024),
    [anon_sym_RBRACE] = ACTIONS(2710),
    [anon_sym_COLON] = ACTIONS(2710),
    [anon_sym_EQ] = ACTIONS(2712),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2710),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2710),
    [anon_sym_COMMA] = ACTIONS(2710),
    [anon_sym_RPAREN] = ACTIONS(2710),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2710),
    [anon_sym_DASH_GT] = ACTIONS(2710),
    [anon_sym_PERCENT] = ACTIONS(2712),
    [anon_sym_GT] = ACTIONS(2712),
    [anon_sym_LT_LT] = ACTIONS(2712),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2710),
    [anon_sym_PLUS_EQ] = ACTIONS(2710),
    [anon_sym_DASH_EQ] = ACTIONS(2710),
    [anon_sym_DOT_EQ] = ACTIONS(2710),
    [anon_sym_STAR_EQ] = ACTIONS(2710),
    [anon_sym_SLASH_EQ] = ACTIONS(2710),
    [anon_sym_PERCENT_EQ] = ACTIONS(2710),
    [anon_sym_x_EQ] = ACTIONS(2712),
    [anon_sym_AMP_EQ] = ACTIONS(2710),
    [anon_sym_PIPE_EQ] = ACTIONS(2710),
    [anon_sym_CARET_EQ] = ACTIONS(2710),
    [anon_sym_LT_LT_EQ] = ACTIONS(2710),
    [anon_sym_GT_GT_EQ] = ACTIONS(2710),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2710),
    [anon_sym_DOT_DOT] = ACTIONS(2712),
    [anon_sym_STAR_STAR] = ACTIONS(2712),
    [anon_sym_PIPE_PIPE] = ACTIONS(2712),
    [anon_sym_SLASH_SLASH] = ACTIONS(2712),
    [anon_sym_CARET_CARET] = ACTIONS(2710),
    [anon_sym_AMP_AMP] = ACTIONS(2712),
    [anon_sym_PIPE] = ACTIONS(2712),
    [anon_sym_CARET] = ACTIONS(2712),
    [anon_sym_AMP] = ACTIONS(2712),
    [anon_sym_GT_GT2] = ACTIONS(2712),
    [anon_sym_PLUS] = ACTIONS(2712),
    [anon_sym_DASH] = ACTIONS(2712),
    [anon_sym_DOT] = ACTIONS(2712),
    [anon_sym_STAR] = ACTIONS(2712),
    [anon_sym_SLASH] = ACTIONS(2712),
    [anon_sym_x] = ACTIONS(2712),
    [anon_sym_EQ_TILDE] = ACTIONS(2710),
    [anon_sym_BANG_TILDE] = ACTIONS(2710),
    [anon_sym_EQ_EQ] = ACTIONS(2712),
    [anon_sym_BANG_EQ] = ACTIONS(2710),
    [anon_sym_eq] = ACTIONS(2712),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2710),
    [anon_sym_equ] = ACTIONS(2712),
    [anon_sym_eqr] = ACTIONS(2712),
    [anon_sym_ne] = ACTIONS(2710),
    [anon_sym_LT_EQ_GT] = ACTIONS(2710),
    [anon_sym_cmp] = ACTIONS(2712),
    [anon_sym_TILDE_TILDE] = ACTIONS(2710),
    [anon_sym_LT] = ACTIONS(2712),
    [anon_sym_LT_EQ] = ACTIONS(2712),
    [anon_sym_GT_EQ] = ACTIONS(2710),
    [anon_sym_lt] = ACTIONS(2712),
    [anon_sym_le] = ACTIONS(2712),
    [anon_sym_ge] = ACTIONS(2712),
    [anon_sym_gt] = ACTIONS(2712),
    [anon_sym_isa] = ACTIONS(2712),
    [anon_sym_PLUS_PLUS] = ACTIONS(2710),
    [anon_sym_DASH_DASH] = ACTIONS(2710),
    [anon_sym_QMARK] = ACTIONS(2710),
    [anon_sym_EQ_GT] = ACTIONS(2710),
    [sym_comment] = ACTIONS(5),
    [sym_substitution_regexp_modifiers] = ACTIONS(3735),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2025] = {
    [sym_heredoc_content] = STATE(2025),
    [anon_sym_RBRACE] = ACTIONS(2781),
    [anon_sym_COLON] = ACTIONS(2781),
    [anon_sym_EQ] = ACTIONS(2783),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2781),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2781),
    [anon_sym_COMMA] = ACTIONS(2781),
    [anon_sym_RPAREN] = ACTIONS(2781),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2781),
    [anon_sym_DASH_GT] = ACTIONS(2781),
    [anon_sym_PERCENT] = ACTIONS(2783),
    [anon_sym_GT] = ACTIONS(2783),
    [anon_sym_LT_LT] = ACTIONS(2783),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2781),
    [anon_sym_PLUS_EQ] = ACTIONS(2781),
    [anon_sym_DASH_EQ] = ACTIONS(2781),
    [anon_sym_DOT_EQ] = ACTIONS(2781),
    [anon_sym_STAR_EQ] = ACTIONS(2781),
    [anon_sym_SLASH_EQ] = ACTIONS(2781),
    [anon_sym_PERCENT_EQ] = ACTIONS(2781),
    [anon_sym_x_EQ] = ACTIONS(2783),
    [anon_sym_AMP_EQ] = ACTIONS(2781),
    [anon_sym_PIPE_EQ] = ACTIONS(2781),
    [anon_sym_CARET_EQ] = ACTIONS(2781),
    [anon_sym_LT_LT_EQ] = ACTIONS(2781),
    [anon_sym_GT_GT_EQ] = ACTIONS(2781),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2781),
    [anon_sym_DOT_DOT] = ACTIONS(2783),
    [anon_sym_STAR_STAR] = ACTIONS(2783),
    [anon_sym_PIPE_PIPE] = ACTIONS(2783),
    [anon_sym_SLASH_SLASH] = ACTIONS(2783),
    [anon_sym_CARET_CARET] = ACTIONS(2781),
    [anon_sym_AMP_AMP] = ACTIONS(2783),
    [anon_sym_PIPE] = ACTIONS(2783),
    [anon_sym_CARET] = ACTIONS(2783),
    [anon_sym_AMP] = ACTIONS(2783),
    [anon_sym_GT_GT2] = ACTIONS(2783),
    [anon_sym_PLUS] = ACTIONS(2783),
    [anon_sym_DASH] = ACTIONS(2783),
    [anon_sym_DOT] = ACTIONS(2783),
    [anon_sym_STAR] = ACTIONS(2783),
    [anon_sym_SLASH] = ACTIONS(2783),
    [anon_sym_x] = ACTIONS(2783),
    [anon_sym_EQ_TILDE] = ACTIONS(2781),
    [anon_sym_BANG_TILDE] = ACTIONS(2781),
    [anon_sym_EQ_EQ] = ACTIONS(2783),
    [anon_sym_BANG_EQ] = ACTIONS(2781),
    [anon_sym_eq] = ACTIONS(2783),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2781),
    [anon_sym_equ] = ACTIONS(2781),
    [anon_sym_eqr] = ACTIONS(2781),
    [anon_sym_ne] = ACTIONS(2783),
    [anon_sym_LT_EQ_GT] = ACTIONS(2781),
    [anon_sym_cmp] = ACTIONS(2783),
    [anon_sym_TILDE_TILDE] = ACTIONS(2781),
    [anon_sym_LT] = ACTIONS(2783),
    [anon_sym_LT_EQ] = ACTIONS(2783),
    [anon_sym_GT_EQ] = ACTIONS(2781),
    [anon_sym_lt] = ACTIONS(2783),
    [anon_sym_le] = ACTIONS(2783),
    [anon_sym_ge] = ACTIONS(2783),
    [anon_sym_gt] = ACTIONS(2783),
    [anon_sym_isa] = ACTIONS(2783),
    [anon_sym_PLUS_PLUS] = ACTIONS(2781),
    [anon_sym_DASH_DASH] = ACTIONS(2781),
    [anon_sym_QMARK] = ACTIONS(2781),
    [anon_sym_EQ_GT] = ACTIONS(2781),
    [sym_comment] = ACTIONS(5),
    [sym_match_regexp_modifiers] = ACTIONS(3737),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2026] = {
    [sym_heredoc_content] = STATE(2026),
    [anon_sym_RBRACE] = ACTIONS(2680),
    [anon_sym_COLON] = ACTIONS(2680),
    [anon_sym_EQ] = ACTIONS(2682),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2680),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2680),
    [anon_sym_COMMA] = ACTIONS(2680),
    [anon_sym_RPAREN] = ACTIONS(2680),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2680),
    [anon_sym_LBRACK] = ACTIONS(3715),
    [anon_sym_DASH_GT] = ACTIONS(2680),
    [anon_sym_PERCENT] = ACTIONS(2682),
    [anon_sym_GT] = ACTIONS(2682),
    [anon_sym_LT_LT] = ACTIONS(2682),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2680),
    [anon_sym_PLUS_EQ] = ACTIONS(2680),
    [anon_sym_DASH_EQ] = ACTIONS(2680),
    [anon_sym_DOT_EQ] = ACTIONS(2680),
    [anon_sym_STAR_EQ] = ACTIONS(2680),
    [anon_sym_SLASH_EQ] = ACTIONS(2680),
    [anon_sym_PERCENT_EQ] = ACTIONS(2680),
    [anon_sym_x_EQ] = ACTIONS(2680),
    [anon_sym_AMP_EQ] = ACTIONS(2680),
    [anon_sym_PIPE_EQ] = ACTIONS(2680),
    [anon_sym_CARET_EQ] = ACTIONS(2680),
    [anon_sym_LT_LT_EQ] = ACTIONS(2680),
    [anon_sym_GT_GT_EQ] = ACTIONS(2680),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2680),
    [anon_sym_DOT_DOT] = ACTIONS(2682),
    [anon_sym_STAR_STAR] = ACTIONS(2682),
    [anon_sym_PIPE_PIPE] = ACTIONS(2682),
    [anon_sym_SLASH_SLASH] = ACTIONS(2682),
    [anon_sym_CARET_CARET] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(2682),
    [anon_sym_PIPE] = ACTIONS(2682),
    [anon_sym_CARET] = ACTIONS(2682),
    [anon_sym_AMP] = ACTIONS(2682),
    [anon_sym_GT_GT2] = ACTIONS(2682),
    [anon_sym_PLUS] = ACTIONS(2682),
    [anon_sym_DASH] = ACTIONS(2682),
    [anon_sym_DOT] = ACTIONS(2682),
    [anon_sym_STAR] = ACTIONS(2682),
    [anon_sym_SLASH] = ACTIONS(2682),
    [anon_sym_x] = ACTIONS(2682),
    [anon_sym_EQ_TILDE] = ACTIONS(2680),
    [anon_sym_BANG_TILDE] = ACTIONS(2680),
    [anon_sym_EQ_EQ] = ACTIONS(2682),
    [anon_sym_BANG_EQ] = ACTIONS(2680),
    [anon_sym_eq] = ACTIONS(2682),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2680),
    [anon_sym_equ] = ACTIONS(2680),
    [anon_sym_eqr] = ACTIONS(2680),
    [anon_sym_ne] = ACTIONS(2680),
    [anon_sym_LT_EQ_GT] = ACTIONS(2680),
    [anon_sym_cmp] = ACTIONS(2680),
    [anon_sym_TILDE_TILDE] = ACTIONS(2680),
    [anon_sym_LT] = ACTIONS(2682),
    [anon_sym_LT_EQ] = ACTIONS(2682),
    [anon_sym_GT_EQ] = ACTIONS(2680),
    [anon_sym_lt] = ACTIONS(2680),
    [anon_sym_le] = ACTIONS(2680),
    [anon_sym_ge] = ACTIONS(2680),
    [anon_sym_gt] = ACTIONS(2680),
    [anon_sym_isa] = ACTIONS(2680),
    [anon_sym_PLUS_PLUS] = ACTIONS(2680),
    [anon_sym_DASH_DASH] = ACTIONS(2680),
    [anon_sym_QMARK] = ACTIONS(2680),
    [anon_sym_EQ_GT] = ACTIONS(2680),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2027] = {
    [sym_heredoc_content] = STATE(2027),
    [anon_sym_RBRACE] = ACTIONS(2692),
    [anon_sym_COLON] = ACTIONS(2692),
    [anon_sym_EQ] = ACTIONS(2694),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2692),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2692),
    [anon_sym_COMMA] = ACTIONS(2692),
    [anon_sym_RPAREN] = ACTIONS(2692),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2692),
    [anon_sym_DASH_GT] = ACTIONS(2692),
    [anon_sym_PERCENT] = ACTIONS(2694),
    [anon_sym_GT] = ACTIONS(2694),
    [anon_sym_LT_LT] = ACTIONS(2694),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2692),
    [anon_sym_PLUS_EQ] = ACTIONS(2692),
    [anon_sym_DASH_EQ] = ACTIONS(2692),
    [anon_sym_DOT_EQ] = ACTIONS(2692),
    [anon_sym_STAR_EQ] = ACTIONS(2692),
    [anon_sym_SLASH_EQ] = ACTIONS(2692),
    [anon_sym_PERCENT_EQ] = ACTIONS(2692),
    [anon_sym_x_EQ] = ACTIONS(2694),
    [anon_sym_AMP_EQ] = ACTIONS(2692),
    [anon_sym_PIPE_EQ] = ACTIONS(2692),
    [anon_sym_CARET_EQ] = ACTIONS(2692),
    [anon_sym_LT_LT_EQ] = ACTIONS(2692),
    [anon_sym_GT_GT_EQ] = ACTIONS(2692),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2692),
    [anon_sym_DOT_DOT] = ACTIONS(2694),
    [anon_sym_STAR_STAR] = ACTIONS(2694),
    [anon_sym_PIPE_PIPE] = ACTIONS(2694),
    [anon_sym_SLASH_SLASH] = ACTIONS(2694),
    [anon_sym_CARET_CARET] = ACTIONS(2692),
    [anon_sym_AMP_AMP] = ACTIONS(2694),
    [anon_sym_PIPE] = ACTIONS(2694),
    [anon_sym_CARET] = ACTIONS(2694),
    [anon_sym_AMP] = ACTIONS(2694),
    [anon_sym_GT_GT2] = ACTIONS(2694),
    [anon_sym_PLUS] = ACTIONS(2694),
    [anon_sym_DASH] = ACTIONS(2694),
    [anon_sym_DOT] = ACTIONS(2694),
    [anon_sym_STAR] = ACTIONS(2694),
    [anon_sym_SLASH] = ACTIONS(2694),
    [anon_sym_x] = ACTIONS(2694),
    [anon_sym_EQ_TILDE] = ACTIONS(2692),
    [anon_sym_BANG_TILDE] = ACTIONS(2692),
    [anon_sym_EQ_EQ] = ACTIONS(2694),
    [anon_sym_BANG_EQ] = ACTIONS(2692),
    [anon_sym_eq] = ACTIONS(2694),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2692),
    [anon_sym_equ] = ACTIONS(2694),
    [anon_sym_eqr] = ACTIONS(2694),
    [anon_sym_ne] = ACTIONS(2692),
    [anon_sym_LT_EQ_GT] = ACTIONS(2692),
    [anon_sym_cmp] = ACTIONS(2694),
    [anon_sym_TILDE_TILDE] = ACTIONS(2692),
    [anon_sym_LT] = ACTIONS(2694),
    [anon_sym_LT_EQ] = ACTIONS(2694),
    [anon_sym_GT_EQ] = ACTIONS(2692),
    [anon_sym_lt] = ACTIONS(2694),
    [anon_sym_le] = ACTIONS(2694),
    [anon_sym_ge] = ACTIONS(2694),
    [anon_sym_gt] = ACTIONS(2694),
    [anon_sym_isa] = ACTIONS(2694),
    [anon_sym_PLUS_PLUS] = ACTIONS(2692),
    [anon_sym_DASH_DASH] = ACTIONS(2692),
    [anon_sym_QMARK] = ACTIONS(2692),
    [anon_sym_EQ_GT] = ACTIONS(2692),
    [sym_comment] = ACTIONS(5),
    [sym_substitution_regexp_modifiers] = ACTIONS(3739),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2028] = {
    [sym_heredoc_content] = STATE(2028),
    [anon_sym_RBRACE] = ACTIONS(2750),
    [anon_sym_COLON] = ACTIONS(2750),
    [anon_sym_EQ] = ACTIONS(2752),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2750),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2750),
    [anon_sym_COMMA] = ACTIONS(2750),
    [anon_sym_RPAREN] = ACTIONS(2750),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2750),
    [anon_sym_LBRACK] = ACTIONS(2750),
    [anon_sym_DASH_GT] = ACTIONS(2750),
    [anon_sym_PERCENT] = ACTIONS(2752),
    [anon_sym_GT] = ACTIONS(2752),
    [anon_sym_LT_LT] = ACTIONS(2752),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2750),
    [anon_sym_PLUS_EQ] = ACTIONS(2750),
    [anon_sym_DASH_EQ] = ACTIONS(2750),
    [anon_sym_DOT_EQ] = ACTIONS(2750),
    [anon_sym_STAR_EQ] = ACTIONS(2750),
    [anon_sym_SLASH_EQ] = ACTIONS(2750),
    [anon_sym_PERCENT_EQ] = ACTIONS(2750),
    [anon_sym_x_EQ] = ACTIONS(2750),
    [anon_sym_AMP_EQ] = ACTIONS(2750),
    [anon_sym_PIPE_EQ] = ACTIONS(2750),
    [anon_sym_CARET_EQ] = ACTIONS(2750),
    [anon_sym_LT_LT_EQ] = ACTIONS(2750),
    [anon_sym_GT_GT_EQ] = ACTIONS(2750),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2750),
    [anon_sym_DOT_DOT] = ACTIONS(2752),
    [anon_sym_STAR_STAR] = ACTIONS(2752),
    [anon_sym_PIPE_PIPE] = ACTIONS(2752),
    [anon_sym_SLASH_SLASH] = ACTIONS(2752),
    [anon_sym_CARET_CARET] = ACTIONS(2750),
    [anon_sym_AMP_AMP] = ACTIONS(2752),
    [anon_sym_PIPE] = ACTIONS(2752),
    [anon_sym_CARET] = ACTIONS(2752),
    [anon_sym_AMP] = ACTIONS(2752),
    [anon_sym_GT_GT2] = ACTIONS(2752),
    [anon_sym_PLUS] = ACTIONS(2752),
    [anon_sym_DASH] = ACTIONS(2752),
    [anon_sym_DOT] = ACTIONS(2752),
    [anon_sym_STAR] = ACTIONS(2752),
    [anon_sym_SLASH] = ACTIONS(2752),
    [anon_sym_x] = ACTIONS(2752),
    [anon_sym_EQ_TILDE] = ACTIONS(2750),
    [anon_sym_BANG_TILDE] = ACTIONS(2750),
    [anon_sym_EQ_EQ] = ACTIONS(2752),
    [anon_sym_BANG_EQ] = ACTIONS(2750),
    [anon_sym_eq] = ACTIONS(2752),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2750),
    [anon_sym_equ] = ACTIONS(2750),
    [anon_sym_eqr] = ACTIONS(2750),
    [anon_sym_ne] = ACTIONS(2750),
    [anon_sym_LT_EQ_GT] = ACTIONS(2750),
    [anon_sym_cmp] = ACTIONS(2750),
    [anon_sym_TILDE_TILDE] = ACTIONS(2750),
    [anon_sym_LT] = ACTIONS(2752),
    [anon_sym_LT_EQ] = ACTIONS(2752),
    [anon_sym_GT_EQ] = ACTIONS(2750),
    [anon_sym_lt] = ACTIONS(2750),
    [anon_sym_le] = ACTIONS(2750),
    [anon_sym_ge] = ACTIONS(2750),
    [anon_sym_gt] = ACTIONS(2750),
    [anon_sym_isa] = ACTIONS(2750),
    [anon_sym_PLUS_PLUS] = ACTIONS(2750),
    [anon_sym_DASH_DASH] = ACTIONS(2750),
    [anon_sym_QMARK] = ACTIONS(2750),
    [anon_sym_EQ_GT] = ACTIONS(2750),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2029] = {
    [sym_heredoc_content] = STATE(2029),
    [anon_sym_RBRACE] = ACTIONS(2532),
    [anon_sym_COLON] = ACTIONS(2532),
    [anon_sym_EQ] = ACTIONS(2534),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2532),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2532),
    [anon_sym_COMMA] = ACTIONS(2532),
    [anon_sym_RPAREN] = ACTIONS(2532),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2532),
    [anon_sym_DASH_GT] = ACTIONS(2532),
    [anon_sym_PERCENT] = ACTIONS(2534),
    [anon_sym_GT] = ACTIONS(2534),
    [anon_sym_LT_LT] = ACTIONS(2534),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2532),
    [anon_sym_PLUS_EQ] = ACTIONS(2532),
    [anon_sym_DASH_EQ] = ACTIONS(2532),
    [anon_sym_DOT_EQ] = ACTIONS(2532),
    [anon_sym_STAR_EQ] = ACTIONS(2532),
    [anon_sym_SLASH_EQ] = ACTIONS(2532),
    [anon_sym_PERCENT_EQ] = ACTIONS(2532),
    [anon_sym_x_EQ] = ACTIONS(2534),
    [anon_sym_AMP_EQ] = ACTIONS(2532),
    [anon_sym_PIPE_EQ] = ACTIONS(2532),
    [anon_sym_CARET_EQ] = ACTIONS(2532),
    [anon_sym_LT_LT_EQ] = ACTIONS(2532),
    [anon_sym_GT_GT_EQ] = ACTIONS(2532),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2532),
    [anon_sym_DOT_DOT] = ACTIONS(2534),
    [anon_sym_STAR_STAR] = ACTIONS(2534),
    [anon_sym_PIPE_PIPE] = ACTIONS(2534),
    [anon_sym_SLASH_SLASH] = ACTIONS(2534),
    [anon_sym_CARET_CARET] = ACTIONS(2532),
    [anon_sym_AMP_AMP] = ACTIONS(2534),
    [anon_sym_PIPE] = ACTIONS(2534),
    [anon_sym_CARET] = ACTIONS(2534),
    [anon_sym_AMP] = ACTIONS(2534),
    [anon_sym_GT_GT2] = ACTIONS(2534),
    [anon_sym_PLUS] = ACTIONS(2534),
    [anon_sym_DASH] = ACTIONS(2534),
    [anon_sym_DOT] = ACTIONS(2534),
    [anon_sym_STAR] = ACTIONS(2534),
    [anon_sym_SLASH] = ACTIONS(2534),
    [anon_sym_x] = ACTIONS(2534),
    [anon_sym_EQ_TILDE] = ACTIONS(2532),
    [anon_sym_BANG_TILDE] = ACTIONS(2532),
    [anon_sym_EQ_EQ] = ACTIONS(2534),
    [anon_sym_BANG_EQ] = ACTIONS(2532),
    [anon_sym_eq] = ACTIONS(2534),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2532),
    [anon_sym_equ] = ACTIONS(2532),
    [anon_sym_eqr] = ACTIONS(2532),
    [anon_sym_ne] = ACTIONS(2534),
    [anon_sym_LT_EQ_GT] = ACTIONS(2532),
    [anon_sym_cmp] = ACTIONS(2534),
    [anon_sym_TILDE_TILDE] = ACTIONS(2532),
    [anon_sym_LT] = ACTIONS(2534),
    [anon_sym_LT_EQ] = ACTIONS(2534),
    [anon_sym_GT_EQ] = ACTIONS(2532),
    [anon_sym_lt] = ACTIONS(2534),
    [anon_sym_le] = ACTIONS(2534),
    [anon_sym_ge] = ACTIONS(2534),
    [anon_sym_gt] = ACTIONS(2534),
    [anon_sym_isa] = ACTIONS(2534),
    [anon_sym_PLUS_PLUS] = ACTIONS(2532),
    [anon_sym_DASH_DASH] = ACTIONS(2532),
    [anon_sym_QMARK] = ACTIONS(2532),
    [anon_sym_EQ_GT] = ACTIONS(2532),
    [sym_comment] = ACTIONS(5),
    [sym_match_regexp_modifiers] = ACTIONS(2532),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2030] = {
    [sym_heredoc_content] = STATE(2030),
    [anon_sym_RBRACE] = ACTIONS(2660),
    [anon_sym_COLON] = ACTIONS(2660),
    [anon_sym_EQ] = ACTIONS(2662),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2660),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2660),
    [anon_sym_COMMA] = ACTIONS(2660),
    [anon_sym_RPAREN] = ACTIONS(2660),
    [anon_sym_LPAREN] = ACTIONS(3697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2660),
    [anon_sym_DASH_GT] = ACTIONS(2660),
    [anon_sym_PERCENT] = ACTIONS(2662),
    [anon_sym_GT] = ACTIONS(2662),
    [anon_sym_LT_LT] = ACTIONS(2662),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2660),
    [anon_sym_PLUS_EQ] = ACTIONS(2660),
    [anon_sym_DASH_EQ] = ACTIONS(2660),
    [anon_sym_DOT_EQ] = ACTIONS(2660),
    [anon_sym_STAR_EQ] = ACTIONS(2660),
    [anon_sym_SLASH_EQ] = ACTIONS(2660),
    [anon_sym_PERCENT_EQ] = ACTIONS(2660),
    [anon_sym_x_EQ] = ACTIONS(2660),
    [anon_sym_AMP_EQ] = ACTIONS(2660),
    [anon_sym_PIPE_EQ] = ACTIONS(2660),
    [anon_sym_CARET_EQ] = ACTIONS(2660),
    [anon_sym_LT_LT_EQ] = ACTIONS(2660),
    [anon_sym_GT_GT_EQ] = ACTIONS(2660),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2660),
    [anon_sym_DOT_DOT] = ACTIONS(2662),
    [anon_sym_STAR_STAR] = ACTIONS(2662),
    [anon_sym_PIPE_PIPE] = ACTIONS(2662),
    [anon_sym_SLASH_SLASH] = ACTIONS(2662),
    [anon_sym_CARET_CARET] = ACTIONS(2660),
    [anon_sym_AMP_AMP] = ACTIONS(2662),
    [anon_sym_PIPE] = ACTIONS(2662),
    [anon_sym_CARET] = ACTIONS(2662),
    [anon_sym_AMP] = ACTIONS(2662),
    [anon_sym_GT_GT2] = ACTIONS(2662),
    [anon_sym_PLUS] = ACTIONS(2662),
    [anon_sym_DASH] = ACTIONS(2662),
    [anon_sym_DOT] = ACTIONS(2662),
    [anon_sym_STAR] = ACTIONS(2662),
    [anon_sym_SLASH] = ACTIONS(2662),
    [anon_sym_x] = ACTIONS(2662),
    [anon_sym_EQ_TILDE] = ACTIONS(2660),
    [anon_sym_BANG_TILDE] = ACTIONS(2660),
    [anon_sym_EQ_EQ] = ACTIONS(2662),
    [anon_sym_BANG_EQ] = ACTIONS(2660),
    [anon_sym_eq] = ACTIONS(2662),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2660),
    [anon_sym_equ] = ACTIONS(2660),
    [anon_sym_eqr] = ACTIONS(2660),
    [anon_sym_ne] = ACTIONS(2660),
    [anon_sym_LT_EQ_GT] = ACTIONS(2660),
    [anon_sym_cmp] = ACTIONS(2660),
    [anon_sym_TILDE_TILDE] = ACTIONS(2660),
    [anon_sym_LT] = ACTIONS(2662),
    [anon_sym_LT_EQ] = ACTIONS(2662),
    [anon_sym_GT_EQ] = ACTIONS(2660),
    [anon_sym_lt] = ACTIONS(2660),
    [anon_sym_le] = ACTIONS(2660),
    [anon_sym_ge] = ACTIONS(2660),
    [anon_sym_gt] = ACTIONS(2660),
    [anon_sym_isa] = ACTIONS(2660),
    [anon_sym_PLUS_PLUS] = ACTIONS(2660),
    [anon_sym_DASH_DASH] = ACTIONS(2660),
    [anon_sym_QMARK] = ACTIONS(2660),
    [anon_sym_EQ_GT] = ACTIONS(2660),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2031] = {
    [sym_heredoc_content] = STATE(2031),
    [anon_sym_SEMI] = ACTIONS(2532),
    [anon_sym_EQ] = ACTIONS(2534),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2532),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2532),
    [anon_sym_COMMA] = ACTIONS(2532),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2532),
    [anon_sym_DASH_GT] = ACTIONS(2532),
    [anon_sym_PERCENT] = ACTIONS(2534),
    [anon_sym_GT] = ACTIONS(2534),
    [anon_sym_LT_LT] = ACTIONS(2534),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2532),
    [anon_sym_PLUS_EQ] = ACTIONS(2532),
    [anon_sym_DASH_EQ] = ACTIONS(2532),
    [anon_sym_DOT_EQ] = ACTIONS(2532),
    [anon_sym_STAR_EQ] = ACTIONS(2532),
    [anon_sym_SLASH_EQ] = ACTIONS(2532),
    [anon_sym_PERCENT_EQ] = ACTIONS(2532),
    [anon_sym_x_EQ] = ACTIONS(2534),
    [anon_sym_AMP_EQ] = ACTIONS(2532),
    [anon_sym_PIPE_EQ] = ACTIONS(2532),
    [anon_sym_CARET_EQ] = ACTIONS(2532),
    [anon_sym_LT_LT_EQ] = ACTIONS(2532),
    [anon_sym_GT_GT_EQ] = ACTIONS(2532),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2532),
    [anon_sym_DOT_DOT] = ACTIONS(2534),
    [anon_sym_STAR_STAR] = ACTIONS(2534),
    [anon_sym_PIPE_PIPE] = ACTIONS(2534),
    [anon_sym_SLASH_SLASH] = ACTIONS(2534),
    [anon_sym_CARET_CARET] = ACTIONS(2532),
    [anon_sym_AMP_AMP] = ACTIONS(2534),
    [anon_sym_PIPE] = ACTIONS(2534),
    [anon_sym_CARET] = ACTIONS(2534),
    [anon_sym_AMP] = ACTIONS(2534),
    [anon_sym_GT_GT2] = ACTIONS(2534),
    [anon_sym_PLUS] = ACTIONS(2534),
    [anon_sym_DASH] = ACTIONS(2534),
    [anon_sym_DOT] = ACTIONS(2534),
    [anon_sym_STAR] = ACTIONS(2534),
    [anon_sym_SLASH] = ACTIONS(2534),
    [anon_sym_x] = ACTIONS(2534),
    [anon_sym_EQ_TILDE] = ACTIONS(2532),
    [anon_sym_BANG_TILDE] = ACTIONS(2532),
    [anon_sym_EQ_EQ] = ACTIONS(2534),
    [anon_sym_BANG_EQ] = ACTIONS(2532),
    [anon_sym_eq] = ACTIONS(2534),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2532),
    [anon_sym_equ] = ACTIONS(2532),
    [anon_sym_eqr] = ACTIONS(2532),
    [anon_sym_ne] = ACTIONS(2534),
    [anon_sym_LT_EQ_GT] = ACTIONS(2532),
    [anon_sym_cmp] = ACTIONS(2532),
    [anon_sym_TILDE_TILDE] = ACTIONS(2532),
    [anon_sym_LT] = ACTIONS(2534),
    [anon_sym_LT_EQ] = ACTIONS(2534),
    [anon_sym_GT_EQ] = ACTIONS(2532),
    [anon_sym_lt] = ACTIONS(2534),
    [anon_sym_le] = ACTIONS(2534),
    [anon_sym_ge] = ACTIONS(2532),
    [anon_sym_gt] = ACTIONS(2532),
    [anon_sym_isa] = ACTIONS(2534),
    [anon_sym_PLUS_PLUS] = ACTIONS(2532),
    [anon_sym_DASH_DASH] = ACTIONS(2532),
    [anon_sym_QMARK] = ACTIONS(2532),
    [anon_sym_EQ_GT] = ACTIONS(2532),
    [sym_comment] = ACTIONS(5),
    [sym_quoted_regexp_modifiers] = ACTIONS(2532),
    [sym__PERLY_SEMICOLON] = ACTIONS(2532),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2032] = {
    [sym_heredoc_content] = STATE(2032),
    [aux_sym__term_rightward_repeat1] = STATE(2032),
    [anon_sym_RBRACE] = ACTIONS(2774),
    [anon_sym_EQ] = ACTIONS(2776),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2774),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2774),
    [anon_sym_COMMA] = ACTIONS(3741),
    [anon_sym_RPAREN] = ACTIONS(2774),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2774),
    [anon_sym_DASH_GT] = ACTIONS(2774),
    [anon_sym_PERCENT] = ACTIONS(2776),
    [anon_sym_GT] = ACTIONS(2776),
    [anon_sym_LT_LT] = ACTIONS(2776),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2774),
    [anon_sym_PLUS_EQ] = ACTIONS(2774),
    [anon_sym_DASH_EQ] = ACTIONS(2774),
    [anon_sym_DOT_EQ] = ACTIONS(2774),
    [anon_sym_STAR_EQ] = ACTIONS(2774),
    [anon_sym_SLASH_EQ] = ACTIONS(2774),
    [anon_sym_PERCENT_EQ] = ACTIONS(2774),
    [anon_sym_x_EQ] = ACTIONS(2774),
    [anon_sym_AMP_EQ] = ACTIONS(2774),
    [anon_sym_PIPE_EQ] = ACTIONS(2774),
    [anon_sym_CARET_EQ] = ACTIONS(2774),
    [anon_sym_LT_LT_EQ] = ACTIONS(2774),
    [anon_sym_GT_GT_EQ] = ACTIONS(2774),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2774),
    [anon_sym_DOT_DOT] = ACTIONS(2776),
    [anon_sym_STAR_STAR] = ACTIONS(2776),
    [anon_sym_PIPE_PIPE] = ACTIONS(2776),
    [anon_sym_SLASH_SLASH] = ACTIONS(2776),
    [anon_sym_CARET_CARET] = ACTIONS(2774),
    [anon_sym_AMP_AMP] = ACTIONS(2776),
    [anon_sym_PIPE] = ACTIONS(2776),
    [anon_sym_CARET] = ACTIONS(2776),
    [anon_sym_AMP] = ACTIONS(2776),
    [anon_sym_GT_GT2] = ACTIONS(2776),
    [anon_sym_PLUS] = ACTIONS(2776),
    [anon_sym_DASH] = ACTIONS(2776),
    [anon_sym_DOT] = ACTIONS(2776),
    [anon_sym_STAR] = ACTIONS(2776),
    [anon_sym_SLASH] = ACTIONS(2776),
    [anon_sym_x] = ACTIONS(2776),
    [anon_sym_EQ_TILDE] = ACTIONS(2774),
    [anon_sym_BANG_TILDE] = ACTIONS(2774),
    [anon_sym_EQ_EQ] = ACTIONS(2776),
    [anon_sym_BANG_EQ] = ACTIONS(2774),
    [anon_sym_eq] = ACTIONS(2776),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2774),
    [anon_sym_equ] = ACTIONS(2774),
    [anon_sym_eqr] = ACTIONS(2774),
    [anon_sym_ne] = ACTIONS(2774),
    [anon_sym_LT_EQ_GT] = ACTIONS(2774),
    [anon_sym_cmp] = ACTIONS(2774),
    [anon_sym_TILDE_TILDE] = ACTIONS(2774),
    [anon_sym_LT] = ACTIONS(2776),
    [anon_sym_LT_EQ] = ACTIONS(2776),
    [anon_sym_GT_EQ] = ACTIONS(2774),
    [anon_sym_lt] = ACTIONS(2774),
    [anon_sym_le] = ACTIONS(2774),
    [anon_sym_ge] = ACTIONS(2774),
    [anon_sym_gt] = ACTIONS(2774),
    [anon_sym_isa] = ACTIONS(2774),
    [anon_sym_PLUS_PLUS] = ACTIONS(2774),
    [anon_sym_DASH_DASH] = ACTIONS(2774),
    [anon_sym_QMARK] = ACTIONS(2774),
    [anon_sym_EQ_GT] = ACTIONS(3741),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2033] = {
    [sym_heredoc_content] = STATE(2033),
    [anon_sym_RBRACE] = ACTIONS(3122),
    [anon_sym_COLON] = ACTIONS(3122),
    [anon_sym_EQ] = ACTIONS(3124),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3122),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3122),
    [anon_sym_COMMA] = ACTIONS(3122),
    [anon_sym_RPAREN] = ACTIONS(3122),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3122),
    [anon_sym_DASH_GT] = ACTIONS(3122),
    [anon_sym_PERCENT] = ACTIONS(3124),
    [anon_sym_GT] = ACTIONS(3124),
    [anon_sym_LT_LT] = ACTIONS(3124),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3122),
    [anon_sym_PLUS_EQ] = ACTIONS(3122),
    [anon_sym_DASH_EQ] = ACTIONS(3122),
    [anon_sym_DOT_EQ] = ACTIONS(3122),
    [anon_sym_STAR_EQ] = ACTIONS(3122),
    [anon_sym_SLASH_EQ] = ACTIONS(3122),
    [anon_sym_PERCENT_EQ] = ACTIONS(3122),
    [anon_sym_x_EQ] = ACTIONS(3122),
    [anon_sym_AMP_EQ] = ACTIONS(3122),
    [anon_sym_PIPE_EQ] = ACTIONS(3122),
    [anon_sym_CARET_EQ] = ACTIONS(3122),
    [anon_sym_LT_LT_EQ] = ACTIONS(3122),
    [anon_sym_GT_GT_EQ] = ACTIONS(3122),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3122),
    [anon_sym_DOT_DOT] = ACTIONS(3124),
    [anon_sym_STAR_STAR] = ACTIONS(3124),
    [anon_sym_PIPE_PIPE] = ACTIONS(3124),
    [anon_sym_SLASH_SLASH] = ACTIONS(3124),
    [anon_sym_CARET_CARET] = ACTIONS(3122),
    [anon_sym_AMP_AMP] = ACTIONS(3124),
    [anon_sym_PIPE] = ACTIONS(3124),
    [anon_sym_CARET] = ACTIONS(3124),
    [anon_sym_AMP] = ACTIONS(3124),
    [anon_sym_GT_GT2] = ACTIONS(3124),
    [anon_sym_PLUS] = ACTIONS(3124),
    [anon_sym_DASH] = ACTIONS(3124),
    [anon_sym_DOT] = ACTIONS(3124),
    [anon_sym_STAR] = ACTIONS(3124),
    [anon_sym_SLASH] = ACTIONS(3124),
    [anon_sym_x] = ACTIONS(3124),
    [anon_sym_EQ_TILDE] = ACTIONS(3122),
    [anon_sym_BANG_TILDE] = ACTIONS(3122),
    [anon_sym_EQ_EQ] = ACTIONS(3124),
    [anon_sym_BANG_EQ] = ACTIONS(3122),
    [anon_sym_eq] = ACTIONS(3124),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3122),
    [anon_sym_equ] = ACTIONS(3122),
    [anon_sym_eqr] = ACTIONS(3122),
    [anon_sym_ne] = ACTIONS(3122),
    [anon_sym_LT_EQ_GT] = ACTIONS(3122),
    [anon_sym_cmp] = ACTIONS(3122),
    [anon_sym_TILDE_TILDE] = ACTIONS(3122),
    [anon_sym_LT] = ACTIONS(3124),
    [anon_sym_LT_EQ] = ACTIONS(3124),
    [anon_sym_GT_EQ] = ACTIONS(3122),
    [anon_sym_lt] = ACTIONS(3122),
    [anon_sym_le] = ACTIONS(3122),
    [anon_sym_ge] = ACTIONS(3122),
    [anon_sym_gt] = ACTIONS(3122),
    [anon_sym_isa] = ACTIONS(3122),
    [anon_sym_PLUS_PLUS] = ACTIONS(3122),
    [anon_sym_DASH_DASH] = ACTIONS(3122),
    [anon_sym_QMARK] = ACTIONS(3122),
    [anon_sym_EQ_GT] = ACTIONS(3122),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2034] = {
    [sym_heredoc_content] = STATE(2034),
    [anon_sym_RBRACE] = ACTIONS(2935),
    [anon_sym_COLON] = ACTIONS(2935),
    [anon_sym_EQ] = ACTIONS(2937),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2935),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2935),
    [anon_sym_COMMA] = ACTIONS(2935),
    [anon_sym_RPAREN] = ACTIONS(2935),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2935),
    [anon_sym_DASH_GT] = ACTIONS(2935),
    [anon_sym_PERCENT] = ACTIONS(2937),
    [anon_sym_GT] = ACTIONS(2937),
    [anon_sym_LT_LT] = ACTIONS(2937),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2935),
    [anon_sym_PLUS_EQ] = ACTIONS(2935),
    [anon_sym_DASH_EQ] = ACTIONS(2935),
    [anon_sym_DOT_EQ] = ACTIONS(2935),
    [anon_sym_STAR_EQ] = ACTIONS(2935),
    [anon_sym_SLASH_EQ] = ACTIONS(2935),
    [anon_sym_PERCENT_EQ] = ACTIONS(2935),
    [anon_sym_x_EQ] = ACTIONS(2935),
    [anon_sym_AMP_EQ] = ACTIONS(2935),
    [anon_sym_PIPE_EQ] = ACTIONS(2935),
    [anon_sym_CARET_EQ] = ACTIONS(2935),
    [anon_sym_LT_LT_EQ] = ACTIONS(2935),
    [anon_sym_GT_GT_EQ] = ACTIONS(2935),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2935),
    [anon_sym_DOT_DOT] = ACTIONS(2937),
    [anon_sym_STAR_STAR] = ACTIONS(2937),
    [anon_sym_PIPE_PIPE] = ACTIONS(2937),
    [anon_sym_SLASH_SLASH] = ACTIONS(2937),
    [anon_sym_CARET_CARET] = ACTIONS(2935),
    [anon_sym_AMP_AMP] = ACTIONS(2937),
    [anon_sym_PIPE] = ACTIONS(2937),
    [anon_sym_CARET] = ACTIONS(2937),
    [anon_sym_AMP] = ACTIONS(2937),
    [anon_sym_GT_GT2] = ACTIONS(2937),
    [anon_sym_PLUS] = ACTIONS(2937),
    [anon_sym_DASH] = ACTIONS(2937),
    [anon_sym_DOT] = ACTIONS(2937),
    [anon_sym_STAR] = ACTIONS(2937),
    [anon_sym_SLASH] = ACTIONS(2937),
    [anon_sym_x] = ACTIONS(2937),
    [anon_sym_EQ_TILDE] = ACTIONS(2935),
    [anon_sym_BANG_TILDE] = ACTIONS(2935),
    [anon_sym_EQ_EQ] = ACTIONS(2937),
    [anon_sym_BANG_EQ] = ACTIONS(2935),
    [anon_sym_eq] = ACTIONS(2937),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2935),
    [anon_sym_equ] = ACTIONS(2935),
    [anon_sym_eqr] = ACTIONS(2935),
    [anon_sym_ne] = ACTIONS(2935),
    [anon_sym_LT_EQ_GT] = ACTIONS(2935),
    [anon_sym_cmp] = ACTIONS(2935),
    [anon_sym_TILDE_TILDE] = ACTIONS(2935),
    [anon_sym_LT] = ACTIONS(2937),
    [anon_sym_LT_EQ] = ACTIONS(2937),
    [anon_sym_GT_EQ] = ACTIONS(2935),
    [anon_sym_lt] = ACTIONS(2935),
    [anon_sym_le] = ACTIONS(2935),
    [anon_sym_ge] = ACTIONS(2935),
    [anon_sym_gt] = ACTIONS(2935),
    [anon_sym_isa] = ACTIONS(2935),
    [anon_sym_PLUS_PLUS] = ACTIONS(2935),
    [anon_sym_DASH_DASH] = ACTIONS(2935),
    [anon_sym_QMARK] = ACTIONS(2935),
    [anon_sym_EQ_GT] = ACTIONS(2935),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2035] = {
    [sym_heredoc_content] = STATE(2035),
    [anon_sym_RBRACE] = ACTIONS(3158),
    [anon_sym_COLON] = ACTIONS(3158),
    [anon_sym_EQ] = ACTIONS(3160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3158),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3158),
    [anon_sym_COMMA] = ACTIONS(3158),
    [anon_sym_RPAREN] = ACTIONS(3158),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3158),
    [anon_sym_DASH_GT] = ACTIONS(3158),
    [anon_sym_PERCENT] = ACTIONS(3160),
    [anon_sym_GT] = ACTIONS(3160),
    [anon_sym_LT_LT] = ACTIONS(3160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3158),
    [anon_sym_PLUS_EQ] = ACTIONS(3158),
    [anon_sym_DASH_EQ] = ACTIONS(3158),
    [anon_sym_DOT_EQ] = ACTIONS(3158),
    [anon_sym_STAR_EQ] = ACTIONS(3158),
    [anon_sym_SLASH_EQ] = ACTIONS(3158),
    [anon_sym_PERCENT_EQ] = ACTIONS(3158),
    [anon_sym_x_EQ] = ACTIONS(3158),
    [anon_sym_AMP_EQ] = ACTIONS(3158),
    [anon_sym_PIPE_EQ] = ACTIONS(3158),
    [anon_sym_CARET_EQ] = ACTIONS(3158),
    [anon_sym_LT_LT_EQ] = ACTIONS(3158),
    [anon_sym_GT_GT_EQ] = ACTIONS(3158),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3158),
    [anon_sym_DOT_DOT] = ACTIONS(3160),
    [anon_sym_STAR_STAR] = ACTIONS(3160),
    [anon_sym_PIPE_PIPE] = ACTIONS(3160),
    [anon_sym_SLASH_SLASH] = ACTIONS(3160),
    [anon_sym_CARET_CARET] = ACTIONS(3158),
    [anon_sym_AMP_AMP] = ACTIONS(3160),
    [anon_sym_PIPE] = ACTIONS(3160),
    [anon_sym_CARET] = ACTIONS(3160),
    [anon_sym_AMP] = ACTIONS(3160),
    [anon_sym_GT_GT2] = ACTIONS(3160),
    [anon_sym_PLUS] = ACTIONS(3160),
    [anon_sym_DASH] = ACTIONS(3160),
    [anon_sym_DOT] = ACTIONS(3160),
    [anon_sym_STAR] = ACTIONS(3160),
    [anon_sym_SLASH] = ACTIONS(3160),
    [anon_sym_x] = ACTIONS(3160),
    [anon_sym_EQ_TILDE] = ACTIONS(3158),
    [anon_sym_BANG_TILDE] = ACTIONS(3158),
    [anon_sym_EQ_EQ] = ACTIONS(3160),
    [anon_sym_BANG_EQ] = ACTIONS(3158),
    [anon_sym_eq] = ACTIONS(3160),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3158),
    [anon_sym_equ] = ACTIONS(3158),
    [anon_sym_eqr] = ACTIONS(3158),
    [anon_sym_ne] = ACTIONS(3158),
    [anon_sym_LT_EQ_GT] = ACTIONS(3158),
    [anon_sym_cmp] = ACTIONS(3158),
    [anon_sym_TILDE_TILDE] = ACTIONS(3158),
    [anon_sym_LT] = ACTIONS(3160),
    [anon_sym_LT_EQ] = ACTIONS(3160),
    [anon_sym_GT_EQ] = ACTIONS(3158),
    [anon_sym_lt] = ACTIONS(3158),
    [anon_sym_le] = ACTIONS(3158),
    [anon_sym_ge] = ACTIONS(3158),
    [anon_sym_gt] = ACTIONS(3158),
    [anon_sym_isa] = ACTIONS(3158),
    [anon_sym_PLUS_PLUS] = ACTIONS(3158),
    [anon_sym_DASH_DASH] = ACTIONS(3158),
    [anon_sym_QMARK] = ACTIONS(3158),
    [anon_sym_EQ_GT] = ACTIONS(3158),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2036] = {
    [sym_heredoc_content] = STATE(2036),
    [anon_sym_RBRACE] = ACTIONS(3262),
    [anon_sym_COLON] = ACTIONS(3262),
    [anon_sym_EQ] = ACTIONS(3264),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3262),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3262),
    [anon_sym_COMMA] = ACTIONS(3262),
    [anon_sym_RPAREN] = ACTIONS(3262),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3262),
    [anon_sym_DASH_GT] = ACTIONS(3262),
    [anon_sym_PERCENT] = ACTIONS(3264),
    [anon_sym_GT] = ACTIONS(3264),
    [anon_sym_LT_LT] = ACTIONS(3264),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3262),
    [anon_sym_PLUS_EQ] = ACTIONS(3262),
    [anon_sym_DASH_EQ] = ACTIONS(3262),
    [anon_sym_DOT_EQ] = ACTIONS(3262),
    [anon_sym_STAR_EQ] = ACTIONS(3262),
    [anon_sym_SLASH_EQ] = ACTIONS(3262),
    [anon_sym_PERCENT_EQ] = ACTIONS(3262),
    [anon_sym_x_EQ] = ACTIONS(3262),
    [anon_sym_AMP_EQ] = ACTIONS(3262),
    [anon_sym_PIPE_EQ] = ACTIONS(3262),
    [anon_sym_CARET_EQ] = ACTIONS(3262),
    [anon_sym_LT_LT_EQ] = ACTIONS(3262),
    [anon_sym_GT_GT_EQ] = ACTIONS(3262),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3262),
    [anon_sym_DOT_DOT] = ACTIONS(3264),
    [anon_sym_STAR_STAR] = ACTIONS(3264),
    [anon_sym_PIPE_PIPE] = ACTIONS(3264),
    [anon_sym_SLASH_SLASH] = ACTIONS(3264),
    [anon_sym_CARET_CARET] = ACTIONS(3262),
    [anon_sym_AMP_AMP] = ACTIONS(3264),
    [anon_sym_PIPE] = ACTIONS(3264),
    [anon_sym_CARET] = ACTIONS(3264),
    [anon_sym_AMP] = ACTIONS(3264),
    [anon_sym_GT_GT2] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_DOT] = ACTIONS(3264),
    [anon_sym_STAR] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_x] = ACTIONS(3264),
    [anon_sym_EQ_TILDE] = ACTIONS(3262),
    [anon_sym_BANG_TILDE] = ACTIONS(3262),
    [anon_sym_EQ_EQ] = ACTIONS(3264),
    [anon_sym_BANG_EQ] = ACTIONS(3262),
    [anon_sym_eq] = ACTIONS(3264),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3262),
    [anon_sym_equ] = ACTIONS(3262),
    [anon_sym_eqr] = ACTIONS(3262),
    [anon_sym_ne] = ACTIONS(3262),
    [anon_sym_LT_EQ_GT] = ACTIONS(3262),
    [anon_sym_cmp] = ACTIONS(3262),
    [anon_sym_TILDE_TILDE] = ACTIONS(3262),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_LT_EQ] = ACTIONS(3264),
    [anon_sym_GT_EQ] = ACTIONS(3262),
    [anon_sym_lt] = ACTIONS(3262),
    [anon_sym_le] = ACTIONS(3262),
    [anon_sym_ge] = ACTIONS(3262),
    [anon_sym_gt] = ACTIONS(3262),
    [anon_sym_isa] = ACTIONS(3262),
    [anon_sym_PLUS_PLUS] = ACTIONS(3262),
    [anon_sym_DASH_DASH] = ACTIONS(3262),
    [anon_sym_QMARK] = ACTIONS(3262),
    [anon_sym_EQ_GT] = ACTIONS(3262),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2037] = {
    [sym_heredoc_content] = STATE(2037),
    [anon_sym_RBRACE] = ACTIONS(2951),
    [anon_sym_COLON] = ACTIONS(2951),
    [anon_sym_EQ] = ACTIONS(2953),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2951),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2951),
    [anon_sym_COMMA] = ACTIONS(2951),
    [anon_sym_RPAREN] = ACTIONS(2951),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2951),
    [anon_sym_DASH_GT] = ACTIONS(2951),
    [anon_sym_PERCENT] = ACTIONS(2953),
    [anon_sym_GT] = ACTIONS(2953),
    [anon_sym_LT_LT] = ACTIONS(2953),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2951),
    [anon_sym_PLUS_EQ] = ACTIONS(2951),
    [anon_sym_DASH_EQ] = ACTIONS(2951),
    [anon_sym_DOT_EQ] = ACTIONS(2951),
    [anon_sym_STAR_EQ] = ACTIONS(2951),
    [anon_sym_SLASH_EQ] = ACTIONS(2951),
    [anon_sym_PERCENT_EQ] = ACTIONS(2951),
    [anon_sym_x_EQ] = ACTIONS(2951),
    [anon_sym_AMP_EQ] = ACTIONS(2951),
    [anon_sym_PIPE_EQ] = ACTIONS(2951),
    [anon_sym_CARET_EQ] = ACTIONS(2951),
    [anon_sym_LT_LT_EQ] = ACTIONS(2951),
    [anon_sym_GT_GT_EQ] = ACTIONS(2951),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2951),
    [anon_sym_DOT_DOT] = ACTIONS(2953),
    [anon_sym_STAR_STAR] = ACTIONS(2953),
    [anon_sym_PIPE_PIPE] = ACTIONS(2953),
    [anon_sym_SLASH_SLASH] = ACTIONS(2953),
    [anon_sym_CARET_CARET] = ACTIONS(2951),
    [anon_sym_AMP_AMP] = ACTIONS(2953),
    [anon_sym_PIPE] = ACTIONS(2953),
    [anon_sym_CARET] = ACTIONS(2953),
    [anon_sym_AMP] = ACTIONS(2953),
    [anon_sym_GT_GT2] = ACTIONS(2953),
    [anon_sym_PLUS] = ACTIONS(2953),
    [anon_sym_DASH] = ACTIONS(2953),
    [anon_sym_DOT] = ACTIONS(2953),
    [anon_sym_STAR] = ACTIONS(2953),
    [anon_sym_SLASH] = ACTIONS(2953),
    [anon_sym_x] = ACTIONS(2953),
    [anon_sym_EQ_TILDE] = ACTIONS(2951),
    [anon_sym_BANG_TILDE] = ACTIONS(2951),
    [anon_sym_EQ_EQ] = ACTIONS(2953),
    [anon_sym_BANG_EQ] = ACTIONS(2951),
    [anon_sym_eq] = ACTIONS(2953),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2951),
    [anon_sym_equ] = ACTIONS(2951),
    [anon_sym_eqr] = ACTIONS(2951),
    [anon_sym_ne] = ACTIONS(2951),
    [anon_sym_LT_EQ_GT] = ACTIONS(2951),
    [anon_sym_cmp] = ACTIONS(2951),
    [anon_sym_TILDE_TILDE] = ACTIONS(2951),
    [anon_sym_LT] = ACTIONS(2953),
    [anon_sym_LT_EQ] = ACTIONS(2953),
    [anon_sym_GT_EQ] = ACTIONS(2951),
    [anon_sym_lt] = ACTIONS(2951),
    [anon_sym_le] = ACTIONS(2951),
    [anon_sym_ge] = ACTIONS(2951),
    [anon_sym_gt] = ACTIONS(2951),
    [anon_sym_isa] = ACTIONS(2951),
    [anon_sym_PLUS_PLUS] = ACTIONS(2951),
    [anon_sym_DASH_DASH] = ACTIONS(2951),
    [anon_sym_QMARK] = ACTIONS(2951),
    [anon_sym_EQ_GT] = ACTIONS(2951),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2038] = {
    [sym_heredoc_content] = STATE(2038),
    [anon_sym_RBRACE] = ACTIONS(2821),
    [anon_sym_COLON] = ACTIONS(2821),
    [anon_sym_EQ] = ACTIONS(2823),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2821),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2821),
    [anon_sym_COMMA] = ACTIONS(2821),
    [anon_sym_RPAREN] = ACTIONS(2821),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2821),
    [anon_sym_DASH_GT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(2823),
    [anon_sym_GT] = ACTIONS(2823),
    [anon_sym_LT_LT] = ACTIONS(2823),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2821),
    [anon_sym_PLUS_EQ] = ACTIONS(2821),
    [anon_sym_DASH_EQ] = ACTIONS(2821),
    [anon_sym_DOT_EQ] = ACTIONS(2821),
    [anon_sym_STAR_EQ] = ACTIONS(2821),
    [anon_sym_SLASH_EQ] = ACTIONS(2821),
    [anon_sym_PERCENT_EQ] = ACTIONS(2821),
    [anon_sym_x_EQ] = ACTIONS(2821),
    [anon_sym_AMP_EQ] = ACTIONS(2821),
    [anon_sym_PIPE_EQ] = ACTIONS(2821),
    [anon_sym_CARET_EQ] = ACTIONS(2821),
    [anon_sym_LT_LT_EQ] = ACTIONS(2821),
    [anon_sym_GT_GT_EQ] = ACTIONS(2821),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2821),
    [anon_sym_DOT_DOT] = ACTIONS(2823),
    [anon_sym_STAR_STAR] = ACTIONS(2823),
    [anon_sym_PIPE_PIPE] = ACTIONS(2823),
    [anon_sym_SLASH_SLASH] = ACTIONS(2823),
    [anon_sym_CARET_CARET] = ACTIONS(2821),
    [anon_sym_AMP_AMP] = ACTIONS(2823),
    [anon_sym_PIPE] = ACTIONS(2823),
    [anon_sym_CARET] = ACTIONS(2823),
    [anon_sym_AMP] = ACTIONS(2823),
    [anon_sym_GT_GT2] = ACTIONS(2823),
    [anon_sym_PLUS] = ACTIONS(2823),
    [anon_sym_DASH] = ACTIONS(2823),
    [anon_sym_DOT] = ACTIONS(2823),
    [anon_sym_STAR] = ACTIONS(2823),
    [anon_sym_SLASH] = ACTIONS(2823),
    [anon_sym_x] = ACTIONS(2823),
    [anon_sym_EQ_TILDE] = ACTIONS(2821),
    [anon_sym_BANG_TILDE] = ACTIONS(2821),
    [anon_sym_EQ_EQ] = ACTIONS(2823),
    [anon_sym_BANG_EQ] = ACTIONS(2821),
    [anon_sym_eq] = ACTIONS(2823),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2821),
    [anon_sym_equ] = ACTIONS(2821),
    [anon_sym_eqr] = ACTIONS(2821),
    [anon_sym_ne] = ACTIONS(2821),
    [anon_sym_LT_EQ_GT] = ACTIONS(2821),
    [anon_sym_cmp] = ACTIONS(2821),
    [anon_sym_TILDE_TILDE] = ACTIONS(2821),
    [anon_sym_LT] = ACTIONS(2823),
    [anon_sym_LT_EQ] = ACTIONS(2823),
    [anon_sym_GT_EQ] = ACTIONS(2821),
    [anon_sym_lt] = ACTIONS(2821),
    [anon_sym_le] = ACTIONS(2821),
    [anon_sym_ge] = ACTIONS(2821),
    [anon_sym_gt] = ACTIONS(2821),
    [anon_sym_isa] = ACTIONS(2821),
    [anon_sym_PLUS_PLUS] = ACTIONS(2821),
    [anon_sym_DASH_DASH] = ACTIONS(2821),
    [anon_sym_QMARK] = ACTIONS(2821),
    [anon_sym_EQ_GT] = ACTIONS(2821),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2039] = {
    [sym_heredoc_content] = STATE(2039),
    [anon_sym_RBRACE] = ACTIONS(2915),
    [anon_sym_COLON] = ACTIONS(2915),
    [anon_sym_EQ] = ACTIONS(2917),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2915),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2915),
    [anon_sym_COMMA] = ACTIONS(2915),
    [anon_sym_RPAREN] = ACTIONS(2915),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2915),
    [anon_sym_DASH_GT] = ACTIONS(2915),
    [anon_sym_PERCENT] = ACTIONS(2917),
    [anon_sym_GT] = ACTIONS(2917),
    [anon_sym_LT_LT] = ACTIONS(2917),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2915),
    [anon_sym_PLUS_EQ] = ACTIONS(2915),
    [anon_sym_DASH_EQ] = ACTIONS(2915),
    [anon_sym_DOT_EQ] = ACTIONS(2915),
    [anon_sym_STAR_EQ] = ACTIONS(2915),
    [anon_sym_SLASH_EQ] = ACTIONS(2915),
    [anon_sym_PERCENT_EQ] = ACTIONS(2915),
    [anon_sym_x_EQ] = ACTIONS(2915),
    [anon_sym_AMP_EQ] = ACTIONS(2915),
    [anon_sym_PIPE_EQ] = ACTIONS(2915),
    [anon_sym_CARET_EQ] = ACTIONS(2915),
    [anon_sym_LT_LT_EQ] = ACTIONS(2915),
    [anon_sym_GT_GT_EQ] = ACTIONS(2915),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2915),
    [anon_sym_DOT_DOT] = ACTIONS(2917),
    [anon_sym_STAR_STAR] = ACTIONS(2917),
    [anon_sym_PIPE_PIPE] = ACTIONS(2917),
    [anon_sym_SLASH_SLASH] = ACTIONS(2917),
    [anon_sym_CARET_CARET] = ACTIONS(2915),
    [anon_sym_AMP_AMP] = ACTIONS(2917),
    [anon_sym_PIPE] = ACTIONS(2917),
    [anon_sym_CARET] = ACTIONS(2917),
    [anon_sym_AMP] = ACTIONS(2917),
    [anon_sym_GT_GT2] = ACTIONS(2917),
    [anon_sym_PLUS] = ACTIONS(2917),
    [anon_sym_DASH] = ACTIONS(2917),
    [anon_sym_DOT] = ACTIONS(2917),
    [anon_sym_STAR] = ACTIONS(2917),
    [anon_sym_SLASH] = ACTIONS(2917),
    [anon_sym_x] = ACTIONS(2917),
    [anon_sym_EQ_TILDE] = ACTIONS(2915),
    [anon_sym_BANG_TILDE] = ACTIONS(2915),
    [anon_sym_EQ_EQ] = ACTIONS(2917),
    [anon_sym_BANG_EQ] = ACTIONS(2915),
    [anon_sym_eq] = ACTIONS(2917),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2915),
    [anon_sym_equ] = ACTIONS(2915),
    [anon_sym_eqr] = ACTIONS(2915),
    [anon_sym_ne] = ACTIONS(2915),
    [anon_sym_LT_EQ_GT] = ACTIONS(2915),
    [anon_sym_cmp] = ACTIONS(2915),
    [anon_sym_TILDE_TILDE] = ACTIONS(2915),
    [anon_sym_LT] = ACTIONS(2917),
    [anon_sym_LT_EQ] = ACTIONS(2917),
    [anon_sym_GT_EQ] = ACTIONS(2915),
    [anon_sym_lt] = ACTIONS(2915),
    [anon_sym_le] = ACTIONS(2915),
    [anon_sym_ge] = ACTIONS(2915),
    [anon_sym_gt] = ACTIONS(2915),
    [anon_sym_isa] = ACTIONS(2915),
    [anon_sym_PLUS_PLUS] = ACTIONS(2915),
    [anon_sym_DASH_DASH] = ACTIONS(2915),
    [anon_sym_QMARK] = ACTIONS(2915),
    [anon_sym_EQ_GT] = ACTIONS(2915),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2040] = {
    [sym_heredoc_content] = STATE(2040),
    [anon_sym_RBRACE] = ACTIONS(3278),
    [anon_sym_COLON] = ACTIONS(3278),
    [anon_sym_EQ] = ACTIONS(3280),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3278),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3278),
    [anon_sym_COMMA] = ACTIONS(3278),
    [anon_sym_RPAREN] = ACTIONS(3278),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3278),
    [anon_sym_DASH_GT] = ACTIONS(3278),
    [anon_sym_PERCENT] = ACTIONS(3280),
    [anon_sym_GT] = ACTIONS(3280),
    [anon_sym_LT_LT] = ACTIONS(3280),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3278),
    [anon_sym_PLUS_EQ] = ACTIONS(3278),
    [anon_sym_DASH_EQ] = ACTIONS(3278),
    [anon_sym_DOT_EQ] = ACTIONS(3278),
    [anon_sym_STAR_EQ] = ACTIONS(3278),
    [anon_sym_SLASH_EQ] = ACTIONS(3278),
    [anon_sym_PERCENT_EQ] = ACTIONS(3278),
    [anon_sym_x_EQ] = ACTIONS(3278),
    [anon_sym_AMP_EQ] = ACTIONS(3278),
    [anon_sym_PIPE_EQ] = ACTIONS(3278),
    [anon_sym_CARET_EQ] = ACTIONS(3278),
    [anon_sym_LT_LT_EQ] = ACTIONS(3278),
    [anon_sym_GT_GT_EQ] = ACTIONS(3278),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3278),
    [anon_sym_DOT_DOT] = ACTIONS(3280),
    [anon_sym_STAR_STAR] = ACTIONS(3280),
    [anon_sym_PIPE_PIPE] = ACTIONS(3280),
    [anon_sym_SLASH_SLASH] = ACTIONS(3280),
    [anon_sym_CARET_CARET] = ACTIONS(3278),
    [anon_sym_AMP_AMP] = ACTIONS(3280),
    [anon_sym_PIPE] = ACTIONS(3280),
    [anon_sym_CARET] = ACTIONS(3280),
    [anon_sym_AMP] = ACTIONS(3280),
    [anon_sym_GT_GT2] = ACTIONS(3280),
    [anon_sym_PLUS] = ACTIONS(3280),
    [anon_sym_DASH] = ACTIONS(3280),
    [anon_sym_DOT] = ACTIONS(3280),
    [anon_sym_STAR] = ACTIONS(3280),
    [anon_sym_SLASH] = ACTIONS(3280),
    [anon_sym_x] = ACTIONS(3280),
    [anon_sym_EQ_TILDE] = ACTIONS(3278),
    [anon_sym_BANG_TILDE] = ACTIONS(3278),
    [anon_sym_EQ_EQ] = ACTIONS(3280),
    [anon_sym_BANG_EQ] = ACTIONS(3278),
    [anon_sym_eq] = ACTIONS(3280),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3278),
    [anon_sym_equ] = ACTIONS(3278),
    [anon_sym_eqr] = ACTIONS(3278),
    [anon_sym_ne] = ACTIONS(3278),
    [anon_sym_LT_EQ_GT] = ACTIONS(3278),
    [anon_sym_cmp] = ACTIONS(3278),
    [anon_sym_TILDE_TILDE] = ACTIONS(3278),
    [anon_sym_LT] = ACTIONS(3280),
    [anon_sym_LT_EQ] = ACTIONS(3280),
    [anon_sym_GT_EQ] = ACTIONS(3278),
    [anon_sym_lt] = ACTIONS(3278),
    [anon_sym_le] = ACTIONS(3278),
    [anon_sym_ge] = ACTIONS(3278),
    [anon_sym_gt] = ACTIONS(3278),
    [anon_sym_isa] = ACTIONS(3278),
    [anon_sym_PLUS_PLUS] = ACTIONS(3278),
    [anon_sym_DASH_DASH] = ACTIONS(3278),
    [anon_sym_QMARK] = ACTIONS(3278),
    [anon_sym_EQ_GT] = ACTIONS(3278),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2041] = {
    [sym_heredoc_content] = STATE(2041),
    [anon_sym_COLON] = ACTIONS(3744),
    [anon_sym_SEMI] = ACTIONS(2734),
    [anon_sym_EQ] = ACTIONS(2738),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2734),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2734),
    [anon_sym_COMMA] = ACTIONS(2734),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2734),
    [anon_sym_DASH_GT] = ACTIONS(2734),
    [anon_sym_PERCENT] = ACTIONS(2738),
    [anon_sym_GT] = ACTIONS(2738),
    [anon_sym_LT_LT] = ACTIONS(2738),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2734),
    [anon_sym_PLUS_EQ] = ACTIONS(2734),
    [anon_sym_DASH_EQ] = ACTIONS(2734),
    [anon_sym_DOT_EQ] = ACTIONS(2734),
    [anon_sym_STAR_EQ] = ACTIONS(2734),
    [anon_sym_SLASH_EQ] = ACTIONS(2734),
    [anon_sym_PERCENT_EQ] = ACTIONS(2734),
    [anon_sym_x_EQ] = ACTIONS(2734),
    [anon_sym_AMP_EQ] = ACTIONS(2734),
    [anon_sym_PIPE_EQ] = ACTIONS(2734),
    [anon_sym_CARET_EQ] = ACTIONS(2734),
    [anon_sym_LT_LT_EQ] = ACTIONS(2734),
    [anon_sym_GT_GT_EQ] = ACTIONS(2734),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2734),
    [anon_sym_DOT_DOT] = ACTIONS(2738),
    [anon_sym_STAR_STAR] = ACTIONS(2738),
    [anon_sym_PIPE_PIPE] = ACTIONS(2738),
    [anon_sym_SLASH_SLASH] = ACTIONS(2738),
    [anon_sym_CARET_CARET] = ACTIONS(2734),
    [anon_sym_AMP_AMP] = ACTIONS(2738),
    [anon_sym_PIPE] = ACTIONS(2738),
    [anon_sym_CARET] = ACTIONS(2738),
    [anon_sym_AMP] = ACTIONS(2738),
    [anon_sym_GT_GT2] = ACTIONS(2738),
    [anon_sym_PLUS] = ACTIONS(2738),
    [anon_sym_DASH] = ACTIONS(2738),
    [anon_sym_DOT] = ACTIONS(2738),
    [anon_sym_STAR] = ACTIONS(2738),
    [anon_sym_SLASH] = ACTIONS(2738),
    [anon_sym_x] = ACTIONS(2738),
    [anon_sym_EQ_TILDE] = ACTIONS(2734),
    [anon_sym_BANG_TILDE] = ACTIONS(2734),
    [anon_sym_EQ_EQ] = ACTIONS(2738),
    [anon_sym_BANG_EQ] = ACTIONS(2734),
    [anon_sym_eq] = ACTIONS(2738),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2734),
    [anon_sym_equ] = ACTIONS(2734),
    [anon_sym_eqr] = ACTIONS(2734),
    [anon_sym_ne] = ACTIONS(2734),
    [anon_sym_LT_EQ_GT] = ACTIONS(2734),
    [anon_sym_cmp] = ACTIONS(2734),
    [anon_sym_TILDE_TILDE] = ACTIONS(2734),
    [anon_sym_LT] = ACTIONS(2738),
    [anon_sym_LT_EQ] = ACTIONS(2738),
    [anon_sym_GT_EQ] = ACTIONS(2734),
    [anon_sym_lt] = ACTIONS(2734),
    [anon_sym_le] = ACTIONS(2734),
    [anon_sym_ge] = ACTIONS(2734),
    [anon_sym_gt] = ACTIONS(2734),
    [anon_sym_isa] = ACTIONS(2734),
    [anon_sym_PLUS_PLUS] = ACTIONS(2734),
    [anon_sym_DASH_DASH] = ACTIONS(2734),
    [anon_sym_QMARK] = ACTIONS(2734),
    [anon_sym_EQ_GT] = ACTIONS(2734),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2734),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2042] = {
    [sym_heredoc_content] = STATE(2042),
    [anon_sym_COLON] = ACTIONS(3746),
    [anon_sym_SEMI] = ACTIONS(2744),
    [anon_sym_EQ] = ACTIONS(2748),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2744),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2744),
    [anon_sym_COMMA] = ACTIONS(2744),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2744),
    [anon_sym_DASH_GT] = ACTIONS(2744),
    [anon_sym_PERCENT] = ACTIONS(2748),
    [anon_sym_GT] = ACTIONS(2748),
    [anon_sym_LT_LT] = ACTIONS(2748),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2744),
    [anon_sym_PLUS_EQ] = ACTIONS(2744),
    [anon_sym_DASH_EQ] = ACTIONS(2744),
    [anon_sym_DOT_EQ] = ACTIONS(2744),
    [anon_sym_STAR_EQ] = ACTIONS(2744),
    [anon_sym_SLASH_EQ] = ACTIONS(2744),
    [anon_sym_PERCENT_EQ] = ACTIONS(2744),
    [anon_sym_x_EQ] = ACTIONS(2744),
    [anon_sym_AMP_EQ] = ACTIONS(2744),
    [anon_sym_PIPE_EQ] = ACTIONS(2744),
    [anon_sym_CARET_EQ] = ACTIONS(2744),
    [anon_sym_LT_LT_EQ] = ACTIONS(2744),
    [anon_sym_GT_GT_EQ] = ACTIONS(2744),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2744),
    [anon_sym_DOT_DOT] = ACTIONS(2748),
    [anon_sym_STAR_STAR] = ACTIONS(2748),
    [anon_sym_PIPE_PIPE] = ACTIONS(2748),
    [anon_sym_SLASH_SLASH] = ACTIONS(2748),
    [anon_sym_CARET_CARET] = ACTIONS(2744),
    [anon_sym_AMP_AMP] = ACTIONS(2748),
    [anon_sym_PIPE] = ACTIONS(2748),
    [anon_sym_CARET] = ACTIONS(2748),
    [anon_sym_AMP] = ACTIONS(2748),
    [anon_sym_GT_GT2] = ACTIONS(2748),
    [anon_sym_PLUS] = ACTIONS(2748),
    [anon_sym_DASH] = ACTIONS(2748),
    [anon_sym_DOT] = ACTIONS(2748),
    [anon_sym_STAR] = ACTIONS(2748),
    [anon_sym_SLASH] = ACTIONS(2748),
    [anon_sym_x] = ACTIONS(2748),
    [anon_sym_EQ_TILDE] = ACTIONS(2744),
    [anon_sym_BANG_TILDE] = ACTIONS(2744),
    [anon_sym_EQ_EQ] = ACTIONS(2748),
    [anon_sym_BANG_EQ] = ACTIONS(2744),
    [anon_sym_eq] = ACTIONS(2748),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2744),
    [anon_sym_equ] = ACTIONS(2744),
    [anon_sym_eqr] = ACTIONS(2744),
    [anon_sym_ne] = ACTIONS(2744),
    [anon_sym_LT_EQ_GT] = ACTIONS(2744),
    [anon_sym_cmp] = ACTIONS(2744),
    [anon_sym_TILDE_TILDE] = ACTIONS(2744),
    [anon_sym_LT] = ACTIONS(2748),
    [anon_sym_LT_EQ] = ACTIONS(2748),
    [anon_sym_GT_EQ] = ACTIONS(2744),
    [anon_sym_lt] = ACTIONS(2744),
    [anon_sym_le] = ACTIONS(2744),
    [anon_sym_ge] = ACTIONS(2744),
    [anon_sym_gt] = ACTIONS(2744),
    [anon_sym_isa] = ACTIONS(2744),
    [anon_sym_PLUS_PLUS] = ACTIONS(2744),
    [anon_sym_DASH_DASH] = ACTIONS(2744),
    [anon_sym_QMARK] = ACTIONS(2744),
    [anon_sym_EQ_GT] = ACTIONS(2744),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2744),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2043] = {
    [sym_heredoc_content] = STATE(2043),
    [anon_sym_RBRACE] = ACTIONS(2544),
    [anon_sym_COLON] = ACTIONS(2544),
    [anon_sym_EQ] = ACTIONS(2546),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2544),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2544),
    [anon_sym_COMMA] = ACTIONS(2544),
    [anon_sym_RPAREN] = ACTIONS(2544),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2544),
    [anon_sym_DASH_GT] = ACTIONS(2544),
    [anon_sym_PERCENT] = ACTIONS(2546),
    [anon_sym_GT] = ACTIONS(2546),
    [anon_sym_LT_LT] = ACTIONS(2546),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2544),
    [anon_sym_PLUS_EQ] = ACTIONS(2544),
    [anon_sym_DASH_EQ] = ACTIONS(2544),
    [anon_sym_DOT_EQ] = ACTIONS(2544),
    [anon_sym_STAR_EQ] = ACTIONS(2544),
    [anon_sym_SLASH_EQ] = ACTIONS(2544),
    [anon_sym_PERCENT_EQ] = ACTIONS(2544),
    [anon_sym_x_EQ] = ACTIONS(2544),
    [anon_sym_AMP_EQ] = ACTIONS(2544),
    [anon_sym_PIPE_EQ] = ACTIONS(2544),
    [anon_sym_CARET_EQ] = ACTIONS(2544),
    [anon_sym_LT_LT_EQ] = ACTIONS(2544),
    [anon_sym_GT_GT_EQ] = ACTIONS(2544),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2544),
    [anon_sym_DOT_DOT] = ACTIONS(2546),
    [anon_sym_STAR_STAR] = ACTIONS(2546),
    [anon_sym_PIPE_PIPE] = ACTIONS(2546),
    [anon_sym_SLASH_SLASH] = ACTIONS(2546),
    [anon_sym_CARET_CARET] = ACTIONS(2544),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_PIPE] = ACTIONS(2546),
    [anon_sym_CARET] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2546),
    [anon_sym_GT_GT2] = ACTIONS(2546),
    [anon_sym_PLUS] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2546),
    [anon_sym_DOT] = ACTIONS(2546),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_SLASH] = ACTIONS(2546),
    [anon_sym_x] = ACTIONS(2546),
    [anon_sym_EQ_TILDE] = ACTIONS(2544),
    [anon_sym_BANG_TILDE] = ACTIONS(2544),
    [anon_sym_EQ_EQ] = ACTIONS(2546),
    [anon_sym_BANG_EQ] = ACTIONS(2544),
    [anon_sym_eq] = ACTIONS(2546),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2544),
    [anon_sym_equ] = ACTIONS(2544),
    [anon_sym_eqr] = ACTIONS(2544),
    [anon_sym_ne] = ACTIONS(2544),
    [anon_sym_LT_EQ_GT] = ACTIONS(2544),
    [anon_sym_cmp] = ACTIONS(2544),
    [anon_sym_TILDE_TILDE] = ACTIONS(2544),
    [anon_sym_LT] = ACTIONS(2546),
    [anon_sym_LT_EQ] = ACTIONS(2546),
    [anon_sym_GT_EQ] = ACTIONS(2544),
    [anon_sym_lt] = ACTIONS(2544),
    [anon_sym_le] = ACTIONS(2544),
    [anon_sym_ge] = ACTIONS(2544),
    [anon_sym_gt] = ACTIONS(2544),
    [anon_sym_isa] = ACTIONS(2544),
    [anon_sym_PLUS_PLUS] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2544),
    [anon_sym_QMARK] = ACTIONS(2544),
    [anon_sym_EQ_GT] = ACTIONS(2544),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2044] = {
    [sym_heredoc_content] = STATE(2044),
    [anon_sym_RBRACE] = ACTIONS(1665),
    [anon_sym_COLON] = ACTIONS(1665),
    [anon_sym_EQ] = ACTIONS(1663),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1665),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1665),
    [anon_sym_COMMA] = ACTIONS(1665),
    [anon_sym_RPAREN] = ACTIONS(1665),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1665),
    [anon_sym_DASH_GT] = ACTIONS(1665),
    [anon_sym_PERCENT] = ACTIONS(1663),
    [anon_sym_GT] = ACTIONS(1663),
    [anon_sym_LT_LT] = ACTIONS(1663),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1665),
    [anon_sym_PLUS_EQ] = ACTIONS(1665),
    [anon_sym_DASH_EQ] = ACTIONS(1665),
    [anon_sym_DOT_EQ] = ACTIONS(1665),
    [anon_sym_STAR_EQ] = ACTIONS(1665),
    [anon_sym_SLASH_EQ] = ACTIONS(1665),
    [anon_sym_PERCENT_EQ] = ACTIONS(1665),
    [anon_sym_x_EQ] = ACTIONS(1665),
    [anon_sym_AMP_EQ] = ACTIONS(1665),
    [anon_sym_PIPE_EQ] = ACTIONS(1665),
    [anon_sym_CARET_EQ] = ACTIONS(1665),
    [anon_sym_LT_LT_EQ] = ACTIONS(1665),
    [anon_sym_GT_GT_EQ] = ACTIONS(1665),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1665),
    [anon_sym_DOT_DOT] = ACTIONS(1663),
    [anon_sym_STAR_STAR] = ACTIONS(1663),
    [anon_sym_PIPE_PIPE] = ACTIONS(1663),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_CARET_CARET] = ACTIONS(1665),
    [anon_sym_AMP_AMP] = ACTIONS(1663),
    [anon_sym_PIPE] = ACTIONS(1663),
    [anon_sym_CARET] = ACTIONS(1663),
    [anon_sym_AMP] = ACTIONS(1663),
    [anon_sym_GT_GT2] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(1663),
    [anon_sym_DASH] = ACTIONS(1663),
    [anon_sym_DOT] = ACTIONS(1663),
    [anon_sym_STAR] = ACTIONS(1663),
    [anon_sym_SLASH] = ACTIONS(1663),
    [anon_sym_x] = ACTIONS(1663),
    [anon_sym_EQ_TILDE] = ACTIONS(1665),
    [anon_sym_BANG_TILDE] = ACTIONS(1665),
    [anon_sym_EQ_EQ] = ACTIONS(1663),
    [anon_sym_BANG_EQ] = ACTIONS(1665),
    [anon_sym_eq] = ACTIONS(1663),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1665),
    [anon_sym_equ] = ACTIONS(1665),
    [anon_sym_eqr] = ACTIONS(1665),
    [anon_sym_ne] = ACTIONS(1665),
    [anon_sym_LT_EQ_GT] = ACTIONS(1665),
    [anon_sym_cmp] = ACTIONS(1665),
    [anon_sym_TILDE_TILDE] = ACTIONS(1665),
    [anon_sym_LT] = ACTIONS(1663),
    [anon_sym_LT_EQ] = ACTIONS(1663),
    [anon_sym_GT_EQ] = ACTIONS(1665),
    [anon_sym_lt] = ACTIONS(1665),
    [anon_sym_le] = ACTIONS(1665),
    [anon_sym_ge] = ACTIONS(1665),
    [anon_sym_gt] = ACTIONS(1665),
    [anon_sym_isa] = ACTIONS(1665),
    [anon_sym_PLUS_PLUS] = ACTIONS(1665),
    [anon_sym_DASH_DASH] = ACTIONS(1665),
    [anon_sym_QMARK] = ACTIONS(1665),
    [anon_sym_EQ_GT] = ACTIONS(1665),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2045] = {
    [sym_heredoc_content] = STATE(2045),
    [anon_sym_RBRACE] = ACTIONS(2939),
    [anon_sym_COLON] = ACTIONS(2939),
    [anon_sym_EQ] = ACTIONS(2941),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2939),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2939),
    [anon_sym_COMMA] = ACTIONS(2939),
    [anon_sym_RPAREN] = ACTIONS(2939),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2939),
    [anon_sym_DASH_GT] = ACTIONS(2939),
    [anon_sym_PERCENT] = ACTIONS(2941),
    [anon_sym_GT] = ACTIONS(2941),
    [anon_sym_LT_LT] = ACTIONS(2941),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2939),
    [anon_sym_PLUS_EQ] = ACTIONS(2939),
    [anon_sym_DASH_EQ] = ACTIONS(2939),
    [anon_sym_DOT_EQ] = ACTIONS(2939),
    [anon_sym_STAR_EQ] = ACTIONS(2939),
    [anon_sym_SLASH_EQ] = ACTIONS(2939),
    [anon_sym_PERCENT_EQ] = ACTIONS(2939),
    [anon_sym_x_EQ] = ACTIONS(2939),
    [anon_sym_AMP_EQ] = ACTIONS(2939),
    [anon_sym_PIPE_EQ] = ACTIONS(2939),
    [anon_sym_CARET_EQ] = ACTIONS(2939),
    [anon_sym_LT_LT_EQ] = ACTIONS(2939),
    [anon_sym_GT_GT_EQ] = ACTIONS(2939),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2939),
    [anon_sym_DOT_DOT] = ACTIONS(2941),
    [anon_sym_STAR_STAR] = ACTIONS(2941),
    [anon_sym_PIPE_PIPE] = ACTIONS(2941),
    [anon_sym_SLASH_SLASH] = ACTIONS(2941),
    [anon_sym_CARET_CARET] = ACTIONS(2939),
    [anon_sym_AMP_AMP] = ACTIONS(2941),
    [anon_sym_PIPE] = ACTIONS(2941),
    [anon_sym_CARET] = ACTIONS(2941),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_GT_GT2] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_DOT] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2941),
    [anon_sym_SLASH] = ACTIONS(2941),
    [anon_sym_x] = ACTIONS(2941),
    [anon_sym_EQ_TILDE] = ACTIONS(2939),
    [anon_sym_BANG_TILDE] = ACTIONS(2939),
    [anon_sym_EQ_EQ] = ACTIONS(2941),
    [anon_sym_BANG_EQ] = ACTIONS(2939),
    [anon_sym_eq] = ACTIONS(2941),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2939),
    [anon_sym_equ] = ACTIONS(2939),
    [anon_sym_eqr] = ACTIONS(2939),
    [anon_sym_ne] = ACTIONS(2939),
    [anon_sym_LT_EQ_GT] = ACTIONS(2939),
    [anon_sym_cmp] = ACTIONS(2939),
    [anon_sym_TILDE_TILDE] = ACTIONS(2939),
    [anon_sym_LT] = ACTIONS(2941),
    [anon_sym_LT_EQ] = ACTIONS(2941),
    [anon_sym_GT_EQ] = ACTIONS(2939),
    [anon_sym_lt] = ACTIONS(2939),
    [anon_sym_le] = ACTIONS(2939),
    [anon_sym_ge] = ACTIONS(2939),
    [anon_sym_gt] = ACTIONS(2939),
    [anon_sym_isa] = ACTIONS(2939),
    [anon_sym_PLUS_PLUS] = ACTIONS(2939),
    [anon_sym_DASH_DASH] = ACTIONS(2939),
    [anon_sym_QMARK] = ACTIONS(2939),
    [anon_sym_EQ_GT] = ACTIONS(2939),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2046] = {
    [sym_heredoc_content] = STATE(2046),
    [anon_sym_SEMI] = ACTIONS(2562),
    [anon_sym_EQ] = ACTIONS(2564),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2562),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2562),
    [anon_sym_COMMA] = ACTIONS(2562),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2562),
    [anon_sym_LBRACK] = ACTIONS(3748),
    [anon_sym_DASH_GT] = ACTIONS(2562),
    [anon_sym_PERCENT] = ACTIONS(2564),
    [anon_sym_GT] = ACTIONS(2564),
    [anon_sym_LT_LT] = ACTIONS(2564),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2562),
    [anon_sym_PLUS_EQ] = ACTIONS(2562),
    [anon_sym_DASH_EQ] = ACTIONS(2562),
    [anon_sym_DOT_EQ] = ACTIONS(2562),
    [anon_sym_STAR_EQ] = ACTIONS(2562),
    [anon_sym_SLASH_EQ] = ACTIONS(2562),
    [anon_sym_PERCENT_EQ] = ACTIONS(2562),
    [anon_sym_x_EQ] = ACTIONS(2562),
    [anon_sym_AMP_EQ] = ACTIONS(2562),
    [anon_sym_PIPE_EQ] = ACTIONS(2562),
    [anon_sym_CARET_EQ] = ACTIONS(2562),
    [anon_sym_LT_LT_EQ] = ACTIONS(2562),
    [anon_sym_GT_GT_EQ] = ACTIONS(2562),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2562),
    [anon_sym_DOT_DOT] = ACTIONS(2564),
    [anon_sym_STAR_STAR] = ACTIONS(2564),
    [anon_sym_PIPE_PIPE] = ACTIONS(2564),
    [anon_sym_SLASH_SLASH] = ACTIONS(2564),
    [anon_sym_CARET_CARET] = ACTIONS(2562),
    [anon_sym_AMP_AMP] = ACTIONS(2564),
    [anon_sym_PIPE] = ACTIONS(2564),
    [anon_sym_CARET] = ACTIONS(2564),
    [anon_sym_AMP] = ACTIONS(2564),
    [anon_sym_GT_GT2] = ACTIONS(2564),
    [anon_sym_PLUS] = ACTIONS(2564),
    [anon_sym_DASH] = ACTIONS(2564),
    [anon_sym_DOT] = ACTIONS(2564),
    [anon_sym_STAR] = ACTIONS(2564),
    [anon_sym_SLASH] = ACTIONS(2564),
    [anon_sym_x] = ACTIONS(2564),
    [anon_sym_EQ_TILDE] = ACTIONS(2562),
    [anon_sym_BANG_TILDE] = ACTIONS(2562),
    [anon_sym_EQ_EQ] = ACTIONS(2564),
    [anon_sym_BANG_EQ] = ACTIONS(2562),
    [anon_sym_eq] = ACTIONS(2564),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2562),
    [anon_sym_equ] = ACTIONS(2562),
    [anon_sym_eqr] = ACTIONS(2562),
    [anon_sym_ne] = ACTIONS(2562),
    [anon_sym_LT_EQ_GT] = ACTIONS(2562),
    [anon_sym_cmp] = ACTIONS(2562),
    [anon_sym_TILDE_TILDE] = ACTIONS(2562),
    [anon_sym_LT] = ACTIONS(2564),
    [anon_sym_LT_EQ] = ACTIONS(2564),
    [anon_sym_GT_EQ] = ACTIONS(2562),
    [anon_sym_lt] = ACTIONS(2562),
    [anon_sym_le] = ACTIONS(2562),
    [anon_sym_ge] = ACTIONS(2562),
    [anon_sym_gt] = ACTIONS(2562),
    [anon_sym_isa] = ACTIONS(2562),
    [anon_sym_PLUS_PLUS] = ACTIONS(2562),
    [anon_sym_DASH_DASH] = ACTIONS(2562),
    [anon_sym_QMARK] = ACTIONS(2562),
    [anon_sym_EQ_GT] = ACTIONS(2562),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2562),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2047] = {
    [sym_heredoc_content] = STATE(2047),
    [anon_sym_RBRACE] = ACTIONS(2955),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_EQ] = ACTIONS(2957),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2955),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2955),
    [anon_sym_COMMA] = ACTIONS(2955),
    [anon_sym_RPAREN] = ACTIONS(2955),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2955),
    [anon_sym_DASH_GT] = ACTIONS(2955),
    [anon_sym_PERCENT] = ACTIONS(2957),
    [anon_sym_GT] = ACTIONS(2957),
    [anon_sym_LT_LT] = ACTIONS(2957),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2955),
    [anon_sym_PLUS_EQ] = ACTIONS(2955),
    [anon_sym_DASH_EQ] = ACTIONS(2955),
    [anon_sym_DOT_EQ] = ACTIONS(2955),
    [anon_sym_STAR_EQ] = ACTIONS(2955),
    [anon_sym_SLASH_EQ] = ACTIONS(2955),
    [anon_sym_PERCENT_EQ] = ACTIONS(2955),
    [anon_sym_x_EQ] = ACTIONS(2955),
    [anon_sym_AMP_EQ] = ACTIONS(2955),
    [anon_sym_PIPE_EQ] = ACTIONS(2955),
    [anon_sym_CARET_EQ] = ACTIONS(2955),
    [anon_sym_LT_LT_EQ] = ACTIONS(2955),
    [anon_sym_GT_GT_EQ] = ACTIONS(2955),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2955),
    [anon_sym_DOT_DOT] = ACTIONS(2957),
    [anon_sym_STAR_STAR] = ACTIONS(2957),
    [anon_sym_PIPE_PIPE] = ACTIONS(2957),
    [anon_sym_SLASH_SLASH] = ACTIONS(2957),
    [anon_sym_CARET_CARET] = ACTIONS(2955),
    [anon_sym_AMP_AMP] = ACTIONS(2957),
    [anon_sym_PIPE] = ACTIONS(2957),
    [anon_sym_CARET] = ACTIONS(2957),
    [anon_sym_AMP] = ACTIONS(2957),
    [anon_sym_GT_GT2] = ACTIONS(2957),
    [anon_sym_PLUS] = ACTIONS(2957),
    [anon_sym_DASH] = ACTIONS(2957),
    [anon_sym_DOT] = ACTIONS(2957),
    [anon_sym_STAR] = ACTIONS(2957),
    [anon_sym_SLASH] = ACTIONS(2957),
    [anon_sym_x] = ACTIONS(2957),
    [anon_sym_EQ_TILDE] = ACTIONS(2955),
    [anon_sym_BANG_TILDE] = ACTIONS(2955),
    [anon_sym_EQ_EQ] = ACTIONS(2957),
    [anon_sym_BANG_EQ] = ACTIONS(2955),
    [anon_sym_eq] = ACTIONS(2957),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2955),
    [anon_sym_equ] = ACTIONS(2955),
    [anon_sym_eqr] = ACTIONS(2955),
    [anon_sym_ne] = ACTIONS(2955),
    [anon_sym_LT_EQ_GT] = ACTIONS(2955),
    [anon_sym_cmp] = ACTIONS(2955),
    [anon_sym_TILDE_TILDE] = ACTIONS(2955),
    [anon_sym_LT] = ACTIONS(2957),
    [anon_sym_LT_EQ] = ACTIONS(2957),
    [anon_sym_GT_EQ] = ACTIONS(2955),
    [anon_sym_lt] = ACTIONS(2955),
    [anon_sym_le] = ACTIONS(2955),
    [anon_sym_ge] = ACTIONS(2955),
    [anon_sym_gt] = ACTIONS(2955),
    [anon_sym_isa] = ACTIONS(2955),
    [anon_sym_PLUS_PLUS] = ACTIONS(2955),
    [anon_sym_DASH_DASH] = ACTIONS(2955),
    [anon_sym_QMARK] = ACTIONS(2955),
    [anon_sym_EQ_GT] = ACTIONS(2955),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2048] = {
    [sym_heredoc_content] = STATE(2048),
    [anon_sym_RBRACE] = ACTIONS(2853),
    [anon_sym_COLON] = ACTIONS(2853),
    [anon_sym_EQ] = ACTIONS(2855),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2853),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2853),
    [anon_sym_COMMA] = ACTIONS(2853),
    [anon_sym_RPAREN] = ACTIONS(2853),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2853),
    [anon_sym_DASH_GT] = ACTIONS(2853),
    [anon_sym_PERCENT] = ACTIONS(2855),
    [anon_sym_GT] = ACTIONS(2855),
    [anon_sym_LT_LT] = ACTIONS(2855),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2853),
    [anon_sym_PLUS_EQ] = ACTIONS(2853),
    [anon_sym_DASH_EQ] = ACTIONS(2853),
    [anon_sym_DOT_EQ] = ACTIONS(2853),
    [anon_sym_STAR_EQ] = ACTIONS(2853),
    [anon_sym_SLASH_EQ] = ACTIONS(2853),
    [anon_sym_PERCENT_EQ] = ACTIONS(2853),
    [anon_sym_x_EQ] = ACTIONS(2853),
    [anon_sym_AMP_EQ] = ACTIONS(2853),
    [anon_sym_PIPE_EQ] = ACTIONS(2853),
    [anon_sym_CARET_EQ] = ACTIONS(2853),
    [anon_sym_LT_LT_EQ] = ACTIONS(2853),
    [anon_sym_GT_GT_EQ] = ACTIONS(2853),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2853),
    [anon_sym_DOT_DOT] = ACTIONS(2855),
    [anon_sym_STAR_STAR] = ACTIONS(2855),
    [anon_sym_PIPE_PIPE] = ACTIONS(2855),
    [anon_sym_SLASH_SLASH] = ACTIONS(2855),
    [anon_sym_CARET_CARET] = ACTIONS(2853),
    [anon_sym_AMP_AMP] = ACTIONS(2855),
    [anon_sym_PIPE] = ACTIONS(2855),
    [anon_sym_CARET] = ACTIONS(2855),
    [anon_sym_AMP] = ACTIONS(2855),
    [anon_sym_GT_GT2] = ACTIONS(2855),
    [anon_sym_PLUS] = ACTIONS(2855),
    [anon_sym_DASH] = ACTIONS(2855),
    [anon_sym_DOT] = ACTIONS(2855),
    [anon_sym_STAR] = ACTIONS(2855),
    [anon_sym_SLASH] = ACTIONS(2855),
    [anon_sym_x] = ACTIONS(2855),
    [anon_sym_EQ_TILDE] = ACTIONS(2853),
    [anon_sym_BANG_TILDE] = ACTIONS(2853),
    [anon_sym_EQ_EQ] = ACTIONS(2855),
    [anon_sym_BANG_EQ] = ACTIONS(2853),
    [anon_sym_eq] = ACTIONS(2855),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2853),
    [anon_sym_equ] = ACTIONS(2853),
    [anon_sym_eqr] = ACTIONS(2853),
    [anon_sym_ne] = ACTIONS(2853),
    [anon_sym_LT_EQ_GT] = ACTIONS(2853),
    [anon_sym_cmp] = ACTIONS(2853),
    [anon_sym_TILDE_TILDE] = ACTIONS(2853),
    [anon_sym_LT] = ACTIONS(2855),
    [anon_sym_LT_EQ] = ACTIONS(2855),
    [anon_sym_GT_EQ] = ACTIONS(2853),
    [anon_sym_lt] = ACTIONS(2853),
    [anon_sym_le] = ACTIONS(2853),
    [anon_sym_ge] = ACTIONS(2853),
    [anon_sym_gt] = ACTIONS(2853),
    [anon_sym_isa] = ACTIONS(2853),
    [anon_sym_PLUS_PLUS] = ACTIONS(2853),
    [anon_sym_DASH_DASH] = ACTIONS(2853),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_EQ_GT] = ACTIONS(2853),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2049] = {
    [sym_heredoc_content] = STATE(2049),
    [anon_sym_RBRACE] = ACTIONS(2861),
    [anon_sym_COLON] = ACTIONS(2861),
    [anon_sym_EQ] = ACTIONS(2863),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2861),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2861),
    [anon_sym_COMMA] = ACTIONS(2861),
    [anon_sym_RPAREN] = ACTIONS(2861),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2861),
    [anon_sym_DASH_GT] = ACTIONS(2861),
    [anon_sym_PERCENT] = ACTIONS(2863),
    [anon_sym_GT] = ACTIONS(2863),
    [anon_sym_LT_LT] = ACTIONS(2863),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2861),
    [anon_sym_PLUS_EQ] = ACTIONS(2861),
    [anon_sym_DASH_EQ] = ACTIONS(2861),
    [anon_sym_DOT_EQ] = ACTIONS(2861),
    [anon_sym_STAR_EQ] = ACTIONS(2861),
    [anon_sym_SLASH_EQ] = ACTIONS(2861),
    [anon_sym_PERCENT_EQ] = ACTIONS(2861),
    [anon_sym_x_EQ] = ACTIONS(2861),
    [anon_sym_AMP_EQ] = ACTIONS(2861),
    [anon_sym_PIPE_EQ] = ACTIONS(2861),
    [anon_sym_CARET_EQ] = ACTIONS(2861),
    [anon_sym_LT_LT_EQ] = ACTIONS(2861),
    [anon_sym_GT_GT_EQ] = ACTIONS(2861),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2861),
    [anon_sym_DOT_DOT] = ACTIONS(2863),
    [anon_sym_STAR_STAR] = ACTIONS(2863),
    [anon_sym_PIPE_PIPE] = ACTIONS(2863),
    [anon_sym_SLASH_SLASH] = ACTIONS(2863),
    [anon_sym_CARET_CARET] = ACTIONS(2861),
    [anon_sym_AMP_AMP] = ACTIONS(2863),
    [anon_sym_PIPE] = ACTIONS(2863),
    [anon_sym_CARET] = ACTIONS(2863),
    [anon_sym_AMP] = ACTIONS(2863),
    [anon_sym_GT_GT2] = ACTIONS(2863),
    [anon_sym_PLUS] = ACTIONS(2863),
    [anon_sym_DASH] = ACTIONS(2863),
    [anon_sym_DOT] = ACTIONS(2863),
    [anon_sym_STAR] = ACTIONS(2863),
    [anon_sym_SLASH] = ACTIONS(2863),
    [anon_sym_x] = ACTIONS(2863),
    [anon_sym_EQ_TILDE] = ACTIONS(2861),
    [anon_sym_BANG_TILDE] = ACTIONS(2861),
    [anon_sym_EQ_EQ] = ACTIONS(2863),
    [anon_sym_BANG_EQ] = ACTIONS(2861),
    [anon_sym_eq] = ACTIONS(2863),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2861),
    [anon_sym_equ] = ACTIONS(2861),
    [anon_sym_eqr] = ACTIONS(2861),
    [anon_sym_ne] = ACTIONS(2861),
    [anon_sym_LT_EQ_GT] = ACTIONS(2861),
    [anon_sym_cmp] = ACTIONS(2861),
    [anon_sym_TILDE_TILDE] = ACTIONS(2861),
    [anon_sym_LT] = ACTIONS(2863),
    [anon_sym_LT_EQ] = ACTIONS(2863),
    [anon_sym_GT_EQ] = ACTIONS(2861),
    [anon_sym_lt] = ACTIONS(2861),
    [anon_sym_le] = ACTIONS(2861),
    [anon_sym_ge] = ACTIONS(2861),
    [anon_sym_gt] = ACTIONS(2861),
    [anon_sym_isa] = ACTIONS(2861),
    [anon_sym_PLUS_PLUS] = ACTIONS(2861),
    [anon_sym_DASH_DASH] = ACTIONS(2861),
    [anon_sym_QMARK] = ACTIONS(2861),
    [anon_sym_EQ_GT] = ACTIONS(2861),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2050] = {
    [sym_heredoc_content] = STATE(2050),
    [anon_sym_SEMI] = ACTIONS(2660),
    [anon_sym_EQ] = ACTIONS(2662),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2660),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2660),
    [anon_sym_COMMA] = ACTIONS(2660),
    [anon_sym_LPAREN] = ACTIONS(3750),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2660),
    [anon_sym_DASH_GT] = ACTIONS(2660),
    [anon_sym_PERCENT] = ACTIONS(2662),
    [anon_sym_GT] = ACTIONS(2662),
    [anon_sym_LT_LT] = ACTIONS(2662),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2660),
    [anon_sym_PLUS_EQ] = ACTIONS(2660),
    [anon_sym_DASH_EQ] = ACTIONS(2660),
    [anon_sym_DOT_EQ] = ACTIONS(2660),
    [anon_sym_STAR_EQ] = ACTIONS(2660),
    [anon_sym_SLASH_EQ] = ACTIONS(2660),
    [anon_sym_PERCENT_EQ] = ACTIONS(2660),
    [anon_sym_x_EQ] = ACTIONS(2660),
    [anon_sym_AMP_EQ] = ACTIONS(2660),
    [anon_sym_PIPE_EQ] = ACTIONS(2660),
    [anon_sym_CARET_EQ] = ACTIONS(2660),
    [anon_sym_LT_LT_EQ] = ACTIONS(2660),
    [anon_sym_GT_GT_EQ] = ACTIONS(2660),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2660),
    [anon_sym_DOT_DOT] = ACTIONS(2662),
    [anon_sym_STAR_STAR] = ACTIONS(2662),
    [anon_sym_PIPE_PIPE] = ACTIONS(2662),
    [anon_sym_SLASH_SLASH] = ACTIONS(2662),
    [anon_sym_CARET_CARET] = ACTIONS(2660),
    [anon_sym_AMP_AMP] = ACTIONS(2662),
    [anon_sym_PIPE] = ACTIONS(2662),
    [anon_sym_CARET] = ACTIONS(2662),
    [anon_sym_AMP] = ACTIONS(2662),
    [anon_sym_GT_GT2] = ACTIONS(2662),
    [anon_sym_PLUS] = ACTIONS(2662),
    [anon_sym_DASH] = ACTIONS(2662),
    [anon_sym_DOT] = ACTIONS(2662),
    [anon_sym_STAR] = ACTIONS(2662),
    [anon_sym_SLASH] = ACTIONS(2662),
    [anon_sym_x] = ACTIONS(2662),
    [anon_sym_EQ_TILDE] = ACTIONS(2660),
    [anon_sym_BANG_TILDE] = ACTIONS(2660),
    [anon_sym_EQ_EQ] = ACTIONS(2662),
    [anon_sym_BANG_EQ] = ACTIONS(2660),
    [anon_sym_eq] = ACTIONS(2662),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2660),
    [anon_sym_equ] = ACTIONS(2660),
    [anon_sym_eqr] = ACTIONS(2660),
    [anon_sym_ne] = ACTIONS(2660),
    [anon_sym_LT_EQ_GT] = ACTIONS(2660),
    [anon_sym_cmp] = ACTIONS(2660),
    [anon_sym_TILDE_TILDE] = ACTIONS(2660),
    [anon_sym_LT] = ACTIONS(2662),
    [anon_sym_LT_EQ] = ACTIONS(2662),
    [anon_sym_GT_EQ] = ACTIONS(2660),
    [anon_sym_lt] = ACTIONS(2660),
    [anon_sym_le] = ACTIONS(2660),
    [anon_sym_ge] = ACTIONS(2660),
    [anon_sym_gt] = ACTIONS(2660),
    [anon_sym_isa] = ACTIONS(2660),
    [anon_sym_PLUS_PLUS] = ACTIONS(2660),
    [anon_sym_DASH_DASH] = ACTIONS(2660),
    [anon_sym_QMARK] = ACTIONS(2660),
    [anon_sym_EQ_GT] = ACTIONS(2660),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2660),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2051] = {
    [sym_heredoc_content] = STATE(2051),
    [anon_sym_RBRACE] = ACTIONS(2865),
    [anon_sym_COLON] = ACTIONS(2865),
    [anon_sym_EQ] = ACTIONS(2867),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2865),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2865),
    [anon_sym_COMMA] = ACTIONS(2865),
    [anon_sym_RPAREN] = ACTIONS(2865),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2865),
    [anon_sym_DASH_GT] = ACTIONS(2865),
    [anon_sym_PERCENT] = ACTIONS(2867),
    [anon_sym_GT] = ACTIONS(2867),
    [anon_sym_LT_LT] = ACTIONS(2867),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2865),
    [anon_sym_PLUS_EQ] = ACTIONS(2865),
    [anon_sym_DASH_EQ] = ACTIONS(2865),
    [anon_sym_DOT_EQ] = ACTIONS(2865),
    [anon_sym_STAR_EQ] = ACTIONS(2865),
    [anon_sym_SLASH_EQ] = ACTIONS(2865),
    [anon_sym_PERCENT_EQ] = ACTIONS(2865),
    [anon_sym_x_EQ] = ACTIONS(2865),
    [anon_sym_AMP_EQ] = ACTIONS(2865),
    [anon_sym_PIPE_EQ] = ACTIONS(2865),
    [anon_sym_CARET_EQ] = ACTIONS(2865),
    [anon_sym_LT_LT_EQ] = ACTIONS(2865),
    [anon_sym_GT_GT_EQ] = ACTIONS(2865),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2865),
    [anon_sym_DOT_DOT] = ACTIONS(2867),
    [anon_sym_STAR_STAR] = ACTIONS(2867),
    [anon_sym_PIPE_PIPE] = ACTIONS(2867),
    [anon_sym_SLASH_SLASH] = ACTIONS(2867),
    [anon_sym_CARET_CARET] = ACTIONS(2865),
    [anon_sym_AMP_AMP] = ACTIONS(2867),
    [anon_sym_PIPE] = ACTIONS(2867),
    [anon_sym_CARET] = ACTIONS(2867),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_GT_GT2] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_DOT] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2867),
    [anon_sym_SLASH] = ACTIONS(2867),
    [anon_sym_x] = ACTIONS(2867),
    [anon_sym_EQ_TILDE] = ACTIONS(2865),
    [anon_sym_BANG_TILDE] = ACTIONS(2865),
    [anon_sym_EQ_EQ] = ACTIONS(2867),
    [anon_sym_BANG_EQ] = ACTIONS(2865),
    [anon_sym_eq] = ACTIONS(2867),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2865),
    [anon_sym_equ] = ACTIONS(2865),
    [anon_sym_eqr] = ACTIONS(2865),
    [anon_sym_ne] = ACTIONS(2865),
    [anon_sym_LT_EQ_GT] = ACTIONS(2865),
    [anon_sym_cmp] = ACTIONS(2865),
    [anon_sym_TILDE_TILDE] = ACTIONS(2865),
    [anon_sym_LT] = ACTIONS(2867),
    [anon_sym_LT_EQ] = ACTIONS(2867),
    [anon_sym_GT_EQ] = ACTIONS(2865),
    [anon_sym_lt] = ACTIONS(2865),
    [anon_sym_le] = ACTIONS(2865),
    [anon_sym_ge] = ACTIONS(2865),
    [anon_sym_gt] = ACTIONS(2865),
    [anon_sym_isa] = ACTIONS(2865),
    [anon_sym_PLUS_PLUS] = ACTIONS(2865),
    [anon_sym_DASH_DASH] = ACTIONS(2865),
    [anon_sym_QMARK] = ACTIONS(2865),
    [anon_sym_EQ_GT] = ACTIONS(2865),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2052] = {
    [sym_heredoc_content] = STATE(2052),
    [anon_sym_RBRACE] = ACTIONS(1970),
    [anon_sym_COLON] = ACTIONS(1970),
    [anon_sym_EQ] = ACTIONS(1966),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1970),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1970),
    [anon_sym_COMMA] = ACTIONS(1970),
    [anon_sym_RPAREN] = ACTIONS(1970),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1970),
    [anon_sym_DASH_GT] = ACTIONS(1970),
    [anon_sym_PERCENT] = ACTIONS(1966),
    [anon_sym_GT] = ACTIONS(1966),
    [anon_sym_LT_LT] = ACTIONS(1966),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1970),
    [anon_sym_PLUS_EQ] = ACTIONS(1970),
    [anon_sym_DASH_EQ] = ACTIONS(1970),
    [anon_sym_DOT_EQ] = ACTIONS(1970),
    [anon_sym_STAR_EQ] = ACTIONS(1970),
    [anon_sym_SLASH_EQ] = ACTIONS(1970),
    [anon_sym_PERCENT_EQ] = ACTIONS(1970),
    [anon_sym_x_EQ] = ACTIONS(1970),
    [anon_sym_AMP_EQ] = ACTIONS(1970),
    [anon_sym_PIPE_EQ] = ACTIONS(1970),
    [anon_sym_CARET_EQ] = ACTIONS(1970),
    [anon_sym_LT_LT_EQ] = ACTIONS(1970),
    [anon_sym_GT_GT_EQ] = ACTIONS(1970),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1970),
    [anon_sym_DOT_DOT] = ACTIONS(1966),
    [anon_sym_STAR_STAR] = ACTIONS(1966),
    [anon_sym_PIPE_PIPE] = ACTIONS(1966),
    [anon_sym_SLASH_SLASH] = ACTIONS(1966),
    [anon_sym_CARET_CARET] = ACTIONS(1970),
    [anon_sym_AMP_AMP] = ACTIONS(1966),
    [anon_sym_PIPE] = ACTIONS(1966),
    [anon_sym_CARET] = ACTIONS(1966),
    [anon_sym_AMP] = ACTIONS(1966),
    [anon_sym_GT_GT2] = ACTIONS(1966),
    [anon_sym_PLUS] = ACTIONS(1966),
    [anon_sym_DASH] = ACTIONS(1966),
    [anon_sym_DOT] = ACTIONS(1966),
    [anon_sym_STAR] = ACTIONS(1966),
    [anon_sym_SLASH] = ACTIONS(1966),
    [anon_sym_x] = ACTIONS(1966),
    [anon_sym_EQ_TILDE] = ACTIONS(1970),
    [anon_sym_BANG_TILDE] = ACTIONS(1970),
    [anon_sym_EQ_EQ] = ACTIONS(1966),
    [anon_sym_BANG_EQ] = ACTIONS(1970),
    [anon_sym_eq] = ACTIONS(1966),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1970),
    [anon_sym_equ] = ACTIONS(1970),
    [anon_sym_eqr] = ACTIONS(1970),
    [anon_sym_ne] = ACTIONS(1970),
    [anon_sym_LT_EQ_GT] = ACTIONS(1970),
    [anon_sym_cmp] = ACTIONS(1970),
    [anon_sym_TILDE_TILDE] = ACTIONS(1970),
    [anon_sym_LT] = ACTIONS(1966),
    [anon_sym_LT_EQ] = ACTIONS(1966),
    [anon_sym_GT_EQ] = ACTIONS(1970),
    [anon_sym_lt] = ACTIONS(1970),
    [anon_sym_le] = ACTIONS(1970),
    [anon_sym_ge] = ACTIONS(1970),
    [anon_sym_gt] = ACTIONS(1970),
    [anon_sym_isa] = ACTIONS(1970),
    [anon_sym_PLUS_PLUS] = ACTIONS(1970),
    [anon_sym_DASH_DASH] = ACTIONS(1970),
    [anon_sym_QMARK] = ACTIONS(1970),
    [anon_sym_EQ_GT] = ACTIONS(1970),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2053] = {
    [sym_heredoc_content] = STATE(2053),
    [anon_sym_RBRACE] = ACTIONS(2963),
    [anon_sym_COLON] = ACTIONS(2963),
    [anon_sym_EQ] = ACTIONS(2965),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2963),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2963),
    [anon_sym_COMMA] = ACTIONS(2963),
    [anon_sym_RPAREN] = ACTIONS(2963),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2963),
    [anon_sym_DASH_GT] = ACTIONS(2963),
    [anon_sym_PERCENT] = ACTIONS(2965),
    [anon_sym_GT] = ACTIONS(2965),
    [anon_sym_LT_LT] = ACTIONS(2965),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2963),
    [anon_sym_PLUS_EQ] = ACTIONS(2963),
    [anon_sym_DASH_EQ] = ACTIONS(2963),
    [anon_sym_DOT_EQ] = ACTIONS(2963),
    [anon_sym_STAR_EQ] = ACTIONS(2963),
    [anon_sym_SLASH_EQ] = ACTIONS(2963),
    [anon_sym_PERCENT_EQ] = ACTIONS(2963),
    [anon_sym_x_EQ] = ACTIONS(2963),
    [anon_sym_AMP_EQ] = ACTIONS(2963),
    [anon_sym_PIPE_EQ] = ACTIONS(2963),
    [anon_sym_CARET_EQ] = ACTIONS(2963),
    [anon_sym_LT_LT_EQ] = ACTIONS(2963),
    [anon_sym_GT_GT_EQ] = ACTIONS(2963),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2963),
    [anon_sym_DOT_DOT] = ACTIONS(2965),
    [anon_sym_STAR_STAR] = ACTIONS(2965),
    [anon_sym_PIPE_PIPE] = ACTIONS(2965),
    [anon_sym_SLASH_SLASH] = ACTIONS(2965),
    [anon_sym_CARET_CARET] = ACTIONS(2963),
    [anon_sym_AMP_AMP] = ACTIONS(2965),
    [anon_sym_PIPE] = ACTIONS(2965),
    [anon_sym_CARET] = ACTIONS(2965),
    [anon_sym_AMP] = ACTIONS(2965),
    [anon_sym_GT_GT2] = ACTIONS(2965),
    [anon_sym_PLUS] = ACTIONS(2965),
    [anon_sym_DASH] = ACTIONS(2965),
    [anon_sym_DOT] = ACTIONS(2965),
    [anon_sym_STAR] = ACTIONS(2965),
    [anon_sym_SLASH] = ACTIONS(2965),
    [anon_sym_x] = ACTIONS(2965),
    [anon_sym_EQ_TILDE] = ACTIONS(2963),
    [anon_sym_BANG_TILDE] = ACTIONS(2963),
    [anon_sym_EQ_EQ] = ACTIONS(2965),
    [anon_sym_BANG_EQ] = ACTIONS(2963),
    [anon_sym_eq] = ACTIONS(2965),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2963),
    [anon_sym_equ] = ACTIONS(2963),
    [anon_sym_eqr] = ACTIONS(2963),
    [anon_sym_ne] = ACTIONS(2963),
    [anon_sym_LT_EQ_GT] = ACTIONS(2963),
    [anon_sym_cmp] = ACTIONS(2963),
    [anon_sym_TILDE_TILDE] = ACTIONS(2963),
    [anon_sym_LT] = ACTIONS(2965),
    [anon_sym_LT_EQ] = ACTIONS(2965),
    [anon_sym_GT_EQ] = ACTIONS(2963),
    [anon_sym_lt] = ACTIONS(2963),
    [anon_sym_le] = ACTIONS(2963),
    [anon_sym_ge] = ACTIONS(2963),
    [anon_sym_gt] = ACTIONS(2963),
    [anon_sym_isa] = ACTIONS(2963),
    [anon_sym_PLUS_PLUS] = ACTIONS(2963),
    [anon_sym_DASH_DASH] = ACTIONS(2963),
    [anon_sym_QMARK] = ACTIONS(2963),
    [anon_sym_EQ_GT] = ACTIONS(2963),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2054] = {
    [sym_heredoc_content] = STATE(2054),
    [anon_sym_RBRACE] = ACTIONS(2975),
    [anon_sym_COLON] = ACTIONS(2975),
    [anon_sym_EQ] = ACTIONS(2977),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2975),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2975),
    [anon_sym_COMMA] = ACTIONS(2975),
    [anon_sym_RPAREN] = ACTIONS(2975),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2975),
    [anon_sym_DASH_GT] = ACTIONS(2975),
    [anon_sym_PERCENT] = ACTIONS(2977),
    [anon_sym_GT] = ACTIONS(2977),
    [anon_sym_LT_LT] = ACTIONS(2977),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2975),
    [anon_sym_PLUS_EQ] = ACTIONS(2975),
    [anon_sym_DASH_EQ] = ACTIONS(2975),
    [anon_sym_DOT_EQ] = ACTIONS(2975),
    [anon_sym_STAR_EQ] = ACTIONS(2975),
    [anon_sym_SLASH_EQ] = ACTIONS(2975),
    [anon_sym_PERCENT_EQ] = ACTIONS(2975),
    [anon_sym_x_EQ] = ACTIONS(2975),
    [anon_sym_AMP_EQ] = ACTIONS(2975),
    [anon_sym_PIPE_EQ] = ACTIONS(2975),
    [anon_sym_CARET_EQ] = ACTIONS(2975),
    [anon_sym_LT_LT_EQ] = ACTIONS(2975),
    [anon_sym_GT_GT_EQ] = ACTIONS(2975),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2975),
    [anon_sym_DOT_DOT] = ACTIONS(2977),
    [anon_sym_STAR_STAR] = ACTIONS(2977),
    [anon_sym_PIPE_PIPE] = ACTIONS(2977),
    [anon_sym_SLASH_SLASH] = ACTIONS(2977),
    [anon_sym_CARET_CARET] = ACTIONS(2975),
    [anon_sym_AMP_AMP] = ACTIONS(2977),
    [anon_sym_PIPE] = ACTIONS(2977),
    [anon_sym_CARET] = ACTIONS(2977),
    [anon_sym_AMP] = ACTIONS(2977),
    [anon_sym_GT_GT2] = ACTIONS(2977),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(2977),
    [anon_sym_DOT] = ACTIONS(2977),
    [anon_sym_STAR] = ACTIONS(2977),
    [anon_sym_SLASH] = ACTIONS(2977),
    [anon_sym_x] = ACTIONS(2977),
    [anon_sym_EQ_TILDE] = ACTIONS(2975),
    [anon_sym_BANG_TILDE] = ACTIONS(2975),
    [anon_sym_EQ_EQ] = ACTIONS(2977),
    [anon_sym_BANG_EQ] = ACTIONS(2975),
    [anon_sym_eq] = ACTIONS(2977),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2975),
    [anon_sym_equ] = ACTIONS(2975),
    [anon_sym_eqr] = ACTIONS(2975),
    [anon_sym_ne] = ACTIONS(2975),
    [anon_sym_LT_EQ_GT] = ACTIONS(2975),
    [anon_sym_cmp] = ACTIONS(2975),
    [anon_sym_TILDE_TILDE] = ACTIONS(2975),
    [anon_sym_LT] = ACTIONS(2977),
    [anon_sym_LT_EQ] = ACTIONS(2977),
    [anon_sym_GT_EQ] = ACTIONS(2975),
    [anon_sym_lt] = ACTIONS(2975),
    [anon_sym_le] = ACTIONS(2975),
    [anon_sym_ge] = ACTIONS(2975),
    [anon_sym_gt] = ACTIONS(2975),
    [anon_sym_isa] = ACTIONS(2975),
    [anon_sym_PLUS_PLUS] = ACTIONS(2975),
    [anon_sym_DASH_DASH] = ACTIONS(2975),
    [anon_sym_QMARK] = ACTIONS(2975),
    [anon_sym_EQ_GT] = ACTIONS(2975),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2055] = {
    [sym_heredoc_content] = STATE(2055),
    [anon_sym_RBRACE] = ACTIONS(2923),
    [anon_sym_COLON] = ACTIONS(2923),
    [anon_sym_EQ] = ACTIONS(2925),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2923),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2923),
    [anon_sym_COMMA] = ACTIONS(2923),
    [anon_sym_RPAREN] = ACTIONS(2923),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2923),
    [anon_sym_DASH_GT] = ACTIONS(2923),
    [anon_sym_PERCENT] = ACTIONS(2925),
    [anon_sym_GT] = ACTIONS(2925),
    [anon_sym_LT_LT] = ACTIONS(2925),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2923),
    [anon_sym_PLUS_EQ] = ACTIONS(2923),
    [anon_sym_DASH_EQ] = ACTIONS(2923),
    [anon_sym_DOT_EQ] = ACTIONS(2923),
    [anon_sym_STAR_EQ] = ACTIONS(2923),
    [anon_sym_SLASH_EQ] = ACTIONS(2923),
    [anon_sym_PERCENT_EQ] = ACTIONS(2923),
    [anon_sym_x_EQ] = ACTIONS(2923),
    [anon_sym_AMP_EQ] = ACTIONS(2923),
    [anon_sym_PIPE_EQ] = ACTIONS(2923),
    [anon_sym_CARET_EQ] = ACTIONS(2923),
    [anon_sym_LT_LT_EQ] = ACTIONS(2923),
    [anon_sym_GT_GT_EQ] = ACTIONS(2923),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2923),
    [anon_sym_DOT_DOT] = ACTIONS(2925),
    [anon_sym_STAR_STAR] = ACTIONS(2925),
    [anon_sym_PIPE_PIPE] = ACTIONS(2925),
    [anon_sym_SLASH_SLASH] = ACTIONS(2925),
    [anon_sym_CARET_CARET] = ACTIONS(2923),
    [anon_sym_AMP_AMP] = ACTIONS(2925),
    [anon_sym_PIPE] = ACTIONS(2925),
    [anon_sym_CARET] = ACTIONS(2925),
    [anon_sym_AMP] = ACTIONS(2925),
    [anon_sym_GT_GT2] = ACTIONS(2925),
    [anon_sym_PLUS] = ACTIONS(2925),
    [anon_sym_DASH] = ACTIONS(2925),
    [anon_sym_DOT] = ACTIONS(2925),
    [anon_sym_STAR] = ACTIONS(2925),
    [anon_sym_SLASH] = ACTIONS(2925),
    [anon_sym_x] = ACTIONS(2925),
    [anon_sym_EQ_TILDE] = ACTIONS(2923),
    [anon_sym_BANG_TILDE] = ACTIONS(2923),
    [anon_sym_EQ_EQ] = ACTIONS(2925),
    [anon_sym_BANG_EQ] = ACTIONS(2923),
    [anon_sym_eq] = ACTIONS(2925),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2923),
    [anon_sym_equ] = ACTIONS(2923),
    [anon_sym_eqr] = ACTIONS(2923),
    [anon_sym_ne] = ACTIONS(2923),
    [anon_sym_LT_EQ_GT] = ACTIONS(2923),
    [anon_sym_cmp] = ACTIONS(2923),
    [anon_sym_TILDE_TILDE] = ACTIONS(2923),
    [anon_sym_LT] = ACTIONS(2925),
    [anon_sym_LT_EQ] = ACTIONS(2925),
    [anon_sym_GT_EQ] = ACTIONS(2923),
    [anon_sym_lt] = ACTIONS(2923),
    [anon_sym_le] = ACTIONS(2923),
    [anon_sym_ge] = ACTIONS(2923),
    [anon_sym_gt] = ACTIONS(2923),
    [anon_sym_isa] = ACTIONS(2923),
    [anon_sym_PLUS_PLUS] = ACTIONS(2923),
    [anon_sym_DASH_DASH] = ACTIONS(2923),
    [anon_sym_QMARK] = ACTIONS(2923),
    [anon_sym_EQ_GT] = ACTIONS(2923),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2056] = {
    [sym_heredoc_content] = STATE(2056),
    [anon_sym_RBRACE] = ACTIONS(3162),
    [anon_sym_COLON] = ACTIONS(3162),
    [anon_sym_EQ] = ACTIONS(3164),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3162),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3162),
    [anon_sym_COMMA] = ACTIONS(3162),
    [anon_sym_RPAREN] = ACTIONS(3162),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3162),
    [anon_sym_DASH_GT] = ACTIONS(3162),
    [anon_sym_PERCENT] = ACTIONS(3164),
    [anon_sym_GT] = ACTIONS(3164),
    [anon_sym_LT_LT] = ACTIONS(3164),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3162),
    [anon_sym_PLUS_EQ] = ACTIONS(3162),
    [anon_sym_DASH_EQ] = ACTIONS(3162),
    [anon_sym_DOT_EQ] = ACTIONS(3162),
    [anon_sym_STAR_EQ] = ACTIONS(3162),
    [anon_sym_SLASH_EQ] = ACTIONS(3162),
    [anon_sym_PERCENT_EQ] = ACTIONS(3162),
    [anon_sym_x_EQ] = ACTIONS(3162),
    [anon_sym_AMP_EQ] = ACTIONS(3162),
    [anon_sym_PIPE_EQ] = ACTIONS(3162),
    [anon_sym_CARET_EQ] = ACTIONS(3162),
    [anon_sym_LT_LT_EQ] = ACTIONS(3162),
    [anon_sym_GT_GT_EQ] = ACTIONS(3162),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3162),
    [anon_sym_DOT_DOT] = ACTIONS(3164),
    [anon_sym_STAR_STAR] = ACTIONS(3164),
    [anon_sym_PIPE_PIPE] = ACTIONS(3164),
    [anon_sym_SLASH_SLASH] = ACTIONS(3164),
    [anon_sym_CARET_CARET] = ACTIONS(3162),
    [anon_sym_AMP_AMP] = ACTIONS(3164),
    [anon_sym_PIPE] = ACTIONS(3164),
    [anon_sym_CARET] = ACTIONS(3164),
    [anon_sym_AMP] = ACTIONS(3164),
    [anon_sym_GT_GT2] = ACTIONS(3164),
    [anon_sym_PLUS] = ACTIONS(3164),
    [anon_sym_DASH] = ACTIONS(3164),
    [anon_sym_DOT] = ACTIONS(3164),
    [anon_sym_STAR] = ACTIONS(3164),
    [anon_sym_SLASH] = ACTIONS(3164),
    [anon_sym_x] = ACTIONS(3164),
    [anon_sym_EQ_TILDE] = ACTIONS(3162),
    [anon_sym_BANG_TILDE] = ACTIONS(3162),
    [anon_sym_EQ_EQ] = ACTIONS(3164),
    [anon_sym_BANG_EQ] = ACTIONS(3162),
    [anon_sym_eq] = ACTIONS(3164),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3162),
    [anon_sym_equ] = ACTIONS(3162),
    [anon_sym_eqr] = ACTIONS(3162),
    [anon_sym_ne] = ACTIONS(3162),
    [anon_sym_LT_EQ_GT] = ACTIONS(3162),
    [anon_sym_cmp] = ACTIONS(3162),
    [anon_sym_TILDE_TILDE] = ACTIONS(3162),
    [anon_sym_LT] = ACTIONS(3164),
    [anon_sym_LT_EQ] = ACTIONS(3164),
    [anon_sym_GT_EQ] = ACTIONS(3162),
    [anon_sym_lt] = ACTIONS(3162),
    [anon_sym_le] = ACTIONS(3162),
    [anon_sym_ge] = ACTIONS(3162),
    [anon_sym_gt] = ACTIONS(3162),
    [anon_sym_isa] = ACTIONS(3162),
    [anon_sym_PLUS_PLUS] = ACTIONS(3162),
    [anon_sym_DASH_DASH] = ACTIONS(3162),
    [anon_sym_QMARK] = ACTIONS(3162),
    [anon_sym_EQ_GT] = ACTIONS(3162),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2057] = {
    [sym_heredoc_content] = STATE(2057),
    [aux_sym__term_rightward_repeat1] = STATE(2060),
    [anon_sym_SEMI] = ACTIONS(2556),
    [anon_sym_EQ] = ACTIONS(2558),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2556),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2556),
    [anon_sym_COMMA] = ACTIONS(3752),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2556),
    [anon_sym_DASH_GT] = ACTIONS(2556),
    [anon_sym_PERCENT] = ACTIONS(2558),
    [anon_sym_GT] = ACTIONS(2558),
    [anon_sym_LT_LT] = ACTIONS(2558),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2556),
    [anon_sym_PLUS_EQ] = ACTIONS(2556),
    [anon_sym_DASH_EQ] = ACTIONS(2556),
    [anon_sym_DOT_EQ] = ACTIONS(2556),
    [anon_sym_STAR_EQ] = ACTIONS(2556),
    [anon_sym_SLASH_EQ] = ACTIONS(2556),
    [anon_sym_PERCENT_EQ] = ACTIONS(2556),
    [anon_sym_x_EQ] = ACTIONS(2556),
    [anon_sym_AMP_EQ] = ACTIONS(2556),
    [anon_sym_PIPE_EQ] = ACTIONS(2556),
    [anon_sym_CARET_EQ] = ACTIONS(2556),
    [anon_sym_LT_LT_EQ] = ACTIONS(2556),
    [anon_sym_GT_GT_EQ] = ACTIONS(2556),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2556),
    [anon_sym_DOT_DOT] = ACTIONS(2558),
    [anon_sym_STAR_STAR] = ACTIONS(2558),
    [anon_sym_PIPE_PIPE] = ACTIONS(2558),
    [anon_sym_SLASH_SLASH] = ACTIONS(2558),
    [anon_sym_CARET_CARET] = ACTIONS(2556),
    [anon_sym_AMP_AMP] = ACTIONS(2558),
    [anon_sym_PIPE] = ACTIONS(2558),
    [anon_sym_CARET] = ACTIONS(2558),
    [anon_sym_AMP] = ACTIONS(2558),
    [anon_sym_GT_GT2] = ACTIONS(2558),
    [anon_sym_PLUS] = ACTIONS(2558),
    [anon_sym_DASH] = ACTIONS(2558),
    [anon_sym_DOT] = ACTIONS(2558),
    [anon_sym_STAR] = ACTIONS(2558),
    [anon_sym_SLASH] = ACTIONS(2558),
    [anon_sym_x] = ACTIONS(2558),
    [anon_sym_EQ_TILDE] = ACTIONS(2556),
    [anon_sym_BANG_TILDE] = ACTIONS(2556),
    [anon_sym_EQ_EQ] = ACTIONS(2558),
    [anon_sym_BANG_EQ] = ACTIONS(2556),
    [anon_sym_eq] = ACTIONS(2558),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2556),
    [anon_sym_equ] = ACTIONS(2556),
    [anon_sym_eqr] = ACTIONS(2556),
    [anon_sym_ne] = ACTIONS(2556),
    [anon_sym_LT_EQ_GT] = ACTIONS(2556),
    [anon_sym_cmp] = ACTIONS(2556),
    [anon_sym_TILDE_TILDE] = ACTIONS(2556),
    [anon_sym_LT] = ACTIONS(2558),
    [anon_sym_LT_EQ] = ACTIONS(2558),
    [anon_sym_GT_EQ] = ACTIONS(2556),
    [anon_sym_lt] = ACTIONS(2556),
    [anon_sym_le] = ACTIONS(2556),
    [anon_sym_ge] = ACTIONS(2556),
    [anon_sym_gt] = ACTIONS(2556),
    [anon_sym_isa] = ACTIONS(2556),
    [anon_sym_PLUS_PLUS] = ACTIONS(2556),
    [anon_sym_DASH_DASH] = ACTIONS(2556),
    [anon_sym_QMARK] = ACTIONS(2556),
    [anon_sym_EQ_GT] = ACTIONS(3752),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2556),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2058] = {
    [sym_heredoc_content] = STATE(2058),
    [aux_sym__term_rightward_repeat1] = STATE(2057),
    [anon_sym_SEMI] = ACTIONS(2787),
    [anon_sym_EQ] = ACTIONS(3754),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3756),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3756),
    [anon_sym_COMMA] = ACTIONS(3752),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3758),
    [anon_sym_DASH_GT] = ACTIONS(3760),
    [anon_sym_PERCENT] = ACTIONS(3762),
    [anon_sym_GT] = ACTIONS(3764),
    [anon_sym_LT_LT] = ACTIONS(3766),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3756),
    [anon_sym_PLUS_EQ] = ACTIONS(3756),
    [anon_sym_DASH_EQ] = ACTIONS(3756),
    [anon_sym_DOT_EQ] = ACTIONS(3756),
    [anon_sym_STAR_EQ] = ACTIONS(3756),
    [anon_sym_SLASH_EQ] = ACTIONS(3756),
    [anon_sym_PERCENT_EQ] = ACTIONS(3756),
    [anon_sym_x_EQ] = ACTIONS(3756),
    [anon_sym_AMP_EQ] = ACTIONS(3756),
    [anon_sym_PIPE_EQ] = ACTIONS(3756),
    [anon_sym_CARET_EQ] = ACTIONS(3756),
    [anon_sym_LT_LT_EQ] = ACTIONS(3756),
    [anon_sym_GT_GT_EQ] = ACTIONS(3756),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3756),
    [anon_sym_DOT_DOT] = ACTIONS(3768),
    [anon_sym_STAR_STAR] = ACTIONS(3770),
    [anon_sym_PIPE_PIPE] = ACTIONS(3772),
    [anon_sym_SLASH_SLASH] = ACTIONS(3772),
    [anon_sym_CARET_CARET] = ACTIONS(3774),
    [anon_sym_AMP_AMP] = ACTIONS(3776),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3780),
    [anon_sym_GT_GT2] = ACTIONS(3766),
    [anon_sym_PLUS] = ACTIONS(3782),
    [anon_sym_DASH] = ACTIONS(3782),
    [anon_sym_DOT] = ACTIONS(3782),
    [anon_sym_STAR] = ACTIONS(3762),
    [anon_sym_SLASH] = ACTIONS(3762),
    [anon_sym_x] = ACTIONS(3762),
    [anon_sym_EQ_TILDE] = ACTIONS(3784),
    [anon_sym_BANG_TILDE] = ACTIONS(3784),
    [anon_sym_EQ_EQ] = ACTIONS(3786),
    [anon_sym_BANG_EQ] = ACTIONS(3788),
    [anon_sym_eq] = ACTIONS(3786),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3788),
    [anon_sym_equ] = ACTIONS(3788),
    [anon_sym_eqr] = ACTIONS(3788),
    [anon_sym_ne] = ACTIONS(3788),
    [anon_sym_LT_EQ_GT] = ACTIONS(3790),
    [anon_sym_cmp] = ACTIONS(3790),
    [anon_sym_TILDE_TILDE] = ACTIONS(3790),
    [anon_sym_LT] = ACTIONS(3764),
    [anon_sym_LT_EQ] = ACTIONS(3764),
    [anon_sym_GT_EQ] = ACTIONS(3792),
    [anon_sym_lt] = ACTIONS(3792),
    [anon_sym_le] = ACTIONS(3792),
    [anon_sym_ge] = ACTIONS(3792),
    [anon_sym_gt] = ACTIONS(3792),
    [anon_sym_isa] = ACTIONS(3794),
    [anon_sym_PLUS_PLUS] = ACTIONS(3796),
    [anon_sym_DASH_DASH] = ACTIONS(3796),
    [anon_sym_QMARK] = ACTIONS(3798),
    [anon_sym_EQ_GT] = ACTIONS(3752),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2787),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2059] = {
    [sym_heredoc_content] = STATE(2059),
    [anon_sym_RBRACE] = ACTIONS(3166),
    [anon_sym_COLON] = ACTIONS(3166),
    [anon_sym_EQ] = ACTIONS(3168),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3166),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3166),
    [anon_sym_COMMA] = ACTIONS(3166),
    [anon_sym_RPAREN] = ACTIONS(3166),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3166),
    [anon_sym_DASH_GT] = ACTIONS(3166),
    [anon_sym_PERCENT] = ACTIONS(3168),
    [anon_sym_GT] = ACTIONS(3168),
    [anon_sym_LT_LT] = ACTIONS(3168),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3166),
    [anon_sym_PLUS_EQ] = ACTIONS(3166),
    [anon_sym_DASH_EQ] = ACTIONS(3166),
    [anon_sym_DOT_EQ] = ACTIONS(3166),
    [anon_sym_STAR_EQ] = ACTIONS(3166),
    [anon_sym_SLASH_EQ] = ACTIONS(3166),
    [anon_sym_PERCENT_EQ] = ACTIONS(3166),
    [anon_sym_x_EQ] = ACTIONS(3166),
    [anon_sym_AMP_EQ] = ACTIONS(3166),
    [anon_sym_PIPE_EQ] = ACTIONS(3166),
    [anon_sym_CARET_EQ] = ACTIONS(3166),
    [anon_sym_LT_LT_EQ] = ACTIONS(3166),
    [anon_sym_GT_GT_EQ] = ACTIONS(3166),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3166),
    [anon_sym_DOT_DOT] = ACTIONS(3168),
    [anon_sym_STAR_STAR] = ACTIONS(3168),
    [anon_sym_PIPE_PIPE] = ACTIONS(3168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3168),
    [anon_sym_CARET_CARET] = ACTIONS(3166),
    [anon_sym_AMP_AMP] = ACTIONS(3168),
    [anon_sym_PIPE] = ACTIONS(3168),
    [anon_sym_CARET] = ACTIONS(3168),
    [anon_sym_AMP] = ACTIONS(3168),
    [anon_sym_GT_GT2] = ACTIONS(3168),
    [anon_sym_PLUS] = ACTIONS(3168),
    [anon_sym_DASH] = ACTIONS(3168),
    [anon_sym_DOT] = ACTIONS(3168),
    [anon_sym_STAR] = ACTIONS(3168),
    [anon_sym_SLASH] = ACTIONS(3168),
    [anon_sym_x] = ACTIONS(3168),
    [anon_sym_EQ_TILDE] = ACTIONS(3166),
    [anon_sym_BANG_TILDE] = ACTIONS(3166),
    [anon_sym_EQ_EQ] = ACTIONS(3168),
    [anon_sym_BANG_EQ] = ACTIONS(3166),
    [anon_sym_eq] = ACTIONS(3168),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3166),
    [anon_sym_equ] = ACTIONS(3166),
    [anon_sym_eqr] = ACTIONS(3166),
    [anon_sym_ne] = ACTIONS(3166),
    [anon_sym_LT_EQ_GT] = ACTIONS(3166),
    [anon_sym_cmp] = ACTIONS(3166),
    [anon_sym_TILDE_TILDE] = ACTIONS(3166),
    [anon_sym_LT] = ACTIONS(3168),
    [anon_sym_LT_EQ] = ACTIONS(3168),
    [anon_sym_GT_EQ] = ACTIONS(3166),
    [anon_sym_lt] = ACTIONS(3166),
    [anon_sym_le] = ACTIONS(3166),
    [anon_sym_ge] = ACTIONS(3166),
    [anon_sym_gt] = ACTIONS(3166),
    [anon_sym_isa] = ACTIONS(3166),
    [anon_sym_PLUS_PLUS] = ACTIONS(3166),
    [anon_sym_DASH_DASH] = ACTIONS(3166),
    [anon_sym_QMARK] = ACTIONS(3166),
    [anon_sym_EQ_GT] = ACTIONS(3166),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2060] = {
    [sym_heredoc_content] = STATE(2060),
    [aux_sym__term_rightward_repeat1] = STATE(2060),
    [anon_sym_SEMI] = ACTIONS(2774),
    [anon_sym_EQ] = ACTIONS(2776),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2774),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2774),
    [anon_sym_COMMA] = ACTIONS(3800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2774),
    [anon_sym_DASH_GT] = ACTIONS(2774),
    [anon_sym_PERCENT] = ACTIONS(2776),
    [anon_sym_GT] = ACTIONS(2776),
    [anon_sym_LT_LT] = ACTIONS(2776),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2774),
    [anon_sym_PLUS_EQ] = ACTIONS(2774),
    [anon_sym_DASH_EQ] = ACTIONS(2774),
    [anon_sym_DOT_EQ] = ACTIONS(2774),
    [anon_sym_STAR_EQ] = ACTIONS(2774),
    [anon_sym_SLASH_EQ] = ACTIONS(2774),
    [anon_sym_PERCENT_EQ] = ACTIONS(2774),
    [anon_sym_x_EQ] = ACTIONS(2774),
    [anon_sym_AMP_EQ] = ACTIONS(2774),
    [anon_sym_PIPE_EQ] = ACTIONS(2774),
    [anon_sym_CARET_EQ] = ACTIONS(2774),
    [anon_sym_LT_LT_EQ] = ACTIONS(2774),
    [anon_sym_GT_GT_EQ] = ACTIONS(2774),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2774),
    [anon_sym_DOT_DOT] = ACTIONS(2776),
    [anon_sym_STAR_STAR] = ACTIONS(2776),
    [anon_sym_PIPE_PIPE] = ACTIONS(2776),
    [anon_sym_SLASH_SLASH] = ACTIONS(2776),
    [anon_sym_CARET_CARET] = ACTIONS(2774),
    [anon_sym_AMP_AMP] = ACTIONS(2776),
    [anon_sym_PIPE] = ACTIONS(2776),
    [anon_sym_CARET] = ACTIONS(2776),
    [anon_sym_AMP] = ACTIONS(2776),
    [anon_sym_GT_GT2] = ACTIONS(2776),
    [anon_sym_PLUS] = ACTIONS(2776),
    [anon_sym_DASH] = ACTIONS(2776),
    [anon_sym_DOT] = ACTIONS(2776),
    [anon_sym_STAR] = ACTIONS(2776),
    [anon_sym_SLASH] = ACTIONS(2776),
    [anon_sym_x] = ACTIONS(2776),
    [anon_sym_EQ_TILDE] = ACTIONS(2774),
    [anon_sym_BANG_TILDE] = ACTIONS(2774),
    [anon_sym_EQ_EQ] = ACTIONS(2776),
    [anon_sym_BANG_EQ] = ACTIONS(2774),
    [anon_sym_eq] = ACTIONS(2776),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2774),
    [anon_sym_equ] = ACTIONS(2774),
    [anon_sym_eqr] = ACTIONS(2774),
    [anon_sym_ne] = ACTIONS(2774),
    [anon_sym_LT_EQ_GT] = ACTIONS(2774),
    [anon_sym_cmp] = ACTIONS(2774),
    [anon_sym_TILDE_TILDE] = ACTIONS(2774),
    [anon_sym_LT] = ACTIONS(2776),
    [anon_sym_LT_EQ] = ACTIONS(2776),
    [anon_sym_GT_EQ] = ACTIONS(2774),
    [anon_sym_lt] = ACTIONS(2774),
    [anon_sym_le] = ACTIONS(2774),
    [anon_sym_ge] = ACTIONS(2774),
    [anon_sym_gt] = ACTIONS(2774),
    [anon_sym_isa] = ACTIONS(2774),
    [anon_sym_PLUS_PLUS] = ACTIONS(2774),
    [anon_sym_DASH_DASH] = ACTIONS(2774),
    [anon_sym_QMARK] = ACTIONS(2774),
    [anon_sym_EQ_GT] = ACTIONS(3800),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2774),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2061] = {
    [sym_heredoc_content] = STATE(2061),
    [anon_sym_RBRACE] = ACTIONS(3170),
    [anon_sym_COLON] = ACTIONS(3170),
    [anon_sym_EQ] = ACTIONS(3172),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3170),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3170),
    [anon_sym_COMMA] = ACTIONS(3170),
    [anon_sym_RPAREN] = ACTIONS(3170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3170),
    [anon_sym_DASH_GT] = ACTIONS(3170),
    [anon_sym_PERCENT] = ACTIONS(3172),
    [anon_sym_GT] = ACTIONS(3172),
    [anon_sym_LT_LT] = ACTIONS(3172),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3170),
    [anon_sym_PLUS_EQ] = ACTIONS(3170),
    [anon_sym_DASH_EQ] = ACTIONS(3170),
    [anon_sym_DOT_EQ] = ACTIONS(3170),
    [anon_sym_STAR_EQ] = ACTIONS(3170),
    [anon_sym_SLASH_EQ] = ACTIONS(3170),
    [anon_sym_PERCENT_EQ] = ACTIONS(3170),
    [anon_sym_x_EQ] = ACTIONS(3170),
    [anon_sym_AMP_EQ] = ACTIONS(3170),
    [anon_sym_PIPE_EQ] = ACTIONS(3170),
    [anon_sym_CARET_EQ] = ACTIONS(3170),
    [anon_sym_LT_LT_EQ] = ACTIONS(3170),
    [anon_sym_GT_GT_EQ] = ACTIONS(3170),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3170),
    [anon_sym_DOT_DOT] = ACTIONS(3172),
    [anon_sym_STAR_STAR] = ACTIONS(3172),
    [anon_sym_PIPE_PIPE] = ACTIONS(3172),
    [anon_sym_SLASH_SLASH] = ACTIONS(3172),
    [anon_sym_CARET_CARET] = ACTIONS(3170),
    [anon_sym_AMP_AMP] = ACTIONS(3172),
    [anon_sym_PIPE] = ACTIONS(3172),
    [anon_sym_CARET] = ACTIONS(3172),
    [anon_sym_AMP] = ACTIONS(3172),
    [anon_sym_GT_GT2] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_DOT] = ACTIONS(3172),
    [anon_sym_STAR] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_x] = ACTIONS(3172),
    [anon_sym_EQ_TILDE] = ACTIONS(3170),
    [anon_sym_BANG_TILDE] = ACTIONS(3170),
    [anon_sym_EQ_EQ] = ACTIONS(3172),
    [anon_sym_BANG_EQ] = ACTIONS(3170),
    [anon_sym_eq] = ACTIONS(3172),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3170),
    [anon_sym_equ] = ACTIONS(3170),
    [anon_sym_eqr] = ACTIONS(3170),
    [anon_sym_ne] = ACTIONS(3170),
    [anon_sym_LT_EQ_GT] = ACTIONS(3170),
    [anon_sym_cmp] = ACTIONS(3170),
    [anon_sym_TILDE_TILDE] = ACTIONS(3170),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_LT_EQ] = ACTIONS(3172),
    [anon_sym_GT_EQ] = ACTIONS(3170),
    [anon_sym_lt] = ACTIONS(3170),
    [anon_sym_le] = ACTIONS(3170),
    [anon_sym_ge] = ACTIONS(3170),
    [anon_sym_gt] = ACTIONS(3170),
    [anon_sym_isa] = ACTIONS(3170),
    [anon_sym_PLUS_PLUS] = ACTIONS(3170),
    [anon_sym_DASH_DASH] = ACTIONS(3170),
    [anon_sym_QMARK] = ACTIONS(3170),
    [anon_sym_EQ_GT] = ACTIONS(3170),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2062] = {
    [sym_heredoc_content] = STATE(2062),
    [anon_sym_RBRACE] = ACTIONS(3174),
    [anon_sym_COLON] = ACTIONS(3174),
    [anon_sym_EQ] = ACTIONS(3176),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3174),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3174),
    [anon_sym_COMMA] = ACTIONS(3174),
    [anon_sym_RPAREN] = ACTIONS(3174),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3174),
    [anon_sym_DASH_GT] = ACTIONS(3174),
    [anon_sym_PERCENT] = ACTIONS(3176),
    [anon_sym_GT] = ACTIONS(3176),
    [anon_sym_LT_LT] = ACTIONS(3176),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3174),
    [anon_sym_PLUS_EQ] = ACTIONS(3174),
    [anon_sym_DASH_EQ] = ACTIONS(3174),
    [anon_sym_DOT_EQ] = ACTIONS(3174),
    [anon_sym_STAR_EQ] = ACTIONS(3174),
    [anon_sym_SLASH_EQ] = ACTIONS(3174),
    [anon_sym_PERCENT_EQ] = ACTIONS(3174),
    [anon_sym_x_EQ] = ACTIONS(3174),
    [anon_sym_AMP_EQ] = ACTIONS(3174),
    [anon_sym_PIPE_EQ] = ACTIONS(3174),
    [anon_sym_CARET_EQ] = ACTIONS(3174),
    [anon_sym_LT_LT_EQ] = ACTIONS(3174),
    [anon_sym_GT_GT_EQ] = ACTIONS(3174),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3174),
    [anon_sym_DOT_DOT] = ACTIONS(3176),
    [anon_sym_STAR_STAR] = ACTIONS(3176),
    [anon_sym_PIPE_PIPE] = ACTIONS(3176),
    [anon_sym_SLASH_SLASH] = ACTIONS(3176),
    [anon_sym_CARET_CARET] = ACTIONS(3174),
    [anon_sym_AMP_AMP] = ACTIONS(3176),
    [anon_sym_PIPE] = ACTIONS(3176),
    [anon_sym_CARET] = ACTIONS(3176),
    [anon_sym_AMP] = ACTIONS(3176),
    [anon_sym_GT_GT2] = ACTIONS(3176),
    [anon_sym_PLUS] = ACTIONS(3176),
    [anon_sym_DASH] = ACTIONS(3176),
    [anon_sym_DOT] = ACTIONS(3176),
    [anon_sym_STAR] = ACTIONS(3176),
    [anon_sym_SLASH] = ACTIONS(3176),
    [anon_sym_x] = ACTIONS(3176),
    [anon_sym_EQ_TILDE] = ACTIONS(3174),
    [anon_sym_BANG_TILDE] = ACTIONS(3174),
    [anon_sym_EQ_EQ] = ACTIONS(3176),
    [anon_sym_BANG_EQ] = ACTIONS(3174),
    [anon_sym_eq] = ACTIONS(3176),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3174),
    [anon_sym_equ] = ACTIONS(3174),
    [anon_sym_eqr] = ACTIONS(3174),
    [anon_sym_ne] = ACTIONS(3174),
    [anon_sym_LT_EQ_GT] = ACTIONS(3174),
    [anon_sym_cmp] = ACTIONS(3174),
    [anon_sym_TILDE_TILDE] = ACTIONS(3174),
    [anon_sym_LT] = ACTIONS(3176),
    [anon_sym_LT_EQ] = ACTIONS(3176),
    [anon_sym_GT_EQ] = ACTIONS(3174),
    [anon_sym_lt] = ACTIONS(3174),
    [anon_sym_le] = ACTIONS(3174),
    [anon_sym_ge] = ACTIONS(3174),
    [anon_sym_gt] = ACTIONS(3174),
    [anon_sym_isa] = ACTIONS(3174),
    [anon_sym_PLUS_PLUS] = ACTIONS(3174),
    [anon_sym_DASH_DASH] = ACTIONS(3174),
    [anon_sym_QMARK] = ACTIONS(3174),
    [anon_sym_EQ_GT] = ACTIONS(3174),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2063] = {
    [sym_heredoc_content] = STATE(2063),
    [anon_sym_RBRACE] = ACTIONS(3178),
    [anon_sym_COLON] = ACTIONS(3178),
    [anon_sym_EQ] = ACTIONS(3180),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3178),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3178),
    [anon_sym_COMMA] = ACTIONS(3178),
    [anon_sym_RPAREN] = ACTIONS(3178),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3178),
    [anon_sym_DASH_GT] = ACTIONS(3178),
    [anon_sym_PERCENT] = ACTIONS(3180),
    [anon_sym_GT] = ACTIONS(3180),
    [anon_sym_LT_LT] = ACTIONS(3180),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3178),
    [anon_sym_PLUS_EQ] = ACTIONS(3178),
    [anon_sym_DASH_EQ] = ACTIONS(3178),
    [anon_sym_DOT_EQ] = ACTIONS(3178),
    [anon_sym_STAR_EQ] = ACTIONS(3178),
    [anon_sym_SLASH_EQ] = ACTIONS(3178),
    [anon_sym_PERCENT_EQ] = ACTIONS(3178),
    [anon_sym_x_EQ] = ACTIONS(3178),
    [anon_sym_AMP_EQ] = ACTIONS(3178),
    [anon_sym_PIPE_EQ] = ACTIONS(3178),
    [anon_sym_CARET_EQ] = ACTIONS(3178),
    [anon_sym_LT_LT_EQ] = ACTIONS(3178),
    [anon_sym_GT_GT_EQ] = ACTIONS(3178),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3178),
    [anon_sym_DOT_DOT] = ACTIONS(3180),
    [anon_sym_STAR_STAR] = ACTIONS(3180),
    [anon_sym_PIPE_PIPE] = ACTIONS(3180),
    [anon_sym_SLASH_SLASH] = ACTIONS(3180),
    [anon_sym_CARET_CARET] = ACTIONS(3178),
    [anon_sym_AMP_AMP] = ACTIONS(3180),
    [anon_sym_PIPE] = ACTIONS(3180),
    [anon_sym_CARET] = ACTIONS(3180),
    [anon_sym_AMP] = ACTIONS(3180),
    [anon_sym_GT_GT2] = ACTIONS(3180),
    [anon_sym_PLUS] = ACTIONS(3180),
    [anon_sym_DASH] = ACTIONS(3180),
    [anon_sym_DOT] = ACTIONS(3180),
    [anon_sym_STAR] = ACTIONS(3180),
    [anon_sym_SLASH] = ACTIONS(3180),
    [anon_sym_x] = ACTIONS(3180),
    [anon_sym_EQ_TILDE] = ACTIONS(3178),
    [anon_sym_BANG_TILDE] = ACTIONS(3178),
    [anon_sym_EQ_EQ] = ACTIONS(3180),
    [anon_sym_BANG_EQ] = ACTIONS(3178),
    [anon_sym_eq] = ACTIONS(3180),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3178),
    [anon_sym_equ] = ACTIONS(3178),
    [anon_sym_eqr] = ACTIONS(3178),
    [anon_sym_ne] = ACTIONS(3178),
    [anon_sym_LT_EQ_GT] = ACTIONS(3178),
    [anon_sym_cmp] = ACTIONS(3178),
    [anon_sym_TILDE_TILDE] = ACTIONS(3178),
    [anon_sym_LT] = ACTIONS(3180),
    [anon_sym_LT_EQ] = ACTIONS(3180),
    [anon_sym_GT_EQ] = ACTIONS(3178),
    [anon_sym_lt] = ACTIONS(3178),
    [anon_sym_le] = ACTIONS(3178),
    [anon_sym_ge] = ACTIONS(3178),
    [anon_sym_gt] = ACTIONS(3178),
    [anon_sym_isa] = ACTIONS(3178),
    [anon_sym_PLUS_PLUS] = ACTIONS(3178),
    [anon_sym_DASH_DASH] = ACTIONS(3178),
    [anon_sym_QMARK] = ACTIONS(3178),
    [anon_sym_EQ_GT] = ACTIONS(3178),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2064] = {
    [sym_heredoc_content] = STATE(2064),
    [anon_sym_RBRACE] = ACTIONS(3182),
    [anon_sym_COLON] = ACTIONS(3182),
    [anon_sym_EQ] = ACTIONS(3184),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3182),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3182),
    [anon_sym_COMMA] = ACTIONS(3182),
    [anon_sym_RPAREN] = ACTIONS(3182),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3182),
    [anon_sym_DASH_GT] = ACTIONS(3182),
    [anon_sym_PERCENT] = ACTIONS(3184),
    [anon_sym_GT] = ACTIONS(3184),
    [anon_sym_LT_LT] = ACTIONS(3184),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3182),
    [anon_sym_PLUS_EQ] = ACTIONS(3182),
    [anon_sym_DASH_EQ] = ACTIONS(3182),
    [anon_sym_DOT_EQ] = ACTIONS(3182),
    [anon_sym_STAR_EQ] = ACTIONS(3182),
    [anon_sym_SLASH_EQ] = ACTIONS(3182),
    [anon_sym_PERCENT_EQ] = ACTIONS(3182),
    [anon_sym_x_EQ] = ACTIONS(3182),
    [anon_sym_AMP_EQ] = ACTIONS(3182),
    [anon_sym_PIPE_EQ] = ACTIONS(3182),
    [anon_sym_CARET_EQ] = ACTIONS(3182),
    [anon_sym_LT_LT_EQ] = ACTIONS(3182),
    [anon_sym_GT_GT_EQ] = ACTIONS(3182),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3182),
    [anon_sym_DOT_DOT] = ACTIONS(3184),
    [anon_sym_STAR_STAR] = ACTIONS(3184),
    [anon_sym_PIPE_PIPE] = ACTIONS(3184),
    [anon_sym_SLASH_SLASH] = ACTIONS(3184),
    [anon_sym_CARET_CARET] = ACTIONS(3182),
    [anon_sym_AMP_AMP] = ACTIONS(3184),
    [anon_sym_PIPE] = ACTIONS(3184),
    [anon_sym_CARET] = ACTIONS(3184),
    [anon_sym_AMP] = ACTIONS(3184),
    [anon_sym_GT_GT2] = ACTIONS(3184),
    [anon_sym_PLUS] = ACTIONS(3184),
    [anon_sym_DASH] = ACTIONS(3184),
    [anon_sym_DOT] = ACTIONS(3184),
    [anon_sym_STAR] = ACTIONS(3184),
    [anon_sym_SLASH] = ACTIONS(3184),
    [anon_sym_x] = ACTIONS(3184),
    [anon_sym_EQ_TILDE] = ACTIONS(3182),
    [anon_sym_BANG_TILDE] = ACTIONS(3182),
    [anon_sym_EQ_EQ] = ACTIONS(3184),
    [anon_sym_BANG_EQ] = ACTIONS(3182),
    [anon_sym_eq] = ACTIONS(3184),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3182),
    [anon_sym_equ] = ACTIONS(3182),
    [anon_sym_eqr] = ACTIONS(3182),
    [anon_sym_ne] = ACTIONS(3182),
    [anon_sym_LT_EQ_GT] = ACTIONS(3182),
    [anon_sym_cmp] = ACTIONS(3182),
    [anon_sym_TILDE_TILDE] = ACTIONS(3182),
    [anon_sym_LT] = ACTIONS(3184),
    [anon_sym_LT_EQ] = ACTIONS(3184),
    [anon_sym_GT_EQ] = ACTIONS(3182),
    [anon_sym_lt] = ACTIONS(3182),
    [anon_sym_le] = ACTIONS(3182),
    [anon_sym_ge] = ACTIONS(3182),
    [anon_sym_gt] = ACTIONS(3182),
    [anon_sym_isa] = ACTIONS(3182),
    [anon_sym_PLUS_PLUS] = ACTIONS(3182),
    [anon_sym_DASH_DASH] = ACTIONS(3182),
    [anon_sym_QMARK] = ACTIONS(3182),
    [anon_sym_EQ_GT] = ACTIONS(3182),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2065] = {
    [sym_heredoc_content] = STATE(2065),
    [anon_sym_RBRACE] = ACTIONS(2927),
    [anon_sym_COLON] = ACTIONS(2927),
    [anon_sym_EQ] = ACTIONS(2929),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2927),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2927),
    [anon_sym_COMMA] = ACTIONS(2927),
    [anon_sym_RPAREN] = ACTIONS(2927),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2927),
    [anon_sym_DASH_GT] = ACTIONS(2927),
    [anon_sym_PERCENT] = ACTIONS(2929),
    [anon_sym_GT] = ACTIONS(2929),
    [anon_sym_LT_LT] = ACTIONS(2929),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2927),
    [anon_sym_PLUS_EQ] = ACTIONS(2927),
    [anon_sym_DASH_EQ] = ACTIONS(2927),
    [anon_sym_DOT_EQ] = ACTIONS(2927),
    [anon_sym_STAR_EQ] = ACTIONS(2927),
    [anon_sym_SLASH_EQ] = ACTIONS(2927),
    [anon_sym_PERCENT_EQ] = ACTIONS(2927),
    [anon_sym_x_EQ] = ACTIONS(2927),
    [anon_sym_AMP_EQ] = ACTIONS(2927),
    [anon_sym_PIPE_EQ] = ACTIONS(2927),
    [anon_sym_CARET_EQ] = ACTIONS(2927),
    [anon_sym_LT_LT_EQ] = ACTIONS(2927),
    [anon_sym_GT_GT_EQ] = ACTIONS(2927),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2927),
    [anon_sym_DOT_DOT] = ACTIONS(2929),
    [anon_sym_STAR_STAR] = ACTIONS(2929),
    [anon_sym_PIPE_PIPE] = ACTIONS(2929),
    [anon_sym_SLASH_SLASH] = ACTIONS(2929),
    [anon_sym_CARET_CARET] = ACTIONS(2927),
    [anon_sym_AMP_AMP] = ACTIONS(2929),
    [anon_sym_PIPE] = ACTIONS(2929),
    [anon_sym_CARET] = ACTIONS(2929),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_GT_GT2] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2929),
    [anon_sym_DASH] = ACTIONS(2929),
    [anon_sym_DOT] = ACTIONS(2929),
    [anon_sym_STAR] = ACTIONS(2929),
    [anon_sym_SLASH] = ACTIONS(2929),
    [anon_sym_x] = ACTIONS(2929),
    [anon_sym_EQ_TILDE] = ACTIONS(2927),
    [anon_sym_BANG_TILDE] = ACTIONS(2927),
    [anon_sym_EQ_EQ] = ACTIONS(2929),
    [anon_sym_BANG_EQ] = ACTIONS(2927),
    [anon_sym_eq] = ACTIONS(2929),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2927),
    [anon_sym_equ] = ACTIONS(2927),
    [anon_sym_eqr] = ACTIONS(2927),
    [anon_sym_ne] = ACTIONS(2927),
    [anon_sym_LT_EQ_GT] = ACTIONS(2927),
    [anon_sym_cmp] = ACTIONS(2927),
    [anon_sym_TILDE_TILDE] = ACTIONS(2927),
    [anon_sym_LT] = ACTIONS(2929),
    [anon_sym_LT_EQ] = ACTIONS(2929),
    [anon_sym_GT_EQ] = ACTIONS(2927),
    [anon_sym_lt] = ACTIONS(2927),
    [anon_sym_le] = ACTIONS(2927),
    [anon_sym_ge] = ACTIONS(2927),
    [anon_sym_gt] = ACTIONS(2927),
    [anon_sym_isa] = ACTIONS(2927),
    [anon_sym_PLUS_PLUS] = ACTIONS(2927),
    [anon_sym_DASH_DASH] = ACTIONS(2927),
    [anon_sym_QMARK] = ACTIONS(2927),
    [anon_sym_EQ_GT] = ACTIONS(2927),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2066] = {
    [sym_heredoc_content] = STATE(2066),
    [anon_sym_SEMI] = ACTIONS(2552),
    [anon_sym_EQ] = ACTIONS(2554),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2552),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2552),
    [anon_sym_COMMA] = ACTIONS(2552),
    [anon_sym_LPAREN] = ACTIONS(2552),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2552),
    [anon_sym_DASH_GT] = ACTIONS(2552),
    [anon_sym_PERCENT] = ACTIONS(2554),
    [anon_sym_GT] = ACTIONS(2554),
    [anon_sym_LT_LT] = ACTIONS(2554),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2552),
    [anon_sym_PLUS_EQ] = ACTIONS(2552),
    [anon_sym_DASH_EQ] = ACTIONS(2552),
    [anon_sym_DOT_EQ] = ACTIONS(2552),
    [anon_sym_STAR_EQ] = ACTIONS(2552),
    [anon_sym_SLASH_EQ] = ACTIONS(2552),
    [anon_sym_PERCENT_EQ] = ACTIONS(2552),
    [anon_sym_x_EQ] = ACTIONS(2552),
    [anon_sym_AMP_EQ] = ACTIONS(2552),
    [anon_sym_PIPE_EQ] = ACTIONS(2552),
    [anon_sym_CARET_EQ] = ACTIONS(2552),
    [anon_sym_LT_LT_EQ] = ACTIONS(2552),
    [anon_sym_GT_GT_EQ] = ACTIONS(2552),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2552),
    [anon_sym_DOT_DOT] = ACTIONS(2554),
    [anon_sym_STAR_STAR] = ACTIONS(2554),
    [anon_sym_PIPE_PIPE] = ACTIONS(2554),
    [anon_sym_SLASH_SLASH] = ACTIONS(2554),
    [anon_sym_CARET_CARET] = ACTIONS(2552),
    [anon_sym_AMP_AMP] = ACTIONS(2554),
    [anon_sym_PIPE] = ACTIONS(2554),
    [anon_sym_CARET] = ACTIONS(2554),
    [anon_sym_AMP] = ACTIONS(2554),
    [anon_sym_GT_GT2] = ACTIONS(2554),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_DOT] = ACTIONS(2554),
    [anon_sym_STAR] = ACTIONS(2554),
    [anon_sym_SLASH] = ACTIONS(2554),
    [anon_sym_x] = ACTIONS(2554),
    [anon_sym_EQ_TILDE] = ACTIONS(2552),
    [anon_sym_BANG_TILDE] = ACTIONS(2552),
    [anon_sym_EQ_EQ] = ACTIONS(2554),
    [anon_sym_BANG_EQ] = ACTIONS(2552),
    [anon_sym_eq] = ACTIONS(2554),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2552),
    [anon_sym_equ] = ACTIONS(2552),
    [anon_sym_eqr] = ACTIONS(2552),
    [anon_sym_ne] = ACTIONS(2552),
    [anon_sym_LT_EQ_GT] = ACTIONS(2552),
    [anon_sym_cmp] = ACTIONS(2552),
    [anon_sym_TILDE_TILDE] = ACTIONS(2552),
    [anon_sym_LT] = ACTIONS(2554),
    [anon_sym_LT_EQ] = ACTIONS(2554),
    [anon_sym_GT_EQ] = ACTIONS(2552),
    [anon_sym_lt] = ACTIONS(2552),
    [anon_sym_le] = ACTIONS(2552),
    [anon_sym_ge] = ACTIONS(2552),
    [anon_sym_gt] = ACTIONS(2552),
    [anon_sym_isa] = ACTIONS(2552),
    [anon_sym_PLUS_PLUS] = ACTIONS(2552),
    [anon_sym_DASH_DASH] = ACTIONS(2552),
    [anon_sym_QMARK] = ACTIONS(2552),
    [anon_sym_EQ_GT] = ACTIONS(2552),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2552),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2067] = {
    [sym_heredoc_content] = STATE(2067),
    [anon_sym_RBRACE] = ACTIONS(3314),
    [anon_sym_COLON] = ACTIONS(3314),
    [anon_sym_EQ] = ACTIONS(3316),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3314),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3314),
    [anon_sym_COMMA] = ACTIONS(3314),
    [anon_sym_RPAREN] = ACTIONS(3314),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3314),
    [anon_sym_DASH_GT] = ACTIONS(3314),
    [anon_sym_PERCENT] = ACTIONS(3316),
    [anon_sym_GT] = ACTIONS(3316),
    [anon_sym_LT_LT] = ACTIONS(3316),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3314),
    [anon_sym_PLUS_EQ] = ACTIONS(3314),
    [anon_sym_DASH_EQ] = ACTIONS(3314),
    [anon_sym_DOT_EQ] = ACTIONS(3314),
    [anon_sym_STAR_EQ] = ACTIONS(3314),
    [anon_sym_SLASH_EQ] = ACTIONS(3314),
    [anon_sym_PERCENT_EQ] = ACTIONS(3314),
    [anon_sym_x_EQ] = ACTIONS(3314),
    [anon_sym_AMP_EQ] = ACTIONS(3314),
    [anon_sym_PIPE_EQ] = ACTIONS(3314),
    [anon_sym_CARET_EQ] = ACTIONS(3314),
    [anon_sym_LT_LT_EQ] = ACTIONS(3314),
    [anon_sym_GT_GT_EQ] = ACTIONS(3314),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3314),
    [anon_sym_DOT_DOT] = ACTIONS(3316),
    [anon_sym_STAR_STAR] = ACTIONS(3316),
    [anon_sym_PIPE_PIPE] = ACTIONS(3316),
    [anon_sym_SLASH_SLASH] = ACTIONS(3316),
    [anon_sym_CARET_CARET] = ACTIONS(3314),
    [anon_sym_AMP_AMP] = ACTIONS(3316),
    [anon_sym_PIPE] = ACTIONS(3316),
    [anon_sym_CARET] = ACTIONS(3316),
    [anon_sym_AMP] = ACTIONS(3316),
    [anon_sym_GT_GT2] = ACTIONS(3316),
    [anon_sym_PLUS] = ACTIONS(3316),
    [anon_sym_DASH] = ACTIONS(3316),
    [anon_sym_DOT] = ACTIONS(3316),
    [anon_sym_STAR] = ACTIONS(3316),
    [anon_sym_SLASH] = ACTIONS(3316),
    [anon_sym_x] = ACTIONS(3316),
    [anon_sym_EQ_TILDE] = ACTIONS(3314),
    [anon_sym_BANG_TILDE] = ACTIONS(3314),
    [anon_sym_EQ_EQ] = ACTIONS(3316),
    [anon_sym_BANG_EQ] = ACTIONS(3314),
    [anon_sym_eq] = ACTIONS(3316),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3314),
    [anon_sym_equ] = ACTIONS(3314),
    [anon_sym_eqr] = ACTIONS(3314),
    [anon_sym_ne] = ACTIONS(3314),
    [anon_sym_LT_EQ_GT] = ACTIONS(3314),
    [anon_sym_cmp] = ACTIONS(3314),
    [anon_sym_TILDE_TILDE] = ACTIONS(3314),
    [anon_sym_LT] = ACTIONS(3316),
    [anon_sym_LT_EQ] = ACTIONS(3316),
    [anon_sym_GT_EQ] = ACTIONS(3314),
    [anon_sym_lt] = ACTIONS(3314),
    [anon_sym_le] = ACTIONS(3314),
    [anon_sym_ge] = ACTIONS(3314),
    [anon_sym_gt] = ACTIONS(3314),
    [anon_sym_isa] = ACTIONS(3314),
    [anon_sym_PLUS_PLUS] = ACTIONS(3314),
    [anon_sym_DASH_DASH] = ACTIONS(3314),
    [anon_sym_QMARK] = ACTIONS(3314),
    [anon_sym_EQ_GT] = ACTIONS(3314),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2068] = {
    [sym_heredoc_content] = STATE(2068),
    [anon_sym_LBRACE] = ACTIONS(2548),
    [anon_sym_SEMI] = ACTIONS(2548),
    [anon_sym_EQ] = ACTIONS(2550),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2548),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2548),
    [anon_sym_COMMA] = ACTIONS(2548),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2548),
    [anon_sym_DASH_GT] = ACTIONS(2548),
    [anon_sym_PERCENT] = ACTIONS(2550),
    [anon_sym_GT] = ACTIONS(2550),
    [anon_sym_LT_LT] = ACTIONS(2550),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2548),
    [anon_sym_PLUS_EQ] = ACTIONS(2548),
    [anon_sym_DASH_EQ] = ACTIONS(2548),
    [anon_sym_DOT_EQ] = ACTIONS(2548),
    [anon_sym_STAR_EQ] = ACTIONS(2548),
    [anon_sym_SLASH_EQ] = ACTIONS(2548),
    [anon_sym_PERCENT_EQ] = ACTIONS(2548),
    [anon_sym_x_EQ] = ACTIONS(2548),
    [anon_sym_AMP_EQ] = ACTIONS(2548),
    [anon_sym_PIPE_EQ] = ACTIONS(2548),
    [anon_sym_CARET_EQ] = ACTIONS(2548),
    [anon_sym_LT_LT_EQ] = ACTIONS(2548),
    [anon_sym_GT_GT_EQ] = ACTIONS(2548),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2548),
    [anon_sym_DOT_DOT] = ACTIONS(2550),
    [anon_sym_STAR_STAR] = ACTIONS(2550),
    [anon_sym_PIPE_PIPE] = ACTIONS(2550),
    [anon_sym_SLASH_SLASH] = ACTIONS(2550),
    [anon_sym_CARET_CARET] = ACTIONS(2548),
    [anon_sym_AMP_AMP] = ACTIONS(2550),
    [anon_sym_PIPE] = ACTIONS(2550),
    [anon_sym_CARET] = ACTIONS(2550),
    [anon_sym_AMP] = ACTIONS(2550),
    [anon_sym_GT_GT2] = ACTIONS(2550),
    [anon_sym_PLUS] = ACTIONS(2550),
    [anon_sym_DASH] = ACTIONS(2550),
    [anon_sym_DOT] = ACTIONS(2550),
    [anon_sym_STAR] = ACTIONS(2550),
    [anon_sym_SLASH] = ACTIONS(2550),
    [anon_sym_x] = ACTIONS(2550),
    [anon_sym_EQ_TILDE] = ACTIONS(2548),
    [anon_sym_BANG_TILDE] = ACTIONS(2548),
    [anon_sym_EQ_EQ] = ACTIONS(2550),
    [anon_sym_BANG_EQ] = ACTIONS(2548),
    [anon_sym_eq] = ACTIONS(2550),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2548),
    [anon_sym_equ] = ACTIONS(2548),
    [anon_sym_eqr] = ACTIONS(2548),
    [anon_sym_ne] = ACTIONS(2548),
    [anon_sym_LT_EQ_GT] = ACTIONS(2548),
    [anon_sym_cmp] = ACTIONS(2548),
    [anon_sym_TILDE_TILDE] = ACTIONS(2548),
    [anon_sym_LT] = ACTIONS(2550),
    [anon_sym_LT_EQ] = ACTIONS(2550),
    [anon_sym_GT_EQ] = ACTIONS(2548),
    [anon_sym_lt] = ACTIONS(2548),
    [anon_sym_le] = ACTIONS(2548),
    [anon_sym_ge] = ACTIONS(2548),
    [anon_sym_gt] = ACTIONS(2548),
    [anon_sym_isa] = ACTIONS(2548),
    [anon_sym_PLUS_PLUS] = ACTIONS(2548),
    [anon_sym_DASH_DASH] = ACTIONS(2548),
    [anon_sym_QMARK] = ACTIONS(2548),
    [anon_sym_EQ_GT] = ACTIONS(2548),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2548),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2069] = {
    [sym_heredoc_content] = STATE(2069),
    [anon_sym_RBRACE] = ACTIONS(3031),
    [anon_sym_COLON] = ACTIONS(3031),
    [anon_sym_EQ] = ACTIONS(3033),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3031),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3031),
    [anon_sym_COMMA] = ACTIONS(3031),
    [anon_sym_RPAREN] = ACTIONS(3031),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3031),
    [anon_sym_DASH_GT] = ACTIONS(3031),
    [anon_sym_PERCENT] = ACTIONS(3033),
    [anon_sym_GT] = ACTIONS(3033),
    [anon_sym_LT_LT] = ACTIONS(3033),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3031),
    [anon_sym_PLUS_EQ] = ACTIONS(3031),
    [anon_sym_DASH_EQ] = ACTIONS(3031),
    [anon_sym_DOT_EQ] = ACTIONS(3031),
    [anon_sym_STAR_EQ] = ACTIONS(3031),
    [anon_sym_SLASH_EQ] = ACTIONS(3031),
    [anon_sym_PERCENT_EQ] = ACTIONS(3031),
    [anon_sym_x_EQ] = ACTIONS(3031),
    [anon_sym_AMP_EQ] = ACTIONS(3031),
    [anon_sym_PIPE_EQ] = ACTIONS(3031),
    [anon_sym_CARET_EQ] = ACTIONS(3031),
    [anon_sym_LT_LT_EQ] = ACTIONS(3031),
    [anon_sym_GT_GT_EQ] = ACTIONS(3031),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3031),
    [anon_sym_DOT_DOT] = ACTIONS(3033),
    [anon_sym_STAR_STAR] = ACTIONS(3033),
    [anon_sym_PIPE_PIPE] = ACTIONS(3033),
    [anon_sym_SLASH_SLASH] = ACTIONS(3033),
    [anon_sym_CARET_CARET] = ACTIONS(3031),
    [anon_sym_AMP_AMP] = ACTIONS(3033),
    [anon_sym_PIPE] = ACTIONS(3033),
    [anon_sym_CARET] = ACTIONS(3033),
    [anon_sym_AMP] = ACTIONS(3033),
    [anon_sym_GT_GT2] = ACTIONS(3033),
    [anon_sym_PLUS] = ACTIONS(3033),
    [anon_sym_DASH] = ACTIONS(3033),
    [anon_sym_DOT] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3033),
    [anon_sym_SLASH] = ACTIONS(3033),
    [anon_sym_x] = ACTIONS(3033),
    [anon_sym_EQ_TILDE] = ACTIONS(3031),
    [anon_sym_BANG_TILDE] = ACTIONS(3031),
    [anon_sym_EQ_EQ] = ACTIONS(3033),
    [anon_sym_BANG_EQ] = ACTIONS(3031),
    [anon_sym_eq] = ACTIONS(3033),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3031),
    [anon_sym_equ] = ACTIONS(3031),
    [anon_sym_eqr] = ACTIONS(3031),
    [anon_sym_ne] = ACTIONS(3031),
    [anon_sym_LT_EQ_GT] = ACTIONS(3031),
    [anon_sym_cmp] = ACTIONS(3031),
    [anon_sym_TILDE_TILDE] = ACTIONS(3031),
    [anon_sym_LT] = ACTIONS(3033),
    [anon_sym_LT_EQ] = ACTIONS(3033),
    [anon_sym_GT_EQ] = ACTIONS(3031),
    [anon_sym_lt] = ACTIONS(3031),
    [anon_sym_le] = ACTIONS(3031),
    [anon_sym_ge] = ACTIONS(3031),
    [anon_sym_gt] = ACTIONS(3031),
    [anon_sym_isa] = ACTIONS(3031),
    [anon_sym_PLUS_PLUS] = ACTIONS(3031),
    [anon_sym_DASH_DASH] = ACTIONS(3031),
    [anon_sym_QMARK] = ACTIONS(3031),
    [anon_sym_EQ_GT] = ACTIONS(3031),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2070] = {
    [sym_heredoc_content] = STATE(2070),
    [anon_sym_SEMI] = ACTIONS(2634),
    [anon_sym_EQ] = ACTIONS(2636),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2634),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2634),
    [anon_sym_COMMA] = ACTIONS(2634),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2634),
    [anon_sym_DASH_GT] = ACTIONS(2634),
    [anon_sym_PERCENT] = ACTIONS(2636),
    [anon_sym_GT] = ACTIONS(2636),
    [anon_sym_LT_LT] = ACTIONS(2636),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2634),
    [anon_sym_PLUS_EQ] = ACTIONS(2634),
    [anon_sym_DASH_EQ] = ACTIONS(2634),
    [anon_sym_DOT_EQ] = ACTIONS(2634),
    [anon_sym_STAR_EQ] = ACTIONS(2634),
    [anon_sym_SLASH_EQ] = ACTIONS(2634),
    [anon_sym_PERCENT_EQ] = ACTIONS(2634),
    [anon_sym_x_EQ] = ACTIONS(2636),
    [anon_sym_AMP_EQ] = ACTIONS(2634),
    [anon_sym_PIPE_EQ] = ACTIONS(2634),
    [anon_sym_CARET_EQ] = ACTIONS(2634),
    [anon_sym_LT_LT_EQ] = ACTIONS(2634),
    [anon_sym_GT_GT_EQ] = ACTIONS(2634),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2634),
    [anon_sym_DOT_DOT] = ACTIONS(2636),
    [anon_sym_STAR_STAR] = ACTIONS(2636),
    [anon_sym_PIPE_PIPE] = ACTIONS(2636),
    [anon_sym_SLASH_SLASH] = ACTIONS(2636),
    [anon_sym_CARET_CARET] = ACTIONS(2634),
    [anon_sym_AMP_AMP] = ACTIONS(2636),
    [anon_sym_PIPE] = ACTIONS(2636),
    [anon_sym_CARET] = ACTIONS(2636),
    [anon_sym_AMP] = ACTIONS(2636),
    [anon_sym_GT_GT2] = ACTIONS(2636),
    [anon_sym_PLUS] = ACTIONS(2636),
    [anon_sym_DASH] = ACTIONS(2636),
    [anon_sym_DOT] = ACTIONS(2636),
    [anon_sym_STAR] = ACTIONS(2636),
    [anon_sym_SLASH] = ACTIONS(2636),
    [anon_sym_x] = ACTIONS(2636),
    [anon_sym_EQ_TILDE] = ACTIONS(2634),
    [anon_sym_BANG_TILDE] = ACTIONS(2634),
    [anon_sym_EQ_EQ] = ACTIONS(2636),
    [anon_sym_BANG_EQ] = ACTIONS(2634),
    [anon_sym_eq] = ACTIONS(2636),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2634),
    [anon_sym_equ] = ACTIONS(2634),
    [anon_sym_eqr] = ACTIONS(2634),
    [anon_sym_ne] = ACTIONS(2636),
    [anon_sym_LT_EQ_GT] = ACTIONS(2634),
    [anon_sym_cmp] = ACTIONS(2636),
    [anon_sym_TILDE_TILDE] = ACTIONS(2634),
    [anon_sym_LT] = ACTIONS(2636),
    [anon_sym_LT_EQ] = ACTIONS(2636),
    [anon_sym_GT_EQ] = ACTIONS(2634),
    [anon_sym_lt] = ACTIONS(2636),
    [anon_sym_le] = ACTIONS(2636),
    [anon_sym_ge] = ACTIONS(2636),
    [anon_sym_gt] = ACTIONS(2636),
    [anon_sym_isa] = ACTIONS(2636),
    [anon_sym_PLUS_PLUS] = ACTIONS(2634),
    [anon_sym_DASH_DASH] = ACTIONS(2634),
    [anon_sym_QMARK] = ACTIONS(2634),
    [anon_sym_EQ_GT] = ACTIONS(2634),
    [sym_comment] = ACTIONS(5),
    [sym_match_regexp_modifiers] = ACTIONS(3803),
    [sym__PERLY_SEMICOLON] = ACTIONS(2634),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2071] = {
    [sym_heredoc_content] = STATE(2071),
    [anon_sym_RBRACE] = ACTIONS(3242),
    [anon_sym_COLON] = ACTIONS(3242),
    [anon_sym_EQ] = ACTIONS(3244),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3242),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3242),
    [anon_sym_COMMA] = ACTIONS(3242),
    [anon_sym_RPAREN] = ACTIONS(3242),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3242),
    [anon_sym_DASH_GT] = ACTIONS(3242),
    [anon_sym_PERCENT] = ACTIONS(3244),
    [anon_sym_GT] = ACTIONS(3244),
    [anon_sym_LT_LT] = ACTIONS(3244),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3242),
    [anon_sym_PLUS_EQ] = ACTIONS(3242),
    [anon_sym_DASH_EQ] = ACTIONS(3242),
    [anon_sym_DOT_EQ] = ACTIONS(3242),
    [anon_sym_STAR_EQ] = ACTIONS(3242),
    [anon_sym_SLASH_EQ] = ACTIONS(3242),
    [anon_sym_PERCENT_EQ] = ACTIONS(3242),
    [anon_sym_x_EQ] = ACTIONS(3242),
    [anon_sym_AMP_EQ] = ACTIONS(3242),
    [anon_sym_PIPE_EQ] = ACTIONS(3242),
    [anon_sym_CARET_EQ] = ACTIONS(3242),
    [anon_sym_LT_LT_EQ] = ACTIONS(3242),
    [anon_sym_GT_GT_EQ] = ACTIONS(3242),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3242),
    [anon_sym_DOT_DOT] = ACTIONS(3244),
    [anon_sym_STAR_STAR] = ACTIONS(3244),
    [anon_sym_PIPE_PIPE] = ACTIONS(3244),
    [anon_sym_SLASH_SLASH] = ACTIONS(3244),
    [anon_sym_CARET_CARET] = ACTIONS(3242),
    [anon_sym_AMP_AMP] = ACTIONS(3244),
    [anon_sym_PIPE] = ACTIONS(3244),
    [anon_sym_CARET] = ACTIONS(3244),
    [anon_sym_AMP] = ACTIONS(3244),
    [anon_sym_GT_GT2] = ACTIONS(3244),
    [anon_sym_PLUS] = ACTIONS(3244),
    [anon_sym_DASH] = ACTIONS(3244),
    [anon_sym_DOT] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3244),
    [anon_sym_SLASH] = ACTIONS(3244),
    [anon_sym_x] = ACTIONS(3244),
    [anon_sym_EQ_TILDE] = ACTIONS(3242),
    [anon_sym_BANG_TILDE] = ACTIONS(3242),
    [anon_sym_EQ_EQ] = ACTIONS(3244),
    [anon_sym_BANG_EQ] = ACTIONS(3242),
    [anon_sym_eq] = ACTIONS(3244),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3242),
    [anon_sym_equ] = ACTIONS(3242),
    [anon_sym_eqr] = ACTIONS(3242),
    [anon_sym_ne] = ACTIONS(3242),
    [anon_sym_LT_EQ_GT] = ACTIONS(3242),
    [anon_sym_cmp] = ACTIONS(3242),
    [anon_sym_TILDE_TILDE] = ACTIONS(3242),
    [anon_sym_LT] = ACTIONS(3244),
    [anon_sym_LT_EQ] = ACTIONS(3244),
    [anon_sym_GT_EQ] = ACTIONS(3242),
    [anon_sym_lt] = ACTIONS(3242),
    [anon_sym_le] = ACTIONS(3242),
    [anon_sym_ge] = ACTIONS(3242),
    [anon_sym_gt] = ACTIONS(3242),
    [anon_sym_isa] = ACTIONS(3242),
    [anon_sym_PLUS_PLUS] = ACTIONS(3242),
    [anon_sym_DASH_DASH] = ACTIONS(3242),
    [anon_sym_QMARK] = ACTIONS(3242),
    [anon_sym_EQ_GT] = ACTIONS(3242),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2072] = {
    [sym_heredoc_content] = STATE(2072),
    [anon_sym_RBRACE] = ACTIONS(3134),
    [anon_sym_COLON] = ACTIONS(3134),
    [anon_sym_EQ] = ACTIONS(3136),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3134),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3134),
    [anon_sym_COMMA] = ACTIONS(3134),
    [anon_sym_RPAREN] = ACTIONS(3134),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3134),
    [anon_sym_DASH_GT] = ACTIONS(3134),
    [anon_sym_PERCENT] = ACTIONS(3136),
    [anon_sym_GT] = ACTIONS(3136),
    [anon_sym_LT_LT] = ACTIONS(3136),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3134),
    [anon_sym_PLUS_EQ] = ACTIONS(3134),
    [anon_sym_DASH_EQ] = ACTIONS(3134),
    [anon_sym_DOT_EQ] = ACTIONS(3134),
    [anon_sym_STAR_EQ] = ACTIONS(3134),
    [anon_sym_SLASH_EQ] = ACTIONS(3134),
    [anon_sym_PERCENT_EQ] = ACTIONS(3134),
    [anon_sym_x_EQ] = ACTIONS(3134),
    [anon_sym_AMP_EQ] = ACTIONS(3134),
    [anon_sym_PIPE_EQ] = ACTIONS(3134),
    [anon_sym_CARET_EQ] = ACTIONS(3134),
    [anon_sym_LT_LT_EQ] = ACTIONS(3134),
    [anon_sym_GT_GT_EQ] = ACTIONS(3134),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3134),
    [anon_sym_DOT_DOT] = ACTIONS(3136),
    [anon_sym_STAR_STAR] = ACTIONS(3136),
    [anon_sym_PIPE_PIPE] = ACTIONS(3136),
    [anon_sym_SLASH_SLASH] = ACTIONS(3136),
    [anon_sym_CARET_CARET] = ACTIONS(3134),
    [anon_sym_AMP_AMP] = ACTIONS(3136),
    [anon_sym_PIPE] = ACTIONS(3136),
    [anon_sym_CARET] = ACTIONS(3136),
    [anon_sym_AMP] = ACTIONS(3136),
    [anon_sym_GT_GT2] = ACTIONS(3136),
    [anon_sym_PLUS] = ACTIONS(3136),
    [anon_sym_DASH] = ACTIONS(3136),
    [anon_sym_DOT] = ACTIONS(3136),
    [anon_sym_STAR] = ACTIONS(3136),
    [anon_sym_SLASH] = ACTIONS(3136),
    [anon_sym_x] = ACTIONS(3136),
    [anon_sym_EQ_TILDE] = ACTIONS(3134),
    [anon_sym_BANG_TILDE] = ACTIONS(3134),
    [anon_sym_EQ_EQ] = ACTIONS(3136),
    [anon_sym_BANG_EQ] = ACTIONS(3134),
    [anon_sym_eq] = ACTIONS(3136),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3134),
    [anon_sym_equ] = ACTIONS(3134),
    [anon_sym_eqr] = ACTIONS(3134),
    [anon_sym_ne] = ACTIONS(3134),
    [anon_sym_LT_EQ_GT] = ACTIONS(3134),
    [anon_sym_cmp] = ACTIONS(3134),
    [anon_sym_TILDE_TILDE] = ACTIONS(3134),
    [anon_sym_LT] = ACTIONS(3136),
    [anon_sym_LT_EQ] = ACTIONS(3136),
    [anon_sym_GT_EQ] = ACTIONS(3134),
    [anon_sym_lt] = ACTIONS(3134),
    [anon_sym_le] = ACTIONS(3134),
    [anon_sym_ge] = ACTIONS(3134),
    [anon_sym_gt] = ACTIONS(3134),
    [anon_sym_isa] = ACTIONS(3134),
    [anon_sym_PLUS_PLUS] = ACTIONS(3134),
    [anon_sym_DASH_DASH] = ACTIONS(3134),
    [anon_sym_QMARK] = ACTIONS(3134),
    [anon_sym_EQ_GT] = ACTIONS(3134),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2073] = {
    [sym_heredoc_content] = STATE(2073),
    [anon_sym_RBRACE] = ACTIONS(3186),
    [anon_sym_COLON] = ACTIONS(3186),
    [anon_sym_EQ] = ACTIONS(3188),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3186),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_RPAREN] = ACTIONS(3186),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3186),
    [anon_sym_DASH_GT] = ACTIONS(3186),
    [anon_sym_PERCENT] = ACTIONS(3188),
    [anon_sym_GT] = ACTIONS(3188),
    [anon_sym_LT_LT] = ACTIONS(3188),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3186),
    [anon_sym_PLUS_EQ] = ACTIONS(3186),
    [anon_sym_DASH_EQ] = ACTIONS(3186),
    [anon_sym_DOT_EQ] = ACTIONS(3186),
    [anon_sym_STAR_EQ] = ACTIONS(3186),
    [anon_sym_SLASH_EQ] = ACTIONS(3186),
    [anon_sym_PERCENT_EQ] = ACTIONS(3186),
    [anon_sym_x_EQ] = ACTIONS(3186),
    [anon_sym_AMP_EQ] = ACTIONS(3186),
    [anon_sym_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_CARET_EQ] = ACTIONS(3186),
    [anon_sym_LT_LT_EQ] = ACTIONS(3186),
    [anon_sym_GT_GT_EQ] = ACTIONS(3186),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3186),
    [anon_sym_DOT_DOT] = ACTIONS(3188),
    [anon_sym_STAR_STAR] = ACTIONS(3188),
    [anon_sym_PIPE_PIPE] = ACTIONS(3188),
    [anon_sym_SLASH_SLASH] = ACTIONS(3188),
    [anon_sym_CARET_CARET] = ACTIONS(3186),
    [anon_sym_AMP_AMP] = ACTIONS(3188),
    [anon_sym_PIPE] = ACTIONS(3188),
    [anon_sym_CARET] = ACTIONS(3188),
    [anon_sym_AMP] = ACTIONS(3188),
    [anon_sym_GT_GT2] = ACTIONS(3188),
    [anon_sym_PLUS] = ACTIONS(3188),
    [anon_sym_DASH] = ACTIONS(3188),
    [anon_sym_DOT] = ACTIONS(3188),
    [anon_sym_STAR] = ACTIONS(3188),
    [anon_sym_SLASH] = ACTIONS(3188),
    [anon_sym_x] = ACTIONS(3188),
    [anon_sym_EQ_TILDE] = ACTIONS(3186),
    [anon_sym_BANG_TILDE] = ACTIONS(3186),
    [anon_sym_EQ_EQ] = ACTIONS(3188),
    [anon_sym_BANG_EQ] = ACTIONS(3186),
    [anon_sym_eq] = ACTIONS(3188),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3186),
    [anon_sym_equ] = ACTIONS(3186),
    [anon_sym_eqr] = ACTIONS(3186),
    [anon_sym_ne] = ACTIONS(3186),
    [anon_sym_LT_EQ_GT] = ACTIONS(3186),
    [anon_sym_cmp] = ACTIONS(3186),
    [anon_sym_TILDE_TILDE] = ACTIONS(3186),
    [anon_sym_LT] = ACTIONS(3188),
    [anon_sym_LT_EQ] = ACTIONS(3188),
    [anon_sym_GT_EQ] = ACTIONS(3186),
    [anon_sym_lt] = ACTIONS(3186),
    [anon_sym_le] = ACTIONS(3186),
    [anon_sym_ge] = ACTIONS(3186),
    [anon_sym_gt] = ACTIONS(3186),
    [anon_sym_isa] = ACTIONS(3186),
    [anon_sym_PLUS_PLUS] = ACTIONS(3186),
    [anon_sym_DASH_DASH] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(3186),
    [anon_sym_EQ_GT] = ACTIONS(3186),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2074] = {
    [sym_heredoc_content] = STATE(2074),
    [anon_sym_RBRACE] = ACTIONS(2995),
    [anon_sym_COLON] = ACTIONS(2995),
    [anon_sym_EQ] = ACTIONS(2997),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2995),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2995),
    [anon_sym_COMMA] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(2995),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2995),
    [anon_sym_DASH_GT] = ACTIONS(2995),
    [anon_sym_PERCENT] = ACTIONS(2997),
    [anon_sym_GT] = ACTIONS(2997),
    [anon_sym_LT_LT] = ACTIONS(2997),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2995),
    [anon_sym_PLUS_EQ] = ACTIONS(2995),
    [anon_sym_DASH_EQ] = ACTIONS(2995),
    [anon_sym_DOT_EQ] = ACTIONS(2995),
    [anon_sym_STAR_EQ] = ACTIONS(2995),
    [anon_sym_SLASH_EQ] = ACTIONS(2995),
    [anon_sym_PERCENT_EQ] = ACTIONS(2995),
    [anon_sym_x_EQ] = ACTIONS(2995),
    [anon_sym_AMP_EQ] = ACTIONS(2995),
    [anon_sym_PIPE_EQ] = ACTIONS(2995),
    [anon_sym_CARET_EQ] = ACTIONS(2995),
    [anon_sym_LT_LT_EQ] = ACTIONS(2995),
    [anon_sym_GT_GT_EQ] = ACTIONS(2995),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2995),
    [anon_sym_DOT_DOT] = ACTIONS(2997),
    [anon_sym_STAR_STAR] = ACTIONS(2997),
    [anon_sym_PIPE_PIPE] = ACTIONS(2997),
    [anon_sym_SLASH_SLASH] = ACTIONS(2997),
    [anon_sym_CARET_CARET] = ACTIONS(2995),
    [anon_sym_AMP_AMP] = ACTIONS(2997),
    [anon_sym_PIPE] = ACTIONS(2997),
    [anon_sym_CARET] = ACTIONS(2997),
    [anon_sym_AMP] = ACTIONS(2997),
    [anon_sym_GT_GT2] = ACTIONS(2997),
    [anon_sym_PLUS] = ACTIONS(2997),
    [anon_sym_DASH] = ACTIONS(2997),
    [anon_sym_DOT] = ACTIONS(2997),
    [anon_sym_STAR] = ACTIONS(2997),
    [anon_sym_SLASH] = ACTIONS(2997),
    [anon_sym_x] = ACTIONS(2997),
    [anon_sym_EQ_TILDE] = ACTIONS(2995),
    [anon_sym_BANG_TILDE] = ACTIONS(2995),
    [anon_sym_EQ_EQ] = ACTIONS(2997),
    [anon_sym_BANG_EQ] = ACTIONS(2995),
    [anon_sym_eq] = ACTIONS(2997),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2995),
    [anon_sym_equ] = ACTIONS(2995),
    [anon_sym_eqr] = ACTIONS(2995),
    [anon_sym_ne] = ACTIONS(2995),
    [anon_sym_LT_EQ_GT] = ACTIONS(2995),
    [anon_sym_cmp] = ACTIONS(2995),
    [anon_sym_TILDE_TILDE] = ACTIONS(2995),
    [anon_sym_LT] = ACTIONS(2997),
    [anon_sym_LT_EQ] = ACTIONS(2997),
    [anon_sym_GT_EQ] = ACTIONS(2995),
    [anon_sym_lt] = ACTIONS(2995),
    [anon_sym_le] = ACTIONS(2995),
    [anon_sym_ge] = ACTIONS(2995),
    [anon_sym_gt] = ACTIONS(2995),
    [anon_sym_isa] = ACTIONS(2995),
    [anon_sym_PLUS_PLUS] = ACTIONS(2995),
    [anon_sym_DASH_DASH] = ACTIONS(2995),
    [anon_sym_QMARK] = ACTIONS(2995),
    [anon_sym_EQ_GT] = ACTIONS(2995),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2075] = {
    [sym_heredoc_content] = STATE(2075),
    [anon_sym_SEMI] = ACTIONS(2730),
    [anon_sym_EQ] = ACTIONS(2732),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2730),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2730),
    [anon_sym_COMMA] = ACTIONS(2730),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2730),
    [anon_sym_LBRACK] = ACTIONS(3748),
    [anon_sym_DASH_GT] = ACTIONS(2730),
    [anon_sym_PERCENT] = ACTIONS(2732),
    [anon_sym_GT] = ACTIONS(2732),
    [anon_sym_LT_LT] = ACTIONS(2732),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2730),
    [anon_sym_PLUS_EQ] = ACTIONS(2730),
    [anon_sym_DASH_EQ] = ACTIONS(2730),
    [anon_sym_DOT_EQ] = ACTIONS(2730),
    [anon_sym_STAR_EQ] = ACTIONS(2730),
    [anon_sym_SLASH_EQ] = ACTIONS(2730),
    [anon_sym_PERCENT_EQ] = ACTIONS(2730),
    [anon_sym_x_EQ] = ACTIONS(2730),
    [anon_sym_AMP_EQ] = ACTIONS(2730),
    [anon_sym_PIPE_EQ] = ACTIONS(2730),
    [anon_sym_CARET_EQ] = ACTIONS(2730),
    [anon_sym_LT_LT_EQ] = ACTIONS(2730),
    [anon_sym_GT_GT_EQ] = ACTIONS(2730),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2730),
    [anon_sym_DOT_DOT] = ACTIONS(2732),
    [anon_sym_STAR_STAR] = ACTIONS(2732),
    [anon_sym_PIPE_PIPE] = ACTIONS(2732),
    [anon_sym_SLASH_SLASH] = ACTIONS(2732),
    [anon_sym_CARET_CARET] = ACTIONS(2730),
    [anon_sym_AMP_AMP] = ACTIONS(2732),
    [anon_sym_PIPE] = ACTIONS(2732),
    [anon_sym_CARET] = ACTIONS(2732),
    [anon_sym_AMP] = ACTIONS(2732),
    [anon_sym_GT_GT2] = ACTIONS(2732),
    [anon_sym_PLUS] = ACTIONS(2732),
    [anon_sym_DASH] = ACTIONS(2732),
    [anon_sym_DOT] = ACTIONS(2732),
    [anon_sym_STAR] = ACTIONS(2732),
    [anon_sym_SLASH] = ACTIONS(2732),
    [anon_sym_x] = ACTIONS(2732),
    [anon_sym_EQ_TILDE] = ACTIONS(2730),
    [anon_sym_BANG_TILDE] = ACTIONS(2730),
    [anon_sym_EQ_EQ] = ACTIONS(2732),
    [anon_sym_BANG_EQ] = ACTIONS(2730),
    [anon_sym_eq] = ACTIONS(2732),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2730),
    [anon_sym_equ] = ACTIONS(2730),
    [anon_sym_eqr] = ACTIONS(2730),
    [anon_sym_ne] = ACTIONS(2730),
    [anon_sym_LT_EQ_GT] = ACTIONS(2730),
    [anon_sym_cmp] = ACTIONS(2730),
    [anon_sym_TILDE_TILDE] = ACTIONS(2730),
    [anon_sym_LT] = ACTIONS(2732),
    [anon_sym_LT_EQ] = ACTIONS(2732),
    [anon_sym_GT_EQ] = ACTIONS(2730),
    [anon_sym_lt] = ACTIONS(2730),
    [anon_sym_le] = ACTIONS(2730),
    [anon_sym_ge] = ACTIONS(2730),
    [anon_sym_gt] = ACTIONS(2730),
    [anon_sym_isa] = ACTIONS(2730),
    [anon_sym_PLUS_PLUS] = ACTIONS(2730),
    [anon_sym_DASH_DASH] = ACTIONS(2730),
    [anon_sym_QMARK] = ACTIONS(2730),
    [anon_sym_EQ_GT] = ACTIONS(2730),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2730),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2076] = {
    [sym_heredoc_content] = STATE(2076),
    [anon_sym_RBRACE] = ACTIONS(3190),
    [anon_sym_COLON] = ACTIONS(3190),
    [anon_sym_EQ] = ACTIONS(3192),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3190),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3190),
    [anon_sym_COMMA] = ACTIONS(3190),
    [anon_sym_RPAREN] = ACTIONS(3190),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3190),
    [anon_sym_DASH_GT] = ACTIONS(3190),
    [anon_sym_PERCENT] = ACTIONS(3192),
    [anon_sym_GT] = ACTIONS(3192),
    [anon_sym_LT_LT] = ACTIONS(3192),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3190),
    [anon_sym_PLUS_EQ] = ACTIONS(3190),
    [anon_sym_DASH_EQ] = ACTIONS(3190),
    [anon_sym_DOT_EQ] = ACTIONS(3190),
    [anon_sym_STAR_EQ] = ACTIONS(3190),
    [anon_sym_SLASH_EQ] = ACTIONS(3190),
    [anon_sym_PERCENT_EQ] = ACTIONS(3190),
    [anon_sym_x_EQ] = ACTIONS(3190),
    [anon_sym_AMP_EQ] = ACTIONS(3190),
    [anon_sym_PIPE_EQ] = ACTIONS(3190),
    [anon_sym_CARET_EQ] = ACTIONS(3190),
    [anon_sym_LT_LT_EQ] = ACTIONS(3190),
    [anon_sym_GT_GT_EQ] = ACTIONS(3190),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3190),
    [anon_sym_DOT_DOT] = ACTIONS(3192),
    [anon_sym_STAR_STAR] = ACTIONS(3192),
    [anon_sym_PIPE_PIPE] = ACTIONS(3192),
    [anon_sym_SLASH_SLASH] = ACTIONS(3192),
    [anon_sym_CARET_CARET] = ACTIONS(3190),
    [anon_sym_AMP_AMP] = ACTIONS(3192),
    [anon_sym_PIPE] = ACTIONS(3192),
    [anon_sym_CARET] = ACTIONS(3192),
    [anon_sym_AMP] = ACTIONS(3192),
    [anon_sym_GT_GT2] = ACTIONS(3192),
    [anon_sym_PLUS] = ACTIONS(3192),
    [anon_sym_DASH] = ACTIONS(3192),
    [anon_sym_DOT] = ACTIONS(3192),
    [anon_sym_STAR] = ACTIONS(3192),
    [anon_sym_SLASH] = ACTIONS(3192),
    [anon_sym_x] = ACTIONS(3192),
    [anon_sym_EQ_TILDE] = ACTIONS(3190),
    [anon_sym_BANG_TILDE] = ACTIONS(3190),
    [anon_sym_EQ_EQ] = ACTIONS(3192),
    [anon_sym_BANG_EQ] = ACTIONS(3190),
    [anon_sym_eq] = ACTIONS(3192),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3190),
    [anon_sym_equ] = ACTIONS(3190),
    [anon_sym_eqr] = ACTIONS(3190),
    [anon_sym_ne] = ACTIONS(3190),
    [anon_sym_LT_EQ_GT] = ACTIONS(3190),
    [anon_sym_cmp] = ACTIONS(3190),
    [anon_sym_TILDE_TILDE] = ACTIONS(3190),
    [anon_sym_LT] = ACTIONS(3192),
    [anon_sym_LT_EQ] = ACTIONS(3192),
    [anon_sym_GT_EQ] = ACTIONS(3190),
    [anon_sym_lt] = ACTIONS(3190),
    [anon_sym_le] = ACTIONS(3190),
    [anon_sym_ge] = ACTIONS(3190),
    [anon_sym_gt] = ACTIONS(3190),
    [anon_sym_isa] = ACTIONS(3190),
    [anon_sym_PLUS_PLUS] = ACTIONS(3190),
    [anon_sym_DASH_DASH] = ACTIONS(3190),
    [anon_sym_QMARK] = ACTIONS(3190),
    [anon_sym_EQ_GT] = ACTIONS(3190),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2077] = {
    [sym_heredoc_content] = STATE(2077),
    [anon_sym_RBRACE] = ACTIONS(3194),
    [anon_sym_COLON] = ACTIONS(3194),
    [anon_sym_EQ] = ACTIONS(3196),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3194),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3194),
    [anon_sym_COMMA] = ACTIONS(3194),
    [anon_sym_RPAREN] = ACTIONS(3194),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3194),
    [anon_sym_DASH_GT] = ACTIONS(3194),
    [anon_sym_PERCENT] = ACTIONS(3196),
    [anon_sym_GT] = ACTIONS(3196),
    [anon_sym_LT_LT] = ACTIONS(3196),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3194),
    [anon_sym_PLUS_EQ] = ACTIONS(3194),
    [anon_sym_DASH_EQ] = ACTIONS(3194),
    [anon_sym_DOT_EQ] = ACTIONS(3194),
    [anon_sym_STAR_EQ] = ACTIONS(3194),
    [anon_sym_SLASH_EQ] = ACTIONS(3194),
    [anon_sym_PERCENT_EQ] = ACTIONS(3194),
    [anon_sym_x_EQ] = ACTIONS(3194),
    [anon_sym_AMP_EQ] = ACTIONS(3194),
    [anon_sym_PIPE_EQ] = ACTIONS(3194),
    [anon_sym_CARET_EQ] = ACTIONS(3194),
    [anon_sym_LT_LT_EQ] = ACTIONS(3194),
    [anon_sym_GT_GT_EQ] = ACTIONS(3194),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3194),
    [anon_sym_DOT_DOT] = ACTIONS(3196),
    [anon_sym_STAR_STAR] = ACTIONS(3196),
    [anon_sym_PIPE_PIPE] = ACTIONS(3196),
    [anon_sym_SLASH_SLASH] = ACTIONS(3196),
    [anon_sym_CARET_CARET] = ACTIONS(3194),
    [anon_sym_AMP_AMP] = ACTIONS(3196),
    [anon_sym_PIPE] = ACTIONS(3196),
    [anon_sym_CARET] = ACTIONS(3196),
    [anon_sym_AMP] = ACTIONS(3196),
    [anon_sym_GT_GT2] = ACTIONS(3196),
    [anon_sym_PLUS] = ACTIONS(3196),
    [anon_sym_DASH] = ACTIONS(3196),
    [anon_sym_DOT] = ACTIONS(3196),
    [anon_sym_STAR] = ACTIONS(3196),
    [anon_sym_SLASH] = ACTIONS(3196),
    [anon_sym_x] = ACTIONS(3196),
    [anon_sym_EQ_TILDE] = ACTIONS(3194),
    [anon_sym_BANG_TILDE] = ACTIONS(3194),
    [anon_sym_EQ_EQ] = ACTIONS(3196),
    [anon_sym_BANG_EQ] = ACTIONS(3194),
    [anon_sym_eq] = ACTIONS(3196),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3194),
    [anon_sym_equ] = ACTIONS(3194),
    [anon_sym_eqr] = ACTIONS(3194),
    [anon_sym_ne] = ACTIONS(3194),
    [anon_sym_LT_EQ_GT] = ACTIONS(3194),
    [anon_sym_cmp] = ACTIONS(3194),
    [anon_sym_TILDE_TILDE] = ACTIONS(3194),
    [anon_sym_LT] = ACTIONS(3196),
    [anon_sym_LT_EQ] = ACTIONS(3196),
    [anon_sym_GT_EQ] = ACTIONS(3194),
    [anon_sym_lt] = ACTIONS(3194),
    [anon_sym_le] = ACTIONS(3194),
    [anon_sym_ge] = ACTIONS(3194),
    [anon_sym_gt] = ACTIONS(3194),
    [anon_sym_isa] = ACTIONS(3194),
    [anon_sym_PLUS_PLUS] = ACTIONS(3194),
    [anon_sym_DASH_DASH] = ACTIONS(3194),
    [anon_sym_QMARK] = ACTIONS(3194),
    [anon_sym_EQ_GT] = ACTIONS(3194),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2078] = {
    [sym_heredoc_content] = STATE(2078),
    [anon_sym_RBRACE] = ACTIONS(2644),
    [anon_sym_COLON] = ACTIONS(2644),
    [anon_sym_EQ] = ACTIONS(2646),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2644),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2644),
    [anon_sym_COMMA] = ACTIONS(2644),
    [anon_sym_RPAREN] = ACTIONS(2644),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2644),
    [anon_sym_DASH_GT] = ACTIONS(2644),
    [anon_sym_PERCENT] = ACTIONS(2646),
    [anon_sym_GT] = ACTIONS(2646),
    [anon_sym_LT_LT] = ACTIONS(2646),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2644),
    [anon_sym_PLUS_EQ] = ACTIONS(2644),
    [anon_sym_DASH_EQ] = ACTIONS(2644),
    [anon_sym_DOT_EQ] = ACTIONS(2644),
    [anon_sym_STAR_EQ] = ACTIONS(2644),
    [anon_sym_SLASH_EQ] = ACTIONS(2644),
    [anon_sym_PERCENT_EQ] = ACTIONS(2644),
    [anon_sym_x_EQ] = ACTIONS(2644),
    [anon_sym_AMP_EQ] = ACTIONS(2644),
    [anon_sym_PIPE_EQ] = ACTIONS(2644),
    [anon_sym_CARET_EQ] = ACTIONS(2644),
    [anon_sym_LT_LT_EQ] = ACTIONS(2644),
    [anon_sym_GT_GT_EQ] = ACTIONS(2644),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2644),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_STAR_STAR] = ACTIONS(2646),
    [anon_sym_PIPE_PIPE] = ACTIONS(2646),
    [anon_sym_SLASH_SLASH] = ACTIONS(2646),
    [anon_sym_CARET_CARET] = ACTIONS(2644),
    [anon_sym_AMP_AMP] = ACTIONS(2646),
    [anon_sym_PIPE] = ACTIONS(2646),
    [anon_sym_CARET] = ACTIONS(2646),
    [anon_sym_AMP] = ACTIONS(2646),
    [anon_sym_GT_GT2] = ACTIONS(2646),
    [anon_sym_PLUS] = ACTIONS(2646),
    [anon_sym_DASH] = ACTIONS(2646),
    [anon_sym_DOT] = ACTIONS(2646),
    [anon_sym_STAR] = ACTIONS(2646),
    [anon_sym_SLASH] = ACTIONS(2646),
    [anon_sym_x] = ACTIONS(2646),
    [anon_sym_EQ_TILDE] = ACTIONS(2644),
    [anon_sym_BANG_TILDE] = ACTIONS(2644),
    [anon_sym_EQ_EQ] = ACTIONS(2646),
    [anon_sym_BANG_EQ] = ACTIONS(2644),
    [anon_sym_eq] = ACTIONS(2646),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2644),
    [anon_sym_equ] = ACTIONS(2644),
    [anon_sym_eqr] = ACTIONS(2644),
    [anon_sym_ne] = ACTIONS(2644),
    [anon_sym_LT_EQ_GT] = ACTIONS(2644),
    [anon_sym_cmp] = ACTIONS(2644),
    [anon_sym_TILDE_TILDE] = ACTIONS(2644),
    [anon_sym_LT] = ACTIONS(2646),
    [anon_sym_LT_EQ] = ACTIONS(2646),
    [anon_sym_GT_EQ] = ACTIONS(2644),
    [anon_sym_lt] = ACTIONS(2644),
    [anon_sym_le] = ACTIONS(2644),
    [anon_sym_ge] = ACTIONS(2644),
    [anon_sym_gt] = ACTIONS(2644),
    [anon_sym_isa] = ACTIONS(2644),
    [anon_sym_PLUS_PLUS] = ACTIONS(2644),
    [anon_sym_DASH_DASH] = ACTIONS(2644),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_EQ_GT] = ACTIONS(2644),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2079] = {
    [sym_heredoc_content] = STATE(2079),
    [anon_sym_RBRACE] = ACTIONS(2670),
    [anon_sym_COLON] = ACTIONS(2670),
    [anon_sym_EQ] = ACTIONS(2672),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2670),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2670),
    [anon_sym_COMMA] = ACTIONS(2670),
    [anon_sym_RPAREN] = ACTIONS(2670),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2670),
    [anon_sym_DASH_GT] = ACTIONS(2670),
    [anon_sym_PERCENT] = ACTIONS(2672),
    [anon_sym_GT] = ACTIONS(2672),
    [anon_sym_LT_LT] = ACTIONS(2672),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2670),
    [anon_sym_PLUS_EQ] = ACTIONS(2670),
    [anon_sym_DASH_EQ] = ACTIONS(2670),
    [anon_sym_DOT_EQ] = ACTIONS(2670),
    [anon_sym_STAR_EQ] = ACTIONS(2670),
    [anon_sym_SLASH_EQ] = ACTIONS(2670),
    [anon_sym_PERCENT_EQ] = ACTIONS(2670),
    [anon_sym_x_EQ] = ACTIONS(2670),
    [anon_sym_AMP_EQ] = ACTIONS(2670),
    [anon_sym_PIPE_EQ] = ACTIONS(2670),
    [anon_sym_CARET_EQ] = ACTIONS(2670),
    [anon_sym_LT_LT_EQ] = ACTIONS(2670),
    [anon_sym_GT_GT_EQ] = ACTIONS(2670),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2670),
    [anon_sym_DOT_DOT] = ACTIONS(2672),
    [anon_sym_STAR_STAR] = ACTIONS(2672),
    [anon_sym_PIPE_PIPE] = ACTIONS(2672),
    [anon_sym_SLASH_SLASH] = ACTIONS(2672),
    [anon_sym_CARET_CARET] = ACTIONS(2670),
    [anon_sym_AMP_AMP] = ACTIONS(2672),
    [anon_sym_PIPE] = ACTIONS(2672),
    [anon_sym_CARET] = ACTIONS(2672),
    [anon_sym_AMP] = ACTIONS(2672),
    [anon_sym_GT_GT2] = ACTIONS(2672),
    [anon_sym_PLUS] = ACTIONS(2672),
    [anon_sym_DASH] = ACTIONS(2672),
    [anon_sym_DOT] = ACTIONS(2672),
    [anon_sym_STAR] = ACTIONS(2672),
    [anon_sym_SLASH] = ACTIONS(2672),
    [anon_sym_x] = ACTIONS(2672),
    [anon_sym_EQ_TILDE] = ACTIONS(2670),
    [anon_sym_BANG_TILDE] = ACTIONS(2670),
    [anon_sym_EQ_EQ] = ACTIONS(2672),
    [anon_sym_BANG_EQ] = ACTIONS(2670),
    [anon_sym_eq] = ACTIONS(2672),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2670),
    [anon_sym_equ] = ACTIONS(2670),
    [anon_sym_eqr] = ACTIONS(2670),
    [anon_sym_ne] = ACTIONS(2670),
    [anon_sym_LT_EQ_GT] = ACTIONS(2670),
    [anon_sym_cmp] = ACTIONS(2670),
    [anon_sym_TILDE_TILDE] = ACTIONS(2670),
    [anon_sym_LT] = ACTIONS(2672),
    [anon_sym_LT_EQ] = ACTIONS(2672),
    [anon_sym_GT_EQ] = ACTIONS(2670),
    [anon_sym_lt] = ACTIONS(2670),
    [anon_sym_le] = ACTIONS(2670),
    [anon_sym_ge] = ACTIONS(2670),
    [anon_sym_gt] = ACTIONS(2670),
    [anon_sym_isa] = ACTIONS(2670),
    [anon_sym_PLUS_PLUS] = ACTIONS(2670),
    [anon_sym_DASH_DASH] = ACTIONS(2670),
    [anon_sym_QMARK] = ACTIONS(2670),
    [anon_sym_EQ_GT] = ACTIONS(2670),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2080] = {
    [sym_heredoc_content] = STATE(2080),
    [anon_sym_RBRACE] = ACTIONS(2817),
    [anon_sym_COLON] = ACTIONS(2817),
    [anon_sym_EQ] = ACTIONS(2819),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2817),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2817),
    [anon_sym_COMMA] = ACTIONS(2817),
    [anon_sym_RPAREN] = ACTIONS(2817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2817),
    [anon_sym_DASH_GT] = ACTIONS(2817),
    [anon_sym_PERCENT] = ACTIONS(2819),
    [anon_sym_GT] = ACTIONS(2819),
    [anon_sym_LT_LT] = ACTIONS(2819),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2817),
    [anon_sym_PLUS_EQ] = ACTIONS(2817),
    [anon_sym_DASH_EQ] = ACTIONS(2817),
    [anon_sym_DOT_EQ] = ACTIONS(2817),
    [anon_sym_STAR_EQ] = ACTIONS(2817),
    [anon_sym_SLASH_EQ] = ACTIONS(2817),
    [anon_sym_PERCENT_EQ] = ACTIONS(2817),
    [anon_sym_x_EQ] = ACTIONS(2817),
    [anon_sym_AMP_EQ] = ACTIONS(2817),
    [anon_sym_PIPE_EQ] = ACTIONS(2817),
    [anon_sym_CARET_EQ] = ACTIONS(2817),
    [anon_sym_LT_LT_EQ] = ACTIONS(2817),
    [anon_sym_GT_GT_EQ] = ACTIONS(2817),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2817),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_STAR_STAR] = ACTIONS(2819),
    [anon_sym_PIPE_PIPE] = ACTIONS(2819),
    [anon_sym_SLASH_SLASH] = ACTIONS(2819),
    [anon_sym_CARET_CARET] = ACTIONS(2817),
    [anon_sym_AMP_AMP] = ACTIONS(2819),
    [anon_sym_PIPE] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2819),
    [anon_sym_AMP] = ACTIONS(2819),
    [anon_sym_GT_GT2] = ACTIONS(2819),
    [anon_sym_PLUS] = ACTIONS(2819),
    [anon_sym_DASH] = ACTIONS(2819),
    [anon_sym_DOT] = ACTIONS(2819),
    [anon_sym_STAR] = ACTIONS(2819),
    [anon_sym_SLASH] = ACTIONS(2819),
    [anon_sym_x] = ACTIONS(2819),
    [anon_sym_EQ_TILDE] = ACTIONS(2817),
    [anon_sym_BANG_TILDE] = ACTIONS(2817),
    [anon_sym_EQ_EQ] = ACTIONS(2819),
    [anon_sym_BANG_EQ] = ACTIONS(2817),
    [anon_sym_eq] = ACTIONS(2819),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2817),
    [anon_sym_equ] = ACTIONS(2817),
    [anon_sym_eqr] = ACTIONS(2817),
    [anon_sym_ne] = ACTIONS(2817),
    [anon_sym_LT_EQ_GT] = ACTIONS(2817),
    [anon_sym_cmp] = ACTIONS(2817),
    [anon_sym_TILDE_TILDE] = ACTIONS(2817),
    [anon_sym_LT] = ACTIONS(2819),
    [anon_sym_LT_EQ] = ACTIONS(2819),
    [anon_sym_GT_EQ] = ACTIONS(2817),
    [anon_sym_lt] = ACTIONS(2817),
    [anon_sym_le] = ACTIONS(2817),
    [anon_sym_ge] = ACTIONS(2817),
    [anon_sym_gt] = ACTIONS(2817),
    [anon_sym_isa] = ACTIONS(2817),
    [anon_sym_PLUS_PLUS] = ACTIONS(2817),
    [anon_sym_DASH_DASH] = ACTIONS(2817),
    [anon_sym_QMARK] = ACTIONS(2817),
    [anon_sym_EQ_GT] = ACTIONS(2817),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2081] = {
    [sym_heredoc_content] = STATE(2081),
    [anon_sym_COLON] = ACTIONS(2770),
    [anon_sym_SEMI] = ACTIONS(2770),
    [anon_sym_EQ] = ACTIONS(2772),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2770),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2770),
    [anon_sym_COMMA] = ACTIONS(2770),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2770),
    [anon_sym_DASH_GT] = ACTIONS(2770),
    [anon_sym_PERCENT] = ACTIONS(2772),
    [anon_sym_GT] = ACTIONS(2772),
    [anon_sym_LT_LT] = ACTIONS(2772),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2770),
    [anon_sym_PLUS_EQ] = ACTIONS(2770),
    [anon_sym_DASH_EQ] = ACTIONS(2770),
    [anon_sym_DOT_EQ] = ACTIONS(2770),
    [anon_sym_STAR_EQ] = ACTIONS(2770),
    [anon_sym_SLASH_EQ] = ACTIONS(2770),
    [anon_sym_PERCENT_EQ] = ACTIONS(2770),
    [anon_sym_x_EQ] = ACTIONS(2770),
    [anon_sym_AMP_EQ] = ACTIONS(2770),
    [anon_sym_PIPE_EQ] = ACTIONS(2770),
    [anon_sym_CARET_EQ] = ACTIONS(2770),
    [anon_sym_LT_LT_EQ] = ACTIONS(2770),
    [anon_sym_GT_GT_EQ] = ACTIONS(2770),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2770),
    [anon_sym_DOT_DOT] = ACTIONS(2772),
    [anon_sym_STAR_STAR] = ACTIONS(2772),
    [anon_sym_PIPE_PIPE] = ACTIONS(2772),
    [anon_sym_SLASH_SLASH] = ACTIONS(2772),
    [anon_sym_CARET_CARET] = ACTIONS(2770),
    [anon_sym_AMP_AMP] = ACTIONS(2772),
    [anon_sym_PIPE] = ACTIONS(2772),
    [anon_sym_CARET] = ACTIONS(2772),
    [anon_sym_AMP] = ACTIONS(2772),
    [anon_sym_GT_GT2] = ACTIONS(2772),
    [anon_sym_PLUS] = ACTIONS(2772),
    [anon_sym_DASH] = ACTIONS(2772),
    [anon_sym_DOT] = ACTIONS(2772),
    [anon_sym_STAR] = ACTIONS(2772),
    [anon_sym_SLASH] = ACTIONS(2772),
    [anon_sym_x] = ACTIONS(2772),
    [anon_sym_EQ_TILDE] = ACTIONS(2770),
    [anon_sym_BANG_TILDE] = ACTIONS(2770),
    [anon_sym_EQ_EQ] = ACTIONS(2772),
    [anon_sym_BANG_EQ] = ACTIONS(2770),
    [anon_sym_eq] = ACTIONS(2772),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2770),
    [anon_sym_equ] = ACTIONS(2770),
    [anon_sym_eqr] = ACTIONS(2770),
    [anon_sym_ne] = ACTIONS(2770),
    [anon_sym_LT_EQ_GT] = ACTIONS(2770),
    [anon_sym_cmp] = ACTIONS(2770),
    [anon_sym_TILDE_TILDE] = ACTIONS(2770),
    [anon_sym_LT] = ACTIONS(2772),
    [anon_sym_LT_EQ] = ACTIONS(2772),
    [anon_sym_GT_EQ] = ACTIONS(2770),
    [anon_sym_lt] = ACTIONS(2770),
    [anon_sym_le] = ACTIONS(2770),
    [anon_sym_ge] = ACTIONS(2770),
    [anon_sym_gt] = ACTIONS(2770),
    [anon_sym_isa] = ACTIONS(2770),
    [anon_sym_PLUS_PLUS] = ACTIONS(2770),
    [anon_sym_DASH_DASH] = ACTIONS(2770),
    [anon_sym_QMARK] = ACTIONS(2770),
    [anon_sym_EQ_GT] = ACTIONS(2770),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2770),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2082] = {
    [sym_heredoc_content] = STATE(2082),
    [anon_sym_RBRACE] = ACTIONS(2726),
    [anon_sym_COLON] = ACTIONS(2726),
    [anon_sym_EQ] = ACTIONS(2728),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2726),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2726),
    [anon_sym_COMMA] = ACTIONS(2726),
    [anon_sym_RPAREN] = ACTIONS(2726),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2726),
    [anon_sym_DASH_GT] = ACTIONS(2726),
    [anon_sym_PERCENT] = ACTIONS(2728),
    [anon_sym_GT] = ACTIONS(2728),
    [anon_sym_LT_LT] = ACTIONS(2728),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2726),
    [anon_sym_PLUS_EQ] = ACTIONS(2726),
    [anon_sym_DASH_EQ] = ACTIONS(2726),
    [anon_sym_DOT_EQ] = ACTIONS(2726),
    [anon_sym_STAR_EQ] = ACTIONS(2726),
    [anon_sym_SLASH_EQ] = ACTIONS(2726),
    [anon_sym_PERCENT_EQ] = ACTIONS(2726),
    [anon_sym_x_EQ] = ACTIONS(2726),
    [anon_sym_AMP_EQ] = ACTIONS(2726),
    [anon_sym_PIPE_EQ] = ACTIONS(2726),
    [anon_sym_CARET_EQ] = ACTIONS(2726),
    [anon_sym_LT_LT_EQ] = ACTIONS(2726),
    [anon_sym_GT_GT_EQ] = ACTIONS(2726),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2726),
    [anon_sym_DOT_DOT] = ACTIONS(2728),
    [anon_sym_STAR_STAR] = ACTIONS(2728),
    [anon_sym_PIPE_PIPE] = ACTIONS(2728),
    [anon_sym_SLASH_SLASH] = ACTIONS(2728),
    [anon_sym_CARET_CARET] = ACTIONS(2726),
    [anon_sym_AMP_AMP] = ACTIONS(2728),
    [anon_sym_PIPE] = ACTIONS(2728),
    [anon_sym_CARET] = ACTIONS(2728),
    [anon_sym_AMP] = ACTIONS(2728),
    [anon_sym_GT_GT2] = ACTIONS(2728),
    [anon_sym_PLUS] = ACTIONS(2728),
    [anon_sym_DASH] = ACTIONS(2728),
    [anon_sym_DOT] = ACTIONS(2728),
    [anon_sym_STAR] = ACTIONS(2728),
    [anon_sym_SLASH] = ACTIONS(2728),
    [anon_sym_x] = ACTIONS(2728),
    [anon_sym_EQ_TILDE] = ACTIONS(2726),
    [anon_sym_BANG_TILDE] = ACTIONS(2726),
    [anon_sym_EQ_EQ] = ACTIONS(2728),
    [anon_sym_BANG_EQ] = ACTIONS(2726),
    [anon_sym_eq] = ACTIONS(2728),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2726),
    [anon_sym_equ] = ACTIONS(2726),
    [anon_sym_eqr] = ACTIONS(2726),
    [anon_sym_ne] = ACTIONS(2726),
    [anon_sym_LT_EQ_GT] = ACTIONS(2726),
    [anon_sym_cmp] = ACTIONS(2726),
    [anon_sym_TILDE_TILDE] = ACTIONS(2726),
    [anon_sym_LT] = ACTIONS(2728),
    [anon_sym_LT_EQ] = ACTIONS(2728),
    [anon_sym_GT_EQ] = ACTIONS(2726),
    [anon_sym_lt] = ACTIONS(2726),
    [anon_sym_le] = ACTIONS(2726),
    [anon_sym_ge] = ACTIONS(2726),
    [anon_sym_gt] = ACTIONS(2726),
    [anon_sym_isa] = ACTIONS(2726),
    [anon_sym_PLUS_PLUS] = ACTIONS(2726),
    [anon_sym_DASH_DASH] = ACTIONS(2726),
    [anon_sym_QMARK] = ACTIONS(2726),
    [anon_sym_EQ_GT] = ACTIONS(2726),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2083] = {
    [sym_heredoc_content] = STATE(2083),
    [anon_sym_SEMI] = ACTIONS(2532),
    [anon_sym_EQ] = ACTIONS(2534),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2532),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2532),
    [anon_sym_COMMA] = ACTIONS(2532),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2532),
    [anon_sym_DASH_GT] = ACTIONS(2532),
    [anon_sym_PERCENT] = ACTIONS(2534),
    [anon_sym_GT] = ACTIONS(2534),
    [anon_sym_LT_LT] = ACTIONS(2534),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2532),
    [anon_sym_PLUS_EQ] = ACTIONS(2532),
    [anon_sym_DASH_EQ] = ACTIONS(2532),
    [anon_sym_DOT_EQ] = ACTIONS(2532),
    [anon_sym_STAR_EQ] = ACTIONS(2532),
    [anon_sym_SLASH_EQ] = ACTIONS(2532),
    [anon_sym_PERCENT_EQ] = ACTIONS(2532),
    [anon_sym_x_EQ] = ACTIONS(2534),
    [anon_sym_AMP_EQ] = ACTIONS(2532),
    [anon_sym_PIPE_EQ] = ACTIONS(2532),
    [anon_sym_CARET_EQ] = ACTIONS(2532),
    [anon_sym_LT_LT_EQ] = ACTIONS(2532),
    [anon_sym_GT_GT_EQ] = ACTIONS(2532),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2532),
    [anon_sym_DOT_DOT] = ACTIONS(2534),
    [anon_sym_STAR_STAR] = ACTIONS(2534),
    [anon_sym_PIPE_PIPE] = ACTIONS(2534),
    [anon_sym_SLASH_SLASH] = ACTIONS(2534),
    [anon_sym_CARET_CARET] = ACTIONS(2532),
    [anon_sym_AMP_AMP] = ACTIONS(2534),
    [anon_sym_PIPE] = ACTIONS(2534),
    [anon_sym_CARET] = ACTIONS(2534),
    [anon_sym_AMP] = ACTIONS(2534),
    [anon_sym_GT_GT2] = ACTIONS(2534),
    [anon_sym_PLUS] = ACTIONS(2534),
    [anon_sym_DASH] = ACTIONS(2534),
    [anon_sym_DOT] = ACTIONS(2534),
    [anon_sym_STAR] = ACTIONS(2534),
    [anon_sym_SLASH] = ACTIONS(2534),
    [anon_sym_x] = ACTIONS(2534),
    [anon_sym_EQ_TILDE] = ACTIONS(2532),
    [anon_sym_BANG_TILDE] = ACTIONS(2532),
    [anon_sym_EQ_EQ] = ACTIONS(2534),
    [anon_sym_BANG_EQ] = ACTIONS(2532),
    [anon_sym_eq] = ACTIONS(2534),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2532),
    [anon_sym_equ] = ACTIONS(2532),
    [anon_sym_eqr] = ACTIONS(2532),
    [anon_sym_ne] = ACTIONS(2534),
    [anon_sym_LT_EQ_GT] = ACTIONS(2532),
    [anon_sym_cmp] = ACTIONS(2534),
    [anon_sym_TILDE_TILDE] = ACTIONS(2532),
    [anon_sym_LT] = ACTIONS(2534),
    [anon_sym_LT_EQ] = ACTIONS(2534),
    [anon_sym_GT_EQ] = ACTIONS(2532),
    [anon_sym_lt] = ACTIONS(2534),
    [anon_sym_le] = ACTIONS(2534),
    [anon_sym_ge] = ACTIONS(2534),
    [anon_sym_gt] = ACTIONS(2534),
    [anon_sym_isa] = ACTIONS(2534),
    [anon_sym_PLUS_PLUS] = ACTIONS(2532),
    [anon_sym_DASH_DASH] = ACTIONS(2532),
    [anon_sym_QMARK] = ACTIONS(2532),
    [anon_sym_EQ_GT] = ACTIONS(2532),
    [sym_comment] = ACTIONS(5),
    [sym_match_regexp_modifiers] = ACTIONS(2532),
    [sym__PERLY_SEMICOLON] = ACTIONS(2532),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2084] = {
    [sym_heredoc_content] = STATE(2084),
    [anon_sym_RBRACE] = ACTIONS(3198),
    [anon_sym_COLON] = ACTIONS(3198),
    [anon_sym_EQ] = ACTIONS(3200),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3198),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3198),
    [anon_sym_COMMA] = ACTIONS(3198),
    [anon_sym_RPAREN] = ACTIONS(3198),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3198),
    [anon_sym_DASH_GT] = ACTIONS(3198),
    [anon_sym_PERCENT] = ACTIONS(3200),
    [anon_sym_GT] = ACTIONS(3200),
    [anon_sym_LT_LT] = ACTIONS(3200),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3198),
    [anon_sym_PLUS_EQ] = ACTIONS(3198),
    [anon_sym_DASH_EQ] = ACTIONS(3198),
    [anon_sym_DOT_EQ] = ACTIONS(3198),
    [anon_sym_STAR_EQ] = ACTIONS(3198),
    [anon_sym_SLASH_EQ] = ACTIONS(3198),
    [anon_sym_PERCENT_EQ] = ACTIONS(3198),
    [anon_sym_x_EQ] = ACTIONS(3198),
    [anon_sym_AMP_EQ] = ACTIONS(3198),
    [anon_sym_PIPE_EQ] = ACTIONS(3198),
    [anon_sym_CARET_EQ] = ACTIONS(3198),
    [anon_sym_LT_LT_EQ] = ACTIONS(3198),
    [anon_sym_GT_GT_EQ] = ACTIONS(3198),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3198),
    [anon_sym_DOT_DOT] = ACTIONS(3200),
    [anon_sym_STAR_STAR] = ACTIONS(3200),
    [anon_sym_PIPE_PIPE] = ACTIONS(3200),
    [anon_sym_SLASH_SLASH] = ACTIONS(3200),
    [anon_sym_CARET_CARET] = ACTIONS(3198),
    [anon_sym_AMP_AMP] = ACTIONS(3200),
    [anon_sym_PIPE] = ACTIONS(3200),
    [anon_sym_CARET] = ACTIONS(3200),
    [anon_sym_AMP] = ACTIONS(3200),
    [anon_sym_GT_GT2] = ACTIONS(3200),
    [anon_sym_PLUS] = ACTIONS(3200),
    [anon_sym_DASH] = ACTIONS(3200),
    [anon_sym_DOT] = ACTIONS(3200),
    [anon_sym_STAR] = ACTIONS(3200),
    [anon_sym_SLASH] = ACTIONS(3200),
    [anon_sym_x] = ACTIONS(3200),
    [anon_sym_EQ_TILDE] = ACTIONS(3198),
    [anon_sym_BANG_TILDE] = ACTIONS(3198),
    [anon_sym_EQ_EQ] = ACTIONS(3200),
    [anon_sym_BANG_EQ] = ACTIONS(3198),
    [anon_sym_eq] = ACTIONS(3200),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3198),
    [anon_sym_equ] = ACTIONS(3198),
    [anon_sym_eqr] = ACTIONS(3198),
    [anon_sym_ne] = ACTIONS(3198),
    [anon_sym_LT_EQ_GT] = ACTIONS(3198),
    [anon_sym_cmp] = ACTIONS(3198),
    [anon_sym_TILDE_TILDE] = ACTIONS(3198),
    [anon_sym_LT] = ACTIONS(3200),
    [anon_sym_LT_EQ] = ACTIONS(3200),
    [anon_sym_GT_EQ] = ACTIONS(3198),
    [anon_sym_lt] = ACTIONS(3198),
    [anon_sym_le] = ACTIONS(3198),
    [anon_sym_ge] = ACTIONS(3198),
    [anon_sym_gt] = ACTIONS(3198),
    [anon_sym_isa] = ACTIONS(3198),
    [anon_sym_PLUS_PLUS] = ACTIONS(3198),
    [anon_sym_DASH_DASH] = ACTIONS(3198),
    [anon_sym_QMARK] = ACTIONS(3198),
    [anon_sym_EQ_GT] = ACTIONS(3198),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2085] = {
    [sym_heredoc_content] = STATE(2085),
    [anon_sym_RBRACE] = ACTIONS(3202),
    [anon_sym_COLON] = ACTIONS(3202),
    [anon_sym_EQ] = ACTIONS(3204),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3202),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3202),
    [anon_sym_COMMA] = ACTIONS(3202),
    [anon_sym_RPAREN] = ACTIONS(3202),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3202),
    [anon_sym_DASH_GT] = ACTIONS(3202),
    [anon_sym_PERCENT] = ACTIONS(3204),
    [anon_sym_GT] = ACTIONS(3204),
    [anon_sym_LT_LT] = ACTIONS(3204),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3202),
    [anon_sym_PLUS_EQ] = ACTIONS(3202),
    [anon_sym_DASH_EQ] = ACTIONS(3202),
    [anon_sym_DOT_EQ] = ACTIONS(3202),
    [anon_sym_STAR_EQ] = ACTIONS(3202),
    [anon_sym_SLASH_EQ] = ACTIONS(3202),
    [anon_sym_PERCENT_EQ] = ACTIONS(3202),
    [anon_sym_x_EQ] = ACTIONS(3202),
    [anon_sym_AMP_EQ] = ACTIONS(3202),
    [anon_sym_PIPE_EQ] = ACTIONS(3202),
    [anon_sym_CARET_EQ] = ACTIONS(3202),
    [anon_sym_LT_LT_EQ] = ACTIONS(3202),
    [anon_sym_GT_GT_EQ] = ACTIONS(3202),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3202),
    [anon_sym_DOT_DOT] = ACTIONS(3204),
    [anon_sym_STAR_STAR] = ACTIONS(3204),
    [anon_sym_PIPE_PIPE] = ACTIONS(3204),
    [anon_sym_SLASH_SLASH] = ACTIONS(3204),
    [anon_sym_CARET_CARET] = ACTIONS(3202),
    [anon_sym_AMP_AMP] = ACTIONS(3204),
    [anon_sym_PIPE] = ACTIONS(3204),
    [anon_sym_CARET] = ACTIONS(3204),
    [anon_sym_AMP] = ACTIONS(3204),
    [anon_sym_GT_GT2] = ACTIONS(3204),
    [anon_sym_PLUS] = ACTIONS(3204),
    [anon_sym_DASH] = ACTIONS(3204),
    [anon_sym_DOT] = ACTIONS(3204),
    [anon_sym_STAR] = ACTIONS(3204),
    [anon_sym_SLASH] = ACTIONS(3204),
    [anon_sym_x] = ACTIONS(3204),
    [anon_sym_EQ_TILDE] = ACTIONS(3202),
    [anon_sym_BANG_TILDE] = ACTIONS(3202),
    [anon_sym_EQ_EQ] = ACTIONS(3204),
    [anon_sym_BANG_EQ] = ACTIONS(3202),
    [anon_sym_eq] = ACTIONS(3204),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3202),
    [anon_sym_equ] = ACTIONS(3202),
    [anon_sym_eqr] = ACTIONS(3202),
    [anon_sym_ne] = ACTIONS(3202),
    [anon_sym_LT_EQ_GT] = ACTIONS(3202),
    [anon_sym_cmp] = ACTIONS(3202),
    [anon_sym_TILDE_TILDE] = ACTIONS(3202),
    [anon_sym_LT] = ACTIONS(3204),
    [anon_sym_LT_EQ] = ACTIONS(3204),
    [anon_sym_GT_EQ] = ACTIONS(3202),
    [anon_sym_lt] = ACTIONS(3202),
    [anon_sym_le] = ACTIONS(3202),
    [anon_sym_ge] = ACTIONS(3202),
    [anon_sym_gt] = ACTIONS(3202),
    [anon_sym_isa] = ACTIONS(3202),
    [anon_sym_PLUS_PLUS] = ACTIONS(3202),
    [anon_sym_DASH_DASH] = ACTIONS(3202),
    [anon_sym_QMARK] = ACTIONS(3202),
    [anon_sym_EQ_GT] = ACTIONS(3202),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2086] = {
    [sym_heredoc_content] = STATE(2086),
    [anon_sym_SEMI] = ACTIONS(2722),
    [anon_sym_EQ] = ACTIONS(2724),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2722),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2722),
    [anon_sym_COMMA] = ACTIONS(2722),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2722),
    [anon_sym_LBRACK] = ACTIONS(3805),
    [anon_sym_DASH_GT] = ACTIONS(2722),
    [anon_sym_PERCENT] = ACTIONS(2724),
    [anon_sym_GT] = ACTIONS(2724),
    [anon_sym_LT_LT] = ACTIONS(2724),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2722),
    [anon_sym_PLUS_EQ] = ACTIONS(2722),
    [anon_sym_DASH_EQ] = ACTIONS(2722),
    [anon_sym_DOT_EQ] = ACTIONS(2722),
    [anon_sym_STAR_EQ] = ACTIONS(2722),
    [anon_sym_SLASH_EQ] = ACTIONS(2722),
    [anon_sym_PERCENT_EQ] = ACTIONS(2722),
    [anon_sym_x_EQ] = ACTIONS(2722),
    [anon_sym_AMP_EQ] = ACTIONS(2722),
    [anon_sym_PIPE_EQ] = ACTIONS(2722),
    [anon_sym_CARET_EQ] = ACTIONS(2722),
    [anon_sym_LT_LT_EQ] = ACTIONS(2722),
    [anon_sym_GT_GT_EQ] = ACTIONS(2722),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2722),
    [anon_sym_DOT_DOT] = ACTIONS(2724),
    [anon_sym_STAR_STAR] = ACTIONS(2724),
    [anon_sym_PIPE_PIPE] = ACTIONS(2724),
    [anon_sym_SLASH_SLASH] = ACTIONS(2724),
    [anon_sym_CARET_CARET] = ACTIONS(2722),
    [anon_sym_AMP_AMP] = ACTIONS(2724),
    [anon_sym_PIPE] = ACTIONS(2724),
    [anon_sym_CARET] = ACTIONS(2724),
    [anon_sym_AMP] = ACTIONS(2724),
    [anon_sym_GT_GT2] = ACTIONS(2724),
    [anon_sym_PLUS] = ACTIONS(2724),
    [anon_sym_DASH] = ACTIONS(2724),
    [anon_sym_DOT] = ACTIONS(2724),
    [anon_sym_STAR] = ACTIONS(2724),
    [anon_sym_SLASH] = ACTIONS(2724),
    [anon_sym_x] = ACTIONS(2724),
    [anon_sym_EQ_TILDE] = ACTIONS(2722),
    [anon_sym_BANG_TILDE] = ACTIONS(2722),
    [anon_sym_EQ_EQ] = ACTIONS(2724),
    [anon_sym_BANG_EQ] = ACTIONS(2722),
    [anon_sym_eq] = ACTIONS(2724),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2722),
    [anon_sym_equ] = ACTIONS(2722),
    [anon_sym_eqr] = ACTIONS(2722),
    [anon_sym_ne] = ACTIONS(2722),
    [anon_sym_LT_EQ_GT] = ACTIONS(2722),
    [anon_sym_cmp] = ACTIONS(2722),
    [anon_sym_TILDE_TILDE] = ACTIONS(2722),
    [anon_sym_LT] = ACTIONS(2724),
    [anon_sym_LT_EQ] = ACTIONS(2724),
    [anon_sym_GT_EQ] = ACTIONS(2722),
    [anon_sym_lt] = ACTIONS(2722),
    [anon_sym_le] = ACTIONS(2722),
    [anon_sym_ge] = ACTIONS(2722),
    [anon_sym_gt] = ACTIONS(2722),
    [anon_sym_isa] = ACTIONS(2722),
    [anon_sym_PLUS_PLUS] = ACTIONS(2722),
    [anon_sym_DASH_DASH] = ACTIONS(2722),
    [anon_sym_QMARK] = ACTIONS(2722),
    [anon_sym_EQ_GT] = ACTIONS(2722),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2722),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2087] = {
    [sym_heredoc_content] = STATE(2087),
    [anon_sym_RBRACE] = ACTIONS(3206),
    [anon_sym_COLON] = ACTIONS(3206),
    [anon_sym_EQ] = ACTIONS(3208),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3206),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3206),
    [anon_sym_COMMA] = ACTIONS(3206),
    [anon_sym_RPAREN] = ACTIONS(3206),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3206),
    [anon_sym_DASH_GT] = ACTIONS(3206),
    [anon_sym_PERCENT] = ACTIONS(3208),
    [anon_sym_GT] = ACTIONS(3208),
    [anon_sym_LT_LT] = ACTIONS(3208),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3206),
    [anon_sym_PLUS_EQ] = ACTIONS(3206),
    [anon_sym_DASH_EQ] = ACTIONS(3206),
    [anon_sym_DOT_EQ] = ACTIONS(3206),
    [anon_sym_STAR_EQ] = ACTIONS(3206),
    [anon_sym_SLASH_EQ] = ACTIONS(3206),
    [anon_sym_PERCENT_EQ] = ACTIONS(3206),
    [anon_sym_x_EQ] = ACTIONS(3206),
    [anon_sym_AMP_EQ] = ACTIONS(3206),
    [anon_sym_PIPE_EQ] = ACTIONS(3206),
    [anon_sym_CARET_EQ] = ACTIONS(3206),
    [anon_sym_LT_LT_EQ] = ACTIONS(3206),
    [anon_sym_GT_GT_EQ] = ACTIONS(3206),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3206),
    [anon_sym_DOT_DOT] = ACTIONS(3208),
    [anon_sym_STAR_STAR] = ACTIONS(3208),
    [anon_sym_PIPE_PIPE] = ACTIONS(3208),
    [anon_sym_SLASH_SLASH] = ACTIONS(3208),
    [anon_sym_CARET_CARET] = ACTIONS(3206),
    [anon_sym_AMP_AMP] = ACTIONS(3208),
    [anon_sym_PIPE] = ACTIONS(3208),
    [anon_sym_CARET] = ACTIONS(3208),
    [anon_sym_AMP] = ACTIONS(3208),
    [anon_sym_GT_GT2] = ACTIONS(3208),
    [anon_sym_PLUS] = ACTIONS(3208),
    [anon_sym_DASH] = ACTIONS(3208),
    [anon_sym_DOT] = ACTIONS(3208),
    [anon_sym_STAR] = ACTIONS(3208),
    [anon_sym_SLASH] = ACTIONS(3208),
    [anon_sym_x] = ACTIONS(3208),
    [anon_sym_EQ_TILDE] = ACTIONS(3206),
    [anon_sym_BANG_TILDE] = ACTIONS(3206),
    [anon_sym_EQ_EQ] = ACTIONS(3208),
    [anon_sym_BANG_EQ] = ACTIONS(3206),
    [anon_sym_eq] = ACTIONS(3208),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3206),
    [anon_sym_equ] = ACTIONS(3206),
    [anon_sym_eqr] = ACTIONS(3206),
    [anon_sym_ne] = ACTIONS(3206),
    [anon_sym_LT_EQ_GT] = ACTIONS(3206),
    [anon_sym_cmp] = ACTIONS(3206),
    [anon_sym_TILDE_TILDE] = ACTIONS(3206),
    [anon_sym_LT] = ACTIONS(3208),
    [anon_sym_LT_EQ] = ACTIONS(3208),
    [anon_sym_GT_EQ] = ACTIONS(3206),
    [anon_sym_lt] = ACTIONS(3206),
    [anon_sym_le] = ACTIONS(3206),
    [anon_sym_ge] = ACTIONS(3206),
    [anon_sym_gt] = ACTIONS(3206),
    [anon_sym_isa] = ACTIONS(3206),
    [anon_sym_PLUS_PLUS] = ACTIONS(3206),
    [anon_sym_DASH_DASH] = ACTIONS(3206),
    [anon_sym_QMARK] = ACTIONS(3206),
    [anon_sym_EQ_GT] = ACTIONS(3206),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2088] = {
    [sym_heredoc_content] = STATE(2088),
    [anon_sym_RBRACE] = ACTIONS(3254),
    [anon_sym_COLON] = ACTIONS(3254),
    [anon_sym_EQ] = ACTIONS(3256),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3254),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3254),
    [anon_sym_COMMA] = ACTIONS(3254),
    [anon_sym_RPAREN] = ACTIONS(3254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3254),
    [anon_sym_DASH_GT] = ACTIONS(3254),
    [anon_sym_PERCENT] = ACTIONS(3256),
    [anon_sym_GT] = ACTIONS(3256),
    [anon_sym_LT_LT] = ACTIONS(3256),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3254),
    [anon_sym_PLUS_EQ] = ACTIONS(3254),
    [anon_sym_DASH_EQ] = ACTIONS(3254),
    [anon_sym_DOT_EQ] = ACTIONS(3254),
    [anon_sym_STAR_EQ] = ACTIONS(3254),
    [anon_sym_SLASH_EQ] = ACTIONS(3254),
    [anon_sym_PERCENT_EQ] = ACTIONS(3254),
    [anon_sym_x_EQ] = ACTIONS(3254),
    [anon_sym_AMP_EQ] = ACTIONS(3254),
    [anon_sym_PIPE_EQ] = ACTIONS(3254),
    [anon_sym_CARET_EQ] = ACTIONS(3254),
    [anon_sym_LT_LT_EQ] = ACTIONS(3254),
    [anon_sym_GT_GT_EQ] = ACTIONS(3254),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3254),
    [anon_sym_DOT_DOT] = ACTIONS(3256),
    [anon_sym_STAR_STAR] = ACTIONS(3256),
    [anon_sym_PIPE_PIPE] = ACTIONS(3256),
    [anon_sym_SLASH_SLASH] = ACTIONS(3256),
    [anon_sym_CARET_CARET] = ACTIONS(3254),
    [anon_sym_AMP_AMP] = ACTIONS(3256),
    [anon_sym_PIPE] = ACTIONS(3256),
    [anon_sym_CARET] = ACTIONS(3256),
    [anon_sym_AMP] = ACTIONS(3256),
    [anon_sym_GT_GT2] = ACTIONS(3256),
    [anon_sym_PLUS] = ACTIONS(3256),
    [anon_sym_DASH] = ACTIONS(3256),
    [anon_sym_DOT] = ACTIONS(3256),
    [anon_sym_STAR] = ACTIONS(3256),
    [anon_sym_SLASH] = ACTIONS(3256),
    [anon_sym_x] = ACTIONS(3256),
    [anon_sym_EQ_TILDE] = ACTIONS(3254),
    [anon_sym_BANG_TILDE] = ACTIONS(3254),
    [anon_sym_EQ_EQ] = ACTIONS(3256),
    [anon_sym_BANG_EQ] = ACTIONS(3254),
    [anon_sym_eq] = ACTIONS(3256),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3254),
    [anon_sym_equ] = ACTIONS(3254),
    [anon_sym_eqr] = ACTIONS(3254),
    [anon_sym_ne] = ACTIONS(3254),
    [anon_sym_LT_EQ_GT] = ACTIONS(3254),
    [anon_sym_cmp] = ACTIONS(3254),
    [anon_sym_TILDE_TILDE] = ACTIONS(3254),
    [anon_sym_LT] = ACTIONS(3256),
    [anon_sym_LT_EQ] = ACTIONS(3256),
    [anon_sym_GT_EQ] = ACTIONS(3254),
    [anon_sym_lt] = ACTIONS(3254),
    [anon_sym_le] = ACTIONS(3254),
    [anon_sym_ge] = ACTIONS(3254),
    [anon_sym_gt] = ACTIONS(3254),
    [anon_sym_isa] = ACTIONS(3254),
    [anon_sym_PLUS_PLUS] = ACTIONS(3254),
    [anon_sym_DASH_DASH] = ACTIONS(3254),
    [anon_sym_QMARK] = ACTIONS(3254),
    [anon_sym_EQ_GT] = ACTIONS(3254),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2089] = {
    [sym_heredoc_content] = STATE(2089),
    [anon_sym_SEMI] = ACTIONS(2750),
    [anon_sym_EQ] = ACTIONS(2752),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2750),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2750),
    [anon_sym_COMMA] = ACTIONS(2750),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2750),
    [anon_sym_LBRACK] = ACTIONS(2750),
    [anon_sym_DASH_GT] = ACTIONS(2750),
    [anon_sym_PERCENT] = ACTIONS(2752),
    [anon_sym_GT] = ACTIONS(2752),
    [anon_sym_LT_LT] = ACTIONS(2752),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2750),
    [anon_sym_PLUS_EQ] = ACTIONS(2750),
    [anon_sym_DASH_EQ] = ACTIONS(2750),
    [anon_sym_DOT_EQ] = ACTIONS(2750),
    [anon_sym_STAR_EQ] = ACTIONS(2750),
    [anon_sym_SLASH_EQ] = ACTIONS(2750),
    [anon_sym_PERCENT_EQ] = ACTIONS(2750),
    [anon_sym_x_EQ] = ACTIONS(2750),
    [anon_sym_AMP_EQ] = ACTIONS(2750),
    [anon_sym_PIPE_EQ] = ACTIONS(2750),
    [anon_sym_CARET_EQ] = ACTIONS(2750),
    [anon_sym_LT_LT_EQ] = ACTIONS(2750),
    [anon_sym_GT_GT_EQ] = ACTIONS(2750),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2750),
    [anon_sym_DOT_DOT] = ACTIONS(2752),
    [anon_sym_STAR_STAR] = ACTIONS(2752),
    [anon_sym_PIPE_PIPE] = ACTIONS(2752),
    [anon_sym_SLASH_SLASH] = ACTIONS(2752),
    [anon_sym_CARET_CARET] = ACTIONS(2750),
    [anon_sym_AMP_AMP] = ACTIONS(2752),
    [anon_sym_PIPE] = ACTIONS(2752),
    [anon_sym_CARET] = ACTIONS(2752),
    [anon_sym_AMP] = ACTIONS(2752),
    [anon_sym_GT_GT2] = ACTIONS(2752),
    [anon_sym_PLUS] = ACTIONS(2752),
    [anon_sym_DASH] = ACTIONS(2752),
    [anon_sym_DOT] = ACTIONS(2752),
    [anon_sym_STAR] = ACTIONS(2752),
    [anon_sym_SLASH] = ACTIONS(2752),
    [anon_sym_x] = ACTIONS(2752),
    [anon_sym_EQ_TILDE] = ACTIONS(2750),
    [anon_sym_BANG_TILDE] = ACTIONS(2750),
    [anon_sym_EQ_EQ] = ACTIONS(2752),
    [anon_sym_BANG_EQ] = ACTIONS(2750),
    [anon_sym_eq] = ACTIONS(2752),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2750),
    [anon_sym_equ] = ACTIONS(2750),
    [anon_sym_eqr] = ACTIONS(2750),
    [anon_sym_ne] = ACTIONS(2750),
    [anon_sym_LT_EQ_GT] = ACTIONS(2750),
    [anon_sym_cmp] = ACTIONS(2750),
    [anon_sym_TILDE_TILDE] = ACTIONS(2750),
    [anon_sym_LT] = ACTIONS(2752),
    [anon_sym_LT_EQ] = ACTIONS(2752),
    [anon_sym_GT_EQ] = ACTIONS(2750),
    [anon_sym_lt] = ACTIONS(2750),
    [anon_sym_le] = ACTIONS(2750),
    [anon_sym_ge] = ACTIONS(2750),
    [anon_sym_gt] = ACTIONS(2750),
    [anon_sym_isa] = ACTIONS(2750),
    [anon_sym_PLUS_PLUS] = ACTIONS(2750),
    [anon_sym_DASH_DASH] = ACTIONS(2750),
    [anon_sym_QMARK] = ACTIONS(2750),
    [anon_sym_EQ_GT] = ACTIONS(2750),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2750),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2090] = {
    [sym_heredoc_content] = STATE(2090),
    [anon_sym_RBRACE] = ACTIONS(3266),
    [anon_sym_COLON] = ACTIONS(3266),
    [anon_sym_EQ] = ACTIONS(3268),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3266),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3266),
    [anon_sym_COMMA] = ACTIONS(3266),
    [anon_sym_RPAREN] = ACTIONS(3266),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3266),
    [anon_sym_DASH_GT] = ACTIONS(3266),
    [anon_sym_PERCENT] = ACTIONS(3268),
    [anon_sym_GT] = ACTIONS(3268),
    [anon_sym_LT_LT] = ACTIONS(3268),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3266),
    [anon_sym_PLUS_EQ] = ACTIONS(3266),
    [anon_sym_DASH_EQ] = ACTIONS(3266),
    [anon_sym_DOT_EQ] = ACTIONS(3266),
    [anon_sym_STAR_EQ] = ACTIONS(3266),
    [anon_sym_SLASH_EQ] = ACTIONS(3266),
    [anon_sym_PERCENT_EQ] = ACTIONS(3266),
    [anon_sym_x_EQ] = ACTIONS(3266),
    [anon_sym_AMP_EQ] = ACTIONS(3266),
    [anon_sym_PIPE_EQ] = ACTIONS(3266),
    [anon_sym_CARET_EQ] = ACTIONS(3266),
    [anon_sym_LT_LT_EQ] = ACTIONS(3266),
    [anon_sym_GT_GT_EQ] = ACTIONS(3266),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3266),
    [anon_sym_DOT_DOT] = ACTIONS(3268),
    [anon_sym_STAR_STAR] = ACTIONS(3268),
    [anon_sym_PIPE_PIPE] = ACTIONS(3268),
    [anon_sym_SLASH_SLASH] = ACTIONS(3268),
    [anon_sym_CARET_CARET] = ACTIONS(3266),
    [anon_sym_AMP_AMP] = ACTIONS(3268),
    [anon_sym_PIPE] = ACTIONS(3268),
    [anon_sym_CARET] = ACTIONS(3268),
    [anon_sym_AMP] = ACTIONS(3268),
    [anon_sym_GT_GT2] = ACTIONS(3268),
    [anon_sym_PLUS] = ACTIONS(3268),
    [anon_sym_DASH] = ACTIONS(3268),
    [anon_sym_DOT] = ACTIONS(3268),
    [anon_sym_STAR] = ACTIONS(3268),
    [anon_sym_SLASH] = ACTIONS(3268),
    [anon_sym_x] = ACTIONS(3268),
    [anon_sym_EQ_TILDE] = ACTIONS(3266),
    [anon_sym_BANG_TILDE] = ACTIONS(3266),
    [anon_sym_EQ_EQ] = ACTIONS(3268),
    [anon_sym_BANG_EQ] = ACTIONS(3266),
    [anon_sym_eq] = ACTIONS(3268),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3266),
    [anon_sym_equ] = ACTIONS(3266),
    [anon_sym_eqr] = ACTIONS(3266),
    [anon_sym_ne] = ACTIONS(3266),
    [anon_sym_LT_EQ_GT] = ACTIONS(3266),
    [anon_sym_cmp] = ACTIONS(3266),
    [anon_sym_TILDE_TILDE] = ACTIONS(3266),
    [anon_sym_LT] = ACTIONS(3268),
    [anon_sym_LT_EQ] = ACTIONS(3268),
    [anon_sym_GT_EQ] = ACTIONS(3266),
    [anon_sym_lt] = ACTIONS(3266),
    [anon_sym_le] = ACTIONS(3266),
    [anon_sym_ge] = ACTIONS(3266),
    [anon_sym_gt] = ACTIONS(3266),
    [anon_sym_isa] = ACTIONS(3266),
    [anon_sym_PLUS_PLUS] = ACTIONS(3266),
    [anon_sym_DASH_DASH] = ACTIONS(3266),
    [anon_sym_QMARK] = ACTIONS(3266),
    [anon_sym_EQ_GT] = ACTIONS(3266),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2091] = {
    [sym_heredoc_content] = STATE(2091),
    [anon_sym_SEMI] = ACTIONS(2797),
    [anon_sym_EQ] = ACTIONS(2799),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2797),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2797),
    [anon_sym_COMMA] = ACTIONS(2797),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2797),
    [anon_sym_DASH_GT] = ACTIONS(2797),
    [anon_sym_PERCENT] = ACTIONS(2799),
    [anon_sym_GT] = ACTIONS(2799),
    [anon_sym_LT_LT] = ACTIONS(2799),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2797),
    [anon_sym_PLUS_EQ] = ACTIONS(2797),
    [anon_sym_DASH_EQ] = ACTIONS(2797),
    [anon_sym_DOT_EQ] = ACTIONS(2797),
    [anon_sym_STAR_EQ] = ACTIONS(2797),
    [anon_sym_SLASH_EQ] = ACTIONS(2797),
    [anon_sym_PERCENT_EQ] = ACTIONS(2797),
    [anon_sym_x_EQ] = ACTIONS(2799),
    [anon_sym_AMP_EQ] = ACTIONS(2797),
    [anon_sym_PIPE_EQ] = ACTIONS(2797),
    [anon_sym_CARET_EQ] = ACTIONS(2797),
    [anon_sym_LT_LT_EQ] = ACTIONS(2797),
    [anon_sym_GT_GT_EQ] = ACTIONS(2797),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2797),
    [anon_sym_DOT_DOT] = ACTIONS(2799),
    [anon_sym_STAR_STAR] = ACTIONS(2799),
    [anon_sym_PIPE_PIPE] = ACTIONS(2799),
    [anon_sym_SLASH_SLASH] = ACTIONS(2799),
    [anon_sym_CARET_CARET] = ACTIONS(2797),
    [anon_sym_AMP_AMP] = ACTIONS(2799),
    [anon_sym_PIPE] = ACTIONS(2799),
    [anon_sym_CARET] = ACTIONS(2799),
    [anon_sym_AMP] = ACTIONS(2799),
    [anon_sym_GT_GT2] = ACTIONS(2799),
    [anon_sym_PLUS] = ACTIONS(2799),
    [anon_sym_DASH] = ACTIONS(2799),
    [anon_sym_DOT] = ACTIONS(2799),
    [anon_sym_STAR] = ACTIONS(2799),
    [anon_sym_SLASH] = ACTIONS(2799),
    [anon_sym_x] = ACTIONS(2799),
    [anon_sym_EQ_TILDE] = ACTIONS(2797),
    [anon_sym_BANG_TILDE] = ACTIONS(2797),
    [anon_sym_EQ_EQ] = ACTIONS(2799),
    [anon_sym_BANG_EQ] = ACTIONS(2797),
    [anon_sym_eq] = ACTIONS(2799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2797),
    [anon_sym_equ] = ACTIONS(2797),
    [anon_sym_eqr] = ACTIONS(2797),
    [anon_sym_ne] = ACTIONS(2799),
    [anon_sym_LT_EQ_GT] = ACTIONS(2797),
    [anon_sym_cmp] = ACTIONS(2797),
    [anon_sym_TILDE_TILDE] = ACTIONS(2797),
    [anon_sym_LT] = ACTIONS(2799),
    [anon_sym_LT_EQ] = ACTIONS(2799),
    [anon_sym_GT_EQ] = ACTIONS(2797),
    [anon_sym_lt] = ACTIONS(2799),
    [anon_sym_le] = ACTIONS(2799),
    [anon_sym_ge] = ACTIONS(2797),
    [anon_sym_gt] = ACTIONS(2797),
    [anon_sym_isa] = ACTIONS(2799),
    [anon_sym_PLUS_PLUS] = ACTIONS(2797),
    [anon_sym_DASH_DASH] = ACTIONS(2797),
    [anon_sym_QMARK] = ACTIONS(2797),
    [anon_sym_EQ_GT] = ACTIONS(2797),
    [sym_comment] = ACTIONS(5),
    [sym_quoted_regexp_modifiers] = ACTIONS(3807),
    [sym__PERLY_SEMICOLON] = ACTIONS(2797),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2092] = {
    [sym_heredoc_content] = STATE(2092),
    [anon_sym_SEMI] = ACTIONS(2574),
    [anon_sym_EQ] = ACTIONS(2576),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2574),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2574),
    [anon_sym_COMMA] = ACTIONS(2574),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2574),
    [anon_sym_DASH_GT] = ACTIONS(2574),
    [anon_sym_PERCENT] = ACTIONS(2576),
    [anon_sym_GT] = ACTIONS(2576),
    [anon_sym_LT_LT] = ACTIONS(2576),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2574),
    [anon_sym_PLUS_EQ] = ACTIONS(2574),
    [anon_sym_DASH_EQ] = ACTIONS(2574),
    [anon_sym_DOT_EQ] = ACTIONS(2574),
    [anon_sym_STAR_EQ] = ACTIONS(2574),
    [anon_sym_SLASH_EQ] = ACTIONS(2574),
    [anon_sym_PERCENT_EQ] = ACTIONS(2574),
    [anon_sym_x_EQ] = ACTIONS(2576),
    [anon_sym_AMP_EQ] = ACTIONS(2574),
    [anon_sym_PIPE_EQ] = ACTIONS(2574),
    [anon_sym_CARET_EQ] = ACTIONS(2574),
    [anon_sym_LT_LT_EQ] = ACTIONS(2574),
    [anon_sym_GT_GT_EQ] = ACTIONS(2574),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2574),
    [anon_sym_DOT_DOT] = ACTIONS(2576),
    [anon_sym_STAR_STAR] = ACTIONS(2576),
    [anon_sym_PIPE_PIPE] = ACTIONS(2576),
    [anon_sym_SLASH_SLASH] = ACTIONS(2576),
    [anon_sym_CARET_CARET] = ACTIONS(2574),
    [anon_sym_AMP_AMP] = ACTIONS(2576),
    [anon_sym_PIPE] = ACTIONS(2576),
    [anon_sym_CARET] = ACTIONS(2576),
    [anon_sym_AMP] = ACTIONS(2576),
    [anon_sym_GT_GT2] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2576),
    [anon_sym_DASH] = ACTIONS(2576),
    [anon_sym_DOT] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2576),
    [anon_sym_SLASH] = ACTIONS(2576),
    [anon_sym_x] = ACTIONS(2576),
    [anon_sym_EQ_TILDE] = ACTIONS(2574),
    [anon_sym_BANG_TILDE] = ACTIONS(2574),
    [anon_sym_EQ_EQ] = ACTIONS(2576),
    [anon_sym_BANG_EQ] = ACTIONS(2574),
    [anon_sym_eq] = ACTIONS(2576),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2574),
    [anon_sym_equ] = ACTIONS(2574),
    [anon_sym_eqr] = ACTIONS(2574),
    [anon_sym_ne] = ACTIONS(2576),
    [anon_sym_LT_EQ_GT] = ACTIONS(2574),
    [anon_sym_cmp] = ACTIONS(2576),
    [anon_sym_TILDE_TILDE] = ACTIONS(2574),
    [anon_sym_LT] = ACTIONS(2576),
    [anon_sym_LT_EQ] = ACTIONS(2576),
    [anon_sym_GT_EQ] = ACTIONS(2574),
    [anon_sym_lt] = ACTIONS(2576),
    [anon_sym_le] = ACTIONS(2576),
    [anon_sym_ge] = ACTIONS(2576),
    [anon_sym_gt] = ACTIONS(2576),
    [anon_sym_isa] = ACTIONS(2576),
    [anon_sym_PLUS_PLUS] = ACTIONS(2574),
    [anon_sym_DASH_DASH] = ACTIONS(2574),
    [anon_sym_QMARK] = ACTIONS(2574),
    [anon_sym_EQ_GT] = ACTIONS(2574),
    [sym_comment] = ACTIONS(5),
    [sym_match_regexp_modifiers] = ACTIONS(3809),
    [sym__PERLY_SEMICOLON] = ACTIONS(2574),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2093] = {
    [sym_heredoc_content] = STATE(2093),
    [anon_sym_RBRACE] = ACTIONS(3210),
    [anon_sym_COLON] = ACTIONS(3210),
    [anon_sym_EQ] = ACTIONS(3212),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3210),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3210),
    [anon_sym_COMMA] = ACTIONS(3210),
    [anon_sym_RPAREN] = ACTIONS(3210),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3210),
    [anon_sym_DASH_GT] = ACTIONS(3210),
    [anon_sym_PERCENT] = ACTIONS(3212),
    [anon_sym_GT] = ACTIONS(3212),
    [anon_sym_LT_LT] = ACTIONS(3212),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3210),
    [anon_sym_PLUS_EQ] = ACTIONS(3210),
    [anon_sym_DASH_EQ] = ACTIONS(3210),
    [anon_sym_DOT_EQ] = ACTIONS(3210),
    [anon_sym_STAR_EQ] = ACTIONS(3210),
    [anon_sym_SLASH_EQ] = ACTIONS(3210),
    [anon_sym_PERCENT_EQ] = ACTIONS(3210),
    [anon_sym_x_EQ] = ACTIONS(3210),
    [anon_sym_AMP_EQ] = ACTIONS(3210),
    [anon_sym_PIPE_EQ] = ACTIONS(3210),
    [anon_sym_CARET_EQ] = ACTIONS(3210),
    [anon_sym_LT_LT_EQ] = ACTIONS(3210),
    [anon_sym_GT_GT_EQ] = ACTIONS(3210),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3210),
    [anon_sym_DOT_DOT] = ACTIONS(3212),
    [anon_sym_STAR_STAR] = ACTIONS(3212),
    [anon_sym_PIPE_PIPE] = ACTIONS(3212),
    [anon_sym_SLASH_SLASH] = ACTIONS(3212),
    [anon_sym_CARET_CARET] = ACTIONS(3210),
    [anon_sym_AMP_AMP] = ACTIONS(3212),
    [anon_sym_PIPE] = ACTIONS(3212),
    [anon_sym_CARET] = ACTIONS(3212),
    [anon_sym_AMP] = ACTIONS(3212),
    [anon_sym_GT_GT2] = ACTIONS(3212),
    [anon_sym_PLUS] = ACTIONS(3212),
    [anon_sym_DASH] = ACTIONS(3212),
    [anon_sym_DOT] = ACTIONS(3212),
    [anon_sym_STAR] = ACTIONS(3212),
    [anon_sym_SLASH] = ACTIONS(3212),
    [anon_sym_x] = ACTIONS(3212),
    [anon_sym_EQ_TILDE] = ACTIONS(3210),
    [anon_sym_BANG_TILDE] = ACTIONS(3210),
    [anon_sym_EQ_EQ] = ACTIONS(3212),
    [anon_sym_BANG_EQ] = ACTIONS(3210),
    [anon_sym_eq] = ACTIONS(3212),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3210),
    [anon_sym_equ] = ACTIONS(3210),
    [anon_sym_eqr] = ACTIONS(3210),
    [anon_sym_ne] = ACTIONS(3210),
    [anon_sym_LT_EQ_GT] = ACTIONS(3210),
    [anon_sym_cmp] = ACTIONS(3210),
    [anon_sym_TILDE_TILDE] = ACTIONS(3210),
    [anon_sym_LT] = ACTIONS(3212),
    [anon_sym_LT_EQ] = ACTIONS(3212),
    [anon_sym_GT_EQ] = ACTIONS(3210),
    [anon_sym_lt] = ACTIONS(3210),
    [anon_sym_le] = ACTIONS(3210),
    [anon_sym_ge] = ACTIONS(3210),
    [anon_sym_gt] = ACTIONS(3210),
    [anon_sym_isa] = ACTIONS(3210),
    [anon_sym_PLUS_PLUS] = ACTIONS(3210),
    [anon_sym_DASH_DASH] = ACTIONS(3210),
    [anon_sym_QMARK] = ACTIONS(3210),
    [anon_sym_EQ_GT] = ACTIONS(3210),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2094] = {
    [sym_heredoc_content] = STATE(2094),
    [anon_sym_RBRACE] = ACTIONS(3246),
    [anon_sym_COLON] = ACTIONS(3246),
    [anon_sym_EQ] = ACTIONS(3248),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3246),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3246),
    [anon_sym_COMMA] = ACTIONS(3246),
    [anon_sym_RPAREN] = ACTIONS(3246),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3246),
    [anon_sym_DASH_GT] = ACTIONS(3246),
    [anon_sym_PERCENT] = ACTIONS(3248),
    [anon_sym_GT] = ACTIONS(3248),
    [anon_sym_LT_LT] = ACTIONS(3248),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3246),
    [anon_sym_PLUS_EQ] = ACTIONS(3246),
    [anon_sym_DASH_EQ] = ACTIONS(3246),
    [anon_sym_DOT_EQ] = ACTIONS(3246),
    [anon_sym_STAR_EQ] = ACTIONS(3246),
    [anon_sym_SLASH_EQ] = ACTIONS(3246),
    [anon_sym_PERCENT_EQ] = ACTIONS(3246),
    [anon_sym_x_EQ] = ACTIONS(3246),
    [anon_sym_AMP_EQ] = ACTIONS(3246),
    [anon_sym_PIPE_EQ] = ACTIONS(3246),
    [anon_sym_CARET_EQ] = ACTIONS(3246),
    [anon_sym_LT_LT_EQ] = ACTIONS(3246),
    [anon_sym_GT_GT_EQ] = ACTIONS(3246),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3246),
    [anon_sym_DOT_DOT] = ACTIONS(3248),
    [anon_sym_STAR_STAR] = ACTIONS(3248),
    [anon_sym_PIPE_PIPE] = ACTIONS(3248),
    [anon_sym_SLASH_SLASH] = ACTIONS(3248),
    [anon_sym_CARET_CARET] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(3248),
    [anon_sym_PIPE] = ACTIONS(3248),
    [anon_sym_CARET] = ACTIONS(3248),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym_GT_GT2] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_DOT] = ACTIONS(3248),
    [anon_sym_STAR] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_x] = ACTIONS(3248),
    [anon_sym_EQ_TILDE] = ACTIONS(3246),
    [anon_sym_BANG_TILDE] = ACTIONS(3246),
    [anon_sym_EQ_EQ] = ACTIONS(3248),
    [anon_sym_BANG_EQ] = ACTIONS(3246),
    [anon_sym_eq] = ACTIONS(3248),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3246),
    [anon_sym_equ] = ACTIONS(3246),
    [anon_sym_eqr] = ACTIONS(3246),
    [anon_sym_ne] = ACTIONS(3246),
    [anon_sym_LT_EQ_GT] = ACTIONS(3246),
    [anon_sym_cmp] = ACTIONS(3246),
    [anon_sym_TILDE_TILDE] = ACTIONS(3246),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_LT_EQ] = ACTIONS(3248),
    [anon_sym_GT_EQ] = ACTIONS(3246),
    [anon_sym_lt] = ACTIONS(3246),
    [anon_sym_le] = ACTIONS(3246),
    [anon_sym_ge] = ACTIONS(3246),
    [anon_sym_gt] = ACTIONS(3246),
    [anon_sym_isa] = ACTIONS(3246),
    [anon_sym_PLUS_PLUS] = ACTIONS(3246),
    [anon_sym_DASH_DASH] = ACTIONS(3246),
    [anon_sym_QMARK] = ACTIONS(3246),
    [anon_sym_EQ_GT] = ACTIONS(3246),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2095] = {
    [sym_heredoc_content] = STATE(2095),
    [anon_sym_SEMI] = ACTIONS(2740),
    [anon_sym_EQ] = ACTIONS(2742),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2740),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2740),
    [anon_sym_COMMA] = ACTIONS(2740),
    [anon_sym_LPAREN] = ACTIONS(2740),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2740),
    [anon_sym_DASH_GT] = ACTIONS(2740),
    [anon_sym_PERCENT] = ACTIONS(2742),
    [anon_sym_GT] = ACTIONS(2742),
    [anon_sym_LT_LT] = ACTIONS(2742),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2740),
    [anon_sym_PLUS_EQ] = ACTIONS(2740),
    [anon_sym_DASH_EQ] = ACTIONS(2740),
    [anon_sym_DOT_EQ] = ACTIONS(2740),
    [anon_sym_STAR_EQ] = ACTIONS(2740),
    [anon_sym_SLASH_EQ] = ACTIONS(2740),
    [anon_sym_PERCENT_EQ] = ACTIONS(2740),
    [anon_sym_x_EQ] = ACTIONS(2740),
    [anon_sym_AMP_EQ] = ACTIONS(2740),
    [anon_sym_PIPE_EQ] = ACTIONS(2740),
    [anon_sym_CARET_EQ] = ACTIONS(2740),
    [anon_sym_LT_LT_EQ] = ACTIONS(2740),
    [anon_sym_GT_GT_EQ] = ACTIONS(2740),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2740),
    [anon_sym_DOT_DOT] = ACTIONS(2742),
    [anon_sym_STAR_STAR] = ACTIONS(2742),
    [anon_sym_PIPE_PIPE] = ACTIONS(2742),
    [anon_sym_SLASH_SLASH] = ACTIONS(2742),
    [anon_sym_CARET_CARET] = ACTIONS(2740),
    [anon_sym_AMP_AMP] = ACTIONS(2742),
    [anon_sym_PIPE] = ACTIONS(2742),
    [anon_sym_CARET] = ACTIONS(2742),
    [anon_sym_AMP] = ACTIONS(2742),
    [anon_sym_GT_GT2] = ACTIONS(2742),
    [anon_sym_PLUS] = ACTIONS(2742),
    [anon_sym_DASH] = ACTIONS(2742),
    [anon_sym_DOT] = ACTIONS(2742),
    [anon_sym_STAR] = ACTIONS(2742),
    [anon_sym_SLASH] = ACTIONS(2742),
    [anon_sym_x] = ACTIONS(2742),
    [anon_sym_EQ_TILDE] = ACTIONS(2740),
    [anon_sym_BANG_TILDE] = ACTIONS(2740),
    [anon_sym_EQ_EQ] = ACTIONS(2742),
    [anon_sym_BANG_EQ] = ACTIONS(2740),
    [anon_sym_eq] = ACTIONS(2742),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2740),
    [anon_sym_equ] = ACTIONS(2740),
    [anon_sym_eqr] = ACTIONS(2740),
    [anon_sym_ne] = ACTIONS(2740),
    [anon_sym_LT_EQ_GT] = ACTIONS(2740),
    [anon_sym_cmp] = ACTIONS(2740),
    [anon_sym_TILDE_TILDE] = ACTIONS(2740),
    [anon_sym_LT] = ACTIONS(2742),
    [anon_sym_LT_EQ] = ACTIONS(2742),
    [anon_sym_GT_EQ] = ACTIONS(2740),
    [anon_sym_lt] = ACTIONS(2740),
    [anon_sym_le] = ACTIONS(2740),
    [anon_sym_ge] = ACTIONS(2740),
    [anon_sym_gt] = ACTIONS(2740),
    [anon_sym_isa] = ACTIONS(2740),
    [anon_sym_PLUS_PLUS] = ACTIONS(2740),
    [anon_sym_DASH_DASH] = ACTIONS(2740),
    [anon_sym_QMARK] = ACTIONS(2740),
    [anon_sym_EQ_GT] = ACTIONS(2740),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2740),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2096] = {
    [sym_heredoc_content] = STATE(2096),
    [anon_sym_SEMI] = ACTIONS(2764),
    [anon_sym_EQ] = ACTIONS(2766),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2764),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2764),
    [anon_sym_COMMA] = ACTIONS(2764),
    [anon_sym_LPAREN] = ACTIONS(3811),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2764),
    [anon_sym_DASH_GT] = ACTIONS(2764),
    [anon_sym_PERCENT] = ACTIONS(2766),
    [anon_sym_GT] = ACTIONS(2766),
    [anon_sym_LT_LT] = ACTIONS(2766),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2764),
    [anon_sym_PLUS_EQ] = ACTIONS(2764),
    [anon_sym_DASH_EQ] = ACTIONS(2764),
    [anon_sym_DOT_EQ] = ACTIONS(2764),
    [anon_sym_STAR_EQ] = ACTIONS(2764),
    [anon_sym_SLASH_EQ] = ACTIONS(2764),
    [anon_sym_PERCENT_EQ] = ACTIONS(2764),
    [anon_sym_x_EQ] = ACTIONS(2764),
    [anon_sym_AMP_EQ] = ACTIONS(2764),
    [anon_sym_PIPE_EQ] = ACTIONS(2764),
    [anon_sym_CARET_EQ] = ACTIONS(2764),
    [anon_sym_LT_LT_EQ] = ACTIONS(2764),
    [anon_sym_GT_GT_EQ] = ACTIONS(2764),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2764),
    [anon_sym_DOT_DOT] = ACTIONS(2766),
    [anon_sym_STAR_STAR] = ACTIONS(2766),
    [anon_sym_PIPE_PIPE] = ACTIONS(2766),
    [anon_sym_SLASH_SLASH] = ACTIONS(2766),
    [anon_sym_CARET_CARET] = ACTIONS(2764),
    [anon_sym_AMP_AMP] = ACTIONS(2766),
    [anon_sym_PIPE] = ACTIONS(2766),
    [anon_sym_CARET] = ACTIONS(2766),
    [anon_sym_AMP] = ACTIONS(2766),
    [anon_sym_GT_GT2] = ACTIONS(2766),
    [anon_sym_PLUS] = ACTIONS(2766),
    [anon_sym_DASH] = ACTIONS(2766),
    [anon_sym_DOT] = ACTIONS(2766),
    [anon_sym_STAR] = ACTIONS(2766),
    [anon_sym_SLASH] = ACTIONS(2766),
    [anon_sym_x] = ACTIONS(2766),
    [anon_sym_EQ_TILDE] = ACTIONS(2764),
    [anon_sym_BANG_TILDE] = ACTIONS(2764),
    [anon_sym_EQ_EQ] = ACTIONS(2766),
    [anon_sym_BANG_EQ] = ACTIONS(2764),
    [anon_sym_eq] = ACTIONS(2766),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2764),
    [anon_sym_equ] = ACTIONS(2764),
    [anon_sym_eqr] = ACTIONS(2764),
    [anon_sym_ne] = ACTIONS(2764),
    [anon_sym_LT_EQ_GT] = ACTIONS(2764),
    [anon_sym_cmp] = ACTIONS(2764),
    [anon_sym_TILDE_TILDE] = ACTIONS(2764),
    [anon_sym_LT] = ACTIONS(2766),
    [anon_sym_LT_EQ] = ACTIONS(2766),
    [anon_sym_GT_EQ] = ACTIONS(2764),
    [anon_sym_lt] = ACTIONS(2764),
    [anon_sym_le] = ACTIONS(2764),
    [anon_sym_ge] = ACTIONS(2764),
    [anon_sym_gt] = ACTIONS(2764),
    [anon_sym_isa] = ACTIONS(2764),
    [anon_sym_PLUS_PLUS] = ACTIONS(2764),
    [anon_sym_DASH_DASH] = ACTIONS(2764),
    [anon_sym_QMARK] = ACTIONS(2764),
    [anon_sym_EQ_GT] = ACTIONS(2764),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2764),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2097] = {
    [sym_heredoc_content] = STATE(2097),
    [anon_sym_RBRACE] = ACTIONS(3043),
    [anon_sym_COLON] = ACTIONS(3043),
    [anon_sym_EQ] = ACTIONS(3045),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3043),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3043),
    [anon_sym_COMMA] = ACTIONS(3043),
    [anon_sym_RPAREN] = ACTIONS(3043),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3043),
    [anon_sym_DASH_GT] = ACTIONS(3043),
    [anon_sym_PERCENT] = ACTIONS(3045),
    [anon_sym_GT] = ACTIONS(3045),
    [anon_sym_LT_LT] = ACTIONS(3045),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3043),
    [anon_sym_PLUS_EQ] = ACTIONS(3043),
    [anon_sym_DASH_EQ] = ACTIONS(3043),
    [anon_sym_DOT_EQ] = ACTIONS(3043),
    [anon_sym_STAR_EQ] = ACTIONS(3043),
    [anon_sym_SLASH_EQ] = ACTIONS(3043),
    [anon_sym_PERCENT_EQ] = ACTIONS(3043),
    [anon_sym_x_EQ] = ACTIONS(3043),
    [anon_sym_AMP_EQ] = ACTIONS(3043),
    [anon_sym_PIPE_EQ] = ACTIONS(3043),
    [anon_sym_CARET_EQ] = ACTIONS(3043),
    [anon_sym_LT_LT_EQ] = ACTIONS(3043),
    [anon_sym_GT_GT_EQ] = ACTIONS(3043),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3043),
    [anon_sym_DOT_DOT] = ACTIONS(3045),
    [anon_sym_STAR_STAR] = ACTIONS(3045),
    [anon_sym_PIPE_PIPE] = ACTIONS(3045),
    [anon_sym_SLASH_SLASH] = ACTIONS(3045),
    [anon_sym_CARET_CARET] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(3045),
    [anon_sym_PIPE] = ACTIONS(3045),
    [anon_sym_CARET] = ACTIONS(3045),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym_GT_GT2] = ACTIONS(3045),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_DOT] = ACTIONS(3045),
    [anon_sym_STAR] = ACTIONS(3045),
    [anon_sym_SLASH] = ACTIONS(3045),
    [anon_sym_x] = ACTIONS(3045),
    [anon_sym_EQ_TILDE] = ACTIONS(3043),
    [anon_sym_BANG_TILDE] = ACTIONS(3043),
    [anon_sym_EQ_EQ] = ACTIONS(3045),
    [anon_sym_BANG_EQ] = ACTIONS(3043),
    [anon_sym_eq] = ACTIONS(3045),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3043),
    [anon_sym_equ] = ACTIONS(3043),
    [anon_sym_eqr] = ACTIONS(3043),
    [anon_sym_ne] = ACTIONS(3043),
    [anon_sym_LT_EQ_GT] = ACTIONS(3043),
    [anon_sym_cmp] = ACTIONS(3043),
    [anon_sym_TILDE_TILDE] = ACTIONS(3043),
    [anon_sym_LT] = ACTIONS(3045),
    [anon_sym_LT_EQ] = ACTIONS(3045),
    [anon_sym_GT_EQ] = ACTIONS(3043),
    [anon_sym_lt] = ACTIONS(3043),
    [anon_sym_le] = ACTIONS(3043),
    [anon_sym_ge] = ACTIONS(3043),
    [anon_sym_gt] = ACTIONS(3043),
    [anon_sym_isa] = ACTIONS(3043),
    [anon_sym_PLUS_PLUS] = ACTIONS(3043),
    [anon_sym_DASH_DASH] = ACTIONS(3043),
    [anon_sym_QMARK] = ACTIONS(3043),
    [anon_sym_EQ_GT] = ACTIONS(3043),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2098] = {
    [sym_heredoc_content] = STATE(2098),
    [anon_sym_SEMI] = ACTIONS(2532),
    [anon_sym_EQ] = ACTIONS(2534),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2532),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2532),
    [anon_sym_COMMA] = ACTIONS(2532),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2532),
    [anon_sym_DASH_GT] = ACTIONS(2532),
    [anon_sym_PERCENT] = ACTIONS(2534),
    [anon_sym_GT] = ACTIONS(2534),
    [anon_sym_LT_LT] = ACTIONS(2534),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2532),
    [anon_sym_PLUS_EQ] = ACTIONS(2532),
    [anon_sym_DASH_EQ] = ACTIONS(2532),
    [anon_sym_DOT_EQ] = ACTIONS(2532),
    [anon_sym_STAR_EQ] = ACTIONS(2532),
    [anon_sym_SLASH_EQ] = ACTIONS(2532),
    [anon_sym_PERCENT_EQ] = ACTIONS(2532),
    [anon_sym_x_EQ] = ACTIONS(2534),
    [anon_sym_AMP_EQ] = ACTIONS(2532),
    [anon_sym_PIPE_EQ] = ACTIONS(2532),
    [anon_sym_CARET_EQ] = ACTIONS(2532),
    [anon_sym_LT_LT_EQ] = ACTIONS(2532),
    [anon_sym_GT_GT_EQ] = ACTIONS(2532),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2532),
    [anon_sym_DOT_DOT] = ACTIONS(2534),
    [anon_sym_STAR_STAR] = ACTIONS(2534),
    [anon_sym_PIPE_PIPE] = ACTIONS(2534),
    [anon_sym_SLASH_SLASH] = ACTIONS(2534),
    [anon_sym_CARET_CARET] = ACTIONS(2532),
    [anon_sym_AMP_AMP] = ACTIONS(2534),
    [anon_sym_PIPE] = ACTIONS(2534),
    [anon_sym_CARET] = ACTIONS(2534),
    [anon_sym_AMP] = ACTIONS(2534),
    [anon_sym_GT_GT2] = ACTIONS(2534),
    [anon_sym_PLUS] = ACTIONS(2534),
    [anon_sym_DASH] = ACTIONS(2534),
    [anon_sym_DOT] = ACTIONS(2534),
    [anon_sym_STAR] = ACTIONS(2534),
    [anon_sym_SLASH] = ACTIONS(2534),
    [anon_sym_x] = ACTIONS(2534),
    [anon_sym_EQ_TILDE] = ACTIONS(2532),
    [anon_sym_BANG_TILDE] = ACTIONS(2532),
    [anon_sym_EQ_EQ] = ACTIONS(2534),
    [anon_sym_BANG_EQ] = ACTIONS(2532),
    [anon_sym_eq] = ACTIONS(2534),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2532),
    [anon_sym_equ] = ACTIONS(2534),
    [anon_sym_eqr] = ACTIONS(2534),
    [anon_sym_ne] = ACTIONS(2532),
    [anon_sym_LT_EQ_GT] = ACTIONS(2532),
    [anon_sym_cmp] = ACTIONS(2534),
    [anon_sym_TILDE_TILDE] = ACTIONS(2532),
    [anon_sym_LT] = ACTIONS(2534),
    [anon_sym_LT_EQ] = ACTIONS(2534),
    [anon_sym_GT_EQ] = ACTIONS(2532),
    [anon_sym_lt] = ACTIONS(2534),
    [anon_sym_le] = ACTIONS(2534),
    [anon_sym_ge] = ACTIONS(2534),
    [anon_sym_gt] = ACTIONS(2534),
    [anon_sym_isa] = ACTIONS(2534),
    [anon_sym_PLUS_PLUS] = ACTIONS(2532),
    [anon_sym_DASH_DASH] = ACTIONS(2532),
    [anon_sym_QMARK] = ACTIONS(2532),
    [anon_sym_EQ_GT] = ACTIONS(2532),
    [sym_comment] = ACTIONS(5),
    [sym_substitution_regexp_modifiers] = ACTIONS(2532),
    [sym__PERLY_SEMICOLON] = ACTIONS(2532),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2099] = {
    [sym_heredoc_content] = STATE(2099),
    [anon_sym_RBRACE] = ACTIONS(2919),
    [anon_sym_COLON] = ACTIONS(2919),
    [anon_sym_EQ] = ACTIONS(2921),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2919),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2919),
    [anon_sym_COMMA] = ACTIONS(2919),
    [anon_sym_RPAREN] = ACTIONS(2919),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2919),
    [anon_sym_DASH_GT] = ACTIONS(2919),
    [anon_sym_PERCENT] = ACTIONS(2921),
    [anon_sym_GT] = ACTIONS(2921),
    [anon_sym_LT_LT] = ACTIONS(2921),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2919),
    [anon_sym_PLUS_EQ] = ACTIONS(2919),
    [anon_sym_DASH_EQ] = ACTIONS(2919),
    [anon_sym_DOT_EQ] = ACTIONS(2919),
    [anon_sym_STAR_EQ] = ACTIONS(2919),
    [anon_sym_SLASH_EQ] = ACTIONS(2919),
    [anon_sym_PERCENT_EQ] = ACTIONS(2919),
    [anon_sym_x_EQ] = ACTIONS(2919),
    [anon_sym_AMP_EQ] = ACTIONS(2919),
    [anon_sym_PIPE_EQ] = ACTIONS(2919),
    [anon_sym_CARET_EQ] = ACTIONS(2919),
    [anon_sym_LT_LT_EQ] = ACTIONS(2919),
    [anon_sym_GT_GT_EQ] = ACTIONS(2919),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2919),
    [anon_sym_DOT_DOT] = ACTIONS(2921),
    [anon_sym_STAR_STAR] = ACTIONS(2921),
    [anon_sym_PIPE_PIPE] = ACTIONS(2921),
    [anon_sym_SLASH_SLASH] = ACTIONS(2921),
    [anon_sym_CARET_CARET] = ACTIONS(2919),
    [anon_sym_AMP_AMP] = ACTIONS(2921),
    [anon_sym_PIPE] = ACTIONS(2921),
    [anon_sym_CARET] = ACTIONS(2921),
    [anon_sym_AMP] = ACTIONS(2921),
    [anon_sym_GT_GT2] = ACTIONS(2921),
    [anon_sym_PLUS] = ACTIONS(2921),
    [anon_sym_DASH] = ACTIONS(2921),
    [anon_sym_DOT] = ACTIONS(2921),
    [anon_sym_STAR] = ACTIONS(2921),
    [anon_sym_SLASH] = ACTIONS(2921),
    [anon_sym_x] = ACTIONS(2921),
    [anon_sym_EQ_TILDE] = ACTIONS(2919),
    [anon_sym_BANG_TILDE] = ACTIONS(2919),
    [anon_sym_EQ_EQ] = ACTIONS(2921),
    [anon_sym_BANG_EQ] = ACTIONS(2919),
    [anon_sym_eq] = ACTIONS(2921),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2919),
    [anon_sym_equ] = ACTIONS(2919),
    [anon_sym_eqr] = ACTIONS(2919),
    [anon_sym_ne] = ACTIONS(2919),
    [anon_sym_LT_EQ_GT] = ACTIONS(2919),
    [anon_sym_cmp] = ACTIONS(2919),
    [anon_sym_TILDE_TILDE] = ACTIONS(2919),
    [anon_sym_LT] = ACTIONS(2921),
    [anon_sym_LT_EQ] = ACTIONS(2921),
    [anon_sym_GT_EQ] = ACTIONS(2919),
    [anon_sym_lt] = ACTIONS(2919),
    [anon_sym_le] = ACTIONS(2919),
    [anon_sym_ge] = ACTIONS(2919),
    [anon_sym_gt] = ACTIONS(2919),
    [anon_sym_isa] = ACTIONS(2919),
    [anon_sym_PLUS_PLUS] = ACTIONS(2919),
    [anon_sym_DASH_DASH] = ACTIONS(2919),
    [anon_sym_QMARK] = ACTIONS(2919),
    [anon_sym_EQ_GT] = ACTIONS(2919),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2100] = {
    [sym_heredoc_content] = STATE(2100),
    [anon_sym_RBRACE] = ACTIONS(3051),
    [anon_sym_COLON] = ACTIONS(3051),
    [anon_sym_EQ] = ACTIONS(3053),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3051),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3051),
    [anon_sym_COMMA] = ACTIONS(3051),
    [anon_sym_RPAREN] = ACTIONS(3051),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3051),
    [anon_sym_DASH_GT] = ACTIONS(3051),
    [anon_sym_PERCENT] = ACTIONS(3053),
    [anon_sym_GT] = ACTIONS(3053),
    [anon_sym_LT_LT] = ACTIONS(3053),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3051),
    [anon_sym_PLUS_EQ] = ACTIONS(3051),
    [anon_sym_DASH_EQ] = ACTIONS(3051),
    [anon_sym_DOT_EQ] = ACTIONS(3051),
    [anon_sym_STAR_EQ] = ACTIONS(3051),
    [anon_sym_SLASH_EQ] = ACTIONS(3051),
    [anon_sym_PERCENT_EQ] = ACTIONS(3051),
    [anon_sym_x_EQ] = ACTIONS(3051),
    [anon_sym_AMP_EQ] = ACTIONS(3051),
    [anon_sym_PIPE_EQ] = ACTIONS(3051),
    [anon_sym_CARET_EQ] = ACTIONS(3051),
    [anon_sym_LT_LT_EQ] = ACTIONS(3051),
    [anon_sym_GT_GT_EQ] = ACTIONS(3051),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3051),
    [anon_sym_DOT_DOT] = ACTIONS(3053),
    [anon_sym_STAR_STAR] = ACTIONS(3053),
    [anon_sym_PIPE_PIPE] = ACTIONS(3053),
    [anon_sym_SLASH_SLASH] = ACTIONS(3053),
    [anon_sym_CARET_CARET] = ACTIONS(3051),
    [anon_sym_AMP_AMP] = ACTIONS(3053),
    [anon_sym_PIPE] = ACTIONS(3053),
    [anon_sym_CARET] = ACTIONS(3053),
    [anon_sym_AMP] = ACTIONS(3053),
    [anon_sym_GT_GT2] = ACTIONS(3053),
    [anon_sym_PLUS] = ACTIONS(3053),
    [anon_sym_DASH] = ACTIONS(3053),
    [anon_sym_DOT] = ACTIONS(3053),
    [anon_sym_STAR] = ACTIONS(3053),
    [anon_sym_SLASH] = ACTIONS(3053),
    [anon_sym_x] = ACTIONS(3053),
    [anon_sym_EQ_TILDE] = ACTIONS(3051),
    [anon_sym_BANG_TILDE] = ACTIONS(3051),
    [anon_sym_EQ_EQ] = ACTIONS(3053),
    [anon_sym_BANG_EQ] = ACTIONS(3051),
    [anon_sym_eq] = ACTIONS(3053),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3051),
    [anon_sym_equ] = ACTIONS(3051),
    [anon_sym_eqr] = ACTIONS(3051),
    [anon_sym_ne] = ACTIONS(3051),
    [anon_sym_LT_EQ_GT] = ACTIONS(3051),
    [anon_sym_cmp] = ACTIONS(3051),
    [anon_sym_TILDE_TILDE] = ACTIONS(3051),
    [anon_sym_LT] = ACTIONS(3053),
    [anon_sym_LT_EQ] = ACTIONS(3053),
    [anon_sym_GT_EQ] = ACTIONS(3051),
    [anon_sym_lt] = ACTIONS(3051),
    [anon_sym_le] = ACTIONS(3051),
    [anon_sym_ge] = ACTIONS(3051),
    [anon_sym_gt] = ACTIONS(3051),
    [anon_sym_isa] = ACTIONS(3051),
    [anon_sym_PLUS_PLUS] = ACTIONS(3051),
    [anon_sym_DASH_DASH] = ACTIONS(3051),
    [anon_sym_QMARK] = ACTIONS(3051),
    [anon_sym_EQ_GT] = ACTIONS(3051),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2101] = {
    [sym_heredoc_content] = STATE(2101),
    [anon_sym_SEMI] = ACTIONS(2781),
    [anon_sym_EQ] = ACTIONS(2783),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2781),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2781),
    [anon_sym_COMMA] = ACTIONS(2781),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2781),
    [anon_sym_DASH_GT] = ACTIONS(2781),
    [anon_sym_PERCENT] = ACTIONS(2783),
    [anon_sym_GT] = ACTIONS(2783),
    [anon_sym_LT_LT] = ACTIONS(2783),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2781),
    [anon_sym_PLUS_EQ] = ACTIONS(2781),
    [anon_sym_DASH_EQ] = ACTIONS(2781),
    [anon_sym_DOT_EQ] = ACTIONS(2781),
    [anon_sym_STAR_EQ] = ACTIONS(2781),
    [anon_sym_SLASH_EQ] = ACTIONS(2781),
    [anon_sym_PERCENT_EQ] = ACTIONS(2781),
    [anon_sym_x_EQ] = ACTIONS(2783),
    [anon_sym_AMP_EQ] = ACTIONS(2781),
    [anon_sym_PIPE_EQ] = ACTIONS(2781),
    [anon_sym_CARET_EQ] = ACTIONS(2781),
    [anon_sym_LT_LT_EQ] = ACTIONS(2781),
    [anon_sym_GT_GT_EQ] = ACTIONS(2781),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2781),
    [anon_sym_DOT_DOT] = ACTIONS(2783),
    [anon_sym_STAR_STAR] = ACTIONS(2783),
    [anon_sym_PIPE_PIPE] = ACTIONS(2783),
    [anon_sym_SLASH_SLASH] = ACTIONS(2783),
    [anon_sym_CARET_CARET] = ACTIONS(2781),
    [anon_sym_AMP_AMP] = ACTIONS(2783),
    [anon_sym_PIPE] = ACTIONS(2783),
    [anon_sym_CARET] = ACTIONS(2783),
    [anon_sym_AMP] = ACTIONS(2783),
    [anon_sym_GT_GT2] = ACTIONS(2783),
    [anon_sym_PLUS] = ACTIONS(2783),
    [anon_sym_DASH] = ACTIONS(2783),
    [anon_sym_DOT] = ACTIONS(2783),
    [anon_sym_STAR] = ACTIONS(2783),
    [anon_sym_SLASH] = ACTIONS(2783),
    [anon_sym_x] = ACTIONS(2783),
    [anon_sym_EQ_TILDE] = ACTIONS(2781),
    [anon_sym_BANG_TILDE] = ACTIONS(2781),
    [anon_sym_EQ_EQ] = ACTIONS(2783),
    [anon_sym_BANG_EQ] = ACTIONS(2781),
    [anon_sym_eq] = ACTIONS(2783),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2781),
    [anon_sym_equ] = ACTIONS(2781),
    [anon_sym_eqr] = ACTIONS(2781),
    [anon_sym_ne] = ACTIONS(2783),
    [anon_sym_LT_EQ_GT] = ACTIONS(2781),
    [anon_sym_cmp] = ACTIONS(2783),
    [anon_sym_TILDE_TILDE] = ACTIONS(2781),
    [anon_sym_LT] = ACTIONS(2783),
    [anon_sym_LT_EQ] = ACTIONS(2783),
    [anon_sym_GT_EQ] = ACTIONS(2781),
    [anon_sym_lt] = ACTIONS(2783),
    [anon_sym_le] = ACTIONS(2783),
    [anon_sym_ge] = ACTIONS(2783),
    [anon_sym_gt] = ACTIONS(2783),
    [anon_sym_isa] = ACTIONS(2783),
    [anon_sym_PLUS_PLUS] = ACTIONS(2781),
    [anon_sym_DASH_DASH] = ACTIONS(2781),
    [anon_sym_QMARK] = ACTIONS(2781),
    [anon_sym_EQ_GT] = ACTIONS(2781),
    [sym_comment] = ACTIONS(5),
    [sym_match_regexp_modifiers] = ACTIONS(3813),
    [sym__PERLY_SEMICOLON] = ACTIONS(2781),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2102] = {
    [sym_heredoc_content] = STATE(2102),
    [anon_sym_SEMI] = ACTIONS(2680),
    [anon_sym_EQ] = ACTIONS(2682),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2680),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2680),
    [anon_sym_COMMA] = ACTIONS(2680),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2680),
    [anon_sym_LBRACK] = ACTIONS(3805),
    [anon_sym_DASH_GT] = ACTIONS(2680),
    [anon_sym_PERCENT] = ACTIONS(2682),
    [anon_sym_GT] = ACTIONS(2682),
    [anon_sym_LT_LT] = ACTIONS(2682),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2680),
    [anon_sym_PLUS_EQ] = ACTIONS(2680),
    [anon_sym_DASH_EQ] = ACTIONS(2680),
    [anon_sym_DOT_EQ] = ACTIONS(2680),
    [anon_sym_STAR_EQ] = ACTIONS(2680),
    [anon_sym_SLASH_EQ] = ACTIONS(2680),
    [anon_sym_PERCENT_EQ] = ACTIONS(2680),
    [anon_sym_x_EQ] = ACTIONS(2680),
    [anon_sym_AMP_EQ] = ACTIONS(2680),
    [anon_sym_PIPE_EQ] = ACTIONS(2680),
    [anon_sym_CARET_EQ] = ACTIONS(2680),
    [anon_sym_LT_LT_EQ] = ACTIONS(2680),
    [anon_sym_GT_GT_EQ] = ACTIONS(2680),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2680),
    [anon_sym_DOT_DOT] = ACTIONS(2682),
    [anon_sym_STAR_STAR] = ACTIONS(2682),
    [anon_sym_PIPE_PIPE] = ACTIONS(2682),
    [anon_sym_SLASH_SLASH] = ACTIONS(2682),
    [anon_sym_CARET_CARET] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(2682),
    [anon_sym_PIPE] = ACTIONS(2682),
    [anon_sym_CARET] = ACTIONS(2682),
    [anon_sym_AMP] = ACTIONS(2682),
    [anon_sym_GT_GT2] = ACTIONS(2682),
    [anon_sym_PLUS] = ACTIONS(2682),
    [anon_sym_DASH] = ACTIONS(2682),
    [anon_sym_DOT] = ACTIONS(2682),
    [anon_sym_STAR] = ACTIONS(2682),
    [anon_sym_SLASH] = ACTIONS(2682),
    [anon_sym_x] = ACTIONS(2682),
    [anon_sym_EQ_TILDE] = ACTIONS(2680),
    [anon_sym_BANG_TILDE] = ACTIONS(2680),
    [anon_sym_EQ_EQ] = ACTIONS(2682),
    [anon_sym_BANG_EQ] = ACTIONS(2680),
    [anon_sym_eq] = ACTIONS(2682),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2680),
    [anon_sym_equ] = ACTIONS(2680),
    [anon_sym_eqr] = ACTIONS(2680),
    [anon_sym_ne] = ACTIONS(2680),
    [anon_sym_LT_EQ_GT] = ACTIONS(2680),
    [anon_sym_cmp] = ACTIONS(2680),
    [anon_sym_TILDE_TILDE] = ACTIONS(2680),
    [anon_sym_LT] = ACTIONS(2682),
    [anon_sym_LT_EQ] = ACTIONS(2682),
    [anon_sym_GT_EQ] = ACTIONS(2680),
    [anon_sym_lt] = ACTIONS(2680),
    [anon_sym_le] = ACTIONS(2680),
    [anon_sym_ge] = ACTIONS(2680),
    [anon_sym_gt] = ACTIONS(2680),
    [anon_sym_isa] = ACTIONS(2680),
    [anon_sym_PLUS_PLUS] = ACTIONS(2680),
    [anon_sym_DASH_DASH] = ACTIONS(2680),
    [anon_sym_QMARK] = ACTIONS(2680),
    [anon_sym_EQ_GT] = ACTIONS(2680),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2680),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2103] = {
    [sym_heredoc_content] = STATE(2103),
    [anon_sym_RBRACE] = ACTIONS(2979),
    [anon_sym_COLON] = ACTIONS(2979),
    [anon_sym_EQ] = ACTIONS(2981),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2979),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2979),
    [anon_sym_COMMA] = ACTIONS(2979),
    [anon_sym_RPAREN] = ACTIONS(2979),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2979),
    [anon_sym_DASH_GT] = ACTIONS(2979),
    [anon_sym_PERCENT] = ACTIONS(2981),
    [anon_sym_GT] = ACTIONS(2981),
    [anon_sym_LT_LT] = ACTIONS(2981),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2979),
    [anon_sym_PLUS_EQ] = ACTIONS(2979),
    [anon_sym_DASH_EQ] = ACTIONS(2979),
    [anon_sym_DOT_EQ] = ACTIONS(2979),
    [anon_sym_STAR_EQ] = ACTIONS(2979),
    [anon_sym_SLASH_EQ] = ACTIONS(2979),
    [anon_sym_PERCENT_EQ] = ACTIONS(2979),
    [anon_sym_x_EQ] = ACTIONS(2979),
    [anon_sym_AMP_EQ] = ACTIONS(2979),
    [anon_sym_PIPE_EQ] = ACTIONS(2979),
    [anon_sym_CARET_EQ] = ACTIONS(2979),
    [anon_sym_LT_LT_EQ] = ACTIONS(2979),
    [anon_sym_GT_GT_EQ] = ACTIONS(2979),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2979),
    [anon_sym_DOT_DOT] = ACTIONS(2981),
    [anon_sym_STAR_STAR] = ACTIONS(2981),
    [anon_sym_PIPE_PIPE] = ACTIONS(2981),
    [anon_sym_SLASH_SLASH] = ACTIONS(2981),
    [anon_sym_CARET_CARET] = ACTIONS(2979),
    [anon_sym_AMP_AMP] = ACTIONS(2981),
    [anon_sym_PIPE] = ACTIONS(2981),
    [anon_sym_CARET] = ACTIONS(2981),
    [anon_sym_AMP] = ACTIONS(2981),
    [anon_sym_GT_GT2] = ACTIONS(2981),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_DOT] = ACTIONS(2981),
    [anon_sym_STAR] = ACTIONS(2981),
    [anon_sym_SLASH] = ACTIONS(2981),
    [anon_sym_x] = ACTIONS(2981),
    [anon_sym_EQ_TILDE] = ACTIONS(2979),
    [anon_sym_BANG_TILDE] = ACTIONS(2979),
    [anon_sym_EQ_EQ] = ACTIONS(2981),
    [anon_sym_BANG_EQ] = ACTIONS(2979),
    [anon_sym_eq] = ACTIONS(2981),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2979),
    [anon_sym_equ] = ACTIONS(2979),
    [anon_sym_eqr] = ACTIONS(2979),
    [anon_sym_ne] = ACTIONS(2979),
    [anon_sym_LT_EQ_GT] = ACTIONS(2979),
    [anon_sym_cmp] = ACTIONS(2979),
    [anon_sym_TILDE_TILDE] = ACTIONS(2979),
    [anon_sym_LT] = ACTIONS(2981),
    [anon_sym_LT_EQ] = ACTIONS(2981),
    [anon_sym_GT_EQ] = ACTIONS(2979),
    [anon_sym_lt] = ACTIONS(2979),
    [anon_sym_le] = ACTIONS(2979),
    [anon_sym_ge] = ACTIONS(2979),
    [anon_sym_gt] = ACTIONS(2979),
    [anon_sym_isa] = ACTIONS(2979),
    [anon_sym_PLUS_PLUS] = ACTIONS(2979),
    [anon_sym_DASH_DASH] = ACTIONS(2979),
    [anon_sym_QMARK] = ACTIONS(2979),
    [anon_sym_EQ_GT] = ACTIONS(2979),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2104] = {
    [sym_heredoc_content] = STATE(2104),
    [anon_sym_RBRACE] = ACTIONS(2983),
    [anon_sym_COLON] = ACTIONS(2983),
    [anon_sym_EQ] = ACTIONS(2985),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2983),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2983),
    [anon_sym_COMMA] = ACTIONS(2983),
    [anon_sym_RPAREN] = ACTIONS(2983),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2983),
    [anon_sym_DASH_GT] = ACTIONS(2983),
    [anon_sym_PERCENT] = ACTIONS(2985),
    [anon_sym_GT] = ACTIONS(2985),
    [anon_sym_LT_LT] = ACTIONS(2985),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2983),
    [anon_sym_PLUS_EQ] = ACTIONS(2983),
    [anon_sym_DASH_EQ] = ACTIONS(2983),
    [anon_sym_DOT_EQ] = ACTIONS(2983),
    [anon_sym_STAR_EQ] = ACTIONS(2983),
    [anon_sym_SLASH_EQ] = ACTIONS(2983),
    [anon_sym_PERCENT_EQ] = ACTIONS(2983),
    [anon_sym_x_EQ] = ACTIONS(2983),
    [anon_sym_AMP_EQ] = ACTIONS(2983),
    [anon_sym_PIPE_EQ] = ACTIONS(2983),
    [anon_sym_CARET_EQ] = ACTIONS(2983),
    [anon_sym_LT_LT_EQ] = ACTIONS(2983),
    [anon_sym_GT_GT_EQ] = ACTIONS(2983),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2983),
    [anon_sym_DOT_DOT] = ACTIONS(2985),
    [anon_sym_STAR_STAR] = ACTIONS(2985),
    [anon_sym_PIPE_PIPE] = ACTIONS(2985),
    [anon_sym_SLASH_SLASH] = ACTIONS(2985),
    [anon_sym_CARET_CARET] = ACTIONS(2983),
    [anon_sym_AMP_AMP] = ACTIONS(2985),
    [anon_sym_PIPE] = ACTIONS(2985),
    [anon_sym_CARET] = ACTIONS(2985),
    [anon_sym_AMP] = ACTIONS(2985),
    [anon_sym_GT_GT2] = ACTIONS(2985),
    [anon_sym_PLUS] = ACTIONS(2985),
    [anon_sym_DASH] = ACTIONS(2985),
    [anon_sym_DOT] = ACTIONS(2985),
    [anon_sym_STAR] = ACTIONS(2985),
    [anon_sym_SLASH] = ACTIONS(2985),
    [anon_sym_x] = ACTIONS(2985),
    [anon_sym_EQ_TILDE] = ACTIONS(2983),
    [anon_sym_BANG_TILDE] = ACTIONS(2983),
    [anon_sym_EQ_EQ] = ACTIONS(2985),
    [anon_sym_BANG_EQ] = ACTIONS(2983),
    [anon_sym_eq] = ACTIONS(2985),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2983),
    [anon_sym_equ] = ACTIONS(2983),
    [anon_sym_eqr] = ACTIONS(2983),
    [anon_sym_ne] = ACTIONS(2983),
    [anon_sym_LT_EQ_GT] = ACTIONS(2983),
    [anon_sym_cmp] = ACTIONS(2983),
    [anon_sym_TILDE_TILDE] = ACTIONS(2983),
    [anon_sym_LT] = ACTIONS(2985),
    [anon_sym_LT_EQ] = ACTIONS(2985),
    [anon_sym_GT_EQ] = ACTIONS(2983),
    [anon_sym_lt] = ACTIONS(2983),
    [anon_sym_le] = ACTIONS(2983),
    [anon_sym_ge] = ACTIONS(2983),
    [anon_sym_gt] = ACTIONS(2983),
    [anon_sym_isa] = ACTIONS(2983),
    [anon_sym_PLUS_PLUS] = ACTIONS(2983),
    [anon_sym_DASH_DASH] = ACTIONS(2983),
    [anon_sym_QMARK] = ACTIONS(2983),
    [anon_sym_EQ_GT] = ACTIONS(2983),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2105] = {
    [sym_heredoc_content] = STATE(2105),
    [anon_sym_COLON] = ACTIONS(2760),
    [anon_sym_SEMI] = ACTIONS(2760),
    [anon_sym_EQ] = ACTIONS(2762),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2760),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2760),
    [anon_sym_COMMA] = ACTIONS(2760),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2760),
    [anon_sym_DASH_GT] = ACTIONS(2760),
    [anon_sym_PERCENT] = ACTIONS(2762),
    [anon_sym_GT] = ACTIONS(2762),
    [anon_sym_LT_LT] = ACTIONS(2762),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2760),
    [anon_sym_PLUS_EQ] = ACTIONS(2760),
    [anon_sym_DASH_EQ] = ACTIONS(2760),
    [anon_sym_DOT_EQ] = ACTIONS(2760),
    [anon_sym_STAR_EQ] = ACTIONS(2760),
    [anon_sym_SLASH_EQ] = ACTIONS(2760),
    [anon_sym_PERCENT_EQ] = ACTIONS(2760),
    [anon_sym_x_EQ] = ACTIONS(2760),
    [anon_sym_AMP_EQ] = ACTIONS(2760),
    [anon_sym_PIPE_EQ] = ACTIONS(2760),
    [anon_sym_CARET_EQ] = ACTIONS(2760),
    [anon_sym_LT_LT_EQ] = ACTIONS(2760),
    [anon_sym_GT_GT_EQ] = ACTIONS(2760),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2760),
    [anon_sym_DOT_DOT] = ACTIONS(2762),
    [anon_sym_STAR_STAR] = ACTIONS(2762),
    [anon_sym_PIPE_PIPE] = ACTIONS(2762),
    [anon_sym_SLASH_SLASH] = ACTIONS(2762),
    [anon_sym_CARET_CARET] = ACTIONS(2760),
    [anon_sym_AMP_AMP] = ACTIONS(2762),
    [anon_sym_PIPE] = ACTIONS(2762),
    [anon_sym_CARET] = ACTIONS(2762),
    [anon_sym_AMP] = ACTIONS(2762),
    [anon_sym_GT_GT2] = ACTIONS(2762),
    [anon_sym_PLUS] = ACTIONS(2762),
    [anon_sym_DASH] = ACTIONS(2762),
    [anon_sym_DOT] = ACTIONS(2762),
    [anon_sym_STAR] = ACTIONS(2762),
    [anon_sym_SLASH] = ACTIONS(2762),
    [anon_sym_x] = ACTIONS(2762),
    [anon_sym_EQ_TILDE] = ACTIONS(2760),
    [anon_sym_BANG_TILDE] = ACTIONS(2760),
    [anon_sym_EQ_EQ] = ACTIONS(2762),
    [anon_sym_BANG_EQ] = ACTIONS(2760),
    [anon_sym_eq] = ACTIONS(2762),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2760),
    [anon_sym_equ] = ACTIONS(2760),
    [anon_sym_eqr] = ACTIONS(2760),
    [anon_sym_ne] = ACTIONS(2760),
    [anon_sym_LT_EQ_GT] = ACTIONS(2760),
    [anon_sym_cmp] = ACTIONS(2760),
    [anon_sym_TILDE_TILDE] = ACTIONS(2760),
    [anon_sym_LT] = ACTIONS(2762),
    [anon_sym_LT_EQ] = ACTIONS(2762),
    [anon_sym_GT_EQ] = ACTIONS(2760),
    [anon_sym_lt] = ACTIONS(2760),
    [anon_sym_le] = ACTIONS(2760),
    [anon_sym_ge] = ACTIONS(2760),
    [anon_sym_gt] = ACTIONS(2760),
    [anon_sym_isa] = ACTIONS(2760),
    [anon_sym_PLUS_PLUS] = ACTIONS(2760),
    [anon_sym_DASH_DASH] = ACTIONS(2760),
    [anon_sym_QMARK] = ACTIONS(2760),
    [anon_sym_EQ_GT] = ACTIONS(2760),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2760),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2106] = {
    [sym_heredoc_content] = STATE(2106),
    [anon_sym_SEMI] = ACTIONS(2648),
    [anon_sym_EQ] = ACTIONS(2650),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2648),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2648),
    [anon_sym_COMMA] = ACTIONS(2648),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2648),
    [anon_sym_LBRACK] = ACTIONS(2648),
    [anon_sym_DASH_GT] = ACTIONS(2648),
    [anon_sym_PERCENT] = ACTIONS(2650),
    [anon_sym_GT] = ACTIONS(2650),
    [anon_sym_LT_LT] = ACTIONS(2650),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2648),
    [anon_sym_PLUS_EQ] = ACTIONS(2648),
    [anon_sym_DASH_EQ] = ACTIONS(2648),
    [anon_sym_DOT_EQ] = ACTIONS(2648),
    [anon_sym_STAR_EQ] = ACTIONS(2648),
    [anon_sym_SLASH_EQ] = ACTIONS(2648),
    [anon_sym_PERCENT_EQ] = ACTIONS(2648),
    [anon_sym_x_EQ] = ACTIONS(2648),
    [anon_sym_AMP_EQ] = ACTIONS(2648),
    [anon_sym_PIPE_EQ] = ACTIONS(2648),
    [anon_sym_CARET_EQ] = ACTIONS(2648),
    [anon_sym_LT_LT_EQ] = ACTIONS(2648),
    [anon_sym_GT_GT_EQ] = ACTIONS(2648),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2648),
    [anon_sym_DOT_DOT] = ACTIONS(2650),
    [anon_sym_STAR_STAR] = ACTIONS(2650),
    [anon_sym_PIPE_PIPE] = ACTIONS(2650),
    [anon_sym_SLASH_SLASH] = ACTIONS(2650),
    [anon_sym_CARET_CARET] = ACTIONS(2648),
    [anon_sym_AMP_AMP] = ACTIONS(2650),
    [anon_sym_PIPE] = ACTIONS(2650),
    [anon_sym_CARET] = ACTIONS(2650),
    [anon_sym_AMP] = ACTIONS(2650),
    [anon_sym_GT_GT2] = ACTIONS(2650),
    [anon_sym_PLUS] = ACTIONS(2650),
    [anon_sym_DASH] = ACTIONS(2650),
    [anon_sym_DOT] = ACTIONS(2650),
    [anon_sym_STAR] = ACTIONS(2650),
    [anon_sym_SLASH] = ACTIONS(2650),
    [anon_sym_x] = ACTIONS(2650),
    [anon_sym_EQ_TILDE] = ACTIONS(2648),
    [anon_sym_BANG_TILDE] = ACTIONS(2648),
    [anon_sym_EQ_EQ] = ACTIONS(2650),
    [anon_sym_BANG_EQ] = ACTIONS(2648),
    [anon_sym_eq] = ACTIONS(2650),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2648),
    [anon_sym_equ] = ACTIONS(2648),
    [anon_sym_eqr] = ACTIONS(2648),
    [anon_sym_ne] = ACTIONS(2648),
    [anon_sym_LT_EQ_GT] = ACTIONS(2648),
    [anon_sym_cmp] = ACTIONS(2648),
    [anon_sym_TILDE_TILDE] = ACTIONS(2648),
    [anon_sym_LT] = ACTIONS(2650),
    [anon_sym_LT_EQ] = ACTIONS(2650),
    [anon_sym_GT_EQ] = ACTIONS(2648),
    [anon_sym_lt] = ACTIONS(2648),
    [anon_sym_le] = ACTIONS(2648),
    [anon_sym_ge] = ACTIONS(2648),
    [anon_sym_gt] = ACTIONS(2648),
    [anon_sym_isa] = ACTIONS(2648),
    [anon_sym_PLUS_PLUS] = ACTIONS(2648),
    [anon_sym_DASH_DASH] = ACTIONS(2648),
    [anon_sym_QMARK] = ACTIONS(2648),
    [anon_sym_EQ_GT] = ACTIONS(2648),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2648),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2107] = {
    [sym_heredoc_content] = STATE(2107),
    [anon_sym_SEMI] = ACTIONS(2664),
    [anon_sym_EQ] = ACTIONS(2666),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2664),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2664),
    [anon_sym_COMMA] = ACTIONS(2664),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2664),
    [anon_sym_DASH_GT] = ACTIONS(2664),
    [anon_sym_PERCENT] = ACTIONS(2666),
    [anon_sym_GT] = ACTIONS(2666),
    [anon_sym_LT_LT] = ACTIONS(2666),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2664),
    [anon_sym_PLUS_EQ] = ACTIONS(2664),
    [anon_sym_DASH_EQ] = ACTIONS(2664),
    [anon_sym_DOT_EQ] = ACTIONS(2664),
    [anon_sym_STAR_EQ] = ACTIONS(2664),
    [anon_sym_SLASH_EQ] = ACTIONS(2664),
    [anon_sym_PERCENT_EQ] = ACTIONS(2664),
    [anon_sym_x_EQ] = ACTIONS(2666),
    [anon_sym_AMP_EQ] = ACTIONS(2664),
    [anon_sym_PIPE_EQ] = ACTIONS(2664),
    [anon_sym_CARET_EQ] = ACTIONS(2664),
    [anon_sym_LT_LT_EQ] = ACTIONS(2664),
    [anon_sym_GT_GT_EQ] = ACTIONS(2664),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2664),
    [anon_sym_DOT_DOT] = ACTIONS(2666),
    [anon_sym_STAR_STAR] = ACTIONS(2666),
    [anon_sym_PIPE_PIPE] = ACTIONS(2666),
    [anon_sym_SLASH_SLASH] = ACTIONS(2666),
    [anon_sym_CARET_CARET] = ACTIONS(2664),
    [anon_sym_AMP_AMP] = ACTIONS(2666),
    [anon_sym_PIPE] = ACTIONS(2666),
    [anon_sym_CARET] = ACTIONS(2666),
    [anon_sym_AMP] = ACTIONS(2666),
    [anon_sym_GT_GT2] = ACTIONS(2666),
    [anon_sym_PLUS] = ACTIONS(2666),
    [anon_sym_DASH] = ACTIONS(2666),
    [anon_sym_DOT] = ACTIONS(2666),
    [anon_sym_STAR] = ACTIONS(2666),
    [anon_sym_SLASH] = ACTIONS(2666),
    [anon_sym_x] = ACTIONS(2666),
    [anon_sym_EQ_TILDE] = ACTIONS(2664),
    [anon_sym_BANG_TILDE] = ACTIONS(2664),
    [anon_sym_EQ_EQ] = ACTIONS(2666),
    [anon_sym_BANG_EQ] = ACTIONS(2664),
    [anon_sym_eq] = ACTIONS(2666),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2664),
    [anon_sym_equ] = ACTIONS(2664),
    [anon_sym_eqr] = ACTIONS(2664),
    [anon_sym_ne] = ACTIONS(2666),
    [anon_sym_LT_EQ_GT] = ACTIONS(2664),
    [anon_sym_cmp] = ACTIONS(2664),
    [anon_sym_TILDE_TILDE] = ACTIONS(2664),
    [anon_sym_LT] = ACTIONS(2666),
    [anon_sym_LT_EQ] = ACTIONS(2666),
    [anon_sym_GT_EQ] = ACTIONS(2664),
    [anon_sym_lt] = ACTIONS(2666),
    [anon_sym_le] = ACTIONS(2666),
    [anon_sym_ge] = ACTIONS(2664),
    [anon_sym_gt] = ACTIONS(2664),
    [anon_sym_isa] = ACTIONS(2666),
    [anon_sym_PLUS_PLUS] = ACTIONS(2664),
    [anon_sym_DASH_DASH] = ACTIONS(2664),
    [anon_sym_QMARK] = ACTIONS(2664),
    [anon_sym_EQ_GT] = ACTIONS(2664),
    [sym_comment] = ACTIONS(5),
    [sym_quoted_regexp_modifiers] = ACTIONS(3815),
    [sym__PERLY_SEMICOLON] = ACTIONS(2664),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2108] = {
    [sym_heredoc_content] = STATE(2108),
    [anon_sym_SEMI] = ACTIONS(2674),
    [anon_sym_EQ] = ACTIONS(2676),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2674),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2674),
    [anon_sym_COMMA] = ACTIONS(2674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2674),
    [anon_sym_DASH_GT] = ACTIONS(2674),
    [anon_sym_PERCENT] = ACTIONS(2676),
    [anon_sym_GT] = ACTIONS(2676),
    [anon_sym_LT_LT] = ACTIONS(2676),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2674),
    [anon_sym_PLUS_EQ] = ACTIONS(2674),
    [anon_sym_DASH_EQ] = ACTIONS(2674),
    [anon_sym_DOT_EQ] = ACTIONS(2674),
    [anon_sym_STAR_EQ] = ACTIONS(2674),
    [anon_sym_SLASH_EQ] = ACTIONS(2674),
    [anon_sym_PERCENT_EQ] = ACTIONS(2674),
    [anon_sym_x_EQ] = ACTIONS(2676),
    [anon_sym_AMP_EQ] = ACTIONS(2674),
    [anon_sym_PIPE_EQ] = ACTIONS(2674),
    [anon_sym_CARET_EQ] = ACTIONS(2674),
    [anon_sym_LT_LT_EQ] = ACTIONS(2674),
    [anon_sym_GT_GT_EQ] = ACTIONS(2674),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2674),
    [anon_sym_DOT_DOT] = ACTIONS(2676),
    [anon_sym_STAR_STAR] = ACTIONS(2676),
    [anon_sym_PIPE_PIPE] = ACTIONS(2676),
    [anon_sym_SLASH_SLASH] = ACTIONS(2676),
    [anon_sym_CARET_CARET] = ACTIONS(2674),
    [anon_sym_AMP_AMP] = ACTIONS(2676),
    [anon_sym_PIPE] = ACTIONS(2676),
    [anon_sym_CARET] = ACTIONS(2676),
    [anon_sym_AMP] = ACTIONS(2676),
    [anon_sym_GT_GT2] = ACTIONS(2676),
    [anon_sym_PLUS] = ACTIONS(2676),
    [anon_sym_DASH] = ACTIONS(2676),
    [anon_sym_DOT] = ACTIONS(2676),
    [anon_sym_STAR] = ACTIONS(2676),
    [anon_sym_SLASH] = ACTIONS(2676),
    [anon_sym_x] = ACTIONS(2676),
    [anon_sym_EQ_TILDE] = ACTIONS(2674),
    [anon_sym_BANG_TILDE] = ACTIONS(2674),
    [anon_sym_EQ_EQ] = ACTIONS(2676),
    [anon_sym_BANG_EQ] = ACTIONS(2674),
    [anon_sym_eq] = ACTIONS(2676),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2674),
    [anon_sym_equ] = ACTIONS(2674),
    [anon_sym_eqr] = ACTIONS(2674),
    [anon_sym_ne] = ACTIONS(2676),
    [anon_sym_LT_EQ_GT] = ACTIONS(2674),
    [anon_sym_cmp] = ACTIONS(2676),
    [anon_sym_TILDE_TILDE] = ACTIONS(2674),
    [anon_sym_LT] = ACTIONS(2676),
    [anon_sym_LT_EQ] = ACTIONS(2676),
    [anon_sym_GT_EQ] = ACTIONS(2674),
    [anon_sym_lt] = ACTIONS(2676),
    [anon_sym_le] = ACTIONS(2676),
    [anon_sym_ge] = ACTIONS(2676),
    [anon_sym_gt] = ACTIONS(2676),
    [anon_sym_isa] = ACTIONS(2676),
    [anon_sym_PLUS_PLUS] = ACTIONS(2674),
    [anon_sym_DASH_DASH] = ACTIONS(2674),
    [anon_sym_QMARK] = ACTIONS(2674),
    [anon_sym_EQ_GT] = ACTIONS(2674),
    [sym_comment] = ACTIONS(5),
    [sym_match_regexp_modifiers] = ACTIONS(3817),
    [sym__PERLY_SEMICOLON] = ACTIONS(2674),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2109] = {
    [sym_heredoc_content] = STATE(2109),
    [anon_sym_SEMI] = ACTIONS(2710),
    [anon_sym_EQ] = ACTIONS(2712),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2710),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2710),
    [anon_sym_COMMA] = ACTIONS(2710),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2710),
    [anon_sym_DASH_GT] = ACTIONS(2710),
    [anon_sym_PERCENT] = ACTIONS(2712),
    [anon_sym_GT] = ACTIONS(2712),
    [anon_sym_LT_LT] = ACTIONS(2712),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2710),
    [anon_sym_PLUS_EQ] = ACTIONS(2710),
    [anon_sym_DASH_EQ] = ACTIONS(2710),
    [anon_sym_DOT_EQ] = ACTIONS(2710),
    [anon_sym_STAR_EQ] = ACTIONS(2710),
    [anon_sym_SLASH_EQ] = ACTIONS(2710),
    [anon_sym_PERCENT_EQ] = ACTIONS(2710),
    [anon_sym_x_EQ] = ACTIONS(2712),
    [anon_sym_AMP_EQ] = ACTIONS(2710),
    [anon_sym_PIPE_EQ] = ACTIONS(2710),
    [anon_sym_CARET_EQ] = ACTIONS(2710),
    [anon_sym_LT_LT_EQ] = ACTIONS(2710),
    [anon_sym_GT_GT_EQ] = ACTIONS(2710),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2710),
    [anon_sym_DOT_DOT] = ACTIONS(2712),
    [anon_sym_STAR_STAR] = ACTIONS(2712),
    [anon_sym_PIPE_PIPE] = ACTIONS(2712),
    [anon_sym_SLASH_SLASH] = ACTIONS(2712),
    [anon_sym_CARET_CARET] = ACTIONS(2710),
    [anon_sym_AMP_AMP] = ACTIONS(2712),
    [anon_sym_PIPE] = ACTIONS(2712),
    [anon_sym_CARET] = ACTIONS(2712),
    [anon_sym_AMP] = ACTIONS(2712),
    [anon_sym_GT_GT2] = ACTIONS(2712),
    [anon_sym_PLUS] = ACTIONS(2712),
    [anon_sym_DASH] = ACTIONS(2712),
    [anon_sym_DOT] = ACTIONS(2712),
    [anon_sym_STAR] = ACTIONS(2712),
    [anon_sym_SLASH] = ACTIONS(2712),
    [anon_sym_x] = ACTIONS(2712),
    [anon_sym_EQ_TILDE] = ACTIONS(2710),
    [anon_sym_BANG_TILDE] = ACTIONS(2710),
    [anon_sym_EQ_EQ] = ACTIONS(2712),
    [anon_sym_BANG_EQ] = ACTIONS(2710),
    [anon_sym_eq] = ACTIONS(2712),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2710),
    [anon_sym_equ] = ACTIONS(2712),
    [anon_sym_eqr] = ACTIONS(2712),
    [anon_sym_ne] = ACTIONS(2710),
    [anon_sym_LT_EQ_GT] = ACTIONS(2710),
    [anon_sym_cmp] = ACTIONS(2712),
    [anon_sym_TILDE_TILDE] = ACTIONS(2710),
    [anon_sym_LT] = ACTIONS(2712),
    [anon_sym_LT_EQ] = ACTIONS(2712),
    [anon_sym_GT_EQ] = ACTIONS(2710),
    [anon_sym_lt] = ACTIONS(2712),
    [anon_sym_le] = ACTIONS(2712),
    [anon_sym_ge] = ACTIONS(2712),
    [anon_sym_gt] = ACTIONS(2712),
    [anon_sym_isa] = ACTIONS(2712),
    [anon_sym_PLUS_PLUS] = ACTIONS(2710),
    [anon_sym_DASH_DASH] = ACTIONS(2710),
    [anon_sym_QMARK] = ACTIONS(2710),
    [anon_sym_EQ_GT] = ACTIONS(2710),
    [sym_comment] = ACTIONS(5),
    [sym_substitution_regexp_modifiers] = ACTIONS(3819),
    [sym__PERLY_SEMICOLON] = ACTIONS(2710),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2110] = {
    [sym_heredoc_content] = STATE(2110),
    [anon_sym_SEMI] = ACTIONS(2716),
    [anon_sym_EQ] = ACTIONS(2718),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2716),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2716),
    [anon_sym_COMMA] = ACTIONS(2716),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2716),
    [anon_sym_DASH_GT] = ACTIONS(2716),
    [anon_sym_PERCENT] = ACTIONS(2718),
    [anon_sym_GT] = ACTIONS(2718),
    [anon_sym_LT_LT] = ACTIONS(2718),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2716),
    [anon_sym_PLUS_EQ] = ACTIONS(2716),
    [anon_sym_DASH_EQ] = ACTIONS(2716),
    [anon_sym_DOT_EQ] = ACTIONS(2716),
    [anon_sym_STAR_EQ] = ACTIONS(2716),
    [anon_sym_SLASH_EQ] = ACTIONS(2716),
    [anon_sym_PERCENT_EQ] = ACTIONS(2716),
    [anon_sym_x_EQ] = ACTIONS(2716),
    [anon_sym_AMP_EQ] = ACTIONS(2716),
    [anon_sym_PIPE_EQ] = ACTIONS(2716),
    [anon_sym_CARET_EQ] = ACTIONS(2716),
    [anon_sym_LT_LT_EQ] = ACTIONS(2716),
    [anon_sym_GT_GT_EQ] = ACTIONS(2716),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2716),
    [anon_sym_DOT_DOT] = ACTIONS(2718),
    [anon_sym_STAR_STAR] = ACTIONS(2718),
    [anon_sym_PIPE_PIPE] = ACTIONS(2718),
    [anon_sym_SLASH_SLASH] = ACTIONS(2718),
    [anon_sym_CARET_CARET] = ACTIONS(2716),
    [anon_sym_AMP_AMP] = ACTIONS(2718),
    [anon_sym_PIPE] = ACTIONS(2718),
    [anon_sym_CARET] = ACTIONS(2718),
    [anon_sym_AMP] = ACTIONS(2718),
    [anon_sym_GT_GT2] = ACTIONS(2718),
    [anon_sym_PLUS] = ACTIONS(2718),
    [anon_sym_DASH] = ACTIONS(2718),
    [anon_sym_DOT] = ACTIONS(2718),
    [anon_sym_STAR] = ACTIONS(2718),
    [anon_sym_SLASH] = ACTIONS(2718),
    [anon_sym_x] = ACTIONS(2718),
    [anon_sym_EQ_TILDE] = ACTIONS(2716),
    [anon_sym_BANG_TILDE] = ACTIONS(2716),
    [anon_sym_EQ_EQ] = ACTIONS(2718),
    [anon_sym_BANG_EQ] = ACTIONS(2716),
    [anon_sym_eq] = ACTIONS(2718),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2716),
    [anon_sym_equ] = ACTIONS(2716),
    [anon_sym_eqr] = ACTIONS(2716),
    [anon_sym_ne] = ACTIONS(2716),
    [anon_sym_LT_EQ_GT] = ACTIONS(2716),
    [anon_sym_cmp] = ACTIONS(2718),
    [anon_sym_TILDE_TILDE] = ACTIONS(2716),
    [anon_sym_LT] = ACTIONS(2718),
    [anon_sym_LT_EQ] = ACTIONS(2718),
    [anon_sym_GT_EQ] = ACTIONS(2716),
    [anon_sym_lt] = ACTIONS(2716),
    [anon_sym_le] = ACTIONS(2716),
    [anon_sym_ge] = ACTIONS(2716),
    [anon_sym_gt] = ACTIONS(2716),
    [anon_sym_isa] = ACTIONS(2716),
    [anon_sym_PLUS_PLUS] = ACTIONS(2716),
    [anon_sym_DASH_DASH] = ACTIONS(2716),
    [anon_sym_QMARK] = ACTIONS(2716),
    [anon_sym_EQ_GT] = ACTIONS(2716),
    [sym_comment] = ACTIONS(5),
    [sym_transliteration_modifiers] = ACTIONS(3821),
    [sym__PERLY_SEMICOLON] = ACTIONS(2716),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2111] = {
    [sym_heredoc_content] = STATE(2111),
    [anon_sym_RBRACE] = ACTIONS(3270),
    [anon_sym_COLON] = ACTIONS(3270),
    [anon_sym_EQ] = ACTIONS(3272),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3270),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3270),
    [anon_sym_COMMA] = ACTIONS(3270),
    [anon_sym_RPAREN] = ACTIONS(3270),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3270),
    [anon_sym_DASH_GT] = ACTIONS(3270),
    [anon_sym_PERCENT] = ACTIONS(3272),
    [anon_sym_GT] = ACTIONS(3272),
    [anon_sym_LT_LT] = ACTIONS(3272),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3270),
    [anon_sym_PLUS_EQ] = ACTIONS(3270),
    [anon_sym_DASH_EQ] = ACTIONS(3270),
    [anon_sym_DOT_EQ] = ACTIONS(3270),
    [anon_sym_STAR_EQ] = ACTIONS(3270),
    [anon_sym_SLASH_EQ] = ACTIONS(3270),
    [anon_sym_PERCENT_EQ] = ACTIONS(3270),
    [anon_sym_x_EQ] = ACTIONS(3270),
    [anon_sym_AMP_EQ] = ACTIONS(3270),
    [anon_sym_PIPE_EQ] = ACTIONS(3270),
    [anon_sym_CARET_EQ] = ACTIONS(3270),
    [anon_sym_LT_LT_EQ] = ACTIONS(3270),
    [anon_sym_GT_GT_EQ] = ACTIONS(3270),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3270),
    [anon_sym_DOT_DOT] = ACTIONS(3272),
    [anon_sym_STAR_STAR] = ACTIONS(3272),
    [anon_sym_PIPE_PIPE] = ACTIONS(3272),
    [anon_sym_SLASH_SLASH] = ACTIONS(3272),
    [anon_sym_CARET_CARET] = ACTIONS(3270),
    [anon_sym_AMP_AMP] = ACTIONS(3272),
    [anon_sym_PIPE] = ACTIONS(3272),
    [anon_sym_CARET] = ACTIONS(3272),
    [anon_sym_AMP] = ACTIONS(3272),
    [anon_sym_GT_GT2] = ACTIONS(3272),
    [anon_sym_PLUS] = ACTIONS(3272),
    [anon_sym_DASH] = ACTIONS(3272),
    [anon_sym_DOT] = ACTIONS(3272),
    [anon_sym_STAR] = ACTIONS(3272),
    [anon_sym_SLASH] = ACTIONS(3272),
    [anon_sym_x] = ACTIONS(3272),
    [anon_sym_EQ_TILDE] = ACTIONS(3270),
    [anon_sym_BANG_TILDE] = ACTIONS(3270),
    [anon_sym_EQ_EQ] = ACTIONS(3272),
    [anon_sym_BANG_EQ] = ACTIONS(3270),
    [anon_sym_eq] = ACTIONS(3272),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3270),
    [anon_sym_equ] = ACTIONS(3270),
    [anon_sym_eqr] = ACTIONS(3270),
    [anon_sym_ne] = ACTIONS(3270),
    [anon_sym_LT_EQ_GT] = ACTIONS(3270),
    [anon_sym_cmp] = ACTIONS(3270),
    [anon_sym_TILDE_TILDE] = ACTIONS(3270),
    [anon_sym_LT] = ACTIONS(3272),
    [anon_sym_LT_EQ] = ACTIONS(3272),
    [anon_sym_GT_EQ] = ACTIONS(3270),
    [anon_sym_lt] = ACTIONS(3270),
    [anon_sym_le] = ACTIONS(3270),
    [anon_sym_ge] = ACTIONS(3270),
    [anon_sym_gt] = ACTIONS(3270),
    [anon_sym_isa] = ACTIONS(3270),
    [anon_sym_PLUS_PLUS] = ACTIONS(3270),
    [anon_sym_DASH_DASH] = ACTIONS(3270),
    [anon_sym_QMARK] = ACTIONS(3270),
    [anon_sym_EQ_GT] = ACTIONS(3270),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2112] = {
    [sym_heredoc_content] = STATE(2112),
    [anon_sym_RBRACE] = ACTIONS(2967),
    [anon_sym_COLON] = ACTIONS(2967),
    [anon_sym_EQ] = ACTIONS(2969),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2967),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2967),
    [anon_sym_COMMA] = ACTIONS(2967),
    [anon_sym_RPAREN] = ACTIONS(2967),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2967),
    [anon_sym_DASH_GT] = ACTIONS(2967),
    [anon_sym_PERCENT] = ACTIONS(2969),
    [anon_sym_GT] = ACTIONS(2969),
    [anon_sym_LT_LT] = ACTIONS(2969),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2967),
    [anon_sym_PLUS_EQ] = ACTIONS(2967),
    [anon_sym_DASH_EQ] = ACTIONS(2967),
    [anon_sym_DOT_EQ] = ACTIONS(2967),
    [anon_sym_STAR_EQ] = ACTIONS(2967),
    [anon_sym_SLASH_EQ] = ACTIONS(2967),
    [anon_sym_PERCENT_EQ] = ACTIONS(2967),
    [anon_sym_x_EQ] = ACTIONS(2967),
    [anon_sym_AMP_EQ] = ACTIONS(2967),
    [anon_sym_PIPE_EQ] = ACTIONS(2967),
    [anon_sym_CARET_EQ] = ACTIONS(2967),
    [anon_sym_LT_LT_EQ] = ACTIONS(2967),
    [anon_sym_GT_GT_EQ] = ACTIONS(2967),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2967),
    [anon_sym_DOT_DOT] = ACTIONS(2969),
    [anon_sym_STAR_STAR] = ACTIONS(2969),
    [anon_sym_PIPE_PIPE] = ACTIONS(2969),
    [anon_sym_SLASH_SLASH] = ACTIONS(2969),
    [anon_sym_CARET_CARET] = ACTIONS(2967),
    [anon_sym_AMP_AMP] = ACTIONS(2969),
    [anon_sym_PIPE] = ACTIONS(2969),
    [anon_sym_CARET] = ACTIONS(2969),
    [anon_sym_AMP] = ACTIONS(2969),
    [anon_sym_GT_GT2] = ACTIONS(2969),
    [anon_sym_PLUS] = ACTIONS(2969),
    [anon_sym_DASH] = ACTIONS(2969),
    [anon_sym_DOT] = ACTIONS(2969),
    [anon_sym_STAR] = ACTIONS(2969),
    [anon_sym_SLASH] = ACTIONS(2969),
    [anon_sym_x] = ACTIONS(2969),
    [anon_sym_EQ_TILDE] = ACTIONS(2967),
    [anon_sym_BANG_TILDE] = ACTIONS(2967),
    [anon_sym_EQ_EQ] = ACTIONS(2969),
    [anon_sym_BANG_EQ] = ACTIONS(2967),
    [anon_sym_eq] = ACTIONS(2969),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2967),
    [anon_sym_equ] = ACTIONS(2967),
    [anon_sym_eqr] = ACTIONS(2967),
    [anon_sym_ne] = ACTIONS(2967),
    [anon_sym_LT_EQ_GT] = ACTIONS(2967),
    [anon_sym_cmp] = ACTIONS(2967),
    [anon_sym_TILDE_TILDE] = ACTIONS(2967),
    [anon_sym_LT] = ACTIONS(2969),
    [anon_sym_LT_EQ] = ACTIONS(2969),
    [anon_sym_GT_EQ] = ACTIONS(2967),
    [anon_sym_lt] = ACTIONS(2967),
    [anon_sym_le] = ACTIONS(2967),
    [anon_sym_ge] = ACTIONS(2967),
    [anon_sym_gt] = ACTIONS(2967),
    [anon_sym_isa] = ACTIONS(2967),
    [anon_sym_PLUS_PLUS] = ACTIONS(2967),
    [anon_sym_DASH_DASH] = ACTIONS(2967),
    [anon_sym_QMARK] = ACTIONS(2967),
    [anon_sym_EQ_GT] = ACTIONS(2967),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2113] = {
    [sym_heredoc_content] = STATE(2113),
    [anon_sym_RBRACE] = ACTIONS(3055),
    [anon_sym_COLON] = ACTIONS(3055),
    [anon_sym_EQ] = ACTIONS(3057),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3055),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3055),
    [anon_sym_COMMA] = ACTIONS(3055),
    [anon_sym_RPAREN] = ACTIONS(3055),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3055),
    [anon_sym_DASH_GT] = ACTIONS(3055),
    [anon_sym_PERCENT] = ACTIONS(3057),
    [anon_sym_GT] = ACTIONS(3057),
    [anon_sym_LT_LT] = ACTIONS(3057),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3055),
    [anon_sym_PLUS_EQ] = ACTIONS(3055),
    [anon_sym_DASH_EQ] = ACTIONS(3055),
    [anon_sym_DOT_EQ] = ACTIONS(3055),
    [anon_sym_STAR_EQ] = ACTIONS(3055),
    [anon_sym_SLASH_EQ] = ACTIONS(3055),
    [anon_sym_PERCENT_EQ] = ACTIONS(3055),
    [anon_sym_x_EQ] = ACTIONS(3055),
    [anon_sym_AMP_EQ] = ACTIONS(3055),
    [anon_sym_PIPE_EQ] = ACTIONS(3055),
    [anon_sym_CARET_EQ] = ACTIONS(3055),
    [anon_sym_LT_LT_EQ] = ACTIONS(3055),
    [anon_sym_GT_GT_EQ] = ACTIONS(3055),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3055),
    [anon_sym_DOT_DOT] = ACTIONS(3057),
    [anon_sym_STAR_STAR] = ACTIONS(3057),
    [anon_sym_PIPE_PIPE] = ACTIONS(3057),
    [anon_sym_SLASH_SLASH] = ACTIONS(3057),
    [anon_sym_CARET_CARET] = ACTIONS(3055),
    [anon_sym_AMP_AMP] = ACTIONS(3057),
    [anon_sym_PIPE] = ACTIONS(3057),
    [anon_sym_CARET] = ACTIONS(3057),
    [anon_sym_AMP] = ACTIONS(3057),
    [anon_sym_GT_GT2] = ACTIONS(3057),
    [anon_sym_PLUS] = ACTIONS(3057),
    [anon_sym_DASH] = ACTIONS(3057),
    [anon_sym_DOT] = ACTIONS(3057),
    [anon_sym_STAR] = ACTIONS(3057),
    [anon_sym_SLASH] = ACTIONS(3057),
    [anon_sym_x] = ACTIONS(3057),
    [anon_sym_EQ_TILDE] = ACTIONS(3055),
    [anon_sym_BANG_TILDE] = ACTIONS(3055),
    [anon_sym_EQ_EQ] = ACTIONS(3057),
    [anon_sym_BANG_EQ] = ACTIONS(3055),
    [anon_sym_eq] = ACTIONS(3057),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3055),
    [anon_sym_equ] = ACTIONS(3055),
    [anon_sym_eqr] = ACTIONS(3055),
    [anon_sym_ne] = ACTIONS(3055),
    [anon_sym_LT_EQ_GT] = ACTIONS(3055),
    [anon_sym_cmp] = ACTIONS(3055),
    [anon_sym_TILDE_TILDE] = ACTIONS(3055),
    [anon_sym_LT] = ACTIONS(3057),
    [anon_sym_LT_EQ] = ACTIONS(3057),
    [anon_sym_GT_EQ] = ACTIONS(3055),
    [anon_sym_lt] = ACTIONS(3055),
    [anon_sym_le] = ACTIONS(3055),
    [anon_sym_ge] = ACTIONS(3055),
    [anon_sym_gt] = ACTIONS(3055),
    [anon_sym_isa] = ACTIONS(3055),
    [anon_sym_PLUS_PLUS] = ACTIONS(3055),
    [anon_sym_DASH_DASH] = ACTIONS(3055),
    [anon_sym_QMARK] = ACTIONS(3055),
    [anon_sym_EQ_GT] = ACTIONS(3055),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2114] = {
    [sym_heredoc_content] = STATE(2114),
    [anon_sym_RBRACE] = ACTIONS(2971),
    [anon_sym_COLON] = ACTIONS(2971),
    [anon_sym_EQ] = ACTIONS(2973),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2971),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2971),
    [anon_sym_COMMA] = ACTIONS(2971),
    [anon_sym_RPAREN] = ACTIONS(2971),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2971),
    [anon_sym_DASH_GT] = ACTIONS(2971),
    [anon_sym_PERCENT] = ACTIONS(2973),
    [anon_sym_GT] = ACTIONS(2973),
    [anon_sym_LT_LT] = ACTIONS(2973),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2971),
    [anon_sym_PLUS_EQ] = ACTIONS(2971),
    [anon_sym_DASH_EQ] = ACTIONS(2971),
    [anon_sym_DOT_EQ] = ACTIONS(2971),
    [anon_sym_STAR_EQ] = ACTIONS(2971),
    [anon_sym_SLASH_EQ] = ACTIONS(2971),
    [anon_sym_PERCENT_EQ] = ACTIONS(2971),
    [anon_sym_x_EQ] = ACTIONS(2971),
    [anon_sym_AMP_EQ] = ACTIONS(2971),
    [anon_sym_PIPE_EQ] = ACTIONS(2971),
    [anon_sym_CARET_EQ] = ACTIONS(2971),
    [anon_sym_LT_LT_EQ] = ACTIONS(2971),
    [anon_sym_GT_GT_EQ] = ACTIONS(2971),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2971),
    [anon_sym_DOT_DOT] = ACTIONS(2973),
    [anon_sym_STAR_STAR] = ACTIONS(2973),
    [anon_sym_PIPE_PIPE] = ACTIONS(2973),
    [anon_sym_SLASH_SLASH] = ACTIONS(2973),
    [anon_sym_CARET_CARET] = ACTIONS(2971),
    [anon_sym_AMP_AMP] = ACTIONS(2973),
    [anon_sym_PIPE] = ACTIONS(2973),
    [anon_sym_CARET] = ACTIONS(2973),
    [anon_sym_AMP] = ACTIONS(2973),
    [anon_sym_GT_GT2] = ACTIONS(2973),
    [anon_sym_PLUS] = ACTIONS(2973),
    [anon_sym_DASH] = ACTIONS(2973),
    [anon_sym_DOT] = ACTIONS(2973),
    [anon_sym_STAR] = ACTIONS(2973),
    [anon_sym_SLASH] = ACTIONS(2973),
    [anon_sym_x] = ACTIONS(2973),
    [anon_sym_EQ_TILDE] = ACTIONS(2971),
    [anon_sym_BANG_TILDE] = ACTIONS(2971),
    [anon_sym_EQ_EQ] = ACTIONS(2973),
    [anon_sym_BANG_EQ] = ACTIONS(2971),
    [anon_sym_eq] = ACTIONS(2973),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2971),
    [anon_sym_equ] = ACTIONS(2971),
    [anon_sym_eqr] = ACTIONS(2971),
    [anon_sym_ne] = ACTIONS(2971),
    [anon_sym_LT_EQ_GT] = ACTIONS(2971),
    [anon_sym_cmp] = ACTIONS(2971),
    [anon_sym_TILDE_TILDE] = ACTIONS(2971),
    [anon_sym_LT] = ACTIONS(2973),
    [anon_sym_LT_EQ] = ACTIONS(2973),
    [anon_sym_GT_EQ] = ACTIONS(2971),
    [anon_sym_lt] = ACTIONS(2971),
    [anon_sym_le] = ACTIONS(2971),
    [anon_sym_ge] = ACTIONS(2971),
    [anon_sym_gt] = ACTIONS(2971),
    [anon_sym_isa] = ACTIONS(2971),
    [anon_sym_PLUS_PLUS] = ACTIONS(2971),
    [anon_sym_DASH_DASH] = ACTIONS(2971),
    [anon_sym_QMARK] = ACTIONS(2971),
    [anon_sym_EQ_GT] = ACTIONS(2971),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2115] = {
    [sym_heredoc_content] = STATE(2115),
    [anon_sym_RBRACE] = ACTIONS(3007),
    [anon_sym_COLON] = ACTIONS(3007),
    [anon_sym_EQ] = ACTIONS(3009),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3007),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3007),
    [anon_sym_COMMA] = ACTIONS(3007),
    [anon_sym_RPAREN] = ACTIONS(3007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3007),
    [anon_sym_DASH_GT] = ACTIONS(3007),
    [anon_sym_PERCENT] = ACTIONS(3009),
    [anon_sym_GT] = ACTIONS(3009),
    [anon_sym_LT_LT] = ACTIONS(3009),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3007),
    [anon_sym_PLUS_EQ] = ACTIONS(3007),
    [anon_sym_DASH_EQ] = ACTIONS(3007),
    [anon_sym_DOT_EQ] = ACTIONS(3007),
    [anon_sym_STAR_EQ] = ACTIONS(3007),
    [anon_sym_SLASH_EQ] = ACTIONS(3007),
    [anon_sym_PERCENT_EQ] = ACTIONS(3007),
    [anon_sym_x_EQ] = ACTIONS(3007),
    [anon_sym_AMP_EQ] = ACTIONS(3007),
    [anon_sym_PIPE_EQ] = ACTIONS(3007),
    [anon_sym_CARET_EQ] = ACTIONS(3007),
    [anon_sym_LT_LT_EQ] = ACTIONS(3007),
    [anon_sym_GT_GT_EQ] = ACTIONS(3007),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3007),
    [anon_sym_DOT_DOT] = ACTIONS(3009),
    [anon_sym_STAR_STAR] = ACTIONS(3009),
    [anon_sym_PIPE_PIPE] = ACTIONS(3009),
    [anon_sym_SLASH_SLASH] = ACTIONS(3009),
    [anon_sym_CARET_CARET] = ACTIONS(3007),
    [anon_sym_AMP_AMP] = ACTIONS(3009),
    [anon_sym_PIPE] = ACTIONS(3009),
    [anon_sym_CARET] = ACTIONS(3009),
    [anon_sym_AMP] = ACTIONS(3009),
    [anon_sym_GT_GT2] = ACTIONS(3009),
    [anon_sym_PLUS] = ACTIONS(3009),
    [anon_sym_DASH] = ACTIONS(3009),
    [anon_sym_DOT] = ACTIONS(3009),
    [anon_sym_STAR] = ACTIONS(3009),
    [anon_sym_SLASH] = ACTIONS(3009),
    [anon_sym_x] = ACTIONS(3009),
    [anon_sym_EQ_TILDE] = ACTIONS(3007),
    [anon_sym_BANG_TILDE] = ACTIONS(3007),
    [anon_sym_EQ_EQ] = ACTIONS(3009),
    [anon_sym_BANG_EQ] = ACTIONS(3007),
    [anon_sym_eq] = ACTIONS(3009),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3007),
    [anon_sym_equ] = ACTIONS(3007),
    [anon_sym_eqr] = ACTIONS(3007),
    [anon_sym_ne] = ACTIONS(3007),
    [anon_sym_LT_EQ_GT] = ACTIONS(3007),
    [anon_sym_cmp] = ACTIONS(3007),
    [anon_sym_TILDE_TILDE] = ACTIONS(3007),
    [anon_sym_LT] = ACTIONS(3009),
    [anon_sym_LT_EQ] = ACTIONS(3009),
    [anon_sym_GT_EQ] = ACTIONS(3007),
    [anon_sym_lt] = ACTIONS(3007),
    [anon_sym_le] = ACTIONS(3007),
    [anon_sym_ge] = ACTIONS(3007),
    [anon_sym_gt] = ACTIONS(3007),
    [anon_sym_isa] = ACTIONS(3007),
    [anon_sym_PLUS_PLUS] = ACTIONS(3007),
    [anon_sym_DASH_DASH] = ACTIONS(3007),
    [anon_sym_QMARK] = ACTIONS(3007),
    [anon_sym_EQ_GT] = ACTIONS(3007),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2116] = {
    [sym_heredoc_content] = STATE(2116),
    [aux_sym__term_rightward_repeat1] = STATE(3372),
    [anon_sym_RBRACE] = ACTIONS(2787),
    [anon_sym_EQ] = ACTIONS(3823),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3825),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3825),
    [anon_sym_COMMA] = ACTIONS(3827),
    [anon_sym_RPAREN] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3829),
    [anon_sym_DASH_GT] = ACTIONS(3831),
    [anon_sym_PERCENT] = ACTIONS(3833),
    [anon_sym_GT] = ACTIONS(3835),
    [anon_sym_LT_LT] = ACTIONS(3837),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3825),
    [anon_sym_PLUS_EQ] = ACTIONS(3825),
    [anon_sym_DASH_EQ] = ACTIONS(3825),
    [anon_sym_DOT_EQ] = ACTIONS(3825),
    [anon_sym_STAR_EQ] = ACTIONS(3825),
    [anon_sym_SLASH_EQ] = ACTIONS(3825),
    [anon_sym_PERCENT_EQ] = ACTIONS(3825),
    [anon_sym_x_EQ] = ACTIONS(3825),
    [anon_sym_AMP_EQ] = ACTIONS(3825),
    [anon_sym_PIPE_EQ] = ACTIONS(3825),
    [anon_sym_CARET_EQ] = ACTIONS(3825),
    [anon_sym_LT_LT_EQ] = ACTIONS(3825),
    [anon_sym_GT_GT_EQ] = ACTIONS(3825),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3825),
    [anon_sym_DOT_DOT] = ACTIONS(3839),
    [anon_sym_STAR_STAR] = ACTIONS(3841),
    [anon_sym_PIPE_PIPE] = ACTIONS(3843),
    [anon_sym_SLASH_SLASH] = ACTIONS(3843),
    [anon_sym_CARET_CARET] = ACTIONS(3845),
    [anon_sym_AMP_AMP] = ACTIONS(3847),
    [anon_sym_PIPE] = ACTIONS(3849),
    [anon_sym_CARET] = ACTIONS(3849),
    [anon_sym_AMP] = ACTIONS(3851),
    [anon_sym_GT_GT2] = ACTIONS(3837),
    [anon_sym_PLUS] = ACTIONS(3853),
    [anon_sym_DASH] = ACTIONS(3853),
    [anon_sym_DOT] = ACTIONS(3853),
    [anon_sym_STAR] = ACTIONS(3833),
    [anon_sym_SLASH] = ACTIONS(3833),
    [anon_sym_x] = ACTIONS(3833),
    [anon_sym_EQ_TILDE] = ACTIONS(3855),
    [anon_sym_BANG_TILDE] = ACTIONS(3855),
    [anon_sym_EQ_EQ] = ACTIONS(3857),
    [anon_sym_BANG_EQ] = ACTIONS(3859),
    [anon_sym_eq] = ACTIONS(3857),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3859),
    [anon_sym_equ] = ACTIONS(3859),
    [anon_sym_eqr] = ACTIONS(3859),
    [anon_sym_ne] = ACTIONS(3859),
    [anon_sym_LT_EQ_GT] = ACTIONS(3861),
    [anon_sym_cmp] = ACTIONS(3861),
    [anon_sym_TILDE_TILDE] = ACTIONS(3861),
    [anon_sym_LT] = ACTIONS(3835),
    [anon_sym_LT_EQ] = ACTIONS(3835),
    [anon_sym_GT_EQ] = ACTIONS(3863),
    [anon_sym_lt] = ACTIONS(3863),
    [anon_sym_le] = ACTIONS(3863),
    [anon_sym_ge] = ACTIONS(3863),
    [anon_sym_gt] = ACTIONS(3863),
    [anon_sym_isa] = ACTIONS(3865),
    [anon_sym_PLUS_PLUS] = ACTIONS(3867),
    [anon_sym_DASH_DASH] = ACTIONS(3867),
    [anon_sym_QMARK] = ACTIONS(3869),
    [anon_sym_EQ_GT] = ACTIONS(3827),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2117] = {
    [sym_heredoc_content] = STATE(2117),
    [anon_sym_RBRACE] = ACTIONS(3074),
    [anon_sym_COLON] = ACTIONS(3074),
    [anon_sym_EQ] = ACTIONS(3076),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3074),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3074),
    [anon_sym_COMMA] = ACTIONS(3074),
    [anon_sym_RPAREN] = ACTIONS(3074),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3074),
    [anon_sym_DASH_GT] = ACTIONS(3074),
    [anon_sym_PERCENT] = ACTIONS(3076),
    [anon_sym_GT] = ACTIONS(3076),
    [anon_sym_LT_LT] = ACTIONS(3076),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3074),
    [anon_sym_PLUS_EQ] = ACTIONS(3074),
    [anon_sym_DASH_EQ] = ACTIONS(3074),
    [anon_sym_DOT_EQ] = ACTIONS(3074),
    [anon_sym_STAR_EQ] = ACTIONS(3074),
    [anon_sym_SLASH_EQ] = ACTIONS(3074),
    [anon_sym_PERCENT_EQ] = ACTIONS(3074),
    [anon_sym_x_EQ] = ACTIONS(3074),
    [anon_sym_AMP_EQ] = ACTIONS(3074),
    [anon_sym_PIPE_EQ] = ACTIONS(3074),
    [anon_sym_CARET_EQ] = ACTIONS(3074),
    [anon_sym_LT_LT_EQ] = ACTIONS(3074),
    [anon_sym_GT_GT_EQ] = ACTIONS(3074),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3074),
    [anon_sym_DOT_DOT] = ACTIONS(3076),
    [anon_sym_STAR_STAR] = ACTIONS(3076),
    [anon_sym_PIPE_PIPE] = ACTIONS(3076),
    [anon_sym_SLASH_SLASH] = ACTIONS(3076),
    [anon_sym_CARET_CARET] = ACTIONS(3074),
    [anon_sym_AMP_AMP] = ACTIONS(3076),
    [anon_sym_PIPE] = ACTIONS(3076),
    [anon_sym_CARET] = ACTIONS(3076),
    [anon_sym_AMP] = ACTIONS(3076),
    [anon_sym_GT_GT2] = ACTIONS(3076),
    [anon_sym_PLUS] = ACTIONS(3076),
    [anon_sym_DASH] = ACTIONS(3076),
    [anon_sym_DOT] = ACTIONS(3076),
    [anon_sym_STAR] = ACTIONS(3076),
    [anon_sym_SLASH] = ACTIONS(3076),
    [anon_sym_x] = ACTIONS(3076),
    [anon_sym_EQ_TILDE] = ACTIONS(3074),
    [anon_sym_BANG_TILDE] = ACTIONS(3074),
    [anon_sym_EQ_EQ] = ACTIONS(3076),
    [anon_sym_BANG_EQ] = ACTIONS(3074),
    [anon_sym_eq] = ACTIONS(3076),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3074),
    [anon_sym_equ] = ACTIONS(3074),
    [anon_sym_eqr] = ACTIONS(3074),
    [anon_sym_ne] = ACTIONS(3074),
    [anon_sym_LT_EQ_GT] = ACTIONS(3074),
    [anon_sym_cmp] = ACTIONS(3074),
    [anon_sym_TILDE_TILDE] = ACTIONS(3074),
    [anon_sym_LT] = ACTIONS(3076),
    [anon_sym_LT_EQ] = ACTIONS(3076),
    [anon_sym_GT_EQ] = ACTIONS(3074),
    [anon_sym_lt] = ACTIONS(3074),
    [anon_sym_le] = ACTIONS(3074),
    [anon_sym_ge] = ACTIONS(3074),
    [anon_sym_gt] = ACTIONS(3074),
    [anon_sym_isa] = ACTIONS(3074),
    [anon_sym_PLUS_PLUS] = ACTIONS(3074),
    [anon_sym_DASH_DASH] = ACTIONS(3074),
    [anon_sym_QMARK] = ACTIONS(3074),
    [anon_sym_EQ_GT] = ACTIONS(3074),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2118] = {
    [sym_heredoc_content] = STATE(2118),
    [anon_sym_SEMI] = ACTIONS(2791),
    [anon_sym_EQ] = ACTIONS(2793),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2791),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2791),
    [anon_sym_COMMA] = ACTIONS(2791),
    [anon_sym_LPAREN] = ACTIONS(3871),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2791),
    [anon_sym_DASH_GT] = ACTIONS(2791),
    [anon_sym_PERCENT] = ACTIONS(2793),
    [anon_sym_GT] = ACTIONS(2793),
    [anon_sym_LT_LT] = ACTIONS(2793),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2791),
    [anon_sym_PLUS_EQ] = ACTIONS(2791),
    [anon_sym_DASH_EQ] = ACTIONS(2791),
    [anon_sym_DOT_EQ] = ACTIONS(2791),
    [anon_sym_STAR_EQ] = ACTIONS(2791),
    [anon_sym_SLASH_EQ] = ACTIONS(2791),
    [anon_sym_PERCENT_EQ] = ACTIONS(2791),
    [anon_sym_x_EQ] = ACTIONS(2791),
    [anon_sym_AMP_EQ] = ACTIONS(2791),
    [anon_sym_PIPE_EQ] = ACTIONS(2791),
    [anon_sym_CARET_EQ] = ACTIONS(2791),
    [anon_sym_LT_LT_EQ] = ACTIONS(2791),
    [anon_sym_GT_GT_EQ] = ACTIONS(2791),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2791),
    [anon_sym_DOT_DOT] = ACTIONS(2793),
    [anon_sym_STAR_STAR] = ACTIONS(2793),
    [anon_sym_PIPE_PIPE] = ACTIONS(2793),
    [anon_sym_SLASH_SLASH] = ACTIONS(2793),
    [anon_sym_CARET_CARET] = ACTIONS(2791),
    [anon_sym_AMP_AMP] = ACTIONS(2793),
    [anon_sym_PIPE] = ACTIONS(2793),
    [anon_sym_CARET] = ACTIONS(2793),
    [anon_sym_AMP] = ACTIONS(2793),
    [anon_sym_GT_GT2] = ACTIONS(2793),
    [anon_sym_PLUS] = ACTIONS(2793),
    [anon_sym_DASH] = ACTIONS(2793),
    [anon_sym_DOT] = ACTIONS(2793),
    [anon_sym_STAR] = ACTIONS(2793),
    [anon_sym_SLASH] = ACTIONS(2793),
    [anon_sym_x] = ACTIONS(2793),
    [anon_sym_EQ_TILDE] = ACTIONS(2791),
    [anon_sym_BANG_TILDE] = ACTIONS(2791),
    [anon_sym_EQ_EQ] = ACTIONS(2793),
    [anon_sym_BANG_EQ] = ACTIONS(2791),
    [anon_sym_eq] = ACTIONS(2793),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2791),
    [anon_sym_equ] = ACTIONS(2791),
    [anon_sym_eqr] = ACTIONS(2791),
    [anon_sym_ne] = ACTIONS(2791),
    [anon_sym_LT_EQ_GT] = ACTIONS(2791),
    [anon_sym_cmp] = ACTIONS(2791),
    [anon_sym_TILDE_TILDE] = ACTIONS(2791),
    [anon_sym_LT] = ACTIONS(2793),
    [anon_sym_LT_EQ] = ACTIONS(2793),
    [anon_sym_GT_EQ] = ACTIONS(2791),
    [anon_sym_lt] = ACTIONS(2791),
    [anon_sym_le] = ACTIONS(2791),
    [anon_sym_ge] = ACTIONS(2791),
    [anon_sym_gt] = ACTIONS(2791),
    [anon_sym_isa] = ACTIONS(2791),
    [anon_sym_PLUS_PLUS] = ACTIONS(2791),
    [anon_sym_DASH_DASH] = ACTIONS(2791),
    [anon_sym_QMARK] = ACTIONS(2791),
    [anon_sym_EQ_GT] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2791),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2119] = {
    [sym_heredoc_content] = STATE(2119),
    [anon_sym_RBRACE] = ACTIONS(3059),
    [anon_sym_COLON] = ACTIONS(3059),
    [anon_sym_EQ] = ACTIONS(3061),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3059),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3059),
    [anon_sym_COMMA] = ACTIONS(3059),
    [anon_sym_RPAREN] = ACTIONS(3059),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3059),
    [anon_sym_DASH_GT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(3061),
    [anon_sym_GT] = ACTIONS(3061),
    [anon_sym_LT_LT] = ACTIONS(3061),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3059),
    [anon_sym_PLUS_EQ] = ACTIONS(3059),
    [anon_sym_DASH_EQ] = ACTIONS(3059),
    [anon_sym_DOT_EQ] = ACTIONS(3059),
    [anon_sym_STAR_EQ] = ACTIONS(3059),
    [anon_sym_SLASH_EQ] = ACTIONS(3059),
    [anon_sym_PERCENT_EQ] = ACTIONS(3059),
    [anon_sym_x_EQ] = ACTIONS(3059),
    [anon_sym_AMP_EQ] = ACTIONS(3059),
    [anon_sym_PIPE_EQ] = ACTIONS(3059),
    [anon_sym_CARET_EQ] = ACTIONS(3059),
    [anon_sym_LT_LT_EQ] = ACTIONS(3059),
    [anon_sym_GT_GT_EQ] = ACTIONS(3059),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3059),
    [anon_sym_DOT_DOT] = ACTIONS(3061),
    [anon_sym_STAR_STAR] = ACTIONS(3061),
    [anon_sym_PIPE_PIPE] = ACTIONS(3061),
    [anon_sym_SLASH_SLASH] = ACTIONS(3061),
    [anon_sym_CARET_CARET] = ACTIONS(3059),
    [anon_sym_AMP_AMP] = ACTIONS(3061),
    [anon_sym_PIPE] = ACTIONS(3061),
    [anon_sym_CARET] = ACTIONS(3061),
    [anon_sym_AMP] = ACTIONS(3061),
    [anon_sym_GT_GT2] = ACTIONS(3061),
    [anon_sym_PLUS] = ACTIONS(3061),
    [anon_sym_DASH] = ACTIONS(3061),
    [anon_sym_DOT] = ACTIONS(3061),
    [anon_sym_STAR] = ACTIONS(3061),
    [anon_sym_SLASH] = ACTIONS(3061),
    [anon_sym_x] = ACTIONS(3061),
    [anon_sym_EQ_TILDE] = ACTIONS(3059),
    [anon_sym_BANG_TILDE] = ACTIONS(3059),
    [anon_sym_EQ_EQ] = ACTIONS(3061),
    [anon_sym_BANG_EQ] = ACTIONS(3059),
    [anon_sym_eq] = ACTIONS(3061),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3059),
    [anon_sym_equ] = ACTIONS(3059),
    [anon_sym_eqr] = ACTIONS(3059),
    [anon_sym_ne] = ACTIONS(3059),
    [anon_sym_LT_EQ_GT] = ACTIONS(3059),
    [anon_sym_cmp] = ACTIONS(3059),
    [anon_sym_TILDE_TILDE] = ACTIONS(3059),
    [anon_sym_LT] = ACTIONS(3061),
    [anon_sym_LT_EQ] = ACTIONS(3061),
    [anon_sym_GT_EQ] = ACTIONS(3059),
    [anon_sym_lt] = ACTIONS(3059),
    [anon_sym_le] = ACTIONS(3059),
    [anon_sym_ge] = ACTIONS(3059),
    [anon_sym_gt] = ACTIONS(3059),
    [anon_sym_isa] = ACTIONS(3059),
    [anon_sym_PLUS_PLUS] = ACTIONS(3059),
    [anon_sym_DASH_DASH] = ACTIONS(3059),
    [anon_sym_QMARK] = ACTIONS(3059),
    [anon_sym_EQ_GT] = ACTIONS(3059),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2120] = {
    [sym_heredoc_content] = STATE(2120),
    [anon_sym_COLON] = ACTIONS(2817),
    [anon_sym_SEMI] = ACTIONS(2817),
    [anon_sym_EQ] = ACTIONS(2819),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2817),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2817),
    [anon_sym_COMMA] = ACTIONS(2817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2817),
    [anon_sym_DASH_GT] = ACTIONS(2817),
    [anon_sym_PERCENT] = ACTIONS(2819),
    [anon_sym_GT] = ACTIONS(2819),
    [anon_sym_LT_LT] = ACTIONS(2819),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2817),
    [anon_sym_PLUS_EQ] = ACTIONS(2817),
    [anon_sym_DASH_EQ] = ACTIONS(2817),
    [anon_sym_DOT_EQ] = ACTIONS(2817),
    [anon_sym_STAR_EQ] = ACTIONS(2817),
    [anon_sym_SLASH_EQ] = ACTIONS(2817),
    [anon_sym_PERCENT_EQ] = ACTIONS(2817),
    [anon_sym_x_EQ] = ACTIONS(2817),
    [anon_sym_AMP_EQ] = ACTIONS(2817),
    [anon_sym_PIPE_EQ] = ACTIONS(2817),
    [anon_sym_CARET_EQ] = ACTIONS(2817),
    [anon_sym_LT_LT_EQ] = ACTIONS(2817),
    [anon_sym_GT_GT_EQ] = ACTIONS(2817),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2817),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_STAR_STAR] = ACTIONS(2819),
    [anon_sym_PIPE_PIPE] = ACTIONS(2819),
    [anon_sym_SLASH_SLASH] = ACTIONS(2819),
    [anon_sym_CARET_CARET] = ACTIONS(2817),
    [anon_sym_AMP_AMP] = ACTIONS(2819),
    [anon_sym_PIPE] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2819),
    [anon_sym_AMP] = ACTIONS(2819),
    [anon_sym_GT_GT2] = ACTIONS(2819),
    [anon_sym_PLUS] = ACTIONS(2819),
    [anon_sym_DASH] = ACTIONS(2819),
    [anon_sym_DOT] = ACTIONS(2819),
    [anon_sym_STAR] = ACTIONS(2819),
    [anon_sym_SLASH] = ACTIONS(2819),
    [anon_sym_x] = ACTIONS(2819),
    [anon_sym_EQ_TILDE] = ACTIONS(2817),
    [anon_sym_BANG_TILDE] = ACTIONS(2817),
    [anon_sym_EQ_EQ] = ACTIONS(2819),
    [anon_sym_BANG_EQ] = ACTIONS(2817),
    [anon_sym_eq] = ACTIONS(2819),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2817),
    [anon_sym_equ] = ACTIONS(2817),
    [anon_sym_eqr] = ACTIONS(2817),
    [anon_sym_ne] = ACTIONS(2817),
    [anon_sym_LT_EQ_GT] = ACTIONS(2817),
    [anon_sym_cmp] = ACTIONS(2817),
    [anon_sym_TILDE_TILDE] = ACTIONS(2817),
    [anon_sym_LT] = ACTIONS(2819),
    [anon_sym_LT_EQ] = ACTIONS(2819),
    [anon_sym_GT_EQ] = ACTIONS(2817),
    [anon_sym_lt] = ACTIONS(2817),
    [anon_sym_le] = ACTIONS(2817),
    [anon_sym_ge] = ACTIONS(2817),
    [anon_sym_gt] = ACTIONS(2817),
    [anon_sym_isa] = ACTIONS(2817),
    [anon_sym_PLUS_PLUS] = ACTIONS(2817),
    [anon_sym_DASH_DASH] = ACTIONS(2817),
    [anon_sym_QMARK] = ACTIONS(2817),
    [anon_sym_EQ_GT] = ACTIONS(2817),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2817),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2121] = {
    [sym_heredoc_content] = STATE(2121),
    [anon_sym_RBRACE] = ACTIONS(2991),
    [anon_sym_COLON] = ACTIONS(2991),
    [anon_sym_EQ] = ACTIONS(2993),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2991),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2991),
    [anon_sym_COMMA] = ACTIONS(2991),
    [anon_sym_RPAREN] = ACTIONS(2991),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2991),
    [anon_sym_DASH_GT] = ACTIONS(2991),
    [anon_sym_PERCENT] = ACTIONS(2993),
    [anon_sym_GT] = ACTIONS(2993),
    [anon_sym_LT_LT] = ACTIONS(2993),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2991),
    [anon_sym_PLUS_EQ] = ACTIONS(2991),
    [anon_sym_DASH_EQ] = ACTIONS(2991),
    [anon_sym_DOT_EQ] = ACTIONS(2991),
    [anon_sym_STAR_EQ] = ACTIONS(2991),
    [anon_sym_SLASH_EQ] = ACTIONS(2991),
    [anon_sym_PERCENT_EQ] = ACTIONS(2991),
    [anon_sym_x_EQ] = ACTIONS(2991),
    [anon_sym_AMP_EQ] = ACTIONS(2991),
    [anon_sym_PIPE_EQ] = ACTIONS(2991),
    [anon_sym_CARET_EQ] = ACTIONS(2991),
    [anon_sym_LT_LT_EQ] = ACTIONS(2991),
    [anon_sym_GT_GT_EQ] = ACTIONS(2991),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2991),
    [anon_sym_DOT_DOT] = ACTIONS(2993),
    [anon_sym_STAR_STAR] = ACTIONS(2993),
    [anon_sym_PIPE_PIPE] = ACTIONS(2993),
    [anon_sym_SLASH_SLASH] = ACTIONS(2993),
    [anon_sym_CARET_CARET] = ACTIONS(2991),
    [anon_sym_AMP_AMP] = ACTIONS(2993),
    [anon_sym_PIPE] = ACTIONS(2993),
    [anon_sym_CARET] = ACTIONS(2993),
    [anon_sym_AMP] = ACTIONS(2993),
    [anon_sym_GT_GT2] = ACTIONS(2993),
    [anon_sym_PLUS] = ACTIONS(2993),
    [anon_sym_DASH] = ACTIONS(2993),
    [anon_sym_DOT] = ACTIONS(2993),
    [anon_sym_STAR] = ACTIONS(2993),
    [anon_sym_SLASH] = ACTIONS(2993),
    [anon_sym_x] = ACTIONS(2993),
    [anon_sym_EQ_TILDE] = ACTIONS(2991),
    [anon_sym_BANG_TILDE] = ACTIONS(2991),
    [anon_sym_EQ_EQ] = ACTIONS(2993),
    [anon_sym_BANG_EQ] = ACTIONS(2991),
    [anon_sym_eq] = ACTIONS(2993),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2991),
    [anon_sym_equ] = ACTIONS(2991),
    [anon_sym_eqr] = ACTIONS(2991),
    [anon_sym_ne] = ACTIONS(2991),
    [anon_sym_LT_EQ_GT] = ACTIONS(2991),
    [anon_sym_cmp] = ACTIONS(2991),
    [anon_sym_TILDE_TILDE] = ACTIONS(2991),
    [anon_sym_LT] = ACTIONS(2993),
    [anon_sym_LT_EQ] = ACTIONS(2993),
    [anon_sym_GT_EQ] = ACTIONS(2991),
    [anon_sym_lt] = ACTIONS(2991),
    [anon_sym_le] = ACTIONS(2991),
    [anon_sym_ge] = ACTIONS(2991),
    [anon_sym_gt] = ACTIONS(2991),
    [anon_sym_isa] = ACTIONS(2991),
    [anon_sym_PLUS_PLUS] = ACTIONS(2991),
    [anon_sym_DASH_DASH] = ACTIONS(2991),
    [anon_sym_QMARK] = ACTIONS(2991),
    [anon_sym_EQ_GT] = ACTIONS(2991),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2122] = {
    [sym_heredoc_content] = STATE(2122),
    [anon_sym_COLON] = ACTIONS(2640),
    [anon_sym_SEMI] = ACTIONS(2640),
    [anon_sym_EQ] = ACTIONS(2642),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2640),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2640),
    [anon_sym_COMMA] = ACTIONS(2640),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2640),
    [anon_sym_DASH_GT] = ACTIONS(2640),
    [anon_sym_PERCENT] = ACTIONS(2642),
    [anon_sym_GT] = ACTIONS(2642),
    [anon_sym_LT_LT] = ACTIONS(2642),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2640),
    [anon_sym_PLUS_EQ] = ACTIONS(2640),
    [anon_sym_DASH_EQ] = ACTIONS(2640),
    [anon_sym_DOT_EQ] = ACTIONS(2640),
    [anon_sym_STAR_EQ] = ACTIONS(2640),
    [anon_sym_SLASH_EQ] = ACTIONS(2640),
    [anon_sym_PERCENT_EQ] = ACTIONS(2640),
    [anon_sym_x_EQ] = ACTIONS(2640),
    [anon_sym_AMP_EQ] = ACTIONS(2640),
    [anon_sym_PIPE_EQ] = ACTIONS(2640),
    [anon_sym_CARET_EQ] = ACTIONS(2640),
    [anon_sym_LT_LT_EQ] = ACTIONS(2640),
    [anon_sym_GT_GT_EQ] = ACTIONS(2640),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2640),
    [anon_sym_DOT_DOT] = ACTIONS(2642),
    [anon_sym_STAR_STAR] = ACTIONS(2642),
    [anon_sym_PIPE_PIPE] = ACTIONS(2642),
    [anon_sym_SLASH_SLASH] = ACTIONS(2642),
    [anon_sym_CARET_CARET] = ACTIONS(2640),
    [anon_sym_AMP_AMP] = ACTIONS(2642),
    [anon_sym_PIPE] = ACTIONS(2642),
    [anon_sym_CARET] = ACTIONS(2642),
    [anon_sym_AMP] = ACTIONS(2642),
    [anon_sym_GT_GT2] = ACTIONS(2642),
    [anon_sym_PLUS] = ACTIONS(2642),
    [anon_sym_DASH] = ACTIONS(2642),
    [anon_sym_DOT] = ACTIONS(2642),
    [anon_sym_STAR] = ACTIONS(2642),
    [anon_sym_SLASH] = ACTIONS(2642),
    [anon_sym_x] = ACTIONS(2642),
    [anon_sym_EQ_TILDE] = ACTIONS(2640),
    [anon_sym_BANG_TILDE] = ACTIONS(2640),
    [anon_sym_EQ_EQ] = ACTIONS(2642),
    [anon_sym_BANG_EQ] = ACTIONS(2640),
    [anon_sym_eq] = ACTIONS(2642),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2640),
    [anon_sym_equ] = ACTIONS(2640),
    [anon_sym_eqr] = ACTIONS(2640),
    [anon_sym_ne] = ACTIONS(2640),
    [anon_sym_LT_EQ_GT] = ACTIONS(2640),
    [anon_sym_cmp] = ACTIONS(2640),
    [anon_sym_TILDE_TILDE] = ACTIONS(2640),
    [anon_sym_LT] = ACTIONS(2642),
    [anon_sym_LT_EQ] = ACTIONS(2642),
    [anon_sym_GT_EQ] = ACTIONS(2640),
    [anon_sym_lt] = ACTIONS(2640),
    [anon_sym_le] = ACTIONS(2640),
    [anon_sym_ge] = ACTIONS(2640),
    [anon_sym_gt] = ACTIONS(2640),
    [anon_sym_isa] = ACTIONS(2640),
    [anon_sym_PLUS_PLUS] = ACTIONS(2640),
    [anon_sym_DASH_DASH] = ACTIONS(2640),
    [anon_sym_QMARK] = ACTIONS(2640),
    [anon_sym_EQ_GT] = ACTIONS(2640),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2640),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2123] = {
    [sym_heredoc_content] = STATE(2123),
    [anon_sym_RBRACE] = ACTIONS(3310),
    [anon_sym_COLON] = ACTIONS(3310),
    [anon_sym_EQ] = ACTIONS(3312),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3310),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3310),
    [anon_sym_COMMA] = ACTIONS(3310),
    [anon_sym_RPAREN] = ACTIONS(3310),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3310),
    [anon_sym_DASH_GT] = ACTIONS(3310),
    [anon_sym_PERCENT] = ACTIONS(3312),
    [anon_sym_GT] = ACTIONS(3312),
    [anon_sym_LT_LT] = ACTIONS(3312),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3310),
    [anon_sym_PLUS_EQ] = ACTIONS(3310),
    [anon_sym_DASH_EQ] = ACTIONS(3310),
    [anon_sym_DOT_EQ] = ACTIONS(3310),
    [anon_sym_STAR_EQ] = ACTIONS(3310),
    [anon_sym_SLASH_EQ] = ACTIONS(3310),
    [anon_sym_PERCENT_EQ] = ACTIONS(3310),
    [anon_sym_x_EQ] = ACTIONS(3310),
    [anon_sym_AMP_EQ] = ACTIONS(3310),
    [anon_sym_PIPE_EQ] = ACTIONS(3310),
    [anon_sym_CARET_EQ] = ACTIONS(3310),
    [anon_sym_LT_LT_EQ] = ACTIONS(3310),
    [anon_sym_GT_GT_EQ] = ACTIONS(3310),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3310),
    [anon_sym_DOT_DOT] = ACTIONS(3312),
    [anon_sym_STAR_STAR] = ACTIONS(3312),
    [anon_sym_PIPE_PIPE] = ACTIONS(3312),
    [anon_sym_SLASH_SLASH] = ACTIONS(3312),
    [anon_sym_CARET_CARET] = ACTIONS(3310),
    [anon_sym_AMP_AMP] = ACTIONS(3312),
    [anon_sym_PIPE] = ACTIONS(3312),
    [anon_sym_CARET] = ACTIONS(3312),
    [anon_sym_AMP] = ACTIONS(3312),
    [anon_sym_GT_GT2] = ACTIONS(3312),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_DASH] = ACTIONS(3312),
    [anon_sym_DOT] = ACTIONS(3312),
    [anon_sym_STAR] = ACTIONS(3312),
    [anon_sym_SLASH] = ACTIONS(3312),
    [anon_sym_x] = ACTIONS(3312),
    [anon_sym_EQ_TILDE] = ACTIONS(3310),
    [anon_sym_BANG_TILDE] = ACTIONS(3310),
    [anon_sym_EQ_EQ] = ACTIONS(3312),
    [anon_sym_BANG_EQ] = ACTIONS(3310),
    [anon_sym_eq] = ACTIONS(3312),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3310),
    [anon_sym_equ] = ACTIONS(3310),
    [anon_sym_eqr] = ACTIONS(3310),
    [anon_sym_ne] = ACTIONS(3310),
    [anon_sym_LT_EQ_GT] = ACTIONS(3310),
    [anon_sym_cmp] = ACTIONS(3310),
    [anon_sym_TILDE_TILDE] = ACTIONS(3310),
    [anon_sym_LT] = ACTIONS(3312),
    [anon_sym_LT_EQ] = ACTIONS(3312),
    [anon_sym_GT_EQ] = ACTIONS(3310),
    [anon_sym_lt] = ACTIONS(3310),
    [anon_sym_le] = ACTIONS(3310),
    [anon_sym_ge] = ACTIONS(3310),
    [anon_sym_gt] = ACTIONS(3310),
    [anon_sym_isa] = ACTIONS(3310),
    [anon_sym_PLUS_PLUS] = ACTIONS(3310),
    [anon_sym_DASH_DASH] = ACTIONS(3310),
    [anon_sym_QMARK] = ACTIONS(3310),
    [anon_sym_EQ_GT] = ACTIONS(3310),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2124] = {
    [sym_heredoc_content] = STATE(2124),
    [anon_sym_SEMI] = ACTIONS(2686),
    [anon_sym_EQ] = ACTIONS(2688),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2686),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2686),
    [anon_sym_COMMA] = ACTIONS(2686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2686),
    [anon_sym_DASH_GT] = ACTIONS(2686),
    [anon_sym_PERCENT] = ACTIONS(2688),
    [anon_sym_GT] = ACTIONS(2688),
    [anon_sym_LT_LT] = ACTIONS(2688),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2686),
    [anon_sym_PLUS_EQ] = ACTIONS(2686),
    [anon_sym_DASH_EQ] = ACTIONS(2686),
    [anon_sym_DOT_EQ] = ACTIONS(2686),
    [anon_sym_STAR_EQ] = ACTIONS(2686),
    [anon_sym_SLASH_EQ] = ACTIONS(2686),
    [anon_sym_PERCENT_EQ] = ACTIONS(2686),
    [anon_sym_x_EQ] = ACTIONS(2688),
    [anon_sym_AMP_EQ] = ACTIONS(2686),
    [anon_sym_PIPE_EQ] = ACTIONS(2686),
    [anon_sym_CARET_EQ] = ACTIONS(2686),
    [anon_sym_LT_LT_EQ] = ACTIONS(2686),
    [anon_sym_GT_GT_EQ] = ACTIONS(2686),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2686),
    [anon_sym_DOT_DOT] = ACTIONS(2688),
    [anon_sym_STAR_STAR] = ACTIONS(2688),
    [anon_sym_PIPE_PIPE] = ACTIONS(2688),
    [anon_sym_SLASH_SLASH] = ACTIONS(2688),
    [anon_sym_CARET_CARET] = ACTIONS(2686),
    [anon_sym_AMP_AMP] = ACTIONS(2688),
    [anon_sym_PIPE] = ACTIONS(2688),
    [anon_sym_CARET] = ACTIONS(2688),
    [anon_sym_AMP] = ACTIONS(2688),
    [anon_sym_GT_GT2] = ACTIONS(2688),
    [anon_sym_PLUS] = ACTIONS(2688),
    [anon_sym_DASH] = ACTIONS(2688),
    [anon_sym_DOT] = ACTIONS(2688),
    [anon_sym_STAR] = ACTIONS(2688),
    [anon_sym_SLASH] = ACTIONS(2688),
    [anon_sym_x] = ACTIONS(2688),
    [anon_sym_EQ_TILDE] = ACTIONS(2686),
    [anon_sym_BANG_TILDE] = ACTIONS(2686),
    [anon_sym_EQ_EQ] = ACTIONS(2688),
    [anon_sym_BANG_EQ] = ACTIONS(2686),
    [anon_sym_eq] = ACTIONS(2688),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2686),
    [anon_sym_equ] = ACTIONS(2688),
    [anon_sym_eqr] = ACTIONS(2688),
    [anon_sym_ne] = ACTIONS(2686),
    [anon_sym_LT_EQ_GT] = ACTIONS(2686),
    [anon_sym_cmp] = ACTIONS(2688),
    [anon_sym_TILDE_TILDE] = ACTIONS(2686),
    [anon_sym_LT] = ACTIONS(2688),
    [anon_sym_LT_EQ] = ACTIONS(2688),
    [anon_sym_GT_EQ] = ACTIONS(2686),
    [anon_sym_lt] = ACTIONS(2688),
    [anon_sym_le] = ACTIONS(2688),
    [anon_sym_ge] = ACTIONS(2688),
    [anon_sym_gt] = ACTIONS(2688),
    [anon_sym_isa] = ACTIONS(2688),
    [anon_sym_PLUS_PLUS] = ACTIONS(2686),
    [anon_sym_DASH_DASH] = ACTIONS(2686),
    [anon_sym_QMARK] = ACTIONS(2686),
    [anon_sym_EQ_GT] = ACTIONS(2686),
    [sym_comment] = ACTIONS(5),
    [sym_substitution_regexp_modifiers] = ACTIONS(3873),
    [sym__PERLY_SEMICOLON] = ACTIONS(2686),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2125] = {
    [sym_heredoc_content] = STATE(2125),
    [anon_sym_RBRACE] = ACTIONS(2883),
    [anon_sym_COLON] = ACTIONS(2883),
    [anon_sym_EQ] = ACTIONS(2885),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2883),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2883),
    [anon_sym_COMMA] = ACTIONS(2883),
    [anon_sym_RPAREN] = ACTIONS(2883),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2883),
    [anon_sym_DASH_GT] = ACTIONS(2883),
    [anon_sym_PERCENT] = ACTIONS(2885),
    [anon_sym_GT] = ACTIONS(2885),
    [anon_sym_LT_LT] = ACTIONS(2885),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2883),
    [anon_sym_PLUS_EQ] = ACTIONS(2883),
    [anon_sym_DASH_EQ] = ACTIONS(2883),
    [anon_sym_DOT_EQ] = ACTIONS(2883),
    [anon_sym_STAR_EQ] = ACTIONS(2883),
    [anon_sym_SLASH_EQ] = ACTIONS(2883),
    [anon_sym_PERCENT_EQ] = ACTIONS(2883),
    [anon_sym_x_EQ] = ACTIONS(2883),
    [anon_sym_AMP_EQ] = ACTIONS(2883),
    [anon_sym_PIPE_EQ] = ACTIONS(2883),
    [anon_sym_CARET_EQ] = ACTIONS(2883),
    [anon_sym_LT_LT_EQ] = ACTIONS(2883),
    [anon_sym_GT_GT_EQ] = ACTIONS(2883),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2883),
    [anon_sym_DOT_DOT] = ACTIONS(2885),
    [anon_sym_STAR_STAR] = ACTIONS(2885),
    [anon_sym_PIPE_PIPE] = ACTIONS(2885),
    [anon_sym_SLASH_SLASH] = ACTIONS(2885),
    [anon_sym_CARET_CARET] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2885),
    [anon_sym_PIPE] = ACTIONS(2885),
    [anon_sym_CARET] = ACTIONS(2885),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_GT_GT2] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_DOT] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2885),
    [anon_sym_SLASH] = ACTIONS(2885),
    [anon_sym_x] = ACTIONS(2885),
    [anon_sym_EQ_TILDE] = ACTIONS(2883),
    [anon_sym_BANG_TILDE] = ACTIONS(2883),
    [anon_sym_EQ_EQ] = ACTIONS(2885),
    [anon_sym_BANG_EQ] = ACTIONS(2883),
    [anon_sym_eq] = ACTIONS(2885),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2883),
    [anon_sym_equ] = ACTIONS(2883),
    [anon_sym_eqr] = ACTIONS(2883),
    [anon_sym_ne] = ACTIONS(2883),
    [anon_sym_LT_EQ_GT] = ACTIONS(2883),
    [anon_sym_cmp] = ACTIONS(2883),
    [anon_sym_TILDE_TILDE] = ACTIONS(2883),
    [anon_sym_LT] = ACTIONS(2885),
    [anon_sym_LT_EQ] = ACTIONS(2885),
    [anon_sym_GT_EQ] = ACTIONS(2883),
    [anon_sym_lt] = ACTIONS(2883),
    [anon_sym_le] = ACTIONS(2883),
    [anon_sym_ge] = ACTIONS(2883),
    [anon_sym_gt] = ACTIONS(2883),
    [anon_sym_isa] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_QMARK] = ACTIONS(2883),
    [anon_sym_EQ_GT] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2126] = {
    [sym_heredoc_content] = STATE(2126),
    [anon_sym_SEMI] = ACTIONS(2692),
    [anon_sym_EQ] = ACTIONS(2694),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2692),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2692),
    [anon_sym_COMMA] = ACTIONS(2692),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2692),
    [anon_sym_DASH_GT] = ACTIONS(2692),
    [anon_sym_PERCENT] = ACTIONS(2694),
    [anon_sym_GT] = ACTIONS(2694),
    [anon_sym_LT_LT] = ACTIONS(2694),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2692),
    [anon_sym_PLUS_EQ] = ACTIONS(2692),
    [anon_sym_DASH_EQ] = ACTIONS(2692),
    [anon_sym_DOT_EQ] = ACTIONS(2692),
    [anon_sym_STAR_EQ] = ACTIONS(2692),
    [anon_sym_SLASH_EQ] = ACTIONS(2692),
    [anon_sym_PERCENT_EQ] = ACTIONS(2692),
    [anon_sym_x_EQ] = ACTIONS(2694),
    [anon_sym_AMP_EQ] = ACTIONS(2692),
    [anon_sym_PIPE_EQ] = ACTIONS(2692),
    [anon_sym_CARET_EQ] = ACTIONS(2692),
    [anon_sym_LT_LT_EQ] = ACTIONS(2692),
    [anon_sym_GT_GT_EQ] = ACTIONS(2692),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2692),
    [anon_sym_DOT_DOT] = ACTIONS(2694),
    [anon_sym_STAR_STAR] = ACTIONS(2694),
    [anon_sym_PIPE_PIPE] = ACTIONS(2694),
    [anon_sym_SLASH_SLASH] = ACTIONS(2694),
    [anon_sym_CARET_CARET] = ACTIONS(2692),
    [anon_sym_AMP_AMP] = ACTIONS(2694),
    [anon_sym_PIPE] = ACTIONS(2694),
    [anon_sym_CARET] = ACTIONS(2694),
    [anon_sym_AMP] = ACTIONS(2694),
    [anon_sym_GT_GT2] = ACTIONS(2694),
    [anon_sym_PLUS] = ACTIONS(2694),
    [anon_sym_DASH] = ACTIONS(2694),
    [anon_sym_DOT] = ACTIONS(2694),
    [anon_sym_STAR] = ACTIONS(2694),
    [anon_sym_SLASH] = ACTIONS(2694),
    [anon_sym_x] = ACTIONS(2694),
    [anon_sym_EQ_TILDE] = ACTIONS(2692),
    [anon_sym_BANG_TILDE] = ACTIONS(2692),
    [anon_sym_EQ_EQ] = ACTIONS(2694),
    [anon_sym_BANG_EQ] = ACTIONS(2692),
    [anon_sym_eq] = ACTIONS(2694),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2692),
    [anon_sym_equ] = ACTIONS(2694),
    [anon_sym_eqr] = ACTIONS(2694),
    [anon_sym_ne] = ACTIONS(2692),
    [anon_sym_LT_EQ_GT] = ACTIONS(2692),
    [anon_sym_cmp] = ACTIONS(2694),
    [anon_sym_TILDE_TILDE] = ACTIONS(2692),
    [anon_sym_LT] = ACTIONS(2694),
    [anon_sym_LT_EQ] = ACTIONS(2694),
    [anon_sym_GT_EQ] = ACTIONS(2692),
    [anon_sym_lt] = ACTIONS(2694),
    [anon_sym_le] = ACTIONS(2694),
    [anon_sym_ge] = ACTIONS(2694),
    [anon_sym_gt] = ACTIONS(2694),
    [anon_sym_isa] = ACTIONS(2694),
    [anon_sym_PLUS_PLUS] = ACTIONS(2692),
    [anon_sym_DASH_DASH] = ACTIONS(2692),
    [anon_sym_QMARK] = ACTIONS(2692),
    [anon_sym_EQ_GT] = ACTIONS(2692),
    [sym_comment] = ACTIONS(5),
    [sym_substitution_regexp_modifiers] = ACTIONS(3875),
    [sym__PERLY_SEMICOLON] = ACTIONS(2692),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2127] = {
    [sym_heredoc_content] = STATE(2127),
    [anon_sym_SEMI] = ACTIONS(2698),
    [anon_sym_EQ] = ACTIONS(2700),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2698),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2698),
    [anon_sym_COMMA] = ACTIONS(2698),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2698),
    [anon_sym_DASH_GT] = ACTIONS(2698),
    [anon_sym_PERCENT] = ACTIONS(2700),
    [anon_sym_GT] = ACTIONS(2700),
    [anon_sym_LT_LT] = ACTIONS(2700),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2698),
    [anon_sym_PLUS_EQ] = ACTIONS(2698),
    [anon_sym_DASH_EQ] = ACTIONS(2698),
    [anon_sym_DOT_EQ] = ACTIONS(2698),
    [anon_sym_STAR_EQ] = ACTIONS(2698),
    [anon_sym_SLASH_EQ] = ACTIONS(2698),
    [anon_sym_PERCENT_EQ] = ACTIONS(2698),
    [anon_sym_x_EQ] = ACTIONS(2698),
    [anon_sym_AMP_EQ] = ACTIONS(2698),
    [anon_sym_PIPE_EQ] = ACTIONS(2698),
    [anon_sym_CARET_EQ] = ACTIONS(2698),
    [anon_sym_LT_LT_EQ] = ACTIONS(2698),
    [anon_sym_GT_GT_EQ] = ACTIONS(2698),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2698),
    [anon_sym_DOT_DOT] = ACTIONS(2700),
    [anon_sym_STAR_STAR] = ACTIONS(2700),
    [anon_sym_PIPE_PIPE] = ACTIONS(2700),
    [anon_sym_SLASH_SLASH] = ACTIONS(2700),
    [anon_sym_CARET_CARET] = ACTIONS(2698),
    [anon_sym_AMP_AMP] = ACTIONS(2700),
    [anon_sym_PIPE] = ACTIONS(2700),
    [anon_sym_CARET] = ACTIONS(2700),
    [anon_sym_AMP] = ACTIONS(2700),
    [anon_sym_GT_GT2] = ACTIONS(2700),
    [anon_sym_PLUS] = ACTIONS(2700),
    [anon_sym_DASH] = ACTIONS(2700),
    [anon_sym_DOT] = ACTIONS(2700),
    [anon_sym_STAR] = ACTIONS(2700),
    [anon_sym_SLASH] = ACTIONS(2700),
    [anon_sym_x] = ACTIONS(2700),
    [anon_sym_EQ_TILDE] = ACTIONS(2698),
    [anon_sym_BANG_TILDE] = ACTIONS(2698),
    [anon_sym_EQ_EQ] = ACTIONS(2700),
    [anon_sym_BANG_EQ] = ACTIONS(2698),
    [anon_sym_eq] = ACTIONS(2700),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2698),
    [anon_sym_equ] = ACTIONS(2698),
    [anon_sym_eqr] = ACTIONS(2698),
    [anon_sym_ne] = ACTIONS(2698),
    [anon_sym_LT_EQ_GT] = ACTIONS(2698),
    [anon_sym_cmp] = ACTIONS(2700),
    [anon_sym_TILDE_TILDE] = ACTIONS(2698),
    [anon_sym_LT] = ACTIONS(2700),
    [anon_sym_LT_EQ] = ACTIONS(2700),
    [anon_sym_GT_EQ] = ACTIONS(2698),
    [anon_sym_lt] = ACTIONS(2698),
    [anon_sym_le] = ACTIONS(2698),
    [anon_sym_ge] = ACTIONS(2698),
    [anon_sym_gt] = ACTIONS(2698),
    [anon_sym_isa] = ACTIONS(2698),
    [anon_sym_PLUS_PLUS] = ACTIONS(2698),
    [anon_sym_DASH_DASH] = ACTIONS(2698),
    [anon_sym_QMARK] = ACTIONS(2698),
    [anon_sym_EQ_GT] = ACTIONS(2698),
    [sym_comment] = ACTIONS(5),
    [sym_transliteration_modifiers] = ACTIONS(3877),
    [sym__PERLY_SEMICOLON] = ACTIONS(2698),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2128] = {
    [sym_heredoc_content] = STATE(2128),
    [anon_sym_SEMI] = ACTIONS(2704),
    [anon_sym_EQ] = ACTIONS(2706),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2704),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2704),
    [anon_sym_COMMA] = ACTIONS(2704),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2704),
    [anon_sym_DASH_GT] = ACTIONS(2704),
    [anon_sym_PERCENT] = ACTIONS(2706),
    [anon_sym_GT] = ACTIONS(2706),
    [anon_sym_LT_LT] = ACTIONS(2706),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2704),
    [anon_sym_PLUS_EQ] = ACTIONS(2704),
    [anon_sym_DASH_EQ] = ACTIONS(2704),
    [anon_sym_DOT_EQ] = ACTIONS(2704),
    [anon_sym_STAR_EQ] = ACTIONS(2704),
    [anon_sym_SLASH_EQ] = ACTIONS(2704),
    [anon_sym_PERCENT_EQ] = ACTIONS(2704),
    [anon_sym_x_EQ] = ACTIONS(2704),
    [anon_sym_AMP_EQ] = ACTIONS(2704),
    [anon_sym_PIPE_EQ] = ACTIONS(2704),
    [anon_sym_CARET_EQ] = ACTIONS(2704),
    [anon_sym_LT_LT_EQ] = ACTIONS(2704),
    [anon_sym_GT_GT_EQ] = ACTIONS(2704),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2704),
    [anon_sym_DOT_DOT] = ACTIONS(2706),
    [anon_sym_STAR_STAR] = ACTIONS(2706),
    [anon_sym_PIPE_PIPE] = ACTIONS(2706),
    [anon_sym_SLASH_SLASH] = ACTIONS(2706),
    [anon_sym_CARET_CARET] = ACTIONS(2704),
    [anon_sym_AMP_AMP] = ACTIONS(2706),
    [anon_sym_PIPE] = ACTIONS(2706),
    [anon_sym_CARET] = ACTIONS(2706),
    [anon_sym_AMP] = ACTIONS(2706),
    [anon_sym_GT_GT2] = ACTIONS(2706),
    [anon_sym_PLUS] = ACTIONS(2706),
    [anon_sym_DASH] = ACTIONS(2706),
    [anon_sym_DOT] = ACTIONS(2706),
    [anon_sym_STAR] = ACTIONS(2706),
    [anon_sym_SLASH] = ACTIONS(2706),
    [anon_sym_x] = ACTIONS(2706),
    [anon_sym_EQ_TILDE] = ACTIONS(2704),
    [anon_sym_BANG_TILDE] = ACTIONS(2704),
    [anon_sym_EQ_EQ] = ACTIONS(2706),
    [anon_sym_BANG_EQ] = ACTIONS(2704),
    [anon_sym_eq] = ACTIONS(2706),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2704),
    [anon_sym_equ] = ACTIONS(2704),
    [anon_sym_eqr] = ACTIONS(2704),
    [anon_sym_ne] = ACTIONS(2704),
    [anon_sym_LT_EQ_GT] = ACTIONS(2704),
    [anon_sym_cmp] = ACTIONS(2706),
    [anon_sym_TILDE_TILDE] = ACTIONS(2704),
    [anon_sym_LT] = ACTIONS(2706),
    [anon_sym_LT_EQ] = ACTIONS(2706),
    [anon_sym_GT_EQ] = ACTIONS(2704),
    [anon_sym_lt] = ACTIONS(2704),
    [anon_sym_le] = ACTIONS(2704),
    [anon_sym_ge] = ACTIONS(2704),
    [anon_sym_gt] = ACTIONS(2704),
    [anon_sym_isa] = ACTIONS(2704),
    [anon_sym_PLUS_PLUS] = ACTIONS(2704),
    [anon_sym_DASH_DASH] = ACTIONS(2704),
    [anon_sym_QMARK] = ACTIONS(2704),
    [anon_sym_EQ_GT] = ACTIONS(2704),
    [sym_comment] = ACTIONS(5),
    [sym_transliteration_modifiers] = ACTIONS(3879),
    [sym__PERLY_SEMICOLON] = ACTIONS(2704),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2129] = {
    [sym_heredoc_content] = STATE(2129),
    [anon_sym_RBRACE] = ACTIONS(3306),
    [anon_sym_COLON] = ACTIONS(3306),
    [anon_sym_EQ] = ACTIONS(3308),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3306),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3306),
    [anon_sym_COMMA] = ACTIONS(3306),
    [anon_sym_RPAREN] = ACTIONS(3306),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3306),
    [anon_sym_DASH_GT] = ACTIONS(3306),
    [anon_sym_PERCENT] = ACTIONS(3308),
    [anon_sym_GT] = ACTIONS(3308),
    [anon_sym_LT_LT] = ACTIONS(3308),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3306),
    [anon_sym_PLUS_EQ] = ACTIONS(3306),
    [anon_sym_DASH_EQ] = ACTIONS(3306),
    [anon_sym_DOT_EQ] = ACTIONS(3306),
    [anon_sym_STAR_EQ] = ACTIONS(3306),
    [anon_sym_SLASH_EQ] = ACTIONS(3306),
    [anon_sym_PERCENT_EQ] = ACTIONS(3306),
    [anon_sym_x_EQ] = ACTIONS(3306),
    [anon_sym_AMP_EQ] = ACTIONS(3306),
    [anon_sym_PIPE_EQ] = ACTIONS(3306),
    [anon_sym_CARET_EQ] = ACTIONS(3306),
    [anon_sym_LT_LT_EQ] = ACTIONS(3306),
    [anon_sym_GT_GT_EQ] = ACTIONS(3306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3306),
    [anon_sym_DOT_DOT] = ACTIONS(3308),
    [anon_sym_STAR_STAR] = ACTIONS(3308),
    [anon_sym_PIPE_PIPE] = ACTIONS(3308),
    [anon_sym_SLASH_SLASH] = ACTIONS(3308),
    [anon_sym_CARET_CARET] = ACTIONS(3306),
    [anon_sym_AMP_AMP] = ACTIONS(3308),
    [anon_sym_PIPE] = ACTIONS(3308),
    [anon_sym_CARET] = ACTIONS(3308),
    [anon_sym_AMP] = ACTIONS(3308),
    [anon_sym_GT_GT2] = ACTIONS(3308),
    [anon_sym_PLUS] = ACTIONS(3308),
    [anon_sym_DASH] = ACTIONS(3308),
    [anon_sym_DOT] = ACTIONS(3308),
    [anon_sym_STAR] = ACTIONS(3308),
    [anon_sym_SLASH] = ACTIONS(3308),
    [anon_sym_x] = ACTIONS(3308),
    [anon_sym_EQ_TILDE] = ACTIONS(3306),
    [anon_sym_BANG_TILDE] = ACTIONS(3306),
    [anon_sym_EQ_EQ] = ACTIONS(3308),
    [anon_sym_BANG_EQ] = ACTIONS(3306),
    [anon_sym_eq] = ACTIONS(3308),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3306),
    [anon_sym_equ] = ACTIONS(3306),
    [anon_sym_eqr] = ACTIONS(3306),
    [anon_sym_ne] = ACTIONS(3306),
    [anon_sym_LT_EQ_GT] = ACTIONS(3306),
    [anon_sym_cmp] = ACTIONS(3306),
    [anon_sym_TILDE_TILDE] = ACTIONS(3306),
    [anon_sym_LT] = ACTIONS(3308),
    [anon_sym_LT_EQ] = ACTIONS(3308),
    [anon_sym_GT_EQ] = ACTIONS(3306),
    [anon_sym_lt] = ACTIONS(3306),
    [anon_sym_le] = ACTIONS(3306),
    [anon_sym_ge] = ACTIONS(3306),
    [anon_sym_gt] = ACTIONS(3306),
    [anon_sym_isa] = ACTIONS(3306),
    [anon_sym_PLUS_PLUS] = ACTIONS(3306),
    [anon_sym_DASH_DASH] = ACTIONS(3306),
    [anon_sym_QMARK] = ACTIONS(3306),
    [anon_sym_EQ_GT] = ACTIONS(3306),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2130] = {
    [sym_heredoc_content] = STATE(2130),
    [anon_sym_RBRACE] = ACTIONS(2770),
    [anon_sym_COLON] = ACTIONS(2770),
    [anon_sym_EQ] = ACTIONS(2772),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2770),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2770),
    [anon_sym_COMMA] = ACTIONS(2770),
    [anon_sym_RPAREN] = ACTIONS(2770),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2770),
    [anon_sym_DASH_GT] = ACTIONS(2770),
    [anon_sym_PERCENT] = ACTIONS(2772),
    [anon_sym_GT] = ACTIONS(2772),
    [anon_sym_LT_LT] = ACTIONS(2772),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2770),
    [anon_sym_PLUS_EQ] = ACTIONS(2770),
    [anon_sym_DASH_EQ] = ACTIONS(2770),
    [anon_sym_DOT_EQ] = ACTIONS(2770),
    [anon_sym_STAR_EQ] = ACTIONS(2770),
    [anon_sym_SLASH_EQ] = ACTIONS(2770),
    [anon_sym_PERCENT_EQ] = ACTIONS(2770),
    [anon_sym_x_EQ] = ACTIONS(2770),
    [anon_sym_AMP_EQ] = ACTIONS(2770),
    [anon_sym_PIPE_EQ] = ACTIONS(2770),
    [anon_sym_CARET_EQ] = ACTIONS(2770),
    [anon_sym_LT_LT_EQ] = ACTIONS(2770),
    [anon_sym_GT_GT_EQ] = ACTIONS(2770),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2770),
    [anon_sym_DOT_DOT] = ACTIONS(2772),
    [anon_sym_STAR_STAR] = ACTIONS(2772),
    [anon_sym_PIPE_PIPE] = ACTIONS(2772),
    [anon_sym_SLASH_SLASH] = ACTIONS(2772),
    [anon_sym_CARET_CARET] = ACTIONS(2770),
    [anon_sym_AMP_AMP] = ACTIONS(2772),
    [anon_sym_PIPE] = ACTIONS(2772),
    [anon_sym_CARET] = ACTIONS(2772),
    [anon_sym_AMP] = ACTIONS(2772),
    [anon_sym_GT_GT2] = ACTIONS(2772),
    [anon_sym_PLUS] = ACTIONS(2772),
    [anon_sym_DASH] = ACTIONS(2772),
    [anon_sym_DOT] = ACTIONS(2772),
    [anon_sym_STAR] = ACTIONS(2772),
    [anon_sym_SLASH] = ACTIONS(2772),
    [anon_sym_x] = ACTIONS(2772),
    [anon_sym_EQ_TILDE] = ACTIONS(2770),
    [anon_sym_BANG_TILDE] = ACTIONS(2770),
    [anon_sym_EQ_EQ] = ACTIONS(2772),
    [anon_sym_BANG_EQ] = ACTIONS(2770),
    [anon_sym_eq] = ACTIONS(2772),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2770),
    [anon_sym_equ] = ACTIONS(2770),
    [anon_sym_eqr] = ACTIONS(2770),
    [anon_sym_ne] = ACTIONS(2770),
    [anon_sym_LT_EQ_GT] = ACTIONS(2770),
    [anon_sym_cmp] = ACTIONS(2770),
    [anon_sym_TILDE_TILDE] = ACTIONS(2770),
    [anon_sym_LT] = ACTIONS(2772),
    [anon_sym_LT_EQ] = ACTIONS(2772),
    [anon_sym_GT_EQ] = ACTIONS(2770),
    [anon_sym_lt] = ACTIONS(2770),
    [anon_sym_le] = ACTIONS(2770),
    [anon_sym_ge] = ACTIONS(2770),
    [anon_sym_gt] = ACTIONS(2770),
    [anon_sym_isa] = ACTIONS(2770),
    [anon_sym_PLUS_PLUS] = ACTIONS(2770),
    [anon_sym_DASH_DASH] = ACTIONS(2770),
    [anon_sym_QMARK] = ACTIONS(2770),
    [anon_sym_EQ_GT] = ACTIONS(2770),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2131] = {
    [sym_heredoc_content] = STATE(2131),
    [anon_sym_RBRACE] = ACTIONS(2987),
    [anon_sym_COLON] = ACTIONS(2987),
    [anon_sym_EQ] = ACTIONS(2989),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2987),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2987),
    [anon_sym_COMMA] = ACTIONS(2987),
    [anon_sym_RPAREN] = ACTIONS(2987),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2987),
    [anon_sym_DASH_GT] = ACTIONS(2987),
    [anon_sym_PERCENT] = ACTIONS(2989),
    [anon_sym_GT] = ACTIONS(2989),
    [anon_sym_LT_LT] = ACTIONS(2989),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2987),
    [anon_sym_PLUS_EQ] = ACTIONS(2987),
    [anon_sym_DASH_EQ] = ACTIONS(2987),
    [anon_sym_DOT_EQ] = ACTIONS(2987),
    [anon_sym_STAR_EQ] = ACTIONS(2987),
    [anon_sym_SLASH_EQ] = ACTIONS(2987),
    [anon_sym_PERCENT_EQ] = ACTIONS(2987),
    [anon_sym_x_EQ] = ACTIONS(2987),
    [anon_sym_AMP_EQ] = ACTIONS(2987),
    [anon_sym_PIPE_EQ] = ACTIONS(2987),
    [anon_sym_CARET_EQ] = ACTIONS(2987),
    [anon_sym_LT_LT_EQ] = ACTIONS(2987),
    [anon_sym_GT_GT_EQ] = ACTIONS(2987),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2987),
    [anon_sym_DOT_DOT] = ACTIONS(2989),
    [anon_sym_STAR_STAR] = ACTIONS(2989),
    [anon_sym_PIPE_PIPE] = ACTIONS(2989),
    [anon_sym_SLASH_SLASH] = ACTIONS(2989),
    [anon_sym_CARET_CARET] = ACTIONS(2987),
    [anon_sym_AMP_AMP] = ACTIONS(2989),
    [anon_sym_PIPE] = ACTIONS(2989),
    [anon_sym_CARET] = ACTIONS(2989),
    [anon_sym_AMP] = ACTIONS(2989),
    [anon_sym_GT_GT2] = ACTIONS(2989),
    [anon_sym_PLUS] = ACTIONS(2989),
    [anon_sym_DASH] = ACTIONS(2989),
    [anon_sym_DOT] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2989),
    [anon_sym_SLASH] = ACTIONS(2989),
    [anon_sym_x] = ACTIONS(2989),
    [anon_sym_EQ_TILDE] = ACTIONS(2987),
    [anon_sym_BANG_TILDE] = ACTIONS(2987),
    [anon_sym_EQ_EQ] = ACTIONS(2989),
    [anon_sym_BANG_EQ] = ACTIONS(2987),
    [anon_sym_eq] = ACTIONS(2989),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2987),
    [anon_sym_equ] = ACTIONS(2987),
    [anon_sym_eqr] = ACTIONS(2987),
    [anon_sym_ne] = ACTIONS(2987),
    [anon_sym_LT_EQ_GT] = ACTIONS(2987),
    [anon_sym_cmp] = ACTIONS(2987),
    [anon_sym_TILDE_TILDE] = ACTIONS(2987),
    [anon_sym_LT] = ACTIONS(2989),
    [anon_sym_LT_EQ] = ACTIONS(2989),
    [anon_sym_GT_EQ] = ACTIONS(2987),
    [anon_sym_lt] = ACTIONS(2987),
    [anon_sym_le] = ACTIONS(2987),
    [anon_sym_ge] = ACTIONS(2987),
    [anon_sym_gt] = ACTIONS(2987),
    [anon_sym_isa] = ACTIONS(2987),
    [anon_sym_PLUS_PLUS] = ACTIONS(2987),
    [anon_sym_DASH_DASH] = ACTIONS(2987),
    [anon_sym_QMARK] = ACTIONS(2987),
    [anon_sym_EQ_GT] = ACTIONS(2987),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2132] = {
    [sym_heredoc_content] = STATE(2132),
    [anon_sym_COLON] = ACTIONS(2726),
    [anon_sym_SEMI] = ACTIONS(2726),
    [anon_sym_EQ] = ACTIONS(2728),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2726),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2726),
    [anon_sym_COMMA] = ACTIONS(2726),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2726),
    [anon_sym_DASH_GT] = ACTIONS(2726),
    [anon_sym_PERCENT] = ACTIONS(2728),
    [anon_sym_GT] = ACTIONS(2728),
    [anon_sym_LT_LT] = ACTIONS(2728),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2726),
    [anon_sym_PLUS_EQ] = ACTIONS(2726),
    [anon_sym_DASH_EQ] = ACTIONS(2726),
    [anon_sym_DOT_EQ] = ACTIONS(2726),
    [anon_sym_STAR_EQ] = ACTIONS(2726),
    [anon_sym_SLASH_EQ] = ACTIONS(2726),
    [anon_sym_PERCENT_EQ] = ACTIONS(2726),
    [anon_sym_x_EQ] = ACTIONS(2726),
    [anon_sym_AMP_EQ] = ACTIONS(2726),
    [anon_sym_PIPE_EQ] = ACTIONS(2726),
    [anon_sym_CARET_EQ] = ACTIONS(2726),
    [anon_sym_LT_LT_EQ] = ACTIONS(2726),
    [anon_sym_GT_GT_EQ] = ACTIONS(2726),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2726),
    [anon_sym_DOT_DOT] = ACTIONS(2728),
    [anon_sym_STAR_STAR] = ACTIONS(2728),
    [anon_sym_PIPE_PIPE] = ACTIONS(2728),
    [anon_sym_SLASH_SLASH] = ACTIONS(2728),
    [anon_sym_CARET_CARET] = ACTIONS(2726),
    [anon_sym_AMP_AMP] = ACTIONS(2728),
    [anon_sym_PIPE] = ACTIONS(2728),
    [anon_sym_CARET] = ACTIONS(2728),
    [anon_sym_AMP] = ACTIONS(2728),
    [anon_sym_GT_GT2] = ACTIONS(2728),
    [anon_sym_PLUS] = ACTIONS(2728),
    [anon_sym_DASH] = ACTIONS(2728),
    [anon_sym_DOT] = ACTIONS(2728),
    [anon_sym_STAR] = ACTIONS(2728),
    [anon_sym_SLASH] = ACTIONS(2728),
    [anon_sym_x] = ACTIONS(2728),
    [anon_sym_EQ_TILDE] = ACTIONS(2726),
    [anon_sym_BANG_TILDE] = ACTIONS(2726),
    [anon_sym_EQ_EQ] = ACTIONS(2728),
    [anon_sym_BANG_EQ] = ACTIONS(2726),
    [anon_sym_eq] = ACTIONS(2728),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2726),
    [anon_sym_equ] = ACTIONS(2726),
    [anon_sym_eqr] = ACTIONS(2726),
    [anon_sym_ne] = ACTIONS(2726),
    [anon_sym_LT_EQ_GT] = ACTIONS(2726),
    [anon_sym_cmp] = ACTIONS(2726),
    [anon_sym_TILDE_TILDE] = ACTIONS(2726),
    [anon_sym_LT] = ACTIONS(2728),
    [anon_sym_LT_EQ] = ACTIONS(2728),
    [anon_sym_GT_EQ] = ACTIONS(2726),
    [anon_sym_lt] = ACTIONS(2726),
    [anon_sym_le] = ACTIONS(2726),
    [anon_sym_ge] = ACTIONS(2726),
    [anon_sym_gt] = ACTIONS(2726),
    [anon_sym_isa] = ACTIONS(2726),
    [anon_sym_PLUS_PLUS] = ACTIONS(2726),
    [anon_sym_DASH_DASH] = ACTIONS(2726),
    [anon_sym_QMARK] = ACTIONS(2726),
    [anon_sym_EQ_GT] = ACTIONS(2726),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2726),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2133] = {
    [sym_heredoc_content] = STATE(2133),
    [anon_sym_RBRACE] = ACTIONS(2907),
    [anon_sym_COLON] = ACTIONS(2907),
    [anon_sym_EQ] = ACTIONS(2909),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2907),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2907),
    [anon_sym_COMMA] = ACTIONS(2907),
    [anon_sym_RPAREN] = ACTIONS(2907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2907),
    [anon_sym_DASH_GT] = ACTIONS(2907),
    [anon_sym_PERCENT] = ACTIONS(2909),
    [anon_sym_GT] = ACTIONS(2909),
    [anon_sym_LT_LT] = ACTIONS(2909),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2907),
    [anon_sym_PLUS_EQ] = ACTIONS(2907),
    [anon_sym_DASH_EQ] = ACTIONS(2907),
    [anon_sym_DOT_EQ] = ACTIONS(2907),
    [anon_sym_STAR_EQ] = ACTIONS(2907),
    [anon_sym_SLASH_EQ] = ACTIONS(2907),
    [anon_sym_PERCENT_EQ] = ACTIONS(2907),
    [anon_sym_x_EQ] = ACTIONS(2907),
    [anon_sym_AMP_EQ] = ACTIONS(2907),
    [anon_sym_PIPE_EQ] = ACTIONS(2907),
    [anon_sym_CARET_EQ] = ACTIONS(2907),
    [anon_sym_LT_LT_EQ] = ACTIONS(2907),
    [anon_sym_GT_GT_EQ] = ACTIONS(2907),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2907),
    [anon_sym_DOT_DOT] = ACTIONS(2909),
    [anon_sym_STAR_STAR] = ACTIONS(2909),
    [anon_sym_PIPE_PIPE] = ACTIONS(2909),
    [anon_sym_SLASH_SLASH] = ACTIONS(2909),
    [anon_sym_CARET_CARET] = ACTIONS(2907),
    [anon_sym_AMP_AMP] = ACTIONS(2909),
    [anon_sym_PIPE] = ACTIONS(2909),
    [anon_sym_CARET] = ACTIONS(2909),
    [anon_sym_AMP] = ACTIONS(2909),
    [anon_sym_GT_GT2] = ACTIONS(2909),
    [anon_sym_PLUS] = ACTIONS(2909),
    [anon_sym_DASH] = ACTIONS(2909),
    [anon_sym_DOT] = ACTIONS(2909),
    [anon_sym_STAR] = ACTIONS(2909),
    [anon_sym_SLASH] = ACTIONS(2909),
    [anon_sym_x] = ACTIONS(2909),
    [anon_sym_EQ_TILDE] = ACTIONS(2907),
    [anon_sym_BANG_TILDE] = ACTIONS(2907),
    [anon_sym_EQ_EQ] = ACTIONS(2909),
    [anon_sym_BANG_EQ] = ACTIONS(2907),
    [anon_sym_eq] = ACTIONS(2909),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2907),
    [anon_sym_equ] = ACTIONS(2907),
    [anon_sym_eqr] = ACTIONS(2907),
    [anon_sym_ne] = ACTIONS(2907),
    [anon_sym_LT_EQ_GT] = ACTIONS(2907),
    [anon_sym_cmp] = ACTIONS(2907),
    [anon_sym_TILDE_TILDE] = ACTIONS(2907),
    [anon_sym_LT] = ACTIONS(2909),
    [anon_sym_LT_EQ] = ACTIONS(2909),
    [anon_sym_GT_EQ] = ACTIONS(2907),
    [anon_sym_lt] = ACTIONS(2907),
    [anon_sym_le] = ACTIONS(2907),
    [anon_sym_ge] = ACTIONS(2907),
    [anon_sym_gt] = ACTIONS(2907),
    [anon_sym_isa] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_QMARK] = ACTIONS(2907),
    [anon_sym_EQ_GT] = ACTIONS(2907),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2134] = {
    [sym_heredoc_content] = STATE(2134),
    [anon_sym_RBRACE] = ACTIONS(3142),
    [anon_sym_COLON] = ACTIONS(3142),
    [anon_sym_EQ] = ACTIONS(3144),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3142),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3142),
    [anon_sym_COMMA] = ACTIONS(3142),
    [anon_sym_RPAREN] = ACTIONS(3142),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3142),
    [anon_sym_DASH_GT] = ACTIONS(3142),
    [anon_sym_PERCENT] = ACTIONS(3144),
    [anon_sym_GT] = ACTIONS(3144),
    [anon_sym_LT_LT] = ACTIONS(3144),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3142),
    [anon_sym_PLUS_EQ] = ACTIONS(3142),
    [anon_sym_DASH_EQ] = ACTIONS(3142),
    [anon_sym_DOT_EQ] = ACTIONS(3142),
    [anon_sym_STAR_EQ] = ACTIONS(3142),
    [anon_sym_SLASH_EQ] = ACTIONS(3142),
    [anon_sym_PERCENT_EQ] = ACTIONS(3142),
    [anon_sym_x_EQ] = ACTIONS(3142),
    [anon_sym_AMP_EQ] = ACTIONS(3142),
    [anon_sym_PIPE_EQ] = ACTIONS(3142),
    [anon_sym_CARET_EQ] = ACTIONS(3142),
    [anon_sym_LT_LT_EQ] = ACTIONS(3142),
    [anon_sym_GT_GT_EQ] = ACTIONS(3142),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3142),
    [anon_sym_DOT_DOT] = ACTIONS(3144),
    [anon_sym_STAR_STAR] = ACTIONS(3144),
    [anon_sym_PIPE_PIPE] = ACTIONS(3144),
    [anon_sym_SLASH_SLASH] = ACTIONS(3144),
    [anon_sym_CARET_CARET] = ACTIONS(3142),
    [anon_sym_AMP_AMP] = ACTIONS(3144),
    [anon_sym_PIPE] = ACTIONS(3144),
    [anon_sym_CARET] = ACTIONS(3144),
    [anon_sym_AMP] = ACTIONS(3144),
    [anon_sym_GT_GT2] = ACTIONS(3144),
    [anon_sym_PLUS] = ACTIONS(3144),
    [anon_sym_DASH] = ACTIONS(3144),
    [anon_sym_DOT] = ACTIONS(3144),
    [anon_sym_STAR] = ACTIONS(3144),
    [anon_sym_SLASH] = ACTIONS(3144),
    [anon_sym_x] = ACTIONS(3144),
    [anon_sym_EQ_TILDE] = ACTIONS(3142),
    [anon_sym_BANG_TILDE] = ACTIONS(3142),
    [anon_sym_EQ_EQ] = ACTIONS(3144),
    [anon_sym_BANG_EQ] = ACTIONS(3142),
    [anon_sym_eq] = ACTIONS(3144),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3142),
    [anon_sym_equ] = ACTIONS(3142),
    [anon_sym_eqr] = ACTIONS(3142),
    [anon_sym_ne] = ACTIONS(3142),
    [anon_sym_LT_EQ_GT] = ACTIONS(3142),
    [anon_sym_cmp] = ACTIONS(3142),
    [anon_sym_TILDE_TILDE] = ACTIONS(3142),
    [anon_sym_LT] = ACTIONS(3144),
    [anon_sym_LT_EQ] = ACTIONS(3144),
    [anon_sym_GT_EQ] = ACTIONS(3142),
    [anon_sym_lt] = ACTIONS(3142),
    [anon_sym_le] = ACTIONS(3142),
    [anon_sym_ge] = ACTIONS(3142),
    [anon_sym_gt] = ACTIONS(3142),
    [anon_sym_isa] = ACTIONS(3142),
    [anon_sym_PLUS_PLUS] = ACTIONS(3142),
    [anon_sym_DASH_DASH] = ACTIONS(3142),
    [anon_sym_QMARK] = ACTIONS(3142),
    [anon_sym_EQ_GT] = ACTIONS(3142),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2135] = {
    [sym_heredoc_content] = STATE(2135),
    [anon_sym_RBRACE] = ACTIONS(3063),
    [anon_sym_COLON] = ACTIONS(3063),
    [anon_sym_EQ] = ACTIONS(3065),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3063),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3063),
    [anon_sym_COMMA] = ACTIONS(3063),
    [anon_sym_RPAREN] = ACTIONS(3063),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3063),
    [anon_sym_DASH_GT] = ACTIONS(3063),
    [anon_sym_PERCENT] = ACTIONS(3065),
    [anon_sym_GT] = ACTIONS(3065),
    [anon_sym_LT_LT] = ACTIONS(3065),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3063),
    [anon_sym_PLUS_EQ] = ACTIONS(3063),
    [anon_sym_DASH_EQ] = ACTIONS(3063),
    [anon_sym_DOT_EQ] = ACTIONS(3063),
    [anon_sym_STAR_EQ] = ACTIONS(3063),
    [anon_sym_SLASH_EQ] = ACTIONS(3063),
    [anon_sym_PERCENT_EQ] = ACTIONS(3063),
    [anon_sym_x_EQ] = ACTIONS(3063),
    [anon_sym_AMP_EQ] = ACTIONS(3063),
    [anon_sym_PIPE_EQ] = ACTIONS(3063),
    [anon_sym_CARET_EQ] = ACTIONS(3063),
    [anon_sym_LT_LT_EQ] = ACTIONS(3063),
    [anon_sym_GT_GT_EQ] = ACTIONS(3063),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3063),
    [anon_sym_DOT_DOT] = ACTIONS(3065),
    [anon_sym_STAR_STAR] = ACTIONS(3065),
    [anon_sym_PIPE_PIPE] = ACTIONS(3065),
    [anon_sym_SLASH_SLASH] = ACTIONS(3065),
    [anon_sym_CARET_CARET] = ACTIONS(3063),
    [anon_sym_AMP_AMP] = ACTIONS(3065),
    [anon_sym_PIPE] = ACTIONS(3065),
    [anon_sym_CARET] = ACTIONS(3065),
    [anon_sym_AMP] = ACTIONS(3065),
    [anon_sym_GT_GT2] = ACTIONS(3065),
    [anon_sym_PLUS] = ACTIONS(3065),
    [anon_sym_DASH] = ACTIONS(3065),
    [anon_sym_DOT] = ACTIONS(3065),
    [anon_sym_STAR] = ACTIONS(3065),
    [anon_sym_SLASH] = ACTIONS(3065),
    [anon_sym_x] = ACTIONS(3065),
    [anon_sym_EQ_TILDE] = ACTIONS(3063),
    [anon_sym_BANG_TILDE] = ACTIONS(3063),
    [anon_sym_EQ_EQ] = ACTIONS(3065),
    [anon_sym_BANG_EQ] = ACTIONS(3063),
    [anon_sym_eq] = ACTIONS(3065),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3063),
    [anon_sym_equ] = ACTIONS(3063),
    [anon_sym_eqr] = ACTIONS(3063),
    [anon_sym_ne] = ACTIONS(3063),
    [anon_sym_LT_EQ_GT] = ACTIONS(3063),
    [anon_sym_cmp] = ACTIONS(3063),
    [anon_sym_TILDE_TILDE] = ACTIONS(3063),
    [anon_sym_LT] = ACTIONS(3065),
    [anon_sym_LT_EQ] = ACTIONS(3065),
    [anon_sym_GT_EQ] = ACTIONS(3063),
    [anon_sym_lt] = ACTIONS(3063),
    [anon_sym_le] = ACTIONS(3063),
    [anon_sym_ge] = ACTIONS(3063),
    [anon_sym_gt] = ACTIONS(3063),
    [anon_sym_isa] = ACTIONS(3063),
    [anon_sym_PLUS_PLUS] = ACTIONS(3063),
    [anon_sym_DASH_DASH] = ACTIONS(3063),
    [anon_sym_QMARK] = ACTIONS(3063),
    [anon_sym_EQ_GT] = ACTIONS(3063),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2136] = {
    [sym_heredoc_content] = STATE(2136),
    [anon_sym_SEMI] = ACTIONS(2811),
    [anon_sym_EQ] = ACTIONS(2813),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2811),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2811),
    [anon_sym_COMMA] = ACTIONS(2811),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2811),
    [anon_sym_DASH_GT] = ACTIONS(2811),
    [anon_sym_PERCENT] = ACTIONS(2813),
    [anon_sym_GT] = ACTIONS(2813),
    [anon_sym_LT_LT] = ACTIONS(2813),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2811),
    [anon_sym_PLUS_EQ] = ACTIONS(2811),
    [anon_sym_DASH_EQ] = ACTIONS(2811),
    [anon_sym_DOT_EQ] = ACTIONS(2811),
    [anon_sym_STAR_EQ] = ACTIONS(2811),
    [anon_sym_SLASH_EQ] = ACTIONS(2811),
    [anon_sym_PERCENT_EQ] = ACTIONS(2811),
    [anon_sym_x_EQ] = ACTIONS(2813),
    [anon_sym_AMP_EQ] = ACTIONS(2811),
    [anon_sym_PIPE_EQ] = ACTIONS(2811),
    [anon_sym_CARET_EQ] = ACTIONS(2811),
    [anon_sym_LT_LT_EQ] = ACTIONS(2811),
    [anon_sym_GT_GT_EQ] = ACTIONS(2811),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2811),
    [anon_sym_DOT_DOT] = ACTIONS(2813),
    [anon_sym_STAR_STAR] = ACTIONS(2813),
    [anon_sym_PIPE_PIPE] = ACTIONS(2813),
    [anon_sym_SLASH_SLASH] = ACTIONS(2813),
    [anon_sym_CARET_CARET] = ACTIONS(2811),
    [anon_sym_AMP_AMP] = ACTIONS(2813),
    [anon_sym_PIPE] = ACTIONS(2813),
    [anon_sym_CARET] = ACTIONS(2813),
    [anon_sym_AMP] = ACTIONS(2813),
    [anon_sym_GT_GT2] = ACTIONS(2813),
    [anon_sym_PLUS] = ACTIONS(2813),
    [anon_sym_DASH] = ACTIONS(2813),
    [anon_sym_DOT] = ACTIONS(2813),
    [anon_sym_STAR] = ACTIONS(2813),
    [anon_sym_SLASH] = ACTIONS(2813),
    [anon_sym_x] = ACTIONS(2813),
    [anon_sym_EQ_TILDE] = ACTIONS(2811),
    [anon_sym_BANG_TILDE] = ACTIONS(2811),
    [anon_sym_EQ_EQ] = ACTIONS(2813),
    [anon_sym_BANG_EQ] = ACTIONS(2811),
    [anon_sym_eq] = ACTIONS(2813),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2811),
    [anon_sym_equ] = ACTIONS(2813),
    [anon_sym_eqr] = ACTIONS(2813),
    [anon_sym_ne] = ACTIONS(2811),
    [anon_sym_LT_EQ_GT] = ACTIONS(2811),
    [anon_sym_cmp] = ACTIONS(2813),
    [anon_sym_TILDE_TILDE] = ACTIONS(2811),
    [anon_sym_LT] = ACTIONS(2813),
    [anon_sym_LT_EQ] = ACTIONS(2813),
    [anon_sym_GT_EQ] = ACTIONS(2811),
    [anon_sym_lt] = ACTIONS(2813),
    [anon_sym_le] = ACTIONS(2813),
    [anon_sym_ge] = ACTIONS(2813),
    [anon_sym_gt] = ACTIONS(2813),
    [anon_sym_isa] = ACTIONS(2813),
    [anon_sym_PLUS_PLUS] = ACTIONS(2811),
    [anon_sym_DASH_DASH] = ACTIONS(2811),
    [anon_sym_QMARK] = ACTIONS(2811),
    [anon_sym_EQ_GT] = ACTIONS(2811),
    [sym_comment] = ACTIONS(5),
    [sym_substitution_regexp_modifiers] = ACTIONS(3881),
    [sym__PERLY_SEMICOLON] = ACTIONS(2811),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2137] = {
    [sym_heredoc_content] = STATE(2137),
    [anon_sym_SEMI] = ACTIONS(2805),
    [anon_sym_EQ] = ACTIONS(2807),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2805),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2805),
    [anon_sym_COMMA] = ACTIONS(2805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2805),
    [anon_sym_DASH_GT] = ACTIONS(2805),
    [anon_sym_PERCENT] = ACTIONS(2807),
    [anon_sym_GT] = ACTIONS(2807),
    [anon_sym_LT_LT] = ACTIONS(2807),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2805),
    [anon_sym_PLUS_EQ] = ACTIONS(2805),
    [anon_sym_DASH_EQ] = ACTIONS(2805),
    [anon_sym_DOT_EQ] = ACTIONS(2805),
    [anon_sym_STAR_EQ] = ACTIONS(2805),
    [anon_sym_SLASH_EQ] = ACTIONS(2805),
    [anon_sym_PERCENT_EQ] = ACTIONS(2805),
    [anon_sym_x_EQ] = ACTIONS(2805),
    [anon_sym_AMP_EQ] = ACTIONS(2805),
    [anon_sym_PIPE_EQ] = ACTIONS(2805),
    [anon_sym_CARET_EQ] = ACTIONS(2805),
    [anon_sym_LT_LT_EQ] = ACTIONS(2805),
    [anon_sym_GT_GT_EQ] = ACTIONS(2805),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2805),
    [anon_sym_DOT_DOT] = ACTIONS(2807),
    [anon_sym_STAR_STAR] = ACTIONS(2807),
    [anon_sym_PIPE_PIPE] = ACTIONS(2807),
    [anon_sym_SLASH_SLASH] = ACTIONS(2807),
    [anon_sym_CARET_CARET] = ACTIONS(2805),
    [anon_sym_AMP_AMP] = ACTIONS(2807),
    [anon_sym_PIPE] = ACTIONS(2807),
    [anon_sym_CARET] = ACTIONS(2807),
    [anon_sym_AMP] = ACTIONS(2807),
    [anon_sym_GT_GT2] = ACTIONS(2807),
    [anon_sym_PLUS] = ACTIONS(2807),
    [anon_sym_DASH] = ACTIONS(2807),
    [anon_sym_DOT] = ACTIONS(2807),
    [anon_sym_STAR] = ACTIONS(2807),
    [anon_sym_SLASH] = ACTIONS(2807),
    [anon_sym_x] = ACTIONS(2807),
    [anon_sym_EQ_TILDE] = ACTIONS(2805),
    [anon_sym_BANG_TILDE] = ACTIONS(2805),
    [anon_sym_EQ_EQ] = ACTIONS(2807),
    [anon_sym_BANG_EQ] = ACTIONS(2805),
    [anon_sym_eq] = ACTIONS(2807),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2805),
    [anon_sym_equ] = ACTIONS(2805),
    [anon_sym_eqr] = ACTIONS(2805),
    [anon_sym_ne] = ACTIONS(2805),
    [anon_sym_LT_EQ_GT] = ACTIONS(2805),
    [anon_sym_cmp] = ACTIONS(2807),
    [anon_sym_TILDE_TILDE] = ACTIONS(2805),
    [anon_sym_LT] = ACTIONS(2807),
    [anon_sym_LT_EQ] = ACTIONS(2807),
    [anon_sym_GT_EQ] = ACTIONS(2805),
    [anon_sym_lt] = ACTIONS(2805),
    [anon_sym_le] = ACTIONS(2805),
    [anon_sym_ge] = ACTIONS(2805),
    [anon_sym_gt] = ACTIONS(2805),
    [anon_sym_isa] = ACTIONS(2805),
    [anon_sym_PLUS_PLUS] = ACTIONS(2805),
    [anon_sym_DASH_DASH] = ACTIONS(2805),
    [anon_sym_QMARK] = ACTIONS(2805),
    [anon_sym_EQ_GT] = ACTIONS(2805),
    [sym_comment] = ACTIONS(5),
    [sym_transliteration_modifiers] = ACTIONS(3883),
    [sym__PERLY_SEMICOLON] = ACTIONS(2805),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2138] = {
    [sym_heredoc_content] = STATE(2138),
    [anon_sym_RBRACE] = ACTIONS(2887),
    [anon_sym_COLON] = ACTIONS(2887),
    [anon_sym_EQ] = ACTIONS(1968),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2887),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2887),
    [anon_sym_COMMA] = ACTIONS(2887),
    [anon_sym_RPAREN] = ACTIONS(2887),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2887),
    [anon_sym_DASH_GT] = ACTIONS(2887),
    [anon_sym_PERCENT] = ACTIONS(1968),
    [anon_sym_GT] = ACTIONS(1968),
    [anon_sym_LT_LT] = ACTIONS(1968),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2887),
    [anon_sym_PLUS_EQ] = ACTIONS(2887),
    [anon_sym_DASH_EQ] = ACTIONS(2887),
    [anon_sym_DOT_EQ] = ACTIONS(2887),
    [anon_sym_STAR_EQ] = ACTIONS(2887),
    [anon_sym_SLASH_EQ] = ACTIONS(2887),
    [anon_sym_PERCENT_EQ] = ACTIONS(2887),
    [anon_sym_x_EQ] = ACTIONS(2887),
    [anon_sym_AMP_EQ] = ACTIONS(2887),
    [anon_sym_PIPE_EQ] = ACTIONS(2887),
    [anon_sym_CARET_EQ] = ACTIONS(2887),
    [anon_sym_LT_LT_EQ] = ACTIONS(2887),
    [anon_sym_GT_GT_EQ] = ACTIONS(2887),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2887),
    [anon_sym_DOT_DOT] = ACTIONS(1968),
    [anon_sym_STAR_STAR] = ACTIONS(1968),
    [anon_sym_PIPE_PIPE] = ACTIONS(1968),
    [anon_sym_SLASH_SLASH] = ACTIONS(1968),
    [anon_sym_CARET_CARET] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(1968),
    [anon_sym_PIPE] = ACTIONS(1968),
    [anon_sym_CARET] = ACTIONS(1968),
    [anon_sym_AMP] = ACTIONS(1968),
    [anon_sym_GT_GT2] = ACTIONS(1968),
    [anon_sym_PLUS] = ACTIONS(1968),
    [anon_sym_DASH] = ACTIONS(1968),
    [anon_sym_DOT] = ACTIONS(1968),
    [anon_sym_STAR] = ACTIONS(1968),
    [anon_sym_SLASH] = ACTIONS(1968),
    [anon_sym_x] = ACTIONS(1968),
    [anon_sym_EQ_TILDE] = ACTIONS(2887),
    [anon_sym_BANG_TILDE] = ACTIONS(2887),
    [anon_sym_EQ_EQ] = ACTIONS(1968),
    [anon_sym_BANG_EQ] = ACTIONS(2887),
    [anon_sym_eq] = ACTIONS(1968),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2887),
    [anon_sym_equ] = ACTIONS(2887),
    [anon_sym_eqr] = ACTIONS(2887),
    [anon_sym_ne] = ACTIONS(2887),
    [anon_sym_LT_EQ_GT] = ACTIONS(2887),
    [anon_sym_cmp] = ACTIONS(2887),
    [anon_sym_TILDE_TILDE] = ACTIONS(2887),
    [anon_sym_LT] = ACTIONS(1968),
    [anon_sym_LT_EQ] = ACTIONS(1968),
    [anon_sym_GT_EQ] = ACTIONS(2887),
    [anon_sym_lt] = ACTIONS(2887),
    [anon_sym_le] = ACTIONS(2887),
    [anon_sym_ge] = ACTIONS(2887),
    [anon_sym_gt] = ACTIONS(2887),
    [anon_sym_isa] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_QMARK] = ACTIONS(2887),
    [anon_sym_EQ_GT] = ACTIONS(2887),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2139] = {
    [sym_heredoc_content] = STATE(2139),
    [anon_sym_RBRACE] = ACTIONS(2893),
    [anon_sym_COLON] = ACTIONS(2893),
    [anon_sym_EQ] = ACTIONS(2895),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2893),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2893),
    [anon_sym_COMMA] = ACTIONS(2893),
    [anon_sym_RPAREN] = ACTIONS(2893),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2893),
    [anon_sym_DASH_GT] = ACTIONS(2893),
    [anon_sym_PERCENT] = ACTIONS(2895),
    [anon_sym_GT] = ACTIONS(2895),
    [anon_sym_LT_LT] = ACTIONS(2895),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2893),
    [anon_sym_PLUS_EQ] = ACTIONS(2893),
    [anon_sym_DASH_EQ] = ACTIONS(2893),
    [anon_sym_DOT_EQ] = ACTIONS(2893),
    [anon_sym_STAR_EQ] = ACTIONS(2893),
    [anon_sym_SLASH_EQ] = ACTIONS(2893),
    [anon_sym_PERCENT_EQ] = ACTIONS(2893),
    [anon_sym_x_EQ] = ACTIONS(2893),
    [anon_sym_AMP_EQ] = ACTIONS(2893),
    [anon_sym_PIPE_EQ] = ACTIONS(2893),
    [anon_sym_CARET_EQ] = ACTIONS(2893),
    [anon_sym_LT_LT_EQ] = ACTIONS(2893),
    [anon_sym_GT_GT_EQ] = ACTIONS(2893),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2893),
    [anon_sym_DOT_DOT] = ACTIONS(2895),
    [anon_sym_STAR_STAR] = ACTIONS(2895),
    [anon_sym_PIPE_PIPE] = ACTIONS(2895),
    [anon_sym_SLASH_SLASH] = ACTIONS(2895),
    [anon_sym_CARET_CARET] = ACTIONS(2893),
    [anon_sym_AMP_AMP] = ACTIONS(2895),
    [anon_sym_PIPE] = ACTIONS(2895),
    [anon_sym_CARET] = ACTIONS(2895),
    [anon_sym_AMP] = ACTIONS(2895),
    [anon_sym_GT_GT2] = ACTIONS(2895),
    [anon_sym_PLUS] = ACTIONS(2895),
    [anon_sym_DASH] = ACTIONS(2895),
    [anon_sym_DOT] = ACTIONS(2895),
    [anon_sym_STAR] = ACTIONS(2895),
    [anon_sym_SLASH] = ACTIONS(2895),
    [anon_sym_x] = ACTIONS(2895),
    [anon_sym_EQ_TILDE] = ACTIONS(2893),
    [anon_sym_BANG_TILDE] = ACTIONS(2893),
    [anon_sym_EQ_EQ] = ACTIONS(2895),
    [anon_sym_BANG_EQ] = ACTIONS(2893),
    [anon_sym_eq] = ACTIONS(2895),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2893),
    [anon_sym_equ] = ACTIONS(2893),
    [anon_sym_eqr] = ACTIONS(2893),
    [anon_sym_ne] = ACTIONS(2893),
    [anon_sym_LT_EQ_GT] = ACTIONS(2893),
    [anon_sym_cmp] = ACTIONS(2893),
    [anon_sym_TILDE_TILDE] = ACTIONS(2893),
    [anon_sym_LT] = ACTIONS(2895),
    [anon_sym_LT_EQ] = ACTIONS(2895),
    [anon_sym_GT_EQ] = ACTIONS(2893),
    [anon_sym_lt] = ACTIONS(2893),
    [anon_sym_le] = ACTIONS(2893),
    [anon_sym_ge] = ACTIONS(2893),
    [anon_sym_gt] = ACTIONS(2893),
    [anon_sym_isa] = ACTIONS(2893),
    [anon_sym_PLUS_PLUS] = ACTIONS(2893),
    [anon_sym_DASH_DASH] = ACTIONS(2893),
    [anon_sym_QMARK] = ACTIONS(2893),
    [anon_sym_EQ_GT] = ACTIONS(2893),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2140] = {
    [sym_heredoc_content] = STATE(2140),
    [anon_sym_RBRACE] = ACTIONS(1849),
    [anon_sym_COLON] = ACTIONS(1849),
    [anon_sym_EQ] = ACTIONS(1840),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1849),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1849),
    [anon_sym_COMMA] = ACTIONS(1849),
    [anon_sym_RPAREN] = ACTIONS(1849),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1849),
    [anon_sym_DASH_GT] = ACTIONS(1849),
    [anon_sym_PERCENT] = ACTIONS(1840),
    [anon_sym_GT] = ACTIONS(1840),
    [anon_sym_LT_LT] = ACTIONS(1840),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1849),
    [anon_sym_PLUS_EQ] = ACTIONS(1849),
    [anon_sym_DASH_EQ] = ACTIONS(1849),
    [anon_sym_DOT_EQ] = ACTIONS(1849),
    [anon_sym_STAR_EQ] = ACTIONS(1849),
    [anon_sym_SLASH_EQ] = ACTIONS(1849),
    [anon_sym_PERCENT_EQ] = ACTIONS(1849),
    [anon_sym_x_EQ] = ACTIONS(1849),
    [anon_sym_AMP_EQ] = ACTIONS(1849),
    [anon_sym_PIPE_EQ] = ACTIONS(1849),
    [anon_sym_CARET_EQ] = ACTIONS(1849),
    [anon_sym_LT_LT_EQ] = ACTIONS(1849),
    [anon_sym_GT_GT_EQ] = ACTIONS(1849),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1849),
    [anon_sym_DOT_DOT] = ACTIONS(1840),
    [anon_sym_STAR_STAR] = ACTIONS(1840),
    [anon_sym_PIPE_PIPE] = ACTIONS(1840),
    [anon_sym_SLASH_SLASH] = ACTIONS(1840),
    [anon_sym_CARET_CARET] = ACTIONS(1849),
    [anon_sym_AMP_AMP] = ACTIONS(1840),
    [anon_sym_PIPE] = ACTIONS(1840),
    [anon_sym_CARET] = ACTIONS(1840),
    [anon_sym_AMP] = ACTIONS(1840),
    [anon_sym_GT_GT2] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_DOT] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1840),
    [anon_sym_SLASH] = ACTIONS(1840),
    [anon_sym_x] = ACTIONS(1840),
    [anon_sym_EQ_TILDE] = ACTIONS(1849),
    [anon_sym_BANG_TILDE] = ACTIONS(1849),
    [anon_sym_EQ_EQ] = ACTIONS(1840),
    [anon_sym_BANG_EQ] = ACTIONS(1849),
    [anon_sym_eq] = ACTIONS(1840),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1849),
    [anon_sym_equ] = ACTIONS(1849),
    [anon_sym_eqr] = ACTIONS(1849),
    [anon_sym_ne] = ACTIONS(1849),
    [anon_sym_LT_EQ_GT] = ACTIONS(1849),
    [anon_sym_cmp] = ACTIONS(1849),
    [anon_sym_TILDE_TILDE] = ACTIONS(1849),
    [anon_sym_LT] = ACTIONS(1840),
    [anon_sym_LT_EQ] = ACTIONS(1840),
    [anon_sym_GT_EQ] = ACTIONS(1849),
    [anon_sym_lt] = ACTIONS(1849),
    [anon_sym_le] = ACTIONS(1849),
    [anon_sym_ge] = ACTIONS(1849),
    [anon_sym_gt] = ACTIONS(1849),
    [anon_sym_isa] = ACTIONS(1849),
    [anon_sym_PLUS_PLUS] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1849),
    [anon_sym_QMARK] = ACTIONS(1849),
    [anon_sym_EQ_GT] = ACTIONS(1849),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2141] = {
    [sym_heredoc_content] = STATE(2141),
    [aux_sym__term_rightward_repeat1] = STATE(3344),
    [anon_sym_SEMI] = ACTIONS(2580),
    [anon_sym_EQ] = ACTIONS(3754),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3756),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3756),
    [anon_sym_COMMA] = ACTIONS(3885),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3758),
    [anon_sym_DASH_GT] = ACTIONS(3760),
    [anon_sym_PERCENT] = ACTIONS(3762),
    [anon_sym_GT] = ACTIONS(3764),
    [anon_sym_LT_LT] = ACTIONS(3766),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3756),
    [anon_sym_PLUS_EQ] = ACTIONS(3756),
    [anon_sym_DASH_EQ] = ACTIONS(3756),
    [anon_sym_DOT_EQ] = ACTIONS(3756),
    [anon_sym_STAR_EQ] = ACTIONS(3756),
    [anon_sym_SLASH_EQ] = ACTIONS(3756),
    [anon_sym_PERCENT_EQ] = ACTIONS(3756),
    [anon_sym_x_EQ] = ACTIONS(3756),
    [anon_sym_AMP_EQ] = ACTIONS(3756),
    [anon_sym_PIPE_EQ] = ACTIONS(3756),
    [anon_sym_CARET_EQ] = ACTIONS(3756),
    [anon_sym_LT_LT_EQ] = ACTIONS(3756),
    [anon_sym_GT_GT_EQ] = ACTIONS(3756),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3756),
    [anon_sym_DOT_DOT] = ACTIONS(3768),
    [anon_sym_STAR_STAR] = ACTIONS(3770),
    [anon_sym_PIPE_PIPE] = ACTIONS(3772),
    [anon_sym_SLASH_SLASH] = ACTIONS(3772),
    [anon_sym_CARET_CARET] = ACTIONS(3774),
    [anon_sym_AMP_AMP] = ACTIONS(3776),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3780),
    [anon_sym_GT_GT2] = ACTIONS(3766),
    [anon_sym_PLUS] = ACTIONS(3782),
    [anon_sym_DASH] = ACTIONS(3782),
    [anon_sym_DOT] = ACTIONS(3782),
    [anon_sym_STAR] = ACTIONS(3762),
    [anon_sym_SLASH] = ACTIONS(3762),
    [anon_sym_x] = ACTIONS(3762),
    [anon_sym_EQ_TILDE] = ACTIONS(3784),
    [anon_sym_BANG_TILDE] = ACTIONS(3784),
    [anon_sym_EQ_EQ] = ACTIONS(3786),
    [anon_sym_BANG_EQ] = ACTIONS(3788),
    [anon_sym_eq] = ACTIONS(3786),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3788),
    [anon_sym_equ] = ACTIONS(3788),
    [anon_sym_eqr] = ACTIONS(3788),
    [anon_sym_ne] = ACTIONS(3788),
    [anon_sym_LT_EQ_GT] = ACTIONS(3790),
    [anon_sym_cmp] = ACTIONS(3790),
    [anon_sym_TILDE_TILDE] = ACTIONS(3790),
    [anon_sym_LT] = ACTIONS(3764),
    [anon_sym_LT_EQ] = ACTIONS(3764),
    [anon_sym_GT_EQ] = ACTIONS(3792),
    [anon_sym_lt] = ACTIONS(3792),
    [anon_sym_le] = ACTIONS(3792),
    [anon_sym_ge] = ACTIONS(3792),
    [anon_sym_gt] = ACTIONS(3792),
    [anon_sym_isa] = ACTIONS(3794),
    [anon_sym_PLUS_PLUS] = ACTIONS(3796),
    [anon_sym_DASH_DASH] = ACTIONS(3796),
    [anon_sym_QMARK] = ACTIONS(3798),
    [anon_sym_EQ_GT] = ACTIONS(3885),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2580),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2142] = {
    [sym_heredoc_content] = STATE(2142),
    [anon_sym_RBRACE] = ACTIONS(2959),
    [anon_sym_COLON] = ACTIONS(2959),
    [anon_sym_EQ] = ACTIONS(2961),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2959),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2959),
    [anon_sym_COMMA] = ACTIONS(2959),
    [anon_sym_RPAREN] = ACTIONS(2959),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2959),
    [anon_sym_DASH_GT] = ACTIONS(2959),
    [anon_sym_PERCENT] = ACTIONS(2961),
    [anon_sym_GT] = ACTIONS(2961),
    [anon_sym_LT_LT] = ACTIONS(2961),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2959),
    [anon_sym_PLUS_EQ] = ACTIONS(2959),
    [anon_sym_DASH_EQ] = ACTIONS(2959),
    [anon_sym_DOT_EQ] = ACTIONS(2959),
    [anon_sym_STAR_EQ] = ACTIONS(2959),
    [anon_sym_SLASH_EQ] = ACTIONS(2959),
    [anon_sym_PERCENT_EQ] = ACTIONS(2959),
    [anon_sym_x_EQ] = ACTIONS(2959),
    [anon_sym_AMP_EQ] = ACTIONS(2959),
    [anon_sym_PIPE_EQ] = ACTIONS(2959),
    [anon_sym_CARET_EQ] = ACTIONS(2959),
    [anon_sym_LT_LT_EQ] = ACTIONS(2959),
    [anon_sym_GT_GT_EQ] = ACTIONS(2959),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2959),
    [anon_sym_DOT_DOT] = ACTIONS(2961),
    [anon_sym_STAR_STAR] = ACTIONS(2961),
    [anon_sym_PIPE_PIPE] = ACTIONS(2961),
    [anon_sym_SLASH_SLASH] = ACTIONS(2961),
    [anon_sym_CARET_CARET] = ACTIONS(2959),
    [anon_sym_AMP_AMP] = ACTIONS(2961),
    [anon_sym_PIPE] = ACTIONS(2961),
    [anon_sym_CARET] = ACTIONS(2961),
    [anon_sym_AMP] = ACTIONS(2961),
    [anon_sym_GT_GT2] = ACTIONS(2961),
    [anon_sym_PLUS] = ACTIONS(2961),
    [anon_sym_DASH] = ACTIONS(2961),
    [anon_sym_DOT] = ACTIONS(2961),
    [anon_sym_STAR] = ACTIONS(2961),
    [anon_sym_SLASH] = ACTIONS(2961),
    [anon_sym_x] = ACTIONS(2961),
    [anon_sym_EQ_TILDE] = ACTIONS(2959),
    [anon_sym_BANG_TILDE] = ACTIONS(2959),
    [anon_sym_EQ_EQ] = ACTIONS(2961),
    [anon_sym_BANG_EQ] = ACTIONS(2959),
    [anon_sym_eq] = ACTIONS(2961),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2959),
    [anon_sym_equ] = ACTIONS(2959),
    [anon_sym_eqr] = ACTIONS(2959),
    [anon_sym_ne] = ACTIONS(2959),
    [anon_sym_LT_EQ_GT] = ACTIONS(2959),
    [anon_sym_cmp] = ACTIONS(2959),
    [anon_sym_TILDE_TILDE] = ACTIONS(2959),
    [anon_sym_LT] = ACTIONS(2961),
    [anon_sym_LT_EQ] = ACTIONS(2961),
    [anon_sym_GT_EQ] = ACTIONS(2959),
    [anon_sym_lt] = ACTIONS(2959),
    [anon_sym_le] = ACTIONS(2959),
    [anon_sym_ge] = ACTIONS(2959),
    [anon_sym_gt] = ACTIONS(2959),
    [anon_sym_isa] = ACTIONS(2959),
    [anon_sym_PLUS_PLUS] = ACTIONS(2959),
    [anon_sym_DASH_DASH] = ACTIONS(2959),
    [anon_sym_QMARK] = ACTIONS(2959),
    [anon_sym_EQ_GT] = ACTIONS(2959),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2143] = {
    [sym_heredoc_content] = STATE(2143),
    [anon_sym_RBRACE] = ACTIONS(3146),
    [anon_sym_COLON] = ACTIONS(3146),
    [anon_sym_EQ] = ACTIONS(3148),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3146),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3146),
    [anon_sym_COMMA] = ACTIONS(3146),
    [anon_sym_RPAREN] = ACTIONS(3146),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3146),
    [anon_sym_DASH_GT] = ACTIONS(3146),
    [anon_sym_PERCENT] = ACTIONS(3148),
    [anon_sym_GT] = ACTIONS(3148),
    [anon_sym_LT_LT] = ACTIONS(3148),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3146),
    [anon_sym_PLUS_EQ] = ACTIONS(3146),
    [anon_sym_DASH_EQ] = ACTIONS(3146),
    [anon_sym_DOT_EQ] = ACTIONS(3146),
    [anon_sym_STAR_EQ] = ACTIONS(3146),
    [anon_sym_SLASH_EQ] = ACTIONS(3146),
    [anon_sym_PERCENT_EQ] = ACTIONS(3146),
    [anon_sym_x_EQ] = ACTIONS(3146),
    [anon_sym_AMP_EQ] = ACTIONS(3146),
    [anon_sym_PIPE_EQ] = ACTIONS(3146),
    [anon_sym_CARET_EQ] = ACTIONS(3146),
    [anon_sym_LT_LT_EQ] = ACTIONS(3146),
    [anon_sym_GT_GT_EQ] = ACTIONS(3146),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3146),
    [anon_sym_DOT_DOT] = ACTIONS(3148),
    [anon_sym_STAR_STAR] = ACTIONS(3148),
    [anon_sym_PIPE_PIPE] = ACTIONS(3148),
    [anon_sym_SLASH_SLASH] = ACTIONS(3148),
    [anon_sym_CARET_CARET] = ACTIONS(3146),
    [anon_sym_AMP_AMP] = ACTIONS(3148),
    [anon_sym_PIPE] = ACTIONS(3148),
    [anon_sym_CARET] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3148),
    [anon_sym_GT_GT2] = ACTIONS(3148),
    [anon_sym_PLUS] = ACTIONS(3148),
    [anon_sym_DASH] = ACTIONS(3148),
    [anon_sym_DOT] = ACTIONS(3148),
    [anon_sym_STAR] = ACTIONS(3148),
    [anon_sym_SLASH] = ACTIONS(3148),
    [anon_sym_x] = ACTIONS(3148),
    [anon_sym_EQ_TILDE] = ACTIONS(3146),
    [anon_sym_BANG_TILDE] = ACTIONS(3146),
    [anon_sym_EQ_EQ] = ACTIONS(3148),
    [anon_sym_BANG_EQ] = ACTIONS(3146),
    [anon_sym_eq] = ACTIONS(3148),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3146),
    [anon_sym_equ] = ACTIONS(3146),
    [anon_sym_eqr] = ACTIONS(3146),
    [anon_sym_ne] = ACTIONS(3146),
    [anon_sym_LT_EQ_GT] = ACTIONS(3146),
    [anon_sym_cmp] = ACTIONS(3146),
    [anon_sym_TILDE_TILDE] = ACTIONS(3146),
    [anon_sym_LT] = ACTIONS(3148),
    [anon_sym_LT_EQ] = ACTIONS(3148),
    [anon_sym_GT_EQ] = ACTIONS(3146),
    [anon_sym_lt] = ACTIONS(3146),
    [anon_sym_le] = ACTIONS(3146),
    [anon_sym_ge] = ACTIONS(3146),
    [anon_sym_gt] = ACTIONS(3146),
    [anon_sym_isa] = ACTIONS(3146),
    [anon_sym_PLUS_PLUS] = ACTIONS(3146),
    [anon_sym_DASH_DASH] = ACTIONS(3146),
    [anon_sym_QMARK] = ACTIONS(3146),
    [anon_sym_EQ_GT] = ACTIONS(3146),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2144] = {
    [sym_heredoc_content] = STATE(2144),
    [anon_sym_RBRACE] = ACTIONS(3150),
    [anon_sym_COLON] = ACTIONS(3150),
    [anon_sym_EQ] = ACTIONS(3152),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3150),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3150),
    [anon_sym_COMMA] = ACTIONS(3150),
    [anon_sym_RPAREN] = ACTIONS(3150),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3150),
    [anon_sym_DASH_GT] = ACTIONS(3150),
    [anon_sym_PERCENT] = ACTIONS(3152),
    [anon_sym_GT] = ACTIONS(3152),
    [anon_sym_LT_LT] = ACTIONS(3152),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3150),
    [anon_sym_PLUS_EQ] = ACTIONS(3150),
    [anon_sym_DASH_EQ] = ACTIONS(3150),
    [anon_sym_DOT_EQ] = ACTIONS(3150),
    [anon_sym_STAR_EQ] = ACTIONS(3150),
    [anon_sym_SLASH_EQ] = ACTIONS(3150),
    [anon_sym_PERCENT_EQ] = ACTIONS(3150),
    [anon_sym_x_EQ] = ACTIONS(3150),
    [anon_sym_AMP_EQ] = ACTIONS(3150),
    [anon_sym_PIPE_EQ] = ACTIONS(3150),
    [anon_sym_CARET_EQ] = ACTIONS(3150),
    [anon_sym_LT_LT_EQ] = ACTIONS(3150),
    [anon_sym_GT_GT_EQ] = ACTIONS(3150),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3150),
    [anon_sym_DOT_DOT] = ACTIONS(3152),
    [anon_sym_STAR_STAR] = ACTIONS(3152),
    [anon_sym_PIPE_PIPE] = ACTIONS(3152),
    [anon_sym_SLASH_SLASH] = ACTIONS(3152),
    [anon_sym_CARET_CARET] = ACTIONS(3150),
    [anon_sym_AMP_AMP] = ACTIONS(3152),
    [anon_sym_PIPE] = ACTIONS(3152),
    [anon_sym_CARET] = ACTIONS(3152),
    [anon_sym_AMP] = ACTIONS(3152),
    [anon_sym_GT_GT2] = ACTIONS(3152),
    [anon_sym_PLUS] = ACTIONS(3152),
    [anon_sym_DASH] = ACTIONS(3152),
    [anon_sym_DOT] = ACTIONS(3152),
    [anon_sym_STAR] = ACTIONS(3152),
    [anon_sym_SLASH] = ACTIONS(3152),
    [anon_sym_x] = ACTIONS(3152),
    [anon_sym_EQ_TILDE] = ACTIONS(3150),
    [anon_sym_BANG_TILDE] = ACTIONS(3150),
    [anon_sym_EQ_EQ] = ACTIONS(3152),
    [anon_sym_BANG_EQ] = ACTIONS(3150),
    [anon_sym_eq] = ACTIONS(3152),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3150),
    [anon_sym_equ] = ACTIONS(3150),
    [anon_sym_eqr] = ACTIONS(3150),
    [anon_sym_ne] = ACTIONS(3150),
    [anon_sym_LT_EQ_GT] = ACTIONS(3150),
    [anon_sym_cmp] = ACTIONS(3150),
    [anon_sym_TILDE_TILDE] = ACTIONS(3150),
    [anon_sym_LT] = ACTIONS(3152),
    [anon_sym_LT_EQ] = ACTIONS(3152),
    [anon_sym_GT_EQ] = ACTIONS(3150),
    [anon_sym_lt] = ACTIONS(3150),
    [anon_sym_le] = ACTIONS(3150),
    [anon_sym_ge] = ACTIONS(3150),
    [anon_sym_gt] = ACTIONS(3150),
    [anon_sym_isa] = ACTIONS(3150),
    [anon_sym_PLUS_PLUS] = ACTIONS(3150),
    [anon_sym_DASH_DASH] = ACTIONS(3150),
    [anon_sym_QMARK] = ACTIONS(3150),
    [anon_sym_EQ_GT] = ACTIONS(3150),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2145] = {
    [sym_heredoc_content] = STATE(2145),
    [anon_sym_RBRACE] = ACTIONS(3047),
    [anon_sym_COLON] = ACTIONS(3047),
    [anon_sym_EQ] = ACTIONS(3049),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3047),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3047),
    [anon_sym_COMMA] = ACTIONS(3047),
    [anon_sym_RPAREN] = ACTIONS(3047),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3047),
    [anon_sym_DASH_GT] = ACTIONS(3047),
    [anon_sym_PERCENT] = ACTIONS(3049),
    [anon_sym_GT] = ACTIONS(3049),
    [anon_sym_LT_LT] = ACTIONS(3049),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3047),
    [anon_sym_PLUS_EQ] = ACTIONS(3047),
    [anon_sym_DASH_EQ] = ACTIONS(3047),
    [anon_sym_DOT_EQ] = ACTIONS(3047),
    [anon_sym_STAR_EQ] = ACTIONS(3047),
    [anon_sym_SLASH_EQ] = ACTIONS(3047),
    [anon_sym_PERCENT_EQ] = ACTIONS(3047),
    [anon_sym_x_EQ] = ACTIONS(3047),
    [anon_sym_AMP_EQ] = ACTIONS(3047),
    [anon_sym_PIPE_EQ] = ACTIONS(3047),
    [anon_sym_CARET_EQ] = ACTIONS(3047),
    [anon_sym_LT_LT_EQ] = ACTIONS(3047),
    [anon_sym_GT_GT_EQ] = ACTIONS(3047),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3047),
    [anon_sym_DOT_DOT] = ACTIONS(3049),
    [anon_sym_STAR_STAR] = ACTIONS(3049),
    [anon_sym_PIPE_PIPE] = ACTIONS(3049),
    [anon_sym_SLASH_SLASH] = ACTIONS(3049),
    [anon_sym_CARET_CARET] = ACTIONS(3047),
    [anon_sym_AMP_AMP] = ACTIONS(3049),
    [anon_sym_PIPE] = ACTIONS(3049),
    [anon_sym_CARET] = ACTIONS(3049),
    [anon_sym_AMP] = ACTIONS(3049),
    [anon_sym_GT_GT2] = ACTIONS(3049),
    [anon_sym_PLUS] = ACTIONS(3049),
    [anon_sym_DASH] = ACTIONS(3049),
    [anon_sym_DOT] = ACTIONS(3049),
    [anon_sym_STAR] = ACTIONS(3049),
    [anon_sym_SLASH] = ACTIONS(3049),
    [anon_sym_x] = ACTIONS(3049),
    [anon_sym_EQ_TILDE] = ACTIONS(3047),
    [anon_sym_BANG_TILDE] = ACTIONS(3047),
    [anon_sym_EQ_EQ] = ACTIONS(3049),
    [anon_sym_BANG_EQ] = ACTIONS(3047),
    [anon_sym_eq] = ACTIONS(3049),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3047),
    [anon_sym_equ] = ACTIONS(3047),
    [anon_sym_eqr] = ACTIONS(3047),
    [anon_sym_ne] = ACTIONS(3047),
    [anon_sym_LT_EQ_GT] = ACTIONS(3047),
    [anon_sym_cmp] = ACTIONS(3047),
    [anon_sym_TILDE_TILDE] = ACTIONS(3047),
    [anon_sym_LT] = ACTIONS(3049),
    [anon_sym_LT_EQ] = ACTIONS(3049),
    [anon_sym_GT_EQ] = ACTIONS(3047),
    [anon_sym_lt] = ACTIONS(3047),
    [anon_sym_le] = ACTIONS(3047),
    [anon_sym_ge] = ACTIONS(3047),
    [anon_sym_gt] = ACTIONS(3047),
    [anon_sym_isa] = ACTIONS(3047),
    [anon_sym_PLUS_PLUS] = ACTIONS(3047),
    [anon_sym_DASH_DASH] = ACTIONS(3047),
    [anon_sym_QMARK] = ACTIONS(3047),
    [anon_sym_EQ_GT] = ACTIONS(3047),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2146] = {
    [sym_heredoc_content] = STATE(2146),
    [anon_sym_SEMI] = ACTIONS(2568),
    [anon_sym_EQ] = ACTIONS(2570),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2568),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2568),
    [anon_sym_COMMA] = ACTIONS(2568),
    [anon_sym_LPAREN] = ACTIONS(3887),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2568),
    [anon_sym_DASH_GT] = ACTIONS(2568),
    [anon_sym_PERCENT] = ACTIONS(2570),
    [anon_sym_GT] = ACTIONS(2570),
    [anon_sym_LT_LT] = ACTIONS(2570),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2568),
    [anon_sym_PLUS_EQ] = ACTIONS(2568),
    [anon_sym_DASH_EQ] = ACTIONS(2568),
    [anon_sym_DOT_EQ] = ACTIONS(2568),
    [anon_sym_STAR_EQ] = ACTIONS(2568),
    [anon_sym_SLASH_EQ] = ACTIONS(2568),
    [anon_sym_PERCENT_EQ] = ACTIONS(2568),
    [anon_sym_x_EQ] = ACTIONS(2568),
    [anon_sym_AMP_EQ] = ACTIONS(2568),
    [anon_sym_PIPE_EQ] = ACTIONS(2568),
    [anon_sym_CARET_EQ] = ACTIONS(2568),
    [anon_sym_LT_LT_EQ] = ACTIONS(2568),
    [anon_sym_GT_GT_EQ] = ACTIONS(2568),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2568),
    [anon_sym_DOT_DOT] = ACTIONS(2570),
    [anon_sym_STAR_STAR] = ACTIONS(2570),
    [anon_sym_PIPE_PIPE] = ACTIONS(2570),
    [anon_sym_SLASH_SLASH] = ACTIONS(2570),
    [anon_sym_CARET_CARET] = ACTIONS(2568),
    [anon_sym_AMP_AMP] = ACTIONS(2570),
    [anon_sym_PIPE] = ACTIONS(2570),
    [anon_sym_CARET] = ACTIONS(2570),
    [anon_sym_AMP] = ACTIONS(2570),
    [anon_sym_GT_GT2] = ACTIONS(2570),
    [anon_sym_PLUS] = ACTIONS(2570),
    [anon_sym_DASH] = ACTIONS(2570),
    [anon_sym_DOT] = ACTIONS(2570),
    [anon_sym_STAR] = ACTIONS(2570),
    [anon_sym_SLASH] = ACTIONS(2570),
    [anon_sym_x] = ACTIONS(2570),
    [anon_sym_EQ_TILDE] = ACTIONS(2568),
    [anon_sym_BANG_TILDE] = ACTIONS(2568),
    [anon_sym_EQ_EQ] = ACTIONS(2570),
    [anon_sym_BANG_EQ] = ACTIONS(2568),
    [anon_sym_eq] = ACTIONS(2570),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2568),
    [anon_sym_equ] = ACTIONS(2568),
    [anon_sym_eqr] = ACTIONS(2568),
    [anon_sym_ne] = ACTIONS(2568),
    [anon_sym_LT_EQ_GT] = ACTIONS(2568),
    [anon_sym_cmp] = ACTIONS(2568),
    [anon_sym_TILDE_TILDE] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_LT_EQ] = ACTIONS(2570),
    [anon_sym_GT_EQ] = ACTIONS(2568),
    [anon_sym_lt] = ACTIONS(2568),
    [anon_sym_le] = ACTIONS(2568),
    [anon_sym_ge] = ACTIONS(2568),
    [anon_sym_gt] = ACTIONS(2568),
    [anon_sym_isa] = ACTIONS(2568),
    [anon_sym_PLUS_PLUS] = ACTIONS(2568),
    [anon_sym_DASH_DASH] = ACTIONS(2568),
    [anon_sym_QMARK] = ACTIONS(2568),
    [anon_sym_EQ_GT] = ACTIONS(2568),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2568),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2147] = {
    [sym_heredoc_content] = STATE(2147),
    [anon_sym_SEMI] = ACTIONS(2754),
    [anon_sym_EQ] = ACTIONS(2756),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2754),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2754),
    [anon_sym_COMMA] = ACTIONS(2754),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2754),
    [anon_sym_DASH_GT] = ACTIONS(2754),
    [anon_sym_PERCENT] = ACTIONS(2756),
    [anon_sym_GT] = ACTIONS(2756),
    [anon_sym_LT_LT] = ACTIONS(2756),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2754),
    [anon_sym_PLUS_EQ] = ACTIONS(2754),
    [anon_sym_DASH_EQ] = ACTIONS(2754),
    [anon_sym_DOT_EQ] = ACTIONS(2754),
    [anon_sym_STAR_EQ] = ACTIONS(2754),
    [anon_sym_SLASH_EQ] = ACTIONS(2754),
    [anon_sym_PERCENT_EQ] = ACTIONS(2754),
    [anon_sym_x_EQ] = ACTIONS(2756),
    [anon_sym_AMP_EQ] = ACTIONS(2754),
    [anon_sym_PIPE_EQ] = ACTIONS(2754),
    [anon_sym_CARET_EQ] = ACTIONS(2754),
    [anon_sym_LT_LT_EQ] = ACTIONS(2754),
    [anon_sym_GT_GT_EQ] = ACTIONS(2754),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2754),
    [anon_sym_DOT_DOT] = ACTIONS(2756),
    [anon_sym_STAR_STAR] = ACTIONS(2756),
    [anon_sym_PIPE_PIPE] = ACTIONS(2756),
    [anon_sym_SLASH_SLASH] = ACTIONS(2756),
    [anon_sym_CARET_CARET] = ACTIONS(2754),
    [anon_sym_AMP_AMP] = ACTIONS(2756),
    [anon_sym_PIPE] = ACTIONS(2756),
    [anon_sym_CARET] = ACTIONS(2756),
    [anon_sym_AMP] = ACTIONS(2756),
    [anon_sym_GT_GT2] = ACTIONS(2756),
    [anon_sym_PLUS] = ACTIONS(2756),
    [anon_sym_DASH] = ACTIONS(2756),
    [anon_sym_DOT] = ACTIONS(2756),
    [anon_sym_STAR] = ACTIONS(2756),
    [anon_sym_SLASH] = ACTIONS(2756),
    [anon_sym_x] = ACTIONS(2756),
    [anon_sym_EQ_TILDE] = ACTIONS(2754),
    [anon_sym_BANG_TILDE] = ACTIONS(2754),
    [anon_sym_EQ_EQ] = ACTIONS(2756),
    [anon_sym_BANG_EQ] = ACTIONS(2754),
    [anon_sym_eq] = ACTIONS(2756),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2754),
    [anon_sym_equ] = ACTIONS(2754),
    [anon_sym_eqr] = ACTIONS(2754),
    [anon_sym_ne] = ACTIONS(2756),
    [anon_sym_LT_EQ_GT] = ACTIONS(2754),
    [anon_sym_cmp] = ACTIONS(2756),
    [anon_sym_TILDE_TILDE] = ACTIONS(2754),
    [anon_sym_LT] = ACTIONS(2756),
    [anon_sym_LT_EQ] = ACTIONS(2756),
    [anon_sym_GT_EQ] = ACTIONS(2754),
    [anon_sym_lt] = ACTIONS(2756),
    [anon_sym_le] = ACTIONS(2756),
    [anon_sym_ge] = ACTIONS(2756),
    [anon_sym_gt] = ACTIONS(2756),
    [anon_sym_isa] = ACTIONS(2756),
    [anon_sym_PLUS_PLUS] = ACTIONS(2754),
    [anon_sym_DASH_DASH] = ACTIONS(2754),
    [anon_sym_QMARK] = ACTIONS(2754),
    [anon_sym_EQ_GT] = ACTIONS(2754),
    [sym_comment] = ACTIONS(5),
    [sym_match_regexp_modifiers] = ACTIONS(3889),
    [sym__PERLY_SEMICOLON] = ACTIONS(2754),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2148] = {
    [sym_heredoc_content] = STATE(2148),
    [anon_sym_RBRACE] = ACTIONS(3214),
    [anon_sym_COLON] = ACTIONS(3214),
    [anon_sym_EQ] = ACTIONS(3216),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3214),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3214),
    [anon_sym_COMMA] = ACTIONS(3214),
    [anon_sym_RPAREN] = ACTIONS(3214),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3214),
    [anon_sym_DASH_GT] = ACTIONS(3214),
    [anon_sym_PERCENT] = ACTIONS(3216),
    [anon_sym_GT] = ACTIONS(3216),
    [anon_sym_LT_LT] = ACTIONS(3216),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3214),
    [anon_sym_PLUS_EQ] = ACTIONS(3214),
    [anon_sym_DASH_EQ] = ACTIONS(3214),
    [anon_sym_DOT_EQ] = ACTIONS(3214),
    [anon_sym_STAR_EQ] = ACTIONS(3214),
    [anon_sym_SLASH_EQ] = ACTIONS(3214),
    [anon_sym_PERCENT_EQ] = ACTIONS(3214),
    [anon_sym_x_EQ] = ACTIONS(3214),
    [anon_sym_AMP_EQ] = ACTIONS(3214),
    [anon_sym_PIPE_EQ] = ACTIONS(3214),
    [anon_sym_CARET_EQ] = ACTIONS(3214),
    [anon_sym_LT_LT_EQ] = ACTIONS(3214),
    [anon_sym_GT_GT_EQ] = ACTIONS(3214),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3214),
    [anon_sym_DOT_DOT] = ACTIONS(3216),
    [anon_sym_STAR_STAR] = ACTIONS(3216),
    [anon_sym_PIPE_PIPE] = ACTIONS(3216),
    [anon_sym_SLASH_SLASH] = ACTIONS(3216),
    [anon_sym_CARET_CARET] = ACTIONS(3214),
    [anon_sym_AMP_AMP] = ACTIONS(3216),
    [anon_sym_PIPE] = ACTIONS(3216),
    [anon_sym_CARET] = ACTIONS(3216),
    [anon_sym_AMP] = ACTIONS(3216),
    [anon_sym_GT_GT2] = ACTIONS(3216),
    [anon_sym_PLUS] = ACTIONS(3216),
    [anon_sym_DASH] = ACTIONS(3216),
    [anon_sym_DOT] = ACTIONS(3216),
    [anon_sym_STAR] = ACTIONS(3216),
    [anon_sym_SLASH] = ACTIONS(3216),
    [anon_sym_x] = ACTIONS(3216),
    [anon_sym_EQ_TILDE] = ACTIONS(3214),
    [anon_sym_BANG_TILDE] = ACTIONS(3214),
    [anon_sym_EQ_EQ] = ACTIONS(3216),
    [anon_sym_BANG_EQ] = ACTIONS(3214),
    [anon_sym_eq] = ACTIONS(3216),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3214),
    [anon_sym_equ] = ACTIONS(3214),
    [anon_sym_eqr] = ACTIONS(3214),
    [anon_sym_ne] = ACTIONS(3214),
    [anon_sym_LT_EQ_GT] = ACTIONS(3214),
    [anon_sym_cmp] = ACTIONS(3214),
    [anon_sym_TILDE_TILDE] = ACTIONS(3214),
    [anon_sym_LT] = ACTIONS(3216),
    [anon_sym_LT_EQ] = ACTIONS(3216),
    [anon_sym_GT_EQ] = ACTIONS(3214),
    [anon_sym_lt] = ACTIONS(3214),
    [anon_sym_le] = ACTIONS(3214),
    [anon_sym_ge] = ACTIONS(3214),
    [anon_sym_gt] = ACTIONS(3214),
    [anon_sym_isa] = ACTIONS(3214),
    [anon_sym_PLUS_PLUS] = ACTIONS(3214),
    [anon_sym_DASH_DASH] = ACTIONS(3214),
    [anon_sym_QMARK] = ACTIONS(3214),
    [anon_sym_EQ_GT] = ACTIONS(3214),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2149] = {
    [sym_heredoc_content] = STATE(2149),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_COLON] = ACTIONS(3154),
    [anon_sym_EQ] = ACTIONS(3156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3154),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3154),
    [anon_sym_COMMA] = ACTIONS(3154),
    [anon_sym_RPAREN] = ACTIONS(3154),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3154),
    [anon_sym_DASH_GT] = ACTIONS(3154),
    [anon_sym_PERCENT] = ACTIONS(3156),
    [anon_sym_GT] = ACTIONS(3156),
    [anon_sym_LT_LT] = ACTIONS(3156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3154),
    [anon_sym_PLUS_EQ] = ACTIONS(3154),
    [anon_sym_DASH_EQ] = ACTIONS(3154),
    [anon_sym_DOT_EQ] = ACTIONS(3154),
    [anon_sym_STAR_EQ] = ACTIONS(3154),
    [anon_sym_SLASH_EQ] = ACTIONS(3154),
    [anon_sym_PERCENT_EQ] = ACTIONS(3154),
    [anon_sym_x_EQ] = ACTIONS(3154),
    [anon_sym_AMP_EQ] = ACTIONS(3154),
    [anon_sym_PIPE_EQ] = ACTIONS(3154),
    [anon_sym_CARET_EQ] = ACTIONS(3154),
    [anon_sym_LT_LT_EQ] = ACTIONS(3154),
    [anon_sym_GT_GT_EQ] = ACTIONS(3154),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3154),
    [anon_sym_DOT_DOT] = ACTIONS(3156),
    [anon_sym_STAR_STAR] = ACTIONS(3156),
    [anon_sym_PIPE_PIPE] = ACTIONS(3156),
    [anon_sym_SLASH_SLASH] = ACTIONS(3156),
    [anon_sym_CARET_CARET] = ACTIONS(3154),
    [anon_sym_AMP_AMP] = ACTIONS(3156),
    [anon_sym_PIPE] = ACTIONS(3156),
    [anon_sym_CARET] = ACTIONS(3156),
    [anon_sym_AMP] = ACTIONS(3156),
    [anon_sym_GT_GT2] = ACTIONS(3156),
    [anon_sym_PLUS] = ACTIONS(3156),
    [anon_sym_DASH] = ACTIONS(3156),
    [anon_sym_DOT] = ACTIONS(3156),
    [anon_sym_STAR] = ACTIONS(3156),
    [anon_sym_SLASH] = ACTIONS(3156),
    [anon_sym_x] = ACTIONS(3156),
    [anon_sym_EQ_TILDE] = ACTIONS(3154),
    [anon_sym_BANG_TILDE] = ACTIONS(3154),
    [anon_sym_EQ_EQ] = ACTIONS(3156),
    [anon_sym_BANG_EQ] = ACTIONS(3154),
    [anon_sym_eq] = ACTIONS(3156),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3154),
    [anon_sym_equ] = ACTIONS(3154),
    [anon_sym_eqr] = ACTIONS(3154),
    [anon_sym_ne] = ACTIONS(3154),
    [anon_sym_LT_EQ_GT] = ACTIONS(3154),
    [anon_sym_cmp] = ACTIONS(3154),
    [anon_sym_TILDE_TILDE] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3156),
    [anon_sym_LT_EQ] = ACTIONS(3156),
    [anon_sym_GT_EQ] = ACTIONS(3154),
    [anon_sym_lt] = ACTIONS(3154),
    [anon_sym_le] = ACTIONS(3154),
    [anon_sym_ge] = ACTIONS(3154),
    [anon_sym_gt] = ACTIONS(3154),
    [anon_sym_isa] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [anon_sym_QMARK] = ACTIONS(3154),
    [anon_sym_EQ_GT] = ACTIONS(3154),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2150] = {
    [sym_heredoc_content] = STATE(2150),
    [anon_sym_RBRACE] = ACTIONS(2903),
    [anon_sym_COLON] = ACTIONS(2903),
    [anon_sym_EQ] = ACTIONS(2905),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2903),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2903),
    [anon_sym_COMMA] = ACTIONS(2903),
    [anon_sym_RPAREN] = ACTIONS(2903),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2903),
    [anon_sym_DASH_GT] = ACTIONS(2903),
    [anon_sym_PERCENT] = ACTIONS(2905),
    [anon_sym_GT] = ACTIONS(2905),
    [anon_sym_LT_LT] = ACTIONS(2905),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2903),
    [anon_sym_PLUS_EQ] = ACTIONS(2903),
    [anon_sym_DASH_EQ] = ACTIONS(2903),
    [anon_sym_DOT_EQ] = ACTIONS(2903),
    [anon_sym_STAR_EQ] = ACTIONS(2903),
    [anon_sym_SLASH_EQ] = ACTIONS(2903),
    [anon_sym_PERCENT_EQ] = ACTIONS(2903),
    [anon_sym_x_EQ] = ACTIONS(2903),
    [anon_sym_AMP_EQ] = ACTIONS(2903),
    [anon_sym_PIPE_EQ] = ACTIONS(2903),
    [anon_sym_CARET_EQ] = ACTIONS(2903),
    [anon_sym_LT_LT_EQ] = ACTIONS(2903),
    [anon_sym_GT_GT_EQ] = ACTIONS(2903),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2903),
    [anon_sym_DOT_DOT] = ACTIONS(2905),
    [anon_sym_STAR_STAR] = ACTIONS(2905),
    [anon_sym_PIPE_PIPE] = ACTIONS(2905),
    [anon_sym_SLASH_SLASH] = ACTIONS(2905),
    [anon_sym_CARET_CARET] = ACTIONS(2903),
    [anon_sym_AMP_AMP] = ACTIONS(2905),
    [anon_sym_PIPE] = ACTIONS(2905),
    [anon_sym_CARET] = ACTIONS(2905),
    [anon_sym_AMP] = ACTIONS(2905),
    [anon_sym_GT_GT2] = ACTIONS(2905),
    [anon_sym_PLUS] = ACTIONS(2905),
    [anon_sym_DASH] = ACTIONS(2905),
    [anon_sym_DOT] = ACTIONS(2905),
    [anon_sym_STAR] = ACTIONS(2905),
    [anon_sym_SLASH] = ACTIONS(2905),
    [anon_sym_x] = ACTIONS(2905),
    [anon_sym_EQ_TILDE] = ACTIONS(2903),
    [anon_sym_BANG_TILDE] = ACTIONS(2903),
    [anon_sym_EQ_EQ] = ACTIONS(2905),
    [anon_sym_BANG_EQ] = ACTIONS(2903),
    [anon_sym_eq] = ACTIONS(2905),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2903),
    [anon_sym_equ] = ACTIONS(2903),
    [anon_sym_eqr] = ACTIONS(2903),
    [anon_sym_ne] = ACTIONS(2903),
    [anon_sym_LT_EQ_GT] = ACTIONS(2903),
    [anon_sym_cmp] = ACTIONS(2903),
    [anon_sym_TILDE_TILDE] = ACTIONS(2903),
    [anon_sym_LT] = ACTIONS(2905),
    [anon_sym_LT_EQ] = ACTIONS(2905),
    [anon_sym_GT_EQ] = ACTIONS(2903),
    [anon_sym_lt] = ACTIONS(2903),
    [anon_sym_le] = ACTIONS(2903),
    [anon_sym_ge] = ACTIONS(2903),
    [anon_sym_gt] = ACTIONS(2903),
    [anon_sym_isa] = ACTIONS(2903),
    [anon_sym_PLUS_PLUS] = ACTIONS(2903),
    [anon_sym_DASH_DASH] = ACTIONS(2903),
    [anon_sym_QMARK] = ACTIONS(2903),
    [anon_sym_EQ_GT] = ACTIONS(2903),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2151] = {
    [sym_heredoc_content] = STATE(2151),
    [anon_sym_RBRACE] = ACTIONS(3011),
    [anon_sym_COLON] = ACTIONS(3011),
    [anon_sym_EQ] = ACTIONS(3013),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3011),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3011),
    [anon_sym_COMMA] = ACTIONS(3011),
    [anon_sym_RPAREN] = ACTIONS(3011),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3011),
    [anon_sym_DASH_GT] = ACTIONS(3011),
    [anon_sym_PERCENT] = ACTIONS(3013),
    [anon_sym_GT] = ACTIONS(3013),
    [anon_sym_LT_LT] = ACTIONS(3013),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3011),
    [anon_sym_PLUS_EQ] = ACTIONS(3011),
    [anon_sym_DASH_EQ] = ACTIONS(3011),
    [anon_sym_DOT_EQ] = ACTIONS(3011),
    [anon_sym_STAR_EQ] = ACTIONS(3011),
    [anon_sym_SLASH_EQ] = ACTIONS(3011),
    [anon_sym_PERCENT_EQ] = ACTIONS(3011),
    [anon_sym_x_EQ] = ACTIONS(3011),
    [anon_sym_AMP_EQ] = ACTIONS(3011),
    [anon_sym_PIPE_EQ] = ACTIONS(3011),
    [anon_sym_CARET_EQ] = ACTIONS(3011),
    [anon_sym_LT_LT_EQ] = ACTIONS(3011),
    [anon_sym_GT_GT_EQ] = ACTIONS(3011),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3011),
    [anon_sym_DOT_DOT] = ACTIONS(3013),
    [anon_sym_STAR_STAR] = ACTIONS(3013),
    [anon_sym_PIPE_PIPE] = ACTIONS(3013),
    [anon_sym_SLASH_SLASH] = ACTIONS(3013),
    [anon_sym_CARET_CARET] = ACTIONS(3011),
    [anon_sym_AMP_AMP] = ACTIONS(3013),
    [anon_sym_PIPE] = ACTIONS(3013),
    [anon_sym_CARET] = ACTIONS(3013),
    [anon_sym_AMP] = ACTIONS(3013),
    [anon_sym_GT_GT2] = ACTIONS(3013),
    [anon_sym_PLUS] = ACTIONS(3013),
    [anon_sym_DASH] = ACTIONS(3013),
    [anon_sym_DOT] = ACTIONS(3013),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_SLASH] = ACTIONS(3013),
    [anon_sym_x] = ACTIONS(3013),
    [anon_sym_EQ_TILDE] = ACTIONS(3011),
    [anon_sym_BANG_TILDE] = ACTIONS(3011),
    [anon_sym_EQ_EQ] = ACTIONS(3013),
    [anon_sym_BANG_EQ] = ACTIONS(3011),
    [anon_sym_eq] = ACTIONS(3013),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3011),
    [anon_sym_equ] = ACTIONS(3011),
    [anon_sym_eqr] = ACTIONS(3011),
    [anon_sym_ne] = ACTIONS(3011),
    [anon_sym_LT_EQ_GT] = ACTIONS(3011),
    [anon_sym_cmp] = ACTIONS(3011),
    [anon_sym_TILDE_TILDE] = ACTIONS(3011),
    [anon_sym_LT] = ACTIONS(3013),
    [anon_sym_LT_EQ] = ACTIONS(3013),
    [anon_sym_GT_EQ] = ACTIONS(3011),
    [anon_sym_lt] = ACTIONS(3011),
    [anon_sym_le] = ACTIONS(3011),
    [anon_sym_ge] = ACTIONS(3011),
    [anon_sym_gt] = ACTIONS(3011),
    [anon_sym_isa] = ACTIONS(3011),
    [anon_sym_PLUS_PLUS] = ACTIONS(3011),
    [anon_sym_DASH_DASH] = ACTIONS(3011),
    [anon_sym_QMARK] = ACTIONS(3011),
    [anon_sym_EQ_GT] = ACTIONS(3011),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2152] = {
    [sym_heredoc_content] = STATE(2152),
    [anon_sym_RBRACE] = ACTIONS(1665),
    [anon_sym_COLON] = ACTIONS(1665),
    [anon_sym_EQ] = ACTIONS(1663),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1665),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1665),
    [anon_sym_COMMA] = ACTIONS(1665),
    [anon_sym_RPAREN] = ACTIONS(1665),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1665),
    [anon_sym_DASH_GT] = ACTIONS(1665),
    [anon_sym_PERCENT] = ACTIONS(1663),
    [anon_sym_GT] = ACTIONS(1663),
    [anon_sym_LT_LT] = ACTIONS(1663),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1665),
    [anon_sym_PLUS_EQ] = ACTIONS(1665),
    [anon_sym_DASH_EQ] = ACTIONS(1665),
    [anon_sym_DOT_EQ] = ACTIONS(1665),
    [anon_sym_STAR_EQ] = ACTIONS(1665),
    [anon_sym_SLASH_EQ] = ACTIONS(1665),
    [anon_sym_PERCENT_EQ] = ACTIONS(1665),
    [anon_sym_x_EQ] = ACTIONS(1665),
    [anon_sym_AMP_EQ] = ACTIONS(1665),
    [anon_sym_PIPE_EQ] = ACTIONS(1665),
    [anon_sym_CARET_EQ] = ACTIONS(1665),
    [anon_sym_LT_LT_EQ] = ACTIONS(1665),
    [anon_sym_GT_GT_EQ] = ACTIONS(1665),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1665),
    [anon_sym_DOT_DOT] = ACTIONS(1663),
    [anon_sym_STAR_STAR] = ACTIONS(1663),
    [anon_sym_PIPE_PIPE] = ACTIONS(1663),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_CARET_CARET] = ACTIONS(1665),
    [anon_sym_AMP_AMP] = ACTIONS(1663),
    [anon_sym_PIPE] = ACTIONS(1663),
    [anon_sym_CARET] = ACTIONS(1663),
    [anon_sym_AMP] = ACTIONS(1663),
    [anon_sym_GT_GT2] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(1663),
    [anon_sym_DASH] = ACTIONS(1663),
    [anon_sym_DOT] = ACTIONS(1663),
    [anon_sym_STAR] = ACTIONS(1663),
    [anon_sym_SLASH] = ACTIONS(1663),
    [anon_sym_x] = ACTIONS(1663),
    [anon_sym_EQ_TILDE] = ACTIONS(1665),
    [anon_sym_BANG_TILDE] = ACTIONS(1665),
    [anon_sym_EQ_EQ] = ACTIONS(1663),
    [anon_sym_BANG_EQ] = ACTIONS(1665),
    [anon_sym_eq] = ACTIONS(1663),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1665),
    [anon_sym_equ] = ACTIONS(1665),
    [anon_sym_eqr] = ACTIONS(1665),
    [anon_sym_ne] = ACTIONS(1665),
    [anon_sym_LT_EQ_GT] = ACTIONS(1665),
    [anon_sym_cmp] = ACTIONS(1665),
    [anon_sym_TILDE_TILDE] = ACTIONS(1665),
    [anon_sym_LT] = ACTIONS(1663),
    [anon_sym_LT_EQ] = ACTIONS(1663),
    [anon_sym_GT_EQ] = ACTIONS(1665),
    [anon_sym_lt] = ACTIONS(1665),
    [anon_sym_le] = ACTIONS(1665),
    [anon_sym_ge] = ACTIONS(1665),
    [anon_sym_gt] = ACTIONS(1665),
    [anon_sym_isa] = ACTIONS(1665),
    [anon_sym_PLUS_PLUS] = ACTIONS(1665),
    [anon_sym_DASH_DASH] = ACTIONS(1665),
    [anon_sym_QMARK] = ACTIONS(1665),
    [anon_sym_EQ_GT] = ACTIONS(1665),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2153] = {
    [sym_heredoc_content] = STATE(2153),
    [anon_sym_RBRACE] = ACTIONS(2889),
    [anon_sym_COLON] = ACTIONS(2889),
    [anon_sym_EQ] = ACTIONS(2891),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2889),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2889),
    [anon_sym_COMMA] = ACTIONS(2889),
    [anon_sym_RPAREN] = ACTIONS(2889),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2889),
    [anon_sym_DASH_GT] = ACTIONS(2889),
    [anon_sym_PERCENT] = ACTIONS(2891),
    [anon_sym_GT] = ACTIONS(2891),
    [anon_sym_LT_LT] = ACTIONS(2891),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2889),
    [anon_sym_PLUS_EQ] = ACTIONS(2889),
    [anon_sym_DASH_EQ] = ACTIONS(2889),
    [anon_sym_DOT_EQ] = ACTIONS(2889),
    [anon_sym_STAR_EQ] = ACTIONS(2889),
    [anon_sym_SLASH_EQ] = ACTIONS(2889),
    [anon_sym_PERCENT_EQ] = ACTIONS(2889),
    [anon_sym_x_EQ] = ACTIONS(2889),
    [anon_sym_AMP_EQ] = ACTIONS(2889),
    [anon_sym_PIPE_EQ] = ACTIONS(2889),
    [anon_sym_CARET_EQ] = ACTIONS(2889),
    [anon_sym_LT_LT_EQ] = ACTIONS(2889),
    [anon_sym_GT_GT_EQ] = ACTIONS(2889),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2889),
    [anon_sym_DOT_DOT] = ACTIONS(2891),
    [anon_sym_STAR_STAR] = ACTIONS(2891),
    [anon_sym_PIPE_PIPE] = ACTIONS(2891),
    [anon_sym_SLASH_SLASH] = ACTIONS(2891),
    [anon_sym_CARET_CARET] = ACTIONS(2889),
    [anon_sym_AMP_AMP] = ACTIONS(2891),
    [anon_sym_PIPE] = ACTIONS(2891),
    [anon_sym_CARET] = ACTIONS(2891),
    [anon_sym_AMP] = ACTIONS(2891),
    [anon_sym_GT_GT2] = ACTIONS(2891),
    [anon_sym_PLUS] = ACTIONS(2891),
    [anon_sym_DASH] = ACTIONS(2891),
    [anon_sym_DOT] = ACTIONS(2891),
    [anon_sym_STAR] = ACTIONS(2891),
    [anon_sym_SLASH] = ACTIONS(2891),
    [anon_sym_x] = ACTIONS(2891),
    [anon_sym_EQ_TILDE] = ACTIONS(2889),
    [anon_sym_BANG_TILDE] = ACTIONS(2889),
    [anon_sym_EQ_EQ] = ACTIONS(2891),
    [anon_sym_BANG_EQ] = ACTIONS(2889),
    [anon_sym_eq] = ACTIONS(2891),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2889),
    [anon_sym_equ] = ACTIONS(2889),
    [anon_sym_eqr] = ACTIONS(2889),
    [anon_sym_ne] = ACTIONS(2889),
    [anon_sym_LT_EQ_GT] = ACTIONS(2889),
    [anon_sym_cmp] = ACTIONS(2889),
    [anon_sym_TILDE_TILDE] = ACTIONS(2889),
    [anon_sym_LT] = ACTIONS(2891),
    [anon_sym_LT_EQ] = ACTIONS(2891),
    [anon_sym_GT_EQ] = ACTIONS(2889),
    [anon_sym_lt] = ACTIONS(2889),
    [anon_sym_le] = ACTIONS(2889),
    [anon_sym_ge] = ACTIONS(2889),
    [anon_sym_gt] = ACTIONS(2889),
    [anon_sym_isa] = ACTIONS(2889),
    [anon_sym_PLUS_PLUS] = ACTIONS(2889),
    [anon_sym_DASH_DASH] = ACTIONS(2889),
    [anon_sym_QMARK] = ACTIONS(2889),
    [anon_sym_EQ_GT] = ACTIONS(2889),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2154] = {
    [sym_heredoc_content] = STATE(2154),
    [anon_sym_RBRACE] = ACTIONS(2640),
    [anon_sym_COLON] = ACTIONS(2640),
    [anon_sym_EQ] = ACTIONS(2642),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2640),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2640),
    [anon_sym_COMMA] = ACTIONS(2640),
    [anon_sym_RPAREN] = ACTIONS(2640),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2640),
    [anon_sym_DASH_GT] = ACTIONS(2640),
    [anon_sym_PERCENT] = ACTIONS(2642),
    [anon_sym_GT] = ACTIONS(2642),
    [anon_sym_LT_LT] = ACTIONS(2642),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2640),
    [anon_sym_PLUS_EQ] = ACTIONS(2640),
    [anon_sym_DASH_EQ] = ACTIONS(2640),
    [anon_sym_DOT_EQ] = ACTIONS(2640),
    [anon_sym_STAR_EQ] = ACTIONS(2640),
    [anon_sym_SLASH_EQ] = ACTIONS(2640),
    [anon_sym_PERCENT_EQ] = ACTIONS(2640),
    [anon_sym_x_EQ] = ACTIONS(2640),
    [anon_sym_AMP_EQ] = ACTIONS(2640),
    [anon_sym_PIPE_EQ] = ACTIONS(2640),
    [anon_sym_CARET_EQ] = ACTIONS(2640),
    [anon_sym_LT_LT_EQ] = ACTIONS(2640),
    [anon_sym_GT_GT_EQ] = ACTIONS(2640),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2640),
    [anon_sym_DOT_DOT] = ACTIONS(2642),
    [anon_sym_STAR_STAR] = ACTIONS(2642),
    [anon_sym_PIPE_PIPE] = ACTIONS(2642),
    [anon_sym_SLASH_SLASH] = ACTIONS(2642),
    [anon_sym_CARET_CARET] = ACTIONS(2640),
    [anon_sym_AMP_AMP] = ACTIONS(2642),
    [anon_sym_PIPE] = ACTIONS(2642),
    [anon_sym_CARET] = ACTIONS(2642),
    [anon_sym_AMP] = ACTIONS(2642),
    [anon_sym_GT_GT2] = ACTIONS(2642),
    [anon_sym_PLUS] = ACTIONS(2642),
    [anon_sym_DASH] = ACTIONS(2642),
    [anon_sym_DOT] = ACTIONS(2642),
    [anon_sym_STAR] = ACTIONS(2642),
    [anon_sym_SLASH] = ACTIONS(2642),
    [anon_sym_x] = ACTIONS(2642),
    [anon_sym_EQ_TILDE] = ACTIONS(2640),
    [anon_sym_BANG_TILDE] = ACTIONS(2640),
    [anon_sym_EQ_EQ] = ACTIONS(2642),
    [anon_sym_BANG_EQ] = ACTIONS(2640),
    [anon_sym_eq] = ACTIONS(2642),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2640),
    [anon_sym_equ] = ACTIONS(2640),
    [anon_sym_eqr] = ACTIONS(2640),
    [anon_sym_ne] = ACTIONS(2640),
    [anon_sym_LT_EQ_GT] = ACTIONS(2640),
    [anon_sym_cmp] = ACTIONS(2640),
    [anon_sym_TILDE_TILDE] = ACTIONS(2640),
    [anon_sym_LT] = ACTIONS(2642),
    [anon_sym_LT_EQ] = ACTIONS(2642),
    [anon_sym_GT_EQ] = ACTIONS(2640),
    [anon_sym_lt] = ACTIONS(2640),
    [anon_sym_le] = ACTIONS(2640),
    [anon_sym_ge] = ACTIONS(2640),
    [anon_sym_gt] = ACTIONS(2640),
    [anon_sym_isa] = ACTIONS(2640),
    [anon_sym_PLUS_PLUS] = ACTIONS(2640),
    [anon_sym_DASH_DASH] = ACTIONS(2640),
    [anon_sym_QMARK] = ACTIONS(2640),
    [anon_sym_EQ_GT] = ACTIONS(2640),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2155] = {
    [sym_heredoc_content] = STATE(2155),
    [anon_sym_RBRACE] = ACTIONS(2931),
    [anon_sym_COLON] = ACTIONS(2931),
    [anon_sym_EQ] = ACTIONS(2933),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2931),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2931),
    [anon_sym_COMMA] = ACTIONS(2931),
    [anon_sym_RPAREN] = ACTIONS(2931),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2931),
    [anon_sym_DASH_GT] = ACTIONS(2931),
    [anon_sym_PERCENT] = ACTIONS(2933),
    [anon_sym_GT] = ACTIONS(2933),
    [anon_sym_LT_LT] = ACTIONS(2933),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2931),
    [anon_sym_PLUS_EQ] = ACTIONS(2931),
    [anon_sym_DASH_EQ] = ACTIONS(2931),
    [anon_sym_DOT_EQ] = ACTIONS(2931),
    [anon_sym_STAR_EQ] = ACTIONS(2931),
    [anon_sym_SLASH_EQ] = ACTIONS(2931),
    [anon_sym_PERCENT_EQ] = ACTIONS(2931),
    [anon_sym_x_EQ] = ACTIONS(2931),
    [anon_sym_AMP_EQ] = ACTIONS(2931),
    [anon_sym_PIPE_EQ] = ACTIONS(2931),
    [anon_sym_CARET_EQ] = ACTIONS(2931),
    [anon_sym_LT_LT_EQ] = ACTIONS(2931),
    [anon_sym_GT_GT_EQ] = ACTIONS(2931),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2931),
    [anon_sym_DOT_DOT] = ACTIONS(2933),
    [anon_sym_STAR_STAR] = ACTIONS(2933),
    [anon_sym_PIPE_PIPE] = ACTIONS(2933),
    [anon_sym_SLASH_SLASH] = ACTIONS(2933),
    [anon_sym_CARET_CARET] = ACTIONS(2931),
    [anon_sym_AMP_AMP] = ACTIONS(2933),
    [anon_sym_PIPE] = ACTIONS(2933),
    [anon_sym_CARET] = ACTIONS(2933),
    [anon_sym_AMP] = ACTIONS(2933),
    [anon_sym_GT_GT2] = ACTIONS(2933),
    [anon_sym_PLUS] = ACTIONS(2933),
    [anon_sym_DASH] = ACTIONS(2933),
    [anon_sym_DOT] = ACTIONS(2933),
    [anon_sym_STAR] = ACTIONS(2933),
    [anon_sym_SLASH] = ACTIONS(2933),
    [anon_sym_x] = ACTIONS(2933),
    [anon_sym_EQ_TILDE] = ACTIONS(2931),
    [anon_sym_BANG_TILDE] = ACTIONS(2931),
    [anon_sym_EQ_EQ] = ACTIONS(2933),
    [anon_sym_BANG_EQ] = ACTIONS(2931),
    [anon_sym_eq] = ACTIONS(2933),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2931),
    [anon_sym_equ] = ACTIONS(2931),
    [anon_sym_eqr] = ACTIONS(2931),
    [anon_sym_ne] = ACTIONS(2931),
    [anon_sym_LT_EQ_GT] = ACTIONS(2931),
    [anon_sym_cmp] = ACTIONS(2931),
    [anon_sym_TILDE_TILDE] = ACTIONS(2931),
    [anon_sym_LT] = ACTIONS(2933),
    [anon_sym_LT_EQ] = ACTIONS(2933),
    [anon_sym_GT_EQ] = ACTIONS(2931),
    [anon_sym_lt] = ACTIONS(2931),
    [anon_sym_le] = ACTIONS(2931),
    [anon_sym_ge] = ACTIONS(2931),
    [anon_sym_gt] = ACTIONS(2931),
    [anon_sym_isa] = ACTIONS(2931),
    [anon_sym_PLUS_PLUS] = ACTIONS(2931),
    [anon_sym_DASH_DASH] = ACTIONS(2931),
    [anon_sym_QMARK] = ACTIONS(2931),
    [anon_sym_EQ_GT] = ACTIONS(2931),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2156] = {
    [sym_heredoc_content] = STATE(2156),
    [anon_sym_RBRACE] = ACTIONS(3218),
    [anon_sym_COLON] = ACTIONS(3218),
    [anon_sym_EQ] = ACTIONS(3220),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3218),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3218),
    [anon_sym_COMMA] = ACTIONS(3218),
    [anon_sym_RPAREN] = ACTIONS(3218),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3218),
    [anon_sym_DASH_GT] = ACTIONS(3218),
    [anon_sym_PERCENT] = ACTIONS(3220),
    [anon_sym_GT] = ACTIONS(3220),
    [anon_sym_LT_LT] = ACTIONS(3220),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3218),
    [anon_sym_PLUS_EQ] = ACTIONS(3218),
    [anon_sym_DASH_EQ] = ACTIONS(3218),
    [anon_sym_DOT_EQ] = ACTIONS(3218),
    [anon_sym_STAR_EQ] = ACTIONS(3218),
    [anon_sym_SLASH_EQ] = ACTIONS(3218),
    [anon_sym_PERCENT_EQ] = ACTIONS(3218),
    [anon_sym_x_EQ] = ACTIONS(3218),
    [anon_sym_AMP_EQ] = ACTIONS(3218),
    [anon_sym_PIPE_EQ] = ACTIONS(3218),
    [anon_sym_CARET_EQ] = ACTIONS(3218),
    [anon_sym_LT_LT_EQ] = ACTIONS(3218),
    [anon_sym_GT_GT_EQ] = ACTIONS(3218),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3218),
    [anon_sym_DOT_DOT] = ACTIONS(3220),
    [anon_sym_STAR_STAR] = ACTIONS(3220),
    [anon_sym_PIPE_PIPE] = ACTIONS(3220),
    [anon_sym_SLASH_SLASH] = ACTIONS(3220),
    [anon_sym_CARET_CARET] = ACTIONS(3218),
    [anon_sym_AMP_AMP] = ACTIONS(3220),
    [anon_sym_PIPE] = ACTIONS(3220),
    [anon_sym_CARET] = ACTIONS(3220),
    [anon_sym_AMP] = ACTIONS(3220),
    [anon_sym_GT_GT2] = ACTIONS(3220),
    [anon_sym_PLUS] = ACTIONS(3220),
    [anon_sym_DASH] = ACTIONS(3220),
    [anon_sym_DOT] = ACTIONS(3220),
    [anon_sym_STAR] = ACTIONS(3220),
    [anon_sym_SLASH] = ACTIONS(3220),
    [anon_sym_x] = ACTIONS(3220),
    [anon_sym_EQ_TILDE] = ACTIONS(3218),
    [anon_sym_BANG_TILDE] = ACTIONS(3218),
    [anon_sym_EQ_EQ] = ACTIONS(3220),
    [anon_sym_BANG_EQ] = ACTIONS(3218),
    [anon_sym_eq] = ACTIONS(3220),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3218),
    [anon_sym_equ] = ACTIONS(3218),
    [anon_sym_eqr] = ACTIONS(3218),
    [anon_sym_ne] = ACTIONS(3218),
    [anon_sym_LT_EQ_GT] = ACTIONS(3218),
    [anon_sym_cmp] = ACTIONS(3218),
    [anon_sym_TILDE_TILDE] = ACTIONS(3218),
    [anon_sym_LT] = ACTIONS(3220),
    [anon_sym_LT_EQ] = ACTIONS(3220),
    [anon_sym_GT_EQ] = ACTIONS(3218),
    [anon_sym_lt] = ACTIONS(3218),
    [anon_sym_le] = ACTIONS(3218),
    [anon_sym_ge] = ACTIONS(3218),
    [anon_sym_gt] = ACTIONS(3218),
    [anon_sym_isa] = ACTIONS(3218),
    [anon_sym_PLUS_PLUS] = ACTIONS(3218),
    [anon_sym_DASH_DASH] = ACTIONS(3218),
    [anon_sym_QMARK] = ACTIONS(3218),
    [anon_sym_EQ_GT] = ACTIONS(3218),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2157] = {
    [sym_heredoc_content] = STATE(2157),
    [anon_sym_RBRACE] = ACTIONS(3274),
    [anon_sym_COLON] = ACTIONS(3274),
    [anon_sym_EQ] = ACTIONS(3276),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3274),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3274),
    [anon_sym_COMMA] = ACTIONS(3274),
    [anon_sym_RPAREN] = ACTIONS(3274),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3274),
    [anon_sym_DASH_GT] = ACTIONS(3274),
    [anon_sym_PERCENT] = ACTIONS(3276),
    [anon_sym_GT] = ACTIONS(3276),
    [anon_sym_LT_LT] = ACTIONS(3276),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3274),
    [anon_sym_PLUS_EQ] = ACTIONS(3274),
    [anon_sym_DASH_EQ] = ACTIONS(3274),
    [anon_sym_DOT_EQ] = ACTIONS(3274),
    [anon_sym_STAR_EQ] = ACTIONS(3274),
    [anon_sym_SLASH_EQ] = ACTIONS(3274),
    [anon_sym_PERCENT_EQ] = ACTIONS(3274),
    [anon_sym_x_EQ] = ACTIONS(3274),
    [anon_sym_AMP_EQ] = ACTIONS(3274),
    [anon_sym_PIPE_EQ] = ACTIONS(3274),
    [anon_sym_CARET_EQ] = ACTIONS(3274),
    [anon_sym_LT_LT_EQ] = ACTIONS(3274),
    [anon_sym_GT_GT_EQ] = ACTIONS(3274),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3274),
    [anon_sym_DOT_DOT] = ACTIONS(3276),
    [anon_sym_STAR_STAR] = ACTIONS(3276),
    [anon_sym_PIPE_PIPE] = ACTIONS(3276),
    [anon_sym_SLASH_SLASH] = ACTIONS(3276),
    [anon_sym_CARET_CARET] = ACTIONS(3274),
    [anon_sym_AMP_AMP] = ACTIONS(3276),
    [anon_sym_PIPE] = ACTIONS(3276),
    [anon_sym_CARET] = ACTIONS(3276),
    [anon_sym_AMP] = ACTIONS(3276),
    [anon_sym_GT_GT2] = ACTIONS(3276),
    [anon_sym_PLUS] = ACTIONS(3276),
    [anon_sym_DASH] = ACTIONS(3276),
    [anon_sym_DOT] = ACTIONS(3276),
    [anon_sym_STAR] = ACTIONS(3276),
    [anon_sym_SLASH] = ACTIONS(3276),
    [anon_sym_x] = ACTIONS(3276),
    [anon_sym_EQ_TILDE] = ACTIONS(3274),
    [anon_sym_BANG_TILDE] = ACTIONS(3274),
    [anon_sym_EQ_EQ] = ACTIONS(3276),
    [anon_sym_BANG_EQ] = ACTIONS(3274),
    [anon_sym_eq] = ACTIONS(3276),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3274),
    [anon_sym_equ] = ACTIONS(3274),
    [anon_sym_eqr] = ACTIONS(3274),
    [anon_sym_ne] = ACTIONS(3274),
    [anon_sym_LT_EQ_GT] = ACTIONS(3274),
    [anon_sym_cmp] = ACTIONS(3274),
    [anon_sym_TILDE_TILDE] = ACTIONS(3274),
    [anon_sym_LT] = ACTIONS(3276),
    [anon_sym_LT_EQ] = ACTIONS(3276),
    [anon_sym_GT_EQ] = ACTIONS(3274),
    [anon_sym_lt] = ACTIONS(3274),
    [anon_sym_le] = ACTIONS(3274),
    [anon_sym_ge] = ACTIONS(3274),
    [anon_sym_gt] = ACTIONS(3274),
    [anon_sym_isa] = ACTIONS(3274),
    [anon_sym_PLUS_PLUS] = ACTIONS(3274),
    [anon_sym_DASH_DASH] = ACTIONS(3274),
    [anon_sym_QMARK] = ACTIONS(3274),
    [anon_sym_EQ_GT] = ACTIONS(3274),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2158] = {
    [sym_heredoc_content] = STATE(2158),
    [anon_sym_RBRACE] = ACTIONS(2897),
    [anon_sym_COLON] = ACTIONS(2897),
    [anon_sym_EQ] = ACTIONS(2899),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2897),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2897),
    [anon_sym_COMMA] = ACTIONS(2897),
    [anon_sym_RPAREN] = ACTIONS(2897),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2897),
    [anon_sym_DASH_GT] = ACTIONS(2897),
    [anon_sym_PERCENT] = ACTIONS(2899),
    [anon_sym_GT] = ACTIONS(2899),
    [anon_sym_LT_LT] = ACTIONS(2899),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2897),
    [anon_sym_PLUS_EQ] = ACTIONS(2897),
    [anon_sym_DASH_EQ] = ACTIONS(2897),
    [anon_sym_DOT_EQ] = ACTIONS(2897),
    [anon_sym_STAR_EQ] = ACTIONS(2897),
    [anon_sym_SLASH_EQ] = ACTIONS(2897),
    [anon_sym_PERCENT_EQ] = ACTIONS(2897),
    [anon_sym_x_EQ] = ACTIONS(2897),
    [anon_sym_AMP_EQ] = ACTIONS(2897),
    [anon_sym_PIPE_EQ] = ACTIONS(2897),
    [anon_sym_CARET_EQ] = ACTIONS(2897),
    [anon_sym_LT_LT_EQ] = ACTIONS(2897),
    [anon_sym_GT_GT_EQ] = ACTIONS(2897),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2897),
    [anon_sym_DOT_DOT] = ACTIONS(2899),
    [anon_sym_STAR_STAR] = ACTIONS(2899),
    [anon_sym_PIPE_PIPE] = ACTIONS(2899),
    [anon_sym_SLASH_SLASH] = ACTIONS(2899),
    [anon_sym_CARET_CARET] = ACTIONS(2897),
    [anon_sym_AMP_AMP] = ACTIONS(2899),
    [anon_sym_PIPE] = ACTIONS(2899),
    [anon_sym_CARET] = ACTIONS(2899),
    [anon_sym_AMP] = ACTIONS(2899),
    [anon_sym_GT_GT2] = ACTIONS(2899),
    [anon_sym_PLUS] = ACTIONS(2899),
    [anon_sym_DASH] = ACTIONS(2899),
    [anon_sym_DOT] = ACTIONS(2899),
    [anon_sym_STAR] = ACTIONS(2899),
    [anon_sym_SLASH] = ACTIONS(2899),
    [anon_sym_x] = ACTIONS(2899),
    [anon_sym_EQ_TILDE] = ACTIONS(2897),
    [anon_sym_BANG_TILDE] = ACTIONS(2897),
    [anon_sym_EQ_EQ] = ACTIONS(2899),
    [anon_sym_BANG_EQ] = ACTIONS(2897),
    [anon_sym_eq] = ACTIONS(2899),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2897),
    [anon_sym_equ] = ACTIONS(2897),
    [anon_sym_eqr] = ACTIONS(2897),
    [anon_sym_ne] = ACTIONS(2897),
    [anon_sym_LT_EQ_GT] = ACTIONS(2897),
    [anon_sym_cmp] = ACTIONS(2897),
    [anon_sym_TILDE_TILDE] = ACTIONS(2897),
    [anon_sym_LT] = ACTIONS(2899),
    [anon_sym_LT_EQ] = ACTIONS(2899),
    [anon_sym_GT_EQ] = ACTIONS(2897),
    [anon_sym_lt] = ACTIONS(2897),
    [anon_sym_le] = ACTIONS(2897),
    [anon_sym_ge] = ACTIONS(2897),
    [anon_sym_gt] = ACTIONS(2897),
    [anon_sym_isa] = ACTIONS(2897),
    [anon_sym_PLUS_PLUS] = ACTIONS(2897),
    [anon_sym_DASH_DASH] = ACTIONS(2897),
    [anon_sym_QMARK] = ACTIONS(2897),
    [anon_sym_EQ_GT] = ACTIONS(2897),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2159] = {
    [sym_heredoc_content] = STATE(2159),
    [anon_sym_RBRACE] = ACTIONS(2734),
    [anon_sym_COLON] = ACTIONS(3891),
    [anon_sym_EQ] = ACTIONS(2738),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2734),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2734),
    [anon_sym_COMMA] = ACTIONS(2734),
    [anon_sym_RPAREN] = ACTIONS(2734),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2734),
    [anon_sym_DASH_GT] = ACTIONS(2734),
    [anon_sym_PERCENT] = ACTIONS(2738),
    [anon_sym_GT] = ACTIONS(2738),
    [anon_sym_LT_LT] = ACTIONS(2738),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2734),
    [anon_sym_PLUS_EQ] = ACTIONS(2734),
    [anon_sym_DASH_EQ] = ACTIONS(2734),
    [anon_sym_DOT_EQ] = ACTIONS(2734),
    [anon_sym_STAR_EQ] = ACTIONS(2734),
    [anon_sym_SLASH_EQ] = ACTIONS(2734),
    [anon_sym_PERCENT_EQ] = ACTIONS(2734),
    [anon_sym_x_EQ] = ACTIONS(2734),
    [anon_sym_AMP_EQ] = ACTIONS(2734),
    [anon_sym_PIPE_EQ] = ACTIONS(2734),
    [anon_sym_CARET_EQ] = ACTIONS(2734),
    [anon_sym_LT_LT_EQ] = ACTIONS(2734),
    [anon_sym_GT_GT_EQ] = ACTIONS(2734),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2734),
    [anon_sym_DOT_DOT] = ACTIONS(2738),
    [anon_sym_STAR_STAR] = ACTIONS(2738),
    [anon_sym_PIPE_PIPE] = ACTIONS(2738),
    [anon_sym_SLASH_SLASH] = ACTIONS(2738),
    [anon_sym_CARET_CARET] = ACTIONS(2734),
    [anon_sym_AMP_AMP] = ACTIONS(2738),
    [anon_sym_PIPE] = ACTIONS(2738),
    [anon_sym_CARET] = ACTIONS(2738),
    [anon_sym_AMP] = ACTIONS(2738),
    [anon_sym_GT_GT2] = ACTIONS(2738),
    [anon_sym_PLUS] = ACTIONS(2738),
    [anon_sym_DASH] = ACTIONS(2738),
    [anon_sym_DOT] = ACTIONS(2738),
    [anon_sym_STAR] = ACTIONS(2738),
    [anon_sym_SLASH] = ACTIONS(2738),
    [anon_sym_x] = ACTIONS(2738),
    [anon_sym_EQ_TILDE] = ACTIONS(2734),
    [anon_sym_BANG_TILDE] = ACTIONS(2734),
    [anon_sym_EQ_EQ] = ACTIONS(2738),
    [anon_sym_BANG_EQ] = ACTIONS(2734),
    [anon_sym_eq] = ACTIONS(2738),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2734),
    [anon_sym_equ] = ACTIONS(2734),
    [anon_sym_eqr] = ACTIONS(2734),
    [anon_sym_ne] = ACTIONS(2734),
    [anon_sym_LT_EQ_GT] = ACTIONS(2734),
    [anon_sym_cmp] = ACTIONS(2734),
    [anon_sym_TILDE_TILDE] = ACTIONS(2734),
    [anon_sym_LT] = ACTIONS(2738),
    [anon_sym_LT_EQ] = ACTIONS(2738),
    [anon_sym_GT_EQ] = ACTIONS(2734),
    [anon_sym_lt] = ACTIONS(2734),
    [anon_sym_le] = ACTIONS(2734),
    [anon_sym_ge] = ACTIONS(2734),
    [anon_sym_gt] = ACTIONS(2734),
    [anon_sym_isa] = ACTIONS(2734),
    [anon_sym_PLUS_PLUS] = ACTIONS(2734),
    [anon_sym_DASH_DASH] = ACTIONS(2734),
    [anon_sym_QMARK] = ACTIONS(2734),
    [anon_sym_EQ_GT] = ACTIONS(2734),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2160] = {
    [sym_heredoc_content] = STATE(2160),
    [aux_sym__term_rightward_repeat1] = STATE(2032),
    [anon_sym_RBRACE] = ACTIONS(2556),
    [anon_sym_EQ] = ACTIONS(2558),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2556),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2556),
    [anon_sym_COMMA] = ACTIONS(3893),
    [anon_sym_RPAREN] = ACTIONS(2556),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2556),
    [anon_sym_DASH_GT] = ACTIONS(2556),
    [anon_sym_PERCENT] = ACTIONS(2558),
    [anon_sym_GT] = ACTIONS(2558),
    [anon_sym_LT_LT] = ACTIONS(2558),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2556),
    [anon_sym_PLUS_EQ] = ACTIONS(2556),
    [anon_sym_DASH_EQ] = ACTIONS(2556),
    [anon_sym_DOT_EQ] = ACTIONS(2556),
    [anon_sym_STAR_EQ] = ACTIONS(2556),
    [anon_sym_SLASH_EQ] = ACTIONS(2556),
    [anon_sym_PERCENT_EQ] = ACTIONS(2556),
    [anon_sym_x_EQ] = ACTIONS(2556),
    [anon_sym_AMP_EQ] = ACTIONS(2556),
    [anon_sym_PIPE_EQ] = ACTIONS(2556),
    [anon_sym_CARET_EQ] = ACTIONS(2556),
    [anon_sym_LT_LT_EQ] = ACTIONS(2556),
    [anon_sym_GT_GT_EQ] = ACTIONS(2556),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2556),
    [anon_sym_DOT_DOT] = ACTIONS(2558),
    [anon_sym_STAR_STAR] = ACTIONS(2558),
    [anon_sym_PIPE_PIPE] = ACTIONS(2558),
    [anon_sym_SLASH_SLASH] = ACTIONS(2558),
    [anon_sym_CARET_CARET] = ACTIONS(2556),
    [anon_sym_AMP_AMP] = ACTIONS(2558),
    [anon_sym_PIPE] = ACTIONS(2558),
    [anon_sym_CARET] = ACTIONS(2558),
    [anon_sym_AMP] = ACTIONS(2558),
    [anon_sym_GT_GT2] = ACTIONS(2558),
    [anon_sym_PLUS] = ACTIONS(2558),
    [anon_sym_DASH] = ACTIONS(2558),
    [anon_sym_DOT] = ACTIONS(2558),
    [anon_sym_STAR] = ACTIONS(2558),
    [anon_sym_SLASH] = ACTIONS(2558),
    [anon_sym_x] = ACTIONS(2558),
    [anon_sym_EQ_TILDE] = ACTIONS(2556),
    [anon_sym_BANG_TILDE] = ACTIONS(2556),
    [anon_sym_EQ_EQ] = ACTIONS(2558),
    [anon_sym_BANG_EQ] = ACTIONS(2556),
    [anon_sym_eq] = ACTIONS(2558),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2556),
    [anon_sym_equ] = ACTIONS(2556),
    [anon_sym_eqr] = ACTIONS(2556),
    [anon_sym_ne] = ACTIONS(2556),
    [anon_sym_LT_EQ_GT] = ACTIONS(2556),
    [anon_sym_cmp] = ACTIONS(2556),
    [anon_sym_TILDE_TILDE] = ACTIONS(2556),
    [anon_sym_LT] = ACTIONS(2558),
    [anon_sym_LT_EQ] = ACTIONS(2558),
    [anon_sym_GT_EQ] = ACTIONS(2556),
    [anon_sym_lt] = ACTIONS(2556),
    [anon_sym_le] = ACTIONS(2556),
    [anon_sym_ge] = ACTIONS(2556),
    [anon_sym_gt] = ACTIONS(2556),
    [anon_sym_isa] = ACTIONS(2556),
    [anon_sym_PLUS_PLUS] = ACTIONS(2556),
    [anon_sym_DASH_DASH] = ACTIONS(2556),
    [anon_sym_QMARK] = ACTIONS(2556),
    [anon_sym_EQ_GT] = ACTIONS(3893),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2161] = {
    [sym_heredoc_content] = STATE(2161),
    [anon_sym_RBRACE] = ACTIONS(2744),
    [anon_sym_COLON] = ACTIONS(3895),
    [anon_sym_EQ] = ACTIONS(2748),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2744),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2744),
    [anon_sym_COMMA] = ACTIONS(2744),
    [anon_sym_RPAREN] = ACTIONS(2744),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2744),
    [anon_sym_DASH_GT] = ACTIONS(2744),
    [anon_sym_PERCENT] = ACTIONS(2748),
    [anon_sym_GT] = ACTIONS(2748),
    [anon_sym_LT_LT] = ACTIONS(2748),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2744),
    [anon_sym_PLUS_EQ] = ACTIONS(2744),
    [anon_sym_DASH_EQ] = ACTIONS(2744),
    [anon_sym_DOT_EQ] = ACTIONS(2744),
    [anon_sym_STAR_EQ] = ACTIONS(2744),
    [anon_sym_SLASH_EQ] = ACTIONS(2744),
    [anon_sym_PERCENT_EQ] = ACTIONS(2744),
    [anon_sym_x_EQ] = ACTIONS(2744),
    [anon_sym_AMP_EQ] = ACTIONS(2744),
    [anon_sym_PIPE_EQ] = ACTIONS(2744),
    [anon_sym_CARET_EQ] = ACTIONS(2744),
    [anon_sym_LT_LT_EQ] = ACTIONS(2744),
    [anon_sym_GT_GT_EQ] = ACTIONS(2744),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2744),
    [anon_sym_DOT_DOT] = ACTIONS(2748),
    [anon_sym_STAR_STAR] = ACTIONS(2748),
    [anon_sym_PIPE_PIPE] = ACTIONS(2748),
    [anon_sym_SLASH_SLASH] = ACTIONS(2748),
    [anon_sym_CARET_CARET] = ACTIONS(2744),
    [anon_sym_AMP_AMP] = ACTIONS(2748),
    [anon_sym_PIPE] = ACTIONS(2748),
    [anon_sym_CARET] = ACTIONS(2748),
    [anon_sym_AMP] = ACTIONS(2748),
    [anon_sym_GT_GT2] = ACTIONS(2748),
    [anon_sym_PLUS] = ACTIONS(2748),
    [anon_sym_DASH] = ACTIONS(2748),
    [anon_sym_DOT] = ACTIONS(2748),
    [anon_sym_STAR] = ACTIONS(2748),
    [anon_sym_SLASH] = ACTIONS(2748),
    [anon_sym_x] = ACTIONS(2748),
    [anon_sym_EQ_TILDE] = ACTIONS(2744),
    [anon_sym_BANG_TILDE] = ACTIONS(2744),
    [anon_sym_EQ_EQ] = ACTIONS(2748),
    [anon_sym_BANG_EQ] = ACTIONS(2744),
    [anon_sym_eq] = ACTIONS(2748),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2744),
    [anon_sym_equ] = ACTIONS(2744),
    [anon_sym_eqr] = ACTIONS(2744),
    [anon_sym_ne] = ACTIONS(2744),
    [anon_sym_LT_EQ_GT] = ACTIONS(2744),
    [anon_sym_cmp] = ACTIONS(2744),
    [anon_sym_TILDE_TILDE] = ACTIONS(2744),
    [anon_sym_LT] = ACTIONS(2748),
    [anon_sym_LT_EQ] = ACTIONS(2748),
    [anon_sym_GT_EQ] = ACTIONS(2744),
    [anon_sym_lt] = ACTIONS(2744),
    [anon_sym_le] = ACTIONS(2744),
    [anon_sym_ge] = ACTIONS(2744),
    [anon_sym_gt] = ACTIONS(2744),
    [anon_sym_isa] = ACTIONS(2744),
    [anon_sym_PLUS_PLUS] = ACTIONS(2744),
    [anon_sym_DASH_DASH] = ACTIONS(2744),
    [anon_sym_QMARK] = ACTIONS(2744),
    [anon_sym_EQ_GT] = ACTIONS(2744),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2162] = {
    [sym_heredoc_content] = STATE(2162),
    [anon_sym_COLON] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2544),
    [anon_sym_EQ] = ACTIONS(2546),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2544),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2544),
    [anon_sym_COMMA] = ACTIONS(2544),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2544),
    [anon_sym_DASH_GT] = ACTIONS(2544),
    [anon_sym_PERCENT] = ACTIONS(2546),
    [anon_sym_GT] = ACTIONS(2546),
    [anon_sym_LT_LT] = ACTIONS(2546),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2544),
    [anon_sym_PLUS_EQ] = ACTIONS(2544),
    [anon_sym_DASH_EQ] = ACTIONS(2544),
    [anon_sym_DOT_EQ] = ACTIONS(2544),
    [anon_sym_STAR_EQ] = ACTIONS(2544),
    [anon_sym_SLASH_EQ] = ACTIONS(2544),
    [anon_sym_PERCENT_EQ] = ACTIONS(2544),
    [anon_sym_x_EQ] = ACTIONS(2544),
    [anon_sym_AMP_EQ] = ACTIONS(2544),
    [anon_sym_PIPE_EQ] = ACTIONS(2544),
    [anon_sym_CARET_EQ] = ACTIONS(2544),
    [anon_sym_LT_LT_EQ] = ACTIONS(2544),
    [anon_sym_GT_GT_EQ] = ACTIONS(2544),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2544),
    [anon_sym_DOT_DOT] = ACTIONS(2546),
    [anon_sym_STAR_STAR] = ACTIONS(2546),
    [anon_sym_PIPE_PIPE] = ACTIONS(2546),
    [anon_sym_SLASH_SLASH] = ACTIONS(2546),
    [anon_sym_CARET_CARET] = ACTIONS(2544),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_PIPE] = ACTIONS(2546),
    [anon_sym_CARET] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2546),
    [anon_sym_GT_GT2] = ACTIONS(2546),
    [anon_sym_PLUS] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2546),
    [anon_sym_DOT] = ACTIONS(2546),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_SLASH] = ACTIONS(2546),
    [anon_sym_x] = ACTIONS(2546),
    [anon_sym_EQ_TILDE] = ACTIONS(2544),
    [anon_sym_BANG_TILDE] = ACTIONS(2544),
    [anon_sym_EQ_EQ] = ACTIONS(2546),
    [anon_sym_BANG_EQ] = ACTIONS(2544),
    [anon_sym_eq] = ACTIONS(2546),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2544),
    [anon_sym_equ] = ACTIONS(2544),
    [anon_sym_eqr] = ACTIONS(2544),
    [anon_sym_ne] = ACTIONS(2544),
    [anon_sym_LT_EQ_GT] = ACTIONS(2544),
    [anon_sym_cmp] = ACTIONS(2544),
    [anon_sym_TILDE_TILDE] = ACTIONS(2544),
    [anon_sym_LT] = ACTIONS(2546),
    [anon_sym_LT_EQ] = ACTIONS(2546),
    [anon_sym_GT_EQ] = ACTIONS(2544),
    [anon_sym_lt] = ACTIONS(2544),
    [anon_sym_le] = ACTIONS(2544),
    [anon_sym_ge] = ACTIONS(2544),
    [anon_sym_gt] = ACTIONS(2544),
    [anon_sym_isa] = ACTIONS(2544),
    [anon_sym_PLUS_PLUS] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2544),
    [anon_sym_QMARK] = ACTIONS(2544),
    [anon_sym_EQ_GT] = ACTIONS(2544),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2544),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2163] = {
    [sym_heredoc_content] = STATE(2163),
    [anon_sym_RBRACE] = ACTIONS(2999),
    [anon_sym_COLON] = ACTIONS(2999),
    [anon_sym_EQ] = ACTIONS(3001),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2999),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2999),
    [anon_sym_COMMA] = ACTIONS(2999),
    [anon_sym_RPAREN] = ACTIONS(2999),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2999),
    [anon_sym_DASH_GT] = ACTIONS(2999),
    [anon_sym_PERCENT] = ACTIONS(3001),
    [anon_sym_GT] = ACTIONS(3001),
    [anon_sym_LT_LT] = ACTIONS(3001),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2999),
    [anon_sym_PLUS_EQ] = ACTIONS(2999),
    [anon_sym_DASH_EQ] = ACTIONS(2999),
    [anon_sym_DOT_EQ] = ACTIONS(2999),
    [anon_sym_STAR_EQ] = ACTIONS(2999),
    [anon_sym_SLASH_EQ] = ACTIONS(2999),
    [anon_sym_PERCENT_EQ] = ACTIONS(2999),
    [anon_sym_x_EQ] = ACTIONS(2999),
    [anon_sym_AMP_EQ] = ACTIONS(2999),
    [anon_sym_PIPE_EQ] = ACTIONS(2999),
    [anon_sym_CARET_EQ] = ACTIONS(2999),
    [anon_sym_LT_LT_EQ] = ACTIONS(2999),
    [anon_sym_GT_GT_EQ] = ACTIONS(2999),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2999),
    [anon_sym_DOT_DOT] = ACTIONS(3001),
    [anon_sym_STAR_STAR] = ACTIONS(3001),
    [anon_sym_PIPE_PIPE] = ACTIONS(3001),
    [anon_sym_SLASH_SLASH] = ACTIONS(3001),
    [anon_sym_CARET_CARET] = ACTIONS(2999),
    [anon_sym_AMP_AMP] = ACTIONS(3001),
    [anon_sym_PIPE] = ACTIONS(3001),
    [anon_sym_CARET] = ACTIONS(3001),
    [anon_sym_AMP] = ACTIONS(3001),
    [anon_sym_GT_GT2] = ACTIONS(3001),
    [anon_sym_PLUS] = ACTIONS(3001),
    [anon_sym_DASH] = ACTIONS(3001),
    [anon_sym_DOT] = ACTIONS(3001),
    [anon_sym_STAR] = ACTIONS(3001),
    [anon_sym_SLASH] = ACTIONS(3001),
    [anon_sym_x] = ACTIONS(3001),
    [anon_sym_EQ_TILDE] = ACTIONS(2999),
    [anon_sym_BANG_TILDE] = ACTIONS(2999),
    [anon_sym_EQ_EQ] = ACTIONS(3001),
    [anon_sym_BANG_EQ] = ACTIONS(2999),
    [anon_sym_eq] = ACTIONS(3001),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2999),
    [anon_sym_equ] = ACTIONS(2999),
    [anon_sym_eqr] = ACTIONS(2999),
    [anon_sym_ne] = ACTIONS(2999),
    [anon_sym_LT_EQ_GT] = ACTIONS(2999),
    [anon_sym_cmp] = ACTIONS(2999),
    [anon_sym_TILDE_TILDE] = ACTIONS(2999),
    [anon_sym_LT] = ACTIONS(3001),
    [anon_sym_LT_EQ] = ACTIONS(3001),
    [anon_sym_GT_EQ] = ACTIONS(2999),
    [anon_sym_lt] = ACTIONS(2999),
    [anon_sym_le] = ACTIONS(2999),
    [anon_sym_ge] = ACTIONS(2999),
    [anon_sym_gt] = ACTIONS(2999),
    [anon_sym_isa] = ACTIONS(2999),
    [anon_sym_PLUS_PLUS] = ACTIONS(2999),
    [anon_sym_DASH_DASH] = ACTIONS(2999),
    [anon_sym_QMARK] = ACTIONS(2999),
    [anon_sym_EQ_GT] = ACTIONS(2999),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2164] = {
    [sym_heredoc_content] = STATE(2164),
    [anon_sym_RBRACE] = ACTIONS(3003),
    [anon_sym_COLON] = ACTIONS(3003),
    [anon_sym_EQ] = ACTIONS(3005),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3003),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3003),
    [anon_sym_COMMA] = ACTIONS(3003),
    [anon_sym_RPAREN] = ACTIONS(3003),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3003),
    [anon_sym_DASH_GT] = ACTIONS(3003),
    [anon_sym_PERCENT] = ACTIONS(3005),
    [anon_sym_GT] = ACTIONS(3005),
    [anon_sym_LT_LT] = ACTIONS(3005),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3003),
    [anon_sym_PLUS_EQ] = ACTIONS(3003),
    [anon_sym_DASH_EQ] = ACTIONS(3003),
    [anon_sym_DOT_EQ] = ACTIONS(3003),
    [anon_sym_STAR_EQ] = ACTIONS(3003),
    [anon_sym_SLASH_EQ] = ACTIONS(3003),
    [anon_sym_PERCENT_EQ] = ACTIONS(3003),
    [anon_sym_x_EQ] = ACTIONS(3003),
    [anon_sym_AMP_EQ] = ACTIONS(3003),
    [anon_sym_PIPE_EQ] = ACTIONS(3003),
    [anon_sym_CARET_EQ] = ACTIONS(3003),
    [anon_sym_LT_LT_EQ] = ACTIONS(3003),
    [anon_sym_GT_GT_EQ] = ACTIONS(3003),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3003),
    [anon_sym_DOT_DOT] = ACTIONS(3005),
    [anon_sym_STAR_STAR] = ACTIONS(3005),
    [anon_sym_PIPE_PIPE] = ACTIONS(3005),
    [anon_sym_SLASH_SLASH] = ACTIONS(3005),
    [anon_sym_CARET_CARET] = ACTIONS(3003),
    [anon_sym_AMP_AMP] = ACTIONS(3005),
    [anon_sym_PIPE] = ACTIONS(3005),
    [anon_sym_CARET] = ACTIONS(3005),
    [anon_sym_AMP] = ACTIONS(3005),
    [anon_sym_GT_GT2] = ACTIONS(3005),
    [anon_sym_PLUS] = ACTIONS(3005),
    [anon_sym_DASH] = ACTIONS(3005),
    [anon_sym_DOT] = ACTIONS(3005),
    [anon_sym_STAR] = ACTIONS(3005),
    [anon_sym_SLASH] = ACTIONS(3005),
    [anon_sym_x] = ACTIONS(3005),
    [anon_sym_EQ_TILDE] = ACTIONS(3003),
    [anon_sym_BANG_TILDE] = ACTIONS(3003),
    [anon_sym_EQ_EQ] = ACTIONS(3005),
    [anon_sym_BANG_EQ] = ACTIONS(3003),
    [anon_sym_eq] = ACTIONS(3005),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3003),
    [anon_sym_equ] = ACTIONS(3003),
    [anon_sym_eqr] = ACTIONS(3003),
    [anon_sym_ne] = ACTIONS(3003),
    [anon_sym_LT_EQ_GT] = ACTIONS(3003),
    [anon_sym_cmp] = ACTIONS(3003),
    [anon_sym_TILDE_TILDE] = ACTIONS(3003),
    [anon_sym_LT] = ACTIONS(3005),
    [anon_sym_LT_EQ] = ACTIONS(3005),
    [anon_sym_GT_EQ] = ACTIONS(3003),
    [anon_sym_lt] = ACTIONS(3003),
    [anon_sym_le] = ACTIONS(3003),
    [anon_sym_ge] = ACTIONS(3003),
    [anon_sym_gt] = ACTIONS(3003),
    [anon_sym_isa] = ACTIONS(3003),
    [anon_sym_PLUS_PLUS] = ACTIONS(3003),
    [anon_sym_DASH_DASH] = ACTIONS(3003),
    [anon_sym_QMARK] = ACTIONS(3003),
    [anon_sym_EQ_GT] = ACTIONS(3003),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2165] = {
    [sym_heredoc_content] = STATE(2165),
    [anon_sym_RBRACE] = ACTIONS(3250),
    [anon_sym_COLON] = ACTIONS(3250),
    [anon_sym_EQ] = ACTIONS(3252),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3250),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3250),
    [anon_sym_COMMA] = ACTIONS(3250),
    [anon_sym_RPAREN] = ACTIONS(3250),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3250),
    [anon_sym_DASH_GT] = ACTIONS(3250),
    [anon_sym_PERCENT] = ACTIONS(3252),
    [anon_sym_GT] = ACTIONS(3252),
    [anon_sym_LT_LT] = ACTIONS(3252),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3250),
    [anon_sym_PLUS_EQ] = ACTIONS(3250),
    [anon_sym_DASH_EQ] = ACTIONS(3250),
    [anon_sym_DOT_EQ] = ACTIONS(3250),
    [anon_sym_STAR_EQ] = ACTIONS(3250),
    [anon_sym_SLASH_EQ] = ACTIONS(3250),
    [anon_sym_PERCENT_EQ] = ACTIONS(3250),
    [anon_sym_x_EQ] = ACTIONS(3250),
    [anon_sym_AMP_EQ] = ACTIONS(3250),
    [anon_sym_PIPE_EQ] = ACTIONS(3250),
    [anon_sym_CARET_EQ] = ACTIONS(3250),
    [anon_sym_LT_LT_EQ] = ACTIONS(3250),
    [anon_sym_GT_GT_EQ] = ACTIONS(3250),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3250),
    [anon_sym_DOT_DOT] = ACTIONS(3252),
    [anon_sym_STAR_STAR] = ACTIONS(3252),
    [anon_sym_PIPE_PIPE] = ACTIONS(3252),
    [anon_sym_SLASH_SLASH] = ACTIONS(3252),
    [anon_sym_CARET_CARET] = ACTIONS(3250),
    [anon_sym_AMP_AMP] = ACTIONS(3252),
    [anon_sym_PIPE] = ACTIONS(3252),
    [anon_sym_CARET] = ACTIONS(3252),
    [anon_sym_AMP] = ACTIONS(3252),
    [anon_sym_GT_GT2] = ACTIONS(3252),
    [anon_sym_PLUS] = ACTIONS(3252),
    [anon_sym_DASH] = ACTIONS(3252),
    [anon_sym_DOT] = ACTIONS(3252),
    [anon_sym_STAR] = ACTIONS(3252),
    [anon_sym_SLASH] = ACTIONS(3252),
    [anon_sym_x] = ACTIONS(3252),
    [anon_sym_EQ_TILDE] = ACTIONS(3250),
    [anon_sym_BANG_TILDE] = ACTIONS(3250),
    [anon_sym_EQ_EQ] = ACTIONS(3252),
    [anon_sym_BANG_EQ] = ACTIONS(3250),
    [anon_sym_eq] = ACTIONS(3252),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3250),
    [anon_sym_equ] = ACTIONS(3250),
    [anon_sym_eqr] = ACTIONS(3250),
    [anon_sym_ne] = ACTIONS(3250),
    [anon_sym_LT_EQ_GT] = ACTIONS(3250),
    [anon_sym_cmp] = ACTIONS(3250),
    [anon_sym_TILDE_TILDE] = ACTIONS(3250),
    [anon_sym_LT] = ACTIONS(3252),
    [anon_sym_LT_EQ] = ACTIONS(3252),
    [anon_sym_GT_EQ] = ACTIONS(3250),
    [anon_sym_lt] = ACTIONS(3250),
    [anon_sym_le] = ACTIONS(3250),
    [anon_sym_ge] = ACTIONS(3250),
    [anon_sym_gt] = ACTIONS(3250),
    [anon_sym_isa] = ACTIONS(3250),
    [anon_sym_PLUS_PLUS] = ACTIONS(3250),
    [anon_sym_DASH_DASH] = ACTIONS(3250),
    [anon_sym_QMARK] = ACTIONS(3250),
    [anon_sym_EQ_GT] = ACTIONS(3250),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2166] = {
    [sym_heredoc_content] = STATE(2166),
    [anon_sym_RBRACE] = ACTIONS(2943),
    [anon_sym_COLON] = ACTIONS(2943),
    [anon_sym_EQ] = ACTIONS(2945),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2943),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2943),
    [anon_sym_COMMA] = ACTIONS(2943),
    [anon_sym_RPAREN] = ACTIONS(2943),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2943),
    [anon_sym_DASH_GT] = ACTIONS(2943),
    [anon_sym_PERCENT] = ACTIONS(2945),
    [anon_sym_GT] = ACTIONS(2945),
    [anon_sym_LT_LT] = ACTIONS(2945),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2943),
    [anon_sym_PLUS_EQ] = ACTIONS(2943),
    [anon_sym_DASH_EQ] = ACTIONS(2943),
    [anon_sym_DOT_EQ] = ACTIONS(2943),
    [anon_sym_STAR_EQ] = ACTIONS(2943),
    [anon_sym_SLASH_EQ] = ACTIONS(2943),
    [anon_sym_PERCENT_EQ] = ACTIONS(2943),
    [anon_sym_x_EQ] = ACTIONS(2943),
    [anon_sym_AMP_EQ] = ACTIONS(2943),
    [anon_sym_PIPE_EQ] = ACTIONS(2943),
    [anon_sym_CARET_EQ] = ACTIONS(2943),
    [anon_sym_LT_LT_EQ] = ACTIONS(2943),
    [anon_sym_GT_GT_EQ] = ACTIONS(2943),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2943),
    [anon_sym_DOT_DOT] = ACTIONS(2945),
    [anon_sym_STAR_STAR] = ACTIONS(2945),
    [anon_sym_PIPE_PIPE] = ACTIONS(2945),
    [anon_sym_SLASH_SLASH] = ACTIONS(2945),
    [anon_sym_CARET_CARET] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2945),
    [anon_sym_PIPE] = ACTIONS(2945),
    [anon_sym_CARET] = ACTIONS(2945),
    [anon_sym_AMP] = ACTIONS(2945),
    [anon_sym_GT_GT2] = ACTIONS(2945),
    [anon_sym_PLUS] = ACTIONS(2945),
    [anon_sym_DASH] = ACTIONS(2945),
    [anon_sym_DOT] = ACTIONS(2945),
    [anon_sym_STAR] = ACTIONS(2945),
    [anon_sym_SLASH] = ACTIONS(2945),
    [anon_sym_x] = ACTIONS(2945),
    [anon_sym_EQ_TILDE] = ACTIONS(2943),
    [anon_sym_BANG_TILDE] = ACTIONS(2943),
    [anon_sym_EQ_EQ] = ACTIONS(2945),
    [anon_sym_BANG_EQ] = ACTIONS(2943),
    [anon_sym_eq] = ACTIONS(2945),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2943),
    [anon_sym_equ] = ACTIONS(2943),
    [anon_sym_eqr] = ACTIONS(2943),
    [anon_sym_ne] = ACTIONS(2943),
    [anon_sym_LT_EQ_GT] = ACTIONS(2943),
    [anon_sym_cmp] = ACTIONS(2943),
    [anon_sym_TILDE_TILDE] = ACTIONS(2943),
    [anon_sym_LT] = ACTIONS(2945),
    [anon_sym_LT_EQ] = ACTIONS(2945),
    [anon_sym_GT_EQ] = ACTIONS(2943),
    [anon_sym_lt] = ACTIONS(2943),
    [anon_sym_le] = ACTIONS(2943),
    [anon_sym_ge] = ACTIONS(2943),
    [anon_sym_gt] = ACTIONS(2943),
    [anon_sym_isa] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_QMARK] = ACTIONS(2943),
    [anon_sym_EQ_GT] = ACTIONS(2943),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2167] = {
    [sym_heredoc_content] = STATE(2167),
    [anon_sym_RBRACE] = ACTIONS(3222),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3224),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3222),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3222),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_RPAREN] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_DASH_GT] = ACTIONS(3222),
    [anon_sym_PERCENT] = ACTIONS(3224),
    [anon_sym_GT] = ACTIONS(3224),
    [anon_sym_LT_LT] = ACTIONS(3224),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3222),
    [anon_sym_PLUS_EQ] = ACTIONS(3222),
    [anon_sym_DASH_EQ] = ACTIONS(3222),
    [anon_sym_DOT_EQ] = ACTIONS(3222),
    [anon_sym_STAR_EQ] = ACTIONS(3222),
    [anon_sym_SLASH_EQ] = ACTIONS(3222),
    [anon_sym_PERCENT_EQ] = ACTIONS(3222),
    [anon_sym_x_EQ] = ACTIONS(3222),
    [anon_sym_AMP_EQ] = ACTIONS(3222),
    [anon_sym_PIPE_EQ] = ACTIONS(3222),
    [anon_sym_CARET_EQ] = ACTIONS(3222),
    [anon_sym_LT_LT_EQ] = ACTIONS(3222),
    [anon_sym_GT_GT_EQ] = ACTIONS(3222),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3222),
    [anon_sym_DOT_DOT] = ACTIONS(3224),
    [anon_sym_STAR_STAR] = ACTIONS(3224),
    [anon_sym_PIPE_PIPE] = ACTIONS(3224),
    [anon_sym_SLASH_SLASH] = ACTIONS(3224),
    [anon_sym_CARET_CARET] = ACTIONS(3222),
    [anon_sym_AMP_AMP] = ACTIONS(3224),
    [anon_sym_PIPE] = ACTIONS(3224),
    [anon_sym_CARET] = ACTIONS(3224),
    [anon_sym_AMP] = ACTIONS(3224),
    [anon_sym_GT_GT2] = ACTIONS(3224),
    [anon_sym_PLUS] = ACTIONS(3224),
    [anon_sym_DASH] = ACTIONS(3224),
    [anon_sym_DOT] = ACTIONS(3224),
    [anon_sym_STAR] = ACTIONS(3224),
    [anon_sym_SLASH] = ACTIONS(3224),
    [anon_sym_x] = ACTIONS(3224),
    [anon_sym_EQ_TILDE] = ACTIONS(3222),
    [anon_sym_BANG_TILDE] = ACTIONS(3222),
    [anon_sym_EQ_EQ] = ACTIONS(3224),
    [anon_sym_BANG_EQ] = ACTIONS(3222),
    [anon_sym_eq] = ACTIONS(3224),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3222),
    [anon_sym_equ] = ACTIONS(3222),
    [anon_sym_eqr] = ACTIONS(3222),
    [anon_sym_ne] = ACTIONS(3222),
    [anon_sym_LT_EQ_GT] = ACTIONS(3222),
    [anon_sym_cmp] = ACTIONS(3222),
    [anon_sym_TILDE_TILDE] = ACTIONS(3222),
    [anon_sym_LT] = ACTIONS(3224),
    [anon_sym_LT_EQ] = ACTIONS(3224),
    [anon_sym_GT_EQ] = ACTIONS(3222),
    [anon_sym_lt] = ACTIONS(3222),
    [anon_sym_le] = ACTIONS(3222),
    [anon_sym_ge] = ACTIONS(3222),
    [anon_sym_gt] = ACTIONS(3222),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_PLUS_PLUS] = ACTIONS(3222),
    [anon_sym_DASH_DASH] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_EQ_GT] = ACTIONS(3222),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2168] = {
    [sym_heredoc_content] = STATE(2168),
    [anon_sym_RBRACE] = ACTIONS(3282),
    [anon_sym_COLON] = ACTIONS(3282),
    [anon_sym_EQ] = ACTIONS(3284),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3282),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3282),
    [anon_sym_COMMA] = ACTIONS(3282),
    [anon_sym_RPAREN] = ACTIONS(3282),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3282),
    [anon_sym_DASH_GT] = ACTIONS(3282),
    [anon_sym_PERCENT] = ACTIONS(3284),
    [anon_sym_GT] = ACTIONS(3284),
    [anon_sym_LT_LT] = ACTIONS(3284),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3282),
    [anon_sym_PLUS_EQ] = ACTIONS(3282),
    [anon_sym_DASH_EQ] = ACTIONS(3282),
    [anon_sym_DOT_EQ] = ACTIONS(3282),
    [anon_sym_STAR_EQ] = ACTIONS(3282),
    [anon_sym_SLASH_EQ] = ACTIONS(3282),
    [anon_sym_PERCENT_EQ] = ACTIONS(3282),
    [anon_sym_x_EQ] = ACTIONS(3282),
    [anon_sym_AMP_EQ] = ACTIONS(3282),
    [anon_sym_PIPE_EQ] = ACTIONS(3282),
    [anon_sym_CARET_EQ] = ACTIONS(3282),
    [anon_sym_LT_LT_EQ] = ACTIONS(3282),
    [anon_sym_GT_GT_EQ] = ACTIONS(3282),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3282),
    [anon_sym_DOT_DOT] = ACTIONS(3284),
    [anon_sym_STAR_STAR] = ACTIONS(3284),
    [anon_sym_PIPE_PIPE] = ACTIONS(3284),
    [anon_sym_SLASH_SLASH] = ACTIONS(3284),
    [anon_sym_CARET_CARET] = ACTIONS(3282),
    [anon_sym_AMP_AMP] = ACTIONS(3284),
    [anon_sym_PIPE] = ACTIONS(3284),
    [anon_sym_CARET] = ACTIONS(3284),
    [anon_sym_AMP] = ACTIONS(3284),
    [anon_sym_GT_GT2] = ACTIONS(3284),
    [anon_sym_PLUS] = ACTIONS(3284),
    [anon_sym_DASH] = ACTIONS(3284),
    [anon_sym_DOT] = ACTIONS(3284),
    [anon_sym_STAR] = ACTIONS(3284),
    [anon_sym_SLASH] = ACTIONS(3284),
    [anon_sym_x] = ACTIONS(3284),
    [anon_sym_EQ_TILDE] = ACTIONS(3282),
    [anon_sym_BANG_TILDE] = ACTIONS(3282),
    [anon_sym_EQ_EQ] = ACTIONS(3284),
    [anon_sym_BANG_EQ] = ACTIONS(3282),
    [anon_sym_eq] = ACTIONS(3284),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3282),
    [anon_sym_equ] = ACTIONS(3282),
    [anon_sym_eqr] = ACTIONS(3282),
    [anon_sym_ne] = ACTIONS(3282),
    [anon_sym_LT_EQ_GT] = ACTIONS(3282),
    [anon_sym_cmp] = ACTIONS(3282),
    [anon_sym_TILDE_TILDE] = ACTIONS(3282),
    [anon_sym_LT] = ACTIONS(3284),
    [anon_sym_LT_EQ] = ACTIONS(3284),
    [anon_sym_GT_EQ] = ACTIONS(3282),
    [anon_sym_lt] = ACTIONS(3282),
    [anon_sym_le] = ACTIONS(3282),
    [anon_sym_ge] = ACTIONS(3282),
    [anon_sym_gt] = ACTIONS(3282),
    [anon_sym_isa] = ACTIONS(3282),
    [anon_sym_PLUS_PLUS] = ACTIONS(3282),
    [anon_sym_DASH_DASH] = ACTIONS(3282),
    [anon_sym_QMARK] = ACTIONS(3282),
    [anon_sym_EQ_GT] = ACTIONS(3282),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2169] = {
    [sym_heredoc_content] = STATE(2169),
    [anon_sym_RBRACE] = ACTIONS(2857),
    [anon_sym_COLON] = ACTIONS(2857),
    [anon_sym_EQ] = ACTIONS(2859),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2857),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2857),
    [anon_sym_COMMA] = ACTIONS(2857),
    [anon_sym_RPAREN] = ACTIONS(2857),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2857),
    [anon_sym_DASH_GT] = ACTIONS(2857),
    [anon_sym_PERCENT] = ACTIONS(2859),
    [anon_sym_GT] = ACTIONS(2859),
    [anon_sym_LT_LT] = ACTIONS(2859),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2857),
    [anon_sym_PLUS_EQ] = ACTIONS(2857),
    [anon_sym_DASH_EQ] = ACTIONS(2857),
    [anon_sym_DOT_EQ] = ACTIONS(2857),
    [anon_sym_STAR_EQ] = ACTIONS(2857),
    [anon_sym_SLASH_EQ] = ACTIONS(2857),
    [anon_sym_PERCENT_EQ] = ACTIONS(2857),
    [anon_sym_x_EQ] = ACTIONS(2857),
    [anon_sym_AMP_EQ] = ACTIONS(2857),
    [anon_sym_PIPE_EQ] = ACTIONS(2857),
    [anon_sym_CARET_EQ] = ACTIONS(2857),
    [anon_sym_LT_LT_EQ] = ACTIONS(2857),
    [anon_sym_GT_GT_EQ] = ACTIONS(2857),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2857),
    [anon_sym_DOT_DOT] = ACTIONS(2859),
    [anon_sym_STAR_STAR] = ACTIONS(2859),
    [anon_sym_PIPE_PIPE] = ACTIONS(2859),
    [anon_sym_SLASH_SLASH] = ACTIONS(2859),
    [anon_sym_CARET_CARET] = ACTIONS(2857),
    [anon_sym_AMP_AMP] = ACTIONS(2859),
    [anon_sym_PIPE] = ACTIONS(2859),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_AMP] = ACTIONS(2859),
    [anon_sym_GT_GT2] = ACTIONS(2859),
    [anon_sym_PLUS] = ACTIONS(2859),
    [anon_sym_DASH] = ACTIONS(2859),
    [anon_sym_DOT] = ACTIONS(2859),
    [anon_sym_STAR] = ACTIONS(2859),
    [anon_sym_SLASH] = ACTIONS(2859),
    [anon_sym_x] = ACTIONS(2859),
    [anon_sym_EQ_TILDE] = ACTIONS(2857),
    [anon_sym_BANG_TILDE] = ACTIONS(2857),
    [anon_sym_EQ_EQ] = ACTIONS(2859),
    [anon_sym_BANG_EQ] = ACTIONS(2857),
    [anon_sym_eq] = ACTIONS(2859),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2857),
    [anon_sym_equ] = ACTIONS(2857),
    [anon_sym_eqr] = ACTIONS(2857),
    [anon_sym_ne] = ACTIONS(2857),
    [anon_sym_LT_EQ_GT] = ACTIONS(2857),
    [anon_sym_cmp] = ACTIONS(2857),
    [anon_sym_TILDE_TILDE] = ACTIONS(2857),
    [anon_sym_LT] = ACTIONS(2859),
    [anon_sym_LT_EQ] = ACTIONS(2859),
    [anon_sym_GT_EQ] = ACTIONS(2857),
    [anon_sym_lt] = ACTIONS(2857),
    [anon_sym_le] = ACTIONS(2857),
    [anon_sym_ge] = ACTIONS(2857),
    [anon_sym_gt] = ACTIONS(2857),
    [anon_sym_isa] = ACTIONS(2857),
    [anon_sym_PLUS_PLUS] = ACTIONS(2857),
    [anon_sym_DASH_DASH] = ACTIONS(2857),
    [anon_sym_QMARK] = ACTIONS(2857),
    [anon_sym_EQ_GT] = ACTIONS(2857),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2170] = {
    [sym_heredoc_content] = STATE(2170),
    [anon_sym_RBRACE] = ACTIONS(2869),
    [anon_sym_COLON] = ACTIONS(2869),
    [anon_sym_EQ] = ACTIONS(2871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2869),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2869),
    [anon_sym_COMMA] = ACTIONS(2869),
    [anon_sym_RPAREN] = ACTIONS(2869),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2869),
    [anon_sym_DASH_GT] = ACTIONS(2869),
    [anon_sym_PERCENT] = ACTIONS(2871),
    [anon_sym_GT] = ACTIONS(2871),
    [anon_sym_LT_LT] = ACTIONS(2871),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2869),
    [anon_sym_PLUS_EQ] = ACTIONS(2869),
    [anon_sym_DASH_EQ] = ACTIONS(2869),
    [anon_sym_DOT_EQ] = ACTIONS(2869),
    [anon_sym_STAR_EQ] = ACTIONS(2869),
    [anon_sym_SLASH_EQ] = ACTIONS(2869),
    [anon_sym_PERCENT_EQ] = ACTIONS(2869),
    [anon_sym_x_EQ] = ACTIONS(2869),
    [anon_sym_AMP_EQ] = ACTIONS(2869),
    [anon_sym_PIPE_EQ] = ACTIONS(2869),
    [anon_sym_CARET_EQ] = ACTIONS(2869),
    [anon_sym_LT_LT_EQ] = ACTIONS(2869),
    [anon_sym_GT_GT_EQ] = ACTIONS(2869),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2869),
    [anon_sym_DOT_DOT] = ACTIONS(2871),
    [anon_sym_STAR_STAR] = ACTIONS(2871),
    [anon_sym_PIPE_PIPE] = ACTIONS(2871),
    [anon_sym_SLASH_SLASH] = ACTIONS(2871),
    [anon_sym_CARET_CARET] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_PIPE] = ACTIONS(2871),
    [anon_sym_CARET] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_GT_GT2] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_DOT] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_SLASH] = ACTIONS(2871),
    [anon_sym_x] = ACTIONS(2871),
    [anon_sym_EQ_TILDE] = ACTIONS(2869),
    [anon_sym_BANG_TILDE] = ACTIONS(2869),
    [anon_sym_EQ_EQ] = ACTIONS(2871),
    [anon_sym_BANG_EQ] = ACTIONS(2869),
    [anon_sym_eq] = ACTIONS(2871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2869),
    [anon_sym_equ] = ACTIONS(2869),
    [anon_sym_eqr] = ACTIONS(2869),
    [anon_sym_ne] = ACTIONS(2869),
    [anon_sym_LT_EQ_GT] = ACTIONS(2869),
    [anon_sym_cmp] = ACTIONS(2869),
    [anon_sym_TILDE_TILDE] = ACTIONS(2869),
    [anon_sym_LT] = ACTIONS(2871),
    [anon_sym_LT_EQ] = ACTIONS(2871),
    [anon_sym_GT_EQ] = ACTIONS(2869),
    [anon_sym_lt] = ACTIONS(2869),
    [anon_sym_le] = ACTIONS(2869),
    [anon_sym_ge] = ACTIONS(2869),
    [anon_sym_gt] = ACTIONS(2869),
    [anon_sym_isa] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_QMARK] = ACTIONS(2869),
    [anon_sym_EQ_GT] = ACTIONS(2869),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2171] = {
    [sym_heredoc_content] = STATE(2171),
    [anon_sym_RBRACE] = ACTIONS(3286),
    [anon_sym_COLON] = ACTIONS(3286),
    [anon_sym_EQ] = ACTIONS(3288),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3286),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3286),
    [anon_sym_COMMA] = ACTIONS(3286),
    [anon_sym_RPAREN] = ACTIONS(3286),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3286),
    [anon_sym_DASH_GT] = ACTIONS(3286),
    [anon_sym_PERCENT] = ACTIONS(3288),
    [anon_sym_GT] = ACTIONS(3288),
    [anon_sym_LT_LT] = ACTIONS(3288),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3286),
    [anon_sym_PLUS_EQ] = ACTIONS(3286),
    [anon_sym_DASH_EQ] = ACTIONS(3286),
    [anon_sym_DOT_EQ] = ACTIONS(3286),
    [anon_sym_STAR_EQ] = ACTIONS(3286),
    [anon_sym_SLASH_EQ] = ACTIONS(3286),
    [anon_sym_PERCENT_EQ] = ACTIONS(3286),
    [anon_sym_x_EQ] = ACTIONS(3286),
    [anon_sym_AMP_EQ] = ACTIONS(3286),
    [anon_sym_PIPE_EQ] = ACTIONS(3286),
    [anon_sym_CARET_EQ] = ACTIONS(3286),
    [anon_sym_LT_LT_EQ] = ACTIONS(3286),
    [anon_sym_GT_GT_EQ] = ACTIONS(3286),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3286),
    [anon_sym_DOT_DOT] = ACTIONS(3288),
    [anon_sym_STAR_STAR] = ACTIONS(3288),
    [anon_sym_PIPE_PIPE] = ACTIONS(3288),
    [anon_sym_SLASH_SLASH] = ACTIONS(3288),
    [anon_sym_CARET_CARET] = ACTIONS(3286),
    [anon_sym_AMP_AMP] = ACTIONS(3288),
    [anon_sym_PIPE] = ACTIONS(3288),
    [anon_sym_CARET] = ACTIONS(3288),
    [anon_sym_AMP] = ACTIONS(3288),
    [anon_sym_GT_GT2] = ACTIONS(3288),
    [anon_sym_PLUS] = ACTIONS(3288),
    [anon_sym_DASH] = ACTIONS(3288),
    [anon_sym_DOT] = ACTIONS(3288),
    [anon_sym_STAR] = ACTIONS(3288),
    [anon_sym_SLASH] = ACTIONS(3288),
    [anon_sym_x] = ACTIONS(3288),
    [anon_sym_EQ_TILDE] = ACTIONS(3286),
    [anon_sym_BANG_TILDE] = ACTIONS(3286),
    [anon_sym_EQ_EQ] = ACTIONS(3288),
    [anon_sym_BANG_EQ] = ACTIONS(3286),
    [anon_sym_eq] = ACTIONS(3288),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3286),
    [anon_sym_equ] = ACTIONS(3286),
    [anon_sym_eqr] = ACTIONS(3286),
    [anon_sym_ne] = ACTIONS(3286),
    [anon_sym_LT_EQ_GT] = ACTIONS(3286),
    [anon_sym_cmp] = ACTIONS(3286),
    [anon_sym_TILDE_TILDE] = ACTIONS(3286),
    [anon_sym_LT] = ACTIONS(3288),
    [anon_sym_LT_EQ] = ACTIONS(3288),
    [anon_sym_GT_EQ] = ACTIONS(3286),
    [anon_sym_lt] = ACTIONS(3286),
    [anon_sym_le] = ACTIONS(3286),
    [anon_sym_ge] = ACTIONS(3286),
    [anon_sym_gt] = ACTIONS(3286),
    [anon_sym_isa] = ACTIONS(3286),
    [anon_sym_PLUS_PLUS] = ACTIONS(3286),
    [anon_sym_DASH_DASH] = ACTIONS(3286),
    [anon_sym_QMARK] = ACTIONS(3286),
    [anon_sym_EQ_GT] = ACTIONS(3286),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2172] = {
    [sym_heredoc_content] = STATE(2172),
    [anon_sym_RBRACE] = ACTIONS(2877),
    [anon_sym_COLON] = ACTIONS(2877),
    [anon_sym_EQ] = ACTIONS(2880),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2877),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2877),
    [anon_sym_COMMA] = ACTIONS(2877),
    [anon_sym_RPAREN] = ACTIONS(2877),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2877),
    [anon_sym_DASH_GT] = ACTIONS(2877),
    [anon_sym_PERCENT] = ACTIONS(2880),
    [anon_sym_GT] = ACTIONS(2880),
    [anon_sym_LT_LT] = ACTIONS(2880),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2877),
    [anon_sym_PLUS_EQ] = ACTIONS(2877),
    [anon_sym_DASH_EQ] = ACTIONS(2877),
    [anon_sym_DOT_EQ] = ACTIONS(2877),
    [anon_sym_STAR_EQ] = ACTIONS(2877),
    [anon_sym_SLASH_EQ] = ACTIONS(2877),
    [anon_sym_PERCENT_EQ] = ACTIONS(2877),
    [anon_sym_x_EQ] = ACTIONS(2877),
    [anon_sym_AMP_EQ] = ACTIONS(2877),
    [anon_sym_PIPE_EQ] = ACTIONS(2877),
    [anon_sym_CARET_EQ] = ACTIONS(2877),
    [anon_sym_LT_LT_EQ] = ACTIONS(2877),
    [anon_sym_GT_GT_EQ] = ACTIONS(2877),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2877),
    [anon_sym_DOT_DOT] = ACTIONS(2880),
    [anon_sym_STAR_STAR] = ACTIONS(2880),
    [anon_sym_PIPE_PIPE] = ACTIONS(2880),
    [anon_sym_SLASH_SLASH] = ACTIONS(2880),
    [anon_sym_CARET_CARET] = ACTIONS(2877),
    [anon_sym_AMP_AMP] = ACTIONS(2880),
    [anon_sym_PIPE] = ACTIONS(2880),
    [anon_sym_CARET] = ACTIONS(2880),
    [anon_sym_AMP] = ACTIONS(2880),
    [anon_sym_GT_GT2] = ACTIONS(2880),
    [anon_sym_PLUS] = ACTIONS(2880),
    [anon_sym_DASH] = ACTIONS(2880),
    [anon_sym_DOT] = ACTIONS(2880),
    [anon_sym_STAR] = ACTIONS(2880),
    [anon_sym_SLASH] = ACTIONS(2880),
    [anon_sym_x] = ACTIONS(2880),
    [anon_sym_EQ_TILDE] = ACTIONS(2877),
    [anon_sym_BANG_TILDE] = ACTIONS(2877),
    [anon_sym_EQ_EQ] = ACTIONS(2880),
    [anon_sym_BANG_EQ] = ACTIONS(2877),
    [anon_sym_eq] = ACTIONS(2880),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2877),
    [anon_sym_equ] = ACTIONS(2877),
    [anon_sym_eqr] = ACTIONS(2877),
    [anon_sym_ne] = ACTIONS(2877),
    [anon_sym_LT_EQ_GT] = ACTIONS(2877),
    [anon_sym_cmp] = ACTIONS(2877),
    [anon_sym_TILDE_TILDE] = ACTIONS(2877),
    [anon_sym_LT] = ACTIONS(2880),
    [anon_sym_LT_EQ] = ACTIONS(2880),
    [anon_sym_GT_EQ] = ACTIONS(2877),
    [anon_sym_lt] = ACTIONS(2877),
    [anon_sym_le] = ACTIONS(2877),
    [anon_sym_ge] = ACTIONS(2877),
    [anon_sym_gt] = ACTIONS(2877),
    [anon_sym_isa] = ACTIONS(2877),
    [anon_sym_PLUS_PLUS] = ACTIONS(2877),
    [anon_sym_DASH_DASH] = ACTIONS(2877),
    [anon_sym_QMARK] = ACTIONS(2877),
    [anon_sym_EQ_GT] = ACTIONS(2877),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2173] = {
    [sym_heredoc_content] = STATE(2173),
    [anon_sym_RBRACE] = ACTIONS(3067),
    [anon_sym_COLON] = ACTIONS(3067),
    [anon_sym_EQ] = ACTIONS(3069),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3067),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3067),
    [anon_sym_COMMA] = ACTIONS(3067),
    [anon_sym_RPAREN] = ACTIONS(3067),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3067),
    [anon_sym_DASH_GT] = ACTIONS(3831),
    [anon_sym_PERCENT] = ACTIONS(3069),
    [anon_sym_GT] = ACTIONS(3069),
    [anon_sym_LT_LT] = ACTIONS(3069),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3067),
    [anon_sym_PLUS_EQ] = ACTIONS(3067),
    [anon_sym_DASH_EQ] = ACTIONS(3067),
    [anon_sym_DOT_EQ] = ACTIONS(3067),
    [anon_sym_STAR_EQ] = ACTIONS(3067),
    [anon_sym_SLASH_EQ] = ACTIONS(3067),
    [anon_sym_PERCENT_EQ] = ACTIONS(3067),
    [anon_sym_x_EQ] = ACTIONS(3067),
    [anon_sym_AMP_EQ] = ACTIONS(3067),
    [anon_sym_PIPE_EQ] = ACTIONS(3067),
    [anon_sym_CARET_EQ] = ACTIONS(3067),
    [anon_sym_LT_LT_EQ] = ACTIONS(3067),
    [anon_sym_GT_GT_EQ] = ACTIONS(3067),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3067),
    [anon_sym_DOT_DOT] = ACTIONS(3069),
    [anon_sym_STAR_STAR] = ACTIONS(3069),
    [anon_sym_PIPE_PIPE] = ACTIONS(3069),
    [anon_sym_SLASH_SLASH] = ACTIONS(3069),
    [anon_sym_CARET_CARET] = ACTIONS(3067),
    [anon_sym_AMP_AMP] = ACTIONS(3069),
    [anon_sym_PIPE] = ACTIONS(3069),
    [anon_sym_CARET] = ACTIONS(3069),
    [anon_sym_AMP] = ACTIONS(3069),
    [anon_sym_GT_GT2] = ACTIONS(3069),
    [anon_sym_PLUS] = ACTIONS(3069),
    [anon_sym_DASH] = ACTIONS(3069),
    [anon_sym_DOT] = ACTIONS(3069),
    [anon_sym_STAR] = ACTIONS(3069),
    [anon_sym_SLASH] = ACTIONS(3069),
    [anon_sym_x] = ACTIONS(3069),
    [anon_sym_EQ_TILDE] = ACTIONS(3067),
    [anon_sym_BANG_TILDE] = ACTIONS(3067),
    [anon_sym_EQ_EQ] = ACTIONS(3069),
    [anon_sym_BANG_EQ] = ACTIONS(3067),
    [anon_sym_eq] = ACTIONS(3069),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3067),
    [anon_sym_equ] = ACTIONS(3067),
    [anon_sym_eqr] = ACTIONS(3067),
    [anon_sym_ne] = ACTIONS(3067),
    [anon_sym_LT_EQ_GT] = ACTIONS(3067),
    [anon_sym_cmp] = ACTIONS(3067),
    [anon_sym_TILDE_TILDE] = ACTIONS(3067),
    [anon_sym_LT] = ACTIONS(3069),
    [anon_sym_LT_EQ] = ACTIONS(3069),
    [anon_sym_GT_EQ] = ACTIONS(3067),
    [anon_sym_lt] = ACTIONS(3067),
    [anon_sym_le] = ACTIONS(3067),
    [anon_sym_ge] = ACTIONS(3067),
    [anon_sym_gt] = ACTIONS(3067),
    [anon_sym_isa] = ACTIONS(3067),
    [anon_sym_PLUS_PLUS] = ACTIONS(3897),
    [anon_sym_DASH_DASH] = ACTIONS(3897),
    [anon_sym_QMARK] = ACTIONS(3067),
    [anon_sym_EQ_GT] = ACTIONS(3067),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2174] = {
    [sym_heredoc_content] = STATE(2174),
    [anon_sym_RBRACE] = ACTIONS(2760),
    [anon_sym_COLON] = ACTIONS(2760),
    [anon_sym_EQ] = ACTIONS(2762),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2760),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2760),
    [anon_sym_COMMA] = ACTIONS(2760),
    [anon_sym_RPAREN] = ACTIONS(2760),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2760),
    [anon_sym_DASH_GT] = ACTIONS(2760),
    [anon_sym_PERCENT] = ACTIONS(2762),
    [anon_sym_GT] = ACTIONS(2762),
    [anon_sym_LT_LT] = ACTIONS(2762),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2760),
    [anon_sym_PLUS_EQ] = ACTIONS(2760),
    [anon_sym_DASH_EQ] = ACTIONS(2760),
    [anon_sym_DOT_EQ] = ACTIONS(2760),
    [anon_sym_STAR_EQ] = ACTIONS(2760),
    [anon_sym_SLASH_EQ] = ACTIONS(2760),
    [anon_sym_PERCENT_EQ] = ACTIONS(2760),
    [anon_sym_x_EQ] = ACTIONS(2760),
    [anon_sym_AMP_EQ] = ACTIONS(2760),
    [anon_sym_PIPE_EQ] = ACTIONS(2760),
    [anon_sym_CARET_EQ] = ACTIONS(2760),
    [anon_sym_LT_LT_EQ] = ACTIONS(2760),
    [anon_sym_GT_GT_EQ] = ACTIONS(2760),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2760),
    [anon_sym_DOT_DOT] = ACTIONS(2762),
    [anon_sym_STAR_STAR] = ACTIONS(2762),
    [anon_sym_PIPE_PIPE] = ACTIONS(2762),
    [anon_sym_SLASH_SLASH] = ACTIONS(2762),
    [anon_sym_CARET_CARET] = ACTIONS(2760),
    [anon_sym_AMP_AMP] = ACTIONS(2762),
    [anon_sym_PIPE] = ACTIONS(2762),
    [anon_sym_CARET] = ACTIONS(2762),
    [anon_sym_AMP] = ACTIONS(2762),
    [anon_sym_GT_GT2] = ACTIONS(2762),
    [anon_sym_PLUS] = ACTIONS(2762),
    [anon_sym_DASH] = ACTIONS(2762),
    [anon_sym_DOT] = ACTIONS(2762),
    [anon_sym_STAR] = ACTIONS(2762),
    [anon_sym_SLASH] = ACTIONS(2762),
    [anon_sym_x] = ACTIONS(2762),
    [anon_sym_EQ_TILDE] = ACTIONS(2760),
    [anon_sym_BANG_TILDE] = ACTIONS(2760),
    [anon_sym_EQ_EQ] = ACTIONS(2762),
    [anon_sym_BANG_EQ] = ACTIONS(2760),
    [anon_sym_eq] = ACTIONS(2762),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2760),
    [anon_sym_equ] = ACTIONS(2760),
    [anon_sym_eqr] = ACTIONS(2760),
    [anon_sym_ne] = ACTIONS(2760),
    [anon_sym_LT_EQ_GT] = ACTIONS(2760),
    [anon_sym_cmp] = ACTIONS(2760),
    [anon_sym_TILDE_TILDE] = ACTIONS(2760),
    [anon_sym_LT] = ACTIONS(2762),
    [anon_sym_LT_EQ] = ACTIONS(2762),
    [anon_sym_GT_EQ] = ACTIONS(2760),
    [anon_sym_lt] = ACTIONS(2760),
    [anon_sym_le] = ACTIONS(2760),
    [anon_sym_ge] = ACTIONS(2760),
    [anon_sym_gt] = ACTIONS(2760),
    [anon_sym_isa] = ACTIONS(2760),
    [anon_sym_PLUS_PLUS] = ACTIONS(2760),
    [anon_sym_DASH_DASH] = ACTIONS(2760),
    [anon_sym_QMARK] = ACTIONS(2760),
    [anon_sym_EQ_GT] = ACTIONS(2760),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2175] = {
    [sym_heredoc_content] = STATE(2175),
    [anon_sym_COLON] = ACTIONS(2644),
    [anon_sym_SEMI] = ACTIONS(2644),
    [anon_sym_EQ] = ACTIONS(2646),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2644),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2644),
    [anon_sym_COMMA] = ACTIONS(2644),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2644),
    [anon_sym_DASH_GT] = ACTIONS(2644),
    [anon_sym_PERCENT] = ACTIONS(2646),
    [anon_sym_GT] = ACTIONS(2646),
    [anon_sym_LT_LT] = ACTIONS(2646),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2644),
    [anon_sym_PLUS_EQ] = ACTIONS(2644),
    [anon_sym_DASH_EQ] = ACTIONS(2644),
    [anon_sym_DOT_EQ] = ACTIONS(2644),
    [anon_sym_STAR_EQ] = ACTIONS(2644),
    [anon_sym_SLASH_EQ] = ACTIONS(2644),
    [anon_sym_PERCENT_EQ] = ACTIONS(2644),
    [anon_sym_x_EQ] = ACTIONS(2644),
    [anon_sym_AMP_EQ] = ACTIONS(2644),
    [anon_sym_PIPE_EQ] = ACTIONS(2644),
    [anon_sym_CARET_EQ] = ACTIONS(2644),
    [anon_sym_LT_LT_EQ] = ACTIONS(2644),
    [anon_sym_GT_GT_EQ] = ACTIONS(2644),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2644),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_STAR_STAR] = ACTIONS(2646),
    [anon_sym_PIPE_PIPE] = ACTIONS(2646),
    [anon_sym_SLASH_SLASH] = ACTIONS(2646),
    [anon_sym_CARET_CARET] = ACTIONS(2644),
    [anon_sym_AMP_AMP] = ACTIONS(2646),
    [anon_sym_PIPE] = ACTIONS(2646),
    [anon_sym_CARET] = ACTIONS(2646),
    [anon_sym_AMP] = ACTIONS(2646),
    [anon_sym_GT_GT2] = ACTIONS(2646),
    [anon_sym_PLUS] = ACTIONS(2646),
    [anon_sym_DASH] = ACTIONS(2646),
    [anon_sym_DOT] = ACTIONS(2646),
    [anon_sym_STAR] = ACTIONS(2646),
    [anon_sym_SLASH] = ACTIONS(2646),
    [anon_sym_x] = ACTIONS(2646),
    [anon_sym_EQ_TILDE] = ACTIONS(2644),
    [anon_sym_BANG_TILDE] = ACTIONS(2644),
    [anon_sym_EQ_EQ] = ACTIONS(2646),
    [anon_sym_BANG_EQ] = ACTIONS(2644),
    [anon_sym_eq] = ACTIONS(2646),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2644),
    [anon_sym_equ] = ACTIONS(2644),
    [anon_sym_eqr] = ACTIONS(2644),
    [anon_sym_ne] = ACTIONS(2644),
    [anon_sym_LT_EQ_GT] = ACTIONS(2644),
    [anon_sym_cmp] = ACTIONS(2644),
    [anon_sym_TILDE_TILDE] = ACTIONS(2644),
    [anon_sym_LT] = ACTIONS(2646),
    [anon_sym_LT_EQ] = ACTIONS(2646),
    [anon_sym_GT_EQ] = ACTIONS(2644),
    [anon_sym_lt] = ACTIONS(2644),
    [anon_sym_le] = ACTIONS(2644),
    [anon_sym_ge] = ACTIONS(2644),
    [anon_sym_gt] = ACTIONS(2644),
    [anon_sym_isa] = ACTIONS(2644),
    [anon_sym_PLUS_PLUS] = ACTIONS(2644),
    [anon_sym_DASH_DASH] = ACTIONS(2644),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_EQ_GT] = ACTIONS(2644),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2644),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2176] = {
    [sym_heredoc_content] = STATE(2176),
    [anon_sym_RBRACE] = ACTIONS(3078),
    [anon_sym_COLON] = ACTIONS(3078),
    [anon_sym_EQ] = ACTIONS(3080),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3078),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3078),
    [anon_sym_COMMA] = ACTIONS(3078),
    [anon_sym_RPAREN] = ACTIONS(3078),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3078),
    [anon_sym_DASH_GT] = ACTIONS(3078),
    [anon_sym_PERCENT] = ACTIONS(3080),
    [anon_sym_GT] = ACTIONS(3080),
    [anon_sym_LT_LT] = ACTIONS(3080),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3078),
    [anon_sym_PLUS_EQ] = ACTIONS(3078),
    [anon_sym_DASH_EQ] = ACTIONS(3078),
    [anon_sym_DOT_EQ] = ACTIONS(3078),
    [anon_sym_STAR_EQ] = ACTIONS(3078),
    [anon_sym_SLASH_EQ] = ACTIONS(3078),
    [anon_sym_PERCENT_EQ] = ACTIONS(3078),
    [anon_sym_x_EQ] = ACTIONS(3078),
    [anon_sym_AMP_EQ] = ACTIONS(3078),
    [anon_sym_PIPE_EQ] = ACTIONS(3078),
    [anon_sym_CARET_EQ] = ACTIONS(3078),
    [anon_sym_LT_LT_EQ] = ACTIONS(3078),
    [anon_sym_GT_GT_EQ] = ACTIONS(3078),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3078),
    [anon_sym_DOT_DOT] = ACTIONS(3080),
    [anon_sym_STAR_STAR] = ACTIONS(3080),
    [anon_sym_PIPE_PIPE] = ACTIONS(3080),
    [anon_sym_SLASH_SLASH] = ACTIONS(3080),
    [anon_sym_CARET_CARET] = ACTIONS(3078),
    [anon_sym_AMP_AMP] = ACTIONS(3080),
    [anon_sym_PIPE] = ACTIONS(3080),
    [anon_sym_CARET] = ACTIONS(3080),
    [anon_sym_AMP] = ACTIONS(3080),
    [anon_sym_GT_GT2] = ACTIONS(3080),
    [anon_sym_PLUS] = ACTIONS(3080),
    [anon_sym_DASH] = ACTIONS(3080),
    [anon_sym_DOT] = ACTIONS(3080),
    [anon_sym_STAR] = ACTIONS(3080),
    [anon_sym_SLASH] = ACTIONS(3080),
    [anon_sym_x] = ACTIONS(3080),
    [anon_sym_EQ_TILDE] = ACTIONS(3078),
    [anon_sym_BANG_TILDE] = ACTIONS(3078),
    [anon_sym_EQ_EQ] = ACTIONS(3080),
    [anon_sym_BANG_EQ] = ACTIONS(3078),
    [anon_sym_eq] = ACTIONS(3080),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3078),
    [anon_sym_equ] = ACTIONS(3078),
    [anon_sym_eqr] = ACTIONS(3078),
    [anon_sym_ne] = ACTIONS(3078),
    [anon_sym_LT_EQ_GT] = ACTIONS(3078),
    [anon_sym_cmp] = ACTIONS(3078),
    [anon_sym_TILDE_TILDE] = ACTIONS(3078),
    [anon_sym_LT] = ACTIONS(3080),
    [anon_sym_LT_EQ] = ACTIONS(3080),
    [anon_sym_GT_EQ] = ACTIONS(3078),
    [anon_sym_lt] = ACTIONS(3078),
    [anon_sym_le] = ACTIONS(3078),
    [anon_sym_ge] = ACTIONS(3078),
    [anon_sym_gt] = ACTIONS(3078),
    [anon_sym_isa] = ACTIONS(3078),
    [anon_sym_PLUS_PLUS] = ACTIONS(3078),
    [anon_sym_DASH_DASH] = ACTIONS(3078),
    [anon_sym_QMARK] = ACTIONS(3078),
    [anon_sym_EQ_GT] = ACTIONS(3078),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2177] = {
    [sym_heredoc_content] = STATE(2177),
    [anon_sym_RBRACE] = ACTIONS(3226),
    [anon_sym_COLON] = ACTIONS(3226),
    [anon_sym_EQ] = ACTIONS(3228),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3226),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3226),
    [anon_sym_COMMA] = ACTIONS(3226),
    [anon_sym_RPAREN] = ACTIONS(3226),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3226),
    [anon_sym_DASH_GT] = ACTIONS(3226),
    [anon_sym_PERCENT] = ACTIONS(3228),
    [anon_sym_GT] = ACTIONS(3228),
    [anon_sym_LT_LT] = ACTIONS(3228),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3226),
    [anon_sym_PLUS_EQ] = ACTIONS(3226),
    [anon_sym_DASH_EQ] = ACTIONS(3226),
    [anon_sym_DOT_EQ] = ACTIONS(3226),
    [anon_sym_STAR_EQ] = ACTIONS(3226),
    [anon_sym_SLASH_EQ] = ACTIONS(3226),
    [anon_sym_PERCENT_EQ] = ACTIONS(3226),
    [anon_sym_x_EQ] = ACTIONS(3226),
    [anon_sym_AMP_EQ] = ACTIONS(3226),
    [anon_sym_PIPE_EQ] = ACTIONS(3226),
    [anon_sym_CARET_EQ] = ACTIONS(3226),
    [anon_sym_LT_LT_EQ] = ACTIONS(3226),
    [anon_sym_GT_GT_EQ] = ACTIONS(3226),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3226),
    [anon_sym_DOT_DOT] = ACTIONS(3228),
    [anon_sym_STAR_STAR] = ACTIONS(3228),
    [anon_sym_PIPE_PIPE] = ACTIONS(3228),
    [anon_sym_SLASH_SLASH] = ACTIONS(3228),
    [anon_sym_CARET_CARET] = ACTIONS(3226),
    [anon_sym_AMP_AMP] = ACTIONS(3228),
    [anon_sym_PIPE] = ACTIONS(3228),
    [anon_sym_CARET] = ACTIONS(3228),
    [anon_sym_AMP] = ACTIONS(3228),
    [anon_sym_GT_GT2] = ACTIONS(3228),
    [anon_sym_PLUS] = ACTIONS(3228),
    [anon_sym_DASH] = ACTIONS(3228),
    [anon_sym_DOT] = ACTIONS(3228),
    [anon_sym_STAR] = ACTIONS(3228),
    [anon_sym_SLASH] = ACTIONS(3228),
    [anon_sym_x] = ACTIONS(3228),
    [anon_sym_EQ_TILDE] = ACTIONS(3226),
    [anon_sym_BANG_TILDE] = ACTIONS(3226),
    [anon_sym_EQ_EQ] = ACTIONS(3228),
    [anon_sym_BANG_EQ] = ACTIONS(3226),
    [anon_sym_eq] = ACTIONS(3228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3226),
    [anon_sym_equ] = ACTIONS(3226),
    [anon_sym_eqr] = ACTIONS(3226),
    [anon_sym_ne] = ACTIONS(3226),
    [anon_sym_LT_EQ_GT] = ACTIONS(3226),
    [anon_sym_cmp] = ACTIONS(3226),
    [anon_sym_TILDE_TILDE] = ACTIONS(3226),
    [anon_sym_LT] = ACTIONS(3228),
    [anon_sym_LT_EQ] = ACTIONS(3228),
    [anon_sym_GT_EQ] = ACTIONS(3226),
    [anon_sym_lt] = ACTIONS(3226),
    [anon_sym_le] = ACTIONS(3226),
    [anon_sym_ge] = ACTIONS(3226),
    [anon_sym_gt] = ACTIONS(3226),
    [anon_sym_isa] = ACTIONS(3226),
    [anon_sym_PLUS_PLUS] = ACTIONS(3226),
    [anon_sym_DASH_DASH] = ACTIONS(3226),
    [anon_sym_QMARK] = ACTIONS(3226),
    [anon_sym_EQ_GT] = ACTIONS(3226),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2178] = {
    [sym_heredoc_content] = STATE(2178),
    [anon_sym_RBRACE] = ACTIONS(3086),
    [anon_sym_COLON] = ACTIONS(3086),
    [anon_sym_EQ] = ACTIONS(3088),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3086),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3086),
    [anon_sym_COMMA] = ACTIONS(3086),
    [anon_sym_RPAREN] = ACTIONS(3086),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3086),
    [anon_sym_DASH_GT] = ACTIONS(3086),
    [anon_sym_PERCENT] = ACTIONS(3088),
    [anon_sym_GT] = ACTIONS(3088),
    [anon_sym_LT_LT] = ACTIONS(3088),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3086),
    [anon_sym_PLUS_EQ] = ACTIONS(3086),
    [anon_sym_DASH_EQ] = ACTIONS(3086),
    [anon_sym_DOT_EQ] = ACTIONS(3086),
    [anon_sym_STAR_EQ] = ACTIONS(3086),
    [anon_sym_SLASH_EQ] = ACTIONS(3086),
    [anon_sym_PERCENT_EQ] = ACTIONS(3086),
    [anon_sym_x_EQ] = ACTIONS(3086),
    [anon_sym_AMP_EQ] = ACTIONS(3086),
    [anon_sym_PIPE_EQ] = ACTIONS(3086),
    [anon_sym_CARET_EQ] = ACTIONS(3086),
    [anon_sym_LT_LT_EQ] = ACTIONS(3086),
    [anon_sym_GT_GT_EQ] = ACTIONS(3086),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3086),
    [anon_sym_DOT_DOT] = ACTIONS(3088),
    [anon_sym_STAR_STAR] = ACTIONS(3088),
    [anon_sym_PIPE_PIPE] = ACTIONS(3088),
    [anon_sym_SLASH_SLASH] = ACTIONS(3088),
    [anon_sym_CARET_CARET] = ACTIONS(3086),
    [anon_sym_AMP_AMP] = ACTIONS(3088),
    [anon_sym_PIPE] = ACTIONS(3088),
    [anon_sym_CARET] = ACTIONS(3088),
    [anon_sym_AMP] = ACTIONS(3088),
    [anon_sym_GT_GT2] = ACTIONS(3088),
    [anon_sym_PLUS] = ACTIONS(3088),
    [anon_sym_DASH] = ACTIONS(3088),
    [anon_sym_DOT] = ACTIONS(3088),
    [anon_sym_STAR] = ACTIONS(3088),
    [anon_sym_SLASH] = ACTIONS(3088),
    [anon_sym_x] = ACTIONS(3088),
    [anon_sym_EQ_TILDE] = ACTIONS(3086),
    [anon_sym_BANG_TILDE] = ACTIONS(3086),
    [anon_sym_EQ_EQ] = ACTIONS(3088),
    [anon_sym_BANG_EQ] = ACTIONS(3086),
    [anon_sym_eq] = ACTIONS(3088),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3086),
    [anon_sym_equ] = ACTIONS(3086),
    [anon_sym_eqr] = ACTIONS(3086),
    [anon_sym_ne] = ACTIONS(3086),
    [anon_sym_LT_EQ_GT] = ACTIONS(3086),
    [anon_sym_cmp] = ACTIONS(3086),
    [anon_sym_TILDE_TILDE] = ACTIONS(3086),
    [anon_sym_LT] = ACTIONS(3088),
    [anon_sym_LT_EQ] = ACTIONS(3088),
    [anon_sym_GT_EQ] = ACTIONS(3086),
    [anon_sym_lt] = ACTIONS(3086),
    [anon_sym_le] = ACTIONS(3086),
    [anon_sym_ge] = ACTIONS(3086),
    [anon_sym_gt] = ACTIONS(3086),
    [anon_sym_isa] = ACTIONS(3086),
    [anon_sym_PLUS_PLUS] = ACTIONS(3086),
    [anon_sym_DASH_DASH] = ACTIONS(3086),
    [anon_sym_QMARK] = ACTIONS(3086),
    [anon_sym_EQ_GT] = ACTIONS(3086),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2179] = {
    [sym_heredoc_content] = STATE(2179),
    [anon_sym_RBRACE] = ACTIONS(3102),
    [anon_sym_COLON] = ACTIONS(3102),
    [anon_sym_EQ] = ACTIONS(3104),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3102),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3102),
    [anon_sym_COMMA] = ACTIONS(3102),
    [anon_sym_RPAREN] = ACTIONS(3102),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3102),
    [anon_sym_DASH_GT] = ACTIONS(3102),
    [anon_sym_PERCENT] = ACTIONS(3104),
    [anon_sym_GT] = ACTIONS(3104),
    [anon_sym_LT_LT] = ACTIONS(3104),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3102),
    [anon_sym_PLUS_EQ] = ACTIONS(3102),
    [anon_sym_DASH_EQ] = ACTIONS(3102),
    [anon_sym_DOT_EQ] = ACTIONS(3102),
    [anon_sym_STAR_EQ] = ACTIONS(3102),
    [anon_sym_SLASH_EQ] = ACTIONS(3102),
    [anon_sym_PERCENT_EQ] = ACTIONS(3102),
    [anon_sym_x_EQ] = ACTIONS(3102),
    [anon_sym_AMP_EQ] = ACTIONS(3102),
    [anon_sym_PIPE_EQ] = ACTIONS(3102),
    [anon_sym_CARET_EQ] = ACTIONS(3102),
    [anon_sym_LT_LT_EQ] = ACTIONS(3102),
    [anon_sym_GT_GT_EQ] = ACTIONS(3102),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3102),
    [anon_sym_DOT_DOT] = ACTIONS(3104),
    [anon_sym_STAR_STAR] = ACTIONS(3104),
    [anon_sym_PIPE_PIPE] = ACTIONS(3104),
    [anon_sym_SLASH_SLASH] = ACTIONS(3104),
    [anon_sym_CARET_CARET] = ACTIONS(3102),
    [anon_sym_AMP_AMP] = ACTIONS(3104),
    [anon_sym_PIPE] = ACTIONS(3104),
    [anon_sym_CARET] = ACTIONS(3104),
    [anon_sym_AMP] = ACTIONS(3104),
    [anon_sym_GT_GT2] = ACTIONS(3104),
    [anon_sym_PLUS] = ACTIONS(3104),
    [anon_sym_DASH] = ACTIONS(3104),
    [anon_sym_DOT] = ACTIONS(3104),
    [anon_sym_STAR] = ACTIONS(3104),
    [anon_sym_SLASH] = ACTIONS(3104),
    [anon_sym_x] = ACTIONS(3104),
    [anon_sym_EQ_TILDE] = ACTIONS(3102),
    [anon_sym_BANG_TILDE] = ACTIONS(3102),
    [anon_sym_EQ_EQ] = ACTIONS(3104),
    [anon_sym_BANG_EQ] = ACTIONS(3102),
    [anon_sym_eq] = ACTIONS(3104),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3102),
    [anon_sym_equ] = ACTIONS(3102),
    [anon_sym_eqr] = ACTIONS(3102),
    [anon_sym_ne] = ACTIONS(3102),
    [anon_sym_LT_EQ_GT] = ACTIONS(3102),
    [anon_sym_cmp] = ACTIONS(3102),
    [anon_sym_TILDE_TILDE] = ACTIONS(3102),
    [anon_sym_LT] = ACTIONS(3104),
    [anon_sym_LT_EQ] = ACTIONS(3104),
    [anon_sym_GT_EQ] = ACTIONS(3102),
    [anon_sym_lt] = ACTIONS(3102),
    [anon_sym_le] = ACTIONS(3102),
    [anon_sym_ge] = ACTIONS(3102),
    [anon_sym_gt] = ACTIONS(3102),
    [anon_sym_isa] = ACTIONS(3102),
    [anon_sym_PLUS_PLUS] = ACTIONS(3102),
    [anon_sym_DASH_DASH] = ACTIONS(3102),
    [anon_sym_QMARK] = ACTIONS(3102),
    [anon_sym_EQ_GT] = ACTIONS(3102),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2180] = {
    [sym_heredoc_content] = STATE(2180),
    [anon_sym_RBRACE] = ACTIONS(3098),
    [anon_sym_COLON] = ACTIONS(3098),
    [anon_sym_EQ] = ACTIONS(3100),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3098),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3098),
    [anon_sym_COMMA] = ACTIONS(3098),
    [anon_sym_RPAREN] = ACTIONS(3098),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3098),
    [anon_sym_DASH_GT] = ACTIONS(3098),
    [anon_sym_PERCENT] = ACTIONS(3100),
    [anon_sym_GT] = ACTIONS(3100),
    [anon_sym_LT_LT] = ACTIONS(3100),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3098),
    [anon_sym_PLUS_EQ] = ACTIONS(3098),
    [anon_sym_DASH_EQ] = ACTIONS(3098),
    [anon_sym_DOT_EQ] = ACTIONS(3098),
    [anon_sym_STAR_EQ] = ACTIONS(3098),
    [anon_sym_SLASH_EQ] = ACTIONS(3098),
    [anon_sym_PERCENT_EQ] = ACTIONS(3098),
    [anon_sym_x_EQ] = ACTIONS(3098),
    [anon_sym_AMP_EQ] = ACTIONS(3098),
    [anon_sym_PIPE_EQ] = ACTIONS(3098),
    [anon_sym_CARET_EQ] = ACTIONS(3098),
    [anon_sym_LT_LT_EQ] = ACTIONS(3098),
    [anon_sym_GT_GT_EQ] = ACTIONS(3098),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3098),
    [anon_sym_DOT_DOT] = ACTIONS(3100),
    [anon_sym_STAR_STAR] = ACTIONS(3100),
    [anon_sym_PIPE_PIPE] = ACTIONS(3100),
    [anon_sym_SLASH_SLASH] = ACTIONS(3100),
    [anon_sym_CARET_CARET] = ACTIONS(3098),
    [anon_sym_AMP_AMP] = ACTIONS(3100),
    [anon_sym_PIPE] = ACTIONS(3100),
    [anon_sym_CARET] = ACTIONS(3100),
    [anon_sym_AMP] = ACTIONS(3100),
    [anon_sym_GT_GT2] = ACTIONS(3100),
    [anon_sym_PLUS] = ACTIONS(3100),
    [anon_sym_DASH] = ACTIONS(3100),
    [anon_sym_DOT] = ACTIONS(3100),
    [anon_sym_STAR] = ACTIONS(3100),
    [anon_sym_SLASH] = ACTIONS(3100),
    [anon_sym_x] = ACTIONS(3100),
    [anon_sym_EQ_TILDE] = ACTIONS(3098),
    [anon_sym_BANG_TILDE] = ACTIONS(3098),
    [anon_sym_EQ_EQ] = ACTIONS(3100),
    [anon_sym_BANG_EQ] = ACTIONS(3098),
    [anon_sym_eq] = ACTIONS(3100),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3098),
    [anon_sym_equ] = ACTIONS(3098),
    [anon_sym_eqr] = ACTIONS(3098),
    [anon_sym_ne] = ACTIONS(3098),
    [anon_sym_LT_EQ_GT] = ACTIONS(3098),
    [anon_sym_cmp] = ACTIONS(3098),
    [anon_sym_TILDE_TILDE] = ACTIONS(3098),
    [anon_sym_LT] = ACTIONS(3100),
    [anon_sym_LT_EQ] = ACTIONS(3100),
    [anon_sym_GT_EQ] = ACTIONS(3098),
    [anon_sym_lt] = ACTIONS(3098),
    [anon_sym_le] = ACTIONS(3098),
    [anon_sym_ge] = ACTIONS(3098),
    [anon_sym_gt] = ACTIONS(3098),
    [anon_sym_isa] = ACTIONS(3098),
    [anon_sym_PLUS_PLUS] = ACTIONS(3098),
    [anon_sym_DASH_DASH] = ACTIONS(3098),
    [anon_sym_QMARK] = ACTIONS(3098),
    [anon_sym_EQ_GT] = ACTIONS(3098),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2181] = {
    [sym_heredoc_content] = STATE(2181),
    [anon_sym_SEMI] = ACTIONS(2652),
    [anon_sym_EQ] = ACTIONS(2654),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2652),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2652),
    [anon_sym_COMMA] = ACTIONS(2652),
    [anon_sym_LPAREN] = ACTIONS(3750),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2652),
    [anon_sym_DASH_GT] = ACTIONS(2652),
    [anon_sym_PERCENT] = ACTIONS(2654),
    [anon_sym_GT] = ACTIONS(2654),
    [anon_sym_LT_LT] = ACTIONS(2654),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2652),
    [anon_sym_PLUS_EQ] = ACTIONS(2652),
    [anon_sym_DASH_EQ] = ACTIONS(2652),
    [anon_sym_DOT_EQ] = ACTIONS(2652),
    [anon_sym_STAR_EQ] = ACTIONS(2652),
    [anon_sym_SLASH_EQ] = ACTIONS(2652),
    [anon_sym_PERCENT_EQ] = ACTIONS(2652),
    [anon_sym_x_EQ] = ACTIONS(2652),
    [anon_sym_AMP_EQ] = ACTIONS(2652),
    [anon_sym_PIPE_EQ] = ACTIONS(2652),
    [anon_sym_CARET_EQ] = ACTIONS(2652),
    [anon_sym_LT_LT_EQ] = ACTIONS(2652),
    [anon_sym_GT_GT_EQ] = ACTIONS(2652),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2652),
    [anon_sym_DOT_DOT] = ACTIONS(2654),
    [anon_sym_STAR_STAR] = ACTIONS(2654),
    [anon_sym_PIPE_PIPE] = ACTIONS(2654),
    [anon_sym_SLASH_SLASH] = ACTIONS(2654),
    [anon_sym_CARET_CARET] = ACTIONS(2652),
    [anon_sym_AMP_AMP] = ACTIONS(2654),
    [anon_sym_PIPE] = ACTIONS(2654),
    [anon_sym_CARET] = ACTIONS(2654),
    [anon_sym_AMP] = ACTIONS(2654),
    [anon_sym_GT_GT2] = ACTIONS(2654),
    [anon_sym_PLUS] = ACTIONS(2654),
    [anon_sym_DASH] = ACTIONS(2654),
    [anon_sym_DOT] = ACTIONS(2654),
    [anon_sym_STAR] = ACTIONS(2654),
    [anon_sym_SLASH] = ACTIONS(2654),
    [anon_sym_x] = ACTIONS(2654),
    [anon_sym_EQ_TILDE] = ACTIONS(2652),
    [anon_sym_BANG_TILDE] = ACTIONS(2652),
    [anon_sym_EQ_EQ] = ACTIONS(2654),
    [anon_sym_BANG_EQ] = ACTIONS(2652),
    [anon_sym_eq] = ACTIONS(2654),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2652),
    [anon_sym_equ] = ACTIONS(2652),
    [anon_sym_eqr] = ACTIONS(2652),
    [anon_sym_ne] = ACTIONS(2652),
    [anon_sym_LT_EQ_GT] = ACTIONS(2652),
    [anon_sym_cmp] = ACTIONS(2652),
    [anon_sym_TILDE_TILDE] = ACTIONS(2652),
    [anon_sym_LT] = ACTIONS(2654),
    [anon_sym_LT_EQ] = ACTIONS(2654),
    [anon_sym_GT_EQ] = ACTIONS(2652),
    [anon_sym_lt] = ACTIONS(2652),
    [anon_sym_le] = ACTIONS(2652),
    [anon_sym_ge] = ACTIONS(2652),
    [anon_sym_gt] = ACTIONS(2652),
    [anon_sym_isa] = ACTIONS(2652),
    [anon_sym_PLUS_PLUS] = ACTIONS(2652),
    [anon_sym_DASH_DASH] = ACTIONS(2652),
    [anon_sym_QMARK] = ACTIONS(2652),
    [anon_sym_EQ_GT] = ACTIONS(2652),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2652),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2182] = {
    [sym_heredoc_content] = STATE(2182),
    [anon_sym_RBRACE] = ACTIONS(1970),
    [anon_sym_COLON] = ACTIONS(1970),
    [anon_sym_EQ] = ACTIONS(1966),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1970),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1970),
    [anon_sym_COMMA] = ACTIONS(1970),
    [anon_sym_RPAREN] = ACTIONS(1970),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1970),
    [anon_sym_DASH_GT] = ACTIONS(1970),
    [anon_sym_PERCENT] = ACTIONS(1966),
    [anon_sym_GT] = ACTIONS(1966),
    [anon_sym_LT_LT] = ACTIONS(1966),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1970),
    [anon_sym_PLUS_EQ] = ACTIONS(1970),
    [anon_sym_DASH_EQ] = ACTIONS(1970),
    [anon_sym_DOT_EQ] = ACTIONS(1970),
    [anon_sym_STAR_EQ] = ACTIONS(1970),
    [anon_sym_SLASH_EQ] = ACTIONS(1970),
    [anon_sym_PERCENT_EQ] = ACTIONS(1970),
    [anon_sym_x_EQ] = ACTIONS(1970),
    [anon_sym_AMP_EQ] = ACTIONS(1970),
    [anon_sym_PIPE_EQ] = ACTIONS(1970),
    [anon_sym_CARET_EQ] = ACTIONS(1970),
    [anon_sym_LT_LT_EQ] = ACTIONS(1970),
    [anon_sym_GT_GT_EQ] = ACTIONS(1970),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1970),
    [anon_sym_DOT_DOT] = ACTIONS(1966),
    [anon_sym_STAR_STAR] = ACTIONS(1966),
    [anon_sym_PIPE_PIPE] = ACTIONS(1966),
    [anon_sym_SLASH_SLASH] = ACTIONS(1966),
    [anon_sym_CARET_CARET] = ACTIONS(1970),
    [anon_sym_AMP_AMP] = ACTIONS(1966),
    [anon_sym_PIPE] = ACTIONS(1966),
    [anon_sym_CARET] = ACTIONS(1966),
    [anon_sym_AMP] = ACTIONS(1966),
    [anon_sym_GT_GT2] = ACTIONS(1966),
    [anon_sym_PLUS] = ACTIONS(1966),
    [anon_sym_DASH] = ACTIONS(1966),
    [anon_sym_DOT] = ACTIONS(1966),
    [anon_sym_STAR] = ACTIONS(1966),
    [anon_sym_SLASH] = ACTIONS(1966),
    [anon_sym_x] = ACTIONS(1966),
    [anon_sym_EQ_TILDE] = ACTIONS(1970),
    [anon_sym_BANG_TILDE] = ACTIONS(1970),
    [anon_sym_EQ_EQ] = ACTIONS(1966),
    [anon_sym_BANG_EQ] = ACTIONS(1970),
    [anon_sym_eq] = ACTIONS(1966),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1970),
    [anon_sym_equ] = ACTIONS(1970),
    [anon_sym_eqr] = ACTIONS(1970),
    [anon_sym_ne] = ACTIONS(1970),
    [anon_sym_LT_EQ_GT] = ACTIONS(1970),
    [anon_sym_cmp] = ACTIONS(1970),
    [anon_sym_TILDE_TILDE] = ACTIONS(1970),
    [anon_sym_LT] = ACTIONS(1966),
    [anon_sym_LT_EQ] = ACTIONS(1966),
    [anon_sym_GT_EQ] = ACTIONS(1970),
    [anon_sym_lt] = ACTIONS(1970),
    [anon_sym_le] = ACTIONS(1970),
    [anon_sym_ge] = ACTIONS(1970),
    [anon_sym_gt] = ACTIONS(1970),
    [anon_sym_isa] = ACTIONS(1970),
    [anon_sym_PLUS_PLUS] = ACTIONS(1970),
    [anon_sym_DASH_DASH] = ACTIONS(1970),
    [anon_sym_QMARK] = ACTIONS(1970),
    [anon_sym_EQ_GT] = ACTIONS(1970),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2183] = {
    [sym_heredoc_content] = STATE(2183),
    [anon_sym_LBRACE] = ACTIONS(3900),
    [anon_sym_SEMI] = ACTIONS(1849),
    [anon_sym_EQ] = ACTIONS(1840),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1849),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1849),
    [anon_sym_COMMA] = ACTIONS(1849),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1849),
    [anon_sym_DASH_GT] = ACTIONS(1849),
    [anon_sym_PERCENT] = ACTIONS(1840),
    [anon_sym_GT] = ACTIONS(1840),
    [anon_sym_LT_LT] = ACTIONS(1840),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1849),
    [anon_sym_PLUS_EQ] = ACTIONS(1849),
    [anon_sym_DASH_EQ] = ACTIONS(1849),
    [anon_sym_DOT_EQ] = ACTIONS(1849),
    [anon_sym_STAR_EQ] = ACTIONS(1849),
    [anon_sym_SLASH_EQ] = ACTIONS(1849),
    [anon_sym_PERCENT_EQ] = ACTIONS(1849),
    [anon_sym_x_EQ] = ACTIONS(1849),
    [anon_sym_AMP_EQ] = ACTIONS(1849),
    [anon_sym_PIPE_EQ] = ACTIONS(1849),
    [anon_sym_CARET_EQ] = ACTIONS(1849),
    [anon_sym_LT_LT_EQ] = ACTIONS(1849),
    [anon_sym_GT_GT_EQ] = ACTIONS(1849),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1849),
    [anon_sym_DOT_DOT] = ACTIONS(1840),
    [anon_sym_STAR_STAR] = ACTIONS(1840),
    [anon_sym_PIPE_PIPE] = ACTIONS(1840),
    [anon_sym_SLASH_SLASH] = ACTIONS(1840),
    [anon_sym_CARET_CARET] = ACTIONS(1849),
    [anon_sym_AMP_AMP] = ACTIONS(1840),
    [anon_sym_PIPE] = ACTIONS(1840),
    [anon_sym_CARET] = ACTIONS(1840),
    [anon_sym_AMP] = ACTIONS(1840),
    [anon_sym_GT_GT2] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_DOT] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1840),
    [anon_sym_SLASH] = ACTIONS(1840),
    [anon_sym_x] = ACTIONS(1840),
    [anon_sym_EQ_TILDE] = ACTIONS(1849),
    [anon_sym_BANG_TILDE] = ACTIONS(1849),
    [anon_sym_EQ_EQ] = ACTIONS(1840),
    [anon_sym_BANG_EQ] = ACTIONS(1849),
    [anon_sym_eq] = ACTIONS(1840),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1849),
    [anon_sym_equ] = ACTIONS(1849),
    [anon_sym_eqr] = ACTIONS(1849),
    [anon_sym_ne] = ACTIONS(1849),
    [anon_sym_LT_EQ_GT] = ACTIONS(1849),
    [anon_sym_cmp] = ACTIONS(1849),
    [anon_sym_TILDE_TILDE] = ACTIONS(1849),
    [anon_sym_LT] = ACTIONS(1840),
    [anon_sym_LT_EQ] = ACTIONS(1840),
    [anon_sym_GT_EQ] = ACTIONS(1849),
    [anon_sym_lt] = ACTIONS(1849),
    [anon_sym_le] = ACTIONS(1849),
    [anon_sym_ge] = ACTIONS(1849),
    [anon_sym_gt] = ACTIONS(1849),
    [anon_sym_isa] = ACTIONS(1849),
    [anon_sym_PLUS_PLUS] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1849),
    [anon_sym_QMARK] = ACTIONS(1849),
    [anon_sym_EQ_GT] = ACTIONS(1849),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(1849),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2184] = {
    [sym_heredoc_content] = STATE(2184),
    [anon_sym_RBRACE] = ACTIONS(3230),
    [anon_sym_COLON] = ACTIONS(3230),
    [anon_sym_EQ] = ACTIONS(3232),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3230),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3230),
    [anon_sym_COMMA] = ACTIONS(3230),
    [anon_sym_RPAREN] = ACTIONS(3230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3230),
    [anon_sym_DASH_GT] = ACTIONS(3230),
    [anon_sym_PERCENT] = ACTIONS(3232),
    [anon_sym_GT] = ACTIONS(3232),
    [anon_sym_LT_LT] = ACTIONS(3232),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3230),
    [anon_sym_PLUS_EQ] = ACTIONS(3230),
    [anon_sym_DASH_EQ] = ACTIONS(3230),
    [anon_sym_DOT_EQ] = ACTIONS(3230),
    [anon_sym_STAR_EQ] = ACTIONS(3230),
    [anon_sym_SLASH_EQ] = ACTIONS(3230),
    [anon_sym_PERCENT_EQ] = ACTIONS(3230),
    [anon_sym_x_EQ] = ACTIONS(3230),
    [anon_sym_AMP_EQ] = ACTIONS(3230),
    [anon_sym_PIPE_EQ] = ACTIONS(3230),
    [anon_sym_CARET_EQ] = ACTIONS(3230),
    [anon_sym_LT_LT_EQ] = ACTIONS(3230),
    [anon_sym_GT_GT_EQ] = ACTIONS(3230),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3230),
    [anon_sym_DOT_DOT] = ACTIONS(3232),
    [anon_sym_STAR_STAR] = ACTIONS(3232),
    [anon_sym_PIPE_PIPE] = ACTIONS(3232),
    [anon_sym_SLASH_SLASH] = ACTIONS(3232),
    [anon_sym_CARET_CARET] = ACTIONS(3230),
    [anon_sym_AMP_AMP] = ACTIONS(3232),
    [anon_sym_PIPE] = ACTIONS(3232),
    [anon_sym_CARET] = ACTIONS(3232),
    [anon_sym_AMP] = ACTIONS(3232),
    [anon_sym_GT_GT2] = ACTIONS(3232),
    [anon_sym_PLUS] = ACTIONS(3232),
    [anon_sym_DASH] = ACTIONS(3232),
    [anon_sym_DOT] = ACTIONS(3232),
    [anon_sym_STAR] = ACTIONS(3232),
    [anon_sym_SLASH] = ACTIONS(3232),
    [anon_sym_x] = ACTIONS(3232),
    [anon_sym_EQ_TILDE] = ACTIONS(3230),
    [anon_sym_BANG_TILDE] = ACTIONS(3230),
    [anon_sym_EQ_EQ] = ACTIONS(3232),
    [anon_sym_BANG_EQ] = ACTIONS(3230),
    [anon_sym_eq] = ACTIONS(3232),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3230),
    [anon_sym_equ] = ACTIONS(3230),
    [anon_sym_eqr] = ACTIONS(3230),
    [anon_sym_ne] = ACTIONS(3230),
    [anon_sym_LT_EQ_GT] = ACTIONS(3230),
    [anon_sym_cmp] = ACTIONS(3230),
    [anon_sym_TILDE_TILDE] = ACTIONS(3230),
    [anon_sym_LT] = ACTIONS(3232),
    [anon_sym_LT_EQ] = ACTIONS(3232),
    [anon_sym_GT_EQ] = ACTIONS(3230),
    [anon_sym_lt] = ACTIONS(3230),
    [anon_sym_le] = ACTIONS(3230),
    [anon_sym_ge] = ACTIONS(3230),
    [anon_sym_gt] = ACTIONS(3230),
    [anon_sym_isa] = ACTIONS(3230),
    [anon_sym_PLUS_PLUS] = ACTIONS(3230),
    [anon_sym_DASH_DASH] = ACTIONS(3230),
    [anon_sym_QMARK] = ACTIONS(3230),
    [anon_sym_EQ_GT] = ACTIONS(3230),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2185] = {
    [sym_heredoc_content] = STATE(2185),
    [anon_sym_RBRACE] = ACTIONS(3234),
    [anon_sym_COLON] = ACTIONS(3234),
    [anon_sym_EQ] = ACTIONS(3236),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3234),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3234),
    [anon_sym_COMMA] = ACTIONS(3234),
    [anon_sym_RPAREN] = ACTIONS(3234),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3234),
    [anon_sym_DASH_GT] = ACTIONS(3234),
    [anon_sym_PERCENT] = ACTIONS(3236),
    [anon_sym_GT] = ACTIONS(3236),
    [anon_sym_LT_LT] = ACTIONS(3236),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3234),
    [anon_sym_PLUS_EQ] = ACTIONS(3234),
    [anon_sym_DASH_EQ] = ACTIONS(3234),
    [anon_sym_DOT_EQ] = ACTIONS(3234),
    [anon_sym_STAR_EQ] = ACTIONS(3234),
    [anon_sym_SLASH_EQ] = ACTIONS(3234),
    [anon_sym_PERCENT_EQ] = ACTIONS(3234),
    [anon_sym_x_EQ] = ACTIONS(3234),
    [anon_sym_AMP_EQ] = ACTIONS(3234),
    [anon_sym_PIPE_EQ] = ACTIONS(3234),
    [anon_sym_CARET_EQ] = ACTIONS(3234),
    [anon_sym_LT_LT_EQ] = ACTIONS(3234),
    [anon_sym_GT_GT_EQ] = ACTIONS(3234),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3234),
    [anon_sym_DOT_DOT] = ACTIONS(3236),
    [anon_sym_STAR_STAR] = ACTIONS(3236),
    [anon_sym_PIPE_PIPE] = ACTIONS(3236),
    [anon_sym_SLASH_SLASH] = ACTIONS(3236),
    [anon_sym_CARET_CARET] = ACTIONS(3234),
    [anon_sym_AMP_AMP] = ACTIONS(3236),
    [anon_sym_PIPE] = ACTIONS(3236),
    [anon_sym_CARET] = ACTIONS(3236),
    [anon_sym_AMP] = ACTIONS(3236),
    [anon_sym_GT_GT2] = ACTIONS(3236),
    [anon_sym_PLUS] = ACTIONS(3236),
    [anon_sym_DASH] = ACTIONS(3236),
    [anon_sym_DOT] = ACTIONS(3236),
    [anon_sym_STAR] = ACTIONS(3236),
    [anon_sym_SLASH] = ACTIONS(3236),
    [anon_sym_x] = ACTIONS(3236),
    [anon_sym_EQ_TILDE] = ACTIONS(3234),
    [anon_sym_BANG_TILDE] = ACTIONS(3234),
    [anon_sym_EQ_EQ] = ACTIONS(3236),
    [anon_sym_BANG_EQ] = ACTIONS(3234),
    [anon_sym_eq] = ACTIONS(3236),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3234),
    [anon_sym_equ] = ACTIONS(3234),
    [anon_sym_eqr] = ACTIONS(3234),
    [anon_sym_ne] = ACTIONS(3234),
    [anon_sym_LT_EQ_GT] = ACTIONS(3234),
    [anon_sym_cmp] = ACTIONS(3234),
    [anon_sym_TILDE_TILDE] = ACTIONS(3234),
    [anon_sym_LT] = ACTIONS(3236),
    [anon_sym_LT_EQ] = ACTIONS(3236),
    [anon_sym_GT_EQ] = ACTIONS(3234),
    [anon_sym_lt] = ACTIONS(3234),
    [anon_sym_le] = ACTIONS(3234),
    [anon_sym_ge] = ACTIONS(3234),
    [anon_sym_gt] = ACTIONS(3234),
    [anon_sym_isa] = ACTIONS(3234),
    [anon_sym_PLUS_PLUS] = ACTIONS(3234),
    [anon_sym_DASH_DASH] = ACTIONS(3234),
    [anon_sym_QMARK] = ACTIONS(3234),
    [anon_sym_EQ_GT] = ACTIONS(3234),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2186] = {
    [sym_heredoc_content] = STATE(2186),
    [anon_sym_RBRACE] = ACTIONS(3130),
    [anon_sym_COLON] = ACTIONS(3130),
    [anon_sym_EQ] = ACTIONS(3132),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3130),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3130),
    [anon_sym_COMMA] = ACTIONS(3130),
    [anon_sym_RPAREN] = ACTIONS(3130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3130),
    [anon_sym_DASH_GT] = ACTIONS(3130),
    [anon_sym_PERCENT] = ACTIONS(3132),
    [anon_sym_GT] = ACTIONS(3132),
    [anon_sym_LT_LT] = ACTIONS(3132),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3130),
    [anon_sym_PLUS_EQ] = ACTIONS(3130),
    [anon_sym_DASH_EQ] = ACTIONS(3130),
    [anon_sym_DOT_EQ] = ACTIONS(3130),
    [anon_sym_STAR_EQ] = ACTIONS(3130),
    [anon_sym_SLASH_EQ] = ACTIONS(3130),
    [anon_sym_PERCENT_EQ] = ACTIONS(3130),
    [anon_sym_x_EQ] = ACTIONS(3130),
    [anon_sym_AMP_EQ] = ACTIONS(3130),
    [anon_sym_PIPE_EQ] = ACTIONS(3130),
    [anon_sym_CARET_EQ] = ACTIONS(3130),
    [anon_sym_LT_LT_EQ] = ACTIONS(3130),
    [anon_sym_GT_GT_EQ] = ACTIONS(3130),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3130),
    [anon_sym_DOT_DOT] = ACTIONS(3132),
    [anon_sym_STAR_STAR] = ACTIONS(3132),
    [anon_sym_PIPE_PIPE] = ACTIONS(3132),
    [anon_sym_SLASH_SLASH] = ACTIONS(3132),
    [anon_sym_CARET_CARET] = ACTIONS(3130),
    [anon_sym_AMP_AMP] = ACTIONS(3132),
    [anon_sym_PIPE] = ACTIONS(3132),
    [anon_sym_CARET] = ACTIONS(3132),
    [anon_sym_AMP] = ACTIONS(3132),
    [anon_sym_GT_GT2] = ACTIONS(3132),
    [anon_sym_PLUS] = ACTIONS(3132),
    [anon_sym_DASH] = ACTIONS(3132),
    [anon_sym_DOT] = ACTIONS(3132),
    [anon_sym_STAR] = ACTIONS(3132),
    [anon_sym_SLASH] = ACTIONS(3132),
    [anon_sym_x] = ACTIONS(3132),
    [anon_sym_EQ_TILDE] = ACTIONS(3130),
    [anon_sym_BANG_TILDE] = ACTIONS(3130),
    [anon_sym_EQ_EQ] = ACTIONS(3132),
    [anon_sym_BANG_EQ] = ACTIONS(3130),
    [anon_sym_eq] = ACTIONS(3132),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3130),
    [anon_sym_equ] = ACTIONS(3130),
    [anon_sym_eqr] = ACTIONS(3130),
    [anon_sym_ne] = ACTIONS(3130),
    [anon_sym_LT_EQ_GT] = ACTIONS(3130),
    [anon_sym_cmp] = ACTIONS(3130),
    [anon_sym_TILDE_TILDE] = ACTIONS(3130),
    [anon_sym_LT] = ACTIONS(3132),
    [anon_sym_LT_EQ] = ACTIONS(3132),
    [anon_sym_GT_EQ] = ACTIONS(3130),
    [anon_sym_lt] = ACTIONS(3130),
    [anon_sym_le] = ACTIONS(3130),
    [anon_sym_ge] = ACTIONS(3130),
    [anon_sym_gt] = ACTIONS(3130),
    [anon_sym_isa] = ACTIONS(3130),
    [anon_sym_PLUS_PLUS] = ACTIONS(3130),
    [anon_sym_DASH_DASH] = ACTIONS(3130),
    [anon_sym_QMARK] = ACTIONS(3130),
    [anon_sym_EQ_GT] = ACTIONS(3130),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2187] = {
    [sym_heredoc_content] = STATE(2187),
    [anon_sym_RBRACE] = ACTIONS(3238),
    [anon_sym_COLON] = ACTIONS(3238),
    [anon_sym_EQ] = ACTIONS(3240),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3238),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3238),
    [anon_sym_COMMA] = ACTIONS(3238),
    [anon_sym_RPAREN] = ACTIONS(3238),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3238),
    [anon_sym_DASH_GT] = ACTIONS(3238),
    [anon_sym_PERCENT] = ACTIONS(3240),
    [anon_sym_GT] = ACTIONS(3240),
    [anon_sym_LT_LT] = ACTIONS(3240),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3238),
    [anon_sym_PLUS_EQ] = ACTIONS(3238),
    [anon_sym_DASH_EQ] = ACTIONS(3238),
    [anon_sym_DOT_EQ] = ACTIONS(3238),
    [anon_sym_STAR_EQ] = ACTIONS(3238),
    [anon_sym_SLASH_EQ] = ACTIONS(3238),
    [anon_sym_PERCENT_EQ] = ACTIONS(3238),
    [anon_sym_x_EQ] = ACTIONS(3238),
    [anon_sym_AMP_EQ] = ACTIONS(3238),
    [anon_sym_PIPE_EQ] = ACTIONS(3238),
    [anon_sym_CARET_EQ] = ACTIONS(3238),
    [anon_sym_LT_LT_EQ] = ACTIONS(3238),
    [anon_sym_GT_GT_EQ] = ACTIONS(3238),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3238),
    [anon_sym_DOT_DOT] = ACTIONS(3240),
    [anon_sym_STAR_STAR] = ACTIONS(3240),
    [anon_sym_PIPE_PIPE] = ACTIONS(3240),
    [anon_sym_SLASH_SLASH] = ACTIONS(3240),
    [anon_sym_CARET_CARET] = ACTIONS(3238),
    [anon_sym_AMP_AMP] = ACTIONS(3240),
    [anon_sym_PIPE] = ACTIONS(3240),
    [anon_sym_CARET] = ACTIONS(3240),
    [anon_sym_AMP] = ACTIONS(3240),
    [anon_sym_GT_GT2] = ACTIONS(3240),
    [anon_sym_PLUS] = ACTIONS(3240),
    [anon_sym_DASH] = ACTIONS(3240),
    [anon_sym_DOT] = ACTIONS(3240),
    [anon_sym_STAR] = ACTIONS(3240),
    [anon_sym_SLASH] = ACTIONS(3240),
    [anon_sym_x] = ACTIONS(3240),
    [anon_sym_EQ_TILDE] = ACTIONS(3238),
    [anon_sym_BANG_TILDE] = ACTIONS(3238),
    [anon_sym_EQ_EQ] = ACTIONS(3240),
    [anon_sym_BANG_EQ] = ACTIONS(3238),
    [anon_sym_eq] = ACTIONS(3240),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3238),
    [anon_sym_equ] = ACTIONS(3238),
    [anon_sym_eqr] = ACTIONS(3238),
    [anon_sym_ne] = ACTIONS(3238),
    [anon_sym_LT_EQ_GT] = ACTIONS(3238),
    [anon_sym_cmp] = ACTIONS(3238),
    [anon_sym_TILDE_TILDE] = ACTIONS(3238),
    [anon_sym_LT] = ACTIONS(3240),
    [anon_sym_LT_EQ] = ACTIONS(3240),
    [anon_sym_GT_EQ] = ACTIONS(3238),
    [anon_sym_lt] = ACTIONS(3238),
    [anon_sym_le] = ACTIONS(3238),
    [anon_sym_ge] = ACTIONS(3238),
    [anon_sym_gt] = ACTIONS(3238),
    [anon_sym_isa] = ACTIONS(3238),
    [anon_sym_PLUS_PLUS] = ACTIONS(3238),
    [anon_sym_DASH_DASH] = ACTIONS(3238),
    [anon_sym_QMARK] = ACTIONS(3238),
    [anon_sym_EQ_GT] = ACTIONS(3238),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2188] = {
    [sym_heredoc_content] = STATE(2188),
    [anon_sym_RBRACE] = ACTIONS(2825),
    [anon_sym_COLON] = ACTIONS(2825),
    [anon_sym_EQ] = ACTIONS(2827),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2825),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2825),
    [anon_sym_COMMA] = ACTIONS(2825),
    [anon_sym_RPAREN] = ACTIONS(2825),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2825),
    [anon_sym_DASH_GT] = ACTIONS(2825),
    [anon_sym_PERCENT] = ACTIONS(2827),
    [anon_sym_GT] = ACTIONS(2827),
    [anon_sym_LT_LT] = ACTIONS(2827),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2825),
    [anon_sym_PLUS_EQ] = ACTIONS(2825),
    [anon_sym_DASH_EQ] = ACTIONS(2825),
    [anon_sym_DOT_EQ] = ACTIONS(2825),
    [anon_sym_STAR_EQ] = ACTIONS(2825),
    [anon_sym_SLASH_EQ] = ACTIONS(2825),
    [anon_sym_PERCENT_EQ] = ACTIONS(2825),
    [anon_sym_x_EQ] = ACTIONS(2825),
    [anon_sym_AMP_EQ] = ACTIONS(2825),
    [anon_sym_PIPE_EQ] = ACTIONS(2825),
    [anon_sym_CARET_EQ] = ACTIONS(2825),
    [anon_sym_LT_LT_EQ] = ACTIONS(2825),
    [anon_sym_GT_GT_EQ] = ACTIONS(2825),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2825),
    [anon_sym_DOT_DOT] = ACTIONS(2827),
    [anon_sym_STAR_STAR] = ACTIONS(2827),
    [anon_sym_PIPE_PIPE] = ACTIONS(2827),
    [anon_sym_SLASH_SLASH] = ACTIONS(2827),
    [anon_sym_CARET_CARET] = ACTIONS(2825),
    [anon_sym_AMP_AMP] = ACTIONS(2827),
    [anon_sym_PIPE] = ACTIONS(2827),
    [anon_sym_CARET] = ACTIONS(2827),
    [anon_sym_AMP] = ACTIONS(2827),
    [anon_sym_GT_GT2] = ACTIONS(2827),
    [anon_sym_PLUS] = ACTIONS(2827),
    [anon_sym_DASH] = ACTIONS(2827),
    [anon_sym_DOT] = ACTIONS(2827),
    [anon_sym_STAR] = ACTIONS(2827),
    [anon_sym_SLASH] = ACTIONS(2827),
    [anon_sym_x] = ACTIONS(2827),
    [anon_sym_EQ_TILDE] = ACTIONS(2825),
    [anon_sym_BANG_TILDE] = ACTIONS(2825),
    [anon_sym_EQ_EQ] = ACTIONS(2827),
    [anon_sym_BANG_EQ] = ACTIONS(2825),
    [anon_sym_eq] = ACTIONS(2827),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2825),
    [anon_sym_equ] = ACTIONS(2825),
    [anon_sym_eqr] = ACTIONS(2825),
    [anon_sym_ne] = ACTIONS(2825),
    [anon_sym_LT_EQ_GT] = ACTIONS(2825),
    [anon_sym_cmp] = ACTIONS(2825),
    [anon_sym_TILDE_TILDE] = ACTIONS(2825),
    [anon_sym_LT] = ACTIONS(2827),
    [anon_sym_LT_EQ] = ACTIONS(2827),
    [anon_sym_GT_EQ] = ACTIONS(2825),
    [anon_sym_lt] = ACTIONS(2825),
    [anon_sym_le] = ACTIONS(2825),
    [anon_sym_ge] = ACTIONS(2825),
    [anon_sym_gt] = ACTIONS(2825),
    [anon_sym_isa] = ACTIONS(2825),
    [anon_sym_PLUS_PLUS] = ACTIONS(2825),
    [anon_sym_DASH_DASH] = ACTIONS(2825),
    [anon_sym_QMARK] = ACTIONS(2825),
    [anon_sym_EQ_GT] = ACTIONS(2825),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2189] = {
    [sym_heredoc_content] = STATE(2189),
    [aux_sym__term_rightward_repeat1] = STATE(2160),
    [anon_sym_RBRACE] = ACTIONS(2787),
    [anon_sym_EQ] = ACTIONS(3823),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3825),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3825),
    [anon_sym_COMMA] = ACTIONS(3893),
    [anon_sym_RPAREN] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3829),
    [anon_sym_DASH_GT] = ACTIONS(3831),
    [anon_sym_PERCENT] = ACTIONS(3833),
    [anon_sym_GT] = ACTIONS(3835),
    [anon_sym_LT_LT] = ACTIONS(3837),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3825),
    [anon_sym_PLUS_EQ] = ACTIONS(3825),
    [anon_sym_DASH_EQ] = ACTIONS(3825),
    [anon_sym_DOT_EQ] = ACTIONS(3825),
    [anon_sym_STAR_EQ] = ACTIONS(3825),
    [anon_sym_SLASH_EQ] = ACTIONS(3825),
    [anon_sym_PERCENT_EQ] = ACTIONS(3825),
    [anon_sym_x_EQ] = ACTIONS(3825),
    [anon_sym_AMP_EQ] = ACTIONS(3825),
    [anon_sym_PIPE_EQ] = ACTIONS(3825),
    [anon_sym_CARET_EQ] = ACTIONS(3825),
    [anon_sym_LT_LT_EQ] = ACTIONS(3825),
    [anon_sym_GT_GT_EQ] = ACTIONS(3825),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3825),
    [anon_sym_DOT_DOT] = ACTIONS(3839),
    [anon_sym_STAR_STAR] = ACTIONS(3841),
    [anon_sym_PIPE_PIPE] = ACTIONS(3843),
    [anon_sym_SLASH_SLASH] = ACTIONS(3843),
    [anon_sym_CARET_CARET] = ACTIONS(3845),
    [anon_sym_AMP_AMP] = ACTIONS(3847),
    [anon_sym_PIPE] = ACTIONS(3849),
    [anon_sym_CARET] = ACTIONS(3849),
    [anon_sym_AMP] = ACTIONS(3851),
    [anon_sym_GT_GT2] = ACTIONS(3837),
    [anon_sym_PLUS] = ACTIONS(3853),
    [anon_sym_DASH] = ACTIONS(3853),
    [anon_sym_DOT] = ACTIONS(3853),
    [anon_sym_STAR] = ACTIONS(3833),
    [anon_sym_SLASH] = ACTIONS(3833),
    [anon_sym_x] = ACTIONS(3833),
    [anon_sym_EQ_TILDE] = ACTIONS(3855),
    [anon_sym_BANG_TILDE] = ACTIONS(3855),
    [anon_sym_EQ_EQ] = ACTIONS(3857),
    [anon_sym_BANG_EQ] = ACTIONS(3859),
    [anon_sym_eq] = ACTIONS(3857),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3859),
    [anon_sym_equ] = ACTIONS(3859),
    [anon_sym_eqr] = ACTIONS(3859),
    [anon_sym_ne] = ACTIONS(3859),
    [anon_sym_LT_EQ_GT] = ACTIONS(3861),
    [anon_sym_cmp] = ACTIONS(3861),
    [anon_sym_TILDE_TILDE] = ACTIONS(3861),
    [anon_sym_LT] = ACTIONS(3835),
    [anon_sym_LT_EQ] = ACTIONS(3835),
    [anon_sym_GT_EQ] = ACTIONS(3863),
    [anon_sym_lt] = ACTIONS(3863),
    [anon_sym_le] = ACTIONS(3863),
    [anon_sym_ge] = ACTIONS(3863),
    [anon_sym_gt] = ACTIONS(3863),
    [anon_sym_isa] = ACTIONS(3865),
    [anon_sym_PLUS_PLUS] = ACTIONS(3867),
    [anon_sym_DASH_DASH] = ACTIONS(3867),
    [anon_sym_QMARK] = ACTIONS(3869),
    [anon_sym_EQ_GT] = ACTIONS(3893),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2190] = {
    [sym_heredoc_content] = STATE(2190),
    [anon_sym_RBRACE] = ACTIONS(2833),
    [anon_sym_COLON] = ACTIONS(2833),
    [anon_sym_EQ] = ACTIONS(2835),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_COMMA] = ACTIONS(2833),
    [anon_sym_RPAREN] = ACTIONS(2833),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2833),
    [anon_sym_DASH_GT] = ACTIONS(2833),
    [anon_sym_PERCENT] = ACTIONS(2835),
    [anon_sym_GT] = ACTIONS(2835),
    [anon_sym_LT_LT] = ACTIONS(2835),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2833),
    [anon_sym_PLUS_EQ] = ACTIONS(2833),
    [anon_sym_DASH_EQ] = ACTIONS(2833),
    [anon_sym_DOT_EQ] = ACTIONS(2833),
    [anon_sym_STAR_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_PERCENT_EQ] = ACTIONS(2833),
    [anon_sym_x_EQ] = ACTIONS(2833),
    [anon_sym_AMP_EQ] = ACTIONS(2833),
    [anon_sym_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_CARET_EQ] = ACTIONS(2833),
    [anon_sym_LT_LT_EQ] = ACTIONS(2833),
    [anon_sym_GT_GT_EQ] = ACTIONS(2833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2833),
    [anon_sym_DOT_DOT] = ACTIONS(2835),
    [anon_sym_STAR_STAR] = ACTIONS(2835),
    [anon_sym_PIPE_PIPE] = ACTIONS(2835),
    [anon_sym_SLASH_SLASH] = ACTIONS(2835),
    [anon_sym_CARET_CARET] = ACTIONS(2833),
    [anon_sym_AMP_AMP] = ACTIONS(2835),
    [anon_sym_PIPE] = ACTIONS(2835),
    [anon_sym_CARET] = ACTIONS(2835),
    [anon_sym_AMP] = ACTIONS(2835),
    [anon_sym_GT_GT2] = ACTIONS(2835),
    [anon_sym_PLUS] = ACTIONS(2835),
    [anon_sym_DASH] = ACTIONS(2835),
    [anon_sym_DOT] = ACTIONS(2835),
    [anon_sym_STAR] = ACTIONS(2835),
    [anon_sym_SLASH] = ACTIONS(2835),
    [anon_sym_x] = ACTIONS(2835),
    [anon_sym_EQ_TILDE] = ACTIONS(2833),
    [anon_sym_BANG_TILDE] = ACTIONS(2833),
    [anon_sym_EQ_EQ] = ACTIONS(2835),
    [anon_sym_BANG_EQ] = ACTIONS(2833),
    [anon_sym_eq] = ACTIONS(2835),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2833),
    [anon_sym_equ] = ACTIONS(2833),
    [anon_sym_eqr] = ACTIONS(2833),
    [anon_sym_ne] = ACTIONS(2833),
    [anon_sym_LT_EQ_GT] = ACTIONS(2833),
    [anon_sym_cmp] = ACTIONS(2833),
    [anon_sym_TILDE_TILDE] = ACTIONS(2833),
    [anon_sym_LT] = ACTIONS(2835),
    [anon_sym_LT_EQ] = ACTIONS(2835),
    [anon_sym_GT_EQ] = ACTIONS(2833),
    [anon_sym_lt] = ACTIONS(2833),
    [anon_sym_le] = ACTIONS(2833),
    [anon_sym_ge] = ACTIONS(2833),
    [anon_sym_gt] = ACTIONS(2833),
    [anon_sym_isa] = ACTIONS(2833),
    [anon_sym_PLUS_PLUS] = ACTIONS(2833),
    [anon_sym_DASH_DASH] = ACTIONS(2833),
    [anon_sym_QMARK] = ACTIONS(2833),
    [anon_sym_EQ_GT] = ACTIONS(2833),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2191] = {
    [sym_heredoc_content] = STATE(2191),
    [anon_sym_RBRACE] = ACTIONS(2837),
    [anon_sym_COLON] = ACTIONS(2837),
    [anon_sym_EQ] = ACTIONS(2839),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2837),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2837),
    [anon_sym_COMMA] = ACTIONS(2837),
    [anon_sym_RPAREN] = ACTIONS(2837),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2837),
    [anon_sym_DASH_GT] = ACTIONS(2837),
    [anon_sym_PERCENT] = ACTIONS(2839),
    [anon_sym_GT] = ACTIONS(2839),
    [anon_sym_LT_LT] = ACTIONS(2839),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2837),
    [anon_sym_PLUS_EQ] = ACTIONS(2837),
    [anon_sym_DASH_EQ] = ACTIONS(2837),
    [anon_sym_DOT_EQ] = ACTIONS(2837),
    [anon_sym_STAR_EQ] = ACTIONS(2837),
    [anon_sym_SLASH_EQ] = ACTIONS(2837),
    [anon_sym_PERCENT_EQ] = ACTIONS(2837),
    [anon_sym_x_EQ] = ACTIONS(2837),
    [anon_sym_AMP_EQ] = ACTIONS(2837),
    [anon_sym_PIPE_EQ] = ACTIONS(2837),
    [anon_sym_CARET_EQ] = ACTIONS(2837),
    [anon_sym_LT_LT_EQ] = ACTIONS(2837),
    [anon_sym_GT_GT_EQ] = ACTIONS(2837),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2837),
    [anon_sym_DOT_DOT] = ACTIONS(2839),
    [anon_sym_STAR_STAR] = ACTIONS(2839),
    [anon_sym_PIPE_PIPE] = ACTIONS(2839),
    [anon_sym_SLASH_SLASH] = ACTIONS(2839),
    [anon_sym_CARET_CARET] = ACTIONS(2837),
    [anon_sym_AMP_AMP] = ACTIONS(2839),
    [anon_sym_PIPE] = ACTIONS(2839),
    [anon_sym_CARET] = ACTIONS(2839),
    [anon_sym_AMP] = ACTIONS(2839),
    [anon_sym_GT_GT2] = ACTIONS(2839),
    [anon_sym_PLUS] = ACTIONS(2839),
    [anon_sym_DASH] = ACTIONS(2839),
    [anon_sym_DOT] = ACTIONS(2839),
    [anon_sym_STAR] = ACTIONS(2839),
    [anon_sym_SLASH] = ACTIONS(2839),
    [anon_sym_x] = ACTIONS(2839),
    [anon_sym_EQ_TILDE] = ACTIONS(2837),
    [anon_sym_BANG_TILDE] = ACTIONS(2837),
    [anon_sym_EQ_EQ] = ACTIONS(2839),
    [anon_sym_BANG_EQ] = ACTIONS(2837),
    [anon_sym_eq] = ACTIONS(2839),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2837),
    [anon_sym_equ] = ACTIONS(2837),
    [anon_sym_eqr] = ACTIONS(2837),
    [anon_sym_ne] = ACTIONS(2837),
    [anon_sym_LT_EQ_GT] = ACTIONS(2837),
    [anon_sym_cmp] = ACTIONS(2837),
    [anon_sym_TILDE_TILDE] = ACTIONS(2837),
    [anon_sym_LT] = ACTIONS(2839),
    [anon_sym_LT_EQ] = ACTIONS(2839),
    [anon_sym_GT_EQ] = ACTIONS(2837),
    [anon_sym_lt] = ACTIONS(2837),
    [anon_sym_le] = ACTIONS(2837),
    [anon_sym_ge] = ACTIONS(2837),
    [anon_sym_gt] = ACTIONS(2837),
    [anon_sym_isa] = ACTIONS(2837),
    [anon_sym_PLUS_PLUS] = ACTIONS(2837),
    [anon_sym_DASH_DASH] = ACTIONS(2837),
    [anon_sym_QMARK] = ACTIONS(2837),
    [anon_sym_EQ_GT] = ACTIONS(2837),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2192] = {
    [sym_heredoc_content] = STATE(2192),
    [anon_sym_RBRACE] = ACTIONS(2841),
    [anon_sym_COLON] = ACTIONS(2841),
    [anon_sym_EQ] = ACTIONS(2843),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2841),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2841),
    [anon_sym_COMMA] = ACTIONS(2841),
    [anon_sym_RPAREN] = ACTIONS(2841),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2841),
    [anon_sym_DASH_GT] = ACTIONS(2841),
    [anon_sym_PERCENT] = ACTIONS(2843),
    [anon_sym_GT] = ACTIONS(2843),
    [anon_sym_LT_LT] = ACTIONS(2843),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2841),
    [anon_sym_PLUS_EQ] = ACTIONS(2841),
    [anon_sym_DASH_EQ] = ACTIONS(2841),
    [anon_sym_DOT_EQ] = ACTIONS(2841),
    [anon_sym_STAR_EQ] = ACTIONS(2841),
    [anon_sym_SLASH_EQ] = ACTIONS(2841),
    [anon_sym_PERCENT_EQ] = ACTIONS(2841),
    [anon_sym_x_EQ] = ACTIONS(2841),
    [anon_sym_AMP_EQ] = ACTIONS(2841),
    [anon_sym_PIPE_EQ] = ACTIONS(2841),
    [anon_sym_CARET_EQ] = ACTIONS(2841),
    [anon_sym_LT_LT_EQ] = ACTIONS(2841),
    [anon_sym_GT_GT_EQ] = ACTIONS(2841),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2841),
    [anon_sym_DOT_DOT] = ACTIONS(2843),
    [anon_sym_STAR_STAR] = ACTIONS(2843),
    [anon_sym_PIPE_PIPE] = ACTIONS(2843),
    [anon_sym_SLASH_SLASH] = ACTIONS(2843),
    [anon_sym_CARET_CARET] = ACTIONS(2841),
    [anon_sym_AMP_AMP] = ACTIONS(2843),
    [anon_sym_PIPE] = ACTIONS(2843),
    [anon_sym_CARET] = ACTIONS(2843),
    [anon_sym_AMP] = ACTIONS(2843),
    [anon_sym_GT_GT2] = ACTIONS(2843),
    [anon_sym_PLUS] = ACTIONS(2843),
    [anon_sym_DASH] = ACTIONS(2843),
    [anon_sym_DOT] = ACTIONS(2843),
    [anon_sym_STAR] = ACTIONS(2843),
    [anon_sym_SLASH] = ACTIONS(2843),
    [anon_sym_x] = ACTIONS(2843),
    [anon_sym_EQ_TILDE] = ACTIONS(2841),
    [anon_sym_BANG_TILDE] = ACTIONS(2841),
    [anon_sym_EQ_EQ] = ACTIONS(2843),
    [anon_sym_BANG_EQ] = ACTIONS(2841),
    [anon_sym_eq] = ACTIONS(2843),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2841),
    [anon_sym_equ] = ACTIONS(2841),
    [anon_sym_eqr] = ACTIONS(2841),
    [anon_sym_ne] = ACTIONS(2841),
    [anon_sym_LT_EQ_GT] = ACTIONS(2841),
    [anon_sym_cmp] = ACTIONS(2841),
    [anon_sym_TILDE_TILDE] = ACTIONS(2841),
    [anon_sym_LT] = ACTIONS(2843),
    [anon_sym_LT_EQ] = ACTIONS(2843),
    [anon_sym_GT_EQ] = ACTIONS(2841),
    [anon_sym_lt] = ACTIONS(2841),
    [anon_sym_le] = ACTIONS(2841),
    [anon_sym_ge] = ACTIONS(2841),
    [anon_sym_gt] = ACTIONS(2841),
    [anon_sym_isa] = ACTIONS(2841),
    [anon_sym_PLUS_PLUS] = ACTIONS(2841),
    [anon_sym_DASH_DASH] = ACTIONS(2841),
    [anon_sym_QMARK] = ACTIONS(2841),
    [anon_sym_EQ_GT] = ACTIONS(2841),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2193] = {
    [sym_heredoc_content] = STATE(2193),
    [anon_sym_SEMI] = ACTIONS(1849),
    [anon_sym_EQ] = ACTIONS(1840),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1849),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1849),
    [anon_sym_COMMA] = ACTIONS(1849),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1849),
    [anon_sym_LBRACK] = ACTIONS(3902),
    [anon_sym_DASH_GT] = ACTIONS(1849),
    [anon_sym_PERCENT] = ACTIONS(1840),
    [anon_sym_GT] = ACTIONS(1840),
    [anon_sym_LT_LT] = ACTIONS(1840),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1849),
    [anon_sym_PLUS_EQ] = ACTIONS(1849),
    [anon_sym_DASH_EQ] = ACTIONS(1849),
    [anon_sym_DOT_EQ] = ACTIONS(1849),
    [anon_sym_STAR_EQ] = ACTIONS(1849),
    [anon_sym_SLASH_EQ] = ACTIONS(1849),
    [anon_sym_PERCENT_EQ] = ACTIONS(1849),
    [anon_sym_x_EQ] = ACTIONS(1849),
    [anon_sym_AMP_EQ] = ACTIONS(1849),
    [anon_sym_PIPE_EQ] = ACTIONS(1849),
    [anon_sym_CARET_EQ] = ACTIONS(1849),
    [anon_sym_LT_LT_EQ] = ACTIONS(1849),
    [anon_sym_GT_GT_EQ] = ACTIONS(1849),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1849),
    [anon_sym_DOT_DOT] = ACTIONS(1840),
    [anon_sym_STAR_STAR] = ACTIONS(1840),
    [anon_sym_PIPE_PIPE] = ACTIONS(1840),
    [anon_sym_SLASH_SLASH] = ACTIONS(1840),
    [anon_sym_CARET_CARET] = ACTIONS(1849),
    [anon_sym_AMP_AMP] = ACTIONS(1840),
    [anon_sym_PIPE] = ACTIONS(1840),
    [anon_sym_CARET] = ACTIONS(1840),
    [anon_sym_AMP] = ACTIONS(1840),
    [anon_sym_GT_GT2] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_DOT] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1840),
    [anon_sym_SLASH] = ACTIONS(1840),
    [anon_sym_x] = ACTIONS(1840),
    [anon_sym_EQ_TILDE] = ACTIONS(1849),
    [anon_sym_BANG_TILDE] = ACTIONS(1849),
    [anon_sym_EQ_EQ] = ACTIONS(1840),
    [anon_sym_BANG_EQ] = ACTIONS(1849),
    [anon_sym_eq] = ACTIONS(1840),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1849),
    [anon_sym_equ] = ACTIONS(1849),
    [anon_sym_eqr] = ACTIONS(1849),
    [anon_sym_ne] = ACTIONS(1849),
    [anon_sym_LT_EQ_GT] = ACTIONS(1849),
    [anon_sym_cmp] = ACTIONS(1849),
    [anon_sym_TILDE_TILDE] = ACTIONS(1849),
    [anon_sym_LT] = ACTIONS(1840),
    [anon_sym_LT_EQ] = ACTIONS(1840),
    [anon_sym_GT_EQ] = ACTIONS(1849),
    [anon_sym_lt] = ACTIONS(1849),
    [anon_sym_le] = ACTIONS(1849),
    [anon_sym_ge] = ACTIONS(1849),
    [anon_sym_gt] = ACTIONS(1849),
    [anon_sym_isa] = ACTIONS(1849),
    [anon_sym_PLUS_PLUS] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1849),
    [anon_sym_QMARK] = ACTIONS(1849),
    [anon_sym_EQ_GT] = ACTIONS(1849),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(1849),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2194] = {
    [sym_heredoc_content] = STATE(2194),
    [anon_sym_COLON] = ACTIONS(2670),
    [anon_sym_SEMI] = ACTIONS(2670),
    [anon_sym_EQ] = ACTIONS(2672),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2670),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2670),
    [anon_sym_COMMA] = ACTIONS(2670),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2670),
    [anon_sym_DASH_GT] = ACTIONS(2670),
    [anon_sym_PERCENT] = ACTIONS(2672),
    [anon_sym_GT] = ACTIONS(2672),
    [anon_sym_LT_LT] = ACTIONS(2672),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2670),
    [anon_sym_PLUS_EQ] = ACTIONS(2670),
    [anon_sym_DASH_EQ] = ACTIONS(2670),
    [anon_sym_DOT_EQ] = ACTIONS(2670),
    [anon_sym_STAR_EQ] = ACTIONS(2670),
    [anon_sym_SLASH_EQ] = ACTIONS(2670),
    [anon_sym_PERCENT_EQ] = ACTIONS(2670),
    [anon_sym_x_EQ] = ACTIONS(2670),
    [anon_sym_AMP_EQ] = ACTIONS(2670),
    [anon_sym_PIPE_EQ] = ACTIONS(2670),
    [anon_sym_CARET_EQ] = ACTIONS(2670),
    [anon_sym_LT_LT_EQ] = ACTIONS(2670),
    [anon_sym_GT_GT_EQ] = ACTIONS(2670),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2670),
    [anon_sym_DOT_DOT] = ACTIONS(2672),
    [anon_sym_STAR_STAR] = ACTIONS(2672),
    [anon_sym_PIPE_PIPE] = ACTIONS(2672),
    [anon_sym_SLASH_SLASH] = ACTIONS(2672),
    [anon_sym_CARET_CARET] = ACTIONS(2670),
    [anon_sym_AMP_AMP] = ACTIONS(2672),
    [anon_sym_PIPE] = ACTIONS(2672),
    [anon_sym_CARET] = ACTIONS(2672),
    [anon_sym_AMP] = ACTIONS(2672),
    [anon_sym_GT_GT2] = ACTIONS(2672),
    [anon_sym_PLUS] = ACTIONS(2672),
    [anon_sym_DASH] = ACTIONS(2672),
    [anon_sym_DOT] = ACTIONS(2672),
    [anon_sym_STAR] = ACTIONS(2672),
    [anon_sym_SLASH] = ACTIONS(2672),
    [anon_sym_x] = ACTIONS(2672),
    [anon_sym_EQ_TILDE] = ACTIONS(2670),
    [anon_sym_BANG_TILDE] = ACTIONS(2670),
    [anon_sym_EQ_EQ] = ACTIONS(2672),
    [anon_sym_BANG_EQ] = ACTIONS(2670),
    [anon_sym_eq] = ACTIONS(2672),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2670),
    [anon_sym_equ] = ACTIONS(2670),
    [anon_sym_eqr] = ACTIONS(2670),
    [anon_sym_ne] = ACTIONS(2670),
    [anon_sym_LT_EQ_GT] = ACTIONS(2670),
    [anon_sym_cmp] = ACTIONS(2670),
    [anon_sym_TILDE_TILDE] = ACTIONS(2670),
    [anon_sym_LT] = ACTIONS(2672),
    [anon_sym_LT_EQ] = ACTIONS(2672),
    [anon_sym_GT_EQ] = ACTIONS(2670),
    [anon_sym_lt] = ACTIONS(2670),
    [anon_sym_le] = ACTIONS(2670),
    [anon_sym_ge] = ACTIONS(2670),
    [anon_sym_gt] = ACTIONS(2670),
    [anon_sym_isa] = ACTIONS(2670),
    [anon_sym_PLUS_PLUS] = ACTIONS(2670),
    [anon_sym_DASH_DASH] = ACTIONS(2670),
    [anon_sym_QMARK] = ACTIONS(2670),
    [anon_sym_EQ_GT] = ACTIONS(2670),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2670),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2195] = {
    [sym_heredoc_content] = STATE(2195),
    [anon_sym_RBRACE] = ACTIONS(2849),
    [anon_sym_COLON] = ACTIONS(2849),
    [anon_sym_EQ] = ACTIONS(2851),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2849),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2849),
    [anon_sym_COMMA] = ACTIONS(2849),
    [anon_sym_RPAREN] = ACTIONS(2849),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2849),
    [anon_sym_DASH_GT] = ACTIONS(2849),
    [anon_sym_PERCENT] = ACTIONS(2851),
    [anon_sym_GT] = ACTIONS(2851),
    [anon_sym_LT_LT] = ACTIONS(2851),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2849),
    [anon_sym_PLUS_EQ] = ACTIONS(2849),
    [anon_sym_DASH_EQ] = ACTIONS(2849),
    [anon_sym_DOT_EQ] = ACTIONS(2849),
    [anon_sym_STAR_EQ] = ACTIONS(2849),
    [anon_sym_SLASH_EQ] = ACTIONS(2849),
    [anon_sym_PERCENT_EQ] = ACTIONS(2849),
    [anon_sym_x_EQ] = ACTIONS(2849),
    [anon_sym_AMP_EQ] = ACTIONS(2849),
    [anon_sym_PIPE_EQ] = ACTIONS(2849),
    [anon_sym_CARET_EQ] = ACTIONS(2849),
    [anon_sym_LT_LT_EQ] = ACTIONS(2849),
    [anon_sym_GT_GT_EQ] = ACTIONS(2849),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2849),
    [anon_sym_DOT_DOT] = ACTIONS(2851),
    [anon_sym_STAR_STAR] = ACTIONS(2851),
    [anon_sym_PIPE_PIPE] = ACTIONS(2851),
    [anon_sym_SLASH_SLASH] = ACTIONS(2851),
    [anon_sym_CARET_CARET] = ACTIONS(2849),
    [anon_sym_AMP_AMP] = ACTIONS(2851),
    [anon_sym_PIPE] = ACTIONS(2851),
    [anon_sym_CARET] = ACTIONS(2851),
    [anon_sym_AMP] = ACTIONS(2851),
    [anon_sym_GT_GT2] = ACTIONS(2851),
    [anon_sym_PLUS] = ACTIONS(2851),
    [anon_sym_DASH] = ACTIONS(2851),
    [anon_sym_DOT] = ACTIONS(2851),
    [anon_sym_STAR] = ACTIONS(2851),
    [anon_sym_SLASH] = ACTIONS(2851),
    [anon_sym_x] = ACTIONS(2851),
    [anon_sym_EQ_TILDE] = ACTIONS(2849),
    [anon_sym_BANG_TILDE] = ACTIONS(2849),
    [anon_sym_EQ_EQ] = ACTIONS(2851),
    [anon_sym_BANG_EQ] = ACTIONS(2849),
    [anon_sym_eq] = ACTIONS(2851),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2849),
    [anon_sym_equ] = ACTIONS(2849),
    [anon_sym_eqr] = ACTIONS(2849),
    [anon_sym_ne] = ACTIONS(2849),
    [anon_sym_LT_EQ_GT] = ACTIONS(2849),
    [anon_sym_cmp] = ACTIONS(2849),
    [anon_sym_TILDE_TILDE] = ACTIONS(2849),
    [anon_sym_LT] = ACTIONS(2851),
    [anon_sym_LT_EQ] = ACTIONS(2851),
    [anon_sym_GT_EQ] = ACTIONS(2849),
    [anon_sym_lt] = ACTIONS(2849),
    [anon_sym_le] = ACTIONS(2849),
    [anon_sym_ge] = ACTIONS(2849),
    [anon_sym_gt] = ACTIONS(2849),
    [anon_sym_isa] = ACTIONS(2849),
    [anon_sym_PLUS_PLUS] = ACTIONS(2849),
    [anon_sym_DASH_DASH] = ACTIONS(2849),
    [anon_sym_QMARK] = ACTIONS(2849),
    [anon_sym_EQ_GT] = ACTIONS(2849),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2196] = {
    [sym_heredoc_content] = STATE(2196),
    [anon_sym_RBRACE] = ACTIONS(3290),
    [anon_sym_COLON] = ACTIONS(3290),
    [anon_sym_EQ] = ACTIONS(3292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3290),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3290),
    [anon_sym_COMMA] = ACTIONS(3290),
    [anon_sym_RPAREN] = ACTIONS(3290),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3290),
    [anon_sym_DASH_GT] = ACTIONS(3290),
    [anon_sym_PERCENT] = ACTIONS(3292),
    [anon_sym_GT] = ACTIONS(3292),
    [anon_sym_LT_LT] = ACTIONS(3292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3290),
    [anon_sym_PLUS_EQ] = ACTIONS(3290),
    [anon_sym_DASH_EQ] = ACTIONS(3290),
    [anon_sym_DOT_EQ] = ACTIONS(3290),
    [anon_sym_STAR_EQ] = ACTIONS(3290),
    [anon_sym_SLASH_EQ] = ACTIONS(3290),
    [anon_sym_PERCENT_EQ] = ACTIONS(3290),
    [anon_sym_x_EQ] = ACTIONS(3290),
    [anon_sym_AMP_EQ] = ACTIONS(3290),
    [anon_sym_PIPE_EQ] = ACTIONS(3290),
    [anon_sym_CARET_EQ] = ACTIONS(3290),
    [anon_sym_LT_LT_EQ] = ACTIONS(3290),
    [anon_sym_GT_GT_EQ] = ACTIONS(3290),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3290),
    [anon_sym_DOT_DOT] = ACTIONS(3292),
    [anon_sym_STAR_STAR] = ACTIONS(3292),
    [anon_sym_PIPE_PIPE] = ACTIONS(3292),
    [anon_sym_SLASH_SLASH] = ACTIONS(3292),
    [anon_sym_CARET_CARET] = ACTIONS(3290),
    [anon_sym_AMP_AMP] = ACTIONS(3292),
    [anon_sym_PIPE] = ACTIONS(3292),
    [anon_sym_CARET] = ACTIONS(3292),
    [anon_sym_AMP] = ACTIONS(3292),
    [anon_sym_GT_GT2] = ACTIONS(3292),
    [anon_sym_PLUS] = ACTIONS(3292),
    [anon_sym_DASH] = ACTIONS(3292),
    [anon_sym_DOT] = ACTIONS(3292),
    [anon_sym_STAR] = ACTIONS(3292),
    [anon_sym_SLASH] = ACTIONS(3292),
    [anon_sym_x] = ACTIONS(3292),
    [anon_sym_EQ_TILDE] = ACTIONS(3290),
    [anon_sym_BANG_TILDE] = ACTIONS(3290),
    [anon_sym_EQ_EQ] = ACTIONS(3292),
    [anon_sym_BANG_EQ] = ACTIONS(3290),
    [anon_sym_eq] = ACTIONS(3292),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3290),
    [anon_sym_equ] = ACTIONS(3290),
    [anon_sym_eqr] = ACTIONS(3290),
    [anon_sym_ne] = ACTIONS(3290),
    [anon_sym_LT_EQ_GT] = ACTIONS(3290),
    [anon_sym_cmp] = ACTIONS(3290),
    [anon_sym_TILDE_TILDE] = ACTIONS(3290),
    [anon_sym_LT] = ACTIONS(3292),
    [anon_sym_LT_EQ] = ACTIONS(3292),
    [anon_sym_GT_EQ] = ACTIONS(3290),
    [anon_sym_lt] = ACTIONS(3290),
    [anon_sym_le] = ACTIONS(3290),
    [anon_sym_ge] = ACTIONS(3290),
    [anon_sym_gt] = ACTIONS(3290),
    [anon_sym_isa] = ACTIONS(3290),
    [anon_sym_PLUS_PLUS] = ACTIONS(3290),
    [anon_sym_DASH_DASH] = ACTIONS(3290),
    [anon_sym_QMARK] = ACTIONS(3290),
    [anon_sym_EQ_GT] = ACTIONS(3290),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2197] = {
    [sym_heredoc_content] = STATE(2197),
    [anon_sym_RBRACE] = ACTIONS(3294),
    [anon_sym_COLON] = ACTIONS(3294),
    [anon_sym_EQ] = ACTIONS(3296),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3294),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3294),
    [anon_sym_COMMA] = ACTIONS(3294),
    [anon_sym_RPAREN] = ACTIONS(3294),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3294),
    [anon_sym_DASH_GT] = ACTIONS(3294),
    [anon_sym_PERCENT] = ACTIONS(3296),
    [anon_sym_GT] = ACTIONS(3296),
    [anon_sym_LT_LT] = ACTIONS(3296),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3294),
    [anon_sym_PLUS_EQ] = ACTIONS(3294),
    [anon_sym_DASH_EQ] = ACTIONS(3294),
    [anon_sym_DOT_EQ] = ACTIONS(3294),
    [anon_sym_STAR_EQ] = ACTIONS(3294),
    [anon_sym_SLASH_EQ] = ACTIONS(3294),
    [anon_sym_PERCENT_EQ] = ACTIONS(3294),
    [anon_sym_x_EQ] = ACTIONS(3294),
    [anon_sym_AMP_EQ] = ACTIONS(3294),
    [anon_sym_PIPE_EQ] = ACTIONS(3294),
    [anon_sym_CARET_EQ] = ACTIONS(3294),
    [anon_sym_LT_LT_EQ] = ACTIONS(3294),
    [anon_sym_GT_GT_EQ] = ACTIONS(3294),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3294),
    [anon_sym_DOT_DOT] = ACTIONS(3296),
    [anon_sym_STAR_STAR] = ACTIONS(3296),
    [anon_sym_PIPE_PIPE] = ACTIONS(3296),
    [anon_sym_SLASH_SLASH] = ACTIONS(3296),
    [anon_sym_CARET_CARET] = ACTIONS(3294),
    [anon_sym_AMP_AMP] = ACTIONS(3296),
    [anon_sym_PIPE] = ACTIONS(3296),
    [anon_sym_CARET] = ACTIONS(3296),
    [anon_sym_AMP] = ACTIONS(3296),
    [anon_sym_GT_GT2] = ACTIONS(3296),
    [anon_sym_PLUS] = ACTIONS(3296),
    [anon_sym_DASH] = ACTIONS(3296),
    [anon_sym_DOT] = ACTIONS(3296),
    [anon_sym_STAR] = ACTIONS(3296),
    [anon_sym_SLASH] = ACTIONS(3296),
    [anon_sym_x] = ACTIONS(3296),
    [anon_sym_EQ_TILDE] = ACTIONS(3294),
    [anon_sym_BANG_TILDE] = ACTIONS(3294),
    [anon_sym_EQ_EQ] = ACTIONS(3296),
    [anon_sym_BANG_EQ] = ACTIONS(3294),
    [anon_sym_eq] = ACTIONS(3296),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3294),
    [anon_sym_equ] = ACTIONS(3294),
    [anon_sym_eqr] = ACTIONS(3294),
    [anon_sym_ne] = ACTIONS(3294),
    [anon_sym_LT_EQ_GT] = ACTIONS(3294),
    [anon_sym_cmp] = ACTIONS(3294),
    [anon_sym_TILDE_TILDE] = ACTIONS(3294),
    [anon_sym_LT] = ACTIONS(3296),
    [anon_sym_LT_EQ] = ACTIONS(3296),
    [anon_sym_GT_EQ] = ACTIONS(3294),
    [anon_sym_lt] = ACTIONS(3294),
    [anon_sym_le] = ACTIONS(3294),
    [anon_sym_ge] = ACTIONS(3294),
    [anon_sym_gt] = ACTIONS(3294),
    [anon_sym_isa] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [anon_sym_QMARK] = ACTIONS(3294),
    [anon_sym_EQ_GT] = ACTIONS(3294),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2198] = {
    [sym_heredoc_content] = STATE(2198),
    [anon_sym_RBRACE] = ACTIONS(3106),
    [anon_sym_COLON] = ACTIONS(3106),
    [anon_sym_EQ] = ACTIONS(3108),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3106),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3106),
    [anon_sym_COMMA] = ACTIONS(3106),
    [anon_sym_RPAREN] = ACTIONS(3106),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3106),
    [anon_sym_DASH_GT] = ACTIONS(3106),
    [anon_sym_PERCENT] = ACTIONS(3108),
    [anon_sym_GT] = ACTIONS(3108),
    [anon_sym_LT_LT] = ACTIONS(3108),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3106),
    [anon_sym_PLUS_EQ] = ACTIONS(3106),
    [anon_sym_DASH_EQ] = ACTIONS(3106),
    [anon_sym_DOT_EQ] = ACTIONS(3106),
    [anon_sym_STAR_EQ] = ACTIONS(3106),
    [anon_sym_SLASH_EQ] = ACTIONS(3106),
    [anon_sym_PERCENT_EQ] = ACTIONS(3106),
    [anon_sym_x_EQ] = ACTIONS(3106),
    [anon_sym_AMP_EQ] = ACTIONS(3106),
    [anon_sym_PIPE_EQ] = ACTIONS(3106),
    [anon_sym_CARET_EQ] = ACTIONS(3106),
    [anon_sym_LT_LT_EQ] = ACTIONS(3106),
    [anon_sym_GT_GT_EQ] = ACTIONS(3106),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3106),
    [anon_sym_DOT_DOT] = ACTIONS(3108),
    [anon_sym_STAR_STAR] = ACTIONS(3108),
    [anon_sym_PIPE_PIPE] = ACTIONS(3108),
    [anon_sym_SLASH_SLASH] = ACTIONS(3108),
    [anon_sym_CARET_CARET] = ACTIONS(3106),
    [anon_sym_AMP_AMP] = ACTIONS(3108),
    [anon_sym_PIPE] = ACTIONS(3108),
    [anon_sym_CARET] = ACTIONS(3108),
    [anon_sym_AMP] = ACTIONS(3108),
    [anon_sym_GT_GT2] = ACTIONS(3108),
    [anon_sym_PLUS] = ACTIONS(3108),
    [anon_sym_DASH] = ACTIONS(3108),
    [anon_sym_DOT] = ACTIONS(3108),
    [anon_sym_STAR] = ACTIONS(3108),
    [anon_sym_SLASH] = ACTIONS(3108),
    [anon_sym_x] = ACTIONS(3108),
    [anon_sym_EQ_TILDE] = ACTIONS(3106),
    [anon_sym_BANG_TILDE] = ACTIONS(3106),
    [anon_sym_EQ_EQ] = ACTIONS(3108),
    [anon_sym_BANG_EQ] = ACTIONS(3106),
    [anon_sym_eq] = ACTIONS(3108),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3106),
    [anon_sym_equ] = ACTIONS(3106),
    [anon_sym_eqr] = ACTIONS(3106),
    [anon_sym_ne] = ACTIONS(3106),
    [anon_sym_LT_EQ_GT] = ACTIONS(3106),
    [anon_sym_cmp] = ACTIONS(3106),
    [anon_sym_TILDE_TILDE] = ACTIONS(3106),
    [anon_sym_LT] = ACTIONS(3108),
    [anon_sym_LT_EQ] = ACTIONS(3108),
    [anon_sym_GT_EQ] = ACTIONS(3106),
    [anon_sym_lt] = ACTIONS(3106),
    [anon_sym_le] = ACTIONS(3106),
    [anon_sym_ge] = ACTIONS(3106),
    [anon_sym_gt] = ACTIONS(3106),
    [anon_sym_isa] = ACTIONS(3106),
    [anon_sym_PLUS_PLUS] = ACTIONS(3106),
    [anon_sym_DASH_DASH] = ACTIONS(3106),
    [anon_sym_QMARK] = ACTIONS(3106),
    [anon_sym_EQ_GT] = ACTIONS(3106),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2199] = {
    [sym_heredoc_content] = STATE(2199),
    [anon_sym_RBRACE] = ACTIONS(3110),
    [anon_sym_COLON] = ACTIONS(3110),
    [anon_sym_EQ] = ACTIONS(3112),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3110),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3110),
    [anon_sym_COMMA] = ACTIONS(3110),
    [anon_sym_RPAREN] = ACTIONS(3110),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3110),
    [anon_sym_DASH_GT] = ACTIONS(3110),
    [anon_sym_PERCENT] = ACTIONS(3112),
    [anon_sym_GT] = ACTIONS(3112),
    [anon_sym_LT_LT] = ACTIONS(3112),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3110),
    [anon_sym_PLUS_EQ] = ACTIONS(3110),
    [anon_sym_DASH_EQ] = ACTIONS(3110),
    [anon_sym_DOT_EQ] = ACTIONS(3110),
    [anon_sym_STAR_EQ] = ACTIONS(3110),
    [anon_sym_SLASH_EQ] = ACTIONS(3110),
    [anon_sym_PERCENT_EQ] = ACTIONS(3110),
    [anon_sym_x_EQ] = ACTIONS(3110),
    [anon_sym_AMP_EQ] = ACTIONS(3110),
    [anon_sym_PIPE_EQ] = ACTIONS(3110),
    [anon_sym_CARET_EQ] = ACTIONS(3110),
    [anon_sym_LT_LT_EQ] = ACTIONS(3110),
    [anon_sym_GT_GT_EQ] = ACTIONS(3110),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3110),
    [anon_sym_DOT_DOT] = ACTIONS(3112),
    [anon_sym_STAR_STAR] = ACTIONS(3112),
    [anon_sym_PIPE_PIPE] = ACTIONS(3112),
    [anon_sym_SLASH_SLASH] = ACTIONS(3112),
    [anon_sym_CARET_CARET] = ACTIONS(3110),
    [anon_sym_AMP_AMP] = ACTIONS(3112),
    [anon_sym_PIPE] = ACTIONS(3112),
    [anon_sym_CARET] = ACTIONS(3112),
    [anon_sym_AMP] = ACTIONS(3112),
    [anon_sym_GT_GT2] = ACTIONS(3112),
    [anon_sym_PLUS] = ACTIONS(3112),
    [anon_sym_DASH] = ACTIONS(3112),
    [anon_sym_DOT] = ACTIONS(3112),
    [anon_sym_STAR] = ACTIONS(3112),
    [anon_sym_SLASH] = ACTIONS(3112),
    [anon_sym_x] = ACTIONS(3112),
    [anon_sym_EQ_TILDE] = ACTIONS(3110),
    [anon_sym_BANG_TILDE] = ACTIONS(3110),
    [anon_sym_EQ_EQ] = ACTIONS(3112),
    [anon_sym_BANG_EQ] = ACTIONS(3110),
    [anon_sym_eq] = ACTIONS(3112),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3110),
    [anon_sym_equ] = ACTIONS(3110),
    [anon_sym_eqr] = ACTIONS(3110),
    [anon_sym_ne] = ACTIONS(3110),
    [anon_sym_LT_EQ_GT] = ACTIONS(3110),
    [anon_sym_cmp] = ACTIONS(3110),
    [anon_sym_TILDE_TILDE] = ACTIONS(3110),
    [anon_sym_LT] = ACTIONS(3112),
    [anon_sym_LT_EQ] = ACTIONS(3112),
    [anon_sym_GT_EQ] = ACTIONS(3110),
    [anon_sym_lt] = ACTIONS(3110),
    [anon_sym_le] = ACTIONS(3110),
    [anon_sym_ge] = ACTIONS(3110),
    [anon_sym_gt] = ACTIONS(3110),
    [anon_sym_isa] = ACTIONS(3110),
    [anon_sym_PLUS_PLUS] = ACTIONS(3110),
    [anon_sym_DASH_DASH] = ACTIONS(3110),
    [anon_sym_QMARK] = ACTIONS(3110),
    [anon_sym_EQ_GT] = ACTIONS(3110),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2200] = {
    [sym_heredoc_content] = STATE(2200),
    [anon_sym_RBRACE] = ACTIONS(3114),
    [anon_sym_COLON] = ACTIONS(3114),
    [anon_sym_EQ] = ACTIONS(3116),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3114),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3114),
    [anon_sym_COMMA] = ACTIONS(3114),
    [anon_sym_RPAREN] = ACTIONS(3114),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3114),
    [anon_sym_DASH_GT] = ACTIONS(3114),
    [anon_sym_PERCENT] = ACTIONS(3116),
    [anon_sym_GT] = ACTIONS(3116),
    [anon_sym_LT_LT] = ACTIONS(3116),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3114),
    [anon_sym_PLUS_EQ] = ACTIONS(3114),
    [anon_sym_DASH_EQ] = ACTIONS(3114),
    [anon_sym_DOT_EQ] = ACTIONS(3114),
    [anon_sym_STAR_EQ] = ACTIONS(3114),
    [anon_sym_SLASH_EQ] = ACTIONS(3114),
    [anon_sym_PERCENT_EQ] = ACTIONS(3114),
    [anon_sym_x_EQ] = ACTIONS(3114),
    [anon_sym_AMP_EQ] = ACTIONS(3114),
    [anon_sym_PIPE_EQ] = ACTIONS(3114),
    [anon_sym_CARET_EQ] = ACTIONS(3114),
    [anon_sym_LT_LT_EQ] = ACTIONS(3114),
    [anon_sym_GT_GT_EQ] = ACTIONS(3114),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3114),
    [anon_sym_DOT_DOT] = ACTIONS(3116),
    [anon_sym_STAR_STAR] = ACTIONS(3116),
    [anon_sym_PIPE_PIPE] = ACTIONS(3116),
    [anon_sym_SLASH_SLASH] = ACTIONS(3116),
    [anon_sym_CARET_CARET] = ACTIONS(3114),
    [anon_sym_AMP_AMP] = ACTIONS(3116),
    [anon_sym_PIPE] = ACTIONS(3116),
    [anon_sym_CARET] = ACTIONS(3116),
    [anon_sym_AMP] = ACTIONS(3116),
    [anon_sym_GT_GT2] = ACTIONS(3116),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_DOT] = ACTIONS(3116),
    [anon_sym_STAR] = ACTIONS(3116),
    [anon_sym_SLASH] = ACTIONS(3116),
    [anon_sym_x] = ACTIONS(3116),
    [anon_sym_EQ_TILDE] = ACTIONS(3114),
    [anon_sym_BANG_TILDE] = ACTIONS(3114),
    [anon_sym_EQ_EQ] = ACTIONS(3116),
    [anon_sym_BANG_EQ] = ACTIONS(3114),
    [anon_sym_eq] = ACTIONS(3116),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3114),
    [anon_sym_equ] = ACTIONS(3114),
    [anon_sym_eqr] = ACTIONS(3114),
    [anon_sym_ne] = ACTIONS(3114),
    [anon_sym_LT_EQ_GT] = ACTIONS(3114),
    [anon_sym_cmp] = ACTIONS(3114),
    [anon_sym_TILDE_TILDE] = ACTIONS(3114),
    [anon_sym_LT] = ACTIONS(3116),
    [anon_sym_LT_EQ] = ACTIONS(3116),
    [anon_sym_GT_EQ] = ACTIONS(3114),
    [anon_sym_lt] = ACTIONS(3114),
    [anon_sym_le] = ACTIONS(3114),
    [anon_sym_ge] = ACTIONS(3114),
    [anon_sym_gt] = ACTIONS(3114),
    [anon_sym_isa] = ACTIONS(3114),
    [anon_sym_PLUS_PLUS] = ACTIONS(3114),
    [anon_sym_DASH_DASH] = ACTIONS(3114),
    [anon_sym_QMARK] = ACTIONS(3114),
    [anon_sym_EQ_GT] = ACTIONS(3114),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2201] = {
    [sym_heredoc_content] = STATE(2201),
    [anon_sym_RBRACE] = ACTIONS(2911),
    [anon_sym_COLON] = ACTIONS(2911),
    [anon_sym_EQ] = ACTIONS(2913),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2911),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2911),
    [anon_sym_COMMA] = ACTIONS(2911),
    [anon_sym_RPAREN] = ACTIONS(2911),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2911),
    [anon_sym_DASH_GT] = ACTIONS(2911),
    [anon_sym_PERCENT] = ACTIONS(2913),
    [anon_sym_GT] = ACTIONS(2913),
    [anon_sym_LT_LT] = ACTIONS(2913),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2911),
    [anon_sym_PLUS_EQ] = ACTIONS(2911),
    [anon_sym_DASH_EQ] = ACTIONS(2911),
    [anon_sym_DOT_EQ] = ACTIONS(2911),
    [anon_sym_STAR_EQ] = ACTIONS(2911),
    [anon_sym_SLASH_EQ] = ACTIONS(2911),
    [anon_sym_PERCENT_EQ] = ACTIONS(2911),
    [anon_sym_x_EQ] = ACTIONS(2911),
    [anon_sym_AMP_EQ] = ACTIONS(2911),
    [anon_sym_PIPE_EQ] = ACTIONS(2911),
    [anon_sym_CARET_EQ] = ACTIONS(2911),
    [anon_sym_LT_LT_EQ] = ACTIONS(2911),
    [anon_sym_GT_GT_EQ] = ACTIONS(2911),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2911),
    [anon_sym_DOT_DOT] = ACTIONS(2913),
    [anon_sym_STAR_STAR] = ACTIONS(2913),
    [anon_sym_PIPE_PIPE] = ACTIONS(2913),
    [anon_sym_SLASH_SLASH] = ACTIONS(2913),
    [anon_sym_CARET_CARET] = ACTIONS(2911),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_PIPE] = ACTIONS(2913),
    [anon_sym_CARET] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_GT_GT2] = ACTIONS(2913),
    [anon_sym_PLUS] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2913),
    [anon_sym_DOT] = ACTIONS(2913),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_SLASH] = ACTIONS(2913),
    [anon_sym_x] = ACTIONS(2913),
    [anon_sym_EQ_TILDE] = ACTIONS(2911),
    [anon_sym_BANG_TILDE] = ACTIONS(2911),
    [anon_sym_EQ_EQ] = ACTIONS(2913),
    [anon_sym_BANG_EQ] = ACTIONS(2911),
    [anon_sym_eq] = ACTIONS(2913),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2911),
    [anon_sym_equ] = ACTIONS(2911),
    [anon_sym_eqr] = ACTIONS(2911),
    [anon_sym_ne] = ACTIONS(2911),
    [anon_sym_LT_EQ_GT] = ACTIONS(2911),
    [anon_sym_cmp] = ACTIONS(2911),
    [anon_sym_TILDE_TILDE] = ACTIONS(2911),
    [anon_sym_LT] = ACTIONS(2913),
    [anon_sym_LT_EQ] = ACTIONS(2913),
    [anon_sym_GT_EQ] = ACTIONS(2911),
    [anon_sym_lt] = ACTIONS(2911),
    [anon_sym_le] = ACTIONS(2911),
    [anon_sym_ge] = ACTIONS(2911),
    [anon_sym_gt] = ACTIONS(2911),
    [anon_sym_isa] = ACTIONS(2911),
    [anon_sym_PLUS_PLUS] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2911),
    [anon_sym_QMARK] = ACTIONS(2911),
    [anon_sym_EQ_GT] = ACTIONS(2911),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2202] = {
    [sym_heredoc_content] = STATE(2202),
    [anon_sym_RBRACE] = ACTIONS(3298),
    [anon_sym_COLON] = ACTIONS(3298),
    [anon_sym_EQ] = ACTIONS(3300),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3298),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3298),
    [anon_sym_COMMA] = ACTIONS(3298),
    [anon_sym_RPAREN] = ACTIONS(3298),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3298),
    [anon_sym_DASH_GT] = ACTIONS(3298),
    [anon_sym_PERCENT] = ACTIONS(3300),
    [anon_sym_GT] = ACTIONS(3300),
    [anon_sym_LT_LT] = ACTIONS(3300),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3298),
    [anon_sym_PLUS_EQ] = ACTIONS(3298),
    [anon_sym_DASH_EQ] = ACTIONS(3298),
    [anon_sym_DOT_EQ] = ACTIONS(3298),
    [anon_sym_STAR_EQ] = ACTIONS(3298),
    [anon_sym_SLASH_EQ] = ACTIONS(3298),
    [anon_sym_PERCENT_EQ] = ACTIONS(3298),
    [anon_sym_x_EQ] = ACTIONS(3298),
    [anon_sym_AMP_EQ] = ACTIONS(3298),
    [anon_sym_PIPE_EQ] = ACTIONS(3298),
    [anon_sym_CARET_EQ] = ACTIONS(3298),
    [anon_sym_LT_LT_EQ] = ACTIONS(3298),
    [anon_sym_GT_GT_EQ] = ACTIONS(3298),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3298),
    [anon_sym_DOT_DOT] = ACTIONS(3300),
    [anon_sym_STAR_STAR] = ACTIONS(3300),
    [anon_sym_PIPE_PIPE] = ACTIONS(3300),
    [anon_sym_SLASH_SLASH] = ACTIONS(3300),
    [anon_sym_CARET_CARET] = ACTIONS(3298),
    [anon_sym_AMP_AMP] = ACTIONS(3300),
    [anon_sym_PIPE] = ACTIONS(3300),
    [anon_sym_CARET] = ACTIONS(3300),
    [anon_sym_AMP] = ACTIONS(3300),
    [anon_sym_GT_GT2] = ACTIONS(3300),
    [anon_sym_PLUS] = ACTIONS(3300),
    [anon_sym_DASH] = ACTIONS(3300),
    [anon_sym_DOT] = ACTIONS(3300),
    [anon_sym_STAR] = ACTIONS(3300),
    [anon_sym_SLASH] = ACTIONS(3300),
    [anon_sym_x] = ACTIONS(3300),
    [anon_sym_EQ_TILDE] = ACTIONS(3298),
    [anon_sym_BANG_TILDE] = ACTIONS(3298),
    [anon_sym_EQ_EQ] = ACTIONS(3300),
    [anon_sym_BANG_EQ] = ACTIONS(3298),
    [anon_sym_eq] = ACTIONS(3300),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3298),
    [anon_sym_equ] = ACTIONS(3298),
    [anon_sym_eqr] = ACTIONS(3298),
    [anon_sym_ne] = ACTIONS(3298),
    [anon_sym_LT_EQ_GT] = ACTIONS(3298),
    [anon_sym_cmp] = ACTIONS(3298),
    [anon_sym_TILDE_TILDE] = ACTIONS(3298),
    [anon_sym_LT] = ACTIONS(3300),
    [anon_sym_LT_EQ] = ACTIONS(3300),
    [anon_sym_GT_EQ] = ACTIONS(3298),
    [anon_sym_lt] = ACTIONS(3298),
    [anon_sym_le] = ACTIONS(3298),
    [anon_sym_ge] = ACTIONS(3298),
    [anon_sym_gt] = ACTIONS(3298),
    [anon_sym_isa] = ACTIONS(3298),
    [anon_sym_PLUS_PLUS] = ACTIONS(3298),
    [anon_sym_DASH_DASH] = ACTIONS(3298),
    [anon_sym_QMARK] = ACTIONS(3298),
    [anon_sym_EQ_GT] = ACTIONS(3298),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2203] = {
    [sym_heredoc_content] = STATE(2203),
    [anon_sym_RBRACE] = ACTIONS(3302),
    [anon_sym_COLON] = ACTIONS(3302),
    [anon_sym_EQ] = ACTIONS(3304),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3302),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3302),
    [anon_sym_COMMA] = ACTIONS(3302),
    [anon_sym_RPAREN] = ACTIONS(3302),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3302),
    [anon_sym_DASH_GT] = ACTIONS(3302),
    [anon_sym_PERCENT] = ACTIONS(3304),
    [anon_sym_GT] = ACTIONS(3304),
    [anon_sym_LT_LT] = ACTIONS(3304),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3302),
    [anon_sym_PLUS_EQ] = ACTIONS(3302),
    [anon_sym_DASH_EQ] = ACTIONS(3302),
    [anon_sym_DOT_EQ] = ACTIONS(3302),
    [anon_sym_STAR_EQ] = ACTIONS(3302),
    [anon_sym_SLASH_EQ] = ACTIONS(3302),
    [anon_sym_PERCENT_EQ] = ACTIONS(3302),
    [anon_sym_x_EQ] = ACTIONS(3302),
    [anon_sym_AMP_EQ] = ACTIONS(3302),
    [anon_sym_PIPE_EQ] = ACTIONS(3302),
    [anon_sym_CARET_EQ] = ACTIONS(3302),
    [anon_sym_LT_LT_EQ] = ACTIONS(3302),
    [anon_sym_GT_GT_EQ] = ACTIONS(3302),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3302),
    [anon_sym_DOT_DOT] = ACTIONS(3304),
    [anon_sym_STAR_STAR] = ACTIONS(3304),
    [anon_sym_PIPE_PIPE] = ACTIONS(3304),
    [anon_sym_SLASH_SLASH] = ACTIONS(3304),
    [anon_sym_CARET_CARET] = ACTIONS(3302),
    [anon_sym_AMP_AMP] = ACTIONS(3304),
    [anon_sym_PIPE] = ACTIONS(3304),
    [anon_sym_CARET] = ACTIONS(3304),
    [anon_sym_AMP] = ACTIONS(3304),
    [anon_sym_GT_GT2] = ACTIONS(3304),
    [anon_sym_PLUS] = ACTIONS(3304),
    [anon_sym_DASH] = ACTIONS(3304),
    [anon_sym_DOT] = ACTIONS(3304),
    [anon_sym_STAR] = ACTIONS(3304),
    [anon_sym_SLASH] = ACTIONS(3304),
    [anon_sym_x] = ACTIONS(3304),
    [anon_sym_EQ_TILDE] = ACTIONS(3302),
    [anon_sym_BANG_TILDE] = ACTIONS(3302),
    [anon_sym_EQ_EQ] = ACTIONS(3304),
    [anon_sym_BANG_EQ] = ACTIONS(3302),
    [anon_sym_eq] = ACTIONS(3304),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3302),
    [anon_sym_equ] = ACTIONS(3302),
    [anon_sym_eqr] = ACTIONS(3302),
    [anon_sym_ne] = ACTIONS(3302),
    [anon_sym_LT_EQ_GT] = ACTIONS(3302),
    [anon_sym_cmp] = ACTIONS(3302),
    [anon_sym_TILDE_TILDE] = ACTIONS(3302),
    [anon_sym_LT] = ACTIONS(3304),
    [anon_sym_LT_EQ] = ACTIONS(3304),
    [anon_sym_GT_EQ] = ACTIONS(3302),
    [anon_sym_lt] = ACTIONS(3302),
    [anon_sym_le] = ACTIONS(3302),
    [anon_sym_ge] = ACTIONS(3302),
    [anon_sym_gt] = ACTIONS(3302),
    [anon_sym_isa] = ACTIONS(3302),
    [anon_sym_PLUS_PLUS] = ACTIONS(3302),
    [anon_sym_DASH_DASH] = ACTIONS(3302),
    [anon_sym_QMARK] = ACTIONS(3302),
    [anon_sym_EQ_GT] = ACTIONS(3302),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2204] = {
    [sym_heredoc_content] = STATE(2204),
    [anon_sym_RBRACE] = ACTIONS(3118),
    [anon_sym_COLON] = ACTIONS(3118),
    [anon_sym_EQ] = ACTIONS(3120),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3118),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3118),
    [anon_sym_COMMA] = ACTIONS(3118),
    [anon_sym_RPAREN] = ACTIONS(3118),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3118),
    [anon_sym_DASH_GT] = ACTIONS(3118),
    [anon_sym_PERCENT] = ACTIONS(3120),
    [anon_sym_GT] = ACTIONS(3120),
    [anon_sym_LT_LT] = ACTIONS(3120),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3118),
    [anon_sym_PLUS_EQ] = ACTIONS(3118),
    [anon_sym_DASH_EQ] = ACTIONS(3118),
    [anon_sym_DOT_EQ] = ACTIONS(3118),
    [anon_sym_STAR_EQ] = ACTIONS(3118),
    [anon_sym_SLASH_EQ] = ACTIONS(3118),
    [anon_sym_PERCENT_EQ] = ACTIONS(3118),
    [anon_sym_x_EQ] = ACTIONS(3118),
    [anon_sym_AMP_EQ] = ACTIONS(3118),
    [anon_sym_PIPE_EQ] = ACTIONS(3118),
    [anon_sym_CARET_EQ] = ACTIONS(3118),
    [anon_sym_LT_LT_EQ] = ACTIONS(3118),
    [anon_sym_GT_GT_EQ] = ACTIONS(3118),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3118),
    [anon_sym_DOT_DOT] = ACTIONS(3120),
    [anon_sym_STAR_STAR] = ACTIONS(3120),
    [anon_sym_PIPE_PIPE] = ACTIONS(3120),
    [anon_sym_SLASH_SLASH] = ACTIONS(3120),
    [anon_sym_CARET_CARET] = ACTIONS(3118),
    [anon_sym_AMP_AMP] = ACTIONS(3120),
    [anon_sym_PIPE] = ACTIONS(3120),
    [anon_sym_CARET] = ACTIONS(3120),
    [anon_sym_AMP] = ACTIONS(3120),
    [anon_sym_GT_GT2] = ACTIONS(3120),
    [anon_sym_PLUS] = ACTIONS(3120),
    [anon_sym_DASH] = ACTIONS(3120),
    [anon_sym_DOT] = ACTIONS(3120),
    [anon_sym_STAR] = ACTIONS(3120),
    [anon_sym_SLASH] = ACTIONS(3120),
    [anon_sym_x] = ACTIONS(3120),
    [anon_sym_EQ_TILDE] = ACTIONS(3118),
    [anon_sym_BANG_TILDE] = ACTIONS(3118),
    [anon_sym_EQ_EQ] = ACTIONS(3120),
    [anon_sym_BANG_EQ] = ACTIONS(3118),
    [anon_sym_eq] = ACTIONS(3120),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3118),
    [anon_sym_equ] = ACTIONS(3118),
    [anon_sym_eqr] = ACTIONS(3118),
    [anon_sym_ne] = ACTIONS(3118),
    [anon_sym_LT_EQ_GT] = ACTIONS(3118),
    [anon_sym_cmp] = ACTIONS(3118),
    [anon_sym_TILDE_TILDE] = ACTIONS(3118),
    [anon_sym_LT] = ACTIONS(3120),
    [anon_sym_LT_EQ] = ACTIONS(3120),
    [anon_sym_GT_EQ] = ACTIONS(3118),
    [anon_sym_lt] = ACTIONS(3118),
    [anon_sym_le] = ACTIONS(3118),
    [anon_sym_ge] = ACTIONS(3118),
    [anon_sym_gt] = ACTIONS(3118),
    [anon_sym_isa] = ACTIONS(3118),
    [anon_sym_PLUS_PLUS] = ACTIONS(3118),
    [anon_sym_DASH_DASH] = ACTIONS(3118),
    [anon_sym_QMARK] = ACTIONS(3118),
    [anon_sym_EQ_GT] = ACTIONS(3118),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2205] = {
    [sym_heredoc_content] = STATE(2205),
    [anon_sym_RBRACE] = ACTIONS(3138),
    [anon_sym_COLON] = ACTIONS(3138),
    [anon_sym_EQ] = ACTIONS(3140),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3138),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3138),
    [anon_sym_COMMA] = ACTIONS(3138),
    [anon_sym_RPAREN] = ACTIONS(3138),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3138),
    [anon_sym_DASH_GT] = ACTIONS(3138),
    [anon_sym_PERCENT] = ACTIONS(3140),
    [anon_sym_GT] = ACTIONS(3140),
    [anon_sym_LT_LT] = ACTIONS(3140),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3138),
    [anon_sym_PLUS_EQ] = ACTIONS(3138),
    [anon_sym_DASH_EQ] = ACTIONS(3138),
    [anon_sym_DOT_EQ] = ACTIONS(3138),
    [anon_sym_STAR_EQ] = ACTIONS(3138),
    [anon_sym_SLASH_EQ] = ACTIONS(3138),
    [anon_sym_PERCENT_EQ] = ACTIONS(3138),
    [anon_sym_x_EQ] = ACTIONS(3138),
    [anon_sym_AMP_EQ] = ACTIONS(3138),
    [anon_sym_PIPE_EQ] = ACTIONS(3138),
    [anon_sym_CARET_EQ] = ACTIONS(3138),
    [anon_sym_LT_LT_EQ] = ACTIONS(3138),
    [anon_sym_GT_GT_EQ] = ACTIONS(3138),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3138),
    [anon_sym_DOT_DOT] = ACTIONS(3140),
    [anon_sym_STAR_STAR] = ACTIONS(3140),
    [anon_sym_PIPE_PIPE] = ACTIONS(3140),
    [anon_sym_SLASH_SLASH] = ACTIONS(3140),
    [anon_sym_CARET_CARET] = ACTIONS(3138),
    [anon_sym_AMP_AMP] = ACTIONS(3140),
    [anon_sym_PIPE] = ACTIONS(3140),
    [anon_sym_CARET] = ACTIONS(3140),
    [anon_sym_AMP] = ACTIONS(3140),
    [anon_sym_GT_GT2] = ACTIONS(3140),
    [anon_sym_PLUS] = ACTIONS(3140),
    [anon_sym_DASH] = ACTIONS(3140),
    [anon_sym_DOT] = ACTIONS(3140),
    [anon_sym_STAR] = ACTIONS(3140),
    [anon_sym_SLASH] = ACTIONS(3140),
    [anon_sym_x] = ACTIONS(3140),
    [anon_sym_EQ_TILDE] = ACTIONS(3138),
    [anon_sym_BANG_TILDE] = ACTIONS(3138),
    [anon_sym_EQ_EQ] = ACTIONS(3140),
    [anon_sym_BANG_EQ] = ACTIONS(3138),
    [anon_sym_eq] = ACTIONS(3140),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3138),
    [anon_sym_equ] = ACTIONS(3138),
    [anon_sym_eqr] = ACTIONS(3138),
    [anon_sym_ne] = ACTIONS(3138),
    [anon_sym_LT_EQ_GT] = ACTIONS(3138),
    [anon_sym_cmp] = ACTIONS(3138),
    [anon_sym_TILDE_TILDE] = ACTIONS(3138),
    [anon_sym_LT] = ACTIONS(3140),
    [anon_sym_LT_EQ] = ACTIONS(3140),
    [anon_sym_GT_EQ] = ACTIONS(3138),
    [anon_sym_lt] = ACTIONS(3138),
    [anon_sym_le] = ACTIONS(3138),
    [anon_sym_ge] = ACTIONS(3138),
    [anon_sym_gt] = ACTIONS(3138),
    [anon_sym_isa] = ACTIONS(3138),
    [anon_sym_PLUS_PLUS] = ACTIONS(3138),
    [anon_sym_DASH_DASH] = ACTIONS(3138),
    [anon_sym_QMARK] = ACTIONS(3138),
    [anon_sym_EQ_GT] = ACTIONS(3138),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2206] = {
    [sym_heredoc_content] = STATE(2206),
    [anon_sym_SEMI] = ACTIONS(3250),
    [anon_sym_EQ] = ACTIONS(3252),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3250),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3250),
    [anon_sym_COMMA] = ACTIONS(3250),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3250),
    [anon_sym_DASH_GT] = ACTIONS(3250),
    [anon_sym_PERCENT] = ACTIONS(3252),
    [anon_sym_GT] = ACTIONS(3252),
    [anon_sym_LT_LT] = ACTIONS(3252),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3250),
    [anon_sym_PLUS_EQ] = ACTIONS(3250),
    [anon_sym_DASH_EQ] = ACTIONS(3250),
    [anon_sym_DOT_EQ] = ACTIONS(3250),
    [anon_sym_STAR_EQ] = ACTIONS(3250),
    [anon_sym_SLASH_EQ] = ACTIONS(3250),
    [anon_sym_PERCENT_EQ] = ACTIONS(3250),
    [anon_sym_x_EQ] = ACTIONS(3250),
    [anon_sym_AMP_EQ] = ACTIONS(3250),
    [anon_sym_PIPE_EQ] = ACTIONS(3250),
    [anon_sym_CARET_EQ] = ACTIONS(3250),
    [anon_sym_LT_LT_EQ] = ACTIONS(3250),
    [anon_sym_GT_GT_EQ] = ACTIONS(3250),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3250),
    [anon_sym_DOT_DOT] = ACTIONS(3252),
    [anon_sym_STAR_STAR] = ACTIONS(3252),
    [anon_sym_PIPE_PIPE] = ACTIONS(3252),
    [anon_sym_SLASH_SLASH] = ACTIONS(3252),
    [anon_sym_CARET_CARET] = ACTIONS(3250),
    [anon_sym_AMP_AMP] = ACTIONS(3252),
    [anon_sym_PIPE] = ACTIONS(3252),
    [anon_sym_CARET] = ACTIONS(3252),
    [anon_sym_AMP] = ACTIONS(3252),
    [anon_sym_GT_GT2] = ACTIONS(3252),
    [anon_sym_PLUS] = ACTIONS(3252),
    [anon_sym_DASH] = ACTIONS(3252),
    [anon_sym_DOT] = ACTIONS(3252),
    [anon_sym_STAR] = ACTIONS(3252),
    [anon_sym_SLASH] = ACTIONS(3252),
    [anon_sym_x] = ACTIONS(3252),
    [anon_sym_EQ_TILDE] = ACTIONS(3250),
    [anon_sym_BANG_TILDE] = ACTIONS(3250),
    [anon_sym_EQ_EQ] = ACTIONS(3252),
    [anon_sym_BANG_EQ] = ACTIONS(3250),
    [anon_sym_eq] = ACTIONS(3252),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3250),
    [anon_sym_equ] = ACTIONS(3250),
    [anon_sym_eqr] = ACTIONS(3250),
    [anon_sym_ne] = ACTIONS(3250),
    [anon_sym_LT_EQ_GT] = ACTIONS(3250),
    [anon_sym_cmp] = ACTIONS(3250),
    [anon_sym_TILDE_TILDE] = ACTIONS(3250),
    [anon_sym_LT] = ACTIONS(3252),
    [anon_sym_LT_EQ] = ACTIONS(3252),
    [anon_sym_GT_EQ] = ACTIONS(3250),
    [anon_sym_lt] = ACTIONS(3250),
    [anon_sym_le] = ACTIONS(3250),
    [anon_sym_ge] = ACTIONS(3250),
    [anon_sym_gt] = ACTIONS(3250),
    [anon_sym_isa] = ACTIONS(3250),
    [anon_sym_PLUS_PLUS] = ACTIONS(3250),
    [anon_sym_DASH_DASH] = ACTIONS(3250),
    [anon_sym_QMARK] = ACTIONS(3250),
    [anon_sym_EQ_GT] = ACTIONS(3250),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3250),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2207] = {
    [sym_heredoc_content] = STATE(2207),
    [anon_sym_RBRACE] = ACTIONS(3258),
    [anon_sym_EQ] = ACTIONS(3260),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3258),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3258),
    [anon_sym_COMMA] = ACTIONS(3258),
    [anon_sym_RPAREN] = ACTIONS(3258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3829),
    [anon_sym_DASH_GT] = ACTIONS(3831),
    [anon_sym_PERCENT] = ACTIONS(3833),
    [anon_sym_GT] = ACTIONS(3835),
    [anon_sym_LT_LT] = ACTIONS(3837),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3258),
    [anon_sym_PLUS_EQ] = ACTIONS(3258),
    [anon_sym_DASH_EQ] = ACTIONS(3258),
    [anon_sym_DOT_EQ] = ACTIONS(3258),
    [anon_sym_STAR_EQ] = ACTIONS(3258),
    [anon_sym_SLASH_EQ] = ACTIONS(3258),
    [anon_sym_PERCENT_EQ] = ACTIONS(3258),
    [anon_sym_x_EQ] = ACTIONS(3258),
    [anon_sym_AMP_EQ] = ACTIONS(3258),
    [anon_sym_PIPE_EQ] = ACTIONS(3258),
    [anon_sym_CARET_EQ] = ACTIONS(3258),
    [anon_sym_LT_LT_EQ] = ACTIONS(3258),
    [anon_sym_GT_GT_EQ] = ACTIONS(3258),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3258),
    [anon_sym_DOT_DOT] = ACTIONS(3839),
    [anon_sym_STAR_STAR] = ACTIONS(3841),
    [anon_sym_PIPE_PIPE] = ACTIONS(3843),
    [anon_sym_SLASH_SLASH] = ACTIONS(3843),
    [anon_sym_CARET_CARET] = ACTIONS(3845),
    [anon_sym_AMP_AMP] = ACTIONS(3847),
    [anon_sym_PIPE] = ACTIONS(3849),
    [anon_sym_CARET] = ACTIONS(3849),
    [anon_sym_AMP] = ACTIONS(3851),
    [anon_sym_GT_GT2] = ACTIONS(3837),
    [anon_sym_PLUS] = ACTIONS(3853),
    [anon_sym_DASH] = ACTIONS(3853),
    [anon_sym_DOT] = ACTIONS(3853),
    [anon_sym_STAR] = ACTIONS(3833),
    [anon_sym_SLASH] = ACTIONS(3833),
    [anon_sym_x] = ACTIONS(3833),
    [anon_sym_EQ_TILDE] = ACTIONS(3855),
    [anon_sym_BANG_TILDE] = ACTIONS(3855),
    [anon_sym_EQ_EQ] = ACTIONS(3857),
    [anon_sym_BANG_EQ] = ACTIONS(3859),
    [anon_sym_eq] = ACTIONS(3857),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3859),
    [anon_sym_equ] = ACTIONS(3859),
    [anon_sym_eqr] = ACTIONS(3859),
    [anon_sym_ne] = ACTIONS(3859),
    [anon_sym_LT_EQ_GT] = ACTIONS(3861),
    [anon_sym_cmp] = ACTIONS(3861),
    [anon_sym_TILDE_TILDE] = ACTIONS(3861),
    [anon_sym_LT] = ACTIONS(3835),
    [anon_sym_LT_EQ] = ACTIONS(3835),
    [anon_sym_GT_EQ] = ACTIONS(3863),
    [anon_sym_lt] = ACTIONS(3863),
    [anon_sym_le] = ACTIONS(3863),
    [anon_sym_ge] = ACTIONS(3863),
    [anon_sym_gt] = ACTIONS(3863),
    [anon_sym_isa] = ACTIONS(3865),
    [anon_sym_PLUS_PLUS] = ACTIONS(3867),
    [anon_sym_DASH_DASH] = ACTIONS(3867),
    [anon_sym_QMARK] = ACTIONS(3869),
    [anon_sym_EQ_GT] = ACTIONS(3258),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2208] = {
    [sym_heredoc_content] = STATE(2208),
    [anon_sym_SEMI] = ACTIONS(3162),
    [anon_sym_EQ] = ACTIONS(3164),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3162),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3162),
    [anon_sym_COMMA] = ACTIONS(3162),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3162),
    [anon_sym_DASH_GT] = ACTIONS(3162),
    [anon_sym_PERCENT] = ACTIONS(3164),
    [anon_sym_GT] = ACTIONS(3164),
    [anon_sym_LT_LT] = ACTIONS(3164),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3162),
    [anon_sym_PLUS_EQ] = ACTIONS(3162),
    [anon_sym_DASH_EQ] = ACTIONS(3162),
    [anon_sym_DOT_EQ] = ACTIONS(3162),
    [anon_sym_STAR_EQ] = ACTIONS(3162),
    [anon_sym_SLASH_EQ] = ACTIONS(3162),
    [anon_sym_PERCENT_EQ] = ACTIONS(3162),
    [anon_sym_x_EQ] = ACTIONS(3162),
    [anon_sym_AMP_EQ] = ACTIONS(3162),
    [anon_sym_PIPE_EQ] = ACTIONS(3162),
    [anon_sym_CARET_EQ] = ACTIONS(3162),
    [anon_sym_LT_LT_EQ] = ACTIONS(3162),
    [anon_sym_GT_GT_EQ] = ACTIONS(3162),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3162),
    [anon_sym_DOT_DOT] = ACTIONS(3164),
    [anon_sym_STAR_STAR] = ACTIONS(3164),
    [anon_sym_PIPE_PIPE] = ACTIONS(3164),
    [anon_sym_SLASH_SLASH] = ACTIONS(3164),
    [anon_sym_CARET_CARET] = ACTIONS(3162),
    [anon_sym_AMP_AMP] = ACTIONS(3164),
    [anon_sym_PIPE] = ACTIONS(3164),
    [anon_sym_CARET] = ACTIONS(3164),
    [anon_sym_AMP] = ACTIONS(3164),
    [anon_sym_GT_GT2] = ACTIONS(3164),
    [anon_sym_PLUS] = ACTIONS(3164),
    [anon_sym_DASH] = ACTIONS(3164),
    [anon_sym_DOT] = ACTIONS(3164),
    [anon_sym_STAR] = ACTIONS(3164),
    [anon_sym_SLASH] = ACTIONS(3164),
    [anon_sym_x] = ACTIONS(3164),
    [anon_sym_EQ_TILDE] = ACTIONS(3162),
    [anon_sym_BANG_TILDE] = ACTIONS(3162),
    [anon_sym_EQ_EQ] = ACTIONS(3164),
    [anon_sym_BANG_EQ] = ACTIONS(3162),
    [anon_sym_eq] = ACTIONS(3164),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3162),
    [anon_sym_equ] = ACTIONS(3162),
    [anon_sym_eqr] = ACTIONS(3162),
    [anon_sym_ne] = ACTIONS(3162),
    [anon_sym_LT_EQ_GT] = ACTIONS(3162),
    [anon_sym_cmp] = ACTIONS(3162),
    [anon_sym_TILDE_TILDE] = ACTIONS(3162),
    [anon_sym_LT] = ACTIONS(3164),
    [anon_sym_LT_EQ] = ACTIONS(3164),
    [anon_sym_GT_EQ] = ACTIONS(3162),
    [anon_sym_lt] = ACTIONS(3162),
    [anon_sym_le] = ACTIONS(3162),
    [anon_sym_ge] = ACTIONS(3162),
    [anon_sym_gt] = ACTIONS(3162),
    [anon_sym_isa] = ACTIONS(3162),
    [anon_sym_PLUS_PLUS] = ACTIONS(3162),
    [anon_sym_DASH_DASH] = ACTIONS(3162),
    [anon_sym_QMARK] = ACTIONS(3162),
    [anon_sym_EQ_GT] = ACTIONS(3162),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3162),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2209] = {
    [sym_heredoc_content] = STATE(2209),
    [anon_sym_SEMI] = ACTIONS(3166),
    [anon_sym_EQ] = ACTIONS(3168),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3166),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3166),
    [anon_sym_COMMA] = ACTIONS(3166),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3166),
    [anon_sym_DASH_GT] = ACTIONS(3166),
    [anon_sym_PERCENT] = ACTIONS(3168),
    [anon_sym_GT] = ACTIONS(3168),
    [anon_sym_LT_LT] = ACTIONS(3168),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3166),
    [anon_sym_PLUS_EQ] = ACTIONS(3166),
    [anon_sym_DASH_EQ] = ACTIONS(3166),
    [anon_sym_DOT_EQ] = ACTIONS(3166),
    [anon_sym_STAR_EQ] = ACTIONS(3166),
    [anon_sym_SLASH_EQ] = ACTIONS(3166),
    [anon_sym_PERCENT_EQ] = ACTIONS(3166),
    [anon_sym_x_EQ] = ACTIONS(3166),
    [anon_sym_AMP_EQ] = ACTIONS(3166),
    [anon_sym_PIPE_EQ] = ACTIONS(3166),
    [anon_sym_CARET_EQ] = ACTIONS(3166),
    [anon_sym_LT_LT_EQ] = ACTIONS(3166),
    [anon_sym_GT_GT_EQ] = ACTIONS(3166),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3166),
    [anon_sym_DOT_DOT] = ACTIONS(3168),
    [anon_sym_STAR_STAR] = ACTIONS(3168),
    [anon_sym_PIPE_PIPE] = ACTIONS(3168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3168),
    [anon_sym_CARET_CARET] = ACTIONS(3166),
    [anon_sym_AMP_AMP] = ACTIONS(3168),
    [anon_sym_PIPE] = ACTIONS(3168),
    [anon_sym_CARET] = ACTIONS(3168),
    [anon_sym_AMP] = ACTIONS(3168),
    [anon_sym_GT_GT2] = ACTIONS(3168),
    [anon_sym_PLUS] = ACTIONS(3168),
    [anon_sym_DASH] = ACTIONS(3168),
    [anon_sym_DOT] = ACTIONS(3168),
    [anon_sym_STAR] = ACTIONS(3168),
    [anon_sym_SLASH] = ACTIONS(3168),
    [anon_sym_x] = ACTIONS(3168),
    [anon_sym_EQ_TILDE] = ACTIONS(3166),
    [anon_sym_BANG_TILDE] = ACTIONS(3166),
    [anon_sym_EQ_EQ] = ACTIONS(3168),
    [anon_sym_BANG_EQ] = ACTIONS(3166),
    [anon_sym_eq] = ACTIONS(3168),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3166),
    [anon_sym_equ] = ACTIONS(3166),
    [anon_sym_eqr] = ACTIONS(3166),
    [anon_sym_ne] = ACTIONS(3166),
    [anon_sym_LT_EQ_GT] = ACTIONS(3166),
    [anon_sym_cmp] = ACTIONS(3166),
    [anon_sym_TILDE_TILDE] = ACTIONS(3166),
    [anon_sym_LT] = ACTIONS(3168),
    [anon_sym_LT_EQ] = ACTIONS(3168),
    [anon_sym_GT_EQ] = ACTIONS(3166),
    [anon_sym_lt] = ACTIONS(3166),
    [anon_sym_le] = ACTIONS(3166),
    [anon_sym_ge] = ACTIONS(3166),
    [anon_sym_gt] = ACTIONS(3166),
    [anon_sym_isa] = ACTIONS(3166),
    [anon_sym_PLUS_PLUS] = ACTIONS(3166),
    [anon_sym_DASH_DASH] = ACTIONS(3166),
    [anon_sym_QMARK] = ACTIONS(3166),
    [anon_sym_EQ_GT] = ACTIONS(3166),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3166),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2210] = {
    [sym_heredoc_content] = STATE(2210),
    [anon_sym_SEMI] = ACTIONS(3170),
    [anon_sym_EQ] = ACTIONS(3172),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3170),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3170),
    [anon_sym_COMMA] = ACTIONS(3170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3170),
    [anon_sym_DASH_GT] = ACTIONS(3170),
    [anon_sym_PERCENT] = ACTIONS(3172),
    [anon_sym_GT] = ACTIONS(3172),
    [anon_sym_LT_LT] = ACTIONS(3172),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3170),
    [anon_sym_PLUS_EQ] = ACTIONS(3170),
    [anon_sym_DASH_EQ] = ACTIONS(3170),
    [anon_sym_DOT_EQ] = ACTIONS(3170),
    [anon_sym_STAR_EQ] = ACTIONS(3170),
    [anon_sym_SLASH_EQ] = ACTIONS(3170),
    [anon_sym_PERCENT_EQ] = ACTIONS(3170),
    [anon_sym_x_EQ] = ACTIONS(3170),
    [anon_sym_AMP_EQ] = ACTIONS(3170),
    [anon_sym_PIPE_EQ] = ACTIONS(3170),
    [anon_sym_CARET_EQ] = ACTIONS(3170),
    [anon_sym_LT_LT_EQ] = ACTIONS(3170),
    [anon_sym_GT_GT_EQ] = ACTIONS(3170),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3170),
    [anon_sym_DOT_DOT] = ACTIONS(3172),
    [anon_sym_STAR_STAR] = ACTIONS(3172),
    [anon_sym_PIPE_PIPE] = ACTIONS(3172),
    [anon_sym_SLASH_SLASH] = ACTIONS(3172),
    [anon_sym_CARET_CARET] = ACTIONS(3170),
    [anon_sym_AMP_AMP] = ACTIONS(3172),
    [anon_sym_PIPE] = ACTIONS(3172),
    [anon_sym_CARET] = ACTIONS(3172),
    [anon_sym_AMP] = ACTIONS(3172),
    [anon_sym_GT_GT2] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_DOT] = ACTIONS(3172),
    [anon_sym_STAR] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_x] = ACTIONS(3172),
    [anon_sym_EQ_TILDE] = ACTIONS(3170),
    [anon_sym_BANG_TILDE] = ACTIONS(3170),
    [anon_sym_EQ_EQ] = ACTIONS(3172),
    [anon_sym_BANG_EQ] = ACTIONS(3170),
    [anon_sym_eq] = ACTIONS(3172),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3170),
    [anon_sym_equ] = ACTIONS(3170),
    [anon_sym_eqr] = ACTIONS(3170),
    [anon_sym_ne] = ACTIONS(3170),
    [anon_sym_LT_EQ_GT] = ACTIONS(3170),
    [anon_sym_cmp] = ACTIONS(3170),
    [anon_sym_TILDE_TILDE] = ACTIONS(3170),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_LT_EQ] = ACTIONS(3172),
    [anon_sym_GT_EQ] = ACTIONS(3170),
    [anon_sym_lt] = ACTIONS(3170),
    [anon_sym_le] = ACTIONS(3170),
    [anon_sym_ge] = ACTIONS(3170),
    [anon_sym_gt] = ACTIONS(3170),
    [anon_sym_isa] = ACTIONS(3170),
    [anon_sym_PLUS_PLUS] = ACTIONS(3170),
    [anon_sym_DASH_DASH] = ACTIONS(3170),
    [anon_sym_QMARK] = ACTIONS(3170),
    [anon_sym_EQ_GT] = ACTIONS(3170),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3170),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2211] = {
    [sym_heredoc_content] = STATE(2211),
    [anon_sym_SEMI] = ACTIONS(3174),
    [anon_sym_EQ] = ACTIONS(3176),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3174),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3174),
    [anon_sym_COMMA] = ACTIONS(3174),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3174),
    [anon_sym_DASH_GT] = ACTIONS(3174),
    [anon_sym_PERCENT] = ACTIONS(3176),
    [anon_sym_GT] = ACTIONS(3176),
    [anon_sym_LT_LT] = ACTIONS(3176),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3174),
    [anon_sym_PLUS_EQ] = ACTIONS(3174),
    [anon_sym_DASH_EQ] = ACTIONS(3174),
    [anon_sym_DOT_EQ] = ACTIONS(3174),
    [anon_sym_STAR_EQ] = ACTIONS(3174),
    [anon_sym_SLASH_EQ] = ACTIONS(3174),
    [anon_sym_PERCENT_EQ] = ACTIONS(3174),
    [anon_sym_x_EQ] = ACTIONS(3174),
    [anon_sym_AMP_EQ] = ACTIONS(3174),
    [anon_sym_PIPE_EQ] = ACTIONS(3174),
    [anon_sym_CARET_EQ] = ACTIONS(3174),
    [anon_sym_LT_LT_EQ] = ACTIONS(3174),
    [anon_sym_GT_GT_EQ] = ACTIONS(3174),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3174),
    [anon_sym_DOT_DOT] = ACTIONS(3176),
    [anon_sym_STAR_STAR] = ACTIONS(3176),
    [anon_sym_PIPE_PIPE] = ACTIONS(3176),
    [anon_sym_SLASH_SLASH] = ACTIONS(3176),
    [anon_sym_CARET_CARET] = ACTIONS(3174),
    [anon_sym_AMP_AMP] = ACTIONS(3176),
    [anon_sym_PIPE] = ACTIONS(3176),
    [anon_sym_CARET] = ACTIONS(3176),
    [anon_sym_AMP] = ACTIONS(3176),
    [anon_sym_GT_GT2] = ACTIONS(3176),
    [anon_sym_PLUS] = ACTIONS(3176),
    [anon_sym_DASH] = ACTIONS(3176),
    [anon_sym_DOT] = ACTIONS(3176),
    [anon_sym_STAR] = ACTIONS(3176),
    [anon_sym_SLASH] = ACTIONS(3176),
    [anon_sym_x] = ACTIONS(3176),
    [anon_sym_EQ_TILDE] = ACTIONS(3174),
    [anon_sym_BANG_TILDE] = ACTIONS(3174),
    [anon_sym_EQ_EQ] = ACTIONS(3176),
    [anon_sym_BANG_EQ] = ACTIONS(3174),
    [anon_sym_eq] = ACTIONS(3176),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3174),
    [anon_sym_equ] = ACTIONS(3174),
    [anon_sym_eqr] = ACTIONS(3174),
    [anon_sym_ne] = ACTIONS(3174),
    [anon_sym_LT_EQ_GT] = ACTIONS(3174),
    [anon_sym_cmp] = ACTIONS(3174),
    [anon_sym_TILDE_TILDE] = ACTIONS(3174),
    [anon_sym_LT] = ACTIONS(3176),
    [anon_sym_LT_EQ] = ACTIONS(3176),
    [anon_sym_GT_EQ] = ACTIONS(3174),
    [anon_sym_lt] = ACTIONS(3174),
    [anon_sym_le] = ACTIONS(3174),
    [anon_sym_ge] = ACTIONS(3174),
    [anon_sym_gt] = ACTIONS(3174),
    [anon_sym_isa] = ACTIONS(3174),
    [anon_sym_PLUS_PLUS] = ACTIONS(3174),
    [anon_sym_DASH_DASH] = ACTIONS(3174),
    [anon_sym_QMARK] = ACTIONS(3174),
    [anon_sym_EQ_GT] = ACTIONS(3174),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3174),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2212] = {
    [sym_heredoc_content] = STATE(2212),
    [anon_sym_SEMI] = ACTIONS(3178),
    [anon_sym_EQ] = ACTIONS(3180),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3178),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3178),
    [anon_sym_COMMA] = ACTIONS(3178),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3178),
    [anon_sym_DASH_GT] = ACTIONS(3178),
    [anon_sym_PERCENT] = ACTIONS(3180),
    [anon_sym_GT] = ACTIONS(3180),
    [anon_sym_LT_LT] = ACTIONS(3180),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3178),
    [anon_sym_PLUS_EQ] = ACTIONS(3178),
    [anon_sym_DASH_EQ] = ACTIONS(3178),
    [anon_sym_DOT_EQ] = ACTIONS(3178),
    [anon_sym_STAR_EQ] = ACTIONS(3178),
    [anon_sym_SLASH_EQ] = ACTIONS(3178),
    [anon_sym_PERCENT_EQ] = ACTIONS(3178),
    [anon_sym_x_EQ] = ACTIONS(3178),
    [anon_sym_AMP_EQ] = ACTIONS(3178),
    [anon_sym_PIPE_EQ] = ACTIONS(3178),
    [anon_sym_CARET_EQ] = ACTIONS(3178),
    [anon_sym_LT_LT_EQ] = ACTIONS(3178),
    [anon_sym_GT_GT_EQ] = ACTIONS(3178),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3178),
    [anon_sym_DOT_DOT] = ACTIONS(3180),
    [anon_sym_STAR_STAR] = ACTIONS(3180),
    [anon_sym_PIPE_PIPE] = ACTIONS(3180),
    [anon_sym_SLASH_SLASH] = ACTIONS(3180),
    [anon_sym_CARET_CARET] = ACTIONS(3178),
    [anon_sym_AMP_AMP] = ACTIONS(3180),
    [anon_sym_PIPE] = ACTIONS(3180),
    [anon_sym_CARET] = ACTIONS(3180),
    [anon_sym_AMP] = ACTIONS(3180),
    [anon_sym_GT_GT2] = ACTIONS(3180),
    [anon_sym_PLUS] = ACTIONS(3180),
    [anon_sym_DASH] = ACTIONS(3180),
    [anon_sym_DOT] = ACTIONS(3180),
    [anon_sym_STAR] = ACTIONS(3180),
    [anon_sym_SLASH] = ACTIONS(3180),
    [anon_sym_x] = ACTIONS(3180),
    [anon_sym_EQ_TILDE] = ACTIONS(3178),
    [anon_sym_BANG_TILDE] = ACTIONS(3178),
    [anon_sym_EQ_EQ] = ACTIONS(3180),
    [anon_sym_BANG_EQ] = ACTIONS(3178),
    [anon_sym_eq] = ACTIONS(3180),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3178),
    [anon_sym_equ] = ACTIONS(3178),
    [anon_sym_eqr] = ACTIONS(3178),
    [anon_sym_ne] = ACTIONS(3178),
    [anon_sym_LT_EQ_GT] = ACTIONS(3178),
    [anon_sym_cmp] = ACTIONS(3178),
    [anon_sym_TILDE_TILDE] = ACTIONS(3178),
    [anon_sym_LT] = ACTIONS(3180),
    [anon_sym_LT_EQ] = ACTIONS(3180),
    [anon_sym_GT_EQ] = ACTIONS(3178),
    [anon_sym_lt] = ACTIONS(3178),
    [anon_sym_le] = ACTIONS(3178),
    [anon_sym_ge] = ACTIONS(3178),
    [anon_sym_gt] = ACTIONS(3178),
    [anon_sym_isa] = ACTIONS(3178),
    [anon_sym_PLUS_PLUS] = ACTIONS(3178),
    [anon_sym_DASH_DASH] = ACTIONS(3178),
    [anon_sym_QMARK] = ACTIONS(3178),
    [anon_sym_EQ_GT] = ACTIONS(3178),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3178),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2213] = {
    [sym_heredoc_content] = STATE(2213),
    [anon_sym_SEMI] = ACTIONS(3182),
    [anon_sym_EQ] = ACTIONS(3184),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3182),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3182),
    [anon_sym_COMMA] = ACTIONS(3182),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3182),
    [anon_sym_DASH_GT] = ACTIONS(3182),
    [anon_sym_PERCENT] = ACTIONS(3184),
    [anon_sym_GT] = ACTIONS(3184),
    [anon_sym_LT_LT] = ACTIONS(3184),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3182),
    [anon_sym_PLUS_EQ] = ACTIONS(3182),
    [anon_sym_DASH_EQ] = ACTIONS(3182),
    [anon_sym_DOT_EQ] = ACTIONS(3182),
    [anon_sym_STAR_EQ] = ACTIONS(3182),
    [anon_sym_SLASH_EQ] = ACTIONS(3182),
    [anon_sym_PERCENT_EQ] = ACTIONS(3182),
    [anon_sym_x_EQ] = ACTIONS(3182),
    [anon_sym_AMP_EQ] = ACTIONS(3182),
    [anon_sym_PIPE_EQ] = ACTIONS(3182),
    [anon_sym_CARET_EQ] = ACTIONS(3182),
    [anon_sym_LT_LT_EQ] = ACTIONS(3182),
    [anon_sym_GT_GT_EQ] = ACTIONS(3182),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3182),
    [anon_sym_DOT_DOT] = ACTIONS(3184),
    [anon_sym_STAR_STAR] = ACTIONS(3184),
    [anon_sym_PIPE_PIPE] = ACTIONS(3184),
    [anon_sym_SLASH_SLASH] = ACTIONS(3184),
    [anon_sym_CARET_CARET] = ACTIONS(3182),
    [anon_sym_AMP_AMP] = ACTIONS(3184),
    [anon_sym_PIPE] = ACTIONS(3184),
    [anon_sym_CARET] = ACTIONS(3184),
    [anon_sym_AMP] = ACTIONS(3184),
    [anon_sym_GT_GT2] = ACTIONS(3184),
    [anon_sym_PLUS] = ACTIONS(3184),
    [anon_sym_DASH] = ACTIONS(3184),
    [anon_sym_DOT] = ACTIONS(3184),
    [anon_sym_STAR] = ACTIONS(3184),
    [anon_sym_SLASH] = ACTIONS(3184),
    [anon_sym_x] = ACTIONS(3184),
    [anon_sym_EQ_TILDE] = ACTIONS(3182),
    [anon_sym_BANG_TILDE] = ACTIONS(3182),
    [anon_sym_EQ_EQ] = ACTIONS(3184),
    [anon_sym_BANG_EQ] = ACTIONS(3182),
    [anon_sym_eq] = ACTIONS(3184),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3182),
    [anon_sym_equ] = ACTIONS(3182),
    [anon_sym_eqr] = ACTIONS(3182),
    [anon_sym_ne] = ACTIONS(3182),
    [anon_sym_LT_EQ_GT] = ACTIONS(3182),
    [anon_sym_cmp] = ACTIONS(3182),
    [anon_sym_TILDE_TILDE] = ACTIONS(3182),
    [anon_sym_LT] = ACTIONS(3184),
    [anon_sym_LT_EQ] = ACTIONS(3184),
    [anon_sym_GT_EQ] = ACTIONS(3182),
    [anon_sym_lt] = ACTIONS(3182),
    [anon_sym_le] = ACTIONS(3182),
    [anon_sym_ge] = ACTIONS(3182),
    [anon_sym_gt] = ACTIONS(3182),
    [anon_sym_isa] = ACTIONS(3182),
    [anon_sym_PLUS_PLUS] = ACTIONS(3182),
    [anon_sym_DASH_DASH] = ACTIONS(3182),
    [anon_sym_QMARK] = ACTIONS(3182),
    [anon_sym_EQ_GT] = ACTIONS(3182),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3182),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2214] = {
    [sym_heredoc_content] = STATE(2214),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym_EQ] = ACTIONS(2875),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2873),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2873),
    [anon_sym_COMMA] = ACTIONS(2873),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2873),
    [anon_sym_DASH_GT] = ACTIONS(3760),
    [anon_sym_PERCENT] = ACTIONS(2875),
    [anon_sym_GT] = ACTIONS(2875),
    [anon_sym_LT_LT] = ACTIONS(2875),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2873),
    [anon_sym_PLUS_EQ] = ACTIONS(2873),
    [anon_sym_DASH_EQ] = ACTIONS(2873),
    [anon_sym_DOT_EQ] = ACTIONS(2873),
    [anon_sym_STAR_EQ] = ACTIONS(2873),
    [anon_sym_SLASH_EQ] = ACTIONS(2873),
    [anon_sym_PERCENT_EQ] = ACTIONS(2873),
    [anon_sym_x_EQ] = ACTIONS(2873),
    [anon_sym_AMP_EQ] = ACTIONS(2873),
    [anon_sym_PIPE_EQ] = ACTIONS(2873),
    [anon_sym_CARET_EQ] = ACTIONS(2873),
    [anon_sym_LT_LT_EQ] = ACTIONS(2873),
    [anon_sym_GT_GT_EQ] = ACTIONS(2873),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2873),
    [anon_sym_DOT_DOT] = ACTIONS(2875),
    [anon_sym_STAR_STAR] = ACTIONS(3770),
    [anon_sym_PIPE_PIPE] = ACTIONS(2875),
    [anon_sym_SLASH_SLASH] = ACTIONS(2875),
    [anon_sym_CARET_CARET] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2875),
    [anon_sym_PIPE] = ACTIONS(2875),
    [anon_sym_CARET] = ACTIONS(2875),
    [anon_sym_AMP] = ACTIONS(2875),
    [anon_sym_GT_GT2] = ACTIONS(2875),
    [anon_sym_PLUS] = ACTIONS(2875),
    [anon_sym_DASH] = ACTIONS(2875),
    [anon_sym_DOT] = ACTIONS(2875),
    [anon_sym_STAR] = ACTIONS(2875),
    [anon_sym_SLASH] = ACTIONS(2875),
    [anon_sym_x] = ACTIONS(2875),
    [anon_sym_EQ_TILDE] = ACTIONS(2873),
    [anon_sym_BANG_TILDE] = ACTIONS(2873),
    [anon_sym_EQ_EQ] = ACTIONS(2875),
    [anon_sym_BANG_EQ] = ACTIONS(2873),
    [anon_sym_eq] = ACTIONS(2875),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2873),
    [anon_sym_equ] = ACTIONS(2873),
    [anon_sym_eqr] = ACTIONS(2873),
    [anon_sym_ne] = ACTIONS(2873),
    [anon_sym_LT_EQ_GT] = ACTIONS(2873),
    [anon_sym_cmp] = ACTIONS(2873),
    [anon_sym_TILDE_TILDE] = ACTIONS(2873),
    [anon_sym_LT] = ACTIONS(2875),
    [anon_sym_LT_EQ] = ACTIONS(2875),
    [anon_sym_GT_EQ] = ACTIONS(2873),
    [anon_sym_lt] = ACTIONS(2873),
    [anon_sym_le] = ACTIONS(2873),
    [anon_sym_ge] = ACTIONS(2873),
    [anon_sym_gt] = ACTIONS(2873),
    [anon_sym_isa] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(3796),
    [anon_sym_DASH_DASH] = ACTIONS(3796),
    [anon_sym_QMARK] = ACTIONS(2873),
    [anon_sym_EQ_GT] = ACTIONS(2873),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2873),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2215] = {
    [sym_heredoc_content] = STATE(2215),
    [anon_sym_RBRACE] = ACTIONS(3027),
    [anon_sym_EQ] = ACTIONS(3029),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3027),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3027),
    [anon_sym_COMMA] = ACTIONS(3027),
    [anon_sym_RPAREN] = ACTIONS(3027),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3027),
    [anon_sym_DASH_GT] = ACTIONS(3831),
    [anon_sym_PERCENT] = ACTIONS(3833),
    [anon_sym_GT] = ACTIONS(3835),
    [anon_sym_LT_LT] = ACTIONS(3837),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3027),
    [anon_sym_PLUS_EQ] = ACTIONS(3027),
    [anon_sym_DASH_EQ] = ACTIONS(3027),
    [anon_sym_DOT_EQ] = ACTIONS(3027),
    [anon_sym_STAR_EQ] = ACTIONS(3027),
    [anon_sym_SLASH_EQ] = ACTIONS(3027),
    [anon_sym_PERCENT_EQ] = ACTIONS(3027),
    [anon_sym_x_EQ] = ACTIONS(3027),
    [anon_sym_AMP_EQ] = ACTIONS(3027),
    [anon_sym_PIPE_EQ] = ACTIONS(3027),
    [anon_sym_CARET_EQ] = ACTIONS(3027),
    [anon_sym_LT_LT_EQ] = ACTIONS(3027),
    [anon_sym_GT_GT_EQ] = ACTIONS(3027),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3027),
    [anon_sym_DOT_DOT] = ACTIONS(3029),
    [anon_sym_STAR_STAR] = ACTIONS(3841),
    [anon_sym_PIPE_PIPE] = ACTIONS(3029),
    [anon_sym_SLASH_SLASH] = ACTIONS(3029),
    [anon_sym_CARET_CARET] = ACTIONS(3027),
    [anon_sym_AMP_AMP] = ACTIONS(3029),
    [anon_sym_PIPE] = ACTIONS(3029),
    [anon_sym_CARET] = ACTIONS(3029),
    [anon_sym_AMP] = ACTIONS(3029),
    [anon_sym_GT_GT2] = ACTIONS(3837),
    [anon_sym_PLUS] = ACTIONS(3853),
    [anon_sym_DASH] = ACTIONS(3853),
    [anon_sym_DOT] = ACTIONS(3853),
    [anon_sym_STAR] = ACTIONS(3833),
    [anon_sym_SLASH] = ACTIONS(3833),
    [anon_sym_x] = ACTIONS(3833),
    [anon_sym_EQ_TILDE] = ACTIONS(3855),
    [anon_sym_BANG_TILDE] = ACTIONS(3855),
    [anon_sym_EQ_EQ] = ACTIONS(3029),
    [anon_sym_BANG_EQ] = ACTIONS(3027),
    [anon_sym_eq] = ACTIONS(3029),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3027),
    [anon_sym_equ] = ACTIONS(3027),
    [anon_sym_eqr] = ACTIONS(3027),
    [anon_sym_ne] = ACTIONS(3027),
    [anon_sym_LT_EQ_GT] = ACTIONS(3027),
    [anon_sym_cmp] = ACTIONS(3027),
    [anon_sym_TILDE_TILDE] = ACTIONS(3027),
    [anon_sym_LT] = ACTIONS(3835),
    [anon_sym_LT_EQ] = ACTIONS(3835),
    [anon_sym_GT_EQ] = ACTIONS(3863),
    [anon_sym_lt] = ACTIONS(3863),
    [anon_sym_le] = ACTIONS(3863),
    [anon_sym_ge] = ACTIONS(3863),
    [anon_sym_gt] = ACTIONS(3863),
    [anon_sym_isa] = ACTIONS(3904),
    [anon_sym_PLUS_PLUS] = ACTIONS(3867),
    [anon_sym_DASH_DASH] = ACTIONS(3867),
    [anon_sym_QMARK] = ACTIONS(3027),
    [anon_sym_EQ_GT] = ACTIONS(3027),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2216] = {
    [sym_heredoc_content] = STATE(2216),
    [anon_sym_SEMI] = ACTIONS(3186),
    [anon_sym_EQ] = ACTIONS(3188),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3186),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3186),
    [anon_sym_DASH_GT] = ACTIONS(3186),
    [anon_sym_PERCENT] = ACTIONS(3188),
    [anon_sym_GT] = ACTIONS(3188),
    [anon_sym_LT_LT] = ACTIONS(3188),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3186),
    [anon_sym_PLUS_EQ] = ACTIONS(3186),
    [anon_sym_DASH_EQ] = ACTIONS(3186),
    [anon_sym_DOT_EQ] = ACTIONS(3186),
    [anon_sym_STAR_EQ] = ACTIONS(3186),
    [anon_sym_SLASH_EQ] = ACTIONS(3186),
    [anon_sym_PERCENT_EQ] = ACTIONS(3186),
    [anon_sym_x_EQ] = ACTIONS(3186),
    [anon_sym_AMP_EQ] = ACTIONS(3186),
    [anon_sym_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_CARET_EQ] = ACTIONS(3186),
    [anon_sym_LT_LT_EQ] = ACTIONS(3186),
    [anon_sym_GT_GT_EQ] = ACTIONS(3186),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3186),
    [anon_sym_DOT_DOT] = ACTIONS(3188),
    [anon_sym_STAR_STAR] = ACTIONS(3188),
    [anon_sym_PIPE_PIPE] = ACTIONS(3188),
    [anon_sym_SLASH_SLASH] = ACTIONS(3188),
    [anon_sym_CARET_CARET] = ACTIONS(3186),
    [anon_sym_AMP_AMP] = ACTIONS(3188),
    [anon_sym_PIPE] = ACTIONS(3188),
    [anon_sym_CARET] = ACTIONS(3188),
    [anon_sym_AMP] = ACTIONS(3188),
    [anon_sym_GT_GT2] = ACTIONS(3188),
    [anon_sym_PLUS] = ACTIONS(3188),
    [anon_sym_DASH] = ACTIONS(3188),
    [anon_sym_DOT] = ACTIONS(3188),
    [anon_sym_STAR] = ACTIONS(3188),
    [anon_sym_SLASH] = ACTIONS(3188),
    [anon_sym_x] = ACTIONS(3188),
    [anon_sym_EQ_TILDE] = ACTIONS(3186),
    [anon_sym_BANG_TILDE] = ACTIONS(3186),
    [anon_sym_EQ_EQ] = ACTIONS(3188),
    [anon_sym_BANG_EQ] = ACTIONS(3186),
    [anon_sym_eq] = ACTIONS(3188),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3186),
    [anon_sym_equ] = ACTIONS(3186),
    [anon_sym_eqr] = ACTIONS(3186),
    [anon_sym_ne] = ACTIONS(3186),
    [anon_sym_LT_EQ_GT] = ACTIONS(3186),
    [anon_sym_cmp] = ACTIONS(3186),
    [anon_sym_TILDE_TILDE] = ACTIONS(3186),
    [anon_sym_LT] = ACTIONS(3188),
    [anon_sym_LT_EQ] = ACTIONS(3188),
    [anon_sym_GT_EQ] = ACTIONS(3186),
    [anon_sym_lt] = ACTIONS(3186),
    [anon_sym_le] = ACTIONS(3186),
    [anon_sym_ge] = ACTIONS(3186),
    [anon_sym_gt] = ACTIONS(3186),
    [anon_sym_isa] = ACTIONS(3186),
    [anon_sym_PLUS_PLUS] = ACTIONS(3186),
    [anon_sym_DASH_DASH] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(3186),
    [anon_sym_EQ_GT] = ACTIONS(3186),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3186),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2217] = {
    [sym_heredoc_content] = STATE(2217),
    [anon_sym_SEMI] = ACTIONS(3190),
    [anon_sym_EQ] = ACTIONS(3192),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3190),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3190),
    [anon_sym_COMMA] = ACTIONS(3190),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3190),
    [anon_sym_DASH_GT] = ACTIONS(3190),
    [anon_sym_PERCENT] = ACTIONS(3192),
    [anon_sym_GT] = ACTIONS(3192),
    [anon_sym_LT_LT] = ACTIONS(3192),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3190),
    [anon_sym_PLUS_EQ] = ACTIONS(3190),
    [anon_sym_DASH_EQ] = ACTIONS(3190),
    [anon_sym_DOT_EQ] = ACTIONS(3190),
    [anon_sym_STAR_EQ] = ACTIONS(3190),
    [anon_sym_SLASH_EQ] = ACTIONS(3190),
    [anon_sym_PERCENT_EQ] = ACTIONS(3190),
    [anon_sym_x_EQ] = ACTIONS(3190),
    [anon_sym_AMP_EQ] = ACTIONS(3190),
    [anon_sym_PIPE_EQ] = ACTIONS(3190),
    [anon_sym_CARET_EQ] = ACTIONS(3190),
    [anon_sym_LT_LT_EQ] = ACTIONS(3190),
    [anon_sym_GT_GT_EQ] = ACTIONS(3190),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3190),
    [anon_sym_DOT_DOT] = ACTIONS(3192),
    [anon_sym_STAR_STAR] = ACTIONS(3192),
    [anon_sym_PIPE_PIPE] = ACTIONS(3192),
    [anon_sym_SLASH_SLASH] = ACTIONS(3192),
    [anon_sym_CARET_CARET] = ACTIONS(3190),
    [anon_sym_AMP_AMP] = ACTIONS(3192),
    [anon_sym_PIPE] = ACTIONS(3192),
    [anon_sym_CARET] = ACTIONS(3192),
    [anon_sym_AMP] = ACTIONS(3192),
    [anon_sym_GT_GT2] = ACTIONS(3192),
    [anon_sym_PLUS] = ACTIONS(3192),
    [anon_sym_DASH] = ACTIONS(3192),
    [anon_sym_DOT] = ACTIONS(3192),
    [anon_sym_STAR] = ACTIONS(3192),
    [anon_sym_SLASH] = ACTIONS(3192),
    [anon_sym_x] = ACTIONS(3192),
    [anon_sym_EQ_TILDE] = ACTIONS(3190),
    [anon_sym_BANG_TILDE] = ACTIONS(3190),
    [anon_sym_EQ_EQ] = ACTIONS(3192),
    [anon_sym_BANG_EQ] = ACTIONS(3190),
    [anon_sym_eq] = ACTIONS(3192),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3190),
    [anon_sym_equ] = ACTIONS(3190),
    [anon_sym_eqr] = ACTIONS(3190),
    [anon_sym_ne] = ACTIONS(3190),
    [anon_sym_LT_EQ_GT] = ACTIONS(3190),
    [anon_sym_cmp] = ACTIONS(3190),
    [anon_sym_TILDE_TILDE] = ACTIONS(3190),
    [anon_sym_LT] = ACTIONS(3192),
    [anon_sym_LT_EQ] = ACTIONS(3192),
    [anon_sym_GT_EQ] = ACTIONS(3190),
    [anon_sym_lt] = ACTIONS(3190),
    [anon_sym_le] = ACTIONS(3190),
    [anon_sym_ge] = ACTIONS(3190),
    [anon_sym_gt] = ACTIONS(3190),
    [anon_sym_isa] = ACTIONS(3190),
    [anon_sym_PLUS_PLUS] = ACTIONS(3190),
    [anon_sym_DASH_DASH] = ACTIONS(3190),
    [anon_sym_QMARK] = ACTIONS(3190),
    [anon_sym_EQ_GT] = ACTIONS(3190),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3190),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2218] = {
    [sym_heredoc_content] = STATE(2218),
    [anon_sym_SEMI] = ACTIONS(2877),
    [anon_sym_EQ] = ACTIONS(2880),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2877),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2877),
    [anon_sym_COMMA] = ACTIONS(2877),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2877),
    [anon_sym_DASH_GT] = ACTIONS(2877),
    [anon_sym_PERCENT] = ACTIONS(2880),
    [anon_sym_GT] = ACTIONS(2880),
    [anon_sym_LT_LT] = ACTIONS(2880),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2877),
    [anon_sym_PLUS_EQ] = ACTIONS(2877),
    [anon_sym_DASH_EQ] = ACTIONS(2877),
    [anon_sym_DOT_EQ] = ACTIONS(2877),
    [anon_sym_STAR_EQ] = ACTIONS(2877),
    [anon_sym_SLASH_EQ] = ACTIONS(2877),
    [anon_sym_PERCENT_EQ] = ACTIONS(2877),
    [anon_sym_x_EQ] = ACTIONS(2877),
    [anon_sym_AMP_EQ] = ACTIONS(2877),
    [anon_sym_PIPE_EQ] = ACTIONS(2877),
    [anon_sym_CARET_EQ] = ACTIONS(2877),
    [anon_sym_LT_LT_EQ] = ACTIONS(2877),
    [anon_sym_GT_GT_EQ] = ACTIONS(2877),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2877),
    [anon_sym_DOT_DOT] = ACTIONS(2880),
    [anon_sym_STAR_STAR] = ACTIONS(2880),
    [anon_sym_PIPE_PIPE] = ACTIONS(2880),
    [anon_sym_SLASH_SLASH] = ACTIONS(2880),
    [anon_sym_CARET_CARET] = ACTIONS(2877),
    [anon_sym_AMP_AMP] = ACTIONS(2880),
    [anon_sym_PIPE] = ACTIONS(2880),
    [anon_sym_CARET] = ACTIONS(2880),
    [anon_sym_AMP] = ACTIONS(2880),
    [anon_sym_GT_GT2] = ACTIONS(2880),
    [anon_sym_PLUS] = ACTIONS(2880),
    [anon_sym_DASH] = ACTIONS(2880),
    [anon_sym_DOT] = ACTIONS(2880),
    [anon_sym_STAR] = ACTIONS(2880),
    [anon_sym_SLASH] = ACTIONS(2880),
    [anon_sym_x] = ACTIONS(2880),
    [anon_sym_EQ_TILDE] = ACTIONS(2877),
    [anon_sym_BANG_TILDE] = ACTIONS(2877),
    [anon_sym_EQ_EQ] = ACTIONS(2880),
    [anon_sym_BANG_EQ] = ACTIONS(2877),
    [anon_sym_eq] = ACTIONS(2880),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2877),
    [anon_sym_equ] = ACTIONS(2877),
    [anon_sym_eqr] = ACTIONS(2877),
    [anon_sym_ne] = ACTIONS(2877),
    [anon_sym_LT_EQ_GT] = ACTIONS(2877),
    [anon_sym_cmp] = ACTIONS(2877),
    [anon_sym_TILDE_TILDE] = ACTIONS(2877),
    [anon_sym_LT] = ACTIONS(2880),
    [anon_sym_LT_EQ] = ACTIONS(2880),
    [anon_sym_GT_EQ] = ACTIONS(2877),
    [anon_sym_lt] = ACTIONS(2877),
    [anon_sym_le] = ACTIONS(2877),
    [anon_sym_ge] = ACTIONS(2877),
    [anon_sym_gt] = ACTIONS(2877),
    [anon_sym_isa] = ACTIONS(2877),
    [anon_sym_PLUS_PLUS] = ACTIONS(2877),
    [anon_sym_DASH_DASH] = ACTIONS(2877),
    [anon_sym_QMARK] = ACTIONS(2877),
    [anon_sym_EQ_GT] = ACTIONS(2877),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2877),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2219] = {
    [sym_heredoc_content] = STATE(2219),
    [anon_sym_SEMI] = ACTIONS(3194),
    [anon_sym_EQ] = ACTIONS(3196),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3194),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3194),
    [anon_sym_COMMA] = ACTIONS(3194),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3194),
    [anon_sym_DASH_GT] = ACTIONS(3194),
    [anon_sym_PERCENT] = ACTIONS(3196),
    [anon_sym_GT] = ACTIONS(3196),
    [anon_sym_LT_LT] = ACTIONS(3196),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3194),
    [anon_sym_PLUS_EQ] = ACTIONS(3194),
    [anon_sym_DASH_EQ] = ACTIONS(3194),
    [anon_sym_DOT_EQ] = ACTIONS(3194),
    [anon_sym_STAR_EQ] = ACTIONS(3194),
    [anon_sym_SLASH_EQ] = ACTIONS(3194),
    [anon_sym_PERCENT_EQ] = ACTIONS(3194),
    [anon_sym_x_EQ] = ACTIONS(3194),
    [anon_sym_AMP_EQ] = ACTIONS(3194),
    [anon_sym_PIPE_EQ] = ACTIONS(3194),
    [anon_sym_CARET_EQ] = ACTIONS(3194),
    [anon_sym_LT_LT_EQ] = ACTIONS(3194),
    [anon_sym_GT_GT_EQ] = ACTIONS(3194),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3194),
    [anon_sym_DOT_DOT] = ACTIONS(3196),
    [anon_sym_STAR_STAR] = ACTIONS(3196),
    [anon_sym_PIPE_PIPE] = ACTIONS(3196),
    [anon_sym_SLASH_SLASH] = ACTIONS(3196),
    [anon_sym_CARET_CARET] = ACTIONS(3194),
    [anon_sym_AMP_AMP] = ACTIONS(3196),
    [anon_sym_PIPE] = ACTIONS(3196),
    [anon_sym_CARET] = ACTIONS(3196),
    [anon_sym_AMP] = ACTIONS(3196),
    [anon_sym_GT_GT2] = ACTIONS(3196),
    [anon_sym_PLUS] = ACTIONS(3196),
    [anon_sym_DASH] = ACTIONS(3196),
    [anon_sym_DOT] = ACTIONS(3196),
    [anon_sym_STAR] = ACTIONS(3196),
    [anon_sym_SLASH] = ACTIONS(3196),
    [anon_sym_x] = ACTIONS(3196),
    [anon_sym_EQ_TILDE] = ACTIONS(3194),
    [anon_sym_BANG_TILDE] = ACTIONS(3194),
    [anon_sym_EQ_EQ] = ACTIONS(3196),
    [anon_sym_BANG_EQ] = ACTIONS(3194),
    [anon_sym_eq] = ACTIONS(3196),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3194),
    [anon_sym_equ] = ACTIONS(3194),
    [anon_sym_eqr] = ACTIONS(3194),
    [anon_sym_ne] = ACTIONS(3194),
    [anon_sym_LT_EQ_GT] = ACTIONS(3194),
    [anon_sym_cmp] = ACTIONS(3194),
    [anon_sym_TILDE_TILDE] = ACTIONS(3194),
    [anon_sym_LT] = ACTIONS(3196),
    [anon_sym_LT_EQ] = ACTIONS(3196),
    [anon_sym_GT_EQ] = ACTIONS(3194),
    [anon_sym_lt] = ACTIONS(3194),
    [anon_sym_le] = ACTIONS(3194),
    [anon_sym_ge] = ACTIONS(3194),
    [anon_sym_gt] = ACTIONS(3194),
    [anon_sym_isa] = ACTIONS(3194),
    [anon_sym_PLUS_PLUS] = ACTIONS(3194),
    [anon_sym_DASH_DASH] = ACTIONS(3194),
    [anon_sym_QMARK] = ACTIONS(3194),
    [anon_sym_EQ_GT] = ACTIONS(3194),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3194),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2220] = {
    [sym_heredoc_content] = STATE(2220),
    [anon_sym_SEMI] = ACTIONS(3198),
    [anon_sym_EQ] = ACTIONS(3200),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3198),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3198),
    [anon_sym_COMMA] = ACTIONS(3198),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3198),
    [anon_sym_DASH_GT] = ACTIONS(3198),
    [anon_sym_PERCENT] = ACTIONS(3200),
    [anon_sym_GT] = ACTIONS(3200),
    [anon_sym_LT_LT] = ACTIONS(3200),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3198),
    [anon_sym_PLUS_EQ] = ACTIONS(3198),
    [anon_sym_DASH_EQ] = ACTIONS(3198),
    [anon_sym_DOT_EQ] = ACTIONS(3198),
    [anon_sym_STAR_EQ] = ACTIONS(3198),
    [anon_sym_SLASH_EQ] = ACTIONS(3198),
    [anon_sym_PERCENT_EQ] = ACTIONS(3198),
    [anon_sym_x_EQ] = ACTIONS(3198),
    [anon_sym_AMP_EQ] = ACTIONS(3198),
    [anon_sym_PIPE_EQ] = ACTIONS(3198),
    [anon_sym_CARET_EQ] = ACTIONS(3198),
    [anon_sym_LT_LT_EQ] = ACTIONS(3198),
    [anon_sym_GT_GT_EQ] = ACTIONS(3198),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3198),
    [anon_sym_DOT_DOT] = ACTIONS(3200),
    [anon_sym_STAR_STAR] = ACTIONS(3200),
    [anon_sym_PIPE_PIPE] = ACTIONS(3200),
    [anon_sym_SLASH_SLASH] = ACTIONS(3200),
    [anon_sym_CARET_CARET] = ACTIONS(3198),
    [anon_sym_AMP_AMP] = ACTIONS(3200),
    [anon_sym_PIPE] = ACTIONS(3200),
    [anon_sym_CARET] = ACTIONS(3200),
    [anon_sym_AMP] = ACTIONS(3200),
    [anon_sym_GT_GT2] = ACTIONS(3200),
    [anon_sym_PLUS] = ACTIONS(3200),
    [anon_sym_DASH] = ACTIONS(3200),
    [anon_sym_DOT] = ACTIONS(3200),
    [anon_sym_STAR] = ACTIONS(3200),
    [anon_sym_SLASH] = ACTIONS(3200),
    [anon_sym_x] = ACTIONS(3200),
    [anon_sym_EQ_TILDE] = ACTIONS(3198),
    [anon_sym_BANG_TILDE] = ACTIONS(3198),
    [anon_sym_EQ_EQ] = ACTIONS(3200),
    [anon_sym_BANG_EQ] = ACTIONS(3198),
    [anon_sym_eq] = ACTIONS(3200),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3198),
    [anon_sym_equ] = ACTIONS(3198),
    [anon_sym_eqr] = ACTIONS(3198),
    [anon_sym_ne] = ACTIONS(3198),
    [anon_sym_LT_EQ_GT] = ACTIONS(3198),
    [anon_sym_cmp] = ACTIONS(3198),
    [anon_sym_TILDE_TILDE] = ACTIONS(3198),
    [anon_sym_LT] = ACTIONS(3200),
    [anon_sym_LT_EQ] = ACTIONS(3200),
    [anon_sym_GT_EQ] = ACTIONS(3198),
    [anon_sym_lt] = ACTIONS(3198),
    [anon_sym_le] = ACTIONS(3198),
    [anon_sym_ge] = ACTIONS(3198),
    [anon_sym_gt] = ACTIONS(3198),
    [anon_sym_isa] = ACTIONS(3198),
    [anon_sym_PLUS_PLUS] = ACTIONS(3198),
    [anon_sym_DASH_DASH] = ACTIONS(3198),
    [anon_sym_QMARK] = ACTIONS(3198),
    [anon_sym_EQ_GT] = ACTIONS(3198),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3198),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2221] = {
    [sym_heredoc_content] = STATE(2221),
    [anon_sym_SEMI] = ACTIONS(3202),
    [anon_sym_EQ] = ACTIONS(3204),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3202),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3202),
    [anon_sym_COMMA] = ACTIONS(3202),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3202),
    [anon_sym_DASH_GT] = ACTIONS(3202),
    [anon_sym_PERCENT] = ACTIONS(3204),
    [anon_sym_GT] = ACTIONS(3204),
    [anon_sym_LT_LT] = ACTIONS(3204),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3202),
    [anon_sym_PLUS_EQ] = ACTIONS(3202),
    [anon_sym_DASH_EQ] = ACTIONS(3202),
    [anon_sym_DOT_EQ] = ACTIONS(3202),
    [anon_sym_STAR_EQ] = ACTIONS(3202),
    [anon_sym_SLASH_EQ] = ACTIONS(3202),
    [anon_sym_PERCENT_EQ] = ACTIONS(3202),
    [anon_sym_x_EQ] = ACTIONS(3202),
    [anon_sym_AMP_EQ] = ACTIONS(3202),
    [anon_sym_PIPE_EQ] = ACTIONS(3202),
    [anon_sym_CARET_EQ] = ACTIONS(3202),
    [anon_sym_LT_LT_EQ] = ACTIONS(3202),
    [anon_sym_GT_GT_EQ] = ACTIONS(3202),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3202),
    [anon_sym_DOT_DOT] = ACTIONS(3204),
    [anon_sym_STAR_STAR] = ACTIONS(3204),
    [anon_sym_PIPE_PIPE] = ACTIONS(3204),
    [anon_sym_SLASH_SLASH] = ACTIONS(3204),
    [anon_sym_CARET_CARET] = ACTIONS(3202),
    [anon_sym_AMP_AMP] = ACTIONS(3204),
    [anon_sym_PIPE] = ACTIONS(3204),
    [anon_sym_CARET] = ACTIONS(3204),
    [anon_sym_AMP] = ACTIONS(3204),
    [anon_sym_GT_GT2] = ACTIONS(3204),
    [anon_sym_PLUS] = ACTIONS(3204),
    [anon_sym_DASH] = ACTIONS(3204),
    [anon_sym_DOT] = ACTIONS(3204),
    [anon_sym_STAR] = ACTIONS(3204),
    [anon_sym_SLASH] = ACTIONS(3204),
    [anon_sym_x] = ACTIONS(3204),
    [anon_sym_EQ_TILDE] = ACTIONS(3202),
    [anon_sym_BANG_TILDE] = ACTIONS(3202),
    [anon_sym_EQ_EQ] = ACTIONS(3204),
    [anon_sym_BANG_EQ] = ACTIONS(3202),
    [anon_sym_eq] = ACTIONS(3204),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3202),
    [anon_sym_equ] = ACTIONS(3202),
    [anon_sym_eqr] = ACTIONS(3202),
    [anon_sym_ne] = ACTIONS(3202),
    [anon_sym_LT_EQ_GT] = ACTIONS(3202),
    [anon_sym_cmp] = ACTIONS(3202),
    [anon_sym_TILDE_TILDE] = ACTIONS(3202),
    [anon_sym_LT] = ACTIONS(3204),
    [anon_sym_LT_EQ] = ACTIONS(3204),
    [anon_sym_GT_EQ] = ACTIONS(3202),
    [anon_sym_lt] = ACTIONS(3202),
    [anon_sym_le] = ACTIONS(3202),
    [anon_sym_ge] = ACTIONS(3202),
    [anon_sym_gt] = ACTIONS(3202),
    [anon_sym_isa] = ACTIONS(3202),
    [anon_sym_PLUS_PLUS] = ACTIONS(3202),
    [anon_sym_DASH_DASH] = ACTIONS(3202),
    [anon_sym_QMARK] = ACTIONS(3202),
    [anon_sym_EQ_GT] = ACTIONS(3202),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3202),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2222] = {
    [sym_heredoc_content] = STATE(2222),
    [anon_sym_SEMI] = ACTIONS(3206),
    [anon_sym_EQ] = ACTIONS(3208),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3206),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3206),
    [anon_sym_COMMA] = ACTIONS(3206),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3206),
    [anon_sym_DASH_GT] = ACTIONS(3206),
    [anon_sym_PERCENT] = ACTIONS(3208),
    [anon_sym_GT] = ACTIONS(3208),
    [anon_sym_LT_LT] = ACTIONS(3208),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3206),
    [anon_sym_PLUS_EQ] = ACTIONS(3206),
    [anon_sym_DASH_EQ] = ACTIONS(3206),
    [anon_sym_DOT_EQ] = ACTIONS(3206),
    [anon_sym_STAR_EQ] = ACTIONS(3206),
    [anon_sym_SLASH_EQ] = ACTIONS(3206),
    [anon_sym_PERCENT_EQ] = ACTIONS(3206),
    [anon_sym_x_EQ] = ACTIONS(3206),
    [anon_sym_AMP_EQ] = ACTIONS(3206),
    [anon_sym_PIPE_EQ] = ACTIONS(3206),
    [anon_sym_CARET_EQ] = ACTIONS(3206),
    [anon_sym_LT_LT_EQ] = ACTIONS(3206),
    [anon_sym_GT_GT_EQ] = ACTIONS(3206),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3206),
    [anon_sym_DOT_DOT] = ACTIONS(3208),
    [anon_sym_STAR_STAR] = ACTIONS(3208),
    [anon_sym_PIPE_PIPE] = ACTIONS(3208),
    [anon_sym_SLASH_SLASH] = ACTIONS(3208),
    [anon_sym_CARET_CARET] = ACTIONS(3206),
    [anon_sym_AMP_AMP] = ACTIONS(3208),
    [anon_sym_PIPE] = ACTIONS(3208),
    [anon_sym_CARET] = ACTIONS(3208),
    [anon_sym_AMP] = ACTIONS(3208),
    [anon_sym_GT_GT2] = ACTIONS(3208),
    [anon_sym_PLUS] = ACTIONS(3208),
    [anon_sym_DASH] = ACTIONS(3208),
    [anon_sym_DOT] = ACTIONS(3208),
    [anon_sym_STAR] = ACTIONS(3208),
    [anon_sym_SLASH] = ACTIONS(3208),
    [anon_sym_x] = ACTIONS(3208),
    [anon_sym_EQ_TILDE] = ACTIONS(3206),
    [anon_sym_BANG_TILDE] = ACTIONS(3206),
    [anon_sym_EQ_EQ] = ACTIONS(3208),
    [anon_sym_BANG_EQ] = ACTIONS(3206),
    [anon_sym_eq] = ACTIONS(3208),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3206),
    [anon_sym_equ] = ACTIONS(3206),
    [anon_sym_eqr] = ACTIONS(3206),
    [anon_sym_ne] = ACTIONS(3206),
    [anon_sym_LT_EQ_GT] = ACTIONS(3206),
    [anon_sym_cmp] = ACTIONS(3206),
    [anon_sym_TILDE_TILDE] = ACTIONS(3206),
    [anon_sym_LT] = ACTIONS(3208),
    [anon_sym_LT_EQ] = ACTIONS(3208),
    [anon_sym_GT_EQ] = ACTIONS(3206),
    [anon_sym_lt] = ACTIONS(3206),
    [anon_sym_le] = ACTIONS(3206),
    [anon_sym_ge] = ACTIONS(3206),
    [anon_sym_gt] = ACTIONS(3206),
    [anon_sym_isa] = ACTIONS(3206),
    [anon_sym_PLUS_PLUS] = ACTIONS(3206),
    [anon_sym_DASH_DASH] = ACTIONS(3206),
    [anon_sym_QMARK] = ACTIONS(3206),
    [anon_sym_EQ_GT] = ACTIONS(3206),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3206),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2223] = {
    [sym_heredoc_content] = STATE(2223),
    [anon_sym_SEMI] = ACTIONS(3210),
    [anon_sym_EQ] = ACTIONS(3212),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3210),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3210),
    [anon_sym_COMMA] = ACTIONS(3210),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3210),
    [anon_sym_DASH_GT] = ACTIONS(3210),
    [anon_sym_PERCENT] = ACTIONS(3212),
    [anon_sym_GT] = ACTIONS(3212),
    [anon_sym_LT_LT] = ACTIONS(3212),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3210),
    [anon_sym_PLUS_EQ] = ACTIONS(3210),
    [anon_sym_DASH_EQ] = ACTIONS(3210),
    [anon_sym_DOT_EQ] = ACTIONS(3210),
    [anon_sym_STAR_EQ] = ACTIONS(3210),
    [anon_sym_SLASH_EQ] = ACTIONS(3210),
    [anon_sym_PERCENT_EQ] = ACTIONS(3210),
    [anon_sym_x_EQ] = ACTIONS(3210),
    [anon_sym_AMP_EQ] = ACTIONS(3210),
    [anon_sym_PIPE_EQ] = ACTIONS(3210),
    [anon_sym_CARET_EQ] = ACTIONS(3210),
    [anon_sym_LT_LT_EQ] = ACTIONS(3210),
    [anon_sym_GT_GT_EQ] = ACTIONS(3210),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3210),
    [anon_sym_DOT_DOT] = ACTIONS(3212),
    [anon_sym_STAR_STAR] = ACTIONS(3212),
    [anon_sym_PIPE_PIPE] = ACTIONS(3212),
    [anon_sym_SLASH_SLASH] = ACTIONS(3212),
    [anon_sym_CARET_CARET] = ACTIONS(3210),
    [anon_sym_AMP_AMP] = ACTIONS(3212),
    [anon_sym_PIPE] = ACTIONS(3212),
    [anon_sym_CARET] = ACTIONS(3212),
    [anon_sym_AMP] = ACTIONS(3212),
    [anon_sym_GT_GT2] = ACTIONS(3212),
    [anon_sym_PLUS] = ACTIONS(3212),
    [anon_sym_DASH] = ACTIONS(3212),
    [anon_sym_DOT] = ACTIONS(3212),
    [anon_sym_STAR] = ACTIONS(3212),
    [anon_sym_SLASH] = ACTIONS(3212),
    [anon_sym_x] = ACTIONS(3212),
    [anon_sym_EQ_TILDE] = ACTIONS(3210),
    [anon_sym_BANG_TILDE] = ACTIONS(3210),
    [anon_sym_EQ_EQ] = ACTIONS(3212),
    [anon_sym_BANG_EQ] = ACTIONS(3210),
    [anon_sym_eq] = ACTIONS(3212),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3210),
    [anon_sym_equ] = ACTIONS(3210),
    [anon_sym_eqr] = ACTIONS(3210),
    [anon_sym_ne] = ACTIONS(3210),
    [anon_sym_LT_EQ_GT] = ACTIONS(3210),
    [anon_sym_cmp] = ACTIONS(3210),
    [anon_sym_TILDE_TILDE] = ACTIONS(3210),
    [anon_sym_LT] = ACTIONS(3212),
    [anon_sym_LT_EQ] = ACTIONS(3212),
    [anon_sym_GT_EQ] = ACTIONS(3210),
    [anon_sym_lt] = ACTIONS(3210),
    [anon_sym_le] = ACTIONS(3210),
    [anon_sym_ge] = ACTIONS(3210),
    [anon_sym_gt] = ACTIONS(3210),
    [anon_sym_isa] = ACTIONS(3210),
    [anon_sym_PLUS_PLUS] = ACTIONS(3210),
    [anon_sym_DASH_DASH] = ACTIONS(3210),
    [anon_sym_QMARK] = ACTIONS(3210),
    [anon_sym_EQ_GT] = ACTIONS(3210),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3210),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2224] = {
    [sym_heredoc_content] = STATE(2224),
    [anon_sym_SEMI] = ACTIONS(2999),
    [anon_sym_EQ] = ACTIONS(3001),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2999),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2999),
    [anon_sym_COMMA] = ACTIONS(2999),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2999),
    [anon_sym_DASH_GT] = ACTIONS(2999),
    [anon_sym_PERCENT] = ACTIONS(3001),
    [anon_sym_GT] = ACTIONS(3001),
    [anon_sym_LT_LT] = ACTIONS(3001),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2999),
    [anon_sym_PLUS_EQ] = ACTIONS(2999),
    [anon_sym_DASH_EQ] = ACTIONS(2999),
    [anon_sym_DOT_EQ] = ACTIONS(2999),
    [anon_sym_STAR_EQ] = ACTIONS(2999),
    [anon_sym_SLASH_EQ] = ACTIONS(2999),
    [anon_sym_PERCENT_EQ] = ACTIONS(2999),
    [anon_sym_x_EQ] = ACTIONS(2999),
    [anon_sym_AMP_EQ] = ACTIONS(2999),
    [anon_sym_PIPE_EQ] = ACTIONS(2999),
    [anon_sym_CARET_EQ] = ACTIONS(2999),
    [anon_sym_LT_LT_EQ] = ACTIONS(2999),
    [anon_sym_GT_GT_EQ] = ACTIONS(2999),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2999),
    [anon_sym_DOT_DOT] = ACTIONS(3001),
    [anon_sym_STAR_STAR] = ACTIONS(3001),
    [anon_sym_PIPE_PIPE] = ACTIONS(3001),
    [anon_sym_SLASH_SLASH] = ACTIONS(3001),
    [anon_sym_CARET_CARET] = ACTIONS(2999),
    [anon_sym_AMP_AMP] = ACTIONS(3001),
    [anon_sym_PIPE] = ACTIONS(3001),
    [anon_sym_CARET] = ACTIONS(3001),
    [anon_sym_AMP] = ACTIONS(3001),
    [anon_sym_GT_GT2] = ACTIONS(3001),
    [anon_sym_PLUS] = ACTIONS(3001),
    [anon_sym_DASH] = ACTIONS(3001),
    [anon_sym_DOT] = ACTIONS(3001),
    [anon_sym_STAR] = ACTIONS(3001),
    [anon_sym_SLASH] = ACTIONS(3001),
    [anon_sym_x] = ACTIONS(3001),
    [anon_sym_EQ_TILDE] = ACTIONS(2999),
    [anon_sym_BANG_TILDE] = ACTIONS(2999),
    [anon_sym_EQ_EQ] = ACTIONS(3001),
    [anon_sym_BANG_EQ] = ACTIONS(2999),
    [anon_sym_eq] = ACTIONS(3001),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2999),
    [anon_sym_equ] = ACTIONS(2999),
    [anon_sym_eqr] = ACTIONS(2999),
    [anon_sym_ne] = ACTIONS(2999),
    [anon_sym_LT_EQ_GT] = ACTIONS(2999),
    [anon_sym_cmp] = ACTIONS(2999),
    [anon_sym_TILDE_TILDE] = ACTIONS(2999),
    [anon_sym_LT] = ACTIONS(3001),
    [anon_sym_LT_EQ] = ACTIONS(3001),
    [anon_sym_GT_EQ] = ACTIONS(2999),
    [anon_sym_lt] = ACTIONS(2999),
    [anon_sym_le] = ACTIONS(2999),
    [anon_sym_ge] = ACTIONS(2999),
    [anon_sym_gt] = ACTIONS(2999),
    [anon_sym_isa] = ACTIONS(2999),
    [anon_sym_PLUS_PLUS] = ACTIONS(2999),
    [anon_sym_DASH_DASH] = ACTIONS(2999),
    [anon_sym_QMARK] = ACTIONS(2999),
    [anon_sym_EQ_GT] = ACTIONS(2999),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2999),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2225] = {
    [sym_heredoc_content] = STATE(2225),
    [anon_sym_RBRACE] = ACTIONS(3019),
    [anon_sym_EQ] = ACTIONS(3021),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_COMMA] = ACTIONS(3019),
    [anon_sym_RPAREN] = ACTIONS(3019),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3019),
    [anon_sym_DASH_GT] = ACTIONS(3831),
    [anon_sym_PERCENT] = ACTIONS(3833),
    [anon_sym_GT] = ACTIONS(3835),
    [anon_sym_LT_LT] = ACTIONS(3837),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3019),
    [anon_sym_PLUS_EQ] = ACTIONS(3019),
    [anon_sym_DASH_EQ] = ACTIONS(3019),
    [anon_sym_DOT_EQ] = ACTIONS(3019),
    [anon_sym_STAR_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_PERCENT_EQ] = ACTIONS(3019),
    [anon_sym_x_EQ] = ACTIONS(3019),
    [anon_sym_AMP_EQ] = ACTIONS(3019),
    [anon_sym_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_CARET_EQ] = ACTIONS(3019),
    [anon_sym_LT_LT_EQ] = ACTIONS(3019),
    [anon_sym_GT_GT_EQ] = ACTIONS(3019),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3019),
    [anon_sym_DOT_DOT] = ACTIONS(3021),
    [anon_sym_STAR_STAR] = ACTIONS(3841),
    [anon_sym_PIPE_PIPE] = ACTIONS(3021),
    [anon_sym_SLASH_SLASH] = ACTIONS(3021),
    [anon_sym_CARET_CARET] = ACTIONS(3019),
    [anon_sym_AMP_AMP] = ACTIONS(3021),
    [anon_sym_PIPE] = ACTIONS(3021),
    [anon_sym_CARET] = ACTIONS(3021),
    [anon_sym_AMP] = ACTIONS(3851),
    [anon_sym_GT_GT2] = ACTIONS(3837),
    [anon_sym_PLUS] = ACTIONS(3853),
    [anon_sym_DASH] = ACTIONS(3853),
    [anon_sym_DOT] = ACTIONS(3853),
    [anon_sym_STAR] = ACTIONS(3833),
    [anon_sym_SLASH] = ACTIONS(3833),
    [anon_sym_x] = ACTIONS(3833),
    [anon_sym_EQ_TILDE] = ACTIONS(3855),
    [anon_sym_BANG_TILDE] = ACTIONS(3855),
    [anon_sym_EQ_EQ] = ACTIONS(3857),
    [anon_sym_BANG_EQ] = ACTIONS(3859),
    [anon_sym_eq] = ACTIONS(3857),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3859),
    [anon_sym_equ] = ACTIONS(3859),
    [anon_sym_eqr] = ACTIONS(3859),
    [anon_sym_ne] = ACTIONS(3859),
    [anon_sym_LT_EQ_GT] = ACTIONS(3861),
    [anon_sym_cmp] = ACTIONS(3861),
    [anon_sym_TILDE_TILDE] = ACTIONS(3861),
    [anon_sym_LT] = ACTIONS(3835),
    [anon_sym_LT_EQ] = ACTIONS(3835),
    [anon_sym_GT_EQ] = ACTIONS(3863),
    [anon_sym_lt] = ACTIONS(3863),
    [anon_sym_le] = ACTIONS(3863),
    [anon_sym_ge] = ACTIONS(3863),
    [anon_sym_gt] = ACTIONS(3863),
    [anon_sym_isa] = ACTIONS(3865),
    [anon_sym_PLUS_PLUS] = ACTIONS(3867),
    [anon_sym_DASH_DASH] = ACTIONS(3867),
    [anon_sym_QMARK] = ACTIONS(3019),
    [anon_sym_EQ_GT] = ACTIONS(3019),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2226] = {
    [sym_heredoc_content] = STATE(2226),
    [anon_sym_SEMI] = ACTIONS(2947),
    [anon_sym_EQ] = ACTIONS(2949),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2947),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2947),
    [anon_sym_COMMA] = ACTIONS(2947),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2947),
    [anon_sym_DASH_GT] = ACTIONS(3760),
    [anon_sym_PERCENT] = ACTIONS(3762),
    [anon_sym_GT] = ACTIONS(2949),
    [anon_sym_LT_LT] = ACTIONS(3766),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2947),
    [anon_sym_PLUS_EQ] = ACTIONS(2947),
    [anon_sym_DASH_EQ] = ACTIONS(2947),
    [anon_sym_DOT_EQ] = ACTIONS(2947),
    [anon_sym_STAR_EQ] = ACTIONS(2947),
    [anon_sym_SLASH_EQ] = ACTIONS(2947),
    [anon_sym_PERCENT_EQ] = ACTIONS(2947),
    [anon_sym_x_EQ] = ACTIONS(2947),
    [anon_sym_AMP_EQ] = ACTIONS(2947),
    [anon_sym_PIPE_EQ] = ACTIONS(2947),
    [anon_sym_CARET_EQ] = ACTIONS(2947),
    [anon_sym_LT_LT_EQ] = ACTIONS(2947),
    [anon_sym_GT_GT_EQ] = ACTIONS(2947),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2947),
    [anon_sym_DOT_DOT] = ACTIONS(2949),
    [anon_sym_STAR_STAR] = ACTIONS(3770),
    [anon_sym_PIPE_PIPE] = ACTIONS(2949),
    [anon_sym_SLASH_SLASH] = ACTIONS(2949),
    [anon_sym_CARET_CARET] = ACTIONS(2947),
    [anon_sym_AMP_AMP] = ACTIONS(2949),
    [anon_sym_PIPE] = ACTIONS(2949),
    [anon_sym_CARET] = ACTIONS(2949),
    [anon_sym_AMP] = ACTIONS(2949),
    [anon_sym_GT_GT2] = ACTIONS(3766),
    [anon_sym_PLUS] = ACTIONS(3782),
    [anon_sym_DASH] = ACTIONS(3782),
    [anon_sym_DOT] = ACTIONS(3782),
    [anon_sym_STAR] = ACTIONS(3762),
    [anon_sym_SLASH] = ACTIONS(3762),
    [anon_sym_x] = ACTIONS(3762),
    [anon_sym_EQ_TILDE] = ACTIONS(3784),
    [anon_sym_BANG_TILDE] = ACTIONS(3784),
    [anon_sym_EQ_EQ] = ACTIONS(2949),
    [anon_sym_BANG_EQ] = ACTIONS(2947),
    [anon_sym_eq] = ACTIONS(2949),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2947),
    [anon_sym_equ] = ACTIONS(2947),
    [anon_sym_eqr] = ACTIONS(2947),
    [anon_sym_ne] = ACTIONS(2947),
    [anon_sym_LT_EQ_GT] = ACTIONS(2947),
    [anon_sym_cmp] = ACTIONS(2947),
    [anon_sym_TILDE_TILDE] = ACTIONS(2947),
    [anon_sym_LT] = ACTIONS(2949),
    [anon_sym_LT_EQ] = ACTIONS(2949),
    [anon_sym_GT_EQ] = ACTIONS(2947),
    [anon_sym_lt] = ACTIONS(2947),
    [anon_sym_le] = ACTIONS(2947),
    [anon_sym_ge] = ACTIONS(2947),
    [anon_sym_gt] = ACTIONS(2947),
    [anon_sym_isa] = ACTIONS(2947),
    [anon_sym_PLUS_PLUS] = ACTIONS(3796),
    [anon_sym_DASH_DASH] = ACTIONS(3796),
    [anon_sym_QMARK] = ACTIONS(2947),
    [anon_sym_EQ_GT] = ACTIONS(2947),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2947),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2227] = {
    [sym_heredoc_content] = STATE(2227),
    [anon_sym_SEMI] = ACTIONS(2825),
    [anon_sym_EQ] = ACTIONS(2827),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2825),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2825),
    [anon_sym_COMMA] = ACTIONS(2825),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2825),
    [anon_sym_DASH_GT] = ACTIONS(2825),
    [anon_sym_PERCENT] = ACTIONS(2827),
    [anon_sym_GT] = ACTIONS(2827),
    [anon_sym_LT_LT] = ACTIONS(2827),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2825),
    [anon_sym_PLUS_EQ] = ACTIONS(2825),
    [anon_sym_DASH_EQ] = ACTIONS(2825),
    [anon_sym_DOT_EQ] = ACTIONS(2825),
    [anon_sym_STAR_EQ] = ACTIONS(2825),
    [anon_sym_SLASH_EQ] = ACTIONS(2825),
    [anon_sym_PERCENT_EQ] = ACTIONS(2825),
    [anon_sym_x_EQ] = ACTIONS(2825),
    [anon_sym_AMP_EQ] = ACTIONS(2825),
    [anon_sym_PIPE_EQ] = ACTIONS(2825),
    [anon_sym_CARET_EQ] = ACTIONS(2825),
    [anon_sym_LT_LT_EQ] = ACTIONS(2825),
    [anon_sym_GT_GT_EQ] = ACTIONS(2825),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2825),
    [anon_sym_DOT_DOT] = ACTIONS(2827),
    [anon_sym_STAR_STAR] = ACTIONS(2827),
    [anon_sym_PIPE_PIPE] = ACTIONS(2827),
    [anon_sym_SLASH_SLASH] = ACTIONS(2827),
    [anon_sym_CARET_CARET] = ACTIONS(2825),
    [anon_sym_AMP_AMP] = ACTIONS(2827),
    [anon_sym_PIPE] = ACTIONS(2827),
    [anon_sym_CARET] = ACTIONS(2827),
    [anon_sym_AMP] = ACTIONS(2827),
    [anon_sym_GT_GT2] = ACTIONS(2827),
    [anon_sym_PLUS] = ACTIONS(2827),
    [anon_sym_DASH] = ACTIONS(2827),
    [anon_sym_DOT] = ACTIONS(2827),
    [anon_sym_STAR] = ACTIONS(2827),
    [anon_sym_SLASH] = ACTIONS(2827),
    [anon_sym_x] = ACTIONS(2827),
    [anon_sym_EQ_TILDE] = ACTIONS(2825),
    [anon_sym_BANG_TILDE] = ACTIONS(2825),
    [anon_sym_EQ_EQ] = ACTIONS(2827),
    [anon_sym_BANG_EQ] = ACTIONS(2825),
    [anon_sym_eq] = ACTIONS(2827),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2825),
    [anon_sym_equ] = ACTIONS(2825),
    [anon_sym_eqr] = ACTIONS(2825),
    [anon_sym_ne] = ACTIONS(2825),
    [anon_sym_LT_EQ_GT] = ACTIONS(2825),
    [anon_sym_cmp] = ACTIONS(2825),
    [anon_sym_TILDE_TILDE] = ACTIONS(2825),
    [anon_sym_LT] = ACTIONS(2827),
    [anon_sym_LT_EQ] = ACTIONS(2827),
    [anon_sym_GT_EQ] = ACTIONS(2825),
    [anon_sym_lt] = ACTIONS(2825),
    [anon_sym_le] = ACTIONS(2825),
    [anon_sym_ge] = ACTIONS(2825),
    [anon_sym_gt] = ACTIONS(2825),
    [anon_sym_isa] = ACTIONS(2825),
    [anon_sym_PLUS_PLUS] = ACTIONS(2825),
    [anon_sym_DASH_DASH] = ACTIONS(2825),
    [anon_sym_QMARK] = ACTIONS(2825),
    [anon_sym_EQ_GT] = ACTIONS(2825),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2825),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2228] = {
    [sym_heredoc_content] = STATE(2228),
    [anon_sym_SEMI] = ACTIONS(3218),
    [anon_sym_EQ] = ACTIONS(3220),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3218),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3218),
    [anon_sym_COMMA] = ACTIONS(3218),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3218),
    [anon_sym_DASH_GT] = ACTIONS(3218),
    [anon_sym_PERCENT] = ACTIONS(3220),
    [anon_sym_GT] = ACTIONS(3220),
    [anon_sym_LT_LT] = ACTIONS(3220),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3218),
    [anon_sym_PLUS_EQ] = ACTIONS(3218),
    [anon_sym_DASH_EQ] = ACTIONS(3218),
    [anon_sym_DOT_EQ] = ACTIONS(3218),
    [anon_sym_STAR_EQ] = ACTIONS(3218),
    [anon_sym_SLASH_EQ] = ACTIONS(3218),
    [anon_sym_PERCENT_EQ] = ACTIONS(3218),
    [anon_sym_x_EQ] = ACTIONS(3218),
    [anon_sym_AMP_EQ] = ACTIONS(3218),
    [anon_sym_PIPE_EQ] = ACTIONS(3218),
    [anon_sym_CARET_EQ] = ACTIONS(3218),
    [anon_sym_LT_LT_EQ] = ACTIONS(3218),
    [anon_sym_GT_GT_EQ] = ACTIONS(3218),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3218),
    [anon_sym_DOT_DOT] = ACTIONS(3220),
    [anon_sym_STAR_STAR] = ACTIONS(3220),
    [anon_sym_PIPE_PIPE] = ACTIONS(3220),
    [anon_sym_SLASH_SLASH] = ACTIONS(3220),
    [anon_sym_CARET_CARET] = ACTIONS(3218),
    [anon_sym_AMP_AMP] = ACTIONS(3220),
    [anon_sym_PIPE] = ACTIONS(3220),
    [anon_sym_CARET] = ACTIONS(3220),
    [anon_sym_AMP] = ACTIONS(3220),
    [anon_sym_GT_GT2] = ACTIONS(3220),
    [anon_sym_PLUS] = ACTIONS(3220),
    [anon_sym_DASH] = ACTIONS(3220),
    [anon_sym_DOT] = ACTIONS(3220),
    [anon_sym_STAR] = ACTIONS(3220),
    [anon_sym_SLASH] = ACTIONS(3220),
    [anon_sym_x] = ACTIONS(3220),
    [anon_sym_EQ_TILDE] = ACTIONS(3218),
    [anon_sym_BANG_TILDE] = ACTIONS(3218),
    [anon_sym_EQ_EQ] = ACTIONS(3220),
    [anon_sym_BANG_EQ] = ACTIONS(3218),
    [anon_sym_eq] = ACTIONS(3220),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3218),
    [anon_sym_equ] = ACTIONS(3218),
    [anon_sym_eqr] = ACTIONS(3218),
    [anon_sym_ne] = ACTIONS(3218),
    [anon_sym_LT_EQ_GT] = ACTIONS(3218),
    [anon_sym_cmp] = ACTIONS(3218),
    [anon_sym_TILDE_TILDE] = ACTIONS(3218),
    [anon_sym_LT] = ACTIONS(3220),
    [anon_sym_LT_EQ] = ACTIONS(3220),
    [anon_sym_GT_EQ] = ACTIONS(3218),
    [anon_sym_lt] = ACTIONS(3218),
    [anon_sym_le] = ACTIONS(3218),
    [anon_sym_ge] = ACTIONS(3218),
    [anon_sym_gt] = ACTIONS(3218),
    [anon_sym_isa] = ACTIONS(3218),
    [anon_sym_PLUS_PLUS] = ACTIONS(3218),
    [anon_sym_DASH_DASH] = ACTIONS(3218),
    [anon_sym_QMARK] = ACTIONS(3218),
    [anon_sym_EQ_GT] = ACTIONS(3218),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3218),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2229] = {
    [sym_heredoc_content] = STATE(2229),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3224),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3222),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3222),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_DASH_GT] = ACTIONS(3222),
    [anon_sym_PERCENT] = ACTIONS(3224),
    [anon_sym_GT] = ACTIONS(3224),
    [anon_sym_LT_LT] = ACTIONS(3224),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3222),
    [anon_sym_PLUS_EQ] = ACTIONS(3222),
    [anon_sym_DASH_EQ] = ACTIONS(3222),
    [anon_sym_DOT_EQ] = ACTIONS(3222),
    [anon_sym_STAR_EQ] = ACTIONS(3222),
    [anon_sym_SLASH_EQ] = ACTIONS(3222),
    [anon_sym_PERCENT_EQ] = ACTIONS(3222),
    [anon_sym_x_EQ] = ACTIONS(3222),
    [anon_sym_AMP_EQ] = ACTIONS(3222),
    [anon_sym_PIPE_EQ] = ACTIONS(3222),
    [anon_sym_CARET_EQ] = ACTIONS(3222),
    [anon_sym_LT_LT_EQ] = ACTIONS(3222),
    [anon_sym_GT_GT_EQ] = ACTIONS(3222),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3222),
    [anon_sym_DOT_DOT] = ACTIONS(3224),
    [anon_sym_STAR_STAR] = ACTIONS(3224),
    [anon_sym_PIPE_PIPE] = ACTIONS(3224),
    [anon_sym_SLASH_SLASH] = ACTIONS(3224),
    [anon_sym_CARET_CARET] = ACTIONS(3222),
    [anon_sym_AMP_AMP] = ACTIONS(3224),
    [anon_sym_PIPE] = ACTIONS(3224),
    [anon_sym_CARET] = ACTIONS(3224),
    [anon_sym_AMP] = ACTIONS(3224),
    [anon_sym_GT_GT2] = ACTIONS(3224),
    [anon_sym_PLUS] = ACTIONS(3224),
    [anon_sym_DASH] = ACTIONS(3224),
    [anon_sym_DOT] = ACTIONS(3224),
    [anon_sym_STAR] = ACTIONS(3224),
    [anon_sym_SLASH] = ACTIONS(3224),
    [anon_sym_x] = ACTIONS(3224),
    [anon_sym_EQ_TILDE] = ACTIONS(3222),
    [anon_sym_BANG_TILDE] = ACTIONS(3222),
    [anon_sym_EQ_EQ] = ACTIONS(3224),
    [anon_sym_BANG_EQ] = ACTIONS(3222),
    [anon_sym_eq] = ACTIONS(3224),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3222),
    [anon_sym_equ] = ACTIONS(3222),
    [anon_sym_eqr] = ACTIONS(3222),
    [anon_sym_ne] = ACTIONS(3222),
    [anon_sym_LT_EQ_GT] = ACTIONS(3222),
    [anon_sym_cmp] = ACTIONS(3222),
    [anon_sym_TILDE_TILDE] = ACTIONS(3222),
    [anon_sym_LT] = ACTIONS(3224),
    [anon_sym_LT_EQ] = ACTIONS(3224),
    [anon_sym_GT_EQ] = ACTIONS(3222),
    [anon_sym_lt] = ACTIONS(3222),
    [anon_sym_le] = ACTIONS(3222),
    [anon_sym_ge] = ACTIONS(3222),
    [anon_sym_gt] = ACTIONS(3222),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_PLUS_PLUS] = ACTIONS(3222),
    [anon_sym_DASH_DASH] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_EQ_GT] = ACTIONS(3222),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3222),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2230] = {
    [sym_heredoc_content] = STATE(2230),
    [anon_sym_SEMI] = ACTIONS(3067),
    [anon_sym_EQ] = ACTIONS(3069),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3067),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3067),
    [anon_sym_COMMA] = ACTIONS(3067),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3067),
    [anon_sym_DASH_GT] = ACTIONS(3760),
    [anon_sym_PERCENT] = ACTIONS(3069),
    [anon_sym_GT] = ACTIONS(3069),
    [anon_sym_LT_LT] = ACTIONS(3069),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3067),
    [anon_sym_PLUS_EQ] = ACTIONS(3067),
    [anon_sym_DASH_EQ] = ACTIONS(3067),
    [anon_sym_DOT_EQ] = ACTIONS(3067),
    [anon_sym_STAR_EQ] = ACTIONS(3067),
    [anon_sym_SLASH_EQ] = ACTIONS(3067),
    [anon_sym_PERCENT_EQ] = ACTIONS(3067),
    [anon_sym_x_EQ] = ACTIONS(3067),
    [anon_sym_AMP_EQ] = ACTIONS(3067),
    [anon_sym_PIPE_EQ] = ACTIONS(3067),
    [anon_sym_CARET_EQ] = ACTIONS(3067),
    [anon_sym_LT_LT_EQ] = ACTIONS(3067),
    [anon_sym_GT_GT_EQ] = ACTIONS(3067),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3067),
    [anon_sym_DOT_DOT] = ACTIONS(3069),
    [anon_sym_STAR_STAR] = ACTIONS(3069),
    [anon_sym_PIPE_PIPE] = ACTIONS(3069),
    [anon_sym_SLASH_SLASH] = ACTIONS(3069),
    [anon_sym_CARET_CARET] = ACTIONS(3067),
    [anon_sym_AMP_AMP] = ACTIONS(3069),
    [anon_sym_PIPE] = ACTIONS(3069),
    [anon_sym_CARET] = ACTIONS(3069),
    [anon_sym_AMP] = ACTIONS(3069),
    [anon_sym_GT_GT2] = ACTIONS(3069),
    [anon_sym_PLUS] = ACTIONS(3069),
    [anon_sym_DASH] = ACTIONS(3069),
    [anon_sym_DOT] = ACTIONS(3069),
    [anon_sym_STAR] = ACTIONS(3069),
    [anon_sym_SLASH] = ACTIONS(3069),
    [anon_sym_x] = ACTIONS(3069),
    [anon_sym_EQ_TILDE] = ACTIONS(3067),
    [anon_sym_BANG_TILDE] = ACTIONS(3067),
    [anon_sym_EQ_EQ] = ACTIONS(3069),
    [anon_sym_BANG_EQ] = ACTIONS(3067),
    [anon_sym_eq] = ACTIONS(3069),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3067),
    [anon_sym_equ] = ACTIONS(3067),
    [anon_sym_eqr] = ACTIONS(3067),
    [anon_sym_ne] = ACTIONS(3067),
    [anon_sym_LT_EQ_GT] = ACTIONS(3067),
    [anon_sym_cmp] = ACTIONS(3067),
    [anon_sym_TILDE_TILDE] = ACTIONS(3067),
    [anon_sym_LT] = ACTIONS(3069),
    [anon_sym_LT_EQ] = ACTIONS(3069),
    [anon_sym_GT_EQ] = ACTIONS(3067),
    [anon_sym_lt] = ACTIONS(3067),
    [anon_sym_le] = ACTIONS(3067),
    [anon_sym_ge] = ACTIONS(3067),
    [anon_sym_gt] = ACTIONS(3067),
    [anon_sym_isa] = ACTIONS(3067),
    [anon_sym_PLUS_PLUS] = ACTIONS(3906),
    [anon_sym_DASH_DASH] = ACTIONS(3906),
    [anon_sym_QMARK] = ACTIONS(3067),
    [anon_sym_EQ_GT] = ACTIONS(3067),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3067),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2231] = {
    [sym_heredoc_content] = STATE(2231),
    [anon_sym_SEMI] = ACTIONS(3226),
    [anon_sym_EQ] = ACTIONS(3228),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3226),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3226),
    [anon_sym_COMMA] = ACTIONS(3226),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3226),
    [anon_sym_DASH_GT] = ACTIONS(3226),
    [anon_sym_PERCENT] = ACTIONS(3228),
    [anon_sym_GT] = ACTIONS(3228),
    [anon_sym_LT_LT] = ACTIONS(3228),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3226),
    [anon_sym_PLUS_EQ] = ACTIONS(3226),
    [anon_sym_DASH_EQ] = ACTIONS(3226),
    [anon_sym_DOT_EQ] = ACTIONS(3226),
    [anon_sym_STAR_EQ] = ACTIONS(3226),
    [anon_sym_SLASH_EQ] = ACTIONS(3226),
    [anon_sym_PERCENT_EQ] = ACTIONS(3226),
    [anon_sym_x_EQ] = ACTIONS(3226),
    [anon_sym_AMP_EQ] = ACTIONS(3226),
    [anon_sym_PIPE_EQ] = ACTIONS(3226),
    [anon_sym_CARET_EQ] = ACTIONS(3226),
    [anon_sym_LT_LT_EQ] = ACTIONS(3226),
    [anon_sym_GT_GT_EQ] = ACTIONS(3226),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3226),
    [anon_sym_DOT_DOT] = ACTIONS(3228),
    [anon_sym_STAR_STAR] = ACTIONS(3228),
    [anon_sym_PIPE_PIPE] = ACTIONS(3228),
    [anon_sym_SLASH_SLASH] = ACTIONS(3228),
    [anon_sym_CARET_CARET] = ACTIONS(3226),
    [anon_sym_AMP_AMP] = ACTIONS(3228),
    [anon_sym_PIPE] = ACTIONS(3228),
    [anon_sym_CARET] = ACTIONS(3228),
    [anon_sym_AMP] = ACTIONS(3228),
    [anon_sym_GT_GT2] = ACTIONS(3228),
    [anon_sym_PLUS] = ACTIONS(3228),
    [anon_sym_DASH] = ACTIONS(3228),
    [anon_sym_DOT] = ACTIONS(3228),
    [anon_sym_STAR] = ACTIONS(3228),
    [anon_sym_SLASH] = ACTIONS(3228),
    [anon_sym_x] = ACTIONS(3228),
    [anon_sym_EQ_TILDE] = ACTIONS(3226),
    [anon_sym_BANG_TILDE] = ACTIONS(3226),
    [anon_sym_EQ_EQ] = ACTIONS(3228),
    [anon_sym_BANG_EQ] = ACTIONS(3226),
    [anon_sym_eq] = ACTIONS(3228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3226),
    [anon_sym_equ] = ACTIONS(3226),
    [anon_sym_eqr] = ACTIONS(3226),
    [anon_sym_ne] = ACTIONS(3226),
    [anon_sym_LT_EQ_GT] = ACTIONS(3226),
    [anon_sym_cmp] = ACTIONS(3226),
    [anon_sym_TILDE_TILDE] = ACTIONS(3226),
    [anon_sym_LT] = ACTIONS(3228),
    [anon_sym_LT_EQ] = ACTIONS(3228),
    [anon_sym_GT_EQ] = ACTIONS(3226),
    [anon_sym_lt] = ACTIONS(3226),
    [anon_sym_le] = ACTIONS(3226),
    [anon_sym_ge] = ACTIONS(3226),
    [anon_sym_gt] = ACTIONS(3226),
    [anon_sym_isa] = ACTIONS(3226),
    [anon_sym_PLUS_PLUS] = ACTIONS(3226),
    [anon_sym_DASH_DASH] = ACTIONS(3226),
    [anon_sym_QMARK] = ACTIONS(3226),
    [anon_sym_EQ_GT] = ACTIONS(3226),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3226),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2232] = {
    [sym_heredoc_content] = STATE(2232),
    [anon_sym_SEMI] = ACTIONS(3230),
    [anon_sym_EQ] = ACTIONS(3232),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3230),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3230),
    [anon_sym_COMMA] = ACTIONS(3230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3230),
    [anon_sym_DASH_GT] = ACTIONS(3230),
    [anon_sym_PERCENT] = ACTIONS(3232),
    [anon_sym_GT] = ACTIONS(3232),
    [anon_sym_LT_LT] = ACTIONS(3232),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3230),
    [anon_sym_PLUS_EQ] = ACTIONS(3230),
    [anon_sym_DASH_EQ] = ACTIONS(3230),
    [anon_sym_DOT_EQ] = ACTIONS(3230),
    [anon_sym_STAR_EQ] = ACTIONS(3230),
    [anon_sym_SLASH_EQ] = ACTIONS(3230),
    [anon_sym_PERCENT_EQ] = ACTIONS(3230),
    [anon_sym_x_EQ] = ACTIONS(3230),
    [anon_sym_AMP_EQ] = ACTIONS(3230),
    [anon_sym_PIPE_EQ] = ACTIONS(3230),
    [anon_sym_CARET_EQ] = ACTIONS(3230),
    [anon_sym_LT_LT_EQ] = ACTIONS(3230),
    [anon_sym_GT_GT_EQ] = ACTIONS(3230),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3230),
    [anon_sym_DOT_DOT] = ACTIONS(3232),
    [anon_sym_STAR_STAR] = ACTIONS(3232),
    [anon_sym_PIPE_PIPE] = ACTIONS(3232),
    [anon_sym_SLASH_SLASH] = ACTIONS(3232),
    [anon_sym_CARET_CARET] = ACTIONS(3230),
    [anon_sym_AMP_AMP] = ACTIONS(3232),
    [anon_sym_PIPE] = ACTIONS(3232),
    [anon_sym_CARET] = ACTIONS(3232),
    [anon_sym_AMP] = ACTIONS(3232),
    [anon_sym_GT_GT2] = ACTIONS(3232),
    [anon_sym_PLUS] = ACTIONS(3232),
    [anon_sym_DASH] = ACTIONS(3232),
    [anon_sym_DOT] = ACTIONS(3232),
    [anon_sym_STAR] = ACTIONS(3232),
    [anon_sym_SLASH] = ACTIONS(3232),
    [anon_sym_x] = ACTIONS(3232),
    [anon_sym_EQ_TILDE] = ACTIONS(3230),
    [anon_sym_BANG_TILDE] = ACTIONS(3230),
    [anon_sym_EQ_EQ] = ACTIONS(3232),
    [anon_sym_BANG_EQ] = ACTIONS(3230),
    [anon_sym_eq] = ACTIONS(3232),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3230),
    [anon_sym_equ] = ACTIONS(3230),
    [anon_sym_eqr] = ACTIONS(3230),
    [anon_sym_ne] = ACTIONS(3230),
    [anon_sym_LT_EQ_GT] = ACTIONS(3230),
    [anon_sym_cmp] = ACTIONS(3230),
    [anon_sym_TILDE_TILDE] = ACTIONS(3230),
    [anon_sym_LT] = ACTIONS(3232),
    [anon_sym_LT_EQ] = ACTIONS(3232),
    [anon_sym_GT_EQ] = ACTIONS(3230),
    [anon_sym_lt] = ACTIONS(3230),
    [anon_sym_le] = ACTIONS(3230),
    [anon_sym_ge] = ACTIONS(3230),
    [anon_sym_gt] = ACTIONS(3230),
    [anon_sym_isa] = ACTIONS(3230),
    [anon_sym_PLUS_PLUS] = ACTIONS(3230),
    [anon_sym_DASH_DASH] = ACTIONS(3230),
    [anon_sym_QMARK] = ACTIONS(3230),
    [anon_sym_EQ_GT] = ACTIONS(3230),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3230),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2233] = {
    [sym_heredoc_content] = STATE(2233),
    [anon_sym_SEMI] = ACTIONS(3234),
    [anon_sym_EQ] = ACTIONS(3236),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3234),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3234),
    [anon_sym_COMMA] = ACTIONS(3234),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3234),
    [anon_sym_DASH_GT] = ACTIONS(3234),
    [anon_sym_PERCENT] = ACTIONS(3236),
    [anon_sym_GT] = ACTIONS(3236),
    [anon_sym_LT_LT] = ACTIONS(3236),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3234),
    [anon_sym_PLUS_EQ] = ACTIONS(3234),
    [anon_sym_DASH_EQ] = ACTIONS(3234),
    [anon_sym_DOT_EQ] = ACTIONS(3234),
    [anon_sym_STAR_EQ] = ACTIONS(3234),
    [anon_sym_SLASH_EQ] = ACTIONS(3234),
    [anon_sym_PERCENT_EQ] = ACTIONS(3234),
    [anon_sym_x_EQ] = ACTIONS(3234),
    [anon_sym_AMP_EQ] = ACTIONS(3234),
    [anon_sym_PIPE_EQ] = ACTIONS(3234),
    [anon_sym_CARET_EQ] = ACTIONS(3234),
    [anon_sym_LT_LT_EQ] = ACTIONS(3234),
    [anon_sym_GT_GT_EQ] = ACTIONS(3234),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3234),
    [anon_sym_DOT_DOT] = ACTIONS(3236),
    [anon_sym_STAR_STAR] = ACTIONS(3236),
    [anon_sym_PIPE_PIPE] = ACTIONS(3236),
    [anon_sym_SLASH_SLASH] = ACTIONS(3236),
    [anon_sym_CARET_CARET] = ACTIONS(3234),
    [anon_sym_AMP_AMP] = ACTIONS(3236),
    [anon_sym_PIPE] = ACTIONS(3236),
    [anon_sym_CARET] = ACTIONS(3236),
    [anon_sym_AMP] = ACTIONS(3236),
    [anon_sym_GT_GT2] = ACTIONS(3236),
    [anon_sym_PLUS] = ACTIONS(3236),
    [anon_sym_DASH] = ACTIONS(3236),
    [anon_sym_DOT] = ACTIONS(3236),
    [anon_sym_STAR] = ACTIONS(3236),
    [anon_sym_SLASH] = ACTIONS(3236),
    [anon_sym_x] = ACTIONS(3236),
    [anon_sym_EQ_TILDE] = ACTIONS(3234),
    [anon_sym_BANG_TILDE] = ACTIONS(3234),
    [anon_sym_EQ_EQ] = ACTIONS(3236),
    [anon_sym_BANG_EQ] = ACTIONS(3234),
    [anon_sym_eq] = ACTIONS(3236),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3234),
    [anon_sym_equ] = ACTIONS(3234),
    [anon_sym_eqr] = ACTIONS(3234),
    [anon_sym_ne] = ACTIONS(3234),
    [anon_sym_LT_EQ_GT] = ACTIONS(3234),
    [anon_sym_cmp] = ACTIONS(3234),
    [anon_sym_TILDE_TILDE] = ACTIONS(3234),
    [anon_sym_LT] = ACTIONS(3236),
    [anon_sym_LT_EQ] = ACTIONS(3236),
    [anon_sym_GT_EQ] = ACTIONS(3234),
    [anon_sym_lt] = ACTIONS(3234),
    [anon_sym_le] = ACTIONS(3234),
    [anon_sym_ge] = ACTIONS(3234),
    [anon_sym_gt] = ACTIONS(3234),
    [anon_sym_isa] = ACTIONS(3234),
    [anon_sym_PLUS_PLUS] = ACTIONS(3234),
    [anon_sym_DASH_DASH] = ACTIONS(3234),
    [anon_sym_QMARK] = ACTIONS(3234),
    [anon_sym_EQ_GT] = ACTIONS(3234),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3234),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2234] = {
    [sym_heredoc_content] = STATE(2234),
    [anon_sym_SEMI] = ACTIONS(3238),
    [anon_sym_EQ] = ACTIONS(3240),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3238),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3238),
    [anon_sym_COMMA] = ACTIONS(3238),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3238),
    [anon_sym_DASH_GT] = ACTIONS(3238),
    [anon_sym_PERCENT] = ACTIONS(3240),
    [anon_sym_GT] = ACTIONS(3240),
    [anon_sym_LT_LT] = ACTIONS(3240),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3238),
    [anon_sym_PLUS_EQ] = ACTIONS(3238),
    [anon_sym_DASH_EQ] = ACTIONS(3238),
    [anon_sym_DOT_EQ] = ACTIONS(3238),
    [anon_sym_STAR_EQ] = ACTIONS(3238),
    [anon_sym_SLASH_EQ] = ACTIONS(3238),
    [anon_sym_PERCENT_EQ] = ACTIONS(3238),
    [anon_sym_x_EQ] = ACTIONS(3238),
    [anon_sym_AMP_EQ] = ACTIONS(3238),
    [anon_sym_PIPE_EQ] = ACTIONS(3238),
    [anon_sym_CARET_EQ] = ACTIONS(3238),
    [anon_sym_LT_LT_EQ] = ACTIONS(3238),
    [anon_sym_GT_GT_EQ] = ACTIONS(3238),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3238),
    [anon_sym_DOT_DOT] = ACTIONS(3240),
    [anon_sym_STAR_STAR] = ACTIONS(3240),
    [anon_sym_PIPE_PIPE] = ACTIONS(3240),
    [anon_sym_SLASH_SLASH] = ACTIONS(3240),
    [anon_sym_CARET_CARET] = ACTIONS(3238),
    [anon_sym_AMP_AMP] = ACTIONS(3240),
    [anon_sym_PIPE] = ACTIONS(3240),
    [anon_sym_CARET] = ACTIONS(3240),
    [anon_sym_AMP] = ACTIONS(3240),
    [anon_sym_GT_GT2] = ACTIONS(3240),
    [anon_sym_PLUS] = ACTIONS(3240),
    [anon_sym_DASH] = ACTIONS(3240),
    [anon_sym_DOT] = ACTIONS(3240),
    [anon_sym_STAR] = ACTIONS(3240),
    [anon_sym_SLASH] = ACTIONS(3240),
    [anon_sym_x] = ACTIONS(3240),
    [anon_sym_EQ_TILDE] = ACTIONS(3238),
    [anon_sym_BANG_TILDE] = ACTIONS(3238),
    [anon_sym_EQ_EQ] = ACTIONS(3240),
    [anon_sym_BANG_EQ] = ACTIONS(3238),
    [anon_sym_eq] = ACTIONS(3240),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3238),
    [anon_sym_equ] = ACTIONS(3238),
    [anon_sym_eqr] = ACTIONS(3238),
    [anon_sym_ne] = ACTIONS(3238),
    [anon_sym_LT_EQ_GT] = ACTIONS(3238),
    [anon_sym_cmp] = ACTIONS(3238),
    [anon_sym_TILDE_TILDE] = ACTIONS(3238),
    [anon_sym_LT] = ACTIONS(3240),
    [anon_sym_LT_EQ] = ACTIONS(3240),
    [anon_sym_GT_EQ] = ACTIONS(3238),
    [anon_sym_lt] = ACTIONS(3238),
    [anon_sym_le] = ACTIONS(3238),
    [anon_sym_ge] = ACTIONS(3238),
    [anon_sym_gt] = ACTIONS(3238),
    [anon_sym_isa] = ACTIONS(3238),
    [anon_sym_PLUS_PLUS] = ACTIONS(3238),
    [anon_sym_DASH_DASH] = ACTIONS(3238),
    [anon_sym_QMARK] = ACTIONS(3238),
    [anon_sym_EQ_GT] = ACTIONS(3238),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3238),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2235] = {
    [sym_heredoc_content] = STATE(2235),
    [anon_sym_SEMI] = ACTIONS(1970),
    [anon_sym_EQ] = ACTIONS(1966),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1970),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1970),
    [anon_sym_COMMA] = ACTIONS(1970),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1970),
    [anon_sym_DASH_GT] = ACTIONS(1970),
    [anon_sym_PERCENT] = ACTIONS(1966),
    [anon_sym_GT] = ACTIONS(1966),
    [anon_sym_LT_LT] = ACTIONS(1966),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1970),
    [anon_sym_PLUS_EQ] = ACTIONS(1970),
    [anon_sym_DASH_EQ] = ACTIONS(1970),
    [anon_sym_DOT_EQ] = ACTIONS(1970),
    [anon_sym_STAR_EQ] = ACTIONS(1970),
    [anon_sym_SLASH_EQ] = ACTIONS(1970),
    [anon_sym_PERCENT_EQ] = ACTIONS(1970),
    [anon_sym_x_EQ] = ACTIONS(1970),
    [anon_sym_AMP_EQ] = ACTIONS(1970),
    [anon_sym_PIPE_EQ] = ACTIONS(1970),
    [anon_sym_CARET_EQ] = ACTIONS(1970),
    [anon_sym_LT_LT_EQ] = ACTIONS(1970),
    [anon_sym_GT_GT_EQ] = ACTIONS(1970),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1970),
    [anon_sym_DOT_DOT] = ACTIONS(1966),
    [anon_sym_STAR_STAR] = ACTIONS(1966),
    [anon_sym_PIPE_PIPE] = ACTIONS(1966),
    [anon_sym_SLASH_SLASH] = ACTIONS(1966),
    [anon_sym_CARET_CARET] = ACTIONS(1970),
    [anon_sym_AMP_AMP] = ACTIONS(1966),
    [anon_sym_PIPE] = ACTIONS(1966),
    [anon_sym_CARET] = ACTIONS(1966),
    [anon_sym_AMP] = ACTIONS(1966),
    [anon_sym_GT_GT2] = ACTIONS(1966),
    [anon_sym_PLUS] = ACTIONS(1966),
    [anon_sym_DASH] = ACTIONS(1966),
    [anon_sym_DOT] = ACTIONS(1966),
    [anon_sym_STAR] = ACTIONS(1966),
    [anon_sym_SLASH] = ACTIONS(1966),
    [anon_sym_x] = ACTIONS(1966),
    [anon_sym_EQ_TILDE] = ACTIONS(1970),
    [anon_sym_BANG_TILDE] = ACTIONS(1970),
    [anon_sym_EQ_EQ] = ACTIONS(1966),
    [anon_sym_BANG_EQ] = ACTIONS(1970),
    [anon_sym_eq] = ACTIONS(1966),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1970),
    [anon_sym_equ] = ACTIONS(1970),
    [anon_sym_eqr] = ACTIONS(1970),
    [anon_sym_ne] = ACTIONS(1970),
    [anon_sym_LT_EQ_GT] = ACTIONS(1970),
    [anon_sym_cmp] = ACTIONS(1970),
    [anon_sym_TILDE_TILDE] = ACTIONS(1970),
    [anon_sym_LT] = ACTIONS(1966),
    [anon_sym_LT_EQ] = ACTIONS(1966),
    [anon_sym_GT_EQ] = ACTIONS(1970),
    [anon_sym_lt] = ACTIONS(1970),
    [anon_sym_le] = ACTIONS(1970),
    [anon_sym_ge] = ACTIONS(1970),
    [anon_sym_gt] = ACTIONS(1970),
    [anon_sym_isa] = ACTIONS(1970),
    [anon_sym_PLUS_PLUS] = ACTIONS(1970),
    [anon_sym_DASH_DASH] = ACTIONS(1970),
    [anon_sym_QMARK] = ACTIONS(1970),
    [anon_sym_EQ_GT] = ACTIONS(1970),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(1970),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2236] = {
    [sym_heredoc_content] = STATE(2236),
    [anon_sym_SEMI] = ACTIONS(3003),
    [anon_sym_EQ] = ACTIONS(3005),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3003),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3003),
    [anon_sym_COMMA] = ACTIONS(3003),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3003),
    [anon_sym_DASH_GT] = ACTIONS(3003),
    [anon_sym_PERCENT] = ACTIONS(3005),
    [anon_sym_GT] = ACTIONS(3005),
    [anon_sym_LT_LT] = ACTIONS(3005),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3003),
    [anon_sym_PLUS_EQ] = ACTIONS(3003),
    [anon_sym_DASH_EQ] = ACTIONS(3003),
    [anon_sym_DOT_EQ] = ACTIONS(3003),
    [anon_sym_STAR_EQ] = ACTIONS(3003),
    [anon_sym_SLASH_EQ] = ACTIONS(3003),
    [anon_sym_PERCENT_EQ] = ACTIONS(3003),
    [anon_sym_x_EQ] = ACTIONS(3003),
    [anon_sym_AMP_EQ] = ACTIONS(3003),
    [anon_sym_PIPE_EQ] = ACTIONS(3003),
    [anon_sym_CARET_EQ] = ACTIONS(3003),
    [anon_sym_LT_LT_EQ] = ACTIONS(3003),
    [anon_sym_GT_GT_EQ] = ACTIONS(3003),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3003),
    [anon_sym_DOT_DOT] = ACTIONS(3005),
    [anon_sym_STAR_STAR] = ACTIONS(3005),
    [anon_sym_PIPE_PIPE] = ACTIONS(3005),
    [anon_sym_SLASH_SLASH] = ACTIONS(3005),
    [anon_sym_CARET_CARET] = ACTIONS(3003),
    [anon_sym_AMP_AMP] = ACTIONS(3005),
    [anon_sym_PIPE] = ACTIONS(3005),
    [anon_sym_CARET] = ACTIONS(3005),
    [anon_sym_AMP] = ACTIONS(3005),
    [anon_sym_GT_GT2] = ACTIONS(3005),
    [anon_sym_PLUS] = ACTIONS(3005),
    [anon_sym_DASH] = ACTIONS(3005),
    [anon_sym_DOT] = ACTIONS(3005),
    [anon_sym_STAR] = ACTIONS(3005),
    [anon_sym_SLASH] = ACTIONS(3005),
    [anon_sym_x] = ACTIONS(3005),
    [anon_sym_EQ_TILDE] = ACTIONS(3003),
    [anon_sym_BANG_TILDE] = ACTIONS(3003),
    [anon_sym_EQ_EQ] = ACTIONS(3005),
    [anon_sym_BANG_EQ] = ACTIONS(3003),
    [anon_sym_eq] = ACTIONS(3005),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3003),
    [anon_sym_equ] = ACTIONS(3003),
    [anon_sym_eqr] = ACTIONS(3003),
    [anon_sym_ne] = ACTIONS(3003),
    [anon_sym_LT_EQ_GT] = ACTIONS(3003),
    [anon_sym_cmp] = ACTIONS(3003),
    [anon_sym_TILDE_TILDE] = ACTIONS(3003),
    [anon_sym_LT] = ACTIONS(3005),
    [anon_sym_LT_EQ] = ACTIONS(3005),
    [anon_sym_GT_EQ] = ACTIONS(3003),
    [anon_sym_lt] = ACTIONS(3003),
    [anon_sym_le] = ACTIONS(3003),
    [anon_sym_ge] = ACTIONS(3003),
    [anon_sym_gt] = ACTIONS(3003),
    [anon_sym_isa] = ACTIONS(3003),
    [anon_sym_PLUS_PLUS] = ACTIONS(3003),
    [anon_sym_DASH_DASH] = ACTIONS(3003),
    [anon_sym_QMARK] = ACTIONS(3003),
    [anon_sym_EQ_GT] = ACTIONS(3003),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3003),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2237] = {
    [sym_heredoc_content] = STATE(2237),
    [anon_sym_RBRACE] = ACTIONS(3019),
    [anon_sym_EQ] = ACTIONS(3021),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_COMMA] = ACTIONS(3019),
    [anon_sym_RPAREN] = ACTIONS(3019),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3019),
    [anon_sym_DASH_GT] = ACTIONS(3831),
    [anon_sym_PERCENT] = ACTIONS(3021),
    [anon_sym_GT] = ACTIONS(3021),
    [anon_sym_LT_LT] = ACTIONS(3021),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3019),
    [anon_sym_PLUS_EQ] = ACTIONS(3019),
    [anon_sym_DASH_EQ] = ACTIONS(3019),
    [anon_sym_DOT_EQ] = ACTIONS(3019),
    [anon_sym_STAR_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_PERCENT_EQ] = ACTIONS(3019),
    [anon_sym_x_EQ] = ACTIONS(3019),
    [anon_sym_AMP_EQ] = ACTIONS(3019),
    [anon_sym_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_CARET_EQ] = ACTIONS(3019),
    [anon_sym_LT_LT_EQ] = ACTIONS(3019),
    [anon_sym_GT_GT_EQ] = ACTIONS(3019),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3019),
    [anon_sym_DOT_DOT] = ACTIONS(3021),
    [anon_sym_STAR_STAR] = ACTIONS(3841),
    [anon_sym_PIPE_PIPE] = ACTIONS(3021),
    [anon_sym_SLASH_SLASH] = ACTIONS(3021),
    [anon_sym_CARET_CARET] = ACTIONS(3019),
    [anon_sym_AMP_AMP] = ACTIONS(3021),
    [anon_sym_PIPE] = ACTIONS(3021),
    [anon_sym_CARET] = ACTIONS(3021),
    [anon_sym_AMP] = ACTIONS(3021),
    [anon_sym_GT_GT2] = ACTIONS(3021),
    [anon_sym_PLUS] = ACTIONS(3021),
    [anon_sym_DASH] = ACTIONS(3021),
    [anon_sym_DOT] = ACTIONS(3021),
    [anon_sym_STAR] = ACTIONS(3021),
    [anon_sym_SLASH] = ACTIONS(3021),
    [anon_sym_x] = ACTIONS(3021),
    [anon_sym_EQ_TILDE] = ACTIONS(3019),
    [anon_sym_BANG_TILDE] = ACTIONS(3019),
    [anon_sym_EQ_EQ] = ACTIONS(3021),
    [anon_sym_BANG_EQ] = ACTIONS(3019),
    [anon_sym_eq] = ACTIONS(3021),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3019),
    [anon_sym_equ] = ACTIONS(3019),
    [anon_sym_eqr] = ACTIONS(3019),
    [anon_sym_ne] = ACTIONS(3019),
    [anon_sym_LT_EQ_GT] = ACTIONS(3019),
    [anon_sym_cmp] = ACTIONS(3019),
    [anon_sym_TILDE_TILDE] = ACTIONS(3019),
    [anon_sym_LT] = ACTIONS(3021),
    [anon_sym_LT_EQ] = ACTIONS(3021),
    [anon_sym_GT_EQ] = ACTIONS(3019),
    [anon_sym_lt] = ACTIONS(3019),
    [anon_sym_le] = ACTIONS(3019),
    [anon_sym_ge] = ACTIONS(3019),
    [anon_sym_gt] = ACTIONS(3019),
    [anon_sym_isa] = ACTIONS(3019),
    [anon_sym_PLUS_PLUS] = ACTIONS(3867),
    [anon_sym_DASH_DASH] = ACTIONS(3867),
    [anon_sym_QMARK] = ACTIONS(3019),
    [anon_sym_EQ_GT] = ACTIONS(3019),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2238] = {
    [sym_heredoc_content] = STATE(2238),
    [anon_sym_SEMI] = ACTIONS(3246),
    [anon_sym_EQ] = ACTIONS(3248),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3246),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3246),
    [anon_sym_COMMA] = ACTIONS(3246),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3246),
    [anon_sym_DASH_GT] = ACTIONS(3246),
    [anon_sym_PERCENT] = ACTIONS(3248),
    [anon_sym_GT] = ACTIONS(3248),
    [anon_sym_LT_LT] = ACTIONS(3248),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3246),
    [anon_sym_PLUS_EQ] = ACTIONS(3246),
    [anon_sym_DASH_EQ] = ACTIONS(3246),
    [anon_sym_DOT_EQ] = ACTIONS(3246),
    [anon_sym_STAR_EQ] = ACTIONS(3246),
    [anon_sym_SLASH_EQ] = ACTIONS(3246),
    [anon_sym_PERCENT_EQ] = ACTIONS(3246),
    [anon_sym_x_EQ] = ACTIONS(3246),
    [anon_sym_AMP_EQ] = ACTIONS(3246),
    [anon_sym_PIPE_EQ] = ACTIONS(3246),
    [anon_sym_CARET_EQ] = ACTIONS(3246),
    [anon_sym_LT_LT_EQ] = ACTIONS(3246),
    [anon_sym_GT_GT_EQ] = ACTIONS(3246),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3246),
    [anon_sym_DOT_DOT] = ACTIONS(3248),
    [anon_sym_STAR_STAR] = ACTIONS(3248),
    [anon_sym_PIPE_PIPE] = ACTIONS(3248),
    [anon_sym_SLASH_SLASH] = ACTIONS(3248),
    [anon_sym_CARET_CARET] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(3248),
    [anon_sym_PIPE] = ACTIONS(3248),
    [anon_sym_CARET] = ACTIONS(3248),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym_GT_GT2] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_DOT] = ACTIONS(3248),
    [anon_sym_STAR] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_x] = ACTIONS(3248),
    [anon_sym_EQ_TILDE] = ACTIONS(3246),
    [anon_sym_BANG_TILDE] = ACTIONS(3246),
    [anon_sym_EQ_EQ] = ACTIONS(3248),
    [anon_sym_BANG_EQ] = ACTIONS(3246),
    [anon_sym_eq] = ACTIONS(3248),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3246),
    [anon_sym_equ] = ACTIONS(3246),
    [anon_sym_eqr] = ACTIONS(3246),
    [anon_sym_ne] = ACTIONS(3246),
    [anon_sym_LT_EQ_GT] = ACTIONS(3246),
    [anon_sym_cmp] = ACTIONS(3246),
    [anon_sym_TILDE_TILDE] = ACTIONS(3246),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_LT_EQ] = ACTIONS(3248),
    [anon_sym_GT_EQ] = ACTIONS(3246),
    [anon_sym_lt] = ACTIONS(3246),
    [anon_sym_le] = ACTIONS(3246),
    [anon_sym_ge] = ACTIONS(3246),
    [anon_sym_gt] = ACTIONS(3246),
    [anon_sym_isa] = ACTIONS(3246),
    [anon_sym_PLUS_PLUS] = ACTIONS(3246),
    [anon_sym_DASH_DASH] = ACTIONS(3246),
    [anon_sym_QMARK] = ACTIONS(3246),
    [anon_sym_EQ_GT] = ACTIONS(3246),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3246),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2239] = {
    [sym_heredoc_content] = STATE(2239),
    [anon_sym_SEMI] = ACTIONS(2829),
    [anon_sym_EQ] = ACTIONS(3754),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3756),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3756),
    [anon_sym_COMMA] = ACTIONS(2829),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3758),
    [anon_sym_DASH_GT] = ACTIONS(3760),
    [anon_sym_PERCENT] = ACTIONS(3762),
    [anon_sym_GT] = ACTIONS(3764),
    [anon_sym_LT_LT] = ACTIONS(3766),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3756),
    [anon_sym_PLUS_EQ] = ACTIONS(3756),
    [anon_sym_DASH_EQ] = ACTIONS(3756),
    [anon_sym_DOT_EQ] = ACTIONS(3756),
    [anon_sym_STAR_EQ] = ACTIONS(3756),
    [anon_sym_SLASH_EQ] = ACTIONS(3756),
    [anon_sym_PERCENT_EQ] = ACTIONS(3756),
    [anon_sym_x_EQ] = ACTIONS(3756),
    [anon_sym_AMP_EQ] = ACTIONS(3756),
    [anon_sym_PIPE_EQ] = ACTIONS(3756),
    [anon_sym_CARET_EQ] = ACTIONS(3756),
    [anon_sym_LT_LT_EQ] = ACTIONS(3756),
    [anon_sym_GT_GT_EQ] = ACTIONS(3756),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3756),
    [anon_sym_DOT_DOT] = ACTIONS(3768),
    [anon_sym_STAR_STAR] = ACTIONS(3770),
    [anon_sym_PIPE_PIPE] = ACTIONS(3772),
    [anon_sym_SLASH_SLASH] = ACTIONS(3772),
    [anon_sym_CARET_CARET] = ACTIONS(3774),
    [anon_sym_AMP_AMP] = ACTIONS(3776),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3780),
    [anon_sym_GT_GT2] = ACTIONS(3766),
    [anon_sym_PLUS] = ACTIONS(3782),
    [anon_sym_DASH] = ACTIONS(3782),
    [anon_sym_DOT] = ACTIONS(3782),
    [anon_sym_STAR] = ACTIONS(3762),
    [anon_sym_SLASH] = ACTIONS(3762),
    [anon_sym_x] = ACTIONS(3762),
    [anon_sym_EQ_TILDE] = ACTIONS(3784),
    [anon_sym_BANG_TILDE] = ACTIONS(3784),
    [anon_sym_EQ_EQ] = ACTIONS(3786),
    [anon_sym_BANG_EQ] = ACTIONS(3788),
    [anon_sym_eq] = ACTIONS(3786),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3788),
    [anon_sym_equ] = ACTIONS(3788),
    [anon_sym_eqr] = ACTIONS(3788),
    [anon_sym_ne] = ACTIONS(3788),
    [anon_sym_LT_EQ_GT] = ACTIONS(3790),
    [anon_sym_cmp] = ACTIONS(3790),
    [anon_sym_TILDE_TILDE] = ACTIONS(3790),
    [anon_sym_LT] = ACTIONS(3764),
    [anon_sym_LT_EQ] = ACTIONS(3764),
    [anon_sym_GT_EQ] = ACTIONS(3792),
    [anon_sym_lt] = ACTIONS(3792),
    [anon_sym_le] = ACTIONS(3792),
    [anon_sym_ge] = ACTIONS(3792),
    [anon_sym_gt] = ACTIONS(3792),
    [anon_sym_isa] = ACTIONS(3794),
    [anon_sym_PLUS_PLUS] = ACTIONS(3796),
    [anon_sym_DASH_DASH] = ACTIONS(3796),
    [anon_sym_QMARK] = ACTIONS(3798),
    [anon_sym_EQ_GT] = ACTIONS(2829),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2829),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2240] = {
    [sym_heredoc_content] = STATE(2240),
    [anon_sym_SEMI] = ACTIONS(2833),
    [anon_sym_EQ] = ACTIONS(2835),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_COMMA] = ACTIONS(2833),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2833),
    [anon_sym_DASH_GT] = ACTIONS(2833),
    [anon_sym_PERCENT] = ACTIONS(2835),
    [anon_sym_GT] = ACTIONS(2835),
    [anon_sym_LT_LT] = ACTIONS(2835),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2833),
    [anon_sym_PLUS_EQ] = ACTIONS(2833),
    [anon_sym_DASH_EQ] = ACTIONS(2833),
    [anon_sym_DOT_EQ] = ACTIONS(2833),
    [anon_sym_STAR_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_PERCENT_EQ] = ACTIONS(2833),
    [anon_sym_x_EQ] = ACTIONS(2833),
    [anon_sym_AMP_EQ] = ACTIONS(2833),
    [anon_sym_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_CARET_EQ] = ACTIONS(2833),
    [anon_sym_LT_LT_EQ] = ACTIONS(2833),
    [anon_sym_GT_GT_EQ] = ACTIONS(2833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2833),
    [anon_sym_DOT_DOT] = ACTIONS(2835),
    [anon_sym_STAR_STAR] = ACTIONS(2835),
    [anon_sym_PIPE_PIPE] = ACTIONS(2835),
    [anon_sym_SLASH_SLASH] = ACTIONS(2835),
    [anon_sym_CARET_CARET] = ACTIONS(2833),
    [anon_sym_AMP_AMP] = ACTIONS(2835),
    [anon_sym_PIPE] = ACTIONS(2835),
    [anon_sym_CARET] = ACTIONS(2835),
    [anon_sym_AMP] = ACTIONS(2835),
    [anon_sym_GT_GT2] = ACTIONS(2835),
    [anon_sym_PLUS] = ACTIONS(2835),
    [anon_sym_DASH] = ACTIONS(2835),
    [anon_sym_DOT] = ACTIONS(2835),
    [anon_sym_STAR] = ACTIONS(2835),
    [anon_sym_SLASH] = ACTIONS(2835),
    [anon_sym_x] = ACTIONS(2835),
    [anon_sym_EQ_TILDE] = ACTIONS(2833),
    [anon_sym_BANG_TILDE] = ACTIONS(2833),
    [anon_sym_EQ_EQ] = ACTIONS(2835),
    [anon_sym_BANG_EQ] = ACTIONS(2833),
    [anon_sym_eq] = ACTIONS(2835),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2833),
    [anon_sym_equ] = ACTIONS(2833),
    [anon_sym_eqr] = ACTIONS(2833),
    [anon_sym_ne] = ACTIONS(2833),
    [anon_sym_LT_EQ_GT] = ACTIONS(2833),
    [anon_sym_cmp] = ACTIONS(2833),
    [anon_sym_TILDE_TILDE] = ACTIONS(2833),
    [anon_sym_LT] = ACTIONS(2835),
    [anon_sym_LT_EQ] = ACTIONS(2835),
    [anon_sym_GT_EQ] = ACTIONS(2833),
    [anon_sym_lt] = ACTIONS(2833),
    [anon_sym_le] = ACTIONS(2833),
    [anon_sym_ge] = ACTIONS(2833),
    [anon_sym_gt] = ACTIONS(2833),
    [anon_sym_isa] = ACTIONS(2833),
    [anon_sym_PLUS_PLUS] = ACTIONS(2833),
    [anon_sym_DASH_DASH] = ACTIONS(2833),
    [anon_sym_QMARK] = ACTIONS(2833),
    [anon_sym_EQ_GT] = ACTIONS(2833),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2833),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2241] = {
    [sym_heredoc_content] = STATE(2241),
    [anon_sym_SEMI] = ACTIONS(2660),
    [anon_sym_EQ] = ACTIONS(2662),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2660),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2660),
    [anon_sym_COMMA] = ACTIONS(2660),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2660),
    [anon_sym_DASH_GT] = ACTIONS(3760),
    [anon_sym_PERCENT] = ACTIONS(2662),
    [anon_sym_GT] = ACTIONS(2662),
    [anon_sym_LT_LT] = ACTIONS(2662),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2660),
    [anon_sym_PLUS_EQ] = ACTIONS(2660),
    [anon_sym_DASH_EQ] = ACTIONS(2660),
    [anon_sym_DOT_EQ] = ACTIONS(2660),
    [anon_sym_STAR_EQ] = ACTIONS(2660),
    [anon_sym_SLASH_EQ] = ACTIONS(2660),
    [anon_sym_PERCENT_EQ] = ACTIONS(2660),
    [anon_sym_x_EQ] = ACTIONS(2660),
    [anon_sym_AMP_EQ] = ACTIONS(2660),
    [anon_sym_PIPE_EQ] = ACTIONS(2660),
    [anon_sym_CARET_EQ] = ACTIONS(2660),
    [anon_sym_LT_LT_EQ] = ACTIONS(2660),
    [anon_sym_GT_GT_EQ] = ACTIONS(2660),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2660),
    [anon_sym_DOT_DOT] = ACTIONS(2662),
    [anon_sym_STAR_STAR] = ACTIONS(3770),
    [anon_sym_PIPE_PIPE] = ACTIONS(2662),
    [anon_sym_SLASH_SLASH] = ACTIONS(2662),
    [anon_sym_CARET_CARET] = ACTIONS(2660),
    [anon_sym_AMP_AMP] = ACTIONS(2662),
    [anon_sym_PIPE] = ACTIONS(2662),
    [anon_sym_CARET] = ACTIONS(2662),
    [anon_sym_AMP] = ACTIONS(2662),
    [anon_sym_GT_GT2] = ACTIONS(2662),
    [anon_sym_PLUS] = ACTIONS(2662),
    [anon_sym_DASH] = ACTIONS(2662),
    [anon_sym_DOT] = ACTIONS(2662),
    [anon_sym_STAR] = ACTIONS(2662),
    [anon_sym_SLASH] = ACTIONS(2662),
    [anon_sym_x] = ACTIONS(2662),
    [anon_sym_EQ_TILDE] = ACTIONS(2660),
    [anon_sym_BANG_TILDE] = ACTIONS(2660),
    [anon_sym_EQ_EQ] = ACTIONS(2662),
    [anon_sym_BANG_EQ] = ACTIONS(2660),
    [anon_sym_eq] = ACTIONS(2662),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2660),
    [anon_sym_equ] = ACTIONS(2660),
    [anon_sym_eqr] = ACTIONS(2660),
    [anon_sym_ne] = ACTIONS(2660),
    [anon_sym_LT_EQ_GT] = ACTIONS(2660),
    [anon_sym_cmp] = ACTIONS(2660),
    [anon_sym_TILDE_TILDE] = ACTIONS(2660),
    [anon_sym_LT] = ACTIONS(2662),
    [anon_sym_LT_EQ] = ACTIONS(2662),
    [anon_sym_GT_EQ] = ACTIONS(2660),
    [anon_sym_lt] = ACTIONS(2660),
    [anon_sym_le] = ACTIONS(2660),
    [anon_sym_ge] = ACTIONS(2660),
    [anon_sym_gt] = ACTIONS(2660),
    [anon_sym_isa] = ACTIONS(2660),
    [anon_sym_PLUS_PLUS] = ACTIONS(3796),
    [anon_sym_DASH_DASH] = ACTIONS(3796),
    [anon_sym_QMARK] = ACTIONS(2660),
    [anon_sym_EQ_GT] = ACTIONS(2660),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2660),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2242] = {
    [sym_heredoc_content] = STATE(2242),
    [anon_sym_SEMI] = ACTIONS(2935),
    [anon_sym_EQ] = ACTIONS(2937),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2935),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2935),
    [anon_sym_COMMA] = ACTIONS(2935),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2935),
    [anon_sym_DASH_GT] = ACTIONS(2935),
    [anon_sym_PERCENT] = ACTIONS(2937),
    [anon_sym_GT] = ACTIONS(2937),
    [anon_sym_LT_LT] = ACTIONS(2937),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2935),
    [anon_sym_PLUS_EQ] = ACTIONS(2935),
    [anon_sym_DASH_EQ] = ACTIONS(2935),
    [anon_sym_DOT_EQ] = ACTIONS(2935),
    [anon_sym_STAR_EQ] = ACTIONS(2935),
    [anon_sym_SLASH_EQ] = ACTIONS(2935),
    [anon_sym_PERCENT_EQ] = ACTIONS(2935),
    [anon_sym_x_EQ] = ACTIONS(2935),
    [anon_sym_AMP_EQ] = ACTIONS(2935),
    [anon_sym_PIPE_EQ] = ACTIONS(2935),
    [anon_sym_CARET_EQ] = ACTIONS(2935),
    [anon_sym_LT_LT_EQ] = ACTIONS(2935),
    [anon_sym_GT_GT_EQ] = ACTIONS(2935),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2935),
    [anon_sym_DOT_DOT] = ACTIONS(2937),
    [anon_sym_STAR_STAR] = ACTIONS(2937),
    [anon_sym_PIPE_PIPE] = ACTIONS(2937),
    [anon_sym_SLASH_SLASH] = ACTIONS(2937),
    [anon_sym_CARET_CARET] = ACTIONS(2935),
    [anon_sym_AMP_AMP] = ACTIONS(2937),
    [anon_sym_PIPE] = ACTIONS(2937),
    [anon_sym_CARET] = ACTIONS(2937),
    [anon_sym_AMP] = ACTIONS(2937),
    [anon_sym_GT_GT2] = ACTIONS(2937),
    [anon_sym_PLUS] = ACTIONS(2937),
    [anon_sym_DASH] = ACTIONS(2937),
    [anon_sym_DOT] = ACTIONS(2937),
    [anon_sym_STAR] = ACTIONS(2937),
    [anon_sym_SLASH] = ACTIONS(2937),
    [anon_sym_x] = ACTIONS(2937),
    [anon_sym_EQ_TILDE] = ACTIONS(2935),
    [anon_sym_BANG_TILDE] = ACTIONS(2935),
    [anon_sym_EQ_EQ] = ACTIONS(2937),
    [anon_sym_BANG_EQ] = ACTIONS(2935),
    [anon_sym_eq] = ACTIONS(2937),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2935),
    [anon_sym_equ] = ACTIONS(2935),
    [anon_sym_eqr] = ACTIONS(2935),
    [anon_sym_ne] = ACTIONS(2935),
    [anon_sym_LT_EQ_GT] = ACTIONS(2935),
    [anon_sym_cmp] = ACTIONS(2935),
    [anon_sym_TILDE_TILDE] = ACTIONS(2935),
    [anon_sym_LT] = ACTIONS(2937),
    [anon_sym_LT_EQ] = ACTIONS(2937),
    [anon_sym_GT_EQ] = ACTIONS(2935),
    [anon_sym_lt] = ACTIONS(2935),
    [anon_sym_le] = ACTIONS(2935),
    [anon_sym_ge] = ACTIONS(2935),
    [anon_sym_gt] = ACTIONS(2935),
    [anon_sym_isa] = ACTIONS(2935),
    [anon_sym_PLUS_PLUS] = ACTIONS(2935),
    [anon_sym_DASH_DASH] = ACTIONS(2935),
    [anon_sym_QMARK] = ACTIONS(2935),
    [anon_sym_EQ_GT] = ACTIONS(2935),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2935),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2243] = {
    [sym_heredoc_content] = STATE(2243),
    [anon_sym_SEMI] = ACTIONS(2939),
    [anon_sym_EQ] = ACTIONS(2941),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2939),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2939),
    [anon_sym_COMMA] = ACTIONS(2939),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2939),
    [anon_sym_DASH_GT] = ACTIONS(2939),
    [anon_sym_PERCENT] = ACTIONS(2941),
    [anon_sym_GT] = ACTIONS(2941),
    [anon_sym_LT_LT] = ACTIONS(2941),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2939),
    [anon_sym_PLUS_EQ] = ACTIONS(2939),
    [anon_sym_DASH_EQ] = ACTIONS(2939),
    [anon_sym_DOT_EQ] = ACTIONS(2939),
    [anon_sym_STAR_EQ] = ACTIONS(2939),
    [anon_sym_SLASH_EQ] = ACTIONS(2939),
    [anon_sym_PERCENT_EQ] = ACTIONS(2939),
    [anon_sym_x_EQ] = ACTIONS(2939),
    [anon_sym_AMP_EQ] = ACTIONS(2939),
    [anon_sym_PIPE_EQ] = ACTIONS(2939),
    [anon_sym_CARET_EQ] = ACTIONS(2939),
    [anon_sym_LT_LT_EQ] = ACTIONS(2939),
    [anon_sym_GT_GT_EQ] = ACTIONS(2939),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2939),
    [anon_sym_DOT_DOT] = ACTIONS(2941),
    [anon_sym_STAR_STAR] = ACTIONS(2941),
    [anon_sym_PIPE_PIPE] = ACTIONS(2941),
    [anon_sym_SLASH_SLASH] = ACTIONS(2941),
    [anon_sym_CARET_CARET] = ACTIONS(2939),
    [anon_sym_AMP_AMP] = ACTIONS(2941),
    [anon_sym_PIPE] = ACTIONS(2941),
    [anon_sym_CARET] = ACTIONS(2941),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_GT_GT2] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_DOT] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2941),
    [anon_sym_SLASH] = ACTIONS(2941),
    [anon_sym_x] = ACTIONS(2941),
    [anon_sym_EQ_TILDE] = ACTIONS(2939),
    [anon_sym_BANG_TILDE] = ACTIONS(2939),
    [anon_sym_EQ_EQ] = ACTIONS(2941),
    [anon_sym_BANG_EQ] = ACTIONS(2939),
    [anon_sym_eq] = ACTIONS(2941),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2939),
    [anon_sym_equ] = ACTIONS(2939),
    [anon_sym_eqr] = ACTIONS(2939),
    [anon_sym_ne] = ACTIONS(2939),
    [anon_sym_LT_EQ_GT] = ACTIONS(2939),
    [anon_sym_cmp] = ACTIONS(2939),
    [anon_sym_TILDE_TILDE] = ACTIONS(2939),
    [anon_sym_LT] = ACTIONS(2941),
    [anon_sym_LT_EQ] = ACTIONS(2941),
    [anon_sym_GT_EQ] = ACTIONS(2939),
    [anon_sym_lt] = ACTIONS(2939),
    [anon_sym_le] = ACTIONS(2939),
    [anon_sym_ge] = ACTIONS(2939),
    [anon_sym_gt] = ACTIONS(2939),
    [anon_sym_isa] = ACTIONS(2939),
    [anon_sym_PLUS_PLUS] = ACTIONS(2939),
    [anon_sym_DASH_DASH] = ACTIONS(2939),
    [anon_sym_QMARK] = ACTIONS(2939),
    [anon_sym_EQ_GT] = ACTIONS(2939),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2939),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2244] = {
    [sym_heredoc_content] = STATE(2244),
    [anon_sym_SEMI] = ACTIONS(2837),
    [anon_sym_EQ] = ACTIONS(2839),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2837),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2837),
    [anon_sym_COMMA] = ACTIONS(2837),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2837),
    [anon_sym_DASH_GT] = ACTIONS(2837),
    [anon_sym_PERCENT] = ACTIONS(2839),
    [anon_sym_GT] = ACTIONS(2839),
    [anon_sym_LT_LT] = ACTIONS(2839),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2837),
    [anon_sym_PLUS_EQ] = ACTIONS(2837),
    [anon_sym_DASH_EQ] = ACTIONS(2837),
    [anon_sym_DOT_EQ] = ACTIONS(2837),
    [anon_sym_STAR_EQ] = ACTIONS(2837),
    [anon_sym_SLASH_EQ] = ACTIONS(2837),
    [anon_sym_PERCENT_EQ] = ACTIONS(2837),
    [anon_sym_x_EQ] = ACTIONS(2837),
    [anon_sym_AMP_EQ] = ACTIONS(2837),
    [anon_sym_PIPE_EQ] = ACTIONS(2837),
    [anon_sym_CARET_EQ] = ACTIONS(2837),
    [anon_sym_LT_LT_EQ] = ACTIONS(2837),
    [anon_sym_GT_GT_EQ] = ACTIONS(2837),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2837),
    [anon_sym_DOT_DOT] = ACTIONS(2839),
    [anon_sym_STAR_STAR] = ACTIONS(2839),
    [anon_sym_PIPE_PIPE] = ACTIONS(2839),
    [anon_sym_SLASH_SLASH] = ACTIONS(2839),
    [anon_sym_CARET_CARET] = ACTIONS(2837),
    [anon_sym_AMP_AMP] = ACTIONS(2839),
    [anon_sym_PIPE] = ACTIONS(2839),
    [anon_sym_CARET] = ACTIONS(2839),
    [anon_sym_AMP] = ACTIONS(2839),
    [anon_sym_GT_GT2] = ACTIONS(2839),
    [anon_sym_PLUS] = ACTIONS(2839),
    [anon_sym_DASH] = ACTIONS(2839),
    [anon_sym_DOT] = ACTIONS(2839),
    [anon_sym_STAR] = ACTIONS(2839),
    [anon_sym_SLASH] = ACTIONS(2839),
    [anon_sym_x] = ACTIONS(2839),
    [anon_sym_EQ_TILDE] = ACTIONS(2837),
    [anon_sym_BANG_TILDE] = ACTIONS(2837),
    [anon_sym_EQ_EQ] = ACTIONS(2839),
    [anon_sym_BANG_EQ] = ACTIONS(2837),
    [anon_sym_eq] = ACTIONS(2839),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2837),
    [anon_sym_equ] = ACTIONS(2837),
    [anon_sym_eqr] = ACTIONS(2837),
    [anon_sym_ne] = ACTIONS(2837),
    [anon_sym_LT_EQ_GT] = ACTIONS(2837),
    [anon_sym_cmp] = ACTIONS(2837),
    [anon_sym_TILDE_TILDE] = ACTIONS(2837),
    [anon_sym_LT] = ACTIONS(2839),
    [anon_sym_LT_EQ] = ACTIONS(2839),
    [anon_sym_GT_EQ] = ACTIONS(2837),
    [anon_sym_lt] = ACTIONS(2837),
    [anon_sym_le] = ACTIONS(2837),
    [anon_sym_ge] = ACTIONS(2837),
    [anon_sym_gt] = ACTIONS(2837),
    [anon_sym_isa] = ACTIONS(2837),
    [anon_sym_PLUS_PLUS] = ACTIONS(2837),
    [anon_sym_DASH_DASH] = ACTIONS(2837),
    [anon_sym_QMARK] = ACTIONS(2837),
    [anon_sym_EQ_GT] = ACTIONS(2837),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2837),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2245] = {
    [sym_heredoc_content] = STATE(2245),
    [anon_sym_SEMI] = ACTIONS(2951),
    [anon_sym_EQ] = ACTIONS(2953),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2951),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2951),
    [anon_sym_COMMA] = ACTIONS(2951),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2951),
    [anon_sym_DASH_GT] = ACTIONS(2951),
    [anon_sym_PERCENT] = ACTIONS(2953),
    [anon_sym_GT] = ACTIONS(2953),
    [anon_sym_LT_LT] = ACTIONS(2953),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2951),
    [anon_sym_PLUS_EQ] = ACTIONS(2951),
    [anon_sym_DASH_EQ] = ACTIONS(2951),
    [anon_sym_DOT_EQ] = ACTIONS(2951),
    [anon_sym_STAR_EQ] = ACTIONS(2951),
    [anon_sym_SLASH_EQ] = ACTIONS(2951),
    [anon_sym_PERCENT_EQ] = ACTIONS(2951),
    [anon_sym_x_EQ] = ACTIONS(2951),
    [anon_sym_AMP_EQ] = ACTIONS(2951),
    [anon_sym_PIPE_EQ] = ACTIONS(2951),
    [anon_sym_CARET_EQ] = ACTIONS(2951),
    [anon_sym_LT_LT_EQ] = ACTIONS(2951),
    [anon_sym_GT_GT_EQ] = ACTIONS(2951),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2951),
    [anon_sym_DOT_DOT] = ACTIONS(2953),
    [anon_sym_STAR_STAR] = ACTIONS(2953),
    [anon_sym_PIPE_PIPE] = ACTIONS(2953),
    [anon_sym_SLASH_SLASH] = ACTIONS(2953),
    [anon_sym_CARET_CARET] = ACTIONS(2951),
    [anon_sym_AMP_AMP] = ACTIONS(2953),
    [anon_sym_PIPE] = ACTIONS(2953),
    [anon_sym_CARET] = ACTIONS(2953),
    [anon_sym_AMP] = ACTIONS(2953),
    [anon_sym_GT_GT2] = ACTIONS(2953),
    [anon_sym_PLUS] = ACTIONS(2953),
    [anon_sym_DASH] = ACTIONS(2953),
    [anon_sym_DOT] = ACTIONS(2953),
    [anon_sym_STAR] = ACTIONS(2953),
    [anon_sym_SLASH] = ACTIONS(2953),
    [anon_sym_x] = ACTIONS(2953),
    [anon_sym_EQ_TILDE] = ACTIONS(2951),
    [anon_sym_BANG_TILDE] = ACTIONS(2951),
    [anon_sym_EQ_EQ] = ACTIONS(2953),
    [anon_sym_BANG_EQ] = ACTIONS(2951),
    [anon_sym_eq] = ACTIONS(2953),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2951),
    [anon_sym_equ] = ACTIONS(2951),
    [anon_sym_eqr] = ACTIONS(2951),
    [anon_sym_ne] = ACTIONS(2951),
    [anon_sym_LT_EQ_GT] = ACTIONS(2951),
    [anon_sym_cmp] = ACTIONS(2951),
    [anon_sym_TILDE_TILDE] = ACTIONS(2951),
    [anon_sym_LT] = ACTIONS(2953),
    [anon_sym_LT_EQ] = ACTIONS(2953),
    [anon_sym_GT_EQ] = ACTIONS(2951),
    [anon_sym_lt] = ACTIONS(2951),
    [anon_sym_le] = ACTIONS(2951),
    [anon_sym_ge] = ACTIONS(2951),
    [anon_sym_gt] = ACTIONS(2951),
    [anon_sym_isa] = ACTIONS(2951),
    [anon_sym_PLUS_PLUS] = ACTIONS(2951),
    [anon_sym_DASH_DASH] = ACTIONS(2951),
    [anon_sym_QMARK] = ACTIONS(2951),
    [anon_sym_EQ_GT] = ACTIONS(2951),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2951),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2246] = {
    [sym_heredoc_content] = STATE(2246),
    [anon_sym_SEMI] = ACTIONS(2955),
    [anon_sym_EQ] = ACTIONS(2957),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2955),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2955),
    [anon_sym_COMMA] = ACTIONS(2955),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2955),
    [anon_sym_DASH_GT] = ACTIONS(2955),
    [anon_sym_PERCENT] = ACTIONS(2957),
    [anon_sym_GT] = ACTIONS(2957),
    [anon_sym_LT_LT] = ACTIONS(2957),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2955),
    [anon_sym_PLUS_EQ] = ACTIONS(2955),
    [anon_sym_DASH_EQ] = ACTIONS(2955),
    [anon_sym_DOT_EQ] = ACTIONS(2955),
    [anon_sym_STAR_EQ] = ACTIONS(2955),
    [anon_sym_SLASH_EQ] = ACTIONS(2955),
    [anon_sym_PERCENT_EQ] = ACTIONS(2955),
    [anon_sym_x_EQ] = ACTIONS(2955),
    [anon_sym_AMP_EQ] = ACTIONS(2955),
    [anon_sym_PIPE_EQ] = ACTIONS(2955),
    [anon_sym_CARET_EQ] = ACTIONS(2955),
    [anon_sym_LT_LT_EQ] = ACTIONS(2955),
    [anon_sym_GT_GT_EQ] = ACTIONS(2955),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2955),
    [anon_sym_DOT_DOT] = ACTIONS(2957),
    [anon_sym_STAR_STAR] = ACTIONS(2957),
    [anon_sym_PIPE_PIPE] = ACTIONS(2957),
    [anon_sym_SLASH_SLASH] = ACTIONS(2957),
    [anon_sym_CARET_CARET] = ACTIONS(2955),
    [anon_sym_AMP_AMP] = ACTIONS(2957),
    [anon_sym_PIPE] = ACTIONS(2957),
    [anon_sym_CARET] = ACTIONS(2957),
    [anon_sym_AMP] = ACTIONS(2957),
    [anon_sym_GT_GT2] = ACTIONS(2957),
    [anon_sym_PLUS] = ACTIONS(2957),
    [anon_sym_DASH] = ACTIONS(2957),
    [anon_sym_DOT] = ACTIONS(2957),
    [anon_sym_STAR] = ACTIONS(2957),
    [anon_sym_SLASH] = ACTIONS(2957),
    [anon_sym_x] = ACTIONS(2957),
    [anon_sym_EQ_TILDE] = ACTIONS(2955),
    [anon_sym_BANG_TILDE] = ACTIONS(2955),
    [anon_sym_EQ_EQ] = ACTIONS(2957),
    [anon_sym_BANG_EQ] = ACTIONS(2955),
    [anon_sym_eq] = ACTIONS(2957),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2955),
    [anon_sym_equ] = ACTIONS(2955),
    [anon_sym_eqr] = ACTIONS(2955),
    [anon_sym_ne] = ACTIONS(2955),
    [anon_sym_LT_EQ_GT] = ACTIONS(2955),
    [anon_sym_cmp] = ACTIONS(2955),
    [anon_sym_TILDE_TILDE] = ACTIONS(2955),
    [anon_sym_LT] = ACTIONS(2957),
    [anon_sym_LT_EQ] = ACTIONS(2957),
    [anon_sym_GT_EQ] = ACTIONS(2955),
    [anon_sym_lt] = ACTIONS(2955),
    [anon_sym_le] = ACTIONS(2955),
    [anon_sym_ge] = ACTIONS(2955),
    [anon_sym_gt] = ACTIONS(2955),
    [anon_sym_isa] = ACTIONS(2955),
    [anon_sym_PLUS_PLUS] = ACTIONS(2955),
    [anon_sym_DASH_DASH] = ACTIONS(2955),
    [anon_sym_QMARK] = ACTIONS(2955),
    [anon_sym_EQ_GT] = ACTIONS(2955),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2955),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2247] = {
    [sym_heredoc_content] = STATE(2247),
    [anon_sym_SEMI] = ACTIONS(3254),
    [anon_sym_EQ] = ACTIONS(3256),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3254),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3254),
    [anon_sym_COMMA] = ACTIONS(3254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3254),
    [anon_sym_DASH_GT] = ACTIONS(3254),
    [anon_sym_PERCENT] = ACTIONS(3256),
    [anon_sym_GT] = ACTIONS(3256),
    [anon_sym_LT_LT] = ACTIONS(3256),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3254),
    [anon_sym_PLUS_EQ] = ACTIONS(3254),
    [anon_sym_DASH_EQ] = ACTIONS(3254),
    [anon_sym_DOT_EQ] = ACTIONS(3254),
    [anon_sym_STAR_EQ] = ACTIONS(3254),
    [anon_sym_SLASH_EQ] = ACTIONS(3254),
    [anon_sym_PERCENT_EQ] = ACTIONS(3254),
    [anon_sym_x_EQ] = ACTIONS(3254),
    [anon_sym_AMP_EQ] = ACTIONS(3254),
    [anon_sym_PIPE_EQ] = ACTIONS(3254),
    [anon_sym_CARET_EQ] = ACTIONS(3254),
    [anon_sym_LT_LT_EQ] = ACTIONS(3254),
    [anon_sym_GT_GT_EQ] = ACTIONS(3254),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3254),
    [anon_sym_DOT_DOT] = ACTIONS(3256),
    [anon_sym_STAR_STAR] = ACTIONS(3256),
    [anon_sym_PIPE_PIPE] = ACTIONS(3256),
    [anon_sym_SLASH_SLASH] = ACTIONS(3256),
    [anon_sym_CARET_CARET] = ACTIONS(3254),
    [anon_sym_AMP_AMP] = ACTIONS(3256),
    [anon_sym_PIPE] = ACTIONS(3256),
    [anon_sym_CARET] = ACTIONS(3256),
    [anon_sym_AMP] = ACTIONS(3256),
    [anon_sym_GT_GT2] = ACTIONS(3256),
    [anon_sym_PLUS] = ACTIONS(3256),
    [anon_sym_DASH] = ACTIONS(3256),
    [anon_sym_DOT] = ACTIONS(3256),
    [anon_sym_STAR] = ACTIONS(3256),
    [anon_sym_SLASH] = ACTIONS(3256),
    [anon_sym_x] = ACTIONS(3256),
    [anon_sym_EQ_TILDE] = ACTIONS(3254),
    [anon_sym_BANG_TILDE] = ACTIONS(3254),
    [anon_sym_EQ_EQ] = ACTIONS(3256),
    [anon_sym_BANG_EQ] = ACTIONS(3254),
    [anon_sym_eq] = ACTIONS(3256),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3254),
    [anon_sym_equ] = ACTIONS(3254),
    [anon_sym_eqr] = ACTIONS(3254),
    [anon_sym_ne] = ACTIONS(3254),
    [anon_sym_LT_EQ_GT] = ACTIONS(3254),
    [anon_sym_cmp] = ACTIONS(3254),
    [anon_sym_TILDE_TILDE] = ACTIONS(3254),
    [anon_sym_LT] = ACTIONS(3256),
    [anon_sym_LT_EQ] = ACTIONS(3256),
    [anon_sym_GT_EQ] = ACTIONS(3254),
    [anon_sym_lt] = ACTIONS(3254),
    [anon_sym_le] = ACTIONS(3254),
    [anon_sym_ge] = ACTIONS(3254),
    [anon_sym_gt] = ACTIONS(3254),
    [anon_sym_isa] = ACTIONS(3254),
    [anon_sym_PLUS_PLUS] = ACTIONS(3254),
    [anon_sym_DASH_DASH] = ACTIONS(3254),
    [anon_sym_QMARK] = ACTIONS(3254),
    [anon_sym_EQ_GT] = ACTIONS(3254),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3254),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2248] = {
    [sym_heredoc_content] = STATE(2248),
    [anon_sym_SEMI] = ACTIONS(3258),
    [anon_sym_EQ] = ACTIONS(3260),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3258),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3258),
    [anon_sym_COMMA] = ACTIONS(3258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3758),
    [anon_sym_DASH_GT] = ACTIONS(3760),
    [anon_sym_PERCENT] = ACTIONS(3762),
    [anon_sym_GT] = ACTIONS(3764),
    [anon_sym_LT_LT] = ACTIONS(3766),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3258),
    [anon_sym_PLUS_EQ] = ACTIONS(3258),
    [anon_sym_DASH_EQ] = ACTIONS(3258),
    [anon_sym_DOT_EQ] = ACTIONS(3258),
    [anon_sym_STAR_EQ] = ACTIONS(3258),
    [anon_sym_SLASH_EQ] = ACTIONS(3258),
    [anon_sym_PERCENT_EQ] = ACTIONS(3258),
    [anon_sym_x_EQ] = ACTIONS(3258),
    [anon_sym_AMP_EQ] = ACTIONS(3258),
    [anon_sym_PIPE_EQ] = ACTIONS(3258),
    [anon_sym_CARET_EQ] = ACTIONS(3258),
    [anon_sym_LT_LT_EQ] = ACTIONS(3258),
    [anon_sym_GT_GT_EQ] = ACTIONS(3258),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3258),
    [anon_sym_DOT_DOT] = ACTIONS(3768),
    [anon_sym_STAR_STAR] = ACTIONS(3770),
    [anon_sym_PIPE_PIPE] = ACTIONS(3772),
    [anon_sym_SLASH_SLASH] = ACTIONS(3772),
    [anon_sym_CARET_CARET] = ACTIONS(3774),
    [anon_sym_AMP_AMP] = ACTIONS(3776),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3780),
    [anon_sym_GT_GT2] = ACTIONS(3766),
    [anon_sym_PLUS] = ACTIONS(3782),
    [anon_sym_DASH] = ACTIONS(3782),
    [anon_sym_DOT] = ACTIONS(3782),
    [anon_sym_STAR] = ACTIONS(3762),
    [anon_sym_SLASH] = ACTIONS(3762),
    [anon_sym_x] = ACTIONS(3762),
    [anon_sym_EQ_TILDE] = ACTIONS(3784),
    [anon_sym_BANG_TILDE] = ACTIONS(3784),
    [anon_sym_EQ_EQ] = ACTIONS(3786),
    [anon_sym_BANG_EQ] = ACTIONS(3788),
    [anon_sym_eq] = ACTIONS(3786),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3788),
    [anon_sym_equ] = ACTIONS(3788),
    [anon_sym_eqr] = ACTIONS(3788),
    [anon_sym_ne] = ACTIONS(3788),
    [anon_sym_LT_EQ_GT] = ACTIONS(3790),
    [anon_sym_cmp] = ACTIONS(3790),
    [anon_sym_TILDE_TILDE] = ACTIONS(3790),
    [anon_sym_LT] = ACTIONS(3764),
    [anon_sym_LT_EQ] = ACTIONS(3764),
    [anon_sym_GT_EQ] = ACTIONS(3792),
    [anon_sym_lt] = ACTIONS(3792),
    [anon_sym_le] = ACTIONS(3792),
    [anon_sym_ge] = ACTIONS(3792),
    [anon_sym_gt] = ACTIONS(3792),
    [anon_sym_isa] = ACTIONS(3794),
    [anon_sym_PLUS_PLUS] = ACTIONS(3796),
    [anon_sym_DASH_DASH] = ACTIONS(3796),
    [anon_sym_QMARK] = ACTIONS(3798),
    [anon_sym_EQ_GT] = ACTIONS(3258),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3258),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2249] = {
    [sym_heredoc_content] = STATE(2249),
    [anon_sym_SEMI] = ACTIONS(3262),
    [anon_sym_EQ] = ACTIONS(3264),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3262),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3262),
    [anon_sym_COMMA] = ACTIONS(3262),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3262),
    [anon_sym_DASH_GT] = ACTIONS(3262),
    [anon_sym_PERCENT] = ACTIONS(3264),
    [anon_sym_GT] = ACTIONS(3264),
    [anon_sym_LT_LT] = ACTIONS(3264),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3262),
    [anon_sym_PLUS_EQ] = ACTIONS(3262),
    [anon_sym_DASH_EQ] = ACTIONS(3262),
    [anon_sym_DOT_EQ] = ACTIONS(3262),
    [anon_sym_STAR_EQ] = ACTIONS(3262),
    [anon_sym_SLASH_EQ] = ACTIONS(3262),
    [anon_sym_PERCENT_EQ] = ACTIONS(3262),
    [anon_sym_x_EQ] = ACTIONS(3262),
    [anon_sym_AMP_EQ] = ACTIONS(3262),
    [anon_sym_PIPE_EQ] = ACTIONS(3262),
    [anon_sym_CARET_EQ] = ACTIONS(3262),
    [anon_sym_LT_LT_EQ] = ACTIONS(3262),
    [anon_sym_GT_GT_EQ] = ACTIONS(3262),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3262),
    [anon_sym_DOT_DOT] = ACTIONS(3264),
    [anon_sym_STAR_STAR] = ACTIONS(3264),
    [anon_sym_PIPE_PIPE] = ACTIONS(3264),
    [anon_sym_SLASH_SLASH] = ACTIONS(3264),
    [anon_sym_CARET_CARET] = ACTIONS(3262),
    [anon_sym_AMP_AMP] = ACTIONS(3264),
    [anon_sym_PIPE] = ACTIONS(3264),
    [anon_sym_CARET] = ACTIONS(3264),
    [anon_sym_AMP] = ACTIONS(3264),
    [anon_sym_GT_GT2] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_DOT] = ACTIONS(3264),
    [anon_sym_STAR] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_x] = ACTIONS(3264),
    [anon_sym_EQ_TILDE] = ACTIONS(3262),
    [anon_sym_BANG_TILDE] = ACTIONS(3262),
    [anon_sym_EQ_EQ] = ACTIONS(3264),
    [anon_sym_BANG_EQ] = ACTIONS(3262),
    [anon_sym_eq] = ACTIONS(3264),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3262),
    [anon_sym_equ] = ACTIONS(3262),
    [anon_sym_eqr] = ACTIONS(3262),
    [anon_sym_ne] = ACTIONS(3262),
    [anon_sym_LT_EQ_GT] = ACTIONS(3262),
    [anon_sym_cmp] = ACTIONS(3262),
    [anon_sym_TILDE_TILDE] = ACTIONS(3262),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_LT_EQ] = ACTIONS(3264),
    [anon_sym_GT_EQ] = ACTIONS(3262),
    [anon_sym_lt] = ACTIONS(3262),
    [anon_sym_le] = ACTIONS(3262),
    [anon_sym_ge] = ACTIONS(3262),
    [anon_sym_gt] = ACTIONS(3262),
    [anon_sym_isa] = ACTIONS(3262),
    [anon_sym_PLUS_PLUS] = ACTIONS(3262),
    [anon_sym_DASH_DASH] = ACTIONS(3262),
    [anon_sym_QMARK] = ACTIONS(3262),
    [anon_sym_EQ_GT] = ACTIONS(3262),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3262),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2250] = {
    [sym_heredoc_content] = STATE(2250),
    [anon_sym_SEMI] = ACTIONS(3266),
    [anon_sym_EQ] = ACTIONS(3268),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3266),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3266),
    [anon_sym_COMMA] = ACTIONS(3266),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3266),
    [anon_sym_DASH_GT] = ACTIONS(3266),
    [anon_sym_PERCENT] = ACTIONS(3268),
    [anon_sym_GT] = ACTIONS(3268),
    [anon_sym_LT_LT] = ACTIONS(3268),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3266),
    [anon_sym_PLUS_EQ] = ACTIONS(3266),
    [anon_sym_DASH_EQ] = ACTIONS(3266),
    [anon_sym_DOT_EQ] = ACTIONS(3266),
    [anon_sym_STAR_EQ] = ACTIONS(3266),
    [anon_sym_SLASH_EQ] = ACTIONS(3266),
    [anon_sym_PERCENT_EQ] = ACTIONS(3266),
    [anon_sym_x_EQ] = ACTIONS(3266),
    [anon_sym_AMP_EQ] = ACTIONS(3266),
    [anon_sym_PIPE_EQ] = ACTIONS(3266),
    [anon_sym_CARET_EQ] = ACTIONS(3266),
    [anon_sym_LT_LT_EQ] = ACTIONS(3266),
    [anon_sym_GT_GT_EQ] = ACTIONS(3266),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3266),
    [anon_sym_DOT_DOT] = ACTIONS(3268),
    [anon_sym_STAR_STAR] = ACTIONS(3268),
    [anon_sym_PIPE_PIPE] = ACTIONS(3268),
    [anon_sym_SLASH_SLASH] = ACTIONS(3268),
    [anon_sym_CARET_CARET] = ACTIONS(3266),
    [anon_sym_AMP_AMP] = ACTIONS(3268),
    [anon_sym_PIPE] = ACTIONS(3268),
    [anon_sym_CARET] = ACTIONS(3268),
    [anon_sym_AMP] = ACTIONS(3268),
    [anon_sym_GT_GT2] = ACTIONS(3268),
    [anon_sym_PLUS] = ACTIONS(3268),
    [anon_sym_DASH] = ACTIONS(3268),
    [anon_sym_DOT] = ACTIONS(3268),
    [anon_sym_STAR] = ACTIONS(3268),
    [anon_sym_SLASH] = ACTIONS(3268),
    [anon_sym_x] = ACTIONS(3268),
    [anon_sym_EQ_TILDE] = ACTIONS(3266),
    [anon_sym_BANG_TILDE] = ACTIONS(3266),
    [anon_sym_EQ_EQ] = ACTIONS(3268),
    [anon_sym_BANG_EQ] = ACTIONS(3266),
    [anon_sym_eq] = ACTIONS(3268),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3266),
    [anon_sym_equ] = ACTIONS(3266),
    [anon_sym_eqr] = ACTIONS(3266),
    [anon_sym_ne] = ACTIONS(3266),
    [anon_sym_LT_EQ_GT] = ACTIONS(3266),
    [anon_sym_cmp] = ACTIONS(3266),
    [anon_sym_TILDE_TILDE] = ACTIONS(3266),
    [anon_sym_LT] = ACTIONS(3268),
    [anon_sym_LT_EQ] = ACTIONS(3268),
    [anon_sym_GT_EQ] = ACTIONS(3266),
    [anon_sym_lt] = ACTIONS(3266),
    [anon_sym_le] = ACTIONS(3266),
    [anon_sym_ge] = ACTIONS(3266),
    [anon_sym_gt] = ACTIONS(3266),
    [anon_sym_isa] = ACTIONS(3266),
    [anon_sym_PLUS_PLUS] = ACTIONS(3266),
    [anon_sym_DASH_DASH] = ACTIONS(3266),
    [anon_sym_QMARK] = ACTIONS(3266),
    [anon_sym_EQ_GT] = ACTIONS(3266),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3266),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2251] = {
    [sym_heredoc_content] = STATE(2251),
    [anon_sym_SEMI] = ACTIONS(3270),
    [anon_sym_EQ] = ACTIONS(3272),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3270),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3270),
    [anon_sym_COMMA] = ACTIONS(3270),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3270),
    [anon_sym_DASH_GT] = ACTIONS(3270),
    [anon_sym_PERCENT] = ACTIONS(3272),
    [anon_sym_GT] = ACTIONS(3272),
    [anon_sym_LT_LT] = ACTIONS(3272),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3270),
    [anon_sym_PLUS_EQ] = ACTIONS(3270),
    [anon_sym_DASH_EQ] = ACTIONS(3270),
    [anon_sym_DOT_EQ] = ACTIONS(3270),
    [anon_sym_STAR_EQ] = ACTIONS(3270),
    [anon_sym_SLASH_EQ] = ACTIONS(3270),
    [anon_sym_PERCENT_EQ] = ACTIONS(3270),
    [anon_sym_x_EQ] = ACTIONS(3270),
    [anon_sym_AMP_EQ] = ACTIONS(3270),
    [anon_sym_PIPE_EQ] = ACTIONS(3270),
    [anon_sym_CARET_EQ] = ACTIONS(3270),
    [anon_sym_LT_LT_EQ] = ACTIONS(3270),
    [anon_sym_GT_GT_EQ] = ACTIONS(3270),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3270),
    [anon_sym_DOT_DOT] = ACTIONS(3272),
    [anon_sym_STAR_STAR] = ACTIONS(3272),
    [anon_sym_PIPE_PIPE] = ACTIONS(3272),
    [anon_sym_SLASH_SLASH] = ACTIONS(3272),
    [anon_sym_CARET_CARET] = ACTIONS(3270),
    [anon_sym_AMP_AMP] = ACTIONS(3272),
    [anon_sym_PIPE] = ACTIONS(3272),
    [anon_sym_CARET] = ACTIONS(3272),
    [anon_sym_AMP] = ACTIONS(3272),
    [anon_sym_GT_GT2] = ACTIONS(3272),
    [anon_sym_PLUS] = ACTIONS(3272),
    [anon_sym_DASH] = ACTIONS(3272),
    [anon_sym_DOT] = ACTIONS(3272),
    [anon_sym_STAR] = ACTIONS(3272),
    [anon_sym_SLASH] = ACTIONS(3272),
    [anon_sym_x] = ACTIONS(3272),
    [anon_sym_EQ_TILDE] = ACTIONS(3270),
    [anon_sym_BANG_TILDE] = ACTIONS(3270),
    [anon_sym_EQ_EQ] = ACTIONS(3272),
    [anon_sym_BANG_EQ] = ACTIONS(3270),
    [anon_sym_eq] = ACTIONS(3272),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3270),
    [anon_sym_equ] = ACTIONS(3270),
    [anon_sym_eqr] = ACTIONS(3270),
    [anon_sym_ne] = ACTIONS(3270),
    [anon_sym_LT_EQ_GT] = ACTIONS(3270),
    [anon_sym_cmp] = ACTIONS(3270),
    [anon_sym_TILDE_TILDE] = ACTIONS(3270),
    [anon_sym_LT] = ACTIONS(3272),
    [anon_sym_LT_EQ] = ACTIONS(3272),
    [anon_sym_GT_EQ] = ACTIONS(3270),
    [anon_sym_lt] = ACTIONS(3270),
    [anon_sym_le] = ACTIONS(3270),
    [anon_sym_ge] = ACTIONS(3270),
    [anon_sym_gt] = ACTIONS(3270),
    [anon_sym_isa] = ACTIONS(3270),
    [anon_sym_PLUS_PLUS] = ACTIONS(3270),
    [anon_sym_DASH_DASH] = ACTIONS(3270),
    [anon_sym_QMARK] = ACTIONS(3270),
    [anon_sym_EQ_GT] = ACTIONS(3270),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3270),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2252] = {
    [sym_heredoc_content] = STATE(2252),
    [anon_sym_SEMI] = ACTIONS(3274),
    [anon_sym_EQ] = ACTIONS(3276),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3274),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3274),
    [anon_sym_COMMA] = ACTIONS(3274),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3274),
    [anon_sym_DASH_GT] = ACTIONS(3274),
    [anon_sym_PERCENT] = ACTIONS(3276),
    [anon_sym_GT] = ACTIONS(3276),
    [anon_sym_LT_LT] = ACTIONS(3276),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3274),
    [anon_sym_PLUS_EQ] = ACTIONS(3274),
    [anon_sym_DASH_EQ] = ACTIONS(3274),
    [anon_sym_DOT_EQ] = ACTIONS(3274),
    [anon_sym_STAR_EQ] = ACTIONS(3274),
    [anon_sym_SLASH_EQ] = ACTIONS(3274),
    [anon_sym_PERCENT_EQ] = ACTIONS(3274),
    [anon_sym_x_EQ] = ACTIONS(3274),
    [anon_sym_AMP_EQ] = ACTIONS(3274),
    [anon_sym_PIPE_EQ] = ACTIONS(3274),
    [anon_sym_CARET_EQ] = ACTIONS(3274),
    [anon_sym_LT_LT_EQ] = ACTIONS(3274),
    [anon_sym_GT_GT_EQ] = ACTIONS(3274),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3274),
    [anon_sym_DOT_DOT] = ACTIONS(3276),
    [anon_sym_STAR_STAR] = ACTIONS(3276),
    [anon_sym_PIPE_PIPE] = ACTIONS(3276),
    [anon_sym_SLASH_SLASH] = ACTIONS(3276),
    [anon_sym_CARET_CARET] = ACTIONS(3274),
    [anon_sym_AMP_AMP] = ACTIONS(3276),
    [anon_sym_PIPE] = ACTIONS(3276),
    [anon_sym_CARET] = ACTIONS(3276),
    [anon_sym_AMP] = ACTIONS(3276),
    [anon_sym_GT_GT2] = ACTIONS(3276),
    [anon_sym_PLUS] = ACTIONS(3276),
    [anon_sym_DASH] = ACTIONS(3276),
    [anon_sym_DOT] = ACTIONS(3276),
    [anon_sym_STAR] = ACTIONS(3276),
    [anon_sym_SLASH] = ACTIONS(3276),
    [anon_sym_x] = ACTIONS(3276),
    [anon_sym_EQ_TILDE] = ACTIONS(3274),
    [anon_sym_BANG_TILDE] = ACTIONS(3274),
    [anon_sym_EQ_EQ] = ACTIONS(3276),
    [anon_sym_BANG_EQ] = ACTIONS(3274),
    [anon_sym_eq] = ACTIONS(3276),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3274),
    [anon_sym_equ] = ACTIONS(3274),
    [anon_sym_eqr] = ACTIONS(3274),
    [anon_sym_ne] = ACTIONS(3274),
    [anon_sym_LT_EQ_GT] = ACTIONS(3274),
    [anon_sym_cmp] = ACTIONS(3274),
    [anon_sym_TILDE_TILDE] = ACTIONS(3274),
    [anon_sym_LT] = ACTIONS(3276),
    [anon_sym_LT_EQ] = ACTIONS(3276),
    [anon_sym_GT_EQ] = ACTIONS(3274),
    [anon_sym_lt] = ACTIONS(3274),
    [anon_sym_le] = ACTIONS(3274),
    [anon_sym_ge] = ACTIONS(3274),
    [anon_sym_gt] = ACTIONS(3274),
    [anon_sym_isa] = ACTIONS(3274),
    [anon_sym_PLUS_PLUS] = ACTIONS(3274),
    [anon_sym_DASH_DASH] = ACTIONS(3274),
    [anon_sym_QMARK] = ACTIONS(3274),
    [anon_sym_EQ_GT] = ACTIONS(3274),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3274),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2253] = {
    [sym_heredoc_content] = STATE(2253),
    [anon_sym_SEMI] = ACTIONS(3278),
    [anon_sym_EQ] = ACTIONS(3280),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3278),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3278),
    [anon_sym_COMMA] = ACTIONS(3278),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3278),
    [anon_sym_DASH_GT] = ACTIONS(3278),
    [anon_sym_PERCENT] = ACTIONS(3280),
    [anon_sym_GT] = ACTIONS(3280),
    [anon_sym_LT_LT] = ACTIONS(3280),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3278),
    [anon_sym_PLUS_EQ] = ACTIONS(3278),
    [anon_sym_DASH_EQ] = ACTIONS(3278),
    [anon_sym_DOT_EQ] = ACTIONS(3278),
    [anon_sym_STAR_EQ] = ACTIONS(3278),
    [anon_sym_SLASH_EQ] = ACTIONS(3278),
    [anon_sym_PERCENT_EQ] = ACTIONS(3278),
    [anon_sym_x_EQ] = ACTIONS(3278),
    [anon_sym_AMP_EQ] = ACTIONS(3278),
    [anon_sym_PIPE_EQ] = ACTIONS(3278),
    [anon_sym_CARET_EQ] = ACTIONS(3278),
    [anon_sym_LT_LT_EQ] = ACTIONS(3278),
    [anon_sym_GT_GT_EQ] = ACTIONS(3278),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3278),
    [anon_sym_DOT_DOT] = ACTIONS(3280),
    [anon_sym_STAR_STAR] = ACTIONS(3280),
    [anon_sym_PIPE_PIPE] = ACTIONS(3280),
    [anon_sym_SLASH_SLASH] = ACTIONS(3280),
    [anon_sym_CARET_CARET] = ACTIONS(3278),
    [anon_sym_AMP_AMP] = ACTIONS(3280),
    [anon_sym_PIPE] = ACTIONS(3280),
    [anon_sym_CARET] = ACTIONS(3280),
    [anon_sym_AMP] = ACTIONS(3280),
    [anon_sym_GT_GT2] = ACTIONS(3280),
    [anon_sym_PLUS] = ACTIONS(3280),
    [anon_sym_DASH] = ACTIONS(3280),
    [anon_sym_DOT] = ACTIONS(3280),
    [anon_sym_STAR] = ACTIONS(3280),
    [anon_sym_SLASH] = ACTIONS(3280),
    [anon_sym_x] = ACTIONS(3280),
    [anon_sym_EQ_TILDE] = ACTIONS(3278),
    [anon_sym_BANG_TILDE] = ACTIONS(3278),
    [anon_sym_EQ_EQ] = ACTIONS(3280),
    [anon_sym_BANG_EQ] = ACTIONS(3278),
    [anon_sym_eq] = ACTIONS(3280),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3278),
    [anon_sym_equ] = ACTIONS(3278),
    [anon_sym_eqr] = ACTIONS(3278),
    [anon_sym_ne] = ACTIONS(3278),
    [anon_sym_LT_EQ_GT] = ACTIONS(3278),
    [anon_sym_cmp] = ACTIONS(3278),
    [anon_sym_TILDE_TILDE] = ACTIONS(3278),
    [anon_sym_LT] = ACTIONS(3280),
    [anon_sym_LT_EQ] = ACTIONS(3280),
    [anon_sym_GT_EQ] = ACTIONS(3278),
    [anon_sym_lt] = ACTIONS(3278),
    [anon_sym_le] = ACTIONS(3278),
    [anon_sym_ge] = ACTIONS(3278),
    [anon_sym_gt] = ACTIONS(3278),
    [anon_sym_isa] = ACTIONS(3278),
    [anon_sym_PLUS_PLUS] = ACTIONS(3278),
    [anon_sym_DASH_DASH] = ACTIONS(3278),
    [anon_sym_QMARK] = ACTIONS(3278),
    [anon_sym_EQ_GT] = ACTIONS(3278),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3278),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2254] = {
    [sym_heredoc_content] = STATE(2254),
    [anon_sym_SEMI] = ACTIONS(2963),
    [anon_sym_EQ] = ACTIONS(2965),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2963),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2963),
    [anon_sym_COMMA] = ACTIONS(2963),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2963),
    [anon_sym_DASH_GT] = ACTIONS(2963),
    [anon_sym_PERCENT] = ACTIONS(2965),
    [anon_sym_GT] = ACTIONS(2965),
    [anon_sym_LT_LT] = ACTIONS(2965),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2963),
    [anon_sym_PLUS_EQ] = ACTIONS(2963),
    [anon_sym_DASH_EQ] = ACTIONS(2963),
    [anon_sym_DOT_EQ] = ACTIONS(2963),
    [anon_sym_STAR_EQ] = ACTIONS(2963),
    [anon_sym_SLASH_EQ] = ACTIONS(2963),
    [anon_sym_PERCENT_EQ] = ACTIONS(2963),
    [anon_sym_x_EQ] = ACTIONS(2963),
    [anon_sym_AMP_EQ] = ACTIONS(2963),
    [anon_sym_PIPE_EQ] = ACTIONS(2963),
    [anon_sym_CARET_EQ] = ACTIONS(2963),
    [anon_sym_LT_LT_EQ] = ACTIONS(2963),
    [anon_sym_GT_GT_EQ] = ACTIONS(2963),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2963),
    [anon_sym_DOT_DOT] = ACTIONS(2965),
    [anon_sym_STAR_STAR] = ACTIONS(2965),
    [anon_sym_PIPE_PIPE] = ACTIONS(2965),
    [anon_sym_SLASH_SLASH] = ACTIONS(2965),
    [anon_sym_CARET_CARET] = ACTIONS(2963),
    [anon_sym_AMP_AMP] = ACTIONS(2965),
    [anon_sym_PIPE] = ACTIONS(2965),
    [anon_sym_CARET] = ACTIONS(2965),
    [anon_sym_AMP] = ACTIONS(2965),
    [anon_sym_GT_GT2] = ACTIONS(2965),
    [anon_sym_PLUS] = ACTIONS(2965),
    [anon_sym_DASH] = ACTIONS(2965),
    [anon_sym_DOT] = ACTIONS(2965),
    [anon_sym_STAR] = ACTIONS(2965),
    [anon_sym_SLASH] = ACTIONS(2965),
    [anon_sym_x] = ACTIONS(2965),
    [anon_sym_EQ_TILDE] = ACTIONS(2963),
    [anon_sym_BANG_TILDE] = ACTIONS(2963),
    [anon_sym_EQ_EQ] = ACTIONS(2965),
    [anon_sym_BANG_EQ] = ACTIONS(2963),
    [anon_sym_eq] = ACTIONS(2965),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2963),
    [anon_sym_equ] = ACTIONS(2963),
    [anon_sym_eqr] = ACTIONS(2963),
    [anon_sym_ne] = ACTIONS(2963),
    [anon_sym_LT_EQ_GT] = ACTIONS(2963),
    [anon_sym_cmp] = ACTIONS(2963),
    [anon_sym_TILDE_TILDE] = ACTIONS(2963),
    [anon_sym_LT] = ACTIONS(2965),
    [anon_sym_LT_EQ] = ACTIONS(2965),
    [anon_sym_GT_EQ] = ACTIONS(2963),
    [anon_sym_lt] = ACTIONS(2963),
    [anon_sym_le] = ACTIONS(2963),
    [anon_sym_ge] = ACTIONS(2963),
    [anon_sym_gt] = ACTIONS(2963),
    [anon_sym_isa] = ACTIONS(2963),
    [anon_sym_PLUS_PLUS] = ACTIONS(2963),
    [anon_sym_DASH_DASH] = ACTIONS(2963),
    [anon_sym_QMARK] = ACTIONS(2963),
    [anon_sym_EQ_GT] = ACTIONS(2963),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2963),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2255] = {
    [sym_heredoc_content] = STATE(2255),
    [anon_sym_SEMI] = ACTIONS(3282),
    [anon_sym_EQ] = ACTIONS(3284),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3282),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3282),
    [anon_sym_COMMA] = ACTIONS(3282),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3282),
    [anon_sym_DASH_GT] = ACTIONS(3282),
    [anon_sym_PERCENT] = ACTIONS(3284),
    [anon_sym_GT] = ACTIONS(3284),
    [anon_sym_LT_LT] = ACTIONS(3284),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3282),
    [anon_sym_PLUS_EQ] = ACTIONS(3282),
    [anon_sym_DASH_EQ] = ACTIONS(3282),
    [anon_sym_DOT_EQ] = ACTIONS(3282),
    [anon_sym_STAR_EQ] = ACTIONS(3282),
    [anon_sym_SLASH_EQ] = ACTIONS(3282),
    [anon_sym_PERCENT_EQ] = ACTIONS(3282),
    [anon_sym_x_EQ] = ACTIONS(3282),
    [anon_sym_AMP_EQ] = ACTIONS(3282),
    [anon_sym_PIPE_EQ] = ACTIONS(3282),
    [anon_sym_CARET_EQ] = ACTIONS(3282),
    [anon_sym_LT_LT_EQ] = ACTIONS(3282),
    [anon_sym_GT_GT_EQ] = ACTIONS(3282),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3282),
    [anon_sym_DOT_DOT] = ACTIONS(3284),
    [anon_sym_STAR_STAR] = ACTIONS(3284),
    [anon_sym_PIPE_PIPE] = ACTIONS(3284),
    [anon_sym_SLASH_SLASH] = ACTIONS(3284),
    [anon_sym_CARET_CARET] = ACTIONS(3282),
    [anon_sym_AMP_AMP] = ACTIONS(3284),
    [anon_sym_PIPE] = ACTIONS(3284),
    [anon_sym_CARET] = ACTIONS(3284),
    [anon_sym_AMP] = ACTIONS(3284),
    [anon_sym_GT_GT2] = ACTIONS(3284),
    [anon_sym_PLUS] = ACTIONS(3284),
    [anon_sym_DASH] = ACTIONS(3284),
    [anon_sym_DOT] = ACTIONS(3284),
    [anon_sym_STAR] = ACTIONS(3284),
    [anon_sym_SLASH] = ACTIONS(3284),
    [anon_sym_x] = ACTIONS(3284),
    [anon_sym_EQ_TILDE] = ACTIONS(3282),
    [anon_sym_BANG_TILDE] = ACTIONS(3282),
    [anon_sym_EQ_EQ] = ACTIONS(3284),
    [anon_sym_BANG_EQ] = ACTIONS(3282),
    [anon_sym_eq] = ACTIONS(3284),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3282),
    [anon_sym_equ] = ACTIONS(3282),
    [anon_sym_eqr] = ACTIONS(3282),
    [anon_sym_ne] = ACTIONS(3282),
    [anon_sym_LT_EQ_GT] = ACTIONS(3282),
    [anon_sym_cmp] = ACTIONS(3282),
    [anon_sym_TILDE_TILDE] = ACTIONS(3282),
    [anon_sym_LT] = ACTIONS(3284),
    [anon_sym_LT_EQ] = ACTIONS(3284),
    [anon_sym_GT_EQ] = ACTIONS(3282),
    [anon_sym_lt] = ACTIONS(3282),
    [anon_sym_le] = ACTIONS(3282),
    [anon_sym_ge] = ACTIONS(3282),
    [anon_sym_gt] = ACTIONS(3282),
    [anon_sym_isa] = ACTIONS(3282),
    [anon_sym_PLUS_PLUS] = ACTIONS(3282),
    [anon_sym_DASH_DASH] = ACTIONS(3282),
    [anon_sym_QMARK] = ACTIONS(3282),
    [anon_sym_EQ_GT] = ACTIONS(3282),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3282),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2256] = {
    [sym_heredoc_content] = STATE(2256),
    [anon_sym_SEMI] = ACTIONS(3286),
    [anon_sym_EQ] = ACTIONS(3288),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3286),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3286),
    [anon_sym_COMMA] = ACTIONS(3286),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3286),
    [anon_sym_DASH_GT] = ACTIONS(3286),
    [anon_sym_PERCENT] = ACTIONS(3288),
    [anon_sym_GT] = ACTIONS(3288),
    [anon_sym_LT_LT] = ACTIONS(3288),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3286),
    [anon_sym_PLUS_EQ] = ACTIONS(3286),
    [anon_sym_DASH_EQ] = ACTIONS(3286),
    [anon_sym_DOT_EQ] = ACTIONS(3286),
    [anon_sym_STAR_EQ] = ACTIONS(3286),
    [anon_sym_SLASH_EQ] = ACTIONS(3286),
    [anon_sym_PERCENT_EQ] = ACTIONS(3286),
    [anon_sym_x_EQ] = ACTIONS(3286),
    [anon_sym_AMP_EQ] = ACTIONS(3286),
    [anon_sym_PIPE_EQ] = ACTIONS(3286),
    [anon_sym_CARET_EQ] = ACTIONS(3286),
    [anon_sym_LT_LT_EQ] = ACTIONS(3286),
    [anon_sym_GT_GT_EQ] = ACTIONS(3286),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3286),
    [anon_sym_DOT_DOT] = ACTIONS(3288),
    [anon_sym_STAR_STAR] = ACTIONS(3288),
    [anon_sym_PIPE_PIPE] = ACTIONS(3288),
    [anon_sym_SLASH_SLASH] = ACTIONS(3288),
    [anon_sym_CARET_CARET] = ACTIONS(3286),
    [anon_sym_AMP_AMP] = ACTIONS(3288),
    [anon_sym_PIPE] = ACTIONS(3288),
    [anon_sym_CARET] = ACTIONS(3288),
    [anon_sym_AMP] = ACTIONS(3288),
    [anon_sym_GT_GT2] = ACTIONS(3288),
    [anon_sym_PLUS] = ACTIONS(3288),
    [anon_sym_DASH] = ACTIONS(3288),
    [anon_sym_DOT] = ACTIONS(3288),
    [anon_sym_STAR] = ACTIONS(3288),
    [anon_sym_SLASH] = ACTIONS(3288),
    [anon_sym_x] = ACTIONS(3288),
    [anon_sym_EQ_TILDE] = ACTIONS(3286),
    [anon_sym_BANG_TILDE] = ACTIONS(3286),
    [anon_sym_EQ_EQ] = ACTIONS(3288),
    [anon_sym_BANG_EQ] = ACTIONS(3286),
    [anon_sym_eq] = ACTIONS(3288),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3286),
    [anon_sym_equ] = ACTIONS(3286),
    [anon_sym_eqr] = ACTIONS(3286),
    [anon_sym_ne] = ACTIONS(3286),
    [anon_sym_LT_EQ_GT] = ACTIONS(3286),
    [anon_sym_cmp] = ACTIONS(3286),
    [anon_sym_TILDE_TILDE] = ACTIONS(3286),
    [anon_sym_LT] = ACTIONS(3288),
    [anon_sym_LT_EQ] = ACTIONS(3288),
    [anon_sym_GT_EQ] = ACTIONS(3286),
    [anon_sym_lt] = ACTIONS(3286),
    [anon_sym_le] = ACTIONS(3286),
    [anon_sym_ge] = ACTIONS(3286),
    [anon_sym_gt] = ACTIONS(3286),
    [anon_sym_isa] = ACTIONS(3286),
    [anon_sym_PLUS_PLUS] = ACTIONS(3286),
    [anon_sym_DASH_DASH] = ACTIONS(3286),
    [anon_sym_QMARK] = ACTIONS(3286),
    [anon_sym_EQ_GT] = ACTIONS(3286),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3286),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2257] = {
    [sym_heredoc_content] = STATE(2257),
    [anon_sym_SEMI] = ACTIONS(3290),
    [anon_sym_EQ] = ACTIONS(3292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3290),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3290),
    [anon_sym_COMMA] = ACTIONS(3290),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3290),
    [anon_sym_DASH_GT] = ACTIONS(3290),
    [anon_sym_PERCENT] = ACTIONS(3292),
    [anon_sym_GT] = ACTIONS(3292),
    [anon_sym_LT_LT] = ACTIONS(3292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3290),
    [anon_sym_PLUS_EQ] = ACTIONS(3290),
    [anon_sym_DASH_EQ] = ACTIONS(3290),
    [anon_sym_DOT_EQ] = ACTIONS(3290),
    [anon_sym_STAR_EQ] = ACTIONS(3290),
    [anon_sym_SLASH_EQ] = ACTIONS(3290),
    [anon_sym_PERCENT_EQ] = ACTIONS(3290),
    [anon_sym_x_EQ] = ACTIONS(3290),
    [anon_sym_AMP_EQ] = ACTIONS(3290),
    [anon_sym_PIPE_EQ] = ACTIONS(3290),
    [anon_sym_CARET_EQ] = ACTIONS(3290),
    [anon_sym_LT_LT_EQ] = ACTIONS(3290),
    [anon_sym_GT_GT_EQ] = ACTIONS(3290),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3290),
    [anon_sym_DOT_DOT] = ACTIONS(3292),
    [anon_sym_STAR_STAR] = ACTIONS(3292),
    [anon_sym_PIPE_PIPE] = ACTIONS(3292),
    [anon_sym_SLASH_SLASH] = ACTIONS(3292),
    [anon_sym_CARET_CARET] = ACTIONS(3290),
    [anon_sym_AMP_AMP] = ACTIONS(3292),
    [anon_sym_PIPE] = ACTIONS(3292),
    [anon_sym_CARET] = ACTIONS(3292),
    [anon_sym_AMP] = ACTIONS(3292),
    [anon_sym_GT_GT2] = ACTIONS(3292),
    [anon_sym_PLUS] = ACTIONS(3292),
    [anon_sym_DASH] = ACTIONS(3292),
    [anon_sym_DOT] = ACTIONS(3292),
    [anon_sym_STAR] = ACTIONS(3292),
    [anon_sym_SLASH] = ACTIONS(3292),
    [anon_sym_x] = ACTIONS(3292),
    [anon_sym_EQ_TILDE] = ACTIONS(3290),
    [anon_sym_BANG_TILDE] = ACTIONS(3290),
    [anon_sym_EQ_EQ] = ACTIONS(3292),
    [anon_sym_BANG_EQ] = ACTIONS(3290),
    [anon_sym_eq] = ACTIONS(3292),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3290),
    [anon_sym_equ] = ACTIONS(3290),
    [anon_sym_eqr] = ACTIONS(3290),
    [anon_sym_ne] = ACTIONS(3290),
    [anon_sym_LT_EQ_GT] = ACTIONS(3290),
    [anon_sym_cmp] = ACTIONS(3290),
    [anon_sym_TILDE_TILDE] = ACTIONS(3290),
    [anon_sym_LT] = ACTIONS(3292),
    [anon_sym_LT_EQ] = ACTIONS(3292),
    [anon_sym_GT_EQ] = ACTIONS(3290),
    [anon_sym_lt] = ACTIONS(3290),
    [anon_sym_le] = ACTIONS(3290),
    [anon_sym_ge] = ACTIONS(3290),
    [anon_sym_gt] = ACTIONS(3290),
    [anon_sym_isa] = ACTIONS(3290),
    [anon_sym_PLUS_PLUS] = ACTIONS(3290),
    [anon_sym_DASH_DASH] = ACTIONS(3290),
    [anon_sym_QMARK] = ACTIONS(3290),
    [anon_sym_EQ_GT] = ACTIONS(3290),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3290),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2258] = {
    [sym_heredoc_content] = STATE(2258),
    [anon_sym_SEMI] = ACTIONS(3294),
    [anon_sym_EQ] = ACTIONS(3296),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3294),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3294),
    [anon_sym_COMMA] = ACTIONS(3294),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3294),
    [anon_sym_DASH_GT] = ACTIONS(3294),
    [anon_sym_PERCENT] = ACTIONS(3296),
    [anon_sym_GT] = ACTIONS(3296),
    [anon_sym_LT_LT] = ACTIONS(3296),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3294),
    [anon_sym_PLUS_EQ] = ACTIONS(3294),
    [anon_sym_DASH_EQ] = ACTIONS(3294),
    [anon_sym_DOT_EQ] = ACTIONS(3294),
    [anon_sym_STAR_EQ] = ACTIONS(3294),
    [anon_sym_SLASH_EQ] = ACTIONS(3294),
    [anon_sym_PERCENT_EQ] = ACTIONS(3294),
    [anon_sym_x_EQ] = ACTIONS(3294),
    [anon_sym_AMP_EQ] = ACTIONS(3294),
    [anon_sym_PIPE_EQ] = ACTIONS(3294),
    [anon_sym_CARET_EQ] = ACTIONS(3294),
    [anon_sym_LT_LT_EQ] = ACTIONS(3294),
    [anon_sym_GT_GT_EQ] = ACTIONS(3294),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3294),
    [anon_sym_DOT_DOT] = ACTIONS(3296),
    [anon_sym_STAR_STAR] = ACTIONS(3296),
    [anon_sym_PIPE_PIPE] = ACTIONS(3296),
    [anon_sym_SLASH_SLASH] = ACTIONS(3296),
    [anon_sym_CARET_CARET] = ACTIONS(3294),
    [anon_sym_AMP_AMP] = ACTIONS(3296),
    [anon_sym_PIPE] = ACTIONS(3296),
    [anon_sym_CARET] = ACTIONS(3296),
    [anon_sym_AMP] = ACTIONS(3296),
    [anon_sym_GT_GT2] = ACTIONS(3296),
    [anon_sym_PLUS] = ACTIONS(3296),
    [anon_sym_DASH] = ACTIONS(3296),
    [anon_sym_DOT] = ACTIONS(3296),
    [anon_sym_STAR] = ACTIONS(3296),
    [anon_sym_SLASH] = ACTIONS(3296),
    [anon_sym_x] = ACTIONS(3296),
    [anon_sym_EQ_TILDE] = ACTIONS(3294),
    [anon_sym_BANG_TILDE] = ACTIONS(3294),
    [anon_sym_EQ_EQ] = ACTIONS(3296),
    [anon_sym_BANG_EQ] = ACTIONS(3294),
    [anon_sym_eq] = ACTIONS(3296),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3294),
    [anon_sym_equ] = ACTIONS(3294),
    [anon_sym_eqr] = ACTIONS(3294),
    [anon_sym_ne] = ACTIONS(3294),
    [anon_sym_LT_EQ_GT] = ACTIONS(3294),
    [anon_sym_cmp] = ACTIONS(3294),
    [anon_sym_TILDE_TILDE] = ACTIONS(3294),
    [anon_sym_LT] = ACTIONS(3296),
    [anon_sym_LT_EQ] = ACTIONS(3296),
    [anon_sym_GT_EQ] = ACTIONS(3294),
    [anon_sym_lt] = ACTIONS(3294),
    [anon_sym_le] = ACTIONS(3294),
    [anon_sym_ge] = ACTIONS(3294),
    [anon_sym_gt] = ACTIONS(3294),
    [anon_sym_isa] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [anon_sym_QMARK] = ACTIONS(3294),
    [anon_sym_EQ_GT] = ACTIONS(3294),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3294),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2259] = {
    [sym_heredoc_content] = STATE(2259),
    [anon_sym_SEMI] = ACTIONS(2975),
    [anon_sym_EQ] = ACTIONS(2977),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2975),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2975),
    [anon_sym_COMMA] = ACTIONS(2975),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2975),
    [anon_sym_DASH_GT] = ACTIONS(2975),
    [anon_sym_PERCENT] = ACTIONS(2977),
    [anon_sym_GT] = ACTIONS(2977),
    [anon_sym_LT_LT] = ACTIONS(2977),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2975),
    [anon_sym_PLUS_EQ] = ACTIONS(2975),
    [anon_sym_DASH_EQ] = ACTIONS(2975),
    [anon_sym_DOT_EQ] = ACTIONS(2975),
    [anon_sym_STAR_EQ] = ACTIONS(2975),
    [anon_sym_SLASH_EQ] = ACTIONS(2975),
    [anon_sym_PERCENT_EQ] = ACTIONS(2975),
    [anon_sym_x_EQ] = ACTIONS(2975),
    [anon_sym_AMP_EQ] = ACTIONS(2975),
    [anon_sym_PIPE_EQ] = ACTIONS(2975),
    [anon_sym_CARET_EQ] = ACTIONS(2975),
    [anon_sym_LT_LT_EQ] = ACTIONS(2975),
    [anon_sym_GT_GT_EQ] = ACTIONS(2975),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2975),
    [anon_sym_DOT_DOT] = ACTIONS(2977),
    [anon_sym_STAR_STAR] = ACTIONS(2977),
    [anon_sym_PIPE_PIPE] = ACTIONS(2977),
    [anon_sym_SLASH_SLASH] = ACTIONS(2977),
    [anon_sym_CARET_CARET] = ACTIONS(2975),
    [anon_sym_AMP_AMP] = ACTIONS(2977),
    [anon_sym_PIPE] = ACTIONS(2977),
    [anon_sym_CARET] = ACTIONS(2977),
    [anon_sym_AMP] = ACTIONS(2977),
    [anon_sym_GT_GT2] = ACTIONS(2977),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(2977),
    [anon_sym_DOT] = ACTIONS(2977),
    [anon_sym_STAR] = ACTIONS(2977),
    [anon_sym_SLASH] = ACTIONS(2977),
    [anon_sym_x] = ACTIONS(2977),
    [anon_sym_EQ_TILDE] = ACTIONS(2975),
    [anon_sym_BANG_TILDE] = ACTIONS(2975),
    [anon_sym_EQ_EQ] = ACTIONS(2977),
    [anon_sym_BANG_EQ] = ACTIONS(2975),
    [anon_sym_eq] = ACTIONS(2977),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2975),
    [anon_sym_equ] = ACTIONS(2975),
    [anon_sym_eqr] = ACTIONS(2975),
    [anon_sym_ne] = ACTIONS(2975),
    [anon_sym_LT_EQ_GT] = ACTIONS(2975),
    [anon_sym_cmp] = ACTIONS(2975),
    [anon_sym_TILDE_TILDE] = ACTIONS(2975),
    [anon_sym_LT] = ACTIONS(2977),
    [anon_sym_LT_EQ] = ACTIONS(2977),
    [anon_sym_GT_EQ] = ACTIONS(2975),
    [anon_sym_lt] = ACTIONS(2975),
    [anon_sym_le] = ACTIONS(2975),
    [anon_sym_ge] = ACTIONS(2975),
    [anon_sym_gt] = ACTIONS(2975),
    [anon_sym_isa] = ACTIONS(2975),
    [anon_sym_PLUS_PLUS] = ACTIONS(2975),
    [anon_sym_DASH_DASH] = ACTIONS(2975),
    [anon_sym_QMARK] = ACTIONS(2975),
    [anon_sym_EQ_GT] = ACTIONS(2975),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2975),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2260] = {
    [sym_heredoc_content] = STATE(2260),
    [anon_sym_SEMI] = ACTIONS(3298),
    [anon_sym_EQ] = ACTIONS(3300),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3298),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3298),
    [anon_sym_COMMA] = ACTIONS(3298),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3298),
    [anon_sym_DASH_GT] = ACTIONS(3298),
    [anon_sym_PERCENT] = ACTIONS(3300),
    [anon_sym_GT] = ACTIONS(3300),
    [anon_sym_LT_LT] = ACTIONS(3300),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3298),
    [anon_sym_PLUS_EQ] = ACTIONS(3298),
    [anon_sym_DASH_EQ] = ACTIONS(3298),
    [anon_sym_DOT_EQ] = ACTIONS(3298),
    [anon_sym_STAR_EQ] = ACTIONS(3298),
    [anon_sym_SLASH_EQ] = ACTIONS(3298),
    [anon_sym_PERCENT_EQ] = ACTIONS(3298),
    [anon_sym_x_EQ] = ACTIONS(3298),
    [anon_sym_AMP_EQ] = ACTIONS(3298),
    [anon_sym_PIPE_EQ] = ACTIONS(3298),
    [anon_sym_CARET_EQ] = ACTIONS(3298),
    [anon_sym_LT_LT_EQ] = ACTIONS(3298),
    [anon_sym_GT_GT_EQ] = ACTIONS(3298),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3298),
    [anon_sym_DOT_DOT] = ACTIONS(3300),
    [anon_sym_STAR_STAR] = ACTIONS(3300),
    [anon_sym_PIPE_PIPE] = ACTIONS(3300),
    [anon_sym_SLASH_SLASH] = ACTIONS(3300),
    [anon_sym_CARET_CARET] = ACTIONS(3298),
    [anon_sym_AMP_AMP] = ACTIONS(3300),
    [anon_sym_PIPE] = ACTIONS(3300),
    [anon_sym_CARET] = ACTIONS(3300),
    [anon_sym_AMP] = ACTIONS(3300),
    [anon_sym_GT_GT2] = ACTIONS(3300),
    [anon_sym_PLUS] = ACTIONS(3300),
    [anon_sym_DASH] = ACTIONS(3300),
    [anon_sym_DOT] = ACTIONS(3300),
    [anon_sym_STAR] = ACTIONS(3300),
    [anon_sym_SLASH] = ACTIONS(3300),
    [anon_sym_x] = ACTIONS(3300),
    [anon_sym_EQ_TILDE] = ACTIONS(3298),
    [anon_sym_BANG_TILDE] = ACTIONS(3298),
    [anon_sym_EQ_EQ] = ACTIONS(3300),
    [anon_sym_BANG_EQ] = ACTIONS(3298),
    [anon_sym_eq] = ACTIONS(3300),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3298),
    [anon_sym_equ] = ACTIONS(3298),
    [anon_sym_eqr] = ACTIONS(3298),
    [anon_sym_ne] = ACTIONS(3298),
    [anon_sym_LT_EQ_GT] = ACTIONS(3298),
    [anon_sym_cmp] = ACTIONS(3298),
    [anon_sym_TILDE_TILDE] = ACTIONS(3298),
    [anon_sym_LT] = ACTIONS(3300),
    [anon_sym_LT_EQ] = ACTIONS(3300),
    [anon_sym_GT_EQ] = ACTIONS(3298),
    [anon_sym_lt] = ACTIONS(3298),
    [anon_sym_le] = ACTIONS(3298),
    [anon_sym_ge] = ACTIONS(3298),
    [anon_sym_gt] = ACTIONS(3298),
    [anon_sym_isa] = ACTIONS(3298),
    [anon_sym_PLUS_PLUS] = ACTIONS(3298),
    [anon_sym_DASH_DASH] = ACTIONS(3298),
    [anon_sym_QMARK] = ACTIONS(3298),
    [anon_sym_EQ_GT] = ACTIONS(3298),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3298),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2261] = {
    [sym_heredoc_content] = STATE(2261),
    [anon_sym_SEMI] = ACTIONS(3302),
    [anon_sym_EQ] = ACTIONS(3304),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3302),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3302),
    [anon_sym_COMMA] = ACTIONS(3302),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3302),
    [anon_sym_DASH_GT] = ACTIONS(3302),
    [anon_sym_PERCENT] = ACTIONS(3304),
    [anon_sym_GT] = ACTIONS(3304),
    [anon_sym_LT_LT] = ACTIONS(3304),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3302),
    [anon_sym_PLUS_EQ] = ACTIONS(3302),
    [anon_sym_DASH_EQ] = ACTIONS(3302),
    [anon_sym_DOT_EQ] = ACTIONS(3302),
    [anon_sym_STAR_EQ] = ACTIONS(3302),
    [anon_sym_SLASH_EQ] = ACTIONS(3302),
    [anon_sym_PERCENT_EQ] = ACTIONS(3302),
    [anon_sym_x_EQ] = ACTIONS(3302),
    [anon_sym_AMP_EQ] = ACTIONS(3302),
    [anon_sym_PIPE_EQ] = ACTIONS(3302),
    [anon_sym_CARET_EQ] = ACTIONS(3302),
    [anon_sym_LT_LT_EQ] = ACTIONS(3302),
    [anon_sym_GT_GT_EQ] = ACTIONS(3302),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3302),
    [anon_sym_DOT_DOT] = ACTIONS(3304),
    [anon_sym_STAR_STAR] = ACTIONS(3304),
    [anon_sym_PIPE_PIPE] = ACTIONS(3304),
    [anon_sym_SLASH_SLASH] = ACTIONS(3304),
    [anon_sym_CARET_CARET] = ACTIONS(3302),
    [anon_sym_AMP_AMP] = ACTIONS(3304),
    [anon_sym_PIPE] = ACTIONS(3304),
    [anon_sym_CARET] = ACTIONS(3304),
    [anon_sym_AMP] = ACTIONS(3304),
    [anon_sym_GT_GT2] = ACTIONS(3304),
    [anon_sym_PLUS] = ACTIONS(3304),
    [anon_sym_DASH] = ACTIONS(3304),
    [anon_sym_DOT] = ACTIONS(3304),
    [anon_sym_STAR] = ACTIONS(3304),
    [anon_sym_SLASH] = ACTIONS(3304),
    [anon_sym_x] = ACTIONS(3304),
    [anon_sym_EQ_TILDE] = ACTIONS(3302),
    [anon_sym_BANG_TILDE] = ACTIONS(3302),
    [anon_sym_EQ_EQ] = ACTIONS(3304),
    [anon_sym_BANG_EQ] = ACTIONS(3302),
    [anon_sym_eq] = ACTIONS(3304),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3302),
    [anon_sym_equ] = ACTIONS(3302),
    [anon_sym_eqr] = ACTIONS(3302),
    [anon_sym_ne] = ACTIONS(3302),
    [anon_sym_LT_EQ_GT] = ACTIONS(3302),
    [anon_sym_cmp] = ACTIONS(3302),
    [anon_sym_TILDE_TILDE] = ACTIONS(3302),
    [anon_sym_LT] = ACTIONS(3304),
    [anon_sym_LT_EQ] = ACTIONS(3304),
    [anon_sym_GT_EQ] = ACTIONS(3302),
    [anon_sym_lt] = ACTIONS(3302),
    [anon_sym_le] = ACTIONS(3302),
    [anon_sym_ge] = ACTIONS(3302),
    [anon_sym_gt] = ACTIONS(3302),
    [anon_sym_isa] = ACTIONS(3302),
    [anon_sym_PLUS_PLUS] = ACTIONS(3302),
    [anon_sym_DASH_DASH] = ACTIONS(3302),
    [anon_sym_QMARK] = ACTIONS(3302),
    [anon_sym_EQ_GT] = ACTIONS(3302),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3302),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2262] = {
    [sym_heredoc_content] = STATE(2262),
    [anon_sym_RBRACE] = ACTIONS(3019),
    [anon_sym_EQ] = ACTIONS(3021),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_COMMA] = ACTIONS(3019),
    [anon_sym_RPAREN] = ACTIONS(3019),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3019),
    [anon_sym_DASH_GT] = ACTIONS(3831),
    [anon_sym_PERCENT] = ACTIONS(3833),
    [anon_sym_GT] = ACTIONS(3835),
    [anon_sym_LT_LT] = ACTIONS(3837),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3019),
    [anon_sym_PLUS_EQ] = ACTIONS(3019),
    [anon_sym_DASH_EQ] = ACTIONS(3019),
    [anon_sym_DOT_EQ] = ACTIONS(3019),
    [anon_sym_STAR_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_PERCENT_EQ] = ACTIONS(3019),
    [anon_sym_x_EQ] = ACTIONS(3019),
    [anon_sym_AMP_EQ] = ACTIONS(3019),
    [anon_sym_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_CARET_EQ] = ACTIONS(3019),
    [anon_sym_LT_LT_EQ] = ACTIONS(3019),
    [anon_sym_GT_GT_EQ] = ACTIONS(3019),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3019),
    [anon_sym_DOT_DOT] = ACTIONS(3021),
    [anon_sym_STAR_STAR] = ACTIONS(3841),
    [anon_sym_PIPE_PIPE] = ACTIONS(3021),
    [anon_sym_SLASH_SLASH] = ACTIONS(3021),
    [anon_sym_CARET_CARET] = ACTIONS(3019),
    [anon_sym_AMP_AMP] = ACTIONS(3021),
    [anon_sym_PIPE] = ACTIONS(3021),
    [anon_sym_CARET] = ACTIONS(3021),
    [anon_sym_AMP] = ACTIONS(3021),
    [anon_sym_GT_GT2] = ACTIONS(3837),
    [anon_sym_PLUS] = ACTIONS(3853),
    [anon_sym_DASH] = ACTIONS(3853),
    [anon_sym_DOT] = ACTIONS(3853),
    [anon_sym_STAR] = ACTIONS(3833),
    [anon_sym_SLASH] = ACTIONS(3833),
    [anon_sym_x] = ACTIONS(3833),
    [anon_sym_EQ_TILDE] = ACTIONS(3855),
    [anon_sym_BANG_TILDE] = ACTIONS(3855),
    [anon_sym_EQ_EQ] = ACTIONS(3857),
    [anon_sym_BANG_EQ] = ACTIONS(3859),
    [anon_sym_eq] = ACTIONS(3857),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3859),
    [anon_sym_equ] = ACTIONS(3859),
    [anon_sym_eqr] = ACTIONS(3859),
    [anon_sym_ne] = ACTIONS(3859),
    [anon_sym_LT_EQ_GT] = ACTIONS(3861),
    [anon_sym_cmp] = ACTIONS(3861),
    [anon_sym_TILDE_TILDE] = ACTIONS(3861),
    [anon_sym_LT] = ACTIONS(3835),
    [anon_sym_LT_EQ] = ACTIONS(3835),
    [anon_sym_GT_EQ] = ACTIONS(3863),
    [anon_sym_lt] = ACTIONS(3863),
    [anon_sym_le] = ACTIONS(3863),
    [anon_sym_ge] = ACTIONS(3863),
    [anon_sym_gt] = ACTIONS(3863),
    [anon_sym_isa] = ACTIONS(3865),
    [anon_sym_PLUS_PLUS] = ACTIONS(3867),
    [anon_sym_DASH_DASH] = ACTIONS(3867),
    [anon_sym_QMARK] = ACTIONS(3019),
    [anon_sym_EQ_GT] = ACTIONS(3019),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2263] = {
    [sym_heredoc_content] = STATE(2263),
    [anon_sym_SEMI] = ACTIONS(3306),
    [anon_sym_EQ] = ACTIONS(3308),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3306),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3306),
    [anon_sym_COMMA] = ACTIONS(3306),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3306),
    [anon_sym_DASH_GT] = ACTIONS(3306),
    [anon_sym_PERCENT] = ACTIONS(3308),
    [anon_sym_GT] = ACTIONS(3308),
    [anon_sym_LT_LT] = ACTIONS(3308),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3306),
    [anon_sym_PLUS_EQ] = ACTIONS(3306),
    [anon_sym_DASH_EQ] = ACTIONS(3306),
    [anon_sym_DOT_EQ] = ACTIONS(3306),
    [anon_sym_STAR_EQ] = ACTIONS(3306),
    [anon_sym_SLASH_EQ] = ACTIONS(3306),
    [anon_sym_PERCENT_EQ] = ACTIONS(3306),
    [anon_sym_x_EQ] = ACTIONS(3306),
    [anon_sym_AMP_EQ] = ACTIONS(3306),
    [anon_sym_PIPE_EQ] = ACTIONS(3306),
    [anon_sym_CARET_EQ] = ACTIONS(3306),
    [anon_sym_LT_LT_EQ] = ACTIONS(3306),
    [anon_sym_GT_GT_EQ] = ACTIONS(3306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3306),
    [anon_sym_DOT_DOT] = ACTIONS(3308),
    [anon_sym_STAR_STAR] = ACTIONS(3308),
    [anon_sym_PIPE_PIPE] = ACTIONS(3308),
    [anon_sym_SLASH_SLASH] = ACTIONS(3308),
    [anon_sym_CARET_CARET] = ACTIONS(3306),
    [anon_sym_AMP_AMP] = ACTIONS(3308),
    [anon_sym_PIPE] = ACTIONS(3308),
    [anon_sym_CARET] = ACTIONS(3308),
    [anon_sym_AMP] = ACTIONS(3308),
    [anon_sym_GT_GT2] = ACTIONS(3308),
    [anon_sym_PLUS] = ACTIONS(3308),
    [anon_sym_DASH] = ACTIONS(3308),
    [anon_sym_DOT] = ACTIONS(3308),
    [anon_sym_STAR] = ACTIONS(3308),
    [anon_sym_SLASH] = ACTIONS(3308),
    [anon_sym_x] = ACTIONS(3308),
    [anon_sym_EQ_TILDE] = ACTIONS(3306),
    [anon_sym_BANG_TILDE] = ACTIONS(3306),
    [anon_sym_EQ_EQ] = ACTIONS(3308),
    [anon_sym_BANG_EQ] = ACTIONS(3306),
    [anon_sym_eq] = ACTIONS(3308),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3306),
    [anon_sym_equ] = ACTIONS(3306),
    [anon_sym_eqr] = ACTIONS(3306),
    [anon_sym_ne] = ACTIONS(3306),
    [anon_sym_LT_EQ_GT] = ACTIONS(3306),
    [anon_sym_cmp] = ACTIONS(3306),
    [anon_sym_TILDE_TILDE] = ACTIONS(3306),
    [anon_sym_LT] = ACTIONS(3308),
    [anon_sym_LT_EQ] = ACTIONS(3308),
    [anon_sym_GT_EQ] = ACTIONS(3306),
    [anon_sym_lt] = ACTIONS(3306),
    [anon_sym_le] = ACTIONS(3306),
    [anon_sym_ge] = ACTIONS(3306),
    [anon_sym_gt] = ACTIONS(3306),
    [anon_sym_isa] = ACTIONS(3306),
    [anon_sym_PLUS_PLUS] = ACTIONS(3306),
    [anon_sym_DASH_DASH] = ACTIONS(3306),
    [anon_sym_QMARK] = ACTIONS(3306),
    [anon_sym_EQ_GT] = ACTIONS(3306),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3306),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2264] = {
    [sym_heredoc_content] = STATE(2264),
    [anon_sym_SEMI] = ACTIONS(3310),
    [anon_sym_EQ] = ACTIONS(3312),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3310),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3310),
    [anon_sym_COMMA] = ACTIONS(3310),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3310),
    [anon_sym_DASH_GT] = ACTIONS(3310),
    [anon_sym_PERCENT] = ACTIONS(3312),
    [anon_sym_GT] = ACTIONS(3312),
    [anon_sym_LT_LT] = ACTIONS(3312),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3310),
    [anon_sym_PLUS_EQ] = ACTIONS(3310),
    [anon_sym_DASH_EQ] = ACTIONS(3310),
    [anon_sym_DOT_EQ] = ACTIONS(3310),
    [anon_sym_STAR_EQ] = ACTIONS(3310),
    [anon_sym_SLASH_EQ] = ACTIONS(3310),
    [anon_sym_PERCENT_EQ] = ACTIONS(3310),
    [anon_sym_x_EQ] = ACTIONS(3310),
    [anon_sym_AMP_EQ] = ACTIONS(3310),
    [anon_sym_PIPE_EQ] = ACTIONS(3310),
    [anon_sym_CARET_EQ] = ACTIONS(3310),
    [anon_sym_LT_LT_EQ] = ACTIONS(3310),
    [anon_sym_GT_GT_EQ] = ACTIONS(3310),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3310),
    [anon_sym_DOT_DOT] = ACTIONS(3312),
    [anon_sym_STAR_STAR] = ACTIONS(3312),
    [anon_sym_PIPE_PIPE] = ACTIONS(3312),
    [anon_sym_SLASH_SLASH] = ACTIONS(3312),
    [anon_sym_CARET_CARET] = ACTIONS(3310),
    [anon_sym_AMP_AMP] = ACTIONS(3312),
    [anon_sym_PIPE] = ACTIONS(3312),
    [anon_sym_CARET] = ACTIONS(3312),
    [anon_sym_AMP] = ACTIONS(3312),
    [anon_sym_GT_GT2] = ACTIONS(3312),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_DASH] = ACTIONS(3312),
    [anon_sym_DOT] = ACTIONS(3312),
    [anon_sym_STAR] = ACTIONS(3312),
    [anon_sym_SLASH] = ACTIONS(3312),
    [anon_sym_x] = ACTIONS(3312),
    [anon_sym_EQ_TILDE] = ACTIONS(3310),
    [anon_sym_BANG_TILDE] = ACTIONS(3310),
    [anon_sym_EQ_EQ] = ACTIONS(3312),
    [anon_sym_BANG_EQ] = ACTIONS(3310),
    [anon_sym_eq] = ACTIONS(3312),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3310),
    [anon_sym_equ] = ACTIONS(3310),
    [anon_sym_eqr] = ACTIONS(3310),
    [anon_sym_ne] = ACTIONS(3310),
    [anon_sym_LT_EQ_GT] = ACTIONS(3310),
    [anon_sym_cmp] = ACTIONS(3310),
    [anon_sym_TILDE_TILDE] = ACTIONS(3310),
    [anon_sym_LT] = ACTIONS(3312),
    [anon_sym_LT_EQ] = ACTIONS(3312),
    [anon_sym_GT_EQ] = ACTIONS(3310),
    [anon_sym_lt] = ACTIONS(3310),
    [anon_sym_le] = ACTIONS(3310),
    [anon_sym_ge] = ACTIONS(3310),
    [anon_sym_gt] = ACTIONS(3310),
    [anon_sym_isa] = ACTIONS(3310),
    [anon_sym_PLUS_PLUS] = ACTIONS(3310),
    [anon_sym_DASH_DASH] = ACTIONS(3310),
    [anon_sym_QMARK] = ACTIONS(3310),
    [anon_sym_EQ_GT] = ACTIONS(3310),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3310),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2265] = {
    [sym_heredoc_content] = STATE(2265),
    [anon_sym_SEMI] = ACTIONS(3314),
    [anon_sym_EQ] = ACTIONS(3316),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3314),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3314),
    [anon_sym_COMMA] = ACTIONS(3314),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3314),
    [anon_sym_DASH_GT] = ACTIONS(3314),
    [anon_sym_PERCENT] = ACTIONS(3316),
    [anon_sym_GT] = ACTIONS(3316),
    [anon_sym_LT_LT] = ACTIONS(3316),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3314),
    [anon_sym_PLUS_EQ] = ACTIONS(3314),
    [anon_sym_DASH_EQ] = ACTIONS(3314),
    [anon_sym_DOT_EQ] = ACTIONS(3314),
    [anon_sym_STAR_EQ] = ACTIONS(3314),
    [anon_sym_SLASH_EQ] = ACTIONS(3314),
    [anon_sym_PERCENT_EQ] = ACTIONS(3314),
    [anon_sym_x_EQ] = ACTIONS(3314),
    [anon_sym_AMP_EQ] = ACTIONS(3314),
    [anon_sym_PIPE_EQ] = ACTIONS(3314),
    [anon_sym_CARET_EQ] = ACTIONS(3314),
    [anon_sym_LT_LT_EQ] = ACTIONS(3314),
    [anon_sym_GT_GT_EQ] = ACTIONS(3314),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3314),
    [anon_sym_DOT_DOT] = ACTIONS(3316),
    [anon_sym_STAR_STAR] = ACTIONS(3316),
    [anon_sym_PIPE_PIPE] = ACTIONS(3316),
    [anon_sym_SLASH_SLASH] = ACTIONS(3316),
    [anon_sym_CARET_CARET] = ACTIONS(3314),
    [anon_sym_AMP_AMP] = ACTIONS(3316),
    [anon_sym_PIPE] = ACTIONS(3316),
    [anon_sym_CARET] = ACTIONS(3316),
    [anon_sym_AMP] = ACTIONS(3316),
    [anon_sym_GT_GT2] = ACTIONS(3316),
    [anon_sym_PLUS] = ACTIONS(3316),
    [anon_sym_DASH] = ACTIONS(3316),
    [anon_sym_DOT] = ACTIONS(3316),
    [anon_sym_STAR] = ACTIONS(3316),
    [anon_sym_SLASH] = ACTIONS(3316),
    [anon_sym_x] = ACTIONS(3316),
    [anon_sym_EQ_TILDE] = ACTIONS(3314),
    [anon_sym_BANG_TILDE] = ACTIONS(3314),
    [anon_sym_EQ_EQ] = ACTIONS(3316),
    [anon_sym_BANG_EQ] = ACTIONS(3314),
    [anon_sym_eq] = ACTIONS(3316),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3314),
    [anon_sym_equ] = ACTIONS(3314),
    [anon_sym_eqr] = ACTIONS(3314),
    [anon_sym_ne] = ACTIONS(3314),
    [anon_sym_LT_EQ_GT] = ACTIONS(3314),
    [anon_sym_cmp] = ACTIONS(3314),
    [anon_sym_TILDE_TILDE] = ACTIONS(3314),
    [anon_sym_LT] = ACTIONS(3316),
    [anon_sym_LT_EQ] = ACTIONS(3316),
    [anon_sym_GT_EQ] = ACTIONS(3314),
    [anon_sym_lt] = ACTIONS(3314),
    [anon_sym_le] = ACTIONS(3314),
    [anon_sym_ge] = ACTIONS(3314),
    [anon_sym_gt] = ACTIONS(3314),
    [anon_sym_isa] = ACTIONS(3314),
    [anon_sym_PLUS_PLUS] = ACTIONS(3314),
    [anon_sym_DASH_DASH] = ACTIONS(3314),
    [anon_sym_QMARK] = ACTIONS(3314),
    [anon_sym_EQ_GT] = ACTIONS(3314),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3314),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2266] = {
    [sym_heredoc_content] = STATE(2266),
    [anon_sym_SEMI] = ACTIONS(3031),
    [anon_sym_EQ] = ACTIONS(3033),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3031),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3031),
    [anon_sym_COMMA] = ACTIONS(3031),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3031),
    [anon_sym_DASH_GT] = ACTIONS(3031),
    [anon_sym_PERCENT] = ACTIONS(3033),
    [anon_sym_GT] = ACTIONS(3033),
    [anon_sym_LT_LT] = ACTIONS(3033),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3031),
    [anon_sym_PLUS_EQ] = ACTIONS(3031),
    [anon_sym_DASH_EQ] = ACTIONS(3031),
    [anon_sym_DOT_EQ] = ACTIONS(3031),
    [anon_sym_STAR_EQ] = ACTIONS(3031),
    [anon_sym_SLASH_EQ] = ACTIONS(3031),
    [anon_sym_PERCENT_EQ] = ACTIONS(3031),
    [anon_sym_x_EQ] = ACTIONS(3031),
    [anon_sym_AMP_EQ] = ACTIONS(3031),
    [anon_sym_PIPE_EQ] = ACTIONS(3031),
    [anon_sym_CARET_EQ] = ACTIONS(3031),
    [anon_sym_LT_LT_EQ] = ACTIONS(3031),
    [anon_sym_GT_GT_EQ] = ACTIONS(3031),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3031),
    [anon_sym_DOT_DOT] = ACTIONS(3033),
    [anon_sym_STAR_STAR] = ACTIONS(3033),
    [anon_sym_PIPE_PIPE] = ACTIONS(3033),
    [anon_sym_SLASH_SLASH] = ACTIONS(3033),
    [anon_sym_CARET_CARET] = ACTIONS(3031),
    [anon_sym_AMP_AMP] = ACTIONS(3033),
    [anon_sym_PIPE] = ACTIONS(3033),
    [anon_sym_CARET] = ACTIONS(3033),
    [anon_sym_AMP] = ACTIONS(3033),
    [anon_sym_GT_GT2] = ACTIONS(3033),
    [anon_sym_PLUS] = ACTIONS(3033),
    [anon_sym_DASH] = ACTIONS(3033),
    [anon_sym_DOT] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3033),
    [anon_sym_SLASH] = ACTIONS(3033),
    [anon_sym_x] = ACTIONS(3033),
    [anon_sym_EQ_TILDE] = ACTIONS(3031),
    [anon_sym_BANG_TILDE] = ACTIONS(3031),
    [anon_sym_EQ_EQ] = ACTIONS(3033),
    [anon_sym_BANG_EQ] = ACTIONS(3031),
    [anon_sym_eq] = ACTIONS(3033),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3031),
    [anon_sym_equ] = ACTIONS(3031),
    [anon_sym_eqr] = ACTIONS(3031),
    [anon_sym_ne] = ACTIONS(3031),
    [anon_sym_LT_EQ_GT] = ACTIONS(3031),
    [anon_sym_cmp] = ACTIONS(3031),
    [anon_sym_TILDE_TILDE] = ACTIONS(3031),
    [anon_sym_LT] = ACTIONS(3033),
    [anon_sym_LT_EQ] = ACTIONS(3033),
    [anon_sym_GT_EQ] = ACTIONS(3031),
    [anon_sym_lt] = ACTIONS(3031),
    [anon_sym_le] = ACTIONS(3031),
    [anon_sym_ge] = ACTIONS(3031),
    [anon_sym_gt] = ACTIONS(3031),
    [anon_sym_isa] = ACTIONS(3031),
    [anon_sym_PLUS_PLUS] = ACTIONS(3031),
    [anon_sym_DASH_DASH] = ACTIONS(3031),
    [anon_sym_QMARK] = ACTIONS(3031),
    [anon_sym_EQ_GT] = ACTIONS(3031),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3031),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2267] = {
    [sym_heredoc_content] = STATE(2267),
    [anon_sym_SEMI] = ACTIONS(2841),
    [anon_sym_EQ] = ACTIONS(2843),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2841),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2841),
    [anon_sym_COMMA] = ACTIONS(2841),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2841),
    [anon_sym_DASH_GT] = ACTIONS(2841),
    [anon_sym_PERCENT] = ACTIONS(2843),
    [anon_sym_GT] = ACTIONS(2843),
    [anon_sym_LT_LT] = ACTIONS(2843),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2841),
    [anon_sym_PLUS_EQ] = ACTIONS(2841),
    [anon_sym_DASH_EQ] = ACTIONS(2841),
    [anon_sym_DOT_EQ] = ACTIONS(2841),
    [anon_sym_STAR_EQ] = ACTIONS(2841),
    [anon_sym_SLASH_EQ] = ACTIONS(2841),
    [anon_sym_PERCENT_EQ] = ACTIONS(2841),
    [anon_sym_x_EQ] = ACTIONS(2841),
    [anon_sym_AMP_EQ] = ACTIONS(2841),
    [anon_sym_PIPE_EQ] = ACTIONS(2841),
    [anon_sym_CARET_EQ] = ACTIONS(2841),
    [anon_sym_LT_LT_EQ] = ACTIONS(2841),
    [anon_sym_GT_GT_EQ] = ACTIONS(2841),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2841),
    [anon_sym_DOT_DOT] = ACTIONS(2843),
    [anon_sym_STAR_STAR] = ACTIONS(2843),
    [anon_sym_PIPE_PIPE] = ACTIONS(2843),
    [anon_sym_SLASH_SLASH] = ACTIONS(2843),
    [anon_sym_CARET_CARET] = ACTIONS(2841),
    [anon_sym_AMP_AMP] = ACTIONS(2843),
    [anon_sym_PIPE] = ACTIONS(2843),
    [anon_sym_CARET] = ACTIONS(2843),
    [anon_sym_AMP] = ACTIONS(2843),
    [anon_sym_GT_GT2] = ACTIONS(2843),
    [anon_sym_PLUS] = ACTIONS(2843),
    [anon_sym_DASH] = ACTIONS(2843),
    [anon_sym_DOT] = ACTIONS(2843),
    [anon_sym_STAR] = ACTIONS(2843),
    [anon_sym_SLASH] = ACTIONS(2843),
    [anon_sym_x] = ACTIONS(2843),
    [anon_sym_EQ_TILDE] = ACTIONS(2841),
    [anon_sym_BANG_TILDE] = ACTIONS(2841),
    [anon_sym_EQ_EQ] = ACTIONS(2843),
    [anon_sym_BANG_EQ] = ACTIONS(2841),
    [anon_sym_eq] = ACTIONS(2843),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2841),
    [anon_sym_equ] = ACTIONS(2841),
    [anon_sym_eqr] = ACTIONS(2841),
    [anon_sym_ne] = ACTIONS(2841),
    [anon_sym_LT_EQ_GT] = ACTIONS(2841),
    [anon_sym_cmp] = ACTIONS(2841),
    [anon_sym_TILDE_TILDE] = ACTIONS(2841),
    [anon_sym_LT] = ACTIONS(2843),
    [anon_sym_LT_EQ] = ACTIONS(2843),
    [anon_sym_GT_EQ] = ACTIONS(2841),
    [anon_sym_lt] = ACTIONS(2841),
    [anon_sym_le] = ACTIONS(2841),
    [anon_sym_ge] = ACTIONS(2841),
    [anon_sym_gt] = ACTIONS(2841),
    [anon_sym_isa] = ACTIONS(2841),
    [anon_sym_PLUS_PLUS] = ACTIONS(2841),
    [anon_sym_DASH_DASH] = ACTIONS(2841),
    [anon_sym_QMARK] = ACTIONS(2841),
    [anon_sym_EQ_GT] = ACTIONS(2841),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2841),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2268] = {
    [sym_heredoc_content] = STATE(2268),
    [anon_sym_SEMI] = ACTIONS(3242),
    [anon_sym_EQ] = ACTIONS(3244),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3242),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3242),
    [anon_sym_COMMA] = ACTIONS(3242),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3242),
    [anon_sym_DASH_GT] = ACTIONS(3242),
    [anon_sym_PERCENT] = ACTIONS(3244),
    [anon_sym_GT] = ACTIONS(3244),
    [anon_sym_LT_LT] = ACTIONS(3244),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3242),
    [anon_sym_PLUS_EQ] = ACTIONS(3242),
    [anon_sym_DASH_EQ] = ACTIONS(3242),
    [anon_sym_DOT_EQ] = ACTIONS(3242),
    [anon_sym_STAR_EQ] = ACTIONS(3242),
    [anon_sym_SLASH_EQ] = ACTIONS(3242),
    [anon_sym_PERCENT_EQ] = ACTIONS(3242),
    [anon_sym_x_EQ] = ACTIONS(3242),
    [anon_sym_AMP_EQ] = ACTIONS(3242),
    [anon_sym_PIPE_EQ] = ACTIONS(3242),
    [anon_sym_CARET_EQ] = ACTIONS(3242),
    [anon_sym_LT_LT_EQ] = ACTIONS(3242),
    [anon_sym_GT_GT_EQ] = ACTIONS(3242),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3242),
    [anon_sym_DOT_DOT] = ACTIONS(3244),
    [anon_sym_STAR_STAR] = ACTIONS(3244),
    [anon_sym_PIPE_PIPE] = ACTIONS(3244),
    [anon_sym_SLASH_SLASH] = ACTIONS(3244),
    [anon_sym_CARET_CARET] = ACTIONS(3242),
    [anon_sym_AMP_AMP] = ACTIONS(3244),
    [anon_sym_PIPE] = ACTIONS(3244),
    [anon_sym_CARET] = ACTIONS(3244),
    [anon_sym_AMP] = ACTIONS(3244),
    [anon_sym_GT_GT2] = ACTIONS(3244),
    [anon_sym_PLUS] = ACTIONS(3244),
    [anon_sym_DASH] = ACTIONS(3244),
    [anon_sym_DOT] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3244),
    [anon_sym_SLASH] = ACTIONS(3244),
    [anon_sym_x] = ACTIONS(3244),
    [anon_sym_EQ_TILDE] = ACTIONS(3242),
    [anon_sym_BANG_TILDE] = ACTIONS(3242),
    [anon_sym_EQ_EQ] = ACTIONS(3244),
    [anon_sym_BANG_EQ] = ACTIONS(3242),
    [anon_sym_eq] = ACTIONS(3244),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3242),
    [anon_sym_equ] = ACTIONS(3242),
    [anon_sym_eqr] = ACTIONS(3242),
    [anon_sym_ne] = ACTIONS(3242),
    [anon_sym_LT_EQ_GT] = ACTIONS(3242),
    [anon_sym_cmp] = ACTIONS(3242),
    [anon_sym_TILDE_TILDE] = ACTIONS(3242),
    [anon_sym_LT] = ACTIONS(3244),
    [anon_sym_LT_EQ] = ACTIONS(3244),
    [anon_sym_GT_EQ] = ACTIONS(3242),
    [anon_sym_lt] = ACTIONS(3242),
    [anon_sym_le] = ACTIONS(3242),
    [anon_sym_ge] = ACTIONS(3242),
    [anon_sym_gt] = ACTIONS(3242),
    [anon_sym_isa] = ACTIONS(3242),
    [anon_sym_PLUS_PLUS] = ACTIONS(3242),
    [anon_sym_DASH_DASH] = ACTIONS(3242),
    [anon_sym_QMARK] = ACTIONS(3242),
    [anon_sym_EQ_GT] = ACTIONS(3242),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3242),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2269] = {
    [sym_heredoc_content] = STATE(2269),
    [anon_sym_SEMI] = ACTIONS(2995),
    [anon_sym_EQ] = ACTIONS(2997),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2995),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2995),
    [anon_sym_COMMA] = ACTIONS(2995),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2995),
    [anon_sym_DASH_GT] = ACTIONS(2995),
    [anon_sym_PERCENT] = ACTIONS(2997),
    [anon_sym_GT] = ACTIONS(2997),
    [anon_sym_LT_LT] = ACTIONS(2997),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2995),
    [anon_sym_PLUS_EQ] = ACTIONS(2995),
    [anon_sym_DASH_EQ] = ACTIONS(2995),
    [anon_sym_DOT_EQ] = ACTIONS(2995),
    [anon_sym_STAR_EQ] = ACTIONS(2995),
    [anon_sym_SLASH_EQ] = ACTIONS(2995),
    [anon_sym_PERCENT_EQ] = ACTIONS(2995),
    [anon_sym_x_EQ] = ACTIONS(2995),
    [anon_sym_AMP_EQ] = ACTIONS(2995),
    [anon_sym_PIPE_EQ] = ACTIONS(2995),
    [anon_sym_CARET_EQ] = ACTIONS(2995),
    [anon_sym_LT_LT_EQ] = ACTIONS(2995),
    [anon_sym_GT_GT_EQ] = ACTIONS(2995),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2995),
    [anon_sym_DOT_DOT] = ACTIONS(2997),
    [anon_sym_STAR_STAR] = ACTIONS(2997),
    [anon_sym_PIPE_PIPE] = ACTIONS(2997),
    [anon_sym_SLASH_SLASH] = ACTIONS(2997),
    [anon_sym_CARET_CARET] = ACTIONS(2995),
    [anon_sym_AMP_AMP] = ACTIONS(2997),
    [anon_sym_PIPE] = ACTIONS(2997),
    [anon_sym_CARET] = ACTIONS(2997),
    [anon_sym_AMP] = ACTIONS(2997),
    [anon_sym_GT_GT2] = ACTIONS(2997),
    [anon_sym_PLUS] = ACTIONS(2997),
    [anon_sym_DASH] = ACTIONS(2997),
    [anon_sym_DOT] = ACTIONS(2997),
    [anon_sym_STAR] = ACTIONS(2997),
    [anon_sym_SLASH] = ACTIONS(2997),
    [anon_sym_x] = ACTIONS(2997),
    [anon_sym_EQ_TILDE] = ACTIONS(2995),
    [anon_sym_BANG_TILDE] = ACTIONS(2995),
    [anon_sym_EQ_EQ] = ACTIONS(2997),
    [anon_sym_BANG_EQ] = ACTIONS(2995),
    [anon_sym_eq] = ACTIONS(2997),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2995),
    [anon_sym_equ] = ACTIONS(2995),
    [anon_sym_eqr] = ACTIONS(2995),
    [anon_sym_ne] = ACTIONS(2995),
    [anon_sym_LT_EQ_GT] = ACTIONS(2995),
    [anon_sym_cmp] = ACTIONS(2995),
    [anon_sym_TILDE_TILDE] = ACTIONS(2995),
    [anon_sym_LT] = ACTIONS(2997),
    [anon_sym_LT_EQ] = ACTIONS(2997),
    [anon_sym_GT_EQ] = ACTIONS(2995),
    [anon_sym_lt] = ACTIONS(2995),
    [anon_sym_le] = ACTIONS(2995),
    [anon_sym_ge] = ACTIONS(2995),
    [anon_sym_gt] = ACTIONS(2995),
    [anon_sym_isa] = ACTIONS(2995),
    [anon_sym_PLUS_PLUS] = ACTIONS(2995),
    [anon_sym_DASH_DASH] = ACTIONS(2995),
    [anon_sym_QMARK] = ACTIONS(2995),
    [anon_sym_EQ_GT] = ACTIONS(2995),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2995),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2270] = {
    [sym_heredoc_content] = STATE(2270),
    [anon_sym_SEMI] = ACTIONS(2919),
    [anon_sym_EQ] = ACTIONS(2921),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2919),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2919),
    [anon_sym_COMMA] = ACTIONS(2919),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2919),
    [anon_sym_DASH_GT] = ACTIONS(2919),
    [anon_sym_PERCENT] = ACTIONS(2921),
    [anon_sym_GT] = ACTIONS(2921),
    [anon_sym_LT_LT] = ACTIONS(2921),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2919),
    [anon_sym_PLUS_EQ] = ACTIONS(2919),
    [anon_sym_DASH_EQ] = ACTIONS(2919),
    [anon_sym_DOT_EQ] = ACTIONS(2919),
    [anon_sym_STAR_EQ] = ACTIONS(2919),
    [anon_sym_SLASH_EQ] = ACTIONS(2919),
    [anon_sym_PERCENT_EQ] = ACTIONS(2919),
    [anon_sym_x_EQ] = ACTIONS(2919),
    [anon_sym_AMP_EQ] = ACTIONS(2919),
    [anon_sym_PIPE_EQ] = ACTIONS(2919),
    [anon_sym_CARET_EQ] = ACTIONS(2919),
    [anon_sym_LT_LT_EQ] = ACTIONS(2919),
    [anon_sym_GT_GT_EQ] = ACTIONS(2919),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2919),
    [anon_sym_DOT_DOT] = ACTIONS(2921),
    [anon_sym_STAR_STAR] = ACTIONS(2921),
    [anon_sym_PIPE_PIPE] = ACTIONS(2921),
    [anon_sym_SLASH_SLASH] = ACTIONS(2921),
    [anon_sym_CARET_CARET] = ACTIONS(2919),
    [anon_sym_AMP_AMP] = ACTIONS(2921),
    [anon_sym_PIPE] = ACTIONS(2921),
    [anon_sym_CARET] = ACTIONS(2921),
    [anon_sym_AMP] = ACTIONS(2921),
    [anon_sym_GT_GT2] = ACTIONS(2921),
    [anon_sym_PLUS] = ACTIONS(2921),
    [anon_sym_DASH] = ACTIONS(2921),
    [anon_sym_DOT] = ACTIONS(2921),
    [anon_sym_STAR] = ACTIONS(2921),
    [anon_sym_SLASH] = ACTIONS(2921),
    [anon_sym_x] = ACTIONS(2921),
    [anon_sym_EQ_TILDE] = ACTIONS(2919),
    [anon_sym_BANG_TILDE] = ACTIONS(2919),
    [anon_sym_EQ_EQ] = ACTIONS(2921),
    [anon_sym_BANG_EQ] = ACTIONS(2919),
    [anon_sym_eq] = ACTIONS(2921),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2919),
    [anon_sym_equ] = ACTIONS(2919),
    [anon_sym_eqr] = ACTIONS(2919),
    [anon_sym_ne] = ACTIONS(2919),
    [anon_sym_LT_EQ_GT] = ACTIONS(2919),
    [anon_sym_cmp] = ACTIONS(2919),
    [anon_sym_TILDE_TILDE] = ACTIONS(2919),
    [anon_sym_LT] = ACTIONS(2921),
    [anon_sym_LT_EQ] = ACTIONS(2921),
    [anon_sym_GT_EQ] = ACTIONS(2919),
    [anon_sym_lt] = ACTIONS(2919),
    [anon_sym_le] = ACTIONS(2919),
    [anon_sym_ge] = ACTIONS(2919),
    [anon_sym_gt] = ACTIONS(2919),
    [anon_sym_isa] = ACTIONS(2919),
    [anon_sym_PLUS_PLUS] = ACTIONS(2919),
    [anon_sym_DASH_DASH] = ACTIONS(2919),
    [anon_sym_QMARK] = ACTIONS(2919),
    [anon_sym_EQ_GT] = ACTIONS(2919),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2919),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2271] = {
    [sym_heredoc_content] = STATE(2271),
    [anon_sym_SEMI] = ACTIONS(2967),
    [anon_sym_EQ] = ACTIONS(2969),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2967),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2967),
    [anon_sym_COMMA] = ACTIONS(2967),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2967),
    [anon_sym_DASH_GT] = ACTIONS(2967),
    [anon_sym_PERCENT] = ACTIONS(2969),
    [anon_sym_GT] = ACTIONS(2969),
    [anon_sym_LT_LT] = ACTIONS(2969),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2967),
    [anon_sym_PLUS_EQ] = ACTIONS(2967),
    [anon_sym_DASH_EQ] = ACTIONS(2967),
    [anon_sym_DOT_EQ] = ACTIONS(2967),
    [anon_sym_STAR_EQ] = ACTIONS(2967),
    [anon_sym_SLASH_EQ] = ACTIONS(2967),
    [anon_sym_PERCENT_EQ] = ACTIONS(2967),
    [anon_sym_x_EQ] = ACTIONS(2967),
    [anon_sym_AMP_EQ] = ACTIONS(2967),
    [anon_sym_PIPE_EQ] = ACTIONS(2967),
    [anon_sym_CARET_EQ] = ACTIONS(2967),
    [anon_sym_LT_LT_EQ] = ACTIONS(2967),
    [anon_sym_GT_GT_EQ] = ACTIONS(2967),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2967),
    [anon_sym_DOT_DOT] = ACTIONS(2969),
    [anon_sym_STAR_STAR] = ACTIONS(2969),
    [anon_sym_PIPE_PIPE] = ACTIONS(2969),
    [anon_sym_SLASH_SLASH] = ACTIONS(2969),
    [anon_sym_CARET_CARET] = ACTIONS(2967),
    [anon_sym_AMP_AMP] = ACTIONS(2969),
    [anon_sym_PIPE] = ACTIONS(2969),
    [anon_sym_CARET] = ACTIONS(2969),
    [anon_sym_AMP] = ACTIONS(2969),
    [anon_sym_GT_GT2] = ACTIONS(2969),
    [anon_sym_PLUS] = ACTIONS(2969),
    [anon_sym_DASH] = ACTIONS(2969),
    [anon_sym_DOT] = ACTIONS(2969),
    [anon_sym_STAR] = ACTIONS(2969),
    [anon_sym_SLASH] = ACTIONS(2969),
    [anon_sym_x] = ACTIONS(2969),
    [anon_sym_EQ_TILDE] = ACTIONS(2967),
    [anon_sym_BANG_TILDE] = ACTIONS(2967),
    [anon_sym_EQ_EQ] = ACTIONS(2969),
    [anon_sym_BANG_EQ] = ACTIONS(2967),
    [anon_sym_eq] = ACTIONS(2969),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2967),
    [anon_sym_equ] = ACTIONS(2967),
    [anon_sym_eqr] = ACTIONS(2967),
    [anon_sym_ne] = ACTIONS(2967),
    [anon_sym_LT_EQ_GT] = ACTIONS(2967),
    [anon_sym_cmp] = ACTIONS(2967),
    [anon_sym_TILDE_TILDE] = ACTIONS(2967),
    [anon_sym_LT] = ACTIONS(2969),
    [anon_sym_LT_EQ] = ACTIONS(2969),
    [anon_sym_GT_EQ] = ACTIONS(2967),
    [anon_sym_lt] = ACTIONS(2967),
    [anon_sym_le] = ACTIONS(2967),
    [anon_sym_ge] = ACTIONS(2967),
    [anon_sym_gt] = ACTIONS(2967),
    [anon_sym_isa] = ACTIONS(2967),
    [anon_sym_PLUS_PLUS] = ACTIONS(2967),
    [anon_sym_DASH_DASH] = ACTIONS(2967),
    [anon_sym_QMARK] = ACTIONS(2967),
    [anon_sym_EQ_GT] = ACTIONS(2967),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2967),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2272] = {
    [sym_heredoc_content] = STATE(2272),
    [anon_sym_SEMI] = ACTIONS(2971),
    [anon_sym_EQ] = ACTIONS(2973),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2971),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2971),
    [anon_sym_COMMA] = ACTIONS(2971),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2971),
    [anon_sym_DASH_GT] = ACTIONS(2971),
    [anon_sym_PERCENT] = ACTIONS(2973),
    [anon_sym_GT] = ACTIONS(2973),
    [anon_sym_LT_LT] = ACTIONS(2973),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2971),
    [anon_sym_PLUS_EQ] = ACTIONS(2971),
    [anon_sym_DASH_EQ] = ACTIONS(2971),
    [anon_sym_DOT_EQ] = ACTIONS(2971),
    [anon_sym_STAR_EQ] = ACTIONS(2971),
    [anon_sym_SLASH_EQ] = ACTIONS(2971),
    [anon_sym_PERCENT_EQ] = ACTIONS(2971),
    [anon_sym_x_EQ] = ACTIONS(2971),
    [anon_sym_AMP_EQ] = ACTIONS(2971),
    [anon_sym_PIPE_EQ] = ACTIONS(2971),
    [anon_sym_CARET_EQ] = ACTIONS(2971),
    [anon_sym_LT_LT_EQ] = ACTIONS(2971),
    [anon_sym_GT_GT_EQ] = ACTIONS(2971),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2971),
    [anon_sym_DOT_DOT] = ACTIONS(2973),
    [anon_sym_STAR_STAR] = ACTIONS(2973),
    [anon_sym_PIPE_PIPE] = ACTIONS(2973),
    [anon_sym_SLASH_SLASH] = ACTIONS(2973),
    [anon_sym_CARET_CARET] = ACTIONS(2971),
    [anon_sym_AMP_AMP] = ACTIONS(2973),
    [anon_sym_PIPE] = ACTIONS(2973),
    [anon_sym_CARET] = ACTIONS(2973),
    [anon_sym_AMP] = ACTIONS(2973),
    [anon_sym_GT_GT2] = ACTIONS(2973),
    [anon_sym_PLUS] = ACTIONS(2973),
    [anon_sym_DASH] = ACTIONS(2973),
    [anon_sym_DOT] = ACTIONS(2973),
    [anon_sym_STAR] = ACTIONS(2973),
    [anon_sym_SLASH] = ACTIONS(2973),
    [anon_sym_x] = ACTIONS(2973),
    [anon_sym_EQ_TILDE] = ACTIONS(2971),
    [anon_sym_BANG_TILDE] = ACTIONS(2971),
    [anon_sym_EQ_EQ] = ACTIONS(2973),
    [anon_sym_BANG_EQ] = ACTIONS(2971),
    [anon_sym_eq] = ACTIONS(2973),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2971),
    [anon_sym_equ] = ACTIONS(2971),
    [anon_sym_eqr] = ACTIONS(2971),
    [anon_sym_ne] = ACTIONS(2971),
    [anon_sym_LT_EQ_GT] = ACTIONS(2971),
    [anon_sym_cmp] = ACTIONS(2971),
    [anon_sym_TILDE_TILDE] = ACTIONS(2971),
    [anon_sym_LT] = ACTIONS(2973),
    [anon_sym_LT_EQ] = ACTIONS(2973),
    [anon_sym_GT_EQ] = ACTIONS(2971),
    [anon_sym_lt] = ACTIONS(2971),
    [anon_sym_le] = ACTIONS(2971),
    [anon_sym_ge] = ACTIONS(2971),
    [anon_sym_gt] = ACTIONS(2971),
    [anon_sym_isa] = ACTIONS(2971),
    [anon_sym_PLUS_PLUS] = ACTIONS(2971),
    [anon_sym_DASH_DASH] = ACTIONS(2971),
    [anon_sym_QMARK] = ACTIONS(2971),
    [anon_sym_EQ_GT] = ACTIONS(2971),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2971),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2273] = {
    [sym_heredoc_content] = STATE(2273),
    [anon_sym_SEMI] = ACTIONS(3007),
    [anon_sym_EQ] = ACTIONS(3009),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3007),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3007),
    [anon_sym_COMMA] = ACTIONS(3007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3007),
    [anon_sym_DASH_GT] = ACTIONS(3007),
    [anon_sym_PERCENT] = ACTIONS(3009),
    [anon_sym_GT] = ACTIONS(3009),
    [anon_sym_LT_LT] = ACTIONS(3009),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3007),
    [anon_sym_PLUS_EQ] = ACTIONS(3007),
    [anon_sym_DASH_EQ] = ACTIONS(3007),
    [anon_sym_DOT_EQ] = ACTIONS(3007),
    [anon_sym_STAR_EQ] = ACTIONS(3007),
    [anon_sym_SLASH_EQ] = ACTIONS(3007),
    [anon_sym_PERCENT_EQ] = ACTIONS(3007),
    [anon_sym_x_EQ] = ACTIONS(3007),
    [anon_sym_AMP_EQ] = ACTIONS(3007),
    [anon_sym_PIPE_EQ] = ACTIONS(3007),
    [anon_sym_CARET_EQ] = ACTIONS(3007),
    [anon_sym_LT_LT_EQ] = ACTIONS(3007),
    [anon_sym_GT_GT_EQ] = ACTIONS(3007),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3007),
    [anon_sym_DOT_DOT] = ACTIONS(3009),
    [anon_sym_STAR_STAR] = ACTIONS(3009),
    [anon_sym_PIPE_PIPE] = ACTIONS(3009),
    [anon_sym_SLASH_SLASH] = ACTIONS(3009),
    [anon_sym_CARET_CARET] = ACTIONS(3007),
    [anon_sym_AMP_AMP] = ACTIONS(3009),
    [anon_sym_PIPE] = ACTIONS(3009),
    [anon_sym_CARET] = ACTIONS(3009),
    [anon_sym_AMP] = ACTIONS(3009),
    [anon_sym_GT_GT2] = ACTIONS(3009),
    [anon_sym_PLUS] = ACTIONS(3009),
    [anon_sym_DASH] = ACTIONS(3009),
    [anon_sym_DOT] = ACTIONS(3009),
    [anon_sym_STAR] = ACTIONS(3009),
    [anon_sym_SLASH] = ACTIONS(3009),
    [anon_sym_x] = ACTIONS(3009),
    [anon_sym_EQ_TILDE] = ACTIONS(3007),
    [anon_sym_BANG_TILDE] = ACTIONS(3007),
    [anon_sym_EQ_EQ] = ACTIONS(3009),
    [anon_sym_BANG_EQ] = ACTIONS(3007),
    [anon_sym_eq] = ACTIONS(3009),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3007),
    [anon_sym_equ] = ACTIONS(3007),
    [anon_sym_eqr] = ACTIONS(3007),
    [anon_sym_ne] = ACTIONS(3007),
    [anon_sym_LT_EQ_GT] = ACTIONS(3007),
    [anon_sym_cmp] = ACTIONS(3007),
    [anon_sym_TILDE_TILDE] = ACTIONS(3007),
    [anon_sym_LT] = ACTIONS(3009),
    [anon_sym_LT_EQ] = ACTIONS(3009),
    [anon_sym_GT_EQ] = ACTIONS(3007),
    [anon_sym_lt] = ACTIONS(3007),
    [anon_sym_le] = ACTIONS(3007),
    [anon_sym_ge] = ACTIONS(3007),
    [anon_sym_gt] = ACTIONS(3007),
    [anon_sym_isa] = ACTIONS(3007),
    [anon_sym_PLUS_PLUS] = ACTIONS(3007),
    [anon_sym_DASH_DASH] = ACTIONS(3007),
    [anon_sym_QMARK] = ACTIONS(3007),
    [anon_sym_EQ_GT] = ACTIONS(3007),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3007),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2274] = {
    [sym_heredoc_content] = STATE(2274),
    [anon_sym_SEMI] = ACTIONS(3074),
    [anon_sym_EQ] = ACTIONS(3076),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3074),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3074),
    [anon_sym_COMMA] = ACTIONS(3074),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3074),
    [anon_sym_DASH_GT] = ACTIONS(3074),
    [anon_sym_PERCENT] = ACTIONS(3076),
    [anon_sym_GT] = ACTIONS(3076),
    [anon_sym_LT_LT] = ACTIONS(3076),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3074),
    [anon_sym_PLUS_EQ] = ACTIONS(3074),
    [anon_sym_DASH_EQ] = ACTIONS(3074),
    [anon_sym_DOT_EQ] = ACTIONS(3074),
    [anon_sym_STAR_EQ] = ACTIONS(3074),
    [anon_sym_SLASH_EQ] = ACTIONS(3074),
    [anon_sym_PERCENT_EQ] = ACTIONS(3074),
    [anon_sym_x_EQ] = ACTIONS(3074),
    [anon_sym_AMP_EQ] = ACTIONS(3074),
    [anon_sym_PIPE_EQ] = ACTIONS(3074),
    [anon_sym_CARET_EQ] = ACTIONS(3074),
    [anon_sym_LT_LT_EQ] = ACTIONS(3074),
    [anon_sym_GT_GT_EQ] = ACTIONS(3074),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3074),
    [anon_sym_DOT_DOT] = ACTIONS(3076),
    [anon_sym_STAR_STAR] = ACTIONS(3076),
    [anon_sym_PIPE_PIPE] = ACTIONS(3076),
    [anon_sym_SLASH_SLASH] = ACTIONS(3076),
    [anon_sym_CARET_CARET] = ACTIONS(3074),
    [anon_sym_AMP_AMP] = ACTIONS(3076),
    [anon_sym_PIPE] = ACTIONS(3076),
    [anon_sym_CARET] = ACTIONS(3076),
    [anon_sym_AMP] = ACTIONS(3076),
    [anon_sym_GT_GT2] = ACTIONS(3076),
    [anon_sym_PLUS] = ACTIONS(3076),
    [anon_sym_DASH] = ACTIONS(3076),
    [anon_sym_DOT] = ACTIONS(3076),
    [anon_sym_STAR] = ACTIONS(3076),
    [anon_sym_SLASH] = ACTIONS(3076),
    [anon_sym_x] = ACTIONS(3076),
    [anon_sym_EQ_TILDE] = ACTIONS(3074),
    [anon_sym_BANG_TILDE] = ACTIONS(3074),
    [anon_sym_EQ_EQ] = ACTIONS(3076),
    [anon_sym_BANG_EQ] = ACTIONS(3074),
    [anon_sym_eq] = ACTIONS(3076),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3074),
    [anon_sym_equ] = ACTIONS(3074),
    [anon_sym_eqr] = ACTIONS(3074),
    [anon_sym_ne] = ACTIONS(3074),
    [anon_sym_LT_EQ_GT] = ACTIONS(3074),
    [anon_sym_cmp] = ACTIONS(3074),
    [anon_sym_TILDE_TILDE] = ACTIONS(3074),
    [anon_sym_LT] = ACTIONS(3076),
    [anon_sym_LT_EQ] = ACTIONS(3076),
    [anon_sym_GT_EQ] = ACTIONS(3074),
    [anon_sym_lt] = ACTIONS(3074),
    [anon_sym_le] = ACTIONS(3074),
    [anon_sym_ge] = ACTIONS(3074),
    [anon_sym_gt] = ACTIONS(3074),
    [anon_sym_isa] = ACTIONS(3074),
    [anon_sym_PLUS_PLUS] = ACTIONS(3074),
    [anon_sym_DASH_DASH] = ACTIONS(3074),
    [anon_sym_QMARK] = ACTIONS(3074),
    [anon_sym_EQ_GT] = ACTIONS(3074),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3074),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2275] = {
    [sym_heredoc_content] = STATE(2275),
    [anon_sym_SEMI] = ACTIONS(2987),
    [anon_sym_EQ] = ACTIONS(2989),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2987),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2987),
    [anon_sym_COMMA] = ACTIONS(2987),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2987),
    [anon_sym_DASH_GT] = ACTIONS(2987),
    [anon_sym_PERCENT] = ACTIONS(2989),
    [anon_sym_GT] = ACTIONS(2989),
    [anon_sym_LT_LT] = ACTIONS(2989),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2987),
    [anon_sym_PLUS_EQ] = ACTIONS(2987),
    [anon_sym_DASH_EQ] = ACTIONS(2987),
    [anon_sym_DOT_EQ] = ACTIONS(2987),
    [anon_sym_STAR_EQ] = ACTIONS(2987),
    [anon_sym_SLASH_EQ] = ACTIONS(2987),
    [anon_sym_PERCENT_EQ] = ACTIONS(2987),
    [anon_sym_x_EQ] = ACTIONS(2987),
    [anon_sym_AMP_EQ] = ACTIONS(2987),
    [anon_sym_PIPE_EQ] = ACTIONS(2987),
    [anon_sym_CARET_EQ] = ACTIONS(2987),
    [anon_sym_LT_LT_EQ] = ACTIONS(2987),
    [anon_sym_GT_GT_EQ] = ACTIONS(2987),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2987),
    [anon_sym_DOT_DOT] = ACTIONS(2989),
    [anon_sym_STAR_STAR] = ACTIONS(2989),
    [anon_sym_PIPE_PIPE] = ACTIONS(2989),
    [anon_sym_SLASH_SLASH] = ACTIONS(2989),
    [anon_sym_CARET_CARET] = ACTIONS(2987),
    [anon_sym_AMP_AMP] = ACTIONS(2989),
    [anon_sym_PIPE] = ACTIONS(2989),
    [anon_sym_CARET] = ACTIONS(2989),
    [anon_sym_AMP] = ACTIONS(2989),
    [anon_sym_GT_GT2] = ACTIONS(2989),
    [anon_sym_PLUS] = ACTIONS(2989),
    [anon_sym_DASH] = ACTIONS(2989),
    [anon_sym_DOT] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2989),
    [anon_sym_SLASH] = ACTIONS(2989),
    [anon_sym_x] = ACTIONS(2989),
    [anon_sym_EQ_TILDE] = ACTIONS(2987),
    [anon_sym_BANG_TILDE] = ACTIONS(2987),
    [anon_sym_EQ_EQ] = ACTIONS(2989),
    [anon_sym_BANG_EQ] = ACTIONS(2987),
    [anon_sym_eq] = ACTIONS(2989),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2987),
    [anon_sym_equ] = ACTIONS(2987),
    [anon_sym_eqr] = ACTIONS(2987),
    [anon_sym_ne] = ACTIONS(2987),
    [anon_sym_LT_EQ_GT] = ACTIONS(2987),
    [anon_sym_cmp] = ACTIONS(2987),
    [anon_sym_TILDE_TILDE] = ACTIONS(2987),
    [anon_sym_LT] = ACTIONS(2989),
    [anon_sym_LT_EQ] = ACTIONS(2989),
    [anon_sym_GT_EQ] = ACTIONS(2987),
    [anon_sym_lt] = ACTIONS(2987),
    [anon_sym_le] = ACTIONS(2987),
    [anon_sym_ge] = ACTIONS(2987),
    [anon_sym_gt] = ACTIONS(2987),
    [anon_sym_isa] = ACTIONS(2987),
    [anon_sym_PLUS_PLUS] = ACTIONS(2987),
    [anon_sym_DASH_DASH] = ACTIONS(2987),
    [anon_sym_QMARK] = ACTIONS(2987),
    [anon_sym_EQ_GT] = ACTIONS(2987),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2987),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2276] = {
    [sym_heredoc_content] = STATE(2276),
    [anon_sym_SEMI] = ACTIONS(2979),
    [anon_sym_EQ] = ACTIONS(2981),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2979),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2979),
    [anon_sym_COMMA] = ACTIONS(2979),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2979),
    [anon_sym_DASH_GT] = ACTIONS(2979),
    [anon_sym_PERCENT] = ACTIONS(2981),
    [anon_sym_GT] = ACTIONS(2981),
    [anon_sym_LT_LT] = ACTIONS(2981),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2979),
    [anon_sym_PLUS_EQ] = ACTIONS(2979),
    [anon_sym_DASH_EQ] = ACTIONS(2979),
    [anon_sym_DOT_EQ] = ACTIONS(2979),
    [anon_sym_STAR_EQ] = ACTIONS(2979),
    [anon_sym_SLASH_EQ] = ACTIONS(2979),
    [anon_sym_PERCENT_EQ] = ACTIONS(2979),
    [anon_sym_x_EQ] = ACTIONS(2979),
    [anon_sym_AMP_EQ] = ACTIONS(2979),
    [anon_sym_PIPE_EQ] = ACTIONS(2979),
    [anon_sym_CARET_EQ] = ACTIONS(2979),
    [anon_sym_LT_LT_EQ] = ACTIONS(2979),
    [anon_sym_GT_GT_EQ] = ACTIONS(2979),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2979),
    [anon_sym_DOT_DOT] = ACTIONS(2981),
    [anon_sym_STAR_STAR] = ACTIONS(2981),
    [anon_sym_PIPE_PIPE] = ACTIONS(2981),
    [anon_sym_SLASH_SLASH] = ACTIONS(2981),
    [anon_sym_CARET_CARET] = ACTIONS(2979),
    [anon_sym_AMP_AMP] = ACTIONS(2981),
    [anon_sym_PIPE] = ACTIONS(2981),
    [anon_sym_CARET] = ACTIONS(2981),
    [anon_sym_AMP] = ACTIONS(2981),
    [anon_sym_GT_GT2] = ACTIONS(2981),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_DOT] = ACTIONS(2981),
    [anon_sym_STAR] = ACTIONS(2981),
    [anon_sym_SLASH] = ACTIONS(2981),
    [anon_sym_x] = ACTIONS(2981),
    [anon_sym_EQ_TILDE] = ACTIONS(2979),
    [anon_sym_BANG_TILDE] = ACTIONS(2979),
    [anon_sym_EQ_EQ] = ACTIONS(2981),
    [anon_sym_BANG_EQ] = ACTIONS(2979),
    [anon_sym_eq] = ACTIONS(2981),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2979),
    [anon_sym_equ] = ACTIONS(2979),
    [anon_sym_eqr] = ACTIONS(2979),
    [anon_sym_ne] = ACTIONS(2979),
    [anon_sym_LT_EQ_GT] = ACTIONS(2979),
    [anon_sym_cmp] = ACTIONS(2979),
    [anon_sym_TILDE_TILDE] = ACTIONS(2979),
    [anon_sym_LT] = ACTIONS(2981),
    [anon_sym_LT_EQ] = ACTIONS(2981),
    [anon_sym_GT_EQ] = ACTIONS(2979),
    [anon_sym_lt] = ACTIONS(2979),
    [anon_sym_le] = ACTIONS(2979),
    [anon_sym_ge] = ACTIONS(2979),
    [anon_sym_gt] = ACTIONS(2979),
    [anon_sym_isa] = ACTIONS(2979),
    [anon_sym_PLUS_PLUS] = ACTIONS(2979),
    [anon_sym_DASH_DASH] = ACTIONS(2979),
    [anon_sym_QMARK] = ACTIONS(2979),
    [anon_sym_EQ_GT] = ACTIONS(2979),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2979),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2277] = {
    [sym_heredoc_content] = STATE(2277),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym_EQ] = ACTIONS(2945),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2943),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2943),
    [anon_sym_COMMA] = ACTIONS(2943),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2943),
    [anon_sym_DASH_GT] = ACTIONS(2943),
    [anon_sym_PERCENT] = ACTIONS(2945),
    [anon_sym_GT] = ACTIONS(2945),
    [anon_sym_LT_LT] = ACTIONS(2945),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2943),
    [anon_sym_PLUS_EQ] = ACTIONS(2943),
    [anon_sym_DASH_EQ] = ACTIONS(2943),
    [anon_sym_DOT_EQ] = ACTIONS(2943),
    [anon_sym_STAR_EQ] = ACTIONS(2943),
    [anon_sym_SLASH_EQ] = ACTIONS(2943),
    [anon_sym_PERCENT_EQ] = ACTIONS(2943),
    [anon_sym_x_EQ] = ACTIONS(2943),
    [anon_sym_AMP_EQ] = ACTIONS(2943),
    [anon_sym_PIPE_EQ] = ACTIONS(2943),
    [anon_sym_CARET_EQ] = ACTIONS(2943),
    [anon_sym_LT_LT_EQ] = ACTIONS(2943),
    [anon_sym_GT_GT_EQ] = ACTIONS(2943),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2943),
    [anon_sym_DOT_DOT] = ACTIONS(2945),
    [anon_sym_STAR_STAR] = ACTIONS(2945),
    [anon_sym_PIPE_PIPE] = ACTIONS(2945),
    [anon_sym_SLASH_SLASH] = ACTIONS(2945),
    [anon_sym_CARET_CARET] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2945),
    [anon_sym_PIPE] = ACTIONS(2945),
    [anon_sym_CARET] = ACTIONS(2945),
    [anon_sym_AMP] = ACTIONS(2945),
    [anon_sym_GT_GT2] = ACTIONS(2945),
    [anon_sym_PLUS] = ACTIONS(2945),
    [anon_sym_DASH] = ACTIONS(2945),
    [anon_sym_DOT] = ACTIONS(2945),
    [anon_sym_STAR] = ACTIONS(2945),
    [anon_sym_SLASH] = ACTIONS(2945),
    [anon_sym_x] = ACTIONS(2945),
    [anon_sym_EQ_TILDE] = ACTIONS(2943),
    [anon_sym_BANG_TILDE] = ACTIONS(2943),
    [anon_sym_EQ_EQ] = ACTIONS(2945),
    [anon_sym_BANG_EQ] = ACTIONS(2943),
    [anon_sym_eq] = ACTIONS(2945),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2943),
    [anon_sym_equ] = ACTIONS(2943),
    [anon_sym_eqr] = ACTIONS(2943),
    [anon_sym_ne] = ACTIONS(2943),
    [anon_sym_LT_EQ_GT] = ACTIONS(2943),
    [anon_sym_cmp] = ACTIONS(2943),
    [anon_sym_TILDE_TILDE] = ACTIONS(2943),
    [anon_sym_LT] = ACTIONS(2945),
    [anon_sym_LT_EQ] = ACTIONS(2945),
    [anon_sym_GT_EQ] = ACTIONS(2943),
    [anon_sym_lt] = ACTIONS(2943),
    [anon_sym_le] = ACTIONS(2943),
    [anon_sym_ge] = ACTIONS(2943),
    [anon_sym_gt] = ACTIONS(2943),
    [anon_sym_isa] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_QMARK] = ACTIONS(2943),
    [anon_sym_EQ_GT] = ACTIONS(2943),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2943),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2278] = {
    [sym_heredoc_content] = STATE(2278),
    [anon_sym_SEMI] = ACTIONS(2983),
    [anon_sym_EQ] = ACTIONS(2985),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2983),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2983),
    [anon_sym_COMMA] = ACTIONS(2983),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2983),
    [anon_sym_DASH_GT] = ACTIONS(2983),
    [anon_sym_PERCENT] = ACTIONS(2985),
    [anon_sym_GT] = ACTIONS(2985),
    [anon_sym_LT_LT] = ACTIONS(2985),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2983),
    [anon_sym_PLUS_EQ] = ACTIONS(2983),
    [anon_sym_DASH_EQ] = ACTIONS(2983),
    [anon_sym_DOT_EQ] = ACTIONS(2983),
    [anon_sym_STAR_EQ] = ACTIONS(2983),
    [anon_sym_SLASH_EQ] = ACTIONS(2983),
    [anon_sym_PERCENT_EQ] = ACTIONS(2983),
    [anon_sym_x_EQ] = ACTIONS(2983),
    [anon_sym_AMP_EQ] = ACTIONS(2983),
    [anon_sym_PIPE_EQ] = ACTIONS(2983),
    [anon_sym_CARET_EQ] = ACTIONS(2983),
    [anon_sym_LT_LT_EQ] = ACTIONS(2983),
    [anon_sym_GT_GT_EQ] = ACTIONS(2983),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2983),
    [anon_sym_DOT_DOT] = ACTIONS(2985),
    [anon_sym_STAR_STAR] = ACTIONS(2985),
    [anon_sym_PIPE_PIPE] = ACTIONS(2985),
    [anon_sym_SLASH_SLASH] = ACTIONS(2985),
    [anon_sym_CARET_CARET] = ACTIONS(2983),
    [anon_sym_AMP_AMP] = ACTIONS(2985),
    [anon_sym_PIPE] = ACTIONS(2985),
    [anon_sym_CARET] = ACTIONS(2985),
    [anon_sym_AMP] = ACTIONS(2985),
    [anon_sym_GT_GT2] = ACTIONS(2985),
    [anon_sym_PLUS] = ACTIONS(2985),
    [anon_sym_DASH] = ACTIONS(2985),
    [anon_sym_DOT] = ACTIONS(2985),
    [anon_sym_STAR] = ACTIONS(2985),
    [anon_sym_SLASH] = ACTIONS(2985),
    [anon_sym_x] = ACTIONS(2985),
    [anon_sym_EQ_TILDE] = ACTIONS(2983),
    [anon_sym_BANG_TILDE] = ACTIONS(2983),
    [anon_sym_EQ_EQ] = ACTIONS(2985),
    [anon_sym_BANG_EQ] = ACTIONS(2983),
    [anon_sym_eq] = ACTIONS(2985),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2983),
    [anon_sym_equ] = ACTIONS(2983),
    [anon_sym_eqr] = ACTIONS(2983),
    [anon_sym_ne] = ACTIONS(2983),
    [anon_sym_LT_EQ_GT] = ACTIONS(2983),
    [anon_sym_cmp] = ACTIONS(2983),
    [anon_sym_TILDE_TILDE] = ACTIONS(2983),
    [anon_sym_LT] = ACTIONS(2985),
    [anon_sym_LT_EQ] = ACTIONS(2985),
    [anon_sym_GT_EQ] = ACTIONS(2983),
    [anon_sym_lt] = ACTIONS(2983),
    [anon_sym_le] = ACTIONS(2983),
    [anon_sym_ge] = ACTIONS(2983),
    [anon_sym_gt] = ACTIONS(2983),
    [anon_sym_isa] = ACTIONS(2983),
    [anon_sym_PLUS_PLUS] = ACTIONS(2983),
    [anon_sym_DASH_DASH] = ACTIONS(2983),
    [anon_sym_QMARK] = ACTIONS(2983),
    [anon_sym_EQ_GT] = ACTIONS(2983),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2983),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2279] = {
    [sym_heredoc_content] = STATE(2279),
    [anon_sym_RBRACE] = ACTIONS(3019),
    [anon_sym_EQ] = ACTIONS(3021),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_COMMA] = ACTIONS(3019),
    [anon_sym_RPAREN] = ACTIONS(3019),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3019),
    [anon_sym_DASH_GT] = ACTIONS(3831),
    [anon_sym_PERCENT] = ACTIONS(3833),
    [anon_sym_GT] = ACTIONS(3021),
    [anon_sym_LT_LT] = ACTIONS(3021),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3019),
    [anon_sym_PLUS_EQ] = ACTIONS(3019),
    [anon_sym_DASH_EQ] = ACTIONS(3019),
    [anon_sym_DOT_EQ] = ACTIONS(3019),
    [anon_sym_STAR_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_PERCENT_EQ] = ACTIONS(3019),
    [anon_sym_x_EQ] = ACTIONS(3019),
    [anon_sym_AMP_EQ] = ACTIONS(3019),
    [anon_sym_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_CARET_EQ] = ACTIONS(3019),
    [anon_sym_LT_LT_EQ] = ACTIONS(3019),
    [anon_sym_GT_GT_EQ] = ACTIONS(3019),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3019),
    [anon_sym_DOT_DOT] = ACTIONS(3021),
    [anon_sym_STAR_STAR] = ACTIONS(3841),
    [anon_sym_PIPE_PIPE] = ACTIONS(3021),
    [anon_sym_SLASH_SLASH] = ACTIONS(3021),
    [anon_sym_CARET_CARET] = ACTIONS(3019),
    [anon_sym_AMP_AMP] = ACTIONS(3021),
    [anon_sym_PIPE] = ACTIONS(3021),
    [anon_sym_CARET] = ACTIONS(3021),
    [anon_sym_AMP] = ACTIONS(3021),
    [anon_sym_GT_GT2] = ACTIONS(3021),
    [anon_sym_PLUS] = ACTIONS(3021),
    [anon_sym_DASH] = ACTIONS(3021),
    [anon_sym_DOT] = ACTIONS(3021),
    [anon_sym_STAR] = ACTIONS(3833),
    [anon_sym_SLASH] = ACTIONS(3833),
    [anon_sym_x] = ACTIONS(3833),
    [anon_sym_EQ_TILDE] = ACTIONS(3855),
    [anon_sym_BANG_TILDE] = ACTIONS(3855),
    [anon_sym_EQ_EQ] = ACTIONS(3021),
    [anon_sym_BANG_EQ] = ACTIONS(3019),
    [anon_sym_eq] = ACTIONS(3021),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3019),
    [anon_sym_equ] = ACTIONS(3019),
    [anon_sym_eqr] = ACTIONS(3019),
    [anon_sym_ne] = ACTIONS(3019),
    [anon_sym_LT_EQ_GT] = ACTIONS(3019),
    [anon_sym_cmp] = ACTIONS(3019),
    [anon_sym_TILDE_TILDE] = ACTIONS(3019),
    [anon_sym_LT] = ACTIONS(3021),
    [anon_sym_LT_EQ] = ACTIONS(3021),
    [anon_sym_GT_EQ] = ACTIONS(3019),
    [anon_sym_lt] = ACTIONS(3019),
    [anon_sym_le] = ACTIONS(3019),
    [anon_sym_ge] = ACTIONS(3019),
    [anon_sym_gt] = ACTIONS(3019),
    [anon_sym_isa] = ACTIONS(3019),
    [anon_sym_PLUS_PLUS] = ACTIONS(3867),
    [anon_sym_DASH_DASH] = ACTIONS(3867),
    [anon_sym_QMARK] = ACTIONS(3019),
    [anon_sym_EQ_GT] = ACTIONS(3019),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2280] = {
    [sym_heredoc_content] = STATE(2280),
    [anon_sym_SEMI] = ACTIONS(2849),
    [anon_sym_EQ] = ACTIONS(2851),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2849),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2849),
    [anon_sym_COMMA] = ACTIONS(2849),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2849),
    [anon_sym_DASH_GT] = ACTIONS(2849),
    [anon_sym_PERCENT] = ACTIONS(2851),
    [anon_sym_GT] = ACTIONS(2851),
    [anon_sym_LT_LT] = ACTIONS(2851),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2849),
    [anon_sym_PLUS_EQ] = ACTIONS(2849),
    [anon_sym_DASH_EQ] = ACTIONS(2849),
    [anon_sym_DOT_EQ] = ACTIONS(2849),
    [anon_sym_STAR_EQ] = ACTIONS(2849),
    [anon_sym_SLASH_EQ] = ACTIONS(2849),
    [anon_sym_PERCENT_EQ] = ACTIONS(2849),
    [anon_sym_x_EQ] = ACTIONS(2849),
    [anon_sym_AMP_EQ] = ACTIONS(2849),
    [anon_sym_PIPE_EQ] = ACTIONS(2849),
    [anon_sym_CARET_EQ] = ACTIONS(2849),
    [anon_sym_LT_LT_EQ] = ACTIONS(2849),
    [anon_sym_GT_GT_EQ] = ACTIONS(2849),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2849),
    [anon_sym_DOT_DOT] = ACTIONS(2851),
    [anon_sym_STAR_STAR] = ACTIONS(2851),
    [anon_sym_PIPE_PIPE] = ACTIONS(2851),
    [anon_sym_SLASH_SLASH] = ACTIONS(2851),
    [anon_sym_CARET_CARET] = ACTIONS(2849),
    [anon_sym_AMP_AMP] = ACTIONS(2851),
    [anon_sym_PIPE] = ACTIONS(2851),
    [anon_sym_CARET] = ACTIONS(2851),
    [anon_sym_AMP] = ACTIONS(2851),
    [anon_sym_GT_GT2] = ACTIONS(2851),
    [anon_sym_PLUS] = ACTIONS(2851),
    [anon_sym_DASH] = ACTIONS(2851),
    [anon_sym_DOT] = ACTIONS(2851),
    [anon_sym_STAR] = ACTIONS(2851),
    [anon_sym_SLASH] = ACTIONS(2851),
    [anon_sym_x] = ACTIONS(2851),
    [anon_sym_EQ_TILDE] = ACTIONS(2849),
    [anon_sym_BANG_TILDE] = ACTIONS(2849),
    [anon_sym_EQ_EQ] = ACTIONS(2851),
    [anon_sym_BANG_EQ] = ACTIONS(2849),
    [anon_sym_eq] = ACTIONS(2851),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2849),
    [anon_sym_equ] = ACTIONS(2849),
    [anon_sym_eqr] = ACTIONS(2849),
    [anon_sym_ne] = ACTIONS(2849),
    [anon_sym_LT_EQ_GT] = ACTIONS(2849),
    [anon_sym_cmp] = ACTIONS(2849),
    [anon_sym_TILDE_TILDE] = ACTIONS(2849),
    [anon_sym_LT] = ACTIONS(2851),
    [anon_sym_LT_EQ] = ACTIONS(2851),
    [anon_sym_GT_EQ] = ACTIONS(2849),
    [anon_sym_lt] = ACTIONS(2849),
    [anon_sym_le] = ACTIONS(2849),
    [anon_sym_ge] = ACTIONS(2849),
    [anon_sym_gt] = ACTIONS(2849),
    [anon_sym_isa] = ACTIONS(2849),
    [anon_sym_PLUS_PLUS] = ACTIONS(2849),
    [anon_sym_DASH_DASH] = ACTIONS(2849),
    [anon_sym_QMARK] = ACTIONS(2849),
    [anon_sym_EQ_GT] = ACTIONS(2849),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2849),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2281] = {
    [sym_heredoc_content] = STATE(2281),
    [anon_sym_SEMI] = ACTIONS(2991),
    [anon_sym_EQ] = ACTIONS(2993),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2991),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2991),
    [anon_sym_COMMA] = ACTIONS(2991),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2991),
    [anon_sym_DASH_GT] = ACTIONS(2991),
    [anon_sym_PERCENT] = ACTIONS(2993),
    [anon_sym_GT] = ACTIONS(2993),
    [anon_sym_LT_LT] = ACTIONS(2993),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2991),
    [anon_sym_PLUS_EQ] = ACTIONS(2991),
    [anon_sym_DASH_EQ] = ACTIONS(2991),
    [anon_sym_DOT_EQ] = ACTIONS(2991),
    [anon_sym_STAR_EQ] = ACTIONS(2991),
    [anon_sym_SLASH_EQ] = ACTIONS(2991),
    [anon_sym_PERCENT_EQ] = ACTIONS(2991),
    [anon_sym_x_EQ] = ACTIONS(2991),
    [anon_sym_AMP_EQ] = ACTIONS(2991),
    [anon_sym_PIPE_EQ] = ACTIONS(2991),
    [anon_sym_CARET_EQ] = ACTIONS(2991),
    [anon_sym_LT_LT_EQ] = ACTIONS(2991),
    [anon_sym_GT_GT_EQ] = ACTIONS(2991),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2991),
    [anon_sym_DOT_DOT] = ACTIONS(2993),
    [anon_sym_STAR_STAR] = ACTIONS(2993),
    [anon_sym_PIPE_PIPE] = ACTIONS(2993),
    [anon_sym_SLASH_SLASH] = ACTIONS(2993),
    [anon_sym_CARET_CARET] = ACTIONS(2991),
    [anon_sym_AMP_AMP] = ACTIONS(2993),
    [anon_sym_PIPE] = ACTIONS(2993),
    [anon_sym_CARET] = ACTIONS(2993),
    [anon_sym_AMP] = ACTIONS(2993),
    [anon_sym_GT_GT2] = ACTIONS(2993),
    [anon_sym_PLUS] = ACTIONS(2993),
    [anon_sym_DASH] = ACTIONS(2993),
    [anon_sym_DOT] = ACTIONS(2993),
    [anon_sym_STAR] = ACTIONS(2993),
    [anon_sym_SLASH] = ACTIONS(2993),
    [anon_sym_x] = ACTIONS(2993),
    [anon_sym_EQ_TILDE] = ACTIONS(2991),
    [anon_sym_BANG_TILDE] = ACTIONS(2991),
    [anon_sym_EQ_EQ] = ACTIONS(2993),
    [anon_sym_BANG_EQ] = ACTIONS(2991),
    [anon_sym_eq] = ACTIONS(2993),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2991),
    [anon_sym_equ] = ACTIONS(2991),
    [anon_sym_eqr] = ACTIONS(2991),
    [anon_sym_ne] = ACTIONS(2991),
    [anon_sym_LT_EQ_GT] = ACTIONS(2991),
    [anon_sym_cmp] = ACTIONS(2991),
    [anon_sym_TILDE_TILDE] = ACTIONS(2991),
    [anon_sym_LT] = ACTIONS(2993),
    [anon_sym_LT_EQ] = ACTIONS(2993),
    [anon_sym_GT_EQ] = ACTIONS(2991),
    [anon_sym_lt] = ACTIONS(2991),
    [anon_sym_le] = ACTIONS(2991),
    [anon_sym_ge] = ACTIONS(2991),
    [anon_sym_gt] = ACTIONS(2991),
    [anon_sym_isa] = ACTIONS(2991),
    [anon_sym_PLUS_PLUS] = ACTIONS(2991),
    [anon_sym_DASH_DASH] = ACTIONS(2991),
    [anon_sym_QMARK] = ACTIONS(2991),
    [anon_sym_EQ_GT] = ACTIONS(2991),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2991),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2282] = {
    [sym_heredoc_content] = STATE(2282),
    [anon_sym_SEMI] = ACTIONS(2845),
    [anon_sym_EQ] = ACTIONS(2847),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2845),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2845),
    [anon_sym_COMMA] = ACTIONS(2845),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2845),
    [anon_sym_DASH_GT] = ACTIONS(3760),
    [anon_sym_PERCENT] = ACTIONS(3762),
    [anon_sym_GT] = ACTIONS(2847),
    [anon_sym_LT_LT] = ACTIONS(3766),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2845),
    [anon_sym_PLUS_EQ] = ACTIONS(2845),
    [anon_sym_DASH_EQ] = ACTIONS(2845),
    [anon_sym_DOT_EQ] = ACTIONS(2845),
    [anon_sym_STAR_EQ] = ACTIONS(2845),
    [anon_sym_SLASH_EQ] = ACTIONS(2845),
    [anon_sym_PERCENT_EQ] = ACTIONS(2845),
    [anon_sym_x_EQ] = ACTIONS(2845),
    [anon_sym_AMP_EQ] = ACTIONS(2845),
    [anon_sym_PIPE_EQ] = ACTIONS(2845),
    [anon_sym_CARET_EQ] = ACTIONS(2845),
    [anon_sym_LT_LT_EQ] = ACTIONS(2845),
    [anon_sym_GT_GT_EQ] = ACTIONS(2845),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2845),
    [anon_sym_DOT_DOT] = ACTIONS(2847),
    [anon_sym_STAR_STAR] = ACTIONS(3770),
    [anon_sym_PIPE_PIPE] = ACTIONS(2847),
    [anon_sym_SLASH_SLASH] = ACTIONS(2847),
    [anon_sym_CARET_CARET] = ACTIONS(2845),
    [anon_sym_AMP_AMP] = ACTIONS(2847),
    [anon_sym_PIPE] = ACTIONS(2847),
    [anon_sym_CARET] = ACTIONS(2847),
    [anon_sym_AMP] = ACTIONS(2847),
    [anon_sym_GT_GT2] = ACTIONS(3766),
    [anon_sym_PLUS] = ACTIONS(3782),
    [anon_sym_DASH] = ACTIONS(3782),
    [anon_sym_DOT] = ACTIONS(3782),
    [anon_sym_STAR] = ACTIONS(3762),
    [anon_sym_SLASH] = ACTIONS(3762),
    [anon_sym_x] = ACTIONS(3762),
    [anon_sym_EQ_TILDE] = ACTIONS(3784),
    [anon_sym_BANG_TILDE] = ACTIONS(3784),
    [anon_sym_EQ_EQ] = ACTIONS(2847),
    [anon_sym_BANG_EQ] = ACTIONS(2845),
    [anon_sym_eq] = ACTIONS(2847),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2845),
    [anon_sym_equ] = ACTIONS(2845),
    [anon_sym_eqr] = ACTIONS(2845),
    [anon_sym_ne] = ACTIONS(2845),
    [anon_sym_LT_EQ_GT] = ACTIONS(2845),
    [anon_sym_cmp] = ACTIONS(2845),
    [anon_sym_TILDE_TILDE] = ACTIONS(2845),
    [anon_sym_LT] = ACTIONS(2847),
    [anon_sym_LT_EQ] = ACTIONS(2847),
    [anon_sym_GT_EQ] = ACTIONS(2845),
    [anon_sym_lt] = ACTIONS(2845),
    [anon_sym_le] = ACTIONS(2845),
    [anon_sym_ge] = ACTIONS(2845),
    [anon_sym_gt] = ACTIONS(2845),
    [anon_sym_isa] = ACTIONS(2845),
    [anon_sym_PLUS_PLUS] = ACTIONS(3796),
    [anon_sym_DASH_DASH] = ACTIONS(3796),
    [anon_sym_QMARK] = ACTIONS(2845),
    [anon_sym_EQ_GT] = ACTIONS(2845),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2845),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2283] = {
    [sym_heredoc_content] = STATE(2283),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym_EQ] = ACTIONS(2885),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2883),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2883),
    [anon_sym_COMMA] = ACTIONS(2883),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2883),
    [anon_sym_DASH_GT] = ACTIONS(2883),
    [anon_sym_PERCENT] = ACTIONS(2885),
    [anon_sym_GT] = ACTIONS(2885),
    [anon_sym_LT_LT] = ACTIONS(2885),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2883),
    [anon_sym_PLUS_EQ] = ACTIONS(2883),
    [anon_sym_DASH_EQ] = ACTIONS(2883),
    [anon_sym_DOT_EQ] = ACTIONS(2883),
    [anon_sym_STAR_EQ] = ACTIONS(2883),
    [anon_sym_SLASH_EQ] = ACTIONS(2883),
    [anon_sym_PERCENT_EQ] = ACTIONS(2883),
    [anon_sym_x_EQ] = ACTIONS(2883),
    [anon_sym_AMP_EQ] = ACTIONS(2883),
    [anon_sym_PIPE_EQ] = ACTIONS(2883),
    [anon_sym_CARET_EQ] = ACTIONS(2883),
    [anon_sym_LT_LT_EQ] = ACTIONS(2883),
    [anon_sym_GT_GT_EQ] = ACTIONS(2883),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2883),
    [anon_sym_DOT_DOT] = ACTIONS(2885),
    [anon_sym_STAR_STAR] = ACTIONS(2885),
    [anon_sym_PIPE_PIPE] = ACTIONS(2885),
    [anon_sym_SLASH_SLASH] = ACTIONS(2885),
    [anon_sym_CARET_CARET] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2885),
    [anon_sym_PIPE] = ACTIONS(2885),
    [anon_sym_CARET] = ACTIONS(2885),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_GT_GT2] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_DOT] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2885),
    [anon_sym_SLASH] = ACTIONS(2885),
    [anon_sym_x] = ACTIONS(2885),
    [anon_sym_EQ_TILDE] = ACTIONS(2883),
    [anon_sym_BANG_TILDE] = ACTIONS(2883),
    [anon_sym_EQ_EQ] = ACTIONS(2885),
    [anon_sym_BANG_EQ] = ACTIONS(2883),
    [anon_sym_eq] = ACTIONS(2885),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2883),
    [anon_sym_equ] = ACTIONS(2883),
    [anon_sym_eqr] = ACTIONS(2883),
    [anon_sym_ne] = ACTIONS(2883),
    [anon_sym_LT_EQ_GT] = ACTIONS(2883),
    [anon_sym_cmp] = ACTIONS(2883),
    [anon_sym_TILDE_TILDE] = ACTIONS(2883),
    [anon_sym_LT] = ACTIONS(2885),
    [anon_sym_LT_EQ] = ACTIONS(2885),
    [anon_sym_GT_EQ] = ACTIONS(2883),
    [anon_sym_lt] = ACTIONS(2883),
    [anon_sym_le] = ACTIONS(2883),
    [anon_sym_ge] = ACTIONS(2883),
    [anon_sym_gt] = ACTIONS(2883),
    [anon_sym_isa] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_QMARK] = ACTIONS(2883),
    [anon_sym_EQ_GT] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2883),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2284] = {
    [sym_heredoc_content] = STATE(2284),
    [anon_sym_RBRACE] = ACTIONS(3035),
    [anon_sym_EQ] = ACTIONS(3037),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3035),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3035),
    [anon_sym_COMMA] = ACTIONS(3035),
    [anon_sym_RPAREN] = ACTIONS(3035),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3035),
    [anon_sym_DASH_GT] = ACTIONS(3831),
    [anon_sym_PERCENT] = ACTIONS(3833),
    [anon_sym_GT] = ACTIONS(3835),
    [anon_sym_LT_LT] = ACTIONS(3837),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3035),
    [anon_sym_PLUS_EQ] = ACTIONS(3035),
    [anon_sym_DASH_EQ] = ACTIONS(3035),
    [anon_sym_DOT_EQ] = ACTIONS(3035),
    [anon_sym_STAR_EQ] = ACTIONS(3035),
    [anon_sym_SLASH_EQ] = ACTIONS(3035),
    [anon_sym_PERCENT_EQ] = ACTIONS(3035),
    [anon_sym_x_EQ] = ACTIONS(3035),
    [anon_sym_AMP_EQ] = ACTIONS(3035),
    [anon_sym_PIPE_EQ] = ACTIONS(3035),
    [anon_sym_CARET_EQ] = ACTIONS(3035),
    [anon_sym_LT_LT_EQ] = ACTIONS(3035),
    [anon_sym_GT_GT_EQ] = ACTIONS(3035),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3035),
    [anon_sym_DOT_DOT] = ACTIONS(3037),
    [anon_sym_STAR_STAR] = ACTIONS(3841),
    [anon_sym_PIPE_PIPE] = ACTIONS(3037),
    [anon_sym_SLASH_SLASH] = ACTIONS(3037),
    [anon_sym_CARET_CARET] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(3037),
    [anon_sym_PIPE] = ACTIONS(3037),
    [anon_sym_CARET] = ACTIONS(3037),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym_GT_GT2] = ACTIONS(3837),
    [anon_sym_PLUS] = ACTIONS(3853),
    [anon_sym_DASH] = ACTIONS(3853),
    [anon_sym_DOT] = ACTIONS(3853),
    [anon_sym_STAR] = ACTIONS(3833),
    [anon_sym_SLASH] = ACTIONS(3833),
    [anon_sym_x] = ACTIONS(3833),
    [anon_sym_EQ_TILDE] = ACTIONS(3855),
    [anon_sym_BANG_TILDE] = ACTIONS(3855),
    [anon_sym_EQ_EQ] = ACTIONS(3857),
    [anon_sym_BANG_EQ] = ACTIONS(3859),
    [anon_sym_eq] = ACTIONS(3857),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3859),
    [anon_sym_equ] = ACTIONS(3859),
    [anon_sym_eqr] = ACTIONS(3859),
    [anon_sym_ne] = ACTIONS(3859),
    [anon_sym_LT_EQ_GT] = ACTIONS(3909),
    [anon_sym_cmp] = ACTIONS(3909),
    [anon_sym_TILDE_TILDE] = ACTIONS(3909),
    [anon_sym_LT] = ACTIONS(3835),
    [anon_sym_LT_EQ] = ACTIONS(3835),
    [anon_sym_GT_EQ] = ACTIONS(3863),
    [anon_sym_lt] = ACTIONS(3863),
    [anon_sym_le] = ACTIONS(3863),
    [anon_sym_ge] = ACTIONS(3863),
    [anon_sym_gt] = ACTIONS(3863),
    [anon_sym_isa] = ACTIONS(3865),
    [anon_sym_PLUS_PLUS] = ACTIONS(3867),
    [anon_sym_DASH_DASH] = ACTIONS(3867),
    [anon_sym_QMARK] = ACTIONS(3035),
    [anon_sym_EQ_GT] = ACTIONS(3035),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2285] = {
    [sym_heredoc_content] = STATE(2285),
    [anon_sym_SEMI] = ACTIONS(2821),
    [anon_sym_EQ] = ACTIONS(2823),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2821),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2821),
    [anon_sym_COMMA] = ACTIONS(2821),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2821),
    [anon_sym_DASH_GT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(2823),
    [anon_sym_GT] = ACTIONS(2823),
    [anon_sym_LT_LT] = ACTIONS(2823),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2821),
    [anon_sym_PLUS_EQ] = ACTIONS(2821),
    [anon_sym_DASH_EQ] = ACTIONS(2821),
    [anon_sym_DOT_EQ] = ACTIONS(2821),
    [anon_sym_STAR_EQ] = ACTIONS(2821),
    [anon_sym_SLASH_EQ] = ACTIONS(2821),
    [anon_sym_PERCENT_EQ] = ACTIONS(2821),
    [anon_sym_x_EQ] = ACTIONS(2821),
    [anon_sym_AMP_EQ] = ACTIONS(2821),
    [anon_sym_PIPE_EQ] = ACTIONS(2821),
    [anon_sym_CARET_EQ] = ACTIONS(2821),
    [anon_sym_LT_LT_EQ] = ACTIONS(2821),
    [anon_sym_GT_GT_EQ] = ACTIONS(2821),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2821),
    [anon_sym_DOT_DOT] = ACTIONS(2823),
    [anon_sym_STAR_STAR] = ACTIONS(2823),
    [anon_sym_PIPE_PIPE] = ACTIONS(2823),
    [anon_sym_SLASH_SLASH] = ACTIONS(2823),
    [anon_sym_CARET_CARET] = ACTIONS(2821),
    [anon_sym_AMP_AMP] = ACTIONS(2823),
    [anon_sym_PIPE] = ACTIONS(2823),
    [anon_sym_CARET] = ACTIONS(2823),
    [anon_sym_AMP] = ACTIONS(2823),
    [anon_sym_GT_GT2] = ACTIONS(2823),
    [anon_sym_PLUS] = ACTIONS(2823),
    [anon_sym_DASH] = ACTIONS(2823),
    [anon_sym_DOT] = ACTIONS(2823),
    [anon_sym_STAR] = ACTIONS(2823),
    [anon_sym_SLASH] = ACTIONS(2823),
    [anon_sym_x] = ACTIONS(2823),
    [anon_sym_EQ_TILDE] = ACTIONS(2821),
    [anon_sym_BANG_TILDE] = ACTIONS(2821),
    [anon_sym_EQ_EQ] = ACTIONS(2823),
    [anon_sym_BANG_EQ] = ACTIONS(2821),
    [anon_sym_eq] = ACTIONS(2823),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2821),
    [anon_sym_equ] = ACTIONS(2821),
    [anon_sym_eqr] = ACTIONS(2821),
    [anon_sym_ne] = ACTIONS(2821),
    [anon_sym_LT_EQ_GT] = ACTIONS(2821),
    [anon_sym_cmp] = ACTIONS(2821),
    [anon_sym_TILDE_TILDE] = ACTIONS(2821),
    [anon_sym_LT] = ACTIONS(2823),
    [anon_sym_LT_EQ] = ACTIONS(2823),
    [anon_sym_GT_EQ] = ACTIONS(2821),
    [anon_sym_lt] = ACTIONS(2821),
    [anon_sym_le] = ACTIONS(2821),
    [anon_sym_ge] = ACTIONS(2821),
    [anon_sym_gt] = ACTIONS(2821),
    [anon_sym_isa] = ACTIONS(2821),
    [anon_sym_PLUS_PLUS] = ACTIONS(2821),
    [anon_sym_DASH_DASH] = ACTIONS(2821),
    [anon_sym_QMARK] = ACTIONS(2821),
    [anon_sym_EQ_GT] = ACTIONS(2821),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2821),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2286] = {
    [sym_heredoc_content] = STATE(2286),
    [anon_sym_SEMI] = ACTIONS(2853),
    [anon_sym_EQ] = ACTIONS(2855),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2853),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2853),
    [anon_sym_COMMA] = ACTIONS(2853),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2853),
    [anon_sym_DASH_GT] = ACTIONS(2853),
    [anon_sym_PERCENT] = ACTIONS(2855),
    [anon_sym_GT] = ACTIONS(2855),
    [anon_sym_LT_LT] = ACTIONS(2855),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2853),
    [anon_sym_PLUS_EQ] = ACTIONS(2853),
    [anon_sym_DASH_EQ] = ACTIONS(2853),
    [anon_sym_DOT_EQ] = ACTIONS(2853),
    [anon_sym_STAR_EQ] = ACTIONS(2853),
    [anon_sym_SLASH_EQ] = ACTIONS(2853),
    [anon_sym_PERCENT_EQ] = ACTIONS(2853),
    [anon_sym_x_EQ] = ACTIONS(2853),
    [anon_sym_AMP_EQ] = ACTIONS(2853),
    [anon_sym_PIPE_EQ] = ACTIONS(2853),
    [anon_sym_CARET_EQ] = ACTIONS(2853),
    [anon_sym_LT_LT_EQ] = ACTIONS(2853),
    [anon_sym_GT_GT_EQ] = ACTIONS(2853),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2853),
    [anon_sym_DOT_DOT] = ACTIONS(2855),
    [anon_sym_STAR_STAR] = ACTIONS(2855),
    [anon_sym_PIPE_PIPE] = ACTIONS(2855),
    [anon_sym_SLASH_SLASH] = ACTIONS(2855),
    [anon_sym_CARET_CARET] = ACTIONS(2853),
    [anon_sym_AMP_AMP] = ACTIONS(2855),
    [anon_sym_PIPE] = ACTIONS(2855),
    [anon_sym_CARET] = ACTIONS(2855),
    [anon_sym_AMP] = ACTIONS(2855),
    [anon_sym_GT_GT2] = ACTIONS(2855),
    [anon_sym_PLUS] = ACTIONS(2855),
    [anon_sym_DASH] = ACTIONS(2855),
    [anon_sym_DOT] = ACTIONS(2855),
    [anon_sym_STAR] = ACTIONS(2855),
    [anon_sym_SLASH] = ACTIONS(2855),
    [anon_sym_x] = ACTIONS(2855),
    [anon_sym_EQ_TILDE] = ACTIONS(2853),
    [anon_sym_BANG_TILDE] = ACTIONS(2853),
    [anon_sym_EQ_EQ] = ACTIONS(2855),
    [anon_sym_BANG_EQ] = ACTIONS(2853),
    [anon_sym_eq] = ACTIONS(2855),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2853),
    [anon_sym_equ] = ACTIONS(2853),
    [anon_sym_eqr] = ACTIONS(2853),
    [anon_sym_ne] = ACTIONS(2853),
    [anon_sym_LT_EQ_GT] = ACTIONS(2853),
    [anon_sym_cmp] = ACTIONS(2853),
    [anon_sym_TILDE_TILDE] = ACTIONS(2853),
    [anon_sym_LT] = ACTIONS(2855),
    [anon_sym_LT_EQ] = ACTIONS(2855),
    [anon_sym_GT_EQ] = ACTIONS(2853),
    [anon_sym_lt] = ACTIONS(2853),
    [anon_sym_le] = ACTIONS(2853),
    [anon_sym_ge] = ACTIONS(2853),
    [anon_sym_gt] = ACTIONS(2853),
    [anon_sym_isa] = ACTIONS(2853),
    [anon_sym_PLUS_PLUS] = ACTIONS(2853),
    [anon_sym_DASH_DASH] = ACTIONS(2853),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_EQ_GT] = ACTIONS(2853),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2853),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2287] = {
    [sym_heredoc_content] = STATE(2287),
    [anon_sym_SEMI] = ACTIONS(2861),
    [anon_sym_EQ] = ACTIONS(2863),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2861),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2861),
    [anon_sym_COMMA] = ACTIONS(2861),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2861),
    [anon_sym_DASH_GT] = ACTIONS(2861),
    [anon_sym_PERCENT] = ACTIONS(2863),
    [anon_sym_GT] = ACTIONS(2863),
    [anon_sym_LT_LT] = ACTIONS(2863),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2861),
    [anon_sym_PLUS_EQ] = ACTIONS(2861),
    [anon_sym_DASH_EQ] = ACTIONS(2861),
    [anon_sym_DOT_EQ] = ACTIONS(2861),
    [anon_sym_STAR_EQ] = ACTIONS(2861),
    [anon_sym_SLASH_EQ] = ACTIONS(2861),
    [anon_sym_PERCENT_EQ] = ACTIONS(2861),
    [anon_sym_x_EQ] = ACTIONS(2861),
    [anon_sym_AMP_EQ] = ACTIONS(2861),
    [anon_sym_PIPE_EQ] = ACTIONS(2861),
    [anon_sym_CARET_EQ] = ACTIONS(2861),
    [anon_sym_LT_LT_EQ] = ACTIONS(2861),
    [anon_sym_GT_GT_EQ] = ACTIONS(2861),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2861),
    [anon_sym_DOT_DOT] = ACTIONS(2863),
    [anon_sym_STAR_STAR] = ACTIONS(2863),
    [anon_sym_PIPE_PIPE] = ACTIONS(2863),
    [anon_sym_SLASH_SLASH] = ACTIONS(2863),
    [anon_sym_CARET_CARET] = ACTIONS(2861),
    [anon_sym_AMP_AMP] = ACTIONS(2863),
    [anon_sym_PIPE] = ACTIONS(2863),
    [anon_sym_CARET] = ACTIONS(2863),
    [anon_sym_AMP] = ACTIONS(2863),
    [anon_sym_GT_GT2] = ACTIONS(2863),
    [anon_sym_PLUS] = ACTIONS(2863),
    [anon_sym_DASH] = ACTIONS(2863),
    [anon_sym_DOT] = ACTIONS(2863),
    [anon_sym_STAR] = ACTIONS(2863),
    [anon_sym_SLASH] = ACTIONS(2863),
    [anon_sym_x] = ACTIONS(2863),
    [anon_sym_EQ_TILDE] = ACTIONS(2861),
    [anon_sym_BANG_TILDE] = ACTIONS(2861),
    [anon_sym_EQ_EQ] = ACTIONS(2863),
    [anon_sym_BANG_EQ] = ACTIONS(2861),
    [anon_sym_eq] = ACTIONS(2863),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2861),
    [anon_sym_equ] = ACTIONS(2861),
    [anon_sym_eqr] = ACTIONS(2861),
    [anon_sym_ne] = ACTIONS(2861),
    [anon_sym_LT_EQ_GT] = ACTIONS(2861),
    [anon_sym_cmp] = ACTIONS(2861),
    [anon_sym_TILDE_TILDE] = ACTIONS(2861),
    [anon_sym_LT] = ACTIONS(2863),
    [anon_sym_LT_EQ] = ACTIONS(2863),
    [anon_sym_GT_EQ] = ACTIONS(2861),
    [anon_sym_lt] = ACTIONS(2861),
    [anon_sym_le] = ACTIONS(2861),
    [anon_sym_ge] = ACTIONS(2861),
    [anon_sym_gt] = ACTIONS(2861),
    [anon_sym_isa] = ACTIONS(2861),
    [anon_sym_PLUS_PLUS] = ACTIONS(2861),
    [anon_sym_DASH_DASH] = ACTIONS(2861),
    [anon_sym_QMARK] = ACTIONS(2861),
    [anon_sym_EQ_GT] = ACTIONS(2861),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2861),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2288] = {
    [sym_heredoc_content] = STATE(2288),
    [anon_sym_SEMI] = ACTIONS(2865),
    [anon_sym_EQ] = ACTIONS(2867),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2865),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2865),
    [anon_sym_COMMA] = ACTIONS(2865),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2865),
    [anon_sym_DASH_GT] = ACTIONS(2865),
    [anon_sym_PERCENT] = ACTIONS(2867),
    [anon_sym_GT] = ACTIONS(2867),
    [anon_sym_LT_LT] = ACTIONS(2867),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2865),
    [anon_sym_PLUS_EQ] = ACTIONS(2865),
    [anon_sym_DASH_EQ] = ACTIONS(2865),
    [anon_sym_DOT_EQ] = ACTIONS(2865),
    [anon_sym_STAR_EQ] = ACTIONS(2865),
    [anon_sym_SLASH_EQ] = ACTIONS(2865),
    [anon_sym_PERCENT_EQ] = ACTIONS(2865),
    [anon_sym_x_EQ] = ACTIONS(2865),
    [anon_sym_AMP_EQ] = ACTIONS(2865),
    [anon_sym_PIPE_EQ] = ACTIONS(2865),
    [anon_sym_CARET_EQ] = ACTIONS(2865),
    [anon_sym_LT_LT_EQ] = ACTIONS(2865),
    [anon_sym_GT_GT_EQ] = ACTIONS(2865),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2865),
    [anon_sym_DOT_DOT] = ACTIONS(2867),
    [anon_sym_STAR_STAR] = ACTIONS(2867),
    [anon_sym_PIPE_PIPE] = ACTIONS(2867),
    [anon_sym_SLASH_SLASH] = ACTIONS(2867),
    [anon_sym_CARET_CARET] = ACTIONS(2865),
    [anon_sym_AMP_AMP] = ACTIONS(2867),
    [anon_sym_PIPE] = ACTIONS(2867),
    [anon_sym_CARET] = ACTIONS(2867),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_GT_GT2] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_DOT] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2867),
    [anon_sym_SLASH] = ACTIONS(2867),
    [anon_sym_x] = ACTIONS(2867),
    [anon_sym_EQ_TILDE] = ACTIONS(2865),
    [anon_sym_BANG_TILDE] = ACTIONS(2865),
    [anon_sym_EQ_EQ] = ACTIONS(2867),
    [anon_sym_BANG_EQ] = ACTIONS(2865),
    [anon_sym_eq] = ACTIONS(2867),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2865),
    [anon_sym_equ] = ACTIONS(2865),
    [anon_sym_eqr] = ACTIONS(2865),
    [anon_sym_ne] = ACTIONS(2865),
    [anon_sym_LT_EQ_GT] = ACTIONS(2865),
    [anon_sym_cmp] = ACTIONS(2865),
    [anon_sym_TILDE_TILDE] = ACTIONS(2865),
    [anon_sym_LT] = ACTIONS(2867),
    [anon_sym_LT_EQ] = ACTIONS(2867),
    [anon_sym_GT_EQ] = ACTIONS(2865),
    [anon_sym_lt] = ACTIONS(2865),
    [anon_sym_le] = ACTIONS(2865),
    [anon_sym_ge] = ACTIONS(2865),
    [anon_sym_gt] = ACTIONS(2865),
    [anon_sym_isa] = ACTIONS(2865),
    [anon_sym_PLUS_PLUS] = ACTIONS(2865),
    [anon_sym_DASH_DASH] = ACTIONS(2865),
    [anon_sym_QMARK] = ACTIONS(2865),
    [anon_sym_EQ_GT] = ACTIONS(2865),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2865),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2289] = {
    [sym_heredoc_content] = STATE(2289),
    [anon_sym_SEMI] = ACTIONS(3011),
    [anon_sym_EQ] = ACTIONS(3013),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3011),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3011),
    [anon_sym_COMMA] = ACTIONS(3011),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3011),
    [anon_sym_DASH_GT] = ACTIONS(3011),
    [anon_sym_PERCENT] = ACTIONS(3013),
    [anon_sym_GT] = ACTIONS(3013),
    [anon_sym_LT_LT] = ACTIONS(3013),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3011),
    [anon_sym_PLUS_EQ] = ACTIONS(3011),
    [anon_sym_DASH_EQ] = ACTIONS(3011),
    [anon_sym_DOT_EQ] = ACTIONS(3011),
    [anon_sym_STAR_EQ] = ACTIONS(3011),
    [anon_sym_SLASH_EQ] = ACTIONS(3011),
    [anon_sym_PERCENT_EQ] = ACTIONS(3011),
    [anon_sym_x_EQ] = ACTIONS(3011),
    [anon_sym_AMP_EQ] = ACTIONS(3011),
    [anon_sym_PIPE_EQ] = ACTIONS(3011),
    [anon_sym_CARET_EQ] = ACTIONS(3011),
    [anon_sym_LT_LT_EQ] = ACTIONS(3011),
    [anon_sym_GT_GT_EQ] = ACTIONS(3011),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3011),
    [anon_sym_DOT_DOT] = ACTIONS(3013),
    [anon_sym_STAR_STAR] = ACTIONS(3013),
    [anon_sym_PIPE_PIPE] = ACTIONS(3013),
    [anon_sym_SLASH_SLASH] = ACTIONS(3013),
    [anon_sym_CARET_CARET] = ACTIONS(3011),
    [anon_sym_AMP_AMP] = ACTIONS(3013),
    [anon_sym_PIPE] = ACTIONS(3013),
    [anon_sym_CARET] = ACTIONS(3013),
    [anon_sym_AMP] = ACTIONS(3013),
    [anon_sym_GT_GT2] = ACTIONS(3013),
    [anon_sym_PLUS] = ACTIONS(3013),
    [anon_sym_DASH] = ACTIONS(3013),
    [anon_sym_DOT] = ACTIONS(3013),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_SLASH] = ACTIONS(3013),
    [anon_sym_x] = ACTIONS(3013),
    [anon_sym_EQ_TILDE] = ACTIONS(3011),
    [anon_sym_BANG_TILDE] = ACTIONS(3011),
    [anon_sym_EQ_EQ] = ACTIONS(3013),
    [anon_sym_BANG_EQ] = ACTIONS(3011),
    [anon_sym_eq] = ACTIONS(3013),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3011),
    [anon_sym_equ] = ACTIONS(3011),
    [anon_sym_eqr] = ACTIONS(3011),
    [anon_sym_ne] = ACTIONS(3011),
    [anon_sym_LT_EQ_GT] = ACTIONS(3011),
    [anon_sym_cmp] = ACTIONS(3011),
    [anon_sym_TILDE_TILDE] = ACTIONS(3011),
    [anon_sym_LT] = ACTIONS(3013),
    [anon_sym_LT_EQ] = ACTIONS(3013),
    [anon_sym_GT_EQ] = ACTIONS(3011),
    [anon_sym_lt] = ACTIONS(3011),
    [anon_sym_le] = ACTIONS(3011),
    [anon_sym_ge] = ACTIONS(3011),
    [anon_sym_gt] = ACTIONS(3011),
    [anon_sym_isa] = ACTIONS(3011),
    [anon_sym_PLUS_PLUS] = ACTIONS(3011),
    [anon_sym_DASH_DASH] = ACTIONS(3011),
    [anon_sym_QMARK] = ACTIONS(3011),
    [anon_sym_EQ_GT] = ACTIONS(3011),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3011),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2290] = {
    [sym_heredoc_content] = STATE(2290),
    [anon_sym_RBRACE] = ACTIONS(2897),
    [anon_sym_EQ] = ACTIONS(2899),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2897),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2897),
    [anon_sym_COMMA] = ACTIONS(3911),
    [anon_sym_RPAREN] = ACTIONS(2897),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2897),
    [anon_sym_DASH_GT] = ACTIONS(2897),
    [anon_sym_PERCENT] = ACTIONS(2899),
    [anon_sym_GT] = ACTIONS(2899),
    [anon_sym_LT_LT] = ACTIONS(2899),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2897),
    [anon_sym_PLUS_EQ] = ACTIONS(2897),
    [anon_sym_DASH_EQ] = ACTIONS(2897),
    [anon_sym_DOT_EQ] = ACTIONS(2897),
    [anon_sym_STAR_EQ] = ACTIONS(2897),
    [anon_sym_SLASH_EQ] = ACTIONS(2897),
    [anon_sym_PERCENT_EQ] = ACTIONS(2897),
    [anon_sym_x_EQ] = ACTIONS(2897),
    [anon_sym_AMP_EQ] = ACTIONS(2897),
    [anon_sym_PIPE_EQ] = ACTIONS(2897),
    [anon_sym_CARET_EQ] = ACTIONS(2897),
    [anon_sym_LT_LT_EQ] = ACTIONS(2897),
    [anon_sym_GT_GT_EQ] = ACTIONS(2897),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2897),
    [anon_sym_DOT_DOT] = ACTIONS(2899),
    [anon_sym_STAR_STAR] = ACTIONS(2899),
    [anon_sym_PIPE_PIPE] = ACTIONS(2899),
    [anon_sym_SLASH_SLASH] = ACTIONS(2899),
    [anon_sym_CARET_CARET] = ACTIONS(2897),
    [anon_sym_AMP_AMP] = ACTIONS(2899),
    [anon_sym_PIPE] = ACTIONS(2899),
    [anon_sym_CARET] = ACTIONS(2899),
    [anon_sym_AMP] = ACTIONS(2899),
    [anon_sym_GT_GT2] = ACTIONS(2899),
    [anon_sym_PLUS] = ACTIONS(2899),
    [anon_sym_DASH] = ACTIONS(2899),
    [anon_sym_DOT] = ACTIONS(2899),
    [anon_sym_STAR] = ACTIONS(2899),
    [anon_sym_SLASH] = ACTIONS(2899),
    [anon_sym_x] = ACTIONS(2899),
    [anon_sym_EQ_TILDE] = ACTIONS(2897),
    [anon_sym_BANG_TILDE] = ACTIONS(2897),
    [anon_sym_EQ_EQ] = ACTIONS(2899),
    [anon_sym_BANG_EQ] = ACTIONS(2897),
    [anon_sym_eq] = ACTIONS(2899),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2897),
    [anon_sym_equ] = ACTIONS(2897),
    [anon_sym_eqr] = ACTIONS(2897),
    [anon_sym_ne] = ACTIONS(2897),
    [anon_sym_LT_EQ_GT] = ACTIONS(2897),
    [anon_sym_cmp] = ACTIONS(2897),
    [anon_sym_TILDE_TILDE] = ACTIONS(2897),
    [anon_sym_LT] = ACTIONS(2899),
    [anon_sym_LT_EQ] = ACTIONS(2899),
    [anon_sym_GT_EQ] = ACTIONS(2897),
    [anon_sym_lt] = ACTIONS(2897),
    [anon_sym_le] = ACTIONS(2897),
    [anon_sym_ge] = ACTIONS(2897),
    [anon_sym_gt] = ACTIONS(2897),
    [anon_sym_isa] = ACTIONS(2897),
    [anon_sym_PLUS_PLUS] = ACTIONS(2897),
    [anon_sym_DASH_DASH] = ACTIONS(2897),
    [anon_sym_QMARK] = ACTIONS(2897),
    [anon_sym_EQ_GT] = ACTIONS(3911),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2291] = {
    [sym_heredoc_content] = STATE(2291),
    [anon_sym_RBRACE] = ACTIONS(3035),
    [anon_sym_EQ] = ACTIONS(3037),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3035),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3035),
    [anon_sym_COMMA] = ACTIONS(3035),
    [anon_sym_RPAREN] = ACTIONS(3035),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3035),
    [anon_sym_DASH_GT] = ACTIONS(3831),
    [anon_sym_PERCENT] = ACTIONS(3833),
    [anon_sym_GT] = ACTIONS(3835),
    [anon_sym_LT_LT] = ACTIONS(3837),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3035),
    [anon_sym_PLUS_EQ] = ACTIONS(3035),
    [anon_sym_DASH_EQ] = ACTIONS(3035),
    [anon_sym_DOT_EQ] = ACTIONS(3035),
    [anon_sym_STAR_EQ] = ACTIONS(3035),
    [anon_sym_SLASH_EQ] = ACTIONS(3035),
    [anon_sym_PERCENT_EQ] = ACTIONS(3035),
    [anon_sym_x_EQ] = ACTIONS(3035),
    [anon_sym_AMP_EQ] = ACTIONS(3035),
    [anon_sym_PIPE_EQ] = ACTIONS(3035),
    [anon_sym_CARET_EQ] = ACTIONS(3035),
    [anon_sym_LT_LT_EQ] = ACTIONS(3035),
    [anon_sym_GT_GT_EQ] = ACTIONS(3035),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3035),
    [anon_sym_DOT_DOT] = ACTIONS(3037),
    [anon_sym_STAR_STAR] = ACTIONS(3841),
    [anon_sym_PIPE_PIPE] = ACTIONS(3037),
    [anon_sym_SLASH_SLASH] = ACTIONS(3037),
    [anon_sym_CARET_CARET] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(3037),
    [anon_sym_PIPE] = ACTIONS(3037),
    [anon_sym_CARET] = ACTIONS(3037),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym_GT_GT2] = ACTIONS(3837),
    [anon_sym_PLUS] = ACTIONS(3853),
    [anon_sym_DASH] = ACTIONS(3853),
    [anon_sym_DOT] = ACTIONS(3853),
    [anon_sym_STAR] = ACTIONS(3833),
    [anon_sym_SLASH] = ACTIONS(3833),
    [anon_sym_x] = ACTIONS(3833),
    [anon_sym_EQ_TILDE] = ACTIONS(3855),
    [anon_sym_BANG_TILDE] = ACTIONS(3855),
    [anon_sym_EQ_EQ] = ACTIONS(3037),
    [anon_sym_BANG_EQ] = ACTIONS(3035),
    [anon_sym_eq] = ACTIONS(3037),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3035),
    [anon_sym_equ] = ACTIONS(3035),
    [anon_sym_eqr] = ACTIONS(3035),
    [anon_sym_ne] = ACTIONS(3035),
    [anon_sym_LT_EQ_GT] = ACTIONS(3035),
    [anon_sym_cmp] = ACTIONS(3035),
    [anon_sym_TILDE_TILDE] = ACTIONS(3035),
    [anon_sym_LT] = ACTIONS(3835),
    [anon_sym_LT_EQ] = ACTIONS(3835),
    [anon_sym_GT_EQ] = ACTIONS(3863),
    [anon_sym_lt] = ACTIONS(3863),
    [anon_sym_le] = ACTIONS(3863),
    [anon_sym_ge] = ACTIONS(3863),
    [anon_sym_gt] = ACTIONS(3863),
    [anon_sym_isa] = ACTIONS(3865),
    [anon_sym_PLUS_PLUS] = ACTIONS(3867),
    [anon_sym_DASH_DASH] = ACTIONS(3867),
    [anon_sym_QMARK] = ACTIONS(3035),
    [anon_sym_EQ_GT] = ACTIONS(3035),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2292] = {
    [sym_heredoc_content] = STATE(2292),
    [anon_sym_SEMI] = ACTIONS(2931),
    [anon_sym_EQ] = ACTIONS(2933),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2931),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2931),
    [anon_sym_COMMA] = ACTIONS(2931),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2931),
    [anon_sym_DASH_GT] = ACTIONS(2931),
    [anon_sym_PERCENT] = ACTIONS(2933),
    [anon_sym_GT] = ACTIONS(2933),
    [anon_sym_LT_LT] = ACTIONS(2933),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2931),
    [anon_sym_PLUS_EQ] = ACTIONS(2931),
    [anon_sym_DASH_EQ] = ACTIONS(2931),
    [anon_sym_DOT_EQ] = ACTIONS(2931),
    [anon_sym_STAR_EQ] = ACTIONS(2931),
    [anon_sym_SLASH_EQ] = ACTIONS(2931),
    [anon_sym_PERCENT_EQ] = ACTIONS(2931),
    [anon_sym_x_EQ] = ACTIONS(2931),
    [anon_sym_AMP_EQ] = ACTIONS(2931),
    [anon_sym_PIPE_EQ] = ACTIONS(2931),
    [anon_sym_CARET_EQ] = ACTIONS(2931),
    [anon_sym_LT_LT_EQ] = ACTIONS(2931),
    [anon_sym_GT_GT_EQ] = ACTIONS(2931),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2931),
    [anon_sym_DOT_DOT] = ACTIONS(2933),
    [anon_sym_STAR_STAR] = ACTIONS(2933),
    [anon_sym_PIPE_PIPE] = ACTIONS(2933),
    [anon_sym_SLASH_SLASH] = ACTIONS(2933),
    [anon_sym_CARET_CARET] = ACTIONS(2931),
    [anon_sym_AMP_AMP] = ACTIONS(2933),
    [anon_sym_PIPE] = ACTIONS(2933),
    [anon_sym_CARET] = ACTIONS(2933),
    [anon_sym_AMP] = ACTIONS(2933),
    [anon_sym_GT_GT2] = ACTIONS(2933),
    [anon_sym_PLUS] = ACTIONS(2933),
    [anon_sym_DASH] = ACTIONS(2933),
    [anon_sym_DOT] = ACTIONS(2933),
    [anon_sym_STAR] = ACTIONS(2933),
    [anon_sym_SLASH] = ACTIONS(2933),
    [anon_sym_x] = ACTIONS(2933),
    [anon_sym_EQ_TILDE] = ACTIONS(2931),
    [anon_sym_BANG_TILDE] = ACTIONS(2931),
    [anon_sym_EQ_EQ] = ACTIONS(2933),
    [anon_sym_BANG_EQ] = ACTIONS(2931),
    [anon_sym_eq] = ACTIONS(2933),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2931),
    [anon_sym_equ] = ACTIONS(2931),
    [anon_sym_eqr] = ACTIONS(2931),
    [anon_sym_ne] = ACTIONS(2931),
    [anon_sym_LT_EQ_GT] = ACTIONS(2931),
    [anon_sym_cmp] = ACTIONS(2931),
    [anon_sym_TILDE_TILDE] = ACTIONS(2931),
    [anon_sym_LT] = ACTIONS(2933),
    [anon_sym_LT_EQ] = ACTIONS(2933),
    [anon_sym_GT_EQ] = ACTIONS(2931),
    [anon_sym_lt] = ACTIONS(2931),
    [anon_sym_le] = ACTIONS(2931),
    [anon_sym_ge] = ACTIONS(2931),
    [anon_sym_gt] = ACTIONS(2931),
    [anon_sym_isa] = ACTIONS(2931),
    [anon_sym_PLUS_PLUS] = ACTIONS(2931),
    [anon_sym_DASH_DASH] = ACTIONS(2931),
    [anon_sym_QMARK] = ACTIONS(2931),
    [anon_sym_EQ_GT] = ACTIONS(2931),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2931),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2293] = {
    [sym_heredoc_content] = STATE(2293),
    [anon_sym_SEMI] = ACTIONS(2889),
    [anon_sym_EQ] = ACTIONS(2891),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2889),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2889),
    [anon_sym_COMMA] = ACTIONS(2889),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2889),
    [anon_sym_DASH_GT] = ACTIONS(2889),
    [anon_sym_PERCENT] = ACTIONS(2891),
    [anon_sym_GT] = ACTIONS(2891),
    [anon_sym_LT_LT] = ACTIONS(2891),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2889),
    [anon_sym_PLUS_EQ] = ACTIONS(2889),
    [anon_sym_DASH_EQ] = ACTIONS(2889),
    [anon_sym_DOT_EQ] = ACTIONS(2889),
    [anon_sym_STAR_EQ] = ACTIONS(2889),
    [anon_sym_SLASH_EQ] = ACTIONS(2889),
    [anon_sym_PERCENT_EQ] = ACTIONS(2889),
    [anon_sym_x_EQ] = ACTIONS(2889),
    [anon_sym_AMP_EQ] = ACTIONS(2889),
    [anon_sym_PIPE_EQ] = ACTIONS(2889),
    [anon_sym_CARET_EQ] = ACTIONS(2889),
    [anon_sym_LT_LT_EQ] = ACTIONS(2889),
    [anon_sym_GT_GT_EQ] = ACTIONS(2889),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2889),
    [anon_sym_DOT_DOT] = ACTIONS(2891),
    [anon_sym_STAR_STAR] = ACTIONS(2891),
    [anon_sym_PIPE_PIPE] = ACTIONS(2891),
    [anon_sym_SLASH_SLASH] = ACTIONS(2891),
    [anon_sym_CARET_CARET] = ACTIONS(2889),
    [anon_sym_AMP_AMP] = ACTIONS(2891),
    [anon_sym_PIPE] = ACTIONS(2891),
    [anon_sym_CARET] = ACTIONS(2891),
    [anon_sym_AMP] = ACTIONS(2891),
    [anon_sym_GT_GT2] = ACTIONS(2891),
    [anon_sym_PLUS] = ACTIONS(2891),
    [anon_sym_DASH] = ACTIONS(2891),
    [anon_sym_DOT] = ACTIONS(2891),
    [anon_sym_STAR] = ACTIONS(2891),
    [anon_sym_SLASH] = ACTIONS(2891),
    [anon_sym_x] = ACTIONS(2891),
    [anon_sym_EQ_TILDE] = ACTIONS(2889),
    [anon_sym_BANG_TILDE] = ACTIONS(2889),
    [anon_sym_EQ_EQ] = ACTIONS(2891),
    [anon_sym_BANG_EQ] = ACTIONS(2889),
    [anon_sym_eq] = ACTIONS(2891),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2889),
    [anon_sym_equ] = ACTIONS(2889),
    [anon_sym_eqr] = ACTIONS(2889),
    [anon_sym_ne] = ACTIONS(2889),
    [anon_sym_LT_EQ_GT] = ACTIONS(2889),
    [anon_sym_cmp] = ACTIONS(2889),
    [anon_sym_TILDE_TILDE] = ACTIONS(2889),
    [anon_sym_LT] = ACTIONS(2891),
    [anon_sym_LT_EQ] = ACTIONS(2891),
    [anon_sym_GT_EQ] = ACTIONS(2889),
    [anon_sym_lt] = ACTIONS(2889),
    [anon_sym_le] = ACTIONS(2889),
    [anon_sym_ge] = ACTIONS(2889),
    [anon_sym_gt] = ACTIONS(2889),
    [anon_sym_isa] = ACTIONS(2889),
    [anon_sym_PLUS_PLUS] = ACTIONS(2889),
    [anon_sym_DASH_DASH] = ACTIONS(2889),
    [anon_sym_QMARK] = ACTIONS(2889),
    [anon_sym_EQ_GT] = ACTIONS(2889),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2889),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2294] = {
    [sym_heredoc_content] = STATE(2294),
    [anon_sym_SEMI] = ACTIONS(3015),
    [anon_sym_EQ] = ACTIONS(3754),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3756),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3756),
    [anon_sym_COMMA] = ACTIONS(3015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3758),
    [anon_sym_DASH_GT] = ACTIONS(3760),
    [anon_sym_PERCENT] = ACTIONS(3762),
    [anon_sym_GT] = ACTIONS(3764),
    [anon_sym_LT_LT] = ACTIONS(3766),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3756),
    [anon_sym_PLUS_EQ] = ACTIONS(3756),
    [anon_sym_DASH_EQ] = ACTIONS(3756),
    [anon_sym_DOT_EQ] = ACTIONS(3756),
    [anon_sym_STAR_EQ] = ACTIONS(3756),
    [anon_sym_SLASH_EQ] = ACTIONS(3756),
    [anon_sym_PERCENT_EQ] = ACTIONS(3756),
    [anon_sym_x_EQ] = ACTIONS(3756),
    [anon_sym_AMP_EQ] = ACTIONS(3756),
    [anon_sym_PIPE_EQ] = ACTIONS(3756),
    [anon_sym_CARET_EQ] = ACTIONS(3756),
    [anon_sym_LT_LT_EQ] = ACTIONS(3756),
    [anon_sym_GT_GT_EQ] = ACTIONS(3756),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3756),
    [anon_sym_DOT_DOT] = ACTIONS(3768),
    [anon_sym_STAR_STAR] = ACTIONS(3770),
    [anon_sym_PIPE_PIPE] = ACTIONS(3772),
    [anon_sym_SLASH_SLASH] = ACTIONS(3772),
    [anon_sym_CARET_CARET] = ACTIONS(3774),
    [anon_sym_AMP_AMP] = ACTIONS(3776),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3780),
    [anon_sym_GT_GT2] = ACTIONS(3766),
    [anon_sym_PLUS] = ACTIONS(3782),
    [anon_sym_DASH] = ACTIONS(3782),
    [anon_sym_DOT] = ACTIONS(3782),
    [anon_sym_STAR] = ACTIONS(3762),
    [anon_sym_SLASH] = ACTIONS(3762),
    [anon_sym_x] = ACTIONS(3762),
    [anon_sym_EQ_TILDE] = ACTIONS(3784),
    [anon_sym_BANG_TILDE] = ACTIONS(3784),
    [anon_sym_EQ_EQ] = ACTIONS(3786),
    [anon_sym_BANG_EQ] = ACTIONS(3788),
    [anon_sym_eq] = ACTIONS(3786),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3788),
    [anon_sym_equ] = ACTIONS(3788),
    [anon_sym_eqr] = ACTIONS(3788),
    [anon_sym_ne] = ACTIONS(3788),
    [anon_sym_LT_EQ_GT] = ACTIONS(3790),
    [anon_sym_cmp] = ACTIONS(3790),
    [anon_sym_TILDE_TILDE] = ACTIONS(3790),
    [anon_sym_LT] = ACTIONS(3764),
    [anon_sym_LT_EQ] = ACTIONS(3764),
    [anon_sym_GT_EQ] = ACTIONS(3792),
    [anon_sym_lt] = ACTIONS(3792),
    [anon_sym_le] = ACTIONS(3792),
    [anon_sym_ge] = ACTIONS(3792),
    [anon_sym_gt] = ACTIONS(3792),
    [anon_sym_isa] = ACTIONS(3794),
    [anon_sym_PLUS_PLUS] = ACTIONS(3796),
    [anon_sym_DASH_DASH] = ACTIONS(3796),
    [anon_sym_QMARK] = ACTIONS(3798),
    [anon_sym_EQ_GT] = ACTIONS(3015),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3015),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2295] = {
    [sym_heredoc_content] = STATE(2295),
    [anon_sym_SEMI] = ACTIONS(2774),
    [anon_sym_EQ] = ACTIONS(3754),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3756),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3756),
    [anon_sym_COMMA] = ACTIONS(2774),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3758),
    [anon_sym_DASH_GT] = ACTIONS(3760),
    [anon_sym_PERCENT] = ACTIONS(3762),
    [anon_sym_GT] = ACTIONS(3764),
    [anon_sym_LT_LT] = ACTIONS(3766),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3756),
    [anon_sym_PLUS_EQ] = ACTIONS(3756),
    [anon_sym_DASH_EQ] = ACTIONS(3756),
    [anon_sym_DOT_EQ] = ACTIONS(3756),
    [anon_sym_STAR_EQ] = ACTIONS(3756),
    [anon_sym_SLASH_EQ] = ACTIONS(3756),
    [anon_sym_PERCENT_EQ] = ACTIONS(3756),
    [anon_sym_x_EQ] = ACTIONS(3756),
    [anon_sym_AMP_EQ] = ACTIONS(3756),
    [anon_sym_PIPE_EQ] = ACTIONS(3756),
    [anon_sym_CARET_EQ] = ACTIONS(3756),
    [anon_sym_LT_LT_EQ] = ACTIONS(3756),
    [anon_sym_GT_GT_EQ] = ACTIONS(3756),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3756),
    [anon_sym_DOT_DOT] = ACTIONS(3768),
    [anon_sym_STAR_STAR] = ACTIONS(3770),
    [anon_sym_PIPE_PIPE] = ACTIONS(3772),
    [anon_sym_SLASH_SLASH] = ACTIONS(3772),
    [anon_sym_CARET_CARET] = ACTIONS(3774),
    [anon_sym_AMP_AMP] = ACTIONS(3776),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3780),
    [anon_sym_GT_GT2] = ACTIONS(3766),
    [anon_sym_PLUS] = ACTIONS(3782),
    [anon_sym_DASH] = ACTIONS(3782),
    [anon_sym_DOT] = ACTIONS(3782),
    [anon_sym_STAR] = ACTIONS(3762),
    [anon_sym_SLASH] = ACTIONS(3762),
    [anon_sym_x] = ACTIONS(3762),
    [anon_sym_EQ_TILDE] = ACTIONS(3784),
    [anon_sym_BANG_TILDE] = ACTIONS(3784),
    [anon_sym_EQ_EQ] = ACTIONS(3786),
    [anon_sym_BANG_EQ] = ACTIONS(3788),
    [anon_sym_eq] = ACTIONS(3786),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3788),
    [anon_sym_equ] = ACTIONS(3788),
    [anon_sym_eqr] = ACTIONS(3788),
    [anon_sym_ne] = ACTIONS(3788),
    [anon_sym_LT_EQ_GT] = ACTIONS(3790),
    [anon_sym_cmp] = ACTIONS(3790),
    [anon_sym_TILDE_TILDE] = ACTIONS(3790),
    [anon_sym_LT] = ACTIONS(3764),
    [anon_sym_LT_EQ] = ACTIONS(3764),
    [anon_sym_GT_EQ] = ACTIONS(3792),
    [anon_sym_lt] = ACTIONS(3792),
    [anon_sym_le] = ACTIONS(3792),
    [anon_sym_ge] = ACTIONS(3792),
    [anon_sym_gt] = ACTIONS(3792),
    [anon_sym_isa] = ACTIONS(3794),
    [anon_sym_PLUS_PLUS] = ACTIONS(3796),
    [anon_sym_DASH_DASH] = ACTIONS(3796),
    [anon_sym_QMARK] = ACTIONS(3798),
    [anon_sym_EQ_GT] = ACTIONS(2774),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2774),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2296] = {
    [sym_heredoc_content] = STATE(2296),
    [aux_sym__term_rightward_repeat1] = STATE(2376),
    [anon_sym_COLON] = ACTIONS(2556),
    [anon_sym_EQ] = ACTIONS(2558),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2556),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2556),
    [anon_sym_COMMA] = ACTIONS(3913),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2556),
    [anon_sym_DASH_GT] = ACTIONS(2556),
    [anon_sym_PERCENT] = ACTIONS(2558),
    [anon_sym_GT] = ACTIONS(2558),
    [anon_sym_LT_LT] = ACTIONS(2558),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2556),
    [anon_sym_PLUS_EQ] = ACTIONS(2556),
    [anon_sym_DASH_EQ] = ACTIONS(2556),
    [anon_sym_DOT_EQ] = ACTIONS(2556),
    [anon_sym_STAR_EQ] = ACTIONS(2556),
    [anon_sym_SLASH_EQ] = ACTIONS(2556),
    [anon_sym_PERCENT_EQ] = ACTIONS(2556),
    [anon_sym_x_EQ] = ACTIONS(2556),
    [anon_sym_AMP_EQ] = ACTIONS(2556),
    [anon_sym_PIPE_EQ] = ACTIONS(2556),
    [anon_sym_CARET_EQ] = ACTIONS(2556),
    [anon_sym_LT_LT_EQ] = ACTIONS(2556),
    [anon_sym_GT_GT_EQ] = ACTIONS(2556),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2556),
    [anon_sym_DOT_DOT] = ACTIONS(2558),
    [anon_sym_STAR_STAR] = ACTIONS(2558),
    [anon_sym_PIPE_PIPE] = ACTIONS(2558),
    [anon_sym_SLASH_SLASH] = ACTIONS(2558),
    [anon_sym_CARET_CARET] = ACTIONS(2556),
    [anon_sym_AMP_AMP] = ACTIONS(2558),
    [anon_sym_PIPE] = ACTIONS(2558),
    [anon_sym_CARET] = ACTIONS(2558),
    [anon_sym_AMP] = ACTIONS(2558),
    [anon_sym_GT_GT2] = ACTIONS(2558),
    [anon_sym_PLUS] = ACTIONS(2558),
    [anon_sym_DASH] = ACTIONS(2558),
    [anon_sym_DOT] = ACTIONS(2558),
    [anon_sym_STAR] = ACTIONS(2558),
    [anon_sym_SLASH] = ACTIONS(2558),
    [anon_sym_x] = ACTIONS(2558),
    [anon_sym_EQ_TILDE] = ACTIONS(2556),
    [anon_sym_BANG_TILDE] = ACTIONS(2556),
    [anon_sym_EQ_EQ] = ACTIONS(2558),
    [anon_sym_BANG_EQ] = ACTIONS(2556),
    [anon_sym_eq] = ACTIONS(2558),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2556),
    [anon_sym_equ] = ACTIONS(2556),
    [anon_sym_eqr] = ACTIONS(2556),
    [anon_sym_ne] = ACTIONS(2556),
    [anon_sym_LT_EQ_GT] = ACTIONS(2556),
    [anon_sym_cmp] = ACTIONS(2556),
    [anon_sym_TILDE_TILDE] = ACTIONS(2556),
    [anon_sym_LT] = ACTIONS(2558),
    [anon_sym_LT_EQ] = ACTIONS(2558),
    [anon_sym_GT_EQ] = ACTIONS(2556),
    [anon_sym_lt] = ACTIONS(2556),
    [anon_sym_le] = ACTIONS(2556),
    [anon_sym_ge] = ACTIONS(2556),
    [anon_sym_gt] = ACTIONS(2556),
    [anon_sym_isa] = ACTIONS(2556),
    [anon_sym_PLUS_PLUS] = ACTIONS(2556),
    [anon_sym_DASH_DASH] = ACTIONS(2556),
    [anon_sym_QMARK] = ACTIONS(2556),
    [anon_sym_EQ_GT] = ACTIONS(3913),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2297] = {
    [sym_heredoc_content] = STATE(2297),
    [anon_sym_SEMI] = ACTIONS(1665),
    [anon_sym_EQ] = ACTIONS(1663),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1665),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1665),
    [anon_sym_COMMA] = ACTIONS(1665),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1665),
    [anon_sym_DASH_GT] = ACTIONS(1665),
    [anon_sym_PERCENT] = ACTIONS(1663),
    [anon_sym_GT] = ACTIONS(1663),
    [anon_sym_LT_LT] = ACTIONS(1663),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1665),
    [anon_sym_PLUS_EQ] = ACTIONS(1665),
    [anon_sym_DASH_EQ] = ACTIONS(1665),
    [anon_sym_DOT_EQ] = ACTIONS(1665),
    [anon_sym_STAR_EQ] = ACTIONS(1665),
    [anon_sym_SLASH_EQ] = ACTIONS(1665),
    [anon_sym_PERCENT_EQ] = ACTIONS(1665),
    [anon_sym_x_EQ] = ACTIONS(1665),
    [anon_sym_AMP_EQ] = ACTIONS(1665),
    [anon_sym_PIPE_EQ] = ACTIONS(1665),
    [anon_sym_CARET_EQ] = ACTIONS(1665),
    [anon_sym_LT_LT_EQ] = ACTIONS(1665),
    [anon_sym_GT_GT_EQ] = ACTIONS(1665),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1665),
    [anon_sym_DOT_DOT] = ACTIONS(1663),
    [anon_sym_STAR_STAR] = ACTIONS(1663),
    [anon_sym_PIPE_PIPE] = ACTIONS(1663),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_CARET_CARET] = ACTIONS(1665),
    [anon_sym_AMP_AMP] = ACTIONS(1663),
    [anon_sym_PIPE] = ACTIONS(1663),
    [anon_sym_CARET] = ACTIONS(1663),
    [anon_sym_AMP] = ACTIONS(1663),
    [anon_sym_GT_GT2] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(1663),
    [anon_sym_DASH] = ACTIONS(1663),
    [anon_sym_DOT] = ACTIONS(1663),
    [anon_sym_STAR] = ACTIONS(1663),
    [anon_sym_SLASH] = ACTIONS(1663),
    [anon_sym_x] = ACTIONS(1663),
    [anon_sym_EQ_TILDE] = ACTIONS(1665),
    [anon_sym_BANG_TILDE] = ACTIONS(1665),
    [anon_sym_EQ_EQ] = ACTIONS(1663),
    [anon_sym_BANG_EQ] = ACTIONS(1665),
    [anon_sym_eq] = ACTIONS(1663),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1665),
    [anon_sym_equ] = ACTIONS(1665),
    [anon_sym_eqr] = ACTIONS(1665),
    [anon_sym_ne] = ACTIONS(1665),
    [anon_sym_LT_EQ_GT] = ACTIONS(1665),
    [anon_sym_cmp] = ACTIONS(1665),
    [anon_sym_TILDE_TILDE] = ACTIONS(1665),
    [anon_sym_LT] = ACTIONS(1663),
    [anon_sym_LT_EQ] = ACTIONS(1663),
    [anon_sym_GT_EQ] = ACTIONS(1665),
    [anon_sym_lt] = ACTIONS(1665),
    [anon_sym_le] = ACTIONS(1665),
    [anon_sym_ge] = ACTIONS(1665),
    [anon_sym_gt] = ACTIONS(1665),
    [anon_sym_isa] = ACTIONS(1665),
    [anon_sym_PLUS_PLUS] = ACTIONS(1665),
    [anon_sym_DASH_DASH] = ACTIONS(1665),
    [anon_sym_QMARK] = ACTIONS(1665),
    [anon_sym_EQ_GT] = ACTIONS(1665),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(1665),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2298] = {
    [sym_heredoc_content] = STATE(2298),
    [anon_sym_SEMI] = ACTIONS(3019),
    [anon_sym_EQ] = ACTIONS(3021),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_COMMA] = ACTIONS(3019),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3915),
    [anon_sym_DASH_GT] = ACTIONS(3760),
    [anon_sym_PERCENT] = ACTIONS(3762),
    [anon_sym_GT] = ACTIONS(3764),
    [anon_sym_LT_LT] = ACTIONS(3766),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3019),
    [anon_sym_PLUS_EQ] = ACTIONS(3019),
    [anon_sym_DASH_EQ] = ACTIONS(3019),
    [anon_sym_DOT_EQ] = ACTIONS(3019),
    [anon_sym_STAR_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_PERCENT_EQ] = ACTIONS(3019),
    [anon_sym_x_EQ] = ACTIONS(3019),
    [anon_sym_AMP_EQ] = ACTIONS(3019),
    [anon_sym_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_CARET_EQ] = ACTIONS(3019),
    [anon_sym_LT_LT_EQ] = ACTIONS(3019),
    [anon_sym_GT_GT_EQ] = ACTIONS(3019),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3019),
    [anon_sym_DOT_DOT] = ACTIONS(3917),
    [anon_sym_STAR_STAR] = ACTIONS(3770),
    [anon_sym_PIPE_PIPE] = ACTIONS(3772),
    [anon_sym_SLASH_SLASH] = ACTIONS(3772),
    [anon_sym_CARET_CARET] = ACTIONS(3774),
    [anon_sym_AMP_AMP] = ACTIONS(3776),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3780),
    [anon_sym_GT_GT2] = ACTIONS(3766),
    [anon_sym_PLUS] = ACTIONS(3782),
    [anon_sym_DASH] = ACTIONS(3782),
    [anon_sym_DOT] = ACTIONS(3782),
    [anon_sym_STAR] = ACTIONS(3762),
    [anon_sym_SLASH] = ACTIONS(3762),
    [anon_sym_x] = ACTIONS(3762),
    [anon_sym_EQ_TILDE] = ACTIONS(3784),
    [anon_sym_BANG_TILDE] = ACTIONS(3784),
    [anon_sym_EQ_EQ] = ACTIONS(3786),
    [anon_sym_BANG_EQ] = ACTIONS(3788),
    [anon_sym_eq] = ACTIONS(3786),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3788),
    [anon_sym_equ] = ACTIONS(3788),
    [anon_sym_eqr] = ACTIONS(3788),
    [anon_sym_ne] = ACTIONS(3788),
    [anon_sym_LT_EQ_GT] = ACTIONS(3790),
    [anon_sym_cmp] = ACTIONS(3790),
    [anon_sym_TILDE_TILDE] = ACTIONS(3790),
    [anon_sym_LT] = ACTIONS(3764),
    [anon_sym_LT_EQ] = ACTIONS(3764),
    [anon_sym_GT_EQ] = ACTIONS(3792),
    [anon_sym_lt] = ACTIONS(3792),
    [anon_sym_le] = ACTIONS(3792),
    [anon_sym_ge] = ACTIONS(3792),
    [anon_sym_gt] = ACTIONS(3792),
    [anon_sym_isa] = ACTIONS(3794),
    [anon_sym_PLUS_PLUS] = ACTIONS(3796),
    [anon_sym_DASH_DASH] = ACTIONS(3796),
    [anon_sym_QMARK] = ACTIONS(3019),
    [anon_sym_EQ_GT] = ACTIONS(3019),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3019),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2299] = {
    [sym_heredoc_content] = STATE(2299),
    [anon_sym_SEMI] = ACTIONS(3078),
    [anon_sym_EQ] = ACTIONS(3080),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3078),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3078),
    [anon_sym_COMMA] = ACTIONS(3078),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3078),
    [anon_sym_DASH_GT] = ACTIONS(3078),
    [anon_sym_PERCENT] = ACTIONS(3080),
    [anon_sym_GT] = ACTIONS(3080),
    [anon_sym_LT_LT] = ACTIONS(3080),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3078),
    [anon_sym_PLUS_EQ] = ACTIONS(3078),
    [anon_sym_DASH_EQ] = ACTIONS(3078),
    [anon_sym_DOT_EQ] = ACTIONS(3078),
    [anon_sym_STAR_EQ] = ACTIONS(3078),
    [anon_sym_SLASH_EQ] = ACTIONS(3078),
    [anon_sym_PERCENT_EQ] = ACTIONS(3078),
    [anon_sym_x_EQ] = ACTIONS(3078),
    [anon_sym_AMP_EQ] = ACTIONS(3078),
    [anon_sym_PIPE_EQ] = ACTIONS(3078),
    [anon_sym_CARET_EQ] = ACTIONS(3078),
    [anon_sym_LT_LT_EQ] = ACTIONS(3078),
    [anon_sym_GT_GT_EQ] = ACTIONS(3078),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3078),
    [anon_sym_DOT_DOT] = ACTIONS(3080),
    [anon_sym_STAR_STAR] = ACTIONS(3080),
    [anon_sym_PIPE_PIPE] = ACTIONS(3080),
    [anon_sym_SLASH_SLASH] = ACTIONS(3080),
    [anon_sym_CARET_CARET] = ACTIONS(3078),
    [anon_sym_AMP_AMP] = ACTIONS(3080),
    [anon_sym_PIPE] = ACTIONS(3080),
    [anon_sym_CARET] = ACTIONS(3080),
    [anon_sym_AMP] = ACTIONS(3080),
    [anon_sym_GT_GT2] = ACTIONS(3080),
    [anon_sym_PLUS] = ACTIONS(3080),
    [anon_sym_DASH] = ACTIONS(3080),
    [anon_sym_DOT] = ACTIONS(3080),
    [anon_sym_STAR] = ACTIONS(3080),
    [anon_sym_SLASH] = ACTIONS(3080),
    [anon_sym_x] = ACTIONS(3080),
    [anon_sym_EQ_TILDE] = ACTIONS(3078),
    [anon_sym_BANG_TILDE] = ACTIONS(3078),
    [anon_sym_EQ_EQ] = ACTIONS(3080),
    [anon_sym_BANG_EQ] = ACTIONS(3078),
    [anon_sym_eq] = ACTIONS(3080),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3078),
    [anon_sym_equ] = ACTIONS(3078),
    [anon_sym_eqr] = ACTIONS(3078),
    [anon_sym_ne] = ACTIONS(3078),
    [anon_sym_LT_EQ_GT] = ACTIONS(3078),
    [anon_sym_cmp] = ACTIONS(3078),
    [anon_sym_TILDE_TILDE] = ACTIONS(3078),
    [anon_sym_LT] = ACTIONS(3080),
    [anon_sym_LT_EQ] = ACTIONS(3080),
    [anon_sym_GT_EQ] = ACTIONS(3078),
    [anon_sym_lt] = ACTIONS(3078),
    [anon_sym_le] = ACTIONS(3078),
    [anon_sym_ge] = ACTIONS(3078),
    [anon_sym_gt] = ACTIONS(3078),
    [anon_sym_isa] = ACTIONS(3078),
    [anon_sym_PLUS_PLUS] = ACTIONS(3078),
    [anon_sym_DASH_DASH] = ACTIONS(3078),
    [anon_sym_QMARK] = ACTIONS(3078),
    [anon_sym_EQ_GT] = ACTIONS(3078),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3078),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2300] = {
    [sym_heredoc_content] = STATE(2300),
    [anon_sym_RBRACE] = ACTIONS(3015),
    [anon_sym_EQ] = ACTIONS(3823),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3825),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3825),
    [anon_sym_COMMA] = ACTIONS(3015),
    [anon_sym_RPAREN] = ACTIONS(3015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3829),
    [anon_sym_DASH_GT] = ACTIONS(3831),
    [anon_sym_PERCENT] = ACTIONS(3833),
    [anon_sym_GT] = ACTIONS(3835),
    [anon_sym_LT_LT] = ACTIONS(3837),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3825),
    [anon_sym_PLUS_EQ] = ACTIONS(3825),
    [anon_sym_DASH_EQ] = ACTIONS(3825),
    [anon_sym_DOT_EQ] = ACTIONS(3825),
    [anon_sym_STAR_EQ] = ACTIONS(3825),
    [anon_sym_SLASH_EQ] = ACTIONS(3825),
    [anon_sym_PERCENT_EQ] = ACTIONS(3825),
    [anon_sym_x_EQ] = ACTIONS(3825),
    [anon_sym_AMP_EQ] = ACTIONS(3825),
    [anon_sym_PIPE_EQ] = ACTIONS(3825),
    [anon_sym_CARET_EQ] = ACTIONS(3825),
    [anon_sym_LT_LT_EQ] = ACTIONS(3825),
    [anon_sym_GT_GT_EQ] = ACTIONS(3825),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3825),
    [anon_sym_DOT_DOT] = ACTIONS(3839),
    [anon_sym_STAR_STAR] = ACTIONS(3841),
    [anon_sym_PIPE_PIPE] = ACTIONS(3843),
    [anon_sym_SLASH_SLASH] = ACTIONS(3843),
    [anon_sym_CARET_CARET] = ACTIONS(3845),
    [anon_sym_AMP_AMP] = ACTIONS(3847),
    [anon_sym_PIPE] = ACTIONS(3849),
    [anon_sym_CARET] = ACTIONS(3849),
    [anon_sym_AMP] = ACTIONS(3851),
    [anon_sym_GT_GT2] = ACTIONS(3837),
    [anon_sym_PLUS] = ACTIONS(3853),
    [anon_sym_DASH] = ACTIONS(3853),
    [anon_sym_DOT] = ACTIONS(3853),
    [anon_sym_STAR] = ACTIONS(3833),
    [anon_sym_SLASH] = ACTIONS(3833),
    [anon_sym_x] = ACTIONS(3833),
    [anon_sym_EQ_TILDE] = ACTIONS(3855),
    [anon_sym_BANG_TILDE] = ACTIONS(3855),
    [anon_sym_EQ_EQ] = ACTIONS(3857),
    [anon_sym_BANG_EQ] = ACTIONS(3859),
    [anon_sym_eq] = ACTIONS(3857),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3859),
    [anon_sym_equ] = ACTIONS(3859),
    [anon_sym_eqr] = ACTIONS(3859),
    [anon_sym_ne] = ACTIONS(3859),
    [anon_sym_LT_EQ_GT] = ACTIONS(3861),
    [anon_sym_cmp] = ACTIONS(3861),
    [anon_sym_TILDE_TILDE] = ACTIONS(3861),
    [anon_sym_LT] = ACTIONS(3835),
    [anon_sym_LT_EQ] = ACTIONS(3835),
    [anon_sym_GT_EQ] = ACTIONS(3863),
    [anon_sym_lt] = ACTIONS(3863),
    [anon_sym_le] = ACTIONS(3863),
    [anon_sym_ge] = ACTIONS(3863),
    [anon_sym_gt] = ACTIONS(3863),
    [anon_sym_isa] = ACTIONS(3865),
    [anon_sym_PLUS_PLUS] = ACTIONS(3867),
    [anon_sym_DASH_DASH] = ACTIONS(3867),
    [anon_sym_QMARK] = ACTIONS(3869),
    [anon_sym_EQ_GT] = ACTIONS(3015),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2301] = {
    [sym_heredoc_content] = STATE(2301),
    [anon_sym_SEMI] = ACTIONS(1665),
    [anon_sym_EQ] = ACTIONS(1663),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1665),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1665),
    [anon_sym_COMMA] = ACTIONS(1665),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1665),
    [anon_sym_DASH_GT] = ACTIONS(1665),
    [anon_sym_PERCENT] = ACTIONS(1663),
    [anon_sym_GT] = ACTIONS(1663),
    [anon_sym_LT_LT] = ACTIONS(1663),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1665),
    [anon_sym_PLUS_EQ] = ACTIONS(1665),
    [anon_sym_DASH_EQ] = ACTIONS(1665),
    [anon_sym_DOT_EQ] = ACTIONS(1665),
    [anon_sym_STAR_EQ] = ACTIONS(1665),
    [anon_sym_SLASH_EQ] = ACTIONS(1665),
    [anon_sym_PERCENT_EQ] = ACTIONS(1665),
    [anon_sym_x_EQ] = ACTIONS(1665),
    [anon_sym_AMP_EQ] = ACTIONS(1665),
    [anon_sym_PIPE_EQ] = ACTIONS(1665),
    [anon_sym_CARET_EQ] = ACTIONS(1665),
    [anon_sym_LT_LT_EQ] = ACTIONS(1665),
    [anon_sym_GT_GT_EQ] = ACTIONS(1665),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1665),
    [anon_sym_DOT_DOT] = ACTIONS(1663),
    [anon_sym_STAR_STAR] = ACTIONS(1663),
    [anon_sym_PIPE_PIPE] = ACTIONS(1663),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_CARET_CARET] = ACTIONS(1665),
    [anon_sym_AMP_AMP] = ACTIONS(1663),
    [anon_sym_PIPE] = ACTIONS(1663),
    [anon_sym_CARET] = ACTIONS(1663),
    [anon_sym_AMP] = ACTIONS(1663),
    [anon_sym_GT_GT2] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(1663),
    [anon_sym_DASH] = ACTIONS(1663),
    [anon_sym_DOT] = ACTIONS(1663),
    [anon_sym_STAR] = ACTIONS(1663),
    [anon_sym_SLASH] = ACTIONS(1663),
    [anon_sym_x] = ACTIONS(1663),
    [anon_sym_EQ_TILDE] = ACTIONS(1665),
    [anon_sym_BANG_TILDE] = ACTIONS(1665),
    [anon_sym_EQ_EQ] = ACTIONS(1663),
    [anon_sym_BANG_EQ] = ACTIONS(1665),
    [anon_sym_eq] = ACTIONS(1663),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1665),
    [anon_sym_equ] = ACTIONS(1665),
    [anon_sym_eqr] = ACTIONS(1665),
    [anon_sym_ne] = ACTIONS(1665),
    [anon_sym_LT_EQ_GT] = ACTIONS(1665),
    [anon_sym_cmp] = ACTIONS(1665),
    [anon_sym_TILDE_TILDE] = ACTIONS(1665),
    [anon_sym_LT] = ACTIONS(1663),
    [anon_sym_LT_EQ] = ACTIONS(1663),
    [anon_sym_GT_EQ] = ACTIONS(1665),
    [anon_sym_lt] = ACTIONS(1665),
    [anon_sym_le] = ACTIONS(1665),
    [anon_sym_ge] = ACTIONS(1665),
    [anon_sym_gt] = ACTIONS(1665),
    [anon_sym_isa] = ACTIONS(1665),
    [anon_sym_PLUS_PLUS] = ACTIONS(1665),
    [anon_sym_DASH_DASH] = ACTIONS(1665),
    [anon_sym_QMARK] = ACTIONS(1665),
    [anon_sym_EQ_GT] = ACTIONS(1665),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(1665),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2302] = {
    [sym_heredoc_content] = STATE(2302),
    [anon_sym_RBRACE] = ACTIONS(2774),
    [anon_sym_EQ] = ACTIONS(3823),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3825),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3825),
    [anon_sym_COMMA] = ACTIONS(2774),
    [anon_sym_RPAREN] = ACTIONS(2774),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3829),
    [anon_sym_DASH_GT] = ACTIONS(3831),
    [anon_sym_PERCENT] = ACTIONS(3833),
    [anon_sym_GT] = ACTIONS(3835),
    [anon_sym_LT_LT] = ACTIONS(3837),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3825),
    [anon_sym_PLUS_EQ] = ACTIONS(3825),
    [anon_sym_DASH_EQ] = ACTIONS(3825),
    [anon_sym_DOT_EQ] = ACTIONS(3825),
    [anon_sym_STAR_EQ] = ACTIONS(3825),
    [anon_sym_SLASH_EQ] = ACTIONS(3825),
    [anon_sym_PERCENT_EQ] = ACTIONS(3825),
    [anon_sym_x_EQ] = ACTIONS(3825),
    [anon_sym_AMP_EQ] = ACTIONS(3825),
    [anon_sym_PIPE_EQ] = ACTIONS(3825),
    [anon_sym_CARET_EQ] = ACTIONS(3825),
    [anon_sym_LT_LT_EQ] = ACTIONS(3825),
    [anon_sym_GT_GT_EQ] = ACTIONS(3825),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3825),
    [anon_sym_DOT_DOT] = ACTIONS(3839),
    [anon_sym_STAR_STAR] = ACTIONS(3841),
    [anon_sym_PIPE_PIPE] = ACTIONS(3843),
    [anon_sym_SLASH_SLASH] = ACTIONS(3843),
    [anon_sym_CARET_CARET] = ACTIONS(3845),
    [anon_sym_AMP_AMP] = ACTIONS(3847),
    [anon_sym_PIPE] = ACTIONS(3849),
    [anon_sym_CARET] = ACTIONS(3849),
    [anon_sym_AMP] = ACTIONS(3851),
    [anon_sym_GT_GT2] = ACTIONS(3837),
    [anon_sym_PLUS] = ACTIONS(3853),
    [anon_sym_DASH] = ACTIONS(3853),
    [anon_sym_DOT] = ACTIONS(3853),
    [anon_sym_STAR] = ACTIONS(3833),
    [anon_sym_SLASH] = ACTIONS(3833),
    [anon_sym_x] = ACTIONS(3833),
    [anon_sym_EQ_TILDE] = ACTIONS(3855),
    [anon_sym_BANG_TILDE] = ACTIONS(3855),
    [anon_sym_EQ_EQ] = ACTIONS(3857),
    [anon_sym_BANG_EQ] = ACTIONS(3859),
    [anon_sym_eq] = ACTIONS(3857),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3859),
    [anon_sym_equ] = ACTIONS(3859),
    [anon_sym_eqr] = ACTIONS(3859),
    [anon_sym_ne] = ACTIONS(3859),
    [anon_sym_LT_EQ_GT] = ACTIONS(3861),
    [anon_sym_cmp] = ACTIONS(3861),
    [anon_sym_TILDE_TILDE] = ACTIONS(3861),
    [anon_sym_LT] = ACTIONS(3835),
    [anon_sym_LT_EQ] = ACTIONS(3835),
    [anon_sym_GT_EQ] = ACTIONS(3863),
    [anon_sym_lt] = ACTIONS(3863),
    [anon_sym_le] = ACTIONS(3863),
    [anon_sym_ge] = ACTIONS(3863),
    [anon_sym_gt] = ACTIONS(3863),
    [anon_sym_isa] = ACTIONS(3865),
    [anon_sym_PLUS_PLUS] = ACTIONS(3867),
    [anon_sym_DASH_DASH] = ACTIONS(3867),
    [anon_sym_QMARK] = ACTIONS(3869),
    [anon_sym_EQ_GT] = ACTIONS(2774),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2303] = {
    [sym_heredoc_content] = STATE(2303),
    [anon_sym_RBRACE] = ACTIONS(2947),
    [anon_sym_EQ] = ACTIONS(2949),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2947),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2947),
    [anon_sym_COMMA] = ACTIONS(2947),
    [anon_sym_RPAREN] = ACTIONS(2947),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2947),
    [anon_sym_DASH_GT] = ACTIONS(3831),
    [anon_sym_PERCENT] = ACTIONS(3833),
    [anon_sym_GT] = ACTIONS(2949),
    [anon_sym_LT_LT] = ACTIONS(3837),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2947),
    [anon_sym_PLUS_EQ] = ACTIONS(2947),
    [anon_sym_DASH_EQ] = ACTIONS(2947),
    [anon_sym_DOT_EQ] = ACTIONS(2947),
    [anon_sym_STAR_EQ] = ACTIONS(2947),
    [anon_sym_SLASH_EQ] = ACTIONS(2947),
    [anon_sym_PERCENT_EQ] = ACTIONS(2947),
    [anon_sym_x_EQ] = ACTIONS(2947),
    [anon_sym_AMP_EQ] = ACTIONS(2947),
    [anon_sym_PIPE_EQ] = ACTIONS(2947),
    [anon_sym_CARET_EQ] = ACTIONS(2947),
    [anon_sym_LT_LT_EQ] = ACTIONS(2947),
    [anon_sym_GT_GT_EQ] = ACTIONS(2947),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2947),
    [anon_sym_DOT_DOT] = ACTIONS(2949),
    [anon_sym_STAR_STAR] = ACTIONS(3841),
    [anon_sym_PIPE_PIPE] = ACTIONS(2949),
    [anon_sym_SLASH_SLASH] = ACTIONS(2949),
    [anon_sym_CARET_CARET] = ACTIONS(2947),
    [anon_sym_AMP_AMP] = ACTIONS(2949),
    [anon_sym_PIPE] = ACTIONS(2949),
    [anon_sym_CARET] = ACTIONS(2949),
    [anon_sym_AMP] = ACTIONS(2949),
    [anon_sym_GT_GT2] = ACTIONS(3837),
    [anon_sym_PLUS] = ACTIONS(3853),
    [anon_sym_DASH] = ACTIONS(3853),
    [anon_sym_DOT] = ACTIONS(3853),
    [anon_sym_STAR] = ACTIONS(3833),
    [anon_sym_SLASH] = ACTIONS(3833),
    [anon_sym_x] = ACTIONS(3833),
    [anon_sym_EQ_TILDE] = ACTIONS(3855),
    [anon_sym_BANG_TILDE] = ACTIONS(3855),
    [anon_sym_EQ_EQ] = ACTIONS(2949),
    [anon_sym_BANG_EQ] = ACTIONS(2947),
    [anon_sym_eq] = ACTIONS(2949),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2947),
    [anon_sym_equ] = ACTIONS(2947),
    [anon_sym_eqr] = ACTIONS(2947),
    [anon_sym_ne] = ACTIONS(2947),
    [anon_sym_LT_EQ_GT] = ACTIONS(2947),
    [anon_sym_cmp] = ACTIONS(2947),
    [anon_sym_TILDE_TILDE] = ACTIONS(2947),
    [anon_sym_LT] = ACTIONS(2949),
    [anon_sym_LT_EQ] = ACTIONS(2949),
    [anon_sym_GT_EQ] = ACTIONS(2947),
    [anon_sym_lt] = ACTIONS(2947),
    [anon_sym_le] = ACTIONS(2947),
    [anon_sym_ge] = ACTIONS(2947),
    [anon_sym_gt] = ACTIONS(2947),
    [anon_sym_isa] = ACTIONS(2947),
    [anon_sym_PLUS_PLUS] = ACTIONS(3867),
    [anon_sym_DASH_DASH] = ACTIONS(3867),
    [anon_sym_QMARK] = ACTIONS(2947),
    [anon_sym_EQ_GT] = ACTIONS(2947),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2304] = {
    [sym_heredoc_content] = STATE(2304),
    [anon_sym_SEMI] = ACTIONS(3019),
    [anon_sym_EQ] = ACTIONS(3021),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_COMMA] = ACTIONS(3019),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3019),
    [anon_sym_DASH_GT] = ACTIONS(3760),
    [anon_sym_PERCENT] = ACTIONS(3021),
    [anon_sym_GT] = ACTIONS(3021),
    [anon_sym_LT_LT] = ACTIONS(3021),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3019),
    [anon_sym_PLUS_EQ] = ACTIONS(3019),
    [anon_sym_DASH_EQ] = ACTIONS(3019),
    [anon_sym_DOT_EQ] = ACTIONS(3019),
    [anon_sym_STAR_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_PERCENT_EQ] = ACTIONS(3019),
    [anon_sym_x_EQ] = ACTIONS(3019),
    [anon_sym_AMP_EQ] = ACTIONS(3019),
    [anon_sym_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_CARET_EQ] = ACTIONS(3019),
    [anon_sym_LT_LT_EQ] = ACTIONS(3019),
    [anon_sym_GT_GT_EQ] = ACTIONS(3019),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3019),
    [anon_sym_DOT_DOT] = ACTIONS(3021),
    [anon_sym_STAR_STAR] = ACTIONS(3770),
    [anon_sym_PIPE_PIPE] = ACTIONS(3021),
    [anon_sym_SLASH_SLASH] = ACTIONS(3021),
    [anon_sym_CARET_CARET] = ACTIONS(3019),
    [anon_sym_AMP_AMP] = ACTIONS(3021),
    [anon_sym_PIPE] = ACTIONS(3021),
    [anon_sym_CARET] = ACTIONS(3021),
    [anon_sym_AMP] = ACTIONS(3021),
    [anon_sym_GT_GT2] = ACTIONS(3021),
    [anon_sym_PLUS] = ACTIONS(3021),
    [anon_sym_DASH] = ACTIONS(3021),
    [anon_sym_DOT] = ACTIONS(3021),
    [anon_sym_STAR] = ACTIONS(3021),
    [anon_sym_SLASH] = ACTIONS(3021),
    [anon_sym_x] = ACTIONS(3021),
    [anon_sym_EQ_TILDE] = ACTIONS(3784),
    [anon_sym_BANG_TILDE] = ACTIONS(3784),
    [anon_sym_EQ_EQ] = ACTIONS(3021),
    [anon_sym_BANG_EQ] = ACTIONS(3019),
    [anon_sym_eq] = ACTIONS(3021),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3019),
    [anon_sym_equ] = ACTIONS(3019),
    [anon_sym_eqr] = ACTIONS(3019),
    [anon_sym_ne] = ACTIONS(3019),
    [anon_sym_LT_EQ_GT] = ACTIONS(3019),
    [anon_sym_cmp] = ACTIONS(3019),
    [anon_sym_TILDE_TILDE] = ACTIONS(3019),
    [anon_sym_LT] = ACTIONS(3021),
    [anon_sym_LT_EQ] = ACTIONS(3021),
    [anon_sym_GT_EQ] = ACTIONS(3019),
    [anon_sym_lt] = ACTIONS(3019),
    [anon_sym_le] = ACTIONS(3019),
    [anon_sym_ge] = ACTIONS(3019),
    [anon_sym_gt] = ACTIONS(3019),
    [anon_sym_isa] = ACTIONS(3019),
    [anon_sym_PLUS_PLUS] = ACTIONS(3796),
    [anon_sym_DASH_DASH] = ACTIONS(3796),
    [anon_sym_QMARK] = ACTIONS(3019),
    [anon_sym_EQ_GT] = ACTIONS(3019),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3019),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2305] = {
    [sym_heredoc_content] = STATE(2305),
    [anon_sym_SEMI] = ACTIONS(3027),
    [anon_sym_EQ] = ACTIONS(3029),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3027),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3027),
    [anon_sym_COMMA] = ACTIONS(3027),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3027),
    [anon_sym_DASH_GT] = ACTIONS(3760),
    [anon_sym_PERCENT] = ACTIONS(3762),
    [anon_sym_GT] = ACTIONS(3029),
    [anon_sym_LT_LT] = ACTIONS(3766),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3027),
    [anon_sym_PLUS_EQ] = ACTIONS(3027),
    [anon_sym_DASH_EQ] = ACTIONS(3027),
    [anon_sym_DOT_EQ] = ACTIONS(3027),
    [anon_sym_STAR_EQ] = ACTIONS(3027),
    [anon_sym_SLASH_EQ] = ACTIONS(3027),
    [anon_sym_PERCENT_EQ] = ACTIONS(3027),
    [anon_sym_x_EQ] = ACTIONS(3027),
    [anon_sym_AMP_EQ] = ACTIONS(3027),
    [anon_sym_PIPE_EQ] = ACTIONS(3027),
    [anon_sym_CARET_EQ] = ACTIONS(3027),
    [anon_sym_LT_LT_EQ] = ACTIONS(3027),
    [anon_sym_GT_GT_EQ] = ACTIONS(3027),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3027),
    [anon_sym_DOT_DOT] = ACTIONS(3029),
    [anon_sym_STAR_STAR] = ACTIONS(3770),
    [anon_sym_PIPE_PIPE] = ACTIONS(3029),
    [anon_sym_SLASH_SLASH] = ACTIONS(3029),
    [anon_sym_CARET_CARET] = ACTIONS(3027),
    [anon_sym_AMP_AMP] = ACTIONS(3029),
    [anon_sym_PIPE] = ACTIONS(3029),
    [anon_sym_CARET] = ACTIONS(3029),
    [anon_sym_AMP] = ACTIONS(3029),
    [anon_sym_GT_GT2] = ACTIONS(3766),
    [anon_sym_PLUS] = ACTIONS(3782),
    [anon_sym_DASH] = ACTIONS(3782),
    [anon_sym_DOT] = ACTIONS(3782),
    [anon_sym_STAR] = ACTIONS(3762),
    [anon_sym_SLASH] = ACTIONS(3762),
    [anon_sym_x] = ACTIONS(3762),
    [anon_sym_EQ_TILDE] = ACTIONS(3784),
    [anon_sym_BANG_TILDE] = ACTIONS(3784),
    [anon_sym_EQ_EQ] = ACTIONS(3029),
    [anon_sym_BANG_EQ] = ACTIONS(3027),
    [anon_sym_eq] = ACTIONS(3029),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3027),
    [anon_sym_equ] = ACTIONS(3027),
    [anon_sym_eqr] = ACTIONS(3027),
    [anon_sym_ne] = ACTIONS(3027),
    [anon_sym_LT_EQ_GT] = ACTIONS(3027),
    [anon_sym_cmp] = ACTIONS(3027),
    [anon_sym_TILDE_TILDE] = ACTIONS(3027),
    [anon_sym_LT] = ACTIONS(3029),
    [anon_sym_LT_EQ] = ACTIONS(3029),
    [anon_sym_GT_EQ] = ACTIONS(3027),
    [anon_sym_lt] = ACTIONS(3027),
    [anon_sym_le] = ACTIONS(3027),
    [anon_sym_ge] = ACTIONS(3027),
    [anon_sym_gt] = ACTIONS(3027),
    [anon_sym_isa] = ACTIONS(3027),
    [anon_sym_PLUS_PLUS] = ACTIONS(3796),
    [anon_sym_DASH_DASH] = ACTIONS(3796),
    [anon_sym_QMARK] = ACTIONS(3027),
    [anon_sym_EQ_GT] = ACTIONS(3027),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3027),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2306] = {
    [sym_heredoc_content] = STATE(2306),
    [anon_sym_SEMI] = ACTIONS(3019),
    [anon_sym_EQ] = ACTIONS(3021),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_COMMA] = ACTIONS(3019),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3019),
    [anon_sym_DASH_GT] = ACTIONS(3760),
    [anon_sym_PERCENT] = ACTIONS(3762),
    [anon_sym_GT] = ACTIONS(3021),
    [anon_sym_LT_LT] = ACTIONS(3021),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3019),
    [anon_sym_PLUS_EQ] = ACTIONS(3019),
    [anon_sym_DASH_EQ] = ACTIONS(3019),
    [anon_sym_DOT_EQ] = ACTIONS(3019),
    [anon_sym_STAR_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_PERCENT_EQ] = ACTIONS(3019),
    [anon_sym_x_EQ] = ACTIONS(3019),
    [anon_sym_AMP_EQ] = ACTIONS(3019),
    [anon_sym_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_CARET_EQ] = ACTIONS(3019),
    [anon_sym_LT_LT_EQ] = ACTIONS(3019),
    [anon_sym_GT_GT_EQ] = ACTIONS(3019),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3019),
    [anon_sym_DOT_DOT] = ACTIONS(3021),
    [anon_sym_STAR_STAR] = ACTIONS(3770),
    [anon_sym_PIPE_PIPE] = ACTIONS(3021),
    [anon_sym_SLASH_SLASH] = ACTIONS(3021),
    [anon_sym_CARET_CARET] = ACTIONS(3019),
    [anon_sym_AMP_AMP] = ACTIONS(3021),
    [anon_sym_PIPE] = ACTIONS(3021),
    [anon_sym_CARET] = ACTIONS(3021),
    [anon_sym_AMP] = ACTIONS(3021),
    [anon_sym_GT_GT2] = ACTIONS(3021),
    [anon_sym_PLUS] = ACTIONS(3782),
    [anon_sym_DASH] = ACTIONS(3782),
    [anon_sym_DOT] = ACTIONS(3782),
    [anon_sym_STAR] = ACTIONS(3762),
    [anon_sym_SLASH] = ACTIONS(3762),
    [anon_sym_x] = ACTIONS(3762),
    [anon_sym_EQ_TILDE] = ACTIONS(3784),
    [anon_sym_BANG_TILDE] = ACTIONS(3784),
    [anon_sym_EQ_EQ] = ACTIONS(3021),
    [anon_sym_BANG_EQ] = ACTIONS(3019),
    [anon_sym_eq] = ACTIONS(3021),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3019),
    [anon_sym_equ] = ACTIONS(3019),
    [anon_sym_eqr] = ACTIONS(3019),
    [anon_sym_ne] = ACTIONS(3019),
    [anon_sym_LT_EQ_GT] = ACTIONS(3019),
    [anon_sym_cmp] = ACTIONS(3019),
    [anon_sym_TILDE_TILDE] = ACTIONS(3019),
    [anon_sym_LT] = ACTIONS(3021),
    [anon_sym_LT_EQ] = ACTIONS(3021),
    [anon_sym_GT_EQ] = ACTIONS(3019),
    [anon_sym_lt] = ACTIONS(3019),
    [anon_sym_le] = ACTIONS(3019),
    [anon_sym_ge] = ACTIONS(3019),
    [anon_sym_gt] = ACTIONS(3019),
    [anon_sym_isa] = ACTIONS(3019),
    [anon_sym_PLUS_PLUS] = ACTIONS(3796),
    [anon_sym_DASH_DASH] = ACTIONS(3796),
    [anon_sym_QMARK] = ACTIONS(3019),
    [anon_sym_EQ_GT] = ACTIONS(3019),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3019),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2307] = {
    [sym_heredoc_content] = STATE(2307),
    [anon_sym_SEMI] = ACTIONS(3019),
    [anon_sym_EQ] = ACTIONS(3021),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_COMMA] = ACTIONS(3019),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3019),
    [anon_sym_DASH_GT] = ACTIONS(3760),
    [anon_sym_PERCENT] = ACTIONS(3021),
    [anon_sym_GT] = ACTIONS(3021),
    [anon_sym_LT_LT] = ACTIONS(3021),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3019),
    [anon_sym_PLUS_EQ] = ACTIONS(3019),
    [anon_sym_DASH_EQ] = ACTIONS(3019),
    [anon_sym_DOT_EQ] = ACTIONS(3019),
    [anon_sym_STAR_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_PERCENT_EQ] = ACTIONS(3019),
    [anon_sym_x_EQ] = ACTIONS(3019),
    [anon_sym_AMP_EQ] = ACTIONS(3019),
    [anon_sym_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_CARET_EQ] = ACTIONS(3019),
    [anon_sym_LT_LT_EQ] = ACTIONS(3019),
    [anon_sym_GT_GT_EQ] = ACTIONS(3019),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3019),
    [anon_sym_DOT_DOT] = ACTIONS(3021),
    [anon_sym_STAR_STAR] = ACTIONS(3770),
    [anon_sym_PIPE_PIPE] = ACTIONS(3021),
    [anon_sym_SLASH_SLASH] = ACTIONS(3021),
    [anon_sym_CARET_CARET] = ACTIONS(3019),
    [anon_sym_AMP_AMP] = ACTIONS(3021),
    [anon_sym_PIPE] = ACTIONS(3021),
    [anon_sym_CARET] = ACTIONS(3021),
    [anon_sym_AMP] = ACTIONS(3021),
    [anon_sym_GT_GT2] = ACTIONS(3021),
    [anon_sym_PLUS] = ACTIONS(3021),
    [anon_sym_DASH] = ACTIONS(3021),
    [anon_sym_DOT] = ACTIONS(3021),
    [anon_sym_STAR] = ACTIONS(3021),
    [anon_sym_SLASH] = ACTIONS(3021),
    [anon_sym_x] = ACTIONS(3021),
    [anon_sym_EQ_TILDE] = ACTIONS(3019),
    [anon_sym_BANG_TILDE] = ACTIONS(3019),
    [anon_sym_EQ_EQ] = ACTIONS(3021),
    [anon_sym_BANG_EQ] = ACTIONS(3019),
    [anon_sym_eq] = ACTIONS(3021),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3019),
    [anon_sym_equ] = ACTIONS(3019),
    [anon_sym_eqr] = ACTIONS(3019),
    [anon_sym_ne] = ACTIONS(3019),
    [anon_sym_LT_EQ_GT] = ACTIONS(3019),
    [anon_sym_cmp] = ACTIONS(3019),
    [anon_sym_TILDE_TILDE] = ACTIONS(3019),
    [anon_sym_LT] = ACTIONS(3021),
    [anon_sym_LT_EQ] = ACTIONS(3021),
    [anon_sym_GT_EQ] = ACTIONS(3019),
    [anon_sym_lt] = ACTIONS(3019),
    [anon_sym_le] = ACTIONS(3019),
    [anon_sym_ge] = ACTIONS(3019),
    [anon_sym_gt] = ACTIONS(3019),
    [anon_sym_isa] = ACTIONS(3019),
    [anon_sym_PLUS_PLUS] = ACTIONS(3796),
    [anon_sym_DASH_DASH] = ACTIONS(3796),
    [anon_sym_QMARK] = ACTIONS(3019),
    [anon_sym_EQ_GT] = ACTIONS(3019),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3019),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2308] = {
    [sym_heredoc_content] = STATE(2308),
    [anon_sym_RBRACE] = ACTIONS(3019),
    [anon_sym_EQ] = ACTIONS(3021),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_COMMA] = ACTIONS(3019),
    [anon_sym_RPAREN] = ACTIONS(3019),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3919),
    [anon_sym_DASH_GT] = ACTIONS(3831),
    [anon_sym_PERCENT] = ACTIONS(3833),
    [anon_sym_GT] = ACTIONS(3835),
    [anon_sym_LT_LT] = ACTIONS(3837),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3019),
    [anon_sym_PLUS_EQ] = ACTIONS(3019),
    [anon_sym_DASH_EQ] = ACTIONS(3019),
    [anon_sym_DOT_EQ] = ACTIONS(3019),
    [anon_sym_STAR_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_PERCENT_EQ] = ACTIONS(3019),
    [anon_sym_x_EQ] = ACTIONS(3019),
    [anon_sym_AMP_EQ] = ACTIONS(3019),
    [anon_sym_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_CARET_EQ] = ACTIONS(3019),
    [anon_sym_LT_LT_EQ] = ACTIONS(3019),
    [anon_sym_GT_GT_EQ] = ACTIONS(3019),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3019),
    [anon_sym_DOT_DOT] = ACTIONS(3921),
    [anon_sym_STAR_STAR] = ACTIONS(3841),
    [anon_sym_PIPE_PIPE] = ACTIONS(3843),
    [anon_sym_SLASH_SLASH] = ACTIONS(3843),
    [anon_sym_CARET_CARET] = ACTIONS(3845),
    [anon_sym_AMP_AMP] = ACTIONS(3847),
    [anon_sym_PIPE] = ACTIONS(3849),
    [anon_sym_CARET] = ACTIONS(3849),
    [anon_sym_AMP] = ACTIONS(3851),
    [anon_sym_GT_GT2] = ACTIONS(3837),
    [anon_sym_PLUS] = ACTIONS(3853),
    [anon_sym_DASH] = ACTIONS(3853),
    [anon_sym_DOT] = ACTIONS(3853),
    [anon_sym_STAR] = ACTIONS(3833),
    [anon_sym_SLASH] = ACTIONS(3833),
    [anon_sym_x] = ACTIONS(3833),
    [anon_sym_EQ_TILDE] = ACTIONS(3855),
    [anon_sym_BANG_TILDE] = ACTIONS(3855),
    [anon_sym_EQ_EQ] = ACTIONS(3857),
    [anon_sym_BANG_EQ] = ACTIONS(3859),
    [anon_sym_eq] = ACTIONS(3857),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3859),
    [anon_sym_equ] = ACTIONS(3859),
    [anon_sym_eqr] = ACTIONS(3859),
    [anon_sym_ne] = ACTIONS(3859),
    [anon_sym_LT_EQ_GT] = ACTIONS(3861),
    [anon_sym_cmp] = ACTIONS(3861),
    [anon_sym_TILDE_TILDE] = ACTIONS(3861),
    [anon_sym_LT] = ACTIONS(3835),
    [anon_sym_LT_EQ] = ACTIONS(3835),
    [anon_sym_GT_EQ] = ACTIONS(3863),
    [anon_sym_lt] = ACTIONS(3863),
    [anon_sym_le] = ACTIONS(3863),
    [anon_sym_ge] = ACTIONS(3863),
    [anon_sym_gt] = ACTIONS(3863),
    [anon_sym_isa] = ACTIONS(3865),
    [anon_sym_PLUS_PLUS] = ACTIONS(3867),
    [anon_sym_DASH_DASH] = ACTIONS(3867),
    [anon_sym_QMARK] = ACTIONS(3019),
    [anon_sym_EQ_GT] = ACTIONS(3019),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2309] = {
    [sym_heredoc_content] = STATE(2309),
    [anon_sym_SEMI] = ACTIONS(3019),
    [anon_sym_EQ] = ACTIONS(3021),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_COMMA] = ACTIONS(3019),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3019),
    [anon_sym_DASH_GT] = ACTIONS(3760),
    [anon_sym_PERCENT] = ACTIONS(3762),
    [anon_sym_GT] = ACTIONS(3764),
    [anon_sym_LT_LT] = ACTIONS(3766),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3019),
    [anon_sym_PLUS_EQ] = ACTIONS(3019),
    [anon_sym_DASH_EQ] = ACTIONS(3019),
    [anon_sym_DOT_EQ] = ACTIONS(3019),
    [anon_sym_STAR_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_PERCENT_EQ] = ACTIONS(3019),
    [anon_sym_x_EQ] = ACTIONS(3019),
    [anon_sym_AMP_EQ] = ACTIONS(3019),
    [anon_sym_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_CARET_EQ] = ACTIONS(3019),
    [anon_sym_LT_LT_EQ] = ACTIONS(3019),
    [anon_sym_GT_GT_EQ] = ACTIONS(3019),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3019),
    [anon_sym_DOT_DOT] = ACTIONS(3021),
    [anon_sym_STAR_STAR] = ACTIONS(3770),
    [anon_sym_PIPE_PIPE] = ACTIONS(3021),
    [anon_sym_SLASH_SLASH] = ACTIONS(3021),
    [anon_sym_CARET_CARET] = ACTIONS(3019),
    [anon_sym_AMP_AMP] = ACTIONS(3776),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3780),
    [anon_sym_GT_GT2] = ACTIONS(3766),
    [anon_sym_PLUS] = ACTIONS(3782),
    [anon_sym_DASH] = ACTIONS(3782),
    [anon_sym_DOT] = ACTIONS(3782),
    [anon_sym_STAR] = ACTIONS(3762),
    [anon_sym_SLASH] = ACTIONS(3762),
    [anon_sym_x] = ACTIONS(3762),
    [anon_sym_EQ_TILDE] = ACTIONS(3784),
    [anon_sym_BANG_TILDE] = ACTIONS(3784),
    [anon_sym_EQ_EQ] = ACTIONS(3786),
    [anon_sym_BANG_EQ] = ACTIONS(3788),
    [anon_sym_eq] = ACTIONS(3786),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3788),
    [anon_sym_equ] = ACTIONS(3788),
    [anon_sym_eqr] = ACTIONS(3788),
    [anon_sym_ne] = ACTIONS(3788),
    [anon_sym_LT_EQ_GT] = ACTIONS(3790),
    [anon_sym_cmp] = ACTIONS(3790),
    [anon_sym_TILDE_TILDE] = ACTIONS(3790),
    [anon_sym_LT] = ACTIONS(3764),
    [anon_sym_LT_EQ] = ACTIONS(3764),
    [anon_sym_GT_EQ] = ACTIONS(3792),
    [anon_sym_lt] = ACTIONS(3792),
    [anon_sym_le] = ACTIONS(3792),
    [anon_sym_ge] = ACTIONS(3792),
    [anon_sym_gt] = ACTIONS(3792),
    [anon_sym_isa] = ACTIONS(3794),
    [anon_sym_PLUS_PLUS] = ACTIONS(3796),
    [anon_sym_DASH_DASH] = ACTIONS(3796),
    [anon_sym_QMARK] = ACTIONS(3019),
    [anon_sym_EQ_GT] = ACTIONS(3019),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3019),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2310] = {
    [sym_heredoc_content] = STATE(2310),
    [anon_sym_SEMI] = ACTIONS(2897),
    [anon_sym_EQ] = ACTIONS(2899),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2897),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2897),
    [anon_sym_COMMA] = ACTIONS(2897),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2897),
    [anon_sym_DASH_GT] = ACTIONS(2897),
    [anon_sym_PERCENT] = ACTIONS(2899),
    [anon_sym_GT] = ACTIONS(2899),
    [anon_sym_LT_LT] = ACTIONS(2899),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2897),
    [anon_sym_PLUS_EQ] = ACTIONS(2897),
    [anon_sym_DASH_EQ] = ACTIONS(2897),
    [anon_sym_DOT_EQ] = ACTIONS(2897),
    [anon_sym_STAR_EQ] = ACTIONS(2897),
    [anon_sym_SLASH_EQ] = ACTIONS(2897),
    [anon_sym_PERCENT_EQ] = ACTIONS(2897),
    [anon_sym_x_EQ] = ACTIONS(2897),
    [anon_sym_AMP_EQ] = ACTIONS(2897),
    [anon_sym_PIPE_EQ] = ACTIONS(2897),
    [anon_sym_CARET_EQ] = ACTIONS(2897),
    [anon_sym_LT_LT_EQ] = ACTIONS(2897),
    [anon_sym_GT_GT_EQ] = ACTIONS(2897),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2897),
    [anon_sym_DOT_DOT] = ACTIONS(2899),
    [anon_sym_STAR_STAR] = ACTIONS(2899),
    [anon_sym_PIPE_PIPE] = ACTIONS(2899),
    [anon_sym_SLASH_SLASH] = ACTIONS(2899),
    [anon_sym_CARET_CARET] = ACTIONS(2897),
    [anon_sym_AMP_AMP] = ACTIONS(2899),
    [anon_sym_PIPE] = ACTIONS(2899),
    [anon_sym_CARET] = ACTIONS(2899),
    [anon_sym_AMP] = ACTIONS(2899),
    [anon_sym_GT_GT2] = ACTIONS(2899),
    [anon_sym_PLUS] = ACTIONS(2899),
    [anon_sym_DASH] = ACTIONS(2899),
    [anon_sym_DOT] = ACTIONS(2899),
    [anon_sym_STAR] = ACTIONS(2899),
    [anon_sym_SLASH] = ACTIONS(2899),
    [anon_sym_x] = ACTIONS(2899),
    [anon_sym_EQ_TILDE] = ACTIONS(2897),
    [anon_sym_BANG_TILDE] = ACTIONS(2897),
    [anon_sym_EQ_EQ] = ACTIONS(2899),
    [anon_sym_BANG_EQ] = ACTIONS(2897),
    [anon_sym_eq] = ACTIONS(2899),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2897),
    [anon_sym_equ] = ACTIONS(2897),
    [anon_sym_eqr] = ACTIONS(2897),
    [anon_sym_ne] = ACTIONS(2897),
    [anon_sym_LT_EQ_GT] = ACTIONS(2897),
    [anon_sym_cmp] = ACTIONS(2897),
    [anon_sym_TILDE_TILDE] = ACTIONS(2897),
    [anon_sym_LT] = ACTIONS(2899),
    [anon_sym_LT_EQ] = ACTIONS(2899),
    [anon_sym_GT_EQ] = ACTIONS(2897),
    [anon_sym_lt] = ACTIONS(2897),
    [anon_sym_le] = ACTIONS(2897),
    [anon_sym_ge] = ACTIONS(2897),
    [anon_sym_gt] = ACTIONS(2897),
    [anon_sym_isa] = ACTIONS(2897),
    [anon_sym_PLUS_PLUS] = ACTIONS(2897),
    [anon_sym_DASH_DASH] = ACTIONS(2897),
    [anon_sym_QMARK] = ACTIONS(2897),
    [anon_sym_EQ_GT] = ACTIONS(2897),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2897),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2311] = {
    [sym_heredoc_content] = STATE(2311),
    [anon_sym_SEMI] = ACTIONS(3019),
    [anon_sym_EQ] = ACTIONS(3021),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_COMMA] = ACTIONS(3019),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3019),
    [anon_sym_DASH_GT] = ACTIONS(3760),
    [anon_sym_PERCENT] = ACTIONS(3762),
    [anon_sym_GT] = ACTIONS(3764),
    [anon_sym_LT_LT] = ACTIONS(3766),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3019),
    [anon_sym_PLUS_EQ] = ACTIONS(3019),
    [anon_sym_DASH_EQ] = ACTIONS(3019),
    [anon_sym_DOT_EQ] = ACTIONS(3019),
    [anon_sym_STAR_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_PERCENT_EQ] = ACTIONS(3019),
    [anon_sym_x_EQ] = ACTIONS(3019),
    [anon_sym_AMP_EQ] = ACTIONS(3019),
    [anon_sym_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_CARET_EQ] = ACTIONS(3019),
    [anon_sym_LT_LT_EQ] = ACTIONS(3019),
    [anon_sym_GT_GT_EQ] = ACTIONS(3019),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3019),
    [anon_sym_DOT_DOT] = ACTIONS(3021),
    [anon_sym_STAR_STAR] = ACTIONS(3770),
    [anon_sym_PIPE_PIPE] = ACTIONS(3021),
    [anon_sym_SLASH_SLASH] = ACTIONS(3021),
    [anon_sym_CARET_CARET] = ACTIONS(3019),
    [anon_sym_AMP_AMP] = ACTIONS(3021),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3780),
    [anon_sym_GT_GT2] = ACTIONS(3766),
    [anon_sym_PLUS] = ACTIONS(3782),
    [anon_sym_DASH] = ACTIONS(3782),
    [anon_sym_DOT] = ACTIONS(3782),
    [anon_sym_STAR] = ACTIONS(3762),
    [anon_sym_SLASH] = ACTIONS(3762),
    [anon_sym_x] = ACTIONS(3762),
    [anon_sym_EQ_TILDE] = ACTIONS(3784),
    [anon_sym_BANG_TILDE] = ACTIONS(3784),
    [anon_sym_EQ_EQ] = ACTIONS(3786),
    [anon_sym_BANG_EQ] = ACTIONS(3788),
    [anon_sym_eq] = ACTIONS(3786),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3788),
    [anon_sym_equ] = ACTIONS(3788),
    [anon_sym_eqr] = ACTIONS(3788),
    [anon_sym_ne] = ACTIONS(3788),
    [anon_sym_LT_EQ_GT] = ACTIONS(3790),
    [anon_sym_cmp] = ACTIONS(3790),
    [anon_sym_TILDE_TILDE] = ACTIONS(3790),
    [anon_sym_LT] = ACTIONS(3764),
    [anon_sym_LT_EQ] = ACTIONS(3764),
    [anon_sym_GT_EQ] = ACTIONS(3792),
    [anon_sym_lt] = ACTIONS(3792),
    [anon_sym_le] = ACTIONS(3792),
    [anon_sym_ge] = ACTIONS(3792),
    [anon_sym_gt] = ACTIONS(3792),
    [anon_sym_isa] = ACTIONS(3794),
    [anon_sym_PLUS_PLUS] = ACTIONS(3796),
    [anon_sym_DASH_DASH] = ACTIONS(3796),
    [anon_sym_QMARK] = ACTIONS(3019),
    [anon_sym_EQ_GT] = ACTIONS(3019),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3019),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2312] = {
    [sym_heredoc_content] = STATE(2312),
    [anon_sym_SEMI] = ACTIONS(3019),
    [anon_sym_EQ] = ACTIONS(3021),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_COMMA] = ACTIONS(3019),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3019),
    [anon_sym_DASH_GT] = ACTIONS(3760),
    [anon_sym_PERCENT] = ACTIONS(3762),
    [anon_sym_GT] = ACTIONS(3764),
    [anon_sym_LT_LT] = ACTIONS(3766),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3019),
    [anon_sym_PLUS_EQ] = ACTIONS(3019),
    [anon_sym_DASH_EQ] = ACTIONS(3019),
    [anon_sym_DOT_EQ] = ACTIONS(3019),
    [anon_sym_STAR_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_PERCENT_EQ] = ACTIONS(3019),
    [anon_sym_x_EQ] = ACTIONS(3019),
    [anon_sym_AMP_EQ] = ACTIONS(3019),
    [anon_sym_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_CARET_EQ] = ACTIONS(3019),
    [anon_sym_LT_LT_EQ] = ACTIONS(3019),
    [anon_sym_GT_GT_EQ] = ACTIONS(3019),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3019),
    [anon_sym_DOT_DOT] = ACTIONS(3021),
    [anon_sym_STAR_STAR] = ACTIONS(3770),
    [anon_sym_PIPE_PIPE] = ACTIONS(3021),
    [anon_sym_SLASH_SLASH] = ACTIONS(3021),
    [anon_sym_CARET_CARET] = ACTIONS(3019),
    [anon_sym_AMP_AMP] = ACTIONS(3021),
    [anon_sym_PIPE] = ACTIONS(3021),
    [anon_sym_CARET] = ACTIONS(3021),
    [anon_sym_AMP] = ACTIONS(3780),
    [anon_sym_GT_GT2] = ACTIONS(3766),
    [anon_sym_PLUS] = ACTIONS(3782),
    [anon_sym_DASH] = ACTIONS(3782),
    [anon_sym_DOT] = ACTIONS(3782),
    [anon_sym_STAR] = ACTIONS(3762),
    [anon_sym_SLASH] = ACTIONS(3762),
    [anon_sym_x] = ACTIONS(3762),
    [anon_sym_EQ_TILDE] = ACTIONS(3784),
    [anon_sym_BANG_TILDE] = ACTIONS(3784),
    [anon_sym_EQ_EQ] = ACTIONS(3786),
    [anon_sym_BANG_EQ] = ACTIONS(3788),
    [anon_sym_eq] = ACTIONS(3786),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3788),
    [anon_sym_equ] = ACTIONS(3788),
    [anon_sym_eqr] = ACTIONS(3788),
    [anon_sym_ne] = ACTIONS(3788),
    [anon_sym_LT_EQ_GT] = ACTIONS(3790),
    [anon_sym_cmp] = ACTIONS(3790),
    [anon_sym_TILDE_TILDE] = ACTIONS(3790),
    [anon_sym_LT] = ACTIONS(3764),
    [anon_sym_LT_EQ] = ACTIONS(3764),
    [anon_sym_GT_EQ] = ACTIONS(3792),
    [anon_sym_lt] = ACTIONS(3792),
    [anon_sym_le] = ACTIONS(3792),
    [anon_sym_ge] = ACTIONS(3792),
    [anon_sym_gt] = ACTIONS(3792),
    [anon_sym_isa] = ACTIONS(3794),
    [anon_sym_PLUS_PLUS] = ACTIONS(3796),
    [anon_sym_DASH_DASH] = ACTIONS(3796),
    [anon_sym_QMARK] = ACTIONS(3019),
    [anon_sym_EQ_GT] = ACTIONS(3019),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3019),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2313] = {
    [sym_heredoc_content] = STATE(2313),
    [anon_sym_SEMI] = ACTIONS(2897),
    [anon_sym_EQ] = ACTIONS(2899),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2897),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2897),
    [anon_sym_COMMA] = ACTIONS(3923),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2897),
    [anon_sym_DASH_GT] = ACTIONS(2897),
    [anon_sym_PERCENT] = ACTIONS(2899),
    [anon_sym_GT] = ACTIONS(2899),
    [anon_sym_LT_LT] = ACTIONS(2899),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2897),
    [anon_sym_PLUS_EQ] = ACTIONS(2897),
    [anon_sym_DASH_EQ] = ACTIONS(2897),
    [anon_sym_DOT_EQ] = ACTIONS(2897),
    [anon_sym_STAR_EQ] = ACTIONS(2897),
    [anon_sym_SLASH_EQ] = ACTIONS(2897),
    [anon_sym_PERCENT_EQ] = ACTIONS(2897),
    [anon_sym_x_EQ] = ACTIONS(2897),
    [anon_sym_AMP_EQ] = ACTIONS(2897),
    [anon_sym_PIPE_EQ] = ACTIONS(2897),
    [anon_sym_CARET_EQ] = ACTIONS(2897),
    [anon_sym_LT_LT_EQ] = ACTIONS(2897),
    [anon_sym_GT_GT_EQ] = ACTIONS(2897),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2897),
    [anon_sym_DOT_DOT] = ACTIONS(2899),
    [anon_sym_STAR_STAR] = ACTIONS(2899),
    [anon_sym_PIPE_PIPE] = ACTIONS(2899),
    [anon_sym_SLASH_SLASH] = ACTIONS(2899),
    [anon_sym_CARET_CARET] = ACTIONS(2897),
    [anon_sym_AMP_AMP] = ACTIONS(2899),
    [anon_sym_PIPE] = ACTIONS(2899),
    [anon_sym_CARET] = ACTIONS(2899),
    [anon_sym_AMP] = ACTIONS(2899),
    [anon_sym_GT_GT2] = ACTIONS(2899),
    [anon_sym_PLUS] = ACTIONS(2899),
    [anon_sym_DASH] = ACTIONS(2899),
    [anon_sym_DOT] = ACTIONS(2899),
    [anon_sym_STAR] = ACTIONS(2899),
    [anon_sym_SLASH] = ACTIONS(2899),
    [anon_sym_x] = ACTIONS(2899),
    [anon_sym_EQ_TILDE] = ACTIONS(2897),
    [anon_sym_BANG_TILDE] = ACTIONS(2897),
    [anon_sym_EQ_EQ] = ACTIONS(2899),
    [anon_sym_BANG_EQ] = ACTIONS(2897),
    [anon_sym_eq] = ACTIONS(2899),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2897),
    [anon_sym_equ] = ACTIONS(2897),
    [anon_sym_eqr] = ACTIONS(2897),
    [anon_sym_ne] = ACTIONS(2897),
    [anon_sym_LT_EQ_GT] = ACTIONS(2897),
    [anon_sym_cmp] = ACTIONS(2897),
    [anon_sym_TILDE_TILDE] = ACTIONS(2897),
    [anon_sym_LT] = ACTIONS(2899),
    [anon_sym_LT_EQ] = ACTIONS(2899),
    [anon_sym_GT_EQ] = ACTIONS(2897),
    [anon_sym_lt] = ACTIONS(2897),
    [anon_sym_le] = ACTIONS(2897),
    [anon_sym_ge] = ACTIONS(2897),
    [anon_sym_gt] = ACTIONS(2897),
    [anon_sym_isa] = ACTIONS(2897),
    [anon_sym_PLUS_PLUS] = ACTIONS(2897),
    [anon_sym_DASH_DASH] = ACTIONS(2897),
    [anon_sym_QMARK] = ACTIONS(2897),
    [anon_sym_EQ_GT] = ACTIONS(3923),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2897),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2314] = {
    [sym_heredoc_content] = STATE(2314),
    [anon_sym_SEMI] = ACTIONS(3019),
    [anon_sym_EQ] = ACTIONS(3021),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_COMMA] = ACTIONS(3019),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3019),
    [anon_sym_DASH_GT] = ACTIONS(3760),
    [anon_sym_PERCENT] = ACTIONS(3762),
    [anon_sym_GT] = ACTIONS(3764),
    [anon_sym_LT_LT] = ACTIONS(3766),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3019),
    [anon_sym_PLUS_EQ] = ACTIONS(3019),
    [anon_sym_DASH_EQ] = ACTIONS(3019),
    [anon_sym_DOT_EQ] = ACTIONS(3019),
    [anon_sym_STAR_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_PERCENT_EQ] = ACTIONS(3019),
    [anon_sym_x_EQ] = ACTIONS(3019),
    [anon_sym_AMP_EQ] = ACTIONS(3019),
    [anon_sym_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_CARET_EQ] = ACTIONS(3019),
    [anon_sym_LT_LT_EQ] = ACTIONS(3019),
    [anon_sym_GT_GT_EQ] = ACTIONS(3019),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3019),
    [anon_sym_DOT_DOT] = ACTIONS(3021),
    [anon_sym_STAR_STAR] = ACTIONS(3770),
    [anon_sym_PIPE_PIPE] = ACTIONS(3021),
    [anon_sym_SLASH_SLASH] = ACTIONS(3021),
    [anon_sym_CARET_CARET] = ACTIONS(3019),
    [anon_sym_AMP_AMP] = ACTIONS(3021),
    [anon_sym_PIPE] = ACTIONS(3021),
    [anon_sym_CARET] = ACTIONS(3021),
    [anon_sym_AMP] = ACTIONS(3021),
    [anon_sym_GT_GT2] = ACTIONS(3766),
    [anon_sym_PLUS] = ACTIONS(3782),
    [anon_sym_DASH] = ACTIONS(3782),
    [anon_sym_DOT] = ACTIONS(3782),
    [anon_sym_STAR] = ACTIONS(3762),
    [anon_sym_SLASH] = ACTIONS(3762),
    [anon_sym_x] = ACTIONS(3762),
    [anon_sym_EQ_TILDE] = ACTIONS(3784),
    [anon_sym_BANG_TILDE] = ACTIONS(3784),
    [anon_sym_EQ_EQ] = ACTIONS(3786),
    [anon_sym_BANG_EQ] = ACTIONS(3788),
    [anon_sym_eq] = ACTIONS(3786),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3788),
    [anon_sym_equ] = ACTIONS(3788),
    [anon_sym_eqr] = ACTIONS(3788),
    [anon_sym_ne] = ACTIONS(3788),
    [anon_sym_LT_EQ_GT] = ACTIONS(3790),
    [anon_sym_cmp] = ACTIONS(3790),
    [anon_sym_TILDE_TILDE] = ACTIONS(3790),
    [anon_sym_LT] = ACTIONS(3764),
    [anon_sym_LT_EQ] = ACTIONS(3764),
    [anon_sym_GT_EQ] = ACTIONS(3792),
    [anon_sym_lt] = ACTIONS(3792),
    [anon_sym_le] = ACTIONS(3792),
    [anon_sym_ge] = ACTIONS(3792),
    [anon_sym_gt] = ACTIONS(3792),
    [anon_sym_isa] = ACTIONS(3794),
    [anon_sym_PLUS_PLUS] = ACTIONS(3796),
    [anon_sym_DASH_DASH] = ACTIONS(3796),
    [anon_sym_QMARK] = ACTIONS(3019),
    [anon_sym_EQ_GT] = ACTIONS(3019),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3019),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2315] = {
    [sym_heredoc_content] = STATE(2315),
    [anon_sym_SEMI] = ACTIONS(2903),
    [anon_sym_EQ] = ACTIONS(2905),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2903),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2903),
    [anon_sym_COMMA] = ACTIONS(2903),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2903),
    [anon_sym_DASH_GT] = ACTIONS(2903),
    [anon_sym_PERCENT] = ACTIONS(2905),
    [anon_sym_GT] = ACTIONS(2905),
    [anon_sym_LT_LT] = ACTIONS(2905),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2903),
    [anon_sym_PLUS_EQ] = ACTIONS(2903),
    [anon_sym_DASH_EQ] = ACTIONS(2903),
    [anon_sym_DOT_EQ] = ACTIONS(2903),
    [anon_sym_STAR_EQ] = ACTIONS(2903),
    [anon_sym_SLASH_EQ] = ACTIONS(2903),
    [anon_sym_PERCENT_EQ] = ACTIONS(2903),
    [anon_sym_x_EQ] = ACTIONS(2903),
    [anon_sym_AMP_EQ] = ACTIONS(2903),
    [anon_sym_PIPE_EQ] = ACTIONS(2903),
    [anon_sym_CARET_EQ] = ACTIONS(2903),
    [anon_sym_LT_LT_EQ] = ACTIONS(2903),
    [anon_sym_GT_GT_EQ] = ACTIONS(2903),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2903),
    [anon_sym_DOT_DOT] = ACTIONS(2905),
    [anon_sym_STAR_STAR] = ACTIONS(2905),
    [anon_sym_PIPE_PIPE] = ACTIONS(2905),
    [anon_sym_SLASH_SLASH] = ACTIONS(2905),
    [anon_sym_CARET_CARET] = ACTIONS(2903),
    [anon_sym_AMP_AMP] = ACTIONS(2905),
    [anon_sym_PIPE] = ACTIONS(2905),
    [anon_sym_CARET] = ACTIONS(2905),
    [anon_sym_AMP] = ACTIONS(2905),
    [anon_sym_GT_GT2] = ACTIONS(2905),
    [anon_sym_PLUS] = ACTIONS(2905),
    [anon_sym_DASH] = ACTIONS(2905),
    [anon_sym_DOT] = ACTIONS(2905),
    [anon_sym_STAR] = ACTIONS(2905),
    [anon_sym_SLASH] = ACTIONS(2905),
    [anon_sym_x] = ACTIONS(2905),
    [anon_sym_EQ_TILDE] = ACTIONS(2903),
    [anon_sym_BANG_TILDE] = ACTIONS(2903),
    [anon_sym_EQ_EQ] = ACTIONS(2905),
    [anon_sym_BANG_EQ] = ACTIONS(2903),
    [anon_sym_eq] = ACTIONS(2905),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2903),
    [anon_sym_equ] = ACTIONS(2903),
    [anon_sym_eqr] = ACTIONS(2903),
    [anon_sym_ne] = ACTIONS(2903),
    [anon_sym_LT_EQ_GT] = ACTIONS(2903),
    [anon_sym_cmp] = ACTIONS(2903),
    [anon_sym_TILDE_TILDE] = ACTIONS(2903),
    [anon_sym_LT] = ACTIONS(2905),
    [anon_sym_LT_EQ] = ACTIONS(2905),
    [anon_sym_GT_EQ] = ACTIONS(2903),
    [anon_sym_lt] = ACTIONS(2903),
    [anon_sym_le] = ACTIONS(2903),
    [anon_sym_ge] = ACTIONS(2903),
    [anon_sym_gt] = ACTIONS(2903),
    [anon_sym_isa] = ACTIONS(2903),
    [anon_sym_PLUS_PLUS] = ACTIONS(2903),
    [anon_sym_DASH_DASH] = ACTIONS(2903),
    [anon_sym_QMARK] = ACTIONS(2903),
    [anon_sym_EQ_GT] = ACTIONS(2903),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2903),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2316] = {
    [sym_heredoc_content] = STATE(2316),
    [anon_sym_SEMI] = ACTIONS(3019),
    [anon_sym_EQ] = ACTIONS(3021),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_COMMA] = ACTIONS(3019),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3019),
    [anon_sym_DASH_GT] = ACTIONS(3760),
    [anon_sym_PERCENT] = ACTIONS(3762),
    [anon_sym_GT] = ACTIONS(3021),
    [anon_sym_LT_LT] = ACTIONS(3021),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3019),
    [anon_sym_PLUS_EQ] = ACTIONS(3019),
    [anon_sym_DASH_EQ] = ACTIONS(3019),
    [anon_sym_DOT_EQ] = ACTIONS(3019),
    [anon_sym_STAR_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_PERCENT_EQ] = ACTIONS(3019),
    [anon_sym_x_EQ] = ACTIONS(3019),
    [anon_sym_AMP_EQ] = ACTIONS(3019),
    [anon_sym_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_CARET_EQ] = ACTIONS(3019),
    [anon_sym_LT_LT_EQ] = ACTIONS(3019),
    [anon_sym_GT_GT_EQ] = ACTIONS(3019),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3019),
    [anon_sym_DOT_DOT] = ACTIONS(3021),
    [anon_sym_STAR_STAR] = ACTIONS(3770),
    [anon_sym_PIPE_PIPE] = ACTIONS(3021),
    [anon_sym_SLASH_SLASH] = ACTIONS(3021),
    [anon_sym_CARET_CARET] = ACTIONS(3019),
    [anon_sym_AMP_AMP] = ACTIONS(3021),
    [anon_sym_PIPE] = ACTIONS(3021),
    [anon_sym_CARET] = ACTIONS(3021),
    [anon_sym_AMP] = ACTIONS(3021),
    [anon_sym_GT_GT2] = ACTIONS(3021),
    [anon_sym_PLUS] = ACTIONS(3021),
    [anon_sym_DASH] = ACTIONS(3021),
    [anon_sym_DOT] = ACTIONS(3021),
    [anon_sym_STAR] = ACTIONS(3762),
    [anon_sym_SLASH] = ACTIONS(3762),
    [anon_sym_x] = ACTIONS(3762),
    [anon_sym_EQ_TILDE] = ACTIONS(3784),
    [anon_sym_BANG_TILDE] = ACTIONS(3784),
    [anon_sym_EQ_EQ] = ACTIONS(3021),
    [anon_sym_BANG_EQ] = ACTIONS(3019),
    [anon_sym_eq] = ACTIONS(3021),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3019),
    [anon_sym_equ] = ACTIONS(3019),
    [anon_sym_eqr] = ACTIONS(3019),
    [anon_sym_ne] = ACTIONS(3019),
    [anon_sym_LT_EQ_GT] = ACTIONS(3019),
    [anon_sym_cmp] = ACTIONS(3019),
    [anon_sym_TILDE_TILDE] = ACTIONS(3019),
    [anon_sym_LT] = ACTIONS(3021),
    [anon_sym_LT_EQ] = ACTIONS(3021),
    [anon_sym_GT_EQ] = ACTIONS(3019),
    [anon_sym_lt] = ACTIONS(3019),
    [anon_sym_le] = ACTIONS(3019),
    [anon_sym_ge] = ACTIONS(3019),
    [anon_sym_gt] = ACTIONS(3019),
    [anon_sym_isa] = ACTIONS(3019),
    [anon_sym_PLUS_PLUS] = ACTIONS(3796),
    [anon_sym_DASH_DASH] = ACTIONS(3796),
    [anon_sym_QMARK] = ACTIONS(3019),
    [anon_sym_EQ_GT] = ACTIONS(3019),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3019),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2317] = {
    [sym_heredoc_content] = STATE(2317),
    [anon_sym_SEMI] = ACTIONS(3019),
    [anon_sym_EQ] = ACTIONS(3021),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_COMMA] = ACTIONS(3019),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3019),
    [anon_sym_DASH_GT] = ACTIONS(3760),
    [anon_sym_PERCENT] = ACTIONS(3021),
    [anon_sym_GT] = ACTIONS(3021),
    [anon_sym_LT_LT] = ACTIONS(3021),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3019),
    [anon_sym_PLUS_EQ] = ACTIONS(3019),
    [anon_sym_DASH_EQ] = ACTIONS(3019),
    [anon_sym_DOT_EQ] = ACTIONS(3019),
    [anon_sym_STAR_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_PERCENT_EQ] = ACTIONS(3019),
    [anon_sym_x_EQ] = ACTIONS(3019),
    [anon_sym_AMP_EQ] = ACTIONS(3019),
    [anon_sym_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_CARET_EQ] = ACTIONS(3019),
    [anon_sym_LT_LT_EQ] = ACTIONS(3019),
    [anon_sym_GT_GT_EQ] = ACTIONS(3019),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3019),
    [anon_sym_DOT_DOT] = ACTIONS(3021),
    [anon_sym_STAR_STAR] = ACTIONS(3770),
    [anon_sym_PIPE_PIPE] = ACTIONS(3021),
    [anon_sym_SLASH_SLASH] = ACTIONS(3021),
    [anon_sym_CARET_CARET] = ACTIONS(3019),
    [anon_sym_AMP_AMP] = ACTIONS(3021),
    [anon_sym_PIPE] = ACTIONS(3021),
    [anon_sym_CARET] = ACTIONS(3021),
    [anon_sym_AMP] = ACTIONS(3021),
    [anon_sym_GT_GT2] = ACTIONS(3021),
    [anon_sym_PLUS] = ACTIONS(3021),
    [anon_sym_DASH] = ACTIONS(3021),
    [anon_sym_DOT] = ACTIONS(3021),
    [anon_sym_STAR] = ACTIONS(3021),
    [anon_sym_SLASH] = ACTIONS(3021),
    [anon_sym_x] = ACTIONS(3021),
    [anon_sym_EQ_TILDE] = ACTIONS(3019),
    [anon_sym_BANG_TILDE] = ACTIONS(3019),
    [anon_sym_EQ_EQ] = ACTIONS(3021),
    [anon_sym_BANG_EQ] = ACTIONS(3019),
    [anon_sym_eq] = ACTIONS(3021),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3019),
    [anon_sym_equ] = ACTIONS(3019),
    [anon_sym_eqr] = ACTIONS(3019),
    [anon_sym_ne] = ACTIONS(3019),
    [anon_sym_LT_EQ_GT] = ACTIONS(3019),
    [anon_sym_cmp] = ACTIONS(3019),
    [anon_sym_TILDE_TILDE] = ACTIONS(3019),
    [anon_sym_LT] = ACTIONS(3021),
    [anon_sym_LT_EQ] = ACTIONS(3021),
    [anon_sym_GT_EQ] = ACTIONS(3019),
    [anon_sym_lt] = ACTIONS(3019),
    [anon_sym_le] = ACTIONS(3019),
    [anon_sym_ge] = ACTIONS(3019),
    [anon_sym_gt] = ACTIONS(3019),
    [anon_sym_isa] = ACTIONS(3019),
    [anon_sym_PLUS_PLUS] = ACTIONS(3796),
    [anon_sym_DASH_DASH] = ACTIONS(3796),
    [anon_sym_QMARK] = ACTIONS(3019),
    [anon_sym_EQ_GT] = ACTIONS(3019),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3019),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2318] = {
    [sym_heredoc_content] = STATE(2318),
    [anon_sym_SEMI] = ACTIONS(3035),
    [anon_sym_EQ] = ACTIONS(3037),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3035),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3035),
    [anon_sym_COMMA] = ACTIONS(3035),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3035),
    [anon_sym_DASH_GT] = ACTIONS(3760),
    [anon_sym_PERCENT] = ACTIONS(3762),
    [anon_sym_GT] = ACTIONS(3764),
    [anon_sym_LT_LT] = ACTIONS(3766),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3035),
    [anon_sym_PLUS_EQ] = ACTIONS(3035),
    [anon_sym_DASH_EQ] = ACTIONS(3035),
    [anon_sym_DOT_EQ] = ACTIONS(3035),
    [anon_sym_STAR_EQ] = ACTIONS(3035),
    [anon_sym_SLASH_EQ] = ACTIONS(3035),
    [anon_sym_PERCENT_EQ] = ACTIONS(3035),
    [anon_sym_x_EQ] = ACTIONS(3035),
    [anon_sym_AMP_EQ] = ACTIONS(3035),
    [anon_sym_PIPE_EQ] = ACTIONS(3035),
    [anon_sym_CARET_EQ] = ACTIONS(3035),
    [anon_sym_LT_LT_EQ] = ACTIONS(3035),
    [anon_sym_GT_GT_EQ] = ACTIONS(3035),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3035),
    [anon_sym_DOT_DOT] = ACTIONS(3037),
    [anon_sym_STAR_STAR] = ACTIONS(3770),
    [anon_sym_PIPE_PIPE] = ACTIONS(3037),
    [anon_sym_SLASH_SLASH] = ACTIONS(3037),
    [anon_sym_CARET_CARET] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(3037),
    [anon_sym_PIPE] = ACTIONS(3037),
    [anon_sym_CARET] = ACTIONS(3037),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym_GT_GT2] = ACTIONS(3766),
    [anon_sym_PLUS] = ACTIONS(3782),
    [anon_sym_DASH] = ACTIONS(3782),
    [anon_sym_DOT] = ACTIONS(3782),
    [anon_sym_STAR] = ACTIONS(3762),
    [anon_sym_SLASH] = ACTIONS(3762),
    [anon_sym_x] = ACTIONS(3762),
    [anon_sym_EQ_TILDE] = ACTIONS(3784),
    [anon_sym_BANG_TILDE] = ACTIONS(3784),
    [anon_sym_EQ_EQ] = ACTIONS(3037),
    [anon_sym_BANG_EQ] = ACTIONS(3035),
    [anon_sym_eq] = ACTIONS(3037),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3035),
    [anon_sym_equ] = ACTIONS(3035),
    [anon_sym_eqr] = ACTIONS(3035),
    [anon_sym_ne] = ACTIONS(3035),
    [anon_sym_LT_EQ_GT] = ACTIONS(3035),
    [anon_sym_cmp] = ACTIONS(3035),
    [anon_sym_TILDE_TILDE] = ACTIONS(3035),
    [anon_sym_LT] = ACTIONS(3764),
    [anon_sym_LT_EQ] = ACTIONS(3764),
    [anon_sym_GT_EQ] = ACTIONS(3792),
    [anon_sym_lt] = ACTIONS(3792),
    [anon_sym_le] = ACTIONS(3792),
    [anon_sym_ge] = ACTIONS(3792),
    [anon_sym_gt] = ACTIONS(3792),
    [anon_sym_isa] = ACTIONS(3794),
    [anon_sym_PLUS_PLUS] = ACTIONS(3796),
    [anon_sym_DASH_DASH] = ACTIONS(3796),
    [anon_sym_QMARK] = ACTIONS(3035),
    [anon_sym_EQ_GT] = ACTIONS(3035),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3035),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2319] = {
    [sym_heredoc_content] = STATE(2319),
    [anon_sym_SEMI] = ACTIONS(3035),
    [anon_sym_EQ] = ACTIONS(3037),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3035),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3035),
    [anon_sym_COMMA] = ACTIONS(3035),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3035),
    [anon_sym_DASH_GT] = ACTIONS(3760),
    [anon_sym_PERCENT] = ACTIONS(3762),
    [anon_sym_GT] = ACTIONS(3764),
    [anon_sym_LT_LT] = ACTIONS(3766),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3035),
    [anon_sym_PLUS_EQ] = ACTIONS(3035),
    [anon_sym_DASH_EQ] = ACTIONS(3035),
    [anon_sym_DOT_EQ] = ACTIONS(3035),
    [anon_sym_STAR_EQ] = ACTIONS(3035),
    [anon_sym_SLASH_EQ] = ACTIONS(3035),
    [anon_sym_PERCENT_EQ] = ACTIONS(3035),
    [anon_sym_x_EQ] = ACTIONS(3035),
    [anon_sym_AMP_EQ] = ACTIONS(3035),
    [anon_sym_PIPE_EQ] = ACTIONS(3035),
    [anon_sym_CARET_EQ] = ACTIONS(3035),
    [anon_sym_LT_LT_EQ] = ACTIONS(3035),
    [anon_sym_GT_GT_EQ] = ACTIONS(3035),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3035),
    [anon_sym_DOT_DOT] = ACTIONS(3037),
    [anon_sym_STAR_STAR] = ACTIONS(3770),
    [anon_sym_PIPE_PIPE] = ACTIONS(3037),
    [anon_sym_SLASH_SLASH] = ACTIONS(3037),
    [anon_sym_CARET_CARET] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(3037),
    [anon_sym_PIPE] = ACTIONS(3037),
    [anon_sym_CARET] = ACTIONS(3037),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym_GT_GT2] = ACTIONS(3766),
    [anon_sym_PLUS] = ACTIONS(3782),
    [anon_sym_DASH] = ACTIONS(3782),
    [anon_sym_DOT] = ACTIONS(3782),
    [anon_sym_STAR] = ACTIONS(3762),
    [anon_sym_SLASH] = ACTIONS(3762),
    [anon_sym_x] = ACTIONS(3762),
    [anon_sym_EQ_TILDE] = ACTIONS(3784),
    [anon_sym_BANG_TILDE] = ACTIONS(3784),
    [anon_sym_EQ_EQ] = ACTIONS(3786),
    [anon_sym_BANG_EQ] = ACTIONS(3788),
    [anon_sym_eq] = ACTIONS(3786),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3788),
    [anon_sym_equ] = ACTIONS(3788),
    [anon_sym_eqr] = ACTIONS(3788),
    [anon_sym_ne] = ACTIONS(3788),
    [anon_sym_LT_EQ_GT] = ACTIONS(3925),
    [anon_sym_cmp] = ACTIONS(3925),
    [anon_sym_TILDE_TILDE] = ACTIONS(3925),
    [anon_sym_LT] = ACTIONS(3764),
    [anon_sym_LT_EQ] = ACTIONS(3764),
    [anon_sym_GT_EQ] = ACTIONS(3792),
    [anon_sym_lt] = ACTIONS(3792),
    [anon_sym_le] = ACTIONS(3792),
    [anon_sym_ge] = ACTIONS(3792),
    [anon_sym_gt] = ACTIONS(3792),
    [anon_sym_isa] = ACTIONS(3794),
    [anon_sym_PLUS_PLUS] = ACTIONS(3796),
    [anon_sym_DASH_DASH] = ACTIONS(3796),
    [anon_sym_QMARK] = ACTIONS(3035),
    [anon_sym_EQ_GT] = ACTIONS(3035),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3035),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2320] = {
    [sym_heredoc_content] = STATE(2320),
    [anon_sym_SEMI] = ACTIONS(3027),
    [anon_sym_EQ] = ACTIONS(3029),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3027),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3027),
    [anon_sym_COMMA] = ACTIONS(3027),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3027),
    [anon_sym_DASH_GT] = ACTIONS(3760),
    [anon_sym_PERCENT] = ACTIONS(3762),
    [anon_sym_GT] = ACTIONS(3764),
    [anon_sym_LT_LT] = ACTIONS(3766),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3027),
    [anon_sym_PLUS_EQ] = ACTIONS(3027),
    [anon_sym_DASH_EQ] = ACTIONS(3027),
    [anon_sym_DOT_EQ] = ACTIONS(3027),
    [anon_sym_STAR_EQ] = ACTIONS(3027),
    [anon_sym_SLASH_EQ] = ACTIONS(3027),
    [anon_sym_PERCENT_EQ] = ACTIONS(3027),
    [anon_sym_x_EQ] = ACTIONS(3027),
    [anon_sym_AMP_EQ] = ACTIONS(3027),
    [anon_sym_PIPE_EQ] = ACTIONS(3027),
    [anon_sym_CARET_EQ] = ACTIONS(3027),
    [anon_sym_LT_LT_EQ] = ACTIONS(3027),
    [anon_sym_GT_GT_EQ] = ACTIONS(3027),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3027),
    [anon_sym_DOT_DOT] = ACTIONS(3029),
    [anon_sym_STAR_STAR] = ACTIONS(3770),
    [anon_sym_PIPE_PIPE] = ACTIONS(3029),
    [anon_sym_SLASH_SLASH] = ACTIONS(3029),
    [anon_sym_CARET_CARET] = ACTIONS(3027),
    [anon_sym_AMP_AMP] = ACTIONS(3029),
    [anon_sym_PIPE] = ACTIONS(3029),
    [anon_sym_CARET] = ACTIONS(3029),
    [anon_sym_AMP] = ACTIONS(3029),
    [anon_sym_GT_GT2] = ACTIONS(3766),
    [anon_sym_PLUS] = ACTIONS(3782),
    [anon_sym_DASH] = ACTIONS(3782),
    [anon_sym_DOT] = ACTIONS(3782),
    [anon_sym_STAR] = ACTIONS(3762),
    [anon_sym_SLASH] = ACTIONS(3762),
    [anon_sym_x] = ACTIONS(3762),
    [anon_sym_EQ_TILDE] = ACTIONS(3784),
    [anon_sym_BANG_TILDE] = ACTIONS(3784),
    [anon_sym_EQ_EQ] = ACTIONS(3029),
    [anon_sym_BANG_EQ] = ACTIONS(3027),
    [anon_sym_eq] = ACTIONS(3029),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3027),
    [anon_sym_equ] = ACTIONS(3027),
    [anon_sym_eqr] = ACTIONS(3027),
    [anon_sym_ne] = ACTIONS(3027),
    [anon_sym_LT_EQ_GT] = ACTIONS(3027),
    [anon_sym_cmp] = ACTIONS(3027),
    [anon_sym_TILDE_TILDE] = ACTIONS(3027),
    [anon_sym_LT] = ACTIONS(3764),
    [anon_sym_LT_EQ] = ACTIONS(3764),
    [anon_sym_GT_EQ] = ACTIONS(3792),
    [anon_sym_lt] = ACTIONS(3792),
    [anon_sym_le] = ACTIONS(3792),
    [anon_sym_ge] = ACTIONS(3792),
    [anon_sym_gt] = ACTIONS(3792),
    [anon_sym_isa] = ACTIONS(3927),
    [anon_sym_PLUS_PLUS] = ACTIONS(3796),
    [anon_sym_DASH_DASH] = ACTIONS(3796),
    [anon_sym_QMARK] = ACTIONS(3027),
    [anon_sym_EQ_GT] = ACTIONS(3027),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3027),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2321] = {
    [sym_heredoc_content] = STATE(2321),
    [anon_sym_RBRACE] = ACTIONS(2873),
    [anon_sym_EQ] = ACTIONS(2875),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2873),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2873),
    [anon_sym_COMMA] = ACTIONS(2873),
    [anon_sym_RPAREN] = ACTIONS(2873),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2873),
    [anon_sym_DASH_GT] = ACTIONS(3831),
    [anon_sym_PERCENT] = ACTIONS(2875),
    [anon_sym_GT] = ACTIONS(2875),
    [anon_sym_LT_LT] = ACTIONS(2875),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2873),
    [anon_sym_PLUS_EQ] = ACTIONS(2873),
    [anon_sym_DASH_EQ] = ACTIONS(2873),
    [anon_sym_DOT_EQ] = ACTIONS(2873),
    [anon_sym_STAR_EQ] = ACTIONS(2873),
    [anon_sym_SLASH_EQ] = ACTIONS(2873),
    [anon_sym_PERCENT_EQ] = ACTIONS(2873),
    [anon_sym_x_EQ] = ACTIONS(2873),
    [anon_sym_AMP_EQ] = ACTIONS(2873),
    [anon_sym_PIPE_EQ] = ACTIONS(2873),
    [anon_sym_CARET_EQ] = ACTIONS(2873),
    [anon_sym_LT_LT_EQ] = ACTIONS(2873),
    [anon_sym_GT_GT_EQ] = ACTIONS(2873),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2873),
    [anon_sym_DOT_DOT] = ACTIONS(2875),
    [anon_sym_STAR_STAR] = ACTIONS(3841),
    [anon_sym_PIPE_PIPE] = ACTIONS(2875),
    [anon_sym_SLASH_SLASH] = ACTIONS(2875),
    [anon_sym_CARET_CARET] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2875),
    [anon_sym_PIPE] = ACTIONS(2875),
    [anon_sym_CARET] = ACTIONS(2875),
    [anon_sym_AMP] = ACTIONS(2875),
    [anon_sym_GT_GT2] = ACTIONS(2875),
    [anon_sym_PLUS] = ACTIONS(2875),
    [anon_sym_DASH] = ACTIONS(2875),
    [anon_sym_DOT] = ACTIONS(2875),
    [anon_sym_STAR] = ACTIONS(2875),
    [anon_sym_SLASH] = ACTIONS(2875),
    [anon_sym_x] = ACTIONS(2875),
    [anon_sym_EQ_TILDE] = ACTIONS(2873),
    [anon_sym_BANG_TILDE] = ACTIONS(2873),
    [anon_sym_EQ_EQ] = ACTIONS(2875),
    [anon_sym_BANG_EQ] = ACTIONS(2873),
    [anon_sym_eq] = ACTIONS(2875),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2873),
    [anon_sym_equ] = ACTIONS(2873),
    [anon_sym_eqr] = ACTIONS(2873),
    [anon_sym_ne] = ACTIONS(2873),
    [anon_sym_LT_EQ_GT] = ACTIONS(2873),
    [anon_sym_cmp] = ACTIONS(2873),
    [anon_sym_TILDE_TILDE] = ACTIONS(2873),
    [anon_sym_LT] = ACTIONS(2875),
    [anon_sym_LT_EQ] = ACTIONS(2875),
    [anon_sym_GT_EQ] = ACTIONS(2873),
    [anon_sym_lt] = ACTIONS(2873),
    [anon_sym_le] = ACTIONS(2873),
    [anon_sym_ge] = ACTIONS(2873),
    [anon_sym_gt] = ACTIONS(2873),
    [anon_sym_isa] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(3867),
    [anon_sym_DASH_DASH] = ACTIONS(3867),
    [anon_sym_QMARK] = ACTIONS(2873),
    [anon_sym_EQ_GT] = ACTIONS(2873),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2322] = {
    [sym_heredoc_content] = STATE(2322),
    [anon_sym_SEMI] = ACTIONS(3082),
    [anon_sym_EQ] = ACTIONS(3084),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3082),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3082),
    [anon_sym_COMMA] = ACTIONS(3082),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3082),
    [anon_sym_DASH_GT] = ACTIONS(3760),
    [anon_sym_PERCENT] = ACTIONS(3762),
    [anon_sym_GT] = ACTIONS(3084),
    [anon_sym_LT_LT] = ACTIONS(3766),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3082),
    [anon_sym_PLUS_EQ] = ACTIONS(3082),
    [anon_sym_DASH_EQ] = ACTIONS(3082),
    [anon_sym_DOT_EQ] = ACTIONS(3082),
    [anon_sym_STAR_EQ] = ACTIONS(3082),
    [anon_sym_SLASH_EQ] = ACTIONS(3082),
    [anon_sym_PERCENT_EQ] = ACTIONS(3082),
    [anon_sym_x_EQ] = ACTIONS(3082),
    [anon_sym_AMP_EQ] = ACTIONS(3082),
    [anon_sym_PIPE_EQ] = ACTIONS(3082),
    [anon_sym_CARET_EQ] = ACTIONS(3082),
    [anon_sym_LT_LT_EQ] = ACTIONS(3082),
    [anon_sym_GT_GT_EQ] = ACTIONS(3082),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3082),
    [anon_sym_DOT_DOT] = ACTIONS(3084),
    [anon_sym_STAR_STAR] = ACTIONS(3770),
    [anon_sym_PIPE_PIPE] = ACTIONS(3084),
    [anon_sym_SLASH_SLASH] = ACTIONS(3084),
    [anon_sym_CARET_CARET] = ACTIONS(3082),
    [anon_sym_AMP_AMP] = ACTIONS(3084),
    [anon_sym_PIPE] = ACTIONS(3084),
    [anon_sym_CARET] = ACTIONS(3084),
    [anon_sym_AMP] = ACTIONS(3084),
    [anon_sym_GT_GT2] = ACTIONS(3766),
    [anon_sym_PLUS] = ACTIONS(3782),
    [anon_sym_DASH] = ACTIONS(3782),
    [anon_sym_DOT] = ACTIONS(3782),
    [anon_sym_STAR] = ACTIONS(3762),
    [anon_sym_SLASH] = ACTIONS(3762),
    [anon_sym_x] = ACTIONS(3762),
    [anon_sym_EQ_TILDE] = ACTIONS(3784),
    [anon_sym_BANG_TILDE] = ACTIONS(3784),
    [anon_sym_EQ_EQ] = ACTIONS(3084),
    [anon_sym_BANG_EQ] = ACTIONS(3082),
    [anon_sym_eq] = ACTIONS(3084),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3082),
    [anon_sym_equ] = ACTIONS(3082),
    [anon_sym_eqr] = ACTIONS(3082),
    [anon_sym_ne] = ACTIONS(3082),
    [anon_sym_LT_EQ_GT] = ACTIONS(3082),
    [anon_sym_cmp] = ACTIONS(3082),
    [anon_sym_TILDE_TILDE] = ACTIONS(3082),
    [anon_sym_LT] = ACTIONS(3084),
    [anon_sym_LT_EQ] = ACTIONS(3084),
    [anon_sym_GT_EQ] = ACTIONS(3082),
    [anon_sym_lt] = ACTIONS(3082),
    [anon_sym_le] = ACTIONS(3082),
    [anon_sym_ge] = ACTIONS(3082),
    [anon_sym_gt] = ACTIONS(3082),
    [anon_sym_isa] = ACTIONS(3082),
    [anon_sym_PLUS_PLUS] = ACTIONS(3796),
    [anon_sym_DASH_DASH] = ACTIONS(3796),
    [anon_sym_QMARK] = ACTIONS(3082),
    [anon_sym_EQ_GT] = ACTIONS(3082),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3082),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2323] = {
    [sym_heredoc_content] = STATE(2323),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym_EQ] = ACTIONS(1968),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2887),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2887),
    [anon_sym_COMMA] = ACTIONS(2887),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2887),
    [anon_sym_DASH_GT] = ACTIONS(2887),
    [anon_sym_PERCENT] = ACTIONS(1968),
    [anon_sym_GT] = ACTIONS(1968),
    [anon_sym_LT_LT] = ACTIONS(1968),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2887),
    [anon_sym_PLUS_EQ] = ACTIONS(2887),
    [anon_sym_DASH_EQ] = ACTIONS(2887),
    [anon_sym_DOT_EQ] = ACTIONS(2887),
    [anon_sym_STAR_EQ] = ACTIONS(2887),
    [anon_sym_SLASH_EQ] = ACTIONS(2887),
    [anon_sym_PERCENT_EQ] = ACTIONS(2887),
    [anon_sym_x_EQ] = ACTIONS(2887),
    [anon_sym_AMP_EQ] = ACTIONS(2887),
    [anon_sym_PIPE_EQ] = ACTIONS(2887),
    [anon_sym_CARET_EQ] = ACTIONS(2887),
    [anon_sym_LT_LT_EQ] = ACTIONS(2887),
    [anon_sym_GT_GT_EQ] = ACTIONS(2887),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2887),
    [anon_sym_DOT_DOT] = ACTIONS(1968),
    [anon_sym_STAR_STAR] = ACTIONS(1968),
    [anon_sym_PIPE_PIPE] = ACTIONS(1968),
    [anon_sym_SLASH_SLASH] = ACTIONS(1968),
    [anon_sym_CARET_CARET] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(1968),
    [anon_sym_PIPE] = ACTIONS(1968),
    [anon_sym_CARET] = ACTIONS(1968),
    [anon_sym_AMP] = ACTIONS(1968),
    [anon_sym_GT_GT2] = ACTIONS(1968),
    [anon_sym_PLUS] = ACTIONS(1968),
    [anon_sym_DASH] = ACTIONS(1968),
    [anon_sym_DOT] = ACTIONS(1968),
    [anon_sym_STAR] = ACTIONS(1968),
    [anon_sym_SLASH] = ACTIONS(1968),
    [anon_sym_x] = ACTIONS(1968),
    [anon_sym_EQ_TILDE] = ACTIONS(2887),
    [anon_sym_BANG_TILDE] = ACTIONS(2887),
    [anon_sym_EQ_EQ] = ACTIONS(1968),
    [anon_sym_BANG_EQ] = ACTIONS(2887),
    [anon_sym_eq] = ACTIONS(1968),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2887),
    [anon_sym_equ] = ACTIONS(2887),
    [anon_sym_eqr] = ACTIONS(2887),
    [anon_sym_ne] = ACTIONS(2887),
    [anon_sym_LT_EQ_GT] = ACTIONS(2887),
    [anon_sym_cmp] = ACTIONS(2887),
    [anon_sym_TILDE_TILDE] = ACTIONS(2887),
    [anon_sym_LT] = ACTIONS(1968),
    [anon_sym_LT_EQ] = ACTIONS(1968),
    [anon_sym_GT_EQ] = ACTIONS(2887),
    [anon_sym_lt] = ACTIONS(2887),
    [anon_sym_le] = ACTIONS(2887),
    [anon_sym_ge] = ACTIONS(2887),
    [anon_sym_gt] = ACTIONS(2887),
    [anon_sym_isa] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_QMARK] = ACTIONS(2887),
    [anon_sym_EQ_GT] = ACTIONS(2887),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2887),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2324] = {
    [sym_heredoc_content] = STATE(2324),
    [anon_sym_RBRACE] = ACTIONS(3019),
    [anon_sym_EQ] = ACTIONS(3021),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_COMMA] = ACTIONS(3019),
    [anon_sym_RPAREN] = ACTIONS(3019),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3019),
    [anon_sym_DASH_GT] = ACTIONS(3831),
    [anon_sym_PERCENT] = ACTIONS(3021),
    [anon_sym_GT] = ACTIONS(3021),
    [anon_sym_LT_LT] = ACTIONS(3021),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3019),
    [anon_sym_PLUS_EQ] = ACTIONS(3019),
    [anon_sym_DASH_EQ] = ACTIONS(3019),
    [anon_sym_DOT_EQ] = ACTIONS(3019),
    [anon_sym_STAR_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_PERCENT_EQ] = ACTIONS(3019),
    [anon_sym_x_EQ] = ACTIONS(3019),
    [anon_sym_AMP_EQ] = ACTIONS(3019),
    [anon_sym_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_CARET_EQ] = ACTIONS(3019),
    [anon_sym_LT_LT_EQ] = ACTIONS(3019),
    [anon_sym_GT_GT_EQ] = ACTIONS(3019),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3019),
    [anon_sym_DOT_DOT] = ACTIONS(3021),
    [anon_sym_STAR_STAR] = ACTIONS(3841),
    [anon_sym_PIPE_PIPE] = ACTIONS(3021),
    [anon_sym_SLASH_SLASH] = ACTIONS(3021),
    [anon_sym_CARET_CARET] = ACTIONS(3019),
    [anon_sym_AMP_AMP] = ACTIONS(3021),
    [anon_sym_PIPE] = ACTIONS(3021),
    [anon_sym_CARET] = ACTIONS(3021),
    [anon_sym_AMP] = ACTIONS(3021),
    [anon_sym_GT_GT2] = ACTIONS(3021),
    [anon_sym_PLUS] = ACTIONS(3021),
    [anon_sym_DASH] = ACTIONS(3021),
    [anon_sym_DOT] = ACTIONS(3021),
    [anon_sym_STAR] = ACTIONS(3021),
    [anon_sym_SLASH] = ACTIONS(3021),
    [anon_sym_x] = ACTIONS(3021),
    [anon_sym_EQ_TILDE] = ACTIONS(3855),
    [anon_sym_BANG_TILDE] = ACTIONS(3855),
    [anon_sym_EQ_EQ] = ACTIONS(3021),
    [anon_sym_BANG_EQ] = ACTIONS(3019),
    [anon_sym_eq] = ACTIONS(3021),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3019),
    [anon_sym_equ] = ACTIONS(3019),
    [anon_sym_eqr] = ACTIONS(3019),
    [anon_sym_ne] = ACTIONS(3019),
    [anon_sym_LT_EQ_GT] = ACTIONS(3019),
    [anon_sym_cmp] = ACTIONS(3019),
    [anon_sym_TILDE_TILDE] = ACTIONS(3019),
    [anon_sym_LT] = ACTIONS(3021),
    [anon_sym_LT_EQ] = ACTIONS(3021),
    [anon_sym_GT_EQ] = ACTIONS(3019),
    [anon_sym_lt] = ACTIONS(3019),
    [anon_sym_le] = ACTIONS(3019),
    [anon_sym_ge] = ACTIONS(3019),
    [anon_sym_gt] = ACTIONS(3019),
    [anon_sym_isa] = ACTIONS(3019),
    [anon_sym_PLUS_PLUS] = ACTIONS(3867),
    [anon_sym_DASH_DASH] = ACTIONS(3867),
    [anon_sym_QMARK] = ACTIONS(3019),
    [anon_sym_EQ_GT] = ACTIONS(3019),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2325] = {
    [sym_heredoc_content] = STATE(2325),
    [anon_sym_SEMI] = ACTIONS(3043),
    [anon_sym_EQ] = ACTIONS(3045),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3043),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3043),
    [anon_sym_COMMA] = ACTIONS(3043),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3043),
    [anon_sym_DASH_GT] = ACTIONS(3043),
    [anon_sym_PERCENT] = ACTIONS(3045),
    [anon_sym_GT] = ACTIONS(3045),
    [anon_sym_LT_LT] = ACTIONS(3045),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3043),
    [anon_sym_PLUS_EQ] = ACTIONS(3043),
    [anon_sym_DASH_EQ] = ACTIONS(3043),
    [anon_sym_DOT_EQ] = ACTIONS(3043),
    [anon_sym_STAR_EQ] = ACTIONS(3043),
    [anon_sym_SLASH_EQ] = ACTIONS(3043),
    [anon_sym_PERCENT_EQ] = ACTIONS(3043),
    [anon_sym_x_EQ] = ACTIONS(3043),
    [anon_sym_AMP_EQ] = ACTIONS(3043),
    [anon_sym_PIPE_EQ] = ACTIONS(3043),
    [anon_sym_CARET_EQ] = ACTIONS(3043),
    [anon_sym_LT_LT_EQ] = ACTIONS(3043),
    [anon_sym_GT_GT_EQ] = ACTIONS(3043),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3043),
    [anon_sym_DOT_DOT] = ACTIONS(3045),
    [anon_sym_STAR_STAR] = ACTIONS(3045),
    [anon_sym_PIPE_PIPE] = ACTIONS(3045),
    [anon_sym_SLASH_SLASH] = ACTIONS(3045),
    [anon_sym_CARET_CARET] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(3045),
    [anon_sym_PIPE] = ACTIONS(3045),
    [anon_sym_CARET] = ACTIONS(3045),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym_GT_GT2] = ACTIONS(3045),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_DOT] = ACTIONS(3045),
    [anon_sym_STAR] = ACTIONS(3045),
    [anon_sym_SLASH] = ACTIONS(3045),
    [anon_sym_x] = ACTIONS(3045),
    [anon_sym_EQ_TILDE] = ACTIONS(3043),
    [anon_sym_BANG_TILDE] = ACTIONS(3043),
    [anon_sym_EQ_EQ] = ACTIONS(3045),
    [anon_sym_BANG_EQ] = ACTIONS(3043),
    [anon_sym_eq] = ACTIONS(3045),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3043),
    [anon_sym_equ] = ACTIONS(3043),
    [anon_sym_eqr] = ACTIONS(3043),
    [anon_sym_ne] = ACTIONS(3043),
    [anon_sym_LT_EQ_GT] = ACTIONS(3043),
    [anon_sym_cmp] = ACTIONS(3043),
    [anon_sym_TILDE_TILDE] = ACTIONS(3043),
    [anon_sym_LT] = ACTIONS(3045),
    [anon_sym_LT_EQ] = ACTIONS(3045),
    [anon_sym_GT_EQ] = ACTIONS(3043),
    [anon_sym_lt] = ACTIONS(3043),
    [anon_sym_le] = ACTIONS(3043),
    [anon_sym_ge] = ACTIONS(3043),
    [anon_sym_gt] = ACTIONS(3043),
    [anon_sym_isa] = ACTIONS(3043),
    [anon_sym_PLUS_PLUS] = ACTIONS(3043),
    [anon_sym_DASH_DASH] = ACTIONS(3043),
    [anon_sym_QMARK] = ACTIONS(3043),
    [anon_sym_EQ_GT] = ACTIONS(3043),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3043),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2326] = {
    [sym_heredoc_content] = STATE(2326),
    [anon_sym_RBRACE] = ACTIONS(2660),
    [anon_sym_EQ] = ACTIONS(2662),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2660),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2660),
    [anon_sym_COMMA] = ACTIONS(2660),
    [anon_sym_RPAREN] = ACTIONS(2660),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2660),
    [anon_sym_DASH_GT] = ACTIONS(3831),
    [anon_sym_PERCENT] = ACTIONS(2662),
    [anon_sym_GT] = ACTIONS(2662),
    [anon_sym_LT_LT] = ACTIONS(2662),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2660),
    [anon_sym_PLUS_EQ] = ACTIONS(2660),
    [anon_sym_DASH_EQ] = ACTIONS(2660),
    [anon_sym_DOT_EQ] = ACTIONS(2660),
    [anon_sym_STAR_EQ] = ACTIONS(2660),
    [anon_sym_SLASH_EQ] = ACTIONS(2660),
    [anon_sym_PERCENT_EQ] = ACTIONS(2660),
    [anon_sym_x_EQ] = ACTIONS(2660),
    [anon_sym_AMP_EQ] = ACTIONS(2660),
    [anon_sym_PIPE_EQ] = ACTIONS(2660),
    [anon_sym_CARET_EQ] = ACTIONS(2660),
    [anon_sym_LT_LT_EQ] = ACTIONS(2660),
    [anon_sym_GT_GT_EQ] = ACTIONS(2660),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2660),
    [anon_sym_DOT_DOT] = ACTIONS(2662),
    [anon_sym_STAR_STAR] = ACTIONS(3841),
    [anon_sym_PIPE_PIPE] = ACTIONS(2662),
    [anon_sym_SLASH_SLASH] = ACTIONS(2662),
    [anon_sym_CARET_CARET] = ACTIONS(2660),
    [anon_sym_AMP_AMP] = ACTIONS(2662),
    [anon_sym_PIPE] = ACTIONS(2662),
    [anon_sym_CARET] = ACTIONS(2662),
    [anon_sym_AMP] = ACTIONS(2662),
    [anon_sym_GT_GT2] = ACTIONS(2662),
    [anon_sym_PLUS] = ACTIONS(2662),
    [anon_sym_DASH] = ACTIONS(2662),
    [anon_sym_DOT] = ACTIONS(2662),
    [anon_sym_STAR] = ACTIONS(2662),
    [anon_sym_SLASH] = ACTIONS(2662),
    [anon_sym_x] = ACTIONS(2662),
    [anon_sym_EQ_TILDE] = ACTIONS(2660),
    [anon_sym_BANG_TILDE] = ACTIONS(2660),
    [anon_sym_EQ_EQ] = ACTIONS(2662),
    [anon_sym_BANG_EQ] = ACTIONS(2660),
    [anon_sym_eq] = ACTIONS(2662),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2660),
    [anon_sym_equ] = ACTIONS(2660),
    [anon_sym_eqr] = ACTIONS(2660),
    [anon_sym_ne] = ACTIONS(2660),
    [anon_sym_LT_EQ_GT] = ACTIONS(2660),
    [anon_sym_cmp] = ACTIONS(2660),
    [anon_sym_TILDE_TILDE] = ACTIONS(2660),
    [anon_sym_LT] = ACTIONS(2662),
    [anon_sym_LT_EQ] = ACTIONS(2662),
    [anon_sym_GT_EQ] = ACTIONS(2660),
    [anon_sym_lt] = ACTIONS(2660),
    [anon_sym_le] = ACTIONS(2660),
    [anon_sym_ge] = ACTIONS(2660),
    [anon_sym_gt] = ACTIONS(2660),
    [anon_sym_isa] = ACTIONS(2660),
    [anon_sym_PLUS_PLUS] = ACTIONS(3867),
    [anon_sym_DASH_DASH] = ACTIONS(3867),
    [anon_sym_QMARK] = ACTIONS(2660),
    [anon_sym_EQ_GT] = ACTIONS(2660),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2327] = {
    [sym_heredoc_content] = STATE(2327),
    [anon_sym_SEMI] = ACTIONS(3051),
    [anon_sym_EQ] = ACTIONS(3053),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3051),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3051),
    [anon_sym_COMMA] = ACTIONS(3051),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3051),
    [anon_sym_DASH_GT] = ACTIONS(3051),
    [anon_sym_PERCENT] = ACTIONS(3053),
    [anon_sym_GT] = ACTIONS(3053),
    [anon_sym_LT_LT] = ACTIONS(3053),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3051),
    [anon_sym_PLUS_EQ] = ACTIONS(3051),
    [anon_sym_DASH_EQ] = ACTIONS(3051),
    [anon_sym_DOT_EQ] = ACTIONS(3051),
    [anon_sym_STAR_EQ] = ACTIONS(3051),
    [anon_sym_SLASH_EQ] = ACTIONS(3051),
    [anon_sym_PERCENT_EQ] = ACTIONS(3051),
    [anon_sym_x_EQ] = ACTIONS(3051),
    [anon_sym_AMP_EQ] = ACTIONS(3051),
    [anon_sym_PIPE_EQ] = ACTIONS(3051),
    [anon_sym_CARET_EQ] = ACTIONS(3051),
    [anon_sym_LT_LT_EQ] = ACTIONS(3051),
    [anon_sym_GT_GT_EQ] = ACTIONS(3051),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3051),
    [anon_sym_DOT_DOT] = ACTIONS(3053),
    [anon_sym_STAR_STAR] = ACTIONS(3053),
    [anon_sym_PIPE_PIPE] = ACTIONS(3053),
    [anon_sym_SLASH_SLASH] = ACTIONS(3053),
    [anon_sym_CARET_CARET] = ACTIONS(3051),
    [anon_sym_AMP_AMP] = ACTIONS(3053),
    [anon_sym_PIPE] = ACTIONS(3053),
    [anon_sym_CARET] = ACTIONS(3053),
    [anon_sym_AMP] = ACTIONS(3053),
    [anon_sym_GT_GT2] = ACTIONS(3053),
    [anon_sym_PLUS] = ACTIONS(3053),
    [anon_sym_DASH] = ACTIONS(3053),
    [anon_sym_DOT] = ACTIONS(3053),
    [anon_sym_STAR] = ACTIONS(3053),
    [anon_sym_SLASH] = ACTIONS(3053),
    [anon_sym_x] = ACTIONS(3053),
    [anon_sym_EQ_TILDE] = ACTIONS(3051),
    [anon_sym_BANG_TILDE] = ACTIONS(3051),
    [anon_sym_EQ_EQ] = ACTIONS(3053),
    [anon_sym_BANG_EQ] = ACTIONS(3051),
    [anon_sym_eq] = ACTIONS(3053),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3051),
    [anon_sym_equ] = ACTIONS(3051),
    [anon_sym_eqr] = ACTIONS(3051),
    [anon_sym_ne] = ACTIONS(3051),
    [anon_sym_LT_EQ_GT] = ACTIONS(3051),
    [anon_sym_cmp] = ACTIONS(3051),
    [anon_sym_TILDE_TILDE] = ACTIONS(3051),
    [anon_sym_LT] = ACTIONS(3053),
    [anon_sym_LT_EQ] = ACTIONS(3053),
    [anon_sym_GT_EQ] = ACTIONS(3051),
    [anon_sym_lt] = ACTIONS(3051),
    [anon_sym_le] = ACTIONS(3051),
    [anon_sym_ge] = ACTIONS(3051),
    [anon_sym_gt] = ACTIONS(3051),
    [anon_sym_isa] = ACTIONS(3051),
    [anon_sym_PLUS_PLUS] = ACTIONS(3051),
    [anon_sym_DASH_DASH] = ACTIONS(3051),
    [anon_sym_QMARK] = ACTIONS(3051),
    [anon_sym_EQ_GT] = ACTIONS(3051),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3051),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2328] = {
    [sym_heredoc_content] = STATE(2328),
    [anon_sym_SEMI] = ACTIONS(2893),
    [anon_sym_EQ] = ACTIONS(2895),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2893),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2893),
    [anon_sym_COMMA] = ACTIONS(2893),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2893),
    [anon_sym_DASH_GT] = ACTIONS(2893),
    [anon_sym_PERCENT] = ACTIONS(2895),
    [anon_sym_GT] = ACTIONS(2895),
    [anon_sym_LT_LT] = ACTIONS(2895),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2893),
    [anon_sym_PLUS_EQ] = ACTIONS(2893),
    [anon_sym_DASH_EQ] = ACTIONS(2893),
    [anon_sym_DOT_EQ] = ACTIONS(2893),
    [anon_sym_STAR_EQ] = ACTIONS(2893),
    [anon_sym_SLASH_EQ] = ACTIONS(2893),
    [anon_sym_PERCENT_EQ] = ACTIONS(2893),
    [anon_sym_x_EQ] = ACTIONS(2893),
    [anon_sym_AMP_EQ] = ACTIONS(2893),
    [anon_sym_PIPE_EQ] = ACTIONS(2893),
    [anon_sym_CARET_EQ] = ACTIONS(2893),
    [anon_sym_LT_LT_EQ] = ACTIONS(2893),
    [anon_sym_GT_GT_EQ] = ACTIONS(2893),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2893),
    [anon_sym_DOT_DOT] = ACTIONS(2895),
    [anon_sym_STAR_STAR] = ACTIONS(2895),
    [anon_sym_PIPE_PIPE] = ACTIONS(2895),
    [anon_sym_SLASH_SLASH] = ACTIONS(2895),
    [anon_sym_CARET_CARET] = ACTIONS(2893),
    [anon_sym_AMP_AMP] = ACTIONS(2895),
    [anon_sym_PIPE] = ACTIONS(2895),
    [anon_sym_CARET] = ACTIONS(2895),
    [anon_sym_AMP] = ACTIONS(2895),
    [anon_sym_GT_GT2] = ACTIONS(2895),
    [anon_sym_PLUS] = ACTIONS(2895),
    [anon_sym_DASH] = ACTIONS(2895),
    [anon_sym_DOT] = ACTIONS(2895),
    [anon_sym_STAR] = ACTIONS(2895),
    [anon_sym_SLASH] = ACTIONS(2895),
    [anon_sym_x] = ACTIONS(2895),
    [anon_sym_EQ_TILDE] = ACTIONS(2893),
    [anon_sym_BANG_TILDE] = ACTIONS(2893),
    [anon_sym_EQ_EQ] = ACTIONS(2895),
    [anon_sym_BANG_EQ] = ACTIONS(2893),
    [anon_sym_eq] = ACTIONS(2895),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2893),
    [anon_sym_equ] = ACTIONS(2893),
    [anon_sym_eqr] = ACTIONS(2893),
    [anon_sym_ne] = ACTIONS(2893),
    [anon_sym_LT_EQ_GT] = ACTIONS(2893),
    [anon_sym_cmp] = ACTIONS(2893),
    [anon_sym_TILDE_TILDE] = ACTIONS(2893),
    [anon_sym_LT] = ACTIONS(2895),
    [anon_sym_LT_EQ] = ACTIONS(2895),
    [anon_sym_GT_EQ] = ACTIONS(2893),
    [anon_sym_lt] = ACTIONS(2893),
    [anon_sym_le] = ACTIONS(2893),
    [anon_sym_ge] = ACTIONS(2893),
    [anon_sym_gt] = ACTIONS(2893),
    [anon_sym_isa] = ACTIONS(2893),
    [anon_sym_PLUS_PLUS] = ACTIONS(2893),
    [anon_sym_DASH_DASH] = ACTIONS(2893),
    [anon_sym_QMARK] = ACTIONS(2893),
    [anon_sym_EQ_GT] = ACTIONS(2893),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2893),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2329] = {
    [sym_heredoc_content] = STATE(2329),
    [anon_sym_SEMI] = ACTIONS(3055),
    [anon_sym_EQ] = ACTIONS(3057),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3055),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3055),
    [anon_sym_COMMA] = ACTIONS(3055),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3055),
    [anon_sym_DASH_GT] = ACTIONS(3055),
    [anon_sym_PERCENT] = ACTIONS(3057),
    [anon_sym_GT] = ACTIONS(3057),
    [anon_sym_LT_LT] = ACTIONS(3057),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3055),
    [anon_sym_PLUS_EQ] = ACTIONS(3055),
    [anon_sym_DASH_EQ] = ACTIONS(3055),
    [anon_sym_DOT_EQ] = ACTIONS(3055),
    [anon_sym_STAR_EQ] = ACTIONS(3055),
    [anon_sym_SLASH_EQ] = ACTIONS(3055),
    [anon_sym_PERCENT_EQ] = ACTIONS(3055),
    [anon_sym_x_EQ] = ACTIONS(3055),
    [anon_sym_AMP_EQ] = ACTIONS(3055),
    [anon_sym_PIPE_EQ] = ACTIONS(3055),
    [anon_sym_CARET_EQ] = ACTIONS(3055),
    [anon_sym_LT_LT_EQ] = ACTIONS(3055),
    [anon_sym_GT_GT_EQ] = ACTIONS(3055),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3055),
    [anon_sym_DOT_DOT] = ACTIONS(3057),
    [anon_sym_STAR_STAR] = ACTIONS(3057),
    [anon_sym_PIPE_PIPE] = ACTIONS(3057),
    [anon_sym_SLASH_SLASH] = ACTIONS(3057),
    [anon_sym_CARET_CARET] = ACTIONS(3055),
    [anon_sym_AMP_AMP] = ACTIONS(3057),
    [anon_sym_PIPE] = ACTIONS(3057),
    [anon_sym_CARET] = ACTIONS(3057),
    [anon_sym_AMP] = ACTIONS(3057),
    [anon_sym_GT_GT2] = ACTIONS(3057),
    [anon_sym_PLUS] = ACTIONS(3057),
    [anon_sym_DASH] = ACTIONS(3057),
    [anon_sym_DOT] = ACTIONS(3057),
    [anon_sym_STAR] = ACTIONS(3057),
    [anon_sym_SLASH] = ACTIONS(3057),
    [anon_sym_x] = ACTIONS(3057),
    [anon_sym_EQ_TILDE] = ACTIONS(3055),
    [anon_sym_BANG_TILDE] = ACTIONS(3055),
    [anon_sym_EQ_EQ] = ACTIONS(3057),
    [anon_sym_BANG_EQ] = ACTIONS(3055),
    [anon_sym_eq] = ACTIONS(3057),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3055),
    [anon_sym_equ] = ACTIONS(3055),
    [anon_sym_eqr] = ACTIONS(3055),
    [anon_sym_ne] = ACTIONS(3055),
    [anon_sym_LT_EQ_GT] = ACTIONS(3055),
    [anon_sym_cmp] = ACTIONS(3055),
    [anon_sym_TILDE_TILDE] = ACTIONS(3055),
    [anon_sym_LT] = ACTIONS(3057),
    [anon_sym_LT_EQ] = ACTIONS(3057),
    [anon_sym_GT_EQ] = ACTIONS(3055),
    [anon_sym_lt] = ACTIONS(3055),
    [anon_sym_le] = ACTIONS(3055),
    [anon_sym_ge] = ACTIONS(3055),
    [anon_sym_gt] = ACTIONS(3055),
    [anon_sym_isa] = ACTIONS(3055),
    [anon_sym_PLUS_PLUS] = ACTIONS(3055),
    [anon_sym_DASH_DASH] = ACTIONS(3055),
    [anon_sym_QMARK] = ACTIONS(3055),
    [anon_sym_EQ_GT] = ACTIONS(3055),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3055),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2330] = {
    [sym_heredoc_content] = STATE(2330),
    [anon_sym_RBRACE] = ACTIONS(3027),
    [anon_sym_EQ] = ACTIONS(3029),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3027),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3027),
    [anon_sym_COMMA] = ACTIONS(3027),
    [anon_sym_RPAREN] = ACTIONS(3027),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3027),
    [anon_sym_DASH_GT] = ACTIONS(3831),
    [anon_sym_PERCENT] = ACTIONS(3833),
    [anon_sym_GT] = ACTIONS(3029),
    [anon_sym_LT_LT] = ACTIONS(3837),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3027),
    [anon_sym_PLUS_EQ] = ACTIONS(3027),
    [anon_sym_DASH_EQ] = ACTIONS(3027),
    [anon_sym_DOT_EQ] = ACTIONS(3027),
    [anon_sym_STAR_EQ] = ACTIONS(3027),
    [anon_sym_SLASH_EQ] = ACTIONS(3027),
    [anon_sym_PERCENT_EQ] = ACTIONS(3027),
    [anon_sym_x_EQ] = ACTIONS(3027),
    [anon_sym_AMP_EQ] = ACTIONS(3027),
    [anon_sym_PIPE_EQ] = ACTIONS(3027),
    [anon_sym_CARET_EQ] = ACTIONS(3027),
    [anon_sym_LT_LT_EQ] = ACTIONS(3027),
    [anon_sym_GT_GT_EQ] = ACTIONS(3027),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3027),
    [anon_sym_DOT_DOT] = ACTIONS(3029),
    [anon_sym_STAR_STAR] = ACTIONS(3841),
    [anon_sym_PIPE_PIPE] = ACTIONS(3029),
    [anon_sym_SLASH_SLASH] = ACTIONS(3029),
    [anon_sym_CARET_CARET] = ACTIONS(3027),
    [anon_sym_AMP_AMP] = ACTIONS(3029),
    [anon_sym_PIPE] = ACTIONS(3029),
    [anon_sym_CARET] = ACTIONS(3029),
    [anon_sym_AMP] = ACTIONS(3029),
    [anon_sym_GT_GT2] = ACTIONS(3837),
    [anon_sym_PLUS] = ACTIONS(3853),
    [anon_sym_DASH] = ACTIONS(3853),
    [anon_sym_DOT] = ACTIONS(3853),
    [anon_sym_STAR] = ACTIONS(3833),
    [anon_sym_SLASH] = ACTIONS(3833),
    [anon_sym_x] = ACTIONS(3833),
    [anon_sym_EQ_TILDE] = ACTIONS(3855),
    [anon_sym_BANG_TILDE] = ACTIONS(3855),
    [anon_sym_EQ_EQ] = ACTIONS(3029),
    [anon_sym_BANG_EQ] = ACTIONS(3027),
    [anon_sym_eq] = ACTIONS(3029),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3027),
    [anon_sym_equ] = ACTIONS(3027),
    [anon_sym_eqr] = ACTIONS(3027),
    [anon_sym_ne] = ACTIONS(3027),
    [anon_sym_LT_EQ_GT] = ACTIONS(3027),
    [anon_sym_cmp] = ACTIONS(3027),
    [anon_sym_TILDE_TILDE] = ACTIONS(3027),
    [anon_sym_LT] = ACTIONS(3029),
    [anon_sym_LT_EQ] = ACTIONS(3029),
    [anon_sym_GT_EQ] = ACTIONS(3027),
    [anon_sym_lt] = ACTIONS(3027),
    [anon_sym_le] = ACTIONS(3027),
    [anon_sym_ge] = ACTIONS(3027),
    [anon_sym_gt] = ACTIONS(3027),
    [anon_sym_isa] = ACTIONS(3027),
    [anon_sym_PLUS_PLUS] = ACTIONS(3867),
    [anon_sym_DASH_DASH] = ACTIONS(3867),
    [anon_sym_QMARK] = ACTIONS(3027),
    [anon_sym_EQ_GT] = ACTIONS(3027),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2331] = {
    [sym_heredoc_content] = STATE(2331),
    [anon_sym_SEMI] = ACTIONS(3059),
    [anon_sym_EQ] = ACTIONS(3061),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3059),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3059),
    [anon_sym_COMMA] = ACTIONS(3059),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3059),
    [anon_sym_DASH_GT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(3061),
    [anon_sym_GT] = ACTIONS(3061),
    [anon_sym_LT_LT] = ACTIONS(3061),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3059),
    [anon_sym_PLUS_EQ] = ACTIONS(3059),
    [anon_sym_DASH_EQ] = ACTIONS(3059),
    [anon_sym_DOT_EQ] = ACTIONS(3059),
    [anon_sym_STAR_EQ] = ACTIONS(3059),
    [anon_sym_SLASH_EQ] = ACTIONS(3059),
    [anon_sym_PERCENT_EQ] = ACTIONS(3059),
    [anon_sym_x_EQ] = ACTIONS(3059),
    [anon_sym_AMP_EQ] = ACTIONS(3059),
    [anon_sym_PIPE_EQ] = ACTIONS(3059),
    [anon_sym_CARET_EQ] = ACTIONS(3059),
    [anon_sym_LT_LT_EQ] = ACTIONS(3059),
    [anon_sym_GT_GT_EQ] = ACTIONS(3059),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3059),
    [anon_sym_DOT_DOT] = ACTIONS(3061),
    [anon_sym_STAR_STAR] = ACTIONS(3061),
    [anon_sym_PIPE_PIPE] = ACTIONS(3061),
    [anon_sym_SLASH_SLASH] = ACTIONS(3061),
    [anon_sym_CARET_CARET] = ACTIONS(3059),
    [anon_sym_AMP_AMP] = ACTIONS(3061),
    [anon_sym_PIPE] = ACTIONS(3061),
    [anon_sym_CARET] = ACTIONS(3061),
    [anon_sym_AMP] = ACTIONS(3061),
    [anon_sym_GT_GT2] = ACTIONS(3061),
    [anon_sym_PLUS] = ACTIONS(3061),
    [anon_sym_DASH] = ACTIONS(3061),
    [anon_sym_DOT] = ACTIONS(3061),
    [anon_sym_STAR] = ACTIONS(3061),
    [anon_sym_SLASH] = ACTIONS(3061),
    [anon_sym_x] = ACTIONS(3061),
    [anon_sym_EQ_TILDE] = ACTIONS(3059),
    [anon_sym_BANG_TILDE] = ACTIONS(3059),
    [anon_sym_EQ_EQ] = ACTIONS(3061),
    [anon_sym_BANG_EQ] = ACTIONS(3059),
    [anon_sym_eq] = ACTIONS(3061),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3059),
    [anon_sym_equ] = ACTIONS(3059),
    [anon_sym_eqr] = ACTIONS(3059),
    [anon_sym_ne] = ACTIONS(3059),
    [anon_sym_LT_EQ_GT] = ACTIONS(3059),
    [anon_sym_cmp] = ACTIONS(3059),
    [anon_sym_TILDE_TILDE] = ACTIONS(3059),
    [anon_sym_LT] = ACTIONS(3061),
    [anon_sym_LT_EQ] = ACTIONS(3061),
    [anon_sym_GT_EQ] = ACTIONS(3059),
    [anon_sym_lt] = ACTIONS(3059),
    [anon_sym_le] = ACTIONS(3059),
    [anon_sym_ge] = ACTIONS(3059),
    [anon_sym_gt] = ACTIONS(3059),
    [anon_sym_isa] = ACTIONS(3059),
    [anon_sym_PLUS_PLUS] = ACTIONS(3059),
    [anon_sym_DASH_DASH] = ACTIONS(3059),
    [anon_sym_QMARK] = ACTIONS(3059),
    [anon_sym_EQ_GT] = ACTIONS(3059),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3059),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2332] = {
    [sym_heredoc_content] = STATE(2332),
    [anon_sym_RBRACE] = ACTIONS(3082),
    [anon_sym_EQ] = ACTIONS(3084),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3082),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3082),
    [anon_sym_COMMA] = ACTIONS(3082),
    [anon_sym_RPAREN] = ACTIONS(3082),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3082),
    [anon_sym_DASH_GT] = ACTIONS(3831),
    [anon_sym_PERCENT] = ACTIONS(3833),
    [anon_sym_GT] = ACTIONS(3084),
    [anon_sym_LT_LT] = ACTIONS(3837),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3082),
    [anon_sym_PLUS_EQ] = ACTIONS(3082),
    [anon_sym_DASH_EQ] = ACTIONS(3082),
    [anon_sym_DOT_EQ] = ACTIONS(3082),
    [anon_sym_STAR_EQ] = ACTIONS(3082),
    [anon_sym_SLASH_EQ] = ACTIONS(3082),
    [anon_sym_PERCENT_EQ] = ACTIONS(3082),
    [anon_sym_x_EQ] = ACTIONS(3082),
    [anon_sym_AMP_EQ] = ACTIONS(3082),
    [anon_sym_PIPE_EQ] = ACTIONS(3082),
    [anon_sym_CARET_EQ] = ACTIONS(3082),
    [anon_sym_LT_LT_EQ] = ACTIONS(3082),
    [anon_sym_GT_GT_EQ] = ACTIONS(3082),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3082),
    [anon_sym_DOT_DOT] = ACTIONS(3084),
    [anon_sym_STAR_STAR] = ACTIONS(3841),
    [anon_sym_PIPE_PIPE] = ACTIONS(3084),
    [anon_sym_SLASH_SLASH] = ACTIONS(3084),
    [anon_sym_CARET_CARET] = ACTIONS(3082),
    [anon_sym_AMP_AMP] = ACTIONS(3084),
    [anon_sym_PIPE] = ACTIONS(3084),
    [anon_sym_CARET] = ACTIONS(3084),
    [anon_sym_AMP] = ACTIONS(3084),
    [anon_sym_GT_GT2] = ACTIONS(3837),
    [anon_sym_PLUS] = ACTIONS(3853),
    [anon_sym_DASH] = ACTIONS(3853),
    [anon_sym_DOT] = ACTIONS(3853),
    [anon_sym_STAR] = ACTIONS(3833),
    [anon_sym_SLASH] = ACTIONS(3833),
    [anon_sym_x] = ACTIONS(3833),
    [anon_sym_EQ_TILDE] = ACTIONS(3855),
    [anon_sym_BANG_TILDE] = ACTIONS(3855),
    [anon_sym_EQ_EQ] = ACTIONS(3084),
    [anon_sym_BANG_EQ] = ACTIONS(3082),
    [anon_sym_eq] = ACTIONS(3084),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3082),
    [anon_sym_equ] = ACTIONS(3082),
    [anon_sym_eqr] = ACTIONS(3082),
    [anon_sym_ne] = ACTIONS(3082),
    [anon_sym_LT_EQ_GT] = ACTIONS(3082),
    [anon_sym_cmp] = ACTIONS(3082),
    [anon_sym_TILDE_TILDE] = ACTIONS(3082),
    [anon_sym_LT] = ACTIONS(3084),
    [anon_sym_LT_EQ] = ACTIONS(3084),
    [anon_sym_GT_EQ] = ACTIONS(3082),
    [anon_sym_lt] = ACTIONS(3082),
    [anon_sym_le] = ACTIONS(3082),
    [anon_sym_ge] = ACTIONS(3082),
    [anon_sym_gt] = ACTIONS(3082),
    [anon_sym_isa] = ACTIONS(3082),
    [anon_sym_PLUS_PLUS] = ACTIONS(3867),
    [anon_sym_DASH_DASH] = ACTIONS(3867),
    [anon_sym_QMARK] = ACTIONS(3082),
    [anon_sym_EQ_GT] = ACTIONS(3082),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2333] = {
    [sym_heredoc_content] = STATE(2333),
    [anon_sym_SEMI] = ACTIONS(3063),
    [anon_sym_EQ] = ACTIONS(3065),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3063),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3063),
    [anon_sym_COMMA] = ACTIONS(3063),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3063),
    [anon_sym_DASH_GT] = ACTIONS(3063),
    [anon_sym_PERCENT] = ACTIONS(3065),
    [anon_sym_GT] = ACTIONS(3065),
    [anon_sym_LT_LT] = ACTIONS(3065),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3063),
    [anon_sym_PLUS_EQ] = ACTIONS(3063),
    [anon_sym_DASH_EQ] = ACTIONS(3063),
    [anon_sym_DOT_EQ] = ACTIONS(3063),
    [anon_sym_STAR_EQ] = ACTIONS(3063),
    [anon_sym_SLASH_EQ] = ACTIONS(3063),
    [anon_sym_PERCENT_EQ] = ACTIONS(3063),
    [anon_sym_x_EQ] = ACTIONS(3063),
    [anon_sym_AMP_EQ] = ACTIONS(3063),
    [anon_sym_PIPE_EQ] = ACTIONS(3063),
    [anon_sym_CARET_EQ] = ACTIONS(3063),
    [anon_sym_LT_LT_EQ] = ACTIONS(3063),
    [anon_sym_GT_GT_EQ] = ACTIONS(3063),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3063),
    [anon_sym_DOT_DOT] = ACTIONS(3065),
    [anon_sym_STAR_STAR] = ACTIONS(3065),
    [anon_sym_PIPE_PIPE] = ACTIONS(3065),
    [anon_sym_SLASH_SLASH] = ACTIONS(3065),
    [anon_sym_CARET_CARET] = ACTIONS(3063),
    [anon_sym_AMP_AMP] = ACTIONS(3065),
    [anon_sym_PIPE] = ACTIONS(3065),
    [anon_sym_CARET] = ACTIONS(3065),
    [anon_sym_AMP] = ACTIONS(3065),
    [anon_sym_GT_GT2] = ACTIONS(3065),
    [anon_sym_PLUS] = ACTIONS(3065),
    [anon_sym_DASH] = ACTIONS(3065),
    [anon_sym_DOT] = ACTIONS(3065),
    [anon_sym_STAR] = ACTIONS(3065),
    [anon_sym_SLASH] = ACTIONS(3065),
    [anon_sym_x] = ACTIONS(3065),
    [anon_sym_EQ_TILDE] = ACTIONS(3063),
    [anon_sym_BANG_TILDE] = ACTIONS(3063),
    [anon_sym_EQ_EQ] = ACTIONS(3065),
    [anon_sym_BANG_EQ] = ACTIONS(3063),
    [anon_sym_eq] = ACTIONS(3065),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3063),
    [anon_sym_equ] = ACTIONS(3063),
    [anon_sym_eqr] = ACTIONS(3063),
    [anon_sym_ne] = ACTIONS(3063),
    [anon_sym_LT_EQ_GT] = ACTIONS(3063),
    [anon_sym_cmp] = ACTIONS(3063),
    [anon_sym_TILDE_TILDE] = ACTIONS(3063),
    [anon_sym_LT] = ACTIONS(3065),
    [anon_sym_LT_EQ] = ACTIONS(3065),
    [anon_sym_GT_EQ] = ACTIONS(3063),
    [anon_sym_lt] = ACTIONS(3063),
    [anon_sym_le] = ACTIONS(3063),
    [anon_sym_ge] = ACTIONS(3063),
    [anon_sym_gt] = ACTIONS(3063),
    [anon_sym_isa] = ACTIONS(3063),
    [anon_sym_PLUS_PLUS] = ACTIONS(3063),
    [anon_sym_DASH_DASH] = ACTIONS(3063),
    [anon_sym_QMARK] = ACTIONS(3063),
    [anon_sym_EQ_GT] = ACTIONS(3063),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3063),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2334] = {
    [sym_heredoc_content] = STATE(2334),
    [anon_sym_RBRACE] = ACTIONS(3019),
    [anon_sym_EQ] = ACTIONS(3021),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_COMMA] = ACTIONS(3019),
    [anon_sym_RPAREN] = ACTIONS(3019),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3019),
    [anon_sym_DASH_GT] = ACTIONS(3831),
    [anon_sym_PERCENT] = ACTIONS(3833),
    [anon_sym_GT] = ACTIONS(3021),
    [anon_sym_LT_LT] = ACTIONS(3021),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3019),
    [anon_sym_PLUS_EQ] = ACTIONS(3019),
    [anon_sym_DASH_EQ] = ACTIONS(3019),
    [anon_sym_DOT_EQ] = ACTIONS(3019),
    [anon_sym_STAR_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_PERCENT_EQ] = ACTIONS(3019),
    [anon_sym_x_EQ] = ACTIONS(3019),
    [anon_sym_AMP_EQ] = ACTIONS(3019),
    [anon_sym_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_CARET_EQ] = ACTIONS(3019),
    [anon_sym_LT_LT_EQ] = ACTIONS(3019),
    [anon_sym_GT_GT_EQ] = ACTIONS(3019),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3019),
    [anon_sym_DOT_DOT] = ACTIONS(3021),
    [anon_sym_STAR_STAR] = ACTIONS(3841),
    [anon_sym_PIPE_PIPE] = ACTIONS(3021),
    [anon_sym_SLASH_SLASH] = ACTIONS(3021),
    [anon_sym_CARET_CARET] = ACTIONS(3019),
    [anon_sym_AMP_AMP] = ACTIONS(3021),
    [anon_sym_PIPE] = ACTIONS(3021),
    [anon_sym_CARET] = ACTIONS(3021),
    [anon_sym_AMP] = ACTIONS(3021),
    [anon_sym_GT_GT2] = ACTIONS(3021),
    [anon_sym_PLUS] = ACTIONS(3853),
    [anon_sym_DASH] = ACTIONS(3853),
    [anon_sym_DOT] = ACTIONS(3853),
    [anon_sym_STAR] = ACTIONS(3833),
    [anon_sym_SLASH] = ACTIONS(3833),
    [anon_sym_x] = ACTIONS(3833),
    [anon_sym_EQ_TILDE] = ACTIONS(3855),
    [anon_sym_BANG_TILDE] = ACTIONS(3855),
    [anon_sym_EQ_EQ] = ACTIONS(3021),
    [anon_sym_BANG_EQ] = ACTIONS(3019),
    [anon_sym_eq] = ACTIONS(3021),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3019),
    [anon_sym_equ] = ACTIONS(3019),
    [anon_sym_eqr] = ACTIONS(3019),
    [anon_sym_ne] = ACTIONS(3019),
    [anon_sym_LT_EQ_GT] = ACTIONS(3019),
    [anon_sym_cmp] = ACTIONS(3019),
    [anon_sym_TILDE_TILDE] = ACTIONS(3019),
    [anon_sym_LT] = ACTIONS(3021),
    [anon_sym_LT_EQ] = ACTIONS(3021),
    [anon_sym_GT_EQ] = ACTIONS(3019),
    [anon_sym_lt] = ACTIONS(3019),
    [anon_sym_le] = ACTIONS(3019),
    [anon_sym_ge] = ACTIONS(3019),
    [anon_sym_gt] = ACTIONS(3019),
    [anon_sym_isa] = ACTIONS(3019),
    [anon_sym_PLUS_PLUS] = ACTIONS(3867),
    [anon_sym_DASH_DASH] = ACTIONS(3867),
    [anon_sym_QMARK] = ACTIONS(3019),
    [anon_sym_EQ_GT] = ACTIONS(3019),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2335] = {
    [sym_heredoc_content] = STATE(2335),
    [anon_sym_SEMI] = ACTIONS(3086),
    [anon_sym_EQ] = ACTIONS(3088),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3086),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3086),
    [anon_sym_COMMA] = ACTIONS(3086),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3086),
    [anon_sym_DASH_GT] = ACTIONS(3086),
    [anon_sym_PERCENT] = ACTIONS(3088),
    [anon_sym_GT] = ACTIONS(3088),
    [anon_sym_LT_LT] = ACTIONS(3088),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3086),
    [anon_sym_PLUS_EQ] = ACTIONS(3086),
    [anon_sym_DASH_EQ] = ACTIONS(3086),
    [anon_sym_DOT_EQ] = ACTIONS(3086),
    [anon_sym_STAR_EQ] = ACTIONS(3086),
    [anon_sym_SLASH_EQ] = ACTIONS(3086),
    [anon_sym_PERCENT_EQ] = ACTIONS(3086),
    [anon_sym_x_EQ] = ACTIONS(3086),
    [anon_sym_AMP_EQ] = ACTIONS(3086),
    [anon_sym_PIPE_EQ] = ACTIONS(3086),
    [anon_sym_CARET_EQ] = ACTIONS(3086),
    [anon_sym_LT_LT_EQ] = ACTIONS(3086),
    [anon_sym_GT_GT_EQ] = ACTIONS(3086),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3086),
    [anon_sym_DOT_DOT] = ACTIONS(3088),
    [anon_sym_STAR_STAR] = ACTIONS(3088),
    [anon_sym_PIPE_PIPE] = ACTIONS(3088),
    [anon_sym_SLASH_SLASH] = ACTIONS(3088),
    [anon_sym_CARET_CARET] = ACTIONS(3086),
    [anon_sym_AMP_AMP] = ACTIONS(3088),
    [anon_sym_PIPE] = ACTIONS(3088),
    [anon_sym_CARET] = ACTIONS(3088),
    [anon_sym_AMP] = ACTIONS(3088),
    [anon_sym_GT_GT2] = ACTIONS(3088),
    [anon_sym_PLUS] = ACTIONS(3088),
    [anon_sym_DASH] = ACTIONS(3088),
    [anon_sym_DOT] = ACTIONS(3088),
    [anon_sym_STAR] = ACTIONS(3088),
    [anon_sym_SLASH] = ACTIONS(3088),
    [anon_sym_x] = ACTIONS(3088),
    [anon_sym_EQ_TILDE] = ACTIONS(3086),
    [anon_sym_BANG_TILDE] = ACTIONS(3086),
    [anon_sym_EQ_EQ] = ACTIONS(3088),
    [anon_sym_BANG_EQ] = ACTIONS(3086),
    [anon_sym_eq] = ACTIONS(3088),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3086),
    [anon_sym_equ] = ACTIONS(3086),
    [anon_sym_eqr] = ACTIONS(3086),
    [anon_sym_ne] = ACTIONS(3086),
    [anon_sym_LT_EQ_GT] = ACTIONS(3086),
    [anon_sym_cmp] = ACTIONS(3086),
    [anon_sym_TILDE_TILDE] = ACTIONS(3086),
    [anon_sym_LT] = ACTIONS(3088),
    [anon_sym_LT_EQ] = ACTIONS(3088),
    [anon_sym_GT_EQ] = ACTIONS(3086),
    [anon_sym_lt] = ACTIONS(3086),
    [anon_sym_le] = ACTIONS(3086),
    [anon_sym_ge] = ACTIONS(3086),
    [anon_sym_gt] = ACTIONS(3086),
    [anon_sym_isa] = ACTIONS(3086),
    [anon_sym_PLUS_PLUS] = ACTIONS(3086),
    [anon_sym_DASH_DASH] = ACTIONS(3086),
    [anon_sym_QMARK] = ACTIONS(3086),
    [anon_sym_EQ_GT] = ACTIONS(3086),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3086),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2336] = {
    [sym_heredoc_content] = STATE(2336),
    [anon_sym_RBRACE] = ACTIONS(3086),
    [anon_sym_EQ] = ACTIONS(3088),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3086),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3086),
    [anon_sym_COMMA] = ACTIONS(3086),
    [anon_sym_RPAREN] = ACTIONS(3086),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3086),
    [anon_sym_DASH_GT] = ACTIONS(3831),
    [anon_sym_PERCENT] = ACTIONS(3833),
    [anon_sym_GT] = ACTIONS(3088),
    [anon_sym_LT_LT] = ACTIONS(3837),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3086),
    [anon_sym_PLUS_EQ] = ACTIONS(3086),
    [anon_sym_DASH_EQ] = ACTIONS(3086),
    [anon_sym_DOT_EQ] = ACTIONS(3086),
    [anon_sym_STAR_EQ] = ACTIONS(3086),
    [anon_sym_SLASH_EQ] = ACTIONS(3086),
    [anon_sym_PERCENT_EQ] = ACTIONS(3086),
    [anon_sym_x_EQ] = ACTIONS(3086),
    [anon_sym_AMP_EQ] = ACTIONS(3086),
    [anon_sym_PIPE_EQ] = ACTIONS(3086),
    [anon_sym_CARET_EQ] = ACTIONS(3086),
    [anon_sym_LT_LT_EQ] = ACTIONS(3086),
    [anon_sym_GT_GT_EQ] = ACTIONS(3086),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3086),
    [anon_sym_DOT_DOT] = ACTIONS(3088),
    [anon_sym_STAR_STAR] = ACTIONS(3841),
    [anon_sym_PIPE_PIPE] = ACTIONS(3088),
    [anon_sym_SLASH_SLASH] = ACTIONS(3088),
    [anon_sym_CARET_CARET] = ACTIONS(3086),
    [anon_sym_AMP_AMP] = ACTIONS(3088),
    [anon_sym_PIPE] = ACTIONS(3088),
    [anon_sym_CARET] = ACTIONS(3088),
    [anon_sym_AMP] = ACTIONS(3088),
    [anon_sym_GT_GT2] = ACTIONS(3837),
    [anon_sym_PLUS] = ACTIONS(3853),
    [anon_sym_DASH] = ACTIONS(3853),
    [anon_sym_DOT] = ACTIONS(3853),
    [anon_sym_STAR] = ACTIONS(3833),
    [anon_sym_SLASH] = ACTIONS(3833),
    [anon_sym_x] = ACTIONS(3833),
    [anon_sym_EQ_TILDE] = ACTIONS(3855),
    [anon_sym_BANG_TILDE] = ACTIONS(3855),
    [anon_sym_EQ_EQ] = ACTIONS(3088),
    [anon_sym_BANG_EQ] = ACTIONS(3086),
    [anon_sym_eq] = ACTIONS(3088),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3086),
    [anon_sym_equ] = ACTIONS(3086),
    [anon_sym_eqr] = ACTIONS(3086),
    [anon_sym_ne] = ACTIONS(3086),
    [anon_sym_LT_EQ_GT] = ACTIONS(3086),
    [anon_sym_cmp] = ACTIONS(3086),
    [anon_sym_TILDE_TILDE] = ACTIONS(3086),
    [anon_sym_LT] = ACTIONS(3088),
    [anon_sym_LT_EQ] = ACTIONS(3088),
    [anon_sym_GT_EQ] = ACTIONS(3086),
    [anon_sym_lt] = ACTIONS(3086),
    [anon_sym_le] = ACTIONS(3086),
    [anon_sym_ge] = ACTIONS(3086),
    [anon_sym_gt] = ACTIONS(3086),
    [anon_sym_isa] = ACTIONS(3086),
    [anon_sym_PLUS_PLUS] = ACTIONS(3867),
    [anon_sym_DASH_DASH] = ACTIONS(3867),
    [anon_sym_QMARK] = ACTIONS(3086),
    [anon_sym_EQ_GT] = ACTIONS(3086),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2337] = {
    [sym_heredoc_content] = STATE(2337),
    [anon_sym_SEMI] = ACTIONS(3086),
    [anon_sym_EQ] = ACTIONS(3088),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3086),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3086),
    [anon_sym_COMMA] = ACTIONS(3086),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3086),
    [anon_sym_DASH_GT] = ACTIONS(3760),
    [anon_sym_PERCENT] = ACTIONS(3762),
    [anon_sym_GT] = ACTIONS(3088),
    [anon_sym_LT_LT] = ACTIONS(3766),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3086),
    [anon_sym_PLUS_EQ] = ACTIONS(3086),
    [anon_sym_DASH_EQ] = ACTIONS(3086),
    [anon_sym_DOT_EQ] = ACTIONS(3086),
    [anon_sym_STAR_EQ] = ACTIONS(3086),
    [anon_sym_SLASH_EQ] = ACTIONS(3086),
    [anon_sym_PERCENT_EQ] = ACTIONS(3086),
    [anon_sym_x_EQ] = ACTIONS(3086),
    [anon_sym_AMP_EQ] = ACTIONS(3086),
    [anon_sym_PIPE_EQ] = ACTIONS(3086),
    [anon_sym_CARET_EQ] = ACTIONS(3086),
    [anon_sym_LT_LT_EQ] = ACTIONS(3086),
    [anon_sym_GT_GT_EQ] = ACTIONS(3086),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3086),
    [anon_sym_DOT_DOT] = ACTIONS(3088),
    [anon_sym_STAR_STAR] = ACTIONS(3770),
    [anon_sym_PIPE_PIPE] = ACTIONS(3088),
    [anon_sym_SLASH_SLASH] = ACTIONS(3088),
    [anon_sym_CARET_CARET] = ACTIONS(3086),
    [anon_sym_AMP_AMP] = ACTIONS(3088),
    [anon_sym_PIPE] = ACTIONS(3088),
    [anon_sym_CARET] = ACTIONS(3088),
    [anon_sym_AMP] = ACTIONS(3088),
    [anon_sym_GT_GT2] = ACTIONS(3766),
    [anon_sym_PLUS] = ACTIONS(3782),
    [anon_sym_DASH] = ACTIONS(3782),
    [anon_sym_DOT] = ACTIONS(3782),
    [anon_sym_STAR] = ACTIONS(3762),
    [anon_sym_SLASH] = ACTIONS(3762),
    [anon_sym_x] = ACTIONS(3762),
    [anon_sym_EQ_TILDE] = ACTIONS(3784),
    [anon_sym_BANG_TILDE] = ACTIONS(3784),
    [anon_sym_EQ_EQ] = ACTIONS(3088),
    [anon_sym_BANG_EQ] = ACTIONS(3086),
    [anon_sym_eq] = ACTIONS(3088),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3086),
    [anon_sym_equ] = ACTIONS(3086),
    [anon_sym_eqr] = ACTIONS(3086),
    [anon_sym_ne] = ACTIONS(3086),
    [anon_sym_LT_EQ_GT] = ACTIONS(3086),
    [anon_sym_cmp] = ACTIONS(3086),
    [anon_sym_TILDE_TILDE] = ACTIONS(3086),
    [anon_sym_LT] = ACTIONS(3088),
    [anon_sym_LT_EQ] = ACTIONS(3088),
    [anon_sym_GT_EQ] = ACTIONS(3086),
    [anon_sym_lt] = ACTIONS(3086),
    [anon_sym_le] = ACTIONS(3086),
    [anon_sym_ge] = ACTIONS(3086),
    [anon_sym_gt] = ACTIONS(3086),
    [anon_sym_isa] = ACTIONS(3086),
    [anon_sym_PLUS_PLUS] = ACTIONS(3796),
    [anon_sym_DASH_DASH] = ACTIONS(3796),
    [anon_sym_QMARK] = ACTIONS(3086),
    [anon_sym_EQ_GT] = ACTIONS(3086),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3086),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2338] = {
    [sym_heredoc_content] = STATE(2338),
    [anon_sym_RBRACE] = ACTIONS(3090),
    [anon_sym_EQ] = ACTIONS(3823),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3825),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3825),
    [anon_sym_COMMA] = ACTIONS(3090),
    [anon_sym_RPAREN] = ACTIONS(3090),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3829),
    [anon_sym_DASH_GT] = ACTIONS(3831),
    [anon_sym_PERCENT] = ACTIONS(3833),
    [anon_sym_GT] = ACTIONS(3835),
    [anon_sym_LT_LT] = ACTIONS(3837),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3825),
    [anon_sym_PLUS_EQ] = ACTIONS(3825),
    [anon_sym_DASH_EQ] = ACTIONS(3825),
    [anon_sym_DOT_EQ] = ACTIONS(3825),
    [anon_sym_STAR_EQ] = ACTIONS(3825),
    [anon_sym_SLASH_EQ] = ACTIONS(3825),
    [anon_sym_PERCENT_EQ] = ACTIONS(3825),
    [anon_sym_x_EQ] = ACTIONS(3825),
    [anon_sym_AMP_EQ] = ACTIONS(3825),
    [anon_sym_PIPE_EQ] = ACTIONS(3825),
    [anon_sym_CARET_EQ] = ACTIONS(3825),
    [anon_sym_LT_LT_EQ] = ACTIONS(3825),
    [anon_sym_GT_GT_EQ] = ACTIONS(3825),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3825),
    [anon_sym_DOT_DOT] = ACTIONS(3839),
    [anon_sym_STAR_STAR] = ACTIONS(3841),
    [anon_sym_PIPE_PIPE] = ACTIONS(3843),
    [anon_sym_SLASH_SLASH] = ACTIONS(3843),
    [anon_sym_CARET_CARET] = ACTIONS(3845),
    [anon_sym_AMP_AMP] = ACTIONS(3847),
    [anon_sym_PIPE] = ACTIONS(3849),
    [anon_sym_CARET] = ACTIONS(3849),
    [anon_sym_AMP] = ACTIONS(3851),
    [anon_sym_GT_GT2] = ACTIONS(3837),
    [anon_sym_PLUS] = ACTIONS(3853),
    [anon_sym_DASH] = ACTIONS(3853),
    [anon_sym_DOT] = ACTIONS(3853),
    [anon_sym_STAR] = ACTIONS(3833),
    [anon_sym_SLASH] = ACTIONS(3833),
    [anon_sym_x] = ACTIONS(3833),
    [anon_sym_EQ_TILDE] = ACTIONS(3855),
    [anon_sym_BANG_TILDE] = ACTIONS(3855),
    [anon_sym_EQ_EQ] = ACTIONS(3857),
    [anon_sym_BANG_EQ] = ACTIONS(3859),
    [anon_sym_eq] = ACTIONS(3857),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3859),
    [anon_sym_equ] = ACTIONS(3859),
    [anon_sym_eqr] = ACTIONS(3859),
    [anon_sym_ne] = ACTIONS(3859),
    [anon_sym_LT_EQ_GT] = ACTIONS(3861),
    [anon_sym_cmp] = ACTIONS(3861),
    [anon_sym_TILDE_TILDE] = ACTIONS(3861),
    [anon_sym_LT] = ACTIONS(3835),
    [anon_sym_LT_EQ] = ACTIONS(3835),
    [anon_sym_GT_EQ] = ACTIONS(3863),
    [anon_sym_lt] = ACTIONS(3863),
    [anon_sym_le] = ACTIONS(3863),
    [anon_sym_ge] = ACTIONS(3863),
    [anon_sym_gt] = ACTIONS(3863),
    [anon_sym_isa] = ACTIONS(3865),
    [anon_sym_PLUS_PLUS] = ACTIONS(3867),
    [anon_sym_DASH_DASH] = ACTIONS(3867),
    [anon_sym_QMARK] = ACTIONS(3869),
    [anon_sym_EQ_GT] = ACTIONS(3090),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2339] = {
    [sym_heredoc_content] = STATE(2339),
    [anon_sym_RBRACE] = ACTIONS(3094),
    [anon_sym_EQ] = ACTIONS(3096),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3094),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3094),
    [anon_sym_COMMA] = ACTIONS(3094),
    [anon_sym_RPAREN] = ACTIONS(3094),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3094),
    [anon_sym_DASH_GT] = ACTIONS(3831),
    [anon_sym_PERCENT] = ACTIONS(3833),
    [anon_sym_GT] = ACTIONS(3096),
    [anon_sym_LT_LT] = ACTIONS(3837),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3094),
    [anon_sym_PLUS_EQ] = ACTIONS(3094),
    [anon_sym_DASH_EQ] = ACTIONS(3094),
    [anon_sym_DOT_EQ] = ACTIONS(3094),
    [anon_sym_STAR_EQ] = ACTIONS(3094),
    [anon_sym_SLASH_EQ] = ACTIONS(3094),
    [anon_sym_PERCENT_EQ] = ACTIONS(3094),
    [anon_sym_x_EQ] = ACTIONS(3094),
    [anon_sym_AMP_EQ] = ACTIONS(3094),
    [anon_sym_PIPE_EQ] = ACTIONS(3094),
    [anon_sym_CARET_EQ] = ACTIONS(3094),
    [anon_sym_LT_LT_EQ] = ACTIONS(3094),
    [anon_sym_GT_GT_EQ] = ACTIONS(3094),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3094),
    [anon_sym_DOT_DOT] = ACTIONS(3096),
    [anon_sym_STAR_STAR] = ACTIONS(3841),
    [anon_sym_PIPE_PIPE] = ACTIONS(3096),
    [anon_sym_SLASH_SLASH] = ACTIONS(3096),
    [anon_sym_CARET_CARET] = ACTIONS(3094),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_PIPE] = ACTIONS(3096),
    [anon_sym_CARET] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3096),
    [anon_sym_GT_GT2] = ACTIONS(3837),
    [anon_sym_PLUS] = ACTIONS(3853),
    [anon_sym_DASH] = ACTIONS(3853),
    [anon_sym_DOT] = ACTIONS(3853),
    [anon_sym_STAR] = ACTIONS(3833),
    [anon_sym_SLASH] = ACTIONS(3833),
    [anon_sym_x] = ACTIONS(3833),
    [anon_sym_EQ_TILDE] = ACTIONS(3855),
    [anon_sym_BANG_TILDE] = ACTIONS(3855),
    [anon_sym_EQ_EQ] = ACTIONS(3096),
    [anon_sym_BANG_EQ] = ACTIONS(3094),
    [anon_sym_eq] = ACTIONS(3096),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3094),
    [anon_sym_equ] = ACTIONS(3094),
    [anon_sym_eqr] = ACTIONS(3094),
    [anon_sym_ne] = ACTIONS(3094),
    [anon_sym_LT_EQ_GT] = ACTIONS(3094),
    [anon_sym_cmp] = ACTIONS(3094),
    [anon_sym_TILDE_TILDE] = ACTIONS(3094),
    [anon_sym_LT] = ACTIONS(3096),
    [anon_sym_LT_EQ] = ACTIONS(3096),
    [anon_sym_GT_EQ] = ACTIONS(3094),
    [anon_sym_lt] = ACTIONS(3094),
    [anon_sym_le] = ACTIONS(3094),
    [anon_sym_ge] = ACTIONS(3094),
    [anon_sym_gt] = ACTIONS(3094),
    [anon_sym_isa] = ACTIONS(3094),
    [anon_sym_PLUS_PLUS] = ACTIONS(3867),
    [anon_sym_DASH_DASH] = ACTIONS(3867),
    [anon_sym_QMARK] = ACTIONS(3094),
    [anon_sym_EQ_GT] = ACTIONS(3094),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2340] = {
    [sym_heredoc_content] = STATE(2340),
    [anon_sym_SEMI] = ACTIONS(2907),
    [anon_sym_EQ] = ACTIONS(2909),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2907),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2907),
    [anon_sym_COMMA] = ACTIONS(2907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2907),
    [anon_sym_DASH_GT] = ACTIONS(2907),
    [anon_sym_PERCENT] = ACTIONS(2909),
    [anon_sym_GT] = ACTIONS(2909),
    [anon_sym_LT_LT] = ACTIONS(2909),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2907),
    [anon_sym_PLUS_EQ] = ACTIONS(2907),
    [anon_sym_DASH_EQ] = ACTIONS(2907),
    [anon_sym_DOT_EQ] = ACTIONS(2907),
    [anon_sym_STAR_EQ] = ACTIONS(2907),
    [anon_sym_SLASH_EQ] = ACTIONS(2907),
    [anon_sym_PERCENT_EQ] = ACTIONS(2907),
    [anon_sym_x_EQ] = ACTIONS(2907),
    [anon_sym_AMP_EQ] = ACTIONS(2907),
    [anon_sym_PIPE_EQ] = ACTIONS(2907),
    [anon_sym_CARET_EQ] = ACTIONS(2907),
    [anon_sym_LT_LT_EQ] = ACTIONS(2907),
    [anon_sym_GT_GT_EQ] = ACTIONS(2907),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2907),
    [anon_sym_DOT_DOT] = ACTIONS(2909),
    [anon_sym_STAR_STAR] = ACTIONS(2909),
    [anon_sym_PIPE_PIPE] = ACTIONS(2909),
    [anon_sym_SLASH_SLASH] = ACTIONS(2909),
    [anon_sym_CARET_CARET] = ACTIONS(2907),
    [anon_sym_AMP_AMP] = ACTIONS(2909),
    [anon_sym_PIPE] = ACTIONS(2909),
    [anon_sym_CARET] = ACTIONS(2909),
    [anon_sym_AMP] = ACTIONS(2909),
    [anon_sym_GT_GT2] = ACTIONS(2909),
    [anon_sym_PLUS] = ACTIONS(2909),
    [anon_sym_DASH] = ACTIONS(2909),
    [anon_sym_DOT] = ACTIONS(2909),
    [anon_sym_STAR] = ACTIONS(2909),
    [anon_sym_SLASH] = ACTIONS(2909),
    [anon_sym_x] = ACTIONS(2909),
    [anon_sym_EQ_TILDE] = ACTIONS(2907),
    [anon_sym_BANG_TILDE] = ACTIONS(2907),
    [anon_sym_EQ_EQ] = ACTIONS(2909),
    [anon_sym_BANG_EQ] = ACTIONS(2907),
    [anon_sym_eq] = ACTIONS(2909),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2907),
    [anon_sym_equ] = ACTIONS(2907),
    [anon_sym_eqr] = ACTIONS(2907),
    [anon_sym_ne] = ACTIONS(2907),
    [anon_sym_LT_EQ_GT] = ACTIONS(2907),
    [anon_sym_cmp] = ACTIONS(2907),
    [anon_sym_TILDE_TILDE] = ACTIONS(2907),
    [anon_sym_LT] = ACTIONS(2909),
    [anon_sym_LT_EQ] = ACTIONS(2909),
    [anon_sym_GT_EQ] = ACTIONS(2907),
    [anon_sym_lt] = ACTIONS(2907),
    [anon_sym_le] = ACTIONS(2907),
    [anon_sym_ge] = ACTIONS(2907),
    [anon_sym_gt] = ACTIONS(2907),
    [anon_sym_isa] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_QMARK] = ACTIONS(2907),
    [anon_sym_EQ_GT] = ACTIONS(2907),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2907),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2341] = {
    [sym_heredoc_content] = STATE(2341),
    [anon_sym_RBRACE] = ACTIONS(3019),
    [anon_sym_EQ] = ACTIONS(3021),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_COMMA] = ACTIONS(3019),
    [anon_sym_RPAREN] = ACTIONS(3019),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3019),
    [anon_sym_DASH_GT] = ACTIONS(3831),
    [anon_sym_PERCENT] = ACTIONS(3021),
    [anon_sym_GT] = ACTIONS(3021),
    [anon_sym_LT_LT] = ACTIONS(3021),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3019),
    [anon_sym_PLUS_EQ] = ACTIONS(3019),
    [anon_sym_DASH_EQ] = ACTIONS(3019),
    [anon_sym_DOT_EQ] = ACTIONS(3019),
    [anon_sym_STAR_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_PERCENT_EQ] = ACTIONS(3019),
    [anon_sym_x_EQ] = ACTIONS(3019),
    [anon_sym_AMP_EQ] = ACTIONS(3019),
    [anon_sym_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_CARET_EQ] = ACTIONS(3019),
    [anon_sym_LT_LT_EQ] = ACTIONS(3019),
    [anon_sym_GT_GT_EQ] = ACTIONS(3019),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3019),
    [anon_sym_DOT_DOT] = ACTIONS(3021),
    [anon_sym_STAR_STAR] = ACTIONS(3841),
    [anon_sym_PIPE_PIPE] = ACTIONS(3021),
    [anon_sym_SLASH_SLASH] = ACTIONS(3021),
    [anon_sym_CARET_CARET] = ACTIONS(3019),
    [anon_sym_AMP_AMP] = ACTIONS(3021),
    [anon_sym_PIPE] = ACTIONS(3021),
    [anon_sym_CARET] = ACTIONS(3021),
    [anon_sym_AMP] = ACTIONS(3021),
    [anon_sym_GT_GT2] = ACTIONS(3021),
    [anon_sym_PLUS] = ACTIONS(3021),
    [anon_sym_DASH] = ACTIONS(3021),
    [anon_sym_DOT] = ACTIONS(3021),
    [anon_sym_STAR] = ACTIONS(3021),
    [anon_sym_SLASH] = ACTIONS(3021),
    [anon_sym_x] = ACTIONS(3021),
    [anon_sym_EQ_TILDE] = ACTIONS(3019),
    [anon_sym_BANG_TILDE] = ACTIONS(3019),
    [anon_sym_EQ_EQ] = ACTIONS(3021),
    [anon_sym_BANG_EQ] = ACTIONS(3019),
    [anon_sym_eq] = ACTIONS(3021),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3019),
    [anon_sym_equ] = ACTIONS(3019),
    [anon_sym_eqr] = ACTIONS(3019),
    [anon_sym_ne] = ACTIONS(3019),
    [anon_sym_LT_EQ_GT] = ACTIONS(3019),
    [anon_sym_cmp] = ACTIONS(3019),
    [anon_sym_TILDE_TILDE] = ACTIONS(3019),
    [anon_sym_LT] = ACTIONS(3021),
    [anon_sym_LT_EQ] = ACTIONS(3021),
    [anon_sym_GT_EQ] = ACTIONS(3019),
    [anon_sym_lt] = ACTIONS(3019),
    [anon_sym_le] = ACTIONS(3019),
    [anon_sym_ge] = ACTIONS(3019),
    [anon_sym_gt] = ACTIONS(3019),
    [anon_sym_isa] = ACTIONS(3019),
    [anon_sym_PLUS_PLUS] = ACTIONS(3867),
    [anon_sym_DASH_DASH] = ACTIONS(3867),
    [anon_sym_QMARK] = ACTIONS(3019),
    [anon_sym_EQ_GT] = ACTIONS(3019),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2342] = {
    [sym_heredoc_content] = STATE(2342),
    [anon_sym_SEMI] = ACTIONS(1849),
    [anon_sym_EQ] = ACTIONS(1840),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1849),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1849),
    [anon_sym_COMMA] = ACTIONS(1849),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1849),
    [anon_sym_DASH_GT] = ACTIONS(1849),
    [anon_sym_PERCENT] = ACTIONS(1840),
    [anon_sym_GT] = ACTIONS(1840),
    [anon_sym_LT_LT] = ACTIONS(1840),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1849),
    [anon_sym_PLUS_EQ] = ACTIONS(1849),
    [anon_sym_DASH_EQ] = ACTIONS(1849),
    [anon_sym_DOT_EQ] = ACTIONS(1849),
    [anon_sym_STAR_EQ] = ACTIONS(1849),
    [anon_sym_SLASH_EQ] = ACTIONS(1849),
    [anon_sym_PERCENT_EQ] = ACTIONS(1849),
    [anon_sym_x_EQ] = ACTIONS(1849),
    [anon_sym_AMP_EQ] = ACTIONS(1849),
    [anon_sym_PIPE_EQ] = ACTIONS(1849),
    [anon_sym_CARET_EQ] = ACTIONS(1849),
    [anon_sym_LT_LT_EQ] = ACTIONS(1849),
    [anon_sym_GT_GT_EQ] = ACTIONS(1849),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1849),
    [anon_sym_DOT_DOT] = ACTIONS(1840),
    [anon_sym_STAR_STAR] = ACTIONS(1840),
    [anon_sym_PIPE_PIPE] = ACTIONS(1840),
    [anon_sym_SLASH_SLASH] = ACTIONS(1840),
    [anon_sym_CARET_CARET] = ACTIONS(1849),
    [anon_sym_AMP_AMP] = ACTIONS(1840),
    [anon_sym_PIPE] = ACTIONS(1840),
    [anon_sym_CARET] = ACTIONS(1840),
    [anon_sym_AMP] = ACTIONS(1840),
    [anon_sym_GT_GT2] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_DOT] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1840),
    [anon_sym_SLASH] = ACTIONS(1840),
    [anon_sym_x] = ACTIONS(1840),
    [anon_sym_EQ_TILDE] = ACTIONS(1849),
    [anon_sym_BANG_TILDE] = ACTIONS(1849),
    [anon_sym_EQ_EQ] = ACTIONS(1840),
    [anon_sym_BANG_EQ] = ACTIONS(1849),
    [anon_sym_eq] = ACTIONS(1840),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1849),
    [anon_sym_equ] = ACTIONS(1849),
    [anon_sym_eqr] = ACTIONS(1849),
    [anon_sym_ne] = ACTIONS(1849),
    [anon_sym_LT_EQ_GT] = ACTIONS(1849),
    [anon_sym_cmp] = ACTIONS(1849),
    [anon_sym_TILDE_TILDE] = ACTIONS(1849),
    [anon_sym_LT] = ACTIONS(1840),
    [anon_sym_LT_EQ] = ACTIONS(1840),
    [anon_sym_GT_EQ] = ACTIONS(1849),
    [anon_sym_lt] = ACTIONS(1849),
    [anon_sym_le] = ACTIONS(1849),
    [anon_sym_ge] = ACTIONS(1849),
    [anon_sym_gt] = ACTIONS(1849),
    [anon_sym_isa] = ACTIONS(1849),
    [anon_sym_PLUS_PLUS] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1849),
    [anon_sym_QMARK] = ACTIONS(1849),
    [anon_sym_EQ_GT] = ACTIONS(1849),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(1849),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2343] = {
    [sym_heredoc_content] = STATE(2343),
    [anon_sym_SEMI] = ACTIONS(2959),
    [anon_sym_EQ] = ACTIONS(2961),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2959),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2959),
    [anon_sym_COMMA] = ACTIONS(2959),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2959),
    [anon_sym_DASH_GT] = ACTIONS(2959),
    [anon_sym_PERCENT] = ACTIONS(2961),
    [anon_sym_GT] = ACTIONS(2961),
    [anon_sym_LT_LT] = ACTIONS(2961),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2959),
    [anon_sym_PLUS_EQ] = ACTIONS(2959),
    [anon_sym_DASH_EQ] = ACTIONS(2959),
    [anon_sym_DOT_EQ] = ACTIONS(2959),
    [anon_sym_STAR_EQ] = ACTIONS(2959),
    [anon_sym_SLASH_EQ] = ACTIONS(2959),
    [anon_sym_PERCENT_EQ] = ACTIONS(2959),
    [anon_sym_x_EQ] = ACTIONS(2959),
    [anon_sym_AMP_EQ] = ACTIONS(2959),
    [anon_sym_PIPE_EQ] = ACTIONS(2959),
    [anon_sym_CARET_EQ] = ACTIONS(2959),
    [anon_sym_LT_LT_EQ] = ACTIONS(2959),
    [anon_sym_GT_GT_EQ] = ACTIONS(2959),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2959),
    [anon_sym_DOT_DOT] = ACTIONS(2961),
    [anon_sym_STAR_STAR] = ACTIONS(2961),
    [anon_sym_PIPE_PIPE] = ACTIONS(2961),
    [anon_sym_SLASH_SLASH] = ACTIONS(2961),
    [anon_sym_CARET_CARET] = ACTIONS(2959),
    [anon_sym_AMP_AMP] = ACTIONS(2961),
    [anon_sym_PIPE] = ACTIONS(2961),
    [anon_sym_CARET] = ACTIONS(2961),
    [anon_sym_AMP] = ACTIONS(2961),
    [anon_sym_GT_GT2] = ACTIONS(2961),
    [anon_sym_PLUS] = ACTIONS(2961),
    [anon_sym_DASH] = ACTIONS(2961),
    [anon_sym_DOT] = ACTIONS(2961),
    [anon_sym_STAR] = ACTIONS(2961),
    [anon_sym_SLASH] = ACTIONS(2961),
    [anon_sym_x] = ACTIONS(2961),
    [anon_sym_EQ_TILDE] = ACTIONS(2959),
    [anon_sym_BANG_TILDE] = ACTIONS(2959),
    [anon_sym_EQ_EQ] = ACTIONS(2961),
    [anon_sym_BANG_EQ] = ACTIONS(2959),
    [anon_sym_eq] = ACTIONS(2961),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2959),
    [anon_sym_equ] = ACTIONS(2959),
    [anon_sym_eqr] = ACTIONS(2959),
    [anon_sym_ne] = ACTIONS(2959),
    [anon_sym_LT_EQ_GT] = ACTIONS(2959),
    [anon_sym_cmp] = ACTIONS(2959),
    [anon_sym_TILDE_TILDE] = ACTIONS(2959),
    [anon_sym_LT] = ACTIONS(2961),
    [anon_sym_LT_EQ] = ACTIONS(2961),
    [anon_sym_GT_EQ] = ACTIONS(2959),
    [anon_sym_lt] = ACTIONS(2959),
    [anon_sym_le] = ACTIONS(2959),
    [anon_sym_ge] = ACTIONS(2959),
    [anon_sym_gt] = ACTIONS(2959),
    [anon_sym_isa] = ACTIONS(2959),
    [anon_sym_PLUS_PLUS] = ACTIONS(2959),
    [anon_sym_DASH_DASH] = ACTIONS(2959),
    [anon_sym_QMARK] = ACTIONS(2959),
    [anon_sym_EQ_GT] = ACTIONS(2959),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2959),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2344] = {
    [sym_heredoc_content] = STATE(2344),
    [anon_sym_SEMI] = ACTIONS(2911),
    [anon_sym_EQ] = ACTIONS(2913),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2911),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2911),
    [anon_sym_COMMA] = ACTIONS(2911),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2911),
    [anon_sym_DASH_GT] = ACTIONS(2911),
    [anon_sym_PERCENT] = ACTIONS(2913),
    [anon_sym_GT] = ACTIONS(2913),
    [anon_sym_LT_LT] = ACTIONS(2913),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2911),
    [anon_sym_PLUS_EQ] = ACTIONS(2911),
    [anon_sym_DASH_EQ] = ACTIONS(2911),
    [anon_sym_DOT_EQ] = ACTIONS(2911),
    [anon_sym_STAR_EQ] = ACTIONS(2911),
    [anon_sym_SLASH_EQ] = ACTIONS(2911),
    [anon_sym_PERCENT_EQ] = ACTIONS(2911),
    [anon_sym_x_EQ] = ACTIONS(2911),
    [anon_sym_AMP_EQ] = ACTIONS(2911),
    [anon_sym_PIPE_EQ] = ACTIONS(2911),
    [anon_sym_CARET_EQ] = ACTIONS(2911),
    [anon_sym_LT_LT_EQ] = ACTIONS(2911),
    [anon_sym_GT_GT_EQ] = ACTIONS(2911),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2911),
    [anon_sym_DOT_DOT] = ACTIONS(2913),
    [anon_sym_STAR_STAR] = ACTIONS(2913),
    [anon_sym_PIPE_PIPE] = ACTIONS(2913),
    [anon_sym_SLASH_SLASH] = ACTIONS(2913),
    [anon_sym_CARET_CARET] = ACTIONS(2911),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_PIPE] = ACTIONS(2913),
    [anon_sym_CARET] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_GT_GT2] = ACTIONS(2913),
    [anon_sym_PLUS] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2913),
    [anon_sym_DOT] = ACTIONS(2913),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_SLASH] = ACTIONS(2913),
    [anon_sym_x] = ACTIONS(2913),
    [anon_sym_EQ_TILDE] = ACTIONS(2911),
    [anon_sym_BANG_TILDE] = ACTIONS(2911),
    [anon_sym_EQ_EQ] = ACTIONS(2913),
    [anon_sym_BANG_EQ] = ACTIONS(2911),
    [anon_sym_eq] = ACTIONS(2913),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2911),
    [anon_sym_equ] = ACTIONS(2911),
    [anon_sym_eqr] = ACTIONS(2911),
    [anon_sym_ne] = ACTIONS(2911),
    [anon_sym_LT_EQ_GT] = ACTIONS(2911),
    [anon_sym_cmp] = ACTIONS(2911),
    [anon_sym_TILDE_TILDE] = ACTIONS(2911),
    [anon_sym_LT] = ACTIONS(2913),
    [anon_sym_LT_EQ] = ACTIONS(2913),
    [anon_sym_GT_EQ] = ACTIONS(2911),
    [anon_sym_lt] = ACTIONS(2911),
    [anon_sym_le] = ACTIONS(2911),
    [anon_sym_ge] = ACTIONS(2911),
    [anon_sym_gt] = ACTIONS(2911),
    [anon_sym_isa] = ACTIONS(2911),
    [anon_sym_PLUS_PLUS] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2911),
    [anon_sym_QMARK] = ACTIONS(2911),
    [anon_sym_EQ_GT] = ACTIONS(2911),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2911),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2345] = {
    [sym_heredoc_content] = STATE(2345),
    [anon_sym_SEMI] = ACTIONS(2915),
    [anon_sym_EQ] = ACTIONS(2917),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2915),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2915),
    [anon_sym_COMMA] = ACTIONS(2915),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2915),
    [anon_sym_DASH_GT] = ACTIONS(2915),
    [anon_sym_PERCENT] = ACTIONS(2917),
    [anon_sym_GT] = ACTIONS(2917),
    [anon_sym_LT_LT] = ACTIONS(2917),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2915),
    [anon_sym_PLUS_EQ] = ACTIONS(2915),
    [anon_sym_DASH_EQ] = ACTIONS(2915),
    [anon_sym_DOT_EQ] = ACTIONS(2915),
    [anon_sym_STAR_EQ] = ACTIONS(2915),
    [anon_sym_SLASH_EQ] = ACTIONS(2915),
    [anon_sym_PERCENT_EQ] = ACTIONS(2915),
    [anon_sym_x_EQ] = ACTIONS(2915),
    [anon_sym_AMP_EQ] = ACTIONS(2915),
    [anon_sym_PIPE_EQ] = ACTIONS(2915),
    [anon_sym_CARET_EQ] = ACTIONS(2915),
    [anon_sym_LT_LT_EQ] = ACTIONS(2915),
    [anon_sym_GT_GT_EQ] = ACTIONS(2915),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2915),
    [anon_sym_DOT_DOT] = ACTIONS(2917),
    [anon_sym_STAR_STAR] = ACTIONS(2917),
    [anon_sym_PIPE_PIPE] = ACTIONS(2917),
    [anon_sym_SLASH_SLASH] = ACTIONS(2917),
    [anon_sym_CARET_CARET] = ACTIONS(2915),
    [anon_sym_AMP_AMP] = ACTIONS(2917),
    [anon_sym_PIPE] = ACTIONS(2917),
    [anon_sym_CARET] = ACTIONS(2917),
    [anon_sym_AMP] = ACTIONS(2917),
    [anon_sym_GT_GT2] = ACTIONS(2917),
    [anon_sym_PLUS] = ACTIONS(2917),
    [anon_sym_DASH] = ACTIONS(2917),
    [anon_sym_DOT] = ACTIONS(2917),
    [anon_sym_STAR] = ACTIONS(2917),
    [anon_sym_SLASH] = ACTIONS(2917),
    [anon_sym_x] = ACTIONS(2917),
    [anon_sym_EQ_TILDE] = ACTIONS(2915),
    [anon_sym_BANG_TILDE] = ACTIONS(2915),
    [anon_sym_EQ_EQ] = ACTIONS(2917),
    [anon_sym_BANG_EQ] = ACTIONS(2915),
    [anon_sym_eq] = ACTIONS(2917),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2915),
    [anon_sym_equ] = ACTIONS(2915),
    [anon_sym_eqr] = ACTIONS(2915),
    [anon_sym_ne] = ACTIONS(2915),
    [anon_sym_LT_EQ_GT] = ACTIONS(2915),
    [anon_sym_cmp] = ACTIONS(2915),
    [anon_sym_TILDE_TILDE] = ACTIONS(2915),
    [anon_sym_LT] = ACTIONS(2917),
    [anon_sym_LT_EQ] = ACTIONS(2917),
    [anon_sym_GT_EQ] = ACTIONS(2915),
    [anon_sym_lt] = ACTIONS(2915),
    [anon_sym_le] = ACTIONS(2915),
    [anon_sym_ge] = ACTIONS(2915),
    [anon_sym_gt] = ACTIONS(2915),
    [anon_sym_isa] = ACTIONS(2915),
    [anon_sym_PLUS_PLUS] = ACTIONS(2915),
    [anon_sym_DASH_DASH] = ACTIONS(2915),
    [anon_sym_QMARK] = ACTIONS(2915),
    [anon_sym_EQ_GT] = ACTIONS(2915),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2915),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2346] = {
    [sym_heredoc_content] = STATE(2346),
    [anon_sym_SEMI] = ACTIONS(3102),
    [anon_sym_EQ] = ACTIONS(3104),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3102),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3102),
    [anon_sym_COMMA] = ACTIONS(3102),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3102),
    [anon_sym_DASH_GT] = ACTIONS(3102),
    [anon_sym_PERCENT] = ACTIONS(3104),
    [anon_sym_GT] = ACTIONS(3104),
    [anon_sym_LT_LT] = ACTIONS(3104),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3102),
    [anon_sym_PLUS_EQ] = ACTIONS(3102),
    [anon_sym_DASH_EQ] = ACTIONS(3102),
    [anon_sym_DOT_EQ] = ACTIONS(3102),
    [anon_sym_STAR_EQ] = ACTIONS(3102),
    [anon_sym_SLASH_EQ] = ACTIONS(3102),
    [anon_sym_PERCENT_EQ] = ACTIONS(3102),
    [anon_sym_x_EQ] = ACTIONS(3102),
    [anon_sym_AMP_EQ] = ACTIONS(3102),
    [anon_sym_PIPE_EQ] = ACTIONS(3102),
    [anon_sym_CARET_EQ] = ACTIONS(3102),
    [anon_sym_LT_LT_EQ] = ACTIONS(3102),
    [anon_sym_GT_GT_EQ] = ACTIONS(3102),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3102),
    [anon_sym_DOT_DOT] = ACTIONS(3104),
    [anon_sym_STAR_STAR] = ACTIONS(3104),
    [anon_sym_PIPE_PIPE] = ACTIONS(3104),
    [anon_sym_SLASH_SLASH] = ACTIONS(3104),
    [anon_sym_CARET_CARET] = ACTIONS(3102),
    [anon_sym_AMP_AMP] = ACTIONS(3104),
    [anon_sym_PIPE] = ACTIONS(3104),
    [anon_sym_CARET] = ACTIONS(3104),
    [anon_sym_AMP] = ACTIONS(3104),
    [anon_sym_GT_GT2] = ACTIONS(3104),
    [anon_sym_PLUS] = ACTIONS(3104),
    [anon_sym_DASH] = ACTIONS(3104),
    [anon_sym_DOT] = ACTIONS(3104),
    [anon_sym_STAR] = ACTIONS(3104),
    [anon_sym_SLASH] = ACTIONS(3104),
    [anon_sym_x] = ACTIONS(3104),
    [anon_sym_EQ_TILDE] = ACTIONS(3102),
    [anon_sym_BANG_TILDE] = ACTIONS(3102),
    [anon_sym_EQ_EQ] = ACTIONS(3104),
    [anon_sym_BANG_EQ] = ACTIONS(3102),
    [anon_sym_eq] = ACTIONS(3104),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3102),
    [anon_sym_equ] = ACTIONS(3102),
    [anon_sym_eqr] = ACTIONS(3102),
    [anon_sym_ne] = ACTIONS(3102),
    [anon_sym_LT_EQ_GT] = ACTIONS(3102),
    [anon_sym_cmp] = ACTIONS(3102),
    [anon_sym_TILDE_TILDE] = ACTIONS(3102),
    [anon_sym_LT] = ACTIONS(3104),
    [anon_sym_LT_EQ] = ACTIONS(3104),
    [anon_sym_GT_EQ] = ACTIONS(3102),
    [anon_sym_lt] = ACTIONS(3102),
    [anon_sym_le] = ACTIONS(3102),
    [anon_sym_ge] = ACTIONS(3102),
    [anon_sym_gt] = ACTIONS(3102),
    [anon_sym_isa] = ACTIONS(3102),
    [anon_sym_PLUS_PLUS] = ACTIONS(3102),
    [anon_sym_DASH_DASH] = ACTIONS(3102),
    [anon_sym_QMARK] = ACTIONS(3102),
    [anon_sym_EQ_GT] = ACTIONS(3102),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3102),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2347] = {
    [sym_heredoc_content] = STATE(2347),
    [anon_sym_RBRACE] = ACTIONS(3019),
    [anon_sym_EQ] = ACTIONS(3021),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_COMMA] = ACTIONS(3019),
    [anon_sym_RPAREN] = ACTIONS(3019),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3019),
    [anon_sym_DASH_GT] = ACTIONS(3831),
    [anon_sym_PERCENT] = ACTIONS(3833),
    [anon_sym_GT] = ACTIONS(3835),
    [anon_sym_LT_LT] = ACTIONS(3837),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3019),
    [anon_sym_PLUS_EQ] = ACTIONS(3019),
    [anon_sym_DASH_EQ] = ACTIONS(3019),
    [anon_sym_DOT_EQ] = ACTIONS(3019),
    [anon_sym_STAR_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_PERCENT_EQ] = ACTIONS(3019),
    [anon_sym_x_EQ] = ACTIONS(3019),
    [anon_sym_AMP_EQ] = ACTIONS(3019),
    [anon_sym_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_CARET_EQ] = ACTIONS(3019),
    [anon_sym_LT_LT_EQ] = ACTIONS(3019),
    [anon_sym_GT_GT_EQ] = ACTIONS(3019),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3019),
    [anon_sym_DOT_DOT] = ACTIONS(3021),
    [anon_sym_STAR_STAR] = ACTIONS(3841),
    [anon_sym_PIPE_PIPE] = ACTIONS(3021),
    [anon_sym_SLASH_SLASH] = ACTIONS(3021),
    [anon_sym_CARET_CARET] = ACTIONS(3019),
    [anon_sym_AMP_AMP] = ACTIONS(3847),
    [anon_sym_PIPE] = ACTIONS(3849),
    [anon_sym_CARET] = ACTIONS(3849),
    [anon_sym_AMP] = ACTIONS(3851),
    [anon_sym_GT_GT2] = ACTIONS(3837),
    [anon_sym_PLUS] = ACTIONS(3853),
    [anon_sym_DASH] = ACTIONS(3853),
    [anon_sym_DOT] = ACTIONS(3853),
    [anon_sym_STAR] = ACTIONS(3833),
    [anon_sym_SLASH] = ACTIONS(3833),
    [anon_sym_x] = ACTIONS(3833),
    [anon_sym_EQ_TILDE] = ACTIONS(3855),
    [anon_sym_BANG_TILDE] = ACTIONS(3855),
    [anon_sym_EQ_EQ] = ACTIONS(3857),
    [anon_sym_BANG_EQ] = ACTIONS(3859),
    [anon_sym_eq] = ACTIONS(3857),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3859),
    [anon_sym_equ] = ACTIONS(3859),
    [anon_sym_eqr] = ACTIONS(3859),
    [anon_sym_ne] = ACTIONS(3859),
    [anon_sym_LT_EQ_GT] = ACTIONS(3861),
    [anon_sym_cmp] = ACTIONS(3861),
    [anon_sym_TILDE_TILDE] = ACTIONS(3861),
    [anon_sym_LT] = ACTIONS(3835),
    [anon_sym_LT_EQ] = ACTIONS(3835),
    [anon_sym_GT_EQ] = ACTIONS(3863),
    [anon_sym_lt] = ACTIONS(3863),
    [anon_sym_le] = ACTIONS(3863),
    [anon_sym_ge] = ACTIONS(3863),
    [anon_sym_gt] = ACTIONS(3863),
    [anon_sym_isa] = ACTIONS(3865),
    [anon_sym_PLUS_PLUS] = ACTIONS(3867),
    [anon_sym_DASH_DASH] = ACTIONS(3867),
    [anon_sym_QMARK] = ACTIONS(3019),
    [anon_sym_EQ_GT] = ACTIONS(3019),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2348] = {
    [sym_heredoc_content] = STATE(2348),
    [anon_sym_RBRACE] = ACTIONS(3126),
    [anon_sym_EQ] = ACTIONS(3128),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3126),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3126),
    [anon_sym_COMMA] = ACTIONS(3126),
    [anon_sym_RPAREN] = ACTIONS(3126),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3126),
    [anon_sym_DASH_GT] = ACTIONS(3831),
    [anon_sym_PERCENT] = ACTIONS(3833),
    [anon_sym_GT] = ACTIONS(3128),
    [anon_sym_LT_LT] = ACTIONS(3837),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3126),
    [anon_sym_PLUS_EQ] = ACTIONS(3126),
    [anon_sym_DASH_EQ] = ACTIONS(3126),
    [anon_sym_DOT_EQ] = ACTIONS(3126),
    [anon_sym_STAR_EQ] = ACTIONS(3126),
    [anon_sym_SLASH_EQ] = ACTIONS(3126),
    [anon_sym_PERCENT_EQ] = ACTIONS(3126),
    [anon_sym_x_EQ] = ACTIONS(3126),
    [anon_sym_AMP_EQ] = ACTIONS(3126),
    [anon_sym_PIPE_EQ] = ACTIONS(3126),
    [anon_sym_CARET_EQ] = ACTIONS(3126),
    [anon_sym_LT_LT_EQ] = ACTIONS(3126),
    [anon_sym_GT_GT_EQ] = ACTIONS(3126),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3126),
    [anon_sym_DOT_DOT] = ACTIONS(3128),
    [anon_sym_STAR_STAR] = ACTIONS(3841),
    [anon_sym_PIPE_PIPE] = ACTIONS(3128),
    [anon_sym_SLASH_SLASH] = ACTIONS(3128),
    [anon_sym_CARET_CARET] = ACTIONS(3126),
    [anon_sym_AMP_AMP] = ACTIONS(3128),
    [anon_sym_PIPE] = ACTIONS(3128),
    [anon_sym_CARET] = ACTIONS(3128),
    [anon_sym_AMP] = ACTIONS(3128),
    [anon_sym_GT_GT2] = ACTIONS(3837),
    [anon_sym_PLUS] = ACTIONS(3853),
    [anon_sym_DASH] = ACTIONS(3853),
    [anon_sym_DOT] = ACTIONS(3853),
    [anon_sym_STAR] = ACTIONS(3833),
    [anon_sym_SLASH] = ACTIONS(3833),
    [anon_sym_x] = ACTIONS(3833),
    [anon_sym_EQ_TILDE] = ACTIONS(3855),
    [anon_sym_BANG_TILDE] = ACTIONS(3855),
    [anon_sym_EQ_EQ] = ACTIONS(3128),
    [anon_sym_BANG_EQ] = ACTIONS(3126),
    [anon_sym_eq] = ACTIONS(3128),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3126),
    [anon_sym_equ] = ACTIONS(3126),
    [anon_sym_eqr] = ACTIONS(3126),
    [anon_sym_ne] = ACTIONS(3126),
    [anon_sym_LT_EQ_GT] = ACTIONS(3126),
    [anon_sym_cmp] = ACTIONS(3126),
    [anon_sym_TILDE_TILDE] = ACTIONS(3126),
    [anon_sym_LT] = ACTIONS(3128),
    [anon_sym_LT_EQ] = ACTIONS(3128),
    [anon_sym_GT_EQ] = ACTIONS(3126),
    [anon_sym_lt] = ACTIONS(3126),
    [anon_sym_le] = ACTIONS(3126),
    [anon_sym_ge] = ACTIONS(3126),
    [anon_sym_gt] = ACTIONS(3126),
    [anon_sym_isa] = ACTIONS(3126),
    [anon_sym_PLUS_PLUS] = ACTIONS(3867),
    [anon_sym_DASH_DASH] = ACTIONS(3867),
    [anon_sym_QMARK] = ACTIONS(3126),
    [anon_sym_EQ_GT] = ACTIONS(3126),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2349] = {
    [sym_heredoc_content] = STATE(2349),
    [anon_sym_SEMI] = ACTIONS(3106),
    [anon_sym_EQ] = ACTIONS(3108),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3106),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3106),
    [anon_sym_COMMA] = ACTIONS(3106),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3106),
    [anon_sym_DASH_GT] = ACTIONS(3106),
    [anon_sym_PERCENT] = ACTIONS(3108),
    [anon_sym_GT] = ACTIONS(3108),
    [anon_sym_LT_LT] = ACTIONS(3108),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3106),
    [anon_sym_PLUS_EQ] = ACTIONS(3106),
    [anon_sym_DASH_EQ] = ACTIONS(3106),
    [anon_sym_DOT_EQ] = ACTIONS(3106),
    [anon_sym_STAR_EQ] = ACTIONS(3106),
    [anon_sym_SLASH_EQ] = ACTIONS(3106),
    [anon_sym_PERCENT_EQ] = ACTIONS(3106),
    [anon_sym_x_EQ] = ACTIONS(3106),
    [anon_sym_AMP_EQ] = ACTIONS(3106),
    [anon_sym_PIPE_EQ] = ACTIONS(3106),
    [anon_sym_CARET_EQ] = ACTIONS(3106),
    [anon_sym_LT_LT_EQ] = ACTIONS(3106),
    [anon_sym_GT_GT_EQ] = ACTIONS(3106),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3106),
    [anon_sym_DOT_DOT] = ACTIONS(3108),
    [anon_sym_STAR_STAR] = ACTIONS(3108),
    [anon_sym_PIPE_PIPE] = ACTIONS(3108),
    [anon_sym_SLASH_SLASH] = ACTIONS(3108),
    [anon_sym_CARET_CARET] = ACTIONS(3106),
    [anon_sym_AMP_AMP] = ACTIONS(3108),
    [anon_sym_PIPE] = ACTIONS(3108),
    [anon_sym_CARET] = ACTIONS(3108),
    [anon_sym_AMP] = ACTIONS(3108),
    [anon_sym_GT_GT2] = ACTIONS(3108),
    [anon_sym_PLUS] = ACTIONS(3108),
    [anon_sym_DASH] = ACTIONS(3108),
    [anon_sym_DOT] = ACTIONS(3108),
    [anon_sym_STAR] = ACTIONS(3108),
    [anon_sym_SLASH] = ACTIONS(3108),
    [anon_sym_x] = ACTIONS(3108),
    [anon_sym_EQ_TILDE] = ACTIONS(3106),
    [anon_sym_BANG_TILDE] = ACTIONS(3106),
    [anon_sym_EQ_EQ] = ACTIONS(3108),
    [anon_sym_BANG_EQ] = ACTIONS(3106),
    [anon_sym_eq] = ACTIONS(3108),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3106),
    [anon_sym_equ] = ACTIONS(3106),
    [anon_sym_eqr] = ACTIONS(3106),
    [anon_sym_ne] = ACTIONS(3106),
    [anon_sym_LT_EQ_GT] = ACTIONS(3106),
    [anon_sym_cmp] = ACTIONS(3106),
    [anon_sym_TILDE_TILDE] = ACTIONS(3106),
    [anon_sym_LT] = ACTIONS(3108),
    [anon_sym_LT_EQ] = ACTIONS(3108),
    [anon_sym_GT_EQ] = ACTIONS(3106),
    [anon_sym_lt] = ACTIONS(3106),
    [anon_sym_le] = ACTIONS(3106),
    [anon_sym_ge] = ACTIONS(3106),
    [anon_sym_gt] = ACTIONS(3106),
    [anon_sym_isa] = ACTIONS(3106),
    [anon_sym_PLUS_PLUS] = ACTIONS(3106),
    [anon_sym_DASH_DASH] = ACTIONS(3106),
    [anon_sym_QMARK] = ACTIONS(3106),
    [anon_sym_EQ_GT] = ACTIONS(3106),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3106),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2350] = {
    [sym_heredoc_content] = STATE(2350),
    [anon_sym_SEMI] = ACTIONS(3110),
    [anon_sym_EQ] = ACTIONS(3112),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3110),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3110),
    [anon_sym_COMMA] = ACTIONS(3110),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3110),
    [anon_sym_DASH_GT] = ACTIONS(3110),
    [anon_sym_PERCENT] = ACTIONS(3112),
    [anon_sym_GT] = ACTIONS(3112),
    [anon_sym_LT_LT] = ACTIONS(3112),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3110),
    [anon_sym_PLUS_EQ] = ACTIONS(3110),
    [anon_sym_DASH_EQ] = ACTIONS(3110),
    [anon_sym_DOT_EQ] = ACTIONS(3110),
    [anon_sym_STAR_EQ] = ACTIONS(3110),
    [anon_sym_SLASH_EQ] = ACTIONS(3110),
    [anon_sym_PERCENT_EQ] = ACTIONS(3110),
    [anon_sym_x_EQ] = ACTIONS(3110),
    [anon_sym_AMP_EQ] = ACTIONS(3110),
    [anon_sym_PIPE_EQ] = ACTIONS(3110),
    [anon_sym_CARET_EQ] = ACTIONS(3110),
    [anon_sym_LT_LT_EQ] = ACTIONS(3110),
    [anon_sym_GT_GT_EQ] = ACTIONS(3110),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3110),
    [anon_sym_DOT_DOT] = ACTIONS(3112),
    [anon_sym_STAR_STAR] = ACTIONS(3112),
    [anon_sym_PIPE_PIPE] = ACTIONS(3112),
    [anon_sym_SLASH_SLASH] = ACTIONS(3112),
    [anon_sym_CARET_CARET] = ACTIONS(3110),
    [anon_sym_AMP_AMP] = ACTIONS(3112),
    [anon_sym_PIPE] = ACTIONS(3112),
    [anon_sym_CARET] = ACTIONS(3112),
    [anon_sym_AMP] = ACTIONS(3112),
    [anon_sym_GT_GT2] = ACTIONS(3112),
    [anon_sym_PLUS] = ACTIONS(3112),
    [anon_sym_DASH] = ACTIONS(3112),
    [anon_sym_DOT] = ACTIONS(3112),
    [anon_sym_STAR] = ACTIONS(3112),
    [anon_sym_SLASH] = ACTIONS(3112),
    [anon_sym_x] = ACTIONS(3112),
    [anon_sym_EQ_TILDE] = ACTIONS(3110),
    [anon_sym_BANG_TILDE] = ACTIONS(3110),
    [anon_sym_EQ_EQ] = ACTIONS(3112),
    [anon_sym_BANG_EQ] = ACTIONS(3110),
    [anon_sym_eq] = ACTIONS(3112),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3110),
    [anon_sym_equ] = ACTIONS(3110),
    [anon_sym_eqr] = ACTIONS(3110),
    [anon_sym_ne] = ACTIONS(3110),
    [anon_sym_LT_EQ_GT] = ACTIONS(3110),
    [anon_sym_cmp] = ACTIONS(3110),
    [anon_sym_TILDE_TILDE] = ACTIONS(3110),
    [anon_sym_LT] = ACTIONS(3112),
    [anon_sym_LT_EQ] = ACTIONS(3112),
    [anon_sym_GT_EQ] = ACTIONS(3110),
    [anon_sym_lt] = ACTIONS(3110),
    [anon_sym_le] = ACTIONS(3110),
    [anon_sym_ge] = ACTIONS(3110),
    [anon_sym_gt] = ACTIONS(3110),
    [anon_sym_isa] = ACTIONS(3110),
    [anon_sym_PLUS_PLUS] = ACTIONS(3110),
    [anon_sym_DASH_DASH] = ACTIONS(3110),
    [anon_sym_QMARK] = ACTIONS(3110),
    [anon_sym_EQ_GT] = ACTIONS(3110),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3110),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2351] = {
    [sym_heredoc_content] = STATE(2351),
    [anon_sym_SEMI] = ACTIONS(3114),
    [anon_sym_EQ] = ACTIONS(3116),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3114),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3114),
    [anon_sym_COMMA] = ACTIONS(3114),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3114),
    [anon_sym_DASH_GT] = ACTIONS(3114),
    [anon_sym_PERCENT] = ACTIONS(3116),
    [anon_sym_GT] = ACTIONS(3116),
    [anon_sym_LT_LT] = ACTIONS(3116),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3114),
    [anon_sym_PLUS_EQ] = ACTIONS(3114),
    [anon_sym_DASH_EQ] = ACTIONS(3114),
    [anon_sym_DOT_EQ] = ACTIONS(3114),
    [anon_sym_STAR_EQ] = ACTIONS(3114),
    [anon_sym_SLASH_EQ] = ACTIONS(3114),
    [anon_sym_PERCENT_EQ] = ACTIONS(3114),
    [anon_sym_x_EQ] = ACTIONS(3114),
    [anon_sym_AMP_EQ] = ACTIONS(3114),
    [anon_sym_PIPE_EQ] = ACTIONS(3114),
    [anon_sym_CARET_EQ] = ACTIONS(3114),
    [anon_sym_LT_LT_EQ] = ACTIONS(3114),
    [anon_sym_GT_GT_EQ] = ACTIONS(3114),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3114),
    [anon_sym_DOT_DOT] = ACTIONS(3116),
    [anon_sym_STAR_STAR] = ACTIONS(3116),
    [anon_sym_PIPE_PIPE] = ACTIONS(3116),
    [anon_sym_SLASH_SLASH] = ACTIONS(3116),
    [anon_sym_CARET_CARET] = ACTIONS(3114),
    [anon_sym_AMP_AMP] = ACTIONS(3116),
    [anon_sym_PIPE] = ACTIONS(3116),
    [anon_sym_CARET] = ACTIONS(3116),
    [anon_sym_AMP] = ACTIONS(3116),
    [anon_sym_GT_GT2] = ACTIONS(3116),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_DOT] = ACTIONS(3116),
    [anon_sym_STAR] = ACTIONS(3116),
    [anon_sym_SLASH] = ACTIONS(3116),
    [anon_sym_x] = ACTIONS(3116),
    [anon_sym_EQ_TILDE] = ACTIONS(3114),
    [anon_sym_BANG_TILDE] = ACTIONS(3114),
    [anon_sym_EQ_EQ] = ACTIONS(3116),
    [anon_sym_BANG_EQ] = ACTIONS(3114),
    [anon_sym_eq] = ACTIONS(3116),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3114),
    [anon_sym_equ] = ACTIONS(3114),
    [anon_sym_eqr] = ACTIONS(3114),
    [anon_sym_ne] = ACTIONS(3114),
    [anon_sym_LT_EQ_GT] = ACTIONS(3114),
    [anon_sym_cmp] = ACTIONS(3114),
    [anon_sym_TILDE_TILDE] = ACTIONS(3114),
    [anon_sym_LT] = ACTIONS(3116),
    [anon_sym_LT_EQ] = ACTIONS(3116),
    [anon_sym_GT_EQ] = ACTIONS(3114),
    [anon_sym_lt] = ACTIONS(3114),
    [anon_sym_le] = ACTIONS(3114),
    [anon_sym_ge] = ACTIONS(3114),
    [anon_sym_gt] = ACTIONS(3114),
    [anon_sym_isa] = ACTIONS(3114),
    [anon_sym_PLUS_PLUS] = ACTIONS(3114),
    [anon_sym_DASH_DASH] = ACTIONS(3114),
    [anon_sym_QMARK] = ACTIONS(3114),
    [anon_sym_EQ_GT] = ACTIONS(3114),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3114),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2352] = {
    [sym_heredoc_content] = STATE(2352),
    [anon_sym_SEMI] = ACTIONS(3118),
    [anon_sym_EQ] = ACTIONS(3120),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3118),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3118),
    [anon_sym_COMMA] = ACTIONS(3118),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3118),
    [anon_sym_DASH_GT] = ACTIONS(3118),
    [anon_sym_PERCENT] = ACTIONS(3120),
    [anon_sym_GT] = ACTIONS(3120),
    [anon_sym_LT_LT] = ACTIONS(3120),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3118),
    [anon_sym_PLUS_EQ] = ACTIONS(3118),
    [anon_sym_DASH_EQ] = ACTIONS(3118),
    [anon_sym_DOT_EQ] = ACTIONS(3118),
    [anon_sym_STAR_EQ] = ACTIONS(3118),
    [anon_sym_SLASH_EQ] = ACTIONS(3118),
    [anon_sym_PERCENT_EQ] = ACTIONS(3118),
    [anon_sym_x_EQ] = ACTIONS(3118),
    [anon_sym_AMP_EQ] = ACTIONS(3118),
    [anon_sym_PIPE_EQ] = ACTIONS(3118),
    [anon_sym_CARET_EQ] = ACTIONS(3118),
    [anon_sym_LT_LT_EQ] = ACTIONS(3118),
    [anon_sym_GT_GT_EQ] = ACTIONS(3118),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3118),
    [anon_sym_DOT_DOT] = ACTIONS(3120),
    [anon_sym_STAR_STAR] = ACTIONS(3120),
    [anon_sym_PIPE_PIPE] = ACTIONS(3120),
    [anon_sym_SLASH_SLASH] = ACTIONS(3120),
    [anon_sym_CARET_CARET] = ACTIONS(3118),
    [anon_sym_AMP_AMP] = ACTIONS(3120),
    [anon_sym_PIPE] = ACTIONS(3120),
    [anon_sym_CARET] = ACTIONS(3120),
    [anon_sym_AMP] = ACTIONS(3120),
    [anon_sym_GT_GT2] = ACTIONS(3120),
    [anon_sym_PLUS] = ACTIONS(3120),
    [anon_sym_DASH] = ACTIONS(3120),
    [anon_sym_DOT] = ACTIONS(3120),
    [anon_sym_STAR] = ACTIONS(3120),
    [anon_sym_SLASH] = ACTIONS(3120),
    [anon_sym_x] = ACTIONS(3120),
    [anon_sym_EQ_TILDE] = ACTIONS(3118),
    [anon_sym_BANG_TILDE] = ACTIONS(3118),
    [anon_sym_EQ_EQ] = ACTIONS(3120),
    [anon_sym_BANG_EQ] = ACTIONS(3118),
    [anon_sym_eq] = ACTIONS(3120),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3118),
    [anon_sym_equ] = ACTIONS(3118),
    [anon_sym_eqr] = ACTIONS(3118),
    [anon_sym_ne] = ACTIONS(3118),
    [anon_sym_LT_EQ_GT] = ACTIONS(3118),
    [anon_sym_cmp] = ACTIONS(3118),
    [anon_sym_TILDE_TILDE] = ACTIONS(3118),
    [anon_sym_LT] = ACTIONS(3120),
    [anon_sym_LT_EQ] = ACTIONS(3120),
    [anon_sym_GT_EQ] = ACTIONS(3118),
    [anon_sym_lt] = ACTIONS(3118),
    [anon_sym_le] = ACTIONS(3118),
    [anon_sym_ge] = ACTIONS(3118),
    [anon_sym_gt] = ACTIONS(3118),
    [anon_sym_isa] = ACTIONS(3118),
    [anon_sym_PLUS_PLUS] = ACTIONS(3118),
    [anon_sym_DASH_DASH] = ACTIONS(3118),
    [anon_sym_QMARK] = ACTIONS(3118),
    [anon_sym_EQ_GT] = ACTIONS(3118),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3118),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2353] = {
    [sym_heredoc_content] = STATE(2353),
    [anon_sym_SEMI] = ACTIONS(3047),
    [anon_sym_EQ] = ACTIONS(3049),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3047),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3047),
    [anon_sym_COMMA] = ACTIONS(3047),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3047),
    [anon_sym_DASH_GT] = ACTIONS(3047),
    [anon_sym_PERCENT] = ACTIONS(3049),
    [anon_sym_GT] = ACTIONS(3049),
    [anon_sym_LT_LT] = ACTIONS(3049),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3047),
    [anon_sym_PLUS_EQ] = ACTIONS(3047),
    [anon_sym_DASH_EQ] = ACTIONS(3047),
    [anon_sym_DOT_EQ] = ACTIONS(3047),
    [anon_sym_STAR_EQ] = ACTIONS(3047),
    [anon_sym_SLASH_EQ] = ACTIONS(3047),
    [anon_sym_PERCENT_EQ] = ACTIONS(3047),
    [anon_sym_x_EQ] = ACTIONS(3047),
    [anon_sym_AMP_EQ] = ACTIONS(3047),
    [anon_sym_PIPE_EQ] = ACTIONS(3047),
    [anon_sym_CARET_EQ] = ACTIONS(3047),
    [anon_sym_LT_LT_EQ] = ACTIONS(3047),
    [anon_sym_GT_GT_EQ] = ACTIONS(3047),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3047),
    [anon_sym_DOT_DOT] = ACTIONS(3049),
    [anon_sym_STAR_STAR] = ACTIONS(3049),
    [anon_sym_PIPE_PIPE] = ACTIONS(3049),
    [anon_sym_SLASH_SLASH] = ACTIONS(3049),
    [anon_sym_CARET_CARET] = ACTIONS(3047),
    [anon_sym_AMP_AMP] = ACTIONS(3049),
    [anon_sym_PIPE] = ACTIONS(3049),
    [anon_sym_CARET] = ACTIONS(3049),
    [anon_sym_AMP] = ACTIONS(3049),
    [anon_sym_GT_GT2] = ACTIONS(3049),
    [anon_sym_PLUS] = ACTIONS(3049),
    [anon_sym_DASH] = ACTIONS(3049),
    [anon_sym_DOT] = ACTIONS(3049),
    [anon_sym_STAR] = ACTIONS(3049),
    [anon_sym_SLASH] = ACTIONS(3049),
    [anon_sym_x] = ACTIONS(3049),
    [anon_sym_EQ_TILDE] = ACTIONS(3047),
    [anon_sym_BANG_TILDE] = ACTIONS(3047),
    [anon_sym_EQ_EQ] = ACTIONS(3049),
    [anon_sym_BANG_EQ] = ACTIONS(3047),
    [anon_sym_eq] = ACTIONS(3049),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3047),
    [anon_sym_equ] = ACTIONS(3047),
    [anon_sym_eqr] = ACTIONS(3047),
    [anon_sym_ne] = ACTIONS(3047),
    [anon_sym_LT_EQ_GT] = ACTIONS(3047),
    [anon_sym_cmp] = ACTIONS(3047),
    [anon_sym_TILDE_TILDE] = ACTIONS(3047),
    [anon_sym_LT] = ACTIONS(3049),
    [anon_sym_LT_EQ] = ACTIONS(3049),
    [anon_sym_GT_EQ] = ACTIONS(3047),
    [anon_sym_lt] = ACTIONS(3047),
    [anon_sym_le] = ACTIONS(3047),
    [anon_sym_ge] = ACTIONS(3047),
    [anon_sym_gt] = ACTIONS(3047),
    [anon_sym_isa] = ACTIONS(3047),
    [anon_sym_PLUS_PLUS] = ACTIONS(3047),
    [anon_sym_DASH_DASH] = ACTIONS(3047),
    [anon_sym_QMARK] = ACTIONS(3047),
    [anon_sym_EQ_GT] = ACTIONS(3047),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3047),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2354] = {
    [sym_heredoc_content] = STATE(2354),
    [anon_sym_SEMI] = ACTIONS(3122),
    [anon_sym_EQ] = ACTIONS(3124),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3122),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3122),
    [anon_sym_COMMA] = ACTIONS(3122),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3122),
    [anon_sym_DASH_GT] = ACTIONS(3122),
    [anon_sym_PERCENT] = ACTIONS(3124),
    [anon_sym_GT] = ACTIONS(3124),
    [anon_sym_LT_LT] = ACTIONS(3124),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3122),
    [anon_sym_PLUS_EQ] = ACTIONS(3122),
    [anon_sym_DASH_EQ] = ACTIONS(3122),
    [anon_sym_DOT_EQ] = ACTIONS(3122),
    [anon_sym_STAR_EQ] = ACTIONS(3122),
    [anon_sym_SLASH_EQ] = ACTIONS(3122),
    [anon_sym_PERCENT_EQ] = ACTIONS(3122),
    [anon_sym_x_EQ] = ACTIONS(3122),
    [anon_sym_AMP_EQ] = ACTIONS(3122),
    [anon_sym_PIPE_EQ] = ACTIONS(3122),
    [anon_sym_CARET_EQ] = ACTIONS(3122),
    [anon_sym_LT_LT_EQ] = ACTIONS(3122),
    [anon_sym_GT_GT_EQ] = ACTIONS(3122),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3122),
    [anon_sym_DOT_DOT] = ACTIONS(3124),
    [anon_sym_STAR_STAR] = ACTIONS(3124),
    [anon_sym_PIPE_PIPE] = ACTIONS(3124),
    [anon_sym_SLASH_SLASH] = ACTIONS(3124),
    [anon_sym_CARET_CARET] = ACTIONS(3122),
    [anon_sym_AMP_AMP] = ACTIONS(3124),
    [anon_sym_PIPE] = ACTIONS(3124),
    [anon_sym_CARET] = ACTIONS(3124),
    [anon_sym_AMP] = ACTIONS(3124),
    [anon_sym_GT_GT2] = ACTIONS(3124),
    [anon_sym_PLUS] = ACTIONS(3124),
    [anon_sym_DASH] = ACTIONS(3124),
    [anon_sym_DOT] = ACTIONS(3124),
    [anon_sym_STAR] = ACTIONS(3124),
    [anon_sym_SLASH] = ACTIONS(3124),
    [anon_sym_x] = ACTIONS(3124),
    [anon_sym_EQ_TILDE] = ACTIONS(3122),
    [anon_sym_BANG_TILDE] = ACTIONS(3122),
    [anon_sym_EQ_EQ] = ACTIONS(3124),
    [anon_sym_BANG_EQ] = ACTIONS(3122),
    [anon_sym_eq] = ACTIONS(3124),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3122),
    [anon_sym_equ] = ACTIONS(3122),
    [anon_sym_eqr] = ACTIONS(3122),
    [anon_sym_ne] = ACTIONS(3122),
    [anon_sym_LT_EQ_GT] = ACTIONS(3122),
    [anon_sym_cmp] = ACTIONS(3122),
    [anon_sym_TILDE_TILDE] = ACTIONS(3122),
    [anon_sym_LT] = ACTIONS(3124),
    [anon_sym_LT_EQ] = ACTIONS(3124),
    [anon_sym_GT_EQ] = ACTIONS(3122),
    [anon_sym_lt] = ACTIONS(3122),
    [anon_sym_le] = ACTIONS(3122),
    [anon_sym_ge] = ACTIONS(3122),
    [anon_sym_gt] = ACTIONS(3122),
    [anon_sym_isa] = ACTIONS(3122),
    [anon_sym_PLUS_PLUS] = ACTIONS(3122),
    [anon_sym_DASH_DASH] = ACTIONS(3122),
    [anon_sym_QMARK] = ACTIONS(3122),
    [anon_sym_EQ_GT] = ACTIONS(3122),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3122),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2355] = {
    [sym_heredoc_content] = STATE(2355),
    [anon_sym_SEMI] = ACTIONS(3134),
    [anon_sym_EQ] = ACTIONS(3136),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3134),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3134),
    [anon_sym_COMMA] = ACTIONS(3134),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3134),
    [anon_sym_DASH_GT] = ACTIONS(3134),
    [anon_sym_PERCENT] = ACTIONS(3136),
    [anon_sym_GT] = ACTIONS(3136),
    [anon_sym_LT_LT] = ACTIONS(3136),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3134),
    [anon_sym_PLUS_EQ] = ACTIONS(3134),
    [anon_sym_DASH_EQ] = ACTIONS(3134),
    [anon_sym_DOT_EQ] = ACTIONS(3134),
    [anon_sym_STAR_EQ] = ACTIONS(3134),
    [anon_sym_SLASH_EQ] = ACTIONS(3134),
    [anon_sym_PERCENT_EQ] = ACTIONS(3134),
    [anon_sym_x_EQ] = ACTIONS(3134),
    [anon_sym_AMP_EQ] = ACTIONS(3134),
    [anon_sym_PIPE_EQ] = ACTIONS(3134),
    [anon_sym_CARET_EQ] = ACTIONS(3134),
    [anon_sym_LT_LT_EQ] = ACTIONS(3134),
    [anon_sym_GT_GT_EQ] = ACTIONS(3134),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3134),
    [anon_sym_DOT_DOT] = ACTIONS(3136),
    [anon_sym_STAR_STAR] = ACTIONS(3136),
    [anon_sym_PIPE_PIPE] = ACTIONS(3136),
    [anon_sym_SLASH_SLASH] = ACTIONS(3136),
    [anon_sym_CARET_CARET] = ACTIONS(3134),
    [anon_sym_AMP_AMP] = ACTIONS(3136),
    [anon_sym_PIPE] = ACTIONS(3136),
    [anon_sym_CARET] = ACTIONS(3136),
    [anon_sym_AMP] = ACTIONS(3136),
    [anon_sym_GT_GT2] = ACTIONS(3136),
    [anon_sym_PLUS] = ACTIONS(3136),
    [anon_sym_DASH] = ACTIONS(3136),
    [anon_sym_DOT] = ACTIONS(3136),
    [anon_sym_STAR] = ACTIONS(3136),
    [anon_sym_SLASH] = ACTIONS(3136),
    [anon_sym_x] = ACTIONS(3136),
    [anon_sym_EQ_TILDE] = ACTIONS(3134),
    [anon_sym_BANG_TILDE] = ACTIONS(3134),
    [anon_sym_EQ_EQ] = ACTIONS(3136),
    [anon_sym_BANG_EQ] = ACTIONS(3134),
    [anon_sym_eq] = ACTIONS(3136),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3134),
    [anon_sym_equ] = ACTIONS(3134),
    [anon_sym_eqr] = ACTIONS(3134),
    [anon_sym_ne] = ACTIONS(3134),
    [anon_sym_LT_EQ_GT] = ACTIONS(3134),
    [anon_sym_cmp] = ACTIONS(3134),
    [anon_sym_TILDE_TILDE] = ACTIONS(3134),
    [anon_sym_LT] = ACTIONS(3136),
    [anon_sym_LT_EQ] = ACTIONS(3136),
    [anon_sym_GT_EQ] = ACTIONS(3134),
    [anon_sym_lt] = ACTIONS(3134),
    [anon_sym_le] = ACTIONS(3134),
    [anon_sym_ge] = ACTIONS(3134),
    [anon_sym_gt] = ACTIONS(3134),
    [anon_sym_isa] = ACTIONS(3134),
    [anon_sym_PLUS_PLUS] = ACTIONS(3134),
    [anon_sym_DASH_DASH] = ACTIONS(3134),
    [anon_sym_QMARK] = ACTIONS(3134),
    [anon_sym_EQ_GT] = ACTIONS(3134),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3134),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2356] = {
    [sym_heredoc_content] = STATE(2356),
    [anon_sym_RBRACE] = ACTIONS(2829),
    [anon_sym_EQ] = ACTIONS(3823),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3825),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3825),
    [anon_sym_COMMA] = ACTIONS(2829),
    [anon_sym_RPAREN] = ACTIONS(2829),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3829),
    [anon_sym_DASH_GT] = ACTIONS(3831),
    [anon_sym_PERCENT] = ACTIONS(3833),
    [anon_sym_GT] = ACTIONS(3835),
    [anon_sym_LT_LT] = ACTIONS(3837),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3825),
    [anon_sym_PLUS_EQ] = ACTIONS(3825),
    [anon_sym_DASH_EQ] = ACTIONS(3825),
    [anon_sym_DOT_EQ] = ACTIONS(3825),
    [anon_sym_STAR_EQ] = ACTIONS(3825),
    [anon_sym_SLASH_EQ] = ACTIONS(3825),
    [anon_sym_PERCENT_EQ] = ACTIONS(3825),
    [anon_sym_x_EQ] = ACTIONS(3825),
    [anon_sym_AMP_EQ] = ACTIONS(3825),
    [anon_sym_PIPE_EQ] = ACTIONS(3825),
    [anon_sym_CARET_EQ] = ACTIONS(3825),
    [anon_sym_LT_LT_EQ] = ACTIONS(3825),
    [anon_sym_GT_GT_EQ] = ACTIONS(3825),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3825),
    [anon_sym_DOT_DOT] = ACTIONS(3839),
    [anon_sym_STAR_STAR] = ACTIONS(3841),
    [anon_sym_PIPE_PIPE] = ACTIONS(3843),
    [anon_sym_SLASH_SLASH] = ACTIONS(3843),
    [anon_sym_CARET_CARET] = ACTIONS(3845),
    [anon_sym_AMP_AMP] = ACTIONS(3847),
    [anon_sym_PIPE] = ACTIONS(3849),
    [anon_sym_CARET] = ACTIONS(3849),
    [anon_sym_AMP] = ACTIONS(3851),
    [anon_sym_GT_GT2] = ACTIONS(3837),
    [anon_sym_PLUS] = ACTIONS(3853),
    [anon_sym_DASH] = ACTIONS(3853),
    [anon_sym_DOT] = ACTIONS(3853),
    [anon_sym_STAR] = ACTIONS(3833),
    [anon_sym_SLASH] = ACTIONS(3833),
    [anon_sym_x] = ACTIONS(3833),
    [anon_sym_EQ_TILDE] = ACTIONS(3855),
    [anon_sym_BANG_TILDE] = ACTIONS(3855),
    [anon_sym_EQ_EQ] = ACTIONS(3857),
    [anon_sym_BANG_EQ] = ACTIONS(3859),
    [anon_sym_eq] = ACTIONS(3857),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3859),
    [anon_sym_equ] = ACTIONS(3859),
    [anon_sym_eqr] = ACTIONS(3859),
    [anon_sym_ne] = ACTIONS(3859),
    [anon_sym_LT_EQ_GT] = ACTIONS(3861),
    [anon_sym_cmp] = ACTIONS(3861),
    [anon_sym_TILDE_TILDE] = ACTIONS(3861),
    [anon_sym_LT] = ACTIONS(3835),
    [anon_sym_LT_EQ] = ACTIONS(3835),
    [anon_sym_GT_EQ] = ACTIONS(3863),
    [anon_sym_lt] = ACTIONS(3863),
    [anon_sym_le] = ACTIONS(3863),
    [anon_sym_ge] = ACTIONS(3863),
    [anon_sym_gt] = ACTIONS(3863),
    [anon_sym_isa] = ACTIONS(3865),
    [anon_sym_PLUS_PLUS] = ACTIONS(3867),
    [anon_sym_DASH_DASH] = ACTIONS(3867),
    [anon_sym_QMARK] = ACTIONS(3869),
    [anon_sym_EQ_GT] = ACTIONS(2829),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2357] = {
    [sym_heredoc_content] = STATE(2357),
    [anon_sym_SEMI] = ACTIONS(3138),
    [anon_sym_EQ] = ACTIONS(3140),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3138),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3138),
    [anon_sym_COMMA] = ACTIONS(3138),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3138),
    [anon_sym_DASH_GT] = ACTIONS(3138),
    [anon_sym_PERCENT] = ACTIONS(3140),
    [anon_sym_GT] = ACTIONS(3140),
    [anon_sym_LT_LT] = ACTIONS(3140),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3138),
    [anon_sym_PLUS_EQ] = ACTIONS(3138),
    [anon_sym_DASH_EQ] = ACTIONS(3138),
    [anon_sym_DOT_EQ] = ACTIONS(3138),
    [anon_sym_STAR_EQ] = ACTIONS(3138),
    [anon_sym_SLASH_EQ] = ACTIONS(3138),
    [anon_sym_PERCENT_EQ] = ACTIONS(3138),
    [anon_sym_x_EQ] = ACTIONS(3138),
    [anon_sym_AMP_EQ] = ACTIONS(3138),
    [anon_sym_PIPE_EQ] = ACTIONS(3138),
    [anon_sym_CARET_EQ] = ACTIONS(3138),
    [anon_sym_LT_LT_EQ] = ACTIONS(3138),
    [anon_sym_GT_GT_EQ] = ACTIONS(3138),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3138),
    [anon_sym_DOT_DOT] = ACTIONS(3140),
    [anon_sym_STAR_STAR] = ACTIONS(3140),
    [anon_sym_PIPE_PIPE] = ACTIONS(3140),
    [anon_sym_SLASH_SLASH] = ACTIONS(3140),
    [anon_sym_CARET_CARET] = ACTIONS(3138),
    [anon_sym_AMP_AMP] = ACTIONS(3140),
    [anon_sym_PIPE] = ACTIONS(3140),
    [anon_sym_CARET] = ACTIONS(3140),
    [anon_sym_AMP] = ACTIONS(3140),
    [anon_sym_GT_GT2] = ACTIONS(3140),
    [anon_sym_PLUS] = ACTIONS(3140),
    [anon_sym_DASH] = ACTIONS(3140),
    [anon_sym_DOT] = ACTIONS(3140),
    [anon_sym_STAR] = ACTIONS(3140),
    [anon_sym_SLASH] = ACTIONS(3140),
    [anon_sym_x] = ACTIONS(3140),
    [anon_sym_EQ_TILDE] = ACTIONS(3138),
    [anon_sym_BANG_TILDE] = ACTIONS(3138),
    [anon_sym_EQ_EQ] = ACTIONS(3140),
    [anon_sym_BANG_EQ] = ACTIONS(3138),
    [anon_sym_eq] = ACTIONS(3140),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3138),
    [anon_sym_equ] = ACTIONS(3138),
    [anon_sym_eqr] = ACTIONS(3138),
    [anon_sym_ne] = ACTIONS(3138),
    [anon_sym_LT_EQ_GT] = ACTIONS(3138),
    [anon_sym_cmp] = ACTIONS(3138),
    [anon_sym_TILDE_TILDE] = ACTIONS(3138),
    [anon_sym_LT] = ACTIONS(3140),
    [anon_sym_LT_EQ] = ACTIONS(3140),
    [anon_sym_GT_EQ] = ACTIONS(3138),
    [anon_sym_lt] = ACTIONS(3138),
    [anon_sym_le] = ACTIONS(3138),
    [anon_sym_ge] = ACTIONS(3138),
    [anon_sym_gt] = ACTIONS(3138),
    [anon_sym_isa] = ACTIONS(3138),
    [anon_sym_PLUS_PLUS] = ACTIONS(3138),
    [anon_sym_DASH_DASH] = ACTIONS(3138),
    [anon_sym_QMARK] = ACTIONS(3138),
    [anon_sym_EQ_GT] = ACTIONS(3138),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3138),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2358] = {
    [sym_heredoc_content] = STATE(2358),
    [anon_sym_SEMI] = ACTIONS(3142),
    [anon_sym_EQ] = ACTIONS(3144),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3142),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3142),
    [anon_sym_COMMA] = ACTIONS(3142),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3142),
    [anon_sym_DASH_GT] = ACTIONS(3142),
    [anon_sym_PERCENT] = ACTIONS(3144),
    [anon_sym_GT] = ACTIONS(3144),
    [anon_sym_LT_LT] = ACTIONS(3144),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3142),
    [anon_sym_PLUS_EQ] = ACTIONS(3142),
    [anon_sym_DASH_EQ] = ACTIONS(3142),
    [anon_sym_DOT_EQ] = ACTIONS(3142),
    [anon_sym_STAR_EQ] = ACTIONS(3142),
    [anon_sym_SLASH_EQ] = ACTIONS(3142),
    [anon_sym_PERCENT_EQ] = ACTIONS(3142),
    [anon_sym_x_EQ] = ACTIONS(3142),
    [anon_sym_AMP_EQ] = ACTIONS(3142),
    [anon_sym_PIPE_EQ] = ACTIONS(3142),
    [anon_sym_CARET_EQ] = ACTIONS(3142),
    [anon_sym_LT_LT_EQ] = ACTIONS(3142),
    [anon_sym_GT_GT_EQ] = ACTIONS(3142),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3142),
    [anon_sym_DOT_DOT] = ACTIONS(3144),
    [anon_sym_STAR_STAR] = ACTIONS(3144),
    [anon_sym_PIPE_PIPE] = ACTIONS(3144),
    [anon_sym_SLASH_SLASH] = ACTIONS(3144),
    [anon_sym_CARET_CARET] = ACTIONS(3142),
    [anon_sym_AMP_AMP] = ACTIONS(3144),
    [anon_sym_PIPE] = ACTIONS(3144),
    [anon_sym_CARET] = ACTIONS(3144),
    [anon_sym_AMP] = ACTIONS(3144),
    [anon_sym_GT_GT2] = ACTIONS(3144),
    [anon_sym_PLUS] = ACTIONS(3144),
    [anon_sym_DASH] = ACTIONS(3144),
    [anon_sym_DOT] = ACTIONS(3144),
    [anon_sym_STAR] = ACTIONS(3144),
    [anon_sym_SLASH] = ACTIONS(3144),
    [anon_sym_x] = ACTIONS(3144),
    [anon_sym_EQ_TILDE] = ACTIONS(3142),
    [anon_sym_BANG_TILDE] = ACTIONS(3142),
    [anon_sym_EQ_EQ] = ACTIONS(3144),
    [anon_sym_BANG_EQ] = ACTIONS(3142),
    [anon_sym_eq] = ACTIONS(3144),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3142),
    [anon_sym_equ] = ACTIONS(3142),
    [anon_sym_eqr] = ACTIONS(3142),
    [anon_sym_ne] = ACTIONS(3142),
    [anon_sym_LT_EQ_GT] = ACTIONS(3142),
    [anon_sym_cmp] = ACTIONS(3142),
    [anon_sym_TILDE_TILDE] = ACTIONS(3142),
    [anon_sym_LT] = ACTIONS(3144),
    [anon_sym_LT_EQ] = ACTIONS(3144),
    [anon_sym_GT_EQ] = ACTIONS(3142),
    [anon_sym_lt] = ACTIONS(3142),
    [anon_sym_le] = ACTIONS(3142),
    [anon_sym_ge] = ACTIONS(3142),
    [anon_sym_gt] = ACTIONS(3142),
    [anon_sym_isa] = ACTIONS(3142),
    [anon_sym_PLUS_PLUS] = ACTIONS(3142),
    [anon_sym_DASH_DASH] = ACTIONS(3142),
    [anon_sym_QMARK] = ACTIONS(3142),
    [anon_sym_EQ_GT] = ACTIONS(3142),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3142),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2359] = {
    [sym_heredoc_content] = STATE(2359),
    [anon_sym_SEMI] = ACTIONS(3090),
    [anon_sym_EQ] = ACTIONS(3754),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3756),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3756),
    [anon_sym_COMMA] = ACTIONS(3090),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3758),
    [anon_sym_DASH_GT] = ACTIONS(3760),
    [anon_sym_PERCENT] = ACTIONS(3762),
    [anon_sym_GT] = ACTIONS(3764),
    [anon_sym_LT_LT] = ACTIONS(3766),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3756),
    [anon_sym_PLUS_EQ] = ACTIONS(3756),
    [anon_sym_DASH_EQ] = ACTIONS(3756),
    [anon_sym_DOT_EQ] = ACTIONS(3756),
    [anon_sym_STAR_EQ] = ACTIONS(3756),
    [anon_sym_SLASH_EQ] = ACTIONS(3756),
    [anon_sym_PERCENT_EQ] = ACTIONS(3756),
    [anon_sym_x_EQ] = ACTIONS(3756),
    [anon_sym_AMP_EQ] = ACTIONS(3756),
    [anon_sym_PIPE_EQ] = ACTIONS(3756),
    [anon_sym_CARET_EQ] = ACTIONS(3756),
    [anon_sym_LT_LT_EQ] = ACTIONS(3756),
    [anon_sym_GT_GT_EQ] = ACTIONS(3756),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3756),
    [anon_sym_DOT_DOT] = ACTIONS(3768),
    [anon_sym_STAR_STAR] = ACTIONS(3770),
    [anon_sym_PIPE_PIPE] = ACTIONS(3772),
    [anon_sym_SLASH_SLASH] = ACTIONS(3772),
    [anon_sym_CARET_CARET] = ACTIONS(3774),
    [anon_sym_AMP_AMP] = ACTIONS(3776),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3780),
    [anon_sym_GT_GT2] = ACTIONS(3766),
    [anon_sym_PLUS] = ACTIONS(3782),
    [anon_sym_DASH] = ACTIONS(3782),
    [anon_sym_DOT] = ACTIONS(3782),
    [anon_sym_STAR] = ACTIONS(3762),
    [anon_sym_SLASH] = ACTIONS(3762),
    [anon_sym_x] = ACTIONS(3762),
    [anon_sym_EQ_TILDE] = ACTIONS(3784),
    [anon_sym_BANG_TILDE] = ACTIONS(3784),
    [anon_sym_EQ_EQ] = ACTIONS(3786),
    [anon_sym_BANG_EQ] = ACTIONS(3788),
    [anon_sym_eq] = ACTIONS(3786),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3788),
    [anon_sym_equ] = ACTIONS(3788),
    [anon_sym_eqr] = ACTIONS(3788),
    [anon_sym_ne] = ACTIONS(3788),
    [anon_sym_LT_EQ_GT] = ACTIONS(3790),
    [anon_sym_cmp] = ACTIONS(3790),
    [anon_sym_TILDE_TILDE] = ACTIONS(3790),
    [anon_sym_LT] = ACTIONS(3764),
    [anon_sym_LT_EQ] = ACTIONS(3764),
    [anon_sym_GT_EQ] = ACTIONS(3792),
    [anon_sym_lt] = ACTIONS(3792),
    [anon_sym_le] = ACTIONS(3792),
    [anon_sym_ge] = ACTIONS(3792),
    [anon_sym_gt] = ACTIONS(3792),
    [anon_sym_isa] = ACTIONS(3794),
    [anon_sym_PLUS_PLUS] = ACTIONS(3796),
    [anon_sym_DASH_DASH] = ACTIONS(3796),
    [anon_sym_QMARK] = ACTIONS(3798),
    [anon_sym_EQ_GT] = ACTIONS(3090),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3090),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2360] = {
    [sym_heredoc_content] = STATE(2360),
    [anon_sym_RBRACE] = ACTIONS(2845),
    [anon_sym_EQ] = ACTIONS(2847),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2845),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2845),
    [anon_sym_COMMA] = ACTIONS(2845),
    [anon_sym_RPAREN] = ACTIONS(2845),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2845),
    [anon_sym_DASH_GT] = ACTIONS(3831),
    [anon_sym_PERCENT] = ACTIONS(3833),
    [anon_sym_GT] = ACTIONS(2847),
    [anon_sym_LT_LT] = ACTIONS(3837),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2845),
    [anon_sym_PLUS_EQ] = ACTIONS(2845),
    [anon_sym_DASH_EQ] = ACTIONS(2845),
    [anon_sym_DOT_EQ] = ACTIONS(2845),
    [anon_sym_STAR_EQ] = ACTIONS(2845),
    [anon_sym_SLASH_EQ] = ACTIONS(2845),
    [anon_sym_PERCENT_EQ] = ACTIONS(2845),
    [anon_sym_x_EQ] = ACTIONS(2845),
    [anon_sym_AMP_EQ] = ACTIONS(2845),
    [anon_sym_PIPE_EQ] = ACTIONS(2845),
    [anon_sym_CARET_EQ] = ACTIONS(2845),
    [anon_sym_LT_LT_EQ] = ACTIONS(2845),
    [anon_sym_GT_GT_EQ] = ACTIONS(2845),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2845),
    [anon_sym_DOT_DOT] = ACTIONS(2847),
    [anon_sym_STAR_STAR] = ACTIONS(3841),
    [anon_sym_PIPE_PIPE] = ACTIONS(2847),
    [anon_sym_SLASH_SLASH] = ACTIONS(2847),
    [anon_sym_CARET_CARET] = ACTIONS(2845),
    [anon_sym_AMP_AMP] = ACTIONS(2847),
    [anon_sym_PIPE] = ACTIONS(2847),
    [anon_sym_CARET] = ACTIONS(2847),
    [anon_sym_AMP] = ACTIONS(2847),
    [anon_sym_GT_GT2] = ACTIONS(3837),
    [anon_sym_PLUS] = ACTIONS(3853),
    [anon_sym_DASH] = ACTIONS(3853),
    [anon_sym_DOT] = ACTIONS(3853),
    [anon_sym_STAR] = ACTIONS(3833),
    [anon_sym_SLASH] = ACTIONS(3833),
    [anon_sym_x] = ACTIONS(3833),
    [anon_sym_EQ_TILDE] = ACTIONS(3855),
    [anon_sym_BANG_TILDE] = ACTIONS(3855),
    [anon_sym_EQ_EQ] = ACTIONS(2847),
    [anon_sym_BANG_EQ] = ACTIONS(2845),
    [anon_sym_eq] = ACTIONS(2847),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2845),
    [anon_sym_equ] = ACTIONS(2845),
    [anon_sym_eqr] = ACTIONS(2845),
    [anon_sym_ne] = ACTIONS(2845),
    [anon_sym_LT_EQ_GT] = ACTIONS(2845),
    [anon_sym_cmp] = ACTIONS(2845),
    [anon_sym_TILDE_TILDE] = ACTIONS(2845),
    [anon_sym_LT] = ACTIONS(2847),
    [anon_sym_LT_EQ] = ACTIONS(2847),
    [anon_sym_GT_EQ] = ACTIONS(2845),
    [anon_sym_lt] = ACTIONS(2845),
    [anon_sym_le] = ACTIONS(2845),
    [anon_sym_ge] = ACTIONS(2845),
    [anon_sym_gt] = ACTIONS(2845),
    [anon_sym_isa] = ACTIONS(2845),
    [anon_sym_PLUS_PLUS] = ACTIONS(3867),
    [anon_sym_DASH_DASH] = ACTIONS(3867),
    [anon_sym_QMARK] = ACTIONS(2845),
    [anon_sym_EQ_GT] = ACTIONS(2845),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2361] = {
    [sym_heredoc_content] = STATE(2361),
    [anon_sym_SEMI] = ACTIONS(3146),
    [anon_sym_EQ] = ACTIONS(3148),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3146),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3146),
    [anon_sym_COMMA] = ACTIONS(3146),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3146),
    [anon_sym_DASH_GT] = ACTIONS(3146),
    [anon_sym_PERCENT] = ACTIONS(3148),
    [anon_sym_GT] = ACTIONS(3148),
    [anon_sym_LT_LT] = ACTIONS(3148),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3146),
    [anon_sym_PLUS_EQ] = ACTIONS(3146),
    [anon_sym_DASH_EQ] = ACTIONS(3146),
    [anon_sym_DOT_EQ] = ACTIONS(3146),
    [anon_sym_STAR_EQ] = ACTIONS(3146),
    [anon_sym_SLASH_EQ] = ACTIONS(3146),
    [anon_sym_PERCENT_EQ] = ACTIONS(3146),
    [anon_sym_x_EQ] = ACTIONS(3146),
    [anon_sym_AMP_EQ] = ACTIONS(3146),
    [anon_sym_PIPE_EQ] = ACTIONS(3146),
    [anon_sym_CARET_EQ] = ACTIONS(3146),
    [anon_sym_LT_LT_EQ] = ACTIONS(3146),
    [anon_sym_GT_GT_EQ] = ACTIONS(3146),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3146),
    [anon_sym_DOT_DOT] = ACTIONS(3148),
    [anon_sym_STAR_STAR] = ACTIONS(3148),
    [anon_sym_PIPE_PIPE] = ACTIONS(3148),
    [anon_sym_SLASH_SLASH] = ACTIONS(3148),
    [anon_sym_CARET_CARET] = ACTIONS(3146),
    [anon_sym_AMP_AMP] = ACTIONS(3148),
    [anon_sym_PIPE] = ACTIONS(3148),
    [anon_sym_CARET] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3148),
    [anon_sym_GT_GT2] = ACTIONS(3148),
    [anon_sym_PLUS] = ACTIONS(3148),
    [anon_sym_DASH] = ACTIONS(3148),
    [anon_sym_DOT] = ACTIONS(3148),
    [anon_sym_STAR] = ACTIONS(3148),
    [anon_sym_SLASH] = ACTIONS(3148),
    [anon_sym_x] = ACTIONS(3148),
    [anon_sym_EQ_TILDE] = ACTIONS(3146),
    [anon_sym_BANG_TILDE] = ACTIONS(3146),
    [anon_sym_EQ_EQ] = ACTIONS(3148),
    [anon_sym_BANG_EQ] = ACTIONS(3146),
    [anon_sym_eq] = ACTIONS(3148),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3146),
    [anon_sym_equ] = ACTIONS(3146),
    [anon_sym_eqr] = ACTIONS(3146),
    [anon_sym_ne] = ACTIONS(3146),
    [anon_sym_LT_EQ_GT] = ACTIONS(3146),
    [anon_sym_cmp] = ACTIONS(3146),
    [anon_sym_TILDE_TILDE] = ACTIONS(3146),
    [anon_sym_LT] = ACTIONS(3148),
    [anon_sym_LT_EQ] = ACTIONS(3148),
    [anon_sym_GT_EQ] = ACTIONS(3146),
    [anon_sym_lt] = ACTIONS(3146),
    [anon_sym_le] = ACTIONS(3146),
    [anon_sym_ge] = ACTIONS(3146),
    [anon_sym_gt] = ACTIONS(3146),
    [anon_sym_isa] = ACTIONS(3146),
    [anon_sym_PLUS_PLUS] = ACTIONS(3146),
    [anon_sym_DASH_DASH] = ACTIONS(3146),
    [anon_sym_QMARK] = ACTIONS(3146),
    [anon_sym_EQ_GT] = ACTIONS(3146),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3146),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2362] = {
    [sym_heredoc_content] = STATE(2362),
    [anon_sym_SEMI] = ACTIONS(3214),
    [anon_sym_EQ] = ACTIONS(3216),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3214),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3214),
    [anon_sym_COMMA] = ACTIONS(3214),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3214),
    [anon_sym_DASH_GT] = ACTIONS(3214),
    [anon_sym_PERCENT] = ACTIONS(3216),
    [anon_sym_GT] = ACTIONS(3216),
    [anon_sym_LT_LT] = ACTIONS(3216),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3214),
    [anon_sym_PLUS_EQ] = ACTIONS(3214),
    [anon_sym_DASH_EQ] = ACTIONS(3214),
    [anon_sym_DOT_EQ] = ACTIONS(3214),
    [anon_sym_STAR_EQ] = ACTIONS(3214),
    [anon_sym_SLASH_EQ] = ACTIONS(3214),
    [anon_sym_PERCENT_EQ] = ACTIONS(3214),
    [anon_sym_x_EQ] = ACTIONS(3214),
    [anon_sym_AMP_EQ] = ACTIONS(3214),
    [anon_sym_PIPE_EQ] = ACTIONS(3214),
    [anon_sym_CARET_EQ] = ACTIONS(3214),
    [anon_sym_LT_LT_EQ] = ACTIONS(3214),
    [anon_sym_GT_GT_EQ] = ACTIONS(3214),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3214),
    [anon_sym_DOT_DOT] = ACTIONS(3216),
    [anon_sym_STAR_STAR] = ACTIONS(3216),
    [anon_sym_PIPE_PIPE] = ACTIONS(3216),
    [anon_sym_SLASH_SLASH] = ACTIONS(3216),
    [anon_sym_CARET_CARET] = ACTIONS(3214),
    [anon_sym_AMP_AMP] = ACTIONS(3216),
    [anon_sym_PIPE] = ACTIONS(3216),
    [anon_sym_CARET] = ACTIONS(3216),
    [anon_sym_AMP] = ACTIONS(3216),
    [anon_sym_GT_GT2] = ACTIONS(3216),
    [anon_sym_PLUS] = ACTIONS(3216),
    [anon_sym_DASH] = ACTIONS(3216),
    [anon_sym_DOT] = ACTIONS(3216),
    [anon_sym_STAR] = ACTIONS(3216),
    [anon_sym_SLASH] = ACTIONS(3216),
    [anon_sym_x] = ACTIONS(3216),
    [anon_sym_EQ_TILDE] = ACTIONS(3214),
    [anon_sym_BANG_TILDE] = ACTIONS(3214),
    [anon_sym_EQ_EQ] = ACTIONS(3216),
    [anon_sym_BANG_EQ] = ACTIONS(3214),
    [anon_sym_eq] = ACTIONS(3216),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3214),
    [anon_sym_equ] = ACTIONS(3214),
    [anon_sym_eqr] = ACTIONS(3214),
    [anon_sym_ne] = ACTIONS(3214),
    [anon_sym_LT_EQ_GT] = ACTIONS(3214),
    [anon_sym_cmp] = ACTIONS(3214),
    [anon_sym_TILDE_TILDE] = ACTIONS(3214),
    [anon_sym_LT] = ACTIONS(3216),
    [anon_sym_LT_EQ] = ACTIONS(3216),
    [anon_sym_GT_EQ] = ACTIONS(3214),
    [anon_sym_lt] = ACTIONS(3214),
    [anon_sym_le] = ACTIONS(3214),
    [anon_sym_ge] = ACTIONS(3214),
    [anon_sym_gt] = ACTIONS(3214),
    [anon_sym_isa] = ACTIONS(3214),
    [anon_sym_PLUS_PLUS] = ACTIONS(3214),
    [anon_sym_DASH_DASH] = ACTIONS(3214),
    [anon_sym_QMARK] = ACTIONS(3214),
    [anon_sym_EQ_GT] = ACTIONS(3214),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3214),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2363] = {
    [sym_heredoc_content] = STATE(2363),
    [anon_sym_SEMI] = ACTIONS(3150),
    [anon_sym_EQ] = ACTIONS(3152),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3150),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3150),
    [anon_sym_COMMA] = ACTIONS(3150),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3150),
    [anon_sym_DASH_GT] = ACTIONS(3150),
    [anon_sym_PERCENT] = ACTIONS(3152),
    [anon_sym_GT] = ACTIONS(3152),
    [anon_sym_LT_LT] = ACTIONS(3152),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3150),
    [anon_sym_PLUS_EQ] = ACTIONS(3150),
    [anon_sym_DASH_EQ] = ACTIONS(3150),
    [anon_sym_DOT_EQ] = ACTIONS(3150),
    [anon_sym_STAR_EQ] = ACTIONS(3150),
    [anon_sym_SLASH_EQ] = ACTIONS(3150),
    [anon_sym_PERCENT_EQ] = ACTIONS(3150),
    [anon_sym_x_EQ] = ACTIONS(3150),
    [anon_sym_AMP_EQ] = ACTIONS(3150),
    [anon_sym_PIPE_EQ] = ACTIONS(3150),
    [anon_sym_CARET_EQ] = ACTIONS(3150),
    [anon_sym_LT_LT_EQ] = ACTIONS(3150),
    [anon_sym_GT_GT_EQ] = ACTIONS(3150),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3150),
    [anon_sym_DOT_DOT] = ACTIONS(3152),
    [anon_sym_STAR_STAR] = ACTIONS(3152),
    [anon_sym_PIPE_PIPE] = ACTIONS(3152),
    [anon_sym_SLASH_SLASH] = ACTIONS(3152),
    [anon_sym_CARET_CARET] = ACTIONS(3150),
    [anon_sym_AMP_AMP] = ACTIONS(3152),
    [anon_sym_PIPE] = ACTIONS(3152),
    [anon_sym_CARET] = ACTIONS(3152),
    [anon_sym_AMP] = ACTIONS(3152),
    [anon_sym_GT_GT2] = ACTIONS(3152),
    [anon_sym_PLUS] = ACTIONS(3152),
    [anon_sym_DASH] = ACTIONS(3152),
    [anon_sym_DOT] = ACTIONS(3152),
    [anon_sym_STAR] = ACTIONS(3152),
    [anon_sym_SLASH] = ACTIONS(3152),
    [anon_sym_x] = ACTIONS(3152),
    [anon_sym_EQ_TILDE] = ACTIONS(3150),
    [anon_sym_BANG_TILDE] = ACTIONS(3150),
    [anon_sym_EQ_EQ] = ACTIONS(3152),
    [anon_sym_BANG_EQ] = ACTIONS(3150),
    [anon_sym_eq] = ACTIONS(3152),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3150),
    [anon_sym_equ] = ACTIONS(3150),
    [anon_sym_eqr] = ACTIONS(3150),
    [anon_sym_ne] = ACTIONS(3150),
    [anon_sym_LT_EQ_GT] = ACTIONS(3150),
    [anon_sym_cmp] = ACTIONS(3150),
    [anon_sym_TILDE_TILDE] = ACTIONS(3150),
    [anon_sym_LT] = ACTIONS(3152),
    [anon_sym_LT_EQ] = ACTIONS(3152),
    [anon_sym_GT_EQ] = ACTIONS(3150),
    [anon_sym_lt] = ACTIONS(3150),
    [anon_sym_le] = ACTIONS(3150),
    [anon_sym_ge] = ACTIONS(3150),
    [anon_sym_gt] = ACTIONS(3150),
    [anon_sym_isa] = ACTIONS(3150),
    [anon_sym_PLUS_PLUS] = ACTIONS(3150),
    [anon_sym_DASH_DASH] = ACTIONS(3150),
    [anon_sym_QMARK] = ACTIONS(3150),
    [anon_sym_EQ_GT] = ACTIONS(3150),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3150),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2364] = {
    [sym_heredoc_content] = STATE(2364),
    [aux_sym__term_rightward_repeat1] = STATE(2296),
    [anon_sym_COLON] = ACTIONS(2787),
    [anon_sym_EQ] = ACTIONS(3929),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3931),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3931),
    [anon_sym_COMMA] = ACTIONS(3913),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3933),
    [anon_sym_DASH_GT] = ACTIONS(3831),
    [anon_sym_PERCENT] = ACTIONS(3935),
    [anon_sym_GT] = ACTIONS(3937),
    [anon_sym_LT_LT] = ACTIONS(3939),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3931),
    [anon_sym_PLUS_EQ] = ACTIONS(3931),
    [anon_sym_DASH_EQ] = ACTIONS(3931),
    [anon_sym_DOT_EQ] = ACTIONS(3931),
    [anon_sym_STAR_EQ] = ACTIONS(3931),
    [anon_sym_SLASH_EQ] = ACTIONS(3931),
    [anon_sym_PERCENT_EQ] = ACTIONS(3931),
    [anon_sym_x_EQ] = ACTIONS(3931),
    [anon_sym_AMP_EQ] = ACTIONS(3931),
    [anon_sym_PIPE_EQ] = ACTIONS(3931),
    [anon_sym_CARET_EQ] = ACTIONS(3931),
    [anon_sym_LT_LT_EQ] = ACTIONS(3931),
    [anon_sym_GT_GT_EQ] = ACTIONS(3931),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3931),
    [anon_sym_DOT_DOT] = ACTIONS(3941),
    [anon_sym_STAR_STAR] = ACTIONS(3943),
    [anon_sym_PIPE_PIPE] = ACTIONS(3945),
    [anon_sym_SLASH_SLASH] = ACTIONS(3945),
    [anon_sym_CARET_CARET] = ACTIONS(3947),
    [anon_sym_AMP_AMP] = ACTIONS(3949),
    [anon_sym_PIPE] = ACTIONS(3951),
    [anon_sym_CARET] = ACTIONS(3951),
    [anon_sym_AMP] = ACTIONS(3953),
    [anon_sym_GT_GT2] = ACTIONS(3939),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_DOT] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(3935),
    [anon_sym_SLASH] = ACTIONS(3935),
    [anon_sym_x] = ACTIONS(3935),
    [anon_sym_EQ_TILDE] = ACTIONS(3957),
    [anon_sym_BANG_TILDE] = ACTIONS(3957),
    [anon_sym_EQ_EQ] = ACTIONS(3959),
    [anon_sym_BANG_EQ] = ACTIONS(3961),
    [anon_sym_eq] = ACTIONS(3959),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3961),
    [anon_sym_equ] = ACTIONS(3961),
    [anon_sym_eqr] = ACTIONS(3961),
    [anon_sym_ne] = ACTIONS(3961),
    [anon_sym_LT_EQ_GT] = ACTIONS(3963),
    [anon_sym_cmp] = ACTIONS(3963),
    [anon_sym_TILDE_TILDE] = ACTIONS(3963),
    [anon_sym_LT] = ACTIONS(3937),
    [anon_sym_LT_EQ] = ACTIONS(3937),
    [anon_sym_GT_EQ] = ACTIONS(3965),
    [anon_sym_lt] = ACTIONS(3965),
    [anon_sym_le] = ACTIONS(3965),
    [anon_sym_ge] = ACTIONS(3965),
    [anon_sym_gt] = ACTIONS(3965),
    [anon_sym_isa] = ACTIONS(3967),
    [anon_sym_PLUS_PLUS] = ACTIONS(3867),
    [anon_sym_DASH_DASH] = ACTIONS(3867),
    [anon_sym_QMARK] = ACTIONS(3969),
    [anon_sym_EQ_GT] = ACTIONS(3913),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2365] = {
    [sym_heredoc_content] = STATE(2365),
    [anon_sym_SEMI] = ACTIONS(3094),
    [anon_sym_EQ] = ACTIONS(3096),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3094),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3094),
    [anon_sym_COMMA] = ACTIONS(3094),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3094),
    [anon_sym_DASH_GT] = ACTIONS(3760),
    [anon_sym_PERCENT] = ACTIONS(3762),
    [anon_sym_GT] = ACTIONS(3096),
    [anon_sym_LT_LT] = ACTIONS(3766),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3094),
    [anon_sym_PLUS_EQ] = ACTIONS(3094),
    [anon_sym_DASH_EQ] = ACTIONS(3094),
    [anon_sym_DOT_EQ] = ACTIONS(3094),
    [anon_sym_STAR_EQ] = ACTIONS(3094),
    [anon_sym_SLASH_EQ] = ACTIONS(3094),
    [anon_sym_PERCENT_EQ] = ACTIONS(3094),
    [anon_sym_x_EQ] = ACTIONS(3094),
    [anon_sym_AMP_EQ] = ACTIONS(3094),
    [anon_sym_PIPE_EQ] = ACTIONS(3094),
    [anon_sym_CARET_EQ] = ACTIONS(3094),
    [anon_sym_LT_LT_EQ] = ACTIONS(3094),
    [anon_sym_GT_GT_EQ] = ACTIONS(3094),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3094),
    [anon_sym_DOT_DOT] = ACTIONS(3096),
    [anon_sym_STAR_STAR] = ACTIONS(3770),
    [anon_sym_PIPE_PIPE] = ACTIONS(3096),
    [anon_sym_SLASH_SLASH] = ACTIONS(3096),
    [anon_sym_CARET_CARET] = ACTIONS(3094),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_PIPE] = ACTIONS(3096),
    [anon_sym_CARET] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3096),
    [anon_sym_GT_GT2] = ACTIONS(3766),
    [anon_sym_PLUS] = ACTIONS(3782),
    [anon_sym_DASH] = ACTIONS(3782),
    [anon_sym_DOT] = ACTIONS(3782),
    [anon_sym_STAR] = ACTIONS(3762),
    [anon_sym_SLASH] = ACTIONS(3762),
    [anon_sym_x] = ACTIONS(3762),
    [anon_sym_EQ_TILDE] = ACTIONS(3784),
    [anon_sym_BANG_TILDE] = ACTIONS(3784),
    [anon_sym_EQ_EQ] = ACTIONS(3096),
    [anon_sym_BANG_EQ] = ACTIONS(3094),
    [anon_sym_eq] = ACTIONS(3096),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3094),
    [anon_sym_equ] = ACTIONS(3094),
    [anon_sym_eqr] = ACTIONS(3094),
    [anon_sym_ne] = ACTIONS(3094),
    [anon_sym_LT_EQ_GT] = ACTIONS(3094),
    [anon_sym_cmp] = ACTIONS(3094),
    [anon_sym_TILDE_TILDE] = ACTIONS(3094),
    [anon_sym_LT] = ACTIONS(3096),
    [anon_sym_LT_EQ] = ACTIONS(3096),
    [anon_sym_GT_EQ] = ACTIONS(3094),
    [anon_sym_lt] = ACTIONS(3094),
    [anon_sym_le] = ACTIONS(3094),
    [anon_sym_ge] = ACTIONS(3094),
    [anon_sym_gt] = ACTIONS(3094),
    [anon_sym_isa] = ACTIONS(3094),
    [anon_sym_PLUS_PLUS] = ACTIONS(3796),
    [anon_sym_DASH_DASH] = ACTIONS(3796),
    [anon_sym_QMARK] = ACTIONS(3094),
    [anon_sym_EQ_GT] = ACTIONS(3094),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3094),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2366] = {
    [sym_heredoc_content] = STATE(2366),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_EQ] = ACTIONS(3156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3154),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3154),
    [anon_sym_COMMA] = ACTIONS(3154),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3154),
    [anon_sym_DASH_GT] = ACTIONS(3154),
    [anon_sym_PERCENT] = ACTIONS(3156),
    [anon_sym_GT] = ACTIONS(3156),
    [anon_sym_LT_LT] = ACTIONS(3156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3154),
    [anon_sym_PLUS_EQ] = ACTIONS(3154),
    [anon_sym_DASH_EQ] = ACTIONS(3154),
    [anon_sym_DOT_EQ] = ACTIONS(3154),
    [anon_sym_STAR_EQ] = ACTIONS(3154),
    [anon_sym_SLASH_EQ] = ACTIONS(3154),
    [anon_sym_PERCENT_EQ] = ACTIONS(3154),
    [anon_sym_x_EQ] = ACTIONS(3154),
    [anon_sym_AMP_EQ] = ACTIONS(3154),
    [anon_sym_PIPE_EQ] = ACTIONS(3154),
    [anon_sym_CARET_EQ] = ACTIONS(3154),
    [anon_sym_LT_LT_EQ] = ACTIONS(3154),
    [anon_sym_GT_GT_EQ] = ACTIONS(3154),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3154),
    [anon_sym_DOT_DOT] = ACTIONS(3156),
    [anon_sym_STAR_STAR] = ACTIONS(3156),
    [anon_sym_PIPE_PIPE] = ACTIONS(3156),
    [anon_sym_SLASH_SLASH] = ACTIONS(3156),
    [anon_sym_CARET_CARET] = ACTIONS(3154),
    [anon_sym_AMP_AMP] = ACTIONS(3156),
    [anon_sym_PIPE] = ACTIONS(3156),
    [anon_sym_CARET] = ACTIONS(3156),
    [anon_sym_AMP] = ACTIONS(3156),
    [anon_sym_GT_GT2] = ACTIONS(3156),
    [anon_sym_PLUS] = ACTIONS(3156),
    [anon_sym_DASH] = ACTIONS(3156),
    [anon_sym_DOT] = ACTIONS(3156),
    [anon_sym_STAR] = ACTIONS(3156),
    [anon_sym_SLASH] = ACTIONS(3156),
    [anon_sym_x] = ACTIONS(3156),
    [anon_sym_EQ_TILDE] = ACTIONS(3154),
    [anon_sym_BANG_TILDE] = ACTIONS(3154),
    [anon_sym_EQ_EQ] = ACTIONS(3156),
    [anon_sym_BANG_EQ] = ACTIONS(3154),
    [anon_sym_eq] = ACTIONS(3156),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3154),
    [anon_sym_equ] = ACTIONS(3154),
    [anon_sym_eqr] = ACTIONS(3154),
    [anon_sym_ne] = ACTIONS(3154),
    [anon_sym_LT_EQ_GT] = ACTIONS(3154),
    [anon_sym_cmp] = ACTIONS(3154),
    [anon_sym_TILDE_TILDE] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3156),
    [anon_sym_LT_EQ] = ACTIONS(3156),
    [anon_sym_GT_EQ] = ACTIONS(3154),
    [anon_sym_lt] = ACTIONS(3154),
    [anon_sym_le] = ACTIONS(3154),
    [anon_sym_ge] = ACTIONS(3154),
    [anon_sym_gt] = ACTIONS(3154),
    [anon_sym_isa] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [anon_sym_QMARK] = ACTIONS(3154),
    [anon_sym_EQ_GT] = ACTIONS(3154),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3154),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2367] = {
    [sym_heredoc_content] = STATE(2367),
    [anon_sym_SEMI] = ACTIONS(3098),
    [anon_sym_EQ] = ACTIONS(3100),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3098),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3098),
    [anon_sym_COMMA] = ACTIONS(3098),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3098),
    [anon_sym_DASH_GT] = ACTIONS(3098),
    [anon_sym_PERCENT] = ACTIONS(3100),
    [anon_sym_GT] = ACTIONS(3100),
    [anon_sym_LT_LT] = ACTIONS(3100),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3098),
    [anon_sym_PLUS_EQ] = ACTIONS(3098),
    [anon_sym_DASH_EQ] = ACTIONS(3098),
    [anon_sym_DOT_EQ] = ACTIONS(3098),
    [anon_sym_STAR_EQ] = ACTIONS(3098),
    [anon_sym_SLASH_EQ] = ACTIONS(3098),
    [anon_sym_PERCENT_EQ] = ACTIONS(3098),
    [anon_sym_x_EQ] = ACTIONS(3098),
    [anon_sym_AMP_EQ] = ACTIONS(3098),
    [anon_sym_PIPE_EQ] = ACTIONS(3098),
    [anon_sym_CARET_EQ] = ACTIONS(3098),
    [anon_sym_LT_LT_EQ] = ACTIONS(3098),
    [anon_sym_GT_GT_EQ] = ACTIONS(3098),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3098),
    [anon_sym_DOT_DOT] = ACTIONS(3100),
    [anon_sym_STAR_STAR] = ACTIONS(3100),
    [anon_sym_PIPE_PIPE] = ACTIONS(3100),
    [anon_sym_SLASH_SLASH] = ACTIONS(3100),
    [anon_sym_CARET_CARET] = ACTIONS(3098),
    [anon_sym_AMP_AMP] = ACTIONS(3100),
    [anon_sym_PIPE] = ACTIONS(3100),
    [anon_sym_CARET] = ACTIONS(3100),
    [anon_sym_AMP] = ACTIONS(3100),
    [anon_sym_GT_GT2] = ACTIONS(3100),
    [anon_sym_PLUS] = ACTIONS(3100),
    [anon_sym_DASH] = ACTIONS(3100),
    [anon_sym_DOT] = ACTIONS(3100),
    [anon_sym_STAR] = ACTIONS(3100),
    [anon_sym_SLASH] = ACTIONS(3100),
    [anon_sym_x] = ACTIONS(3100),
    [anon_sym_EQ_TILDE] = ACTIONS(3098),
    [anon_sym_BANG_TILDE] = ACTIONS(3098),
    [anon_sym_EQ_EQ] = ACTIONS(3100),
    [anon_sym_BANG_EQ] = ACTIONS(3098),
    [anon_sym_eq] = ACTIONS(3100),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3098),
    [anon_sym_equ] = ACTIONS(3098),
    [anon_sym_eqr] = ACTIONS(3098),
    [anon_sym_ne] = ACTIONS(3098),
    [anon_sym_LT_EQ_GT] = ACTIONS(3098),
    [anon_sym_cmp] = ACTIONS(3098),
    [anon_sym_TILDE_TILDE] = ACTIONS(3098),
    [anon_sym_LT] = ACTIONS(3100),
    [anon_sym_LT_EQ] = ACTIONS(3100),
    [anon_sym_GT_EQ] = ACTIONS(3098),
    [anon_sym_lt] = ACTIONS(3098),
    [anon_sym_le] = ACTIONS(3098),
    [anon_sym_ge] = ACTIONS(3098),
    [anon_sym_gt] = ACTIONS(3098),
    [anon_sym_isa] = ACTIONS(3098),
    [anon_sym_PLUS_PLUS] = ACTIONS(3098),
    [anon_sym_DASH_DASH] = ACTIONS(3098),
    [anon_sym_QMARK] = ACTIONS(3098),
    [anon_sym_EQ_GT] = ACTIONS(3098),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3098),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2368] = {
    [sym_heredoc_content] = STATE(2368),
    [anon_sym_SEMI] = ACTIONS(2857),
    [anon_sym_EQ] = ACTIONS(2859),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2857),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2857),
    [anon_sym_COMMA] = ACTIONS(2857),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2857),
    [anon_sym_DASH_GT] = ACTIONS(2857),
    [anon_sym_PERCENT] = ACTIONS(2859),
    [anon_sym_GT] = ACTIONS(2859),
    [anon_sym_LT_LT] = ACTIONS(2859),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2857),
    [anon_sym_PLUS_EQ] = ACTIONS(2857),
    [anon_sym_DASH_EQ] = ACTIONS(2857),
    [anon_sym_DOT_EQ] = ACTIONS(2857),
    [anon_sym_STAR_EQ] = ACTIONS(2857),
    [anon_sym_SLASH_EQ] = ACTIONS(2857),
    [anon_sym_PERCENT_EQ] = ACTIONS(2857),
    [anon_sym_x_EQ] = ACTIONS(2857),
    [anon_sym_AMP_EQ] = ACTIONS(2857),
    [anon_sym_PIPE_EQ] = ACTIONS(2857),
    [anon_sym_CARET_EQ] = ACTIONS(2857),
    [anon_sym_LT_LT_EQ] = ACTIONS(2857),
    [anon_sym_GT_GT_EQ] = ACTIONS(2857),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2857),
    [anon_sym_DOT_DOT] = ACTIONS(2859),
    [anon_sym_STAR_STAR] = ACTIONS(2859),
    [anon_sym_PIPE_PIPE] = ACTIONS(2859),
    [anon_sym_SLASH_SLASH] = ACTIONS(2859),
    [anon_sym_CARET_CARET] = ACTIONS(2857),
    [anon_sym_AMP_AMP] = ACTIONS(2859),
    [anon_sym_PIPE] = ACTIONS(2859),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_AMP] = ACTIONS(2859),
    [anon_sym_GT_GT2] = ACTIONS(2859),
    [anon_sym_PLUS] = ACTIONS(2859),
    [anon_sym_DASH] = ACTIONS(2859),
    [anon_sym_DOT] = ACTIONS(2859),
    [anon_sym_STAR] = ACTIONS(2859),
    [anon_sym_SLASH] = ACTIONS(2859),
    [anon_sym_x] = ACTIONS(2859),
    [anon_sym_EQ_TILDE] = ACTIONS(2857),
    [anon_sym_BANG_TILDE] = ACTIONS(2857),
    [anon_sym_EQ_EQ] = ACTIONS(2859),
    [anon_sym_BANG_EQ] = ACTIONS(2857),
    [anon_sym_eq] = ACTIONS(2859),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2857),
    [anon_sym_equ] = ACTIONS(2857),
    [anon_sym_eqr] = ACTIONS(2857),
    [anon_sym_ne] = ACTIONS(2857),
    [anon_sym_LT_EQ_GT] = ACTIONS(2857),
    [anon_sym_cmp] = ACTIONS(2857),
    [anon_sym_TILDE_TILDE] = ACTIONS(2857),
    [anon_sym_LT] = ACTIONS(2859),
    [anon_sym_LT_EQ] = ACTIONS(2859),
    [anon_sym_GT_EQ] = ACTIONS(2857),
    [anon_sym_lt] = ACTIONS(2857),
    [anon_sym_le] = ACTIONS(2857),
    [anon_sym_ge] = ACTIONS(2857),
    [anon_sym_gt] = ACTIONS(2857),
    [anon_sym_isa] = ACTIONS(2857),
    [anon_sym_PLUS_PLUS] = ACTIONS(2857),
    [anon_sym_DASH_DASH] = ACTIONS(2857),
    [anon_sym_QMARK] = ACTIONS(2857),
    [anon_sym_EQ_GT] = ACTIONS(2857),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2857),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2369] = {
    [sym_heredoc_content] = STATE(2369),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym_EQ] = ACTIONS(2871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2869),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2869),
    [anon_sym_COMMA] = ACTIONS(2869),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2869),
    [anon_sym_DASH_GT] = ACTIONS(2869),
    [anon_sym_PERCENT] = ACTIONS(2871),
    [anon_sym_GT] = ACTIONS(2871),
    [anon_sym_LT_LT] = ACTIONS(2871),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2869),
    [anon_sym_PLUS_EQ] = ACTIONS(2869),
    [anon_sym_DASH_EQ] = ACTIONS(2869),
    [anon_sym_DOT_EQ] = ACTIONS(2869),
    [anon_sym_STAR_EQ] = ACTIONS(2869),
    [anon_sym_SLASH_EQ] = ACTIONS(2869),
    [anon_sym_PERCENT_EQ] = ACTIONS(2869),
    [anon_sym_x_EQ] = ACTIONS(2869),
    [anon_sym_AMP_EQ] = ACTIONS(2869),
    [anon_sym_PIPE_EQ] = ACTIONS(2869),
    [anon_sym_CARET_EQ] = ACTIONS(2869),
    [anon_sym_LT_LT_EQ] = ACTIONS(2869),
    [anon_sym_GT_GT_EQ] = ACTIONS(2869),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2869),
    [anon_sym_DOT_DOT] = ACTIONS(2871),
    [anon_sym_STAR_STAR] = ACTIONS(2871),
    [anon_sym_PIPE_PIPE] = ACTIONS(2871),
    [anon_sym_SLASH_SLASH] = ACTIONS(2871),
    [anon_sym_CARET_CARET] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_PIPE] = ACTIONS(2871),
    [anon_sym_CARET] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_GT_GT2] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_DOT] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_SLASH] = ACTIONS(2871),
    [anon_sym_x] = ACTIONS(2871),
    [anon_sym_EQ_TILDE] = ACTIONS(2869),
    [anon_sym_BANG_TILDE] = ACTIONS(2869),
    [anon_sym_EQ_EQ] = ACTIONS(2871),
    [anon_sym_BANG_EQ] = ACTIONS(2869),
    [anon_sym_eq] = ACTIONS(2871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2869),
    [anon_sym_equ] = ACTIONS(2869),
    [anon_sym_eqr] = ACTIONS(2869),
    [anon_sym_ne] = ACTIONS(2869),
    [anon_sym_LT_EQ_GT] = ACTIONS(2869),
    [anon_sym_cmp] = ACTIONS(2869),
    [anon_sym_TILDE_TILDE] = ACTIONS(2869),
    [anon_sym_LT] = ACTIONS(2871),
    [anon_sym_LT_EQ] = ACTIONS(2871),
    [anon_sym_GT_EQ] = ACTIONS(2869),
    [anon_sym_lt] = ACTIONS(2869),
    [anon_sym_le] = ACTIONS(2869),
    [anon_sym_ge] = ACTIONS(2869),
    [anon_sym_gt] = ACTIONS(2869),
    [anon_sym_isa] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_QMARK] = ACTIONS(2869),
    [anon_sym_EQ_GT] = ACTIONS(2869),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2869),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2370] = {
    [sym_heredoc_content] = STATE(2370),
    [anon_sym_SEMI] = ACTIONS(3158),
    [anon_sym_EQ] = ACTIONS(3160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3158),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3158),
    [anon_sym_COMMA] = ACTIONS(3158),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3158),
    [anon_sym_DASH_GT] = ACTIONS(3158),
    [anon_sym_PERCENT] = ACTIONS(3160),
    [anon_sym_GT] = ACTIONS(3160),
    [anon_sym_LT_LT] = ACTIONS(3160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3158),
    [anon_sym_PLUS_EQ] = ACTIONS(3158),
    [anon_sym_DASH_EQ] = ACTIONS(3158),
    [anon_sym_DOT_EQ] = ACTIONS(3158),
    [anon_sym_STAR_EQ] = ACTIONS(3158),
    [anon_sym_SLASH_EQ] = ACTIONS(3158),
    [anon_sym_PERCENT_EQ] = ACTIONS(3158),
    [anon_sym_x_EQ] = ACTIONS(3158),
    [anon_sym_AMP_EQ] = ACTIONS(3158),
    [anon_sym_PIPE_EQ] = ACTIONS(3158),
    [anon_sym_CARET_EQ] = ACTIONS(3158),
    [anon_sym_LT_LT_EQ] = ACTIONS(3158),
    [anon_sym_GT_GT_EQ] = ACTIONS(3158),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3158),
    [anon_sym_DOT_DOT] = ACTIONS(3160),
    [anon_sym_STAR_STAR] = ACTIONS(3160),
    [anon_sym_PIPE_PIPE] = ACTIONS(3160),
    [anon_sym_SLASH_SLASH] = ACTIONS(3160),
    [anon_sym_CARET_CARET] = ACTIONS(3158),
    [anon_sym_AMP_AMP] = ACTIONS(3160),
    [anon_sym_PIPE] = ACTIONS(3160),
    [anon_sym_CARET] = ACTIONS(3160),
    [anon_sym_AMP] = ACTIONS(3160),
    [anon_sym_GT_GT2] = ACTIONS(3160),
    [anon_sym_PLUS] = ACTIONS(3160),
    [anon_sym_DASH] = ACTIONS(3160),
    [anon_sym_DOT] = ACTIONS(3160),
    [anon_sym_STAR] = ACTIONS(3160),
    [anon_sym_SLASH] = ACTIONS(3160),
    [anon_sym_x] = ACTIONS(3160),
    [anon_sym_EQ_TILDE] = ACTIONS(3158),
    [anon_sym_BANG_TILDE] = ACTIONS(3158),
    [anon_sym_EQ_EQ] = ACTIONS(3160),
    [anon_sym_BANG_EQ] = ACTIONS(3158),
    [anon_sym_eq] = ACTIONS(3160),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3158),
    [anon_sym_equ] = ACTIONS(3158),
    [anon_sym_eqr] = ACTIONS(3158),
    [anon_sym_ne] = ACTIONS(3158),
    [anon_sym_LT_EQ_GT] = ACTIONS(3158),
    [anon_sym_cmp] = ACTIONS(3158),
    [anon_sym_TILDE_TILDE] = ACTIONS(3158),
    [anon_sym_LT] = ACTIONS(3160),
    [anon_sym_LT_EQ] = ACTIONS(3160),
    [anon_sym_GT_EQ] = ACTIONS(3158),
    [anon_sym_lt] = ACTIONS(3158),
    [anon_sym_le] = ACTIONS(3158),
    [anon_sym_ge] = ACTIONS(3158),
    [anon_sym_gt] = ACTIONS(3158),
    [anon_sym_isa] = ACTIONS(3158),
    [anon_sym_PLUS_PLUS] = ACTIONS(3158),
    [anon_sym_DASH_DASH] = ACTIONS(3158),
    [anon_sym_QMARK] = ACTIONS(3158),
    [anon_sym_EQ_GT] = ACTIONS(3158),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3158),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2371] = {
    [sym_heredoc_content] = STATE(2371),
    [anon_sym_SEMI] = ACTIONS(2923),
    [anon_sym_EQ] = ACTIONS(2925),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2923),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2923),
    [anon_sym_COMMA] = ACTIONS(2923),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2923),
    [anon_sym_DASH_GT] = ACTIONS(2923),
    [anon_sym_PERCENT] = ACTIONS(2925),
    [anon_sym_GT] = ACTIONS(2925),
    [anon_sym_LT_LT] = ACTIONS(2925),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2923),
    [anon_sym_PLUS_EQ] = ACTIONS(2923),
    [anon_sym_DASH_EQ] = ACTIONS(2923),
    [anon_sym_DOT_EQ] = ACTIONS(2923),
    [anon_sym_STAR_EQ] = ACTIONS(2923),
    [anon_sym_SLASH_EQ] = ACTIONS(2923),
    [anon_sym_PERCENT_EQ] = ACTIONS(2923),
    [anon_sym_x_EQ] = ACTIONS(2923),
    [anon_sym_AMP_EQ] = ACTIONS(2923),
    [anon_sym_PIPE_EQ] = ACTIONS(2923),
    [anon_sym_CARET_EQ] = ACTIONS(2923),
    [anon_sym_LT_LT_EQ] = ACTIONS(2923),
    [anon_sym_GT_GT_EQ] = ACTIONS(2923),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2923),
    [anon_sym_DOT_DOT] = ACTIONS(2925),
    [anon_sym_STAR_STAR] = ACTIONS(2925),
    [anon_sym_PIPE_PIPE] = ACTIONS(2925),
    [anon_sym_SLASH_SLASH] = ACTIONS(2925),
    [anon_sym_CARET_CARET] = ACTIONS(2923),
    [anon_sym_AMP_AMP] = ACTIONS(2925),
    [anon_sym_PIPE] = ACTIONS(2925),
    [anon_sym_CARET] = ACTIONS(2925),
    [anon_sym_AMP] = ACTIONS(2925),
    [anon_sym_GT_GT2] = ACTIONS(2925),
    [anon_sym_PLUS] = ACTIONS(2925),
    [anon_sym_DASH] = ACTIONS(2925),
    [anon_sym_DOT] = ACTIONS(2925),
    [anon_sym_STAR] = ACTIONS(2925),
    [anon_sym_SLASH] = ACTIONS(2925),
    [anon_sym_x] = ACTIONS(2925),
    [anon_sym_EQ_TILDE] = ACTIONS(2923),
    [anon_sym_BANG_TILDE] = ACTIONS(2923),
    [anon_sym_EQ_EQ] = ACTIONS(2925),
    [anon_sym_BANG_EQ] = ACTIONS(2923),
    [anon_sym_eq] = ACTIONS(2925),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2923),
    [anon_sym_equ] = ACTIONS(2923),
    [anon_sym_eqr] = ACTIONS(2923),
    [anon_sym_ne] = ACTIONS(2923),
    [anon_sym_LT_EQ_GT] = ACTIONS(2923),
    [anon_sym_cmp] = ACTIONS(2923),
    [anon_sym_TILDE_TILDE] = ACTIONS(2923),
    [anon_sym_LT] = ACTIONS(2925),
    [anon_sym_LT_EQ] = ACTIONS(2925),
    [anon_sym_GT_EQ] = ACTIONS(2923),
    [anon_sym_lt] = ACTIONS(2923),
    [anon_sym_le] = ACTIONS(2923),
    [anon_sym_ge] = ACTIONS(2923),
    [anon_sym_gt] = ACTIONS(2923),
    [anon_sym_isa] = ACTIONS(2923),
    [anon_sym_PLUS_PLUS] = ACTIONS(2923),
    [anon_sym_DASH_DASH] = ACTIONS(2923),
    [anon_sym_QMARK] = ACTIONS(2923),
    [anon_sym_EQ_GT] = ACTIONS(2923),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2923),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2372] = {
    [sym_heredoc_content] = STATE(2372),
    [anon_sym_RBRACE] = ACTIONS(3019),
    [anon_sym_EQ] = ACTIONS(3021),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_COMMA] = ACTIONS(3019),
    [anon_sym_RPAREN] = ACTIONS(3019),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3019),
    [anon_sym_DASH_GT] = ACTIONS(3831),
    [anon_sym_PERCENT] = ACTIONS(3833),
    [anon_sym_GT] = ACTIONS(3835),
    [anon_sym_LT_LT] = ACTIONS(3837),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3019),
    [anon_sym_PLUS_EQ] = ACTIONS(3019),
    [anon_sym_DASH_EQ] = ACTIONS(3019),
    [anon_sym_DOT_EQ] = ACTIONS(3019),
    [anon_sym_STAR_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_PERCENT_EQ] = ACTIONS(3019),
    [anon_sym_x_EQ] = ACTIONS(3019),
    [anon_sym_AMP_EQ] = ACTIONS(3019),
    [anon_sym_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_CARET_EQ] = ACTIONS(3019),
    [anon_sym_LT_LT_EQ] = ACTIONS(3019),
    [anon_sym_GT_GT_EQ] = ACTIONS(3019),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3019),
    [anon_sym_DOT_DOT] = ACTIONS(3021),
    [anon_sym_STAR_STAR] = ACTIONS(3841),
    [anon_sym_PIPE_PIPE] = ACTIONS(3021),
    [anon_sym_SLASH_SLASH] = ACTIONS(3021),
    [anon_sym_CARET_CARET] = ACTIONS(3019),
    [anon_sym_AMP_AMP] = ACTIONS(3021),
    [anon_sym_PIPE] = ACTIONS(3849),
    [anon_sym_CARET] = ACTIONS(3849),
    [anon_sym_AMP] = ACTIONS(3851),
    [anon_sym_GT_GT2] = ACTIONS(3837),
    [anon_sym_PLUS] = ACTIONS(3853),
    [anon_sym_DASH] = ACTIONS(3853),
    [anon_sym_DOT] = ACTIONS(3853),
    [anon_sym_STAR] = ACTIONS(3833),
    [anon_sym_SLASH] = ACTIONS(3833),
    [anon_sym_x] = ACTIONS(3833),
    [anon_sym_EQ_TILDE] = ACTIONS(3855),
    [anon_sym_BANG_TILDE] = ACTIONS(3855),
    [anon_sym_EQ_EQ] = ACTIONS(3857),
    [anon_sym_BANG_EQ] = ACTIONS(3859),
    [anon_sym_eq] = ACTIONS(3857),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3859),
    [anon_sym_equ] = ACTIONS(3859),
    [anon_sym_eqr] = ACTIONS(3859),
    [anon_sym_ne] = ACTIONS(3859),
    [anon_sym_LT_EQ_GT] = ACTIONS(3861),
    [anon_sym_cmp] = ACTIONS(3861),
    [anon_sym_TILDE_TILDE] = ACTIONS(3861),
    [anon_sym_LT] = ACTIONS(3835),
    [anon_sym_LT_EQ] = ACTIONS(3835),
    [anon_sym_GT_EQ] = ACTIONS(3863),
    [anon_sym_lt] = ACTIONS(3863),
    [anon_sym_le] = ACTIONS(3863),
    [anon_sym_ge] = ACTIONS(3863),
    [anon_sym_gt] = ACTIONS(3863),
    [anon_sym_isa] = ACTIONS(3865),
    [anon_sym_PLUS_PLUS] = ACTIONS(3867),
    [anon_sym_DASH_DASH] = ACTIONS(3867),
    [anon_sym_QMARK] = ACTIONS(3019),
    [anon_sym_EQ_GT] = ACTIONS(3019),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2373] = {
    [sym_heredoc_content] = STATE(2373),
    [anon_sym_SEMI] = ACTIONS(2927),
    [anon_sym_EQ] = ACTIONS(2929),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2927),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2927),
    [anon_sym_COMMA] = ACTIONS(2927),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2927),
    [anon_sym_DASH_GT] = ACTIONS(2927),
    [anon_sym_PERCENT] = ACTIONS(2929),
    [anon_sym_GT] = ACTIONS(2929),
    [anon_sym_LT_LT] = ACTIONS(2929),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2927),
    [anon_sym_PLUS_EQ] = ACTIONS(2927),
    [anon_sym_DASH_EQ] = ACTIONS(2927),
    [anon_sym_DOT_EQ] = ACTIONS(2927),
    [anon_sym_STAR_EQ] = ACTIONS(2927),
    [anon_sym_SLASH_EQ] = ACTIONS(2927),
    [anon_sym_PERCENT_EQ] = ACTIONS(2927),
    [anon_sym_x_EQ] = ACTIONS(2927),
    [anon_sym_AMP_EQ] = ACTIONS(2927),
    [anon_sym_PIPE_EQ] = ACTIONS(2927),
    [anon_sym_CARET_EQ] = ACTIONS(2927),
    [anon_sym_LT_LT_EQ] = ACTIONS(2927),
    [anon_sym_GT_GT_EQ] = ACTIONS(2927),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2927),
    [anon_sym_DOT_DOT] = ACTIONS(2929),
    [anon_sym_STAR_STAR] = ACTIONS(2929),
    [anon_sym_PIPE_PIPE] = ACTIONS(2929),
    [anon_sym_SLASH_SLASH] = ACTIONS(2929),
    [anon_sym_CARET_CARET] = ACTIONS(2927),
    [anon_sym_AMP_AMP] = ACTIONS(2929),
    [anon_sym_PIPE] = ACTIONS(2929),
    [anon_sym_CARET] = ACTIONS(2929),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_GT_GT2] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2929),
    [anon_sym_DASH] = ACTIONS(2929),
    [anon_sym_DOT] = ACTIONS(2929),
    [anon_sym_STAR] = ACTIONS(2929),
    [anon_sym_SLASH] = ACTIONS(2929),
    [anon_sym_x] = ACTIONS(2929),
    [anon_sym_EQ_TILDE] = ACTIONS(2927),
    [anon_sym_BANG_TILDE] = ACTIONS(2927),
    [anon_sym_EQ_EQ] = ACTIONS(2929),
    [anon_sym_BANG_EQ] = ACTIONS(2927),
    [anon_sym_eq] = ACTIONS(2929),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2927),
    [anon_sym_equ] = ACTIONS(2927),
    [anon_sym_eqr] = ACTIONS(2927),
    [anon_sym_ne] = ACTIONS(2927),
    [anon_sym_LT_EQ_GT] = ACTIONS(2927),
    [anon_sym_cmp] = ACTIONS(2927),
    [anon_sym_TILDE_TILDE] = ACTIONS(2927),
    [anon_sym_LT] = ACTIONS(2929),
    [anon_sym_LT_EQ] = ACTIONS(2929),
    [anon_sym_GT_EQ] = ACTIONS(2927),
    [anon_sym_lt] = ACTIONS(2927),
    [anon_sym_le] = ACTIONS(2927),
    [anon_sym_ge] = ACTIONS(2927),
    [anon_sym_gt] = ACTIONS(2927),
    [anon_sym_isa] = ACTIONS(2927),
    [anon_sym_PLUS_PLUS] = ACTIONS(2927),
    [anon_sym_DASH_DASH] = ACTIONS(2927),
    [anon_sym_QMARK] = ACTIONS(2927),
    [anon_sym_EQ_GT] = ACTIONS(2927),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2927),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2374] = {
    [sym_heredoc_content] = STATE(2374),
    [anon_sym_SEMI] = ACTIONS(3126),
    [anon_sym_EQ] = ACTIONS(3128),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3126),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3126),
    [anon_sym_COMMA] = ACTIONS(3126),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3126),
    [anon_sym_DASH_GT] = ACTIONS(3760),
    [anon_sym_PERCENT] = ACTIONS(3762),
    [anon_sym_GT] = ACTIONS(3128),
    [anon_sym_LT_LT] = ACTIONS(3766),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3126),
    [anon_sym_PLUS_EQ] = ACTIONS(3126),
    [anon_sym_DASH_EQ] = ACTIONS(3126),
    [anon_sym_DOT_EQ] = ACTIONS(3126),
    [anon_sym_STAR_EQ] = ACTIONS(3126),
    [anon_sym_SLASH_EQ] = ACTIONS(3126),
    [anon_sym_PERCENT_EQ] = ACTIONS(3126),
    [anon_sym_x_EQ] = ACTIONS(3126),
    [anon_sym_AMP_EQ] = ACTIONS(3126),
    [anon_sym_PIPE_EQ] = ACTIONS(3126),
    [anon_sym_CARET_EQ] = ACTIONS(3126),
    [anon_sym_LT_LT_EQ] = ACTIONS(3126),
    [anon_sym_GT_GT_EQ] = ACTIONS(3126),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3126),
    [anon_sym_DOT_DOT] = ACTIONS(3128),
    [anon_sym_STAR_STAR] = ACTIONS(3770),
    [anon_sym_PIPE_PIPE] = ACTIONS(3128),
    [anon_sym_SLASH_SLASH] = ACTIONS(3128),
    [anon_sym_CARET_CARET] = ACTIONS(3126),
    [anon_sym_AMP_AMP] = ACTIONS(3128),
    [anon_sym_PIPE] = ACTIONS(3128),
    [anon_sym_CARET] = ACTIONS(3128),
    [anon_sym_AMP] = ACTIONS(3128),
    [anon_sym_GT_GT2] = ACTIONS(3766),
    [anon_sym_PLUS] = ACTIONS(3782),
    [anon_sym_DASH] = ACTIONS(3782),
    [anon_sym_DOT] = ACTIONS(3782),
    [anon_sym_STAR] = ACTIONS(3762),
    [anon_sym_SLASH] = ACTIONS(3762),
    [anon_sym_x] = ACTIONS(3762),
    [anon_sym_EQ_TILDE] = ACTIONS(3784),
    [anon_sym_BANG_TILDE] = ACTIONS(3784),
    [anon_sym_EQ_EQ] = ACTIONS(3128),
    [anon_sym_BANG_EQ] = ACTIONS(3126),
    [anon_sym_eq] = ACTIONS(3128),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3126),
    [anon_sym_equ] = ACTIONS(3126),
    [anon_sym_eqr] = ACTIONS(3126),
    [anon_sym_ne] = ACTIONS(3126),
    [anon_sym_LT_EQ_GT] = ACTIONS(3126),
    [anon_sym_cmp] = ACTIONS(3126),
    [anon_sym_TILDE_TILDE] = ACTIONS(3126),
    [anon_sym_LT] = ACTIONS(3128),
    [anon_sym_LT_EQ] = ACTIONS(3128),
    [anon_sym_GT_EQ] = ACTIONS(3126),
    [anon_sym_lt] = ACTIONS(3126),
    [anon_sym_le] = ACTIONS(3126),
    [anon_sym_ge] = ACTIONS(3126),
    [anon_sym_gt] = ACTIONS(3126),
    [anon_sym_isa] = ACTIONS(3126),
    [anon_sym_PLUS_PLUS] = ACTIONS(3796),
    [anon_sym_DASH_DASH] = ACTIONS(3796),
    [anon_sym_QMARK] = ACTIONS(3126),
    [anon_sym_EQ_GT] = ACTIONS(3126),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3126),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2375] = {
    [sym_heredoc_content] = STATE(2375),
    [anon_sym_SEMI] = ACTIONS(3130),
    [anon_sym_EQ] = ACTIONS(3132),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3130),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3130),
    [anon_sym_COMMA] = ACTIONS(3130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3130),
    [anon_sym_DASH_GT] = ACTIONS(3130),
    [anon_sym_PERCENT] = ACTIONS(3132),
    [anon_sym_GT] = ACTIONS(3132),
    [anon_sym_LT_LT] = ACTIONS(3132),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3130),
    [anon_sym_PLUS_EQ] = ACTIONS(3130),
    [anon_sym_DASH_EQ] = ACTIONS(3130),
    [anon_sym_DOT_EQ] = ACTIONS(3130),
    [anon_sym_STAR_EQ] = ACTIONS(3130),
    [anon_sym_SLASH_EQ] = ACTIONS(3130),
    [anon_sym_PERCENT_EQ] = ACTIONS(3130),
    [anon_sym_x_EQ] = ACTIONS(3130),
    [anon_sym_AMP_EQ] = ACTIONS(3130),
    [anon_sym_PIPE_EQ] = ACTIONS(3130),
    [anon_sym_CARET_EQ] = ACTIONS(3130),
    [anon_sym_LT_LT_EQ] = ACTIONS(3130),
    [anon_sym_GT_GT_EQ] = ACTIONS(3130),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3130),
    [anon_sym_DOT_DOT] = ACTIONS(3132),
    [anon_sym_STAR_STAR] = ACTIONS(3132),
    [anon_sym_PIPE_PIPE] = ACTIONS(3132),
    [anon_sym_SLASH_SLASH] = ACTIONS(3132),
    [anon_sym_CARET_CARET] = ACTIONS(3130),
    [anon_sym_AMP_AMP] = ACTIONS(3132),
    [anon_sym_PIPE] = ACTIONS(3132),
    [anon_sym_CARET] = ACTIONS(3132),
    [anon_sym_AMP] = ACTIONS(3132),
    [anon_sym_GT_GT2] = ACTIONS(3132),
    [anon_sym_PLUS] = ACTIONS(3132),
    [anon_sym_DASH] = ACTIONS(3132),
    [anon_sym_DOT] = ACTIONS(3132),
    [anon_sym_STAR] = ACTIONS(3132),
    [anon_sym_SLASH] = ACTIONS(3132),
    [anon_sym_x] = ACTIONS(3132),
    [anon_sym_EQ_TILDE] = ACTIONS(3130),
    [anon_sym_BANG_TILDE] = ACTIONS(3130),
    [anon_sym_EQ_EQ] = ACTIONS(3132),
    [anon_sym_BANG_EQ] = ACTIONS(3130),
    [anon_sym_eq] = ACTIONS(3132),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3130),
    [anon_sym_equ] = ACTIONS(3130),
    [anon_sym_eqr] = ACTIONS(3130),
    [anon_sym_ne] = ACTIONS(3130),
    [anon_sym_LT_EQ_GT] = ACTIONS(3130),
    [anon_sym_cmp] = ACTIONS(3130),
    [anon_sym_TILDE_TILDE] = ACTIONS(3130),
    [anon_sym_LT] = ACTIONS(3132),
    [anon_sym_LT_EQ] = ACTIONS(3132),
    [anon_sym_GT_EQ] = ACTIONS(3130),
    [anon_sym_lt] = ACTIONS(3130),
    [anon_sym_le] = ACTIONS(3130),
    [anon_sym_ge] = ACTIONS(3130),
    [anon_sym_gt] = ACTIONS(3130),
    [anon_sym_isa] = ACTIONS(3130),
    [anon_sym_PLUS_PLUS] = ACTIONS(3130),
    [anon_sym_DASH_DASH] = ACTIONS(3130),
    [anon_sym_QMARK] = ACTIONS(3130),
    [anon_sym_EQ_GT] = ACTIONS(3130),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3130),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2376] = {
    [sym_heredoc_content] = STATE(2376),
    [aux_sym__term_rightward_repeat1] = STATE(2376),
    [anon_sym_COLON] = ACTIONS(2774),
    [anon_sym_EQ] = ACTIONS(2776),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2774),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2774),
    [anon_sym_COMMA] = ACTIONS(3971),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2774),
    [anon_sym_DASH_GT] = ACTIONS(2774),
    [anon_sym_PERCENT] = ACTIONS(2776),
    [anon_sym_GT] = ACTIONS(2776),
    [anon_sym_LT_LT] = ACTIONS(2776),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2774),
    [anon_sym_PLUS_EQ] = ACTIONS(2774),
    [anon_sym_DASH_EQ] = ACTIONS(2774),
    [anon_sym_DOT_EQ] = ACTIONS(2774),
    [anon_sym_STAR_EQ] = ACTIONS(2774),
    [anon_sym_SLASH_EQ] = ACTIONS(2774),
    [anon_sym_PERCENT_EQ] = ACTIONS(2774),
    [anon_sym_x_EQ] = ACTIONS(2774),
    [anon_sym_AMP_EQ] = ACTIONS(2774),
    [anon_sym_PIPE_EQ] = ACTIONS(2774),
    [anon_sym_CARET_EQ] = ACTIONS(2774),
    [anon_sym_LT_LT_EQ] = ACTIONS(2774),
    [anon_sym_GT_GT_EQ] = ACTIONS(2774),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2774),
    [anon_sym_DOT_DOT] = ACTIONS(2776),
    [anon_sym_STAR_STAR] = ACTIONS(2776),
    [anon_sym_PIPE_PIPE] = ACTIONS(2776),
    [anon_sym_SLASH_SLASH] = ACTIONS(2776),
    [anon_sym_CARET_CARET] = ACTIONS(2774),
    [anon_sym_AMP_AMP] = ACTIONS(2776),
    [anon_sym_PIPE] = ACTIONS(2776),
    [anon_sym_CARET] = ACTIONS(2776),
    [anon_sym_AMP] = ACTIONS(2776),
    [anon_sym_GT_GT2] = ACTIONS(2776),
    [anon_sym_PLUS] = ACTIONS(2776),
    [anon_sym_DASH] = ACTIONS(2776),
    [anon_sym_DOT] = ACTIONS(2776),
    [anon_sym_STAR] = ACTIONS(2776),
    [anon_sym_SLASH] = ACTIONS(2776),
    [anon_sym_x] = ACTIONS(2776),
    [anon_sym_EQ_TILDE] = ACTIONS(2774),
    [anon_sym_BANG_TILDE] = ACTIONS(2774),
    [anon_sym_EQ_EQ] = ACTIONS(2776),
    [anon_sym_BANG_EQ] = ACTIONS(2774),
    [anon_sym_eq] = ACTIONS(2776),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2774),
    [anon_sym_equ] = ACTIONS(2774),
    [anon_sym_eqr] = ACTIONS(2774),
    [anon_sym_ne] = ACTIONS(2774),
    [anon_sym_LT_EQ_GT] = ACTIONS(2774),
    [anon_sym_cmp] = ACTIONS(2774),
    [anon_sym_TILDE_TILDE] = ACTIONS(2774),
    [anon_sym_LT] = ACTIONS(2776),
    [anon_sym_LT_EQ] = ACTIONS(2776),
    [anon_sym_GT_EQ] = ACTIONS(2774),
    [anon_sym_lt] = ACTIONS(2774),
    [anon_sym_le] = ACTIONS(2774),
    [anon_sym_ge] = ACTIONS(2774),
    [anon_sym_gt] = ACTIONS(2774),
    [anon_sym_isa] = ACTIONS(2774),
    [anon_sym_PLUS_PLUS] = ACTIONS(2774),
    [anon_sym_DASH_DASH] = ACTIONS(2774),
    [anon_sym_QMARK] = ACTIONS(2774),
    [anon_sym_EQ_GT] = ACTIONS(3971),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2377] = {
    [sym_heredoc_content] = STATE(2377),
    [anon_sym_COLON] = ACTIONS(2873),
    [anon_sym_EQ] = ACTIONS(2875),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2873),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2873),
    [anon_sym_COMMA] = ACTIONS(2873),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2873),
    [anon_sym_DASH_GT] = ACTIONS(3831),
    [anon_sym_PERCENT] = ACTIONS(2875),
    [anon_sym_GT] = ACTIONS(2875),
    [anon_sym_LT_LT] = ACTIONS(2875),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2873),
    [anon_sym_PLUS_EQ] = ACTIONS(2873),
    [anon_sym_DASH_EQ] = ACTIONS(2873),
    [anon_sym_DOT_EQ] = ACTIONS(2873),
    [anon_sym_STAR_EQ] = ACTIONS(2873),
    [anon_sym_SLASH_EQ] = ACTIONS(2873),
    [anon_sym_PERCENT_EQ] = ACTIONS(2873),
    [anon_sym_x_EQ] = ACTIONS(2873),
    [anon_sym_AMP_EQ] = ACTIONS(2873),
    [anon_sym_PIPE_EQ] = ACTIONS(2873),
    [anon_sym_CARET_EQ] = ACTIONS(2873),
    [anon_sym_LT_LT_EQ] = ACTIONS(2873),
    [anon_sym_GT_GT_EQ] = ACTIONS(2873),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2873),
    [anon_sym_DOT_DOT] = ACTIONS(2875),
    [anon_sym_STAR_STAR] = ACTIONS(3943),
    [anon_sym_PIPE_PIPE] = ACTIONS(2875),
    [anon_sym_SLASH_SLASH] = ACTIONS(2875),
    [anon_sym_CARET_CARET] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2875),
    [anon_sym_PIPE] = ACTIONS(2875),
    [anon_sym_CARET] = ACTIONS(2875),
    [anon_sym_AMP] = ACTIONS(2875),
    [anon_sym_GT_GT2] = ACTIONS(2875),
    [anon_sym_PLUS] = ACTIONS(2875),
    [anon_sym_DASH] = ACTIONS(2875),
    [anon_sym_DOT] = ACTIONS(2875),
    [anon_sym_STAR] = ACTIONS(2875),
    [anon_sym_SLASH] = ACTIONS(2875),
    [anon_sym_x] = ACTIONS(2875),
    [anon_sym_EQ_TILDE] = ACTIONS(2873),
    [anon_sym_BANG_TILDE] = ACTIONS(2873),
    [anon_sym_EQ_EQ] = ACTIONS(2875),
    [anon_sym_BANG_EQ] = ACTIONS(2873),
    [anon_sym_eq] = ACTIONS(2875),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2873),
    [anon_sym_equ] = ACTIONS(2873),
    [anon_sym_eqr] = ACTIONS(2873),
    [anon_sym_ne] = ACTIONS(2873),
    [anon_sym_LT_EQ_GT] = ACTIONS(2873),
    [anon_sym_cmp] = ACTIONS(2873),
    [anon_sym_TILDE_TILDE] = ACTIONS(2873),
    [anon_sym_LT] = ACTIONS(2875),
    [anon_sym_LT_EQ] = ACTIONS(2875),
    [anon_sym_GT_EQ] = ACTIONS(2873),
    [anon_sym_lt] = ACTIONS(2873),
    [anon_sym_le] = ACTIONS(2873),
    [anon_sym_ge] = ACTIONS(2873),
    [anon_sym_gt] = ACTIONS(2873),
    [anon_sym_isa] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(3867),
    [anon_sym_DASH_DASH] = ACTIONS(3867),
    [anon_sym_QMARK] = ACTIONS(2873),
    [anon_sym_EQ_GT] = ACTIONS(2873),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2378] = {
    [sym_heredoc_content] = STATE(2378),
    [anon_sym_COLON] = ACTIONS(3019),
    [anon_sym_EQ] = ACTIONS(3021),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_COMMA] = ACTIONS(3019),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3019),
    [anon_sym_DASH_GT] = ACTIONS(3831),
    [anon_sym_PERCENT] = ACTIONS(3021),
    [anon_sym_GT] = ACTIONS(3021),
    [anon_sym_LT_LT] = ACTIONS(3021),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3019),
    [anon_sym_PLUS_EQ] = ACTIONS(3019),
    [anon_sym_DASH_EQ] = ACTIONS(3019),
    [anon_sym_DOT_EQ] = ACTIONS(3019),
    [anon_sym_STAR_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_PERCENT_EQ] = ACTIONS(3019),
    [anon_sym_x_EQ] = ACTIONS(3019),
    [anon_sym_AMP_EQ] = ACTIONS(3019),
    [anon_sym_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_CARET_EQ] = ACTIONS(3019),
    [anon_sym_LT_LT_EQ] = ACTIONS(3019),
    [anon_sym_GT_GT_EQ] = ACTIONS(3019),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3019),
    [anon_sym_DOT_DOT] = ACTIONS(3021),
    [anon_sym_STAR_STAR] = ACTIONS(3943),
    [anon_sym_PIPE_PIPE] = ACTIONS(3021),
    [anon_sym_SLASH_SLASH] = ACTIONS(3021),
    [anon_sym_CARET_CARET] = ACTIONS(3019),
    [anon_sym_AMP_AMP] = ACTIONS(3021),
    [anon_sym_PIPE] = ACTIONS(3021),
    [anon_sym_CARET] = ACTIONS(3021),
    [anon_sym_AMP] = ACTIONS(3021),
    [anon_sym_GT_GT2] = ACTIONS(3021),
    [anon_sym_PLUS] = ACTIONS(3021),
    [anon_sym_DASH] = ACTIONS(3021),
    [anon_sym_DOT] = ACTIONS(3021),
    [anon_sym_STAR] = ACTIONS(3021),
    [anon_sym_SLASH] = ACTIONS(3021),
    [anon_sym_x] = ACTIONS(3021),
    [anon_sym_EQ_TILDE] = ACTIONS(3019),
    [anon_sym_BANG_TILDE] = ACTIONS(3019),
    [anon_sym_EQ_EQ] = ACTIONS(3021),
    [anon_sym_BANG_EQ] = ACTIONS(3019),
    [anon_sym_eq] = ACTIONS(3021),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3019),
    [anon_sym_equ] = ACTIONS(3019),
    [anon_sym_eqr] = ACTIONS(3019),
    [anon_sym_ne] = ACTIONS(3019),
    [anon_sym_LT_EQ_GT] = ACTIONS(3019),
    [anon_sym_cmp] = ACTIONS(3019),
    [anon_sym_TILDE_TILDE] = ACTIONS(3019),
    [anon_sym_LT] = ACTIONS(3021),
    [anon_sym_LT_EQ] = ACTIONS(3021),
    [anon_sym_GT_EQ] = ACTIONS(3019),
    [anon_sym_lt] = ACTIONS(3019),
    [anon_sym_le] = ACTIONS(3019),
    [anon_sym_ge] = ACTIONS(3019),
    [anon_sym_gt] = ACTIONS(3019),
    [anon_sym_isa] = ACTIONS(3019),
    [anon_sym_PLUS_PLUS] = ACTIONS(3867),
    [anon_sym_DASH_DASH] = ACTIONS(3867),
    [anon_sym_QMARK] = ACTIONS(3019),
    [anon_sym_EQ_GT] = ACTIONS(3019),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2379] = {
    [sym_heredoc_content] = STATE(2379),
    [anon_sym_COLON] = ACTIONS(3035),
    [anon_sym_EQ] = ACTIONS(3037),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3035),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3035),
    [anon_sym_COMMA] = ACTIONS(3035),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3035),
    [anon_sym_DASH_GT] = ACTIONS(3831),
    [anon_sym_PERCENT] = ACTIONS(3935),
    [anon_sym_GT] = ACTIONS(3937),
    [anon_sym_LT_LT] = ACTIONS(3939),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3035),
    [anon_sym_PLUS_EQ] = ACTIONS(3035),
    [anon_sym_DASH_EQ] = ACTIONS(3035),
    [anon_sym_DOT_EQ] = ACTIONS(3035),
    [anon_sym_STAR_EQ] = ACTIONS(3035),
    [anon_sym_SLASH_EQ] = ACTIONS(3035),
    [anon_sym_PERCENT_EQ] = ACTIONS(3035),
    [anon_sym_x_EQ] = ACTIONS(3035),
    [anon_sym_AMP_EQ] = ACTIONS(3035),
    [anon_sym_PIPE_EQ] = ACTIONS(3035),
    [anon_sym_CARET_EQ] = ACTIONS(3035),
    [anon_sym_LT_LT_EQ] = ACTIONS(3035),
    [anon_sym_GT_GT_EQ] = ACTIONS(3035),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3035),
    [anon_sym_DOT_DOT] = ACTIONS(3037),
    [anon_sym_STAR_STAR] = ACTIONS(3943),
    [anon_sym_PIPE_PIPE] = ACTIONS(3037),
    [anon_sym_SLASH_SLASH] = ACTIONS(3037),
    [anon_sym_CARET_CARET] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(3037),
    [anon_sym_PIPE] = ACTIONS(3037),
    [anon_sym_CARET] = ACTIONS(3037),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym_GT_GT2] = ACTIONS(3939),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_DOT] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(3935),
    [anon_sym_SLASH] = ACTIONS(3935),
    [anon_sym_x] = ACTIONS(3935),
    [anon_sym_EQ_TILDE] = ACTIONS(3957),
    [anon_sym_BANG_TILDE] = ACTIONS(3957),
    [anon_sym_EQ_EQ] = ACTIONS(3037),
    [anon_sym_BANG_EQ] = ACTIONS(3035),
    [anon_sym_eq] = ACTIONS(3037),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3035),
    [anon_sym_equ] = ACTIONS(3035),
    [anon_sym_eqr] = ACTIONS(3035),
    [anon_sym_ne] = ACTIONS(3035),
    [anon_sym_LT_EQ_GT] = ACTIONS(3035),
    [anon_sym_cmp] = ACTIONS(3035),
    [anon_sym_TILDE_TILDE] = ACTIONS(3035),
    [anon_sym_LT] = ACTIONS(3937),
    [anon_sym_LT_EQ] = ACTIONS(3937),
    [anon_sym_GT_EQ] = ACTIONS(3965),
    [anon_sym_lt] = ACTIONS(3965),
    [anon_sym_le] = ACTIONS(3965),
    [anon_sym_ge] = ACTIONS(3965),
    [anon_sym_gt] = ACTIONS(3965),
    [anon_sym_isa] = ACTIONS(3967),
    [anon_sym_PLUS_PLUS] = ACTIONS(3867),
    [anon_sym_DASH_DASH] = ACTIONS(3867),
    [anon_sym_QMARK] = ACTIONS(3035),
    [anon_sym_EQ_GT] = ACTIONS(3035),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2380] = {
    [sym_heredoc_content] = STATE(2380),
    [anon_sym_COLON] = ACTIONS(3035),
    [anon_sym_EQ] = ACTIONS(3037),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3035),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3035),
    [anon_sym_COMMA] = ACTIONS(3035),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3035),
    [anon_sym_DASH_GT] = ACTIONS(3831),
    [anon_sym_PERCENT] = ACTIONS(3935),
    [anon_sym_GT] = ACTIONS(3937),
    [anon_sym_LT_LT] = ACTIONS(3939),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3035),
    [anon_sym_PLUS_EQ] = ACTIONS(3035),
    [anon_sym_DASH_EQ] = ACTIONS(3035),
    [anon_sym_DOT_EQ] = ACTIONS(3035),
    [anon_sym_STAR_EQ] = ACTIONS(3035),
    [anon_sym_SLASH_EQ] = ACTIONS(3035),
    [anon_sym_PERCENT_EQ] = ACTIONS(3035),
    [anon_sym_x_EQ] = ACTIONS(3035),
    [anon_sym_AMP_EQ] = ACTIONS(3035),
    [anon_sym_PIPE_EQ] = ACTIONS(3035),
    [anon_sym_CARET_EQ] = ACTIONS(3035),
    [anon_sym_LT_LT_EQ] = ACTIONS(3035),
    [anon_sym_GT_GT_EQ] = ACTIONS(3035),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3035),
    [anon_sym_DOT_DOT] = ACTIONS(3037),
    [anon_sym_STAR_STAR] = ACTIONS(3943),
    [anon_sym_PIPE_PIPE] = ACTIONS(3037),
    [anon_sym_SLASH_SLASH] = ACTIONS(3037),
    [anon_sym_CARET_CARET] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(3037),
    [anon_sym_PIPE] = ACTIONS(3037),
    [anon_sym_CARET] = ACTIONS(3037),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym_GT_GT2] = ACTIONS(3939),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_DOT] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(3935),
    [anon_sym_SLASH] = ACTIONS(3935),
    [anon_sym_x] = ACTIONS(3935),
    [anon_sym_EQ_TILDE] = ACTIONS(3957),
    [anon_sym_BANG_TILDE] = ACTIONS(3957),
    [anon_sym_EQ_EQ] = ACTIONS(3959),
    [anon_sym_BANG_EQ] = ACTIONS(3961),
    [anon_sym_eq] = ACTIONS(3959),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3961),
    [anon_sym_equ] = ACTIONS(3961),
    [anon_sym_eqr] = ACTIONS(3961),
    [anon_sym_ne] = ACTIONS(3961),
    [anon_sym_LT_EQ_GT] = ACTIONS(3974),
    [anon_sym_cmp] = ACTIONS(3974),
    [anon_sym_TILDE_TILDE] = ACTIONS(3974),
    [anon_sym_LT] = ACTIONS(3937),
    [anon_sym_LT_EQ] = ACTIONS(3937),
    [anon_sym_GT_EQ] = ACTIONS(3965),
    [anon_sym_lt] = ACTIONS(3965),
    [anon_sym_le] = ACTIONS(3965),
    [anon_sym_ge] = ACTIONS(3965),
    [anon_sym_gt] = ACTIONS(3965),
    [anon_sym_isa] = ACTIONS(3967),
    [anon_sym_PLUS_PLUS] = ACTIONS(3867),
    [anon_sym_DASH_DASH] = ACTIONS(3867),
    [anon_sym_QMARK] = ACTIONS(3035),
    [anon_sym_EQ_GT] = ACTIONS(3035),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2381] = {
    [sym_heredoc_content] = STATE(2381),
    [anon_sym_COLON] = ACTIONS(3027),
    [anon_sym_EQ] = ACTIONS(3029),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3027),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3027),
    [anon_sym_COMMA] = ACTIONS(3027),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3027),
    [anon_sym_DASH_GT] = ACTIONS(3831),
    [anon_sym_PERCENT] = ACTIONS(3935),
    [anon_sym_GT] = ACTIONS(3937),
    [anon_sym_LT_LT] = ACTIONS(3939),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3027),
    [anon_sym_PLUS_EQ] = ACTIONS(3027),
    [anon_sym_DASH_EQ] = ACTIONS(3027),
    [anon_sym_DOT_EQ] = ACTIONS(3027),
    [anon_sym_STAR_EQ] = ACTIONS(3027),
    [anon_sym_SLASH_EQ] = ACTIONS(3027),
    [anon_sym_PERCENT_EQ] = ACTIONS(3027),
    [anon_sym_x_EQ] = ACTIONS(3027),
    [anon_sym_AMP_EQ] = ACTIONS(3027),
    [anon_sym_PIPE_EQ] = ACTIONS(3027),
    [anon_sym_CARET_EQ] = ACTIONS(3027),
    [anon_sym_LT_LT_EQ] = ACTIONS(3027),
    [anon_sym_GT_GT_EQ] = ACTIONS(3027),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3027),
    [anon_sym_DOT_DOT] = ACTIONS(3029),
    [anon_sym_STAR_STAR] = ACTIONS(3943),
    [anon_sym_PIPE_PIPE] = ACTIONS(3029),
    [anon_sym_SLASH_SLASH] = ACTIONS(3029),
    [anon_sym_CARET_CARET] = ACTIONS(3027),
    [anon_sym_AMP_AMP] = ACTIONS(3029),
    [anon_sym_PIPE] = ACTIONS(3029),
    [anon_sym_CARET] = ACTIONS(3029),
    [anon_sym_AMP] = ACTIONS(3029),
    [anon_sym_GT_GT2] = ACTIONS(3939),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_DOT] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(3935),
    [anon_sym_SLASH] = ACTIONS(3935),
    [anon_sym_x] = ACTIONS(3935),
    [anon_sym_EQ_TILDE] = ACTIONS(3957),
    [anon_sym_BANG_TILDE] = ACTIONS(3957),
    [anon_sym_EQ_EQ] = ACTIONS(3029),
    [anon_sym_BANG_EQ] = ACTIONS(3027),
    [anon_sym_eq] = ACTIONS(3029),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3027),
    [anon_sym_equ] = ACTIONS(3027),
    [anon_sym_eqr] = ACTIONS(3027),
    [anon_sym_ne] = ACTIONS(3027),
    [anon_sym_LT_EQ_GT] = ACTIONS(3027),
    [anon_sym_cmp] = ACTIONS(3027),
    [anon_sym_TILDE_TILDE] = ACTIONS(3027),
    [anon_sym_LT] = ACTIONS(3937),
    [anon_sym_LT_EQ] = ACTIONS(3937),
    [anon_sym_GT_EQ] = ACTIONS(3965),
    [anon_sym_lt] = ACTIONS(3965),
    [anon_sym_le] = ACTIONS(3965),
    [anon_sym_ge] = ACTIONS(3965),
    [anon_sym_gt] = ACTIONS(3965),
    [anon_sym_isa] = ACTIONS(3976),
    [anon_sym_PLUS_PLUS] = ACTIONS(3867),
    [anon_sym_DASH_DASH] = ACTIONS(3867),
    [anon_sym_QMARK] = ACTIONS(3027),
    [anon_sym_EQ_GT] = ACTIONS(3027),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2382] = {
    [sym_heredoc_content] = STATE(2382),
    [anon_sym_COLON] = ACTIONS(3258),
    [anon_sym_EQ] = ACTIONS(3260),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3258),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3258),
    [anon_sym_COMMA] = ACTIONS(3258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3933),
    [anon_sym_DASH_GT] = ACTIONS(3831),
    [anon_sym_PERCENT] = ACTIONS(3935),
    [anon_sym_GT] = ACTIONS(3937),
    [anon_sym_LT_LT] = ACTIONS(3939),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3258),
    [anon_sym_PLUS_EQ] = ACTIONS(3258),
    [anon_sym_DASH_EQ] = ACTIONS(3258),
    [anon_sym_DOT_EQ] = ACTIONS(3258),
    [anon_sym_STAR_EQ] = ACTIONS(3258),
    [anon_sym_SLASH_EQ] = ACTIONS(3258),
    [anon_sym_PERCENT_EQ] = ACTIONS(3258),
    [anon_sym_x_EQ] = ACTIONS(3258),
    [anon_sym_AMP_EQ] = ACTIONS(3258),
    [anon_sym_PIPE_EQ] = ACTIONS(3258),
    [anon_sym_CARET_EQ] = ACTIONS(3258),
    [anon_sym_LT_LT_EQ] = ACTIONS(3258),
    [anon_sym_GT_GT_EQ] = ACTIONS(3258),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3258),
    [anon_sym_DOT_DOT] = ACTIONS(3941),
    [anon_sym_STAR_STAR] = ACTIONS(3943),
    [anon_sym_PIPE_PIPE] = ACTIONS(3945),
    [anon_sym_SLASH_SLASH] = ACTIONS(3945),
    [anon_sym_CARET_CARET] = ACTIONS(3947),
    [anon_sym_AMP_AMP] = ACTIONS(3949),
    [anon_sym_PIPE] = ACTIONS(3951),
    [anon_sym_CARET] = ACTIONS(3951),
    [anon_sym_AMP] = ACTIONS(3953),
    [anon_sym_GT_GT2] = ACTIONS(3939),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_DOT] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(3935),
    [anon_sym_SLASH] = ACTIONS(3935),
    [anon_sym_x] = ACTIONS(3935),
    [anon_sym_EQ_TILDE] = ACTIONS(3957),
    [anon_sym_BANG_TILDE] = ACTIONS(3957),
    [anon_sym_EQ_EQ] = ACTIONS(3959),
    [anon_sym_BANG_EQ] = ACTIONS(3961),
    [anon_sym_eq] = ACTIONS(3959),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3961),
    [anon_sym_equ] = ACTIONS(3961),
    [anon_sym_eqr] = ACTIONS(3961),
    [anon_sym_ne] = ACTIONS(3961),
    [anon_sym_LT_EQ_GT] = ACTIONS(3963),
    [anon_sym_cmp] = ACTIONS(3963),
    [anon_sym_TILDE_TILDE] = ACTIONS(3963),
    [anon_sym_LT] = ACTIONS(3937),
    [anon_sym_LT_EQ] = ACTIONS(3937),
    [anon_sym_GT_EQ] = ACTIONS(3965),
    [anon_sym_lt] = ACTIONS(3965),
    [anon_sym_le] = ACTIONS(3965),
    [anon_sym_ge] = ACTIONS(3965),
    [anon_sym_gt] = ACTIONS(3965),
    [anon_sym_isa] = ACTIONS(3967),
    [anon_sym_PLUS_PLUS] = ACTIONS(3867),
    [anon_sym_DASH_DASH] = ACTIONS(3867),
    [anon_sym_QMARK] = ACTIONS(3969),
    [anon_sym_EQ_GT] = ACTIONS(3258),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2383] = {
    [sym_heredoc_content] = STATE(2383),
    [anon_sym_COLON] = ACTIONS(2734),
    [anon_sym_EQ] = ACTIONS(2738),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2734),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2734),
    [anon_sym_COMMA] = ACTIONS(2734),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2734),
    [anon_sym_DASH_GT] = ACTIONS(2734),
    [anon_sym_PERCENT] = ACTIONS(2738),
    [anon_sym_GT] = ACTIONS(2738),
    [anon_sym_LT_LT] = ACTIONS(2738),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2734),
    [anon_sym_PLUS_EQ] = ACTIONS(2734),
    [anon_sym_DASH_EQ] = ACTIONS(2734),
    [anon_sym_DOT_EQ] = ACTIONS(2734),
    [anon_sym_STAR_EQ] = ACTIONS(2734),
    [anon_sym_SLASH_EQ] = ACTIONS(2734),
    [anon_sym_PERCENT_EQ] = ACTIONS(2734),
    [anon_sym_x_EQ] = ACTIONS(2734),
    [anon_sym_AMP_EQ] = ACTIONS(2734),
    [anon_sym_PIPE_EQ] = ACTIONS(2734),
    [anon_sym_CARET_EQ] = ACTIONS(2734),
    [anon_sym_LT_LT_EQ] = ACTIONS(2734),
    [anon_sym_GT_GT_EQ] = ACTIONS(2734),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2734),
    [anon_sym_DOT_DOT] = ACTIONS(2738),
    [anon_sym_STAR_STAR] = ACTIONS(2738),
    [anon_sym_PIPE_PIPE] = ACTIONS(2738),
    [anon_sym_SLASH_SLASH] = ACTIONS(2738),
    [anon_sym_CARET_CARET] = ACTIONS(2734),
    [anon_sym_AMP_AMP] = ACTIONS(2738),
    [anon_sym_PIPE] = ACTIONS(2738),
    [anon_sym_CARET] = ACTIONS(2738),
    [anon_sym_AMP] = ACTIONS(2738),
    [anon_sym_GT_GT2] = ACTIONS(2738),
    [anon_sym_PLUS] = ACTIONS(2738),
    [anon_sym_DASH] = ACTIONS(2738),
    [anon_sym_DOT] = ACTIONS(2738),
    [anon_sym_STAR] = ACTIONS(2738),
    [anon_sym_SLASH] = ACTIONS(2738),
    [anon_sym_x] = ACTIONS(2738),
    [anon_sym_EQ_TILDE] = ACTIONS(2734),
    [anon_sym_BANG_TILDE] = ACTIONS(2734),
    [anon_sym_EQ_EQ] = ACTIONS(2738),
    [anon_sym_BANG_EQ] = ACTIONS(2734),
    [anon_sym_eq] = ACTIONS(2738),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2734),
    [anon_sym_equ] = ACTIONS(2734),
    [anon_sym_eqr] = ACTIONS(2734),
    [anon_sym_ne] = ACTIONS(2734),
    [anon_sym_LT_EQ_GT] = ACTIONS(2734),
    [anon_sym_cmp] = ACTIONS(2734),
    [anon_sym_TILDE_TILDE] = ACTIONS(2734),
    [anon_sym_LT] = ACTIONS(2738),
    [anon_sym_LT_EQ] = ACTIONS(2738),
    [anon_sym_GT_EQ] = ACTIONS(2734),
    [anon_sym_lt] = ACTIONS(2734),
    [anon_sym_le] = ACTIONS(2734),
    [anon_sym_ge] = ACTIONS(2734),
    [anon_sym_gt] = ACTIONS(2734),
    [anon_sym_isa] = ACTIONS(2734),
    [anon_sym_PLUS_PLUS] = ACTIONS(2734),
    [anon_sym_DASH_DASH] = ACTIONS(2734),
    [anon_sym_QMARK] = ACTIONS(2734),
    [anon_sym_EQ_GT] = ACTIONS(2734),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2384] = {
    [sym_heredoc_content] = STATE(2384),
    [anon_sym_COLON] = ACTIONS(2744),
    [anon_sym_EQ] = ACTIONS(2748),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2744),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2744),
    [anon_sym_COMMA] = ACTIONS(2744),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2744),
    [anon_sym_DASH_GT] = ACTIONS(2744),
    [anon_sym_PERCENT] = ACTIONS(2748),
    [anon_sym_GT] = ACTIONS(2748),
    [anon_sym_LT_LT] = ACTIONS(2748),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2744),
    [anon_sym_PLUS_EQ] = ACTIONS(2744),
    [anon_sym_DASH_EQ] = ACTIONS(2744),
    [anon_sym_DOT_EQ] = ACTIONS(2744),
    [anon_sym_STAR_EQ] = ACTIONS(2744),
    [anon_sym_SLASH_EQ] = ACTIONS(2744),
    [anon_sym_PERCENT_EQ] = ACTIONS(2744),
    [anon_sym_x_EQ] = ACTIONS(2744),
    [anon_sym_AMP_EQ] = ACTIONS(2744),
    [anon_sym_PIPE_EQ] = ACTIONS(2744),
    [anon_sym_CARET_EQ] = ACTIONS(2744),
    [anon_sym_LT_LT_EQ] = ACTIONS(2744),
    [anon_sym_GT_GT_EQ] = ACTIONS(2744),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2744),
    [anon_sym_DOT_DOT] = ACTIONS(2748),
    [anon_sym_STAR_STAR] = ACTIONS(2748),
    [anon_sym_PIPE_PIPE] = ACTIONS(2748),
    [anon_sym_SLASH_SLASH] = ACTIONS(2748),
    [anon_sym_CARET_CARET] = ACTIONS(2744),
    [anon_sym_AMP_AMP] = ACTIONS(2748),
    [anon_sym_PIPE] = ACTIONS(2748),
    [anon_sym_CARET] = ACTIONS(2748),
    [anon_sym_AMP] = ACTIONS(2748),
    [anon_sym_GT_GT2] = ACTIONS(2748),
    [anon_sym_PLUS] = ACTIONS(2748),
    [anon_sym_DASH] = ACTIONS(2748),
    [anon_sym_DOT] = ACTIONS(2748),
    [anon_sym_STAR] = ACTIONS(2748),
    [anon_sym_SLASH] = ACTIONS(2748),
    [anon_sym_x] = ACTIONS(2748),
    [anon_sym_EQ_TILDE] = ACTIONS(2744),
    [anon_sym_BANG_TILDE] = ACTIONS(2744),
    [anon_sym_EQ_EQ] = ACTIONS(2748),
    [anon_sym_BANG_EQ] = ACTIONS(2744),
    [anon_sym_eq] = ACTIONS(2748),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2744),
    [anon_sym_equ] = ACTIONS(2744),
    [anon_sym_eqr] = ACTIONS(2744),
    [anon_sym_ne] = ACTIONS(2744),
    [anon_sym_LT_EQ_GT] = ACTIONS(2744),
    [anon_sym_cmp] = ACTIONS(2744),
    [anon_sym_TILDE_TILDE] = ACTIONS(2744),
    [anon_sym_LT] = ACTIONS(2748),
    [anon_sym_LT_EQ] = ACTIONS(2748),
    [anon_sym_GT_EQ] = ACTIONS(2744),
    [anon_sym_lt] = ACTIONS(2744),
    [anon_sym_le] = ACTIONS(2744),
    [anon_sym_ge] = ACTIONS(2744),
    [anon_sym_gt] = ACTIONS(2744),
    [anon_sym_isa] = ACTIONS(2744),
    [anon_sym_PLUS_PLUS] = ACTIONS(2744),
    [anon_sym_DASH_DASH] = ACTIONS(2744),
    [anon_sym_QMARK] = ACTIONS(2744),
    [anon_sym_EQ_GT] = ACTIONS(2744),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2385] = {
    [sym_heredoc_content] = STATE(2385),
    [anon_sym_COLON] = ACTIONS(2947),
    [anon_sym_EQ] = ACTIONS(2949),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2947),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2947),
    [anon_sym_COMMA] = ACTIONS(2947),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2947),
    [anon_sym_DASH_GT] = ACTIONS(3831),
    [anon_sym_PERCENT] = ACTIONS(3935),
    [anon_sym_GT] = ACTIONS(2949),
    [anon_sym_LT_LT] = ACTIONS(3939),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2947),
    [anon_sym_PLUS_EQ] = ACTIONS(2947),
    [anon_sym_DASH_EQ] = ACTIONS(2947),
    [anon_sym_DOT_EQ] = ACTIONS(2947),
    [anon_sym_STAR_EQ] = ACTIONS(2947),
    [anon_sym_SLASH_EQ] = ACTIONS(2947),
    [anon_sym_PERCENT_EQ] = ACTIONS(2947),
    [anon_sym_x_EQ] = ACTIONS(2947),
    [anon_sym_AMP_EQ] = ACTIONS(2947),
    [anon_sym_PIPE_EQ] = ACTIONS(2947),
    [anon_sym_CARET_EQ] = ACTIONS(2947),
    [anon_sym_LT_LT_EQ] = ACTIONS(2947),
    [anon_sym_GT_GT_EQ] = ACTIONS(2947),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2947),
    [anon_sym_DOT_DOT] = ACTIONS(2949),
    [anon_sym_STAR_STAR] = ACTIONS(3943),
    [anon_sym_PIPE_PIPE] = ACTIONS(2949),
    [anon_sym_SLASH_SLASH] = ACTIONS(2949),
    [anon_sym_CARET_CARET] = ACTIONS(2947),
    [anon_sym_AMP_AMP] = ACTIONS(2949),
    [anon_sym_PIPE] = ACTIONS(2949),
    [anon_sym_CARET] = ACTIONS(2949),
    [anon_sym_AMP] = ACTIONS(2949),
    [anon_sym_GT_GT2] = ACTIONS(3939),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_DOT] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(3935),
    [anon_sym_SLASH] = ACTIONS(3935),
    [anon_sym_x] = ACTIONS(3935),
    [anon_sym_EQ_TILDE] = ACTIONS(3957),
    [anon_sym_BANG_TILDE] = ACTIONS(3957),
    [anon_sym_EQ_EQ] = ACTIONS(2949),
    [anon_sym_BANG_EQ] = ACTIONS(2947),
    [anon_sym_eq] = ACTIONS(2949),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2947),
    [anon_sym_equ] = ACTIONS(2947),
    [anon_sym_eqr] = ACTIONS(2947),
    [anon_sym_ne] = ACTIONS(2947),
    [anon_sym_LT_EQ_GT] = ACTIONS(2947),
    [anon_sym_cmp] = ACTIONS(2947),
    [anon_sym_TILDE_TILDE] = ACTIONS(2947),
    [anon_sym_LT] = ACTIONS(2949),
    [anon_sym_LT_EQ] = ACTIONS(2949),
    [anon_sym_GT_EQ] = ACTIONS(2947),
    [anon_sym_lt] = ACTIONS(2947),
    [anon_sym_le] = ACTIONS(2947),
    [anon_sym_ge] = ACTIONS(2947),
    [anon_sym_gt] = ACTIONS(2947),
    [anon_sym_isa] = ACTIONS(2947),
    [anon_sym_PLUS_PLUS] = ACTIONS(3867),
    [anon_sym_DASH_DASH] = ACTIONS(3867),
    [anon_sym_QMARK] = ACTIONS(2947),
    [anon_sym_EQ_GT] = ACTIONS(2947),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2386] = {
    [sym_heredoc_content] = STATE(2386),
    [anon_sym_COLON] = ACTIONS(2660),
    [anon_sym_EQ] = ACTIONS(2662),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2660),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2660),
    [anon_sym_COMMA] = ACTIONS(2660),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2660),
    [anon_sym_DASH_GT] = ACTIONS(3831),
    [anon_sym_PERCENT] = ACTIONS(2662),
    [anon_sym_GT] = ACTIONS(2662),
    [anon_sym_LT_LT] = ACTIONS(2662),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2660),
    [anon_sym_PLUS_EQ] = ACTIONS(2660),
    [anon_sym_DASH_EQ] = ACTIONS(2660),
    [anon_sym_DOT_EQ] = ACTIONS(2660),
    [anon_sym_STAR_EQ] = ACTIONS(2660),
    [anon_sym_SLASH_EQ] = ACTIONS(2660),
    [anon_sym_PERCENT_EQ] = ACTIONS(2660),
    [anon_sym_x_EQ] = ACTIONS(2660),
    [anon_sym_AMP_EQ] = ACTIONS(2660),
    [anon_sym_PIPE_EQ] = ACTIONS(2660),
    [anon_sym_CARET_EQ] = ACTIONS(2660),
    [anon_sym_LT_LT_EQ] = ACTIONS(2660),
    [anon_sym_GT_GT_EQ] = ACTIONS(2660),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2660),
    [anon_sym_DOT_DOT] = ACTIONS(2662),
    [anon_sym_STAR_STAR] = ACTIONS(3943),
    [anon_sym_PIPE_PIPE] = ACTIONS(2662),
    [anon_sym_SLASH_SLASH] = ACTIONS(2662),
    [anon_sym_CARET_CARET] = ACTIONS(2660),
    [anon_sym_AMP_AMP] = ACTIONS(2662),
    [anon_sym_PIPE] = ACTIONS(2662),
    [anon_sym_CARET] = ACTIONS(2662),
    [anon_sym_AMP] = ACTIONS(2662),
    [anon_sym_GT_GT2] = ACTIONS(2662),
    [anon_sym_PLUS] = ACTIONS(2662),
    [anon_sym_DASH] = ACTIONS(2662),
    [anon_sym_DOT] = ACTIONS(2662),
    [anon_sym_STAR] = ACTIONS(2662),
    [anon_sym_SLASH] = ACTIONS(2662),
    [anon_sym_x] = ACTIONS(2662),
    [anon_sym_EQ_TILDE] = ACTIONS(2660),
    [anon_sym_BANG_TILDE] = ACTIONS(2660),
    [anon_sym_EQ_EQ] = ACTIONS(2662),
    [anon_sym_BANG_EQ] = ACTIONS(2660),
    [anon_sym_eq] = ACTIONS(2662),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2660),
    [anon_sym_equ] = ACTIONS(2660),
    [anon_sym_eqr] = ACTIONS(2660),
    [anon_sym_ne] = ACTIONS(2660),
    [anon_sym_LT_EQ_GT] = ACTIONS(2660),
    [anon_sym_cmp] = ACTIONS(2660),
    [anon_sym_TILDE_TILDE] = ACTIONS(2660),
    [anon_sym_LT] = ACTIONS(2662),
    [anon_sym_LT_EQ] = ACTIONS(2662),
    [anon_sym_GT_EQ] = ACTIONS(2660),
    [anon_sym_lt] = ACTIONS(2660),
    [anon_sym_le] = ACTIONS(2660),
    [anon_sym_ge] = ACTIONS(2660),
    [anon_sym_gt] = ACTIONS(2660),
    [anon_sym_isa] = ACTIONS(2660),
    [anon_sym_PLUS_PLUS] = ACTIONS(3867),
    [anon_sym_DASH_DASH] = ACTIONS(3867),
    [anon_sym_QMARK] = ACTIONS(2660),
    [anon_sym_EQ_GT] = ACTIONS(2660),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2387] = {
    [sym_heredoc_content] = STATE(2387),
    [anon_sym_COLON] = ACTIONS(3082),
    [anon_sym_EQ] = ACTIONS(3084),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3082),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3082),
    [anon_sym_COMMA] = ACTIONS(3082),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3082),
    [anon_sym_DASH_GT] = ACTIONS(3831),
    [anon_sym_PERCENT] = ACTIONS(3935),
    [anon_sym_GT] = ACTIONS(3084),
    [anon_sym_LT_LT] = ACTIONS(3939),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3082),
    [anon_sym_PLUS_EQ] = ACTIONS(3082),
    [anon_sym_DASH_EQ] = ACTIONS(3082),
    [anon_sym_DOT_EQ] = ACTIONS(3082),
    [anon_sym_STAR_EQ] = ACTIONS(3082),
    [anon_sym_SLASH_EQ] = ACTIONS(3082),
    [anon_sym_PERCENT_EQ] = ACTIONS(3082),
    [anon_sym_x_EQ] = ACTIONS(3082),
    [anon_sym_AMP_EQ] = ACTIONS(3082),
    [anon_sym_PIPE_EQ] = ACTIONS(3082),
    [anon_sym_CARET_EQ] = ACTIONS(3082),
    [anon_sym_LT_LT_EQ] = ACTIONS(3082),
    [anon_sym_GT_GT_EQ] = ACTIONS(3082),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3082),
    [anon_sym_DOT_DOT] = ACTIONS(3084),
    [anon_sym_STAR_STAR] = ACTIONS(3943),
    [anon_sym_PIPE_PIPE] = ACTIONS(3084),
    [anon_sym_SLASH_SLASH] = ACTIONS(3084),
    [anon_sym_CARET_CARET] = ACTIONS(3082),
    [anon_sym_AMP_AMP] = ACTIONS(3084),
    [anon_sym_PIPE] = ACTIONS(3084),
    [anon_sym_CARET] = ACTIONS(3084),
    [anon_sym_AMP] = ACTIONS(3084),
    [anon_sym_GT_GT2] = ACTIONS(3939),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_DOT] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(3935),
    [anon_sym_SLASH] = ACTIONS(3935),
    [anon_sym_x] = ACTIONS(3935),
    [anon_sym_EQ_TILDE] = ACTIONS(3957),
    [anon_sym_BANG_TILDE] = ACTIONS(3957),
    [anon_sym_EQ_EQ] = ACTIONS(3084),
    [anon_sym_BANG_EQ] = ACTIONS(3082),
    [anon_sym_eq] = ACTIONS(3084),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3082),
    [anon_sym_equ] = ACTIONS(3082),
    [anon_sym_eqr] = ACTIONS(3082),
    [anon_sym_ne] = ACTIONS(3082),
    [anon_sym_LT_EQ_GT] = ACTIONS(3082),
    [anon_sym_cmp] = ACTIONS(3082),
    [anon_sym_TILDE_TILDE] = ACTIONS(3082),
    [anon_sym_LT] = ACTIONS(3084),
    [anon_sym_LT_EQ] = ACTIONS(3084),
    [anon_sym_GT_EQ] = ACTIONS(3082),
    [anon_sym_lt] = ACTIONS(3082),
    [anon_sym_le] = ACTIONS(3082),
    [anon_sym_ge] = ACTIONS(3082),
    [anon_sym_gt] = ACTIONS(3082),
    [anon_sym_isa] = ACTIONS(3082),
    [anon_sym_PLUS_PLUS] = ACTIONS(3867),
    [anon_sym_DASH_DASH] = ACTIONS(3867),
    [anon_sym_QMARK] = ACTIONS(3082),
    [anon_sym_EQ_GT] = ACTIONS(3082),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2388] = {
    [sym_heredoc_content] = STATE(2388),
    [anon_sym_COLON] = ACTIONS(3086),
    [anon_sym_EQ] = ACTIONS(3088),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3086),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3086),
    [anon_sym_COMMA] = ACTIONS(3086),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3086),
    [anon_sym_DASH_GT] = ACTIONS(3831),
    [anon_sym_PERCENT] = ACTIONS(3935),
    [anon_sym_GT] = ACTIONS(3088),
    [anon_sym_LT_LT] = ACTIONS(3939),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3086),
    [anon_sym_PLUS_EQ] = ACTIONS(3086),
    [anon_sym_DASH_EQ] = ACTIONS(3086),
    [anon_sym_DOT_EQ] = ACTIONS(3086),
    [anon_sym_STAR_EQ] = ACTIONS(3086),
    [anon_sym_SLASH_EQ] = ACTIONS(3086),
    [anon_sym_PERCENT_EQ] = ACTIONS(3086),
    [anon_sym_x_EQ] = ACTIONS(3086),
    [anon_sym_AMP_EQ] = ACTIONS(3086),
    [anon_sym_PIPE_EQ] = ACTIONS(3086),
    [anon_sym_CARET_EQ] = ACTIONS(3086),
    [anon_sym_LT_LT_EQ] = ACTIONS(3086),
    [anon_sym_GT_GT_EQ] = ACTIONS(3086),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3086),
    [anon_sym_DOT_DOT] = ACTIONS(3088),
    [anon_sym_STAR_STAR] = ACTIONS(3943),
    [anon_sym_PIPE_PIPE] = ACTIONS(3088),
    [anon_sym_SLASH_SLASH] = ACTIONS(3088),
    [anon_sym_CARET_CARET] = ACTIONS(3086),
    [anon_sym_AMP_AMP] = ACTIONS(3088),
    [anon_sym_PIPE] = ACTIONS(3088),
    [anon_sym_CARET] = ACTIONS(3088),
    [anon_sym_AMP] = ACTIONS(3088),
    [anon_sym_GT_GT2] = ACTIONS(3939),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_DOT] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(3935),
    [anon_sym_SLASH] = ACTIONS(3935),
    [anon_sym_x] = ACTIONS(3935),
    [anon_sym_EQ_TILDE] = ACTIONS(3957),
    [anon_sym_BANG_TILDE] = ACTIONS(3957),
    [anon_sym_EQ_EQ] = ACTIONS(3088),
    [anon_sym_BANG_EQ] = ACTIONS(3086),
    [anon_sym_eq] = ACTIONS(3088),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3086),
    [anon_sym_equ] = ACTIONS(3086),
    [anon_sym_eqr] = ACTIONS(3086),
    [anon_sym_ne] = ACTIONS(3086),
    [anon_sym_LT_EQ_GT] = ACTIONS(3086),
    [anon_sym_cmp] = ACTIONS(3086),
    [anon_sym_TILDE_TILDE] = ACTIONS(3086),
    [anon_sym_LT] = ACTIONS(3088),
    [anon_sym_LT_EQ] = ACTIONS(3088),
    [anon_sym_GT_EQ] = ACTIONS(3086),
    [anon_sym_lt] = ACTIONS(3086),
    [anon_sym_le] = ACTIONS(3086),
    [anon_sym_ge] = ACTIONS(3086),
    [anon_sym_gt] = ACTIONS(3086),
    [anon_sym_isa] = ACTIONS(3086),
    [anon_sym_PLUS_PLUS] = ACTIONS(3867),
    [anon_sym_DASH_DASH] = ACTIONS(3867),
    [anon_sym_QMARK] = ACTIONS(3086),
    [anon_sym_EQ_GT] = ACTIONS(3086),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2389] = {
    [sym_heredoc_content] = STATE(2389),
    [anon_sym_COLON] = ACTIONS(3090),
    [anon_sym_EQ] = ACTIONS(3929),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3931),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3931),
    [anon_sym_COMMA] = ACTIONS(3090),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3933),
    [anon_sym_DASH_GT] = ACTIONS(3831),
    [anon_sym_PERCENT] = ACTIONS(3935),
    [anon_sym_GT] = ACTIONS(3937),
    [anon_sym_LT_LT] = ACTIONS(3939),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3931),
    [anon_sym_PLUS_EQ] = ACTIONS(3931),
    [anon_sym_DASH_EQ] = ACTIONS(3931),
    [anon_sym_DOT_EQ] = ACTIONS(3931),
    [anon_sym_STAR_EQ] = ACTIONS(3931),
    [anon_sym_SLASH_EQ] = ACTIONS(3931),
    [anon_sym_PERCENT_EQ] = ACTIONS(3931),
    [anon_sym_x_EQ] = ACTIONS(3931),
    [anon_sym_AMP_EQ] = ACTIONS(3931),
    [anon_sym_PIPE_EQ] = ACTIONS(3931),
    [anon_sym_CARET_EQ] = ACTIONS(3931),
    [anon_sym_LT_LT_EQ] = ACTIONS(3931),
    [anon_sym_GT_GT_EQ] = ACTIONS(3931),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3931),
    [anon_sym_DOT_DOT] = ACTIONS(3941),
    [anon_sym_STAR_STAR] = ACTIONS(3943),
    [anon_sym_PIPE_PIPE] = ACTIONS(3945),
    [anon_sym_SLASH_SLASH] = ACTIONS(3945),
    [anon_sym_CARET_CARET] = ACTIONS(3947),
    [anon_sym_AMP_AMP] = ACTIONS(3949),
    [anon_sym_PIPE] = ACTIONS(3951),
    [anon_sym_CARET] = ACTIONS(3951),
    [anon_sym_AMP] = ACTIONS(3953),
    [anon_sym_GT_GT2] = ACTIONS(3939),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_DOT] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(3935),
    [anon_sym_SLASH] = ACTIONS(3935),
    [anon_sym_x] = ACTIONS(3935),
    [anon_sym_EQ_TILDE] = ACTIONS(3957),
    [anon_sym_BANG_TILDE] = ACTIONS(3957),
    [anon_sym_EQ_EQ] = ACTIONS(3959),
    [anon_sym_BANG_EQ] = ACTIONS(3961),
    [anon_sym_eq] = ACTIONS(3959),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3961),
    [anon_sym_equ] = ACTIONS(3961),
    [anon_sym_eqr] = ACTIONS(3961),
    [anon_sym_ne] = ACTIONS(3961),
    [anon_sym_LT_EQ_GT] = ACTIONS(3963),
    [anon_sym_cmp] = ACTIONS(3963),
    [anon_sym_TILDE_TILDE] = ACTIONS(3963),
    [anon_sym_LT] = ACTIONS(3937),
    [anon_sym_LT_EQ] = ACTIONS(3937),
    [anon_sym_GT_EQ] = ACTIONS(3965),
    [anon_sym_lt] = ACTIONS(3965),
    [anon_sym_le] = ACTIONS(3965),
    [anon_sym_ge] = ACTIONS(3965),
    [anon_sym_gt] = ACTIONS(3965),
    [anon_sym_isa] = ACTIONS(3967),
    [anon_sym_PLUS_PLUS] = ACTIONS(3867),
    [anon_sym_DASH_DASH] = ACTIONS(3867),
    [anon_sym_QMARK] = ACTIONS(3969),
    [anon_sym_EQ_GT] = ACTIONS(3090),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2390] = {
    [sym_heredoc_content] = STATE(2390),
    [anon_sym_COLON] = ACTIONS(3094),
    [anon_sym_EQ] = ACTIONS(3096),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3094),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3094),
    [anon_sym_COMMA] = ACTIONS(3094),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3094),
    [anon_sym_DASH_GT] = ACTIONS(3831),
    [anon_sym_PERCENT] = ACTIONS(3935),
    [anon_sym_GT] = ACTIONS(3096),
    [anon_sym_LT_LT] = ACTIONS(3939),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3094),
    [anon_sym_PLUS_EQ] = ACTIONS(3094),
    [anon_sym_DASH_EQ] = ACTIONS(3094),
    [anon_sym_DOT_EQ] = ACTIONS(3094),
    [anon_sym_STAR_EQ] = ACTIONS(3094),
    [anon_sym_SLASH_EQ] = ACTIONS(3094),
    [anon_sym_PERCENT_EQ] = ACTIONS(3094),
    [anon_sym_x_EQ] = ACTIONS(3094),
    [anon_sym_AMP_EQ] = ACTIONS(3094),
    [anon_sym_PIPE_EQ] = ACTIONS(3094),
    [anon_sym_CARET_EQ] = ACTIONS(3094),
    [anon_sym_LT_LT_EQ] = ACTIONS(3094),
    [anon_sym_GT_GT_EQ] = ACTIONS(3094),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3094),
    [anon_sym_DOT_DOT] = ACTIONS(3096),
    [anon_sym_STAR_STAR] = ACTIONS(3943),
    [anon_sym_PIPE_PIPE] = ACTIONS(3096),
    [anon_sym_SLASH_SLASH] = ACTIONS(3096),
    [anon_sym_CARET_CARET] = ACTIONS(3094),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_PIPE] = ACTIONS(3096),
    [anon_sym_CARET] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3096),
    [anon_sym_GT_GT2] = ACTIONS(3939),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_DOT] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(3935),
    [anon_sym_SLASH] = ACTIONS(3935),
    [anon_sym_x] = ACTIONS(3935),
    [anon_sym_EQ_TILDE] = ACTIONS(3957),
    [anon_sym_BANG_TILDE] = ACTIONS(3957),
    [anon_sym_EQ_EQ] = ACTIONS(3096),
    [anon_sym_BANG_EQ] = ACTIONS(3094),
    [anon_sym_eq] = ACTIONS(3096),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3094),
    [anon_sym_equ] = ACTIONS(3094),
    [anon_sym_eqr] = ACTIONS(3094),
    [anon_sym_ne] = ACTIONS(3094),
    [anon_sym_LT_EQ_GT] = ACTIONS(3094),
    [anon_sym_cmp] = ACTIONS(3094),
    [anon_sym_TILDE_TILDE] = ACTIONS(3094),
    [anon_sym_LT] = ACTIONS(3096),
    [anon_sym_LT_EQ] = ACTIONS(3096),
    [anon_sym_GT_EQ] = ACTIONS(3094),
    [anon_sym_lt] = ACTIONS(3094),
    [anon_sym_le] = ACTIONS(3094),
    [anon_sym_ge] = ACTIONS(3094),
    [anon_sym_gt] = ACTIONS(3094),
    [anon_sym_isa] = ACTIONS(3094),
    [anon_sym_PLUS_PLUS] = ACTIONS(3867),
    [anon_sym_DASH_DASH] = ACTIONS(3867),
    [anon_sym_QMARK] = ACTIONS(3094),
    [anon_sym_EQ_GT] = ACTIONS(3094),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2391] = {
    [sym_heredoc_content] = STATE(2391),
    [anon_sym_COLON] = ACTIONS(3126),
    [anon_sym_EQ] = ACTIONS(3128),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3126),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3126),
    [anon_sym_COMMA] = ACTIONS(3126),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3126),
    [anon_sym_DASH_GT] = ACTIONS(3831),
    [anon_sym_PERCENT] = ACTIONS(3935),
    [anon_sym_GT] = ACTIONS(3128),
    [anon_sym_LT_LT] = ACTIONS(3939),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3126),
    [anon_sym_PLUS_EQ] = ACTIONS(3126),
    [anon_sym_DASH_EQ] = ACTIONS(3126),
    [anon_sym_DOT_EQ] = ACTIONS(3126),
    [anon_sym_STAR_EQ] = ACTIONS(3126),
    [anon_sym_SLASH_EQ] = ACTIONS(3126),
    [anon_sym_PERCENT_EQ] = ACTIONS(3126),
    [anon_sym_x_EQ] = ACTIONS(3126),
    [anon_sym_AMP_EQ] = ACTIONS(3126),
    [anon_sym_PIPE_EQ] = ACTIONS(3126),
    [anon_sym_CARET_EQ] = ACTIONS(3126),
    [anon_sym_LT_LT_EQ] = ACTIONS(3126),
    [anon_sym_GT_GT_EQ] = ACTIONS(3126),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3126),
    [anon_sym_DOT_DOT] = ACTIONS(3128),
    [anon_sym_STAR_STAR] = ACTIONS(3943),
    [anon_sym_PIPE_PIPE] = ACTIONS(3128),
    [anon_sym_SLASH_SLASH] = ACTIONS(3128),
    [anon_sym_CARET_CARET] = ACTIONS(3126),
    [anon_sym_AMP_AMP] = ACTIONS(3128),
    [anon_sym_PIPE] = ACTIONS(3128),
    [anon_sym_CARET] = ACTIONS(3128),
    [anon_sym_AMP] = ACTIONS(3128),
    [anon_sym_GT_GT2] = ACTIONS(3939),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_DOT] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(3935),
    [anon_sym_SLASH] = ACTIONS(3935),
    [anon_sym_x] = ACTIONS(3935),
    [anon_sym_EQ_TILDE] = ACTIONS(3957),
    [anon_sym_BANG_TILDE] = ACTIONS(3957),
    [anon_sym_EQ_EQ] = ACTIONS(3128),
    [anon_sym_BANG_EQ] = ACTIONS(3126),
    [anon_sym_eq] = ACTIONS(3128),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3126),
    [anon_sym_equ] = ACTIONS(3126),
    [anon_sym_eqr] = ACTIONS(3126),
    [anon_sym_ne] = ACTIONS(3126),
    [anon_sym_LT_EQ_GT] = ACTIONS(3126),
    [anon_sym_cmp] = ACTIONS(3126),
    [anon_sym_TILDE_TILDE] = ACTIONS(3126),
    [anon_sym_LT] = ACTIONS(3128),
    [anon_sym_LT_EQ] = ACTIONS(3128),
    [anon_sym_GT_EQ] = ACTIONS(3126),
    [anon_sym_lt] = ACTIONS(3126),
    [anon_sym_le] = ACTIONS(3126),
    [anon_sym_ge] = ACTIONS(3126),
    [anon_sym_gt] = ACTIONS(3126),
    [anon_sym_isa] = ACTIONS(3126),
    [anon_sym_PLUS_PLUS] = ACTIONS(3867),
    [anon_sym_DASH_DASH] = ACTIONS(3867),
    [anon_sym_QMARK] = ACTIONS(3126),
    [anon_sym_EQ_GT] = ACTIONS(3126),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2392] = {
    [sym_heredoc_content] = STATE(2392),
    [anon_sym_COLON] = ACTIONS(2829),
    [anon_sym_EQ] = ACTIONS(3929),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3931),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3931),
    [anon_sym_COMMA] = ACTIONS(2829),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3933),
    [anon_sym_DASH_GT] = ACTIONS(3831),
    [anon_sym_PERCENT] = ACTIONS(3935),
    [anon_sym_GT] = ACTIONS(3937),
    [anon_sym_LT_LT] = ACTIONS(3939),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3931),
    [anon_sym_PLUS_EQ] = ACTIONS(3931),
    [anon_sym_DASH_EQ] = ACTIONS(3931),
    [anon_sym_DOT_EQ] = ACTIONS(3931),
    [anon_sym_STAR_EQ] = ACTIONS(3931),
    [anon_sym_SLASH_EQ] = ACTIONS(3931),
    [anon_sym_PERCENT_EQ] = ACTIONS(3931),
    [anon_sym_x_EQ] = ACTIONS(3931),
    [anon_sym_AMP_EQ] = ACTIONS(3931),
    [anon_sym_PIPE_EQ] = ACTIONS(3931),
    [anon_sym_CARET_EQ] = ACTIONS(3931),
    [anon_sym_LT_LT_EQ] = ACTIONS(3931),
    [anon_sym_GT_GT_EQ] = ACTIONS(3931),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3931),
    [anon_sym_DOT_DOT] = ACTIONS(3941),
    [anon_sym_STAR_STAR] = ACTIONS(3943),
    [anon_sym_PIPE_PIPE] = ACTIONS(3945),
    [anon_sym_SLASH_SLASH] = ACTIONS(3945),
    [anon_sym_CARET_CARET] = ACTIONS(3947),
    [anon_sym_AMP_AMP] = ACTIONS(3949),
    [anon_sym_PIPE] = ACTIONS(3951),
    [anon_sym_CARET] = ACTIONS(3951),
    [anon_sym_AMP] = ACTIONS(3953),
    [anon_sym_GT_GT2] = ACTIONS(3939),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_DOT] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(3935),
    [anon_sym_SLASH] = ACTIONS(3935),
    [anon_sym_x] = ACTIONS(3935),
    [anon_sym_EQ_TILDE] = ACTIONS(3957),
    [anon_sym_BANG_TILDE] = ACTIONS(3957),
    [anon_sym_EQ_EQ] = ACTIONS(3959),
    [anon_sym_BANG_EQ] = ACTIONS(3961),
    [anon_sym_eq] = ACTIONS(3959),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3961),
    [anon_sym_equ] = ACTIONS(3961),
    [anon_sym_eqr] = ACTIONS(3961),
    [anon_sym_ne] = ACTIONS(3961),
    [anon_sym_LT_EQ_GT] = ACTIONS(3963),
    [anon_sym_cmp] = ACTIONS(3963),
    [anon_sym_TILDE_TILDE] = ACTIONS(3963),
    [anon_sym_LT] = ACTIONS(3937),
    [anon_sym_LT_EQ] = ACTIONS(3937),
    [anon_sym_GT_EQ] = ACTIONS(3965),
    [anon_sym_lt] = ACTIONS(3965),
    [anon_sym_le] = ACTIONS(3965),
    [anon_sym_ge] = ACTIONS(3965),
    [anon_sym_gt] = ACTIONS(3965),
    [anon_sym_isa] = ACTIONS(3967),
    [anon_sym_PLUS_PLUS] = ACTIONS(3867),
    [anon_sym_DASH_DASH] = ACTIONS(3867),
    [anon_sym_QMARK] = ACTIONS(3969),
    [anon_sym_EQ_GT] = ACTIONS(2829),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2393] = {
    [sym_heredoc_content] = STATE(2393),
    [anon_sym_COLON] = ACTIONS(2845),
    [anon_sym_EQ] = ACTIONS(2847),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2845),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2845),
    [anon_sym_COMMA] = ACTIONS(2845),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2845),
    [anon_sym_DASH_GT] = ACTIONS(3831),
    [anon_sym_PERCENT] = ACTIONS(3935),
    [anon_sym_GT] = ACTIONS(2847),
    [anon_sym_LT_LT] = ACTIONS(3939),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2845),
    [anon_sym_PLUS_EQ] = ACTIONS(2845),
    [anon_sym_DASH_EQ] = ACTIONS(2845),
    [anon_sym_DOT_EQ] = ACTIONS(2845),
    [anon_sym_STAR_EQ] = ACTIONS(2845),
    [anon_sym_SLASH_EQ] = ACTIONS(2845),
    [anon_sym_PERCENT_EQ] = ACTIONS(2845),
    [anon_sym_x_EQ] = ACTIONS(2845),
    [anon_sym_AMP_EQ] = ACTIONS(2845),
    [anon_sym_PIPE_EQ] = ACTIONS(2845),
    [anon_sym_CARET_EQ] = ACTIONS(2845),
    [anon_sym_LT_LT_EQ] = ACTIONS(2845),
    [anon_sym_GT_GT_EQ] = ACTIONS(2845),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2845),
    [anon_sym_DOT_DOT] = ACTIONS(2847),
    [anon_sym_STAR_STAR] = ACTIONS(3943),
    [anon_sym_PIPE_PIPE] = ACTIONS(2847),
    [anon_sym_SLASH_SLASH] = ACTIONS(2847),
    [anon_sym_CARET_CARET] = ACTIONS(2845),
    [anon_sym_AMP_AMP] = ACTIONS(2847),
    [anon_sym_PIPE] = ACTIONS(2847),
    [anon_sym_CARET] = ACTIONS(2847),
    [anon_sym_AMP] = ACTIONS(2847),
    [anon_sym_GT_GT2] = ACTIONS(3939),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_DOT] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(3935),
    [anon_sym_SLASH] = ACTIONS(3935),
    [anon_sym_x] = ACTIONS(3935),
    [anon_sym_EQ_TILDE] = ACTIONS(3957),
    [anon_sym_BANG_TILDE] = ACTIONS(3957),
    [anon_sym_EQ_EQ] = ACTIONS(2847),
    [anon_sym_BANG_EQ] = ACTIONS(2845),
    [anon_sym_eq] = ACTIONS(2847),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2845),
    [anon_sym_equ] = ACTIONS(2845),
    [anon_sym_eqr] = ACTIONS(2845),
    [anon_sym_ne] = ACTIONS(2845),
    [anon_sym_LT_EQ_GT] = ACTIONS(2845),
    [anon_sym_cmp] = ACTIONS(2845),
    [anon_sym_TILDE_TILDE] = ACTIONS(2845),
    [anon_sym_LT] = ACTIONS(2847),
    [anon_sym_LT_EQ] = ACTIONS(2847),
    [anon_sym_GT_EQ] = ACTIONS(2845),
    [anon_sym_lt] = ACTIONS(2845),
    [anon_sym_le] = ACTIONS(2845),
    [anon_sym_ge] = ACTIONS(2845),
    [anon_sym_gt] = ACTIONS(2845),
    [anon_sym_isa] = ACTIONS(2845),
    [anon_sym_PLUS_PLUS] = ACTIONS(3867),
    [anon_sym_DASH_DASH] = ACTIONS(3867),
    [anon_sym_QMARK] = ACTIONS(2845),
    [anon_sym_EQ_GT] = ACTIONS(2845),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2394] = {
    [sym_heredoc_content] = STATE(2394),
    [anon_sym_COLON] = ACTIONS(2897),
    [anon_sym_EQ] = ACTIONS(2899),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2897),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2897),
    [anon_sym_COMMA] = ACTIONS(3978),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2897),
    [anon_sym_DASH_GT] = ACTIONS(2897),
    [anon_sym_PERCENT] = ACTIONS(2899),
    [anon_sym_GT] = ACTIONS(2899),
    [anon_sym_LT_LT] = ACTIONS(2899),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2897),
    [anon_sym_PLUS_EQ] = ACTIONS(2897),
    [anon_sym_DASH_EQ] = ACTIONS(2897),
    [anon_sym_DOT_EQ] = ACTIONS(2897),
    [anon_sym_STAR_EQ] = ACTIONS(2897),
    [anon_sym_SLASH_EQ] = ACTIONS(2897),
    [anon_sym_PERCENT_EQ] = ACTIONS(2897),
    [anon_sym_x_EQ] = ACTIONS(2897),
    [anon_sym_AMP_EQ] = ACTIONS(2897),
    [anon_sym_PIPE_EQ] = ACTIONS(2897),
    [anon_sym_CARET_EQ] = ACTIONS(2897),
    [anon_sym_LT_LT_EQ] = ACTIONS(2897),
    [anon_sym_GT_GT_EQ] = ACTIONS(2897),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2897),
    [anon_sym_DOT_DOT] = ACTIONS(2899),
    [anon_sym_STAR_STAR] = ACTIONS(2899),
    [anon_sym_PIPE_PIPE] = ACTIONS(2899),
    [anon_sym_SLASH_SLASH] = ACTIONS(2899),
    [anon_sym_CARET_CARET] = ACTIONS(2897),
    [anon_sym_AMP_AMP] = ACTIONS(2899),
    [anon_sym_PIPE] = ACTIONS(2899),
    [anon_sym_CARET] = ACTIONS(2899),
    [anon_sym_AMP] = ACTIONS(2899),
    [anon_sym_GT_GT2] = ACTIONS(2899),
    [anon_sym_PLUS] = ACTIONS(2899),
    [anon_sym_DASH] = ACTIONS(2899),
    [anon_sym_DOT] = ACTIONS(2899),
    [anon_sym_STAR] = ACTIONS(2899),
    [anon_sym_SLASH] = ACTIONS(2899),
    [anon_sym_x] = ACTIONS(2899),
    [anon_sym_EQ_TILDE] = ACTIONS(2897),
    [anon_sym_BANG_TILDE] = ACTIONS(2897),
    [anon_sym_EQ_EQ] = ACTIONS(2899),
    [anon_sym_BANG_EQ] = ACTIONS(2897),
    [anon_sym_eq] = ACTIONS(2899),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2897),
    [anon_sym_equ] = ACTIONS(2897),
    [anon_sym_eqr] = ACTIONS(2897),
    [anon_sym_ne] = ACTIONS(2897),
    [anon_sym_LT_EQ_GT] = ACTIONS(2897),
    [anon_sym_cmp] = ACTIONS(2897),
    [anon_sym_TILDE_TILDE] = ACTIONS(2897),
    [anon_sym_LT] = ACTIONS(2899),
    [anon_sym_LT_EQ] = ACTIONS(2899),
    [anon_sym_GT_EQ] = ACTIONS(2897),
    [anon_sym_lt] = ACTIONS(2897),
    [anon_sym_le] = ACTIONS(2897),
    [anon_sym_ge] = ACTIONS(2897),
    [anon_sym_gt] = ACTIONS(2897),
    [anon_sym_isa] = ACTIONS(2897),
    [anon_sym_PLUS_PLUS] = ACTIONS(2897),
    [anon_sym_DASH_DASH] = ACTIONS(2897),
    [anon_sym_QMARK] = ACTIONS(2897),
    [anon_sym_EQ_GT] = ACTIONS(3978),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2395] = {
    [sym_heredoc_content] = STATE(2395),
    [anon_sym_COLON] = ACTIONS(3015),
    [anon_sym_EQ] = ACTIONS(3929),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3931),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3931),
    [anon_sym_COMMA] = ACTIONS(3015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3933),
    [anon_sym_DASH_GT] = ACTIONS(3831),
    [anon_sym_PERCENT] = ACTIONS(3935),
    [anon_sym_GT] = ACTIONS(3937),
    [anon_sym_LT_LT] = ACTIONS(3939),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3931),
    [anon_sym_PLUS_EQ] = ACTIONS(3931),
    [anon_sym_DASH_EQ] = ACTIONS(3931),
    [anon_sym_DOT_EQ] = ACTIONS(3931),
    [anon_sym_STAR_EQ] = ACTIONS(3931),
    [anon_sym_SLASH_EQ] = ACTIONS(3931),
    [anon_sym_PERCENT_EQ] = ACTIONS(3931),
    [anon_sym_x_EQ] = ACTIONS(3931),
    [anon_sym_AMP_EQ] = ACTIONS(3931),
    [anon_sym_PIPE_EQ] = ACTIONS(3931),
    [anon_sym_CARET_EQ] = ACTIONS(3931),
    [anon_sym_LT_LT_EQ] = ACTIONS(3931),
    [anon_sym_GT_GT_EQ] = ACTIONS(3931),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3931),
    [anon_sym_DOT_DOT] = ACTIONS(3941),
    [anon_sym_STAR_STAR] = ACTIONS(3943),
    [anon_sym_PIPE_PIPE] = ACTIONS(3945),
    [anon_sym_SLASH_SLASH] = ACTIONS(3945),
    [anon_sym_CARET_CARET] = ACTIONS(3947),
    [anon_sym_AMP_AMP] = ACTIONS(3949),
    [anon_sym_PIPE] = ACTIONS(3951),
    [anon_sym_CARET] = ACTIONS(3951),
    [anon_sym_AMP] = ACTIONS(3953),
    [anon_sym_GT_GT2] = ACTIONS(3939),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_DOT] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(3935),
    [anon_sym_SLASH] = ACTIONS(3935),
    [anon_sym_x] = ACTIONS(3935),
    [anon_sym_EQ_TILDE] = ACTIONS(3957),
    [anon_sym_BANG_TILDE] = ACTIONS(3957),
    [anon_sym_EQ_EQ] = ACTIONS(3959),
    [anon_sym_BANG_EQ] = ACTIONS(3961),
    [anon_sym_eq] = ACTIONS(3959),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3961),
    [anon_sym_equ] = ACTIONS(3961),
    [anon_sym_eqr] = ACTIONS(3961),
    [anon_sym_ne] = ACTIONS(3961),
    [anon_sym_LT_EQ_GT] = ACTIONS(3963),
    [anon_sym_cmp] = ACTIONS(3963),
    [anon_sym_TILDE_TILDE] = ACTIONS(3963),
    [anon_sym_LT] = ACTIONS(3937),
    [anon_sym_LT_EQ] = ACTIONS(3937),
    [anon_sym_GT_EQ] = ACTIONS(3965),
    [anon_sym_lt] = ACTIONS(3965),
    [anon_sym_le] = ACTIONS(3965),
    [anon_sym_ge] = ACTIONS(3965),
    [anon_sym_gt] = ACTIONS(3965),
    [anon_sym_isa] = ACTIONS(3967),
    [anon_sym_PLUS_PLUS] = ACTIONS(3867),
    [anon_sym_DASH_DASH] = ACTIONS(3867),
    [anon_sym_QMARK] = ACTIONS(3969),
    [anon_sym_EQ_GT] = ACTIONS(3015),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2396] = {
    [sym_heredoc_content] = STATE(2396),
    [anon_sym_COLON] = ACTIONS(2774),
    [anon_sym_EQ] = ACTIONS(3929),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3931),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3931),
    [anon_sym_COMMA] = ACTIONS(2774),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3933),
    [anon_sym_DASH_GT] = ACTIONS(3831),
    [anon_sym_PERCENT] = ACTIONS(3935),
    [anon_sym_GT] = ACTIONS(3937),
    [anon_sym_LT_LT] = ACTIONS(3939),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3931),
    [anon_sym_PLUS_EQ] = ACTIONS(3931),
    [anon_sym_DASH_EQ] = ACTIONS(3931),
    [anon_sym_DOT_EQ] = ACTIONS(3931),
    [anon_sym_STAR_EQ] = ACTIONS(3931),
    [anon_sym_SLASH_EQ] = ACTIONS(3931),
    [anon_sym_PERCENT_EQ] = ACTIONS(3931),
    [anon_sym_x_EQ] = ACTIONS(3931),
    [anon_sym_AMP_EQ] = ACTIONS(3931),
    [anon_sym_PIPE_EQ] = ACTIONS(3931),
    [anon_sym_CARET_EQ] = ACTIONS(3931),
    [anon_sym_LT_LT_EQ] = ACTIONS(3931),
    [anon_sym_GT_GT_EQ] = ACTIONS(3931),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3931),
    [anon_sym_DOT_DOT] = ACTIONS(3941),
    [anon_sym_STAR_STAR] = ACTIONS(3943),
    [anon_sym_PIPE_PIPE] = ACTIONS(3945),
    [anon_sym_SLASH_SLASH] = ACTIONS(3945),
    [anon_sym_CARET_CARET] = ACTIONS(3947),
    [anon_sym_AMP_AMP] = ACTIONS(3949),
    [anon_sym_PIPE] = ACTIONS(3951),
    [anon_sym_CARET] = ACTIONS(3951),
    [anon_sym_AMP] = ACTIONS(3953),
    [anon_sym_GT_GT2] = ACTIONS(3939),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_DOT] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(3935),
    [anon_sym_SLASH] = ACTIONS(3935),
    [anon_sym_x] = ACTIONS(3935),
    [anon_sym_EQ_TILDE] = ACTIONS(3957),
    [anon_sym_BANG_TILDE] = ACTIONS(3957),
    [anon_sym_EQ_EQ] = ACTIONS(3959),
    [anon_sym_BANG_EQ] = ACTIONS(3961),
    [anon_sym_eq] = ACTIONS(3959),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3961),
    [anon_sym_equ] = ACTIONS(3961),
    [anon_sym_eqr] = ACTIONS(3961),
    [anon_sym_ne] = ACTIONS(3961),
    [anon_sym_LT_EQ_GT] = ACTIONS(3963),
    [anon_sym_cmp] = ACTIONS(3963),
    [anon_sym_TILDE_TILDE] = ACTIONS(3963),
    [anon_sym_LT] = ACTIONS(3937),
    [anon_sym_LT_EQ] = ACTIONS(3937),
    [anon_sym_GT_EQ] = ACTIONS(3965),
    [anon_sym_lt] = ACTIONS(3965),
    [anon_sym_le] = ACTIONS(3965),
    [anon_sym_ge] = ACTIONS(3965),
    [anon_sym_gt] = ACTIONS(3965),
    [anon_sym_isa] = ACTIONS(3967),
    [anon_sym_PLUS_PLUS] = ACTIONS(3867),
    [anon_sym_DASH_DASH] = ACTIONS(3867),
    [anon_sym_QMARK] = ACTIONS(3969),
    [anon_sym_EQ_GT] = ACTIONS(2774),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2397] = {
    [sym_heredoc_content] = STATE(2397),
    [anon_sym_COLON] = ACTIONS(3019),
    [anon_sym_EQ] = ACTIONS(3021),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_COMMA] = ACTIONS(3019),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3980),
    [anon_sym_DASH_GT] = ACTIONS(3831),
    [anon_sym_PERCENT] = ACTIONS(3935),
    [anon_sym_GT] = ACTIONS(3937),
    [anon_sym_LT_LT] = ACTIONS(3939),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3019),
    [anon_sym_PLUS_EQ] = ACTIONS(3019),
    [anon_sym_DASH_EQ] = ACTIONS(3019),
    [anon_sym_DOT_EQ] = ACTIONS(3019),
    [anon_sym_STAR_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_PERCENT_EQ] = ACTIONS(3019),
    [anon_sym_x_EQ] = ACTIONS(3019),
    [anon_sym_AMP_EQ] = ACTIONS(3019),
    [anon_sym_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_CARET_EQ] = ACTIONS(3019),
    [anon_sym_LT_LT_EQ] = ACTIONS(3019),
    [anon_sym_GT_GT_EQ] = ACTIONS(3019),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3019),
    [anon_sym_DOT_DOT] = ACTIONS(3982),
    [anon_sym_STAR_STAR] = ACTIONS(3943),
    [anon_sym_PIPE_PIPE] = ACTIONS(3945),
    [anon_sym_SLASH_SLASH] = ACTIONS(3945),
    [anon_sym_CARET_CARET] = ACTIONS(3947),
    [anon_sym_AMP_AMP] = ACTIONS(3949),
    [anon_sym_PIPE] = ACTIONS(3951),
    [anon_sym_CARET] = ACTIONS(3951),
    [anon_sym_AMP] = ACTIONS(3953),
    [anon_sym_GT_GT2] = ACTIONS(3939),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_DOT] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(3935),
    [anon_sym_SLASH] = ACTIONS(3935),
    [anon_sym_x] = ACTIONS(3935),
    [anon_sym_EQ_TILDE] = ACTIONS(3957),
    [anon_sym_BANG_TILDE] = ACTIONS(3957),
    [anon_sym_EQ_EQ] = ACTIONS(3959),
    [anon_sym_BANG_EQ] = ACTIONS(3961),
    [anon_sym_eq] = ACTIONS(3959),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3961),
    [anon_sym_equ] = ACTIONS(3961),
    [anon_sym_eqr] = ACTIONS(3961),
    [anon_sym_ne] = ACTIONS(3961),
    [anon_sym_LT_EQ_GT] = ACTIONS(3963),
    [anon_sym_cmp] = ACTIONS(3963),
    [anon_sym_TILDE_TILDE] = ACTIONS(3963),
    [anon_sym_LT] = ACTIONS(3937),
    [anon_sym_LT_EQ] = ACTIONS(3937),
    [anon_sym_GT_EQ] = ACTIONS(3965),
    [anon_sym_lt] = ACTIONS(3965),
    [anon_sym_le] = ACTIONS(3965),
    [anon_sym_ge] = ACTIONS(3965),
    [anon_sym_gt] = ACTIONS(3965),
    [anon_sym_isa] = ACTIONS(3967),
    [anon_sym_PLUS_PLUS] = ACTIONS(3867),
    [anon_sym_DASH_DASH] = ACTIONS(3867),
    [anon_sym_QMARK] = ACTIONS(3019),
    [anon_sym_EQ_GT] = ACTIONS(3019),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2398] = {
    [sym_heredoc_content] = STATE(2398),
    [anon_sym_COLON] = ACTIONS(3019),
    [anon_sym_EQ] = ACTIONS(3021),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_COMMA] = ACTIONS(3019),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3019),
    [anon_sym_DASH_GT] = ACTIONS(3831),
    [anon_sym_PERCENT] = ACTIONS(3021),
    [anon_sym_GT] = ACTIONS(3021),
    [anon_sym_LT_LT] = ACTIONS(3021),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3019),
    [anon_sym_PLUS_EQ] = ACTIONS(3019),
    [anon_sym_DASH_EQ] = ACTIONS(3019),
    [anon_sym_DOT_EQ] = ACTIONS(3019),
    [anon_sym_STAR_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_PERCENT_EQ] = ACTIONS(3019),
    [anon_sym_x_EQ] = ACTIONS(3019),
    [anon_sym_AMP_EQ] = ACTIONS(3019),
    [anon_sym_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_CARET_EQ] = ACTIONS(3019),
    [anon_sym_LT_LT_EQ] = ACTIONS(3019),
    [anon_sym_GT_GT_EQ] = ACTIONS(3019),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3019),
    [anon_sym_DOT_DOT] = ACTIONS(3021),
    [anon_sym_STAR_STAR] = ACTIONS(3943),
    [anon_sym_PIPE_PIPE] = ACTIONS(3021),
    [anon_sym_SLASH_SLASH] = ACTIONS(3021),
    [anon_sym_CARET_CARET] = ACTIONS(3019),
    [anon_sym_AMP_AMP] = ACTIONS(3021),
    [anon_sym_PIPE] = ACTIONS(3021),
    [anon_sym_CARET] = ACTIONS(3021),
    [anon_sym_AMP] = ACTIONS(3021),
    [anon_sym_GT_GT2] = ACTIONS(3021),
    [anon_sym_PLUS] = ACTIONS(3021),
    [anon_sym_DASH] = ACTIONS(3021),
    [anon_sym_DOT] = ACTIONS(3021),
    [anon_sym_STAR] = ACTIONS(3021),
    [anon_sym_SLASH] = ACTIONS(3021),
    [anon_sym_x] = ACTIONS(3021),
    [anon_sym_EQ_TILDE] = ACTIONS(3957),
    [anon_sym_BANG_TILDE] = ACTIONS(3957),
    [anon_sym_EQ_EQ] = ACTIONS(3021),
    [anon_sym_BANG_EQ] = ACTIONS(3019),
    [anon_sym_eq] = ACTIONS(3021),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3019),
    [anon_sym_equ] = ACTIONS(3019),
    [anon_sym_eqr] = ACTIONS(3019),
    [anon_sym_ne] = ACTIONS(3019),
    [anon_sym_LT_EQ_GT] = ACTIONS(3019),
    [anon_sym_cmp] = ACTIONS(3019),
    [anon_sym_TILDE_TILDE] = ACTIONS(3019),
    [anon_sym_LT] = ACTIONS(3021),
    [anon_sym_LT_EQ] = ACTIONS(3021),
    [anon_sym_GT_EQ] = ACTIONS(3019),
    [anon_sym_lt] = ACTIONS(3019),
    [anon_sym_le] = ACTIONS(3019),
    [anon_sym_ge] = ACTIONS(3019),
    [anon_sym_gt] = ACTIONS(3019),
    [anon_sym_isa] = ACTIONS(3019),
    [anon_sym_PLUS_PLUS] = ACTIONS(3867),
    [anon_sym_DASH_DASH] = ACTIONS(3867),
    [anon_sym_QMARK] = ACTIONS(3019),
    [anon_sym_EQ_GT] = ACTIONS(3019),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2399] = {
    [sym_heredoc_content] = STATE(2399),
    [anon_sym_COLON] = ACTIONS(3027),
    [anon_sym_EQ] = ACTIONS(3029),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3027),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3027),
    [anon_sym_COMMA] = ACTIONS(3027),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3027),
    [anon_sym_DASH_GT] = ACTIONS(3831),
    [anon_sym_PERCENT] = ACTIONS(3935),
    [anon_sym_GT] = ACTIONS(3029),
    [anon_sym_LT_LT] = ACTIONS(3939),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3027),
    [anon_sym_PLUS_EQ] = ACTIONS(3027),
    [anon_sym_DASH_EQ] = ACTIONS(3027),
    [anon_sym_DOT_EQ] = ACTIONS(3027),
    [anon_sym_STAR_EQ] = ACTIONS(3027),
    [anon_sym_SLASH_EQ] = ACTIONS(3027),
    [anon_sym_PERCENT_EQ] = ACTIONS(3027),
    [anon_sym_x_EQ] = ACTIONS(3027),
    [anon_sym_AMP_EQ] = ACTIONS(3027),
    [anon_sym_PIPE_EQ] = ACTIONS(3027),
    [anon_sym_CARET_EQ] = ACTIONS(3027),
    [anon_sym_LT_LT_EQ] = ACTIONS(3027),
    [anon_sym_GT_GT_EQ] = ACTIONS(3027),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3027),
    [anon_sym_DOT_DOT] = ACTIONS(3029),
    [anon_sym_STAR_STAR] = ACTIONS(3943),
    [anon_sym_PIPE_PIPE] = ACTIONS(3029),
    [anon_sym_SLASH_SLASH] = ACTIONS(3029),
    [anon_sym_CARET_CARET] = ACTIONS(3027),
    [anon_sym_AMP_AMP] = ACTIONS(3029),
    [anon_sym_PIPE] = ACTIONS(3029),
    [anon_sym_CARET] = ACTIONS(3029),
    [anon_sym_AMP] = ACTIONS(3029),
    [anon_sym_GT_GT2] = ACTIONS(3939),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_DOT] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(3935),
    [anon_sym_SLASH] = ACTIONS(3935),
    [anon_sym_x] = ACTIONS(3935),
    [anon_sym_EQ_TILDE] = ACTIONS(3957),
    [anon_sym_BANG_TILDE] = ACTIONS(3957),
    [anon_sym_EQ_EQ] = ACTIONS(3029),
    [anon_sym_BANG_EQ] = ACTIONS(3027),
    [anon_sym_eq] = ACTIONS(3029),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3027),
    [anon_sym_equ] = ACTIONS(3027),
    [anon_sym_eqr] = ACTIONS(3027),
    [anon_sym_ne] = ACTIONS(3027),
    [anon_sym_LT_EQ_GT] = ACTIONS(3027),
    [anon_sym_cmp] = ACTIONS(3027),
    [anon_sym_TILDE_TILDE] = ACTIONS(3027),
    [anon_sym_LT] = ACTIONS(3029),
    [anon_sym_LT_EQ] = ACTIONS(3029),
    [anon_sym_GT_EQ] = ACTIONS(3027),
    [anon_sym_lt] = ACTIONS(3027),
    [anon_sym_le] = ACTIONS(3027),
    [anon_sym_ge] = ACTIONS(3027),
    [anon_sym_gt] = ACTIONS(3027),
    [anon_sym_isa] = ACTIONS(3027),
    [anon_sym_PLUS_PLUS] = ACTIONS(3867),
    [anon_sym_DASH_DASH] = ACTIONS(3867),
    [anon_sym_QMARK] = ACTIONS(3027),
    [anon_sym_EQ_GT] = ACTIONS(3027),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2400] = {
    [sym_heredoc_content] = STATE(2400),
    [anon_sym_COLON] = ACTIONS(3019),
    [anon_sym_EQ] = ACTIONS(3021),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_COMMA] = ACTIONS(3019),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3019),
    [anon_sym_DASH_GT] = ACTIONS(3831),
    [anon_sym_PERCENT] = ACTIONS(3935),
    [anon_sym_GT] = ACTIONS(3021),
    [anon_sym_LT_LT] = ACTIONS(3021),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3019),
    [anon_sym_PLUS_EQ] = ACTIONS(3019),
    [anon_sym_DASH_EQ] = ACTIONS(3019),
    [anon_sym_DOT_EQ] = ACTIONS(3019),
    [anon_sym_STAR_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_PERCENT_EQ] = ACTIONS(3019),
    [anon_sym_x_EQ] = ACTIONS(3019),
    [anon_sym_AMP_EQ] = ACTIONS(3019),
    [anon_sym_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_CARET_EQ] = ACTIONS(3019),
    [anon_sym_LT_LT_EQ] = ACTIONS(3019),
    [anon_sym_GT_GT_EQ] = ACTIONS(3019),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3019),
    [anon_sym_DOT_DOT] = ACTIONS(3021),
    [anon_sym_STAR_STAR] = ACTIONS(3943),
    [anon_sym_PIPE_PIPE] = ACTIONS(3021),
    [anon_sym_SLASH_SLASH] = ACTIONS(3021),
    [anon_sym_CARET_CARET] = ACTIONS(3019),
    [anon_sym_AMP_AMP] = ACTIONS(3021),
    [anon_sym_PIPE] = ACTIONS(3021),
    [anon_sym_CARET] = ACTIONS(3021),
    [anon_sym_AMP] = ACTIONS(3021),
    [anon_sym_GT_GT2] = ACTIONS(3021),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_DOT] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(3935),
    [anon_sym_SLASH] = ACTIONS(3935),
    [anon_sym_x] = ACTIONS(3935),
    [anon_sym_EQ_TILDE] = ACTIONS(3957),
    [anon_sym_BANG_TILDE] = ACTIONS(3957),
    [anon_sym_EQ_EQ] = ACTIONS(3021),
    [anon_sym_BANG_EQ] = ACTIONS(3019),
    [anon_sym_eq] = ACTIONS(3021),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3019),
    [anon_sym_equ] = ACTIONS(3019),
    [anon_sym_eqr] = ACTIONS(3019),
    [anon_sym_ne] = ACTIONS(3019),
    [anon_sym_LT_EQ_GT] = ACTIONS(3019),
    [anon_sym_cmp] = ACTIONS(3019),
    [anon_sym_TILDE_TILDE] = ACTIONS(3019),
    [anon_sym_LT] = ACTIONS(3021),
    [anon_sym_LT_EQ] = ACTIONS(3021),
    [anon_sym_GT_EQ] = ACTIONS(3019),
    [anon_sym_lt] = ACTIONS(3019),
    [anon_sym_le] = ACTIONS(3019),
    [anon_sym_ge] = ACTIONS(3019),
    [anon_sym_gt] = ACTIONS(3019),
    [anon_sym_isa] = ACTIONS(3019),
    [anon_sym_PLUS_PLUS] = ACTIONS(3867),
    [anon_sym_DASH_DASH] = ACTIONS(3867),
    [anon_sym_QMARK] = ACTIONS(3019),
    [anon_sym_EQ_GT] = ACTIONS(3019),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2401] = {
    [sym_heredoc_content] = STATE(2401),
    [anon_sym_COLON] = ACTIONS(3019),
    [anon_sym_EQ] = ACTIONS(3021),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_COMMA] = ACTIONS(3019),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3019),
    [anon_sym_DASH_GT] = ACTIONS(3831),
    [anon_sym_PERCENT] = ACTIONS(3021),
    [anon_sym_GT] = ACTIONS(3021),
    [anon_sym_LT_LT] = ACTIONS(3021),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3019),
    [anon_sym_PLUS_EQ] = ACTIONS(3019),
    [anon_sym_DASH_EQ] = ACTIONS(3019),
    [anon_sym_DOT_EQ] = ACTIONS(3019),
    [anon_sym_STAR_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_PERCENT_EQ] = ACTIONS(3019),
    [anon_sym_x_EQ] = ACTIONS(3019),
    [anon_sym_AMP_EQ] = ACTIONS(3019),
    [anon_sym_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_CARET_EQ] = ACTIONS(3019),
    [anon_sym_LT_LT_EQ] = ACTIONS(3019),
    [anon_sym_GT_GT_EQ] = ACTIONS(3019),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3019),
    [anon_sym_DOT_DOT] = ACTIONS(3021),
    [anon_sym_STAR_STAR] = ACTIONS(3943),
    [anon_sym_PIPE_PIPE] = ACTIONS(3021),
    [anon_sym_SLASH_SLASH] = ACTIONS(3021),
    [anon_sym_CARET_CARET] = ACTIONS(3019),
    [anon_sym_AMP_AMP] = ACTIONS(3021),
    [anon_sym_PIPE] = ACTIONS(3021),
    [anon_sym_CARET] = ACTIONS(3021),
    [anon_sym_AMP] = ACTIONS(3021),
    [anon_sym_GT_GT2] = ACTIONS(3021),
    [anon_sym_PLUS] = ACTIONS(3021),
    [anon_sym_DASH] = ACTIONS(3021),
    [anon_sym_DOT] = ACTIONS(3021),
    [anon_sym_STAR] = ACTIONS(3021),
    [anon_sym_SLASH] = ACTIONS(3021),
    [anon_sym_x] = ACTIONS(3021),
    [anon_sym_EQ_TILDE] = ACTIONS(3019),
    [anon_sym_BANG_TILDE] = ACTIONS(3019),
    [anon_sym_EQ_EQ] = ACTIONS(3021),
    [anon_sym_BANG_EQ] = ACTIONS(3019),
    [anon_sym_eq] = ACTIONS(3021),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3019),
    [anon_sym_equ] = ACTIONS(3019),
    [anon_sym_eqr] = ACTIONS(3019),
    [anon_sym_ne] = ACTIONS(3019),
    [anon_sym_LT_EQ_GT] = ACTIONS(3019),
    [anon_sym_cmp] = ACTIONS(3019),
    [anon_sym_TILDE_TILDE] = ACTIONS(3019),
    [anon_sym_LT] = ACTIONS(3021),
    [anon_sym_LT_EQ] = ACTIONS(3021),
    [anon_sym_GT_EQ] = ACTIONS(3019),
    [anon_sym_lt] = ACTIONS(3019),
    [anon_sym_le] = ACTIONS(3019),
    [anon_sym_ge] = ACTIONS(3019),
    [anon_sym_gt] = ACTIONS(3019),
    [anon_sym_isa] = ACTIONS(3019),
    [anon_sym_PLUS_PLUS] = ACTIONS(3867),
    [anon_sym_DASH_DASH] = ACTIONS(3867),
    [anon_sym_QMARK] = ACTIONS(3019),
    [anon_sym_EQ_GT] = ACTIONS(3019),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2402] = {
    [sym_heredoc_content] = STATE(2402),
    [anon_sym_COLON] = ACTIONS(3019),
    [anon_sym_EQ] = ACTIONS(3021),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_COMMA] = ACTIONS(3019),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3019),
    [anon_sym_DASH_GT] = ACTIONS(3831),
    [anon_sym_PERCENT] = ACTIONS(3935),
    [anon_sym_GT] = ACTIONS(3937),
    [anon_sym_LT_LT] = ACTIONS(3939),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3019),
    [anon_sym_PLUS_EQ] = ACTIONS(3019),
    [anon_sym_DASH_EQ] = ACTIONS(3019),
    [anon_sym_DOT_EQ] = ACTIONS(3019),
    [anon_sym_STAR_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_PERCENT_EQ] = ACTIONS(3019),
    [anon_sym_x_EQ] = ACTIONS(3019),
    [anon_sym_AMP_EQ] = ACTIONS(3019),
    [anon_sym_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_CARET_EQ] = ACTIONS(3019),
    [anon_sym_LT_LT_EQ] = ACTIONS(3019),
    [anon_sym_GT_GT_EQ] = ACTIONS(3019),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3019),
    [anon_sym_DOT_DOT] = ACTIONS(3021),
    [anon_sym_STAR_STAR] = ACTIONS(3943),
    [anon_sym_PIPE_PIPE] = ACTIONS(3021),
    [anon_sym_SLASH_SLASH] = ACTIONS(3021),
    [anon_sym_CARET_CARET] = ACTIONS(3019),
    [anon_sym_AMP_AMP] = ACTIONS(3949),
    [anon_sym_PIPE] = ACTIONS(3951),
    [anon_sym_CARET] = ACTIONS(3951),
    [anon_sym_AMP] = ACTIONS(3953),
    [anon_sym_GT_GT2] = ACTIONS(3939),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_DOT] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(3935),
    [anon_sym_SLASH] = ACTIONS(3935),
    [anon_sym_x] = ACTIONS(3935),
    [anon_sym_EQ_TILDE] = ACTIONS(3957),
    [anon_sym_BANG_TILDE] = ACTIONS(3957),
    [anon_sym_EQ_EQ] = ACTIONS(3959),
    [anon_sym_BANG_EQ] = ACTIONS(3961),
    [anon_sym_eq] = ACTIONS(3959),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3961),
    [anon_sym_equ] = ACTIONS(3961),
    [anon_sym_eqr] = ACTIONS(3961),
    [anon_sym_ne] = ACTIONS(3961),
    [anon_sym_LT_EQ_GT] = ACTIONS(3963),
    [anon_sym_cmp] = ACTIONS(3963),
    [anon_sym_TILDE_TILDE] = ACTIONS(3963),
    [anon_sym_LT] = ACTIONS(3937),
    [anon_sym_LT_EQ] = ACTIONS(3937),
    [anon_sym_GT_EQ] = ACTIONS(3965),
    [anon_sym_lt] = ACTIONS(3965),
    [anon_sym_le] = ACTIONS(3965),
    [anon_sym_ge] = ACTIONS(3965),
    [anon_sym_gt] = ACTIONS(3965),
    [anon_sym_isa] = ACTIONS(3967),
    [anon_sym_PLUS_PLUS] = ACTIONS(3867),
    [anon_sym_DASH_DASH] = ACTIONS(3867),
    [anon_sym_QMARK] = ACTIONS(3019),
    [anon_sym_EQ_GT] = ACTIONS(3019),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2403] = {
    [sym_heredoc_content] = STATE(2403),
    [anon_sym_COLON] = ACTIONS(3019),
    [anon_sym_EQ] = ACTIONS(3021),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_COMMA] = ACTIONS(3019),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3019),
    [anon_sym_DASH_GT] = ACTIONS(3831),
    [anon_sym_PERCENT] = ACTIONS(3935),
    [anon_sym_GT] = ACTIONS(3937),
    [anon_sym_LT_LT] = ACTIONS(3939),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3019),
    [anon_sym_PLUS_EQ] = ACTIONS(3019),
    [anon_sym_DASH_EQ] = ACTIONS(3019),
    [anon_sym_DOT_EQ] = ACTIONS(3019),
    [anon_sym_STAR_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_PERCENT_EQ] = ACTIONS(3019),
    [anon_sym_x_EQ] = ACTIONS(3019),
    [anon_sym_AMP_EQ] = ACTIONS(3019),
    [anon_sym_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_CARET_EQ] = ACTIONS(3019),
    [anon_sym_LT_LT_EQ] = ACTIONS(3019),
    [anon_sym_GT_GT_EQ] = ACTIONS(3019),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3019),
    [anon_sym_DOT_DOT] = ACTIONS(3021),
    [anon_sym_STAR_STAR] = ACTIONS(3943),
    [anon_sym_PIPE_PIPE] = ACTIONS(3021),
    [anon_sym_SLASH_SLASH] = ACTIONS(3021),
    [anon_sym_CARET_CARET] = ACTIONS(3019),
    [anon_sym_AMP_AMP] = ACTIONS(3021),
    [anon_sym_PIPE] = ACTIONS(3951),
    [anon_sym_CARET] = ACTIONS(3951),
    [anon_sym_AMP] = ACTIONS(3953),
    [anon_sym_GT_GT2] = ACTIONS(3939),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_DOT] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(3935),
    [anon_sym_SLASH] = ACTIONS(3935),
    [anon_sym_x] = ACTIONS(3935),
    [anon_sym_EQ_TILDE] = ACTIONS(3957),
    [anon_sym_BANG_TILDE] = ACTIONS(3957),
    [anon_sym_EQ_EQ] = ACTIONS(3959),
    [anon_sym_BANG_EQ] = ACTIONS(3961),
    [anon_sym_eq] = ACTIONS(3959),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3961),
    [anon_sym_equ] = ACTIONS(3961),
    [anon_sym_eqr] = ACTIONS(3961),
    [anon_sym_ne] = ACTIONS(3961),
    [anon_sym_LT_EQ_GT] = ACTIONS(3963),
    [anon_sym_cmp] = ACTIONS(3963),
    [anon_sym_TILDE_TILDE] = ACTIONS(3963),
    [anon_sym_LT] = ACTIONS(3937),
    [anon_sym_LT_EQ] = ACTIONS(3937),
    [anon_sym_GT_EQ] = ACTIONS(3965),
    [anon_sym_lt] = ACTIONS(3965),
    [anon_sym_le] = ACTIONS(3965),
    [anon_sym_ge] = ACTIONS(3965),
    [anon_sym_gt] = ACTIONS(3965),
    [anon_sym_isa] = ACTIONS(3967),
    [anon_sym_PLUS_PLUS] = ACTIONS(3867),
    [anon_sym_DASH_DASH] = ACTIONS(3867),
    [anon_sym_QMARK] = ACTIONS(3019),
    [anon_sym_EQ_GT] = ACTIONS(3019),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2404] = {
    [sym_heredoc_content] = STATE(2404),
    [anon_sym_COLON] = ACTIONS(3019),
    [anon_sym_EQ] = ACTIONS(3021),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_COMMA] = ACTIONS(3019),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3019),
    [anon_sym_DASH_GT] = ACTIONS(3831),
    [anon_sym_PERCENT] = ACTIONS(3935),
    [anon_sym_GT] = ACTIONS(3937),
    [anon_sym_LT_LT] = ACTIONS(3939),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3019),
    [anon_sym_PLUS_EQ] = ACTIONS(3019),
    [anon_sym_DASH_EQ] = ACTIONS(3019),
    [anon_sym_DOT_EQ] = ACTIONS(3019),
    [anon_sym_STAR_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_PERCENT_EQ] = ACTIONS(3019),
    [anon_sym_x_EQ] = ACTIONS(3019),
    [anon_sym_AMP_EQ] = ACTIONS(3019),
    [anon_sym_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_CARET_EQ] = ACTIONS(3019),
    [anon_sym_LT_LT_EQ] = ACTIONS(3019),
    [anon_sym_GT_GT_EQ] = ACTIONS(3019),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3019),
    [anon_sym_DOT_DOT] = ACTIONS(3021),
    [anon_sym_STAR_STAR] = ACTIONS(3943),
    [anon_sym_PIPE_PIPE] = ACTIONS(3021),
    [anon_sym_SLASH_SLASH] = ACTIONS(3021),
    [anon_sym_CARET_CARET] = ACTIONS(3019),
    [anon_sym_AMP_AMP] = ACTIONS(3021),
    [anon_sym_PIPE] = ACTIONS(3021),
    [anon_sym_CARET] = ACTIONS(3021),
    [anon_sym_AMP] = ACTIONS(3953),
    [anon_sym_GT_GT2] = ACTIONS(3939),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_DOT] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(3935),
    [anon_sym_SLASH] = ACTIONS(3935),
    [anon_sym_x] = ACTIONS(3935),
    [anon_sym_EQ_TILDE] = ACTIONS(3957),
    [anon_sym_BANG_TILDE] = ACTIONS(3957),
    [anon_sym_EQ_EQ] = ACTIONS(3959),
    [anon_sym_BANG_EQ] = ACTIONS(3961),
    [anon_sym_eq] = ACTIONS(3959),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3961),
    [anon_sym_equ] = ACTIONS(3961),
    [anon_sym_eqr] = ACTIONS(3961),
    [anon_sym_ne] = ACTIONS(3961),
    [anon_sym_LT_EQ_GT] = ACTIONS(3963),
    [anon_sym_cmp] = ACTIONS(3963),
    [anon_sym_TILDE_TILDE] = ACTIONS(3963),
    [anon_sym_LT] = ACTIONS(3937),
    [anon_sym_LT_EQ] = ACTIONS(3937),
    [anon_sym_GT_EQ] = ACTIONS(3965),
    [anon_sym_lt] = ACTIONS(3965),
    [anon_sym_le] = ACTIONS(3965),
    [anon_sym_ge] = ACTIONS(3965),
    [anon_sym_gt] = ACTIONS(3965),
    [anon_sym_isa] = ACTIONS(3967),
    [anon_sym_PLUS_PLUS] = ACTIONS(3867),
    [anon_sym_DASH_DASH] = ACTIONS(3867),
    [anon_sym_QMARK] = ACTIONS(3019),
    [anon_sym_EQ_GT] = ACTIONS(3019),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2405] = {
    [sym_heredoc_content] = STATE(2405),
    [anon_sym_COLON] = ACTIONS(3019),
    [anon_sym_EQ] = ACTIONS(3021),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_COMMA] = ACTIONS(3019),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3019),
    [anon_sym_DASH_GT] = ACTIONS(3831),
    [anon_sym_PERCENT] = ACTIONS(3935),
    [anon_sym_GT] = ACTIONS(3937),
    [anon_sym_LT_LT] = ACTIONS(3939),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3019),
    [anon_sym_PLUS_EQ] = ACTIONS(3019),
    [anon_sym_DASH_EQ] = ACTIONS(3019),
    [anon_sym_DOT_EQ] = ACTIONS(3019),
    [anon_sym_STAR_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_PERCENT_EQ] = ACTIONS(3019),
    [anon_sym_x_EQ] = ACTIONS(3019),
    [anon_sym_AMP_EQ] = ACTIONS(3019),
    [anon_sym_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_CARET_EQ] = ACTIONS(3019),
    [anon_sym_LT_LT_EQ] = ACTIONS(3019),
    [anon_sym_GT_GT_EQ] = ACTIONS(3019),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3019),
    [anon_sym_DOT_DOT] = ACTIONS(3021),
    [anon_sym_STAR_STAR] = ACTIONS(3943),
    [anon_sym_PIPE_PIPE] = ACTIONS(3021),
    [anon_sym_SLASH_SLASH] = ACTIONS(3021),
    [anon_sym_CARET_CARET] = ACTIONS(3019),
    [anon_sym_AMP_AMP] = ACTIONS(3021),
    [anon_sym_PIPE] = ACTIONS(3021),
    [anon_sym_CARET] = ACTIONS(3021),
    [anon_sym_AMP] = ACTIONS(3021),
    [anon_sym_GT_GT2] = ACTIONS(3939),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_DOT] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(3935),
    [anon_sym_SLASH] = ACTIONS(3935),
    [anon_sym_x] = ACTIONS(3935),
    [anon_sym_EQ_TILDE] = ACTIONS(3957),
    [anon_sym_BANG_TILDE] = ACTIONS(3957),
    [anon_sym_EQ_EQ] = ACTIONS(3959),
    [anon_sym_BANG_EQ] = ACTIONS(3961),
    [anon_sym_eq] = ACTIONS(3959),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3961),
    [anon_sym_equ] = ACTIONS(3961),
    [anon_sym_eqr] = ACTIONS(3961),
    [anon_sym_ne] = ACTIONS(3961),
    [anon_sym_LT_EQ_GT] = ACTIONS(3963),
    [anon_sym_cmp] = ACTIONS(3963),
    [anon_sym_TILDE_TILDE] = ACTIONS(3963),
    [anon_sym_LT] = ACTIONS(3937),
    [anon_sym_LT_EQ] = ACTIONS(3937),
    [anon_sym_GT_EQ] = ACTIONS(3965),
    [anon_sym_lt] = ACTIONS(3965),
    [anon_sym_le] = ACTIONS(3965),
    [anon_sym_ge] = ACTIONS(3965),
    [anon_sym_gt] = ACTIONS(3965),
    [anon_sym_isa] = ACTIONS(3967),
    [anon_sym_PLUS_PLUS] = ACTIONS(3867),
    [anon_sym_DASH_DASH] = ACTIONS(3867),
    [anon_sym_QMARK] = ACTIONS(3019),
    [anon_sym_EQ_GT] = ACTIONS(3019),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2406] = {
    [sym_heredoc_content] = STATE(2406),
    [anon_sym_COLON] = ACTIONS(3019),
    [anon_sym_EQ] = ACTIONS(3021),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_COMMA] = ACTIONS(3019),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3019),
    [anon_sym_DASH_GT] = ACTIONS(3831),
    [anon_sym_PERCENT] = ACTIONS(3935),
    [anon_sym_GT] = ACTIONS(3021),
    [anon_sym_LT_LT] = ACTIONS(3021),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3019),
    [anon_sym_PLUS_EQ] = ACTIONS(3019),
    [anon_sym_DASH_EQ] = ACTIONS(3019),
    [anon_sym_DOT_EQ] = ACTIONS(3019),
    [anon_sym_STAR_EQ] = ACTIONS(3019),
    [anon_sym_SLASH_EQ] = ACTIONS(3019),
    [anon_sym_PERCENT_EQ] = ACTIONS(3019),
    [anon_sym_x_EQ] = ACTIONS(3019),
    [anon_sym_AMP_EQ] = ACTIONS(3019),
    [anon_sym_PIPE_EQ] = ACTIONS(3019),
    [anon_sym_CARET_EQ] = ACTIONS(3019),
    [anon_sym_LT_LT_EQ] = ACTIONS(3019),
    [anon_sym_GT_GT_EQ] = ACTIONS(3019),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3019),
    [anon_sym_DOT_DOT] = ACTIONS(3021),
    [anon_sym_STAR_STAR] = ACTIONS(3943),
    [anon_sym_PIPE_PIPE] = ACTIONS(3021),
    [anon_sym_SLASH_SLASH] = ACTIONS(3021),
    [anon_sym_CARET_CARET] = ACTIONS(3019),
    [anon_sym_AMP_AMP] = ACTIONS(3021),
    [anon_sym_PIPE] = ACTIONS(3021),
    [anon_sym_CARET] = ACTIONS(3021),
    [anon_sym_AMP] = ACTIONS(3021),
    [anon_sym_GT_GT2] = ACTIONS(3021),
    [anon_sym_PLUS] = ACTIONS(3021),
    [anon_sym_DASH] = ACTIONS(3021),
    [anon_sym_DOT] = ACTIONS(3021),
    [anon_sym_STAR] = ACTIONS(3935),
    [anon_sym_SLASH] = ACTIONS(3935),
    [anon_sym_x] = ACTIONS(3935),
    [anon_sym_EQ_TILDE] = ACTIONS(3957),
    [anon_sym_BANG_TILDE] = ACTIONS(3957),
    [anon_sym_EQ_EQ] = ACTIONS(3021),
    [anon_sym_BANG_EQ] = ACTIONS(3019),
    [anon_sym_eq] = ACTIONS(3021),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3019),
    [anon_sym_equ] = ACTIONS(3019),
    [anon_sym_eqr] = ACTIONS(3019),
    [anon_sym_ne] = ACTIONS(3019),
    [anon_sym_LT_EQ_GT] = ACTIONS(3019),
    [anon_sym_cmp] = ACTIONS(3019),
    [anon_sym_TILDE_TILDE] = ACTIONS(3019),
    [anon_sym_LT] = ACTIONS(3021),
    [anon_sym_LT_EQ] = ACTIONS(3021),
    [anon_sym_GT_EQ] = ACTIONS(3019),
    [anon_sym_lt] = ACTIONS(3019),
    [anon_sym_le] = ACTIONS(3019),
    [anon_sym_ge] = ACTIONS(3019),
    [anon_sym_gt] = ACTIONS(3019),
    [anon_sym_isa] = ACTIONS(3019),
    [anon_sym_PLUS_PLUS] = ACTIONS(3867),
    [anon_sym_DASH_DASH] = ACTIONS(3867),
    [anon_sym_QMARK] = ACTIONS(3019),
    [anon_sym_EQ_GT] = ACTIONS(3019),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2407] = {
    [sym_heredoc_content] = STATE(2407),
    [anon_sym_EQ] = ACTIONS(3823),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3825),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3825),
    [anon_sym_COMMA] = ACTIONS(3984),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3829),
    [anon_sym_DASH_GT] = ACTIONS(3831),
    [anon_sym_PERCENT] = ACTIONS(3833),
    [anon_sym_GT] = ACTIONS(3835),
    [anon_sym_LT_LT] = ACTIONS(3837),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3825),
    [anon_sym_PLUS_EQ] = ACTIONS(3825),
    [anon_sym_DASH_EQ] = ACTIONS(3825),
    [anon_sym_DOT_EQ] = ACTIONS(3825),
    [anon_sym_STAR_EQ] = ACTIONS(3825),
    [anon_sym_SLASH_EQ] = ACTIONS(3825),
    [anon_sym_PERCENT_EQ] = ACTIONS(3825),
    [anon_sym_x_EQ] = ACTIONS(3825),
    [anon_sym_AMP_EQ] = ACTIONS(3825),
    [anon_sym_PIPE_EQ] = ACTIONS(3825),
    [anon_sym_CARET_EQ] = ACTIONS(3825),
    [anon_sym_LT_LT_EQ] = ACTIONS(3825),
    [anon_sym_GT_GT_EQ] = ACTIONS(3825),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3825),
    [anon_sym_DOT_DOT] = ACTIONS(3839),
    [anon_sym_STAR_STAR] = ACTIONS(3841),
    [anon_sym_PIPE_PIPE] = ACTIONS(3843),
    [anon_sym_SLASH_SLASH] = ACTIONS(3843),
    [anon_sym_CARET_CARET] = ACTIONS(3845),
    [anon_sym_AMP_AMP] = ACTIONS(3847),
    [anon_sym_PIPE] = ACTIONS(3849),
    [anon_sym_CARET] = ACTIONS(3849),
    [anon_sym_AMP] = ACTIONS(3851),
    [anon_sym_GT_GT2] = ACTIONS(3837),
    [anon_sym_PLUS] = ACTIONS(3853),
    [anon_sym_DASH] = ACTIONS(3853),
    [anon_sym_DOT] = ACTIONS(3853),
    [anon_sym_STAR] = ACTIONS(3833),
    [anon_sym_SLASH] = ACTIONS(3833),
    [anon_sym_x] = ACTIONS(3833),
    [anon_sym_EQ_TILDE] = ACTIONS(3855),
    [anon_sym_BANG_TILDE] = ACTIONS(3855),
    [anon_sym_EQ_EQ] = ACTIONS(3857),
    [anon_sym_BANG_EQ] = ACTIONS(3859),
    [anon_sym_eq] = ACTIONS(3857),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3859),
    [anon_sym_equ] = ACTIONS(3859),
    [anon_sym_eqr] = ACTIONS(3859),
    [anon_sym_ne] = ACTIONS(3859),
    [anon_sym_LT_EQ_GT] = ACTIONS(3861),
    [anon_sym_cmp] = ACTIONS(3861),
    [anon_sym_TILDE_TILDE] = ACTIONS(3861),
    [anon_sym_LT] = ACTIONS(3835),
    [anon_sym_LT_EQ] = ACTIONS(3835),
    [anon_sym_GT_EQ] = ACTIONS(3863),
    [anon_sym_lt] = ACTIONS(3863),
    [anon_sym_le] = ACTIONS(3863),
    [anon_sym_ge] = ACTIONS(3863),
    [anon_sym_gt] = ACTIONS(3863),
    [anon_sym_isa] = ACTIONS(3865),
    [anon_sym_PLUS_PLUS] = ACTIONS(3867),
    [anon_sym_DASH_DASH] = ACTIONS(3867),
    [anon_sym_QMARK] = ACTIONS(3869),
    [anon_sym_EQ_GT] = ACTIONS(3984),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2408] = {
    [sym_heredoc_content] = STATE(2408),
    [anon_sym_EQ] = ACTIONS(3823),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3825),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3825),
    [anon_sym_COMMA] = ACTIONS(3986),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3829),
    [anon_sym_DASH_GT] = ACTIONS(3831),
    [anon_sym_PERCENT] = ACTIONS(3833),
    [anon_sym_GT] = ACTIONS(3835),
    [anon_sym_LT_LT] = ACTIONS(3837),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3825),
    [anon_sym_PLUS_EQ] = ACTIONS(3825),
    [anon_sym_DASH_EQ] = ACTIONS(3825),
    [anon_sym_DOT_EQ] = ACTIONS(3825),
    [anon_sym_STAR_EQ] = ACTIONS(3825),
    [anon_sym_SLASH_EQ] = ACTIONS(3825),
    [anon_sym_PERCENT_EQ] = ACTIONS(3825),
    [anon_sym_x_EQ] = ACTIONS(3825),
    [anon_sym_AMP_EQ] = ACTIONS(3825),
    [anon_sym_PIPE_EQ] = ACTIONS(3825),
    [anon_sym_CARET_EQ] = ACTIONS(3825),
    [anon_sym_LT_LT_EQ] = ACTIONS(3825),
    [anon_sym_GT_GT_EQ] = ACTIONS(3825),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3825),
    [anon_sym_DOT_DOT] = ACTIONS(3839),
    [anon_sym_STAR_STAR] = ACTIONS(3841),
    [anon_sym_PIPE_PIPE] = ACTIONS(3843),
    [anon_sym_SLASH_SLASH] = ACTIONS(3843),
    [anon_sym_CARET_CARET] = ACTIONS(3845),
    [anon_sym_AMP_AMP] = ACTIONS(3847),
    [anon_sym_PIPE] = ACTIONS(3849),
    [anon_sym_CARET] = ACTIONS(3849),
    [anon_sym_AMP] = ACTIONS(3851),
    [anon_sym_GT_GT2] = ACTIONS(3837),
    [anon_sym_PLUS] = ACTIONS(3853),
    [anon_sym_DASH] = ACTIONS(3853),
    [anon_sym_DOT] = ACTIONS(3853),
    [anon_sym_STAR] = ACTIONS(3833),
    [anon_sym_SLASH] = ACTIONS(3833),
    [anon_sym_x] = ACTIONS(3833),
    [anon_sym_EQ_TILDE] = ACTIONS(3855),
    [anon_sym_BANG_TILDE] = ACTIONS(3855),
    [anon_sym_EQ_EQ] = ACTIONS(3857),
    [anon_sym_BANG_EQ] = ACTIONS(3859),
    [anon_sym_eq] = ACTIONS(3857),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3859),
    [anon_sym_equ] = ACTIONS(3859),
    [anon_sym_eqr] = ACTIONS(3859),
    [anon_sym_ne] = ACTIONS(3859),
    [anon_sym_LT_EQ_GT] = ACTIONS(3861),
    [anon_sym_cmp] = ACTIONS(3861),
    [anon_sym_TILDE_TILDE] = ACTIONS(3861),
    [anon_sym_LT] = ACTIONS(3835),
    [anon_sym_LT_EQ] = ACTIONS(3835),
    [anon_sym_GT_EQ] = ACTIONS(3863),
    [anon_sym_lt] = ACTIONS(3863),
    [anon_sym_le] = ACTIONS(3863),
    [anon_sym_ge] = ACTIONS(3863),
    [anon_sym_gt] = ACTIONS(3863),
    [anon_sym_isa] = ACTIONS(3865),
    [anon_sym_PLUS_PLUS] = ACTIONS(3867),
    [anon_sym_DASH_DASH] = ACTIONS(3867),
    [anon_sym_QMARK] = ACTIONS(3869),
    [anon_sym_EQ_GT] = ACTIONS(3986),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2409] = {
    [sym_heredoc_content] = STATE(2409),
    [anon_sym_EQ] = ACTIONS(3823),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3825),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3825),
    [anon_sym_COMMA] = ACTIONS(3988),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3829),
    [anon_sym_DASH_GT] = ACTIONS(3831),
    [anon_sym_PERCENT] = ACTIONS(3833),
    [anon_sym_GT] = ACTIONS(3835),
    [anon_sym_LT_LT] = ACTIONS(3837),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3825),
    [anon_sym_PLUS_EQ] = ACTIONS(3825),
    [anon_sym_DASH_EQ] = ACTIONS(3825),
    [anon_sym_DOT_EQ] = ACTIONS(3825),
    [anon_sym_STAR_EQ] = ACTIONS(3825),
    [anon_sym_SLASH_EQ] = ACTIONS(3825),
    [anon_sym_PERCENT_EQ] = ACTIONS(3825),
    [anon_sym_x_EQ] = ACTIONS(3825),
    [anon_sym_AMP_EQ] = ACTIONS(3825),
    [anon_sym_PIPE_EQ] = ACTIONS(3825),
    [anon_sym_CARET_EQ] = ACTIONS(3825),
    [anon_sym_LT_LT_EQ] = ACTIONS(3825),
    [anon_sym_GT_GT_EQ] = ACTIONS(3825),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3825),
    [anon_sym_DOT_DOT] = ACTIONS(3839),
    [anon_sym_STAR_STAR] = ACTIONS(3841),
    [anon_sym_PIPE_PIPE] = ACTIONS(3843),
    [anon_sym_SLASH_SLASH] = ACTIONS(3843),
    [anon_sym_CARET_CARET] = ACTIONS(3845),
    [anon_sym_AMP_AMP] = ACTIONS(3847),
    [anon_sym_PIPE] = ACTIONS(3849),
    [anon_sym_CARET] = ACTIONS(3849),
    [anon_sym_AMP] = ACTIONS(3851),
    [anon_sym_GT_GT2] = ACTIONS(3837),
    [anon_sym_PLUS] = ACTIONS(3853),
    [anon_sym_DASH] = ACTIONS(3853),
    [anon_sym_DOT] = ACTIONS(3853),
    [anon_sym_STAR] = ACTIONS(3833),
    [anon_sym_SLASH] = ACTIONS(3833),
    [anon_sym_x] = ACTIONS(3833),
    [anon_sym_EQ_TILDE] = ACTIONS(3855),
    [anon_sym_BANG_TILDE] = ACTIONS(3855),
    [anon_sym_EQ_EQ] = ACTIONS(3857),
    [anon_sym_BANG_EQ] = ACTIONS(3859),
    [anon_sym_eq] = ACTIONS(3857),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3859),
    [anon_sym_equ] = ACTIONS(3859),
    [anon_sym_eqr] = ACTIONS(3859),
    [anon_sym_ne] = ACTIONS(3859),
    [anon_sym_LT_EQ_GT] = ACTIONS(3861),
    [anon_sym_cmp] = ACTIONS(3861),
    [anon_sym_TILDE_TILDE] = ACTIONS(3861),
    [anon_sym_LT] = ACTIONS(3835),
    [anon_sym_LT_EQ] = ACTIONS(3835),
    [anon_sym_GT_EQ] = ACTIONS(3863),
    [anon_sym_lt] = ACTIONS(3863),
    [anon_sym_le] = ACTIONS(3863),
    [anon_sym_ge] = ACTIONS(3863),
    [anon_sym_gt] = ACTIONS(3863),
    [anon_sym_isa] = ACTIONS(3865),
    [anon_sym_PLUS_PLUS] = ACTIONS(3867),
    [anon_sym_DASH_DASH] = ACTIONS(3867),
    [anon_sym_QMARK] = ACTIONS(3869),
    [anon_sym_EQ_GT] = ACTIONS(3988),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2410] = {
    [sym_heredoc_content] = STATE(2410),
    [anon_sym_EQ] = ACTIONS(3823),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3825),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3825),
    [anon_sym_COMMA] = ACTIONS(3990),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3829),
    [anon_sym_DASH_GT] = ACTIONS(3831),
    [anon_sym_PERCENT] = ACTIONS(3833),
    [anon_sym_GT] = ACTIONS(3835),
    [anon_sym_LT_LT] = ACTIONS(3837),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3825),
    [anon_sym_PLUS_EQ] = ACTIONS(3825),
    [anon_sym_DASH_EQ] = ACTIONS(3825),
    [anon_sym_DOT_EQ] = ACTIONS(3825),
    [anon_sym_STAR_EQ] = ACTIONS(3825),
    [anon_sym_SLASH_EQ] = ACTIONS(3825),
    [anon_sym_PERCENT_EQ] = ACTIONS(3825),
    [anon_sym_x_EQ] = ACTIONS(3825),
    [anon_sym_AMP_EQ] = ACTIONS(3825),
    [anon_sym_PIPE_EQ] = ACTIONS(3825),
    [anon_sym_CARET_EQ] = ACTIONS(3825),
    [anon_sym_LT_LT_EQ] = ACTIONS(3825),
    [anon_sym_GT_GT_EQ] = ACTIONS(3825),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3825),
    [anon_sym_DOT_DOT] = ACTIONS(3839),
    [anon_sym_STAR_STAR] = ACTIONS(3841),
    [anon_sym_PIPE_PIPE] = ACTIONS(3843),
    [anon_sym_SLASH_SLASH] = ACTIONS(3843),
    [anon_sym_CARET_CARET] = ACTIONS(3845),
    [anon_sym_AMP_AMP] = ACTIONS(3847),
    [anon_sym_PIPE] = ACTIONS(3849),
    [anon_sym_CARET] = ACTIONS(3849),
    [anon_sym_AMP] = ACTIONS(3851),
    [anon_sym_GT_GT2] = ACTIONS(3837),
    [anon_sym_PLUS] = ACTIONS(3853),
    [anon_sym_DASH] = ACTIONS(3853),
    [anon_sym_DOT] = ACTIONS(3853),
    [anon_sym_STAR] = ACTIONS(3833),
    [anon_sym_SLASH] = ACTIONS(3833),
    [anon_sym_x] = ACTIONS(3833),
    [anon_sym_EQ_TILDE] = ACTIONS(3855),
    [anon_sym_BANG_TILDE] = ACTIONS(3855),
    [anon_sym_EQ_EQ] = ACTIONS(3857),
    [anon_sym_BANG_EQ] = ACTIONS(3859),
    [anon_sym_eq] = ACTIONS(3857),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3859),
    [anon_sym_equ] = ACTIONS(3859),
    [anon_sym_eqr] = ACTIONS(3859),
    [anon_sym_ne] = ACTIONS(3859),
    [anon_sym_LT_EQ_GT] = ACTIONS(3861),
    [anon_sym_cmp] = ACTIONS(3861),
    [anon_sym_TILDE_TILDE] = ACTIONS(3861),
    [anon_sym_LT] = ACTIONS(3835),
    [anon_sym_LT_EQ] = ACTIONS(3835),
    [anon_sym_GT_EQ] = ACTIONS(3863),
    [anon_sym_lt] = ACTIONS(3863),
    [anon_sym_le] = ACTIONS(3863),
    [anon_sym_ge] = ACTIONS(3863),
    [anon_sym_gt] = ACTIONS(3863),
    [anon_sym_isa] = ACTIONS(3865),
    [anon_sym_PLUS_PLUS] = ACTIONS(3867),
    [anon_sym_DASH_DASH] = ACTIONS(3867),
    [anon_sym_QMARK] = ACTIONS(3869),
    [anon_sym_EQ_GT] = ACTIONS(3990),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2411] = {
    [sym_heredoc_content] = STATE(2411),
    [anon_sym_EQ] = ACTIONS(3823),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3825),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3825),
    [anon_sym_COMMA] = ACTIONS(3992),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3829),
    [anon_sym_DASH_GT] = ACTIONS(3831),
    [anon_sym_PERCENT] = ACTIONS(3833),
    [anon_sym_GT] = ACTIONS(3835),
    [anon_sym_LT_LT] = ACTIONS(3837),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3825),
    [anon_sym_PLUS_EQ] = ACTIONS(3825),
    [anon_sym_DASH_EQ] = ACTIONS(3825),
    [anon_sym_DOT_EQ] = ACTIONS(3825),
    [anon_sym_STAR_EQ] = ACTIONS(3825),
    [anon_sym_SLASH_EQ] = ACTIONS(3825),
    [anon_sym_PERCENT_EQ] = ACTIONS(3825),
    [anon_sym_x_EQ] = ACTIONS(3825),
    [anon_sym_AMP_EQ] = ACTIONS(3825),
    [anon_sym_PIPE_EQ] = ACTIONS(3825),
    [anon_sym_CARET_EQ] = ACTIONS(3825),
    [anon_sym_LT_LT_EQ] = ACTIONS(3825),
    [anon_sym_GT_GT_EQ] = ACTIONS(3825),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3825),
    [anon_sym_DOT_DOT] = ACTIONS(3839),
    [anon_sym_STAR_STAR] = ACTIONS(3841),
    [anon_sym_PIPE_PIPE] = ACTIONS(3843),
    [anon_sym_SLASH_SLASH] = ACTIONS(3843),
    [anon_sym_CARET_CARET] = ACTIONS(3845),
    [anon_sym_AMP_AMP] = ACTIONS(3847),
    [anon_sym_PIPE] = ACTIONS(3849),
    [anon_sym_CARET] = ACTIONS(3849),
    [anon_sym_AMP] = ACTIONS(3851),
    [anon_sym_GT_GT2] = ACTIONS(3837),
    [anon_sym_PLUS] = ACTIONS(3853),
    [anon_sym_DASH] = ACTIONS(3853),
    [anon_sym_DOT] = ACTIONS(3853),
    [anon_sym_STAR] = ACTIONS(3833),
    [anon_sym_SLASH] = ACTIONS(3833),
    [anon_sym_x] = ACTIONS(3833),
    [anon_sym_EQ_TILDE] = ACTIONS(3855),
    [anon_sym_BANG_TILDE] = ACTIONS(3855),
    [anon_sym_EQ_EQ] = ACTIONS(3857),
    [anon_sym_BANG_EQ] = ACTIONS(3859),
    [anon_sym_eq] = ACTIONS(3857),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3859),
    [anon_sym_equ] = ACTIONS(3859),
    [anon_sym_eqr] = ACTIONS(3859),
    [anon_sym_ne] = ACTIONS(3859),
    [anon_sym_LT_EQ_GT] = ACTIONS(3861),
    [anon_sym_cmp] = ACTIONS(3861),
    [anon_sym_TILDE_TILDE] = ACTIONS(3861),
    [anon_sym_LT] = ACTIONS(3835),
    [anon_sym_LT_EQ] = ACTIONS(3835),
    [anon_sym_GT_EQ] = ACTIONS(3863),
    [anon_sym_lt] = ACTIONS(3863),
    [anon_sym_le] = ACTIONS(3863),
    [anon_sym_ge] = ACTIONS(3863),
    [anon_sym_gt] = ACTIONS(3863),
    [anon_sym_isa] = ACTIONS(3865),
    [anon_sym_PLUS_PLUS] = ACTIONS(3867),
    [anon_sym_DASH_DASH] = ACTIONS(3867),
    [anon_sym_QMARK] = ACTIONS(3869),
    [anon_sym_EQ_GT] = ACTIONS(3992),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2412] = {
    [sym_heredoc_content] = STATE(2412),
    [anon_sym_EQ] = ACTIONS(3823),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3825),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3825),
    [anon_sym_COMMA] = ACTIONS(3994),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3829),
    [anon_sym_DASH_GT] = ACTIONS(3831),
    [anon_sym_PERCENT] = ACTIONS(3833),
    [anon_sym_GT] = ACTIONS(3835),
    [anon_sym_LT_LT] = ACTIONS(3837),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3825),
    [anon_sym_PLUS_EQ] = ACTIONS(3825),
    [anon_sym_DASH_EQ] = ACTIONS(3825),
    [anon_sym_DOT_EQ] = ACTIONS(3825),
    [anon_sym_STAR_EQ] = ACTIONS(3825),
    [anon_sym_SLASH_EQ] = ACTIONS(3825),
    [anon_sym_PERCENT_EQ] = ACTIONS(3825),
    [anon_sym_x_EQ] = ACTIONS(3825),
    [anon_sym_AMP_EQ] = ACTIONS(3825),
    [anon_sym_PIPE_EQ] = ACTIONS(3825),
    [anon_sym_CARET_EQ] = ACTIONS(3825),
    [anon_sym_LT_LT_EQ] = ACTIONS(3825),
    [anon_sym_GT_GT_EQ] = ACTIONS(3825),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3825),
    [anon_sym_DOT_DOT] = ACTIONS(3839),
    [anon_sym_STAR_STAR] = ACTIONS(3841),
    [anon_sym_PIPE_PIPE] = ACTIONS(3843),
    [anon_sym_SLASH_SLASH] = ACTIONS(3843),
    [anon_sym_CARET_CARET] = ACTIONS(3845),
    [anon_sym_AMP_AMP] = ACTIONS(3847),
    [anon_sym_PIPE] = ACTIONS(3849),
    [anon_sym_CARET] = ACTIONS(3849),
    [anon_sym_AMP] = ACTIONS(3851),
    [anon_sym_GT_GT2] = ACTIONS(3837),
    [anon_sym_PLUS] = ACTIONS(3853),
    [anon_sym_DASH] = ACTIONS(3853),
    [anon_sym_DOT] = ACTIONS(3853),
    [anon_sym_STAR] = ACTIONS(3833),
    [anon_sym_SLASH] = ACTIONS(3833),
    [anon_sym_x] = ACTIONS(3833),
    [anon_sym_EQ_TILDE] = ACTIONS(3855),
    [anon_sym_BANG_TILDE] = ACTIONS(3855),
    [anon_sym_EQ_EQ] = ACTIONS(3857),
    [anon_sym_BANG_EQ] = ACTIONS(3859),
    [anon_sym_eq] = ACTIONS(3857),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3859),
    [anon_sym_equ] = ACTIONS(3859),
    [anon_sym_eqr] = ACTIONS(3859),
    [anon_sym_ne] = ACTIONS(3859),
    [anon_sym_LT_EQ_GT] = ACTIONS(3861),
    [anon_sym_cmp] = ACTIONS(3861),
    [anon_sym_TILDE_TILDE] = ACTIONS(3861),
    [anon_sym_LT] = ACTIONS(3835),
    [anon_sym_LT_EQ] = ACTIONS(3835),
    [anon_sym_GT_EQ] = ACTIONS(3863),
    [anon_sym_lt] = ACTIONS(3863),
    [anon_sym_le] = ACTIONS(3863),
    [anon_sym_ge] = ACTIONS(3863),
    [anon_sym_gt] = ACTIONS(3863),
    [anon_sym_isa] = ACTIONS(3865),
    [anon_sym_PLUS_PLUS] = ACTIONS(3867),
    [anon_sym_DASH_DASH] = ACTIONS(3867),
    [anon_sym_QMARK] = ACTIONS(3869),
    [anon_sym_EQ_GT] = ACTIONS(3994),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2413] = {
    [sym_heredoc_content] = STATE(2413),
    [anon_sym_EQ] = ACTIONS(3823),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3825),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3825),
    [anon_sym_COMMA] = ACTIONS(3996),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3829),
    [anon_sym_DASH_GT] = ACTIONS(3831),
    [anon_sym_PERCENT] = ACTIONS(3833),
    [anon_sym_GT] = ACTIONS(3835),
    [anon_sym_LT_LT] = ACTIONS(3837),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3825),
    [anon_sym_PLUS_EQ] = ACTIONS(3825),
    [anon_sym_DASH_EQ] = ACTIONS(3825),
    [anon_sym_DOT_EQ] = ACTIONS(3825),
    [anon_sym_STAR_EQ] = ACTIONS(3825),
    [anon_sym_SLASH_EQ] = ACTIONS(3825),
    [anon_sym_PERCENT_EQ] = ACTIONS(3825),
    [anon_sym_x_EQ] = ACTIONS(3825),
    [anon_sym_AMP_EQ] = ACTIONS(3825),
    [anon_sym_PIPE_EQ] = ACTIONS(3825),
    [anon_sym_CARET_EQ] = ACTIONS(3825),
    [anon_sym_LT_LT_EQ] = ACTIONS(3825),
    [anon_sym_GT_GT_EQ] = ACTIONS(3825),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3825),
    [anon_sym_DOT_DOT] = ACTIONS(3839),
    [anon_sym_STAR_STAR] = ACTIONS(3841),
    [anon_sym_PIPE_PIPE] = ACTIONS(3843),
    [anon_sym_SLASH_SLASH] = ACTIONS(3843),
    [anon_sym_CARET_CARET] = ACTIONS(3845),
    [anon_sym_AMP_AMP] = ACTIONS(3847),
    [anon_sym_PIPE] = ACTIONS(3849),
    [anon_sym_CARET] = ACTIONS(3849),
    [anon_sym_AMP] = ACTIONS(3851),
    [anon_sym_GT_GT2] = ACTIONS(3837),
    [anon_sym_PLUS] = ACTIONS(3853),
    [anon_sym_DASH] = ACTIONS(3853),
    [anon_sym_DOT] = ACTIONS(3853),
    [anon_sym_STAR] = ACTIONS(3833),
    [anon_sym_SLASH] = ACTIONS(3833),
    [anon_sym_x] = ACTIONS(3833),
    [anon_sym_EQ_TILDE] = ACTIONS(3855),
    [anon_sym_BANG_TILDE] = ACTIONS(3855),
    [anon_sym_EQ_EQ] = ACTIONS(3857),
    [anon_sym_BANG_EQ] = ACTIONS(3859),
    [anon_sym_eq] = ACTIONS(3857),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3859),
    [anon_sym_equ] = ACTIONS(3859),
    [anon_sym_eqr] = ACTIONS(3859),
    [anon_sym_ne] = ACTIONS(3859),
    [anon_sym_LT_EQ_GT] = ACTIONS(3861),
    [anon_sym_cmp] = ACTIONS(3861),
    [anon_sym_TILDE_TILDE] = ACTIONS(3861),
    [anon_sym_LT] = ACTIONS(3835),
    [anon_sym_LT_EQ] = ACTIONS(3835),
    [anon_sym_GT_EQ] = ACTIONS(3863),
    [anon_sym_lt] = ACTIONS(3863),
    [anon_sym_le] = ACTIONS(3863),
    [anon_sym_ge] = ACTIONS(3863),
    [anon_sym_gt] = ACTIONS(3863),
    [anon_sym_isa] = ACTIONS(3865),
    [anon_sym_PLUS_PLUS] = ACTIONS(3867),
    [anon_sym_DASH_DASH] = ACTIONS(3867),
    [anon_sym_QMARK] = ACTIONS(3869),
    [anon_sym_EQ_GT] = ACTIONS(3996),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2414] = {
    [sym_heredoc_content] = STATE(2414),
    [anon_sym_EQ] = ACTIONS(3823),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3825),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3825),
    [anon_sym_COMMA] = ACTIONS(3998),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3829),
    [anon_sym_DASH_GT] = ACTIONS(3831),
    [anon_sym_PERCENT] = ACTIONS(3833),
    [anon_sym_GT] = ACTIONS(3835),
    [anon_sym_LT_LT] = ACTIONS(3837),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3825),
    [anon_sym_PLUS_EQ] = ACTIONS(3825),
    [anon_sym_DASH_EQ] = ACTIONS(3825),
    [anon_sym_DOT_EQ] = ACTIONS(3825),
    [anon_sym_STAR_EQ] = ACTIONS(3825),
    [anon_sym_SLASH_EQ] = ACTIONS(3825),
    [anon_sym_PERCENT_EQ] = ACTIONS(3825),
    [anon_sym_x_EQ] = ACTIONS(3825),
    [anon_sym_AMP_EQ] = ACTIONS(3825),
    [anon_sym_PIPE_EQ] = ACTIONS(3825),
    [anon_sym_CARET_EQ] = ACTIONS(3825),
    [anon_sym_LT_LT_EQ] = ACTIONS(3825),
    [anon_sym_GT_GT_EQ] = ACTIONS(3825),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3825),
    [anon_sym_DOT_DOT] = ACTIONS(3839),
    [anon_sym_STAR_STAR] = ACTIONS(3841),
    [anon_sym_PIPE_PIPE] = ACTIONS(3843),
    [anon_sym_SLASH_SLASH] = ACTIONS(3843),
    [anon_sym_CARET_CARET] = ACTIONS(3845),
    [anon_sym_AMP_AMP] = ACTIONS(3847),
    [anon_sym_PIPE] = ACTIONS(3849),
    [anon_sym_CARET] = ACTIONS(3849),
    [anon_sym_AMP] = ACTIONS(3851),
    [anon_sym_GT_GT2] = ACTIONS(3837),
    [anon_sym_PLUS] = ACTIONS(3853),
    [anon_sym_DASH] = ACTIONS(3853),
    [anon_sym_DOT] = ACTIONS(3853),
    [anon_sym_STAR] = ACTIONS(3833),
    [anon_sym_SLASH] = ACTIONS(3833),
    [anon_sym_x] = ACTIONS(3833),
    [anon_sym_EQ_TILDE] = ACTIONS(3855),
    [anon_sym_BANG_TILDE] = ACTIONS(3855),
    [anon_sym_EQ_EQ] = ACTIONS(3857),
    [anon_sym_BANG_EQ] = ACTIONS(3859),
    [anon_sym_eq] = ACTIONS(3857),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3859),
    [anon_sym_equ] = ACTIONS(3859),
    [anon_sym_eqr] = ACTIONS(3859),
    [anon_sym_ne] = ACTIONS(3859),
    [anon_sym_LT_EQ_GT] = ACTIONS(3861),
    [anon_sym_cmp] = ACTIONS(3861),
    [anon_sym_TILDE_TILDE] = ACTIONS(3861),
    [anon_sym_LT] = ACTIONS(3835),
    [anon_sym_LT_EQ] = ACTIONS(3835),
    [anon_sym_GT_EQ] = ACTIONS(3863),
    [anon_sym_lt] = ACTIONS(3863),
    [anon_sym_le] = ACTIONS(3863),
    [anon_sym_ge] = ACTIONS(3863),
    [anon_sym_gt] = ACTIONS(3863),
    [anon_sym_isa] = ACTIONS(3865),
    [anon_sym_PLUS_PLUS] = ACTIONS(3867),
    [anon_sym_DASH_DASH] = ACTIONS(3867),
    [anon_sym_QMARK] = ACTIONS(3869),
    [anon_sym_EQ_GT] = ACTIONS(3998),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2415] = {
    [sym_heredoc_content] = STATE(2415),
    [anon_sym_EQ] = ACTIONS(3823),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3825),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3825),
    [anon_sym_COMMA] = ACTIONS(4000),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3829),
    [anon_sym_DASH_GT] = ACTIONS(3831),
    [anon_sym_PERCENT] = ACTIONS(3833),
    [anon_sym_GT] = ACTIONS(3835),
    [anon_sym_LT_LT] = ACTIONS(3837),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3825),
    [anon_sym_PLUS_EQ] = ACTIONS(3825),
    [anon_sym_DASH_EQ] = ACTIONS(3825),
    [anon_sym_DOT_EQ] = ACTIONS(3825),
    [anon_sym_STAR_EQ] = ACTIONS(3825),
    [anon_sym_SLASH_EQ] = ACTIONS(3825),
    [anon_sym_PERCENT_EQ] = ACTIONS(3825),
    [anon_sym_x_EQ] = ACTIONS(3825),
    [anon_sym_AMP_EQ] = ACTIONS(3825),
    [anon_sym_PIPE_EQ] = ACTIONS(3825),
    [anon_sym_CARET_EQ] = ACTIONS(3825),
    [anon_sym_LT_LT_EQ] = ACTIONS(3825),
    [anon_sym_GT_GT_EQ] = ACTIONS(3825),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3825),
    [anon_sym_DOT_DOT] = ACTIONS(3839),
    [anon_sym_STAR_STAR] = ACTIONS(3841),
    [anon_sym_PIPE_PIPE] = ACTIONS(3843),
    [anon_sym_SLASH_SLASH] = ACTIONS(3843),
    [anon_sym_CARET_CARET] = ACTIONS(3845),
    [anon_sym_AMP_AMP] = ACTIONS(3847),
    [anon_sym_PIPE] = ACTIONS(3849),
    [anon_sym_CARET] = ACTIONS(3849),
    [anon_sym_AMP] = ACTIONS(3851),
    [anon_sym_GT_GT2] = ACTIONS(3837),
    [anon_sym_PLUS] = ACTIONS(3853),
    [anon_sym_DASH] = ACTIONS(3853),
    [anon_sym_DOT] = ACTIONS(3853),
    [anon_sym_STAR] = ACTIONS(3833),
    [anon_sym_SLASH] = ACTIONS(3833),
    [anon_sym_x] = ACTIONS(3833),
    [anon_sym_EQ_TILDE] = ACTIONS(3855),
    [anon_sym_BANG_TILDE] = ACTIONS(3855),
    [anon_sym_EQ_EQ] = ACTIONS(3857),
    [anon_sym_BANG_EQ] = ACTIONS(3859),
    [anon_sym_eq] = ACTIONS(3857),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3859),
    [anon_sym_equ] = ACTIONS(3859),
    [anon_sym_eqr] = ACTIONS(3859),
    [anon_sym_ne] = ACTIONS(3859),
    [anon_sym_LT_EQ_GT] = ACTIONS(3861),
    [anon_sym_cmp] = ACTIONS(3861),
    [anon_sym_TILDE_TILDE] = ACTIONS(3861),
    [anon_sym_LT] = ACTIONS(3835),
    [anon_sym_LT_EQ] = ACTIONS(3835),
    [anon_sym_GT_EQ] = ACTIONS(3863),
    [anon_sym_lt] = ACTIONS(3863),
    [anon_sym_le] = ACTIONS(3863),
    [anon_sym_ge] = ACTIONS(3863),
    [anon_sym_gt] = ACTIONS(3863),
    [anon_sym_isa] = ACTIONS(3865),
    [anon_sym_PLUS_PLUS] = ACTIONS(3867),
    [anon_sym_DASH_DASH] = ACTIONS(3867),
    [anon_sym_QMARK] = ACTIONS(3869),
    [anon_sym_EQ_GT] = ACTIONS(4000),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2416] = {
    [sym_heredoc_content] = STATE(2416),
    [anon_sym_EQ] = ACTIONS(3823),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3825),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3825),
    [anon_sym_COMMA] = ACTIONS(4002),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3829),
    [anon_sym_DASH_GT] = ACTIONS(3831),
    [anon_sym_PERCENT] = ACTIONS(3833),
    [anon_sym_GT] = ACTIONS(3835),
    [anon_sym_LT_LT] = ACTIONS(3837),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3825),
    [anon_sym_PLUS_EQ] = ACTIONS(3825),
    [anon_sym_DASH_EQ] = ACTIONS(3825),
    [anon_sym_DOT_EQ] = ACTIONS(3825),
    [anon_sym_STAR_EQ] = ACTIONS(3825),
    [anon_sym_SLASH_EQ] = ACTIONS(3825),
    [anon_sym_PERCENT_EQ] = ACTIONS(3825),
    [anon_sym_x_EQ] = ACTIONS(3825),
    [anon_sym_AMP_EQ] = ACTIONS(3825),
    [anon_sym_PIPE_EQ] = ACTIONS(3825),
    [anon_sym_CARET_EQ] = ACTIONS(3825),
    [anon_sym_LT_LT_EQ] = ACTIONS(3825),
    [anon_sym_GT_GT_EQ] = ACTIONS(3825),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3825),
    [anon_sym_DOT_DOT] = ACTIONS(3839),
    [anon_sym_STAR_STAR] = ACTIONS(3841),
    [anon_sym_PIPE_PIPE] = ACTIONS(3843),
    [anon_sym_SLASH_SLASH] = ACTIONS(3843),
    [anon_sym_CARET_CARET] = ACTIONS(3845),
    [anon_sym_AMP_AMP] = ACTIONS(3847),
    [anon_sym_PIPE] = ACTIONS(3849),
    [anon_sym_CARET] = ACTIONS(3849),
    [anon_sym_AMP] = ACTIONS(3851),
    [anon_sym_GT_GT2] = ACTIONS(3837),
    [anon_sym_PLUS] = ACTIONS(3853),
    [anon_sym_DASH] = ACTIONS(3853),
    [anon_sym_DOT] = ACTIONS(3853),
    [anon_sym_STAR] = ACTIONS(3833),
    [anon_sym_SLASH] = ACTIONS(3833),
    [anon_sym_x] = ACTIONS(3833),
    [anon_sym_EQ_TILDE] = ACTIONS(3855),
    [anon_sym_BANG_TILDE] = ACTIONS(3855),
    [anon_sym_EQ_EQ] = ACTIONS(3857),
    [anon_sym_BANG_EQ] = ACTIONS(3859),
    [anon_sym_eq] = ACTIONS(3857),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3859),
    [anon_sym_equ] = ACTIONS(3859),
    [anon_sym_eqr] = ACTIONS(3859),
    [anon_sym_ne] = ACTIONS(3859),
    [anon_sym_LT_EQ_GT] = ACTIONS(3861),
    [anon_sym_cmp] = ACTIONS(3861),
    [anon_sym_TILDE_TILDE] = ACTIONS(3861),
    [anon_sym_LT] = ACTIONS(3835),
    [anon_sym_LT_EQ] = ACTIONS(3835),
    [anon_sym_GT_EQ] = ACTIONS(3863),
    [anon_sym_lt] = ACTIONS(3863),
    [anon_sym_le] = ACTIONS(3863),
    [anon_sym_ge] = ACTIONS(3863),
    [anon_sym_gt] = ACTIONS(3863),
    [anon_sym_isa] = ACTIONS(3865),
    [anon_sym_PLUS_PLUS] = ACTIONS(3867),
    [anon_sym_DASH_DASH] = ACTIONS(3867),
    [anon_sym_QMARK] = ACTIONS(3869),
    [anon_sym_EQ_GT] = ACTIONS(4002),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2417] = {
    [sym_heredoc_content] = STATE(2417),
    [anon_sym_EQ] = ACTIONS(3823),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3825),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3825),
    [anon_sym_COMMA] = ACTIONS(4004),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3829),
    [anon_sym_DASH_GT] = ACTIONS(3831),
    [anon_sym_PERCENT] = ACTIONS(3833),
    [anon_sym_GT] = ACTIONS(3835),
    [anon_sym_LT_LT] = ACTIONS(3837),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3825),
    [anon_sym_PLUS_EQ] = ACTIONS(3825),
    [anon_sym_DASH_EQ] = ACTIONS(3825),
    [anon_sym_DOT_EQ] = ACTIONS(3825),
    [anon_sym_STAR_EQ] = ACTIONS(3825),
    [anon_sym_SLASH_EQ] = ACTIONS(3825),
    [anon_sym_PERCENT_EQ] = ACTIONS(3825),
    [anon_sym_x_EQ] = ACTIONS(3825),
    [anon_sym_AMP_EQ] = ACTIONS(3825),
    [anon_sym_PIPE_EQ] = ACTIONS(3825),
    [anon_sym_CARET_EQ] = ACTIONS(3825),
    [anon_sym_LT_LT_EQ] = ACTIONS(3825),
    [anon_sym_GT_GT_EQ] = ACTIONS(3825),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3825),
    [anon_sym_DOT_DOT] = ACTIONS(3839),
    [anon_sym_STAR_STAR] = ACTIONS(3841),
    [anon_sym_PIPE_PIPE] = ACTIONS(3843),
    [anon_sym_SLASH_SLASH] = ACTIONS(3843),
    [anon_sym_CARET_CARET] = ACTIONS(3845),
    [anon_sym_AMP_AMP] = ACTIONS(3847),
    [anon_sym_PIPE] = ACTIONS(3849),
    [anon_sym_CARET] = ACTIONS(3849),
    [anon_sym_AMP] = ACTIONS(3851),
    [anon_sym_GT_GT2] = ACTIONS(3837),
    [anon_sym_PLUS] = ACTIONS(3853),
    [anon_sym_DASH] = ACTIONS(3853),
    [anon_sym_DOT] = ACTIONS(3853),
    [anon_sym_STAR] = ACTIONS(3833),
    [anon_sym_SLASH] = ACTIONS(3833),
    [anon_sym_x] = ACTIONS(3833),
    [anon_sym_EQ_TILDE] = ACTIONS(3855),
    [anon_sym_BANG_TILDE] = ACTIONS(3855),
    [anon_sym_EQ_EQ] = ACTIONS(3857),
    [anon_sym_BANG_EQ] = ACTIONS(3859),
    [anon_sym_eq] = ACTIONS(3857),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3859),
    [anon_sym_equ] = ACTIONS(3859),
    [anon_sym_eqr] = ACTIONS(3859),
    [anon_sym_ne] = ACTIONS(3859),
    [anon_sym_LT_EQ_GT] = ACTIONS(3861),
    [anon_sym_cmp] = ACTIONS(3861),
    [anon_sym_TILDE_TILDE] = ACTIONS(3861),
    [anon_sym_LT] = ACTIONS(3835),
    [anon_sym_LT_EQ] = ACTIONS(3835),
    [anon_sym_GT_EQ] = ACTIONS(3863),
    [anon_sym_lt] = ACTIONS(3863),
    [anon_sym_le] = ACTIONS(3863),
    [anon_sym_ge] = ACTIONS(3863),
    [anon_sym_gt] = ACTIONS(3863),
    [anon_sym_isa] = ACTIONS(3865),
    [anon_sym_PLUS_PLUS] = ACTIONS(3867),
    [anon_sym_DASH_DASH] = ACTIONS(3867),
    [anon_sym_QMARK] = ACTIONS(3869),
    [anon_sym_EQ_GT] = ACTIONS(4004),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2418] = {
    [sym_heredoc_content] = STATE(2418),
    [anon_sym_EQ] = ACTIONS(3823),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3825),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3825),
    [anon_sym_COMMA] = ACTIONS(4006),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3829),
    [anon_sym_DASH_GT] = ACTIONS(3831),
    [anon_sym_PERCENT] = ACTIONS(3833),
    [anon_sym_GT] = ACTIONS(3835),
    [anon_sym_LT_LT] = ACTIONS(3837),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3825),
    [anon_sym_PLUS_EQ] = ACTIONS(3825),
    [anon_sym_DASH_EQ] = ACTIONS(3825),
    [anon_sym_DOT_EQ] = ACTIONS(3825),
    [anon_sym_STAR_EQ] = ACTIONS(3825),
    [anon_sym_SLASH_EQ] = ACTIONS(3825),
    [anon_sym_PERCENT_EQ] = ACTIONS(3825),
    [anon_sym_x_EQ] = ACTIONS(3825),
    [anon_sym_AMP_EQ] = ACTIONS(3825),
    [anon_sym_PIPE_EQ] = ACTIONS(3825),
    [anon_sym_CARET_EQ] = ACTIONS(3825),
    [anon_sym_LT_LT_EQ] = ACTIONS(3825),
    [anon_sym_GT_GT_EQ] = ACTIONS(3825),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3825),
    [anon_sym_DOT_DOT] = ACTIONS(3839),
    [anon_sym_STAR_STAR] = ACTIONS(3841),
    [anon_sym_PIPE_PIPE] = ACTIONS(3843),
    [anon_sym_SLASH_SLASH] = ACTIONS(3843),
    [anon_sym_CARET_CARET] = ACTIONS(3845),
    [anon_sym_AMP_AMP] = ACTIONS(3847),
    [anon_sym_PIPE] = ACTIONS(3849),
    [anon_sym_CARET] = ACTIONS(3849),
    [anon_sym_AMP] = ACTIONS(3851),
    [anon_sym_GT_GT2] = ACTIONS(3837),
    [anon_sym_PLUS] = ACTIONS(3853),
    [anon_sym_DASH] = ACTIONS(3853),
    [anon_sym_DOT] = ACTIONS(3853),
    [anon_sym_STAR] = ACTIONS(3833),
    [anon_sym_SLASH] = ACTIONS(3833),
    [anon_sym_x] = ACTIONS(3833),
    [anon_sym_EQ_TILDE] = ACTIONS(3855),
    [anon_sym_BANG_TILDE] = ACTIONS(3855),
    [anon_sym_EQ_EQ] = ACTIONS(3857),
    [anon_sym_BANG_EQ] = ACTIONS(3859),
    [anon_sym_eq] = ACTIONS(3857),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3859),
    [anon_sym_equ] = ACTIONS(3859),
    [anon_sym_eqr] = ACTIONS(3859),
    [anon_sym_ne] = ACTIONS(3859),
    [anon_sym_LT_EQ_GT] = ACTIONS(3861),
    [anon_sym_cmp] = ACTIONS(3861),
    [anon_sym_TILDE_TILDE] = ACTIONS(3861),
    [anon_sym_LT] = ACTIONS(3835),
    [anon_sym_LT_EQ] = ACTIONS(3835),
    [anon_sym_GT_EQ] = ACTIONS(3863),
    [anon_sym_lt] = ACTIONS(3863),
    [anon_sym_le] = ACTIONS(3863),
    [anon_sym_ge] = ACTIONS(3863),
    [anon_sym_gt] = ACTIONS(3863),
    [anon_sym_isa] = ACTIONS(3865),
    [anon_sym_PLUS_PLUS] = ACTIONS(3867),
    [anon_sym_DASH_DASH] = ACTIONS(3867),
    [anon_sym_QMARK] = ACTIONS(3869),
    [anon_sym_EQ_GT] = ACTIONS(4006),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2419] = {
    [sym_heredoc_content] = STATE(2419),
    [anon_sym_EQ] = ACTIONS(3823),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3825),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3825),
    [anon_sym_COMMA] = ACTIONS(2845),
    [anon_sym_RPAREN] = ACTIONS(2845),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3829),
    [anon_sym_DASH_GT] = ACTIONS(3831),
    [anon_sym_PERCENT] = ACTIONS(3833),
    [anon_sym_GT] = ACTIONS(3835),
    [anon_sym_LT_LT] = ACTIONS(3837),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3825),
    [anon_sym_PLUS_EQ] = ACTIONS(3825),
    [anon_sym_DASH_EQ] = ACTIONS(3825),
    [anon_sym_DOT_EQ] = ACTIONS(3825),
    [anon_sym_STAR_EQ] = ACTIONS(3825),
    [anon_sym_SLASH_EQ] = ACTIONS(3825),
    [anon_sym_PERCENT_EQ] = ACTIONS(3825),
    [anon_sym_x_EQ] = ACTIONS(3825),
    [anon_sym_AMP_EQ] = ACTIONS(3825),
    [anon_sym_PIPE_EQ] = ACTIONS(3825),
    [anon_sym_CARET_EQ] = ACTIONS(3825),
    [anon_sym_LT_LT_EQ] = ACTIONS(3825),
    [anon_sym_GT_GT_EQ] = ACTIONS(3825),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3825),
    [anon_sym_DOT_DOT] = ACTIONS(3839),
    [anon_sym_STAR_STAR] = ACTIONS(3841),
    [anon_sym_PIPE_PIPE] = ACTIONS(3843),
    [anon_sym_SLASH_SLASH] = ACTIONS(3843),
    [anon_sym_CARET_CARET] = ACTIONS(3845),
    [anon_sym_AMP_AMP] = ACTIONS(3847),
    [anon_sym_PIPE] = ACTIONS(3849),
    [anon_sym_CARET] = ACTIONS(3849),
    [anon_sym_AMP] = ACTIONS(3851),
    [anon_sym_GT_GT2] = ACTIONS(3837),
    [anon_sym_PLUS] = ACTIONS(3853),
    [anon_sym_DASH] = ACTIONS(3853),
    [anon_sym_DOT] = ACTIONS(3853),
    [anon_sym_STAR] = ACTIONS(3833),
    [anon_sym_SLASH] = ACTIONS(3833),
    [anon_sym_x] = ACTIONS(3833),
    [anon_sym_EQ_TILDE] = ACTIONS(3855),
    [anon_sym_BANG_TILDE] = ACTIONS(3855),
    [anon_sym_EQ_EQ] = ACTIONS(3857),
    [anon_sym_BANG_EQ] = ACTIONS(3859),
    [anon_sym_eq] = ACTIONS(3857),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3859),
    [anon_sym_equ] = ACTIONS(3859),
    [anon_sym_eqr] = ACTIONS(3859),
    [anon_sym_ne] = ACTIONS(3859),
    [anon_sym_LT_EQ_GT] = ACTIONS(3861),
    [anon_sym_cmp] = ACTIONS(3861),
    [anon_sym_TILDE_TILDE] = ACTIONS(3861),
    [anon_sym_LT] = ACTIONS(3835),
    [anon_sym_LT_EQ] = ACTIONS(3835),
    [anon_sym_GT_EQ] = ACTIONS(3863),
    [anon_sym_lt] = ACTIONS(3863),
    [anon_sym_le] = ACTIONS(3863),
    [anon_sym_ge] = ACTIONS(3863),
    [anon_sym_gt] = ACTIONS(3863),
    [anon_sym_isa] = ACTIONS(3865),
    [anon_sym_PLUS_PLUS] = ACTIONS(3867),
    [anon_sym_DASH_DASH] = ACTIONS(3867),
    [anon_sym_QMARK] = ACTIONS(3869),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2420] = {
    [sym_heredoc_content] = STATE(2420),
    [anon_sym_COLON] = ACTIONS(4008),
    [anon_sym_EQ] = ACTIONS(3929),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3931),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3931),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3933),
    [anon_sym_DASH_GT] = ACTIONS(3831),
    [anon_sym_PERCENT] = ACTIONS(3935),
    [anon_sym_GT] = ACTIONS(3937),
    [anon_sym_LT_LT] = ACTIONS(3939),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3931),
    [anon_sym_PLUS_EQ] = ACTIONS(3931),
    [anon_sym_DASH_EQ] = ACTIONS(3931),
    [anon_sym_DOT_EQ] = ACTIONS(3931),
    [anon_sym_STAR_EQ] = ACTIONS(3931),
    [anon_sym_SLASH_EQ] = ACTIONS(3931),
    [anon_sym_PERCENT_EQ] = ACTIONS(3931),
    [anon_sym_x_EQ] = ACTIONS(3931),
    [anon_sym_AMP_EQ] = ACTIONS(3931),
    [anon_sym_PIPE_EQ] = ACTIONS(3931),
    [anon_sym_CARET_EQ] = ACTIONS(3931),
    [anon_sym_LT_LT_EQ] = ACTIONS(3931),
    [anon_sym_GT_GT_EQ] = ACTIONS(3931),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3931),
    [anon_sym_DOT_DOT] = ACTIONS(3941),
    [anon_sym_STAR_STAR] = ACTIONS(3943),
    [anon_sym_PIPE_PIPE] = ACTIONS(3945),
    [anon_sym_SLASH_SLASH] = ACTIONS(3945),
    [anon_sym_CARET_CARET] = ACTIONS(3947),
    [anon_sym_AMP_AMP] = ACTIONS(3949),
    [anon_sym_PIPE] = ACTIONS(3951),
    [anon_sym_CARET] = ACTIONS(3951),
    [anon_sym_AMP] = ACTIONS(3953),
    [anon_sym_GT_GT2] = ACTIONS(3939),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_DOT] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(3935),
    [anon_sym_SLASH] = ACTIONS(3935),
    [anon_sym_x] = ACTIONS(3935),
    [anon_sym_EQ_TILDE] = ACTIONS(3957),
    [anon_sym_BANG_TILDE] = ACTIONS(3957),
    [anon_sym_EQ_EQ] = ACTIONS(3959),
    [anon_sym_BANG_EQ] = ACTIONS(3961),
    [anon_sym_eq] = ACTIONS(3959),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3961),
    [anon_sym_equ] = ACTIONS(3961),
    [anon_sym_eqr] = ACTIONS(3961),
    [anon_sym_ne] = ACTIONS(3961),
    [anon_sym_LT_EQ_GT] = ACTIONS(3963),
    [anon_sym_cmp] = ACTIONS(3963),
    [anon_sym_TILDE_TILDE] = ACTIONS(3963),
    [anon_sym_LT] = ACTIONS(3937),
    [anon_sym_LT_EQ] = ACTIONS(3937),
    [anon_sym_GT_EQ] = ACTIONS(3965),
    [anon_sym_lt] = ACTIONS(3965),
    [anon_sym_le] = ACTIONS(3965),
    [anon_sym_ge] = ACTIONS(3965),
    [anon_sym_gt] = ACTIONS(3965),
    [anon_sym_isa] = ACTIONS(3967),
    [anon_sym_PLUS_PLUS] = ACTIONS(3867),
    [anon_sym_DASH_DASH] = ACTIONS(3867),
    [anon_sym_QMARK] = ACTIONS(3969),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2421] = {
    [sym_heredoc_content] = STATE(2421),
    [anon_sym_COLON] = ACTIONS(4010),
    [anon_sym_EQ] = ACTIONS(3929),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3931),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3931),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3933),
    [anon_sym_DASH_GT] = ACTIONS(3831),
    [anon_sym_PERCENT] = ACTIONS(3935),
    [anon_sym_GT] = ACTIONS(3937),
    [anon_sym_LT_LT] = ACTIONS(3939),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3931),
    [anon_sym_PLUS_EQ] = ACTIONS(3931),
    [anon_sym_DASH_EQ] = ACTIONS(3931),
    [anon_sym_DOT_EQ] = ACTIONS(3931),
    [anon_sym_STAR_EQ] = ACTIONS(3931),
    [anon_sym_SLASH_EQ] = ACTIONS(3931),
    [anon_sym_PERCENT_EQ] = ACTIONS(3931),
    [anon_sym_x_EQ] = ACTIONS(3931),
    [anon_sym_AMP_EQ] = ACTIONS(3931),
    [anon_sym_PIPE_EQ] = ACTIONS(3931),
    [anon_sym_CARET_EQ] = ACTIONS(3931),
    [anon_sym_LT_LT_EQ] = ACTIONS(3931),
    [anon_sym_GT_GT_EQ] = ACTIONS(3931),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3931),
    [anon_sym_DOT_DOT] = ACTIONS(3941),
    [anon_sym_STAR_STAR] = ACTIONS(3943),
    [anon_sym_PIPE_PIPE] = ACTIONS(3945),
    [anon_sym_SLASH_SLASH] = ACTIONS(3945),
    [anon_sym_CARET_CARET] = ACTIONS(3947),
    [anon_sym_AMP_AMP] = ACTIONS(3949),
    [anon_sym_PIPE] = ACTIONS(3951),
    [anon_sym_CARET] = ACTIONS(3951),
    [anon_sym_AMP] = ACTIONS(3953),
    [anon_sym_GT_GT2] = ACTIONS(3939),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_DOT] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(3935),
    [anon_sym_SLASH] = ACTIONS(3935),
    [anon_sym_x] = ACTIONS(3935),
    [anon_sym_EQ_TILDE] = ACTIONS(3957),
    [anon_sym_BANG_TILDE] = ACTIONS(3957),
    [anon_sym_EQ_EQ] = ACTIONS(3959),
    [anon_sym_BANG_EQ] = ACTIONS(3961),
    [anon_sym_eq] = ACTIONS(3959),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3961),
    [anon_sym_equ] = ACTIONS(3961),
    [anon_sym_eqr] = ACTIONS(3961),
    [anon_sym_ne] = ACTIONS(3961),
    [anon_sym_LT_EQ_GT] = ACTIONS(3963),
    [anon_sym_cmp] = ACTIONS(3963),
    [anon_sym_TILDE_TILDE] = ACTIONS(3963),
    [anon_sym_LT] = ACTIONS(3937),
    [anon_sym_LT_EQ] = ACTIONS(3937),
    [anon_sym_GT_EQ] = ACTIONS(3965),
    [anon_sym_lt] = ACTIONS(3965),
    [anon_sym_le] = ACTIONS(3965),
    [anon_sym_ge] = ACTIONS(3965),
    [anon_sym_gt] = ACTIONS(3965),
    [anon_sym_isa] = ACTIONS(3967),
    [anon_sym_PLUS_PLUS] = ACTIONS(3867),
    [anon_sym_DASH_DASH] = ACTIONS(3867),
    [anon_sym_QMARK] = ACTIONS(3969),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2422] = {
    [sym_heredoc_content] = STATE(2422),
    [anon_sym_COLON] = ACTIONS(4012),
    [anon_sym_EQ] = ACTIONS(3929),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3931),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3931),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3933),
    [anon_sym_DASH_GT] = ACTIONS(3831),
    [anon_sym_PERCENT] = ACTIONS(3935),
    [anon_sym_GT] = ACTIONS(3937),
    [anon_sym_LT_LT] = ACTIONS(3939),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3931),
    [anon_sym_PLUS_EQ] = ACTIONS(3931),
    [anon_sym_DASH_EQ] = ACTIONS(3931),
    [anon_sym_DOT_EQ] = ACTIONS(3931),
    [anon_sym_STAR_EQ] = ACTIONS(3931),
    [anon_sym_SLASH_EQ] = ACTIONS(3931),
    [anon_sym_PERCENT_EQ] = ACTIONS(3931),
    [anon_sym_x_EQ] = ACTIONS(3931),
    [anon_sym_AMP_EQ] = ACTIONS(3931),
    [anon_sym_PIPE_EQ] = ACTIONS(3931),
    [anon_sym_CARET_EQ] = ACTIONS(3931),
    [anon_sym_LT_LT_EQ] = ACTIONS(3931),
    [anon_sym_GT_GT_EQ] = ACTIONS(3931),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3931),
    [anon_sym_DOT_DOT] = ACTIONS(3941),
    [anon_sym_STAR_STAR] = ACTIONS(3943),
    [anon_sym_PIPE_PIPE] = ACTIONS(3945),
    [anon_sym_SLASH_SLASH] = ACTIONS(3945),
    [anon_sym_CARET_CARET] = ACTIONS(3947),
    [anon_sym_AMP_AMP] = ACTIONS(3949),
    [anon_sym_PIPE] = ACTIONS(3951),
    [anon_sym_CARET] = ACTIONS(3951),
    [anon_sym_AMP] = ACTIONS(3953),
    [anon_sym_GT_GT2] = ACTIONS(3939),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_DOT] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(3935),
    [anon_sym_SLASH] = ACTIONS(3935),
    [anon_sym_x] = ACTIONS(3935),
    [anon_sym_EQ_TILDE] = ACTIONS(3957),
    [anon_sym_BANG_TILDE] = ACTIONS(3957),
    [anon_sym_EQ_EQ] = ACTIONS(3959),
    [anon_sym_BANG_EQ] = ACTIONS(3961),
    [anon_sym_eq] = ACTIONS(3959),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3961),
    [anon_sym_equ] = ACTIONS(3961),
    [anon_sym_eqr] = ACTIONS(3961),
    [anon_sym_ne] = ACTIONS(3961),
    [anon_sym_LT_EQ_GT] = ACTIONS(3963),
    [anon_sym_cmp] = ACTIONS(3963),
    [anon_sym_TILDE_TILDE] = ACTIONS(3963),
    [anon_sym_LT] = ACTIONS(3937),
    [anon_sym_LT_EQ] = ACTIONS(3937),
    [anon_sym_GT_EQ] = ACTIONS(3965),
    [anon_sym_lt] = ACTIONS(3965),
    [anon_sym_le] = ACTIONS(3965),
    [anon_sym_ge] = ACTIONS(3965),
    [anon_sym_gt] = ACTIONS(3965),
    [anon_sym_isa] = ACTIONS(3967),
    [anon_sym_PLUS_PLUS] = ACTIONS(3867),
    [anon_sym_DASH_DASH] = ACTIONS(3867),
    [anon_sym_QMARK] = ACTIONS(3969),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2423] = {
    [sym_heredoc_content] = STATE(2423),
    [anon_sym_COLON] = ACTIONS(4014),
    [anon_sym_EQ] = ACTIONS(3929),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3931),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3931),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3933),
    [anon_sym_DASH_GT] = ACTIONS(3831),
    [anon_sym_PERCENT] = ACTIONS(3935),
    [anon_sym_GT] = ACTIONS(3937),
    [anon_sym_LT_LT] = ACTIONS(3939),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3931),
    [anon_sym_PLUS_EQ] = ACTIONS(3931),
    [anon_sym_DASH_EQ] = ACTIONS(3931),
    [anon_sym_DOT_EQ] = ACTIONS(3931),
    [anon_sym_STAR_EQ] = ACTIONS(3931),
    [anon_sym_SLASH_EQ] = ACTIONS(3931),
    [anon_sym_PERCENT_EQ] = ACTIONS(3931),
    [anon_sym_x_EQ] = ACTIONS(3931),
    [anon_sym_AMP_EQ] = ACTIONS(3931),
    [anon_sym_PIPE_EQ] = ACTIONS(3931),
    [anon_sym_CARET_EQ] = ACTIONS(3931),
    [anon_sym_LT_LT_EQ] = ACTIONS(3931),
    [anon_sym_GT_GT_EQ] = ACTIONS(3931),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3931),
    [anon_sym_DOT_DOT] = ACTIONS(3941),
    [anon_sym_STAR_STAR] = ACTIONS(3943),
    [anon_sym_PIPE_PIPE] = ACTIONS(3945),
    [anon_sym_SLASH_SLASH] = ACTIONS(3945),
    [anon_sym_CARET_CARET] = ACTIONS(3947),
    [anon_sym_AMP_AMP] = ACTIONS(3949),
    [anon_sym_PIPE] = ACTIONS(3951),
    [anon_sym_CARET] = ACTIONS(3951),
    [anon_sym_AMP] = ACTIONS(3953),
    [anon_sym_GT_GT2] = ACTIONS(3939),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_DOT] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(3935),
    [anon_sym_SLASH] = ACTIONS(3935),
    [anon_sym_x] = ACTIONS(3935),
    [anon_sym_EQ_TILDE] = ACTIONS(3957),
    [anon_sym_BANG_TILDE] = ACTIONS(3957),
    [anon_sym_EQ_EQ] = ACTIONS(3959),
    [anon_sym_BANG_EQ] = ACTIONS(3961),
    [anon_sym_eq] = ACTIONS(3959),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3961),
    [anon_sym_equ] = ACTIONS(3961),
    [anon_sym_eqr] = ACTIONS(3961),
    [anon_sym_ne] = ACTIONS(3961),
    [anon_sym_LT_EQ_GT] = ACTIONS(3963),
    [anon_sym_cmp] = ACTIONS(3963),
    [anon_sym_TILDE_TILDE] = ACTIONS(3963),
    [anon_sym_LT] = ACTIONS(3937),
    [anon_sym_LT_EQ] = ACTIONS(3937),
    [anon_sym_GT_EQ] = ACTIONS(3965),
    [anon_sym_lt] = ACTIONS(3965),
    [anon_sym_le] = ACTIONS(3965),
    [anon_sym_ge] = ACTIONS(3965),
    [anon_sym_gt] = ACTIONS(3965),
    [anon_sym_isa] = ACTIONS(3967),
    [anon_sym_PLUS_PLUS] = ACTIONS(3867),
    [anon_sym_DASH_DASH] = ACTIONS(3867),
    [anon_sym_QMARK] = ACTIONS(3969),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2424] = {
    [sym_heredoc_content] = STATE(2424),
    [anon_sym_COLON] = ACTIONS(4016),
    [anon_sym_EQ] = ACTIONS(3929),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3931),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3931),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3933),
    [anon_sym_DASH_GT] = ACTIONS(3831),
    [anon_sym_PERCENT] = ACTIONS(3935),
    [anon_sym_GT] = ACTIONS(3937),
    [anon_sym_LT_LT] = ACTIONS(3939),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3931),
    [anon_sym_PLUS_EQ] = ACTIONS(3931),
    [anon_sym_DASH_EQ] = ACTIONS(3931),
    [anon_sym_DOT_EQ] = ACTIONS(3931),
    [anon_sym_STAR_EQ] = ACTIONS(3931),
    [anon_sym_SLASH_EQ] = ACTIONS(3931),
    [anon_sym_PERCENT_EQ] = ACTIONS(3931),
    [anon_sym_x_EQ] = ACTIONS(3931),
    [anon_sym_AMP_EQ] = ACTIONS(3931),
    [anon_sym_PIPE_EQ] = ACTIONS(3931),
    [anon_sym_CARET_EQ] = ACTIONS(3931),
    [anon_sym_LT_LT_EQ] = ACTIONS(3931),
    [anon_sym_GT_GT_EQ] = ACTIONS(3931),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3931),
    [anon_sym_DOT_DOT] = ACTIONS(3941),
    [anon_sym_STAR_STAR] = ACTIONS(3943),
    [anon_sym_PIPE_PIPE] = ACTIONS(3945),
    [anon_sym_SLASH_SLASH] = ACTIONS(3945),
    [anon_sym_CARET_CARET] = ACTIONS(3947),
    [anon_sym_AMP_AMP] = ACTIONS(3949),
    [anon_sym_PIPE] = ACTIONS(3951),
    [anon_sym_CARET] = ACTIONS(3951),
    [anon_sym_AMP] = ACTIONS(3953),
    [anon_sym_GT_GT2] = ACTIONS(3939),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_DOT] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(3935),
    [anon_sym_SLASH] = ACTIONS(3935),
    [anon_sym_x] = ACTIONS(3935),
    [anon_sym_EQ_TILDE] = ACTIONS(3957),
    [anon_sym_BANG_TILDE] = ACTIONS(3957),
    [anon_sym_EQ_EQ] = ACTIONS(3959),
    [anon_sym_BANG_EQ] = ACTIONS(3961),
    [anon_sym_eq] = ACTIONS(3959),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3961),
    [anon_sym_equ] = ACTIONS(3961),
    [anon_sym_eqr] = ACTIONS(3961),
    [anon_sym_ne] = ACTIONS(3961),
    [anon_sym_LT_EQ_GT] = ACTIONS(3963),
    [anon_sym_cmp] = ACTIONS(3963),
    [anon_sym_TILDE_TILDE] = ACTIONS(3963),
    [anon_sym_LT] = ACTIONS(3937),
    [anon_sym_LT_EQ] = ACTIONS(3937),
    [anon_sym_GT_EQ] = ACTIONS(3965),
    [anon_sym_lt] = ACTIONS(3965),
    [anon_sym_le] = ACTIONS(3965),
    [anon_sym_ge] = ACTIONS(3965),
    [anon_sym_gt] = ACTIONS(3965),
    [anon_sym_isa] = ACTIONS(3967),
    [anon_sym_PLUS_PLUS] = ACTIONS(3867),
    [anon_sym_DASH_DASH] = ACTIONS(3867),
    [anon_sym_QMARK] = ACTIONS(3969),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2425] = {
    [sym_heredoc_content] = STATE(2425),
    [anon_sym_COLON] = ACTIONS(4018),
    [anon_sym_EQ] = ACTIONS(3929),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3931),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3931),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3933),
    [anon_sym_DASH_GT] = ACTIONS(3831),
    [anon_sym_PERCENT] = ACTIONS(3935),
    [anon_sym_GT] = ACTIONS(3937),
    [anon_sym_LT_LT] = ACTIONS(3939),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3931),
    [anon_sym_PLUS_EQ] = ACTIONS(3931),
    [anon_sym_DASH_EQ] = ACTIONS(3931),
    [anon_sym_DOT_EQ] = ACTIONS(3931),
    [anon_sym_STAR_EQ] = ACTIONS(3931),
    [anon_sym_SLASH_EQ] = ACTIONS(3931),
    [anon_sym_PERCENT_EQ] = ACTIONS(3931),
    [anon_sym_x_EQ] = ACTIONS(3931),
    [anon_sym_AMP_EQ] = ACTIONS(3931),
    [anon_sym_PIPE_EQ] = ACTIONS(3931),
    [anon_sym_CARET_EQ] = ACTIONS(3931),
    [anon_sym_LT_LT_EQ] = ACTIONS(3931),
    [anon_sym_GT_GT_EQ] = ACTIONS(3931),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3931),
    [anon_sym_DOT_DOT] = ACTIONS(3941),
    [anon_sym_STAR_STAR] = ACTIONS(3943),
    [anon_sym_PIPE_PIPE] = ACTIONS(3945),
    [anon_sym_SLASH_SLASH] = ACTIONS(3945),
    [anon_sym_CARET_CARET] = ACTIONS(3947),
    [anon_sym_AMP_AMP] = ACTIONS(3949),
    [anon_sym_PIPE] = ACTIONS(3951),
    [anon_sym_CARET] = ACTIONS(3951),
    [anon_sym_AMP] = ACTIONS(3953),
    [anon_sym_GT_GT2] = ACTIONS(3939),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_DOT] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(3935),
    [anon_sym_SLASH] = ACTIONS(3935),
    [anon_sym_x] = ACTIONS(3935),
    [anon_sym_EQ_TILDE] = ACTIONS(3957),
    [anon_sym_BANG_TILDE] = ACTIONS(3957),
    [anon_sym_EQ_EQ] = ACTIONS(3959),
    [anon_sym_BANG_EQ] = ACTIONS(3961),
    [anon_sym_eq] = ACTIONS(3959),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3961),
    [anon_sym_equ] = ACTIONS(3961),
    [anon_sym_eqr] = ACTIONS(3961),
    [anon_sym_ne] = ACTIONS(3961),
    [anon_sym_LT_EQ_GT] = ACTIONS(3963),
    [anon_sym_cmp] = ACTIONS(3963),
    [anon_sym_TILDE_TILDE] = ACTIONS(3963),
    [anon_sym_LT] = ACTIONS(3937),
    [anon_sym_LT_EQ] = ACTIONS(3937),
    [anon_sym_GT_EQ] = ACTIONS(3965),
    [anon_sym_lt] = ACTIONS(3965),
    [anon_sym_le] = ACTIONS(3965),
    [anon_sym_ge] = ACTIONS(3965),
    [anon_sym_gt] = ACTIONS(3965),
    [anon_sym_isa] = ACTIONS(3967),
    [anon_sym_PLUS_PLUS] = ACTIONS(3867),
    [anon_sym_DASH_DASH] = ACTIONS(3867),
    [anon_sym_QMARK] = ACTIONS(3969),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2426] = {
    [sym_heredoc_content] = STATE(2426),
    [anon_sym_COLON] = ACTIONS(4020),
    [anon_sym_EQ] = ACTIONS(3929),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3931),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3931),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3933),
    [anon_sym_DASH_GT] = ACTIONS(3831),
    [anon_sym_PERCENT] = ACTIONS(3935),
    [anon_sym_GT] = ACTIONS(3937),
    [anon_sym_LT_LT] = ACTIONS(3939),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3931),
    [anon_sym_PLUS_EQ] = ACTIONS(3931),
    [anon_sym_DASH_EQ] = ACTIONS(3931),
    [anon_sym_DOT_EQ] = ACTIONS(3931),
    [anon_sym_STAR_EQ] = ACTIONS(3931),
    [anon_sym_SLASH_EQ] = ACTIONS(3931),
    [anon_sym_PERCENT_EQ] = ACTIONS(3931),
    [anon_sym_x_EQ] = ACTIONS(3931),
    [anon_sym_AMP_EQ] = ACTIONS(3931),
    [anon_sym_PIPE_EQ] = ACTIONS(3931),
    [anon_sym_CARET_EQ] = ACTIONS(3931),
    [anon_sym_LT_LT_EQ] = ACTIONS(3931),
    [anon_sym_GT_GT_EQ] = ACTIONS(3931),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3931),
    [anon_sym_DOT_DOT] = ACTIONS(3941),
    [anon_sym_STAR_STAR] = ACTIONS(3943),
    [anon_sym_PIPE_PIPE] = ACTIONS(3945),
    [anon_sym_SLASH_SLASH] = ACTIONS(3945),
    [anon_sym_CARET_CARET] = ACTIONS(3947),
    [anon_sym_AMP_AMP] = ACTIONS(3949),
    [anon_sym_PIPE] = ACTIONS(3951),
    [anon_sym_CARET] = ACTIONS(3951),
    [anon_sym_AMP] = ACTIONS(3953),
    [anon_sym_GT_GT2] = ACTIONS(3939),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_DOT] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(3935),
    [anon_sym_SLASH] = ACTIONS(3935),
    [anon_sym_x] = ACTIONS(3935),
    [anon_sym_EQ_TILDE] = ACTIONS(3957),
    [anon_sym_BANG_TILDE] = ACTIONS(3957),
    [anon_sym_EQ_EQ] = ACTIONS(3959),
    [anon_sym_BANG_EQ] = ACTIONS(3961),
    [anon_sym_eq] = ACTIONS(3959),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3961),
    [anon_sym_equ] = ACTIONS(3961),
    [anon_sym_eqr] = ACTIONS(3961),
    [anon_sym_ne] = ACTIONS(3961),
    [anon_sym_LT_EQ_GT] = ACTIONS(3963),
    [anon_sym_cmp] = ACTIONS(3963),
    [anon_sym_TILDE_TILDE] = ACTIONS(3963),
    [anon_sym_LT] = ACTIONS(3937),
    [anon_sym_LT_EQ] = ACTIONS(3937),
    [anon_sym_GT_EQ] = ACTIONS(3965),
    [anon_sym_lt] = ACTIONS(3965),
    [anon_sym_le] = ACTIONS(3965),
    [anon_sym_ge] = ACTIONS(3965),
    [anon_sym_gt] = ACTIONS(3965),
    [anon_sym_isa] = ACTIONS(3967),
    [anon_sym_PLUS_PLUS] = ACTIONS(3867),
    [anon_sym_DASH_DASH] = ACTIONS(3867),
    [anon_sym_QMARK] = ACTIONS(3969),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 21,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4024), 1,
      anon_sym_DOLLAR,
    ACTIONS(4026), 1,
      anon_sym_AT,
    ACTIONS(4028), 1,
      sym__quotelike_middle_close_quote,
    STATE(2427), 1,
      sym_heredoc_content,
    STATE(2515), 1,
      sym__quotelike_middle,
    STATE(2524), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2569), 1,
      sym_scalar,
    STATE(2726), 1,
      sym_array,
    STATE(2737), 1,
      sym__subscripted_interpolations,
    STATE(2740), 1,
      sym__array_element_interpolation,
    STATE(2745), 1,
      sym__hash_element_interpolation,
    STATE(2868), 1,
      sym__slice_expression_interpolation,
    STATE(2871), 1,
      sym__array_deref_interpolation,
    STATE(2872), 1,
      sym__nonvar_interpolation_fallbacks,
    STATE(3789), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2941), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4022), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(2864), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
    ACTIONS(4030), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [73] = 21,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4024), 1,
      anon_sym_DOLLAR,
    ACTIONS(4026), 1,
      anon_sym_AT,
    ACTIONS(4028), 1,
      sym__quotelike_middle_close_quote,
    STATE(2427), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2428), 1,
      sym_heredoc_content,
    STATE(2513), 1,
      sym__quotelike_middle,
    STATE(2569), 1,
      sym_scalar,
    STATE(2726), 1,
      sym_array,
    STATE(2737), 1,
      sym__subscripted_interpolations,
    STATE(2740), 1,
      sym__array_element_interpolation,
    STATE(2745), 1,
      sym__hash_element_interpolation,
    STATE(2868), 1,
      sym__slice_expression_interpolation,
    STATE(2871), 1,
      sym__array_deref_interpolation,
    STATE(2872), 1,
      sym__nonvar_interpolation_fallbacks,
    STATE(3789), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2941), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4022), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(2864), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
    ACTIONS(4030), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [146] = 21,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4024), 1,
      anon_sym_DOLLAR,
    ACTIONS(4026), 1,
      anon_sym_AT,
    ACTIONS(4028), 1,
      sym__quotelike_middle_close_quote,
    STATE(2429), 1,
      sym_heredoc_content,
    STATE(2430), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2489), 1,
      sym__quotelike_middle,
    STATE(2569), 1,
      sym_scalar,
    STATE(2726), 1,
      sym_array,
    STATE(2737), 1,
      sym__subscripted_interpolations,
    STATE(2740), 1,
      sym__array_element_interpolation,
    STATE(2745), 1,
      sym__hash_element_interpolation,
    STATE(2868), 1,
      sym__slice_expression_interpolation,
    STATE(2871), 1,
      sym__array_deref_interpolation,
    STATE(2872), 1,
      sym__nonvar_interpolation_fallbacks,
    STATE(3789), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2941), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4022), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(2864), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
    ACTIONS(4030), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [219] = 21,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4024), 1,
      anon_sym_DOLLAR,
    ACTIONS(4026), 1,
      anon_sym_AT,
    ACTIONS(4028), 1,
      sym__quotelike_middle_close_quote,
    STATE(2430), 1,
      sym_heredoc_content,
    STATE(2523), 1,
      sym__quotelike_middle,
    STATE(2524), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2569), 1,
      sym_scalar,
    STATE(2726), 1,
      sym_array,
    STATE(2737), 1,
      sym__subscripted_interpolations,
    STATE(2740), 1,
      sym__array_element_interpolation,
    STATE(2745), 1,
      sym__hash_element_interpolation,
    STATE(2868), 1,
      sym__slice_expression_interpolation,
    STATE(2871), 1,
      sym__array_deref_interpolation,
    STATE(2872), 1,
      sym__nonvar_interpolation_fallbacks,
    STATE(3789), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2941), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4022), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(2864), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
    ACTIONS(4030), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [292] = 21,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4024), 1,
      anon_sym_DOLLAR,
    ACTIONS(4026), 1,
      anon_sym_AT,
    ACTIONS(4028), 1,
      sym__quotelike_middle_close_quote,
    STATE(2431), 1,
      sym_heredoc_content,
    STATE(2432), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2491), 1,
      sym__quotelike_middle,
    STATE(2569), 1,
      sym_scalar,
    STATE(2726), 1,
      sym_array,
    STATE(2737), 1,
      sym__subscripted_interpolations,
    STATE(2740), 1,
      sym__array_element_interpolation,
    STATE(2745), 1,
      sym__hash_element_interpolation,
    STATE(2868), 1,
      sym__slice_expression_interpolation,
    STATE(2871), 1,
      sym__array_deref_interpolation,
    STATE(2872), 1,
      sym__nonvar_interpolation_fallbacks,
    STATE(3789), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2941), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4022), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(2864), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
    ACTIONS(4030), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [365] = 21,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4024), 1,
      anon_sym_DOLLAR,
    ACTIONS(4026), 1,
      anon_sym_AT,
    ACTIONS(4028), 1,
      sym__quotelike_middle_close_quote,
    STATE(2432), 1,
      sym_heredoc_content,
    STATE(2524), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2533), 1,
      sym__quotelike_middle,
    STATE(2569), 1,
      sym_scalar,
    STATE(2726), 1,
      sym_array,
    STATE(2737), 1,
      sym__subscripted_interpolations,
    STATE(2740), 1,
      sym__array_element_interpolation,
    STATE(2745), 1,
      sym__hash_element_interpolation,
    STATE(2868), 1,
      sym__slice_expression_interpolation,
    STATE(2871), 1,
      sym__array_deref_interpolation,
    STATE(2872), 1,
      sym__nonvar_interpolation_fallbacks,
    STATE(3789), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2941), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4022), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(2864), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
    ACTIONS(4030), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [438] = 21,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4024), 1,
      anon_sym_DOLLAR,
    ACTIONS(4026), 1,
      anon_sym_AT,
    ACTIONS(4028), 1,
      sym__quotelike_middle_close_quote,
    STATE(2433), 1,
      sym_heredoc_content,
    STATE(2434), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2471), 1,
      sym__quotelike_middle,
    STATE(2569), 1,
      sym_scalar,
    STATE(2726), 1,
      sym_array,
    STATE(2737), 1,
      sym__subscripted_interpolations,
    STATE(2740), 1,
      sym__array_element_interpolation,
    STATE(2745), 1,
      sym__hash_element_interpolation,
    STATE(2868), 1,
      sym__slice_expression_interpolation,
    STATE(2871), 1,
      sym__array_deref_interpolation,
    STATE(2872), 1,
      sym__nonvar_interpolation_fallbacks,
    STATE(3789), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2941), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4022), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(2864), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
    ACTIONS(4030), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [511] = 21,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4024), 1,
      anon_sym_DOLLAR,
    ACTIONS(4026), 1,
      anon_sym_AT,
    ACTIONS(4028), 1,
      sym__quotelike_middle_close_quote,
    STATE(2434), 1,
      sym_heredoc_content,
    STATE(2473), 1,
      sym__quotelike_middle,
    STATE(2524), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2569), 1,
      sym_scalar,
    STATE(2726), 1,
      sym_array,
    STATE(2737), 1,
      sym__subscripted_interpolations,
    STATE(2740), 1,
      sym__array_element_interpolation,
    STATE(2745), 1,
      sym__hash_element_interpolation,
    STATE(2868), 1,
      sym__slice_expression_interpolation,
    STATE(2871), 1,
      sym__array_deref_interpolation,
    STATE(2872), 1,
      sym__nonvar_interpolation_fallbacks,
    STATE(3789), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2941), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4022), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(2864), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
    ACTIONS(4030), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [584] = 21,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4024), 1,
      anon_sym_DOLLAR,
    ACTIONS(4026), 1,
      anon_sym_AT,
    ACTIONS(4028), 1,
      sym__quotelike_middle_close_quote,
    STATE(2435), 1,
      sym_heredoc_content,
    STATE(2436), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2493), 1,
      sym__quotelike_middle,
    STATE(2569), 1,
      sym_scalar,
    STATE(2726), 1,
      sym_array,
    STATE(2737), 1,
      sym__subscripted_interpolations,
    STATE(2740), 1,
      sym__array_element_interpolation,
    STATE(2745), 1,
      sym__hash_element_interpolation,
    STATE(2868), 1,
      sym__slice_expression_interpolation,
    STATE(2871), 1,
      sym__array_deref_interpolation,
    STATE(2872), 1,
      sym__nonvar_interpolation_fallbacks,
    STATE(3789), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2941), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4022), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(2864), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
    ACTIONS(4030), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [657] = 21,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4024), 1,
      anon_sym_DOLLAR,
    ACTIONS(4026), 1,
      anon_sym_AT,
    ACTIONS(4028), 1,
      sym__quotelike_middle_close_quote,
    STATE(2436), 1,
      sym_heredoc_content,
    STATE(2495), 1,
      sym__quotelike_middle,
    STATE(2524), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2569), 1,
      sym_scalar,
    STATE(2726), 1,
      sym_array,
    STATE(2737), 1,
      sym__subscripted_interpolations,
    STATE(2740), 1,
      sym__array_element_interpolation,
    STATE(2745), 1,
      sym__hash_element_interpolation,
    STATE(2868), 1,
      sym__slice_expression_interpolation,
    STATE(2871), 1,
      sym__array_deref_interpolation,
    STATE(2872), 1,
      sym__nonvar_interpolation_fallbacks,
    STATE(3789), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2941), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4022), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(2864), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
    ACTIONS(4030), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [730] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_DOLLAR,
    ACTIONS(4036), 1,
      anon_sym_AT,
    ACTIONS(4038), 1,
      sym__quotelike_end_quote,
    STATE(2025), 1,
      sym__quotelike_end,
    STATE(2437), 1,
      sym_heredoc_content,
    STATE(2517), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2568), 1,
      sym_scalar,
    STATE(2667), 1,
      sym__array_element_interpolation,
    STATE(2669), 1,
      sym__hash_element_interpolation,
    STATE(2693), 1,
      sym_array,
    STATE(2711), 1,
      sym__subscripted_interpolations,
    STATE(2879), 1,
      sym__slice_expression_interpolation,
    STATE(2881), 1,
      sym__array_deref_interpolation,
    STATE(2882), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2894), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4032), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(2874), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
    ACTIONS(4040), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [800] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_DOLLAR,
    ACTIONS(4036), 1,
      anon_sym_AT,
    ACTIONS(4042), 1,
      sym__quotelike_end_quote,
    STATE(1236), 1,
      sym__quotelike_end,
    STATE(2438), 1,
      sym_heredoc_content,
    STATE(2461), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2568), 1,
      sym_scalar,
    STATE(2667), 1,
      sym__array_element_interpolation,
    STATE(2669), 1,
      sym__hash_element_interpolation,
    STATE(2693), 1,
      sym_array,
    STATE(2711), 1,
      sym__subscripted_interpolations,
    STATE(2879), 1,
      sym__slice_expression_interpolation,
    STATE(2881), 1,
      sym__array_deref_interpolation,
    STATE(2882), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2894), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4032), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(2874), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
    ACTIONS(4040), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [870] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_DOLLAR,
    ACTIONS(4036), 1,
      anon_sym_AT,
    ACTIONS(4044), 1,
      sym__quotelike_end_quote,
    STATE(1566), 1,
      sym__quotelike_end,
    STATE(2439), 1,
      sym_heredoc_content,
    STATE(2517), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2568), 1,
      sym_scalar,
    STATE(2667), 1,
      sym__array_element_interpolation,
    STATE(2669), 1,
      sym__hash_element_interpolation,
    STATE(2693), 1,
      sym_array,
    STATE(2711), 1,
      sym__subscripted_interpolations,
    STATE(2879), 1,
      sym__slice_expression_interpolation,
    STATE(2881), 1,
      sym__array_deref_interpolation,
    STATE(2882), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2894), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4032), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(2874), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
    ACTIONS(4040), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [940] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_DOLLAR,
    ACTIONS(4036), 1,
      anon_sym_AT,
    ACTIONS(4046), 1,
      sym__quotelike_end_quote,
    STATE(1567), 1,
      sym__quotelike_end,
    STATE(2440), 1,
      sym_heredoc_content,
    STATE(2517), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2568), 1,
      sym_scalar,
    STATE(2667), 1,
      sym__array_element_interpolation,
    STATE(2669), 1,
      sym__hash_element_interpolation,
    STATE(2693), 1,
      sym_array,
    STATE(2711), 1,
      sym__subscripted_interpolations,
    STATE(2879), 1,
      sym__slice_expression_interpolation,
    STATE(2881), 1,
      sym__array_deref_interpolation,
    STATE(2882), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2894), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4032), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(2874), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
    ACTIONS(4040), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [1010] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_DOLLAR,
    ACTIONS(4036), 1,
      anon_sym_AT,
    ACTIONS(4038), 1,
      sym__quotelike_end_quote,
    STATE(2017), 1,
      sym__quotelike_end,
    STATE(2437), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2441), 1,
      sym_heredoc_content,
    STATE(2568), 1,
      sym_scalar,
    STATE(2667), 1,
      sym__array_element_interpolation,
    STATE(2669), 1,
      sym__hash_element_interpolation,
    STATE(2693), 1,
      sym_array,
    STATE(2711), 1,
      sym__subscripted_interpolations,
    STATE(2879), 1,
      sym__slice_expression_interpolation,
    STATE(2881), 1,
      sym__array_deref_interpolation,
    STATE(2882), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2894), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4032), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(2874), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
    ACTIONS(4040), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [1080] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_DOLLAR,
    ACTIONS(4036), 1,
      anon_sym_AT,
    ACTIONS(4048), 1,
      sym__quotelike_end_quote,
    STATE(1997), 1,
      sym__quotelike_end,
    STATE(2442), 1,
      sym_heredoc_content,
    STATE(2445), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2568), 1,
      sym_scalar,
    STATE(2667), 1,
      sym__array_element_interpolation,
    STATE(2669), 1,
      sym__hash_element_interpolation,
    STATE(2693), 1,
      sym_array,
    STATE(2711), 1,
      sym__subscripted_interpolations,
    STATE(2879), 1,
      sym__slice_expression_interpolation,
    STATE(2881), 1,
      sym__array_deref_interpolation,
    STATE(2882), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2894), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4032), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(2874), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
    ACTIONS(4040), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [1150] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_DOLLAR,
    ACTIONS(4036), 1,
      anon_sym_AT,
    ACTIONS(4038), 1,
      sym__quotelike_end_quote,
    STATE(1998), 1,
      sym__quotelike_end,
    STATE(2443), 1,
      sym_heredoc_content,
    STATE(2446), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2568), 1,
      sym_scalar,
    STATE(2667), 1,
      sym__array_element_interpolation,
    STATE(2669), 1,
      sym__hash_element_interpolation,
    STATE(2693), 1,
      sym_array,
    STATE(2711), 1,
      sym__subscripted_interpolations,
    STATE(2879), 1,
      sym__slice_expression_interpolation,
    STATE(2881), 1,
      sym__array_deref_interpolation,
    STATE(2882), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2894), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4032), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(2874), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
    ACTIONS(4040), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [1220] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_DOLLAR,
    ACTIONS(4036), 1,
      anon_sym_AT,
    ACTIONS(4050), 1,
      sym__quotelike_end_quote,
    STATE(1273), 1,
      sym__quotelike_end,
    STATE(2444), 1,
      sym_heredoc_content,
    STATE(2460), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2568), 1,
      sym_scalar,
    STATE(2667), 1,
      sym__array_element_interpolation,
    STATE(2669), 1,
      sym__hash_element_interpolation,
    STATE(2693), 1,
      sym_array,
    STATE(2711), 1,
      sym__subscripted_interpolations,
    STATE(2879), 1,
      sym__slice_expression_interpolation,
    STATE(2881), 1,
      sym__array_deref_interpolation,
    STATE(2882), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2894), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4032), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(2874), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
    ACTIONS(4040), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [1290] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_DOLLAR,
    ACTIONS(4036), 1,
      anon_sym_AT,
    ACTIONS(4048), 1,
      sym__quotelike_end_quote,
    STATE(2022), 1,
      sym__quotelike_end,
    STATE(2445), 1,
      sym_heredoc_content,
    STATE(2517), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2568), 1,
      sym_scalar,
    STATE(2667), 1,
      sym__array_element_interpolation,
    STATE(2669), 1,
      sym__hash_element_interpolation,
    STATE(2693), 1,
      sym_array,
    STATE(2711), 1,
      sym__subscripted_interpolations,
    STATE(2879), 1,
      sym__slice_expression_interpolation,
    STATE(2881), 1,
      sym__array_deref_interpolation,
    STATE(2882), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2894), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4032), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(2874), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
    ACTIONS(4040), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [1360] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_DOLLAR,
    ACTIONS(4036), 1,
      anon_sym_AT,
    ACTIONS(4038), 1,
      sym__quotelike_end_quote,
    STATE(2023), 1,
      sym__quotelike_end,
    STATE(2446), 1,
      sym_heredoc_content,
    STATE(2517), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2568), 1,
      sym_scalar,
    STATE(2667), 1,
      sym__array_element_interpolation,
    STATE(2669), 1,
      sym__hash_element_interpolation,
    STATE(2693), 1,
      sym_array,
    STATE(2711), 1,
      sym__subscripted_interpolations,
    STATE(2879), 1,
      sym__slice_expression_interpolation,
    STATE(2881), 1,
      sym__array_deref_interpolation,
    STATE(2882), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2894), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4032), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(2874), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
    ACTIONS(4040), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [1430] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_DOLLAR,
    ACTIONS(4036), 1,
      anon_sym_AT,
    ACTIONS(4052), 1,
      sym__quotelike_end_quote,
    STATE(2070), 1,
      sym__quotelike_end,
    STATE(2447), 1,
      sym_heredoc_content,
    STATE(2451), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2568), 1,
      sym_scalar,
    STATE(2667), 1,
      sym__array_element_interpolation,
    STATE(2669), 1,
      sym__hash_element_interpolation,
    STATE(2693), 1,
      sym_array,
    STATE(2711), 1,
      sym__subscripted_interpolations,
    STATE(2879), 1,
      sym__slice_expression_interpolation,
    STATE(2881), 1,
      sym__array_deref_interpolation,
    STATE(2882), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2894), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4032), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(2874), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
    ACTIONS(4040), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [1500] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_DOLLAR,
    ACTIONS(4036), 1,
      anon_sym_AT,
    ACTIONS(4042), 1,
      sym__quotelike_end_quote,
    STATE(1239), 1,
      sym__quotelike_end,
    STATE(2448), 1,
      sym_heredoc_content,
    STATE(2462), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2568), 1,
      sym_scalar,
    STATE(2667), 1,
      sym__array_element_interpolation,
    STATE(2669), 1,
      sym__hash_element_interpolation,
    STATE(2693), 1,
      sym_array,
    STATE(2711), 1,
      sym__subscripted_interpolations,
    STATE(2879), 1,
      sym__slice_expression_interpolation,
    STATE(2881), 1,
      sym__array_deref_interpolation,
    STATE(2882), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2894), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4032), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(2874), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
    ACTIONS(4040), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [1570] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_DOLLAR,
    ACTIONS(4036), 1,
      anon_sym_AT,
    ACTIONS(4054), 1,
      sym__quotelike_end_quote,
    STATE(2091), 1,
      sym__quotelike_end,
    STATE(2449), 1,
      sym_heredoc_content,
    STATE(2452), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2568), 1,
      sym_scalar,
    STATE(2667), 1,
      sym__array_element_interpolation,
    STATE(2669), 1,
      sym__hash_element_interpolation,
    STATE(2693), 1,
      sym_array,
    STATE(2711), 1,
      sym__subscripted_interpolations,
    STATE(2879), 1,
      sym__slice_expression_interpolation,
    STATE(2881), 1,
      sym__array_deref_interpolation,
    STATE(2882), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2894), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4032), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(2874), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
    ACTIONS(4040), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [1640] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_DOLLAR,
    ACTIONS(4036), 1,
      anon_sym_AT,
    ACTIONS(4052), 1,
      sym__quotelike_end_quote,
    STATE(2092), 1,
      sym__quotelike_end,
    STATE(2450), 1,
      sym_heredoc_content,
    STATE(2453), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2568), 1,
      sym_scalar,
    STATE(2667), 1,
      sym__array_element_interpolation,
    STATE(2669), 1,
      sym__hash_element_interpolation,
    STATE(2693), 1,
      sym_array,
    STATE(2711), 1,
      sym__subscripted_interpolations,
    STATE(2879), 1,
      sym__slice_expression_interpolation,
    STATE(2881), 1,
      sym__array_deref_interpolation,
    STATE(2882), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2894), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4032), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(2874), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
    ACTIONS(4040), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [1710] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_DOLLAR,
    ACTIONS(4036), 1,
      anon_sym_AT,
    ACTIONS(4052), 1,
      sym__quotelike_end_quote,
    STATE(2101), 1,
      sym__quotelike_end,
    STATE(2451), 1,
      sym_heredoc_content,
    STATE(2517), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2568), 1,
      sym_scalar,
    STATE(2667), 1,
      sym__array_element_interpolation,
    STATE(2669), 1,
      sym__hash_element_interpolation,
    STATE(2693), 1,
      sym_array,
    STATE(2711), 1,
      sym__subscripted_interpolations,
    STATE(2879), 1,
      sym__slice_expression_interpolation,
    STATE(2881), 1,
      sym__array_deref_interpolation,
    STATE(2882), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2894), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4032), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(2874), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
    ACTIONS(4040), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [1780] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_DOLLAR,
    ACTIONS(4036), 1,
      anon_sym_AT,
    ACTIONS(4054), 1,
      sym__quotelike_end_quote,
    STATE(2107), 1,
      sym__quotelike_end,
    STATE(2452), 1,
      sym_heredoc_content,
    STATE(2517), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2568), 1,
      sym_scalar,
    STATE(2667), 1,
      sym__array_element_interpolation,
    STATE(2669), 1,
      sym__hash_element_interpolation,
    STATE(2693), 1,
      sym_array,
    STATE(2711), 1,
      sym__subscripted_interpolations,
    STATE(2879), 1,
      sym__slice_expression_interpolation,
    STATE(2881), 1,
      sym__array_deref_interpolation,
    STATE(2882), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2894), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4032), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(2874), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
    ACTIONS(4040), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [1850] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_DOLLAR,
    ACTIONS(4036), 1,
      anon_sym_AT,
    ACTIONS(4052), 1,
      sym__quotelike_end_quote,
    STATE(2108), 1,
      sym__quotelike_end,
    STATE(2453), 1,
      sym_heredoc_content,
    STATE(2517), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2568), 1,
      sym_scalar,
    STATE(2667), 1,
      sym__array_element_interpolation,
    STATE(2669), 1,
      sym__hash_element_interpolation,
    STATE(2693), 1,
      sym_array,
    STATE(2711), 1,
      sym__subscripted_interpolations,
    STATE(2879), 1,
      sym__slice_expression_interpolation,
    STATE(2881), 1,
      sym__array_deref_interpolation,
    STATE(2882), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2894), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4032), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(2874), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
    ACTIONS(4040), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [1920] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_DOLLAR,
    ACTIONS(4036), 1,
      anon_sym_AT,
    ACTIONS(4056), 1,
      sym__quotelike_end_quote,
    STATE(1654), 1,
      sym__quotelike_end,
    STATE(2454), 1,
      sym_heredoc_content,
    STATE(2457), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2568), 1,
      sym_scalar,
    STATE(2667), 1,
      sym__array_element_interpolation,
    STATE(2669), 1,
      sym__hash_element_interpolation,
    STATE(2693), 1,
      sym_array,
    STATE(2711), 1,
      sym__subscripted_interpolations,
    STATE(2879), 1,
      sym__slice_expression_interpolation,
    STATE(2881), 1,
      sym__array_deref_interpolation,
    STATE(2882), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2894), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4032), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(2874), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
    ACTIONS(4040), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [1990] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_DOLLAR,
    ACTIONS(4036), 1,
      anon_sym_AT,
    ACTIONS(4058), 1,
      sym__quotelike_end_quote,
    STATE(1690), 1,
      sym__quotelike_end,
    STATE(2455), 1,
      sym_heredoc_content,
    STATE(2458), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2568), 1,
      sym_scalar,
    STATE(2667), 1,
      sym__array_element_interpolation,
    STATE(2669), 1,
      sym__hash_element_interpolation,
    STATE(2693), 1,
      sym_array,
    STATE(2711), 1,
      sym__subscripted_interpolations,
    STATE(2879), 1,
      sym__slice_expression_interpolation,
    STATE(2881), 1,
      sym__array_deref_interpolation,
    STATE(2882), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2894), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4032), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(2874), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
    ACTIONS(4040), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [2060] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_DOLLAR,
    ACTIONS(4036), 1,
      anon_sym_AT,
    ACTIONS(4056), 1,
      sym__quotelike_end_quote,
    STATE(1800), 1,
      sym__quotelike_end,
    STATE(2456), 1,
      sym_heredoc_content,
    STATE(2459), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2568), 1,
      sym_scalar,
    STATE(2667), 1,
      sym__array_element_interpolation,
    STATE(2669), 1,
      sym__hash_element_interpolation,
    STATE(2693), 1,
      sym_array,
    STATE(2711), 1,
      sym__subscripted_interpolations,
    STATE(2879), 1,
      sym__slice_expression_interpolation,
    STATE(2881), 1,
      sym__array_deref_interpolation,
    STATE(2882), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2894), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4032), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(2874), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
    ACTIONS(4040), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [2130] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_DOLLAR,
    ACTIONS(4036), 1,
      anon_sym_AT,
    ACTIONS(4056), 1,
      sym__quotelike_end_quote,
    STATE(1766), 1,
      sym__quotelike_end,
    STATE(2457), 1,
      sym_heredoc_content,
    STATE(2517), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2568), 1,
      sym_scalar,
    STATE(2667), 1,
      sym__array_element_interpolation,
    STATE(2669), 1,
      sym__hash_element_interpolation,
    STATE(2693), 1,
      sym_array,
    STATE(2711), 1,
      sym__subscripted_interpolations,
    STATE(2879), 1,
      sym__slice_expression_interpolation,
    STATE(2881), 1,
      sym__array_deref_interpolation,
    STATE(2882), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2894), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4032), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(2874), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
    ACTIONS(4040), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [2200] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_DOLLAR,
    ACTIONS(4036), 1,
      anon_sym_AT,
    ACTIONS(4058), 1,
      sym__quotelike_end_quote,
    STATE(1674), 1,
      sym__quotelike_end,
    STATE(2458), 1,
      sym_heredoc_content,
    STATE(2517), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2568), 1,
      sym_scalar,
    STATE(2667), 1,
      sym__array_element_interpolation,
    STATE(2669), 1,
      sym__hash_element_interpolation,
    STATE(2693), 1,
      sym_array,
    STATE(2711), 1,
      sym__subscripted_interpolations,
    STATE(2879), 1,
      sym__slice_expression_interpolation,
    STATE(2881), 1,
      sym__array_deref_interpolation,
    STATE(2882), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2894), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4032), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(2874), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
    ACTIONS(4040), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [2270] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_DOLLAR,
    ACTIONS(4036), 1,
      anon_sym_AT,
    ACTIONS(4056), 1,
      sym__quotelike_end_quote,
    STATE(1682), 1,
      sym__quotelike_end,
    STATE(2459), 1,
      sym_heredoc_content,
    STATE(2517), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2568), 1,
      sym_scalar,
    STATE(2667), 1,
      sym__array_element_interpolation,
    STATE(2669), 1,
      sym__hash_element_interpolation,
    STATE(2693), 1,
      sym_array,
    STATE(2711), 1,
      sym__subscripted_interpolations,
    STATE(2879), 1,
      sym__slice_expression_interpolation,
    STATE(2881), 1,
      sym__array_deref_interpolation,
    STATE(2882), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2894), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4032), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(2874), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
    ACTIONS(4040), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [2340] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_DOLLAR,
    ACTIONS(4036), 1,
      anon_sym_AT,
    ACTIONS(4050), 1,
      sym__quotelike_end_quote,
    STATE(1247), 1,
      sym__quotelike_end,
    STATE(2460), 1,
      sym_heredoc_content,
    STATE(2517), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2568), 1,
      sym_scalar,
    STATE(2667), 1,
      sym__array_element_interpolation,
    STATE(2669), 1,
      sym__hash_element_interpolation,
    STATE(2693), 1,
      sym_array,
    STATE(2711), 1,
      sym__subscripted_interpolations,
    STATE(2879), 1,
      sym__slice_expression_interpolation,
    STATE(2881), 1,
      sym__array_deref_interpolation,
    STATE(2882), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2894), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4032), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(2874), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
    ACTIONS(4040), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [2410] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_DOLLAR,
    ACTIONS(4036), 1,
      anon_sym_AT,
    ACTIONS(4042), 1,
      sym__quotelike_end_quote,
    STATE(1249), 1,
      sym__quotelike_end,
    STATE(2461), 1,
      sym_heredoc_content,
    STATE(2517), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2568), 1,
      sym_scalar,
    STATE(2667), 1,
      sym__array_element_interpolation,
    STATE(2669), 1,
      sym__hash_element_interpolation,
    STATE(2693), 1,
      sym_array,
    STATE(2711), 1,
      sym__subscripted_interpolations,
    STATE(2879), 1,
      sym__slice_expression_interpolation,
    STATE(2881), 1,
      sym__array_deref_interpolation,
    STATE(2882), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2894), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4032), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(2874), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
    ACTIONS(4040), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [2480] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_DOLLAR,
    ACTIONS(4036), 1,
      anon_sym_AT,
    ACTIONS(4042), 1,
      sym__quotelike_end_quote,
    STATE(1270), 1,
      sym__quotelike_end,
    STATE(2462), 1,
      sym_heredoc_content,
    STATE(2517), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2568), 1,
      sym_scalar,
    STATE(2667), 1,
      sym__array_element_interpolation,
    STATE(2669), 1,
      sym__hash_element_interpolation,
    STATE(2693), 1,
      sym_array,
    STATE(2711), 1,
      sym__subscripted_interpolations,
    STATE(2879), 1,
      sym__slice_expression_interpolation,
    STATE(2881), 1,
      sym__array_deref_interpolation,
    STATE(2882), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2894), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4032), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(2874), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
    ACTIONS(4040), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [2550] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_DOLLAR,
    ACTIONS(4036), 1,
      anon_sym_AT,
    ACTIONS(4046), 1,
      sym__quotelike_end_quote,
    STATE(1560), 1,
      sym__quotelike_end,
    STATE(2463), 1,
      sym_heredoc_content,
    STATE(2466), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2568), 1,
      sym_scalar,
    STATE(2667), 1,
      sym__array_element_interpolation,
    STATE(2669), 1,
      sym__hash_element_interpolation,
    STATE(2693), 1,
      sym_array,
    STATE(2711), 1,
      sym__subscripted_interpolations,
    STATE(2879), 1,
      sym__slice_expression_interpolation,
    STATE(2881), 1,
      sym__array_deref_interpolation,
    STATE(2882), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2894), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4032), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(2874), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
    ACTIONS(4040), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [2620] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_DOLLAR,
    ACTIONS(4036), 1,
      anon_sym_AT,
    ACTIONS(4044), 1,
      sym__quotelike_end_quote,
    STATE(1587), 1,
      sym__quotelike_end,
    STATE(2439), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2464), 1,
      sym_heredoc_content,
    STATE(2568), 1,
      sym_scalar,
    STATE(2667), 1,
      sym__array_element_interpolation,
    STATE(2669), 1,
      sym__hash_element_interpolation,
    STATE(2693), 1,
      sym_array,
    STATE(2711), 1,
      sym__subscripted_interpolations,
    STATE(2879), 1,
      sym__slice_expression_interpolation,
    STATE(2881), 1,
      sym__array_deref_interpolation,
    STATE(2882), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2894), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4032), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(2874), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
    ACTIONS(4040), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [2690] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_DOLLAR,
    ACTIONS(4036), 1,
      anon_sym_AT,
    ACTIONS(4046), 1,
      sym__quotelike_end_quote,
    STATE(1588), 1,
      sym__quotelike_end,
    STATE(2440), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2465), 1,
      sym_heredoc_content,
    STATE(2568), 1,
      sym_scalar,
    STATE(2667), 1,
      sym__array_element_interpolation,
    STATE(2669), 1,
      sym__hash_element_interpolation,
    STATE(2693), 1,
      sym_array,
    STATE(2711), 1,
      sym__subscripted_interpolations,
    STATE(2879), 1,
      sym__slice_expression_interpolation,
    STATE(2881), 1,
      sym__array_deref_interpolation,
    STATE(2882), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2894), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4032), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(2874), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
    ACTIONS(4040), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [2760] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_DOLLAR,
    ACTIONS(4036), 1,
      anon_sym_AT,
    ACTIONS(4046), 1,
      sym__quotelike_end_quote,
    STATE(1544), 1,
      sym__quotelike_end,
    STATE(2466), 1,
      sym_heredoc_content,
    STATE(2517), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2568), 1,
      sym_scalar,
    STATE(2667), 1,
      sym__array_element_interpolation,
    STATE(2669), 1,
      sym__hash_element_interpolation,
    STATE(2693), 1,
      sym_array,
    STATE(2711), 1,
      sym__subscripted_interpolations,
    STATE(2879), 1,
      sym__slice_expression_interpolation,
    STATE(2881), 1,
      sym__array_deref_interpolation,
    STATE(2882), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2894), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4032), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(2874), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
    ACTIONS(4040), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [2830] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4062), 1,
      anon_sym_DOLLAR,
    ACTIONS(4064), 1,
      anon_sym_AT,
    ACTIONS(4066), 1,
      sym__quotelike_end_quote,
    STATE(2278), 1,
      sym__quotelike_end,
    STATE(2467), 1,
      sym_heredoc_content,
    STATE(2477), 1,
      aux_sym__interpolated_string_content,
    STATE(2616), 1,
      sym_scalar,
    STATE(2823), 1,
      sym__subscripted_interpolations,
    STATE(2847), 1,
      sym_array,
    STATE(2850), 1,
      sym__array_element_interpolation,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2998), 1,
      sym__slice_expression_interpolation,
    STATE(3013), 1,
      sym__array_deref_interpolation,
    STATE(3016), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3010), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4060), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4068), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(2967), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [2899] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4062), 1,
      anon_sym_DOLLAR,
    ACTIONS(4064), 1,
      anon_sym_AT,
    ACTIONS(4070), 1,
      sym__quotelike_end_quote,
    STATE(1676), 1,
      sym__quotelike_end,
    STATE(2468), 1,
      sym_heredoc_content,
    STATE(2534), 1,
      aux_sym__interpolated_string_content,
    STATE(2616), 1,
      sym_scalar,
    STATE(2823), 1,
      sym__subscripted_interpolations,
    STATE(2847), 1,
      sym_array,
    STATE(2850), 1,
      sym__array_element_interpolation,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2998), 1,
      sym__slice_expression_interpolation,
    STATE(3013), 1,
      sym__array_deref_interpolation,
    STATE(3016), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3010), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4060), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4068), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(2967), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [2968] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4062), 1,
      anon_sym_DOLLAR,
    ACTIONS(4064), 1,
      anon_sym_AT,
    ACTIONS(4070), 1,
      sym__quotelike_end_quote,
    STATE(1737), 1,
      sym__quotelike_end,
    STATE(2469), 1,
      sym_heredoc_content,
    STATE(2488), 1,
      aux_sym__interpolated_string_content,
    STATE(2616), 1,
      sym_scalar,
    STATE(2823), 1,
      sym__subscripted_interpolations,
    STATE(2847), 1,
      sym_array,
    STATE(2850), 1,
      sym__array_element_interpolation,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2998), 1,
      sym__slice_expression_interpolation,
    STATE(3013), 1,
      sym__array_deref_interpolation,
    STATE(3016), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3010), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4060), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4068), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(2967), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [3037] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4062), 1,
      anon_sym_DOLLAR,
    ACTIONS(4064), 1,
      anon_sym_AT,
    ACTIONS(4070), 1,
      sym__quotelike_end_quote,
    STATE(1739), 1,
      sym__quotelike_end,
    STATE(2470), 1,
      sym_heredoc_content,
    STATE(2509), 1,
      aux_sym__interpolated_string_content,
    STATE(2616), 1,
      sym_scalar,
    STATE(2823), 1,
      sym__subscripted_interpolations,
    STATE(2847), 1,
      sym_array,
    STATE(2850), 1,
      sym__array_element_interpolation,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2998), 1,
      sym__slice_expression_interpolation,
    STATE(3013), 1,
      sym__array_deref_interpolation,
    STATE(3016), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3010), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4060), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4068), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(2967), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [3106] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4062), 1,
      anon_sym_DOLLAR,
    ACTIONS(4064), 1,
      anon_sym_AT,
    ACTIONS(4072), 1,
      sym__quotelike_end_quote,
    STATE(2024), 1,
      sym__quotelike_end,
    STATE(2471), 1,
      sym_heredoc_content,
    STATE(2472), 1,
      aux_sym__interpolated_string_content,
    STATE(2616), 1,
      sym_scalar,
    STATE(2823), 1,
      sym__subscripted_interpolations,
    STATE(2847), 1,
      sym_array,
    STATE(2850), 1,
      sym__array_element_interpolation,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2998), 1,
      sym__slice_expression_interpolation,
    STATE(3013), 1,
      sym__array_deref_interpolation,
    STATE(3016), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3010), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4060), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4068), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(2967), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [3175] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4062), 1,
      anon_sym_DOLLAR,
    ACTIONS(4064), 1,
      anon_sym_AT,
    ACTIONS(4072), 1,
      sym__quotelike_end_quote,
    STATE(2020), 1,
      sym__quotelike_end,
    STATE(2472), 1,
      sym_heredoc_content,
    STATE(2534), 1,
      aux_sym__interpolated_string_content,
    STATE(2616), 1,
      sym_scalar,
    STATE(2823), 1,
      sym__subscripted_interpolations,
    STATE(2847), 1,
      sym_array,
    STATE(2850), 1,
      sym__array_element_interpolation,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2998), 1,
      sym__slice_expression_interpolation,
    STATE(3013), 1,
      sym__array_deref_interpolation,
    STATE(3016), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3010), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4060), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4068), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(2967), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [3244] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4062), 1,
      anon_sym_DOLLAR,
    ACTIONS(4064), 1,
      anon_sym_AT,
    ACTIONS(4072), 1,
      sym__quotelike_end_quote,
    STATE(2027), 1,
      sym__quotelike_end,
    STATE(2473), 1,
      sym_heredoc_content,
    STATE(2474), 1,
      aux_sym__interpolated_string_content,
    STATE(2616), 1,
      sym_scalar,
    STATE(2823), 1,
      sym__subscripted_interpolations,
    STATE(2847), 1,
      sym_array,
    STATE(2850), 1,
      sym__array_element_interpolation,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2998), 1,
      sym__slice_expression_interpolation,
    STATE(3013), 1,
      sym__array_deref_interpolation,
    STATE(3016), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3010), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4060), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4068), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(2967), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [3313] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4062), 1,
      anon_sym_DOLLAR,
    ACTIONS(4064), 1,
      anon_sym_AT,
    ACTIONS(4072), 1,
      sym__quotelike_end_quote,
    STATE(2011), 1,
      sym__quotelike_end,
    STATE(2474), 1,
      sym_heredoc_content,
    STATE(2534), 1,
      aux_sym__interpolated_string_content,
    STATE(2616), 1,
      sym_scalar,
    STATE(2823), 1,
      sym__subscripted_interpolations,
    STATE(2847), 1,
      sym_array,
    STATE(2850), 1,
      sym__array_element_interpolation,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2998), 1,
      sym__slice_expression_interpolation,
    STATE(3013), 1,
      sym__array_deref_interpolation,
    STATE(3016), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3010), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4060), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4068), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(2967), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [3382] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4062), 1,
      anon_sym_DOLLAR,
    ACTIONS(4064), 1,
      anon_sym_AT,
    ACTIONS(4066), 1,
      sym__quotelike_end_quote,
    STATE(2329), 1,
      sym__quotelike_end,
    STATE(2475), 1,
      sym_heredoc_content,
    STATE(2534), 1,
      aux_sym__interpolated_string_content,
    STATE(2616), 1,
      sym_scalar,
    STATE(2823), 1,
      sym__subscripted_interpolations,
    STATE(2847), 1,
      sym_array,
    STATE(2850), 1,
      sym__array_element_interpolation,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2998), 1,
      sym__slice_expression_interpolation,
    STATE(3013), 1,
      sym__array_deref_interpolation,
    STATE(3016), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3010), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4060), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4068), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(2967), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [3451] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4062), 1,
      anon_sym_DOLLAR,
    ACTIONS(4064), 1,
      anon_sym_AT,
    ACTIONS(4066), 1,
      sym__quotelike_end_quote,
    STATE(2331), 1,
      sym__quotelike_end,
    STATE(2476), 1,
      sym_heredoc_content,
    STATE(2534), 1,
      aux_sym__interpolated_string_content,
    STATE(2616), 1,
      sym_scalar,
    STATE(2823), 1,
      sym__subscripted_interpolations,
    STATE(2847), 1,
      sym_array,
    STATE(2850), 1,
      sym__array_element_interpolation,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2998), 1,
      sym__slice_expression_interpolation,
    STATE(3013), 1,
      sym__array_deref_interpolation,
    STATE(3016), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3010), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4060), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4068), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(2967), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [3520] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4062), 1,
      anon_sym_DOLLAR,
    ACTIONS(4064), 1,
      anon_sym_AT,
    ACTIONS(4066), 1,
      sym__quotelike_end_quote,
    STATE(2358), 1,
      sym__quotelike_end,
    STATE(2477), 1,
      sym_heredoc_content,
    STATE(2534), 1,
      aux_sym__interpolated_string_content,
    STATE(2616), 1,
      sym_scalar,
    STATE(2823), 1,
      sym__subscripted_interpolations,
    STATE(2847), 1,
      sym_array,
    STATE(2850), 1,
      sym__array_element_interpolation,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2998), 1,
      sym__slice_expression_interpolation,
    STATE(3013), 1,
      sym__array_deref_interpolation,
    STATE(3016), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3010), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4060), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4068), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(2967), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [3589] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4062), 1,
      anon_sym_DOLLAR,
    ACTIONS(4064), 1,
      anon_sym_AT,
    ACTIONS(4066), 1,
      sym__quotelike_end_quote,
    STATE(2361), 1,
      sym__quotelike_end,
    STATE(2478), 1,
      sym_heredoc_content,
    STATE(2534), 1,
      aux_sym__interpolated_string_content,
    STATE(2616), 1,
      sym_scalar,
    STATE(2823), 1,
      sym__subscripted_interpolations,
    STATE(2847), 1,
      sym_array,
    STATE(2850), 1,
      sym__array_element_interpolation,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2998), 1,
      sym__slice_expression_interpolation,
    STATE(3013), 1,
      sym__array_deref_interpolation,
    STATE(3016), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3010), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4060), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4068), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(2967), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [3658] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4062), 1,
      anon_sym_DOLLAR,
    ACTIONS(4064), 1,
      anon_sym_AT,
    ACTIONS(4074), 1,
      sym__quotelike_end_quote,
    STATE(1301), 1,
      sym__quotelike_end,
    STATE(2479), 1,
      sym_heredoc_content,
    STATE(2490), 1,
      aux_sym__interpolated_string_content,
    STATE(2616), 1,
      sym_scalar,
    STATE(2823), 1,
      sym__subscripted_interpolations,
    STATE(2847), 1,
      sym_array,
    STATE(2850), 1,
      sym__array_element_interpolation,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2998), 1,
      sym__slice_expression_interpolation,
    STATE(3013), 1,
      sym__array_deref_interpolation,
    STATE(3016), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3010), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4060), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4068), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(2967), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [3727] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4062), 1,
      anon_sym_DOLLAR,
    ACTIONS(4064), 1,
      anon_sym_AT,
    ACTIONS(4074), 1,
      sym__quotelike_end_quote,
    STATE(1302), 1,
      sym__quotelike_end,
    STATE(2480), 1,
      sym_heredoc_content,
    STATE(2483), 1,
      aux_sym__interpolated_string_content,
    STATE(2616), 1,
      sym_scalar,
    STATE(2823), 1,
      sym__subscripted_interpolations,
    STATE(2847), 1,
      sym_array,
    STATE(2850), 1,
      sym__array_element_interpolation,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2998), 1,
      sym__slice_expression_interpolation,
    STATE(3013), 1,
      sym__array_deref_interpolation,
    STATE(3016), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3010), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4060), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4068), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(2967), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [3796] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4062), 1,
      anon_sym_DOLLAR,
    ACTIONS(4064), 1,
      anon_sym_AT,
    ACTIONS(4066), 1,
      sym__quotelike_end_quote,
    STATE(2344), 1,
      sym__quotelike_end,
    STATE(2475), 1,
      aux_sym__interpolated_string_content,
    STATE(2481), 1,
      sym_heredoc_content,
    STATE(2616), 1,
      sym_scalar,
    STATE(2823), 1,
      sym__subscripted_interpolations,
    STATE(2847), 1,
      sym_array,
    STATE(2850), 1,
      sym__array_element_interpolation,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2998), 1,
      sym__slice_expression_interpolation,
    STATE(3013), 1,
      sym__array_deref_interpolation,
    STATE(3016), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3010), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4060), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4068), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(2967), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [3865] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4062), 1,
      anon_sym_DOLLAR,
    ACTIONS(4064), 1,
      anon_sym_AT,
    ACTIONS(4066), 1,
      sym__quotelike_end_quote,
    STATE(2345), 1,
      sym__quotelike_end,
    STATE(2476), 1,
      aux_sym__interpolated_string_content,
    STATE(2482), 1,
      sym_heredoc_content,
    STATE(2616), 1,
      sym_scalar,
    STATE(2823), 1,
      sym__subscripted_interpolations,
    STATE(2847), 1,
      sym_array,
    STATE(2850), 1,
      sym__array_element_interpolation,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2998), 1,
      sym__slice_expression_interpolation,
    STATE(3013), 1,
      sym__array_deref_interpolation,
    STATE(3016), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3010), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4060), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4068), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(2967), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [3934] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4062), 1,
      anon_sym_DOLLAR,
    ACTIONS(4064), 1,
      anon_sym_AT,
    ACTIONS(4074), 1,
      sym__quotelike_end_quote,
    STATE(1350), 1,
      sym__quotelike_end,
    STATE(2483), 1,
      sym_heredoc_content,
    STATE(2534), 1,
      aux_sym__interpolated_string_content,
    STATE(2616), 1,
      sym_scalar,
    STATE(2823), 1,
      sym__subscripted_interpolations,
    STATE(2847), 1,
      sym_array,
    STATE(2850), 1,
      sym__array_element_interpolation,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2998), 1,
      sym__slice_expression_interpolation,
    STATE(3013), 1,
      sym__array_deref_interpolation,
    STATE(3016), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3010), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4060), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4068), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(2967), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [4003] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4062), 1,
      anon_sym_DOLLAR,
    ACTIONS(4064), 1,
      anon_sym_AT,
    ACTIONS(4066), 1,
      sym__quotelike_end_quote,
    STATE(2373), 1,
      sym__quotelike_end,
    STATE(2484), 1,
      sym_heredoc_content,
    STATE(2534), 1,
      aux_sym__interpolated_string_content,
    STATE(2616), 1,
      sym_scalar,
    STATE(2823), 1,
      sym__subscripted_interpolations,
    STATE(2847), 1,
      sym_array,
    STATE(2850), 1,
      sym__array_element_interpolation,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2998), 1,
      sym__slice_expression_interpolation,
    STATE(3013), 1,
      sym__array_deref_interpolation,
    STATE(3016), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3010), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4060), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4068), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(2967), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [4072] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4062), 1,
      anon_sym_DOLLAR,
    ACTIONS(4064), 1,
      anon_sym_AT,
    ACTIONS(4074), 1,
      sym__quotelike_end_quote,
    STATE(1374), 1,
      sym__quotelike_end,
    STATE(2485), 1,
      sym_heredoc_content,
    STATE(2534), 1,
      aux_sym__interpolated_string_content,
    STATE(2616), 1,
      sym_scalar,
    STATE(2823), 1,
      sym__subscripted_interpolations,
    STATE(2847), 1,
      sym_array,
    STATE(2850), 1,
      sym__array_element_interpolation,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2998), 1,
      sym__slice_expression_interpolation,
    STATE(3013), 1,
      sym__array_deref_interpolation,
    STATE(3016), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3010), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4060), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4068), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(2967), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [4141] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4062), 1,
      anon_sym_DOLLAR,
    ACTIONS(4064), 1,
      anon_sym_AT,
    ACTIONS(4076), 1,
      sym__quotelike_end_quote,
    STATE(1276), 1,
      sym__quotelike_end,
    STATE(2486), 1,
      sym_heredoc_content,
    STATE(2534), 1,
      aux_sym__interpolated_string_content,
    STATE(2616), 1,
      sym_scalar,
    STATE(2823), 1,
      sym__subscripted_interpolations,
    STATE(2847), 1,
      sym_array,
    STATE(2850), 1,
      sym__array_element_interpolation,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2998), 1,
      sym__slice_expression_interpolation,
    STATE(3013), 1,
      sym__array_deref_interpolation,
    STATE(3016), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3010), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4060), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4068), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(2967), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [4210] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4062), 1,
      anon_sym_DOLLAR,
    ACTIONS(4064), 1,
      anon_sym_AT,
    ACTIONS(4066), 1,
      sym__quotelike_end_quote,
    STATE(2281), 1,
      sym__quotelike_end,
    STATE(2478), 1,
      aux_sym__interpolated_string_content,
    STATE(2487), 1,
      sym_heredoc_content,
    STATE(2616), 1,
      sym_scalar,
    STATE(2823), 1,
      sym__subscripted_interpolations,
    STATE(2847), 1,
      sym_array,
    STATE(2850), 1,
      sym__array_element_interpolation,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2998), 1,
      sym__slice_expression_interpolation,
    STATE(3013), 1,
      sym__array_deref_interpolation,
    STATE(3016), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3010), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4060), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4068), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(2967), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [4279] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4062), 1,
      anon_sym_DOLLAR,
    ACTIONS(4064), 1,
      anon_sym_AT,
    ACTIONS(4070), 1,
      sym__quotelike_end_quote,
    STATE(1705), 1,
      sym__quotelike_end,
    STATE(2488), 1,
      sym_heredoc_content,
    STATE(2534), 1,
      aux_sym__interpolated_string_content,
    STATE(2616), 1,
      sym_scalar,
    STATE(2823), 1,
      sym__subscripted_interpolations,
    STATE(2847), 1,
      sym_array,
    STATE(2850), 1,
      sym__array_element_interpolation,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2998), 1,
      sym__slice_expression_interpolation,
    STATE(3013), 1,
      sym__array_deref_interpolation,
    STATE(3016), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3010), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4060), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4068), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(2967), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [4348] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4062), 1,
      anon_sym_DOLLAR,
    ACTIONS(4064), 1,
      anon_sym_AT,
    ACTIONS(4076), 1,
      sym__quotelike_end_quote,
    STATE(1255), 1,
      sym__quotelike_end,
    STATE(2489), 1,
      sym_heredoc_content,
    STATE(2522), 1,
      aux_sym__interpolated_string_content,
    STATE(2616), 1,
      sym_scalar,
    STATE(2823), 1,
      sym__subscripted_interpolations,
    STATE(2847), 1,
      sym_array,
    STATE(2850), 1,
      sym__array_element_interpolation,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2998), 1,
      sym__slice_expression_interpolation,
    STATE(3013), 1,
      sym__array_deref_interpolation,
    STATE(3016), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3010), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4060), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4068), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(2967), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [4417] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4062), 1,
      anon_sym_DOLLAR,
    ACTIONS(4064), 1,
      anon_sym_AT,
    ACTIONS(4074), 1,
      sym__quotelike_end_quote,
    STATE(1349), 1,
      sym__quotelike_end,
    STATE(2490), 1,
      sym_heredoc_content,
    STATE(2534), 1,
      aux_sym__interpolated_string_content,
    STATE(2616), 1,
      sym_scalar,
    STATE(2823), 1,
      sym__subscripted_interpolations,
    STATE(2847), 1,
      sym_array,
    STATE(2850), 1,
      sym__array_element_interpolation,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2998), 1,
      sym__slice_expression_interpolation,
    STATE(3013), 1,
      sym__array_deref_interpolation,
    STATE(3016), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3010), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4060), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4068), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(2967), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [4486] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4062), 1,
      anon_sym_DOLLAR,
    ACTIONS(4064), 1,
      anon_sym_AT,
    ACTIONS(4078), 1,
      sym__quotelike_end_quote,
    STATE(1568), 1,
      sym__quotelike_end,
    STATE(2491), 1,
      sym_heredoc_content,
    STATE(2492), 1,
      aux_sym__interpolated_string_content,
    STATE(2616), 1,
      sym_scalar,
    STATE(2823), 1,
      sym__subscripted_interpolations,
    STATE(2847), 1,
      sym_array,
    STATE(2850), 1,
      sym__array_element_interpolation,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2998), 1,
      sym__slice_expression_interpolation,
    STATE(3013), 1,
      sym__array_deref_interpolation,
    STATE(3016), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3010), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4060), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4068), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(2967), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [4555] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4062), 1,
      anon_sym_DOLLAR,
    ACTIONS(4064), 1,
      anon_sym_AT,
    ACTIONS(4078), 1,
      sym__quotelike_end_quote,
    STATE(1570), 1,
      sym__quotelike_end,
    STATE(2492), 1,
      sym_heredoc_content,
    STATE(2534), 1,
      aux_sym__interpolated_string_content,
    STATE(2616), 1,
      sym_scalar,
    STATE(2823), 1,
      sym__subscripted_interpolations,
    STATE(2847), 1,
      sym_array,
    STATE(2850), 1,
      sym__array_element_interpolation,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2998), 1,
      sym__slice_expression_interpolation,
    STATE(3013), 1,
      sym__array_deref_interpolation,
    STATE(3016), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3010), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4060), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4068), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(2967), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [4624] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4062), 1,
      anon_sym_DOLLAR,
    ACTIONS(4064), 1,
      anon_sym_AT,
    ACTIONS(4080), 1,
      sym__quotelike_end_quote,
    STATE(2109), 1,
      sym__quotelike_end,
    STATE(2493), 1,
      sym_heredoc_content,
    STATE(2494), 1,
      aux_sym__interpolated_string_content,
    STATE(2616), 1,
      sym_scalar,
    STATE(2823), 1,
      sym__subscripted_interpolations,
    STATE(2847), 1,
      sym_array,
    STATE(2850), 1,
      sym__array_element_interpolation,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2998), 1,
      sym__slice_expression_interpolation,
    STATE(3013), 1,
      sym__array_deref_interpolation,
    STATE(3016), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3010), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4060), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4068), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(2967), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [4693] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4062), 1,
      anon_sym_DOLLAR,
    ACTIONS(4064), 1,
      anon_sym_AT,
    ACTIONS(4080), 1,
      sym__quotelike_end_quote,
    STATE(2124), 1,
      sym__quotelike_end,
    STATE(2494), 1,
      sym_heredoc_content,
    STATE(2534), 1,
      aux_sym__interpolated_string_content,
    STATE(2616), 1,
      sym_scalar,
    STATE(2823), 1,
      sym__subscripted_interpolations,
    STATE(2847), 1,
      sym_array,
    STATE(2850), 1,
      sym__array_element_interpolation,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2998), 1,
      sym__slice_expression_interpolation,
    STATE(3013), 1,
      sym__array_deref_interpolation,
    STATE(3016), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3010), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4060), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4068), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(2967), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [4762] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4062), 1,
      anon_sym_DOLLAR,
    ACTIONS(4064), 1,
      anon_sym_AT,
    ACTIONS(4080), 1,
      sym__quotelike_end_quote,
    STATE(2126), 1,
      sym__quotelike_end,
    STATE(2495), 1,
      sym_heredoc_content,
    STATE(2496), 1,
      aux_sym__interpolated_string_content,
    STATE(2616), 1,
      sym_scalar,
    STATE(2823), 1,
      sym__subscripted_interpolations,
    STATE(2847), 1,
      sym_array,
    STATE(2850), 1,
      sym__array_element_interpolation,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2998), 1,
      sym__slice_expression_interpolation,
    STATE(3013), 1,
      sym__array_deref_interpolation,
    STATE(3016), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3010), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4060), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4068), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(2967), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [4831] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4062), 1,
      anon_sym_DOLLAR,
    ACTIONS(4064), 1,
      anon_sym_AT,
    ACTIONS(4080), 1,
      sym__quotelike_end_quote,
    STATE(2136), 1,
      sym__quotelike_end,
    STATE(2496), 1,
      sym_heredoc_content,
    STATE(2534), 1,
      aux_sym__interpolated_string_content,
    STATE(2616), 1,
      sym_scalar,
    STATE(2823), 1,
      sym__subscripted_interpolations,
    STATE(2847), 1,
      sym_array,
    STATE(2850), 1,
      sym__array_element_interpolation,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2998), 1,
      sym__slice_expression_interpolation,
    STATE(3013), 1,
      sym__array_deref_interpolation,
    STATE(3016), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3010), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4060), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4068), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(2967), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [4900] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4062), 1,
      anon_sym_DOLLAR,
    ACTIONS(4064), 1,
      anon_sym_AT,
    ACTIONS(4082), 1,
      sym__quotelike_end_quote,
    STATE(1843), 1,
      sym__quotelike_end,
    STATE(2497), 1,
      sym_heredoc_content,
    STATE(2534), 1,
      aux_sym__interpolated_string_content,
    STATE(2616), 1,
      sym_scalar,
    STATE(2823), 1,
      sym__subscripted_interpolations,
    STATE(2847), 1,
      sym_array,
    STATE(2850), 1,
      sym__array_element_interpolation,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2998), 1,
      sym__slice_expression_interpolation,
    STATE(3013), 1,
      sym__array_deref_interpolation,
    STATE(3016), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3010), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4060), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4068), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(2967), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [4969] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4062), 1,
      anon_sym_DOLLAR,
    ACTIONS(4064), 1,
      anon_sym_AT,
    ACTIONS(4082), 1,
      sym__quotelike_end_quote,
    STATE(1844), 1,
      sym__quotelike_end,
    STATE(2498), 1,
      sym_heredoc_content,
    STATE(2534), 1,
      aux_sym__interpolated_string_content,
    STATE(2616), 1,
      sym_scalar,
    STATE(2823), 1,
      sym__subscripted_interpolations,
    STATE(2847), 1,
      sym_array,
    STATE(2850), 1,
      sym__array_element_interpolation,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2998), 1,
      sym__slice_expression_interpolation,
    STATE(3013), 1,
      sym__array_deref_interpolation,
    STATE(3016), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3010), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4060), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4068), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(2967), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [5038] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4062), 1,
      anon_sym_DOLLAR,
    ACTIONS(4064), 1,
      anon_sym_AT,
    ACTIONS(4082), 1,
      sym__quotelike_end_quote,
    STATE(1855), 1,
      sym__quotelike_end,
    STATE(2499), 1,
      sym_heredoc_content,
    STATE(2534), 1,
      aux_sym__interpolated_string_content,
    STATE(2616), 1,
      sym_scalar,
    STATE(2823), 1,
      sym__subscripted_interpolations,
    STATE(2847), 1,
      sym_array,
    STATE(2850), 1,
      sym__array_element_interpolation,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2998), 1,
      sym__slice_expression_interpolation,
    STATE(3013), 1,
      sym__array_deref_interpolation,
    STATE(3016), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3010), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4060), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4068), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(2967), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [5107] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4062), 1,
      anon_sym_DOLLAR,
    ACTIONS(4064), 1,
      anon_sym_AT,
    ACTIONS(4082), 1,
      sym__quotelike_end_quote,
    STATE(1856), 1,
      sym__quotelike_end,
    STATE(2500), 1,
      sym_heredoc_content,
    STATE(2534), 1,
      aux_sym__interpolated_string_content,
    STATE(2616), 1,
      sym_scalar,
    STATE(2823), 1,
      sym__subscripted_interpolations,
    STATE(2847), 1,
      sym_array,
    STATE(2850), 1,
      sym__array_element_interpolation,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2998), 1,
      sym__slice_expression_interpolation,
    STATE(3013), 1,
      sym__array_deref_interpolation,
    STATE(3016), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3010), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4060), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4068), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(2967), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [5176] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4062), 1,
      anon_sym_DOLLAR,
    ACTIONS(4064), 1,
      anon_sym_AT,
    ACTIONS(4082), 1,
      sym__quotelike_end_quote,
    STATE(1821), 1,
      sym__quotelike_end,
    STATE(2497), 1,
      aux_sym__interpolated_string_content,
    STATE(2501), 1,
      sym_heredoc_content,
    STATE(2616), 1,
      sym_scalar,
    STATE(2823), 1,
      sym__subscripted_interpolations,
    STATE(2847), 1,
      sym_array,
    STATE(2850), 1,
      sym__array_element_interpolation,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2998), 1,
      sym__slice_expression_interpolation,
    STATE(3013), 1,
      sym__array_deref_interpolation,
    STATE(3016), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3010), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4060), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4068), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(2967), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [5245] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4062), 1,
      anon_sym_DOLLAR,
    ACTIONS(4064), 1,
      anon_sym_AT,
    ACTIONS(4082), 1,
      sym__quotelike_end_quote,
    STATE(1822), 1,
      sym__quotelike_end,
    STATE(2498), 1,
      aux_sym__interpolated_string_content,
    STATE(2502), 1,
      sym_heredoc_content,
    STATE(2616), 1,
      sym_scalar,
    STATE(2823), 1,
      sym__subscripted_interpolations,
    STATE(2847), 1,
      sym_array,
    STATE(2850), 1,
      sym__array_element_interpolation,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2998), 1,
      sym__slice_expression_interpolation,
    STATE(3013), 1,
      sym__array_deref_interpolation,
    STATE(3016), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3010), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4060), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4068), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(2967), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [5314] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4062), 1,
      anon_sym_DOLLAR,
    ACTIONS(4064), 1,
      anon_sym_AT,
    ACTIONS(4074), 1,
      sym__quotelike_end_quote,
    STATE(1375), 1,
      sym__quotelike_end,
    STATE(2503), 1,
      sym_heredoc_content,
    STATE(2534), 1,
      aux_sym__interpolated_string_content,
    STATE(2616), 1,
      sym_scalar,
    STATE(2823), 1,
      sym__subscripted_interpolations,
    STATE(2847), 1,
      sym_array,
    STATE(2850), 1,
      sym__array_element_interpolation,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2998), 1,
      sym__slice_expression_interpolation,
    STATE(3013), 1,
      sym__array_deref_interpolation,
    STATE(3016), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3010), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4060), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4068), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(2967), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [5383] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4062), 1,
      anon_sym_DOLLAR,
    ACTIONS(4064), 1,
      anon_sym_AT,
    ACTIONS(4082), 1,
      sym__quotelike_end_quote,
    STATE(1824), 1,
      sym__quotelike_end,
    STATE(2504), 1,
      sym_heredoc_content,
    STATE(2534), 1,
      aux_sym__interpolated_string_content,
    STATE(2616), 1,
      sym_scalar,
    STATE(2823), 1,
      sym__subscripted_interpolations,
    STATE(2847), 1,
      sym_array,
    STATE(2850), 1,
      sym__array_element_interpolation,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2998), 1,
      sym__slice_expression_interpolation,
    STATE(3013), 1,
      sym__array_deref_interpolation,
    STATE(3016), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3010), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4060), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4068), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(2967), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [5452] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4062), 1,
      anon_sym_DOLLAR,
    ACTIONS(4064), 1,
      anon_sym_AT,
    ACTIONS(4082), 1,
      sym__quotelike_end_quote,
    STATE(1838), 1,
      sym__quotelike_end,
    STATE(2499), 1,
      aux_sym__interpolated_string_content,
    STATE(2505), 1,
      sym_heredoc_content,
    STATE(2616), 1,
      sym_scalar,
    STATE(2823), 1,
      sym__subscripted_interpolations,
    STATE(2847), 1,
      sym_array,
    STATE(2850), 1,
      sym__array_element_interpolation,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2998), 1,
      sym__slice_expression_interpolation,
    STATE(3013), 1,
      sym__array_deref_interpolation,
    STATE(3016), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3010), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4060), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4068), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(2967), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [5521] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4062), 1,
      anon_sym_DOLLAR,
    ACTIONS(4064), 1,
      anon_sym_AT,
    ACTIONS(4082), 1,
      sym__quotelike_end_quote,
    STATE(1839), 1,
      sym__quotelike_end,
    STATE(2500), 1,
      aux_sym__interpolated_string_content,
    STATE(2506), 1,
      sym_heredoc_content,
    STATE(2616), 1,
      sym_scalar,
    STATE(2823), 1,
      sym__subscripted_interpolations,
    STATE(2847), 1,
      sym_array,
    STATE(2850), 1,
      sym__array_element_interpolation,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2998), 1,
      sym__slice_expression_interpolation,
    STATE(3013), 1,
      sym__array_deref_interpolation,
    STATE(3016), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3010), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4060), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4068), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(2967), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [5590] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4062), 1,
      anon_sym_DOLLAR,
    ACTIONS(4064), 1,
      anon_sym_AT,
    ACTIONS(4078), 1,
      sym__quotelike_end_quote,
    STATE(1551), 1,
      sym__quotelike_end,
    STATE(2507), 1,
      sym_heredoc_content,
    STATE(2534), 1,
      aux_sym__interpolated_string_content,
    STATE(2616), 1,
      sym_scalar,
    STATE(2823), 1,
      sym__subscripted_interpolations,
    STATE(2847), 1,
      sym_array,
    STATE(2850), 1,
      sym__array_element_interpolation,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2998), 1,
      sym__slice_expression_interpolation,
    STATE(3013), 1,
      sym__array_deref_interpolation,
    STATE(3016), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3010), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4060), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4068), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(2967), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [5659] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4062), 1,
      anon_sym_DOLLAR,
    ACTIONS(4064), 1,
      anon_sym_AT,
    ACTIONS(4084), 1,
      sym__quotelike_end_quote,
    STATE(2113), 1,
      sym__quotelike_end,
    STATE(2508), 1,
      sym_heredoc_content,
    STATE(2534), 1,
      aux_sym__interpolated_string_content,
    STATE(2616), 1,
      sym_scalar,
    STATE(2823), 1,
      sym__subscripted_interpolations,
    STATE(2847), 1,
      sym_array,
    STATE(2850), 1,
      sym__array_element_interpolation,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2998), 1,
      sym__slice_expression_interpolation,
    STATE(3013), 1,
      sym__array_deref_interpolation,
    STATE(3016), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3010), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4060), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4068), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(2967), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [5728] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4062), 1,
      anon_sym_DOLLAR,
    ACTIONS(4064), 1,
      anon_sym_AT,
    ACTIONS(4070), 1,
      sym__quotelike_end_quote,
    STATE(1707), 1,
      sym__quotelike_end,
    STATE(2509), 1,
      sym_heredoc_content,
    STATE(2534), 1,
      aux_sym__interpolated_string_content,
    STATE(2616), 1,
      sym_scalar,
    STATE(2823), 1,
      sym__subscripted_interpolations,
    STATE(2847), 1,
      sym_array,
    STATE(2850), 1,
      sym__array_element_interpolation,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2998), 1,
      sym__slice_expression_interpolation,
    STATE(3013), 1,
      sym__array_deref_interpolation,
    STATE(3016), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3010), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4060), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4068), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(2967), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [5797] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4062), 1,
      anon_sym_DOLLAR,
    ACTIONS(4064), 1,
      anon_sym_AT,
    ACTIONS(4084), 1,
      sym__quotelike_end_quote,
    STATE(2119), 1,
      sym__quotelike_end,
    STATE(2510), 1,
      sym_heredoc_content,
    STATE(2534), 1,
      aux_sym__interpolated_string_content,
    STATE(2616), 1,
      sym_scalar,
    STATE(2823), 1,
      sym__subscripted_interpolations,
    STATE(2847), 1,
      sym_array,
    STATE(2850), 1,
      sym__array_element_interpolation,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2998), 1,
      sym__slice_expression_interpolation,
    STATE(3013), 1,
      sym__array_deref_interpolation,
    STATE(3016), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3010), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4060), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4068), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(2967), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [5866] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4062), 1,
      anon_sym_DOLLAR,
    ACTIONS(4064), 1,
      anon_sym_AT,
    ACTIONS(4084), 1,
      sym__quotelike_end_quote,
    STATE(2134), 1,
      sym__quotelike_end,
    STATE(2511), 1,
      sym_heredoc_content,
    STATE(2534), 1,
      aux_sym__interpolated_string_content,
    STATE(2616), 1,
      sym_scalar,
    STATE(2823), 1,
      sym__subscripted_interpolations,
    STATE(2847), 1,
      sym_array,
    STATE(2850), 1,
      sym__array_element_interpolation,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2998), 1,
      sym__slice_expression_interpolation,
    STATE(3013), 1,
      sym__array_deref_interpolation,
    STATE(3016), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3010), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4060), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4068), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(2967), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [5935] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4062), 1,
      anon_sym_DOLLAR,
    ACTIONS(4064), 1,
      anon_sym_AT,
    ACTIONS(4084), 1,
      sym__quotelike_end_quote,
    STATE(2143), 1,
      sym__quotelike_end,
    STATE(2512), 1,
      sym_heredoc_content,
    STATE(2534), 1,
      aux_sym__interpolated_string_content,
    STATE(2616), 1,
      sym_scalar,
    STATE(2823), 1,
      sym__subscripted_interpolations,
    STATE(2847), 1,
      sym_array,
    STATE(2850), 1,
      sym__array_element_interpolation,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2998), 1,
      sym__slice_expression_interpolation,
    STATE(3013), 1,
      sym__array_deref_interpolation,
    STATE(3016), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3010), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4060), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4068), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(2967), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [6004] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4062), 1,
      anon_sym_DOLLAR,
    ACTIONS(4064), 1,
      anon_sym_AT,
    ACTIONS(4086), 1,
      sym__quotelike_end_quote,
    STATE(1692), 1,
      sym__quotelike_end,
    STATE(2513), 1,
      sym_heredoc_content,
    STATE(2514), 1,
      aux_sym__interpolated_string_content,
    STATE(2616), 1,
      sym_scalar,
    STATE(2823), 1,
      sym__subscripted_interpolations,
    STATE(2847), 1,
      sym_array,
    STATE(2850), 1,
      sym__array_element_interpolation,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2998), 1,
      sym__slice_expression_interpolation,
    STATE(3013), 1,
      sym__array_deref_interpolation,
    STATE(3016), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3010), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4060), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4068), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(2967), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [6073] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4062), 1,
      anon_sym_DOLLAR,
    ACTIONS(4064), 1,
      anon_sym_AT,
    ACTIONS(4086), 1,
      sym__quotelike_end_quote,
    STATE(1669), 1,
      sym__quotelike_end,
    STATE(2514), 1,
      sym_heredoc_content,
    STATE(2534), 1,
      aux_sym__interpolated_string_content,
    STATE(2616), 1,
      sym_scalar,
    STATE(2823), 1,
      sym__subscripted_interpolations,
    STATE(2847), 1,
      sym_array,
    STATE(2850), 1,
      sym__array_element_interpolation,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2998), 1,
      sym__slice_expression_interpolation,
    STATE(3013), 1,
      sym__array_deref_interpolation,
    STATE(3016), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3010), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4060), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4068), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(2967), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [6142] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4062), 1,
      anon_sym_DOLLAR,
    ACTIONS(4064), 1,
      anon_sym_AT,
    ACTIONS(4086), 1,
      sym__quotelike_end_quote,
    STATE(1670), 1,
      sym__quotelike_end,
    STATE(2515), 1,
      sym_heredoc_content,
    STATE(2516), 1,
      aux_sym__interpolated_string_content,
    STATE(2616), 1,
      sym_scalar,
    STATE(2823), 1,
      sym__subscripted_interpolations,
    STATE(2847), 1,
      sym_array,
    STATE(2850), 1,
      sym__array_element_interpolation,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2998), 1,
      sym__slice_expression_interpolation,
    STATE(3013), 1,
      sym__array_deref_interpolation,
    STATE(3016), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3010), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4060), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4068), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(2967), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [6211] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4062), 1,
      anon_sym_DOLLAR,
    ACTIONS(4064), 1,
      anon_sym_AT,
    ACTIONS(4086), 1,
      sym__quotelike_end_quote,
    STATE(1687), 1,
      sym__quotelike_end,
    STATE(2516), 1,
      sym_heredoc_content,
    STATE(2534), 1,
      aux_sym__interpolated_string_content,
    STATE(2616), 1,
      sym_scalar,
    STATE(2823), 1,
      sym__subscripted_interpolations,
    STATE(2847), 1,
      sym_array,
    STATE(2850), 1,
      sym__array_element_interpolation,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2998), 1,
      sym__slice_expression_interpolation,
    STATE(3013), 1,
      sym__array_deref_interpolation,
    STATE(3016), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3010), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4060), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4068), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(2967), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [6280] = 18,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4091), 1,
      anon_sym_DOLLAR,
    ACTIONS(4094), 1,
      anon_sym_AT,
    ACTIONS(4097), 1,
      sym__quotelike_end_quote,
    STATE(2568), 1,
      sym_scalar,
    STATE(2667), 1,
      sym__array_element_interpolation,
    STATE(2669), 1,
      sym__hash_element_interpolation,
    STATE(2693), 1,
      sym_array,
    STATE(2711), 1,
      sym__subscripted_interpolations,
    STATE(2879), 1,
      sym__slice_expression_interpolation,
    STATE(2881), 1,
      sym__array_deref_interpolation,
    STATE(2882), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2517), 2,
      aux_sym__interpolated_regexp_content,
      sym_heredoc_content,
    STATE(2894), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4088), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(2874), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
    ACTIONS(4099), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [6345] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4062), 1,
      anon_sym_DOLLAR,
    ACTIONS(4064), 1,
      anon_sym_AT,
    ACTIONS(4074), 1,
      sym__quotelike_end_quote,
    STATE(1322), 1,
      sym__quotelike_end,
    STATE(2485), 1,
      aux_sym__interpolated_string_content,
    STATE(2518), 1,
      sym_heredoc_content,
    STATE(2616), 1,
      sym_scalar,
    STATE(2823), 1,
      sym__subscripted_interpolations,
    STATE(2847), 1,
      sym_array,
    STATE(2850), 1,
      sym__array_element_interpolation,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2998), 1,
      sym__slice_expression_interpolation,
    STATE(3013), 1,
      sym__array_deref_interpolation,
    STATE(3016), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3010), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4060), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4068), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(2967), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [6414] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4062), 1,
      anon_sym_DOLLAR,
    ACTIONS(4064), 1,
      anon_sym_AT,
    ACTIONS(4084), 1,
      sym__quotelike_end_quote,
    STATE(2201), 1,
      sym__quotelike_end,
    STATE(2508), 1,
      aux_sym__interpolated_string_content,
    STATE(2519), 1,
      sym_heredoc_content,
    STATE(2616), 1,
      sym_scalar,
    STATE(2823), 1,
      sym__subscripted_interpolations,
    STATE(2847), 1,
      sym_array,
    STATE(2850), 1,
      sym__array_element_interpolation,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2998), 1,
      sym__slice_expression_interpolation,
    STATE(3013), 1,
      sym__array_deref_interpolation,
    STATE(3016), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3010), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4060), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4068), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(2967), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [6483] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4062), 1,
      anon_sym_DOLLAR,
    ACTIONS(4064), 1,
      anon_sym_AT,
    ACTIONS(4074), 1,
      sym__quotelike_end_quote,
    STATE(1324), 1,
      sym__quotelike_end,
    STATE(2503), 1,
      aux_sym__interpolated_string_content,
    STATE(2520), 1,
      sym_heredoc_content,
    STATE(2616), 1,
      sym_scalar,
    STATE(2823), 1,
      sym__subscripted_interpolations,
    STATE(2847), 1,
      sym_array,
    STATE(2850), 1,
      sym__array_element_interpolation,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2998), 1,
      sym__slice_expression_interpolation,
    STATE(3013), 1,
      sym__array_deref_interpolation,
    STATE(3016), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3010), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4060), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4068), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(2967), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [6552] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4062), 1,
      anon_sym_DOLLAR,
    ACTIONS(4064), 1,
      anon_sym_AT,
    ACTIONS(4084), 1,
      sym__quotelike_end_quote,
    STATE(2039), 1,
      sym__quotelike_end,
    STATE(2510), 1,
      aux_sym__interpolated_string_content,
    STATE(2521), 1,
      sym_heredoc_content,
    STATE(2616), 1,
      sym_scalar,
    STATE(2823), 1,
      sym__subscripted_interpolations,
    STATE(2847), 1,
      sym_array,
    STATE(2850), 1,
      sym__array_element_interpolation,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2998), 1,
      sym__slice_expression_interpolation,
    STATE(3013), 1,
      sym__array_deref_interpolation,
    STATE(3016), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3010), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4060), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4068), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(2967), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [6621] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4062), 1,
      anon_sym_DOLLAR,
    ACTIONS(4064), 1,
      anon_sym_AT,
    ACTIONS(4076), 1,
      sym__quotelike_end_quote,
    STATE(1251), 1,
      sym__quotelike_end,
    STATE(2522), 1,
      sym_heredoc_content,
    STATE(2534), 1,
      aux_sym__interpolated_string_content,
    STATE(2616), 1,
      sym_scalar,
    STATE(2823), 1,
      sym__subscripted_interpolations,
    STATE(2847), 1,
      sym_array,
    STATE(2850), 1,
      sym__array_element_interpolation,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2998), 1,
      sym__slice_expression_interpolation,
    STATE(3013), 1,
      sym__array_deref_interpolation,
    STATE(3016), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3010), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4060), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4068), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(2967), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [6690] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4062), 1,
      anon_sym_DOLLAR,
    ACTIONS(4064), 1,
      anon_sym_AT,
    ACTIONS(4076), 1,
      sym__quotelike_end_quote,
    STATE(1252), 1,
      sym__quotelike_end,
    STATE(2486), 1,
      aux_sym__interpolated_string_content,
    STATE(2523), 1,
      sym_heredoc_content,
    STATE(2616), 1,
      sym_scalar,
    STATE(2823), 1,
      sym__subscripted_interpolations,
    STATE(2847), 1,
      sym_array,
    STATE(2850), 1,
      sym__array_element_interpolation,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2998), 1,
      sym__slice_expression_interpolation,
    STATE(3013), 1,
      sym__array_deref_interpolation,
    STATE(3016), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3010), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4060), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4068), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(2967), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [6759] = 18,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4097), 1,
      sym__quotelike_middle_close_quote,
    ACTIONS(4105), 1,
      anon_sym_DOLLAR,
    ACTIONS(4108), 1,
      anon_sym_AT,
    STATE(2569), 1,
      sym_scalar,
    STATE(2726), 1,
      sym_array,
    STATE(2737), 1,
      sym__subscripted_interpolations,
    STATE(2740), 1,
      sym__array_element_interpolation,
    STATE(2745), 1,
      sym__hash_element_interpolation,
    STATE(2868), 1,
      sym__slice_expression_interpolation,
    STATE(2871), 1,
      sym__array_deref_interpolation,
    STATE(2872), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2524), 2,
      aux_sym__interpolated_regexp_content,
      sym_heredoc_content,
    STATE(2941), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4102), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(2864), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
    ACTIONS(4111), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [6824] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4062), 1,
      anon_sym_DOLLAR,
    ACTIONS(4064), 1,
      anon_sym_AT,
    ACTIONS(4070), 1,
      sym__quotelike_end_quote,
    STATE(1667), 1,
      sym__quotelike_end,
    STATE(2525), 1,
      sym_heredoc_content,
    STATE(2527), 1,
      aux_sym__interpolated_string_content,
    STATE(2616), 1,
      sym_scalar,
    STATE(2823), 1,
      sym__subscripted_interpolations,
    STATE(2847), 1,
      sym_array,
    STATE(2850), 1,
      sym__array_element_interpolation,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2998), 1,
      sym__slice_expression_interpolation,
    STATE(3013), 1,
      sym__array_deref_interpolation,
    STATE(3016), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3010), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4060), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4068), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(2967), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [6893] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4062), 1,
      anon_sym_DOLLAR,
    ACTIONS(4064), 1,
      anon_sym_AT,
    ACTIONS(4084), 1,
      sym__quotelike_end_quote,
    STATE(2065), 1,
      sym__quotelike_end,
    STATE(2526), 1,
      sym_heredoc_content,
    STATE(2534), 1,
      aux_sym__interpolated_string_content,
    STATE(2616), 1,
      sym_scalar,
    STATE(2823), 1,
      sym__subscripted_interpolations,
    STATE(2847), 1,
      sym_array,
    STATE(2850), 1,
      sym__array_element_interpolation,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2998), 1,
      sym__slice_expression_interpolation,
    STATE(3013), 1,
      sym__array_deref_interpolation,
    STATE(3016), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3010), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4060), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4068), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(2967), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [6962] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4062), 1,
      anon_sym_DOLLAR,
    ACTIONS(4064), 1,
      anon_sym_AT,
    ACTIONS(4070), 1,
      sym__quotelike_end_quote,
    STATE(1791), 1,
      sym__quotelike_end,
    STATE(2527), 1,
      sym_heredoc_content,
    STATE(2534), 1,
      aux_sym__interpolated_string_content,
    STATE(2616), 1,
      sym_scalar,
    STATE(2823), 1,
      sym__subscripted_interpolations,
    STATE(2847), 1,
      sym_array,
    STATE(2850), 1,
      sym__array_element_interpolation,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2998), 1,
      sym__slice_expression_interpolation,
    STATE(3013), 1,
      sym__array_deref_interpolation,
    STATE(3016), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3010), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4060), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4068), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(2967), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [7031] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4062), 1,
      anon_sym_DOLLAR,
    ACTIONS(4064), 1,
      anon_sym_AT,
    ACTIONS(4084), 1,
      sym__quotelike_end_quote,
    STATE(2104), 1,
      sym__quotelike_end,
    STATE(2511), 1,
      aux_sym__interpolated_string_content,
    STATE(2528), 1,
      sym_heredoc_content,
    STATE(2616), 1,
      sym_scalar,
    STATE(2823), 1,
      sym__subscripted_interpolations,
    STATE(2847), 1,
      sym_array,
    STATE(2850), 1,
      sym__array_element_interpolation,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2998), 1,
      sym__slice_expression_interpolation,
    STATE(3013), 1,
      sym__array_deref_interpolation,
    STATE(3016), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3010), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4060), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4068), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(2967), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [7100] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4062), 1,
      anon_sym_DOLLAR,
    ACTIONS(4064), 1,
      anon_sym_AT,
    ACTIONS(4084), 1,
      sym__quotelike_end_quote,
    STATE(2121), 1,
      sym__quotelike_end,
    STATE(2512), 1,
      aux_sym__interpolated_string_content,
    STATE(2529), 1,
      sym_heredoc_content,
    STATE(2616), 1,
      sym_scalar,
    STATE(2823), 1,
      sym__subscripted_interpolations,
    STATE(2847), 1,
      sym_array,
    STATE(2850), 1,
      sym__array_element_interpolation,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2998), 1,
      sym__slice_expression_interpolation,
    STATE(3013), 1,
      sym__array_deref_interpolation,
    STATE(3016), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3010), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4060), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4068), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(2967), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [7169] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4062), 1,
      anon_sym_DOLLAR,
    ACTIONS(4064), 1,
      anon_sym_AT,
    ACTIONS(4074), 1,
      sym__quotelike_end_quote,
    STATE(1305), 1,
      sym__quotelike_end,
    STATE(2530), 1,
      sym_heredoc_content,
    STATE(2534), 1,
      aux_sym__interpolated_string_content,
    STATE(2616), 1,
      sym_scalar,
    STATE(2823), 1,
      sym__subscripted_interpolations,
    STATE(2847), 1,
      sym_array,
    STATE(2850), 1,
      sym__array_element_interpolation,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2998), 1,
      sym__slice_expression_interpolation,
    STATE(3013), 1,
      sym__array_deref_interpolation,
    STATE(3016), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3010), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4060), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4068), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(2967), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [7238] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4062), 1,
      anon_sym_DOLLAR,
    ACTIONS(4064), 1,
      anon_sym_AT,
    ACTIONS(4070), 1,
      sym__quotelike_end_quote,
    STATE(1673), 1,
      sym__quotelike_end,
    STATE(2531), 1,
      sym_heredoc_content,
    STATE(2532), 1,
      aux_sym__interpolated_string_content,
    STATE(2616), 1,
      sym_scalar,
    STATE(2823), 1,
      sym__subscripted_interpolations,
    STATE(2847), 1,
      sym_array,
    STATE(2850), 1,
      sym__array_element_interpolation,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2998), 1,
      sym__slice_expression_interpolation,
    STATE(3013), 1,
      sym__array_deref_interpolation,
    STATE(3016), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3010), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4060), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4068), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(2967), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [7307] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4062), 1,
      anon_sym_DOLLAR,
    ACTIONS(4064), 1,
      anon_sym_AT,
    ACTIONS(4070), 1,
      sym__quotelike_end_quote,
    STATE(1793), 1,
      sym__quotelike_end,
    STATE(2532), 1,
      sym_heredoc_content,
    STATE(2534), 1,
      aux_sym__interpolated_string_content,
    STATE(2616), 1,
      sym_scalar,
    STATE(2823), 1,
      sym__subscripted_interpolations,
    STATE(2847), 1,
      sym_array,
    STATE(2850), 1,
      sym__array_element_interpolation,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2998), 1,
      sym__slice_expression_interpolation,
    STATE(3013), 1,
      sym__array_deref_interpolation,
    STATE(3016), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3010), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4060), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4068), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(2967), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [7376] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4062), 1,
      anon_sym_DOLLAR,
    ACTIONS(4064), 1,
      anon_sym_AT,
    ACTIONS(4078), 1,
      sym__quotelike_end_quote,
    STATE(1572), 1,
      sym__quotelike_end,
    STATE(2507), 1,
      aux_sym__interpolated_string_content,
    STATE(2533), 1,
      sym_heredoc_content,
    STATE(2616), 1,
      sym_scalar,
    STATE(2823), 1,
      sym__subscripted_interpolations,
    STATE(2847), 1,
      sym_array,
    STATE(2850), 1,
      sym__array_element_interpolation,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2998), 1,
      sym__slice_expression_interpolation,
    STATE(3013), 1,
      sym__array_deref_interpolation,
    STATE(3016), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3010), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4060), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4068), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(2967), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [7445] = 18,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4117), 1,
      anon_sym_DOLLAR,
    ACTIONS(4120), 1,
      anon_sym_AT,
    ACTIONS(4123), 1,
      sym__quotelike_end_quote,
    STATE(2616), 1,
      sym_scalar,
    STATE(2823), 1,
      sym__subscripted_interpolations,
    STATE(2847), 1,
      sym_array,
    STATE(2850), 1,
      sym__array_element_interpolation,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2998), 1,
      sym__slice_expression_interpolation,
    STATE(3013), 1,
      sym__array_deref_interpolation,
    STATE(3016), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2534), 2,
      aux_sym__interpolated_string_content,
      sym_heredoc_content,
    STATE(3010), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4114), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4125), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(2967), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [7509] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4130), 1,
      anon_sym_DOLLAR,
    ACTIONS(4132), 1,
      anon_sym_AT,
    ACTIONS(4136), 1,
      sym_heredoc_end,
    STATE(2535), 1,
      sym_heredoc_content,
    STATE(2539), 1,
      aux_sym_heredoc_content_repeat1,
    STATE(2754), 1,
      sym_scalar,
    STATE(2913), 1,
      sym_array,
    STATE(2914), 1,
      sym__subscripted_interpolations,
    STATE(2921), 1,
      sym__array_element_interpolation,
    STATE(2924), 1,
      sym__hash_element_interpolation,
    STATE(3023), 1,
      sym__array_deref_interpolation,
    STATE(3025), 1,
      sym__nonvar_interpolation_fallbacks,
    STATE(3035), 1,
      sym__slice_expression_interpolation,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4134), 2,
      sym_escape_sequence,
      sym__heredoc_middle,
    STATE(3021), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4128), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(3027), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [7574] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4130), 1,
      anon_sym_DOLLAR,
    ACTIONS(4132), 1,
      anon_sym_AT,
    ACTIONS(4138), 1,
      sym_heredoc_end,
    STATE(2535), 1,
      aux_sym_heredoc_content_repeat1,
    STATE(2536), 1,
      sym_heredoc_content,
    STATE(2754), 1,
      sym_scalar,
    STATE(2913), 1,
      sym_array,
    STATE(2914), 1,
      sym__subscripted_interpolations,
    STATE(2921), 1,
      sym__array_element_interpolation,
    STATE(2924), 1,
      sym__hash_element_interpolation,
    STATE(3023), 1,
      sym__array_deref_interpolation,
    STATE(3025), 1,
      sym__nonvar_interpolation_fallbacks,
    STATE(3035), 1,
      sym__slice_expression_interpolation,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4134), 2,
      sym_escape_sequence,
      sym__heredoc_middle,
    STATE(3021), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4128), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(3027), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [7639] = 18,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4062), 1,
      anon_sym_DOLLAR,
    ACTIONS(4064), 1,
      anon_sym_AT,
    STATE(2468), 1,
      aux_sym__interpolated_string_content,
    STATE(2537), 1,
      sym_heredoc_content,
    STATE(2616), 1,
      sym_scalar,
    STATE(2823), 1,
      sym__subscripted_interpolations,
    STATE(2847), 1,
      sym_array,
    STATE(2850), 1,
      sym__array_element_interpolation,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2998), 1,
      sym__slice_expression_interpolation,
    STATE(3013), 1,
      sym__array_deref_interpolation,
    STATE(3016), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3010), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4060), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4068), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(2967), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [7702] = 18,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4062), 1,
      anon_sym_DOLLAR,
    ACTIONS(4064), 1,
      anon_sym_AT,
    STATE(2526), 1,
      aux_sym__interpolated_string_content,
    STATE(2538), 1,
      sym_heredoc_content,
    STATE(2616), 1,
      sym_scalar,
    STATE(2823), 1,
      sym__subscripted_interpolations,
    STATE(2847), 1,
      sym_array,
    STATE(2850), 1,
      sym__array_element_interpolation,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2998), 1,
      sym__slice_expression_interpolation,
    STATE(3013), 1,
      sym__array_deref_interpolation,
    STATE(3016), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3010), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4060), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4068), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(2967), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [7765] = 18,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4143), 1,
      anon_sym_DOLLAR,
    ACTIONS(4146), 1,
      anon_sym_AT,
    ACTIONS(4152), 1,
      sym_heredoc_end,
    STATE(2754), 1,
      sym_scalar,
    STATE(2913), 1,
      sym_array,
    STATE(2914), 1,
      sym__subscripted_interpolations,
    STATE(2921), 1,
      sym__array_element_interpolation,
    STATE(2924), 1,
      sym__hash_element_interpolation,
    STATE(3023), 1,
      sym__array_deref_interpolation,
    STATE(3025), 1,
      sym__nonvar_interpolation_fallbacks,
    STATE(3035), 1,
      sym__slice_expression_interpolation,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4149), 2,
      sym_escape_sequence,
      sym__heredoc_middle,
    STATE(2539), 2,
      sym_heredoc_content,
      aux_sym_heredoc_content_repeat1,
    STATE(3021), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4140), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(3027), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [7828] = 18,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4062), 1,
      anon_sym_DOLLAR,
    ACTIONS(4064), 1,
      anon_sym_AT,
    STATE(2484), 1,
      aux_sym__interpolated_string_content,
    STATE(2540), 1,
      sym_heredoc_content,
    STATE(2616), 1,
      sym_scalar,
    STATE(2823), 1,
      sym__subscripted_interpolations,
    STATE(2847), 1,
      sym_array,
    STATE(2850), 1,
      sym__array_element_interpolation,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2998), 1,
      sym__slice_expression_interpolation,
    STATE(3013), 1,
      sym__array_deref_interpolation,
    STATE(3016), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3010), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4060), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4068), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(2967), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [7891] = 18,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4062), 1,
      anon_sym_DOLLAR,
    ACTIONS(4064), 1,
      anon_sym_AT,
    STATE(2530), 1,
      aux_sym__interpolated_string_content,
    STATE(2541), 1,
      sym_heredoc_content,
    STATE(2616), 1,
      sym_scalar,
    STATE(2823), 1,
      sym__subscripted_interpolations,
    STATE(2847), 1,
      sym_array,
    STATE(2850), 1,
      sym__array_element_interpolation,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2998), 1,
      sym__slice_expression_interpolation,
    STATE(3013), 1,
      sym__array_deref_interpolation,
    STATE(3016), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3010), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4060), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4068), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(2967), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [7954] = 18,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4062), 1,
      anon_sym_DOLLAR,
    ACTIONS(4064), 1,
      anon_sym_AT,
    STATE(2504), 1,
      aux_sym__interpolated_string_content,
    STATE(2542), 1,
      sym_heredoc_content,
    STATE(2616), 1,
      sym_scalar,
    STATE(2823), 1,
      sym__subscripted_interpolations,
    STATE(2847), 1,
      sym_array,
    STATE(2850), 1,
      sym__array_element_interpolation,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2998), 1,
      sym__slice_expression_interpolation,
    STATE(3013), 1,
      sym__array_deref_interpolation,
    STATE(3016), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3010), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4060), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4068), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(2967), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [8017] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(2558), 1,
      anon_sym_for,
    STATE(2543), 1,
      sym_heredoc_content,
    STATE(2544), 1,
      aux_sym__term_rightward_repeat1,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2587), 2,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
    ACTIONS(2556), 16,
      sym__PERLY_SEMICOLON,
      sym__ctrl_z_hack,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_or,
      anon_sym_xor,
      anon_sym_foreach,
      anon_sym___DATA__,
      anon_sym___END__,
      anon_sym_EOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
  [8056] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(2776), 1,
      anon_sym_for,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4154), 2,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
    STATE(2544), 2,
      sym_heredoc_content,
      aux_sym__term_rightward_repeat1,
    ACTIONS(2774), 16,
      sym__PERLY_SEMICOLON,
      sym__ctrl_z_hack,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_or,
      anon_sym_xor,
      anon_sym_foreach,
      anon_sym___DATA__,
      anon_sym___END__,
      anon_sym_EOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
  [8093] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4157), 1,
      anon_sym_RBRACE,
    ACTIONS(4161), 1,
      anon_sym_and,
    ACTIONS(4165), 1,
      anon_sym_for,
    ACTIONS(4167), 1,
      anon_sym_foreach,
    STATE(306), 1,
      sym__conditionals,
    STATE(307), 1,
      sym__loops,
    STATE(2545), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4163), 2,
      anon_sym_or,
      anon_sym_xor,
    ACTIONS(4169), 2,
      anon_sym_if,
      anon_sym_unless,
    ACTIONS(4171), 2,
      anon_sym_while,
      anon_sym_until,
    ACTIONS(4159), 6,
      sym__PERLY_SEMICOLON,
      sym__ctrl_z_hack,
      anon_sym_SEMI,
      anon_sym___DATA__,
      anon_sym___END__,
      anon_sym_EOT,
  [8142] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4161), 1,
      anon_sym_and,
    ACTIONS(4165), 1,
      anon_sym_for,
    ACTIONS(4167), 1,
      anon_sym_foreach,
    ACTIONS(4173), 1,
      anon_sym_RBRACE,
    STATE(306), 1,
      sym__conditionals,
    STATE(307), 1,
      sym__loops,
    STATE(2546), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4163), 2,
      anon_sym_or,
      anon_sym_xor,
    ACTIONS(4169), 2,
      anon_sym_if,
      anon_sym_unless,
    ACTIONS(4171), 2,
      anon_sym_while,
      anon_sym_until,
    ACTIONS(4159), 6,
      sym__PERLY_SEMICOLON,
      sym__ctrl_z_hack,
      anon_sym_SEMI,
      anon_sym___DATA__,
      anon_sym___END__,
      anon_sym_EOT,
  [8191] = 14,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4161), 1,
      anon_sym_and,
    ACTIONS(4165), 1,
      anon_sym_for,
    ACTIONS(4167), 1,
      anon_sym_foreach,
    ACTIONS(4175), 1,
      anon_sym_RBRACE,
    ACTIONS(4177), 1,
      sym__PERLY_SEMICOLON,
    STATE(306), 1,
      sym__conditionals,
    STATE(307), 1,
      sym__loops,
    STATE(2547), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4163), 2,
      anon_sym_or,
      anon_sym_xor,
    ACTIONS(4169), 2,
      anon_sym_if,
      anon_sym_unless,
    ACTIONS(4171), 2,
      anon_sym_while,
      anon_sym_until,
    ACTIONS(4159), 5,
      sym__ctrl_z_hack,
      anon_sym_SEMI,
      anon_sym___DATA__,
      anon_sym___END__,
      anon_sym_EOT,
  [8242] = 14,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4161), 1,
      anon_sym_and,
    ACTIONS(4165), 1,
      anon_sym_for,
    ACTIONS(4167), 1,
      anon_sym_foreach,
    ACTIONS(4173), 1,
      anon_sym_RBRACE,
    ACTIONS(4180), 1,
      sym__PERLY_SEMICOLON,
    STATE(306), 1,
      sym__conditionals,
    STATE(307), 1,
      sym__loops,
    STATE(2548), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4163), 2,
      anon_sym_or,
      anon_sym_xor,
    ACTIONS(4169), 2,
      anon_sym_if,
      anon_sym_unless,
    ACTIONS(4171), 2,
      anon_sym_while,
      anon_sym_until,
    ACTIONS(4159), 5,
      sym__ctrl_z_hack,
      anon_sym_SEMI,
      anon_sym___DATA__,
      anon_sym___END__,
      anon_sym_EOT,
  [8293] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4161), 1,
      anon_sym_and,
    ACTIONS(4165), 1,
      anon_sym_for,
    ACTIONS(4167), 1,
      anon_sym_foreach,
    ACTIONS(4183), 1,
      anon_sym_RBRACE,
    STATE(306), 1,
      sym__conditionals,
    STATE(307), 1,
      sym__loops,
    STATE(2549), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4163), 2,
      anon_sym_or,
      anon_sym_xor,
    ACTIONS(4169), 2,
      anon_sym_if,
      anon_sym_unless,
    ACTIONS(4171), 2,
      anon_sym_while,
      anon_sym_until,
    ACTIONS(4159), 6,
      sym__PERLY_SEMICOLON,
      sym__ctrl_z_hack,
      anon_sym_SEMI,
      anon_sym___DATA__,
      anon_sym___END__,
      anon_sym_EOT,
  [8342] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4161), 1,
      anon_sym_and,
    ACTIONS(4165), 1,
      anon_sym_for,
    ACTIONS(4167), 1,
      anon_sym_foreach,
    ACTIONS(4185), 1,
      anon_sym_RBRACE,
    STATE(306), 1,
      sym__conditionals,
    STATE(307), 1,
      sym__loops,
    STATE(2550), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4163), 2,
      anon_sym_or,
      anon_sym_xor,
    ACTIONS(4169), 2,
      anon_sym_if,
      anon_sym_unless,
    ACTIONS(4171), 2,
      anon_sym_while,
      anon_sym_until,
    ACTIONS(4159), 6,
      sym__PERLY_SEMICOLON,
      sym__ctrl_z_hack,
      anon_sym_SEMI,
      anon_sym___DATA__,
      anon_sym___END__,
      anon_sym_EOT,
  [8391] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4161), 1,
      anon_sym_and,
    ACTIONS(4165), 1,
      anon_sym_for,
    ACTIONS(4167), 1,
      anon_sym_foreach,
    ACTIONS(4187), 1,
      anon_sym_RPAREN,
    STATE(306), 1,
      sym__conditionals,
    STATE(307), 1,
      sym__loops,
    STATE(2551), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4163), 2,
      anon_sym_or,
      anon_sym_xor,
    ACTIONS(4169), 2,
      anon_sym_if,
      anon_sym_unless,
    ACTIONS(4171), 2,
      anon_sym_while,
      anon_sym_until,
    ACTIONS(4159), 6,
      sym__PERLY_SEMICOLON,
      sym__ctrl_z_hack,
      anon_sym_SEMI,
      anon_sym___DATA__,
      anon_sym___END__,
      anon_sym_EOT,
  [8440] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4161), 1,
      anon_sym_and,
    ACTIONS(4165), 1,
      anon_sym_for,
    ACTIONS(4167), 1,
      anon_sym_foreach,
    ACTIONS(4175), 1,
      anon_sym_RBRACE,
    STATE(306), 1,
      sym__conditionals,
    STATE(307), 1,
      sym__loops,
    STATE(2552), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4163), 2,
      anon_sym_or,
      anon_sym_xor,
    ACTIONS(4169), 2,
      anon_sym_if,
      anon_sym_unless,
    ACTIONS(4171), 2,
      anon_sym_while,
      anon_sym_until,
    ACTIONS(4159), 6,
      sym__PERLY_SEMICOLON,
      sym__ctrl_z_hack,
      anon_sym_SEMI,
      anon_sym___DATA__,
      anon_sym___END__,
      anon_sym_EOT,
  [8489] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4161), 1,
      anon_sym_and,
    ACTIONS(4165), 1,
      anon_sym_for,
    ACTIONS(4167), 1,
      anon_sym_foreach,
    ACTIONS(4189), 1,
      anon_sym_RPAREN,
    STATE(306), 1,
      sym__conditionals,
    STATE(307), 1,
      sym__loops,
    STATE(2553), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4163), 2,
      anon_sym_or,
      anon_sym_xor,
    ACTIONS(4169), 2,
      anon_sym_if,
      anon_sym_unless,
    ACTIONS(4171), 2,
      anon_sym_while,
      anon_sym_until,
    ACTIONS(4159), 6,
      sym__PERLY_SEMICOLON,
      sym__ctrl_z_hack,
      anon_sym_SEMI,
      anon_sym___DATA__,
      anon_sym___END__,
      anon_sym_EOT,
  [8538] = 14,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4157), 1,
      anon_sym_RBRACE,
    ACTIONS(4161), 1,
      anon_sym_and,
    ACTIONS(4165), 1,
      anon_sym_for,
    ACTIONS(4167), 1,
      anon_sym_foreach,
    ACTIONS(4191), 1,
      sym__PERLY_SEMICOLON,
    STATE(306), 1,
      sym__conditionals,
    STATE(307), 1,
      sym__loops,
    STATE(2554), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4163), 2,
      anon_sym_or,
      anon_sym_xor,
    ACTIONS(4169), 2,
      anon_sym_if,
      anon_sym_unless,
    ACTIONS(4171), 2,
      anon_sym_while,
      anon_sym_until,
    ACTIONS(4159), 5,
      sym__ctrl_z_hack,
      anon_sym_SEMI,
      anon_sym___DATA__,
      anon_sym___END__,
      anon_sym_EOT,
  [8589] = 14,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4161), 1,
      anon_sym_and,
    ACTIONS(4165), 1,
      anon_sym_for,
    ACTIONS(4167), 1,
      anon_sym_foreach,
    ACTIONS(4185), 1,
      anon_sym_RBRACE,
    ACTIONS(4194), 1,
      sym__PERLY_SEMICOLON,
    STATE(306), 1,
      sym__conditionals,
    STATE(307), 1,
      sym__loops,
    STATE(2555), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4163), 2,
      anon_sym_or,
      anon_sym_xor,
    ACTIONS(4169), 2,
      anon_sym_if,
      anon_sym_unless,
    ACTIONS(4171), 2,
      anon_sym_while,
      anon_sym_until,
    ACTIONS(4159), 5,
      sym__ctrl_z_hack,
      anon_sym_SEMI,
      anon_sym___DATA__,
      anon_sym___END__,
      anon_sym_EOT,
  [8640] = 14,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4161), 1,
      anon_sym_and,
    ACTIONS(4165), 1,
      anon_sym_for,
    ACTIONS(4167), 1,
      anon_sym_foreach,
    ACTIONS(4183), 1,
      anon_sym_RBRACE,
    ACTIONS(4197), 1,
      sym__PERLY_SEMICOLON,
    STATE(306), 1,
      sym__conditionals,
    STATE(307), 1,
      sym__loops,
    STATE(2556), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4163), 2,
      anon_sym_or,
      anon_sym_xor,
    ACTIONS(4169), 2,
      anon_sym_if,
      anon_sym_unless,
    ACTIONS(4171), 2,
      anon_sym_while,
      anon_sym_until,
    ACTIONS(4159), 5,
      sym__ctrl_z_hack,
      anon_sym_SEMI,
      anon_sym___DATA__,
      anon_sym___END__,
      anon_sym_EOT,
  [8691] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4161), 1,
      anon_sym_and,
    ACTIONS(4165), 1,
      anon_sym_for,
    ACTIONS(4167), 1,
      anon_sym_foreach,
    ACTIONS(4200), 1,
      anon_sym_RPAREN,
    STATE(306), 1,
      sym__conditionals,
    STATE(307), 1,
      sym__loops,
    STATE(2557), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4163), 2,
      anon_sym_or,
      anon_sym_xor,
    ACTIONS(4169), 2,
      anon_sym_if,
      anon_sym_unless,
    ACTIONS(4171), 2,
      anon_sym_while,
      anon_sym_until,
    ACTIONS(4159), 6,
      sym__PERLY_SEMICOLON,
      sym__ctrl_z_hack,
      anon_sym_SEMI,
      anon_sym___DATA__,
      anon_sym___END__,
      anon_sym_EOT,
  [8740] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      anon_sym_DOLLAR,
    ACTIONS(4208), 1,
      aux_sym__interpolation_fallbacks_token1,
    ACTIONS(4210), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4214), 1,
      sym__quotelike_end_quote,
    STATE(25), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2558), 1,
      sym_heredoc_content,
    STATE(2665), 1,
      sym__var_indirob_autoquote,
    STATE(2762), 1,
      sym__indirob,
    STATE(2781), 1,
      sym_block,
    STATE(2861), 1,
      sym__var_indirob,
    STATE(3015), 1,
      sym__quotelike_end,
    ACTIONS(4202), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    ACTIONS(4212), 2,
      sym__quotelike_end_zw,
      sym__no_interp_whitespace_zw,
    STATE(2758), 2,
      sym_scalar,
      sym__ident_special,
  [8798] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4218), 1,
      anon_sym_for,
    STATE(2559), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4216), 16,
      sym__PERLY_SEMICOLON,
      sym__ctrl_z_hack,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_or,
      anon_sym_xor,
      anon_sym_foreach,
      anon_sym___DATA__,
      anon_sym___END__,
      anon_sym_EOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
  [8830] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4222), 1,
      anon_sym_DOLLAR,
    ACTIONS(4224), 1,
      aux_sym__interpolation_fallbacks_token1,
    ACTIONS(4226), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4230), 1,
      sym__quotelike_end_quote,
    STATE(23), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2560), 1,
      sym_heredoc_content,
    STATE(2815), 1,
      sym__indirob,
    STATE(2829), 1,
      sym_block,
    STATE(2844), 1,
      sym__var_indirob_autoquote,
    STATE(2885), 1,
      sym__var_indirob,
    STATE(3041), 1,
      sym__quotelike_end,
    ACTIONS(4220), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    ACTIONS(4228), 2,
      sym__quotelike_end_zw,
      sym__no_interp_whitespace_zw,
    STATE(2824), 2,
      sym_scalar,
      sym__ident_special,
  [8888] = 12,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4161), 1,
      anon_sym_and,
    ACTIONS(4165), 1,
      anon_sym_for,
    ACTIONS(4167), 1,
      anon_sym_foreach,
    STATE(306), 1,
      sym__conditionals,
    STATE(307), 1,
      sym__loops,
    STATE(2561), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4163), 2,
      anon_sym_or,
      anon_sym_xor,
    ACTIONS(4169), 2,
      anon_sym_if,
      anon_sym_unless,
    ACTIONS(4171), 2,
      anon_sym_while,
      anon_sym_until,
    ACTIONS(4159), 6,
      sym__PERLY_SEMICOLON,
      sym__ctrl_z_hack,
      anon_sym_SEMI,
      anon_sym___DATA__,
      anon_sym___END__,
      anon_sym_EOT,
  [8934] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4234), 1,
      anon_sym_for,
    STATE(2562), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4232), 16,
      sym__PERLY_SEMICOLON,
      sym__ctrl_z_hack,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_or,
      anon_sym_xor,
      anon_sym_foreach,
      anon_sym___DATA__,
      anon_sym___END__,
      anon_sym_EOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
  [8966] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4238), 1,
      anon_sym_for,
    STATE(2563), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4236), 16,
      sym__PERLY_SEMICOLON,
      sym__ctrl_z_hack,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_or,
      anon_sym_xor,
      anon_sym_foreach,
      anon_sym___DATA__,
      anon_sym___END__,
      anon_sym_EOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
  [8998] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4242), 1,
      anon_sym_for,
    STATE(2564), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4240), 16,
      sym__PERLY_SEMICOLON,
      sym__ctrl_z_hack,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_or,
      anon_sym_xor,
      anon_sym_foreach,
      anon_sym___DATA__,
      anon_sym___END__,
      anon_sym_EOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
  [9030] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4246), 1,
      anon_sym_DOLLAR,
    ACTIONS(4248), 1,
      aux_sym__interpolation_fallbacks_token1,
    ACTIONS(4250), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4254), 1,
      sym__quotelike_end_quote,
    STATE(30), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2565), 1,
      sym_heredoc_content,
    STATE(2589), 1,
      sym__indirob,
    STATE(2659), 1,
      sym_block,
    STATE(2660), 1,
      sym__var_indirob_autoquote,
    STATE(2779), 1,
      sym__var_indirob,
    STATE(2948), 1,
      sym__quotelike_end,
    ACTIONS(4244), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    ACTIONS(4252), 2,
      sym__quotelike_end_zw,
      sym__no_interp_whitespace_zw,
    STATE(2655), 2,
      sym_scalar,
      sym__ident_special,
  [9088] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4161), 1,
      anon_sym_and,
    ACTIONS(4218), 1,
      anon_sym_for,
    STATE(2566), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4216), 15,
      sym__PERLY_SEMICOLON,
      sym__ctrl_z_hack,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_or,
      anon_sym_xor,
      anon_sym_foreach,
      anon_sym___DATA__,
      anon_sym___END__,
      anon_sym_EOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
  [9122] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4258), 1,
      anon_sym_DOLLAR,
    ACTIONS(4260), 1,
      aux_sym__interpolation_fallbacks_token1,
    ACTIONS(4262), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4266), 1,
      sym__quotelike_end_quote,
    STATE(38), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2567), 1,
      sym_heredoc_content,
    STATE(2617), 1,
      sym_block,
    STATE(2619), 1,
      sym__var_indirob_autoquote,
    STATE(2654), 1,
      sym__indirob,
    STATE(2697), 1,
      sym__var_indirob,
    STATE(2884), 1,
      sym__quotelike_end,
    ACTIONS(4256), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    ACTIONS(4264), 2,
      sym__quotelike_end_zw,
      sym__no_interp_whitespace_zw,
    STATE(2653), 2,
      sym_scalar,
      sym__ident_special,
  [9180] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4272), 1,
      anon_sym_DASH_GT2,
    ACTIONS(4274), 1,
      anon_sym_LBRACK2,
    ACTIONS(4276), 1,
      anon_sym_LBRACE2,
    STATE(2568), 1,
      sym_heredoc_content,
    STATE(3345), 1,
      sym__interp_arrow,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4268), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4270), 7,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
  [9217] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4278), 1,
      anon_sym_DASH_GT2,
    ACTIONS(4280), 1,
      anon_sym_LBRACK2,
    ACTIONS(4282), 1,
      anon_sym_LBRACE2,
    STATE(2569), 1,
      sym_heredoc_content,
    STATE(3353), 1,
      sym__interp_arrow,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4268), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4270), 7,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
  [9254] = 14,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4284), 1,
      anon_sym_DOLLAR,
    ACTIONS(4286), 1,
      anon_sym_AT,
    ACTIONS(4290), 1,
      anon_sym_sub,
    ACTIONS(4292), 1,
      anon_sym_method,
    ACTIONS(4294), 1,
      anon_sym_LPAREN,
    ACTIONS(4296), 1,
      anon_sym_PERCENT2,
    STATE(1260), 1,
      sym__declared_vars,
    STATE(1262), 1,
      sym__decl_variable_list,
    STATE(2570), 1,
      sym_heredoc_content,
    STATE(3369), 1,
      aux_sym_subroutine_declaration_statement_repeat1,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4288), 2,
      anon_sym_extended,
      anon_sym_async,
    STATE(1230), 3,
      sym__declare_scalar,
      sym__declare_array,
      sym__declare_hash,
  [9301] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4298), 1,
      anon_sym_COLON,
    ACTIONS(4301), 1,
      anon_sym_DOLLAR,
    ACTIONS(4304), 1,
      anon_sym_AT,
    ACTIONS(4307), 1,
      anon_sym_RPAREN,
    ACTIONS(4309), 1,
      anon_sym_PERCENT2,
    STATE(3008), 1,
      sym__signature_scalar,
    STATE(3296), 1,
      sym__signature_vars,
    STATE(3297), 1,
      sym__signature_array,
    STATE(3298), 1,
      sym__signature_hash,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2571), 2,
      sym_heredoc_content,
      aux_sym_signature_repeat1,
    STATE(3295), 4,
      sym_mandatory_parameter,
      sym_optional_parameter,
      sym_named_parameter,
      sym_slurpy_parameter,
  [9346] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4312), 1,
      sym__NONASSOC,
    STATE(2572), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1859), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1861), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [9377] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2573), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1824), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1826), 11,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      sym__NONASSOC,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [9406] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4312), 1,
      sym__NONASSOC,
    STATE(2574), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1863), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1865), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [9437] = 14,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4284), 1,
      anon_sym_DOLLAR,
    ACTIONS(4286), 1,
      anon_sym_AT,
    ACTIONS(4294), 1,
      anon_sym_LPAREN,
    ACTIONS(4296), 1,
      anon_sym_PERCENT2,
    ACTIONS(4314), 1,
      anon_sym_sub,
    ACTIONS(4316), 1,
      anon_sym_method,
    STATE(1260), 1,
      sym__declared_vars,
    STATE(1262), 1,
      sym__decl_variable_list,
    STATE(2575), 1,
      sym_heredoc_content,
    STATE(3365), 1,
      aux_sym_subroutine_declaration_statement_repeat1,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4288), 2,
      anon_sym_extended,
      anon_sym_async,
    STATE(1230), 3,
      sym__declare_scalar,
      sym__declare_array,
      sym__declare_hash,
  [9484] = 14,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4318), 1,
      anon_sym_COLON,
    ACTIONS(4320), 1,
      anon_sym_DOLLAR,
    ACTIONS(4322), 1,
      anon_sym_AT,
    ACTIONS(4324), 1,
      anon_sym_RPAREN,
    ACTIONS(4326), 1,
      anon_sym_PERCENT2,
    STATE(2576), 1,
      sym_heredoc_content,
    STATE(2582), 1,
      aux_sym_signature_repeat1,
    STATE(3008), 1,
      sym__signature_scalar,
    STATE(3296), 1,
      sym__signature_vars,
    STATE(3297), 1,
      sym__signature_array,
    STATE(3298), 1,
      sym__signature_hash,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3295), 4,
      sym_mandatory_parameter,
      sym_optional_parameter,
      sym_named_parameter,
      sym_slurpy_parameter,
  [9531] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2577), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1834), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1836), 11,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      sym__NONASSOC,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [9560] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2578), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1661), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1659), 11,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      sym__NONASSOC,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [9589] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2579), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1834), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1836), 11,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      sym__NONASSOC,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [9618] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2580), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1824), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1826), 11,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      sym__NONASSOC,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [9647] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2581), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1661), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1659), 11,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      sym__NONASSOC,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [9676] = 14,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4318), 1,
      anon_sym_COLON,
    ACTIONS(4320), 1,
      anon_sym_DOLLAR,
    ACTIONS(4322), 1,
      anon_sym_AT,
    ACTIONS(4326), 1,
      anon_sym_PERCENT2,
    ACTIONS(4328), 1,
      anon_sym_RPAREN,
    STATE(2571), 1,
      aux_sym_signature_repeat1,
    STATE(2582), 1,
      sym_heredoc_content,
    STATE(3008), 1,
      sym__signature_scalar,
    STATE(3296), 1,
      sym__signature_vars,
    STATE(3297), 1,
      sym__signature_array,
    STATE(3298), 1,
      sym__signature_hash,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3295), 4,
      sym_mandatory_parameter,
      sym_optional_parameter,
      sym_named_parameter,
      sym_slurpy_parameter,
  [9723] = 14,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4284), 1,
      anon_sym_DOLLAR,
    ACTIONS(4286), 1,
      anon_sym_AT,
    ACTIONS(4294), 1,
      anon_sym_LPAREN,
    ACTIONS(4296), 1,
      anon_sym_PERCENT2,
    ACTIONS(4330), 1,
      anon_sym_sub,
    ACTIONS(4332), 1,
      anon_sym_method,
    STATE(1260), 1,
      sym__declared_vars,
    STATE(1262), 1,
      sym__decl_variable_list,
    STATE(2583), 1,
      sym_heredoc_content,
    STATE(3348), 1,
      aux_sym_subroutine_declaration_statement_repeat1,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4288), 2,
      anon_sym_extended,
      anon_sym_async,
    STATE(1230), 3,
      sym__declare_scalar,
      sym__declare_array,
      sym__declare_hash,
  [9770] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4334), 1,
      sym__NONASSOC,
    STATE(2584), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1859), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1861), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [9801] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4334), 1,
      sym__NONASSOC,
    STATE(2585), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1863), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1865), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [9832] = 11,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4028), 1,
      sym__quotelike_middle_close_quote,
    STATE(2586), 1,
      sym_heredoc_content,
    STATE(2613), 1,
      aux_sym__interpolated_transliteration_content,
    STATE(2727), 1,
      sym__quotelike_middle,
    STATE(2959), 1,
      sym__nonvar_interpolation_fallbacks,
    STATE(3789), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4338), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(4336), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4340), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [9872] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2587), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1851), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1853), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [9900] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2588), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1855), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1857), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [9928] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2589), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1863), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1865), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [9956] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4344), 1,
      anon_sym_DOLLAR,
    ACTIONS(4346), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4348), 1,
      sym__dollar_ident_zw,
    STATE(24), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2590), 1,
      sym_heredoc_content,
    STATE(3582), 1,
      sym__var_indirob,
    ACTIONS(4342), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(3430), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(3427), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [10000] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2591), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1828), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1832), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [10028] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2592), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1834), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1836), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [10056] = 11,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4028), 1,
      sym__quotelike_middle_close_quote,
    STATE(2593), 1,
      sym_heredoc_content,
    STATE(2597), 1,
      aux_sym__interpolated_transliteration_content,
    STATE(2768), 1,
      sym__quotelike_middle,
    STATE(2959), 1,
      sym__nonvar_interpolation_fallbacks,
    STATE(3789), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4338), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(4336), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4340), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [10096] = 15,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4352), 1,
      anon_sym_LBRACE,
    ACTIONS(4354), 1,
      anon_sym_DOLLAR,
    ACTIONS(4356), 1,
      anon_sym_AT,
    ACTIONS(4358), 1,
      anon_sym_LPAREN,
    ACTIONS(4360), 1,
      anon_sym_LBRACK,
    ACTIONS(4362), 1,
      anon_sym_PERCENT,
    ACTIONS(4364), 1,
      anon_sym_AMP,
    ACTIONS(4366), 1,
      anon_sym_STAR,
    ACTIONS(4368), 1,
      anon_sym_DOLLAR_POUND,
    STATE(1987), 1,
      sym_method,
    STATE(2003), 1,
      sym_scalar,
    STATE(2594), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4350), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [10144] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4246), 1,
      anon_sym_DOLLAR,
    ACTIONS(4250), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4370), 1,
      sym__no_interp_whitespace_zw,
    STATE(30), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2584), 1,
      sym_block,
    STATE(2585), 1,
      sym__var_indirob_autoquote,
    STATE(2589), 1,
      sym__indirob,
    STATE(2595), 1,
      sym_heredoc_content,
    STATE(2608), 1,
      sym__var_indirob,
    ACTIONS(4244), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(2655), 2,
      sym_scalar,
      sym__ident_special,
  [10192] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2596), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1824), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1826), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__NONASSOC,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [10220] = 11,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4028), 1,
      sym__quotelike_middle_close_quote,
    STATE(2597), 1,
      sym_heredoc_content,
    STATE(2775), 1,
      sym__quotelike_middle,
    STATE(2799), 1,
      aux_sym__interpolated_transliteration_content,
    STATE(2959), 1,
      sym__nonvar_interpolation_fallbacks,
    STATE(3789), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4338), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(4336), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4340), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [10260] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4374), 1,
      anon_sym_DOLLAR,
    ACTIONS(4376), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4378), 1,
      sym__no_interp_whitespace_zw,
    STATE(47), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2598), 1,
      sym_heredoc_content,
    STATE(2886), 1,
      sym__var_indirob,
    ACTIONS(4372), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(2907), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(2905), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [10304] = 11,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4028), 1,
      sym__quotelike_middle_close_quote,
    STATE(2599), 1,
      sym_heredoc_content,
    STATE(2622), 1,
      aux_sym__interpolated_transliteration_content,
    STATE(2695), 1,
      sym__quotelike_middle,
    STATE(2959), 1,
      sym__nonvar_interpolation_fallbacks,
    STATE(3789), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4338), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(4336), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4340), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [10344] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2600), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1851), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1853), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [10372] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4382), 1,
      anon_sym_DOLLAR,
    ACTIONS(4384), 1,
      anon_sym_STAR,
    ACTIONS(4386), 1,
      aux_sym__ident_special_token1,
    STATE(37), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1945), 1,
      sym__var_indirob,
    STATE(2601), 1,
      sym_heredoc_content,
    ACTIONS(4380), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1943), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(1942), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [10416] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4390), 1,
      anon_sym_DOLLAR,
    ACTIONS(4392), 1,
      anon_sym_STAR,
    ACTIONS(4394), 1,
      aux_sym__ident_special_token1,
    STATE(22), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1223), 1,
      sym__var_indirob,
    STATE(2602), 1,
      sym_heredoc_content,
    ACTIONS(4388), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1206), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(1213), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [10460] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2603), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1661), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1659), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [10488] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2604), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1834), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1836), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [10516] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2605), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1855), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1857), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [10544] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      anon_sym_DOLLAR,
    ACTIONS(4210), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4396), 1,
      sym__dollar_ident_zw,
    STATE(32), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2606), 1,
      sym_heredoc_content,
    STATE(2776), 1,
      sym__var_indirob,
    ACTIONS(4202), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(2762), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(2758), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [10588] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2607), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1824), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1826), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [10616] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2608), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1828), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1832), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [10644] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4390), 1,
      anon_sym_DOLLAR,
    ACTIONS(4394), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4398), 1,
      sym__dollar_ident_zw,
    STATE(22), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1229), 1,
      sym__var_indirob,
    STATE(2609), 1,
      sym_heredoc_content,
    ACTIONS(4388), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1206), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(1213), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [10688] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2610), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1661), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1659), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [10716] = 15,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4402), 1,
      anon_sym_LBRACE,
    ACTIONS(4404), 1,
      anon_sym_DOLLAR,
    ACTIONS(4406), 1,
      anon_sym_AT,
    ACTIONS(4408), 1,
      anon_sym_LPAREN,
    ACTIONS(4410), 1,
      anon_sym_LBRACK,
    ACTIONS(4412), 1,
      anon_sym_PERCENT,
    ACTIONS(4414), 1,
      anon_sym_AMP,
    ACTIONS(4416), 1,
      anon_sym_STAR,
    ACTIONS(4418), 1,
      anon_sym_DOLLAR_POUND,
    STATE(2095), 1,
      sym_scalar,
    STATE(2096), 1,
      sym_method,
    STATE(2611), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4400), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [10764] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2612), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1824), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1826), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [10792] = 11,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4028), 1,
      sym__quotelike_middle_close_quote,
    STATE(2613), 1,
      sym_heredoc_content,
    STATE(2729), 1,
      sym__quotelike_middle,
    STATE(2799), 1,
      aux_sym__interpolated_transliteration_content,
    STATE(2959), 1,
      sym__nonvar_interpolation_fallbacks,
    STATE(3789), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4338), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(4336), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4340), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [10832] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4422), 1,
      anon_sym_DOLLAR,
    ACTIONS(4424), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4426), 1,
      sym__no_interp_whitespace_zw,
    STATE(19), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2614), 1,
      sym_heredoc_content,
    STATE(2896), 1,
      sym__var_indirob,
    ACTIONS(4420), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(2939), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(2938), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [10876] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4430), 1,
      anon_sym_DOLLAR,
    ACTIONS(4432), 1,
      anon_sym_STAR,
    ACTIONS(4434), 1,
      aux_sym__ident_special_token1,
    STATE(48), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1506), 1,
      sym__var_indirob,
    STATE(2615), 1,
      sym_heredoc_content,
    ACTIONS(4428), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1504), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(1503), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [10920] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4436), 1,
      anon_sym_DASH_GT2,
    ACTIONS(4438), 1,
      anon_sym_LBRACK2,
    ACTIONS(4440), 1,
      anon_sym_LBRACE2,
    STATE(2616), 1,
      sym_heredoc_content,
    STATE(3367), 1,
      sym__interp_arrow,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4268), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4270), 6,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_DOLLAR,
      anon_sym_AT,
  [10956] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4442), 1,
      sym__NONASSOC,
    STATE(2617), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1859), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(1861), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [10986] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4446), 1,
      anon_sym_DOLLAR,
    ACTIONS(4448), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4450), 1,
      sym__dollar_ident_zw,
    STATE(26), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1475), 1,
      sym__var_indirob,
    STATE(2618), 1,
      sym_heredoc_content,
    ACTIONS(4444), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1451), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(1500), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [11030] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4442), 1,
      sym__NONASSOC,
    STATE(2619), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1863), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(1865), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [11060] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4390), 1,
      anon_sym_DOLLAR,
    ACTIONS(4394), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4452), 1,
      sym__dollar_ident_zw,
    STATE(22), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1223), 1,
      sym__var_indirob,
    STATE(2620), 1,
      sym_heredoc_content,
    ACTIONS(4388), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1206), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(1213), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [11104] = 11,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4028), 1,
      sym__quotelike_middle_close_quote,
    STATE(2621), 1,
      sym_heredoc_content,
    STATE(2625), 1,
      aux_sym__interpolated_transliteration_content,
    STATE(2676), 1,
      sym__quotelike_middle,
    STATE(2959), 1,
      sym__nonvar_interpolation_fallbacks,
    STATE(3789), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4338), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(4336), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4340), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [11144] = 11,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4028), 1,
      sym__quotelike_middle_close_quote,
    STATE(2622), 1,
      sym_heredoc_content,
    STATE(2749), 1,
      sym__quotelike_middle,
    STATE(2799), 1,
      aux_sym__interpolated_transliteration_content,
    STATE(2959), 1,
      sym__nonvar_interpolation_fallbacks,
    STATE(3789), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4338), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(4336), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4340), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [11184] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4222), 1,
      anon_sym_DOLLAR,
    ACTIONS(4226), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4454), 1,
      sym__dollar_ident_zw,
    STATE(31), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2623), 1,
      sym_heredoc_content,
    STATE(2848), 1,
      sym__var_indirob,
    ACTIONS(4220), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(2815), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(2824), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [11228] = 15,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4458), 1,
      anon_sym_LBRACE,
    ACTIONS(4460), 1,
      anon_sym_DOLLAR,
    ACTIONS(4462), 1,
      anon_sym_AT,
    ACTIONS(4464), 1,
      anon_sym_LPAREN,
    ACTIONS(4466), 1,
      anon_sym_LBRACK,
    ACTIONS(4468), 1,
      anon_sym_PERCENT,
    ACTIONS(4470), 1,
      anon_sym_AMP,
    ACTIONS(4472), 1,
      anon_sym_STAR,
    ACTIONS(4474), 1,
      anon_sym_DOLLAR_POUND,
    STATE(1604), 1,
      sym_scalar,
    STATE(1609), 1,
      sym_method,
    STATE(2624), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4456), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [11276] = 11,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4028), 1,
      sym__quotelike_middle_close_quote,
    STATE(2625), 1,
      sym_heredoc_content,
    STATE(2678), 1,
      sym__quotelike_middle,
    STATE(2799), 1,
      aux_sym__interpolated_transliteration_content,
    STATE(2959), 1,
      sym__nonvar_interpolation_fallbacks,
    STATE(3789), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4338), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(4336), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4340), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [11316] = 15,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4478), 1,
      anon_sym_LBRACE,
    ACTIONS(4480), 1,
      anon_sym_DOLLAR,
    ACTIONS(4482), 1,
      anon_sym_AT,
    ACTIONS(4484), 1,
      anon_sym_LPAREN,
    ACTIONS(4486), 1,
      anon_sym_LBRACK,
    ACTIONS(4488), 1,
      anon_sym_PERCENT,
    ACTIONS(4490), 1,
      anon_sym_AMP,
    ACTIONS(4492), 1,
      anon_sym_STAR,
    ACTIONS(4494), 1,
      anon_sym_DOLLAR_POUND,
    STATE(1261), 1,
      sym_scalar,
    STATE(1267), 1,
      sym_method,
    STATE(2626), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4476), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [11364] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4498), 1,
      anon_sym_DOLLAR,
    ACTIONS(4500), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4502), 1,
      sym__dollar_ident_zw,
    STATE(49), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(701), 1,
      sym__var_indirob,
    STATE(2627), 1,
      sym_heredoc_content,
    ACTIONS(4496), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(709), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(708), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [11408] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4506), 1,
      anon_sym_DOLLAR,
    ACTIONS(4508), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4510), 1,
      sym__dollar_ident_zw,
    STATE(29), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(687), 1,
      sym__var_indirob,
    STATE(2628), 1,
      sym_heredoc_content,
    ACTIONS(4504), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(694), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(693), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [11452] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4246), 1,
      anon_sym_DOLLAR,
    ACTIONS(4250), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4512), 1,
      sym__dollar_ident_zw,
    STATE(39), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2608), 1,
      sym__var_indirob,
    STATE(2629), 1,
      sym_heredoc_content,
    ACTIONS(4244), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(2589), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(2655), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [11496] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4516), 1,
      anon_sym_DOLLAR,
    ACTIONS(4518), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4520), 1,
      sym__dollar_ident_zw,
    STATE(33), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(819), 1,
      sym__var_indirob,
    STATE(2630), 1,
      sym_heredoc_content,
    ACTIONS(4514), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(815), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(809), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [11540] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4524), 1,
      anon_sym_DOLLAR,
    ACTIONS(4526), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4528), 1,
      sym__no_interp_whitespace_zw,
    STATE(40), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2631), 1,
      sym_heredoc_content,
    STATE(3051), 1,
      sym__var_indirob,
    ACTIONS(4522), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(3045), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(3036), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [11584] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4532), 1,
      anon_sym_DOLLAR,
    ACTIONS(4534), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4536), 1,
      sym__dollar_ident_zw,
    STATE(34), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(798), 1,
      sym__var_indirob,
    STATE(2632), 1,
      sym_heredoc_content,
    ACTIONS(4530), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(803), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(799), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [11628] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4540), 1,
      anon_sym_DOLLAR,
    ACTIONS(4542), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4544), 1,
      sym__dollar_ident_zw,
    STATE(35), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(831), 1,
      sym__var_indirob,
    STATE(2633), 1,
      sym_heredoc_content,
    ACTIONS(4538), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(843), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(842), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [11672] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4548), 1,
      anon_sym_DOLLAR,
    ACTIONS(4550), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4552), 1,
      sym__dollar_ident_zw,
    STATE(36), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(826), 1,
      sym__var_indirob,
    STATE(2634), 1,
      sym_heredoc_content,
    ACTIONS(4546), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(830), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(827), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [11716] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4382), 1,
      anon_sym_DOLLAR,
    ACTIONS(4386), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4554), 1,
      sym__dollar_ident_zw,
    STATE(37), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1945), 1,
      sym__var_indirob,
    STATE(2635), 1,
      sym_heredoc_content,
    ACTIONS(4380), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1943), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(1942), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [11760] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4258), 1,
      anon_sym_DOLLAR,
    ACTIONS(4262), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4556), 1,
      sym__dollar_ident_zw,
    STATE(18), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2591), 1,
      sym__var_indirob,
    STATE(2636), 1,
      sym_heredoc_content,
    ACTIONS(4256), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(2654), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(2653), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [11804] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4524), 1,
      anon_sym_DOLLAR,
    ACTIONS(4526), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4558), 1,
      sym__dollar_ident_zw,
    STATE(40), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2637), 1,
      sym_heredoc_content,
    STATE(3051), 1,
      sym__var_indirob,
    ACTIONS(4522), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(3045), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(3036), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [11848] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4562), 1,
      anon_sym_DOLLAR,
    ACTIONS(4564), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4566), 1,
      sym__dollar_ident_zw,
    STATE(41), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2638), 1,
      sym_heredoc_content,
    STATE(3003), 1,
      sym__var_indirob,
    ACTIONS(4560), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(2955), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(2954), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [11892] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4570), 1,
      anon_sym_DOLLAR,
    ACTIONS(4572), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4574), 1,
      sym__dollar_ident_zw,
    STATE(42), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(870), 1,
      sym__var_indirob,
    STATE(2639), 1,
      sym_heredoc_content,
    ACTIONS(4568), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(867), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(866), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [11936] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4578), 1,
      anon_sym_DOLLAR,
    ACTIONS(4580), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4582), 1,
      sym__dollar_ident_zw,
    STATE(43), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(853), 1,
      sym__var_indirob,
    STATE(2640), 1,
      sym_heredoc_content,
    ACTIONS(4576), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(850), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(849), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [11980] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4298), 1,
      anon_sym_COLON,
    ACTIONS(4301), 1,
      anon_sym_DOLLAR,
    ACTIONS(4304), 1,
      anon_sym_AT,
    ACTIONS(4307), 1,
      anon_sym_RPAREN,
    ACTIONS(4309), 1,
      anon_sym_PERCENT2,
    STATE(2641), 1,
      sym_heredoc_content,
    STATE(3008), 1,
      sym__signature_scalar,
    STATE(3297), 1,
      sym__signature_array,
    STATE(3298), 1,
      sym__signature_hash,
    STATE(3371), 1,
      sym__signature_vars,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3295), 4,
      sym_mandatory_parameter,
      sym_optional_parameter,
      sym_named_parameter,
      sym_slurpy_parameter,
  [12024] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4586), 1,
      anon_sym_DOLLAR,
    ACTIONS(4588), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4590), 1,
      sym__dollar_ident_zw,
    STATE(45), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(786), 1,
      sym__var_indirob,
    STATE(2642), 1,
      sym_heredoc_content,
    ACTIONS(4584), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(792), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(791), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [12068] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4594), 1,
      anon_sym_DOLLAR,
    ACTIONS(4596), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4598), 1,
      sym__dollar_ident_zw,
    STATE(46), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(775), 1,
      sym__var_indirob,
    STATE(2643), 1,
      sym_heredoc_content,
    ACTIONS(4592), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(772), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(778), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [12112] = 11,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4028), 1,
      sym__quotelike_middle_close_quote,
    STATE(2644), 1,
      sym_heredoc_content,
    STATE(2651), 1,
      aux_sym__interpolated_transliteration_content,
    STATE(2722), 1,
      sym__quotelike_middle,
    STATE(2959), 1,
      sym__nonvar_interpolation_fallbacks,
    STATE(3789), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4338), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(4336), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4340), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [12152] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4374), 1,
      anon_sym_DOLLAR,
    ACTIONS(4376), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4600), 1,
      sym__dollar_ident_zw,
    STATE(47), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2645), 1,
      sym_heredoc_content,
    STATE(2886), 1,
      sym__var_indirob,
    ACTIONS(4372), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(2907), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(2905), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [12196] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4430), 1,
      anon_sym_DOLLAR,
    ACTIONS(4434), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4602), 1,
      sym__dollar_ident_zw,
    STATE(48), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1506), 1,
      sym__var_indirob,
    STATE(2646), 1,
      sym_heredoc_content,
    ACTIONS(4428), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1504), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(1503), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [12240] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4422), 1,
      anon_sym_DOLLAR,
    ACTIONS(4424), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4604), 1,
      sym__dollar_ident_zw,
    STATE(19), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2647), 1,
      sym_heredoc_content,
    STATE(2896), 1,
      sym__var_indirob,
    ACTIONS(4420), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(2939), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(2938), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [12284] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4446), 1,
      anon_sym_DOLLAR,
    ACTIONS(4448), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4606), 1,
      anon_sym_STAR,
    STATE(26), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1475), 1,
      sym__var_indirob,
    STATE(2648), 1,
      sym_heredoc_content,
    ACTIONS(4444), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1451), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(1500), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [12328] = 15,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4610), 1,
      anon_sym_LBRACE,
    ACTIONS(4612), 1,
      anon_sym_DOLLAR,
    ACTIONS(4614), 1,
      anon_sym_AT,
    ACTIONS(4616), 1,
      anon_sym_LPAREN,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_PERCENT,
    ACTIONS(4622), 1,
      anon_sym_AMP,
    ACTIONS(4624), 1,
      anon_sym_STAR,
    ACTIONS(4626), 1,
      anon_sym_DOLLAR_POUND,
    STATE(1559), 1,
      sym_scalar,
    STATE(1562), 1,
      sym_method,
    STATE(2649), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4608), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [12376] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4258), 1,
      anon_sym_DOLLAR,
    ACTIONS(4262), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4628), 1,
      sym__no_interp_whitespace_zw,
    STATE(38), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2572), 1,
      sym_block,
    STATE(2574), 1,
      sym__var_indirob_autoquote,
    STATE(2591), 1,
      sym__var_indirob,
    STATE(2650), 1,
      sym_heredoc_content,
    STATE(2654), 1,
      sym__indirob,
    ACTIONS(4256), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(2653), 2,
      sym_scalar,
      sym__ident_special,
  [12424] = 11,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4028), 1,
      sym__quotelike_middle_close_quote,
    STATE(2651), 1,
      sym_heredoc_content,
    STATE(2671), 1,
      sym__quotelike_middle,
    STATE(2799), 1,
      aux_sym__interpolated_transliteration_content,
    STATE(2959), 1,
      sym__nonvar_interpolation_fallbacks,
    STATE(3789), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4338), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(4336), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4340), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [12464] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4562), 1,
      anon_sym_DOLLAR,
    ACTIONS(4564), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4630), 1,
      sym__no_interp_whitespace_zw,
    STATE(41), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2652), 1,
      sym_heredoc_content,
    STATE(3003), 1,
      sym__var_indirob,
    ACTIONS(4560), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(2955), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(2954), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [12508] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2653), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1859), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1861), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [12536] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2654), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1863), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1865), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [12564] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2655), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1859), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1861), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [12592] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4634), 1,
      anon_sym_DOLLAR,
    ACTIONS(4636), 1,
      anon_sym_STAR,
    ACTIONS(4638), 1,
      aux_sym__ident_special_token1,
    STATE(27), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1648), 1,
      sym__var_indirob,
    STATE(2656), 1,
      sym_heredoc_content,
    ACTIONS(4632), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1781), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(1745), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [12636] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2657), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1834), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1836), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__NONASSOC,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [12664] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2658), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1661), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1659), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__NONASSOC,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [12692] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4640), 1,
      sym__NONASSOC,
    STATE(2659), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1859), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(1861), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [12722] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4640), 1,
      sym__NONASSOC,
    STATE(2660), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1863), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(1865), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [12752] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4642), 1,
      sym__NONASSOC,
    STATE(2661), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1859), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1861), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [12782] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4642), 1,
      sym__NONASSOC,
    STATE(2662), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1863), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1865), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [12812] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4634), 1,
      anon_sym_DOLLAR,
    ACTIONS(4638), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4644), 1,
      sym__dollar_ident_zw,
    STATE(27), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1648), 1,
      sym__var_indirob,
    STATE(2663), 1,
      sym_heredoc_content,
    ACTIONS(4632), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1781), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(1745), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [12856] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2664), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1661), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1659), 9,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      sym__NONASSOC,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [12883] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4646), 1,
      sym__NONASSOC,
    STATE(2665), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1863), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(1865), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [12912] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4634), 1,
      anon_sym_DOLLAR,
    ACTIONS(4638), 1,
      aux_sym__ident_special_token1,
    STATE(27), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1964), 1,
      sym__var_indirob,
    STATE(2666), 1,
      sym_heredoc_content,
    ACTIONS(4632), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1781), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(1745), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [12953] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2667), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4648), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4650), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [12980] = 12,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4652), 1,
      anon_sym_DOLLAR,
    ACTIONS(4654), 1,
      anon_sym_AT,
    ACTIONS(4656), 1,
      anon_sym_COMMA,
    ACTIONS(4658), 1,
      anon_sym_RPAREN,
    ACTIONS(4660), 1,
      anon_sym_undef,
    ACTIONS(4662), 1,
      anon_sym_PERCENT2,
    STATE(2668), 1,
      sym_heredoc_content,
    STATE(2735), 1,
      aux_sym__decl_variable_list_repeat1,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3849), 2,
      sym__declared_vars,
      sym_undef_expression,
    STATE(1550), 3,
      sym__declare_scalar,
      sym__declare_array,
      sym__declare_hash,
  [13021] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2669), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4664), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4666), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [13048] = 12,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4652), 1,
      anon_sym_DOLLAR,
    ACTIONS(4654), 1,
      anon_sym_AT,
    ACTIONS(4656), 1,
      anon_sym_COMMA,
    ACTIONS(4660), 1,
      anon_sym_undef,
    ACTIONS(4662), 1,
      anon_sym_PERCENT2,
    ACTIONS(4668), 1,
      anon_sym_RPAREN,
    STATE(2670), 1,
      sym_heredoc_content,
    STATE(2735), 1,
      aux_sym__decl_variable_list_repeat1,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3833), 2,
      sym__declared_vars,
      sym_undef_expression,
    STATE(1550), 3,
      sym__declare_scalar,
      sym__declare_array,
      sym__declare_hash,
  [13089] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4070), 1,
      sym__quotelike_end_quote,
    STATE(1591), 1,
      sym__quotelike_end,
    STATE(2671), 1,
      sym_heredoc_content,
    STATE(2752), 1,
      aux_sym__interpolated_transliteration_content,
    STATE(2999), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4670), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(4060), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4672), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [13126] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4446), 1,
      anon_sym_DOLLAR,
    ACTIONS(4448), 1,
      aux_sym__ident_special_token1,
    STATE(26), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1535), 1,
      sym__var_indirob,
    STATE(2672), 1,
      sym_heredoc_content,
    ACTIONS(4444), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1451), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(1500), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [13167] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4446), 1,
      anon_sym_DOLLAR,
    ACTIONS(4448), 1,
      aux_sym__ident_special_token1,
    STATE(26), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1518), 1,
      sym__var_indirob,
    STATE(2673), 1,
      sym_heredoc_content,
    ACTIONS(4444), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1451), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(1500), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [13208] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4446), 1,
      anon_sym_DOLLAR,
    ACTIONS(4448), 1,
      aux_sym__ident_special_token1,
    STATE(26), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1764), 1,
      sym__var_indirob,
    STATE(2674), 1,
      sym_heredoc_content,
    ACTIONS(4444), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1451), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(1500), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [13249] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4446), 1,
      anon_sym_DOLLAR,
    ACTIONS(4448), 1,
      aux_sym__ident_special_token1,
    STATE(26), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1530), 1,
      sym__var_indirob,
    STATE(2675), 1,
      sym_heredoc_content,
    ACTIONS(4444), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1451), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(1500), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [13290] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4082), 1,
      sym__quotelike_end_quote,
    STATE(1757), 1,
      sym__quotelike_end,
    STATE(2676), 1,
      sym_heredoc_content,
    STATE(2677), 1,
      aux_sym__interpolated_transliteration_content,
    STATE(2999), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4670), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(4060), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4672), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [13327] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4082), 1,
      sym__quotelike_end_quote,
    STATE(1678), 1,
      sym__quotelike_end,
    STATE(2677), 1,
      sym_heredoc_content,
    STATE(2809), 1,
      aux_sym__interpolated_transliteration_content,
    STATE(2999), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4670), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(4060), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4672), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [13364] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4082), 1,
      sym__quotelike_end_quote,
    STATE(1681), 1,
      sym__quotelike_end,
    STATE(2678), 1,
      sym_heredoc_content,
    STATE(2679), 1,
      aux_sym__interpolated_transliteration_content,
    STATE(2999), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4670), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(4060), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4672), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [13401] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4082), 1,
      sym__quotelike_end_quote,
    STATE(1689), 1,
      sym__quotelike_end,
    STATE(2679), 1,
      sym_heredoc_content,
    STATE(2809), 1,
      aux_sym__interpolated_transliteration_content,
    STATE(2999), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4670), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(4060), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4672), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [13438] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4506), 1,
      anon_sym_DOLLAR,
    ACTIONS(4508), 1,
      aux_sym__ident_special_token1,
    STATE(29), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(686), 1,
      sym__var_indirob,
    STATE(2680), 1,
      sym_heredoc_content,
    ACTIONS(4504), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(694), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(693), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [13479] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4430), 1,
      anon_sym_DOLLAR,
    ACTIONS(4434), 1,
      aux_sym__ident_special_token1,
    STATE(48), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1594), 1,
      sym__var_indirob,
    STATE(2681), 1,
      sym_heredoc_content,
    ACTIONS(4428), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1504), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(1503), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [13520] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4446), 1,
      anon_sym_DOLLAR,
    ACTIONS(4448), 1,
      aux_sym__ident_special_token1,
    STATE(26), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1557), 1,
      sym__var_indirob,
    STATE(2682), 1,
      sym_heredoc_content,
    ACTIONS(4444), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1451), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(1500), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [13561] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4430), 1,
      anon_sym_DOLLAR,
    ACTIONS(4434), 1,
      aux_sym__ident_special_token1,
    STATE(48), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1808), 1,
      sym__var_indirob,
    STATE(2683), 1,
      sym_heredoc_content,
    ACTIONS(4428), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1504), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(1503), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [13602] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4446), 1,
      anon_sym_DOLLAR,
    ACTIONS(4448), 1,
      aux_sym__ident_special_token1,
    STATE(26), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1558), 1,
      sym__var_indirob,
    STATE(2684), 1,
      sym_heredoc_content,
    ACTIONS(4444), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1451), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(1500), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [13643] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4430), 1,
      anon_sym_DOLLAR,
    ACTIONS(4434), 1,
      aux_sym__ident_special_token1,
    STATE(48), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1547), 1,
      sym__var_indirob,
    STATE(2685), 1,
      sym_heredoc_content,
    ACTIONS(4428), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1504), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(1503), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [13684] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4430), 1,
      anon_sym_DOLLAR,
    ACTIONS(4434), 1,
      aux_sym__ident_special_token1,
    STATE(48), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1794), 1,
      sym__var_indirob,
    STATE(2686), 1,
      sym_heredoc_content,
    ACTIONS(4428), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1504), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(1503), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [13725] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4430), 1,
      anon_sym_DOLLAR,
    ACTIONS(4434), 1,
      aux_sym__ident_special_token1,
    STATE(48), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1795), 1,
      sym__var_indirob,
    STATE(2687), 1,
      sym_heredoc_content,
    ACTIONS(4428), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1504), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(1503), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [13766] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4634), 1,
      anon_sym_DOLLAR,
    ACTIONS(4638), 1,
      aux_sym__ident_special_token1,
    STATE(27), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2180), 1,
      sym__var_indirob,
    STATE(2688), 1,
      sym_heredoc_content,
    ACTIONS(4632), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1781), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(1745), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [13807] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4382), 1,
      anon_sym_DOLLAR,
    ACTIONS(4386), 1,
      aux_sym__ident_special_token1,
    STATE(37), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1945), 1,
      sym__var_indirob,
    STATE(2689), 1,
      sym_heredoc_content,
    ACTIONS(4380), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1943), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(1942), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [13848] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      anon_sym_DOLLAR,
    ACTIONS(4210), 1,
      aux_sym__ident_special_token1,
    STATE(25), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2661), 1,
      sym_block,
    STATE(2662), 1,
      sym__var_indirob_autoquote,
    STATE(2690), 1,
      sym_heredoc_content,
    STATE(2762), 1,
      sym__indirob,
    STATE(2776), 1,
      sym__var_indirob,
    ACTIONS(4202), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(2758), 2,
      sym_scalar,
      sym__ident_special,
  [13893] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4446), 1,
      anon_sym_DOLLAR,
    ACTIONS(4448), 1,
      aux_sym__ident_special_token1,
    STATE(26), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1475), 1,
      sym__var_indirob,
    STATE(2691), 1,
      sym_heredoc_content,
    ACTIONS(4444), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1451), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(1500), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [13934] = 12,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4652), 1,
      anon_sym_DOLLAR,
    ACTIONS(4654), 1,
      anon_sym_AT,
    ACTIONS(4656), 1,
      anon_sym_COMMA,
    ACTIONS(4660), 1,
      anon_sym_undef,
    ACTIONS(4662), 1,
      anon_sym_PERCENT2,
    ACTIONS(4674), 1,
      anon_sym_RPAREN,
    STATE(2692), 1,
      sym_heredoc_content,
    STATE(2700), 1,
      aux_sym__decl_variable_list_repeat1,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3819), 2,
      sym__declared_vars,
      sym_undef_expression,
    STATE(1550), 3,
      sym__declare_scalar,
      sym__declare_array,
      sym__declare_hash,
  [13975] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4676), 1,
      anon_sym_LBRACK2,
    ACTIONS(4678), 1,
      anon_sym_LBRACE2,
    STATE(2693), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4268), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4270), 8,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
  [14006] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4390), 1,
      anon_sym_DOLLAR,
    ACTIONS(4394), 1,
      aux_sym__ident_special_token1,
    STATE(22), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1223), 1,
      sym__var_indirob,
    STATE(2694), 1,
      sym_heredoc_content,
    ACTIONS(4388), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1206), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(1213), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [14047] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4074), 1,
      sym__quotelike_end_quote,
    STATE(1256), 1,
      sym__quotelike_end,
    STATE(2695), 1,
      sym_heredoc_content,
    STATE(2748), 1,
      aux_sym__interpolated_transliteration_content,
    STATE(2999), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4670), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(4060), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4672), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [14084] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2696), 1,
      sym_heredoc_content,
    STATE(2706), 1,
      aux_sym__term_rightward_repeat1,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(3355), 2,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
    ACTIONS(2556), 9,
      sym__PERLY_SEMICOLON,
      sym__ctrl_z_hack,
      anon_sym_SEMI,
      anon_sym_and,
      anon_sym_or,
      anon_sym_xor,
      anon_sym___DATA__,
      anon_sym___END__,
      anon_sym_EOT,
  [14113] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2697), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2540), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(2538), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [14140] = 12,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4652), 1,
      anon_sym_DOLLAR,
    ACTIONS(4654), 1,
      anon_sym_AT,
    ACTIONS(4656), 1,
      anon_sym_COMMA,
    ACTIONS(4660), 1,
      anon_sym_undef,
    ACTIONS(4662), 1,
      anon_sym_PERCENT2,
    ACTIONS(4680), 1,
      anon_sym_RPAREN,
    STATE(2698), 1,
      sym_heredoc_content,
    STATE(2746), 1,
      aux_sym__decl_variable_list_repeat1,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3824), 2,
      sym__declared_vars,
      sym_undef_expression,
    STATE(1550), 3,
      sym__declare_scalar,
      sym__declare_array,
      sym__declare_hash,
  [14181] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4390), 1,
      anon_sym_DOLLAR,
    ACTIONS(4394), 1,
      aux_sym__ident_special_token1,
    STATE(22), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1361), 1,
      sym__var_indirob,
    STATE(2699), 1,
      sym_heredoc_content,
    ACTIONS(4388), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1206), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(1213), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [14222] = 12,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4652), 1,
      anon_sym_DOLLAR,
    ACTIONS(4654), 1,
      anon_sym_AT,
    ACTIONS(4656), 1,
      anon_sym_COMMA,
    ACTIONS(4660), 1,
      anon_sym_undef,
    ACTIONS(4662), 1,
      anon_sym_PERCENT2,
    ACTIONS(4682), 1,
      anon_sym_RPAREN,
    STATE(2700), 1,
      sym_heredoc_content,
    STATE(2735), 1,
      aux_sym__decl_variable_list_repeat1,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3835), 2,
      sym__declared_vars,
      sym_undef_expression,
    STATE(1550), 3,
      sym__declare_scalar,
      sym__declare_array,
      sym__declare_hash,
  [14263] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2701), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1834), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1836), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [14290] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2702), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1824), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1826), 9,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      sym__NONASSOC,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [14317] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4390), 1,
      anon_sym_DOLLAR,
    ACTIONS(4394), 1,
      aux_sym__ident_special_token1,
    STATE(22), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1226), 1,
      sym__var_indirob,
    STATE(2703), 1,
      sym_heredoc_content,
    ACTIONS(4388), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1206), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(1213), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [14358] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4516), 1,
      anon_sym_DOLLAR,
    ACTIONS(4518), 1,
      aux_sym__ident_special_token1,
    STATE(33), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(816), 1,
      sym__var_indirob,
    STATE(2704), 1,
      sym_heredoc_content,
    ACTIONS(4514), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(815), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(809), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [14399] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4430), 1,
      anon_sym_DOLLAR,
    ACTIONS(4434), 1,
      aux_sym__ident_special_token1,
    STATE(48), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1506), 1,
      sym__var_indirob,
    STATE(2705), 1,
      sym_heredoc_content,
    ACTIONS(4428), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1504), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(1503), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [14440] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4684), 2,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
    STATE(2706), 2,
      sym_heredoc_content,
      aux_sym__term_rightward_repeat1,
    ACTIONS(2774), 9,
      sym__PERLY_SEMICOLON,
      sym__ctrl_z_hack,
      anon_sym_SEMI,
      anon_sym_and,
      anon_sym_or,
      anon_sym_xor,
      anon_sym___DATA__,
      anon_sym___END__,
      anon_sym_EOT,
  [14467] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2707), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4687), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4689), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [14494] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2708), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1855), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1857), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [14521] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4532), 1,
      anon_sym_DOLLAR,
    ACTIONS(4534), 1,
      aux_sym__ident_special_token1,
    STATE(34), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(800), 1,
      sym__var_indirob,
    STATE(2709), 1,
      sym_heredoc_content,
    ACTIONS(4530), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(803), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(799), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [14562] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2710), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1834), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1836), 9,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      sym__NONASSOC,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [14589] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4691), 1,
      anon_sym_LBRACK2,
    ACTIONS(4693), 1,
      anon_sym_LBRACE2,
    STATE(2711), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4268), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4270), 8,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
  [14620] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4390), 1,
      anon_sym_DOLLAR,
    ACTIONS(4394), 1,
      aux_sym__ident_special_token1,
    STATE(22), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1228), 1,
      sym__var_indirob,
    STATE(2712), 1,
      sym_heredoc_content,
    ACTIONS(4388), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1206), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(1213), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [14661] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4540), 1,
      anon_sym_DOLLAR,
    ACTIONS(4542), 1,
      aux_sym__ident_special_token1,
    STATE(35), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(857), 1,
      sym__var_indirob,
    STATE(2713), 1,
      sym_heredoc_content,
    ACTIONS(4538), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(843), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(842), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [14702] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4548), 1,
      anon_sym_DOLLAR,
    ACTIONS(4550), 1,
      aux_sym__ident_special_token1,
    STATE(36), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(821), 1,
      sym__var_indirob,
    STATE(2714), 1,
      sym_heredoc_content,
    ACTIONS(4546), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(830), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(827), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [14743] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4382), 1,
      anon_sym_DOLLAR,
    ACTIONS(4386), 1,
      aux_sym__ident_special_token1,
    STATE(37), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1989), 1,
      sym__var_indirob,
    STATE(2715), 1,
      sym_heredoc_content,
    ACTIONS(4380), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1943), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(1942), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [14784] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4570), 1,
      anon_sym_DOLLAR,
    ACTIONS(4572), 1,
      aux_sym__ident_special_token1,
    STATE(42), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(861), 1,
      sym__var_indirob,
    STATE(2716), 1,
      sym_heredoc_content,
    ACTIONS(4568), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(867), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(866), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [14825] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4634), 1,
      anon_sym_DOLLAR,
    ACTIONS(4638), 1,
      aux_sym__ident_special_token1,
    STATE(27), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1974), 1,
      sym__var_indirob,
    STATE(2717), 1,
      sym_heredoc_content,
    ACTIONS(4632), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1781), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(1745), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [14866] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4578), 1,
      anon_sym_DOLLAR,
    ACTIONS(4580), 1,
      aux_sym__ident_special_token1,
    STATE(43), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(844), 1,
      sym__var_indirob,
    STATE(2718), 1,
      sym_heredoc_content,
    ACTIONS(4576), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(850), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(849), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [14907] = 12,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4652), 1,
      anon_sym_DOLLAR,
    ACTIONS(4654), 1,
      anon_sym_AT,
    ACTIONS(4656), 1,
      anon_sym_COMMA,
    ACTIONS(4660), 1,
      anon_sym_undef,
    ACTIONS(4662), 1,
      anon_sym_PERCENT2,
    ACTIONS(4695), 1,
      anon_sym_RPAREN,
    STATE(2668), 1,
      aux_sym__decl_variable_list_repeat1,
    STATE(2719), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3803), 2,
      sym__declared_vars,
      sym_undef_expression,
    STATE(1550), 3,
      sym__declare_scalar,
      sym__declare_array,
      sym__declare_hash,
  [14948] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4586), 1,
      anon_sym_DOLLAR,
    ACTIONS(4588), 1,
      aux_sym__ident_special_token1,
    STATE(45), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(781), 1,
      sym__var_indirob,
    STATE(2720), 1,
      sym_heredoc_content,
    ACTIONS(4584), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(792), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(791), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [14989] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4594), 1,
      anon_sym_DOLLAR,
    ACTIONS(4596), 1,
      aux_sym__ident_special_token1,
    STATE(46), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(769), 1,
      sym__var_indirob,
    STATE(2721), 1,
      sym_heredoc_content,
    ACTIONS(4592), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(772), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(778), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [15030] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4070), 1,
      sym__quotelike_end_quote,
    STATE(1569), 1,
      sym__quotelike_end,
    STATE(2722), 1,
      sym_heredoc_content,
    STATE(2780), 1,
      aux_sym__interpolated_transliteration_content,
    STATE(2999), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4670), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(4060), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4672), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [15067] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4697), 1,
      sym__NONASSOC,
    STATE(2723), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1859), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1861), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [15096] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4430), 1,
      anon_sym_DOLLAR,
    ACTIONS(4434), 1,
      aux_sym__ident_special_token1,
    STATE(48), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1552), 1,
      sym__var_indirob,
    STATE(2724), 1,
      sym_heredoc_content,
    ACTIONS(4428), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1504), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(1503), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [15137] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4697), 1,
      sym__NONASSOC,
    STATE(2725), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1863), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1865), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [15166] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4699), 1,
      anon_sym_LBRACK2,
    ACTIONS(4701), 1,
      anon_sym_LBRACE2,
    STATE(2726), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4268), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4270), 8,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
  [15197] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4066), 1,
      sym__quotelike_end_quote,
    STATE(2110), 1,
      sym__quotelike_end,
    STATE(2727), 1,
      sym_heredoc_content,
    STATE(2728), 1,
      aux_sym__interpolated_transliteration_content,
    STATE(2999), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4670), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(4060), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4672), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [15234] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4066), 1,
      sym__quotelike_end_quote,
    STATE(2127), 1,
      sym__quotelike_end,
    STATE(2728), 1,
      sym_heredoc_content,
    STATE(2809), 1,
      aux_sym__interpolated_transliteration_content,
    STATE(2999), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4670), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(4060), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4672), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [15271] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4066), 1,
      sym__quotelike_end_quote,
    STATE(2128), 1,
      sym__quotelike_end,
    STATE(2729), 1,
      sym_heredoc_content,
    STATE(2730), 1,
      aux_sym__interpolated_transliteration_content,
    STATE(2999), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4670), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(4060), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4672), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [15308] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4066), 1,
      sym__quotelike_end_quote,
    STATE(2137), 1,
      sym__quotelike_end,
    STATE(2730), 1,
      sym_heredoc_content,
    STATE(2809), 1,
      aux_sym__interpolated_transliteration_content,
    STATE(2999), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4670), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(4060), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4672), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [15345] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4634), 1,
      anon_sym_DOLLAR,
    ACTIONS(4638), 1,
      aux_sym__ident_special_token1,
    STATE(27), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1963), 1,
      sym__var_indirob,
    STATE(2731), 1,
      sym_heredoc_content,
    ACTIONS(4632), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1781), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(1745), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [15386] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4382), 1,
      anon_sym_DOLLAR,
    ACTIONS(4386), 1,
      aux_sym__ident_special_token1,
    STATE(37), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2019), 1,
      sym__var_indirob,
    STATE(2732), 1,
      sym_heredoc_content,
    ACTIONS(4380), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1943), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(1942), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [15427] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4382), 1,
      anon_sym_DOLLAR,
    ACTIONS(4386), 1,
      aux_sym__ident_special_token1,
    STATE(37), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2367), 1,
      sym__var_indirob,
    STATE(2733), 1,
      sym_heredoc_content,
    ACTIONS(4380), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1943), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(1942), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [15468] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4382), 1,
      anon_sym_DOLLAR,
    ACTIONS(4386), 1,
      aux_sym__ident_special_token1,
    STATE(37), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2006), 1,
      sym__var_indirob,
    STATE(2734), 1,
      sym_heredoc_content,
    ACTIONS(4380), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1943), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(1942), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [15509] = 11,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4703), 1,
      anon_sym_DOLLAR,
    ACTIONS(4706), 1,
      anon_sym_AT,
    ACTIONS(4709), 1,
      anon_sym_COMMA,
    ACTIONS(4712), 1,
      anon_sym_RPAREN,
    ACTIONS(4714), 1,
      anon_sym_undef,
    ACTIONS(4717), 1,
      anon_sym_PERCENT2,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2735), 2,
      sym_heredoc_content,
      aux_sym__decl_variable_list_repeat1,
    STATE(3911), 2,
      sym__declared_vars,
      sym_undef_expression,
    STATE(1550), 3,
      sym__declare_scalar,
      sym__declare_array,
      sym__declare_hash,
  [15548] = 12,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4652), 1,
      anon_sym_DOLLAR,
    ACTIONS(4654), 1,
      anon_sym_AT,
    ACTIONS(4656), 1,
      anon_sym_COMMA,
    ACTIONS(4660), 1,
      anon_sym_undef,
    ACTIONS(4662), 1,
      anon_sym_PERCENT2,
    ACTIONS(4720), 1,
      anon_sym_RPAREN,
    STATE(2736), 1,
      sym_heredoc_content,
    STATE(2771), 1,
      aux_sym__decl_variable_list_repeat1,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3832), 2,
      sym__declared_vars,
      sym_undef_expression,
    STATE(1550), 3,
      sym__declare_scalar,
      sym__declare_array,
      sym__declare_hash,
  [15589] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4722), 1,
      anon_sym_LBRACK2,
    ACTIONS(4724), 1,
      anon_sym_LBRACE2,
    STATE(2737), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4268), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4270), 8,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
  [15620] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4390), 1,
      anon_sym_DOLLAR,
    ACTIONS(4394), 1,
      aux_sym__ident_special_token1,
    STATE(22), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1229), 1,
      sym__var_indirob,
    STATE(2738), 1,
      sym_heredoc_content,
    ACTIONS(4388), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1206), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(1213), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [15661] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4382), 1,
      anon_sym_DOLLAR,
    ACTIONS(4386), 1,
      aux_sym__ident_special_token1,
    STATE(37), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2066), 1,
      sym__var_indirob,
    STATE(2739), 1,
      sym_heredoc_content,
    ACTIONS(4380), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1943), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(1942), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [15702] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2740), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4648), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4650), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [15729] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4382), 1,
      anon_sym_DOLLAR,
    ACTIONS(4386), 1,
      aux_sym__ident_special_token1,
    STATE(37), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2068), 1,
      sym__var_indirob,
    STATE(2741), 1,
      sym_heredoc_content,
    ACTIONS(4380), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1943), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(1942), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [15770] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2742), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4726), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4728), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [15797] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2743), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4730), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4732), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [15824] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2744), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4734), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4736), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [15851] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2745), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4664), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4666), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [15878] = 12,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4652), 1,
      anon_sym_DOLLAR,
    ACTIONS(4654), 1,
      anon_sym_AT,
    ACTIONS(4656), 1,
      anon_sym_COMMA,
    ACTIONS(4660), 1,
      anon_sym_undef,
    ACTIONS(4662), 1,
      anon_sym_PERCENT2,
    ACTIONS(4738), 1,
      anon_sym_RPAREN,
    STATE(2735), 1,
      aux_sym__decl_variable_list_repeat1,
    STATE(2746), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3829), 2,
      sym__declared_vars,
      sym_undef_expression,
    STATE(1550), 3,
      sym__declare_scalar,
      sym__declare_array,
      sym__declare_hash,
  [15919] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2747), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4740), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4742), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [15946] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4074), 1,
      sym__quotelike_end_quote,
    STATE(1253), 1,
      sym__quotelike_end,
    STATE(2748), 1,
      sym_heredoc_content,
    STATE(2809), 1,
      aux_sym__interpolated_transliteration_content,
    STATE(2999), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4670), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(4060), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4672), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [15983] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4074), 1,
      sym__quotelike_end_quote,
    STATE(1254), 1,
      sym__quotelike_end,
    STATE(2749), 1,
      sym_heredoc_content,
    STATE(2765), 1,
      aux_sym__interpolated_transliteration_content,
    STATE(2999), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4670), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(4060), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4672), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [16020] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4222), 1,
      anon_sym_DOLLAR,
    ACTIONS(4226), 1,
      aux_sym__ident_special_token1,
    STATE(23), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2723), 1,
      sym_block,
    STATE(2725), 1,
      sym__var_indirob_autoquote,
    STATE(2750), 1,
      sym_heredoc_content,
    STATE(2815), 1,
      sym__indirob,
    STATE(2848), 1,
      sym__var_indirob,
    ACTIONS(4220), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(2824), 2,
      sym_scalar,
      sym__ident_special,
  [16065] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4390), 1,
      anon_sym_DOLLAR,
    ACTIONS(4394), 1,
      aux_sym__ident_special_token1,
    STATE(22), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1232), 1,
      sym__var_indirob,
    STATE(2751), 1,
      sym_heredoc_content,
    ACTIONS(4388), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1206), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(1213), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [16106] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4070), 1,
      sym__quotelike_end_quote,
    STATE(1553), 1,
      sym__quotelike_end,
    STATE(2752), 1,
      sym_heredoc_content,
    STATE(2809), 1,
      aux_sym__interpolated_transliteration_content,
    STATE(2999), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4670), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(4060), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4672), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [16143] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2753), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4744), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4746), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [16170] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4748), 1,
      anon_sym_DASH_GT2,
    ACTIONS(4750), 1,
      anon_sym_LBRACK2,
    ACTIONS(4752), 1,
      anon_sym_LBRACE2,
    STATE(2754), 1,
      sym_heredoc_content,
    STATE(3330), 1,
      sym__interp_arrow,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4268), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4270), 5,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_DOLLAR,
      anon_sym_AT,
  [16205] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4390), 1,
      anon_sym_DOLLAR,
    ACTIONS(4394), 1,
      aux_sym__ident_special_token1,
    STATE(22), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1231), 1,
      sym__var_indirob,
    STATE(2755), 1,
      sym_heredoc_content,
    ACTIONS(4388), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1206), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(1213), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [16246] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4634), 1,
      anon_sym_DOLLAR,
    ACTIONS(4638), 1,
      aux_sym__ident_special_token1,
    STATE(27), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2009), 1,
      sym__var_indirob,
    STATE(2756), 1,
      sym_heredoc_content,
    ACTIONS(4632), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1781), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(1745), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [16287] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4344), 1,
      anon_sym_DOLLAR,
    ACTIONS(4346), 1,
      aux_sym__ident_special_token1,
    STATE(24), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2757), 1,
      sym_heredoc_content,
    STATE(3582), 1,
      sym__var_indirob,
    ACTIONS(4342), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(3430), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(3427), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [16328] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2758), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1859), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1861), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [16355] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2759), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1851), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1853), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [16382] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2760), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4687), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4689), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [16409] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2761), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4744), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4746), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [16436] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2762), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1863), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1865), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [16463] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2763), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1661), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1659), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [16490] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4634), 1,
      anon_sym_DOLLAR,
    ACTIONS(4638), 1,
      aux_sym__ident_special_token1,
    STATE(27), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1648), 1,
      sym__var_indirob,
    STATE(2764), 1,
      sym_heredoc_content,
    ACTIONS(4632), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1781), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(1745), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [16531] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4074), 1,
      sym__quotelike_end_quote,
    STATE(1275), 1,
      sym__quotelike_end,
    STATE(2765), 1,
      sym_heredoc_content,
    STATE(2809), 1,
      aux_sym__interpolated_transliteration_content,
    STATE(2999), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4670), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(4060), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4672), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [16568] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2766), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4726), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4728), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [16595] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2767), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4730), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4732), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [16622] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4084), 1,
      sym__quotelike_end_quote,
    STATE(1990), 1,
      sym__quotelike_end,
    STATE(2768), 1,
      sym_heredoc_content,
    STATE(2774), 1,
      aux_sym__interpolated_transliteration_content,
    STATE(2999), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4670), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(4060), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4672), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [16659] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2769), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4734), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4736), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [16686] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2770), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4740), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4742), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [16713] = 12,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4652), 1,
      anon_sym_DOLLAR,
    ACTIONS(4654), 1,
      anon_sym_AT,
    ACTIONS(4656), 1,
      anon_sym_COMMA,
    ACTIONS(4660), 1,
      anon_sym_undef,
    ACTIONS(4662), 1,
      anon_sym_PERCENT2,
    ACTIONS(4754), 1,
      anon_sym_RPAREN,
    STATE(2735), 1,
      aux_sym__decl_variable_list_repeat1,
    STATE(2771), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3817), 2,
      sym__declared_vars,
      sym_undef_expression,
    STATE(1550), 3,
      sym__declare_scalar,
      sym__declare_array,
      sym__declare_hash,
  [16754] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2772), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1824), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1826), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [16781] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4634), 1,
      anon_sym_DOLLAR,
    ACTIONS(4638), 1,
      aux_sym__ident_special_token1,
    STATE(27), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2010), 1,
      sym__var_indirob,
    STATE(2773), 1,
      sym_heredoc_content,
    ACTIONS(4632), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1781), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(1745), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [16822] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4084), 1,
      sym__quotelike_end_quote,
    STATE(2014), 1,
      sym__quotelike_end,
    STATE(2774), 1,
      sym_heredoc_content,
    STATE(2809), 1,
      aux_sym__interpolated_transliteration_content,
    STATE(2999), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4670), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(4060), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4672), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [16859] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4084), 1,
      sym__quotelike_end_quote,
    STATE(2016), 1,
      sym__quotelike_end,
    STATE(2775), 1,
      sym_heredoc_content,
    STATE(2778), 1,
      aux_sym__interpolated_transliteration_content,
    STATE(2999), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4670), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(4060), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4672), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [16896] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2776), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1828), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1832), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [16923] = 12,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4652), 1,
      anon_sym_DOLLAR,
    ACTIONS(4654), 1,
      anon_sym_AT,
    ACTIONS(4656), 1,
      anon_sym_COMMA,
    ACTIONS(4660), 1,
      anon_sym_undef,
    ACTIONS(4662), 1,
      anon_sym_PERCENT2,
    ACTIONS(4756), 1,
      anon_sym_RPAREN,
    STATE(2670), 1,
      aux_sym__decl_variable_list_repeat1,
    STATE(2777), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3812), 2,
      sym__declared_vars,
      sym_undef_expression,
    STATE(1550), 3,
      sym__declare_scalar,
      sym__declare_array,
      sym__declare_hash,
  [16964] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4084), 1,
      sym__quotelike_end_quote,
    STATE(2013), 1,
      sym__quotelike_end,
    STATE(2778), 1,
      sym_heredoc_content,
    STATE(2809), 1,
      aux_sym__interpolated_transliteration_content,
    STATE(2999), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4670), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(4060), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4672), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [17001] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2779), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2540), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(2538), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [17028] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4070), 1,
      sym__quotelike_end_quote,
    STATE(1589), 1,
      sym__quotelike_end,
    STATE(2780), 1,
      sym_heredoc_content,
    STATE(2809), 1,
      aux_sym__interpolated_transliteration_content,
    STATE(2999), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4670), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(4060), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4672), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [17065] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4646), 1,
      sym__NONASSOC,
    STATE(2781), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1859), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(1861), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [17094] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4498), 1,
      anon_sym_DOLLAR,
    ACTIONS(4500), 1,
      aux_sym__ident_special_token1,
    STATE(49), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(707), 1,
      sym__var_indirob,
    STATE(2782), 1,
      sym_heredoc_content,
    ACTIONS(4496), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(709), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(708), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [17135] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4762), 1,
      sym_prototype,
    ACTIONS(4764), 1,
      sym__signature_start,
    STATE(95), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1077), 1,
      sym_block,
    STATE(2783), 1,
      sym_heredoc_content,
    STATE(2961), 1,
      sym_attribute,
    STATE(3080), 1,
      sym_attribute_name,
    STATE(3316), 1,
      sym_attrlist,
    STATE(3705), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4758), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [17177] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(4766), 1,
      sym_prototype,
    STATE(103), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2350), 1,
      sym_block,
    STATE(2784), 1,
      sym_heredoc_content,
    STATE(2961), 1,
      sym_attribute,
    STATE(3080), 1,
      sym_attribute_name,
    STATE(3194), 1,
      sym_attrlist,
    STATE(3775), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4758), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [17219] = 11,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(95), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2785), 1,
      sym_heredoc_content,
    STATE(2997), 1,
      sym_attribute,
    STATE(3065), 1,
      sym_attribute_name,
    STATE(3278), 1,
      sym_attrlist,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1547), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    ACTIONS(4768), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1025), 2,
      sym_block,
      sym__semicolon,
  [17257] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(4770), 1,
      sym_prototype,
    STATE(144), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1309), 1,
      sym_block,
    STATE(2786), 1,
      sym_heredoc_content,
    STATE(2961), 1,
      sym_attribute,
    STATE(3080), 1,
      sym_attribute_name,
    STATE(3179), 1,
      sym_attrlist,
    STATE(3746), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4758), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [17299] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(4772), 1,
      sym_prototype,
    STATE(103), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2352), 1,
      sym_block,
    STATE(2787), 1,
      sym_heredoc_content,
    STATE(2961), 1,
      sym_attribute,
    STATE(3080), 1,
      sym_attribute_name,
    STATE(3197), 1,
      sym_attrlist,
    STATE(3779), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4758), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [17341] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(4774), 1,
      sym_prototype,
    STATE(112), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1831), 1,
      sym_block,
    STATE(2788), 1,
      sym_heredoc_content,
    STATE(2961), 1,
      sym_attribute,
    STATE(3080), 1,
      sym_attribute_name,
    STATE(3322), 1,
      sym_attrlist,
    STATE(3605), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4758), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [17383] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(4776), 1,
      sym_prototype,
    STATE(112), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1832), 1,
      sym_block,
    STATE(2789), 1,
      sym_heredoc_content,
    STATE(2961), 1,
      sym_attribute,
    STATE(3080), 1,
      sym_attribute_name,
    STATE(3324), 1,
      sym_attrlist,
    STATE(3607), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4758), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [17425] = 11,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(95), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2790), 1,
      sym_heredoc_content,
    STATE(2997), 1,
      sym_attribute,
    STATE(3065), 1,
      sym_attribute_name,
    STATE(3267), 1,
      sym_attrlist,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1547), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    ACTIONS(4768), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1023), 2,
      sym_block,
      sym__semicolon,
  [17463] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2791), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4730), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4732), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [17489] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(4778), 1,
      sym_prototype,
    STATE(105), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1145), 1,
      sym_block,
    STATE(2792), 1,
      sym_heredoc_content,
    STATE(2961), 1,
      sym_attribute,
    STATE(3080), 1,
      sym_attribute_name,
    STATE(3268), 1,
      sym_attrlist,
    STATE(3637), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4758), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [17531] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(4780), 1,
      sym_prototype,
    STATE(144), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1364), 1,
      sym_block,
    STATE(2793), 1,
      sym_heredoc_content,
    STATE(2961), 1,
      sym_attribute,
    STATE(3080), 1,
      sym_attribute_name,
    STATE(3228), 1,
      sym_attrlist,
    STATE(3708), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4758), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [17573] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(4782), 1,
      sym_prototype,
    STATE(93), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2199), 1,
      sym_block,
    STATE(2794), 1,
      sym_heredoc_content,
    STATE(2961), 1,
      sym_attribute,
    STATE(3080), 1,
      sym_attribute_name,
    STATE(3170), 1,
      sym_attrlist,
    STATE(3601), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4758), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [17615] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(4784), 1,
      sym_prototype,
    STATE(95), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1031), 1,
      sym_block,
    STATE(2795), 1,
      sym_heredoc_content,
    STATE(2961), 1,
      sym_attribute,
    STATE(3080), 1,
      sym_attribute_name,
    STATE(3229), 1,
      sym_attrlist,
    STATE(3784), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4758), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [17657] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(4786), 1,
      sym_prototype,
    STATE(95), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1032), 1,
      sym_block,
    STATE(2796), 1,
      sym_heredoc_content,
    STATE(2961), 1,
      sym_attribute,
    STATE(3080), 1,
      sym_attribute_name,
    STATE(3232), 1,
      sym_attrlist,
    STATE(3795), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4758), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [17699] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(4788), 1,
      sym_prototype,
    STATE(144), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1367), 1,
      sym_block,
    STATE(2797), 1,
      sym_heredoc_content,
    STATE(2961), 1,
      sym_attribute,
    STATE(3080), 1,
      sym_attribute_name,
    STATE(3233), 1,
      sym_attrlist,
    STATE(3712), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4758), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [17741] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(4790), 1,
      sym_prototype,
    STATE(105), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1146), 1,
      sym_block,
    STATE(2798), 1,
      sym_heredoc_content,
    STATE(2961), 1,
      sym_attribute,
    STATE(3080), 1,
      sym_attribute_name,
    STATE(3307), 1,
      sym_attrlist,
    STATE(3640), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4758), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [17783] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4798), 1,
      sym__quotelike_middle_close_quote,
    STATE(2959), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4795), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    STATE(2799), 2,
      aux_sym__interpolated_transliteration_content,
      sym_heredoc_content,
    ACTIONS(4792), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4800), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [17815] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(4803), 1,
      sym_prototype,
    STATE(105), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1120), 1,
      sym_block,
    STATE(2800), 1,
      sym_heredoc_content,
    STATE(2961), 1,
      sym_attribute,
    STATE(3080), 1,
      sym_attribute_name,
    STATE(3213), 1,
      sym_attrlist,
    STATE(3590), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4758), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [17857] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(4805), 1,
      sym_prototype,
    STATE(144), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1310), 1,
      sym_block,
    STATE(2801), 1,
      sym_heredoc_content,
    STATE(2961), 1,
      sym_attribute,
    STATE(3080), 1,
      sym_attribute_name,
    STATE(3244), 1,
      sym_attrlist,
    STATE(3733), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4758), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [17899] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(4807), 1,
      sym_prototype,
    STATE(105), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1152), 1,
      sym_block,
    STATE(2802), 1,
      sym_heredoc_content,
    STATE(2961), 1,
      sym_attribute,
    STATE(3080), 1,
      sym_attribute_name,
    STATE(3326), 1,
      sym_attrlist,
    STATE(3649), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4758), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [17941] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(4809), 1,
      sym_prototype,
    STATE(105), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1153), 1,
      sym_block,
    STATE(2803), 1,
      sym_heredoc_content,
    STATE(2961), 1,
      sym_attribute,
    STATE(3080), 1,
      sym_attribute_name,
    STATE(3275), 1,
      sym_attrlist,
    STATE(3652), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4758), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [17983] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2804), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4740), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4742), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [18009] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(4811), 1,
      sym_prototype,
    STATE(93), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2204), 1,
      sym_block,
    STATE(2805), 1,
      sym_heredoc_content,
    STATE(2961), 1,
      sym_attribute,
    STATE(3080), 1,
      sym_attribute_name,
    STATE(3193), 1,
      sym_attrlist,
    STATE(3603), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4758), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [18051] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2806), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1851), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1853), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [18077] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2807), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4687), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4689), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [18103] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2808), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4744), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4746), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [18129] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4798), 1,
      sym__quotelike_end_quote,
    STATE(2999), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4816), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    STATE(2809), 2,
      aux_sym__interpolated_transliteration_content,
      sym_heredoc_content,
    ACTIONS(4813), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4819), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [18161] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2810), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1661), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1659), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [18187] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(4822), 1,
      sym_prototype,
    STATE(91), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1677), 1,
      sym_block,
    STATE(2811), 1,
      sym_heredoc_content,
    STATE(2961), 1,
      sym_attribute,
    STATE(3080), 1,
      sym_attribute_name,
    STATE(3263), 1,
      sym_attrlist,
    STATE(3624), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4758), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [18229] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(4824), 1,
      sym_prototype,
    STATE(117), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(969), 1,
      sym_block,
    STATE(2812), 1,
      sym_heredoc_content,
    STATE(2961), 1,
      sym_attribute,
    STATE(3080), 1,
      sym_attribute_name,
    STATE(3289), 1,
      sym_attrlist,
    STATE(3767), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4758), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [18271] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(4826), 1,
      sym_prototype,
    STATE(117), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(970), 1,
      sym_block,
    STATE(2813), 1,
      sym_heredoc_content,
    STATE(2961), 1,
      sym_attribute,
    STATE(3080), 1,
      sym_attribute_name,
    STATE(3292), 1,
      sym_attrlist,
    STATE(3770), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4758), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [18313] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(4828), 1,
      sym_prototype,
    STATE(91), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1688), 1,
      sym_block,
    STATE(2814), 1,
      sym_heredoc_content,
    STATE(2961), 1,
      sym_attribute,
    STATE(3080), 1,
      sym_attribute_name,
    STATE(3270), 1,
      sym_attrlist,
    STATE(3654), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4758), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [18355] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2815), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1863), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1865), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [18381] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(4830), 1,
      sym_prototype,
    STATE(95), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1050), 1,
      sym_block,
    STATE(2816), 1,
      sym_heredoc_content,
    STATE(2961), 1,
      sym_attribute,
    STATE(3080), 1,
      sym_attribute_name,
    STATE(3272), 1,
      sym_attrlist,
    STATE(3667), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4758), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [18423] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(4832), 1,
      sym_prototype,
    STATE(105), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1132), 1,
      sym_block,
    STATE(2817), 1,
      sym_heredoc_content,
    STATE(2961), 1,
      sym_attribute,
    STATE(3080), 1,
      sym_attribute_name,
    STATE(3211), 1,
      sym_attrlist,
    STATE(3606), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4758), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [18465] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(4834), 1,
      sym_prototype,
    STATE(95), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1052), 1,
      sym_block,
    STATE(2818), 1,
      sym_heredoc_content,
    STATE(2961), 1,
      sym_attribute,
    STATE(3080), 1,
      sym_attribute_name,
    STATE(3276), 1,
      sym_attrlist,
    STATE(3669), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4758), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [18507] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(4836), 1,
      sym_prototype,
    STATE(117), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(945), 1,
      sym_block,
    STATE(2819), 1,
      sym_heredoc_content,
    STATE(2961), 1,
      sym_attribute,
    STATE(3080), 1,
      sym_attribute_name,
    STATE(3156), 1,
      sym_attrlist,
    STATE(3623), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4758), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [18549] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(4838), 1,
      sym_prototype,
    STATE(105), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1133), 1,
      sym_block,
    STATE(2820), 1,
      sym_heredoc_content,
    STATE(2961), 1,
      sym_attribute,
    STATE(3080), 1,
      sym_attribute_name,
    STATE(3227), 1,
      sym_attrlist,
    STATE(3609), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4758), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [18591] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(4840), 1,
      sym_prototype,
    STATE(95), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1065), 1,
      sym_block,
    STATE(2821), 1,
      sym_heredoc_content,
    STATE(2961), 1,
      sym_attribute,
    STATE(3080), 1,
      sym_attribute_name,
    STATE(3306), 1,
      sym_attrlist,
    STATE(3689), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4758), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [18633] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(4842), 1,
      sym_prototype,
    STATE(117), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(977), 1,
      sym_block,
    STATE(2822), 1,
      sym_heredoc_content,
    STATE(2961), 1,
      sym_attribute,
    STATE(3080), 1,
      sym_attribute_name,
    STATE(3302), 1,
      sym_attrlist,
    STATE(3776), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4758), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [18675] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4844), 1,
      anon_sym_LBRACK2,
    ACTIONS(4846), 1,
      anon_sym_LBRACE2,
    STATE(2823), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4268), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4270), 7,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
  [18705] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2824), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1859), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1861), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [18731] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(4848), 1,
      sym_prototype,
    STATE(95), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1066), 1,
      sym_block,
    STATE(2825), 1,
      sym_heredoc_content,
    STATE(2961), 1,
      sym_attribute,
    STATE(3080), 1,
      sym_attribute_name,
    STATE(3311), 1,
      sym_attrlist,
    STATE(3692), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4758), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [18773] = 11,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(105), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2826), 1,
      sym_heredoc_content,
    STATE(2997), 1,
      sym_attribute,
    STATE(3065), 1,
      sym_attribute_name,
    STATE(3190), 1,
      sym_attrlist,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1543), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    ACTIONS(4768), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1130), 2,
      sym_block,
      sym__semicolon,
  [18811] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2827), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1834), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1836), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [18837] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(4850), 1,
      sym_prototype,
    STATE(95), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1080), 1,
      sym_block,
    STATE(2828), 1,
      sym_heredoc_content,
    STATE(2961), 1,
      sym_attribute,
    STATE(3080), 1,
      sym_attribute_name,
    STATE(3318), 1,
      sym_attrlist,
    STATE(3710), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4758), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [18879] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4852), 1,
      sym__NONASSOC,
    STATE(2829), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1859), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(1861), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [18907] = 11,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(95), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2830), 1,
      sym_heredoc_content,
    STATE(2997), 1,
      sym_attribute,
    STATE(3065), 1,
      sym_attribute_name,
    STATE(3226), 1,
      sym_attrlist,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1547), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    ACTIONS(4768), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1044), 2,
      sym_block,
      sym__semicolon,
  [18945] = 11,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(117), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2831), 1,
      sym_heredoc_content,
    STATE(2997), 1,
      sym_attribute,
    STATE(3065), 1,
      sym_attribute_name,
    STATE(3247), 1,
      sym_attrlist,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1535), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    ACTIONS(4768), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(953), 2,
      sym_block,
      sym__semicolon,
  [18983] = 11,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(105), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2832), 1,
      sym_heredoc_content,
    STATE(2997), 1,
      sym_attribute,
    STATE(3065), 1,
      sym_attribute_name,
    STATE(3187), 1,
      sym_attrlist,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1543), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    ACTIONS(4768), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1128), 2,
      sym_block,
      sym__semicolon,
  [19021] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2833), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4734), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4736), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [19047] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(4854), 1,
      sym_prototype,
    STATE(91), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1788), 1,
      sym_block,
    STATE(2834), 1,
      sym_heredoc_content,
    STATE(2961), 1,
      sym_attribute,
    STATE(3080), 1,
      sym_attribute_name,
    STATE(3310), 1,
      sym_attrlist,
    STATE(3796), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4758), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [19089] = 11,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(117), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2835), 1,
      sym_heredoc_content,
    STATE(2997), 1,
      sym_attribute,
    STATE(3065), 1,
      sym_attribute_name,
    STATE(3304), 1,
      sym_attrlist,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1535), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    ACTIONS(4768), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(937), 2,
      sym_block,
      sym__semicolon,
  [19127] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(4856), 1,
      sym_prototype,
    STATE(91), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1790), 1,
      sym_block,
    STATE(2836), 1,
      sym_heredoc_content,
    STATE(2961), 1,
      sym_attribute,
    STATE(3080), 1,
      sym_attribute_name,
    STATE(3313), 1,
      sym_attrlist,
    STATE(3681), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4758), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [19169] = 11,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(95), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2837), 1,
      sym_heredoc_content,
    STATE(2997), 1,
      sym_attribute,
    STATE(3065), 1,
      sym_attribute_name,
    STATE(3196), 1,
      sym_attrlist,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1547), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    ACTIONS(4768), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1047), 2,
      sym_block,
      sym__semicolon,
  [19207] = 11,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(117), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2838), 1,
      sym_heredoc_content,
    STATE(2997), 1,
      sym_attribute,
    STATE(3065), 1,
      sym_attribute_name,
    STATE(3250), 1,
      sym_attrlist,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1535), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    ACTIONS(4768), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(955), 2,
      sym_block,
      sym__semicolon,
  [19245] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(4858), 1,
      sym_prototype,
    STATE(117), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(946), 1,
      sym_block,
    STATE(2839), 1,
      sym_heredoc_content,
    STATE(2961), 1,
      sym_attribute,
    STATE(3080), 1,
      sym_attribute_name,
    STATE(3159), 1,
      sym_attrlist,
    STATE(3635), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4758), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [19287] = 11,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(117), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2840), 1,
      sym_heredoc_content,
    STATE(2997), 1,
      sym_attribute,
    STATE(3065), 1,
      sym_attribute_name,
    STATE(3320), 1,
      sym_attrlist,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1535), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    ACTIONS(4768), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(939), 2,
      sym_block,
      sym__semicolon,
  [19325] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4860), 1,
      sym__identifier,
    STATE(2841), 1,
      sym_heredoc_content,
    STATE(3006), 1,
      sym__signature_varname,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4864), 3,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_SLASH_SLASH_EQ,
    ACTIONS(4862), 6,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PERCENT2,
  [19355] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(4866), 1,
      sym_prototype,
    STATE(93), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2034), 1,
      sym_block,
    STATE(2842), 1,
      sym_heredoc_content,
    STATE(2961), 1,
      sym_attribute,
    STATE(3080), 1,
      sym_attribute_name,
    STATE(3282), 1,
      sym_attrlist,
    STATE(3588), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4758), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [19397] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2843), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4726), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4728), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [19423] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4852), 1,
      sym__NONASSOC,
    STATE(2844), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1863), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(1865), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [19451] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(4868), 1,
      sym_prototype,
    STATE(112), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1849), 1,
      sym_block,
    STATE(2845), 1,
      sym_heredoc_content,
    STATE(2961), 1,
      sym_attribute,
    STATE(3080), 1,
      sym_attribute_name,
    STATE(3130), 1,
      sym_attrlist,
    STATE(3687), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4758), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [19493] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(4870), 1,
      sym_prototype,
    STATE(112), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1851), 1,
      sym_block,
    STATE(2846), 1,
      sym_heredoc_content,
    STATE(2961), 1,
      sym_attribute,
    STATE(3080), 1,
      sym_attribute_name,
    STATE(3134), 1,
      sym_attrlist,
    STATE(3690), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4758), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [19535] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4872), 1,
      anon_sym_LBRACK2,
    ACTIONS(4874), 1,
      anon_sym_LBRACE2,
    STATE(2847), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4268), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4270), 7,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
  [19565] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2848), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1828), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1832), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [19591] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(4876), 1,
      sym_prototype,
    STATE(93), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2045), 1,
      sym_block,
    STATE(2849), 1,
      sym_heredoc_content,
    STATE(2961), 1,
      sym_attribute,
    STATE(3080), 1,
      sym_attribute_name,
    STATE(3288), 1,
      sym_attrlist,
    STATE(3628), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4758), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [19633] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2850), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4648), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4650), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [19659] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2851), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4664), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4666), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [19685] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(4878), 1,
      sym_prototype,
    STATE(103), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2242), 1,
      sym_block,
    STATE(2852), 1,
      sym_heredoc_content,
    STATE(2961), 1,
      sym_attribute,
    STATE(3080), 1,
      sym_attribute_name,
    STATE(3154), 1,
      sym_attrlist,
    STATE(3734), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4758), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [19727] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(4880), 1,
      sym_prototype,
    STATE(117), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(957), 1,
      sym_block,
    STATE(2853), 1,
      sym_heredoc_content,
    STATE(2961), 1,
      sym_attribute,
    STATE(3080), 1,
      sym_attribute_name,
    STATE(3256), 1,
      sym_attrlist,
    STATE(3737), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4758), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [19769] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(4882), 1,
      sym_prototype,
    STATE(117), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(958), 1,
      sym_block,
    STATE(2854), 1,
      sym_heredoc_content,
    STATE(2961), 1,
      sym_attribute,
    STATE(3080), 1,
      sym_attribute_name,
    STATE(3257), 1,
      sym_attrlist,
    STATE(3738), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4758), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [19811] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(4884), 1,
      sym_prototype,
    STATE(103), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2243), 1,
      sym_block,
    STATE(2855), 1,
      sym_heredoc_content,
    STATE(2961), 1,
      sym_attribute,
    STATE(3080), 1,
      sym_attribute_name,
    STATE(3158), 1,
      sym_attrlist,
    STATE(3735), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4758), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [19853] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2856), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1855), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1857), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [19879] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(4886), 1,
      sym_prototype,
    STATE(105), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1121), 1,
      sym_block,
    STATE(2857), 1,
      sym_heredoc_content,
    STATE(2961), 1,
      sym_attribute,
    STATE(3080), 1,
      sym_attribute_name,
    STATE(3163), 1,
      sym_attrlist,
    STATE(3593), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4758), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [19921] = 11,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(105), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2858), 1,
      sym_heredoc_content,
    STATE(2997), 1,
      sym_attribute,
    STATE(3065), 1,
      sym_attribute_name,
    STATE(3265), 1,
      sym_attrlist,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1543), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    ACTIONS(4768), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1112), 2,
      sym_block,
      sym__semicolon,
  [19959] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2859), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1824), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1826), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [19985] = 11,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(105), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2860), 1,
      sym_heredoc_content,
    STATE(2997), 1,
      sym_attribute,
    STATE(3065), 1,
      sym_attribute_name,
    STATE(3321), 1,
      sym_attrlist,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1543), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    ACTIONS(4768), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1114), 2,
      sym_block,
      sym__semicolon,
  [20023] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2861), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2540), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(2538), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [20049] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(4888), 1,
      sym_prototype,
    STATE(117), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(978), 1,
      sym_block,
    STATE(2862), 1,
      sym_heredoc_content,
    STATE(2961), 1,
      sym_attribute,
    STATE(3080), 1,
      sym_attribute_name,
    STATE(3303), 1,
      sym_attrlist,
    STATE(3778), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4758), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [20091] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2863), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4890), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [20114] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2864), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4270), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [20137] = 12,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(4894), 1,
      anon_sym_COLON,
    ACTIONS(4896), 1,
      sym_prototype,
    STATE(144), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1326), 1,
      sym_block,
    STATE(2865), 1,
      sym_heredoc_content,
    STATE(3082), 1,
      sym_bareword,
    STATE(3642), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4892), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [20176] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2866), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1659), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [20199] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2867), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1826), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [20222] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2868), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4898), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [20245] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2869), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1659), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [20268] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2870), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1826), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [20291] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2871), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4900), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [20314] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2872), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4902), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [20337] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2873), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4904), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [20360] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2874), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4270), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [20383] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4906), 1,
      anon_sym_COLON,
    STATE(95), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2875), 1,
      sym_heredoc_content,
    STATE(3095), 1,
      sym__version,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1547), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    ACTIONS(4908), 2,
      sym_version,
      sym_number,
    STATE(1008), 2,
      sym_block,
      sym__semicolon,
  [20418] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4910), 1,
      anon_sym_COLON,
    STATE(95), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2876), 1,
      sym_heredoc_content,
    STATE(3089), 1,
      sym__version,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1547), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    ACTIONS(4908), 2,
      sym_version,
      sym_number,
    STATE(1009), 2,
      sym_block,
      sym__semicolon,
  [20453] = 12,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    STATE(95), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1013), 1,
      sym_block,
    STATE(2877), 1,
      sym_heredoc_content,
    STATE(3042), 1,
      sym_attribute,
    STATE(3312), 1,
      sym_attribute_name,
    STATE(3336), 1,
      sym_attrlist,
    STATE(3793), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4912), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [20492] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2878), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2532), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [20515] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2879), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4898), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [20538] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2880), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4914), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [20561] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2881), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4900), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [20584] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2882), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4902), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [20607] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2883), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2532), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [20630] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2884), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4916), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [20653] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2885), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2540), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(2538), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [20678] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2886), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1832), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [20701] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4918), 1,
      anon_sym_COLON,
    STATE(117), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2887), 1,
      sym_heredoc_content,
    STATE(3111), 1,
      sym__version,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1535), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    ACTIONS(4908), 2,
      sym_version,
      sym_number,
    STATE(920), 2,
      sym_block,
      sym__semicolon,
  [20736] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2888), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4904), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [20759] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2889), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4920), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [20782] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2890), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4922), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [20805] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2891), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4924), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [20828] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2892), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4926), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [20851] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2893), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4097), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [20874] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2894), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4928), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [20897] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2895), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4930), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [20920] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2896), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1832), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [20943] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2897), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4920), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [20966] = 12,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(4770), 1,
      sym_prototype,
    ACTIONS(4932), 1,
      anon_sym_COLON,
    STATE(144), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1309), 1,
      sym_block,
    STATE(2898), 1,
      sym_heredoc_content,
    STATE(3062), 1,
      sym_bareword,
    STATE(3746), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4892), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [21005] = 12,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(4894), 1,
      anon_sym_COLON,
    ACTIONS(4896), 1,
      sym_prototype,
    STATE(144), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1326), 1,
      sym_block,
    STATE(2899), 1,
      sym_heredoc_content,
    STATE(3083), 1,
      sym_bareword,
    STATE(3642), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4892), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [21044] = 12,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      sym_prototype,
    STATE(144), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1327), 1,
      sym_block,
    STATE(2900), 1,
      sym_heredoc_content,
    STATE(3086), 1,
      sym_bareword,
    STATE(3671), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4892), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [21083] = 12,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(4805), 1,
      sym_prototype,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    STATE(144), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1310), 1,
      sym_block,
    STATE(2901), 1,
      sym_heredoc_content,
    STATE(3064), 1,
      sym_bareword,
    STATE(3733), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4892), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [21122] = 12,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      sym_prototype,
    STATE(144), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1327), 1,
      sym_block,
    STATE(2902), 1,
      sym_heredoc_content,
    STATE(3087), 1,
      sym_bareword,
    STATE(3671), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4892), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [21161] = 12,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(4770), 1,
      sym_prototype,
    ACTIONS(4932), 1,
      anon_sym_COLON,
    STATE(144), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1309), 1,
      sym_block,
    STATE(2903), 1,
      sym_heredoc_content,
    STATE(3057), 1,
      sym_bareword,
    STATE(3746), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4892), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [21200] = 12,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(4805), 1,
      sym_prototype,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    STATE(144), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1310), 1,
      sym_block,
    STATE(2904), 1,
      sym_heredoc_content,
    STATE(3058), 1,
      sym_bareword,
    STATE(3733), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4892), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [21239] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2905), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1861), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [21262] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2906), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4940), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [21285] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2907), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1865), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [21308] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2908), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4890), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [21331] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2909), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4942), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [21354] = 12,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    STATE(117), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(922), 1,
      sym_block,
    STATE(2910), 1,
      sym_heredoc_content,
    STATE(3042), 1,
      sym_attribute,
    STATE(3312), 1,
      sym_attribute_name,
    STATE(3349), 1,
      sym_attrlist,
    STATE(3777), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4912), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [21393] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2911), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4944), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [21416] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2912), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1853), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [21439] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4946), 1,
      anon_sym_LBRACK2,
    ACTIONS(4948), 1,
      anon_sym_LBRACE2,
    STATE(2913), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4268), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4270), 6,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
  [21468] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4950), 1,
      anon_sym_LBRACK2,
    ACTIONS(4952), 1,
      anon_sym_LBRACE2,
    STATE(2914), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4268), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4270), 6,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
  [21497] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2915), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4922), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [21520] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2916), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4924), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [21543] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2917), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4926), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [21566] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2918), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4930), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [21589] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2919), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4944), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [21612] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2920), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4097), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [21635] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2921), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4648), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4650), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [21660] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2922), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4914), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [21683] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4954), 1,
      anon_sym_COLON,
    STATE(105), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2923), 1,
      sym_heredoc_content,
    STATE(3125), 1,
      sym__version,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1543), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    ACTIONS(4908), 2,
      sym_version,
      sym_number,
    STATE(1104), 2,
      sym_block,
      sym__semicolon,
  [21718] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2924), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4664), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4666), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [21743] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4956), 1,
      anon_sym_COLON,
    STATE(105), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2925), 1,
      sym_heredoc_content,
    STATE(3112), 1,
      sym__version,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1543), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    ACTIONS(4908), 2,
      sym_version,
      sym_number,
    STATE(1105), 2,
      sym_block,
      sym__semicolon,
  [21778] = 12,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    STATE(105), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1106), 1,
      sym_block,
    STATE(2926), 1,
      sym_heredoc_content,
    STATE(3042), 1,
      sym_attribute,
    STATE(3312), 1,
      sym_attribute_name,
    STATE(3359), 1,
      sym_attrlist,
    STATE(3598), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4912), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [21817] = 12,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(4894), 1,
      anon_sym_COLON,
    ACTIONS(4896), 1,
      sym_prototype,
    STATE(144), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1326), 1,
      sym_block,
    STATE(2927), 1,
      sym_heredoc_content,
    STATE(3091), 1,
      sym_bareword,
    STATE(3642), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4892), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [21856] = 12,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      sym_prototype,
    STATE(144), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1327), 1,
      sym_block,
    STATE(2928), 1,
      sym_heredoc_content,
    STATE(3093), 1,
      sym_bareword,
    STATE(3671), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4892), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [21895] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2929), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4958), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [21918] = 12,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(4770), 1,
      sym_prototype,
    ACTIONS(4932), 1,
      anon_sym_COLON,
    STATE(144), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1309), 1,
      sym_block,
    STATE(2930), 1,
      sym_heredoc_content,
    STATE(3123), 1,
      sym_bareword,
    STATE(3746), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4892), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [21957] = 12,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(4805), 1,
      sym_prototype,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    STATE(144), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1310), 1,
      sym_block,
    STATE(2931), 1,
      sym_heredoc_content,
    STATE(3124), 1,
      sym_bareword,
    STATE(3733), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4892), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [21996] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2932), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1857), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [22019] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2933), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4726), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4728), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [22044] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2934), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4730), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4732), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [22069] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2935), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4960), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [22092] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2936), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4734), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4736), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [22117] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2937), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4740), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4742), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [22142] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2938), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1861), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [22165] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2939), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1865), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [22188] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2940), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4960), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [22211] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2941), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4928), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [22234] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2942), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4940), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [22257] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2943), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4942), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [22280] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2944), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4687), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4689), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [22305] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2945), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4744), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4746), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [22330] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2946), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1853), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [22353] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2947), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1857), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [22376] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2948), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4916), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [22399] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2949), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1836), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [22422] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4962), 1,
      anon_sym_COLON,
    STATE(117), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2950), 1,
      sym_heredoc_content,
    STATE(3113), 1,
      sym__version,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1535), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    ACTIONS(4908), 2,
      sym_version,
      sym_number,
    STATE(893), 2,
      sym_block,
      sym__semicolon,
  [22457] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2951), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1836), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [22480] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2952), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4940), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [22502] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2953), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1826), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [22524] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2954), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1861), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [22546] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2955), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1865), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [22568] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4966), 1,
      anon_sym_DOLLAR,
    ACTIONS(4968), 1,
      anon_sym_AT,
    ACTIONS(4973), 1,
      aux_sym__interpolation_fallbacks_token2,
    ACTIONS(4975), 1,
      sym__no_interp_whitespace_zw,
    STATE(2956), 1,
      sym_heredoc_content,
    STATE(3044), 1,
      sym_scalar,
    ACTIONS(4964), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4971), 2,
      anon_sym_DOLLAR_STAR,
      anon_sym_AT_STAR,
  [22604] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4977), 1,
      anon_sym_DOLLAR,
    ACTIONS(4979), 1,
      anon_sym_AT,
    ACTIONS(4981), 1,
      anon_sym_LPAREN,
    ACTIONS(4983), 1,
      anon_sym_PERCENT2,
    STATE(2383), 1,
      sym__declared_vars,
    STATE(2384), 1,
      sym__decl_variable_list,
    STATE(2957), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2043), 3,
      sym__declare_scalar,
      sym__declare_array,
      sym__declare_hash,
  [22638] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(117), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2958), 1,
      sym_heredoc_content,
    STATE(3273), 1,
      sym__version,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1535), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    ACTIONS(4908), 2,
      sym_version,
      sym_number,
    STATE(919), 2,
      sym_block,
      sym__semicolon,
  [22670] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2959), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4985), 9,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [22692] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4977), 1,
      anon_sym_DOLLAR,
    ACTIONS(4979), 1,
      anon_sym_AT,
    ACTIONS(4981), 1,
      anon_sym_LPAREN,
    ACTIONS(4983), 1,
      anon_sym_PERCENT2,
    STATE(2159), 1,
      sym__declared_vars,
    STATE(2161), 1,
      sym__decl_variable_list,
    STATE(2960), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2043), 3,
      sym__declare_scalar,
      sym__declare_array,
      sym__declare_hash,
  [22726] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4987), 1,
      anon_sym_COLON,
    STATE(2961), 1,
      sym_heredoc_content,
    STATE(3011), 1,
      aux_sym_attrlist_repeat1,
    STATE(3080), 1,
      sym_attribute_name,
    STATE(3308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4758), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    ACTIONS(2418), 3,
      sym_prototype,
      sym__signature_start,
      anon_sym_LBRACE,
  [22758] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2962), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1853), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [22780] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2963), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4798), 9,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [22802] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4989), 1,
      anon_sym_COLON,
    STATE(2964), 1,
      sym_heredoc_content,
    STATE(2966), 1,
      aux_sym_attrlist_repeat1,
    STATE(3065), 1,
      sym_attribute_name,
    STATE(3132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4768), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    ACTIONS(2424), 3,
      sym__PERLY_SEMICOLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [22834] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2965), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4914), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [22856] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4994), 1,
      anon_sym_COLON,
    STATE(3065), 1,
      sym_attribute_name,
    STATE(3132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4991), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(2966), 2,
      sym_heredoc_content,
      aux_sym_attrlist_repeat1,
    ACTIONS(2431), 3,
      sym__PERLY_SEMICOLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [22886] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2967), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4270), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [22908] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2968), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4904), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [22930] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4284), 1,
      anon_sym_DOLLAR,
    ACTIONS(4286), 1,
      anon_sym_AT,
    ACTIONS(4294), 1,
      anon_sym_LPAREN,
    ACTIONS(4296), 1,
      anon_sym_PERCENT2,
    STATE(1260), 1,
      sym__declared_vars,
    STATE(1262), 1,
      sym__decl_variable_list,
    STATE(2969), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(1230), 3,
      sym__declare_scalar,
      sym__declare_array,
      sym__declare_hash,
  [22964] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2970), 1,
      sym_heredoc_content,
    STATE(2976), 1,
      aux_sym__term_rightward_repeat1,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(3529), 2,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
    ACTIONS(2556), 6,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_or,
      anon_sym_xor,
      anon_sym_RBRACK,
  [22990] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2971), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4890), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [23012] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4997), 1,
      anon_sym_DOLLAR,
    ACTIONS(4999), 1,
      anon_sym_AT,
    ACTIONS(5002), 1,
      aux_sym__interpolation_fallbacks_token2,
    ACTIONS(5004), 1,
      sym__no_interp_whitespace_zw,
    STATE(2972), 1,
      sym_heredoc_content,
    STATE(2993), 1,
      sym_scalar,
    ACTIONS(4964), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4971), 2,
      anon_sym_DOLLAR_STAR,
      anon_sym_AT_STAR,
  [23048] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2973), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1857), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [23070] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2974), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4798), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [23092] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2975), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4920), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [23114] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5006), 2,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
    STATE(2976), 2,
      sym_heredoc_content,
      aux_sym__term_rightward_repeat1,
    ACTIONS(2774), 6,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_or,
      anon_sym_xor,
      anon_sym_RBRACK,
  [23138] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(105), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2977), 1,
      sym_heredoc_content,
    STATE(3323), 1,
      sym__version,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1543), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    ACTIONS(4908), 2,
      sym_version,
      sym_number,
    STATE(1103), 2,
      sym_block,
      sym__semicolon,
  [23170] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(95), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2978), 1,
      sym_heredoc_content,
    STATE(3314), 1,
      sym__version,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1547), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    ACTIONS(4908), 2,
      sym_version,
      sym_number,
    STATE(1007), 2,
      sym_block,
      sym__semicolon,
  [23202] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5009), 1,
      anon_sym_DOLLAR,
    ACTIONS(5011), 1,
      anon_sym_AT,
    ACTIONS(5014), 1,
      aux_sym__interpolation_fallbacks_token2,
    ACTIONS(5016), 1,
      sym__no_interp_whitespace_zw,
    STATE(2917), 1,
      sym_scalar,
    STATE(2979), 1,
      sym_heredoc_content,
    ACTIONS(4964), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4971), 2,
      anon_sym_DOLLAR_STAR,
      anon_sym_AT_STAR,
  [23238] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2980), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4914), 9,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [23260] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5020), 1,
      anon_sym_and,
    STATE(2981), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5022), 2,
      anon_sym_or,
      anon_sym_xor,
    ACTIONS(5018), 6,
      sym__PERLY_SEMICOLON,
      sym__ctrl_z_hack,
      anon_sym_SEMI,
      anon_sym___DATA__,
      anon_sym___END__,
      anon_sym_EOT,
  [23286] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2982), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4942), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [23308] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5024), 1,
      anon_sym_DOLLAR,
    ACTIONS(5026), 1,
      anon_sym_AT,
    ACTIONS(5028), 1,
      anon_sym_LPAREN,
    ACTIONS(5030), 1,
      anon_sym_PERCENT2,
    STATE(1910), 1,
      sym__declared_vars,
    STATE(1911), 1,
      sym__decl_variable_list,
    STATE(2983), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(1975), 3,
      sym__declare_scalar,
      sym__declare_array,
      sym__declare_hash,
  [23342] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5020), 1,
      anon_sym_and,
    STATE(2984), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4216), 8,
      sym__PERLY_SEMICOLON,
      sym__ctrl_z_hack,
      anon_sym_SEMI,
      anon_sym_or,
      anon_sym_xor,
      anon_sym___DATA__,
      anon_sym___END__,
      anon_sym_EOT,
  [23366] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2985), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5032), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [23388] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2986), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4960), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [23410] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2987), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4922), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [23432] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2988), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5034), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [23454] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5039), 1,
      anon_sym_COLON,
    STATE(3080), 1,
      sym_attribute_name,
    STATE(3308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5036), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(2989), 2,
      sym_heredoc_content,
      aux_sym_attrlist_repeat1,
    ACTIONS(2431), 3,
      sym_prototype,
      sym__signature_start,
      anon_sym_LBRACE,
  [23484] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2990), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4924), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [23506] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4284), 1,
      anon_sym_DOLLAR,
    ACTIONS(4286), 1,
      anon_sym_AT,
    ACTIONS(4294), 1,
      anon_sym_LPAREN,
    ACTIONS(4296), 1,
      anon_sym_PERCENT2,
    STATE(1446), 1,
      sym__declared_vars,
    STATE(1447), 1,
      sym__decl_variable_list,
    STATE(2991), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(1230), 3,
      sym__declare_scalar,
      sym__declare_array,
      sym__declare_hash,
  [23540] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5020), 1,
      anon_sym_and,
    STATE(2992), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5022), 2,
      anon_sym_or,
      anon_sym_xor,
    ACTIONS(5042), 6,
      sym__PERLY_SEMICOLON,
      sym__ctrl_z_hack,
      anon_sym_SEMI,
      anon_sym___DATA__,
      anon_sym___END__,
      anon_sym_EOT,
  [23566] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2993), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4926), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [23588] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2994), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4930), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [23610] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2995), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4960), 9,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [23632] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2996), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4944), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [23654] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4989), 1,
      anon_sym_COLON,
    STATE(2964), 1,
      aux_sym_attrlist_repeat1,
    STATE(2997), 1,
      sym_heredoc_content,
    STATE(3065), 1,
      sym_attribute_name,
    STATE(3132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4768), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    ACTIONS(2418), 3,
      sym__PERLY_SEMICOLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [23686] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2998), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4898), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [23708] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2999), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4985), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [23730] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5044), 1,
      anon_sym_DOLLAR,
    ACTIONS(5046), 1,
      anon_sym_AT,
    ACTIONS(5049), 1,
      aux_sym__interpolation_fallbacks_token2,
    ACTIONS(5051), 1,
      sym__no_interp_whitespace_zw,
    STATE(2892), 1,
      sym_scalar,
    STATE(3000), 1,
      sym_heredoc_content,
    ACTIONS(4964), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4971), 2,
      anon_sym_DOLLAR_STAR,
      anon_sym_AT_STAR,
  [23766] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5020), 1,
      anon_sym_and,
    STATE(3001), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5022), 2,
      anon_sym_or,
      anon_sym_xor,
    ACTIONS(5053), 6,
      sym__PERLY_SEMICOLON,
      sym__ctrl_z_hack,
      anon_sym_SEMI,
      anon_sym___DATA__,
      anon_sym___END__,
      anon_sym_EOT,
  [23792] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3002), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5057), 3,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_SLASH_SLASH_EQ,
    ACTIONS(5055), 6,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PERCENT2,
  [23816] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3003), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1832), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [23838] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3004), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5059), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [23860] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3005), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5061), 9,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PERCENT2,
  [23882] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3006), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5063), 9,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PERCENT2,
  [23904] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3007), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1836), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [23926] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3008), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5065), 3,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_SLASH_SLASH_EQ,
    ACTIONS(4862), 6,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PERCENT2,
  [23950] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3009), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1659), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [23972] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3010), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5067), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [23994] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4987), 1,
      anon_sym_COLON,
    STATE(2989), 1,
      aux_sym_attrlist_repeat1,
    STATE(3011), 1,
      sym_heredoc_content,
    STATE(3080), 1,
      sym_attribute_name,
    STATE(3308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4758), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    ACTIONS(2424), 3,
      sym_prototype,
      sym__signature_start,
      anon_sym_LBRACE,
  [24026] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3012), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2532), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [24048] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3013), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4900), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [24070] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5069), 1,
      anon_sym_DOLLAR,
    ACTIONS(5071), 1,
      anon_sym_AT,
    ACTIONS(5073), 1,
      anon_sym_LPAREN,
    ACTIONS(5075), 1,
      anon_sym_PERCENT2,
    STATE(1548), 1,
      sym__declared_vars,
    STATE(1549), 1,
      sym__decl_variable_list,
    STATE(3014), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(1550), 3,
      sym__declare_scalar,
      sym__declare_array,
      sym__declare_hash,
  [24104] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3015), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4916), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [24126] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3016), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4902), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [24148] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5077), 1,
      anon_sym_DOLLAR,
    ACTIONS(5079), 1,
      anon_sym_AT,
    ACTIONS(5081), 1,
      anon_sym_LPAREN,
    ACTIONS(5083), 1,
      anon_sym_PERCENT2,
    STATE(2041), 1,
      sym__declared_vars,
    STATE(2042), 1,
      sym__decl_variable_list,
    STATE(3017), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2162), 3,
      sym__declare_scalar,
      sym__declare_array,
      sym__declare_hash,
  [24182] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4860), 1,
      sym__identifier,
    STATE(3018), 1,
      sym_heredoc_content,
    STATE(3135), 1,
      sym__signature_varname,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5085), 6,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PERCENT2,
  [24207] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3019), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4944), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [24228] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5090), 1,
      anon_sym_COLON,
    STATE(3312), 1,
      sym_attribute_name,
    STATE(3350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2431), 2,
      sym__signature_start,
      anon_sym_LBRACE,
    ACTIONS(5087), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(3020), 2,
      sym_heredoc_content,
      aux_sym_attrlist_repeat1,
  [24257] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3021), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5093), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [24278] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3022), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1535), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    ACTIONS(5095), 2,
      anon_sym___DATA__,
      anon_sym___END__,
    ACTIONS(5097), 2,
      sym__ctrl_z_hack,
      anon_sym_EOT,
    STATE(910), 2,
      sym__semicolon,
      sym___DATA__,
  [24305] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3023), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4900), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [24326] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3024), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1659), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [24347] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3025), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4902), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [24368] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3026), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1547), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    ACTIONS(5099), 2,
      anon_sym___DATA__,
      anon_sym___END__,
    ACTIONS(5101), 2,
      sym__ctrl_z_hack,
      anon_sym_EOT,
    STATE(1006), 2,
      sym__semicolon,
      sym___DATA__,
  [24395] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3027), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4270), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [24416] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3028), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1853), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [24437] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3029), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4960), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [24458] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3030), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1543), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    ACTIONS(5103), 2,
      anon_sym___DATA__,
      anon_sym___END__,
    ACTIONS(5105), 2,
      sym__ctrl_z_hack,
      anon_sym_EOT,
    STATE(1102), 2,
      sym__semicolon,
      sym___DATA__,
  [24485] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3031), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4922), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [24506] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4860), 1,
      sym__identifier,
    STATE(3032), 1,
      sym_heredoc_content,
    STATE(3133), 1,
      sym__signature_varname,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5107), 6,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PERCENT2,
  [24531] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3033), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4904), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [24552] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3034), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1836), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [24573] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3035), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4898), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [24594] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3036), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1861), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [24615] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5109), 1,
      anon_sym_COLON,
    STATE(3020), 1,
      aux_sym_attrlist_repeat1,
    STATE(3037), 1,
      sym_heredoc_content,
    STATE(3312), 1,
      sym_attribute_name,
    STATE(3350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2424), 2,
      sym__signature_start,
      anon_sym_LBRACE,
    ACTIONS(4912), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [24646] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3038), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4940), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [24667] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3039), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2532), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [24688] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3040), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4924), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [24709] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3041), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4916), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [24730] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5109), 1,
      anon_sym_COLON,
    STATE(3037), 1,
      aux_sym_attrlist_repeat1,
    STATE(3042), 1,
      sym_heredoc_content,
    STATE(3312), 1,
      sym_attribute_name,
    STATE(3350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2418), 2,
      sym__signature_start,
      anon_sym_LBRACE,
    ACTIONS(4912), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [24761] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3043), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4920), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [24782] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3044), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4926), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [24803] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3045), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1865), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [24824] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3046), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4890), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [24845] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3047), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1826), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [24866] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3048), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4942), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [24887] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3049), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1857), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [24908] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3050), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4930), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [24929] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3051), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1832), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [24950] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(5111), 1,
      anon_sym_COLON,
    ACTIONS(5113), 1,
      sym_prototype,
    STATE(103), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2224), 1,
      sym_block,
    STATE(3052), 1,
      sym_heredoc_content,
    STATE(3702), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [24982] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4028), 1,
      sym__quotelike_middle_close_quote,
    STATE(3053), 1,
      sym_heredoc_content,
    STATE(3217), 1,
      sym__quotelike_middle,
    STATE(3378), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3591), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5115), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [25010] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4028), 1,
      sym__quotelike_middle_close_quote,
    STATE(3054), 1,
      sym_heredoc_content,
    STATE(3236), 1,
      sym__quotelike_middle,
    STATE(3378), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3591), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5115), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [25038] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(5117), 1,
      anon_sym_COLON,
    ACTIONS(5119), 1,
      sym_prototype,
    STATE(105), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1135), 1,
      sym_block,
    STATE(3055), 1,
      sym_heredoc_content,
    STATE(3612), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [25070] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(5121), 1,
      anon_sym_COLON,
    ACTIONS(5123), 1,
      sym_prototype,
    STATE(103), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2236), 1,
      sym_block,
    STATE(3056), 1,
      sym_heredoc_content,
    STATE(3704), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [25102] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(5125), 1,
      anon_sym_COLON,
    ACTIONS(5127), 1,
      sym_prototype,
    STATE(95), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1043), 1,
      sym_block,
    STATE(3057), 1,
      sym_heredoc_content,
    STATE(3641), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [25134] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(5129), 1,
      anon_sym_COLON,
    ACTIONS(5131), 1,
      sym_prototype,
    STATE(95), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1063), 1,
      sym_block,
    STATE(3058), 1,
      sym_heredoc_content,
    STATE(3666), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [25166] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4028), 1,
      sym__quotelike_middle_close_quote,
    STATE(3059), 1,
      sym_heredoc_content,
    STATE(3090), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3200), 1,
      sym__quotelike_middle,
    STATE(3591), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5115), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [25194] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(5133), 1,
      anon_sym_COLON,
    ACTIONS(5135), 1,
      sym_prototype,
    STATE(95), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1053), 1,
      sym_block,
    STATE(3060), 1,
      sym_heredoc_content,
    STATE(3672), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [25226] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(5137), 1,
      anon_sym_COLON,
    ACTIONS(5139), 1,
      sym_prototype,
    STATE(95), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1054), 1,
      sym_block,
    STATE(3061), 1,
      sym_heredoc_content,
    STATE(3674), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [25258] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(5141), 1,
      anon_sym_COLON,
    ACTIONS(5143), 1,
      sym_prototype,
    STATE(117), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(950), 1,
      sym_block,
    STATE(3062), 1,
      sym_heredoc_content,
    STATE(3709), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [25290] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3063), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2446), 3,
      anon_sym_COLON,
      sym__identifier,
      aux_sym__bareword_token1,
    ACTIONS(2448), 4,
      sym__attribute_value_begin,
      sym_prototype,
      sym__signature_start,
      anon_sym_LBRACE,
  [25312] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(5145), 1,
      anon_sym_COLON,
    ACTIONS(5147), 1,
      sym_prototype,
    STATE(117), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(951), 1,
      sym_block,
    STATE(3064), 1,
      sym_heredoc_content,
    STATE(3714), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [25344] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5149), 1,
      sym__attribute_value_begin,
    STATE(3065), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2450), 3,
      anon_sym_COLON,
      sym__identifier,
      aux_sym__bareword_token1,
    ACTIONS(2452), 3,
      sym__PERLY_SEMICOLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [25368] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4028), 1,
      sym__quotelike_middle_close_quote,
    STATE(3066), 1,
      sym_heredoc_content,
    STATE(3119), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3269), 1,
      sym__quotelike_middle,
    STATE(3591), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5115), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [25396] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4028), 1,
      sym__quotelike_middle_close_quote,
    STATE(3067), 1,
      sym_heredoc_content,
    STATE(3077), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3165), 1,
      sym__quotelike_middle,
    STATE(3591), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5115), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [25424] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(5151), 1,
      anon_sym_COLON,
    ACTIONS(5153), 1,
      sym_prototype,
    STATE(91), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1627), 1,
      sym_block,
    STATE(3068), 1,
      sym_heredoc_content,
    STATE(3787), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [25456] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(5155), 1,
      anon_sym_COLON,
    ACTIONS(5157), 1,
      sym_prototype,
    STATE(91), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1646), 1,
      sym_block,
    STATE(3069), 1,
      sym_heredoc_content,
    STATE(3596), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [25488] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(4896), 1,
      sym_prototype,
    ACTIONS(5159), 1,
      anon_sym_COLON,
    STATE(144), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1326), 1,
      sym_block,
    STATE(3070), 1,
      sym_heredoc_content,
    STATE(3642), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [25520] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(5161), 1,
      anon_sym_COLON,
    ACTIONS(5163), 1,
      sym_prototype,
    STATE(117), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(959), 1,
      sym_block,
    STATE(3071), 1,
      sym_heredoc_content,
    STATE(3739), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [25552] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(5165), 1,
      anon_sym_COLON,
    ACTIONS(5167), 1,
      sym_prototype,
    STATE(117), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(960), 1,
      sym_block,
    STATE(3072), 1,
      sym_heredoc_content,
    STATE(3741), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [25584] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(4936), 1,
      sym_prototype,
    ACTIONS(5169), 1,
      anon_sym_COLON,
    STATE(144), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1327), 1,
      sym_block,
    STATE(3073), 1,
      sym_heredoc_content,
    STATE(3671), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [25616] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(4878), 1,
      sym_prototype,
    ACTIONS(5171), 1,
      anon_sym_COLON,
    STATE(103), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2242), 1,
      sym_block,
    STATE(3074), 1,
      sym_heredoc_content,
    STATE(3734), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [25648] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(4884), 1,
      sym_prototype,
    ACTIONS(5173), 1,
      anon_sym_COLON,
    STATE(103), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2243), 1,
      sym_block,
    STATE(3075), 1,
      sym_heredoc_content,
    STATE(3735), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [25680] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4028), 1,
      sym__quotelike_middle_close_quote,
    STATE(3076), 1,
      sym_heredoc_content,
    STATE(3078), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3168), 1,
      sym__quotelike_middle,
    STATE(3591), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5115), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [25708] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4028), 1,
      sym__quotelike_middle_close_quote,
    STATE(3077), 1,
      sym_heredoc_content,
    STATE(3176), 1,
      sym__quotelike_middle,
    STATE(3378), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3591), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5115), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [25736] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4028), 1,
      sym__quotelike_middle_close_quote,
    STATE(3078), 1,
      sym_heredoc_content,
    STATE(3239), 1,
      sym__quotelike_middle,
    STATE(3378), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3591), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5115), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [25764] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3079), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2446), 3,
      anon_sym_COLON,
      sym__identifier,
      aux_sym__bareword_token1,
    ACTIONS(2448), 4,
      sym__PERLY_SEMICOLON,
      sym__attribute_value_begin,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [25786] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5175), 1,
      sym__attribute_value_begin,
    STATE(3080), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2450), 3,
      anon_sym_COLON,
      sym__identifier,
      aux_sym__bareword_token1,
    ACTIONS(2452), 3,
      sym_prototype,
      sym__signature_start,
      anon_sym_LBRACE,
  [25810] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(5177), 1,
      anon_sym_COLON,
    ACTIONS(5179), 1,
      sym_prototype,
    STATE(117), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(943), 1,
      sym_block,
    STATE(3081), 1,
      sym_heredoc_content,
    STATE(3611), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [25842] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(5181), 1,
      anon_sym_COLON,
    ACTIONS(5183), 1,
      sym_prototype,
    STATE(117), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(926), 1,
      sym_block,
    STATE(3082), 1,
      sym_heredoc_content,
    STATE(3771), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [25874] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(5185), 1,
      anon_sym_COLON,
    ACTIONS(5187), 1,
      sym_prototype,
    STATE(95), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1014), 1,
      sym_block,
    STATE(3083), 1,
      sym_heredoc_content,
    STATE(3752), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [25906] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(5189), 1,
      anon_sym_COLON,
    ACTIONS(5191), 1,
      sym_prototype,
    STATE(93), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2163), 1,
      sym_block,
    STATE(3084), 1,
      sym_heredoc_content,
    STATE(3630), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [25938] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(5193), 1,
      anon_sym_COLON,
    ACTIONS(5195), 1,
      sym_prototype,
    STATE(93), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2164), 1,
      sym_block,
    STATE(3085), 1,
      sym_heredoc_content,
    STATE(3650), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [25970] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(5197), 1,
      anon_sym_COLON,
    ACTIONS(5199), 1,
      sym_prototype,
    STATE(95), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1015), 1,
      sym_block,
    STATE(3086), 1,
      sym_heredoc_content,
    STATE(3707), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [26002] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(5201), 1,
      anon_sym_COLON,
    ACTIONS(5203), 1,
      sym_prototype,
    STATE(117), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(927), 1,
      sym_block,
    STATE(3087), 1,
      sym_heredoc_content,
    STATE(3742), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [26034] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4028), 1,
      sym__quotelike_middle_close_quote,
    STATE(3088), 1,
      sym_heredoc_content,
    STATE(3128), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3309), 1,
      sym__quotelike_middle,
    STATE(3591), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5115), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [26062] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(5205), 1,
      anon_sym_COLON,
    STATE(95), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(3089), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1547), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    STATE(1026), 2,
      sym_block,
      sym__semicolon,
  [26090] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4028), 1,
      sym__quotelike_middle_close_quote,
    STATE(3090), 1,
      sym_heredoc_content,
    STATE(3178), 1,
      sym__quotelike_middle,
    STATE(3378), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3591), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5115), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [26118] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(5207), 1,
      anon_sym_COLON,
    ACTIONS(5209), 1,
      sym_prototype,
    STATE(105), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1107), 1,
      sym_block,
    STATE(3091), 1,
      sym_heredoc_content,
    STATE(3621), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [26150] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(5211), 1,
      anon_sym_COLON,
    ACTIONS(5213), 1,
      sym_prototype,
    STATE(105), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1134), 1,
      sym_block,
    STATE(3092), 1,
      sym_heredoc_content,
    STATE(3610), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [26182] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(5215), 1,
      anon_sym_COLON,
    ACTIONS(5217), 1,
      sym_prototype,
    STATE(105), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1108), 1,
      sym_block,
    STATE(3093), 1,
      sym_heredoc_content,
    STATE(3629), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [26214] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4028), 1,
      sym__quotelike_middle_close_quote,
    STATE(3054), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3094), 1,
      sym_heredoc_content,
    STATE(3284), 1,
      sym__quotelike_middle,
    STATE(3591), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5115), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [26242] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(5219), 1,
      anon_sym_COLON,
    STATE(95), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(3095), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1547), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    STATE(1024), 2,
      sym_block,
      sym__semicolon,
  [26270] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(5221), 1,
      anon_sym_COLON,
    ACTIONS(5223), 1,
      sym_prototype,
    STATE(117), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(944), 1,
      sym_block,
    STATE(3096), 1,
      sym_heredoc_content,
    STATE(3614), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [26302] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(5225), 1,
      anon_sym_COLON,
    ACTIONS(5227), 1,
      sym_prototype,
    STATE(112), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1976), 1,
      sym_block,
    STATE(3097), 1,
      sym_heredoc_content,
    STATE(3715), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [26334] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(5229), 1,
      anon_sym_COLON,
    ACTIONS(5231), 1,
      sym_prototype,
    STATE(112), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1977), 1,
      sym_block,
    STATE(3098), 1,
      sym_heredoc_content,
    STATE(3723), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [26366] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4028), 1,
      sym__quotelike_middle_close_quote,
    STATE(3099), 1,
      sym_heredoc_content,
    STATE(3101), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3164), 1,
      sym__quotelike_middle,
    STATE(3591), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5115), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [26394] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5233), 1,
      anon_sym_DOLLAR,
    ACTIONS(5235), 1,
      anon_sym_my,
    ACTIONS(5237), 1,
      anon_sym_LPAREN,
    STATE(3100), 1,
      sym_heredoc_content,
    STATE(3907), 1,
      sym__for_initializer,
    STATE(3910), 1,
      sym_scalar,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5239), 2,
      anon_sym_state,
      anon_sym_our,
  [26424] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4028), 1,
      sym__quotelike_middle_close_quote,
    STATE(3101), 1,
      sym_heredoc_content,
    STATE(3183), 1,
      sym__quotelike_middle,
    STATE(3378), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3591), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5115), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [26452] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4028), 1,
      sym__quotelike_middle_close_quote,
    STATE(3102), 1,
      sym_heredoc_content,
    STATE(3120), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3143), 1,
      sym__quotelike_middle,
    STATE(3591), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5115), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [26480] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4028), 1,
      sym__quotelike_middle_close_quote,
    STATE(3103), 1,
      sym_heredoc_content,
    STATE(3107), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3243), 1,
      sym__quotelike_middle,
    STATE(3591), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5115), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [26508] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(4770), 1,
      sym_prototype,
    ACTIONS(5241), 1,
      anon_sym_COLON,
    STATE(144), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1309), 1,
      sym_block,
    STATE(3104), 1,
      sym_heredoc_content,
    STATE(3746), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [26540] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(4805), 1,
      sym_prototype,
    ACTIONS(5243), 1,
      anon_sym_COLON,
    STATE(144), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1310), 1,
      sym_block,
    STATE(3105), 1,
      sym_heredoc_content,
    STATE(3733), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [26572] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(4866), 1,
      sym_prototype,
    ACTIONS(5245), 1,
      anon_sym_COLON,
    STATE(93), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2034), 1,
      sym_block,
    STATE(3106), 1,
      sym_heredoc_content,
    STATE(3588), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [26604] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4028), 1,
      sym__quotelike_middle_close_quote,
    STATE(3107), 1,
      sym_heredoc_content,
    STATE(3252), 1,
      sym__quotelike_middle,
    STATE(3378), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3591), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5115), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [26632] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(4876), 1,
      sym_prototype,
    ACTIONS(5247), 1,
      anon_sym_COLON,
    STATE(93), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2045), 1,
      sym_block,
    STATE(3108), 1,
      sym_heredoc_content,
    STATE(3628), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [26664] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(5249), 1,
      anon_sym_COLON,
    ACTIONS(5251), 1,
      sym_prototype,
    STATE(105), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1118), 1,
      sym_block,
    STATE(3109), 1,
      sym_heredoc_content,
    STATE(3782), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [26696] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(5253), 1,
      anon_sym_COLON,
    ACTIONS(5255), 1,
      sym_prototype,
    STATE(105), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1119), 1,
      sym_block,
    STATE(3110), 1,
      sym_heredoc_content,
    STATE(3786), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [26728] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(5257), 1,
      anon_sym_COLON,
    STATE(117), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(3111), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1535), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    STATE(938), 2,
      sym_block,
      sym__semicolon,
  [26756] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(5259), 1,
      anon_sym_COLON,
    STATE(105), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(3112), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1543), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    STATE(1115), 2,
      sym_block,
      sym__semicolon,
  [26784] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(5261), 1,
      anon_sym_COLON,
    STATE(117), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(3113), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1535), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    STATE(940), 2,
      sym_block,
      sym__semicolon,
  [26812] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(4854), 1,
      sym_prototype,
    ACTIONS(5263), 1,
      anon_sym_COLON,
    STATE(91), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1788), 1,
      sym_block,
    STATE(3114), 1,
      sym_heredoc_content,
    STATE(3796), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [26844] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(4856), 1,
      sym_prototype,
    ACTIONS(5265), 1,
      anon_sym_COLON,
    STATE(91), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1790), 1,
      sym_block,
    STATE(3115), 1,
      sym_heredoc_content,
    STATE(3681), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [26876] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4028), 1,
      sym__quotelike_middle_close_quote,
    STATE(3053), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3116), 1,
      sym_heredoc_content,
    STATE(3212), 1,
      sym__quotelike_middle,
    STATE(3591), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5115), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [26904] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(5267), 1,
      anon_sym_COLON,
    ACTIONS(5269), 1,
      sym_prototype,
    STATE(95), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1029), 1,
      sym_block,
    STATE(3117), 1,
      sym_heredoc_content,
    STATE(3751), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [26936] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(5271), 1,
      anon_sym_COLON,
    ACTIONS(5273), 1,
      sym_prototype,
    STATE(95), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1030), 1,
      sym_block,
    STATE(3118), 1,
      sym_heredoc_content,
    STATE(3756), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [26968] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4028), 1,
      sym__quotelike_middle_close_quote,
    STATE(3119), 1,
      sym_heredoc_content,
    STATE(3182), 1,
      sym__quotelike_middle,
    STATE(3378), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3591), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5115), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [26996] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4028), 1,
      sym__quotelike_middle_close_quote,
    STATE(3120), 1,
      sym_heredoc_content,
    STATE(3148), 1,
      sym__quotelike_middle,
    STATE(3378), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3591), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5115), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [27024] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(4774), 1,
      sym_prototype,
    ACTIONS(5275), 1,
      anon_sym_COLON,
    STATE(112), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1831), 1,
      sym_block,
    STATE(3121), 1,
      sym_heredoc_content,
    STATE(3605), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [27056] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(4776), 1,
      sym_prototype,
    ACTIONS(5277), 1,
      anon_sym_COLON,
    STATE(112), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1832), 1,
      sym_block,
    STATE(3122), 1,
      sym_heredoc_content,
    STATE(3607), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [27088] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(5279), 1,
      anon_sym_COLON,
    ACTIONS(5281), 1,
      sym_prototype,
    STATE(105), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1125), 1,
      sym_block,
    STATE(3123), 1,
      sym_heredoc_content,
    STATE(3602), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [27120] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(5283), 1,
      anon_sym_COLON,
    ACTIONS(5285), 1,
      sym_prototype,
    STATE(105), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1126), 1,
      sym_block,
    STATE(3124), 1,
      sym_heredoc_content,
    STATE(3604), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [27152] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_COLON,
    STATE(105), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(3125), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1543), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    STATE(1113), 2,
      sym_block,
      sym__semicolon,
  [27180] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5233), 1,
      anon_sym_DOLLAR,
    ACTIONS(5235), 1,
      anon_sym_my,
    ACTIONS(5289), 1,
      anon_sym_LPAREN,
    STATE(3126), 1,
      sym_heredoc_content,
    STATE(3910), 1,
      sym_scalar,
    STATE(4126), 1,
      sym__for_initializer,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5239), 2,
      anon_sym_state,
      anon_sym_our,
  [27210] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5233), 1,
      anon_sym_DOLLAR,
    ACTIONS(5235), 1,
      anon_sym_my,
    ACTIONS(5291), 1,
      anon_sym_LPAREN,
    STATE(3127), 1,
      sym_heredoc_content,
    STATE(3910), 1,
      sym_scalar,
    STATE(4132), 1,
      sym__for_initializer,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5239), 2,
      anon_sym_state,
      anon_sym_our,
  [27240] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4028), 1,
      sym__quotelike_middle_close_quote,
    STATE(3128), 1,
      sym_heredoc_content,
    STATE(3264), 1,
      sym__quotelike_middle,
    STATE(3378), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3591), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5115), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [27268] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(5293), 1,
      anon_sym_COLON,
    STATE(117), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(923), 1,
      sym_block,
    STATE(3129), 1,
      sym_heredoc_content,
    STATE(3727), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [27297] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(5295), 1,
      sym_prototype,
    STATE(112), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1884), 1,
      sym_block,
    STATE(3130), 1,
      sym_heredoc_content,
    STATE(3730), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [27326] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4084), 1,
      sym__quotelike_end_quote,
    STATE(2100), 1,
      sym__quotelike_end,
    STATE(3131), 1,
      sym_heredoc_content,
    STATE(3362), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [27351] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3132), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2522), 3,
      anon_sym_COLON,
      sym__identifier,
      aux_sym__bareword_token1,
    ACTIONS(2524), 3,
      sym__PERLY_SEMICOLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [27372] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3133), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5299), 6,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PERCENT2,
  [27391] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(5301), 1,
      sym_prototype,
    STATE(112), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1886), 1,
      sym_block,
    STATE(3134), 1,
      sym_heredoc_content,
    STATE(3732), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [27420] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3135), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5303), 6,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PERCENT2,
  [27439] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4074), 1,
      sym__quotelike_end_quote,
    STATE(1242), 1,
      sym__quotelike_end,
    STATE(3136), 1,
      sym_heredoc_content,
    STATE(3362), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [27464] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4084), 1,
      sym__quotelike_end_quote,
    STATE(2205), 1,
      sym__quotelike_end,
    STATE(3137), 1,
      sym_heredoc_content,
    STATE(3362), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [27489] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4084), 1,
      sym__quotelike_end_quote,
    STATE(2021), 1,
      sym__quotelike_end,
    STATE(3138), 1,
      sym_heredoc_content,
    STATE(3362), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [27514] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3139), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4216), 6,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_or,
      anon_sym_xor,
      anon_sym_RBRACK,
  [27533] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4084), 1,
      sym__quotelike_end_quote,
    STATE(2143), 1,
      sym__quotelike_end,
    STATE(3140), 1,
      sym_heredoc_content,
    STATE(3362), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [27558] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    STATE(3141), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4216), 5,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_or,
      anon_sym_xor,
      anon_sym_RBRACK,
  [27579] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4074), 1,
      sym__quotelike_end_quote,
    STATE(1375), 1,
      sym__quotelike_end,
    STATE(3142), 1,
      sym_heredoc_content,
    STATE(3362), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [27604] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4084), 1,
      sym__quotelike_end_quote,
    STATE(1990), 1,
      sym__quotelike_end,
    STATE(3143), 1,
      sym_heredoc_content,
    STATE(3147), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [27629] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4066), 1,
      sym__quotelike_end_quote,
    STATE(2357), 1,
      sym__quotelike_end,
    STATE(3144), 1,
      sym_heredoc_content,
    STATE(3362), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [27654] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4050), 1,
      sym__quotelike_end_quote,
    STATE(1273), 1,
      sym__quotelike_end,
    STATE(3145), 1,
      sym_heredoc_content,
    STATE(3171), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [27679] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3146), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4712), 6,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_undef,
      anon_sym_PERCENT2,
  [27698] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4084), 1,
      sym__quotelike_end_quote,
    STATE(2014), 1,
      sym__quotelike_end,
    STATE(3147), 1,
      sym_heredoc_content,
    STATE(3362), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [27723] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4084), 1,
      sym__quotelike_end_quote,
    STATE(2016), 1,
      sym__quotelike_end,
    STATE(3148), 1,
      sym_heredoc_content,
    STATE(3157), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [27748] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4086), 1,
      sym__quotelike_end_quote,
    STATE(1687), 1,
      sym__quotelike_end,
    STATE(3149), 1,
      sym_heredoc_content,
    STATE(3362), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [27773] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5307), 1,
      anon_sym_DOLLAR,
    ACTIONS(5309), 1,
      anon_sym_STAR,
    STATE(1559), 1,
      sym_scalar,
    STATE(1573), 1,
      sym_method,
    STATE(3150), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4608), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [27800] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4074), 1,
      sym__quotelike_end_quote,
    STATE(1263), 1,
      sym__quotelike_end,
    STATE(3136), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3151), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [27825] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4074), 1,
      sym__quotelike_end_quote,
    STATE(1324), 1,
      sym__quotelike_end,
    STATE(3142), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3152), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [27850] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4066), 1,
      sym__quotelike_end_quote,
    STATE(2106), 1,
      sym__quotelike_end,
    STATE(3153), 1,
      sym_heredoc_content,
    STATE(3362), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [27875] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(5311), 1,
      sym_prototype,
    STATE(103), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2351), 1,
      sym_block,
    STATE(3154), 1,
      sym_heredoc_content,
    STATE(3766), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [27904] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(190), 1,
      sym_package,
    STATE(3155), 1,
      sym_heredoc_content,
    STATE(3711), 1,
      sym__version,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4908), 2,
      sym_version,
      sym_number,
    ACTIONS(5313), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [27929] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(5315), 1,
      sym_prototype,
    STATE(117), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(962), 1,
      sym_block,
    STATE(3156), 1,
      sym_heredoc_content,
    STATE(3745), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [27958] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4084), 1,
      sym__quotelike_end_quote,
    STATE(2013), 1,
      sym__quotelike_end,
    STATE(3157), 1,
      sym_heredoc_content,
    STATE(3362), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [27983] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(5317), 1,
      sym_prototype,
    STATE(103), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2354), 1,
      sym_block,
    STATE(3158), 1,
      sym_heredoc_content,
    STATE(3768), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [28012] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(5319), 1,
      sym_prototype,
    STATE(117), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(964), 1,
      sym_block,
    STATE(3159), 1,
      sym_heredoc_content,
    STATE(3748), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [28041] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4054), 1,
      sym__quotelike_end_quote,
    STATE(2107), 1,
      sym__quotelike_end,
    STATE(3160), 1,
      sym_heredoc_content,
    STATE(3362), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [28066] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4066), 1,
      sym__quotelike_end_quote,
    STATE(2361), 1,
      sym__quotelike_end,
    STATE(3161), 1,
      sym_heredoc_content,
    STATE(3362), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [28091] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4052), 1,
      sym__quotelike_end_quote,
    STATE(2108), 1,
      sym__quotelike_end,
    STATE(3162), 1,
      sym_heredoc_content,
    STATE(3362), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [28116] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(5321), 1,
      sym_prototype,
    STATE(105), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1139), 1,
      sym_block,
    STATE(3163), 1,
      sym_heredoc_content,
    STATE(3618), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [28145] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4080), 1,
      sym__quotelike_end_quote,
    STATE(2109), 1,
      sym__quotelike_end,
    STATE(3164), 1,
      sym_heredoc_content,
    STATE(3180), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [28170] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4066), 1,
      sym__quotelike_end_quote,
    STATE(2110), 1,
      sym__quotelike_end,
    STATE(3165), 1,
      sym_heredoc_content,
    STATE(3174), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [28195] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5323), 1,
      anon_sym_DOLLAR,
    ACTIONS(5325), 1,
      anon_sym_STAR,
    STATE(1261), 1,
      sym_scalar,
    STATE(1272), 1,
      sym_method,
    STATE(3166), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4476), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [28222] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5233), 1,
      anon_sym_DOLLAR,
    ACTIONS(5329), 1,
      anon_sym_GT,
    STATE(3167), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5327), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(3923), 2,
      sym_scalar,
      sym_bareword,
  [28247] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4078), 1,
      sym__quotelike_end_quote,
    STATE(1568), 1,
      sym__quotelike_end,
    STATE(3168), 1,
      sym_heredoc_content,
    STATE(3238), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [28272] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(5331), 1,
      anon_sym_COLON,
    STATE(105), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1183), 1,
      sym_block,
    STATE(3169), 1,
      sym_heredoc_content,
    STATE(3594), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [28301] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(5333), 1,
      sym_prototype,
    STATE(93), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2111), 1,
      sym_block,
    STATE(3170), 1,
      sym_heredoc_content,
    STATE(3636), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [28330] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4050), 1,
      sym__quotelike_end_quote,
    STATE(1247), 1,
      sym__quotelike_end,
    STATE(3171), 1,
      sym_heredoc_content,
    STATE(3362), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [28355] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4072), 1,
      sym__quotelike_end_quote,
    STATE(2020), 1,
      sym__quotelike_end,
    STATE(3172), 1,
      sym_heredoc_content,
    STATE(3362), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [28380] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5335), 1,
      anon_sym_DOLLAR,
    ACTIONS(5337), 1,
      anon_sym_STAR,
    STATE(2095), 1,
      sym_scalar,
    STATE(2118), 1,
      sym_method,
    STATE(3173), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4400), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [28407] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4066), 1,
      sym__quotelike_end_quote,
    STATE(2127), 1,
      sym__quotelike_end,
    STATE(3174), 1,
      sym_heredoc_content,
    STATE(3362), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [28432] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4074), 1,
      sym__quotelike_end_quote,
    STATE(1348), 1,
      sym__quotelike_end,
    STATE(3175), 1,
      sym_heredoc_content,
    STATE(3362), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [28457] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4066), 1,
      sym__quotelike_end_quote,
    STATE(2128), 1,
      sym__quotelike_end,
    STATE(3176), 1,
      sym_heredoc_content,
    STATE(3206), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [28482] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4076), 1,
      sym__quotelike_end_quote,
    STATE(1251), 1,
      sym__quotelike_end,
    STATE(3177), 1,
      sym_heredoc_content,
    STATE(3362), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [28507] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4076), 1,
      sym__quotelike_end_quote,
    STATE(1252), 1,
      sym__quotelike_end,
    STATE(3178), 1,
      sym_heredoc_content,
    STATE(3274), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [28532] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(5339), 1,
      sym_prototype,
    STATE(144), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1365), 1,
      sym_block,
    STATE(3179), 1,
      sym_heredoc_content,
    STATE(3620), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [28561] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4080), 1,
      sym__quotelike_end_quote,
    STATE(2124), 1,
      sym__quotelike_end,
    STATE(3180), 1,
      sym_heredoc_content,
    STATE(3362), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [28586] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4074), 1,
      sym__quotelike_end_quote,
    STATE(1253), 1,
      sym__quotelike_end,
    STATE(3181), 1,
      sym_heredoc_content,
    STATE(3362), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [28611] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4074), 1,
      sym__quotelike_end_quote,
    STATE(1254), 1,
      sym__quotelike_end,
    STATE(3182), 1,
      sym_heredoc_content,
    STATE(3279), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [28636] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4080), 1,
      sym__quotelike_end_quote,
    STATE(2126), 1,
      sym__quotelike_end,
    STATE(3183), 1,
      sym_heredoc_content,
    STATE(3198), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [28661] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4084), 1,
      sym__quotelike_end_quote,
    STATE(2133), 1,
      sym__quotelike_end,
    STATE(3131), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3184), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [28686] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4042), 1,
      sym__quotelike_end_quote,
    STATE(1236), 1,
      sym__quotelike_end,
    STATE(3185), 1,
      sym_heredoc_content,
    STATE(3219), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [28711] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4070), 1,
      sym__quotelike_end_quote,
    STATE(1666), 1,
      sym__quotelike_end,
    STATE(3186), 1,
      sym_heredoc_content,
    STATE(3218), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [28736] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(105), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(3187), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1543), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    STATE(1147), 2,
      sym_block,
      sym__semicolon,
  [28761] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3188), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5341), 6,
      sym__PERLY_SEMICOLON,
      sym__ctrl_z_hack,
      anon_sym_SEMI,
      anon_sym___DATA__,
      anon_sym___END__,
      anon_sym_EOT,
  [28780] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4074), 1,
      sym__quotelike_end_quote,
    STATE(1373), 1,
      sym__quotelike_end,
    STATE(3189), 1,
      sym_heredoc_content,
    STATE(3362), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [28805] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(105), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(3190), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1543), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    STATE(1187), 2,
      sym_block,
      sym__semicolon,
  [28830] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4070), 1,
      sym__quotelike_end_quote,
    STATE(1553), 1,
      sym__quotelike_end,
    STATE(3191), 1,
      sym_heredoc_content,
    STATE(3362), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [28855] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3192), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2431), 3,
      sym__PERLY_SEMICOLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
    ACTIONS(2436), 3,
      anon_sym_COLON,
      sym__identifier,
      aux_sym__bareword_token1,
  [28876] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(5343), 1,
      sym_prototype,
    STATE(93), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2040), 1,
      sym_block,
    STATE(3193), 1,
      sym_heredoc_content,
    STATE(3639), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [28905] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(5345), 1,
      sym_prototype,
    STATE(103), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2251), 1,
      sym_block,
    STATE(3194), 1,
      sym_heredoc_content,
    STATE(3788), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [28934] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4070), 1,
      sym__quotelike_end_quote,
    STATE(1704), 1,
      sym__quotelike_end,
    STATE(3195), 1,
      sym_heredoc_content,
    STATE(3362), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [28959] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(95), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(3196), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1547), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    STATE(1070), 2,
      sym_block,
      sym__semicolon,
  [28984] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(5347), 1,
      sym_prototype,
    STATE(103), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2253), 1,
      sym_block,
    STATE(3197), 1,
      sym_heredoc_content,
    STATE(3790), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [29013] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4080), 1,
      sym__quotelike_end_quote,
    STATE(2136), 1,
      sym__quotelike_end,
    STATE(3198), 1,
      sym_heredoc_content,
    STATE(3362), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [29038] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3199), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2395), 6,
      sym__PERLY_SEMICOLON,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_SEMI,
      sym_version,
      sym_number,
  [29057] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4076), 1,
      sym__quotelike_end_quote,
    STATE(1255), 1,
      sym__quotelike_end,
    STATE(3177), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3200), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [29082] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4082), 1,
      sym__quotelike_end_quote,
    STATE(1842), 1,
      sym__quotelike_end,
    STATE(3201), 1,
      sym_heredoc_content,
    STATE(3362), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [29107] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4066), 1,
      sym__quotelike_end_quote,
    STATE(2327), 1,
      sym__quotelike_end,
    STATE(3202), 1,
      sym_heredoc_content,
    STATE(3362), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [29132] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4070), 1,
      sym__quotelike_end_quote,
    STATE(1595), 1,
      sym__quotelike_end,
    STATE(3203), 1,
      sym_heredoc_content,
    STATE(3362), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [29157] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5349), 1,
      anon_sym_DOLLAR,
    ACTIONS(5351), 1,
      anon_sym_STAR,
    STATE(1604), 1,
      sym_scalar,
    STATE(1650), 1,
      sym_method,
    STATE(3204), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4456), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [29184] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4082), 1,
      sym__quotelike_end_quote,
    STATE(1854), 1,
      sym__quotelike_end,
    STATE(3205), 1,
      sym_heredoc_content,
    STATE(3362), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [29209] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4066), 1,
      sym__quotelike_end_quote,
    STATE(2137), 1,
      sym__quotelike_end,
    STATE(3206), 1,
      sym_heredoc_content,
    STATE(3362), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [29234] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3207), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4232), 6,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_or,
      anon_sym_xor,
      anon_sym_RBRACK,
  [29253] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3208), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4236), 6,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_or,
      anon_sym_xor,
      anon_sym_RBRACK,
  [29272] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4082), 1,
      sym__quotelike_end_quote,
    STATE(1663), 1,
      sym__quotelike_end,
    STATE(3209), 1,
      sym_heredoc_content,
    STATE(3362), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [29297] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4082), 1,
      sym__quotelike_end_quote,
    STATE(1856), 1,
      sym__quotelike_end,
    STATE(3210), 1,
      sym_heredoc_content,
    STATE(3362), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [29322] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(5353), 1,
      sym_prototype,
    STATE(105), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1149), 1,
      sym_block,
    STATE(3211), 1,
      sym_heredoc_content,
    STATE(3647), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [29351] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4082), 1,
      sym__quotelike_end_quote,
    STATE(1757), 1,
      sym__quotelike_end,
    STATE(3212), 1,
      sym_heredoc_content,
    STATE(3216), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [29376] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(5355), 1,
      sym_prototype,
    STATE(105), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1137), 1,
      sym_block,
    STATE(3213), 1,
      sym_heredoc_content,
    STATE(3616), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [29405] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5233), 1,
      anon_sym_DOLLAR,
    ACTIONS(5357), 1,
      anon_sym_GT,
    STATE(3214), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5327), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(3887), 2,
      sym_scalar,
      sym_bareword,
  [29430] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3215), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4240), 6,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_or,
      anon_sym_xor,
      anon_sym_RBRACK,
  [29449] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4082), 1,
      sym__quotelike_end_quote,
    STATE(1678), 1,
      sym__quotelike_end,
    STATE(3216), 1,
      sym_heredoc_content,
    STATE(3362), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [29474] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4082), 1,
      sym__quotelike_end_quote,
    STATE(1681), 1,
      sym__quotelike_end,
    STATE(3217), 1,
      sym_heredoc_content,
    STATE(3221), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [29499] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4070), 1,
      sym__quotelike_end_quote,
    STATE(1789), 1,
      sym__quotelike_end,
    STATE(3218), 1,
      sym_heredoc_content,
    STATE(3362), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [29524] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4042), 1,
      sym__quotelike_end_quote,
    STATE(1249), 1,
      sym__quotelike_end,
    STATE(3219), 1,
      sym_heredoc_content,
    STATE(3362), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [29549] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(173), 1,
      sym_package,
    STATE(3220), 1,
      sym_heredoc_content,
    STATE(3685), 1,
      sym__version,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4908), 2,
      sym_version,
      sym_number,
    ACTIONS(5313), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [29574] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4082), 1,
      sym__quotelike_end_quote,
    STATE(1689), 1,
      sym__quotelike_end,
    STATE(3221), 1,
      sym_heredoc_content,
    STATE(3362), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [29599] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(166), 1,
      sym_package,
    STATE(3222), 1,
      sym_heredoc_content,
    STATE(3729), 1,
      sym__version,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4908), 2,
      sym_version,
      sym_number,
    ACTIONS(5313), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [29624] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5233), 1,
      anon_sym_DOLLAR,
    ACTIONS(5359), 1,
      anon_sym_GT,
    STATE(3223), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5327), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(4046), 2,
      sym_scalar,
      sym_bareword,
  [29649] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4074), 1,
      sym__quotelike_end_quote,
    STATE(1300), 1,
      sym__quotelike_end,
    STATE(3175), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3224), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [29674] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4070), 1,
      sym__quotelike_end_quote,
    STATE(1733), 1,
      sym__quotelike_end,
    STATE(3195), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3225), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [29699] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(95), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(3226), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1547), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    STATE(1068), 2,
      sym_block,
      sym__semicolon,
  [29724] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(5361), 1,
      sym_prototype,
    STATE(105), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1151), 1,
      sym_block,
    STATE(3227), 1,
      sym_heredoc_content,
    STATE(3648), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [29753] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(5363), 1,
      sym_prototype,
    STATE(144), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1406), 1,
      sym_block,
    STATE(3228), 1,
      sym_heredoc_content,
    STATE(3765), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [29782] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(5365), 1,
      sym_prototype,
    STATE(95), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1056), 1,
      sym_block,
    STATE(3229), 1,
      sym_heredoc_content,
    STATE(3676), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [29811] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4070), 1,
      sym__quotelike_end_quote,
    STATE(1574), 1,
      sym__quotelike_end,
    STATE(3203), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3230), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [29836] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4070), 1,
      sym__quotelike_end_quote,
    STATE(1739), 1,
      sym__quotelike_end,
    STATE(3231), 1,
      sym_heredoc_content,
    STATE(3234), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [29861] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(5367), 1,
      sym_prototype,
    STATE(95), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1059), 1,
      sym_block,
    STATE(3232), 1,
      sym_heredoc_content,
    STATE(3677), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [29890] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(5369), 1,
      sym_prototype,
    STATE(144), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1408), 1,
      sym_block,
    STATE(3233), 1,
      sym_heredoc_content,
    STATE(3769), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [29919] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4070), 1,
      sym__quotelike_end_quote,
    STATE(1707), 1,
      sym__quotelike_end,
    STATE(3234), 1,
      sym_heredoc_content,
    STATE(3362), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [29944] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4044), 1,
      sym__quotelike_end_quote,
    STATE(1587), 1,
      sym__quotelike_end,
    STATE(3235), 1,
      sym_heredoc_content,
    STATE(3319), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [29969] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4070), 1,
      sym__quotelike_end_quote,
    STATE(1591), 1,
      sym__quotelike_end,
    STATE(3191), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3236), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [29994] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4056), 1,
      sym__quotelike_end_quote,
    STATE(1682), 1,
      sym__quotelike_end,
    STATE(3237), 1,
      sym_heredoc_content,
    STATE(3362), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [30019] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4078), 1,
      sym__quotelike_end_quote,
    STATE(1570), 1,
      sym__quotelike_end,
    STATE(3238), 1,
      sym_heredoc_content,
    STATE(3362), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [30044] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4078), 1,
      sym__quotelike_end_quote,
    STATE(1572), 1,
      sym__quotelike_end,
    STATE(3239), 1,
      sym_heredoc_content,
    STATE(3287), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [30069] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4046), 1,
      sym__quotelike_end_quote,
    STATE(1588), 1,
      sym__quotelike_end,
    STATE(3240), 1,
      sym_heredoc_content,
    STATE(3290), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [30094] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5233), 1,
      anon_sym_DOLLAR,
    ACTIONS(5371), 1,
      anon_sym_GT,
    STATE(3241), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5327), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(3922), 2,
      sym_scalar,
      sym_bareword,
  [30119] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4084), 1,
      sym__quotelike_end_quote,
    STATE(2103), 1,
      sym__quotelike_end,
    STATE(3137), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3242), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [30144] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4086), 1,
      sym__quotelike_end_quote,
    STATE(1692), 1,
      sym__quotelike_end,
    STATE(3243), 1,
      sym_heredoc_content,
    STATE(3245), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [30169] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(5373), 1,
      sym_prototype,
    STATE(144), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1368), 1,
      sym_block,
    STATE(3244), 1,
      sym_heredoc_content,
    STATE(3633), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [30198] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4086), 1,
      sym__quotelike_end_quote,
    STATE(1669), 1,
      sym__quotelike_end,
    STATE(3245), 1,
      sym_heredoc_content,
    STATE(3362), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [30223] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4066), 1,
      sym__quotelike_end_quote,
    STATE(2276), 1,
      sym__quotelike_end,
    STATE(3144), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3246), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [30248] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(117), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(3247), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1535), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    STATE(971), 2,
      sym_block,
      sym__semicolon,
  [30273] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3248), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2498), 3,
      anon_sym_COLON,
      sym__identifier,
      aux_sym__bareword_token1,
    ACTIONS(2500), 3,
      sym__PERLY_SEMICOLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [30294] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5233), 1,
      anon_sym_DOLLAR,
    ACTIONS(5375), 1,
      anon_sym_GT,
    STATE(3249), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5327), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(3988), 2,
      sym_scalar,
      sym_bareword,
  [30319] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(117), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(3250), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1535), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    STATE(972), 2,
      sym_block,
      sym__semicolon,
  [30344] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4084), 1,
      sym__quotelike_end_quote,
    STATE(2028), 1,
      sym__quotelike_end,
    STATE(3138), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3251), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [30369] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4086), 1,
      sym__quotelike_end_quote,
    STATE(1670), 1,
      sym__quotelike_end,
    STATE(3149), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3252), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [30394] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4084), 1,
      sym__quotelike_end_quote,
    STATE(2121), 1,
      sym__quotelike_end,
    STATE(3140), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3253), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [30419] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(5377), 1,
      anon_sym_COLON,
    STATE(95), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(997), 1,
      sym_block,
    STATE(3254), 1,
      sym_heredoc_content,
    STATE(3622), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [30448] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4066), 1,
      sym__quotelike_end_quote,
    STATE(2089), 1,
      sym__quotelike_end,
    STATE(3153), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3255), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [30473] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(5379), 1,
      sym_prototype,
    STATE(117), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(974), 1,
      sym_block,
    STATE(3256), 1,
      sym_heredoc_content,
    STATE(3773), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [30502] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(5381), 1,
      sym_prototype,
    STATE(117), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(976), 1,
      sym_block,
    STATE(3257), 1,
      sym_heredoc_content,
    STATE(3774), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [30531] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4048), 1,
      sym__quotelike_end_quote,
    STATE(1997), 1,
      sym__quotelike_end,
    STATE(3258), 1,
      sym_heredoc_content,
    STATE(3301), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [30556] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4074), 1,
      sym__quotelike_end_quote,
    STATE(1321), 1,
      sym__quotelike_end,
    STATE(3189), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3259), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [30581] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4038), 1,
      sym__quotelike_end_quote,
    STATE(1998), 1,
      sym__quotelike_end,
    STATE(3260), 1,
      sym_heredoc_content,
    STATE(3305), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [30606] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4066), 1,
      sym__quotelike_end_quote,
    STATE(2281), 1,
      sym__quotelike_end,
    STATE(3161), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3261), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [30631] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4072), 1,
      sym__quotelike_end_quote,
    STATE(2011), 1,
      sym__quotelike_end,
    STATE(3262), 1,
      sym_heredoc_content,
    STATE(3362), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [30656] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(5383), 1,
      sym_prototype,
    STATE(91), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1696), 1,
      sym_block,
    STATE(3263), 1,
      sym_heredoc_content,
    STATE(3688), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [30685] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4072), 1,
      sym__quotelike_end_quote,
    STATE(2027), 1,
      sym__quotelike_end,
    STATE(3262), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3264), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [30710] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(105), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(3265), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1543), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    STATE(1127), 2,
      sym_block,
      sym__semicolon,
  [30735] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4070), 1,
      sym__quotelike_end_quote,
    STATE(1589), 1,
      sym__quotelike_end,
    STATE(3266), 1,
      sym_heredoc_content,
    STATE(3362), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [30760] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(95), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(3267), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1547), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    STATE(1034), 2,
      sym_block,
      sym__semicolon,
  [30785] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(5385), 1,
      sym_prototype,
    STATE(105), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1162), 1,
      sym_block,
    STATE(3268), 1,
      sym_heredoc_content,
    STATE(3659), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [30814] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4074), 1,
      sym__quotelike_end_quote,
    STATE(1256), 1,
      sym__quotelike_end,
    STATE(3181), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3269), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [30839] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(5387), 1,
      sym_prototype,
    STATE(91), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1741), 1,
      sym_block,
    STATE(3270), 1,
      sym_heredoc_content,
    STATE(3691), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [30868] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4054), 1,
      sym__quotelike_end_quote,
    STATE(2091), 1,
      sym__quotelike_end,
    STATE(3160), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3271), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [30893] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(5389), 1,
      sym_prototype,
    STATE(95), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1072), 1,
      sym_block,
    STATE(3272), 1,
      sym_heredoc_content,
    STATE(3701), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [30922] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(117), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(3273), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1535), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    STATE(936), 2,
      sym_block,
      sym__semicolon,
  [30947] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4076), 1,
      sym__quotelike_end_quote,
    STATE(1276), 1,
      sym__quotelike_end,
    STATE(3274), 1,
      sym_heredoc_content,
    STATE(3362), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [30972] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(5391), 1,
      sym_prototype,
    STATE(105), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1170), 1,
      sym_block,
    STATE(3275), 1,
      sym_heredoc_content,
    STATE(3662), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [31001] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(5393), 1,
      sym_prototype,
    STATE(95), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1075), 1,
      sym_block,
    STATE(3276), 1,
      sym_heredoc_content,
    STATE(3703), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [31030] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4066), 1,
      sym__quotelike_end_quote,
    STATE(2340), 1,
      sym__quotelike_end,
    STATE(3202), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3277), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [31055] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(95), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(3278), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1547), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    STATE(1046), 2,
      sym_block,
      sym__semicolon,
  [31080] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4074), 1,
      sym__quotelike_end_quote,
    STATE(1275), 1,
      sym__quotelike_end,
    STATE(3279), 1,
      sym_heredoc_content,
    STATE(3362), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [31105] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4052), 1,
      sym__quotelike_end_quote,
    STATE(2092), 1,
      sym__quotelike_end,
    STATE(3162), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3280), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [31130] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4082), 1,
      sym__quotelike_end_quote,
    STATE(1837), 1,
      sym__quotelike_end,
    STATE(3205), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3281), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [31155] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(5395), 1,
      sym_prototype,
    STATE(93), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2200), 1,
      sym_block,
    STATE(3282), 1,
      sym_heredoc_content,
    STATE(3589), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [31184] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3283), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4159), 6,
      sym__PERLY_SEMICOLON,
      sym__ctrl_z_hack,
      anon_sym_SEMI,
      anon_sym___DATA__,
      anon_sym___END__,
      anon_sym_EOT,
  [31203] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4070), 1,
      sym__quotelike_end_quote,
    STATE(1569), 1,
      sym__quotelike_end,
    STATE(3266), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3284), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [31228] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4082), 1,
      sym__quotelike_end_quote,
    STATE(1686), 1,
      sym__quotelike_end,
    STATE(3209), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3285), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [31253] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4082), 1,
      sym__quotelike_end_quote,
    STATE(1839), 1,
      sym__quotelike_end,
    STATE(3210), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3286), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [31278] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4078), 1,
      sym__quotelike_end_quote,
    STATE(1551), 1,
      sym__quotelike_end,
    STATE(3287), 1,
      sym_heredoc_content,
    STATE(3362), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [31303] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(5397), 1,
      sym_prototype,
    STATE(93), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2033), 1,
      sym_block,
    STATE(3288), 1,
      sym_heredoc_content,
    STATE(3592), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [31332] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(5399), 1,
      sym_prototype,
    STATE(117), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(914), 1,
      sym_block,
    STATE(3289), 1,
      sym_heredoc_content,
    STATE(3760), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [31361] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4046), 1,
      sym__quotelike_end_quote,
    STATE(1567), 1,
      sym__quotelike_end,
    STATE(3290), 1,
      sym_heredoc_content,
    STATE(3362), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [31386] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4058), 1,
      sym__quotelike_end_quote,
    STATE(1690), 1,
      sym__quotelike_end,
    STATE(3291), 1,
      sym_heredoc_content,
    STATE(3325), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [31411] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(5401), 1,
      sym_prototype,
    STATE(117), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(894), 1,
      sym_block,
    STATE(3292), 1,
      sym_heredoc_content,
    STATE(3763), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [31440] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3293), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5403), 6,
      sym__PERLY_SEMICOLON,
      sym__ctrl_z_hack,
      anon_sym_SEMI,
      anon_sym___DATA__,
      anon_sym___END__,
      anon_sym_EOT,
  [31459] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4056), 1,
      sym__quotelike_end_quote,
    STATE(1800), 1,
      sym__quotelike_end,
    STATE(3237), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3294), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [31484] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3295), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5405), 6,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PERCENT2,
  [31503] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5409), 1,
      anon_sym_COMMA,
    STATE(3296), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5407), 5,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_RPAREN,
      anon_sym_PERCENT2,
  [31524] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3297), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5107), 6,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PERCENT2,
  [31543] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3298), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5085), 6,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PERCENT2,
  [31562] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3299), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2498), 3,
      anon_sym_COLON,
      sym__identifier,
      aux_sym__bareword_token1,
    ACTIONS(2500), 3,
      sym_prototype,
      sym__signature_start,
      anon_sym_LBRACE,
  [31583] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3300), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2446), 3,
      anon_sym_COLON,
      sym__identifier,
      aux_sym__bareword_token1,
    ACTIONS(2448), 3,
      sym__attribute_value_begin,
      sym__signature_start,
      anon_sym_LBRACE,
  [31604] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4048), 1,
      sym__quotelike_end_quote,
    STATE(2022), 1,
      sym__quotelike_end,
    STATE(3301), 1,
      sym_heredoc_content,
    STATE(3362), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [31629] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(5411), 1,
      sym_prototype,
    STATE(117), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(898), 1,
      sym_block,
    STATE(3302), 1,
      sym_heredoc_content,
    STATE(3686), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [31658] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(5413), 1,
      sym_prototype,
    STATE(117), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(900), 1,
      sym_block,
    STATE(3303), 1,
      sym_heredoc_content,
    STATE(3698), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [31687] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(117), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(3304), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1535), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    STATE(952), 2,
      sym_block,
      sym__semicolon,
  [31712] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4038), 1,
      sym__quotelike_end_quote,
    STATE(2023), 1,
      sym__quotelike_end,
    STATE(3305), 1,
      sym_heredoc_content,
    STATE(3362), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [31737] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(5415), 1,
      sym_prototype,
    STATE(95), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1002), 1,
      sym_block,
    STATE(3306), 1,
      sym_heredoc_content,
    STATE(3720), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [31766] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(5417), 1,
      sym_prototype,
    STATE(105), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1164), 1,
      sym_block,
    STATE(3307), 1,
      sym_heredoc_content,
    STATE(3660), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [31795] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3308), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2522), 3,
      anon_sym_COLON,
      sym__identifier,
      aux_sym__bareword_token1,
    ACTIONS(2524), 3,
      sym_prototype,
      sym__signature_start,
      anon_sym_LBRACE,
  [31816] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4072), 1,
      sym__quotelike_end_quote,
    STATE(2024), 1,
      sym__quotelike_end,
    STATE(3172), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3309), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [31841] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(5419), 1,
      sym_prototype,
    STATE(91), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1679), 1,
      sym_block,
    STATE(3310), 1,
      sym_heredoc_content,
    STATE(3764), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [31870] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(5421), 1,
      sym_prototype,
    STATE(95), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1010), 1,
      sym_block,
    STATE(3311), 1,
      sym_heredoc_content,
    STATE(3721), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [31899] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5423), 1,
      sym__attribute_value_begin,
    STATE(3312), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2452), 2,
      sym__signature_start,
      anon_sym_LBRACE,
    ACTIONS(2450), 3,
      anon_sym_COLON,
      sym__identifier,
      aux_sym__bareword_token1,
  [31922] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(5425), 1,
      sym_prototype,
    STATE(91), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1691), 1,
      sym_block,
    STATE(3313), 1,
      sym_heredoc_content,
    STATE(3792), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [31951] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(95), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(3314), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1547), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    STATE(1022), 2,
      sym_block,
      sym__semicolon,
  [31976] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3315), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5427), 6,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_undef,
      anon_sym_PERCENT2,
  [31995] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(5429), 1,
      sym_prototype,
    STATE(95), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1018), 1,
      sym_block,
    STATE(3316), 1,
      sym_heredoc_content,
    STATE(3722), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [32024] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5431), 1,
      anon_sym_DOLLAR,
    ACTIONS(5433), 1,
      anon_sym_STAR,
    STATE(2003), 1,
      sym_scalar,
    STATE(2004), 1,
      sym_method,
    STATE(3317), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4350), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [32051] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(5435), 1,
      sym_prototype,
    STATE(95), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1033), 1,
      sym_block,
    STATE(3318), 1,
      sym_heredoc_content,
    STATE(3724), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [32080] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4044), 1,
      sym__quotelike_end_quote,
    STATE(1566), 1,
      sym__quotelike_end,
    STATE(3319), 1,
      sym_heredoc_content,
    STATE(3362), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [32105] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(117), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(3320), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1535), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    STATE(954), 2,
      sym_block,
      sym__semicolon,
  [32130] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(105), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(3321), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1543), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    STATE(1129), 2,
      sym_block,
      sym__semicolon,
  [32155] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(5437), 1,
      sym_prototype,
    STATE(112), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1850), 1,
      sym_block,
    STATE(3322), 1,
      sym_heredoc_content,
    STATE(3678), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [32184] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(105), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(3323), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1543), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    STATE(1111), 2,
      sym_block,
      sym__semicolon,
  [32209] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(5439), 1,
      sym_prototype,
    STATE(112), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1852), 1,
      sym_block,
    STATE(3324), 1,
      sym_heredoc_content,
    STATE(3680), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [32238] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4058), 1,
      sym__quotelike_end_quote,
    STATE(1674), 1,
      sym__quotelike_end,
    STATE(3325), 1,
      sym_heredoc_content,
    STATE(3362), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [32263] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    ACTIONS(5441), 1,
      sym_prototype,
    STATE(105), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1168), 1,
      sym_block,
    STATE(3326), 1,
      sym_heredoc_content,
    STATE(3661), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [32292] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3327), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2431), 3,
      sym_prototype,
      sym__signature_start,
      anon_sym_LBRACE,
    ACTIONS(2436), 3,
      anon_sym_COLON,
      sym__identifier,
      aux_sym__bareword_token1,
  [32313] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4082), 1,
      sym__quotelike_end_quote,
    STATE(1820), 1,
      sym__quotelike_end,
    STATE(3201), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3328), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5297), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [32338] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5233), 1,
      anon_sym_DOLLAR,
    ACTIONS(5443), 1,
      anon_sym_COMMA,
    ACTIONS(5445), 1,
      anon_sym_RPAREN,
    STATE(3329), 1,
      sym_heredoc_content,
    STATE(3341), 1,
      aux_sym__for_initializer_repeat1,
    STATE(3805), 1,
      sym_scalar,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [32364] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5447), 1,
      anon_sym_LBRACE,
    ACTIONS(5449), 1,
      anon_sym_AT,
    ACTIONS(5451), 1,
      anon_sym_LBRACK,
    ACTIONS(5453), 1,
      anon_sym_DOLLAR_STAR,
    ACTIONS(5455), 1,
      anon_sym_AT_STAR,
    STATE(3330), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [32390] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5457), 1,
      anon_sym_sub,
    ACTIONS(5459), 1,
      anon_sym_method,
    STATE(3331), 1,
      sym_heredoc_content,
    STATE(3352), 1,
      aux_sym_subroutine_declaration_statement_repeat1,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4288), 2,
      anon_sym_extended,
      anon_sym_async,
  [32414] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4346), 1,
      aux_sym__ident_special_token1,
    ACTIONS(5461), 1,
      sym__identifier,
    ACTIONS(5463), 1,
      anon_sym_DOLLAR,
    STATE(1576), 1,
      sym__ident_special,
    STATE(1583), 1,
      sym_varname,
    STATE(3332), 1,
      sym_heredoc_content,
  [32442] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4638), 1,
      aux_sym__ident_special_token1,
    ACTIONS(5465), 1,
      sym__identifier,
    ACTIONS(5467), 1,
      anon_sym_DOLLAR,
    STATE(2078), 1,
      sym__ident_special,
    STATE(2080), 1,
      sym_varname,
    STATE(3333), 1,
      sym_heredoc_content,
  [32470] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4394), 1,
      aux_sym__ident_special_token1,
    ACTIONS(5469), 1,
      sym__identifier,
    ACTIONS(5471), 1,
      anon_sym_DOLLAR,
    STATE(1241), 1,
      sym__ident_special,
    STATE(1258), 1,
      sym_varname,
    STATE(3334), 1,
      sym_heredoc_content,
  [32498] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4434), 1,
      aux_sym__ident_special_token1,
    ACTIONS(5473), 1,
      sym__identifier,
    ACTIONS(5475), 1,
      anon_sym_DOLLAR,
    STATE(1826), 1,
      sym__ident_special,
    STATE(1828), 1,
      sym_varname,
    STATE(3335), 1,
      sym_heredoc_content,
  [32526] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    STATE(95), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1028), 1,
      sym_block,
    STATE(3336), 1,
      sym_heredoc_content,
    STATE(3683), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [32552] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4638), 1,
      aux_sym__ident_special_token1,
    ACTIONS(5465), 1,
      sym__identifier,
    ACTIONS(5467), 1,
      anon_sym_DOLLAR,
    STATE(2078), 1,
      sym__ident_special,
    STATE(2082), 1,
      sym_varname,
    STATE(3337), 1,
      sym_heredoc_content,
  [32580] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2774), 2,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
    ACTIONS(5477), 2,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
    STATE(3338), 2,
      sym_heredoc_content,
      aux_sym__term_rightward_repeat1,
  [32600] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4346), 1,
      aux_sym__ident_special_token1,
    ACTIONS(5461), 1,
      sym__identifier,
    ACTIONS(5463), 1,
      anon_sym_DOLLAR,
    STATE(1576), 1,
      sym__ident_special,
    STATE(1585), 1,
      sym_varname,
    STATE(3339), 1,
      sym_heredoc_content,
  [32628] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4434), 1,
      aux_sym__ident_special_token1,
    ACTIONS(5473), 1,
      sym__identifier,
    ACTIONS(5475), 1,
      anon_sym_DOLLAR,
    STATE(1826), 1,
      sym__ident_special,
    STATE(1830), 1,
      sym_varname,
    STATE(3340), 1,
      sym_heredoc_content,
  [32656] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5233), 1,
      anon_sym_DOLLAR,
    ACTIONS(5443), 1,
      anon_sym_COMMA,
    ACTIONS(5480), 1,
      anon_sym_RPAREN,
    STATE(3341), 1,
      sym_heredoc_content,
    STATE(3346), 1,
      aux_sym__for_initializer_repeat1,
    STATE(3797), 1,
      sym_scalar,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [32682] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5482), 1,
      anon_sym_sub,
    ACTIONS(5484), 1,
      anon_sym_method,
    STATE(3342), 1,
      sym_heredoc_content,
    STATE(3352), 1,
      aux_sym_subroutine_declaration_statement_repeat1,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4288), 2,
      anon_sym_extended,
      anon_sym_async,
  [32706] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3343), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2500), 2,
      sym__signature_start,
      anon_sym_LBRACE,
    ACTIONS(2498), 3,
      anon_sym_COLON,
      sym__identifier,
      aux_sym__bareword_token1,
  [32726] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3344), 1,
      sym_heredoc_content,
    STATE(3375), 1,
      aux_sym__term_rightward_repeat1,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2556), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    ACTIONS(3885), 2,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
  [32748] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5486), 1,
      anon_sym_LBRACE,
    ACTIONS(5488), 1,
      anon_sym_AT,
    ACTIONS(5490), 1,
      anon_sym_LBRACK,
    ACTIONS(5492), 1,
      anon_sym_DOLLAR_STAR,
    ACTIONS(5494), 1,
      anon_sym_AT_STAR,
    STATE(3345), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [32774] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5496), 1,
      anon_sym_DOLLAR,
    ACTIONS(5499), 1,
      anon_sym_COMMA,
    ACTIONS(5502), 1,
      anon_sym_RPAREN,
    STATE(4073), 1,
      sym_scalar,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3346), 2,
      sym_heredoc_content,
      aux_sym__for_initializer_repeat1,
  [32798] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5504), 1,
      anon_sym_sub,
    ACTIONS(5506), 1,
      anon_sym_method,
    STATE(3347), 1,
      sym_heredoc_content,
    STATE(3352), 1,
      aux_sym_subroutine_declaration_statement_repeat1,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4288), 2,
      anon_sym_extended,
      anon_sym_async,
  [32822] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5508), 1,
      anon_sym_sub,
    ACTIONS(5510), 1,
      anon_sym_method,
    STATE(3348), 1,
      sym_heredoc_content,
    STATE(3352), 1,
      aux_sym_subroutine_declaration_statement_repeat1,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4288), 2,
      anon_sym_extended,
      anon_sym_async,
  [32846] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    STATE(117), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(942), 1,
      sym_block,
    STATE(3349), 1,
      sym_heredoc_content,
    STATE(3608), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [32872] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3350), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2524), 2,
      sym__signature_start,
      anon_sym_LBRACE,
    ACTIONS(2522), 3,
      anon_sym_COLON,
      sym__identifier,
      aux_sym__bareword_token1,
  [32892] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3351), 1,
      sym_heredoc_content,
    ACTIONS(5512), 5,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      sym__identifier,
      aux_sym__ident_special_token1,
      aux_sym__bareword_token1,
  [32912] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5514), 2,
      anon_sym_extended,
      anon_sym_async,
    ACTIONS(5517), 2,
      anon_sym_sub,
      anon_sym_method,
    STATE(3352), 2,
      sym_heredoc_content,
      aux_sym_subroutine_declaration_statement_repeat1,
  [32932] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5519), 1,
      anon_sym_LBRACE,
    ACTIONS(5521), 1,
      anon_sym_AT,
    ACTIONS(5523), 1,
      anon_sym_LBRACK,
    ACTIONS(5525), 1,
      anon_sym_DOLLAR_STAR,
    ACTIONS(5527), 1,
      anon_sym_AT_STAR,
    STATE(3353), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [32958] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4386), 1,
      aux_sym__ident_special_token1,
    ACTIONS(5529), 1,
      sym__identifier,
    ACTIONS(5531), 1,
      anon_sym_DOLLAR,
    STATE(2175), 1,
      sym__ident_special,
    STATE(2194), 1,
      sym_varname,
    STATE(3354), 1,
      sym_heredoc_content,
  [32986] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5533), 1,
      anon_sym_sub,
    ACTIONS(5535), 1,
      anon_sym_method,
    STATE(3352), 1,
      aux_sym_subroutine_declaration_statement_repeat1,
    STATE(3355), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4288), 2,
      anon_sym_extended,
      anon_sym_async,
  [33010] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4346), 1,
      aux_sym__ident_special_token1,
    ACTIONS(5461), 1,
      sym__identifier,
    ACTIONS(5463), 1,
      anon_sym_DOLLAR,
    STATE(1576), 1,
      sym__ident_special,
    STATE(1577), 1,
      sym_varname,
    STATE(3356), 1,
      sym_heredoc_content,
  [33038] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4386), 1,
      aux_sym__ident_special_token1,
    ACTIONS(5529), 1,
      sym__identifier,
    ACTIONS(5531), 1,
      anon_sym_DOLLAR,
    STATE(2120), 1,
      sym_varname,
    STATE(2175), 1,
      sym__ident_special,
    STATE(3357), 1,
      sym_heredoc_content,
  [33066] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4394), 1,
      aux_sym__ident_special_token1,
    ACTIONS(5469), 1,
      sym__identifier,
    ACTIONS(5471), 1,
      anon_sym_DOLLAR,
    STATE(1241), 1,
      sym__ident_special,
    STATE(1248), 1,
      sym_varname,
    STATE(3358), 1,
      sym_heredoc_content,
  [33094] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      sym__signature_start,
    STATE(105), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1117), 1,
      sym_block,
    STATE(3359), 1,
      sym_heredoc_content,
    STATE(3781), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [33120] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4386), 1,
      aux_sym__ident_special_token1,
    ACTIONS(5529), 1,
      sym__identifier,
    ACTIONS(5531), 1,
      anon_sym_DOLLAR,
    STATE(2132), 1,
      sym_varname,
    STATE(2175), 1,
      sym__ident_special,
    STATE(3360), 1,
      sym_heredoc_content,
  [33148] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5537), 1,
      anon_sym_sub,
    ACTIONS(5539), 1,
      anon_sym_method,
    STATE(3352), 1,
      aux_sym_subroutine_declaration_statement_repeat1,
    STATE(3361), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4288), 2,
      anon_sym_extended,
      anon_sym_async,
  [33172] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5541), 1,
      sym__quotelike_end_quote,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3362), 2,
      aux_sym__noninterpolated_string_content,
      sym_heredoc_content,
    ACTIONS(5543), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [33192] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5546), 1,
      anon_sym_sub,
    ACTIONS(5548), 1,
      anon_sym_method,
    STATE(3352), 1,
      aux_sym_subroutine_declaration_statement_repeat1,
    STATE(3363), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4288), 2,
      anon_sym_extended,
      anon_sym_async,
  [33216] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5550), 1,
      anon_sym_sub,
    ACTIONS(5552), 1,
      anon_sym_method,
    STATE(3352), 1,
      aux_sym_subroutine_declaration_statement_repeat1,
    STATE(3364), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4288), 2,
      anon_sym_extended,
      anon_sym_async,
  [33240] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5554), 1,
      anon_sym_sub,
    ACTIONS(5556), 1,
      anon_sym_method,
    STATE(3352), 1,
      aux_sym_subroutine_declaration_statement_repeat1,
    STATE(3365), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4288), 2,
      anon_sym_extended,
      anon_sym_async,
  [33264] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5558), 1,
      anon_sym_sub,
    ACTIONS(5560), 1,
      anon_sym_method,
    STATE(3352), 1,
      aux_sym_subroutine_declaration_statement_repeat1,
    STATE(3366), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4288), 2,
      anon_sym_extended,
      anon_sym_async,
  [33288] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5562), 1,
      anon_sym_LBRACE,
    ACTIONS(5564), 1,
      anon_sym_AT,
    ACTIONS(5566), 1,
      anon_sym_LBRACK,
    ACTIONS(5568), 1,
      anon_sym_DOLLAR_STAR,
    ACTIONS(5570), 1,
      anon_sym_AT_STAR,
    STATE(3367), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [33314] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4638), 1,
      aux_sym__ident_special_token1,
    ACTIONS(5465), 1,
      sym__identifier,
    ACTIONS(5467), 1,
      anon_sym_DOLLAR,
    STATE(2078), 1,
      sym__ident_special,
    STATE(2079), 1,
      sym_varname,
    STATE(3368), 1,
      sym_heredoc_content,
  [33342] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5572), 1,
      anon_sym_sub,
    ACTIONS(5574), 1,
      anon_sym_method,
    STATE(3352), 1,
      aux_sym_subroutine_declaration_statement_repeat1,
    STATE(3369), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4288), 2,
      anon_sym_extended,
      anon_sym_async,
  [33366] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4448), 1,
      aux_sym__ident_special_token1,
    ACTIONS(5461), 1,
      sym__identifier,
    ACTIONS(5576), 1,
      anon_sym_DOLLAR,
    STATE(1576), 1,
      sym__ident_special,
    STATE(1577), 1,
      sym_varname,
    STATE(3370), 1,
      sym_heredoc_content,
  [33394] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3371), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5578), 5,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_RPAREN,
      anon_sym_PERCENT2,
  [33412] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3338), 1,
      aux_sym__term_rightward_repeat1,
    STATE(3372), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2556), 2,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
    ACTIONS(3827), 2,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
  [33434] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3373), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2431), 2,
      sym__signature_start,
      anon_sym_LBRACE,
    ACTIONS(2436), 3,
      anon_sym_COLON,
      sym__identifier,
      aux_sym__bareword_token1,
  [33454] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4448), 1,
      aux_sym__ident_special_token1,
    ACTIONS(5461), 1,
      sym__identifier,
    ACTIONS(5576), 1,
      anon_sym_DOLLAR,
    STATE(1576), 1,
      sym__ident_special,
    STATE(1583), 1,
      sym_varname,
    STATE(3374), 1,
      sym_heredoc_content,
  [33482] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2774), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    ACTIONS(5580), 2,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
    STATE(3375), 2,
      sym_heredoc_content,
      aux_sym__term_rightward_repeat1,
  [33502] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4394), 1,
      aux_sym__ident_special_token1,
    ACTIONS(5469), 1,
      sym__identifier,
    ACTIONS(5471), 1,
      anon_sym_DOLLAR,
    STATE(1241), 1,
      sym__ident_special,
    STATE(1277), 1,
      sym_varname,
    STATE(3376), 1,
      sym_heredoc_content,
  [33530] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4434), 1,
      aux_sym__ident_special_token1,
    ACTIONS(5473), 1,
      sym__identifier,
    ACTIONS(5475), 1,
      anon_sym_DOLLAR,
    STATE(1826), 1,
      sym__ident_special,
    STATE(1827), 1,
      sym_varname,
    STATE(3377), 1,
      sym_heredoc_content,
  [33558] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5541), 1,
      sym__quotelike_middle_close_quote,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3378), 2,
      aux_sym__noninterpolated_string_content,
      sym_heredoc_content,
    ACTIONS(5583), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [33578] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4448), 1,
      aux_sym__ident_special_token1,
    ACTIONS(5461), 1,
      sym__identifier,
    ACTIONS(5576), 1,
      anon_sym_DOLLAR,
    STATE(1576), 1,
      sym__ident_special,
    STATE(1585), 1,
      sym_varname,
    STATE(3379), 1,
      sym_heredoc_content,
  [33606] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3380), 1,
      sym_heredoc_content,
    ACTIONS(5586), 5,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      sym__identifier,
      aux_sym__ident_special_token1,
      aux_sym__bareword_token1,
  [33626] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5590), 1,
      anon_sym_RBRACK,
    STATE(3381), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [33647] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5592), 1,
      anon_sym_RPAREN,
    STATE(3382), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [33668] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(5594), 1,
      anon_sym_LPAREN,
    STATE(109), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(993), 1,
      sym_block,
    STATE(3383), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [33691] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5596), 1,
      anon_sym_RBRACK,
    STATE(3384), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [33712] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5598), 1,
      anon_sym_RPAREN,
    STATE(3385), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [33733] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5600), 1,
      anon_sym_RBRACK,
    STATE(3386), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [33754] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5602), 1,
      anon_sym_RBRACK,
    STATE(3387), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [33775] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5604), 1,
      anon_sym_RPAREN,
    STATE(3388), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [33796] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5606), 1,
      anon_sym_RBRACK,
    STATE(3389), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [33817] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5608), 1,
      anon_sym_RPAREN,
    STATE(3390), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [33838] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5610), 1,
      anon_sym_RBRACK,
    STATE(3391), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [33859] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5612), 1,
      anon_sym_RBRACK,
    STATE(3392), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [33880] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5614), 1,
      anon_sym_RBRACK,
    STATE(3393), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [33901] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5616), 1,
      anon_sym_RBRACK,
    STATE(3394), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [33922] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5618), 1,
      anon_sym_RBRACK,
    STATE(3395), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [33943] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5620), 1,
      anon_sym_RPAREN,
    STATE(3396), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [33964] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4173), 1,
      anon_sym_RBRACE,
    ACTIONS(5305), 1,
      anon_sym_and,
    STATE(3397), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [33985] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5622), 1,
      anon_sym_RPAREN,
    STATE(3398), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [34006] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4183), 1,
      anon_sym_RBRACE,
    ACTIONS(5305), 1,
      anon_sym_and,
    STATE(3399), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [34027] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5624), 1,
      anon_sym_RBRACK,
    STATE(3400), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [34048] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5626), 1,
      anon_sym_RPAREN,
    STATE(3401), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [34069] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5628), 1,
      anon_sym_RBRACK,
    STATE(3402), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [34090] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5630), 1,
      anon_sym_RBRACK,
    STATE(3403), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [34111] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5632), 1,
      anon_sym_RBRACK,
    STATE(3404), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [34132] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5634), 1,
      anon_sym_RBRACK,
    STATE(3405), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [34153] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(5636), 1,
      anon_sym_LPAREN,
    STATE(116), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1097), 1,
      sym_block,
    STATE(3406), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [34176] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5638), 1,
      anon_sym_RBRACK,
    STATE(3407), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [34197] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5640), 1,
      anon_sym_RBRACK,
    STATE(3408), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [34218] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5642), 1,
      anon_sym_RBRACK,
    STATE(3409), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [34239] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5644), 1,
      anon_sym_RBRACK,
    STATE(3410), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [34260] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5646), 1,
      anon_sym_RBRACK,
    STATE(3411), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [34281] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5648), 1,
      anon_sym_RPAREN,
    STATE(3412), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [34302] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5650), 1,
      anon_sym_RPAREN,
    STATE(3413), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [34323] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5652), 1,
      anon_sym_RBRACK,
    STATE(3414), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [34344] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5654), 1,
      anon_sym_RBRACK,
    STATE(3415), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [34365] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5656), 1,
      anon_sym_RBRACK,
    STATE(3416), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [34386] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5658), 1,
      anon_sym_RPAREN,
    STATE(3417), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [34407] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5660), 1,
      anon_sym_RBRACK,
    STATE(3418), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [34428] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5662), 1,
      anon_sym_RPAREN,
    STATE(3419), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [34449] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5664), 1,
      anon_sym_RBRACK,
    STATE(3420), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [34470] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5666), 1,
      anon_sym_RBRACK,
    STATE(3421), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [34491] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(1444), 1,
      sym_attribute_name,
    STATE(1469), 1,
      sym_attribute,
    STATE(3422), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(3338), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [34512] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5668), 1,
      anon_sym_RPAREN,
    STATE(3423), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [34533] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5670), 1,
      anon_sym_RPAREN,
    STATE(3424), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [34554] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5672), 1,
      anon_sym_RBRACK,
    STATE(3425), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [34575] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5674), 1,
      anon_sym_RBRACK,
    STATE(3426), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [34596] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3427), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1861), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN,
      anon_sym_GT,
  [34613] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5676), 1,
      anon_sym_RBRACK,
    STATE(3428), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [34634] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3429), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1853), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN,
      anon_sym_GT,
  [34651] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3430), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1865), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN,
      anon_sym_GT,
  [34668] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5678), 1,
      anon_sym_RBRACK,
    STATE(3431), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [34689] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5680), 1,
      anon_sym_RBRACK,
    STATE(3432), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [34710] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5682), 1,
      anon_sym_RPAREN,
    STATE(3433), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [34731] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5684), 1,
      anon_sym_RPAREN,
    STATE(3434), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [34752] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3065), 1,
      sym_attribute_name,
    STATE(3192), 1,
      sym_attribute,
    STATE(3435), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4768), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [34773] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5686), 1,
      anon_sym_RBRACK,
    STATE(3436), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [34794] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5688), 1,
      anon_sym_RBRACK,
    STATE(3437), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [34815] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5690), 1,
      anon_sym_RBRACK,
    STATE(3438), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [34836] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5692), 1,
      anon_sym_RBRACK,
    STATE(3439), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [34857] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5694), 1,
      anon_sym_RBRACK,
    STATE(3440), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [34878] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5696), 1,
      anon_sym_RBRACK,
    STATE(3441), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [34899] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(5698), 1,
      anon_sym_LPAREN,
    STATE(100), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(892), 1,
      sym_block,
    STATE(3442), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [34922] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5700), 1,
      anon_sym_RBRACK,
    STATE(3443), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [34943] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5702), 1,
      anon_sym_RBRACK,
    STATE(3444), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [34964] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(105), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1142), 1,
      sym_block,
    STATE(1143), 1,
      sym__loop_body,
    STATE(3445), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [34987] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(95), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1061), 1,
      sym_block,
    STATE(1062), 1,
      sym__loop_body,
    STATE(3446), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [35010] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5704), 1,
      anon_sym_RPAREN,
    STATE(3447), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [35031] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5706), 1,
      anon_sym_RPAREN,
    STATE(3448), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [35052] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5708), 1,
      anon_sym_RBRACK,
    STATE(3449), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [35073] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(105), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1142), 1,
      sym_block,
    STATE(1144), 1,
      sym__loop_body,
    STATE(3450), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [35096] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5710), 1,
      anon_sym_RPAREN,
    STATE(3451), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [35117] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5712), 1,
      anon_sym_RPAREN,
    STATE(3452), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [35138] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5714), 1,
      anon_sym_RBRACK,
    STATE(3453), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [35159] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5716), 1,
      anon_sym_RBRACK,
    STATE(3454), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [35180] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3312), 1,
      sym_attribute_name,
    STATE(3373), 1,
      sym_attribute,
    STATE(3455), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4912), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [35201] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5718), 1,
      anon_sym_RPAREN,
    STATE(3456), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [35222] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5720), 1,
      anon_sym_RBRACK,
    STATE(3457), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [35243] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(105), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1142), 1,
      sym_block,
    STATE(1157), 1,
      sym__loop_body,
    STATE(3458), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [35266] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(105), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1142), 1,
      sym_block,
    STATE(1158), 1,
      sym__loop_body,
    STATE(3459), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [35289] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(95), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1061), 1,
      sym_block,
    STATE(1064), 1,
      sym__loop_body,
    STATE(3460), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [35312] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5722), 1,
      anon_sym_RPAREN,
    STATE(3461), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [35333] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5724), 1,
      anon_sym_RBRACK,
    STATE(3462), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [35354] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(131), 1,
      sym__single_quote,
    ACTIONS(5726), 1,
      sym__quotelike_begin_quote,
    STATE(2470), 1,
      sym__quotelike_begin,
    STATE(3231), 1,
      sym__apostrophe,
    STATE(3463), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [35377] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(131), 1,
      sym__single_quote,
    ACTIONS(5728), 1,
      sym__quotelike_begin_quote,
    STATE(2464), 1,
      sym__quotelike_begin,
    STATE(3235), 1,
      sym__apostrophe,
    STATE(3464), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [35400] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(131), 1,
      sym__single_quote,
    ACTIONS(5728), 1,
      sym__quotelike_begin_quote,
    STATE(2465), 1,
      sym__quotelike_begin,
    STATE(3240), 1,
      sym__apostrophe,
    STATE(3465), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [35423] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5730), 1,
      sym__single_quote,
    ACTIONS(5732), 1,
      sym__quotelike_begin_quote,
    STATE(2644), 1,
      sym__quotelike_begin,
    STATE(3094), 1,
      sym__apostrophe,
    STATE(3466), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [35446] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5734), 1,
      anon_sym_RBRACK,
    STATE(3467), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [35467] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5736), 1,
      anon_sym_RPAREN,
    STATE(3468), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [35488] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5738), 1,
      anon_sym_RPAREN,
    STATE(3469), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [35509] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5740), 1,
      anon_sym_RBRACK,
    STATE(3470), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [35530] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5742), 1,
      anon_sym_RBRACK,
    STATE(3471), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [35551] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5744), 1,
      anon_sym_RBRACK,
    STATE(3472), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [35572] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5746), 1,
      anon_sym_RPAREN,
    STATE(3473), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [35593] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5748), 1,
      anon_sym_RPAREN,
    STATE(3474), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [35614] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(117), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(966), 1,
      sym_block,
    STATE(967), 1,
      sym__loop_body,
    STATE(3475), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [35637] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5750), 1,
      anon_sym_RPAREN,
    STATE(3476), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [35658] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5752), 1,
      anon_sym_RPAREN,
    STATE(3477), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [35679] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(105), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1142), 1,
      sym_block,
    STATE(1171), 1,
      sym__loop_body,
    STATE(3478), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [35702] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5754), 1,
      anon_sym_RPAREN,
    STATE(3479), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [35723] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3480), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5059), 4,
      sym__quotelike_end_quote,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [35740] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5756), 1,
      anon_sym_RPAREN,
    STATE(3481), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [35761] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5758), 1,
      anon_sym_RPAREN,
    STATE(3482), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [35782] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5760), 1,
      anon_sym_RPAREN,
    STATE(3483), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [35803] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5762), 1,
      anon_sym_RBRACK,
    STATE(3484), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [35824] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5764), 1,
      anon_sym_RPAREN,
    STATE(3485), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [35845] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3486), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1836), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN,
      anon_sym_GT,
  [35862] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5766), 1,
      anon_sym_RBRACK,
    STATE(3487), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [35883] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(131), 1,
      sym__single_quote,
    ACTIONS(5726), 1,
      sym__quotelike_begin_quote,
    STATE(2520), 1,
      sym__quotelike_begin,
    STATE(3152), 1,
      sym__apostrophe,
    STATE(3488), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [35906] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(95), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(995), 1,
      sym__loop_body,
    STATE(1061), 1,
      sym_block,
    STATE(3489), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [35929] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(95), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(996), 1,
      sym__loop_body,
    STATE(1061), 1,
      sym_block,
    STATE(3490), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [35952] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5768), 1,
      anon_sym_RPAREN,
    STATE(3491), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [35973] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5770), 1,
      anon_sym_RBRACK,
    STATE(3492), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [35994] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(1773), 1,
      sym_attribute_name,
    STATE(1934), 1,
      sym_attribute,
    STATE(3493), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(3421), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [36015] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5772), 1,
      anon_sym_RPAREN,
    STATE(3494), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [36036] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(1201), 1,
      sym_attribute_name,
    STATE(1205), 1,
      sym_attribute,
    STATE(3495), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2416), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [36057] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5774), 1,
      anon_sym_RBRACK,
    STATE(3496), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [36078] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5776), 1,
      anon_sym_RPAREN,
    STATE(3497), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [36099] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3498), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5778), 4,
      sym__quotelike_middle_close_quote,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [36116] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5780), 1,
      anon_sym_RBRACK,
    STATE(3499), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [36137] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3500), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4914), 4,
      sym__quotelike_end_quote,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [36154] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5782), 1,
      anon_sym_RPAREN,
    STATE(3501), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [36175] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3502), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5784), 4,
      sym__quotelike_middle_close_quote,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [36192] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3503), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1659), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN,
      anon_sym_GT,
  [36209] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5786), 1,
      anon_sym_RBRACK,
    STATE(3504), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [36230] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(131), 1,
      sym__single_quote,
    ACTIONS(5726), 1,
      sym__quotelike_begin_quote,
    STATE(2529), 1,
      sym__quotelike_begin,
    STATE(3253), 1,
      sym__apostrophe,
    STATE(3505), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [36253] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(131), 1,
      sym__single_quote,
    ACTIONS(5728), 1,
      sym__quotelike_begin_quote,
    STATE(2442), 1,
      sym__quotelike_begin,
    STATE(3258), 1,
      sym__apostrophe,
    STATE(3506), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [36276] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(131), 1,
      sym__single_quote,
    ACTIONS(5728), 1,
      sym__quotelike_begin_quote,
    STATE(2443), 1,
      sym__quotelike_begin,
    STATE(3260), 1,
      sym__apostrophe,
    STATE(3507), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [36299] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5730), 1,
      sym__single_quote,
    ACTIONS(5732), 1,
      sym__quotelike_begin_quote,
    STATE(2593), 1,
      sym__quotelike_begin,
    STATE(3102), 1,
      sym__apostrophe,
    STATE(3508), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [36322] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5788), 1,
      anon_sym_RPAREN,
    STATE(3509), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [36343] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(117), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(966), 1,
      sym_block,
    STATE(968), 1,
      sym__loop_body,
    STATE(3510), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [36366] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5790), 1,
      anon_sym_RBRACK,
    STATE(3511), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [36387] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3512), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5792), 4,
      anon_sym_extended,
      anon_sym_async,
      anon_sym_sub,
      anon_sym_method,
  [36404] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(95), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1035), 1,
      sym__loop_body,
    STATE(1061), 1,
      sym_block,
    STATE(3513), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [36427] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5794), 1,
      anon_sym_RPAREN,
    STATE(3514), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [36448] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5796), 1,
      anon_sym_RPAREN,
    STATE(3515), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [36469] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5798), 1,
      anon_sym_RPAREN,
    STATE(3516), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [36490] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5800), 1,
      anon_sym_RBRACK,
    STATE(3517), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [36511] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5802), 1,
      anon_sym_RPAREN,
    STATE(3518), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [36532] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5804), 1,
      anon_sym_RPAREN,
    STATE(3519), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [36553] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4185), 1,
      anon_sym_RBRACE,
    ACTIONS(5305), 1,
      anon_sym_and,
    STATE(3520), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [36574] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5806), 1,
      anon_sym_RPAREN,
    STATE(3521), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [36595] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5808), 1,
      anon_sym_RPAREN,
    STATE(3522), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [36616] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5810), 1,
      anon_sym_RPAREN,
    STATE(3523), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [36637] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(131), 1,
      sym__single_quote,
    ACTIONS(5726), 1,
      sym__quotelike_begin_quote,
    STATE(2487), 1,
      sym__quotelike_begin,
    STATE(3261), 1,
      sym__apostrophe,
    STATE(3524), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [36660] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(131), 1,
      sym__single_quote,
    ACTIONS(5728), 1,
      sym__quotelike_begin_quote,
    STATE(2449), 1,
      sym__quotelike_begin,
    STATE(3271), 1,
      sym__apostrophe,
    STATE(3525), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [36683] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(131), 1,
      sym__single_quote,
    ACTIONS(5728), 1,
      sym__quotelike_begin_quote,
    STATE(2450), 1,
      sym__quotelike_begin,
    STATE(3280), 1,
      sym__apostrophe,
    STATE(3526), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [36706] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5730), 1,
      sym__single_quote,
    ACTIONS(5732), 1,
      sym__quotelike_begin_quote,
    STATE(2586), 1,
      sym__quotelike_begin,
    STATE(3067), 1,
      sym__apostrophe,
    STATE(3527), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [36729] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(131), 1,
      sym__single_quote,
    ACTIONS(5728), 1,
      sym__quotelike_begin_quote,
    STATE(2444), 1,
      sym__quotelike_begin,
    STATE(3145), 1,
      sym__apostrophe,
    STATE(3528), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [36752] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3529), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1826), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN,
      anon_sym_GT,
  [36769] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5812), 1,
      anon_sym_RBRACK,
    STATE(3530), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [36790] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5814), 1,
      anon_sym_RPAREN,
    STATE(3531), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [36811] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5816), 1,
      anon_sym_RBRACK,
    STATE(3532), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [36832] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5818), 1,
      anon_sym_RPAREN,
    STATE(3533), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [36853] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5820), 1,
      anon_sym_RPAREN,
    STATE(3534), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [36874] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5822), 1,
      anon_sym_RBRACK,
    STATE(3535), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [36895] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(131), 1,
      sym__single_quote,
    ACTIONS(5726), 1,
      sym__quotelike_begin_quote,
    STATE(2506), 1,
      sym__quotelike_begin,
    STATE(3286), 1,
      sym__apostrophe,
    STATE(3536), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [36918] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(131), 1,
      sym__single_quote,
    ACTIONS(5728), 1,
      sym__quotelike_begin_quote,
    STATE(2455), 1,
      sym__quotelike_begin,
    STATE(3291), 1,
      sym__apostrophe,
    STATE(3537), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [36941] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(131), 1,
      sym__single_quote,
    ACTIONS(5728), 1,
      sym__quotelike_begin_quote,
    STATE(2456), 1,
      sym__quotelike_begin,
    STATE(3294), 1,
      sym__apostrophe,
    STATE(3538), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [36964] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5730), 1,
      sym__single_quote,
    ACTIONS(5732), 1,
      sym__quotelike_begin_quote,
    STATE(2621), 1,
      sym__quotelike_begin,
    STATE(3116), 1,
      sym__apostrophe,
    STATE(3539), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [36987] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5824), 1,
      anon_sym_RBRACK,
    STATE(3540), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [37008] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5826), 1,
      anon_sym_RBRACK,
    STATE(3541), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [37029] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(117), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(966), 1,
      sym_block,
    STATE(982), 1,
      sym__loop_body,
    STATE(3542), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [37052] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5828), 1,
      anon_sym_RPAREN,
    STATE(3543), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [37073] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4175), 1,
      anon_sym_RBRACE,
    ACTIONS(5305), 1,
      anon_sym_and,
    STATE(3544), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [37094] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(117), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(935), 1,
      sym__loop_body,
    STATE(966), 1,
      sym_block,
    STATE(3545), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [37117] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3546), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5778), 4,
      sym__quotelike_end_quote,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [37134] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(131), 1,
      sym__single_quote,
    ACTIONS(5728), 1,
      sym__quotelike_begin_quote,
    STATE(2438), 1,
      sym__quotelike_begin,
    STATE(3185), 1,
      sym__apostrophe,
    STATE(3547), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [37157] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5730), 1,
      sym__single_quote,
    ACTIONS(5830), 1,
      sym__quotelike_begin_quote,
    STATE(2429), 1,
      sym__quotelike_begin,
    STATE(3059), 1,
      sym__apostrophe,
    STATE(3548), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [37180] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5730), 1,
      sym__single_quote,
    ACTIONS(5732), 1,
      sym__quotelike_begin_quote,
    STATE(2599), 1,
      sym__quotelike_begin,
    STATE(3066), 1,
      sym__apostrophe,
    STATE(3549), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [37203] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(1664), 1,
      sym_attribute_name,
    STATE(1939), 1,
      sym_attribute,
    STATE(3550), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(3431), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [37224] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5832), 1,
      anon_sym_RBRACK,
    STATE(3551), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [37245] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(1427), 1,
      sym_attribute_name,
    STATE(1434), 1,
      sym_attribute,
    STATE(3552), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(3320), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [37266] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5834), 1,
      anon_sym_RPAREN,
    STATE(3553), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [37287] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5836), 1,
      anon_sym_RBRACK,
    STATE(3554), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [37308] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5838), 1,
      anon_sym_RBRACK,
    STATE(3555), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [37329] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5840), 1,
      anon_sym_RBRACK,
    STATE(3556), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [37350] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5842), 1,
      anon_sym_RBRACK,
    STATE(3557), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [37371] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5844), 1,
      anon_sym_RPAREN,
    STATE(3558), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [37392] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5846), 1,
      anon_sym_RBRACK,
    STATE(3559), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [37413] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5848), 1,
      anon_sym_RBRACK,
    STATE(3560), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [37434] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(1529), 1,
      sym_attribute_name,
    STATE(1541), 1,
      sym_attribute,
    STATE(3561), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(3347), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [37455] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5850), 1,
      anon_sym_RBRACK,
    STATE(3562), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [37476] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5852), 1,
      anon_sym_RPAREN,
    STATE(3563), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [37497] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4157), 1,
      anon_sym_RBRACE,
    ACTIONS(5305), 1,
      anon_sym_and,
    STATE(3564), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [37518] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5854), 1,
      anon_sym_RPAREN,
    STATE(3565), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [37539] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5856), 1,
      anon_sym_RPAREN,
    STATE(3566), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [37560] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5858), 1,
      anon_sym_RBRACK,
    STATE(3567), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [37581] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3568), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1857), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN,
      anon_sym_GT,
  [37598] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5860), 1,
      anon_sym_RBRACK,
    STATE(3569), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [37619] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5730), 1,
      sym__single_quote,
    ACTIONS(5830), 1,
      sym__quotelike_begin_quote,
    STATE(2431), 1,
      sym__quotelike_begin,
    STATE(3076), 1,
      sym__apostrophe,
    STATE(3570), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [37642] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5862), 1,
      anon_sym_RBRACK,
    STATE(3571), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [37663] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5864), 1,
      anon_sym_RPAREN,
    STATE(3572), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [37684] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5866), 1,
      anon_sym_RBRACE,
    STATE(3573), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [37705] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3080), 1,
      sym_attribute_name,
    STATE(3327), 1,
      sym_attribute,
    STATE(3574), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4758), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [37726] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5868), 1,
      anon_sym_RPAREN,
    STATE(3575), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [37747] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5870), 1,
      anon_sym_RBRACK,
    STATE(3576), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [37768] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5872), 1,
      anon_sym_RBRACK,
    STATE(3577), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [37789] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5874), 1,
      anon_sym_RPAREN,
    STATE(3578), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [37810] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5730), 1,
      sym__single_quote,
    ACTIONS(5830), 1,
      sym__quotelike_begin_quote,
    STATE(2433), 1,
      sym__quotelike_begin,
    STATE(3088), 1,
      sym__apostrophe,
    STATE(3579), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [37833] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5876), 1,
      anon_sym_RBRACK,
    STATE(3580), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [37854] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(117), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(903), 1,
      sym__loop_body,
    STATE(966), 1,
      sym_block,
    STATE(3581), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [37877] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3582), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1832), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN,
      anon_sym_GT,
  [37894] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5878), 1,
      anon_sym_RPAREN,
    STATE(3583), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_or,
      anon_sym_xor,
  [37915] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5730), 1,
      sym__single_quote,
    ACTIONS(5830), 1,
      sym__quotelike_begin_quote,
    STATE(2435), 1,
      sym__quotelike_begin,
    STATE(3099), 1,
      sym__apostrophe,
    STATE(3584), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [37938] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5730), 1,
      sym__single_quote,
    ACTIONS(5830), 1,
      sym__quotelike_begin_quote,
    STATE(2428), 1,
      sym__quotelike_begin,
    STATE(3103), 1,
      sym__apostrophe,
    STATE(3585), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [37961] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3586), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1881), 4,
      sym_prototype,
      sym__signature_start,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [37978] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3587), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5784), 4,
      sym__quotelike_end_quote,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [37995] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(93), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2199), 1,
      sym_block,
    STATE(3588), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38015] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(93), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2156), 1,
      sym_block,
    STATE(3589), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38035] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(105), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1136), 1,
      sym_block,
    STATE(3590), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38055] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5880), 1,
      sym__quotelike_begin_quote,
    ACTIONS(5882), 1,
      sym__quotelike_middle_skip,
    STATE(3480), 1,
      sym__quotelike_begin,
    STATE(3591), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38075] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(93), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2167), 1,
      sym_block,
    STATE(3592), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38095] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(105), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1138), 1,
      sym_block,
    STATE(3593), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38115] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(105), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1106), 1,
      sym_block,
    STATE(3594), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38135] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3071), 1,
      sym_bareword,
    STATE(3595), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4892), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [38153] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(91), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1790), 1,
      sym_block,
    STATE(3596), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38173] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(117), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(912), 1,
      sym_block,
    STATE(3597), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38193] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(105), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1116), 1,
      sym_block,
    STATE(3598), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38213] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(117), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(947), 1,
      sym_block,
    STATE(3599), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38233] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(119), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1087), 1,
      sym_block,
    STATE(3600), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38253] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(93), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2090), 1,
      sym_block,
    STATE(3601), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38273] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(105), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1145), 1,
      sym_block,
    STATE(3602), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38293] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(93), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2157), 1,
      sym_block,
    STATE(3603), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38313] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(105), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1146), 1,
      sym_block,
    STATE(3604), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38333] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(112), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1849), 1,
      sym_block,
    STATE(3605), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38353] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(105), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1148), 1,
      sym_block,
    STATE(3606), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38373] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(112), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1851), 1,
      sym_block,
    STATE(3607), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38393] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(117), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(956), 1,
      sym_block,
    STATE(3608), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38413] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(105), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1150), 1,
      sym_block,
    STATE(3609), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38433] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(105), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1152), 1,
      sym_block,
    STATE(3610), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38453] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(117), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(957), 1,
      sym_block,
    STATE(3611), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38473] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(105), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1153), 1,
      sym_block,
    STATE(3612), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38493] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3081), 1,
      sym_bareword,
    STATE(3613), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4892), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [38511] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(117), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(958), 1,
      sym_block,
    STATE(3614), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38531] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(114), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(891), 1,
      sym_block,
    STATE(3615), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38551] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(105), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1154), 1,
      sym_block,
    STATE(3616), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38571] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3096), 1,
      sym_bareword,
    STATE(3617), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4892), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [38589] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(105), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1155), 1,
      sym_block,
    STATE(3618), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38609] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(105), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1156), 1,
      sym_block,
    STATE(3619), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38629] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(144), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1393), 1,
      sym_block,
    STATE(3620), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38649] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(105), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1120), 1,
      sym_block,
    STATE(3621), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38669] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(95), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1013), 1,
      sym_block,
    STATE(3622), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38689] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(117), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(961), 1,
      sym_block,
    STATE(3623), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38709] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(91), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1639), 1,
      sym_block,
    STATE(3624), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38729] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2978), 1,
      sym_package,
    STATE(3625), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5884), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [38747] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2875), 1,
      sym_package,
    STATE(3626), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5884), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [38765] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2876), 1,
      sym_package,
    STATE(3627), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5884), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [38783] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(93), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2204), 1,
      sym_block,
    STATE(3628), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38803] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(105), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1121), 1,
      sym_block,
    STATE(3629), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38823] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(93), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2034), 1,
      sym_block,
    STATE(3630), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38843] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3117), 1,
      sym_bareword,
    STATE(3631), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4892), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [38861] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3118), 1,
      sym_bareword,
    STATE(3632), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4892), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [38879] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(144), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1394), 1,
      sym_block,
    STATE(3633), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38899] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(1060), 1,
      sym__semicolon,
    STATE(3634), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1547), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
  [38917] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(117), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(963), 1,
      sym_block,
    STATE(3635), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38937] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(93), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2131), 1,
      sym_block,
    STATE(3636), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38957] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(105), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1161), 1,
      sym_block,
    STATE(3637), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38977] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(117), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(905), 1,
      sym_block,
    STATE(3638), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38997] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(93), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2166), 1,
      sym_block,
    STATE(3639), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39017] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(105), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1163), 1,
      sym_block,
    STATE(3640), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39037] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(95), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1065), 1,
      sym_block,
    STATE(3641), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39057] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(144), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1309), 1,
      sym_block,
    STATE(3642), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39077] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(965), 1,
      sym__semicolon,
    STATE(3643), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1535), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
  [39095] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3060), 1,
      sym_bareword,
    STATE(3644), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4892), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [39113] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3061), 1,
      sym_bareword,
    STATE(3645), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4892), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [39131] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3646), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5886), 3,
      anon_sym_DOLLAR,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [39147] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(105), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1165), 1,
      sym_block,
    STATE(3647), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39167] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(105), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1166), 1,
      sym_block,
    STATE(3648), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39187] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(105), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1167), 1,
      sym_block,
    STATE(3649), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39207] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(93), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2045), 1,
      sym_block,
    STATE(3650), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39227] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5888), 1,
      anon_sym_LBRACE,
    ACTIONS(5890), 1,
      anon_sym_LBRACK,
    ACTIONS(5892), 1,
      anon_sym_STAR,
    STATE(3651), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39247] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(105), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1169), 1,
      sym_block,
    STATE(3652), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39267] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5894), 1,
      anon_sym_LBRACE,
    ACTIONS(5896), 1,
      anon_sym_LBRACK,
    ACTIONS(5898), 1,
      anon_sym_STAR,
    STATE(3653), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39287] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(91), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1717), 1,
      sym_block,
    STATE(3654), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39307] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(116), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1095), 1,
      sym_block,
    STATE(3655), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39327] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(105), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1122), 1,
      sym_block,
    STATE(3656), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39347] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(105), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1172), 1,
      sym_block,
    STATE(3657), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39367] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(105), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1173), 1,
      sym_block,
    STATE(3658), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39387] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(105), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1174), 1,
      sym_block,
    STATE(3659), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39407] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(105), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1175), 1,
      sym_block,
    STATE(3660), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39427] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(105), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1176), 1,
      sym_block,
    STATE(3661), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39447] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(105), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1177), 1,
      sym_block,
    STATE(3662), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39467] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(105), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1178), 1,
      sym_block,
    STATE(3663), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39487] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(119), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1086), 1,
      sym_block,
    STATE(3664), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39507] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3072), 1,
      sym_bareword,
    STATE(3665), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4892), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [39525] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(95), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1066), 1,
      sym_block,
    STATE(3666), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39545] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(95), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1071), 1,
      sym_block,
    STATE(3667), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39565] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2958), 1,
      sym_package,
    STATE(3668), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5884), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [39583] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(95), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1073), 1,
      sym_block,
    STATE(3669), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39603] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2887), 1,
      sym_package,
    STATE(3670), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5884), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [39621] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(144), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1310), 1,
      sym_block,
    STATE(3671), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39641] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(95), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1077), 1,
      sym_block,
    STATE(3672), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39661] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2950), 1,
      sym_package,
    STATE(3673), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5884), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [39679] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(95), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1080), 1,
      sym_block,
    STATE(3674), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39699] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(1123), 1,
      sym__semicolon,
    STATE(3675), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1543), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
  [39717] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(95), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1081), 1,
      sym_block,
    STATE(3676), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39737] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(95), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1082), 1,
      sym_block,
    STATE(3677), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39757] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(112), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1873), 1,
      sym_block,
    STATE(3678), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39777] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(95), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1084), 1,
      sym_block,
    STATE(3679), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39797] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(112), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1874), 1,
      sym_block,
    STATE(3680), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39817] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(91), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1688), 1,
      sym_block,
    STATE(3681), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39837] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(110), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(881), 1,
      sym_block,
    STATE(3682), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39857] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(95), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1049), 1,
      sym_block,
    STATE(3683), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39877] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5900), 1,
      anon_sym_LBRACE,
    ACTIONS(5902), 1,
      anon_sym_LBRACK,
    ACTIONS(5904), 1,
      anon_sym_STAR,
    STATE(3684), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39897] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(1110), 1,
      sym__semicolon,
    STATE(3685), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1543), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
  [39915] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(117), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(909), 1,
      sym_block,
    STATE(3686), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39935] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(112), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1883), 1,
      sym_block,
    STATE(3687), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39955] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(91), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1642), 1,
      sym_block,
    STATE(3688), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39975] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(95), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1001), 1,
      sym_block,
    STATE(3689), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39995] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(112), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1885), 1,
      sym_block,
    STATE(3690), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40015] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(91), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1647), 1,
      sym_block,
    STATE(3691), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40035] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(95), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1004), 1,
      sym_block,
    STATE(3692), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40055] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2977), 1,
      sym_package,
    STATE(3693), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5884), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [40073] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2923), 1,
      sym_package,
    STATE(3694), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5884), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [40091] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2925), 1,
      sym_package,
    STATE(3695), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5884), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [40109] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5906), 1,
      anon_sym_LBRACE,
    ACTIONS(5908), 1,
      anon_sym_LBRACK,
    ACTIONS(5910), 1,
      anon_sym_STAR,
    STATE(3696), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40129] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(117), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(932), 1,
      sym_block,
    STATE(3697), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40149] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(117), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(911), 1,
      sym_block,
    STATE(3698), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40169] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3109), 1,
      sym_bareword,
    STATE(3699), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4892), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [40187] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3110), 1,
      sym_bareword,
    STATE(3700), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4892), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [40205] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(95), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1011), 1,
      sym_block,
    STATE(3701), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40225] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(103), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2242), 1,
      sym_block,
    STATE(3702), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40245] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(95), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1012), 1,
      sym_block,
    STATE(3703), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40265] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(103), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2243), 1,
      sym_block,
    STATE(3704), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40285] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(95), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1016), 1,
      sym_block,
    STATE(3705), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40305] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(110), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(880), 1,
      sym_block,
    STATE(3706), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40325] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(95), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1032), 1,
      sym_block,
    STATE(3707), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40345] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(144), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1405), 1,
      sym_block,
    STATE(3708), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40365] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(117), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(969), 1,
      sym_block,
    STATE(3709), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40385] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(95), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1020), 1,
      sym_block,
    STATE(3710), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40405] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(1019), 1,
      sym__semicolon,
    STATE(3711), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1547), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
  [40423] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(144), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1407), 1,
      sym_block,
    STATE(3712), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40443] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(109), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(990), 1,
      sym_block,
    STATE(3713), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40463] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(117), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(970), 1,
      sym_block,
    STATE(3714), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40483] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(112), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1831), 1,
      sym_block,
    STATE(3715), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40503] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3092), 1,
      sym_bareword,
    STATE(3716), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4892), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [40521] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3055), 1,
      sym_bareword,
    STATE(3717), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4892), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [40539] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(95), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1037), 1,
      sym_block,
    STATE(3718), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40559] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(95), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1038), 1,
      sym_block,
    STATE(3719), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40579] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(95), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1039), 1,
      sym_block,
    STATE(3720), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40599] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(95), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1040), 1,
      sym_block,
    STATE(3721), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40619] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(95), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1041), 1,
      sym_block,
    STATE(3722), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40639] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(112), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1832), 1,
      sym_block,
    STATE(3723), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40659] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(95), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1042), 1,
      sym_block,
    STATE(3724), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40679] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(95), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1085), 1,
      sym_block,
    STATE(3725), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40699] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(114), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(888), 1,
      sym_block,
    STATE(3726), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40719] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(117), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(922), 1,
      sym_block,
    STATE(3727), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40739] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(1051), 1,
      sym__semicolon,
    STATE(3728), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1547), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
  [40757] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(930), 1,
      sym__semicolon,
    STATE(3729), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1535), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
  [40775] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(112), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1904), 1,
      sym_block,
    STATE(3730), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40795] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5233), 1,
      anon_sym_DOLLAR,
    ACTIONS(5912), 1,
      anon_sym_LPAREN,
    STATE(3731), 1,
      sym_heredoc_content,
    STATE(3909), 1,
      sym_scalar,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40815] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(112), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1905), 1,
      sym_block,
    STATE(3732), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40835] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(144), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1367), 1,
      sym_block,
    STATE(3733), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40855] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(103), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2350), 1,
      sym_block,
    STATE(3734), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40875] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(103), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2352), 1,
      sym_block,
    STATE(3735), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40895] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(89), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(884), 1,
      sym_block,
    STATE(3736), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40915] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(117), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(973), 1,
      sym_block,
    STATE(3737), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40935] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(117), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(975), 1,
      sym_block,
    STATE(3738), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40955] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(117), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(977), 1,
      sym_block,
    STATE(3739), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40975] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(948), 1,
      sym__semicolon,
    STATE(3740), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1535), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
  [40993] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(117), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(978), 1,
      sym_block,
    STATE(3741), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41013] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(117), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(946), 1,
      sym_block,
    STATE(3742), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41033] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(98), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(988), 1,
      sym_block,
    STATE(3743), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41053] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(95), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1003), 1,
      sym_block,
    STATE(3744), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41073] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(117), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(979), 1,
      sym_block,
    STATE(3745), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41093] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(144), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1364), 1,
      sym_block,
    STATE(3746), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41113] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(1141), 1,
      sym__semicolon,
    STATE(3747), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1543), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
  [41131] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(117), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(980), 1,
      sym_block,
    STATE(3748), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41151] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(117), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(981), 1,
      sym_block,
    STATE(3749), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41171] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5914), 1,
      anon_sym_LBRACE,
    ACTIONS(5916), 1,
      anon_sym_LBRACK,
    ACTIONS(5918), 1,
      anon_sym_STAR,
    STATE(3750), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41191] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(95), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1050), 1,
      sym_block,
    STATE(3751), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41211] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(95), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1031), 1,
      sym_block,
    STATE(3752), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41231] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5920), 1,
      anon_sym_LBRACE,
    ACTIONS(5922), 1,
      anon_sym_LBRACK,
    ACTIONS(5924), 1,
      anon_sym_STAR,
    STATE(3753), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41251] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3754), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5502), 3,
      anon_sym_DOLLAR,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [41267] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5926), 1,
      anon_sym_LBRACE,
    ACTIONS(5928), 1,
      anon_sym_LBRACK,
    ACTIONS(5930), 1,
      anon_sym_STAR,
    STATE(3755), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41287] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(95), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1052), 1,
      sym_block,
    STATE(3756), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41307] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5932), 1,
      anon_sym_LBRACE,
    ACTIONS(5934), 1,
      anon_sym_LBRACK,
    ACTIONS(5936), 1,
      anon_sym_STAR,
    STATE(3757), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41327] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(95), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1036), 1,
      sym_block,
    STATE(3758), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41347] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(117), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(902), 1,
      sym_block,
    STATE(3759), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41367] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(117), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(906), 1,
      sym_block,
    STATE(3760), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41387] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5938), 1,
      anon_sym_LBRACE,
    ACTIONS(5940), 1,
      anon_sym_LBRACK,
    ACTIONS(5942), 1,
      anon_sym_STAR,
    STATE(3761), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41407] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(95), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(994), 1,
      sym_block,
    STATE(3762), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41427] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(117), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(908), 1,
      sym_block,
    STATE(3763), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41447] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(91), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1767), 1,
      sym_block,
    STATE(3764), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41467] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(144), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1323), 1,
      sym_block,
    STATE(3765), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41487] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(103), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2228), 1,
      sym_block,
    STATE(3766), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41507] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(117), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(901), 1,
      sym_block,
    STATE(3767), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41527] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(103), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2229), 1,
      sym_block,
    STATE(3768), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41547] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(144), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1311), 1,
      sym_block,
    STATE(3769), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41567] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(117), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(931), 1,
      sym_block,
    STATE(3770), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41587] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(117), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(945), 1,
      sym_block,
    STATE(3771), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41607] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5944), 1,
      anon_sym_LBRACE,
    ACTIONS(5946), 1,
      anon_sym_LBRACK,
    ACTIONS(5948), 1,
      anon_sym_STAR,
    STATE(3772), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41627] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(117), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(895), 1,
      sym_block,
    STATE(3773), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41647] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(117), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(896), 1,
      sym_block,
    STATE(3774), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41667] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(103), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2250), 1,
      sym_block,
    STATE(3775), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41687] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(117), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(897), 1,
      sym_block,
    STATE(3776), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41707] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(117), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(941), 1,
      sym_block,
    STATE(3777), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41727] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(117), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(899), 1,
      sym_block,
    STATE(3778), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41747] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(103), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2252), 1,
      sym_block,
    STATE(3779), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41767] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(107), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1090), 1,
      sym_block,
    STATE(3780), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41787] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(105), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1131), 1,
      sym_block,
    STATE(3781), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41807] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(105), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1132), 1,
      sym_block,
    STATE(3782), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41827] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(100), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(890), 1,
      sym_block,
    STATE(3783), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41847] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(95), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1055), 1,
      sym_block,
    STATE(3784), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41867] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(105), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1184), 1,
      sym_block,
    STATE(3785), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41887] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(105), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1133), 1,
      sym_block,
    STATE(3786), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41907] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(91), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1788), 1,
      sym_block,
    STATE(3787), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41927] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(103), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2275), 1,
      sym_block,
    STATE(3788), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41947] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5726), 1,
      sym__quotelike_begin_quote,
    ACTIONS(5950), 1,
      sym__quotelike_middle_skip,
    STATE(3004), 1,
      sym__quotelike_begin,
    STATE(3789), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41967] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(103), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2277), 1,
      sym_block,
    STATE(3790), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41987] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(117), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(904), 1,
      sym_block,
    STATE(3791), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42007] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(91), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1777), 1,
      sym_block,
    STATE(3792), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42027] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(95), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1027), 1,
      sym_block,
    STATE(3793), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42047] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(105), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1100), 1,
      sym_block,
    STATE(3794), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42067] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(95), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1058), 1,
      sym_block,
    STATE(3795), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42087] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    STATE(91), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1677), 1,
      sym_block,
    STATE(3796), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42107] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5952), 1,
      anon_sym_COMMA,
    ACTIONS(5954), 1,
      anon_sym_RPAREN,
    STATE(3797), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42124] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5726), 1,
      sym__quotelike_begin_quote,
    STATE(2518), 1,
      sym__quotelike_begin,
    STATE(3798), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42141] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5880), 1,
      sym__quotelike_begin_quote,
    STATE(3242), 1,
      sym__quotelike_begin,
    STATE(3799), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42158] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5726), 1,
      sym__quotelike_begin_quote,
    STATE(2528), 1,
      sym__quotelike_begin,
    STATE(3800), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42175] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5880), 1,
      sym__quotelike_begin_quote,
    STATE(3251), 1,
      sym__quotelike_begin,
    STATE(3801), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42192] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5956), 1,
      anon_sym_LBRACE,
    ACTIONS(5958), 1,
      anon_sym_STAR,
    STATE(3802), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42209] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4658), 1,
      anon_sym_RPAREN,
    ACTIONS(5960), 1,
      anon_sym_COMMA,
    STATE(3803), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42226] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5880), 1,
      sym__quotelike_begin_quote,
    STATE(3259), 1,
      sym__quotelike_begin,
    STATE(3804), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42243] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5480), 1,
      anon_sym_RPAREN,
    ACTIONS(5952), 1,
      anon_sym_COMMA,
    STATE(3805), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42260] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4860), 1,
      sym__identifier,
    STATE(3006), 1,
      sym__signature_varname,
    STATE(3806), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42277] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5880), 1,
      sym__quotelike_begin_quote,
    STATE(3246), 1,
      sym__quotelike_begin,
    STATE(3807), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42294] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5726), 1,
      sym__quotelike_begin_quote,
    STATE(2467), 1,
      sym__quotelike_begin,
    STATE(3808), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42311] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5880), 1,
      sym__quotelike_begin_quote,
    STATE(3255), 1,
      sym__quotelike_begin,
    STATE(3809), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42328] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3810), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5962), 2,
      sym__quotelike_begin_quote,
      sym__quotelike_middle_skip,
  [42343] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5964), 1,
      sym__heredoc_delimiter,
    ACTIONS(5966), 1,
      sym__command_heredoc_delimiter,
    STATE(3811), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42360] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4668), 1,
      anon_sym_RPAREN,
    ACTIONS(5960), 1,
      anon_sym_COMMA,
    STATE(3812), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42377] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5968), 1,
      anon_sym_LBRACE,
    ACTIONS(5970), 1,
      anon_sym_STAR,
    STATE(3813), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42394] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5880), 1,
      sym__quotelike_begin_quote,
    STATE(3151), 1,
      sym__quotelike_begin,
    STATE(3814), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42411] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5233), 1,
      anon_sym_DOLLAR,
    STATE(3815), 1,
      sym_heredoc_content,
    STATE(3909), 1,
      sym_scalar,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42428] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5972), 1,
      anon_sym_LBRACE,
    ACTIONS(5974), 1,
      anon_sym_LBRACK,
    STATE(3816), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42445] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5960), 1,
      anon_sym_COMMA,
    ACTIONS(5976), 1,
      anon_sym_RPAREN,
    STATE(3817), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42462] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5978), 1,
      anon_sym_LBRACE,
    ACTIONS(5980), 1,
      anon_sym_LBRACK,
    STATE(3818), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42479] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4682), 1,
      anon_sym_RPAREN,
    ACTIONS(5960), 1,
      anon_sym_COMMA,
    STATE(3819), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42496] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5982), 1,
      sym__heredoc_delimiter,
    ACTIONS(5984), 1,
      sym__command_heredoc_delimiter,
    STATE(3820), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42513] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5880), 1,
      sym__quotelike_begin_quote,
    STATE(3281), 1,
      sym__quotelike_begin,
    STATE(3821), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42530] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5726), 1,
      sym__quotelike_begin_quote,
    STATE(2505), 1,
      sym__quotelike_begin,
    STATE(3822), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42547] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5880), 1,
      sym__quotelike_begin_quote,
    STATE(3285), 1,
      sym__quotelike_begin,
    STATE(3823), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42564] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4738), 1,
      anon_sym_RPAREN,
    ACTIONS(5960), 1,
      anon_sym_COMMA,
    STATE(3824), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42581] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5986), 1,
      anon_sym_LBRACE,
    ACTIONS(5988), 1,
      anon_sym_STAR,
    STATE(3825), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42598] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3826), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4240), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
  [42613] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5990), 1,
      anon_sym_LBRACE,
    ACTIONS(5992), 1,
      anon_sym_LBRACK,
    STATE(3827), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42630] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5994), 1,
      anon_sym_LBRACE,
    ACTIONS(5996), 1,
      anon_sym_STAR,
    STATE(3828), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42647] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5960), 1,
      anon_sym_COMMA,
    ACTIONS(5998), 1,
      anon_sym_RPAREN,
    STATE(3829), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42664] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6000), 1,
      sym__heredoc_delimiter,
    ACTIONS(6002), 1,
      sym__command_heredoc_delimiter,
    STATE(3830), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42681] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6004), 1,
      sym__heredoc_delimiter,
    ACTIONS(6006), 1,
      sym__command_heredoc_delimiter,
    STATE(3831), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42698] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4754), 1,
      anon_sym_RPAREN,
    ACTIONS(5960), 1,
      anon_sym_COMMA,
    STATE(3832), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42715] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5960), 1,
      anon_sym_COMMA,
    ACTIONS(6008), 1,
      anon_sym_RPAREN,
    STATE(3833), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42732] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6010), 1,
      anon_sym_DOLLAR,
    STATE(3002), 1,
      sym__signature_scalar,
    STATE(3834), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42749] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5960), 1,
      anon_sym_COMMA,
    ACTIONS(6012), 1,
      anon_sym_RPAREN,
    STATE(3835), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42766] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5880), 1,
      sym__quotelike_begin_quote,
    STATE(3225), 1,
      sym__quotelike_begin,
    STATE(3836), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42783] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6014), 1,
      sym__heredoc_delimiter,
    ACTIONS(6016), 1,
      sym__command_heredoc_delimiter,
    STATE(3837), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42800] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6018), 1,
      anon_sym_LBRACE,
    ACTIONS(6020), 1,
      anon_sym_LBRACK,
    STATE(3838), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42817] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6022), 1,
      anon_sym_LBRACE,
    ACTIONS(6024), 1,
      anon_sym_LBRACK,
    STATE(3839), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42834] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6026), 1,
      anon_sym_LBRACE,
    ACTIONS(6028), 1,
      anon_sym_LBRACK,
    STATE(3840), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42851] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5726), 1,
      sym__quotelike_begin_quote,
    STATE(2469), 1,
      sym__quotelike_begin,
    STATE(3841), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42868] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6030), 1,
      anon_sym_LBRACE,
    ACTIONS(6032), 1,
      anon_sym_LBRACK,
    STATE(3842), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42885] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3843), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4236), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
  [42900] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5880), 1,
      sym__quotelike_begin_quote,
    STATE(3230), 1,
      sym__quotelike_begin,
    STATE(3844), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42917] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6034), 1,
      anon_sym_LBRACE,
    ACTIONS(6036), 1,
      anon_sym_LBRACK,
    STATE(3845), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42934] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6038), 1,
      anon_sym_LBRACE,
    ACTIONS(6040), 1,
      anon_sym_LBRACK,
    STATE(3846), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42951] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6042), 1,
      anon_sym_LBRACE,
    ACTIONS(6044), 1,
      anon_sym_LBRACK,
    STATE(3847), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42968] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6046), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    STATE(3848), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42985] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5960), 1,
      anon_sym_COMMA,
    ACTIONS(6050), 1,
      anon_sym_RPAREN,
    STATE(3849), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43002] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6052), 1,
      anon_sym_LBRACE,
    ACTIONS(6054), 1,
      anon_sym_LBRACK,
    STATE(3850), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43019] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6056), 1,
      anon_sym_LBRACE,
    ACTIONS(6058), 1,
      anon_sym_LBRACK,
    STATE(3851), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43036] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6060), 1,
      anon_sym_LBRACE,
    ACTIONS(6062), 1,
      anon_sym_LBRACK,
    STATE(3852), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43053] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6064), 1,
      anon_sym_LBRACE,
    ACTIONS(6066), 1,
      anon_sym_LBRACK,
    STATE(3853), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43070] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6068), 1,
      anon_sym_LBRACE,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    STATE(3854), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43087] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6072), 1,
      anon_sym_LBRACE,
    ACTIONS(6074), 1,
      anon_sym_LBRACK,
    STATE(3855), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43104] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6076), 1,
      anon_sym_LBRACE,
    ACTIONS(6078), 1,
      anon_sym_LBRACK,
    STATE(3856), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43121] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6080), 1,
      anon_sym_LBRACE,
    ACTIONS(6082), 1,
      anon_sym_LBRACK,
    STATE(3857), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43138] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6084), 1,
      anon_sym_LBRACE,
    ACTIONS(6086), 1,
      anon_sym_STAR,
    STATE(3858), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43155] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6088), 1,
      anon_sym_RBRACE,
    STATE(3859), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43169] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6090), 1,
      anon_sym_RBRACE,
    STATE(3860), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43183] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6092), 1,
      anon_sym_RBRACE,
    STATE(3861), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43197] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6094), 1,
      anon_sym_RBRACE,
    STATE(3862), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43211] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6096), 1,
      anon_sym_RBRACE,
    STATE(3863), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43225] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6098), 1,
      anon_sym_RBRACE,
    STATE(3864), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43239] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6100), 1,
      anon_sym_LBRACE,
    STATE(3865), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43253] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4185), 1,
      anon_sym_RBRACE,
    STATE(3866), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43267] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6102), 1,
      anon_sym_RBRACE,
    STATE(3867), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43281] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6104), 1,
      anon_sym_STAR,
    STATE(3868), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43295] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6106), 1,
      anon_sym_RBRACE,
    STATE(3869), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43309] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6108), 1,
      anon_sym_RBRACE,
    STATE(3870), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43323] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6110), 1,
      anon_sym_RBRACE,
    STATE(3871), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43337] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6112), 1,
      sym__gobbled_content,
    STATE(3872), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43351] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4348), 1,
      sym__dollar_ident_zw,
    STATE(3873), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43365] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6114), 1,
      anon_sym_STAR,
    STATE(3874), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43379] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6116), 1,
      anon_sym_RBRACE,
    STATE(3875), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43393] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(2410), 1,
      anon_sym_LPAREN,
    STATE(3876), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43407] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6118), 1,
      sym__ERROR,
    STATE(3877), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43421] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6120), 1,
      sym__ERROR,
    STATE(3878), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43435] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6122), 1,
      sym__gobbled_content,
    STATE(3879), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43449] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6124), 1,
      sym_attribute_value,
    STATE(3880), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43463] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6126), 1,
      anon_sym_RBRACE,
    STATE(3881), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43477] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6128), 1,
      anon_sym_RBRACE,
    STATE(3882), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43491] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6130), 1,
      anon_sym_RBRACE,
    STATE(3883), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43505] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6132), 1,
      anon_sym_RPAREN,
    STATE(3884), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43519] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6134), 1,
      anon_sym_RPAREN,
    STATE(3885), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43533] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6136), 1,
      aux_sym___DATA___token1,
    STATE(3886), 1,
      sym_heredoc_content,
  [43549] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6138), 1,
      anon_sym_GT,
    STATE(3887), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43563] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6140), 1,
      anon_sym_RBRACE,
    STATE(3888), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43577] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6142), 1,
      anon_sym_RBRACE,
    STATE(3889), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43591] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6144), 1,
      anon_sym_RPAREN,
    STATE(3890), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43605] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(1857), 1,
      sym__brace_end_zw,
    STATE(3891), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43619] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6146), 1,
      anon_sym_RBRACE,
    STATE(3892), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43633] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6148), 1,
      anon_sym_RPAREN,
    STATE(3893), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43647] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6150), 1,
      anon_sym_RBRACE,
    STATE(3894), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43661] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6152), 1,
      sym__NONASSOC,
    STATE(3895), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43675] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4450), 1,
      sym__dollar_ident_zw,
    STATE(3896), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43689] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6154), 1,
      sym__NONASSOC,
    STATE(3897), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43703] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6156), 1,
      anon_sym_RBRACE,
    STATE(3898), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43717] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6158), 1,
      sym__gobbled_content,
    STATE(3899), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43731] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6160), 1,
      anon_sym_RBRACE,
    STATE(3900), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43745] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6162), 1,
      anon_sym_RBRACE,
    STATE(3901), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43759] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6164), 1,
      sym_attribute_value,
    STATE(3902), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43773] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6166), 1,
      anon_sym_RBRACE,
    STATE(3903), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43787] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6168), 1,
      anon_sym_RBRACE,
    STATE(3904), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43801] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6170), 1,
      anon_sym_STAR,
    STATE(3905), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43815] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4602), 1,
      sym__dollar_ident_zw,
    STATE(3906), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43829] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6172), 1,
      anon_sym_LPAREN,
    STATE(3907), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43843] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6174), 1,
      anon_sym_RPAREN,
    STATE(3908), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43857] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6176), 1,
      anon_sym_LPAREN,
    STATE(3909), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43871] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6178), 1,
      anon_sym_LPAREN,
    STATE(3910), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43885] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5960), 1,
      anon_sym_COMMA,
    STATE(3911), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43899] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6180), 1,
      anon_sym_RBRACE,
    STATE(3912), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43913] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6182), 1,
      aux_sym__interpolated_transliteration_content_token1,
    STATE(3913), 1,
      sym_heredoc_content,
  [43929] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6184), 1,
      anon_sym_RBRACE,
    STATE(3914), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43943] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(1887), 1,
      sym__brace_end_zw,
    STATE(3915), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43957] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6186), 1,
      anon_sym_LPAREN,
    STATE(3916), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43971] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6188), 1,
      aux_sym___DATA___token1,
    STATE(3917), 1,
      sym_heredoc_content,
  [43987] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6190), 1,
      sym_attribute_value,
    STATE(3918), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44001] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6192), 1,
      anon_sym_RBRACE,
    STATE(3919), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44015] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4157), 1,
      anon_sym_RBRACE,
    STATE(3920), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44029] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6194), 1,
      anon_sym_RBRACE,
    STATE(3921), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44043] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6196), 1,
      anon_sym_GT,
    STATE(3922), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44057] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6198), 1,
      anon_sym_GT,
    STATE(3923), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44071] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6200), 1,
      anon_sym_RBRACE,
    STATE(3924), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44085] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6202), 1,
      anon_sym_RBRACE,
    STATE(3925), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44099] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(1893), 1,
      sym__brace_end_zw,
    STATE(3926), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44113] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6204), 1,
      anon_sym_RBRACE,
    STATE(3927), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44127] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5371), 1,
      anon_sym_GT_GT,
    STATE(3928), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44141] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6206), 1,
      anon_sym_RBRACE,
    STATE(3929), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44155] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6208), 1,
      sym__gobbled_content,
    STATE(3930), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44169] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6210), 1,
      anon_sym_RBRACE,
    STATE(3931), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44183] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6212), 1,
      anon_sym_RPAREN,
    STATE(3932), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44197] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(1881), 1,
      anon_sym_GT,
    STATE(3933), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44211] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6214), 1,
      anon_sym_RBRACE,
    STATE(3934), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44225] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6216), 1,
      anon_sym_RPAREN,
    STATE(3935), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44239] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6218), 1,
      sym_attribute_value,
    STATE(3936), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44253] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6220), 1,
      anon_sym_RBRACE,
    STATE(3937), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44267] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6222), 1,
      anon_sym_RPAREN,
    STATE(3938), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44281] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6224), 1,
      sym__ERROR,
    STATE(3939), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44295] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6226), 1,
      anon_sym_RPAREN,
    STATE(3940), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44309] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6228), 1,
      anon_sym_RPAREN,
    STATE(3941), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44323] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6230), 1,
      anon_sym_RPAREN,
    STATE(3942), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44337] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4175), 1,
      anon_sym_RBRACE,
    STATE(3943), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44351] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6232), 1,
      anon_sym_RBRACE,
    STATE(3944), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44365] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6234), 1,
      anon_sym_RBRACE,
    STATE(3945), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44379] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6236), 1,
      anon_sym_RBRACE,
    STATE(3946), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44393] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(379), 1,
      ts_builtin_sym_end,
    STATE(3947), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44407] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6238), 1,
      anon_sym_RBRACE,
    STATE(3948), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44421] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6240), 1,
      sym__NONASSOC,
    STATE(3949), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44435] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6242), 1,
      anon_sym_RPAREN,
    STATE(3950), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44449] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6244), 1,
      anon_sym_LPAREN,
    STATE(3951), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44463] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6246), 1,
      ts_builtin_sym_end,
    STATE(3952), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44477] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6248), 1,
      anon_sym_RPAREN,
    STATE(3953), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44491] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6250), 1,
      anon_sym_RBRACE,
    STATE(3954), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44505] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6252), 1,
      anon_sym_RPAREN,
    STATE(3955), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44519] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6254), 1,
      anon_sym_STAR,
    STATE(3956), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44533] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6256), 1,
      anon_sym_RBRACE,
    STATE(3957), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44547] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4644), 1,
      sym__dollar_ident_zw,
    STATE(3958), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44561] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6258), 1,
      anon_sym_RBRACE,
    STATE(3959), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44575] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6260), 1,
      aux_sym___DATA___token1,
    STATE(3960), 1,
      sym_heredoc_content,
  [44591] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(1897), 1,
      sym__brace_end_zw,
    STATE(3961), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44605] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6262), 1,
      sym__ERROR,
    STATE(3962), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44619] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6264), 1,
      anon_sym_RBRACE,
    STATE(3963), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44633] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6266), 1,
      anon_sym_RPAREN,
    STATE(3964), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44647] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6268), 1,
      sym__ERROR,
    STATE(3965), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44661] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6270), 1,
      anon_sym_STAR,
    STATE(3966), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44675] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6272), 1,
      anon_sym_RBRACE,
    STATE(3967), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44689] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6274), 1,
      anon_sym_RBRACE,
    STATE(3968), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44703] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6276), 1,
      anon_sym_RBRACE,
    STATE(3969), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44717] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6278), 1,
      anon_sym_RPAREN,
    STATE(3970), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44731] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6280), 1,
      anon_sym_RBRACE,
    STATE(3971), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44745] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6282), 1,
      anon_sym_RBRACE,
    STATE(3972), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44759] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6284), 1,
      sym__NONASSOC,
    STATE(3973), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44773] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4426), 1,
      sym__no_interp_whitespace_zw,
    STATE(3974), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44787] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4173), 1,
      anon_sym_RBRACE,
    STATE(3975), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44801] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6286), 1,
      sym__ERROR,
    STATE(3976), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44815] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6288), 1,
      anon_sym_RBRACE,
    STATE(3977), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44829] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6290), 1,
      anon_sym_RBRACE,
    STATE(3978), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44843] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6292), 1,
      sym_attribute_value,
    STATE(3979), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44857] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6294), 1,
      anon_sym_RBRACE,
    STATE(3980), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44871] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6296), 1,
      anon_sym_RBRACE,
    STATE(3981), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44885] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(1905), 1,
      sym__brace_end_zw,
    STATE(3982), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44899] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6298), 1,
      anon_sym_RBRACE,
    STATE(3983), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44913] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6300), 1,
      anon_sym_RBRACE,
    STATE(3984), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44927] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6302), 1,
      sym_attribute_value,
    STATE(3985), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44941] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6304), 1,
      anon_sym_RBRACE,
    STATE(3986), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44955] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(1907), 1,
      sym__brace_end_zw,
    STATE(3987), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44969] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6306), 1,
      anon_sym_GT,
    STATE(3988), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44983] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6308), 1,
      anon_sym_RBRACE,
    STATE(3989), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44997] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6310), 1,
      sym_attribute_value,
    STATE(3990), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45011] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(1909), 1,
      sym__brace_end_zw,
    STATE(3991), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45025] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6312), 1,
      anon_sym_RBRACE,
    STATE(3992), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45039] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6314), 1,
      anon_sym_RBRACE,
    STATE(3993), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45053] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6316), 1,
      sym_attribute_value,
    STATE(3994), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45067] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(1911), 1,
      sym__brace_end_zw,
    STATE(3995), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45081] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6318), 1,
      sym__ERROR,
    STATE(3996), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45095] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6320), 1,
      sym__ERROR,
    STATE(3997), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45109] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6322), 1,
      sym_attribute_value,
    STATE(3998), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45123] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(1955), 1,
      sym__brace_end_zw,
    STATE(3999), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45137] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6324), 1,
      anon_sym_RBRACE,
    STATE(4000), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45151] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6326), 1,
      anon_sym_RPAREN,
    STATE(4001), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45165] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(1913), 1,
      sym__brace_end_zw,
    STATE(4002), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45179] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6328), 1,
      anon_sym_RBRACE,
    STATE(4003), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45193] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6330), 1,
      anon_sym_RBRACE,
    STATE(4004), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45207] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(1915), 1,
      sym__brace_end_zw,
    STATE(4005), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45221] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6332), 1,
      anon_sym_RBRACE,
    STATE(4006), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45235] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6334), 1,
      anon_sym_RBRACE,
    STATE(4007), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45249] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(1917), 1,
      sym__brace_end_zw,
    STATE(4008), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45263] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6336), 1,
      anon_sym_RBRACE,
    STATE(4009), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45277] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6338), 1,
      anon_sym_RBRACE,
    STATE(4010), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45291] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(1919), 1,
      sym__brace_end_zw,
    STATE(4011), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45305] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5359), 1,
      anon_sym_GT_GT,
    STATE(4012), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45319] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6340), 1,
      anon_sym_RPAREN,
    STATE(4013), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45333] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(1921), 1,
      sym__brace_end_zw,
    STATE(4014), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45347] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4378), 1,
      sym__no_interp_whitespace_zw,
    STATE(4015), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45361] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6342), 1,
      sym__ERROR,
    STATE(4016), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45375] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(1923), 1,
      sym__brace_end_zw,
    STATE(4017), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45389] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6344), 1,
      anon_sym_LBRACE,
    STATE(4018), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45403] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6346), 1,
      anon_sym_RPAREN,
    STATE(4019), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45417] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(1925), 1,
      sym__brace_end_zw,
    STATE(4020), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45431] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6348), 1,
      anon_sym_RBRACE,
    STATE(4021), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45445] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6350), 1,
      sym__gobbled_content,
    STATE(4022), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45459] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(1927), 1,
      sym__brace_end_zw,
    STATE(4023), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45473] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(2167), 1,
      ts_builtin_sym_end,
    STATE(4024), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45487] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6352), 1,
      anon_sym_RBRACE,
    STATE(4025), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45501] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(1929), 1,
      sym__brace_end_zw,
    STATE(4026), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45515] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6354), 1,
      anon_sym_RBRACE,
    STATE(4027), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45529] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6356), 1,
      anon_sym_RBRACE,
    STATE(4028), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45543] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(1931), 1,
      sym__brace_end_zw,
    STATE(4029), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45557] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6358), 1,
      anon_sym_RBRACE,
    STATE(4030), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45571] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6360), 1,
      anon_sym_RBRACE,
    STATE(4031), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45585] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(1933), 1,
      sym__brace_end_zw,
    STATE(4032), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45599] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6362), 1,
      anon_sym_RBRACE,
    STATE(4033), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45613] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6364), 1,
      anon_sym_RPAREN,
    STATE(4034), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45627] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(1935), 1,
      sym__brace_end_zw,
    STATE(4035), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45641] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6366), 1,
      anon_sym_RBRACE,
    STATE(4036), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45655] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6368), 1,
      aux_sym___DATA___token1,
    STATE(4037), 1,
      sym_heredoc_content,
  [45671] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(1937), 1,
      sym__brace_end_zw,
    STATE(4038), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45685] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6370), 1,
      anon_sym_RPAREN,
    STATE(4039), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45699] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6372), 1,
      anon_sym_RBRACE,
    STATE(4040), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45713] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(1939), 1,
      sym__brace_end_zw,
    STATE(4041), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45727] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6374), 1,
      anon_sym_RPAREN,
    STATE(4042), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45741] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6376), 1,
      anon_sym_RBRACE,
    STATE(4043), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45755] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(1941), 1,
      sym__brace_end_zw,
    STATE(4044), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45769] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6378), 1,
      anon_sym_RPAREN,
    STATE(4045), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45783] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6380), 1,
      anon_sym_GT,
    STATE(4046), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45797] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(1943), 1,
      sym__brace_end_zw,
    STATE(4047), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45811] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6382), 1,
      anon_sym_RBRACE,
    STATE(4048), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45825] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6384), 1,
      anon_sym_RPAREN,
    STATE(4049), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45839] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(1945), 1,
      sym__brace_end_zw,
    STATE(4050), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45853] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6386), 1,
      anon_sym_RBRACE,
    STATE(4051), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45867] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6388), 1,
      anon_sym_RBRACE,
    STATE(4052), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45881] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(1883), 1,
      sym__brace_end_zw,
    STATE(4053), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45895] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6390), 1,
      anon_sym_RPAREN,
    STATE(4054), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45909] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6392), 1,
      anon_sym_RBRACE,
    STATE(4055), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45923] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6394), 1,
      sym__gobbled_content,
    STATE(4056), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45937] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6396), 1,
      anon_sym_RBRACE,
    STATE(4057), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45951] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6398), 1,
      anon_sym_RBRACE,
    STATE(4058), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45965] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6400), 1,
      anon_sym_RBRACE,
    STATE(4059), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45979] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6402), 1,
      sym__ERROR,
    STATE(4060), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45993] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5375), 1,
      anon_sym_GT_GT,
    STATE(4061), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46007] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6404), 1,
      anon_sym_RPAREN,
    STATE(4062), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46021] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6406), 1,
      anon_sym_RPAREN,
    STATE(4063), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46035] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6408), 1,
      sym__ERROR,
    STATE(4064), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46049] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6410), 1,
      anon_sym_LPAREN,
    STATE(4065), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46063] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6412), 1,
      ts_builtin_sym_end,
    STATE(4066), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46077] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6414), 1,
      anon_sym_RPAREN,
    STATE(4067), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46091] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4528), 1,
      sym__no_interp_whitespace_zw,
    STATE(4068), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46105] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6416), 1,
      anon_sym_RBRACE,
    STATE(4069), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46119] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6418), 1,
      anon_sym_LPAREN,
    STATE(4070), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46133] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6420), 1,
      anon_sym_LPAREN,
    STATE(4071), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46147] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6422), 1,
      anon_sym_RPAREN,
    STATE(4072), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46161] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5952), 1,
      anon_sym_COMMA,
    STATE(4073), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46175] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6424), 1,
      anon_sym_RBRACE,
    STATE(4074), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46189] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6426), 1,
      anon_sym_RBRACE,
    STATE(4075), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46203] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6428), 1,
      sym__ERROR,
    STATE(4076), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46217] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6430), 1,
      anon_sym_RBRACE,
    STATE(4077), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46231] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6432), 1,
      sym__gobbled_content,
    STATE(4078), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46245] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6434), 1,
      anon_sym_RBRACE,
    STATE(4079), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46259] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6436), 1,
      anon_sym_RBRACE,
    STATE(4080), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46273] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5329), 1,
      anon_sym_GT_GT,
    STATE(4081), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46287] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6438), 1,
      anon_sym_RBRACE,
    STATE(4082), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46301] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6440), 1,
      anon_sym_RBRACE,
    STATE(4083), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46315] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6442), 1,
      sym__ERROR,
    STATE(4084), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46329] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6444), 1,
      sym__ERROR,
    STATE(4085), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46343] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6446), 1,
      sym__ERROR,
    STATE(4086), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46357] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6448), 1,
      anon_sym_RBRACE,
    STATE(4087), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46371] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6450), 1,
      sym__NONASSOC,
    STATE(4088), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46385] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6452), 1,
      anon_sym_RPAREN,
    STATE(4089), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46399] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5357), 1,
      anon_sym_GT_GT,
    STATE(4090), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46413] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6454), 1,
      anon_sym_RBRACE,
    STATE(4091), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46427] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6456), 1,
      sym__gobbled_content,
    STATE(4092), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46441] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6458), 1,
      anon_sym_RBRACE,
    STATE(4093), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46455] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6460), 1,
      aux_sym__interpolated_transliteration_content_token1,
    STATE(4094), 1,
      sym_heredoc_content,
  [46471] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6462), 1,
      anon_sym_RPAREN,
    STATE(4095), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46485] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6464), 1,
      anon_sym_RPAREN,
    STATE(4096), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46499] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(1895), 1,
      sym__brace_end_zw,
    STATE(4097), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46513] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(1885), 1,
      sym__brace_end_zw,
    STATE(4098), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46527] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6466), 1,
      anon_sym_LPAREN,
    STATE(4099), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46541] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    STATE(4100), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46555] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(2135), 1,
      ts_builtin_sym_end,
    STATE(4101), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46569] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6470), 1,
      anon_sym_RBRACE,
    STATE(4102), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46583] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6472), 1,
      anon_sym_RBRACE,
    STATE(4103), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46597] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6474), 1,
      anon_sym_RPAREN,
    STATE(4104), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46611] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6476), 1,
      anon_sym_RPAREN,
    STATE(4105), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46625] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6478), 1,
      anon_sym_RBRACE,
    STATE(4106), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46639] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6480), 1,
      anon_sym_COLON,
    STATE(4107), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46653] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6482), 1,
      anon_sym_RBRACE,
    STATE(4108), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46667] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6484), 1,
      anon_sym_LPAREN,
    STATE(4109), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46681] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6486), 1,
      anon_sym_COLON,
    STATE(4110), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46695] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4630), 1,
      sym__no_interp_whitespace_zw,
    STATE(4111), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46709] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6488), 1,
      anon_sym_RBRACE,
    STATE(4112), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46723] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6490), 1,
      anon_sym_RBRACE,
    STATE(4113), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46737] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6492), 1,
      anon_sym_LPAREN,
    STATE(4114), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46751] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5866), 1,
      anon_sym_RBRACE,
    STATE(4115), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46765] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6494), 1,
      anon_sym_LPAREN,
    STATE(4116), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46779] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(2414), 1,
      anon_sym_LPAREN,
    STATE(4117), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46793] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6496), 1,
      anon_sym_LPAREN,
    STATE(4118), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46807] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6498), 1,
      anon_sym_LPAREN,
    STATE(4119), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46821] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6500), 1,
      anon_sym_LPAREN,
    STATE(4120), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46835] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6502), 1,
      anon_sym_LPAREN,
    STATE(4121), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46849] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4554), 1,
      sym__dollar_ident_zw,
    STATE(4122), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46863] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6504), 1,
      anon_sym_LPAREN,
    STATE(4123), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46877] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6506), 1,
      anon_sym_LPAREN,
    STATE(4124), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46891] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4452), 1,
      sym__dollar_ident_zw,
    STATE(4125), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46905] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6508), 1,
      anon_sym_LPAREN,
    STATE(4126), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46919] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6510), 1,
      anon_sym_LPAREN,
    STATE(4127), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46933] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6512), 1,
      anon_sym_RBRACE,
    STATE(4128), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46947] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6514), 1,
      anon_sym_LPAREN,
    STATE(4129), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46961] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6516), 1,
      anon_sym_LPAREN,
    STATE(4130), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46975] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4183), 1,
      anon_sym_RBRACE,
    STATE(4131), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46989] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6518), 1,
      anon_sym_LPAREN,
    STATE(4132), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [47003] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6520), 1,
      anon_sym_LPAREN,
    STATE(4133), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [47017] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6522), 1,
      anon_sym_LPAREN,
    STATE(4134), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [47031] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(1853), 1,
      sym__brace_end_zw,
    STATE(4135), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [47045] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6524), 1,
      anon_sym_RBRACE,
    STATE(4136), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [47059] = 1,
    ACTIONS(6526), 1,
      ts_builtin_sym_end,
  [47063] = 1,
    ACTIONS(6528), 1,
      ts_builtin_sym_end,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(2427)] = 0,
  [SMALL_STATE(2428)] = 73,
  [SMALL_STATE(2429)] = 146,
  [SMALL_STATE(2430)] = 219,
  [SMALL_STATE(2431)] = 292,
  [SMALL_STATE(2432)] = 365,
  [SMALL_STATE(2433)] = 438,
  [SMALL_STATE(2434)] = 511,
  [SMALL_STATE(2435)] = 584,
  [SMALL_STATE(2436)] = 657,
  [SMALL_STATE(2437)] = 730,
  [SMALL_STATE(2438)] = 800,
  [SMALL_STATE(2439)] = 870,
  [SMALL_STATE(2440)] = 940,
  [SMALL_STATE(2441)] = 1010,
  [SMALL_STATE(2442)] = 1080,
  [SMALL_STATE(2443)] = 1150,
  [SMALL_STATE(2444)] = 1220,
  [SMALL_STATE(2445)] = 1290,
  [SMALL_STATE(2446)] = 1360,
  [SMALL_STATE(2447)] = 1430,
  [SMALL_STATE(2448)] = 1500,
  [SMALL_STATE(2449)] = 1570,
  [SMALL_STATE(2450)] = 1640,
  [SMALL_STATE(2451)] = 1710,
  [SMALL_STATE(2452)] = 1780,
  [SMALL_STATE(2453)] = 1850,
  [SMALL_STATE(2454)] = 1920,
  [SMALL_STATE(2455)] = 1990,
  [SMALL_STATE(2456)] = 2060,
  [SMALL_STATE(2457)] = 2130,
  [SMALL_STATE(2458)] = 2200,
  [SMALL_STATE(2459)] = 2270,
  [SMALL_STATE(2460)] = 2340,
  [SMALL_STATE(2461)] = 2410,
  [SMALL_STATE(2462)] = 2480,
  [SMALL_STATE(2463)] = 2550,
  [SMALL_STATE(2464)] = 2620,
  [SMALL_STATE(2465)] = 2690,
  [SMALL_STATE(2466)] = 2760,
  [SMALL_STATE(2467)] = 2830,
  [SMALL_STATE(2468)] = 2899,
  [SMALL_STATE(2469)] = 2968,
  [SMALL_STATE(2470)] = 3037,
  [SMALL_STATE(2471)] = 3106,
  [SMALL_STATE(2472)] = 3175,
  [SMALL_STATE(2473)] = 3244,
  [SMALL_STATE(2474)] = 3313,
  [SMALL_STATE(2475)] = 3382,
  [SMALL_STATE(2476)] = 3451,
  [SMALL_STATE(2477)] = 3520,
  [SMALL_STATE(2478)] = 3589,
  [SMALL_STATE(2479)] = 3658,
  [SMALL_STATE(2480)] = 3727,
  [SMALL_STATE(2481)] = 3796,
  [SMALL_STATE(2482)] = 3865,
  [SMALL_STATE(2483)] = 3934,
  [SMALL_STATE(2484)] = 4003,
  [SMALL_STATE(2485)] = 4072,
  [SMALL_STATE(2486)] = 4141,
  [SMALL_STATE(2487)] = 4210,
  [SMALL_STATE(2488)] = 4279,
  [SMALL_STATE(2489)] = 4348,
  [SMALL_STATE(2490)] = 4417,
  [SMALL_STATE(2491)] = 4486,
  [SMALL_STATE(2492)] = 4555,
  [SMALL_STATE(2493)] = 4624,
  [SMALL_STATE(2494)] = 4693,
  [SMALL_STATE(2495)] = 4762,
  [SMALL_STATE(2496)] = 4831,
  [SMALL_STATE(2497)] = 4900,
  [SMALL_STATE(2498)] = 4969,
  [SMALL_STATE(2499)] = 5038,
  [SMALL_STATE(2500)] = 5107,
  [SMALL_STATE(2501)] = 5176,
  [SMALL_STATE(2502)] = 5245,
  [SMALL_STATE(2503)] = 5314,
  [SMALL_STATE(2504)] = 5383,
  [SMALL_STATE(2505)] = 5452,
  [SMALL_STATE(2506)] = 5521,
  [SMALL_STATE(2507)] = 5590,
  [SMALL_STATE(2508)] = 5659,
  [SMALL_STATE(2509)] = 5728,
  [SMALL_STATE(2510)] = 5797,
  [SMALL_STATE(2511)] = 5866,
  [SMALL_STATE(2512)] = 5935,
  [SMALL_STATE(2513)] = 6004,
  [SMALL_STATE(2514)] = 6073,
  [SMALL_STATE(2515)] = 6142,
  [SMALL_STATE(2516)] = 6211,
  [SMALL_STATE(2517)] = 6280,
  [SMALL_STATE(2518)] = 6345,
  [SMALL_STATE(2519)] = 6414,
  [SMALL_STATE(2520)] = 6483,
  [SMALL_STATE(2521)] = 6552,
  [SMALL_STATE(2522)] = 6621,
  [SMALL_STATE(2523)] = 6690,
  [SMALL_STATE(2524)] = 6759,
  [SMALL_STATE(2525)] = 6824,
  [SMALL_STATE(2526)] = 6893,
  [SMALL_STATE(2527)] = 6962,
  [SMALL_STATE(2528)] = 7031,
  [SMALL_STATE(2529)] = 7100,
  [SMALL_STATE(2530)] = 7169,
  [SMALL_STATE(2531)] = 7238,
  [SMALL_STATE(2532)] = 7307,
  [SMALL_STATE(2533)] = 7376,
  [SMALL_STATE(2534)] = 7445,
  [SMALL_STATE(2535)] = 7509,
  [SMALL_STATE(2536)] = 7574,
  [SMALL_STATE(2537)] = 7639,
  [SMALL_STATE(2538)] = 7702,
  [SMALL_STATE(2539)] = 7765,
  [SMALL_STATE(2540)] = 7828,
  [SMALL_STATE(2541)] = 7891,
  [SMALL_STATE(2542)] = 7954,
  [SMALL_STATE(2543)] = 8017,
  [SMALL_STATE(2544)] = 8056,
  [SMALL_STATE(2545)] = 8093,
  [SMALL_STATE(2546)] = 8142,
  [SMALL_STATE(2547)] = 8191,
  [SMALL_STATE(2548)] = 8242,
  [SMALL_STATE(2549)] = 8293,
  [SMALL_STATE(2550)] = 8342,
  [SMALL_STATE(2551)] = 8391,
  [SMALL_STATE(2552)] = 8440,
  [SMALL_STATE(2553)] = 8489,
  [SMALL_STATE(2554)] = 8538,
  [SMALL_STATE(2555)] = 8589,
  [SMALL_STATE(2556)] = 8640,
  [SMALL_STATE(2557)] = 8691,
  [SMALL_STATE(2558)] = 8740,
  [SMALL_STATE(2559)] = 8798,
  [SMALL_STATE(2560)] = 8830,
  [SMALL_STATE(2561)] = 8888,
  [SMALL_STATE(2562)] = 8934,
  [SMALL_STATE(2563)] = 8966,
  [SMALL_STATE(2564)] = 8998,
  [SMALL_STATE(2565)] = 9030,
  [SMALL_STATE(2566)] = 9088,
  [SMALL_STATE(2567)] = 9122,
  [SMALL_STATE(2568)] = 9180,
  [SMALL_STATE(2569)] = 9217,
  [SMALL_STATE(2570)] = 9254,
  [SMALL_STATE(2571)] = 9301,
  [SMALL_STATE(2572)] = 9346,
  [SMALL_STATE(2573)] = 9377,
  [SMALL_STATE(2574)] = 9406,
  [SMALL_STATE(2575)] = 9437,
  [SMALL_STATE(2576)] = 9484,
  [SMALL_STATE(2577)] = 9531,
  [SMALL_STATE(2578)] = 9560,
  [SMALL_STATE(2579)] = 9589,
  [SMALL_STATE(2580)] = 9618,
  [SMALL_STATE(2581)] = 9647,
  [SMALL_STATE(2582)] = 9676,
  [SMALL_STATE(2583)] = 9723,
  [SMALL_STATE(2584)] = 9770,
  [SMALL_STATE(2585)] = 9801,
  [SMALL_STATE(2586)] = 9832,
  [SMALL_STATE(2587)] = 9872,
  [SMALL_STATE(2588)] = 9900,
  [SMALL_STATE(2589)] = 9928,
  [SMALL_STATE(2590)] = 9956,
  [SMALL_STATE(2591)] = 10000,
  [SMALL_STATE(2592)] = 10028,
  [SMALL_STATE(2593)] = 10056,
  [SMALL_STATE(2594)] = 10096,
  [SMALL_STATE(2595)] = 10144,
  [SMALL_STATE(2596)] = 10192,
  [SMALL_STATE(2597)] = 10220,
  [SMALL_STATE(2598)] = 10260,
  [SMALL_STATE(2599)] = 10304,
  [SMALL_STATE(2600)] = 10344,
  [SMALL_STATE(2601)] = 10372,
  [SMALL_STATE(2602)] = 10416,
  [SMALL_STATE(2603)] = 10460,
  [SMALL_STATE(2604)] = 10488,
  [SMALL_STATE(2605)] = 10516,
  [SMALL_STATE(2606)] = 10544,
  [SMALL_STATE(2607)] = 10588,
  [SMALL_STATE(2608)] = 10616,
  [SMALL_STATE(2609)] = 10644,
  [SMALL_STATE(2610)] = 10688,
  [SMALL_STATE(2611)] = 10716,
  [SMALL_STATE(2612)] = 10764,
  [SMALL_STATE(2613)] = 10792,
  [SMALL_STATE(2614)] = 10832,
  [SMALL_STATE(2615)] = 10876,
  [SMALL_STATE(2616)] = 10920,
  [SMALL_STATE(2617)] = 10956,
  [SMALL_STATE(2618)] = 10986,
  [SMALL_STATE(2619)] = 11030,
  [SMALL_STATE(2620)] = 11060,
  [SMALL_STATE(2621)] = 11104,
  [SMALL_STATE(2622)] = 11144,
  [SMALL_STATE(2623)] = 11184,
  [SMALL_STATE(2624)] = 11228,
  [SMALL_STATE(2625)] = 11276,
  [SMALL_STATE(2626)] = 11316,
  [SMALL_STATE(2627)] = 11364,
  [SMALL_STATE(2628)] = 11408,
  [SMALL_STATE(2629)] = 11452,
  [SMALL_STATE(2630)] = 11496,
  [SMALL_STATE(2631)] = 11540,
  [SMALL_STATE(2632)] = 11584,
  [SMALL_STATE(2633)] = 11628,
  [SMALL_STATE(2634)] = 11672,
  [SMALL_STATE(2635)] = 11716,
  [SMALL_STATE(2636)] = 11760,
  [SMALL_STATE(2637)] = 11804,
  [SMALL_STATE(2638)] = 11848,
  [SMALL_STATE(2639)] = 11892,
  [SMALL_STATE(2640)] = 11936,
  [SMALL_STATE(2641)] = 11980,
  [SMALL_STATE(2642)] = 12024,
  [SMALL_STATE(2643)] = 12068,
  [SMALL_STATE(2644)] = 12112,
  [SMALL_STATE(2645)] = 12152,
  [SMALL_STATE(2646)] = 12196,
  [SMALL_STATE(2647)] = 12240,
  [SMALL_STATE(2648)] = 12284,
  [SMALL_STATE(2649)] = 12328,
  [SMALL_STATE(2650)] = 12376,
  [SMALL_STATE(2651)] = 12424,
  [SMALL_STATE(2652)] = 12464,
  [SMALL_STATE(2653)] = 12508,
  [SMALL_STATE(2654)] = 12536,
  [SMALL_STATE(2655)] = 12564,
  [SMALL_STATE(2656)] = 12592,
  [SMALL_STATE(2657)] = 12636,
  [SMALL_STATE(2658)] = 12664,
  [SMALL_STATE(2659)] = 12692,
  [SMALL_STATE(2660)] = 12722,
  [SMALL_STATE(2661)] = 12752,
  [SMALL_STATE(2662)] = 12782,
  [SMALL_STATE(2663)] = 12812,
  [SMALL_STATE(2664)] = 12856,
  [SMALL_STATE(2665)] = 12883,
  [SMALL_STATE(2666)] = 12912,
  [SMALL_STATE(2667)] = 12953,
  [SMALL_STATE(2668)] = 12980,
  [SMALL_STATE(2669)] = 13021,
  [SMALL_STATE(2670)] = 13048,
  [SMALL_STATE(2671)] = 13089,
  [SMALL_STATE(2672)] = 13126,
  [SMALL_STATE(2673)] = 13167,
  [SMALL_STATE(2674)] = 13208,
  [SMALL_STATE(2675)] = 13249,
  [SMALL_STATE(2676)] = 13290,
  [SMALL_STATE(2677)] = 13327,
  [SMALL_STATE(2678)] = 13364,
  [SMALL_STATE(2679)] = 13401,
  [SMALL_STATE(2680)] = 13438,
  [SMALL_STATE(2681)] = 13479,
  [SMALL_STATE(2682)] = 13520,
  [SMALL_STATE(2683)] = 13561,
  [SMALL_STATE(2684)] = 13602,
  [SMALL_STATE(2685)] = 13643,
  [SMALL_STATE(2686)] = 13684,
  [SMALL_STATE(2687)] = 13725,
  [SMALL_STATE(2688)] = 13766,
  [SMALL_STATE(2689)] = 13807,
  [SMALL_STATE(2690)] = 13848,
  [SMALL_STATE(2691)] = 13893,
  [SMALL_STATE(2692)] = 13934,
  [SMALL_STATE(2693)] = 13975,
  [SMALL_STATE(2694)] = 14006,
  [SMALL_STATE(2695)] = 14047,
  [SMALL_STATE(2696)] = 14084,
  [SMALL_STATE(2697)] = 14113,
  [SMALL_STATE(2698)] = 14140,
  [SMALL_STATE(2699)] = 14181,
  [SMALL_STATE(2700)] = 14222,
  [SMALL_STATE(2701)] = 14263,
  [SMALL_STATE(2702)] = 14290,
  [SMALL_STATE(2703)] = 14317,
  [SMALL_STATE(2704)] = 14358,
  [SMALL_STATE(2705)] = 14399,
  [SMALL_STATE(2706)] = 14440,
  [SMALL_STATE(2707)] = 14467,
  [SMALL_STATE(2708)] = 14494,
  [SMALL_STATE(2709)] = 14521,
  [SMALL_STATE(2710)] = 14562,
  [SMALL_STATE(2711)] = 14589,
  [SMALL_STATE(2712)] = 14620,
  [SMALL_STATE(2713)] = 14661,
  [SMALL_STATE(2714)] = 14702,
  [SMALL_STATE(2715)] = 14743,
  [SMALL_STATE(2716)] = 14784,
  [SMALL_STATE(2717)] = 14825,
  [SMALL_STATE(2718)] = 14866,
  [SMALL_STATE(2719)] = 14907,
  [SMALL_STATE(2720)] = 14948,
  [SMALL_STATE(2721)] = 14989,
  [SMALL_STATE(2722)] = 15030,
  [SMALL_STATE(2723)] = 15067,
  [SMALL_STATE(2724)] = 15096,
  [SMALL_STATE(2725)] = 15137,
  [SMALL_STATE(2726)] = 15166,
  [SMALL_STATE(2727)] = 15197,
  [SMALL_STATE(2728)] = 15234,
  [SMALL_STATE(2729)] = 15271,
  [SMALL_STATE(2730)] = 15308,
  [SMALL_STATE(2731)] = 15345,
  [SMALL_STATE(2732)] = 15386,
  [SMALL_STATE(2733)] = 15427,
  [SMALL_STATE(2734)] = 15468,
  [SMALL_STATE(2735)] = 15509,
  [SMALL_STATE(2736)] = 15548,
  [SMALL_STATE(2737)] = 15589,
  [SMALL_STATE(2738)] = 15620,
  [SMALL_STATE(2739)] = 15661,
  [SMALL_STATE(2740)] = 15702,
  [SMALL_STATE(2741)] = 15729,
  [SMALL_STATE(2742)] = 15770,
  [SMALL_STATE(2743)] = 15797,
  [SMALL_STATE(2744)] = 15824,
  [SMALL_STATE(2745)] = 15851,
  [SMALL_STATE(2746)] = 15878,
  [SMALL_STATE(2747)] = 15919,
  [SMALL_STATE(2748)] = 15946,
  [SMALL_STATE(2749)] = 15983,
  [SMALL_STATE(2750)] = 16020,
  [SMALL_STATE(2751)] = 16065,
  [SMALL_STATE(2752)] = 16106,
  [SMALL_STATE(2753)] = 16143,
  [SMALL_STATE(2754)] = 16170,
  [SMALL_STATE(2755)] = 16205,
  [SMALL_STATE(2756)] = 16246,
  [SMALL_STATE(2757)] = 16287,
  [SMALL_STATE(2758)] = 16328,
  [SMALL_STATE(2759)] = 16355,
  [SMALL_STATE(2760)] = 16382,
  [SMALL_STATE(2761)] = 16409,
  [SMALL_STATE(2762)] = 16436,
  [SMALL_STATE(2763)] = 16463,
  [SMALL_STATE(2764)] = 16490,
  [SMALL_STATE(2765)] = 16531,
  [SMALL_STATE(2766)] = 16568,
  [SMALL_STATE(2767)] = 16595,
  [SMALL_STATE(2768)] = 16622,
  [SMALL_STATE(2769)] = 16659,
  [SMALL_STATE(2770)] = 16686,
  [SMALL_STATE(2771)] = 16713,
  [SMALL_STATE(2772)] = 16754,
  [SMALL_STATE(2773)] = 16781,
  [SMALL_STATE(2774)] = 16822,
  [SMALL_STATE(2775)] = 16859,
  [SMALL_STATE(2776)] = 16896,
  [SMALL_STATE(2777)] = 16923,
  [SMALL_STATE(2778)] = 16964,
  [SMALL_STATE(2779)] = 17001,
  [SMALL_STATE(2780)] = 17028,
  [SMALL_STATE(2781)] = 17065,
  [SMALL_STATE(2782)] = 17094,
  [SMALL_STATE(2783)] = 17135,
  [SMALL_STATE(2784)] = 17177,
  [SMALL_STATE(2785)] = 17219,
  [SMALL_STATE(2786)] = 17257,
  [SMALL_STATE(2787)] = 17299,
  [SMALL_STATE(2788)] = 17341,
  [SMALL_STATE(2789)] = 17383,
  [SMALL_STATE(2790)] = 17425,
  [SMALL_STATE(2791)] = 17463,
  [SMALL_STATE(2792)] = 17489,
  [SMALL_STATE(2793)] = 17531,
  [SMALL_STATE(2794)] = 17573,
  [SMALL_STATE(2795)] = 17615,
  [SMALL_STATE(2796)] = 17657,
  [SMALL_STATE(2797)] = 17699,
  [SMALL_STATE(2798)] = 17741,
  [SMALL_STATE(2799)] = 17783,
  [SMALL_STATE(2800)] = 17815,
  [SMALL_STATE(2801)] = 17857,
  [SMALL_STATE(2802)] = 17899,
  [SMALL_STATE(2803)] = 17941,
  [SMALL_STATE(2804)] = 17983,
  [SMALL_STATE(2805)] = 18009,
  [SMALL_STATE(2806)] = 18051,
  [SMALL_STATE(2807)] = 18077,
  [SMALL_STATE(2808)] = 18103,
  [SMALL_STATE(2809)] = 18129,
  [SMALL_STATE(2810)] = 18161,
  [SMALL_STATE(2811)] = 18187,
  [SMALL_STATE(2812)] = 18229,
  [SMALL_STATE(2813)] = 18271,
  [SMALL_STATE(2814)] = 18313,
  [SMALL_STATE(2815)] = 18355,
  [SMALL_STATE(2816)] = 18381,
  [SMALL_STATE(2817)] = 18423,
  [SMALL_STATE(2818)] = 18465,
  [SMALL_STATE(2819)] = 18507,
  [SMALL_STATE(2820)] = 18549,
  [SMALL_STATE(2821)] = 18591,
  [SMALL_STATE(2822)] = 18633,
  [SMALL_STATE(2823)] = 18675,
  [SMALL_STATE(2824)] = 18705,
  [SMALL_STATE(2825)] = 18731,
  [SMALL_STATE(2826)] = 18773,
  [SMALL_STATE(2827)] = 18811,
  [SMALL_STATE(2828)] = 18837,
  [SMALL_STATE(2829)] = 18879,
  [SMALL_STATE(2830)] = 18907,
  [SMALL_STATE(2831)] = 18945,
  [SMALL_STATE(2832)] = 18983,
  [SMALL_STATE(2833)] = 19021,
  [SMALL_STATE(2834)] = 19047,
  [SMALL_STATE(2835)] = 19089,
  [SMALL_STATE(2836)] = 19127,
  [SMALL_STATE(2837)] = 19169,
  [SMALL_STATE(2838)] = 19207,
  [SMALL_STATE(2839)] = 19245,
  [SMALL_STATE(2840)] = 19287,
  [SMALL_STATE(2841)] = 19325,
  [SMALL_STATE(2842)] = 19355,
  [SMALL_STATE(2843)] = 19397,
  [SMALL_STATE(2844)] = 19423,
  [SMALL_STATE(2845)] = 19451,
  [SMALL_STATE(2846)] = 19493,
  [SMALL_STATE(2847)] = 19535,
  [SMALL_STATE(2848)] = 19565,
  [SMALL_STATE(2849)] = 19591,
  [SMALL_STATE(2850)] = 19633,
  [SMALL_STATE(2851)] = 19659,
  [SMALL_STATE(2852)] = 19685,
  [SMALL_STATE(2853)] = 19727,
  [SMALL_STATE(2854)] = 19769,
  [SMALL_STATE(2855)] = 19811,
  [SMALL_STATE(2856)] = 19853,
  [SMALL_STATE(2857)] = 19879,
  [SMALL_STATE(2858)] = 19921,
  [SMALL_STATE(2859)] = 19959,
  [SMALL_STATE(2860)] = 19985,
  [SMALL_STATE(2861)] = 20023,
  [SMALL_STATE(2862)] = 20049,
  [SMALL_STATE(2863)] = 20091,
  [SMALL_STATE(2864)] = 20114,
  [SMALL_STATE(2865)] = 20137,
  [SMALL_STATE(2866)] = 20176,
  [SMALL_STATE(2867)] = 20199,
  [SMALL_STATE(2868)] = 20222,
  [SMALL_STATE(2869)] = 20245,
  [SMALL_STATE(2870)] = 20268,
  [SMALL_STATE(2871)] = 20291,
  [SMALL_STATE(2872)] = 20314,
  [SMALL_STATE(2873)] = 20337,
  [SMALL_STATE(2874)] = 20360,
  [SMALL_STATE(2875)] = 20383,
  [SMALL_STATE(2876)] = 20418,
  [SMALL_STATE(2877)] = 20453,
  [SMALL_STATE(2878)] = 20492,
  [SMALL_STATE(2879)] = 20515,
  [SMALL_STATE(2880)] = 20538,
  [SMALL_STATE(2881)] = 20561,
  [SMALL_STATE(2882)] = 20584,
  [SMALL_STATE(2883)] = 20607,
  [SMALL_STATE(2884)] = 20630,
  [SMALL_STATE(2885)] = 20653,
  [SMALL_STATE(2886)] = 20678,
  [SMALL_STATE(2887)] = 20701,
  [SMALL_STATE(2888)] = 20736,
  [SMALL_STATE(2889)] = 20759,
  [SMALL_STATE(2890)] = 20782,
  [SMALL_STATE(2891)] = 20805,
  [SMALL_STATE(2892)] = 20828,
  [SMALL_STATE(2893)] = 20851,
  [SMALL_STATE(2894)] = 20874,
  [SMALL_STATE(2895)] = 20897,
  [SMALL_STATE(2896)] = 20920,
  [SMALL_STATE(2897)] = 20943,
  [SMALL_STATE(2898)] = 20966,
  [SMALL_STATE(2899)] = 21005,
  [SMALL_STATE(2900)] = 21044,
  [SMALL_STATE(2901)] = 21083,
  [SMALL_STATE(2902)] = 21122,
  [SMALL_STATE(2903)] = 21161,
  [SMALL_STATE(2904)] = 21200,
  [SMALL_STATE(2905)] = 21239,
  [SMALL_STATE(2906)] = 21262,
  [SMALL_STATE(2907)] = 21285,
  [SMALL_STATE(2908)] = 21308,
  [SMALL_STATE(2909)] = 21331,
  [SMALL_STATE(2910)] = 21354,
  [SMALL_STATE(2911)] = 21393,
  [SMALL_STATE(2912)] = 21416,
  [SMALL_STATE(2913)] = 21439,
  [SMALL_STATE(2914)] = 21468,
  [SMALL_STATE(2915)] = 21497,
  [SMALL_STATE(2916)] = 21520,
  [SMALL_STATE(2917)] = 21543,
  [SMALL_STATE(2918)] = 21566,
  [SMALL_STATE(2919)] = 21589,
  [SMALL_STATE(2920)] = 21612,
  [SMALL_STATE(2921)] = 21635,
  [SMALL_STATE(2922)] = 21660,
  [SMALL_STATE(2923)] = 21683,
  [SMALL_STATE(2924)] = 21718,
  [SMALL_STATE(2925)] = 21743,
  [SMALL_STATE(2926)] = 21778,
  [SMALL_STATE(2927)] = 21817,
  [SMALL_STATE(2928)] = 21856,
  [SMALL_STATE(2929)] = 21895,
  [SMALL_STATE(2930)] = 21918,
  [SMALL_STATE(2931)] = 21957,
  [SMALL_STATE(2932)] = 21996,
  [SMALL_STATE(2933)] = 22019,
  [SMALL_STATE(2934)] = 22044,
  [SMALL_STATE(2935)] = 22069,
  [SMALL_STATE(2936)] = 22092,
  [SMALL_STATE(2937)] = 22117,
  [SMALL_STATE(2938)] = 22142,
  [SMALL_STATE(2939)] = 22165,
  [SMALL_STATE(2940)] = 22188,
  [SMALL_STATE(2941)] = 22211,
  [SMALL_STATE(2942)] = 22234,
  [SMALL_STATE(2943)] = 22257,
  [SMALL_STATE(2944)] = 22280,
  [SMALL_STATE(2945)] = 22305,
  [SMALL_STATE(2946)] = 22330,
  [SMALL_STATE(2947)] = 22353,
  [SMALL_STATE(2948)] = 22376,
  [SMALL_STATE(2949)] = 22399,
  [SMALL_STATE(2950)] = 22422,
  [SMALL_STATE(2951)] = 22457,
  [SMALL_STATE(2952)] = 22480,
  [SMALL_STATE(2953)] = 22502,
  [SMALL_STATE(2954)] = 22524,
  [SMALL_STATE(2955)] = 22546,
  [SMALL_STATE(2956)] = 22568,
  [SMALL_STATE(2957)] = 22604,
  [SMALL_STATE(2958)] = 22638,
  [SMALL_STATE(2959)] = 22670,
  [SMALL_STATE(2960)] = 22692,
  [SMALL_STATE(2961)] = 22726,
  [SMALL_STATE(2962)] = 22758,
  [SMALL_STATE(2963)] = 22780,
  [SMALL_STATE(2964)] = 22802,
  [SMALL_STATE(2965)] = 22834,
  [SMALL_STATE(2966)] = 22856,
  [SMALL_STATE(2967)] = 22886,
  [SMALL_STATE(2968)] = 22908,
  [SMALL_STATE(2969)] = 22930,
  [SMALL_STATE(2970)] = 22964,
  [SMALL_STATE(2971)] = 22990,
  [SMALL_STATE(2972)] = 23012,
  [SMALL_STATE(2973)] = 23048,
  [SMALL_STATE(2974)] = 23070,
  [SMALL_STATE(2975)] = 23092,
  [SMALL_STATE(2976)] = 23114,
  [SMALL_STATE(2977)] = 23138,
  [SMALL_STATE(2978)] = 23170,
  [SMALL_STATE(2979)] = 23202,
  [SMALL_STATE(2980)] = 23238,
  [SMALL_STATE(2981)] = 23260,
  [SMALL_STATE(2982)] = 23286,
  [SMALL_STATE(2983)] = 23308,
  [SMALL_STATE(2984)] = 23342,
  [SMALL_STATE(2985)] = 23366,
  [SMALL_STATE(2986)] = 23388,
  [SMALL_STATE(2987)] = 23410,
  [SMALL_STATE(2988)] = 23432,
  [SMALL_STATE(2989)] = 23454,
  [SMALL_STATE(2990)] = 23484,
  [SMALL_STATE(2991)] = 23506,
  [SMALL_STATE(2992)] = 23540,
  [SMALL_STATE(2993)] = 23566,
  [SMALL_STATE(2994)] = 23588,
  [SMALL_STATE(2995)] = 23610,
  [SMALL_STATE(2996)] = 23632,
  [SMALL_STATE(2997)] = 23654,
  [SMALL_STATE(2998)] = 23686,
  [SMALL_STATE(2999)] = 23708,
  [SMALL_STATE(3000)] = 23730,
  [SMALL_STATE(3001)] = 23766,
  [SMALL_STATE(3002)] = 23792,
  [SMALL_STATE(3003)] = 23816,
  [SMALL_STATE(3004)] = 23838,
  [SMALL_STATE(3005)] = 23860,
  [SMALL_STATE(3006)] = 23882,
  [SMALL_STATE(3007)] = 23904,
  [SMALL_STATE(3008)] = 23926,
  [SMALL_STATE(3009)] = 23950,
  [SMALL_STATE(3010)] = 23972,
  [SMALL_STATE(3011)] = 23994,
  [SMALL_STATE(3012)] = 24026,
  [SMALL_STATE(3013)] = 24048,
  [SMALL_STATE(3014)] = 24070,
  [SMALL_STATE(3015)] = 24104,
  [SMALL_STATE(3016)] = 24126,
  [SMALL_STATE(3017)] = 24148,
  [SMALL_STATE(3018)] = 24182,
  [SMALL_STATE(3019)] = 24207,
  [SMALL_STATE(3020)] = 24228,
  [SMALL_STATE(3021)] = 24257,
  [SMALL_STATE(3022)] = 24278,
  [SMALL_STATE(3023)] = 24305,
  [SMALL_STATE(3024)] = 24326,
  [SMALL_STATE(3025)] = 24347,
  [SMALL_STATE(3026)] = 24368,
  [SMALL_STATE(3027)] = 24395,
  [SMALL_STATE(3028)] = 24416,
  [SMALL_STATE(3029)] = 24437,
  [SMALL_STATE(3030)] = 24458,
  [SMALL_STATE(3031)] = 24485,
  [SMALL_STATE(3032)] = 24506,
  [SMALL_STATE(3033)] = 24531,
  [SMALL_STATE(3034)] = 24552,
  [SMALL_STATE(3035)] = 24573,
  [SMALL_STATE(3036)] = 24594,
  [SMALL_STATE(3037)] = 24615,
  [SMALL_STATE(3038)] = 24646,
  [SMALL_STATE(3039)] = 24667,
  [SMALL_STATE(3040)] = 24688,
  [SMALL_STATE(3041)] = 24709,
  [SMALL_STATE(3042)] = 24730,
  [SMALL_STATE(3043)] = 24761,
  [SMALL_STATE(3044)] = 24782,
  [SMALL_STATE(3045)] = 24803,
  [SMALL_STATE(3046)] = 24824,
  [SMALL_STATE(3047)] = 24845,
  [SMALL_STATE(3048)] = 24866,
  [SMALL_STATE(3049)] = 24887,
  [SMALL_STATE(3050)] = 24908,
  [SMALL_STATE(3051)] = 24929,
  [SMALL_STATE(3052)] = 24950,
  [SMALL_STATE(3053)] = 24982,
  [SMALL_STATE(3054)] = 25010,
  [SMALL_STATE(3055)] = 25038,
  [SMALL_STATE(3056)] = 25070,
  [SMALL_STATE(3057)] = 25102,
  [SMALL_STATE(3058)] = 25134,
  [SMALL_STATE(3059)] = 25166,
  [SMALL_STATE(3060)] = 25194,
  [SMALL_STATE(3061)] = 25226,
  [SMALL_STATE(3062)] = 25258,
  [SMALL_STATE(3063)] = 25290,
  [SMALL_STATE(3064)] = 25312,
  [SMALL_STATE(3065)] = 25344,
  [SMALL_STATE(3066)] = 25368,
  [SMALL_STATE(3067)] = 25396,
  [SMALL_STATE(3068)] = 25424,
  [SMALL_STATE(3069)] = 25456,
  [SMALL_STATE(3070)] = 25488,
  [SMALL_STATE(3071)] = 25520,
  [SMALL_STATE(3072)] = 25552,
  [SMALL_STATE(3073)] = 25584,
  [SMALL_STATE(3074)] = 25616,
  [SMALL_STATE(3075)] = 25648,
  [SMALL_STATE(3076)] = 25680,
  [SMALL_STATE(3077)] = 25708,
  [SMALL_STATE(3078)] = 25736,
  [SMALL_STATE(3079)] = 25764,
  [SMALL_STATE(3080)] = 25786,
  [SMALL_STATE(3081)] = 25810,
  [SMALL_STATE(3082)] = 25842,
  [SMALL_STATE(3083)] = 25874,
  [SMALL_STATE(3084)] = 25906,
  [SMALL_STATE(3085)] = 25938,
  [SMALL_STATE(3086)] = 25970,
  [SMALL_STATE(3087)] = 26002,
  [SMALL_STATE(3088)] = 26034,
  [SMALL_STATE(3089)] = 26062,
  [SMALL_STATE(3090)] = 26090,
  [SMALL_STATE(3091)] = 26118,
  [SMALL_STATE(3092)] = 26150,
  [SMALL_STATE(3093)] = 26182,
  [SMALL_STATE(3094)] = 26214,
  [SMALL_STATE(3095)] = 26242,
  [SMALL_STATE(3096)] = 26270,
  [SMALL_STATE(3097)] = 26302,
  [SMALL_STATE(3098)] = 26334,
  [SMALL_STATE(3099)] = 26366,
  [SMALL_STATE(3100)] = 26394,
  [SMALL_STATE(3101)] = 26424,
  [SMALL_STATE(3102)] = 26452,
  [SMALL_STATE(3103)] = 26480,
  [SMALL_STATE(3104)] = 26508,
  [SMALL_STATE(3105)] = 26540,
  [SMALL_STATE(3106)] = 26572,
  [SMALL_STATE(3107)] = 26604,
  [SMALL_STATE(3108)] = 26632,
  [SMALL_STATE(3109)] = 26664,
  [SMALL_STATE(3110)] = 26696,
  [SMALL_STATE(3111)] = 26728,
  [SMALL_STATE(3112)] = 26756,
  [SMALL_STATE(3113)] = 26784,
  [SMALL_STATE(3114)] = 26812,
  [SMALL_STATE(3115)] = 26844,
  [SMALL_STATE(3116)] = 26876,
  [SMALL_STATE(3117)] = 26904,
  [SMALL_STATE(3118)] = 26936,
  [SMALL_STATE(3119)] = 26968,
  [SMALL_STATE(3120)] = 26996,
  [SMALL_STATE(3121)] = 27024,
  [SMALL_STATE(3122)] = 27056,
  [SMALL_STATE(3123)] = 27088,
  [SMALL_STATE(3124)] = 27120,
  [SMALL_STATE(3125)] = 27152,
  [SMALL_STATE(3126)] = 27180,
  [SMALL_STATE(3127)] = 27210,
  [SMALL_STATE(3128)] = 27240,
  [SMALL_STATE(3129)] = 27268,
  [SMALL_STATE(3130)] = 27297,
  [SMALL_STATE(3131)] = 27326,
  [SMALL_STATE(3132)] = 27351,
  [SMALL_STATE(3133)] = 27372,
  [SMALL_STATE(3134)] = 27391,
  [SMALL_STATE(3135)] = 27420,
  [SMALL_STATE(3136)] = 27439,
  [SMALL_STATE(3137)] = 27464,
  [SMALL_STATE(3138)] = 27489,
  [SMALL_STATE(3139)] = 27514,
  [SMALL_STATE(3140)] = 27533,
  [SMALL_STATE(3141)] = 27558,
  [SMALL_STATE(3142)] = 27579,
  [SMALL_STATE(3143)] = 27604,
  [SMALL_STATE(3144)] = 27629,
  [SMALL_STATE(3145)] = 27654,
  [SMALL_STATE(3146)] = 27679,
  [SMALL_STATE(3147)] = 27698,
  [SMALL_STATE(3148)] = 27723,
  [SMALL_STATE(3149)] = 27748,
  [SMALL_STATE(3150)] = 27773,
  [SMALL_STATE(3151)] = 27800,
  [SMALL_STATE(3152)] = 27825,
  [SMALL_STATE(3153)] = 27850,
  [SMALL_STATE(3154)] = 27875,
  [SMALL_STATE(3155)] = 27904,
  [SMALL_STATE(3156)] = 27929,
  [SMALL_STATE(3157)] = 27958,
  [SMALL_STATE(3158)] = 27983,
  [SMALL_STATE(3159)] = 28012,
  [SMALL_STATE(3160)] = 28041,
  [SMALL_STATE(3161)] = 28066,
  [SMALL_STATE(3162)] = 28091,
  [SMALL_STATE(3163)] = 28116,
  [SMALL_STATE(3164)] = 28145,
  [SMALL_STATE(3165)] = 28170,
  [SMALL_STATE(3166)] = 28195,
  [SMALL_STATE(3167)] = 28222,
  [SMALL_STATE(3168)] = 28247,
  [SMALL_STATE(3169)] = 28272,
  [SMALL_STATE(3170)] = 28301,
  [SMALL_STATE(3171)] = 28330,
  [SMALL_STATE(3172)] = 28355,
  [SMALL_STATE(3173)] = 28380,
  [SMALL_STATE(3174)] = 28407,
  [SMALL_STATE(3175)] = 28432,
  [SMALL_STATE(3176)] = 28457,
  [SMALL_STATE(3177)] = 28482,
  [SMALL_STATE(3178)] = 28507,
  [SMALL_STATE(3179)] = 28532,
  [SMALL_STATE(3180)] = 28561,
  [SMALL_STATE(3181)] = 28586,
  [SMALL_STATE(3182)] = 28611,
  [SMALL_STATE(3183)] = 28636,
  [SMALL_STATE(3184)] = 28661,
  [SMALL_STATE(3185)] = 28686,
  [SMALL_STATE(3186)] = 28711,
  [SMALL_STATE(3187)] = 28736,
  [SMALL_STATE(3188)] = 28761,
  [SMALL_STATE(3189)] = 28780,
  [SMALL_STATE(3190)] = 28805,
  [SMALL_STATE(3191)] = 28830,
  [SMALL_STATE(3192)] = 28855,
  [SMALL_STATE(3193)] = 28876,
  [SMALL_STATE(3194)] = 28905,
  [SMALL_STATE(3195)] = 28934,
  [SMALL_STATE(3196)] = 28959,
  [SMALL_STATE(3197)] = 28984,
  [SMALL_STATE(3198)] = 29013,
  [SMALL_STATE(3199)] = 29038,
  [SMALL_STATE(3200)] = 29057,
  [SMALL_STATE(3201)] = 29082,
  [SMALL_STATE(3202)] = 29107,
  [SMALL_STATE(3203)] = 29132,
  [SMALL_STATE(3204)] = 29157,
  [SMALL_STATE(3205)] = 29184,
  [SMALL_STATE(3206)] = 29209,
  [SMALL_STATE(3207)] = 29234,
  [SMALL_STATE(3208)] = 29253,
  [SMALL_STATE(3209)] = 29272,
  [SMALL_STATE(3210)] = 29297,
  [SMALL_STATE(3211)] = 29322,
  [SMALL_STATE(3212)] = 29351,
  [SMALL_STATE(3213)] = 29376,
  [SMALL_STATE(3214)] = 29405,
  [SMALL_STATE(3215)] = 29430,
  [SMALL_STATE(3216)] = 29449,
  [SMALL_STATE(3217)] = 29474,
  [SMALL_STATE(3218)] = 29499,
  [SMALL_STATE(3219)] = 29524,
  [SMALL_STATE(3220)] = 29549,
  [SMALL_STATE(3221)] = 29574,
  [SMALL_STATE(3222)] = 29599,
  [SMALL_STATE(3223)] = 29624,
  [SMALL_STATE(3224)] = 29649,
  [SMALL_STATE(3225)] = 29674,
  [SMALL_STATE(3226)] = 29699,
  [SMALL_STATE(3227)] = 29724,
  [SMALL_STATE(3228)] = 29753,
  [SMALL_STATE(3229)] = 29782,
  [SMALL_STATE(3230)] = 29811,
  [SMALL_STATE(3231)] = 29836,
  [SMALL_STATE(3232)] = 29861,
  [SMALL_STATE(3233)] = 29890,
  [SMALL_STATE(3234)] = 29919,
  [SMALL_STATE(3235)] = 29944,
  [SMALL_STATE(3236)] = 29969,
  [SMALL_STATE(3237)] = 29994,
  [SMALL_STATE(3238)] = 30019,
  [SMALL_STATE(3239)] = 30044,
  [SMALL_STATE(3240)] = 30069,
  [SMALL_STATE(3241)] = 30094,
  [SMALL_STATE(3242)] = 30119,
  [SMALL_STATE(3243)] = 30144,
  [SMALL_STATE(3244)] = 30169,
  [SMALL_STATE(3245)] = 30198,
  [SMALL_STATE(3246)] = 30223,
  [SMALL_STATE(3247)] = 30248,
  [SMALL_STATE(3248)] = 30273,
  [SMALL_STATE(3249)] = 30294,
  [SMALL_STATE(3250)] = 30319,
  [SMALL_STATE(3251)] = 30344,
  [SMALL_STATE(3252)] = 30369,
  [SMALL_STATE(3253)] = 30394,
  [SMALL_STATE(3254)] = 30419,
  [SMALL_STATE(3255)] = 30448,
  [SMALL_STATE(3256)] = 30473,
  [SMALL_STATE(3257)] = 30502,
  [SMALL_STATE(3258)] = 30531,
  [SMALL_STATE(3259)] = 30556,
  [SMALL_STATE(3260)] = 30581,
  [SMALL_STATE(3261)] = 30606,
  [SMALL_STATE(3262)] = 30631,
  [SMALL_STATE(3263)] = 30656,
  [SMALL_STATE(3264)] = 30685,
  [SMALL_STATE(3265)] = 30710,
  [SMALL_STATE(3266)] = 30735,
  [SMALL_STATE(3267)] = 30760,
  [SMALL_STATE(3268)] = 30785,
  [SMALL_STATE(3269)] = 30814,
  [SMALL_STATE(3270)] = 30839,
  [SMALL_STATE(3271)] = 30868,
  [SMALL_STATE(3272)] = 30893,
  [SMALL_STATE(3273)] = 30922,
  [SMALL_STATE(3274)] = 30947,
  [SMALL_STATE(3275)] = 30972,
  [SMALL_STATE(3276)] = 31001,
  [SMALL_STATE(3277)] = 31030,
  [SMALL_STATE(3278)] = 31055,
  [SMALL_STATE(3279)] = 31080,
  [SMALL_STATE(3280)] = 31105,
  [SMALL_STATE(3281)] = 31130,
  [SMALL_STATE(3282)] = 31155,
  [SMALL_STATE(3283)] = 31184,
  [SMALL_STATE(3284)] = 31203,
  [SMALL_STATE(3285)] = 31228,
  [SMALL_STATE(3286)] = 31253,
  [SMALL_STATE(3287)] = 31278,
  [SMALL_STATE(3288)] = 31303,
  [SMALL_STATE(3289)] = 31332,
  [SMALL_STATE(3290)] = 31361,
  [SMALL_STATE(3291)] = 31386,
  [SMALL_STATE(3292)] = 31411,
  [SMALL_STATE(3293)] = 31440,
  [SMALL_STATE(3294)] = 31459,
  [SMALL_STATE(3295)] = 31484,
  [SMALL_STATE(3296)] = 31503,
  [SMALL_STATE(3297)] = 31524,
  [SMALL_STATE(3298)] = 31543,
  [SMALL_STATE(3299)] = 31562,
  [SMALL_STATE(3300)] = 31583,
  [SMALL_STATE(3301)] = 31604,
  [SMALL_STATE(3302)] = 31629,
  [SMALL_STATE(3303)] = 31658,
  [SMALL_STATE(3304)] = 31687,
  [SMALL_STATE(3305)] = 31712,
  [SMALL_STATE(3306)] = 31737,
  [SMALL_STATE(3307)] = 31766,
  [SMALL_STATE(3308)] = 31795,
  [SMALL_STATE(3309)] = 31816,
  [SMALL_STATE(3310)] = 31841,
  [SMALL_STATE(3311)] = 31870,
  [SMALL_STATE(3312)] = 31899,
  [SMALL_STATE(3313)] = 31922,
  [SMALL_STATE(3314)] = 31951,
  [SMALL_STATE(3315)] = 31976,
  [SMALL_STATE(3316)] = 31995,
  [SMALL_STATE(3317)] = 32024,
  [SMALL_STATE(3318)] = 32051,
  [SMALL_STATE(3319)] = 32080,
  [SMALL_STATE(3320)] = 32105,
  [SMALL_STATE(3321)] = 32130,
  [SMALL_STATE(3322)] = 32155,
  [SMALL_STATE(3323)] = 32184,
  [SMALL_STATE(3324)] = 32209,
  [SMALL_STATE(3325)] = 32238,
  [SMALL_STATE(3326)] = 32263,
  [SMALL_STATE(3327)] = 32292,
  [SMALL_STATE(3328)] = 32313,
  [SMALL_STATE(3329)] = 32338,
  [SMALL_STATE(3330)] = 32364,
  [SMALL_STATE(3331)] = 32390,
  [SMALL_STATE(3332)] = 32414,
  [SMALL_STATE(3333)] = 32442,
  [SMALL_STATE(3334)] = 32470,
  [SMALL_STATE(3335)] = 32498,
  [SMALL_STATE(3336)] = 32526,
  [SMALL_STATE(3337)] = 32552,
  [SMALL_STATE(3338)] = 32580,
  [SMALL_STATE(3339)] = 32600,
  [SMALL_STATE(3340)] = 32628,
  [SMALL_STATE(3341)] = 32656,
  [SMALL_STATE(3342)] = 32682,
  [SMALL_STATE(3343)] = 32706,
  [SMALL_STATE(3344)] = 32726,
  [SMALL_STATE(3345)] = 32748,
  [SMALL_STATE(3346)] = 32774,
  [SMALL_STATE(3347)] = 32798,
  [SMALL_STATE(3348)] = 32822,
  [SMALL_STATE(3349)] = 32846,
  [SMALL_STATE(3350)] = 32872,
  [SMALL_STATE(3351)] = 32892,
  [SMALL_STATE(3352)] = 32912,
  [SMALL_STATE(3353)] = 32932,
  [SMALL_STATE(3354)] = 32958,
  [SMALL_STATE(3355)] = 32986,
  [SMALL_STATE(3356)] = 33010,
  [SMALL_STATE(3357)] = 33038,
  [SMALL_STATE(3358)] = 33066,
  [SMALL_STATE(3359)] = 33094,
  [SMALL_STATE(3360)] = 33120,
  [SMALL_STATE(3361)] = 33148,
  [SMALL_STATE(3362)] = 33172,
  [SMALL_STATE(3363)] = 33192,
  [SMALL_STATE(3364)] = 33216,
  [SMALL_STATE(3365)] = 33240,
  [SMALL_STATE(3366)] = 33264,
  [SMALL_STATE(3367)] = 33288,
  [SMALL_STATE(3368)] = 33314,
  [SMALL_STATE(3369)] = 33342,
  [SMALL_STATE(3370)] = 33366,
  [SMALL_STATE(3371)] = 33394,
  [SMALL_STATE(3372)] = 33412,
  [SMALL_STATE(3373)] = 33434,
  [SMALL_STATE(3374)] = 33454,
  [SMALL_STATE(3375)] = 33482,
  [SMALL_STATE(3376)] = 33502,
  [SMALL_STATE(3377)] = 33530,
  [SMALL_STATE(3378)] = 33558,
  [SMALL_STATE(3379)] = 33578,
  [SMALL_STATE(3380)] = 33606,
  [SMALL_STATE(3381)] = 33626,
  [SMALL_STATE(3382)] = 33647,
  [SMALL_STATE(3383)] = 33668,
  [SMALL_STATE(3384)] = 33691,
  [SMALL_STATE(3385)] = 33712,
  [SMALL_STATE(3386)] = 33733,
  [SMALL_STATE(3387)] = 33754,
  [SMALL_STATE(3388)] = 33775,
  [SMALL_STATE(3389)] = 33796,
  [SMALL_STATE(3390)] = 33817,
  [SMALL_STATE(3391)] = 33838,
  [SMALL_STATE(3392)] = 33859,
  [SMALL_STATE(3393)] = 33880,
  [SMALL_STATE(3394)] = 33901,
  [SMALL_STATE(3395)] = 33922,
  [SMALL_STATE(3396)] = 33943,
  [SMALL_STATE(3397)] = 33964,
  [SMALL_STATE(3398)] = 33985,
  [SMALL_STATE(3399)] = 34006,
  [SMALL_STATE(3400)] = 34027,
  [SMALL_STATE(3401)] = 34048,
  [SMALL_STATE(3402)] = 34069,
  [SMALL_STATE(3403)] = 34090,
  [SMALL_STATE(3404)] = 34111,
  [SMALL_STATE(3405)] = 34132,
  [SMALL_STATE(3406)] = 34153,
  [SMALL_STATE(3407)] = 34176,
  [SMALL_STATE(3408)] = 34197,
  [SMALL_STATE(3409)] = 34218,
  [SMALL_STATE(3410)] = 34239,
  [SMALL_STATE(3411)] = 34260,
  [SMALL_STATE(3412)] = 34281,
  [SMALL_STATE(3413)] = 34302,
  [SMALL_STATE(3414)] = 34323,
  [SMALL_STATE(3415)] = 34344,
  [SMALL_STATE(3416)] = 34365,
  [SMALL_STATE(3417)] = 34386,
  [SMALL_STATE(3418)] = 34407,
  [SMALL_STATE(3419)] = 34428,
  [SMALL_STATE(3420)] = 34449,
  [SMALL_STATE(3421)] = 34470,
  [SMALL_STATE(3422)] = 34491,
  [SMALL_STATE(3423)] = 34512,
  [SMALL_STATE(3424)] = 34533,
  [SMALL_STATE(3425)] = 34554,
  [SMALL_STATE(3426)] = 34575,
  [SMALL_STATE(3427)] = 34596,
  [SMALL_STATE(3428)] = 34613,
  [SMALL_STATE(3429)] = 34634,
  [SMALL_STATE(3430)] = 34651,
  [SMALL_STATE(3431)] = 34668,
  [SMALL_STATE(3432)] = 34689,
  [SMALL_STATE(3433)] = 34710,
  [SMALL_STATE(3434)] = 34731,
  [SMALL_STATE(3435)] = 34752,
  [SMALL_STATE(3436)] = 34773,
  [SMALL_STATE(3437)] = 34794,
  [SMALL_STATE(3438)] = 34815,
  [SMALL_STATE(3439)] = 34836,
  [SMALL_STATE(3440)] = 34857,
  [SMALL_STATE(3441)] = 34878,
  [SMALL_STATE(3442)] = 34899,
  [SMALL_STATE(3443)] = 34922,
  [SMALL_STATE(3444)] = 34943,
  [SMALL_STATE(3445)] = 34964,
  [SMALL_STATE(3446)] = 34987,
  [SMALL_STATE(3447)] = 35010,
  [SMALL_STATE(3448)] = 35031,
  [SMALL_STATE(3449)] = 35052,
  [SMALL_STATE(3450)] = 35073,
  [SMALL_STATE(3451)] = 35096,
  [SMALL_STATE(3452)] = 35117,
  [SMALL_STATE(3453)] = 35138,
  [SMALL_STATE(3454)] = 35159,
  [SMALL_STATE(3455)] = 35180,
  [SMALL_STATE(3456)] = 35201,
  [SMALL_STATE(3457)] = 35222,
  [SMALL_STATE(3458)] = 35243,
  [SMALL_STATE(3459)] = 35266,
  [SMALL_STATE(3460)] = 35289,
  [SMALL_STATE(3461)] = 35312,
  [SMALL_STATE(3462)] = 35333,
  [SMALL_STATE(3463)] = 35354,
  [SMALL_STATE(3464)] = 35377,
  [SMALL_STATE(3465)] = 35400,
  [SMALL_STATE(3466)] = 35423,
  [SMALL_STATE(3467)] = 35446,
  [SMALL_STATE(3468)] = 35467,
  [SMALL_STATE(3469)] = 35488,
  [SMALL_STATE(3470)] = 35509,
  [SMALL_STATE(3471)] = 35530,
  [SMALL_STATE(3472)] = 35551,
  [SMALL_STATE(3473)] = 35572,
  [SMALL_STATE(3474)] = 35593,
  [SMALL_STATE(3475)] = 35614,
  [SMALL_STATE(3476)] = 35637,
  [SMALL_STATE(3477)] = 35658,
  [SMALL_STATE(3478)] = 35679,
  [SMALL_STATE(3479)] = 35702,
  [SMALL_STATE(3480)] = 35723,
  [SMALL_STATE(3481)] = 35740,
  [SMALL_STATE(3482)] = 35761,
  [SMALL_STATE(3483)] = 35782,
  [SMALL_STATE(3484)] = 35803,
  [SMALL_STATE(3485)] = 35824,
  [SMALL_STATE(3486)] = 35845,
  [SMALL_STATE(3487)] = 35862,
  [SMALL_STATE(3488)] = 35883,
  [SMALL_STATE(3489)] = 35906,
  [SMALL_STATE(3490)] = 35929,
  [SMALL_STATE(3491)] = 35952,
  [SMALL_STATE(3492)] = 35973,
  [SMALL_STATE(3493)] = 35994,
  [SMALL_STATE(3494)] = 36015,
  [SMALL_STATE(3495)] = 36036,
  [SMALL_STATE(3496)] = 36057,
  [SMALL_STATE(3497)] = 36078,
  [SMALL_STATE(3498)] = 36099,
  [SMALL_STATE(3499)] = 36116,
  [SMALL_STATE(3500)] = 36137,
  [SMALL_STATE(3501)] = 36154,
  [SMALL_STATE(3502)] = 36175,
  [SMALL_STATE(3503)] = 36192,
  [SMALL_STATE(3504)] = 36209,
  [SMALL_STATE(3505)] = 36230,
  [SMALL_STATE(3506)] = 36253,
  [SMALL_STATE(3507)] = 36276,
  [SMALL_STATE(3508)] = 36299,
  [SMALL_STATE(3509)] = 36322,
  [SMALL_STATE(3510)] = 36343,
  [SMALL_STATE(3511)] = 36366,
  [SMALL_STATE(3512)] = 36387,
  [SMALL_STATE(3513)] = 36404,
  [SMALL_STATE(3514)] = 36427,
  [SMALL_STATE(3515)] = 36448,
  [SMALL_STATE(3516)] = 36469,
  [SMALL_STATE(3517)] = 36490,
  [SMALL_STATE(3518)] = 36511,
  [SMALL_STATE(3519)] = 36532,
  [SMALL_STATE(3520)] = 36553,
  [SMALL_STATE(3521)] = 36574,
  [SMALL_STATE(3522)] = 36595,
  [SMALL_STATE(3523)] = 36616,
  [SMALL_STATE(3524)] = 36637,
  [SMALL_STATE(3525)] = 36660,
  [SMALL_STATE(3526)] = 36683,
  [SMALL_STATE(3527)] = 36706,
  [SMALL_STATE(3528)] = 36729,
  [SMALL_STATE(3529)] = 36752,
  [SMALL_STATE(3530)] = 36769,
  [SMALL_STATE(3531)] = 36790,
  [SMALL_STATE(3532)] = 36811,
  [SMALL_STATE(3533)] = 36832,
  [SMALL_STATE(3534)] = 36853,
  [SMALL_STATE(3535)] = 36874,
  [SMALL_STATE(3536)] = 36895,
  [SMALL_STATE(3537)] = 36918,
  [SMALL_STATE(3538)] = 36941,
  [SMALL_STATE(3539)] = 36964,
  [SMALL_STATE(3540)] = 36987,
  [SMALL_STATE(3541)] = 37008,
  [SMALL_STATE(3542)] = 37029,
  [SMALL_STATE(3543)] = 37052,
  [SMALL_STATE(3544)] = 37073,
  [SMALL_STATE(3545)] = 37094,
  [SMALL_STATE(3546)] = 37117,
  [SMALL_STATE(3547)] = 37134,
  [SMALL_STATE(3548)] = 37157,
  [SMALL_STATE(3549)] = 37180,
  [SMALL_STATE(3550)] = 37203,
  [SMALL_STATE(3551)] = 37224,
  [SMALL_STATE(3552)] = 37245,
  [SMALL_STATE(3553)] = 37266,
  [SMALL_STATE(3554)] = 37287,
  [SMALL_STATE(3555)] = 37308,
  [SMALL_STATE(3556)] = 37329,
  [SMALL_STATE(3557)] = 37350,
  [SMALL_STATE(3558)] = 37371,
  [SMALL_STATE(3559)] = 37392,
  [SMALL_STATE(3560)] = 37413,
  [SMALL_STATE(3561)] = 37434,
  [SMALL_STATE(3562)] = 37455,
  [SMALL_STATE(3563)] = 37476,
  [SMALL_STATE(3564)] = 37497,
  [SMALL_STATE(3565)] = 37518,
  [SMALL_STATE(3566)] = 37539,
  [SMALL_STATE(3567)] = 37560,
  [SMALL_STATE(3568)] = 37581,
  [SMALL_STATE(3569)] = 37598,
  [SMALL_STATE(3570)] = 37619,
  [SMALL_STATE(3571)] = 37642,
  [SMALL_STATE(3572)] = 37663,
  [SMALL_STATE(3573)] = 37684,
  [SMALL_STATE(3574)] = 37705,
  [SMALL_STATE(3575)] = 37726,
  [SMALL_STATE(3576)] = 37747,
  [SMALL_STATE(3577)] = 37768,
  [SMALL_STATE(3578)] = 37789,
  [SMALL_STATE(3579)] = 37810,
  [SMALL_STATE(3580)] = 37833,
  [SMALL_STATE(3581)] = 37854,
  [SMALL_STATE(3582)] = 37877,
  [SMALL_STATE(3583)] = 37894,
  [SMALL_STATE(3584)] = 37915,
  [SMALL_STATE(3585)] = 37938,
  [SMALL_STATE(3586)] = 37961,
  [SMALL_STATE(3587)] = 37978,
  [SMALL_STATE(3588)] = 37995,
  [SMALL_STATE(3589)] = 38015,
  [SMALL_STATE(3590)] = 38035,
  [SMALL_STATE(3591)] = 38055,
  [SMALL_STATE(3592)] = 38075,
  [SMALL_STATE(3593)] = 38095,
  [SMALL_STATE(3594)] = 38115,
  [SMALL_STATE(3595)] = 38135,
  [SMALL_STATE(3596)] = 38153,
  [SMALL_STATE(3597)] = 38173,
  [SMALL_STATE(3598)] = 38193,
  [SMALL_STATE(3599)] = 38213,
  [SMALL_STATE(3600)] = 38233,
  [SMALL_STATE(3601)] = 38253,
  [SMALL_STATE(3602)] = 38273,
  [SMALL_STATE(3603)] = 38293,
  [SMALL_STATE(3604)] = 38313,
  [SMALL_STATE(3605)] = 38333,
  [SMALL_STATE(3606)] = 38353,
  [SMALL_STATE(3607)] = 38373,
  [SMALL_STATE(3608)] = 38393,
  [SMALL_STATE(3609)] = 38413,
  [SMALL_STATE(3610)] = 38433,
  [SMALL_STATE(3611)] = 38453,
  [SMALL_STATE(3612)] = 38473,
  [SMALL_STATE(3613)] = 38493,
  [SMALL_STATE(3614)] = 38511,
  [SMALL_STATE(3615)] = 38531,
  [SMALL_STATE(3616)] = 38551,
  [SMALL_STATE(3617)] = 38571,
  [SMALL_STATE(3618)] = 38589,
  [SMALL_STATE(3619)] = 38609,
  [SMALL_STATE(3620)] = 38629,
  [SMALL_STATE(3621)] = 38649,
  [SMALL_STATE(3622)] = 38669,
  [SMALL_STATE(3623)] = 38689,
  [SMALL_STATE(3624)] = 38709,
  [SMALL_STATE(3625)] = 38729,
  [SMALL_STATE(3626)] = 38747,
  [SMALL_STATE(3627)] = 38765,
  [SMALL_STATE(3628)] = 38783,
  [SMALL_STATE(3629)] = 38803,
  [SMALL_STATE(3630)] = 38823,
  [SMALL_STATE(3631)] = 38843,
  [SMALL_STATE(3632)] = 38861,
  [SMALL_STATE(3633)] = 38879,
  [SMALL_STATE(3634)] = 38899,
  [SMALL_STATE(3635)] = 38917,
  [SMALL_STATE(3636)] = 38937,
  [SMALL_STATE(3637)] = 38957,
  [SMALL_STATE(3638)] = 38977,
  [SMALL_STATE(3639)] = 38997,
  [SMALL_STATE(3640)] = 39017,
  [SMALL_STATE(3641)] = 39037,
  [SMALL_STATE(3642)] = 39057,
  [SMALL_STATE(3643)] = 39077,
  [SMALL_STATE(3644)] = 39095,
  [SMALL_STATE(3645)] = 39113,
  [SMALL_STATE(3646)] = 39131,
  [SMALL_STATE(3647)] = 39147,
  [SMALL_STATE(3648)] = 39167,
  [SMALL_STATE(3649)] = 39187,
  [SMALL_STATE(3650)] = 39207,
  [SMALL_STATE(3651)] = 39227,
  [SMALL_STATE(3652)] = 39247,
  [SMALL_STATE(3653)] = 39267,
  [SMALL_STATE(3654)] = 39287,
  [SMALL_STATE(3655)] = 39307,
  [SMALL_STATE(3656)] = 39327,
  [SMALL_STATE(3657)] = 39347,
  [SMALL_STATE(3658)] = 39367,
  [SMALL_STATE(3659)] = 39387,
  [SMALL_STATE(3660)] = 39407,
  [SMALL_STATE(3661)] = 39427,
  [SMALL_STATE(3662)] = 39447,
  [SMALL_STATE(3663)] = 39467,
  [SMALL_STATE(3664)] = 39487,
  [SMALL_STATE(3665)] = 39507,
  [SMALL_STATE(3666)] = 39525,
  [SMALL_STATE(3667)] = 39545,
  [SMALL_STATE(3668)] = 39565,
  [SMALL_STATE(3669)] = 39583,
  [SMALL_STATE(3670)] = 39603,
  [SMALL_STATE(3671)] = 39621,
  [SMALL_STATE(3672)] = 39641,
  [SMALL_STATE(3673)] = 39661,
  [SMALL_STATE(3674)] = 39679,
  [SMALL_STATE(3675)] = 39699,
  [SMALL_STATE(3676)] = 39717,
  [SMALL_STATE(3677)] = 39737,
  [SMALL_STATE(3678)] = 39757,
  [SMALL_STATE(3679)] = 39777,
  [SMALL_STATE(3680)] = 39797,
  [SMALL_STATE(3681)] = 39817,
  [SMALL_STATE(3682)] = 39837,
  [SMALL_STATE(3683)] = 39857,
  [SMALL_STATE(3684)] = 39877,
  [SMALL_STATE(3685)] = 39897,
  [SMALL_STATE(3686)] = 39915,
  [SMALL_STATE(3687)] = 39935,
  [SMALL_STATE(3688)] = 39955,
  [SMALL_STATE(3689)] = 39975,
  [SMALL_STATE(3690)] = 39995,
  [SMALL_STATE(3691)] = 40015,
  [SMALL_STATE(3692)] = 40035,
  [SMALL_STATE(3693)] = 40055,
  [SMALL_STATE(3694)] = 40073,
  [SMALL_STATE(3695)] = 40091,
  [SMALL_STATE(3696)] = 40109,
  [SMALL_STATE(3697)] = 40129,
  [SMALL_STATE(3698)] = 40149,
  [SMALL_STATE(3699)] = 40169,
  [SMALL_STATE(3700)] = 40187,
  [SMALL_STATE(3701)] = 40205,
  [SMALL_STATE(3702)] = 40225,
  [SMALL_STATE(3703)] = 40245,
  [SMALL_STATE(3704)] = 40265,
  [SMALL_STATE(3705)] = 40285,
  [SMALL_STATE(3706)] = 40305,
  [SMALL_STATE(3707)] = 40325,
  [SMALL_STATE(3708)] = 40345,
  [SMALL_STATE(3709)] = 40365,
  [SMALL_STATE(3710)] = 40385,
  [SMALL_STATE(3711)] = 40405,
  [SMALL_STATE(3712)] = 40423,
  [SMALL_STATE(3713)] = 40443,
  [SMALL_STATE(3714)] = 40463,
  [SMALL_STATE(3715)] = 40483,
  [SMALL_STATE(3716)] = 40503,
  [SMALL_STATE(3717)] = 40521,
  [SMALL_STATE(3718)] = 40539,
  [SMALL_STATE(3719)] = 40559,
  [SMALL_STATE(3720)] = 40579,
  [SMALL_STATE(3721)] = 40599,
  [SMALL_STATE(3722)] = 40619,
  [SMALL_STATE(3723)] = 40639,
  [SMALL_STATE(3724)] = 40659,
  [SMALL_STATE(3725)] = 40679,
  [SMALL_STATE(3726)] = 40699,
  [SMALL_STATE(3727)] = 40719,
  [SMALL_STATE(3728)] = 40739,
  [SMALL_STATE(3729)] = 40757,
  [SMALL_STATE(3730)] = 40775,
  [SMALL_STATE(3731)] = 40795,
  [SMALL_STATE(3732)] = 40815,
  [SMALL_STATE(3733)] = 40835,
  [SMALL_STATE(3734)] = 40855,
  [SMALL_STATE(3735)] = 40875,
  [SMALL_STATE(3736)] = 40895,
  [SMALL_STATE(3737)] = 40915,
  [SMALL_STATE(3738)] = 40935,
  [SMALL_STATE(3739)] = 40955,
  [SMALL_STATE(3740)] = 40975,
  [SMALL_STATE(3741)] = 40993,
  [SMALL_STATE(3742)] = 41013,
  [SMALL_STATE(3743)] = 41033,
  [SMALL_STATE(3744)] = 41053,
  [SMALL_STATE(3745)] = 41073,
  [SMALL_STATE(3746)] = 41093,
  [SMALL_STATE(3747)] = 41113,
  [SMALL_STATE(3748)] = 41131,
  [SMALL_STATE(3749)] = 41151,
  [SMALL_STATE(3750)] = 41171,
  [SMALL_STATE(3751)] = 41191,
  [SMALL_STATE(3752)] = 41211,
  [SMALL_STATE(3753)] = 41231,
  [SMALL_STATE(3754)] = 41251,
  [SMALL_STATE(3755)] = 41267,
  [SMALL_STATE(3756)] = 41287,
  [SMALL_STATE(3757)] = 41307,
  [SMALL_STATE(3758)] = 41327,
  [SMALL_STATE(3759)] = 41347,
  [SMALL_STATE(3760)] = 41367,
  [SMALL_STATE(3761)] = 41387,
  [SMALL_STATE(3762)] = 41407,
  [SMALL_STATE(3763)] = 41427,
  [SMALL_STATE(3764)] = 41447,
  [SMALL_STATE(3765)] = 41467,
  [SMALL_STATE(3766)] = 41487,
  [SMALL_STATE(3767)] = 41507,
  [SMALL_STATE(3768)] = 41527,
  [SMALL_STATE(3769)] = 41547,
  [SMALL_STATE(3770)] = 41567,
  [SMALL_STATE(3771)] = 41587,
  [SMALL_STATE(3772)] = 41607,
  [SMALL_STATE(3773)] = 41627,
  [SMALL_STATE(3774)] = 41647,
  [SMALL_STATE(3775)] = 41667,
  [SMALL_STATE(3776)] = 41687,
  [SMALL_STATE(3777)] = 41707,
  [SMALL_STATE(3778)] = 41727,
  [SMALL_STATE(3779)] = 41747,
  [SMALL_STATE(3780)] = 41767,
  [SMALL_STATE(3781)] = 41787,
  [SMALL_STATE(3782)] = 41807,
  [SMALL_STATE(3783)] = 41827,
  [SMALL_STATE(3784)] = 41847,
  [SMALL_STATE(3785)] = 41867,
  [SMALL_STATE(3786)] = 41887,
  [SMALL_STATE(3787)] = 41907,
  [SMALL_STATE(3788)] = 41927,
  [SMALL_STATE(3789)] = 41947,
  [SMALL_STATE(3790)] = 41967,
  [SMALL_STATE(3791)] = 41987,
  [SMALL_STATE(3792)] = 42007,
  [SMALL_STATE(3793)] = 42027,
  [SMALL_STATE(3794)] = 42047,
  [SMALL_STATE(3795)] = 42067,
  [SMALL_STATE(3796)] = 42087,
  [SMALL_STATE(3797)] = 42107,
  [SMALL_STATE(3798)] = 42124,
  [SMALL_STATE(3799)] = 42141,
  [SMALL_STATE(3800)] = 42158,
  [SMALL_STATE(3801)] = 42175,
  [SMALL_STATE(3802)] = 42192,
  [SMALL_STATE(3803)] = 42209,
  [SMALL_STATE(3804)] = 42226,
  [SMALL_STATE(3805)] = 42243,
  [SMALL_STATE(3806)] = 42260,
  [SMALL_STATE(3807)] = 42277,
  [SMALL_STATE(3808)] = 42294,
  [SMALL_STATE(3809)] = 42311,
  [SMALL_STATE(3810)] = 42328,
  [SMALL_STATE(3811)] = 42343,
  [SMALL_STATE(3812)] = 42360,
  [SMALL_STATE(3813)] = 42377,
  [SMALL_STATE(3814)] = 42394,
  [SMALL_STATE(3815)] = 42411,
  [SMALL_STATE(3816)] = 42428,
  [SMALL_STATE(3817)] = 42445,
  [SMALL_STATE(3818)] = 42462,
  [SMALL_STATE(3819)] = 42479,
  [SMALL_STATE(3820)] = 42496,
  [SMALL_STATE(3821)] = 42513,
  [SMALL_STATE(3822)] = 42530,
  [SMALL_STATE(3823)] = 42547,
  [SMALL_STATE(3824)] = 42564,
  [SMALL_STATE(3825)] = 42581,
  [SMALL_STATE(3826)] = 42598,
  [SMALL_STATE(3827)] = 42613,
  [SMALL_STATE(3828)] = 42630,
  [SMALL_STATE(3829)] = 42647,
  [SMALL_STATE(3830)] = 42664,
  [SMALL_STATE(3831)] = 42681,
  [SMALL_STATE(3832)] = 42698,
  [SMALL_STATE(3833)] = 42715,
  [SMALL_STATE(3834)] = 42732,
  [SMALL_STATE(3835)] = 42749,
  [SMALL_STATE(3836)] = 42766,
  [SMALL_STATE(3837)] = 42783,
  [SMALL_STATE(3838)] = 42800,
  [SMALL_STATE(3839)] = 42817,
  [SMALL_STATE(3840)] = 42834,
  [SMALL_STATE(3841)] = 42851,
  [SMALL_STATE(3842)] = 42868,
  [SMALL_STATE(3843)] = 42885,
  [SMALL_STATE(3844)] = 42900,
  [SMALL_STATE(3845)] = 42917,
  [SMALL_STATE(3846)] = 42934,
  [SMALL_STATE(3847)] = 42951,
  [SMALL_STATE(3848)] = 42968,
  [SMALL_STATE(3849)] = 42985,
  [SMALL_STATE(3850)] = 43002,
  [SMALL_STATE(3851)] = 43019,
  [SMALL_STATE(3852)] = 43036,
  [SMALL_STATE(3853)] = 43053,
  [SMALL_STATE(3854)] = 43070,
  [SMALL_STATE(3855)] = 43087,
  [SMALL_STATE(3856)] = 43104,
  [SMALL_STATE(3857)] = 43121,
  [SMALL_STATE(3858)] = 43138,
  [SMALL_STATE(3859)] = 43155,
  [SMALL_STATE(3860)] = 43169,
  [SMALL_STATE(3861)] = 43183,
  [SMALL_STATE(3862)] = 43197,
  [SMALL_STATE(3863)] = 43211,
  [SMALL_STATE(3864)] = 43225,
  [SMALL_STATE(3865)] = 43239,
  [SMALL_STATE(3866)] = 43253,
  [SMALL_STATE(3867)] = 43267,
  [SMALL_STATE(3868)] = 43281,
  [SMALL_STATE(3869)] = 43295,
  [SMALL_STATE(3870)] = 43309,
  [SMALL_STATE(3871)] = 43323,
  [SMALL_STATE(3872)] = 43337,
  [SMALL_STATE(3873)] = 43351,
  [SMALL_STATE(3874)] = 43365,
  [SMALL_STATE(3875)] = 43379,
  [SMALL_STATE(3876)] = 43393,
  [SMALL_STATE(3877)] = 43407,
  [SMALL_STATE(3878)] = 43421,
  [SMALL_STATE(3879)] = 43435,
  [SMALL_STATE(3880)] = 43449,
  [SMALL_STATE(3881)] = 43463,
  [SMALL_STATE(3882)] = 43477,
  [SMALL_STATE(3883)] = 43491,
  [SMALL_STATE(3884)] = 43505,
  [SMALL_STATE(3885)] = 43519,
  [SMALL_STATE(3886)] = 43533,
  [SMALL_STATE(3887)] = 43549,
  [SMALL_STATE(3888)] = 43563,
  [SMALL_STATE(3889)] = 43577,
  [SMALL_STATE(3890)] = 43591,
  [SMALL_STATE(3891)] = 43605,
  [SMALL_STATE(3892)] = 43619,
  [SMALL_STATE(3893)] = 43633,
  [SMALL_STATE(3894)] = 43647,
  [SMALL_STATE(3895)] = 43661,
  [SMALL_STATE(3896)] = 43675,
  [SMALL_STATE(3897)] = 43689,
  [SMALL_STATE(3898)] = 43703,
  [SMALL_STATE(3899)] = 43717,
  [SMALL_STATE(3900)] = 43731,
  [SMALL_STATE(3901)] = 43745,
  [SMALL_STATE(3902)] = 43759,
  [SMALL_STATE(3903)] = 43773,
  [SMALL_STATE(3904)] = 43787,
  [SMALL_STATE(3905)] = 43801,
  [SMALL_STATE(3906)] = 43815,
  [SMALL_STATE(3907)] = 43829,
  [SMALL_STATE(3908)] = 43843,
  [SMALL_STATE(3909)] = 43857,
  [SMALL_STATE(3910)] = 43871,
  [SMALL_STATE(3911)] = 43885,
  [SMALL_STATE(3912)] = 43899,
  [SMALL_STATE(3913)] = 43913,
  [SMALL_STATE(3914)] = 43929,
  [SMALL_STATE(3915)] = 43943,
  [SMALL_STATE(3916)] = 43957,
  [SMALL_STATE(3917)] = 43971,
  [SMALL_STATE(3918)] = 43987,
  [SMALL_STATE(3919)] = 44001,
  [SMALL_STATE(3920)] = 44015,
  [SMALL_STATE(3921)] = 44029,
  [SMALL_STATE(3922)] = 44043,
  [SMALL_STATE(3923)] = 44057,
  [SMALL_STATE(3924)] = 44071,
  [SMALL_STATE(3925)] = 44085,
  [SMALL_STATE(3926)] = 44099,
  [SMALL_STATE(3927)] = 44113,
  [SMALL_STATE(3928)] = 44127,
  [SMALL_STATE(3929)] = 44141,
  [SMALL_STATE(3930)] = 44155,
  [SMALL_STATE(3931)] = 44169,
  [SMALL_STATE(3932)] = 44183,
  [SMALL_STATE(3933)] = 44197,
  [SMALL_STATE(3934)] = 44211,
  [SMALL_STATE(3935)] = 44225,
  [SMALL_STATE(3936)] = 44239,
  [SMALL_STATE(3937)] = 44253,
  [SMALL_STATE(3938)] = 44267,
  [SMALL_STATE(3939)] = 44281,
  [SMALL_STATE(3940)] = 44295,
  [SMALL_STATE(3941)] = 44309,
  [SMALL_STATE(3942)] = 44323,
  [SMALL_STATE(3943)] = 44337,
  [SMALL_STATE(3944)] = 44351,
  [SMALL_STATE(3945)] = 44365,
  [SMALL_STATE(3946)] = 44379,
  [SMALL_STATE(3947)] = 44393,
  [SMALL_STATE(3948)] = 44407,
  [SMALL_STATE(3949)] = 44421,
  [SMALL_STATE(3950)] = 44435,
  [SMALL_STATE(3951)] = 44449,
  [SMALL_STATE(3952)] = 44463,
  [SMALL_STATE(3953)] = 44477,
  [SMALL_STATE(3954)] = 44491,
  [SMALL_STATE(3955)] = 44505,
  [SMALL_STATE(3956)] = 44519,
  [SMALL_STATE(3957)] = 44533,
  [SMALL_STATE(3958)] = 44547,
  [SMALL_STATE(3959)] = 44561,
  [SMALL_STATE(3960)] = 44575,
  [SMALL_STATE(3961)] = 44591,
  [SMALL_STATE(3962)] = 44605,
  [SMALL_STATE(3963)] = 44619,
  [SMALL_STATE(3964)] = 44633,
  [SMALL_STATE(3965)] = 44647,
  [SMALL_STATE(3966)] = 44661,
  [SMALL_STATE(3967)] = 44675,
  [SMALL_STATE(3968)] = 44689,
  [SMALL_STATE(3969)] = 44703,
  [SMALL_STATE(3970)] = 44717,
  [SMALL_STATE(3971)] = 44731,
  [SMALL_STATE(3972)] = 44745,
  [SMALL_STATE(3973)] = 44759,
  [SMALL_STATE(3974)] = 44773,
  [SMALL_STATE(3975)] = 44787,
  [SMALL_STATE(3976)] = 44801,
  [SMALL_STATE(3977)] = 44815,
  [SMALL_STATE(3978)] = 44829,
  [SMALL_STATE(3979)] = 44843,
  [SMALL_STATE(3980)] = 44857,
  [SMALL_STATE(3981)] = 44871,
  [SMALL_STATE(3982)] = 44885,
  [SMALL_STATE(3983)] = 44899,
  [SMALL_STATE(3984)] = 44913,
  [SMALL_STATE(3985)] = 44927,
  [SMALL_STATE(3986)] = 44941,
  [SMALL_STATE(3987)] = 44955,
  [SMALL_STATE(3988)] = 44969,
  [SMALL_STATE(3989)] = 44983,
  [SMALL_STATE(3990)] = 44997,
  [SMALL_STATE(3991)] = 45011,
  [SMALL_STATE(3992)] = 45025,
  [SMALL_STATE(3993)] = 45039,
  [SMALL_STATE(3994)] = 45053,
  [SMALL_STATE(3995)] = 45067,
  [SMALL_STATE(3996)] = 45081,
  [SMALL_STATE(3997)] = 45095,
  [SMALL_STATE(3998)] = 45109,
  [SMALL_STATE(3999)] = 45123,
  [SMALL_STATE(4000)] = 45137,
  [SMALL_STATE(4001)] = 45151,
  [SMALL_STATE(4002)] = 45165,
  [SMALL_STATE(4003)] = 45179,
  [SMALL_STATE(4004)] = 45193,
  [SMALL_STATE(4005)] = 45207,
  [SMALL_STATE(4006)] = 45221,
  [SMALL_STATE(4007)] = 45235,
  [SMALL_STATE(4008)] = 45249,
  [SMALL_STATE(4009)] = 45263,
  [SMALL_STATE(4010)] = 45277,
  [SMALL_STATE(4011)] = 45291,
  [SMALL_STATE(4012)] = 45305,
  [SMALL_STATE(4013)] = 45319,
  [SMALL_STATE(4014)] = 45333,
  [SMALL_STATE(4015)] = 45347,
  [SMALL_STATE(4016)] = 45361,
  [SMALL_STATE(4017)] = 45375,
  [SMALL_STATE(4018)] = 45389,
  [SMALL_STATE(4019)] = 45403,
  [SMALL_STATE(4020)] = 45417,
  [SMALL_STATE(4021)] = 45431,
  [SMALL_STATE(4022)] = 45445,
  [SMALL_STATE(4023)] = 45459,
  [SMALL_STATE(4024)] = 45473,
  [SMALL_STATE(4025)] = 45487,
  [SMALL_STATE(4026)] = 45501,
  [SMALL_STATE(4027)] = 45515,
  [SMALL_STATE(4028)] = 45529,
  [SMALL_STATE(4029)] = 45543,
  [SMALL_STATE(4030)] = 45557,
  [SMALL_STATE(4031)] = 45571,
  [SMALL_STATE(4032)] = 45585,
  [SMALL_STATE(4033)] = 45599,
  [SMALL_STATE(4034)] = 45613,
  [SMALL_STATE(4035)] = 45627,
  [SMALL_STATE(4036)] = 45641,
  [SMALL_STATE(4037)] = 45655,
  [SMALL_STATE(4038)] = 45671,
  [SMALL_STATE(4039)] = 45685,
  [SMALL_STATE(4040)] = 45699,
  [SMALL_STATE(4041)] = 45713,
  [SMALL_STATE(4042)] = 45727,
  [SMALL_STATE(4043)] = 45741,
  [SMALL_STATE(4044)] = 45755,
  [SMALL_STATE(4045)] = 45769,
  [SMALL_STATE(4046)] = 45783,
  [SMALL_STATE(4047)] = 45797,
  [SMALL_STATE(4048)] = 45811,
  [SMALL_STATE(4049)] = 45825,
  [SMALL_STATE(4050)] = 45839,
  [SMALL_STATE(4051)] = 45853,
  [SMALL_STATE(4052)] = 45867,
  [SMALL_STATE(4053)] = 45881,
  [SMALL_STATE(4054)] = 45895,
  [SMALL_STATE(4055)] = 45909,
  [SMALL_STATE(4056)] = 45923,
  [SMALL_STATE(4057)] = 45937,
  [SMALL_STATE(4058)] = 45951,
  [SMALL_STATE(4059)] = 45965,
  [SMALL_STATE(4060)] = 45979,
  [SMALL_STATE(4061)] = 45993,
  [SMALL_STATE(4062)] = 46007,
  [SMALL_STATE(4063)] = 46021,
  [SMALL_STATE(4064)] = 46035,
  [SMALL_STATE(4065)] = 46049,
  [SMALL_STATE(4066)] = 46063,
  [SMALL_STATE(4067)] = 46077,
  [SMALL_STATE(4068)] = 46091,
  [SMALL_STATE(4069)] = 46105,
  [SMALL_STATE(4070)] = 46119,
  [SMALL_STATE(4071)] = 46133,
  [SMALL_STATE(4072)] = 46147,
  [SMALL_STATE(4073)] = 46161,
  [SMALL_STATE(4074)] = 46175,
  [SMALL_STATE(4075)] = 46189,
  [SMALL_STATE(4076)] = 46203,
  [SMALL_STATE(4077)] = 46217,
  [SMALL_STATE(4078)] = 46231,
  [SMALL_STATE(4079)] = 46245,
  [SMALL_STATE(4080)] = 46259,
  [SMALL_STATE(4081)] = 46273,
  [SMALL_STATE(4082)] = 46287,
  [SMALL_STATE(4083)] = 46301,
  [SMALL_STATE(4084)] = 46315,
  [SMALL_STATE(4085)] = 46329,
  [SMALL_STATE(4086)] = 46343,
  [SMALL_STATE(4087)] = 46357,
  [SMALL_STATE(4088)] = 46371,
  [SMALL_STATE(4089)] = 46385,
  [SMALL_STATE(4090)] = 46399,
  [SMALL_STATE(4091)] = 46413,
  [SMALL_STATE(4092)] = 46427,
  [SMALL_STATE(4093)] = 46441,
  [SMALL_STATE(4094)] = 46455,
  [SMALL_STATE(4095)] = 46471,
  [SMALL_STATE(4096)] = 46485,
  [SMALL_STATE(4097)] = 46499,
  [SMALL_STATE(4098)] = 46513,
  [SMALL_STATE(4099)] = 46527,
  [SMALL_STATE(4100)] = 46541,
  [SMALL_STATE(4101)] = 46555,
  [SMALL_STATE(4102)] = 46569,
  [SMALL_STATE(4103)] = 46583,
  [SMALL_STATE(4104)] = 46597,
  [SMALL_STATE(4105)] = 46611,
  [SMALL_STATE(4106)] = 46625,
  [SMALL_STATE(4107)] = 46639,
  [SMALL_STATE(4108)] = 46653,
  [SMALL_STATE(4109)] = 46667,
  [SMALL_STATE(4110)] = 46681,
  [SMALL_STATE(4111)] = 46695,
  [SMALL_STATE(4112)] = 46709,
  [SMALL_STATE(4113)] = 46723,
  [SMALL_STATE(4114)] = 46737,
  [SMALL_STATE(4115)] = 46751,
  [SMALL_STATE(4116)] = 46765,
  [SMALL_STATE(4117)] = 46779,
  [SMALL_STATE(4118)] = 46793,
  [SMALL_STATE(4119)] = 46807,
  [SMALL_STATE(4120)] = 46821,
  [SMALL_STATE(4121)] = 46835,
  [SMALL_STATE(4122)] = 46849,
  [SMALL_STATE(4123)] = 46863,
  [SMALL_STATE(4124)] = 46877,
  [SMALL_STATE(4125)] = 46891,
  [SMALL_STATE(4126)] = 46905,
  [SMALL_STATE(4127)] = 46919,
  [SMALL_STATE(4128)] = 46933,
  [SMALL_STATE(4129)] = 46947,
  [SMALL_STATE(4130)] = 46961,
  [SMALL_STATE(4131)] = 46975,
  [SMALL_STATE(4132)] = 46989,
  [SMALL_STATE(4133)] = 47003,
  [SMALL_STATE(4134)] = 47017,
  [SMALL_STATE(4135)] = 47031,
  [SMALL_STATE(4136)] = 47045,
  [SMALL_STATE(4137)] = 47059,
  [SMALL_STATE(4138)] = 47063,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [7] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2536),
  [9] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 0, 0, 0),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(698),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1067),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(913),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3668),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3670),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3673),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3129),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2738),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2712),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2570),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3512),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2865),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2902),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(268),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1235),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2969),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3736),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3697),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3188),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(266),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4061),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1264),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(605),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(607),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(612),
  [61] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(457),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(465),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(526),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(683),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2699),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(421),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(441),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(401),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(422),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2703),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3351),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3380),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3222),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3100),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3759),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3960),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4092),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3804),
  [107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3798),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3814),
  [111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3488),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3528),
  [115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3547),
  [117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3548),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3549),
  [121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3876),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4117),
  [125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(699),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1294),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1296),
  [131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3546),
  [133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2985),
  [135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2988),
  [137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2929),
  [139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3249),
  [141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2541),
  [143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3831),
  [145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4092),
  [147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1293),
  [149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(710),
  [153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1099),
  [155] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_loopex_expression, 1, 0, 2),
  [157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3070),
  [159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3073),
  [161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_loopex_expression, 1, 0, 2),
  [163] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0),
  [165] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(4061),
  [168] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(1264),
  [171] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(605),
  [174] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(607),
  [177] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(612),
  [180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_expression, 1, 0, 0),
  [182] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0),
  [184] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(4061),
  [187] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(1264),
  [190] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(605),
  [193] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(607),
  [196] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(612),
  [199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0),
  [201] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_undef_expression, 1, 0, 0),
  [203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_undef_expression, 1, 0, 0),
  [205] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_func1op_call_expression, 1, 0, 1),
  [207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(259),
  [209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_func1op_call_expression, 1, 0, 1),
  [211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(790),
  [213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2991),
  [215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(656),
  [217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(499),
  [221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(501),
  [223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(665),
  [225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(667),
  [227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(423),
  [229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(447),
  [231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(405),
  [233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(410),
  [235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8),
  [237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9),
  [239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7),
  [241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11),
  [243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(794),
  [245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [247] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(656),
  [250] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(658),
  [253] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(660),
  [256] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(656),
  [259] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(658),
  [262] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(660),
  [265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(820),
  [267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2672),
  [269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2673),
  [271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3014),
  [273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3068),
  [275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3069),
  [277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(252),
  [279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1564),
  [281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(254),
  [283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(649),
  [285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(448),
  [289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(449),
  [291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(655),
  [293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(657),
  [295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2674),
  [297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(415),
  [299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(463),
  [301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(403),
  [303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(416),
  [305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13),
  [307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15),
  [309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2675),
  [311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12),
  [313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14),
  [315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3836),
  [317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3841),
  [319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3844),
  [321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3463),
  [323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3464),
  [325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3465),
  [327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3570),
  [329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3466),
  [331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(806),
  [333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1640),
  [335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1641),
  [337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3241),
  [339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2537),
  [341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3811),
  [343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1605),
  [345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [347] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(3928),
  [350] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(1593),
  [353] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(649),
  [356] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(650),
  [359] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(651),
  [362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(262),
  [364] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(3928),
  [367] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(1593),
  [370] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(649),
  [373] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(650),
  [376] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(651),
  [379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 1, 0, 0),
  [381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(729),
  [383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2610),
  [385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1074),
  [387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3625),
  [389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3626),
  [391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3627),
  [393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3254),
  [395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2609),
  [397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2583),
  [399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2899),
  [401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2900),
  [403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3743),
  [405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3744),
  [407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(662),
  [409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4038),
  [411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3155),
  [413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3126),
  [415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3762),
  [417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4135),
  [419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(759),
  [421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4038),
  [423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(695),
  [425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2869),
  [427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4053),
  [429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(764),
  [431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4053),
  [433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(839),
  [435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2731),
  [437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2666),
  [439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2960),
  [441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3084),
  [443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3085),
  [445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(257),
  [447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2007),
  [449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(245),
  [451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(684),
  [453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(475),
  [457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(478),
  [459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(533),
  [461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(534),
  [463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2688),
  [465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(419),
  [467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(505),
  [469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(396),
  [471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(420),
  [473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(51),
  [475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(60),
  [477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2717),
  [479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20),
  [481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(54),
  [483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3799),
  [485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3800),
  [487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3801),
  [489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3505),
  [491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3506),
  [493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3507),
  [495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3579),
  [497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3508),
  [499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(833),
  [501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2138),
  [503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2139),
  [505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3167),
  [507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2538),
  [509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3830),
  [511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2125),
  [513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(868),
  [517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2983),
  [519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3097),
  [521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3098),
  [523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(278),
  [525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1769),
  [527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(265),
  [529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(558),
  [531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(451),
  [535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(453),
  [537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(596),
  [539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(597),
  [541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2683),
  [543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(417),
  [545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(456),
  [547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(399),
  [549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(418),
  [551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(52),
  [553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(62),
  [555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21),
  [557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(59),
  [559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3821),
  [561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3822),
  [563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3823),
  [565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3536),
  [567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3537),
  [569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3538),
  [571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3585),
  [573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3539),
  [575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(874),
  [577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1965),
  [579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1966),
  [581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3223),
  [583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2542),
  [585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3820),
  [587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1962),
  [589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(704),
  [593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1215),
  [595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3926),
  [597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(748),
  [599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3926),
  [601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(705),
  [603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2664),
  [605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4097),
  [607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(740),
  [609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4097),
  [611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(696),
  [613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3503),
  [615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4098),
  [617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(741),
  [619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4098),
  [621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(697),
  [623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2658),
  [625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3915),
  [627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(767),
  [629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3915),
  [631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(706),
  [633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1476),
  [635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3961),
  [637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(753),
  [639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3961),
  [641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(713),
  [643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1713),
  [645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3982),
  [647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(765),
  [649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3982),
  [651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0),
  [653] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(698),
  [656] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1067),
  [659] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(913),
  [662] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3668),
  [665] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3670),
  [668] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3673),
  [671] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3129),
  [674] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2738),
  [677] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2712),
  [680] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2570),
  [683] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3512),
  [686] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2865),
  [689] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2902),
  [692] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(268),
  [695] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1235),
  [698] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2969),
  [701] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3736),
  [704] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3697),
  [707] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3188),
  [710] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(266),
  [713] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(4061),
  [716] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1264),
  [719] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(605),
  [722] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(607),
  [725] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(612),
  [728] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(662),
  [731] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(457),
  [734] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(465),
  [737] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(526),
  [740] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(683),
  [743] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2699),
  [746] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(421),
  [749] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(441),
  [752] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(401),
  [755] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(422),
  [758] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3),
  [761] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(5),
  [764] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2703),
  [767] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3351),
  [770] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3380),
  [773] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3222),
  [776] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3100),
  [779] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2),
  [782] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3759),
  [785] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(6),
  [788] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0),
  [790] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3804),
  [793] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3798),
  [796] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3814),
  [799] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3488),
  [802] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3528),
  [805] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3547),
  [808] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3548),
  [811] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3549),
  [814] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3876),
  [817] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(4117),
  [820] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(699),
  [823] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1294),
  [826] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1296),
  [829] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3546),
  [832] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2985),
  [835] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2988),
  [838] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2929),
  [841] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3249),
  [844] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2541),
  [847] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3831),
  [850] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1293),
  [853] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(6),
  [856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(715),
  [858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(689),
  [860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3991),
  [862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(768),
  [864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3991),
  [866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(716),
  [868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2578),
  [870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3995),
  [872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(742),
  [874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3995),
  [876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(739),
  [878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2810),
  [880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3999),
  [882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(743),
  [884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3999),
  [886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(717),
  [888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2763),
  [890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4002),
  [892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(744),
  [894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4002),
  [896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(718),
  [898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(818),
  [900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4005),
  [902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(745),
  [904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4005),
  [906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(719),
  [908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(802),
  [910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4008),
  [912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(746),
  [914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4008),
  [916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(720),
  [918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(851),
  [920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4011),
  [922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(747),
  [924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4011),
  [926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(721),
  [928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(828),
  [930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4014),
  [932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(749),
  [934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4014),
  [936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(722),
  [938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1948),
  [940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4017),
  [942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(750),
  [944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4017),
  [946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(723),
  [948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2581),
  [950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4020),
  [952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(751),
  [954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4020),
  [956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(724),
  [958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2603),
  [960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4023),
  [962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(752),
  [964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4023),
  [966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(725),
  [968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3024),
  [970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4026),
  [972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(754),
  [974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4026),
  [976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(726),
  [978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3009),
  [980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4029),
  [982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(755),
  [984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4029),
  [986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(727),
  [988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(878),
  [990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4032),
  [992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(756),
  [994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4032),
  [996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(728),
  [998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(856),
  [1000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4035),
  [1002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(758),
  [1004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4035),
  [1006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(873),
  [1008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2715),
  [1010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2732),
  [1012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3017),
  [1014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3052),
  [1016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3056),
  [1018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(273),
  [1020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2146),
  [1022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(279),
  [1024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(561),
  [1026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [1028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(426),
  [1030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(450),
  [1032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(566),
  [1034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(567),
  [1036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2733),
  [1038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(411),
  [1040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(508),
  [1042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(407),
  [1044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(413),
  [1046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(50),
  [1048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(61),
  [1050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2734),
  [1052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(44),
  [1054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(58),
  [1056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3807),
  [1058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3808),
  [1060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3809),
  [1062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3524),
  [1064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3525),
  [1066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3526),
  [1068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3584),
  [1070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3527),
  [1072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(863),
  [1074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2323),
  [1076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2328),
  [1078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3214),
  [1080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2540),
  [1082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3837),
  [1084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2283),
  [1086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [1088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(730),
  [1090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(779),
  [1092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4041),
  [1094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(760),
  [1096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4041),
  [1098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(731),
  [1100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(774),
  [1102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4044),
  [1104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(761),
  [1106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4044),
  [1108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(732),
  [1110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2866),
  [1112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4047),
  [1114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(762),
  [1116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4047),
  [1118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(733),
  [1120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1510),
  [1122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4050),
  [1124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(763),
  [1126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4050),
  [1128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(714),
  [1130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(734),
  [1132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3987),
  [1134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(766),
  [1136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3987),
  [1138] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(4090),
  [1141] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(2147),
  [1144] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(561),
  [1147] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(562),
  [1150] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(563),
  [1153] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(4081),
  [1156] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(1988),
  [1159] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(684),
  [1162] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(530),
  [1165] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(531),
  [1168] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(2724),
  [1171] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(2681),
  [1174] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(4012),
  [1177] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(1770),
  [1180] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(558),
  [1183] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(564),
  [1186] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(590),
  [1189] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(2685),
  [1192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2957),
  [1194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(568),
  [1196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [1198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(485),
  [1200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(487),
  [1202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(572),
  [1204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(573),
  [1206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(412),
  [1208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(437),
  [1210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(406),
  [1212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(409),
  [1214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(63),
  [1216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(86),
  [1218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(53),
  [1220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(84),
  [1222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [1224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(260),
  [1226] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(2724),
  [1229] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(2681),
  [1232] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(4012),
  [1235] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(1770),
  [1238] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(558),
  [1241] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(564),
  [1244] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(590),
  [1247] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(2685),
  [1250] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(4081),
  [1253] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(1988),
  [1256] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(684),
  [1259] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(530),
  [1262] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(531),
  [1265] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(4090),
  [1268] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(2147),
  [1271] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(561),
  [1274] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(562),
  [1277] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(563),
  [1280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(285),
  [1282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(249),
  [1284] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(568),
  [1287] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(569),
  [1290] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(570),
  [1293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(862),
  [1295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1419),
  [1297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1941),
  [1299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(286),
  [1301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(793),
  [1303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1602),
  [1305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(814),
  [1307] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(568),
  [1310] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(569),
  [1313] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(570),
  [1316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(837),
  [1318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2044),
  [1320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(738),
  [1322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2301),
  [1324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(860),
  [1326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(757),
  [1328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1312),
  [1330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(387),
  [1332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1608),
  [1334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(883),
  [1336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(886),
  [1338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1186),
  [1340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1076),
  [1342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(999),
  [1344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(700),
  [1346] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1074),
  [1349] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3625),
  [1352] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3626),
  [1355] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3627),
  [1358] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3254),
  [1361] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2583),
  [1364] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2899),
  [1367] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2900),
  [1370] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3743),
  [1373] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3744),
  [1376] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3155),
  [1379] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3126),
  [1382] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3762),
  [1385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(985),
  [1387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2702),
  [1389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(889),
  [1391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(934),
  [1393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3529),
  [1395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2596),
  [1397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1140),
  [1399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1477),
  [1401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1089),
  [1403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(811),
  [1405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(991),
  [1407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(882),
  [1409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(847),
  [1411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(986),
  [1413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(989),
  [1415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(685),
  [1417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1098),
  [1419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(924),
  [1421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2573),
  [1423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1091),
  [1425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1221),
  [1427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2772),
  [1429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(795),
  [1431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(887),
  [1433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(829),
  [1435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1949),
  [1437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(877),
  [1439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2580),
  [1441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(780),
  [1443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2607),
  [1445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3047),
  [1447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2953),
  [1449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(832),
  [1451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1088),
  [1453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2612),
  [1455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(992),
  [1457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(773),
  [1459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2867),
  [1461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(885),
  [1463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1511),
  [1465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2870),
  [1467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(987),
  [1469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1096),
  [1471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1092),
  [1473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2859),
  [1475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1180),
  [1477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3693),
  [1479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3694),
  [1481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3695),
  [1483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3169),
  [1485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2575),
  [1487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2927),
  [1489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2928),
  [1491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3780),
  [1493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3785),
  [1495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3220),
  [1497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3127),
  [1499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3794),
  [1501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(658),
  [1503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(660),
  [1505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3928),
  [1507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1593),
  [1509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(650),
  [1511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(651),
  [1513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4040),
  [1515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2709),
  [1517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1714),
  [1519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2370),
  [1521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(907),
  [1523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4090),
  [1525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2147),
  [1527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(562),
  [1529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(563),
  [1531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1094),
  [1533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(865),
  [1535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [1537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1378),
  [1539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1859),
  [1541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1101),
  [1543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1101),
  [1545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1005),
  [1547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [1549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2035),
  [1551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2002),
  [1553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [1555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [1557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2046),
  [1559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [1561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1234),
  [1563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [1565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1694),
  [1567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1991),
  [1569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1825),
  [1571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1561),
  [1573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [1575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1306),
  [1577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2297),
  [1579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2152),
  [1581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1797),
  [1583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [1585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [1587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [1589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [1591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [1593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2169),
  [1595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1212),
  [1597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1802),
  [1599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1656),
  [1601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3458),
  [1603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1520),
  [1605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1881),
  [1607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1697),
  [1609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1899),
  [1611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2099),
  [1613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1734),
  [1615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1259),
  [1617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2018),
  [1619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1563),
  [1621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1453),
  [1623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1402),
  [1625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1978),
  [1627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1287),
  [1629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1497),
  [1631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3542),
  [1633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1947),
  [1635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1600),
  [1637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1955),
  [1639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2247),
  [1641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2270),
  [1643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2088),
  [1645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2368),
  [1647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1633),
  [1649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3489),
  [1651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1222),
  [1653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1303),
  [1655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1531),
  [1657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2075),
  [1659] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 2, 0, 0),
  [1661] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 2, 0, 0),
  [1663] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_hash_expression, 2, 0, 0),
  [1665] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_hash_expression, 2, 0, 0),
  [1667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2718),
  [1669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2714),
  [1671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2681),
  [1673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4012),
  [1675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1770),
  [1677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(564),
  [1679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(590),
  [1681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2685),
  [1683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4081),
  [1685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1988),
  [1687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(530),
  [1689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(531),
  [1691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2721),
  [1693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2680),
  [1695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(569),
  [1697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(570),
  [1699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(835),
  [1701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2713),
  [1703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(242),
  [1705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(240),
  [1707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(703),
  [1709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2782),
  [1711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(233),
  [1713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(807),
  [1715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2704),
  [1717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(236),
  [1719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(784),
  [1721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2720),
  [1723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(858),
  [1725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2716),
  [1727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(232),
  [1729] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_optional_parameter, 2, 0, 30),
  [1731] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_optional_parameter, 2, 0, 30), SHIFT(2724),
  [1734] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_optional_parameter, 2, 0, 30), SHIFT(2681),
  [1737] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_optional_parameter, 2, 0, 30), SHIFT(2685),
  [1740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1995),
  [1742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2235),
  [1744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2052),
  [1746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2182),
  [1748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1783),
  [1750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1775),
  [1752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2724),
  [1754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1912),
  [1756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1913),
  [1758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1366),
  [1760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1369),
  [1762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3878),
  [1764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3976),
  [1766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4016),
  [1768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3939),
  [1770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3962),
  [1772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(243),
  [1774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3996),
  [1776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3997),
  [1778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(241),
  [1780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4064),
  [1782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(231),
  [1784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3877),
  [1786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(230),
  [1788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4086),
  [1790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3965),
  [1792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4060),
  [1794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4076),
  [1796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4084),
  [1798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4085),
  [1800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(244),
  [1802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(834),
  [1804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2172),
  [1806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(864),
  [1808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2218),
  [1810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(876),
  [1812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1981),
  [1814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(711),
  [1816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1292),
  [1818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(808),
  [1820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1746),
  [1822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(789),
  [1824] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 3, 0, 0),
  [1826] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 3, 0, 0),
  [1828] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scalar, 2, 0, 0),
  [1830] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_container_variable, 2, 0, 0),
  [1832] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scalar, 2, 0, 0),
  [1834] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__var_indirob_autoquote, 4, 0, 90),
  [1836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__var_indirob_autoquote, 4, 0, 90),
  [1838] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_indirect_object, 1, 0, 0),
  [1840] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__term, 1, 0, 0),
  [1842] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__term, 1, 0, 0), REDUCE(sym_indirect_object, 1, 0, 0),
  [1845] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_indirect_object, 1, 0, 0),
  [1847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [1849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__term, 1, 0, 0),
  [1851] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__ident_special, 1, 0, 0),
  [1853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__ident_special, 1, 0, 0),
  [1855] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__ident_special, 2, 0, 0),
  [1857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__ident_special, 2, 0, 0),
  [1859] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__indirob, 1, 0, 0),
  [1861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__indirob, 1, 0, 0),
  [1863] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__var_indirob, 1, 0, 0),
  [1865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__var_indirob, 1, 0, 0),
  [1867] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function, 1, 0, 0),
  [1869] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identifier, 1, 0, 0),
  [1871] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bareword, 1, 1, 0),
  [1873] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_function, 1, 0, 0), SHIFT(4088),
  [1876] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_function, 1, 0, 0), REDUCE(sym_bareword, 1, 1, 0),
  [1879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 1, 0, 0),
  [1881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bareword, 1, 1, 0),
  [1883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3912),
  [1885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4057),
  [1887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4004),
  [1889] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__sort_routine, 1, 0, 20),
  [1891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__sort_routine, 1, 0, 20),
  [1893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3861),
  [1895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3888),
  [1897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3963),
  [1899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identifier, 1, 0, 0),
  [1901] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_autoquoted_bareword, 2, 20, 0),
  [1903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_autoquoted_bareword, 2, 20, 0),
  [1905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3954),
  [1907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3968),
  [1909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3993),
  [1911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4036),
  [1913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4093),
  [1915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3983),
  [1917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3981),
  [1919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3992),
  [1921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4059),
  [1923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3882),
  [1925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3931),
  [1927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3972),
  [1929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4136),
  [1931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3875),
  [1933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3957),
  [1935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4058),
  [1937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4106),
  [1939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3860),
  [1941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3870),
  [1943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3881),
  [1945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3898),
  [1947] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__sort_routine, 1, 0, 0),
  [1949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__sort_routine, 1, 0, 0),
  [1951] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ambiguous_function_call_expression, 2, 0, 25),
  [1953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ambiguous_function_call_expression, 2, 0, 25),
  [1955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4074),
  [1957] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_function, 1, 0, 0), SHIFT(3895),
  [1960] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_function, 1, 0, 0), SHIFT(3973),
  [1963] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_function, 1, 0, 0), SHIFT(3897),
  [1966] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__version, 1, 0, 0),
  [1968] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primitive, 1, 0, 0),
  [1970] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__version, 1, 0, 0),
  [1972] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_function, 1, 0, 0), SHIFT(3949),
  [1975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_statement, 5, 0, 110),
  [1977] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_statement, 5, 0, 110),
  [1979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3638),
  [1981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4065),
  [1983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_elsif, 5, 0, 110),
  [1985] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elsif, 5, 0, 110),
  [1987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 2, 0, 14),
  [1989] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 2, 0, 14),
  [1991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3442),
  [1993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3599),
  [1995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3719),
  [1997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4127),
  [1999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 7, 0, 142),
  [2001] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 7, 0, 142),
  [2003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3597),
  [2005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 4, 0, 61),
  [2007] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 4, 0, 61),
  [2009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3749),
  [2011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_role_statement, 3, 0, 29),
  [2013] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_role_statement, 3, 0, 29),
  [2015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration_statement, 6, 0, 137),
  [2017] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration_statement, 6, 0, 137),
  [2019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_declaration_statement, 7, 0, 139),
  [2021] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subroutine_declaration_statement, 7, 0, 139),
  [2023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration_statement, 7, 0, 139),
  [2025] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration_statement, 7, 0, 139),
  [2027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_declaration_statement, 7, 0, 140),
  [2029] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subroutine_declaration_statement, 7, 0, 140),
  [2031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_declaration_statement, 7, 0, 141),
  [2033] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subroutine_declaration_statement, 7, 0, 141),
  [2035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration_statement, 7, 0, 140),
  [2037] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration_statement, 7, 0, 140),
  [2039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration_statement, 7, 0, 141),
  [2041] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration_statement, 7, 0, 141),
  [2043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_declaration_statement, 6, 0, 136),
  [2045] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subroutine_declaration_statement, 6, 0, 136),
  [2047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_phaser_statement, 2, 0, 10),
  [2049] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_phaser_statement, 2, 0, 10),
  [2051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cstyle_for_statement, 7, 0, 144),
  [2053] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cstyle_for_statement, 7, 0, 144),
  [2055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__loop_body, 3, 0, 145),
  [2057] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__loop_body, 3, 0, 145),
  [2059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else, 2, 0, 15),
  [2061] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else, 2, 0, 15),
  [2063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_declaration_statement, 7, 0, 149),
  [2065] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subroutine_declaration_statement, 7, 0, 149),
  [2067] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__semicolon, 1, 0, 0),
  [2069] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__semicolon, 1, 0, 0),
  [2071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration_statement, 7, 0, 149),
  [2073] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration_statement, 7, 0, 149),
  [2075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_declaration_statement, 8, 0, 150),
  [2077] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subroutine_declaration_statement, 8, 0, 150),
  [2079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__barestmt, 2, 0, 0),
  [2081] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__barestmt, 2, 0, 0),
  [2083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration_statement, 8, 0, 150),
  [2085] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration_statement, 8, 0, 150),
  [2087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 9, 0, 151),
  [2089] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 9, 0, 151),
  [2091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__barestmt, 1, 0, 0),
  [2093] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__barestmt, 1, 0, 0),
  [2095] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_declaration_statement, 6, 0, 137),
  [2097] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subroutine_declaration_statement, 6, 0, 137),
  [2099] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_elsif, 6, 0, 110),
  [2101] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elsif, 6, 0, 110),
  [2103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__barestmt, 1, 0, 3),
  [2105] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__barestmt, 1, 0, 3),
  [2107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 1, 0, 0),
  [2109] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 1, 0, 0),
  [2111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__fullstmt, 1, 0, 0),
  [2113] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__fullstmt, 1, 0, 0),
  [2115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_statement, 3, 0, 29),
  [2117] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_statement, 3, 0, 29),
  [2119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_statement, 3, 0, 29),
  [2121] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_statement, 3, 0, 29),
  [2123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_statement, 6, 0, 110),
  [2125] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_statement, 6, 0, 110),
  [2127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_phaser_statement, 3, 0, 10),
  [2129] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_phaser_statement, 3, 0, 10),
  [2131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_phaser_statement, 2, 0, 10),
  [2133] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_phaser_statement, 2, 0, 10),
  [2135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym___DATA__, 2, 0, 0),
  [2137] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym___DATA__, 2, 0, 0),
  [2139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_declaration_statement, 3, 0, 35),
  [2141] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subroutine_declaration_statement, 3, 0, 35),
  [2143] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration_statement, 3, 0, 35),
  [2145] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration_statement, 3, 0, 35),
  [2147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__else, 1, 0, 0),
  [2149] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__else, 1, 0, 0),
  [2151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_statement, 3, 0, 37),
  [2153] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_use_statement, 3, 0, 37),
  [2155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_version_statement, 3, 0, 19),
  [2157] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_use_version_statement, 3, 0, 19),
  [2159] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration_statement, 6, 0, 136),
  [2161] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration_statement, 6, 0, 136),
  [2163] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_defer_statement, 2, 0, 15),
  [2165] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_defer_statement, 2, 0, 15),
  [2167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym___DATA__, 3, 0, 38),
  [2169] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym___DATA__, 3, 0, 38),
  [2171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, 0, 125),
  [2173] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, 0, 125),
  [2175] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_statement, 4, 0, 52),
  [2177] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_statement, 4, 0, 52),
  [2179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_statement, 4, 0, 29),
  [2181] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_statement, 4, 0, 29),
  [2183] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_statement, 4, 0, 52),
  [2185] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_statement, 4, 0, 52),
  [2187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_role_statement, 4, 0, 29),
  [2189] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_role_statement, 4, 0, 29),
  [2191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_role_statement, 4, 0, 52),
  [2193] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_role_statement, 4, 0, 52),
  [2195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_phaser_statement, 4, 0, 10),
  [2197] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_phaser_statement, 4, 0, 10),
  [2199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_phaser_statement, 4, 0, 54),
  [2201] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_phaser_statement, 4, 0, 54),
  [2203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_declaration_statement, 4, 0, 55),
  [2205] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subroutine_declaration_statement, 4, 0, 55),
  [2207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration_statement, 4, 0, 55),
  [2209] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration_statement, 4, 0, 55),
  [2211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_declaration_statement, 4, 0, 60),
  [2213] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subroutine_declaration_statement, 4, 0, 60),
  [2215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration_statement, 4, 0, 60),
  [2217] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration_statement, 4, 0, 60),
  [2219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 4, 0, 62),
  [2221] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 4, 0, 62),
  [2223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_statement, 4, 0, 37),
  [2225] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_use_statement, 4, 0, 37),
  [2227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_statement, 4, 0, 64),
  [2229] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_use_statement, 4, 0, 64),
  [2231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_declaration_statement, 4, 0, 83),
  [2233] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subroutine_declaration_statement, 4, 0, 83),
  [2235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration_statement, 4, 0, 83),
  [2237] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration_statement, 4, 0, 83),
  [2239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_statement, 5, 0, 88),
  [2241] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_statement, 5, 0, 88),
  [2243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_statement, 5, 0, 52),
  [2245] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_statement, 5, 0, 52),
  [2247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_role_statement, 5, 0, 88),
  [2249] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_role_statement, 5, 0, 88),
  [2251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_role_statement, 5, 0, 52),
  [2253] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_role_statement, 5, 0, 52),
  [2255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_phaser_statement, 5, 0, 54),
  [2257] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_phaser_statement, 5, 0, 54),
  [2259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_declaration_statement, 5, 0, 91),
  [2261] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subroutine_declaration_statement, 5, 0, 91),
  [2263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration_statement, 5, 0, 91),
  [2265] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration_statement, 5, 0, 91),
  [2267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_declaration_statement, 5, 0, 92),
  [2269] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subroutine_declaration_statement, 5, 0, 92),
  [2271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration_statement, 5, 0, 92),
  [2273] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration_statement, 5, 0, 92),
  [2275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_declaration_statement, 5, 0, 94),
  [2277] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subroutine_declaration_statement, 5, 0, 94),
  [2279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_declaration_statement, 5, 0, 95),
  [2281] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subroutine_declaration_statement, 5, 0, 95),
  [2283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration_statement, 5, 0, 94),
  [2285] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration_statement, 5, 0, 94),
  [2287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration_statement, 5, 0, 95),
  [2289] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration_statement, 5, 0, 95),
  [2291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_statement, 5, 0, 64),
  [2293] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_use_statement, 5, 0, 64),
  [2295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__loop_body, 1, 0, 98),
  [2297] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__loop_body, 1, 0, 98),
  [2299] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__loop_body, 1, 0, 98), SHIFT(3791),
  [2302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 5, 0, 99),
  [2304] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 5, 0, 99),
  [2306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_loop_statement, 5, 0, 111),
  [2308] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_loop_statement, 5, 0, 111),
  [2310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_declaration_statement, 5, 0, 114),
  [2312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subroutine_declaration_statement, 5, 0, 114),
  [2314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration_statement, 5, 0, 114),
  [2316] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration_statement, 5, 0, 114),
  [2318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_statement, 6, 0, 115),
  [2320] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_statement, 6, 0, 115),
  [2322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_role_statement, 6, 0, 115),
  [2324] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_role_statement, 6, 0, 115),
  [2326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_declaration_statement, 6, 0, 117),
  [2328] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subroutine_declaration_statement, 6, 0, 117),
  [2330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_declaration_statement, 6, 0, 118),
  [2332] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subroutine_declaration_statement, 6, 0, 118),
  [2334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration_statement, 6, 0, 117),
  [2336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration_statement, 6, 0, 117),
  [2338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration_statement, 6, 0, 118),
  [2340] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration_statement, 6, 0, 118),
  [2342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_declaration_statement, 6, 0, 119),
  [2344] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subroutine_declaration_statement, 6, 0, 119),
  [2346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration_statement, 6, 0, 119),
  [2348] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration_statement, 6, 0, 119),
  [2350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_declaration_statement, 6, 0, 120),
  [2352] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subroutine_declaration_statement, 6, 0, 120),
  [2354] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration_statement, 6, 0, 120),
  [2356] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration_statement, 6, 0, 120),
  [2358] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 6, 0, 121),
  [2360] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 6, 0, 121),
  [2362] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cstyle_for_statement, 6, 0, 124),
  [2364] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cstyle_for_statement, 6, 0, 124),
  [2366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_label, 3, 0, 49),
  [2368] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_label, 3, 0, 49),
  [2370] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__PERLY_BRACE_OPEN, 1, 0, 0),
  [2372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__PERLY_BRACE_OPEN, 1, 0, 0),
  [2374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3383),
  [2376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3758),
  [2378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3725),
  [2380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3679),
  [2382] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__loop_body, 1, 0, 98), SHIFT(3718),
  [2385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3658),
  [2387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4133),
  [2389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3406),
  [2391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3656),
  [2393] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package, 1, 0, 0),
  [2395] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package, 1, 0, 0),
  [2397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3663),
  [2399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3619),
  [2401] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__loop_body, 1, 0, 98), SHIFT(3657),
  [2404] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_indirect_object, 2, 0, 0),
  [2406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_indirect_object, 2, 0, 0),
  [2408] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__conditionals, 1, 0, 0),
  [2410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__conditionals, 1, 0, 0),
  [2412] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__loops, 1, 0, 0),
  [2414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__loops, 1, 0, 0),
  [2416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1198),
  [2418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attrlist, 1, 0, 0),
  [2420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3495),
  [2422] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attrlist, 1, 0, 0),
  [2424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attrlist, 2, 0, 0),
  [2426] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attrlist, 2, 0, 0),
  [2428] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attrlist_repeat1, 2, 0, 0), SHIFT_REPEAT(1198),
  [2431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attrlist_repeat1, 2, 0, 0),
  [2433] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attrlist_repeat1, 2, 0, 0), SHIFT_REPEAT(3495),
  [2436] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attrlist_repeat1, 2, 0, 0),
  [2438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 3, 0, 11),
  [2440] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 3, 0, 11),
  [2442] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 3, 0, 12),
  [2444] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 3, 0, 12),
  [2446] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_name, 1, 0, 0),
  [2448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_name, 1, 0, 0),
  [2450] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute, 1, 0, 33),
  [2452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 1, 0, 33),
  [2454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4109),
  [2456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [2458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [2460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [2462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__subscripted, 1, 0, 0),
  [2464] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__subscripted, 1, 0, 0),
  [2466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_coderef_call_expression, 4, 0, 73),
  [2468] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_coderef_call_expression, 4, 0, 73),
  [2470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash_element_expression, 4, 0, 72),
  [2472] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash_element_expression, 4, 0, 72),
  [2474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash_element_expression, 4, 0, 75),
  [2476] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash_element_expression, 4, 0, 75),
  [2478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_element_expression, 4, 0, 74),
  [2480] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_element_expression, 4, 0, 74),
  [2482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_element_expression, 4, 0, 76),
  [2484] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_element_expression, 4, 0, 76),
  [2486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_slice_expression, 4, 0, 82),
  [2488] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_slice_expression, 4, 0, 82),
  [2490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_coderef_call_expression, 4, 0, 0),
  [2492] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_coderef_call_expression, 4, 0, 0),
  [2494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_slice_expression, 5, 0, 0),
  [2496] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_slice_expression, 5, 0, 0),
  [2498] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute, 5, 0, 138),
  [2500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 5, 0, 138),
  [2502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash_element_expression, 5, 0, 106),
  [2504] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash_element_expression, 5, 0, 106),
  [2506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_coderef_call_expression, 5, 0, 107),
  [2508] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_coderef_call_expression, 5, 0, 107),
  [2510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_element_expression, 5, 0, 108),
  [2512] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_element_expression, 5, 0, 108),
  [2514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_coderef_call_expression, 3, 0, 0),
  [2516] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_coderef_call_expression, 3, 0, 0),
  [2518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_slice_expression, 6, 0, 21),
  [2520] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_slice_expression, 6, 0, 21),
  [2522] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attrlist_repeat1, 1, 0, 0),
  [2524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attrlist_repeat1, 1, 0, 0),
  [2526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyval_container_variable, 2, 0, 0),
  [2528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash, 2, 0, 0),
  [2530] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash, 2, 0, 0),
  [2532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quotelike_end, 1, 0, 0),
  [2534] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__quotelike_end, 1, 0, 0),
  [2536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_container_variable, 2, 0, 0),
  [2538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 2, 0, 0),
  [2540] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 2, 0, 0),
  [2542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_container_variable, 2, 0, 0),
  [2544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declared_vars, 1, 0, 0),
  [2546] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declared_vars, 1, 0, 0),
  [2548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_glob, 2, 0, 0),
  [2550] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glob, 2, 0, 0),
  [2552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_amper_sub, 2, 0, 0),
  [2554] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_amper_sub, 2, 0, 0),
  [2556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__term_rightward, 2, 0, 0),
  [2558] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__term_rightward, 2, 0, 0),
  [2560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [2562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stub_expression, 2, 0, 0),
  [2564] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stub_expression, 2, 0, 0),
  [2566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [2568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_func0op_call_expression, 1, 0, 1),
  [2570] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_func0op_call_expression, 1, 0, 1),
  [2572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4072),
  [2574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_regexp, 3, 0, 39),
  [2576] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_regexp, 3, 0, 39),
  [2578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1377),
  [2580] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__listexpr, 1, 0, 0), REDUCE(sym__term_rightward, 1, 0, 0),
  [2583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(525),
  [2585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [2587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [2589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [2591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2626),
  [2593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(536),
  [2595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(537),
  [2597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(538),
  [2599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(529),
  [2601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(539),
  [2603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(541),
  [2605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [2607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(556),
  [2609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(560),
  [2611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(574),
  [2613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(594),
  [2615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [2617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(609),
  [2619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [2621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [2623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [2625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [2627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1295),
  [2629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [2631] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__listexpr, 1, 0, 0), REDUCE(sym__term_rightward, 1, 0, 0),
  [2634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_regexp, 2, 0, 0),
  [2636] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_regexp, 2, 0, 0),
  [2638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [2640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__decl_variable_list, 4, 0, 0),
  [2642] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__decl_variable_list, 4, 0, 0),
  [2644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_varname, 1, 0, 0),
  [2646] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_varname, 1, 0, 0),
  [2648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_word_list, 4, 0, 66),
  [2650] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_word_list, 4, 0, 66),
  [2652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call_expression, 1, 0, 1),
  [2654] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call_expression, 1, 0, 1),
  [2656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4088),
  [2658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [2660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_refgen_expression, 2, 0, 0),
  [2662] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_refgen_expression, 2, 0, 0),
  [2664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_regexp, 4, 0, 68),
  [2666] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_regexp, 4, 0, 68),
  [2668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1396),
  [2670] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declare_scalar, 2, 0, 0),
  [2672] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declare_scalar, 2, 0, 0),
  [2674] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_regexp, 4, 0, 70),
  [2676] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_regexp, 4, 0, 70),
  [2678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [2680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_func1op_call_expression, 4, 0, 1),
  [2682] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_func1op_call_expression, 4, 0, 1),
  [2684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [2686] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_substitution_regexp, 5, 0, 103),
  [2688] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_substitution_regexp, 5, 0, 103),
  [2690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [2692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_substitution_regexp, 5, 0, 70),
  [2694] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_substitution_regexp, 5, 0, 70),
  [2696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1412),
  [2698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_transliteration_expression, 5, 0, 103),
  [2700] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_transliteration_expression, 5, 0, 103),
  [2702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1413),
  [2704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_transliteration_expression, 5, 0, 104),
  [2706] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_transliteration_expression, 5, 0, 104),
  [2708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1414),
  [2710] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_substitution_regexp, 4, 0, 39),
  [2712] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_substitution_regexp, 4, 0, 39),
  [2714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1398),
  [2716] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_transliteration_expression, 4, 0, 39),
  [2718] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_transliteration_expression, 4, 0, 39),
  [2720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1400),
  [2722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__term, 3, 0, 0),
  [2724] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__term, 3, 0, 0),
  [2726] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declare_hash, 2, 0, 0),
  [2728] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declare_hash, 2, 0, 0),
  [2730] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_func1op_call_expression, 3, 0, 1),
  [2732] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_func1op_call_expression, 3, 0, 1),
  [2734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 2, 0, 11),
  [2736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [2738] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 2, 0, 11),
  [2740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method, 1, 0, 0),
  [2742] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method, 1, 0, 0),
  [2744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 2, 0, 12),
  [2746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [2748] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 2, 0, 12),
  [2750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_word_list, 3, 0, 0),
  [2752] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_word_list, 3, 0, 0),
  [2754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_regexp, 1, 0, 0),
  [2756] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_regexp, 1, 0, 0),
  [2758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1290),
  [2760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__decl_variable_list, 3, 0, 0),
  [2762] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__decl_variable_list, 3, 0, 0),
  [2764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_call_expression, 3, 0, 44),
  [2766] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_call_expression, 3, 0, 44),
  [2768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [2770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__decl_variable_list, 2, 0, 0),
  [2772] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__decl_variable_list, 2, 0, 0),
  [2774] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__term_rightward_repeat1, 2, 0, 0),
  [2776] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 2, 0, 0),
  [2778] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__term_rightward_repeat1, 2, 0, 0), SHIFT_REPEAT(4),
  [2781] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_regexp, 3, 0, 48),
  [2783] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_regexp, 3, 0, 48),
  [2785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1391),
  [2787] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__term_rightward, 1, 0, 0),
  [2789] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__term_rightward, 1, 0, 0),
  [2791] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_call_expression, 4, 0, 79),
  [2793] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_call_expression, 4, 0, 79),
  [2795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [2797] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_regexp, 3, 0, 0),
  [2799] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_regexp, 3, 0, 0),
  [2801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1376),
  [2803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [2805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_transliteration_expression, 6, 0, 130),
  [2807] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_transliteration_expression, 6, 0, 130),
  [2809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1288),
  [2811] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_substitution_regexp, 6, 0, 128),
  [2813] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_substitution_regexp, 6, 0, 128),
  [2815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1286),
  [2817] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declare_array, 2, 0, 0),
  [2819] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declare_array, 2, 0, 0),
  [2821] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_map_grep_expression, 7, 0, 143),
  [2823] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_map_grep_expression, 7, 0, 143),
  [2825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sort_expression, 2, 0, 21),
  [2827] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sort_expression, 2, 0, 21),
  [2829] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__label_arg, 1, 0, 0),
  [2831] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__label_arg, 1, 0, 0),
  [2833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_goto_expression, 2, 0, 0),
  [2835] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_goto_expression, 2, 0, 0),
  [2837] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__label_arg, 1, 0, 22),
  [2839] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__label_arg, 1, 0, 22),
  [2841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_expression, 2, 0, 0),
  [2843] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_expression, 2, 0, 0),
  [2845] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_undef_expression, 2, 0, 0),
  [2847] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_undef_expression, 2, 0, 0),
  [2849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_loopex_expression, 2, 0, 2),
  [2851] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_loopex_expression, 2, 0, 2),
  [2853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_substitution_regexp, 7, 0, 146),
  [2855] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_substitution_regexp, 7, 0, 146),
  [2857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_array_expression, 2, 0, 0),
  [2859] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_array_expression, 2, 0, 0),
  [2861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_transliteration_expression, 7, 0, 147),
  [2863] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_transliteration_expression, 7, 0, 147),
  [2865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_call_expression, 7, 0, 148),
  [2867] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_call_expression, 7, 0, 148),
  [2869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_regexp, 2, 0, 16),
  [2871] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_regexp, 2, 0, 16),
  [2873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, 0, 17),
  [2875] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 17),
  [2877] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_autoquoted_bareword, 1, 0, 0), REDUCE(sym_autoquoted_bareword, 2, 0, 0),
  [2880] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_autoquoted_bareword, 1, 0, 0), REDUCE(sym_autoquoted_bareword, 2, 0, 0),
  [2883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_autoquoted_bareword, 1, 0, 0),
  [2885] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_autoquoted_bareword, 1, 0, 0),
  [2887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primitive, 1, 0, 0),
  [2889] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_postinc_expression, 2, 0, 24),
  [2891] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_postinc_expression, 2, 0, 24),
  [2893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_boolean, 1, 0, 0),
  [2895] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_boolean, 1, 0, 0),
  [2897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ambiguous_function_call_expression, 2, 0, 26),
  [2899] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ambiguous_function_call_expression, 2, 0, 26),
  [2901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [2903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_token, 2, 0, 0),
  [2905] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc_token, 2, 0, 0),
  [2907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 2, 0, 0),
  [2909] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 2, 0, 0),
  [2911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolated_string_literal, 2, 0, 0),
  [2913] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolated_string_literal, 2, 0, 0),
  [2915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command_string, 2, 0, 0),
  [2917] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command_string, 2, 0, 0),
  [2919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_call_expression, 6, 0, 79),
  [2921] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_call_expression, 6, 0, 79),
  [2923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_readline_expression, 3, 0, 27),
  [2925] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_readline_expression, 3, 0, 27),
  [2927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fileglob_expression, 3, 0, 28),
  [2929] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fileglob_expression, 3, 0, 28),
  [2931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command_heredoc_token, 2, 0, 0),
  [2933] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command_heredoc_token, 2, 0, 0),
  [2935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_subroutine_expression, 3, 0, 34),
  [2937] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_subroutine_expression, 3, 0, 34),
  [2939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_method_expression, 3, 0, 34),
  [2941] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_method_expression, 3, 0, 34),
  [2943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_method_expression, 6, 0, 135),
  [2945] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_method_expression, 6, 0, 135),
  [2947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_func1op_call_expression, 2, 0, 1),
  [2949] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_func1op_call_expression, 2, 0, 1),
  [2951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_func0op_call_expression, 3, 0, 1),
  [2953] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_func0op_call_expression, 3, 0, 1),
  [2955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_array_expression, 3, 0, 0),
  [2957] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_array_expression, 3, 0, 0),
  [2959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__listop, 1, 0, 0),
  [2961] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__listop, 1, 0, 0),
  [2963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_map_grep_expression, 3, 0, 36),
  [2965] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_map_grep_expression, 3, 0, 36),
  [2967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_glob_slot_expression, 6, 0, 0),
  [2969] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glob_slot_expression, 6, 0, 0),
  [2971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_call_expression, 6, 0, 134),
  [2973] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_call_expression, 6, 0, 134),
  [2975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sort_expression, 3, 0, 36),
  [2977] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sort_expression, 3, 0, 36),
  [2979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 3, 0, 0),
  [2981] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 3, 0, 0),
  [2983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolated_string_literal, 3, 0, 0),
  [2985] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolated_string_literal, 3, 0, 0),
  [2987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_subroutine_expression, 6, 0, 135),
  [2989] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_subroutine_expression, 6, 0, 135),
  [2991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command_string, 3, 0, 0),
  [2993] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command_string, 3, 0, 0),
  [2995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyval_expression, 6, 0, 51),
  [2997] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keyval_expression, 6, 0, 51),
  [2999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_subroutine_expression, 2, 0, 13),
  [3001] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_subroutine_expression, 2, 0, 13),
  [3003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_method_expression, 2, 0, 13),
  [3005] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_method_expression, 2, 0, 13),
  [3007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_equality_expression, 6, 0, 132),
  [3009] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_equality_expression, 6, 0, 132),
  [3011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_hash_expression, 3, 0, 0),
  [3013] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_hash_expression, 3, 0, 0),
  [3015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 40),
  [3017] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assignment_expression, 3, 0, 40),
  [3019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 40),
  [3021] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 40),
  [3023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [3025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(494),
  [3027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_relational_expression, 3, 0, 40),
  [3029] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_relational_expression, 3, 0, 40),
  [3031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_expression, 6, 0, 51),
  [3033] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slice_expression, 6, 0, 51),
  [3035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_equality_expression, 3, 0, 40),
  [3037] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_equality_expression, 3, 0, 40),
  [3039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [3041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [3043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ambiguous_function_call_expression, 3, 0, 45),
  [3045] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ambiguous_function_call_expression, 3, 0, 45),
  [3047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__literal, 1, 0, 0),
  [3049] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__literal, 1, 0, 0),
  [3051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 3, 0, 46),
  [3053] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 3, 0, 46),
  [3055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolated_string_literal, 3, 0, 46),
  [3057] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolated_string_literal, 3, 0, 46),
  [3059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command_string, 3, 0, 46),
  [3061] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command_string, 3, 0, 46),
  [3063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_regexp, 3, 0, 47),
  [3065] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_regexp, 3, 0, 47),
  [3067] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preinc_expression, 2, 0, 17),
  [3069] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preinc_expression, 2, 0, 17),
  [3071] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_preinc_expression, 2, 0, 17), SHIFT(1295),
  [3074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_relational_expression, 6, 0, 132),
  [3076] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_relational_expression, 6, 0, 132),
  [3078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_expression, 2, 0, 0),
  [3080] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_expression, 2, 0, 0),
  [3082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_eval_expression, 2, 0, 18),
  [3084] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_eval_expression, 2, 0, 18),
  [3086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_eval_expression, 2, 0, 0),
  [3088] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_eval_expression, 2, 0, 0),
  [3090] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_await_expression, 2, 0, 0),
  [3092] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_await_expression, 2, 0, 0),
  [3094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_localization_expression, 2, 0, 0),
  [3096] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_localization_expression, 2, 0, 0),
  [3098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arraylen, 2, 0, 0),
  [3100] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arraylen, 2, 0, 0),
  [3102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 4, 0, 56),
  [3104] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 4, 0, 56),
  [3106] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 4, 0, 57),
  [3108] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 4, 0, 57),
  [3110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_subroutine_expression, 4, 0, 58),
  [3112] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_subroutine_expression, 4, 0, 58),
  [3114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_subroutine_expression, 4, 0, 59),
  [3116] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_subroutine_expression, 4, 0, 59),
  [3118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_method_expression, 4, 0, 58),
  [3120] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_method_expression, 4, 0, 58),
  [3122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_method_expression, 4, 0, 59),
  [3124] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_method_expression, 4, 0, 59),
  [3126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_require_expression, 2, 0, 0),
  [3128] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_require_expression, 2, 0, 0),
  [3130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_require_version_expression, 2, 0, 19),
  [3132] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_require_version_expression, 2, 0, 19),
  [3134] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_map_grep_expression, 4, 0, 63),
  [3136] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_map_grep_expression, 4, 0, 63),
  [3138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 4, 0, 66),
  [3140] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 4, 0, 66),
  [3142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolated_string_literal, 4, 0, 66),
  [3144] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolated_string_literal, 4, 0, 66),
  [3146] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command_string, 4, 0, 66),
  [3148] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command_string, 4, 0, 66),
  [3150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_regexp, 4, 0, 67),
  [3152] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_regexp, 4, 0, 67),
  [3154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_regexp, 4, 0, 69),
  [3156] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_regexp, 4, 0, 69),
  [3158] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call_expression, 4, 0, 71),
  [3160] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call_expression, 4, 0, 71),
  [3162] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_expression, 4, 0, 77),
  [3164] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slice_expression, 4, 0, 77),
  [3166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_expression, 4, 0, 78),
  [3168] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slice_expression, 4, 0, 78),
  [3170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyval_expression, 4, 0, 77),
  [3172] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keyval_expression, 4, 0, 77),
  [3174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyval_expression, 4, 0, 78),
  [3176] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keyval_expression, 4, 0, 78),
  [3178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scalar_deref_expression, 4, 0, 0),
  [3180] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scalar_deref_expression, 4, 0, 0),
  [3182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_deref_expression, 4, 0, 0),
  [3184] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_deref_expression, 4, 0, 0),
  [3186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash_deref_expression, 4, 0, 0),
  [3188] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash_deref_expression, 4, 0, 0),
  [3190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_amper_deref_expression, 4, 0, 0),
  [3192] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_amper_deref_expression, 4, 0, 0),
  [3194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_glob_deref_expression, 4, 0, 0),
  [3196] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glob_deref_expression, 4, 0, 0),
  [3198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arraylen_deref_expression, 4, 0, 0),
  [3200] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arraylen_deref_expression, 4, 0, 0),
  [3202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ambiguous_function_call_expression, 4, 0, 80),
  [3204] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ambiguous_function_call_expression, 4, 0, 80),
  [3206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_glob_slot_expression, 4, 0, 0),
  [3208] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glob_slot_expression, 4, 0, 0),
  [3210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_regexp, 4, 0, 81),
  [3212] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_regexp, 4, 0, 81),
  [3214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_readline_expression, 2, 0, 9),
  [3216] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_readline_expression, 2, 0, 9),
  [3218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_subroutine_expression, 5, 0, 93),
  [3220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_subroutine_expression, 5, 0, 93),
  [3222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_method_expression, 5, 0, 93),
  [3224] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_method_expression, 5, 0, 93),
  [3226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sort_expression, 5, 0, 96),
  [3228] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sort_expression, 5, 0, 96),
  [3230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_regexp, 5, 0, 100),
  [3232] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_regexp, 5, 0, 100),
  [3234] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_regexp, 5, 0, 101),
  [3236] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_regexp, 5, 0, 101),
  [3238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_substitution_regexp, 5, 0, 102),
  [3240] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_substitution_regexp, 5, 0, 102),
  [3242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyval_expression, 6, 0, 133),
  [3244] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keyval_expression, 6, 0, 133),
  [3246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_transliteration_expression, 5, 0, 102),
  [3248] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_transliteration_expression, 5, 0, 102),
  [3250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call_expression, 5, 0, 105),
  [3252] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call_expression, 5, 0, 105),
  [3254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_call_expression, 5, 0, 44),
  [3256] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_call_expression, 5, 0, 44),
  [3258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 5, 0, 109),
  [3260] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 5, 0, 109),
  [3262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__tricky_indirob_hashref, 4, 0, 0),
  [3264] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__tricky_indirob_hashref, 4, 0, 0),
  [3266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_subroutine_expression, 5, 0, 112),
  [3268] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_subroutine_expression, 5, 0, 112),
  [3270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_subroutine_expression, 5, 0, 113),
  [3272] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_subroutine_expression, 5, 0, 113),
  [3274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_method_expression, 5, 0, 112),
  [3276] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_method_expression, 5, 0, 112),
  [3278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_method_expression, 5, 0, 113),
  [3280] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_method_expression, 5, 0, 113),
  [3282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_map_grep_expression, 6, 0, 122),
  [3284] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_map_grep_expression, 6, 0, 122),
  [3286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sort_expression, 6, 0, 122),
  [3288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sort_expression, 6, 0, 122),
  [3290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_substitution_regexp, 6, 0, 126),
  [3292] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_substitution_regexp, 6, 0, 126),
  [3294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_substitution_regexp, 6, 0, 127),
  [3296] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_substitution_regexp, 6, 0, 127),
  [3298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_transliteration_expression, 6, 0, 126),
  [3300] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_transliteration_expression, 6, 0, 126),
  [3302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_transliteration_expression, 6, 0, 129),
  [3304] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_transliteration_expression, 6, 0, 129),
  [3306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call_expression, 6, 0, 131),
  [3308] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call_expression, 6, 0, 131),
  [3310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 6, 0, 132),
  [3312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 6, 0, 132),
  [3314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_expression, 6, 0, 133),
  [3316] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slice_expression, 6, 0, 133),
  [3318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [3320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1428),
  [3322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3552),
  [3324] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attrlist_repeat1, 2, 0, 0), SHIFT_REPEAT(1428),
  [3327] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attrlist_repeat1, 2, 0, 0), SHIFT_REPEAT(3552),
  [3330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4120),
  [3332] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attrlist_repeat1, 2, 0, 0), SHIFT_REPEAT(1441),
  [3335] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attrlist_repeat1, 2, 0, 0), SHIFT_REPEAT(3422),
  [3338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1441),
  [3340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3422),
  [3342] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__term_rightward_repeat1, 2, 0, 0), SHIFT_REPEAT(10),
  [3345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [3347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1528),
  [3349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4116),
  [3351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(664),
  [3353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [3355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [3357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [3359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(592),
  [3361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(595),
  [3363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(598),
  [3365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(527),
  [3367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(599),
  [3369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(602),
  [3371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [3373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(603),
  [3375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(604),
  [3377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(608),
  [3379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(611),
  [3381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [3383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(617),
  [3385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [3387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [3389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [3391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [3393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [3395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1426),
  [3397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1425),
  [3399] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attrlist_repeat1, 2, 0, 0), SHIFT_REPEAT(1528),
  [3402] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attrlist_repeat1, 2, 0, 0), SHIFT_REPEAT(3561),
  [3405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [3407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(427),
  [3409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [3411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [3413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [3415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [3417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [3419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [3421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1771),
  [3423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3493),
  [3425] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attrlist_repeat1, 2, 0, 0), SHIFT_REPEAT(1771),
  [3428] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attrlist_repeat1, 2, 0, 0), SHIFT_REPEAT(3493),
  [3431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1662),
  [3433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3550),
  [3435] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attrlist_repeat1, 2, 0, 0), SHIFT_REPEAT(1662),
  [3438] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attrlist_repeat1, 2, 0, 0), SHIFT_REPEAT(3550),
  [3441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4121),
  [3443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [3445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [3447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [3449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(668),
  [3451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [3453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [3455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [3457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2649),
  [3459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(670),
  [3461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(671),
  [3463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(672),
  [3465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(669),
  [3467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(673),
  [3469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(674),
  [3471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [3473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(675),
  [3475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(676),
  [3477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(677),
  [3479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(678),
  [3481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [3483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(680),
  [3485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [3487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [3489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [3491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [3493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [3495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [3497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [3499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1744),
  [3501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [3503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1435),
  [3505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1436),
  [3507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1668),
  [3509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1671),
  [3511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1796),
  [3513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [3515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [3517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4013),
  [3519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1624),
  [3521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1693),
  [3523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1698),
  [3525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1728),
  [3527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1616),
  [3529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [3531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1617),
  [3533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [3535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3895),
  [3537] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__term_rightward_repeat1, 2, 0, 0), SHIFT_REPEAT(16),
  [3540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1708),
  [3542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1710),
  [3544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1619),
  [3546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1622),
  [3548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [3550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1701),
  [3552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [3554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [3556] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__term_rightward_repeat1, 2, 0, 0), SHIFT_REPEAT(55),
  [3559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [3561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [3563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [3565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1845),
  [3567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [3569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [3571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [3573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(470),
  [3575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4119),
  [3577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1889),
  [3579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1890),
  [3581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1876),
  [3583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1891),
  [3585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1892),
  [3587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1877),
  [3589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1907),
  [3591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1908),
  [3593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1857),
  [3595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1878),
  [3597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [3599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [3601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [3603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [3605] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_preinc_expression, 2, 0, 17), SHIFT(1649),
  [3608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1879),
  [3610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1871),
  [3612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3893),
  [3614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1979),
  [3616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4118),
  [3618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3949),
  [3620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [3622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [3624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1858),
  [3626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(621),
  [3628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [3630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [3632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2624),
  [3634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(626),
  [3636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(628),
  [3638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(630),
  [3640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(624),
  [3642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(633),
  [3644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(634),
  [3646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [3648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(636),
  [3650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(638),
  [3652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(640),
  [3654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(641),
  [3656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [3658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(643),
  [3660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [3662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [3664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [3666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [3668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1817),
  [3670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [3672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [3674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [3676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [3678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [3680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [3682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(452),
  [3684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [3686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [3688] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_preinc_expression, 2, 0, 17), SHIFT(1817),
  [3691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [3693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2170),
  [3695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2094),
  [3697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3973),
  [3699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [3701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [3703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2144),
  [3705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2149),
  [3707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter, 3, 0, 89),
  [3709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [3711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [3713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3950),
  [3715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [3717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2048),
  [3719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2049),
  [3721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2202),
  [3723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_parameter, 4, 0, 116),
  [3725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2203),
  [3727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2135),
  [3729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2196),
  [3731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2184),
  [3733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2185),
  [3735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2187),
  [3737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2093),
  [3739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2197),
  [3741] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__term_rightward_repeat1, 2, 0, 0), SHIFT_REPEAT(56),
  [3744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1580),
  [3746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1537),
  [3748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [3750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3897),
  [3752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [3754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(606),
  [3756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [3758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [3760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2611),
  [3762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(614),
  [3764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(616),
  [3766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(618),
  [3768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(610),
  [3770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(619),
  [3772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(620),
  [3774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [3776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(623),
  [3778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(625),
  [3780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(627),
  [3782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(629),
  [3784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [3786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(635),
  [3788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [3790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [3792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [3794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [3796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2293),
  [3798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [3800] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__term_rightward_repeat1, 2, 0, 0), SHIFT_REPEAT(57),
  [3803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2333),
  [3805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [3807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2363),
  [3809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2366),
  [3811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [3813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2223),
  [3815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2232),
  [3817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2233),
  [3819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2234),
  [3821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2238),
  [3823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(540),
  [3825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [3827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [3829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [3831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2594),
  [3833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(543),
  [3835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(544),
  [3837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(545),
  [3839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(542),
  [3841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(546),
  [3843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(547),
  [3845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [3847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(548),
  [3849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(549),
  [3851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(550),
  [3853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(551),
  [3855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [3857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(553),
  [3859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [3861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [3863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [3865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [3867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2153),
  [3869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [3871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [3873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2257),
  [3875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2258),
  [3877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2260),
  [3879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2261),
  [3881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2286),
  [3883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2287),
  [3885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [3887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4054),
  [3889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2369),
  [3891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1575),
  [3893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [3895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1586),
  [3897] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_preinc_expression, 2, 0, 17), SHIFT(2153),
  [3900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [3902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [3904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [3906] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_preinc_expression, 2, 0, 17), SHIFT(2293),
  [3909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [3911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [3913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [3915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [3917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(481),
  [3919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [3921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(500),
  [3923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [3925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [3927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [3929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(575),
  [3931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [3933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [3935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(577),
  [3937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(578),
  [3939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(579),
  [3941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(576),
  [3943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(580),
  [3945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(581),
  [3947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [3949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(582),
  [3951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(583),
  [3953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(584),
  [3955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(585),
  [3957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [3959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(587),
  [3961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [3963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [3965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [3967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [3969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [3971] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__term_rightward_repeat1, 2, 0, 0), SHIFT_REPEAT(71),
  [3974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [3976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [3978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [3980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [3982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(433),
  [3984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [3986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [3988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [3990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [3992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(443),
  [3994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [3996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [3998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [4000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [4002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [4004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [4006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [4008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [4010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [4012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [4014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [4016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [4018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [4020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [4022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2940),
  [4024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2650),
  [4026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2567),
  [4028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3810),
  [4030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2941),
  [4032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2935),
  [4034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2595),
  [4036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2565),
  [4038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2029),
  [4040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2894),
  [4042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1238),
  [4044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1545),
  [4046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1538),
  [4048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2000),
  [4050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1265),
  [4052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2083),
  [4054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2031),
  [4056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1645),
  [4058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1652),
  [4060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2986),
  [4062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2690),
  [4064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2558),
  [4066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2005),
  [4068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3010),
  [4070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1517),
  [4072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2012),
  [4074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1227),
  [4076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1243),
  [4078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1554),
  [4080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2098),
  [4082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1555),
  [4084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1937),
  [4086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1655),
  [4088] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_regexp_content, 2, 0, 0), SHIFT_REPEAT(2935),
  [4091] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_regexp_content, 2, 0, 0), SHIFT_REPEAT(2595),
  [4094] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_regexp_content, 2, 0, 0), SHIFT_REPEAT(2565),
  [4097] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_regexp_content, 2, 0, 0),
  [4099] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_regexp_content, 2, 0, 0), SHIFT_REPEAT(2894),
  [4102] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_regexp_content, 2, 0, 0), SHIFT_REPEAT(2940),
  [4105] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_regexp_content, 2, 0, 0), SHIFT_REPEAT(2650),
  [4108] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_regexp_content, 2, 0, 0), SHIFT_REPEAT(2567),
  [4111] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_regexp_content, 2, 0, 0), SHIFT_REPEAT(2941),
  [4114] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_content, 2, 0, 0), SHIFT_REPEAT(2986),
  [4117] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_content, 2, 0, 0), SHIFT_REPEAT(2690),
  [4120] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_content, 2, 0, 0), SHIFT_REPEAT(2558),
  [4123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_string_content, 2, 0, 0),
  [4125] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_content, 2, 0, 0), SHIFT_REPEAT(3010),
  [4128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3029),
  [4130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2750),
  [4132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2560),
  [4134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3021),
  [4136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4137),
  [4138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4138),
  [4140] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_content_repeat1, 2, 0, 0), SHIFT_REPEAT(3029),
  [4143] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_content_repeat1, 2, 0, 0), SHIFT_REPEAT(2750),
  [4146] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_content_repeat1, 2, 0, 0), SHIFT_REPEAT(2560),
  [4149] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_content_repeat1, 2, 0, 0), SHIFT_REPEAT(3021),
  [4152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_heredoc_content_repeat1, 2, 0, 0),
  [4154] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__term_rightward_repeat1, 2, 0, 0), SHIFT_REPEAT(154),
  [4157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1774),
  [4159] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 1, 0, 0),
  [4161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [4163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [4165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(304),
  [4167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [4169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1191),
  [4171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1192),
  [4173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2151),
  [4175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1329),
  [4177] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression_statement, 1, 0, 0), SHIFT(4006),
  [4180] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression_statement, 1, 0, 0), SHIFT(3883),
  [4183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1840),
  [4185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2289),
  [4187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3446),
  [4189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3445),
  [4191] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression_statement, 1, 0, 0), SHIFT(4112),
  [4194] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression_statement, 1, 0, 0), SHIFT(4043),
  [4197] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression_statement, 1, 0, 0), SHIFT(3889),
  [4200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3475),
  [4202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2758),
  [4204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(984),
  [4206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2606),
  [4208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3015),
  [4210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2759),
  [4212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3015),
  [4214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3012),
  [4216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lowprec_logical_expression, 3, 0, 40),
  [4218] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lowprec_logical_expression, 3, 0, 40),
  [4220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2824),
  [4222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2623),
  [4224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3041),
  [4226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2806),
  [4228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3041),
  [4230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3039),
  [4232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expr, 1, 0, 0),
  [4234] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expr, 1, 0, 0),
  [4236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_expression, 1, 0, 0),
  [4238] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_expression, 1, 0, 0),
  [4240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__listexpr, 1, 0, 0),
  [4242] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__listexpr, 1, 0, 0),
  [4244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2655),
  [4246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2629),
  [4248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2948),
  [4250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2600),
  [4252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2948),
  [4254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2883),
  [4256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2653),
  [4258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2636),
  [4260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2884),
  [4262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2587),
  [4264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2884),
  [4266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2878),
  [4268] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__interpolations, 1, 0, 0),
  [4270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__interpolations, 1, 0, 0),
  [4272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3000),
  [4274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [4276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [4278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2979),
  [4280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [4282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [4284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3358),
  [4286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3376),
  [4288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3512),
  [4290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3613),
  [4292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3617),
  [4294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2736),
  [4296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3334),
  [4298] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_signature_repeat1, 2, 0, 0), SHIFT_REPEAT(3834),
  [4301] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_signature_repeat1, 2, 0, 0), SHIFT_REPEAT(2841),
  [4304] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_signature_repeat1, 2, 0, 0), SHIFT_REPEAT(3032),
  [4307] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_signature_repeat1, 2, 0, 0),
  [4309] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_signature_repeat1, 2, 0, 0), SHIFT_REPEAT(3018),
  [4312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2915),
  [4314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3699),
  [4316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3700),
  [4318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3834),
  [4320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2841),
  [4322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3032),
  [4324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4018),
  [4326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3018),
  [4328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3865),
  [4330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3631),
  [4332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3632),
  [4334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2890),
  [4336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2995),
  [4338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3913),
  [4340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2959),
  [4342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3427),
  [4344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2590),
  [4346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3429),
  [4348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3568),
  [4350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2003),
  [4352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [4354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2656),
  [4356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3750),
  [4358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [4360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [4362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3753),
  [4364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3317),
  [4366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3858),
  [4368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3956),
  [4370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2893),
  [4372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2905),
  [4374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2645),
  [4376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2912),
  [4378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2906),
  [4380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1942),
  [4382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2635),
  [4384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2212),
  [4386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1620),
  [4388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1213),
  [4390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2620),
  [4392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1383),
  [4394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1199),
  [4396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2708),
  [4398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3891),
  [4400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2095),
  [4402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [4404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2601),
  [4406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3755),
  [4408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [4410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [4412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3757),
  [4414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3173),
  [4416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3828),
  [4418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3966),
  [4420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2938),
  [4422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2647),
  [4424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2946),
  [4426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2942),
  [4428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1503),
  [4430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2646),
  [4432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1864),
  [4434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1505),
  [4436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2972),
  [4438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [4440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [4442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2916),
  [4444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1500),
  [4446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2618),
  [4448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1442),
  [4450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1443),
  [4452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1200),
  [4454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2856),
  [4456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1604),
  [4458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [4460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2615),
  [4462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3651),
  [4464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [4466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [4468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3653),
  [4470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3204),
  [4472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3813),
  [4474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3905),
  [4476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1261),
  [4478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [4480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2602),
  [4482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3684),
  [4484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [4486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [4488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3696),
  [4490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3166),
  [4492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3802),
  [4494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3868),
  [4496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(708),
  [4498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2627),
  [4500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(735),
  [4502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [4504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(693),
  [4506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2628),
  [4508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(691),
  [4510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [4512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2605),
  [4514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(809),
  [4516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2630),
  [4518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(805),
  [4520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [4522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3036),
  [4524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2637),
  [4526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3028),
  [4528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3038),
  [4530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(799),
  [4532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2632),
  [4534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(797),
  [4536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [4538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(842),
  [4540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2633),
  [4542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(845),
  [4544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [4546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(827),
  [4548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2634),
  [4550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(823),
  [4552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [4554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1623),
  [4556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2588),
  [4558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3049),
  [4560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2954),
  [4562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2638),
  [4564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2962),
  [4566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2973),
  [4568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(866),
  [4570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2639),
  [4572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(879),
  [4574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [4576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(849),
  [4578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2640),
  [4580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(852),
  [4582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [4584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(791),
  [4586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2642),
  [4588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(783),
  [4590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [4592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(778),
  [4594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2643),
  [4596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(770),
  [4598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [4600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2932),
  [4602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1507),
  [4604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2947),
  [4606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1726),
  [4608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1559),
  [4610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [4612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2648),
  [4614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3761),
  [4616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [4618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [4620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3772),
  [4622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3150),
  [4624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3825),
  [4626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3874),
  [4628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2920),
  [4630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2952),
  [4632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1745),
  [4634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2663),
  [4636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2063),
  [4638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1621),
  [4640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2891),
  [4642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2987),
  [4644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1680),
  [4646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2990),
  [4648] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__subscripted_interpolations, 1, 0, 5),
  [4650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__subscripted_interpolations, 1, 0, 5),
  [4652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3356),
  [4654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3332),
  [4656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3315),
  [4658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2174),
  [4660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [4662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3339),
  [4664] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__subscripted_interpolations, 1, 0, 6),
  [4666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__subscripted_interpolations, 1, 0, 6),
  [4668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2105),
  [4670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4094),
  [4672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2999),
  [4674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1829),
  [4676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [4678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [4680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1584),
  [4682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1846),
  [4684] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__term_rightward_repeat1, 2, 0, 0), SHIFT_REPEAT(155),
  [4687] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__hash_element_interpolation, 5, 0, 106),
  [4689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__hash_element_interpolation, 5, 0, 106),
  [4691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [4693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [4695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2130),
  [4697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3031),
  [4699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [4701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [4703] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__decl_variable_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3356),
  [4706] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__decl_variable_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3332),
  [4709] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__decl_variable_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3315),
  [4712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__decl_variable_list_repeat1, 2, 0, 0),
  [4714] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__decl_variable_list_repeat1, 2, 0, 0), SHIFT_REPEAT(414),
  [4717] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__decl_variable_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3339),
  [4720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1268),
  [4722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [4724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [4726] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__array_element_interpolation, 4, 0, 84),
  [4728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_element_interpolation, 4, 0, 84),
  [4730] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__hash_element_interpolation, 4, 0, 85),
  [4732] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__hash_element_interpolation, 4, 0, 85),
  [4734] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__array_element_interpolation, 4, 0, 74),
  [4736] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_element_interpolation, 4, 0, 74),
  [4738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1556),
  [4740] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__hash_element_interpolation, 4, 0, 72),
  [4742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__hash_element_interpolation, 4, 0, 72),
  [4744] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__array_element_interpolation, 5, 0, 108),
  [4746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_element_interpolation, 5, 0, 108),
  [4748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2956),
  [4750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [4752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [4754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1266),
  [4756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2081),
  [4758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3063),
  [4760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [4762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3705),
  [4764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2576),
  [4766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3775),
  [4768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3079),
  [4770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3746),
  [4772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3779),
  [4774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3605),
  [4776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3607),
  [4778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3637),
  [4780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3708),
  [4782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3601),
  [4784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3784),
  [4786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3795),
  [4788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3712),
  [4790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3640),
  [4792] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_transliteration_content, 2, 0, 0), SHIFT_REPEAT(2995),
  [4795] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_transliteration_content, 2, 0, 0), SHIFT_REPEAT(3913),
  [4798] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_transliteration_content, 2, 0, 0),
  [4800] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_transliteration_content, 2, 0, 0), SHIFT_REPEAT(2959),
  [4803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3590),
  [4805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3733),
  [4807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3649),
  [4809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3652),
  [4811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3603),
  [4813] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_transliteration_content, 2, 0, 0), SHIFT_REPEAT(2986),
  [4816] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_transliteration_content, 2, 0, 0), SHIFT_REPEAT(4094),
  [4819] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_transliteration_content, 2, 0, 0), SHIFT_REPEAT(2999),
  [4822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3624),
  [4824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3767),
  [4826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3770),
  [4828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3654),
  [4830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3667),
  [4832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3606),
  [4834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3669),
  [4836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3623),
  [4838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3609),
  [4840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3689),
  [4842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3776),
  [4844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [4846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [4848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3692),
  [4850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3710),
  [4852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3040),
  [4854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3796),
  [4856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3681),
  [4858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3635),
  [4860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3005),
  [4862] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mandatory_parameter, 1, 0, 30),
  [4864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [4866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3588),
  [4868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3687),
  [4870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3690),
  [4872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [4874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [4876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3628),
  [4878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3734),
  [4880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3737),
  [4882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3738),
  [4884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3735),
  [4886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3593),
  [4888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3778),
  [4890] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__slice_expression_interpolation, 4, 0, 86),
  [4892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3586),
  [4894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2786),
  [4896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3642),
  [4898] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__interpolations, 1, 0, 7),
  [4900] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__interpolations, 1, 0, 8),
  [4902] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__interpolation_fallbacks, 1, 0, 0),
  [4904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__slice_expression_interpolation, 6, 0, 133),
  [4906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2790),
  [4908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1995),
  [4910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2785),
  [4912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3300),
  [4914] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quotelike_begin, 1, 0, 0),
  [4916] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__interpolation_fallbacks, 2, 0, 0),
  [4918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2835),
  [4920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__slice_expression_interpolation, 6, 0, 51),
  [4922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__braced_scalar, 3, 0, 0),
  [4924] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__braced_array, 3, 0, 0),
  [4926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__interpolation_fallbacks, 3, 0, 50),
  [4928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_regexp_content, 1, 0, 0),
  [4930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__scalar_deref_interpolation, 3, 0, 0),
  [4932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2793),
  [4934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2801),
  [4936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3671),
  [4938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2797),
  [4940] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__interpolation_fallbacks, 4, 0, 50),
  [4942] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__slice_expression_interpolation, 4, 0, 87),
  [4944] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_deref_interpolation, 3, 0, 51),
  [4946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [4948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [4950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [4952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [4954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2858),
  [4956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2860),
  [4958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__search_slash, 1, 0, 0),
  [4960] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__nonvar_interpolation_fallbacks, 1, 0, 4),
  [4962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2840),
  [4964] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__interp_arrow, 1, 0, 0),
  [4966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2631),
  [4968] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__interp_arrow, 1, 0, 0), SHIFT(4068),
  [4971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__interp_arrow, 1, 0, 0),
  [4973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3044),
  [4975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3044),
  [4977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3368),
  [4979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3333),
  [4981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2719),
  [4983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3337),
  [4985] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_transliteration_content, 1, 0, 0),
  [4987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3574),
  [4989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3435),
  [4991] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attrlist_repeat1, 2, 0, 0), SHIFT_REPEAT(3079),
  [4994] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attrlist_repeat1, 2, 0, 0), SHIFT_REPEAT(3435),
  [4997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2652),
  [4999] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__interp_arrow, 1, 0, 0), SHIFT(4111),
  [5002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2993),
  [5004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2993),
  [5006] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__term_rightward_repeat1, 2, 0, 0), SHIFT_REPEAT(171),
  [5009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2614),
  [5011] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__interp_arrow, 1, 0, 0), SHIFT(3974),
  [5014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2917),
  [5016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2917),
  [5018] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_postfix_for_expression, 3, 0, 41),
  [5020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [5022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [5024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3377),
  [5026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3335),
  [5028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2692),
  [5030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3340),
  [5032] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quotation_mark, 1, 0, 0),
  [5034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__backtick, 1, 0, 0),
  [5036] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attrlist_repeat1, 2, 0, 0), SHIFT_REPEAT(3063),
  [5039] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attrlist_repeat1, 2, 0, 0), SHIFT_REPEAT(3574),
  [5042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_postfix_conditional_expression, 3, 0, 42),
  [5044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2598),
  [5046] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__interp_arrow, 1, 0, 0), SHIFT(4015),
  [5049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2892),
  [5051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2892),
  [5053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_postfix_loop_expression, 3, 0, 42),
  [5055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_parameter, 2, 0, 0),
  [5057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [5059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quotelike_middle, 2, 0, 0),
  [5061] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__signature_varname, 1, 0, 53),
  [5063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__signature_scalar, 2, 0, 0),
  [5065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [5067] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_string_content, 1, 0, 0),
  [5069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3370),
  [5071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3374),
  [5073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2698),
  [5075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3379),
  [5077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3354),
  [5079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3357),
  [5081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2777),
  [5083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3360),
  [5085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slurpy_parameter, 1, 0, 32),
  [5087] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attrlist_repeat1, 2, 0, 0), SHIFT_REPEAT(3300),
  [5090] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attrlist_repeat1, 2, 0, 0), SHIFT_REPEAT(3455),
  [5093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_heredoc_content_repeat1, 1, 0, 0),
  [5095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4037),
  [5097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3899),
  [5099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3917),
  [5101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4022),
  [5103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3886),
  [5105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4056),
  [5107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slurpy_parameter, 1, 0, 31),
  [5109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3455),
  [5111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2852),
  [5113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3702),
  [5115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3502),
  [5117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2803),
  [5119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3612),
  [5121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2855),
  [5123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3704),
  [5125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2821),
  [5127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3641),
  [5129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2825),
  [5131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3666),
  [5133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2783),
  [5135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3672),
  [5137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2828),
  [5139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3674),
  [5141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2812),
  [5143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3709),
  [5145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2813),
  [5147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3714),
  [5149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4099),
  [5151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2834),
  [5153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3787),
  [5155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2836),
  [5157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3596),
  [5159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2786),
  [5161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2822),
  [5163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3739),
  [5165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2862),
  [5167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3741),
  [5169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2801),
  [5171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2784),
  [5173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2787),
  [5175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4070),
  [5177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2853),
  [5179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3611),
  [5181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2819),
  [5183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3771),
  [5185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2795),
  [5187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3752),
  [5189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2842),
  [5191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3630),
  [5193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2849),
  [5195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3650),
  [5197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2796),
  [5199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3707),
  [5201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2839),
  [5203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3742),
  [5205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2837),
  [5207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2800),
  [5209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3621),
  [5211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2802),
  [5213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3610),
  [5215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2857),
  [5217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3629),
  [5219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2830),
  [5221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2854),
  [5223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3614),
  [5225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2788),
  [5227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3715),
  [5229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2789),
  [5231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3723),
  [5233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2757),
  [5235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3731),
  [5237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [5239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3815),
  [5241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2793),
  [5243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2797),
  [5245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2794),
  [5247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2805),
  [5249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2817),
  [5251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3782),
  [5253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2820),
  [5255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3786),
  [5257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2831),
  [5259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2826),
  [5261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2838),
  [5263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2811),
  [5265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2814),
  [5267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2816),
  [5269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3751),
  [5271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2818),
  [5273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3756),
  [5275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2845),
  [5277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2846),
  [5279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2792),
  [5281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3602),
  [5283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2798),
  [5285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3604),
  [5287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2832),
  [5289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [5291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [5293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2910),
  [5295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3730),
  [5297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3587),
  [5299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__signature_array, 2, 0, 0),
  [5301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3732),
  [5303] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__signature_hash, 2, 0, 0),
  [5305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [5307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2691),
  [5309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1730),
  [5311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3766),
  [5313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1093),
  [5315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3745),
  [5317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3768),
  [5319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3748),
  [5321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3618),
  [5323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2694),
  [5325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [5327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3933),
  [5329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2148),
  [5331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2926),
  [5333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3636),
  [5335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2689),
  [5337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2217),
  [5339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3620),
  [5341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yadayada, 1, 0, 0),
  [5343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3639),
  [5345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3788),
  [5347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3790),
  [5349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2705),
  [5351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1867),
  [5353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3647),
  [5355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3616),
  [5357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2362),
  [5359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1970),
  [5361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3648),
  [5363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3765),
  [5365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3676),
  [5367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3677),
  [5369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3769),
  [5371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1607),
  [5373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3633),
  [5375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [5377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2877),
  [5379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3773),
  [5381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3774),
  [5383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3688),
  [5385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3659),
  [5387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3691),
  [5389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3701),
  [5391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3662),
  [5393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3703),
  [5395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3589),
  [5397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3592),
  [5399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3760),
  [5401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3763),
  [5403] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__postfix_expressions, 1, 0, 0),
  [5405] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__signature_vars, 1, 0, 0),
  [5407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_signature_repeat1, 1, 0, 0),
  [5409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2641),
  [5411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3686),
  [5413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3698),
  [5415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3720),
  [5417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3660),
  [5419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3764),
  [5421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3721),
  [5423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4114),
  [5425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3792),
  [5427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__decl_variable_list_repeat1, 1, 0, 0),
  [5429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3722),
  [5431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2764),
  [5433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2076),
  [5435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3724),
  [5437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3678),
  [5439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3680),
  [5441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3661),
  [5443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3646),
  [5445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4134),
  [5447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [5449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3848),
  [5451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [5453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3050),
  [5455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3019),
  [5457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3114),
  [5459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3115),
  [5461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1576),
  [5463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3873),
  [5465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2078),
  [5467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3958),
  [5469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1241),
  [5471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4125),
  [5473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1826),
  [5475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3906),
  [5477] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__term_rightward_repeat1, 2, 0, 0), SHIFT_REPEAT(395),
  [5480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3951),
  [5482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3121),
  [5484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3122),
  [5486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [5488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3850),
  [5490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [5492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2895),
  [5494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2911),
  [5496] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__for_initializer_repeat1, 2, 0, 0), SHIFT_REPEAT(2757),
  [5499] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__for_initializer_repeat1, 2, 0, 0), SHIFT_REPEAT(3646),
  [5502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__for_initializer_repeat1, 2, 0, 0),
  [5504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2903),
  [5506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2904),
  [5508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3644),
  [5510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3645),
  [5512] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__SUB_AMPER, 1, 0, 0),
  [5514] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_subroutine_declaration_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3512),
  [5517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_subroutine_declaration_statement_repeat1, 2, 0, 0),
  [5519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [5521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3854),
  [5523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [5525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2918),
  [5527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2919),
  [5529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2175),
  [5531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4122),
  [5533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3106),
  [5535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3108),
  [5537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2898),
  [5539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2901),
  [5541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__noninterpolated_string_content, 2, 0, 0),
  [5543] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__noninterpolated_string_content, 2, 0, 0), SHIFT_REPEAT(3587),
  [5546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3104),
  [5548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3105),
  [5550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2930),
  [5552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2931),
  [5554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3716),
  [5556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3717),
  [5558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3074),
  [5560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3075),
  [5562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [5564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3842),
  [5566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [5568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2994),
  [5570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2996),
  [5572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3595),
  [5574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3665),
  [5576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3896),
  [5578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_signature_repeat1, 3, 0, 0),
  [5580] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__term_rightward_repeat1, 2, 0, 0), SHIFT_REPEAT(388),
  [5583] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__noninterpolated_string_content, 2, 0, 0), SHIFT_REPEAT(3502),
  [5586] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__GLOB_STAR, 1, 0, 0),
  [5588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [5590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1952),
  [5592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [5594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [5596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1209),
  [5598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2008),
  [5600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2047),
  [5602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1210),
  [5604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1493),
  [5606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1494),
  [5608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1596),
  [5610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1834),
  [5612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1496),
  [5614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1723),
  [5616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1725),
  [5618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1380),
  [5620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2026),
  [5622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1772),
  [5624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1498),
  [5626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1515),
  [5628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1502),
  [5630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1519),
  [5632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1861),
  [5634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1863),
  [5636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [5638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2843),
  [5640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1525),
  [5642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2971),
  [5644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1509),
  [5646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2833),
  [5648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1880),
  [5650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1513),
  [5652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1514),
  [5654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1382),
  [5656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1516),
  [5658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1711),
  [5660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1804),
  [5662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1893),
  [5664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1896),
  [5666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1898),
  [5668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1901),
  [5670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1909),
  [5672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1721),
  [5674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2059),
  [5676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2062),
  [5678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1738),
  [5680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [5682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3706),
  [5684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3510),
  [5686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2742),
  [5688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2908),
  [5690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2744),
  [5692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2933),
  [5694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3046),
  [5696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2936),
  [5698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [5700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1499),
  [5702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1613),
  [5704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2165),
  [5706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1643),
  [5708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1644),
  [5710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1792),
  [5712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1450),
  [5714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2761),
  [5716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1474),
  [5718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1565),
  [5720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1702),
  [5722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2129),
  [5724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2069),
  [5726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2965),
  [5728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2922),
  [5730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3498),
  [5732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2980),
  [5734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2074),
  [5736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2114),
  [5738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3682),
  [5740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1216),
  [5742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2897),
  [5744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1712),
  [5746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3615),
  [5748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3460),
  [5750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3545),
  [5752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3490),
  [5754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2051),
  [5756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3713),
  [5758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3513),
  [5760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3726),
  [5762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2808),
  [5764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1401),
  [5766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1478),
  [5768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1219),
  [5770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1220),
  [5772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1625),
  [5774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1630),
  [5776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1289),
  [5778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__apostrophe, 1, 0, 0),
  [5780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1632),
  [5782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1635),
  [5784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__noninterpolated_string_content, 1, 0, 0),
  [5786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2975),
  [5788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2086),
  [5790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2246),
  [5792] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_subroutine_declaration_statement_repeat1, 1, 0, 0),
  [5794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1672),
  [5796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3600),
  [5798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3450),
  [5800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2945),
  [5802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3459),
  [5804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2102),
  [5806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3655),
  [5808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3478),
  [5810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3664),
  [5812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1315),
  [5814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1951),
  [5816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1224),
  [5818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3783),
  [5820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1250),
  [5822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1954),
  [5824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2209),
  [5826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2211),
  [5828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3581),
  [5830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2880),
  [5832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1956),
  [5834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1415),
  [5836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1341),
  [5838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2766),
  [5840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [5842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2863),
  [5844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1319),
  [5846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2769),
  [5848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1957),
  [5850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3043),
  [5852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1546),
  [5854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2206),
  [5856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1959),
  [5858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1960),
  [5860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2753),
  [5862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1961),
  [5864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1257),
  [5866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__hash_key, 1, 0, 0),
  [5868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2263),
  [5870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2266),
  [5872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2269),
  [5874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2272),
  [5876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2889),
  [5878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2288),
  [5880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3500),
  [5882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3480),
  [5884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3199),
  [5886] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__for_initializer_repeat1, 1, 0, 0),
  [5888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [5890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [5892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1865),
  [5894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [5896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [5898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1866),
  [5900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [5902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [5904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1384),
  [5906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [5908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [5910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1385),
  [5912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3329),
  [5914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [5916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [5918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2064),
  [5920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [5922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [5924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2073),
  [5926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [5928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [5930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2213),
  [5932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [5934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [5936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2216),
  [5938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [5940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [5942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1727),
  [5944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [5946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [5948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1729),
  [5950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3004),
  [5952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3754),
  [5954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4071),
  [5956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [5958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1387),
  [5960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3146),
  [5962] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quotelike_middle_close, 1, 0, 0),
  [5964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1731),
  [5966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1732),
  [5968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [5970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1868),
  [5972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [5974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [5976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1240),
  [5978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [5980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [5982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1971),
  [5984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1972),
  [5986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [5988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1735),
  [5990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [5992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [5994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [5996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2219),
  [5998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1582),
  [6000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2150),
  [6002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2155),
  [6004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1299),
  [6006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1308),
  [6008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2122),
  [6010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3806),
  [6012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1872),
  [6014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2315),
  [6016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2292),
  [6018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [6020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [6022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [6024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [6026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [6028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [6030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [6032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [6034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [6036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [6038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [6040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [6042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [6044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [6046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [6048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [6050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2154),
  [6052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [6054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [6056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [6058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [6060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [6062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [6064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [6066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [6068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [6070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [6072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [6074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [6076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [6078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [6080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [6082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [6084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [6086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2077),
  [6088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2767),
  [6090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [6092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1214),
  [6094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2944),
  [6096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2071),
  [6098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1743),
  [6100] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_signature, 3, 0, 0),
  [6102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1900),
  [6104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1388),
  [6106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1862),
  [6108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [6110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1495),
  [6112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [6114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1736),
  [6116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3007),
  [6118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1902),
  [6120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1903),
  [6122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4024),
  [6124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4105),
  [6126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2949),
  [6128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1944),
  [6130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2036),
  [6132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1472),
  [6134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2038),
  [6136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4078),
  [6138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2371),
  [6140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2710),
  [6142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1882),
  [6144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1906),
  [6146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1719),
  [6148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1833),
  [6150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2112),
  [6152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [6154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [6156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1508),
  [6158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [6160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1536),
  [6162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2968),
  [6164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4034),
  [6166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2760),
  [6168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2056),
  [6170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1805),
  [6172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [6174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2177),
  [6176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_initializer, 2, 0, 11),
  [6178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_initializer, 1, 0, 23),
  [6180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2951),
  [6182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2963),
  [6184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1709),
  [6186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [6188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3930),
  [6190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3953),
  [6192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1634),
  [6194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1870),
  [6196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1675),
  [6198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2055),
  [6200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2791),
  [6202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1950),
  [6204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2061),
  [6206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1390),
  [6208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [6210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2577),
  [6212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1409),
  [6214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1722),
  [6216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1410),
  [6218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4095),
  [6220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1953),
  [6222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2168),
  [6224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2115),
  [6226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1887),
  [6228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1888),
  [6230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2171),
  [6232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1724),
  [6234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2807),
  [6236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2208),
  [6238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2210),
  [6240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [6242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2037),
  [6244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_initializer, 4, 0, 97),
  [6246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 2, 0, 0),
  [6248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3299),
  [6250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1615),
  [6252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1936),
  [6254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2084),
  [6256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [6258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2087),
  [6260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3879),
  [6262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2117),
  [6264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1470),
  [6266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1784),
  [6268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1636),
  [6270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2220),
  [6272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__tricky_list, 3, 0, 0),
  [6274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [6276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2222),
  [6278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1940),
  [6280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1860),
  [6282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2592),
  [6284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [6286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1416),
  [6288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [6290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1417),
  [6292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3884),
  [6294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1379),
  [6296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [6298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [6300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1399),
  [6302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3955),
  [6304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3048),
  [6306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1304),
  [6308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1318),
  [6310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3970),
  [6312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [6314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [6316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4001),
  [6318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1328),
  [6320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1354),
  [6322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4039),
  [6324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2943),
  [6326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1432),
  [6328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2770),
  [6330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2657),
  [6332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1404),
  [6334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1473),
  [6336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1637),
  [6338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1631),
  [6340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1799),
  [6342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2123),
  [6344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_signature, 2, 0, 0),
  [6346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2231),
  [6348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2067),
  [6350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [6352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3033),
  [6354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2743),
  [6356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1381),
  [6358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2909),
  [6360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1218),
  [6362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1958),
  [6364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3343),
  [6366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2579),
  [6368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3872),
  [6370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1543),
  [6372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__brace_autoquoted, 1, 0, 43),
  [6374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1606),
  [6376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2249),
  [6378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1610),
  [6380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1823),
  [6382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2747),
  [6384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1875),
  [6386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2982),
  [6388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1492),
  [6390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2245),
  [6392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2707),
  [6394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1181),
  [6396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3486),
  [6398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [6400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [6402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1638),
  [6404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2255),
  [6406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2256),
  [6408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1894),
  [6410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [6412] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [6414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1278),
  [6416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1895),
  [6418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3918),
  [6420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_initializer, 5, 0, 123),
  [6422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1314),
  [6424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2827),
  [6426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2804),
  [6428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2264),
  [6430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2265),
  [6432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [6434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2268),
  [6436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2934),
  [6438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2271),
  [6440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2873),
  [6442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2273),
  [6444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2274),
  [6446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1628),
  [6448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1629),
  [6450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [6452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1395),
  [6454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2888),
  [6456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4101),
  [6458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2701),
  [6460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2974),
  [6462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [6464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2285),
  [6466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3880),
  [6468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [6470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1207),
  [6472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1512),
  [6474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1665),
  [6476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3248),
  [6478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2604),
  [6480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [6482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2937),
  [6484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3936),
  [6486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [6488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1618),
  [6490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1897),
  [6492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3902),
  [6494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3979),
  [6496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3985),
  [6498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3990),
  [6500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3994),
  [6502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3998),
  [6504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [6506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [6508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [6510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [6512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1534),
  [6514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [6516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [6518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [6520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [6522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_initializer, 3, 0, 65),
  [6524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3034),
  [6526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_content, 3, 0, 0),
  [6528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_content, 2, 0, 0),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__single_quote = 0,
  ts_external_token__double_quote = 1,
  ts_external_token__backtick_quote = 2,
  ts_external_token__search_slash_quote = 3,
  ts_external_token__no_search_slash_plz = 4,
  ts_external_token__open_readline_bracket = 5,
  ts_external_token__open_fileglob_bracket = 6,
  ts_external_token__PERLY_SEMICOLON = 7,
  ts_external_token__PERLY_HEREDOC = 8,
  ts_external_token__ctrl_z_hack = 9,
  ts_external_token__quotelike_begin_quote = 10,
  ts_external_token__quotelike_middle_close_quote = 11,
  ts_external_token__quotelike_middle_skip = 12,
  ts_external_token__quotelike_end_zw = 13,
  ts_external_token__quotelike_end_quote = 14,
  ts_external_token__q_string_content = 15,
  ts_external_token__qq_string_content = 16,
  ts_external_token_escape_sequence = 17,
  ts_external_token_escaped_delimiter = 18,
  ts_external_token__dollar_in_regexp = 19,
  ts_external_token_pod = 20,
  ts_external_token__gobbled_content = 21,
  ts_external_token__attribute_value_begin = 22,
  ts_external_token_attribute_value = 23,
  ts_external_token_prototype = 24,
  ts_external_token__signature_start = 25,
  ts_external_token__heredoc_delimiter = 26,
  ts_external_token__command_heredoc_delimiter = 27,
  ts_external_token__heredoc_start = 28,
  ts_external_token__heredoc_middle = 29,
  ts_external_token_heredoc_end = 30,
  ts_external_token__fat_comma_autoquoted = 31,
  ts_external_token__filetest = 32,
  ts_external_token__brace_autoquoted_token = 33,
  ts_external_token__brace_end_zw = 34,
  ts_external_token__dollar_ident_zw = 35,
  ts_external_token__no_interp_whitespace_zw = 36,
  ts_external_token__NONASSOC = 37,
  ts_external_token__ERROR = 38,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__single_quote] = sym__single_quote,
  [ts_external_token__double_quote] = sym__double_quote,
  [ts_external_token__backtick_quote] = sym__backtick_quote,
  [ts_external_token__search_slash_quote] = sym__search_slash_quote,
  [ts_external_token__no_search_slash_plz] = sym__no_search_slash_plz,
  [ts_external_token__open_readline_bracket] = sym__open_readline_bracket,
  [ts_external_token__open_fileglob_bracket] = sym__open_fileglob_bracket,
  [ts_external_token__PERLY_SEMICOLON] = sym__PERLY_SEMICOLON,
  [ts_external_token__PERLY_HEREDOC] = sym__PERLY_HEREDOC,
  [ts_external_token__ctrl_z_hack] = sym__ctrl_z_hack,
  [ts_external_token__quotelike_begin_quote] = sym__quotelike_begin_quote,
  [ts_external_token__quotelike_middle_close_quote] = sym__quotelike_middle_close_quote,
  [ts_external_token__quotelike_middle_skip] = sym__quotelike_middle_skip,
  [ts_external_token__quotelike_end_zw] = sym__quotelike_end_zw,
  [ts_external_token__quotelike_end_quote] = sym__quotelike_end_quote,
  [ts_external_token__q_string_content] = sym__q_string_content,
  [ts_external_token__qq_string_content] = sym__qq_string_content,
  [ts_external_token_escape_sequence] = sym_escape_sequence,
  [ts_external_token_escaped_delimiter] = sym_escaped_delimiter,
  [ts_external_token__dollar_in_regexp] = sym__dollar_in_regexp,
  [ts_external_token_pod] = sym_pod,
  [ts_external_token__gobbled_content] = sym__gobbled_content,
  [ts_external_token__attribute_value_begin] = sym__attribute_value_begin,
  [ts_external_token_attribute_value] = sym_attribute_value,
  [ts_external_token_prototype] = sym_prototype,
  [ts_external_token__signature_start] = sym__signature_start,
  [ts_external_token__heredoc_delimiter] = sym__heredoc_delimiter,
  [ts_external_token__command_heredoc_delimiter] = sym__command_heredoc_delimiter,
  [ts_external_token__heredoc_start] = sym__heredoc_start,
  [ts_external_token__heredoc_middle] = sym__heredoc_middle,
  [ts_external_token_heredoc_end] = sym_heredoc_end,
  [ts_external_token__fat_comma_autoquoted] = sym__fat_comma_autoquoted,
  [ts_external_token__filetest] = sym__filetest,
  [ts_external_token__brace_autoquoted_token] = sym__brace_autoquoted_token,
  [ts_external_token__brace_end_zw] = sym__brace_end_zw,
  [ts_external_token__dollar_ident_zw] = sym__dollar_ident_zw,
  [ts_external_token__no_interp_whitespace_zw] = sym__no_interp_whitespace_zw,
  [ts_external_token__NONASSOC] = sym__NONASSOC,
  [ts_external_token__ERROR] = sym__ERROR,
};

static const bool ts_external_scanner_states[46][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__single_quote] = true,
    [ts_external_token__double_quote] = true,
    [ts_external_token__backtick_quote] = true,
    [ts_external_token__search_slash_quote] = true,
    [ts_external_token__no_search_slash_plz] = true,
    [ts_external_token__open_readline_bracket] = true,
    [ts_external_token__open_fileglob_bracket] = true,
    [ts_external_token__PERLY_SEMICOLON] = true,
    [ts_external_token__PERLY_HEREDOC] = true,
    [ts_external_token__ctrl_z_hack] = true,
    [ts_external_token__quotelike_begin_quote] = true,
    [ts_external_token__quotelike_middle_close_quote] = true,
    [ts_external_token__quotelike_middle_skip] = true,
    [ts_external_token__quotelike_end_zw] = true,
    [ts_external_token__quotelike_end_quote] = true,
    [ts_external_token__q_string_content] = true,
    [ts_external_token__qq_string_content] = true,
    [ts_external_token_escape_sequence] = true,
    [ts_external_token_escaped_delimiter] = true,
    [ts_external_token__dollar_in_regexp] = true,
    [ts_external_token_pod] = true,
    [ts_external_token__gobbled_content] = true,
    [ts_external_token__attribute_value_begin] = true,
    [ts_external_token_attribute_value] = true,
    [ts_external_token_prototype] = true,
    [ts_external_token__signature_start] = true,
    [ts_external_token__heredoc_delimiter] = true,
    [ts_external_token__command_heredoc_delimiter] = true,
    [ts_external_token__heredoc_start] = true,
    [ts_external_token__heredoc_middle] = true,
    [ts_external_token_heredoc_end] = true,
    [ts_external_token__fat_comma_autoquoted] = true,
    [ts_external_token__filetest] = true,
    [ts_external_token__brace_autoquoted_token] = true,
    [ts_external_token__brace_end_zw] = true,
    [ts_external_token__dollar_ident_zw] = true,
    [ts_external_token__no_interp_whitespace_zw] = true,
    [ts_external_token__NONASSOC] = true,
    [ts_external_token__ERROR] = true,
  },
  [2] = {
    [ts_external_token__single_quote] = true,
    [ts_external_token__double_quote] = true,
    [ts_external_token__backtick_quote] = true,
    [ts_external_token__search_slash_quote] = true,
    [ts_external_token__open_readline_bracket] = true,
    [ts_external_token__open_fileglob_bracket] = true,
    [ts_external_token__PERLY_HEREDOC] = true,
    [ts_external_token__ctrl_z_hack] = true,
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
    [ts_external_token__fat_comma_autoquoted] = true,
    [ts_external_token__filetest] = true,
  },
  [3] = {
    [ts_external_token__single_quote] = true,
    [ts_external_token__double_quote] = true,
    [ts_external_token__backtick_quote] = true,
    [ts_external_token__search_slash_quote] = true,
    [ts_external_token__open_readline_bracket] = true,
    [ts_external_token__open_fileglob_bracket] = true,
    [ts_external_token__PERLY_SEMICOLON] = true,
    [ts_external_token__PERLY_HEREDOC] = true,
    [ts_external_token__ctrl_z_hack] = true,
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
    [ts_external_token__fat_comma_autoquoted] = true,
    [ts_external_token__filetest] = true,
  },
  [4] = {
    [ts_external_token__single_quote] = true,
    [ts_external_token__double_quote] = true,
    [ts_external_token__backtick_quote] = true,
    [ts_external_token__search_slash_quote] = true,
    [ts_external_token__open_readline_bracket] = true,
    [ts_external_token__open_fileglob_bracket] = true,
    [ts_external_token__PERLY_HEREDOC] = true,
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
    [ts_external_token__fat_comma_autoquoted] = true,
    [ts_external_token__filetest] = true,
  },
  [5] = {
    [ts_external_token__single_quote] = true,
    [ts_external_token__double_quote] = true,
    [ts_external_token__backtick_quote] = true,
    [ts_external_token__search_slash_quote] = true,
    [ts_external_token__open_readline_bracket] = true,
    [ts_external_token__open_fileglob_bracket] = true,
    [ts_external_token__PERLY_HEREDOC] = true,
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
    [ts_external_token__fat_comma_autoquoted] = true,
    [ts_external_token__filetest] = true,
    [ts_external_token__brace_autoquoted_token] = true,
  },
  [6] = {
    [ts_external_token__single_quote] = true,
    [ts_external_token__double_quote] = true,
    [ts_external_token__backtick_quote] = true,
    [ts_external_token__search_slash_quote] = true,
    [ts_external_token__open_readline_bracket] = true,
    [ts_external_token__open_fileglob_bracket] = true,
    [ts_external_token__PERLY_SEMICOLON] = true,
    [ts_external_token__PERLY_HEREDOC] = true,
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
    [ts_external_token__fat_comma_autoquoted] = true,
    [ts_external_token__filetest] = true,
  },
  [7] = {
    [ts_external_token__single_quote] = true,
    [ts_external_token__double_quote] = true,
    [ts_external_token__backtick_quote] = true,
    [ts_external_token__search_slash_quote] = true,
    [ts_external_token__open_readline_bracket] = true,
    [ts_external_token__open_fileglob_bracket] = true,
    [ts_external_token__PERLY_HEREDOC] = true,
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
    [ts_external_token__fat_comma_autoquoted] = true,
    [ts_external_token__filetest] = true,
    [ts_external_token__NONASSOC] = true,
  },
  [8] = {
    [ts_external_token__single_quote] = true,
    [ts_external_token__double_quote] = true,
    [ts_external_token__backtick_quote] = true,
    [ts_external_token__search_slash_quote] = true,
    [ts_external_token__no_search_slash_plz] = true,
    [ts_external_token__open_readline_bracket] = true,
    [ts_external_token__open_fileglob_bracket] = true,
    [ts_external_token__PERLY_SEMICOLON] = true,
    [ts_external_token__PERLY_HEREDOC] = true,
    [ts_external_token__ctrl_z_hack] = true,
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
    [ts_external_token__fat_comma_autoquoted] = true,
    [ts_external_token__filetest] = true,
  },
  [9] = {
    [ts_external_token__single_quote] = true,
    [ts_external_token__double_quote] = true,
    [ts_external_token__backtick_quote] = true,
    [ts_external_token__search_slash_quote] = true,
    [ts_external_token__open_readline_bracket] = true,
    [ts_external_token__open_fileglob_bracket] = true,
    [ts_external_token__PERLY_SEMICOLON] = true,
    [ts_external_token__PERLY_HEREDOC] = true,
    [ts_external_token__ctrl_z_hack] = true,
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
    [ts_external_token__fat_comma_autoquoted] = true,
    [ts_external_token__filetest] = true,
    [ts_external_token__brace_end_zw] = true,
  },
  [10] = {
    [ts_external_token__single_quote] = true,
    [ts_external_token__double_quote] = true,
    [ts_external_token__backtick_quote] = true,
    [ts_external_token__search_slash_quote] = true,
    [ts_external_token__no_search_slash_plz] = true,
    [ts_external_token__open_readline_bracket] = true,
    [ts_external_token__open_fileglob_bracket] = true,
    [ts_external_token__PERLY_HEREDOC] = true,
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
    [ts_external_token__fat_comma_autoquoted] = true,
    [ts_external_token__filetest] = true,
  },
  [11] = {
    [ts_external_token__single_quote] = true,
    [ts_external_token__double_quote] = true,
    [ts_external_token__backtick_quote] = true,
    [ts_external_token__search_slash_quote] = true,
    [ts_external_token__no_search_slash_plz] = true,
    [ts_external_token__open_readline_bracket] = true,
    [ts_external_token__open_fileglob_bracket] = true,
    [ts_external_token__PERLY_SEMICOLON] = true,
    [ts_external_token__PERLY_HEREDOC] = true,
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
    [ts_external_token__fat_comma_autoquoted] = true,
    [ts_external_token__filetest] = true,
  },
  [12] = {
    [ts_external_token__PERLY_SEMICOLON] = true,
    [ts_external_token__ctrl_z_hack] = true,
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
  },
  [13] = {
    [ts_external_token__PERLY_SEMICOLON] = true,
    [ts_external_token__ctrl_z_hack] = true,
    [ts_external_token_pod] = true,
    [ts_external_token__attribute_value_begin] = true,
    [ts_external_token__heredoc_start] = true,
  },
  [14] = {
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
  },
  [15] = {
    [ts_external_token_pod] = true,
    [ts_external_token__attribute_value_begin] = true,
    [ts_external_token__heredoc_start] = true,
  },
  [16] = {
    [ts_external_token__PERLY_SEMICOLON] = true,
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
  },
  [17] = {
    [ts_external_token__PERLY_SEMICOLON] = true,
    [ts_external_token_pod] = true,
    [ts_external_token__attribute_value_begin] = true,
    [ts_external_token__heredoc_start] = true,
  },
  [18] = {
    [ts_external_token__quotelike_middle_close_quote] = true,
    [ts_external_token__qq_string_content] = true,
    [ts_external_token_escape_sequence] = true,
    [ts_external_token_escaped_delimiter] = true,
    [ts_external_token__dollar_in_regexp] = true,
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
  },
  [19] = {
    [ts_external_token__quotelike_end_quote] = true,
    [ts_external_token__qq_string_content] = true,
    [ts_external_token_escape_sequence] = true,
    [ts_external_token_escaped_delimiter] = true,
    [ts_external_token__dollar_in_regexp] = true,
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
  },
  [20] = {
    [ts_external_token__quotelike_end_quote] = true,
    [ts_external_token__qq_string_content] = true,
    [ts_external_token_escape_sequence] = true,
    [ts_external_token_escaped_delimiter] = true,
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
  },
  [21] = {
    [ts_external_token_escape_sequence] = true,
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
    [ts_external_token__heredoc_middle] = true,
    [ts_external_token_heredoc_end] = true,
  },
  [22] = {
    [ts_external_token__qq_string_content] = true,
    [ts_external_token_escape_sequence] = true,
    [ts_external_token_escaped_delimiter] = true,
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
  },
  [23] = {
    [ts_external_token__quotelike_end_zw] = true,
    [ts_external_token__quotelike_end_quote] = true,
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
    [ts_external_token__no_interp_whitespace_zw] = true,
  },
  [24] = {
    [ts_external_token__quotelike_middle_close_quote] = true,
    [ts_external_token__qq_string_content] = true,
    [ts_external_token_escape_sequence] = true,
    [ts_external_token_escaped_delimiter] = true,
    [ts_external_token__dollar_in_regexp] = true,
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
    [ts_external_token__NONASSOC] = true,
  },
  [25] = {
    [ts_external_token__quotelike_end_quote] = true,
    [ts_external_token__qq_string_content] = true,
    [ts_external_token_escape_sequence] = true,
    [ts_external_token_escaped_delimiter] = true,
    [ts_external_token__dollar_in_regexp] = true,
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
    [ts_external_token__NONASSOC] = true,
  },
  [26] = {
    [ts_external_token__quotelike_middle_close_quote] = true,
    [ts_external_token__qq_string_content] = true,
    [ts_external_token_escape_sequence] = true,
    [ts_external_token_escaped_delimiter] = true,
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
  },
  [27] = {
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
    [ts_external_token__dollar_ident_zw] = true,
  },
  [28] = {
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
    [ts_external_token__no_interp_whitespace_zw] = true,
  },
  [29] = {
    [ts_external_token__quotelike_end_quote] = true,
    [ts_external_token__qq_string_content] = true,
    [ts_external_token_escape_sequence] = true,
    [ts_external_token_escaped_delimiter] = true,
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
    [ts_external_token__NONASSOC] = true,
  },
  [30] = {
    [ts_external_token_escape_sequence] = true,
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
    [ts_external_token__heredoc_middle] = true,
    [ts_external_token_heredoc_end] = true,
    [ts_external_token__NONASSOC] = true,
  },
  [31] = {
    [ts_external_token_pod] = true,
    [ts_external_token_prototype] = true,
    [ts_external_token__signature_start] = true,
    [ts_external_token__heredoc_start] = true,
  },
  [32] = {
    [ts_external_token_pod] = true,
    [ts_external_token__signature_start] = true,
    [ts_external_token__heredoc_start] = true,
  },
  [33] = {
    [ts_external_token__quotelike_middle_close_quote] = true,
    [ts_external_token__q_string_content] = true,
    [ts_external_token_escape_sequence] = true,
    [ts_external_token_escaped_delimiter] = true,
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
  },
  [34] = {
    [ts_external_token_pod] = true,
    [ts_external_token__attribute_value_begin] = true,
    [ts_external_token_prototype] = true,
    [ts_external_token__signature_start] = true,
    [ts_external_token__heredoc_start] = true,
  },
  [35] = {
    [ts_external_token__quotelike_end_quote] = true,
    [ts_external_token__q_string_content] = true,
    [ts_external_token_escape_sequence] = true,
    [ts_external_token_escaped_delimiter] = true,
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
  },
  [36] = {
    [ts_external_token_pod] = true,
    [ts_external_token__attribute_value_begin] = true,
    [ts_external_token__signature_start] = true,
    [ts_external_token__heredoc_start] = true,
  },
  [37] = {
    [ts_external_token__single_quote] = true,
    [ts_external_token__quotelike_begin_quote] = true,
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
  },
  [38] = {
    [ts_external_token__quotelike_begin_quote] = true,
    [ts_external_token__quotelike_middle_skip] = true,
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
  },
  [39] = {
    [ts_external_token__quotelike_begin_quote] = true,
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
  },
  [40] = {
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_delimiter] = true,
    [ts_external_token__command_heredoc_delimiter] = true,
    [ts_external_token__heredoc_start] = true,
  },
  [41] = {
    [ts_external_token_pod] = true,
    [ts_external_token__gobbled_content] = true,
    [ts_external_token__heredoc_start] = true,
  },
  [42] = {
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
    [ts_external_token__ERROR] = true,
  },
  [43] = {
    [ts_external_token_pod] = true,
    [ts_external_token_attribute_value] = true,
    [ts_external_token__heredoc_start] = true,
  },
  [44] = {
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
    [ts_external_token__brace_end_zw] = true,
  },
  [45] = {
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
    [ts_external_token__NONASSOC] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_perl_external_scanner_create(void);
void tree_sitter_perl_external_scanner_destroy(void *);
bool tree_sitter_perl_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_perl_external_scanner_serialize(void *, char *);
void tree_sitter_perl_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_perl(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym__identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_perl_external_scanner_create,
      tree_sitter_perl_external_scanner_destroy,
      tree_sitter_perl_external_scanner_scan,
      tree_sitter_perl_external_scanner_serialize,
      tree_sitter_perl_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
